/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 95;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 92,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 90,
  Feature_HasVendorXqciaBit = 88,
  Feature_HasVendorXqciintBit = 89,
  Feature_HasVendorXqciliaBit = 85,
  Feature_HasVendorXqciloBit = 86,
  Feature_HasVendorXqcislsBit = 87,
  Feature_HasVendorXAndesPerfBit = 91,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 94,
  Feature_HwMode0Bit = 93,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXAndesPerf())
    Features.set(Feature_HasVendorXAndesPerfBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_HwMode0,
  GIFBS_HasVendorXAndesPerf_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9942,
  GICXXPred_MI_Predicate_anonymous_9944,
  GICXXPred_MI_Predicate_anonymous_10032,
  GICXXPred_MI_Predicate_anonymous_10046,
  GICXXPred_MI_Predicate_anonymous_10050,
  GICXXPred_MI_Predicate_anonymous_10052,
  GICXXPred_MI_Predicate_anonymous_10054,
  GICXXPred_MI_Predicate_anonymous_10056,
  GICXXPred_MI_Predicate_anonymous_10059,
  GICXXPred_MI_Predicate_anonymous_10061,
  GICXXPred_MI_Predicate_anonymous_10074,
  GICXXPred_MI_Predicate_anonymous_10086,
  GICXXPred_MI_Predicate_anonymous_11217,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9942: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9944: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10032: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10046: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10050: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10052: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10054: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10056: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10059: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10061: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10074: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10086: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11217: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(333), /*)*//*default:*//*Label 125*/ GIMT_Encode4(2439553),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1130),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(61071),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(80304),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(107358),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(110092),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(112826),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(115605), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(118339),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(127821),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(140442), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(155349), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(155410), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(155471), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(155562), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(155929),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(156127),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(156325),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(156905),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(157115),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(157313),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(157352),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(157391),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(167571),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(169541), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(171031), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(179133),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(184019),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(186929), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(189839),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(192749),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(193661),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(196571),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(199481),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(202391),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(205301),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(208211), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     294 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(211121), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     314 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(211339),
     /*     318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2196726), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     330 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2198242), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     354 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2201363),
     /*     358 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2204838),
     /*     362 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2205353),
     /*     366 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2209040),
     /*     370 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2217636),
     /*     374 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2220667), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     386 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2223606),
     /*     390 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2226546),
     /*     394 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2229456),
     /*     398 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2256119), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     410 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2263581), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     454 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2267973),
     /*     458 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2270707),
     /*     462 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2273441),
     /*     466 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2276294),
     /*     470 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2279147),
     /*     474 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2282000),
     /*     478 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2284853),
     /*     482 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2284911), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     518 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2284969),
     /*     522 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2287397),
     /*     526 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2289825),
     /*     530 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2292253), GIMT_Encode4(0),
     /*     538 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2308898), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     586 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2311326),
     /*     590 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2313297),
     /*     594 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2313750),
     /*     598 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2315286),
     /*     602 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2320172),
     /*     606 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2325058),
     /*     610 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2330344), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     622 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2335630),
     /*     626 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2337601), GIMT_Encode4(0),
     /*     634 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2343663),
     /*     638 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2343853),
     /*     642 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2345938), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     654 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2348023),
     /*     658 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2348149),
     /*     662 */ /*TargetOpcode::G_FMINIMUMNUM*//*Label 78*/ GIMT_Encode4(2348275),
     /*     666 */ /*TargetOpcode::G_FMAXIMUMNUM*//*Label 79*/ GIMT_Encode4(2350360), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     702 */ /*TargetOpcode::G_SMIN*//*Label 80*/ GIMT_Encode4(2352445),
     /*     706 */ /*TargetOpcode::G_SMAX*//*Label 81*/ GIMT_Encode4(2355221),
     /*     710 */ /*TargetOpcode::G_UMIN*//*Label 82*/ GIMT_Encode4(2357997),
     /*     714 */ /*TargetOpcode::G_UMAX*//*Label 83*/ GIMT_Encode4(2360773),
     /*     718 */ /*TargetOpcode::G_ABS*//*Label 84*/ GIMT_Encode4(2363549),
     /*     722 */ /*TargetOpcode::G_LROUND*//*Label 85*/ GIMT_Encode4(2363707),
     /*     726 */ /*TargetOpcode::G_LLROUND*//*Label 86*/ GIMT_Encode4(2364287),
     /*     730 */ /*TargetOpcode::G_BR*//*Label 87*/ GIMT_Encode4(2364497), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTTZ*//*Label 88*/ GIMT_Encode4(2364513), GIMT_Encode4(0),
     /*     782 */ /*TargetOpcode::G_CTLZ*//*Label 89*/ GIMT_Encode4(2367033), GIMT_Encode4(0),
     /*     790 */ /*TargetOpcode::G_CTPOP*//*Label 90*/ GIMT_Encode4(2369691),
     /*     794 */ /*TargetOpcode::G_BSWAP*//*Label 91*/ GIMT_Encode4(2372242),
     /*     798 */ /*TargetOpcode::G_BITREVERSE*//*Label 92*/ GIMT_Encode4(2374777),
     /*     802 */ /*TargetOpcode::G_FCEIL*//*Label 93*/ GIMT_Encode4(2377271), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     850 */ /*TargetOpcode::G_FSQRT*//*Label 94*/ GIMT_Encode4(2377469),
     /*     854 */ /*TargetOpcode::G_FFLOOR*//*Label 95*/ GIMT_Encode4(2379645),
     /*     858 */ /*TargetOpcode::G_FRINT*//*Label 96*/ GIMT_Encode4(2379843),
     /*     862 */ /*TargetOpcode::G_FNEARBYINT*//*Label 97*/ GIMT_Encode4(2380041), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     890 */ /*TargetOpcode::G_STRICT_FADD*//*Label 98*/ GIMT_Encode4(2380239),
     /*     894 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 99*/ GIMT_Encode4(2382667),
     /*     898 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 100*/ GIMT_Encode4(2385095),
     /*     902 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 101*/ GIMT_Encode4(2387523), GIMT_Encode4(0),
     /*     910 */ /*TargetOpcode::G_STRICT_FMA*//*Label 102*/ GIMT_Encode4(2389951),
     /*     914 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 103*/ GIMT_Encode4(2406596), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     950 */ /*TargetOpcode::G_TRAP*//*Label 104*/ GIMT_Encode4(2408772),
     /*     954 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 105*/ GIMT_Encode4(2408785), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1050 */ /*RISCV::G_CLZW*//*Label 106*/ GIMT_Encode4(2408798),
     /*    1054 */ /*RISCV::G_CTZW*//*Label 107*/ GIMT_Encode4(2408893),
     /*    1058 */ /*RISCV::G_DIVUW*//*Label 108*/ GIMT_Encode4(2408923),
     /*    1062 */ /*RISCV::G_DIVW*//*Label 109*/ GIMT_Encode4(2408960),
     /*    1066 */ /*RISCV::G_FCLASS*//*Label 110*/ GIMT_Encode4(2408997),
     /*    1070 */ /*RISCV::G_FCVT_WU_RV64*//*Label 111*/ GIMT_Encode4(2409357),
     /*    1074 */ /*RISCV::G_FCVT_W_RV64*//*Label 112*/ GIMT_Encode4(2409555),
     /*    1078 */ /*RISCV::G_READ_VLENB*//*Label 113*/ GIMT_Encode4(2409753),
     /*    1082 */ /*RISCV::G_REMUW*//*Label 114*/ GIMT_Encode4(2409813),
     /*    1086 */ /*RISCV::G_ROLW*//*Label 115*/ GIMT_Encode4(2409850),
     /*    1090 */ /*RISCV::G_RORW*//*Label 116*/ GIMT_Encode4(2409975),
     /*    1094 */ /*RISCV::G_SLLW*//*Label 117*/ GIMT_Encode4(2410096), GIMT_Encode4(0),
     /*    1102 */ /*RISCV::G_SRAW*//*Label 118*/ GIMT_Encode4(2410143),
     /*    1106 */ /*RISCV::G_SRLW*//*Label 119*/ GIMT_Encode4(2410190),
     /*    1110 */ /*RISCV::G_VMCLR_VL*//*Label 120*/ GIMT_Encode4(2410237),
     /*    1114 */ /*RISCV::G_VMSET_VL*//*Label 121*/ GIMT_Encode4(2410886),
     /*    1118 */ /*RISCV::G_VMV_V_V_VL*//*Label 122*/ GIMT_Encode4(2411535),
     /*    1122 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 123*/ GIMT_Encode4(2415793),
     /*    1126 */ /*RISCV::G_VSLIDEUP_VL*//*Label 124*/ GIMT_Encode4(2427673),
     /*    1130 */ // Label 0: @1130
     /*    1130 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 150*/ GIMT_Encode4(61070),
     /*    1141 */ /*GILLT_s32*//*Label 126*/ GIMT_Encode4(1265),
     /*    1145 */ /*GILLT_s64*//*Label 127*/ GIMT_Encode4(3530), GIMT_Encode4(0),
     /*    1153 */ /*GILLT_nxv1s8*//*Label 128*/ GIMT_Encode4(11430),
     /*    1157 */ /*GILLT_nxv1s16*//*Label 129*/ GIMT_Encode4(11825),
     /*    1161 */ /*GILLT_nxv1s32*//*Label 130*/ GIMT_Encode4(14950),
     /*    1165 */ /*GILLT_nxv1s64*//*Label 131*/ GIMT_Encode4(18075), GIMT_Encode4(0),
     /*    1173 */ /*GILLT_nxv2s8*//*Label 132*/ GIMT_Encode4(21200),
     /*    1177 */ /*GILLT_nxv2s16*//*Label 133*/ GIMT_Encode4(21595),
     /*    1181 */ /*GILLT_nxv2s32*//*Label 134*/ GIMT_Encode4(24720),
     /*    1185 */ /*GILLT_nxv2s64*//*Label 135*/ GIMT_Encode4(27845), GIMT_Encode4(0),
     /*    1193 */ /*GILLT_nxv4s8*//*Label 136*/ GIMT_Encode4(30970),
     /*    1197 */ /*GILLT_nxv4s16*//*Label 137*/ GIMT_Encode4(31365),
     /*    1201 */ /*GILLT_nxv4s32*//*Label 138*/ GIMT_Encode4(34490),
     /*    1205 */ /*GILLT_nxv4s64*//*Label 139*/ GIMT_Encode4(37615), GIMT_Encode4(0),
     /*    1213 */ /*GILLT_nxv8s8*//*Label 140*/ GIMT_Encode4(40740),
     /*    1217 */ /*GILLT_nxv8s16*//*Label 141*/ GIMT_Encode4(41135),
     /*    1221 */ /*GILLT_nxv8s32*//*Label 142*/ GIMT_Encode4(44260),
     /*    1225 */ /*GILLT_nxv8s64*//*Label 143*/ GIMT_Encode4(47385), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv16s8*//*Label 144*/ GIMT_Encode4(50510),
     /*    1237 */ /*GILLT_nxv16s16*//*Label 145*/ GIMT_Encode4(50905),
     /*    1241 */ /*GILLT_nxv16s32*//*Label 146*/ GIMT_Encode4(54030), GIMT_Encode4(0),
     /*    1249 */ /*GILLT_nxv32s8*//*Label 147*/ GIMT_Encode4(57155),
     /*    1253 */ /*GILLT_nxv32s16*//*Label 148*/ GIMT_Encode4(57550), GIMT_Encode4(0),
     /*    1261 */ /*GILLT_nxv64s8*//*Label 149*/ GIMT_Encode4(60675),
     /*    1265 */ // Label 126: @1265
     /*    1265 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(3529),
     /*    1270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1276 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1324), // Rule ID 2460 //
     /*    1281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1288 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1292 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1300 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1311 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1316 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1322 */     GIR_RootConstrainSelectedInstOperands,
     /*    1323 */     // GIR_Coverage, 2460,
     /*    1323 */     GIR_EraseRootFromParent_Done,
     /*    1324 */   // Label 152: @1324
     /*    1324 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1372), // Rule ID 2470 //
     /*    1329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1336 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1340 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1359 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1364 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1370 */     GIR_RootConstrainSelectedInstOperands,
     /*    1371 */     // GIR_Coverage, 2470,
     /*    1371 */     GIR_EraseRootFromParent_Done,
     /*    1372 */   // Label 153: @1372
     /*    1372 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1420), // Rule ID 2480 //
     /*    1377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1384 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1388 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1396 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1407 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1412 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1418 */     GIR_RootConstrainSelectedInstOperands,
     /*    1419 */     // GIR_Coverage, 2480,
     /*    1419 */     GIR_EraseRootFromParent_Done,
     /*    1420 */   // Label 154: @1420
     /*    1420 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1471), // Rule ID 62522 //
     /*    1425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1432 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1436 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1444 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1455 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1462 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1469 */     GIR_RootConstrainSelectedInstOperands,
     /*    1470 */     // GIR_Coverage, 62522,
     /*    1470 */     GIR_EraseRootFromParent_Done,
     /*    1471 */   // Label 155: @1471
     /*    1471 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1522), // Rule ID 62526 //
     /*    1476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1483 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1487 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1506 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1513 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1520 */     GIR_RootConstrainSelectedInstOperands,
     /*    1521 */     // GIR_Coverage, 62526,
     /*    1521 */     GIR_EraseRootFromParent_Done,
     /*    1522 */   // Label 156: @1522
     /*    1522 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1573), // Rule ID 62530 //
     /*    1527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1534 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1538 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1546 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1557 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1564 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1571 */     GIR_RootConstrainSelectedInstOperands,
     /*    1572 */     // GIR_Coverage, 62530,
     /*    1572 */     GIR_EraseRootFromParent_Done,
     /*    1573 */   // Label 157: @1573
     /*    1573 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1621), // Rule ID 64942 //
     /*    1578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1585 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    1589 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    1593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1608 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:28:x, GPR:{ *:[i32] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    1611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1619 */     GIR_RootConstrainSelectedInstOperands,
     /*    1620 */     // GIR_Coverage, 64942,
     /*    1620 */     GIR_EraseRootFromParent_Done,
     /*    1621 */   // Label 158: @1621
     /*    1621 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1669), // Rule ID 64952 //
     /*    1626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1633 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    1637 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    1641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1656 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:30:x, GPR:{ *:[i32] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    1659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1661 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1667 */     GIR_RootConstrainSelectedInstOperands,
     /*    1668 */     // GIR_Coverage, 64952,
     /*    1668 */     GIR_EraseRootFromParent_Done,
     /*    1669 */   // Label 159: @1669
     /*    1669 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1717), // Rule ID 64962 //
     /*    1674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1681 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    1685 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    1689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1693 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1704 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:32:x, GPR:{ *:[i32] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    1707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1715 */     GIR_RootConstrainSelectedInstOperands,
     /*    1716 */     // GIR_Coverage, 64962,
     /*    1716 */     GIR_EraseRootFromParent_Done,
     /*    1717 */   // Label 160: @1717
     /*    1717 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1765), // Rule ID 65263 //
     /*    1722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1729 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1737 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1741 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1752 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1757 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1763 */     GIR_RootConstrainSelectedInstOperands,
     /*    1764 */     // GIR_Coverage, 65263,
     /*    1764 */     GIR_EraseRootFromParent_Done,
     /*    1765 */   // Label 161: @1765
     /*    1765 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1813), // Rule ID 65271 //
     /*    1770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1777 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1785 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1789 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1800 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1805 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1811 */     GIR_RootConstrainSelectedInstOperands,
     /*    1812 */     // GIR_Coverage, 65271,
     /*    1812 */     GIR_EraseRootFromParent_Done,
     /*    1813 */   // Label 162: @1813
     /*    1813 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1861), // Rule ID 65279 //
     /*    1818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1825 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1833 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1837 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1848 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1853 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1859 */     GIR_RootConstrainSelectedInstOperands,
     /*    1860 */     // GIR_Coverage, 65279,
     /*    1860 */     GIR_EraseRootFromParent_Done,
     /*    1861 */   // Label 163: @1861
     /*    1861 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(1912), // Rule ID 74095 //
     /*    1866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1873 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1881 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1885 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1896 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1910 */     GIR_RootConstrainSelectedInstOperands,
     /*    1911 */     // GIR_Coverage, 74095,
     /*    1911 */     GIR_EraseRootFromParent_Done,
     /*    1912 */   // Label 164: @1912
     /*    1912 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(1963), // Rule ID 74099 //
     /*    1917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1924 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1932 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1947 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1954 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1961 */     GIR_RootConstrainSelectedInstOperands,
     /*    1962 */     // GIR_Coverage, 74099,
     /*    1962 */     GIR_EraseRootFromParent_Done,
     /*    1963 */   // Label 165: @1963
     /*    1963 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2014), // Rule ID 74103 //
     /*    1968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1975 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1983 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1998 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    2009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    2012 */     GIR_RootConstrainSelectedInstOperands,
     /*    2013 */     // GIR_Coverage, 74103,
     /*    2013 */     GIR_EraseRootFromParent_Done,
     /*    2014 */   // Label 166: @2014
     /*    2014 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2062), // Rule ID 74136 //
     /*    2019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2026 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    2030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2034 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    2038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    2049 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:28:y, sh1add_op:{ *:[i32] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2054 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2060 */     GIR_RootConstrainSelectedInstOperands,
     /*    2061 */     // GIR_Coverage, 74136,
     /*    2061 */     GIR_EraseRootFromParent_Done,
     /*    2062 */   // Label 167: @2062
     /*    2062 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2110), // Rule ID 74144 //
     /*    2067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2074 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    2078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2082 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    2086 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    2097 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:30:y, sh2add_op:{ *:[i32] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2108 */     GIR_RootConstrainSelectedInstOperands,
     /*    2109 */     // GIR_Coverage, 74144,
     /*    2109 */     GIR_EraseRootFromParent_Done,
     /*    2110 */   // Label 168: @2110
     /*    2110 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2158), // Rule ID 74152 //
     /*    2115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2122 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    2126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2130 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    2134 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    2145 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:32:y, sh3add_op:{ *:[i32] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2150 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2156 */     GIR_RootConstrainSelectedInstOperands,
     /*    2157 */     // GIR_Coverage, 74152,
     /*    2157 */     GIR_EraseRootFromParent_Done,
     /*    2158 */   // Label 169: @2158
     /*    2158 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2226), // Rule ID 2454 //
     /*    2163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2170 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    2174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2195 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2199 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    2203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2213 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2224 */     GIR_RootConstrainSelectedInstOperands,
     /*    2225 */     // GIR_Coverage, 2454,
     /*    2225 */     GIR_EraseRootFromParent_Done,
     /*    2226 */   // Label 170: @2226
     /*    2226 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2294), // Rule ID 2464 //
     /*    2231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2238 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    2242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2263 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2267 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    2271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2281 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2292 */     GIR_RootConstrainSelectedInstOperands,
     /*    2293 */     // GIR_Coverage, 2464,
     /*    2293 */     GIR_EraseRootFromParent_Done,
     /*    2294 */   // Label 171: @2294
     /*    2294 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2362), // Rule ID 2474 //
     /*    2299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2306 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2335 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2349 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2360 */     GIR_RootConstrainSelectedInstOperands,
     /*    2361 */     // GIR_Coverage, 2474,
     /*    2361 */     GIR_EraseRootFromParent_Done,
     /*    2362 */   // Label 172: @2362
     /*    2362 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2430), // Rule ID 64936 //
     /*    2367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2374 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    2378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2399 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2403 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    2407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2411 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2417 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x, GPR:{ *:[i32] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2428 */     GIR_RootConstrainSelectedInstOperands,
     /*    2429 */     // GIR_Coverage, 64936,
     /*    2429 */     GIR_EraseRootFromParent_Done,
     /*    2430 */   // Label 173: @2430
     /*    2430 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2498), // Rule ID 64946 //
     /*    2435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2442 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    2446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2467 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    2475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2485 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x, GPR:{ *:[i32] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2496 */     GIR_RootConstrainSelectedInstOperands,
     /*    2497 */     // GIR_Coverage, 64946,
     /*    2497 */     GIR_EraseRootFromParent_Done,
     /*    2498 */   // Label 174: @2498
     /*    2498 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2566), // Rule ID 64956 //
     /*    2503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2510 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    2514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2539 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    2543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2547 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2553 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x, GPR:{ *:[i32] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2564 */     GIR_RootConstrainSelectedInstOperands,
     /*    2565 */     // GIR_Coverage, 64956,
     /*    2565 */     GIR_EraseRootFromParent_Done,
     /*    2566 */   // Label 175: @2566
     /*    2566 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2634), // Rule ID 65259 //
     /*    2571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2578 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2586 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2611 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2615 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2621 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2632 */     GIR_RootConstrainSelectedInstOperands,
     /*    2633 */     // GIR_Coverage, 65259,
     /*    2633 */     GIR_EraseRootFromParent_Done,
     /*    2634 */   // Label 176: @2634
     /*    2634 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2702), // Rule ID 65267 //
     /*    2639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2646 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2654 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2679 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2689 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2700 */     GIR_RootConstrainSelectedInstOperands,
     /*    2701 */     // GIR_Coverage, 65267,
     /*    2701 */     GIR_EraseRootFromParent_Done,
     /*    2702 */   // Label 177: @2702
     /*    2702 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2770), // Rule ID 65275 //
     /*    2707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2714 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2722 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2747 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2751 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2757 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2768 */     GIR_RootConstrainSelectedInstOperands,
     /*    2769 */     // GIR_Coverage, 65275,
     /*    2769 */     GIR_EraseRootFromParent_Done,
     /*    2770 */   // Label 178: @2770
     /*    2770 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2838), // Rule ID 74132 //
     /*    2775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2782 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*    2786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2790 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*    2794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2815 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2819 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2825 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:27:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2836 */     GIR_RootConstrainSelectedInstOperands,
     /*    2837 */     // GIR_Coverage, 74132,
     /*    2837 */     GIR_EraseRootFromParent_Done,
     /*    2838 */   // Label 179: @2838
     /*    2838 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2906), // Rule ID 74140 //
     /*    2843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2850 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*    2854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2858 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*    2862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2883 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2887 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2893 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:29:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2904 */     GIR_RootConstrainSelectedInstOperands,
     /*    2905 */     // GIR_Coverage, 74140,
     /*    2905 */     GIR_EraseRootFromParent_Done,
     /*    2906 */   // Label 180: @2906
     /*    2906 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2974), // Rule ID 74148 //
     /*    2911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2918 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*    2922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2926 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*    2930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2951 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2961 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:31:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2972 */     GIR_RootConstrainSelectedInstOperands,
     /*    2973 */     // GIR_Coverage, 74148,
     /*    2973 */     GIR_EraseRootFromParent_Done,
     /*    2974 */   // Label 181: @2974
     /*    2974 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3053), // Rule ID 62516 //
     /*    2979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3019 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3023 */     // MIs[2] Operand 1
     /*    3023 */     // No operand predicates
     /*    3023 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    3027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3037 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    3044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3051 */     GIR_RootConstrainSelectedInstOperands,
     /*    3052 */     // GIR_Coverage, 62516,
     /*    3052 */     GIR_EraseRootFromParent_Done,
     /*    3053 */   // Label 182: @3053
     /*    3053 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3132), // Rule ID 74091 //
     /*    3058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    3061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3065 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    3069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3073 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    3077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3106 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3110 */     // MIs[2] Operand 1
     /*    3110 */     // No operand predicates
     /*    3110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3116 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3130 */     GIR_RootConstrainSelectedInstOperands,
     /*    3131 */     // GIR_Coverage, 74091,
     /*    3131 */     GIR_EraseRootFromParent_Done,
     /*    3132 */   // Label 183: @3132
     /*    3132 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3181), // Rule ID 115 //
     /*    3137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    3152 */     // MIs[1] Operand 1
     /*    3152 */     // No operand predicates
     /*    3152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    3156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3164 */     // MIs[2] Operand 1
     /*    3164 */     // No operand predicates
     /*    3164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3166 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    3166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3171 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    3176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    3179 */     GIR_RootConstrainSelectedInstOperands,
     /*    3180 */     // GIR_Coverage, 115,
     /*    3180 */     GIR_EraseRootFromParent_Done,
     /*    3181 */   // Label 184: @3181
     /*    3181 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3223), // Rule ID 75 //
     /*    3186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3209 */     // MIs[1] Operand 1
     /*    3209 */     // No operand predicates
     /*    3209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3211 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    3211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3221 */     GIR_RootConstrainSelectedInstOperands,
     /*    3222 */     // GIR_Coverage, 75,
     /*    3222 */     GIR_EraseRootFromParent_Done,
     /*    3223 */   // Label 185: @3223
     /*    3223 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3295), // Rule ID 286 //
     /*    3228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    3251 */     // MIs[1] Operand 1
     /*    3251 */     // No operand predicates
     /*    3251 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10074),
     /*    3255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3257 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10074>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    3257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    3260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    3269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    3273 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    3278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    3280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    3288 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    3293 */     GIR_RootConstrainSelectedInstOperands,
     /*    3294 */     // GIR_Coverage, 286,
     /*    3294 */     GIR_EraseRootFromParent_Done,
     /*    3295 */   // Label 186: @3295
     /*    3295 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3337), // Rule ID 64514 //
     /*    3300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    3323 */     // MIs[1] Operand 1
     /*    3323 */     // No operand predicates
     /*    3323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3325 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    3325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    3328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3335 */     GIR_RootConstrainSelectedInstOperands,
     /*    3336 */     // GIR_Coverage, 64514,
     /*    3336 */     GIR_EraseRootFromParent_Done,
     /*    3337 */   // Label 187: @3337
     /*    3337 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3379), // Rule ID 64518 //
     /*    3342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    3365 */     // MIs[1] Operand 1
     /*    3365 */     // No operand predicates
     /*    3365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3367 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    3367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    3370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3377 */     GIR_RootConstrainSelectedInstOperands,
     /*    3378 */     // GIR_Coverage, 64518,
     /*    3378 */     GIR_EraseRootFromParent_Done,
     /*    3379 */   // Label 188: @3379
     /*    3379 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3440), // Rule ID 74105 //
     /*    3384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3423 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    3430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3438 */     GIR_RootConstrainSelectedInstOperands,
     /*    3439 */     // GIR_Coverage, 74105,
     /*    3439 */     GIR_EraseRootFromParent_Done,
     /*    3440 */   // Label 189: @3440
     /*    3440 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3501), // Rule ID 62583 //
     /*    3445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3484 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    3491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3499 */     GIR_RootConstrainSelectedInstOperands,
     /*    3500 */     // GIR_Coverage, 62583,
     /*    3500 */     GIR_EraseRootFromParent_Done,
     /*    3501 */   // Label 190: @3501
     /*    3501 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(3528), // Rule ID 73 //
     /*    3506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3521 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    3526 */     GIR_RootConstrainSelectedInstOperands,
     /*    3527 */     // GIR_Coverage, 73,
     /*    3527 */     GIR_Done,
     /*    3528 */   // Label 191: @3528
     /*    3528 */   GIM_Reject,
     /*    3529 */ // Label 151: @3529
     /*    3529 */ GIM_Reject,
     /*    3530 */ // Label 127: @3530
     /*    3530 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(11429),
     /*    3535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    3538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    3541 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(3636), // Rule ID 2498 //
     /*    3546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3553 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3594 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3598 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3617 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3623 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3634 */     GIR_RootConstrainSelectedInstOperands,
     /*    3635 */     // GIR_Coverage, 2498,
     /*    3635 */     GIR_EraseRootFromParent_Done,
     /*    3636 */   // Label 193: @3636
     /*    3636 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(3731), // Rule ID 2502 //
     /*    3641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    3652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3689 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3693 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    3708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3712 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3718 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3729 */     GIR_RootConstrainSelectedInstOperands,
     /*    3730 */     // GIR_Coverage, 2502,
     /*    3730 */     GIR_EraseRootFromParent_Done,
     /*    3731 */   // Label 194: @3731
     /*    3731 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(3826), // Rule ID 64990 //
     /*    3736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3743 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:40:x
     /*    3747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3775 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3784 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3788 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:40:y
     /*    3803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3813 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x, GPR:{ *:[i64] }:$rs2:$pred:40:y)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    3816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3824 */     GIR_RootConstrainSelectedInstOperands,
     /*    3825 */     // GIR_Coverage, 64990,
     /*    3825 */     GIR_EraseRootFromParent_Done,
     /*    3826 */   // Label 195: @3826
     /*    3826 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(3921), // Rule ID 64994 //
     /*    3831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3838 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:42:x
     /*    3842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3870 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3879 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3883 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:42:y
     /*    3898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3902 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3908 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x, GPR:{ *:[i64] }:$rs2:$pred:42:y)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    3911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3919 */     GIR_RootConstrainSelectedInstOperands,
     /*    3920 */     // GIR_Coverage, 64994,
     /*    3920 */     GIR_EraseRootFromParent_Done,
     /*    3921 */   // Label 196: @3921
     /*    3921 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4016), // Rule ID 2493 //
     /*    3926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3933 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3974 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3985 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3989 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3997 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4003 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4014 */     GIR_RootConstrainSelectedInstOperands,
     /*    4015 */     // GIR_Coverage, 2493,
     /*    4015 */     GIR_EraseRootFromParent_Done,
     /*    4016 */   // Label 197: @4016
     /*    4016 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4111), // Rule ID 2512 //
     /*    4021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4028 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4069 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4084 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4092 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4098 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4109 */     GIR_RootConstrainSelectedInstOperands,
     /*    4110 */     // GIR_Coverage, 2512,
     /*    4110 */     GIR_EraseRootFromParent_Done,
     /*    4111 */   // Label 198: @4111
     /*    4111 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4206), // Rule ID 2517 //
     /*    4116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4123 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    4127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4164 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4175 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4179 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    4183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4187 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4193 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4204 */     GIR_RootConstrainSelectedInstOperands,
     /*    4205 */     // GIR_Coverage, 2517,
     /*    4205 */     GIR_EraseRootFromParent_Done,
     /*    4206 */   // Label 199: @4206
     /*    4206 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4301), // Rule ID 64975 //
     /*    4211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4218 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:34:x
     /*    4222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4259 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4270 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:34:y
     /*    4278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4282 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4288 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x, GPR:{ *:[i64] }:$rs2:$pred:34:y)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4299 */     GIR_RootConstrainSelectedInstOperands,
     /*    4300 */     // GIR_Coverage, 64975,
     /*    4300 */     GIR_EraseRootFromParent_Done,
     /*    4301 */   // Label 200: @4301
     /*    4301 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4396), // Rule ID 64980 //
     /*    4306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4313 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:36:x
     /*    4317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4345 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4354 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4365 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4369 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:36:y
     /*    4373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4377 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4383 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x, GPR:{ *:[i64] }:$rs2:$pred:36:y)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4394 */     GIR_RootConstrainSelectedInstOperands,
     /*    4395 */     // GIR_Coverage, 64980,
     /*    4395 */     GIR_EraseRootFromParent_Done,
     /*    4396 */   // Label 201: @4396
     /*    4396 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4491), // Rule ID 64985 //
     /*    4401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4408 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:38:x
     /*    4412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4449 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4460 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4464 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:38:y
     /*    4468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4478 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x, GPR:{ *:[i64] }:$rs2:$pred:38:y)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    4481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4489 */     GIR_RootConstrainSelectedInstOperands,
     /*    4490 */     // GIR_Coverage, 64985,
     /*    4490 */     GIR_EraseRootFromParent_Done,
     /*    4491 */   // Label 202: @4491
     /*    4491 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4586), // Rule ID 65287 //
     /*    4496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4503 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    4507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4511 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    4515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4552 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4556 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4573 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4584 */     GIR_RootConstrainSelectedInstOperands,
     /*    4585 */     // GIR_Coverage, 65287,
     /*    4585 */     GIR_EraseRootFromParent_Done,
     /*    4586 */   // Label 203: @4586
     /*    4586 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4681), // Rule ID 65291 //
     /*    4591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4598 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    4602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4606 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    4610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4638 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4647 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4651 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4662 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4668 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4679 */     GIR_RootConstrainSelectedInstOperands,
     /*    4680 */     // GIR_Coverage, 65291,
     /*    4680 */     GIR_EraseRootFromParent_Done,
     /*    4681 */   // Label 204: @4681
     /*    4681 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4776), // Rule ID 74168 //
     /*    4686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4693 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:40:y
     /*    4697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4701 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:40:x
     /*    4705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4742 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4746 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4757 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4763 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:40:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4774 */     GIR_RootConstrainSelectedInstOperands,
     /*    4775 */     // GIR_Coverage, 74168,
     /*    4775 */     GIR_EraseRootFromParent_Done,
     /*    4776 */   // Label 205: @4776
     /*    4776 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4871), // Rule ID 74172 //
     /*    4781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4788 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:42:y
     /*    4792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4796 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:42:x
     /*    4800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4837 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4841 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4852 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4858 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:42:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4869 */     GIR_RootConstrainSelectedInstOperands,
     /*    4870 */     // GIR_Coverage, 74172,
     /*    4870 */     GIR_EraseRootFromParent_Done,
     /*    4871 */   // Label 206: @4871
     /*    4871 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4966), // Rule ID 65283 //
     /*    4876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4883 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    4887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4891 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    4895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4932 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4943 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4947 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4953 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4964 */     GIR_RootConstrainSelectedInstOperands,
     /*    4965 */     // GIR_Coverage, 65283,
     /*    4965 */     GIR_EraseRootFromParent_Done,
     /*    4966 */   // Label 207: @4966
     /*    4966 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5061), // Rule ID 65299 //
     /*    4971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4978 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5027 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5038 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5048 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5059 */     GIR_RootConstrainSelectedInstOperands,
     /*    5060 */     // GIR_Coverage, 65299,
     /*    5060 */     GIR_EraseRootFromParent_Done,
     /*    5061 */   // Label 208: @5061
     /*    5061 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5156), // Rule ID 65303 //
     /*    5066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5073 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5122 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5133 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5143 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5154 */     GIR_RootConstrainSelectedInstOperands,
     /*    5155 */     // GIR_Coverage, 65303,
     /*    5155 */     GIR_EraseRootFromParent_Done,
     /*    5156 */   // Label 209: @5156
     /*    5156 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5251), // Rule ID 74156 //
     /*    5161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5168 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:34:y
     /*    5172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5176 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:34:x
     /*    5180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5217 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5228 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5232 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5238 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:34:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    5241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5249 */     GIR_RootConstrainSelectedInstOperands,
     /*    5250 */     // GIR_Coverage, 74156,
     /*    5250 */     GIR_EraseRootFromParent_Done,
     /*    5251 */   // Label 210: @5251
     /*    5251 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5346), // Rule ID 74160 //
     /*    5256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5263 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:36:y
     /*    5267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5271 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:36:x
     /*    5275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5312 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5323 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5333 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:36:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    5336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5344 */     GIR_RootConstrainSelectedInstOperands,
     /*    5345 */     // GIR_Coverage, 74160,
     /*    5345 */     GIR_EraseRootFromParent_Done,
     /*    5346 */   // Label 211: @5346
     /*    5346 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5441), // Rule ID 74164 //
     /*    5351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5358 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:38:y
     /*    5362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5366 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:38:x
     /*    5370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5398 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5407 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5418 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5422 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5428 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:38:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    5431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5439 */     GIR_RootConstrainSelectedInstOperands,
     /*    5440 */     // GIR_Coverage, 74164,
     /*    5440 */     GIR_EraseRootFromParent_Done,
     /*    5441 */   // Label 212: @5441
     /*    5441 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5489), // Rule ID 2459 //
     /*    5446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5453 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    5457 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    5461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5476 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5481 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5487 */     GIR_RootConstrainSelectedInstOperands,
     /*    5488 */     // GIR_Coverage, 2459,
     /*    5488 */     GIR_EraseRootFromParent_Done,
     /*    5489 */   // Label 213: @5489
     /*    5489 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5537), // Rule ID 2469 //
     /*    5494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    5505 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    5509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5513 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5524 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5535 */     GIR_RootConstrainSelectedInstOperands,
     /*    5536 */     // GIR_Coverage, 2469,
     /*    5536 */     GIR_EraseRootFromParent_Done,
     /*    5537 */   // Label 214: @5537
     /*    5537 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5585), // Rule ID 2479 //
     /*    5542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5549 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    5553 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    5557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5561 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    5572 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5577 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5583 */     GIR_RootConstrainSelectedInstOperands,
     /*    5584 */     // GIR_Coverage, 2479,
     /*    5584 */     GIR_EraseRootFromParent_Done,
     /*    5585 */   // Label 215: @5585
     /*    5585 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5633), // Rule ID 2496 //
     /*    5590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5597 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    5601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    5605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5609 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    5620 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5625 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5631 */     GIR_RootConstrainSelectedInstOperands,
     /*    5632 */     // GIR_Coverage, 2496,
     /*    5632 */     GIR_EraseRootFromParent_Done,
     /*    5633 */   // Label 216: @5633
     /*    5633 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5681), // Rule ID 2515 //
     /*    5638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5645 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    5649 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    5653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5657 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    5668 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5673 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5679 */     GIR_RootConstrainSelectedInstOperands,
     /*    5680 */     // GIR_Coverage, 2515,
     /*    5680 */     GIR_EraseRootFromParent_Done,
     /*    5681 */   // Label 217: @5681
     /*    5681 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5729), // Rule ID 2520 //
     /*    5686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5693 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5697 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5705 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    5716 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5727 */     GIR_RootConstrainSelectedInstOperands,
     /*    5728 */     // GIR_Coverage, 2520,
     /*    5728 */     GIR_EraseRootFromParent_Done,
     /*    5729 */   // Label 218: @5729
     /*    5729 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5780), // Rule ID 62521 //
     /*    5734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5741 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    5745 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    5749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5764 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    5764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5771 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    5778 */     GIR_RootConstrainSelectedInstOperands,
     /*    5779 */     // GIR_Coverage, 62521,
     /*    5779 */     GIR_EraseRootFromParent_Done,
     /*    5780 */   // Label 219: @5780
     /*    5780 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5831), // Rule ID 62525 //
     /*    5785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5792 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    5796 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    5800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5804 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5815 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    5815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5822 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    5829 */     GIR_RootConstrainSelectedInstOperands,
     /*    5830 */     // GIR_Coverage, 62525,
     /*    5830 */     GIR_EraseRootFromParent_Done,
     /*    5831 */   // Label 220: @5831
     /*    5831 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5882), // Rule ID 62529 //
     /*    5836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5843 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    5847 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    5851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    5866 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    5866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5873 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    5880 */     GIR_RootConstrainSelectedInstOperands,
     /*    5881 */     // GIR_Coverage, 62529,
     /*    5881 */     GIR_EraseRootFromParent_Done,
     /*    5882 */   // Label 221: @5882
     /*    5882 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(5930), // Rule ID 64941 //
     /*    5887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    5898 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    5902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5906 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5917 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:28:x, GPR:{ *:[i64] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    5920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5922 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5928 */     GIR_RootConstrainSelectedInstOperands,
     /*    5929 */     // GIR_Coverage, 64941,
     /*    5929 */     GIR_EraseRootFromParent_Done,
     /*    5930 */   // Label 222: @5930
     /*    5930 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(5978), // Rule ID 64951 //
     /*    5935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5942 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    5946 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    5950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5954 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5965 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:30:x, GPR:{ *:[i64] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    5968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5970 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5976 */     GIR_RootConstrainSelectedInstOperands,
     /*    5977 */     // GIR_Coverage, 64951,
     /*    5977 */     GIR_EraseRootFromParent_Done,
     /*    5978 */   // Label 223: @5978
     /*    5978 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6026), // Rule ID 64961 //
     /*    5983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5990 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    5994 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    5998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6002 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6013 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:32:x, GPR:{ *:[i64] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6018 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6024 */     GIR_RootConstrainSelectedInstOperands,
     /*    6025 */     // GIR_Coverage, 64961,
     /*    6025 */     GIR_EraseRootFromParent_Done,
     /*    6026 */   // Label 224: @6026
     /*    6026 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6074), // Rule ID 64978 //
     /*    6031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6038 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:35:x
     /*    6042 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:35:y
     /*    6046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6050 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6061 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x, GPR:{ *:[i64] }:$rs2:$pred:35:y)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6066 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6072 */     GIR_RootConstrainSelectedInstOperands,
     /*    6073 */     // GIR_Coverage, 64978,
     /*    6073 */     GIR_EraseRootFromParent_Done,
     /*    6074 */   // Label 225: @6074
     /*    6074 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6122), // Rule ID 64983 //
     /*    6079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6086 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:37:x
     /*    6090 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:37:y
     /*    6094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6098 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6109 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x, GPR:{ *:[i64] }:$rs2:$pred:37:y)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6114 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6120 */     GIR_RootConstrainSelectedInstOperands,
     /*    6121 */     // GIR_Coverage, 64983,
     /*    6121 */     GIR_EraseRootFromParent_Done,
     /*    6122 */   // Label 226: @6122
     /*    6122 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6170), // Rule ID 64988 //
     /*    6127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6134 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:39:x
     /*    6138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:39:y
     /*    6142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6157 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x, GPR:{ *:[i64] }:$rs2:$pred:39:y)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    6160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6162 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6168 */     GIR_RootConstrainSelectedInstOperands,
     /*    6169 */     // GIR_Coverage, 64988,
     /*    6169 */     GIR_EraseRootFromParent_Done,
     /*    6170 */   // Label 227: @6170
     /*    6170 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6218), // Rule ID 65262 //
     /*    6175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6182 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    6186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6190 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    6194 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6205 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6216 */     GIR_RootConstrainSelectedInstOperands,
     /*    6217 */     // GIR_Coverage, 65262,
     /*    6217 */     GIR_EraseRootFromParent_Done,
     /*    6218 */   // Label 228: @6218
     /*    6218 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6266), // Rule ID 65270 //
     /*    6223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6230 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    6234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6238 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    6242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6253 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6258 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6264 */     GIR_RootConstrainSelectedInstOperands,
     /*    6265 */     // GIR_Coverage, 65270,
     /*    6265 */     GIR_EraseRootFromParent_Done,
     /*    6266 */   // Label 229: @6266
     /*    6266 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6314), // Rule ID 65278 //
     /*    6271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6278 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    6282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6286 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    6290 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6301 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6306 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6312 */     GIR_RootConstrainSelectedInstOperands,
     /*    6313 */     // GIR_Coverage, 65278,
     /*    6313 */     GIR_EraseRootFromParent_Done,
     /*    6314 */   // Label 230: @6314
     /*    6314 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6362), // Rule ID 65285 //
     /*    6319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6326 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    6330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6334 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    6338 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6349 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6354 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6360 */     GIR_RootConstrainSelectedInstOperands,
     /*    6361 */     // GIR_Coverage, 65285,
     /*    6361 */     GIR_EraseRootFromParent_Done,
     /*    6362 */   // Label 231: @6362
     /*    6362 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6410), // Rule ID 65301 //
     /*    6367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6374 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    6378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6382 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    6386 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6397 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6408 */     GIR_RootConstrainSelectedInstOperands,
     /*    6409 */     // GIR_Coverage, 65301,
     /*    6409 */     GIR_EraseRootFromParent_Done,
     /*    6410 */   // Label 232: @6410
     /*    6410 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6458), // Rule ID 65305 //
     /*    6415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    6426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    6434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6445 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6456 */     GIR_RootConstrainSelectedInstOperands,
     /*    6457 */     // GIR_Coverage, 65305,
     /*    6457 */     GIR_EraseRootFromParent_Done,
     /*    6458 */   // Label 233: @6458
     /*    6458 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6509), // Rule ID 74094 //
     /*    6463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6470 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    6474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    6482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6493 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    6493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6500 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    6507 */     GIR_RootConstrainSelectedInstOperands,
     /*    6508 */     // GIR_Coverage, 74094,
     /*    6508 */     GIR_EraseRootFromParent_Done,
     /*    6509 */   // Label 234: @6509
     /*    6509 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(6560), // Rule ID 74098 //
     /*    6514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6521 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    6525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6529 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    6533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6544 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    6544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6551 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    6558 */     GIR_RootConstrainSelectedInstOperands,
     /*    6559 */     // GIR_Coverage, 74098,
     /*    6559 */     GIR_EraseRootFromParent_Done,
     /*    6560 */   // Label 235: @6560
     /*    6560 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(6611), // Rule ID 74102 //
     /*    6565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6572 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    6576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6580 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    6584 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6595 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    6595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6602 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    6609 */     GIR_RootConstrainSelectedInstOperands,
     /*    6610 */     // GIR_Coverage, 74102,
     /*    6610 */     GIR_EraseRootFromParent_Done,
     /*    6611 */   // Label 236: @6611
     /*    6611 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(6659), // Rule ID 74135 //
     /*    6616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6623 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    6627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6631 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    6635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6646 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:28:y, sh1add_op:{ *:[i64] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    6649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6651 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6657 */     GIR_RootConstrainSelectedInstOperands,
     /*    6658 */     // GIR_Coverage, 74135,
     /*    6658 */     GIR_EraseRootFromParent_Done,
     /*    6659 */   // Label 237: @6659
     /*    6659 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(6707), // Rule ID 74143 //
     /*    6664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6671 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    6675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6679 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    6683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6694 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:30:y, sh2add_op:{ *:[i64] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    6697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6705 */     GIR_RootConstrainSelectedInstOperands,
     /*    6706 */     // GIR_Coverage, 74143,
     /*    6706 */     GIR_EraseRootFromParent_Done,
     /*    6707 */   // Label 238: @6707
     /*    6707 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(6755), // Rule ID 74151 //
     /*    6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6719 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    6723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6727 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    6731 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6742 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:32:y, sh3add_op:{ *:[i64] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6753 */     GIR_RootConstrainSelectedInstOperands,
     /*    6754 */     // GIR_Coverage, 74151,
     /*    6754 */     GIR_EraseRootFromParent_Done,
     /*    6755 */   // Label 239: @6755
     /*    6755 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(6803), // Rule ID 74158 //
     /*    6760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6767 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:35:y
     /*    6771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6775 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:35:x
     /*    6779 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6790 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:35:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6795 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6801 */     GIR_RootConstrainSelectedInstOperands,
     /*    6802 */     // GIR_Coverage, 74158,
     /*    6802 */     GIR_EraseRootFromParent_Done,
     /*    6803 */   // Label 240: @6803
     /*    6803 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(6851), // Rule ID 74162 //
     /*    6808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:37:y
     /*    6819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:37:x
     /*    6827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6838 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:37:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6843 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6849 */     GIR_RootConstrainSelectedInstOperands,
     /*    6850 */     // GIR_Coverage, 74162,
     /*    6850 */     GIR_EraseRootFromParent_Done,
     /*    6851 */   // Label 241: @6851
     /*    6851 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(6899), // Rule ID 74166 //
     /*    6856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6863 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:39:y
     /*    6867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6871 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:39:x
     /*    6875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6886 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:39:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    6889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6891 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6897 */     GIR_RootConstrainSelectedInstOperands,
     /*    6898 */     // GIR_Coverage, 74166,
     /*    6898 */     GIR_EraseRootFromParent_Done,
     /*    6899 */   // Label 242: @6899
     /*    6899 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(6974), // Rule ID 2490 //
     /*    6904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6911 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    6915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6936 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    6947 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    6951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6961 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    6964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6972 */     GIR_RootConstrainSelectedInstOperands,
     /*    6973 */     // GIR_Coverage, 2490,
     /*    6973 */     GIR_EraseRootFromParent_Done,
     /*    6974 */   // Label 243: @6974
     /*    6974 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7069), // Rule ID 2500 //
     /*    6979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    6990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7011 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7022 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    7026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7030 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7036 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7052 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    7060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7067 */     GIR_RootConstrainSelectedInstOperands,
     /*    7068 */     // GIR_Coverage, 2500,
     /*    7068 */     GIR_EraseRootFromParent_Done,
     /*    7069 */   // Label 244: @7069
     /*    7069 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7164), // Rule ID 2504 //
     /*    7074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    7085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7106 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    7117 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    7121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7125 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7131 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7147 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    7155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7162 */     GIR_RootConstrainSelectedInstOperands,
     /*    7163 */     // GIR_Coverage, 2504,
     /*    7163 */     GIR_EraseRootFromParent_Done,
     /*    7164 */   // Label 245: @7164
     /*    7164 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7259), // Rule ID 2506 //
     /*    7169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7176 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    7180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7201 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7212 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    7216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7220 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7226 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7242 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7257 */     GIR_RootConstrainSelectedInstOperands,
     /*    7258 */     // GIR_Coverage, 2506,
     /*    7258 */     GIR_EraseRootFromParent_Done,
     /*    7259 */   // Label 246: @7259
     /*    7259 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7354), // Rule ID 2508 //
     /*    7264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7271 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    7275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7296 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    7307 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    7311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7315 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7321 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7337 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7352 */     GIR_RootConstrainSelectedInstOperands,
     /*    7353 */     // GIR_Coverage, 2508,
     /*    7353 */     GIR_EraseRootFromParent_Done,
     /*    7354 */   // Label 247: @7354
     /*    7354 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7449), // Rule ID 2522 //
     /*    7359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7366 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    7370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7391 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    7402 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    7406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7410 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7416 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7432 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    7440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7447 */     GIR_RootConstrainSelectedInstOperands,
     /*    7448 */     // GIR_Coverage, 2522,
     /*    7448 */     GIR_EraseRootFromParent_Done,
     /*    7449 */   // Label 248: @7449
     /*    7449 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(7544), // Rule ID 2524 //
     /*    7454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7461 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    7465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7486 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    7497 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    7501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7511 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7527 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    7535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7542 */     GIR_RootConstrainSelectedInstOperands,
     /*    7543 */     // GIR_Coverage, 2524,
     /*    7543 */     GIR_EraseRootFromParent_Done,
     /*    7544 */   // Label 249: @7544
     /*    7544 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7639), // Rule ID 2526 //
     /*    7549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    7560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7581 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7592 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    7596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7606 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7622 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    7630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7637 */     GIR_RootConstrainSelectedInstOperands,
     /*    7638 */     // GIR_Coverage, 2526,
     /*    7638 */     GIR_EraseRootFromParent_Done,
     /*    7639 */   // Label 250: @7639
     /*    7639 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7714), // Rule ID 64972 //
     /*    7644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7651 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:33:x
     /*    7655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7676 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    7687 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:33:y
     /*    7691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7701 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x, GPR:{ *:[i64] }:$rs2:$pred:33:y)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    7704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7712 */     GIR_RootConstrainSelectedInstOperands,
     /*    7713 */     // GIR_Coverage, 64972,
     /*    7713 */     GIR_EraseRootFromParent_Done,
     /*    7714 */   // Label 251: @7714
     /*    7714 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(7809), // Rule ID 64992 //
     /*    7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7726 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:41:x
     /*    7730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7751 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7762 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:41:y
     /*    7766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7770 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7776 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x, GPR:{ *:[i64] }:$rs2:$pred:41:y)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7792 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    7800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7807 */     GIR_RootConstrainSelectedInstOperands,
     /*    7808 */     // GIR_Coverage, 64992,
     /*    7808 */     GIR_EraseRootFromParent_Done,
     /*    7809 */   // Label 252: @7809
     /*    7809 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(7904), // Rule ID 64996 //
     /*    7814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7821 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:43:x
     /*    7825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7846 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    7857 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:43:y
     /*    7861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7865 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7871 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x, GPR:{ *:[i64] }:$rs2:$pred:43:y)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7887 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    7895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7902 */     GIR_RootConstrainSelectedInstOperands,
     /*    7903 */     // GIR_Coverage, 64996,
     /*    7903 */     GIR_EraseRootFromParent_Done,
     /*    7904 */   // Label 253: @7904
     /*    7904 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(7999), // Rule ID 64998 //
     /*    7909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7916 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:44:x
     /*    7920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7941 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7952 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:44:y
     /*    7956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7966 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x, GPR:{ *:[i64] }:$rs2:$pred:44:y)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7982 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    7990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7997 */     GIR_RootConstrainSelectedInstOperands,
     /*    7998 */     // GIR_Coverage, 64998,
     /*    7998 */     GIR_EraseRootFromParent_Done,
     /*    7999 */   // Label 254: @7999
     /*    7999 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8094), // Rule ID 65000 //
     /*    8004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8011 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:45:x
     /*    8015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8036 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    8047 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:45:y
     /*    8051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8055 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8061 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x, GPR:{ *:[i64] }:$rs2:$pred:45:y)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8077 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8092 */     GIR_RootConstrainSelectedInstOperands,
     /*    8093 */     // GIR_Coverage, 65000,
     /*    8093 */     GIR_EraseRootFromParent_Done,
     /*    8094 */   // Label 255: @8094
     /*    8094 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8189), // Rule ID 65002 //
     /*    8099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8106 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:46:x
     /*    8110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8131 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    8142 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:46:y
     /*    8146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8156 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x, GPR:{ *:[i64] }:$rs2:$pred:46:y)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8172 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    8175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    8180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8187 */     GIR_RootConstrainSelectedInstOperands,
     /*    8188 */     // GIR_Coverage, 65002,
     /*    8188 */     GIR_EraseRootFromParent_Done,
     /*    8189 */   // Label 256: @8189
     /*    8189 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8284), // Rule ID 65004 //
     /*    8194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8201 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:47:x
     /*    8205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8226 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    8237 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:47:y
     /*    8241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8245 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8251 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x, GPR:{ *:[i64] }:$rs2:$pred:47:y)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8267 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    8270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    8275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8282 */     GIR_RootConstrainSelectedInstOperands,
     /*    8283 */     // GIR_Coverage, 65004,
     /*    8283 */     GIR_EraseRootFromParent_Done,
     /*    8284 */   // Label 257: @8284
     /*    8284 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8379), // Rule ID 65006 //
     /*    8289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8296 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:48:x
     /*    8300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8321 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    8332 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:48:y
     /*    8336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8346 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x, GPR:{ *:[i64] }:$rs2:$pred:48:y)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8362 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8377 */     GIR_RootConstrainSelectedInstOperands,
     /*    8378 */     // GIR_Coverage, 65006,
     /*    8378 */     GIR_EraseRootFromParent_Done,
     /*    8379 */   // Label 258: @8379
     /*    8379 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8447), // Rule ID 2453 //
     /*    8384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8391 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    8395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8416 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    8424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8434 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    8437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8445 */     GIR_RootConstrainSelectedInstOperands,
     /*    8446 */     // GIR_Coverage, 2453,
     /*    8446 */     GIR_EraseRootFromParent_Done,
     /*    8447 */   // Label 259: @8447
     /*    8447 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8515), // Rule ID 2463 //
     /*    8452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8459 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    8463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8484 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8488 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    8492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8496 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8502 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    8505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8513 */     GIR_RootConstrainSelectedInstOperands,
     /*    8514 */     // GIR_Coverage, 2463,
     /*    8514 */     GIR_EraseRootFromParent_Done,
     /*    8515 */   // Label 260: @8515
     /*    8515 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8583), // Rule ID 2473 //
     /*    8520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8527 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    8531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8552 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    8560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8564 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8570 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    8573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8581 */     GIR_RootConstrainSelectedInstOperands,
     /*    8582 */     // GIR_Coverage, 2473,
     /*    8582 */     GIR_EraseRootFromParent_Done,
     /*    8583 */   // Label 261: @8583
     /*    8583 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8651), // Rule ID 64935 //
     /*    8588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8595 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    8599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8620 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8624 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    8628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8638 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x, GPR:{ *:[i64] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    8641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8649 */     GIR_RootConstrainSelectedInstOperands,
     /*    8650 */     // GIR_Coverage, 64935,
     /*    8650 */     GIR_EraseRootFromParent_Done,
     /*    8651 */   // Label 262: @8651
     /*    8651 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(8719), // Rule ID 64945 //
     /*    8656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8663 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    8667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8688 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8692 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    8696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8706 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x, GPR:{ *:[i64] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    8709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8717 */     GIR_RootConstrainSelectedInstOperands,
     /*    8718 */     // GIR_Coverage, 64945,
     /*    8718 */     GIR_EraseRootFromParent_Done,
     /*    8719 */   // Label 263: @8719
     /*    8719 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(8787), // Rule ID 64955 //
     /*    8724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8731 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    8735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8756 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8760 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    8764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8768 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8774 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x, GPR:{ *:[i64] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    8777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8785 */     GIR_RootConstrainSelectedInstOperands,
     /*    8786 */     // GIR_Coverage, 64955,
     /*    8786 */     GIR_EraseRootFromParent_Done,
     /*    8787 */   // Label 264: @8787
     /*    8787 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(8862), // Rule ID 65281 //
     /*    8792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    8803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8807 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    8811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8832 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    8843 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8849 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    8852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    8860 */     GIR_RootConstrainSelectedInstOperands,
     /*    8861 */     // GIR_Coverage, 65281,
     /*    8861 */     GIR_EraseRootFromParent_Done,
     /*    8862 */   // Label 265: @8862
     /*    8862 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(8957), // Rule ID 65289 //
     /*    8867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8874 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    8878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8882 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    8886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8907 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    8918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8924 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8940 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    8943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    8948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    8955 */     GIR_RootConstrainSelectedInstOperands,
     /*    8956 */     // GIR_Coverage, 65289,
     /*    8956 */     GIR_EraseRootFromParent_Done,
     /*    8957 */   // Label 266: @8957
     /*    8957 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9052), // Rule ID 65293 //
     /*    8962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8969 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    8973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8977 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    8981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9002 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9013 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9019 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9035 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    9043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9050 */     GIR_RootConstrainSelectedInstOperands,
     /*    9051 */     // GIR_Coverage, 65293,
     /*    9051 */     GIR_EraseRootFromParent_Done,
     /*    9052 */   // Label 267: @9052
     /*    9052 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9147), // Rule ID 65295 //
     /*    9057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9064 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    9068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9072 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    9076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9097 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9114 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9130 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9145 */     GIR_RootConstrainSelectedInstOperands,
     /*    9146 */     // GIR_Coverage, 65295,
     /*    9146 */     GIR_EraseRootFromParent_Done,
     /*    9147 */   // Label 268: @9147
     /*    9147 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9242), // Rule ID 65297 //
     /*    9152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9159 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    9163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9167 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    9171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9192 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    9203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9209 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9225 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9240 */     GIR_RootConstrainSelectedInstOperands,
     /*    9241 */     // GIR_Coverage, 65297,
     /*    9241 */     GIR_EraseRootFromParent_Done,
     /*    9242 */   // Label 269: @9242
     /*    9242 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9337), // Rule ID 65307 //
     /*    9247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9254 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    9258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9262 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    9266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9287 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    9298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9304 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9320 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    9328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9335 */     GIR_RootConstrainSelectedInstOperands,
     /*    9336 */     // GIR_Coverage, 65307,
     /*    9336 */     GIR_EraseRootFromParent_Done,
     /*    9337 */   // Label 270: @9337
     /*    9337 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9432), // Rule ID 65309 //
     /*    9342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9349 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    9353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9357 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    9361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9382 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    9393 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9399 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9415 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    9423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9430 */     GIR_RootConstrainSelectedInstOperands,
     /*    9431 */     // GIR_Coverage, 65309,
     /*    9431 */     GIR_EraseRootFromParent_Done,
     /*    9432 */   // Label 271: @9432
     /*    9432 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9527), // Rule ID 65311 //
     /*    9437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9444 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    9448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9452 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    9456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9477 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9494 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9510 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    9518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9525 */     GIR_RootConstrainSelectedInstOperands,
     /*    9526 */     // GIR_Coverage, 65311,
     /*    9526 */     GIR_EraseRootFromParent_Done,
     /*    9527 */   // Label 272: @9527
     /*    9527 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9602), // Rule ID 74154 //
     /*    9532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9539 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:33:y
     /*    9543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9547 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:33:x
     /*    9551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9572 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    9583 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9589 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:33:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    9589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    9592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9600 */     GIR_RootConstrainSelectedInstOperands,
     /*    9601 */     // GIR_Coverage, 74154,
     /*    9601 */     GIR_EraseRootFromParent_Done,
     /*    9602 */   // Label 273: @9602
     /*    9602 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9697), // Rule ID 74170 //
     /*    9607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:41:y
     /*    9618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:41:x
     /*    9626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9647 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    9658 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9664 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:41:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9680 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    9688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9695 */     GIR_RootConstrainSelectedInstOperands,
     /*    9696 */     // GIR_Coverage, 74170,
     /*    9696 */     GIR_EraseRootFromParent_Done,
     /*    9697 */   // Label 274: @9697
     /*    9697 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(9792), // Rule ID 74174 //
     /*    9702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9709 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:43:y
     /*    9713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9717 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:43:x
     /*    9721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9742 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9759 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:43:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    9783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9790 */     GIR_RootConstrainSelectedInstOperands,
     /*    9791 */     // GIR_Coverage, 74174,
     /*    9791 */     GIR_EraseRootFromParent_Done,
     /*    9792 */   // Label 275: @9792
     /*    9792 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(9887), // Rule ID 74176 //
     /*    9797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9804 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:44:y
     /*    9808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9812 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:44:x
     /*    9816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9837 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9848 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9854 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:44:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9870 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    9878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9885 */     GIR_RootConstrainSelectedInstOperands,
     /*    9886 */     // GIR_Coverage, 74176,
     /*    9886 */     GIR_EraseRootFromParent_Done,
     /*    9887 */   // Label 276: @9887
     /*    9887 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(9982), // Rule ID 74178 //
     /*    9892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9899 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:45:y
     /*    9903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9907 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:45:x
     /*    9911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9932 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    9943 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9949 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:45:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9965 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    9973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9980 */     GIR_RootConstrainSelectedInstOperands,
     /*    9981 */     // GIR_Coverage, 74178,
     /*    9981 */     GIR_EraseRootFromParent_Done,
     /*    9982 */   // Label 277: @9982
     /*    9982 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10077), // Rule ID 74180 //
     /*    9987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9994 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:46:y
     /*    9998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:46:x
     /*   10006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10027 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*   10038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10044 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:46:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10060 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   10063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*   10068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10075 */     GIR_RootConstrainSelectedInstOperands,
     /*   10076 */     // GIR_Coverage, 74180,
     /*   10076 */     GIR_EraseRootFromParent_Done,
     /*   10077 */   // Label 278: @10077
     /*   10077 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10172), // Rule ID 74182 //
     /*   10082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:47:y
     /*   10093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10097 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:47:x
     /*   10101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10122 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*   10133 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10139 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:47:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10155 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*   10158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*   10163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10170 */     GIR_RootConstrainSelectedInstOperands,
     /*   10171 */     // GIR_Coverage, 74182,
     /*   10171 */     GIR_EraseRootFromParent_Done,
     /*   10172 */   // Label 279: @10172
     /*   10172 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10267), // Rule ID 74184 //
     /*   10177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10184 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:48:y
     /*   10188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10192 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:48:x
     /*   10196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10217 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*   10228 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10234 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:48:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10250 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*   10253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*   10258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10265 */     GIR_RootConstrainSelectedInstOperands,
     /*   10266 */     // GIR_Coverage, 74184,
     /*   10266 */     GIR_EraseRootFromParent_Done,
     /*   10267 */   // Label 280: @10267
     /*   10267 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10335), // Rule ID 65258 //
     /*   10272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10279 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*   10283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10287 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*   10291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10312 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10322 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*   10325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10333 */     GIR_RootConstrainSelectedInstOperands,
     /*   10334 */     // GIR_Coverage, 65258,
     /*   10334 */     GIR_EraseRootFromParent_Done,
     /*   10335 */   // Label 281: @10335
     /*   10335 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10403), // Rule ID 65266 //
     /*   10340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10347 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*   10351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10355 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*   10359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10380 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10384 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10390 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*   10393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10401 */     GIR_RootConstrainSelectedInstOperands,
     /*   10402 */     // GIR_Coverage, 65266,
     /*   10402 */     GIR_EraseRootFromParent_Done,
     /*   10403 */   // Label 282: @10403
     /*   10403 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10471), // Rule ID 65274 //
     /*   10408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10415 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*   10419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10423 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*   10427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10448 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10452 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10458 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*   10461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10469 */     GIR_RootConstrainSelectedInstOperands,
     /*   10470 */     // GIR_Coverage, 65274,
     /*   10470 */     GIR_EraseRootFromParent_Done,
     /*   10471 */   // Label 283: @10471
     /*   10471 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10539), // Rule ID 74131 //
     /*   10476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10483 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*   10487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10491 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*   10495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10516 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10520 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10526 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:27:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*   10529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10537 */     GIR_RootConstrainSelectedInstOperands,
     /*   10538 */     // GIR_Coverage, 74131,
     /*   10538 */     GIR_EraseRootFromParent_Done,
     /*   10539 */   // Label 284: @10539
     /*   10539 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10607), // Rule ID 74139 //
     /*   10544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10551 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*   10555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10559 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*   10563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10584 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10594 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:29:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*   10597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10605 */     GIR_RootConstrainSelectedInstOperands,
     /*   10606 */     // GIR_Coverage, 74139,
     /*   10606 */     GIR_EraseRootFromParent_Done,
     /*   10607 */   // Label 285: @10607
     /*   10607 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10675), // Rule ID 74147 //
     /*   10612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10619 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*   10623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10627 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*   10631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10652 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10662 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:31:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*   10665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10673 */     GIR_RootConstrainSelectedInstOperands,
     /*   10674 */     // GIR_Coverage, 74147,
     /*   10674 */     GIR_EraseRootFromParent_Done,
     /*   10675 */   // Label 286: @10675
     /*   10675 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10754), // Rule ID 62515 //
     /*   10680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10687 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*   10691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10720 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10724 */     // MIs[2] Operand 1
     /*   10724 */     // No operand predicates
     /*   10724 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*   10728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10738 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   10745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10752 */     GIR_RootConstrainSelectedInstOperands,
     /*   10753 */     // GIR_Coverage, 62515,
     /*   10753 */     GIR_EraseRootFromParent_Done,
     /*   10754 */   // Label 287: @10754
     /*   10754 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10833), // Rule ID 74090 //
     /*   10759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10766 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*   10770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10774 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*   10778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10807 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10811 */     // MIs[2] Operand 1
     /*   10811 */     // No operand predicates
     /*   10811 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10817 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10831 */     GIR_RootConstrainSelectedInstOperands,
     /*   10832 */     // GIR_Coverage, 74090,
     /*   10832 */     GIR_EraseRootFromParent_Done,
     /*   10833 */   // Label 288: @10833
     /*   10833 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10882), // Rule ID 114 //
     /*   10838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   10841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*   10853 */     // MIs[1] Operand 1
     /*   10853 */     // No operand predicates
     /*   10853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   10857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10861 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   10865 */     // MIs[2] Operand 1
     /*   10865 */     // No operand predicates
     /*   10865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10867 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*   10867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   10870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10872 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   10877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*   10880 */     GIR_RootConstrainSelectedInstOperands,
     /*   10881 */     // GIR_Coverage, 114,
     /*   10881 */     GIR_EraseRootFromParent_Done,
     /*   10882 */   // Label 289: @10882
     /*   10882 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(10928), // Rule ID 265 //
     /*   10887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   10910 */     // MIs[1] Operand 1
     /*   10910 */     // No operand predicates
     /*   10910 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   10914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10916 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10046>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   10916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   10926 */     GIR_RootConstrainSelectedInstOperands,
     /*   10927 */     // GIR_Coverage, 265,
     /*   10927 */     GIR_EraseRootFromParent_Done,
     /*   10928 */   // Label 290: @10928
     /*   10928 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(11004), // Rule ID 287 //
     /*   10933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   10956 */     // MIs[1] Operand 1
     /*   10956 */     // No operand predicates
     /*   10956 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10074),
     /*   10960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   10964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10966 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10074>>:$rs2)<<P:Predicate_anonymous_10046>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   10966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   10982 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   10987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10997 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11002 */     GIR_RootConstrainSelectedInstOperands,
     /*   11003 */     // GIR_Coverage, 287,
     /*   11003 */     GIR_EraseRootFromParent_Done,
     /*   11004 */   // Label 291: @11004
     /*   11004 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11069), // Rule ID 74106 //
     /*   11009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11052 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10046>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11067 */     GIR_RootConstrainSelectedInstOperands,
     /*   11068 */     // GIR_Coverage, 74106,
     /*   11068 */     GIR_EraseRootFromParent_Done,
     /*   11069 */   // Label 292: @11069
     /*   11069 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11134), // Rule ID 62586 //
     /*   11074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11117 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10046>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11132 */     GIR_RootConstrainSelectedInstOperands,
     /*   11133 */     // GIR_Coverage, 62586,
     /*   11133 */     GIR_EraseRootFromParent_Done,
     /*   11134 */   // Label 293: @11134
     /*   11134 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11176), // Rule ID 74 //
     /*   11139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   11162 */     // MIs[1] Operand 1
     /*   11162 */     // No operand predicates
     /*   11162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11164 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   11164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   11174 */     GIR_RootConstrainSelectedInstOperands,
     /*   11175 */     // GIR_Coverage, 74,
     /*   11175 */     GIR_EraseRootFromParent_Done,
     /*   11176 */   // Label 294: @11176
     /*   11176 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11248), // Rule ID 285 //
     /*   11181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   11204 */     // MIs[1] Operand 1
     /*   11204 */     // No operand predicates
     /*   11204 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10074),
     /*   11208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11210 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10074>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   11210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   11213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   11226 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   11231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11241 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11246 */     GIR_RootConstrainSelectedInstOperands,
     /*   11247 */     // GIR_Coverage, 285,
     /*   11247 */     GIR_EraseRootFromParent_Done,
     /*   11248 */   // Label 295: @11248
     /*   11248 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11309), // Rule ID 74104 //
     /*   11253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11292 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11307 */     GIR_RootConstrainSelectedInstOperands,
     /*   11308 */     // GIR_Coverage, 74104,
     /*   11308 */     GIR_EraseRootFromParent_Done,
     /*   11309 */   // Label 296: @11309
     /*   11309 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11370), // Rule ID 62582 //
     /*   11314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11353 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11368 */     GIR_RootConstrainSelectedInstOperands,
     /*   11369 */     // GIR_Coverage, 62582,
     /*   11369 */     GIR_EraseRootFromParent_Done,
     /*   11370 */   // Label 297: @11370
     /*   11370 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11401), // Rule ID 264 //
     /*   11375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   11378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10046),
     /*   11394 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10046>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*   11399 */     GIR_RootConstrainSelectedInstOperands,
     /*   11400 */     // GIR_Coverage, 264,
     /*   11400 */     GIR_Done,
     /*   11401 */   // Label 298: @11401
     /*   11401 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11428), // Rule ID 72 //
     /*   11406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11421 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*   11426 */     GIR_RootConstrainSelectedInstOperands,
     /*   11427 */     // GIR_Coverage, 72,
     /*   11427 */     GIR_Done,
     /*   11428 */   // Label 299: @11428
     /*   11428 */   GIM_Reject,
     /*   11429 */ // Label 192: @11429
     /*   11429 */ GIM_Reject,
     /*   11430 */ // Label 128: @11430
     /*   11430 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11824),
     /*   11435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11445 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11513), // Rule ID 69054 //
     /*   11450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11487 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11511 */     GIR_RootConstrainSelectedInstOperands,
     /*   11512 */     // GIR_Coverage, 69054,
     /*   11512 */     GIR_EraseRootFromParent_Done,
     /*   11513 */   // Label 301: @11513
     /*   11513 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11581), // Rule ID 69055 //
     /*   11518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11555 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11579 */     GIR_RootConstrainSelectedInstOperands,
     /*   11580 */     // GIR_Coverage, 69055,
     /*   11580 */     GIR_EraseRootFromParent_Done,
     /*   11581 */   // Label 302: @11581
     /*   11581 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(11649), // Rule ID 45808 //
     /*   11586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11623 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11647 */     GIR_RootConstrainSelectedInstOperands,
     /*   11648 */     // GIR_Coverage, 45808,
     /*   11648 */     GIR_EraseRootFromParent_Done,
     /*   11649 */   // Label 303: @11649
     /*   11649 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(11717), // Rule ID 45809 //
     /*   11654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11691 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11715 */     GIR_RootConstrainSelectedInstOperands,
     /*   11716 */     // GIR_Coverage, 45809,
     /*   11716 */     GIR_EraseRootFromParent_Done,
     /*   11717 */   // Label 304: @11717
     /*   11717 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(11770), // Rule ID 45636 //
     /*   11722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11733 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11768 */     GIR_RootConstrainSelectedInstOperands,
     /*   11769 */     // GIR_Coverage, 45636,
     /*   11769 */     GIR_EraseRootFromParent_Done,
     /*   11770 */   // Label 305: @11770
     /*   11770 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(11823), // Rule ID 45637 //
     /*   11775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11786 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11821 */     GIR_RootConstrainSelectedInstOperands,
     /*   11822 */     // GIR_Coverage, 45637,
     /*   11822 */     GIR_EraseRootFromParent_Done,
     /*   11823 */   // Label 306: @11823
     /*   11823 */   GIM_Reject,
     /*   11824 */ // Label 300: @11824
     /*   11824 */ GIM_Reject,
     /*   11825 */ // Label 129: @11825
     /*   11825 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(14949),
     /*   11830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11840 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(11936), // Rule ID 68968 //
     /*   11845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11893 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11897 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11899 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11910 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   11913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11934 */     GIR_RootConstrainSelectedInstOperands,
     /*   11935 */     // GIR_Coverage, 68968,
     /*   11935 */     GIR_EraseRootFromParent_Done,
     /*   11936 */   // Label 308: @11936
     /*   11936 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12032), // Rule ID 68969 //
     /*   11941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11993 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11995 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12004 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12006 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12030 */     GIR_RootConstrainSelectedInstOperands,
     /*   12031 */     // GIR_Coverage, 68969,
     /*   12031 */     GIR_EraseRootFromParent_Done,
     /*   12032 */   // Label 309: @12032
     /*   12032 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12128), // Rule ID 70794 //
     /*   12037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12085 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12089 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12102 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12126 */     GIR_RootConstrainSelectedInstOperands,
     /*   12127 */     // GIR_Coverage, 70794,
     /*   12127 */     GIR_EraseRootFromParent_Done,
     /*   12128 */   // Label 310: @12128
     /*   12128 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12224), // Rule ID 70795 //
     /*   12133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12181 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12185 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12187 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12198 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12222 */     GIR_RootConstrainSelectedInstOperands,
     /*   12223 */     // GIR_Coverage, 70795,
     /*   12223 */     GIR_EraseRootFromParent_Done,
     /*   12224 */   // Label 311: @12224
     /*   12224 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12320), // Rule ID 70796 //
     /*   12229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12277 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12281 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12283 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12294 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12318 */     GIR_RootConstrainSelectedInstOperands,
     /*   12319 */     // GIR_Coverage, 70796,
     /*   12319 */     GIR_EraseRootFromParent_Done,
     /*   12320 */   // Label 312: @12320
     /*   12320 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12416), // Rule ID 70797 //
     /*   12325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12373 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12377 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12379 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12388 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12390 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12414 */     GIR_RootConstrainSelectedInstOperands,
     /*   12415 */     // GIR_Coverage, 70797,
     /*   12415 */     GIR_EraseRootFromParent_Done,
     /*   12416 */   // Label 313: @12416
     /*   12416 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(12512), // Rule ID 70672 //
     /*   12421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12461 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12465 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12469 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12473 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12475 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12486 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12510 */     GIR_RootConstrainSelectedInstOperands,
     /*   12511 */     // GIR_Coverage, 70672,
     /*   12511 */     GIR_EraseRootFromParent_Done,
     /*   12512 */   // Label 314: @12512
     /*   12512 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(12608), // Rule ID 70673 //
     /*   12517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12565 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12569 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12571 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12582 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12606 */     GIR_RootConstrainSelectedInstOperands,
     /*   12607 */     // GIR_Coverage, 70673,
     /*   12607 */     GIR_EraseRootFromParent_Done,
     /*   12608 */   // Label 315: @12608
     /*   12608 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(12704), // Rule ID 45720 //
     /*   12613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12657 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12661 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12665 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12669 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12671 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12678 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12702 */     GIR_RootConstrainSelectedInstOperands,
     /*   12703 */     // GIR_Coverage, 45720,
     /*   12703 */     GIR_EraseRootFromParent_Done,
     /*   12704 */   // Label 316: @12704
     /*   12704 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(12800), // Rule ID 45721 //
     /*   12709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12746 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12761 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12765 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12767 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12774 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12798 */     GIR_RootConstrainSelectedInstOperands,
     /*   12799 */     // GIR_Coverage, 45721,
     /*   12799 */     GIR_EraseRootFromParent_Done,
     /*   12800 */   // Label 317: @12800
     /*   12800 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(12896), // Rule ID 52040 //
     /*   12805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12842 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12857 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12861 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12863 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12868 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12870 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12894 */     GIR_RootConstrainSelectedInstOperands,
     /*   12895 */     // GIR_Coverage, 52040,
     /*   12895 */     GIR_EraseRootFromParent_Done,
     /*   12896 */   // Label 318: @12896
     /*   12896 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(12992), // Rule ID 52041 //
     /*   12901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12953 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12957 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12959 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12966 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12990 */     GIR_RootConstrainSelectedInstOperands,
     /*   12991 */     // GIR_Coverage, 52041,
     /*   12991 */     GIR_EraseRootFromParent_Done,
     /*   12992 */   // Label 319: @12992
     /*   12992 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13088), // Rule ID 70792 //
     /*   12997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13034 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13049 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13053 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13055 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13062 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13086 */     GIR_RootConstrainSelectedInstOperands,
     /*   13087 */     // GIR_Coverage, 70792,
     /*   13087 */     GIR_EraseRootFromParent_Done,
     /*   13088 */   // Label 320: @13088
     /*   13088 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13184), // Rule ID 70793 //
     /*   13093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13145 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13149 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13151 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13158 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13182 */     GIR_RootConstrainSelectedInstOperands,
     /*   13183 */     // GIR_Coverage, 70793,
     /*   13183 */     GIR_EraseRootFromParent_Done,
     /*   13184 */   // Label 321: @13184
     /*   13184 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13280), // Rule ID 51980 //
     /*   13189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13226 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13241 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13245 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13247 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13254 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13278 */     GIR_RootConstrainSelectedInstOperands,
     /*   13279 */     // GIR_Coverage, 51980,
     /*   13279 */     GIR_EraseRootFromParent_Done,
     /*   13280 */   // Label 322: @13280
     /*   13280 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13376), // Rule ID 51981 //
     /*   13285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13322 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13337 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13341 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13343 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13348 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13350 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13374 */     GIR_RootConstrainSelectedInstOperands,
     /*   13375 */     // GIR_Coverage, 51981,
     /*   13375 */     GIR_EraseRootFromParent_Done,
     /*   13376 */   // Label 323: @13376
     /*   13376 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13465), // Rule ID 46566 //
     /*   13381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13424 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13463 */     GIR_RootConstrainSelectedInstOperands,
     /*   13464 */     // GIR_Coverage, 46566,
     /*   13464 */     GIR_EraseRootFromParent_Done,
     /*   13465 */   // Label 324: @13465
     /*   13465 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13554), // Rule ID 46567 //
     /*   13470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13513 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13552 */     GIR_RootConstrainSelectedInstOperands,
     /*   13553 */     // GIR_Coverage, 46567,
     /*   13553 */     GIR_EraseRootFromParent_Done,
     /*   13554 */   // Label 325: @13554
     /*   13554 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13643), // Rule ID 45712 //
     /*   13559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13593 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13602 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13641 */     GIR_RootConstrainSelectedInstOperands,
     /*   13642 */     // GIR_Coverage, 45712,
     /*   13642 */     GIR_EraseRootFromParent_Done,
     /*   13643 */   // Label 326: @13643
     /*   13643 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13732), // Rule ID 45713 //
     /*   13648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13682 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13691 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13730 */     GIR_RootConstrainSelectedInstOperands,
     /*   13731 */     // GIR_Coverage, 45713,
     /*   13731 */     GIR_EraseRootFromParent_Done,
     /*   13732 */   // Label 327: @13732
     /*   13732 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13821), // Rule ID 46446 //
     /*   13737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13771 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13773 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13780 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13819 */     GIR_RootConstrainSelectedInstOperands,
     /*   13820 */     // GIR_Coverage, 46446,
     /*   13820 */     GIR_EraseRootFromParent_Done,
     /*   13821 */   // Label 328: @13821
     /*   13821 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13910), // Rule ID 46447 //
     /*   13826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13869 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13908 */     GIR_RootConstrainSelectedInstOperands,
     /*   13909 */     // GIR_Coverage, 46447,
     /*   13909 */     GIR_EraseRootFromParent_Done,
     /*   13910 */   // Label 329: @13910
     /*   13910 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13978), // Rule ID 70364 //
     /*   13915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13930 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13934 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13952 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   13955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13976 */     GIR_RootConstrainSelectedInstOperands,
     /*   13977 */     // GIR_Coverage, 70364,
     /*   13977 */     GIR_EraseRootFromParent_Done,
     /*   13978 */   // Label 330: @13978
     /*   13978 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(14046), // Rule ID 70365 //
     /*   13983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14020 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14044 */     GIR_RootConstrainSelectedInstOperands,
     /*   14045 */     // GIR_Coverage, 70365,
     /*   14045 */     GIR_EraseRootFromParent_Done,
     /*   14046 */   // Label 331: @14046
     /*   14046 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14101), // Rule ID 69356 //
     /*   14051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14079 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14099 */     GIR_RootConstrainSelectedInstOperands,
     /*   14100 */     // GIR_Coverage, 69356,
     /*   14100 */     GIR_EraseRootFromParent_Done,
     /*   14101 */   // Label 332: @14101
     /*   14101 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14156), // Rule ID 69357 //
     /*   14106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14134 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14154 */     GIR_RootConstrainSelectedInstOperands,
     /*   14155 */     // GIR_Coverage, 69357,
     /*   14155 */     GIR_EraseRootFromParent_Done,
     /*   14156 */   // Label 333: @14156
     /*   14156 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14211), // Rule ID 68964 //
     /*   14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14189 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14209 */     GIR_RootConstrainSelectedInstOperands,
     /*   14210 */     // GIR_Coverage, 68964,
     /*   14210 */     GIR_EraseRootFromParent_Done,
     /*   14211 */   // Label 334: @14211
     /*   14211 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14266), // Rule ID 68965 //
     /*   14216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14244 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14264 */     GIR_RootConstrainSelectedInstOperands,
     /*   14265 */     // GIR_Coverage, 68965,
     /*   14265 */     GIR_EraseRootFromParent_Done,
     /*   14266 */   // Label 335: @14266
     /*   14266 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14321), // Rule ID 69266 //
     /*   14271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14299 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14319 */     GIR_RootConstrainSelectedInstOperands,
     /*   14320 */     // GIR_Coverage, 69266,
     /*   14320 */     GIR_EraseRootFromParent_Done,
     /*   14321 */   // Label 336: @14321
     /*   14321 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14376), // Rule ID 69267 //
     /*   14326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14354 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14374 */     GIR_RootConstrainSelectedInstOperands,
     /*   14375 */     // GIR_Coverage, 69267,
     /*   14375 */     GIR_EraseRootFromParent_Done,
     /*   14376 */   // Label 337: @14376
     /*   14376 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14444), // Rule ID 51760 //
     /*   14381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14418 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   14418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14442 */     GIR_RootConstrainSelectedInstOperands,
     /*   14443 */     // GIR_Coverage, 51760,
     /*   14443 */     GIR_EraseRootFromParent_Done,
     /*   14444 */   // Label 338: @14444
     /*   14444 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14512), // Rule ID 51761 //
     /*   14449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14486 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14510 */     GIR_RootConstrainSelectedInstOperands,
     /*   14511 */     // GIR_Coverage, 51761,
     /*   14511 */     GIR_EraseRootFromParent_Done,
     /*   14512 */   // Label 339: @14512
     /*   14512 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14567), // Rule ID 46626 //
     /*   14517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14545 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14565 */     GIR_RootConstrainSelectedInstOperands,
     /*   14566 */     // GIR_Coverage, 46626,
     /*   14566 */     GIR_EraseRootFromParent_Done,
     /*   14567 */   // Label 340: @14567
     /*   14567 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14622), // Rule ID 46627 //
     /*   14572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14600 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14620 */     GIR_RootConstrainSelectedInstOperands,
     /*   14621 */     // GIR_Coverage, 46627,
     /*   14621 */     GIR_EraseRootFromParent_Done,
     /*   14622 */   // Label 341: @14622
     /*   14622 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(14677), // Rule ID 45716 //
     /*   14627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14655 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14675 */     GIR_RootConstrainSelectedInstOperands,
     /*   14676 */     // GIR_Coverage, 45716,
     /*   14676 */     GIR_EraseRootFromParent_Done,
     /*   14677 */   // Label 342: @14677
     /*   14677 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(14732), // Rule ID 45717 //
     /*   14682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14710 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14730 */     GIR_RootConstrainSelectedInstOperands,
     /*   14731 */     // GIR_Coverage, 45717,
     /*   14731 */     GIR_EraseRootFromParent_Done,
     /*   14732 */   // Label 343: @14732
     /*   14732 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(14787), // Rule ID 46506 //
     /*   14737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14765 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14785 */     GIR_RootConstrainSelectedInstOperands,
     /*   14786 */     // GIR_Coverage, 46506,
     /*   14786 */     GIR_EraseRootFromParent_Done,
     /*   14787 */   // Label 344: @14787
     /*   14787 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(14842), // Rule ID 46507 //
     /*   14792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14820 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14840 */     GIR_RootConstrainSelectedInstOperands,
     /*   14841 */     // GIR_Coverage, 46507,
     /*   14841 */     GIR_EraseRootFromParent_Done,
     /*   14842 */   // Label 345: @14842
     /*   14842 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(14895), // Rule ID 45992 //
     /*   14847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14858 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   14858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   14861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   14875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14893 */     GIR_RootConstrainSelectedInstOperands,
     /*   14894 */     // GIR_Coverage, 45992,
     /*   14894 */     GIR_EraseRootFromParent_Done,
     /*   14895 */   // Label 346: @14895
     /*   14895 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(14948), // Rule ID 45993 //
     /*   14900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14911 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   14911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   14914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   14928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14946 */     GIR_RootConstrainSelectedInstOperands,
     /*   14947 */     // GIR_Coverage, 45993,
     /*   14947 */     GIR_EraseRootFromParent_Done,
     /*   14948 */   // Label 347: @14948
     /*   14948 */   GIM_Reject,
     /*   14949 */ // Label 307: @14949
     /*   14949 */ GIM_Reject,
     /*   14950 */ // Label 130: @14950
     /*   14950 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(18074),
     /*   14955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   14961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14965 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15061), // Rule ID 70570 //
     /*   14970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   14989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15010 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15014 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15018 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15022 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15024 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15033 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15035 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15059 */     GIR_RootConstrainSelectedInstOperands,
     /*   15060 */     // GIR_Coverage, 70570,
     /*   15060 */     GIR_EraseRootFromParent_Done,
     /*   15061 */   // Label 349: @15061
     /*   15061 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15157), // Rule ID 70571 //
     /*   15066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15110 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15114 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15118 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15120 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15129 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15131 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15155 */     GIR_RootConstrainSelectedInstOperands,
     /*   15156 */     // GIR_Coverage, 70571,
     /*   15156 */     GIR_EraseRootFromParent_Done,
     /*   15157 */   // Label 350: @15157
     /*   15157 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15253), // Rule ID 70830 //
     /*   15162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15210 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15214 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15216 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15227 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15251 */     GIR_RootConstrainSelectedInstOperands,
     /*   15252 */     // GIR_Coverage, 70830,
     /*   15252 */     GIR_EraseRootFromParent_Done,
     /*   15253 */   // Label 351: @15253
     /*   15253 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15349), // Rule ID 70831 //
     /*   15258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15306 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15310 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15312 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15321 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15323 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15347 */     GIR_RootConstrainSelectedInstOperands,
     /*   15348 */     // GIR_Coverage, 70831,
     /*   15348 */     GIR_EraseRootFromParent_Done,
     /*   15349 */   // Label 352: @15349
     /*   15349 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(15445), // Rule ID 70832 //
     /*   15354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15402 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15406 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15408 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15417 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15419 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15443 */     GIR_RootConstrainSelectedInstOperands,
     /*   15444 */     // GIR_Coverage, 70832,
     /*   15444 */     GIR_EraseRootFromParent_Done,
     /*   15445 */   // Label 353: @15445
     /*   15445 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(15541), // Rule ID 70833 //
     /*   15450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15483 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15498 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15502 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15504 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15513 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15515 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15539 */     GIR_RootConstrainSelectedInstOperands,
     /*   15540 */     // GIR_Coverage, 70833,
     /*   15540 */     GIR_EraseRootFromParent_Done,
     /*   15541 */   // Label 354: @15541
     /*   15541 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(15637), // Rule ID 70684 //
     /*   15546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15579 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15594 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15598 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15600 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15609 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15611 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15635 */     GIR_RootConstrainSelectedInstOperands,
     /*   15636 */     // GIR_Coverage, 70684,
     /*   15636 */     GIR_EraseRootFromParent_Done,
     /*   15637 */   // Label 355: @15637
     /*   15637 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(15733), // Rule ID 70685 //
     /*   15642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15690 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15694 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15696 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15707 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15731 */     GIR_RootConstrainSelectedInstOperands,
     /*   15732 */     // GIR_Coverage, 70685,
     /*   15732 */     GIR_EraseRootFromParent_Done,
     /*   15733 */   // Label 356: @15733
     /*   15733 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(15829), // Rule ID 51934 //
     /*   15738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15790 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15794 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15796 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15803 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15827 */     GIR_RootConstrainSelectedInstOperands,
     /*   15828 */     // GIR_Coverage, 51934,
     /*   15828 */     GIR_EraseRootFromParent_Done,
     /*   15829 */   // Label 357: @15829
     /*   15829 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(15925), // Rule ID 51935 //
     /*   15834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15886 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15890 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15892 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15899 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15923 */     GIR_RootConstrainSelectedInstOperands,
     /*   15924 */     // GIR_Coverage, 51935,
     /*   15924 */     GIR_EraseRootFromParent_Done,
     /*   15925 */   // Label 358: @15925
     /*   15925 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16021), // Rule ID 52052 //
     /*   15930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15982 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15986 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15988 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15993 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15995 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16019 */     GIR_RootConstrainSelectedInstOperands,
     /*   16020 */     // GIR_Coverage, 52052,
     /*   16020 */     GIR_EraseRootFromParent_Done,
     /*   16021 */   // Label 359: @16021
     /*   16021 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16117), // Rule ID 52053 //
     /*   16026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16063 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16082 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16084 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16091 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16115 */     GIR_RootConstrainSelectedInstOperands,
     /*   16116 */     // GIR_Coverage, 52053,
     /*   16116 */     GIR_EraseRootFromParent_Done,
     /*   16117 */   // Label 360: @16117
     /*   16117 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16213), // Rule ID 70828 //
     /*   16122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16178 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16180 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16185 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16187 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16211 */     GIR_RootConstrainSelectedInstOperands,
     /*   16212 */     // GIR_Coverage, 70828,
     /*   16212 */     GIR_EraseRootFromParent_Done,
     /*   16213 */   // Label 361: @16213
     /*   16213 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16309), // Rule ID 70829 //
     /*   16218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16270 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16274 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16276 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16283 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16307 */     GIR_RootConstrainSelectedInstOperands,
     /*   16308 */     // GIR_Coverage, 70829,
     /*   16308 */     GIR_EraseRootFromParent_Done,
     /*   16309 */   // Label 362: @16309
     /*   16309 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16405), // Rule ID 51992 //
     /*   16314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16366 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16370 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16372 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16379 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16403 */     GIR_RootConstrainSelectedInstOperands,
     /*   16404 */     // GIR_Coverage, 51992,
     /*   16404 */     GIR_EraseRootFromParent_Done,
     /*   16405 */   // Label 363: @16405
     /*   16405 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16501), // Rule ID 51993 //
     /*   16410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16462 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16466 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16468 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16475 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16499 */     GIR_RootConstrainSelectedInstOperands,
     /*   16500 */     // GIR_Coverage, 51993,
     /*   16500 */     GIR_EraseRootFromParent_Done,
     /*   16501 */   // Label 364: @16501
     /*   16501 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16590), // Rule ID 46590 //
     /*   16506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16549 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16588 */     GIR_RootConstrainSelectedInstOperands,
     /*   16589 */     // GIR_Coverage, 46590,
     /*   16589 */     GIR_EraseRootFromParent_Done,
     /*   16590 */   // Label 365: @16590
     /*   16590 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16679), // Rule ID 46591 //
     /*   16595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16638 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16677 */     GIR_RootConstrainSelectedInstOperands,
     /*   16678 */     // GIR_Coverage, 46591,
     /*   16678 */     GIR_EraseRootFromParent_Done,
     /*   16679 */   // Label 366: @16679
     /*   16679 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16768), // Rule ID 46354 //
     /*   16684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16718 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16727 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16766 */     GIR_RootConstrainSelectedInstOperands,
     /*   16767 */     // GIR_Coverage, 46354,
     /*   16767 */     GIR_EraseRootFromParent_Done,
     /*   16768 */   // Label 367: @16768
     /*   16768 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16857), // Rule ID 46355 //
     /*   16773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16807 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16816 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16855 */     GIR_RootConstrainSelectedInstOperands,
     /*   16856 */     // GIR_Coverage, 46355,
     /*   16856 */     GIR_EraseRootFromParent_Done,
     /*   16857 */   // Label 368: @16857
     /*   16857 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16946), // Rule ID 46470 //
     /*   16862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16905 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16944 */     GIR_RootConstrainSelectedInstOperands,
     /*   16945 */     // GIR_Coverage, 46470,
     /*   16945 */     GIR_EraseRootFromParent_Done,
     /*   16946 */   // Label 369: @16946
     /*   16946 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17035), // Rule ID 46471 //
     /*   16951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16994 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   17011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   17020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17033 */     GIR_RootConstrainSelectedInstOperands,
     /*   17034 */     // GIR_Coverage, 46471,
     /*   17034 */     GIR_EraseRootFromParent_Done,
     /*   17035 */   // Label 370: @17035
     /*   17035 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17103), // Rule ID 70380 //
     /*   17040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17077 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17101 */     GIR_RootConstrainSelectedInstOperands,
     /*   17102 */     // GIR_Coverage, 70380,
     /*   17102 */     GIR_EraseRootFromParent_Done,
     /*   17103 */   // Label 371: @17103
     /*   17103 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17171), // Rule ID 70381 //
     /*   17108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17127 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17145 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17169 */     GIR_RootConstrainSelectedInstOperands,
     /*   17170 */     // GIR_Coverage, 70381,
     /*   17170 */     GIR_EraseRootFromParent_Done,
     /*   17171 */   // Label 372: @17171
     /*   17171 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17226), // Rule ID 69380 //
     /*   17176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17204 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17224 */     GIR_RootConstrainSelectedInstOperands,
     /*   17225 */     // GIR_Coverage, 69380,
     /*   17225 */     GIR_EraseRootFromParent_Done,
     /*   17226 */   // Label 373: @17226
     /*   17226 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17281), // Rule ID 69381 //
     /*   17231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17259 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17279 */     GIR_RootConstrainSelectedInstOperands,
     /*   17280 */     // GIR_Coverage, 69381,
     /*   17280 */     GIR_EraseRootFromParent_Done,
     /*   17281 */   // Label 374: @17281
     /*   17281 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17336), // Rule ID 69200 //
     /*   17286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17314 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17334 */     GIR_RootConstrainSelectedInstOperands,
     /*   17335 */     // GIR_Coverage, 69200,
     /*   17335 */     GIR_EraseRootFromParent_Done,
     /*   17336 */   // Label 375: @17336
     /*   17336 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17391), // Rule ID 69201 //
     /*   17341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17369 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17389 */     GIR_RootConstrainSelectedInstOperands,
     /*   17390 */     // GIR_Coverage, 69201,
     /*   17390 */     GIR_EraseRootFromParent_Done,
     /*   17391 */   // Label 376: @17391
     /*   17391 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17446), // Rule ID 69290 //
     /*   17396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17424 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17444 */     GIR_RootConstrainSelectedInstOperands,
     /*   17445 */     // GIR_Coverage, 69290,
     /*   17445 */     GIR_EraseRootFromParent_Done,
     /*   17446 */   // Label 377: @17446
     /*   17446 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17501), // Rule ID 69291 //
     /*   17451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17479 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17499 */     GIR_RootConstrainSelectedInstOperands,
     /*   17500 */     // GIR_Coverage, 69291,
     /*   17500 */     GIR_EraseRootFromParent_Done,
     /*   17501 */   // Label 378: @17501
     /*   17501 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(17569), // Rule ID 51768 //
     /*   17506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17543 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17567 */     GIR_RootConstrainSelectedInstOperands,
     /*   17568 */     // GIR_Coverage, 51768,
     /*   17568 */     GIR_EraseRootFromParent_Done,
     /*   17569 */   // Label 379: @17569
     /*   17569 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17637), // Rule ID 51769 //
     /*   17574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17611 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17635 */     GIR_RootConstrainSelectedInstOperands,
     /*   17636 */     // GIR_Coverage, 51769,
     /*   17636 */     GIR_EraseRootFromParent_Done,
     /*   17637 */   // Label 380: @17637
     /*   17637 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17692), // Rule ID 46650 //
     /*   17642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17670 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17690 */     GIR_RootConstrainSelectedInstOperands,
     /*   17691 */     // GIR_Coverage, 46650,
     /*   17691 */     GIR_EraseRootFromParent_Done,
     /*   17692 */   // Label 381: @17692
     /*   17692 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17747), // Rule ID 46651 //
     /*   17697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17725 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17745 */     GIR_RootConstrainSelectedInstOperands,
     /*   17746 */     // GIR_Coverage, 46651,
     /*   17746 */     GIR_EraseRootFromParent_Done,
     /*   17747 */   // Label 382: @17747
     /*   17747 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17802), // Rule ID 46410 //
     /*   17752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17780 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17800 */     GIR_RootConstrainSelectedInstOperands,
     /*   17801 */     // GIR_Coverage, 46410,
     /*   17801 */     GIR_EraseRootFromParent_Done,
     /*   17802 */   // Label 383: @17802
     /*   17802 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17857), // Rule ID 46411 //
     /*   17807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17835 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17855 */     GIR_RootConstrainSelectedInstOperands,
     /*   17856 */     // GIR_Coverage, 46411,
     /*   17856 */     GIR_EraseRootFromParent_Done,
     /*   17857 */   // Label 384: @17857
     /*   17857 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(17912), // Rule ID 46530 //
     /*   17862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17890 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17910 */     GIR_RootConstrainSelectedInstOperands,
     /*   17911 */     // GIR_Coverage, 46530,
     /*   17911 */     GIR_EraseRootFromParent_Done,
     /*   17912 */   // Label 385: @17912
     /*   17912 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(17967), // Rule ID 46531 //
     /*   17917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17945 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17965 */     GIR_RootConstrainSelectedInstOperands,
     /*   17966 */     // GIR_Coverage, 46531,
     /*   17966 */     GIR_EraseRootFromParent_Done,
     /*   17967 */   // Label 386: @17967
     /*   17967 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18020), // Rule ID 46000 //
     /*   17972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17983 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   17983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   17986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18018 */     GIR_RootConstrainSelectedInstOperands,
     /*   18019 */     // GIR_Coverage, 46000,
     /*   18019 */     GIR_EraseRootFromParent_Done,
     /*   18020 */   // Label 387: @18020
     /*   18020 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18073), // Rule ID 46001 //
     /*   18025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18036 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   18036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18071 */     GIR_RootConstrainSelectedInstOperands,
     /*   18072 */     // GIR_Coverage, 46001,
     /*   18072 */     GIR_EraseRootFromParent_Done,
     /*   18073 */   // Label 388: @18073
     /*   18073 */   GIM_Reject,
     /*   18074 */ // Label 348: @18074
     /*   18074 */ GIM_Reject,
     /*   18075 */ // Label 131: @18075
     /*   18075 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(21199),
     /*   18080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18090 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18186), // Rule ID 70580 //
     /*   18095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18160 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18184 */     GIR_RootConstrainSelectedInstOperands,
     /*   18185 */     // GIR_Coverage, 70580,
     /*   18185 */     GIR_EraseRootFromParent_Done,
     /*   18186 */   // Label 390: @18186
     /*   18186 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18282), // Rule ID 70581 //
     /*   18191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18256 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18280 */     GIR_RootConstrainSelectedInstOperands,
     /*   18281 */     // GIR_Coverage, 70581,
     /*   18281 */     GIR_EraseRootFromParent_Done,
     /*   18282 */   // Label 391: @18282
     /*   18282 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18378), // Rule ID 70860 //
     /*   18287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18352 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18376 */     GIR_RootConstrainSelectedInstOperands,
     /*   18377 */     // GIR_Coverage, 70860,
     /*   18377 */     GIR_EraseRootFromParent_Done,
     /*   18378 */   // Label 392: @18378
     /*   18378 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18474), // Rule ID 70861 //
     /*   18383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18431 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18435 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18437 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18448 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18472 */     GIR_RootConstrainSelectedInstOperands,
     /*   18473 */     // GIR_Coverage, 70861,
     /*   18473 */     GIR_EraseRootFromParent_Done,
     /*   18474 */   // Label 393: @18474
     /*   18474 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18570), // Rule ID 70862 //
     /*   18479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18512 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18527 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18531 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18533 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18544 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18568 */     GIR_RootConstrainSelectedInstOperands,
     /*   18569 */     // GIR_Coverage, 70862,
     /*   18569 */     GIR_EraseRootFromParent_Done,
     /*   18570 */   // Label 394: @18570
     /*   18570 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(18666), // Rule ID 70863 //
     /*   18575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18608 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18623 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18627 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18629 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18640 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18664 */     GIR_RootConstrainSelectedInstOperands,
     /*   18665 */     // GIR_Coverage, 70863,
     /*   18665 */     GIR_EraseRootFromParent_Done,
     /*   18666 */   // Label 395: @18666
     /*   18666 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(18762), // Rule ID 70694 //
     /*   18671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18715 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18719 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18723 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18725 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18736 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18760 */     GIR_RootConstrainSelectedInstOperands,
     /*   18761 */     // GIR_Coverage, 70694,
     /*   18761 */     GIR_EraseRootFromParent_Done,
     /*   18762 */   // Label 396: @18762
     /*   18762 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(18858), // Rule ID 70695 //
     /*   18767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18800 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18815 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18819 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18821 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18832 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18856 */     GIR_RootConstrainSelectedInstOperands,
     /*   18857 */     // GIR_Coverage, 70695,
     /*   18857 */     GIR_EraseRootFromParent_Done,
     /*   18858 */   // Label 397: @18858
     /*   18858 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(18954), // Rule ID 51944 //
     /*   18863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18928 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18952 */     GIR_RootConstrainSelectedInstOperands,
     /*   18953 */     // GIR_Coverage, 51944,
     /*   18953 */     GIR_EraseRootFromParent_Done,
     /*   18954 */   // Label 398: @18954
     /*   18954 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19050), // Rule ID 51945 //
     /*   18959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19011 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19015 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19024 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   19027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19048 */     GIR_RootConstrainSelectedInstOperands,
     /*   19049 */     // GIR_Coverage, 51945,
     /*   19049 */     GIR_EraseRootFromParent_Done,
     /*   19050 */   // Label 399: @19050
     /*   19050 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19146), // Rule ID 52062 //
     /*   19055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19120 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19144 */     GIR_RootConstrainSelectedInstOperands,
     /*   19145 */     // GIR_Coverage, 52062,
     /*   19145 */     GIR_EraseRootFromParent_Done,
     /*   19146 */   // Label 400: @19146
     /*   19146 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19242), // Rule ID 52063 //
     /*   19151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19216 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19240 */     GIR_RootConstrainSelectedInstOperands,
     /*   19241 */     // GIR_Coverage, 52063,
     /*   19241 */     GIR_EraseRootFromParent_Done,
     /*   19242 */   // Label 401: @19242
     /*   19242 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19338), // Rule ID 70858 //
     /*   19247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19312 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19336 */     GIR_RootConstrainSelectedInstOperands,
     /*   19337 */     // GIR_Coverage, 70858,
     /*   19337 */     GIR_EraseRootFromParent_Done,
     /*   19338 */   // Label 402: @19338
     /*   19338 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19434), // Rule ID 70859 //
     /*   19343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19399 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19401 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19408 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19432 */     GIR_RootConstrainSelectedInstOperands,
     /*   19433 */     // GIR_Coverage, 70859,
     /*   19433 */     GIR_EraseRootFromParent_Done,
     /*   19434 */   // Label 403: @19434
     /*   19434 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19530), // Rule ID 52002 //
     /*   19439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19491 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19495 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19497 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19504 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19528 */     GIR_RootConstrainSelectedInstOperands,
     /*   19529 */     // GIR_Coverage, 52002,
     /*   19529 */     GIR_EraseRootFromParent_Done,
     /*   19530 */   // Label 404: @19530
     /*   19530 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19626), // Rule ID 52003 //
     /*   19535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19591 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19593 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19598 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19600 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19624 */     GIR_RootConstrainSelectedInstOperands,
     /*   19625 */     // GIR_Coverage, 52003,
     /*   19625 */     GIR_EraseRootFromParent_Done,
     /*   19626 */   // Label 405: @19626
     /*   19626 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19715), // Rule ID 46610 //
     /*   19631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19674 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19713 */     GIR_RootConstrainSelectedInstOperands,
     /*   19714 */     // GIR_Coverage, 46610,
     /*   19714 */     GIR_EraseRootFromParent_Done,
     /*   19715 */   // Label 406: @19715
     /*   19715 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19804), // Rule ID 46611 //
     /*   19720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19763 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19802 */     GIR_RootConstrainSelectedInstOperands,
     /*   19803 */     // GIR_Coverage, 46611,
     /*   19803 */     GIR_EraseRootFromParent_Done,
     /*   19804 */   // Label 407: @19804
     /*   19804 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19893), // Rule ID 46374 //
     /*   19809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19824 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19843 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19852 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   19869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19891 */     GIR_RootConstrainSelectedInstOperands,
     /*   19892 */     // GIR_Coverage, 46374,
     /*   19892 */     GIR_EraseRootFromParent_Done,
     /*   19893 */   // Label 408: @19893
     /*   19893 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(19982), // Rule ID 46375 //
     /*   19898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19932 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19941 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   19958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19980 */     GIR_RootConstrainSelectedInstOperands,
     /*   19981 */     // GIR_Coverage, 46375,
     /*   19981 */     GIR_EraseRootFromParent_Done,
     /*   19982 */   // Label 409: @19982
     /*   19982 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20071), // Rule ID 46490 //
     /*   19987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20021 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20030 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20069 */     GIR_RootConstrainSelectedInstOperands,
     /*   20070 */     // GIR_Coverage, 46490,
     /*   20070 */     GIR_EraseRootFromParent_Done,
     /*   20071 */   // Label 410: @20071
     /*   20071 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20160), // Rule ID 46491 //
     /*   20076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20119 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20158 */     GIR_RootConstrainSelectedInstOperands,
     /*   20159 */     // GIR_Coverage, 46491,
     /*   20159 */     GIR_EraseRootFromParent_Done,
     /*   20160 */   // Label 411: @20160
     /*   20160 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20228), // Rule ID 70412 //
     /*   20165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20202 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20226 */     GIR_RootConstrainSelectedInstOperands,
     /*   20227 */     // GIR_Coverage, 70412,
     /*   20227 */     GIR_EraseRootFromParent_Done,
     /*   20228 */   // Label 412: @20228
     /*   20228 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20296), // Rule ID 70413 //
     /*   20233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20270 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20294 */     GIR_RootConstrainSelectedInstOperands,
     /*   20295 */     // GIR_Coverage, 70413,
     /*   20295 */     GIR_EraseRootFromParent_Done,
     /*   20296 */   // Label 413: @20296
     /*   20296 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20351), // Rule ID 69400 //
     /*   20301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20329 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20349 */     GIR_RootConstrainSelectedInstOperands,
     /*   20350 */     // GIR_Coverage, 69400,
     /*   20350 */     GIR_EraseRootFromParent_Done,
     /*   20351 */   // Label 414: @20351
     /*   20351 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20406), // Rule ID 69401 //
     /*   20356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20384 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20404 */     GIR_RootConstrainSelectedInstOperands,
     /*   20405 */     // GIR_Coverage, 69401,
     /*   20405 */     GIR_EraseRootFromParent_Done,
     /*   20406 */   // Label 415: @20406
     /*   20406 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20461), // Rule ID 69220 //
     /*   20411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20439 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20459 */     GIR_RootConstrainSelectedInstOperands,
     /*   20460 */     // GIR_Coverage, 69220,
     /*   20460 */     GIR_EraseRootFromParent_Done,
     /*   20461 */   // Label 416: @20461
     /*   20461 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20516), // Rule ID 69221 //
     /*   20466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20494 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20514 */     GIR_RootConstrainSelectedInstOperands,
     /*   20515 */     // GIR_Coverage, 69221,
     /*   20515 */     GIR_EraseRootFromParent_Done,
     /*   20516 */   // Label 417: @20516
     /*   20516 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20571), // Rule ID 69310 //
     /*   20521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20549 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20569 */     GIR_RootConstrainSelectedInstOperands,
     /*   20570 */     // GIR_Coverage, 69310,
     /*   20570 */     GIR_EraseRootFromParent_Done,
     /*   20571 */   // Label 418: @20571
     /*   20571 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20626), // Rule ID 69311 //
     /*   20576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20604 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20624 */     GIR_RootConstrainSelectedInstOperands,
     /*   20625 */     // GIR_Coverage, 69311,
     /*   20625 */     GIR_EraseRootFromParent_Done,
     /*   20626 */   // Label 419: @20626
     /*   20626 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(20694), // Rule ID 51784 //
     /*   20631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20668 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20692 */     GIR_RootConstrainSelectedInstOperands,
     /*   20693 */     // GIR_Coverage, 51784,
     /*   20693 */     GIR_EraseRootFromParent_Done,
     /*   20694 */   // Label 420: @20694
     /*   20694 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20762), // Rule ID 51785 //
     /*   20699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20736 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20760 */     GIR_RootConstrainSelectedInstOperands,
     /*   20761 */     // GIR_Coverage, 51785,
     /*   20761 */     GIR_EraseRootFromParent_Done,
     /*   20762 */   // Label 421: @20762
     /*   20762 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20817), // Rule ID 46670 //
     /*   20767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20795 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20815 */     GIR_RootConstrainSelectedInstOperands,
     /*   20816 */     // GIR_Coverage, 46670,
     /*   20816 */     GIR_EraseRootFromParent_Done,
     /*   20817 */   // Label 422: @20817
     /*   20817 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20872), // Rule ID 46671 //
     /*   20822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20850 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20870 */     GIR_RootConstrainSelectedInstOperands,
     /*   20871 */     // GIR_Coverage, 46671,
     /*   20871 */     GIR_EraseRootFromParent_Done,
     /*   20872 */   // Label 423: @20872
     /*   20872 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(20927), // Rule ID 46430 //
     /*   20877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20905 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20925 */     GIR_RootConstrainSelectedInstOperands,
     /*   20926 */     // GIR_Coverage, 46430,
     /*   20926 */     GIR_EraseRootFromParent_Done,
     /*   20927 */   // Label 424: @20927
     /*   20927 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(20982), // Rule ID 46431 //
     /*   20932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20960 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20980 */     GIR_RootConstrainSelectedInstOperands,
     /*   20981 */     // GIR_Coverage, 46431,
     /*   20981 */     GIR_EraseRootFromParent_Done,
     /*   20982 */   // Label 425: @20982
     /*   20982 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21037), // Rule ID 46550 //
     /*   20987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21015 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   21015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21035 */     GIR_RootConstrainSelectedInstOperands,
     /*   21036 */     // GIR_Coverage, 46550,
     /*   21036 */     GIR_EraseRootFromParent_Done,
     /*   21037 */   // Label 426: @21037
     /*   21037 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21092), // Rule ID 46551 //
     /*   21042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   21045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21070 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   21070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21090 */     GIR_RootConstrainSelectedInstOperands,
     /*   21091 */     // GIR_Coverage, 46551,
     /*   21091 */     GIR_EraseRootFromParent_Done,
     /*   21092 */   // Label 427: @21092
     /*   21092 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21145), // Rule ID 46016 //
     /*   21097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   21100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21108 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   21108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21143 */     GIR_RootConstrainSelectedInstOperands,
     /*   21144 */     // GIR_Coverage, 46016,
     /*   21144 */     GIR_EraseRootFromParent_Done,
     /*   21145 */   // Label 428: @21145
     /*   21145 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21198), // Rule ID 46017 //
     /*   21150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   21153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21161 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   21161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21196 */     GIR_RootConstrainSelectedInstOperands,
     /*   21197 */     // GIR_Coverage, 46017,
     /*   21197 */     GIR_EraseRootFromParent_Done,
     /*   21198 */   // Label 429: @21198
     /*   21198 */   GIM_Reject,
     /*   21199 */ // Label 389: @21199
     /*   21199 */ GIM_Reject,
     /*   21200 */ // Label 132: @21200
     /*   21200 */ GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21594),
     /*   21205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21215 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21283), // Rule ID 70348 //
     /*   21220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21257 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21281 */     GIR_RootConstrainSelectedInstOperands,
     /*   21282 */     // GIR_Coverage, 70348,
     /*   21282 */     GIR_EraseRootFromParent_Done,
     /*   21283 */   // Label 431: @21283
     /*   21283 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21351), // Rule ID 70349 //
     /*   21288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21325 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21349 */     GIR_RootConstrainSelectedInstOperands,
     /*   21350 */     // GIR_Coverage, 70349,
     /*   21350 */     GIR_EraseRootFromParent_Done,
     /*   21351 */   // Label 432: @21351
     /*   21351 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21419), // Rule ID 51752 //
     /*   21356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21393 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21417 */     GIR_RootConstrainSelectedInstOperands,
     /*   21418 */     // GIR_Coverage, 51752,
     /*   21418 */     GIR_EraseRootFromParent_Done,
     /*   21419 */   // Label 433: @21419
     /*   21419 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21487), // Rule ID 51753 //
     /*   21424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21447 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21461 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21485 */     GIR_RootConstrainSelectedInstOperands,
     /*   21486 */     // GIR_Coverage, 51753,
     /*   21486 */     GIR_EraseRootFromParent_Done,
     /*   21487 */   // Label 434: @21487
     /*   21487 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(21540), // Rule ID 45984 //
     /*   21492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21503 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21538 */     GIR_RootConstrainSelectedInstOperands,
     /*   21539 */     // GIR_Coverage, 45984,
     /*   21539 */     GIR_EraseRootFromParent_Done,
     /*   21540 */   // Label 435: @21540
     /*   21540 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(21593), // Rule ID 45985 //
     /*   21545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21556 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21591 */     GIR_RootConstrainSelectedInstOperands,
     /*   21592 */     // GIR_Coverage, 45985,
     /*   21592 */     GIR_EraseRootFromParent_Done,
     /*   21593 */   // Label 436: @21593
     /*   21593 */   GIM_Reject,
     /*   21594 */ // Label 430: @21594
     /*   21594 */ GIM_Reject,
     /*   21595 */ // Label 133: @21595
     /*   21595 */ GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(24719),
     /*   21600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21610 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(21706), // Rule ID 70560 //
     /*   21615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21667 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21669 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21678 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21680 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21704 */     GIR_RootConstrainSelectedInstOperands,
     /*   21705 */     // GIR_Coverage, 70560,
     /*   21705 */     GIR_EraseRootFromParent_Done,
     /*   21706 */   // Label 438: @21706
     /*   21706 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(21802), // Rule ID 70561 //
     /*   21711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21744 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21763 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21776 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21800 */     GIR_RootConstrainSelectedInstOperands,
     /*   21801 */     // GIR_Coverage, 70561,
     /*   21801 */     GIR_EraseRootFromParent_Done,
     /*   21802 */   // Label 439: @21802
     /*   21802 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(21898), // Rule ID 70800 //
     /*   21807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21855 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21859 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21861 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21872 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   21875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21896 */     GIR_RootConstrainSelectedInstOperands,
     /*   21897 */     // GIR_Coverage, 70800,
     /*   21897 */     GIR_EraseRootFromParent_Done,
     /*   21898 */   // Label 440: @21898
     /*   21898 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(21994), // Rule ID 70801 //
     /*   21903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21951 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21955 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21957 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21966 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21968 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   21971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21992 */     GIR_RootConstrainSelectedInstOperands,
     /*   21993 */     // GIR_Coverage, 70801,
     /*   21993 */     GIR_EraseRootFromParent_Done,
     /*   21994 */   // Label 441: @21994
     /*   21994 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22090), // Rule ID 70802 //
     /*   21999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22047 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22051 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22053 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22064 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22088 */     GIR_RootConstrainSelectedInstOperands,
     /*   22089 */     // GIR_Coverage, 70802,
     /*   22089 */     GIR_EraseRootFromParent_Done,
     /*   22090 */   // Label 442: @22090
     /*   22090 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22186), // Rule ID 70803 //
     /*   22095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22160 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22184 */     GIR_RootConstrainSelectedInstOperands,
     /*   22185 */     // GIR_Coverage, 70803,
     /*   22185 */     GIR_EraseRootFromParent_Done,
     /*   22186 */   // Label 443: @22186
     /*   22186 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22282), // Rule ID 70674 //
     /*   22191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22256 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22280 */     GIR_RootConstrainSelectedInstOperands,
     /*   22281 */     // GIR_Coverage, 70674,
     /*   22281 */     GIR_EraseRootFromParent_Done,
     /*   22282 */   // Label 444: @22282
     /*   22282 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22378), // Rule ID 70675 //
     /*   22287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22352 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22376 */     GIR_RootConstrainSelectedInstOperands,
     /*   22377 */     // GIR_Coverage, 70675,
     /*   22377 */     GIR_EraseRootFromParent_Done,
     /*   22378 */   // Label 445: @22378
     /*   22378 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22474), // Rule ID 51924 //
     /*   22383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22435 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22439 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22441 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22448 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22472 */     GIR_RootConstrainSelectedInstOperands,
     /*   22473 */     // GIR_Coverage, 51924,
     /*   22473 */     GIR_EraseRootFromParent_Done,
     /*   22474 */   // Label 446: @22474
     /*   22474 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22570), // Rule ID 51925 //
     /*   22479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22516 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22531 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22535 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22537 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22544 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22568 */     GIR_RootConstrainSelectedInstOperands,
     /*   22569 */     // GIR_Coverage, 51925,
     /*   22569 */     GIR_EraseRootFromParent_Done,
     /*   22570 */   // Label 447: @22570
     /*   22570 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(22666), // Rule ID 52042 //
     /*   22575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22612 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22631 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22633 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22640 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22664 */     GIR_RootConstrainSelectedInstOperands,
     /*   22665 */     // GIR_Coverage, 52042,
     /*   22665 */     GIR_EraseRootFromParent_Done,
     /*   22666 */   // Label 448: @22666
     /*   22666 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(22762), // Rule ID 52043 //
     /*   22671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22694 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22723 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22727 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22729 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22736 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22760 */     GIR_RootConstrainSelectedInstOperands,
     /*   22761 */     // GIR_Coverage, 52043,
     /*   22761 */     GIR_EraseRootFromParent_Done,
     /*   22762 */   // Label 449: @22762
     /*   22762 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(22858), // Rule ID 70798 //
     /*   22767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22804 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22819 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22823 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22825 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22832 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22856 */     GIR_RootConstrainSelectedInstOperands,
     /*   22857 */     // GIR_Coverage, 70798,
     /*   22857 */     GIR_EraseRootFromParent_Done,
     /*   22858 */   // Label 450: @22858
     /*   22858 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(22954), // Rule ID 70799 //
     /*   22863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22928 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22952 */     GIR_RootConstrainSelectedInstOperands,
     /*   22953 */     // GIR_Coverage, 70799,
     /*   22953 */     GIR_EraseRootFromParent_Done,
     /*   22954 */   // Label 451: @22954
     /*   22954 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23050), // Rule ID 51982 //
     /*   22959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23011 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23015 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23024 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23048 */     GIR_RootConstrainSelectedInstOperands,
     /*   23049 */     // GIR_Coverage, 51982,
     /*   23049 */     GIR_EraseRootFromParent_Done,
     /*   23050 */   // Label 452: @23050
     /*   23050 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23146), // Rule ID 51983 //
     /*   23055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23120 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23144 */     GIR_RootConstrainSelectedInstOperands,
     /*   23145 */     // GIR_Coverage, 51983,
     /*   23145 */     GIR_EraseRootFromParent_Done,
     /*   23146 */   // Label 453: @23146
     /*   23146 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23235), // Rule ID 46570 //
     /*   23151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23194 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23233 */     GIR_RootConstrainSelectedInstOperands,
     /*   23234 */     // GIR_Coverage, 46570,
     /*   23234 */     GIR_EraseRootFromParent_Done,
     /*   23235 */   // Label 454: @23235
     /*   23235 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23324), // Rule ID 46571 //
     /*   23240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23283 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23322 */     GIR_RootConstrainSelectedInstOperands,
     /*   23323 */     // GIR_Coverage, 46571,
     /*   23323 */     GIR_EraseRootFromParent_Done,
     /*   23324 */   // Label 455: @23324
     /*   23324 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23413), // Rule ID 46334 //
     /*   23329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23363 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23372 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23411 */     GIR_RootConstrainSelectedInstOperands,
     /*   23412 */     // GIR_Coverage, 46334,
     /*   23412 */     GIR_EraseRootFromParent_Done,
     /*   23413 */   // Label 456: @23413
     /*   23413 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23502), // Rule ID 46335 //
     /*   23418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23452 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23461 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23500 */     GIR_RootConstrainSelectedInstOperands,
     /*   23501 */     // GIR_Coverage, 46335,
     /*   23501 */     GIR_EraseRootFromParent_Done,
     /*   23502 */   // Label 457: @23502
     /*   23502 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23591), // Rule ID 46450 //
     /*   23507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23541 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23550 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23589 */     GIR_RootConstrainSelectedInstOperands,
     /*   23590 */     // GIR_Coverage, 46450,
     /*   23590 */     GIR_EraseRootFromParent_Done,
     /*   23591 */   // Label 458: @23591
     /*   23591 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23680), // Rule ID 46451 //
     /*   23596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23639 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23678 */     GIR_RootConstrainSelectedInstOperands,
     /*   23679 */     // GIR_Coverage, 46451,
     /*   23679 */     GIR_EraseRootFromParent_Done,
     /*   23680 */   // Label 459: @23680
     /*   23680 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23748), // Rule ID 70372 //
     /*   23685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23704 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23722 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23746 */     GIR_RootConstrainSelectedInstOperands,
     /*   23747 */     // GIR_Coverage, 70372,
     /*   23747 */     GIR_EraseRootFromParent_Done,
     /*   23748 */   // Label 460: @23748
     /*   23748 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(23816), // Rule ID 70373 //
     /*   23753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23790 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23814 */     GIR_RootConstrainSelectedInstOperands,
     /*   23815 */     // GIR_Coverage, 70373,
     /*   23815 */     GIR_EraseRootFromParent_Done,
     /*   23816 */   // Label 461: @23816
     /*   23816 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23871), // Rule ID 69360 //
     /*   23821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23849 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   23852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23869 */     GIR_RootConstrainSelectedInstOperands,
     /*   23870 */     // GIR_Coverage, 69360,
     /*   23870 */     GIR_EraseRootFromParent_Done,
     /*   23871 */   // Label 462: @23871
     /*   23871 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23926), // Rule ID 69361 //
     /*   23876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23904 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   23907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23924 */     GIR_RootConstrainSelectedInstOperands,
     /*   23925 */     // GIR_Coverage, 69361,
     /*   23925 */     GIR_EraseRootFromParent_Done,
     /*   23926 */   // Label 463: @23926
     /*   23926 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(23981), // Rule ID 69180 //
     /*   23931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23959 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   23962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23979 */     GIR_RootConstrainSelectedInstOperands,
     /*   23980 */     // GIR_Coverage, 69180,
     /*   23980 */     GIR_EraseRootFromParent_Done,
     /*   23981 */   // Label 464: @23981
     /*   23981 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24036), // Rule ID 69181 //
     /*   23986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24014 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24034 */     GIR_RootConstrainSelectedInstOperands,
     /*   24035 */     // GIR_Coverage, 69181,
     /*   24035 */     GIR_EraseRootFromParent_Done,
     /*   24036 */   // Label 465: @24036
     /*   24036 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24091), // Rule ID 69270 //
     /*   24041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24069 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24089 */     GIR_RootConstrainSelectedInstOperands,
     /*   24090 */     // GIR_Coverage, 69270,
     /*   24090 */     GIR_EraseRootFromParent_Done,
     /*   24091 */   // Label 466: @24091
     /*   24091 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24146), // Rule ID 69271 //
     /*   24096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24124 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24144 */     GIR_RootConstrainSelectedInstOperands,
     /*   24145 */     // GIR_Coverage, 69271,
     /*   24145 */     GIR_EraseRootFromParent_Done,
     /*   24146 */   // Label 467: @24146
     /*   24146 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24214), // Rule ID 51764 //
     /*   24151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24188 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24212 */     GIR_RootConstrainSelectedInstOperands,
     /*   24213 */     // GIR_Coverage, 51764,
     /*   24213 */     GIR_EraseRootFromParent_Done,
     /*   24214 */   // Label 468: @24214
     /*   24214 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24282), // Rule ID 51765 //
     /*   24219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24256 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   24256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24280 */     GIR_RootConstrainSelectedInstOperands,
     /*   24281 */     // GIR_Coverage, 51765,
     /*   24281 */     GIR_EraseRootFromParent_Done,
     /*   24282 */   // Label 469: @24282
     /*   24282 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24337), // Rule ID 46630 //
     /*   24287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24315 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24335 */     GIR_RootConstrainSelectedInstOperands,
     /*   24336 */     // GIR_Coverage, 46630,
     /*   24336 */     GIR_EraseRootFromParent_Done,
     /*   24337 */   // Label 470: @24337
     /*   24337 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24392), // Rule ID 46631 //
     /*   24342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24370 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24390 */     GIR_RootConstrainSelectedInstOperands,
     /*   24391 */     // GIR_Coverage, 46631,
     /*   24391 */     GIR_EraseRootFromParent_Done,
     /*   24392 */   // Label 471: @24392
     /*   24392 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24447), // Rule ID 46390 //
     /*   24397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24425 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24445 */     GIR_RootConstrainSelectedInstOperands,
     /*   24446 */     // GIR_Coverage, 46390,
     /*   24446 */     GIR_EraseRootFromParent_Done,
     /*   24447 */   // Label 472: @24447
     /*   24447 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24502), // Rule ID 46391 //
     /*   24452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24480 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24500 */     GIR_RootConstrainSelectedInstOperands,
     /*   24501 */     // GIR_Coverage, 46391,
     /*   24501 */     GIR_EraseRootFromParent_Done,
     /*   24502 */   // Label 473: @24502
     /*   24502 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24557), // Rule ID 46510 //
     /*   24507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24535 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24555 */     GIR_RootConstrainSelectedInstOperands,
     /*   24556 */     // GIR_Coverage, 46510,
     /*   24556 */     GIR_EraseRootFromParent_Done,
     /*   24557 */   // Label 474: @24557
     /*   24557 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(24612), // Rule ID 46511 //
     /*   24562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24590 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24610 */     GIR_RootConstrainSelectedInstOperands,
     /*   24611 */     // GIR_Coverage, 46511,
     /*   24611 */     GIR_EraseRootFromParent_Done,
     /*   24612 */   // Label 475: @24612
     /*   24612 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(24665), // Rule ID 45996 //
     /*   24617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24628 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24663 */     GIR_RootConstrainSelectedInstOperands,
     /*   24664 */     // GIR_Coverage, 45996,
     /*   24664 */     GIR_EraseRootFromParent_Done,
     /*   24665 */   // Label 476: @24665
     /*   24665 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(24718), // Rule ID 45997 //
     /*   24670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24681 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24716 */     GIR_RootConstrainSelectedInstOperands,
     /*   24717 */     // GIR_Coverage, 45997,
     /*   24717 */     GIR_EraseRootFromParent_Done,
     /*   24718 */   // Label 477: @24718
     /*   24718 */   GIM_Reject,
     /*   24719 */ // Label 437: @24719
     /*   24719 */ GIM_Reject,
     /*   24720 */ // Label 134: @24720
     /*   24720 */ GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(27844),
     /*   24725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24735 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(24831), // Rule ID 70572 //
     /*   24740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24773 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24788 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24792 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24794 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24803 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24805 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   24808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24829 */     GIR_RootConstrainSelectedInstOperands,
     /*   24830 */     // GIR_Coverage, 70572,
     /*   24830 */     GIR_EraseRootFromParent_Done,
     /*   24831 */   // Label 479: @24831
     /*   24831 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(24927), // Rule ID 70573 //
     /*   24836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24884 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24888 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24890 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24901 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   24901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   24904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24925 */     GIR_RootConstrainSelectedInstOperands,
     /*   24926 */     // GIR_Coverage, 70573,
     /*   24926 */     GIR_EraseRootFromParent_Done,
     /*   24927 */   // Label 480: @24927
     /*   24927 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25023), // Rule ID 70836 //
     /*   24932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24984 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24997 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25021 */     GIR_RootConstrainSelectedInstOperands,
     /*   25022 */     // GIR_Coverage, 70836,
     /*   25022 */     GIR_EraseRootFromParent_Done,
     /*   25023 */   // Label 481: @25023
     /*   25023 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25119), // Rule ID 70837 //
     /*   25028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25061 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25076 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25080 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25082 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25093 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25117 */     GIR_RootConstrainSelectedInstOperands,
     /*   25118 */     // GIR_Coverage, 70837,
     /*   25118 */     GIR_EraseRootFromParent_Done,
     /*   25119 */   // Label 482: @25119
     /*   25119 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25215), // Rule ID 70838 //
     /*   25124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25172 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25176 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25178 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25189 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25213 */     GIR_RootConstrainSelectedInstOperands,
     /*   25214 */     // GIR_Coverage, 70838,
     /*   25214 */     GIR_EraseRootFromParent_Done,
     /*   25215 */   // Label 483: @25215
     /*   25215 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25311), // Rule ID 70839 //
     /*   25220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25253 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25260 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25264 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25268 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25272 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25274 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25283 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25285 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25309 */     GIR_RootConstrainSelectedInstOperands,
     /*   25310 */     // GIR_Coverage, 70839,
     /*   25310 */     GIR_EraseRootFromParent_Done,
     /*   25311 */   // Label 484: @25311
     /*   25311 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25407), // Rule ID 70686 //
     /*   25316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25356 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25360 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25364 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25368 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25370 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25381 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25405 */     GIR_RootConstrainSelectedInstOperands,
     /*   25406 */     // GIR_Coverage, 70686,
     /*   25406 */     GIR_EraseRootFromParent_Done,
     /*   25407 */   // Label 485: @25407
     /*   25407 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(25503), // Rule ID 70687 //
     /*   25412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25452 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25456 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25460 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25464 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25466 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25475 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25477 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25501 */     GIR_RootConstrainSelectedInstOperands,
     /*   25502 */     // GIR_Coverage, 70687,
     /*   25502 */     GIR_EraseRootFromParent_Done,
     /*   25503 */   // Label 486: @25503
     /*   25503 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(25599), // Rule ID 51936 //
     /*   25508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25545 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25560 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25564 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25566 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25573 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25597 */     GIR_RootConstrainSelectedInstOperands,
     /*   25598 */     // GIR_Coverage, 51936,
     /*   25598 */     GIR_EraseRootFromParent_Done,
     /*   25599 */   // Label 487: @25599
     /*   25599 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(25695), // Rule ID 51937 //
     /*   25604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25641 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25656 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25660 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25662 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25669 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25693 */     GIR_RootConstrainSelectedInstOperands,
     /*   25694 */     // GIR_Coverage, 51937,
     /*   25694 */     GIR_EraseRootFromParent_Done,
     /*   25695 */   // Label 488: @25695
     /*   25695 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(25791), // Rule ID 52054 //
     /*   25700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25752 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25756 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25758 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25765 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25789 */     GIR_RootConstrainSelectedInstOperands,
     /*   25790 */     // GIR_Coverage, 52054,
     /*   25790 */     GIR_EraseRootFromParent_Done,
     /*   25791 */   // Label 489: @25791
     /*   25791 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(25887), // Rule ID 52055 //
     /*   25796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25833 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25852 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25854 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25861 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25885 */     GIR_RootConstrainSelectedInstOperands,
     /*   25886 */     // GIR_Coverage, 52055,
     /*   25886 */     GIR_EraseRootFromParent_Done,
     /*   25887 */   // Label 490: @25887
     /*   25887 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(25983), // Rule ID 70834 //
     /*   25892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25944 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25948 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25950 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25957 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25981 */     GIR_RootConstrainSelectedInstOperands,
     /*   25982 */     // GIR_Coverage, 70834,
     /*   25982 */     GIR_EraseRootFromParent_Done,
     /*   25983 */   // Label 491: @25983
     /*   25983 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26079), // Rule ID 70835 //
     /*   25988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26040 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26044 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26046 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26053 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   26056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   26064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26077 */     GIR_RootConstrainSelectedInstOperands,
     /*   26078 */     // GIR_Coverage, 70835,
     /*   26078 */     GIR_EraseRootFromParent_Done,
     /*   26079 */   // Label 492: @26079
     /*   26079 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26175), // Rule ID 51994 //
     /*   26084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26121 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26136 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26140 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26142 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26149 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26173 */     GIR_RootConstrainSelectedInstOperands,
     /*   26174 */     // GIR_Coverage, 51994,
     /*   26174 */     GIR_EraseRootFromParent_Done,
     /*   26175 */   // Label 493: @26175
     /*   26175 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26271), // Rule ID 51995 //
     /*   26180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26232 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26236 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26238 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26243 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26245 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26269 */     GIR_RootConstrainSelectedInstOperands,
     /*   26270 */     // GIR_Coverage, 51995,
     /*   26270 */     GIR_EraseRootFromParent_Done,
     /*   26271 */   // Label 494: @26271
     /*   26271 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26360), // Rule ID 46594 //
     /*   26276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26319 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26358 */     GIR_RootConstrainSelectedInstOperands,
     /*   26359 */     // GIR_Coverage, 46594,
     /*   26359 */     GIR_EraseRootFromParent_Done,
     /*   26360 */   // Label 495: @26360
     /*   26360 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26449), // Rule ID 46595 //
     /*   26365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26408 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26447 */     GIR_RootConstrainSelectedInstOperands,
     /*   26448 */     // GIR_Coverage, 46595,
     /*   26448 */     GIR_EraseRootFromParent_Done,
     /*   26449 */   // Label 496: @26449
     /*   26449 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26538), // Rule ID 46358 //
     /*   26454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26488 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26497 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26536 */     GIR_RootConstrainSelectedInstOperands,
     /*   26537 */     // GIR_Coverage, 46358,
     /*   26537 */     GIR_EraseRootFromParent_Done,
     /*   26538 */   // Label 497: @26538
     /*   26538 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26627), // Rule ID 46359 //
     /*   26543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26577 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26586 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26625 */     GIR_RootConstrainSelectedInstOperands,
     /*   26626 */     // GIR_Coverage, 46359,
     /*   26626 */     GIR_EraseRootFromParent_Done,
     /*   26627 */   // Label 498: @26627
     /*   26627 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26716), // Rule ID 46474 //
     /*   26632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26666 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26675 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26714 */     GIR_RootConstrainSelectedInstOperands,
     /*   26715 */     // GIR_Coverage, 46474,
     /*   26715 */     GIR_EraseRootFromParent_Done,
     /*   26716 */   // Label 499: @26716
     /*   26716 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26805), // Rule ID 46475 //
     /*   26721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26764 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26803 */     GIR_RootConstrainSelectedInstOperands,
     /*   26804 */     // GIR_Coverage, 46475,
     /*   26804 */     GIR_EraseRootFromParent_Done,
     /*   26805 */   // Label 500: @26805
     /*   26805 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26873), // Rule ID 70404 //
     /*   26810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26829 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26847 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   26850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26871 */     GIR_RootConstrainSelectedInstOperands,
     /*   26872 */     // GIR_Coverage, 70404,
     /*   26872 */     GIR_EraseRootFromParent_Done,
     /*   26873 */   // Label 501: @26873
     /*   26873 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(26941), // Rule ID 70405 //
     /*   26878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26897 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26915 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   26918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26939 */     GIR_RootConstrainSelectedInstOperands,
     /*   26940 */     // GIR_Coverage, 70405,
     /*   26940 */     GIR_EraseRootFromParent_Done,
     /*   26941 */   // Label 502: @26941
     /*   26941 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(26996), // Rule ID 69384 //
     /*   26946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26974 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   26977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26994 */     GIR_RootConstrainSelectedInstOperands,
     /*   26995 */     // GIR_Coverage, 69384,
     /*   26995 */     GIR_EraseRootFromParent_Done,
     /*   26996 */   // Label 503: @26996
     /*   26996 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(27051), // Rule ID 69385 //
     /*   27001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27029 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27049 */     GIR_RootConstrainSelectedInstOperands,
     /*   27050 */     // GIR_Coverage, 69385,
     /*   27050 */     GIR_EraseRootFromParent_Done,
     /*   27051 */   // Label 504: @27051
     /*   27051 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27106), // Rule ID 69204 //
     /*   27056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27084 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27104 */     GIR_RootConstrainSelectedInstOperands,
     /*   27105 */     // GIR_Coverage, 69204,
     /*   27105 */     GIR_EraseRootFromParent_Done,
     /*   27106 */   // Label 505: @27106
     /*   27106 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27161), // Rule ID 69205 //
     /*   27111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27139 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27159 */     GIR_RootConstrainSelectedInstOperands,
     /*   27160 */     // GIR_Coverage, 69205,
     /*   27160 */     GIR_EraseRootFromParent_Done,
     /*   27161 */   // Label 506: @27161
     /*   27161 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27216), // Rule ID 69294 //
     /*   27166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27194 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27214 */     GIR_RootConstrainSelectedInstOperands,
     /*   27215 */     // GIR_Coverage, 69294,
     /*   27215 */     GIR_EraseRootFromParent_Done,
     /*   27216 */   // Label 507: @27216
     /*   27216 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27271), // Rule ID 69295 //
     /*   27221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27249 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27269 */     GIR_RootConstrainSelectedInstOperands,
     /*   27270 */     // GIR_Coverage, 69295,
     /*   27270 */     GIR_EraseRootFromParent_Done,
     /*   27271 */   // Label 508: @27271
     /*   27271 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(27339), // Rule ID 51780 //
     /*   27276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27313 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   27313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27337 */     GIR_RootConstrainSelectedInstOperands,
     /*   27338 */     // GIR_Coverage, 51780,
     /*   27338 */     GIR_EraseRootFromParent_Done,
     /*   27339 */   // Label 509: @27339
     /*   27339 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27407), // Rule ID 51781 //
     /*   27344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27381 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   27381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27405 */     GIR_RootConstrainSelectedInstOperands,
     /*   27406 */     // GIR_Coverage, 51781,
     /*   27406 */     GIR_EraseRootFromParent_Done,
     /*   27407 */   // Label 510: @27407
     /*   27407 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27462), // Rule ID 46654 //
     /*   27412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27440 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27460 */     GIR_RootConstrainSelectedInstOperands,
     /*   27461 */     // GIR_Coverage, 46654,
     /*   27461 */     GIR_EraseRootFromParent_Done,
     /*   27462 */   // Label 511: @27462
     /*   27462 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27517), // Rule ID 46655 //
     /*   27467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27495 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27515 */     GIR_RootConstrainSelectedInstOperands,
     /*   27516 */     // GIR_Coverage, 46655,
     /*   27516 */     GIR_EraseRootFromParent_Done,
     /*   27517 */   // Label 512: @27517
     /*   27517 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27572), // Rule ID 46414 //
     /*   27522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27550 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27570 */     GIR_RootConstrainSelectedInstOperands,
     /*   27571 */     // GIR_Coverage, 46414,
     /*   27571 */     GIR_EraseRootFromParent_Done,
     /*   27572 */   // Label 513: @27572
     /*   27572 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27627), // Rule ID 46415 //
     /*   27577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27605 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27625 */     GIR_RootConstrainSelectedInstOperands,
     /*   27626 */     // GIR_Coverage, 46415,
     /*   27626 */     GIR_EraseRootFromParent_Done,
     /*   27627 */   // Label 514: @27627
     /*   27627 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27682), // Rule ID 46534 //
     /*   27632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27660 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27680 */     GIR_RootConstrainSelectedInstOperands,
     /*   27681 */     // GIR_Coverage, 46534,
     /*   27681 */     GIR_EraseRootFromParent_Done,
     /*   27682 */   // Label 515: @27682
     /*   27682 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27737), // Rule ID 46535 //
     /*   27687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27715 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27735 */     GIR_RootConstrainSelectedInstOperands,
     /*   27736 */     // GIR_Coverage, 46535,
     /*   27736 */     GIR_EraseRootFromParent_Done,
     /*   27737 */   // Label 516: @27737
     /*   27737 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(27790), // Rule ID 46012 //
     /*   27742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27753 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   27753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27788 */     GIR_RootConstrainSelectedInstOperands,
     /*   27789 */     // GIR_Coverage, 46012,
     /*   27789 */     GIR_EraseRootFromParent_Done,
     /*   27790 */   // Label 517: @27790
     /*   27790 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(27843), // Rule ID 46013 //
     /*   27795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27806 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   27806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27841 */     GIR_RootConstrainSelectedInstOperands,
     /*   27842 */     // GIR_Coverage, 46013,
     /*   27842 */     GIR_EraseRootFromParent_Done,
     /*   27843 */   // Label 518: @27843
     /*   27843 */   GIM_Reject,
     /*   27844 */ // Label 478: @27844
     /*   27844 */ GIM_Reject,
     /*   27845 */ // Label 135: @27845
     /*   27845 */ GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(30969),
     /*   27850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   27860 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(27956), // Rule ID 70582 //
     /*   27865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   27868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27913 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27917 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27919 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   27928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27930 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   27930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   27933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27954 */     GIR_RootConstrainSelectedInstOperands,
     /*   27955 */     // GIR_Coverage, 70582,
     /*   27955 */     GIR_EraseRootFromParent_Done,
     /*   27956 */   // Label 520: @27956
     /*   27956 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28052), // Rule ID 70583 //
     /*   27961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   27964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28013 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28015 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28026 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28050 */     GIR_RootConstrainSelectedInstOperands,
     /*   28051 */     // GIR_Coverage, 70583,
     /*   28051 */     GIR_EraseRootFromParent_Done,
     /*   28052 */   // Label 521: @28052
     /*   28052 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28148), // Rule ID 70866 //
     /*   28057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28105 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28109 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28111 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28122 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28146 */     GIR_RootConstrainSelectedInstOperands,
     /*   28147 */     // GIR_Coverage, 70866,
     /*   28147 */     GIR_EraseRootFromParent_Done,
     /*   28148 */   // Label 522: @28148
     /*   28148 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28244), // Rule ID 70867 //
     /*   28153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28172 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28186 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28201 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28205 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28207 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28218 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28242 */     GIR_RootConstrainSelectedInstOperands,
     /*   28243 */     // GIR_Coverage, 70867,
     /*   28243 */     GIR_EraseRootFromParent_Done,
     /*   28244 */   // Label 523: @28244
     /*   28244 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28340), // Rule ID 70868 //
     /*   28249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28268 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28282 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28297 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28301 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28303 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28314 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28338 */     GIR_RootConstrainSelectedInstOperands,
     /*   28339 */     // GIR_Coverage, 70868,
     /*   28339 */     GIR_EraseRootFromParent_Done,
     /*   28340 */   // Label 524: @28340
     /*   28340 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28436), // Rule ID 70869 //
     /*   28345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28393 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28397 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28399 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28410 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28434 */     GIR_RootConstrainSelectedInstOperands,
     /*   28435 */     // GIR_Coverage, 70869,
     /*   28435 */     GIR_EraseRootFromParent_Done,
     /*   28436 */   // Label 525: @28436
     /*   28436 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28532), // Rule ID 70696 //
     /*   28441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28460 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28481 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28485 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28489 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28493 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28495 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28506 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28530 */     GIR_RootConstrainSelectedInstOperands,
     /*   28531 */     // GIR_Coverage, 70696,
     /*   28531 */     GIR_EraseRootFromParent_Done,
     /*   28532 */   // Label 526: @28532
     /*   28532 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28628), // Rule ID 70697 //
     /*   28537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28570 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28585 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28589 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28591 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28602 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28626 */     GIR_RootConstrainSelectedInstOperands,
     /*   28627 */     // GIR_Coverage, 70697,
     /*   28627 */     GIR_EraseRootFromParent_Done,
     /*   28628 */   // Label 527: @28628
     /*   28628 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(28724), // Rule ID 51946 //
     /*   28633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28685 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28689 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28691 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28698 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28722 */     GIR_RootConstrainSelectedInstOperands,
     /*   28723 */     // GIR_Coverage, 51946,
     /*   28723 */     GIR_EraseRootFromParent_Done,
     /*   28724 */   // Label 528: @28724
     /*   28724 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(28820), // Rule ID 51947 //
     /*   28729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28781 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28785 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28787 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28794 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28818 */     GIR_RootConstrainSelectedInstOperands,
     /*   28819 */     // GIR_Coverage, 51947,
     /*   28819 */     GIR_EraseRootFromParent_Done,
     /*   28820 */   // Label 529: @28820
     /*   28820 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(28916), // Rule ID 52064 //
     /*   28825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28862 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28877 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28881 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28883 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28890 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28914 */     GIR_RootConstrainSelectedInstOperands,
     /*   28915 */     // GIR_Coverage, 52064,
     /*   28915 */     GIR_EraseRootFromParent_Done,
     /*   28916 */   // Label 530: @28916
     /*   28916 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29012), // Rule ID 52065 //
     /*   28921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28973 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28977 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28979 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28984 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28986 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29010 */     GIR_RootConstrainSelectedInstOperands,
     /*   29011 */     // GIR_Coverage, 52065,
     /*   29011 */     GIR_EraseRootFromParent_Done,
     /*   29012 */   // Label 531: @29012
     /*   29012 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29108), // Rule ID 70864 //
     /*   29017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29069 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29073 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29075 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29080 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29082 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29106 */     GIR_RootConstrainSelectedInstOperands,
     /*   29107 */     // GIR_Coverage, 70864,
     /*   29107 */     GIR_EraseRootFromParent_Done,
     /*   29108 */   // Label 532: @29108
     /*   29108 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29204), // Rule ID 70865 //
     /*   29113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29165 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29169 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29171 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29176 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29178 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29202 */     GIR_RootConstrainSelectedInstOperands,
     /*   29203 */     // GIR_Coverage, 70865,
     /*   29203 */     GIR_EraseRootFromParent_Done,
     /*   29204 */   // Label 533: @29204
     /*   29204 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29300), // Rule ID 52004 //
     /*   29209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29265 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29267 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29274 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29298 */     GIR_RootConstrainSelectedInstOperands,
     /*   29299 */     // GIR_Coverage, 52004,
     /*   29299 */     GIR_EraseRootFromParent_Done,
     /*   29300 */   // Label 534: @29300
     /*   29300 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29396), // Rule ID 52005 //
     /*   29305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29342 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29361 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29363 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29368 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29370 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29394 */     GIR_RootConstrainSelectedInstOperands,
     /*   29395 */     // GIR_Coverage, 52005,
     /*   29395 */     GIR_EraseRootFromParent_Done,
     /*   29396 */   // Label 535: @29396
     /*   29396 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29485), // Rule ID 46614 //
     /*   29401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29444 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29483 */     GIR_RootConstrainSelectedInstOperands,
     /*   29484 */     // GIR_Coverage, 46614,
     /*   29484 */     GIR_EraseRootFromParent_Done,
     /*   29485 */   // Label 536: @29485
     /*   29485 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29574), // Rule ID 46615 //
     /*   29490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29533 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29572 */     GIR_RootConstrainSelectedInstOperands,
     /*   29573 */     // GIR_Coverage, 46615,
     /*   29573 */     GIR_EraseRootFromParent_Done,
     /*   29574 */   // Label 537: @29574
     /*   29574 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29663), // Rule ID 46378 //
     /*   29579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29613 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29615 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29622 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29661 */     GIR_RootConstrainSelectedInstOperands,
     /*   29662 */     // GIR_Coverage, 46378,
     /*   29662 */     GIR_EraseRootFromParent_Done,
     /*   29663 */   // Label 538: @29663
     /*   29663 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29752), // Rule ID 46379 //
     /*   29668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29702 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29711 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29750 */     GIR_RootConstrainSelectedInstOperands,
     /*   29751 */     // GIR_Coverage, 46379,
     /*   29751 */     GIR_EraseRootFromParent_Done,
     /*   29752 */   // Label 539: @29752
     /*   29752 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29841), // Rule ID 46494 //
     /*   29757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29791 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29800 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29839 */     GIR_RootConstrainSelectedInstOperands,
     /*   29840 */     // GIR_Coverage, 46494,
     /*   29840 */     GIR_EraseRootFromParent_Done,
     /*   29841 */   // Label 540: @29841
     /*   29841 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29930), // Rule ID 46495 //
     /*   29846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29889 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29928 */     GIR_RootConstrainSelectedInstOperands,
     /*   29929 */     // GIR_Coverage, 46495,
     /*   29929 */     GIR_EraseRootFromParent_Done,
     /*   29930 */   // Label 541: @29930
     /*   29930 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29998), // Rule ID 70492 //
     /*   29935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   29938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29972 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   29972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   29975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   29993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29996 */     GIR_RootConstrainSelectedInstOperands,
     /*   29997 */     // GIR_Coverage, 70492,
     /*   29997 */     GIR_EraseRootFromParent_Done,
     /*   29998 */   // Label 542: @29998
     /*   29998 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30066), // Rule ID 70493 //
     /*   30003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30040 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30064 */     GIR_RootConstrainSelectedInstOperands,
     /*   30065 */     // GIR_Coverage, 70493,
     /*   30065 */     GIR_EraseRootFromParent_Done,
     /*   30066 */   // Label 543: @30066
     /*   30066 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30121), // Rule ID 69404 //
     /*   30071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30099 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30119 */     GIR_RootConstrainSelectedInstOperands,
     /*   30120 */     // GIR_Coverage, 69404,
     /*   30120 */     GIR_EraseRootFromParent_Done,
     /*   30121 */   // Label 544: @30121
     /*   30121 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30176), // Rule ID 69405 //
     /*   30126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30141 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30154 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30174 */     GIR_RootConstrainSelectedInstOperands,
     /*   30175 */     // GIR_Coverage, 69405,
     /*   30175 */     GIR_EraseRootFromParent_Done,
     /*   30176 */   // Label 545: @30176
     /*   30176 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30231), // Rule ID 69224 //
     /*   30181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30209 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30229 */     GIR_RootConstrainSelectedInstOperands,
     /*   30230 */     // GIR_Coverage, 69224,
     /*   30230 */     GIR_EraseRootFromParent_Done,
     /*   30231 */   // Label 546: @30231
     /*   30231 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30286), // Rule ID 69225 //
     /*   30236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30264 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30284 */     GIR_RootConstrainSelectedInstOperands,
     /*   30285 */     // GIR_Coverage, 69225,
     /*   30285 */     GIR_EraseRootFromParent_Done,
     /*   30286 */   // Label 547: @30286
     /*   30286 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30341), // Rule ID 69314 //
     /*   30291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30319 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30339 */     GIR_RootConstrainSelectedInstOperands,
     /*   30340 */     // GIR_Coverage, 69314,
     /*   30340 */     GIR_EraseRootFromParent_Done,
     /*   30341 */   // Label 548: @30341
     /*   30341 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30396), // Rule ID 69315 //
     /*   30346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30374 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30394 */     GIR_RootConstrainSelectedInstOperands,
     /*   30395 */     // GIR_Coverage, 69315,
     /*   30395 */     GIR_EraseRootFromParent_Done,
     /*   30396 */   // Label 549: @30396
     /*   30396 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(30464), // Rule ID 51824 //
     /*   30401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30438 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   30438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30462 */     GIR_RootConstrainSelectedInstOperands,
     /*   30463 */     // GIR_Coverage, 51824,
     /*   30463 */     GIR_EraseRootFromParent_Done,
     /*   30464 */   // Label 550: @30464
     /*   30464 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30532), // Rule ID 51825 //
     /*   30469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30506 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30530 */     GIR_RootConstrainSelectedInstOperands,
     /*   30531 */     // GIR_Coverage, 51825,
     /*   30531 */     GIR_EraseRootFromParent_Done,
     /*   30532 */   // Label 551: @30532
     /*   30532 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30587), // Rule ID 46674 //
     /*   30537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30565 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30585 */     GIR_RootConstrainSelectedInstOperands,
     /*   30586 */     // GIR_Coverage, 46674,
     /*   30586 */     GIR_EraseRootFromParent_Done,
     /*   30587 */   // Label 552: @30587
     /*   30587 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30642), // Rule ID 46675 //
     /*   30592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30620 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30640 */     GIR_RootConstrainSelectedInstOperands,
     /*   30641 */     // GIR_Coverage, 46675,
     /*   30641 */     GIR_EraseRootFromParent_Done,
     /*   30642 */   // Label 553: @30642
     /*   30642 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30697), // Rule ID 46434 //
     /*   30647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30675 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30695 */     GIR_RootConstrainSelectedInstOperands,
     /*   30696 */     // GIR_Coverage, 46434,
     /*   30696 */     GIR_EraseRootFromParent_Done,
     /*   30697 */   // Label 554: @30697
     /*   30697 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30752), // Rule ID 46435 //
     /*   30702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30730 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30750 */     GIR_RootConstrainSelectedInstOperands,
     /*   30751 */     // GIR_Coverage, 46435,
     /*   30751 */     GIR_EraseRootFromParent_Done,
     /*   30752 */   // Label 555: @30752
     /*   30752 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30807), // Rule ID 46554 //
     /*   30757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30785 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30805 */     GIR_RootConstrainSelectedInstOperands,
     /*   30806 */     // GIR_Coverage, 46554,
     /*   30806 */     GIR_EraseRootFromParent_Done,
     /*   30807 */   // Label 556: @30807
     /*   30807 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(30862), // Rule ID 46555 //
     /*   30812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30840 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30860 */     GIR_RootConstrainSelectedInstOperands,
     /*   30861 */     // GIR_Coverage, 46555,
     /*   30861 */     GIR_EraseRootFromParent_Done,
     /*   30862 */   // Label 557: @30862
     /*   30862 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(30915), // Rule ID 46056 //
     /*   30867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30878 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   30878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   30881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   30895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30913 */     GIR_RootConstrainSelectedInstOperands,
     /*   30914 */     // GIR_Coverage, 46056,
     /*   30914 */     GIR_EraseRootFromParent_Done,
     /*   30915 */   // Label 558: @30915
     /*   30915 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(30968), // Rule ID 46057 //
     /*   30920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30931 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   30931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   30934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   30948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30966 */     GIR_RootConstrainSelectedInstOperands,
     /*   30967 */     // GIR_Coverage, 46057,
     /*   30967 */     GIR_EraseRootFromParent_Done,
     /*   30968 */   // Label 559: @30968
     /*   30968 */   GIM_Reject,
     /*   30969 */ // Label 519: @30969
     /*   30969 */ GIM_Reject,
     /*   30970 */ // Label 136: @30970
     /*   30970 */ GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31364),
     /*   30975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   30981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30985 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31053), // Rule ID 70356 //
     /*   30990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31027 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31051 */     GIR_RootConstrainSelectedInstOperands,
     /*   31052 */     // GIR_Coverage, 70356,
     /*   31052 */     GIR_EraseRootFromParent_Done,
     /*   31053 */   // Label 561: @31053
     /*   31053 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31121), // Rule ID 70357 //
     /*   31058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31095 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31119 */     GIR_RootConstrainSelectedInstOperands,
     /*   31120 */     // GIR_Coverage, 70357,
     /*   31120 */     GIR_EraseRootFromParent_Done,
     /*   31121 */   // Label 562: @31121
     /*   31121 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31189), // Rule ID 51756 //
     /*   31126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31163 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31187 */     GIR_RootConstrainSelectedInstOperands,
     /*   31188 */     // GIR_Coverage, 51756,
     /*   31188 */     GIR_EraseRootFromParent_Done,
     /*   31189 */   // Label 563: @31189
     /*   31189 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31257), // Rule ID 51757 //
     /*   31194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31231 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31255 */     GIR_RootConstrainSelectedInstOperands,
     /*   31256 */     // GIR_Coverage, 51757,
     /*   31256 */     GIR_EraseRootFromParent_Done,
     /*   31257 */   // Label 564: @31257
     /*   31257 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31310), // Rule ID 45988 //
     /*   31262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31273 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   31273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31308 */     GIR_RootConstrainSelectedInstOperands,
     /*   31309 */     // GIR_Coverage, 45988,
     /*   31309 */     GIR_EraseRootFromParent_Done,
     /*   31310 */   // Label 565: @31310
     /*   31310 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31363), // Rule ID 45989 //
     /*   31315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31326 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   31326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31361 */     GIR_RootConstrainSelectedInstOperands,
     /*   31362 */     // GIR_Coverage, 45989,
     /*   31362 */     GIR_EraseRootFromParent_Done,
     /*   31363 */   // Label 566: @31363
     /*   31363 */   GIM_Reject,
     /*   31364 */ // Label 560: @31364
     /*   31364 */ GIM_Reject,
     /*   31365 */ // Label 137: @31365
     /*   31365 */ GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(34489),
     /*   31370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31380 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(31476), // Rule ID 70562 //
     /*   31385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31433 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31437 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31439 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31448 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31450 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31474 */     GIR_RootConstrainSelectedInstOperands,
     /*   31475 */     // GIR_Coverage, 70562,
     /*   31475 */     GIR_EraseRootFromParent_Done,
     /*   31476 */   // Label 568: @31476
     /*   31476 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(31572), // Rule ID 70563 //
     /*   31481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31514 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31529 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31533 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31535 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31546 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31570 */     GIR_RootConstrainSelectedInstOperands,
     /*   31571 */     // GIR_Coverage, 70563,
     /*   31571 */     GIR_EraseRootFromParent_Done,
     /*   31572 */   // Label 569: @31572
     /*   31572 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(31668), // Rule ID 70806 //
     /*   31577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31625 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31629 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31631 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31642 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31666 */     GIR_RootConstrainSelectedInstOperands,
     /*   31667 */     // GIR_Coverage, 70806,
     /*   31667 */     GIR_EraseRootFromParent_Done,
     /*   31668 */   // Label 570: @31668
     /*   31668 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(31764), // Rule ID 70807 //
     /*   31673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31692 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31721 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31725 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31727 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31738 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31762 */     GIR_RootConstrainSelectedInstOperands,
     /*   31763 */     // GIR_Coverage, 70807,
     /*   31763 */     GIR_EraseRootFromParent_Done,
     /*   31764 */   // Label 571: @31764
     /*   31764 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(31860), // Rule ID 70808 //
     /*   31769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31802 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31817 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31821 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31823 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31834 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31858 */     GIR_RootConstrainSelectedInstOperands,
     /*   31859 */     // GIR_Coverage, 70808,
     /*   31859 */     GIR_EraseRootFromParent_Done,
     /*   31860 */   // Label 572: @31860
     /*   31860 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(31956), // Rule ID 70809 //
     /*   31865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31913 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31917 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31919 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31930 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31954 */     GIR_RootConstrainSelectedInstOperands,
     /*   31955 */     // GIR_Coverage, 70809,
     /*   31955 */     GIR_EraseRootFromParent_Done,
     /*   31956 */   // Label 573: @31956
     /*   31956 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32052), // Rule ID 70676 //
     /*   31961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32013 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32015 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32026 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32050 */     GIR_RootConstrainSelectedInstOperands,
     /*   32051 */     // GIR_Coverage, 70676,
     /*   32051 */     GIR_EraseRootFromParent_Done,
     /*   32052 */   // Label 574: @32052
     /*   32052 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32148), // Rule ID 70677 //
     /*   32057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32105 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32109 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32111 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32122 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32146 */     GIR_RootConstrainSelectedInstOperands,
     /*   32147 */     // GIR_Coverage, 70677,
     /*   32147 */     GIR_EraseRootFromParent_Done,
     /*   32148 */   // Label 575: @32148
     /*   32148 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32244), // Rule ID 51926 //
     /*   32153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32205 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32209 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32211 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32218 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32242 */     GIR_RootConstrainSelectedInstOperands,
     /*   32243 */     // GIR_Coverage, 51926,
     /*   32243 */     GIR_EraseRootFromParent_Done,
     /*   32244 */   // Label 576: @32244
     /*   32244 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32340), // Rule ID 51927 //
     /*   32249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32301 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32305 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32307 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32314 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32338 */     GIR_RootConstrainSelectedInstOperands,
     /*   32339 */     // GIR_Coverage, 51927,
     /*   32339 */     GIR_EraseRootFromParent_Done,
     /*   32340 */   // Label 577: @32340
     /*   32340 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32436), // Rule ID 52044 //
     /*   32345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32389 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32393 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32397 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32401 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32403 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32410 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32434 */     GIR_RootConstrainSelectedInstOperands,
     /*   32435 */     // GIR_Coverage, 52044,
     /*   32435 */     GIR_EraseRootFromParent_Done,
     /*   32436 */   // Label 578: @32436
     /*   32436 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32532), // Rule ID 52045 //
     /*   32441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32464 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32485 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32489 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32493 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32497 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32499 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32506 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32530 */     GIR_RootConstrainSelectedInstOperands,
     /*   32531 */     // GIR_Coverage, 52045,
     /*   32531 */     GIR_EraseRootFromParent_Done,
     /*   32532 */   // Label 579: @32532
     /*   32532 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32628), // Rule ID 70804 //
     /*   32537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32560 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32589 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32593 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32595 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32602 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32626 */     GIR_RootConstrainSelectedInstOperands,
     /*   32627 */     // GIR_Coverage, 70804,
     /*   32627 */     GIR_EraseRootFromParent_Done,
     /*   32628 */   // Label 580: @32628
     /*   32628 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32724), // Rule ID 70805 //
     /*   32633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32685 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32689 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32691 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32698 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32722 */     GIR_RootConstrainSelectedInstOperands,
     /*   32723 */     // GIR_Coverage, 70805,
     /*   32723 */     GIR_EraseRootFromParent_Done,
     /*   32724 */   // Label 581: @32724
     /*   32724 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(32820), // Rule ID 51984 //
     /*   32729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32781 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32785 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32787 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32794 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32818 */     GIR_RootConstrainSelectedInstOperands,
     /*   32819 */     // GIR_Coverage, 51984,
     /*   32819 */     GIR_EraseRootFromParent_Done,
     /*   32820 */   // Label 582: @32820
     /*   32820 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(32916), // Rule ID 51985 //
     /*   32825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32862 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32877 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32881 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32883 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32890 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32914 */     GIR_RootConstrainSelectedInstOperands,
     /*   32915 */     // GIR_Coverage, 51985,
     /*   32915 */     GIR_EraseRootFromParent_Done,
     /*   32916 */   // Label 583: @32916
     /*   32916 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33005), // Rule ID 46574 //
     /*   32921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32964 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   32964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   32967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   32981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33003 */     GIR_RootConstrainSelectedInstOperands,
     /*   33004 */     // GIR_Coverage, 46574,
     /*   33004 */     GIR_EraseRootFromParent_Done,
     /*   33005 */   // Label 584: @33005
     /*   33005 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33094), // Rule ID 46575 //
     /*   33010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33053 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33092 */     GIR_RootConstrainSelectedInstOperands,
     /*   33093 */     // GIR_Coverage, 46575,
     /*   33093 */     GIR_EraseRootFromParent_Done,
     /*   33094 */   // Label 585: @33094
     /*   33094 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33183), // Rule ID 46338 //
     /*   33099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33133 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33142 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33181 */     GIR_RootConstrainSelectedInstOperands,
     /*   33182 */     // GIR_Coverage, 46338,
     /*   33182 */     GIR_EraseRootFromParent_Done,
     /*   33183 */   // Label 586: @33183
     /*   33183 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33272), // Rule ID 46339 //
     /*   33188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33222 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33231 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33270 */     GIR_RootConstrainSelectedInstOperands,
     /*   33271 */     // GIR_Coverage, 46339,
     /*   33271 */     GIR_EraseRootFromParent_Done,
     /*   33272 */   // Label 587: @33272
     /*   33272 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33361), // Rule ID 46454 //
     /*   33277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33311 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33320 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33359 */     GIR_RootConstrainSelectedInstOperands,
     /*   33360 */     // GIR_Coverage, 46454,
     /*   33360 */     GIR_EraseRootFromParent_Done,
     /*   33361 */   // Label 588: @33361
     /*   33361 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33450), // Rule ID 46455 //
     /*   33366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33400 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33409 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33448 */     GIR_RootConstrainSelectedInstOperands,
     /*   33449 */     // GIR_Coverage, 46455,
     /*   33449 */     GIR_EraseRootFromParent_Done,
     /*   33450 */   // Label 589: @33450
     /*   33450 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33518), // Rule ID 70396 //
     /*   33455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33492 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33516 */     GIR_RootConstrainSelectedInstOperands,
     /*   33517 */     // GIR_Coverage, 70396,
     /*   33517 */     GIR_EraseRootFromParent_Done,
     /*   33518 */   // Label 590: @33518
     /*   33518 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(33586), // Rule ID 70397 //
     /*   33523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33560 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33584 */     GIR_RootConstrainSelectedInstOperands,
     /*   33585 */     // GIR_Coverage, 70397,
     /*   33585 */     GIR_EraseRootFromParent_Done,
     /*   33586 */   // Label 591: @33586
     /*   33586 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33641), // Rule ID 69364 //
     /*   33591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33619 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33639 */     GIR_RootConstrainSelectedInstOperands,
     /*   33640 */     // GIR_Coverage, 69364,
     /*   33640 */     GIR_EraseRootFromParent_Done,
     /*   33641 */   // Label 592: @33641
     /*   33641 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33696), // Rule ID 69365 //
     /*   33646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33674 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33694 */     GIR_RootConstrainSelectedInstOperands,
     /*   33695 */     // GIR_Coverage, 69365,
     /*   33695 */     GIR_EraseRootFromParent_Done,
     /*   33696 */   // Label 593: @33696
     /*   33696 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33751), // Rule ID 69184 //
     /*   33701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33729 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33749 */     GIR_RootConstrainSelectedInstOperands,
     /*   33750 */     // GIR_Coverage, 69184,
     /*   33750 */     GIR_EraseRootFromParent_Done,
     /*   33751 */   // Label 594: @33751
     /*   33751 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33806), // Rule ID 69185 //
     /*   33756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33784 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33804 */     GIR_RootConstrainSelectedInstOperands,
     /*   33805 */     // GIR_Coverage, 69185,
     /*   33805 */     GIR_EraseRootFromParent_Done,
     /*   33806 */   // Label 595: @33806
     /*   33806 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33861), // Rule ID 69274 //
     /*   33811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33839 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33859 */     GIR_RootConstrainSelectedInstOperands,
     /*   33860 */     // GIR_Coverage, 69274,
     /*   33860 */     GIR_EraseRootFromParent_Done,
     /*   33861 */   // Label 596: @33861
     /*   33861 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(33916), // Rule ID 69275 //
     /*   33866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33894 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33914 */     GIR_RootConstrainSelectedInstOperands,
     /*   33915 */     // GIR_Coverage, 69275,
     /*   33915 */     GIR_EraseRootFromParent_Done,
     /*   33916 */   // Label 597: @33916
     /*   33916 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(33984), // Rule ID 51776 //
     /*   33921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33958 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33982 */     GIR_RootConstrainSelectedInstOperands,
     /*   33983 */     // GIR_Coverage, 51776,
     /*   33983 */     GIR_EraseRootFromParent_Done,
     /*   33984 */   // Label 598: @33984
     /*   33984 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34052), // Rule ID 51777 //
     /*   33989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   34012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34026 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   34029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   34035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34050 */     GIR_RootConstrainSelectedInstOperands,
     /*   34051 */     // GIR_Coverage, 51777,
     /*   34051 */     GIR_EraseRootFromParent_Done,
     /*   34052 */   // Label 599: @34052
     /*   34052 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34107), // Rule ID 46634 //
     /*   34057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34085 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34105 */     GIR_RootConstrainSelectedInstOperands,
     /*   34106 */     // GIR_Coverage, 46634,
     /*   34106 */     GIR_EraseRootFromParent_Done,
     /*   34107 */   // Label 600: @34107
     /*   34107 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34162), // Rule ID 46635 //
     /*   34112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34140 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34160 */     GIR_RootConstrainSelectedInstOperands,
     /*   34161 */     // GIR_Coverage, 46635,
     /*   34161 */     GIR_EraseRootFromParent_Done,
     /*   34162 */   // Label 601: @34162
     /*   34162 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34217), // Rule ID 46394 //
     /*   34167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34195 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34215 */     GIR_RootConstrainSelectedInstOperands,
     /*   34216 */     // GIR_Coverage, 46394,
     /*   34216 */     GIR_EraseRootFromParent_Done,
     /*   34217 */   // Label 602: @34217
     /*   34217 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34272), // Rule ID 46395 //
     /*   34222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34250 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34270 */     GIR_RootConstrainSelectedInstOperands,
     /*   34271 */     // GIR_Coverage, 46395,
     /*   34271 */     GIR_EraseRootFromParent_Done,
     /*   34272 */   // Label 603: @34272
     /*   34272 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34327), // Rule ID 46514 //
     /*   34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34305 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34325 */     GIR_RootConstrainSelectedInstOperands,
     /*   34326 */     // GIR_Coverage, 46514,
     /*   34326 */     GIR_EraseRootFromParent_Done,
     /*   34327 */   // Label 604: @34327
     /*   34327 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34382), // Rule ID 46515 //
     /*   34332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34360 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34380 */     GIR_RootConstrainSelectedInstOperands,
     /*   34381 */     // GIR_Coverage, 46515,
     /*   34381 */     GIR_EraseRootFromParent_Done,
     /*   34382 */   // Label 605: @34382
     /*   34382 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34435), // Rule ID 46008 //
     /*   34387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34398 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   34398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34433 */     GIR_RootConstrainSelectedInstOperands,
     /*   34434 */     // GIR_Coverage, 46008,
     /*   34434 */     GIR_EraseRootFromParent_Done,
     /*   34435 */   // Label 606: @34435
     /*   34435 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(34488), // Rule ID 46009 //
     /*   34440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34451 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   34451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34486 */     GIR_RootConstrainSelectedInstOperands,
     /*   34487 */     // GIR_Coverage, 46009,
     /*   34487 */     GIR_EraseRootFromParent_Done,
     /*   34488 */   // Label 607: @34488
     /*   34488 */   GIM_Reject,
     /*   34489 */ // Label 567: @34489
     /*   34489 */ GIM_Reject,
     /*   34490 */ // Label 138: @34490
     /*   34490 */ GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(37614),
     /*   34495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34505 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(34601), // Rule ID 70574 //
     /*   34510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34543 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34558 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34562 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34564 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34573 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34575 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34599 */     GIR_RootConstrainSelectedInstOperands,
     /*   34600 */     // GIR_Coverage, 70574,
     /*   34600 */     GIR_EraseRootFromParent_Done,
     /*   34601 */   // Label 609: @34601
     /*   34601 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(34697), // Rule ID 70575 //
     /*   34606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34625 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34654 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34658 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34660 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34669 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34671 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34695 */     GIR_RootConstrainSelectedInstOperands,
     /*   34696 */     // GIR_Coverage, 70575,
     /*   34696 */     GIR_EraseRootFromParent_Done,
     /*   34697 */   // Label 610: @34697
     /*   34697 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(34793), // Rule ID 70842 //
     /*   34702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34742 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34746 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34750 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34754 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34756 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34767 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34791 */     GIR_RootConstrainSelectedInstOperands,
     /*   34792 */     // GIR_Coverage, 70842,
     /*   34792 */     GIR_EraseRootFromParent_Done,
     /*   34793 */   // Label 611: @34793
     /*   34793 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(34889), // Rule ID 70843 //
     /*   34798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34831 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34846 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34850 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34852 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34863 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34887 */     GIR_RootConstrainSelectedInstOperands,
     /*   34888 */     // GIR_Coverage, 70843,
     /*   34888 */     GIR_EraseRootFromParent_Done,
     /*   34889 */   // Label 612: @34889
     /*   34889 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(34985), // Rule ID 70844 //
     /*   34894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34942 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34946 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34948 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34959 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34983 */     GIR_RootConstrainSelectedInstOperands,
     /*   34984 */     // GIR_Coverage, 70844,
     /*   34984 */     GIR_EraseRootFromParent_Done,
     /*   34985 */   // Label 613: @34985
     /*   34985 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35081), // Rule ID 70845 //
     /*   34990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35023 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35038 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35042 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35044 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35053 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35055 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35079 */     GIR_RootConstrainSelectedInstOperands,
     /*   35080 */     // GIR_Coverage, 70845,
     /*   35080 */     GIR_EraseRootFromParent_Done,
     /*   35081 */   // Label 614: @35081
     /*   35081 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35177), // Rule ID 70688 //
     /*   35086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35119 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35126 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35130 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35134 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35138 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35140 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35151 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35175 */     GIR_RootConstrainSelectedInstOperands,
     /*   35176 */     // GIR_Coverage, 70688,
     /*   35176 */     GIR_EraseRootFromParent_Done,
     /*   35177 */   // Label 615: @35177
     /*   35177 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35273), // Rule ID 70689 //
     /*   35182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35230 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35234 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35236 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35245 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35247 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35271 */     GIR_RootConstrainSelectedInstOperands,
     /*   35272 */     // GIR_Coverage, 70689,
     /*   35272 */     GIR_EraseRootFromParent_Done,
     /*   35273 */   // Label 616: @35273
     /*   35273 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35369), // Rule ID 51938 //
     /*   35278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35330 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35334 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35336 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35343 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35367 */     GIR_RootConstrainSelectedInstOperands,
     /*   35368 */     // GIR_Coverage, 51938,
     /*   35368 */     GIR_EraseRootFromParent_Done,
     /*   35369 */   // Label 617: @35369
     /*   35369 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35465), // Rule ID 51939 //
     /*   35374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35397 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35411 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35426 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35430 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35432 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35439 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35463 */     GIR_RootConstrainSelectedInstOperands,
     /*   35464 */     // GIR_Coverage, 51939,
     /*   35464 */     GIR_EraseRootFromParent_Done,
     /*   35465 */   // Label 618: @35465
     /*   35465 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35561), // Rule ID 52056 //
     /*   35470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35493 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35507 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35522 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35526 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35528 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35533 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35535 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35559 */     GIR_RootConstrainSelectedInstOperands,
     /*   35560 */     // GIR_Coverage, 52056,
     /*   35560 */     GIR_EraseRootFromParent_Done,
     /*   35561 */   // Label 619: @35561
     /*   35561 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35657), // Rule ID 52057 //
     /*   35566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35614 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35618 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35622 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35624 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35631 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35655 */     GIR_RootConstrainSelectedInstOperands,
     /*   35656 */     // GIR_Coverage, 52057,
     /*   35656 */     GIR_EraseRootFromParent_Done,
     /*   35657 */   // Label 620: @35657
     /*   35657 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(35753), // Rule ID 70840 //
     /*   35662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35714 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35718 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35725 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35727 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35751 */     GIR_RootConstrainSelectedInstOperands,
     /*   35752 */     // GIR_Coverage, 70840,
     /*   35752 */     GIR_EraseRootFromParent_Done,
     /*   35753 */   // Label 621: @35753
     /*   35753 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(35849), // Rule ID 70841 //
     /*   35758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35810 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35814 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35816 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35823 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35847 */     GIR_RootConstrainSelectedInstOperands,
     /*   35848 */     // GIR_Coverage, 70841,
     /*   35848 */     GIR_EraseRootFromParent_Done,
     /*   35849 */   // Label 622: @35849
     /*   35849 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(35945), // Rule ID 51996 //
     /*   35854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35906 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35910 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35917 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35919 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35943 */     GIR_RootConstrainSelectedInstOperands,
     /*   35944 */     // GIR_Coverage, 51996,
     /*   35944 */     GIR_EraseRootFromParent_Done,
     /*   35945 */   // Label 623: @35945
     /*   35945 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36041), // Rule ID 51997 //
     /*   35950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36002 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36006 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   36008 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   36015 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   36018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   36022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   36030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36039 */     GIR_RootConstrainSelectedInstOperands,
     /*   36040 */     // GIR_Coverage, 51997,
     /*   36040 */     GIR_EraseRootFromParent_Done,
     /*   36041 */   // Label 624: @36041
     /*   36041 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36130), // Rule ID 46598 //
     /*   36046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36080 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36089 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36128 */     GIR_RootConstrainSelectedInstOperands,
     /*   36129 */     // GIR_Coverage, 46598,
     /*   36129 */     GIR_EraseRootFromParent_Done,
     /*   36130 */   // Label 625: @36130
     /*   36130 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36219), // Rule ID 46599 //
     /*   36135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36169 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36178 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36217 */     GIR_RootConstrainSelectedInstOperands,
     /*   36218 */     // GIR_Coverage, 46599,
     /*   36218 */     GIR_EraseRootFromParent_Done,
     /*   36219 */   // Label 626: @36219
     /*   36219 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36308), // Rule ID 46362 //
     /*   36224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36258 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36267 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36306 */     GIR_RootConstrainSelectedInstOperands,
     /*   36307 */     // GIR_Coverage, 46362,
     /*   36307 */     GIR_EraseRootFromParent_Done,
     /*   36308 */   // Label 627: @36308
     /*   36308 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36397), // Rule ID 46363 //
     /*   36313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36347 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36356 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36395 */     GIR_RootConstrainSelectedInstOperands,
     /*   36396 */     // GIR_Coverage, 46363,
     /*   36396 */     GIR_EraseRootFromParent_Done,
     /*   36397 */   // Label 628: @36397
     /*   36397 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36486), // Rule ID 46478 //
     /*   36402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36436 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36445 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36484 */     GIR_RootConstrainSelectedInstOperands,
     /*   36485 */     // GIR_Coverage, 46478,
     /*   36485 */     GIR_EraseRootFromParent_Done,
     /*   36486 */   // Label 629: @36486
     /*   36486 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36575), // Rule ID 46479 //
     /*   36491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36525 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36534 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36573 */     GIR_RootConstrainSelectedInstOperands,
     /*   36574 */     // GIR_Coverage, 46479,
     /*   36574 */     GIR_EraseRootFromParent_Done,
     /*   36575 */   // Label 630: @36575
     /*   36575 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36643), // Rule ID 70468 //
     /*   36580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36599 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36617 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36641 */     GIR_RootConstrainSelectedInstOperands,
     /*   36642 */     // GIR_Coverage, 70468,
     /*   36642 */     GIR_EraseRootFromParent_Done,
     /*   36643 */   // Label 631: @36643
     /*   36643 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(36711), // Rule ID 70469 //
     /*   36648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36685 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36709 */     GIR_RootConstrainSelectedInstOperands,
     /*   36710 */     // GIR_Coverage, 70469,
     /*   36710 */     GIR_EraseRootFromParent_Done,
     /*   36711 */   // Label 632: @36711
     /*   36711 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36766), // Rule ID 69388 //
     /*   36716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36744 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36764 */     GIR_RootConstrainSelectedInstOperands,
     /*   36765 */     // GIR_Coverage, 69388,
     /*   36765 */     GIR_EraseRootFromParent_Done,
     /*   36766 */   // Label 633: @36766
     /*   36766 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36821), // Rule ID 69389 //
     /*   36771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36799 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36819 */     GIR_RootConstrainSelectedInstOperands,
     /*   36820 */     // GIR_Coverage, 69389,
     /*   36820 */     GIR_EraseRootFromParent_Done,
     /*   36821 */   // Label 634: @36821
     /*   36821 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36876), // Rule ID 69208 //
     /*   36826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36854 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   36857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36874 */     GIR_RootConstrainSelectedInstOperands,
     /*   36875 */     // GIR_Coverage, 69208,
     /*   36875 */     GIR_EraseRootFromParent_Done,
     /*   36876 */   // Label 635: @36876
     /*   36876 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36931), // Rule ID 69209 //
     /*   36881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36909 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   36912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36929 */     GIR_RootConstrainSelectedInstOperands,
     /*   36930 */     // GIR_Coverage, 69209,
     /*   36930 */     GIR_EraseRootFromParent_Done,
     /*   36931 */   // Label 636: @36931
     /*   36931 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(36986), // Rule ID 69298 //
     /*   36936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36964 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36984 */     GIR_RootConstrainSelectedInstOperands,
     /*   36985 */     // GIR_Coverage, 69298,
     /*   36985 */     GIR_EraseRootFromParent_Done,
     /*   36986 */   // Label 637: @36986
     /*   36986 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37041), // Rule ID 69299 //
     /*   36991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37019 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37039 */     GIR_RootConstrainSelectedInstOperands,
     /*   37040 */     // GIR_Coverage, 69299,
     /*   37040 */     GIR_EraseRootFromParent_Done,
     /*   37041 */   // Label 638: @37041
     /*   37041 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(37109), // Rule ID 51812 //
     /*   37046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37083 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37107 */     GIR_RootConstrainSelectedInstOperands,
     /*   37108 */     // GIR_Coverage, 51812,
     /*   37108 */     GIR_EraseRootFromParent_Done,
     /*   37109 */   // Label 639: @37109
     /*   37109 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37177), // Rule ID 51813 //
     /*   37114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37151 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37175 */     GIR_RootConstrainSelectedInstOperands,
     /*   37176 */     // GIR_Coverage, 51813,
     /*   37176 */     GIR_EraseRootFromParent_Done,
     /*   37177 */   // Label 640: @37177
     /*   37177 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37232), // Rule ID 46658 //
     /*   37182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37210 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37230 */     GIR_RootConstrainSelectedInstOperands,
     /*   37231 */     // GIR_Coverage, 46658,
     /*   37231 */     GIR_EraseRootFromParent_Done,
     /*   37232 */   // Label 641: @37232
     /*   37232 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37287), // Rule ID 46659 //
     /*   37237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37265 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37285 */     GIR_RootConstrainSelectedInstOperands,
     /*   37286 */     // GIR_Coverage, 46659,
     /*   37286 */     GIR_EraseRootFromParent_Done,
     /*   37287 */   // Label 642: @37287
     /*   37287 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37342), // Rule ID 46418 //
     /*   37292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37320 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37340 */     GIR_RootConstrainSelectedInstOperands,
     /*   37341 */     // GIR_Coverage, 46418,
     /*   37341 */     GIR_EraseRootFromParent_Done,
     /*   37342 */   // Label 643: @37342
     /*   37342 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37397), // Rule ID 46419 //
     /*   37347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37375 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37395 */     GIR_RootConstrainSelectedInstOperands,
     /*   37396 */     // GIR_Coverage, 46419,
     /*   37396 */     GIR_EraseRootFromParent_Done,
     /*   37397 */   // Label 644: @37397
     /*   37397 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37452), // Rule ID 46538 //
     /*   37402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37430 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37450 */     GIR_RootConstrainSelectedInstOperands,
     /*   37451 */     // GIR_Coverage, 46538,
     /*   37451 */     GIR_EraseRootFromParent_Done,
     /*   37452 */   // Label 645: @37452
     /*   37452 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37507), // Rule ID 46539 //
     /*   37457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37485 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37505 */     GIR_RootConstrainSelectedInstOperands,
     /*   37506 */     // GIR_Coverage, 46539,
     /*   37506 */     GIR_EraseRootFromParent_Done,
     /*   37507 */   // Label 646: @37507
     /*   37507 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37560), // Rule ID 46044 //
     /*   37512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37523 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   37523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37558 */     GIR_RootConstrainSelectedInstOperands,
     /*   37559 */     // GIR_Coverage, 46044,
     /*   37559 */     GIR_EraseRootFromParent_Done,
     /*   37560 */   // Label 647: @37560
     /*   37560 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37613), // Rule ID 46045 //
     /*   37565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37576 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   37576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37611 */     GIR_RootConstrainSelectedInstOperands,
     /*   37612 */     // GIR_Coverage, 46045,
     /*   37612 */     GIR_EraseRootFromParent_Done,
     /*   37613 */   // Label 648: @37613
     /*   37613 */   GIM_Reject,
     /*   37614 */ // Label 608: @37614
     /*   37614 */ GIM_Reject,
     /*   37615 */ // Label 139: @37615
     /*   37615 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(40739),
     /*   37620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37630 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(37726), // Rule ID 70584 //
     /*   37635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37700 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37724 */     GIR_RootConstrainSelectedInstOperands,
     /*   37725 */     // GIR_Coverage, 70584,
     /*   37725 */     GIR_EraseRootFromParent_Done,
     /*   37726 */   // Label 650: @37726
     /*   37726 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(37822), // Rule ID 70585 //
     /*   37731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   37734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37796 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37820 */     GIR_RootConstrainSelectedInstOperands,
     /*   37821 */     // GIR_Coverage, 70585,
     /*   37821 */     GIR_EraseRootFromParent_Done,
     /*   37822 */   // Label 651: @37822
     /*   37822 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(37918), // Rule ID 70872 //
     /*   37827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37875 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37879 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37881 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37892 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   37895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37916 */     GIR_RootConstrainSelectedInstOperands,
     /*   37917 */     // GIR_Coverage, 70872,
     /*   37917 */     GIR_EraseRootFromParent_Done,
     /*   37918 */   // Label 652: @37918
     /*   37918 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38014), // Rule ID 70873 //
     /*   37923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   37926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37956 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37971 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37975 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37977 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37988 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   37991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38012 */     GIR_RootConstrainSelectedInstOperands,
     /*   38013 */     // GIR_Coverage, 70873,
     /*   38013 */     GIR_EraseRootFromParent_Done,
     /*   38014 */   // Label 653: @38014
     /*   38014 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38110), // Rule ID 70874 //
     /*   38019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38038 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38052 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38067 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38071 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38073 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38084 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38108 */     GIR_RootConstrainSelectedInstOperands,
     /*   38109 */     // GIR_Coverage, 70874,
     /*   38109 */     GIR_EraseRootFromParent_Done,
     /*   38110 */   // Label 654: @38110
     /*   38110 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38206), // Rule ID 70875 //
     /*   38115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38163 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38167 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38169 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38180 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38204 */     GIR_RootConstrainSelectedInstOperands,
     /*   38205 */     // GIR_Coverage, 70875,
     /*   38205 */     GIR_EraseRootFromParent_Done,
     /*   38206 */   // Label 655: @38206
     /*   38206 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38302), // Rule ID 70698 //
     /*   38211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38259 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38263 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38265 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38276 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38300 */     GIR_RootConstrainSelectedInstOperands,
     /*   38301 */     // GIR_Coverage, 70698,
     /*   38301 */     GIR_EraseRootFromParent_Done,
     /*   38302 */   // Label 656: @38302
     /*   38302 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38398), // Rule ID 70699 //
     /*   38307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38340 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38355 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38359 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38361 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38372 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38396 */     GIR_RootConstrainSelectedInstOperands,
     /*   38397 */     // GIR_Coverage, 70699,
     /*   38397 */     GIR_EraseRootFromParent_Done,
     /*   38398 */   // Label 657: @38398
     /*   38398 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38494), // Rule ID 51948 //
     /*   38403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38455 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38459 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38461 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38468 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38492 */     GIR_RootConstrainSelectedInstOperands,
     /*   38493 */     // GIR_Coverage, 51948,
     /*   38493 */     GIR_EraseRootFromParent_Done,
     /*   38494 */   // Label 658: @38494
     /*   38494 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38590), // Rule ID 51949 //
     /*   38499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38551 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38555 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38557 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38564 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38588 */     GIR_RootConstrainSelectedInstOperands,
     /*   38589 */     // GIR_Coverage, 51949,
     /*   38589 */     GIR_EraseRootFromParent_Done,
     /*   38590 */   // Label 659: @38590
     /*   38590 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(38686), // Rule ID 52066 //
     /*   38595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38651 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38660 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38684 */     GIR_RootConstrainSelectedInstOperands,
     /*   38685 */     // GIR_Coverage, 52066,
     /*   38685 */     GIR_EraseRootFromParent_Done,
     /*   38686 */   // Label 660: @38686
     /*   38686 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(38782), // Rule ID 52067 //
     /*   38691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38743 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38747 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38749 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38754 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38756 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38780 */     GIR_RootConstrainSelectedInstOperands,
     /*   38781 */     // GIR_Coverage, 52067,
     /*   38781 */     GIR_EraseRootFromParent_Done,
     /*   38782 */   // Label 661: @38782
     /*   38782 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(38878), // Rule ID 70870 //
     /*   38787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38835 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38839 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38843 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38845 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38850 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38852 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38876 */     GIR_RootConstrainSelectedInstOperands,
     /*   38877 */     // GIR_Coverage, 70870,
     /*   38877 */     GIR_EraseRootFromParent_Done,
     /*   38878 */   // Label 662: @38878
     /*   38878 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(38974), // Rule ID 70871 //
     /*   38883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38920 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38927 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38931 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38935 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38939 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38941 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38948 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38972 */     GIR_RootConstrainSelectedInstOperands,
     /*   38973 */     // GIR_Coverage, 70871,
     /*   38973 */     GIR_EraseRootFromParent_Done,
     /*   38974 */   // Label 663: @38974
     /*   38974 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39070), // Rule ID 52006 //
     /*   38979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39031 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39035 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39037 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39044 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39068 */     GIR_RootConstrainSelectedInstOperands,
     /*   39069 */     // GIR_Coverage, 52006,
     /*   39069 */     GIR_EraseRootFromParent_Done,
     /*   39070 */   // Label 664: @39070
     /*   39070 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39166), // Rule ID 52007 //
     /*   39075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39112 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39127 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39131 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39133 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39138 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39140 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39164 */     GIR_RootConstrainSelectedInstOperands,
     /*   39165 */     // GIR_Coverage, 52007,
     /*   39165 */     GIR_EraseRootFromParent_Done,
     /*   39166 */   // Label 665: @39166
     /*   39166 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39255), // Rule ID 46618 //
     /*   39171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39214 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39253 */     GIR_RootConstrainSelectedInstOperands,
     /*   39254 */     // GIR_Coverage, 46618,
     /*   39254 */     GIR_EraseRootFromParent_Done,
     /*   39255 */   // Label 666: @39255
     /*   39255 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39344), // Rule ID 46619 //
     /*   39260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39303 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39342 */     GIR_RootConstrainSelectedInstOperands,
     /*   39343 */     // GIR_Coverage, 46619,
     /*   39343 */     GIR_EraseRootFromParent_Done,
     /*   39344 */   // Label 667: @39344
     /*   39344 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39433), // Rule ID 46382 //
     /*   39349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39392 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39431 */     GIR_RootConstrainSelectedInstOperands,
     /*   39432 */     // GIR_Coverage, 46382,
     /*   39432 */     GIR_EraseRootFromParent_Done,
     /*   39433 */   // Label 668: @39433
     /*   39433 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39522), // Rule ID 46383 //
     /*   39438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39481 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39520 */     GIR_RootConstrainSelectedInstOperands,
     /*   39521 */     // GIR_Coverage, 46383,
     /*   39521 */     GIR_EraseRootFromParent_Done,
     /*   39522 */   // Label 669: @39522
     /*   39522 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39611), // Rule ID 46498 //
     /*   39527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39570 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39609 */     GIR_RootConstrainSelectedInstOperands,
     /*   39610 */     // GIR_Coverage, 46498,
     /*   39610 */     GIR_EraseRootFromParent_Done,
     /*   39611 */   // Label 670: @39611
     /*   39611 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39700), // Rule ID 46499 //
     /*   39616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39659 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39698 */     GIR_RootConstrainSelectedInstOperands,
     /*   39699 */     // GIR_Coverage, 46499,
     /*   39699 */     GIR_EraseRootFromParent_Done,
     /*   39700 */   // Label 671: @39700
     /*   39700 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39768), // Rule ID 70500 //
     /*   39705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   39708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39742 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   39742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39766 */     GIR_RootConstrainSelectedInstOperands,
     /*   39767 */     // GIR_Coverage, 70500,
     /*   39767 */     GIR_EraseRootFromParent_Done,
     /*   39768 */   // Label 672: @39768
     /*   39768 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39836), // Rule ID 70501 //
     /*   39773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   39776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39810 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   39810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39834 */     GIR_RootConstrainSelectedInstOperands,
     /*   39835 */     // GIR_Coverage, 70501,
     /*   39835 */     GIR_EraseRootFromParent_Done,
     /*   39836 */   // Label 673: @39836
     /*   39836 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39891), // Rule ID 69408 //
     /*   39841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39869 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   39872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39889 */     GIR_RootConstrainSelectedInstOperands,
     /*   39890 */     // GIR_Coverage, 69408,
     /*   39890 */     GIR_EraseRootFromParent_Done,
     /*   39891 */   // Label 674: @39891
     /*   39891 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39946), // Rule ID 69409 //
     /*   39896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39924 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   39927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39944 */     GIR_RootConstrainSelectedInstOperands,
     /*   39945 */     // GIR_Coverage, 69409,
     /*   39945 */     GIR_EraseRootFromParent_Done,
     /*   39946 */   // Label 675: @39946
     /*   39946 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(40001), // Rule ID 69228 //
     /*   39951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39979 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   39982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39999 */     GIR_RootConstrainSelectedInstOperands,
     /*   40000 */     // GIR_Coverage, 69228,
     /*   40000 */     GIR_EraseRootFromParent_Done,
     /*   40001 */   // Label 676: @40001
     /*   40001 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40056), // Rule ID 69229 //
     /*   40006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40034 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40054 */     GIR_RootConstrainSelectedInstOperands,
     /*   40055 */     // GIR_Coverage, 69229,
     /*   40055 */     GIR_EraseRootFromParent_Done,
     /*   40056 */   // Label 677: @40056
     /*   40056 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40111), // Rule ID 69318 //
     /*   40061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40089 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40109 */     GIR_RootConstrainSelectedInstOperands,
     /*   40110 */     // GIR_Coverage, 69318,
     /*   40110 */     GIR_EraseRootFromParent_Done,
     /*   40111 */   // Label 678: @40111
     /*   40111 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40166), // Rule ID 69319 //
     /*   40116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40144 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40164 */     GIR_RootConstrainSelectedInstOperands,
     /*   40165 */     // GIR_Coverage, 69319,
     /*   40165 */     GIR_EraseRootFromParent_Done,
     /*   40166 */   // Label 679: @40166
     /*   40166 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(40234), // Rule ID 51828 //
     /*   40171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40208 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   40208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40232 */     GIR_RootConstrainSelectedInstOperands,
     /*   40233 */     // GIR_Coverage, 51828,
     /*   40233 */     GIR_EraseRootFromParent_Done,
     /*   40234 */   // Label 680: @40234
     /*   40234 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40302), // Rule ID 51829 //
     /*   40239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40276 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   40276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40300 */     GIR_RootConstrainSelectedInstOperands,
     /*   40301 */     // GIR_Coverage, 51829,
     /*   40301 */     GIR_EraseRootFromParent_Done,
     /*   40302 */   // Label 681: @40302
     /*   40302 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40357), // Rule ID 46678 //
     /*   40307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40335 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40355 */     GIR_RootConstrainSelectedInstOperands,
     /*   40356 */     // GIR_Coverage, 46678,
     /*   40356 */     GIR_EraseRootFromParent_Done,
     /*   40357 */   // Label 682: @40357
     /*   40357 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40412), // Rule ID 46679 //
     /*   40362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40390 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40410 */     GIR_RootConstrainSelectedInstOperands,
     /*   40411 */     // GIR_Coverage, 46679,
     /*   40411 */     GIR_EraseRootFromParent_Done,
     /*   40412 */   // Label 683: @40412
     /*   40412 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40467), // Rule ID 46438 //
     /*   40417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40445 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40465 */     GIR_RootConstrainSelectedInstOperands,
     /*   40466 */     // GIR_Coverage, 46438,
     /*   40466 */     GIR_EraseRootFromParent_Done,
     /*   40467 */   // Label 684: @40467
     /*   40467 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40522), // Rule ID 46439 //
     /*   40472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40500 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40520 */     GIR_RootConstrainSelectedInstOperands,
     /*   40521 */     // GIR_Coverage, 46439,
     /*   40521 */     GIR_EraseRootFromParent_Done,
     /*   40522 */   // Label 685: @40522
     /*   40522 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40577), // Rule ID 46558 //
     /*   40527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40555 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40575 */     GIR_RootConstrainSelectedInstOperands,
     /*   40576 */     // GIR_Coverage, 46558,
     /*   40576 */     GIR_EraseRootFromParent_Done,
     /*   40577 */   // Label 686: @40577
     /*   40577 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40632), // Rule ID 46559 //
     /*   40582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40610 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40630 */     GIR_RootConstrainSelectedInstOperands,
     /*   40631 */     // GIR_Coverage, 46559,
     /*   40631 */     GIR_EraseRootFromParent_Done,
     /*   40632 */   // Label 687: @40632
     /*   40632 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40685), // Rule ID 46060 //
     /*   40637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40648 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   40648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40683 */     GIR_RootConstrainSelectedInstOperands,
     /*   40684 */     // GIR_Coverage, 46060,
     /*   40684 */     GIR_EraseRootFromParent_Done,
     /*   40685 */   // Label 688: @40685
     /*   40685 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(40738), // Rule ID 46061 //
     /*   40690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40701 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   40701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40736 */     GIR_RootConstrainSelectedInstOperands,
     /*   40737 */     // GIR_Coverage, 46061,
     /*   40737 */     GIR_EraseRootFromParent_Done,
     /*   40738 */   // Label 689: @40738
     /*   40738 */   GIM_Reject,
     /*   40739 */ // Label 649: @40739
     /*   40739 */ GIM_Reject,
     /*   40740 */ // Label 140: @40740
     /*   40740 */ GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41134),
     /*   40745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40755 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(40823), // Rule ID 70388 //
     /*   40760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40797 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   40797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40821 */     GIR_RootConstrainSelectedInstOperands,
     /*   40822 */     // GIR_Coverage, 70388,
     /*   40822 */     GIR_EraseRootFromParent_Done,
     /*   40823 */   // Label 691: @40823
     /*   40823 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(40891), // Rule ID 70389 //
     /*   40828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40865 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40889 */     GIR_RootConstrainSelectedInstOperands,
     /*   40890 */     // GIR_Coverage, 70389,
     /*   40890 */     GIR_EraseRootFromParent_Done,
     /*   40891 */   // Label 692: @40891
     /*   40891 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(40959), // Rule ID 51772 //
     /*   40896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40933 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   40933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40957 */     GIR_RootConstrainSelectedInstOperands,
     /*   40958 */     // GIR_Coverage, 51772,
     /*   40958 */     GIR_EraseRootFromParent_Done,
     /*   40959 */   // Label 693: @40959
     /*   40959 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41027), // Rule ID 51773 //
     /*   40964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41001 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   41004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   41010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   41014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   41016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41025 */     GIR_RootConstrainSelectedInstOperands,
     /*   41026 */     // GIR_Coverage, 51773,
     /*   41026 */     GIR_EraseRootFromParent_Done,
     /*   41027 */   // Label 694: @41027
     /*   41027 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41080), // Rule ID 46004 //
     /*   41032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41043 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   41043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41078 */     GIR_RootConstrainSelectedInstOperands,
     /*   41079 */     // GIR_Coverage, 46004,
     /*   41079 */     GIR_EraseRootFromParent_Done,
     /*   41080 */   // Label 695: @41080
     /*   41080 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41133), // Rule ID 46005 //
     /*   41085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41096 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   41096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41131 */     GIR_RootConstrainSelectedInstOperands,
     /*   41132 */     // GIR_Coverage, 46005,
     /*   41132 */     GIR_EraseRootFromParent_Done,
     /*   41133 */   // Label 696: @41133
     /*   41133 */   GIM_Reject,
     /*   41134 */ // Label 690: @41134
     /*   41134 */ GIM_Reject,
     /*   41135 */ // Label 141: @41135
     /*   41135 */ GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(44259),
     /*   41140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41150 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41246), // Rule ID 70564 //
     /*   41155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41218 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41220 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41244 */     GIR_RootConstrainSelectedInstOperands,
     /*   41245 */     // GIR_Coverage, 70564,
     /*   41245 */     GIR_EraseRootFromParent_Done,
     /*   41246 */   // Label 698: @41246
     /*   41246 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(41342), // Rule ID 70565 //
     /*   41251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41316 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41340 */     GIR_RootConstrainSelectedInstOperands,
     /*   41341 */     // GIR_Coverage, 70565,
     /*   41341 */     GIR_EraseRootFromParent_Done,
     /*   41342 */   // Label 699: @41342
     /*   41342 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(41438), // Rule ID 70812 //
     /*   41347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41399 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41401 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41412 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41436 */     GIR_RootConstrainSelectedInstOperands,
     /*   41437 */     // GIR_Coverage, 70812,
     /*   41437 */     GIR_EraseRootFromParent_Done,
     /*   41438 */   // Label 700: @41438
     /*   41438 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(41534), // Rule ID 70813 //
     /*   41443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41491 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41495 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41497 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41508 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41532 */     GIR_RootConstrainSelectedInstOperands,
     /*   41533 */     // GIR_Coverage, 70813,
     /*   41533 */     GIR_EraseRootFromParent_Done,
     /*   41534 */   // Label 701: @41534
     /*   41534 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(41630), // Rule ID 70814 //
     /*   41539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41591 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41593 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41602 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41604 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41628 */     GIR_RootConstrainSelectedInstOperands,
     /*   41629 */     // GIR_Coverage, 70814,
     /*   41629 */     GIR_EraseRootFromParent_Done,
     /*   41630 */   // Label 702: @41630
     /*   41630 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(41726), // Rule ID 70815 //
     /*   41635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41700 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41724 */     GIR_RootConstrainSelectedInstOperands,
     /*   41725 */     // GIR_Coverage, 70815,
     /*   41725 */     GIR_EraseRootFromParent_Done,
     /*   41726 */   // Label 703: @41726
     /*   41726 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(41822), // Rule ID 70678 //
     /*   41731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41796 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   41799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41820 */     GIR_RootConstrainSelectedInstOperands,
     /*   41821 */     // GIR_Coverage, 70678,
     /*   41821 */     GIR_EraseRootFromParent_Done,
     /*   41822 */   // Label 704: @41822
     /*   41822 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(41918), // Rule ID 70679 //
     /*   41827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41875 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41879 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41881 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41892 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   41895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41916 */     GIR_RootConstrainSelectedInstOperands,
     /*   41917 */     // GIR_Coverage, 70679,
     /*   41917 */     GIR_EraseRootFromParent_Done,
     /*   41918 */   // Label 705: @41918
     /*   41918 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42014), // Rule ID 51928 //
     /*   41923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41960 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41975 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41979 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41981 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41988 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42012 */     GIR_RootConstrainSelectedInstOperands,
     /*   42013 */     // GIR_Coverage, 51928,
     /*   42013 */     GIR_EraseRootFromParent_Done,
     /*   42014 */   // Label 706: @42014
     /*   42014 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42110), // Rule ID 51929 //
     /*   42019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42042 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42071 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42075 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42077 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42084 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   42087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42108 */     GIR_RootConstrainSelectedInstOperands,
     /*   42109 */     // GIR_Coverage, 51929,
     /*   42109 */     GIR_EraseRootFromParent_Done,
     /*   42110 */   // Label 707: @42110
     /*   42110 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42206), // Rule ID 52046 //
     /*   42115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42152 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42159 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42163 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42167 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42171 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42173 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42180 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42204 */     GIR_RootConstrainSelectedInstOperands,
     /*   42205 */     // GIR_Coverage, 52046,
     /*   42205 */     GIR_EraseRootFromParent_Done,
     /*   42206 */   // Label 708: @42206
     /*   42206 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42302), // Rule ID 52047 //
     /*   42211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42234 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42255 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42259 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42263 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42267 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42269 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42276 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42300 */     GIR_RootConstrainSelectedInstOperands,
     /*   42301 */     // GIR_Coverage, 52047,
     /*   42301 */     GIR_EraseRootFromParent_Done,
     /*   42302 */   // Label 709: @42302
     /*   42302 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42398), // Rule ID 70810 //
     /*   42307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42330 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42351 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42355 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42359 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42363 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42365 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42372 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42396 */     GIR_RootConstrainSelectedInstOperands,
     /*   42397 */     // GIR_Coverage, 70810,
     /*   42397 */     GIR_EraseRootFromParent_Done,
     /*   42398 */   // Label 710: @42398
     /*   42398 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42494), // Rule ID 70811 //
     /*   42403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42455 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42459 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42461 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42468 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42492 */     GIR_RootConstrainSelectedInstOperands,
     /*   42493 */     // GIR_Coverage, 70811,
     /*   42493 */     GIR_EraseRootFromParent_Done,
     /*   42494 */   // Label 711: @42494
     /*   42494 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42590), // Rule ID 51986 //
     /*   42499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42551 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42555 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42557 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42564 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42588 */     GIR_RootConstrainSelectedInstOperands,
     /*   42589 */     // GIR_Coverage, 51986,
     /*   42589 */     GIR_EraseRootFromParent_Done,
     /*   42590 */   // Label 712: @42590
     /*   42590 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42686), // Rule ID 51987 //
     /*   42595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42651 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42660 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42684 */     GIR_RootConstrainSelectedInstOperands,
     /*   42685 */     // GIR_Coverage, 51987,
     /*   42685 */     GIR_EraseRootFromParent_Done,
     /*   42686 */   // Label 713: @42686
     /*   42686 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42775), // Rule ID 46578 //
     /*   42691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42734 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42773 */     GIR_RootConstrainSelectedInstOperands,
     /*   42774 */     // GIR_Coverage, 46578,
     /*   42774 */     GIR_EraseRootFromParent_Done,
     /*   42775 */   // Label 714: @42775
     /*   42775 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42864), // Rule ID 46579 //
     /*   42780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42823 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   42823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42862 */     GIR_RootConstrainSelectedInstOperands,
     /*   42863 */     // GIR_Coverage, 46579,
     /*   42863 */     GIR_EraseRootFromParent_Done,
     /*   42864 */   // Label 715: @42864
     /*   42864 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(42953), // Rule ID 46342 //
     /*   42869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42903 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42912 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   42929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42951 */     GIR_RootConstrainSelectedInstOperands,
     /*   42952 */     // GIR_Coverage, 46342,
     /*   42952 */     GIR_EraseRootFromParent_Done,
     /*   42953 */   // Label 716: @42953
     /*   42953 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43042), // Rule ID 46343 //
     /*   42958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42992 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43001 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   43018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43040 */     GIR_RootConstrainSelectedInstOperands,
     /*   43041 */     // GIR_Coverage, 46343,
     /*   43041 */     GIR_EraseRootFromParent_Done,
     /*   43042 */   // Label 717: @43042
     /*   43042 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43131), // Rule ID 46458 //
     /*   43047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43062 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43081 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43090 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   43090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43129 */     GIR_RootConstrainSelectedInstOperands,
     /*   43130 */     // GIR_Coverage, 46458,
     /*   43130 */     GIR_EraseRootFromParent_Done,
     /*   43131 */   // Label 718: @43131
     /*   43131 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43220), // Rule ID 46459 //
     /*   43136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43179 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43218 */     GIR_RootConstrainSelectedInstOperands,
     /*   43219 */     // GIR_Coverage, 46459,
     /*   43219 */     GIR_EraseRootFromParent_Done,
     /*   43220 */   // Label 719: @43220
     /*   43220 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43288), // Rule ID 70444 //
     /*   43225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43262 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43286 */     GIR_RootConstrainSelectedInstOperands,
     /*   43287 */     // GIR_Coverage, 70444,
     /*   43287 */     GIR_EraseRootFromParent_Done,
     /*   43288 */   // Label 720: @43288
     /*   43288 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(43356), // Rule ID 70445 //
     /*   43293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43330 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43354 */     GIR_RootConstrainSelectedInstOperands,
     /*   43355 */     // GIR_Coverage, 70445,
     /*   43355 */     GIR_EraseRootFromParent_Done,
     /*   43356 */   // Label 721: @43356
     /*   43356 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43411), // Rule ID 69368 //
     /*   43361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43389 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43409 */     GIR_RootConstrainSelectedInstOperands,
     /*   43410 */     // GIR_Coverage, 69368,
     /*   43410 */     GIR_EraseRootFromParent_Done,
     /*   43411 */   // Label 722: @43411
     /*   43411 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43466), // Rule ID 69369 //
     /*   43416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43444 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43464 */     GIR_RootConstrainSelectedInstOperands,
     /*   43465 */     // GIR_Coverage, 69369,
     /*   43465 */     GIR_EraseRootFromParent_Done,
     /*   43466 */   // Label 723: @43466
     /*   43466 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43521), // Rule ID 69188 //
     /*   43471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43499 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43519 */     GIR_RootConstrainSelectedInstOperands,
     /*   43520 */     // GIR_Coverage, 69188,
     /*   43520 */     GIR_EraseRootFromParent_Done,
     /*   43521 */   // Label 724: @43521
     /*   43521 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43576), // Rule ID 69189 //
     /*   43526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43554 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43574 */     GIR_RootConstrainSelectedInstOperands,
     /*   43575 */     // GIR_Coverage, 69189,
     /*   43575 */     GIR_EraseRootFromParent_Done,
     /*   43576 */   // Label 725: @43576
     /*   43576 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43631), // Rule ID 69278 //
     /*   43581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43609 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43629 */     GIR_RootConstrainSelectedInstOperands,
     /*   43630 */     // GIR_Coverage, 69278,
     /*   43630 */     GIR_EraseRootFromParent_Done,
     /*   43631 */   // Label 726: @43631
     /*   43631 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43686), // Rule ID 69279 //
     /*   43636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43664 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43684 */     GIR_RootConstrainSelectedInstOperands,
     /*   43685 */     // GIR_Coverage, 69279,
     /*   43685 */     GIR_EraseRootFromParent_Done,
     /*   43686 */   // Label 727: @43686
     /*   43686 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43754), // Rule ID 51800 //
     /*   43691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43728 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43752 */     GIR_RootConstrainSelectedInstOperands,
     /*   43753 */     // GIR_Coverage, 51800,
     /*   43753 */     GIR_EraseRootFromParent_Done,
     /*   43754 */   // Label 728: @43754
     /*   43754 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(43822), // Rule ID 51801 //
     /*   43759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43796 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43820 */     GIR_RootConstrainSelectedInstOperands,
     /*   43821 */     // GIR_Coverage, 51801,
     /*   43821 */     GIR_EraseRootFromParent_Done,
     /*   43822 */   // Label 729: @43822
     /*   43822 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(43877), // Rule ID 46638 //
     /*   43827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43855 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43875 */     GIR_RootConstrainSelectedInstOperands,
     /*   43876 */     // GIR_Coverage, 46638,
     /*   43876 */     GIR_EraseRootFromParent_Done,
     /*   43877 */   // Label 730: @43877
     /*   43877 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(43932), // Rule ID 46639 //
     /*   43882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43910 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43930 */     GIR_RootConstrainSelectedInstOperands,
     /*   43931 */     // GIR_Coverage, 46639,
     /*   43931 */     GIR_EraseRootFromParent_Done,
     /*   43932 */   // Label 731: @43932
     /*   43932 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(43987), // Rule ID 46398 //
     /*   43937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43965 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43985 */     GIR_RootConstrainSelectedInstOperands,
     /*   43986 */     // GIR_Coverage, 46398,
     /*   43986 */     GIR_EraseRootFromParent_Done,
     /*   43987 */   // Label 732: @43987
     /*   43987 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44042), // Rule ID 46399 //
     /*   43992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44020 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   44023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44040 */     GIR_RootConstrainSelectedInstOperands,
     /*   44041 */     // GIR_Coverage, 46399,
     /*   44041 */     GIR_EraseRootFromParent_Done,
     /*   44042 */   // Label 733: @44042
     /*   44042 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44097), // Rule ID 46518 //
     /*   44047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44075 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   44075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44095 */     GIR_RootConstrainSelectedInstOperands,
     /*   44096 */     // GIR_Coverage, 46518,
     /*   44096 */     GIR_EraseRootFromParent_Done,
     /*   44097 */   // Label 734: @44097
     /*   44097 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44152), // Rule ID 46519 //
     /*   44102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44130 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44150 */     GIR_RootConstrainSelectedInstOperands,
     /*   44151 */     // GIR_Coverage, 46519,
     /*   44151 */     GIR_EraseRootFromParent_Done,
     /*   44152 */   // Label 735: @44152
     /*   44152 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44205), // Rule ID 46032 //
     /*   44157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44168 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   44168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44203 */     GIR_RootConstrainSelectedInstOperands,
     /*   44204 */     // GIR_Coverage, 46032,
     /*   44204 */     GIR_EraseRootFromParent_Done,
     /*   44205 */   // Label 736: @44205
     /*   44205 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44258), // Rule ID 46033 //
     /*   44210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44221 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   44221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44256 */     GIR_RootConstrainSelectedInstOperands,
     /*   44257 */     // GIR_Coverage, 46033,
     /*   44257 */     GIR_EraseRootFromParent_Done,
     /*   44258 */   // Label 737: @44258
     /*   44258 */   GIM_Reject,
     /*   44259 */ // Label 697: @44259
     /*   44259 */ GIM_Reject,
     /*   44260 */ // Label 142: @44260
     /*   44260 */ GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(47384),
     /*   44265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44275 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44371), // Rule ID 70576 //
     /*   44280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44313 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44328 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44332 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44334 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44343 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44345 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44369 */     GIR_RootConstrainSelectedInstOperands,
     /*   44370 */     // GIR_Coverage, 70576,
     /*   44370 */     GIR_EraseRootFromParent_Done,
     /*   44371 */   // Label 739: @44371
     /*   44371 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(44467), // Rule ID 70577 //
     /*   44376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44409 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44416 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44420 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44424 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44428 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44430 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44441 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44465 */     GIR_RootConstrainSelectedInstOperands,
     /*   44466 */     // GIR_Coverage, 70577,
     /*   44466 */     GIR_EraseRootFromParent_Done,
     /*   44467 */   // Label 740: @44467
     /*   44467 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(44563), // Rule ID 70848 //
     /*   44472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44505 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44520 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44524 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44526 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44535 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44537 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44561 */     GIR_RootConstrainSelectedInstOperands,
     /*   44562 */     // GIR_Coverage, 70848,
     /*   44562 */     GIR_EraseRootFromParent_Done,
     /*   44563 */   // Label 741: @44563
     /*   44563 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(44659), // Rule ID 70849 //
     /*   44568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44601 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44608 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44612 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44616 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44620 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44622 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44631 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44633 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44657 */     GIR_RootConstrainSelectedInstOperands,
     /*   44658 */     // GIR_Coverage, 70849,
     /*   44658 */     GIR_EraseRootFromParent_Done,
     /*   44659 */   // Label 742: @44659
     /*   44659 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(44755), // Rule ID 70850 //
     /*   44664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44697 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44712 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44716 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44718 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44727 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44729 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44753 */     GIR_RootConstrainSelectedInstOperands,
     /*   44754 */     // GIR_Coverage, 70850,
     /*   44754 */     GIR_EraseRootFromParent_Done,
     /*   44755 */   // Label 743: @44755
     /*   44755 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(44851), // Rule ID 70851 //
     /*   44760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44808 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44812 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44814 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44823 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44825 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44849 */     GIR_RootConstrainSelectedInstOperands,
     /*   44850 */     // GIR_Coverage, 70851,
     /*   44850 */     GIR_EraseRootFromParent_Done,
     /*   44851 */   // Label 744: @44851
     /*   44851 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(44947), // Rule ID 70690 //
     /*   44856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44889 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44904 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44908 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44910 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44921 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   44924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44945 */     GIR_RootConstrainSelectedInstOperands,
     /*   44946 */     // GIR_Coverage, 70690,
     /*   44946 */     GIR_EraseRootFromParent_Done,
     /*   44947 */   // Label 745: @44947
     /*   44947 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45043), // Rule ID 70691 //
     /*   44952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44992 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44996 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45000 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45004 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45006 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45015 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45017 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   45024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45041 */     GIR_RootConstrainSelectedInstOperands,
     /*   45042 */     // GIR_Coverage, 70691,
     /*   45042 */     GIR_EraseRootFromParent_Done,
     /*   45043 */   // Label 746: @45043
     /*   45043 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45139), // Rule ID 51940 //
     /*   45048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45092 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45096 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45100 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45104 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45106 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45113 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45137 */     GIR_RootConstrainSelectedInstOperands,
     /*   45138 */     // GIR_Coverage, 51940,
     /*   45138 */     GIR_EraseRootFromParent_Done,
     /*   45139 */   // Label 747: @45139
     /*   45139 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45235), // Rule ID 51941 //
     /*   45144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45188 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45192 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45196 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45200 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45202 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45209 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45233 */     GIR_RootConstrainSelectedInstOperands,
     /*   45234 */     // GIR_Coverage, 51941,
     /*   45234 */     GIR_EraseRootFromParent_Done,
     /*   45235 */   // Label 748: @45235
     /*   45235 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45331), // Rule ID 52058 //
     /*   45240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45263 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45292 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45296 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45298 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45305 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45329 */     GIR_RootConstrainSelectedInstOperands,
     /*   45330 */     // GIR_Coverage, 52058,
     /*   45330 */     GIR_EraseRootFromParent_Done,
     /*   45331 */   // Label 749: @45331
     /*   45331 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45427), // Rule ID 52059 //
     /*   45336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45388 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45392 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45394 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45401 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45425 */     GIR_RootConstrainSelectedInstOperands,
     /*   45426 */     // GIR_Coverage, 52059,
     /*   45426 */     GIR_EraseRootFromParent_Done,
     /*   45427 */   // Label 750: @45427
     /*   45427 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45523), // Rule ID 70846 //
     /*   45432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45469 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45476 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45480 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45484 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45488 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45490 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45497 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45521 */     GIR_RootConstrainSelectedInstOperands,
     /*   45522 */     // GIR_Coverage, 70846,
     /*   45522 */     GIR_EraseRootFromParent_Done,
     /*   45523 */   // Label 751: @45523
     /*   45523 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45619), // Rule ID 70847 //
     /*   45528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45580 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45584 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45586 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45591 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45593 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45617 */     GIR_RootConstrainSelectedInstOperands,
     /*   45618 */     // GIR_Coverage, 70847,
     /*   45618 */     GIR_EraseRootFromParent_Done,
     /*   45619 */   // Label 752: @45619
     /*   45619 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45715), // Rule ID 51998 //
     /*   45624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45661 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45676 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45680 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45682 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45689 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45713 */     GIR_RootConstrainSelectedInstOperands,
     /*   45714 */     // GIR_Coverage, 51998,
     /*   45714 */     GIR_EraseRootFromParent_Done,
     /*   45715 */   // Label 753: @45715
     /*   45715 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(45811), // Rule ID 51999 //
     /*   45720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45757 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45772 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45776 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45778 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45783 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45785 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45809 */     GIR_RootConstrainSelectedInstOperands,
     /*   45810 */     // GIR_Coverage, 51999,
     /*   45810 */     GIR_EraseRootFromParent_Done,
     /*   45811 */   // Label 754: @45811
     /*   45811 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(45900), // Rule ID 46602 //
     /*   45816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45859 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   45859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   45876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45898 */     GIR_RootConstrainSelectedInstOperands,
     /*   45899 */     // GIR_Coverage, 46602,
     /*   45899 */     GIR_EraseRootFromParent_Done,
     /*   45900 */   // Label 755: @45900
     /*   45900 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(45989), // Rule ID 46603 //
     /*   45905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45948 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   45948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   45965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45987 */     GIR_RootConstrainSelectedInstOperands,
     /*   45988 */     // GIR_Coverage, 46603,
     /*   45988 */     GIR_EraseRootFromParent_Done,
     /*   45989 */   // Label 756: @45989
     /*   45989 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46078), // Rule ID 46366 //
     /*   45994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46028 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46037 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46076 */     GIR_RootConstrainSelectedInstOperands,
     /*   46077 */     // GIR_Coverage, 46366,
     /*   46077 */     GIR_EraseRootFromParent_Done,
     /*   46078 */   // Label 757: @46078
     /*   46078 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46167), // Rule ID 46367 //
     /*   46083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46117 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46126 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46165 */     GIR_RootConstrainSelectedInstOperands,
     /*   46166 */     // GIR_Coverage, 46367,
     /*   46166 */     GIR_EraseRootFromParent_Done,
     /*   46167 */   // Label 758: @46167
     /*   46167 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46256), // Rule ID 46482 //
     /*   46172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46187 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46206 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46215 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46254 */     GIR_RootConstrainSelectedInstOperands,
     /*   46255 */     // GIR_Coverage, 46482,
     /*   46255 */     GIR_EraseRootFromParent_Done,
     /*   46256 */   // Label 759: @46256
     /*   46256 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46345), // Rule ID 46483 //
     /*   46261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46295 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46304 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46343 */     GIR_RootConstrainSelectedInstOperands,
     /*   46344 */     // GIR_Coverage, 46483,
     /*   46344 */     GIR_EraseRootFromParent_Done,
     /*   46345 */   // Label 760: @46345
     /*   46345 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46413), // Rule ID 70476 //
     /*   46350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46387 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46411 */     GIR_RootConstrainSelectedInstOperands,
     /*   46412 */     // GIR_Coverage, 70476,
     /*   46412 */     GIR_EraseRootFromParent_Done,
     /*   46413 */   // Label 761: @46413
     /*   46413 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46481), // Rule ID 70477 //
     /*   46418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46455 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46479 */     GIR_RootConstrainSelectedInstOperands,
     /*   46480 */     // GIR_Coverage, 70477,
     /*   46480 */     GIR_EraseRootFromParent_Done,
     /*   46481 */   // Label 762: @46481
     /*   46481 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46536), // Rule ID 69392 //
     /*   46486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46514 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46534 */     GIR_RootConstrainSelectedInstOperands,
     /*   46535 */     // GIR_Coverage, 69392,
     /*   46535 */     GIR_EraseRootFromParent_Done,
     /*   46536 */   // Label 763: @46536
     /*   46536 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46591), // Rule ID 69393 //
     /*   46541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46569 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46589 */     GIR_RootConstrainSelectedInstOperands,
     /*   46590 */     // GIR_Coverage, 69393,
     /*   46590 */     GIR_EraseRootFromParent_Done,
     /*   46591 */   // Label 764: @46591
     /*   46591 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46646), // Rule ID 69212 //
     /*   46596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46624 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46644 */     GIR_RootConstrainSelectedInstOperands,
     /*   46645 */     // GIR_Coverage, 69212,
     /*   46645 */     GIR_EraseRootFromParent_Done,
     /*   46646 */   // Label 765: @46646
     /*   46646 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46701), // Rule ID 69213 //
     /*   46651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46679 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46699 */     GIR_RootConstrainSelectedInstOperands,
     /*   46700 */     // GIR_Coverage, 69213,
     /*   46700 */     GIR_EraseRootFromParent_Done,
     /*   46701 */   // Label 766: @46701
     /*   46701 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46756), // Rule ID 69302 //
     /*   46706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46734 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46754 */     GIR_RootConstrainSelectedInstOperands,
     /*   46755 */     // GIR_Coverage, 69302,
     /*   46755 */     GIR_EraseRootFromParent_Done,
     /*   46756 */   // Label 767: @46756
     /*   46756 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46811), // Rule ID 69303 //
     /*   46761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46789 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46809 */     GIR_RootConstrainSelectedInstOperands,
     /*   46810 */     // GIR_Coverage, 69303,
     /*   46810 */     GIR_EraseRootFromParent_Done,
     /*   46811 */   // Label 768: @46811
     /*   46811 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(46879), // Rule ID 51816 //
     /*   46816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46853 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46877 */     GIR_RootConstrainSelectedInstOperands,
     /*   46878 */     // GIR_Coverage, 51816,
     /*   46878 */     GIR_EraseRootFromParent_Done,
     /*   46879 */   // Label 769: @46879
     /*   46879 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46947), // Rule ID 51817 //
     /*   46884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46921 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46945 */     GIR_RootConstrainSelectedInstOperands,
     /*   46946 */     // GIR_Coverage, 51817,
     /*   46946 */     GIR_EraseRootFromParent_Done,
     /*   46947 */   // Label 770: @46947
     /*   46947 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(47002), // Rule ID 46662 //
     /*   46952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46980 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47000 */     GIR_RootConstrainSelectedInstOperands,
     /*   47001 */     // GIR_Coverage, 46662,
     /*   47001 */     GIR_EraseRootFromParent_Done,
     /*   47002 */   // Label 771: @47002
     /*   47002 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47057), // Rule ID 46663 //
     /*   47007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   47022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47035 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47055 */     GIR_RootConstrainSelectedInstOperands,
     /*   47056 */     // GIR_Coverage, 46663,
     /*   47056 */     GIR_EraseRootFromParent_Done,
     /*   47057 */   // Label 772: @47057
     /*   47057 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47112), // Rule ID 46422 //
     /*   47062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47090 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47110 */     GIR_RootConstrainSelectedInstOperands,
     /*   47111 */     // GIR_Coverage, 46422,
     /*   47111 */     GIR_EraseRootFromParent_Done,
     /*   47112 */   // Label 773: @47112
     /*   47112 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47167), // Rule ID 46423 //
     /*   47117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47145 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47165 */     GIR_RootConstrainSelectedInstOperands,
     /*   47166 */     // GIR_Coverage, 46423,
     /*   47166 */     GIR_EraseRootFromParent_Done,
     /*   47167 */   // Label 774: @47167
     /*   47167 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47222), // Rule ID 46542 //
     /*   47172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47200 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47220 */     GIR_RootConstrainSelectedInstOperands,
     /*   47221 */     // GIR_Coverage, 46542,
     /*   47221 */     GIR_EraseRootFromParent_Done,
     /*   47222 */   // Label 775: @47222
     /*   47222 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47277), // Rule ID 46543 //
     /*   47227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47255 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47275 */     GIR_RootConstrainSelectedInstOperands,
     /*   47276 */     // GIR_Coverage, 46543,
     /*   47276 */     GIR_EraseRootFromParent_Done,
     /*   47277 */   // Label 776: @47277
     /*   47277 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47330), // Rule ID 46048 //
     /*   47282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47293 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   47293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47328 */     GIR_RootConstrainSelectedInstOperands,
     /*   47329 */     // GIR_Coverage, 46048,
     /*   47329 */     GIR_EraseRootFromParent_Done,
     /*   47330 */   // Label 777: @47330
     /*   47330 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47383), // Rule ID 46049 //
     /*   47335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47346 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   47346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47381 */     GIR_RootConstrainSelectedInstOperands,
     /*   47382 */     // GIR_Coverage, 46049,
     /*   47382 */     GIR_EraseRootFromParent_Done,
     /*   47383 */   // Label 778: @47383
     /*   47383 */   GIM_Reject,
     /*   47384 */ // Label 738: @47384
     /*   47384 */ GIM_Reject,
     /*   47385 */ // Label 143: @47385
     /*   47385 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(50509),
     /*   47390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47400 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47496), // Rule ID 70586 //
     /*   47405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47438 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47453 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47457 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47459 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47470 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47494 */     GIR_RootConstrainSelectedInstOperands,
     /*   47495 */     // GIR_Coverage, 70586,
     /*   47495 */     GIR_EraseRootFromParent_Done,
     /*   47496 */   // Label 780: @47496
     /*   47496 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(47592), // Rule ID 70587 //
     /*   47501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47553 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47566 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47590 */     GIR_RootConstrainSelectedInstOperands,
     /*   47591 */     // GIR_Coverage, 70587,
     /*   47591 */     GIR_EraseRootFromParent_Done,
     /*   47592 */   // Label 781: @47592
     /*   47592 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(47688), // Rule ID 70878 //
     /*   47597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47649 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47651 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47662 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47686 */     GIR_RootConstrainSelectedInstOperands,
     /*   47687 */     // GIR_Coverage, 70878,
     /*   47687 */     GIR_EraseRootFromParent_Done,
     /*   47688 */   // Label 782: @47688
     /*   47688 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(47784), // Rule ID 70879 //
     /*   47693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47726 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47741 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47745 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47747 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47758 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47782 */     GIR_RootConstrainSelectedInstOperands,
     /*   47783 */     // GIR_Coverage, 70879,
     /*   47783 */     GIR_EraseRootFromParent_Done,
     /*   47784 */   // Label 783: @47784
     /*   47784 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(47880), // Rule ID 70880 //
     /*   47789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47822 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47829 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47833 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47837 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47841 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47843 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47854 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47878 */     GIR_RootConstrainSelectedInstOperands,
     /*   47879 */     // GIR_Coverage, 70880,
     /*   47879 */     GIR_EraseRootFromParent_Done,
     /*   47880 */   // Label 784: @47880
     /*   47880 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(47976), // Rule ID 70881 //
     /*   47885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47933 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47937 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47939 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47950 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47974 */     GIR_RootConstrainSelectedInstOperands,
     /*   47975 */     // GIR_Coverage, 70881,
     /*   47975 */     GIR_EraseRootFromParent_Done,
     /*   47976 */   // Label 785: @47976
     /*   47976 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48072), // Rule ID 70700 //
     /*   47981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48033 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48035 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48046 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48070 */     GIR_RootConstrainSelectedInstOperands,
     /*   48071 */     // GIR_Coverage, 70700,
     /*   48071 */     GIR_EraseRootFromParent_Done,
     /*   48072 */   // Label 786: @48072
     /*   48072 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48168), // Rule ID 70701 //
     /*   48077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48125 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48129 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48131 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48142 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48166 */     GIR_RootConstrainSelectedInstOperands,
     /*   48167 */     // GIR_Coverage, 70701,
     /*   48167 */     GIR_EraseRootFromParent_Done,
     /*   48168 */   // Label 787: @48168
     /*   48168 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48264), // Rule ID 51950 //
     /*   48173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48225 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48229 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48238 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48262 */     GIR_RootConstrainSelectedInstOperands,
     /*   48263 */     // GIR_Coverage, 51950,
     /*   48263 */     GIR_EraseRootFromParent_Done,
     /*   48264 */   // Label 788: @48264
     /*   48264 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48360), // Rule ID 51951 //
     /*   48269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48321 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48325 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48327 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48334 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48358 */     GIR_RootConstrainSelectedInstOperands,
     /*   48359 */     // GIR_Coverage, 51951,
     /*   48359 */     GIR_EraseRootFromParent_Done,
     /*   48360 */   // Label 789: @48360
     /*   48360 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48456), // Rule ID 52068 //
     /*   48365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48417 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48421 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48430 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48454 */     GIR_RootConstrainSelectedInstOperands,
     /*   48455 */     // GIR_Coverage, 52068,
     /*   48455 */     GIR_EraseRootFromParent_Done,
     /*   48456 */   // Label 790: @48456
     /*   48456 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48552), // Rule ID 52069 //
     /*   48461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48498 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48513 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48517 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48519 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48526 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48550 */     GIR_RootConstrainSelectedInstOperands,
     /*   48551 */     // GIR_Coverage, 52069,
     /*   48551 */     GIR_EraseRootFromParent_Done,
     /*   48552 */   // Label 791: @48552
     /*   48552 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48648), // Rule ID 70876 //
     /*   48557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48601 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48605 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48609 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48613 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48615 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48622 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48646 */     GIR_RootConstrainSelectedInstOperands,
     /*   48647 */     // GIR_Coverage, 70876,
     /*   48647 */     GIR_EraseRootFromParent_Done,
     /*   48648 */   // Label 792: @48648
     /*   48648 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(48744), // Rule ID 70877 //
     /*   48653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48690 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48705 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48709 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48718 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48742 */     GIR_RootConstrainSelectedInstOperands,
     /*   48743 */     // GIR_Coverage, 70877,
     /*   48743 */     GIR_EraseRootFromParent_Done,
     /*   48744 */   // Label 793: @48744
     /*   48744 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(48840), // Rule ID 52008 //
     /*   48749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48786 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48788 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48801 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48805 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48807 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48814 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48838 */     GIR_RootConstrainSelectedInstOperands,
     /*   48839 */     // GIR_Coverage, 52008,
     /*   48839 */     GIR_EraseRootFromParent_Done,
     /*   48840 */   // Label 794: @48840
     /*   48840 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(48936), // Rule ID 52009 //
     /*   48845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48897 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48901 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48903 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48910 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48934 */     GIR_RootConstrainSelectedInstOperands,
     /*   48935 */     // GIR_Coverage, 52009,
     /*   48935 */     GIR_EraseRootFromParent_Done,
     /*   48936 */   // Label 795: @48936
     /*   48936 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49025), // Rule ID 46622 //
     /*   48941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48984 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   48984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   48987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49023 */     GIR_RootConstrainSelectedInstOperands,
     /*   49024 */     // GIR_Coverage, 46622,
     /*   49024 */     GIR_EraseRootFromParent_Done,
     /*   49025 */   // Label 796: @49025
     /*   49025 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49114), // Rule ID 46623 //
     /*   49030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49073 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49112 */     GIR_RootConstrainSelectedInstOperands,
     /*   49113 */     // GIR_Coverage, 46623,
     /*   49113 */     GIR_EraseRootFromParent_Done,
     /*   49114 */   // Label 797: @49114
     /*   49114 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49203), // Rule ID 46386 //
     /*   49119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49162 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49201 */     GIR_RootConstrainSelectedInstOperands,
     /*   49202 */     // GIR_Coverage, 46386,
     /*   49202 */     GIR_EraseRootFromParent_Done,
     /*   49203 */   // Label 798: @49203
     /*   49203 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49292), // Rule ID 46387 //
     /*   49208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49251 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49290 */     GIR_RootConstrainSelectedInstOperands,
     /*   49291 */     // GIR_Coverage, 46387,
     /*   49291 */     GIR_EraseRootFromParent_Done,
     /*   49292 */   // Label 799: @49292
     /*   49292 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49381), // Rule ID 46502 //
     /*   49297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49340 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49379 */     GIR_RootConstrainSelectedInstOperands,
     /*   49380 */     // GIR_Coverage, 46502,
     /*   49380 */     GIR_EraseRootFromParent_Done,
     /*   49381 */   // Label 800: @49381
     /*   49381 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49470), // Rule ID 46503 //
     /*   49386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49429 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49468 */     GIR_RootConstrainSelectedInstOperands,
     /*   49469 */     // GIR_Coverage, 46503,
     /*   49469 */     GIR_EraseRootFromParent_Done,
     /*   49470 */   // Label 801: @49470
     /*   49470 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49538), // Rule ID 70508 //
     /*   49475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   49478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49512 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   49512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49536 */     GIR_RootConstrainSelectedInstOperands,
     /*   49537 */     // GIR_Coverage, 70508,
     /*   49537 */     GIR_EraseRootFromParent_Done,
     /*   49538 */   // Label 802: @49538
     /*   49538 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49606), // Rule ID 70509 //
     /*   49543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   49546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49580 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   49580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49604 */     GIR_RootConstrainSelectedInstOperands,
     /*   49605 */     // GIR_Coverage, 70509,
     /*   49605 */     GIR_EraseRootFromParent_Done,
     /*   49606 */   // Label 803: @49606
     /*   49606 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49661), // Rule ID 69412 //
     /*   49611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49639 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49659 */     GIR_RootConstrainSelectedInstOperands,
     /*   49660 */     // GIR_Coverage, 69412,
     /*   49660 */     GIR_EraseRootFromParent_Done,
     /*   49661 */   // Label 804: @49661
     /*   49661 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49716), // Rule ID 69413 //
     /*   49666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49694 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49714 */     GIR_RootConstrainSelectedInstOperands,
     /*   49715 */     // GIR_Coverage, 69413,
     /*   49715 */     GIR_EraseRootFromParent_Done,
     /*   49716 */   // Label 805: @49716
     /*   49716 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49771), // Rule ID 69232 //
     /*   49721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49749 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49769 */     GIR_RootConstrainSelectedInstOperands,
     /*   49770 */     // GIR_Coverage, 69232,
     /*   49770 */     GIR_EraseRootFromParent_Done,
     /*   49771 */   // Label 806: @49771
     /*   49771 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49826), // Rule ID 69233 //
     /*   49776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49804 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49824 */     GIR_RootConstrainSelectedInstOperands,
     /*   49825 */     // GIR_Coverage, 69233,
     /*   49825 */     GIR_EraseRootFromParent_Done,
     /*   49826 */   // Label 807: @49826
     /*   49826 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49881), // Rule ID 69322 //
     /*   49831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49859 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49879 */     GIR_RootConstrainSelectedInstOperands,
     /*   49880 */     // GIR_Coverage, 69322,
     /*   49880 */     GIR_EraseRootFromParent_Done,
     /*   49881 */   // Label 808: @49881
     /*   49881 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49936), // Rule ID 69323 //
     /*   49886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49914 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49934 */     GIR_RootConstrainSelectedInstOperands,
     /*   49935 */     // GIR_Coverage, 69323,
     /*   49935 */     GIR_EraseRootFromParent_Done,
     /*   49936 */   // Label 809: @49936
     /*   49936 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(50004), // Rule ID 51832 //
     /*   49941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   49944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49978 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   49978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50002 */     GIR_RootConstrainSelectedInstOperands,
     /*   50003 */     // GIR_Coverage, 51832,
     /*   50003 */     GIR_EraseRootFromParent_Done,
     /*   50004 */   // Label 810: @50004
     /*   50004 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50072), // Rule ID 51833 //
     /*   50009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   50028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   50032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50046 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   50046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   50049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50070 */     GIR_RootConstrainSelectedInstOperands,
     /*   50071 */     // GIR_Coverage, 51833,
     /*   50071 */     GIR_EraseRootFromParent_Done,
     /*   50072 */   // Label 811: @50072
     /*   50072 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50127), // Rule ID 46682 //
     /*   50077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50105 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50125 */     GIR_RootConstrainSelectedInstOperands,
     /*   50126 */     // GIR_Coverage, 46682,
     /*   50126 */     GIR_EraseRootFromParent_Done,
     /*   50127 */   // Label 812: @50127
     /*   50127 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50182), // Rule ID 46683 //
     /*   50132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50160 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50180 */     GIR_RootConstrainSelectedInstOperands,
     /*   50181 */     // GIR_Coverage, 46683,
     /*   50181 */     GIR_EraseRootFromParent_Done,
     /*   50182 */   // Label 813: @50182
     /*   50182 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50237), // Rule ID 46442 //
     /*   50187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50215 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50235 */     GIR_RootConstrainSelectedInstOperands,
     /*   50236 */     // GIR_Coverage, 46442,
     /*   50236 */     GIR_EraseRootFromParent_Done,
     /*   50237 */   // Label 814: @50237
     /*   50237 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50292), // Rule ID 46443 //
     /*   50242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50270 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50290 */     GIR_RootConstrainSelectedInstOperands,
     /*   50291 */     // GIR_Coverage, 46443,
     /*   50291 */     GIR_EraseRootFromParent_Done,
     /*   50292 */   // Label 815: @50292
     /*   50292 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50347), // Rule ID 46562 //
     /*   50297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50325 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50345 */     GIR_RootConstrainSelectedInstOperands,
     /*   50346 */     // GIR_Coverage, 46562,
     /*   50346 */     GIR_EraseRootFromParent_Done,
     /*   50347 */   // Label 816: @50347
     /*   50347 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50402), // Rule ID 46563 //
     /*   50352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50380 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50400 */     GIR_RootConstrainSelectedInstOperands,
     /*   50401 */     // GIR_Coverage, 46563,
     /*   50401 */     GIR_EraseRootFromParent_Done,
     /*   50402 */   // Label 817: @50402
     /*   50402 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50455), // Rule ID 46064 //
     /*   50407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   50410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50418 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   50418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50453 */     GIR_RootConstrainSelectedInstOperands,
     /*   50454 */     // GIR_Coverage, 46064,
     /*   50454 */     GIR_EraseRootFromParent_Done,
     /*   50455 */   // Label 818: @50455
     /*   50455 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50508), // Rule ID 46065 //
     /*   50460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50471 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   50471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50506 */     GIR_RootConstrainSelectedInstOperands,
     /*   50507 */     // GIR_Coverage, 46065,
     /*   50507 */     GIR_EraseRootFromParent_Done,
     /*   50508 */   // Label 819: @50508
     /*   50508 */   GIM_Reject,
     /*   50509 */ // Label 779: @50509
     /*   50509 */ GIM_Reject,
     /*   50510 */ // Label 144: @50510
     /*   50510 */ GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50904),
     /*   50515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50525 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50593), // Rule ID 70420 //
     /*   50530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50567 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50591 */     GIR_RootConstrainSelectedInstOperands,
     /*   50592 */     // GIR_Coverage, 70420,
     /*   50592 */     GIR_EraseRootFromParent_Done,
     /*   50593 */   // Label 821: @50593
     /*   50593 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(50661), // Rule ID 70421 //
     /*   50598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50635 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50659 */     GIR_RootConstrainSelectedInstOperands,
     /*   50660 */     // GIR_Coverage, 70421,
     /*   50660 */     GIR_EraseRootFromParent_Done,
     /*   50661 */   // Label 822: @50661
     /*   50661 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(50729), // Rule ID 51788 //
     /*   50666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50703 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50727 */     GIR_RootConstrainSelectedInstOperands,
     /*   50728 */     // GIR_Coverage, 51788,
     /*   50728 */     GIR_EraseRootFromParent_Done,
     /*   50729 */   // Label 823: @50729
     /*   50729 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(50797), // Rule ID 51789 //
     /*   50734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50771 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50795 */     GIR_RootConstrainSelectedInstOperands,
     /*   50796 */     // GIR_Coverage, 51789,
     /*   50796 */     GIR_EraseRootFromParent_Done,
     /*   50797 */   // Label 824: @50797
     /*   50797 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(50850), // Rule ID 46020 //
     /*   50802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50813 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   50813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   50816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   50830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50848 */     GIR_RootConstrainSelectedInstOperands,
     /*   50849 */     // GIR_Coverage, 46020,
     /*   50849 */     GIR_EraseRootFromParent_Done,
     /*   50850 */   // Label 825: @50850
     /*   50850 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(50903), // Rule ID 46021 //
     /*   50855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50866 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   50866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   50869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   50883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50901 */     GIR_RootConstrainSelectedInstOperands,
     /*   50902 */     // GIR_Coverage, 46021,
     /*   50902 */     GIR_EraseRootFromParent_Done,
     /*   50903 */   // Label 826: @50903
     /*   50903 */   GIM_Reject,
     /*   50904 */ // Label 820: @50904
     /*   50904 */ GIM_Reject,
     /*   50905 */ // Label 145: @50905
     /*   50905 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(54029),
     /*   50910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   50916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50920 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51016), // Rule ID 70566 //
     /*   50925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   50944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50973 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50977 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50979 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50988 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50990 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   50993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51014 */     GIR_RootConstrainSelectedInstOperands,
     /*   51015 */     // GIR_Coverage, 70566,
     /*   51015 */     GIR_EraseRootFromParent_Done,
     /*   51016 */   // Label 828: @51016
     /*   51016 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51112), // Rule ID 70567 //
     /*   51021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51069 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51073 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51075 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51084 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51086 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51110 */     GIR_RootConstrainSelectedInstOperands,
     /*   51111 */     // GIR_Coverage, 70567,
     /*   51111 */     GIR_EraseRootFromParent_Done,
     /*   51112 */   // Label 829: @51112
     /*   51112 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51208), // Rule ID 70818 //
     /*   51117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51165 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51169 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51171 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51182 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51206 */     GIR_RootConstrainSelectedInstOperands,
     /*   51207 */     // GIR_Coverage, 70818,
     /*   51207 */     GIR_EraseRootFromParent_Done,
     /*   51208 */   // Label 830: @51208
     /*   51208 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51304), // Rule ID 70819 //
     /*   51213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51265 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51267 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51276 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51278 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51302 */     GIR_RootConstrainSelectedInstOperands,
     /*   51303 */     // GIR_Coverage, 70819,
     /*   51303 */     GIR_EraseRootFromParent_Done,
     /*   51304 */   // Label 831: @51304
     /*   51304 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51400), // Rule ID 70820 //
     /*   51309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51342 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51361 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51363 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51374 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51398 */     GIR_RootConstrainSelectedInstOperands,
     /*   51399 */     // GIR_Coverage, 70820,
     /*   51399 */     GIR_EraseRootFromParent_Done,
     /*   51400 */   // Label 832: @51400
     /*   51400 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(51496), // Rule ID 70821 //
     /*   51405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51438 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51453 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51457 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51459 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51470 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51494 */     GIR_RootConstrainSelectedInstOperands,
     /*   51495 */     // GIR_Coverage, 70821,
     /*   51495 */     GIR_EraseRootFromParent_Done,
     /*   51496 */   // Label 833: @51496
     /*   51496 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(51592), // Rule ID 70680 //
     /*   51501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51553 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51566 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51590 */     GIR_RootConstrainSelectedInstOperands,
     /*   51591 */     // GIR_Coverage, 70680,
     /*   51591 */     GIR_EraseRootFromParent_Done,
     /*   51592 */   // Label 834: @51592
     /*   51592 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(51688), // Rule ID 70681 //
     /*   51597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51649 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51651 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51662 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51686 */     GIR_RootConstrainSelectedInstOperands,
     /*   51687 */     // GIR_Coverage, 70681,
     /*   51687 */     GIR_EraseRootFromParent_Done,
     /*   51688 */   // Label 835: @51688
     /*   51688 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(51784), // Rule ID 51930 //
     /*   51693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51730 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51745 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51749 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51751 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51758 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51782 */     GIR_RootConstrainSelectedInstOperands,
     /*   51783 */     // GIR_Coverage, 51930,
     /*   51783 */     GIR_EraseRootFromParent_Done,
     /*   51784 */   // Label 836: @51784
     /*   51784 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(51880), // Rule ID 51931 //
     /*   51789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51812 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51841 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51845 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51847 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51854 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51878 */     GIR_RootConstrainSelectedInstOperands,
     /*   51879 */     // GIR_Coverage, 51931,
     /*   51879 */     GIR_EraseRootFromParent_Done,
     /*   51880 */   // Label 837: @51880
     /*   51880 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(51976), // Rule ID 52048 //
     /*   51885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51922 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51924 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51929 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51933 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51937 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51941 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51943 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51950 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51974 */     GIR_RootConstrainSelectedInstOperands,
     /*   51975 */     // GIR_Coverage, 52048,
     /*   51975 */     GIR_EraseRootFromParent_Done,
     /*   51976 */   // Label 838: @51976
     /*   51976 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52072), // Rule ID 52049 //
     /*   51981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52018 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52033 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52037 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52039 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52046 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52070 */     GIR_RootConstrainSelectedInstOperands,
     /*   52071 */     // GIR_Coverage, 52049,
     /*   52071 */     GIR_EraseRootFromParent_Done,
     /*   52072 */   // Label 839: @52072
     /*   52072 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52168), // Rule ID 70816 //
     /*   52077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52121 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52125 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52129 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52133 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52135 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52142 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52166 */     GIR_RootConstrainSelectedInstOperands,
     /*   52167 */     // GIR_Coverage, 70816,
     /*   52167 */     GIR_EraseRootFromParent_Done,
     /*   52168 */   // Label 840: @52168
     /*   52168 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52264), // Rule ID 70817 //
     /*   52173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52225 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52229 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52238 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52262 */     GIR_RootConstrainSelectedInstOperands,
     /*   52263 */     // GIR_Coverage, 70817,
     /*   52263 */     GIR_EraseRootFromParent_Done,
     /*   52264 */   // Label 841: @52264
     /*   52264 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52360), // Rule ID 51988 //
     /*   52269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52321 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52325 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52327 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52334 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52358 */     GIR_RootConstrainSelectedInstOperands,
     /*   52359 */     // GIR_Coverage, 51988,
     /*   52359 */     GIR_EraseRootFromParent_Done,
     /*   52360 */   // Label 842: @52360
     /*   52360 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52456), // Rule ID 51989 //
     /*   52365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52417 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52421 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52430 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52454 */     GIR_RootConstrainSelectedInstOperands,
     /*   52455 */     // GIR_Coverage, 51989,
     /*   52455 */     GIR_EraseRootFromParent_Done,
     /*   52456 */   // Label 843: @52456
     /*   52456 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52545), // Rule ID 46582 //
     /*   52461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52504 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52543 */     GIR_RootConstrainSelectedInstOperands,
     /*   52544 */     // GIR_Coverage, 46582,
     /*   52544 */     GIR_EraseRootFromParent_Done,
     /*   52545 */   // Label 844: @52545
     /*   52545 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52634), // Rule ID 46583 //
     /*   52550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52593 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52632 */     GIR_RootConstrainSelectedInstOperands,
     /*   52633 */     // GIR_Coverage, 46583,
     /*   52633 */     GIR_EraseRootFromParent_Done,
     /*   52634 */   // Label 845: @52634
     /*   52634 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52723), // Rule ID 46346 //
     /*   52639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52682 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52721 */     GIR_RootConstrainSelectedInstOperands,
     /*   52722 */     // GIR_Coverage, 46346,
     /*   52722 */     GIR_EraseRootFromParent_Done,
     /*   52723 */   // Label 846: @52723
     /*   52723 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52812), // Rule ID 46347 //
     /*   52728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52771 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52810 */     GIR_RootConstrainSelectedInstOperands,
     /*   52811 */     // GIR_Coverage, 46347,
     /*   52811 */     GIR_EraseRootFromParent_Done,
     /*   52812 */   // Label 847: @52812
     /*   52812 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52901), // Rule ID 46462 //
     /*   52817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52860 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52899 */     GIR_RootConstrainSelectedInstOperands,
     /*   52900 */     // GIR_Coverage, 46462,
     /*   52900 */     GIR_EraseRootFromParent_Done,
     /*   52901 */   // Label 848: @52901
     /*   52901 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52990), // Rule ID 46463 //
     /*   52906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52949 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52988 */     GIR_RootConstrainSelectedInstOperands,
     /*   52989 */     // GIR_Coverage, 46463,
     /*   52989 */     GIR_EraseRootFromParent_Done,
     /*   52990 */   // Label 849: @52990
     /*   52990 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53058), // Rule ID 70452 //
     /*   52995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53032 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53056 */     GIR_RootConstrainSelectedInstOperands,
     /*   53057 */     // GIR_Coverage, 70452,
     /*   53057 */     GIR_EraseRootFromParent_Done,
     /*   53058 */   // Label 850: @53058
     /*   53058 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53126), // Rule ID 70453 //
     /*   53063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53100 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53124 */     GIR_RootConstrainSelectedInstOperands,
     /*   53125 */     // GIR_Coverage, 70453,
     /*   53125 */     GIR_EraseRootFromParent_Done,
     /*   53126 */   // Label 851: @53126
     /*   53126 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53181), // Rule ID 69372 //
     /*   53131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53159 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53179 */     GIR_RootConstrainSelectedInstOperands,
     /*   53180 */     // GIR_Coverage, 69372,
     /*   53180 */     GIR_EraseRootFromParent_Done,
     /*   53181 */   // Label 852: @53181
     /*   53181 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53236), // Rule ID 69373 //
     /*   53186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53214 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53234 */     GIR_RootConstrainSelectedInstOperands,
     /*   53235 */     // GIR_Coverage, 69373,
     /*   53235 */     GIR_EraseRootFromParent_Done,
     /*   53236 */   // Label 853: @53236
     /*   53236 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53291), // Rule ID 69192 //
     /*   53241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53269 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53289 */     GIR_RootConstrainSelectedInstOperands,
     /*   53290 */     // GIR_Coverage, 69192,
     /*   53290 */     GIR_EraseRootFromParent_Done,
     /*   53291 */   // Label 854: @53291
     /*   53291 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53346), // Rule ID 69193 //
     /*   53296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53324 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53344 */     GIR_RootConstrainSelectedInstOperands,
     /*   53345 */     // GIR_Coverage, 69193,
     /*   53345 */     GIR_EraseRootFromParent_Done,
     /*   53346 */   // Label 855: @53346
     /*   53346 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53401), // Rule ID 69282 //
     /*   53351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53379 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53399 */     GIR_RootConstrainSelectedInstOperands,
     /*   53400 */     // GIR_Coverage, 69282,
     /*   53400 */     GIR_EraseRootFromParent_Done,
     /*   53401 */   // Label 856: @53401
     /*   53401 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53456), // Rule ID 69283 //
     /*   53406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53434 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53454 */     GIR_RootConstrainSelectedInstOperands,
     /*   53455 */     // GIR_Coverage, 69283,
     /*   53455 */     GIR_EraseRootFromParent_Done,
     /*   53456 */   // Label 857: @53456
     /*   53456 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53524), // Rule ID 51804 //
     /*   53461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53498 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53522 */     GIR_RootConstrainSelectedInstOperands,
     /*   53523 */     // GIR_Coverage, 51804,
     /*   53523 */     GIR_EraseRootFromParent_Done,
     /*   53524 */   // Label 858: @53524
     /*   53524 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53592), // Rule ID 51805 //
     /*   53529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53566 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53590 */     GIR_RootConstrainSelectedInstOperands,
     /*   53591 */     // GIR_Coverage, 51805,
     /*   53591 */     GIR_EraseRootFromParent_Done,
     /*   53592 */   // Label 859: @53592
     /*   53592 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53647), // Rule ID 46642 //
     /*   53597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53625 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53645 */     GIR_RootConstrainSelectedInstOperands,
     /*   53646 */     // GIR_Coverage, 46642,
     /*   53646 */     GIR_EraseRootFromParent_Done,
     /*   53647 */   // Label 860: @53647
     /*   53647 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53702), // Rule ID 46643 //
     /*   53652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53680 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53700 */     GIR_RootConstrainSelectedInstOperands,
     /*   53701 */     // GIR_Coverage, 46643,
     /*   53701 */     GIR_EraseRootFromParent_Done,
     /*   53702 */   // Label 861: @53702
     /*   53702 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53757), // Rule ID 46402 //
     /*   53707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53735 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53755 */     GIR_RootConstrainSelectedInstOperands,
     /*   53756 */     // GIR_Coverage, 46402,
     /*   53756 */     GIR_EraseRootFromParent_Done,
     /*   53757 */   // Label 862: @53757
     /*   53757 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53812), // Rule ID 46403 //
     /*   53762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53790 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53810 */     GIR_RootConstrainSelectedInstOperands,
     /*   53811 */     // GIR_Coverage, 46403,
     /*   53811 */     GIR_EraseRootFromParent_Done,
     /*   53812 */   // Label 863: @53812
     /*   53812 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(53867), // Rule ID 46522 //
     /*   53817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53845 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53865 */     GIR_RootConstrainSelectedInstOperands,
     /*   53866 */     // GIR_Coverage, 46522,
     /*   53866 */     GIR_EraseRootFromParent_Done,
     /*   53867 */   // Label 864: @53867
     /*   53867 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(53922), // Rule ID 46523 //
     /*   53872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53900 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53920 */     GIR_RootConstrainSelectedInstOperands,
     /*   53921 */     // GIR_Coverage, 46523,
     /*   53921 */     GIR_EraseRootFromParent_Done,
     /*   53922 */   // Label 865: @53922
     /*   53922 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(53975), // Rule ID 46036 //
     /*   53927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53938 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   53938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53973 */     GIR_RootConstrainSelectedInstOperands,
     /*   53974 */     // GIR_Coverage, 46036,
     /*   53974 */     GIR_EraseRootFromParent_Done,
     /*   53975 */   // Label 866: @53975
     /*   53975 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54028), // Rule ID 46037 //
     /*   53980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53991 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   53991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   54003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   54005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   54008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   54013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   54015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54026 */     GIR_RootConstrainSelectedInstOperands,
     /*   54027 */     // GIR_Coverage, 46037,
     /*   54027 */     GIR_EraseRootFromParent_Done,
     /*   54028 */   // Label 867: @54028
     /*   54028 */   GIM_Reject,
     /*   54029 */ // Label 827: @54029
     /*   54029 */ GIM_Reject,
     /*   54030 */ // Label 146: @54030
     /*   54030 */ GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(57154),
     /*   54035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54045 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54141), // Rule ID 70578 //
     /*   54050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54098 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54102 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54104 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54115 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54139 */     GIR_RootConstrainSelectedInstOperands,
     /*   54140 */     // GIR_Coverage, 70578,
     /*   54140 */     GIR_EraseRootFromParent_Done,
     /*   54141 */   // Label 869: @54141
     /*   54141 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54237), // Rule ID 70579 //
     /*   54146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54198 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54200 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54211 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54235 */     GIR_RootConstrainSelectedInstOperands,
     /*   54236 */     // GIR_Coverage, 70579,
     /*   54236 */     GIR_EraseRootFromParent_Done,
     /*   54237 */   // Label 870: @54237
     /*   54237 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54333), // Rule ID 70854 //
     /*   54242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54290 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54294 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54307 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54331 */     GIR_RootConstrainSelectedInstOperands,
     /*   54332 */     // GIR_Coverage, 70854,
     /*   54332 */     GIR_EraseRootFromParent_Done,
     /*   54333 */   // Label 871: @54333
     /*   54333 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54429), // Rule ID 70855 //
     /*   54338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54371 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54386 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54390 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54392 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54403 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54427 */     GIR_RootConstrainSelectedInstOperands,
     /*   54428 */     // GIR_Coverage, 70855,
     /*   54428 */     GIR_EraseRootFromParent_Done,
     /*   54429 */   // Label 872: @54429
     /*   54429 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54525), // Rule ID 70856 //
     /*   54434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54482 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54486 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54488 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54499 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54523 */     GIR_RootConstrainSelectedInstOperands,
     /*   54524 */     // GIR_Coverage, 70856,
     /*   54524 */     GIR_EraseRootFromParent_Done,
     /*   54525 */   // Label 873: @54525
     /*   54525 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54621), // Rule ID 70857 //
     /*   54530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54578 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54582 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54584 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54595 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54619 */     GIR_RootConstrainSelectedInstOperands,
     /*   54620 */     // GIR_Coverage, 70857,
     /*   54620 */     GIR_EraseRootFromParent_Done,
     /*   54621 */   // Label 874: @54621
     /*   54621 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(54717), // Rule ID 70692 //
     /*   54626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54659 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54666 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54670 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54674 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54678 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54680 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54691 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54715 */     GIR_RootConstrainSelectedInstOperands,
     /*   54716 */     // GIR_Coverage, 70692,
     /*   54716 */     GIR_EraseRootFromParent_Done,
     /*   54717 */   // Label 875: @54717
     /*   54717 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(54813), // Rule ID 70693 //
     /*   54722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54770 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54774 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54776 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54787 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54811 */     GIR_RootConstrainSelectedInstOperands,
     /*   54812 */     // GIR_Coverage, 70693,
     /*   54812 */     GIR_EraseRootFromParent_Done,
     /*   54813 */   // Label 876: @54813
     /*   54813 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(54909), // Rule ID 51942 //
     /*   54818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54870 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54874 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54883 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54907 */     GIR_RootConstrainSelectedInstOperands,
     /*   54908 */     // GIR_Coverage, 51942,
     /*   54908 */     GIR_EraseRootFromParent_Done,
     /*   54909 */   // Label 877: @54909
     /*   54909 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55005), // Rule ID 51943 //
     /*   54914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54951 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54966 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54970 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54972 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54979 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55003 */     GIR_RootConstrainSelectedInstOperands,
     /*   55004 */     // GIR_Coverage, 51943,
     /*   55004 */     GIR_EraseRootFromParent_Done,
     /*   55005 */   // Label 878: @55005
     /*   55005 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55101), // Rule ID 52060 //
     /*   55010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55047 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55062 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55066 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55068 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55073 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55075 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55099 */     GIR_RootConstrainSelectedInstOperands,
     /*   55100 */     // GIR_Coverage, 52060,
     /*   55100 */     GIR_EraseRootFromParent_Done,
     /*   55101 */   // Label 879: @55101
     /*   55101 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55197), // Rule ID 52061 //
     /*   55106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55143 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55158 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55162 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55164 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55171 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55195 */     GIR_RootConstrainSelectedInstOperands,
     /*   55196 */     // GIR_Coverage, 52061,
     /*   55196 */     GIR_EraseRootFromParent_Done,
     /*   55197 */   // Label 880: @55197
     /*   55197 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55293), // Rule ID 70852 //
     /*   55202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55246 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55250 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55254 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55258 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55260 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55265 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55267 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55291 */     GIR_RootConstrainSelectedInstOperands,
     /*   55292 */     // GIR_Coverage, 70852,
     /*   55292 */     GIR_EraseRootFromParent_Done,
     /*   55293 */   // Label 881: @55293
     /*   55293 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55389), // Rule ID 70853 //
     /*   55298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55350 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55354 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55356 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55361 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55363 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55387 */     GIR_RootConstrainSelectedInstOperands,
     /*   55388 */     // GIR_Coverage, 70853,
     /*   55388 */     GIR_EraseRootFromParent_Done,
     /*   55389 */   // Label 882: @55389
     /*   55389 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55485), // Rule ID 52000 //
     /*   55394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55431 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55446 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55450 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55452 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55459 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55483 */     GIR_RootConstrainSelectedInstOperands,
     /*   55484 */     // GIR_Coverage, 52000,
     /*   55484 */     GIR_EraseRootFromParent_Done,
     /*   55485 */   // Label 883: @55485
     /*   55485 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55581), // Rule ID 52001 //
     /*   55490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55527 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55534 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55538 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55542 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55546 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55548 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55555 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55579 */     GIR_RootConstrainSelectedInstOperands,
     /*   55580 */     // GIR_Coverage, 52001,
     /*   55580 */     GIR_EraseRootFromParent_Done,
     /*   55581 */   // Label 884: @55581
     /*   55581 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55670), // Rule ID 46606 //
     /*   55586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55629 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55668 */     GIR_RootConstrainSelectedInstOperands,
     /*   55669 */     // GIR_Coverage, 46606,
     /*   55669 */     GIR_EraseRootFromParent_Done,
     /*   55670 */   // Label 885: @55670
     /*   55670 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55759), // Rule ID 46607 //
     /*   55675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55709 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55711 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55718 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55757 */     GIR_RootConstrainSelectedInstOperands,
     /*   55758 */     // GIR_Coverage, 46607,
     /*   55758 */     GIR_EraseRootFromParent_Done,
     /*   55759 */   // Label 886: @55759
     /*   55759 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55848), // Rule ID 46370 //
     /*   55764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55798 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55807 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55846 */     GIR_RootConstrainSelectedInstOperands,
     /*   55847 */     // GIR_Coverage, 46370,
     /*   55847 */     GIR_EraseRootFromParent_Done,
     /*   55848 */   // Label 887: @55848
     /*   55848 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55937), // Rule ID 46371 //
     /*   55853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55887 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55896 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55935 */     GIR_RootConstrainSelectedInstOperands,
     /*   55936 */     // GIR_Coverage, 46371,
     /*   55936 */     GIR_EraseRootFromParent_Done,
     /*   55937 */   // Label 888: @55937
     /*   55937 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56026), // Rule ID 46486 //
     /*   55942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55976 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55985 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56024 */     GIR_RootConstrainSelectedInstOperands,
     /*   56025 */     // GIR_Coverage, 46486,
     /*   56025 */     GIR_EraseRootFromParent_Done,
     /*   56026 */   // Label 889: @56026
     /*   56026 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56115), // Rule ID 46487 //
     /*   56031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56065 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   56067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56074 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   56077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56113 */     GIR_RootConstrainSelectedInstOperands,
     /*   56114 */     // GIR_Coverage, 46487,
     /*   56114 */     GIR_EraseRootFromParent_Done,
     /*   56115 */   // Label 890: @56115
     /*   56115 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56183), // Rule ID 70484 //
     /*   56120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56139 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56157 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56181 */     GIR_RootConstrainSelectedInstOperands,
     /*   56182 */     // GIR_Coverage, 70484,
     /*   56182 */     GIR_EraseRootFromParent_Done,
     /*   56183 */   // Label 891: @56183
     /*   56183 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56251), // Rule ID 70485 //
     /*   56188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56225 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56249 */     GIR_RootConstrainSelectedInstOperands,
     /*   56250 */     // GIR_Coverage, 70485,
     /*   56250 */     GIR_EraseRootFromParent_Done,
     /*   56251 */   // Label 892: @56251
     /*   56251 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56306), // Rule ID 69396 //
     /*   56256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56284 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56304 */     GIR_RootConstrainSelectedInstOperands,
     /*   56305 */     // GIR_Coverage, 69396,
     /*   56305 */     GIR_EraseRootFromParent_Done,
     /*   56306 */   // Label 893: @56306
     /*   56306 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56361), // Rule ID 69397 //
     /*   56311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56339 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56359 */     GIR_RootConstrainSelectedInstOperands,
     /*   56360 */     // GIR_Coverage, 69397,
     /*   56360 */     GIR_EraseRootFromParent_Done,
     /*   56361 */   // Label 894: @56361
     /*   56361 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56416), // Rule ID 69216 //
     /*   56366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56394 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56414 */     GIR_RootConstrainSelectedInstOperands,
     /*   56415 */     // GIR_Coverage, 69216,
     /*   56415 */     GIR_EraseRootFromParent_Done,
     /*   56416 */   // Label 895: @56416
     /*   56416 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56471), // Rule ID 69217 //
     /*   56421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56449 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56469 */     GIR_RootConstrainSelectedInstOperands,
     /*   56470 */     // GIR_Coverage, 69217,
     /*   56470 */     GIR_EraseRootFromParent_Done,
     /*   56471 */   // Label 896: @56471
     /*   56471 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56526), // Rule ID 69306 //
     /*   56476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56504 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56524 */     GIR_RootConstrainSelectedInstOperands,
     /*   56525 */     // GIR_Coverage, 69306,
     /*   56525 */     GIR_EraseRootFromParent_Done,
     /*   56526 */   // Label 897: @56526
     /*   56526 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56581), // Rule ID 69307 //
     /*   56531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56559 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56579 */     GIR_RootConstrainSelectedInstOperands,
     /*   56580 */     // GIR_Coverage, 69307,
     /*   56580 */     GIR_EraseRootFromParent_Done,
     /*   56581 */   // Label 898: @56581
     /*   56581 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56649), // Rule ID 51820 //
     /*   56586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56623 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56647 */     GIR_RootConstrainSelectedInstOperands,
     /*   56648 */     // GIR_Coverage, 51820,
     /*   56648 */     GIR_EraseRootFromParent_Done,
     /*   56649 */   // Label 899: @56649
     /*   56649 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56717), // Rule ID 51821 //
     /*   56654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56691 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56715 */     GIR_RootConstrainSelectedInstOperands,
     /*   56716 */     // GIR_Coverage, 51821,
     /*   56716 */     GIR_EraseRootFromParent_Done,
     /*   56717 */   // Label 900: @56717
     /*   56717 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56772), // Rule ID 46666 //
     /*   56722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56750 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56770 */     GIR_RootConstrainSelectedInstOperands,
     /*   56771 */     // GIR_Coverage, 46666,
     /*   56771 */     GIR_EraseRootFromParent_Done,
     /*   56772 */   // Label 901: @56772
     /*   56772 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56827), // Rule ID 46667 //
     /*   56777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56805 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56825 */     GIR_RootConstrainSelectedInstOperands,
     /*   56826 */     // GIR_Coverage, 46667,
     /*   56826 */     GIR_EraseRootFromParent_Done,
     /*   56827 */   // Label 902: @56827
     /*   56827 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56882), // Rule ID 46426 //
     /*   56832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56851 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56860 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56880 */     GIR_RootConstrainSelectedInstOperands,
     /*   56881 */     // GIR_Coverage, 46426,
     /*   56881 */     GIR_EraseRootFromParent_Done,
     /*   56882 */   // Label 903: @56882
     /*   56882 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56937), // Rule ID 46427 //
     /*   56887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56915 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56935 */     GIR_RootConstrainSelectedInstOperands,
     /*   56936 */     // GIR_Coverage, 46427,
     /*   56936 */     GIR_EraseRootFromParent_Done,
     /*   56937 */   // Label 904: @56937
     /*   56937 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56992), // Rule ID 46546 //
     /*   56942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56970 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56990 */     GIR_RootConstrainSelectedInstOperands,
     /*   56991 */     // GIR_Coverage, 46546,
     /*   56991 */     GIR_EraseRootFromParent_Done,
     /*   56992 */   // Label 905: @56992
     /*   56992 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(57047), // Rule ID 46547 //
     /*   56997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   57016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57025 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   57025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   57028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57045 */     GIR_RootConstrainSelectedInstOperands,
     /*   57046 */     // GIR_Coverage, 46547,
     /*   57046 */     GIR_EraseRootFromParent_Done,
     /*   57047 */   // Label 906: @57047
     /*   57047 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(57100), // Rule ID 46052 //
     /*   57052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57063 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   57063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57098 */     GIR_RootConstrainSelectedInstOperands,
     /*   57099 */     // GIR_Coverage, 46052,
     /*   57099 */     GIR_EraseRootFromParent_Done,
     /*   57100 */   // Label 907: @57100
     /*   57100 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(57153), // Rule ID 46053 //
     /*   57105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57116 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   57116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57151 */     GIR_RootConstrainSelectedInstOperands,
     /*   57152 */     // GIR_Coverage, 46053,
     /*   57152 */     GIR_EraseRootFromParent_Done,
     /*   57153 */   // Label 908: @57153
     /*   57153 */   GIM_Reject,
     /*   57154 */ // Label 868: @57154
     /*   57154 */ GIM_Reject,
     /*   57155 */ // Label 147: @57155
     /*   57155 */ GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(57549),
     /*   57160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57170 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(57238), // Rule ID 70428 //
     /*   57175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57212 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57236 */     GIR_RootConstrainSelectedInstOperands,
     /*   57237 */     // GIR_Coverage, 70428,
     /*   57237 */     GIR_EraseRootFromParent_Done,
     /*   57238 */   // Label 910: @57238
     /*   57238 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(57306), // Rule ID 70429 //
     /*   57243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57280 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57304 */     GIR_RootConstrainSelectedInstOperands,
     /*   57305 */     // GIR_Coverage, 70429,
     /*   57305 */     GIR_EraseRootFromParent_Done,
     /*   57306 */   // Label 911: @57306
     /*   57306 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(57374), // Rule ID 51792 //
     /*   57311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57348 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57372 */     GIR_RootConstrainSelectedInstOperands,
     /*   57373 */     // GIR_Coverage, 51792,
     /*   57373 */     GIR_EraseRootFromParent_Done,
     /*   57374 */   // Label 912: @57374
     /*   57374 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(57442), // Rule ID 51793 //
     /*   57379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57416 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57440 */     GIR_RootConstrainSelectedInstOperands,
     /*   57441 */     // GIR_Coverage, 51793,
     /*   57441 */     GIR_EraseRootFromParent_Done,
     /*   57442 */   // Label 913: @57442
     /*   57442 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(57495), // Rule ID 46024 //
     /*   57447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57458 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57493 */     GIR_RootConstrainSelectedInstOperands,
     /*   57494 */     // GIR_Coverage, 46024,
     /*   57494 */     GIR_EraseRootFromParent_Done,
     /*   57495 */   // Label 914: @57495
     /*   57495 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(57548), // Rule ID 46025 //
     /*   57500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57511 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57546 */     GIR_RootConstrainSelectedInstOperands,
     /*   57547 */     // GIR_Coverage, 46025,
     /*   57547 */     GIR_EraseRootFromParent_Done,
     /*   57548 */   // Label 915: @57548
     /*   57548 */   GIM_Reject,
     /*   57549 */ // Label 909: @57549
     /*   57549 */ GIM_Reject,
     /*   57550 */ // Label 148: @57550
     /*   57550 */ GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(60674),
     /*   57555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57565 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(57661), // Rule ID 70568 //
     /*   57570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57614 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57618 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57622 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57624 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57633 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57635 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57659 */     GIR_RootConstrainSelectedInstOperands,
     /*   57660 */     // GIR_Coverage, 70568,
     /*   57660 */     GIR_EraseRootFromParent_Done,
     /*   57661 */   // Label 917: @57661
     /*   57661 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(57757), // Rule ID 70569 //
     /*   57666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57714 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57718 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57729 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57731 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57755 */     GIR_RootConstrainSelectedInstOperands,
     /*   57756 */     // GIR_Coverage, 70569,
     /*   57756 */     GIR_EraseRootFromParent_Done,
     /*   57757 */   // Label 918: @57757
     /*   57757 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(57853), // Rule ID 70824 //
     /*   57762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57810 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57814 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57816 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57825 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57827 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   57830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57851 */     GIR_RootConstrainSelectedInstOperands,
     /*   57852 */     // GIR_Coverage, 70824,
     /*   57852 */     GIR_EraseRootFromParent_Done,
     /*   57853 */   // Label 919: @57853
     /*   57853 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(57949), // Rule ID 70825 //
     /*   57858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57906 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57910 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57921 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57923 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   57926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57947 */     GIR_RootConstrainSelectedInstOperands,
     /*   57948 */     // GIR_Coverage, 70825,
     /*   57948 */     GIR_EraseRootFromParent_Done,
     /*   57949 */   // Label 920: @57949
     /*   57949 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(58045), // Rule ID 70826 //
     /*   57954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58002 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58006 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58008 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58019 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58043 */     GIR_RootConstrainSelectedInstOperands,
     /*   58044 */     // GIR_Coverage, 70826,
     /*   58044 */     GIR_EraseRootFromParent_Done,
     /*   58045 */   // Label 921: @58045
     /*   58045 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(58141), // Rule ID 70827 //
     /*   58050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58098 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58102 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58104 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58115 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58139 */     GIR_RootConstrainSelectedInstOperands,
     /*   58140 */     // GIR_Coverage, 70827,
     /*   58140 */     GIR_EraseRootFromParent_Done,
     /*   58141 */   // Label 922: @58141
     /*   58141 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(58237), // Rule ID 70682 //
     /*   58146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58198 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58200 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58211 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58235 */     GIR_RootConstrainSelectedInstOperands,
     /*   58236 */     // GIR_Coverage, 70682,
     /*   58236 */     GIR_EraseRootFromParent_Done,
     /*   58237 */   // Label 923: @58237
     /*   58237 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(58333), // Rule ID 70683 //
     /*   58242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58290 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58294 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58307 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58331 */     GIR_RootConstrainSelectedInstOperands,
     /*   58332 */     // GIR_Coverage, 70683,
     /*   58332 */     GIR_EraseRootFromParent_Done,
     /*   58333 */   // Label 924: @58333
     /*   58333 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(58429), // Rule ID 51932 //
     /*   58338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58390 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58394 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58396 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58403 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58427 */     GIR_RootConstrainSelectedInstOperands,
     /*   58428 */     // GIR_Coverage, 51932,
     /*   58428 */     GIR_EraseRootFromParent_Done,
     /*   58429 */   // Label 925: @58429
     /*   58429 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(58525), // Rule ID 51933 //
     /*   58434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58478 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58482 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58486 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58490 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58492 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58499 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58523 */     GIR_RootConstrainSelectedInstOperands,
     /*   58524 */     // GIR_Coverage, 51933,
     /*   58524 */     GIR_EraseRootFromParent_Done,
     /*   58525 */   // Label 926: @58525
     /*   58525 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(58621), // Rule ID 52050 //
     /*   58530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58582 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58586 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58588 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58595 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58619 */     GIR_RootConstrainSelectedInstOperands,
     /*   58620 */     // GIR_Coverage, 52050,
     /*   58620 */     GIR_EraseRootFromParent_Done,
     /*   58621 */   // Label 927: @58621
     /*   58621 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(58717), // Rule ID 52051 //
     /*   58626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58649 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58678 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58682 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58684 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58691 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58715 */     GIR_RootConstrainSelectedInstOperands,
     /*   58716 */     // GIR_Coverage, 52051,
     /*   58716 */     GIR_EraseRootFromParent_Done,
     /*   58717 */   // Label 928: @58717
     /*   58717 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(58813), // Rule ID 70822 //
     /*   58722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58745 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58759 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58766 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58770 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58774 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58778 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58780 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58787 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58811 */     GIR_RootConstrainSelectedInstOperands,
     /*   58812 */     // GIR_Coverage, 70822,
     /*   58812 */     GIR_EraseRootFromParent_Done,
     /*   58813 */   // Label 929: @58813
     /*   58813 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(58909), // Rule ID 70823 //
     /*   58818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58870 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58874 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58883 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58907 */     GIR_RootConstrainSelectedInstOperands,
     /*   58908 */     // GIR_Coverage, 70823,
     /*   58908 */     GIR_EraseRootFromParent_Done,
     /*   58909 */   // Label 930: @58909
     /*   58909 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(59005), // Rule ID 51990 //
     /*   58914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58951 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58966 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58970 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58972 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58979 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59003 */     GIR_RootConstrainSelectedInstOperands,
     /*   59004 */     // GIR_Coverage, 51990,
     /*   59004 */     GIR_EraseRootFromParent_Done,
     /*   59005 */   // Label 931: @59005
     /*   59005 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(59101), // Rule ID 51991 //
     /*   59010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   59039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59047 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   59058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59062 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59066 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   59068 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59073 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   59075 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   59078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   59082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   59090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59099 */     GIR_RootConstrainSelectedInstOperands,
     /*   59100 */     // GIR_Coverage, 51991,
     /*   59100 */     GIR_EraseRootFromParent_Done,
     /*   59101 */   // Label 932: @59101
     /*   59101 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(59190), // Rule ID 46586 //
     /*   59106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59140 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59149 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59188 */     GIR_RootConstrainSelectedInstOperands,
     /*   59189 */     // GIR_Coverage, 46586,
     /*   59189 */     GIR_EraseRootFromParent_Done,
     /*   59190 */   // Label 933: @59190
     /*   59190 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(59279), // Rule ID 46587 //
     /*   59195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59229 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59238 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59277 */     GIR_RootConstrainSelectedInstOperands,
     /*   59278 */     // GIR_Coverage, 46587,
     /*   59278 */     GIR_EraseRootFromParent_Done,
     /*   59279 */   // Label 934: @59279
     /*   59279 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(59368), // Rule ID 46350 //
     /*   59284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59318 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59327 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59366 */     GIR_RootConstrainSelectedInstOperands,
     /*   59367 */     // GIR_Coverage, 46350,
     /*   59367 */     GIR_EraseRootFromParent_Done,
     /*   59368 */   // Label 935: @59368
     /*   59368 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(59457), // Rule ID 46351 //
     /*   59373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59407 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59416 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59455 */     GIR_RootConstrainSelectedInstOperands,
     /*   59456 */     // GIR_Coverage, 46351,
     /*   59456 */     GIR_EraseRootFromParent_Done,
     /*   59457 */   // Label 936: @59457
     /*   59457 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(59546), // Rule ID 46466 //
     /*   59462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59477 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59496 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59505 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59544 */     GIR_RootConstrainSelectedInstOperands,
     /*   59545 */     // GIR_Coverage, 46466,
     /*   59545 */     GIR_EraseRootFromParent_Done,
     /*   59546 */   // Label 937: @59546
     /*   59546 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(59635), // Rule ID 46467 //
     /*   59551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59585 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59594 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59633 */     GIR_RootConstrainSelectedInstOperands,
     /*   59634 */     // GIR_Coverage, 46467,
     /*   59634 */     GIR_EraseRootFromParent_Done,
     /*   59635 */   // Label 938: @59635
     /*   59635 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(59703), // Rule ID 70460 //
     /*   59640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59677 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59701 */     GIR_RootConstrainSelectedInstOperands,
     /*   59702 */     // GIR_Coverage, 70460,
     /*   59702 */     GIR_EraseRootFromParent_Done,
     /*   59703 */   // Label 939: @59703
     /*   59703 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(59771), // Rule ID 70461 //
     /*   59708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59745 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59769 */     GIR_RootConstrainSelectedInstOperands,
     /*   59770 */     // GIR_Coverage, 70461,
     /*   59770 */     GIR_EraseRootFromParent_Done,
     /*   59771 */   // Label 940: @59771
     /*   59771 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(59826), // Rule ID 69376 //
     /*   59776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59804 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   59807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59824 */     GIR_RootConstrainSelectedInstOperands,
     /*   59825 */     // GIR_Coverage, 69376,
     /*   59825 */     GIR_EraseRootFromParent_Done,
     /*   59826 */   // Label 941: @59826
     /*   59826 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(59881), // Rule ID 69377 //
     /*   59831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59859 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   59862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59879 */     GIR_RootConstrainSelectedInstOperands,
     /*   59880 */     // GIR_Coverage, 69377,
     /*   59880 */     GIR_EraseRootFromParent_Done,
     /*   59881 */   // Label 942: @59881
     /*   59881 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(59936), // Rule ID 69196 //
     /*   59886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59914 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   59917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59934 */     GIR_RootConstrainSelectedInstOperands,
     /*   59935 */     // GIR_Coverage, 69196,
     /*   59935 */     GIR_EraseRootFromParent_Done,
     /*   59936 */   // Label 943: @59936
     /*   59936 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(59991), // Rule ID 69197 //
     /*   59941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59969 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   59972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59989 */     GIR_RootConstrainSelectedInstOperands,
     /*   59990 */     // GIR_Coverage, 69197,
     /*   59990 */     GIR_EraseRootFromParent_Done,
     /*   59991 */   // Label 944: @59991
     /*   59991 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(60046), // Rule ID 69286 //
     /*   59996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60024 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60044 */     GIR_RootConstrainSelectedInstOperands,
     /*   60045 */     // GIR_Coverage, 69286,
     /*   60045 */     GIR_EraseRootFromParent_Done,
     /*   60046 */   // Label 945: @60046
     /*   60046 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(60101), // Rule ID 69287 //
     /*   60051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60079 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60099 */     GIR_RootConstrainSelectedInstOperands,
     /*   60100 */     // GIR_Coverage, 69287,
     /*   60100 */     GIR_EraseRootFromParent_Done,
     /*   60101 */   // Label 946: @60101
     /*   60101 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(60169), // Rule ID 51808 //
     /*   60106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60143 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   60143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60167 */     GIR_RootConstrainSelectedInstOperands,
     /*   60168 */     // GIR_Coverage, 51808,
     /*   60168 */     GIR_EraseRootFromParent_Done,
     /*   60169 */   // Label 947: @60169
     /*   60169 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(60237), // Rule ID 51809 //
     /*   60174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60197 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60211 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   60211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60235 */     GIR_RootConstrainSelectedInstOperands,
     /*   60236 */     // GIR_Coverage, 51809,
     /*   60236 */     GIR_EraseRootFromParent_Done,
     /*   60237 */   // Label 948: @60237
     /*   60237 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(60292), // Rule ID 46646 //
     /*   60242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60270 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60290 */     GIR_RootConstrainSelectedInstOperands,
     /*   60291 */     // GIR_Coverage, 46646,
     /*   60291 */     GIR_EraseRootFromParent_Done,
     /*   60292 */   // Label 949: @60292
     /*   60292 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(60347), // Rule ID 46647 //
     /*   60297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60325 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60345 */     GIR_RootConstrainSelectedInstOperands,
     /*   60346 */     // GIR_Coverage, 46647,
     /*   60346 */     GIR_EraseRootFromParent_Done,
     /*   60347 */   // Label 950: @60347
     /*   60347 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(60402), // Rule ID 46406 //
     /*   60352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60380 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60400 */     GIR_RootConstrainSelectedInstOperands,
     /*   60401 */     // GIR_Coverage, 46406,
     /*   60401 */     GIR_EraseRootFromParent_Done,
     /*   60402 */   // Label 951: @60402
     /*   60402 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(60457), // Rule ID 46407 //
     /*   60407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60435 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60455 */     GIR_RootConstrainSelectedInstOperands,
     /*   60456 */     // GIR_Coverage, 46407,
     /*   60456 */     GIR_EraseRootFromParent_Done,
     /*   60457 */   // Label 952: @60457
     /*   60457 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(60512), // Rule ID 46526 //
     /*   60462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60490 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60510 */     GIR_RootConstrainSelectedInstOperands,
     /*   60511 */     // GIR_Coverage, 46526,
     /*   60511 */     GIR_EraseRootFromParent_Done,
     /*   60512 */   // Label 953: @60512
     /*   60512 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(60567), // Rule ID 46527 //
     /*   60517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60545 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60565 */     GIR_RootConstrainSelectedInstOperands,
     /*   60566 */     // GIR_Coverage, 46527,
     /*   60566 */     GIR_EraseRootFromParent_Done,
     /*   60567 */   // Label 954: @60567
     /*   60567 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(60620), // Rule ID 46040 //
     /*   60572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60583 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   60583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60618 */     GIR_RootConstrainSelectedInstOperands,
     /*   60619 */     // GIR_Coverage, 46040,
     /*   60619 */     GIR_EraseRootFromParent_Done,
     /*   60620 */   // Label 955: @60620
     /*   60620 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(60673), // Rule ID 46041 //
     /*   60625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60636 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   60636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60671 */     GIR_RootConstrainSelectedInstOperands,
     /*   60672 */     // GIR_Coverage, 46041,
     /*   60672 */     GIR_EraseRootFromParent_Done,
     /*   60673 */   // Label 956: @60673
     /*   60673 */   GIM_Reject,
     /*   60674 */ // Label 916: @60674
     /*   60674 */ GIM_Reject,
     /*   60675 */ // Label 149: @60675
     /*   60675 */ GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(61069),
     /*   60680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60690 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(60758), // Rule ID 70436 //
     /*   60695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60732 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60756 */     GIR_RootConstrainSelectedInstOperands,
     /*   60757 */     // GIR_Coverage, 70436,
     /*   60757 */     GIR_EraseRootFromParent_Done,
     /*   60758 */   // Label 958: @60758
     /*   60758 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(60826), // Rule ID 70437 //
     /*   60763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60800 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60824 */     GIR_RootConstrainSelectedInstOperands,
     /*   60825 */     // GIR_Coverage, 70437,
     /*   60825 */     GIR_EraseRootFromParent_Done,
     /*   60826 */   // Label 959: @60826
     /*   60826 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(60894), // Rule ID 51796 //
     /*   60831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60868 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60892 */     GIR_RootConstrainSelectedInstOperands,
     /*   60893 */     // GIR_Coverage, 51796,
     /*   60893 */     GIR_EraseRootFromParent_Done,
     /*   60894 */   // Label 960: @60894
     /*   60894 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(60962), // Rule ID 51797 //
     /*   60899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60936 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60960 */     GIR_RootConstrainSelectedInstOperands,
     /*   60961 */     // GIR_Coverage, 51797,
     /*   60961 */     GIR_EraseRootFromParent_Done,
     /*   60962 */   // Label 961: @60962
     /*   60962 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(61015), // Rule ID 46028 //
     /*   60967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60978 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   60978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   60981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61013 */     GIR_RootConstrainSelectedInstOperands,
     /*   61014 */     // GIR_Coverage, 46028,
     /*   61014 */     GIR_EraseRootFromParent_Done,
     /*   61015 */   // Label 962: @61015
     /*   61015 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(61068), // Rule ID 46029 //
     /*   61020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61031 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   61034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   61048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61066 */     GIR_RootConstrainSelectedInstOperands,
     /*   61067 */     // GIR_Coverage, 46029,
     /*   61067 */     GIR_EraseRootFromParent_Done,
     /*   61068 */   // Label 963: @61068
     /*   61068 */   GIM_Reject,
     /*   61069 */ // Label 957: @61069
     /*   61069 */ GIM_Reject,
     /*   61070 */ // Label 150: @61070
     /*   61070 */ GIM_Reject,
     /*   61071 */ // Label 1: @61071
     /*   61071 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 988*/ GIMT_Encode4(80303),
     /*   61082 */ /*GILLT_s32*//*Label 964*/ GIMT_Encode4(61206),
     /*   61086 */ /*GILLT_s64*//*Label 965*/ GIMT_Encode4(61453), GIMT_Encode4(0),
     /*   61094 */ /*GILLT_nxv1s8*//*Label 966*/ GIMT_Encode4(61729),
     /*   61098 */ /*GILLT_nxv1s16*//*Label 967*/ GIMT_Encode4(61976),
     /*   61102 */ /*GILLT_nxv1s32*//*Label 968*/ GIMT_Encode4(63099),
     /*   61106 */ /*GILLT_nxv1s64*//*Label 969*/ GIMT_Encode4(64222), GIMT_Encode4(0),
     /*   61114 */ /*GILLT_nxv2s8*//*Label 970*/ GIMT_Encode4(65345),
     /*   61118 */ /*GILLT_nxv2s16*//*Label 971*/ GIMT_Encode4(65592),
     /*   61122 */ /*GILLT_nxv2s32*//*Label 972*/ GIMT_Encode4(66715),
     /*   61126 */ /*GILLT_nxv2s64*//*Label 973*/ GIMT_Encode4(67838), GIMT_Encode4(0),
     /*   61134 */ /*GILLT_nxv4s8*//*Label 974*/ GIMT_Encode4(68961),
     /*   61138 */ /*GILLT_nxv4s16*//*Label 975*/ GIMT_Encode4(69208),
     /*   61142 */ /*GILLT_nxv4s32*//*Label 976*/ GIMT_Encode4(70331),
     /*   61146 */ /*GILLT_nxv4s64*//*Label 977*/ GIMT_Encode4(71454), GIMT_Encode4(0),
     /*   61154 */ /*GILLT_nxv8s8*//*Label 978*/ GIMT_Encode4(72577),
     /*   61158 */ /*GILLT_nxv8s16*//*Label 979*/ GIMT_Encode4(72824),
     /*   61162 */ /*GILLT_nxv8s32*//*Label 980*/ GIMT_Encode4(73947),
     /*   61166 */ /*GILLT_nxv8s64*//*Label 981*/ GIMT_Encode4(75070), GIMT_Encode4(0),
     /*   61174 */ /*GILLT_nxv16s8*//*Label 982*/ GIMT_Encode4(76193),
     /*   61178 */ /*GILLT_nxv16s16*//*Label 983*/ GIMT_Encode4(76440),
     /*   61182 */ /*GILLT_nxv16s32*//*Label 984*/ GIMT_Encode4(77563), GIMT_Encode4(0),
     /*   61190 */ /*GILLT_nxv32s8*//*Label 985*/ GIMT_Encode4(78686),
     /*   61194 */ /*GILLT_nxv32s16*//*Label 986*/ GIMT_Encode4(78933), GIMT_Encode4(0),
     /*   61202 */ /*GILLT_nxv64s8*//*Label 987*/ GIMT_Encode4(80056),
     /*   61206 */ // Label 964: @61206
     /*   61206 */ GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(61452),
     /*   61211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   61214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   61217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61221 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(61296), // Rule ID 98 //
     /*   61226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   61229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61256 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61262 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   61262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61278 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61294 */     GIR_RootConstrainSelectedInstOperands,
     /*   61295 */     // GIR_Coverage, 98,
     /*   61295 */     GIR_EraseRootFromParent_Done,
     /*   61296 */   // Label 990: @61296
     /*   61296 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(61371), // Rule ID 99 //
     /*   61301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   61304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61337 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   61337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61353 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61369 */     GIR_RootConstrainSelectedInstOperands,
     /*   61370 */     // GIR_Coverage, 99,
     /*   61370 */     GIR_EraseRootFromParent_Done,
     /*   61371 */   // Label 991: @61371
     /*   61371 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(61428), // Rule ID 62585 //
     /*   61376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   61379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61411 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61426 */     GIR_RootConstrainSelectedInstOperands,
     /*   61427 */     // GIR_Coverage, 62585,
     /*   61427 */     GIR_EraseRootFromParent_Done,
     /*   61428 */   // Label 992: @61428
     /*   61428 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61451), // Rule ID 77 //
     /*   61433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   61436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61444 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61449 */     GIR_RootConstrainSelectedInstOperands,
     /*   61450 */     // GIR_Coverage, 77,
     /*   61450 */     GIR_Done,
     /*   61451 */   // Label 993: @61451
     /*   61451 */   GIM_Reject,
     /*   61452 */ // Label 989: @61452
     /*   61452 */ GIM_Reject,
     /*   61453 */ // Label 965: @61453
     /*   61453 */ GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61728),
     /*   61458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   61461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   61464 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61543), // Rule ID 100 //
     /*   61469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61503 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61509 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   61509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   61512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61525 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   61528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   61541 */     GIR_RootConstrainSelectedInstOperands,
     /*   61542 */     // GIR_Coverage, 100,
     /*   61542 */     GIR_EraseRootFromParent_Done,
     /*   61543 */   // Label 995: @61543
     /*   61543 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61608), // Rule ID 62587 //
     /*   61548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   61551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61585 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10050),
     /*   61589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61591 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10050>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   61594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61606 */     GIR_RootConstrainSelectedInstOperands,
     /*   61607 */     // GIR_Coverage, 62587,
     /*   61607 */     GIR_EraseRootFromParent_Done,
     /*   61608 */   // Label 996: @61608
     /*   61608 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61669), // Rule ID 62584 //
     /*   61613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   61616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61636 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61652 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61667 */     GIR_RootConstrainSelectedInstOperands,
     /*   61668 */     // GIR_Coverage, 62584,
     /*   61668 */     GIR_EraseRootFromParent_Done,
     /*   61669 */   // Label 997: @61669
     /*   61669 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61700), // Rule ID 267 //
     /*   61674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10050),
     /*   61693 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10050>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   61698 */     GIR_RootConstrainSelectedInstOperands,
     /*   61699 */     // GIR_Coverage, 267,
     /*   61699 */     GIR_Done,
     /*   61700 */   // Label 998: @61700
     /*   61700 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61727), // Rule ID 76 //
     /*   61705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   61708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61720 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61725 */     GIR_RootConstrainSelectedInstOperands,
     /*   61726 */     // GIR_Coverage, 76,
     /*   61726 */     GIR_Done,
     /*   61727 */   // Label 999: @61727
     /*   61727 */   GIM_Reject,
     /*   61728 */ // Label 994: @61728
     /*   61728 */ GIM_Reject,
     /*   61729 */ // Label 966: @61729
     /*   61729 */ GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61975),
     /*   61734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61748 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61812), // Rule ID 51836 //
     /*   61753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61786 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   61789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61810 */     GIR_RootConstrainSelectedInstOperands,
     /*   61811 */     // GIR_Coverage, 51836,
     /*   61811 */     GIR_EraseRootFromParent_Done,
     /*   61812 */   // Label 1001: @61812
     /*   61812 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61876), // Rule ID 51837 //
     /*   61817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61850 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   61853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61874 */     GIR_RootConstrainSelectedInstOperands,
     /*   61875 */     // GIR_Coverage, 51837,
     /*   61875 */     GIR_EraseRootFromParent_Done,
     /*   61876 */   // Label 1002: @61876
     /*   61876 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(61925), // Rule ID 46110 //
     /*   61881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61888 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   61891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   61905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61923 */     GIR_RootConstrainSelectedInstOperands,
     /*   61924 */     // GIR_Coverage, 46110,
     /*   61924 */     GIR_EraseRootFromParent_Done,
     /*   61925 */   // Label 1003: @61925
     /*   61925 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61974), // Rule ID 46111 //
     /*   61930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61937 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   61940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   61954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61972 */     GIR_RootConstrainSelectedInstOperands,
     /*   61973 */     // GIR_Coverage, 46111,
     /*   61973 */     GIR_EraseRootFromParent_Done,
     /*   61974 */   // Label 1004: @61974
     /*   61974 */   GIM_Reject,
     /*   61975 */ // Label 1000: @61975
     /*   61975 */ GIM_Reject,
     /*   61976 */ // Label 967: @61976
     /*   61976 */ GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(63098),
     /*   61981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   61984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   61987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61991 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(62080), // Rule ID 47106 //
     /*   61996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62030 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62039 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62078 */     GIR_RootConstrainSelectedInstOperands,
     /*   62079 */     // GIR_Coverage, 47106,
     /*   62079 */     GIR_EraseRootFromParent_Done,
     /*   62080 */   // Label 1006: @62080
     /*   62080 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(62169), // Rule ID 47107 //
     /*   62085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62119 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62128 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62167 */     GIR_RootConstrainSelectedInstOperands,
     /*   62168 */     // GIR_Coverage, 47107,
     /*   62168 */     GIR_EraseRootFromParent_Done,
     /*   62169 */   // Label 1007: @62169
     /*   62169 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(62258), // Rule ID 46866 //
     /*   62174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62208 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62217 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62256 */     GIR_RootConstrainSelectedInstOperands,
     /*   62257 */     // GIR_Coverage, 46866,
     /*   62257 */     GIR_EraseRootFromParent_Done,
     /*   62258 */   // Label 1008: @62258
     /*   62258 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62347), // Rule ID 46867 //
     /*   62263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62297 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62306 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62345 */     GIR_RootConstrainSelectedInstOperands,
     /*   62346 */     // GIR_Coverage, 46867,
     /*   62346 */     GIR_EraseRootFromParent_Done,
     /*   62347 */   // Label 1009: @62347
     /*   62347 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62436), // Rule ID 46986 //
     /*   62352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62395 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62434 */     GIR_RootConstrainSelectedInstOperands,
     /*   62435 */     // GIR_Coverage, 46986,
     /*   62435 */     GIR_EraseRootFromParent_Done,
     /*   62436 */   // Label 1010: @62436
     /*   62436 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62525), // Rule ID 46987 //
     /*   62441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62484 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62523 */     GIR_RootConstrainSelectedInstOperands,
     /*   62524 */     // GIR_Coverage, 46987,
     /*   62524 */     GIR_EraseRootFromParent_Done,
     /*   62525 */   // Label 1011: @62525
     /*   62525 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62593), // Rule ID 51848 //
     /*   62530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62567 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62591 */     GIR_RootConstrainSelectedInstOperands,
     /*   62592 */     // GIR_Coverage, 51848,
     /*   62592 */     GIR_EraseRootFromParent_Done,
     /*   62593 */   // Label 1012: @62593
     /*   62593 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62661), // Rule ID 51849 //
     /*   62598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62635 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62659 */     GIR_RootConstrainSelectedInstOperands,
     /*   62660 */     // GIR_Coverage, 51849,
     /*   62660 */     GIR_EraseRootFromParent_Done,
     /*   62661 */   // Label 1013: @62661
     /*   62661 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62716), // Rule ID 47166 //
     /*   62666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62694 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62714 */     GIR_RootConstrainSelectedInstOperands,
     /*   62715 */     // GIR_Coverage, 47166,
     /*   62715 */     GIR_EraseRootFromParent_Done,
     /*   62716 */   // Label 1014: @62716
     /*   62716 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62771), // Rule ID 47167 //
     /*   62721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62740 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62749 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62769 */     GIR_RootConstrainSelectedInstOperands,
     /*   62770 */     // GIR_Coverage, 47167,
     /*   62770 */     GIR_EraseRootFromParent_Done,
     /*   62771 */   // Label 1015: @62771
     /*   62771 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62826), // Rule ID 46926 //
     /*   62776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62804 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   62807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62824 */     GIR_RootConstrainSelectedInstOperands,
     /*   62825 */     // GIR_Coverage, 46926,
     /*   62825 */     GIR_EraseRootFromParent_Done,
     /*   62826 */   // Label 1016: @62826
     /*   62826 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62881), // Rule ID 46927 //
     /*   62831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62859 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   62862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62879 */     GIR_RootConstrainSelectedInstOperands,
     /*   62880 */     // GIR_Coverage, 46927,
     /*   62880 */     GIR_EraseRootFromParent_Done,
     /*   62881 */   // Label 1017: @62881
     /*   62881 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62936), // Rule ID 47046 //
     /*   62886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62914 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62934 */     GIR_RootConstrainSelectedInstOperands,
     /*   62935 */     // GIR_Coverage, 47046,
     /*   62935 */     GIR_EraseRootFromParent_Done,
     /*   62936 */   // Label 1018: @62936
     /*   62936 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62991), // Rule ID 47047 //
     /*   62941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62969 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62989 */     GIR_RootConstrainSelectedInstOperands,
     /*   62990 */     // GIR_Coverage, 47047,
     /*   62990 */     GIR_EraseRootFromParent_Done,
     /*   62991 */   // Label 1019: @62991
     /*   62991 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63044), // Rule ID 46122 //
     /*   62996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63007 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63042 */     GIR_RootConstrainSelectedInstOperands,
     /*   63043 */     // GIR_Coverage, 46122,
     /*   63043 */     GIR_EraseRootFromParent_Done,
     /*   63044 */   // Label 1020: @63044
     /*   63044 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(63097), // Rule ID 46123 //
     /*   63049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63060 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63095 */     GIR_RootConstrainSelectedInstOperands,
     /*   63096 */     // GIR_Coverage, 46123,
     /*   63096 */     GIR_EraseRootFromParent_Done,
     /*   63097 */   // Label 1021: @63097
     /*   63097 */   GIM_Reject,
     /*   63098 */ // Label 1005: @63098
     /*   63098 */ GIM_Reject,
     /*   63099 */ // Label 968: @63099
     /*   63099 */ GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(64221),
     /*   63104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63114 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(63203), // Rule ID 47130 //
     /*   63119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63162 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63201 */     GIR_RootConstrainSelectedInstOperands,
     /*   63202 */     // GIR_Coverage, 47130,
     /*   63202 */     GIR_EraseRootFromParent_Done,
     /*   63203 */   // Label 1023: @63203
     /*   63203 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(63292), // Rule ID 47131 //
     /*   63208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63251 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63290 */     GIR_RootConstrainSelectedInstOperands,
     /*   63291 */     // GIR_Coverage, 47131,
     /*   63291 */     GIR_EraseRootFromParent_Done,
     /*   63292 */   // Label 1024: @63292
     /*   63292 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63381), // Rule ID 46890 //
     /*   63297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63340 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63379 */     GIR_RootConstrainSelectedInstOperands,
     /*   63380 */     // GIR_Coverage, 46890,
     /*   63380 */     GIR_EraseRootFromParent_Done,
     /*   63381 */   // Label 1025: @63381
     /*   63381 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63470), // Rule ID 46891 //
     /*   63386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63429 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63468 */     GIR_RootConstrainSelectedInstOperands,
     /*   63469 */     // GIR_Coverage, 46891,
     /*   63469 */     GIR_EraseRootFromParent_Done,
     /*   63470 */   // Label 1026: @63470
     /*   63470 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63559), // Rule ID 47010 //
     /*   63475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63509 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63518 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63557 */     GIR_RootConstrainSelectedInstOperands,
     /*   63558 */     // GIR_Coverage, 47010,
     /*   63558 */     GIR_EraseRootFromParent_Done,
     /*   63559 */   // Label 1027: @63559
     /*   63559 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63648), // Rule ID 47011 //
     /*   63564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63598 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63607 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63646 */     GIR_RootConstrainSelectedInstOperands,
     /*   63647 */     // GIR_Coverage, 47011,
     /*   63647 */     GIR_EraseRootFromParent_Done,
     /*   63648 */   // Label 1028: @63648
     /*   63648 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63716), // Rule ID 51856 //
     /*   63653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63690 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63714 */     GIR_RootConstrainSelectedInstOperands,
     /*   63715 */     // GIR_Coverage, 51856,
     /*   63715 */     GIR_EraseRootFromParent_Done,
     /*   63716 */   // Label 1029: @63716
     /*   63716 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63784), // Rule ID 51857 //
     /*   63721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63758 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63782 */     GIR_RootConstrainSelectedInstOperands,
     /*   63783 */     // GIR_Coverage, 51857,
     /*   63783 */     GIR_EraseRootFromParent_Done,
     /*   63784 */   // Label 1030: @63784
     /*   63784 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63839), // Rule ID 47190 //
     /*   63789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63817 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   63820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63837 */     GIR_RootConstrainSelectedInstOperands,
     /*   63838 */     // GIR_Coverage, 47190,
     /*   63838 */     GIR_EraseRootFromParent_Done,
     /*   63839 */   // Label 1031: @63839
     /*   63839 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63894), // Rule ID 47191 //
     /*   63844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63872 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   63875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63892 */     GIR_RootConstrainSelectedInstOperands,
     /*   63893 */     // GIR_Coverage, 47191,
     /*   63893 */     GIR_EraseRootFromParent_Done,
     /*   63894 */   // Label 1032: @63894
     /*   63894 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63949), // Rule ID 46950 //
     /*   63899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63918 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63927 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   63930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63947 */     GIR_RootConstrainSelectedInstOperands,
     /*   63948 */     // GIR_Coverage, 46950,
     /*   63948 */     GIR_EraseRootFromParent_Done,
     /*   63949 */   // Label 1033: @63949
     /*   63949 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(64004), // Rule ID 46951 //
     /*   63954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63982 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   63985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64002 */     GIR_RootConstrainSelectedInstOperands,
     /*   64003 */     // GIR_Coverage, 46951,
     /*   64003 */     GIR_EraseRootFromParent_Done,
     /*   64004 */   // Label 1034: @64004
     /*   64004 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(64059), // Rule ID 47070 //
     /*   64009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64028 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64037 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   64037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64057 */     GIR_RootConstrainSelectedInstOperands,
     /*   64058 */     // GIR_Coverage, 47070,
     /*   64058 */     GIR_EraseRootFromParent_Done,
     /*   64059 */   // Label 1035: @64059
     /*   64059 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(64114), // Rule ID 47071 //
     /*   64064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64083 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64092 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   64092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64112 */     GIR_RootConstrainSelectedInstOperands,
     /*   64113 */     // GIR_Coverage, 47071,
     /*   64113 */     GIR_EraseRootFromParent_Done,
     /*   64114 */   // Label 1036: @64114
     /*   64114 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64167), // Rule ID 46130 //
     /*   64119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64130 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64165 */     GIR_RootConstrainSelectedInstOperands,
     /*   64166 */     // GIR_Coverage, 46130,
     /*   64166 */     GIR_EraseRootFromParent_Done,
     /*   64167 */   // Label 1037: @64167
     /*   64167 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(64220), // Rule ID 46131 //
     /*   64172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64183 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64218 */     GIR_RootConstrainSelectedInstOperands,
     /*   64219 */     // GIR_Coverage, 46131,
     /*   64219 */     GIR_EraseRootFromParent_Done,
     /*   64220 */   // Label 1038: @64220
     /*   64220 */   GIM_Reject,
     /*   64221 */ // Label 1022: @64221
     /*   64221 */ GIM_Reject,
     /*   64222 */ // Label 969: @64222
     /*   64222 */ GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(65344),
     /*   64227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64237 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(64326), // Rule ID 47150 //
     /*   64242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64285 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64324 */     GIR_RootConstrainSelectedInstOperands,
     /*   64325 */     // GIR_Coverage, 47150,
     /*   64325 */     GIR_EraseRootFromParent_Done,
     /*   64326 */   // Label 1040: @64326
     /*   64326 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64415), // Rule ID 47151 //
     /*   64331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64365 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64374 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64413 */     GIR_RootConstrainSelectedInstOperands,
     /*   64414 */     // GIR_Coverage, 47151,
     /*   64414 */     GIR_EraseRootFromParent_Done,
     /*   64415 */   // Label 1041: @64415
     /*   64415 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64504), // Rule ID 46910 //
     /*   64420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64435 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64463 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64502 */     GIR_RootConstrainSelectedInstOperands,
     /*   64503 */     // GIR_Coverage, 46910,
     /*   64503 */     GIR_EraseRootFromParent_Done,
     /*   64504 */   // Label 1042: @64504
     /*   64504 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64593), // Rule ID 46911 //
     /*   64509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64524 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64543 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64552 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64591 */     GIR_RootConstrainSelectedInstOperands,
     /*   64592 */     // GIR_Coverage, 46911,
     /*   64592 */     GIR_EraseRootFromParent_Done,
     /*   64593 */   // Label 1043: @64593
     /*   64593 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64682), // Rule ID 47030 //
     /*   64598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64613 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64641 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64680 */     GIR_RootConstrainSelectedInstOperands,
     /*   64681 */     // GIR_Coverage, 47030,
     /*   64681 */     GIR_EraseRootFromParent_Done,
     /*   64682 */   // Label 1044: @64682
     /*   64682 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64771), // Rule ID 47031 //
     /*   64687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64721 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64730 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64769 */     GIR_RootConstrainSelectedInstOperands,
     /*   64770 */     // GIR_Coverage, 47031,
     /*   64770 */     GIR_EraseRootFromParent_Done,
     /*   64771 */   // Label 1045: @64771
     /*   64771 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64839), // Rule ID 51872 //
     /*   64776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64813 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   64816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64837 */     GIR_RootConstrainSelectedInstOperands,
     /*   64838 */     // GIR_Coverage, 51872,
     /*   64838 */     GIR_EraseRootFromParent_Done,
     /*   64839 */   // Label 1046: @64839
     /*   64839 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64907), // Rule ID 51873 //
     /*   64844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64881 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   64884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64905 */     GIR_RootConstrainSelectedInstOperands,
     /*   64906 */     // GIR_Coverage, 51873,
     /*   64906 */     GIR_EraseRootFromParent_Done,
     /*   64907 */   // Label 1047: @64907
     /*   64907 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64962), // Rule ID 47210 //
     /*   64912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64940 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   64943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64960 */     GIR_RootConstrainSelectedInstOperands,
     /*   64961 */     // GIR_Coverage, 47210,
     /*   64961 */     GIR_EraseRootFromParent_Done,
     /*   64962 */   // Label 1048: @64962
     /*   64962 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(65017), // Rule ID 47211 //
     /*   64967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64995 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   64998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65015 */     GIR_RootConstrainSelectedInstOperands,
     /*   65016 */     // GIR_Coverage, 47211,
     /*   65016 */     GIR_EraseRootFromParent_Done,
     /*   65017 */   // Label 1049: @65017
     /*   65017 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(65072), // Rule ID 46970 //
     /*   65022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65050 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65070 */     GIR_RootConstrainSelectedInstOperands,
     /*   65071 */     // GIR_Coverage, 46970,
     /*   65071 */     GIR_EraseRootFromParent_Done,
     /*   65072 */   // Label 1050: @65072
     /*   65072 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(65127), // Rule ID 46971 //
     /*   65077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65105 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65125 */     GIR_RootConstrainSelectedInstOperands,
     /*   65126 */     // GIR_Coverage, 46971,
     /*   65126 */     GIR_EraseRootFromParent_Done,
     /*   65127 */   // Label 1051: @65127
     /*   65127 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(65182), // Rule ID 47090 //
     /*   65132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65160 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65180 */     GIR_RootConstrainSelectedInstOperands,
     /*   65181 */     // GIR_Coverage, 47090,
     /*   65181 */     GIR_EraseRootFromParent_Done,
     /*   65182 */   // Label 1052: @65182
     /*   65182 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(65237), // Rule ID 47091 //
     /*   65187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65215 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65235 */     GIR_RootConstrainSelectedInstOperands,
     /*   65236 */     // GIR_Coverage, 47091,
     /*   65236 */     GIR_EraseRootFromParent_Done,
     /*   65237 */   // Label 1053: @65237
     /*   65237 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65290), // Rule ID 46146 //
     /*   65242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   65245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65253 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   65253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65288 */     GIR_RootConstrainSelectedInstOperands,
     /*   65289 */     // GIR_Coverage, 46146,
     /*   65289 */     GIR_EraseRootFromParent_Done,
     /*   65290 */   // Label 1054: @65290
     /*   65290 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(65343), // Rule ID 46147 //
     /*   65295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   65298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65306 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   65306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65341 */     GIR_RootConstrainSelectedInstOperands,
     /*   65342 */     // GIR_Coverage, 46147,
     /*   65342 */     GIR_EraseRootFromParent_Done,
     /*   65343 */   // Label 1055: @65343
     /*   65343 */   GIM_Reject,
     /*   65344 */ // Label 1039: @65344
     /*   65344 */ GIM_Reject,
     /*   65345 */ // Label 970: @65345
     /*   65345 */ GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(65591),
     /*   65350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65364 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65428), // Rule ID 51840 //
     /*   65369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65402 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65426 */     GIR_RootConstrainSelectedInstOperands,
     /*   65427 */     // GIR_Coverage, 51840,
     /*   65427 */     GIR_EraseRootFromParent_Done,
     /*   65428 */   // Label 1057: @65428
     /*   65428 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65492), // Rule ID 51841 //
     /*   65433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65466 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65490 */     GIR_RootConstrainSelectedInstOperands,
     /*   65491 */     // GIR_Coverage, 51841,
     /*   65491 */     GIR_EraseRootFromParent_Done,
     /*   65492 */   // Label 1058: @65492
     /*   65492 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(65541), // Rule ID 46114 //
     /*   65497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65504 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65539 */     GIR_RootConstrainSelectedInstOperands,
     /*   65540 */     // GIR_Coverage, 46114,
     /*   65540 */     GIR_EraseRootFromParent_Done,
     /*   65541 */   // Label 1059: @65541
     /*   65541 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65590), // Rule ID 46115 //
     /*   65546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65553 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65588 */     GIR_RootConstrainSelectedInstOperands,
     /*   65589 */     // GIR_Coverage, 46115,
     /*   65589 */     GIR_EraseRootFromParent_Done,
     /*   65590 */   // Label 1060: @65590
     /*   65590 */   GIM_Reject,
     /*   65591 */ // Label 1056: @65591
     /*   65591 */ GIM_Reject,
     /*   65592 */ // Label 971: @65592
     /*   65592 */ GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(66714),
     /*   65597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   65600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   65603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65607 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65696), // Rule ID 47110 //
     /*   65612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65646 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65655 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65694 */     GIR_RootConstrainSelectedInstOperands,
     /*   65695 */     // GIR_Coverage, 47110,
     /*   65695 */     GIR_EraseRootFromParent_Done,
     /*   65696 */   // Label 1062: @65696
     /*   65696 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65785), // Rule ID 47111 //
     /*   65701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65744 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65783 */     GIR_RootConstrainSelectedInstOperands,
     /*   65784 */     // GIR_Coverage, 47111,
     /*   65784 */     GIR_EraseRootFromParent_Done,
     /*   65785 */   // Label 1063: @65785
     /*   65785 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65874), // Rule ID 46870 //
     /*   65790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65833 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   65850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65872 */     GIR_RootConstrainSelectedInstOperands,
     /*   65873 */     // GIR_Coverage, 46870,
     /*   65873 */     GIR_EraseRootFromParent_Done,
     /*   65874 */   // Label 1064: @65874
     /*   65874 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65963), // Rule ID 46871 //
     /*   65879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65922 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   65939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65961 */     GIR_RootConstrainSelectedInstOperands,
     /*   65962 */     // GIR_Coverage, 46871,
     /*   65962 */     GIR_EraseRootFromParent_Done,
     /*   65963 */   // Label 1065: @65963
     /*   65963 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(66052), // Rule ID 46990 //
     /*   65968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66011 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   66011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66050 */     GIR_RootConstrainSelectedInstOperands,
     /*   66051 */     // GIR_Coverage, 46990,
     /*   66051 */     GIR_EraseRootFromParent_Done,
     /*   66052 */   // Label 1066: @66052
     /*   66052 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(66141), // Rule ID 46991 //
     /*   66057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66100 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   66100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66139 */     GIR_RootConstrainSelectedInstOperands,
     /*   66140 */     // GIR_Coverage, 46991,
     /*   66140 */     GIR_EraseRootFromParent_Done,
     /*   66141 */   // Label 1067: @66141
     /*   66141 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(66209), // Rule ID 51852 //
     /*   66146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66183 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66207 */     GIR_RootConstrainSelectedInstOperands,
     /*   66208 */     // GIR_Coverage, 51852,
     /*   66208 */     GIR_EraseRootFromParent_Done,
     /*   66209 */   // Label 1068: @66209
     /*   66209 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(66277), // Rule ID 51853 //
     /*   66214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66251 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66275 */     GIR_RootConstrainSelectedInstOperands,
     /*   66276 */     // GIR_Coverage, 51853,
     /*   66276 */     GIR_EraseRootFromParent_Done,
     /*   66277 */   // Label 1069: @66277
     /*   66277 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(66332), // Rule ID 47170 //
     /*   66282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66310 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66330 */     GIR_RootConstrainSelectedInstOperands,
     /*   66331 */     // GIR_Coverage, 47170,
     /*   66331 */     GIR_EraseRootFromParent_Done,
     /*   66332 */   // Label 1070: @66332
     /*   66332 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(66387), // Rule ID 47171 //
     /*   66337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66365 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66385 */     GIR_RootConstrainSelectedInstOperands,
     /*   66386 */     // GIR_Coverage, 47171,
     /*   66386 */     GIR_EraseRootFromParent_Done,
     /*   66387 */   // Label 1071: @66387
     /*   66387 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66442), // Rule ID 46930 //
     /*   66392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66420 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66440 */     GIR_RootConstrainSelectedInstOperands,
     /*   66441 */     // GIR_Coverage, 46930,
     /*   66441 */     GIR_EraseRootFromParent_Done,
     /*   66442 */   // Label 1072: @66442
     /*   66442 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66497), // Rule ID 46931 //
     /*   66447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66475 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66495 */     GIR_RootConstrainSelectedInstOperands,
     /*   66496 */     // GIR_Coverage, 46931,
     /*   66496 */     GIR_EraseRootFromParent_Done,
     /*   66497 */   // Label 1073: @66497
     /*   66497 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66552), // Rule ID 47050 //
     /*   66502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66530 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66550 */     GIR_RootConstrainSelectedInstOperands,
     /*   66551 */     // GIR_Coverage, 47050,
     /*   66551 */     GIR_EraseRootFromParent_Done,
     /*   66552 */   // Label 1074: @66552
     /*   66552 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66607), // Rule ID 47051 //
     /*   66557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66585 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66605 */     GIR_RootConstrainSelectedInstOperands,
     /*   66606 */     // GIR_Coverage, 47051,
     /*   66606 */     GIR_EraseRootFromParent_Done,
     /*   66607 */   // Label 1075: @66607
     /*   66607 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(66660), // Rule ID 46126 //
     /*   66612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66623 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66658 */     GIR_RootConstrainSelectedInstOperands,
     /*   66659 */     // GIR_Coverage, 46126,
     /*   66659 */     GIR_EraseRootFromParent_Done,
     /*   66660 */   // Label 1076: @66660
     /*   66660 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66713), // Rule ID 46127 //
     /*   66665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66676 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66711 */     GIR_RootConstrainSelectedInstOperands,
     /*   66712 */     // GIR_Coverage, 46127,
     /*   66712 */     GIR_EraseRootFromParent_Done,
     /*   66713 */   // Label 1077: @66713
     /*   66713 */   GIM_Reject,
     /*   66714 */ // Label 1061: @66714
     /*   66714 */ GIM_Reject,
     /*   66715 */ // Label 972: @66715
     /*   66715 */ GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(67837),
     /*   66720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   66723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   66726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66730 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66819), // Rule ID 47134 //
     /*   66735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66769 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66771 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66776 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66778 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   66795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66817 */     GIR_RootConstrainSelectedInstOperands,
     /*   66818 */     // GIR_Coverage, 47134,
     /*   66818 */     GIR_EraseRootFromParent_Done,
     /*   66819 */   // Label 1079: @66819
     /*   66819 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66908), // Rule ID 47135 //
     /*   66824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66858 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66867 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   66884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66906 */     GIR_RootConstrainSelectedInstOperands,
     /*   66907 */     // GIR_Coverage, 47135,
     /*   66907 */     GIR_EraseRootFromParent_Done,
     /*   66908 */   // Label 1080: @66908
     /*   66908 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66997), // Rule ID 46894 //
     /*   66913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66947 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66956 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   66973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66995 */     GIR_RootConstrainSelectedInstOperands,
     /*   66996 */     // GIR_Coverage, 46894,
     /*   66996 */     GIR_EraseRootFromParent_Done,
     /*   66997 */   // Label 1081: @66997
     /*   66997 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(67086), // Rule ID 46895 //
     /*   67002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67036 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67045 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   67062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67084 */     GIR_RootConstrainSelectedInstOperands,
     /*   67085 */     // GIR_Coverage, 46895,
     /*   67085 */     GIR_EraseRootFromParent_Done,
     /*   67086 */   // Label 1082: @67086
     /*   67086 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(67175), // Rule ID 47014 //
     /*   67091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67125 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67134 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   67134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67173 */     GIR_RootConstrainSelectedInstOperands,
     /*   67174 */     // GIR_Coverage, 47014,
     /*   67174 */     GIR_EraseRootFromParent_Done,
     /*   67175 */   // Label 1083: @67175
     /*   67175 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(67264), // Rule ID 47015 //
     /*   67180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67223 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67262 */     GIR_RootConstrainSelectedInstOperands,
     /*   67263 */     // GIR_Coverage, 47015,
     /*   67263 */     GIR_EraseRootFromParent_Done,
     /*   67264 */   // Label 1084: @67264
     /*   67264 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(67332), // Rule ID 51868 //
     /*   67269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67306 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   67306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67330 */     GIR_RootConstrainSelectedInstOperands,
     /*   67331 */     // GIR_Coverage, 51868,
     /*   67331 */     GIR_EraseRootFromParent_Done,
     /*   67332 */   // Label 1085: @67332
     /*   67332 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67400), // Rule ID 51869 //
     /*   67337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67374 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   67374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67398 */     GIR_RootConstrainSelectedInstOperands,
     /*   67399 */     // GIR_Coverage, 51869,
     /*   67399 */     GIR_EraseRootFromParent_Done,
     /*   67400 */   // Label 1086: @67400
     /*   67400 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67455), // Rule ID 47194 //
     /*   67405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67433 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67453 */     GIR_RootConstrainSelectedInstOperands,
     /*   67454 */     // GIR_Coverage, 47194,
     /*   67454 */     GIR_EraseRootFromParent_Done,
     /*   67455 */   // Label 1087: @67455
     /*   67455 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67510), // Rule ID 47195 //
     /*   67460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67479 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67488 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67508 */     GIR_RootConstrainSelectedInstOperands,
     /*   67509 */     // GIR_Coverage, 47195,
     /*   67509 */     GIR_EraseRootFromParent_Done,
     /*   67510 */   // Label 1088: @67510
     /*   67510 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67565), // Rule ID 46954 //
     /*   67515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67543 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67563 */     GIR_RootConstrainSelectedInstOperands,
     /*   67564 */     // GIR_Coverage, 46954,
     /*   67564 */     GIR_EraseRootFromParent_Done,
     /*   67565 */   // Label 1089: @67565
     /*   67565 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67620), // Rule ID 46955 //
     /*   67570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67598 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67618 */     GIR_RootConstrainSelectedInstOperands,
     /*   67619 */     // GIR_Coverage, 46955,
     /*   67619 */     GIR_EraseRootFromParent_Done,
     /*   67620 */   // Label 1090: @67620
     /*   67620 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67675), // Rule ID 47074 //
     /*   67625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67653 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67673 */     GIR_RootConstrainSelectedInstOperands,
     /*   67674 */     // GIR_Coverage, 47074,
     /*   67674 */     GIR_EraseRootFromParent_Done,
     /*   67675 */   // Label 1091: @67675
     /*   67675 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67730), // Rule ID 47075 //
     /*   67680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67708 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67728 */     GIR_RootConstrainSelectedInstOperands,
     /*   67729 */     // GIR_Coverage, 47075,
     /*   67729 */     GIR_EraseRootFromParent_Done,
     /*   67730 */   // Label 1092: @67730
     /*   67730 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(67783), // Rule ID 46142 //
     /*   67735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67746 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67781 */     GIR_RootConstrainSelectedInstOperands,
     /*   67782 */     // GIR_Coverage, 46142,
     /*   67782 */     GIR_EraseRootFromParent_Done,
     /*   67783 */   // Label 1093: @67783
     /*   67783 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67836), // Rule ID 46143 //
     /*   67788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67799 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67834 */     GIR_RootConstrainSelectedInstOperands,
     /*   67835 */     // GIR_Coverage, 46143,
     /*   67835 */     GIR_EraseRootFromParent_Done,
     /*   67836 */   // Label 1094: @67836
     /*   67836 */   GIM_Reject,
     /*   67837 */ // Label 1078: @67837
     /*   67837 */ GIM_Reject,
     /*   67838 */ // Label 973: @67838
     /*   67838 */ GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(68960),
     /*   67843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   67846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   67849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67853 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67942), // Rule ID 47154 //
     /*   67858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67901 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   67904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   67918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67940 */     GIR_RootConstrainSelectedInstOperands,
     /*   67941 */     // GIR_Coverage, 47154,
     /*   67941 */     GIR_EraseRootFromParent_Done,
     /*   67942 */   // Label 1096: @67942
     /*   67942 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(68031), // Rule ID 47155 //
     /*   67947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67990 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   67993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68029 */     GIR_RootConstrainSelectedInstOperands,
     /*   68030 */     // GIR_Coverage, 47155,
     /*   68030 */     GIR_EraseRootFromParent_Done,
     /*   68031 */   // Label 1097: @68031
     /*   68031 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(68120), // Rule ID 46914 //
     /*   68036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68079 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68118 */     GIR_RootConstrainSelectedInstOperands,
     /*   68119 */     // GIR_Coverage, 46914,
     /*   68119 */     GIR_EraseRootFromParent_Done,
     /*   68120 */   // Label 1098: @68120
     /*   68120 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(68209), // Rule ID 46915 //
     /*   68125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68168 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68207 */     GIR_RootConstrainSelectedInstOperands,
     /*   68208 */     // GIR_Coverage, 46915,
     /*   68208 */     GIR_EraseRootFromParent_Done,
     /*   68209 */   // Label 1099: @68209
     /*   68209 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(68298), // Rule ID 47034 //
     /*   68214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68229 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68257 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68296 */     GIR_RootConstrainSelectedInstOperands,
     /*   68297 */     // GIR_Coverage, 47034,
     /*   68297 */     GIR_EraseRootFromParent_Done,
     /*   68298 */   // Label 1100: @68298
     /*   68298 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68387), // Rule ID 47035 //
     /*   68303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68318 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68337 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68346 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68385 */     GIR_RootConstrainSelectedInstOperands,
     /*   68386 */     // GIR_Coverage, 47035,
     /*   68386 */     GIR_EraseRootFromParent_Done,
     /*   68387 */   // Label 1101: @68387
     /*   68387 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68455), // Rule ID 51912 //
     /*   68392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68429 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   68429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68453 */     GIR_RootConstrainSelectedInstOperands,
     /*   68454 */     // GIR_Coverage, 51912,
     /*   68454 */     GIR_EraseRootFromParent_Done,
     /*   68455 */   // Label 1102: @68455
     /*   68455 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68523), // Rule ID 51913 //
     /*   68460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68497 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   68497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68521 */     GIR_RootConstrainSelectedInstOperands,
     /*   68522 */     // GIR_Coverage, 51913,
     /*   68522 */     GIR_EraseRootFromParent_Done,
     /*   68523 */   // Label 1103: @68523
     /*   68523 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68578), // Rule ID 47214 //
     /*   68528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68556 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68576 */     GIR_RootConstrainSelectedInstOperands,
     /*   68577 */     // GIR_Coverage, 47214,
     /*   68577 */     GIR_EraseRootFromParent_Done,
     /*   68578 */   // Label 1104: @68578
     /*   68578 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68633), // Rule ID 47215 //
     /*   68583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68611 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68631 */     GIR_RootConstrainSelectedInstOperands,
     /*   68632 */     // GIR_Coverage, 47215,
     /*   68632 */     GIR_EraseRootFromParent_Done,
     /*   68633 */   // Label 1105: @68633
     /*   68633 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68688), // Rule ID 46974 //
     /*   68638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68657 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68666 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68686 */     GIR_RootConstrainSelectedInstOperands,
     /*   68687 */     // GIR_Coverage, 46974,
     /*   68687 */     GIR_EraseRootFromParent_Done,
     /*   68688 */   // Label 1106: @68688
     /*   68688 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68743), // Rule ID 46975 //
     /*   68693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68721 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68741 */     GIR_RootConstrainSelectedInstOperands,
     /*   68742 */     // GIR_Coverage, 46975,
     /*   68742 */     GIR_EraseRootFromParent_Done,
     /*   68743 */   // Label 1107: @68743
     /*   68743 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68798), // Rule ID 47094 //
     /*   68748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68767 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68776 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68796 */     GIR_RootConstrainSelectedInstOperands,
     /*   68797 */     // GIR_Coverage, 47094,
     /*   68797 */     GIR_EraseRootFromParent_Done,
     /*   68798 */   // Label 1108: @68798
     /*   68798 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68853), // Rule ID 47095 //
     /*   68803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68831 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68851 */     GIR_RootConstrainSelectedInstOperands,
     /*   68852 */     // GIR_Coverage, 47095,
     /*   68852 */     GIR_EraseRootFromParent_Done,
     /*   68853 */   // Label 1109: @68853
     /*   68853 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68906), // Rule ID 46186 //
     /*   68858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68869 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   68886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68904 */     GIR_RootConstrainSelectedInstOperands,
     /*   68905 */     // GIR_Coverage, 46186,
     /*   68905 */     GIR_EraseRootFromParent_Done,
     /*   68906 */   // Label 1110: @68906
     /*   68906 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68959), // Rule ID 46187 //
     /*   68911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68922 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   68939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68957 */     GIR_RootConstrainSelectedInstOperands,
     /*   68958 */     // GIR_Coverage, 46187,
     /*   68958 */     GIR_EraseRootFromParent_Done,
     /*   68959 */   // Label 1111: @68959
     /*   68959 */   GIM_Reject,
     /*   68960 */ // Label 1095: @68960
     /*   68960 */ GIM_Reject,
     /*   68961 */ // Label 974: @68961
     /*   68961 */ GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(69207),
     /*   68966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   68969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   68972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68980 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(69044), // Rule ID 51844 //
     /*   68985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69018 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69042 */     GIR_RootConstrainSelectedInstOperands,
     /*   69043 */     // GIR_Coverage, 51844,
     /*   69043 */     GIR_EraseRootFromParent_Done,
     /*   69044 */   // Label 1113: @69044
     /*   69044 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(69108), // Rule ID 51845 //
     /*   69049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69082 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69106 */     GIR_RootConstrainSelectedInstOperands,
     /*   69107 */     // GIR_Coverage, 51845,
     /*   69107 */     GIR_EraseRootFromParent_Done,
     /*   69108 */   // Label 1114: @69108
     /*   69108 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69157), // Rule ID 46118 //
     /*   69113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69120 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69155 */     GIR_RootConstrainSelectedInstOperands,
     /*   69156 */     // GIR_Coverage, 46118,
     /*   69156 */     GIR_EraseRootFromParent_Done,
     /*   69157 */   // Label 1115: @69157
     /*   69157 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(69206), // Rule ID 46119 //
     /*   69162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69169 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69204 */     GIR_RootConstrainSelectedInstOperands,
     /*   69205 */     // GIR_Coverage, 46119,
     /*   69205 */     GIR_EraseRootFromParent_Done,
     /*   69206 */   // Label 1116: @69206
     /*   69206 */   GIM_Reject,
     /*   69207 */ // Label 1112: @69207
     /*   69207 */ GIM_Reject,
     /*   69208 */ // Label 975: @69208
     /*   69208 */ GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(70330),
     /*   69213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69223 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(69312), // Rule ID 47114 //
     /*   69228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69271 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69310 */     GIR_RootConstrainSelectedInstOperands,
     /*   69311 */     // GIR_Coverage, 47114,
     /*   69311 */     GIR_EraseRootFromParent_Done,
     /*   69312 */   // Label 1118: @69312
     /*   69312 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69401), // Rule ID 47115 //
     /*   69317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69332 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69360 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69399 */     GIR_RootConstrainSelectedInstOperands,
     /*   69400 */     // GIR_Coverage, 47115,
     /*   69400 */     GIR_EraseRootFromParent_Done,
     /*   69401 */   // Label 1119: @69401
     /*   69401 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69490), // Rule ID 46874 //
     /*   69406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69449 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69488 */     GIR_RootConstrainSelectedInstOperands,
     /*   69489 */     // GIR_Coverage, 46874,
     /*   69489 */     GIR_EraseRootFromParent_Done,
     /*   69490 */   // Label 1120: @69490
     /*   69490 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69579), // Rule ID 46875 //
     /*   69495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69529 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69538 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69577 */     GIR_RootConstrainSelectedInstOperands,
     /*   69578 */     // GIR_Coverage, 46875,
     /*   69578 */     GIR_EraseRootFromParent_Done,
     /*   69579 */   // Label 1121: @69579
     /*   69579 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69668), // Rule ID 46994 //
     /*   69584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69599 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69627 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69666 */     GIR_RootConstrainSelectedInstOperands,
     /*   69667 */     // GIR_Coverage, 46994,
     /*   69667 */     GIR_EraseRootFromParent_Done,
     /*   69668 */   // Label 1122: @69668
     /*   69668 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69757), // Rule ID 46995 //
     /*   69673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69688 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69716 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69755 */     GIR_RootConstrainSelectedInstOperands,
     /*   69756 */     // GIR_Coverage, 46995,
     /*   69756 */     GIR_EraseRootFromParent_Done,
     /*   69757 */   // Label 1123: @69757
     /*   69757 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69825), // Rule ID 51864 //
     /*   69762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69799 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   69802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69823 */     GIR_RootConstrainSelectedInstOperands,
     /*   69824 */     // GIR_Coverage, 51864,
     /*   69824 */     GIR_EraseRootFromParent_Done,
     /*   69825 */   // Label 1124: @69825
     /*   69825 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69893), // Rule ID 51865 //
     /*   69830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69867 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   69870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69891 */     GIR_RootConstrainSelectedInstOperands,
     /*   69892 */     // GIR_Coverage, 51865,
     /*   69892 */     GIR_EraseRootFromParent_Done,
     /*   69893 */   // Label 1125: @69893
     /*   69893 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69948), // Rule ID 47174 //
     /*   69898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69926 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   69929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69946 */     GIR_RootConstrainSelectedInstOperands,
     /*   69947 */     // GIR_Coverage, 47174,
     /*   69947 */     GIR_EraseRootFromParent_Done,
     /*   69948 */   // Label 1126: @69948
     /*   69948 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(70003), // Rule ID 47175 //
     /*   69953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69981 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   69984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70001 */     GIR_RootConstrainSelectedInstOperands,
     /*   70002 */     // GIR_Coverage, 47175,
     /*   70002 */     GIR_EraseRootFromParent_Done,
     /*   70003 */   // Label 1127: @70003
     /*   70003 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(70058), // Rule ID 46934 //
     /*   70008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70036 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70056 */     GIR_RootConstrainSelectedInstOperands,
     /*   70057 */     // GIR_Coverage, 46934,
     /*   70057 */     GIR_EraseRootFromParent_Done,
     /*   70058 */   // Label 1128: @70058
     /*   70058 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(70113), // Rule ID 46935 //
     /*   70063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70091 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70111 */     GIR_RootConstrainSelectedInstOperands,
     /*   70112 */     // GIR_Coverage, 46935,
     /*   70112 */     GIR_EraseRootFromParent_Done,
     /*   70113 */   // Label 1129: @70113
     /*   70113 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(70168), // Rule ID 47054 //
     /*   70118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70146 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70166 */     GIR_RootConstrainSelectedInstOperands,
     /*   70167 */     // GIR_Coverage, 47054,
     /*   70167 */     GIR_EraseRootFromParent_Done,
     /*   70168 */   // Label 1130: @70168
     /*   70168 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(70223), // Rule ID 47055 //
     /*   70173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70201 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70221 */     GIR_RootConstrainSelectedInstOperands,
     /*   70222 */     // GIR_Coverage, 47055,
     /*   70222 */     GIR_EraseRootFromParent_Done,
     /*   70223 */   // Label 1131: @70223
     /*   70223 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70276), // Rule ID 46138 //
     /*   70228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70239 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70274 */     GIR_RootConstrainSelectedInstOperands,
     /*   70275 */     // GIR_Coverage, 46138,
     /*   70275 */     GIR_EraseRootFromParent_Done,
     /*   70276 */   // Label 1132: @70276
     /*   70276 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(70329), // Rule ID 46139 //
     /*   70281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70292 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70327 */     GIR_RootConstrainSelectedInstOperands,
     /*   70328 */     // GIR_Coverage, 46139,
     /*   70328 */     GIR_EraseRootFromParent_Done,
     /*   70329 */   // Label 1133: @70329
     /*   70329 */   GIM_Reject,
     /*   70330 */ // Label 1117: @70330
     /*   70330 */ GIM_Reject,
     /*   70331 */ // Label 976: @70331
     /*   70331 */ GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(71453),
     /*   70336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70346 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70435), // Rule ID 47138 //
     /*   70351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70385 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70394 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70433 */     GIR_RootConstrainSelectedInstOperands,
     /*   70434 */     // GIR_Coverage, 47138,
     /*   70434 */     GIR_EraseRootFromParent_Done,
     /*   70435 */   // Label 1135: @70435
     /*   70435 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70524), // Rule ID 47139 //
     /*   70440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70483 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70522 */     GIR_RootConstrainSelectedInstOperands,
     /*   70523 */     // GIR_Coverage, 47139,
     /*   70523 */     GIR_EraseRootFromParent_Done,
     /*   70524 */   // Label 1136: @70524
     /*   70524 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70613), // Rule ID 46898 //
     /*   70529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70544 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70572 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70611 */     GIR_RootConstrainSelectedInstOperands,
     /*   70612 */     // GIR_Coverage, 46898,
     /*   70612 */     GIR_EraseRootFromParent_Done,
     /*   70613 */   // Label 1137: @70613
     /*   70613 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70702), // Rule ID 46899 //
     /*   70618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70661 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70700 */     GIR_RootConstrainSelectedInstOperands,
     /*   70701 */     // GIR_Coverage, 46899,
     /*   70701 */     GIR_EraseRootFromParent_Done,
     /*   70702 */   // Label 1138: @70702
     /*   70702 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70791), // Rule ID 47018 //
     /*   70707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70750 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70789 */     GIR_RootConstrainSelectedInstOperands,
     /*   70790 */     // GIR_Coverage, 47018,
     /*   70790 */     GIR_EraseRootFromParent_Done,
     /*   70791 */   // Label 1139: @70791
     /*   70791 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70880), // Rule ID 47019 //
     /*   70796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70839 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70878 */     GIR_RootConstrainSelectedInstOperands,
     /*   70879 */     // GIR_Coverage, 47019,
     /*   70879 */     GIR_EraseRootFromParent_Done,
     /*   70880 */   // Label 1140: @70880
     /*   70880 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70948), // Rule ID 51900 //
     /*   70885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70922 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   70925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70946 */     GIR_RootConstrainSelectedInstOperands,
     /*   70947 */     // GIR_Coverage, 51900,
     /*   70947 */     GIR_EraseRootFromParent_Done,
     /*   70948 */   // Label 1141: @70948
     /*   70948 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(71016), // Rule ID 51901 //
     /*   70953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70990 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   70993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71014 */     GIR_RootConstrainSelectedInstOperands,
     /*   71015 */     // GIR_Coverage, 51901,
     /*   71015 */     GIR_EraseRootFromParent_Done,
     /*   71016 */   // Label 1142: @71016
     /*   71016 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(71071), // Rule ID 47198 //
     /*   71021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71049 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71069 */     GIR_RootConstrainSelectedInstOperands,
     /*   71070 */     // GIR_Coverage, 47198,
     /*   71070 */     GIR_EraseRootFromParent_Done,
     /*   71071 */   // Label 1143: @71071
     /*   71071 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(71126), // Rule ID 47199 //
     /*   71076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71104 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71124 */     GIR_RootConstrainSelectedInstOperands,
     /*   71125 */     // GIR_Coverage, 47199,
     /*   71125 */     GIR_EraseRootFromParent_Done,
     /*   71126 */   // Label 1144: @71126
     /*   71126 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(71181), // Rule ID 46958 //
     /*   71131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71159 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71179 */     GIR_RootConstrainSelectedInstOperands,
     /*   71180 */     // GIR_Coverage, 46958,
     /*   71180 */     GIR_EraseRootFromParent_Done,
     /*   71181 */   // Label 1145: @71181
     /*   71181 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(71236), // Rule ID 46959 //
     /*   71186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71205 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71214 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71234 */     GIR_RootConstrainSelectedInstOperands,
     /*   71235 */     // GIR_Coverage, 46959,
     /*   71235 */     GIR_EraseRootFromParent_Done,
     /*   71236 */   // Label 1146: @71236
     /*   71236 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(71291), // Rule ID 47078 //
     /*   71241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71269 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71289 */     GIR_RootConstrainSelectedInstOperands,
     /*   71290 */     // GIR_Coverage, 47078,
     /*   71290 */     GIR_EraseRootFromParent_Done,
     /*   71291 */   // Label 1147: @71291
     /*   71291 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(71346), // Rule ID 47079 //
     /*   71296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71324 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71344 */     GIR_RootConstrainSelectedInstOperands,
     /*   71345 */     // GIR_Coverage, 47079,
     /*   71345 */     GIR_EraseRootFromParent_Done,
     /*   71346 */   // Label 1148: @71346
     /*   71346 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(71399), // Rule ID 46174 //
     /*   71351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71362 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71397 */     GIR_RootConstrainSelectedInstOperands,
     /*   71398 */     // GIR_Coverage, 46174,
     /*   71398 */     GIR_EraseRootFromParent_Done,
     /*   71399 */   // Label 1149: @71399
     /*   71399 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71452), // Rule ID 46175 //
     /*   71404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71415 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71450 */     GIR_RootConstrainSelectedInstOperands,
     /*   71451 */     // GIR_Coverage, 46175,
     /*   71451 */     GIR_EraseRootFromParent_Done,
     /*   71452 */   // Label 1150: @71452
     /*   71452 */   GIM_Reject,
     /*   71453 */ // Label 1134: @71453
     /*   71453 */ GIM_Reject,
     /*   71454 */ // Label 977: @71454
     /*   71454 */ GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(72576),
     /*   71459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   71462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   71465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71469 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71558), // Rule ID 47158 //
     /*   71474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71489 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71508 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71517 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71556 */     GIR_RootConstrainSelectedInstOperands,
     /*   71557 */     // GIR_Coverage, 47158,
     /*   71557 */     GIR_EraseRootFromParent_Done,
     /*   71558 */   // Label 1152: @71558
     /*   71558 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71647), // Rule ID 47159 //
     /*   71563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71597 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71606 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71645 */     GIR_RootConstrainSelectedInstOperands,
     /*   71646 */     // GIR_Coverage, 47159,
     /*   71646 */     GIR_EraseRootFromParent_Done,
     /*   71647 */   // Label 1153: @71647
     /*   71647 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71736), // Rule ID 46918 //
     /*   71652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71695 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71734 */     GIR_RootConstrainSelectedInstOperands,
     /*   71735 */     // GIR_Coverage, 46918,
     /*   71735 */     GIR_EraseRootFromParent_Done,
     /*   71736 */   // Label 1154: @71736
     /*   71736 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71825), // Rule ID 46919 //
     /*   71741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71784 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71823 */     GIR_RootConstrainSelectedInstOperands,
     /*   71824 */     // GIR_Coverage, 46919,
     /*   71824 */     GIR_EraseRootFromParent_Done,
     /*   71825 */   // Label 1155: @71825
     /*   71825 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71914), // Rule ID 47038 //
     /*   71830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71864 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71873 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71912 */     GIR_RootConstrainSelectedInstOperands,
     /*   71913 */     // GIR_Coverage, 47038,
     /*   71913 */     GIR_EraseRootFromParent_Done,
     /*   71914 */   // Label 1156: @71914
     /*   71914 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(72003), // Rule ID 47039 //
     /*   71919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71934 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71953 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71962 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72001 */     GIR_RootConstrainSelectedInstOperands,
     /*   72002 */     // GIR_Coverage, 47039,
     /*   72002 */     GIR_EraseRootFromParent_Done,
     /*   72003 */   // Label 1157: @72003
     /*   72003 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(72071), // Rule ID 51916 //
     /*   72008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72045 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   72045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72069 */     GIR_RootConstrainSelectedInstOperands,
     /*   72070 */     // GIR_Coverage, 51916,
     /*   72070 */     GIR_EraseRootFromParent_Done,
     /*   72071 */   // Label 1158: @72071
     /*   72071 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(72139), // Rule ID 51917 //
     /*   72076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72113 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   72113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72137 */     GIR_RootConstrainSelectedInstOperands,
     /*   72138 */     // GIR_Coverage, 51917,
     /*   72138 */     GIR_EraseRootFromParent_Done,
     /*   72139 */   // Label 1159: @72139
     /*   72139 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(72194), // Rule ID 47218 //
     /*   72144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72172 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72192 */     GIR_RootConstrainSelectedInstOperands,
     /*   72193 */     // GIR_Coverage, 47218,
     /*   72193 */     GIR_EraseRootFromParent_Done,
     /*   72194 */   // Label 1160: @72194
     /*   72194 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(72249), // Rule ID 47219 //
     /*   72199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72227 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72247 */     GIR_RootConstrainSelectedInstOperands,
     /*   72248 */     // GIR_Coverage, 47219,
     /*   72248 */     GIR_EraseRootFromParent_Done,
     /*   72249 */   // Label 1161: @72249
     /*   72249 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72304), // Rule ID 46978 //
     /*   72254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72282 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72302 */     GIR_RootConstrainSelectedInstOperands,
     /*   72303 */     // GIR_Coverage, 46978,
     /*   72303 */     GIR_EraseRootFromParent_Done,
     /*   72304 */   // Label 1162: @72304
     /*   72304 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(72359), // Rule ID 46979 //
     /*   72309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72337 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72357 */     GIR_RootConstrainSelectedInstOperands,
     /*   72358 */     // GIR_Coverage, 46979,
     /*   72358 */     GIR_EraseRootFromParent_Done,
     /*   72359 */   // Label 1163: @72359
     /*   72359 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72414), // Rule ID 47098 //
     /*   72364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72383 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72392 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72412 */     GIR_RootConstrainSelectedInstOperands,
     /*   72413 */     // GIR_Coverage, 47098,
     /*   72413 */     GIR_EraseRootFromParent_Done,
     /*   72414 */   // Label 1164: @72414
     /*   72414 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72469), // Rule ID 47099 //
     /*   72419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72447 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72467 */     GIR_RootConstrainSelectedInstOperands,
     /*   72468 */     // GIR_Coverage, 47099,
     /*   72468 */     GIR_EraseRootFromParent_Done,
     /*   72469 */   // Label 1165: @72469
     /*   72469 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72522), // Rule ID 46190 //
     /*   72474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72485 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72520 */     GIR_RootConstrainSelectedInstOperands,
     /*   72521 */     // GIR_Coverage, 46190,
     /*   72521 */     GIR_EraseRootFromParent_Done,
     /*   72522 */   // Label 1166: @72522
     /*   72522 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72575), // Rule ID 46191 //
     /*   72527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72538 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72573 */     GIR_RootConstrainSelectedInstOperands,
     /*   72574 */     // GIR_Coverage, 46191,
     /*   72574 */     GIR_EraseRootFromParent_Done,
     /*   72575 */   // Label 1167: @72575
     /*   72575 */   GIM_Reject,
     /*   72576 */ // Label 1151: @72576
     /*   72576 */ GIM_Reject,
     /*   72577 */ // Label 978: @72577
     /*   72577 */ GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72823),
     /*   72582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72596 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72660), // Rule ID 51860 //
     /*   72601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72634 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72658 */     GIR_RootConstrainSelectedInstOperands,
     /*   72659 */     // GIR_Coverage, 51860,
     /*   72659 */     GIR_EraseRootFromParent_Done,
     /*   72660 */   // Label 1169: @72660
     /*   72660 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72724), // Rule ID 51861 //
     /*   72665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72698 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72722 */     GIR_RootConstrainSelectedInstOperands,
     /*   72723 */     // GIR_Coverage, 51861,
     /*   72723 */     GIR_EraseRootFromParent_Done,
     /*   72724 */   // Label 1170: @72724
     /*   72724 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72773), // Rule ID 46134 //
     /*   72729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72736 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72771 */     GIR_RootConstrainSelectedInstOperands,
     /*   72772 */     // GIR_Coverage, 46134,
     /*   72772 */     GIR_EraseRootFromParent_Done,
     /*   72773 */   // Label 1171: @72773
     /*   72773 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72822), // Rule ID 46135 //
     /*   72778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72785 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72820 */     GIR_RootConstrainSelectedInstOperands,
     /*   72821 */     // GIR_Coverage, 46135,
     /*   72821 */     GIR_EraseRootFromParent_Done,
     /*   72822 */   // Label 1172: @72822
     /*   72822 */   GIM_Reject,
     /*   72823 */ // Label 1168: @72823
     /*   72823 */ GIM_Reject,
     /*   72824 */ // Label 979: @72824
     /*   72824 */ GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(73946),
     /*   72829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   72832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   72835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72839 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72928), // Rule ID 47118 //
     /*   72844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72887 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   72890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   72904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72926 */     GIR_RootConstrainSelectedInstOperands,
     /*   72927 */     // GIR_Coverage, 47118,
     /*   72927 */     GIR_EraseRootFromParent_Done,
     /*   72928 */   // Label 1174: @72928
     /*   72928 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(73017), // Rule ID 47119 //
     /*   72933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72976 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   72979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   72993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73015 */     GIR_RootConstrainSelectedInstOperands,
     /*   73016 */     // GIR_Coverage, 47119,
     /*   73016 */     GIR_EraseRootFromParent_Done,
     /*   73017 */   // Label 1175: @73017
     /*   73017 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(73106), // Rule ID 46878 //
     /*   73022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73065 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73104 */     GIR_RootConstrainSelectedInstOperands,
     /*   73105 */     // GIR_Coverage, 46878,
     /*   73105 */     GIR_EraseRootFromParent_Done,
     /*   73106 */   // Label 1176: @73106
     /*   73106 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(73195), // Rule ID 46879 //
     /*   73111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73154 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73193 */     GIR_RootConstrainSelectedInstOperands,
     /*   73194 */     // GIR_Coverage, 46879,
     /*   73194 */     GIR_EraseRootFromParent_Done,
     /*   73195 */   // Label 1177: @73195
     /*   73195 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(73284), // Rule ID 46998 //
     /*   73200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73243 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73282 */     GIR_RootConstrainSelectedInstOperands,
     /*   73283 */     // GIR_Coverage, 46998,
     /*   73283 */     GIR_EraseRootFromParent_Done,
     /*   73284 */   // Label 1178: @73284
     /*   73284 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(73373), // Rule ID 46999 //
     /*   73289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73304 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73323 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73332 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73371 */     GIR_RootConstrainSelectedInstOperands,
     /*   73372 */     // GIR_Coverage, 46999,
     /*   73372 */     GIR_EraseRootFromParent_Done,
     /*   73373 */   // Label 1179: @73373
     /*   73373 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73441), // Rule ID 51888 //
     /*   73378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73415 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   73415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73439 */     GIR_RootConstrainSelectedInstOperands,
     /*   73440 */     // GIR_Coverage, 51888,
     /*   73440 */     GIR_EraseRootFromParent_Done,
     /*   73441 */   // Label 1180: @73441
     /*   73441 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73509), // Rule ID 51889 //
     /*   73446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73483 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   73483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73507 */     GIR_RootConstrainSelectedInstOperands,
     /*   73508 */     // GIR_Coverage, 51889,
     /*   73508 */     GIR_EraseRootFromParent_Done,
     /*   73509 */   // Label 1181: @73509
     /*   73509 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73564), // Rule ID 47178 //
     /*   73514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73542 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73562 */     GIR_RootConstrainSelectedInstOperands,
     /*   73563 */     // GIR_Coverage, 47178,
     /*   73563 */     GIR_EraseRootFromParent_Done,
     /*   73564 */   // Label 1182: @73564
     /*   73564 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73619), // Rule ID 47179 //
     /*   73569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73597 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73617 */     GIR_RootConstrainSelectedInstOperands,
     /*   73618 */     // GIR_Coverage, 47179,
     /*   73618 */     GIR_EraseRootFromParent_Done,
     /*   73619 */   // Label 1183: @73619
     /*   73619 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73674), // Rule ID 46938 //
     /*   73624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73652 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73672 */     GIR_RootConstrainSelectedInstOperands,
     /*   73673 */     // GIR_Coverage, 46938,
     /*   73673 */     GIR_EraseRootFromParent_Done,
     /*   73674 */   // Label 1184: @73674
     /*   73674 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73729), // Rule ID 46939 //
     /*   73679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73707 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73727 */     GIR_RootConstrainSelectedInstOperands,
     /*   73728 */     // GIR_Coverage, 46939,
     /*   73728 */     GIR_EraseRootFromParent_Done,
     /*   73729 */   // Label 1185: @73729
     /*   73729 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73784), // Rule ID 47058 //
     /*   73734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73753 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73762 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73782 */     GIR_RootConstrainSelectedInstOperands,
     /*   73783 */     // GIR_Coverage, 47058,
     /*   73783 */     GIR_EraseRootFromParent_Done,
     /*   73784 */   // Label 1186: @73784
     /*   73784 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73839), // Rule ID 47059 //
     /*   73789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73817 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73837 */     GIR_RootConstrainSelectedInstOperands,
     /*   73838 */     // GIR_Coverage, 47059,
     /*   73838 */     GIR_EraseRootFromParent_Done,
     /*   73839 */   // Label 1187: @73839
     /*   73839 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(73892), // Rule ID 46162 //
     /*   73844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73855 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   73872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73890 */     GIR_RootConstrainSelectedInstOperands,
     /*   73891 */     // GIR_Coverage, 46162,
     /*   73891 */     GIR_EraseRootFromParent_Done,
     /*   73892 */   // Label 1188: @73892
     /*   73892 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73945), // Rule ID 46163 //
     /*   73897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73908 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   73925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73943 */     GIR_RootConstrainSelectedInstOperands,
     /*   73944 */     // GIR_Coverage, 46163,
     /*   73944 */     GIR_EraseRootFromParent_Done,
     /*   73945 */   // Label 1189: @73945
     /*   73945 */   GIM_Reject,
     /*   73946 */ // Label 1173: @73946
     /*   73946 */ GIM_Reject,
     /*   73947 */ // Label 980: @73947
     /*   73947 */ GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(75069),
     /*   73952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   73955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   73958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73962 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(74051), // Rule ID 47142 //
     /*   73967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74001 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74010 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74049 */     GIR_RootConstrainSelectedInstOperands,
     /*   74050 */     // GIR_Coverage, 47142,
     /*   74050 */     GIR_EraseRootFromParent_Done,
     /*   74051 */   // Label 1191: @74051
     /*   74051 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(74140), // Rule ID 47143 //
     /*   74056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74099 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74138 */     GIR_RootConstrainSelectedInstOperands,
     /*   74139 */     // GIR_Coverage, 47143,
     /*   74139 */     GIR_EraseRootFromParent_Done,
     /*   74140 */   // Label 1192: @74140
     /*   74140 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(74229), // Rule ID 46902 //
     /*   74145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74188 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74227 */     GIR_RootConstrainSelectedInstOperands,
     /*   74228 */     // GIR_Coverage, 46902,
     /*   74228 */     GIR_EraseRootFromParent_Done,
     /*   74229 */   // Label 1193: @74229
     /*   74229 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(74318), // Rule ID 46903 //
     /*   74234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74268 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74277 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74316 */     GIR_RootConstrainSelectedInstOperands,
     /*   74317 */     // GIR_Coverage, 46903,
     /*   74317 */     GIR_EraseRootFromParent_Done,
     /*   74318 */   // Label 1194: @74318
     /*   74318 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74407), // Rule ID 47022 //
     /*   74323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74364 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74366 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74405 */     GIR_RootConstrainSelectedInstOperands,
     /*   74406 */     // GIR_Coverage, 47022,
     /*   74406 */     GIR_EraseRootFromParent_Done,
     /*   74407 */   // Label 1195: @74407
     /*   74407 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74496), // Rule ID 47023 //
     /*   74412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74455 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74494 */     GIR_RootConstrainSelectedInstOperands,
     /*   74495 */     // GIR_Coverage, 47023,
     /*   74495 */     GIR_EraseRootFromParent_Done,
     /*   74496 */   // Label 1196: @74496
     /*   74496 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74564), // Rule ID 51904 //
     /*   74501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74524 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74538 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74562 */     GIR_RootConstrainSelectedInstOperands,
     /*   74563 */     // GIR_Coverage, 51904,
     /*   74563 */     GIR_EraseRootFromParent_Done,
     /*   74564 */   // Label 1197: @74564
     /*   74564 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74632), // Rule ID 51905 //
     /*   74569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74606 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74630 */     GIR_RootConstrainSelectedInstOperands,
     /*   74631 */     // GIR_Coverage, 51905,
     /*   74631 */     GIR_EraseRootFromParent_Done,
     /*   74632 */   // Label 1198: @74632
     /*   74632 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74687), // Rule ID 47202 //
     /*   74637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74665 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74685 */     GIR_RootConstrainSelectedInstOperands,
     /*   74686 */     // GIR_Coverage, 47202,
     /*   74686 */     GIR_EraseRootFromParent_Done,
     /*   74687 */   // Label 1199: @74687
     /*   74687 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74742), // Rule ID 47203 //
     /*   74692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74711 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74720 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74740 */     GIR_RootConstrainSelectedInstOperands,
     /*   74741 */     // GIR_Coverage, 47203,
     /*   74741 */     GIR_EraseRootFromParent_Done,
     /*   74742 */   // Label 1200: @74742
     /*   74742 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74797), // Rule ID 46962 //
     /*   74747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74775 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74795 */     GIR_RootConstrainSelectedInstOperands,
     /*   74796 */     // GIR_Coverage, 46962,
     /*   74796 */     GIR_EraseRootFromParent_Done,
     /*   74797 */   // Label 1201: @74797
     /*   74797 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74852), // Rule ID 46963 //
     /*   74802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74830 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74850 */     GIR_RootConstrainSelectedInstOperands,
     /*   74851 */     // GIR_Coverage, 46963,
     /*   74851 */     GIR_EraseRootFromParent_Done,
     /*   74852 */   // Label 1202: @74852
     /*   74852 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74907), // Rule ID 47082 //
     /*   74857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74885 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74905 */     GIR_RootConstrainSelectedInstOperands,
     /*   74906 */     // GIR_Coverage, 47082,
     /*   74906 */     GIR_EraseRootFromParent_Done,
     /*   74907 */   // Label 1203: @74907
     /*   74907 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74962), // Rule ID 47083 //
     /*   74912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74940 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74960 */     GIR_RootConstrainSelectedInstOperands,
     /*   74961 */     // GIR_Coverage, 47083,
     /*   74961 */     GIR_EraseRootFromParent_Done,
     /*   74962 */   // Label 1204: @74962
     /*   74962 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(75015), // Rule ID 46178 //
     /*   74967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74978 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75013 */     GIR_RootConstrainSelectedInstOperands,
     /*   75014 */     // GIR_Coverage, 46178,
     /*   75014 */     GIR_EraseRootFromParent_Done,
     /*   75015 */   // Label 1205: @75015
     /*   75015 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(75068), // Rule ID 46179 //
     /*   75020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75031 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   75034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   75048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75066 */     GIR_RootConstrainSelectedInstOperands,
     /*   75067 */     // GIR_Coverage, 46179,
     /*   75067 */     GIR_EraseRootFromParent_Done,
     /*   75068 */   // Label 1206: @75068
     /*   75068 */   GIM_Reject,
     /*   75069 */ // Label 1190: @75069
     /*   75069 */ GIM_Reject,
     /*   75070 */ // Label 981: @75070
     /*   75070 */ GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(76192),
     /*   75075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75085 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(75174), // Rule ID 47162 //
     /*   75090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75133 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75172 */     GIR_RootConstrainSelectedInstOperands,
     /*   75173 */     // GIR_Coverage, 47162,
     /*   75173 */     GIR_EraseRootFromParent_Done,
     /*   75174 */   // Label 1208: @75174
     /*   75174 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(75263), // Rule ID 47163 //
     /*   75179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75222 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75261 */     GIR_RootConstrainSelectedInstOperands,
     /*   75262 */     // GIR_Coverage, 47163,
     /*   75262 */     GIR_EraseRootFromParent_Done,
     /*   75263 */   // Label 1209: @75263
     /*   75263 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75352), // Rule ID 46922 //
     /*   75268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75311 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75350 */     GIR_RootConstrainSelectedInstOperands,
     /*   75351 */     // GIR_Coverage, 46922,
     /*   75351 */     GIR_EraseRootFromParent_Done,
     /*   75352 */   // Label 1210: @75352
     /*   75352 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(75441), // Rule ID 46923 //
     /*   75357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75400 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75439 */     GIR_RootConstrainSelectedInstOperands,
     /*   75440 */     // GIR_Coverage, 46923,
     /*   75440 */     GIR_EraseRootFromParent_Done,
     /*   75441 */   // Label 1211: @75441
     /*   75441 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75530), // Rule ID 47042 //
     /*   75446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75489 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75528 */     GIR_RootConstrainSelectedInstOperands,
     /*   75529 */     // GIR_Coverage, 47042,
     /*   75529 */     GIR_EraseRootFromParent_Done,
     /*   75530 */   // Label 1212: @75530
     /*   75530 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75619), // Rule ID 47043 //
     /*   75535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75578 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75617 */     GIR_RootConstrainSelectedInstOperands,
     /*   75618 */     // GIR_Coverage, 47043,
     /*   75618 */     GIR_EraseRootFromParent_Done,
     /*   75619 */   // Label 1213: @75619
     /*   75619 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75687), // Rule ID 51920 //
     /*   75624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   75627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75661 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   75661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75685 */     GIR_RootConstrainSelectedInstOperands,
     /*   75686 */     // GIR_Coverage, 51920,
     /*   75686 */     GIR_EraseRootFromParent_Done,
     /*   75687 */   // Label 1214: @75687
     /*   75687 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75755), // Rule ID 51921 //
     /*   75692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   75695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75729 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   75729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75753 */     GIR_RootConstrainSelectedInstOperands,
     /*   75754 */     // GIR_Coverage, 51921,
     /*   75754 */     GIR_EraseRootFromParent_Done,
     /*   75755 */   // Label 1215: @75755
     /*   75755 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75810), // Rule ID 47222 //
     /*   75760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75788 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   75788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75808 */     GIR_RootConstrainSelectedInstOperands,
     /*   75809 */     // GIR_Coverage, 47222,
     /*   75809 */     GIR_EraseRootFromParent_Done,
     /*   75810 */   // Label 1216: @75810
     /*   75810 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75865), // Rule ID 47223 //
     /*   75815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75843 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   75843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75863 */     GIR_RootConstrainSelectedInstOperands,
     /*   75864 */     // GIR_Coverage, 47223,
     /*   75864 */     GIR_EraseRootFromParent_Done,
     /*   75865 */   // Label 1217: @75865
     /*   75865 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75920), // Rule ID 46982 //
     /*   75870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75889 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75898 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   75898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75918 */     GIR_RootConstrainSelectedInstOperands,
     /*   75919 */     // GIR_Coverage, 46982,
     /*   75919 */     GIR_EraseRootFromParent_Done,
     /*   75920 */   // Label 1218: @75920
     /*   75920 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75975), // Rule ID 46983 //
     /*   75925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75953 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   75953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75973 */     GIR_RootConstrainSelectedInstOperands,
     /*   75974 */     // GIR_Coverage, 46983,
     /*   75974 */     GIR_EraseRootFromParent_Done,
     /*   75975 */   // Label 1219: @75975
     /*   75975 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(76030), // Rule ID 47102 //
     /*   75980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75999 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76008 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   76008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76028 */     GIR_RootConstrainSelectedInstOperands,
     /*   76029 */     // GIR_Coverage, 47102,
     /*   76029 */     GIR_EraseRootFromParent_Done,
     /*   76030 */   // Label 1220: @76030
     /*   76030 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(76085), // Rule ID 47103 //
     /*   76035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   76038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   76054 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76063 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   76063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76083 */     GIR_RootConstrainSelectedInstOperands,
     /*   76084 */     // GIR_Coverage, 47103,
     /*   76084 */     GIR_EraseRootFromParent_Done,
     /*   76085 */   // Label 1221: @76085
     /*   76085 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(76138), // Rule ID 46194 //
     /*   76090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   76093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76101 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   76101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76136 */     GIR_RootConstrainSelectedInstOperands,
     /*   76137 */     // GIR_Coverage, 46194,
     /*   76137 */     GIR_EraseRootFromParent_Done,
     /*   76138 */   // Label 1222: @76138
     /*   76138 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(76191), // Rule ID 46195 //
     /*   76143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   76146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76154 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   76154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76189 */     GIR_RootConstrainSelectedInstOperands,
     /*   76190 */     // GIR_Coverage, 46195,
     /*   76190 */     GIR_EraseRootFromParent_Done,
     /*   76191 */   // Label 1223: @76191
     /*   76191 */   GIM_Reject,
     /*   76192 */ // Label 1207: @76192
     /*   76192 */ GIM_Reject,
     /*   76193 */ // Label 982: @76193
     /*   76193 */ GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(76439),
     /*   76198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76212 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(76276), // Rule ID 51876 //
     /*   76217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76250 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   76250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76274 */     GIR_RootConstrainSelectedInstOperands,
     /*   76275 */     // GIR_Coverage, 51876,
     /*   76275 */     GIR_EraseRootFromParent_Done,
     /*   76276 */   // Label 1225: @76276
     /*   76276 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(76340), // Rule ID 51877 //
     /*   76281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76314 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76338 */     GIR_RootConstrainSelectedInstOperands,
     /*   76339 */     // GIR_Coverage, 51877,
     /*   76339 */     GIR_EraseRootFromParent_Done,
     /*   76340 */   // Label 1226: @76340
     /*   76340 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76389), // Rule ID 46150 //
     /*   76345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76352 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76387 */     GIR_RootConstrainSelectedInstOperands,
     /*   76388 */     // GIR_Coverage, 46150,
     /*   76388 */     GIR_EraseRootFromParent_Done,
     /*   76389 */   // Label 1227: @76389
     /*   76389 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76438), // Rule ID 46151 //
     /*   76394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76401 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76436 */     GIR_RootConstrainSelectedInstOperands,
     /*   76437 */     // GIR_Coverage, 46151,
     /*   76437 */     GIR_EraseRootFromParent_Done,
     /*   76438 */   // Label 1228: @76438
     /*   76438 */   GIM_Reject,
     /*   76439 */ // Label 1224: @76439
     /*   76439 */ GIM_Reject,
     /*   76440 */ // Label 983: @76440
     /*   76440 */ GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(77562),
     /*   76445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   76448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   76451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76455 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76544), // Rule ID 47122 //
     /*   76460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76503 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76542 */     GIR_RootConstrainSelectedInstOperands,
     /*   76543 */     // GIR_Coverage, 47122,
     /*   76543 */     GIR_EraseRootFromParent_Done,
     /*   76544 */   // Label 1230: @76544
     /*   76544 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(76633), // Rule ID 47123 //
     /*   76549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76592 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76631 */     GIR_RootConstrainSelectedInstOperands,
     /*   76632 */     // GIR_Coverage, 47123,
     /*   76632 */     GIR_EraseRootFromParent_Done,
     /*   76633 */   // Label 1231: @76633
     /*   76633 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(76722), // Rule ID 46882 //
     /*   76638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76681 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76720 */     GIR_RootConstrainSelectedInstOperands,
     /*   76721 */     // GIR_Coverage, 46882,
     /*   76721 */     GIR_EraseRootFromParent_Done,
     /*   76722 */   // Label 1232: @76722
     /*   76722 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(76811), // Rule ID 46883 //
     /*   76727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76770 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76809 */     GIR_RootConstrainSelectedInstOperands,
     /*   76810 */     // GIR_Coverage, 46883,
     /*   76810 */     GIR_EraseRootFromParent_Done,
     /*   76811 */   // Label 1233: @76811
     /*   76811 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(76900), // Rule ID 47002 //
     /*   76816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76859 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76898 */     GIR_RootConstrainSelectedInstOperands,
     /*   76899 */     // GIR_Coverage, 47002,
     /*   76899 */     GIR_EraseRootFromParent_Done,
     /*   76900 */   // Label 1234: @76900
     /*   76900 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(76989), // Rule ID 47003 //
     /*   76905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76948 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76987 */     GIR_RootConstrainSelectedInstOperands,
     /*   76988 */     // GIR_Coverage, 47003,
     /*   76988 */     GIR_EraseRootFromParent_Done,
     /*   76989 */   // Label 1235: @76989
     /*   76989 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(77057), // Rule ID 51892 //
     /*   76994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77031 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   77031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77055 */     GIR_RootConstrainSelectedInstOperands,
     /*   77056 */     // GIR_Coverage, 51892,
     /*   77056 */     GIR_EraseRootFromParent_Done,
     /*   77057 */   // Label 1236: @77057
     /*   77057 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(77125), // Rule ID 51893 //
     /*   77062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77099 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   77099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77123 */     GIR_RootConstrainSelectedInstOperands,
     /*   77124 */     // GIR_Coverage, 51893,
     /*   77124 */     GIR_EraseRootFromParent_Done,
     /*   77125 */   // Label 1237: @77125
     /*   77125 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(77180), // Rule ID 47182 //
     /*   77130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77158 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77178 */     GIR_RootConstrainSelectedInstOperands,
     /*   77179 */     // GIR_Coverage, 47182,
     /*   77179 */     GIR_EraseRootFromParent_Done,
     /*   77180 */   // Label 1238: @77180
     /*   77180 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(77235), // Rule ID 47183 //
     /*   77185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77213 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77233 */     GIR_RootConstrainSelectedInstOperands,
     /*   77234 */     // GIR_Coverage, 47183,
     /*   77234 */     GIR_EraseRootFromParent_Done,
     /*   77235 */   // Label 1239: @77235
     /*   77235 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(77290), // Rule ID 46942 //
     /*   77240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77268 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77288 */     GIR_RootConstrainSelectedInstOperands,
     /*   77289 */     // GIR_Coverage, 46942,
     /*   77289 */     GIR_EraseRootFromParent_Done,
     /*   77290 */   // Label 1240: @77290
     /*   77290 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(77345), // Rule ID 46943 //
     /*   77295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77323 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77343 */     GIR_RootConstrainSelectedInstOperands,
     /*   77344 */     // GIR_Coverage, 46943,
     /*   77344 */     GIR_EraseRootFromParent_Done,
     /*   77345 */   // Label 1241: @77345
     /*   77345 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(77400), // Rule ID 47062 //
     /*   77350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77378 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77398 */     GIR_RootConstrainSelectedInstOperands,
     /*   77399 */     // GIR_Coverage, 47062,
     /*   77399 */     GIR_EraseRootFromParent_Done,
     /*   77400 */   // Label 1242: @77400
     /*   77400 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(77455), // Rule ID 47063 //
     /*   77405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77433 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77453 */     GIR_RootConstrainSelectedInstOperands,
     /*   77454 */     // GIR_Coverage, 47063,
     /*   77454 */     GIR_EraseRootFromParent_Done,
     /*   77455 */   // Label 1243: @77455
     /*   77455 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(77508), // Rule ID 46166 //
     /*   77460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77471 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77506 */     GIR_RootConstrainSelectedInstOperands,
     /*   77507 */     // GIR_Coverage, 46166,
     /*   77507 */     GIR_EraseRootFromParent_Done,
     /*   77508 */   // Label 1244: @77508
     /*   77508 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(77561), // Rule ID 46167 //
     /*   77513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77524 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77559 */     GIR_RootConstrainSelectedInstOperands,
     /*   77560 */     // GIR_Coverage, 46167,
     /*   77560 */     GIR_EraseRootFromParent_Done,
     /*   77561 */   // Label 1245: @77561
     /*   77561 */   GIM_Reject,
     /*   77562 */ // Label 1229: @77562
     /*   77562 */ GIM_Reject,
     /*   77563 */ // Label 984: @77563
     /*   77563 */ GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(78685),
     /*   77568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   77571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   77574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   77578 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(77667), // Rule ID 47146 //
     /*   77583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77626 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77665 */     GIR_RootConstrainSelectedInstOperands,
     /*   77666 */     // GIR_Coverage, 47146,
     /*   77666 */     GIR_EraseRootFromParent_Done,
     /*   77667 */   // Label 1247: @77667
     /*   77667 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(77756), // Rule ID 47147 //
     /*   77672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77715 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77754 */     GIR_RootConstrainSelectedInstOperands,
     /*   77755 */     // GIR_Coverage, 47147,
     /*   77755 */     GIR_EraseRootFromParent_Done,
     /*   77756 */   // Label 1248: @77756
     /*   77756 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(77845), // Rule ID 46906 //
     /*   77761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77804 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   77821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77843 */     GIR_RootConstrainSelectedInstOperands,
     /*   77844 */     // GIR_Coverage, 46906,
     /*   77844 */     GIR_EraseRootFromParent_Done,
     /*   77845 */   // Label 1249: @77845
     /*   77845 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(77934), // Rule ID 46907 //
     /*   77850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77893 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   77910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77932 */     GIR_RootConstrainSelectedInstOperands,
     /*   77933 */     // GIR_Coverage, 46907,
     /*   77933 */     GIR_EraseRootFromParent_Done,
     /*   77934 */   // Label 1250: @77934
     /*   77934 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(78023), // Rule ID 47026 //
     /*   77939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77982 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78021 */     GIR_RootConstrainSelectedInstOperands,
     /*   78022 */     // GIR_Coverage, 47026,
     /*   78022 */     GIR_EraseRootFromParent_Done,
     /*   78023 */   // Label 1251: @78023
     /*   78023 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(78112), // Rule ID 47027 //
     /*   78028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78043 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78071 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   78088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78110 */     GIR_RootConstrainSelectedInstOperands,
     /*   78111 */     // GIR_Coverage, 47027,
     /*   78111 */     GIR_EraseRootFromParent_Done,
     /*   78112 */   // Label 1252: @78112
     /*   78112 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(78180), // Rule ID 51908 //
     /*   78117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78154 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   78154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78178 */     GIR_RootConstrainSelectedInstOperands,
     /*   78179 */     // GIR_Coverage, 51908,
     /*   78179 */     GIR_EraseRootFromParent_Done,
     /*   78180 */   // Label 1253: @78180
     /*   78180 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(78248), // Rule ID 51909 //
     /*   78185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78222 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   78222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78246 */     GIR_RootConstrainSelectedInstOperands,
     /*   78247 */     // GIR_Coverage, 51909,
     /*   78247 */     GIR_EraseRootFromParent_Done,
     /*   78248 */   // Label 1254: @78248
     /*   78248 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(78303), // Rule ID 47206 //
     /*   78253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78281 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78301 */     GIR_RootConstrainSelectedInstOperands,
     /*   78302 */     // GIR_Coverage, 47206,
     /*   78302 */     GIR_EraseRootFromParent_Done,
     /*   78303 */   // Label 1255: @78303
     /*   78303 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(78358), // Rule ID 47207 //
     /*   78308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78336 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78356 */     GIR_RootConstrainSelectedInstOperands,
     /*   78357 */     // GIR_Coverage, 47207,
     /*   78357 */     GIR_EraseRootFromParent_Done,
     /*   78358 */   // Label 1256: @78358
     /*   78358 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(78413), // Rule ID 46966 //
     /*   78363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78391 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78411 */     GIR_RootConstrainSelectedInstOperands,
     /*   78412 */     // GIR_Coverage, 46966,
     /*   78412 */     GIR_EraseRootFromParent_Done,
     /*   78413 */   // Label 1257: @78413
     /*   78413 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(78468), // Rule ID 46967 //
     /*   78418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78446 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78466 */     GIR_RootConstrainSelectedInstOperands,
     /*   78467 */     // GIR_Coverage, 46967,
     /*   78467 */     GIR_EraseRootFromParent_Done,
     /*   78468 */   // Label 1258: @78468
     /*   78468 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(78523), // Rule ID 47086 //
     /*   78473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78501 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78521 */     GIR_RootConstrainSelectedInstOperands,
     /*   78522 */     // GIR_Coverage, 47086,
     /*   78522 */     GIR_EraseRootFromParent_Done,
     /*   78523 */   // Label 1259: @78523
     /*   78523 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(78578), // Rule ID 47087 //
     /*   78528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78556 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78576 */     GIR_RootConstrainSelectedInstOperands,
     /*   78577 */     // GIR_Coverage, 47087,
     /*   78577 */     GIR_EraseRootFromParent_Done,
     /*   78578 */   // Label 1260: @78578
     /*   78578 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(78631), // Rule ID 46182 //
     /*   78583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78594 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   78594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78629 */     GIR_RootConstrainSelectedInstOperands,
     /*   78630 */     // GIR_Coverage, 46182,
     /*   78630 */     GIR_EraseRootFromParent_Done,
     /*   78631 */   // Label 1261: @78631
     /*   78631 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(78684), // Rule ID 46183 //
     /*   78636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78647 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   78647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78682 */     GIR_RootConstrainSelectedInstOperands,
     /*   78683 */     // GIR_Coverage, 46183,
     /*   78683 */     GIR_EraseRootFromParent_Done,
     /*   78684 */   // Label 1262: @78684
     /*   78684 */   GIM_Reject,
     /*   78685 */ // Label 1246: @78685
     /*   78685 */ GIM_Reject,
     /*   78686 */ // Label 985: @78686
     /*   78686 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(78932),
     /*   78691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78705 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(78769), // Rule ID 51880 //
     /*   78710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78743 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   78743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78767 */     GIR_RootConstrainSelectedInstOperands,
     /*   78768 */     // GIR_Coverage, 51880,
     /*   78768 */     GIR_EraseRootFromParent_Done,
     /*   78769 */   // Label 1264: @78769
     /*   78769 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(78833), // Rule ID 51881 //
     /*   78774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78807 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   78807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78831 */     GIR_RootConstrainSelectedInstOperands,
     /*   78832 */     // GIR_Coverage, 51881,
     /*   78832 */     GIR_EraseRootFromParent_Done,
     /*   78833 */   // Label 1265: @78833
     /*   78833 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(78882), // Rule ID 46154 //
     /*   78838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78845 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   78848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   78862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78880 */     GIR_RootConstrainSelectedInstOperands,
     /*   78881 */     // GIR_Coverage, 46154,
     /*   78881 */     GIR_EraseRootFromParent_Done,
     /*   78882 */   // Label 1266: @78882
     /*   78882 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(78931), // Rule ID 46155 //
     /*   78887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78894 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   78897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   78911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78929 */     GIR_RootConstrainSelectedInstOperands,
     /*   78930 */     // GIR_Coverage, 46155,
     /*   78930 */     GIR_EraseRootFromParent_Done,
     /*   78931 */   // Label 1267: @78931
     /*   78931 */   GIM_Reject,
     /*   78932 */ // Label 1263: @78932
     /*   78932 */ GIM_Reject,
     /*   78933 */ // Label 986: @78933
     /*   78933 */ GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(80055),
     /*   78938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   78941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   78944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78948 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(79037), // Rule ID 47126 //
     /*   78953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78996 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   78999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79035 */     GIR_RootConstrainSelectedInstOperands,
     /*   79036 */     // GIR_Coverage, 47126,
     /*   79036 */     GIR_EraseRootFromParent_Done,
     /*   79037 */   // Label 1269: @79037
     /*   79037 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(79126), // Rule ID 47127 //
     /*   79042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79085 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79124 */     GIR_RootConstrainSelectedInstOperands,
     /*   79125 */     // GIR_Coverage, 47127,
     /*   79125 */     GIR_EraseRootFromParent_Done,
     /*   79126 */   // Label 1270: @79126
     /*   79126 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(79215), // Rule ID 46886 //
     /*   79131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79174 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79213 */     GIR_RootConstrainSelectedInstOperands,
     /*   79214 */     // GIR_Coverage, 46886,
     /*   79214 */     GIR_EraseRootFromParent_Done,
     /*   79215 */   // Label 1271: @79215
     /*   79215 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(79304), // Rule ID 46887 //
     /*   79220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79263 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79302 */     GIR_RootConstrainSelectedInstOperands,
     /*   79303 */     // GIR_Coverage, 46887,
     /*   79303 */     GIR_EraseRootFromParent_Done,
     /*   79304 */   // Label 1272: @79304
     /*   79304 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(79393), // Rule ID 47006 //
     /*   79309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79352 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79391 */     GIR_RootConstrainSelectedInstOperands,
     /*   79392 */     // GIR_Coverage, 47006,
     /*   79392 */     GIR_EraseRootFromParent_Done,
     /*   79393 */   // Label 1273: @79393
     /*   79393 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(79482), // Rule ID 47007 //
     /*   79398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79441 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79480 */     GIR_RootConstrainSelectedInstOperands,
     /*   79481 */     // GIR_Coverage, 47007,
     /*   79481 */     GIR_EraseRootFromParent_Done,
     /*   79482 */   // Label 1274: @79482
     /*   79482 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(79550), // Rule ID 51896 //
     /*   79487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79524 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   79524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79548 */     GIR_RootConstrainSelectedInstOperands,
     /*   79549 */     // GIR_Coverage, 51896,
     /*   79549 */     GIR_EraseRootFromParent_Done,
     /*   79550 */   // Label 1275: @79550
     /*   79550 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(79618), // Rule ID 51897 //
     /*   79555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79592 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   79592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79616 */     GIR_RootConstrainSelectedInstOperands,
     /*   79617 */     // GIR_Coverage, 51897,
     /*   79617 */     GIR_EraseRootFromParent_Done,
     /*   79618 */   // Label 1276: @79618
     /*   79618 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(79673), // Rule ID 47186 //
     /*   79623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79642 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79651 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79671 */     GIR_RootConstrainSelectedInstOperands,
     /*   79672 */     // GIR_Coverage, 47186,
     /*   79672 */     GIR_EraseRootFromParent_Done,
     /*   79673 */   // Label 1277: @79673
     /*   79673 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(79728), // Rule ID 47187 //
     /*   79678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79706 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79726 */     GIR_RootConstrainSelectedInstOperands,
     /*   79727 */     // GIR_Coverage, 47187,
     /*   79727 */     GIR_EraseRootFromParent_Done,
     /*   79728 */   // Label 1278: @79728
     /*   79728 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(79783), // Rule ID 46946 //
     /*   79733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79761 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79781 */     GIR_RootConstrainSelectedInstOperands,
     /*   79782 */     // GIR_Coverage, 46946,
     /*   79782 */     GIR_EraseRootFromParent_Done,
     /*   79783 */   // Label 1279: @79783
     /*   79783 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(79838), // Rule ID 46947 //
     /*   79788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79816 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79836 */     GIR_RootConstrainSelectedInstOperands,
     /*   79837 */     // GIR_Coverage, 46947,
     /*   79837 */     GIR_EraseRootFromParent_Done,
     /*   79838 */   // Label 1280: @79838
     /*   79838 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(79893), // Rule ID 47066 //
     /*   79843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79871 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79891 */     GIR_RootConstrainSelectedInstOperands,
     /*   79892 */     // GIR_Coverage, 47066,
     /*   79892 */     GIR_EraseRootFromParent_Done,
     /*   79893 */   // Label 1281: @79893
     /*   79893 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(79948), // Rule ID 47067 //
     /*   79898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79926 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79946 */     GIR_RootConstrainSelectedInstOperands,
     /*   79947 */     // GIR_Coverage, 47067,
     /*   79947 */     GIR_EraseRootFromParent_Done,
     /*   79948 */   // Label 1282: @79948
     /*   79948 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(80001), // Rule ID 46170 //
     /*   79953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79964 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   79981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   79990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79999 */     GIR_RootConstrainSelectedInstOperands,
     /*   80000 */     // GIR_Coverage, 46170,
     /*   80000 */     GIR_EraseRootFromParent_Done,
     /*   80001 */   // Label 1283: @80001
     /*   80001 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(80054), // Rule ID 46171 //
     /*   80006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80017 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   80017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   80020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80052 */     GIR_RootConstrainSelectedInstOperands,
     /*   80053 */     // GIR_Coverage, 46171,
     /*   80053 */     GIR_EraseRootFromParent_Done,
     /*   80054 */   // Label 1284: @80054
     /*   80054 */   GIM_Reject,
     /*   80055 */ // Label 1268: @80055
     /*   80055 */ GIM_Reject,
     /*   80056 */ // Label 987: @80056
     /*   80056 */ GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(80302),
     /*   80061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80075 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80139), // Rule ID 51884 //
     /*   80080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80113 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   80113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80137 */     GIR_RootConstrainSelectedInstOperands,
     /*   80138 */     // GIR_Coverage, 51884,
     /*   80138 */     GIR_EraseRootFromParent_Done,
     /*   80139 */   // Label 1286: @80139
     /*   80139 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(80203), // Rule ID 51885 //
     /*   80144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80177 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   80177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80201 */     GIR_RootConstrainSelectedInstOperands,
     /*   80202 */     // GIR_Coverage, 51885,
     /*   80202 */     GIR_EraseRootFromParent_Done,
     /*   80203 */   // Label 1287: @80203
     /*   80203 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(80252), // Rule ID 46158 //
     /*   80208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80215 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80250 */     GIR_RootConstrainSelectedInstOperands,
     /*   80251 */     // GIR_Coverage, 46158,
     /*   80251 */     GIR_EraseRootFromParent_Done,
     /*   80252 */   // Label 1288: @80252
     /*   80252 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(80301), // Rule ID 46159 //
     /*   80257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80264 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80299 */     GIR_RootConstrainSelectedInstOperands,
     /*   80300 */     // GIR_Coverage, 46159,
     /*   80300 */     GIR_EraseRootFromParent_Done,
     /*   80301 */   // Label 1289: @80301
     /*   80301 */   GIM_Reject,
     /*   80302 */ // Label 1285: @80302
     /*   80302 */ GIM_Reject,
     /*   80303 */ // Label 988: @80303
     /*   80303 */ GIM_Reject,
     /*   80304 */ // Label 2: @80304
     /*   80304 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1314*/ GIMT_Encode4(107357),
     /*   80315 */ /*GILLT_s32*//*Label 1290*/ GIMT_Encode4(80439),
     /*   80319 */ /*GILLT_s64*//*Label 1291*/ GIMT_Encode4(80473), GIMT_Encode4(0),
     /*   80327 */ /*GILLT_nxv1s8*//*Label 1292*/ GIMT_Encode4(80677),
     /*   80331 */ /*GILLT_nxv1s16*//*Label 1293*/ GIMT_Encode4(80792),
     /*   80335 */ /*GILLT_nxv1s32*//*Label 1294*/ GIMT_Encode4(82517),
     /*   80339 */ /*GILLT_nxv1s64*//*Label 1295*/ GIMT_Encode4(84242), GIMT_Encode4(0),
     /*   80347 */ /*GILLT_nxv2s8*//*Label 1296*/ GIMT_Encode4(85967),
     /*   80351 */ /*GILLT_nxv2s16*//*Label 1297*/ GIMT_Encode4(86082),
     /*   80355 */ /*GILLT_nxv2s32*//*Label 1298*/ GIMT_Encode4(87807),
     /*   80359 */ /*GILLT_nxv2s64*//*Label 1299*/ GIMT_Encode4(89532), GIMT_Encode4(0),
     /*   80367 */ /*GILLT_nxv4s8*//*Label 1300*/ GIMT_Encode4(91257),
     /*   80371 */ /*GILLT_nxv4s16*//*Label 1301*/ GIMT_Encode4(91372),
     /*   80375 */ /*GILLT_nxv4s32*//*Label 1302*/ GIMT_Encode4(93097),
     /*   80379 */ /*GILLT_nxv4s64*//*Label 1303*/ GIMT_Encode4(94822), GIMT_Encode4(0),
     /*   80387 */ /*GILLT_nxv8s8*//*Label 1304*/ GIMT_Encode4(96547),
     /*   80391 */ /*GILLT_nxv8s16*//*Label 1305*/ GIMT_Encode4(96662),
     /*   80395 */ /*GILLT_nxv8s32*//*Label 1306*/ GIMT_Encode4(98387),
     /*   80399 */ /*GILLT_nxv8s64*//*Label 1307*/ GIMT_Encode4(100112), GIMT_Encode4(0),
     /*   80407 */ /*GILLT_nxv16s8*//*Label 1308*/ GIMT_Encode4(101837),
     /*   80411 */ /*GILLT_nxv16s16*//*Label 1309*/ GIMT_Encode4(101952),
     /*   80415 */ /*GILLT_nxv16s32*//*Label 1310*/ GIMT_Encode4(103677), GIMT_Encode4(0),
     /*   80423 */ /*GILLT_nxv32s8*//*Label 1311*/ GIMT_Encode4(105402),
     /*   80427 */ /*GILLT_nxv32s16*//*Label 1312*/ GIMT_Encode4(105517), GIMT_Encode4(0),
     /*   80435 */ /*GILLT_nxv64s8*//*Label 1313*/ GIMT_Encode4(107242),
     /*   80439 */ // Label 1290: @80439
     /*   80439 */ GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(80472), // Rule ID 290 //
     /*   80444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   80447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   80450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   80453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80465 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   80465 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80470 */   GIR_RootConstrainSelectedInstOperands,
     /*   80471 */   // GIR_Coverage, 290,
     /*   80471 */   GIR_Done,
     /*   80472 */ // Label 1315: @80472
     /*   80472 */ GIM_Reject,
     /*   80473 */ // Label 1291: @80473
     /*   80473 */ GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(80676),
     /*   80478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   80481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   80484 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(80617), // Rule ID 312 //
     /*   80489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   80492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   80508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   80512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80517 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   80540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   80544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80549 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80562 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   80562 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   80565 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80569 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80574 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80578 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   80581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   80583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   80586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   80602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   80607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   80615 */     GIR_RootConstrainSelectedInstOperands,
     /*   80616 */     // GIR_Coverage, 312,
     /*   80616 */     GIR_EraseRootFromParent_Done,
     /*   80617 */   // Label 1317: @80617
     /*   80617 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(80648), // Rule ID 305 //
     /*   80622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   80625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10086),
     /*   80641 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10086>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   80646 */     GIR_RootConstrainSelectedInstOperands,
     /*   80647 */     // GIR_Coverage, 305,
     /*   80647 */     GIR_Done,
     /*   80648 */   // Label 1318: @80648
     /*   80648 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(80675), // Rule ID 289 //
     /*   80653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   80656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80668 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80673 */     GIR_RootConstrainSelectedInstOperands,
     /*   80674 */     // GIR_Coverage, 289,
     /*   80674 */     GIR_Done,
     /*   80675 */   // Label 1319: @80675
     /*   80675 */   GIM_Reject,
     /*   80676 */ // Label 1316: @80676
     /*   80676 */ GIM_Reject,
     /*   80677 */ // Label 1292: @80677
     /*   80677 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(80791),
     /*   80682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   80688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80700 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(80745), // Rule ID 50746 //
     /*   80705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80708 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80743 */     GIR_RootConstrainSelectedInstOperands,
     /*   80744 */     // GIR_Coverage, 50746,
     /*   80744 */     GIR_EraseRootFromParent_Done,
     /*   80745 */   // Label 1321: @80745
     /*   80745 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(80790), // Rule ID 50747 //
     /*   80750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80753 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80788 */     GIR_RootConstrainSelectedInstOperands,
     /*   80789 */     // GIR_Coverage, 50747,
     /*   80789 */     GIR_EraseRootFromParent_Done,
     /*   80790 */   // Label 1322: @80790
     /*   80790 */   GIM_Reject,
     /*   80791 */ // Label 1320: @80791
     /*   80791 */ GIM_Reject,
     /*   80792 */ // Label 1293: @80792
     /*   80792 */ GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(82516),
     /*   80797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   80800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   80803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80807 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(80896), // Rule ID 51512 //
     /*   80812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80846 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80855 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   80858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   80872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80894 */     GIR_RootConstrainSelectedInstOperands,
     /*   80895 */     // GIR_Coverage, 51512,
     /*   80895 */     GIR_EraseRootFromParent_Done,
     /*   80896 */   // Label 1324: @80896
     /*   80896 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(80985), // Rule ID 51513 //
     /*   80901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80944 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   80947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   80961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80983 */     GIR_RootConstrainSelectedInstOperands,
     /*   80984 */     // GIR_Coverage, 51513,
     /*   80984 */     GIR_EraseRootFromParent_Done,
     /*   80985 */   // Label 1325: @80985
     /*   80985 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81074), // Rule ID 70288 //
     /*   80990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81033 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81072 */     GIR_RootConstrainSelectedInstOperands,
     /*   81073 */     // GIR_Coverage, 70288,
     /*   81073 */     GIR_EraseRootFromParent_Done,
     /*   81074 */   // Label 1326: @81074
     /*   81074 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81163), // Rule ID 70289 //
     /*   81079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81122 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81161 */     GIR_RootConstrainSelectedInstOperands,
     /*   81162 */     // GIR_Coverage, 70289,
     /*   81162 */     GIR_EraseRootFromParent_Done,
     /*   81163 */   // Label 1327: @81163
     /*   81163 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81252), // Rule ID 70168 //
     /*   81168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81202 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81211 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81250 */     GIR_RootConstrainSelectedInstOperands,
     /*   81251 */     // GIR_Coverage, 70168,
     /*   81251 */     GIR_EraseRootFromParent_Done,
     /*   81252 */   // Label 1328: @81252
     /*   81252 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81341), // Rule ID 70169 //
     /*   81257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81300 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81339 */     GIR_RootConstrainSelectedInstOperands,
     /*   81340 */     // GIR_Coverage, 70169,
     /*   81340 */     GIR_EraseRootFromParent_Done,
     /*   81341 */   // Label 1329: @81341
     /*   81341 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81430), // Rule ID 51692 //
     /*   81346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81389 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81428 */     GIR_RootConstrainSelectedInstOperands,
     /*   81429 */     // GIR_Coverage, 51692,
     /*   81429 */     GIR_EraseRootFromParent_Done,
     /*   81430 */   // Label 1330: @81430
     /*   81430 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(81519), // Rule ID 51693 //
     /*   81435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81469 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81478 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81517 */     GIR_RootConstrainSelectedInstOperands,
     /*   81518 */     // GIR_Coverage, 51693,
     /*   81518 */     GIR_EraseRootFromParent_Done,
     /*   81519 */   // Label 1331: @81519
     /*   81519 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(81608), // Rule ID 51392 //
     /*   81524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81539 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81558 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81567 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81606 */     GIR_RootConstrainSelectedInstOperands,
     /*   81607 */     // GIR_Coverage, 51392,
     /*   81607 */     GIR_EraseRootFromParent_Done,
     /*   81608 */   // Label 1332: @81608
     /*   81608 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(81697), // Rule ID 51393 //
     /*   81613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81628 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81647 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81656 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81695 */     GIR_RootConstrainSelectedInstOperands,
     /*   81696 */     // GIR_Coverage, 51393,
     /*   81696 */     GIR_EraseRootFromParent_Done,
     /*   81697 */   // Label 1333: @81697
     /*   81697 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(81786), // Rule ID 51632 //
     /*   81702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81717 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81745 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81784 */     GIR_RootConstrainSelectedInstOperands,
     /*   81785 */     // GIR_Coverage, 51632,
     /*   81785 */     GIR_EraseRootFromParent_Done,
     /*   81786 */   // Label 1334: @81786
     /*   81786 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(81875), // Rule ID 51633 //
     /*   81791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81834 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81873 */     GIR_RootConstrainSelectedInstOperands,
     /*   81874 */     // GIR_Coverage, 51633,
     /*   81874 */     GIR_EraseRootFromParent_Done,
     /*   81875 */   // Label 1335: @81875
     /*   81875 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(81964), // Rule ID 51572 //
     /*   81880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81923 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81962 */     GIR_RootConstrainSelectedInstOperands,
     /*   81963 */     // GIR_Coverage, 51572,
     /*   81963 */     GIR_EraseRootFromParent_Done,
     /*   81964 */   // Label 1336: @81964
     /*   81964 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82053), // Rule ID 51573 //
     /*   81969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82012 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82051 */     GIR_RootConstrainSelectedInstOperands,
     /*   82052 */     // GIR_Coverage, 51573,
     /*   82052 */     GIR_EraseRootFromParent_Done,
     /*   82053 */   // Label 1337: @82053
     /*   82053 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82142), // Rule ID 70228 //
     /*   82058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82073 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82101 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82140 */     GIR_RootConstrainSelectedInstOperands,
     /*   82141 */     // GIR_Coverage, 70228,
     /*   82141 */     GIR_EraseRootFromParent_Done,
     /*   82142 */   // Label 1338: @82142
     /*   82142 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82231), // Rule ID 70229 //
     /*   82147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82162 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82190 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82229 */     GIR_RootConstrainSelectedInstOperands,
     /*   82230 */     // GIR_Coverage, 70229,
     /*   82230 */     GIR_EraseRootFromParent_Done,
     /*   82231 */   // Label 1339: @82231
     /*   82231 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82320), // Rule ID 51452 //
     /*   82236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82270 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82279 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82318 */     GIR_RootConstrainSelectedInstOperands,
     /*   82319 */     // GIR_Coverage, 51452,
     /*   82319 */     GIR_EraseRootFromParent_Done,
     /*   82320 */   // Label 1340: @82320
     /*   82320 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82409), // Rule ID 51453 //
     /*   82325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82359 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82368 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82407 */     GIR_RootConstrainSelectedInstOperands,
     /*   82408 */     // GIR_Coverage, 51453,
     /*   82408 */     GIR_EraseRootFromParent_Done,
     /*   82409 */   // Label 1341: @82409
     /*   82409 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82462), // Rule ID 50758 //
     /*   82414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82425 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82460 */     GIR_RootConstrainSelectedInstOperands,
     /*   82461 */     // GIR_Coverage, 50758,
     /*   82461 */     GIR_EraseRootFromParent_Done,
     /*   82462 */   // Label 1342: @82462
     /*   82462 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(82515), // Rule ID 50759 //
     /*   82467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82478 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82513 */     GIR_RootConstrainSelectedInstOperands,
     /*   82514 */     // GIR_Coverage, 50759,
     /*   82514 */     GIR_EraseRootFromParent_Done,
     /*   82515 */   // Label 1343: @82515
     /*   82515 */   GIM_Reject,
     /*   82516 */ // Label 1323: @82516
     /*   82516 */ GIM_Reject,
     /*   82517 */ // Label 1294: @82517
     /*   82517 */ GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(84241),
     /*   82522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   82525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   82528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82532 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(82621), // Rule ID 51536 //
     /*   82537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82580 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82619 */     GIR_RootConstrainSelectedInstOperands,
     /*   82620 */     // GIR_Coverage, 51536,
     /*   82620 */     GIR_EraseRootFromParent_Done,
     /*   82621 */   // Label 1345: @82621
     /*   82621 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(82710), // Rule ID 51537 //
     /*   82626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82669 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82708 */     GIR_RootConstrainSelectedInstOperands,
     /*   82709 */     // GIR_Coverage, 51537,
     /*   82709 */     GIR_EraseRootFromParent_Done,
     /*   82710 */   // Label 1346: @82710
     /*   82710 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(82799), // Rule ID 70312 //
     /*   82715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82749 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82758 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82797 */     GIR_RootConstrainSelectedInstOperands,
     /*   82798 */     // GIR_Coverage, 70312,
     /*   82798 */     GIR_EraseRootFromParent_Done,
     /*   82799 */   // Label 1347: @82799
     /*   82799 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(82888), // Rule ID 70313 //
     /*   82804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82838 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82847 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82886 */     GIR_RootConstrainSelectedInstOperands,
     /*   82887 */     // GIR_Coverage, 70313,
     /*   82887 */     GIR_EraseRootFromParent_Done,
     /*   82888 */   // Label 1348: @82888
     /*   82888 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(82977), // Rule ID 70192 //
     /*   82893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82936 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82975 */     GIR_RootConstrainSelectedInstOperands,
     /*   82976 */     // GIR_Coverage, 70192,
     /*   82976 */     GIR_EraseRootFromParent_Done,
     /*   82977 */   // Label 1349: @82977
     /*   82977 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83066), // Rule ID 70193 //
     /*   82982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83025 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83064 */     GIR_RootConstrainSelectedInstOperands,
     /*   83065 */     // GIR_Coverage, 70193,
     /*   83065 */     GIR_EraseRootFromParent_Done,
     /*   83066 */   // Label 1350: @83066
     /*   83066 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83155), // Rule ID 51716 //
     /*   83071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83114 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83153 */     GIR_RootConstrainSelectedInstOperands,
     /*   83154 */     // GIR_Coverage, 51716,
     /*   83154 */     GIR_EraseRootFromParent_Done,
     /*   83155 */   // Label 1351: @83155
     /*   83155 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(83244), // Rule ID 51717 //
     /*   83160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83203 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83242 */     GIR_RootConstrainSelectedInstOperands,
     /*   83243 */     // GIR_Coverage, 51717,
     /*   83243 */     GIR_EraseRootFromParent_Done,
     /*   83244 */   // Label 1352: @83244
     /*   83244 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83333), // Rule ID 51416 //
     /*   83249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83292 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83331 */     GIR_RootConstrainSelectedInstOperands,
     /*   83332 */     // GIR_Coverage, 51416,
     /*   83332 */     GIR_EraseRootFromParent_Done,
     /*   83333 */   // Label 1353: @83333
     /*   83333 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83422), // Rule ID 51417 //
     /*   83338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83381 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83420 */     GIR_RootConstrainSelectedInstOperands,
     /*   83421 */     // GIR_Coverage, 51417,
     /*   83421 */     GIR_EraseRootFromParent_Done,
     /*   83422 */   // Label 1354: @83422
     /*   83422 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83511), // Rule ID 51656 //
     /*   83427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83470 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83509 */     GIR_RootConstrainSelectedInstOperands,
     /*   83510 */     // GIR_Coverage, 51656,
     /*   83510 */     GIR_EraseRootFromParent_Done,
     /*   83511 */   // Label 1355: @83511
     /*   83511 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(83600), // Rule ID 51657 //
     /*   83516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83559 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83598 */     GIR_RootConstrainSelectedInstOperands,
     /*   83599 */     // GIR_Coverage, 51657,
     /*   83599 */     GIR_EraseRootFromParent_Done,
     /*   83600 */   // Label 1356: @83600
     /*   83600 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(83689), // Rule ID 51596 //
     /*   83605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83648 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83687 */     GIR_RootConstrainSelectedInstOperands,
     /*   83688 */     // GIR_Coverage, 51596,
     /*   83688 */     GIR_EraseRootFromParent_Done,
     /*   83689 */   // Label 1357: @83689
     /*   83689 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(83778), // Rule ID 51597 //
     /*   83694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83737 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83776 */     GIR_RootConstrainSelectedInstOperands,
     /*   83777 */     // GIR_Coverage, 51597,
     /*   83777 */     GIR_EraseRootFromParent_Done,
     /*   83778 */   // Label 1358: @83778
     /*   83778 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(83867), // Rule ID 70252 //
     /*   83783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83817 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83826 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83865 */     GIR_RootConstrainSelectedInstOperands,
     /*   83866 */     // GIR_Coverage, 70252,
     /*   83866 */     GIR_EraseRootFromParent_Done,
     /*   83867 */   // Label 1359: @83867
     /*   83867 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(83956), // Rule ID 70253 //
     /*   83872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83887 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83915 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83954 */     GIR_RootConstrainSelectedInstOperands,
     /*   83955 */     // GIR_Coverage, 70253,
     /*   83955 */     GIR_EraseRootFromParent_Done,
     /*   83956 */   // Label 1360: @83956
     /*   83956 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84045), // Rule ID 51476 //
     /*   83961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84004 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84043 */     GIR_RootConstrainSelectedInstOperands,
     /*   84044 */     // GIR_Coverage, 51476,
     /*   84044 */     GIR_EraseRootFromParent_Done,
     /*   84045 */   // Label 1361: @84045
     /*   84045 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84134), // Rule ID 51477 //
     /*   84050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84093 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84132 */     GIR_RootConstrainSelectedInstOperands,
     /*   84133 */     // GIR_Coverage, 51477,
     /*   84133 */     GIR_EraseRootFromParent_Done,
     /*   84134 */   // Label 1362: @84134
     /*   84134 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84187), // Rule ID 50766 //
     /*   84139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84150 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84185 */     GIR_RootConstrainSelectedInstOperands,
     /*   84186 */     // GIR_Coverage, 50766,
     /*   84186 */     GIR_EraseRootFromParent_Done,
     /*   84187 */   // Label 1363: @84187
     /*   84187 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84240), // Rule ID 50767 //
     /*   84192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84203 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84238 */     GIR_RootConstrainSelectedInstOperands,
     /*   84239 */     // GIR_Coverage, 50767,
     /*   84239 */     GIR_EraseRootFromParent_Done,
     /*   84240 */   // Label 1364: @84240
     /*   84240 */   GIM_Reject,
     /*   84241 */ // Label 1344: @84241
     /*   84241 */ GIM_Reject,
     /*   84242 */ // Label 1295: @84242
     /*   84242 */ GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(85966),
     /*   84247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   84250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   84253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84257 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84346), // Rule ID 51556 //
     /*   84262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84296 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84298 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84305 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84344 */     GIR_RootConstrainSelectedInstOperands,
     /*   84345 */     // GIR_Coverage, 51556,
     /*   84345 */     GIR_EraseRootFromParent_Done,
     /*   84346 */   // Label 1366: @84346
     /*   84346 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(84435), // Rule ID 51557 //
     /*   84351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84385 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84394 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84433 */     GIR_RootConstrainSelectedInstOperands,
     /*   84434 */     // GIR_Coverage, 51557,
     /*   84434 */     GIR_EraseRootFromParent_Done,
     /*   84435 */   // Label 1367: @84435
     /*   84435 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(84524), // Rule ID 70332 //
     /*   84440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84483 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84522 */     GIR_RootConstrainSelectedInstOperands,
     /*   84523 */     // GIR_Coverage, 70332,
     /*   84523 */     GIR_EraseRootFromParent_Done,
     /*   84524 */   // Label 1368: @84524
     /*   84524 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(84613), // Rule ID 70333 //
     /*   84529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84544 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84572 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84611 */     GIR_RootConstrainSelectedInstOperands,
     /*   84612 */     // GIR_Coverage, 70333,
     /*   84612 */     GIR_EraseRootFromParent_Done,
     /*   84613 */   // Label 1369: @84613
     /*   84613 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(84702), // Rule ID 70212 //
     /*   84618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84661 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84700 */     GIR_RootConstrainSelectedInstOperands,
     /*   84701 */     // GIR_Coverage, 70212,
     /*   84701 */     GIR_EraseRootFromParent_Done,
     /*   84702 */   // Label 1370: @84702
     /*   84702 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(84791), // Rule ID 70213 //
     /*   84707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84750 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84789 */     GIR_RootConstrainSelectedInstOperands,
     /*   84790 */     // GIR_Coverage, 70213,
     /*   84790 */     GIR_EraseRootFromParent_Done,
     /*   84791 */   // Label 1371: @84791
     /*   84791 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(84880), // Rule ID 51736 //
     /*   84796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84839 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84878 */     GIR_RootConstrainSelectedInstOperands,
     /*   84879 */     // GIR_Coverage, 51736,
     /*   84879 */     GIR_EraseRootFromParent_Done,
     /*   84880 */   // Label 1372: @84880
     /*   84880 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(84969), // Rule ID 51737 //
     /*   84885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84919 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84928 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84967 */     GIR_RootConstrainSelectedInstOperands,
     /*   84968 */     // GIR_Coverage, 51737,
     /*   84968 */     GIR_EraseRootFromParent_Done,
     /*   84969 */   // Label 1373: @84969
     /*   84969 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85058), // Rule ID 51436 //
     /*   84974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85008 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85017 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85056 */     GIR_RootConstrainSelectedInstOperands,
     /*   85057 */     // GIR_Coverage, 51436,
     /*   85057 */     GIR_EraseRootFromParent_Done,
     /*   85058 */   // Label 1374: @85058
     /*   85058 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85147), // Rule ID 51437 //
     /*   85063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85097 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85106 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85145 */     GIR_RootConstrainSelectedInstOperands,
     /*   85146 */     // GIR_Coverage, 51437,
     /*   85146 */     GIR_EraseRootFromParent_Done,
     /*   85147 */   // Label 1375: @85147
     /*   85147 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85236), // Rule ID 51676 //
     /*   85152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85186 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85195 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85234 */     GIR_RootConstrainSelectedInstOperands,
     /*   85235 */     // GIR_Coverage, 51676,
     /*   85235 */     GIR_EraseRootFromParent_Done,
     /*   85236 */   // Label 1376: @85236
     /*   85236 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85325), // Rule ID 51677 //
     /*   85241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85284 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85323 */     GIR_RootConstrainSelectedInstOperands,
     /*   85324 */     // GIR_Coverage, 51677,
     /*   85324 */     GIR_EraseRootFromParent_Done,
     /*   85325 */   // Label 1377: @85325
     /*   85325 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85414), // Rule ID 51616 //
     /*   85330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85364 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85373 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85412 */     GIR_RootConstrainSelectedInstOperands,
     /*   85413 */     // GIR_Coverage, 51616,
     /*   85413 */     GIR_EraseRootFromParent_Done,
     /*   85414 */   // Label 1378: @85414
     /*   85414 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85503), // Rule ID 51617 //
     /*   85419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85462 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85501 */     GIR_RootConstrainSelectedInstOperands,
     /*   85502 */     // GIR_Coverage, 51617,
     /*   85502 */     GIR_EraseRootFromParent_Done,
     /*   85503 */   // Label 1379: @85503
     /*   85503 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(85592), // Rule ID 70272 //
     /*   85508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85551 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85590 */     GIR_RootConstrainSelectedInstOperands,
     /*   85591 */     // GIR_Coverage, 70272,
     /*   85591 */     GIR_EraseRootFromParent_Done,
     /*   85592 */   // Label 1380: @85592
     /*   85592 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(85681), // Rule ID 70273 //
     /*   85597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85640 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85679 */     GIR_RootConstrainSelectedInstOperands,
     /*   85680 */     // GIR_Coverage, 70273,
     /*   85680 */     GIR_EraseRootFromParent_Done,
     /*   85681 */   // Label 1381: @85681
     /*   85681 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(85770), // Rule ID 51496 //
     /*   85686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85729 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85768 */     GIR_RootConstrainSelectedInstOperands,
     /*   85769 */     // GIR_Coverage, 51496,
     /*   85769 */     GIR_EraseRootFromParent_Done,
     /*   85770 */   // Label 1382: @85770
     /*   85770 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(85859), // Rule ID 51497 //
     /*   85775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85818 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85857 */     GIR_RootConstrainSelectedInstOperands,
     /*   85858 */     // GIR_Coverage, 51497,
     /*   85858 */     GIR_EraseRootFromParent_Done,
     /*   85859 */   // Label 1383: @85859
     /*   85859 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(85912), // Rule ID 50782 //
     /*   85864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   85867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85875 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   85875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   85907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85910 */     GIR_RootConstrainSelectedInstOperands,
     /*   85911 */     // GIR_Coverage, 50782,
     /*   85911 */     GIR_EraseRootFromParent_Done,
     /*   85912 */   // Label 1384: @85912
     /*   85912 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(85965), // Rule ID 50783 //
     /*   85917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   85920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85928 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   85928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   85960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85963 */     GIR_RootConstrainSelectedInstOperands,
     /*   85964 */     // GIR_Coverage, 50783,
     /*   85964 */     GIR_EraseRootFromParent_Done,
     /*   85965 */   // Label 1385: @85965
     /*   85965 */   GIM_Reject,
     /*   85966 */ // Label 1365: @85966
     /*   85966 */ GIM_Reject,
     /*   85967 */ // Label 1296: @85967
     /*   85967 */ GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86081),
     /*   85972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   85975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   85978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85990 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86035), // Rule ID 50750 //
     /*   85995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85998 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   85998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86033 */     GIR_RootConstrainSelectedInstOperands,
     /*   86034 */     // GIR_Coverage, 50750,
     /*   86034 */     GIR_EraseRootFromParent_Done,
     /*   86035 */   // Label 1387: @86035
     /*   86035 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86080), // Rule ID 50751 //
     /*   86040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86043 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86078 */     GIR_RootConstrainSelectedInstOperands,
     /*   86079 */     // GIR_Coverage, 50751,
     /*   86079 */     GIR_EraseRootFromParent_Done,
     /*   86080 */   // Label 1388: @86080
     /*   86080 */   GIM_Reject,
     /*   86081 */ // Label 1386: @86081
     /*   86081 */ GIM_Reject,
     /*   86082 */ // Label 1297: @86082
     /*   86082 */ GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(87806),
     /*   86087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   86090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   86093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86097 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86186), // Rule ID 51516 //
     /*   86102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86145 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86184 */     GIR_RootConstrainSelectedInstOperands,
     /*   86185 */     // GIR_Coverage, 51516,
     /*   86185 */     GIR_EraseRootFromParent_Done,
     /*   86186 */   // Label 1390: @86186
     /*   86186 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(86275), // Rule ID 51517 //
     /*   86191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86234 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86273 */     GIR_RootConstrainSelectedInstOperands,
     /*   86274 */     // GIR_Coverage, 51517,
     /*   86274 */     GIR_EraseRootFromParent_Done,
     /*   86275 */   // Label 1391: @86275
     /*   86275 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(86364), // Rule ID 70292 //
     /*   86280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86323 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86362 */     GIR_RootConstrainSelectedInstOperands,
     /*   86363 */     // GIR_Coverage, 70292,
     /*   86363 */     GIR_EraseRootFromParent_Done,
     /*   86364 */   // Label 1392: @86364
     /*   86364 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(86453), // Rule ID 70293 //
     /*   86369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86412 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86451 */     GIR_RootConstrainSelectedInstOperands,
     /*   86452 */     // GIR_Coverage, 70293,
     /*   86452 */     GIR_EraseRootFromParent_Done,
     /*   86453 */   // Label 1393: @86453
     /*   86453 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(86542), // Rule ID 70172 //
     /*   86458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86501 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86540 */     GIR_RootConstrainSelectedInstOperands,
     /*   86541 */     // GIR_Coverage, 70172,
     /*   86541 */     GIR_EraseRootFromParent_Done,
     /*   86542 */   // Label 1394: @86542
     /*   86542 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(86631), // Rule ID 70173 //
     /*   86547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86590 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86629 */     GIR_RootConstrainSelectedInstOperands,
     /*   86630 */     // GIR_Coverage, 70173,
     /*   86630 */     GIR_EraseRootFromParent_Done,
     /*   86631 */   // Label 1395: @86631
     /*   86631 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(86720), // Rule ID 51696 //
     /*   86636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86679 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86718 */     GIR_RootConstrainSelectedInstOperands,
     /*   86719 */     // GIR_Coverage, 51696,
     /*   86719 */     GIR_EraseRootFromParent_Done,
     /*   86720 */   // Label 1396: @86720
     /*   86720 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(86809), // Rule ID 51697 //
     /*   86725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86740 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86759 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86768 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86807 */     GIR_RootConstrainSelectedInstOperands,
     /*   86808 */     // GIR_Coverage, 51697,
     /*   86808 */     GIR_EraseRootFromParent_Done,
     /*   86809 */   // Label 1397: @86809
     /*   86809 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(86898), // Rule ID 51396 //
     /*   86814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86829 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86848 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86857 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   86874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86896 */     GIR_RootConstrainSelectedInstOperands,
     /*   86897 */     // GIR_Coverage, 51396,
     /*   86897 */     GIR_EraseRootFromParent_Done,
     /*   86898 */   // Label 1398: @86898
     /*   86898 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(86987), // Rule ID 51397 //
     /*   86903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86918 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86937 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86946 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   86963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86985 */     GIR_RootConstrainSelectedInstOperands,
     /*   86986 */     // GIR_Coverage, 51397,
     /*   86986 */     GIR_EraseRootFromParent_Done,
     /*   86987 */   // Label 1399: @86987
     /*   86987 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87076), // Rule ID 51636 //
     /*   86992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87007 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87035 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87074 */     GIR_RootConstrainSelectedInstOperands,
     /*   87075 */     // GIR_Coverage, 51636,
     /*   87075 */     GIR_EraseRootFromParent_Done,
     /*   87076 */   // Label 1400: @87076
     /*   87076 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87165), // Rule ID 51637 //
     /*   87081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87115 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87124 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87163 */     GIR_RootConstrainSelectedInstOperands,
     /*   87164 */     // GIR_Coverage, 51637,
     /*   87164 */     GIR_EraseRootFromParent_Done,
     /*   87165 */   // Label 1401: @87165
     /*   87165 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87254), // Rule ID 51576 //
     /*   87170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87204 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87213 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87252 */     GIR_RootConstrainSelectedInstOperands,
     /*   87253 */     // GIR_Coverage, 51576,
     /*   87253 */     GIR_EraseRootFromParent_Done,
     /*   87254 */   // Label 1402: @87254
     /*   87254 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87343), // Rule ID 51577 //
     /*   87259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87274 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87293 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87302 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87341 */     GIR_RootConstrainSelectedInstOperands,
     /*   87342 */     // GIR_Coverage, 51577,
     /*   87342 */     GIR_EraseRootFromParent_Done,
     /*   87343 */   // Label 1403: @87343
     /*   87343 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87432), // Rule ID 70232 //
     /*   87348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87391 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87430 */     GIR_RootConstrainSelectedInstOperands,
     /*   87431 */     // GIR_Coverage, 70232,
     /*   87431 */     GIR_EraseRootFromParent_Done,
     /*   87432 */   // Label 1404: @87432
     /*   87432 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87521), // Rule ID 70233 //
     /*   87437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87480 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87519 */     GIR_RootConstrainSelectedInstOperands,
     /*   87520 */     // GIR_Coverage, 70233,
     /*   87520 */     GIR_EraseRootFromParent_Done,
     /*   87521 */   // Label 1405: @87521
     /*   87521 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(87610), // Rule ID 51456 //
     /*   87526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87569 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87608 */     GIR_RootConstrainSelectedInstOperands,
     /*   87609 */     // GIR_Coverage, 51456,
     /*   87609 */     GIR_EraseRootFromParent_Done,
     /*   87610 */   // Label 1406: @87610
     /*   87610 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(87699), // Rule ID 51457 //
     /*   87615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87658 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87697 */     GIR_RootConstrainSelectedInstOperands,
     /*   87698 */     // GIR_Coverage, 51457,
     /*   87698 */     GIR_EraseRootFromParent_Done,
     /*   87699 */   // Label 1407: @87699
     /*   87699 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(87752), // Rule ID 50762 //
     /*   87704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87715 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   87715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87750 */     GIR_RootConstrainSelectedInstOperands,
     /*   87751 */     // GIR_Coverage, 50762,
     /*   87751 */     GIR_EraseRootFromParent_Done,
     /*   87752 */   // Label 1408: @87752
     /*   87752 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(87805), // Rule ID 50763 //
     /*   87757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87768 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   87768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87803 */     GIR_RootConstrainSelectedInstOperands,
     /*   87804 */     // GIR_Coverage, 50763,
     /*   87804 */     GIR_EraseRootFromParent_Done,
     /*   87805 */   // Label 1409: @87805
     /*   87805 */   GIM_Reject,
     /*   87806 */ // Label 1389: @87806
     /*   87806 */ GIM_Reject,
     /*   87807 */ // Label 1298: @87807
     /*   87807 */ GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(89531),
     /*   87812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   87815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   87818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87822 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(87911), // Rule ID 51540 //
     /*   87827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87870 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   87870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   87873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87909 */     GIR_RootConstrainSelectedInstOperands,
     /*   87910 */     // GIR_Coverage, 51540,
     /*   87910 */     GIR_EraseRootFromParent_Done,
     /*   87911 */   // Label 1411: @87911
     /*   87911 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88000), // Rule ID 51541 //
     /*   87916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87959 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   87959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   87962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87998 */     GIR_RootConstrainSelectedInstOperands,
     /*   87999 */     // GIR_Coverage, 51541,
     /*   87999 */     GIR_EraseRootFromParent_Done,
     /*   88000 */   // Label 1412: @88000
     /*   88000 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88089), // Rule ID 70316 //
     /*   88005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88048 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88087 */     GIR_RootConstrainSelectedInstOperands,
     /*   88088 */     // GIR_Coverage, 70316,
     /*   88088 */     GIR_EraseRootFromParent_Done,
     /*   88089 */   // Label 1413: @88089
     /*   88089 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88178), // Rule ID 70317 //
     /*   88094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88109 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88137 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88176 */     GIR_RootConstrainSelectedInstOperands,
     /*   88177 */     // GIR_Coverage, 70317,
     /*   88177 */     GIR_EraseRootFromParent_Done,
     /*   88178 */   // Label 1414: @88178
     /*   88178 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88267), // Rule ID 70196 //
     /*   88183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88226 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88265 */     GIR_RootConstrainSelectedInstOperands,
     /*   88266 */     // GIR_Coverage, 70196,
     /*   88266 */     GIR_EraseRootFromParent_Done,
     /*   88267 */   // Label 1415: @88267
     /*   88267 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88356), // Rule ID 70197 //
     /*   88272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88315 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88354 */     GIR_RootConstrainSelectedInstOperands,
     /*   88355 */     // GIR_Coverage, 70197,
     /*   88355 */     GIR_EraseRootFromParent_Done,
     /*   88356 */   // Label 1416: @88356
     /*   88356 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88445), // Rule ID 51720 //
     /*   88361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88395 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88404 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88443 */     GIR_RootConstrainSelectedInstOperands,
     /*   88444 */     // GIR_Coverage, 51720,
     /*   88444 */     GIR_EraseRootFromParent_Done,
     /*   88445 */   // Label 1417: @88445
     /*   88445 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(88534), // Rule ID 51721 //
     /*   88450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88484 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88493 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88532 */     GIR_RootConstrainSelectedInstOperands,
     /*   88533 */     // GIR_Coverage, 51721,
     /*   88533 */     GIR_EraseRootFromParent_Done,
     /*   88534 */   // Label 1418: @88534
     /*   88534 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(88623), // Rule ID 51420 //
     /*   88539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88554 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88582 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88621 */     GIR_RootConstrainSelectedInstOperands,
     /*   88622 */     // GIR_Coverage, 51420,
     /*   88622 */     GIR_EraseRootFromParent_Done,
     /*   88623 */   // Label 1419: @88623
     /*   88623 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(88712), // Rule ID 51421 //
     /*   88628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88662 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88671 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88710 */     GIR_RootConstrainSelectedInstOperands,
     /*   88711 */     // GIR_Coverage, 51421,
     /*   88711 */     GIR_EraseRootFromParent_Done,
     /*   88712 */   // Label 1420: @88712
     /*   88712 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(88801), // Rule ID 51660 //
     /*   88717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88751 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88760 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88799 */     GIR_RootConstrainSelectedInstOperands,
     /*   88800 */     // GIR_Coverage, 51660,
     /*   88800 */     GIR_EraseRootFromParent_Done,
     /*   88801 */   // Label 1421: @88801
     /*   88801 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(88890), // Rule ID 51661 //
     /*   88806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88849 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88888 */     GIR_RootConstrainSelectedInstOperands,
     /*   88889 */     // GIR_Coverage, 51661,
     /*   88889 */     GIR_EraseRootFromParent_Done,
     /*   88890 */   // Label 1422: @88890
     /*   88890 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(88979), // Rule ID 51600 //
     /*   88895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88910 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88938 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88977 */     GIR_RootConstrainSelectedInstOperands,
     /*   88978 */     // GIR_Coverage, 51600,
     /*   88978 */     GIR_EraseRootFromParent_Done,
     /*   88979 */   // Label 1423: @88979
     /*   88979 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89068), // Rule ID 51601 //
     /*   88984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88999 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89018 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89027 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89066 */     GIR_RootConstrainSelectedInstOperands,
     /*   89067 */     // GIR_Coverage, 51601,
     /*   89067 */     GIR_EraseRootFromParent_Done,
     /*   89068 */   // Label 1424: @89068
     /*   89068 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89157), // Rule ID 70256 //
     /*   89073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89088 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89107 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89116 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89155 */     GIR_RootConstrainSelectedInstOperands,
     /*   89156 */     // GIR_Coverage, 70256,
     /*   89156 */     GIR_EraseRootFromParent_Done,
     /*   89157 */   // Label 1425: @89157
     /*   89157 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89246), // Rule ID 70257 //
     /*   89162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89177 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89205 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89244 */     GIR_RootConstrainSelectedInstOperands,
     /*   89245 */     // GIR_Coverage, 70257,
     /*   89245 */     GIR_EraseRootFromParent_Done,
     /*   89246 */   // Label 1426: @89246
     /*   89246 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89335), // Rule ID 51480 //
     /*   89251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89266 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89294 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89333 */     GIR_RootConstrainSelectedInstOperands,
     /*   89334 */     // GIR_Coverage, 51480,
     /*   89334 */     GIR_EraseRootFromParent_Done,
     /*   89335 */   // Label 1427: @89335
     /*   89335 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89424), // Rule ID 51481 //
     /*   89340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89383 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89422 */     GIR_RootConstrainSelectedInstOperands,
     /*   89423 */     // GIR_Coverage, 51481,
     /*   89423 */     GIR_EraseRootFromParent_Done,
     /*   89424 */   // Label 1428: @89424
     /*   89424 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89477), // Rule ID 50778 //
     /*   89429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89440 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89475 */     GIR_RootConstrainSelectedInstOperands,
     /*   89476 */     // GIR_Coverage, 50778,
     /*   89476 */     GIR_EraseRootFromParent_Done,
     /*   89477 */   // Label 1429: @89477
     /*   89477 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(89530), // Rule ID 50779 //
     /*   89482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89493 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89528 */     GIR_RootConstrainSelectedInstOperands,
     /*   89529 */     // GIR_Coverage, 50779,
     /*   89529 */     GIR_EraseRootFromParent_Done,
     /*   89530 */   // Label 1430: @89530
     /*   89530 */   GIM_Reject,
     /*   89531 */ // Label 1410: @89531
     /*   89531 */ GIM_Reject,
     /*   89532 */ // Label 1299: @89532
     /*   89532 */ GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(91256),
     /*   89537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   89540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   89543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   89547 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(89636), // Rule ID 51560 //
     /*   89552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89586 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89595 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89634 */     GIR_RootConstrainSelectedInstOperands,
     /*   89635 */     // GIR_Coverage, 51560,
     /*   89635 */     GIR_EraseRootFromParent_Done,
     /*   89636 */   // Label 1432: @89636
     /*   89636 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(89725), // Rule ID 51561 //
     /*   89641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89684 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89723 */     GIR_RootConstrainSelectedInstOperands,
     /*   89724 */     // GIR_Coverage, 51561,
     /*   89724 */     GIR_EraseRootFromParent_Done,
     /*   89725 */   // Label 1433: @89725
     /*   89725 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(89814), // Rule ID 70336 //
     /*   89730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89745 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89773 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89812 */     GIR_RootConstrainSelectedInstOperands,
     /*   89813 */     // GIR_Coverage, 70336,
     /*   89813 */     GIR_EraseRootFromParent_Done,
     /*   89814 */   // Label 1434: @89814
     /*   89814 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(89903), // Rule ID 70337 //
     /*   89819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89853 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89862 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89901 */     GIR_RootConstrainSelectedInstOperands,
     /*   89902 */     // GIR_Coverage, 70337,
     /*   89902 */     GIR_EraseRootFromParent_Done,
     /*   89903 */   // Label 1435: @89903
     /*   89903 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(89992), // Rule ID 70216 //
     /*   89908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89942 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89951 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89990 */     GIR_RootConstrainSelectedInstOperands,
     /*   89991 */     // GIR_Coverage, 70216,
     /*   89991 */     GIR_EraseRootFromParent_Done,
     /*   89992 */   // Label 1436: @89992
     /*   89992 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90081), // Rule ID 70217 //
     /*   89997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90031 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90040 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90079 */     GIR_RootConstrainSelectedInstOperands,
     /*   90080 */     // GIR_Coverage, 70217,
     /*   90080 */     GIR_EraseRootFromParent_Done,
     /*   90081 */   // Label 1437: @90081
     /*   90081 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90170), // Rule ID 51740 //
     /*   90086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90129 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90168 */     GIR_RootConstrainSelectedInstOperands,
     /*   90169 */     // GIR_Coverage, 51740,
     /*   90169 */     GIR_EraseRootFromParent_Done,
     /*   90170 */   // Label 1438: @90170
     /*   90170 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(90259), // Rule ID 51741 //
     /*   90175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90209 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90216 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90218 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90257 */     GIR_RootConstrainSelectedInstOperands,
     /*   90258 */     // GIR_Coverage, 51741,
     /*   90258 */     GIR_EraseRootFromParent_Done,
     /*   90259 */   // Label 1439: @90259
     /*   90259 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90348), // Rule ID 51440 //
     /*   90264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90279 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90298 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90307 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90346 */     GIR_RootConstrainSelectedInstOperands,
     /*   90347 */     // GIR_Coverage, 51440,
     /*   90347 */     GIR_EraseRootFromParent_Done,
     /*   90348 */   // Label 1440: @90348
     /*   90348 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90437), // Rule ID 51441 //
     /*   90353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90396 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90435 */     GIR_RootConstrainSelectedInstOperands,
     /*   90436 */     // GIR_Coverage, 51441,
     /*   90436 */     GIR_EraseRootFromParent_Done,
     /*   90437 */   // Label 1441: @90437
     /*   90437 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90526), // Rule ID 51680 //
     /*   90442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90485 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90524 */     GIR_RootConstrainSelectedInstOperands,
     /*   90525 */     // GIR_Coverage, 51680,
     /*   90525 */     GIR_EraseRootFromParent_Done,
     /*   90526 */   // Label 1442: @90526
     /*   90526 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(90615), // Rule ID 51681 //
     /*   90531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90574 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90613 */     GIR_RootConstrainSelectedInstOperands,
     /*   90614 */     // GIR_Coverage, 51681,
     /*   90614 */     GIR_EraseRootFromParent_Done,
     /*   90615 */   // Label 1443: @90615
     /*   90615 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(90704), // Rule ID 51620 //
     /*   90620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90654 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90663 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90702 */     GIR_RootConstrainSelectedInstOperands,
     /*   90703 */     // GIR_Coverage, 51620,
     /*   90703 */     GIR_EraseRootFromParent_Done,
     /*   90704 */   // Label 1444: @90704
     /*   90704 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(90793), // Rule ID 51621 //
     /*   90709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90752 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90791 */     GIR_RootConstrainSelectedInstOperands,
     /*   90792 */     // GIR_Coverage, 51621,
     /*   90792 */     GIR_EraseRootFromParent_Done,
     /*   90793 */   // Label 1445: @90793
     /*   90793 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(90882), // Rule ID 70276 //
     /*   90798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90813 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90841 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90880 */     GIR_RootConstrainSelectedInstOperands,
     /*   90881 */     // GIR_Coverage, 70276,
     /*   90881 */     GIR_EraseRootFromParent_Done,
     /*   90882 */   // Label 1446: @90882
     /*   90882 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(90971), // Rule ID 70277 //
     /*   90887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90930 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90969 */     GIR_RootConstrainSelectedInstOperands,
     /*   90970 */     // GIR_Coverage, 70277,
     /*   90970 */     GIR_EraseRootFromParent_Done,
     /*   90971 */   // Label 1447: @90971
     /*   90971 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91060), // Rule ID 51500 //
     /*   90976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91019 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91058 */     GIR_RootConstrainSelectedInstOperands,
     /*   91059 */     // GIR_Coverage, 51500,
     /*   91059 */     GIR_EraseRootFromParent_Done,
     /*   91060 */   // Label 1448: @91060
     /*   91060 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91149), // Rule ID 51501 //
     /*   91065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91108 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91147 */     GIR_RootConstrainSelectedInstOperands,
     /*   91148 */     // GIR_Coverage, 51501,
     /*   91148 */     GIR_EraseRootFromParent_Done,
     /*   91149 */   // Label 1449: @91149
     /*   91149 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91202), // Rule ID 50822 //
     /*   91154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   91157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91165 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   91165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91200 */     GIR_RootConstrainSelectedInstOperands,
     /*   91201 */     // GIR_Coverage, 50822,
     /*   91201 */     GIR_EraseRootFromParent_Done,
     /*   91202 */   // Label 1450: @91202
     /*   91202 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91255), // Rule ID 50823 //
     /*   91207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   91210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91218 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   91218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91253 */     GIR_RootConstrainSelectedInstOperands,
     /*   91254 */     // GIR_Coverage, 50823,
     /*   91254 */     GIR_EraseRootFromParent_Done,
     /*   91255 */   // Label 1451: @91255
     /*   91255 */   GIM_Reject,
     /*   91256 */ // Label 1431: @91256
     /*   91256 */ GIM_Reject,
     /*   91257 */ // Label 1300: @91257
     /*   91257 */ GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91371),
     /*   91262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   91268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91280 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91325), // Rule ID 50754 //
     /*   91285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91288 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91323 */     GIR_RootConstrainSelectedInstOperands,
     /*   91324 */     // GIR_Coverage, 50754,
     /*   91324 */     GIR_EraseRootFromParent_Done,
     /*   91325 */   // Label 1453: @91325
     /*   91325 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(91370), // Rule ID 50755 //
     /*   91330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91333 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91368 */     GIR_RootConstrainSelectedInstOperands,
     /*   91369 */     // GIR_Coverage, 50755,
     /*   91369 */     GIR_EraseRootFromParent_Done,
     /*   91370 */   // Label 1454: @91370
     /*   91370 */   GIM_Reject,
     /*   91371 */ // Label 1452: @91371
     /*   91371 */ GIM_Reject,
     /*   91372 */ // Label 1301: @91372
     /*   91372 */ GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(93096),
     /*   91377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   91380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   91383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91387 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(91476), // Rule ID 51520 //
     /*   91392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91426 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91435 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91474 */     GIR_RootConstrainSelectedInstOperands,
     /*   91475 */     // GIR_Coverage, 51520,
     /*   91475 */     GIR_EraseRootFromParent_Done,
     /*   91476 */   // Label 1456: @91476
     /*   91476 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(91565), // Rule ID 51521 //
     /*   91481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91524 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91563 */     GIR_RootConstrainSelectedInstOperands,
     /*   91564 */     // GIR_Coverage, 51521,
     /*   91564 */     GIR_EraseRootFromParent_Done,
     /*   91565 */   // Label 1457: @91565
     /*   91565 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(91654), // Rule ID 70296 //
     /*   91570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91613 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91652 */     GIR_RootConstrainSelectedInstOperands,
     /*   91653 */     // GIR_Coverage, 70296,
     /*   91653 */     GIR_EraseRootFromParent_Done,
     /*   91654 */   // Label 1458: @91654
     /*   91654 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(91743), // Rule ID 70297 //
     /*   91659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91693 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91702 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91741 */     GIR_RootConstrainSelectedInstOperands,
     /*   91742 */     // GIR_Coverage, 70297,
     /*   91742 */     GIR_EraseRootFromParent_Done,
     /*   91743 */   // Label 1459: @91743
     /*   91743 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(91832), // Rule ID 70176 //
     /*   91748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91791 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91830 */     GIR_RootConstrainSelectedInstOperands,
     /*   91831 */     // GIR_Coverage, 70176,
     /*   91831 */     GIR_EraseRootFromParent_Done,
     /*   91832 */   // Label 1460: @91832
     /*   91832 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(91921), // Rule ID 70177 //
     /*   91837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91852 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91880 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91919 */     GIR_RootConstrainSelectedInstOperands,
     /*   91920 */     // GIR_Coverage, 70177,
     /*   91920 */     GIR_EraseRootFromParent_Done,
     /*   91921 */   // Label 1461: @91921
     /*   91921 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92010), // Rule ID 51700 //
     /*   91926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91960 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91969 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92008 */     GIR_RootConstrainSelectedInstOperands,
     /*   92009 */     // GIR_Coverage, 51700,
     /*   92009 */     GIR_EraseRootFromParent_Done,
     /*   92010 */   // Label 1462: @92010
     /*   92010 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(92099), // Rule ID 51701 //
     /*   92015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92030 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92049 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92051 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92058 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92097 */     GIR_RootConstrainSelectedInstOperands,
     /*   92098 */     // GIR_Coverage, 51701,
     /*   92098 */     GIR_EraseRootFromParent_Done,
     /*   92099 */   // Label 1463: @92099
     /*   92099 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92188), // Rule ID 51400 //
     /*   92104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92119 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92138 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92140 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92147 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92186 */     GIR_RootConstrainSelectedInstOperands,
     /*   92187 */     // GIR_Coverage, 51400,
     /*   92187 */     GIR_EraseRootFromParent_Done,
     /*   92188 */   // Label 1464: @92188
     /*   92188 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92277), // Rule ID 51401 //
     /*   92193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92227 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92236 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92275 */     GIR_RootConstrainSelectedInstOperands,
     /*   92276 */     // GIR_Coverage, 51401,
     /*   92276 */     GIR_EraseRootFromParent_Done,
     /*   92277 */   // Label 1465: @92277
     /*   92277 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92366), // Rule ID 51640 //
     /*   92282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92297 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92316 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92325 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 51640,
     /*   92365 */     GIR_EraseRootFromParent_Done,
     /*   92366 */   // Label 1466: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92455), // Rule ID 51641 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92405 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92414 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92453 */     GIR_RootConstrainSelectedInstOperands,
     /*   92454 */     // GIR_Coverage, 51641,
     /*   92454 */     GIR_EraseRootFromParent_Done,
     /*   92455 */   // Label 1467: @92455
     /*   92455 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(92544), // Rule ID 51580 //
     /*   92460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92503 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92542 */     GIR_RootConstrainSelectedInstOperands,
     /*   92543 */     // GIR_Coverage, 51580,
     /*   92543 */     GIR_EraseRootFromParent_Done,
     /*   92544 */   // Label 1468: @92544
     /*   92544 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(92633), // Rule ID 51581 //
     /*   92549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92592 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92631 */     GIR_RootConstrainSelectedInstOperands,
     /*   92632 */     // GIR_Coverage, 51581,
     /*   92632 */     GIR_EraseRootFromParent_Done,
     /*   92633 */   // Label 1469: @92633
     /*   92633 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(92722), // Rule ID 70236 //
     /*   92638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92681 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92720 */     GIR_RootConstrainSelectedInstOperands,
     /*   92721 */     // GIR_Coverage, 70236,
     /*   92721 */     GIR_EraseRootFromParent_Done,
     /*   92722 */   // Label 1470: @92722
     /*   92722 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(92811), // Rule ID 70237 //
     /*   92727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92770 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92809 */     GIR_RootConstrainSelectedInstOperands,
     /*   92810 */     // GIR_Coverage, 70237,
     /*   92810 */     GIR_EraseRootFromParent_Done,
     /*   92811 */   // Label 1471: @92811
     /*   92811 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(92900), // Rule ID 51460 //
     /*   92816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92859 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92898 */     GIR_RootConstrainSelectedInstOperands,
     /*   92899 */     // GIR_Coverage, 51460,
     /*   92899 */     GIR_EraseRootFromParent_Done,
     /*   92900 */   // Label 1472: @92900
     /*   92900 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(92989), // Rule ID 51461 //
     /*   92905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92948 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92987 */     GIR_RootConstrainSelectedInstOperands,
     /*   92988 */     // GIR_Coverage, 51461,
     /*   92988 */     GIR_EraseRootFromParent_Done,
     /*   92989 */   // Label 1473: @92989
     /*   92989 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93042), // Rule ID 50774 //
     /*   92994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93005 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93040 */     GIR_RootConstrainSelectedInstOperands,
     /*   93041 */     // GIR_Coverage, 50774,
     /*   93041 */     GIR_EraseRootFromParent_Done,
     /*   93042 */   // Label 1474: @93042
     /*   93042 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93095), // Rule ID 50775 //
     /*   93047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93058 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93093 */     GIR_RootConstrainSelectedInstOperands,
     /*   93094 */     // GIR_Coverage, 50775,
     /*   93094 */     GIR_EraseRootFromParent_Done,
     /*   93095 */   // Label 1475: @93095
     /*   93095 */   GIM_Reject,
     /*   93096 */ // Label 1455: @93096
     /*   93096 */ GIM_Reject,
     /*   93097 */ // Label 1302: @93097
     /*   93097 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(94821),
     /*   93102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   93105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   93108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   93112 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93201), // Rule ID 51544 //
     /*   93117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93132 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93160 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93199 */     GIR_RootConstrainSelectedInstOperands,
     /*   93200 */     // GIR_Coverage, 51544,
     /*   93200 */     GIR_EraseRootFromParent_Done,
     /*   93201 */   // Label 1477: @93201
     /*   93201 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(93290), // Rule ID 51545 //
     /*   93206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93240 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93249 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93288 */     GIR_RootConstrainSelectedInstOperands,
     /*   93289 */     // GIR_Coverage, 51545,
     /*   93289 */     GIR_EraseRootFromParent_Done,
     /*   93290 */   // Label 1478: @93290
     /*   93290 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93379), // Rule ID 70320 //
     /*   93295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93329 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93338 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93377 */     GIR_RootConstrainSelectedInstOperands,
     /*   93378 */     // GIR_Coverage, 70320,
     /*   93378 */     GIR_EraseRootFromParent_Done,
     /*   93379 */   // Label 1479: @93379
     /*   93379 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(93468), // Rule ID 70321 //
     /*   93384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93399 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93427 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93466 */     GIR_RootConstrainSelectedInstOperands,
     /*   93467 */     // GIR_Coverage, 70321,
     /*   93467 */     GIR_EraseRootFromParent_Done,
     /*   93468 */   // Label 1480: @93468
     /*   93468 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(93557), // Rule ID 70200 //
     /*   93473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93488 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93507 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93516 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93555 */     GIR_RootConstrainSelectedInstOperands,
     /*   93556 */     // GIR_Coverage, 70200,
     /*   93556 */     GIR_EraseRootFromParent_Done,
     /*   93557 */   // Label 1481: @93557
     /*   93557 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(93646), // Rule ID 70201 //
     /*   93562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93577 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93596 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93605 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93644 */     GIR_RootConstrainSelectedInstOperands,
     /*   93645 */     // GIR_Coverage, 70201,
     /*   93645 */     GIR_EraseRootFromParent_Done,
     /*   93646 */   // Label 1482: @93646
     /*   93646 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(93735), // Rule ID 51724 //
     /*   93651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93685 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93692 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93694 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93733 */     GIR_RootConstrainSelectedInstOperands,
     /*   93734 */     // GIR_Coverage, 51724,
     /*   93734 */     GIR_EraseRootFromParent_Done,
     /*   93735 */   // Label 1483: @93735
     /*   93735 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(93824), // Rule ID 51725 //
     /*   93740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93783 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93822 */     GIR_RootConstrainSelectedInstOperands,
     /*   93823 */     // GIR_Coverage, 51725,
     /*   93823 */     GIR_EraseRootFromParent_Done,
     /*   93824 */   // Label 1484: @93824
     /*   93824 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(93913), // Rule ID 51424 //
     /*   93829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93844 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93863 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93872 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93911 */     GIR_RootConstrainSelectedInstOperands,
     /*   93912 */     // GIR_Coverage, 51424,
     /*   93912 */     GIR_EraseRootFromParent_Done,
     /*   93913 */   // Label 1485: @93913
     /*   93913 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94002), // Rule ID 51425 //
     /*   93918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93952 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93959 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93961 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94000 */     GIR_RootConstrainSelectedInstOperands,
     /*   94001 */     // GIR_Coverage, 51425,
     /*   94001 */     GIR_EraseRootFromParent_Done,
     /*   94002 */   // Label 1486: @94002
     /*   94002 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94091), // Rule ID 51664 //
     /*   94007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94050 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94089 */     GIR_RootConstrainSelectedInstOperands,
     /*   94090 */     // GIR_Coverage, 51664,
     /*   94090 */     GIR_EraseRootFromParent_Done,
     /*   94091 */   // Label 1487: @94091
     /*   94091 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94180), // Rule ID 51665 //
     /*   94096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94139 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94178 */     GIR_RootConstrainSelectedInstOperands,
     /*   94179 */     // GIR_Coverage, 51665,
     /*   94179 */     GIR_EraseRootFromParent_Done,
     /*   94180 */   // Label 1488: @94180
     /*   94180 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94269), // Rule ID 51604 //
     /*   94185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94219 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94228 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94267 */     GIR_RootConstrainSelectedInstOperands,
     /*   94268 */     // GIR_Coverage, 51604,
     /*   94268 */     GIR_EraseRootFromParent_Done,
     /*   94269 */   // Label 1489: @94269
     /*   94269 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94358), // Rule ID 51605 //
     /*   94274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94308 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94317 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94356 */     GIR_RootConstrainSelectedInstOperands,
     /*   94357 */     // GIR_Coverage, 51605,
     /*   94357 */     GIR_EraseRootFromParent_Done,
     /*   94358 */   // Label 1490: @94358
     /*   94358 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94447), // Rule ID 70260 //
     /*   94363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94378 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94397 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94406 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94445 */     GIR_RootConstrainSelectedInstOperands,
     /*   94446 */     // GIR_Coverage, 70260,
     /*   94446 */     GIR_EraseRootFromParent_Done,
     /*   94447 */   // Label 1491: @94447
     /*   94447 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94536), // Rule ID 70261 //
     /*   94452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94467 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94495 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94534 */     GIR_RootConstrainSelectedInstOperands,
     /*   94535 */     // GIR_Coverage, 70261,
     /*   94535 */     GIR_EraseRootFromParent_Done,
     /*   94536 */   // Label 1492: @94536
     /*   94536 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(94625), // Rule ID 51484 //
     /*   94541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94575 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94584 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94623 */     GIR_RootConstrainSelectedInstOperands,
     /*   94624 */     // GIR_Coverage, 51484,
     /*   94624 */     GIR_EraseRootFromParent_Done,
     /*   94625 */   // Label 1493: @94625
     /*   94625 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(94714), // Rule ID 51485 //
     /*   94630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94664 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94673 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94712 */     GIR_RootConstrainSelectedInstOperands,
     /*   94713 */     // GIR_Coverage, 51485,
     /*   94713 */     GIR_EraseRootFromParent_Done,
     /*   94714 */   // Label 1494: @94714
     /*   94714 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(94767), // Rule ID 50810 //
     /*   94719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94730 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   94730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94765 */     GIR_RootConstrainSelectedInstOperands,
     /*   94766 */     // GIR_Coverage, 50810,
     /*   94766 */     GIR_EraseRootFromParent_Done,
     /*   94767 */   // Label 1495: @94767
     /*   94767 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(94820), // Rule ID 50811 //
     /*   94772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94783 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   94783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94818 */     GIR_RootConstrainSelectedInstOperands,
     /*   94819 */     // GIR_Coverage, 50811,
     /*   94819 */     GIR_EraseRootFromParent_Done,
     /*   94820 */   // Label 1496: @94820
     /*   94820 */   GIM_Reject,
     /*   94821 */ // Label 1476: @94821
     /*   94821 */ GIM_Reject,
     /*   94822 */ // Label 1303: @94822
     /*   94822 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(96546),
     /*   94827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   94830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   94833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94837 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(94926), // Rule ID 51564 //
     /*   94842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   94845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94885 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   94885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   94888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94924 */     GIR_RootConstrainSelectedInstOperands,
     /*   94925 */     // GIR_Coverage, 51564,
     /*   94925 */     GIR_EraseRootFromParent_Done,
     /*   94926 */   // Label 1498: @94926
     /*   94926 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95015), // Rule ID 51565 //
     /*   94931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   94934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94974 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   94974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   94977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95013 */     GIR_RootConstrainSelectedInstOperands,
     /*   95014 */     // GIR_Coverage, 51565,
     /*   95014 */     GIR_EraseRootFromParent_Done,
     /*   95015 */   // Label 1499: @95015
     /*   95015 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95104), // Rule ID 70340 //
     /*   95020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95035 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95063 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95102 */     GIR_RootConstrainSelectedInstOperands,
     /*   95103 */     // GIR_Coverage, 70340,
     /*   95103 */     GIR_EraseRootFromParent_Done,
     /*   95104 */   // Label 1500: @95104
     /*   95104 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95193), // Rule ID 70341 //
     /*   95109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95124 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95143 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95152 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95191 */     GIR_RootConstrainSelectedInstOperands,
     /*   95192 */     // GIR_Coverage, 70341,
     /*   95192 */     GIR_EraseRootFromParent_Done,
     /*   95193 */   // Label 1501: @95193
     /*   95193 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95282), // Rule ID 70220 //
     /*   95198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95213 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95232 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95241 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95280 */     GIR_RootConstrainSelectedInstOperands,
     /*   95281 */     // GIR_Coverage, 70220,
     /*   95281 */     GIR_EraseRootFromParent_Done,
     /*   95282 */   // Label 1502: @95282
     /*   95282 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95371), // Rule ID 70221 //
     /*   95287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95302 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95321 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95330 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95369 */     GIR_RootConstrainSelectedInstOperands,
     /*   95370 */     // GIR_Coverage, 70221,
     /*   95370 */     GIR_EraseRootFromParent_Done,
     /*   95371 */   // Label 1503: @95371
     /*   95371 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95460), // Rule ID 51744 //
     /*   95376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95391 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95419 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95458 */     GIR_RootConstrainSelectedInstOperands,
     /*   95459 */     // GIR_Coverage, 51744,
     /*   95459 */     GIR_EraseRootFromParent_Done,
     /*   95460 */   // Label 1504: @95460
     /*   95460 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(95549), // Rule ID 51745 //
     /*   95465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95499 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95508 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95547 */     GIR_RootConstrainSelectedInstOperands,
     /*   95548 */     // GIR_Coverage, 51745,
     /*   95548 */     GIR_EraseRootFromParent_Done,
     /*   95549 */   // Label 1505: @95549
     /*   95549 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(95638), // Rule ID 51444 //
     /*   95554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95597 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95636 */     GIR_RootConstrainSelectedInstOperands,
     /*   95637 */     // GIR_Coverage, 51444,
     /*   95637 */     GIR_EraseRootFromParent_Done,
     /*   95638 */   // Label 1506: @95638
     /*   95638 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(95727), // Rule ID 51445 //
     /*   95643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95686 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95725 */     GIR_RootConstrainSelectedInstOperands,
     /*   95726 */     // GIR_Coverage, 51445,
     /*   95726 */     GIR_EraseRootFromParent_Done,
     /*   95727 */   // Label 1507: @95727
     /*   95727 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(95816), // Rule ID 51684 //
     /*   95732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95775 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95814 */     GIR_RootConstrainSelectedInstOperands,
     /*   95815 */     // GIR_Coverage, 51684,
     /*   95815 */     GIR_EraseRootFromParent_Done,
     /*   95816 */   // Label 1508: @95816
     /*   95816 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(95905), // Rule ID 51685 //
     /*   95821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95864 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95903 */     GIR_RootConstrainSelectedInstOperands,
     /*   95904 */     // GIR_Coverage, 51685,
     /*   95904 */     GIR_EraseRootFromParent_Done,
     /*   95905 */   // Label 1509: @95905
     /*   95905 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(95994), // Rule ID 51624 //
     /*   95910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95953 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95992 */     GIR_RootConstrainSelectedInstOperands,
     /*   95993 */     // GIR_Coverage, 51624,
     /*   95993 */     GIR_EraseRootFromParent_Done,
     /*   95994 */   // Label 1510: @95994
     /*   95994 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96083), // Rule ID 51625 //
     /*   95999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96042 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96081 */     GIR_RootConstrainSelectedInstOperands,
     /*   96082 */     // GIR_Coverage, 51625,
     /*   96082 */     GIR_EraseRootFromParent_Done,
     /*   96083 */   // Label 1511: @96083
     /*   96083 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96172), // Rule ID 70280 //
     /*   96088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96131 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96170 */     GIR_RootConstrainSelectedInstOperands,
     /*   96171 */     // GIR_Coverage, 70280,
     /*   96171 */     GIR_EraseRootFromParent_Done,
     /*   96172 */   // Label 1512: @96172
     /*   96172 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96261), // Rule ID 70281 //
     /*   96177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96220 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96259 */     GIR_RootConstrainSelectedInstOperands,
     /*   96260 */     // GIR_Coverage, 70281,
     /*   96260 */     GIR_EraseRootFromParent_Done,
     /*   96261 */   // Label 1513: @96261
     /*   96261 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96350), // Rule ID 51504 //
     /*   96266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96309 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96348 */     GIR_RootConstrainSelectedInstOperands,
     /*   96349 */     // GIR_Coverage, 51504,
     /*   96349 */     GIR_EraseRootFromParent_Done,
     /*   96350 */   // Label 1514: @96350
     /*   96350 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96439), // Rule ID 51505 //
     /*   96355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96398 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96437 */     GIR_RootConstrainSelectedInstOperands,
     /*   96438 */     // GIR_Coverage, 51505,
     /*   96438 */     GIR_EraseRootFromParent_Done,
     /*   96439 */   // Label 1515: @96439
     /*   96439 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96492), // Rule ID 50826 //
     /*   96444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   96447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96455 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   96455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96490 */     GIR_RootConstrainSelectedInstOperands,
     /*   96491 */     // GIR_Coverage, 50826,
     /*   96491 */     GIR_EraseRootFromParent_Done,
     /*   96492 */   // Label 1516: @96492
     /*   96492 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(96545), // Rule ID 50827 //
     /*   96497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   96500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96508 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   96508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96543 */     GIR_RootConstrainSelectedInstOperands,
     /*   96544 */     // GIR_Coverage, 50827,
     /*   96544 */     GIR_EraseRootFromParent_Done,
     /*   96545 */   // Label 1517: @96545
     /*   96545 */   GIM_Reject,
     /*   96546 */ // Label 1497: @96546
     /*   96546 */ GIM_Reject,
     /*   96547 */ // Label 1304: @96547
     /*   96547 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(96661),
     /*   96552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   96558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96570 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(96615), // Rule ID 50770 //
     /*   96575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96578 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96613 */     GIR_RootConstrainSelectedInstOperands,
     /*   96614 */     // GIR_Coverage, 50770,
     /*   96614 */     GIR_EraseRootFromParent_Done,
     /*   96615 */   // Label 1519: @96615
     /*   96615 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(96660), // Rule ID 50771 //
     /*   96620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96623 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96658 */     GIR_RootConstrainSelectedInstOperands,
     /*   96659 */     // GIR_Coverage, 50771,
     /*   96659 */     GIR_EraseRootFromParent_Done,
     /*   96660 */   // Label 1520: @96660
     /*   96660 */   GIM_Reject,
     /*   96661 */ // Label 1518: @96661
     /*   96661 */ GIM_Reject,
     /*   96662 */ // Label 1305: @96662
     /*   96662 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(98386),
     /*   96667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   96670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   96673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96677 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(96766), // Rule ID 51524 //
     /*   96682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96716 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96725 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96764 */     GIR_RootConstrainSelectedInstOperands,
     /*   96765 */     // GIR_Coverage, 51524,
     /*   96765 */     GIR_EraseRootFromParent_Done,
     /*   96766 */   // Label 1522: @96766
     /*   96766 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(96855), // Rule ID 51525 //
     /*   96771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96805 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96814 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96853 */     GIR_RootConstrainSelectedInstOperands,
     /*   96854 */     // GIR_Coverage, 51525,
     /*   96854 */     GIR_EraseRootFromParent_Done,
     /*   96855 */   // Label 1523: @96855
     /*   96855 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(96944), // Rule ID 70300 //
     /*   96860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96894 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96903 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   96920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96942 */     GIR_RootConstrainSelectedInstOperands,
     /*   96943 */     // GIR_Coverage, 70300,
     /*   96943 */     GIR_EraseRootFromParent_Done,
     /*   96944 */   // Label 1524: @96944
     /*   96944 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97033), // Rule ID 70301 //
     /*   96949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96983 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96992 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97031 */     GIR_RootConstrainSelectedInstOperands,
     /*   97032 */     // GIR_Coverage, 70301,
     /*   97032 */     GIR_EraseRootFromParent_Done,
     /*   97033 */   // Label 1525: @97033
     /*   97033 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97122), // Rule ID 70180 //
     /*   97038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97053 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97072 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97081 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97120 */     GIR_RootConstrainSelectedInstOperands,
     /*   97121 */     // GIR_Coverage, 70180,
     /*   97121 */     GIR_EraseRootFromParent_Done,
     /*   97122 */   // Label 1526: @97122
     /*   97122 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97211), // Rule ID 70181 //
     /*   97127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97161 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97170 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97209 */     GIR_RootConstrainSelectedInstOperands,
     /*   97210 */     // GIR_Coverage, 70181,
     /*   97210 */     GIR_EraseRootFromParent_Done,
     /*   97211 */   // Label 1527: @97211
     /*   97211 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97300), // Rule ID 51704 //
     /*   97216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97250 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97259 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97298 */     GIR_RootConstrainSelectedInstOperands,
     /*   97299 */     // GIR_Coverage, 51704,
     /*   97299 */     GIR_EraseRootFromParent_Done,
     /*   97300 */   // Label 1528: @97300
     /*   97300 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(97389), // Rule ID 51705 //
     /*   97305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97320 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97339 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97348 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97387 */     GIR_RootConstrainSelectedInstOperands,
     /*   97388 */     // GIR_Coverage, 51705,
     /*   97388 */     GIR_EraseRootFromParent_Done,
     /*   97389 */   // Label 1529: @97389
     /*   97389 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97478), // Rule ID 51404 //
     /*   97394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97409 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97428 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97430 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97437 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97476 */     GIR_RootConstrainSelectedInstOperands,
     /*   97477 */     // GIR_Coverage, 51404,
     /*   97477 */     GIR_EraseRootFromParent_Done,
     /*   97478 */   // Label 1530: @97478
     /*   97478 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(97567), // Rule ID 51405 //
     /*   97483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97517 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97519 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97526 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97565 */     GIR_RootConstrainSelectedInstOperands,
     /*   97566 */     // GIR_Coverage, 51405,
     /*   97566 */     GIR_EraseRootFromParent_Done,
     /*   97567 */   // Label 1531: @97567
     /*   97567 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(97656), // Rule ID 51644 //
     /*   97572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97606 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97615 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97654 */     GIR_RootConstrainSelectedInstOperands,
     /*   97655 */     // GIR_Coverage, 51644,
     /*   97655 */     GIR_EraseRootFromParent_Done,
     /*   97656 */   // Label 1532: @97656
     /*   97656 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(97745), // Rule ID 51645 //
     /*   97661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97695 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97704 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97743 */     GIR_RootConstrainSelectedInstOperands,
     /*   97744 */     // GIR_Coverage, 51645,
     /*   97744 */     GIR_EraseRootFromParent_Done,
     /*   97745 */   // Label 1533: @97745
     /*   97745 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(97834), // Rule ID 51584 //
     /*   97750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97784 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97793 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97832 */     GIR_RootConstrainSelectedInstOperands,
     /*   97833 */     // GIR_Coverage, 51584,
     /*   97833 */     GIR_EraseRootFromParent_Done,
     /*   97834 */   // Label 1534: @97834
     /*   97834 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(97923), // Rule ID 51585 //
     /*   97839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97873 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97882 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97921 */     GIR_RootConstrainSelectedInstOperands,
     /*   97922 */     // GIR_Coverage, 51585,
     /*   97922 */     GIR_EraseRootFromParent_Done,
     /*   97923 */   // Label 1535: @97923
     /*   97923 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98012), // Rule ID 70240 //
     /*   97928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97962 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97971 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98010 */     GIR_RootConstrainSelectedInstOperands,
     /*   98011 */     // GIR_Coverage, 70240,
     /*   98011 */     GIR_EraseRootFromParent_Done,
     /*   98012 */   // Label 1536: @98012
     /*   98012 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98101), // Rule ID 70241 //
     /*   98017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98051 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98060 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   98077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98099 */     GIR_RootConstrainSelectedInstOperands,
     /*   98100 */     // GIR_Coverage, 70241,
     /*   98100 */     GIR_EraseRootFromParent_Done,
     /*   98101 */   // Label 1537: @98101
     /*   98101 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98190), // Rule ID 51464 //
     /*   98106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98140 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98149 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98188 */     GIR_RootConstrainSelectedInstOperands,
     /*   98189 */     // GIR_Coverage, 51464,
     /*   98189 */     GIR_EraseRootFromParent_Done,
     /*   98190 */   // Label 1538: @98190
     /*   98190 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98279), // Rule ID 51465 //
     /*   98195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98229 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98238 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98277 */     GIR_RootConstrainSelectedInstOperands,
     /*   98278 */     // GIR_Coverage, 51465,
     /*   98278 */     GIR_EraseRootFromParent_Done,
     /*   98279 */   // Label 1539: @98279
     /*   98279 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98332), // Rule ID 50798 //
     /*   98284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98295 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98330 */     GIR_RootConstrainSelectedInstOperands,
     /*   98331 */     // GIR_Coverage, 50798,
     /*   98331 */     GIR_EraseRootFromParent_Done,
     /*   98332 */   // Label 1540: @98332
     /*   98332 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98385), // Rule ID 50799 //
     /*   98337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98348 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98383 */     GIR_RootConstrainSelectedInstOperands,
     /*   98384 */     // GIR_Coverage, 50799,
     /*   98384 */     GIR_EraseRootFromParent_Done,
     /*   98385 */   // Label 1541: @98385
     /*   98385 */   GIM_Reject,
     /*   98386 */ // Label 1521: @98386
     /*   98386 */ GIM_Reject,
     /*   98387 */ // Label 1306: @98387
     /*   98387 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(100111),
     /*   98392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   98395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   98398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   98402 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(98491), // Rule ID 51548 //
     /*   98407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98422 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98450 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98489 */     GIR_RootConstrainSelectedInstOperands,
     /*   98490 */     // GIR_Coverage, 51548,
     /*   98490 */     GIR_EraseRootFromParent_Done,
     /*   98491 */   // Label 1543: @98491
     /*   98491 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(98580), // Rule ID 51549 //
     /*   98496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98530 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98539 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98578 */     GIR_RootConstrainSelectedInstOperands,
     /*   98579 */     // GIR_Coverage, 51549,
     /*   98579 */     GIR_EraseRootFromParent_Done,
     /*   98580 */   // Label 1544: @98580
     /*   98580 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(98669), // Rule ID 70324 //
     /*   98585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98628 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98667 */     GIR_RootConstrainSelectedInstOperands,
     /*   98668 */     // GIR_Coverage, 70324,
     /*   98668 */     GIR_EraseRootFromParent_Done,
     /*   98669 */   // Label 1545: @98669
     /*   98669 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(98758), // Rule ID 70325 //
     /*   98674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98717 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98756 */     GIR_RootConstrainSelectedInstOperands,
     /*   98757 */     // GIR_Coverage, 70325,
     /*   98757 */     GIR_EraseRootFromParent_Done,
     /*   98758 */   // Label 1546: @98758
     /*   98758 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(98847), // Rule ID 70204 //
     /*   98763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98797 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98806 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98845 */     GIR_RootConstrainSelectedInstOperands,
     /*   98846 */     // GIR_Coverage, 70204,
     /*   98846 */     GIR_EraseRootFromParent_Done,
     /*   98847 */   // Label 1547: @98847
     /*   98847 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(98936), // Rule ID 70205 //
     /*   98852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98886 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98895 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98934 */     GIR_RootConstrainSelectedInstOperands,
     /*   98935 */     // GIR_Coverage, 70205,
     /*   98935 */     GIR_EraseRootFromParent_Done,
     /*   98936 */   // Label 1548: @98936
     /*   98936 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99025), // Rule ID 51728 //
     /*   98941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98984 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99023 */     GIR_RootConstrainSelectedInstOperands,
     /*   99024 */     // GIR_Coverage, 51728,
     /*   99024 */     GIR_EraseRootFromParent_Done,
     /*   99025 */   // Label 1549: @99025
     /*   99025 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(99114), // Rule ID 51729 //
     /*   99030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99073 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99112 */     GIR_RootConstrainSelectedInstOperands,
     /*   99113 */     // GIR_Coverage, 51729,
     /*   99113 */     GIR_EraseRootFromParent_Done,
     /*   99114 */   // Label 1550: @99114
     /*   99114 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99203), // Rule ID 51428 //
     /*   99119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99162 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99201 */     GIR_RootConstrainSelectedInstOperands,
     /*   99202 */     // GIR_Coverage, 51428,
     /*   99202 */     GIR_EraseRootFromParent_Done,
     /*   99203 */   // Label 1551: @99203
     /*   99203 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99292), // Rule ID 51429 //
     /*   99208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99251 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99290 */     GIR_RootConstrainSelectedInstOperands,
     /*   99291 */     // GIR_Coverage, 51429,
     /*   99291 */     GIR_EraseRootFromParent_Done,
     /*   99292 */   // Label 1552: @99292
     /*   99292 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99381), // Rule ID 51668 //
     /*   99297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99340 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99379 */     GIR_RootConstrainSelectedInstOperands,
     /*   99380 */     // GIR_Coverage, 51668,
     /*   99380 */     GIR_EraseRootFromParent_Done,
     /*   99381 */   // Label 1553: @99381
     /*   99381 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99470), // Rule ID 51669 //
     /*   99386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99429 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99468 */     GIR_RootConstrainSelectedInstOperands,
     /*   99469 */     // GIR_Coverage, 51669,
     /*   99469 */     GIR_EraseRootFromParent_Done,
     /*   99470 */   // Label 1554: @99470
     /*   99470 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(99559), // Rule ID 51608 //
     /*   99475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99509 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99518 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99557 */     GIR_RootConstrainSelectedInstOperands,
     /*   99558 */     // GIR_Coverage, 51608,
     /*   99558 */     GIR_EraseRootFromParent_Done,
     /*   99559 */   // Label 1555: @99559
     /*   99559 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(99648), // Rule ID 51609 //
     /*   99564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99598 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99607 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99646 */     GIR_RootConstrainSelectedInstOperands,
     /*   99647 */     // GIR_Coverage, 51609,
     /*   99647 */     GIR_EraseRootFromParent_Done,
     /*   99648 */   // Label 1556: @99648
     /*   99648 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(99737), // Rule ID 70264 //
     /*   99653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99687 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99696 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99735 */     GIR_RootConstrainSelectedInstOperands,
     /*   99736 */     // GIR_Coverage, 70264,
     /*   99736 */     GIR_EraseRootFromParent_Done,
     /*   99737 */   // Label 1557: @99737
     /*   99737 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(99826), // Rule ID 70265 //
     /*   99742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99776 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99783 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99785 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99824 */     GIR_RootConstrainSelectedInstOperands,
     /*   99825 */     // GIR_Coverage, 70265,
     /*   99825 */     GIR_EraseRootFromParent_Done,
     /*   99826 */   // Label 1558: @99826
     /*   99826 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(99915), // Rule ID 51488 //
     /*   99831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99865 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99874 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99913 */     GIR_RootConstrainSelectedInstOperands,
     /*   99914 */     // GIR_Coverage, 51488,
     /*   99914 */     GIR_EraseRootFromParent_Done,
     /*   99915 */   // Label 1559: @99915
     /*   99915 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100004), // Rule ID 51489 //
     /*   99920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99963 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100002 */     GIR_RootConstrainSelectedInstOperands,
     /*  100003 */     // GIR_Coverage, 51489,
     /*  100003 */     GIR_EraseRootFromParent_Done,
     /*  100004 */   // Label 1560: @100004
     /*  100004 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100057), // Rule ID 50814 //
     /*  100009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100020 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100055 */     GIR_RootConstrainSelectedInstOperands,
     /*  100056 */     // GIR_Coverage, 50814,
     /*  100056 */     GIR_EraseRootFromParent_Done,
     /*  100057 */   // Label 1561: @100057
     /*  100057 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100110), // Rule ID 50815 //
     /*  100062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100073 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100108 */     GIR_RootConstrainSelectedInstOperands,
     /*  100109 */     // GIR_Coverage, 50815,
     /*  100109 */     GIR_EraseRootFromParent_Done,
     /*  100110 */   // Label 1562: @100110
     /*  100110 */   GIM_Reject,
     /*  100111 */ // Label 1542: @100111
     /*  100111 */ GIM_Reject,
     /*  100112 */ // Label 1307: @100112
     /*  100112 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(101836),
     /*  100117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  100120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  100123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  100127 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100216), // Rule ID 51568 //
     /*  100132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100175 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100214 */     GIR_RootConstrainSelectedInstOperands,
     /*  100215 */     // GIR_Coverage, 51568,
     /*  100215 */     GIR_EraseRootFromParent_Done,
     /*  100216 */   // Label 1564: @100216
     /*  100216 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(100305), // Rule ID 51569 //
     /*  100221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100264 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100303 */     GIR_RootConstrainSelectedInstOperands,
     /*  100304 */     // GIR_Coverage, 51569,
     /*  100304 */     GIR_EraseRootFromParent_Done,
     /*  100305 */   // Label 1565: @100305
     /*  100305 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100394), // Rule ID 70344 //
     /*  100310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100325 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100353 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100392 */     GIR_RootConstrainSelectedInstOperands,
     /*  100393 */     // GIR_Coverage, 70344,
     /*  100393 */     GIR_EraseRootFromParent_Done,
     /*  100394 */   // Label 1566: @100394
     /*  100394 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(100483), // Rule ID 70345 //
     /*  100399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100414 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100433 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100435 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100442 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100481 */     GIR_RootConstrainSelectedInstOperands,
     /*  100482 */     // GIR_Coverage, 70345,
     /*  100482 */     GIR_EraseRootFromParent_Done,
     /*  100483 */   // Label 1567: @100483
     /*  100483 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(100572), // Rule ID 70224 //
     /*  100488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100503 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100531 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100570 */     GIR_RootConstrainSelectedInstOperands,
     /*  100571 */     // GIR_Coverage, 70224,
     /*  100571 */     GIR_EraseRootFromParent_Done,
     /*  100572 */   // Label 1568: @100572
     /*  100572 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(100661), // Rule ID 70225 //
     /*  100577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100620 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100659 */     GIR_RootConstrainSelectedInstOperands,
     /*  100660 */     // GIR_Coverage, 70225,
     /*  100660 */     GIR_EraseRootFromParent_Done,
     /*  100661 */   // Label 1569: @100661
     /*  100661 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(100750), // Rule ID 51748 //
     /*  100666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100709 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100748 */     GIR_RootConstrainSelectedInstOperands,
     /*  100749 */     // GIR_Coverage, 51748,
     /*  100749 */     GIR_EraseRootFromParent_Done,
     /*  100750 */   // Label 1570: @100750
     /*  100750 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(100839), // Rule ID 51749 //
     /*  100755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100789 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100798 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100837 */     GIR_RootConstrainSelectedInstOperands,
     /*  100838 */     // GIR_Coverage, 51749,
     /*  100838 */     GIR_EraseRootFromParent_Done,
     /*  100839 */   // Label 1571: @100839
     /*  100839 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(100928), // Rule ID 51448 //
     /*  100844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100887 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100926 */     GIR_RootConstrainSelectedInstOperands,
     /*  100927 */     // GIR_Coverage, 51448,
     /*  100927 */     GIR_EraseRootFromParent_Done,
     /*  100928 */   // Label 1572: @100928
     /*  100928 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101017), // Rule ID 51449 //
     /*  100933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100976 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101015 */     GIR_RootConstrainSelectedInstOperands,
     /*  101016 */     // GIR_Coverage, 51449,
     /*  101016 */     GIR_EraseRootFromParent_Done,
     /*  101017 */   // Label 1573: @101017
     /*  101017 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(101106), // Rule ID 51688 //
     /*  101022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101065 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101104 */     GIR_RootConstrainSelectedInstOperands,
     /*  101105 */     // GIR_Coverage, 51688,
     /*  101105 */     GIR_EraseRootFromParent_Done,
     /*  101106 */   // Label 1574: @101106
     /*  101106 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101195), // Rule ID 51689 //
     /*  101111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101154 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101193 */     GIR_RootConstrainSelectedInstOperands,
     /*  101194 */     // GIR_Coverage, 51689,
     /*  101194 */     GIR_EraseRootFromParent_Done,
     /*  101195 */   // Label 1575: @101195
     /*  101195 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101284), // Rule ID 51628 //
     /*  101200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101243 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101282 */     GIR_RootConstrainSelectedInstOperands,
     /*  101283 */     // GIR_Coverage, 51628,
     /*  101283 */     GIR_EraseRootFromParent_Done,
     /*  101284 */   // Label 1576: @101284
     /*  101284 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101373), // Rule ID 51629 //
     /*  101289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101304 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101323 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101332 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101371 */     GIR_RootConstrainSelectedInstOperands,
     /*  101372 */     // GIR_Coverage, 51629,
     /*  101372 */     GIR_EraseRootFromParent_Done,
     /*  101373 */   // Label 1577: @101373
     /*  101373 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101462), // Rule ID 70284 //
     /*  101378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101393 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101412 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101421 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101460 */     GIR_RootConstrainSelectedInstOperands,
     /*  101461 */     // GIR_Coverage, 70284,
     /*  101461 */     GIR_EraseRootFromParent_Done,
     /*  101462 */   // Label 1578: @101462
     /*  101462 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101551), // Rule ID 70285 //
     /*  101467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101482 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101501 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101510 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101549 */     GIR_RootConstrainSelectedInstOperands,
     /*  101550 */     // GIR_Coverage, 70285,
     /*  101550 */     GIR_EraseRootFromParent_Done,
     /*  101551 */   // Label 1579: @101551
     /*  101551 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101640), // Rule ID 51508 //
     /*  101556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101599 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101638 */     GIR_RootConstrainSelectedInstOperands,
     /*  101639 */     // GIR_Coverage, 51508,
     /*  101639 */     GIR_EraseRootFromParent_Done,
     /*  101640 */   // Label 1580: @101640
     /*  101640 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(101729), // Rule ID 51509 //
     /*  101645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101688 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101727 */     GIR_RootConstrainSelectedInstOperands,
     /*  101728 */     // GIR_Coverage, 51509,
     /*  101728 */     GIR_EraseRootFromParent_Done,
     /*  101729 */   // Label 1581: @101729
     /*  101729 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(101782), // Rule ID 50830 //
     /*  101734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  101737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101745 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  101745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101780 */     GIR_RootConstrainSelectedInstOperands,
     /*  101781 */     // GIR_Coverage, 50830,
     /*  101781 */     GIR_EraseRootFromParent_Done,
     /*  101782 */   // Label 1582: @101782
     /*  101782 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(101835), // Rule ID 50831 //
     /*  101787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  101790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101798 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  101798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101833 */     GIR_RootConstrainSelectedInstOperands,
     /*  101834 */     // GIR_Coverage, 50831,
     /*  101834 */     GIR_EraseRootFromParent_Done,
     /*  101835 */   // Label 1583: @101835
     /*  101835 */   GIM_Reject,
     /*  101836 */ // Label 1563: @101836
     /*  101836 */ GIM_Reject,
     /*  101837 */ // Label 1308: @101837
     /*  101837 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(101951),
     /*  101842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  101845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  101848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101860 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(101905), // Rule ID 50786 //
     /*  101865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101868 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  101871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  101885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101903 */     GIR_RootConstrainSelectedInstOperands,
     /*  101904 */     // GIR_Coverage, 50786,
     /*  101904 */     GIR_EraseRootFromParent_Done,
     /*  101905 */   // Label 1585: @101905
     /*  101905 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(101950), // Rule ID 50787 //
     /*  101910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101913 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  101916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  101930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101948 */     GIR_RootConstrainSelectedInstOperands,
     /*  101949 */     // GIR_Coverage, 50787,
     /*  101949 */     GIR_EraseRootFromParent_Done,
     /*  101950 */   // Label 1586: @101950
     /*  101950 */   GIM_Reject,
     /*  101951 */ // Label 1584: @101951
     /*  101951 */ GIM_Reject,
     /*  101952 */ // Label 1309: @101952
     /*  101952 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(103676),
     /*  101957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  101963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101967 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102056), // Rule ID 51528 //
     /*  101972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  101987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102006 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102008 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102015 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102054 */     GIR_RootConstrainSelectedInstOperands,
     /*  102055 */     // GIR_Coverage, 51528,
     /*  102055 */     GIR_EraseRootFromParent_Done,
     /*  102056 */   // Label 1588: @102056
     /*  102056 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102145), // Rule ID 51529 //
     /*  102061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102095 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102104 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102143 */     GIR_RootConstrainSelectedInstOperands,
     /*  102144 */     // GIR_Coverage, 51529,
     /*  102144 */     GIR_EraseRootFromParent_Done,
     /*  102145 */   // Label 1589: @102145
     /*  102145 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102234), // Rule ID 70304 //
     /*  102150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102193 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102232 */     GIR_RootConstrainSelectedInstOperands,
     /*  102233 */     // GIR_Coverage, 70304,
     /*  102233 */     GIR_EraseRootFromParent_Done,
     /*  102234 */   // Label 1590: @102234
     /*  102234 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102323), // Rule ID 70305 //
     /*  102239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102282 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102321 */     GIR_RootConstrainSelectedInstOperands,
     /*  102322 */     // GIR_Coverage, 70305,
     /*  102322 */     GIR_EraseRootFromParent_Done,
     /*  102323 */   // Label 1591: @102323
     /*  102323 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(102412), // Rule ID 70184 //
     /*  102328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102371 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102410 */     GIR_RootConstrainSelectedInstOperands,
     /*  102411 */     // GIR_Coverage, 70184,
     /*  102411 */     GIR_EraseRootFromParent_Done,
     /*  102412 */   // Label 1592: @102412
     /*  102412 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(102501), // Rule ID 70185 //
     /*  102417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102460 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102499 */     GIR_RootConstrainSelectedInstOperands,
     /*  102500 */     // GIR_Coverage, 70185,
     /*  102500 */     GIR_EraseRootFromParent_Done,
     /*  102501 */   // Label 1593: @102501
     /*  102501 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(102590), // Rule ID 51708 //
     /*  102506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102549 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102588 */     GIR_RootConstrainSelectedInstOperands,
     /*  102589 */     // GIR_Coverage, 51708,
     /*  102589 */     GIR_EraseRootFromParent_Done,
     /*  102590 */   // Label 1594: @102590
     /*  102590 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(102679), // Rule ID 51709 //
     /*  102595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102638 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102677 */     GIR_RootConstrainSelectedInstOperands,
     /*  102678 */     // GIR_Coverage, 51709,
     /*  102678 */     GIR_EraseRootFromParent_Done,
     /*  102679 */   // Label 1595: @102679
     /*  102679 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(102768), // Rule ID 51408 //
     /*  102684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102718 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102727 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102766 */     GIR_RootConstrainSelectedInstOperands,
     /*  102767 */     // GIR_Coverage, 51408,
     /*  102767 */     GIR_EraseRootFromParent_Done,
     /*  102768 */   // Label 1596: @102768
     /*  102768 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(102857), // Rule ID 51409 //
     /*  102773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102807 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102816 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102855 */     GIR_RootConstrainSelectedInstOperands,
     /*  102856 */     // GIR_Coverage, 51409,
     /*  102856 */     GIR_EraseRootFromParent_Done,
     /*  102857 */   // Label 1597: @102857
     /*  102857 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(102946), // Rule ID 51648 //
     /*  102862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102905 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102944 */     GIR_RootConstrainSelectedInstOperands,
     /*  102945 */     // GIR_Coverage, 51648,
     /*  102945 */     GIR_EraseRootFromParent_Done,
     /*  102946 */   // Label 1598: @102946
     /*  102946 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(103035), // Rule ID 51649 //
     /*  102951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102994 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103033 */     GIR_RootConstrainSelectedInstOperands,
     /*  103034 */     // GIR_Coverage, 51649,
     /*  103034 */     GIR_EraseRootFromParent_Done,
     /*  103035 */   // Label 1599: @103035
     /*  103035 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(103124), // Rule ID 51588 //
     /*  103040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103074 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103083 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103122 */     GIR_RootConstrainSelectedInstOperands,
     /*  103123 */     // GIR_Coverage, 51588,
     /*  103123 */     GIR_EraseRootFromParent_Done,
     /*  103124 */   // Label 1600: @103124
     /*  103124 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(103213), // Rule ID 51589 //
     /*  103129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103163 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103165 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103172 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103211 */     GIR_RootConstrainSelectedInstOperands,
     /*  103212 */     // GIR_Coverage, 51589,
     /*  103212 */     GIR_EraseRootFromParent_Done,
     /*  103213 */   // Label 1601: @103213
     /*  103213 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(103302), // Rule ID 70244 //
     /*  103218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103252 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103261 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103300 */     GIR_RootConstrainSelectedInstOperands,
     /*  103301 */     // GIR_Coverage, 70244,
     /*  103301 */     GIR_EraseRootFromParent_Done,
     /*  103302 */   // Label 1602: @103302
     /*  103302 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(103391), // Rule ID 70245 //
     /*  103307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103322 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103341 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103350 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103389 */     GIR_RootConstrainSelectedInstOperands,
     /*  103390 */     // GIR_Coverage, 70245,
     /*  103390 */     GIR_EraseRootFromParent_Done,
     /*  103391 */   // Label 1603: @103391
     /*  103391 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(103480), // Rule ID 51468 //
     /*  103396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103430 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103439 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103478 */     GIR_RootConstrainSelectedInstOperands,
     /*  103479 */     // GIR_Coverage, 51468,
     /*  103479 */     GIR_EraseRootFromParent_Done,
     /*  103480 */   // Label 1604: @103480
     /*  103480 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(103569), // Rule ID 51469 //
     /*  103485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103519 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103521 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103528 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103567 */     GIR_RootConstrainSelectedInstOperands,
     /*  103568 */     // GIR_Coverage, 51469,
     /*  103568 */     GIR_EraseRootFromParent_Done,
     /*  103569 */   // Label 1605: @103569
     /*  103569 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(103622), // Rule ID 50802 //
     /*  103574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103585 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103620 */     GIR_RootConstrainSelectedInstOperands,
     /*  103621 */     // GIR_Coverage, 50802,
     /*  103621 */     GIR_EraseRootFromParent_Done,
     /*  103622 */   // Label 1606: @103622
     /*  103622 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(103675), // Rule ID 50803 //
     /*  103627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103638 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103673 */     GIR_RootConstrainSelectedInstOperands,
     /*  103674 */     // GIR_Coverage, 50803,
     /*  103674 */     GIR_EraseRootFromParent_Done,
     /*  103675 */   // Label 1607: @103675
     /*  103675 */   GIM_Reject,
     /*  103676 */ // Label 1587: @103676
     /*  103676 */ GIM_Reject,
     /*  103677 */ // Label 1310: @103677
     /*  103677 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(105401),
     /*  103682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  103685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  103688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103692 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(103781), // Rule ID 51552 //
     /*  103697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103731 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103733 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103740 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103779 */     GIR_RootConstrainSelectedInstOperands,
     /*  103780 */     // GIR_Coverage, 51552,
     /*  103780 */     GIR_EraseRootFromParent_Done,
     /*  103781 */   // Label 1609: @103781
     /*  103781 */   GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(103870), // Rule ID 51553 //
     /*  103786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103829 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103868 */     GIR_RootConstrainSelectedInstOperands,
     /*  103869 */     // GIR_Coverage, 51553,
     /*  103869 */     GIR_EraseRootFromParent_Done,
     /*  103870 */   // Label 1610: @103870
     /*  103870 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(103959), // Rule ID 70328 //
     /*  103875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103918 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  103935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103957 */     GIR_RootConstrainSelectedInstOperands,
     /*  103958 */     // GIR_Coverage, 70328,
     /*  103958 */     GIR_EraseRootFromParent_Done,
     /*  103959 */   // Label 1611: @103959
     /*  103959 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(104048), // Rule ID 70329 //
     /*  103964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104007 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104046 */     GIR_RootConstrainSelectedInstOperands,
     /*  104047 */     // GIR_Coverage, 70329,
     /*  104047 */     GIR_EraseRootFromParent_Done,
     /*  104048 */   // Label 1612: @104048
     /*  104048 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(104137), // Rule ID 70208 //
     /*  104053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104096 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104135 */     GIR_RootConstrainSelectedInstOperands,
     /*  104136 */     // GIR_Coverage, 70208,
     /*  104136 */     GIR_EraseRootFromParent_Done,
     /*  104137 */   // Label 1613: @104137
     /*  104137 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(104226), // Rule ID 70209 //
     /*  104142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104185 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104224 */     GIR_RootConstrainSelectedInstOperands,
     /*  104225 */     // GIR_Coverage, 70209,
     /*  104225 */     GIR_EraseRootFromParent_Done,
     /*  104226 */   // Label 1614: @104226
     /*  104226 */   GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(104315), // Rule ID 51732 //
     /*  104231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104274 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104313 */     GIR_RootConstrainSelectedInstOperands,
     /*  104314 */     // GIR_Coverage, 51732,
     /*  104314 */     GIR_EraseRootFromParent_Done,
     /*  104315 */   // Label 1615: @104315
     /*  104315 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(104404), // Rule ID 51733 //
     /*  104320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104363 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104402 */     GIR_RootConstrainSelectedInstOperands,
     /*  104403 */     // GIR_Coverage, 51733,
     /*  104403 */     GIR_EraseRootFromParent_Done,
     /*  104404 */   // Label 1616: @104404
     /*  104404 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(104493), // Rule ID 51432 //
     /*  104409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104452 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104491 */     GIR_RootConstrainSelectedInstOperands,
     /*  104492 */     // GIR_Coverage, 51432,
     /*  104492 */     GIR_EraseRootFromParent_Done,
     /*  104493 */   // Label 1617: @104493
     /*  104493 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(104582), // Rule ID 51433 //
     /*  104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104532 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104541 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104580 */     GIR_RootConstrainSelectedInstOperands,
     /*  104581 */     // GIR_Coverage, 51433,
     /*  104581 */     GIR_EraseRootFromParent_Done,
     /*  104582 */   // Label 1618: @104582
     /*  104582 */   GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(104671), // Rule ID 51672 //
     /*  104587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104621 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104630 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104669 */     GIR_RootConstrainSelectedInstOperands,
     /*  104670 */     // GIR_Coverage, 51672,
     /*  104670 */     GIR_EraseRootFromParent_Done,
     /*  104671 */   // Label 1619: @104671
     /*  104671 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(104760), // Rule ID 51673 //
     /*  104676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104710 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104719 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104758 */     GIR_RootConstrainSelectedInstOperands,
     /*  104759 */     // GIR_Coverage, 51673,
     /*  104759 */     GIR_EraseRootFromParent_Done,
     /*  104760 */   // Label 1620: @104760
     /*  104760 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(104849), // Rule ID 51612 //
     /*  104765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104799 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104808 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104847 */     GIR_RootConstrainSelectedInstOperands,
     /*  104848 */     // GIR_Coverage, 51612,
     /*  104848 */     GIR_EraseRootFromParent_Done,
     /*  104849 */   // Label 1621: @104849
     /*  104849 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(104938), // Rule ID 51613 //
     /*  104854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104869 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104897 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104936 */     GIR_RootConstrainSelectedInstOperands,
     /*  104937 */     // GIR_Coverage, 51613,
     /*  104937 */     GIR_EraseRootFromParent_Done,
     /*  104938 */   // Label 1622: @104938
     /*  104938 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(105027), // Rule ID 70268 //
     /*  104943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104977 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104979 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104986 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105025 */     GIR_RootConstrainSelectedInstOperands,
     /*  105026 */     // GIR_Coverage, 70268,
     /*  105026 */     GIR_EraseRootFromParent_Done,
     /*  105027 */   // Label 1623: @105027
     /*  105027 */   GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(105116), // Rule ID 70269 //
     /*  105032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105066 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105075 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105114 */     GIR_RootConstrainSelectedInstOperands,
     /*  105115 */     // GIR_Coverage, 70269,
     /*  105115 */     GIR_EraseRootFromParent_Done,
     /*  105116 */   // Label 1624: @105116
     /*  105116 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(105205), // Rule ID 51492 //
     /*  105121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105155 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105164 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105203 */     GIR_RootConstrainSelectedInstOperands,
     /*  105204 */     // GIR_Coverage, 51492,
     /*  105204 */     GIR_EraseRootFromParent_Done,
     /*  105205 */   // Label 1625: @105205
     /*  105205 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(105294), // Rule ID 51493 //
     /*  105210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105253 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105292 */     GIR_RootConstrainSelectedInstOperands,
     /*  105293 */     // GIR_Coverage, 51493,
     /*  105293 */     GIR_EraseRootFromParent_Done,
     /*  105294 */   // Label 1626: @105294
     /*  105294 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(105347), // Rule ID 50818 //
     /*  105299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105310 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105345 */     GIR_RootConstrainSelectedInstOperands,
     /*  105346 */     // GIR_Coverage, 50818,
     /*  105346 */     GIR_EraseRootFromParent_Done,
     /*  105347 */   // Label 1627: @105347
     /*  105347 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(105400), // Rule ID 50819 //
     /*  105352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105363 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105398 */     GIR_RootConstrainSelectedInstOperands,
     /*  105399 */     // GIR_Coverage, 50819,
     /*  105399 */     GIR_EraseRootFromParent_Done,
     /*  105400 */   // Label 1628: @105400
     /*  105400 */   GIM_Reject,
     /*  105401 */ // Label 1608: @105401
     /*  105401 */ GIM_Reject,
     /*  105402 */ // Label 1311: @105402
     /*  105402 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(105516),
     /*  105407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105425 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(105470), // Rule ID 50790 //
     /*  105430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105433 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105468 */     GIR_RootConstrainSelectedInstOperands,
     /*  105469 */     // GIR_Coverage, 50790,
     /*  105469 */     GIR_EraseRootFromParent_Done,
     /*  105470 */   // Label 1630: @105470
     /*  105470 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(105515), // Rule ID 50791 //
     /*  105475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105478 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105513 */     GIR_RootConstrainSelectedInstOperands,
     /*  105514 */     // GIR_Coverage, 50791,
     /*  105514 */     GIR_EraseRootFromParent_Done,
     /*  105515 */   // Label 1631: @105515
     /*  105515 */   GIM_Reject,
     /*  105516 */ // Label 1629: @105516
     /*  105516 */ GIM_Reject,
     /*  105517 */ // Label 1312: @105517
     /*  105517 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(107241),
     /*  105522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105532 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(105621), // Rule ID 51532 //
     /*  105537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105580 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105619 */     GIR_RootConstrainSelectedInstOperands,
     /*  105620 */     // GIR_Coverage, 51532,
     /*  105620 */     GIR_EraseRootFromParent_Done,
     /*  105621 */   // Label 1633: @105621
     /*  105621 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(105710), // Rule ID 51533 //
     /*  105626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105669 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105708 */     GIR_RootConstrainSelectedInstOperands,
     /*  105709 */     // GIR_Coverage, 51533,
     /*  105709 */     GIR_EraseRootFromParent_Done,
     /*  105710 */   // Label 1634: @105710
     /*  105710 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(105799), // Rule ID 70308 //
     /*  105715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105749 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105758 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105797 */     GIR_RootConstrainSelectedInstOperands,
     /*  105798 */     // GIR_Coverage, 70308,
     /*  105798 */     GIR_EraseRootFromParent_Done,
     /*  105799 */   // Label 1635: @105799
     /*  105799 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(105888), // Rule ID 70309 //
     /*  105804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105838 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105847 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105886 */     GIR_RootConstrainSelectedInstOperands,
     /*  105887 */     // GIR_Coverage, 70309,
     /*  105887 */     GIR_EraseRootFromParent_Done,
     /*  105888 */   // Label 1636: @105888
     /*  105888 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(105977), // Rule ID 70188 //
     /*  105893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105936 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105975 */     GIR_RootConstrainSelectedInstOperands,
     /*  105976 */     // GIR_Coverage, 70188,
     /*  105976 */     GIR_EraseRootFromParent_Done,
     /*  105977 */   // Label 1637: @105977
     /*  105977 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(106066), // Rule ID 70189 //
     /*  105982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106025 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106064 */     GIR_RootConstrainSelectedInstOperands,
     /*  106065 */     // GIR_Coverage, 70189,
     /*  106065 */     GIR_EraseRootFromParent_Done,
     /*  106066 */   // Label 1638: @106066
     /*  106066 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(106155), // Rule ID 51712 //
     /*  106071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106114 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106153 */     GIR_RootConstrainSelectedInstOperands,
     /*  106154 */     // GIR_Coverage, 51712,
     /*  106154 */     GIR_EraseRootFromParent_Done,
     /*  106155 */   // Label 1639: @106155
     /*  106155 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(106244), // Rule ID 51713 //
     /*  106160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106203 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106242 */     GIR_RootConstrainSelectedInstOperands,
     /*  106243 */     // GIR_Coverage, 51713,
     /*  106243 */     GIR_EraseRootFromParent_Done,
     /*  106244 */   // Label 1640: @106244
     /*  106244 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(106333), // Rule ID 51412 //
     /*  106249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106292 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106331 */     GIR_RootConstrainSelectedInstOperands,
     /*  106332 */     // GIR_Coverage, 51412,
     /*  106332 */     GIR_EraseRootFromParent_Done,
     /*  106333 */   // Label 1641: @106333
     /*  106333 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(106422), // Rule ID 51413 //
     /*  106338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106381 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106420 */     GIR_RootConstrainSelectedInstOperands,
     /*  106421 */     // GIR_Coverage, 51413,
     /*  106421 */     GIR_EraseRootFromParent_Done,
     /*  106422 */   // Label 1642: @106422
     /*  106422 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(106511), // Rule ID 51652 //
     /*  106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106470 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106509 */     GIR_RootConstrainSelectedInstOperands,
     /*  106510 */     // GIR_Coverage, 51652,
     /*  106510 */     GIR_EraseRootFromParent_Done,
     /*  106511 */   // Label 1643: @106511
     /*  106511 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(106600), // Rule ID 51653 //
     /*  106516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106559 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106598 */     GIR_RootConstrainSelectedInstOperands,
     /*  106599 */     // GIR_Coverage, 51653,
     /*  106599 */     GIR_EraseRootFromParent_Done,
     /*  106600 */   // Label 1644: @106600
     /*  106600 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(106689), // Rule ID 51592 //
     /*  106605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106648 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106687 */     GIR_RootConstrainSelectedInstOperands,
     /*  106688 */     // GIR_Coverage, 51592,
     /*  106688 */     GIR_EraseRootFromParent_Done,
     /*  106689 */   // Label 1645: @106689
     /*  106689 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(106778), // Rule ID 51593 //
     /*  106694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106737 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106776 */     GIR_RootConstrainSelectedInstOperands,
     /*  106777 */     // GIR_Coverage, 51593,
     /*  106777 */     GIR_EraseRootFromParent_Done,
     /*  106778 */   // Label 1646: @106778
     /*  106778 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(106867), // Rule ID 70248 //
     /*  106783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106817 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106826 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106865 */     GIR_RootConstrainSelectedInstOperands,
     /*  106866 */     // GIR_Coverage, 70248,
     /*  106866 */     GIR_EraseRootFromParent_Done,
     /*  106867 */   // Label 1647: @106867
     /*  106867 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(106956), // Rule ID 70249 //
     /*  106872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106887 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106915 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106954 */     GIR_RootConstrainSelectedInstOperands,
     /*  106955 */     // GIR_Coverage, 70249,
     /*  106955 */     GIR_EraseRootFromParent_Done,
     /*  106956 */   // Label 1648: @106956
     /*  106956 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(107045), // Rule ID 51472 //
     /*  106961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107004 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107043 */     GIR_RootConstrainSelectedInstOperands,
     /*  107044 */     // GIR_Coverage, 51472,
     /*  107044 */     GIR_EraseRootFromParent_Done,
     /*  107045 */   // Label 1649: @107045
     /*  107045 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(107134), // Rule ID 51473 //
     /*  107050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  107057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  107067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  107076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  107086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107093 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107132 */     GIR_RootConstrainSelectedInstOperands,
     /*  107133 */     // GIR_Coverage, 51473,
     /*  107133 */     GIR_EraseRootFromParent_Done,
     /*  107134 */   // Label 1650: @107134
     /*  107134 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(107187), // Rule ID 50806 //
     /*  107139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107150 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107185 */     GIR_RootConstrainSelectedInstOperands,
     /*  107186 */     // GIR_Coverage, 50806,
     /*  107186 */     GIR_EraseRootFromParent_Done,
     /*  107187 */   // Label 1651: @107187
     /*  107187 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(107240), // Rule ID 50807 //
     /*  107192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107203 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107238 */     GIR_RootConstrainSelectedInstOperands,
     /*  107239 */     // GIR_Coverage, 50807,
     /*  107239 */     GIR_EraseRootFromParent_Done,
     /*  107240 */   // Label 1652: @107240
     /*  107240 */   GIM_Reject,
     /*  107241 */ // Label 1632: @107241
     /*  107241 */ GIM_Reject,
     /*  107242 */ // Label 1313: @107242
     /*  107242 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(107356),
     /*  107247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  107250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  107253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107265 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(107310), // Rule ID 50794 //
     /*  107270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107273 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107308 */     GIR_RootConstrainSelectedInstOperands,
     /*  107309 */     // GIR_Coverage, 50794,
     /*  107309 */     GIR_EraseRootFromParent_Done,
     /*  107310 */   // Label 1654: @107310
     /*  107310 */   GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(107355), // Rule ID 50795 //
     /*  107315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107318 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107353 */     GIR_RootConstrainSelectedInstOperands,
     /*  107354 */     // GIR_Coverage, 50795,
     /*  107354 */     GIR_EraseRootFromParent_Done,
     /*  107355 */   // Label 1655: @107355
     /*  107355 */   GIM_Reject,
     /*  107356 */ // Label 1653: @107356
     /*  107356 */ GIM_Reject,
     /*  107357 */ // Label 1314: @107357
     /*  107357 */ GIM_Reject,
     /*  107358 */ // Label 3: @107358
     /*  107358 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1680*/ GIMT_Encode4(110091),
     /*  107369 */ /*GILLT_s32*//*Label 1656*/ GIMT_Encode4(107493),
     /*  107373 */ /*GILLT_s64*//*Label 1657*/ GIMT_Encode4(107527), GIMT_Encode4(0),
     /*  107381 */ /*GILLT_nxv1s8*//*Label 1658*/ GIMT_Encode4(107561),
     /*  107385 */ /*GILLT_nxv1s16*//*Label 1659*/ GIMT_Encode4(107676),
     /*  107389 */ /*GILLT_nxv1s32*//*Label 1660*/ GIMT_Encode4(107791),
     /*  107393 */ /*GILLT_nxv1s64*//*Label 1661*/ GIMT_Encode4(107906), GIMT_Encode4(0),
     /*  107401 */ /*GILLT_nxv2s8*//*Label 1662*/ GIMT_Encode4(108021),
     /*  107405 */ /*GILLT_nxv2s16*//*Label 1663*/ GIMT_Encode4(108136),
     /*  107409 */ /*GILLT_nxv2s32*//*Label 1664*/ GIMT_Encode4(108251),
     /*  107413 */ /*GILLT_nxv2s64*//*Label 1665*/ GIMT_Encode4(108366), GIMT_Encode4(0),
     /*  107421 */ /*GILLT_nxv4s8*//*Label 1666*/ GIMT_Encode4(108481),
     /*  107425 */ /*GILLT_nxv4s16*//*Label 1667*/ GIMT_Encode4(108596),
     /*  107429 */ /*GILLT_nxv4s32*//*Label 1668*/ GIMT_Encode4(108711),
     /*  107433 */ /*GILLT_nxv4s64*//*Label 1669*/ GIMT_Encode4(108826), GIMT_Encode4(0),
     /*  107441 */ /*GILLT_nxv8s8*//*Label 1670*/ GIMT_Encode4(108941),
     /*  107445 */ /*GILLT_nxv8s16*//*Label 1671*/ GIMT_Encode4(109056),
     /*  107449 */ /*GILLT_nxv8s32*//*Label 1672*/ GIMT_Encode4(109171),
     /*  107453 */ /*GILLT_nxv8s64*//*Label 1673*/ GIMT_Encode4(109286), GIMT_Encode4(0),
     /*  107461 */ /*GILLT_nxv16s8*//*Label 1674*/ GIMT_Encode4(109401),
     /*  107465 */ /*GILLT_nxv16s16*//*Label 1675*/ GIMT_Encode4(109516),
     /*  107469 */ /*GILLT_nxv16s32*//*Label 1676*/ GIMT_Encode4(109631), GIMT_Encode4(0),
     /*  107477 */ /*GILLT_nxv32s8*//*Label 1677*/ GIMT_Encode4(109746),
     /*  107481 */ /*GILLT_nxv32s16*//*Label 1678*/ GIMT_Encode4(109861), GIMT_Encode4(0),
     /*  107489 */ /*GILLT_nxv64s8*//*Label 1679*/ GIMT_Encode4(109976),
     /*  107493 */ // Label 1656: @107493
     /*  107493 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(107526), // Rule ID 298 //
     /*  107498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  107501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  107504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  107507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107519 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107519 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107524 */   GIR_RootConstrainSelectedInstOperands,
     /*  107525 */   // GIR_Coverage, 298,
     /*  107525 */   GIR_Done,
     /*  107526 */ // Label 1681: @107526
     /*  107526 */ GIM_Reject,
     /*  107527 */ // Label 1657: @107527
     /*  107527 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(107560), // Rule ID 297 //
     /*  107532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  107535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  107538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  107541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107553 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107553 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107558 */   GIR_RootConstrainSelectedInstOperands,
     /*  107559 */   // GIR_Coverage, 297,
     /*  107559 */   GIR_Done,
     /*  107560 */ // Label 1682: @107560
     /*  107560 */ GIM_Reject,
     /*  107561 */ // Label 1658: @107561
     /*  107561 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(107675),
     /*  107566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  107569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  107572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107584 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(107629), // Rule ID 51098 //
     /*  107589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107592 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107627 */     GIR_RootConstrainSelectedInstOperands,
     /*  107628 */     // GIR_Coverage, 51098,
     /*  107628 */     GIR_EraseRootFromParent_Done,
     /*  107629 */   // Label 1684: @107629
     /*  107629 */   GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(107674), // Rule ID 51099 //
     /*  107634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107637 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107672 */     GIR_RootConstrainSelectedInstOperands,
     /*  107673 */     // GIR_Coverage, 51099,
     /*  107673 */     GIR_EraseRootFromParent_Done,
     /*  107674 */   // Label 1685: @107674
     /*  107674 */   GIM_Reject,
     /*  107675 */ // Label 1683: @107675
     /*  107675 */ GIM_Reject,
     /*  107676 */ // Label 1659: @107676
     /*  107676 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(107790),
     /*  107681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  107684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  107687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107699 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(107744), // Rule ID 51110 //
     /*  107704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107707 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107742 */     GIR_RootConstrainSelectedInstOperands,
     /*  107743 */     // GIR_Coverage, 51110,
     /*  107743 */     GIR_EraseRootFromParent_Done,
     /*  107744 */   // Label 1687: @107744
     /*  107744 */   GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(107789), // Rule ID 51111 //
     /*  107749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107752 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107787 */     GIR_RootConstrainSelectedInstOperands,
     /*  107788 */     // GIR_Coverage, 51111,
     /*  107788 */     GIR_EraseRootFromParent_Done,
     /*  107789 */   // Label 1688: @107789
     /*  107789 */   GIM_Reject,
     /*  107790 */ // Label 1686: @107790
     /*  107790 */ GIM_Reject,
     /*  107791 */ // Label 1660: @107791
     /*  107791 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(107905),
     /*  107796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  107799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  107802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107814 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(107859), // Rule ID 51118 //
     /*  107819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107822 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  107825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  107839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107857 */     GIR_RootConstrainSelectedInstOperands,
     /*  107858 */     // GIR_Coverage, 51118,
     /*  107858 */     GIR_EraseRootFromParent_Done,
     /*  107859 */   // Label 1690: @107859
     /*  107859 */   GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(107904), // Rule ID 51119 //
     /*  107864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107867 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  107870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  107884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107902 */     GIR_RootConstrainSelectedInstOperands,
     /*  107903 */     // GIR_Coverage, 51119,
     /*  107903 */     GIR_EraseRootFromParent_Done,
     /*  107904 */   // Label 1691: @107904
     /*  107904 */   GIM_Reject,
     /*  107905 */ // Label 1689: @107905
     /*  107905 */ GIM_Reject,
     /*  107906 */ // Label 1661: @107906
     /*  107906 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(108020),
     /*  107911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  107914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  107917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107929 */   GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(107974), // Rule ID 51134 //
     /*  107934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107937 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  107940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  107954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107972 */     GIR_RootConstrainSelectedInstOperands,
     /*  107973 */     // GIR_Coverage, 51134,
     /*  107973 */     GIR_EraseRootFromParent_Done,
     /*  107974 */   // Label 1693: @107974
     /*  107974 */   GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(108019), // Rule ID 51135 //
     /*  107979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107982 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  107985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  107999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108017 */     GIR_RootConstrainSelectedInstOperands,
     /*  108018 */     // GIR_Coverage, 51135,
     /*  108018 */     GIR_EraseRootFromParent_Done,
     /*  108019 */   // Label 1694: @108019
     /*  108019 */   GIM_Reject,
     /*  108020 */ // Label 1692: @108020
     /*  108020 */ GIM_Reject,
     /*  108021 */ // Label 1662: @108021
     /*  108021 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(108135),
     /*  108026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  108029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  108032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108044 */   GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(108089), // Rule ID 51102 //
     /*  108049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108052 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108087 */     GIR_RootConstrainSelectedInstOperands,
     /*  108088 */     // GIR_Coverage, 51102,
     /*  108088 */     GIR_EraseRootFromParent_Done,
     /*  108089 */   // Label 1696: @108089
     /*  108089 */   GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(108134), // Rule ID 51103 //
     /*  108094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108097 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108132 */     GIR_RootConstrainSelectedInstOperands,
     /*  108133 */     // GIR_Coverage, 51103,
     /*  108133 */     GIR_EraseRootFromParent_Done,
     /*  108134 */   // Label 1697: @108134
     /*  108134 */   GIM_Reject,
     /*  108135 */ // Label 1695: @108135
     /*  108135 */ GIM_Reject,
     /*  108136 */ // Label 1663: @108136
     /*  108136 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(108250),
     /*  108141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  108144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  108147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108159 */   GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(108204), // Rule ID 51114 //
     /*  108164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108167 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108202 */     GIR_RootConstrainSelectedInstOperands,
     /*  108203 */     // GIR_Coverage, 51114,
     /*  108203 */     GIR_EraseRootFromParent_Done,
     /*  108204 */   // Label 1699: @108204
     /*  108204 */   GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(108249), // Rule ID 51115 //
     /*  108209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108212 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108247 */     GIR_RootConstrainSelectedInstOperands,
     /*  108248 */     // GIR_Coverage, 51115,
     /*  108248 */     GIR_EraseRootFromParent_Done,
     /*  108249 */   // Label 1700: @108249
     /*  108249 */   GIM_Reject,
     /*  108250 */ // Label 1698: @108250
     /*  108250 */ GIM_Reject,
     /*  108251 */ // Label 1664: @108251
     /*  108251 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(108365),
     /*  108256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  108259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  108262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108274 */   GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(108319), // Rule ID 51130 //
     /*  108279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108282 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108317 */     GIR_RootConstrainSelectedInstOperands,
     /*  108318 */     // GIR_Coverage, 51130,
     /*  108318 */     GIR_EraseRootFromParent_Done,
     /*  108319 */   // Label 1702: @108319
     /*  108319 */   GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(108364), // Rule ID 51131 //
     /*  108324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108327 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108362 */     GIR_RootConstrainSelectedInstOperands,
     /*  108363 */     // GIR_Coverage, 51131,
     /*  108363 */     GIR_EraseRootFromParent_Done,
     /*  108364 */   // Label 1703: @108364
     /*  108364 */   GIM_Reject,
     /*  108365 */ // Label 1701: @108365
     /*  108365 */ GIM_Reject,
     /*  108366 */ // Label 1665: @108366
     /*  108366 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(108480),
     /*  108371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  108374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  108377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108389 */   GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(108434), // Rule ID 51174 //
     /*  108394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108397 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108432 */     GIR_RootConstrainSelectedInstOperands,
     /*  108433 */     // GIR_Coverage, 51174,
     /*  108433 */     GIR_EraseRootFromParent_Done,
     /*  108434 */   // Label 1705: @108434
     /*  108434 */   GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(108479), // Rule ID 51175 //
     /*  108439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108442 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108477 */     GIR_RootConstrainSelectedInstOperands,
     /*  108478 */     // GIR_Coverage, 51175,
     /*  108478 */     GIR_EraseRootFromParent_Done,
     /*  108479 */   // Label 1706: @108479
     /*  108479 */   GIM_Reject,
     /*  108480 */ // Label 1704: @108480
     /*  108480 */ GIM_Reject,
     /*  108481 */ // Label 1666: @108481
     /*  108481 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(108595),
     /*  108486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  108489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  108492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108504 */   GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(108549), // Rule ID 51106 //
     /*  108509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108512 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108547 */     GIR_RootConstrainSelectedInstOperands,
     /*  108548 */     // GIR_Coverage, 51106,
     /*  108548 */     GIR_EraseRootFromParent_Done,
     /*  108549 */   // Label 1708: @108549
     /*  108549 */   GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(108594), // Rule ID 51107 //
     /*  108554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108557 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108592 */     GIR_RootConstrainSelectedInstOperands,
     /*  108593 */     // GIR_Coverage, 51107,
     /*  108593 */     GIR_EraseRootFromParent_Done,
     /*  108594 */   // Label 1709: @108594
     /*  108594 */   GIM_Reject,
     /*  108595 */ // Label 1707: @108595
     /*  108595 */ GIM_Reject,
     /*  108596 */ // Label 1667: @108596
     /*  108596 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(108710),
     /*  108601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  108604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  108607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108619 */   GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(108664), // Rule ID 51126 //
     /*  108624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108627 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108662 */     GIR_RootConstrainSelectedInstOperands,
     /*  108663 */     // GIR_Coverage, 51126,
     /*  108663 */     GIR_EraseRootFromParent_Done,
     /*  108664 */   // Label 1711: @108664
     /*  108664 */   GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(108709), // Rule ID 51127 //
     /*  108669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108672 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108707 */     GIR_RootConstrainSelectedInstOperands,
     /*  108708 */     // GIR_Coverage, 51127,
     /*  108708 */     GIR_EraseRootFromParent_Done,
     /*  108709 */   // Label 1712: @108709
     /*  108709 */   GIM_Reject,
     /*  108710 */ // Label 1710: @108710
     /*  108710 */ GIM_Reject,
     /*  108711 */ // Label 1668: @108711
     /*  108711 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(108825),
     /*  108716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  108719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  108722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108734 */   GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(108779), // Rule ID 51162 //
     /*  108739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108742 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108777 */     GIR_RootConstrainSelectedInstOperands,
     /*  108778 */     // GIR_Coverage, 51162,
     /*  108778 */     GIR_EraseRootFromParent_Done,
     /*  108779 */   // Label 1714: @108779
     /*  108779 */   GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(108824), // Rule ID 51163 //
     /*  108784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108787 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108822 */     GIR_RootConstrainSelectedInstOperands,
     /*  108823 */     // GIR_Coverage, 51163,
     /*  108823 */     GIR_EraseRootFromParent_Done,
     /*  108824 */   // Label 1715: @108824
     /*  108824 */   GIM_Reject,
     /*  108825 */ // Label 1713: @108825
     /*  108825 */ GIM_Reject,
     /*  108826 */ // Label 1669: @108826
     /*  108826 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(108940),
     /*  108831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  108834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  108837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108849 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(108894), // Rule ID 51178 //
     /*  108854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108857 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  108860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  108874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108892 */     GIR_RootConstrainSelectedInstOperands,
     /*  108893 */     // GIR_Coverage, 51178,
     /*  108893 */     GIR_EraseRootFromParent_Done,
     /*  108894 */   // Label 1717: @108894
     /*  108894 */   GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(108939), // Rule ID 51179 //
     /*  108899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108902 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  108905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  108919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108937 */     GIR_RootConstrainSelectedInstOperands,
     /*  108938 */     // GIR_Coverage, 51179,
     /*  108938 */     GIR_EraseRootFromParent_Done,
     /*  108939 */   // Label 1718: @108939
     /*  108939 */   GIM_Reject,
     /*  108940 */ // Label 1716: @108940
     /*  108940 */ GIM_Reject,
     /*  108941 */ // Label 1670: @108941
     /*  108941 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(109055),
     /*  108946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  108949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  108952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108964 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(109009), // Rule ID 51122 //
     /*  108969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108972 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  108975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  108989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109007 */     GIR_RootConstrainSelectedInstOperands,
     /*  109008 */     // GIR_Coverage, 51122,
     /*  109008 */     GIR_EraseRootFromParent_Done,
     /*  109009 */   // Label 1720: @109009
     /*  109009 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(109054), // Rule ID 51123 //
     /*  109014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109017 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  109020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  109034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109052 */     GIR_RootConstrainSelectedInstOperands,
     /*  109053 */     // GIR_Coverage, 51123,
     /*  109053 */     GIR_EraseRootFromParent_Done,
     /*  109054 */   // Label 1721: @109054
     /*  109054 */   GIM_Reject,
     /*  109055 */ // Label 1719: @109055
     /*  109055 */ GIM_Reject,
     /*  109056 */ // Label 1671: @109056
     /*  109056 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(109170),
     /*  109061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  109064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  109067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109079 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(109124), // Rule ID 51150 //
     /*  109084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109087 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109122 */     GIR_RootConstrainSelectedInstOperands,
     /*  109123 */     // GIR_Coverage, 51150,
     /*  109123 */     GIR_EraseRootFromParent_Done,
     /*  109124 */   // Label 1723: @109124
     /*  109124 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(109169), // Rule ID 51151 //
     /*  109129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109132 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109167 */     GIR_RootConstrainSelectedInstOperands,
     /*  109168 */     // GIR_Coverage, 51151,
     /*  109168 */     GIR_EraseRootFromParent_Done,
     /*  109169 */   // Label 1724: @109169
     /*  109169 */   GIM_Reject,
     /*  109170 */ // Label 1722: @109170
     /*  109170 */ GIM_Reject,
     /*  109171 */ // Label 1672: @109171
     /*  109171 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(109285),
     /*  109176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  109179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  109182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109194 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(109239), // Rule ID 51166 //
     /*  109199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109202 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109237 */     GIR_RootConstrainSelectedInstOperands,
     /*  109238 */     // GIR_Coverage, 51166,
     /*  109238 */     GIR_EraseRootFromParent_Done,
     /*  109239 */   // Label 1726: @109239
     /*  109239 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(109284), // Rule ID 51167 //
     /*  109244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109247 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109282 */     GIR_RootConstrainSelectedInstOperands,
     /*  109283 */     // GIR_Coverage, 51167,
     /*  109283 */     GIR_EraseRootFromParent_Done,
     /*  109284 */   // Label 1727: @109284
     /*  109284 */   GIM_Reject,
     /*  109285 */ // Label 1725: @109285
     /*  109285 */ GIM_Reject,
     /*  109286 */ // Label 1673: @109286
     /*  109286 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(109400),
     /*  109291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  109294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  109297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109309 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(109354), // Rule ID 51182 //
     /*  109314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109317 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109352 */     GIR_RootConstrainSelectedInstOperands,
     /*  109353 */     // GIR_Coverage, 51182,
     /*  109353 */     GIR_EraseRootFromParent_Done,
     /*  109354 */   // Label 1729: @109354
     /*  109354 */   GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(109399), // Rule ID 51183 //
     /*  109359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109362 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109397 */     GIR_RootConstrainSelectedInstOperands,
     /*  109398 */     // GIR_Coverage, 51183,
     /*  109398 */     GIR_EraseRootFromParent_Done,
     /*  109399 */   // Label 1730: @109399
     /*  109399 */   GIM_Reject,
     /*  109400 */ // Label 1728: @109400
     /*  109400 */ GIM_Reject,
     /*  109401 */ // Label 1674: @109401
     /*  109401 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(109515),
     /*  109406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  109409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  109412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109424 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(109469), // Rule ID 51138 //
     /*  109429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109432 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109467 */     GIR_RootConstrainSelectedInstOperands,
     /*  109468 */     // GIR_Coverage, 51138,
     /*  109468 */     GIR_EraseRootFromParent_Done,
     /*  109469 */   // Label 1732: @109469
     /*  109469 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(109514), // Rule ID 51139 //
     /*  109474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109477 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109512 */     GIR_RootConstrainSelectedInstOperands,
     /*  109513 */     // GIR_Coverage, 51139,
     /*  109513 */     GIR_EraseRootFromParent_Done,
     /*  109514 */   // Label 1733: @109514
     /*  109514 */   GIM_Reject,
     /*  109515 */ // Label 1731: @109515
     /*  109515 */ GIM_Reject,
     /*  109516 */ // Label 1675: @109516
     /*  109516 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(109630),
     /*  109521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  109524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  109527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109539 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(109584), // Rule ID 51154 //
     /*  109544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109547 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109582 */     GIR_RootConstrainSelectedInstOperands,
     /*  109583 */     // GIR_Coverage, 51154,
     /*  109583 */     GIR_EraseRootFromParent_Done,
     /*  109584 */   // Label 1735: @109584
     /*  109584 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(109629), // Rule ID 51155 //
     /*  109589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109592 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109627 */     GIR_RootConstrainSelectedInstOperands,
     /*  109628 */     // GIR_Coverage, 51155,
     /*  109628 */     GIR_EraseRootFromParent_Done,
     /*  109629 */   // Label 1736: @109629
     /*  109629 */   GIM_Reject,
     /*  109630 */ // Label 1734: @109630
     /*  109630 */ GIM_Reject,
     /*  109631 */ // Label 1676: @109631
     /*  109631 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(109745),
     /*  109636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  109639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  109642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109654 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(109699), // Rule ID 51170 //
     /*  109659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109662 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109697 */     GIR_RootConstrainSelectedInstOperands,
     /*  109698 */     // GIR_Coverage, 51170,
     /*  109698 */     GIR_EraseRootFromParent_Done,
     /*  109699 */   // Label 1738: @109699
     /*  109699 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(109744), // Rule ID 51171 //
     /*  109704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109707 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109742 */     GIR_RootConstrainSelectedInstOperands,
     /*  109743 */     // GIR_Coverage, 51171,
     /*  109743 */     GIR_EraseRootFromParent_Done,
     /*  109744 */   // Label 1739: @109744
     /*  109744 */   GIM_Reject,
     /*  109745 */ // Label 1737: @109745
     /*  109745 */ GIM_Reject,
     /*  109746 */ // Label 1677: @109746
     /*  109746 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(109860),
     /*  109751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  109754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  109757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109769 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(109814), // Rule ID 51142 //
     /*  109774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109777 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109812 */     GIR_RootConstrainSelectedInstOperands,
     /*  109813 */     // GIR_Coverage, 51142,
     /*  109813 */     GIR_EraseRootFromParent_Done,
     /*  109814 */   // Label 1741: @109814
     /*  109814 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(109859), // Rule ID 51143 //
     /*  109819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109822 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109857 */     GIR_RootConstrainSelectedInstOperands,
     /*  109858 */     // GIR_Coverage, 51143,
     /*  109858 */     GIR_EraseRootFromParent_Done,
     /*  109859 */   // Label 1742: @109859
     /*  109859 */   GIM_Reject,
     /*  109860 */ // Label 1740: @109860
     /*  109860 */ GIM_Reject,
     /*  109861 */ // Label 1678: @109861
     /*  109861 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(109975),
     /*  109866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  109869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  109872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109884 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(109929), // Rule ID 51158 //
     /*  109889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109892 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  109895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  109909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109927 */     GIR_RootConstrainSelectedInstOperands,
     /*  109928 */     // GIR_Coverage, 51158,
     /*  109928 */     GIR_EraseRootFromParent_Done,
     /*  109929 */   // Label 1744: @109929
     /*  109929 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(109974), // Rule ID 51159 //
     /*  109934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109937 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  109940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  109954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109972 */     GIR_RootConstrainSelectedInstOperands,
     /*  109973 */     // GIR_Coverage, 51159,
     /*  109973 */     GIR_EraseRootFromParent_Done,
     /*  109974 */   // Label 1745: @109974
     /*  109974 */   GIM_Reject,
     /*  109975 */ // Label 1743: @109975
     /*  109975 */ GIM_Reject,
     /*  109976 */ // Label 1679: @109976
     /*  109976 */ GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(110090),
     /*  109981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  109984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  109987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109999 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(110044), // Rule ID 51146 //
     /*  110004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110007 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110042 */     GIR_RootConstrainSelectedInstOperands,
     /*  110043 */     // GIR_Coverage, 51146,
     /*  110043 */     GIR_EraseRootFromParent_Done,
     /*  110044 */   // Label 1747: @110044
     /*  110044 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(110089), // Rule ID 51147 //
     /*  110049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110052 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110087 */     GIR_RootConstrainSelectedInstOperands,
     /*  110088 */     // GIR_Coverage, 51147,
     /*  110088 */     GIR_EraseRootFromParent_Done,
     /*  110089 */   // Label 1748: @110089
     /*  110089 */   GIM_Reject,
     /*  110090 */ // Label 1746: @110090
     /*  110090 */ GIM_Reject,
     /*  110091 */ // Label 1680: @110091
     /*  110091 */ GIM_Reject,
     /*  110092 */ // Label 4: @110092
     /*  110092 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1773*/ GIMT_Encode4(112825),
     /*  110103 */ /*GILLT_s32*//*Label 1749*/ GIMT_Encode4(110227),
     /*  110107 */ /*GILLT_s64*//*Label 1750*/ GIMT_Encode4(110261), GIMT_Encode4(0),
     /*  110115 */ /*GILLT_nxv1s8*//*Label 1751*/ GIMT_Encode4(110295),
     /*  110119 */ /*GILLT_nxv1s16*//*Label 1752*/ GIMT_Encode4(110410),
     /*  110123 */ /*GILLT_nxv1s32*//*Label 1753*/ GIMT_Encode4(110525),
     /*  110127 */ /*GILLT_nxv1s64*//*Label 1754*/ GIMT_Encode4(110640), GIMT_Encode4(0),
     /*  110135 */ /*GILLT_nxv2s8*//*Label 1755*/ GIMT_Encode4(110755),
     /*  110139 */ /*GILLT_nxv2s16*//*Label 1756*/ GIMT_Encode4(110870),
     /*  110143 */ /*GILLT_nxv2s32*//*Label 1757*/ GIMT_Encode4(110985),
     /*  110147 */ /*GILLT_nxv2s64*//*Label 1758*/ GIMT_Encode4(111100), GIMT_Encode4(0),
     /*  110155 */ /*GILLT_nxv4s8*//*Label 1759*/ GIMT_Encode4(111215),
     /*  110159 */ /*GILLT_nxv4s16*//*Label 1760*/ GIMT_Encode4(111330),
     /*  110163 */ /*GILLT_nxv4s32*//*Label 1761*/ GIMT_Encode4(111445),
     /*  110167 */ /*GILLT_nxv4s64*//*Label 1762*/ GIMT_Encode4(111560), GIMT_Encode4(0),
     /*  110175 */ /*GILLT_nxv8s8*//*Label 1763*/ GIMT_Encode4(111675),
     /*  110179 */ /*GILLT_nxv8s16*//*Label 1764*/ GIMT_Encode4(111790),
     /*  110183 */ /*GILLT_nxv8s32*//*Label 1765*/ GIMT_Encode4(111905),
     /*  110187 */ /*GILLT_nxv8s64*//*Label 1766*/ GIMT_Encode4(112020), GIMT_Encode4(0),
     /*  110195 */ /*GILLT_nxv16s8*//*Label 1767*/ GIMT_Encode4(112135),
     /*  110199 */ /*GILLT_nxv16s16*//*Label 1768*/ GIMT_Encode4(112250),
     /*  110203 */ /*GILLT_nxv16s32*//*Label 1769*/ GIMT_Encode4(112365), GIMT_Encode4(0),
     /*  110211 */ /*GILLT_nxv32s8*//*Label 1770*/ GIMT_Encode4(112480),
     /*  110215 */ /*GILLT_nxv32s16*//*Label 1771*/ GIMT_Encode4(112595), GIMT_Encode4(0),
     /*  110223 */ /*GILLT_nxv64s8*//*Label 1772*/ GIMT_Encode4(112710),
     /*  110227 */ // Label 1749: @110227
     /*  110227 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(110260), // Rule ID 300 //
     /*  110232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  110235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  110238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  110241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110253 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110253 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110258 */   GIR_RootConstrainSelectedInstOperands,
     /*  110259 */   // GIR_Coverage, 300,
     /*  110259 */   GIR_Done,
     /*  110260 */ // Label 1774: @110260
     /*  110260 */ GIM_Reject,
     /*  110261 */ // Label 1750: @110261
     /*  110261 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(110294), // Rule ID 299 //
     /*  110266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  110269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  110272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  110275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110287 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110287 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110292 */   GIR_RootConstrainSelectedInstOperands,
     /*  110293 */   // GIR_Coverage, 299,
     /*  110293 */   GIR_Done,
     /*  110294 */ // Label 1775: @110294
     /*  110294 */ GIM_Reject,
     /*  110295 */ // Label 1751: @110295
     /*  110295 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(110409),
     /*  110300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  110303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  110306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110318 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(110363), // Rule ID 51010 //
     /*  110323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110326 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110361 */     GIR_RootConstrainSelectedInstOperands,
     /*  110362 */     // GIR_Coverage, 51010,
     /*  110362 */     GIR_EraseRootFromParent_Done,
     /*  110363 */   // Label 1777: @110363
     /*  110363 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(110408), // Rule ID 51011 //
     /*  110368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110371 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110406 */     GIR_RootConstrainSelectedInstOperands,
     /*  110407 */     // GIR_Coverage, 51011,
     /*  110407 */     GIR_EraseRootFromParent_Done,
     /*  110408 */   // Label 1778: @110408
     /*  110408 */   GIM_Reject,
     /*  110409 */ // Label 1776: @110409
     /*  110409 */ GIM_Reject,
     /*  110410 */ // Label 1752: @110410
     /*  110410 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(110524),
     /*  110415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  110418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  110421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110433 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(110478), // Rule ID 51022 //
     /*  110438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110441 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110476 */     GIR_RootConstrainSelectedInstOperands,
     /*  110477 */     // GIR_Coverage, 51022,
     /*  110477 */     GIR_EraseRootFromParent_Done,
     /*  110478 */   // Label 1780: @110478
     /*  110478 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(110523), // Rule ID 51023 //
     /*  110483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110486 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110521 */     GIR_RootConstrainSelectedInstOperands,
     /*  110522 */     // GIR_Coverage, 51023,
     /*  110522 */     GIR_EraseRootFromParent_Done,
     /*  110523 */   // Label 1781: @110523
     /*  110523 */   GIM_Reject,
     /*  110524 */ // Label 1779: @110524
     /*  110524 */ GIM_Reject,
     /*  110525 */ // Label 1753: @110525
     /*  110525 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(110639),
     /*  110530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  110533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  110536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110548 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(110593), // Rule ID 51030 //
     /*  110553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110556 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110591 */     GIR_RootConstrainSelectedInstOperands,
     /*  110592 */     // GIR_Coverage, 51030,
     /*  110592 */     GIR_EraseRootFromParent_Done,
     /*  110593 */   // Label 1783: @110593
     /*  110593 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(110638), // Rule ID 51031 //
     /*  110598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110601 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110636 */     GIR_RootConstrainSelectedInstOperands,
     /*  110637 */     // GIR_Coverage, 51031,
     /*  110637 */     GIR_EraseRootFromParent_Done,
     /*  110638 */   // Label 1784: @110638
     /*  110638 */   GIM_Reject,
     /*  110639 */ // Label 1782: @110639
     /*  110639 */ GIM_Reject,
     /*  110640 */ // Label 1754: @110640
     /*  110640 */ GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(110754),
     /*  110645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  110648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  110651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110663 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(110708), // Rule ID 51046 //
     /*  110668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110671 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110706 */     GIR_RootConstrainSelectedInstOperands,
     /*  110707 */     // GIR_Coverage, 51046,
     /*  110707 */     GIR_EraseRootFromParent_Done,
     /*  110708 */   // Label 1786: @110708
     /*  110708 */   GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(110753), // Rule ID 51047 //
     /*  110713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110716 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110751 */     GIR_RootConstrainSelectedInstOperands,
     /*  110752 */     // GIR_Coverage, 51047,
     /*  110752 */     GIR_EraseRootFromParent_Done,
     /*  110753 */   // Label 1787: @110753
     /*  110753 */   GIM_Reject,
     /*  110754 */ // Label 1785: @110754
     /*  110754 */ GIM_Reject,
     /*  110755 */ // Label 1755: @110755
     /*  110755 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(110869),
     /*  110760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  110763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  110766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110778 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(110823), // Rule ID 51014 //
     /*  110783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110786 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110821 */     GIR_RootConstrainSelectedInstOperands,
     /*  110822 */     // GIR_Coverage, 51014,
     /*  110822 */     GIR_EraseRootFromParent_Done,
     /*  110823 */   // Label 1789: @110823
     /*  110823 */   GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(110868), // Rule ID 51015 //
     /*  110828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110831 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110866 */     GIR_RootConstrainSelectedInstOperands,
     /*  110867 */     // GIR_Coverage, 51015,
     /*  110867 */     GIR_EraseRootFromParent_Done,
     /*  110868 */   // Label 1790: @110868
     /*  110868 */   GIM_Reject,
     /*  110869 */ // Label 1788: @110869
     /*  110869 */ GIM_Reject,
     /*  110870 */ // Label 1756: @110870
     /*  110870 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(110984),
     /*  110875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  110878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  110881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110893 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(110938), // Rule ID 51026 //
     /*  110898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110901 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  110904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  110918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110936 */     GIR_RootConstrainSelectedInstOperands,
     /*  110937 */     // GIR_Coverage, 51026,
     /*  110937 */     GIR_EraseRootFromParent_Done,
     /*  110938 */   // Label 1792: @110938
     /*  110938 */   GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(110983), // Rule ID 51027 //
     /*  110943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110946 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  110949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  110963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110981 */     GIR_RootConstrainSelectedInstOperands,
     /*  110982 */     // GIR_Coverage, 51027,
     /*  110982 */     GIR_EraseRootFromParent_Done,
     /*  110983 */   // Label 1793: @110983
     /*  110983 */   GIM_Reject,
     /*  110984 */ // Label 1791: @110984
     /*  110984 */ GIM_Reject,
     /*  110985 */ // Label 1757: @110985
     /*  110985 */ GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(111099),
     /*  110990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  110993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  110996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111008 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(111053), // Rule ID 51042 //
     /*  111013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111016 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111051 */     GIR_RootConstrainSelectedInstOperands,
     /*  111052 */     // GIR_Coverage, 51042,
     /*  111052 */     GIR_EraseRootFromParent_Done,
     /*  111053 */   // Label 1795: @111053
     /*  111053 */   GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(111098), // Rule ID 51043 //
     /*  111058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111061 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111096 */     GIR_RootConstrainSelectedInstOperands,
     /*  111097 */     // GIR_Coverage, 51043,
     /*  111097 */     GIR_EraseRootFromParent_Done,
     /*  111098 */   // Label 1796: @111098
     /*  111098 */   GIM_Reject,
     /*  111099 */ // Label 1794: @111099
     /*  111099 */ GIM_Reject,
     /*  111100 */ // Label 1758: @111100
     /*  111100 */ GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(111214),
     /*  111105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  111108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  111111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111123 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(111168), // Rule ID 51086 //
     /*  111128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111131 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111166 */     GIR_RootConstrainSelectedInstOperands,
     /*  111167 */     // GIR_Coverage, 51086,
     /*  111167 */     GIR_EraseRootFromParent_Done,
     /*  111168 */   // Label 1798: @111168
     /*  111168 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(111213), // Rule ID 51087 //
     /*  111173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111176 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111211 */     GIR_RootConstrainSelectedInstOperands,
     /*  111212 */     // GIR_Coverage, 51087,
     /*  111212 */     GIR_EraseRootFromParent_Done,
     /*  111213 */   // Label 1799: @111213
     /*  111213 */   GIM_Reject,
     /*  111214 */ // Label 1797: @111214
     /*  111214 */ GIM_Reject,
     /*  111215 */ // Label 1759: @111215
     /*  111215 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(111329),
     /*  111220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  111223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  111226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111238 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(111283), // Rule ID 51018 //
     /*  111243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111246 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111281 */     GIR_RootConstrainSelectedInstOperands,
     /*  111282 */     // GIR_Coverage, 51018,
     /*  111282 */     GIR_EraseRootFromParent_Done,
     /*  111283 */   // Label 1801: @111283
     /*  111283 */   GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(111328), // Rule ID 51019 //
     /*  111288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111291 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111326 */     GIR_RootConstrainSelectedInstOperands,
     /*  111327 */     // GIR_Coverage, 51019,
     /*  111327 */     GIR_EraseRootFromParent_Done,
     /*  111328 */   // Label 1802: @111328
     /*  111328 */   GIM_Reject,
     /*  111329 */ // Label 1800: @111329
     /*  111329 */ GIM_Reject,
     /*  111330 */ // Label 1760: @111330
     /*  111330 */ GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(111444),
     /*  111335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  111338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  111341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111353 */   GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(111398), // Rule ID 51038 //
     /*  111358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111361 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111396 */     GIR_RootConstrainSelectedInstOperands,
     /*  111397 */     // GIR_Coverage, 51038,
     /*  111397 */     GIR_EraseRootFromParent_Done,
     /*  111398 */   // Label 1804: @111398
     /*  111398 */   GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(111443), // Rule ID 51039 //
     /*  111403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111406 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111441 */     GIR_RootConstrainSelectedInstOperands,
     /*  111442 */     // GIR_Coverage, 51039,
     /*  111442 */     GIR_EraseRootFromParent_Done,
     /*  111443 */   // Label 1805: @111443
     /*  111443 */   GIM_Reject,
     /*  111444 */ // Label 1803: @111444
     /*  111444 */ GIM_Reject,
     /*  111445 */ // Label 1761: @111445
     /*  111445 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(111559),
     /*  111450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  111453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  111456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111468 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(111513), // Rule ID 51074 //
     /*  111473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111476 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111511 */     GIR_RootConstrainSelectedInstOperands,
     /*  111512 */     // GIR_Coverage, 51074,
     /*  111512 */     GIR_EraseRootFromParent_Done,
     /*  111513 */   // Label 1807: @111513
     /*  111513 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(111558), // Rule ID 51075 //
     /*  111518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111521 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111556 */     GIR_RootConstrainSelectedInstOperands,
     /*  111557 */     // GIR_Coverage, 51075,
     /*  111557 */     GIR_EraseRootFromParent_Done,
     /*  111558 */   // Label 1808: @111558
     /*  111558 */   GIM_Reject,
     /*  111559 */ // Label 1806: @111559
     /*  111559 */ GIM_Reject,
     /*  111560 */ // Label 1762: @111560
     /*  111560 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(111674),
     /*  111565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  111568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  111571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111583 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(111628), // Rule ID 51090 //
     /*  111588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111591 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111626 */     GIR_RootConstrainSelectedInstOperands,
     /*  111627 */     // GIR_Coverage, 51090,
     /*  111627 */     GIR_EraseRootFromParent_Done,
     /*  111628 */   // Label 1810: @111628
     /*  111628 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(111673), // Rule ID 51091 //
     /*  111633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111636 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111671 */     GIR_RootConstrainSelectedInstOperands,
     /*  111672 */     // GIR_Coverage, 51091,
     /*  111672 */     GIR_EraseRootFromParent_Done,
     /*  111673 */   // Label 1811: @111673
     /*  111673 */   GIM_Reject,
     /*  111674 */ // Label 1809: @111674
     /*  111674 */ GIM_Reject,
     /*  111675 */ // Label 1763: @111675
     /*  111675 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(111789),
     /*  111680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  111683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  111686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111698 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(111743), // Rule ID 51034 //
     /*  111703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111706 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111741 */     GIR_RootConstrainSelectedInstOperands,
     /*  111742 */     // GIR_Coverage, 51034,
     /*  111742 */     GIR_EraseRootFromParent_Done,
     /*  111743 */   // Label 1813: @111743
     /*  111743 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(111788), // Rule ID 51035 //
     /*  111748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111751 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111786 */     GIR_RootConstrainSelectedInstOperands,
     /*  111787 */     // GIR_Coverage, 51035,
     /*  111787 */     GIR_EraseRootFromParent_Done,
     /*  111788 */   // Label 1814: @111788
     /*  111788 */   GIM_Reject,
     /*  111789 */ // Label 1812: @111789
     /*  111789 */ GIM_Reject,
     /*  111790 */ // Label 1764: @111790
     /*  111790 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(111904),
     /*  111795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  111798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  111801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111813 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(111858), // Rule ID 51062 //
     /*  111818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111821 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  111824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  111838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111856 */     GIR_RootConstrainSelectedInstOperands,
     /*  111857 */     // GIR_Coverage, 51062,
     /*  111857 */     GIR_EraseRootFromParent_Done,
     /*  111858 */   // Label 1816: @111858
     /*  111858 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(111903), // Rule ID 51063 //
     /*  111863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111866 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  111869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  111883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111901 */     GIR_RootConstrainSelectedInstOperands,
     /*  111902 */     // GIR_Coverage, 51063,
     /*  111902 */     GIR_EraseRootFromParent_Done,
     /*  111903 */   // Label 1817: @111903
     /*  111903 */   GIM_Reject,
     /*  111904 */ // Label 1815: @111904
     /*  111904 */ GIM_Reject,
     /*  111905 */ // Label 1765: @111905
     /*  111905 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(112019),
     /*  111910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  111913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  111916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111928 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(111973), // Rule ID 51078 //
     /*  111933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111936 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  111939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  111953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111971 */     GIR_RootConstrainSelectedInstOperands,
     /*  111972 */     // GIR_Coverage, 51078,
     /*  111972 */     GIR_EraseRootFromParent_Done,
     /*  111973 */   // Label 1819: @111973
     /*  111973 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(112018), // Rule ID 51079 //
     /*  111978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111981 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  111984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  111998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112016 */     GIR_RootConstrainSelectedInstOperands,
     /*  112017 */     // GIR_Coverage, 51079,
     /*  112017 */     GIR_EraseRootFromParent_Done,
     /*  112018 */   // Label 1820: @112018
     /*  112018 */   GIM_Reject,
     /*  112019 */ // Label 1818: @112019
     /*  112019 */ GIM_Reject,
     /*  112020 */ // Label 1766: @112020
     /*  112020 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(112134),
     /*  112025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  112028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  112031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112043 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(112088), // Rule ID 51094 //
     /*  112048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112051 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112086 */     GIR_RootConstrainSelectedInstOperands,
     /*  112087 */     // GIR_Coverage, 51094,
     /*  112087 */     GIR_EraseRootFromParent_Done,
     /*  112088 */   // Label 1822: @112088
     /*  112088 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(112133), // Rule ID 51095 //
     /*  112093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112096 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112131 */     GIR_RootConstrainSelectedInstOperands,
     /*  112132 */     // GIR_Coverage, 51095,
     /*  112132 */     GIR_EraseRootFromParent_Done,
     /*  112133 */   // Label 1823: @112133
     /*  112133 */   GIM_Reject,
     /*  112134 */ // Label 1821: @112134
     /*  112134 */ GIM_Reject,
     /*  112135 */ // Label 1767: @112135
     /*  112135 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(112249),
     /*  112140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  112143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  112146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112158 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(112203), // Rule ID 51050 //
     /*  112163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112166 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112201 */     GIR_RootConstrainSelectedInstOperands,
     /*  112202 */     // GIR_Coverage, 51050,
     /*  112202 */     GIR_EraseRootFromParent_Done,
     /*  112203 */   // Label 1825: @112203
     /*  112203 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(112248), // Rule ID 51051 //
     /*  112208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112211 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112246 */     GIR_RootConstrainSelectedInstOperands,
     /*  112247 */     // GIR_Coverage, 51051,
     /*  112247 */     GIR_EraseRootFromParent_Done,
     /*  112248 */   // Label 1826: @112248
     /*  112248 */   GIM_Reject,
     /*  112249 */ // Label 1824: @112249
     /*  112249 */ GIM_Reject,
     /*  112250 */ // Label 1768: @112250
     /*  112250 */ GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(112364),
     /*  112255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  112258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  112261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112273 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(112318), // Rule ID 51066 //
     /*  112278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112281 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112316 */     GIR_RootConstrainSelectedInstOperands,
     /*  112317 */     // GIR_Coverage, 51066,
     /*  112317 */     GIR_EraseRootFromParent_Done,
     /*  112318 */   // Label 1828: @112318
     /*  112318 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(112363), // Rule ID 51067 //
     /*  112323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112326 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112361 */     GIR_RootConstrainSelectedInstOperands,
     /*  112362 */     // GIR_Coverage, 51067,
     /*  112362 */     GIR_EraseRootFromParent_Done,
     /*  112363 */   // Label 1829: @112363
     /*  112363 */   GIM_Reject,
     /*  112364 */ // Label 1827: @112364
     /*  112364 */ GIM_Reject,
     /*  112365 */ // Label 1769: @112365
     /*  112365 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(112479),
     /*  112370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  112373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  112376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112388 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(112433), // Rule ID 51082 //
     /*  112393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112396 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112431 */     GIR_RootConstrainSelectedInstOperands,
     /*  112432 */     // GIR_Coverage, 51082,
     /*  112432 */     GIR_EraseRootFromParent_Done,
     /*  112433 */   // Label 1831: @112433
     /*  112433 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(112478), // Rule ID 51083 //
     /*  112438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112441 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112476 */     GIR_RootConstrainSelectedInstOperands,
     /*  112477 */     // GIR_Coverage, 51083,
     /*  112477 */     GIR_EraseRootFromParent_Done,
     /*  112478 */   // Label 1832: @112478
     /*  112478 */   GIM_Reject,
     /*  112479 */ // Label 1830: @112479
     /*  112479 */ GIM_Reject,
     /*  112480 */ // Label 1770: @112480
     /*  112480 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(112594),
     /*  112485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  112488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  112491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112503 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(112548), // Rule ID 51054 //
     /*  112508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112511 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112546 */     GIR_RootConstrainSelectedInstOperands,
     /*  112547 */     // GIR_Coverage, 51054,
     /*  112547 */     GIR_EraseRootFromParent_Done,
     /*  112548 */   // Label 1834: @112548
     /*  112548 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(112593), // Rule ID 51055 //
     /*  112553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112556 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112591 */     GIR_RootConstrainSelectedInstOperands,
     /*  112592 */     // GIR_Coverage, 51055,
     /*  112592 */     GIR_EraseRootFromParent_Done,
     /*  112593 */   // Label 1835: @112593
     /*  112593 */   GIM_Reject,
     /*  112594 */ // Label 1833: @112594
     /*  112594 */ GIM_Reject,
     /*  112595 */ // Label 1771: @112595
     /*  112595 */ GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(112709),
     /*  112600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  112603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  112606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112618 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(112663), // Rule ID 51070 //
     /*  112623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112626 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112661 */     GIR_RootConstrainSelectedInstOperands,
     /*  112662 */     // GIR_Coverage, 51070,
     /*  112662 */     GIR_EraseRootFromParent_Done,
     /*  112663 */   // Label 1837: @112663
     /*  112663 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(112708), // Rule ID 51071 //
     /*  112668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112671 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112706 */     GIR_RootConstrainSelectedInstOperands,
     /*  112707 */     // GIR_Coverage, 51071,
     /*  112707 */     GIR_EraseRootFromParent_Done,
     /*  112708 */   // Label 1838: @112708
     /*  112708 */   GIM_Reject,
     /*  112709 */ // Label 1836: @112709
     /*  112709 */ GIM_Reject,
     /*  112710 */ // Label 1772: @112710
     /*  112710 */ GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(112824),
     /*  112715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  112718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  112721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112733 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(112778), // Rule ID 51058 //
     /*  112738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112741 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112776 */     GIR_RootConstrainSelectedInstOperands,
     /*  112777 */     // GIR_Coverage, 51058,
     /*  112777 */     GIR_EraseRootFromParent_Done,
     /*  112778 */   // Label 1840: @112778
     /*  112778 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(112823), // Rule ID 51059 //
     /*  112783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112786 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112821 */     GIR_RootConstrainSelectedInstOperands,
     /*  112822 */     // GIR_Coverage, 51059,
     /*  112822 */     GIR_EraseRootFromParent_Done,
     /*  112823 */   // Label 1841: @112823
     /*  112823 */   GIM_Reject,
     /*  112824 */ // Label 1839: @112824
     /*  112824 */ GIM_Reject,
     /*  112825 */ // Label 1773: @112825
     /*  112825 */ GIM_Reject,
     /*  112826 */ // Label 5: @112826
     /*  112826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1866*/ GIMT_Encode4(115604),
     /*  112837 */ /*GILLT_s32*//*Label 1842*/ GIMT_Encode4(112961),
     /*  112841 */ /*GILLT_s64*//*Label 1843*/ GIMT_Encode4(112995), GIMT_Encode4(0),
     /*  112849 */ /*GILLT_nxv1s8*//*Label 1844*/ GIMT_Encode4(113074),
     /*  112853 */ /*GILLT_nxv1s16*//*Label 1845*/ GIMT_Encode4(113189),
     /*  112857 */ /*GILLT_nxv1s32*//*Label 1846*/ GIMT_Encode4(113304),
     /*  112861 */ /*GILLT_nxv1s64*//*Label 1847*/ GIMT_Encode4(113419), GIMT_Encode4(0),
     /*  112869 */ /*GILLT_nxv2s8*//*Label 1848*/ GIMT_Encode4(113534),
     /*  112873 */ /*GILLT_nxv2s16*//*Label 1849*/ GIMT_Encode4(113649),
     /*  112877 */ /*GILLT_nxv2s32*//*Label 1850*/ GIMT_Encode4(113764),
     /*  112881 */ /*GILLT_nxv2s64*//*Label 1851*/ GIMT_Encode4(113879), GIMT_Encode4(0),
     /*  112889 */ /*GILLT_nxv4s8*//*Label 1852*/ GIMT_Encode4(113994),
     /*  112893 */ /*GILLT_nxv4s16*//*Label 1853*/ GIMT_Encode4(114109),
     /*  112897 */ /*GILLT_nxv4s32*//*Label 1854*/ GIMT_Encode4(114224),
     /*  112901 */ /*GILLT_nxv4s64*//*Label 1855*/ GIMT_Encode4(114339), GIMT_Encode4(0),
     /*  112909 */ /*GILLT_nxv8s8*//*Label 1856*/ GIMT_Encode4(114454),
     /*  112913 */ /*GILLT_nxv8s16*//*Label 1857*/ GIMT_Encode4(114569),
     /*  112917 */ /*GILLT_nxv8s32*//*Label 1858*/ GIMT_Encode4(114684),
     /*  112921 */ /*GILLT_nxv8s64*//*Label 1859*/ GIMT_Encode4(114799), GIMT_Encode4(0),
     /*  112929 */ /*GILLT_nxv16s8*//*Label 1860*/ GIMT_Encode4(114914),
     /*  112933 */ /*GILLT_nxv16s16*//*Label 1861*/ GIMT_Encode4(115029),
     /*  112937 */ /*GILLT_nxv16s32*//*Label 1862*/ GIMT_Encode4(115144), GIMT_Encode4(0),
     /*  112945 */ /*GILLT_nxv32s8*//*Label 1863*/ GIMT_Encode4(115259),
     /*  112949 */ /*GILLT_nxv32s16*//*Label 1864*/ GIMT_Encode4(115374), GIMT_Encode4(0),
     /*  112957 */ /*GILLT_nxv64s8*//*Label 1865*/ GIMT_Encode4(115489),
     /*  112961 */ // Label 1842: @112961
     /*  112961 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(112994), // Rule ID 302 //
     /*  112966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  112969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  112972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  112975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112987 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  112987 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  112992 */   GIR_RootConstrainSelectedInstOperands,
     /*  112993 */   // GIR_Coverage, 302,
     /*  112993 */   GIR_Done,
     /*  112994 */ // Label 1867: @112994
     /*  112994 */ GIM_Reject,
     /*  112995 */ // Label 1843: @112995
     /*  112995 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(113073),
     /*  113000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  113003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113010 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(113049), // Rule ID 311 //
     /*  113015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  113018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  113025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  113032 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  113035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  113042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  113047 */     GIR_RootConstrainSelectedInstOperands,
     /*  113048 */     // GIR_Coverage, 311,
     /*  113048 */     GIR_EraseRootFromParent_Done,
     /*  113049 */   // Label 1869: @113049
     /*  113049 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(113072), // Rule ID 301 //
     /*  113054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  113057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113065 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  113070 */     GIR_RootConstrainSelectedInstOperands,
     /*  113071 */     // GIR_Coverage, 301,
     /*  113071 */     GIR_Done,
     /*  113072 */   // Label 1870: @113072
     /*  113072 */   GIM_Reject,
     /*  113073 */ // Label 1868: @113073
     /*  113073 */ GIM_Reject,
     /*  113074 */ // Label 1844: @113074
     /*  113074 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(113188),
     /*  113079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  113082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  113085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113097 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(113142), // Rule ID 51274 //
     /*  113102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113105 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113140 */     GIR_RootConstrainSelectedInstOperands,
     /*  113141 */     // GIR_Coverage, 51274,
     /*  113141 */     GIR_EraseRootFromParent_Done,
     /*  113142 */   // Label 1872: @113142
     /*  113142 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(113187), // Rule ID 51275 //
     /*  113147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113150 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113185 */     GIR_RootConstrainSelectedInstOperands,
     /*  113186 */     // GIR_Coverage, 51275,
     /*  113186 */     GIR_EraseRootFromParent_Done,
     /*  113187 */   // Label 1873: @113187
     /*  113187 */   GIM_Reject,
     /*  113188 */ // Label 1871: @113188
     /*  113188 */ GIM_Reject,
     /*  113189 */ // Label 1845: @113189
     /*  113189 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(113303),
     /*  113194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  113197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  113200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113212 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(113257), // Rule ID 51286 //
     /*  113217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113220 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113255 */     GIR_RootConstrainSelectedInstOperands,
     /*  113256 */     // GIR_Coverage, 51286,
     /*  113256 */     GIR_EraseRootFromParent_Done,
     /*  113257 */   // Label 1875: @113257
     /*  113257 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(113302), // Rule ID 51287 //
     /*  113262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113265 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113300 */     GIR_RootConstrainSelectedInstOperands,
     /*  113301 */     // GIR_Coverage, 51287,
     /*  113301 */     GIR_EraseRootFromParent_Done,
     /*  113302 */   // Label 1876: @113302
     /*  113302 */   GIM_Reject,
     /*  113303 */ // Label 1874: @113303
     /*  113303 */ GIM_Reject,
     /*  113304 */ // Label 1846: @113304
     /*  113304 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(113418),
     /*  113309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  113312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  113315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113327 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(113372), // Rule ID 51294 //
     /*  113332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113335 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113370 */     GIR_RootConstrainSelectedInstOperands,
     /*  113371 */     // GIR_Coverage, 51294,
     /*  113371 */     GIR_EraseRootFromParent_Done,
     /*  113372 */   // Label 1878: @113372
     /*  113372 */   GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(113417), // Rule ID 51295 //
     /*  113377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113380 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113415 */     GIR_RootConstrainSelectedInstOperands,
     /*  113416 */     // GIR_Coverage, 51295,
     /*  113416 */     GIR_EraseRootFromParent_Done,
     /*  113417 */   // Label 1879: @113417
     /*  113417 */   GIM_Reject,
     /*  113418 */ // Label 1877: @113418
     /*  113418 */ GIM_Reject,
     /*  113419 */ // Label 1847: @113419
     /*  113419 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(113533),
     /*  113424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  113427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  113430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113442 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(113487), // Rule ID 51310 //
     /*  113447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113450 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113485 */     GIR_RootConstrainSelectedInstOperands,
     /*  113486 */     // GIR_Coverage, 51310,
     /*  113486 */     GIR_EraseRootFromParent_Done,
     /*  113487 */   // Label 1881: @113487
     /*  113487 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(113532), // Rule ID 51311 //
     /*  113492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113495 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113530 */     GIR_RootConstrainSelectedInstOperands,
     /*  113531 */     // GIR_Coverage, 51311,
     /*  113531 */     GIR_EraseRootFromParent_Done,
     /*  113532 */   // Label 1882: @113532
     /*  113532 */   GIM_Reject,
     /*  113533 */ // Label 1880: @113533
     /*  113533 */ GIM_Reject,
     /*  113534 */ // Label 1848: @113534
     /*  113534 */ GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(113648),
     /*  113539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  113542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  113545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113557 */   GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(113602), // Rule ID 51278 //
     /*  113562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113565 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113600 */     GIR_RootConstrainSelectedInstOperands,
     /*  113601 */     // GIR_Coverage, 51278,
     /*  113601 */     GIR_EraseRootFromParent_Done,
     /*  113602 */   // Label 1884: @113602
     /*  113602 */   GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(113647), // Rule ID 51279 //
     /*  113607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113610 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113645 */     GIR_RootConstrainSelectedInstOperands,
     /*  113646 */     // GIR_Coverage, 51279,
     /*  113646 */     GIR_EraseRootFromParent_Done,
     /*  113647 */   // Label 1885: @113647
     /*  113647 */   GIM_Reject,
     /*  113648 */ // Label 1883: @113648
     /*  113648 */ GIM_Reject,
     /*  113649 */ // Label 1849: @113649
     /*  113649 */ GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(113763),
     /*  113654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  113657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  113660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113672 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(113717), // Rule ID 51290 //
     /*  113677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113680 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113715 */     GIR_RootConstrainSelectedInstOperands,
     /*  113716 */     // GIR_Coverage, 51290,
     /*  113716 */     GIR_EraseRootFromParent_Done,
     /*  113717 */   // Label 1887: @113717
     /*  113717 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(113762), // Rule ID 51291 //
     /*  113722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113725 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113760 */     GIR_RootConstrainSelectedInstOperands,
     /*  113761 */     // GIR_Coverage, 51291,
     /*  113761 */     GIR_EraseRootFromParent_Done,
     /*  113762 */   // Label 1888: @113762
     /*  113762 */   GIM_Reject,
     /*  113763 */ // Label 1886: @113763
     /*  113763 */ GIM_Reject,
     /*  113764 */ // Label 1850: @113764
     /*  113764 */ GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(113878),
     /*  113769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  113772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  113775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113787 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(113832), // Rule ID 51306 //
     /*  113792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113795 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  113812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113830 */     GIR_RootConstrainSelectedInstOperands,
     /*  113831 */     // GIR_Coverage, 51306,
     /*  113831 */     GIR_EraseRootFromParent_Done,
     /*  113832 */   // Label 1890: @113832
     /*  113832 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(113877), // Rule ID 51307 //
     /*  113837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113840 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  113857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113875 */     GIR_RootConstrainSelectedInstOperands,
     /*  113876 */     // GIR_Coverage, 51307,
     /*  113876 */     GIR_EraseRootFromParent_Done,
     /*  113877 */   // Label 1891: @113877
     /*  113877 */   GIM_Reject,
     /*  113878 */ // Label 1889: @113878
     /*  113878 */ GIM_Reject,
     /*  113879 */ // Label 1851: @113879
     /*  113879 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(113993),
     /*  113884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  113887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  113890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113902 */   GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(113947), // Rule ID 51350 //
     /*  113907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113910 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  113913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  113927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113945 */     GIR_RootConstrainSelectedInstOperands,
     /*  113946 */     // GIR_Coverage, 51350,
     /*  113946 */     GIR_EraseRootFromParent_Done,
     /*  113947 */   // Label 1893: @113947
     /*  113947 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(113992), // Rule ID 51351 //
     /*  113952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113955 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  113958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  113972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113990 */     GIR_RootConstrainSelectedInstOperands,
     /*  113991 */     // GIR_Coverage, 51351,
     /*  113991 */     GIR_EraseRootFromParent_Done,
     /*  113992 */   // Label 1894: @113992
     /*  113992 */   GIM_Reject,
     /*  113993 */ // Label 1892: @113993
     /*  113993 */ GIM_Reject,
     /*  113994 */ // Label 1852: @113994
     /*  113994 */ GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(114108),
     /*  113999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  114002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  114005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114017 */   GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(114062), // Rule ID 51282 //
     /*  114022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114025 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114060 */     GIR_RootConstrainSelectedInstOperands,
     /*  114061 */     // GIR_Coverage, 51282,
     /*  114061 */     GIR_EraseRootFromParent_Done,
     /*  114062 */   // Label 1896: @114062
     /*  114062 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(114107), // Rule ID 51283 //
     /*  114067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114070 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114105 */     GIR_RootConstrainSelectedInstOperands,
     /*  114106 */     // GIR_Coverage, 51283,
     /*  114106 */     GIR_EraseRootFromParent_Done,
     /*  114107 */   // Label 1897: @114107
     /*  114107 */   GIM_Reject,
     /*  114108 */ // Label 1895: @114108
     /*  114108 */ GIM_Reject,
     /*  114109 */ // Label 1853: @114109
     /*  114109 */ GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(114223),
     /*  114114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  114117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  114120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114132 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(114177), // Rule ID 51302 //
     /*  114137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114140 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114175 */     GIR_RootConstrainSelectedInstOperands,
     /*  114176 */     // GIR_Coverage, 51302,
     /*  114176 */     GIR_EraseRootFromParent_Done,
     /*  114177 */   // Label 1899: @114177
     /*  114177 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(114222), // Rule ID 51303 //
     /*  114182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114185 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114220 */     GIR_RootConstrainSelectedInstOperands,
     /*  114221 */     // GIR_Coverage, 51303,
     /*  114221 */     GIR_EraseRootFromParent_Done,
     /*  114222 */   // Label 1900: @114222
     /*  114222 */   GIM_Reject,
     /*  114223 */ // Label 1898: @114223
     /*  114223 */ GIM_Reject,
     /*  114224 */ // Label 1854: @114224
     /*  114224 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(114338),
     /*  114229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  114232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  114235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114247 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(114292), // Rule ID 51338 //
     /*  114252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114255 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114290 */     GIR_RootConstrainSelectedInstOperands,
     /*  114291 */     // GIR_Coverage, 51338,
     /*  114291 */     GIR_EraseRootFromParent_Done,
     /*  114292 */   // Label 1902: @114292
     /*  114292 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(114337), // Rule ID 51339 //
     /*  114297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114300 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114335 */     GIR_RootConstrainSelectedInstOperands,
     /*  114336 */     // GIR_Coverage, 51339,
     /*  114336 */     GIR_EraseRootFromParent_Done,
     /*  114337 */   // Label 1903: @114337
     /*  114337 */   GIM_Reject,
     /*  114338 */ // Label 1901: @114338
     /*  114338 */ GIM_Reject,
     /*  114339 */ // Label 1855: @114339
     /*  114339 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(114453),
     /*  114344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  114347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  114350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114362 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(114407), // Rule ID 51354 //
     /*  114367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114370 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114405 */     GIR_RootConstrainSelectedInstOperands,
     /*  114406 */     // GIR_Coverage, 51354,
     /*  114406 */     GIR_EraseRootFromParent_Done,
     /*  114407 */   // Label 1905: @114407
     /*  114407 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(114452), // Rule ID 51355 //
     /*  114412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114415 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114450 */     GIR_RootConstrainSelectedInstOperands,
     /*  114451 */     // GIR_Coverage, 51355,
     /*  114451 */     GIR_EraseRootFromParent_Done,
     /*  114452 */   // Label 1906: @114452
     /*  114452 */   GIM_Reject,
     /*  114453 */ // Label 1904: @114453
     /*  114453 */ GIM_Reject,
     /*  114454 */ // Label 1856: @114454
     /*  114454 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(114568),
     /*  114459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  114462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  114465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114477 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(114522), // Rule ID 51298 //
     /*  114482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114485 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114520 */     GIR_RootConstrainSelectedInstOperands,
     /*  114521 */     // GIR_Coverage, 51298,
     /*  114521 */     GIR_EraseRootFromParent_Done,
     /*  114522 */   // Label 1908: @114522
     /*  114522 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(114567), // Rule ID 51299 //
     /*  114527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114530 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114565 */     GIR_RootConstrainSelectedInstOperands,
     /*  114566 */     // GIR_Coverage, 51299,
     /*  114566 */     GIR_EraseRootFromParent_Done,
     /*  114567 */   // Label 1909: @114567
     /*  114567 */   GIM_Reject,
     /*  114568 */ // Label 1907: @114568
     /*  114568 */ GIM_Reject,
     /*  114569 */ // Label 1857: @114569
     /*  114569 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(114683),
     /*  114574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  114577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  114580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114592 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(114637), // Rule ID 51326 //
     /*  114597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114600 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114635 */     GIR_RootConstrainSelectedInstOperands,
     /*  114636 */     // GIR_Coverage, 51326,
     /*  114636 */     GIR_EraseRootFromParent_Done,
     /*  114637 */   // Label 1911: @114637
     /*  114637 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(114682), // Rule ID 51327 //
     /*  114642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114645 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114680 */     GIR_RootConstrainSelectedInstOperands,
     /*  114681 */     // GIR_Coverage, 51327,
     /*  114681 */     GIR_EraseRootFromParent_Done,
     /*  114682 */   // Label 1912: @114682
     /*  114682 */   GIM_Reject,
     /*  114683 */ // Label 1910: @114683
     /*  114683 */ GIM_Reject,
     /*  114684 */ // Label 1858: @114684
     /*  114684 */ GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(114798),
     /*  114689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  114692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  114695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114707 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(114752), // Rule ID 51342 //
     /*  114712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114715 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114750 */     GIR_RootConstrainSelectedInstOperands,
     /*  114751 */     // GIR_Coverage, 51342,
     /*  114751 */     GIR_EraseRootFromParent_Done,
     /*  114752 */   // Label 1914: @114752
     /*  114752 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(114797), // Rule ID 51343 //
     /*  114757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114760 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114795 */     GIR_RootConstrainSelectedInstOperands,
     /*  114796 */     // GIR_Coverage, 51343,
     /*  114796 */     GIR_EraseRootFromParent_Done,
     /*  114797 */   // Label 1915: @114797
     /*  114797 */   GIM_Reject,
     /*  114798 */ // Label 1913: @114798
     /*  114798 */ GIM_Reject,
     /*  114799 */ // Label 1859: @114799
     /*  114799 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(114913),
     /*  114804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  114807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  114810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114822 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(114867), // Rule ID 51358 //
     /*  114827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114830 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  114833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  114847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114865 */     GIR_RootConstrainSelectedInstOperands,
     /*  114866 */     // GIR_Coverage, 51358,
     /*  114866 */     GIR_EraseRootFromParent_Done,
     /*  114867 */   // Label 1917: @114867
     /*  114867 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(114912), // Rule ID 51359 //
     /*  114872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114875 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  114878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  114892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114910 */     GIR_RootConstrainSelectedInstOperands,
     /*  114911 */     // GIR_Coverage, 51359,
     /*  114911 */     GIR_EraseRootFromParent_Done,
     /*  114912 */   // Label 1918: @114912
     /*  114912 */   GIM_Reject,
     /*  114913 */ // Label 1916: @114913
     /*  114913 */ GIM_Reject,
     /*  114914 */ // Label 1860: @114914
     /*  114914 */ GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(115028),
     /*  114919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  114922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  114925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114937 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(114982), // Rule ID 51314 //
     /*  114942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114945 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  114948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  114962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114980 */     GIR_RootConstrainSelectedInstOperands,
     /*  114981 */     // GIR_Coverage, 51314,
     /*  114981 */     GIR_EraseRootFromParent_Done,
     /*  114982 */   // Label 1920: @114982
     /*  114982 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(115027), // Rule ID 51315 //
     /*  114987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114990 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  114993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  115007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115025 */     GIR_RootConstrainSelectedInstOperands,
     /*  115026 */     // GIR_Coverage, 51315,
     /*  115026 */     GIR_EraseRootFromParent_Done,
     /*  115027 */   // Label 1921: @115027
     /*  115027 */   GIM_Reject,
     /*  115028 */ // Label 1919: @115028
     /*  115028 */ GIM_Reject,
     /*  115029 */ // Label 1861: @115029
     /*  115029 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(115143),
     /*  115034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  115037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  115040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115052 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(115097), // Rule ID 51330 //
     /*  115057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115060 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115095 */     GIR_RootConstrainSelectedInstOperands,
     /*  115096 */     // GIR_Coverage, 51330,
     /*  115096 */     GIR_EraseRootFromParent_Done,
     /*  115097 */   // Label 1923: @115097
     /*  115097 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(115142), // Rule ID 51331 //
     /*  115102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115105 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115140 */     GIR_RootConstrainSelectedInstOperands,
     /*  115141 */     // GIR_Coverage, 51331,
     /*  115141 */     GIR_EraseRootFromParent_Done,
     /*  115142 */   // Label 1924: @115142
     /*  115142 */   GIM_Reject,
     /*  115143 */ // Label 1922: @115143
     /*  115143 */ GIM_Reject,
     /*  115144 */ // Label 1862: @115144
     /*  115144 */ GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(115258),
     /*  115149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  115152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  115155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115167 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(115212), // Rule ID 51346 //
     /*  115172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115175 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  115175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115210 */     GIR_RootConstrainSelectedInstOperands,
     /*  115211 */     // GIR_Coverage, 51346,
     /*  115211 */     GIR_EraseRootFromParent_Done,
     /*  115212 */   // Label 1926: @115212
     /*  115212 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(115257), // Rule ID 51347 //
     /*  115217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115220 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  115220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115255 */     GIR_RootConstrainSelectedInstOperands,
     /*  115256 */     // GIR_Coverage, 51347,
     /*  115256 */     GIR_EraseRootFromParent_Done,
     /*  115257 */   // Label 1927: @115257
     /*  115257 */   GIM_Reject,
     /*  115258 */ // Label 1925: @115258
     /*  115258 */ GIM_Reject,
     /*  115259 */ // Label 1863: @115259
     /*  115259 */ GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(115373),
     /*  115264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  115267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  115270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115282 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(115327), // Rule ID 51318 //
     /*  115287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115290 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115325 */     GIR_RootConstrainSelectedInstOperands,
     /*  115326 */     // GIR_Coverage, 51318,
     /*  115326 */     GIR_EraseRootFromParent_Done,
     /*  115327 */   // Label 1929: @115327
     /*  115327 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(115372), // Rule ID 51319 //
     /*  115332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115335 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115370 */     GIR_RootConstrainSelectedInstOperands,
     /*  115371 */     // GIR_Coverage, 51319,
     /*  115371 */     GIR_EraseRootFromParent_Done,
     /*  115372 */   // Label 1930: @115372
     /*  115372 */   GIM_Reject,
     /*  115373 */ // Label 1928: @115373
     /*  115373 */ GIM_Reject,
     /*  115374 */ // Label 1864: @115374
     /*  115374 */ GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(115488),
     /*  115379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  115382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  115385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115397 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(115442), // Rule ID 51334 //
     /*  115402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115405 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115440 */     GIR_RootConstrainSelectedInstOperands,
     /*  115441 */     // GIR_Coverage, 51334,
     /*  115441 */     GIR_EraseRootFromParent_Done,
     /*  115442 */   // Label 1932: @115442
     /*  115442 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(115487), // Rule ID 51335 //
     /*  115447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115450 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115485 */     GIR_RootConstrainSelectedInstOperands,
     /*  115486 */     // GIR_Coverage, 51335,
     /*  115486 */     GIR_EraseRootFromParent_Done,
     /*  115487 */   // Label 1933: @115487
     /*  115487 */   GIM_Reject,
     /*  115488 */ // Label 1931: @115488
     /*  115488 */ GIM_Reject,
     /*  115489 */ // Label 1865: @115489
     /*  115489 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(115603),
     /*  115494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  115497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  115500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115512 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(115557), // Rule ID 51322 //
     /*  115517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115520 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115555 */     GIR_RootConstrainSelectedInstOperands,
     /*  115556 */     // GIR_Coverage, 51322,
     /*  115556 */     GIR_EraseRootFromParent_Done,
     /*  115557 */   // Label 1935: @115557
     /*  115557 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(115602), // Rule ID 51323 //
     /*  115562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115565 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115600 */     GIR_RootConstrainSelectedInstOperands,
     /*  115601 */     // GIR_Coverage, 51323,
     /*  115601 */     GIR_EraseRootFromParent_Done,
     /*  115602 */   // Label 1936: @115602
     /*  115602 */   GIM_Reject,
     /*  115603 */ // Label 1934: @115603
     /*  115603 */ GIM_Reject,
     /*  115604 */ // Label 1866: @115604
     /*  115604 */ GIM_Reject,
     /*  115605 */ // Label 6: @115605
     /*  115605 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1961*/ GIMT_Encode4(118338),
     /*  115616 */ /*GILLT_s32*//*Label 1937*/ GIMT_Encode4(115740),
     /*  115620 */ /*GILLT_s64*//*Label 1938*/ GIMT_Encode4(115774), GIMT_Encode4(0),
     /*  115628 */ /*GILLT_nxv1s8*//*Label 1939*/ GIMT_Encode4(115808),
     /*  115632 */ /*GILLT_nxv1s16*//*Label 1940*/ GIMT_Encode4(115923),
     /*  115636 */ /*GILLT_nxv1s32*//*Label 1941*/ GIMT_Encode4(116038),
     /*  115640 */ /*GILLT_nxv1s64*//*Label 1942*/ GIMT_Encode4(116153), GIMT_Encode4(0),
     /*  115648 */ /*GILLT_nxv2s8*//*Label 1943*/ GIMT_Encode4(116268),
     /*  115652 */ /*GILLT_nxv2s16*//*Label 1944*/ GIMT_Encode4(116383),
     /*  115656 */ /*GILLT_nxv2s32*//*Label 1945*/ GIMT_Encode4(116498),
     /*  115660 */ /*GILLT_nxv2s64*//*Label 1946*/ GIMT_Encode4(116613), GIMT_Encode4(0),
     /*  115668 */ /*GILLT_nxv4s8*//*Label 1947*/ GIMT_Encode4(116728),
     /*  115672 */ /*GILLT_nxv4s16*//*Label 1948*/ GIMT_Encode4(116843),
     /*  115676 */ /*GILLT_nxv4s32*//*Label 1949*/ GIMT_Encode4(116958),
     /*  115680 */ /*GILLT_nxv4s64*//*Label 1950*/ GIMT_Encode4(117073), GIMT_Encode4(0),
     /*  115688 */ /*GILLT_nxv8s8*//*Label 1951*/ GIMT_Encode4(117188),
     /*  115692 */ /*GILLT_nxv8s16*//*Label 1952*/ GIMT_Encode4(117303),
     /*  115696 */ /*GILLT_nxv8s32*//*Label 1953*/ GIMT_Encode4(117418),
     /*  115700 */ /*GILLT_nxv8s64*//*Label 1954*/ GIMT_Encode4(117533), GIMT_Encode4(0),
     /*  115708 */ /*GILLT_nxv16s8*//*Label 1955*/ GIMT_Encode4(117648),
     /*  115712 */ /*GILLT_nxv16s16*//*Label 1956*/ GIMT_Encode4(117763),
     /*  115716 */ /*GILLT_nxv16s32*//*Label 1957*/ GIMT_Encode4(117878), GIMT_Encode4(0),
     /*  115724 */ /*GILLT_nxv32s8*//*Label 1958*/ GIMT_Encode4(117993),
     /*  115728 */ /*GILLT_nxv32s16*//*Label 1959*/ GIMT_Encode4(118108), GIMT_Encode4(0),
     /*  115736 */ /*GILLT_nxv64s8*//*Label 1960*/ GIMT_Encode4(118223),
     /*  115740 */ // Label 1937: @115740
     /*  115740 */ GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(115773), // Rule ID 304 //
     /*  115745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  115748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  115751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  115754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115766 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115766 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115771 */   GIR_RootConstrainSelectedInstOperands,
     /*  115772 */   // GIR_Coverage, 304,
     /*  115772 */   GIR_Done,
     /*  115773 */ // Label 1962: @115773
     /*  115773 */ GIM_Reject,
     /*  115774 */ // Label 1938: @115774
     /*  115774 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(115807), // Rule ID 303 //
     /*  115779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  115782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115800 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115800 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115805 */   GIR_RootConstrainSelectedInstOperands,
     /*  115806 */   // GIR_Coverage, 303,
     /*  115806 */   GIR_Done,
     /*  115807 */ // Label 1963: @115807
     /*  115807 */ GIM_Reject,
     /*  115808 */ // Label 1939: @115808
     /*  115808 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(115922),
     /*  115813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  115816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115831 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(115876), // Rule ID 51186 //
     /*  115836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115839 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  115842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  115856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115874 */     GIR_RootConstrainSelectedInstOperands,
     /*  115875 */     // GIR_Coverage, 51186,
     /*  115875 */     GIR_EraseRootFromParent_Done,
     /*  115876 */   // Label 1965: @115876
     /*  115876 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(115921), // Rule ID 51187 //
     /*  115881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115884 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  115887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  115901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115919 */     GIR_RootConstrainSelectedInstOperands,
     /*  115920 */     // GIR_Coverage, 51187,
     /*  115920 */     GIR_EraseRootFromParent_Done,
     /*  115921 */   // Label 1966: @115921
     /*  115921 */   GIM_Reject,
     /*  115922 */ // Label 1964: @115922
     /*  115922 */ GIM_Reject,
     /*  115923 */ // Label 1940: @115923
     /*  115923 */ GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(116037),
     /*  115928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  115931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  115934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115946 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(115991), // Rule ID 51198 //
     /*  115951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115954 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  115957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  115971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115989 */     GIR_RootConstrainSelectedInstOperands,
     /*  115990 */     // GIR_Coverage, 51198,
     /*  115990 */     GIR_EraseRootFromParent_Done,
     /*  115991 */   // Label 1968: @115991
     /*  115991 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(116036), // Rule ID 51199 //
     /*  115996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115999 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  116002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  116016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116034 */     GIR_RootConstrainSelectedInstOperands,
     /*  116035 */     // GIR_Coverage, 51199,
     /*  116035 */     GIR_EraseRootFromParent_Done,
     /*  116036 */   // Label 1969: @116036
     /*  116036 */   GIM_Reject,
     /*  116037 */ // Label 1967: @116037
     /*  116037 */ GIM_Reject,
     /*  116038 */ // Label 1941: @116038
     /*  116038 */ GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(116152),
     /*  116043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  116046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  116049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116061 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(116106), // Rule ID 51206 //
     /*  116066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116069 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116104 */     GIR_RootConstrainSelectedInstOperands,
     /*  116105 */     // GIR_Coverage, 51206,
     /*  116105 */     GIR_EraseRootFromParent_Done,
     /*  116106 */   // Label 1971: @116106
     /*  116106 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(116151), // Rule ID 51207 //
     /*  116111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116114 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116149 */     GIR_RootConstrainSelectedInstOperands,
     /*  116150 */     // GIR_Coverage, 51207,
     /*  116150 */     GIR_EraseRootFromParent_Done,
     /*  116151 */   // Label 1972: @116151
     /*  116151 */   GIM_Reject,
     /*  116152 */ // Label 1970: @116152
     /*  116152 */ GIM_Reject,
     /*  116153 */ // Label 1942: @116153
     /*  116153 */ GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(116267),
     /*  116158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  116161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  116164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116176 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(116221), // Rule ID 51222 //
     /*  116181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116184 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116219 */     GIR_RootConstrainSelectedInstOperands,
     /*  116220 */     // GIR_Coverage, 51222,
     /*  116220 */     GIR_EraseRootFromParent_Done,
     /*  116221 */   // Label 1974: @116221
     /*  116221 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(116266), // Rule ID 51223 //
     /*  116226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116229 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116264 */     GIR_RootConstrainSelectedInstOperands,
     /*  116265 */     // GIR_Coverage, 51223,
     /*  116265 */     GIR_EraseRootFromParent_Done,
     /*  116266 */   // Label 1975: @116266
     /*  116266 */   GIM_Reject,
     /*  116267 */ // Label 1973: @116267
     /*  116267 */ GIM_Reject,
     /*  116268 */ // Label 1943: @116268
     /*  116268 */ GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(116382),
     /*  116273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  116276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  116279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116291 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(116336), // Rule ID 51190 //
     /*  116296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116299 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116334 */     GIR_RootConstrainSelectedInstOperands,
     /*  116335 */     // GIR_Coverage, 51190,
     /*  116335 */     GIR_EraseRootFromParent_Done,
     /*  116336 */   // Label 1977: @116336
     /*  116336 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(116381), // Rule ID 51191 //
     /*  116341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116344 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116379 */     GIR_RootConstrainSelectedInstOperands,
     /*  116380 */     // GIR_Coverage, 51191,
     /*  116380 */     GIR_EraseRootFromParent_Done,
     /*  116381 */   // Label 1978: @116381
     /*  116381 */   GIM_Reject,
     /*  116382 */ // Label 1976: @116382
     /*  116382 */ GIM_Reject,
     /*  116383 */ // Label 1944: @116383
     /*  116383 */ GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(116497),
     /*  116388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  116391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  116394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116406 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(116451), // Rule ID 51202 //
     /*  116411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116414 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116449 */     GIR_RootConstrainSelectedInstOperands,
     /*  116450 */     // GIR_Coverage, 51202,
     /*  116450 */     GIR_EraseRootFromParent_Done,
     /*  116451 */   // Label 1980: @116451
     /*  116451 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(116496), // Rule ID 51203 //
     /*  116456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116459 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116494 */     GIR_RootConstrainSelectedInstOperands,
     /*  116495 */     // GIR_Coverage, 51203,
     /*  116495 */     GIR_EraseRootFromParent_Done,
     /*  116496 */   // Label 1981: @116496
     /*  116496 */   GIM_Reject,
     /*  116497 */ // Label 1979: @116497
     /*  116497 */ GIM_Reject,
     /*  116498 */ // Label 1945: @116498
     /*  116498 */ GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(116612),
     /*  116503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  116506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  116509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116521 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(116566), // Rule ID 51218 //
     /*  116526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116529 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116564 */     GIR_RootConstrainSelectedInstOperands,
     /*  116565 */     // GIR_Coverage, 51218,
     /*  116565 */     GIR_EraseRootFromParent_Done,
     /*  116566 */   // Label 1983: @116566
     /*  116566 */   GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(116611), // Rule ID 51219 //
     /*  116571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116574 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116609 */     GIR_RootConstrainSelectedInstOperands,
     /*  116610 */     // GIR_Coverage, 51219,
     /*  116610 */     GIR_EraseRootFromParent_Done,
     /*  116611 */   // Label 1984: @116611
     /*  116611 */   GIM_Reject,
     /*  116612 */ // Label 1982: @116612
     /*  116612 */ GIM_Reject,
     /*  116613 */ // Label 1946: @116613
     /*  116613 */ GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(116727),
     /*  116618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  116621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  116624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116636 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(116681), // Rule ID 51262 //
     /*  116641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116644 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116679 */     GIR_RootConstrainSelectedInstOperands,
     /*  116680 */     // GIR_Coverage, 51262,
     /*  116680 */     GIR_EraseRootFromParent_Done,
     /*  116681 */   // Label 1986: @116681
     /*  116681 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(116726), // Rule ID 51263 //
     /*  116686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116689 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116724 */     GIR_RootConstrainSelectedInstOperands,
     /*  116725 */     // GIR_Coverage, 51263,
     /*  116725 */     GIR_EraseRootFromParent_Done,
     /*  116726 */   // Label 1987: @116726
     /*  116726 */   GIM_Reject,
     /*  116727 */ // Label 1985: @116727
     /*  116727 */ GIM_Reject,
     /*  116728 */ // Label 1947: @116728
     /*  116728 */ GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(116842),
     /*  116733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  116736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  116739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116751 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(116796), // Rule ID 51194 //
     /*  116756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116759 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116794 */     GIR_RootConstrainSelectedInstOperands,
     /*  116795 */     // GIR_Coverage, 51194,
     /*  116795 */     GIR_EraseRootFromParent_Done,
     /*  116796 */   // Label 1989: @116796
     /*  116796 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(116841), // Rule ID 51195 //
     /*  116801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116804 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116839 */     GIR_RootConstrainSelectedInstOperands,
     /*  116840 */     // GIR_Coverage, 51195,
     /*  116840 */     GIR_EraseRootFromParent_Done,
     /*  116841 */   // Label 1990: @116841
     /*  116841 */   GIM_Reject,
     /*  116842 */ // Label 1988: @116842
     /*  116842 */ GIM_Reject,
     /*  116843 */ // Label 1948: @116843
     /*  116843 */ GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(116957),
     /*  116848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  116851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  116854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116866 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(116911), // Rule ID 51214 //
     /*  116871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116874 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  116877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  116891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116909 */     GIR_RootConstrainSelectedInstOperands,
     /*  116910 */     // GIR_Coverage, 51214,
     /*  116910 */     GIR_EraseRootFromParent_Done,
     /*  116911 */   // Label 1992: @116911
     /*  116911 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(116956), // Rule ID 51215 //
     /*  116916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116919 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  116922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  116936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116954 */     GIR_RootConstrainSelectedInstOperands,
     /*  116955 */     // GIR_Coverage, 51215,
     /*  116955 */     GIR_EraseRootFromParent_Done,
     /*  116956 */   // Label 1993: @116956
     /*  116956 */   GIM_Reject,
     /*  116957 */ // Label 1991: @116957
     /*  116957 */ GIM_Reject,
     /*  116958 */ // Label 1949: @116958
     /*  116958 */ GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(117072),
     /*  116963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  116966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  116969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116981 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(117026), // Rule ID 51250 //
     /*  116986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116989 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  116992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117024 */     GIR_RootConstrainSelectedInstOperands,
     /*  117025 */     // GIR_Coverage, 51250,
     /*  117025 */     GIR_EraseRootFromParent_Done,
     /*  117026 */   // Label 1995: @117026
     /*  117026 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(117071), // Rule ID 51251 //
     /*  117031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117034 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  117037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117069 */     GIR_RootConstrainSelectedInstOperands,
     /*  117070 */     // GIR_Coverage, 51251,
     /*  117070 */     GIR_EraseRootFromParent_Done,
     /*  117071 */   // Label 1996: @117071
     /*  117071 */   GIM_Reject,
     /*  117072 */ // Label 1994: @117072
     /*  117072 */ GIM_Reject,
     /*  117073 */ // Label 1950: @117073
     /*  117073 */ GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(117187),
     /*  117078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  117081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  117084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117096 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(117141), // Rule ID 51266 //
     /*  117101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117104 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117139 */     GIR_RootConstrainSelectedInstOperands,
     /*  117140 */     // GIR_Coverage, 51266,
     /*  117140 */     GIR_EraseRootFromParent_Done,
     /*  117141 */   // Label 1998: @117141
     /*  117141 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(117186), // Rule ID 51267 //
     /*  117146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117149 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117184 */     GIR_RootConstrainSelectedInstOperands,
     /*  117185 */     // GIR_Coverage, 51267,
     /*  117185 */     GIR_EraseRootFromParent_Done,
     /*  117186 */   // Label 1999: @117186
     /*  117186 */   GIM_Reject,
     /*  117187 */ // Label 1997: @117187
     /*  117187 */ GIM_Reject,
     /*  117188 */ // Label 1951: @117188
     /*  117188 */ GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(117302),
     /*  117193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  117196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  117199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117211 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(117256), // Rule ID 51210 //
     /*  117216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117219 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117254 */     GIR_RootConstrainSelectedInstOperands,
     /*  117255 */     // GIR_Coverage, 51210,
     /*  117255 */     GIR_EraseRootFromParent_Done,
     /*  117256 */   // Label 2001: @117256
     /*  117256 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(117301), // Rule ID 51211 //
     /*  117261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117264 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117299 */     GIR_RootConstrainSelectedInstOperands,
     /*  117300 */     // GIR_Coverage, 51211,
     /*  117300 */     GIR_EraseRootFromParent_Done,
     /*  117301 */   // Label 2002: @117301
     /*  117301 */   GIM_Reject,
     /*  117302 */ // Label 2000: @117302
     /*  117302 */ GIM_Reject,
     /*  117303 */ // Label 1952: @117303
     /*  117303 */ GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(117417),
     /*  117308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  117311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  117314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117326 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(117371), // Rule ID 51238 //
     /*  117331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117334 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117369 */     GIR_RootConstrainSelectedInstOperands,
     /*  117370 */     // GIR_Coverage, 51238,
     /*  117370 */     GIR_EraseRootFromParent_Done,
     /*  117371 */   // Label 2004: @117371
     /*  117371 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(117416), // Rule ID 51239 //
     /*  117376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117379 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117414 */     GIR_RootConstrainSelectedInstOperands,
     /*  117415 */     // GIR_Coverage, 51239,
     /*  117415 */     GIR_EraseRootFromParent_Done,
     /*  117416 */   // Label 2005: @117416
     /*  117416 */   GIM_Reject,
     /*  117417 */ // Label 2003: @117417
     /*  117417 */ GIM_Reject,
     /*  117418 */ // Label 1953: @117418
     /*  117418 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(117532),
     /*  117423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  117426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  117429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117441 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(117486), // Rule ID 51254 //
     /*  117446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117449 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117484 */     GIR_RootConstrainSelectedInstOperands,
     /*  117485 */     // GIR_Coverage, 51254,
     /*  117485 */     GIR_EraseRootFromParent_Done,
     /*  117486 */   // Label 2007: @117486
     /*  117486 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(117531), // Rule ID 51255 //
     /*  117491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117494 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117529 */     GIR_RootConstrainSelectedInstOperands,
     /*  117530 */     // GIR_Coverage, 51255,
     /*  117530 */     GIR_EraseRootFromParent_Done,
     /*  117531 */   // Label 2008: @117531
     /*  117531 */   GIM_Reject,
     /*  117532 */ // Label 2006: @117532
     /*  117532 */ GIM_Reject,
     /*  117533 */ // Label 1954: @117533
     /*  117533 */ GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(117647),
     /*  117538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  117541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  117544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117556 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(117601), // Rule ID 51270 //
     /*  117561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117564 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117599 */     GIR_RootConstrainSelectedInstOperands,
     /*  117600 */     // GIR_Coverage, 51270,
     /*  117600 */     GIR_EraseRootFromParent_Done,
     /*  117601 */   // Label 2010: @117601
     /*  117601 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(117646), // Rule ID 51271 //
     /*  117606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117609 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117644 */     GIR_RootConstrainSelectedInstOperands,
     /*  117645 */     // GIR_Coverage, 51271,
     /*  117645 */     GIR_EraseRootFromParent_Done,
     /*  117646 */   // Label 2011: @117646
     /*  117646 */   GIM_Reject,
     /*  117647 */ // Label 2009: @117647
     /*  117647 */ GIM_Reject,
     /*  117648 */ // Label 1955: @117648
     /*  117648 */ GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(117762),
     /*  117653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  117656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  117659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117671 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(117716), // Rule ID 51226 //
     /*  117676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117679 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117714 */     GIR_RootConstrainSelectedInstOperands,
     /*  117715 */     // GIR_Coverage, 51226,
     /*  117715 */     GIR_EraseRootFromParent_Done,
     /*  117716 */   // Label 2013: @117716
     /*  117716 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(117761), // Rule ID 51227 //
     /*  117721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117724 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117759 */     GIR_RootConstrainSelectedInstOperands,
     /*  117760 */     // GIR_Coverage, 51227,
     /*  117760 */     GIR_EraseRootFromParent_Done,
     /*  117761 */   // Label 2014: @117761
     /*  117761 */   GIM_Reject,
     /*  117762 */ // Label 2012: @117762
     /*  117762 */ GIM_Reject,
     /*  117763 */ // Label 1956: @117763
     /*  117763 */ GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(117877),
     /*  117768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  117771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  117774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117786 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(117831), // Rule ID 51242 //
     /*  117791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117794 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  117811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117829 */     GIR_RootConstrainSelectedInstOperands,
     /*  117830 */     // GIR_Coverage, 51242,
     /*  117830 */     GIR_EraseRootFromParent_Done,
     /*  117831 */   // Label 2016: @117831
     /*  117831 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(117876), // Rule ID 51243 //
     /*  117836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117839 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  117856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117874 */     GIR_RootConstrainSelectedInstOperands,
     /*  117875 */     // GIR_Coverage, 51243,
     /*  117875 */     GIR_EraseRootFromParent_Done,
     /*  117876 */   // Label 2017: @117876
     /*  117876 */   GIM_Reject,
     /*  117877 */ // Label 2015: @117877
     /*  117877 */ GIM_Reject,
     /*  117878 */ // Label 1957: @117878
     /*  117878 */ GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(117992),
     /*  117883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  117886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  117889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117901 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(117946), // Rule ID 51258 //
     /*  117906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117909 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  117912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  117926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117944 */     GIR_RootConstrainSelectedInstOperands,
     /*  117945 */     // GIR_Coverage, 51258,
     /*  117945 */     GIR_EraseRootFromParent_Done,
     /*  117946 */   // Label 2019: @117946
     /*  117946 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(117991), // Rule ID 51259 //
     /*  117951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117954 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  117957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  117971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117989 */     GIR_RootConstrainSelectedInstOperands,
     /*  117990 */     // GIR_Coverage, 51259,
     /*  117990 */     GIR_EraseRootFromParent_Done,
     /*  117991 */   // Label 2020: @117991
     /*  117991 */   GIM_Reject,
     /*  117992 */ // Label 2018: @117992
     /*  117992 */ GIM_Reject,
     /*  117993 */ // Label 1958: @117993
     /*  117993 */ GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(118107),
     /*  117998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  118001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  118004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118016 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(118061), // Rule ID 51230 //
     /*  118021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118024 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118059 */     GIR_RootConstrainSelectedInstOperands,
     /*  118060 */     // GIR_Coverage, 51230,
     /*  118060 */     GIR_EraseRootFromParent_Done,
     /*  118061 */   // Label 2022: @118061
     /*  118061 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(118106), // Rule ID 51231 //
     /*  118066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118069 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118104 */     GIR_RootConstrainSelectedInstOperands,
     /*  118105 */     // GIR_Coverage, 51231,
     /*  118105 */     GIR_EraseRootFromParent_Done,
     /*  118106 */   // Label 2023: @118106
     /*  118106 */   GIM_Reject,
     /*  118107 */ // Label 2021: @118107
     /*  118107 */ GIM_Reject,
     /*  118108 */ // Label 1959: @118108
     /*  118108 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(118222),
     /*  118113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  118116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  118119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118131 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(118176), // Rule ID 51246 //
     /*  118136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118139 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118174 */     GIR_RootConstrainSelectedInstOperands,
     /*  118175 */     // GIR_Coverage, 51246,
     /*  118175 */     GIR_EraseRootFromParent_Done,
     /*  118176 */   // Label 2025: @118176
     /*  118176 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(118221), // Rule ID 51247 //
     /*  118181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118184 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118219 */     GIR_RootConstrainSelectedInstOperands,
     /*  118220 */     // GIR_Coverage, 51247,
     /*  118220 */     GIR_EraseRootFromParent_Done,
     /*  118221 */   // Label 2026: @118221
     /*  118221 */   GIM_Reject,
     /*  118222 */ // Label 2024: @118222
     /*  118222 */ GIM_Reject,
     /*  118223 */ // Label 1960: @118223
     /*  118223 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(118337),
     /*  118228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  118231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  118234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118246 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(118291), // Rule ID 51234 //
     /*  118251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118254 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118289 */     GIR_RootConstrainSelectedInstOperands,
     /*  118290 */     // GIR_Coverage, 51234,
     /*  118290 */     GIR_EraseRootFromParent_Done,
     /*  118291 */   // Label 2028: @118291
     /*  118291 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(118336), // Rule ID 51235 //
     /*  118296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118299 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118334 */     GIR_RootConstrainSelectedInstOperands,
     /*  118335 */     // GIR_Coverage, 51235,
     /*  118335 */     GIR_EraseRootFromParent_Done,
     /*  118336 */   // Label 2029: @118336
     /*  118336 */   GIM_Reject,
     /*  118337 */ // Label 2027: @118337
     /*  118337 */ GIM_Reject,
     /*  118338 */ // Label 1961: @118338
     /*  118338 */ GIM_Reject,
     /*  118339 */ // Label 7: @118339
     /*  118339 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2061*/ GIMT_Encode4(127820),
     /*  118350 */ /*GILLT_s32*//*Label 2030*/ GIMT_Encode4(118474),
     /*  118354 */ /*GILLT_s64*//*Label 2031*/ GIMT_Encode4(119692),
     /*  118358 */ /*GILLT_nxv1s1*//*Label 2032*/ GIMT_Encode4(121013),
     /*  118362 */ /*GILLT_nxv1s8*//*Label 2033*/ GIMT_Encode4(121624),
     /*  118366 */ /*GILLT_nxv1s16*//*Label 2034*/ GIMT_Encode4(121739),
     /*  118370 */ /*GILLT_nxv1s32*//*Label 2035*/ GIMT_Encode4(121854),
     /*  118374 */ /*GILLT_nxv1s64*//*Label 2036*/ GIMT_Encode4(121969),
     /*  118378 */ /*GILLT_nxv2s1*//*Label 2037*/ GIMT_Encode4(122084),
     /*  118382 */ /*GILLT_nxv2s8*//*Label 2038*/ GIMT_Encode4(122695),
     /*  118386 */ /*GILLT_nxv2s16*//*Label 2039*/ GIMT_Encode4(122810),
     /*  118390 */ /*GILLT_nxv2s32*//*Label 2040*/ GIMT_Encode4(122925),
     /*  118394 */ /*GILLT_nxv2s64*//*Label 2041*/ GIMT_Encode4(123040),
     /*  118398 */ /*GILLT_nxv4s1*//*Label 2042*/ GIMT_Encode4(123155),
     /*  118402 */ /*GILLT_nxv4s8*//*Label 2043*/ GIMT_Encode4(123766),
     /*  118406 */ /*GILLT_nxv4s16*//*Label 2044*/ GIMT_Encode4(123881),
     /*  118410 */ /*GILLT_nxv4s32*//*Label 2045*/ GIMT_Encode4(123996),
     /*  118414 */ /*GILLT_nxv4s64*//*Label 2046*/ GIMT_Encode4(124111),
     /*  118418 */ /*GILLT_nxv8s1*//*Label 2047*/ GIMT_Encode4(124226),
     /*  118422 */ /*GILLT_nxv8s8*//*Label 2048*/ GIMT_Encode4(124837),
     /*  118426 */ /*GILLT_nxv8s16*//*Label 2049*/ GIMT_Encode4(124952),
     /*  118430 */ /*GILLT_nxv8s32*//*Label 2050*/ GIMT_Encode4(125067),
     /*  118434 */ /*GILLT_nxv8s64*//*Label 2051*/ GIMT_Encode4(125182),
     /*  118438 */ /*GILLT_nxv16s1*//*Label 2052*/ GIMT_Encode4(125297),
     /*  118442 */ /*GILLT_nxv16s8*//*Label 2053*/ GIMT_Encode4(125908),
     /*  118446 */ /*GILLT_nxv16s16*//*Label 2054*/ GIMT_Encode4(126023),
     /*  118450 */ /*GILLT_nxv16s32*//*Label 2055*/ GIMT_Encode4(126138),
     /*  118454 */ /*GILLT_nxv32s1*//*Label 2056*/ GIMT_Encode4(126253),
     /*  118458 */ /*GILLT_nxv32s8*//*Label 2057*/ GIMT_Encode4(126864),
     /*  118462 */ /*GILLT_nxv32s16*//*Label 2058*/ GIMT_Encode4(126979),
     /*  118466 */ /*GILLT_nxv64s1*//*Label 2059*/ GIMT_Encode4(127094),
     /*  118470 */ /*GILLT_nxv64s8*//*Label 2060*/ GIMT_Encode4(127705),
     /*  118474 */ // Label 2030: @118474
     /*  118474 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(119691),
     /*  118479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  118482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  118485 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(118574), // Rule ID 65233 //
     /*  118490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118534 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118538 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118558 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118572 */     GIR_RootConstrainSelectedInstOperands,
     /*  118573 */     // GIR_Coverage, 65233,
     /*  118573 */     GIR_EraseRootFromParent_Done,
     /*  118574 */   // Label 2063: @118574
     /*  118574 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(118663), // Rule ID 2434 //
     /*  118579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118623 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118627 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118640 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118647 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118661 */     GIR_RootConstrainSelectedInstOperands,
     /*  118662 */     // GIR_Coverage, 2434,
     /*  118662 */     GIR_EraseRootFromParent_Done,
     /*  118663 */   // Label 2064: @118663
     /*  118663 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(118742), // Rule ID 2361 //
     /*  118668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118703 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118707 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118711 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118728 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118740 */     GIR_RootConstrainSelectedInstOperands,
     /*  118741 */     // GIR_Coverage, 2361,
     /*  118741 */     GIR_EraseRootFromParent_Done,
     /*  118742 */   // Label 2065: @118742
     /*  118742 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(118821), // Rule ID 65221 //
     /*  118747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118790 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118794 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118807 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118819 */     GIR_RootConstrainSelectedInstOperands,
     /*  118820 */     // GIR_Coverage, 65221,
     /*  118820 */     GIR_EraseRootFromParent_Done,
     /*  118821 */   // Label 2066: @118821
     /*  118821 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(118886), // Rule ID 2381 //
     /*  118826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  118862 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  118866 */     // MIs[2] Operand 1
     /*  118866 */     // No operand predicates
     /*  118866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118872 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  118872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  118875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  118881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  118884 */     GIR_RootConstrainSelectedInstOperands,
     /*  118885 */     // GIR_Coverage, 2381,
     /*  118885 */     GIR_EraseRootFromParent_Done,
     /*  118886 */   // Label 2067: @118886
     /*  118886 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(118951), // Rule ID 62561 //
     /*  118891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  118894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  118927 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  118931 */     // MIs[2] Operand 1
     /*  118931 */     // No operand predicates
     /*  118931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118937 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  118937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  118940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  118946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  118949 */     GIR_RootConstrainSelectedInstOperands,
     /*  118950 */     // GIR_Coverage, 62561,
     /*  118950 */     GIR_EraseRootFromParent_Done,
     /*  118951 */   // Label 2068: @118951
     /*  118951 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(119013), // Rule ID 2369 //
     /*  118956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  118990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118997 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  119000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  119006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  119011 */     GIR_RootConstrainSelectedInstOperands,
     /*  119012 */     // GIR_Coverage, 2369,
     /*  119012 */     GIR_EraseRootFromParent_Done,
     /*  119013 */   // Label 2069: @119013
     /*  119013 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(119069), // Rule ID 2363 //
     /*  119018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119041 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119056 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119067 */     GIR_RootConstrainSelectedInstOperands,
     /*  119068 */     // GIR_Coverage, 2363,
     /*  119068 */     GIR_EraseRootFromParent_Done,
     /*  119069 */   // Label 2070: @119069
     /*  119069 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(119125), // Rule ID 65207 //
     /*  119074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119102 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119112 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119123 */     GIR_RootConstrainSelectedInstOperands,
     /*  119124 */     // GIR_Coverage, 65207,
     /*  119124 */     GIR_EraseRootFromParent_Done,
     /*  119125 */   // Label 2071: @119125
     /*  119125 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(119181), // Rule ID 65223 //
     /*  119130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119157 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119168 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119179 */     GIR_RootConstrainSelectedInstOperands,
     /*  119180 */     // GIR_Coverage, 65223,
     /*  119180 */     GIR_EraseRootFromParent_Done,
     /*  119181 */   // Label 2072: @119181
     /*  119181 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(119237), // Rule ID 2337 //
     /*  119186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119218 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119224 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119235 */     GIR_RootConstrainSelectedInstOperands,
     /*  119236 */     // GIR_Coverage, 2337,
     /*  119236 */     GIR_EraseRootFromParent_Done,
     /*  119237 */   // Label 2073: @119237
     /*  119237 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(119273), // Rule ID 64462 //
     /*  119242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119253 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119264 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  119267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119271 */     GIR_RootConstrainSelectedInstOperands,
     /*  119272 */     // GIR_Coverage, 64462,
     /*  119272 */     GIR_EraseRootFromParent_Done,
     /*  119273 */   // Label 2074: @119273
     /*  119273 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(119309), // Rule ID 64464 //
     /*  119278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119289 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119300 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  119303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119307 */     GIR_RootConstrainSelectedInstOperands,
     /*  119308 */     // GIR_Coverage, 64464,
     /*  119308 */     GIR_EraseRootFromParent_Done,
     /*  119309 */   // Label 2075: @119309
     /*  119309 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(119345), // Rule ID 2445 //
     /*  119314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  119317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119325 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119336 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119343 */     GIR_RootConstrainSelectedInstOperands,
     /*  119344 */     // GIR_Coverage, 2445,
     /*  119344 */     GIR_EraseRootFromParent_Done,
     /*  119345 */   // Label 2076: @119345
     /*  119345 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(119381), // Rule ID 2446 //
     /*  119350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  119353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119361 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119372 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119379 */     GIR_RootConstrainSelectedInstOperands,
     /*  119380 */     // GIR_Coverage, 2446,
     /*  119380 */     GIR_EraseRootFromParent_Done,
     /*  119381 */   // Label 2077: @119381
     /*  119381 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(119423), // Rule ID 2448 //
     /*  119386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  119389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119397 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119408 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  119408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119421 */     GIR_RootConstrainSelectedInstOperands,
     /*  119422 */     // GIR_Coverage, 2448,
     /*  119422 */     GIR_EraseRootFromParent_Done,
     /*  119423 */   // Label 2078: @119423
     /*  119423 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(119465), // Rule ID 2449 //
     /*  119428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  119431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119439 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119450 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  119450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119463 */     GIR_RootConstrainSelectedInstOperands,
     /*  119464 */     // GIR_Coverage, 2449,
     /*  119464 */     GIR_EraseRootFromParent_Done,
     /*  119465 */   // Label 2079: @119465
     /*  119465 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(119507), // Rule ID 85 //
     /*  119470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  119493 */     // MIs[1] Operand 1
     /*  119493 */     // No operand predicates
     /*  119493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119495 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  119495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  119498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  119505 */     GIR_RootConstrainSelectedInstOperands,
     /*  119506 */     // GIR_Coverage, 85,
     /*  119506 */     GIR_EraseRootFromParent_Done,
     /*  119507 */   // Label 2080: @119507
     /*  119507 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(119579), // Rule ID 103 //
     /*  119512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119531 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  119535 */     // MIs[1] Operand 1
     /*  119535 */     // No operand predicates
     /*  119535 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9944),
     /*  119539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119541 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9944>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  119541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  119544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  119548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  119557 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  119562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  119567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119572 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  119577 */     GIR_RootConstrainSelectedInstOperands,
     /*  119578 */     // GIR_Coverage, 103,
     /*  119578 */     GIR_EraseRootFromParent_Done,
     /*  119579 */   // Label 2081: @119579
     /*  119579 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(119621), // Rule ID 64515 //
     /*  119584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  119587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  119607 */     // MIs[1] Operand 1
     /*  119607 */     // No operand predicates
     /*  119607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119609 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  119609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  119612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  119614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  119619 */     GIR_RootConstrainSelectedInstOperands,
     /*  119620 */     // GIR_Coverage, 64515,
     /*  119620 */     GIR_EraseRootFromParent_Done,
     /*  119621 */   // Label 2082: @119621
     /*  119621 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(119663), // Rule ID 64519 //
     /*  119626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  119629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  119649 */     // MIs[1] Operand 1
     /*  119649 */     // No operand predicates
     /*  119649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119651 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  119651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  119654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  119661 */     GIR_RootConstrainSelectedInstOperands,
     /*  119662 */     // GIR_Coverage, 64519,
     /*  119662 */     GIR_EraseRootFromParent_Done,
     /*  119663 */   // Label 2083: @119663
     /*  119663 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(119690), // Rule ID 83 //
     /*  119668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119683 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  119688 */     GIR_RootConstrainSelectedInstOperands,
     /*  119689 */     // GIR_Coverage, 83,
     /*  119689 */     GIR_Done,
     /*  119690 */   // Label 2084: @119690
     /*  119690 */   GIM_Reject,
     /*  119691 */ // Label 2062: @119691
     /*  119691 */ GIM_Reject,
     /*  119692 */ // Label 2031: @119692
     /*  119692 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(121012),
     /*  119697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  119700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  119703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119707 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(119792), // Rule ID 65232 //
     /*  119712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  119715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  119723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119752 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  119756 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119769 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  119776 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  119776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  119779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  119786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  119790 */     GIR_RootConstrainSelectedInstOperands,
     /*  119791 */     // GIR_Coverage, 65232,
     /*  119791 */     GIR_EraseRootFromParent_Done,
     /*  119792 */   // Label 2086: @119792
     /*  119792 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(119877), // Rule ID 2433 //
     /*  119797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  119800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  119808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119837 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  119841 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119854 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  119861 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  119861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  119864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  119871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  119875 */     GIR_RootConstrainSelectedInstOperands,
     /*  119876 */     // GIR_Coverage, 2433,
     /*  119876 */     GIR_EraseRootFromParent_Done,
     /*  119877 */   // Label 2087: @119877
     /*  119877 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(119952), // Rule ID 2360 //
     /*  119882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  119885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119913 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119917 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  119921 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  119938 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  119938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  119950 */     GIR_RootConstrainSelectedInstOperands,
     /*  119951 */     // GIR_Coverage, 2360,
     /*  119951 */     GIR_EraseRootFromParent_Done,
     /*  119952 */   // Label 2088: @119952
     /*  119952 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(120027), // Rule ID 65220 //
     /*  119957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  119960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  119976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  119980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  119988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  119996 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  120000 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120006 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120013 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120025 */     GIR_RootConstrainSelectedInstOperands,
     /*  120026 */     // GIR_Coverage, 65220,
     /*  120026 */     GIR_EraseRootFromParent_Done,
     /*  120027 */   // Label 2089: @120027
     /*  120027 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(120088), // Rule ID 2380 //
     /*  120032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120064 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120068 */     // MIs[2] Operand 1
     /*  120068 */     // No operand predicates
     /*  120068 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120074 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  120077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120086 */     GIR_RootConstrainSelectedInstOperands,
     /*  120087 */     // GIR_Coverage, 2380,
     /*  120087 */     GIR_EraseRootFromParent_Done,
     /*  120088 */   // Label 2090: @120088
     /*  120088 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(120149), // Rule ID 62560 //
     /*  120093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  120096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120108 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120125 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120129 */     // MIs[2] Operand 1
     /*  120129 */     // No operand predicates
     /*  120129 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120135 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  120138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120147 */     GIR_RootConstrainSelectedInstOperands,
     /*  120148 */     // GIR_Coverage, 62560,
     /*  120148 */     GIR_EraseRootFromParent_Done,
     /*  120149 */   // Label 2091: @120149
     /*  120149 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(120207), // Rule ID 2368 //
     /*  120154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120184 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120191 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  120194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120205 */     GIR_RootConstrainSelectedInstOperands,
     /*  120206 */     // GIR_Coverage, 2368,
     /*  120206 */     GIR_EraseRootFromParent_Done,
     /*  120207 */   // Label 2092: @120207
     /*  120207 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(120259), // Rule ID 2362 //
     /*  120212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120231 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120246 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120257 */     GIR_RootConstrainSelectedInstOperands,
     /*  120258 */     // GIR_Coverage, 2362,
     /*  120258 */     GIR_EraseRootFromParent_Done,
     /*  120259 */   // Label 2093: @120259
     /*  120259 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(120311), // Rule ID 65206 //
     /*  120264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120288 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120298 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  120301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120309 */     GIR_RootConstrainSelectedInstOperands,
     /*  120310 */     // GIR_Coverage, 65206,
     /*  120310 */     GIR_EraseRootFromParent_Done,
     /*  120311 */   // Label 2094: @120311
     /*  120311 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(120363), // Rule ID 65222 //
     /*  120316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120339 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120350 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120361 */     GIR_RootConstrainSelectedInstOperands,
     /*  120362 */     // GIR_Coverage, 65222,
     /*  120362 */     GIR_EraseRootFromParent_Done,
     /*  120363 */   // Label 2095: @120363
     /*  120363 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(120415), // Rule ID 2336 //
     /*  120368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120396 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120402 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  120405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120413 */     GIR_RootConstrainSelectedInstOperands,
     /*  120414 */     // GIR_Coverage, 2336,
     /*  120414 */     GIR_EraseRootFromParent_Done,
     /*  120415 */   // Label 2096: @120415
     /*  120415 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(120447), // Rule ID 64461 //
     /*  120420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  120423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120427 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120438 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  120438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  120441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120445 */     GIR_RootConstrainSelectedInstOperands,
     /*  120446 */     // GIR_Coverage, 64461,
     /*  120446 */     GIR_EraseRootFromParent_Done,
     /*  120447 */   // Label 2097: @120447
     /*  120447 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(120479), // Rule ID 64463 //
     /*  120452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  120455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120459 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  120470 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  120470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  120473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120477 */     GIR_RootConstrainSelectedInstOperands,
     /*  120478 */     // GIR_Coverage, 64463,
     /*  120478 */     GIR_EraseRootFromParent_Done,
     /*  120479 */   // Label 2098: @120479
     /*  120479 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(120536), // Rule ID 252 //
     /*  120484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  120487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120491 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  120502 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  120502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  120518 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  120521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  120534 */     GIR_RootConstrainSelectedInstOperands,
     /*  120535 */     // GIR_Coverage, 252,
     /*  120535 */     GIR_EraseRootFromParent_Done,
     /*  120536 */   // Label 2099: @120536
     /*  120536 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(120568), // Rule ID 2447 //
     /*  120541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  120544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120548 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120559 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  120559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  120562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120566 */     GIR_RootConstrainSelectedInstOperands,
     /*  120567 */     // GIR_Coverage, 2447,
     /*  120567 */     GIR_EraseRootFromParent_Done,
     /*  120568 */   // Label 2100: @120568
     /*  120568 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(120606), // Rule ID 2450 //
     /*  120573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  120576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120580 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120591 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  120591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  120594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  120604 */     GIR_RootConstrainSelectedInstOperands,
     /*  120605 */     // GIR_Coverage, 2450,
     /*  120605 */     GIR_EraseRootFromParent_Done,
     /*  120606 */   // Label 2101: @120606
     /*  120606 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(120644), // Rule ID 2491 //
     /*  120611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  120614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120618 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  120629 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  120629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  120632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  120642 */     GIR_RootConstrainSelectedInstOperands,
     /*  120643 */     // GIR_Coverage, 2491,
     /*  120643 */     GIR_EraseRootFromParent_Done,
     /*  120644 */   // Label 2102: @120644
     /*  120644 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(120682), // Rule ID 64973 //
     /*  120649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*  120652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120656 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  120667 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  120667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*  120670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  120674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  120680 */     GIR_RootConstrainSelectedInstOperands,
     /*  120681 */     // GIR_Coverage, 64973,
     /*  120681 */     GIR_EraseRootFromParent_Done,
     /*  120682 */   // Label 2103: @120682
     /*  120682 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(120720), // Rule ID 84 //
     /*  120687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  120706 */     // MIs[1] Operand 1
     /*  120706 */     // No operand predicates
     /*  120706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120708 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  120708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  120711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  120718 */     GIR_RootConstrainSelectedInstOperands,
     /*  120719 */     // GIR_Coverage, 84,
     /*  120719 */     GIR_EraseRootFromParent_Done,
     /*  120720 */   // Label 2104: @120720
     /*  120720 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(120788), // Rule ID 101 //
     /*  120725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  120744 */     // MIs[1] Operand 1
     /*  120744 */     // No operand predicates
     /*  120744 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9942),
     /*  120748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120750 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9942>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  120750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120766 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120781 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120786 */     GIR_RootConstrainSelectedInstOperands,
     /*  120787 */     // GIR_Coverage, 101,
     /*  120787 */     GIR_EraseRootFromParent_Done,
     /*  120788 */   // Label 2105: @120788
     /*  120788 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(120856), // Rule ID 102 //
     /*  120793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120808 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  120812 */     // MIs[1] Operand 1
     /*  120812 */     // No operand predicates
     /*  120812 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9944),
     /*  120816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120818 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9944>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  120818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120834 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120849 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120854 */     GIR_RootConstrainSelectedInstOperands,
     /*  120855 */     // GIR_Coverage, 102,
     /*  120855 */     GIR_EraseRootFromParent_Done,
     /*  120856 */   // Label 2106: @120856
     /*  120856 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(120924), // Rule ID 254 //
     /*  120861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  120864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  120880 */     // MIs[1] Operand 1
     /*  120880 */     // No operand predicates
     /*  120880 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10032),
     /*  120884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120886 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_10032>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  120886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  120893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120902 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120917 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120922 */     GIR_RootConstrainSelectedInstOperands,
     /*  120923 */     // GIR_Coverage, 254,
     /*  120923 */     GIR_EraseRootFromParent_Done,
     /*  120924 */   // Label 2107: @120924
     /*  120924 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(120988), // Rule ID 2510 //
     /*  120929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  120932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120944 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  120948 */     // MIs[1] Operand 1
     /*  120948 */     // No operand predicates
     /*  120948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120950 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  120950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120962 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  120966 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  120976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120981 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  120986 */     GIR_RootConstrainSelectedInstOperands,
     /*  120987 */     // GIR_Coverage, 2510,
     /*  120987 */     GIR_EraseRootFromParent_Done,
     /*  120988 */   // Label 2108: @120988
     /*  120988 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(121011), // Rule ID 82 //
     /*  120993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  120996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121004 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  121009 */     GIR_RootConstrainSelectedInstOperands,
     /*  121010 */     // GIR_Coverage, 82,
     /*  121010 */     GIR_Done,
     /*  121011 */   // Label 2109: @121011
     /*  121011 */   GIM_Reject,
     /*  121012 */ // Label 2085: @121012
     /*  121012 */ GIM_Reject,
     /*  121013 */ // Label 2032: @121013
     /*  121013 */ GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(121623),
     /*  121018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121028 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(121094), // Rule ID 71430 //
     /*  121033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121075 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121092 */     GIR_RootConstrainSelectedInstOperands,
     /*  121093 */     // GIR_Coverage, 71430,
     /*  121093 */     GIR_EraseRootFromParent_Done,
     /*  121094 */   // Label 2111: @121094
     /*  121094 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(121160), // Rule ID 71431 //
     /*  121099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121141 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121158 */     GIR_RootConstrainSelectedInstOperands,
     /*  121159 */     // GIR_Coverage, 71431,
     /*  121159 */     GIR_EraseRootFromParent_Done,
     /*  121160 */   // Label 2112: @121160
     /*  121160 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(121226), // Rule ID 71428 //
     /*  121165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121207 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121224 */     GIR_RootConstrainSelectedInstOperands,
     /*  121225 */     // GIR_Coverage, 71428,
     /*  121225 */     GIR_EraseRootFromParent_Done,
     /*  121226 */   // Label 2113: @121226
     /*  121226 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(121292), // Rule ID 71429 //
     /*  121231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121273 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121290 */     GIR_RootConstrainSelectedInstOperands,
     /*  121291 */     // GIR_Coverage, 71429,
     /*  121291 */     GIR_EraseRootFromParent_Done,
     /*  121292 */   // Label 2114: @121292
     /*  121292 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(121358), // Rule ID 71426 //
     /*  121297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121339 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121356 */     GIR_RootConstrainSelectedInstOperands,
     /*  121357 */     // GIR_Coverage, 71426,
     /*  121357 */     GIR_EraseRootFromParent_Done,
     /*  121358 */   // Label 2115: @121358
     /*  121358 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(121424), // Rule ID 71427 //
     /*  121363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121405 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121422 */     GIR_RootConstrainSelectedInstOperands,
     /*  121423 */     // GIR_Coverage, 71427,
     /*  121423 */     GIR_EraseRootFromParent_Done,
     /*  121424 */   // Label 2116: @121424
     /*  121424 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(121490), // Rule ID 53062 //
     /*  121429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121471 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121488 */     GIR_RootConstrainSelectedInstOperands,
     /*  121489 */     // GIR_Coverage, 53062,
     /*  121489 */     GIR_EraseRootFromParent_Done,
     /*  121490 */   // Label 2117: @121490
     /*  121490 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(121556), // Rule ID 53063 //
     /*  121495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121537 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121554 */     GIR_RootConstrainSelectedInstOperands,
     /*  121555 */     // GIR_Coverage, 53063,
     /*  121555 */     GIR_EraseRootFromParent_Done,
     /*  121556 */   // Label 2118: @121556
     /*  121556 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(121589), // Rule ID 53050 //
     /*  121561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121572 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  121575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121587 */     GIR_RootConstrainSelectedInstOperands,
     /*  121588 */     // GIR_Coverage, 53050,
     /*  121588 */     GIR_EraseRootFromParent_Done,
     /*  121589 */   // Label 2119: @121589
     /*  121589 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(121622), // Rule ID 53051 //
     /*  121594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121605 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  121608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121620 */     GIR_RootConstrainSelectedInstOperands,
     /*  121621 */     // GIR_Coverage, 53051,
     /*  121621 */     GIR_EraseRootFromParent_Done,
     /*  121622 */   // Label 2120: @121622
     /*  121622 */   GIM_Reject,
     /*  121623 */ // Label 2110: @121623
     /*  121623 */ GIM_Reject,
     /*  121624 */ // Label 2033: @121624
     /*  121624 */ GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(121738),
     /*  121629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  121632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  121635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121647 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(121692), // Rule ID 47542 //
     /*  121652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121655 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  121658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  121672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121690 */     GIR_RootConstrainSelectedInstOperands,
     /*  121691 */     // GIR_Coverage, 47542,
     /*  121691 */     GIR_EraseRootFromParent_Done,
     /*  121692 */   // Label 2122: @121692
     /*  121692 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(121737), // Rule ID 47543 //
     /*  121697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121700 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  121703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  121717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121735 */     GIR_RootConstrainSelectedInstOperands,
     /*  121736 */     // GIR_Coverage, 47543,
     /*  121736 */     GIR_EraseRootFromParent_Done,
     /*  121737 */   // Label 2123: @121737
     /*  121737 */   GIM_Reject,
     /*  121738 */ // Label 2121: @121738
     /*  121738 */ GIM_Reject,
     /*  121739 */ // Label 2034: @121739
     /*  121739 */ GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(121853),
     /*  121744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  121747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  121750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121762 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(121807), // Rule ID 47554 //
     /*  121767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121770 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  121773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  121787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121805 */     GIR_RootConstrainSelectedInstOperands,
     /*  121806 */     // GIR_Coverage, 47554,
     /*  121806 */     GIR_EraseRootFromParent_Done,
     /*  121807 */   // Label 2125: @121807
     /*  121807 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(121852), // Rule ID 47555 //
     /*  121812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121815 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  121818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  121832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121850 */     GIR_RootConstrainSelectedInstOperands,
     /*  121851 */     // GIR_Coverage, 47555,
     /*  121851 */     GIR_EraseRootFromParent_Done,
     /*  121852 */   // Label 2126: @121852
     /*  121852 */   GIM_Reject,
     /*  121853 */ // Label 2124: @121853
     /*  121853 */ GIM_Reject,
     /*  121854 */ // Label 2035: @121854
     /*  121854 */ GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(121968),
     /*  121859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  121862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  121865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121877 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(121922), // Rule ID 47562 //
     /*  121882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121885 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  121885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  121888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  121902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121920 */     GIR_RootConstrainSelectedInstOperands,
     /*  121921 */     // GIR_Coverage, 47562,
     /*  121921 */     GIR_EraseRootFromParent_Done,
     /*  121922 */   // Label 2128: @121922
     /*  121922 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(121967), // Rule ID 47563 //
     /*  121927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121930 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  121930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  121933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  121947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121965 */     GIR_RootConstrainSelectedInstOperands,
     /*  121966 */     // GIR_Coverage, 47563,
     /*  121966 */     GIR_EraseRootFromParent_Done,
     /*  121967 */   // Label 2129: @121967
     /*  121967 */   GIM_Reject,
     /*  121968 */ // Label 2127: @121968
     /*  121968 */ GIM_Reject,
     /*  121969 */ // Label 2036: @121969
     /*  121969 */ GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(122083),
     /*  121974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  121977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  121980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121992 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(122037), // Rule ID 47578 //
     /*  121997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  122000 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  122000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122035 */     GIR_RootConstrainSelectedInstOperands,
     /*  122036 */     // GIR_Coverage, 47578,
     /*  122036 */     GIR_EraseRootFromParent_Done,
     /*  122037 */   // Label 2131: @122037
     /*  122037 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(122082), // Rule ID 47579 //
     /*  122042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  122045 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  122045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122080 */     GIR_RootConstrainSelectedInstOperands,
     /*  122081 */     // GIR_Coverage, 47579,
     /*  122081 */     GIR_EraseRootFromParent_Done,
     /*  122082 */   // Label 2132: @122082
     /*  122082 */   GIM_Reject,
     /*  122083 */ // Label 2130: @122083
     /*  122083 */ GIM_Reject,
     /*  122084 */ // Label 2037: @122084
     /*  122084 */ GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(122694),
     /*  122089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122099 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(122165), // Rule ID 71458 //
     /*  122104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122146 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122163 */     GIR_RootConstrainSelectedInstOperands,
     /*  122164 */     // GIR_Coverage, 71458,
     /*  122164 */     GIR_EraseRootFromParent_Done,
     /*  122165 */   // Label 2134: @122165
     /*  122165 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(122231), // Rule ID 71459 //
     /*  122170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122212 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122229 */     GIR_RootConstrainSelectedInstOperands,
     /*  122230 */     // GIR_Coverage, 71459,
     /*  122230 */     GIR_EraseRootFromParent_Done,
     /*  122231 */   // Label 2135: @122231
     /*  122231 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(122297), // Rule ID 71456 //
     /*  122236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122251 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122278 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122295 */     GIR_RootConstrainSelectedInstOperands,
     /*  122296 */     // GIR_Coverage, 71456,
     /*  122296 */     GIR_EraseRootFromParent_Done,
     /*  122297 */   // Label 2136: @122297
     /*  122297 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(122363), // Rule ID 71457 //
     /*  122302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122344 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122361 */     GIR_RootConstrainSelectedInstOperands,
     /*  122362 */     // GIR_Coverage, 71457,
     /*  122362 */     GIR_EraseRootFromParent_Done,
     /*  122363 */   // Label 2137: @122363
     /*  122363 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(122429), // Rule ID 71454 //
     /*  122368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122410 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122427 */     GIR_RootConstrainSelectedInstOperands,
     /*  122428 */     // GIR_Coverage, 71454,
     /*  122428 */     GIR_EraseRootFromParent_Done,
     /*  122429 */   // Label 2138: @122429
     /*  122429 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(122495), // Rule ID 71455 //
     /*  122434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122476 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122493 */     GIR_RootConstrainSelectedInstOperands,
     /*  122494 */     // GIR_Coverage, 71455,
     /*  122494 */     GIR_EraseRootFromParent_Done,
     /*  122495 */   // Label 2139: @122495
     /*  122495 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(122561), // Rule ID 53080 //
     /*  122500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122542 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122559 */     GIR_RootConstrainSelectedInstOperands,
     /*  122560 */     // GIR_Coverage, 53080,
     /*  122560 */     GIR_EraseRootFromParent_Done,
     /*  122561 */   // Label 2140: @122561
     /*  122561 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(122627), // Rule ID 53081 //
     /*  122566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122608 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122625 */     GIR_RootConstrainSelectedInstOperands,
     /*  122626 */     // GIR_Coverage, 53081,
     /*  122626 */     GIR_EraseRootFromParent_Done,
     /*  122627 */   // Label 2141: @122627
     /*  122627 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(122660), // Rule ID 53068 //
     /*  122632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122643 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  122646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122658 */     GIR_RootConstrainSelectedInstOperands,
     /*  122659 */     // GIR_Coverage, 53068,
     /*  122659 */     GIR_EraseRootFromParent_Done,
     /*  122660 */   // Label 2142: @122660
     /*  122660 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(122693), // Rule ID 53069 //
     /*  122665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122676 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  122679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122691 */     GIR_RootConstrainSelectedInstOperands,
     /*  122692 */     // GIR_Coverage, 53069,
     /*  122692 */     GIR_EraseRootFromParent_Done,
     /*  122693 */   // Label 2143: @122693
     /*  122693 */   GIM_Reject,
     /*  122694 */ // Label 2133: @122694
     /*  122694 */ GIM_Reject,
     /*  122695 */ // Label 2038: @122695
     /*  122695 */ GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(122809),
     /*  122700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  122703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  122706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122718 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(122763), // Rule ID 47546 //
     /*  122723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122726 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  122729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122761 */     GIR_RootConstrainSelectedInstOperands,
     /*  122762 */     // GIR_Coverage, 47546,
     /*  122762 */     GIR_EraseRootFromParent_Done,
     /*  122763 */   // Label 2145: @122763
     /*  122763 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(122808), // Rule ID 47547 //
     /*  122768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122771 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  122774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122806 */     GIR_RootConstrainSelectedInstOperands,
     /*  122807 */     // GIR_Coverage, 47547,
     /*  122807 */     GIR_EraseRootFromParent_Done,
     /*  122808 */   // Label 2146: @122808
     /*  122808 */   GIM_Reject,
     /*  122809 */ // Label 2144: @122809
     /*  122809 */ GIM_Reject,
     /*  122810 */ // Label 2039: @122810
     /*  122810 */ GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(122924),
     /*  122815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  122818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  122821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122833 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(122878), // Rule ID 47558 //
     /*  122838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122841 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  122844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122876 */     GIR_RootConstrainSelectedInstOperands,
     /*  122877 */     // GIR_Coverage, 47558,
     /*  122877 */     GIR_EraseRootFromParent_Done,
     /*  122878 */   // Label 2148: @122878
     /*  122878 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(122923), // Rule ID 47559 //
     /*  122883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122886 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  122889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122921 */     GIR_RootConstrainSelectedInstOperands,
     /*  122922 */     // GIR_Coverage, 47559,
     /*  122922 */     GIR_EraseRootFromParent_Done,
     /*  122923 */   // Label 2149: @122923
     /*  122923 */   GIM_Reject,
     /*  122924 */ // Label 2147: @122924
     /*  122924 */ GIM_Reject,
     /*  122925 */ // Label 2040: @122925
     /*  122925 */ GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(123039),
     /*  122930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  122933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  122936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122948 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(122993), // Rule ID 47574 //
     /*  122953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122956 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  122959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122991 */     GIR_RootConstrainSelectedInstOperands,
     /*  122992 */     // GIR_Coverage, 47574,
     /*  122992 */     GIR_EraseRootFromParent_Done,
     /*  122993 */   // Label 2151: @122993
     /*  122993 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(123038), // Rule ID 47575 //
     /*  122998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123001 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  123001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  123004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123036 */     GIR_RootConstrainSelectedInstOperands,
     /*  123037 */     // GIR_Coverage, 47575,
     /*  123037 */     GIR_EraseRootFromParent_Done,
     /*  123038 */   // Label 2152: @123038
     /*  123038 */   GIM_Reject,
     /*  123039 */ // Label 2150: @123039
     /*  123039 */ GIM_Reject,
     /*  123040 */ // Label 2041: @123040
     /*  123040 */ GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(123154),
     /*  123045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  123048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  123051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123063 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(123108), // Rule ID 47618 //
     /*  123068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  123071 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  123071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123106 */     GIR_RootConstrainSelectedInstOperands,
     /*  123107 */     // GIR_Coverage, 47618,
     /*  123107 */     GIR_EraseRootFromParent_Done,
     /*  123108 */   // Label 2154: @123108
     /*  123108 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(123153), // Rule ID 47619 //
     /*  123113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  123116 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  123116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123151 */     GIR_RootConstrainSelectedInstOperands,
     /*  123152 */     // GIR_Coverage, 47619,
     /*  123152 */     GIR_EraseRootFromParent_Done,
     /*  123153 */   // Label 2155: @123153
     /*  123153 */   GIM_Reject,
     /*  123154 */ // Label 2153: @123154
     /*  123154 */ GIM_Reject,
     /*  123155 */ // Label 2042: @123155
     /*  123155 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(123765),
     /*  123160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123170 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(123236), // Rule ID 71486 //
     /*  123175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123217 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123234 */     GIR_RootConstrainSelectedInstOperands,
     /*  123235 */     // GIR_Coverage, 71486,
     /*  123235 */     GIR_EraseRootFromParent_Done,
     /*  123236 */   // Label 2157: @123236
     /*  123236 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(123302), // Rule ID 71487 //
     /*  123241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123283 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123300 */     GIR_RootConstrainSelectedInstOperands,
     /*  123301 */     // GIR_Coverage, 71487,
     /*  123301 */     GIR_EraseRootFromParent_Done,
     /*  123302 */   // Label 2158: @123302
     /*  123302 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(123368), // Rule ID 71484 //
     /*  123307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123349 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123366 */     GIR_RootConstrainSelectedInstOperands,
     /*  123367 */     // GIR_Coverage, 71484,
     /*  123367 */     GIR_EraseRootFromParent_Done,
     /*  123368 */   // Label 2159: @123368
     /*  123368 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(123434), // Rule ID 71485 //
     /*  123373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123415 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123432 */     GIR_RootConstrainSelectedInstOperands,
     /*  123433 */     // GIR_Coverage, 71485,
     /*  123433 */     GIR_EraseRootFromParent_Done,
     /*  123434 */   // Label 2160: @123434
     /*  123434 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(123500), // Rule ID 71482 //
     /*  123439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123481 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123498 */     GIR_RootConstrainSelectedInstOperands,
     /*  123499 */     // GIR_Coverage, 71482,
     /*  123499 */     GIR_EraseRootFromParent_Done,
     /*  123500 */   // Label 2161: @123500
     /*  123500 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(123566), // Rule ID 71483 //
     /*  123505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123547 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123564 */     GIR_RootConstrainSelectedInstOperands,
     /*  123565 */     // GIR_Coverage, 71483,
     /*  123565 */     GIR_EraseRootFromParent_Done,
     /*  123566 */   // Label 2162: @123566
     /*  123566 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(123632), // Rule ID 53098 //
     /*  123571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123613 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123630 */     GIR_RootConstrainSelectedInstOperands,
     /*  123631 */     // GIR_Coverage, 53098,
     /*  123631 */     GIR_EraseRootFromParent_Done,
     /*  123632 */   // Label 2163: @123632
     /*  123632 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(123698), // Rule ID 53099 //
     /*  123637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123679 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123696 */     GIR_RootConstrainSelectedInstOperands,
     /*  123697 */     // GIR_Coverage, 53099,
     /*  123697 */     GIR_EraseRootFromParent_Done,
     /*  123698 */   // Label 2164: @123698
     /*  123698 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(123731), // Rule ID 53086 //
     /*  123703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123714 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  123717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123729 */     GIR_RootConstrainSelectedInstOperands,
     /*  123730 */     // GIR_Coverage, 53086,
     /*  123730 */     GIR_EraseRootFromParent_Done,
     /*  123731 */   // Label 2165: @123731
     /*  123731 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(123764), // Rule ID 53087 //
     /*  123736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123747 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  123750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123762 */     GIR_RootConstrainSelectedInstOperands,
     /*  123763 */     // GIR_Coverage, 53087,
     /*  123763 */     GIR_EraseRootFromParent_Done,
     /*  123764 */   // Label 2166: @123764
     /*  123764 */   GIM_Reject,
     /*  123765 */ // Label 2156: @123765
     /*  123765 */ GIM_Reject,
     /*  123766 */ // Label 2043: @123766
     /*  123766 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(123880),
     /*  123771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  123774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  123777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123789 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(123834), // Rule ID 47550 //
     /*  123794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123797 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  123800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123832 */     GIR_RootConstrainSelectedInstOperands,
     /*  123833 */     // GIR_Coverage, 47550,
     /*  123833 */     GIR_EraseRootFromParent_Done,
     /*  123834 */   // Label 2168: @123834
     /*  123834 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(123879), // Rule ID 47551 //
     /*  123839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123842 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  123845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123877 */     GIR_RootConstrainSelectedInstOperands,
     /*  123878 */     // GIR_Coverage, 47551,
     /*  123878 */     GIR_EraseRootFromParent_Done,
     /*  123879 */   // Label 2169: @123879
     /*  123879 */   GIM_Reject,
     /*  123880 */ // Label 2167: @123880
     /*  123880 */ GIM_Reject,
     /*  123881 */ // Label 2044: @123881
     /*  123881 */ GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(123995),
     /*  123886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  123889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  123892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123904 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(123949), // Rule ID 47570 //
     /*  123909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123912 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  123912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  123915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123947 */     GIR_RootConstrainSelectedInstOperands,
     /*  123948 */     // GIR_Coverage, 47570,
     /*  123948 */     GIR_EraseRootFromParent_Done,
     /*  123949 */   // Label 2171: @123949
     /*  123949 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(123994), // Rule ID 47571 //
     /*  123954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123957 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  123957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  123960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123992 */     GIR_RootConstrainSelectedInstOperands,
     /*  123993 */     // GIR_Coverage, 47571,
     /*  123993 */     GIR_EraseRootFromParent_Done,
     /*  123994 */   // Label 2172: @123994
     /*  123994 */   GIM_Reject,
     /*  123995 */ // Label 2170: @123995
     /*  123995 */ GIM_Reject,
     /*  123996 */ // Label 2045: @123996
     /*  123996 */ GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(124110),
     /*  124001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  124004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124019 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(124064), // Rule ID 47606 //
     /*  124024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124027 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  124027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124062 */     GIR_RootConstrainSelectedInstOperands,
     /*  124063 */     // GIR_Coverage, 47606,
     /*  124063 */     GIR_EraseRootFromParent_Done,
     /*  124064 */   // Label 2174: @124064
     /*  124064 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(124109), // Rule ID 47607 //
     /*  124069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124072 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  124072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124107 */     GIR_RootConstrainSelectedInstOperands,
     /*  124108 */     // GIR_Coverage, 47607,
     /*  124108 */     GIR_EraseRootFromParent_Done,
     /*  124109 */   // Label 2175: @124109
     /*  124109 */   GIM_Reject,
     /*  124110 */ // Label 2173: @124110
     /*  124110 */ GIM_Reject,
     /*  124111 */ // Label 2046: @124111
     /*  124111 */ GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(124225),
     /*  124116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  124119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  124122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124134 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(124179), // Rule ID 47622 //
     /*  124139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  124142 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  124142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124177 */     GIR_RootConstrainSelectedInstOperands,
     /*  124178 */     // GIR_Coverage, 47622,
     /*  124178 */     GIR_EraseRootFromParent_Done,
     /*  124179 */   // Label 2177: @124179
     /*  124179 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(124224), // Rule ID 47623 //
     /*  124184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  124187 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  124187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124222 */     GIR_RootConstrainSelectedInstOperands,
     /*  124223 */     // GIR_Coverage, 47623,
     /*  124223 */     GIR_EraseRootFromParent_Done,
     /*  124224 */   // Label 2178: @124224
     /*  124224 */   GIM_Reject,
     /*  124225 */ // Label 2176: @124225
     /*  124225 */ GIM_Reject,
     /*  124226 */ // Label 2047: @124226
     /*  124226 */ GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(124836),
     /*  124231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124241 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(124307), // Rule ID 71514 //
     /*  124246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124288 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124305 */     GIR_RootConstrainSelectedInstOperands,
     /*  124306 */     // GIR_Coverage, 71514,
     /*  124306 */     GIR_EraseRootFromParent_Done,
     /*  124307 */   // Label 2180: @124307
     /*  124307 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(124373), // Rule ID 71515 //
     /*  124312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124354 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124371 */     GIR_RootConstrainSelectedInstOperands,
     /*  124372 */     // GIR_Coverage, 71515,
     /*  124372 */     GIR_EraseRootFromParent_Done,
     /*  124373 */   // Label 2181: @124373
     /*  124373 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(124439), // Rule ID 71512 //
     /*  124378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124420 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124437 */     GIR_RootConstrainSelectedInstOperands,
     /*  124438 */     // GIR_Coverage, 71512,
     /*  124438 */     GIR_EraseRootFromParent_Done,
     /*  124439 */   // Label 2182: @124439
     /*  124439 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(124505), // Rule ID 71513 //
     /*  124444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124486 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124503 */     GIR_RootConstrainSelectedInstOperands,
     /*  124504 */     // GIR_Coverage, 71513,
     /*  124504 */     GIR_EraseRootFromParent_Done,
     /*  124505 */   // Label 2183: @124505
     /*  124505 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(124571), // Rule ID 71510 //
     /*  124510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124552 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124569 */     GIR_RootConstrainSelectedInstOperands,
     /*  124570 */     // GIR_Coverage, 71510,
     /*  124570 */     GIR_EraseRootFromParent_Done,
     /*  124571 */   // Label 2184: @124571
     /*  124571 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(124637), // Rule ID 71511 //
     /*  124576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124618 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124635 */     GIR_RootConstrainSelectedInstOperands,
     /*  124636 */     // GIR_Coverage, 71511,
     /*  124636 */     GIR_EraseRootFromParent_Done,
     /*  124637 */   // Label 2185: @124637
     /*  124637 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(124703), // Rule ID 53116 //
     /*  124642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124684 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124701 */     GIR_RootConstrainSelectedInstOperands,
     /*  124702 */     // GIR_Coverage, 53116,
     /*  124702 */     GIR_EraseRootFromParent_Done,
     /*  124703 */   // Label 2186: @124703
     /*  124703 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(124769), // Rule ID 53117 //
     /*  124708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124750 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124767 */     GIR_RootConstrainSelectedInstOperands,
     /*  124768 */     // GIR_Coverage, 53117,
     /*  124768 */     GIR_EraseRootFromParent_Done,
     /*  124769 */   // Label 2187: @124769
     /*  124769 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(124802), // Rule ID 53104 //
     /*  124774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124785 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  124788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124800 */     GIR_RootConstrainSelectedInstOperands,
     /*  124801 */     // GIR_Coverage, 53104,
     /*  124801 */     GIR_EraseRootFromParent_Done,
     /*  124802 */   // Label 2188: @124802
     /*  124802 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(124835), // Rule ID 53105 //
     /*  124807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124818 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  124821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124833 */     GIR_RootConstrainSelectedInstOperands,
     /*  124834 */     // GIR_Coverage, 53105,
     /*  124834 */     GIR_EraseRootFromParent_Done,
     /*  124835 */   // Label 2189: @124835
     /*  124835 */   GIM_Reject,
     /*  124836 */ // Label 2179: @124836
     /*  124836 */ GIM_Reject,
     /*  124837 */ // Label 2048: @124837
     /*  124837 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(124951),
     /*  124842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  124845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  124848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124860 */   GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(124905), // Rule ID 47566 //
     /*  124865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124868 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  124868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  124871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124903 */     GIR_RootConstrainSelectedInstOperands,
     /*  124904 */     // GIR_Coverage, 47566,
     /*  124904 */     GIR_EraseRootFromParent_Done,
     /*  124905 */   // Label 2191: @124905
     /*  124905 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(124950), // Rule ID 47567 //
     /*  124910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124913 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  124913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  124916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124948 */     GIR_RootConstrainSelectedInstOperands,
     /*  124949 */     // GIR_Coverage, 47567,
     /*  124949 */     GIR_EraseRootFromParent_Done,
     /*  124950 */   // Label 2192: @124950
     /*  124950 */   GIM_Reject,
     /*  124951 */ // Label 2190: @124951
     /*  124951 */ GIM_Reject,
     /*  124952 */ // Label 2049: @124952
     /*  124952 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(125066),
     /*  124957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  124960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  124963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124975 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(125020), // Rule ID 47594 //
     /*  124980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124983 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  124983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  124986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125018 */     GIR_RootConstrainSelectedInstOperands,
     /*  125019 */     // GIR_Coverage, 47594,
     /*  125019 */     GIR_EraseRootFromParent_Done,
     /*  125020 */   // Label 2194: @125020
     /*  125020 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(125065), // Rule ID 47595 //
     /*  125025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125028 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  125028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  125031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125063 */     GIR_RootConstrainSelectedInstOperands,
     /*  125064 */     // GIR_Coverage, 47595,
     /*  125064 */     GIR_EraseRootFromParent_Done,
     /*  125065 */   // Label 2195: @125065
     /*  125065 */   GIM_Reject,
     /*  125066 */ // Label 2193: @125066
     /*  125066 */ GIM_Reject,
     /*  125067 */ // Label 2050: @125067
     /*  125067 */ GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(125181),
     /*  125072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  125075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  125078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125090 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(125135), // Rule ID 47610 //
     /*  125095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125098 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  125098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125133 */     GIR_RootConstrainSelectedInstOperands,
     /*  125134 */     // GIR_Coverage, 47610,
     /*  125134 */     GIR_EraseRootFromParent_Done,
     /*  125135 */   // Label 2197: @125135
     /*  125135 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(125180), // Rule ID 47611 //
     /*  125140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125143 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  125143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125178 */     GIR_RootConstrainSelectedInstOperands,
     /*  125179 */     // GIR_Coverage, 47611,
     /*  125179 */     GIR_EraseRootFromParent_Done,
     /*  125180 */   // Label 2198: @125180
     /*  125180 */   GIM_Reject,
     /*  125181 */ // Label 2196: @125181
     /*  125181 */ GIM_Reject,
     /*  125182 */ // Label 2051: @125182
     /*  125182 */ GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(125296),
     /*  125187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  125190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125205 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(125250), // Rule ID 47626 //
     /*  125210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125213 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  125213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125248 */     GIR_RootConstrainSelectedInstOperands,
     /*  125249 */     // GIR_Coverage, 47626,
     /*  125249 */     GIR_EraseRootFromParent_Done,
     /*  125250 */   // Label 2200: @125250
     /*  125250 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(125295), // Rule ID 47627 //
     /*  125255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125258 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  125258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125293 */     GIR_RootConstrainSelectedInstOperands,
     /*  125294 */     // GIR_Coverage, 47627,
     /*  125294 */     GIR_EraseRootFromParent_Done,
     /*  125295 */   // Label 2201: @125295
     /*  125295 */   GIM_Reject,
     /*  125296 */ // Label 2199: @125296
     /*  125296 */ GIM_Reject,
     /*  125297 */ // Label 2052: @125297
     /*  125297 */ GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(125907),
     /*  125302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125312 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(125378), // Rule ID 71542 //
     /*  125317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125359 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125376 */     GIR_RootConstrainSelectedInstOperands,
     /*  125377 */     // GIR_Coverage, 71542,
     /*  125377 */     GIR_EraseRootFromParent_Done,
     /*  125378 */   // Label 2203: @125378
     /*  125378 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(125444), // Rule ID 71543 //
     /*  125383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125425 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125442 */     GIR_RootConstrainSelectedInstOperands,
     /*  125443 */     // GIR_Coverage, 71543,
     /*  125443 */     GIR_EraseRootFromParent_Done,
     /*  125444 */   // Label 2204: @125444
     /*  125444 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(125510), // Rule ID 71540 //
     /*  125449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125491 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125508 */     GIR_RootConstrainSelectedInstOperands,
     /*  125509 */     // GIR_Coverage, 71540,
     /*  125509 */     GIR_EraseRootFromParent_Done,
     /*  125510 */   // Label 2205: @125510
     /*  125510 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(125576), // Rule ID 71541 //
     /*  125515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125557 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125574 */     GIR_RootConstrainSelectedInstOperands,
     /*  125575 */     // GIR_Coverage, 71541,
     /*  125575 */     GIR_EraseRootFromParent_Done,
     /*  125576 */   // Label 2206: @125576
     /*  125576 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(125642), // Rule ID 71538 //
     /*  125581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125623 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125640 */     GIR_RootConstrainSelectedInstOperands,
     /*  125641 */     // GIR_Coverage, 71538,
     /*  125641 */     GIR_EraseRootFromParent_Done,
     /*  125642 */   // Label 2207: @125642
     /*  125642 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(125708), // Rule ID 71539 //
     /*  125647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125689 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125706 */     GIR_RootConstrainSelectedInstOperands,
     /*  125707 */     // GIR_Coverage, 71539,
     /*  125707 */     GIR_EraseRootFromParent_Done,
     /*  125708 */   // Label 2208: @125708
     /*  125708 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(125774), // Rule ID 53134 //
     /*  125713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125755 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125772 */     GIR_RootConstrainSelectedInstOperands,
     /*  125773 */     // GIR_Coverage, 53134,
     /*  125773 */     GIR_EraseRootFromParent_Done,
     /*  125774 */   // Label 2209: @125774
     /*  125774 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(125840), // Rule ID 53135 //
     /*  125779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125821 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125838 */     GIR_RootConstrainSelectedInstOperands,
     /*  125839 */     // GIR_Coverage, 53135,
     /*  125839 */     GIR_EraseRootFromParent_Done,
     /*  125840 */   // Label 2210: @125840
     /*  125840 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(125873), // Rule ID 53122 //
     /*  125845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125856 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  125859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125871 */     GIR_RootConstrainSelectedInstOperands,
     /*  125872 */     // GIR_Coverage, 53122,
     /*  125872 */     GIR_EraseRootFromParent_Done,
     /*  125873 */   // Label 2211: @125873
     /*  125873 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(125906), // Rule ID 53123 //
     /*  125878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125889 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  125892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125904 */     GIR_RootConstrainSelectedInstOperands,
     /*  125905 */     // GIR_Coverage, 53123,
     /*  125905 */     GIR_EraseRootFromParent_Done,
     /*  125906 */   // Label 2212: @125906
     /*  125906 */   GIM_Reject,
     /*  125907 */ // Label 2202: @125907
     /*  125907 */ GIM_Reject,
     /*  125908 */ // Label 2053: @125908
     /*  125908 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(126022),
     /*  125913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  125916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  125919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125931 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(125976), // Rule ID 47582 //
     /*  125936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125939 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  125939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  125942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125974 */     GIR_RootConstrainSelectedInstOperands,
     /*  125975 */     // GIR_Coverage, 47582,
     /*  125975 */     GIR_EraseRootFromParent_Done,
     /*  125976 */   // Label 2214: @125976
     /*  125976 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(126021), // Rule ID 47583 //
     /*  125981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125984 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  125984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  125987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  126001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126019 */     GIR_RootConstrainSelectedInstOperands,
     /*  126020 */     // GIR_Coverage, 47583,
     /*  126020 */     GIR_EraseRootFromParent_Done,
     /*  126021 */   // Label 2215: @126021
     /*  126021 */   GIM_Reject,
     /*  126022 */ // Label 2213: @126022
     /*  126022 */ GIM_Reject,
     /*  126023 */ // Label 2054: @126023
     /*  126023 */ GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(126137),
     /*  126028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  126031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  126034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126046 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(126091), // Rule ID 47598 //
     /*  126051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126054 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  126054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126089 */     GIR_RootConstrainSelectedInstOperands,
     /*  126090 */     // GIR_Coverage, 47598,
     /*  126090 */     GIR_EraseRootFromParent_Done,
     /*  126091 */   // Label 2217: @126091
     /*  126091 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(126136), // Rule ID 47599 //
     /*  126096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126099 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  126099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126134 */     GIR_RootConstrainSelectedInstOperands,
     /*  126135 */     // GIR_Coverage, 47599,
     /*  126135 */     GIR_EraseRootFromParent_Done,
     /*  126136 */   // Label 2218: @126136
     /*  126136 */   GIM_Reject,
     /*  126137 */ // Label 2216: @126137
     /*  126137 */ GIM_Reject,
     /*  126138 */ // Label 2055: @126138
     /*  126138 */ GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(126252),
     /*  126143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  126146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  126149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126161 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(126206), // Rule ID 47614 //
     /*  126166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126169 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  126169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126204 */     GIR_RootConstrainSelectedInstOperands,
     /*  126205 */     // GIR_Coverage, 47614,
     /*  126205 */     GIR_EraseRootFromParent_Done,
     /*  126206 */   // Label 2220: @126206
     /*  126206 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(126251), // Rule ID 47615 //
     /*  126211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126214 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  126214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126249 */     GIR_RootConstrainSelectedInstOperands,
     /*  126250 */     // GIR_Coverage, 47615,
     /*  126250 */     GIR_EraseRootFromParent_Done,
     /*  126251 */   // Label 2221: @126251
     /*  126251 */   GIM_Reject,
     /*  126252 */ // Label 2219: @126252
     /*  126252 */ GIM_Reject,
     /*  126253 */ // Label 2056: @126253
     /*  126253 */ GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(126863),
     /*  126258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126268 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(126334), // Rule ID 71570 //
     /*  126273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126315 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126332 */     GIR_RootConstrainSelectedInstOperands,
     /*  126333 */     // GIR_Coverage, 71570,
     /*  126333 */     GIR_EraseRootFromParent_Done,
     /*  126334 */   // Label 2223: @126334
     /*  126334 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(126400), // Rule ID 71571 //
     /*  126339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126381 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126398 */     GIR_RootConstrainSelectedInstOperands,
     /*  126399 */     // GIR_Coverage, 71571,
     /*  126399 */     GIR_EraseRootFromParent_Done,
     /*  126400 */   // Label 2224: @126400
     /*  126400 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(126466), // Rule ID 71568 //
     /*  126405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126447 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126464 */     GIR_RootConstrainSelectedInstOperands,
     /*  126465 */     // GIR_Coverage, 71568,
     /*  126465 */     GIR_EraseRootFromParent_Done,
     /*  126466 */   // Label 2225: @126466
     /*  126466 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126532), // Rule ID 71569 //
     /*  126471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126513 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126530 */     GIR_RootConstrainSelectedInstOperands,
     /*  126531 */     // GIR_Coverage, 71569,
     /*  126531 */     GIR_EraseRootFromParent_Done,
     /*  126532 */   // Label 2226: @126532
     /*  126532 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(126598), // Rule ID 71566 //
     /*  126537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126579 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126596 */     GIR_RootConstrainSelectedInstOperands,
     /*  126597 */     // GIR_Coverage, 71566,
     /*  126597 */     GIR_EraseRootFromParent_Done,
     /*  126598 */   // Label 2227: @126598
     /*  126598 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(126664), // Rule ID 71567 //
     /*  126603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126645 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126662 */     GIR_RootConstrainSelectedInstOperands,
     /*  126663 */     // GIR_Coverage, 71567,
     /*  126663 */     GIR_EraseRootFromParent_Done,
     /*  126664 */   // Label 2228: @126664
     /*  126664 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(126730), // Rule ID 53152 //
     /*  126669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126711 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126728 */     GIR_RootConstrainSelectedInstOperands,
     /*  126729 */     // GIR_Coverage, 53152,
     /*  126729 */     GIR_EraseRootFromParent_Done,
     /*  126730 */   // Label 2229: @126730
     /*  126730 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(126796), // Rule ID 53153 //
     /*  126735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126777 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126794 */     GIR_RootConstrainSelectedInstOperands,
     /*  126795 */     // GIR_Coverage, 53153,
     /*  126795 */     GIR_EraseRootFromParent_Done,
     /*  126796 */   // Label 2230: @126796
     /*  126796 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(126829), // Rule ID 53140 //
     /*  126801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126812 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  126815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126827 */     GIR_RootConstrainSelectedInstOperands,
     /*  126828 */     // GIR_Coverage, 53140,
     /*  126828 */     GIR_EraseRootFromParent_Done,
     /*  126829 */   // Label 2231: @126829
     /*  126829 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(126862), // Rule ID 53141 //
     /*  126834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126845 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  126848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126860 */     GIR_RootConstrainSelectedInstOperands,
     /*  126861 */     // GIR_Coverage, 53141,
     /*  126861 */     GIR_EraseRootFromParent_Done,
     /*  126862 */   // Label 2232: @126862
     /*  126862 */   GIM_Reject,
     /*  126863 */ // Label 2222: @126863
     /*  126863 */ GIM_Reject,
     /*  126864 */ // Label 2057: @126864
     /*  126864 */ GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(126978),
     /*  126869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  126872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  126875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126887 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(126932), // Rule ID 47586 //
     /*  126892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126895 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  126895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  126898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126930 */     GIR_RootConstrainSelectedInstOperands,
     /*  126931 */     // GIR_Coverage, 47586,
     /*  126931 */     GIR_EraseRootFromParent_Done,
     /*  126932 */   // Label 2234: @126932
     /*  126932 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(126977), // Rule ID 47587 //
     /*  126937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126940 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  126940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  126943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126975 */     GIR_RootConstrainSelectedInstOperands,
     /*  126976 */     // GIR_Coverage, 47587,
     /*  126976 */     GIR_EraseRootFromParent_Done,
     /*  126977 */   // Label 2235: @126977
     /*  126977 */   GIM_Reject,
     /*  126978 */ // Label 2233: @126978
     /*  126978 */ GIM_Reject,
     /*  126979 */ // Label 2058: @126979
     /*  126979 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(127093),
     /*  126984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  126987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  126990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127002 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(127047), // Rule ID 47602 //
     /*  127007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127010 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  127010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127045 */     GIR_RootConstrainSelectedInstOperands,
     /*  127046 */     // GIR_Coverage, 47602,
     /*  127046 */     GIR_EraseRootFromParent_Done,
     /*  127047 */   // Label 2237: @127047
     /*  127047 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(127092), // Rule ID 47603 //
     /*  127052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127055 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  127055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127090 */     GIR_RootConstrainSelectedInstOperands,
     /*  127091 */     // GIR_Coverage, 47603,
     /*  127091 */     GIR_EraseRootFromParent_Done,
     /*  127092 */   // Label 2238: @127092
     /*  127092 */   GIM_Reject,
     /*  127093 */ // Label 2236: @127093
     /*  127093 */ GIM_Reject,
     /*  127094 */ // Label 2059: @127094
     /*  127094 */ GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(127704),
     /*  127099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127109 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(127175), // Rule ID 71598 //
     /*  127114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127156 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127173 */     GIR_RootConstrainSelectedInstOperands,
     /*  127174 */     // GIR_Coverage, 71598,
     /*  127174 */     GIR_EraseRootFromParent_Done,
     /*  127175 */   // Label 2240: @127175
     /*  127175 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(127241), // Rule ID 71599 //
     /*  127180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127222 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127239 */     GIR_RootConstrainSelectedInstOperands,
     /*  127240 */     // GIR_Coverage, 71599,
     /*  127240 */     GIR_EraseRootFromParent_Done,
     /*  127241 */   // Label 2241: @127241
     /*  127241 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(127307), // Rule ID 71596 //
     /*  127246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127288 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127305 */     GIR_RootConstrainSelectedInstOperands,
     /*  127306 */     // GIR_Coverage, 71596,
     /*  127306 */     GIR_EraseRootFromParent_Done,
     /*  127307 */   // Label 2242: @127307
     /*  127307 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(127373), // Rule ID 71597 //
     /*  127312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127354 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127371 */     GIR_RootConstrainSelectedInstOperands,
     /*  127372 */     // GIR_Coverage, 71597,
     /*  127372 */     GIR_EraseRootFromParent_Done,
     /*  127373 */   // Label 2243: @127373
     /*  127373 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(127439), // Rule ID 71594 //
     /*  127378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127420 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127437 */     GIR_RootConstrainSelectedInstOperands,
     /*  127438 */     // GIR_Coverage, 71594,
     /*  127438 */     GIR_EraseRootFromParent_Done,
     /*  127439 */   // Label 2244: @127439
     /*  127439 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(127505), // Rule ID 71595 //
     /*  127444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127486 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127503 */     GIR_RootConstrainSelectedInstOperands,
     /*  127504 */     // GIR_Coverage, 71595,
     /*  127504 */     GIR_EraseRootFromParent_Done,
     /*  127505 */   // Label 2245: @127505
     /*  127505 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(127571), // Rule ID 53170 //
     /*  127510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127552 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127569 */     GIR_RootConstrainSelectedInstOperands,
     /*  127570 */     // GIR_Coverage, 53170,
     /*  127570 */     GIR_EraseRootFromParent_Done,
     /*  127571 */   // Label 2246: @127571
     /*  127571 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(127637), // Rule ID 53171 //
     /*  127576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127618 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127635 */     GIR_RootConstrainSelectedInstOperands,
     /*  127636 */     // GIR_Coverage, 53171,
     /*  127636 */     GIR_EraseRootFromParent_Done,
     /*  127637 */   // Label 2247: @127637
     /*  127637 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(127670), // Rule ID 53158 //
     /*  127642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127653 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  127656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127668 */     GIR_RootConstrainSelectedInstOperands,
     /*  127669 */     // GIR_Coverage, 53158,
     /*  127669 */     GIR_EraseRootFromParent_Done,
     /*  127670 */   // Label 2248: @127670
     /*  127670 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(127703), // Rule ID 53159 //
     /*  127675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127686 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  127689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127701 */     GIR_RootConstrainSelectedInstOperands,
     /*  127702 */     // GIR_Coverage, 53159,
     /*  127702 */     GIR_EraseRootFromParent_Done,
     /*  127703 */   // Label 2249: @127703
     /*  127703 */   GIM_Reject,
     /*  127704 */ // Label 2239: @127704
     /*  127704 */ GIM_Reject,
     /*  127705 */ // Label 2060: @127705
     /*  127705 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(127819),
     /*  127710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  127713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  127716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127728 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(127773), // Rule ID 47590 //
     /*  127733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127736 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  127736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  127739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127771 */     GIR_RootConstrainSelectedInstOperands,
     /*  127772 */     // GIR_Coverage, 47590,
     /*  127772 */     GIR_EraseRootFromParent_Done,
     /*  127773 */   // Label 2251: @127773
     /*  127773 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(127818), // Rule ID 47591 //
     /*  127778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127781 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  127781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  127784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127816 */     GIR_RootConstrainSelectedInstOperands,
     /*  127817 */     // GIR_Coverage, 47591,
     /*  127817 */     GIR_EraseRootFromParent_Done,
     /*  127818 */   // Label 2252: @127818
     /*  127818 */   GIM_Reject,
     /*  127819 */ // Label 2250: @127819
     /*  127819 */ GIM_Reject,
     /*  127820 */ // Label 2061: @127820
     /*  127820 */ GIM_Reject,
     /*  127821 */ // Label 8: @127821
     /*  127821 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2284*/ GIMT_Encode4(140441),
     /*  127832 */ /*GILLT_s32*//*Label 2253*/ GIMT_Encode4(127956),
     /*  127836 */ /*GILLT_s64*//*Label 2254*/ GIMT_Encode4(130686),
     /*  127840 */ /*GILLT_nxv1s1*//*Label 2255*/ GIMT_Encode4(133634),
     /*  127844 */ /*GILLT_nxv1s8*//*Label 2256*/ GIMT_Encode4(134245),
     /*  127848 */ /*GILLT_nxv1s16*//*Label 2257*/ GIMT_Encode4(134360),
     /*  127852 */ /*GILLT_nxv1s32*//*Label 2258*/ GIMT_Encode4(134475),
     /*  127856 */ /*GILLT_nxv1s64*//*Label 2259*/ GIMT_Encode4(134590),
     /*  127860 */ /*GILLT_nxv2s1*//*Label 2260*/ GIMT_Encode4(134705),
     /*  127864 */ /*GILLT_nxv2s8*//*Label 2261*/ GIMT_Encode4(135316),
     /*  127868 */ /*GILLT_nxv2s16*//*Label 2262*/ GIMT_Encode4(135431),
     /*  127872 */ /*GILLT_nxv2s32*//*Label 2263*/ GIMT_Encode4(135546),
     /*  127876 */ /*GILLT_nxv2s64*//*Label 2264*/ GIMT_Encode4(135661),
     /*  127880 */ /*GILLT_nxv4s1*//*Label 2265*/ GIMT_Encode4(135776),
     /*  127884 */ /*GILLT_nxv4s8*//*Label 2266*/ GIMT_Encode4(136387),
     /*  127888 */ /*GILLT_nxv4s16*//*Label 2267*/ GIMT_Encode4(136502),
     /*  127892 */ /*GILLT_nxv4s32*//*Label 2268*/ GIMT_Encode4(136617),
     /*  127896 */ /*GILLT_nxv4s64*//*Label 2269*/ GIMT_Encode4(136732),
     /*  127900 */ /*GILLT_nxv8s1*//*Label 2270*/ GIMT_Encode4(136847),
     /*  127904 */ /*GILLT_nxv8s8*//*Label 2271*/ GIMT_Encode4(137458),
     /*  127908 */ /*GILLT_nxv8s16*//*Label 2272*/ GIMT_Encode4(137573),
     /*  127912 */ /*GILLT_nxv8s32*//*Label 2273*/ GIMT_Encode4(137688),
     /*  127916 */ /*GILLT_nxv8s64*//*Label 2274*/ GIMT_Encode4(137803),
     /*  127920 */ /*GILLT_nxv16s1*//*Label 2275*/ GIMT_Encode4(137918),
     /*  127924 */ /*GILLT_nxv16s8*//*Label 2276*/ GIMT_Encode4(138529),
     /*  127928 */ /*GILLT_nxv16s16*//*Label 2277*/ GIMT_Encode4(138644),
     /*  127932 */ /*GILLT_nxv16s32*//*Label 2278*/ GIMT_Encode4(138759),
     /*  127936 */ /*GILLT_nxv32s1*//*Label 2279*/ GIMT_Encode4(138874),
     /*  127940 */ /*GILLT_nxv32s8*//*Label 2280*/ GIMT_Encode4(139485),
     /*  127944 */ /*GILLT_nxv32s16*//*Label 2281*/ GIMT_Encode4(139600),
     /*  127948 */ /*GILLT_nxv64s1*//*Label 2282*/ GIMT_Encode4(139715),
     /*  127952 */ /*GILLT_nxv64s8*//*Label 2283*/ GIMT_Encode4(140326),
     /*  127956 */ // Label 2253: @127956
     /*  127956 */ GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(130685),
     /*  127961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  127964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  127967 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(128162), // Rule ID 65250 //
     /*  127972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  127975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  127991 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  127995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128007 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128011 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128015 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128019 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128023 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128027 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128031 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128035 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128039 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128043 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128047 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  128051 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128055 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128059 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128063 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128067 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  128071 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128073 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128087 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128094 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128101 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128101 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128104 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128108 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  128118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  128123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128160 */     GIR_RootConstrainSelectedInstOperands,
     /*  128161 */     // GIR_Coverage, 65250,
     /*  128161 */     GIR_EraseRootFromParent_Done,
     /*  128162 */   // Label 2286: @128162
     /*  128162 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(128357), // Rule ID 65252 //
     /*  128167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128202 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128206 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128210 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128214 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128218 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128222 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128226 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128230 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128234 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128238 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128242 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  128246 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128250 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128254 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128258 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128262 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  128266 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128275 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128282 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128289 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128296 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128296 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128299 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128303 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  128313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  128318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128355 */     GIR_RootConstrainSelectedInstOperands,
     /*  128356 */     // GIR_Coverage, 65252,
     /*  128356 */     GIR_EraseRootFromParent_Done,
     /*  128357 */   // Label 2287: @128357
     /*  128357 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(128552), // Rule ID 65246 //
     /*  128362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128397 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128401 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128413 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128417 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128421 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128425 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128429 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128433 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128437 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  128441 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128445 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128449 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128453 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128457 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  128461 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128463 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128470 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128477 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128484 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128491 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128491 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128494 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128498 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  128508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  128513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  128532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  128537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128550 */     GIR_RootConstrainSelectedInstOperands,
     /*  128551 */     // GIR_Coverage, 65246,
     /*  128551 */     GIR_EraseRootFromParent_Done,
     /*  128552 */   // Label 2288: @128552
     /*  128552 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(128747), // Rule ID 65248 //
     /*  128557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128592 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128596 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128600 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128604 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128608 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128612 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128616 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128620 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128624 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128628 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128632 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  128636 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128640 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128644 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128648 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128652 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  128656 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128658 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128665 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128672 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128679 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128686 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128686 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128689 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128693 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  128703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  128708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  128727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  128732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128745 */     GIR_RootConstrainSelectedInstOperands,
     /*  128746 */     // GIR_Coverage, 65248,
     /*  128746 */     GIR_EraseRootFromParent_Done,
     /*  128747 */   // Label 2289: @128747
     /*  128747 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(128942), // Rule ID 65240 //
     /*  128752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  128795 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  128799 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128803 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128807 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128811 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  128815 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  128819 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128823 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128827 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128831 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  128835 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128839 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128843 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128847 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  128851 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128853 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128860 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128867 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128874 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128881 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128881 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128884 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128888 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  128898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  128903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  128922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  128927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128940 */     GIR_RootConstrainSelectedInstOperands,
     /*  128941 */     // GIR_Coverage, 65240,
     /*  128941 */     GIR_EraseRootFromParent_Done,
     /*  128942 */   // Label 2290: @128942
     /*  128942 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(129137), // Rule ID 65244 //
     /*  128947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128982 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128986 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  128994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128998 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129002 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129006 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  129010 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129014 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129018 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129022 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129026 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  129030 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129034 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129038 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129042 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129046 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129048 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129055 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129062 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129069 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129076 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129076 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129079 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129083 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  129093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  129098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  129117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  129122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129135 */     GIR_RootConstrainSelectedInstOperands,
     /*  129136 */     // GIR_Coverage, 65244,
     /*  129136 */     GIR_EraseRootFromParent_Done,
     /*  129137 */   // Label 2291: @129137
     /*  129137 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(129332), // Rule ID 2441 //
     /*  129142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129177 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129181 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129193 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129197 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129201 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  129205 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129209 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129213 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129217 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129221 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  129225 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129229 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129233 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129237 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129241 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129243 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129250 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129257 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129264 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129271 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129271 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129274 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129278 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  129288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  129293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  129312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  129317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129330 */     GIR_RootConstrainSelectedInstOperands,
     /*  129331 */     // GIR_Coverage, 2441,
     /*  129331 */     GIR_EraseRootFromParent_Done,
     /*  129332 */   // Label 2292: @129332
     /*  129332 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(129527), // Rule ID 65242 //
     /*  129337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129372 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129376 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  129380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129388 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129392 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129396 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  129400 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129404 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129408 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129412 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129416 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  129420 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129424 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129428 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129432 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129436 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129445 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129452 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129459 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129466 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129466 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129469 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129473 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  129483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  129488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  129507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  129512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129525 */     GIR_RootConstrainSelectedInstOperands,
     /*  129526 */     // GIR_Coverage, 65242,
     /*  129526 */     GIR_EraseRootFromParent_Done,
     /*  129527 */   // Label 2293: @129527
     /*  129527 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(129632), // Rule ID 2436 //
     /*  129532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129555 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  129559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  129563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129571 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129575 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  129579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129588 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129595 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  129595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  129612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  129622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  129630 */     GIR_RootConstrainSelectedInstOperands,
     /*  129631 */     // GIR_Coverage, 2436,
     /*  129631 */     GIR_EraseRootFromParent_Done,
     /*  129632 */   // Label 2294: @129632
     /*  129632 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(129737), // Rule ID 65235 //
     /*  129637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129660 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  129664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  129668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129676 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129680 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129693 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129700 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  129700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  129722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  129727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  129735 */     GIR_RootConstrainSelectedInstOperands,
     /*  129736 */     // GIR_Coverage, 65235,
     /*  129736 */     GIR_EraseRootFromParent_Done,
     /*  129737 */   // Label 2295: @129737
     /*  129737 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(129826), // Rule ID 65229 //
     /*  129742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  129757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129777 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129786 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  129790 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  129801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129810 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  129810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  129824 */     GIR_RootConstrainSelectedInstOperands,
     /*  129825 */     // GIR_Coverage, 65229,
     /*  129825 */     GIR_EraseRootFromParent_Done,
     /*  129826 */   // Label 2296: @129826
     /*  129826 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(129915), // Rule ID 2430 //
     /*  129831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  129846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129875 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  129879 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  129890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129899 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  129899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  129913 */     GIR_RootConstrainSelectedInstOperands,
     /*  129914 */     // GIR_Coverage, 2430,
     /*  129914 */     GIR_EraseRootFromParent_Done,
     /*  129915 */   // Label 2297: @129915
     /*  129915 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(129980), // Rule ID 65231 //
     /*  129920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129943 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  129947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129956 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129963 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  129963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  129978 */     GIR_RootConstrainSelectedInstOperands,
     /*  129979 */     // GIR_Coverage, 65231,
     /*  129979 */     GIR_EraseRootFromParent_Done,
     /*  129980 */   // Label 2298: @129980
     /*  129980 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130045), // Rule ID 2432 //
     /*  129985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  129988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130008 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130021 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130028 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  130038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130043 */     GIR_RootConstrainSelectedInstOperands,
     /*  130044 */     // GIR_Coverage, 2432,
     /*  130044 */     GIR_EraseRootFromParent_Done,
     /*  130045 */   // Label 2299: @130045
     /*  130045 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130111), // Rule ID 65237 //
     /*  130050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130078 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130082 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11217),
     /*  130086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130095 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11217>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130109 */     GIR_RootConstrainSelectedInstOperands,
     /*  130110 */     // GIR_Coverage, 65237,
     /*  130110 */     GIR_EraseRootFromParent_Done,
     /*  130111 */   // Label 2300: @130111
     /*  130111 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130177), // Rule ID 2438 //
     /*  130116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130144 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130148 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11217),
     /*  130152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130161 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11217>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130175 */     GIR_RootConstrainSelectedInstOperands,
     /*  130176 */     // GIR_Coverage, 2438,
     /*  130176 */     GIR_EraseRootFromParent_Done,
     /*  130177 */   // Label 2301: @130177
     /*  130177 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130239), // Rule ID 2439 //
     /*  130182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130210 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130223 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130237 */     GIR_RootConstrainSelectedInstOperands,
     /*  130238 */     // GIR_Coverage, 2439,
     /*  130238 */     GIR_EraseRootFromParent_Done,
     /*  130239 */   // Label 2302: @130239
     /*  130239 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(130301), // Rule ID 65238 //
     /*  130244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130272 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130285 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130299 */     GIR_RootConstrainSelectedInstOperands,
     /*  130300 */     // GIR_Coverage, 65238,
     /*  130300 */     GIR_EraseRootFromParent_Done,
     /*  130301 */   // Label 2303: @130301
     /*  130301 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130360), // Rule ID 2365 //
     /*  130306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130329 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  130333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130339 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  130346 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  130349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130358 */     GIR_RootConstrainSelectedInstOperands,
     /*  130359 */     // GIR_Coverage, 2365,
     /*  130359 */     GIR_EraseRootFromParent_Done,
     /*  130360 */   // Label 2304: @130360
     /*  130360 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(130419), // Rule ID 65225 //
     /*  130365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130392 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  130396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  130405 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  130408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130417 */     GIR_RootConstrainSelectedInstOperands,
     /*  130418 */     // GIR_Coverage, 65225,
     /*  130418 */     GIR_EraseRootFromParent_Done,
     /*  130419 */   // Label 2305: @130419
     /*  130419 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130475), // Rule ID 65209 //
     /*  130424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  130427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130452 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  130456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130462 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  130465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130473 */     GIR_RootConstrainSelectedInstOperands,
     /*  130474 */     // GIR_Coverage, 65209,
     /*  130474 */     GIR_EraseRootFromParent_Done,
     /*  130475 */   // Label 2306: @130475
     /*  130475 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130531), // Rule ID 2339 //
     /*  130480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  130483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130512 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  130516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130518 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  130521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130529 */     GIR_RootConstrainSelectedInstOperands,
     /*  130530 */     // GIR_Coverage, 2339,
     /*  130530 */     GIR_EraseRootFromParent_Done,
     /*  130531 */   // Label 2307: @130531
     /*  130531 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130573), // Rule ID 81 //
     /*  130536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  130539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  130559 */     // MIs[1] Operand 1
     /*  130559 */     // No operand predicates
     /*  130559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130561 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  130561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  130564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  130571 */     GIR_RootConstrainSelectedInstOperands,
     /*  130572 */     // GIR_Coverage, 81,
     /*  130572 */     GIR_EraseRootFromParent_Done,
     /*  130573 */   // Label 2308: @130573
     /*  130573 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130615), // Rule ID 64516 //
     /*  130578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  130581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  130601 */     // MIs[1] Operand 1
     /*  130601 */     // No operand predicates
     /*  130601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130603 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  130603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  130606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  130608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  130613 */     GIR_RootConstrainSelectedInstOperands,
     /*  130614 */     // GIR_Coverage, 64516,
     /*  130614 */     GIR_EraseRootFromParent_Done,
     /*  130615 */   // Label 2309: @130615
     /*  130615 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130657), // Rule ID 64520 //
     /*  130620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  130623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  130631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  130643 */     // MIs[1] Operand 1
     /*  130643 */     // No operand predicates
     /*  130643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130645 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  130645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  130648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  130655 */     GIR_RootConstrainSelectedInstOperands,
     /*  130656 */     // GIR_Coverage, 64520,
     /*  130656 */     GIR_EraseRootFromParent_Done,
     /*  130657 */   // Label 2310: @130657
     /*  130657 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130684), // Rule ID 79 //
     /*  130662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  130665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130677 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  130682 */     GIR_RootConstrainSelectedInstOperands,
     /*  130683 */     // GIR_Coverage, 79,
     /*  130683 */     GIR_Done,
     /*  130684 */   // Label 2311: @130684
     /*  130684 */   GIM_Reject,
     /*  130685 */ // Label 2285: @130685
     /*  130685 */ GIM_Reject,
     /*  130686 */ // Label 2254: @130686
     /*  130686 */ GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(133633),
     /*  130691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  130694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  130697 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(130892), // Rule ID 65249 //
     /*  130702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  130705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  130721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  130725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130737 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  130741 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130745 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  130749 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130753 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  130757 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  130761 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  130765 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130769 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  130773 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  130777 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  130781 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  130785 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130789 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  130793 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  130797 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  130801 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  130803 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130810 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130817 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  130824 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  130831 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  130831 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  130834 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130838 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  130848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  130853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  130855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  130858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  130872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  130877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  130890 */     GIR_RootConstrainSelectedInstOperands,
     /*  130891 */     // GIR_Coverage, 65249,
     /*  130891 */     GIR_EraseRootFromParent_Done,
     /*  130892 */   // Label 2313: @130892
     /*  130892 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131087), // Rule ID 65251 //
     /*  130897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  130900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  130916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  130920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130932 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  130936 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  130944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  130948 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  130952 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  130956 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  130960 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130964 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  130968 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  130972 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  130976 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  130980 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130984 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  130988 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  130992 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  130996 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  130998 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131005 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131012 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131019 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131026 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131026 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131029 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131033 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  131043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  131048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  131067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  131072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131085 */     GIR_RootConstrainSelectedInstOperands,
     /*  131086 */     // GIR_Coverage, 65251,
     /*  131086 */     GIR_EraseRootFromParent_Done,
     /*  131087 */   // Label 2314: @131087
     /*  131087 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131282), // Rule ID 65245 //
     /*  131092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131127 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131131 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131147 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131151 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131155 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131159 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131163 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131167 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  131171 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131175 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131179 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131183 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131187 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  131191 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131200 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131207 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131214 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131221 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131221 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131224 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131228 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  131238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  131243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  131262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  131267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131280 */     GIR_RootConstrainSelectedInstOperands,
     /*  131281 */     // GIR_Coverage, 65245,
     /*  131281 */     GIR_EraseRootFromParent_Done,
     /*  131282 */   // Label 2315: @131282
     /*  131282 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131477), // Rule ID 65247 //
     /*  131287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131322 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131326 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131330 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131334 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131338 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131342 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131346 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131350 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131354 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131358 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131362 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  131366 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131370 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131374 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131378 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131382 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  131386 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131388 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131395 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131402 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131409 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131416 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131416 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131419 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131423 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  131433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  131438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  131457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  131462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131475 */     GIR_RootConstrainSelectedInstOperands,
     /*  131476 */     // GIR_Coverage, 65247,
     /*  131476 */     GIR_EraseRootFromParent_Done,
     /*  131477 */   // Label 2316: @131477
     /*  131477 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131672), // Rule ID 65239 //
     /*  131482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131517 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131521 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  131525 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  131529 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131533 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131537 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131541 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  131545 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  131549 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131553 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131557 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131561 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  131565 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131569 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131573 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131577 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  131581 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131590 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131597 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131604 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131611 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131611 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131614 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131618 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  131628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  131633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  131652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  131657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131670 */     GIR_RootConstrainSelectedInstOperands,
     /*  131671 */     // GIR_Coverage, 65239,
     /*  131671 */     GIR_EraseRootFromParent_Done,
     /*  131672 */   // Label 2317: @131672
     /*  131672 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131867), // Rule ID 65243 //
     /*  131677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131712 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131716 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  131720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  131724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131728 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131732 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131736 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  131740 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  131744 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131748 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131752 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131756 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  131760 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131764 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131768 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131772 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  131776 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131778 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131785 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131792 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131799 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131806 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131806 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131809 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131813 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  131823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  131828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  131847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  131852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131865 */     GIR_RootConstrainSelectedInstOperands,
     /*  131866 */     // GIR_Coverage, 65243,
     /*  131866 */     GIR_EraseRootFromParent_Done,
     /*  131867 */   // Label 2318: @131867
     /*  131867 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(132062), // Rule ID 2440 //
     /*  131872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131907 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131911 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  131915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  131919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131923 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131927 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131931 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  131935 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  131939 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131943 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131947 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131951 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  131955 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131959 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131963 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131967 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  131971 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131973 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131980 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131987 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131994 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132001 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132001 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132004 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132008 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  132018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  132023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132060 */     GIR_RootConstrainSelectedInstOperands,
     /*  132061 */     // GIR_Coverage, 2440,
     /*  132061 */     GIR_EraseRootFromParent_Done,
     /*  132062 */   // Label 2319: @132062
     /*  132062 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(132257), // Rule ID 65241 //
     /*  132067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132106 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132110 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132114 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132118 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132122 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132126 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  132130 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132134 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132138 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132142 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132146 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  132150 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132154 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132158 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132162 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132166 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132168 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132175 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132182 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132189 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132196 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132196 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132199 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132203 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  132213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  132218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132255 */     GIR_RootConstrainSelectedInstOperands,
     /*  132256 */     // GIR_Coverage, 65241,
     /*  132256 */     GIR_EraseRootFromParent_Done,
     /*  132257 */   // Label 2320: @132257
     /*  132257 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(132362), // Rule ID 2435 //
     /*  132262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132285 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  132289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  132293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132301 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132305 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132325 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  132325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  132342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  132347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  132352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  132360 */     GIR_RootConstrainSelectedInstOperands,
     /*  132361 */     // GIR_Coverage, 2435,
     /*  132361 */     GIR_EraseRootFromParent_Done,
     /*  132362 */   // Label 2321: @132362
     /*  132362 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(132467), // Rule ID 65234 //
     /*  132367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132386 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  132394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  132398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132410 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  132414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132416 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132423 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132430 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  132430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  132452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  132457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  132465 */     GIR_RootConstrainSelectedInstOperands,
     /*  132466 */     // GIR_Coverage, 65234,
     /*  132466 */     GIR_EraseRootFromParent_Done,
     /*  132467 */   // Label 2322: @132467
     /*  132467 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(132556), // Rule ID 65228 //
     /*  132472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  132487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132507 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132516 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  132520 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  132531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132540 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132554 */     GIR_RootConstrainSelectedInstOperands,
     /*  132555 */     // GIR_Coverage, 65228,
     /*  132555 */     GIR_EraseRootFromParent_Done,
     /*  132556 */   // Label 2323: @132556
     /*  132556 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(132645), // Rule ID 2429 //
     /*  132561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  132576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132596 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132605 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  132609 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  132620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132629 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132643 */     GIR_RootConstrainSelectedInstOperands,
     /*  132644 */     // GIR_Coverage, 2429,
     /*  132644 */     GIR_EraseRootFromParent_Done,
     /*  132645 */   // Label 2324: @132645
     /*  132645 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(132710), // Rule ID 65230 //
     /*  132650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132673 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  132677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132693 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  132708 */     GIR_RootConstrainSelectedInstOperands,
     /*  132709 */     // GIR_Coverage, 65230,
     /*  132709 */     GIR_EraseRootFromParent_Done,
     /*  132710 */   // Label 2325: @132710
     /*  132710 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(132775), // Rule ID 2431 //
     /*  132715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132738 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  132742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132751 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132758 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  132768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  132773 */     GIR_RootConstrainSelectedInstOperands,
     /*  132774 */     // GIR_Coverage, 2431,
     /*  132774 */     GIR_EraseRootFromParent_Done,
     /*  132775 */   // Label 2326: @132775
     /*  132775 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(132860), // Rule ID 65255 //
     /*  132780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  132783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  132795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132811 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132820 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132824 */     // MIs[1] Operand 2
     /*  132824 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  132835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  132844 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  132847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132858 */     GIR_RootConstrainSelectedInstOperands,
     /*  132859 */     // GIR_Coverage, 65255,
     /*  132859 */     GIR_EraseRootFromParent_Done,
     /*  132860 */   // Label 2327: @132860
     /*  132860 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(132945), // Rule ID 2444 //
     /*  132865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  132868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  132880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132896 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132905 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132909 */     // MIs[1] Operand 2
     /*  132909 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  132920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  132929 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  132932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  132943 */     GIR_RootConstrainSelectedInstOperands,
     /*  132944 */     // GIR_Coverage, 2444,
     /*  132944 */     GIR_EraseRootFromParent_Done,
     /*  132945 */   // Label 2328: @132945
     /*  132945 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(133011), // Rule ID 65236 //
     /*  132950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132978 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  132982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11217),
     /*  132986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132995 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11217>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  132995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133009 */     GIR_RootConstrainSelectedInstOperands,
     /*  133010 */     // GIR_Coverage, 65236,
     /*  133010 */     GIR_EraseRootFromParent_Done,
     /*  133011 */   // Label 2329: @133011
     /*  133011 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(133077), // Rule ID 65254 //
     /*  133016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133044 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133048 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10059),
     /*  133052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133061 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10059>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133075 */     GIR_RootConstrainSelectedInstOperands,
     /*  133076 */     // GIR_Coverage, 65254,
     /*  133076 */     GIR_EraseRootFromParent_Done,
     /*  133077 */   // Label 2330: @133077
     /*  133077 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(133143), // Rule ID 2437 //
     /*  133082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133110 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133114 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11217),
     /*  133118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133127 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11217>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133141 */     GIR_RootConstrainSelectedInstOperands,
     /*  133142 */     // GIR_Coverage, 2437,
     /*  133142 */     GIR_EraseRootFromParent_Done,
     /*  133143 */   // Label 2331: @133143
     /*  133143 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(133209), // Rule ID 2443 //
     /*  133148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133167 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133176 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10059),
     /*  133184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133193 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10059>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133207 */     GIR_RootConstrainSelectedInstOperands,
     /*  133208 */     // GIR_Coverage, 2443,
     /*  133208 */     GIR_EraseRootFromParent_Done,
     /*  133209 */   // Label 2332: @133209
     /*  133209 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(133271), // Rule ID 2442 //
     /*  133214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133242 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133255 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133269 */     GIR_RootConstrainSelectedInstOperands,
     /*  133270 */     // GIR_Coverage, 2442,
     /*  133270 */     GIR_EraseRootFromParent_Done,
     /*  133271 */   // Label 2333: @133271
     /*  133271 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(133333), // Rule ID 65253 //
     /*  133276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133304 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133317 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133331 */     GIR_RootConstrainSelectedInstOperands,
     /*  133332 */     // GIR_Coverage, 65253,
     /*  133332 */     GIR_EraseRootFromParent_Done,
     /*  133333 */   // Label 2334: @133333
     /*  133333 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(133392), // Rule ID 2364 //
     /*  133338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  133341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133361 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  133365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  133378 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  133381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133390 */     GIR_RootConstrainSelectedInstOperands,
     /*  133391 */     // GIR_Coverage, 2364,
     /*  133391 */     GIR_EraseRootFromParent_Done,
     /*  133392 */   // Label 2335: @133392
     /*  133392 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(133451), // Rule ID 65224 //
     /*  133397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  133400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133424 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  133428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133430 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  133437 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  133440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133449 */     GIR_RootConstrainSelectedInstOperands,
     /*  133450 */     // GIR_Coverage, 65224,
     /*  133450 */     GIR_EraseRootFromParent_Done,
     /*  133451 */   // Label 2336: @133451
     /*  133451 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(133507), // Rule ID 65208 //
     /*  133456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  133459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133484 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  133488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133494 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  133497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133505 */     GIR_RootConstrainSelectedInstOperands,
     /*  133506 */     // GIR_Coverage, 65208,
     /*  133506 */     GIR_EraseRootFromParent_Done,
     /*  133507 */   // Label 2337: @133507
     /*  133507 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(133563), // Rule ID 2338 //
     /*  133512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  133515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133544 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  133548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133550 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  133553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133561 */     GIR_RootConstrainSelectedInstOperands,
     /*  133562 */     // GIR_Coverage, 2338,
     /*  133562 */     GIR_EraseRootFromParent_Done,
     /*  133563 */   // Label 2338: @133563
     /*  133563 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(133605), // Rule ID 80 //
     /*  133568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  133571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  133591 */     // MIs[1] Operand 1
     /*  133591 */     // No operand predicates
     /*  133591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133593 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  133593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  133596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  133603 */     GIR_RootConstrainSelectedInstOperands,
     /*  133604 */     // GIR_Coverage, 80,
     /*  133604 */     GIR_EraseRootFromParent_Done,
     /*  133605 */   // Label 2339: @133605
     /*  133605 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(133632), // Rule ID 78 //
     /*  133610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  133613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133625 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  133630 */     GIR_RootConstrainSelectedInstOperands,
     /*  133631 */     // GIR_Coverage, 78,
     /*  133631 */     GIR_Done,
     /*  133632 */   // Label 2340: @133632
     /*  133632 */   GIM_Reject,
     /*  133633 */ // Label 2312: @133633
     /*  133633 */ GIM_Reject,
     /*  133634 */ // Label 2255: @133634
     /*  133634 */ GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(134244),
     /*  133639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133649 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(133715), // Rule ID 71436 //
     /*  133654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133696 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133713 */     GIR_RootConstrainSelectedInstOperands,
     /*  133714 */     // GIR_Coverage, 71436,
     /*  133714 */     GIR_EraseRootFromParent_Done,
     /*  133715 */   // Label 2342: @133715
     /*  133715 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(133781), // Rule ID 71437 //
     /*  133720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133762 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133779 */     GIR_RootConstrainSelectedInstOperands,
     /*  133780 */     // GIR_Coverage, 71437,
     /*  133780 */     GIR_EraseRootFromParent_Done,
     /*  133781 */   // Label 2343: @133781
     /*  133781 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(133847), // Rule ID 71434 //
     /*  133786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133828 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133845 */     GIR_RootConstrainSelectedInstOperands,
     /*  133846 */     // GIR_Coverage, 71434,
     /*  133846 */     GIR_EraseRootFromParent_Done,
     /*  133847 */   // Label 2344: @133847
     /*  133847 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(133913), // Rule ID 71435 //
     /*  133852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133894 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133911 */     GIR_RootConstrainSelectedInstOperands,
     /*  133912 */     // GIR_Coverage, 71435,
     /*  133912 */     GIR_EraseRootFromParent_Done,
     /*  133913 */   // Label 2345: @133913
     /*  133913 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(133979), // Rule ID 71432 //
     /*  133918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  133937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  133941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133960 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  133963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133977 */     GIR_RootConstrainSelectedInstOperands,
     /*  133978 */     // GIR_Coverage, 71432,
     /*  133978 */     GIR_EraseRootFromParent_Done,
     /*  133979 */   // Label 2346: @133979
     /*  133979 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(134045), // Rule ID 71433 //
     /*  133984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134026 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134043 */     GIR_RootConstrainSelectedInstOperands,
     /*  134044 */     // GIR_Coverage, 71433,
     /*  134044 */     GIR_EraseRootFromParent_Done,
     /*  134045 */   // Label 2347: @134045
     /*  134045 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(134111), // Rule ID 53064 //
     /*  134050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134092 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134109 */     GIR_RootConstrainSelectedInstOperands,
     /*  134110 */     // GIR_Coverage, 53064,
     /*  134110 */     GIR_EraseRootFromParent_Done,
     /*  134111 */   // Label 2348: @134111
     /*  134111 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(134177), // Rule ID 53065 //
     /*  134116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134158 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134175 */     GIR_RootConstrainSelectedInstOperands,
     /*  134176 */     // GIR_Coverage, 53065,
     /*  134176 */     GIR_EraseRootFromParent_Done,
     /*  134177 */   // Label 2349: @134177
     /*  134177 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(134210), // Rule ID 53052 //
     /*  134182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134193 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134208 */     GIR_RootConstrainSelectedInstOperands,
     /*  134209 */     // GIR_Coverage, 53052,
     /*  134209 */     GIR_EraseRootFromParent_Done,
     /*  134210 */   // Label 2350: @134210
     /*  134210 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(134243), // Rule ID 53053 //
     /*  134215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134226 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134241 */     GIR_RootConstrainSelectedInstOperands,
     /*  134242 */     // GIR_Coverage, 53053,
     /*  134242 */     GIR_EraseRootFromParent_Done,
     /*  134243 */   // Label 2351: @134243
     /*  134243 */   GIM_Reject,
     /*  134244 */ // Label 2341: @134244
     /*  134244 */ GIM_Reject,
     /*  134245 */ // Label 2256: @134245
     /*  134245 */ GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(134359),
     /*  134250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  134253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  134256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134268 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(134313), // Rule ID 47674 //
     /*  134273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134276 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134311 */     GIR_RootConstrainSelectedInstOperands,
     /*  134312 */     // GIR_Coverage, 47674,
     /*  134312 */     GIR_EraseRootFromParent_Done,
     /*  134313 */   // Label 2353: @134313
     /*  134313 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(134358), // Rule ID 47675 //
     /*  134318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134321 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134356 */     GIR_RootConstrainSelectedInstOperands,
     /*  134357 */     // GIR_Coverage, 47675,
     /*  134357 */     GIR_EraseRootFromParent_Done,
     /*  134358 */   // Label 2354: @134358
     /*  134358 */   GIM_Reject,
     /*  134359 */ // Label 2352: @134359
     /*  134359 */ GIM_Reject,
     /*  134360 */ // Label 2257: @134360
     /*  134360 */ GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(134474),
     /*  134365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  134368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  134371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134383 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(134428), // Rule ID 47686 //
     /*  134388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134391 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  134394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  134408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134426 */     GIR_RootConstrainSelectedInstOperands,
     /*  134427 */     // GIR_Coverage, 47686,
     /*  134427 */     GIR_EraseRootFromParent_Done,
     /*  134428 */   // Label 2356: @134428
     /*  134428 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(134473), // Rule ID 47687 //
     /*  134433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134436 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  134439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  134453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134471 */     GIR_RootConstrainSelectedInstOperands,
     /*  134472 */     // GIR_Coverage, 47687,
     /*  134472 */     GIR_EraseRootFromParent_Done,
     /*  134473 */   // Label 2357: @134473
     /*  134473 */   GIM_Reject,
     /*  134474 */ // Label 2355: @134474
     /*  134474 */ GIM_Reject,
     /*  134475 */ // Label 2258: @134475
     /*  134475 */ GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(134589),
     /*  134480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  134483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  134486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134498 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(134543), // Rule ID 47694 //
     /*  134503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134506 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  134509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  134523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134541 */     GIR_RootConstrainSelectedInstOperands,
     /*  134542 */     // GIR_Coverage, 47694,
     /*  134542 */     GIR_EraseRootFromParent_Done,
     /*  134543 */   // Label 2359: @134543
     /*  134543 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(134588), // Rule ID 47695 //
     /*  134548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134551 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  134554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  134568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134586 */     GIR_RootConstrainSelectedInstOperands,
     /*  134587 */     // GIR_Coverage, 47695,
     /*  134587 */     GIR_EraseRootFromParent_Done,
     /*  134588 */   // Label 2360: @134588
     /*  134588 */   GIM_Reject,
     /*  134589 */ // Label 2358: @134589
     /*  134589 */ GIM_Reject,
     /*  134590 */ // Label 2259: @134590
     /*  134590 */ GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(134704),
     /*  134595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  134598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  134601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134613 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(134658), // Rule ID 47710 //
     /*  134618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134621 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  134621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  134624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  134638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134656 */     GIR_RootConstrainSelectedInstOperands,
     /*  134657 */     // GIR_Coverage, 47710,
     /*  134657 */     GIR_EraseRootFromParent_Done,
     /*  134658 */   // Label 2362: @134658
     /*  134658 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(134703), // Rule ID 47711 //
     /*  134663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  134666 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  134666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  134669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  134683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134701 */     GIR_RootConstrainSelectedInstOperands,
     /*  134702 */     // GIR_Coverage, 47711,
     /*  134702 */     GIR_EraseRootFromParent_Done,
     /*  134703 */   // Label 2363: @134703
     /*  134703 */   GIM_Reject,
     /*  134704 */ // Label 2361: @134704
     /*  134704 */ GIM_Reject,
     /*  134705 */ // Label 2260: @134705
     /*  134705 */ GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(135315),
     /*  134710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134720 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(134786), // Rule ID 71464 //
     /*  134725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134767 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134784 */     GIR_RootConstrainSelectedInstOperands,
     /*  134785 */     // GIR_Coverage, 71464,
     /*  134785 */     GIR_EraseRootFromParent_Done,
     /*  134786 */   // Label 2365: @134786
     /*  134786 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(134852), // Rule ID 71465 //
     /*  134791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134833 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134850 */     GIR_RootConstrainSelectedInstOperands,
     /*  134851 */     // GIR_Coverage, 71465,
     /*  134851 */     GIR_EraseRootFromParent_Done,
     /*  134852 */   // Label 2366: @134852
     /*  134852 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(134918), // Rule ID 71462 //
     /*  134857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134899 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134916 */     GIR_RootConstrainSelectedInstOperands,
     /*  134917 */     // GIR_Coverage, 71462,
     /*  134917 */     GIR_EraseRootFromParent_Done,
     /*  134918 */   // Label 2367: @134918
     /*  134918 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(134984), // Rule ID 71463 //
     /*  134923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  134938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  134942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134965 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  134968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134982 */     GIR_RootConstrainSelectedInstOperands,
     /*  134983 */     // GIR_Coverage, 71463,
     /*  134983 */     GIR_EraseRootFromParent_Done,
     /*  134984 */   // Label 2368: @134984
     /*  134984 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(135050), // Rule ID 71460 //
     /*  134989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135031 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135048 */     GIR_RootConstrainSelectedInstOperands,
     /*  135049 */     // GIR_Coverage, 71460,
     /*  135049 */     GIR_EraseRootFromParent_Done,
     /*  135050 */   // Label 2369: @135050
     /*  135050 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(135116), // Rule ID 71461 //
     /*  135055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135097 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135114 */     GIR_RootConstrainSelectedInstOperands,
     /*  135115 */     // GIR_Coverage, 71461,
     /*  135115 */     GIR_EraseRootFromParent_Done,
     /*  135116 */   // Label 2370: @135116
     /*  135116 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(135182), // Rule ID 53082 //
     /*  135121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135163 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135180 */     GIR_RootConstrainSelectedInstOperands,
     /*  135181 */     // GIR_Coverage, 53082,
     /*  135181 */     GIR_EraseRootFromParent_Done,
     /*  135182 */   // Label 2371: @135182
     /*  135182 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(135248), // Rule ID 53083 //
     /*  135187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135229 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135246 */     GIR_RootConstrainSelectedInstOperands,
     /*  135247 */     // GIR_Coverage, 53083,
     /*  135247 */     GIR_EraseRootFromParent_Done,
     /*  135248 */   // Label 2372: @135248
     /*  135248 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(135281), // Rule ID 53070 //
     /*  135253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135264 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135279 */     GIR_RootConstrainSelectedInstOperands,
     /*  135280 */     // GIR_Coverage, 53070,
     /*  135280 */     GIR_EraseRootFromParent_Done,
     /*  135281 */   // Label 2373: @135281
     /*  135281 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(135314), // Rule ID 53071 //
     /*  135286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135297 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135312 */     GIR_RootConstrainSelectedInstOperands,
     /*  135313 */     // GIR_Coverage, 53071,
     /*  135313 */     GIR_EraseRootFromParent_Done,
     /*  135314 */   // Label 2374: @135314
     /*  135314 */   GIM_Reject,
     /*  135315 */ // Label 2364: @135315
     /*  135315 */ GIM_Reject,
     /*  135316 */ // Label 2261: @135316
     /*  135316 */ GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(135430),
     /*  135321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  135324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135339 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(135384), // Rule ID 47678 //
     /*  135344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135347 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  135350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135382 */     GIR_RootConstrainSelectedInstOperands,
     /*  135383 */     // GIR_Coverage, 47678,
     /*  135383 */     GIR_EraseRootFromParent_Done,
     /*  135384 */   // Label 2376: @135384
     /*  135384 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(135429), // Rule ID 47679 //
     /*  135389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135392 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  135395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135427 */     GIR_RootConstrainSelectedInstOperands,
     /*  135428 */     // GIR_Coverage, 47679,
     /*  135428 */     GIR_EraseRootFromParent_Done,
     /*  135429 */   // Label 2377: @135429
     /*  135429 */   GIM_Reject,
     /*  135430 */ // Label 2375: @135430
     /*  135430 */ GIM_Reject,
     /*  135431 */ // Label 2262: @135431
     /*  135431 */ GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(135545),
     /*  135436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  135439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  135442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135454 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(135499), // Rule ID 47690 //
     /*  135459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135462 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  135465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135497 */     GIR_RootConstrainSelectedInstOperands,
     /*  135498 */     // GIR_Coverage, 47690,
     /*  135498 */     GIR_EraseRootFromParent_Done,
     /*  135499 */   // Label 2379: @135499
     /*  135499 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(135544), // Rule ID 47691 //
     /*  135504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135507 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  135510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135542 */     GIR_RootConstrainSelectedInstOperands,
     /*  135543 */     // GIR_Coverage, 47691,
     /*  135543 */     GIR_EraseRootFromParent_Done,
     /*  135544 */   // Label 2380: @135544
     /*  135544 */   GIM_Reject,
     /*  135545 */ // Label 2378: @135545
     /*  135545 */ GIM_Reject,
     /*  135546 */ // Label 2263: @135546
     /*  135546 */ GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(135660),
     /*  135551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  135554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  135557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135569 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(135614), // Rule ID 47706 //
     /*  135574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135577 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  135577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  135580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135612 */     GIR_RootConstrainSelectedInstOperands,
     /*  135613 */     // GIR_Coverage, 47706,
     /*  135613 */     GIR_EraseRootFromParent_Done,
     /*  135614 */   // Label 2382: @135614
     /*  135614 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(135659), // Rule ID 47707 //
     /*  135619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135622 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  135622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  135625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135657 */     GIR_RootConstrainSelectedInstOperands,
     /*  135658 */     // GIR_Coverage, 47707,
     /*  135658 */     GIR_EraseRootFromParent_Done,
     /*  135659 */   // Label 2383: @135659
     /*  135659 */   GIM_Reject,
     /*  135660 */ // Label 2381: @135660
     /*  135660 */ GIM_Reject,
     /*  135661 */ // Label 2264: @135661
     /*  135661 */ GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(135775),
     /*  135666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  135669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  135672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  135676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  135680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  135684 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(135729), // Rule ID 47750 //
     /*  135689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  135692 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  135692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  135695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  135709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135727 */     GIR_RootConstrainSelectedInstOperands,
     /*  135728 */     // GIR_Coverage, 47750,
     /*  135728 */     GIR_EraseRootFromParent_Done,
     /*  135729 */   // Label 2385: @135729
     /*  135729 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(135774), // Rule ID 47751 //
     /*  135734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  135737 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  135737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  135740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  135754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135772 */     GIR_RootConstrainSelectedInstOperands,
     /*  135773 */     // GIR_Coverage, 47751,
     /*  135773 */     GIR_EraseRootFromParent_Done,
     /*  135774 */   // Label 2386: @135774
     /*  135774 */   GIM_Reject,
     /*  135775 */ // Label 2384: @135775
     /*  135775 */ GIM_Reject,
     /*  135776 */ // Label 2265: @135776
     /*  135776 */ GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(136386),
     /*  135781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135791 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(135857), // Rule ID 71492 //
     /*  135796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135838 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  135841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135855 */     GIR_RootConstrainSelectedInstOperands,
     /*  135856 */     // GIR_Coverage, 71492,
     /*  135856 */     GIR_EraseRootFromParent_Done,
     /*  135857 */   // Label 2388: @135857
     /*  135857 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(135923), // Rule ID 71493 //
     /*  135862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135904 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  135907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135921 */     GIR_RootConstrainSelectedInstOperands,
     /*  135922 */     // GIR_Coverage, 71493,
     /*  135922 */     GIR_EraseRootFromParent_Done,
     /*  135923 */   // Label 2389: @135923
     /*  135923 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(135989), // Rule ID 71490 //
     /*  135928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  135943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  135947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135970 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  135973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135987 */     GIR_RootConstrainSelectedInstOperands,
     /*  135988 */     // GIR_Coverage, 71490,
     /*  135988 */     GIR_EraseRootFromParent_Done,
     /*  135989 */   // Label 2390: @135989
     /*  135989 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(136055), // Rule ID 71491 //
     /*  135994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136036 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136053 */     GIR_RootConstrainSelectedInstOperands,
     /*  136054 */     // GIR_Coverage, 71491,
     /*  136054 */     GIR_EraseRootFromParent_Done,
     /*  136055 */   // Label 2391: @136055
     /*  136055 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(136121), // Rule ID 71488 //
     /*  136060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136102 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136119 */     GIR_RootConstrainSelectedInstOperands,
     /*  136120 */     // GIR_Coverage, 71488,
     /*  136120 */     GIR_EraseRootFromParent_Done,
     /*  136121 */   // Label 2392: @136121
     /*  136121 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(136187), // Rule ID 71489 //
     /*  136126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136168 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136185 */     GIR_RootConstrainSelectedInstOperands,
     /*  136186 */     // GIR_Coverage, 71489,
     /*  136186 */     GIR_EraseRootFromParent_Done,
     /*  136187 */   // Label 2393: @136187
     /*  136187 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(136253), // Rule ID 53100 //
     /*  136192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136234 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136251 */     GIR_RootConstrainSelectedInstOperands,
     /*  136252 */     // GIR_Coverage, 53100,
     /*  136252 */     GIR_EraseRootFromParent_Done,
     /*  136253 */   // Label 2394: @136253
     /*  136253 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(136319), // Rule ID 53101 //
     /*  136258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136300 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136317 */     GIR_RootConstrainSelectedInstOperands,
     /*  136318 */     // GIR_Coverage, 53101,
     /*  136318 */     GIR_EraseRootFromParent_Done,
     /*  136319 */   // Label 2395: @136319
     /*  136319 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(136352), // Rule ID 53088 //
     /*  136324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136335 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136350 */     GIR_RootConstrainSelectedInstOperands,
     /*  136351 */     // GIR_Coverage, 53088,
     /*  136351 */     GIR_EraseRootFromParent_Done,
     /*  136352 */   // Label 2396: @136352
     /*  136352 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(136385), // Rule ID 53089 //
     /*  136357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136368 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136383 */     GIR_RootConstrainSelectedInstOperands,
     /*  136384 */     // GIR_Coverage, 53089,
     /*  136384 */     GIR_EraseRootFromParent_Done,
     /*  136385 */   // Label 2397: @136385
     /*  136385 */   GIM_Reject,
     /*  136386 */ // Label 2387: @136386
     /*  136386 */ GIM_Reject,
     /*  136387 */ // Label 2266: @136387
     /*  136387 */ GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(136501),
     /*  136392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  136395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  136398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136410 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(136455), // Rule ID 47682 //
     /*  136415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136418 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  136421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136453 */     GIR_RootConstrainSelectedInstOperands,
     /*  136454 */     // GIR_Coverage, 47682,
     /*  136454 */     GIR_EraseRootFromParent_Done,
     /*  136455 */   // Label 2399: @136455
     /*  136455 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(136500), // Rule ID 47683 //
     /*  136460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136463 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  136466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136498 */     GIR_RootConstrainSelectedInstOperands,
     /*  136499 */     // GIR_Coverage, 47683,
     /*  136499 */     GIR_EraseRootFromParent_Done,
     /*  136500 */   // Label 2400: @136500
     /*  136500 */   GIM_Reject,
     /*  136501 */ // Label 2398: @136501
     /*  136501 */ GIM_Reject,
     /*  136502 */ // Label 2267: @136502
     /*  136502 */ GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(136616),
     /*  136507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  136510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  136513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136525 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(136570), // Rule ID 47702 //
     /*  136530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136533 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  136533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  136536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136568 */     GIR_RootConstrainSelectedInstOperands,
     /*  136569 */     // GIR_Coverage, 47702,
     /*  136569 */     GIR_EraseRootFromParent_Done,
     /*  136570 */   // Label 2402: @136570
     /*  136570 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(136615), // Rule ID 47703 //
     /*  136575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136578 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  136578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  136581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136613 */     GIR_RootConstrainSelectedInstOperands,
     /*  136614 */     // GIR_Coverage, 47703,
     /*  136614 */     GIR_EraseRootFromParent_Done,
     /*  136615 */   // Label 2403: @136615
     /*  136615 */   GIM_Reject,
     /*  136616 */ // Label 2401: @136616
     /*  136616 */ GIM_Reject,
     /*  136617 */ // Label 2268: @136617
     /*  136617 */ GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(136731),
     /*  136622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  136625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  136628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136640 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(136685), // Rule ID 47738 //
     /*  136645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136648 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  136648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  136651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136683 */     GIR_RootConstrainSelectedInstOperands,
     /*  136684 */     // GIR_Coverage, 47738,
     /*  136684 */     GIR_EraseRootFromParent_Done,
     /*  136685 */   // Label 2405: @136685
     /*  136685 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(136730), // Rule ID 47739 //
     /*  136690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136693 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  136693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  136696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136728 */     GIR_RootConstrainSelectedInstOperands,
     /*  136729 */     // GIR_Coverage, 47739,
     /*  136729 */     GIR_EraseRootFromParent_Done,
     /*  136730 */   // Label 2406: @136730
     /*  136730 */   GIM_Reject,
     /*  136731 */ // Label 2404: @136731
     /*  136731 */ GIM_Reject,
     /*  136732 */ // Label 2269: @136732
     /*  136732 */ GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(136846),
     /*  136737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  136740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  136743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136755 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(136800), // Rule ID 47754 //
     /*  136760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  136763 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  136763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  136766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  136780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136798 */     GIR_RootConstrainSelectedInstOperands,
     /*  136799 */     // GIR_Coverage, 47754,
     /*  136799 */     GIR_EraseRootFromParent_Done,
     /*  136800 */   // Label 2408: @136800
     /*  136800 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(136845), // Rule ID 47755 //
     /*  136805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  136808 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  136808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  136811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  136825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136843 */     GIR_RootConstrainSelectedInstOperands,
     /*  136844 */     // GIR_Coverage, 47755,
     /*  136844 */     GIR_EraseRootFromParent_Done,
     /*  136845 */   // Label 2409: @136845
     /*  136845 */   GIM_Reject,
     /*  136846 */ // Label 2407: @136846
     /*  136846 */ GIM_Reject,
     /*  136847 */ // Label 2270: @136847
     /*  136847 */ GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(137457),
     /*  136852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  136855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  136858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136862 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(136928), // Rule ID 71520 //
     /*  136867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  136882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  136886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136909 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  136912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136926 */     GIR_RootConstrainSelectedInstOperands,
     /*  136927 */     // GIR_Coverage, 71520,
     /*  136927 */     GIR_EraseRootFromParent_Done,
     /*  136928 */   // Label 2411: @136928
     /*  136928 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(136994), // Rule ID 71521 //
     /*  136933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  136948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  136952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136975 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  136978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136992 */     GIR_RootConstrainSelectedInstOperands,
     /*  136993 */     // GIR_Coverage, 71521,
     /*  136993 */     GIR_EraseRootFromParent_Done,
     /*  136994 */   // Label 2412: @136994
     /*  136994 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(137060), // Rule ID 71518 //
     /*  136999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137041 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137058 */     GIR_RootConstrainSelectedInstOperands,
     /*  137059 */     // GIR_Coverage, 71518,
     /*  137059 */     GIR_EraseRootFromParent_Done,
     /*  137060 */   // Label 2413: @137060
     /*  137060 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(137126), // Rule ID 71519 //
     /*  137065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137107 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137124 */     GIR_RootConstrainSelectedInstOperands,
     /*  137125 */     // GIR_Coverage, 71519,
     /*  137125 */     GIR_EraseRootFromParent_Done,
     /*  137126 */   // Label 2414: @137126
     /*  137126 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(137192), // Rule ID 71516 //
     /*  137131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137173 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137190 */     GIR_RootConstrainSelectedInstOperands,
     /*  137191 */     // GIR_Coverage, 71516,
     /*  137191 */     GIR_EraseRootFromParent_Done,
     /*  137192 */   // Label 2415: @137192
     /*  137192 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(137258), // Rule ID 71517 //
     /*  137197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137239 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137256 */     GIR_RootConstrainSelectedInstOperands,
     /*  137257 */     // GIR_Coverage, 71517,
     /*  137257 */     GIR_EraseRootFromParent_Done,
     /*  137258 */   // Label 2416: @137258
     /*  137258 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(137324), // Rule ID 53118 //
     /*  137263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137305 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137322 */     GIR_RootConstrainSelectedInstOperands,
     /*  137323 */     // GIR_Coverage, 53118,
     /*  137323 */     GIR_EraseRootFromParent_Done,
     /*  137324 */   // Label 2417: @137324
     /*  137324 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(137390), // Rule ID 53119 //
     /*  137329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137371 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137388 */     GIR_RootConstrainSelectedInstOperands,
     /*  137389 */     // GIR_Coverage, 53119,
     /*  137389 */     GIR_EraseRootFromParent_Done,
     /*  137390 */   // Label 2418: @137390
     /*  137390 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(137423), // Rule ID 53106 //
     /*  137395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137406 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  137409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137421 */     GIR_RootConstrainSelectedInstOperands,
     /*  137422 */     // GIR_Coverage, 53106,
     /*  137422 */     GIR_EraseRootFromParent_Done,
     /*  137423 */   // Label 2419: @137423
     /*  137423 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(137456), // Rule ID 53107 //
     /*  137428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137439 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  137442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137454 */     GIR_RootConstrainSelectedInstOperands,
     /*  137455 */     // GIR_Coverage, 53107,
     /*  137455 */     GIR_EraseRootFromParent_Done,
     /*  137456 */   // Label 2420: @137456
     /*  137456 */   GIM_Reject,
     /*  137457 */ // Label 2410: @137457
     /*  137457 */ GIM_Reject,
     /*  137458 */ // Label 2271: @137458
     /*  137458 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(137572),
     /*  137463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  137466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  137469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137481 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(137526), // Rule ID 47698 //
     /*  137486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137489 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  137489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  137492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137524 */     GIR_RootConstrainSelectedInstOperands,
     /*  137525 */     // GIR_Coverage, 47698,
     /*  137525 */     GIR_EraseRootFromParent_Done,
     /*  137526 */   // Label 2422: @137526
     /*  137526 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(137571), // Rule ID 47699 //
     /*  137531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137534 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  137534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  137537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137569 */     GIR_RootConstrainSelectedInstOperands,
     /*  137570 */     // GIR_Coverage, 47699,
     /*  137570 */     GIR_EraseRootFromParent_Done,
     /*  137571 */   // Label 2423: @137571
     /*  137571 */   GIM_Reject,
     /*  137572 */ // Label 2421: @137572
     /*  137572 */ GIM_Reject,
     /*  137573 */ // Label 2272: @137573
     /*  137573 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(137687),
     /*  137578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  137581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  137584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137596 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(137641), // Rule ID 47726 //
     /*  137601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137604 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  137604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  137607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137639 */     GIR_RootConstrainSelectedInstOperands,
     /*  137640 */     // GIR_Coverage, 47726,
     /*  137640 */     GIR_EraseRootFromParent_Done,
     /*  137641 */   // Label 2425: @137641
     /*  137641 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(137686), // Rule ID 47727 //
     /*  137646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137649 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  137649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  137652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137684 */     GIR_RootConstrainSelectedInstOperands,
     /*  137685 */     // GIR_Coverage, 47727,
     /*  137685 */     GIR_EraseRootFromParent_Done,
     /*  137686 */   // Label 2426: @137686
     /*  137686 */   GIM_Reject,
     /*  137687 */ // Label 2424: @137687
     /*  137687 */ GIM_Reject,
     /*  137688 */ // Label 2273: @137688
     /*  137688 */ GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(137802),
     /*  137693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  137696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  137699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137711 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(137756), // Rule ID 47742 //
     /*  137716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137719 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  137719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  137722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137754 */     GIR_RootConstrainSelectedInstOperands,
     /*  137755 */     // GIR_Coverage, 47742,
     /*  137755 */     GIR_EraseRootFromParent_Done,
     /*  137756 */   // Label 2428: @137756
     /*  137756 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(137801), // Rule ID 47743 //
     /*  137761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137764 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  137764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  137767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137799 */     GIR_RootConstrainSelectedInstOperands,
     /*  137800 */     // GIR_Coverage, 47743,
     /*  137800 */     GIR_EraseRootFromParent_Done,
     /*  137801 */   // Label 2429: @137801
     /*  137801 */   GIM_Reject,
     /*  137802 */ // Label 2427: @137802
     /*  137802 */ GIM_Reject,
     /*  137803 */ // Label 2274: @137803
     /*  137803 */ GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(137917),
     /*  137808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  137811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  137814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137826 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(137871), // Rule ID 47758 //
     /*  137831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  137834 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  137834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  137837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  137851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137869 */     GIR_RootConstrainSelectedInstOperands,
     /*  137870 */     // GIR_Coverage, 47758,
     /*  137870 */     GIR_EraseRootFromParent_Done,
     /*  137871 */   // Label 2431: @137871
     /*  137871 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(137916), // Rule ID 47759 //
     /*  137876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  137879 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  137879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  137882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  137896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137914 */     GIR_RootConstrainSelectedInstOperands,
     /*  137915 */     // GIR_Coverage, 47759,
     /*  137915 */     GIR_EraseRootFromParent_Done,
     /*  137916 */   // Label 2432: @137916
     /*  137916 */   GIM_Reject,
     /*  137917 */ // Label 2430: @137917
     /*  137917 */ GIM_Reject,
     /*  137918 */ // Label 2275: @137918
     /*  137918 */ GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(138528),
     /*  137923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  137926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  137929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137933 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(137999), // Rule ID 71548 //
     /*  137938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  137953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  137957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137980 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  137983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137997 */     GIR_RootConstrainSelectedInstOperands,
     /*  137998 */     // GIR_Coverage, 71548,
     /*  137998 */     GIR_EraseRootFromParent_Done,
     /*  137999 */   // Label 2434: @137999
     /*  137999 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(138065), // Rule ID 71549 //
     /*  138004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138046 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138063 */     GIR_RootConstrainSelectedInstOperands,
     /*  138064 */     // GIR_Coverage, 71549,
     /*  138064 */     GIR_EraseRootFromParent_Done,
     /*  138065 */   // Label 2435: @138065
     /*  138065 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(138131), // Rule ID 71546 //
     /*  138070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138112 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138129 */     GIR_RootConstrainSelectedInstOperands,
     /*  138130 */     // GIR_Coverage, 71546,
     /*  138130 */     GIR_EraseRootFromParent_Done,
     /*  138131 */   // Label 2436: @138131
     /*  138131 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(138197), // Rule ID 71547 //
     /*  138136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138151 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138178 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138195 */     GIR_RootConstrainSelectedInstOperands,
     /*  138196 */     // GIR_Coverage, 71547,
     /*  138196 */     GIR_EraseRootFromParent_Done,
     /*  138197 */   // Label 2437: @138197
     /*  138197 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(138263), // Rule ID 71544 //
     /*  138202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138244 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138261 */     GIR_RootConstrainSelectedInstOperands,
     /*  138262 */     // GIR_Coverage, 71544,
     /*  138262 */     GIR_EraseRootFromParent_Done,
     /*  138263 */   // Label 2438: @138263
     /*  138263 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(138329), // Rule ID 71545 //
     /*  138268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138310 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138327 */     GIR_RootConstrainSelectedInstOperands,
     /*  138328 */     // GIR_Coverage, 71545,
     /*  138328 */     GIR_EraseRootFromParent_Done,
     /*  138329 */   // Label 2439: @138329
     /*  138329 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(138395), // Rule ID 53136 //
     /*  138334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138376 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138393 */     GIR_RootConstrainSelectedInstOperands,
     /*  138394 */     // GIR_Coverage, 53136,
     /*  138394 */     GIR_EraseRootFromParent_Done,
     /*  138395 */   // Label 2440: @138395
     /*  138395 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(138461), // Rule ID 53137 //
     /*  138400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138442 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138459 */     GIR_RootConstrainSelectedInstOperands,
     /*  138460 */     // GIR_Coverage, 53137,
     /*  138460 */     GIR_EraseRootFromParent_Done,
     /*  138461 */   // Label 2441: @138461
     /*  138461 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(138494), // Rule ID 53124 //
     /*  138466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138477 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  138480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138492 */     GIR_RootConstrainSelectedInstOperands,
     /*  138493 */     // GIR_Coverage, 53124,
     /*  138493 */     GIR_EraseRootFromParent_Done,
     /*  138494 */   // Label 2442: @138494
     /*  138494 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(138527), // Rule ID 53125 //
     /*  138499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138510 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  138513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138525 */     GIR_RootConstrainSelectedInstOperands,
     /*  138526 */     // GIR_Coverage, 53125,
     /*  138526 */     GIR_EraseRootFromParent_Done,
     /*  138527 */   // Label 2443: @138527
     /*  138527 */   GIM_Reject,
     /*  138528 */ // Label 2433: @138528
     /*  138528 */ GIM_Reject,
     /*  138529 */ // Label 2276: @138529
     /*  138529 */ GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(138643),
     /*  138534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  138537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  138540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138552 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(138597), // Rule ID 47714 //
     /*  138557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138560 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  138560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  138563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138595 */     GIR_RootConstrainSelectedInstOperands,
     /*  138596 */     // GIR_Coverage, 47714,
     /*  138596 */     GIR_EraseRootFromParent_Done,
     /*  138597 */   // Label 2445: @138597
     /*  138597 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(138642), // Rule ID 47715 //
     /*  138602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138605 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  138605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  138608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138640 */     GIR_RootConstrainSelectedInstOperands,
     /*  138641 */     // GIR_Coverage, 47715,
     /*  138641 */     GIR_EraseRootFromParent_Done,
     /*  138642 */   // Label 2446: @138642
     /*  138642 */   GIM_Reject,
     /*  138643 */ // Label 2444: @138643
     /*  138643 */ GIM_Reject,
     /*  138644 */ // Label 2277: @138644
     /*  138644 */ GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(138758),
     /*  138649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  138652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  138655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138667 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(138712), // Rule ID 47730 //
     /*  138672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138675 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  138675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  138678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138710 */     GIR_RootConstrainSelectedInstOperands,
     /*  138711 */     // GIR_Coverage, 47730,
     /*  138711 */     GIR_EraseRootFromParent_Done,
     /*  138712 */   // Label 2448: @138712
     /*  138712 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(138757), // Rule ID 47731 //
     /*  138717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138720 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  138720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  138723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138755 */     GIR_RootConstrainSelectedInstOperands,
     /*  138756 */     // GIR_Coverage, 47731,
     /*  138756 */     GIR_EraseRootFromParent_Done,
     /*  138757 */   // Label 2449: @138757
     /*  138757 */   GIM_Reject,
     /*  138758 */ // Label 2447: @138758
     /*  138758 */ GIM_Reject,
     /*  138759 */ // Label 2278: @138759
     /*  138759 */ GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(138873),
     /*  138764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  138767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  138770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138782 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(138827), // Rule ID 47746 //
     /*  138787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138790 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  138790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  138793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138825 */     GIR_RootConstrainSelectedInstOperands,
     /*  138826 */     // GIR_Coverage, 47746,
     /*  138826 */     GIR_EraseRootFromParent_Done,
     /*  138827 */   // Label 2451: @138827
     /*  138827 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(138872), // Rule ID 47747 //
     /*  138832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138835 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  138835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  138838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138870 */     GIR_RootConstrainSelectedInstOperands,
     /*  138871 */     // GIR_Coverage, 47747,
     /*  138871 */     GIR_EraseRootFromParent_Done,
     /*  138872 */   // Label 2452: @138872
     /*  138872 */   GIM_Reject,
     /*  138873 */ // Label 2450: @138873
     /*  138873 */ GIM_Reject,
     /*  138874 */ // Label 2279: @138874
     /*  138874 */ GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(139484),
     /*  138879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  138882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  138885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138889 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(138955), // Rule ID 71576 //
     /*  138894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  138909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  138913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138936 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138953 */     GIR_RootConstrainSelectedInstOperands,
     /*  138954 */     // GIR_Coverage, 71576,
     /*  138954 */     GIR_EraseRootFromParent_Done,
     /*  138955 */   // Label 2454: @138955
     /*  138955 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(139021), // Rule ID 71577 //
     /*  138960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  138975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  138979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139002 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139019 */     GIR_RootConstrainSelectedInstOperands,
     /*  139020 */     // GIR_Coverage, 71577,
     /*  139020 */     GIR_EraseRootFromParent_Done,
     /*  139021 */   // Label 2455: @139021
     /*  139021 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(139087), // Rule ID 71574 //
     /*  139026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139068 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139085 */     GIR_RootConstrainSelectedInstOperands,
     /*  139086 */     // GIR_Coverage, 71574,
     /*  139086 */     GIR_EraseRootFromParent_Done,
     /*  139087 */   // Label 2456: @139087
     /*  139087 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(139153), // Rule ID 71575 //
     /*  139092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139134 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139151 */     GIR_RootConstrainSelectedInstOperands,
     /*  139152 */     // GIR_Coverage, 71575,
     /*  139152 */     GIR_EraseRootFromParent_Done,
     /*  139153 */   // Label 2457: @139153
     /*  139153 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(139219), // Rule ID 71572 //
     /*  139158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139200 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139217 */     GIR_RootConstrainSelectedInstOperands,
     /*  139218 */     // GIR_Coverage, 71572,
     /*  139218 */     GIR_EraseRootFromParent_Done,
     /*  139219 */   // Label 2458: @139219
     /*  139219 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(139285), // Rule ID 71573 //
     /*  139224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139266 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139283 */     GIR_RootConstrainSelectedInstOperands,
     /*  139284 */     // GIR_Coverage, 71573,
     /*  139284 */     GIR_EraseRootFromParent_Done,
     /*  139285 */   // Label 2459: @139285
     /*  139285 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(139351), // Rule ID 53154 //
     /*  139290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139332 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139349 */     GIR_RootConstrainSelectedInstOperands,
     /*  139350 */     // GIR_Coverage, 53154,
     /*  139350 */     GIR_EraseRootFromParent_Done,
     /*  139351 */   // Label 2460: @139351
     /*  139351 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(139417), // Rule ID 53155 //
     /*  139356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139398 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139415 */     GIR_RootConstrainSelectedInstOperands,
     /*  139416 */     // GIR_Coverage, 53155,
     /*  139416 */     GIR_EraseRootFromParent_Done,
     /*  139417 */   // Label 2461: @139417
     /*  139417 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(139450), // Rule ID 53142 //
     /*  139422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139433 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  139436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139448 */     GIR_RootConstrainSelectedInstOperands,
     /*  139449 */     // GIR_Coverage, 53142,
     /*  139449 */     GIR_EraseRootFromParent_Done,
     /*  139450 */   // Label 2462: @139450
     /*  139450 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(139483), // Rule ID 53143 //
     /*  139455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139466 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  139469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139481 */     GIR_RootConstrainSelectedInstOperands,
     /*  139482 */     // GIR_Coverage, 53143,
     /*  139482 */     GIR_EraseRootFromParent_Done,
     /*  139483 */   // Label 2463: @139483
     /*  139483 */   GIM_Reject,
     /*  139484 */ // Label 2453: @139484
     /*  139484 */ GIM_Reject,
     /*  139485 */ // Label 2280: @139485
     /*  139485 */ GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(139599),
     /*  139490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  139493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  139496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139508 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(139553), // Rule ID 47718 //
     /*  139513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139516 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  139519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139551 */     GIR_RootConstrainSelectedInstOperands,
     /*  139552 */     // GIR_Coverage, 47718,
     /*  139552 */     GIR_EraseRootFromParent_Done,
     /*  139553 */   // Label 2465: @139553
     /*  139553 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(139598), // Rule ID 47719 //
     /*  139558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139561 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  139564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139596 */     GIR_RootConstrainSelectedInstOperands,
     /*  139597 */     // GIR_Coverage, 47719,
     /*  139597 */     GIR_EraseRootFromParent_Done,
     /*  139598 */   // Label 2466: @139598
     /*  139598 */   GIM_Reject,
     /*  139599 */ // Label 2464: @139599
     /*  139599 */ GIM_Reject,
     /*  139600 */ // Label 2281: @139600
     /*  139600 */ GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(139714),
     /*  139605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  139608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  139611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139623 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(139668), // Rule ID 47734 //
     /*  139628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139631 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  139634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139666 */     GIR_RootConstrainSelectedInstOperands,
     /*  139667 */     // GIR_Coverage, 47734,
     /*  139667 */     GIR_EraseRootFromParent_Done,
     /*  139668 */   // Label 2468: @139668
     /*  139668 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(139713), // Rule ID 47735 //
     /*  139673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139676 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  139679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139711 */     GIR_RootConstrainSelectedInstOperands,
     /*  139712 */     // GIR_Coverage, 47735,
     /*  139712 */     GIR_EraseRootFromParent_Done,
     /*  139713 */   // Label 2469: @139713
     /*  139713 */   GIM_Reject,
     /*  139714 */ // Label 2467: @139714
     /*  139714 */ GIM_Reject,
     /*  139715 */ // Label 2282: @139715
     /*  139715 */ GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(140325),
     /*  139720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139730 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(139796), // Rule ID 71604 //
     /*  139735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139777 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139794 */     GIR_RootConstrainSelectedInstOperands,
     /*  139795 */     // GIR_Coverage, 71604,
     /*  139795 */     GIR_EraseRootFromParent_Done,
     /*  139796 */   // Label 2471: @139796
     /*  139796 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(139862), // Rule ID 71605 //
     /*  139801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139843 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139860 */     GIR_RootConstrainSelectedInstOperands,
     /*  139861 */     // GIR_Coverage, 71605,
     /*  139861 */     GIR_EraseRootFromParent_Done,
     /*  139862 */   // Label 2472: @139862
     /*  139862 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(139928), // Rule ID 71602 //
     /*  139867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139909 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139926 */     GIR_RootConstrainSelectedInstOperands,
     /*  139927 */     // GIR_Coverage, 71602,
     /*  139927 */     GIR_EraseRootFromParent_Done,
     /*  139928 */   // Label 2473: @139928
     /*  139928 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(139994), // Rule ID 71603 //
     /*  139933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  139948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  139952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139975 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  139978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139992 */     GIR_RootConstrainSelectedInstOperands,
     /*  139993 */     // GIR_Coverage, 71603,
     /*  139993 */     GIR_EraseRootFromParent_Done,
     /*  139994 */   // Label 2474: @139994
     /*  139994 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(140060), // Rule ID 71600 //
     /*  139999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140041 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140058 */     GIR_RootConstrainSelectedInstOperands,
     /*  140059 */     // GIR_Coverage, 71600,
     /*  140059 */     GIR_EraseRootFromParent_Done,
     /*  140060 */   // Label 2475: @140060
     /*  140060 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(140126), // Rule ID 71601 //
     /*  140065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140107 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140124 */     GIR_RootConstrainSelectedInstOperands,
     /*  140125 */     // GIR_Coverage, 71601,
     /*  140125 */     GIR_EraseRootFromParent_Done,
     /*  140126 */   // Label 2476: @140126
     /*  140126 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(140192), // Rule ID 53172 //
     /*  140131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140173 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140190 */     GIR_RootConstrainSelectedInstOperands,
     /*  140191 */     // GIR_Coverage, 53172,
     /*  140191 */     GIR_EraseRootFromParent_Done,
     /*  140192 */   // Label 2477: @140192
     /*  140192 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(140258), // Rule ID 53173 //
     /*  140197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140239 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140256 */     GIR_RootConstrainSelectedInstOperands,
     /*  140257 */     // GIR_Coverage, 53173,
     /*  140257 */     GIR_EraseRootFromParent_Done,
     /*  140258 */   // Label 2478: @140258
     /*  140258 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(140291), // Rule ID 53160 //
     /*  140263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140274 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140289 */     GIR_RootConstrainSelectedInstOperands,
     /*  140290 */     // GIR_Coverage, 53160,
     /*  140290 */     GIR_EraseRootFromParent_Done,
     /*  140291 */   // Label 2479: @140291
     /*  140291 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(140324), // Rule ID 53161 //
     /*  140296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140307 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140322 */     GIR_RootConstrainSelectedInstOperands,
     /*  140323 */     // GIR_Coverage, 53161,
     /*  140323 */     GIR_EraseRootFromParent_Done,
     /*  140324 */   // Label 2480: @140324
     /*  140324 */   GIM_Reject,
     /*  140325 */ // Label 2470: @140325
     /*  140325 */ GIM_Reject,
     /*  140326 */ // Label 2283: @140326
     /*  140326 */ GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(140440),
     /*  140331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  140334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140349 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(140394), // Rule ID 47722 //
     /*  140354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140357 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  140357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  140360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140392 */     GIR_RootConstrainSelectedInstOperands,
     /*  140393 */     // GIR_Coverage, 47722,
     /*  140393 */     GIR_EraseRootFromParent_Done,
     /*  140394 */   // Label 2482: @140394
     /*  140394 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(140439), // Rule ID 47723 //
     /*  140399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140402 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  140402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  140405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140437 */     GIR_RootConstrainSelectedInstOperands,
     /*  140438 */     // GIR_Coverage, 47723,
     /*  140438 */     GIR_EraseRootFromParent_Done,
     /*  140439 */   // Label 2483: @140439
     /*  140439 */   GIM_Reject,
     /*  140440 */ // Label 2481: @140440
     /*  140440 */ GIM_Reject,
     /*  140441 */ // Label 2284: @140441
     /*  140441 */ GIM_Reject,
     /*  140442 */ // Label 9: @140442
     /*  140442 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2515*/ GIMT_Encode4(155348),
     /*  140453 */ /*GILLT_s32*//*Label 2484*/ GIMT_Encode4(140577),
     /*  140457 */ /*GILLT_s64*//*Label 2485*/ GIMT_Encode4(141115),
     /*  140461 */ /*GILLT_nxv1s1*//*Label 2486*/ GIMT_Encode4(141541),
     /*  140465 */ /*GILLT_nxv1s8*//*Label 2487*/ GIMT_Encode4(143152),
     /*  140469 */ /*GILLT_nxv1s16*//*Label 2488*/ GIMT_Encode4(143267),
     /*  140473 */ /*GILLT_nxv1s32*//*Label 2489*/ GIMT_Encode4(143382),
     /*  140477 */ /*GILLT_nxv1s64*//*Label 2490*/ GIMT_Encode4(143497),
     /*  140481 */ /*GILLT_nxv2s1*//*Label 2491*/ GIMT_Encode4(143612),
     /*  140485 */ /*GILLT_nxv2s8*//*Label 2492*/ GIMT_Encode4(145223),
     /*  140489 */ /*GILLT_nxv2s16*//*Label 2493*/ GIMT_Encode4(145338),
     /*  140493 */ /*GILLT_nxv2s32*//*Label 2494*/ GIMT_Encode4(145453),
     /*  140497 */ /*GILLT_nxv2s64*//*Label 2495*/ GIMT_Encode4(145568),
     /*  140501 */ /*GILLT_nxv4s1*//*Label 2496*/ GIMT_Encode4(145683),
     /*  140505 */ /*GILLT_nxv4s8*//*Label 2497*/ GIMT_Encode4(147294),
     /*  140509 */ /*GILLT_nxv4s16*//*Label 2498*/ GIMT_Encode4(147409),
     /*  140513 */ /*GILLT_nxv4s32*//*Label 2499*/ GIMT_Encode4(147524),
     /*  140517 */ /*GILLT_nxv4s64*//*Label 2500*/ GIMT_Encode4(147639),
     /*  140521 */ /*GILLT_nxv8s1*//*Label 2501*/ GIMT_Encode4(147754),
     /*  140525 */ /*GILLT_nxv8s8*//*Label 2502*/ GIMT_Encode4(149365),
     /*  140529 */ /*GILLT_nxv8s16*//*Label 2503*/ GIMT_Encode4(149480),
     /*  140533 */ /*GILLT_nxv8s32*//*Label 2504*/ GIMT_Encode4(149595),
     /*  140537 */ /*GILLT_nxv8s64*//*Label 2505*/ GIMT_Encode4(149710),
     /*  140541 */ /*GILLT_nxv16s1*//*Label 2506*/ GIMT_Encode4(149825),
     /*  140545 */ /*GILLT_nxv16s8*//*Label 2507*/ GIMT_Encode4(151436),
     /*  140549 */ /*GILLT_nxv16s16*//*Label 2508*/ GIMT_Encode4(151551),
     /*  140553 */ /*GILLT_nxv16s32*//*Label 2509*/ GIMT_Encode4(151666),
     /*  140557 */ /*GILLT_nxv32s1*//*Label 2510*/ GIMT_Encode4(151781),
     /*  140561 */ /*GILLT_nxv32s8*//*Label 2511*/ GIMT_Encode4(153392),
     /*  140565 */ /*GILLT_nxv32s16*//*Label 2512*/ GIMT_Encode4(153507),
     /*  140569 */ /*GILLT_nxv64s1*//*Label 2513*/ GIMT_Encode4(153622),
     /*  140573 */ /*GILLT_nxv64s8*//*Label 2514*/ GIMT_Encode4(155233),
     /*  140577 */ // Label 2484: @140577
     /*  140577 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(141114),
     /*  140582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  140585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  140588 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(140671), // Rule ID 2373 //
     /*  140593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  140596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  140608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140616 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  140620 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  140624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  140633 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  140633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  140636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  140640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  140651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  140656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  140661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140669 */     GIR_RootConstrainSelectedInstOperands,
     /*  140670 */     // GIR_Coverage, 2373,
     /*  140670 */     GIR_EraseRootFromParent_Done,
     /*  140671 */   // Label 2517: @140671
     /*  140671 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(140730), // Rule ID 2367 //
     /*  140676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  140679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  140691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140695 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140699 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  140703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  140716 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  140719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  140728 */     GIR_RootConstrainSelectedInstOperands,
     /*  140729 */     // GIR_Coverage, 2367,
     /*  140729 */     GIR_EraseRootFromParent_Done,
     /*  140730 */   // Label 2518: @140730
     /*  140730 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(140789), // Rule ID 65227 //
     /*  140735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  140738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  140754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140762 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  140766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  140775 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  140778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  140787 */     GIR_RootConstrainSelectedInstOperands,
     /*  140788 */     // GIR_Coverage, 65227,
     /*  140788 */     GIR_EraseRootFromParent_Done,
     /*  140789 */   // Label 2519: @140789
     /*  140789 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(140845), // Rule ID 65213 //
     /*  140794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  140797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140822 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  140826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140832 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  140835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140843 */     GIR_RootConstrainSelectedInstOperands,
     /*  140844 */     // GIR_Coverage, 65213,
     /*  140844 */     GIR_EraseRootFromParent_Done,
     /*  140845 */   // Label 2520: @140845
     /*  140845 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(140904), // Rule ID 65211 //
     /*  140850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  140853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140883 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  140887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140889 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  140892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140902 */     GIR_RootConstrainSelectedInstOperands,
     /*  140903 */     // GIR_Coverage, 65211,
     /*  140903 */     GIR_EraseRootFromParent_Done,
     /*  140904 */   // Label 2521: @140904
     /*  140904 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(140960), // Rule ID 2341 //
     /*  140909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  140912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  140936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140941 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  140945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140947 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  140947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  140950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140958 */     GIR_RootConstrainSelectedInstOperands,
     /*  140959 */     // GIR_Coverage, 2341,
     /*  140959 */     GIR_EraseRootFromParent_Done,
     /*  140960 */   // Label 2522: @140960
     /*  140960 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(141002), // Rule ID 89 //
     /*  140965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  140968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  140976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  140988 */     // MIs[1] Operand 1
     /*  140988 */     // No operand predicates
     /*  140988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140990 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  140990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  140993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141000 */     GIR_RootConstrainSelectedInstOperands,
     /*  141001 */     // GIR_Coverage, 89,
     /*  141001 */     GIR_EraseRootFromParent_Done,
     /*  141002 */   // Label 2523: @141002
     /*  141002 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(141044), // Rule ID 64517 //
     /*  141007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  141030 */     // MIs[1] Operand 1
     /*  141030 */     // No operand predicates
     /*  141030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141032 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  141032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  141035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  141037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141042 */     GIR_RootConstrainSelectedInstOperands,
     /*  141043 */     // GIR_Coverage, 64517,
     /*  141043 */     GIR_EraseRootFromParent_Done,
     /*  141044 */   // Label 2524: @141044
     /*  141044 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(141086), // Rule ID 64521 //
     /*  141049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  141072 */     // MIs[1] Operand 1
     /*  141072 */     // No operand predicates
     /*  141072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141074 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  141074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  141077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141084 */     GIR_RootConstrainSelectedInstOperands,
     /*  141085 */     // GIR_Coverage, 64521,
     /*  141085 */     GIR_EraseRootFromParent_Done,
     /*  141086 */   // Label 2525: @141086
     /*  141086 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(141113), // Rule ID 87 //
     /*  141091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  141094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141106 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  141111 */     GIR_RootConstrainSelectedInstOperands,
     /*  141112 */     // GIR_Coverage, 87,
     /*  141112 */     GIR_Done,
     /*  141113 */   // Label 2526: @141113
     /*  141113 */   GIM_Reject,
     /*  141114 */ // Label 2516: @141114
     /*  141114 */ GIM_Reject,
     /*  141115 */ // Label 2485: @141115
     /*  141115 */ GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(141540),
     /*  141120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  141123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  141126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141130 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(141209), // Rule ID 2372 //
     /*  141135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141154 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  141158 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141171 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  141171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  141174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  141178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  141189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  141199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141207 */     GIR_RootConstrainSelectedInstOperands,
     /*  141208 */     // GIR_Coverage, 2372,
     /*  141208 */     GIR_EraseRootFromParent_Done,
     /*  141209 */   // Label 2528: @141209
     /*  141209 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(141264), // Rule ID 2366 //
     /*  141214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141233 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141243 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141250 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141262 */     GIR_RootConstrainSelectedInstOperands,
     /*  141263 */     // GIR_Coverage, 2366,
     /*  141263 */     GIR_EraseRootFromParent_Done,
     /*  141264 */   // Label 2529: @141264
     /*  141264 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(141319), // Rule ID 65226 //
     /*  141269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141292 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141305 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141317 */     GIR_RootConstrainSelectedInstOperands,
     /*  141318 */     // GIR_Coverage, 65226,
     /*  141318 */     GIR_EraseRootFromParent_Done,
     /*  141319 */   // Label 2530: @141319
     /*  141319 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(141371), // Rule ID 65212 //
     /*  141324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141348 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141358 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141369 */     GIR_RootConstrainSelectedInstOperands,
     /*  141370 */     // GIR_Coverage, 65212,
     /*  141370 */     GIR_EraseRootFromParent_Done,
     /*  141371 */   // Label 2531: @141371
     /*  141371 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(141426), // Rule ID 65210 //
     /*  141376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141405 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141411 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141424 */     GIR_RootConstrainSelectedInstOperands,
     /*  141425 */     // GIR_Coverage, 65210,
     /*  141425 */     GIR_EraseRootFromParent_Done,
     /*  141426 */   // Label 2532: @141426
     /*  141426 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(141478), // Rule ID 2340 //
     /*  141431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141459 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141465 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  141476 */     GIR_RootConstrainSelectedInstOperands,
     /*  141477 */     // GIR_Coverage, 2340,
     /*  141477 */     GIR_EraseRootFromParent_Done,
     /*  141478 */   // Label 2533: @141478
     /*  141478 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(141516), // Rule ID 88 //
     /*  141483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  141486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  141502 */     // MIs[1] Operand 1
     /*  141502 */     // No operand predicates
     /*  141502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141504 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  141504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  141507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141514 */     GIR_RootConstrainSelectedInstOperands,
     /*  141515 */     // GIR_Coverage, 88,
     /*  141515 */     GIR_EraseRootFromParent_Done,
     /*  141516 */   // Label 2534: @141516
     /*  141516 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(141539), // Rule ID 86 //
     /*  141521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  141524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141532 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  141537 */     GIR_RootConstrainSelectedInstOperands,
     /*  141538 */     // GIR_Coverage, 86,
     /*  141538 */     GIR_Done,
     /*  141539 */   // Label 2535: @141539
     /*  141539 */   GIM_Reject,
     /*  141540 */ // Label 2527: @141540
     /*  141540 */ GIM_Reject,
     /*  141541 */ // Label 2486: @141541
     /*  141541 */ GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(143151),
     /*  141546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141556 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(141625), // Rule ID 53056 //
     /*  141561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141604 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  141607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141623 */     GIR_RootConstrainSelectedInstOperands,
     /*  141624 */     // GIR_Coverage, 53056,
     /*  141624 */     GIR_EraseRootFromParent_Done,
     /*  141625 */   // Label 2537: @141625
     /*  141625 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(141694), // Rule ID 53057 //
     /*  141630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141673 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  141676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141692 */     GIR_RootConstrainSelectedInstOperands,
     /*  141693 */     // GIR_Coverage, 53057,
     /*  141693 */     GIR_EraseRootFromParent_Done,
     /*  141694 */   // Label 2538: @141694
     /*  141694 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(141763), // Rule ID 53058 //
     /*  141699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141742 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  141745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141761 */     GIR_RootConstrainSelectedInstOperands,
     /*  141762 */     // GIR_Coverage, 53058,
     /*  141762 */     GIR_EraseRootFromParent_Done,
     /*  141763 */   // Label 2539: @141763
     /*  141763 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(141832), // Rule ID 53059 //
     /*  141768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141811 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  141814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141830 */     GIR_RootConstrainSelectedInstOperands,
     /*  141831 */     // GIR_Coverage, 53059,
     /*  141831 */     GIR_EraseRootFromParent_Done,
     /*  141832 */   // Label 2540: @141832
     /*  141832 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141898), // Rule ID 71418 //
     /*  141837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141879 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  141882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141896 */     GIR_RootConstrainSelectedInstOperands,
     /*  141897 */     // GIR_Coverage, 71418,
     /*  141897 */     GIR_EraseRootFromParent_Done,
     /*  141898 */   // Label 2541: @141898
     /*  141898 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141964), // Rule ID 71419 //
     /*  141903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141945 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  141948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141962 */     GIR_RootConstrainSelectedInstOperands,
     /*  141963 */     // GIR_Coverage, 71419,
     /*  141963 */     GIR_EraseRootFromParent_Done,
     /*  141964 */   // Label 2542: @141964
     /*  141964 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(142030), // Rule ID 71416 //
     /*  141969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  141984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  141988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142011 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142028 */     GIR_RootConstrainSelectedInstOperands,
     /*  142029 */     // GIR_Coverage, 71416,
     /*  142029 */     GIR_EraseRootFromParent_Done,
     /*  142030 */   // Label 2543: @142030
     /*  142030 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(142096), // Rule ID 71417 //
     /*  142035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142077 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142094 */     GIR_RootConstrainSelectedInstOperands,
     /*  142095 */     // GIR_Coverage, 71417,
     /*  142095 */     GIR_EraseRootFromParent_Done,
     /*  142096 */   // Label 2544: @142096
     /*  142096 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(142165), // Rule ID 53060 //
     /*  142101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142144 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142163 */     GIR_RootConstrainSelectedInstOperands,
     /*  142164 */     // GIR_Coverage, 53060,
     /*  142164 */     GIR_EraseRootFromParent_Done,
     /*  142165 */   // Label 2545: @142165
     /*  142165 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(142234), // Rule ID 53061 //
     /*  142170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142213 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142232 */     GIR_RootConstrainSelectedInstOperands,
     /*  142233 */     // GIR_Coverage, 53061,
     /*  142233 */     GIR_EraseRootFromParent_Done,
     /*  142234 */   // Label 2546: @142234
     /*  142234 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(142303), // Rule ID 71412 //
     /*  142239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142266 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142282 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142301 */     GIR_RootConstrainSelectedInstOperands,
     /*  142302 */     // GIR_Coverage, 71412,
     /*  142302 */     GIR_EraseRootFromParent_Done,
     /*  142303 */   // Label 2547: @142303
     /*  142303 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(142372), // Rule ID 71413 //
     /*  142308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142335 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142351 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142370 */     GIR_RootConstrainSelectedInstOperands,
     /*  142371 */     // GIR_Coverage, 71413,
     /*  142371 */     GIR_EraseRootFromParent_Done,
     /*  142372 */   // Label 2548: @142372
     /*  142372 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(142441), // Rule ID 71414 //
     /*  142377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142404 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142420 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142439 */     GIR_RootConstrainSelectedInstOperands,
     /*  142440 */     // GIR_Coverage, 71414,
     /*  142440 */     GIR_EraseRootFromParent_Done,
     /*  142441 */   // Label 2549: @142441
     /*  142441 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(142510), // Rule ID 71415 //
     /*  142446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142473 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142489 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142508 */     GIR_RootConstrainSelectedInstOperands,
     /*  142509 */     // GIR_Coverage, 71415,
     /*  142509 */     GIR_EraseRootFromParent_Done,
     /*  142510 */   // Label 2550: @142510
     /*  142510 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(142579), // Rule ID 71420 //
     /*  142515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142542 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142558 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142577 */     GIR_RootConstrainSelectedInstOperands,
     /*  142578 */     // GIR_Coverage, 71420,
     /*  142578 */     GIR_EraseRootFromParent_Done,
     /*  142579 */   // Label 2551: @142579
     /*  142579 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(142648), // Rule ID 71421 //
     /*  142584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142611 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142615 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142627 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142646 */     GIR_RootConstrainSelectedInstOperands,
     /*  142647 */     // GIR_Coverage, 71421,
     /*  142647 */     GIR_EraseRootFromParent_Done,
     /*  142648 */   // Label 2552: @142648
     /*  142648 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(142714), // Rule ID 71424 //
     /*  142653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142695 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142712 */     GIR_RootConstrainSelectedInstOperands,
     /*  142713 */     // GIR_Coverage, 71424,
     /*  142713 */     GIR_EraseRootFromParent_Done,
     /*  142714 */   // Label 2553: @142714
     /*  142714 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(142780), // Rule ID 71425 //
     /*  142719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142761 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142778 */     GIR_RootConstrainSelectedInstOperands,
     /*  142779 */     // GIR_Coverage, 71425,
     /*  142779 */     GIR_EraseRootFromParent_Done,
     /*  142780 */   // Label 2554: @142780
     /*  142780 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(142846), // Rule ID 71422 //
     /*  142785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142827 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142844 */     GIR_RootConstrainSelectedInstOperands,
     /*  142845 */     // GIR_Coverage, 71422,
     /*  142845 */     GIR_EraseRootFromParent_Done,
     /*  142846 */   // Label 2555: @142846
     /*  142846 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(142912), // Rule ID 71423 //
     /*  142851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142893 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142910 */     GIR_RootConstrainSelectedInstOperands,
     /*  142911 */     // GIR_Coverage, 71423,
     /*  142911 */     GIR_EraseRootFromParent_Done,
     /*  142912 */   // Label 2556: @142912
     /*  142912 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(142955), // Rule ID 71438 //
     /*  142917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142938 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142953 */     GIR_RootConstrainSelectedInstOperands,
     /*  142954 */     // GIR_Coverage, 71438,
     /*  142954 */     GIR_EraseRootFromParent_Done,
     /*  142955 */   // Label 2557: @142955
     /*  142955 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(142998), // Rule ID 71439 //
     /*  142960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142981 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142996 */     GIR_RootConstrainSelectedInstOperands,
     /*  142997 */     // GIR_Coverage, 71439,
     /*  142997 */     GIR_EraseRootFromParent_Done,
     /*  142998 */   // Label 2558: @142998
     /*  142998 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(143041), // Rule ID 53066 //
     /*  143003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143024 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143039 */     GIR_RootConstrainSelectedInstOperands,
     /*  143040 */     // GIR_Coverage, 53066,
     /*  143040 */     GIR_EraseRootFromParent_Done,
     /*  143041 */   // Label 2559: @143041
     /*  143041 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(143084), // Rule ID 53067 //
     /*  143046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143067 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143082 */     GIR_RootConstrainSelectedInstOperands,
     /*  143083 */     // GIR_Coverage, 53067,
     /*  143083 */     GIR_EraseRootFromParent_Done,
     /*  143084 */   // Label 2560: @143084
     /*  143084 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(143117), // Rule ID 53054 //
     /*  143089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143100 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143115 */     GIR_RootConstrainSelectedInstOperands,
     /*  143116 */     // GIR_Coverage, 53054,
     /*  143116 */     GIR_EraseRootFromParent_Done,
     /*  143117 */   // Label 2561: @143117
     /*  143117 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(143150), // Rule ID 53055 //
     /*  143122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143133 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143148 */     GIR_RootConstrainSelectedInstOperands,
     /*  143149 */     // GIR_Coverage, 53055,
     /*  143149 */     GIR_EraseRootFromParent_Done,
     /*  143150 */   // Label 2562: @143150
     /*  143150 */   GIM_Reject,
     /*  143151 */ // Label 2536: @143151
     /*  143151 */ GIM_Reject,
     /*  143152 */ // Label 2487: @143152
     /*  143152 */ GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(143266),
     /*  143157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  143160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  143163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143175 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(143220), // Rule ID 47806 //
     /*  143180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143183 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143218 */     GIR_RootConstrainSelectedInstOperands,
     /*  143219 */     // GIR_Coverage, 47806,
     /*  143219 */     GIR_EraseRootFromParent_Done,
     /*  143220 */   // Label 2564: @143220
     /*  143220 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(143265), // Rule ID 47807 //
     /*  143225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143228 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143263 */     GIR_RootConstrainSelectedInstOperands,
     /*  143264 */     // GIR_Coverage, 47807,
     /*  143264 */     GIR_EraseRootFromParent_Done,
     /*  143265 */   // Label 2565: @143265
     /*  143265 */   GIM_Reject,
     /*  143266 */ // Label 2563: @143266
     /*  143266 */ GIM_Reject,
     /*  143267 */ // Label 2488: @143267
     /*  143267 */ GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(143381),
     /*  143272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  143275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  143278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143290 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(143335), // Rule ID 47818 //
     /*  143295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143298 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143333 */     GIR_RootConstrainSelectedInstOperands,
     /*  143334 */     // GIR_Coverage, 47818,
     /*  143334 */     GIR_EraseRootFromParent_Done,
     /*  143335 */   // Label 2567: @143335
     /*  143335 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(143380), // Rule ID 47819 //
     /*  143340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143343 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143378 */     GIR_RootConstrainSelectedInstOperands,
     /*  143379 */     // GIR_Coverage, 47819,
     /*  143379 */     GIR_EraseRootFromParent_Done,
     /*  143380 */   // Label 2568: @143380
     /*  143380 */   GIM_Reject,
     /*  143381 */ // Label 2566: @143381
     /*  143381 */ GIM_Reject,
     /*  143382 */ // Label 2489: @143382
     /*  143382 */ GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(143496),
     /*  143387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  143390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  143393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143405 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(143450), // Rule ID 47826 //
     /*  143410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143413 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  143416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143448 */     GIR_RootConstrainSelectedInstOperands,
     /*  143449 */     // GIR_Coverage, 47826,
     /*  143449 */     GIR_EraseRootFromParent_Done,
     /*  143450 */   // Label 2570: @143450
     /*  143450 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(143495), // Rule ID 47827 //
     /*  143455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143458 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  143461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143493 */     GIR_RootConstrainSelectedInstOperands,
     /*  143494 */     // GIR_Coverage, 47827,
     /*  143494 */     GIR_EraseRootFromParent_Done,
     /*  143495 */   // Label 2571: @143495
     /*  143495 */   GIM_Reject,
     /*  143496 */ // Label 2569: @143496
     /*  143496 */ GIM_Reject,
     /*  143497 */ // Label 2490: @143497
     /*  143497 */ GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(143611),
     /*  143502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  143505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  143508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143520 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(143565), // Rule ID 47842 //
     /*  143525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143528 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  143531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143563 */     GIR_RootConstrainSelectedInstOperands,
     /*  143564 */     // GIR_Coverage, 47842,
     /*  143564 */     GIR_EraseRootFromParent_Done,
     /*  143565 */   // Label 2573: @143565
     /*  143565 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(143610), // Rule ID 47843 //
     /*  143570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143573 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  143576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143608 */     GIR_RootConstrainSelectedInstOperands,
     /*  143609 */     // GIR_Coverage, 47843,
     /*  143609 */     GIR_EraseRootFromParent_Done,
     /*  143610 */   // Label 2574: @143610
     /*  143610 */   GIM_Reject,
     /*  143611 */ // Label 2572: @143611
     /*  143611 */ GIM_Reject,
     /*  143612 */ // Label 2491: @143612
     /*  143612 */ GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(145222),
     /*  143617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143627 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(143696), // Rule ID 53074 //
     /*  143632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143675 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  143678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143694 */     GIR_RootConstrainSelectedInstOperands,
     /*  143695 */     // GIR_Coverage, 53074,
     /*  143695 */     GIR_EraseRootFromParent_Done,
     /*  143696 */   // Label 2576: @143696
     /*  143696 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(143765), // Rule ID 53075 //
     /*  143701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143744 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  143747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143763 */     GIR_RootConstrainSelectedInstOperands,
     /*  143764 */     // GIR_Coverage, 53075,
     /*  143764 */     GIR_EraseRootFromParent_Done,
     /*  143765 */   // Label 2577: @143765
     /*  143765 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143834), // Rule ID 53076 //
     /*  143770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143813 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  143816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143832 */     GIR_RootConstrainSelectedInstOperands,
     /*  143833 */     // GIR_Coverage, 53076,
     /*  143833 */     GIR_EraseRootFromParent_Done,
     /*  143834 */   // Label 2578: @143834
     /*  143834 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143903), // Rule ID 53077 //
     /*  143839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143882 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  143885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143901 */     GIR_RootConstrainSelectedInstOperands,
     /*  143902 */     // GIR_Coverage, 53077,
     /*  143902 */     GIR_EraseRootFromParent_Done,
     /*  143903 */   // Label 2579: @143903
     /*  143903 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143969), // Rule ID 71446 //
     /*  143908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143950 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  143953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143967 */     GIR_RootConstrainSelectedInstOperands,
     /*  143968 */     // GIR_Coverage, 71446,
     /*  143968 */     GIR_EraseRootFromParent_Done,
     /*  143969 */   // Label 2580: @143969
     /*  143969 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(144035), // Rule ID 71447 //
     /*  143974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  143989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  143993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144016 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144033 */     GIR_RootConstrainSelectedInstOperands,
     /*  144034 */     // GIR_Coverage, 71447,
     /*  144034 */     GIR_EraseRootFromParent_Done,
     /*  144035 */   // Label 2581: @144035
     /*  144035 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(144101), // Rule ID 71444 //
     /*  144040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144082 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144099 */     GIR_RootConstrainSelectedInstOperands,
     /*  144100 */     // GIR_Coverage, 71444,
     /*  144100 */     GIR_EraseRootFromParent_Done,
     /*  144101 */   // Label 2582: @144101
     /*  144101 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(144167), // Rule ID 71445 //
     /*  144106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144148 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144165 */     GIR_RootConstrainSelectedInstOperands,
     /*  144166 */     // GIR_Coverage, 71445,
     /*  144166 */     GIR_EraseRootFromParent_Done,
     /*  144167 */   // Label 2583: @144167
     /*  144167 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(144236), // Rule ID 53078 //
     /*  144172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144215 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144234 */     GIR_RootConstrainSelectedInstOperands,
     /*  144235 */     // GIR_Coverage, 53078,
     /*  144235 */     GIR_EraseRootFromParent_Done,
     /*  144236 */   // Label 2584: @144236
     /*  144236 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(144305), // Rule ID 53079 //
     /*  144241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144284 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144303 */     GIR_RootConstrainSelectedInstOperands,
     /*  144304 */     // GIR_Coverage, 53079,
     /*  144304 */     GIR_EraseRootFromParent_Done,
     /*  144305 */   // Label 2585: @144305
     /*  144305 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(144374), // Rule ID 71440 //
     /*  144310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144337 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144353 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144372 */     GIR_RootConstrainSelectedInstOperands,
     /*  144373 */     // GIR_Coverage, 71440,
     /*  144373 */     GIR_EraseRootFromParent_Done,
     /*  144374 */   // Label 2586: @144374
     /*  144374 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(144443), // Rule ID 71441 //
     /*  144379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144422 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144441 */     GIR_RootConstrainSelectedInstOperands,
     /*  144442 */     // GIR_Coverage, 71441,
     /*  144442 */     GIR_EraseRootFromParent_Done,
     /*  144443 */   // Label 2587: @144443
     /*  144443 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(144512), // Rule ID 71442 //
     /*  144448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144475 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144491 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144510 */     GIR_RootConstrainSelectedInstOperands,
     /*  144511 */     // GIR_Coverage, 71442,
     /*  144511 */     GIR_EraseRootFromParent_Done,
     /*  144512 */   // Label 2588: @144512
     /*  144512 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(144581), // Rule ID 71443 //
     /*  144517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144544 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144560 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144579 */     GIR_RootConstrainSelectedInstOperands,
     /*  144580 */     // GIR_Coverage, 71443,
     /*  144580 */     GIR_EraseRootFromParent_Done,
     /*  144581 */   // Label 2589: @144581
     /*  144581 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(144650), // Rule ID 71448 //
     /*  144586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144629 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144648 */     GIR_RootConstrainSelectedInstOperands,
     /*  144649 */     // GIR_Coverage, 71448,
     /*  144649 */     GIR_EraseRootFromParent_Done,
     /*  144650 */   // Label 2590: @144650
     /*  144650 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(144719), // Rule ID 71449 //
     /*  144655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144682 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144698 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144717 */     GIR_RootConstrainSelectedInstOperands,
     /*  144718 */     // GIR_Coverage, 71449,
     /*  144718 */     GIR_EraseRootFromParent_Done,
     /*  144719 */   // Label 2591: @144719
     /*  144719 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(144785), // Rule ID 71452 //
     /*  144724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144766 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144783 */     GIR_RootConstrainSelectedInstOperands,
     /*  144784 */     // GIR_Coverage, 71452,
     /*  144784 */     GIR_EraseRootFromParent_Done,
     /*  144785 */   // Label 2592: @144785
     /*  144785 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(144851), // Rule ID 71453 //
     /*  144790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144832 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144849 */     GIR_RootConstrainSelectedInstOperands,
     /*  144850 */     // GIR_Coverage, 71453,
     /*  144850 */     GIR_EraseRootFromParent_Done,
     /*  144851 */   // Label 2593: @144851
     /*  144851 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(144917), // Rule ID 71450 //
     /*  144856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144898 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144915 */     GIR_RootConstrainSelectedInstOperands,
     /*  144916 */     // GIR_Coverage, 71450,
     /*  144916 */     GIR_EraseRootFromParent_Done,
     /*  144917 */   // Label 2594: @144917
     /*  144917 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(144983), // Rule ID 71451 //
     /*  144922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144964 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144981 */     GIR_RootConstrainSelectedInstOperands,
     /*  144982 */     // GIR_Coverage, 71451,
     /*  144982 */     GIR_EraseRootFromParent_Done,
     /*  144983 */   // Label 2595: @144983
     /*  144983 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(145026), // Rule ID 71466 //
     /*  144988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145009 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145024 */     GIR_RootConstrainSelectedInstOperands,
     /*  145025 */     // GIR_Coverage, 71466,
     /*  145025 */     GIR_EraseRootFromParent_Done,
     /*  145026 */   // Label 2596: @145026
     /*  145026 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(145069), // Rule ID 71467 //
     /*  145031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145052 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145067 */     GIR_RootConstrainSelectedInstOperands,
     /*  145068 */     // GIR_Coverage, 71467,
     /*  145068 */     GIR_EraseRootFromParent_Done,
     /*  145069 */   // Label 2597: @145069
     /*  145069 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(145112), // Rule ID 53084 //
     /*  145074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145095 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145110 */     GIR_RootConstrainSelectedInstOperands,
     /*  145111 */     // GIR_Coverage, 53084,
     /*  145111 */     GIR_EraseRootFromParent_Done,
     /*  145112 */   // Label 2598: @145112
     /*  145112 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(145155), // Rule ID 53085 //
     /*  145117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145138 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145153 */     GIR_RootConstrainSelectedInstOperands,
     /*  145154 */     // GIR_Coverage, 53085,
     /*  145154 */     GIR_EraseRootFromParent_Done,
     /*  145155 */   // Label 2599: @145155
     /*  145155 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(145188), // Rule ID 53072 //
     /*  145160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145171 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145186 */     GIR_RootConstrainSelectedInstOperands,
     /*  145187 */     // GIR_Coverage, 53072,
     /*  145187 */     GIR_EraseRootFromParent_Done,
     /*  145188 */   // Label 2600: @145188
     /*  145188 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(145221), // Rule ID 53073 //
     /*  145193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145204 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145219 */     GIR_RootConstrainSelectedInstOperands,
     /*  145220 */     // GIR_Coverage, 53073,
     /*  145220 */     GIR_EraseRootFromParent_Done,
     /*  145221 */   // Label 2601: @145221
     /*  145221 */   GIM_Reject,
     /*  145222 */ // Label 2575: @145222
     /*  145222 */ GIM_Reject,
     /*  145223 */ // Label 2492: @145223
     /*  145223 */ GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(145337),
     /*  145228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  145231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  145234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145246 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(145291), // Rule ID 47810 //
     /*  145251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145254 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145289 */     GIR_RootConstrainSelectedInstOperands,
     /*  145290 */     // GIR_Coverage, 47810,
     /*  145290 */     GIR_EraseRootFromParent_Done,
     /*  145291 */   // Label 2603: @145291
     /*  145291 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(145336), // Rule ID 47811 //
     /*  145296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145299 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145334 */     GIR_RootConstrainSelectedInstOperands,
     /*  145335 */     // GIR_Coverage, 47811,
     /*  145335 */     GIR_EraseRootFromParent_Done,
     /*  145336 */   // Label 2604: @145336
     /*  145336 */   GIM_Reject,
     /*  145337 */ // Label 2602: @145337
     /*  145337 */ GIM_Reject,
     /*  145338 */ // Label 2493: @145338
     /*  145338 */ GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(145452),
     /*  145343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  145346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  145349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145361 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(145406), // Rule ID 47822 //
     /*  145366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145369 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  145372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  145386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145404 */     GIR_RootConstrainSelectedInstOperands,
     /*  145405 */     // GIR_Coverage, 47822,
     /*  145405 */     GIR_EraseRootFromParent_Done,
     /*  145406 */   // Label 2606: @145406
     /*  145406 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(145451), // Rule ID 47823 //
     /*  145411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145414 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  145417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  145431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145449 */     GIR_RootConstrainSelectedInstOperands,
     /*  145450 */     // GIR_Coverage, 47823,
     /*  145450 */     GIR_EraseRootFromParent_Done,
     /*  145451 */   // Label 2607: @145451
     /*  145451 */   GIM_Reject,
     /*  145452 */ // Label 2605: @145452
     /*  145452 */ GIM_Reject,
     /*  145453 */ // Label 2494: @145453
     /*  145453 */ GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(145567),
     /*  145458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  145461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  145464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145476 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(145521), // Rule ID 47838 //
     /*  145481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145484 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  145487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145519 */     GIR_RootConstrainSelectedInstOperands,
     /*  145520 */     // GIR_Coverage, 47838,
     /*  145520 */     GIR_EraseRootFromParent_Done,
     /*  145521 */   // Label 2609: @145521
     /*  145521 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(145566), // Rule ID 47839 //
     /*  145526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145529 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  145532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145564 */     GIR_RootConstrainSelectedInstOperands,
     /*  145565 */     // GIR_Coverage, 47839,
     /*  145565 */     GIR_EraseRootFromParent_Done,
     /*  145566 */   // Label 2610: @145566
     /*  145566 */   GIM_Reject,
     /*  145567 */ // Label 2608: @145567
     /*  145567 */ GIM_Reject,
     /*  145568 */ // Label 2495: @145568
     /*  145568 */ GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(145682),
     /*  145573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  145576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  145579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145591 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(145636), // Rule ID 47882 //
     /*  145596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145599 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  145602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145634 */     GIR_RootConstrainSelectedInstOperands,
     /*  145635 */     // GIR_Coverage, 47882,
     /*  145635 */     GIR_EraseRootFromParent_Done,
     /*  145636 */   // Label 2612: @145636
     /*  145636 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(145681), // Rule ID 47883 //
     /*  145641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145644 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  145647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145679 */     GIR_RootConstrainSelectedInstOperands,
     /*  145680 */     // GIR_Coverage, 47883,
     /*  145680 */     GIR_EraseRootFromParent_Done,
     /*  145681 */   // Label 2613: @145681
     /*  145681 */   GIM_Reject,
     /*  145682 */ // Label 2611: @145682
     /*  145682 */ GIM_Reject,
     /*  145683 */ // Label 2496: @145683
     /*  145683 */ GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(147293),
     /*  145688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145698 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145767), // Rule ID 53092 //
     /*  145703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145746 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  145749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145765 */     GIR_RootConstrainSelectedInstOperands,
     /*  145766 */     // GIR_Coverage, 53092,
     /*  145766 */     GIR_EraseRootFromParent_Done,
     /*  145767 */   // Label 2615: @145767
     /*  145767 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145836), // Rule ID 53093 //
     /*  145772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145815 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  145818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145834 */     GIR_RootConstrainSelectedInstOperands,
     /*  145835 */     // GIR_Coverage, 53093,
     /*  145835 */     GIR_EraseRootFromParent_Done,
     /*  145836 */   // Label 2616: @145836
     /*  145836 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145905), // Rule ID 53094 //
     /*  145841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145884 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  145887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145903 */     GIR_RootConstrainSelectedInstOperands,
     /*  145904 */     // GIR_Coverage, 53094,
     /*  145904 */     GIR_EraseRootFromParent_Done,
     /*  145905 */   // Label 2617: @145905
     /*  145905 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145974), // Rule ID 53095 //
     /*  145910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145953 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  145956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145972 */     GIR_RootConstrainSelectedInstOperands,
     /*  145973 */     // GIR_Coverage, 53095,
     /*  145973 */     GIR_EraseRootFromParent_Done,
     /*  145974 */   // Label 2618: @145974
     /*  145974 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(146040), // Rule ID 71474 //
     /*  145979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  145994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  145998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146021 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146038 */     GIR_RootConstrainSelectedInstOperands,
     /*  146039 */     // GIR_Coverage, 71474,
     /*  146039 */     GIR_EraseRootFromParent_Done,
     /*  146040 */   // Label 2619: @146040
     /*  146040 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(146106), // Rule ID 71475 //
     /*  146045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146087 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146104 */     GIR_RootConstrainSelectedInstOperands,
     /*  146105 */     // GIR_Coverage, 71475,
     /*  146105 */     GIR_EraseRootFromParent_Done,
     /*  146106 */   // Label 2620: @146106
     /*  146106 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(146172), // Rule ID 71472 //
     /*  146111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146153 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146170 */     GIR_RootConstrainSelectedInstOperands,
     /*  146171 */     // GIR_Coverage, 71472,
     /*  146171 */     GIR_EraseRootFromParent_Done,
     /*  146172 */   // Label 2621: @146172
     /*  146172 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(146238), // Rule ID 71473 //
     /*  146177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146219 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146236 */     GIR_RootConstrainSelectedInstOperands,
     /*  146237 */     // GIR_Coverage, 71473,
     /*  146237 */     GIR_EraseRootFromParent_Done,
     /*  146238 */   // Label 2622: @146238
     /*  146238 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(146307), // Rule ID 53096 //
     /*  146243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146286 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146305 */     GIR_RootConstrainSelectedInstOperands,
     /*  146306 */     // GIR_Coverage, 53096,
     /*  146306 */     GIR_EraseRootFromParent_Done,
     /*  146307 */   // Label 2623: @146307
     /*  146307 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(146376), // Rule ID 53097 //
     /*  146312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146355 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146374 */     GIR_RootConstrainSelectedInstOperands,
     /*  146375 */     // GIR_Coverage, 53097,
     /*  146375 */     GIR_EraseRootFromParent_Done,
     /*  146376 */   // Label 2624: @146376
     /*  146376 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(146445), // Rule ID 71468 //
     /*  146381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146424 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146443 */     GIR_RootConstrainSelectedInstOperands,
     /*  146444 */     // GIR_Coverage, 71468,
     /*  146444 */     GIR_EraseRootFromParent_Done,
     /*  146445 */   // Label 2625: @146445
     /*  146445 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(146514), // Rule ID 71469 //
     /*  146450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146477 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146493 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146512 */     GIR_RootConstrainSelectedInstOperands,
     /*  146513 */     // GIR_Coverage, 71469,
     /*  146513 */     GIR_EraseRootFromParent_Done,
     /*  146514 */   // Label 2626: @146514
     /*  146514 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(146583), // Rule ID 71470 //
     /*  146519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146562 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146581 */     GIR_RootConstrainSelectedInstOperands,
     /*  146582 */     // GIR_Coverage, 71470,
     /*  146582 */     GIR_EraseRootFromParent_Done,
     /*  146583 */   // Label 2627: @146583
     /*  146583 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(146652), // Rule ID 71471 //
     /*  146588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146624 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146631 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146650 */     GIR_RootConstrainSelectedInstOperands,
     /*  146651 */     // GIR_Coverage, 71471,
     /*  146651 */     GIR_EraseRootFromParent_Done,
     /*  146652 */   // Label 2628: @146652
     /*  146652 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(146721), // Rule ID 71476 //
     /*  146657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146684 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146700 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146719 */     GIR_RootConstrainSelectedInstOperands,
     /*  146720 */     // GIR_Coverage, 71476,
     /*  146720 */     GIR_EraseRootFromParent_Done,
     /*  146721 */   // Label 2629: @146721
     /*  146721 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(146790), // Rule ID 71477 //
     /*  146726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146753 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146769 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146788 */     GIR_RootConstrainSelectedInstOperands,
     /*  146789 */     // GIR_Coverage, 71477,
     /*  146789 */     GIR_EraseRootFromParent_Done,
     /*  146790 */   // Label 2630: @146790
     /*  146790 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(146856), // Rule ID 71480 //
     /*  146795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146837 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146854 */     GIR_RootConstrainSelectedInstOperands,
     /*  146855 */     // GIR_Coverage, 71480,
     /*  146855 */     GIR_EraseRootFromParent_Done,
     /*  146856 */   // Label 2631: @146856
     /*  146856 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(146922), // Rule ID 71481 //
     /*  146861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146903 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146920 */     GIR_RootConstrainSelectedInstOperands,
     /*  146921 */     // GIR_Coverage, 71481,
     /*  146921 */     GIR_EraseRootFromParent_Done,
     /*  146922 */   // Label 2632: @146922
     /*  146922 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(146988), // Rule ID 71478 //
     /*  146927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146969 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146986 */     GIR_RootConstrainSelectedInstOperands,
     /*  146987 */     // GIR_Coverage, 71478,
     /*  146987 */     GIR_EraseRootFromParent_Done,
     /*  146988 */   // Label 2633: @146988
     /*  146988 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(147054), // Rule ID 71479 //
     /*  146993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147035 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147052 */     GIR_RootConstrainSelectedInstOperands,
     /*  147053 */     // GIR_Coverage, 71479,
     /*  147053 */     GIR_EraseRootFromParent_Done,
     /*  147054 */   // Label 2634: @147054
     /*  147054 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(147097), // Rule ID 71494 //
     /*  147059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147080 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147095 */     GIR_RootConstrainSelectedInstOperands,
     /*  147096 */     // GIR_Coverage, 71494,
     /*  147096 */     GIR_EraseRootFromParent_Done,
     /*  147097 */   // Label 2635: @147097
     /*  147097 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(147140), // Rule ID 71495 //
     /*  147102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147123 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147138 */     GIR_RootConstrainSelectedInstOperands,
     /*  147139 */     // GIR_Coverage, 71495,
     /*  147139 */     GIR_EraseRootFromParent_Done,
     /*  147140 */   // Label 2636: @147140
     /*  147140 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(147183), // Rule ID 53102 //
     /*  147145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147166 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147181 */     GIR_RootConstrainSelectedInstOperands,
     /*  147182 */     // GIR_Coverage, 53102,
     /*  147182 */     GIR_EraseRootFromParent_Done,
     /*  147183 */   // Label 2637: @147183
     /*  147183 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(147226), // Rule ID 53103 //
     /*  147188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147209 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147224 */     GIR_RootConstrainSelectedInstOperands,
     /*  147225 */     // GIR_Coverage, 53103,
     /*  147225 */     GIR_EraseRootFromParent_Done,
     /*  147226 */   // Label 2638: @147226
     /*  147226 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(147259), // Rule ID 53090 //
     /*  147231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147242 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147257 */     GIR_RootConstrainSelectedInstOperands,
     /*  147258 */     // GIR_Coverage, 53090,
     /*  147258 */     GIR_EraseRootFromParent_Done,
     /*  147259 */   // Label 2639: @147259
     /*  147259 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(147292), // Rule ID 53091 //
     /*  147264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147275 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147290 */     GIR_RootConstrainSelectedInstOperands,
     /*  147291 */     // GIR_Coverage, 53091,
     /*  147291 */     GIR_EraseRootFromParent_Done,
     /*  147292 */   // Label 2640: @147292
     /*  147292 */   GIM_Reject,
     /*  147293 */ // Label 2614: @147293
     /*  147293 */ GIM_Reject,
     /*  147294 */ // Label 2497: @147294
     /*  147294 */ GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(147408),
     /*  147299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  147302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  147305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147317 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(147362), // Rule ID 47814 //
     /*  147322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147325 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  147342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147360 */     GIR_RootConstrainSelectedInstOperands,
     /*  147361 */     // GIR_Coverage, 47814,
     /*  147361 */     GIR_EraseRootFromParent_Done,
     /*  147362 */   // Label 2642: @147362
     /*  147362 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(147407), // Rule ID 47815 //
     /*  147367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147370 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  147387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147405 */     GIR_RootConstrainSelectedInstOperands,
     /*  147406 */     // GIR_Coverage, 47815,
     /*  147406 */     GIR_EraseRootFromParent_Done,
     /*  147407 */   // Label 2643: @147407
     /*  147407 */   GIM_Reject,
     /*  147408 */ // Label 2641: @147408
     /*  147408 */ GIM_Reject,
     /*  147409 */ // Label 2498: @147409
     /*  147409 */ GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(147523),
     /*  147414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  147417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  147420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147432 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(147477), // Rule ID 47834 //
     /*  147437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147440 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  147443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  147457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147475 */     GIR_RootConstrainSelectedInstOperands,
     /*  147476 */     // GIR_Coverage, 47834,
     /*  147476 */     GIR_EraseRootFromParent_Done,
     /*  147477 */   // Label 2645: @147477
     /*  147477 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(147522), // Rule ID 47835 //
     /*  147482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147485 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  147488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  147502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147520 */     GIR_RootConstrainSelectedInstOperands,
     /*  147521 */     // GIR_Coverage, 47835,
     /*  147521 */     GIR_EraseRootFromParent_Done,
     /*  147522 */   // Label 2646: @147522
     /*  147522 */   GIM_Reject,
     /*  147523 */ // Label 2644: @147523
     /*  147523 */ GIM_Reject,
     /*  147524 */ // Label 2499: @147524
     /*  147524 */ GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(147638),
     /*  147529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  147532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  147535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147547 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(147592), // Rule ID 47870 //
     /*  147552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147555 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  147558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147590 */     GIR_RootConstrainSelectedInstOperands,
     /*  147591 */     // GIR_Coverage, 47870,
     /*  147591 */     GIR_EraseRootFromParent_Done,
     /*  147592 */   // Label 2648: @147592
     /*  147592 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(147637), // Rule ID 47871 //
     /*  147597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147600 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  147603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147635 */     GIR_RootConstrainSelectedInstOperands,
     /*  147636 */     // GIR_Coverage, 47871,
     /*  147636 */     GIR_EraseRootFromParent_Done,
     /*  147637 */   // Label 2649: @147637
     /*  147637 */   GIM_Reject,
     /*  147638 */ // Label 2647: @147638
     /*  147638 */ GIM_Reject,
     /*  147639 */ // Label 2500: @147639
     /*  147639 */ GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(147753),
     /*  147644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  147647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  147650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147662 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(147707), // Rule ID 47886 //
     /*  147667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  147670 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  147670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  147673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147705 */     GIR_RootConstrainSelectedInstOperands,
     /*  147706 */     // GIR_Coverage, 47886,
     /*  147706 */     GIR_EraseRootFromParent_Done,
     /*  147707 */   // Label 2651: @147707
     /*  147707 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(147752), // Rule ID 47887 //
     /*  147712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  147715 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  147715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  147718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147750 */     GIR_RootConstrainSelectedInstOperands,
     /*  147751 */     // GIR_Coverage, 47887,
     /*  147751 */     GIR_EraseRootFromParent_Done,
     /*  147752 */   // Label 2652: @147752
     /*  147752 */   GIM_Reject,
     /*  147753 */ // Label 2650: @147753
     /*  147753 */ GIM_Reject,
     /*  147754 */ // Label 2501: @147754
     /*  147754 */ GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(149364),
     /*  147759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147769 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147838), // Rule ID 53110 //
     /*  147774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147817 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  147820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147836 */     GIR_RootConstrainSelectedInstOperands,
     /*  147837 */     // GIR_Coverage, 53110,
     /*  147837 */     GIR_EraseRootFromParent_Done,
     /*  147838 */   // Label 2654: @147838
     /*  147838 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147907), // Rule ID 53111 //
     /*  147843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147886 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  147889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147905 */     GIR_RootConstrainSelectedInstOperands,
     /*  147906 */     // GIR_Coverage, 53111,
     /*  147906 */     GIR_EraseRootFromParent_Done,
     /*  147907 */   // Label 2655: @147907
     /*  147907 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147976), // Rule ID 53112 //
     /*  147912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  147931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147955 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147974 */     GIR_RootConstrainSelectedInstOperands,
     /*  147975 */     // GIR_Coverage, 53112,
     /*  147975 */     GIR_EraseRootFromParent_Done,
     /*  147976 */   // Label 2656: @147976
     /*  147976 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(148045), // Rule ID 53113 //
     /*  147981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  147996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148024 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148043 */     GIR_RootConstrainSelectedInstOperands,
     /*  148044 */     // GIR_Coverage, 53113,
     /*  148044 */     GIR_EraseRootFromParent_Done,
     /*  148045 */   // Label 2657: @148045
     /*  148045 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(148111), // Rule ID 71502 //
     /*  148050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148092 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148109 */     GIR_RootConstrainSelectedInstOperands,
     /*  148110 */     // GIR_Coverage, 71502,
     /*  148110 */     GIR_EraseRootFromParent_Done,
     /*  148111 */   // Label 2658: @148111
     /*  148111 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(148177), // Rule ID 71503 //
     /*  148116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148158 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148175 */     GIR_RootConstrainSelectedInstOperands,
     /*  148176 */     // GIR_Coverage, 71503,
     /*  148176 */     GIR_EraseRootFromParent_Done,
     /*  148177 */   // Label 2659: @148177
     /*  148177 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(148243), // Rule ID 71500 //
     /*  148182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148224 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148241 */     GIR_RootConstrainSelectedInstOperands,
     /*  148242 */     // GIR_Coverage, 71500,
     /*  148242 */     GIR_EraseRootFromParent_Done,
     /*  148243 */   // Label 2660: @148243
     /*  148243 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(148309), // Rule ID 71501 //
     /*  148248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148290 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148307 */     GIR_RootConstrainSelectedInstOperands,
     /*  148308 */     // GIR_Coverage, 71501,
     /*  148308 */     GIR_EraseRootFromParent_Done,
     /*  148309 */   // Label 2661: @148309
     /*  148309 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(148378), // Rule ID 53114 //
     /*  148314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148357 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148376 */     GIR_RootConstrainSelectedInstOperands,
     /*  148377 */     // GIR_Coverage, 53114,
     /*  148377 */     GIR_EraseRootFromParent_Done,
     /*  148378 */   // Label 2662: @148378
     /*  148378 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(148447), // Rule ID 53115 //
     /*  148383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148426 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148445 */     GIR_RootConstrainSelectedInstOperands,
     /*  148446 */     // GIR_Coverage, 53115,
     /*  148446 */     GIR_EraseRootFromParent_Done,
     /*  148447 */   // Label 2663: @148447
     /*  148447 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(148516), // Rule ID 71496 //
     /*  148452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148495 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148514 */     GIR_RootConstrainSelectedInstOperands,
     /*  148515 */     // GIR_Coverage, 71496,
     /*  148515 */     GIR_EraseRootFromParent_Done,
     /*  148516 */   // Label 2664: @148516
     /*  148516 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(148585), // Rule ID 71497 //
     /*  148521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148564 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148583 */     GIR_RootConstrainSelectedInstOperands,
     /*  148584 */     // GIR_Coverage, 71497,
     /*  148584 */     GIR_EraseRootFromParent_Done,
     /*  148585 */   // Label 2665: @148585
     /*  148585 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(148654), // Rule ID 71498 //
     /*  148590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148617 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148626 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148633 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148652 */     GIR_RootConstrainSelectedInstOperands,
     /*  148653 */     // GIR_Coverage, 71498,
     /*  148653 */     GIR_EraseRootFromParent_Done,
     /*  148654 */   // Label 2666: @148654
     /*  148654 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(148723), // Rule ID 71499 //
     /*  148659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148686 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148702 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148721 */     GIR_RootConstrainSelectedInstOperands,
     /*  148722 */     // GIR_Coverage, 71499,
     /*  148722 */     GIR_EraseRootFromParent_Done,
     /*  148723 */   // Label 2667: @148723
     /*  148723 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(148792), // Rule ID 71504 //
     /*  148728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148771 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148790 */     GIR_RootConstrainSelectedInstOperands,
     /*  148791 */     // GIR_Coverage, 71504,
     /*  148791 */     GIR_EraseRootFromParent_Done,
     /*  148792 */   // Label 2668: @148792
     /*  148792 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(148861), // Rule ID 71505 //
     /*  148797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148824 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148840 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148859 */     GIR_RootConstrainSelectedInstOperands,
     /*  148860 */     // GIR_Coverage, 71505,
     /*  148860 */     GIR_EraseRootFromParent_Done,
     /*  148861 */   // Label 2669: @148861
     /*  148861 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(148927), // Rule ID 71508 //
     /*  148866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148908 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148925 */     GIR_RootConstrainSelectedInstOperands,
     /*  148926 */     // GIR_Coverage, 71508,
     /*  148926 */     GIR_EraseRootFromParent_Done,
     /*  148927 */   // Label 2670: @148927
     /*  148927 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(148993), // Rule ID 71509 //
     /*  148932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148974 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148991 */     GIR_RootConstrainSelectedInstOperands,
     /*  148992 */     // GIR_Coverage, 71509,
     /*  148992 */     GIR_EraseRootFromParent_Done,
     /*  148993 */   // Label 2671: @148993
     /*  148993 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(149059), // Rule ID 71506 //
     /*  148998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149040 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149057 */     GIR_RootConstrainSelectedInstOperands,
     /*  149058 */     // GIR_Coverage, 71506,
     /*  149058 */     GIR_EraseRootFromParent_Done,
     /*  149059 */   // Label 2672: @149059
     /*  149059 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(149125), // Rule ID 71507 //
     /*  149064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149106 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149123 */     GIR_RootConstrainSelectedInstOperands,
     /*  149124 */     // GIR_Coverage, 71507,
     /*  149124 */     GIR_EraseRootFromParent_Done,
     /*  149125 */   // Label 2673: @149125
     /*  149125 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(149168), // Rule ID 71522 //
     /*  149130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149151 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149166 */     GIR_RootConstrainSelectedInstOperands,
     /*  149167 */     // GIR_Coverage, 71522,
     /*  149167 */     GIR_EraseRootFromParent_Done,
     /*  149168 */   // Label 2674: @149168
     /*  149168 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(149211), // Rule ID 71523 //
     /*  149173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149194 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149209 */     GIR_RootConstrainSelectedInstOperands,
     /*  149210 */     // GIR_Coverage, 71523,
     /*  149210 */     GIR_EraseRootFromParent_Done,
     /*  149211 */   // Label 2675: @149211
     /*  149211 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(149254), // Rule ID 53120 //
     /*  149216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149237 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149252 */     GIR_RootConstrainSelectedInstOperands,
     /*  149253 */     // GIR_Coverage, 53120,
     /*  149253 */     GIR_EraseRootFromParent_Done,
     /*  149254 */   // Label 2676: @149254
     /*  149254 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(149297), // Rule ID 53121 //
     /*  149259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149280 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149295 */     GIR_RootConstrainSelectedInstOperands,
     /*  149296 */     // GIR_Coverage, 53121,
     /*  149296 */     GIR_EraseRootFromParent_Done,
     /*  149297 */   // Label 2677: @149297
     /*  149297 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(149330), // Rule ID 53108 //
     /*  149302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149313 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149328 */     GIR_RootConstrainSelectedInstOperands,
     /*  149329 */     // GIR_Coverage, 53108,
     /*  149329 */     GIR_EraseRootFromParent_Done,
     /*  149330 */   // Label 2678: @149330
     /*  149330 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(149363), // Rule ID 53109 //
     /*  149335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149346 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149361 */     GIR_RootConstrainSelectedInstOperands,
     /*  149362 */     // GIR_Coverage, 53109,
     /*  149362 */     GIR_EraseRootFromParent_Done,
     /*  149363 */   // Label 2679: @149363
     /*  149363 */   GIM_Reject,
     /*  149364 */ // Label 2653: @149364
     /*  149364 */ GIM_Reject,
     /*  149365 */ // Label 2502: @149365
     /*  149365 */ GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(149479),
     /*  149370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  149373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  149376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149388 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(149433), // Rule ID 47830 //
     /*  149393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149396 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  149399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  149413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149431 */     GIR_RootConstrainSelectedInstOperands,
     /*  149432 */     // GIR_Coverage, 47830,
     /*  149432 */     GIR_EraseRootFromParent_Done,
     /*  149433 */   // Label 2681: @149433
     /*  149433 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(149478), // Rule ID 47831 //
     /*  149438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149441 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  149444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  149458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149476 */     GIR_RootConstrainSelectedInstOperands,
     /*  149477 */     // GIR_Coverage, 47831,
     /*  149477 */     GIR_EraseRootFromParent_Done,
     /*  149478 */   // Label 2682: @149478
     /*  149478 */   GIM_Reject,
     /*  149479 */ // Label 2680: @149479
     /*  149479 */ GIM_Reject,
     /*  149480 */ // Label 2503: @149480
     /*  149480 */ GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(149594),
     /*  149485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  149488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  149491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149503 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(149548), // Rule ID 47858 //
     /*  149508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149511 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  149514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  149528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149546 */     GIR_RootConstrainSelectedInstOperands,
     /*  149547 */     // GIR_Coverage, 47858,
     /*  149547 */     GIR_EraseRootFromParent_Done,
     /*  149548 */   // Label 2684: @149548
     /*  149548 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(149593), // Rule ID 47859 //
     /*  149553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149556 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  149556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  149559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  149573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149591 */     GIR_RootConstrainSelectedInstOperands,
     /*  149592 */     // GIR_Coverage, 47859,
     /*  149592 */     GIR_EraseRootFromParent_Done,
     /*  149593 */   // Label 2685: @149593
     /*  149593 */   GIM_Reject,
     /*  149594 */ // Label 2683: @149594
     /*  149594 */ GIM_Reject,
     /*  149595 */ // Label 2504: @149595
     /*  149595 */ GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(149709),
     /*  149600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  149603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  149606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149618 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(149663), // Rule ID 47874 //
     /*  149623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149626 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  149626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  149629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  149658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149661 */     GIR_RootConstrainSelectedInstOperands,
     /*  149662 */     // GIR_Coverage, 47874,
     /*  149662 */     GIR_EraseRootFromParent_Done,
     /*  149663 */   // Label 2687: @149663
     /*  149663 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(149708), // Rule ID 47875 //
     /*  149668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149671 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  149671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  149674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  149703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149706 */     GIR_RootConstrainSelectedInstOperands,
     /*  149707 */     // GIR_Coverage, 47875,
     /*  149707 */     GIR_EraseRootFromParent_Done,
     /*  149708 */   // Label 2688: @149708
     /*  149708 */   GIM_Reject,
     /*  149709 */ // Label 2686: @149709
     /*  149709 */ GIM_Reject,
     /*  149710 */ // Label 2505: @149710
     /*  149710 */ GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(149824),
     /*  149715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  149718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149733 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149778), // Rule ID 47890 //
     /*  149738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  149741 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  149741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  149744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149776 */     GIR_RootConstrainSelectedInstOperands,
     /*  149777 */     // GIR_Coverage, 47890,
     /*  149777 */     GIR_EraseRootFromParent_Done,
     /*  149778 */   // Label 2690: @149778
     /*  149778 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149823), // Rule ID 47891 //
     /*  149783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  149786 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  149786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  149789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149821 */     GIR_RootConstrainSelectedInstOperands,
     /*  149822 */     // GIR_Coverage, 47891,
     /*  149822 */     GIR_EraseRootFromParent_Done,
     /*  149823 */   // Label 2691: @149823
     /*  149823 */   GIM_Reject,
     /*  149824 */ // Label 2689: @149824
     /*  149824 */ GIM_Reject,
     /*  149825 */ // Label 2506: @149825
     /*  149825 */ GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(151435),
     /*  149830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  149836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149840 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149909), // Rule ID 53128 //
     /*  149845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  149864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149888 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  149891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149907 */     GIR_RootConstrainSelectedInstOperands,
     /*  149908 */     // GIR_Coverage, 53128,
     /*  149908 */     GIR_EraseRootFromParent_Done,
     /*  149909 */   // Label 2693: @149909
     /*  149909 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149978), // Rule ID 53129 //
     /*  149914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  149933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149957 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  149960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149976 */     GIR_RootConstrainSelectedInstOperands,
     /*  149977 */     // GIR_Coverage, 53129,
     /*  149977 */     GIR_EraseRootFromParent_Done,
     /*  149978 */   // Label 2694: @149978
     /*  149978 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(150047), // Rule ID 53130 //
     /*  149983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  149998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150026 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150045 */     GIR_RootConstrainSelectedInstOperands,
     /*  150046 */     // GIR_Coverage, 53130,
     /*  150046 */     GIR_EraseRootFromParent_Done,
     /*  150047 */   // Label 2695: @150047
     /*  150047 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(150116), // Rule ID 53131 //
     /*  150052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150095 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150114 */     GIR_RootConstrainSelectedInstOperands,
     /*  150115 */     // GIR_Coverage, 53131,
     /*  150115 */     GIR_EraseRootFromParent_Done,
     /*  150116 */   // Label 2696: @150116
     /*  150116 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(150182), // Rule ID 71530 //
     /*  150121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150163 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150180 */     GIR_RootConstrainSelectedInstOperands,
     /*  150181 */     // GIR_Coverage, 71530,
     /*  150181 */     GIR_EraseRootFromParent_Done,
     /*  150182 */   // Label 2697: @150182
     /*  150182 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(150248), // Rule ID 71531 //
     /*  150187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150229 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150246 */     GIR_RootConstrainSelectedInstOperands,
     /*  150247 */     // GIR_Coverage, 71531,
     /*  150247 */     GIR_EraseRootFromParent_Done,
     /*  150248 */   // Label 2698: @150248
     /*  150248 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(150314), // Rule ID 71528 //
     /*  150253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150295 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150312 */     GIR_RootConstrainSelectedInstOperands,
     /*  150313 */     // GIR_Coverage, 71528,
     /*  150313 */     GIR_EraseRootFromParent_Done,
     /*  150314 */   // Label 2699: @150314
     /*  150314 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(150380), // Rule ID 71529 //
     /*  150319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150361 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150378 */     GIR_RootConstrainSelectedInstOperands,
     /*  150379 */     // GIR_Coverage, 71529,
     /*  150379 */     GIR_EraseRootFromParent_Done,
     /*  150380 */   // Label 2700: @150380
     /*  150380 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(150449), // Rule ID 53132 //
     /*  150385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150428 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150447 */     GIR_RootConstrainSelectedInstOperands,
     /*  150448 */     // GIR_Coverage, 53132,
     /*  150448 */     GIR_EraseRootFromParent_Done,
     /*  150449 */   // Label 2701: @150449
     /*  150449 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(150518), // Rule ID 53133 //
     /*  150454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150497 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150516 */     GIR_RootConstrainSelectedInstOperands,
     /*  150517 */     // GIR_Coverage, 53133,
     /*  150517 */     GIR_EraseRootFromParent_Done,
     /*  150518 */   // Label 2702: @150518
     /*  150518 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(150587), // Rule ID 71524 //
     /*  150523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150550 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150566 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150585 */     GIR_RootConstrainSelectedInstOperands,
     /*  150586 */     // GIR_Coverage, 71524,
     /*  150586 */     GIR_EraseRootFromParent_Done,
     /*  150587 */   // Label 2703: @150587
     /*  150587 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(150656), // Rule ID 71525 //
     /*  150592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150635 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150654 */     GIR_RootConstrainSelectedInstOperands,
     /*  150655 */     // GIR_Coverage, 71525,
     /*  150655 */     GIR_EraseRootFromParent_Done,
     /*  150656 */   // Label 2704: @150656
     /*  150656 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(150725), // Rule ID 71526 //
     /*  150661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150688 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150704 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150723 */     GIR_RootConstrainSelectedInstOperands,
     /*  150724 */     // GIR_Coverage, 71526,
     /*  150724 */     GIR_EraseRootFromParent_Done,
     /*  150725 */   // Label 2705: @150725
     /*  150725 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(150794), // Rule ID 71527 //
     /*  150730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150757 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150773 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150792 */     GIR_RootConstrainSelectedInstOperands,
     /*  150793 */     // GIR_Coverage, 71527,
     /*  150793 */     GIR_EraseRootFromParent_Done,
     /*  150794 */   // Label 2706: @150794
     /*  150794 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(150863), // Rule ID 71532 //
     /*  150799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150842 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150861 */     GIR_RootConstrainSelectedInstOperands,
     /*  150862 */     // GIR_Coverage, 71532,
     /*  150862 */     GIR_EraseRootFromParent_Done,
     /*  150863 */   // Label 2707: @150863
     /*  150863 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(150932), // Rule ID 71533 //
     /*  150868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150904 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150911 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150930 */     GIR_RootConstrainSelectedInstOperands,
     /*  150931 */     // GIR_Coverage, 71533,
     /*  150931 */     GIR_EraseRootFromParent_Done,
     /*  150932 */   // Label 2708: @150932
     /*  150932 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(150998), // Rule ID 71536 //
     /*  150937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150979 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150996 */     GIR_RootConstrainSelectedInstOperands,
     /*  150997 */     // GIR_Coverage, 71536,
     /*  150997 */     GIR_EraseRootFromParent_Done,
     /*  150998 */   // Label 2709: @150998
     /*  150998 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(151064), // Rule ID 71537 //
     /*  151003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  151030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151045 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  151054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151062 */     GIR_RootConstrainSelectedInstOperands,
     /*  151063 */     // GIR_Coverage, 71537,
     /*  151063 */     GIR_EraseRootFromParent_Done,
     /*  151064 */   // Label 2710: @151064
     /*  151064 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(151130), // Rule ID 71534 //
     /*  151069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151111 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151128 */     GIR_RootConstrainSelectedInstOperands,
     /*  151129 */     // GIR_Coverage, 71534,
     /*  151129 */     GIR_EraseRootFromParent_Done,
     /*  151130 */   // Label 2711: @151130
     /*  151130 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(151196), // Rule ID 71535 //
     /*  151135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151154 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151177 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151194 */     GIR_RootConstrainSelectedInstOperands,
     /*  151195 */     // GIR_Coverage, 71535,
     /*  151195 */     GIR_EraseRootFromParent_Done,
     /*  151196 */   // Label 2712: @151196
     /*  151196 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(151239), // Rule ID 71550 //
     /*  151201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151222 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151237 */     GIR_RootConstrainSelectedInstOperands,
     /*  151238 */     // GIR_Coverage, 71550,
     /*  151238 */     GIR_EraseRootFromParent_Done,
     /*  151239 */   // Label 2713: @151239
     /*  151239 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(151282), // Rule ID 71551 //
     /*  151244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151265 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151280 */     GIR_RootConstrainSelectedInstOperands,
     /*  151281 */     // GIR_Coverage, 71551,
     /*  151281 */     GIR_EraseRootFromParent_Done,
     /*  151282 */   // Label 2714: @151282
     /*  151282 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(151325), // Rule ID 53138 //
     /*  151287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151308 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151323 */     GIR_RootConstrainSelectedInstOperands,
     /*  151324 */     // GIR_Coverage, 53138,
     /*  151324 */     GIR_EraseRootFromParent_Done,
     /*  151325 */   // Label 2715: @151325
     /*  151325 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(151368), // Rule ID 53139 //
     /*  151330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151351 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151366 */     GIR_RootConstrainSelectedInstOperands,
     /*  151367 */     // GIR_Coverage, 53139,
     /*  151367 */     GIR_EraseRootFromParent_Done,
     /*  151368 */   // Label 2716: @151368
     /*  151368 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(151401), // Rule ID 53126 //
     /*  151373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151384 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  151387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151399 */     GIR_RootConstrainSelectedInstOperands,
     /*  151400 */     // GIR_Coverage, 53126,
     /*  151400 */     GIR_EraseRootFromParent_Done,
     /*  151401 */   // Label 2717: @151401
     /*  151401 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(151434), // Rule ID 53127 //
     /*  151406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151417 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  151420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151432 */     GIR_RootConstrainSelectedInstOperands,
     /*  151433 */     // GIR_Coverage, 53127,
     /*  151433 */     GIR_EraseRootFromParent_Done,
     /*  151434 */   // Label 2718: @151434
     /*  151434 */   GIM_Reject,
     /*  151435 */ // Label 2692: @151435
     /*  151435 */ GIM_Reject,
     /*  151436 */ // Label 2507: @151436
     /*  151436 */ GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(151550),
     /*  151441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  151444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  151447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151459 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(151504), // Rule ID 47846 //
     /*  151464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151467 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  151470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  151484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151502 */     GIR_RootConstrainSelectedInstOperands,
     /*  151503 */     // GIR_Coverage, 47846,
     /*  151503 */     GIR_EraseRootFromParent_Done,
     /*  151504 */   // Label 2720: @151504
     /*  151504 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(151549), // Rule ID 47847 //
     /*  151509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151512 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  151515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  151529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151547 */     GIR_RootConstrainSelectedInstOperands,
     /*  151548 */     // GIR_Coverage, 47847,
     /*  151548 */     GIR_EraseRootFromParent_Done,
     /*  151549 */   // Label 2721: @151549
     /*  151549 */   GIM_Reject,
     /*  151550 */ // Label 2719: @151550
     /*  151550 */ GIM_Reject,
     /*  151551 */ // Label 2508: @151551
     /*  151551 */ GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(151665),
     /*  151556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  151559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  151562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151574 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(151619), // Rule ID 47862 //
     /*  151579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151582 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  151582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  151585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  151599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151617 */     GIR_RootConstrainSelectedInstOperands,
     /*  151618 */     // GIR_Coverage, 47862,
     /*  151618 */     GIR_EraseRootFromParent_Done,
     /*  151619 */   // Label 2723: @151619
     /*  151619 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(151664), // Rule ID 47863 //
     /*  151624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151627 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  151627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  151630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  151644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151662 */     GIR_RootConstrainSelectedInstOperands,
     /*  151663 */     // GIR_Coverage, 47863,
     /*  151663 */     GIR_EraseRootFromParent_Done,
     /*  151664 */   // Label 2724: @151664
     /*  151664 */   GIM_Reject,
     /*  151665 */ // Label 2722: @151665
     /*  151665 */ GIM_Reject,
     /*  151666 */ // Label 2509: @151666
     /*  151666 */ GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(151780),
     /*  151671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  151674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  151677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151689 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151734), // Rule ID 47878 //
     /*  151694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151697 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  151697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  151700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151732 */     GIR_RootConstrainSelectedInstOperands,
     /*  151733 */     // GIR_Coverage, 47878,
     /*  151733 */     GIR_EraseRootFromParent_Done,
     /*  151734 */   // Label 2726: @151734
     /*  151734 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151779), // Rule ID 47879 //
     /*  151739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151742 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  151742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  151745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151777 */     GIR_RootConstrainSelectedInstOperands,
     /*  151778 */     // GIR_Coverage, 47879,
     /*  151778 */     GIR_EraseRootFromParent_Done,
     /*  151779 */   // Label 2727: @151779
     /*  151779 */   GIM_Reject,
     /*  151780 */ // Label 2725: @151780
     /*  151780 */ GIM_Reject,
     /*  151781 */ // Label 2510: @151781
     /*  151781 */ GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(153391),
     /*  151786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151796 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151865), // Rule ID 53146 //
     /*  151801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151844 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  151847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151863 */     GIR_RootConstrainSelectedInstOperands,
     /*  151864 */     // GIR_Coverage, 53146,
     /*  151864 */     GIR_EraseRootFromParent_Done,
     /*  151865 */   // Label 2729: @151865
     /*  151865 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151934), // Rule ID 53147 //
     /*  151870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151913 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  151916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151932 */     GIR_RootConstrainSelectedInstOperands,
     /*  151933 */     // GIR_Coverage, 53147,
     /*  151933 */     GIR_EraseRootFromParent_Done,
     /*  151934 */   // Label 2730: @151934
     /*  151934 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(152003), // Rule ID 53148 //
     /*  151939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  151950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  151954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  151958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151982 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  151985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  151995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152001 */     GIR_RootConstrainSelectedInstOperands,
     /*  152002 */     // GIR_Coverage, 53148,
     /*  152002 */     GIR_EraseRootFromParent_Done,
     /*  152003 */   // Label 2731: @152003
     /*  152003 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(152072), // Rule ID 53149 //
     /*  152008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152051 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152070 */     GIR_RootConstrainSelectedInstOperands,
     /*  152071 */     // GIR_Coverage, 53149,
     /*  152071 */     GIR_EraseRootFromParent_Done,
     /*  152072 */   // Label 2732: @152072
     /*  152072 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(152138), // Rule ID 71558 //
     /*  152077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152119 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152136 */     GIR_RootConstrainSelectedInstOperands,
     /*  152137 */     // GIR_Coverage, 71558,
     /*  152137 */     GIR_EraseRootFromParent_Done,
     /*  152138 */   // Label 2733: @152138
     /*  152138 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(152204), // Rule ID 71559 //
     /*  152143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152185 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152202 */     GIR_RootConstrainSelectedInstOperands,
     /*  152203 */     // GIR_Coverage, 71559,
     /*  152203 */     GIR_EraseRootFromParent_Done,
     /*  152204 */   // Label 2734: @152204
     /*  152204 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(152270), // Rule ID 71556 //
     /*  152209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152251 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152268 */     GIR_RootConstrainSelectedInstOperands,
     /*  152269 */     // GIR_Coverage, 71556,
     /*  152269 */     GIR_EraseRootFromParent_Done,
     /*  152270 */   // Label 2735: @152270
     /*  152270 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(152336), // Rule ID 71557 //
     /*  152275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152317 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152334 */     GIR_RootConstrainSelectedInstOperands,
     /*  152335 */     // GIR_Coverage, 71557,
     /*  152335 */     GIR_EraseRootFromParent_Done,
     /*  152336 */   // Label 2736: @152336
     /*  152336 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(152405), // Rule ID 53150 //
     /*  152341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152384 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152403 */     GIR_RootConstrainSelectedInstOperands,
     /*  152404 */     // GIR_Coverage, 53150,
     /*  152404 */     GIR_EraseRootFromParent_Done,
     /*  152405 */   // Label 2737: @152405
     /*  152405 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(152474), // Rule ID 53151 //
     /*  152410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152453 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152472 */     GIR_RootConstrainSelectedInstOperands,
     /*  152473 */     // GIR_Coverage, 53151,
     /*  152473 */     GIR_EraseRootFromParent_Done,
     /*  152474 */   // Label 2738: @152474
     /*  152474 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(152543), // Rule ID 71552 //
     /*  152479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  152494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152506 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152522 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152541 */     GIR_RootConstrainSelectedInstOperands,
     /*  152542 */     // GIR_Coverage, 71552,
     /*  152542 */     GIR_EraseRootFromParent_Done,
     /*  152543 */   // Label 2739: @152543
     /*  152543 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(152612), // Rule ID 71553 //
     /*  152548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  152563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152575 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152591 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152610 */     GIR_RootConstrainSelectedInstOperands,
     /*  152611 */     // GIR_Coverage, 71553,
     /*  152611 */     GIR_EraseRootFromParent_Done,
     /*  152612 */   // Label 2740: @152612
     /*  152612 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(152681), // Rule ID 71554 //
     /*  152617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  152632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152640 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152644 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152660 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152679 */     GIR_RootConstrainSelectedInstOperands,
     /*  152680 */     // GIR_Coverage, 71554,
     /*  152680 */     GIR_EraseRootFromParent_Done,
     /*  152681 */   // Label 2741: @152681
     /*  152681 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(152750), // Rule ID 71555 //
     /*  152686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  152701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152729 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152748 */     GIR_RootConstrainSelectedInstOperands,
     /*  152749 */     // GIR_Coverage, 71555,
     /*  152749 */     GIR_EraseRootFromParent_Done,
     /*  152750 */   // Label 2742: @152750
     /*  152750 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(152819), // Rule ID 71560 //
     /*  152755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  152770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152782 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152798 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152817 */     GIR_RootConstrainSelectedInstOperands,
     /*  152818 */     // GIR_Coverage, 71560,
     /*  152818 */     GIR_EraseRootFromParent_Done,
     /*  152819 */   // Label 2743: @152819
     /*  152819 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(152888), // Rule ID 71561 //
     /*  152824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  152839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152851 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152867 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  152876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  152880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152886 */     GIR_RootConstrainSelectedInstOperands,
     /*  152887 */     // GIR_Coverage, 71561,
     /*  152887 */     GIR_EraseRootFromParent_Done,
     /*  152888 */   // Label 2744: @152888
     /*  152888 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(152954), // Rule ID 71564 //
     /*  152893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  152904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152935 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  152946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152952 */     GIR_RootConstrainSelectedInstOperands,
     /*  152953 */     // GIR_Coverage, 71564,
     /*  152953 */     GIR_EraseRootFromParent_Done,
     /*  152954 */   // Label 2745: @152954
     /*  152954 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(153020), // Rule ID 71565 //
     /*  152959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  152970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153001 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153018 */     GIR_RootConstrainSelectedInstOperands,
     /*  153019 */     // GIR_Coverage, 71565,
     /*  153019 */     GIR_EraseRootFromParent_Done,
     /*  153020 */   // Label 2746: @153020
     /*  153020 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(153086), // Rule ID 71562 //
     /*  153025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153067 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153084 */     GIR_RootConstrainSelectedInstOperands,
     /*  153085 */     // GIR_Coverage, 71562,
     /*  153085 */     GIR_EraseRootFromParent_Done,
     /*  153086 */   // Label 2747: @153086
     /*  153086 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(153152), // Rule ID 71563 //
     /*  153091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153133 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153150 */     GIR_RootConstrainSelectedInstOperands,
     /*  153151 */     // GIR_Coverage, 71563,
     /*  153151 */     GIR_EraseRootFromParent_Done,
     /*  153152 */   // Label 2748: @153152
     /*  153152 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(153195), // Rule ID 71578 //
     /*  153157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153178 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153193 */     GIR_RootConstrainSelectedInstOperands,
     /*  153194 */     // GIR_Coverage, 71578,
     /*  153194 */     GIR_EraseRootFromParent_Done,
     /*  153195 */   // Label 2749: @153195
     /*  153195 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(153238), // Rule ID 71579 //
     /*  153200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153221 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153236 */     GIR_RootConstrainSelectedInstOperands,
     /*  153237 */     // GIR_Coverage, 71579,
     /*  153237 */     GIR_EraseRootFromParent_Done,
     /*  153238 */   // Label 2750: @153238
     /*  153238 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(153281), // Rule ID 53156 //
     /*  153243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153264 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153279 */     GIR_RootConstrainSelectedInstOperands,
     /*  153280 */     // GIR_Coverage, 53156,
     /*  153280 */     GIR_EraseRootFromParent_Done,
     /*  153281 */   // Label 2751: @153281
     /*  153281 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(153324), // Rule ID 53157 //
     /*  153286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153307 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153322 */     GIR_RootConstrainSelectedInstOperands,
     /*  153323 */     // GIR_Coverage, 53157,
     /*  153323 */     GIR_EraseRootFromParent_Done,
     /*  153324 */   // Label 2752: @153324
     /*  153324 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(153357), // Rule ID 53144 //
     /*  153329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153340 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  153343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153355 */     GIR_RootConstrainSelectedInstOperands,
     /*  153356 */     // GIR_Coverage, 53144,
     /*  153356 */     GIR_EraseRootFromParent_Done,
     /*  153357 */   // Label 2753: @153357
     /*  153357 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(153390), // Rule ID 53145 //
     /*  153362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153373 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  153376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153388 */     GIR_RootConstrainSelectedInstOperands,
     /*  153389 */     // GIR_Coverage, 53145,
     /*  153389 */     GIR_EraseRootFromParent_Done,
     /*  153390 */   // Label 2754: @153390
     /*  153390 */   GIM_Reject,
     /*  153391 */ // Label 2728: @153391
     /*  153391 */ GIM_Reject,
     /*  153392 */ // Label 2511: @153392
     /*  153392 */ GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(153506),
     /*  153397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  153400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  153403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153415 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(153460), // Rule ID 47850 //
     /*  153420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153423 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  153423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  153426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  153440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153458 */     GIR_RootConstrainSelectedInstOperands,
     /*  153459 */     // GIR_Coverage, 47850,
     /*  153459 */     GIR_EraseRootFromParent_Done,
     /*  153460 */   // Label 2756: @153460
     /*  153460 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(153505), // Rule ID 47851 //
     /*  153465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153468 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  153468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  153471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  153485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153503 */     GIR_RootConstrainSelectedInstOperands,
     /*  153504 */     // GIR_Coverage, 47851,
     /*  153504 */     GIR_EraseRootFromParent_Done,
     /*  153505 */   // Label 2757: @153505
     /*  153505 */   GIM_Reject,
     /*  153506 */ // Label 2755: @153506
     /*  153506 */ GIM_Reject,
     /*  153507 */ // Label 2512: @153507
     /*  153507 */ GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(153621),
     /*  153512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  153515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  153518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153530 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(153575), // Rule ID 47866 //
     /*  153535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153538 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  153538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  153541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  153555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153573 */     GIR_RootConstrainSelectedInstOperands,
     /*  153574 */     // GIR_Coverage, 47866,
     /*  153574 */     GIR_EraseRootFromParent_Done,
     /*  153575 */   // Label 2759: @153575
     /*  153575 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(153620), // Rule ID 47867 //
     /*  153580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153583 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  153583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  153586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  153600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153618 */     GIR_RootConstrainSelectedInstOperands,
     /*  153619 */     // GIR_Coverage, 47867,
     /*  153619 */     GIR_EraseRootFromParent_Done,
     /*  153620 */   // Label 2760: @153620
     /*  153620 */   GIM_Reject,
     /*  153621 */ // Label 2758: @153621
     /*  153621 */ GIM_Reject,
     /*  153622 */ // Label 2513: @153622
     /*  153622 */ GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(155232),
     /*  153627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153637 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(153706), // Rule ID 53164 //
     /*  153642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  153653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153685 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  153688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153704 */     GIR_RootConstrainSelectedInstOperands,
     /*  153705 */     // GIR_Coverage, 53164,
     /*  153705 */     GIR_EraseRootFromParent_Done,
     /*  153706 */   // Label 2762: @153706
     /*  153706 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(153775), // Rule ID 53165 //
     /*  153711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  153722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153754 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  153757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153773 */     GIR_RootConstrainSelectedInstOperands,
     /*  153774 */     // GIR_Coverage, 53165,
     /*  153774 */     GIR_EraseRootFromParent_Done,
     /*  153775 */   // Label 2763: @153775
     /*  153775 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(153844), // Rule ID 53166 //
     /*  153780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153823 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  153826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153842 */     GIR_RootConstrainSelectedInstOperands,
     /*  153843 */     // GIR_Coverage, 53166,
     /*  153843 */     GIR_EraseRootFromParent_Done,
     /*  153844 */   // Label 2764: @153844
     /*  153844 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(153913), // Rule ID 53167 //
     /*  153849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153892 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  153895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  153905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153911 */     GIR_RootConstrainSelectedInstOperands,
     /*  153912 */     // GIR_Coverage, 53167,
     /*  153912 */     GIR_EraseRootFromParent_Done,
     /*  153913 */   // Label 2765: @153913
     /*  153913 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(153979), // Rule ID 71586 //
     /*  153918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  153937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  153941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153960 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  153963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153977 */     GIR_RootConstrainSelectedInstOperands,
     /*  153978 */     // GIR_Coverage, 71586,
     /*  153978 */     GIR_EraseRootFromParent_Done,
     /*  153979 */   // Label 2766: @153979
     /*  153979 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(154045), // Rule ID 71587 //
     /*  153984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  153999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154026 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154043 */     GIR_RootConstrainSelectedInstOperands,
     /*  154044 */     // GIR_Coverage, 71587,
     /*  154044 */     GIR_EraseRootFromParent_Done,
     /*  154045 */   // Label 2767: @154045
     /*  154045 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(154111), // Rule ID 71584 //
     /*  154050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154092 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154109 */     GIR_RootConstrainSelectedInstOperands,
     /*  154110 */     // GIR_Coverage, 71584,
     /*  154110 */     GIR_EraseRootFromParent_Done,
     /*  154111 */   // Label 2768: @154111
     /*  154111 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(154177), // Rule ID 71585 //
     /*  154116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154158 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154175 */     GIR_RootConstrainSelectedInstOperands,
     /*  154176 */     // GIR_Coverage, 71585,
     /*  154176 */     GIR_EraseRootFromParent_Done,
     /*  154177 */   // Label 2769: @154177
     /*  154177 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(154246), // Rule ID 53168 //
     /*  154182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154223 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154225 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154244 */     GIR_RootConstrainSelectedInstOperands,
     /*  154245 */     // GIR_Coverage, 53168,
     /*  154245 */     GIR_EraseRootFromParent_Done,
     /*  154246 */   // Label 2770: @154246
     /*  154246 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(154315), // Rule ID 53169 //
     /*  154251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154294 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154313 */     GIR_RootConstrainSelectedInstOperands,
     /*  154314 */     // GIR_Coverage, 53169,
     /*  154314 */     GIR_EraseRootFromParent_Done,
     /*  154315 */   // Label 2771: @154315
     /*  154315 */   GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(154384), // Rule ID 71580 //
     /*  154320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154347 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154363 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154382 */     GIR_RootConstrainSelectedInstOperands,
     /*  154383 */     // GIR_Coverage, 71580,
     /*  154383 */     GIR_EraseRootFromParent_Done,
     /*  154384 */   // Label 2772: @154384
     /*  154384 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(154453), // Rule ID 71581 //
     /*  154389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154416 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154430 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154432 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154451 */     GIR_RootConstrainSelectedInstOperands,
     /*  154452 */     // GIR_Coverage, 71581,
     /*  154452 */     GIR_EraseRootFromParent_Done,
     /*  154453 */   // Label 2773: @154453
     /*  154453 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(154522), // Rule ID 71582 //
     /*  154458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154501 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154520 */     GIR_RootConstrainSelectedInstOperands,
     /*  154521 */     // GIR_Coverage, 71582,
     /*  154521 */     GIR_EraseRootFromParent_Done,
     /*  154522 */   // Label 2774: @154522
     /*  154522 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(154591), // Rule ID 71583 //
     /*  154527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154554 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154570 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154589 */     GIR_RootConstrainSelectedInstOperands,
     /*  154590 */     // GIR_Coverage, 71583,
     /*  154590 */     GIR_EraseRootFromParent_Done,
     /*  154591 */   // Label 2775: @154591
     /*  154591 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(154660), // Rule ID 71588 //
     /*  154596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154639 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154658 */     GIR_RootConstrainSelectedInstOperands,
     /*  154659 */     // GIR_Coverage, 71588,
     /*  154659 */     GIR_EraseRootFromParent_Done,
     /*  154660 */   // Label 2776: @154660
     /*  154660 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(154729), // Rule ID 71589 //
     /*  154665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154692 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154708 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154727 */     GIR_RootConstrainSelectedInstOperands,
     /*  154728 */     // GIR_Coverage, 71589,
     /*  154728 */     GIR_EraseRootFromParent_Done,
     /*  154729 */   // Label 2777: @154729
     /*  154729 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(154795), // Rule ID 71592 //
     /*  154734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154776 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154793 */     GIR_RootConstrainSelectedInstOperands,
     /*  154794 */     // GIR_Coverage, 71592,
     /*  154794 */     GIR_EraseRootFromParent_Done,
     /*  154795 */   // Label 2778: @154795
     /*  154795 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(154861), // Rule ID 71593 //
     /*  154800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154842 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154859 */     GIR_RootConstrainSelectedInstOperands,
     /*  154860 */     // GIR_Coverage, 71593,
     /*  154860 */     GIR_EraseRootFromParent_Done,
     /*  154861 */   // Label 2779: @154861
     /*  154861 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(154927), // Rule ID 71590 //
     /*  154866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154908 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154925 */     GIR_RootConstrainSelectedInstOperands,
     /*  154926 */     // GIR_Coverage, 71590,
     /*  154926 */     GIR_EraseRootFromParent_Done,
     /*  154927 */   // Label 2780: @154927
     /*  154927 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(154993), // Rule ID 71591 //
     /*  154932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  154943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154974 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  154985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154991 */     GIR_RootConstrainSelectedInstOperands,
     /*  154992 */     // GIR_Coverage, 71591,
     /*  154992 */     GIR_EraseRootFromParent_Done,
     /*  154993 */   // Label 2781: @154993
     /*  154993 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(155036), // Rule ID 71606 //
     /*  154998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155019 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155034 */     GIR_RootConstrainSelectedInstOperands,
     /*  155035 */     // GIR_Coverage, 71606,
     /*  155035 */     GIR_EraseRootFromParent_Done,
     /*  155036 */   // Label 2782: @155036
     /*  155036 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(155079), // Rule ID 71607 //
     /*  155041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155062 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155077 */     GIR_RootConstrainSelectedInstOperands,
     /*  155078 */     // GIR_Coverage, 71607,
     /*  155078 */     GIR_EraseRootFromParent_Done,
     /*  155079 */   // Label 2783: @155079
     /*  155079 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(155122), // Rule ID 53174 //
     /*  155084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155105 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155120 */     GIR_RootConstrainSelectedInstOperands,
     /*  155121 */     // GIR_Coverage, 53174,
     /*  155121 */     GIR_EraseRootFromParent_Done,
     /*  155122 */   // Label 2784: @155122
     /*  155122 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(155165), // Rule ID 53175 //
     /*  155127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155148 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155163 */     GIR_RootConstrainSelectedInstOperands,
     /*  155164 */     // GIR_Coverage, 53175,
     /*  155164 */     GIR_EraseRootFromParent_Done,
     /*  155165 */   // Label 2785: @155165
     /*  155165 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(155198), // Rule ID 53162 //
     /*  155170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155181 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155196 */     GIR_RootConstrainSelectedInstOperands,
     /*  155197 */     // GIR_Coverage, 53162,
     /*  155197 */     GIR_EraseRootFromParent_Done,
     /*  155198 */   // Label 2786: @155198
     /*  155198 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(155231), // Rule ID 53163 //
     /*  155203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155214 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155229 */     GIR_RootConstrainSelectedInstOperands,
     /*  155230 */     // GIR_Coverage, 53163,
     /*  155230 */     GIR_EraseRootFromParent_Done,
     /*  155231 */   // Label 2787: @155231
     /*  155231 */   GIM_Reject,
     /*  155232 */ // Label 2761: @155232
     /*  155232 */ GIM_Reject,
     /*  155233 */ // Label 2514: @155233
     /*  155233 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(155347),
     /*  155238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  155241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  155244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155256 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(155301), // Rule ID 47854 //
     /*  155261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155264 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  155264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155299 */     GIR_RootConstrainSelectedInstOperands,
     /*  155300 */     // GIR_Coverage, 47854,
     /*  155300 */     GIR_EraseRootFromParent_Done,
     /*  155301 */   // Label 2789: @155301
     /*  155301 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(155346), // Rule ID 47855 //
     /*  155306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155309 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  155309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155344 */     GIR_RootConstrainSelectedInstOperands,
     /*  155345 */     // GIR_Coverage, 47855,
     /*  155345 */     GIR_EraseRootFromParent_Done,
     /*  155346 */   // Label 2790: @155346
     /*  155346 */   GIM_Reject,
     /*  155347 */ // Label 2788: @155347
     /*  155347 */ GIM_Reject,
     /*  155348 */ // Label 2515: @155348
     /*  155348 */ GIM_Reject,
     /*  155349 */ // Label 10: @155349
     /*  155349 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(155409),
     /*  155354 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  155358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155362 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(155385), // Rule ID 110 //
     /*  155367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155370 */     // MIs[0] Operand 1
     /*  155370 */     // No operand predicates
     /*  155370 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  155370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  155373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155375 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  155380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155383 */     GIR_RootConstrainSelectedInstOperands,
     /*  155384 */     // GIR_Coverage, 110,
     /*  155384 */     GIR_EraseRootFromParent_Done,
     /*  155385 */   // Label 2792: @155385
     /*  155385 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(155408), // Rule ID 111 //
     /*  155390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155393 */     // MIs[0] Operand 1
     /*  155393 */     // No operand predicates
     /*  155393 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  155393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  155396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155398 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  155403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155406 */     GIR_RootConstrainSelectedInstOperands,
     /*  155407 */     // GIR_Coverage, 111,
     /*  155407 */     GIR_EraseRootFromParent_Done,
     /*  155408 */   // Label 2793: @155408
     /*  155408 */   GIM_Reject,
     /*  155409 */ // Label 2791: @155409
     /*  155409 */ GIM_Reject,
     /*  155410 */ // Label 11: @155410
     /*  155410 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(155470),
     /*  155415 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  155418 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  155421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  155427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155439 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(155454), // Rule ID 50 //
     /*  155444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  155447 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  155447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  155452 */     GIR_RootConstrainSelectedInstOperands,
     /*  155453 */     // GIR_Coverage, 50,
     /*  155453 */     GIR_Done,
     /*  155454 */   // Label 2795: @155454
     /*  155454 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(155469), // Rule ID 51 //
     /*  155459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  155462 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  155462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  155467 */     GIR_RootConstrainSelectedInstOperands,
     /*  155468 */     // GIR_Coverage, 51,
     /*  155468 */     GIR_Done,
     /*  155469 */   // Label 2796: @155469
     /*  155469 */   GIM_Reject,
     /*  155470 */ // Label 2794: @155470
     /*  155470 */ GIM_Reject,
     /*  155471 */ // Label 12: @155471
     /*  155471 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(155561),
     /*  155476 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  155479 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  155482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  155488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155500 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(155515), // Rule ID 48 //
     /*  155505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  155508 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  155508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  155513 */     GIR_RootConstrainSelectedInstOperands,
     /*  155514 */     // GIR_Coverage, 48,
     /*  155514 */     GIR_Done,
     /*  155515 */   // Label 2798: @155515
     /*  155515 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(155530), // Rule ID 49 //
     /*  155520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  155523 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  155523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  155528 */     GIR_RootConstrainSelectedInstOperands,
     /*  155529 */     // GIR_Coverage, 49,
     /*  155529 */     GIR_Done,
     /*  155530 */   // Label 2799: @155530
     /*  155530 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(155545), // Rule ID 2294 //
     /*  155535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  155538 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  155538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  155543 */     GIR_RootConstrainSelectedInstOperands,
     /*  155544 */     // GIR_Coverage, 2294,
     /*  155544 */     GIR_Done,
     /*  155545 */   // Label 2800: @155545
     /*  155545 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(155560), // Rule ID 2295 //
     /*  155550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  155553 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  155553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  155558 */     GIR_RootConstrainSelectedInstOperands,
     /*  155559 */     // GIR_Coverage, 2295,
     /*  155559 */     GIR_Done,
     /*  155560 */   // Label 2801: @155560
     /*  155560 */   GIM_Reject,
     /*  155561 */ // Label 2797: @155561
     /*  155561 */ GIM_Reject,
     /*  155562 */ // Label 13: @155562
     /*  155562 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2804*/ GIMT_Encode4(155928),
     /*  155573 */ /*GILLT_s32*//*Label 2802*/ GIMT_Encode4(155581),
     /*  155577 */ /*GILLT_s64*//*Label 2803*/ GIMT_Encode4(155818),
     /*  155581 */ // Label 2802: @155581
     /*  155581 */ GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(155817),
     /*  155586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155589 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(155612), // Rule ID 1337 //
     /*  155594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  155597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155605 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  155605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  155610 */     GIR_RootConstrainSelectedInstOperands,
     /*  155611 */     // GIR_Coverage, 1337,
     /*  155611 */     GIR_Done,
     /*  155612 */   // Label 2806: @155612
     /*  155612 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(155635), // Rule ID 1338 //
     /*  155617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  155620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155628 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  155628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  155633 */     GIR_RootConstrainSelectedInstOperands,
     /*  155634 */     // GIR_Coverage, 1338,
     /*  155634 */     GIR_Done,
     /*  155635 */   // Label 2807: @155635
     /*  155635 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(155658), // Rule ID 1339 //
     /*  155640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  155643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155651 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  155651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  155656 */     GIR_RootConstrainSelectedInstOperands,
     /*  155657 */     // GIR_Coverage, 1339,
     /*  155657 */     GIR_Done,
     /*  155658 */   // Label 2808: @155658
     /*  155658 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(155681), // Rule ID 1340 //
     /*  155663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  155666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  155674 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  155674 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  155679 */     GIR_RootConstrainSelectedInstOperands,
     /*  155680 */     // GIR_Coverage, 1340,
     /*  155680 */     GIR_Done,
     /*  155681 */   // Label 2809: @155681
     /*  155681 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(155719), // Rule ID 1341 //
     /*  155686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  155689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155697 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  155697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  155702 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  155708 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155713 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155718 */     // GIR_Coverage, 1341,
     /*  155718 */     GIR_EraseRootFromParent_Done,
     /*  155719 */   // Label 2810: @155719
     /*  155719 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(155757), // Rule ID 1342 //
     /*  155724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  155727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155735 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  155735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  155740 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  155746 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155756 */     // GIR_Coverage, 1342,
     /*  155756 */     GIR_EraseRootFromParent_Done,
     /*  155757 */   // Label 2811: @155757
     /*  155757 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(155816), // Rule ID 1343 //
     /*  155762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  155765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155773 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  155773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  155776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  155790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  155792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  155800 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155805 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155810 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  155815 */     // GIR_Coverage, 1343,
     /*  155815 */     GIR_EraseRootFromParent_Done,
     /*  155816 */   // Label 2812: @155816
     /*  155816 */   GIM_Reject,
     /*  155817 */ // Label 2805: @155817
     /*  155817 */ GIM_Reject,
     /*  155818 */ // Label 2803: @155818
     /*  155818 */ GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(155927),
     /*  155823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  155826 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(155849), // Rule ID 1790 //
     /*  155831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  155834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155842 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  155842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  155847 */     GIR_RootConstrainSelectedInstOperands,
     /*  155848 */     // GIR_Coverage, 1790,
     /*  155848 */     GIR_Done,
     /*  155849 */   // Label 2814: @155849
     /*  155849 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(155872), // Rule ID 1791 //
     /*  155854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  155857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155865 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  155865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  155870 */     GIR_RootConstrainSelectedInstOperands,
     /*  155871 */     // GIR_Coverage, 1791,
     /*  155871 */     GIR_Done,
     /*  155872 */   // Label 2815: @155872
     /*  155872 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(155899), // Rule ID 1818 //
     /*  155877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  155880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155888 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  155888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155893 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155898 */     // GIR_Coverage, 1818,
     /*  155898 */     GIR_Done,
     /*  155899 */   // Label 2816: @155899
     /*  155899 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(155926), // Rule ID 1819 //
     /*  155904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  155907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155915 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  155915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  155920 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155925 */     // GIR_Coverage, 1819,
     /*  155925 */     GIR_Done,
     /*  155926 */   // Label 2817: @155926
     /*  155926 */   GIM_Reject,
     /*  155927 */ // Label 2813: @155927
     /*  155927 */ GIM_Reject,
     /*  155928 */ // Label 2804: @155928
     /*  155928 */ GIM_Reject,
     /*  155929 */ // Label 14: @155929
     /*  155929 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2821*/ GIMT_Encode4(156126),
     /*  155940 */ /*GILLT_s16*//*Label 2818*/ GIMT_Encode4(155952),
     /*  155944 */ /*GILLT_s32*//*Label 2819*/ GIMT_Encode4(156010),
     /*  155948 */ /*GILLT_s64*//*Label 2820*/ GIMT_Encode4(156068),
     /*  155952 */ // Label 2818: @155952
     /*  155952 */ GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(156009),
     /*  155957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  155960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  155964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  155968 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(155988), // Rule ID 2326 //
     /*  155973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  155976 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  155976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  155979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  155986 */     GIR_RootConstrainSelectedInstOperands,
     /*  155987 */     // GIR_Coverage, 2326,
     /*  155987 */     GIR_EraseRootFromParent_Done,
     /*  155988 */   // Label 2823: @155988
     /*  155988 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(156008), // Rule ID 2327 //
     /*  155993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  155996 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  155996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  155999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156006 */     GIR_RootConstrainSelectedInstOperands,
     /*  156007 */     // GIR_Coverage, 2327,
     /*  156007 */     GIR_EraseRootFromParent_Done,
     /*  156008 */   // Label 2824: @156008
     /*  156008 */   GIM_Reject,
     /*  156009 */ // Label 2822: @156009
     /*  156009 */ GIM_Reject,
     /*  156010 */ // Label 2819: @156010
     /*  156010 */ GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(156067),
     /*  156015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156026 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(156046), // Rule ID 2244 //
     /*  156031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156034 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  156034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156044 */     GIR_RootConstrainSelectedInstOperands,
     /*  156045 */     // GIR_Coverage, 2244,
     /*  156045 */     GIR_EraseRootFromParent_Done,
     /*  156046 */   // Label 2826: @156046
     /*  156046 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(156066), // Rule ID 2245 //
     /*  156051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156054 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  156054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156064 */     GIR_RootConstrainSelectedInstOperands,
     /*  156065 */     // GIR_Coverage, 2245,
     /*  156065 */     GIR_EraseRootFromParent_Done,
     /*  156066 */   // Label 2827: @156066
     /*  156066 */   GIM_Reject,
     /*  156067 */ // Label 2825: @156067
     /*  156067 */ GIM_Reject,
     /*  156068 */ // Label 2820: @156068
     /*  156068 */ GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(156125),
     /*  156073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156084 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(156104), // Rule ID 2284 //
     /*  156089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156092 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  156092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156102 */     GIR_RootConstrainSelectedInstOperands,
     /*  156103 */     // GIR_Coverage, 2284,
     /*  156103 */     GIR_EraseRootFromParent_Done,
     /*  156104 */   // Label 2829: @156104
     /*  156104 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(156124), // Rule ID 2285 //
     /*  156109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156112 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  156112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156122 */     GIR_RootConstrainSelectedInstOperands,
     /*  156123 */     // GIR_Coverage, 2285,
     /*  156123 */     GIR_EraseRootFromParent_Done,
     /*  156124 */   // Label 2830: @156124
     /*  156124 */   GIM_Reject,
     /*  156125 */ // Label 2828: @156125
     /*  156125 */ GIM_Reject,
     /*  156126 */ // Label 2821: @156126
     /*  156126 */ GIM_Reject,
     /*  156127 */ // Label 15: @156127
     /*  156127 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2834*/ GIMT_Encode4(156324),
     /*  156138 */ /*GILLT_s16*//*Label 2831*/ GIMT_Encode4(156150),
     /*  156142 */ /*GILLT_s32*//*Label 2832*/ GIMT_Encode4(156208),
     /*  156146 */ /*GILLT_s64*//*Label 2833*/ GIMT_Encode4(156266),
     /*  156150 */ // Label 2831: @156150
     /*  156150 */ GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(156207),
     /*  156155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156166 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(156186), // Rule ID 2310 //
     /*  156171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  156174 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  156174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156184 */     GIR_RootConstrainSelectedInstOperands,
     /*  156185 */     // GIR_Coverage, 2310,
     /*  156185 */     GIR_EraseRootFromParent_Done,
     /*  156186 */   // Label 2836: @156186
     /*  156186 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(156206), // Rule ID 2311 //
     /*  156191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  156194 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  156194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156204 */     GIR_RootConstrainSelectedInstOperands,
     /*  156205 */     // GIR_Coverage, 2311,
     /*  156205 */     GIR_EraseRootFromParent_Done,
     /*  156206 */   // Label 2837: @156206
     /*  156206 */   GIM_Reject,
     /*  156207 */ // Label 2835: @156207
     /*  156207 */ GIM_Reject,
     /*  156208 */ // Label 2832: @156208
     /*  156208 */ GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(156265),
     /*  156213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156224 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(156244), // Rule ID 2228 //
     /*  156229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156232 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  156232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156242 */     GIR_RootConstrainSelectedInstOperands,
     /*  156243 */     // GIR_Coverage, 2228,
     /*  156243 */     GIR_EraseRootFromParent_Done,
     /*  156244 */   // Label 2839: @156244
     /*  156244 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(156264), // Rule ID 2229 //
     /*  156249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156252 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  156252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156262 */     GIR_RootConstrainSelectedInstOperands,
     /*  156263 */     // GIR_Coverage, 2229,
     /*  156263 */     GIR_EraseRootFromParent_Done,
     /*  156264 */   // Label 2840: @156264
     /*  156264 */   GIM_Reject,
     /*  156265 */ // Label 2838: @156265
     /*  156265 */ GIM_Reject,
     /*  156266 */ // Label 2833: @156266
     /*  156266 */ GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(156323),
     /*  156271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156282 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(156302), // Rule ID 2268 //
     /*  156287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156290 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  156290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156300 */     GIR_RootConstrainSelectedInstOperands,
     /*  156301 */     // GIR_Coverage, 2268,
     /*  156301 */     GIR_EraseRootFromParent_Done,
     /*  156302 */   // Label 2842: @156302
     /*  156302 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(156322), // Rule ID 2269 //
     /*  156307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156310 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  156310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156320 */     GIR_RootConstrainSelectedInstOperands,
     /*  156321 */     // GIR_Coverage, 2269,
     /*  156321 */     GIR_EraseRootFromParent_Done,
     /*  156322 */   // Label 2843: @156322
     /*  156322 */   GIM_Reject,
     /*  156323 */ // Label 2841: @156323
     /*  156323 */ GIM_Reject,
     /*  156324 */ // Label 2834: @156324
     /*  156324 */ GIM_Reject,
     /*  156325 */ // Label 16: @156325
     /*  156325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2846*/ GIMT_Encode4(156904),
     /*  156336 */ /*GILLT_s32*//*Label 2844*/ GIMT_Encode4(156344),
     /*  156340 */ /*GILLT_s64*//*Label 2845*/ GIMT_Encode4(156717),
     /*  156344 */ // Label 2844: @156344
     /*  156344 */ GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(156375), // Rule ID 1356 //
     /*  156349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156363 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  156366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156368 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156373 */   GIR_RootConstrainSelectedInstOperands,
     /*  156374 */   // GIR_Coverage, 1356,
     /*  156374 */   GIR_EraseRootFromParent_Done,
     /*  156375 */ // Label 2847: @156375
     /*  156375 */ GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(156406), // Rule ID 1357 //
     /*  156380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  156383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156394 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  156394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  156397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156404 */   GIR_RootConstrainSelectedInstOperands,
     /*  156405 */   // GIR_Coverage, 1357,
     /*  156405 */   GIR_EraseRootFromParent_Done,
     /*  156406 */ // Label 2848: @156406
     /*  156406 */ GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(156437), // Rule ID 1382 //
     /*  156411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  156414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156425 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  156428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156430 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156435 */   GIR_RootConstrainSelectedInstOperands,
     /*  156436 */   // GIR_Coverage, 1382,
     /*  156436 */   GIR_EraseRootFromParent_Done,
     /*  156437 */ // Label 2849: @156437
     /*  156437 */ GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(156468), // Rule ID 1383 //
     /*  156442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  156445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156456 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  156456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  156459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156461 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156466 */   GIR_RootConstrainSelectedInstOperands,
     /*  156467 */   // GIR_Coverage, 1383,
     /*  156467 */   GIR_EraseRootFromParent_Done,
     /*  156468 */ // Label 2850: @156468
     /*  156468 */ GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(156499), // Rule ID 1750 //
     /*  156473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  156476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156487 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  156490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156497 */   GIR_RootConstrainSelectedInstOperands,
     /*  156498 */   // GIR_Coverage, 1750,
     /*  156498 */   GIR_EraseRootFromParent_Done,
     /*  156499 */ // Label 2851: @156499
     /*  156499 */ GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(156530), // Rule ID 1751 //
     /*  156504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  156507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156518 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  156518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  156521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156528 */   GIR_RootConstrainSelectedInstOperands,
     /*  156529 */   // GIR_Coverage, 1751,
     /*  156529 */   GIR_EraseRootFromParent_Done,
     /*  156530 */ // Label 2852: @156530
     /*  156530 */ GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(156561), // Rule ID 1776 //
     /*  156535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  156538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  156549 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  156552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156554 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156559 */   GIR_RootConstrainSelectedInstOperands,
     /*  156560 */   // GIR_Coverage, 1776,
     /*  156560 */   GIR_EraseRootFromParent_Done,
     /*  156561 */ // Label 2853: @156561
     /*  156561 */ GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(156592), // Rule ID 1777 //
     /*  156566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  156569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  156580 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  156580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  156583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156590 */   GIR_RootConstrainSelectedInstOperands,
     /*  156591 */   // GIR_Coverage, 1777,
     /*  156591 */   GIR_EraseRootFromParent_Done,
     /*  156592 */ // Label 2854: @156592
     /*  156592 */ GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(156623), // Rule ID 2092 //
     /*  156597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  156600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156611 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  156614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156621 */   GIR_RootConstrainSelectedInstOperands,
     /*  156622 */   // GIR_Coverage, 2092,
     /*  156622 */   GIR_EraseRootFromParent_Done,
     /*  156623 */ // Label 2855: @156623
     /*  156623 */ GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(156654), // Rule ID 2093 //
     /*  156628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  156631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156642 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  156642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  156645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156652 */   GIR_RootConstrainSelectedInstOperands,
     /*  156653 */   // GIR_Coverage, 2093,
     /*  156653 */   GIR_EraseRootFromParent_Done,
     /*  156654 */ // Label 2856: @156654
     /*  156654 */ GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(156685), // Rule ID 2118 //
     /*  156659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  156662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156673 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  156676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156683 */   GIR_RootConstrainSelectedInstOperands,
     /*  156684 */   // GIR_Coverage, 2118,
     /*  156684 */   GIR_EraseRootFromParent_Done,
     /*  156685 */ // Label 2857: @156685
     /*  156685 */ GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(156716), // Rule ID 2119 //
     /*  156690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  156693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156704 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  156704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  156707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156714 */   GIR_RootConstrainSelectedInstOperands,
     /*  156715 */   // GIR_Coverage, 2119,
     /*  156715 */   GIR_EraseRootFromParent_Done,
     /*  156716 */ // Label 2858: @156716
     /*  156716 */ GIM_Reject,
     /*  156717 */ // Label 2845: @156717
     /*  156717 */ GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(156748), // Rule ID 1409 //
     /*  156722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  156725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156736 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  156739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156741 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156746 */   GIR_RootConstrainSelectedInstOperands,
     /*  156747 */   // GIR_Coverage, 1409,
     /*  156747 */   GIR_EraseRootFromParent_Done,
     /*  156748 */ // Label 2859: @156748
     /*  156748 */ GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(156779), // Rule ID 1437 //
     /*  156753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  156756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156767 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  156770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156777 */   GIR_RootConstrainSelectedInstOperands,
     /*  156778 */   // GIR_Coverage, 1437,
     /*  156778 */   GIR_EraseRootFromParent_Done,
     /*  156779 */ // Label 2860: @156779
     /*  156779 */ GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(156810), // Rule ID 1807 //
     /*  156784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  156787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156798 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  156801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156808 */   GIR_RootConstrainSelectedInstOperands,
     /*  156809 */   // GIR_Coverage, 1807,
     /*  156809 */   GIR_EraseRootFromParent_Done,
     /*  156810 */ // Label 2861: @156810
     /*  156810 */ GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(156841), // Rule ID 1835 //
     /*  156815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  156818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156829 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  156832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156834 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156839 */   GIR_RootConstrainSelectedInstOperands,
     /*  156840 */   // GIR_Coverage, 1835,
     /*  156840 */   GIR_EraseRootFromParent_Done,
     /*  156841 */ // Label 2862: @156841
     /*  156841 */ GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(156872), // Rule ID 2143 //
     /*  156846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  156849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156860 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  156863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156865 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156870 */   GIR_RootConstrainSelectedInstOperands,
     /*  156871 */   // GIR_Coverage, 2143,
     /*  156871 */   GIR_EraseRootFromParent_Done,
     /*  156872 */ // Label 2863: @156872
     /*  156872 */ GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(156903), // Rule ID 2169 //
     /*  156877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  156880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156891 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  156894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156901 */   GIR_RootConstrainSelectedInstOperands,
     /*  156902 */   // GIR_Coverage, 2169,
     /*  156902 */   GIR_EraseRootFromParent_Done,
     /*  156903 */ // Label 2864: @156903
     /*  156903 */ GIM_Reject,
     /*  156904 */ // Label 2846: @156904
     /*  156904 */ GIM_Reject,
     /*  156905 */ // Label 17: @156905
     /*  156905 */ GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(157114),
     /*  156910 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  156913 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2869*/ GIMT_Encode4(157113),
     /*  156924 */   /*GILLT_s16*//*Label 2866*/ GIMT_Encode4(156936),
     /*  156928 */   /*GILLT_s32*//*Label 2867*/ GIMT_Encode4(156995),
     /*  156932 */   /*GILLT_s64*//*Label 2868*/ GIMT_Encode4(157054),
     /*  156936 */   // Label 2866: @156936
     /*  156936 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(156994),
     /*  156941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156945 */     GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(156969), // Rule ID 2145 //
     /*  156950 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  156953 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156957 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156957 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  156960 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156962 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156964 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156967 */       GIR_RootConstrainSelectedInstOperands,
     /*  156968 */       // GIR_Coverage, 2145,
     /*  156968 */       GIR_EraseRootFromParent_Done,
     /*  156969 */     // Label 2871: @156969
     /*  156969 */     GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(156993), // Rule ID 2171 //
     /*  156974 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  156977 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  156981 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  156981 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  156984 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156986 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156988 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156991 */       GIR_RootConstrainSelectedInstOperands,
     /*  156992 */       // GIR_Coverage, 2171,
     /*  156992 */       GIR_EraseRootFromParent_Done,
     /*  156993 */     // Label 2872: @156993
     /*  156993 */     GIM_Reject,
     /*  156994 */   // Label 2870: @156994
     /*  156994 */   GIM_Reject,
     /*  156995 */   // Label 2867: @156995
     /*  156995 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(157053),
     /*  157000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157004 */     GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(157028), // Rule ID 1411 //
     /*  157009 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  157012 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157016 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157016 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  157019 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157021 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157023 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157026 */       GIR_RootConstrainSelectedInstOperands,
     /*  157027 */       // GIR_Coverage, 1411,
     /*  157027 */       GIR_EraseRootFromParent_Done,
     /*  157028 */     // Label 2874: @157028
     /*  157028 */     GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(157052), // Rule ID 1439 //
     /*  157033 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  157036 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157040 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157040 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  157043 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157045 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157047 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157050 */       GIR_RootConstrainSelectedInstOperands,
     /*  157051 */       // GIR_Coverage, 1439,
     /*  157051 */       GIR_EraseRootFromParent_Done,
     /*  157052 */     // Label 2875: @157052
     /*  157052 */     GIM_Reject,
     /*  157053 */   // Label 2873: @157053
     /*  157053 */   GIM_Reject,
     /*  157054 */   // Label 2868: @157054
     /*  157054 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(157112),
     /*  157059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157063 */     GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(157087), // Rule ID 1809 //
     /*  157068 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  157071 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157075 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157075 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  157078 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157080 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157082 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157085 */       GIR_RootConstrainSelectedInstOperands,
     /*  157086 */       // GIR_Coverage, 1809,
     /*  157086 */       GIR_EraseRootFromParent_Done,
     /*  157087 */     // Label 2877: @157087
     /*  157087 */     GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(157111), // Rule ID 1837 //
     /*  157092 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157095 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157099 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157099 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  157102 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157104 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157106 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157109 */       GIR_RootConstrainSelectedInstOperands,
     /*  157110 */       // GIR_Coverage, 1837,
     /*  157110 */       GIR_EraseRootFromParent_Done,
     /*  157111 */     // Label 2878: @157111
     /*  157111 */     GIM_Reject,
     /*  157112 */   // Label 2876: @157112
     /*  157112 */   GIM_Reject,
     /*  157113 */   // Label 2869: @157113
     /*  157113 */   GIM_Reject,
     /*  157114 */ // Label 2865: @157114
     /*  157114 */ GIM_Reject,
     /*  157115 */ // Label 18: @157115
     /*  157115 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2882*/ GIMT_Encode4(157312),
     /*  157126 */ /*GILLT_s16*//*Label 2879*/ GIMT_Encode4(157138),
     /*  157130 */ /*GILLT_s32*//*Label 2880*/ GIMT_Encode4(157196),
     /*  157134 */ /*GILLT_s64*//*Label 2881*/ GIMT_Encode4(157254),
     /*  157138 */ // Label 2879: @157138
     /*  157138 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(157195),
     /*  157143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157154 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(157174), // Rule ID 2314 //
     /*  157159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  157162 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  157162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157172 */     GIR_RootConstrainSelectedInstOperands,
     /*  157173 */     // GIR_Coverage, 2314,
     /*  157173 */     GIR_EraseRootFromParent_Done,
     /*  157174 */   // Label 2884: @157174
     /*  157174 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(157194), // Rule ID 2315 //
     /*  157179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  157182 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  157182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157192 */     GIR_RootConstrainSelectedInstOperands,
     /*  157193 */     // GIR_Coverage, 2315,
     /*  157193 */     GIR_EraseRootFromParent_Done,
     /*  157194 */   // Label 2885: @157194
     /*  157194 */   GIM_Reject,
     /*  157195 */ // Label 2883: @157195
     /*  157195 */ GIM_Reject,
     /*  157196 */ // Label 2880: @157196
     /*  157196 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(157253),
     /*  157201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157212 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(157232), // Rule ID 2232 //
     /*  157217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  157220 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  157220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157230 */     GIR_RootConstrainSelectedInstOperands,
     /*  157231 */     // GIR_Coverage, 2232,
     /*  157231 */     GIR_EraseRootFromParent_Done,
     /*  157232 */   // Label 2887: @157232
     /*  157232 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(157252), // Rule ID 2233 //
     /*  157237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  157240 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  157240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157250 */     GIR_RootConstrainSelectedInstOperands,
     /*  157251 */     // GIR_Coverage, 2233,
     /*  157251 */     GIR_EraseRootFromParent_Done,
     /*  157252 */   // Label 2888: @157252
     /*  157252 */   GIM_Reject,
     /*  157253 */ // Label 2886: @157253
     /*  157253 */ GIM_Reject,
     /*  157254 */ // Label 2881: @157254
     /*  157254 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(157311),
     /*  157259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157270 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(157290), // Rule ID 2272 //
     /*  157275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  157278 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  157278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157288 */     GIR_RootConstrainSelectedInstOperands,
     /*  157289 */     // GIR_Coverage, 2272,
     /*  157289 */     GIR_EraseRootFromParent_Done,
     /*  157290 */   // Label 2890: @157290
     /*  157290 */   GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(157310), // Rule ID 2273 //
     /*  157295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  157298 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  157298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157308 */     GIR_RootConstrainSelectedInstOperands,
     /*  157309 */     // GIR_Coverage, 2273,
     /*  157309 */     GIR_EraseRootFromParent_Done,
     /*  157310 */   // Label 2891: @157310
     /*  157310 */   GIM_Reject,
     /*  157311 */ // Label 2889: @157311
     /*  157311 */ GIM_Reject,
     /*  157312 */ // Label 2882: @157312
     /*  157312 */ GIM_Reject,
     /*  157313 */ // Label 19: @157313
     /*  157313 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(157351), // Rule ID 281 //
     /*  157318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157321 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157328 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  157328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157333 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  157343 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  157349 */   GIR_RootConstrainSelectedInstOperands,
     /*  157350 */   // GIR_Coverage, 281,
     /*  157350 */   GIR_EraseRootFromParent_Done,
     /*  157351 */ // Label 2892: @157351
     /*  157351 */ GIM_Reject,
     /*  157352 */ // Label 20: @157352
     /*  157352 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(157390), // Rule ID 282 //
     /*  157357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157360 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157367 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  157367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157372 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  157382 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  157388 */   GIR_RootConstrainSelectedInstOperands,
     /*  157389 */   // GIR_Coverage, 282,
     /*  157389 */   GIR_EraseRootFromParent_Done,
     /*  157390 */ // Label 2893: @157390
     /*  157390 */ GIM_Reject,
     /*  157391 */ // Label 21: @157391
     /*  157391 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2928*/ GIMT_Encode4(167570),
     /*  157402 */ /*GILLT_p0s32*//*Label 2894*/ GIMT_Encode4(157538),
     /*  157406 */ /*GILLT_p0s64*//*Label 2895*/ GIMT_Encode4(157632),
     /*  157410 */ /*GILLT_s16*//*Label 2896*/ GIMT_Encode4(157726),
     /*  157414 */ /*GILLT_s32*//*Label 2897*/ GIMT_Encode4(158381),
     /*  157418 */ /*GILLT_s64*//*Label 2898*/ GIMT_Encode4(161140),
     /*  157422 */ /*GILLT_nxv1s1*//*Label 2899*/ GIMT_Encode4(162264),
     /*  157426 */ /*GILLT_nxv1s8*//*Label 2900*/ GIMT_Encode4(162384),
     /*  157430 */ /*GILLT_nxv1s16*//*Label 2901*/ GIMT_Encode4(162512),
     /*  157434 */ /*GILLT_nxv1s32*//*Label 2902*/ GIMT_Encode4(162750),
     /*  157438 */ /*GILLT_nxv1s64*//*Label 2903*/ GIMT_Encode4(162988),
     /*  157442 */ /*GILLT_nxv2s1*//*Label 2904*/ GIMT_Encode4(163226),
     /*  157446 */ /*GILLT_nxv2s8*//*Label 2905*/ GIMT_Encode4(163346),
     /*  157450 */ /*GILLT_nxv2s16*//*Label 2906*/ GIMT_Encode4(163474),
     /*  157454 */ /*GILLT_nxv2s32*//*Label 2907*/ GIMT_Encode4(163712),
     /*  157458 */ /*GILLT_nxv2s64*//*Label 2908*/ GIMT_Encode4(163950),
     /*  157462 */ /*GILLT_nxv4s1*//*Label 2909*/ GIMT_Encode4(164188),
     /*  157466 */ /*GILLT_nxv4s8*//*Label 2910*/ GIMT_Encode4(164308),
     /*  157470 */ /*GILLT_nxv4s16*//*Label 2911*/ GIMT_Encode4(164436),
     /*  157474 */ /*GILLT_nxv4s32*//*Label 2912*/ GIMT_Encode4(164674),
     /*  157478 */ /*GILLT_nxv4s64*//*Label 2913*/ GIMT_Encode4(164912),
     /*  157482 */ /*GILLT_nxv8s1*//*Label 2914*/ GIMT_Encode4(165150),
     /*  157486 */ /*GILLT_nxv8s8*//*Label 2915*/ GIMT_Encode4(165270),
     /*  157490 */ /*GILLT_nxv8s16*//*Label 2916*/ GIMT_Encode4(165398),
     /*  157494 */ /*GILLT_nxv8s32*//*Label 2917*/ GIMT_Encode4(165636),
     /*  157498 */ /*GILLT_nxv8s64*//*Label 2918*/ GIMT_Encode4(165874),
     /*  157502 */ /*GILLT_nxv16s1*//*Label 2919*/ GIMT_Encode4(166112),
     /*  157506 */ /*GILLT_nxv16s8*//*Label 2920*/ GIMT_Encode4(166232),
     /*  157510 */ /*GILLT_nxv16s16*//*Label 2921*/ GIMT_Encode4(166360),
     /*  157514 */ /*GILLT_nxv16s32*//*Label 2922*/ GIMT_Encode4(166598),
     /*  157518 */ /*GILLT_nxv32s1*//*Label 2923*/ GIMT_Encode4(166836),
     /*  157522 */ /*GILLT_nxv32s8*//*Label 2924*/ GIMT_Encode4(166956),
     /*  157526 */ /*GILLT_nxv32s16*//*Label 2925*/ GIMT_Encode4(167084),
     /*  157530 */ /*GILLT_nxv64s1*//*Label 2926*/ GIMT_Encode4(167322),
     /*  157534 */ /*GILLT_nxv64s8*//*Label 2927*/ GIMT_Encode4(167442),
     /*  157538 */ // Label 2894: @157538
     /*  157538 */ GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(157631),
     /*  157543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157546 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157554 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157558 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(157594), // Rule ID 65088 //
     /*  157563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  157566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157573 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157592 */     GIR_RootConstrainSelectedInstOperands,
     /*  157593 */     // GIR_Coverage, 65088,
     /*  157593 */     GIR_EraseRootFromParent_Done,
     /*  157594 */   // Label 2930: @157594
     /*  157594 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(157630), // Rule ID 65092 //
     /*  157599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  157602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157609 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157628 */     GIR_RootConstrainSelectedInstOperands,
     /*  157629 */     // GIR_Coverage, 65092,
     /*  157629 */     GIR_EraseRootFromParent_Done,
     /*  157630 */   // Label 2931: @157630
     /*  157630 */   GIM_Reject,
     /*  157631 */ // Label 2929: @157631
     /*  157631 */ GIM_Reject,
     /*  157632 */ // Label 2895: @157632
     /*  157632 */ GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(157725),
     /*  157637 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157640 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157648 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157652 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(157688), // Rule ID 65087 //
     /*  157657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  157660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157667 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157686 */     GIR_RootConstrainSelectedInstOperands,
     /*  157687 */     // GIR_Coverage, 65087,
     /*  157687 */     GIR_EraseRootFromParent_Done,
     /*  157688 */   // Label 2933: @157688
     /*  157688 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(157724), // Rule ID 65091 //
     /*  157693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157703 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157722 */     GIR_RootConstrainSelectedInstOperands,
     /*  157723 */     // GIR_Coverage, 65091,
     /*  157723 */     GIR_EraseRootFromParent_Done,
     /*  157724 */   // Label 2934: @157724
     /*  157724 */   GIM_Reject,
     /*  157725 */ // Label 2932: @157725
     /*  157725 */ GIM_Reject,
     /*  157726 */ // Label 2896: @157726
     /*  157726 */ GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(157777), // Rule ID 2040 //
     /*  157731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  157734 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157737 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157745 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157749 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157756 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  157759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157766 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157771 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157775 */   GIR_RootConstrainSelectedInstOperands,
     /*  157776 */   // GIR_Coverage, 2040,
     /*  157776 */   GIR_EraseRootFromParent_Done,
     /*  157777 */ // Label 2935: @157777
     /*  157777 */ GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(157828), // Rule ID 2041 //
     /*  157782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  157785 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157788 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157796 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157800 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157807 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  157810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157817 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157822 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157826 */   GIR_RootConstrainSelectedInstOperands,
     /*  157827 */   // GIR_Coverage, 2041,
     /*  157827 */   GIR_EraseRootFromParent_Done,
     /*  157828 */ // Label 2936: @157828
     /*  157828 */ GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(157879), // Rule ID 2046 //
     /*  157833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  157836 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157839 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157847 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157851 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157858 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  157861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157873 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157877 */   GIR_RootConstrainSelectedInstOperands,
     /*  157878 */   // GIR_Coverage, 2046,
     /*  157878 */   GIR_EraseRootFromParent_Done,
     /*  157879 */ // Label 2937: @157879
     /*  157879 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(157930), // Rule ID 2047 //
     /*  157884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  157887 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157890 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157898 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157902 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157909 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  157912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157919 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157924 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157928 */   GIR_RootConstrainSelectedInstOperands,
     /*  157929 */   // GIR_Coverage, 2047,
     /*  157929 */   GIR_EraseRootFromParent_Done,
     /*  157930 */ // Label 2938: @157930
     /*  157930 */ GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(157981), // Rule ID 65095 //
     /*  157935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157938 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157941 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157949 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157953 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157960 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157975 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157979 */   GIR_RootConstrainSelectedInstOperands,
     /*  157980 */   // GIR_Coverage, 65095,
     /*  157980 */   GIR_EraseRootFromParent_Done,
     /*  157981 */ // Label 2939: @157981
     /*  157981 */ GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(158032), // Rule ID 65096 //
     /*  157986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  157989 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157992 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158000 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158004 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158011 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158016 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158021 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158026 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158030 */   GIR_RootConstrainSelectedInstOperands,
     /*  158031 */   // GIR_Coverage, 65096,
     /*  158031 */   GIR_EraseRootFromParent_Done,
     /*  158032 */ // Label 2940: @158032
     /*  158032 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(158090), // Rule ID 65099 //
     /*  158037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  158040 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158043 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158047 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158058 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158062 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158069 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158084 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158088 */   GIR_RootConstrainSelectedInstOperands,
     /*  158089 */   // GIR_Coverage, 65099,
     /*  158089 */   GIR_EraseRootFromParent_Done,
     /*  158090 */ // Label 2941: @158090
     /*  158090 */ GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(158148), // Rule ID 65100 //
     /*  158095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  158098 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158101 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158105 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158120 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158127 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158132 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158137 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158142 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158146 */   GIR_RootConstrainSelectedInstOperands,
     /*  158147 */   // GIR_Coverage, 65100,
     /*  158147 */   GIR_EraseRootFromParent_Done,
     /*  158148 */ // Label 2942: @158148
     /*  158148 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(158206), // Rule ID 65103 //
     /*  158153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158156 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158159 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158163 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158174 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158178 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158185 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158200 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158204 */   GIR_RootConstrainSelectedInstOperands,
     /*  158205 */   // GIR_Coverage, 65103,
     /*  158205 */   GIR_EraseRootFromParent_Done,
     /*  158206 */ // Label 2943: @158206
     /*  158206 */ GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(158264), // Rule ID 65104 //
     /*  158211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158214 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158217 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158232 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158236 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158243 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158262 */   GIR_RootConstrainSelectedInstOperands,
     /*  158263 */   // GIR_Coverage, 65104,
     /*  158263 */   GIR_EraseRootFromParent_Done,
     /*  158264 */ // Label 2944: @158264
     /*  158264 */ GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(158322), // Rule ID 65105 //
     /*  158269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158272 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158275 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158279 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158290 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158294 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158301 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158311 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158320 */   GIR_RootConstrainSelectedInstOperands,
     /*  158321 */   // GIR_Coverage, 65105,
     /*  158321 */   GIR_EraseRootFromParent_Done,
     /*  158322 */ // Label 2945: @158322
     /*  158322 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(158380), // Rule ID 65106 //
     /*  158327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158333 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158337 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158348 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158352 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158359 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158374 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158378 */   GIR_RootConstrainSelectedInstOperands,
     /*  158379 */   // GIR_Coverage, 65106,
     /*  158379 */   GIR_EraseRootFromParent_Done,
     /*  158380 */ // Label 2946: @158380
     /*  158380 */ GIM_Reject,
     /*  158381 */ // Label 2897: @158381
     /*  158381 */ GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(158492), // Rule ID 74111 //
     /*  158386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  158389 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158392 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158396 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158407 */   // MIs[0] Operand 1
     /*  158407 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158411 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158415 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158419 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158423 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158427 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158431 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158435 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158439 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  158443 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158448 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158452 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158456 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158460 */   // MIs[3] Operand 1
     /*  158460 */   // No operand predicates
     /*  158460 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158465 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158467 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  158467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  158470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158472 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158476 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158480 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158483 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158490 */   GIR_RootConstrainSelectedInstOperands,
     /*  158491 */   // GIR_Coverage, 74111,
     /*  158491 */   GIR_EraseRootFromParent_Done,
     /*  158492 */ // Label 2947: @158492
     /*  158492 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158603), // Rule ID 74112 //
     /*  158497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  158500 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158503 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158507 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158518 */   // MIs[0] Operand 1
     /*  158518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158522 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158526 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158530 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158534 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158538 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158542 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158546 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158550 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  158554 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158559 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158563 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158567 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158571 */   // MIs[3] Operand 1
     /*  158571 */   // No operand predicates
     /*  158571 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158576 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158578 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  158578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  158581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158583 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158587 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158591 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158594 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158601 */   GIR_RootConstrainSelectedInstOperands,
     /*  158602 */   // GIR_Coverage, 74112,
     /*  158602 */   GIR_EraseRootFromParent_Done,
     /*  158603 */ // Label 2948: @158603
     /*  158603 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158714), // Rule ID 74115 //
     /*  158608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  158611 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158614 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158618 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158629 */   // MIs[0] Operand 1
     /*  158629 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158633 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158637 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158641 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158645 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158649 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158653 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158657 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158661 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  158665 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158670 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158674 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158678 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158682 */   // MIs[3] Operand 1
     /*  158682 */   // No operand predicates
     /*  158682 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158687 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158689 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  158689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  158692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158694 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158698 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158702 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158705 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158712 */   GIR_RootConstrainSelectedInstOperands,
     /*  158713 */   // GIR_Coverage, 74115,
     /*  158713 */   GIR_EraseRootFromParent_Done,
     /*  158714 */ // Label 2949: @158714
     /*  158714 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158825), // Rule ID 74116 //
     /*  158719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  158722 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158725 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158729 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158740 */   // MIs[0] Operand 1
     /*  158740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158744 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158748 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158752 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158756 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158760 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158764 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158768 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158772 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  158776 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158781 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158785 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158789 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158793 */   // MIs[3] Operand 1
     /*  158793 */   // No operand predicates
     /*  158793 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158798 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158800 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  158800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  158803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158805 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158809 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158813 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158816 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158823 */   GIR_RootConstrainSelectedInstOperands,
     /*  158824 */   // GIR_Coverage, 74116,
     /*  158824 */   GIR_EraseRootFromParent_Done,
     /*  158825 */ // Label 2950: @158825
     /*  158825 */ GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158929), // Rule ID 74117 //
     /*  158830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  158833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158836 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158844 */   // MIs[0] Operand 1
     /*  158844 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158848 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158852 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158856 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158860 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158864 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158868 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158872 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158876 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  158880 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158885 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158889 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158893 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158897 */   // MIs[3] Operand 1
     /*  158897 */   // No operand predicates
     /*  158897 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158902 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158904 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  158904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  158907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158909 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158913 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158917 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158927 */   GIR_RootConstrainSelectedInstOperands,
     /*  158928 */   // GIR_Coverage, 74117,
     /*  158928 */   GIR_EraseRootFromParent_Done,
     /*  158929 */ // Label 2951: @158929
     /*  158929 */ GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(159033), // Rule ID 74118 //
     /*  158934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  158937 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158940 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158948 */   // MIs[0] Operand 1
     /*  158948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158952 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158956 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158960 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158964 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158968 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158972 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158976 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158980 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  158984 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158989 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158993 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158997 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159001 */   // MIs[3] Operand 1
     /*  159001 */   // No operand predicates
     /*  159001 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159006 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159008 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159013 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  159017 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159021 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159024 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159031 */   GIR_RootConstrainSelectedInstOperands,
     /*  159032 */   // GIR_Coverage, 74118,
     /*  159032 */   GIR_EraseRootFromParent_Done,
     /*  159033 */ // Label 2952: @159033
     /*  159033 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(159144), // Rule ID 64544 //
     /*  159038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159044 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159048 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159059 */   // MIs[0] Operand 1
     /*  159059 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159063 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159067 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159071 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159075 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159079 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159084 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159088 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159092 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159096 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159100 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159105 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159109 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159113 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159117 */   // MIs[3] Operand 1
     /*  159117 */   // No operand predicates
     /*  159117 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159119 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  159122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159124 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159128 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159132 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159135 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159142 */   GIR_RootConstrainSelectedInstOperands,
     /*  159143 */   // GIR_Coverage, 64544,
     /*  159143 */   GIR_EraseRootFromParent_Done,
     /*  159144 */ // Label 2953: @159144
     /*  159144 */ GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(159255), // Rule ID 64545 //
     /*  159149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159152 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159155 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159159 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159170 */   // MIs[0] Operand 1
     /*  159170 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159174 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159178 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159182 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159186 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159190 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159195 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159199 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159203 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159207 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159211 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159216 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159220 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159224 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159228 */   // MIs[3] Operand 1
     /*  159228 */   // No operand predicates
     /*  159228 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159230 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  159233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159235 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159239 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159243 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159246 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159253 */   GIR_RootConstrainSelectedInstOperands,
     /*  159254 */   // GIR_Coverage, 64545,
     /*  159254 */   GIR_EraseRootFromParent_Done,
     /*  159255 */ // Label 2954: @159255
     /*  159255 */ GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(159366), // Rule ID 64548 //
     /*  159260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159266 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159270 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159281 */   // MIs[0] Operand 1
     /*  159281 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159285 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159289 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159293 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159297 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159301 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159306 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159310 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159314 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159318 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159322 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159327 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159331 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159335 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159339 */   // MIs[3] Operand 1
     /*  159339 */   // No operand predicates
     /*  159339 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159341 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159346 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159350 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159354 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159357 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159364 */   GIR_RootConstrainSelectedInstOperands,
     /*  159365 */   // GIR_Coverage, 64548,
     /*  159365 */   GIR_EraseRootFromParent_Done,
     /*  159366 */ // Label 2955: @159366
     /*  159366 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(159477), // Rule ID 64549 //
     /*  159371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159374 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159377 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159381 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159392 */   // MIs[0] Operand 1
     /*  159392 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159396 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159400 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159404 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159408 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159412 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159417 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159421 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159425 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159429 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159433 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159438 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159442 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159446 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159450 */   // MIs[3] Operand 1
     /*  159450 */   // No operand predicates
     /*  159450 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159452 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159457 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159461 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159465 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159468 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159475 */   GIR_RootConstrainSelectedInstOperands,
     /*  159476 */   // GIR_Coverage, 64549,
     /*  159476 */   GIR_EraseRootFromParent_Done,
     /*  159477 */ // Label 2956: @159477
     /*  159477 */ GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(159581), // Rule ID 64550 //
     /*  159482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159488 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159496 */   // MIs[0] Operand 1
     /*  159496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159500 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159504 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159508 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159512 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159516 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159521 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159525 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159529 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159533 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159537 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159542 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159546 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159550 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159554 */   // MIs[3] Operand 1
     /*  159554 */   // No operand predicates
     /*  159554 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159556 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159561 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159565 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159569 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159572 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159579 */   GIR_RootConstrainSelectedInstOperands,
     /*  159580 */   // GIR_Coverage, 64550,
     /*  159580 */   GIR_EraseRootFromParent_Done,
     /*  159581 */ // Label 2957: @159581
     /*  159581 */ GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(159685), // Rule ID 64551 //
     /*  159586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159589 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159592 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159600 */   // MIs[0] Operand 1
     /*  159600 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159604 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159608 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159612 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159616 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159620 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159625 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159629 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159633 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159637 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159641 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159646 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159650 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159654 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159658 */   // MIs[3] Operand 1
     /*  159658 */   // No operand predicates
     /*  159658 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159660 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159665 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159669 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159673 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159676 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159683 */   GIR_RootConstrainSelectedInstOperands,
     /*  159684 */   // GIR_Coverage, 64551,
     /*  159684 */   GIR_EraseRootFromParent_Done,
     /*  159685 */ // Label 2958: @159685
     /*  159685 */ GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(159743), // Rule ID 227 //
     /*  159690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159693 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159696 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159700 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159711 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159715 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159722 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  159725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159727 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159741 */   GIR_RootConstrainSelectedInstOperands,
     /*  159742 */   // GIR_Coverage, 227,
     /*  159742 */   GIR_EraseRootFromParent_Done,
     /*  159743 */ // Label 2959: @159743
     /*  159743 */ GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(159801), // Rule ID 231 //
     /*  159748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159751 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159773 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159780 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  159783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159785 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159799 */   GIR_RootConstrainSelectedInstOperands,
     /*  159800 */   // GIR_Coverage, 231,
     /*  159800 */   GIR_EraseRootFromParent_Done,
     /*  159801 */ // Label 2960: @159801
     /*  159801 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(159852), // Rule ID 232 //
     /*  159806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  159809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159812 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159824 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159831 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  159831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159846 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159850 */   GIR_RootConstrainSelectedInstOperands,
     /*  159851 */   // GIR_Coverage, 232,
     /*  159851 */   GIR_EraseRootFromParent_Done,
     /*  159852 */ // Label 2961: @159852
     /*  159852 */ GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(159903), // Rule ID 233 //
     /*  159857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  159860 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159863 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159871 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159875 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159882 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  159885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159887 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159897 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159901 */   GIR_RootConstrainSelectedInstOperands,
     /*  159902 */   // GIR_Coverage, 233,
     /*  159902 */   GIR_EraseRootFromParent_Done,
     /*  159903 */ // Label 2962: @159903
     /*  159903 */ GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(159964), // Rule ID 314 //
     /*  159908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  159911 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159914 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159918 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159925 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159932 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159936 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  159943 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10095>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  159943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  159946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  159953 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  159958 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159962 */   GIR_RootConstrainSelectedInstOperands,
     /*  159963 */   // GIR_Coverage, 314,
     /*  159963 */   GIR_EraseRootFromParent_Done,
     /*  159964 */ // Label 2963: @159964
     /*  159964 */ GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(160025), // Rule ID 318 //
     /*  159969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  159972 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  159975 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159986 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  159989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159993 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159997 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160004 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10097>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160023 */   GIR_RootConstrainSelectedInstOperands,
     /*  160024 */   // GIR_Coverage, 318,
     /*  160024 */   GIR_EraseRootFromParent_Done,
     /*  160025 */ // Label 2964: @160025
     /*  160025 */ GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(160086), // Rule ID 332 //
     /*  160030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  160033 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160036 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160040 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160047 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160054 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160058 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160065 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10109>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160070 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160080 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160084 */   GIR_RootConstrainSelectedInstOperands,
     /*  160085 */   // GIR_Coverage, 332,
     /*  160085 */   GIR_EraseRootFromParent_Done,
     /*  160086 */ // Label 2965: @160086
     /*  160086 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(160147), // Rule ID 334 //
     /*  160091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  160094 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160097 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160101 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160108 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160115 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160119 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160126 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10111>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160136 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160141 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160145 */   GIR_RootConstrainSelectedInstOperands,
     /*  160146 */   // GIR_Coverage, 334,
     /*  160146 */   GIR_EraseRootFromParent_Done,
     /*  160147 */ // Label 2966: @160147
     /*  160147 */ GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(160198), // Rule ID 1327 //
     /*  160152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  160155 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160158 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  160166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160177 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  160180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160192 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160196 */   GIR_RootConstrainSelectedInstOperands,
     /*  160197 */   // GIR_Coverage, 1327,
     /*  160197 */   GIR_EraseRootFromParent_Done,
     /*  160198 */ // Label 2967: @160198
     /*  160198 */ GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(160249), // Rule ID 1328 //
     /*  160203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  160206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160209 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  160217 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160221 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160228 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  160231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160238 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160243 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160247 */   GIR_RootConstrainSelectedInstOperands,
     /*  160248 */   // GIR_Coverage, 1328,
     /*  160248 */   GIR_EraseRootFromParent_Done,
     /*  160249 */ // Label 2968: @160249
     /*  160249 */ GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(160300), // Rule ID 1333 //
     /*  160254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  160257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160260 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  160268 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160272 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160279 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  160282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160289 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160294 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160298 */   GIR_RootConstrainSelectedInstOperands,
     /*  160299 */   // GIR_Coverage, 1333,
     /*  160299 */   GIR_EraseRootFromParent_Done,
     /*  160300 */ // Label 2969: @160300
     /*  160300 */ GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(160351), // Rule ID 1334 //
     /*  160305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  160308 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160311 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  160319 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160323 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160330 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  160333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160345 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160349 */   GIR_RootConstrainSelectedInstOperands,
     /*  160350 */   // GIR_Coverage, 1334,
     /*  160350 */   GIR_EraseRootFromParent_Done,
     /*  160351 */ // Label 2970: @160351
     /*  160351 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(160409), // Rule ID 65111 //
     /*  160356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  160359 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160362 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160366 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160377 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160381 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160388 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160393 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160403 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160407 */   GIR_RootConstrainSelectedInstOperands,
     /*  160408 */   // GIR_Coverage, 65111,
     /*  160408 */   GIR_EraseRootFromParent_Done,
     /*  160409 */ // Label 2971: @160409
     /*  160409 */ GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(160467), // Rule ID 65112 //
     /*  160414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  160417 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160420 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160424 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160435 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160439 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160446 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160456 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160461 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160465 */   GIR_RootConstrainSelectedInstOperands,
     /*  160466 */   // GIR_Coverage, 65112,
     /*  160466 */   GIR_EraseRootFromParent_Done,
     /*  160467 */ // Label 2972: @160467
     /*  160467 */ GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(160525), // Rule ID 65115 //
     /*  160472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  160475 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160478 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160482 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160493 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160497 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160504 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  160507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160523 */   GIR_RootConstrainSelectedInstOperands,
     /*  160524 */   // GIR_Coverage, 65115,
     /*  160524 */   GIR_EraseRootFromParent_Done,
     /*  160525 */ // Label 2973: @160525
     /*  160525 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(160583), // Rule ID 65116 //
     /*  160530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  160533 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160536 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160540 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160551 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160555 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160562 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  160565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160577 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160581 */   GIR_RootConstrainSelectedInstOperands,
     /*  160582 */   // GIR_Coverage, 65116,
     /*  160582 */   GIR_EraseRootFromParent_Done,
     /*  160583 */ // Label 2974: @160583
     /*  160583 */ GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(160641), // Rule ID 65117 //
     /*  160588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  160591 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160594 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160598 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160609 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160613 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160620 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160635 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160639 */   GIR_RootConstrainSelectedInstOperands,
     /*  160640 */   // GIR_Coverage, 65117,
     /*  160640 */   GIR_EraseRootFromParent_Done,
     /*  160641 */ // Label 2975: @160641
     /*  160641 */ GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(160699), // Rule ID 65118 //
     /*  160646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  160649 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160652 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160656 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160667 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160671 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160678 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160693 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160697 */   GIR_RootConstrainSelectedInstOperands,
     /*  160698 */   // GIR_Coverage, 65118,
     /*  160698 */   GIR_EraseRootFromParent_Done,
     /*  160699 */ // Label 2976: @160699
     /*  160699 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(160743), // Rule ID 1090 //
     /*  160704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160707 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160710 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160714 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160728 */   // MIs[0] rs1
     /*  160728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160736 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10599>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160736 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  160741 */   GIR_RootConstrainSelectedInstOperands,
     /*  160742 */   // GIR_Coverage, 1090,
     /*  160742 */   GIR_Done,
     /*  160743 */ // Label 2977: @160743
     /*  160743 */ GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(160787), // Rule ID 1094 //
     /*  160748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160751 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160765 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160772 */   // MIs[0] rs1
     /*  160772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160780 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10601>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160780 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  160785 */   GIR_RootConstrainSelectedInstOperands,
     /*  160786 */   // GIR_Coverage, 1094,
     /*  160786 */   GIR_Done,
     /*  160787 */ // Label 2978: @160787
     /*  160787 */ GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(160831), // Rule ID 1098 //
     /*  160792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160795 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160798 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160802 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160816 */   // MIs[0] rs1
     /*  160816 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160824 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10603>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160824 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  160829 */   GIR_RootConstrainSelectedInstOperands,
     /*  160830 */   // GIR_Coverage, 1098,
     /*  160830 */   GIR_Done,
     /*  160831 */ // Label 2979: @160831
     /*  160831 */ GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(160875), // Rule ID 1102 //
     /*  160836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  160839 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160842 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160846 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160853 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160860 */   // MIs[0] rs1
     /*  160860 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160868 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10605>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  160873 */   GIR_RootConstrainSelectedInstOperands,
     /*  160874 */   // GIR_Coverage, 1102,
     /*  160874 */   GIR_Done,
     /*  160875 */ // Label 2980: @160875
     /*  160875 */ GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(160919), // Rule ID 1118 //
     /*  160880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  160883 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160886 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160890 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160897 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160904 */   // MIs[0] rs1
     /*  160904 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160912 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10619>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160912 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160917 */   GIR_RootConstrainSelectedInstOperands,
     /*  160918 */   // GIR_Coverage, 1118,
     /*  160918 */   GIR_Done,
     /*  160919 */ // Label 2981: @160919
     /*  160919 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(160963), // Rule ID 1120 //
     /*  160924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  160927 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160930 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160934 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160941 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  160944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160948 */   // MIs[0] rs1
     /*  160948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160956 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10621>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  160956 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  160961 */   GIR_RootConstrainSelectedInstOperands,
     /*  160962 */   // GIR_Coverage, 1120,
     /*  160962 */   GIR_Done,
     /*  160963 */ // Label 2982: @160963
     /*  160963 */ GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(161007), // Rule ID 1122 //
     /*  160968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  160971 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160974 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160978 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160985 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160992 */   // MIs[0] rs1
     /*  160992 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161000 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10623>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161000 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161005 */   GIR_RootConstrainSelectedInstOperands,
     /*  161006 */   // GIR_Coverage, 1122,
     /*  161006 */   GIR_Done,
     /*  161007 */ // Label 2983: @161007
     /*  161007 */ GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(161051), // Rule ID 1126 //
     /*  161012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161015 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161018 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161022 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161029 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161036 */   // MIs[0] rs1
     /*  161036 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161044 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10625>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161044 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161049 */   GIR_RootConstrainSelectedInstOperands,
     /*  161050 */   // GIR_Coverage, 1126,
     /*  161050 */   GIR_Done,
     /*  161051 */ // Label 2984: @161051
     /*  161051 */ GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(161095), // Rule ID 1130 //
     /*  161056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161059 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161062 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161066 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161073 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161080 */   // MIs[0] rs1
     /*  161080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161088 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10627>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161088 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161093 */   GIR_RootConstrainSelectedInstOperands,
     /*  161094 */   // GIR_Coverage, 1130,
     /*  161094 */   GIR_Done,
     /*  161095 */ // Label 2985: @161095
     /*  161095 */ GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(161139), // Rule ID 1132 //
     /*  161100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161103 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161106 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161110 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161117 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161124 */   // MIs[0] rs1
     /*  161124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161132 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10629>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161137 */   GIR_RootConstrainSelectedInstOperands,
     /*  161138 */   // GIR_Coverage, 1132,
     /*  161138 */   GIR_Done,
     /*  161139 */ // Label 2986: @161139
     /*  161139 */ GIM_Reject,
     /*  161140 */ // Label 2898: @161140
     /*  161140 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(161198), // Rule ID 226 //
     /*  161145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161148 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161151 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161155 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161177 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  161180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161192 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161196 */   GIR_RootConstrainSelectedInstOperands,
     /*  161197 */   // GIR_Coverage, 226,
     /*  161197 */   GIR_EraseRootFromParent_Done,
     /*  161198 */ // Label 2987: @161198
     /*  161198 */ GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(161256), // Rule ID 230 //
     /*  161203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161209 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161213 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161228 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161235 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161240 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161245 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161250 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161254 */   GIR_RootConstrainSelectedInstOperands,
     /*  161255 */   // GIR_Coverage, 230,
     /*  161255 */   GIR_EraseRootFromParent_Done,
     /*  161256 */ // Label 2988: @161256
     /*  161256 */ GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(161314), // Rule ID 276 //
     /*  161261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161264 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161267 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161271 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161282 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161286 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161293 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161303 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161308 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161312 */   GIR_RootConstrainSelectedInstOperands,
     /*  161313 */   // GIR_Coverage, 276,
     /*  161313 */   GIR_EraseRootFromParent_Done,
     /*  161314 */ // Label 2989: @161314
     /*  161314 */ GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(161365), // Rule ID 278 //
     /*  161319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161325 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161333 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161337 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161344 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161359 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161363 */   GIR_RootConstrainSelectedInstOperands,
     /*  161364 */   // GIR_Coverage, 278,
     /*  161364 */   GIR_EraseRootFromParent_Done,
     /*  161365 */ // Label 2990: @161365
     /*  161365 */ GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(161426), // Rule ID 313 //
     /*  161370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  161373 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161376 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161380 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161387 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161394 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161398 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161405 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10095>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  161408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161410 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161420 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161424 */   GIR_RootConstrainSelectedInstOperands,
     /*  161425 */   // GIR_Coverage, 313,
     /*  161425 */   GIR_EraseRootFromParent_Done,
     /*  161426 */ // Label 2991: @161426
     /*  161426 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(161487), // Rule ID 317 //
     /*  161431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  161434 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161437 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161441 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161448 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161455 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161459 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161466 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10097>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161471 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161476 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161481 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161485 */   GIR_RootConstrainSelectedInstOperands,
     /*  161486 */   // GIR_Coverage, 317,
     /*  161486 */   GIR_EraseRootFromParent_Done,
     /*  161487 */ // Label 2992: @161487
     /*  161487 */ GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(161548), // Rule ID 331 //
     /*  161492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  161495 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161498 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161502 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161509 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161516 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161520 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161527 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10109>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161542 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161546 */   GIR_RootConstrainSelectedInstOperands,
     /*  161547 */   // GIR_Coverage, 331,
     /*  161547 */   GIR_EraseRootFromParent_Done,
     /*  161548 */ // Label 2993: @161548
     /*  161548 */ GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(161609), // Rule ID 333 //
     /*  161553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  161556 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161559 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161563 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161570 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161577 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161581 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161588 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10111>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161603 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161607 */   GIR_RootConstrainSelectedInstOperands,
     /*  161608 */   // GIR_Coverage, 333,
     /*  161608 */   GIR_EraseRootFromParent_Done,
     /*  161609 */ // Label 2994: @161609
     /*  161609 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(161670), // Rule ID 339 //
     /*  161614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  161617 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161620 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161624 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161631 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161649 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10115>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161668 */   GIR_RootConstrainSelectedInstOperands,
     /*  161669 */   // GIR_Coverage, 339,
     /*  161669 */   GIR_EraseRootFromParent_Done,
     /*  161670 */ // Label 2995: @161670
     /*  161670 */ GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(161721), // Rule ID 1725 //
     /*  161675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  161678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161681 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  161689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161700 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  161703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161719 */   GIR_RootConstrainSelectedInstOperands,
     /*  161720 */   // GIR_Coverage, 1725,
     /*  161720 */   GIR_EraseRootFromParent_Done,
     /*  161721 */ // Label 2996: @161721
     /*  161721 */ GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(161772), // Rule ID 1726 //
     /*  161726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  161729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  161740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161744 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161751 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  161754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161770 */   GIR_RootConstrainSelectedInstOperands,
     /*  161771 */   // GIR_Coverage, 1726,
     /*  161771 */   GIR_EraseRootFromParent_Done,
     /*  161772 */ // Label 2997: @161772
     /*  161772 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(161823), // Rule ID 1730 //
     /*  161777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  161780 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161802 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161821 */   GIR_RootConstrainSelectedInstOperands,
     /*  161822 */   // GIR_Coverage, 1730,
     /*  161822 */   GIR_EraseRootFromParent_Done,
     /*  161823 */ // Label 2998: @161823
     /*  161823 */ GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(161867), // Rule ID 1089 //
     /*  161828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161831 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161834 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161838 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161845 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161852 */   // MIs[0] rs1
     /*  161852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161860 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10599>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161860 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  161865 */   GIR_RootConstrainSelectedInstOperands,
     /*  161866 */   // GIR_Coverage, 1089,
     /*  161866 */   GIR_Done,
     /*  161867 */ // Label 2999: @161867
     /*  161867 */ GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(161911), // Rule ID 1093 //
     /*  161872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161875 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161878 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161882 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161889 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161896 */   // MIs[0] rs1
     /*  161896 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161904 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10601>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161904 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  161909 */   GIR_RootConstrainSelectedInstOperands,
     /*  161910 */   // GIR_Coverage, 1093,
     /*  161910 */   GIR_Done,
     /*  161911 */ // Label 3000: @161911
     /*  161911 */ GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(161955), // Rule ID 1097 //
     /*  161916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161919 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161922 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161926 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161940 */   // MIs[0] rs1
     /*  161940 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161948 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10603>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161948 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  161953 */   GIR_RootConstrainSelectedInstOperands,
     /*  161954 */   // GIR_Coverage, 1097,
     /*  161954 */   GIR_Done,
     /*  161955 */ // Label 3001: @161955
     /*  161955 */ GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(161999), // Rule ID 1101 //
     /*  161960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  161963 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161966 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161970 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161977 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161984 */   // MIs[0] rs1
     /*  161984 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161992 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10605>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  161992 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  161997 */   GIR_RootConstrainSelectedInstOperands,
     /*  161998 */   // GIR_Coverage, 1101,
     /*  161998 */   GIR_Done,
     /*  161999 */ // Label 3002: @161999
     /*  161999 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(162043), // Rule ID 1117 //
     /*  162004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  162007 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162010 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162014 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162021 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162028 */   // MIs[0] rs1
     /*  162028 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162036 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10619>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162036 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162041 */   GIR_RootConstrainSelectedInstOperands,
     /*  162042 */   // GIR_Coverage, 1117,
     /*  162042 */   GIR_Done,
     /*  162043 */ // Label 3003: @162043
     /*  162043 */ GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(162087), // Rule ID 1119 //
     /*  162048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  162051 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162054 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162058 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162065 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162072 */   // MIs[0] rs1
     /*  162072 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162080 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10621>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162080 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162085 */   GIR_RootConstrainSelectedInstOperands,
     /*  162086 */   // GIR_Coverage, 1119,
     /*  162086 */   GIR_Done,
     /*  162087 */ // Label 3004: @162087
     /*  162087 */ GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(162131), // Rule ID 1121 //
     /*  162092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162095 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162098 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162102 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162109 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162116 */   // MIs[0] rs1
     /*  162116 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162124 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10623>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162124 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162129 */   GIR_RootConstrainSelectedInstOperands,
     /*  162130 */   // GIR_Coverage, 1121,
     /*  162130 */   GIR_Done,
     /*  162131 */ // Label 3005: @162131
     /*  162131 */ GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(162175), // Rule ID 1125 //
     /*  162136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162139 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162142 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162146 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162160 */   // MIs[0] rs1
     /*  162160 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162168 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10625>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162173 */   GIR_RootConstrainSelectedInstOperands,
     /*  162174 */   // GIR_Coverage, 1125,
     /*  162174 */   GIR_Done,
     /*  162175 */ // Label 3006: @162175
     /*  162175 */ GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(162219), // Rule ID 1129 //
     /*  162180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162183 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162186 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162190 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  162197 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162204 */   // MIs[0] rs1
     /*  162204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162212 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10627>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162212 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  162217 */   GIR_RootConstrainSelectedInstOperands,
     /*  162218 */   // GIR_Coverage, 1129,
     /*  162218 */   GIR_Done,
     /*  162219 */ // Label 3007: @162219
     /*  162219 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(162263), // Rule ID 1131 //
     /*  162224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162227 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162230 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162234 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  162241 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162248 */   // MIs[0] rs1
     /*  162248 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162256 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10629>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162256 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  162261 */   GIR_RootConstrainSelectedInstOperands,
     /*  162262 */   // GIR_Coverage, 1131,
     /*  162262 */   GIR_Done,
     /*  162263 */ // Label 3008: @162263
     /*  162263 */ GIM_Reject,
     /*  162264 */ // Label 2899: @162264
     /*  162264 */ GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(162383),
     /*  162269 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162272 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162280 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162288 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(162335), // Rule ID 45632 //
     /*  162293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162296 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  162299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  162313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162329 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162333 */     GIR_RootConstrainSelectedInstOperands,
     /*  162334 */     // GIR_Coverage, 45632,
     /*  162334 */     GIR_EraseRootFromParent_Done,
     /*  162335 */   // Label 3010: @162335
     /*  162335 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(162382), // Rule ID 45633 //
     /*  162340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162343 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  162346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  162360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162380 */     GIR_RootConstrainSelectedInstOperands,
     /*  162381 */     // GIR_Coverage, 45633,
     /*  162381 */     GIR_EraseRootFromParent_Done,
     /*  162382 */   // Label 3011: @162382
     /*  162382 */   GIM_Reject,
     /*  162383 */ // Label 3009: @162383
     /*  162383 */ GIM_Reject,
     /*  162384 */ // Label 2900: @162384
     /*  162384 */ GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(162511),
     /*  162389 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162392 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162400 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(162455), // Rule ID 45628 //
     /*  162405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162408 */     // MIs[0] rs1
     /*  162408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162416 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  162419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  162433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162453 */     GIR_RootConstrainSelectedInstOperands,
     /*  162454 */     // GIR_Coverage, 45628,
     /*  162454 */     GIR_EraseRootFromParent_Done,
     /*  162455 */   // Label 3013: @162455
     /*  162455 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(162510), // Rule ID 45629 //
     /*  162460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162463 */     // MIs[0] rs1
     /*  162463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162471 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  162474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  162488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162508 */     GIR_RootConstrainSelectedInstOperands,
     /*  162509 */     // GIR_Coverage, 45629,
     /*  162509 */     GIR_EraseRootFromParent_Done,
     /*  162510 */   // Label 3014: @162510
     /*  162510 */   GIM_Reject,
     /*  162511 */ // Label 3012: @162511
     /*  162511 */ GIM_Reject,
     /*  162512 */ // Label 2901: @162512
     /*  162512 */ GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(162749),
     /*  162517 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162520 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162528 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(162583), // Rule ID 45824 //
     /*  162533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162536 */     // MIs[0] rs1
     /*  162536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162544 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162581 */     GIR_RootConstrainSelectedInstOperands,
     /*  162582 */     // GIR_Coverage, 45824,
     /*  162582 */     GIR_EraseRootFromParent_Done,
     /*  162583 */   // Label 3016: @162583
     /*  162583 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(162638), // Rule ID 45825 //
     /*  162588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162591 */     // MIs[0] rs1
     /*  162591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162599 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162636 */     GIR_RootConstrainSelectedInstOperands,
     /*  162637 */     // GIR_Coverage, 45825,
     /*  162637 */     GIR_EraseRootFromParent_Done,
     /*  162638 */   // Label 3017: @162638
     /*  162638 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(162693), // Rule ID 45900 //
     /*  162643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162646 */     // MIs[0] rs1
     /*  162646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162654 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162691 */     GIR_RootConstrainSelectedInstOperands,
     /*  162692 */     // GIR_Coverage, 45900,
     /*  162692 */     GIR_EraseRootFromParent_Done,
     /*  162693 */   // Label 3018: @162693
     /*  162693 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(162748), // Rule ID 45901 //
     /*  162698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162701 */     // MIs[0] rs1
     /*  162701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162709 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  162712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  162726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162746 */     GIR_RootConstrainSelectedInstOperands,
     /*  162747 */     // GIR_Coverage, 45901,
     /*  162747 */     GIR_EraseRootFromParent_Done,
     /*  162748 */   // Label 3019: @162748
     /*  162748 */   GIM_Reject,
     /*  162749 */ // Label 3015: @162749
     /*  162749 */ GIM_Reject,
     /*  162750 */ // Label 2902: @162750
     /*  162750 */ GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(162987),
     /*  162755 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162758 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162766 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(162821), // Rule ID 45832 //
     /*  162771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162774 */     // MIs[0] rs1
     /*  162774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162782 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162819 */     GIR_RootConstrainSelectedInstOperands,
     /*  162820 */     // GIR_Coverage, 45832,
     /*  162820 */     GIR_EraseRootFromParent_Done,
     /*  162821 */   // Label 3021: @162821
     /*  162821 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(162876), // Rule ID 45833 //
     /*  162826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162829 */     // MIs[0] rs1
     /*  162829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162837 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162874 */     GIR_RootConstrainSelectedInstOperands,
     /*  162875 */     // GIR_Coverage, 45833,
     /*  162875 */     GIR_EraseRootFromParent_Done,
     /*  162876 */   // Label 3022: @162876
     /*  162876 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(162931), // Rule ID 45908 //
     /*  162881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162884 */     // MIs[0] rs1
     /*  162884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162892 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162929 */     GIR_RootConstrainSelectedInstOperands,
     /*  162930 */     // GIR_Coverage, 45908,
     /*  162930 */     GIR_EraseRootFromParent_Done,
     /*  162931 */   // Label 3023: @162931
     /*  162931 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(162986), // Rule ID 45909 //
     /*  162936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  162939 */     // MIs[0] rs1
     /*  162939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162947 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  162950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  162964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162984 */     GIR_RootConstrainSelectedInstOperands,
     /*  162985 */     // GIR_Coverage, 45909,
     /*  162985 */     GIR_EraseRootFromParent_Done,
     /*  162986 */   // Label 3024: @162986
     /*  162986 */   GIM_Reject,
     /*  162987 */ // Label 3020: @162987
     /*  162987 */ GIM_Reject,
     /*  162988 */ // Label 2903: @162988
     /*  162988 */ GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(163225),
     /*  162993 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162996 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163004 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(163059), // Rule ID 45848 //
     /*  163009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  163012 */     // MIs[0] rs1
     /*  163012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163020 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163053 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163057 */     GIR_RootConstrainSelectedInstOperands,
     /*  163058 */     // GIR_Coverage, 45848,
     /*  163058 */     GIR_EraseRootFromParent_Done,
     /*  163059 */   // Label 3026: @163059
     /*  163059 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(163114), // Rule ID 45849 //
     /*  163064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  163067 */     // MIs[0] rs1
     /*  163067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163075 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163112 */     GIR_RootConstrainSelectedInstOperands,
     /*  163113 */     // GIR_Coverage, 45849,
     /*  163113 */     GIR_EraseRootFromParent_Done,
     /*  163114 */   // Label 3027: @163114
     /*  163114 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(163169), // Rule ID 45920 //
     /*  163119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  163122 */     // MIs[0] rs1
     /*  163122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163130 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163163 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163167 */     GIR_RootConstrainSelectedInstOperands,
     /*  163168 */     // GIR_Coverage, 45920,
     /*  163168 */     GIR_EraseRootFromParent_Done,
     /*  163169 */   // Label 3028: @163169
     /*  163169 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(163224), // Rule ID 45921 //
     /*  163174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  163177 */     // MIs[0] rs1
     /*  163177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163185 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163222 */     GIR_RootConstrainSelectedInstOperands,
     /*  163223 */     // GIR_Coverage, 45921,
     /*  163223 */     GIR_EraseRootFromParent_Done,
     /*  163224 */   // Label 3029: @163224
     /*  163224 */   GIM_Reject,
     /*  163225 */ // Label 3025: @163225
     /*  163225 */ GIM_Reject,
     /*  163226 */ // Label 2904: @163226
     /*  163226 */ GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(163345),
     /*  163231 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163234 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163242 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163250 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(163297), // Rule ID 45960 //
     /*  163255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163258 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  163261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  163275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163295 */     GIR_RootConstrainSelectedInstOperands,
     /*  163296 */     // GIR_Coverage, 45960,
     /*  163296 */     GIR_EraseRootFromParent_Done,
     /*  163297 */   // Label 3031: @163297
     /*  163297 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(163344), // Rule ID 45961 //
     /*  163302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163305 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  163308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  163322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163342 */     GIR_RootConstrainSelectedInstOperands,
     /*  163343 */     // GIR_Coverage, 45961,
     /*  163343 */     GIR_EraseRootFromParent_Done,
     /*  163344 */   // Label 3032: @163344
     /*  163344 */   GIM_Reject,
     /*  163345 */ // Label 3030: @163345
     /*  163345 */ GIM_Reject,
     /*  163346 */ // Label 2905: @163346
     /*  163346 */ GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(163473),
     /*  163351 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163354 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163362 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(163417), // Rule ID 45816 //
     /*  163367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163370 */     // MIs[0] rs1
     /*  163370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163378 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  163381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  163395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163415 */     GIR_RootConstrainSelectedInstOperands,
     /*  163416 */     // GIR_Coverage, 45816,
     /*  163416 */     GIR_EraseRootFromParent_Done,
     /*  163417 */   // Label 3034: @163417
     /*  163417 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(163472), // Rule ID 45817 //
     /*  163422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163425 */     // MIs[0] rs1
     /*  163425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163433 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  163436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  163450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163470 */     GIR_RootConstrainSelectedInstOperands,
     /*  163471 */     // GIR_Coverage, 45817,
     /*  163471 */     GIR_EraseRootFromParent_Done,
     /*  163472 */   // Label 3035: @163472
     /*  163472 */   GIM_Reject,
     /*  163473 */ // Label 3033: @163473
     /*  163473 */ GIM_Reject,
     /*  163474 */ // Label 2906: @163474
     /*  163474 */ GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(163711),
     /*  163479 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163482 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163490 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(163545), // Rule ID 45828 //
     /*  163495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163498 */     // MIs[0] rs1
     /*  163498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163506 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163539 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163543 */     GIR_RootConstrainSelectedInstOperands,
     /*  163544 */     // GIR_Coverage, 45828,
     /*  163544 */     GIR_EraseRootFromParent_Done,
     /*  163545 */   // Label 3037: @163545
     /*  163545 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(163600), // Rule ID 45829 //
     /*  163550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163553 */     // MIs[0] rs1
     /*  163553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163561 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163598 */     GIR_RootConstrainSelectedInstOperands,
     /*  163599 */     // GIR_Coverage, 45829,
     /*  163599 */     GIR_EraseRootFromParent_Done,
     /*  163600 */   // Label 3038: @163600
     /*  163600 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(163655), // Rule ID 45904 //
     /*  163605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163608 */     // MIs[0] rs1
     /*  163608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163616 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163649 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163653 */     GIR_RootConstrainSelectedInstOperands,
     /*  163654 */     // GIR_Coverage, 45904,
     /*  163654 */     GIR_EraseRootFromParent_Done,
     /*  163655 */   // Label 3039: @163655
     /*  163655 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(163710), // Rule ID 45905 //
     /*  163660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163663 */     // MIs[0] rs1
     /*  163663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163671 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  163674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  163688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163708 */     GIR_RootConstrainSelectedInstOperands,
     /*  163709 */     // GIR_Coverage, 45905,
     /*  163709 */     GIR_EraseRootFromParent_Done,
     /*  163710 */   // Label 3040: @163710
     /*  163710 */   GIM_Reject,
     /*  163711 */ // Label 3036: @163711
     /*  163711 */ GIM_Reject,
     /*  163712 */ // Label 2907: @163712
     /*  163712 */ GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(163949),
     /*  163717 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163720 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163728 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(163783), // Rule ID 45844 //
     /*  163733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163736 */     // MIs[0] rs1
     /*  163736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163744 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163781 */     GIR_RootConstrainSelectedInstOperands,
     /*  163782 */     // GIR_Coverage, 45844,
     /*  163782 */     GIR_EraseRootFromParent_Done,
     /*  163783 */   // Label 3042: @163783
     /*  163783 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(163838), // Rule ID 45845 //
     /*  163788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163791 */     // MIs[0] rs1
     /*  163791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163799 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163836 */     GIR_RootConstrainSelectedInstOperands,
     /*  163837 */     // GIR_Coverage, 45845,
     /*  163837 */     GIR_EraseRootFromParent_Done,
     /*  163838 */   // Label 3043: @163838
     /*  163838 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(163893), // Rule ID 45916 //
     /*  163843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  163846 */     // MIs[0] rs1
     /*  163846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163854 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163891 */     GIR_RootConstrainSelectedInstOperands,
     /*  163892 */     // GIR_Coverage, 45916,
     /*  163892 */     GIR_EraseRootFromParent_Done,
     /*  163893 */   // Label 3044: @163893
     /*  163893 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(163948), // Rule ID 45917 //
     /*  163898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  163901 */     // MIs[0] rs1
     /*  163901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163909 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  163912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  163926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163946 */     GIR_RootConstrainSelectedInstOperands,
     /*  163947 */     // GIR_Coverage, 45917,
     /*  163947 */     GIR_EraseRootFromParent_Done,
     /*  163948 */   // Label 3045: @163948
     /*  163948 */   GIM_Reject,
     /*  163949 */ // Label 3041: @163949
     /*  163949 */ GIM_Reject,
     /*  163950 */ // Label 2908: @163950
     /*  163950 */ GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(164187),
     /*  163955 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163958 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163966 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(164021), // Rule ID 45888 //
     /*  163971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  163974 */     // MIs[0] rs1
     /*  163974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163982 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  163985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  163999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164019 */     GIR_RootConstrainSelectedInstOperands,
     /*  164020 */     // GIR_Coverage, 45888,
     /*  164020 */     GIR_EraseRootFromParent_Done,
     /*  164021 */   // Label 3047: @164021
     /*  164021 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(164076), // Rule ID 45889 //
     /*  164026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164029 */     // MIs[0] rs1
     /*  164029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164037 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164074 */     GIR_RootConstrainSelectedInstOperands,
     /*  164075 */     // GIR_Coverage, 45889,
     /*  164075 */     GIR_EraseRootFromParent_Done,
     /*  164076 */   // Label 3048: @164076
     /*  164076 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(164131), // Rule ID 45948 //
     /*  164081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  164084 */     // MIs[0] rs1
     /*  164084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164092 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164125 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164129 */     GIR_RootConstrainSelectedInstOperands,
     /*  164130 */     // GIR_Coverage, 45948,
     /*  164130 */     GIR_EraseRootFromParent_Done,
     /*  164131 */   // Label 3049: @164131
     /*  164131 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(164186), // Rule ID 45949 //
     /*  164136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  164139 */     // MIs[0] rs1
     /*  164139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164147 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164184 */     GIR_RootConstrainSelectedInstOperands,
     /*  164185 */     // GIR_Coverage, 45949,
     /*  164185 */     GIR_EraseRootFromParent_Done,
     /*  164186 */   // Label 3050: @164186
     /*  164186 */   GIM_Reject,
     /*  164187 */ // Label 3046: @164187
     /*  164187 */ GIM_Reject,
     /*  164188 */ // Label 2909: @164188
     /*  164188 */ GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(164307),
     /*  164193 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164196 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164212 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(164259), // Rule ID 45964 //
     /*  164217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164220 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  164220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  164223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  164237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164257 */     GIR_RootConstrainSelectedInstOperands,
     /*  164258 */     // GIR_Coverage, 45964,
     /*  164258 */     GIR_EraseRootFromParent_Done,
     /*  164259 */   // Label 3052: @164259
     /*  164259 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(164306), // Rule ID 45965 //
     /*  164264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164267 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  164267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  164270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  164284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164304 */     GIR_RootConstrainSelectedInstOperands,
     /*  164305 */     // GIR_Coverage, 45965,
     /*  164305 */     GIR_EraseRootFromParent_Done,
     /*  164306 */   // Label 3053: @164306
     /*  164306 */   GIM_Reject,
     /*  164307 */ // Label 3051: @164307
     /*  164307 */ GIM_Reject,
     /*  164308 */ // Label 2910: @164308
     /*  164308 */ GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(164435),
     /*  164313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164316 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164324 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(164379), // Rule ID 45820 //
     /*  164329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164332 */     // MIs[0] rs1
     /*  164332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164340 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  164340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  164343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  164357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164377 */     GIR_RootConstrainSelectedInstOperands,
     /*  164378 */     // GIR_Coverage, 45820,
     /*  164378 */     GIR_EraseRootFromParent_Done,
     /*  164379 */   // Label 3055: @164379
     /*  164379 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(164434), // Rule ID 45821 //
     /*  164384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164387 */     // MIs[0] rs1
     /*  164387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164395 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  164395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  164398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  164412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164432 */     GIR_RootConstrainSelectedInstOperands,
     /*  164433 */     // GIR_Coverage, 45821,
     /*  164433 */     GIR_EraseRootFromParent_Done,
     /*  164434 */   // Label 3056: @164434
     /*  164434 */   GIM_Reject,
     /*  164435 */ // Label 3054: @164435
     /*  164435 */ GIM_Reject,
     /*  164436 */ // Label 2911: @164436
     /*  164436 */ GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(164673),
     /*  164441 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164444 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164452 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(164507), // Rule ID 45840 //
     /*  164457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164460 */     // MIs[0] rs1
     /*  164460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164468 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164501 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164505 */     GIR_RootConstrainSelectedInstOperands,
     /*  164506 */     // GIR_Coverage, 45840,
     /*  164506 */     GIR_EraseRootFromParent_Done,
     /*  164507 */   // Label 3058: @164507
     /*  164507 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(164562), // Rule ID 45841 //
     /*  164512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164515 */     // MIs[0] rs1
     /*  164515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164523 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164560 */     GIR_RootConstrainSelectedInstOperands,
     /*  164561 */     // GIR_Coverage, 45841,
     /*  164561 */     GIR_EraseRootFromParent_Done,
     /*  164562 */   // Label 3059: @164562
     /*  164562 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(164617), // Rule ID 45912 //
     /*  164567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  164570 */     // MIs[0] rs1
     /*  164570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164578 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164615 */     GIR_RootConstrainSelectedInstOperands,
     /*  164616 */     // GIR_Coverage, 45912,
     /*  164616 */     GIR_EraseRootFromParent_Done,
     /*  164617 */   // Label 3060: @164617
     /*  164617 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(164672), // Rule ID 45913 //
     /*  164622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  164625 */     // MIs[0] rs1
     /*  164625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164633 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  164636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  164650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164666 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164670 */     GIR_RootConstrainSelectedInstOperands,
     /*  164671 */     // GIR_Coverage, 45913,
     /*  164671 */     GIR_EraseRootFromParent_Done,
     /*  164672 */   // Label 3061: @164672
     /*  164672 */   GIM_Reject,
     /*  164673 */ // Label 3057: @164673
     /*  164673 */ GIM_Reject,
     /*  164674 */ // Label 2912: @164674
     /*  164674 */ GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(164911),
     /*  164679 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164682 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164690 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(164745), // Rule ID 45876 //
     /*  164695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164698 */     // MIs[0] rs1
     /*  164698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164706 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164743 */     GIR_RootConstrainSelectedInstOperands,
     /*  164744 */     // GIR_Coverage, 45876,
     /*  164744 */     GIR_EraseRootFromParent_Done,
     /*  164745 */   // Label 3063: @164745
     /*  164745 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(164800), // Rule ID 45877 //
     /*  164750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164753 */     // MIs[0] rs1
     /*  164753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164761 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164798 */     GIR_RootConstrainSelectedInstOperands,
     /*  164799 */     // GIR_Coverage, 45877,
     /*  164799 */     GIR_EraseRootFromParent_Done,
     /*  164800 */   // Label 3064: @164800
     /*  164800 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(164855), // Rule ID 45936 //
     /*  164805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  164808 */     // MIs[0] rs1
     /*  164808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164816 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164853 */     GIR_RootConstrainSelectedInstOperands,
     /*  164854 */     // GIR_Coverage, 45936,
     /*  164854 */     GIR_EraseRootFromParent_Done,
     /*  164855 */   // Label 3065: @164855
     /*  164855 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(164910), // Rule ID 45937 //
     /*  164860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  164863 */     // MIs[0] rs1
     /*  164863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164871 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  164874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  164888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164908 */     GIR_RootConstrainSelectedInstOperands,
     /*  164909 */     // GIR_Coverage, 45937,
     /*  164909 */     GIR_EraseRootFromParent_Done,
     /*  164910 */   // Label 3066: @164910
     /*  164910 */   GIM_Reject,
     /*  164911 */ // Label 3062: @164911
     /*  164911 */ GIM_Reject,
     /*  164912 */ // Label 2913: @164912
     /*  164912 */ GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(165149),
     /*  164917 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164920 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  164928 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(164983), // Rule ID 45892 //
     /*  164933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164936 */     // MIs[0] rs1
     /*  164936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164944 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  164947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  164961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164981 */     GIR_RootConstrainSelectedInstOperands,
     /*  164982 */     // GIR_Coverage, 45892,
     /*  164982 */     GIR_EraseRootFromParent_Done,
     /*  164983 */   // Label 3068: @164983
     /*  164983 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(165038), // Rule ID 45893 //
     /*  164988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164991 */     // MIs[0] rs1
     /*  164991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164999 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165036 */     GIR_RootConstrainSelectedInstOperands,
     /*  165037 */     // GIR_Coverage, 45893,
     /*  165037 */     GIR_EraseRootFromParent_Done,
     /*  165038 */   // Label 3069: @165038
     /*  165038 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(165093), // Rule ID 45952 //
     /*  165043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  165046 */     // MIs[0] rs1
     /*  165046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165054 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165091 */     GIR_RootConstrainSelectedInstOperands,
     /*  165092 */     // GIR_Coverage, 45952,
     /*  165092 */     GIR_EraseRootFromParent_Done,
     /*  165093 */   // Label 3070: @165093
     /*  165093 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(165148), // Rule ID 45953 //
     /*  165098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  165101 */     // MIs[0] rs1
     /*  165101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165109 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165146 */     GIR_RootConstrainSelectedInstOperands,
     /*  165147 */     // GIR_Coverage, 45953,
     /*  165147 */     GIR_EraseRootFromParent_Done,
     /*  165148 */   // Label 3071: @165148
     /*  165148 */   GIM_Reject,
     /*  165149 */ // Label 3067: @165149
     /*  165149 */ GIM_Reject,
     /*  165150 */ // Label 2914: @165150
     /*  165150 */ GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(165269),
     /*  165155 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165158 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165166 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165174 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(165221), // Rule ID 45968 //
     /*  165179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165182 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  165182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  165185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  165199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165219 */     GIR_RootConstrainSelectedInstOperands,
     /*  165220 */     // GIR_Coverage, 45968,
     /*  165220 */     GIR_EraseRootFromParent_Done,
     /*  165221 */   // Label 3073: @165221
     /*  165221 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(165268), // Rule ID 45969 //
     /*  165226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165229 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  165229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  165232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  165246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165266 */     GIR_RootConstrainSelectedInstOperands,
     /*  165267 */     // GIR_Coverage, 45969,
     /*  165267 */     GIR_EraseRootFromParent_Done,
     /*  165268 */   // Label 3074: @165268
     /*  165268 */   GIM_Reject,
     /*  165269 */ // Label 3072: @165269
     /*  165269 */ GIM_Reject,
     /*  165270 */ // Label 2915: @165270
     /*  165270 */ GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(165397),
     /*  165275 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165278 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165286 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(165341), // Rule ID 45836 //
     /*  165291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165294 */     // MIs[0] rs1
     /*  165294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165302 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  165302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  165305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  165319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165339 */     GIR_RootConstrainSelectedInstOperands,
     /*  165340 */     // GIR_Coverage, 45836,
     /*  165340 */     GIR_EraseRootFromParent_Done,
     /*  165341 */   // Label 3076: @165341
     /*  165341 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(165396), // Rule ID 45837 //
     /*  165346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165349 */     // MIs[0] rs1
     /*  165349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165357 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  165357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  165360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  165374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165394 */     GIR_RootConstrainSelectedInstOperands,
     /*  165395 */     // GIR_Coverage, 45837,
     /*  165395 */     GIR_EraseRootFromParent_Done,
     /*  165396 */   // Label 3077: @165396
     /*  165396 */   GIM_Reject,
     /*  165397 */ // Label 3075: @165397
     /*  165397 */ GIM_Reject,
     /*  165398 */ // Label 2916: @165398
     /*  165398 */ GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(165635),
     /*  165403 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165406 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165414 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(165469), // Rule ID 45864 //
     /*  165419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165422 */     // MIs[0] rs1
     /*  165422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165430 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165467 */     GIR_RootConstrainSelectedInstOperands,
     /*  165468 */     // GIR_Coverage, 45864,
     /*  165468 */     GIR_EraseRootFromParent_Done,
     /*  165469 */   // Label 3079: @165469
     /*  165469 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(165524), // Rule ID 45865 //
     /*  165474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165477 */     // MIs[0] rs1
     /*  165477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165485 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165522 */     GIR_RootConstrainSelectedInstOperands,
     /*  165523 */     // GIR_Coverage, 45865,
     /*  165523 */     GIR_EraseRootFromParent_Done,
     /*  165524 */   // Label 3080: @165524
     /*  165524 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(165579), // Rule ID 45924 //
     /*  165529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  165532 */     // MIs[0] rs1
     /*  165532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165540 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165577 */     GIR_RootConstrainSelectedInstOperands,
     /*  165578 */     // GIR_Coverage, 45924,
     /*  165578 */     GIR_EraseRootFromParent_Done,
     /*  165579 */   // Label 3081: @165579
     /*  165579 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(165634), // Rule ID 45925 //
     /*  165584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  165587 */     // MIs[0] rs1
     /*  165587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165595 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  165598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  165612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165632 */     GIR_RootConstrainSelectedInstOperands,
     /*  165633 */     // GIR_Coverage, 45925,
     /*  165633 */     GIR_EraseRootFromParent_Done,
     /*  165634 */   // Label 3082: @165634
     /*  165634 */   GIM_Reject,
     /*  165635 */ // Label 3078: @165635
     /*  165635 */ GIM_Reject,
     /*  165636 */ // Label 2917: @165636
     /*  165636 */ GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(165873),
     /*  165641 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165644 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165652 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(165707), // Rule ID 45880 //
     /*  165657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165660 */     // MIs[0] rs1
     /*  165660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165668 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165705 */     GIR_RootConstrainSelectedInstOperands,
     /*  165706 */     // GIR_Coverage, 45880,
     /*  165706 */     GIR_EraseRootFromParent_Done,
     /*  165707 */   // Label 3084: @165707
     /*  165707 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(165762), // Rule ID 45881 //
     /*  165712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165715 */     // MIs[0] rs1
     /*  165715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165723 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165760 */     GIR_RootConstrainSelectedInstOperands,
     /*  165761 */     // GIR_Coverage, 45881,
     /*  165761 */     GIR_EraseRootFromParent_Done,
     /*  165762 */   // Label 3085: @165762
     /*  165762 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(165817), // Rule ID 45940 //
     /*  165767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  165770 */     // MIs[0] rs1
     /*  165770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165778 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165815 */     GIR_RootConstrainSelectedInstOperands,
     /*  165816 */     // GIR_Coverage, 45940,
     /*  165816 */     GIR_EraseRootFromParent_Done,
     /*  165817 */   // Label 3086: @165817
     /*  165817 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(165872), // Rule ID 45941 //
     /*  165822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  165825 */     // MIs[0] rs1
     /*  165825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165833 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  165836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  165850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165870 */     GIR_RootConstrainSelectedInstOperands,
     /*  165871 */     // GIR_Coverage, 45941,
     /*  165871 */     GIR_EraseRootFromParent_Done,
     /*  165872 */   // Label 3087: @165872
     /*  165872 */   GIM_Reject,
     /*  165873 */ // Label 3083: @165873
     /*  165873 */ GIM_Reject,
     /*  165874 */ // Label 2918: @165874
     /*  165874 */ GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(166111),
     /*  165879 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165882 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165890 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(165945), // Rule ID 45896 //
     /*  165895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  165898 */     // MIs[0] rs1
     /*  165898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165906 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  165909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  165923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165943 */     GIR_RootConstrainSelectedInstOperands,
     /*  165944 */     // GIR_Coverage, 45896,
     /*  165944 */     GIR_EraseRootFromParent_Done,
     /*  165945 */   // Label 3089: @165945
     /*  165945 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(166000), // Rule ID 45897 //
     /*  165950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  165953 */     // MIs[0] rs1
     /*  165953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165961 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  165964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  165978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165998 */     GIR_RootConstrainSelectedInstOperands,
     /*  165999 */     // GIR_Coverage, 45897,
     /*  165999 */     GIR_EraseRootFromParent_Done,
     /*  166000 */   // Label 3090: @166000
     /*  166000 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(166055), // Rule ID 45956 //
     /*  166005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  166008 */     // MIs[0] rs1
     /*  166008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166016 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  166016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166053 */     GIR_RootConstrainSelectedInstOperands,
     /*  166054 */     // GIR_Coverage, 45956,
     /*  166054 */     GIR_EraseRootFromParent_Done,
     /*  166055 */   // Label 3091: @166055
     /*  166055 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(166110), // Rule ID 45957 //
     /*  166060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  166063 */     // MIs[0] rs1
     /*  166063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166071 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  166071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166108 */     GIR_RootConstrainSelectedInstOperands,
     /*  166109 */     // GIR_Coverage, 45957,
     /*  166109 */     GIR_EraseRootFromParent_Done,
     /*  166110 */   // Label 3092: @166110
     /*  166110 */   GIM_Reject,
     /*  166111 */ // Label 3088: @166111
     /*  166111 */ GIM_Reject,
     /*  166112 */ // Label 2919: @166112
     /*  166112 */ GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(166231),
     /*  166117 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166120 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166128 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166136 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(166183), // Rule ID 45972 //
     /*  166141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166144 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  166144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  166147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  166161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166181 */     GIR_RootConstrainSelectedInstOperands,
     /*  166182 */     // GIR_Coverage, 45972,
     /*  166182 */     GIR_EraseRootFromParent_Done,
     /*  166183 */   // Label 3094: @166183
     /*  166183 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(166230), // Rule ID 45973 //
     /*  166188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166191 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  166191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  166194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  166208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166228 */     GIR_RootConstrainSelectedInstOperands,
     /*  166229 */     // GIR_Coverage, 45973,
     /*  166229 */     GIR_EraseRootFromParent_Done,
     /*  166230 */   // Label 3095: @166230
     /*  166230 */   GIM_Reject,
     /*  166231 */ // Label 3093: @166231
     /*  166231 */ GIM_Reject,
     /*  166232 */ // Label 2920: @166232
     /*  166232 */ GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(166359),
     /*  166237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166240 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166248 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(166303), // Rule ID 45852 //
     /*  166253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166256 */     // MIs[0] rs1
     /*  166256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166264 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  166264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  166267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  166281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166297 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166301 */     GIR_RootConstrainSelectedInstOperands,
     /*  166302 */     // GIR_Coverage, 45852,
     /*  166302 */     GIR_EraseRootFromParent_Done,
     /*  166303 */   // Label 3097: @166303
     /*  166303 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(166358), // Rule ID 45853 //
     /*  166308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166311 */     // MIs[0] rs1
     /*  166311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166319 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  166319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  166322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  166336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166356 */     GIR_RootConstrainSelectedInstOperands,
     /*  166357 */     // GIR_Coverage, 45853,
     /*  166357 */     GIR_EraseRootFromParent_Done,
     /*  166358 */   // Label 3098: @166358
     /*  166358 */   GIM_Reject,
     /*  166359 */ // Label 3096: @166359
     /*  166359 */ GIM_Reject,
     /*  166360 */ // Label 2921: @166360
     /*  166360 */ GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(166597),
     /*  166365 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166368 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166376 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(166431), // Rule ID 45868 //
     /*  166381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166384 */     // MIs[0] rs1
     /*  166384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166392 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166429 */     GIR_RootConstrainSelectedInstOperands,
     /*  166430 */     // GIR_Coverage, 45868,
     /*  166430 */     GIR_EraseRootFromParent_Done,
     /*  166431 */   // Label 3100: @166431
     /*  166431 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(166486), // Rule ID 45869 //
     /*  166436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166439 */     // MIs[0] rs1
     /*  166439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166447 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166484 */     GIR_RootConstrainSelectedInstOperands,
     /*  166485 */     // GIR_Coverage, 45869,
     /*  166485 */     GIR_EraseRootFromParent_Done,
     /*  166486 */   // Label 3101: @166486
     /*  166486 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(166541), // Rule ID 45928 //
     /*  166491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  166494 */     // MIs[0] rs1
     /*  166494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166502 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166539 */     GIR_RootConstrainSelectedInstOperands,
     /*  166540 */     // GIR_Coverage, 45928,
     /*  166540 */     GIR_EraseRootFromParent_Done,
     /*  166541 */   // Label 3102: @166541
     /*  166541 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(166596), // Rule ID 45929 //
     /*  166546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  166549 */     // MIs[0] rs1
     /*  166549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166557 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166594 */     GIR_RootConstrainSelectedInstOperands,
     /*  166595 */     // GIR_Coverage, 45929,
     /*  166595 */     GIR_EraseRootFromParent_Done,
     /*  166596 */   // Label 3103: @166596
     /*  166596 */   GIM_Reject,
     /*  166597 */ // Label 3099: @166597
     /*  166597 */ GIM_Reject,
     /*  166598 */ // Label 2922: @166598
     /*  166598 */ GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(166835),
     /*  166603 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166606 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166614 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(166669), // Rule ID 45884 //
     /*  166619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166622 */     // MIs[0] rs1
     /*  166622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166630 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166667 */     GIR_RootConstrainSelectedInstOperands,
     /*  166668 */     // GIR_Coverage, 45884,
     /*  166668 */     GIR_EraseRootFromParent_Done,
     /*  166669 */   // Label 3105: @166669
     /*  166669 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(166724), // Rule ID 45885 //
     /*  166674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166677 */     // MIs[0] rs1
     /*  166677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166685 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166722 */     GIR_RootConstrainSelectedInstOperands,
     /*  166723 */     // GIR_Coverage, 45885,
     /*  166723 */     GIR_EraseRootFromParent_Done,
     /*  166724 */   // Label 3106: @166724
     /*  166724 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(166779), // Rule ID 45944 //
     /*  166729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  166732 */     // MIs[0] rs1
     /*  166732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166740 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166777 */     GIR_RootConstrainSelectedInstOperands,
     /*  166778 */     // GIR_Coverage, 45944,
     /*  166778 */     GIR_EraseRootFromParent_Done,
     /*  166779 */   // Label 3107: @166779
     /*  166779 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(166834), // Rule ID 45945 //
     /*  166784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  166787 */     // MIs[0] rs1
     /*  166787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166795 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  166798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  166812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166832 */     GIR_RootConstrainSelectedInstOperands,
     /*  166833 */     // GIR_Coverage, 45945,
     /*  166833 */     GIR_EraseRootFromParent_Done,
     /*  166834 */   // Label 3108: @166834
     /*  166834 */   GIM_Reject,
     /*  166835 */ // Label 3104: @166835
     /*  166835 */ GIM_Reject,
     /*  166836 */ // Label 2923: @166836
     /*  166836 */ GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(166955),
     /*  166841 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166844 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166860 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(166907), // Rule ID 45976 //
     /*  166865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166868 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  166868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  166871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  166885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166905 */     GIR_RootConstrainSelectedInstOperands,
     /*  166906 */     // GIR_Coverage, 45976,
     /*  166906 */     GIR_EraseRootFromParent_Done,
     /*  166907 */   // Label 3110: @166907
     /*  166907 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(166954), // Rule ID 45977 //
     /*  166912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166915 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  166915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  166918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  166932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166952 */     GIR_RootConstrainSelectedInstOperands,
     /*  166953 */     // GIR_Coverage, 45977,
     /*  166953 */     GIR_EraseRootFromParent_Done,
     /*  166954 */   // Label 3111: @166954
     /*  166954 */   GIM_Reject,
     /*  166955 */ // Label 3109: @166955
     /*  166955 */ GIM_Reject,
     /*  166956 */ // Label 2924: @166956
     /*  166956 */ GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(167083),
     /*  166961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166964 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166972 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(167027), // Rule ID 45856 //
     /*  166977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166980 */     // MIs[0] rs1
     /*  166980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166988 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  166988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  166991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  167005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167025 */     GIR_RootConstrainSelectedInstOperands,
     /*  167026 */     // GIR_Coverage, 45856,
     /*  167026 */     GIR_EraseRootFromParent_Done,
     /*  167027 */   // Label 3113: @167027
     /*  167027 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(167082), // Rule ID 45857 //
     /*  167032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167035 */     // MIs[0] rs1
     /*  167035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167043 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  167043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  167046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  167060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167080 */     GIR_RootConstrainSelectedInstOperands,
     /*  167081 */     // GIR_Coverage, 45857,
     /*  167081 */     GIR_EraseRootFromParent_Done,
     /*  167082 */   // Label 3114: @167082
     /*  167082 */   GIM_Reject,
     /*  167083 */ // Label 3112: @167083
     /*  167083 */ GIM_Reject,
     /*  167084 */ // Label 2925: @167084
     /*  167084 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(167321),
     /*  167089 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167092 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  167100 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(167155), // Rule ID 45872 //
     /*  167105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167108 */     // MIs[0] rs1
     /*  167108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167116 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  167116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167153 */     GIR_RootConstrainSelectedInstOperands,
     /*  167154 */     // GIR_Coverage, 45872,
     /*  167154 */     GIR_EraseRootFromParent_Done,
     /*  167155 */   // Label 3116: @167155
     /*  167155 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(167210), // Rule ID 45873 //
     /*  167160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167163 */     // MIs[0] rs1
     /*  167163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167171 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167208 */     GIR_RootConstrainSelectedInstOperands,
     /*  167209 */     // GIR_Coverage, 45873,
     /*  167209 */     GIR_EraseRootFromParent_Done,
     /*  167210 */   // Label 3117: @167210
     /*  167210 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(167265), // Rule ID 45932 //
     /*  167215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  167218 */     // MIs[0] rs1
     /*  167218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167226 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  167226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167263 */     GIR_RootConstrainSelectedInstOperands,
     /*  167264 */     // GIR_Coverage, 45932,
     /*  167264 */     GIR_EraseRootFromParent_Done,
     /*  167265 */   // Label 3118: @167265
     /*  167265 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(167320), // Rule ID 45933 //
     /*  167270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  167273 */     // MIs[0] rs1
     /*  167273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167281 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167318 */     GIR_RootConstrainSelectedInstOperands,
     /*  167319 */     // GIR_Coverage, 45933,
     /*  167319 */     GIR_EraseRootFromParent_Done,
     /*  167320 */   // Label 3119: @167320
     /*  167320 */   GIM_Reject,
     /*  167321 */ // Label 3115: @167321
     /*  167321 */ GIM_Reject,
     /*  167322 */ // Label 2926: @167322
     /*  167322 */ GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(167441),
     /*  167327 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167330 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167338 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167346 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(167393), // Rule ID 45980 //
     /*  167351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167354 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  167354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  167357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  167371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167391 */     GIR_RootConstrainSelectedInstOperands,
     /*  167392 */     // GIR_Coverage, 45980,
     /*  167392 */     GIR_EraseRootFromParent_Done,
     /*  167393 */   // Label 3121: @167393
     /*  167393 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(167440), // Rule ID 45981 //
     /*  167398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167401 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  167401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  167404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  167418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167438 */     GIR_RootConstrainSelectedInstOperands,
     /*  167439 */     // GIR_Coverage, 45981,
     /*  167439 */     GIR_EraseRootFromParent_Done,
     /*  167440 */   // Label 3122: @167440
     /*  167440 */   GIM_Reject,
     /*  167441 */ // Label 3120: @167441
     /*  167441 */ GIM_Reject,
     /*  167442 */ // Label 2927: @167442
     /*  167442 */ GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(167569),
     /*  167447 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167450 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  167458 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(167513), // Rule ID 45860 //
     /*  167463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167466 */     // MIs[0] rs1
     /*  167466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167474 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  167474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  167477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  167491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167511 */     GIR_RootConstrainSelectedInstOperands,
     /*  167512 */     // GIR_Coverage, 45860,
     /*  167512 */     GIR_EraseRootFromParent_Done,
     /*  167513 */   // Label 3124: @167513
     /*  167513 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(167568), // Rule ID 45861 //
     /*  167518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167521 */     // MIs[0] rs1
     /*  167521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167529 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  167529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  167532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  167546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167566 */     GIR_RootConstrainSelectedInstOperands,
     /*  167567 */     // GIR_Coverage, 45861,
     /*  167567 */     GIR_EraseRootFromParent_Done,
     /*  167568 */   // Label 3125: @167568
     /*  167568 */   GIM_Reject,
     /*  167569 */ // Label 3123: @167569
     /*  167569 */ GIM_Reject,
     /*  167570 */ // Label 2928: @167570
     /*  167570 */ GIM_Reject,
     /*  167571 */ // Label 22: @167571
     /*  167571 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3128*/ GIMT_Encode4(169540),
     /*  167582 */ /*GILLT_s32*//*Label 3126*/ GIMT_Encode4(167590),
     /*  167586 */ /*GILLT_s64*//*Label 3127*/ GIMT_Encode4(168966),
     /*  167590 */ // Label 3126: @167590
     /*  167590 */ GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(167697), // Rule ID 74109 //
     /*  167595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167598 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167601 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167612 */   // MIs[0] Operand 1
     /*  167612 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167616 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167620 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167624 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167628 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167632 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167636 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167640 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167644 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167648 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167653 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167657 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167661 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167665 */   // MIs[3] Operand 1
     /*  167665 */   // No operand predicates
     /*  167665 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167670 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167672 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  167675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167677 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167681 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167685 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167688 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167695 */   GIR_RootConstrainSelectedInstOperands,
     /*  167696 */   // GIR_Coverage, 74109,
     /*  167696 */   GIR_EraseRootFromParent_Done,
     /*  167697 */ // Label 3129: @167697
     /*  167697 */ GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(167804), // Rule ID 74110 //
     /*  167702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167705 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167708 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167719 */   // MIs[0] Operand 1
     /*  167719 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167723 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167727 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167731 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167735 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167739 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167743 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167747 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167751 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167755 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167760 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167764 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167768 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167772 */   // MIs[3] Operand 1
     /*  167772 */   // No operand predicates
     /*  167772 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167777 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167779 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  167782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167784 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167788 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167792 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167802 */   GIR_RootConstrainSelectedInstOperands,
     /*  167803 */   // GIR_Coverage, 74110,
     /*  167803 */   GIR_EraseRootFromParent_Done,
     /*  167804 */ // Label 3130: @167804
     /*  167804 */ GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(167911), // Rule ID 74113 //
     /*  167809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167812 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167815 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167826 */   // MIs[0] Operand 1
     /*  167826 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167830 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167834 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167838 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167842 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167846 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167850 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167854 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167858 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167862 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167867 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167871 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167875 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167879 */   // MIs[3] Operand 1
     /*  167879 */   // No operand predicates
     /*  167879 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167884 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167886 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  167889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167891 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  167895 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167899 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167902 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167909 */   GIR_RootConstrainSelectedInstOperands,
     /*  167910 */   // GIR_Coverage, 74113,
     /*  167910 */   GIR_EraseRootFromParent_Done,
     /*  167911 */ // Label 3131: @167911
     /*  167911 */ GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(168018), // Rule ID 74114 //
     /*  167916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167919 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167922 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167933 */   // MIs[0] Operand 1
     /*  167933 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167937 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167941 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167945 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167949 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167953 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  167957 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167961 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167965 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167969 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167974 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167978 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167982 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167986 */   // MIs[3] Operand 1
     /*  167986 */   // No operand predicates
     /*  167986 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167991 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167993 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  167996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167998 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168002 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168006 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168009 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168016 */   GIR_RootConstrainSelectedInstOperands,
     /*  168017 */   // GIR_Coverage, 74114,
     /*  168017 */   GIR_EraseRootFromParent_Done,
     /*  168018 */ // Label 3132: @168018
     /*  168018 */ GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(168125), // Rule ID 64542 //
     /*  168023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168026 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168029 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168040 */   // MIs[0] Operand 1
     /*  168040 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168044 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168048 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168052 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168056 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168060 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168065 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168069 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168073 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168077 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168081 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168086 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168090 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168094 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168098 */   // MIs[3] Operand 1
     /*  168098 */   // No operand predicates
     /*  168098 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168100 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168105 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168109 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168113 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168116 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168123 */   GIR_RootConstrainSelectedInstOperands,
     /*  168124 */   // GIR_Coverage, 64542,
     /*  168124 */   GIR_EraseRootFromParent_Done,
     /*  168125 */ // Label 3133: @168125
     /*  168125 */ GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(168232), // Rule ID 64543 //
     /*  168130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168133 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168136 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168147 */   // MIs[0] Operand 1
     /*  168147 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168151 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168155 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168159 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168163 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168167 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168172 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168176 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168180 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168184 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168188 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168193 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168197 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168201 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168205 */   // MIs[3] Operand 1
     /*  168205 */   // No operand predicates
     /*  168205 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168207 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168212 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168216 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168220 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168223 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168230 */   GIR_RootConstrainSelectedInstOperands,
     /*  168231 */   // GIR_Coverage, 64543,
     /*  168231 */   GIR_EraseRootFromParent_Done,
     /*  168232 */ // Label 3134: @168232
     /*  168232 */ GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(168339), // Rule ID 64546 //
     /*  168237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168240 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168243 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168254 */   // MIs[0] Operand 1
     /*  168254 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168258 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168266 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168270 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168274 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168279 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168283 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168287 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168291 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168295 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168300 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168304 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168308 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168312 */   // MIs[3] Operand 1
     /*  168312 */   // No operand predicates
     /*  168312 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168314 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168319 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168323 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168327 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168330 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168337 */   GIR_RootConstrainSelectedInstOperands,
     /*  168338 */   // GIR_Coverage, 64546,
     /*  168338 */   GIR_EraseRootFromParent_Done,
     /*  168339 */ // Label 3135: @168339
     /*  168339 */ GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(168446), // Rule ID 64547 //
     /*  168344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168347 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168350 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168361 */   // MIs[0] Operand 1
     /*  168361 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168365 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168369 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168373 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168377 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168381 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168386 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168390 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168394 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168398 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168402 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168407 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168411 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168415 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168419 */   // MIs[3] Operand 1
     /*  168419 */   // No operand predicates
     /*  168419 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168421 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168426 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168430 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168434 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168437 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168444 */   GIR_RootConstrainSelectedInstOperands,
     /*  168445 */   // GIR_Coverage, 64547,
     /*  168445 */   GIR_EraseRootFromParent_Done,
     /*  168446 */ // Label 3136: @168446
     /*  168446 */ GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(168500), // Rule ID 225 //
     /*  168451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  168454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168457 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168468 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168472 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168479 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  168482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168484 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168489 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168494 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168498 */   GIR_RootConstrainSelectedInstOperands,
     /*  168499 */   // GIR_Coverage, 225,
     /*  168499 */   GIR_EraseRootFromParent_Done,
     /*  168500 */ // Label 3137: @168500
     /*  168500 */ GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(168554), // Rule ID 229 //
     /*  168505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  168508 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168511 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168522 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168526 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168533 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  168536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168543 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168548 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168552 */   GIR_RootConstrainSelectedInstOperands,
     /*  168553 */   // GIR_Coverage, 229,
     /*  168553 */   GIR_EraseRootFromParent_Done,
     /*  168554 */ // Label 3138: @168554
     /*  168554 */ GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(168611), // Rule ID 316 //
     /*  168559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168562 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168565 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168572 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168579 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168583 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168590 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10095>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  168593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168595 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168605 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168609 */   GIR_RootConstrainSelectedInstOperands,
     /*  168610 */   // GIR_Coverage, 316,
     /*  168610 */   GIR_EraseRootFromParent_Done,
     /*  168611 */ // Label 3139: @168611
     /*  168611 */ GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(168668), // Rule ID 320 //
     /*  168616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  168619 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168622 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168629 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168636 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168640 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168647 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10097>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  168650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168652 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168662 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168666 */   GIR_RootConstrainSelectedInstOperands,
     /*  168667 */   // GIR_Coverage, 320,
     /*  168667 */   GIR_EraseRootFromParent_Done,
     /*  168668 */ // Label 3140: @168668
     /*  168668 */ GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(168725), // Rule ID 336 //
     /*  168673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  168676 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168679 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168686 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168704 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10111>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  168707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168709 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168719 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168723 */   GIR_RootConstrainSelectedInstOperands,
     /*  168724 */   // GIR_Coverage, 336,
     /*  168724 */   GIR_EraseRootFromParent_Done,
     /*  168725 */ // Label 3141: @168725
     /*  168725 */ GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(168765), // Rule ID 1092 //
     /*  168730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168733 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168736 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168743 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168750 */   // MIs[0] rs1
     /*  168750 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168758 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10599>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168758 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  168763 */   GIR_RootConstrainSelectedInstOperands,
     /*  168764 */   // GIR_Coverage, 1092,
     /*  168764 */   GIR_Done,
     /*  168765 */ // Label 3142: @168765
     /*  168765 */ GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(168805), // Rule ID 1096 //
     /*  168770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168773 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168776 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168783 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168790 */   // MIs[0] rs1
     /*  168790 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168798 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10601>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168798 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  168803 */   GIR_RootConstrainSelectedInstOperands,
     /*  168804 */   // GIR_Coverage, 1096,
     /*  168804 */   GIR_Done,
     /*  168805 */ // Label 3143: @168805
     /*  168805 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(168845), // Rule ID 1100 //
     /*  168810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168813 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168816 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168823 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168830 */   // MIs[0] rs1
     /*  168830 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168838 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10603>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168838 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  168843 */   GIR_RootConstrainSelectedInstOperands,
     /*  168844 */   // GIR_Coverage, 1100,
     /*  168844 */   GIR_Done,
     /*  168845 */ // Label 3144: @168845
     /*  168845 */ GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(168885), // Rule ID 1104 //
     /*  168850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168853 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168856 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168863 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168870 */   // MIs[0] rs1
     /*  168870 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168878 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10605>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168878 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  168883 */   GIR_RootConstrainSelectedInstOperands,
     /*  168884 */   // GIR_Coverage, 1104,
     /*  168884 */   GIR_Done,
     /*  168885 */ // Label 3145: @168885
     /*  168885 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(168925), // Rule ID 1124 //
     /*  168890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  168893 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168903 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168910 */   // MIs[0] rs1
     /*  168910 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168918 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10623>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168918 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  168923 */   GIR_RootConstrainSelectedInstOperands,
     /*  168924 */   // GIR_Coverage, 1124,
     /*  168924 */   GIR_Done,
     /*  168925 */ // Label 3146: @168925
     /*  168925 */ GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(168965), // Rule ID 1128 //
     /*  168930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  168933 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168936 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168943 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168950 */   // MIs[0] rs1
     /*  168950 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168958 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10625>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  168958 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  168963 */   GIR_RootConstrainSelectedInstOperands,
     /*  168964 */   // GIR_Coverage, 1128,
     /*  168964 */   GIR_Done,
     /*  168965 */ // Label 3147: @168965
     /*  168965 */ GIM_Reject,
     /*  168966 */ // Label 3127: @168966
     /*  168966 */ GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(169020), // Rule ID 224 //
     /*  168971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  168974 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168977 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168988 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168992 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168999 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169004 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169014 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169018 */   GIR_RootConstrainSelectedInstOperands,
     /*  169019 */   // GIR_Coverage, 224,
     /*  169019 */   GIR_EraseRootFromParent_Done,
     /*  169020 */ // Label 3148: @169020
     /*  169020 */ GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(169074), // Rule ID 228 //
     /*  169025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169028 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169031 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169042 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169046 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169053 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169058 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169063 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169068 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169072 */   GIR_RootConstrainSelectedInstOperands,
     /*  169073 */   // GIR_Coverage, 228,
     /*  169073 */   GIR_EraseRootFromParent_Done,
     /*  169074 */ // Label 3149: @169074
     /*  169074 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(169128), // Rule ID 275 //
     /*  169079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169082 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169085 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169096 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169100 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169107 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  169110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169112 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169117 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169122 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169126 */   GIR_RootConstrainSelectedInstOperands,
     /*  169127 */   // GIR_Coverage, 275,
     /*  169127 */   GIR_EraseRootFromParent_Done,
     /*  169128 */ // Label 3150: @169128
     /*  169128 */ GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(169185), // Rule ID 315 //
     /*  169133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169136 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169139 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169146 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169153 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169157 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169164 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10095>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169174 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169179 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169183 */   GIR_RootConstrainSelectedInstOperands,
     /*  169184 */   // GIR_Coverage, 315,
     /*  169184 */   GIR_EraseRootFromParent_Done,
     /*  169185 */ // Label 3151: @169185
     /*  169185 */ GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(169242), // Rule ID 319 //
     /*  169190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169193 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169196 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169203 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169210 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169214 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169221 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10097>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169236 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169240 */   GIR_RootConstrainSelectedInstOperands,
     /*  169241 */   // GIR_Coverage, 319,
     /*  169241 */   GIR_EraseRootFromParent_Done,
     /*  169242 */ // Label 3152: @169242
     /*  169242 */ GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(169299), // Rule ID 335 //
     /*  169247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  169250 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169253 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169260 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169267 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169271 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169278 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10111>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  169281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169283 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169293 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169297 */   GIR_RootConstrainSelectedInstOperands,
     /*  169298 */   // GIR_Coverage, 335,
     /*  169298 */   GIR_EraseRootFromParent_Done,
     /*  169299 */ // Label 3153: @169299
     /*  169299 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(169339), // Rule ID 1091 //
     /*  169304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169307 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169310 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169317 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169324 */   // MIs[0] rs1
     /*  169324 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169332 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10599>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169332 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169337 */   GIR_RootConstrainSelectedInstOperands,
     /*  169338 */   // GIR_Coverage, 1091,
     /*  169338 */   GIR_Done,
     /*  169339 */ // Label 3154: @169339
     /*  169339 */ GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(169379), // Rule ID 1095 //
     /*  169344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169347 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169350 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169357 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169364 */   // MIs[0] rs1
     /*  169364 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169372 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10601>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169372 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169377 */   GIR_RootConstrainSelectedInstOperands,
     /*  169378 */   // GIR_Coverage, 1095,
     /*  169378 */   GIR_Done,
     /*  169379 */ // Label 3155: @169379
     /*  169379 */ GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(169419), // Rule ID 1099 //
     /*  169384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169387 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169390 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169397 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169404 */   // MIs[0] rs1
     /*  169404 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169412 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10603>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169412 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  169417 */   GIR_RootConstrainSelectedInstOperands,
     /*  169418 */   // GIR_Coverage, 1099,
     /*  169418 */   GIR_Done,
     /*  169419 */ // Label 3156: @169419
     /*  169419 */ GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(169459), // Rule ID 1103 //
     /*  169424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169427 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169430 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169437 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169444 */   // MIs[0] rs1
     /*  169444 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169452 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10605>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169452 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  169457 */   GIR_RootConstrainSelectedInstOperands,
     /*  169458 */   // GIR_Coverage, 1103,
     /*  169458 */   GIR_Done,
     /*  169459 */ // Label 3157: @169459
     /*  169459 */ GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(169499), // Rule ID 1123 //
     /*  169464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  169467 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169470 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169477 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169484 */   // MIs[0] rs1
     /*  169484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169492 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10623>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169492 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169497 */   GIR_RootConstrainSelectedInstOperands,
     /*  169498 */   // GIR_Coverage, 1123,
     /*  169498 */   GIR_Done,
     /*  169499 */ // Label 3158: @169499
     /*  169499 */ GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(169539), // Rule ID 1127 //
     /*  169504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  169507 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169510 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169517 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169524 */   // MIs[0] rs1
     /*  169524 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169532 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10625>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169537 */   GIR_RootConstrainSelectedInstOperands,
     /*  169538 */   // GIR_Coverage, 1127,
     /*  169538 */   GIR_Done,
     /*  169539 */ // Label 3159: @169539
     /*  169539 */ GIM_Reject,
     /*  169540 */ // Label 3128: @169540
     /*  169540 */ GIM_Reject,
     /*  169541 */ // Label 23: @169541
     /*  169541 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3162*/ GIMT_Encode4(171030),
     /*  169552 */ /*GILLT_s32*//*Label 3160*/ GIMT_Encode4(169560),
     /*  169556 */ /*GILLT_s64*//*Label 3161*/ GIMT_Encode4(170696),
     /*  169560 */ // Label 3160: @169560
     /*  169560 */ GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(169667), // Rule ID 74119 //
     /*  169565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  169568 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169571 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169582 */   // MIs[0] Operand 1
     /*  169582 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169586 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169590 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169594 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169598 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169602 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  169606 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169610 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169614 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  169618 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169623 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169627 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169631 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169635 */   // MIs[3] Operand 1
     /*  169635 */   // No operand predicates
     /*  169635 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169640 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169642 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  169642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  169645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169647 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  169651 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169655 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169658 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169665 */   GIR_RootConstrainSelectedInstOperands,
     /*  169666 */   // GIR_Coverage, 74119,
     /*  169666 */   GIR_EraseRootFromParent_Done,
     /*  169667 */ // Label 3163: @169667
     /*  169667 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(169774), // Rule ID 74120 //
     /*  169672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  169675 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169678 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169689 */   // MIs[0] Operand 1
     /*  169689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169693 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169697 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169701 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169705 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169709 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  169713 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169717 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169721 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  169725 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169730 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169734 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169738 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169742 */   // MIs[3] Operand 1
     /*  169742 */   // No operand predicates
     /*  169742 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169747 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169749 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  169749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  169752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169754 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  169758 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169762 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169765 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169772 */   GIR_RootConstrainSelectedInstOperands,
     /*  169773 */   // GIR_Coverage, 74120,
     /*  169773 */   GIR_EraseRootFromParent_Done,
     /*  169774 */ // Label 3164: @169774
     /*  169774 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(169881), // Rule ID 74121 //
     /*  169779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  169782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169785 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169796 */   // MIs[0] Operand 1
     /*  169796 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169800 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169804 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169808 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169812 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169816 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  169820 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169824 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169828 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  169832 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169837 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169841 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169845 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169849 */   // MIs[3] Operand 1
     /*  169849 */   // No operand predicates
     /*  169849 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169854 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169856 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  169856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  169859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169861 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  169865 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169869 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169872 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169879 */   GIR_RootConstrainSelectedInstOperands,
     /*  169880 */   // GIR_Coverage, 74121,
     /*  169880 */   GIR_EraseRootFromParent_Done,
     /*  169881 */ // Label 3165: @169881
     /*  169881 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(169988), // Rule ID 74122 //
     /*  169886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  169889 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169892 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169903 */   // MIs[0] Operand 1
     /*  169903 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169907 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  169911 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  169915 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  169919 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  169923 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  169927 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  169931 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  169935 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  169939 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  169944 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  169948 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  169952 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  169956 */   // MIs[3] Operand 1
     /*  169956 */   // No operand predicates
     /*  169956 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169961 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  169963 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  169963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  169966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169968 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  169972 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169976 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169979 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169986 */   GIR_RootConstrainSelectedInstOperands,
     /*  169987 */   // GIR_Coverage, 74122,
     /*  169987 */   GIR_EraseRootFromParent_Done,
     /*  169988 */ // Label 3166: @169988
     /*  169988 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(170095), // Rule ID 64552 //
     /*  169993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  169996 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169999 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170010 */   // MIs[0] Operand 1
     /*  170010 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170014 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170018 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170022 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170026 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170030 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170035 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170039 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170043 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170047 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170051 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170056 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170060 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170064 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170068 */   // MIs[3] Operand 1
     /*  170068 */   // No operand predicates
     /*  170068 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170070 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170075 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170079 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170083 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170086 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170093 */   GIR_RootConstrainSelectedInstOperands,
     /*  170094 */   // GIR_Coverage, 64552,
     /*  170094 */   GIR_EraseRootFromParent_Done,
     /*  170095 */ // Label 3167: @170095
     /*  170095 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(170202), // Rule ID 64553 //
     /*  170100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170103 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170106 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170117 */   // MIs[0] Operand 1
     /*  170117 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170121 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170125 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170129 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170133 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170137 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170142 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170146 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170150 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170154 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170158 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170163 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170167 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170171 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170175 */   // MIs[3] Operand 1
     /*  170175 */   // No operand predicates
     /*  170175 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170177 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170182 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170186 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170190 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170193 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170200 */   GIR_RootConstrainSelectedInstOperands,
     /*  170201 */   // GIR_Coverage, 64553,
     /*  170201 */   GIR_EraseRootFromParent_Done,
     /*  170202 */ // Label 3168: @170202
     /*  170202 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(170309), // Rule ID 64554 //
     /*  170207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  170210 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170213 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170224 */   // MIs[0] Operand 1
     /*  170224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170228 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170232 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170236 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170240 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170244 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170249 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170253 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170257 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170261 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170265 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170270 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170274 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170278 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170282 */   // MIs[3] Operand 1
     /*  170282 */   // No operand predicates
     /*  170282 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170284 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170289 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170293 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170297 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170300 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170307 */   GIR_RootConstrainSelectedInstOperands,
     /*  170308 */   // GIR_Coverage, 64554,
     /*  170308 */   GIR_EraseRootFromParent_Done,
     /*  170309 */ // Label 3169: @170309
     /*  170309 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(170416), // Rule ID 64555 //
     /*  170314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170317 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170320 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170331 */   // MIs[0] Operand 1
     /*  170331 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170335 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170339 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170343 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170347 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170351 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170356 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170360 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170364 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170368 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170372 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170377 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170381 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170385 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170389 */   // MIs[3] Operand 1
     /*  170389 */   // No operand predicates
     /*  170389 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170391 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170396 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170400 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170404 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170407 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170414 */   GIR_RootConstrainSelectedInstOperands,
     /*  170415 */   // GIR_Coverage, 64555,
     /*  170415 */   GIR_EraseRootFromParent_Done,
     /*  170416 */ // Label 3170: @170416
     /*  170416 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(170470), // Rule ID 235 //
     /*  170421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  170424 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170427 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170438 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170442 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170449 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170454 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170459 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170464 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170468 */   GIR_RootConstrainSelectedInstOperands,
     /*  170469 */   // GIR_Coverage, 235,
     /*  170469 */   GIR_EraseRootFromParent_Done,
     /*  170470 */ // Label 3171: @170470
     /*  170470 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(170524), // Rule ID 237 //
     /*  170475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  170478 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170481 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170492 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170496 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170503 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  170506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170518 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170522 */   GIR_RootConstrainSelectedInstOperands,
     /*  170523 */   // GIR_Coverage, 237,
     /*  170523 */   GIR_EraseRootFromParent_Done,
     /*  170524 */ // Label 3172: @170524
     /*  170524 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(170581), // Rule ID 322 //
     /*  170529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  170532 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170535 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170542 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170549 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170553 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170560 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10099>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170565 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170570 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170575 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170579 */   GIR_RootConstrainSelectedInstOperands,
     /*  170580 */   // GIR_Coverage, 322,
     /*  170580 */   GIR_EraseRootFromParent_Done,
     /*  170581 */ // Label 3173: @170581
     /*  170581 */ GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(170638), // Rule ID 324 //
     /*  170586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  170589 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170592 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170599 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170606 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170610 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170617 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10101>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  170620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170632 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170636 */   GIR_RootConstrainSelectedInstOperands,
     /*  170637 */   // GIR_Coverage, 324,
     /*  170637 */   GIR_EraseRootFromParent_Done,
     /*  170638 */ // Label 3174: @170638
     /*  170638 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(170695), // Rule ID 338 //
     /*  170643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  170646 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170649 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170656 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170663 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170667 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170674 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10113>>  =>  (LWU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  170674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  170677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170679 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170684 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170689 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170693 */   GIR_RootConstrainSelectedInstOperands,
     /*  170694 */   // GIR_Coverage, 338,
     /*  170694 */   GIR_EraseRootFromParent_Done,
     /*  170695 */ // Label 3175: @170695
     /*  170695 */ GIM_Reject,
     /*  170696 */ // Label 3161: @170696
     /*  170696 */ GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(170750), // Rule ID 234 //
     /*  170701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170704 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170707 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170718 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170722 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170729 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170734 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170739 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170744 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170748 */   GIR_RootConstrainSelectedInstOperands,
     /*  170749 */   // GIR_Coverage, 234,
     /*  170749 */   GIR_EraseRootFromParent_Done,
     /*  170750 */ // Label 3176: @170750
     /*  170750 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(170804), // Rule ID 236 //
     /*  170755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  170758 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170761 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170776 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170783 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  170786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170798 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170802 */   GIR_RootConstrainSelectedInstOperands,
     /*  170803 */   // GIR_Coverage, 236,
     /*  170803 */   GIR_EraseRootFromParent_Done,
     /*  170804 */ // Label 3177: @170804
     /*  170804 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(170858), // Rule ID 277 //
     /*  170809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  170812 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170815 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170826 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170830 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170837 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  170840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170842 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170847 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170852 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170856 */   GIR_RootConstrainSelectedInstOperands,
     /*  170857 */   // GIR_Coverage, 277,
     /*  170857 */   GIR_EraseRootFromParent_Done,
     /*  170858 */ // Label 3178: @170858
     /*  170858 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(170915), // Rule ID 321 //
     /*  170863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170866 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170869 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170876 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170883 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170887 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170894 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10099>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  170897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170899 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170904 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170909 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170913 */   GIR_RootConstrainSelectedInstOperands,
     /*  170914 */   // GIR_Coverage, 321,
     /*  170914 */   GIR_EraseRootFromParent_Done,
     /*  170915 */ // Label 3179: @170915
     /*  170915 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(170972), // Rule ID 323 //
     /*  170920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  170923 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170926 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170933 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170940 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170944 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  170951 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10101>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  170951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  170954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  170961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  170966 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170970 */   GIR_RootConstrainSelectedInstOperands,
     /*  170971 */   // GIR_Coverage, 323,
     /*  170971 */   GIR_EraseRootFromParent_Done,
     /*  170972 */ // Label 3180: @170972
     /*  170972 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(171029), // Rule ID 337 //
     /*  170977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  170980 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170983 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170990 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170997 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171001 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171008 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10113>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  171011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171023 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171027 */   GIR_RootConstrainSelectedInstOperands,
     /*  171028 */   // GIR_Coverage, 337,
     /*  171028 */   GIR_EraseRootFromParent_Done,
     /*  171029 */ // Label 3181: @171029
     /*  171029 */ GIM_Reject,
     /*  171030 */ // Label 3162: @171030
     /*  171030 */ GIM_Reject,
     /*  171031 */ // Label 24: @171031
     /*  171031 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3216*/ GIMT_Encode4(179132),
     /*  171042 */ /*GILLT_p0s32*//*Label 3182*/ GIMT_Encode4(171178),
     /*  171046 */ /*GILLT_p0s64*//*Label 3183*/ GIMT_Encode4(171272),
     /*  171050 */ /*GILLT_s16*//*Label 3184*/ GIMT_Encode4(171366),
     /*  171054 */ /*GILLT_s32*//*Label 3185*/ GIMT_Encode4(172005),
     /*  171058 */ /*GILLT_s64*//*Label 3186*/ GIMT_Encode4(174611),
     /*  171062 */ /*GILLT_nxv1s1*//*Label 3187*/ GIMT_Encode4(175586),
     /*  171066 */ /*GILLT_nxv1s8*//*Label 3188*/ GIMT_Encode4(175666),
     /*  171070 */ /*GILLT_nxv1s16*//*Label 3189*/ GIMT_Encode4(175754),
     /*  171074 */ /*GILLT_nxv1s32*//*Label 3190*/ GIMT_Encode4(175912),
     /*  171078 */ /*GILLT_nxv1s64*//*Label 3191*/ GIMT_Encode4(176070),
     /*  171082 */ /*GILLT_nxv2s1*//*Label 3192*/ GIMT_Encode4(176228),
     /*  171086 */ /*GILLT_nxv2s8*//*Label 3193*/ GIMT_Encode4(176308),
     /*  171090 */ /*GILLT_nxv2s16*//*Label 3194*/ GIMT_Encode4(176396),
     /*  171094 */ /*GILLT_nxv2s32*//*Label 3195*/ GIMT_Encode4(176554),
     /*  171098 */ /*GILLT_nxv2s64*//*Label 3196*/ GIMT_Encode4(176712),
     /*  171102 */ /*GILLT_nxv4s1*//*Label 3197*/ GIMT_Encode4(176870),
     /*  171106 */ /*GILLT_nxv4s8*//*Label 3198*/ GIMT_Encode4(176950),
     /*  171110 */ /*GILLT_nxv4s16*//*Label 3199*/ GIMT_Encode4(177038),
     /*  171114 */ /*GILLT_nxv4s32*//*Label 3200*/ GIMT_Encode4(177196),
     /*  171118 */ /*GILLT_nxv4s64*//*Label 3201*/ GIMT_Encode4(177354),
     /*  171122 */ /*GILLT_nxv8s1*//*Label 3202*/ GIMT_Encode4(177512),
     /*  171126 */ /*GILLT_nxv8s8*//*Label 3203*/ GIMT_Encode4(177592),
     /*  171130 */ /*GILLT_nxv8s16*//*Label 3204*/ GIMT_Encode4(177680),
     /*  171134 */ /*GILLT_nxv8s32*//*Label 3205*/ GIMT_Encode4(177838),
     /*  171138 */ /*GILLT_nxv8s64*//*Label 3206*/ GIMT_Encode4(177996),
     /*  171142 */ /*GILLT_nxv16s1*//*Label 3207*/ GIMT_Encode4(178154),
     /*  171146 */ /*GILLT_nxv16s8*//*Label 3208*/ GIMT_Encode4(178234),
     /*  171150 */ /*GILLT_nxv16s16*//*Label 3209*/ GIMT_Encode4(178322),
     /*  171154 */ /*GILLT_nxv16s32*//*Label 3210*/ GIMT_Encode4(178480),
     /*  171158 */ /*GILLT_nxv32s1*//*Label 3211*/ GIMT_Encode4(178638),
     /*  171162 */ /*GILLT_nxv32s8*//*Label 3212*/ GIMT_Encode4(178718),
     /*  171166 */ /*GILLT_nxv32s16*//*Label 3213*/ GIMT_Encode4(178806),
     /*  171170 */ /*GILLT_nxv64s1*//*Label 3214*/ GIMT_Encode4(178964),
     /*  171174 */ /*GILLT_nxv64s8*//*Label 3215*/ GIMT_Encode4(179044),
     /*  171178 */ // Label 3182: @171178
     /*  171178 */ GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(171271),
     /*  171183 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171186 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171194 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171198 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(171234), // Rule ID 65090 //
     /*  171203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  171206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171213 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171216 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171232 */     GIR_RootConstrainSelectedInstOperands,
     /*  171233 */     // GIR_Coverage, 65090,
     /*  171233 */     GIR_EraseRootFromParent_Done,
     /*  171234 */   // Label 3218: @171234
     /*  171234 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(171270), // Rule ID 65094 //
     /*  171239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  171242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171249 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171252 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171268 */     GIR_RootConstrainSelectedInstOperands,
     /*  171269 */     // GIR_Coverage, 65094,
     /*  171269 */     GIR_EraseRootFromParent_Done,
     /*  171270 */   // Label 3219: @171270
     /*  171270 */   GIM_Reject,
     /*  171271 */ // Label 3217: @171271
     /*  171271 */ GIM_Reject,
     /*  171272 */ // Label 3183: @171272
     /*  171272 */ GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(171365),
     /*  171277 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171280 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171288 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171292 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(171328), // Rule ID 65089 //
     /*  171297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  171300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171307 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171310 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171326 */     GIR_RootConstrainSelectedInstOperands,
     /*  171327 */     // GIR_Coverage, 65089,
     /*  171327 */     GIR_EraseRootFromParent_Done,
     /*  171328 */   // Label 3221: @171328
     /*  171328 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(171364), // Rule ID 65093 //
     /*  171333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  171336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171343 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171346 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171362 */     GIR_RootConstrainSelectedInstOperands,
     /*  171363 */     // GIR_Coverage, 65093,
     /*  171363 */     GIR_EraseRootFromParent_Done,
     /*  171364 */   // Label 3222: @171364
     /*  171364 */   GIM_Reject,
     /*  171365 */ // Label 3220: @171365
     /*  171365 */ GIM_Reject,
     /*  171366 */ // Label 3184: @171366
     /*  171366 */ GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(171420), // Rule ID 65107 //
     /*  171371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171374 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171377 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171388 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171392 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171399 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171402 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171409 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171414 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171418 */   GIR_RootConstrainSelectedInstOperands,
     /*  171419 */   // GIR_Coverage, 65107,
     /*  171419 */   GIR_EraseRootFromParent_Done,
     /*  171420 */ // Label 3223: @171420
     /*  171420 */ GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(171474), // Rule ID 65108 //
     /*  171425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  171428 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171431 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171442 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171446 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171453 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171456 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171468 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171472 */   GIR_RootConstrainSelectedInstOperands,
     /*  171473 */   // GIR_Coverage, 65108,
     /*  171473 */   GIR_EraseRootFromParent_Done,
     /*  171474 */ // Label 3224: @171474
     /*  171474 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(171528), // Rule ID 65109 //
     /*  171479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171482 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171485 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171500 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171507 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171510 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171512 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171517 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171526 */   GIR_RootConstrainSelectedInstOperands,
     /*  171527 */   // GIR_Coverage, 65109,
     /*  171527 */   GIR_EraseRootFromParent_Done,
     /*  171528 */ // Label 3225: @171528
     /*  171528 */ GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(171582), // Rule ID 65110 //
     /*  171533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  171536 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171539 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171554 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171561 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171564 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171571 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171576 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171580 */   GIR_RootConstrainSelectedInstOperands,
     /*  171581 */   // GIR_Coverage, 65110,
     /*  171581 */   GIR_EraseRootFromParent_Done,
     /*  171582 */ // Label 3226: @171582
     /*  171582 */ GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(171633), // Rule ID 2042 //
     /*  171587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  171590 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171593 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  171601 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171605 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171612 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  171615 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171617 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171627 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171631 */   GIR_RootConstrainSelectedInstOperands,
     /*  171632 */   // GIR_Coverage, 2042,
     /*  171632 */   GIR_EraseRootFromParent_Done,
     /*  171633 */ // Label 3227: @171633
     /*  171633 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(171684), // Rule ID 2043 //
     /*  171638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  171641 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171644 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  171652 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171656 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171663 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  171666 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171673 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171678 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171682 */   GIR_RootConstrainSelectedInstOperands,
     /*  171683 */   // GIR_Coverage, 2043,
     /*  171683 */   GIR_EraseRootFromParent_Done,
     /*  171684 */ // Label 3228: @171684
     /*  171684 */ GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(171735), // Rule ID 2048 //
     /*  171689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  171692 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171695 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  171703 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171707 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171714 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  171717 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171719 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171729 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171733 */   GIR_RootConstrainSelectedInstOperands,
     /*  171734 */   // GIR_Coverage, 2048,
     /*  171734 */   GIR_EraseRootFromParent_Done,
     /*  171735 */ // Label 3229: @171735
     /*  171735 */ GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(171786), // Rule ID 2049 //
     /*  171740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  171743 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171746 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  171754 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171758 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171765 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  171768 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171780 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171784 */   GIR_RootConstrainSelectedInstOperands,
     /*  171785 */   // GIR_Coverage, 2049,
     /*  171785 */   GIR_EraseRootFromParent_Done,
     /*  171786 */ // Label 3230: @171786
     /*  171786 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(171837), // Rule ID 65097 //
     /*  171791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171794 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171797 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171805 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171809 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171816 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171819 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171831 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171835 */   GIR_RootConstrainSelectedInstOperands,
     /*  171836 */   // GIR_Coverage, 65097,
     /*  171836 */   GIR_EraseRootFromParent_Done,
     /*  171837 */ // Label 3231: @171837
     /*  171837 */ GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(171888), // Rule ID 65098 //
     /*  171842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  171845 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171848 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171856 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171867 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  171870 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171872 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171877 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171882 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171886 */   GIR_RootConstrainSelectedInstOperands,
     /*  171887 */   // GIR_Coverage, 65098,
     /*  171887 */   GIR_EraseRootFromParent_Done,
     /*  171888 */ // Label 3232: @171888
     /*  171888 */ GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(171946), // Rule ID 65101 //
     /*  171893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171896 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171899 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171903 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171914 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171918 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171925 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171928 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171940 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171944 */   GIR_RootConstrainSelectedInstOperands,
     /*  171945 */   // GIR_Coverage, 65101,
     /*  171945 */   GIR_EraseRootFromParent_Done,
     /*  171946 */ // Label 3233: @171946
     /*  171946 */ GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(172004), // Rule ID 65102 //
     /*  171951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  171954 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171957 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171961 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171976 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171983 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171986 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171988 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171993 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171998 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172002 */   GIR_RootConstrainSelectedInstOperands,
     /*  172003 */   // GIR_Coverage, 65102,
     /*  172003 */   GIR_EraseRootFromParent_Done,
     /*  172004 */ // Label 3234: @172004
     /*  172004 */ GIM_Reject,
     /*  172005 */ // Label 3185: @172005
     /*  172005 */ GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(172116), // Rule ID 74123 //
     /*  172010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172013 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172016 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172020 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172031 */   // MIs[0] Operand 1
     /*  172031 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172035 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172039 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172043 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172047 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172051 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172055 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172059 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172063 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172067 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172072 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172076 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172080 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172084 */   // MIs[3] Operand 1
     /*  172084 */   // No operand predicates
     /*  172084 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172089 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172091 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172094 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172096 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172100 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172104 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172107 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172114 */   GIR_RootConstrainSelectedInstOperands,
     /*  172115 */   // GIR_Coverage, 74123,
     /*  172115 */   GIR_EraseRootFromParent_Done,
     /*  172116 */ // Label 3235: @172116
     /*  172116 */ GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(172227), // Rule ID 74124 //
     /*  172121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172124 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172127 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172131 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172142 */   // MIs[0] Operand 1
     /*  172142 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172146 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172150 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172154 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172158 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172162 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172166 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172170 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172174 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172178 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172183 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172187 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172191 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172195 */   // MIs[3] Operand 1
     /*  172195 */   // No operand predicates
     /*  172195 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172200 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172202 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172205 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172207 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172211 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172215 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172225 */   GIR_RootConstrainSelectedInstOperands,
     /*  172226 */   // GIR_Coverage, 74124,
     /*  172226 */   GIR_EraseRootFromParent_Done,
     /*  172227 */ // Label 3236: @172227
     /*  172227 */ GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(172338), // Rule ID 74125 //
     /*  172232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172235 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172238 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172242 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172253 */   // MIs[0] Operand 1
     /*  172253 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172257 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172261 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172265 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172269 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172273 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172277 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172281 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172285 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172289 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172294 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172298 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172302 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172306 */   // MIs[3] Operand 1
     /*  172306 */   // No operand predicates
     /*  172306 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172311 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172313 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  172316 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172318 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172322 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172326 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172329 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172336 */   GIR_RootConstrainSelectedInstOperands,
     /*  172337 */   // GIR_Coverage, 74125,
     /*  172337 */   GIR_EraseRootFromParent_Done,
     /*  172338 */ // Label 3237: @172338
     /*  172338 */ GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(172449), // Rule ID 74126 //
     /*  172343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172346 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172349 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172353 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172364 */   // MIs[0] Operand 1
     /*  172364 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172368 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172372 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172376 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172380 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172384 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172388 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172392 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172396 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172400 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172405 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172409 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172413 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172417 */   // MIs[3] Operand 1
     /*  172417 */   // No operand predicates
     /*  172417 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172422 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172424 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  172427 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172429 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172433 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172437 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172440 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172447 */   GIR_RootConstrainSelectedInstOperands,
     /*  172448 */   // GIR_Coverage, 74126,
     /*  172448 */   GIR_EraseRootFromParent_Done,
     /*  172449 */ // Label 3238: @172449
     /*  172449 */ GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(172553), // Rule ID 74127 //
     /*  172454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172457 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172460 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172468 */   // MIs[0] Operand 1
     /*  172468 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172472 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172476 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172480 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172484 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172488 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172492 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172496 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172500 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172504 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172509 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172513 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172517 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172521 */   // MIs[3] Operand 1
     /*  172521 */   // No operand predicates
     /*  172521 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172526 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172528 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  172531 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172533 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172537 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172541 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172544 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172551 */   GIR_RootConstrainSelectedInstOperands,
     /*  172552 */   // GIR_Coverage, 74127,
     /*  172552 */   GIR_EraseRootFromParent_Done,
     /*  172553 */ // Label 3239: @172553
     /*  172553 */ GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(172657), // Rule ID 74128 //
     /*  172558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172561 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172564 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172572 */   // MIs[0] Operand 1
     /*  172572 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172576 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172580 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172584 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172588 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172592 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172596 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172600 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172604 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172608 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172613 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172617 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172621 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172625 */   // MIs[3] Operand 1
     /*  172625 */   // No operand predicates
     /*  172625 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172630 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172632 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  172635 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172637 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172641 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172645 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172648 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172655 */   GIR_RootConstrainSelectedInstOperands,
     /*  172656 */   // GIR_Coverage, 74128,
     /*  172656 */   GIR_EraseRootFromParent_Done,
     /*  172657 */ // Label 3240: @172657
     /*  172657 */ GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(172768), // Rule ID 64556 //
     /*  172662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172665 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172668 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172672 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172683 */   // MIs[0] Operand 1
     /*  172683 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172687 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172691 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172695 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172699 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172703 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172708 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  172712 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172716 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172720 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172724 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172729 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172733 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172737 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172741 */   // MIs[3] Operand 1
     /*  172741 */   // No operand predicates
     /*  172741 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172743 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172746 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172748 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  172752 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172756 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172759 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172766 */   GIR_RootConstrainSelectedInstOperands,
     /*  172767 */   // GIR_Coverage, 64556,
     /*  172767 */   GIR_EraseRootFromParent_Done,
     /*  172768 */ // Label 3241: @172768
     /*  172768 */ GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(172879), // Rule ID 64557 //
     /*  172773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172776 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172779 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172783 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172794 */   // MIs[0] Operand 1
     /*  172794 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172798 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172802 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172806 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172810 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172814 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172819 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  172823 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172827 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172831 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172835 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172840 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172844 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172848 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172852 */   // MIs[3] Operand 1
     /*  172852 */   // No operand predicates
     /*  172852 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172854 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172857 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172859 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  172863 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172867 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172870 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172877 */   GIR_RootConstrainSelectedInstOperands,
     /*  172878 */   // GIR_Coverage, 64557,
     /*  172878 */   GIR_EraseRootFromParent_Done,
     /*  172879 */ // Label 3242: @172879
     /*  172879 */ GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(172990), // Rule ID 64558 //
     /*  172884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172887 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172890 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172894 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172905 */   // MIs[0] Operand 1
     /*  172905 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172909 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172913 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172917 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172921 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172925 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172930 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  172934 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172938 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172942 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172946 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172951 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172955 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172959 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172963 */   // MIs[3] Operand 1
     /*  172963 */   // No operand predicates
     /*  172963 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172965 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  172968 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172970 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  172974 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172978 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172981 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172988 */   GIR_RootConstrainSelectedInstOperands,
     /*  172989 */   // GIR_Coverage, 64558,
     /*  172989 */   GIR_EraseRootFromParent_Done,
     /*  172990 */ // Label 3243: @172990
     /*  172990 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(173101), // Rule ID 64559 //
     /*  172995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172998 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173001 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173005 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173016 */   // MIs[0] Operand 1
     /*  173016 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173020 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173024 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173028 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173032 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173036 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173041 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173045 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173049 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173053 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173057 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173062 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173066 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173070 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173074 */   // MIs[3] Operand 1
     /*  173074 */   // No operand predicates
     /*  173074 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173076 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  173079 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173081 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173085 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173089 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173092 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173099 */   GIR_RootConstrainSelectedInstOperands,
     /*  173100 */   // GIR_Coverage, 64559,
     /*  173100 */   GIR_EraseRootFromParent_Done,
     /*  173101 */ // Label 3244: @173101
     /*  173101 */ GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(173205), // Rule ID 64560 //
     /*  173106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  173109 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173112 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173120 */   // MIs[0] Operand 1
     /*  173120 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173124 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173128 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173132 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173136 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173140 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173145 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173149 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173153 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173157 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  173161 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173166 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173170 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173174 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173178 */   // MIs[3] Operand 1
     /*  173178 */   // No operand predicates
     /*  173178 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173180 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  173180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173183 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173185 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173189 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173193 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173196 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173203 */   GIR_RootConstrainSelectedInstOperands,
     /*  173204 */   // GIR_Coverage, 64560,
     /*  173204 */   GIR_EraseRootFromParent_Done,
     /*  173205 */ // Label 3245: @173205
     /*  173205 */ GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(173309), // Rule ID 64561 //
     /*  173210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  173213 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173216 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173224 */   // MIs[0] Operand 1
     /*  173224 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173228 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173232 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173236 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173240 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173244 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173249 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173253 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173257 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173261 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173265 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173270 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173274 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173278 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173282 */   // MIs[3] Operand 1
     /*  173282 */   // No operand predicates
     /*  173282 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173284 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173287 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173289 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173293 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173297 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173300 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173307 */   GIR_RootConstrainSelectedInstOperands,
     /*  173308 */   // GIR_Coverage, 64561,
     /*  173308 */   GIR_EraseRootFromParent_Done,
     /*  173309 */ // Label 3246: @173309
     /*  173309 */ GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(173366), // Rule ID 326 //
     /*  173314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173317 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173320 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173327 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173334 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173338 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173345 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10103>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  173348 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173355 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173360 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173364 */   GIR_RootConstrainSelectedInstOperands,
     /*  173365 */   // GIR_Coverage, 326,
     /*  173365 */   GIR_EraseRootFromParent_Done,
     /*  173366 */ // Label 3247: @173366
     /*  173366 */ GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(173423), // Rule ID 328 //
     /*  173371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173374 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173377 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173384 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173391 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173395 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173402 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10105>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  173405 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173407 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173412 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173417 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173421 */   GIR_RootConstrainSelectedInstOperands,
     /*  173422 */   // GIR_Coverage, 328,
     /*  173422 */   GIR_EraseRootFromParent_Done,
     /*  173423 */ // Label 3248: @173423
     /*  173423 */ GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(173480), // Rule ID 330 //
     /*  173428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173431 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173434 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173441 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173452 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173459 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10107>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173462 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173474 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173478 */   GIR_RootConstrainSelectedInstOperands,
     /*  173479 */   // GIR_Coverage, 330,
     /*  173479 */   GIR_EraseRootFromParent_Done,
     /*  173480 */ // Label 3249: @173480
     /*  173480 */ GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(173534), // Rule ID 65113 //
     /*  173485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  173488 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173491 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173502 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173506 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173513 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  173513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173516 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173518 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173523 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173528 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173532 */   GIR_RootConstrainSelectedInstOperands,
     /*  173533 */   // GIR_Coverage, 65113,
     /*  173533 */   GIR_EraseRootFromParent_Done,
     /*  173534 */ // Label 3250: @173534
     /*  173534 */ GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(173588), // Rule ID 65114 //
     /*  173539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  173542 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173545 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173556 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173560 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173567 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173570 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173582 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173586 */   GIR_RootConstrainSelectedInstOperands,
     /*  173587 */   // GIR_Coverage, 65114,
     /*  173587 */   GIR_EraseRootFromParent_Done,
     /*  173588 */ // Label 3251: @173588
     /*  173588 */ GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(173646), // Rule ID 239 //
     /*  173593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  173596 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173599 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173603 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173614 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173625 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  173628 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173640 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173644 */   GIR_RootConstrainSelectedInstOperands,
     /*  173645 */   // GIR_Coverage, 239,
     /*  173645 */   GIR_EraseRootFromParent_Done,
     /*  173646 */ // Label 3252: @173646
     /*  173646 */ GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(173704), // Rule ID 241 //
     /*  173651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  173654 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173657 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173661 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173676 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173683 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  173686 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173698 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173702 */   GIR_RootConstrainSelectedInstOperands,
     /*  173703 */   // GIR_Coverage, 241,
     /*  173703 */   GIR_EraseRootFromParent_Done,
     /*  173704 */ // Label 3253: @173704
     /*  173704 */ GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(173755), // Rule ID 242 //
     /*  173709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  173712 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173715 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173723 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173727 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173734 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  173734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173737 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173739 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173749 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173753 */   GIR_RootConstrainSelectedInstOperands,
     /*  173754 */   // GIR_Coverage, 242,
     /*  173754 */   GIR_EraseRootFromParent_Done,
     /*  173755 */ // Label 3254: @173755
     /*  173755 */ GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(173806), // Rule ID 243 //
     /*  173760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  173763 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173766 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173774 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173778 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173785 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  173788 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173800 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173804 */   GIR_RootConstrainSelectedInstOperands,
     /*  173805 */   // GIR_Coverage, 243,
     /*  173805 */   GIR_EraseRootFromParent_Done,
     /*  173806 */ // Label 3255: @173806
     /*  173806 */ GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(173857), // Rule ID 1329 //
     /*  173811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  173814 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173817 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  173825 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173829 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173836 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  173836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  173839 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173851 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173855 */   GIR_RootConstrainSelectedInstOperands,
     /*  173856 */   // GIR_Coverage, 1329,
     /*  173856 */   GIR_EraseRootFromParent_Done,
     /*  173857 */ // Label 3256: @173857
     /*  173857 */ GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(173908), // Rule ID 1330 //
     /*  173862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  173865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173868 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  173876 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173880 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173887 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  173890 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173897 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173902 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173906 */   GIR_RootConstrainSelectedInstOperands,
     /*  173907 */   // GIR_Coverage, 1330,
     /*  173907 */   GIR_EraseRootFromParent_Done,
     /*  173908 */ // Label 3257: @173908
     /*  173908 */ GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(173959), // Rule ID 1335 //
     /*  173913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  173916 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173919 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  173927 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173931 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173938 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  173938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  173941 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173953 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173957 */   GIR_RootConstrainSelectedInstOperands,
     /*  173958 */   // GIR_Coverage, 1335,
     /*  173958 */   GIR_EraseRootFromParent_Done,
     /*  173959 */ // Label 3258: @173959
     /*  173959 */ GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(174010), // Rule ID 1336 //
     /*  173964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  173967 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173970 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  173978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173989 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  173992 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174004 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174008 */   GIR_RootConstrainSelectedInstOperands,
     /*  174009 */   // GIR_Coverage, 1336,
     /*  174009 */   GIR_EraseRootFromParent_Done,
     /*  174010 */ // Label 3259: @174010
     /*  174010 */ GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(174068), // Rule ID 65119 //
     /*  174015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  174018 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174021 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174025 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174036 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174040 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174047 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174050 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174052 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174066 */   GIR_RootConstrainSelectedInstOperands,
     /*  174067 */   // GIR_Coverage, 65119,
     /*  174067 */   GIR_EraseRootFromParent_Done,
     /*  174068 */ // Label 3260: @174068
     /*  174068 */ GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(174126), // Rule ID 65120 //
     /*  174073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  174076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174079 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174083 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174094 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174098 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174105 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174108 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174110 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174115 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174120 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174124 */   GIR_RootConstrainSelectedInstOperands,
     /*  174125 */   // GIR_Coverage, 65120,
     /*  174125 */   GIR_EraseRootFromParent_Done,
     /*  174126 */ // Label 3261: @174126
     /*  174126 */ GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(174184), // Rule ID 65121 //
     /*  174131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  174134 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174137 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174141 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174152 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174156 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174163 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174166 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174178 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174182 */   GIR_RootConstrainSelectedInstOperands,
     /*  174183 */   // GIR_Coverage, 65121,
     /*  174183 */   GIR_EraseRootFromParent_Done,
     /*  174184 */ // Label 3262: @174184
     /*  174184 */ GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(174242), // Rule ID 65122 //
     /*  174189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  174192 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174195 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174199 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174210 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174214 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174221 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174224 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174231 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174236 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174240 */   GIR_RootConstrainSelectedInstOperands,
     /*  174241 */   // GIR_Coverage, 65122,
     /*  174241 */   GIR_EraseRootFromParent_Done,
     /*  174242 */ // Label 3263: @174242
     /*  174242 */ GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(174288), // Rule ID 1106 //
     /*  174247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174250 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174253 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174260 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174267 */   // MIs[0] rs1
     /*  174267 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174275 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10607>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  174278 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174280 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174282 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174286 */   GIR_RootConstrainSelectedInstOperands,
     /*  174287 */   // GIR_Coverage, 1106,
     /*  174287 */   GIR_EraseRootFromParent_Done,
     /*  174288 */ // Label 3264: @174288
     /*  174288 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(174334), // Rule ID 1108 //
     /*  174293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174296 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174299 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174306 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174313 */   // MIs[0] rs1
     /*  174313 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174321 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10609>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  174324 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174326 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174328 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174332 */   GIR_RootConstrainSelectedInstOperands,
     /*  174333 */   // GIR_Coverage, 1108,
     /*  174333 */   GIR_EraseRootFromParent_Done,
     /*  174334 */ // Label 3265: @174334
     /*  174334 */ GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(174380), // Rule ID 1110 //
     /*  174339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174342 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174345 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174352 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174359 */   // MIs[0] rs1
     /*  174359 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174367 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10611>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  174370 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174372 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174374 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174378 */   GIR_RootConstrainSelectedInstOperands,
     /*  174379 */   // GIR_Coverage, 1110,
     /*  174379 */   GIR_EraseRootFromParent_Done,
     /*  174380 */ // Label 3266: @174380
     /*  174380 */ GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(174426), // Rule ID 1112 //
     /*  174385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174388 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174391 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174398 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174405 */   // MIs[0] rs1
     /*  174405 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174413 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10613>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  174416 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174418 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174420 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174424 */   GIR_RootConstrainSelectedInstOperands,
     /*  174425 */   // GIR_Coverage, 1112,
     /*  174425 */   GIR_EraseRootFromParent_Done,
     /*  174426 */ // Label 3267: @174426
     /*  174426 */ GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(174472), // Rule ID 1114 //
     /*  174431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174434 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174437 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174444 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174451 */   // MIs[0] rs1
     /*  174451 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174459 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10615>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  174462 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174464 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174466 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174470 */   GIR_RootConstrainSelectedInstOperands,
     /*  174471 */   // GIR_Coverage, 1114,
     /*  174471 */   GIR_EraseRootFromParent_Done,
     /*  174472 */ // Label 3268: @174472
     /*  174472 */ GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(174518), // Rule ID 1116 //
     /*  174477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174480 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174483 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174490 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174497 */   // MIs[0] rs1
     /*  174497 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174505 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10617>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  174508 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174510 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174512 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174516 */   GIR_RootConstrainSelectedInstOperands,
     /*  174517 */   // GIR_Coverage, 1116,
     /*  174517 */   GIR_EraseRootFromParent_Done,
     /*  174518 */ // Label 3269: @174518
     /*  174518 */ GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(174564), // Rule ID 1134 //
     /*  174523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  174526 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174529 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  174536 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174543 */   // MIs[0] rs1
     /*  174543 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174551 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10631>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  174554 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174556 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174558 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174562 */   GIR_RootConstrainSelectedInstOperands,
     /*  174563 */   // GIR_Coverage, 1134,
     /*  174563 */   GIR_EraseRootFromParent_Done,
     /*  174564 */ // Label 3270: @174564
     /*  174564 */ GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(174610), // Rule ID 1136 //
     /*  174569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  174572 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174575 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  174582 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174589 */   // MIs[0] rs1
     /*  174589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174597 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10633>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  174600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174602 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174604 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174608 */   GIR_RootConstrainSelectedInstOperands,
     /*  174609 */   // GIR_Coverage, 1136,
     /*  174609 */   GIR_EraseRootFromParent_Done,
     /*  174610 */ // Label 3271: @174610
     /*  174610 */ GIM_Reject,
     /*  174611 */ // Label 3186: @174611
     /*  174611 */ GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(174668), // Rule ID 325 //
     /*  174616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  174619 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174622 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174629 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174636 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174640 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174647 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10103>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174650 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174652 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174662 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174666 */   GIR_RootConstrainSelectedInstOperands,
     /*  174667 */   // GIR_Coverage, 325,
     /*  174667 */   GIR_EraseRootFromParent_Done,
     /*  174668 */ // Label 3272: @174668
     /*  174668 */ GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(174725), // Rule ID 327 //
     /*  174673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  174676 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174679 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174686 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174704 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10105>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174707 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174709 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174719 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174723 */   GIR_RootConstrainSelectedInstOperands,
     /*  174724 */   // GIR_Coverage, 327,
     /*  174724 */   GIR_EraseRootFromParent_Done,
     /*  174725 */ // Label 3273: @174725
     /*  174725 */ GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(174782), // Rule ID 329 //
     /*  174730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  174733 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174736 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174743 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174750 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174754 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174761 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10107>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174764 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174766 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174776 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174780 */   GIR_RootConstrainSelectedInstOperands,
     /*  174781 */   // GIR_Coverage, 329,
     /*  174781 */   GIR_EraseRootFromParent_Done,
     /*  174782 */ // Label 3274: @174782
     /*  174782 */ GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(174839), // Rule ID 340 //
     /*  174787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  174790 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174793 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  174800 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174807 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174811 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174818 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10117>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  174821 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174823 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174828 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174833 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174837 */   GIR_RootConstrainSelectedInstOperands,
     /*  174838 */   // GIR_Coverage, 340,
     /*  174838 */   GIR_EraseRootFromParent_Done,
     /*  174839 */ // Label 3275: @174839
     /*  174839 */ GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(174897), // Rule ID 238 //
     /*  174844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  174847 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174850 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174854 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174865 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174869 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174876 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174879 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174891 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174895 */   GIR_RootConstrainSelectedInstOperands,
     /*  174896 */   // GIR_Coverage, 238,
     /*  174896 */   GIR_EraseRootFromParent_Done,
     /*  174897 */ // Label 3276: @174897
     /*  174897 */ GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(174955), // Rule ID 240 //
     /*  174902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  174905 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174908 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174912 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174927 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174934 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174937 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174949 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174953 */   GIR_RootConstrainSelectedInstOperands,
     /*  174954 */   // GIR_Coverage, 240,
     /*  174954 */   GIR_EraseRootFromParent_Done,
     /*  174955 */ // Label 3277: @174955
     /*  174955 */ GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(175013), // Rule ID 279 //
     /*  174960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  174963 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174966 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174970 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174981 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174985 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174992 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174995 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174997 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175002 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175007 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175011 */   GIR_RootConstrainSelectedInstOperands,
     /*  175012 */   // GIR_Coverage, 279,
     /*  175012 */   GIR_EraseRootFromParent_Done,
     /*  175013 */ // Label 3278: @175013
     /*  175013 */ GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(175064), // Rule ID 280 //
     /*  175018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  175021 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175024 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175032 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175036 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175043 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  175046 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175048 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175053 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175058 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175062 */   GIR_RootConstrainSelectedInstOperands,
     /*  175063 */   // GIR_Coverage, 280,
     /*  175063 */   GIR_EraseRootFromParent_Done,
     /*  175064 */ // Label 3279: @175064
     /*  175064 */ GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(175115), // Rule ID 1727 //
     /*  175069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  175072 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175075 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  175083 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175087 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175094 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  175097 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175104 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175109 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175113 */   GIR_RootConstrainSelectedInstOperands,
     /*  175114 */   // GIR_Coverage, 1727,
     /*  175114 */   GIR_EraseRootFromParent_Done,
     /*  175115 */ // Label 3280: @175115
     /*  175115 */ GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(175166), // Rule ID 1728 //
     /*  175120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  175123 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175126 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  175134 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175138 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175145 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  175145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  175148 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175160 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175164 */   GIR_RootConstrainSelectedInstOperands,
     /*  175165 */   // GIR_Coverage, 1728,
     /*  175165 */   GIR_EraseRootFromParent_Done,
     /*  175166 */ // Label 3281: @175166
     /*  175166 */ GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(175217), // Rule ID 1731 //
     /*  175171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  175174 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175177 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175185 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175196 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  175199 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175215 */   GIR_RootConstrainSelectedInstOperands,
     /*  175216 */   // GIR_Coverage, 1731,
     /*  175216 */   GIR_EraseRootFromParent_Done,
     /*  175217 */ // Label 3282: @175217
     /*  175217 */ GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(175263), // Rule ID 1105 //
     /*  175222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175225 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175228 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175235 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175242 */   // MIs[0] rs1
     /*  175242 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175250 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10607>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  175253 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175255 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175257 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175261 */   GIR_RootConstrainSelectedInstOperands,
     /*  175262 */   // GIR_Coverage, 1105,
     /*  175262 */   GIR_EraseRootFromParent_Done,
     /*  175263 */ // Label 3283: @175263
     /*  175263 */ GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(175309), // Rule ID 1107 //
     /*  175268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175271 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175274 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175281 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175288 */   // MIs[0] rs1
     /*  175288 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175296 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10609>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  175299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175301 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175303 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175307 */   GIR_RootConstrainSelectedInstOperands,
     /*  175308 */   // GIR_Coverage, 1107,
     /*  175308 */   GIR_EraseRootFromParent_Done,
     /*  175309 */ // Label 3284: @175309
     /*  175309 */ GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(175355), // Rule ID 1109 //
     /*  175314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175317 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175320 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175327 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175334 */   // MIs[0] rs1
     /*  175334 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175342 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10611>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  175345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175347 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175349 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175353 */   GIR_RootConstrainSelectedInstOperands,
     /*  175354 */   // GIR_Coverage, 1109,
     /*  175354 */   GIR_EraseRootFromParent_Done,
     /*  175355 */ // Label 3285: @175355
     /*  175355 */ GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(175401), // Rule ID 1111 //
     /*  175360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175363 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175366 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175373 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175380 */   // MIs[0] rs1
     /*  175380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175388 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10613>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  175391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175393 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175395 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175399 */   GIR_RootConstrainSelectedInstOperands,
     /*  175400 */   // GIR_Coverage, 1111,
     /*  175400 */   GIR_EraseRootFromParent_Done,
     /*  175401 */ // Label 3286: @175401
     /*  175401 */ GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(175447), // Rule ID 1113 //
     /*  175406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175409 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175412 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175419 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175426 */   // MIs[0] rs1
     /*  175426 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175434 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10615>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  175437 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175439 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175445 */   GIR_RootConstrainSelectedInstOperands,
     /*  175446 */   // GIR_Coverage, 1113,
     /*  175446 */   GIR_EraseRootFromParent_Done,
     /*  175447 */ // Label 3287: @175447
     /*  175447 */ GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(175493), // Rule ID 1115 //
     /*  175452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175455 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175465 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175472 */   // MIs[0] rs1
     /*  175472 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175480 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10617>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  175483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175485 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175487 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175491 */   GIR_RootConstrainSelectedInstOperands,
     /*  175492 */   // GIR_Coverage, 1115,
     /*  175492 */   GIR_EraseRootFromParent_Done,
     /*  175493 */ // Label 3288: @175493
     /*  175493 */ GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(175539), // Rule ID 1133 //
     /*  175498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  175501 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175504 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175518 */   // MIs[0] rs1
     /*  175518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175526 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10631>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  175529 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175531 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175533 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175537 */   GIR_RootConstrainSelectedInstOperands,
     /*  175538 */   // GIR_Coverage, 1133,
     /*  175538 */   GIR_EraseRootFromParent_Done,
     /*  175539 */ // Label 3289: @175539
     /*  175539 */ GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(175585), // Rule ID 1135 //
     /*  175544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  175547 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175550 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175557 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175564 */   // MIs[0] rs1
     /*  175564 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175572 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10633>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  175575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175577 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175579 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175583 */   GIR_RootConstrainSelectedInstOperands,
     /*  175584 */   // GIR_Coverage, 1135,
     /*  175584 */   GIR_EraseRootFromParent_Done,
     /*  175585 */ // Label 3290: @175585
     /*  175585 */ GIM_Reject,
     /*  175586 */ // Label 3187: @175586
     /*  175586 */ GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(175665),
     /*  175591 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175594 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175602 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175610 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(175637), // Rule ID 45634 //
     /*  175615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175618 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  175618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  175621 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175635 */     GIR_RootConstrainSelectedInstOperands,
     /*  175636 */     // GIR_Coverage, 45634,
     /*  175636 */     GIR_EraseRootFromParent_Done,
     /*  175637 */   // Label 3292: @175637
     /*  175637 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(175664), // Rule ID 45635 //
     /*  175642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175645 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  175645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  175648 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  175658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175662 */     GIR_RootConstrainSelectedInstOperands,
     /*  175663 */     // GIR_Coverage, 45635,
     /*  175663 */     GIR_EraseRootFromParent_Done,
     /*  175664 */   // Label 3293: @175664
     /*  175664 */   GIM_Reject,
     /*  175665 */ // Label 3291: @175665
     /*  175665 */ GIM_Reject,
     /*  175666 */ // Label 3188: @175666
     /*  175666 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(175753),
     /*  175671 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175674 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175682 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(175717), // Rule ID 45630 //
     /*  175687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175690 */     // MIs[0] rs1
     /*  175690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175698 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  175698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  175701 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175711 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175715 */     GIR_RootConstrainSelectedInstOperands,
     /*  175716 */     // GIR_Coverage, 45630,
     /*  175716 */     GIR_EraseRootFromParent_Done,
     /*  175717 */   // Label 3295: @175717
     /*  175717 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(175752), // Rule ID 45631 //
     /*  175722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175725 */     // MIs[0] rs1
     /*  175725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175733 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  175733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  175736 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175750 */     GIR_RootConstrainSelectedInstOperands,
     /*  175751 */     // GIR_Coverage, 45631,
     /*  175751 */     GIR_EraseRootFromParent_Done,
     /*  175752 */   // Label 3296: @175752
     /*  175752 */   GIM_Reject,
     /*  175753 */ // Label 3294: @175753
     /*  175753 */ GIM_Reject,
     /*  175754 */ // Label 3189: @175754
     /*  175754 */ GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(175911),
     /*  175759 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175762 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175770 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(175805), // Rule ID 45826 //
     /*  175775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175778 */     // MIs[0] rs1
     /*  175778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175786 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  175786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  175789 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175803 */     GIR_RootConstrainSelectedInstOperands,
     /*  175804 */     // GIR_Coverage, 45826,
     /*  175804 */     GIR_EraseRootFromParent_Done,
     /*  175805 */   // Label 3298: @175805
     /*  175805 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(175840), // Rule ID 45827 //
     /*  175810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175813 */     // MIs[0] rs1
     /*  175813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175821 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  175821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  175824 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175838 */     GIR_RootConstrainSelectedInstOperands,
     /*  175839 */     // GIR_Coverage, 45827,
     /*  175839 */     GIR_EraseRootFromParent_Done,
     /*  175840 */   // Label 3299: @175840
     /*  175840 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(175875), // Rule ID 45902 //
     /*  175845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  175848 */     // MIs[0] rs1
     /*  175848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175856 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  175856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  175859 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175873 */     GIR_RootConstrainSelectedInstOperands,
     /*  175874 */     // GIR_Coverage, 45902,
     /*  175874 */     GIR_EraseRootFromParent_Done,
     /*  175875 */   // Label 3300: @175875
     /*  175875 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(175910), // Rule ID 45903 //
     /*  175880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  175883 */     // MIs[0] rs1
     /*  175883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175891 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  175891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  175894 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175904 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175908 */     GIR_RootConstrainSelectedInstOperands,
     /*  175909 */     // GIR_Coverage, 45903,
     /*  175909 */     GIR_EraseRootFromParent_Done,
     /*  175910 */   // Label 3301: @175910
     /*  175910 */   GIM_Reject,
     /*  175911 */ // Label 3297: @175911
     /*  175911 */ GIM_Reject,
     /*  175912 */ // Label 3190: @175912
     /*  175912 */ GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(176069),
     /*  175917 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175920 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175928 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(175963), // Rule ID 45834 //
     /*  175933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175936 */     // MIs[0] rs1
     /*  175936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175944 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  175944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  175947 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175961 */     GIR_RootConstrainSelectedInstOperands,
     /*  175962 */     // GIR_Coverage, 45834,
     /*  175962 */     GIR_EraseRootFromParent_Done,
     /*  175963 */   // Label 3303: @175963
     /*  175963 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(175998), // Rule ID 45835 //
     /*  175968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175971 */     // MIs[0] rs1
     /*  175971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175979 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  175979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  175982 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  175989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175996 */     GIR_RootConstrainSelectedInstOperands,
     /*  175997 */     // GIR_Coverage, 45835,
     /*  175997 */     GIR_EraseRootFromParent_Done,
     /*  175998 */   // Label 3304: @175998
     /*  175998 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(176033), // Rule ID 45910 //
     /*  176003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  176006 */     // MIs[0] rs1
     /*  176006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176014 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176017 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176031 */     GIR_RootConstrainSelectedInstOperands,
     /*  176032 */     // GIR_Coverage, 45910,
     /*  176032 */     GIR_EraseRootFromParent_Done,
     /*  176033 */   // Label 3305: @176033
     /*  176033 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(176068), // Rule ID 45911 //
     /*  176038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  176041 */     // MIs[0] rs1
     /*  176041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176049 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176052 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176062 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176066 */     GIR_RootConstrainSelectedInstOperands,
     /*  176067 */     // GIR_Coverage, 45911,
     /*  176067 */     GIR_EraseRootFromParent_Done,
     /*  176068 */   // Label 3306: @176068
     /*  176068 */   GIM_Reject,
     /*  176069 */ // Label 3302: @176069
     /*  176069 */ GIM_Reject,
     /*  176070 */ // Label 3191: @176070
     /*  176070 */ GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(176227),
     /*  176075 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176078 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176086 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(176121), // Rule ID 45850 //
     /*  176091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  176094 */     // MIs[0] rs1
     /*  176094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176102 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176105 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176119 */     GIR_RootConstrainSelectedInstOperands,
     /*  176120 */     // GIR_Coverage, 45850,
     /*  176120 */     GIR_EraseRootFromParent_Done,
     /*  176121 */   // Label 3308: @176121
     /*  176121 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(176156), // Rule ID 45851 //
     /*  176126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  176129 */     // MIs[0] rs1
     /*  176129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176137 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176140 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176154 */     GIR_RootConstrainSelectedInstOperands,
     /*  176155 */     // GIR_Coverage, 45851,
     /*  176155 */     GIR_EraseRootFromParent_Done,
     /*  176156 */   // Label 3309: @176156
     /*  176156 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(176191), // Rule ID 45922 //
     /*  176161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  176164 */     // MIs[0] rs1
     /*  176164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176172 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176175 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176189 */     GIR_RootConstrainSelectedInstOperands,
     /*  176190 */     // GIR_Coverage, 45922,
     /*  176190 */     GIR_EraseRootFromParent_Done,
     /*  176191 */   // Label 3310: @176191
     /*  176191 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(176226), // Rule ID 45923 //
     /*  176196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  176199 */     // MIs[0] rs1
     /*  176199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176207 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176210 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176224 */     GIR_RootConstrainSelectedInstOperands,
     /*  176225 */     // GIR_Coverage, 45923,
     /*  176225 */     GIR_EraseRootFromParent_Done,
     /*  176226 */   // Label 3311: @176226
     /*  176226 */   GIM_Reject,
     /*  176227 */ // Label 3307: @176227
     /*  176227 */ GIM_Reject,
     /*  176228 */ // Label 3192: @176228
     /*  176228 */ GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(176307),
     /*  176233 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176236 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176244 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176252 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(176279), // Rule ID 45962 //
     /*  176257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176260 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  176260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  176263 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176277 */     GIR_RootConstrainSelectedInstOperands,
     /*  176278 */     // GIR_Coverage, 45962,
     /*  176278 */     GIR_EraseRootFromParent_Done,
     /*  176279 */   // Label 3313: @176279
     /*  176279 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(176306), // Rule ID 45963 //
     /*  176284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176287 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  176287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  176290 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176300 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176304 */     GIR_RootConstrainSelectedInstOperands,
     /*  176305 */     // GIR_Coverage, 45963,
     /*  176305 */     GIR_EraseRootFromParent_Done,
     /*  176306 */   // Label 3314: @176306
     /*  176306 */   GIM_Reject,
     /*  176307 */ // Label 3312: @176307
     /*  176307 */ GIM_Reject,
     /*  176308 */ // Label 3193: @176308
     /*  176308 */ GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(176395),
     /*  176313 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176316 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176324 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(176359), // Rule ID 45818 //
     /*  176329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176332 */     // MIs[0] rs1
     /*  176332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176340 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  176340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  176343 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176353 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176357 */     GIR_RootConstrainSelectedInstOperands,
     /*  176358 */     // GIR_Coverage, 45818,
     /*  176358 */     GIR_EraseRootFromParent_Done,
     /*  176359 */   // Label 3316: @176359
     /*  176359 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(176394), // Rule ID 45819 //
     /*  176364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176367 */     // MIs[0] rs1
     /*  176367 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176375 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  176375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  176378 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176392 */     GIR_RootConstrainSelectedInstOperands,
     /*  176393 */     // GIR_Coverage, 45819,
     /*  176393 */     GIR_EraseRootFromParent_Done,
     /*  176394 */   // Label 3317: @176394
     /*  176394 */   GIM_Reject,
     /*  176395 */ // Label 3315: @176395
     /*  176395 */ GIM_Reject,
     /*  176396 */ // Label 3194: @176396
     /*  176396 */ GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(176553),
     /*  176401 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176404 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176412 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(176447), // Rule ID 45830 //
     /*  176417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176420 */     // MIs[0] rs1
     /*  176420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176428 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  176428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176431 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176445 */     GIR_RootConstrainSelectedInstOperands,
     /*  176446 */     // GIR_Coverage, 45830,
     /*  176446 */     GIR_EraseRootFromParent_Done,
     /*  176447 */   // Label 3319: @176447
     /*  176447 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(176482), // Rule ID 45831 //
     /*  176452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176455 */     // MIs[0] rs1
     /*  176455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176463 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176466 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176480 */     GIR_RootConstrainSelectedInstOperands,
     /*  176481 */     // GIR_Coverage, 45831,
     /*  176481 */     GIR_EraseRootFromParent_Done,
     /*  176482 */   // Label 3320: @176482
     /*  176482 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(176517), // Rule ID 45906 //
     /*  176487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  176490 */     // MIs[0] rs1
     /*  176490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176498 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  176498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176501 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176515 */     GIR_RootConstrainSelectedInstOperands,
     /*  176516 */     // GIR_Coverage, 45906,
     /*  176516 */     GIR_EraseRootFromParent_Done,
     /*  176517 */   // Label 3321: @176517
     /*  176517 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(176552), // Rule ID 45907 //
     /*  176522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  176525 */     // MIs[0] rs1
     /*  176525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176533 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  176536 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176550 */     GIR_RootConstrainSelectedInstOperands,
     /*  176551 */     // GIR_Coverage, 45907,
     /*  176551 */     GIR_EraseRootFromParent_Done,
     /*  176552 */   // Label 3322: @176552
     /*  176552 */   GIM_Reject,
     /*  176553 */ // Label 3318: @176553
     /*  176553 */ GIM_Reject,
     /*  176554 */ // Label 3195: @176554
     /*  176554 */ GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(176711),
     /*  176559 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176562 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176570 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(176605), // Rule ID 45846 //
     /*  176575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176578 */     // MIs[0] rs1
     /*  176578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176586 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176589 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176603 */     GIR_RootConstrainSelectedInstOperands,
     /*  176604 */     // GIR_Coverage, 45846,
     /*  176604 */     GIR_EraseRootFromParent_Done,
     /*  176605 */   // Label 3324: @176605
     /*  176605 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(176640), // Rule ID 45847 //
     /*  176610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176613 */     // MIs[0] rs1
     /*  176613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176621 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176624 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176638 */     GIR_RootConstrainSelectedInstOperands,
     /*  176639 */     // GIR_Coverage, 45847,
     /*  176639 */     GIR_EraseRootFromParent_Done,
     /*  176640 */   // Label 3325: @176640
     /*  176640 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(176675), // Rule ID 45918 //
     /*  176645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  176648 */     // MIs[0] rs1
     /*  176648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176656 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176659 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176673 */     GIR_RootConstrainSelectedInstOperands,
     /*  176674 */     // GIR_Coverage, 45918,
     /*  176674 */     GIR_EraseRootFromParent_Done,
     /*  176675 */   // Label 3326: @176675
     /*  176675 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(176710), // Rule ID 45919 //
     /*  176680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  176683 */     // MIs[0] rs1
     /*  176683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176691 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  176694 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176704 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176708 */     GIR_RootConstrainSelectedInstOperands,
     /*  176709 */     // GIR_Coverage, 45919,
     /*  176709 */     GIR_EraseRootFromParent_Done,
     /*  176710 */   // Label 3327: @176710
     /*  176710 */   GIM_Reject,
     /*  176711 */ // Label 3323: @176711
     /*  176711 */ GIM_Reject,
     /*  176712 */ // Label 3196: @176712
     /*  176712 */ GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(176869),
     /*  176717 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176720 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176728 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(176763), // Rule ID 45890 //
     /*  176733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  176736 */     // MIs[0] rs1
     /*  176736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176744 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  176747 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176761 */     GIR_RootConstrainSelectedInstOperands,
     /*  176762 */     // GIR_Coverage, 45890,
     /*  176762 */     GIR_EraseRootFromParent_Done,
     /*  176763 */   // Label 3329: @176763
     /*  176763 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(176798), // Rule ID 45891 //
     /*  176768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  176771 */     // MIs[0] rs1
     /*  176771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176779 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  176782 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176796 */     GIR_RootConstrainSelectedInstOperands,
     /*  176797 */     // GIR_Coverage, 45891,
     /*  176797 */     GIR_EraseRootFromParent_Done,
     /*  176798 */   // Label 3330: @176798
     /*  176798 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(176833), // Rule ID 45950 //
     /*  176803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  176806 */     // MIs[0] rs1
     /*  176806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176814 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  176817 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176831 */     GIR_RootConstrainSelectedInstOperands,
     /*  176832 */     // GIR_Coverage, 45950,
     /*  176832 */     GIR_EraseRootFromParent_Done,
     /*  176833 */   // Label 3331: @176833
     /*  176833 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(176868), // Rule ID 45951 //
     /*  176838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  176841 */     // MIs[0] rs1
     /*  176841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176849 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  176852 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176866 */     GIR_RootConstrainSelectedInstOperands,
     /*  176867 */     // GIR_Coverage, 45951,
     /*  176867 */     GIR_EraseRootFromParent_Done,
     /*  176868 */   // Label 3332: @176868
     /*  176868 */   GIM_Reject,
     /*  176869 */ // Label 3328: @176869
     /*  176869 */ GIM_Reject,
     /*  176870 */ // Label 3197: @176870
     /*  176870 */ GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(176949),
     /*  176875 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176886 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176894 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(176921), // Rule ID 45966 //
     /*  176899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176902 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  176902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  176905 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176919 */     GIR_RootConstrainSelectedInstOperands,
     /*  176920 */     // GIR_Coverage, 45966,
     /*  176920 */     GIR_EraseRootFromParent_Done,
     /*  176921 */   // Label 3334: @176921
     /*  176921 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(176948), // Rule ID 45967 //
     /*  176926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176929 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  176929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  176932 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176946 */     GIR_RootConstrainSelectedInstOperands,
     /*  176947 */     // GIR_Coverage, 45967,
     /*  176947 */     GIR_EraseRootFromParent_Done,
     /*  176948 */   // Label 3335: @176948
     /*  176948 */   GIM_Reject,
     /*  176949 */ // Label 3333: @176949
     /*  176949 */ GIM_Reject,
     /*  176950 */ // Label 3198: @176950
     /*  176950 */ GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(177037),
     /*  176955 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176958 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176966 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(177001), // Rule ID 45822 //
     /*  176971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176974 */     // MIs[0] rs1
     /*  176974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176982 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  176982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  176985 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176999 */     GIR_RootConstrainSelectedInstOperands,
     /*  177000 */     // GIR_Coverage, 45822,
     /*  177000 */     GIR_EraseRootFromParent_Done,
     /*  177001 */   // Label 3337: @177001
     /*  177001 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(177036), // Rule ID 45823 //
     /*  177006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177009 */     // MIs[0] rs1
     /*  177009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177017 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  177017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  177020 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177034 */     GIR_RootConstrainSelectedInstOperands,
     /*  177035 */     // GIR_Coverage, 45823,
     /*  177035 */     GIR_EraseRootFromParent_Done,
     /*  177036 */   // Label 3338: @177036
     /*  177036 */   GIM_Reject,
     /*  177037 */ // Label 3336: @177037
     /*  177037 */ GIM_Reject,
     /*  177038 */ // Label 3199: @177038
     /*  177038 */ GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(177195),
     /*  177043 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177046 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177054 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(177089), // Rule ID 45842 //
     /*  177059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177062 */     // MIs[0] rs1
     /*  177062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177070 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177073 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177087 */     GIR_RootConstrainSelectedInstOperands,
     /*  177088 */     // GIR_Coverage, 45842,
     /*  177088 */     GIR_EraseRootFromParent_Done,
     /*  177089 */   // Label 3340: @177089
     /*  177089 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(177124), // Rule ID 45843 //
     /*  177094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177097 */     // MIs[0] rs1
     /*  177097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177105 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177108 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177122 */     GIR_RootConstrainSelectedInstOperands,
     /*  177123 */     // GIR_Coverage, 45843,
     /*  177123 */     GIR_EraseRootFromParent_Done,
     /*  177124 */   // Label 3341: @177124
     /*  177124 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(177159), // Rule ID 45914 //
     /*  177129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  177132 */     // MIs[0] rs1
     /*  177132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177140 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177143 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177157 */     GIR_RootConstrainSelectedInstOperands,
     /*  177158 */     // GIR_Coverage, 45914,
     /*  177158 */     GIR_EraseRootFromParent_Done,
     /*  177159 */   // Label 3342: @177159
     /*  177159 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(177194), // Rule ID 45915 //
     /*  177164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  177167 */     // MIs[0] rs1
     /*  177167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177175 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177178 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177192 */     GIR_RootConstrainSelectedInstOperands,
     /*  177193 */     // GIR_Coverage, 45915,
     /*  177193 */     GIR_EraseRootFromParent_Done,
     /*  177194 */   // Label 3343: @177194
     /*  177194 */   GIM_Reject,
     /*  177195 */ // Label 3339: @177195
     /*  177195 */ GIM_Reject,
     /*  177196 */ // Label 3200: @177196
     /*  177196 */ GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(177353),
     /*  177201 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177204 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177212 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(177247), // Rule ID 45878 //
     /*  177217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177220 */     // MIs[0] rs1
     /*  177220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177228 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177231 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177245 */     GIR_RootConstrainSelectedInstOperands,
     /*  177246 */     // GIR_Coverage, 45878,
     /*  177246 */     GIR_EraseRootFromParent_Done,
     /*  177247 */   // Label 3345: @177247
     /*  177247 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(177282), // Rule ID 45879 //
     /*  177252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177255 */     // MIs[0] rs1
     /*  177255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177263 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177266 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177280 */     GIR_RootConstrainSelectedInstOperands,
     /*  177281 */     // GIR_Coverage, 45879,
     /*  177281 */     GIR_EraseRootFromParent_Done,
     /*  177282 */   // Label 3346: @177282
     /*  177282 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(177317), // Rule ID 45938 //
     /*  177287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  177290 */     // MIs[0] rs1
     /*  177290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177298 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177301 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177315 */     GIR_RootConstrainSelectedInstOperands,
     /*  177316 */     // GIR_Coverage, 45938,
     /*  177316 */     GIR_EraseRootFromParent_Done,
     /*  177317 */   // Label 3347: @177317
     /*  177317 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(177352), // Rule ID 45939 //
     /*  177322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  177325 */     // MIs[0] rs1
     /*  177325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177333 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177336 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177350 */     GIR_RootConstrainSelectedInstOperands,
     /*  177351 */     // GIR_Coverage, 45939,
     /*  177351 */     GIR_EraseRootFromParent_Done,
     /*  177352 */   // Label 3348: @177352
     /*  177352 */   GIM_Reject,
     /*  177353 */ // Label 3344: @177353
     /*  177353 */ GIM_Reject,
     /*  177354 */ // Label 3201: @177354
     /*  177354 */ GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(177511),
     /*  177359 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177362 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177370 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(177405), // Rule ID 45894 //
     /*  177375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177378 */     // MIs[0] rs1
     /*  177378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177386 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  177386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177389 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177403 */     GIR_RootConstrainSelectedInstOperands,
     /*  177404 */     // GIR_Coverage, 45894,
     /*  177404 */     GIR_EraseRootFromParent_Done,
     /*  177405 */   // Label 3350: @177405
     /*  177405 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(177440), // Rule ID 45895 //
     /*  177410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177413 */     // MIs[0] rs1
     /*  177413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177421 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  177421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177424 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177438 */     GIR_RootConstrainSelectedInstOperands,
     /*  177439 */     // GIR_Coverage, 45895,
     /*  177439 */     GIR_EraseRootFromParent_Done,
     /*  177440 */   // Label 3351: @177440
     /*  177440 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(177475), // Rule ID 45954 //
     /*  177445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  177448 */     // MIs[0] rs1
     /*  177448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177456 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  177456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177459 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177473 */     GIR_RootConstrainSelectedInstOperands,
     /*  177474 */     // GIR_Coverage, 45954,
     /*  177474 */     GIR_EraseRootFromParent_Done,
     /*  177475 */   // Label 3352: @177475
     /*  177475 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(177510), // Rule ID 45955 //
     /*  177480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  177483 */     // MIs[0] rs1
     /*  177483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177491 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  177491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  177494 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177508 */     GIR_RootConstrainSelectedInstOperands,
     /*  177509 */     // GIR_Coverage, 45955,
     /*  177509 */     GIR_EraseRootFromParent_Done,
     /*  177510 */   // Label 3353: @177510
     /*  177510 */   GIM_Reject,
     /*  177511 */ // Label 3349: @177511
     /*  177511 */ GIM_Reject,
     /*  177512 */ // Label 3202: @177512
     /*  177512 */ GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(177591),
     /*  177517 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177520 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177528 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177536 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(177563), // Rule ID 45970 //
     /*  177541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177544 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  177544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  177547 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177557 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177561 */     GIR_RootConstrainSelectedInstOperands,
     /*  177562 */     // GIR_Coverage, 45970,
     /*  177562 */     GIR_EraseRootFromParent_Done,
     /*  177563 */   // Label 3355: @177563
     /*  177563 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(177590), // Rule ID 45971 //
     /*  177568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177571 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  177571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  177574 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177588 */     GIR_RootConstrainSelectedInstOperands,
     /*  177589 */     // GIR_Coverage, 45971,
     /*  177589 */     GIR_EraseRootFromParent_Done,
     /*  177590 */   // Label 3356: @177590
     /*  177590 */   GIM_Reject,
     /*  177591 */ // Label 3354: @177591
     /*  177591 */ GIM_Reject,
     /*  177592 */ // Label 3203: @177592
     /*  177592 */ GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(177679),
     /*  177597 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177600 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177608 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(177643), // Rule ID 45838 //
     /*  177613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177616 */     // MIs[0] rs1
     /*  177616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177624 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  177624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  177627 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177641 */     GIR_RootConstrainSelectedInstOperands,
     /*  177642 */     // GIR_Coverage, 45838,
     /*  177642 */     GIR_EraseRootFromParent_Done,
     /*  177643 */   // Label 3358: @177643
     /*  177643 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(177678), // Rule ID 45839 //
     /*  177648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177651 */     // MIs[0] rs1
     /*  177651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177659 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  177659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  177662 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177676 */     GIR_RootConstrainSelectedInstOperands,
     /*  177677 */     // GIR_Coverage, 45839,
     /*  177677 */     GIR_EraseRootFromParent_Done,
     /*  177678 */   // Label 3359: @177678
     /*  177678 */   GIM_Reject,
     /*  177679 */ // Label 3357: @177679
     /*  177679 */ GIM_Reject,
     /*  177680 */ // Label 3204: @177680
     /*  177680 */ GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(177837),
     /*  177685 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177688 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177696 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(177731), // Rule ID 45866 //
     /*  177701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177704 */     // MIs[0] rs1
     /*  177704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177712 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  177715 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177725 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177729 */     GIR_RootConstrainSelectedInstOperands,
     /*  177730 */     // GIR_Coverage, 45866,
     /*  177730 */     GIR_EraseRootFromParent_Done,
     /*  177731 */   // Label 3361: @177731
     /*  177731 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(177766), // Rule ID 45867 //
     /*  177736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177739 */     // MIs[0] rs1
     /*  177739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177747 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  177750 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177764 */     GIR_RootConstrainSelectedInstOperands,
     /*  177765 */     // GIR_Coverage, 45867,
     /*  177765 */     GIR_EraseRootFromParent_Done,
     /*  177766 */   // Label 3362: @177766
     /*  177766 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(177801), // Rule ID 45926 //
     /*  177771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  177774 */     // MIs[0] rs1
     /*  177774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177782 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  177785 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177799 */     GIR_RootConstrainSelectedInstOperands,
     /*  177800 */     // GIR_Coverage, 45926,
     /*  177800 */     GIR_EraseRootFromParent_Done,
     /*  177801 */   // Label 3363: @177801
     /*  177801 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(177836), // Rule ID 45927 //
     /*  177806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  177809 */     // MIs[0] rs1
     /*  177809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177817 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  177820 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177834 */     GIR_RootConstrainSelectedInstOperands,
     /*  177835 */     // GIR_Coverage, 45927,
     /*  177835 */     GIR_EraseRootFromParent_Done,
     /*  177836 */   // Label 3364: @177836
     /*  177836 */   GIM_Reject,
     /*  177837 */ // Label 3360: @177837
     /*  177837 */ GIM_Reject,
     /*  177838 */ // Label 3205: @177838
     /*  177838 */ GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(177995),
     /*  177843 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177846 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177854 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(177889), // Rule ID 45882 //
     /*  177859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177862 */     // MIs[0] rs1
     /*  177862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177870 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  177873 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177887 */     GIR_RootConstrainSelectedInstOperands,
     /*  177888 */     // GIR_Coverage, 45882,
     /*  177888 */     GIR_EraseRootFromParent_Done,
     /*  177889 */   // Label 3366: @177889
     /*  177889 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(177924), // Rule ID 45883 //
     /*  177894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177897 */     // MIs[0] rs1
     /*  177897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177905 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  177908 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177922 */     GIR_RootConstrainSelectedInstOperands,
     /*  177923 */     // GIR_Coverage, 45883,
     /*  177923 */     GIR_EraseRootFromParent_Done,
     /*  177924 */   // Label 3367: @177924
     /*  177924 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(177959), // Rule ID 45942 //
     /*  177929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  177932 */     // MIs[0] rs1
     /*  177932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177940 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  177943 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177957 */     GIR_RootConstrainSelectedInstOperands,
     /*  177958 */     // GIR_Coverage, 45942,
     /*  177958 */     GIR_EraseRootFromParent_Done,
     /*  177959 */   // Label 3368: @177959
     /*  177959 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(177994), // Rule ID 45943 //
     /*  177964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  177967 */     // MIs[0] rs1
     /*  177967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177975 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  177978 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177992 */     GIR_RootConstrainSelectedInstOperands,
     /*  177993 */     // GIR_Coverage, 45943,
     /*  177993 */     GIR_EraseRootFromParent_Done,
     /*  177994 */   // Label 3369: @177994
     /*  177994 */   GIM_Reject,
     /*  177995 */ // Label 3365: @177995
     /*  177995 */ GIM_Reject,
     /*  177996 */ // Label 3206: @177996
     /*  177996 */ GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(178153),
     /*  178001 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178004 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178012 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(178047), // Rule ID 45898 //
     /*  178017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  178020 */     // MIs[0] rs1
     /*  178020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178028 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178031 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178045 */     GIR_RootConstrainSelectedInstOperands,
     /*  178046 */     // GIR_Coverage, 45898,
     /*  178046 */     GIR_EraseRootFromParent_Done,
     /*  178047 */   // Label 3371: @178047
     /*  178047 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(178082), // Rule ID 45899 //
     /*  178052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  178055 */     // MIs[0] rs1
     /*  178055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178063 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178066 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178080 */     GIR_RootConstrainSelectedInstOperands,
     /*  178081 */     // GIR_Coverage, 45899,
     /*  178081 */     GIR_EraseRootFromParent_Done,
     /*  178082 */   // Label 3372: @178082
     /*  178082 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(178117), // Rule ID 45958 //
     /*  178087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  178090 */     // MIs[0] rs1
     /*  178090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178098 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178101 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178115 */     GIR_RootConstrainSelectedInstOperands,
     /*  178116 */     // GIR_Coverage, 45958,
     /*  178116 */     GIR_EraseRootFromParent_Done,
     /*  178117 */   // Label 3373: @178117
     /*  178117 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(178152), // Rule ID 45959 //
     /*  178122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  178125 */     // MIs[0] rs1
     /*  178125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178133 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178136 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178150 */     GIR_RootConstrainSelectedInstOperands,
     /*  178151 */     // GIR_Coverage, 45959,
     /*  178151 */     GIR_EraseRootFromParent_Done,
     /*  178152 */   // Label 3374: @178152
     /*  178152 */   GIM_Reject,
     /*  178153 */ // Label 3370: @178153
     /*  178153 */ GIM_Reject,
     /*  178154 */ // Label 3207: @178154
     /*  178154 */ GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(178233),
     /*  178159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178162 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178170 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178178 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(178205), // Rule ID 45974 //
     /*  178183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178186 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  178186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  178189 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178203 */     GIR_RootConstrainSelectedInstOperands,
     /*  178204 */     // GIR_Coverage, 45974,
     /*  178204 */     GIR_EraseRootFromParent_Done,
     /*  178205 */   // Label 3376: @178205
     /*  178205 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(178232), // Rule ID 45975 //
     /*  178210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178213 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  178213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  178216 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178230 */     GIR_RootConstrainSelectedInstOperands,
     /*  178231 */     // GIR_Coverage, 45975,
     /*  178231 */     GIR_EraseRootFromParent_Done,
     /*  178232 */   // Label 3377: @178232
     /*  178232 */   GIM_Reject,
     /*  178233 */ // Label 3375: @178233
     /*  178233 */ GIM_Reject,
     /*  178234 */ // Label 3208: @178234
     /*  178234 */ GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(178321),
     /*  178239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178242 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  178250 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(178285), // Rule ID 45854 //
     /*  178255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178258 */     // MIs[0] rs1
     /*  178258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178266 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  178266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  178269 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178283 */     GIR_RootConstrainSelectedInstOperands,
     /*  178284 */     // GIR_Coverage, 45854,
     /*  178284 */     GIR_EraseRootFromParent_Done,
     /*  178285 */   // Label 3379: @178285
     /*  178285 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(178320), // Rule ID 45855 //
     /*  178290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178293 */     // MIs[0] rs1
     /*  178293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178301 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  178301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  178304 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178318 */     GIR_RootConstrainSelectedInstOperands,
     /*  178319 */     // GIR_Coverage, 45855,
     /*  178319 */     GIR_EraseRootFromParent_Done,
     /*  178320 */   // Label 3380: @178320
     /*  178320 */   GIM_Reject,
     /*  178321 */ // Label 3378: @178321
     /*  178321 */ GIM_Reject,
     /*  178322 */ // Label 3209: @178322
     /*  178322 */ GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(178479),
     /*  178327 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178330 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  178338 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(178373), // Rule ID 45870 //
     /*  178343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178346 */     // MIs[0] rs1
     /*  178346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178354 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178357 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178371 */     GIR_RootConstrainSelectedInstOperands,
     /*  178372 */     // GIR_Coverage, 45870,
     /*  178372 */     GIR_EraseRootFromParent_Done,
     /*  178373 */   // Label 3382: @178373
     /*  178373 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(178408), // Rule ID 45871 //
     /*  178378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178381 */     // MIs[0] rs1
     /*  178381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178389 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178392 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178406 */     GIR_RootConstrainSelectedInstOperands,
     /*  178407 */     // GIR_Coverage, 45871,
     /*  178407 */     GIR_EraseRootFromParent_Done,
     /*  178408 */   // Label 3383: @178408
     /*  178408 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(178443), // Rule ID 45930 //
     /*  178413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  178416 */     // MIs[0] rs1
     /*  178416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178424 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178427 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178441 */     GIR_RootConstrainSelectedInstOperands,
     /*  178442 */     // GIR_Coverage, 45930,
     /*  178442 */     GIR_EraseRootFromParent_Done,
     /*  178443 */   // Label 3384: @178443
     /*  178443 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(178478), // Rule ID 45931 //
     /*  178448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  178451 */     // MIs[0] rs1
     /*  178451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178459 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  178462 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178476 */     GIR_RootConstrainSelectedInstOperands,
     /*  178477 */     // GIR_Coverage, 45931,
     /*  178477 */     GIR_EraseRootFromParent_Done,
     /*  178478 */   // Label 3385: @178478
     /*  178478 */   GIM_Reject,
     /*  178479 */ // Label 3381: @178479
     /*  178479 */ GIM_Reject,
     /*  178480 */ // Label 3210: @178480
     /*  178480 */ GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(178637),
     /*  178485 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178488 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178496 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(178531), // Rule ID 45886 //
     /*  178501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178504 */     // MIs[0] rs1
     /*  178504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178512 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178515 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178529 */     GIR_RootConstrainSelectedInstOperands,
     /*  178530 */     // GIR_Coverage, 45886,
     /*  178530 */     GIR_EraseRootFromParent_Done,
     /*  178531 */   // Label 3387: @178531
     /*  178531 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(178566), // Rule ID 45887 //
     /*  178536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178539 */     // MIs[0] rs1
     /*  178539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178547 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178550 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178564 */     GIR_RootConstrainSelectedInstOperands,
     /*  178565 */     // GIR_Coverage, 45887,
     /*  178565 */     GIR_EraseRootFromParent_Done,
     /*  178566 */   // Label 3388: @178566
     /*  178566 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(178601), // Rule ID 45946 //
     /*  178571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  178574 */     // MIs[0] rs1
     /*  178574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178582 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178585 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178599 */     GIR_RootConstrainSelectedInstOperands,
     /*  178600 */     // GIR_Coverage, 45946,
     /*  178600 */     GIR_EraseRootFromParent_Done,
     /*  178601 */   // Label 3389: @178601
     /*  178601 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(178636), // Rule ID 45947 //
     /*  178606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  178609 */     // MIs[0] rs1
     /*  178609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178617 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  178620 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178634 */     GIR_RootConstrainSelectedInstOperands,
     /*  178635 */     // GIR_Coverage, 45947,
     /*  178635 */     GIR_EraseRootFromParent_Done,
     /*  178636 */   // Label 3390: @178636
     /*  178636 */   GIM_Reject,
     /*  178637 */ // Label 3386: @178637
     /*  178637 */ GIM_Reject,
     /*  178638 */ // Label 3211: @178638
     /*  178638 */ GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(178717),
     /*  178643 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178646 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178654 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178662 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(178689), // Rule ID 45978 //
     /*  178667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178670 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  178670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  178673 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178687 */     GIR_RootConstrainSelectedInstOperands,
     /*  178688 */     // GIR_Coverage, 45978,
     /*  178688 */     GIR_EraseRootFromParent_Done,
     /*  178689 */   // Label 3392: @178689
     /*  178689 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(178716), // Rule ID 45979 //
     /*  178694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178697 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  178697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  178700 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178714 */     GIR_RootConstrainSelectedInstOperands,
     /*  178715 */     // GIR_Coverage, 45979,
     /*  178715 */     GIR_EraseRootFromParent_Done,
     /*  178716 */   // Label 3393: @178716
     /*  178716 */   GIM_Reject,
     /*  178717 */ // Label 3391: @178717
     /*  178717 */ GIM_Reject,
     /*  178718 */ // Label 3212: @178718
     /*  178718 */ GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(178805),
     /*  178723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178726 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  178734 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(178769), // Rule ID 45858 //
     /*  178739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178742 */     // MIs[0] rs1
     /*  178742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178750 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  178750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  178753 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178767 */     GIR_RootConstrainSelectedInstOperands,
     /*  178768 */     // GIR_Coverage, 45858,
     /*  178768 */     GIR_EraseRootFromParent_Done,
     /*  178769 */   // Label 3395: @178769
     /*  178769 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(178804), // Rule ID 45859 //
     /*  178774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178777 */     // MIs[0] rs1
     /*  178777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178785 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  178785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  178788 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178802 */     GIR_RootConstrainSelectedInstOperands,
     /*  178803 */     // GIR_Coverage, 45859,
     /*  178803 */     GIR_EraseRootFromParent_Done,
     /*  178804 */   // Label 3396: @178804
     /*  178804 */   GIM_Reject,
     /*  178805 */ // Label 3394: @178805
     /*  178805 */ GIM_Reject,
     /*  178806 */ // Label 3213: @178806
     /*  178806 */ GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(178963),
     /*  178811 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178814 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178822 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(178857), // Rule ID 45874 //
     /*  178827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178830 */     // MIs[0] rs1
     /*  178830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178838 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  178841 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178855 */     GIR_RootConstrainSelectedInstOperands,
     /*  178856 */     // GIR_Coverage, 45874,
     /*  178856 */     GIR_EraseRootFromParent_Done,
     /*  178857 */   // Label 3398: @178857
     /*  178857 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(178892), // Rule ID 45875 //
     /*  178862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178865 */     // MIs[0] rs1
     /*  178865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178873 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  178876 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178890 */     GIR_RootConstrainSelectedInstOperands,
     /*  178891 */     // GIR_Coverage, 45875,
     /*  178891 */     GIR_EraseRootFromParent_Done,
     /*  178892 */   // Label 3399: @178892
     /*  178892 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(178927), // Rule ID 45934 //
     /*  178897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  178900 */     // MIs[0] rs1
     /*  178900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178908 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  178911 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178925 */     GIR_RootConstrainSelectedInstOperands,
     /*  178926 */     // GIR_Coverage, 45934,
     /*  178926 */     GIR_EraseRootFromParent_Done,
     /*  178927 */   // Label 3400: @178927
     /*  178927 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(178962), // Rule ID 45935 //
     /*  178932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  178935 */     // MIs[0] rs1
     /*  178935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178943 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  178946 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178960 */     GIR_RootConstrainSelectedInstOperands,
     /*  178961 */     // GIR_Coverage, 45935,
     /*  178961 */     GIR_EraseRootFromParent_Done,
     /*  178962 */   // Label 3401: @178962
     /*  178962 */   GIM_Reject,
     /*  178963 */ // Label 3397: @178963
     /*  178963 */ GIM_Reject,
     /*  178964 */ // Label 3214: @178964
     /*  178964 */ GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(179043),
     /*  178969 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178972 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178980 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178988 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(179015), // Rule ID 45982 //
     /*  178993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178996 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  178996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  178999 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179013 */     GIR_RootConstrainSelectedInstOperands,
     /*  179014 */     // GIR_Coverage, 45982,
     /*  179014 */     GIR_EraseRootFromParent_Done,
     /*  179015 */   // Label 3403: @179015
     /*  179015 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(179042), // Rule ID 45983 //
     /*  179020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179023 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  179023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  179026 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179040 */     GIR_RootConstrainSelectedInstOperands,
     /*  179041 */     // GIR_Coverage, 45983,
     /*  179041 */     GIR_EraseRootFromParent_Done,
     /*  179042 */   // Label 3404: @179042
     /*  179042 */   GIM_Reject,
     /*  179043 */ // Label 3402: @179043
     /*  179043 */ GIM_Reject,
     /*  179044 */ // Label 3215: @179044
     /*  179044 */ GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(179131),
     /*  179049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179052 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179060 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(179095), // Rule ID 45862 //
     /*  179065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179068 */     // MIs[0] rs1
     /*  179068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179076 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  179076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  179079 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179093 */     GIR_RootConstrainSelectedInstOperands,
     /*  179094 */     // GIR_Coverage, 45862,
     /*  179094 */     GIR_EraseRootFromParent_Done,
     /*  179095 */   // Label 3406: @179095
     /*  179095 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(179130), // Rule ID 45863 //
     /*  179100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179103 */     // MIs[0] rs1
     /*  179103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179111 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  179111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  179114 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179128 */     GIR_RootConstrainSelectedInstOperands,
     /*  179129 */     // GIR_Coverage, 45863,
     /*  179129 */     GIR_EraseRootFromParent_Done,
     /*  179130 */   // Label 3407: @179130
     /*  179130 */   GIM_Reject,
     /*  179131 */ // Label 3405: @179131
     /*  179131 */ GIM_Reject,
     /*  179132 */ // Label 3216: @179132
     /*  179132 */ GIM_Reject,
     /*  179133 */ // Label 25: @179133
     /*  179133 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3410*/ GIMT_Encode4(184018),
     /*  179144 */ /*GILLT_s32*//*Label 3408*/ GIMT_Encode4(179152),
     /*  179148 */ /*GILLT_s64*//*Label 3409*/ GIMT_Encode4(181145),
     /*  179152 */ // Label 3408: @179152
     /*  179152 */ GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(181144),
     /*  179157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179163 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(179229), // Rule ID 643 //
     /*  179168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179185 */     // MIs[0] addr
     /*  179185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179201 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  179201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179209 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179214 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179216 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179218 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  179223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179227 */     GIR_RootConstrainSelectedInstOperands,
     /*  179228 */     // GIR_Coverage, 643,
     /*  179228 */     GIR_EraseRootFromParent_Done,
     /*  179229 */   // Label 3412: @179229
     /*  179229 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(179295), // Rule ID 645 //
     /*  179234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179251 */     // MIs[0] addr
     /*  179251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179267 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  179267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179275 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179280 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179282 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179284 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179293 */     GIR_RootConstrainSelectedInstOperands,
     /*  179294 */     // GIR_Coverage, 645,
     /*  179294 */     GIR_EraseRootFromParent_Done,
     /*  179295 */   // Label 3413: @179295
     /*  179295 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(179361), // Rule ID 647 //
     /*  179300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179317 */     // MIs[0] addr
     /*  179317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179333 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  179333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179341 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179346 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179348 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179350 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179359 */     GIR_RootConstrainSelectedInstOperands,
     /*  179360 */     // GIR_Coverage, 647,
     /*  179360 */     GIR_EraseRootFromParent_Done,
     /*  179361 */   // Label 3414: @179361
     /*  179361 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(179427), // Rule ID 649 //
     /*  179366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179383 */     // MIs[0] addr
     /*  179383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179399 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  179399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179407 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179412 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179414 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179416 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  179421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179425 */     GIR_RootConstrainSelectedInstOperands,
     /*  179426 */     // GIR_Coverage, 649,
     /*  179426 */     GIR_EraseRootFromParent_Done,
     /*  179427 */   // Label 3415: @179427
     /*  179427 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(179493), // Rule ID 651 //
     /*  179432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179435 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179442 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179449 */     // MIs[0] addr
     /*  179449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179465 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  179465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179473 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179478 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179480 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179482 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  179487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179491 */     GIR_RootConstrainSelectedInstOperands,
     /*  179492 */     // GIR_Coverage, 651,
     /*  179492 */     GIR_EraseRootFromParent_Done,
     /*  179493 */   // Label 3416: @179493
     /*  179493 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(179548), // Rule ID 660 //
     /*  179498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179515 */     // MIs[0] addr
     /*  179515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179531 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  179534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179536 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179538 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179540 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179546 */     GIR_RootConstrainSelectedInstOperands,
     /*  179547 */     // GIR_Coverage, 660,
     /*  179547 */     GIR_EraseRootFromParent_Done,
     /*  179548 */   // Label 3417: @179548
     /*  179548 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(179603), // Rule ID 662 //
     /*  179553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179570 */     // MIs[0] addr
     /*  179570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179586 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  179589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179591 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179593 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179595 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179601 */     GIR_RootConstrainSelectedInstOperands,
     /*  179602 */     // GIR_Coverage, 662,
     /*  179602 */     GIR_EraseRootFromParent_Done,
     /*  179603 */   // Label 3418: @179603
     /*  179603 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(179658), // Rule ID 664 //
     /*  179608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179611 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179618 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179625 */     // MIs[0] addr
     /*  179625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179641 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  179644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179646 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179648 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179650 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179656 */     GIR_RootConstrainSelectedInstOperands,
     /*  179657 */     // GIR_Coverage, 664,
     /*  179657 */     GIR_EraseRootFromParent_Done,
     /*  179658 */   // Label 3419: @179658
     /*  179658 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(179713), // Rule ID 666 //
     /*  179663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179680 */     // MIs[0] addr
     /*  179680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179696 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  179699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179701 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179703 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179705 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179711 */     GIR_RootConstrainSelectedInstOperands,
     /*  179712 */     // GIR_Coverage, 666,
     /*  179712 */     GIR_EraseRootFromParent_Done,
     /*  179713 */   // Label 3420: @179713
     /*  179713 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(179768), // Rule ID 668 //
     /*  179718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  179721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179735 */     // MIs[0] addr
     /*  179735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179751 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  179754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179756 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179758 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179760 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179766 */     GIR_RootConstrainSelectedInstOperands,
     /*  179767 */     // GIR_Coverage, 668,
     /*  179767 */     GIR_EraseRootFromParent_Done,
     /*  179768 */   // Label 3421: @179768
     /*  179768 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(179823), // Rule ID 670 //
     /*  179773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  179776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179790 */     // MIs[0] addr
     /*  179790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179806 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  179809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179811 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179813 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179815 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179821 */     GIR_RootConstrainSelectedInstOperands,
     /*  179822 */     // GIR_Coverage, 670,
     /*  179822 */     GIR_EraseRootFromParent_Done,
     /*  179823 */   // Label 3422: @179823
     /*  179823 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(179878), // Rule ID 672 //
     /*  179828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  179831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179845 */     // MIs[0] addr
     /*  179845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179861 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  179864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179866 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179868 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179870 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179876 */     GIR_RootConstrainSelectedInstOperands,
     /*  179877 */     // GIR_Coverage, 672,
     /*  179877 */     GIR_EraseRootFromParent_Done,
     /*  179878 */   // Label 3423: @179878
     /*  179878 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(179933), // Rule ID 674 //
     /*  179883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  179886 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179893 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179900 */     // MIs[0] addr
     /*  179900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179916 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  179919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179921 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179923 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179925 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179931 */     GIR_RootConstrainSelectedInstOperands,
     /*  179932 */     // GIR_Coverage, 674,
     /*  179932 */     GIR_EraseRootFromParent_Done,
     /*  179933 */   // Label 3424: @179933
     /*  179933 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(179988), // Rule ID 676 //
     /*  179938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  179941 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179948 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179955 */     // MIs[0] addr
     /*  179955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179971 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  179971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  179974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  179976 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179978 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179980 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179986 */     GIR_RootConstrainSelectedInstOperands,
     /*  179987 */     // GIR_Coverage, 676,
     /*  179987 */     GIR_EraseRootFromParent_Done,
     /*  179988 */   // Label 3425: @179988
     /*  179988 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(180043), // Rule ID 678 //
     /*  179993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  179996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180010 */     // MIs[0] addr
     /*  180010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180026 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180031 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180033 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180035 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180041 */     GIR_RootConstrainSelectedInstOperands,
     /*  180042 */     // GIR_Coverage, 678,
     /*  180042 */     GIR_EraseRootFromParent_Done,
     /*  180043 */   // Label 3426: @180043
     /*  180043 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(180098), // Rule ID 1050 //
     /*  180048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180065 */     // MIs[0] addr
     /*  180065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180081 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180086 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180088 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180090 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180096 */     GIR_RootConstrainSelectedInstOperands,
     /*  180097 */     // GIR_Coverage, 1050,
     /*  180097 */     GIR_EraseRootFromParent_Done,
     /*  180098 */   // Label 3427: @180098
     /*  180098 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(180153), // Rule ID 1052 //
     /*  180103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180120 */     // MIs[0] addr
     /*  180120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180136 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  180139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180141 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180143 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180145 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180151 */     GIR_RootConstrainSelectedInstOperands,
     /*  180152 */     // GIR_Coverage, 1052,
     /*  180152 */     GIR_EraseRootFromParent_Done,
     /*  180153 */   // Label 3428: @180153
     /*  180153 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(180208), // Rule ID 1054 //
     /*  180158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180175 */     // MIs[0] addr
     /*  180175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180191 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  180194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180196 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180198 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180200 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180206 */     GIR_RootConstrainSelectedInstOperands,
     /*  180207 */     // GIR_Coverage, 1054,
     /*  180207 */     GIR_EraseRootFromParent_Done,
     /*  180208 */   // Label 3429: @180208
     /*  180208 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(180263), // Rule ID 1056 //
     /*  180213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180216 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180223 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180230 */     // MIs[0] addr
     /*  180230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180246 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  180249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180251 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180253 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180255 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180261 */     GIR_RootConstrainSelectedInstOperands,
     /*  180262 */     // GIR_Coverage, 1056,
     /*  180262 */     GIR_EraseRootFromParent_Done,
     /*  180263 */   // Label 3430: @180263
     /*  180263 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(180318), // Rule ID 1058 //
     /*  180268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180285 */     // MIs[0] addr
     /*  180285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180301 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  180304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180306 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180308 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180310 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180316 */     GIR_RootConstrainSelectedInstOperands,
     /*  180317 */     // GIR_Coverage, 1058,
     /*  180317 */     GIR_EraseRootFromParent_Done,
     /*  180318 */   // Label 3431: @180318
     /*  180318 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(180373), // Rule ID 1060 //
     /*  180323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180326 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180333 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180340 */     // MIs[0] addr
     /*  180340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180356 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180361 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180363 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180365 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180371 */     GIR_RootConstrainSelectedInstOperands,
     /*  180372 */     // GIR_Coverage, 1060,
     /*  180372 */     GIR_EraseRootFromParent_Done,
     /*  180373 */   // Label 3432: @180373
     /*  180373 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(180428), // Rule ID 1062 //
     /*  180378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180381 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180388 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180395 */     // MIs[0] addr
     /*  180395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180411 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180416 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180418 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180420 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180426 */     GIR_RootConstrainSelectedInstOperands,
     /*  180427 */     // GIR_Coverage, 1062,
     /*  180427 */     GIR_EraseRootFromParent_Done,
     /*  180428 */   // Label 3433: @180428
     /*  180428 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(180483), // Rule ID 1064 //
     /*  180433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180450 */     // MIs[0] addr
     /*  180450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180466 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180471 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180473 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180475 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180481 */     GIR_RootConstrainSelectedInstOperands,
     /*  180482 */     // GIR_Coverage, 1064,
     /*  180482 */     GIR_EraseRootFromParent_Done,
     /*  180483 */   // Label 3434: @180483
     /*  180483 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(180538), // Rule ID 1066 //
     /*  180488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180505 */     // MIs[0] addr
     /*  180505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180521 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180526 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180528 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180530 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180536 */     GIR_RootConstrainSelectedInstOperands,
     /*  180537 */     // GIR_Coverage, 1066,
     /*  180537 */     GIR_EraseRootFromParent_Done,
     /*  180538 */   // Label 3435: @180538
     /*  180538 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(180593), // Rule ID 1068 //
     /*  180543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180560 */     // MIs[0] addr
     /*  180560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180576 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180581 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180583 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180585 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180591 */     GIR_RootConstrainSelectedInstOperands,
     /*  180592 */     // GIR_Coverage, 1068,
     /*  180592 */     GIR_EraseRootFromParent_Done,
     /*  180593 */   // Label 3436: @180593
     /*  180593 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(180648), // Rule ID 1070 //
     /*  180598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180615 */     // MIs[0] addr
     /*  180615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180631 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180636 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180638 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180640 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180646 */     GIR_RootConstrainSelectedInstOperands,
     /*  180647 */     // GIR_Coverage, 1070,
     /*  180647 */     GIR_EraseRootFromParent_Done,
     /*  180648 */   // Label 3437: @180648
     /*  180648 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(180703), // Rule ID 1072 //
     /*  180653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180663 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180670 */     // MIs[0] addr
     /*  180670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180686 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  180689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180691 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180693 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180695 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180701 */     GIR_RootConstrainSelectedInstOperands,
     /*  180702 */     // GIR_Coverage, 1072,
     /*  180702 */     GIR_EraseRootFromParent_Done,
     /*  180703 */   // Label 3438: @180703
     /*  180703 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(180758), // Rule ID 1074 //
     /*  180708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180725 */     // MIs[0] addr
     /*  180725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180741 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  180744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180746 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180748 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180750 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180756 */     GIR_RootConstrainSelectedInstOperands,
     /*  180757 */     // GIR_Coverage, 1074,
     /*  180757 */     GIR_EraseRootFromParent_Done,
     /*  180758 */   // Label 3439: @180758
     /*  180758 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(180813), // Rule ID 1076 //
     /*  180763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180766 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180773 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180780 */     // MIs[0] addr
     /*  180780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180796 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  180799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180801 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180803 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180805 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180811 */     GIR_RootConstrainSelectedInstOperands,
     /*  180812 */     // GIR_Coverage, 1076,
     /*  180812 */     GIR_EraseRootFromParent_Done,
     /*  180813 */   // Label 3440: @180813
     /*  180813 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(180868), // Rule ID 1078 //
     /*  180818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180835 */     // MIs[0] addr
     /*  180835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180851 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  180854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180856 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180858 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180860 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180866 */     GIR_RootConstrainSelectedInstOperands,
     /*  180867 */     // GIR_Coverage, 1078,
     /*  180867 */     GIR_EraseRootFromParent_Done,
     /*  180868 */   // Label 3441: @180868
     /*  180868 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(180923), // Rule ID 1080 //
     /*  180873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180890 */     // MIs[0] addr
     /*  180890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180906 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180911 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180913 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180915 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180921 */     GIR_RootConstrainSelectedInstOperands,
     /*  180922 */     // GIR_Coverage, 1080,
     /*  180922 */     GIR_EraseRootFromParent_Done,
     /*  180923 */   // Label 3442: @180923
     /*  180923 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(180978), // Rule ID 1082 //
     /*  180928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180945 */     // MIs[0] addr
     /*  180945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180961 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  180964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180966 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180968 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180970 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180976 */     GIR_RootConstrainSelectedInstOperands,
     /*  180977 */     // GIR_Coverage, 1082,
     /*  180977 */     GIR_EraseRootFromParent_Done,
     /*  180978 */   // Label 3443: @180978
     /*  180978 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(181033), // Rule ID 1084 //
     /*  180983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181000 */     // MIs[0] addr
     /*  181000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181016 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181021 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181023 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181025 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181031 */     GIR_RootConstrainSelectedInstOperands,
     /*  181032 */     // GIR_Coverage, 1084,
     /*  181032 */     GIR_EraseRootFromParent_Done,
     /*  181033 */   // Label 3444: @181033
     /*  181033 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(181088), // Rule ID 1086 //
     /*  181038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181055 */     // MIs[0] addr
     /*  181055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181071 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181076 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181078 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181080 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181086 */     GIR_RootConstrainSelectedInstOperands,
     /*  181087 */     // GIR_Coverage, 1086,
     /*  181087 */     GIR_EraseRootFromParent_Done,
     /*  181088 */   // Label 3445: @181088
     /*  181088 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(181143), // Rule ID 1088 //
     /*  181093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181110 */     // MIs[0] addr
     /*  181110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181126 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181131 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181133 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181135 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181141 */     GIR_RootConstrainSelectedInstOperands,
     /*  181142 */     // GIR_Coverage, 1088,
     /*  181142 */     GIR_EraseRootFromParent_Done,
     /*  181143 */   // Label 3446: @181143
     /*  181143 */   GIM_Reject,
     /*  181144 */ // Label 3411: @181144
     /*  181144 */ GIM_Reject,
     /*  181145 */ // Label 3409: @181145
     /*  181145 */ GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(184017),
     /*  181150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  181153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  181156 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(181222), // Rule ID 642 //
     /*  181161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181178 */     // MIs[0] addr
     /*  181178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181194 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  181194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181202 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181207 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181209 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181211 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  181216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181220 */     GIR_RootConstrainSelectedInstOperands,
     /*  181221 */     // GIR_Coverage, 642,
     /*  181221 */     GIR_EraseRootFromParent_Done,
     /*  181222 */   // Label 3448: @181222
     /*  181222 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(181288), // Rule ID 644 //
     /*  181227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181230 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181237 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181244 */     // MIs[0] addr
     /*  181244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181260 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  181260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181268 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181273 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181275 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181277 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181286 */     GIR_RootConstrainSelectedInstOperands,
     /*  181287 */     // GIR_Coverage, 644,
     /*  181287 */     GIR_EraseRootFromParent_Done,
     /*  181288 */   // Label 3449: @181288
     /*  181288 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(181354), // Rule ID 646 //
     /*  181293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181296 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181303 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181310 */     // MIs[0] addr
     /*  181310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181326 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  181326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181334 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181339 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181341 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181343 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181352 */     GIR_RootConstrainSelectedInstOperands,
     /*  181353 */     // GIR_Coverage, 646,
     /*  181353 */     GIR_EraseRootFromParent_Done,
     /*  181354 */   // Label 3450: @181354
     /*  181354 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(181420), // Rule ID 648 //
     /*  181359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181369 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181376 */     // MIs[0] addr
     /*  181376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181392 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  181392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181400 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181405 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181407 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181409 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  181414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181418 */     GIR_RootConstrainSelectedInstOperands,
     /*  181419 */     // GIR_Coverage, 648,
     /*  181419 */     GIR_EraseRootFromParent_Done,
     /*  181420 */   // Label 3451: @181420
     /*  181420 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(181486), // Rule ID 650 //
     /*  181425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181442 */     // MIs[0] addr
     /*  181442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181458 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  181458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181466 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181471 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181473 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181475 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  181480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181484 */     GIR_RootConstrainSelectedInstOperands,
     /*  181485 */     // GIR_Coverage, 650,
     /*  181485 */     GIR_EraseRootFromParent_Done,
     /*  181486 */   // Label 3452: @181486
     /*  181486 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(181552), // Rule ID 652 //
     /*  181491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181508 */     // MIs[0] addr
     /*  181508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181524 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  181524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181532 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181537 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181539 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181541 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  181546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181550 */     GIR_RootConstrainSelectedInstOperands,
     /*  181551 */     // GIR_Coverage, 652,
     /*  181551 */     GIR_EraseRootFromParent_Done,
     /*  181552 */   // Label 3453: @181552
     /*  181552 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(181618), // Rule ID 653 //
     /*  181557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181574 */     // MIs[0] addr
     /*  181574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181590 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  181590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181598 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181603 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181605 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181607 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181616 */     GIR_RootConstrainSelectedInstOperands,
     /*  181617 */     // GIR_Coverage, 653,
     /*  181617 */     GIR_EraseRootFromParent_Done,
     /*  181618 */   // Label 3454: @181618
     /*  181618 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(181684), // Rule ID 654 //
     /*  181623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181640 */     // MIs[0] addr
     /*  181640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181656 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  181656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181664 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181669 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181671 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181673 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181682 */     GIR_RootConstrainSelectedInstOperands,
     /*  181683 */     // GIR_Coverage, 654,
     /*  181683 */     GIR_EraseRootFromParent_Done,
     /*  181684 */   // Label 3455: @181684
     /*  181684 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(181750), // Rule ID 655 //
     /*  181689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181692 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181699 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181706 */     // MIs[0] addr
     /*  181706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181722 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  181722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181730 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181735 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181737 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181739 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  181744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181748 */     GIR_RootConstrainSelectedInstOperands,
     /*  181749 */     // GIR_Coverage, 655,
     /*  181749 */     GIR_EraseRootFromParent_Done,
     /*  181750 */   // Label 3456: @181750
     /*  181750 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(181816), // Rule ID 656 //
     /*  181755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  181758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181772 */     // MIs[0] addr
     /*  181772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181788 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  181788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  181794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181796 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181801 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181803 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181805 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  181810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181814 */     GIR_RootConstrainSelectedInstOperands,
     /*  181815 */     // GIR_Coverage, 656,
     /*  181815 */     GIR_EraseRootFromParent_Done,
     /*  181816 */   // Label 3457: @181816
     /*  181816 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(181871), // Rule ID 659 //
     /*  181821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  181824 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181831 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181838 */     // MIs[0] addr
     /*  181838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181854 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  181854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  181857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181859 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181861 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181863 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181869 */     GIR_RootConstrainSelectedInstOperands,
     /*  181870 */     // GIR_Coverage, 659,
     /*  181870 */     GIR_EraseRootFromParent_Done,
     /*  181871 */   // Label 3458: @181871
     /*  181871 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(181926), // Rule ID 661 //
     /*  181876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  181879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181893 */     // MIs[0] addr
     /*  181893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181909 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  181909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  181912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181914 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181916 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181918 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181924 */     GIR_RootConstrainSelectedInstOperands,
     /*  181925 */     // GIR_Coverage, 661,
     /*  181925 */     GIR_EraseRootFromParent_Done,
     /*  181926 */   // Label 3459: @181926
     /*  181926 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(181981), // Rule ID 663 //
     /*  181931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  181934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181948 */     // MIs[0] addr
     /*  181948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181964 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  181964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  181967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181969 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181971 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181973 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181979 */     GIR_RootConstrainSelectedInstOperands,
     /*  181980 */     // GIR_Coverage, 663,
     /*  181980 */     GIR_EraseRootFromParent_Done,
     /*  181981 */   // Label 3460: @181981
     /*  181981 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(182036), // Rule ID 665 //
     /*  181986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  181989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182003 */     // MIs[0] addr
     /*  182003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182019 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  182022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182024 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182026 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182028 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182034 */     GIR_RootConstrainSelectedInstOperands,
     /*  182035 */     // GIR_Coverage, 665,
     /*  182035 */     GIR_EraseRootFromParent_Done,
     /*  182036 */   // Label 3461: @182036
     /*  182036 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(182091), // Rule ID 667 //
     /*  182041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182058 */     // MIs[0] addr
     /*  182058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182074 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  182077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182079 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182081 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182083 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182089 */     GIR_RootConstrainSelectedInstOperands,
     /*  182090 */     // GIR_Coverage, 667,
     /*  182090 */     GIR_EraseRootFromParent_Done,
     /*  182091 */   // Label 3462: @182091
     /*  182091 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(182146), // Rule ID 669 //
     /*  182096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182106 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182113 */     // MIs[0] addr
     /*  182113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182129 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182134 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182136 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182138 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182144 */     GIR_RootConstrainSelectedInstOperands,
     /*  182145 */     // GIR_Coverage, 669,
     /*  182145 */     GIR_EraseRootFromParent_Done,
     /*  182146 */   // Label 3463: @182146
     /*  182146 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(182201), // Rule ID 671 //
     /*  182151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182168 */     // MIs[0] addr
     /*  182168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182184 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182189 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182191 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182193 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182199 */     GIR_RootConstrainSelectedInstOperands,
     /*  182200 */     // GIR_Coverage, 671,
     /*  182200 */     GIR_EraseRootFromParent_Done,
     /*  182201 */   // Label 3464: @182201
     /*  182201 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(182256), // Rule ID 673 //
     /*  182206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182223 */     // MIs[0] addr
     /*  182223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182239 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182244 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182246 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182248 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182254 */     GIR_RootConstrainSelectedInstOperands,
     /*  182255 */     // GIR_Coverage, 673,
     /*  182255 */     GIR_EraseRootFromParent_Done,
     /*  182256 */   // Label 3465: @182256
     /*  182256 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(182311), // Rule ID 675 //
     /*  182261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182278 */     // MIs[0] addr
     /*  182278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182294 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182299 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182301 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182303 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182309 */     GIR_RootConstrainSelectedInstOperands,
     /*  182310 */     // GIR_Coverage, 675,
     /*  182310 */     GIR_EraseRootFromParent_Done,
     /*  182311 */   // Label 3466: @182311
     /*  182311 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(182366), // Rule ID 677 //
     /*  182316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182333 */     // MIs[0] addr
     /*  182333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182349 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182354 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182356 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182358 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182364 */     GIR_RootConstrainSelectedInstOperands,
     /*  182365 */     // GIR_Coverage, 677,
     /*  182365 */     GIR_EraseRootFromParent_Done,
     /*  182366 */   // Label 3467: @182366
     /*  182366 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(182421), // Rule ID 679 //
     /*  182371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182388 */     // MIs[0] addr
     /*  182388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182404 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182409 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182411 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182413 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182419 */     GIR_RootConstrainSelectedInstOperands,
     /*  182420 */     // GIR_Coverage, 679,
     /*  182420 */     GIR_EraseRootFromParent_Done,
     /*  182421 */   // Label 3468: @182421
     /*  182421 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(182476), // Rule ID 680 //
     /*  182426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182443 */     // MIs[0] addr
     /*  182443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182459 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  182462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182464 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182466 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182468 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182474 */     GIR_RootConstrainSelectedInstOperands,
     /*  182475 */     // GIR_Coverage, 680,
     /*  182475 */     GIR_EraseRootFromParent_Done,
     /*  182476 */   // Label 3469: @182476
     /*  182476 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(182531), // Rule ID 681 //
     /*  182481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182498 */     // MIs[0] addr
     /*  182498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182514 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  182517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182519 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182521 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182523 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182529 */     GIR_RootConstrainSelectedInstOperands,
     /*  182530 */     // GIR_Coverage, 681,
     /*  182530 */     GIR_EraseRootFromParent_Done,
     /*  182531 */   // Label 3470: @182531
     /*  182531 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(182586), // Rule ID 682 //
     /*  182536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182553 */     // MIs[0] addr
     /*  182553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182569 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  182572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182574 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182576 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182578 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182584 */     GIR_RootConstrainSelectedInstOperands,
     /*  182585 */     // GIR_Coverage, 682,
     /*  182585 */     GIR_EraseRootFromParent_Done,
     /*  182586 */   // Label 3471: @182586
     /*  182586 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(182641), // Rule ID 683 //
     /*  182591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182608 */     // MIs[0] addr
     /*  182608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182624 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  182627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182629 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182631 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182633 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182639 */     GIR_RootConstrainSelectedInstOperands,
     /*  182640 */     // GIR_Coverage, 683,
     /*  182640 */     GIR_EraseRootFromParent_Done,
     /*  182641 */   // Label 3472: @182641
     /*  182641 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(182696), // Rule ID 684 //
     /*  182646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182663 */     // MIs[0] addr
     /*  182663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182679 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182684 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182686 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182688 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182694 */     GIR_RootConstrainSelectedInstOperands,
     /*  182695 */     // GIR_Coverage, 684,
     /*  182695 */     GIR_EraseRootFromParent_Done,
     /*  182696 */   // Label 3473: @182696
     /*  182696 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(182751), // Rule ID 685 //
     /*  182701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182718 */     // MIs[0] addr
     /*  182718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182734 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182739 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182741 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182743 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182749 */     GIR_RootConstrainSelectedInstOperands,
     /*  182750 */     // GIR_Coverage, 685,
     /*  182750 */     GIR_EraseRootFromParent_Done,
     /*  182751 */   // Label 3474: @182751
     /*  182751 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(182806), // Rule ID 686 //
     /*  182756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182773 */     // MIs[0] addr
     /*  182773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182789 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182794 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182796 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182798 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182804 */     GIR_RootConstrainSelectedInstOperands,
     /*  182805 */     // GIR_Coverage, 686,
     /*  182805 */     GIR_EraseRootFromParent_Done,
     /*  182806 */   // Label 3475: @182806
     /*  182806 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(182861), // Rule ID 687 //
     /*  182811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182828 */     // MIs[0] addr
     /*  182828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182844 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182849 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182851 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182853 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182859 */     GIR_RootConstrainSelectedInstOperands,
     /*  182860 */     // GIR_Coverage, 687,
     /*  182860 */     GIR_EraseRootFromParent_Done,
     /*  182861 */   // Label 3476: @182861
     /*  182861 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(182916), // Rule ID 688 //
     /*  182866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  182869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182883 */     // MIs[0] addr
     /*  182883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182899 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  182902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182904 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182906 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182908 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182910 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182914 */     GIR_RootConstrainSelectedInstOperands,
     /*  182915 */     // GIR_Coverage, 688,
     /*  182915 */     GIR_EraseRootFromParent_Done,
     /*  182916 */   // Label 3477: @182916
     /*  182916 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(182971), // Rule ID 1049 //
     /*  182921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182924 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182938 */     // MIs[0] addr
     /*  182938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182954 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  182957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182959 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182961 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182963 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182969 */     GIR_RootConstrainSelectedInstOperands,
     /*  182970 */     // GIR_Coverage, 1049,
     /*  182970 */     GIR_EraseRootFromParent_Done,
     /*  182971 */   // Label 3478: @182971
     /*  182971 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(183026), // Rule ID 1051 //
     /*  182976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182979 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  182986 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182993 */     // MIs[0] addr
     /*  182993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183009 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  183012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183014 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183016 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183018 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183024 */     GIR_RootConstrainSelectedInstOperands,
     /*  183025 */     // GIR_Coverage, 1051,
     /*  183025 */     GIR_EraseRootFromParent_Done,
     /*  183026 */   // Label 3479: @183026
     /*  183026 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(183081), // Rule ID 1053 //
     /*  183031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183048 */     // MIs[0] addr
     /*  183048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183064 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  183067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183069 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183071 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183073 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183079 */     GIR_RootConstrainSelectedInstOperands,
     /*  183080 */     // GIR_Coverage, 1053,
     /*  183080 */     GIR_EraseRootFromParent_Done,
     /*  183081 */   // Label 3480: @183081
     /*  183081 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(183136), // Rule ID 1055 //
     /*  183086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183103 */     // MIs[0] addr
     /*  183103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183119 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  183122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183124 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183126 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183128 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183134 */     GIR_RootConstrainSelectedInstOperands,
     /*  183135 */     // GIR_Coverage, 1055,
     /*  183135 */     GIR_EraseRootFromParent_Done,
     /*  183136 */   // Label 3481: @183136
     /*  183136 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(183191), // Rule ID 1057 //
     /*  183141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183158 */     // MIs[0] addr
     /*  183158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183174 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  183177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183179 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183181 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183183 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183189 */     GIR_RootConstrainSelectedInstOperands,
     /*  183190 */     // GIR_Coverage, 1057,
     /*  183190 */     GIR_EraseRootFromParent_Done,
     /*  183191 */   // Label 3482: @183191
     /*  183191 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(183246), // Rule ID 1059 //
     /*  183196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183213 */     // MIs[0] addr
     /*  183213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183229 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183234 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183236 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183238 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183244 */     GIR_RootConstrainSelectedInstOperands,
     /*  183245 */     // GIR_Coverage, 1059,
     /*  183245 */     GIR_EraseRootFromParent_Done,
     /*  183246 */   // Label 3483: @183246
     /*  183246 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(183301), // Rule ID 1061 //
     /*  183251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183268 */     // MIs[0] addr
     /*  183268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183284 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183289 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183291 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183293 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183299 */     GIR_RootConstrainSelectedInstOperands,
     /*  183300 */     // GIR_Coverage, 1061,
     /*  183300 */     GIR_EraseRootFromParent_Done,
     /*  183301 */   // Label 3484: @183301
     /*  183301 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(183356), // Rule ID 1063 //
     /*  183306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183316 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183323 */     // MIs[0] addr
     /*  183323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183339 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183344 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183346 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183348 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183354 */     GIR_RootConstrainSelectedInstOperands,
     /*  183355 */     // GIR_Coverage, 1063,
     /*  183355 */     GIR_EraseRootFromParent_Done,
     /*  183356 */   // Label 3485: @183356
     /*  183356 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(183411), // Rule ID 1065 //
     /*  183361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183378 */     // MIs[0] addr
     /*  183378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183394 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183399 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183401 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183403 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183409 */     GIR_RootConstrainSelectedInstOperands,
     /*  183410 */     // GIR_Coverage, 1065,
     /*  183410 */     GIR_EraseRootFromParent_Done,
     /*  183411 */   // Label 3486: @183411
     /*  183411 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(183466), // Rule ID 1067 //
     /*  183416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183419 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183426 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183433 */     // MIs[0] addr
     /*  183433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183449 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183454 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183456 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183458 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183464 */     GIR_RootConstrainSelectedInstOperands,
     /*  183465 */     // GIR_Coverage, 1067,
     /*  183465 */     GIR_EraseRootFromParent_Done,
     /*  183466 */   // Label 3487: @183466
     /*  183466 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(183521), // Rule ID 1069 //
     /*  183471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183474 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183481 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183488 */     // MIs[0] addr
     /*  183488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183504 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  183507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183509 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183511 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183513 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183519 */     GIR_RootConstrainSelectedInstOperands,
     /*  183520 */     // GIR_Coverage, 1069,
     /*  183520 */     GIR_EraseRootFromParent_Done,
     /*  183521 */   // Label 3488: @183521
     /*  183521 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(183576), // Rule ID 1071 //
     /*  183526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183529 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183536 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183543 */     // MIs[0] addr
     /*  183543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183559 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  183562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183564 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183566 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183568 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183574 */     GIR_RootConstrainSelectedInstOperands,
     /*  183575 */     // GIR_Coverage, 1071,
     /*  183575 */     GIR_EraseRootFromParent_Done,
     /*  183576 */   // Label 3489: @183576
     /*  183576 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(183631), // Rule ID 1073 //
     /*  183581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183598 */     // MIs[0] addr
     /*  183598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183614 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  183617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183619 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183621 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183623 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183629 */     GIR_RootConstrainSelectedInstOperands,
     /*  183630 */     // GIR_Coverage, 1073,
     /*  183630 */     GIR_EraseRootFromParent_Done,
     /*  183631 */   // Label 3490: @183631
     /*  183631 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(183686), // Rule ID 1075 //
     /*  183636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183653 */     // MIs[0] addr
     /*  183653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183669 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  183672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183674 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183676 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183678 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183684 */     GIR_RootConstrainSelectedInstOperands,
     /*  183685 */     // GIR_Coverage, 1075,
     /*  183685 */     GIR_EraseRootFromParent_Done,
     /*  183686 */   // Label 3491: @183686
     /*  183686 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(183741), // Rule ID 1077 //
     /*  183691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183708 */     // MIs[0] addr
     /*  183708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183724 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  183727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183729 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183731 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183733 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183739 */     GIR_RootConstrainSelectedInstOperands,
     /*  183740 */     // GIR_Coverage, 1077,
     /*  183740 */     GIR_EraseRootFromParent_Done,
     /*  183741 */   // Label 3492: @183741
     /*  183741 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(183796), // Rule ID 1079 //
     /*  183746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183749 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183756 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183763 */     // MIs[0] addr
     /*  183763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183779 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  183782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183784 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183786 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183788 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183794 */     GIR_RootConstrainSelectedInstOperands,
     /*  183795 */     // GIR_Coverage, 1079,
     /*  183795 */     GIR_EraseRootFromParent_Done,
     /*  183796 */   // Label 3493: @183796
     /*  183796 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(183851), // Rule ID 1081 //
     /*  183801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183804 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183818 */     // MIs[0] addr
     /*  183818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183834 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  183837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183839 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183841 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183843 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183849 */     GIR_RootConstrainSelectedInstOperands,
     /*  183850 */     // GIR_Coverage, 1081,
     /*  183850 */     GIR_EraseRootFromParent_Done,
     /*  183851 */   // Label 3494: @183851
     /*  183851 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(183906), // Rule ID 1083 //
     /*  183856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183866 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183873 */     // MIs[0] addr
     /*  183873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183889 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  183892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183894 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183896 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183898 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183904 */     GIR_RootConstrainSelectedInstOperands,
     /*  183905 */     // GIR_Coverage, 1083,
     /*  183905 */     GIR_EraseRootFromParent_Done,
     /*  183906 */   // Label 3495: @183906
     /*  183906 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(183961), // Rule ID 1085 //
     /*  183911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183914 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183921 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183928 */     // MIs[0] addr
     /*  183928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183944 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  183947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183949 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183951 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183953 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183959 */     GIR_RootConstrainSelectedInstOperands,
     /*  183960 */     // GIR_Coverage, 1085,
     /*  183960 */     GIR_EraseRootFromParent_Done,
     /*  183961 */   // Label 3496: @183961
     /*  183961 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(184016), // Rule ID 1087 //
     /*  183966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183983 */     // MIs[0] addr
     /*  183983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183999 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184004 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184006 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184008 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184010 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184014 */     GIR_RootConstrainSelectedInstOperands,
     /*  184015 */     // GIR_Coverage, 1087,
     /*  184015 */     GIR_EraseRootFromParent_Done,
     /*  184016 */   // Label 3497: @184016
     /*  184016 */   GIM_Reject,
     /*  184017 */ // Label 3447: @184017
     /*  184017 */ GIM_Reject,
     /*  184018 */ // Label 3410: @184018
     /*  184018 */ GIM_Reject,
     /*  184019 */ // Label 26: @184019
     /*  184019 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3500*/ GIMT_Encode4(186928),
     /*  184030 */ /*GILLT_s32*//*Label 3498*/ GIMT_Encode4(184038),
     /*  184034 */ /*GILLT_s64*//*Label 3499*/ GIMT_Encode4(185278),
     /*  184038 */ // Label 3498: @184038
     /*  184038 */ GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(185277),
     /*  184043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  184046 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(184087), // Rule ID 342 //
     /*  184051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184068 */     // MIs[0] rs1
     /*  184068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184080 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184085 */     GIR_RootConstrainSelectedInstOperands,
     /*  184086 */     // GIR_Coverage, 342,
     /*  184086 */     GIR_Done,
     /*  184087 */   // Label 3502: @184087
     /*  184087 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(184128), // Rule ID 344 //
     /*  184092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184109 */     // MIs[0] rs1
     /*  184109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184121 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  184126 */     GIR_RootConstrainSelectedInstOperands,
     /*  184127 */     // GIR_Coverage, 344,
     /*  184127 */     GIR_Done,
     /*  184128 */   // Label 3503: @184128
     /*  184128 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(184169), // Rule ID 346 //
     /*  184133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184150 */     // MIs[0] rs1
     /*  184150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184162 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  184167 */     GIR_RootConstrainSelectedInstOperands,
     /*  184168 */     // GIR_Coverage, 346,
     /*  184168 */     GIR_Done,
     /*  184169 */   // Label 3504: @184169
     /*  184169 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(184210), // Rule ID 348 //
     /*  184174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184191 */     // MIs[0] rs1
     /*  184191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184203 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  184208 */     GIR_RootConstrainSelectedInstOperands,
     /*  184209 */     // GIR_Coverage, 348,
     /*  184209 */     GIR_Done,
     /*  184210 */   // Label 3505: @184210
     /*  184210 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(184251), // Rule ID 350 //
     /*  184215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184232 */     // MIs[0] rs1
     /*  184232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184244 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  184249 */     GIR_RootConstrainSelectedInstOperands,
     /*  184250 */     // GIR_Coverage, 350,
     /*  184250 */     GIR_Done,
     /*  184251 */   // Label 3506: @184251
     /*  184251 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(184292), // Rule ID 352 //
     /*  184256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184273 */     // MIs[0] rs1
     /*  184273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184285 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184290 */     GIR_RootConstrainSelectedInstOperands,
     /*  184291 */     // GIR_Coverage, 352,
     /*  184291 */     GIR_Done,
     /*  184292 */   // Label 3507: @184292
     /*  184292 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(184333), // Rule ID 354 //
     /*  184297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184314 */     // MIs[0] rs1
     /*  184314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184326 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184331 */     GIR_RootConstrainSelectedInstOperands,
     /*  184332 */     // GIR_Coverage, 354,
     /*  184332 */     GIR_Done,
     /*  184333 */   // Label 3508: @184333
     /*  184333 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(184374), // Rule ID 356 //
     /*  184338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184355 */     // MIs[0] rs1
     /*  184355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184367 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184372 */     GIR_RootConstrainSelectedInstOperands,
     /*  184373 */     // GIR_Coverage, 356,
     /*  184373 */     GIR_Done,
     /*  184374 */   // Label 3509: @184374
     /*  184374 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(184415), // Rule ID 358 //
     /*  184379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184396 */     // MIs[0] rs1
     /*  184396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184408 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184413 */     GIR_RootConstrainSelectedInstOperands,
     /*  184414 */     // GIR_Coverage, 358,
     /*  184414 */     GIR_Done,
     /*  184415 */   // Label 3510: @184415
     /*  184415 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(184456), // Rule ID 360 //
     /*  184420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184437 */     // MIs[0] rs1
     /*  184437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184449 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184454 */     GIR_RootConstrainSelectedInstOperands,
     /*  184455 */     // GIR_Coverage, 360,
     /*  184455 */     GIR_Done,
     /*  184456 */   // Label 3511: @184456
     /*  184456 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(184497), // Rule ID 690 //
     /*  184461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184478 */     // MIs[0] rs1
     /*  184478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184490 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184495 */     GIR_RootConstrainSelectedInstOperands,
     /*  184496 */     // GIR_Coverage, 690,
     /*  184496 */     GIR_Done,
     /*  184497 */   // Label 3512: @184497
     /*  184497 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(184538), // Rule ID 692 //
     /*  184502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184519 */     // MIs[0] rs1
     /*  184519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184531 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  184536 */     GIR_RootConstrainSelectedInstOperands,
     /*  184537 */     // GIR_Coverage, 692,
     /*  184537 */     GIR_Done,
     /*  184538 */   // Label 3513: @184538
     /*  184538 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(184579), // Rule ID 694 //
     /*  184543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184560 */     // MIs[0] rs1
     /*  184560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184572 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  184577 */     GIR_RootConstrainSelectedInstOperands,
     /*  184578 */     // GIR_Coverage, 694,
     /*  184578 */     GIR_Done,
     /*  184579 */   // Label 3514: @184579
     /*  184579 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(184620), // Rule ID 696 //
     /*  184584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184601 */     // MIs[0] rs1
     /*  184601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184613 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  184618 */     GIR_RootConstrainSelectedInstOperands,
     /*  184619 */     // GIR_Coverage, 696,
     /*  184619 */     GIR_Done,
     /*  184620 */   // Label 3515: @184620
     /*  184620 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(184661), // Rule ID 698 //
     /*  184625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184642 */     // MIs[0] rs1
     /*  184642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184654 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  184659 */     GIR_RootConstrainSelectedInstOperands,
     /*  184660 */     // GIR_Coverage, 698,
     /*  184660 */     GIR_Done,
     /*  184661 */   // Label 3516: @184661
     /*  184661 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(184702), // Rule ID 700 //
     /*  184666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184683 */     // MIs[0] rs1
     /*  184683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184695 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184700 */     GIR_RootConstrainSelectedInstOperands,
     /*  184701 */     // GIR_Coverage, 700,
     /*  184701 */     GIR_Done,
     /*  184702 */   // Label 3517: @184702
     /*  184702 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(184743), // Rule ID 702 //
     /*  184707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184724 */     // MIs[0] rs1
     /*  184724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184736 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184741 */     GIR_RootConstrainSelectedInstOperands,
     /*  184742 */     // GIR_Coverage, 702,
     /*  184742 */     GIR_Done,
     /*  184743 */   // Label 3518: @184743
     /*  184743 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(184784), // Rule ID 704 //
     /*  184748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184765 */     // MIs[0] rs1
     /*  184765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184777 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184782 */     GIR_RootConstrainSelectedInstOperands,
     /*  184783 */     // GIR_Coverage, 704,
     /*  184783 */     GIR_Done,
     /*  184784 */   // Label 3519: @184784
     /*  184784 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(184825), // Rule ID 706 //
     /*  184789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184806 */     // MIs[0] rs1
     /*  184806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184818 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184823 */     GIR_RootConstrainSelectedInstOperands,
     /*  184824 */     // GIR_Coverage, 706,
     /*  184824 */     GIR_Done,
     /*  184825 */   // Label 3520: @184825
     /*  184825 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(184866), // Rule ID 708 //
     /*  184830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184847 */     // MIs[0] rs1
     /*  184847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184859 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  184864 */     GIR_RootConstrainSelectedInstOperands,
     /*  184865 */     // GIR_Coverage, 708,
     /*  184865 */     GIR_Done,
     /*  184866 */   // Label 3521: @184866
     /*  184866 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(184907), // Rule ID 870 //
     /*  184871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184888 */     // MIs[0] rs1
     /*  184888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184900 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  184905 */     GIR_RootConstrainSelectedInstOperands,
     /*  184906 */     // GIR_Coverage, 870,
     /*  184906 */     GIR_Done,
     /*  184907 */   // Label 3522: @184907
     /*  184907 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(184948), // Rule ID 872 //
     /*  184912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184929 */     // MIs[0] rs1
     /*  184929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184941 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  184946 */     GIR_RootConstrainSelectedInstOperands,
     /*  184947 */     // GIR_Coverage, 872,
     /*  184947 */     GIR_Done,
     /*  184948 */   // Label 3523: @184948
     /*  184948 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(184989), // Rule ID 874 //
     /*  184953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184970 */     // MIs[0] rs1
     /*  184970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184982 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  184987 */     GIR_RootConstrainSelectedInstOperands,
     /*  184988 */     // GIR_Coverage, 874,
     /*  184988 */     GIR_Done,
     /*  184989 */   // Label 3524: @184989
     /*  184989 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(185030), // Rule ID 876 //
     /*  184994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185011 */     // MIs[0] rs1
     /*  185011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185023 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  185028 */     GIR_RootConstrainSelectedInstOperands,
     /*  185029 */     // GIR_Coverage, 876,
     /*  185029 */     GIR_Done,
     /*  185030 */   // Label 3525: @185030
     /*  185030 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(185071), // Rule ID 878 //
     /*  185035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185052 */     // MIs[0] rs1
     /*  185052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185064 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  185069 */     GIR_RootConstrainSelectedInstOperands,
     /*  185070 */     // GIR_Coverage, 878,
     /*  185070 */     GIR_Done,
     /*  185071 */   // Label 3526: @185071
     /*  185071 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(185112), // Rule ID 880 //
     /*  185076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185093 */     // MIs[0] rs1
     /*  185093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185105 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185110 */     GIR_RootConstrainSelectedInstOperands,
     /*  185111 */     // GIR_Coverage, 880,
     /*  185111 */     GIR_Done,
     /*  185112 */   // Label 3527: @185112
     /*  185112 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(185153), // Rule ID 882 //
     /*  185117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185134 */     // MIs[0] rs1
     /*  185134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185146 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185151 */     GIR_RootConstrainSelectedInstOperands,
     /*  185152 */     // GIR_Coverage, 882,
     /*  185152 */     GIR_Done,
     /*  185153 */   // Label 3528: @185153
     /*  185153 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(185194), // Rule ID 884 //
     /*  185158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185175 */     // MIs[0] rs1
     /*  185175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185187 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185192 */     GIR_RootConstrainSelectedInstOperands,
     /*  185193 */     // GIR_Coverage, 884,
     /*  185193 */     GIR_Done,
     /*  185194 */   // Label 3529: @185194
     /*  185194 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(185235), // Rule ID 886 //
     /*  185199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185216 */     // MIs[0] rs1
     /*  185216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185228 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185233 */     GIR_RootConstrainSelectedInstOperands,
     /*  185234 */     // GIR_Coverage, 886,
     /*  185234 */     GIR_Done,
     /*  185235 */   // Label 3530: @185235
     /*  185235 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(185276), // Rule ID 888 //
     /*  185240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185257 */     // MIs[0] rs1
     /*  185257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185269 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185274 */     GIR_RootConstrainSelectedInstOperands,
     /*  185275 */     // GIR_Coverage, 888,
     /*  185275 */     GIR_Done,
     /*  185276 */   // Label 3531: @185276
     /*  185276 */   GIM_Reject,
     /*  185277 */ // Label 3501: @185277
     /*  185277 */ GIM_Reject,
     /*  185278 */ // Label 3499: @185278
     /*  185278 */ GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(186927),
     /*  185283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  185286 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(185327), // Rule ID 341 //
     /*  185291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185308 */     // MIs[0] rs1
     /*  185308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185320 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185325 */     GIR_RootConstrainSelectedInstOperands,
     /*  185326 */     // GIR_Coverage, 341,
     /*  185326 */     GIR_Done,
     /*  185327 */   // Label 3533: @185327
     /*  185327 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(185368), // Rule ID 343 //
     /*  185332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185349 */     // MIs[0] rs1
     /*  185349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185361 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  185366 */     GIR_RootConstrainSelectedInstOperands,
     /*  185367 */     // GIR_Coverage, 343,
     /*  185367 */     GIR_Done,
     /*  185368 */   // Label 3534: @185368
     /*  185368 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(185409), // Rule ID 345 //
     /*  185373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185390 */     // MIs[0] rs1
     /*  185390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185402 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  185407 */     GIR_RootConstrainSelectedInstOperands,
     /*  185408 */     // GIR_Coverage, 345,
     /*  185408 */     GIR_Done,
     /*  185409 */   // Label 3535: @185409
     /*  185409 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(185450), // Rule ID 347 //
     /*  185414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185431 */     // MIs[0] rs1
     /*  185431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185443 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  185448 */     GIR_RootConstrainSelectedInstOperands,
     /*  185449 */     // GIR_Coverage, 347,
     /*  185449 */     GIR_Done,
     /*  185450 */   // Label 3536: @185450
     /*  185450 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(185491), // Rule ID 349 //
     /*  185455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185472 */     // MIs[0] rs1
     /*  185472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185484 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  185489 */     GIR_RootConstrainSelectedInstOperands,
     /*  185490 */     // GIR_Coverage, 349,
     /*  185490 */     GIR_Done,
     /*  185491 */   // Label 3537: @185491
     /*  185491 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(185532), // Rule ID 351 //
     /*  185496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185513 */     // MIs[0] rs1
     /*  185513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185525 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185530 */     GIR_RootConstrainSelectedInstOperands,
     /*  185531 */     // GIR_Coverage, 351,
     /*  185531 */     GIR_Done,
     /*  185532 */   // Label 3538: @185532
     /*  185532 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(185573), // Rule ID 353 //
     /*  185537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185554 */     // MIs[0] rs1
     /*  185554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185566 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185571 */     GIR_RootConstrainSelectedInstOperands,
     /*  185572 */     // GIR_Coverage, 353,
     /*  185572 */     GIR_Done,
     /*  185573 */   // Label 3539: @185573
     /*  185573 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(185614), // Rule ID 355 //
     /*  185578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185595 */     // MIs[0] rs1
     /*  185595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185607 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185612 */     GIR_RootConstrainSelectedInstOperands,
     /*  185613 */     // GIR_Coverage, 355,
     /*  185613 */     GIR_Done,
     /*  185614 */   // Label 3540: @185614
     /*  185614 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(185655), // Rule ID 357 //
     /*  185619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185636 */     // MIs[0] rs1
     /*  185636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185648 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185653 */     GIR_RootConstrainSelectedInstOperands,
     /*  185654 */     // GIR_Coverage, 357,
     /*  185654 */     GIR_Done,
     /*  185655 */   // Label 3541: @185655
     /*  185655 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(185696), // Rule ID 359 //
     /*  185660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185677 */     // MIs[0] rs1
     /*  185677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185689 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185694 */     GIR_RootConstrainSelectedInstOperands,
     /*  185695 */     // GIR_Coverage, 359,
     /*  185695 */     GIR_Done,
     /*  185696 */   // Label 3542: @185696
     /*  185696 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(185737), // Rule ID 521 //
     /*  185701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185718 */     // MIs[0] rs1
     /*  185718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185730 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  185735 */     GIR_RootConstrainSelectedInstOperands,
     /*  185736 */     // GIR_Coverage, 521,
     /*  185736 */     GIR_Done,
     /*  185737 */   // Label 3543: @185737
     /*  185737 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(185778), // Rule ID 522 //
     /*  185742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185759 */     // MIs[0] rs1
     /*  185759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185771 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  185776 */     GIR_RootConstrainSelectedInstOperands,
     /*  185777 */     // GIR_Coverage, 522,
     /*  185777 */     GIR_Done,
     /*  185778 */   // Label 3544: @185778
     /*  185778 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(185819), // Rule ID 523 //
     /*  185783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185800 */     // MIs[0] rs1
     /*  185800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185812 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  185817 */     GIR_RootConstrainSelectedInstOperands,
     /*  185818 */     // GIR_Coverage, 523,
     /*  185818 */     GIR_Done,
     /*  185819 */   // Label 3545: @185819
     /*  185819 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(185860), // Rule ID 524 //
     /*  185824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185841 */     // MIs[0] rs1
     /*  185841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185853 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  185858 */     GIR_RootConstrainSelectedInstOperands,
     /*  185859 */     // GIR_Coverage, 524,
     /*  185859 */     GIR_Done,
     /*  185860 */   // Label 3546: @185860
     /*  185860 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(185901), // Rule ID 525 //
     /*  185865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185882 */     // MIs[0] rs1
     /*  185882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185894 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  185899 */     GIR_RootConstrainSelectedInstOperands,
     /*  185900 */     // GIR_Coverage, 525,
     /*  185900 */     GIR_Done,
     /*  185901 */   // Label 3547: @185901
     /*  185901 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(185942), // Rule ID 526 //
     /*  185906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185923 */     // MIs[0] rs1
     /*  185923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185935 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  185940 */     GIR_RootConstrainSelectedInstOperands,
     /*  185941 */     // GIR_Coverage, 526,
     /*  185941 */     GIR_Done,
     /*  185942 */   // Label 3548: @185942
     /*  185942 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(185983), // Rule ID 527 //
     /*  185947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185964 */     // MIs[0] rs1
     /*  185964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185976 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  185981 */     GIR_RootConstrainSelectedInstOperands,
     /*  185982 */     // GIR_Coverage, 527,
     /*  185982 */     GIR_Done,
     /*  185983 */   // Label 3549: @185983
     /*  185983 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(186024), // Rule ID 528 //
     /*  185988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186005 */     // MIs[0] rs1
     /*  186005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186017 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186022 */     GIR_RootConstrainSelectedInstOperands,
     /*  186023 */     // GIR_Coverage, 528,
     /*  186023 */     GIR_Done,
     /*  186024 */   // Label 3550: @186024
     /*  186024 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(186065), // Rule ID 529 //
     /*  186029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186046 */     // MIs[0] rs1
     /*  186046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186058 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186063 */     GIR_RootConstrainSelectedInstOperands,
     /*  186064 */     // GIR_Coverage, 529,
     /*  186064 */     GIR_Done,
     /*  186065 */   // Label 3551: @186065
     /*  186065 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(186106), // Rule ID 530 //
     /*  186070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186087 */     // MIs[0] rs1
     /*  186087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186099 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186104 */     GIR_RootConstrainSelectedInstOperands,
     /*  186105 */     // GIR_Coverage, 530,
     /*  186105 */     GIR_Done,
     /*  186106 */   // Label 3552: @186106
     /*  186106 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(186147), // Rule ID 689 //
     /*  186111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186128 */     // MIs[0] rs1
     /*  186128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186140 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186145 */     GIR_RootConstrainSelectedInstOperands,
     /*  186146 */     // GIR_Coverage, 689,
     /*  186146 */     GIR_Done,
     /*  186147 */   // Label 3553: @186147
     /*  186147 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(186188), // Rule ID 691 //
     /*  186152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186169 */     // MIs[0] rs1
     /*  186169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186181 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  186186 */     GIR_RootConstrainSelectedInstOperands,
     /*  186187 */     // GIR_Coverage, 691,
     /*  186187 */     GIR_Done,
     /*  186188 */   // Label 3554: @186188
     /*  186188 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(186229), // Rule ID 693 //
     /*  186193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186210 */     // MIs[0] rs1
     /*  186210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186222 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  186227 */     GIR_RootConstrainSelectedInstOperands,
     /*  186228 */     // GIR_Coverage, 693,
     /*  186228 */     GIR_Done,
     /*  186229 */   // Label 3555: @186229
     /*  186229 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(186270), // Rule ID 695 //
     /*  186234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186251 */     // MIs[0] rs1
     /*  186251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186263 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  186268 */     GIR_RootConstrainSelectedInstOperands,
     /*  186269 */     // GIR_Coverage, 695,
     /*  186269 */     GIR_Done,
     /*  186270 */   // Label 3556: @186270
     /*  186270 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(186311), // Rule ID 697 //
     /*  186275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186292 */     // MIs[0] rs1
     /*  186292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186304 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  186309 */     GIR_RootConstrainSelectedInstOperands,
     /*  186310 */     // GIR_Coverage, 697,
     /*  186310 */     GIR_Done,
     /*  186311 */   // Label 3557: @186311
     /*  186311 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(186352), // Rule ID 699 //
     /*  186316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186333 */     // MIs[0] rs1
     /*  186333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186345 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186350 */     GIR_RootConstrainSelectedInstOperands,
     /*  186351 */     // GIR_Coverage, 699,
     /*  186351 */     GIR_Done,
     /*  186352 */   // Label 3558: @186352
     /*  186352 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(186393), // Rule ID 701 //
     /*  186357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186374 */     // MIs[0] rs1
     /*  186374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186386 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186391 */     GIR_RootConstrainSelectedInstOperands,
     /*  186392 */     // GIR_Coverage, 701,
     /*  186392 */     GIR_Done,
     /*  186393 */   // Label 3559: @186393
     /*  186393 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(186434), // Rule ID 703 //
     /*  186398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186415 */     // MIs[0] rs1
     /*  186415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186427 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186432 */     GIR_RootConstrainSelectedInstOperands,
     /*  186433 */     // GIR_Coverage, 703,
     /*  186433 */     GIR_Done,
     /*  186434 */   // Label 3560: @186434
     /*  186434 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(186475), // Rule ID 705 //
     /*  186439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186456 */     // MIs[0] rs1
     /*  186456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186468 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186473 */     GIR_RootConstrainSelectedInstOperands,
     /*  186474 */     // GIR_Coverage, 705,
     /*  186474 */     GIR_Done,
     /*  186475 */   // Label 3561: @186475
     /*  186475 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(186516), // Rule ID 707 //
     /*  186480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186497 */     // MIs[0] rs1
     /*  186497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186509 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186514 */     GIR_RootConstrainSelectedInstOperands,
     /*  186515 */     // GIR_Coverage, 707,
     /*  186515 */     GIR_Done,
     /*  186516 */   // Label 3562: @186516
     /*  186516 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(186557), // Rule ID 869 //
     /*  186521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186538 */     // MIs[0] rs1
     /*  186538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186550 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186555 */     GIR_RootConstrainSelectedInstOperands,
     /*  186556 */     // GIR_Coverage, 869,
     /*  186556 */     GIR_Done,
     /*  186557 */   // Label 3563: @186557
     /*  186557 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(186598), // Rule ID 871 //
     /*  186562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186579 */     // MIs[0] rs1
     /*  186579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186591 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  186596 */     GIR_RootConstrainSelectedInstOperands,
     /*  186597 */     // GIR_Coverage, 871,
     /*  186597 */     GIR_Done,
     /*  186598 */   // Label 3564: @186598
     /*  186598 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(186639), // Rule ID 873 //
     /*  186603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186620 */     // MIs[0] rs1
     /*  186620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186632 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  186637 */     GIR_RootConstrainSelectedInstOperands,
     /*  186638 */     // GIR_Coverage, 873,
     /*  186638 */     GIR_Done,
     /*  186639 */   // Label 3565: @186639
     /*  186639 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(186680), // Rule ID 875 //
     /*  186644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186661 */     // MIs[0] rs1
     /*  186661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186673 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  186678 */     GIR_RootConstrainSelectedInstOperands,
     /*  186679 */     // GIR_Coverage, 875,
     /*  186679 */     GIR_Done,
     /*  186680 */   // Label 3566: @186680
     /*  186680 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(186721), // Rule ID 877 //
     /*  186685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186702 */     // MIs[0] rs1
     /*  186702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186714 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  186719 */     GIR_RootConstrainSelectedInstOperands,
     /*  186720 */     // GIR_Coverage, 877,
     /*  186720 */     GIR_Done,
     /*  186721 */   // Label 3567: @186721
     /*  186721 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(186762), // Rule ID 879 //
     /*  186726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186743 */     // MIs[0] rs1
     /*  186743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186755 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186760 */     GIR_RootConstrainSelectedInstOperands,
     /*  186761 */     // GIR_Coverage, 879,
     /*  186761 */     GIR_Done,
     /*  186762 */   // Label 3568: @186762
     /*  186762 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(186803), // Rule ID 881 //
     /*  186767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186784 */     // MIs[0] rs1
     /*  186784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186796 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186801 */     GIR_RootConstrainSelectedInstOperands,
     /*  186802 */     // GIR_Coverage, 881,
     /*  186802 */     GIR_Done,
     /*  186803 */   // Label 3569: @186803
     /*  186803 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(186844), // Rule ID 883 //
     /*  186808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186825 */     // MIs[0] rs1
     /*  186825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186837 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186842 */     GIR_RootConstrainSelectedInstOperands,
     /*  186843 */     // GIR_Coverage, 883,
     /*  186843 */     GIR_Done,
     /*  186844 */   // Label 3570: @186844
     /*  186844 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(186885), // Rule ID 885 //
     /*  186849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186866 */     // MIs[0] rs1
     /*  186866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186878 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186883 */     GIR_RootConstrainSelectedInstOperands,
     /*  186884 */     // GIR_Coverage, 885,
     /*  186884 */     GIR_Done,
     /*  186885 */   // Label 3571: @186885
     /*  186885 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(186926), // Rule ID 887 //
     /*  186890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186907 */     // MIs[0] rs1
     /*  186907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186919 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  186924 */     GIR_RootConstrainSelectedInstOperands,
     /*  186925 */     // GIR_Coverage, 887,
     /*  186925 */     GIR_Done,
     /*  186926 */   // Label 3572: @186926
     /*  186926 */   GIM_Reject,
     /*  186927 */ // Label 3532: @186927
     /*  186927 */ GIM_Reject,
     /*  186928 */ // Label 3500: @186928
     /*  186928 */ GIM_Reject,
     /*  186929 */ // Label 27: @186929
     /*  186929 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3575*/ GIMT_Encode4(189838),
     /*  186940 */ /*GILLT_s32*//*Label 3573*/ GIMT_Encode4(186948),
     /*  186944 */ /*GILLT_s64*//*Label 3574*/ GIMT_Encode4(188188),
     /*  186948 */ // Label 3573: @186948
     /*  186948 */ GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(188187),
     /*  186953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  186956 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(186997), // Rule ID 362 //
     /*  186961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186978 */     // MIs[0] rs1
     /*  186978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186990 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  186995 */     GIR_RootConstrainSelectedInstOperands,
     /*  186996 */     // GIR_Coverage, 362,
     /*  186996 */     GIR_Done,
     /*  186997 */   // Label 3577: @186997
     /*  186997 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(187038), // Rule ID 364 //
     /*  187002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187019 */     // MIs[0] rs1
     /*  187019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187031 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  187036 */     GIR_RootConstrainSelectedInstOperands,
     /*  187037 */     // GIR_Coverage, 364,
     /*  187037 */     GIR_Done,
     /*  187038 */   // Label 3578: @187038
     /*  187038 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(187079), // Rule ID 366 //
     /*  187043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187060 */     // MIs[0] rs1
     /*  187060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187072 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  187077 */     GIR_RootConstrainSelectedInstOperands,
     /*  187078 */     // GIR_Coverage, 366,
     /*  187078 */     GIR_Done,
     /*  187079 */   // Label 3579: @187079
     /*  187079 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(187120), // Rule ID 368 //
     /*  187084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187101 */     // MIs[0] rs1
     /*  187101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187113 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  187118 */     GIR_RootConstrainSelectedInstOperands,
     /*  187119 */     // GIR_Coverage, 368,
     /*  187119 */     GIR_Done,
     /*  187120 */   // Label 3580: @187120
     /*  187120 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(187161), // Rule ID 370 //
     /*  187125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187142 */     // MIs[0] rs1
     /*  187142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187154 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  187159 */     GIR_RootConstrainSelectedInstOperands,
     /*  187160 */     // GIR_Coverage, 370,
     /*  187160 */     GIR_Done,
     /*  187161 */   // Label 3581: @187161
     /*  187161 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(187202), // Rule ID 372 //
     /*  187166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187183 */     // MIs[0] rs1
     /*  187183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187195 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187200 */     GIR_RootConstrainSelectedInstOperands,
     /*  187201 */     // GIR_Coverage, 372,
     /*  187201 */     GIR_Done,
     /*  187202 */   // Label 3582: @187202
     /*  187202 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(187243), // Rule ID 374 //
     /*  187207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187224 */     // MIs[0] rs1
     /*  187224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187236 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187241 */     GIR_RootConstrainSelectedInstOperands,
     /*  187242 */     // GIR_Coverage, 374,
     /*  187242 */     GIR_Done,
     /*  187243 */   // Label 3583: @187243
     /*  187243 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(187284), // Rule ID 376 //
     /*  187248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187265 */     // MIs[0] rs1
     /*  187265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187277 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187282 */     GIR_RootConstrainSelectedInstOperands,
     /*  187283 */     // GIR_Coverage, 376,
     /*  187283 */     GIR_Done,
     /*  187284 */   // Label 3584: @187284
     /*  187284 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(187325), // Rule ID 378 //
     /*  187289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187306 */     // MIs[0] rs1
     /*  187306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187318 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187323 */     GIR_RootConstrainSelectedInstOperands,
     /*  187324 */     // GIR_Coverage, 378,
     /*  187324 */     GIR_Done,
     /*  187325 */   // Label 3585: @187325
     /*  187325 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(187366), // Rule ID 380 //
     /*  187330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187347 */     // MIs[0] rs1
     /*  187347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187359 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187364 */     GIR_RootConstrainSelectedInstOperands,
     /*  187365 */     // GIR_Coverage, 380,
     /*  187365 */     GIR_Done,
     /*  187366 */   // Label 3586: @187366
     /*  187366 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(187407), // Rule ID 710 //
     /*  187371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187388 */     // MIs[0] rs1
     /*  187388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187400 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187405 */     GIR_RootConstrainSelectedInstOperands,
     /*  187406 */     // GIR_Coverage, 710,
     /*  187406 */     GIR_Done,
     /*  187407 */   // Label 3587: @187407
     /*  187407 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(187448), // Rule ID 712 //
     /*  187412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187429 */     // MIs[0] rs1
     /*  187429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187441 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  187446 */     GIR_RootConstrainSelectedInstOperands,
     /*  187447 */     // GIR_Coverage, 712,
     /*  187447 */     GIR_Done,
     /*  187448 */   // Label 3588: @187448
     /*  187448 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(187489), // Rule ID 714 //
     /*  187453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187470 */     // MIs[0] rs1
     /*  187470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187482 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  187487 */     GIR_RootConstrainSelectedInstOperands,
     /*  187488 */     // GIR_Coverage, 714,
     /*  187488 */     GIR_Done,
     /*  187489 */   // Label 3589: @187489
     /*  187489 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(187530), // Rule ID 716 //
     /*  187494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187511 */     // MIs[0] rs1
     /*  187511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187523 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  187528 */     GIR_RootConstrainSelectedInstOperands,
     /*  187529 */     // GIR_Coverage, 716,
     /*  187529 */     GIR_Done,
     /*  187530 */   // Label 3590: @187530
     /*  187530 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(187571), // Rule ID 718 //
     /*  187535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187552 */     // MIs[0] rs1
     /*  187552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187564 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  187569 */     GIR_RootConstrainSelectedInstOperands,
     /*  187570 */     // GIR_Coverage, 718,
     /*  187570 */     GIR_Done,
     /*  187571 */   // Label 3591: @187571
     /*  187571 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(187612), // Rule ID 720 //
     /*  187576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187593 */     // MIs[0] rs1
     /*  187593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187605 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187610 */     GIR_RootConstrainSelectedInstOperands,
     /*  187611 */     // GIR_Coverage, 720,
     /*  187611 */     GIR_Done,
     /*  187612 */   // Label 3592: @187612
     /*  187612 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(187653), // Rule ID 722 //
     /*  187617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187634 */     // MIs[0] rs1
     /*  187634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187646 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187651 */     GIR_RootConstrainSelectedInstOperands,
     /*  187652 */     // GIR_Coverage, 722,
     /*  187652 */     GIR_Done,
     /*  187653 */   // Label 3593: @187653
     /*  187653 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(187694), // Rule ID 724 //
     /*  187658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187675 */     // MIs[0] rs1
     /*  187675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187687 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187692 */     GIR_RootConstrainSelectedInstOperands,
     /*  187693 */     // GIR_Coverage, 724,
     /*  187693 */     GIR_Done,
     /*  187694 */   // Label 3594: @187694
     /*  187694 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(187735), // Rule ID 726 //
     /*  187699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187716 */     // MIs[0] rs1
     /*  187716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187728 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187733 */     GIR_RootConstrainSelectedInstOperands,
     /*  187734 */     // GIR_Coverage, 726,
     /*  187734 */     GIR_Done,
     /*  187735 */   // Label 3595: @187735
     /*  187735 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(187776), // Rule ID 728 //
     /*  187740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187757 */     // MIs[0] rs1
     /*  187757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187769 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  187774 */     GIR_RootConstrainSelectedInstOperands,
     /*  187775 */     // GIR_Coverage, 728,
     /*  187775 */     GIR_Done,
     /*  187776 */   // Label 3596: @187776
     /*  187776 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(187817), // Rule ID 890 //
     /*  187781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187798 */     // MIs[0] rs1
     /*  187798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187810 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  187815 */     GIR_RootConstrainSelectedInstOperands,
     /*  187816 */     // GIR_Coverage, 890,
     /*  187816 */     GIR_Done,
     /*  187817 */   // Label 3597: @187817
     /*  187817 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(187858), // Rule ID 892 //
     /*  187822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187839 */     // MIs[0] rs1
     /*  187839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187851 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  187856 */     GIR_RootConstrainSelectedInstOperands,
     /*  187857 */     // GIR_Coverage, 892,
     /*  187857 */     GIR_Done,
     /*  187858 */   // Label 3598: @187858
     /*  187858 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(187899), // Rule ID 894 //
     /*  187863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187880 */     // MIs[0] rs1
     /*  187880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187892 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  187897 */     GIR_RootConstrainSelectedInstOperands,
     /*  187898 */     // GIR_Coverage, 894,
     /*  187898 */     GIR_Done,
     /*  187899 */   // Label 3599: @187899
     /*  187899 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(187940), // Rule ID 896 //
     /*  187904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187921 */     // MIs[0] rs1
     /*  187921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187933 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  187938 */     GIR_RootConstrainSelectedInstOperands,
     /*  187939 */     // GIR_Coverage, 896,
     /*  187939 */     GIR_Done,
     /*  187940 */   // Label 3600: @187940
     /*  187940 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(187981), // Rule ID 898 //
     /*  187945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187962 */     // MIs[0] rs1
     /*  187962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187974 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  187979 */     GIR_RootConstrainSelectedInstOperands,
     /*  187980 */     // GIR_Coverage, 898,
     /*  187980 */     GIR_Done,
     /*  187981 */   // Label 3601: @187981
     /*  187981 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(188022), // Rule ID 900 //
     /*  187986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188003 */     // MIs[0] rs1
     /*  188003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188015 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188020 */     GIR_RootConstrainSelectedInstOperands,
     /*  188021 */     // GIR_Coverage, 900,
     /*  188021 */     GIR_Done,
     /*  188022 */   // Label 3602: @188022
     /*  188022 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(188063), // Rule ID 902 //
     /*  188027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188044 */     // MIs[0] rs1
     /*  188044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188056 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188061 */     GIR_RootConstrainSelectedInstOperands,
     /*  188062 */     // GIR_Coverage, 902,
     /*  188062 */     GIR_Done,
     /*  188063 */   // Label 3603: @188063
     /*  188063 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(188104), // Rule ID 904 //
     /*  188068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188071 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188085 */     // MIs[0] rs1
     /*  188085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188097 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188102 */     GIR_RootConstrainSelectedInstOperands,
     /*  188103 */     // GIR_Coverage, 904,
     /*  188103 */     GIR_Done,
     /*  188104 */   // Label 3604: @188104
     /*  188104 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(188145), // Rule ID 906 //
     /*  188109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188112 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188119 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188126 */     // MIs[0] rs1
     /*  188126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188138 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188143 */     GIR_RootConstrainSelectedInstOperands,
     /*  188144 */     // GIR_Coverage, 906,
     /*  188144 */     GIR_Done,
     /*  188145 */   // Label 3605: @188145
     /*  188145 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(188186), // Rule ID 908 //
     /*  188150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188167 */     // MIs[0] rs1
     /*  188167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188179 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188184 */     GIR_RootConstrainSelectedInstOperands,
     /*  188185 */     // GIR_Coverage, 908,
     /*  188185 */     GIR_Done,
     /*  188186 */   // Label 3606: @188186
     /*  188186 */   GIM_Reject,
     /*  188187 */ // Label 3576: @188187
     /*  188187 */ GIM_Reject,
     /*  188188 */ // Label 3574: @188188
     /*  188188 */ GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(189837),
     /*  188193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  188196 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(188237), // Rule ID 361 //
     /*  188201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188218 */     // MIs[0] rs1
     /*  188218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188230 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188235 */     GIR_RootConstrainSelectedInstOperands,
     /*  188236 */     // GIR_Coverage, 361,
     /*  188236 */     GIR_Done,
     /*  188237 */   // Label 3608: @188237
     /*  188237 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(188278), // Rule ID 363 //
     /*  188242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188259 */     // MIs[0] rs1
     /*  188259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188271 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  188276 */     GIR_RootConstrainSelectedInstOperands,
     /*  188277 */     // GIR_Coverage, 363,
     /*  188277 */     GIR_Done,
     /*  188278 */   // Label 3609: @188278
     /*  188278 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(188319), // Rule ID 365 //
     /*  188283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188300 */     // MIs[0] rs1
     /*  188300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188312 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  188317 */     GIR_RootConstrainSelectedInstOperands,
     /*  188318 */     // GIR_Coverage, 365,
     /*  188318 */     GIR_Done,
     /*  188319 */   // Label 3610: @188319
     /*  188319 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(188360), // Rule ID 367 //
     /*  188324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188341 */     // MIs[0] rs1
     /*  188341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188353 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  188358 */     GIR_RootConstrainSelectedInstOperands,
     /*  188359 */     // GIR_Coverage, 367,
     /*  188359 */     GIR_Done,
     /*  188360 */   // Label 3611: @188360
     /*  188360 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(188401), // Rule ID 369 //
     /*  188365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188382 */     // MIs[0] rs1
     /*  188382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188394 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  188399 */     GIR_RootConstrainSelectedInstOperands,
     /*  188400 */     // GIR_Coverage, 369,
     /*  188400 */     GIR_Done,
     /*  188401 */   // Label 3612: @188401
     /*  188401 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(188442), // Rule ID 371 //
     /*  188406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188423 */     // MIs[0] rs1
     /*  188423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188435 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188440 */     GIR_RootConstrainSelectedInstOperands,
     /*  188441 */     // GIR_Coverage, 371,
     /*  188441 */     GIR_Done,
     /*  188442 */   // Label 3613: @188442
     /*  188442 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(188483), // Rule ID 373 //
     /*  188447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188464 */     // MIs[0] rs1
     /*  188464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188476 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188481 */     GIR_RootConstrainSelectedInstOperands,
     /*  188482 */     // GIR_Coverage, 373,
     /*  188482 */     GIR_Done,
     /*  188483 */   // Label 3614: @188483
     /*  188483 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(188524), // Rule ID 375 //
     /*  188488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188505 */     // MIs[0] rs1
     /*  188505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188517 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188522 */     GIR_RootConstrainSelectedInstOperands,
     /*  188523 */     // GIR_Coverage, 375,
     /*  188523 */     GIR_Done,
     /*  188524 */   // Label 3615: @188524
     /*  188524 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(188565), // Rule ID 377 //
     /*  188529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188546 */     // MIs[0] rs1
     /*  188546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188558 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188563 */     GIR_RootConstrainSelectedInstOperands,
     /*  188564 */     // GIR_Coverage, 377,
     /*  188564 */     GIR_Done,
     /*  188565 */   // Label 3616: @188565
     /*  188565 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(188606), // Rule ID 379 //
     /*  188570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  188573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188587 */     // MIs[0] rs1
     /*  188587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188599 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188604 */     GIR_RootConstrainSelectedInstOperands,
     /*  188605 */     // GIR_Coverage, 379,
     /*  188605 */     GIR_Done,
     /*  188606 */   // Label 3617: @188606
     /*  188606 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(188647), // Rule ID 531 //
     /*  188611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188628 */     // MIs[0] rs1
     /*  188628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188640 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  188645 */     GIR_RootConstrainSelectedInstOperands,
     /*  188646 */     // GIR_Coverage, 531,
     /*  188646 */     GIR_Done,
     /*  188647 */   // Label 3618: @188647
     /*  188647 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(188688), // Rule ID 532 //
     /*  188652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188669 */     // MIs[0] rs1
     /*  188669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188681 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  188686 */     GIR_RootConstrainSelectedInstOperands,
     /*  188687 */     // GIR_Coverage, 532,
     /*  188687 */     GIR_Done,
     /*  188688 */   // Label 3619: @188688
     /*  188688 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(188729), // Rule ID 533 //
     /*  188693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188710 */     // MIs[0] rs1
     /*  188710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188722 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  188727 */     GIR_RootConstrainSelectedInstOperands,
     /*  188728 */     // GIR_Coverage, 533,
     /*  188728 */     GIR_Done,
     /*  188729 */   // Label 3620: @188729
     /*  188729 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(188770), // Rule ID 534 //
     /*  188734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188751 */     // MIs[0] rs1
     /*  188751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188763 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  188768 */     GIR_RootConstrainSelectedInstOperands,
     /*  188769 */     // GIR_Coverage, 534,
     /*  188769 */     GIR_Done,
     /*  188770 */   // Label 3621: @188770
     /*  188770 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(188811), // Rule ID 535 //
     /*  188775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  188778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188792 */     // MIs[0] rs1
     /*  188792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188804 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  188809 */     GIR_RootConstrainSelectedInstOperands,
     /*  188810 */     // GIR_Coverage, 535,
     /*  188810 */     GIR_Done,
     /*  188811 */   // Label 3622: @188811
     /*  188811 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(188852), // Rule ID 536 //
     /*  188816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188833 */     // MIs[0] rs1
     /*  188833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188845 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  188850 */     GIR_RootConstrainSelectedInstOperands,
     /*  188851 */     // GIR_Coverage, 536,
     /*  188851 */     GIR_Done,
     /*  188852 */   // Label 3623: @188852
     /*  188852 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(188893), // Rule ID 537 //
     /*  188857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188874 */     // MIs[0] rs1
     /*  188874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188886 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  188891 */     GIR_RootConstrainSelectedInstOperands,
     /*  188892 */     // GIR_Coverage, 537,
     /*  188892 */     GIR_Done,
     /*  188893 */   // Label 3624: @188893
     /*  188893 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(188934), // Rule ID 538 //
     /*  188898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188915 */     // MIs[0] rs1
     /*  188915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188927 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  188932 */     GIR_RootConstrainSelectedInstOperands,
     /*  188933 */     // GIR_Coverage, 538,
     /*  188933 */     GIR_Done,
     /*  188934 */   // Label 3625: @188934
     /*  188934 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(188975), // Rule ID 539 //
     /*  188939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188956 */     // MIs[0] rs1
     /*  188956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188968 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  188973 */     GIR_RootConstrainSelectedInstOperands,
     /*  188974 */     // GIR_Coverage, 539,
     /*  188974 */     GIR_Done,
     /*  188975 */   // Label 3626: @188975
     /*  188975 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(189016), // Rule ID 540 //
     /*  188980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188997 */     // MIs[0] rs1
     /*  188997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189009 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189014 */     GIR_RootConstrainSelectedInstOperands,
     /*  189015 */     // GIR_Coverage, 540,
     /*  189015 */     GIR_Done,
     /*  189016 */   // Label 3627: @189016
     /*  189016 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(189057), // Rule ID 709 //
     /*  189021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189038 */     // MIs[0] rs1
     /*  189038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189050 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189055 */     GIR_RootConstrainSelectedInstOperands,
     /*  189056 */     // GIR_Coverage, 709,
     /*  189056 */     GIR_Done,
     /*  189057 */   // Label 3628: @189057
     /*  189057 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(189098), // Rule ID 711 //
     /*  189062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189079 */     // MIs[0] rs1
     /*  189079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189091 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  189096 */     GIR_RootConstrainSelectedInstOperands,
     /*  189097 */     // GIR_Coverage, 711,
     /*  189097 */     GIR_Done,
     /*  189098 */   // Label 3629: @189098
     /*  189098 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(189139), // Rule ID 713 //
     /*  189103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189120 */     // MIs[0] rs1
     /*  189120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189132 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  189137 */     GIR_RootConstrainSelectedInstOperands,
     /*  189138 */     // GIR_Coverage, 713,
     /*  189138 */     GIR_Done,
     /*  189139 */   // Label 3630: @189139
     /*  189139 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(189180), // Rule ID 715 //
     /*  189144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189161 */     // MIs[0] rs1
     /*  189161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189173 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  189178 */     GIR_RootConstrainSelectedInstOperands,
     /*  189179 */     // GIR_Coverage, 715,
     /*  189179 */     GIR_Done,
     /*  189180 */   // Label 3631: @189180
     /*  189180 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(189221), // Rule ID 717 //
     /*  189185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189202 */     // MIs[0] rs1
     /*  189202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189214 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  189219 */     GIR_RootConstrainSelectedInstOperands,
     /*  189220 */     // GIR_Coverage, 717,
     /*  189220 */     GIR_Done,
     /*  189221 */   // Label 3632: @189221
     /*  189221 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(189262), // Rule ID 719 //
     /*  189226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189243 */     // MIs[0] rs1
     /*  189243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189255 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189260 */     GIR_RootConstrainSelectedInstOperands,
     /*  189261 */     // GIR_Coverage, 719,
     /*  189261 */     GIR_Done,
     /*  189262 */   // Label 3633: @189262
     /*  189262 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(189303), // Rule ID 721 //
     /*  189267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189284 */     // MIs[0] rs1
     /*  189284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189296 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189301 */     GIR_RootConstrainSelectedInstOperands,
     /*  189302 */     // GIR_Coverage, 721,
     /*  189302 */     GIR_Done,
     /*  189303 */   // Label 3634: @189303
     /*  189303 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(189344), // Rule ID 723 //
     /*  189308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189325 */     // MIs[0] rs1
     /*  189325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189337 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189342 */     GIR_RootConstrainSelectedInstOperands,
     /*  189343 */     // GIR_Coverage, 723,
     /*  189343 */     GIR_Done,
     /*  189344 */   // Label 3635: @189344
     /*  189344 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(189385), // Rule ID 725 //
     /*  189349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189366 */     // MIs[0] rs1
     /*  189366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189378 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189383 */     GIR_RootConstrainSelectedInstOperands,
     /*  189384 */     // GIR_Coverage, 725,
     /*  189384 */     GIR_Done,
     /*  189385 */   // Label 3636: @189385
     /*  189385 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(189426), // Rule ID 727 //
     /*  189390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189407 */     // MIs[0] rs1
     /*  189407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189419 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189424 */     GIR_RootConstrainSelectedInstOperands,
     /*  189425 */     // GIR_Coverage, 727,
     /*  189425 */     GIR_Done,
     /*  189426 */   // Label 3637: @189426
     /*  189426 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(189467), // Rule ID 889 //
     /*  189431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189448 */     // MIs[0] rs1
     /*  189448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189460 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189465 */     GIR_RootConstrainSelectedInstOperands,
     /*  189466 */     // GIR_Coverage, 889,
     /*  189466 */     GIR_Done,
     /*  189467 */   // Label 3638: @189467
     /*  189467 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(189508), // Rule ID 891 //
     /*  189472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189489 */     // MIs[0] rs1
     /*  189489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189501 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  189506 */     GIR_RootConstrainSelectedInstOperands,
     /*  189507 */     // GIR_Coverage, 891,
     /*  189507 */     GIR_Done,
     /*  189508 */   // Label 3639: @189508
     /*  189508 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(189549), // Rule ID 893 //
     /*  189513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189530 */     // MIs[0] rs1
     /*  189530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189542 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  189547 */     GIR_RootConstrainSelectedInstOperands,
     /*  189548 */     // GIR_Coverage, 893,
     /*  189548 */     GIR_Done,
     /*  189549 */   // Label 3640: @189549
     /*  189549 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(189590), // Rule ID 895 //
     /*  189554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189571 */     // MIs[0] rs1
     /*  189571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189583 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  189588 */     GIR_RootConstrainSelectedInstOperands,
     /*  189589 */     // GIR_Coverage, 895,
     /*  189589 */     GIR_Done,
     /*  189590 */   // Label 3641: @189590
     /*  189590 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(189631), // Rule ID 897 //
     /*  189595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189612 */     // MIs[0] rs1
     /*  189612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189624 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  189629 */     GIR_RootConstrainSelectedInstOperands,
     /*  189630 */     // GIR_Coverage, 897,
     /*  189630 */     GIR_Done,
     /*  189631 */   // Label 3642: @189631
     /*  189631 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(189672), // Rule ID 899 //
     /*  189636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189653 */     // MIs[0] rs1
     /*  189653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189665 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189670 */     GIR_RootConstrainSelectedInstOperands,
     /*  189671 */     // GIR_Coverage, 899,
     /*  189671 */     GIR_Done,
     /*  189672 */   // Label 3643: @189672
     /*  189672 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(189713), // Rule ID 901 //
     /*  189677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189694 */     // MIs[0] rs1
     /*  189694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189706 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189711 */     GIR_RootConstrainSelectedInstOperands,
     /*  189712 */     // GIR_Coverage, 901,
     /*  189712 */     GIR_Done,
     /*  189713 */   // Label 3644: @189713
     /*  189713 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(189754), // Rule ID 903 //
     /*  189718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189735 */     // MIs[0] rs1
     /*  189735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189747 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189752 */     GIR_RootConstrainSelectedInstOperands,
     /*  189753 */     // GIR_Coverage, 903,
     /*  189753 */     GIR_Done,
     /*  189754 */   // Label 3645: @189754
     /*  189754 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(189795), // Rule ID 905 //
     /*  189759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189776 */     // MIs[0] rs1
     /*  189776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189788 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189793 */     GIR_RootConstrainSelectedInstOperands,
     /*  189794 */     // GIR_Coverage, 905,
     /*  189794 */     GIR_Done,
     /*  189795 */   // Label 3646: @189795
     /*  189795 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(189836), // Rule ID 907 //
     /*  189800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189817 */     // MIs[0] rs1
     /*  189817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189829 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  189834 */     GIR_RootConstrainSelectedInstOperands,
     /*  189835 */     // GIR_Coverage, 907,
     /*  189835 */     GIR_Done,
     /*  189836 */   // Label 3647: @189836
     /*  189836 */   GIM_Reject,
     /*  189837 */ // Label 3607: @189837
     /*  189837 */ GIM_Reject,
     /*  189838 */ // Label 3575: @189838
     /*  189838 */ GIM_Reject,
     /*  189839 */ // Label 28: @189839
     /*  189839 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3650*/ GIMT_Encode4(192748),
     /*  189850 */ /*GILLT_s32*//*Label 3648*/ GIMT_Encode4(189858),
     /*  189854 */ /*GILLT_s64*//*Label 3649*/ GIMT_Encode4(191098),
     /*  189858 */ // Label 3648: @189858
     /*  189858 */ GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(191097),
     /*  189863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  189866 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(189907), // Rule ID 382 //
     /*  189871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189888 */     // MIs[0] rs1
     /*  189888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189900 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  189905 */     GIR_RootConstrainSelectedInstOperands,
     /*  189906 */     // GIR_Coverage, 382,
     /*  189906 */     GIR_Done,
     /*  189907 */   // Label 3652: @189907
     /*  189907 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(189948), // Rule ID 384 //
     /*  189912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189929 */     // MIs[0] rs1
     /*  189929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189941 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  189946 */     GIR_RootConstrainSelectedInstOperands,
     /*  189947 */     // GIR_Coverage, 384,
     /*  189947 */     GIR_Done,
     /*  189948 */   // Label 3653: @189948
     /*  189948 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(189989), // Rule ID 386 //
     /*  189953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189970 */     // MIs[0] rs1
     /*  189970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189982 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  189987 */     GIR_RootConstrainSelectedInstOperands,
     /*  189988 */     // GIR_Coverage, 386,
     /*  189988 */     GIR_Done,
     /*  189989 */   // Label 3654: @189989
     /*  189989 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(190030), // Rule ID 388 //
     /*  189994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190011 */     // MIs[0] rs1
     /*  190011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190023 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  190028 */     GIR_RootConstrainSelectedInstOperands,
     /*  190029 */     // GIR_Coverage, 388,
     /*  190029 */     GIR_Done,
     /*  190030 */   // Label 3655: @190030
     /*  190030 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(190071), // Rule ID 390 //
     /*  190035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190052 */     // MIs[0] rs1
     /*  190052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190064 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  190069 */     GIR_RootConstrainSelectedInstOperands,
     /*  190070 */     // GIR_Coverage, 390,
     /*  190070 */     GIR_Done,
     /*  190071 */   // Label 3656: @190071
     /*  190071 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(190112), // Rule ID 392 //
     /*  190076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190093 */     // MIs[0] rs1
     /*  190093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190105 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190110 */     GIR_RootConstrainSelectedInstOperands,
     /*  190111 */     // GIR_Coverage, 392,
     /*  190111 */     GIR_Done,
     /*  190112 */   // Label 3657: @190112
     /*  190112 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(190153), // Rule ID 394 //
     /*  190117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190134 */     // MIs[0] rs1
     /*  190134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190146 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190151 */     GIR_RootConstrainSelectedInstOperands,
     /*  190152 */     // GIR_Coverage, 394,
     /*  190152 */     GIR_Done,
     /*  190153 */   // Label 3658: @190153
     /*  190153 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(190194), // Rule ID 396 //
     /*  190158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190175 */     // MIs[0] rs1
     /*  190175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190187 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190192 */     GIR_RootConstrainSelectedInstOperands,
     /*  190193 */     // GIR_Coverage, 396,
     /*  190193 */     GIR_Done,
     /*  190194 */   // Label 3659: @190194
     /*  190194 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(190235), // Rule ID 398 //
     /*  190199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190216 */     // MIs[0] rs1
     /*  190216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190228 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190233 */     GIR_RootConstrainSelectedInstOperands,
     /*  190234 */     // GIR_Coverage, 398,
     /*  190234 */     GIR_Done,
     /*  190235 */   // Label 3660: @190235
     /*  190235 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(190276), // Rule ID 400 //
     /*  190240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190257 */     // MIs[0] rs1
     /*  190257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190269 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190274 */     GIR_RootConstrainSelectedInstOperands,
     /*  190275 */     // GIR_Coverage, 400,
     /*  190275 */     GIR_Done,
     /*  190276 */   // Label 3661: @190276
     /*  190276 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(190317), // Rule ID 730 //
     /*  190281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190298 */     // MIs[0] rs1
     /*  190298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190310 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190315 */     GIR_RootConstrainSelectedInstOperands,
     /*  190316 */     // GIR_Coverage, 730,
     /*  190316 */     GIR_Done,
     /*  190317 */   // Label 3662: @190317
     /*  190317 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(190358), // Rule ID 732 //
     /*  190322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190339 */     // MIs[0] rs1
     /*  190339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190351 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190351 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  190356 */     GIR_RootConstrainSelectedInstOperands,
     /*  190357 */     // GIR_Coverage, 732,
     /*  190357 */     GIR_Done,
     /*  190358 */   // Label 3663: @190358
     /*  190358 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(190399), // Rule ID 734 //
     /*  190363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190380 */     // MIs[0] rs1
     /*  190380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190392 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  190397 */     GIR_RootConstrainSelectedInstOperands,
     /*  190398 */     // GIR_Coverage, 734,
     /*  190398 */     GIR_Done,
     /*  190399 */   // Label 3664: @190399
     /*  190399 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(190440), // Rule ID 736 //
     /*  190404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190421 */     // MIs[0] rs1
     /*  190421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190433 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  190438 */     GIR_RootConstrainSelectedInstOperands,
     /*  190439 */     // GIR_Coverage, 736,
     /*  190439 */     GIR_Done,
     /*  190440 */   // Label 3665: @190440
     /*  190440 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(190481), // Rule ID 738 //
     /*  190445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190455 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190462 */     // MIs[0] rs1
     /*  190462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190474 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  190479 */     GIR_RootConstrainSelectedInstOperands,
     /*  190480 */     // GIR_Coverage, 738,
     /*  190480 */     GIR_Done,
     /*  190481 */   // Label 3666: @190481
     /*  190481 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(190522), // Rule ID 740 //
     /*  190486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190503 */     // MIs[0] rs1
     /*  190503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190515 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190520 */     GIR_RootConstrainSelectedInstOperands,
     /*  190521 */     // GIR_Coverage, 740,
     /*  190521 */     GIR_Done,
     /*  190522 */   // Label 3667: @190522
     /*  190522 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(190563), // Rule ID 742 //
     /*  190527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190544 */     // MIs[0] rs1
     /*  190544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190556 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190561 */     GIR_RootConstrainSelectedInstOperands,
     /*  190562 */     // GIR_Coverage, 742,
     /*  190562 */     GIR_Done,
     /*  190563 */   // Label 3668: @190563
     /*  190563 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(190604), // Rule ID 744 //
     /*  190568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190585 */     // MIs[0] rs1
     /*  190585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190597 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190602 */     GIR_RootConstrainSelectedInstOperands,
     /*  190603 */     // GIR_Coverage, 744,
     /*  190603 */     GIR_Done,
     /*  190604 */   // Label 3669: @190604
     /*  190604 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(190645), // Rule ID 746 //
     /*  190609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190626 */     // MIs[0] rs1
     /*  190626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190638 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190643 */     GIR_RootConstrainSelectedInstOperands,
     /*  190644 */     // GIR_Coverage, 746,
     /*  190644 */     GIR_Done,
     /*  190645 */   // Label 3670: @190645
     /*  190645 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(190686), // Rule ID 748 //
     /*  190650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190653 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190660 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190667 */     // MIs[0] rs1
     /*  190667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190679 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190684 */     GIR_RootConstrainSelectedInstOperands,
     /*  190685 */     // GIR_Coverage, 748,
     /*  190685 */     GIR_Done,
     /*  190686 */   // Label 3671: @190686
     /*  190686 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(190727), // Rule ID 910 //
     /*  190691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190708 */     // MIs[0] rs1
     /*  190708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190720 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  190725 */     GIR_RootConstrainSelectedInstOperands,
     /*  190726 */     // GIR_Coverage, 910,
     /*  190726 */     GIR_Done,
     /*  190727 */   // Label 3672: @190727
     /*  190727 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(190768), // Rule ID 912 //
     /*  190732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190749 */     // MIs[0] rs1
     /*  190749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190761 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190761 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  190766 */     GIR_RootConstrainSelectedInstOperands,
     /*  190767 */     // GIR_Coverage, 912,
     /*  190767 */     GIR_Done,
     /*  190768 */   // Label 3673: @190768
     /*  190768 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(190809), // Rule ID 914 //
     /*  190773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190790 */     // MIs[0] rs1
     /*  190790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190802 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  190807 */     GIR_RootConstrainSelectedInstOperands,
     /*  190808 */     // GIR_Coverage, 914,
     /*  190808 */     GIR_Done,
     /*  190809 */   // Label 3674: @190809
     /*  190809 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(190850), // Rule ID 916 //
     /*  190814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190831 */     // MIs[0] rs1
     /*  190831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190843 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  190848 */     GIR_RootConstrainSelectedInstOperands,
     /*  190849 */     // GIR_Coverage, 916,
     /*  190849 */     GIR_Done,
     /*  190850 */   // Label 3675: @190850
     /*  190850 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(190891), // Rule ID 918 //
     /*  190855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190872 */     // MIs[0] rs1
     /*  190872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190884 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  190889 */     GIR_RootConstrainSelectedInstOperands,
     /*  190890 */     // GIR_Coverage, 918,
     /*  190890 */     GIR_Done,
     /*  190891 */   // Label 3676: @190891
     /*  190891 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(190932), // Rule ID 920 //
     /*  190896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190913 */     // MIs[0] rs1
     /*  190913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190925 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  190930 */     GIR_RootConstrainSelectedInstOperands,
     /*  190931 */     // GIR_Coverage, 920,
     /*  190931 */     GIR_Done,
     /*  190932 */   // Label 3677: @190932
     /*  190932 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(190973), // Rule ID 922 //
     /*  190937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190954 */     // MIs[0] rs1
     /*  190954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190966 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  190971 */     GIR_RootConstrainSelectedInstOperands,
     /*  190972 */     // GIR_Coverage, 922,
     /*  190972 */     GIR_Done,
     /*  190973 */   // Label 3678: @190973
     /*  190973 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(191014), // Rule ID 924 //
     /*  190978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190995 */     // MIs[0] rs1
     /*  190995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191007 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191012 */     GIR_RootConstrainSelectedInstOperands,
     /*  191013 */     // GIR_Coverage, 924,
     /*  191013 */     GIR_Done,
     /*  191014 */   // Label 3679: @191014
     /*  191014 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(191055), // Rule ID 926 //
     /*  191019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191036 */     // MIs[0] rs1
     /*  191036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191048 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191053 */     GIR_RootConstrainSelectedInstOperands,
     /*  191054 */     // GIR_Coverage, 926,
     /*  191054 */     GIR_Done,
     /*  191055 */   // Label 3680: @191055
     /*  191055 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(191096), // Rule ID 928 //
     /*  191060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191077 */     // MIs[0] rs1
     /*  191077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191089 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191094 */     GIR_RootConstrainSelectedInstOperands,
     /*  191095 */     // GIR_Coverage, 928,
     /*  191095 */     GIR_Done,
     /*  191096 */   // Label 3681: @191096
     /*  191096 */   GIM_Reject,
     /*  191097 */ // Label 3651: @191097
     /*  191097 */ GIM_Reject,
     /*  191098 */ // Label 3649: @191098
     /*  191098 */ GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(192747),
     /*  191103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  191106 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(191147), // Rule ID 381 //
     /*  191111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191128 */     // MIs[0] rs1
     /*  191128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191140 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191145 */     GIR_RootConstrainSelectedInstOperands,
     /*  191146 */     // GIR_Coverage, 381,
     /*  191146 */     GIR_Done,
     /*  191147 */   // Label 3683: @191147
     /*  191147 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(191188), // Rule ID 383 //
     /*  191152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191169 */     // MIs[0] rs1
     /*  191169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191181 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  191186 */     GIR_RootConstrainSelectedInstOperands,
     /*  191187 */     // GIR_Coverage, 383,
     /*  191187 */     GIR_Done,
     /*  191188 */   // Label 3684: @191188
     /*  191188 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(191229), // Rule ID 385 //
     /*  191193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191210 */     // MIs[0] rs1
     /*  191210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191222 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  191227 */     GIR_RootConstrainSelectedInstOperands,
     /*  191228 */     // GIR_Coverage, 385,
     /*  191228 */     GIR_Done,
     /*  191229 */   // Label 3685: @191229
     /*  191229 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(191270), // Rule ID 387 //
     /*  191234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191251 */     // MIs[0] rs1
     /*  191251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191263 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  191268 */     GIR_RootConstrainSelectedInstOperands,
     /*  191269 */     // GIR_Coverage, 387,
     /*  191269 */     GIR_Done,
     /*  191270 */   // Label 3686: @191270
     /*  191270 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(191311), // Rule ID 389 //
     /*  191275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191292 */     // MIs[0] rs1
     /*  191292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191304 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  191309 */     GIR_RootConstrainSelectedInstOperands,
     /*  191310 */     // GIR_Coverage, 389,
     /*  191310 */     GIR_Done,
     /*  191311 */   // Label 3687: @191311
     /*  191311 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(191352), // Rule ID 391 //
     /*  191316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191333 */     // MIs[0] rs1
     /*  191333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191345 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191350 */     GIR_RootConstrainSelectedInstOperands,
     /*  191351 */     // GIR_Coverage, 391,
     /*  191351 */     GIR_Done,
     /*  191352 */   // Label 3688: @191352
     /*  191352 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(191393), // Rule ID 393 //
     /*  191357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191374 */     // MIs[0] rs1
     /*  191374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191386 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191391 */     GIR_RootConstrainSelectedInstOperands,
     /*  191392 */     // GIR_Coverage, 393,
     /*  191392 */     GIR_Done,
     /*  191393 */   // Label 3689: @191393
     /*  191393 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(191434), // Rule ID 395 //
     /*  191398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191415 */     // MIs[0] rs1
     /*  191415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191427 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191432 */     GIR_RootConstrainSelectedInstOperands,
     /*  191433 */     // GIR_Coverage, 395,
     /*  191433 */     GIR_Done,
     /*  191434 */   // Label 3690: @191434
     /*  191434 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(191475), // Rule ID 397 //
     /*  191439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191456 */     // MIs[0] rs1
     /*  191456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191468 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191473 */     GIR_RootConstrainSelectedInstOperands,
     /*  191474 */     // GIR_Coverage, 397,
     /*  191474 */     GIR_Done,
     /*  191475 */   // Label 3691: @191475
     /*  191475 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(191516), // Rule ID 399 //
     /*  191480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191497 */     // MIs[0] rs1
     /*  191497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191509 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191514 */     GIR_RootConstrainSelectedInstOperands,
     /*  191515 */     // GIR_Coverage, 399,
     /*  191515 */     GIR_Done,
     /*  191516 */   // Label 3692: @191516
     /*  191516 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(191557), // Rule ID 541 //
     /*  191521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191538 */     // MIs[0] rs1
     /*  191538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191550 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191555 */     GIR_RootConstrainSelectedInstOperands,
     /*  191556 */     // GIR_Coverage, 541,
     /*  191556 */     GIR_Done,
     /*  191557 */   // Label 3693: @191557
     /*  191557 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(191598), // Rule ID 542 //
     /*  191562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191579 */     // MIs[0] rs1
     /*  191579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191591 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  191596 */     GIR_RootConstrainSelectedInstOperands,
     /*  191597 */     // GIR_Coverage, 542,
     /*  191597 */     GIR_Done,
     /*  191598 */   // Label 3694: @191598
     /*  191598 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(191639), // Rule ID 543 //
     /*  191603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191620 */     // MIs[0] rs1
     /*  191620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191632 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  191637 */     GIR_RootConstrainSelectedInstOperands,
     /*  191638 */     // GIR_Coverage, 543,
     /*  191638 */     GIR_Done,
     /*  191639 */   // Label 3695: @191639
     /*  191639 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(191680), // Rule ID 544 //
     /*  191644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191661 */     // MIs[0] rs1
     /*  191661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191673 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  191678 */     GIR_RootConstrainSelectedInstOperands,
     /*  191679 */     // GIR_Coverage, 544,
     /*  191679 */     GIR_Done,
     /*  191680 */   // Label 3696: @191680
     /*  191680 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(191721), // Rule ID 545 //
     /*  191685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  191688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191702 */     // MIs[0] rs1
     /*  191702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191714 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  191719 */     GIR_RootConstrainSelectedInstOperands,
     /*  191720 */     // GIR_Coverage, 545,
     /*  191720 */     GIR_Done,
     /*  191721 */   // Label 3697: @191721
     /*  191721 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(191762), // Rule ID 546 //
     /*  191726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191743 */     // MIs[0] rs1
     /*  191743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191755 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191760 */     GIR_RootConstrainSelectedInstOperands,
     /*  191761 */     // GIR_Coverage, 546,
     /*  191761 */     GIR_Done,
     /*  191762 */   // Label 3698: @191762
     /*  191762 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(191803), // Rule ID 547 //
     /*  191767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191784 */     // MIs[0] rs1
     /*  191784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191796 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191801 */     GIR_RootConstrainSelectedInstOperands,
     /*  191802 */     // GIR_Coverage, 547,
     /*  191802 */     GIR_Done,
     /*  191803 */   // Label 3699: @191803
     /*  191803 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(191844), // Rule ID 548 //
     /*  191808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191825 */     // MIs[0] rs1
     /*  191825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191837 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191842 */     GIR_RootConstrainSelectedInstOperands,
     /*  191843 */     // GIR_Coverage, 548,
     /*  191843 */     GIR_Done,
     /*  191844 */   // Label 3700: @191844
     /*  191844 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(191885), // Rule ID 549 //
     /*  191849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191866 */     // MIs[0] rs1
     /*  191866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191878 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191883 */     GIR_RootConstrainSelectedInstOperands,
     /*  191884 */     // GIR_Coverage, 549,
     /*  191884 */     GIR_Done,
     /*  191885 */   // Label 3701: @191885
     /*  191885 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(191926), // Rule ID 550 //
     /*  191890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191907 */     // MIs[0] rs1
     /*  191907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191919 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  191924 */     GIR_RootConstrainSelectedInstOperands,
     /*  191925 */     // GIR_Coverage, 550,
     /*  191925 */     GIR_Done,
     /*  191926 */   // Label 3702: @191926
     /*  191926 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(191967), // Rule ID 729 //
     /*  191931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191948 */     // MIs[0] rs1
     /*  191948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191960 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  191965 */     GIR_RootConstrainSelectedInstOperands,
     /*  191966 */     // GIR_Coverage, 729,
     /*  191966 */     GIR_Done,
     /*  191967 */   // Label 3703: @191967
     /*  191967 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(192008), // Rule ID 731 //
     /*  191972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191989 */     // MIs[0] rs1
     /*  191989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192001 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  192006 */     GIR_RootConstrainSelectedInstOperands,
     /*  192007 */     // GIR_Coverage, 731,
     /*  192007 */     GIR_Done,
     /*  192008 */   // Label 3704: @192008
     /*  192008 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(192049), // Rule ID 733 //
     /*  192013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192030 */     // MIs[0] rs1
     /*  192030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192042 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  192047 */     GIR_RootConstrainSelectedInstOperands,
     /*  192048 */     // GIR_Coverage, 733,
     /*  192048 */     GIR_Done,
     /*  192049 */   // Label 3705: @192049
     /*  192049 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(192090), // Rule ID 735 //
     /*  192054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192071 */     // MIs[0] rs1
     /*  192071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192083 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  192088 */     GIR_RootConstrainSelectedInstOperands,
     /*  192089 */     // GIR_Coverage, 735,
     /*  192089 */     GIR_Done,
     /*  192090 */   // Label 3706: @192090
     /*  192090 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(192131), // Rule ID 737 //
     /*  192095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192112 */     // MIs[0] rs1
     /*  192112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192124 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  192129 */     GIR_RootConstrainSelectedInstOperands,
     /*  192130 */     // GIR_Coverage, 737,
     /*  192130 */     GIR_Done,
     /*  192131 */   // Label 3707: @192131
     /*  192131 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(192172), // Rule ID 739 //
     /*  192136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192153 */     // MIs[0] rs1
     /*  192153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192165 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192170 */     GIR_RootConstrainSelectedInstOperands,
     /*  192171 */     // GIR_Coverage, 739,
     /*  192171 */     GIR_Done,
     /*  192172 */   // Label 3708: @192172
     /*  192172 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(192213), // Rule ID 741 //
     /*  192177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192194 */     // MIs[0] rs1
     /*  192194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192206 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192211 */     GIR_RootConstrainSelectedInstOperands,
     /*  192212 */     // GIR_Coverage, 741,
     /*  192212 */     GIR_Done,
     /*  192213 */   // Label 3709: @192213
     /*  192213 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(192254), // Rule ID 743 //
     /*  192218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192235 */     // MIs[0] rs1
     /*  192235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192247 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192252 */     GIR_RootConstrainSelectedInstOperands,
     /*  192253 */     // GIR_Coverage, 743,
     /*  192253 */     GIR_Done,
     /*  192254 */   // Label 3710: @192254
     /*  192254 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(192295), // Rule ID 745 //
     /*  192259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192276 */     // MIs[0] rs1
     /*  192276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192288 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192293 */     GIR_RootConstrainSelectedInstOperands,
     /*  192294 */     // GIR_Coverage, 745,
     /*  192294 */     GIR_Done,
     /*  192295 */   // Label 3711: @192295
     /*  192295 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(192336), // Rule ID 747 //
     /*  192300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192317 */     // MIs[0] rs1
     /*  192317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192329 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192334 */     GIR_RootConstrainSelectedInstOperands,
     /*  192335 */     // GIR_Coverage, 747,
     /*  192335 */     GIR_Done,
     /*  192336 */   // Label 3712: @192336
     /*  192336 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(192377), // Rule ID 909 //
     /*  192341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192358 */     // MIs[0] rs1
     /*  192358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192370 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192375 */     GIR_RootConstrainSelectedInstOperands,
     /*  192376 */     // GIR_Coverage, 909,
     /*  192376 */     GIR_Done,
     /*  192377 */   // Label 3713: @192377
     /*  192377 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(192418), // Rule ID 911 //
     /*  192382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192399 */     // MIs[0] rs1
     /*  192399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192411 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  192416 */     GIR_RootConstrainSelectedInstOperands,
     /*  192417 */     // GIR_Coverage, 911,
     /*  192417 */     GIR_Done,
     /*  192418 */   // Label 3714: @192418
     /*  192418 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(192459), // Rule ID 913 //
     /*  192423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192440 */     // MIs[0] rs1
     /*  192440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192452 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  192457 */     GIR_RootConstrainSelectedInstOperands,
     /*  192458 */     // GIR_Coverage, 913,
     /*  192458 */     GIR_Done,
     /*  192459 */   // Label 3715: @192459
     /*  192459 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(192500), // Rule ID 915 //
     /*  192464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192481 */     // MIs[0] rs1
     /*  192481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192493 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  192498 */     GIR_RootConstrainSelectedInstOperands,
     /*  192499 */     // GIR_Coverage, 915,
     /*  192499 */     GIR_Done,
     /*  192500 */   // Label 3716: @192500
     /*  192500 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(192541), // Rule ID 917 //
     /*  192505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192522 */     // MIs[0] rs1
     /*  192522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192534 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  192539 */     GIR_RootConstrainSelectedInstOperands,
     /*  192540 */     // GIR_Coverage, 917,
     /*  192540 */     GIR_Done,
     /*  192541 */   // Label 3717: @192541
     /*  192541 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(192582), // Rule ID 919 //
     /*  192546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192563 */     // MIs[0] rs1
     /*  192563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192575 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192580 */     GIR_RootConstrainSelectedInstOperands,
     /*  192581 */     // GIR_Coverage, 919,
     /*  192581 */     GIR_Done,
     /*  192582 */   // Label 3718: @192582
     /*  192582 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(192623), // Rule ID 921 //
     /*  192587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192604 */     // MIs[0] rs1
     /*  192604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192616 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192621 */     GIR_RootConstrainSelectedInstOperands,
     /*  192622 */     // GIR_Coverage, 921,
     /*  192622 */     GIR_Done,
     /*  192623 */   // Label 3719: @192623
     /*  192623 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(192664), // Rule ID 923 //
     /*  192628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192645 */     // MIs[0] rs1
     /*  192645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192657 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192662 */     GIR_RootConstrainSelectedInstOperands,
     /*  192663 */     // GIR_Coverage, 923,
     /*  192663 */     GIR_Done,
     /*  192664 */   // Label 3720: @192664
     /*  192664 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(192705), // Rule ID 925 //
     /*  192669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192686 */     // MIs[0] rs1
     /*  192686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192698 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192703 */     GIR_RootConstrainSelectedInstOperands,
     /*  192704 */     // GIR_Coverage, 925,
     /*  192704 */     GIR_Done,
     /*  192705 */   // Label 3721: @192705
     /*  192705 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(192746), // Rule ID 927 //
     /*  192710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192727 */     // MIs[0] rs1
     /*  192727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192739 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  192744 */     GIR_RootConstrainSelectedInstOperands,
     /*  192745 */     // GIR_Coverage, 927,
     /*  192745 */     GIR_Done,
     /*  192746 */   // Label 3722: @192746
     /*  192746 */   GIM_Reject,
     /*  192747 */ // Label 3682: @192747
     /*  192747 */ GIM_Reject,
     /*  192748 */ // Label 3650: @192748
     /*  192748 */ GIM_Reject,
     /*  192749 */ // Label 29: @192749
     /*  192749 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3725*/ GIMT_Encode4(193660),
     /*  192760 */ /*GILLT_s32*//*Label 3723*/ GIMT_Encode4(192768),
     /*  192764 */ /*GILLT_s64*//*Label 3724*/ GIMT_Encode4(193050),
     /*  192768 */ // Label 3723: @192768
     /*  192768 */ GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(193049),
     /*  192773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  192776 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192783 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(192836), // Rule ID 612 //
     /*  192788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  192791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192798 */     // MIs[0] addr
     /*  192798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  192802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192810 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  192810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  192813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  192816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  192818 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  192823 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  192825 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  192827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  192830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  192834 */     GIR_RootConstrainSelectedInstOperands,
     /*  192835 */     // GIR_Coverage, 612,
     /*  192835 */     GIR_EraseRootFromParent_Done,
     /*  192836 */   // Label 3727: @192836
     /*  192836 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(192889), // Rule ID 614 //
     /*  192841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  192844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192851 */     // MIs[0] addr
     /*  192851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  192855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192863 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  192863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  192866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  192869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  192871 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  192876 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  192878 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  192880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  192887 */     GIR_RootConstrainSelectedInstOperands,
     /*  192888 */     // GIR_Coverage, 614,
     /*  192888 */     GIR_EraseRootFromParent_Done,
     /*  192889 */   // Label 3728: @192889
     /*  192889 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(192942), // Rule ID 616 //
     /*  192894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  192897 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192904 */     // MIs[0] addr
     /*  192904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  192908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192916 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  192916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  192919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  192922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  192924 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  192929 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  192931 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  192933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  192936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  192940 */     GIR_RootConstrainSelectedInstOperands,
     /*  192941 */     // GIR_Coverage, 616,
     /*  192941 */     GIR_EraseRootFromParent_Done,
     /*  192942 */   // Label 3729: @192942
     /*  192942 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(192995), // Rule ID 618 //
     /*  192947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  192950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192957 */     // MIs[0] addr
     /*  192957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  192961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192969 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  192969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  192972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  192975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  192977 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  192982 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  192984 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  192986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  192989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  192993 */     GIR_RootConstrainSelectedInstOperands,
     /*  192994 */     // GIR_Coverage, 618,
     /*  192994 */     GIR_EraseRootFromParent_Done,
     /*  192995 */   // Label 3730: @192995
     /*  192995 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(193048), // Rule ID 620 //
     /*  193000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193010 */     // MIs[0] addr
     /*  193010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193022 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  193022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193030 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193035 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193037 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  193042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193046 */     GIR_RootConstrainSelectedInstOperands,
     /*  193047 */     // GIR_Coverage, 620,
     /*  193047 */     GIR_EraseRootFromParent_Done,
     /*  193048 */   // Label 3731: @193048
     /*  193048 */   GIM_Reject,
     /*  193049 */ // Label 3726: @193049
     /*  193049 */ GIM_Reject,
     /*  193050 */ // Label 3724: @193050
     /*  193050 */ GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(193659),
     /*  193055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193058 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(193118), // Rule ID 611 //
     /*  193063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193080 */     // MIs[0] addr
     /*  193080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193092 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  193092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193100 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193105 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193107 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  193112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193116 */     GIR_RootConstrainSelectedInstOperands,
     /*  193117 */     // GIR_Coverage, 611,
     /*  193117 */     GIR_EraseRootFromParent_Done,
     /*  193118 */   // Label 3733: @193118
     /*  193118 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(193178), // Rule ID 613 //
     /*  193123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193140 */     // MIs[0] addr
     /*  193140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193152 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  193152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193160 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193165 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193167 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193176 */     GIR_RootConstrainSelectedInstOperands,
     /*  193177 */     // GIR_Coverage, 613,
     /*  193177 */     GIR_EraseRootFromParent_Done,
     /*  193178 */   // Label 3734: @193178
     /*  193178 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(193238), // Rule ID 615 //
     /*  193183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193186 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193200 */     // MIs[0] addr
     /*  193200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193212 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  193212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193220 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193225 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193227 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193232 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193236 */     GIR_RootConstrainSelectedInstOperands,
     /*  193237 */     // GIR_Coverage, 615,
     /*  193237 */     GIR_EraseRootFromParent_Done,
     /*  193238 */   // Label 3735: @193238
     /*  193238 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(193298), // Rule ID 617 //
     /*  193243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193260 */     // MIs[0] addr
     /*  193260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193272 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  193272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193280 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193285 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193287 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193296 */     GIR_RootConstrainSelectedInstOperands,
     /*  193297 */     // GIR_Coverage, 617,
     /*  193297 */     GIR_EraseRootFromParent_Done,
     /*  193298 */   // Label 3736: @193298
     /*  193298 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(193358), // Rule ID 619 //
     /*  193303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193320 */     // MIs[0] addr
     /*  193320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193332 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  193332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193340 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193345 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193347 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  193352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193356 */     GIR_RootConstrainSelectedInstOperands,
     /*  193357 */     // GIR_Coverage, 619,
     /*  193357 */     GIR_EraseRootFromParent_Done,
     /*  193358 */   // Label 3737: @193358
     /*  193358 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(193418), // Rule ID 629 //
     /*  193363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193380 */     // MIs[0] addr
     /*  193380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193392 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  193392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193400 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193405 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193407 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  193412 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193416 */     GIR_RootConstrainSelectedInstOperands,
     /*  193417 */     // GIR_Coverage, 629,
     /*  193417 */     GIR_EraseRootFromParent_Done,
     /*  193418 */   // Label 3738: @193418
     /*  193418 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(193478), // Rule ID 630 //
     /*  193423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193440 */     // MIs[0] addr
     /*  193440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193452 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  193452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193460 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193465 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193467 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193476 */     GIR_RootConstrainSelectedInstOperands,
     /*  193477 */     // GIR_Coverage, 630,
     /*  193477 */     GIR_EraseRootFromParent_Done,
     /*  193478 */   // Label 3739: @193478
     /*  193478 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(193538), // Rule ID 631 //
     /*  193483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193500 */     // MIs[0] addr
     /*  193500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193512 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  193512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193520 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193525 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193527 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193536 */     GIR_RootConstrainSelectedInstOperands,
     /*  193537 */     // GIR_Coverage, 631,
     /*  193537 */     GIR_EraseRootFromParent_Done,
     /*  193538 */   // Label 3740: @193538
     /*  193538 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(193598), // Rule ID 632 //
     /*  193543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193560 */     // MIs[0] addr
     /*  193560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193572 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  193572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193580 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193585 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193587 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193596 */     GIR_RootConstrainSelectedInstOperands,
     /*  193597 */     // GIR_Coverage, 632,
     /*  193597 */     GIR_EraseRootFromParent_Done,
     /*  193598 */   // Label 3741: @193598
     /*  193598 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(193658), // Rule ID 633 //
     /*  193603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  193606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193620 */     // MIs[0] addr
     /*  193620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193632 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  193632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  193638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193640 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193645 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193647 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  193652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193656 */     GIR_RootConstrainSelectedInstOperands,
     /*  193657 */     // GIR_Coverage, 633,
     /*  193657 */     GIR_EraseRootFromParent_Done,
     /*  193658 */   // Label 3742: @193658
     /*  193658 */   GIM_Reject,
     /*  193659 */ // Label 3732: @193659
     /*  193659 */ GIM_Reject,
     /*  193660 */ // Label 3725: @193660
     /*  193660 */ GIM_Reject,
     /*  193661 */ // Label 30: @193661
     /*  193661 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3745*/ GIMT_Encode4(196570),
     /*  193672 */ /*GILLT_s32*//*Label 3743*/ GIMT_Encode4(193680),
     /*  193676 */ /*GILLT_s64*//*Label 3744*/ GIMT_Encode4(194920),
     /*  193680 */ // Label 3743: @193680
     /*  193680 */ GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(194919),
     /*  193685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  193688 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(193729), // Rule ID 402 //
     /*  193693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193710 */     // MIs[0] rs1
     /*  193710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193722 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  193727 */     GIR_RootConstrainSelectedInstOperands,
     /*  193728 */     // GIR_Coverage, 402,
     /*  193728 */     GIR_Done,
     /*  193729 */   // Label 3747: @193729
     /*  193729 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(193770), // Rule ID 404 //
     /*  193734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193751 */     // MIs[0] rs1
     /*  193751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193763 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  193768 */     GIR_RootConstrainSelectedInstOperands,
     /*  193769 */     // GIR_Coverage, 404,
     /*  193769 */     GIR_Done,
     /*  193770 */   // Label 3748: @193770
     /*  193770 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(193811), // Rule ID 406 //
     /*  193775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193792 */     // MIs[0] rs1
     /*  193792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193804 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  193809 */     GIR_RootConstrainSelectedInstOperands,
     /*  193810 */     // GIR_Coverage, 406,
     /*  193810 */     GIR_Done,
     /*  193811 */   // Label 3749: @193811
     /*  193811 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(193852), // Rule ID 408 //
     /*  193816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193833 */     // MIs[0] rs1
     /*  193833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193845 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  193850 */     GIR_RootConstrainSelectedInstOperands,
     /*  193851 */     // GIR_Coverage, 408,
     /*  193851 */     GIR_Done,
     /*  193852 */   // Label 3750: @193852
     /*  193852 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(193893), // Rule ID 410 //
     /*  193857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193874 */     // MIs[0] rs1
     /*  193874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193886 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  193891 */     GIR_RootConstrainSelectedInstOperands,
     /*  193892 */     // GIR_Coverage, 410,
     /*  193892 */     GIR_Done,
     /*  193893 */   // Label 3751: @193893
     /*  193893 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(193934), // Rule ID 412 //
     /*  193898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193915 */     // MIs[0] rs1
     /*  193915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193927 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  193932 */     GIR_RootConstrainSelectedInstOperands,
     /*  193933 */     // GIR_Coverage, 412,
     /*  193933 */     GIR_Done,
     /*  193934 */   // Label 3752: @193934
     /*  193934 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(193975), // Rule ID 414 //
     /*  193939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193956 */     // MIs[0] rs1
     /*  193956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193968 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  193973 */     GIR_RootConstrainSelectedInstOperands,
     /*  193974 */     // GIR_Coverage, 414,
     /*  193974 */     GIR_Done,
     /*  193975 */   // Label 3753: @193975
     /*  193975 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(194016), // Rule ID 416 //
     /*  193980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193997 */     // MIs[0] rs1
     /*  193997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194009 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194014 */     GIR_RootConstrainSelectedInstOperands,
     /*  194015 */     // GIR_Coverage, 416,
     /*  194015 */     GIR_Done,
     /*  194016 */   // Label 3754: @194016
     /*  194016 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(194057), // Rule ID 418 //
     /*  194021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194038 */     // MIs[0] rs1
     /*  194038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194050 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194055 */     GIR_RootConstrainSelectedInstOperands,
     /*  194056 */     // GIR_Coverage, 418,
     /*  194056 */     GIR_Done,
     /*  194057 */   // Label 3755: @194057
     /*  194057 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(194098), // Rule ID 420 //
     /*  194062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194079 */     // MIs[0] rs1
     /*  194079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194091 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194096 */     GIR_RootConstrainSelectedInstOperands,
     /*  194097 */     // GIR_Coverage, 420,
     /*  194097 */     GIR_Done,
     /*  194098 */   // Label 3756: @194098
     /*  194098 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(194139), // Rule ID 750 //
     /*  194103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194120 */     // MIs[0] rs1
     /*  194120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194132 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194137 */     GIR_RootConstrainSelectedInstOperands,
     /*  194138 */     // GIR_Coverage, 750,
     /*  194138 */     GIR_Done,
     /*  194139 */   // Label 3757: @194139
     /*  194139 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(194180), // Rule ID 752 //
     /*  194144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194161 */     // MIs[0] rs1
     /*  194161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194173 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  194178 */     GIR_RootConstrainSelectedInstOperands,
     /*  194179 */     // GIR_Coverage, 752,
     /*  194179 */     GIR_Done,
     /*  194180 */   // Label 3758: @194180
     /*  194180 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(194221), // Rule ID 754 //
     /*  194185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194202 */     // MIs[0] rs1
     /*  194202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194214 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  194219 */     GIR_RootConstrainSelectedInstOperands,
     /*  194220 */     // GIR_Coverage, 754,
     /*  194220 */     GIR_Done,
     /*  194221 */   // Label 3759: @194221
     /*  194221 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(194262), // Rule ID 756 //
     /*  194226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194243 */     // MIs[0] rs1
     /*  194243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194255 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  194260 */     GIR_RootConstrainSelectedInstOperands,
     /*  194261 */     // GIR_Coverage, 756,
     /*  194261 */     GIR_Done,
     /*  194262 */   // Label 3760: @194262
     /*  194262 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(194303), // Rule ID 758 //
     /*  194267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194284 */     // MIs[0] rs1
     /*  194284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194296 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  194301 */     GIR_RootConstrainSelectedInstOperands,
     /*  194302 */     // GIR_Coverage, 758,
     /*  194302 */     GIR_Done,
     /*  194303 */   // Label 3761: @194303
     /*  194303 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(194344), // Rule ID 760 //
     /*  194308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194325 */     // MIs[0] rs1
     /*  194325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194337 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194342 */     GIR_RootConstrainSelectedInstOperands,
     /*  194343 */     // GIR_Coverage, 760,
     /*  194343 */     GIR_Done,
     /*  194344 */   // Label 3762: @194344
     /*  194344 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(194385), // Rule ID 762 //
     /*  194349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194366 */     // MIs[0] rs1
     /*  194366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194378 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194383 */     GIR_RootConstrainSelectedInstOperands,
     /*  194384 */     // GIR_Coverage, 762,
     /*  194384 */     GIR_Done,
     /*  194385 */   // Label 3763: @194385
     /*  194385 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(194426), // Rule ID 764 //
     /*  194390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194407 */     // MIs[0] rs1
     /*  194407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194419 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194424 */     GIR_RootConstrainSelectedInstOperands,
     /*  194425 */     // GIR_Coverage, 764,
     /*  194425 */     GIR_Done,
     /*  194426 */   // Label 3764: @194426
     /*  194426 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(194467), // Rule ID 766 //
     /*  194431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194448 */     // MIs[0] rs1
     /*  194448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194460 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194465 */     GIR_RootConstrainSelectedInstOperands,
     /*  194466 */     // GIR_Coverage, 766,
     /*  194466 */     GIR_Done,
     /*  194467 */   // Label 3765: @194467
     /*  194467 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(194508), // Rule ID 768 //
     /*  194472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194489 */     // MIs[0] rs1
     /*  194489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194501 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194506 */     GIR_RootConstrainSelectedInstOperands,
     /*  194507 */     // GIR_Coverage, 768,
     /*  194507 */     GIR_Done,
     /*  194508 */   // Label 3766: @194508
     /*  194508 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(194549), // Rule ID 930 //
     /*  194513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194530 */     // MIs[0] rs1
     /*  194530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194542 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194547 */     GIR_RootConstrainSelectedInstOperands,
     /*  194548 */     // GIR_Coverage, 930,
     /*  194548 */     GIR_Done,
     /*  194549 */   // Label 3767: @194549
     /*  194549 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(194590), // Rule ID 932 //
     /*  194554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194571 */     // MIs[0] rs1
     /*  194571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194583 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  194588 */     GIR_RootConstrainSelectedInstOperands,
     /*  194589 */     // GIR_Coverage, 932,
     /*  194589 */     GIR_Done,
     /*  194590 */   // Label 3768: @194590
     /*  194590 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(194631), // Rule ID 934 //
     /*  194595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194612 */     // MIs[0] rs1
     /*  194612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194624 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  194629 */     GIR_RootConstrainSelectedInstOperands,
     /*  194630 */     // GIR_Coverage, 934,
     /*  194630 */     GIR_Done,
     /*  194631 */   // Label 3769: @194631
     /*  194631 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(194672), // Rule ID 936 //
     /*  194636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194653 */     // MIs[0] rs1
     /*  194653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194665 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  194670 */     GIR_RootConstrainSelectedInstOperands,
     /*  194671 */     // GIR_Coverage, 936,
     /*  194671 */     GIR_Done,
     /*  194672 */   // Label 3770: @194672
     /*  194672 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(194713), // Rule ID 938 //
     /*  194677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194694 */     // MIs[0] rs1
     /*  194694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194706 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  194711 */     GIR_RootConstrainSelectedInstOperands,
     /*  194712 */     // GIR_Coverage, 938,
     /*  194712 */     GIR_Done,
     /*  194713 */   // Label 3771: @194713
     /*  194713 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(194754), // Rule ID 940 //
     /*  194718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194735 */     // MIs[0] rs1
     /*  194735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194747 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194752 */     GIR_RootConstrainSelectedInstOperands,
     /*  194753 */     // GIR_Coverage, 940,
     /*  194753 */     GIR_Done,
     /*  194754 */   // Label 3772: @194754
     /*  194754 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(194795), // Rule ID 942 //
     /*  194759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194776 */     // MIs[0] rs1
     /*  194776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194788 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194793 */     GIR_RootConstrainSelectedInstOperands,
     /*  194794 */     // GIR_Coverage, 942,
     /*  194794 */     GIR_Done,
     /*  194795 */   // Label 3773: @194795
     /*  194795 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(194836), // Rule ID 944 //
     /*  194800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194817 */     // MIs[0] rs1
     /*  194817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194829 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194834 */     GIR_RootConstrainSelectedInstOperands,
     /*  194835 */     // GIR_Coverage, 944,
     /*  194835 */     GIR_Done,
     /*  194836 */   // Label 3774: @194836
     /*  194836 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(194877), // Rule ID 946 //
     /*  194841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194858 */     // MIs[0] rs1
     /*  194858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194870 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194875 */     GIR_RootConstrainSelectedInstOperands,
     /*  194876 */     // GIR_Coverage, 946,
     /*  194876 */     GIR_Done,
     /*  194877 */   // Label 3775: @194877
     /*  194877 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(194918), // Rule ID 948 //
     /*  194882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194899 */     // MIs[0] rs1
     /*  194899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194911 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  194916 */     GIR_RootConstrainSelectedInstOperands,
     /*  194917 */     // GIR_Coverage, 948,
     /*  194917 */     GIR_Done,
     /*  194918 */   // Label 3776: @194918
     /*  194918 */   GIM_Reject,
     /*  194919 */ // Label 3746: @194919
     /*  194919 */ GIM_Reject,
     /*  194920 */ // Label 3744: @194920
     /*  194920 */ GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(196569),
     /*  194925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  194928 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(194969), // Rule ID 401 //
     /*  194933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194950 */     // MIs[0] rs1
     /*  194950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194962 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194967 */     GIR_RootConstrainSelectedInstOperands,
     /*  194968 */     // GIR_Coverage, 401,
     /*  194968 */     GIR_Done,
     /*  194969 */   // Label 3778: @194969
     /*  194969 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(195010), // Rule ID 403 //
     /*  194974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194991 */     // MIs[0] rs1
     /*  194991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195003 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  195008 */     GIR_RootConstrainSelectedInstOperands,
     /*  195009 */     // GIR_Coverage, 403,
     /*  195009 */     GIR_Done,
     /*  195010 */   // Label 3779: @195010
     /*  195010 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(195051), // Rule ID 405 //
     /*  195015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195032 */     // MIs[0] rs1
     /*  195032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195044 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  195049 */     GIR_RootConstrainSelectedInstOperands,
     /*  195050 */     // GIR_Coverage, 405,
     /*  195050 */     GIR_Done,
     /*  195051 */   // Label 3780: @195051
     /*  195051 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(195092), // Rule ID 407 //
     /*  195056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195073 */     // MIs[0] rs1
     /*  195073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195085 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  195090 */     GIR_RootConstrainSelectedInstOperands,
     /*  195091 */     // GIR_Coverage, 407,
     /*  195091 */     GIR_Done,
     /*  195092 */   // Label 3781: @195092
     /*  195092 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(195133), // Rule ID 409 //
     /*  195097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195114 */     // MIs[0] rs1
     /*  195114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195126 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  195131 */     GIR_RootConstrainSelectedInstOperands,
     /*  195132 */     // GIR_Coverage, 409,
     /*  195132 */     GIR_Done,
     /*  195133 */   // Label 3782: @195133
     /*  195133 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(195174), // Rule ID 411 //
     /*  195138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195155 */     // MIs[0] rs1
     /*  195155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195167 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195172 */     GIR_RootConstrainSelectedInstOperands,
     /*  195173 */     // GIR_Coverage, 411,
     /*  195173 */     GIR_Done,
     /*  195174 */   // Label 3783: @195174
     /*  195174 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(195215), // Rule ID 413 //
     /*  195179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195196 */     // MIs[0] rs1
     /*  195196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195208 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195213 */     GIR_RootConstrainSelectedInstOperands,
     /*  195214 */     // GIR_Coverage, 413,
     /*  195214 */     GIR_Done,
     /*  195215 */   // Label 3784: @195215
     /*  195215 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(195256), // Rule ID 415 //
     /*  195220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195237 */     // MIs[0] rs1
     /*  195237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195249 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195254 */     GIR_RootConstrainSelectedInstOperands,
     /*  195255 */     // GIR_Coverage, 415,
     /*  195255 */     GIR_Done,
     /*  195256 */   // Label 3785: @195256
     /*  195256 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(195297), // Rule ID 417 //
     /*  195261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195278 */     // MIs[0] rs1
     /*  195278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195290 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195295 */     GIR_RootConstrainSelectedInstOperands,
     /*  195296 */     // GIR_Coverage, 417,
     /*  195296 */     GIR_Done,
     /*  195297 */   // Label 3786: @195297
     /*  195297 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(195338), // Rule ID 419 //
     /*  195302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195319 */     // MIs[0] rs1
     /*  195319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195331 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195336 */     GIR_RootConstrainSelectedInstOperands,
     /*  195337 */     // GIR_Coverage, 419,
     /*  195337 */     GIR_Done,
     /*  195338 */   // Label 3787: @195338
     /*  195338 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(195379), // Rule ID 551 //
     /*  195343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195360 */     // MIs[0] rs1
     /*  195360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195372 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195377 */     GIR_RootConstrainSelectedInstOperands,
     /*  195378 */     // GIR_Coverage, 551,
     /*  195378 */     GIR_Done,
     /*  195379 */   // Label 3788: @195379
     /*  195379 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(195420), // Rule ID 552 //
     /*  195384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195401 */     // MIs[0] rs1
     /*  195401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195413 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  195418 */     GIR_RootConstrainSelectedInstOperands,
     /*  195419 */     // GIR_Coverage, 552,
     /*  195419 */     GIR_Done,
     /*  195420 */   // Label 3789: @195420
     /*  195420 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(195461), // Rule ID 553 //
     /*  195425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195442 */     // MIs[0] rs1
     /*  195442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195454 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  195459 */     GIR_RootConstrainSelectedInstOperands,
     /*  195460 */     // GIR_Coverage, 553,
     /*  195460 */     GIR_Done,
     /*  195461 */   // Label 3790: @195461
     /*  195461 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(195502), // Rule ID 554 //
     /*  195466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195483 */     // MIs[0] rs1
     /*  195483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195495 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  195500 */     GIR_RootConstrainSelectedInstOperands,
     /*  195501 */     // GIR_Coverage, 554,
     /*  195501 */     GIR_Done,
     /*  195502 */   // Label 3791: @195502
     /*  195502 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(195543), // Rule ID 555 //
     /*  195507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195524 */     // MIs[0] rs1
     /*  195524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195536 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  195541 */     GIR_RootConstrainSelectedInstOperands,
     /*  195542 */     // GIR_Coverage, 555,
     /*  195542 */     GIR_Done,
     /*  195543 */   // Label 3792: @195543
     /*  195543 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(195584), // Rule ID 556 //
     /*  195548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195565 */     // MIs[0] rs1
     /*  195565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195577 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195582 */     GIR_RootConstrainSelectedInstOperands,
     /*  195583 */     // GIR_Coverage, 556,
     /*  195583 */     GIR_Done,
     /*  195584 */   // Label 3793: @195584
     /*  195584 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(195625), // Rule ID 557 //
     /*  195589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195606 */     // MIs[0] rs1
     /*  195606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195618 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195623 */     GIR_RootConstrainSelectedInstOperands,
     /*  195624 */     // GIR_Coverage, 557,
     /*  195624 */     GIR_Done,
     /*  195625 */   // Label 3794: @195625
     /*  195625 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(195666), // Rule ID 558 //
     /*  195630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195647 */     // MIs[0] rs1
     /*  195647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195659 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195664 */     GIR_RootConstrainSelectedInstOperands,
     /*  195665 */     // GIR_Coverage, 558,
     /*  195665 */     GIR_Done,
     /*  195666 */   // Label 3795: @195666
     /*  195666 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(195707), // Rule ID 559 //
     /*  195671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195688 */     // MIs[0] rs1
     /*  195688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195700 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195705 */     GIR_RootConstrainSelectedInstOperands,
     /*  195706 */     // GIR_Coverage, 559,
     /*  195706 */     GIR_Done,
     /*  195707 */   // Label 3796: @195707
     /*  195707 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(195748), // Rule ID 560 //
     /*  195712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195729 */     // MIs[0] rs1
     /*  195729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195741 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  195746 */     GIR_RootConstrainSelectedInstOperands,
     /*  195747 */     // GIR_Coverage, 560,
     /*  195747 */     GIR_Done,
     /*  195748 */   // Label 3797: @195748
     /*  195748 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(195789), // Rule ID 749 //
     /*  195753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195770 */     // MIs[0] rs1
     /*  195770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195782 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195787 */     GIR_RootConstrainSelectedInstOperands,
     /*  195788 */     // GIR_Coverage, 749,
     /*  195788 */     GIR_Done,
     /*  195789 */   // Label 3798: @195789
     /*  195789 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(195830), // Rule ID 751 //
     /*  195794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195811 */     // MIs[0] rs1
     /*  195811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195823 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  195828 */     GIR_RootConstrainSelectedInstOperands,
     /*  195829 */     // GIR_Coverage, 751,
     /*  195829 */     GIR_Done,
     /*  195830 */   // Label 3799: @195830
     /*  195830 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(195871), // Rule ID 753 //
     /*  195835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195852 */     // MIs[0] rs1
     /*  195852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195864 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  195869 */     GIR_RootConstrainSelectedInstOperands,
     /*  195870 */     // GIR_Coverage, 753,
     /*  195870 */     GIR_Done,
     /*  195871 */   // Label 3800: @195871
     /*  195871 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(195912), // Rule ID 755 //
     /*  195876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195893 */     // MIs[0] rs1
     /*  195893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195905 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  195910 */     GIR_RootConstrainSelectedInstOperands,
     /*  195911 */     // GIR_Coverage, 755,
     /*  195911 */     GIR_Done,
     /*  195912 */   // Label 3801: @195912
     /*  195912 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(195953), // Rule ID 757 //
     /*  195917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195934 */     // MIs[0] rs1
     /*  195934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195946 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  195951 */     GIR_RootConstrainSelectedInstOperands,
     /*  195952 */     // GIR_Coverage, 757,
     /*  195952 */     GIR_Done,
     /*  195953 */   // Label 3802: @195953
     /*  195953 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(195994), // Rule ID 759 //
     /*  195958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195975 */     // MIs[0] rs1
     /*  195975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195987 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195992 */     GIR_RootConstrainSelectedInstOperands,
     /*  195993 */     // GIR_Coverage, 759,
     /*  195993 */     GIR_Done,
     /*  195994 */   // Label 3803: @195994
     /*  195994 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(196035), // Rule ID 761 //
     /*  195999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196016 */     // MIs[0] rs1
     /*  196016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196028 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196033 */     GIR_RootConstrainSelectedInstOperands,
     /*  196034 */     // GIR_Coverage, 761,
     /*  196034 */     GIR_Done,
     /*  196035 */   // Label 3804: @196035
     /*  196035 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(196076), // Rule ID 763 //
     /*  196040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196057 */     // MIs[0] rs1
     /*  196057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196069 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196074 */     GIR_RootConstrainSelectedInstOperands,
     /*  196075 */     // GIR_Coverage, 763,
     /*  196075 */     GIR_Done,
     /*  196076 */   // Label 3805: @196076
     /*  196076 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(196117), // Rule ID 765 //
     /*  196081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196098 */     // MIs[0] rs1
     /*  196098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196110 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196115 */     GIR_RootConstrainSelectedInstOperands,
     /*  196116 */     // GIR_Coverage, 765,
     /*  196116 */     GIR_Done,
     /*  196117 */   // Label 3806: @196117
     /*  196117 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(196158), // Rule ID 767 //
     /*  196122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196139 */     // MIs[0] rs1
     /*  196139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196151 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196156 */     GIR_RootConstrainSelectedInstOperands,
     /*  196157 */     // GIR_Coverage, 767,
     /*  196157 */     GIR_Done,
     /*  196158 */   // Label 3807: @196158
     /*  196158 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(196199), // Rule ID 929 //
     /*  196163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196180 */     // MIs[0] rs1
     /*  196180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196192 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196197 */     GIR_RootConstrainSelectedInstOperands,
     /*  196198 */     // GIR_Coverage, 929,
     /*  196198 */     GIR_Done,
     /*  196199 */   // Label 3808: @196199
     /*  196199 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(196240), // Rule ID 931 //
     /*  196204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196221 */     // MIs[0] rs1
     /*  196221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196233 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  196238 */     GIR_RootConstrainSelectedInstOperands,
     /*  196239 */     // GIR_Coverage, 931,
     /*  196239 */     GIR_Done,
     /*  196240 */   // Label 3809: @196240
     /*  196240 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(196281), // Rule ID 933 //
     /*  196245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196262 */     // MIs[0] rs1
     /*  196262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196274 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  196279 */     GIR_RootConstrainSelectedInstOperands,
     /*  196280 */     // GIR_Coverage, 933,
     /*  196280 */     GIR_Done,
     /*  196281 */   // Label 3810: @196281
     /*  196281 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(196322), // Rule ID 935 //
     /*  196286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196303 */     // MIs[0] rs1
     /*  196303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196315 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  196320 */     GIR_RootConstrainSelectedInstOperands,
     /*  196321 */     // GIR_Coverage, 935,
     /*  196321 */     GIR_Done,
     /*  196322 */   // Label 3811: @196322
     /*  196322 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(196363), // Rule ID 937 //
     /*  196327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196344 */     // MIs[0] rs1
     /*  196344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196356 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  196361 */     GIR_RootConstrainSelectedInstOperands,
     /*  196362 */     // GIR_Coverage, 937,
     /*  196362 */     GIR_Done,
     /*  196363 */   // Label 3812: @196363
     /*  196363 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(196404), // Rule ID 939 //
     /*  196368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196385 */     // MIs[0] rs1
     /*  196385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196397 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196402 */     GIR_RootConstrainSelectedInstOperands,
     /*  196403 */     // GIR_Coverage, 939,
     /*  196403 */     GIR_Done,
     /*  196404 */   // Label 3813: @196404
     /*  196404 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(196445), // Rule ID 941 //
     /*  196409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196426 */     // MIs[0] rs1
     /*  196426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196438 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196443 */     GIR_RootConstrainSelectedInstOperands,
     /*  196444 */     // GIR_Coverage, 941,
     /*  196444 */     GIR_Done,
     /*  196445 */   // Label 3814: @196445
     /*  196445 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(196486), // Rule ID 943 //
     /*  196450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196467 */     // MIs[0] rs1
     /*  196467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196479 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196484 */     GIR_RootConstrainSelectedInstOperands,
     /*  196485 */     // GIR_Coverage, 943,
     /*  196485 */     GIR_Done,
     /*  196486 */   // Label 3815: @196486
     /*  196486 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(196527), // Rule ID 945 //
     /*  196491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196508 */     // MIs[0] rs1
     /*  196508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196520 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196525 */     GIR_RootConstrainSelectedInstOperands,
     /*  196526 */     // GIR_Coverage, 945,
     /*  196526 */     GIR_Done,
     /*  196527 */   // Label 3816: @196527
     /*  196527 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(196568), // Rule ID 947 //
     /*  196532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196549 */     // MIs[0] rs1
     /*  196549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196561 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196566 */     GIR_RootConstrainSelectedInstOperands,
     /*  196567 */     // GIR_Coverage, 947,
     /*  196567 */     GIR_Done,
     /*  196568 */   // Label 3817: @196568
     /*  196568 */   GIM_Reject,
     /*  196569 */ // Label 3777: @196569
     /*  196569 */ GIM_Reject,
     /*  196570 */ // Label 3745: @196570
     /*  196570 */ GIM_Reject,
     /*  196571 */ // Label 31: @196571
     /*  196571 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3820*/ GIMT_Encode4(199480),
     /*  196582 */ /*GILLT_s32*//*Label 3818*/ GIMT_Encode4(196590),
     /*  196586 */ /*GILLT_s64*//*Label 3819*/ GIMT_Encode4(197830),
     /*  196590 */ // Label 3818: @196590
     /*  196590 */ GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(197829),
     /*  196595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  196598 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(196639), // Rule ID 422 //
     /*  196603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196620 */     // MIs[0] rs1
     /*  196620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196632 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  196637 */     GIR_RootConstrainSelectedInstOperands,
     /*  196638 */     // GIR_Coverage, 422,
     /*  196638 */     GIR_Done,
     /*  196639 */   // Label 3822: @196639
     /*  196639 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(196680), // Rule ID 424 //
     /*  196644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196661 */     // MIs[0] rs1
     /*  196661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196673 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  196678 */     GIR_RootConstrainSelectedInstOperands,
     /*  196679 */     // GIR_Coverage, 424,
     /*  196679 */     GIR_Done,
     /*  196680 */   // Label 3823: @196680
     /*  196680 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(196721), // Rule ID 426 //
     /*  196685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196702 */     // MIs[0] rs1
     /*  196702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196714 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  196719 */     GIR_RootConstrainSelectedInstOperands,
     /*  196720 */     // GIR_Coverage, 426,
     /*  196720 */     GIR_Done,
     /*  196721 */   // Label 3824: @196721
     /*  196721 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(196762), // Rule ID 428 //
     /*  196726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196743 */     // MIs[0] rs1
     /*  196743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196755 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  196760 */     GIR_RootConstrainSelectedInstOperands,
     /*  196761 */     // GIR_Coverage, 428,
     /*  196761 */     GIR_Done,
     /*  196762 */   // Label 3825: @196762
     /*  196762 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(196803), // Rule ID 430 //
     /*  196767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196784 */     // MIs[0] rs1
     /*  196784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196796 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  196801 */     GIR_RootConstrainSelectedInstOperands,
     /*  196802 */     // GIR_Coverage, 430,
     /*  196802 */     GIR_Done,
     /*  196803 */   // Label 3826: @196803
     /*  196803 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(196844), // Rule ID 432 //
     /*  196808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196825 */     // MIs[0] rs1
     /*  196825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196837 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  196842 */     GIR_RootConstrainSelectedInstOperands,
     /*  196843 */     // GIR_Coverage, 432,
     /*  196843 */     GIR_Done,
     /*  196844 */   // Label 3827: @196844
     /*  196844 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(196885), // Rule ID 434 //
     /*  196849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196866 */     // MIs[0] rs1
     /*  196866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196878 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  196883 */     GIR_RootConstrainSelectedInstOperands,
     /*  196884 */     // GIR_Coverage, 434,
     /*  196884 */     GIR_Done,
     /*  196885 */   // Label 3828: @196885
     /*  196885 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(196926), // Rule ID 436 //
     /*  196890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196907 */     // MIs[0] rs1
     /*  196907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196919 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  196924 */     GIR_RootConstrainSelectedInstOperands,
     /*  196925 */     // GIR_Coverage, 436,
     /*  196925 */     GIR_Done,
     /*  196926 */   // Label 3829: @196926
     /*  196926 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(196967), // Rule ID 438 //
     /*  196931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196948 */     // MIs[0] rs1
     /*  196948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196960 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  196965 */     GIR_RootConstrainSelectedInstOperands,
     /*  196966 */     // GIR_Coverage, 438,
     /*  196966 */     GIR_Done,
     /*  196967 */   // Label 3830: @196967
     /*  196967 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(197008), // Rule ID 440 //
     /*  196972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196989 */     // MIs[0] rs1
     /*  196989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197001 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197006 */     GIR_RootConstrainSelectedInstOperands,
     /*  197007 */     // GIR_Coverage, 440,
     /*  197007 */     GIR_Done,
     /*  197008 */   // Label 3831: @197008
     /*  197008 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(197049), // Rule ID 770 //
     /*  197013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197030 */     // MIs[0] rs1
     /*  197030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197042 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197047 */     GIR_RootConstrainSelectedInstOperands,
     /*  197048 */     // GIR_Coverage, 770,
     /*  197048 */     GIR_Done,
     /*  197049 */   // Label 3832: @197049
     /*  197049 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(197090), // Rule ID 772 //
     /*  197054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197071 */     // MIs[0] rs1
     /*  197071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197083 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  197088 */     GIR_RootConstrainSelectedInstOperands,
     /*  197089 */     // GIR_Coverage, 772,
     /*  197089 */     GIR_Done,
     /*  197090 */   // Label 3833: @197090
     /*  197090 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(197131), // Rule ID 774 //
     /*  197095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197112 */     // MIs[0] rs1
     /*  197112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197124 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  197129 */     GIR_RootConstrainSelectedInstOperands,
     /*  197130 */     // GIR_Coverage, 774,
     /*  197130 */     GIR_Done,
     /*  197131 */   // Label 3834: @197131
     /*  197131 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(197172), // Rule ID 776 //
     /*  197136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197153 */     // MIs[0] rs1
     /*  197153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197165 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  197170 */     GIR_RootConstrainSelectedInstOperands,
     /*  197171 */     // GIR_Coverage, 776,
     /*  197171 */     GIR_Done,
     /*  197172 */   // Label 3835: @197172
     /*  197172 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(197213), // Rule ID 778 //
     /*  197177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197194 */     // MIs[0] rs1
     /*  197194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197206 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  197211 */     GIR_RootConstrainSelectedInstOperands,
     /*  197212 */     // GIR_Coverage, 778,
     /*  197212 */     GIR_Done,
     /*  197213 */   // Label 3836: @197213
     /*  197213 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(197254), // Rule ID 780 //
     /*  197218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197235 */     // MIs[0] rs1
     /*  197235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197247 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197252 */     GIR_RootConstrainSelectedInstOperands,
     /*  197253 */     // GIR_Coverage, 780,
     /*  197253 */     GIR_Done,
     /*  197254 */   // Label 3837: @197254
     /*  197254 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(197295), // Rule ID 782 //
     /*  197259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197276 */     // MIs[0] rs1
     /*  197276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197288 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197293 */     GIR_RootConstrainSelectedInstOperands,
     /*  197294 */     // GIR_Coverage, 782,
     /*  197294 */     GIR_Done,
     /*  197295 */   // Label 3838: @197295
     /*  197295 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(197336), // Rule ID 784 //
     /*  197300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197317 */     // MIs[0] rs1
     /*  197317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197329 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197334 */     GIR_RootConstrainSelectedInstOperands,
     /*  197335 */     // GIR_Coverage, 784,
     /*  197335 */     GIR_Done,
     /*  197336 */   // Label 3839: @197336
     /*  197336 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(197377), // Rule ID 786 //
     /*  197341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197358 */     // MIs[0] rs1
     /*  197358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197370 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197375 */     GIR_RootConstrainSelectedInstOperands,
     /*  197376 */     // GIR_Coverage, 786,
     /*  197376 */     GIR_Done,
     /*  197377 */   // Label 3840: @197377
     /*  197377 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(197418), // Rule ID 788 //
     /*  197382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197399 */     // MIs[0] rs1
     /*  197399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197411 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197416 */     GIR_RootConstrainSelectedInstOperands,
     /*  197417 */     // GIR_Coverage, 788,
     /*  197417 */     GIR_Done,
     /*  197418 */   // Label 3841: @197418
     /*  197418 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(197459), // Rule ID 950 //
     /*  197423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197440 */     // MIs[0] rs1
     /*  197440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197452 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197457 */     GIR_RootConstrainSelectedInstOperands,
     /*  197458 */     // GIR_Coverage, 950,
     /*  197458 */     GIR_Done,
     /*  197459 */   // Label 3842: @197459
     /*  197459 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(197500), // Rule ID 952 //
     /*  197464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197481 */     // MIs[0] rs1
     /*  197481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197493 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  197498 */     GIR_RootConstrainSelectedInstOperands,
     /*  197499 */     // GIR_Coverage, 952,
     /*  197499 */     GIR_Done,
     /*  197500 */   // Label 3843: @197500
     /*  197500 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(197541), // Rule ID 954 //
     /*  197505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197522 */     // MIs[0] rs1
     /*  197522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197534 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  197539 */     GIR_RootConstrainSelectedInstOperands,
     /*  197540 */     // GIR_Coverage, 954,
     /*  197540 */     GIR_Done,
     /*  197541 */   // Label 3844: @197541
     /*  197541 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(197582), // Rule ID 956 //
     /*  197546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197563 */     // MIs[0] rs1
     /*  197563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197575 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  197580 */     GIR_RootConstrainSelectedInstOperands,
     /*  197581 */     // GIR_Coverage, 956,
     /*  197581 */     GIR_Done,
     /*  197582 */   // Label 3845: @197582
     /*  197582 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(197623), // Rule ID 958 //
     /*  197587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197604 */     // MIs[0] rs1
     /*  197604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197616 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  197621 */     GIR_RootConstrainSelectedInstOperands,
     /*  197622 */     // GIR_Coverage, 958,
     /*  197622 */     GIR_Done,
     /*  197623 */   // Label 3846: @197623
     /*  197623 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(197664), // Rule ID 960 //
     /*  197628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197645 */     // MIs[0] rs1
     /*  197645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197657 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197662 */     GIR_RootConstrainSelectedInstOperands,
     /*  197663 */     // GIR_Coverage, 960,
     /*  197663 */     GIR_Done,
     /*  197664 */   // Label 3847: @197664
     /*  197664 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(197705), // Rule ID 962 //
     /*  197669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197686 */     // MIs[0] rs1
     /*  197686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197698 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197703 */     GIR_RootConstrainSelectedInstOperands,
     /*  197704 */     // GIR_Coverage, 962,
     /*  197704 */     GIR_Done,
     /*  197705 */   // Label 3848: @197705
     /*  197705 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(197746), // Rule ID 964 //
     /*  197710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197727 */     // MIs[0] rs1
     /*  197727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197739 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197744 */     GIR_RootConstrainSelectedInstOperands,
     /*  197745 */     // GIR_Coverage, 964,
     /*  197745 */     GIR_Done,
     /*  197746 */   // Label 3849: @197746
     /*  197746 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(197787), // Rule ID 966 //
     /*  197751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197768 */     // MIs[0] rs1
     /*  197768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197780 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197785 */     GIR_RootConstrainSelectedInstOperands,
     /*  197786 */     // GIR_Coverage, 966,
     /*  197786 */     GIR_Done,
     /*  197787 */   // Label 3850: @197787
     /*  197787 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(197828), // Rule ID 968 //
     /*  197792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197809 */     // MIs[0] rs1
     /*  197809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197821 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  197826 */     GIR_RootConstrainSelectedInstOperands,
     /*  197827 */     // GIR_Coverage, 968,
     /*  197827 */     GIR_Done,
     /*  197828 */   // Label 3851: @197828
     /*  197828 */   GIM_Reject,
     /*  197829 */ // Label 3821: @197829
     /*  197829 */ GIM_Reject,
     /*  197830 */ // Label 3819: @197830
     /*  197830 */ GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(199479),
     /*  197835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  197838 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(197879), // Rule ID 421 //
     /*  197843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197860 */     // MIs[0] rs1
     /*  197860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197872 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197877 */     GIR_RootConstrainSelectedInstOperands,
     /*  197878 */     // GIR_Coverage, 421,
     /*  197878 */     GIR_Done,
     /*  197879 */   // Label 3853: @197879
     /*  197879 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(197920), // Rule ID 423 //
     /*  197884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197901 */     // MIs[0] rs1
     /*  197901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197913 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  197918 */     GIR_RootConstrainSelectedInstOperands,
     /*  197919 */     // GIR_Coverage, 423,
     /*  197919 */     GIR_Done,
     /*  197920 */   // Label 3854: @197920
     /*  197920 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(197961), // Rule ID 425 //
     /*  197925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197942 */     // MIs[0] rs1
     /*  197942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197954 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  197959 */     GIR_RootConstrainSelectedInstOperands,
     /*  197960 */     // GIR_Coverage, 425,
     /*  197960 */     GIR_Done,
     /*  197961 */   // Label 3855: @197961
     /*  197961 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(198002), // Rule ID 427 //
     /*  197966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197983 */     // MIs[0] rs1
     /*  197983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197995 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  198000 */     GIR_RootConstrainSelectedInstOperands,
     /*  198001 */     // GIR_Coverage, 427,
     /*  198001 */     GIR_Done,
     /*  198002 */   // Label 3856: @198002
     /*  198002 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(198043), // Rule ID 429 //
     /*  198007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198024 */     // MIs[0] rs1
     /*  198024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198036 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  198041 */     GIR_RootConstrainSelectedInstOperands,
     /*  198042 */     // GIR_Coverage, 429,
     /*  198042 */     GIR_Done,
     /*  198043 */   // Label 3857: @198043
     /*  198043 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(198084), // Rule ID 431 //
     /*  198048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198065 */     // MIs[0] rs1
     /*  198065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198077 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198082 */     GIR_RootConstrainSelectedInstOperands,
     /*  198083 */     // GIR_Coverage, 431,
     /*  198083 */     GIR_Done,
     /*  198084 */   // Label 3858: @198084
     /*  198084 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(198125), // Rule ID 433 //
     /*  198089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198106 */     // MIs[0] rs1
     /*  198106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198118 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198123 */     GIR_RootConstrainSelectedInstOperands,
     /*  198124 */     // GIR_Coverage, 433,
     /*  198124 */     GIR_Done,
     /*  198125 */   // Label 3859: @198125
     /*  198125 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(198166), // Rule ID 435 //
     /*  198130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198147 */     // MIs[0] rs1
     /*  198147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198159 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198164 */     GIR_RootConstrainSelectedInstOperands,
     /*  198165 */     // GIR_Coverage, 435,
     /*  198165 */     GIR_Done,
     /*  198166 */   // Label 3860: @198166
     /*  198166 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(198207), // Rule ID 437 //
     /*  198171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198188 */     // MIs[0] rs1
     /*  198188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198200 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198205 */     GIR_RootConstrainSelectedInstOperands,
     /*  198206 */     // GIR_Coverage, 437,
     /*  198206 */     GIR_Done,
     /*  198207 */   // Label 3861: @198207
     /*  198207 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(198248), // Rule ID 439 //
     /*  198212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198229 */     // MIs[0] rs1
     /*  198229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198241 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198246 */     GIR_RootConstrainSelectedInstOperands,
     /*  198247 */     // GIR_Coverage, 439,
     /*  198247 */     GIR_Done,
     /*  198248 */   // Label 3862: @198248
     /*  198248 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(198289), // Rule ID 561 //
     /*  198253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198270 */     // MIs[0] rs1
     /*  198270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198282 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198287 */     GIR_RootConstrainSelectedInstOperands,
     /*  198288 */     // GIR_Coverage, 561,
     /*  198288 */     GIR_Done,
     /*  198289 */   // Label 3863: @198289
     /*  198289 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(198330), // Rule ID 562 //
     /*  198294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198311 */     // MIs[0] rs1
     /*  198311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198323 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  198328 */     GIR_RootConstrainSelectedInstOperands,
     /*  198329 */     // GIR_Coverage, 562,
     /*  198329 */     GIR_Done,
     /*  198330 */   // Label 3864: @198330
     /*  198330 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(198371), // Rule ID 563 //
     /*  198335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198352 */     // MIs[0] rs1
     /*  198352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198364 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  198369 */     GIR_RootConstrainSelectedInstOperands,
     /*  198370 */     // GIR_Coverage, 563,
     /*  198370 */     GIR_Done,
     /*  198371 */   // Label 3865: @198371
     /*  198371 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(198412), // Rule ID 564 //
     /*  198376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198393 */     // MIs[0] rs1
     /*  198393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198405 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  198410 */     GIR_RootConstrainSelectedInstOperands,
     /*  198411 */     // GIR_Coverage, 564,
     /*  198411 */     GIR_Done,
     /*  198412 */   // Label 3866: @198412
     /*  198412 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(198453), // Rule ID 565 //
     /*  198417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198434 */     // MIs[0] rs1
     /*  198434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198446 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  198451 */     GIR_RootConstrainSelectedInstOperands,
     /*  198452 */     // GIR_Coverage, 565,
     /*  198452 */     GIR_Done,
     /*  198453 */   // Label 3867: @198453
     /*  198453 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(198494), // Rule ID 566 //
     /*  198458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198475 */     // MIs[0] rs1
     /*  198475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198487 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198492 */     GIR_RootConstrainSelectedInstOperands,
     /*  198493 */     // GIR_Coverage, 566,
     /*  198493 */     GIR_Done,
     /*  198494 */   // Label 3868: @198494
     /*  198494 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(198535), // Rule ID 567 //
     /*  198499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198516 */     // MIs[0] rs1
     /*  198516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198528 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198533 */     GIR_RootConstrainSelectedInstOperands,
     /*  198534 */     // GIR_Coverage, 567,
     /*  198534 */     GIR_Done,
     /*  198535 */   // Label 3869: @198535
     /*  198535 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(198576), // Rule ID 568 //
     /*  198540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198557 */     // MIs[0] rs1
     /*  198557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198569 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198574 */     GIR_RootConstrainSelectedInstOperands,
     /*  198575 */     // GIR_Coverage, 568,
     /*  198575 */     GIR_Done,
     /*  198576 */   // Label 3870: @198576
     /*  198576 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(198617), // Rule ID 569 //
     /*  198581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198598 */     // MIs[0] rs1
     /*  198598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198610 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198615 */     GIR_RootConstrainSelectedInstOperands,
     /*  198616 */     // GIR_Coverage, 569,
     /*  198616 */     GIR_Done,
     /*  198617 */   // Label 3871: @198617
     /*  198617 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(198658), // Rule ID 570 //
     /*  198622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198639 */     // MIs[0] rs1
     /*  198639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198651 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198656 */     GIR_RootConstrainSelectedInstOperands,
     /*  198657 */     // GIR_Coverage, 570,
     /*  198657 */     GIR_Done,
     /*  198658 */   // Label 3872: @198658
     /*  198658 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(198699), // Rule ID 769 //
     /*  198663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198680 */     // MIs[0] rs1
     /*  198680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198692 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198697 */     GIR_RootConstrainSelectedInstOperands,
     /*  198698 */     // GIR_Coverage, 769,
     /*  198698 */     GIR_Done,
     /*  198699 */   // Label 3873: @198699
     /*  198699 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(198740), // Rule ID 771 //
     /*  198704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198721 */     // MIs[0] rs1
     /*  198721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198733 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  198738 */     GIR_RootConstrainSelectedInstOperands,
     /*  198739 */     // GIR_Coverage, 771,
     /*  198739 */     GIR_Done,
     /*  198740 */   // Label 3874: @198740
     /*  198740 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(198781), // Rule ID 773 //
     /*  198745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198762 */     // MIs[0] rs1
     /*  198762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198774 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  198779 */     GIR_RootConstrainSelectedInstOperands,
     /*  198780 */     // GIR_Coverage, 773,
     /*  198780 */     GIR_Done,
     /*  198781 */   // Label 3875: @198781
     /*  198781 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(198822), // Rule ID 775 //
     /*  198786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198803 */     // MIs[0] rs1
     /*  198803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198815 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  198820 */     GIR_RootConstrainSelectedInstOperands,
     /*  198821 */     // GIR_Coverage, 775,
     /*  198821 */     GIR_Done,
     /*  198822 */   // Label 3876: @198822
     /*  198822 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(198863), // Rule ID 777 //
     /*  198827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198844 */     // MIs[0] rs1
     /*  198844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198856 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  198861 */     GIR_RootConstrainSelectedInstOperands,
     /*  198862 */     // GIR_Coverage, 777,
     /*  198862 */     GIR_Done,
     /*  198863 */   // Label 3877: @198863
     /*  198863 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(198904), // Rule ID 779 //
     /*  198868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198885 */     // MIs[0] rs1
     /*  198885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198897 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198902 */     GIR_RootConstrainSelectedInstOperands,
     /*  198903 */     // GIR_Coverage, 779,
     /*  198903 */     GIR_Done,
     /*  198904 */   // Label 3878: @198904
     /*  198904 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(198945), // Rule ID 781 //
     /*  198909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198926 */     // MIs[0] rs1
     /*  198926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198938 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198943 */     GIR_RootConstrainSelectedInstOperands,
     /*  198944 */     // GIR_Coverage, 781,
     /*  198944 */     GIR_Done,
     /*  198945 */   // Label 3879: @198945
     /*  198945 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(198986), // Rule ID 783 //
     /*  198950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198967 */     // MIs[0] rs1
     /*  198967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198979 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198984 */     GIR_RootConstrainSelectedInstOperands,
     /*  198985 */     // GIR_Coverage, 783,
     /*  198985 */     GIR_Done,
     /*  198986 */   // Label 3880: @198986
     /*  198986 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(199027), // Rule ID 785 //
     /*  198991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199008 */     // MIs[0] rs1
     /*  199008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199020 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199025 */     GIR_RootConstrainSelectedInstOperands,
     /*  199026 */     // GIR_Coverage, 785,
     /*  199026 */     GIR_Done,
     /*  199027 */   // Label 3881: @199027
     /*  199027 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(199068), // Rule ID 787 //
     /*  199032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199049 */     // MIs[0] rs1
     /*  199049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199061 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199066 */     GIR_RootConstrainSelectedInstOperands,
     /*  199067 */     // GIR_Coverage, 787,
     /*  199067 */     GIR_Done,
     /*  199068 */   // Label 3882: @199068
     /*  199068 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(199109), // Rule ID 949 //
     /*  199073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199090 */     // MIs[0] rs1
     /*  199090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199102 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199107 */     GIR_RootConstrainSelectedInstOperands,
     /*  199108 */     // GIR_Coverage, 949,
     /*  199108 */     GIR_Done,
     /*  199109 */   // Label 3883: @199109
     /*  199109 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(199150), // Rule ID 951 //
     /*  199114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199131 */     // MIs[0] rs1
     /*  199131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199143 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  199148 */     GIR_RootConstrainSelectedInstOperands,
     /*  199149 */     // GIR_Coverage, 951,
     /*  199149 */     GIR_Done,
     /*  199150 */   // Label 3884: @199150
     /*  199150 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(199191), // Rule ID 953 //
     /*  199155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199172 */     // MIs[0] rs1
     /*  199172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199184 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  199189 */     GIR_RootConstrainSelectedInstOperands,
     /*  199190 */     // GIR_Coverage, 953,
     /*  199190 */     GIR_Done,
     /*  199191 */   // Label 3885: @199191
     /*  199191 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(199232), // Rule ID 955 //
     /*  199196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199213 */     // MIs[0] rs1
     /*  199213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199225 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  199230 */     GIR_RootConstrainSelectedInstOperands,
     /*  199231 */     // GIR_Coverage, 955,
     /*  199231 */     GIR_Done,
     /*  199232 */   // Label 3886: @199232
     /*  199232 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(199273), // Rule ID 957 //
     /*  199237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199254 */     // MIs[0] rs1
     /*  199254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199266 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  199271 */     GIR_RootConstrainSelectedInstOperands,
     /*  199272 */     // GIR_Coverage, 957,
     /*  199272 */     GIR_Done,
     /*  199273 */   // Label 3887: @199273
     /*  199273 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(199314), // Rule ID 959 //
     /*  199278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199295 */     // MIs[0] rs1
     /*  199295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199307 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199312 */     GIR_RootConstrainSelectedInstOperands,
     /*  199313 */     // GIR_Coverage, 959,
     /*  199313 */     GIR_Done,
     /*  199314 */   // Label 3888: @199314
     /*  199314 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(199355), // Rule ID 961 //
     /*  199319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199336 */     // MIs[0] rs1
     /*  199336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199348 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199353 */     GIR_RootConstrainSelectedInstOperands,
     /*  199354 */     // GIR_Coverage, 961,
     /*  199354 */     GIR_Done,
     /*  199355 */   // Label 3889: @199355
     /*  199355 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(199396), // Rule ID 963 //
     /*  199360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199377 */     // MIs[0] rs1
     /*  199377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199389 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199394 */     GIR_RootConstrainSelectedInstOperands,
     /*  199395 */     // GIR_Coverage, 963,
     /*  199395 */     GIR_Done,
     /*  199396 */   // Label 3890: @199396
     /*  199396 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(199437), // Rule ID 965 //
     /*  199401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199418 */     // MIs[0] rs1
     /*  199418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199430 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199435 */     GIR_RootConstrainSelectedInstOperands,
     /*  199436 */     // GIR_Coverage, 965,
     /*  199436 */     GIR_Done,
     /*  199437 */   // Label 3891: @199437
     /*  199437 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(199478), // Rule ID 967 //
     /*  199442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199459 */     // MIs[0] rs1
     /*  199459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199471 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199476 */     GIR_RootConstrainSelectedInstOperands,
     /*  199477 */     // GIR_Coverage, 967,
     /*  199477 */     GIR_Done,
     /*  199478 */   // Label 3892: @199478
     /*  199478 */   GIM_Reject,
     /*  199479 */ // Label 3852: @199479
     /*  199479 */ GIM_Reject,
     /*  199480 */ // Label 3820: @199480
     /*  199480 */ GIM_Reject,
     /*  199481 */ // Label 32: @199481
     /*  199481 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3895*/ GIMT_Encode4(202390),
     /*  199492 */ /*GILLT_s32*//*Label 3893*/ GIMT_Encode4(199500),
     /*  199496 */ /*GILLT_s64*//*Label 3894*/ GIMT_Encode4(200740),
     /*  199500 */ // Label 3893: @199500
     /*  199500 */ GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(200739),
     /*  199505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  199508 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(199549), // Rule ID 442 //
     /*  199513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199530 */     // MIs[0] rs1
     /*  199530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199542 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199547 */     GIR_RootConstrainSelectedInstOperands,
     /*  199548 */     // GIR_Coverage, 442,
     /*  199548 */     GIR_Done,
     /*  199549 */   // Label 3897: @199549
     /*  199549 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(199590), // Rule ID 444 //
     /*  199554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199571 */     // MIs[0] rs1
     /*  199571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199583 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  199588 */     GIR_RootConstrainSelectedInstOperands,
     /*  199589 */     // GIR_Coverage, 444,
     /*  199589 */     GIR_Done,
     /*  199590 */   // Label 3898: @199590
     /*  199590 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(199631), // Rule ID 446 //
     /*  199595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199612 */     // MIs[0] rs1
     /*  199612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199624 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  199629 */     GIR_RootConstrainSelectedInstOperands,
     /*  199630 */     // GIR_Coverage, 446,
     /*  199630 */     GIR_Done,
     /*  199631 */   // Label 3899: @199631
     /*  199631 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(199672), // Rule ID 448 //
     /*  199636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199653 */     // MIs[0] rs1
     /*  199653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199665 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  199670 */     GIR_RootConstrainSelectedInstOperands,
     /*  199671 */     // GIR_Coverage, 448,
     /*  199671 */     GIR_Done,
     /*  199672 */   // Label 3900: @199672
     /*  199672 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(199713), // Rule ID 450 //
     /*  199677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199694 */     // MIs[0] rs1
     /*  199694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199706 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  199711 */     GIR_RootConstrainSelectedInstOperands,
     /*  199712 */     // GIR_Coverage, 450,
     /*  199712 */     GIR_Done,
     /*  199713 */   // Label 3901: @199713
     /*  199713 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(199754), // Rule ID 452 //
     /*  199718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199735 */     // MIs[0] rs1
     /*  199735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199747 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199752 */     GIR_RootConstrainSelectedInstOperands,
     /*  199753 */     // GIR_Coverage, 452,
     /*  199753 */     GIR_Done,
     /*  199754 */   // Label 3902: @199754
     /*  199754 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(199795), // Rule ID 454 //
     /*  199759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199776 */     // MIs[0] rs1
     /*  199776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199788 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199793 */     GIR_RootConstrainSelectedInstOperands,
     /*  199794 */     // GIR_Coverage, 454,
     /*  199794 */     GIR_Done,
     /*  199795 */   // Label 3903: @199795
     /*  199795 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(199836), // Rule ID 456 //
     /*  199800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199817 */     // MIs[0] rs1
     /*  199817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199829 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199834 */     GIR_RootConstrainSelectedInstOperands,
     /*  199835 */     // GIR_Coverage, 456,
     /*  199835 */     GIR_Done,
     /*  199836 */   // Label 3904: @199836
     /*  199836 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(199877), // Rule ID 458 //
     /*  199841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199858 */     // MIs[0] rs1
     /*  199858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199870 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199875 */     GIR_RootConstrainSelectedInstOperands,
     /*  199876 */     // GIR_Coverage, 458,
     /*  199876 */     GIR_Done,
     /*  199877 */   // Label 3905: @199877
     /*  199877 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(199918), // Rule ID 460 //
     /*  199882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199899 */     // MIs[0] rs1
     /*  199899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199911 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  199916 */     GIR_RootConstrainSelectedInstOperands,
     /*  199917 */     // GIR_Coverage, 460,
     /*  199917 */     GIR_Done,
     /*  199918 */   // Label 3906: @199918
     /*  199918 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(199959), // Rule ID 790 //
     /*  199923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199940 */     // MIs[0] rs1
     /*  199940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199952 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  199957 */     GIR_RootConstrainSelectedInstOperands,
     /*  199958 */     // GIR_Coverage, 790,
     /*  199958 */     GIR_Done,
     /*  199959 */   // Label 3907: @199959
     /*  199959 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(200000), // Rule ID 792 //
     /*  199964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199981 */     // MIs[0] rs1
     /*  199981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199993 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  199998 */     GIR_RootConstrainSelectedInstOperands,
     /*  199999 */     // GIR_Coverage, 792,
     /*  199999 */     GIR_Done,
     /*  200000 */   // Label 3908: @200000
     /*  200000 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(200041), // Rule ID 794 //
     /*  200005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200022 */     // MIs[0] rs1
     /*  200022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200034 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  200039 */     GIR_RootConstrainSelectedInstOperands,
     /*  200040 */     // GIR_Coverage, 794,
     /*  200040 */     GIR_Done,
     /*  200041 */   // Label 3909: @200041
     /*  200041 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(200082), // Rule ID 796 //
     /*  200046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200063 */     // MIs[0] rs1
     /*  200063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200075 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  200080 */     GIR_RootConstrainSelectedInstOperands,
     /*  200081 */     // GIR_Coverage, 796,
     /*  200081 */     GIR_Done,
     /*  200082 */   // Label 3910: @200082
     /*  200082 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(200123), // Rule ID 798 //
     /*  200087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200104 */     // MIs[0] rs1
     /*  200104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200116 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  200121 */     GIR_RootConstrainSelectedInstOperands,
     /*  200122 */     // GIR_Coverage, 798,
     /*  200122 */     GIR_Done,
     /*  200123 */   // Label 3911: @200123
     /*  200123 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(200164), // Rule ID 800 //
     /*  200128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200145 */     // MIs[0] rs1
     /*  200145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200157 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200162 */     GIR_RootConstrainSelectedInstOperands,
     /*  200163 */     // GIR_Coverage, 800,
     /*  200163 */     GIR_Done,
     /*  200164 */   // Label 3912: @200164
     /*  200164 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(200205), // Rule ID 802 //
     /*  200169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200186 */     // MIs[0] rs1
     /*  200186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200198 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200203 */     GIR_RootConstrainSelectedInstOperands,
     /*  200204 */     // GIR_Coverage, 802,
     /*  200204 */     GIR_Done,
     /*  200205 */   // Label 3913: @200205
     /*  200205 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(200246), // Rule ID 804 //
     /*  200210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200227 */     // MIs[0] rs1
     /*  200227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200239 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200244 */     GIR_RootConstrainSelectedInstOperands,
     /*  200245 */     // GIR_Coverage, 804,
     /*  200245 */     GIR_Done,
     /*  200246 */   // Label 3914: @200246
     /*  200246 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(200287), // Rule ID 806 //
     /*  200251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200268 */     // MIs[0] rs1
     /*  200268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200280 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200285 */     GIR_RootConstrainSelectedInstOperands,
     /*  200286 */     // GIR_Coverage, 806,
     /*  200286 */     GIR_Done,
     /*  200287 */   // Label 3915: @200287
     /*  200287 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(200328), // Rule ID 808 //
     /*  200292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200309 */     // MIs[0] rs1
     /*  200309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200321 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200326 */     GIR_RootConstrainSelectedInstOperands,
     /*  200327 */     // GIR_Coverage, 808,
     /*  200327 */     GIR_Done,
     /*  200328 */   // Label 3916: @200328
     /*  200328 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(200369), // Rule ID 970 //
     /*  200333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200350 */     // MIs[0] rs1
     /*  200350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200362 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200367 */     GIR_RootConstrainSelectedInstOperands,
     /*  200368 */     // GIR_Coverage, 970,
     /*  200368 */     GIR_Done,
     /*  200369 */   // Label 3917: @200369
     /*  200369 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(200410), // Rule ID 972 //
     /*  200374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200391 */     // MIs[0] rs1
     /*  200391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200403 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  200408 */     GIR_RootConstrainSelectedInstOperands,
     /*  200409 */     // GIR_Coverage, 972,
     /*  200409 */     GIR_Done,
     /*  200410 */   // Label 3918: @200410
     /*  200410 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(200451), // Rule ID 974 //
     /*  200415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200432 */     // MIs[0] rs1
     /*  200432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200444 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  200449 */     GIR_RootConstrainSelectedInstOperands,
     /*  200450 */     // GIR_Coverage, 974,
     /*  200450 */     GIR_Done,
     /*  200451 */   // Label 3919: @200451
     /*  200451 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(200492), // Rule ID 976 //
     /*  200456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200473 */     // MIs[0] rs1
     /*  200473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200485 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  200490 */     GIR_RootConstrainSelectedInstOperands,
     /*  200491 */     // GIR_Coverage, 976,
     /*  200491 */     GIR_Done,
     /*  200492 */   // Label 3920: @200492
     /*  200492 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(200533), // Rule ID 978 //
     /*  200497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200514 */     // MIs[0] rs1
     /*  200514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200526 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  200531 */     GIR_RootConstrainSelectedInstOperands,
     /*  200532 */     // GIR_Coverage, 978,
     /*  200532 */     GIR_Done,
     /*  200533 */   // Label 3921: @200533
     /*  200533 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(200574), // Rule ID 980 //
     /*  200538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200555 */     // MIs[0] rs1
     /*  200555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200567 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200572 */     GIR_RootConstrainSelectedInstOperands,
     /*  200573 */     // GIR_Coverage, 980,
     /*  200573 */     GIR_Done,
     /*  200574 */   // Label 3922: @200574
     /*  200574 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(200615), // Rule ID 982 //
     /*  200579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200596 */     // MIs[0] rs1
     /*  200596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200608 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200613 */     GIR_RootConstrainSelectedInstOperands,
     /*  200614 */     // GIR_Coverage, 982,
     /*  200614 */     GIR_Done,
     /*  200615 */   // Label 3923: @200615
     /*  200615 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(200656), // Rule ID 984 //
     /*  200620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200637 */     // MIs[0] rs1
     /*  200637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200649 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200654 */     GIR_RootConstrainSelectedInstOperands,
     /*  200655 */     // GIR_Coverage, 984,
     /*  200655 */     GIR_Done,
     /*  200656 */   // Label 3924: @200656
     /*  200656 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(200697), // Rule ID 986 //
     /*  200661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200678 */     // MIs[0] rs1
     /*  200678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200690 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200695 */     GIR_RootConstrainSelectedInstOperands,
     /*  200696 */     // GIR_Coverage, 986,
     /*  200696 */     GIR_Done,
     /*  200697 */   // Label 3925: @200697
     /*  200697 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(200738), // Rule ID 988 //
     /*  200702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200719 */     // MIs[0] rs1
     /*  200719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200731 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  200736 */     GIR_RootConstrainSelectedInstOperands,
     /*  200737 */     // GIR_Coverage, 988,
     /*  200737 */     GIR_Done,
     /*  200738 */   // Label 3926: @200738
     /*  200738 */   GIM_Reject,
     /*  200739 */ // Label 3896: @200739
     /*  200739 */ GIM_Reject,
     /*  200740 */ // Label 3894: @200740
     /*  200740 */ GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(202389),
     /*  200745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  200748 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(200789), // Rule ID 441 //
     /*  200753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200770 */     // MIs[0] rs1
     /*  200770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200782 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200787 */     GIR_RootConstrainSelectedInstOperands,
     /*  200788 */     // GIR_Coverage, 441,
     /*  200788 */     GIR_Done,
     /*  200789 */   // Label 3928: @200789
     /*  200789 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(200830), // Rule ID 443 //
     /*  200794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200811 */     // MIs[0] rs1
     /*  200811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200823 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  200828 */     GIR_RootConstrainSelectedInstOperands,
     /*  200829 */     // GIR_Coverage, 443,
     /*  200829 */     GIR_Done,
     /*  200830 */   // Label 3929: @200830
     /*  200830 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(200871), // Rule ID 445 //
     /*  200835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200852 */     // MIs[0] rs1
     /*  200852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200864 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  200869 */     GIR_RootConstrainSelectedInstOperands,
     /*  200870 */     // GIR_Coverage, 445,
     /*  200870 */     GIR_Done,
     /*  200871 */   // Label 3930: @200871
     /*  200871 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(200912), // Rule ID 447 //
     /*  200876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200893 */     // MIs[0] rs1
     /*  200893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200905 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  200910 */     GIR_RootConstrainSelectedInstOperands,
     /*  200911 */     // GIR_Coverage, 447,
     /*  200911 */     GIR_Done,
     /*  200912 */   // Label 3931: @200912
     /*  200912 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(200953), // Rule ID 449 //
     /*  200917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200934 */     // MIs[0] rs1
     /*  200934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200946 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  200951 */     GIR_RootConstrainSelectedInstOperands,
     /*  200952 */     // GIR_Coverage, 449,
     /*  200952 */     GIR_Done,
     /*  200953 */   // Label 3932: @200953
     /*  200953 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(200994), // Rule ID 451 //
     /*  200958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  200961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200975 */     // MIs[0] rs1
     /*  200975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200987 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200992 */     GIR_RootConstrainSelectedInstOperands,
     /*  200993 */     // GIR_Coverage, 451,
     /*  200993 */     GIR_Done,
     /*  200994 */   // Label 3933: @200994
     /*  200994 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(201035), // Rule ID 453 //
     /*  200999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201016 */     // MIs[0] rs1
     /*  201016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201028 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201033 */     GIR_RootConstrainSelectedInstOperands,
     /*  201034 */     // GIR_Coverage, 453,
     /*  201034 */     GIR_Done,
     /*  201035 */   // Label 3934: @201035
     /*  201035 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(201076), // Rule ID 455 //
     /*  201040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201057 */     // MIs[0] rs1
     /*  201057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201069 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201074 */     GIR_RootConstrainSelectedInstOperands,
     /*  201075 */     // GIR_Coverage, 455,
     /*  201075 */     GIR_Done,
     /*  201076 */   // Label 3935: @201076
     /*  201076 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(201117), // Rule ID 457 //
     /*  201081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201098 */     // MIs[0] rs1
     /*  201098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201110 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201115 */     GIR_RootConstrainSelectedInstOperands,
     /*  201116 */     // GIR_Coverage, 457,
     /*  201116 */     GIR_Done,
     /*  201117 */   // Label 3936: @201117
     /*  201117 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(201158), // Rule ID 459 //
     /*  201122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201139 */     // MIs[0] rs1
     /*  201139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201151 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201156 */     GIR_RootConstrainSelectedInstOperands,
     /*  201157 */     // GIR_Coverage, 459,
     /*  201157 */     GIR_Done,
     /*  201158 */   // Label 3937: @201158
     /*  201158 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(201199), // Rule ID 571 //
     /*  201163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201180 */     // MIs[0] rs1
     /*  201180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201192 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201197 */     GIR_RootConstrainSelectedInstOperands,
     /*  201198 */     // GIR_Coverage, 571,
     /*  201198 */     GIR_Done,
     /*  201199 */   // Label 3938: @201199
     /*  201199 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(201240), // Rule ID 572 //
     /*  201204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201221 */     // MIs[0] rs1
     /*  201221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201233 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  201238 */     GIR_RootConstrainSelectedInstOperands,
     /*  201239 */     // GIR_Coverage, 572,
     /*  201239 */     GIR_Done,
     /*  201240 */   // Label 3939: @201240
     /*  201240 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(201281), // Rule ID 573 //
     /*  201245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201262 */     // MIs[0] rs1
     /*  201262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201274 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  201279 */     GIR_RootConstrainSelectedInstOperands,
     /*  201280 */     // GIR_Coverage, 573,
     /*  201280 */     GIR_Done,
     /*  201281 */   // Label 3940: @201281
     /*  201281 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(201322), // Rule ID 574 //
     /*  201286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201303 */     // MIs[0] rs1
     /*  201303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201315 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  201320 */     GIR_RootConstrainSelectedInstOperands,
     /*  201321 */     // GIR_Coverage, 574,
     /*  201321 */     GIR_Done,
     /*  201322 */   // Label 3941: @201322
     /*  201322 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(201363), // Rule ID 575 //
     /*  201327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201344 */     // MIs[0] rs1
     /*  201344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201356 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  201361 */     GIR_RootConstrainSelectedInstOperands,
     /*  201362 */     // GIR_Coverage, 575,
     /*  201362 */     GIR_Done,
     /*  201363 */   // Label 3942: @201363
     /*  201363 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(201404), // Rule ID 576 //
     /*  201368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201385 */     // MIs[0] rs1
     /*  201385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201397 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201402 */     GIR_RootConstrainSelectedInstOperands,
     /*  201403 */     // GIR_Coverage, 576,
     /*  201403 */     GIR_Done,
     /*  201404 */   // Label 3943: @201404
     /*  201404 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(201445), // Rule ID 577 //
     /*  201409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201426 */     // MIs[0] rs1
     /*  201426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201438 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201443 */     GIR_RootConstrainSelectedInstOperands,
     /*  201444 */     // GIR_Coverage, 577,
     /*  201444 */     GIR_Done,
     /*  201445 */   // Label 3944: @201445
     /*  201445 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(201486), // Rule ID 578 //
     /*  201450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201467 */     // MIs[0] rs1
     /*  201467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201479 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201484 */     GIR_RootConstrainSelectedInstOperands,
     /*  201485 */     // GIR_Coverage, 578,
     /*  201485 */     GIR_Done,
     /*  201486 */   // Label 3945: @201486
     /*  201486 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(201527), // Rule ID 579 //
     /*  201491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201508 */     // MIs[0] rs1
     /*  201508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201520 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201525 */     GIR_RootConstrainSelectedInstOperands,
     /*  201526 */     // GIR_Coverage, 579,
     /*  201526 */     GIR_Done,
     /*  201527 */   // Label 3946: @201527
     /*  201527 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(201568), // Rule ID 580 //
     /*  201532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201549 */     // MIs[0] rs1
     /*  201549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201561 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201566 */     GIR_RootConstrainSelectedInstOperands,
     /*  201567 */     // GIR_Coverage, 580,
     /*  201567 */     GIR_Done,
     /*  201568 */   // Label 3947: @201568
     /*  201568 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(201609), // Rule ID 789 //
     /*  201573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201590 */     // MIs[0] rs1
     /*  201590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201602 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201607 */     GIR_RootConstrainSelectedInstOperands,
     /*  201608 */     // GIR_Coverage, 789,
     /*  201608 */     GIR_Done,
     /*  201609 */   // Label 3948: @201609
     /*  201609 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(201650), // Rule ID 791 //
     /*  201614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201631 */     // MIs[0] rs1
     /*  201631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201643 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  201648 */     GIR_RootConstrainSelectedInstOperands,
     /*  201649 */     // GIR_Coverage, 791,
     /*  201649 */     GIR_Done,
     /*  201650 */   // Label 3949: @201650
     /*  201650 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(201691), // Rule ID 793 //
     /*  201655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201672 */     // MIs[0] rs1
     /*  201672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201684 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  201689 */     GIR_RootConstrainSelectedInstOperands,
     /*  201690 */     // GIR_Coverage, 793,
     /*  201690 */     GIR_Done,
     /*  201691 */   // Label 3950: @201691
     /*  201691 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(201732), // Rule ID 795 //
     /*  201696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201713 */     // MIs[0] rs1
     /*  201713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201725 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  201730 */     GIR_RootConstrainSelectedInstOperands,
     /*  201731 */     // GIR_Coverage, 795,
     /*  201731 */     GIR_Done,
     /*  201732 */   // Label 3951: @201732
     /*  201732 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(201773), // Rule ID 797 //
     /*  201737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201754 */     // MIs[0] rs1
     /*  201754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201766 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  201771 */     GIR_RootConstrainSelectedInstOperands,
     /*  201772 */     // GIR_Coverage, 797,
     /*  201772 */     GIR_Done,
     /*  201773 */   // Label 3952: @201773
     /*  201773 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(201814), // Rule ID 799 //
     /*  201778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201795 */     // MIs[0] rs1
     /*  201795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201807 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201812 */     GIR_RootConstrainSelectedInstOperands,
     /*  201813 */     // GIR_Coverage, 799,
     /*  201813 */     GIR_Done,
     /*  201814 */   // Label 3953: @201814
     /*  201814 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(201855), // Rule ID 801 //
     /*  201819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201836 */     // MIs[0] rs1
     /*  201836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201848 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201853 */     GIR_RootConstrainSelectedInstOperands,
     /*  201854 */     // GIR_Coverage, 801,
     /*  201854 */     GIR_Done,
     /*  201855 */   // Label 3954: @201855
     /*  201855 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(201896), // Rule ID 803 //
     /*  201860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201877 */     // MIs[0] rs1
     /*  201877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201889 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201894 */     GIR_RootConstrainSelectedInstOperands,
     /*  201895 */     // GIR_Coverage, 803,
     /*  201895 */     GIR_Done,
     /*  201896 */   // Label 3955: @201896
     /*  201896 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(201937), // Rule ID 805 //
     /*  201901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201918 */     // MIs[0] rs1
     /*  201918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201930 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201935 */     GIR_RootConstrainSelectedInstOperands,
     /*  201936 */     // GIR_Coverage, 805,
     /*  201936 */     GIR_Done,
     /*  201937 */   // Label 3956: @201937
     /*  201937 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(201978), // Rule ID 807 //
     /*  201942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201959 */     // MIs[0] rs1
     /*  201959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201971 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201976 */     GIR_RootConstrainSelectedInstOperands,
     /*  201977 */     // GIR_Coverage, 807,
     /*  201977 */     GIR_Done,
     /*  201978 */   // Label 3957: @201978
     /*  201978 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(202019), // Rule ID 969 //
     /*  201983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202000 */     // MIs[0] rs1
     /*  202000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202012 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202017 */     GIR_RootConstrainSelectedInstOperands,
     /*  202018 */     // GIR_Coverage, 969,
     /*  202018 */     GIR_Done,
     /*  202019 */   // Label 3958: @202019
     /*  202019 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(202060), // Rule ID 971 //
     /*  202024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202041 */     // MIs[0] rs1
     /*  202041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202053 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  202058 */     GIR_RootConstrainSelectedInstOperands,
     /*  202059 */     // GIR_Coverage, 971,
     /*  202059 */     GIR_Done,
     /*  202060 */   // Label 3959: @202060
     /*  202060 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(202101), // Rule ID 973 //
     /*  202065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202082 */     // MIs[0] rs1
     /*  202082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202094 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  202099 */     GIR_RootConstrainSelectedInstOperands,
     /*  202100 */     // GIR_Coverage, 973,
     /*  202100 */     GIR_Done,
     /*  202101 */   // Label 3960: @202101
     /*  202101 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(202142), // Rule ID 975 //
     /*  202106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202123 */     // MIs[0] rs1
     /*  202123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202135 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  202140 */     GIR_RootConstrainSelectedInstOperands,
     /*  202141 */     // GIR_Coverage, 975,
     /*  202141 */     GIR_Done,
     /*  202142 */   // Label 3961: @202142
     /*  202142 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(202183), // Rule ID 977 //
     /*  202147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202164 */     // MIs[0] rs1
     /*  202164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202176 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  202181 */     GIR_RootConstrainSelectedInstOperands,
     /*  202182 */     // GIR_Coverage, 977,
     /*  202182 */     GIR_Done,
     /*  202183 */   // Label 3962: @202183
     /*  202183 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(202224), // Rule ID 979 //
     /*  202188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202205 */     // MIs[0] rs1
     /*  202205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202217 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202222 */     GIR_RootConstrainSelectedInstOperands,
     /*  202223 */     // GIR_Coverage, 979,
     /*  202223 */     GIR_Done,
     /*  202224 */   // Label 3963: @202224
     /*  202224 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(202265), // Rule ID 981 //
     /*  202229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202246 */     // MIs[0] rs1
     /*  202246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202258 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202263 */     GIR_RootConstrainSelectedInstOperands,
     /*  202264 */     // GIR_Coverage, 981,
     /*  202264 */     GIR_Done,
     /*  202265 */   // Label 3964: @202265
     /*  202265 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(202306), // Rule ID 983 //
     /*  202270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202287 */     // MIs[0] rs1
     /*  202287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202299 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202304 */     GIR_RootConstrainSelectedInstOperands,
     /*  202305 */     // GIR_Coverage, 983,
     /*  202305 */     GIR_Done,
     /*  202306 */   // Label 3965: @202306
     /*  202306 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(202347), // Rule ID 985 //
     /*  202311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202328 */     // MIs[0] rs1
     /*  202328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202340 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202345 */     GIR_RootConstrainSelectedInstOperands,
     /*  202346 */     // GIR_Coverage, 985,
     /*  202346 */     GIR_Done,
     /*  202347 */   // Label 3966: @202347
     /*  202347 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(202388), // Rule ID 987 //
     /*  202352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202369 */     // MIs[0] rs1
     /*  202369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202381 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202386 */     GIR_RootConstrainSelectedInstOperands,
     /*  202387 */     // GIR_Coverage, 987,
     /*  202387 */     GIR_Done,
     /*  202388 */   // Label 3967: @202388
     /*  202388 */   GIM_Reject,
     /*  202389 */ // Label 3927: @202389
     /*  202389 */ GIM_Reject,
     /*  202390 */ // Label 3895: @202390
     /*  202390 */ GIM_Reject,
     /*  202391 */ // Label 33: @202391
     /*  202391 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3970*/ GIMT_Encode4(205300),
     /*  202402 */ /*GILLT_s32*//*Label 3968*/ GIMT_Encode4(202410),
     /*  202406 */ /*GILLT_s64*//*Label 3969*/ GIMT_Encode4(203650),
     /*  202410 */ // Label 3968: @202410
     /*  202410 */ GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(203649),
     /*  202415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  202418 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(202459), // Rule ID 462 //
     /*  202423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202440 */     // MIs[0] rs1
     /*  202440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202452 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202457 */     GIR_RootConstrainSelectedInstOperands,
     /*  202458 */     // GIR_Coverage, 462,
     /*  202458 */     GIR_Done,
     /*  202459 */   // Label 3972: @202459
     /*  202459 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(202500), // Rule ID 464 //
     /*  202464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202481 */     // MIs[0] rs1
     /*  202481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202493 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  202498 */     GIR_RootConstrainSelectedInstOperands,
     /*  202499 */     // GIR_Coverage, 464,
     /*  202499 */     GIR_Done,
     /*  202500 */   // Label 3973: @202500
     /*  202500 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(202541), // Rule ID 466 //
     /*  202505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202522 */     // MIs[0] rs1
     /*  202522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202534 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  202539 */     GIR_RootConstrainSelectedInstOperands,
     /*  202540 */     // GIR_Coverage, 466,
     /*  202540 */     GIR_Done,
     /*  202541 */   // Label 3974: @202541
     /*  202541 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(202582), // Rule ID 468 //
     /*  202546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202563 */     // MIs[0] rs1
     /*  202563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202575 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  202580 */     GIR_RootConstrainSelectedInstOperands,
     /*  202581 */     // GIR_Coverage, 468,
     /*  202581 */     GIR_Done,
     /*  202582 */   // Label 3975: @202582
     /*  202582 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(202623), // Rule ID 470 //
     /*  202587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202604 */     // MIs[0] rs1
     /*  202604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202616 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  202621 */     GIR_RootConstrainSelectedInstOperands,
     /*  202622 */     // GIR_Coverage, 470,
     /*  202622 */     GIR_Done,
     /*  202623 */   // Label 3976: @202623
     /*  202623 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(202664), // Rule ID 472 //
     /*  202628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202645 */     // MIs[0] rs1
     /*  202645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202657 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202662 */     GIR_RootConstrainSelectedInstOperands,
     /*  202663 */     // GIR_Coverage, 472,
     /*  202663 */     GIR_Done,
     /*  202664 */   // Label 3977: @202664
     /*  202664 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(202705), // Rule ID 474 //
     /*  202669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202686 */     // MIs[0] rs1
     /*  202686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202698 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202703 */     GIR_RootConstrainSelectedInstOperands,
     /*  202704 */     // GIR_Coverage, 474,
     /*  202704 */     GIR_Done,
     /*  202705 */   // Label 3978: @202705
     /*  202705 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(202746), // Rule ID 476 //
     /*  202710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202727 */     // MIs[0] rs1
     /*  202727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202739 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202744 */     GIR_RootConstrainSelectedInstOperands,
     /*  202745 */     // GIR_Coverage, 476,
     /*  202745 */     GIR_Done,
     /*  202746 */   // Label 3979: @202746
     /*  202746 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(202787), // Rule ID 478 //
     /*  202751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202768 */     // MIs[0] rs1
     /*  202768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202780 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202785 */     GIR_RootConstrainSelectedInstOperands,
     /*  202786 */     // GIR_Coverage, 478,
     /*  202786 */     GIR_Done,
     /*  202787 */   // Label 3980: @202787
     /*  202787 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(202828), // Rule ID 480 //
     /*  202792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202809 */     // MIs[0] rs1
     /*  202809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202821 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  202826 */     GIR_RootConstrainSelectedInstOperands,
     /*  202827 */     // GIR_Coverage, 480,
     /*  202827 */     GIR_Done,
     /*  202828 */   // Label 3981: @202828
     /*  202828 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(202869), // Rule ID 810 //
     /*  202833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202850 */     // MIs[0] rs1
     /*  202850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202862 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  202867 */     GIR_RootConstrainSelectedInstOperands,
     /*  202868 */     // GIR_Coverage, 810,
     /*  202868 */     GIR_Done,
     /*  202869 */   // Label 3982: @202869
     /*  202869 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(202910), // Rule ID 812 //
     /*  202874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202891 */     // MIs[0] rs1
     /*  202891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202903 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  202908 */     GIR_RootConstrainSelectedInstOperands,
     /*  202909 */     // GIR_Coverage, 812,
     /*  202909 */     GIR_Done,
     /*  202910 */   // Label 3983: @202910
     /*  202910 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(202951), // Rule ID 814 //
     /*  202915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202932 */     // MIs[0] rs1
     /*  202932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202944 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  202949 */     GIR_RootConstrainSelectedInstOperands,
     /*  202950 */     // GIR_Coverage, 814,
     /*  202950 */     GIR_Done,
     /*  202951 */   // Label 3984: @202951
     /*  202951 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(202992), // Rule ID 816 //
     /*  202956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202973 */     // MIs[0] rs1
     /*  202973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202985 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  202990 */     GIR_RootConstrainSelectedInstOperands,
     /*  202991 */     // GIR_Coverage, 816,
     /*  202991 */     GIR_Done,
     /*  202992 */   // Label 3985: @202992
     /*  202992 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(203033), // Rule ID 818 //
     /*  202997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203014 */     // MIs[0] rs1
     /*  203014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203026 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  203031 */     GIR_RootConstrainSelectedInstOperands,
     /*  203032 */     // GIR_Coverage, 818,
     /*  203032 */     GIR_Done,
     /*  203033 */   // Label 3986: @203033
     /*  203033 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(203074), // Rule ID 820 //
     /*  203038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203055 */     // MIs[0] rs1
     /*  203055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203067 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203072 */     GIR_RootConstrainSelectedInstOperands,
     /*  203073 */     // GIR_Coverage, 820,
     /*  203073 */     GIR_Done,
     /*  203074 */   // Label 3987: @203074
     /*  203074 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(203115), // Rule ID 822 //
     /*  203079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203096 */     // MIs[0] rs1
     /*  203096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203108 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203113 */     GIR_RootConstrainSelectedInstOperands,
     /*  203114 */     // GIR_Coverage, 822,
     /*  203114 */     GIR_Done,
     /*  203115 */   // Label 3988: @203115
     /*  203115 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(203156), // Rule ID 824 //
     /*  203120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203137 */     // MIs[0] rs1
     /*  203137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203149 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203154 */     GIR_RootConstrainSelectedInstOperands,
     /*  203155 */     // GIR_Coverage, 824,
     /*  203155 */     GIR_Done,
     /*  203156 */   // Label 3989: @203156
     /*  203156 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(203197), // Rule ID 826 //
     /*  203161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203178 */     // MIs[0] rs1
     /*  203178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203190 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203195 */     GIR_RootConstrainSelectedInstOperands,
     /*  203196 */     // GIR_Coverage, 826,
     /*  203196 */     GIR_Done,
     /*  203197 */   // Label 3990: @203197
     /*  203197 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(203238), // Rule ID 828 //
     /*  203202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203219 */     // MIs[0] rs1
     /*  203219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203231 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203236 */     GIR_RootConstrainSelectedInstOperands,
     /*  203237 */     // GIR_Coverage, 828,
     /*  203237 */     GIR_Done,
     /*  203238 */   // Label 3991: @203238
     /*  203238 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(203279), // Rule ID 990 //
     /*  203243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203260 */     // MIs[0] rs1
     /*  203260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203272 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203277 */     GIR_RootConstrainSelectedInstOperands,
     /*  203278 */     // GIR_Coverage, 990,
     /*  203278 */     GIR_Done,
     /*  203279 */   // Label 3992: @203279
     /*  203279 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(203320), // Rule ID 992 //
     /*  203284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203301 */     // MIs[0] rs1
     /*  203301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203313 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  203318 */     GIR_RootConstrainSelectedInstOperands,
     /*  203319 */     // GIR_Coverage, 992,
     /*  203319 */     GIR_Done,
     /*  203320 */   // Label 3993: @203320
     /*  203320 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(203361), // Rule ID 994 //
     /*  203325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203342 */     // MIs[0] rs1
     /*  203342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203354 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  203359 */     GIR_RootConstrainSelectedInstOperands,
     /*  203360 */     // GIR_Coverage, 994,
     /*  203360 */     GIR_Done,
     /*  203361 */   // Label 3994: @203361
     /*  203361 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(203402), // Rule ID 996 //
     /*  203366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203383 */     // MIs[0] rs1
     /*  203383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203395 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  203400 */     GIR_RootConstrainSelectedInstOperands,
     /*  203401 */     // GIR_Coverage, 996,
     /*  203401 */     GIR_Done,
     /*  203402 */   // Label 3995: @203402
     /*  203402 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(203443), // Rule ID 998 //
     /*  203407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203424 */     // MIs[0] rs1
     /*  203424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203436 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  203441 */     GIR_RootConstrainSelectedInstOperands,
     /*  203442 */     // GIR_Coverage, 998,
     /*  203442 */     GIR_Done,
     /*  203443 */   // Label 3996: @203443
     /*  203443 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(203484), // Rule ID 1000 //
     /*  203448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203465 */     // MIs[0] rs1
     /*  203465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203477 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203482 */     GIR_RootConstrainSelectedInstOperands,
     /*  203483 */     // GIR_Coverage, 1000,
     /*  203483 */     GIR_Done,
     /*  203484 */   // Label 3997: @203484
     /*  203484 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(203525), // Rule ID 1002 //
     /*  203489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203506 */     // MIs[0] rs1
     /*  203506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203518 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203523 */     GIR_RootConstrainSelectedInstOperands,
     /*  203524 */     // GIR_Coverage, 1002,
     /*  203524 */     GIR_Done,
     /*  203525 */   // Label 3998: @203525
     /*  203525 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(203566), // Rule ID 1004 //
     /*  203530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203533 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203540 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203547 */     // MIs[0] rs1
     /*  203547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203559 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203564 */     GIR_RootConstrainSelectedInstOperands,
     /*  203565 */     // GIR_Coverage, 1004,
     /*  203565 */     GIR_Done,
     /*  203566 */   // Label 3999: @203566
     /*  203566 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(203607), // Rule ID 1006 //
     /*  203571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203574 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203581 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203588 */     // MIs[0] rs1
     /*  203588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203600 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203605 */     GIR_RootConstrainSelectedInstOperands,
     /*  203606 */     // GIR_Coverage, 1006,
     /*  203606 */     GIR_Done,
     /*  203607 */   // Label 4000: @203607
     /*  203607 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(203648), // Rule ID 1008 //
     /*  203612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203615 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203622 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203629 */     // MIs[0] rs1
     /*  203629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203641 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203646 */     GIR_RootConstrainSelectedInstOperands,
     /*  203647 */     // GIR_Coverage, 1008,
     /*  203647 */     GIR_Done,
     /*  203648 */   // Label 4001: @203648
     /*  203648 */   GIM_Reject,
     /*  203649 */ // Label 3971: @203649
     /*  203649 */ GIM_Reject,
     /*  203650 */ // Label 3969: @203650
     /*  203650 */ GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(205299),
     /*  203655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  203658 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(203699), // Rule ID 461 //
     /*  203663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203680 */     // MIs[0] rs1
     /*  203680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203692 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203697 */     GIR_RootConstrainSelectedInstOperands,
     /*  203698 */     // GIR_Coverage, 461,
     /*  203698 */     GIR_Done,
     /*  203699 */   // Label 4003: @203699
     /*  203699 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(203740), // Rule ID 463 //
     /*  203704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203721 */     // MIs[0] rs1
     /*  203721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203733 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  203738 */     GIR_RootConstrainSelectedInstOperands,
     /*  203739 */     // GIR_Coverage, 463,
     /*  203739 */     GIR_Done,
     /*  203740 */   // Label 4004: @203740
     /*  203740 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(203781), // Rule ID 465 //
     /*  203745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203762 */     // MIs[0] rs1
     /*  203762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203774 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  203779 */     GIR_RootConstrainSelectedInstOperands,
     /*  203780 */     // GIR_Coverage, 465,
     /*  203780 */     GIR_Done,
     /*  203781 */   // Label 4005: @203781
     /*  203781 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(203822), // Rule ID 467 //
     /*  203786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203803 */     // MIs[0] rs1
     /*  203803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203815 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  203820 */     GIR_RootConstrainSelectedInstOperands,
     /*  203821 */     // GIR_Coverage, 467,
     /*  203821 */     GIR_Done,
     /*  203822 */   // Label 4006: @203822
     /*  203822 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(203863), // Rule ID 469 //
     /*  203827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203844 */     // MIs[0] rs1
     /*  203844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203856 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  203861 */     GIR_RootConstrainSelectedInstOperands,
     /*  203862 */     // GIR_Coverage, 469,
     /*  203862 */     GIR_Done,
     /*  203863 */   // Label 4007: @203863
     /*  203863 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(203904), // Rule ID 471 //
     /*  203868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203885 */     // MIs[0] rs1
     /*  203885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203897 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203902 */     GIR_RootConstrainSelectedInstOperands,
     /*  203903 */     // GIR_Coverage, 471,
     /*  203903 */     GIR_Done,
     /*  203904 */   // Label 4008: @203904
     /*  203904 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(203945), // Rule ID 473 //
     /*  203909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203926 */     // MIs[0] rs1
     /*  203926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203938 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203943 */     GIR_RootConstrainSelectedInstOperands,
     /*  203944 */     // GIR_Coverage, 473,
     /*  203944 */     GIR_Done,
     /*  203945 */   // Label 4009: @203945
     /*  203945 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(203986), // Rule ID 475 //
     /*  203950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203967 */     // MIs[0] rs1
     /*  203967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203979 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203984 */     GIR_RootConstrainSelectedInstOperands,
     /*  203985 */     // GIR_Coverage, 475,
     /*  203985 */     GIR_Done,
     /*  203986 */   // Label 4010: @203986
     /*  203986 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(204027), // Rule ID 477 //
     /*  203991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204008 */     // MIs[0] rs1
     /*  204008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204020 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204025 */     GIR_RootConstrainSelectedInstOperands,
     /*  204026 */     // GIR_Coverage, 477,
     /*  204026 */     GIR_Done,
     /*  204027 */   // Label 4011: @204027
     /*  204027 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(204068), // Rule ID 479 //
     /*  204032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204049 */     // MIs[0] rs1
     /*  204049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204061 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204066 */     GIR_RootConstrainSelectedInstOperands,
     /*  204067 */     // GIR_Coverage, 479,
     /*  204067 */     GIR_Done,
     /*  204068 */   // Label 4012: @204068
     /*  204068 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(204109), // Rule ID 581 //
     /*  204073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204090 */     // MIs[0] rs1
     /*  204090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204102 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204107 */     GIR_RootConstrainSelectedInstOperands,
     /*  204108 */     // GIR_Coverage, 581,
     /*  204108 */     GIR_Done,
     /*  204109 */   // Label 4013: @204109
     /*  204109 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(204150), // Rule ID 582 //
     /*  204114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204131 */     // MIs[0] rs1
     /*  204131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204143 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  204148 */     GIR_RootConstrainSelectedInstOperands,
     /*  204149 */     // GIR_Coverage, 582,
     /*  204149 */     GIR_Done,
     /*  204150 */   // Label 4014: @204150
     /*  204150 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(204191), // Rule ID 583 //
     /*  204155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204172 */     // MIs[0] rs1
     /*  204172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204184 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  204189 */     GIR_RootConstrainSelectedInstOperands,
     /*  204190 */     // GIR_Coverage, 583,
     /*  204190 */     GIR_Done,
     /*  204191 */   // Label 4015: @204191
     /*  204191 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(204232), // Rule ID 584 //
     /*  204196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204213 */     // MIs[0] rs1
     /*  204213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204225 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  204230 */     GIR_RootConstrainSelectedInstOperands,
     /*  204231 */     // GIR_Coverage, 584,
     /*  204231 */     GIR_Done,
     /*  204232 */   // Label 4016: @204232
     /*  204232 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(204273), // Rule ID 585 //
     /*  204237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204254 */     // MIs[0] rs1
     /*  204254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204266 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  204271 */     GIR_RootConstrainSelectedInstOperands,
     /*  204272 */     // GIR_Coverage, 585,
     /*  204272 */     GIR_Done,
     /*  204273 */   // Label 4017: @204273
     /*  204273 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(204314), // Rule ID 586 //
     /*  204278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204295 */     // MIs[0] rs1
     /*  204295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204307 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204312 */     GIR_RootConstrainSelectedInstOperands,
     /*  204313 */     // GIR_Coverage, 586,
     /*  204313 */     GIR_Done,
     /*  204314 */   // Label 4018: @204314
     /*  204314 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(204355), // Rule ID 587 //
     /*  204319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204336 */     // MIs[0] rs1
     /*  204336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204348 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204353 */     GIR_RootConstrainSelectedInstOperands,
     /*  204354 */     // GIR_Coverage, 587,
     /*  204354 */     GIR_Done,
     /*  204355 */   // Label 4019: @204355
     /*  204355 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(204396), // Rule ID 588 //
     /*  204360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204377 */     // MIs[0] rs1
     /*  204377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204389 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204394 */     GIR_RootConstrainSelectedInstOperands,
     /*  204395 */     // GIR_Coverage, 588,
     /*  204395 */     GIR_Done,
     /*  204396 */   // Label 4020: @204396
     /*  204396 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(204437), // Rule ID 589 //
     /*  204401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204418 */     // MIs[0] rs1
     /*  204418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204430 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204435 */     GIR_RootConstrainSelectedInstOperands,
     /*  204436 */     // GIR_Coverage, 589,
     /*  204436 */     GIR_Done,
     /*  204437 */   // Label 4021: @204437
     /*  204437 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(204478), // Rule ID 590 //
     /*  204442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204459 */     // MIs[0] rs1
     /*  204459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204471 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204476 */     GIR_RootConstrainSelectedInstOperands,
     /*  204477 */     // GIR_Coverage, 590,
     /*  204477 */     GIR_Done,
     /*  204478 */   // Label 4022: @204478
     /*  204478 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(204519), // Rule ID 809 //
     /*  204483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204500 */     // MIs[0] rs1
     /*  204500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204512 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204517 */     GIR_RootConstrainSelectedInstOperands,
     /*  204518 */     // GIR_Coverage, 809,
     /*  204518 */     GIR_Done,
     /*  204519 */   // Label 4023: @204519
     /*  204519 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(204560), // Rule ID 811 //
     /*  204524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204541 */     // MIs[0] rs1
     /*  204541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204553 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  204558 */     GIR_RootConstrainSelectedInstOperands,
     /*  204559 */     // GIR_Coverage, 811,
     /*  204559 */     GIR_Done,
     /*  204560 */   // Label 4024: @204560
     /*  204560 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(204601), // Rule ID 813 //
     /*  204565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204582 */     // MIs[0] rs1
     /*  204582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204594 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  204599 */     GIR_RootConstrainSelectedInstOperands,
     /*  204600 */     // GIR_Coverage, 813,
     /*  204600 */     GIR_Done,
     /*  204601 */   // Label 4025: @204601
     /*  204601 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(204642), // Rule ID 815 //
     /*  204606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204623 */     // MIs[0] rs1
     /*  204623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204635 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  204640 */     GIR_RootConstrainSelectedInstOperands,
     /*  204641 */     // GIR_Coverage, 815,
     /*  204641 */     GIR_Done,
     /*  204642 */   // Label 4026: @204642
     /*  204642 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(204683), // Rule ID 817 //
     /*  204647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204664 */     // MIs[0] rs1
     /*  204664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204676 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  204681 */     GIR_RootConstrainSelectedInstOperands,
     /*  204682 */     // GIR_Coverage, 817,
     /*  204682 */     GIR_Done,
     /*  204683 */   // Label 4027: @204683
     /*  204683 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(204724), // Rule ID 819 //
     /*  204688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204705 */     // MIs[0] rs1
     /*  204705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204717 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204722 */     GIR_RootConstrainSelectedInstOperands,
     /*  204723 */     // GIR_Coverage, 819,
     /*  204723 */     GIR_Done,
     /*  204724 */   // Label 4028: @204724
     /*  204724 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(204765), // Rule ID 821 //
     /*  204729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204746 */     // MIs[0] rs1
     /*  204746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204758 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204763 */     GIR_RootConstrainSelectedInstOperands,
     /*  204764 */     // GIR_Coverage, 821,
     /*  204764 */     GIR_Done,
     /*  204765 */   // Label 4029: @204765
     /*  204765 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(204806), // Rule ID 823 //
     /*  204770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204787 */     // MIs[0] rs1
     /*  204787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204799 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204804 */     GIR_RootConstrainSelectedInstOperands,
     /*  204805 */     // GIR_Coverage, 823,
     /*  204805 */     GIR_Done,
     /*  204806 */   // Label 4030: @204806
     /*  204806 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(204847), // Rule ID 825 //
     /*  204811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204828 */     // MIs[0] rs1
     /*  204828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204840 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204845 */     GIR_RootConstrainSelectedInstOperands,
     /*  204846 */     // GIR_Coverage, 825,
     /*  204846 */     GIR_Done,
     /*  204847 */   // Label 4031: @204847
     /*  204847 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(204888), // Rule ID 827 //
     /*  204852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204869 */     // MIs[0] rs1
     /*  204869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204881 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  204886 */     GIR_RootConstrainSelectedInstOperands,
     /*  204887 */     // GIR_Coverage, 827,
     /*  204887 */     GIR_Done,
     /*  204888 */   // Label 4032: @204888
     /*  204888 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(204929), // Rule ID 989 //
     /*  204893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204910 */     // MIs[0] rs1
     /*  204910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204922 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  204927 */     GIR_RootConstrainSelectedInstOperands,
     /*  204928 */     // GIR_Coverage, 989,
     /*  204928 */     GIR_Done,
     /*  204929 */   // Label 4033: @204929
     /*  204929 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(204970), // Rule ID 991 //
     /*  204934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204951 */     // MIs[0] rs1
     /*  204951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204963 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  204968 */     GIR_RootConstrainSelectedInstOperands,
     /*  204969 */     // GIR_Coverage, 991,
     /*  204969 */     GIR_Done,
     /*  204970 */   // Label 4034: @204970
     /*  204970 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(205011), // Rule ID 993 //
     /*  204975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204992 */     // MIs[0] rs1
     /*  204992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205004 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  205009 */     GIR_RootConstrainSelectedInstOperands,
     /*  205010 */     // GIR_Coverage, 993,
     /*  205010 */     GIR_Done,
     /*  205011 */   // Label 4035: @205011
     /*  205011 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(205052), // Rule ID 995 //
     /*  205016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205033 */     // MIs[0] rs1
     /*  205033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205045 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  205050 */     GIR_RootConstrainSelectedInstOperands,
     /*  205051 */     // GIR_Coverage, 995,
     /*  205051 */     GIR_Done,
     /*  205052 */   // Label 4036: @205052
     /*  205052 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(205093), // Rule ID 997 //
     /*  205057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205074 */     // MIs[0] rs1
     /*  205074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205086 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  205091 */     GIR_RootConstrainSelectedInstOperands,
     /*  205092 */     // GIR_Coverage, 997,
     /*  205092 */     GIR_Done,
     /*  205093 */   // Label 4037: @205093
     /*  205093 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(205134), // Rule ID 999 //
     /*  205098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205115 */     // MIs[0] rs1
     /*  205115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205127 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205132 */     GIR_RootConstrainSelectedInstOperands,
     /*  205133 */     // GIR_Coverage, 999,
     /*  205133 */     GIR_Done,
     /*  205134 */   // Label 4038: @205134
     /*  205134 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(205175), // Rule ID 1001 //
     /*  205139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205156 */     // MIs[0] rs1
     /*  205156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205168 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205173 */     GIR_RootConstrainSelectedInstOperands,
     /*  205174 */     // GIR_Coverage, 1001,
     /*  205174 */     GIR_Done,
     /*  205175 */   // Label 4039: @205175
     /*  205175 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(205216), // Rule ID 1003 //
     /*  205180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205197 */     // MIs[0] rs1
     /*  205197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205209 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205214 */     GIR_RootConstrainSelectedInstOperands,
     /*  205215 */     // GIR_Coverage, 1003,
     /*  205215 */     GIR_Done,
     /*  205216 */   // Label 4040: @205216
     /*  205216 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(205257), // Rule ID 1005 //
     /*  205221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205224 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205231 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205238 */     // MIs[0] rs1
     /*  205238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205250 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205255 */     GIR_RootConstrainSelectedInstOperands,
     /*  205256 */     // GIR_Coverage, 1005,
     /*  205256 */     GIR_Done,
     /*  205257 */   // Label 4041: @205257
     /*  205257 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(205298), // Rule ID 1007 //
     /*  205262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205265 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205279 */     // MIs[0] rs1
     /*  205279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205291 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205296 */     GIR_RootConstrainSelectedInstOperands,
     /*  205297 */     // GIR_Coverage, 1007,
     /*  205297 */     GIR_Done,
     /*  205298 */   // Label 4042: @205298
     /*  205298 */   GIM_Reject,
     /*  205299 */ // Label 4002: @205299
     /*  205299 */ GIM_Reject,
     /*  205300 */ // Label 3970: @205300
     /*  205300 */ GIM_Reject,
     /*  205301 */ // Label 34: @205301
     /*  205301 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4045*/ GIMT_Encode4(208210),
     /*  205312 */ /*GILLT_s32*//*Label 4043*/ GIMT_Encode4(205320),
     /*  205316 */ /*GILLT_s64*//*Label 4044*/ GIMT_Encode4(206560),
     /*  205320 */ // Label 4043: @205320
     /*  205320 */ GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(206559),
     /*  205325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  205328 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(205369), // Rule ID 482 //
     /*  205333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205350 */     // MIs[0] rs1
     /*  205350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205362 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205367 */     GIR_RootConstrainSelectedInstOperands,
     /*  205368 */     // GIR_Coverage, 482,
     /*  205368 */     GIR_Done,
     /*  205369 */   // Label 4047: @205369
     /*  205369 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(205410), // Rule ID 484 //
     /*  205374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205391 */     // MIs[0] rs1
     /*  205391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205403 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  205408 */     GIR_RootConstrainSelectedInstOperands,
     /*  205409 */     // GIR_Coverage, 484,
     /*  205409 */     GIR_Done,
     /*  205410 */   // Label 4048: @205410
     /*  205410 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(205451), // Rule ID 486 //
     /*  205415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205432 */     // MIs[0] rs1
     /*  205432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205444 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  205449 */     GIR_RootConstrainSelectedInstOperands,
     /*  205450 */     // GIR_Coverage, 486,
     /*  205450 */     GIR_Done,
     /*  205451 */   // Label 4049: @205451
     /*  205451 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(205492), // Rule ID 488 //
     /*  205456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205473 */     // MIs[0] rs1
     /*  205473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205485 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  205490 */     GIR_RootConstrainSelectedInstOperands,
     /*  205491 */     // GIR_Coverage, 488,
     /*  205491 */     GIR_Done,
     /*  205492 */   // Label 4050: @205492
     /*  205492 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(205533), // Rule ID 490 //
     /*  205497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  205500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205514 */     // MIs[0] rs1
     /*  205514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205526 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  205531 */     GIR_RootConstrainSelectedInstOperands,
     /*  205532 */     // GIR_Coverage, 490,
     /*  205532 */     GIR_Done,
     /*  205533 */   // Label 4051: @205533
     /*  205533 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(205574), // Rule ID 492 //
     /*  205538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205555 */     // MIs[0] rs1
     /*  205555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205567 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205572 */     GIR_RootConstrainSelectedInstOperands,
     /*  205573 */     // GIR_Coverage, 492,
     /*  205573 */     GIR_Done,
     /*  205574 */   // Label 4052: @205574
     /*  205574 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(205615), // Rule ID 494 //
     /*  205579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205596 */     // MIs[0] rs1
     /*  205596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205608 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205613 */     GIR_RootConstrainSelectedInstOperands,
     /*  205614 */     // GIR_Coverage, 494,
     /*  205614 */     GIR_Done,
     /*  205615 */   // Label 4053: @205615
     /*  205615 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(205656), // Rule ID 496 //
     /*  205620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205637 */     // MIs[0] rs1
     /*  205637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205649 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205654 */     GIR_RootConstrainSelectedInstOperands,
     /*  205655 */     // GIR_Coverage, 496,
     /*  205655 */     GIR_Done,
     /*  205656 */   // Label 4054: @205656
     /*  205656 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(205697), // Rule ID 498 //
     /*  205661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205678 */     // MIs[0] rs1
     /*  205678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205690 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205695 */     GIR_RootConstrainSelectedInstOperands,
     /*  205696 */     // GIR_Coverage, 498,
     /*  205696 */     GIR_Done,
     /*  205697 */   // Label 4055: @205697
     /*  205697 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(205738), // Rule ID 500 //
     /*  205702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  205705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  205712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205719 */     // MIs[0] rs1
     /*  205719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205731 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  205736 */     GIR_RootConstrainSelectedInstOperands,
     /*  205737 */     // GIR_Coverage, 500,
     /*  205737 */     GIR_Done,
     /*  205738 */   // Label 4056: @205738
     /*  205738 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(205779), // Rule ID 830 //
     /*  205743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205760 */     // MIs[0] rs1
     /*  205760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205772 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  205777 */     GIR_RootConstrainSelectedInstOperands,
     /*  205778 */     // GIR_Coverage, 830,
     /*  205778 */     GIR_Done,
     /*  205779 */   // Label 4057: @205779
     /*  205779 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(205820), // Rule ID 832 //
     /*  205784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205801 */     // MIs[0] rs1
     /*  205801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205813 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  205818 */     GIR_RootConstrainSelectedInstOperands,
     /*  205819 */     // GIR_Coverage, 832,
     /*  205819 */     GIR_Done,
     /*  205820 */   // Label 4058: @205820
     /*  205820 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(205861), // Rule ID 834 //
     /*  205825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205842 */     // MIs[0] rs1
     /*  205842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205854 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  205859 */     GIR_RootConstrainSelectedInstOperands,
     /*  205860 */     // GIR_Coverage, 834,
     /*  205860 */     GIR_Done,
     /*  205861 */   // Label 4059: @205861
     /*  205861 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(205902), // Rule ID 836 //
     /*  205866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205883 */     // MIs[0] rs1
     /*  205883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205895 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  205900 */     GIR_RootConstrainSelectedInstOperands,
     /*  205901 */     // GIR_Coverage, 836,
     /*  205901 */     GIR_Done,
     /*  205902 */   // Label 4060: @205902
     /*  205902 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(205943), // Rule ID 838 //
     /*  205907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  205910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205924 */     // MIs[0] rs1
     /*  205924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205936 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  205941 */     GIR_RootConstrainSelectedInstOperands,
     /*  205942 */     // GIR_Coverage, 838,
     /*  205942 */     GIR_Done,
     /*  205943 */   // Label 4061: @205943
     /*  205943 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(205984), // Rule ID 840 //
     /*  205948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205965 */     // MIs[0] rs1
     /*  205965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  205969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205977 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  205977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  205982 */     GIR_RootConstrainSelectedInstOperands,
     /*  205983 */     // GIR_Coverage, 840,
     /*  205983 */     GIR_Done,
     /*  205984 */   // Label 4062: @205984
     /*  205984 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(206025), // Rule ID 842 //
     /*  205989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  205992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206006 */     // MIs[0] rs1
     /*  206006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206018 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206023 */     GIR_RootConstrainSelectedInstOperands,
     /*  206024 */     // GIR_Coverage, 842,
     /*  206024 */     GIR_Done,
     /*  206025 */   // Label 4063: @206025
     /*  206025 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(206066), // Rule ID 844 //
     /*  206030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206047 */     // MIs[0] rs1
     /*  206047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206059 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206064 */     GIR_RootConstrainSelectedInstOperands,
     /*  206065 */     // GIR_Coverage, 844,
     /*  206065 */     GIR_Done,
     /*  206066 */   // Label 4064: @206066
     /*  206066 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(206107), // Rule ID 846 //
     /*  206071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206088 */     // MIs[0] rs1
     /*  206088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206100 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206105 */     GIR_RootConstrainSelectedInstOperands,
     /*  206106 */     // GIR_Coverage, 846,
     /*  206106 */     GIR_Done,
     /*  206107 */   // Label 4065: @206107
     /*  206107 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(206148), // Rule ID 848 //
     /*  206112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206129 */     // MIs[0] rs1
     /*  206129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206141 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206146 */     GIR_RootConstrainSelectedInstOperands,
     /*  206147 */     // GIR_Coverage, 848,
     /*  206147 */     GIR_Done,
     /*  206148 */   // Label 4066: @206148
     /*  206148 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(206189), // Rule ID 1010 //
     /*  206153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206170 */     // MIs[0] rs1
     /*  206170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206182 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206187 */     GIR_RootConstrainSelectedInstOperands,
     /*  206188 */     // GIR_Coverage, 1010,
     /*  206188 */     GIR_Done,
     /*  206189 */   // Label 4067: @206189
     /*  206189 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(206230), // Rule ID 1012 //
     /*  206194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206211 */     // MIs[0] rs1
     /*  206211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206223 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  206228 */     GIR_RootConstrainSelectedInstOperands,
     /*  206229 */     // GIR_Coverage, 1012,
     /*  206229 */     GIR_Done,
     /*  206230 */   // Label 4068: @206230
     /*  206230 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(206271), // Rule ID 1014 //
     /*  206235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206252 */     // MIs[0] rs1
     /*  206252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206264 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  206269 */     GIR_RootConstrainSelectedInstOperands,
     /*  206270 */     // GIR_Coverage, 1014,
     /*  206270 */     GIR_Done,
     /*  206271 */   // Label 4069: @206271
     /*  206271 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(206312), // Rule ID 1016 //
     /*  206276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206293 */     // MIs[0] rs1
     /*  206293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206305 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  206310 */     GIR_RootConstrainSelectedInstOperands,
     /*  206311 */     // GIR_Coverage, 1016,
     /*  206311 */     GIR_Done,
     /*  206312 */   // Label 4070: @206312
     /*  206312 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(206353), // Rule ID 1018 //
     /*  206317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206334 */     // MIs[0] rs1
     /*  206334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206346 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  206351 */     GIR_RootConstrainSelectedInstOperands,
     /*  206352 */     // GIR_Coverage, 1018,
     /*  206352 */     GIR_Done,
     /*  206353 */   // Label 4071: @206353
     /*  206353 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(206394), // Rule ID 1020 //
     /*  206358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206375 */     // MIs[0] rs1
     /*  206375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206387 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206392 */     GIR_RootConstrainSelectedInstOperands,
     /*  206393 */     // GIR_Coverage, 1020,
     /*  206393 */     GIR_Done,
     /*  206394 */   // Label 4072: @206394
     /*  206394 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(206435), // Rule ID 1022 //
     /*  206399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206416 */     // MIs[0] rs1
     /*  206416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206428 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206433 */     GIR_RootConstrainSelectedInstOperands,
     /*  206434 */     // GIR_Coverage, 1022,
     /*  206434 */     GIR_Done,
     /*  206435 */   // Label 4073: @206435
     /*  206435 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(206476), // Rule ID 1024 //
     /*  206440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206443 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206450 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206457 */     // MIs[0] rs1
     /*  206457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206469 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206469 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206474 */     GIR_RootConstrainSelectedInstOperands,
     /*  206475 */     // GIR_Coverage, 1024,
     /*  206475 */     GIR_Done,
     /*  206476 */   // Label 4074: @206476
     /*  206476 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(206517), // Rule ID 1026 //
     /*  206481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206498 */     // MIs[0] rs1
     /*  206498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206510 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206515 */     GIR_RootConstrainSelectedInstOperands,
     /*  206516 */     // GIR_Coverage, 1026,
     /*  206516 */     GIR_Done,
     /*  206517 */   // Label 4075: @206517
     /*  206517 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(206558), // Rule ID 1028 //
     /*  206522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206525 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206532 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206539 */     // MIs[0] rs1
     /*  206539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206551 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206556 */     GIR_RootConstrainSelectedInstOperands,
     /*  206557 */     // GIR_Coverage, 1028,
     /*  206557 */     GIR_Done,
     /*  206558 */   // Label 4076: @206558
     /*  206558 */   GIM_Reject,
     /*  206559 */ // Label 4046: @206559
     /*  206559 */ GIM_Reject,
     /*  206560 */ // Label 4044: @206560
     /*  206560 */ GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(208209),
     /*  206565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206568 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(206609), // Rule ID 481 //
     /*  206573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206590 */     // MIs[0] rs1
     /*  206590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206602 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206607 */     GIR_RootConstrainSelectedInstOperands,
     /*  206608 */     // GIR_Coverage, 481,
     /*  206608 */     GIR_Done,
     /*  206609 */   // Label 4078: @206609
     /*  206609 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(206650), // Rule ID 483 //
     /*  206614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206631 */     // MIs[0] rs1
     /*  206631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206643 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  206648 */     GIR_RootConstrainSelectedInstOperands,
     /*  206649 */     // GIR_Coverage, 483,
     /*  206649 */     GIR_Done,
     /*  206650 */   // Label 4079: @206650
     /*  206650 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(206691), // Rule ID 485 //
     /*  206655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206672 */     // MIs[0] rs1
     /*  206672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206684 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  206689 */     GIR_RootConstrainSelectedInstOperands,
     /*  206690 */     // GIR_Coverage, 485,
     /*  206690 */     GIR_Done,
     /*  206691 */   // Label 4080: @206691
     /*  206691 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(206732), // Rule ID 487 //
     /*  206696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206713 */     // MIs[0] rs1
     /*  206713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206725 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  206730 */     GIR_RootConstrainSelectedInstOperands,
     /*  206731 */     // GIR_Coverage, 487,
     /*  206731 */     GIR_Done,
     /*  206732 */   // Label 4081: @206732
     /*  206732 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(206773), // Rule ID 489 //
     /*  206737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  206740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206754 */     // MIs[0] rs1
     /*  206754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206766 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  206771 */     GIR_RootConstrainSelectedInstOperands,
     /*  206772 */     // GIR_Coverage, 489,
     /*  206772 */     GIR_Done,
     /*  206773 */   // Label 4082: @206773
     /*  206773 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(206814), // Rule ID 491 //
     /*  206778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206795 */     // MIs[0] rs1
     /*  206795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206807 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206812 */     GIR_RootConstrainSelectedInstOperands,
     /*  206813 */     // GIR_Coverage, 491,
     /*  206813 */     GIR_Done,
     /*  206814 */   // Label 4083: @206814
     /*  206814 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(206855), // Rule ID 493 //
     /*  206819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206836 */     // MIs[0] rs1
     /*  206836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206848 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206853 */     GIR_RootConstrainSelectedInstOperands,
     /*  206854 */     // GIR_Coverage, 493,
     /*  206854 */     GIR_Done,
     /*  206855 */   // Label 4084: @206855
     /*  206855 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(206896), // Rule ID 495 //
     /*  206860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206877 */     // MIs[0] rs1
     /*  206877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206889 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206894 */     GIR_RootConstrainSelectedInstOperands,
     /*  206895 */     // GIR_Coverage, 495,
     /*  206895 */     GIR_Done,
     /*  206896 */   // Label 4085: @206896
     /*  206896 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(206937), // Rule ID 497 //
     /*  206901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206918 */     // MIs[0] rs1
     /*  206918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206930 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206935 */     GIR_RootConstrainSelectedInstOperands,
     /*  206936 */     // GIR_Coverage, 497,
     /*  206936 */     GIR_Done,
     /*  206937 */   // Label 4086: @206937
     /*  206937 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(206978), // Rule ID 499 //
     /*  206942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  206945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206959 */     // MIs[0] rs1
     /*  206959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  206963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206971 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  206971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206976 */     GIR_RootConstrainSelectedInstOperands,
     /*  206977 */     // GIR_Coverage, 499,
     /*  206977 */     GIR_Done,
     /*  206978 */   // Label 4087: @206978
     /*  206978 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(207019), // Rule ID 591 //
     /*  206983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  206986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  206993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207000 */     // MIs[0] rs1
     /*  207000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207012 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207017 */     GIR_RootConstrainSelectedInstOperands,
     /*  207018 */     // GIR_Coverage, 591,
     /*  207018 */     GIR_Done,
     /*  207019 */   // Label 4088: @207019
     /*  207019 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(207060), // Rule ID 592 //
     /*  207024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207041 */     // MIs[0] rs1
     /*  207041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207053 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  207058 */     GIR_RootConstrainSelectedInstOperands,
     /*  207059 */     // GIR_Coverage, 592,
     /*  207059 */     GIR_Done,
     /*  207060 */   // Label 4089: @207060
     /*  207060 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(207101), // Rule ID 593 //
     /*  207065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207082 */     // MIs[0] rs1
     /*  207082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207094 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  207099 */     GIR_RootConstrainSelectedInstOperands,
     /*  207100 */     // GIR_Coverage, 593,
     /*  207100 */     GIR_Done,
     /*  207101 */   // Label 4090: @207101
     /*  207101 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(207142), // Rule ID 594 //
     /*  207106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207123 */     // MIs[0] rs1
     /*  207123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207135 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  207140 */     GIR_RootConstrainSelectedInstOperands,
     /*  207141 */     // GIR_Coverage, 594,
     /*  207141 */     GIR_Done,
     /*  207142 */   // Label 4091: @207142
     /*  207142 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(207183), // Rule ID 595 //
     /*  207147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207164 */     // MIs[0] rs1
     /*  207164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207176 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  207181 */     GIR_RootConstrainSelectedInstOperands,
     /*  207182 */     // GIR_Coverage, 595,
     /*  207182 */     GIR_Done,
     /*  207183 */   // Label 4092: @207183
     /*  207183 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(207224), // Rule ID 596 //
     /*  207188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207205 */     // MIs[0] rs1
     /*  207205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207217 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207222 */     GIR_RootConstrainSelectedInstOperands,
     /*  207223 */     // GIR_Coverage, 596,
     /*  207223 */     GIR_Done,
     /*  207224 */   // Label 4093: @207224
     /*  207224 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(207265), // Rule ID 597 //
     /*  207229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207246 */     // MIs[0] rs1
     /*  207246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207258 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207263 */     GIR_RootConstrainSelectedInstOperands,
     /*  207264 */     // GIR_Coverage, 597,
     /*  207264 */     GIR_Done,
     /*  207265 */   // Label 4094: @207265
     /*  207265 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(207306), // Rule ID 598 //
     /*  207270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207287 */     // MIs[0] rs1
     /*  207287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207299 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207304 */     GIR_RootConstrainSelectedInstOperands,
     /*  207305 */     // GIR_Coverage, 598,
     /*  207305 */     GIR_Done,
     /*  207306 */   // Label 4095: @207306
     /*  207306 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(207347), // Rule ID 599 //
     /*  207311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207328 */     // MIs[0] rs1
     /*  207328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207340 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207345 */     GIR_RootConstrainSelectedInstOperands,
     /*  207346 */     // GIR_Coverage, 599,
     /*  207346 */     GIR_Done,
     /*  207347 */   // Label 4096: @207347
     /*  207347 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(207388), // Rule ID 600 //
     /*  207352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207369 */     // MIs[0] rs1
     /*  207369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207381 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207386 */     GIR_RootConstrainSelectedInstOperands,
     /*  207387 */     // GIR_Coverage, 600,
     /*  207387 */     GIR_Done,
     /*  207388 */   // Label 4097: @207388
     /*  207388 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(207429), // Rule ID 829 //
     /*  207393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207410 */     // MIs[0] rs1
     /*  207410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207422 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207427 */     GIR_RootConstrainSelectedInstOperands,
     /*  207428 */     // GIR_Coverage, 829,
     /*  207428 */     GIR_Done,
     /*  207429 */   // Label 4098: @207429
     /*  207429 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(207470), // Rule ID 831 //
     /*  207434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207451 */     // MIs[0] rs1
     /*  207451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207463 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  207468 */     GIR_RootConstrainSelectedInstOperands,
     /*  207469 */     // GIR_Coverage, 831,
     /*  207469 */     GIR_Done,
     /*  207470 */   // Label 4099: @207470
     /*  207470 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(207511), // Rule ID 833 //
     /*  207475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207492 */     // MIs[0] rs1
     /*  207492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207504 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  207509 */     GIR_RootConstrainSelectedInstOperands,
     /*  207510 */     // GIR_Coverage, 833,
     /*  207510 */     GIR_Done,
     /*  207511 */   // Label 4100: @207511
     /*  207511 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(207552), // Rule ID 835 //
     /*  207516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207533 */     // MIs[0] rs1
     /*  207533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207545 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  207550 */     GIR_RootConstrainSelectedInstOperands,
     /*  207551 */     // GIR_Coverage, 835,
     /*  207551 */     GIR_Done,
     /*  207552 */   // Label 4101: @207552
     /*  207552 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(207593), // Rule ID 837 //
     /*  207557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207574 */     // MIs[0] rs1
     /*  207574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207586 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  207591 */     GIR_RootConstrainSelectedInstOperands,
     /*  207592 */     // GIR_Coverage, 837,
     /*  207592 */     GIR_Done,
     /*  207593 */   // Label 4102: @207593
     /*  207593 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(207634), // Rule ID 839 //
     /*  207598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207615 */     // MIs[0] rs1
     /*  207615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207627 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207632 */     GIR_RootConstrainSelectedInstOperands,
     /*  207633 */     // GIR_Coverage, 839,
     /*  207633 */     GIR_Done,
     /*  207634 */   // Label 4103: @207634
     /*  207634 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(207675), // Rule ID 841 //
     /*  207639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207656 */     // MIs[0] rs1
     /*  207656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207668 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207673 */     GIR_RootConstrainSelectedInstOperands,
     /*  207674 */     // GIR_Coverage, 841,
     /*  207674 */     GIR_Done,
     /*  207675 */   // Label 4104: @207675
     /*  207675 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(207716), // Rule ID 843 //
     /*  207680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207697 */     // MIs[0] rs1
     /*  207697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207709 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207714 */     GIR_RootConstrainSelectedInstOperands,
     /*  207715 */     // GIR_Coverage, 843,
     /*  207715 */     GIR_Done,
     /*  207716 */   // Label 4105: @207716
     /*  207716 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(207757), // Rule ID 845 //
     /*  207721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207738 */     // MIs[0] rs1
     /*  207738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207750 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207755 */     GIR_RootConstrainSelectedInstOperands,
     /*  207756 */     // GIR_Coverage, 845,
     /*  207756 */     GIR_Done,
     /*  207757 */   // Label 4106: @207757
     /*  207757 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(207798), // Rule ID 847 //
     /*  207762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  207765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  207772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207779 */     // MIs[0] rs1
     /*  207779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207791 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  207796 */     GIR_RootConstrainSelectedInstOperands,
     /*  207797 */     // GIR_Coverage, 847,
     /*  207797 */     GIR_Done,
     /*  207798 */   // Label 4107: @207798
     /*  207798 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(207839), // Rule ID 1009 //
     /*  207803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207820 */     // MIs[0] rs1
     /*  207820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207832 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  207837 */     GIR_RootConstrainSelectedInstOperands,
     /*  207838 */     // GIR_Coverage, 1009,
     /*  207838 */     GIR_Done,
     /*  207839 */   // Label 4108: @207839
     /*  207839 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(207880), // Rule ID 1011 //
     /*  207844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207861 */     // MIs[0] rs1
     /*  207861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207873 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  207878 */     GIR_RootConstrainSelectedInstOperands,
     /*  207879 */     // GIR_Coverage, 1011,
     /*  207879 */     GIR_Done,
     /*  207880 */   // Label 4109: @207880
     /*  207880 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(207921), // Rule ID 1013 //
     /*  207885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207902 */     // MIs[0] rs1
     /*  207902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207914 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  207919 */     GIR_RootConstrainSelectedInstOperands,
     /*  207920 */     // GIR_Coverage, 1013,
     /*  207920 */     GIR_Done,
     /*  207921 */   // Label 4110: @207921
     /*  207921 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(207962), // Rule ID 1015 //
     /*  207926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207943 */     // MIs[0] rs1
     /*  207943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207955 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  207960 */     GIR_RootConstrainSelectedInstOperands,
     /*  207961 */     // GIR_Coverage, 1015,
     /*  207961 */     GIR_Done,
     /*  207962 */   // Label 4111: @207962
     /*  207962 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(208003), // Rule ID 1017 //
     /*  207967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  207970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207984 */     // MIs[0] rs1
     /*  207984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207996 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  208001 */     GIR_RootConstrainSelectedInstOperands,
     /*  208002 */     // GIR_Coverage, 1017,
     /*  208002 */     GIR_Done,
     /*  208003 */   // Label 4112: @208003
     /*  208003 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(208044), // Rule ID 1019 //
     /*  208008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208025 */     // MIs[0] rs1
     /*  208025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208037 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208042 */     GIR_RootConstrainSelectedInstOperands,
     /*  208043 */     // GIR_Coverage, 1019,
     /*  208043 */     GIR_Done,
     /*  208044 */   // Label 4113: @208044
     /*  208044 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(208085), // Rule ID 1021 //
     /*  208049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208066 */     // MIs[0] rs1
     /*  208066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208078 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208083 */     GIR_RootConstrainSelectedInstOperands,
     /*  208084 */     // GIR_Coverage, 1021,
     /*  208084 */     GIR_Done,
     /*  208085 */   // Label 4114: @208085
     /*  208085 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(208126), // Rule ID 1023 //
     /*  208090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208107 */     // MIs[0] rs1
     /*  208107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208119 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208124 */     GIR_RootConstrainSelectedInstOperands,
     /*  208125 */     // GIR_Coverage, 1023,
     /*  208125 */     GIR_Done,
     /*  208126 */   // Label 4115: @208126
     /*  208126 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(208167), // Rule ID 1025 //
     /*  208131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208134 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208141 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208148 */     // MIs[0] rs1
     /*  208148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208160 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208165 */     GIR_RootConstrainSelectedInstOperands,
     /*  208166 */     // GIR_Coverage, 1025,
     /*  208166 */     GIR_Done,
     /*  208167 */   // Label 4116: @208167
     /*  208167 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(208208), // Rule ID 1027 //
     /*  208172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208175 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208182 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208189 */     // MIs[0] rs1
     /*  208189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208201 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208201 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208206 */     GIR_RootConstrainSelectedInstOperands,
     /*  208207 */     // GIR_Coverage, 1027,
     /*  208207 */     GIR_Done,
     /*  208208 */   // Label 4117: @208208
     /*  208208 */   GIM_Reject,
     /*  208209 */ // Label 4077: @208209
     /*  208209 */ GIM_Reject,
     /*  208210 */ // Label 4045: @208210
     /*  208210 */ GIM_Reject,
     /*  208211 */ // Label 35: @208211
     /*  208211 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4120*/ GIMT_Encode4(211120),
     /*  208222 */ /*GILLT_s32*//*Label 4118*/ GIMT_Encode4(208230),
     /*  208226 */ /*GILLT_s64*//*Label 4119*/ GIMT_Encode4(209470),
     /*  208230 */ // Label 4118: @208230
     /*  208230 */ GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(209469),
     /*  208235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208238 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(208279), // Rule ID 502 //
     /*  208243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208260 */     // MIs[0] rs1
     /*  208260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208272 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208277 */     GIR_RootConstrainSelectedInstOperands,
     /*  208278 */     // GIR_Coverage, 502,
     /*  208278 */     GIR_Done,
     /*  208279 */   // Label 4122: @208279
     /*  208279 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(208320), // Rule ID 504 //
     /*  208284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208301 */     // MIs[0] rs1
     /*  208301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208313 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  208318 */     GIR_RootConstrainSelectedInstOperands,
     /*  208319 */     // GIR_Coverage, 504,
     /*  208319 */     GIR_Done,
     /*  208320 */   // Label 4123: @208320
     /*  208320 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(208361), // Rule ID 506 //
     /*  208325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208342 */     // MIs[0] rs1
     /*  208342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208354 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  208359 */     GIR_RootConstrainSelectedInstOperands,
     /*  208360 */     // GIR_Coverage, 506,
     /*  208360 */     GIR_Done,
     /*  208361 */   // Label 4124: @208361
     /*  208361 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(208402), // Rule ID 508 //
     /*  208366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208383 */     // MIs[0] rs1
     /*  208383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208395 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  208400 */     GIR_RootConstrainSelectedInstOperands,
     /*  208401 */     // GIR_Coverage, 508,
     /*  208401 */     GIR_Done,
     /*  208402 */   // Label 4125: @208402
     /*  208402 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(208443), // Rule ID 510 //
     /*  208407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208424 */     // MIs[0] rs1
     /*  208424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208436 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  208441 */     GIR_RootConstrainSelectedInstOperands,
     /*  208442 */     // GIR_Coverage, 510,
     /*  208442 */     GIR_Done,
     /*  208443 */   // Label 4126: @208443
     /*  208443 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(208484), // Rule ID 512 //
     /*  208448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208465 */     // MIs[0] rs1
     /*  208465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208477 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208482 */     GIR_RootConstrainSelectedInstOperands,
     /*  208483 */     // GIR_Coverage, 512,
     /*  208483 */     GIR_Done,
     /*  208484 */   // Label 4127: @208484
     /*  208484 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(208525), // Rule ID 514 //
     /*  208489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208506 */     // MIs[0] rs1
     /*  208506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208518 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208523 */     GIR_RootConstrainSelectedInstOperands,
     /*  208524 */     // GIR_Coverage, 514,
     /*  208524 */     GIR_Done,
     /*  208525 */   // Label 4128: @208525
     /*  208525 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(208566), // Rule ID 516 //
     /*  208530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208533 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208540 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208547 */     // MIs[0] rs1
     /*  208547 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208559 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208564 */     GIR_RootConstrainSelectedInstOperands,
     /*  208565 */     // GIR_Coverage, 516,
     /*  208565 */     GIR_Done,
     /*  208566 */   // Label 4129: @208566
     /*  208566 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(208607), // Rule ID 518 //
     /*  208571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208574 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208581 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208588 */     // MIs[0] rs1
     /*  208588 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208600 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208600 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208605 */     GIR_RootConstrainSelectedInstOperands,
     /*  208606 */     // GIR_Coverage, 518,
     /*  208606 */     GIR_Done,
     /*  208607 */   // Label 4130: @208607
     /*  208607 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(208648), // Rule ID 520 //
     /*  208612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  208615 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208622 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208629 */     // MIs[0] rs1
     /*  208629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208641 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208646 */     GIR_RootConstrainSelectedInstOperands,
     /*  208647 */     // GIR_Coverage, 520,
     /*  208647 */     GIR_Done,
     /*  208648 */   // Label 4131: @208648
     /*  208648 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(208689), // Rule ID 850 //
     /*  208653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208656 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208663 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208670 */     // MIs[0] rs1
     /*  208670 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208682 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208682 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  208687 */     GIR_RootConstrainSelectedInstOperands,
     /*  208688 */     // GIR_Coverage, 850,
     /*  208688 */     GIR_Done,
     /*  208689 */   // Label 4132: @208689
     /*  208689 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(208730), // Rule ID 852 //
     /*  208694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208697 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208704 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208711 */     // MIs[0] rs1
     /*  208711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208723 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  208728 */     GIR_RootConstrainSelectedInstOperands,
     /*  208729 */     // GIR_Coverage, 852,
     /*  208729 */     GIR_Done,
     /*  208730 */   // Label 4133: @208730
     /*  208730 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(208771), // Rule ID 854 //
     /*  208735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208738 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208745 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208752 */     // MIs[0] rs1
     /*  208752 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208764 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  208769 */     GIR_RootConstrainSelectedInstOperands,
     /*  208770 */     // GIR_Coverage, 854,
     /*  208770 */     GIR_Done,
     /*  208771 */   // Label 4134: @208771
     /*  208771 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(208812), // Rule ID 856 //
     /*  208776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208793 */     // MIs[0] rs1
     /*  208793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208805 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  208810 */     GIR_RootConstrainSelectedInstOperands,
     /*  208811 */     // GIR_Coverage, 856,
     /*  208811 */     GIR_Done,
     /*  208812 */   // Label 4135: @208812
     /*  208812 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(208853), // Rule ID 858 //
     /*  208817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  208820 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208827 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208834 */     // MIs[0] rs1
     /*  208834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208846 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208846 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  208851 */     GIR_RootConstrainSelectedInstOperands,
     /*  208852 */     // GIR_Coverage, 858,
     /*  208852 */     GIR_Done,
     /*  208853 */   // Label 4136: @208853
     /*  208853 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(208894), // Rule ID 860 //
     /*  208858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  208861 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208868 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208875 */     // MIs[0] rs1
     /*  208875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208887 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  208892 */     GIR_RootConstrainSelectedInstOperands,
     /*  208893 */     // GIR_Coverage, 860,
     /*  208893 */     GIR_Done,
     /*  208894 */   // Label 4137: @208894
     /*  208894 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(208935), // Rule ID 862 //
     /*  208899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  208902 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208916 */     // MIs[0] rs1
     /*  208916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208928 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  208933 */     GIR_RootConstrainSelectedInstOperands,
     /*  208934 */     // GIR_Coverage, 862,
     /*  208934 */     GIR_Done,
     /*  208935 */   // Label 4138: @208935
     /*  208935 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(208976), // Rule ID 864 //
     /*  208940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  208943 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208950 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208957 */     // MIs[0] rs1
     /*  208957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208969 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208969 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  208974 */     GIR_RootConstrainSelectedInstOperands,
     /*  208975 */     // GIR_Coverage, 864,
     /*  208975 */     GIR_Done,
     /*  208976 */   // Label 4139: @208976
     /*  208976 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(209017), // Rule ID 866 //
     /*  208981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  208984 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208991 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208998 */     // MIs[0] rs1
     /*  208998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209010 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209015 */     GIR_RootConstrainSelectedInstOperands,
     /*  209016 */     // GIR_Coverage, 866,
     /*  209016 */     GIR_Done,
     /*  209017 */   // Label 4140: @209017
     /*  209017 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(209058), // Rule ID 868 //
     /*  209022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209039 */     // MIs[0] rs1
     /*  209039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209051 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209056 */     GIR_RootConstrainSelectedInstOperands,
     /*  209057 */     // GIR_Coverage, 868,
     /*  209057 */     GIR_Done,
     /*  209058 */   // Label 4141: @209058
     /*  209058 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(209099), // Rule ID 1030 //
     /*  209063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209080 */     // MIs[0] rs1
     /*  209080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209092 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209092 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209097 */     GIR_RootConstrainSelectedInstOperands,
     /*  209098 */     // GIR_Coverage, 1030,
     /*  209098 */     GIR_Done,
     /*  209099 */   // Label 4142: @209099
     /*  209099 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(209140), // Rule ID 1032 //
     /*  209104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209107 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209121 */     // MIs[0] rs1
     /*  209121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209133 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  209138 */     GIR_RootConstrainSelectedInstOperands,
     /*  209139 */     // GIR_Coverage, 1032,
     /*  209139 */     GIR_Done,
     /*  209140 */   // Label 4143: @209140
     /*  209140 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(209181), // Rule ID 1034 //
     /*  209145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209148 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209155 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209162 */     // MIs[0] rs1
     /*  209162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209174 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209174 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  209179 */     GIR_RootConstrainSelectedInstOperands,
     /*  209180 */     // GIR_Coverage, 1034,
     /*  209180 */     GIR_Done,
     /*  209181 */   // Label 4144: @209181
     /*  209181 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(209222), // Rule ID 1036 //
     /*  209186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209189 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209196 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209203 */     // MIs[0] rs1
     /*  209203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209215 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  209220 */     GIR_RootConstrainSelectedInstOperands,
     /*  209221 */     // GIR_Coverage, 1036,
     /*  209221 */     GIR_Done,
     /*  209222 */   // Label 4145: @209222
     /*  209222 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(209263), // Rule ID 1038 //
     /*  209227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209230 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209237 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209244 */     // MIs[0] rs1
     /*  209244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209256 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  209261 */     GIR_RootConstrainSelectedInstOperands,
     /*  209262 */     // GIR_Coverage, 1038,
     /*  209262 */     GIR_Done,
     /*  209263 */   // Label 4146: @209263
     /*  209263 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(209304), // Rule ID 1040 //
     /*  209268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209271 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209278 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209285 */     // MIs[0] rs1
     /*  209285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209297 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209302 */     GIR_RootConstrainSelectedInstOperands,
     /*  209303 */     // GIR_Coverage, 1040,
     /*  209303 */     GIR_Done,
     /*  209304 */   // Label 4147: @209304
     /*  209304 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(209345), // Rule ID 1042 //
     /*  209309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209312 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209319 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209326 */     // MIs[0] rs1
     /*  209326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209338 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209343 */     GIR_RootConstrainSelectedInstOperands,
     /*  209344 */     // GIR_Coverage, 1042,
     /*  209344 */     GIR_Done,
     /*  209345 */   // Label 4148: @209345
     /*  209345 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(209386), // Rule ID 1044 //
     /*  209350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209353 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209360 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209367 */     // MIs[0] rs1
     /*  209367 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209379 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209379 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209384 */     GIR_RootConstrainSelectedInstOperands,
     /*  209385 */     // GIR_Coverage, 1044,
     /*  209385 */     GIR_Done,
     /*  209386 */   // Label 4149: @209386
     /*  209386 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(209427), // Rule ID 1046 //
     /*  209391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209394 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209401 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209408 */     // MIs[0] rs1
     /*  209408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209420 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209425 */     GIR_RootConstrainSelectedInstOperands,
     /*  209426 */     // GIR_Coverage, 1046,
     /*  209426 */     GIR_Done,
     /*  209427 */   // Label 4150: @209427
     /*  209427 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(209468), // Rule ID 1048 //
     /*  209432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209435 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209442 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209449 */     // MIs[0] rs1
     /*  209449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209461 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209466 */     GIR_RootConstrainSelectedInstOperands,
     /*  209467 */     // GIR_Coverage, 1048,
     /*  209467 */     GIR_Done,
     /*  209468 */   // Label 4151: @209468
     /*  209468 */   GIM_Reject,
     /*  209469 */ // Label 4121: @209469
     /*  209469 */ GIM_Reject,
     /*  209470 */ // Label 4119: @209470
     /*  209470 */ GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(211119),
     /*  209475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209478 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(209519), // Rule ID 501 //
     /*  209483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209500 */     // MIs[0] rs1
     /*  209500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209512 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209517 */     GIR_RootConstrainSelectedInstOperands,
     /*  209518 */     // GIR_Coverage, 501,
     /*  209518 */     GIR_Done,
     /*  209519 */   // Label 4153: @209519
     /*  209519 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(209560), // Rule ID 503 //
     /*  209524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209541 */     // MIs[0] rs1
     /*  209541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209553 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  209558 */     GIR_RootConstrainSelectedInstOperands,
     /*  209559 */     // GIR_Coverage, 503,
     /*  209559 */     GIR_Done,
     /*  209560 */   // Label 4154: @209560
     /*  209560 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(209601), // Rule ID 505 //
     /*  209565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209582 */     // MIs[0] rs1
     /*  209582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209594 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  209599 */     GIR_RootConstrainSelectedInstOperands,
     /*  209600 */     // GIR_Coverage, 505,
     /*  209600 */     GIR_Done,
     /*  209601 */   // Label 4155: @209601
     /*  209601 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(209642), // Rule ID 507 //
     /*  209606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209623 */     // MIs[0] rs1
     /*  209623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209635 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  209640 */     GIR_RootConstrainSelectedInstOperands,
     /*  209641 */     // GIR_Coverage, 507,
     /*  209641 */     GIR_Done,
     /*  209642 */   // Label 4156: @209642
     /*  209642 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(209683), // Rule ID 509 //
     /*  209647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  209650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209664 */     // MIs[0] rs1
     /*  209664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209676 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  209681 */     GIR_RootConstrainSelectedInstOperands,
     /*  209682 */     // GIR_Coverage, 509,
     /*  209682 */     GIR_Done,
     /*  209683 */   // Label 4157: @209683
     /*  209683 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(209724), // Rule ID 511 //
     /*  209688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209705 */     // MIs[0] rs1
     /*  209705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209717 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209722 */     GIR_RootConstrainSelectedInstOperands,
     /*  209723 */     // GIR_Coverage, 511,
     /*  209723 */     GIR_Done,
     /*  209724 */   // Label 4158: @209724
     /*  209724 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(209765), // Rule ID 513 //
     /*  209729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209746 */     // MIs[0] rs1
     /*  209746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209758 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209763 */     GIR_RootConstrainSelectedInstOperands,
     /*  209764 */     // GIR_Coverage, 513,
     /*  209764 */     GIR_Done,
     /*  209765 */   // Label 4159: @209765
     /*  209765 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(209806), // Rule ID 515 //
     /*  209770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209787 */     // MIs[0] rs1
     /*  209787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209799 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209804 */     GIR_RootConstrainSelectedInstOperands,
     /*  209805 */     // GIR_Coverage, 515,
     /*  209805 */     GIR_Done,
     /*  209806 */   // Label 4160: @209806
     /*  209806 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(209847), // Rule ID 517 //
     /*  209811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209828 */     // MIs[0] rs1
     /*  209828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209840 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209845 */     GIR_RootConstrainSelectedInstOperands,
     /*  209846 */     // GIR_Coverage, 517,
     /*  209846 */     GIR_Done,
     /*  209847 */   // Label 4161: @209847
     /*  209847 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(209888), // Rule ID 519 //
     /*  209852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  209855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209869 */     // MIs[0] rs1
     /*  209869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209881 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209886 */     GIR_RootConstrainSelectedInstOperands,
     /*  209887 */     // GIR_Coverage, 519,
     /*  209887 */     GIR_Done,
     /*  209888 */   // Label 4162: @209888
     /*  209888 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(209929), // Rule ID 601 //
     /*  209893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  209896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  209903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209910 */     // MIs[0] rs1
     /*  209910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209922 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  209927 */     GIR_RootConstrainSelectedInstOperands,
     /*  209928 */     // GIR_Coverage, 601,
     /*  209928 */     GIR_Done,
     /*  209929 */   // Label 4163: @209929
     /*  209929 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(209970), // Rule ID 602 //
     /*  209934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  209937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  209944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209951 */     // MIs[0] rs1
     /*  209951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209963 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  209968 */     GIR_RootConstrainSelectedInstOperands,
     /*  209969 */     // GIR_Coverage, 602,
     /*  209969 */     GIR_Done,
     /*  209970 */   // Label 4164: @209970
     /*  209970 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(210011), // Rule ID 603 //
     /*  209975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  209978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  209985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209992 */     // MIs[0] rs1
     /*  209992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  209996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210004 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  210009 */     GIR_RootConstrainSelectedInstOperands,
     /*  210010 */     // GIR_Coverage, 603,
     /*  210010 */     GIR_Done,
     /*  210011 */   // Label 4165: @210011
     /*  210011 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(210052), // Rule ID 604 //
     /*  210016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210033 */     // MIs[0] rs1
     /*  210033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210045 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  210050 */     GIR_RootConstrainSelectedInstOperands,
     /*  210051 */     // GIR_Coverage, 604,
     /*  210051 */     GIR_Done,
     /*  210052 */   // Label 4166: @210052
     /*  210052 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(210093), // Rule ID 605 //
     /*  210057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210074 */     // MIs[0] rs1
     /*  210074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210086 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  210091 */     GIR_RootConstrainSelectedInstOperands,
     /*  210092 */     // GIR_Coverage, 605,
     /*  210092 */     GIR_Done,
     /*  210093 */   // Label 4167: @210093
     /*  210093 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(210134), // Rule ID 606 //
     /*  210098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210115 */     // MIs[0] rs1
     /*  210115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210127 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210132 */     GIR_RootConstrainSelectedInstOperands,
     /*  210133 */     // GIR_Coverage, 606,
     /*  210133 */     GIR_Done,
     /*  210134 */   // Label 4168: @210134
     /*  210134 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(210175), // Rule ID 607 //
     /*  210139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210156 */     // MIs[0] rs1
     /*  210156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210168 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210173 */     GIR_RootConstrainSelectedInstOperands,
     /*  210174 */     // GIR_Coverage, 607,
     /*  210174 */     GIR_Done,
     /*  210175 */   // Label 4169: @210175
     /*  210175 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(210216), // Rule ID 608 //
     /*  210180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210197 */     // MIs[0] rs1
     /*  210197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210209 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210214 */     GIR_RootConstrainSelectedInstOperands,
     /*  210215 */     // GIR_Coverage, 608,
     /*  210215 */     GIR_Done,
     /*  210216 */   // Label 4170: @210216
     /*  210216 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(210257), // Rule ID 609 //
     /*  210221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210224 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210231 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210238 */     // MIs[0] rs1
     /*  210238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210250 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210255 */     GIR_RootConstrainSelectedInstOperands,
     /*  210256 */     // GIR_Coverage, 609,
     /*  210256 */     GIR_Done,
     /*  210257 */   // Label 4171: @210257
     /*  210257 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(210298), // Rule ID 610 //
     /*  210262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210265 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210279 */     // MIs[0] rs1
     /*  210279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210291 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210296 */     GIR_RootConstrainSelectedInstOperands,
     /*  210297 */     // GIR_Coverage, 610,
     /*  210297 */     GIR_Done,
     /*  210298 */   // Label 4172: @210298
     /*  210298 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(210339), // Rule ID 849 //
     /*  210303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210320 */     // MIs[0] rs1
     /*  210320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210332 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210337 */     GIR_RootConstrainSelectedInstOperands,
     /*  210338 */     // GIR_Coverage, 849,
     /*  210338 */     GIR_Done,
     /*  210339 */   // Label 4173: @210339
     /*  210339 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(210380), // Rule ID 851 //
     /*  210344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210361 */     // MIs[0] rs1
     /*  210361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210373 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210373 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  210378 */     GIR_RootConstrainSelectedInstOperands,
     /*  210379 */     // GIR_Coverage, 851,
     /*  210379 */     GIR_Done,
     /*  210380 */   // Label 4174: @210380
     /*  210380 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(210421), // Rule ID 853 //
     /*  210385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210388 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210395 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210402 */     // MIs[0] rs1
     /*  210402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210414 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210414 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  210419 */     GIR_RootConstrainSelectedInstOperands,
     /*  210420 */     // GIR_Coverage, 853,
     /*  210420 */     GIR_Done,
     /*  210421 */   // Label 4175: @210421
     /*  210421 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(210462), // Rule ID 855 //
     /*  210426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210443 */     // MIs[0] rs1
     /*  210443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210455 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  210460 */     GIR_RootConstrainSelectedInstOperands,
     /*  210461 */     // GIR_Coverage, 855,
     /*  210461 */     GIR_Done,
     /*  210462 */   // Label 4176: @210462
     /*  210462 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(210503), // Rule ID 857 //
     /*  210467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210484 */     // MIs[0] rs1
     /*  210484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210496 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  210501 */     GIR_RootConstrainSelectedInstOperands,
     /*  210502 */     // GIR_Coverage, 857,
     /*  210502 */     GIR_Done,
     /*  210503 */   // Label 4177: @210503
     /*  210503 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(210544), // Rule ID 859 //
     /*  210508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210525 */     // MIs[0] rs1
     /*  210525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210537 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210537 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210542 */     GIR_RootConstrainSelectedInstOperands,
     /*  210543 */     // GIR_Coverage, 859,
     /*  210543 */     GIR_Done,
     /*  210544 */   // Label 4178: @210544
     /*  210544 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(210585), // Rule ID 861 //
     /*  210549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210566 */     // MIs[0] rs1
     /*  210566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210578 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210583 */     GIR_RootConstrainSelectedInstOperands,
     /*  210584 */     // GIR_Coverage, 861,
     /*  210584 */     GIR_Done,
     /*  210585 */   // Label 4179: @210585
     /*  210585 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(210626), // Rule ID 863 //
     /*  210590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210607 */     // MIs[0] rs1
     /*  210607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210619 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210624 */     GIR_RootConstrainSelectedInstOperands,
     /*  210625 */     // GIR_Coverage, 863,
     /*  210625 */     GIR_Done,
     /*  210626 */   // Label 4180: @210626
     /*  210626 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(210667), // Rule ID 865 //
     /*  210631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210648 */     // MIs[0] rs1
     /*  210648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210660 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210665 */     GIR_RootConstrainSelectedInstOperands,
     /*  210666 */     // GIR_Coverage, 865,
     /*  210666 */     GIR_Done,
     /*  210667 */   // Label 4181: @210667
     /*  210667 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(210708), // Rule ID 867 //
     /*  210672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210689 */     // MIs[0] rs1
     /*  210689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210701 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  210706 */     GIR_RootConstrainSelectedInstOperands,
     /*  210707 */     // GIR_Coverage, 867,
     /*  210707 */     GIR_Done,
     /*  210708 */   // Label 4182: @210708
     /*  210708 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(210749), // Rule ID 1029 //
     /*  210713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210730 */     // MIs[0] rs1
     /*  210730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210742 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210747 */     GIR_RootConstrainSelectedInstOperands,
     /*  210748 */     // GIR_Coverage, 1029,
     /*  210748 */     GIR_Done,
     /*  210749 */   // Label 4183: @210749
     /*  210749 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(210790), // Rule ID 1031 //
     /*  210754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210757 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210764 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210771 */     // MIs[0] rs1
     /*  210771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210783 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  210788 */     GIR_RootConstrainSelectedInstOperands,
     /*  210789 */     // GIR_Coverage, 1031,
     /*  210789 */     GIR_Done,
     /*  210790 */   // Label 4184: @210790
     /*  210790 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(210831), // Rule ID 1033 //
     /*  210795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210812 */     // MIs[0] rs1
     /*  210812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210824 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  210829 */     GIR_RootConstrainSelectedInstOperands,
     /*  210830 */     // GIR_Coverage, 1033,
     /*  210830 */     GIR_Done,
     /*  210831 */   // Label 4185: @210831
     /*  210831 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(210872), // Rule ID 1035 //
     /*  210836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210853 */     // MIs[0] rs1
     /*  210853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210865 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  210870 */     GIR_RootConstrainSelectedInstOperands,
     /*  210871 */     // GIR_Coverage, 1035,
     /*  210871 */     GIR_Done,
     /*  210872 */   // Label 4186: @210872
     /*  210872 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(210913), // Rule ID 1037 //
     /*  210877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210894 */     // MIs[0] rs1
     /*  210894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210906 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  210911 */     GIR_RootConstrainSelectedInstOperands,
     /*  210912 */     // GIR_Coverage, 1037,
     /*  210912 */     GIR_Done,
     /*  210913 */   // Label 4187: @210913
     /*  210913 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(210954), // Rule ID 1039 //
     /*  210918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210935 */     // MIs[0] rs1
     /*  210935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210947 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210952 */     GIR_RootConstrainSelectedInstOperands,
     /*  210953 */     // GIR_Coverage, 1039,
     /*  210953 */     GIR_Done,
     /*  210954 */   // Label 4188: @210954
     /*  210954 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(210995), // Rule ID 1041 //
     /*  210959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  210962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210976 */     // MIs[0] rs1
     /*  210976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210988 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210993 */     GIR_RootConstrainSelectedInstOperands,
     /*  210994 */     // GIR_Coverage, 1041,
     /*  210994 */     GIR_Done,
     /*  210995 */   // Label 4189: @210995
     /*  210995 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(211036), // Rule ID 1043 //
     /*  211000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  211013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211017 */     // MIs[0] rs1
     /*  211017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211029 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211034 */     GIR_RootConstrainSelectedInstOperands,
     /*  211035 */     // GIR_Coverage, 1043,
     /*  211035 */     GIR_Done,
     /*  211036 */   // Label 4190: @211036
     /*  211036 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(211077), // Rule ID 1045 //
     /*  211041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  211054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211058 */     // MIs[0] rs1
     /*  211058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211070 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211075 */     GIR_RootConstrainSelectedInstOperands,
     /*  211076 */     // GIR_Coverage, 1045,
     /*  211076 */     GIR_Done,
     /*  211077 */   // Label 4191: @211077
     /*  211077 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(211118), // Rule ID 1047 //
     /*  211082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  211095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211099 */     // MIs[0] rs1
     /*  211099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211111 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211116 */     GIR_RootConstrainSelectedInstOperands,
     /*  211117 */     // GIR_Coverage, 1047,
     /*  211117 */     GIR_Done,
     /*  211118 */   // Label 4192: @211118
     /*  211118 */   GIM_Reject,
     /*  211119 */ // Label 4152: @211119
     /*  211119 */ GIM_Reject,
     /*  211120 */ // Label 4120: @211120
     /*  211120 */ GIM_Reject,
     /*  211121 */ // Label 36: @211121
     /*  211121 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4195*/ GIMT_Encode4(211338),
     /*  211132 */ /*GILLT_s32*//*Label 4193*/ GIMT_Encode4(211140),
     /*  211136 */ /*GILLT_s64*//*Label 4194*/ GIMT_Encode4(211239),
     /*  211140 */ // Label 4193: @211140
     /*  211140 */ GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(211166), // Rule ID 245 //
     /*  211145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211148 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  211152 */   // MIs[0] Operand 1
     /*  211152 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211155 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  211155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  211161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211164 */   GIR_RootConstrainSelectedInstOperands,
     /*  211165 */   // GIR_Coverage, 245,
     /*  211165 */   GIR_EraseRootFromParent_Done,
     /*  211166 */ // Label 4196: @211166
     /*  211166 */ GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(211192), // Rule ID 247 //
     /*  211171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211174 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  211178 */   // MIs[0] Operand 1
     /*  211178 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211181 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  211181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  211190 */   GIR_RootConstrainSelectedInstOperands,
     /*  211191 */   // GIR_Coverage, 247,
     /*  211191 */   GIR_EraseRootFromParent_Done,
     /*  211192 */ // Label 4197: @211192
     /*  211192 */ GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(211212), // Rule ID 249 //
     /*  211197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211200 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  211204 */   // MIs[0] Operand 1
     /*  211204 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211207 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  211207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  211210 */   GIR_RootConstrainSelectedInstOperands,
     /*  211211 */   // GIR_Coverage, 249,
     /*  211211 */   GIR_EraseRootFromParent_Done,
     /*  211212 */ // Label 4198: @211212
     /*  211212 */ GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(211238), // Rule ID 251 //
     /*  211217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211220 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  211224 */   // MIs[0] Operand 1
     /*  211224 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211227 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  211227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211236 */   GIR_RootConstrainSelectedInstOperands,
     /*  211237 */   // GIR_Coverage, 251,
     /*  211237 */   GIR_EraseRootFromParent_Done,
     /*  211238 */ // Label 4199: @211238
     /*  211238 */ GIM_Reject,
     /*  211239 */ // Label 4194: @211239
     /*  211239 */ GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(211265), // Rule ID 244 //
     /*  211244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211247 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  211251 */   // MIs[0] Operand 1
     /*  211251 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211254 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  211254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  211260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211263 */   GIR_RootConstrainSelectedInstOperands,
     /*  211264 */   // GIR_Coverage, 244,
     /*  211264 */   GIR_EraseRootFromParent_Done,
     /*  211265 */ // Label 4200: @211265
     /*  211265 */ GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(211291), // Rule ID 246 //
     /*  211270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211273 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  211277 */   // MIs[0] Operand 1
     /*  211277 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211280 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  211280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  211289 */   GIR_RootConstrainSelectedInstOperands,
     /*  211290 */   // GIR_Coverage, 246,
     /*  211290 */   GIR_EraseRootFromParent_Done,
     /*  211291 */ // Label 4201: @211291
     /*  211291 */ GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(211311), // Rule ID 248 //
     /*  211296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211299 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  211303 */   // MIs[0] Operand 1
     /*  211303 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211306 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  211306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  211309 */   GIR_RootConstrainSelectedInstOperands,
     /*  211310 */   // GIR_Coverage, 248,
     /*  211310 */   GIR_EraseRootFromParent_Done,
     /*  211311 */ // Label 4202: @211311
     /*  211311 */ GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(211337), // Rule ID 250 //
     /*  211316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211319 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  211323 */   // MIs[0] Operand 1
     /*  211323 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211326 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  211326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211335 */   GIR_RootConstrainSelectedInstOperands,
     /*  211336 */   // GIR_Coverage, 250,
     /*  211336 */   GIR_EraseRootFromParent_Done,
     /*  211337 */ // Label 4203: @211337
     /*  211337 */ GIM_Reject,
     /*  211338 */ // Label 4195: @211338
     /*  211338 */ GIM_Reject,
     /*  211339 */ // Label 37: @211339
     /*  211339 */ GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(212824),
     /*  211344 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  211347 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(211392), // Rule ID 2604 //
     /*  211352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  211380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211390 */     GIR_RootConstrainSelectedInstOperands,
     /*  211391 */     // GIR_Coverage, 2604,
     /*  211391 */     GIR_EraseRootFromParent_Done,
     /*  211392 */   // Label 4205: @211392
     /*  211392 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(211437), // Rule ID 2605 //
     /*  211397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211422 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  211425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211435 */     GIR_RootConstrainSelectedInstOperands,
     /*  211436 */     // GIR_Coverage, 2605,
     /*  211436 */     GIR_EraseRootFromParent_Done,
     /*  211437 */   // Label 4206: @211437
     /*  211437 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(211482), // Rule ID 23154 //
     /*  211442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  211470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211480 */     GIR_RootConstrainSelectedInstOperands,
     /*  211481 */     // GIR_Coverage, 23154,
     /*  211481 */     GIR_EraseRootFromParent_Done,
     /*  211482 */   // Label 4207: @211482
     /*  211482 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(211527), // Rule ID 23155 //
     /*  211487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  211515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211525 */     GIR_RootConstrainSelectedInstOperands,
     /*  211526 */     // GIR_Coverage, 23155,
     /*  211526 */     GIR_EraseRootFromParent_Done,
     /*  211527 */   // Label 4208: @211527
     /*  211527 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(211572), // Rule ID 23156 //
     /*  211532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  211560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211570 */     GIR_RootConstrainSelectedInstOperands,
     /*  211571 */     // GIR_Coverage, 23156,
     /*  211571 */     GIR_EraseRootFromParent_Done,
     /*  211572 */   // Label 4209: @211572
     /*  211572 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(211617), // Rule ID 23157 //
     /*  211577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  211605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211615 */     GIR_RootConstrainSelectedInstOperands,
     /*  211616 */     // GIR_Coverage, 23157,
     /*  211616 */     GIR_EraseRootFromParent_Done,
     /*  211617 */   // Label 4210: @211617
     /*  211617 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(211662), // Rule ID 23158 //
     /*  211622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  211650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211660 */     GIR_RootConstrainSelectedInstOperands,
     /*  211661 */     // GIR_Coverage, 23158,
     /*  211661 */     GIR_EraseRootFromParent_Done,
     /*  211662 */   // Label 4211: @211662
     /*  211662 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(211707), // Rule ID 23159 //
     /*  211667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  211695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211705 */     GIR_RootConstrainSelectedInstOperands,
     /*  211706 */     // GIR_Coverage, 23159,
     /*  211706 */     GIR_EraseRootFromParent_Done,
     /*  211707 */   // Label 4212: @211707
     /*  211707 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(211752), // Rule ID 23160 //
     /*  211712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211737 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  211740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211750 */     GIR_RootConstrainSelectedInstOperands,
     /*  211751 */     // GIR_Coverage, 23160,
     /*  211751 */     GIR_EraseRootFromParent_Done,
     /*  211752 */   // Label 4213: @211752
     /*  211752 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(211797), // Rule ID 23161 //
     /*  211757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211782 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  211785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211795 */     GIR_RootConstrainSelectedInstOperands,
     /*  211796 */     // GIR_Coverage, 23161,
     /*  211796 */     GIR_EraseRootFromParent_Done,
     /*  211797 */   // Label 4214: @211797
     /*  211797 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(211842), // Rule ID 23162 //
     /*  211802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211827 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  211830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211840 */     GIR_RootConstrainSelectedInstOperands,
     /*  211841 */     // GIR_Coverage, 23162,
     /*  211841 */     GIR_EraseRootFromParent_Done,
     /*  211842 */   // Label 4215: @211842
     /*  211842 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(211887), // Rule ID 23163 //
     /*  211847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211872 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  211875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211885 */     GIR_RootConstrainSelectedInstOperands,
     /*  211886 */     // GIR_Coverage, 23163,
     /*  211886 */     GIR_EraseRootFromParent_Done,
     /*  211887 */   // Label 4216: @211887
     /*  211887 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(211932), // Rule ID 23164 //
     /*  211892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211917 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  211917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  211920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211930 */     GIR_RootConstrainSelectedInstOperands,
     /*  211931 */     // GIR_Coverage, 23164,
     /*  211931 */     GIR_EraseRootFromParent_Done,
     /*  211932 */   // Label 4217: @211932
     /*  211932 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(211977), // Rule ID 23165 //
     /*  211937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  211945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  211951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211962 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  211962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  211965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211975 */     GIR_RootConstrainSelectedInstOperands,
     /*  211976 */     // GIR_Coverage, 23165,
     /*  211976 */     GIR_EraseRootFromParent_Done,
     /*  211977 */   // Label 4218: @211977
     /*  211977 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(212022), // Rule ID 23166 //
     /*  211982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  211990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  211996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212007 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  212010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212020 */     GIR_RootConstrainSelectedInstOperands,
     /*  212021 */     // GIR_Coverage, 23166,
     /*  212021 */     GIR_EraseRootFromParent_Done,
     /*  212022 */   // Label 4219: @212022
     /*  212022 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(212067), // Rule ID 23167 //
     /*  212027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  212055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212065 */     GIR_RootConstrainSelectedInstOperands,
     /*  212066 */     // GIR_Coverage, 23167,
     /*  212066 */     GIR_EraseRootFromParent_Done,
     /*  212067 */   // Label 4220: @212067
     /*  212067 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(212112), // Rule ID 23168 //
     /*  212072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212097 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  212100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212110 */     GIR_RootConstrainSelectedInstOperands,
     /*  212111 */     // GIR_Coverage, 23168,
     /*  212111 */     GIR_EraseRootFromParent_Done,
     /*  212112 */   // Label 4221: @212112
     /*  212112 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(212157), // Rule ID 23169 //
     /*  212117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212142 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  212145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212155 */     GIR_RootConstrainSelectedInstOperands,
     /*  212156 */     // GIR_Coverage, 23169,
     /*  212156 */     GIR_EraseRootFromParent_Done,
     /*  212157 */   // Label 4222: @212157
     /*  212157 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(212202), // Rule ID 23170 //
     /*  212162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212187 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  212190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212200 */     GIR_RootConstrainSelectedInstOperands,
     /*  212201 */     // GIR_Coverage, 23170,
     /*  212201 */     GIR_EraseRootFromParent_Done,
     /*  212202 */   // Label 4223: @212202
     /*  212202 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(212247), // Rule ID 23171 //
     /*  212207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  212235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212245 */     GIR_RootConstrainSelectedInstOperands,
     /*  212246 */     // GIR_Coverage, 23171,
     /*  212246 */     GIR_EraseRootFromParent_Done,
     /*  212247 */   // Label 4224: @212247
     /*  212247 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(212292), // Rule ID 23172 //
     /*  212252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  212280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212290 */     GIR_RootConstrainSelectedInstOperands,
     /*  212291 */     // GIR_Coverage, 23172,
     /*  212291 */     GIR_EraseRootFromParent_Done,
     /*  212292 */   // Label 4225: @212292
     /*  212292 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(212337), // Rule ID 23173 //
     /*  212297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  212325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212335 */     GIR_RootConstrainSelectedInstOperands,
     /*  212336 */     // GIR_Coverage, 23173,
     /*  212336 */     GIR_EraseRootFromParent_Done,
     /*  212337 */   // Label 4226: @212337
     /*  212337 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(212382), // Rule ID 23174 //
     /*  212342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212367 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  212370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212380 */     GIR_RootConstrainSelectedInstOperands,
     /*  212381 */     // GIR_Coverage, 23174,
     /*  212381 */     GIR_EraseRootFromParent_Done,
     /*  212382 */   // Label 4227: @212382
     /*  212382 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(212427), // Rule ID 23175 //
     /*  212387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212412 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  212415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212425 */     GIR_RootConstrainSelectedInstOperands,
     /*  212426 */     // GIR_Coverage, 23175,
     /*  212426 */     GIR_EraseRootFromParent_Done,
     /*  212427 */   // Label 4228: @212427
     /*  212427 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(212472), // Rule ID 23176 //
     /*  212432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212457 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  212460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212470 */     GIR_RootConstrainSelectedInstOperands,
     /*  212471 */     // GIR_Coverage, 23176,
     /*  212471 */     GIR_EraseRootFromParent_Done,
     /*  212472 */   // Label 4229: @212472
     /*  212472 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(212517), // Rule ID 23177 //
     /*  212477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212502 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  212505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212515 */     GIR_RootConstrainSelectedInstOperands,
     /*  212516 */     // GIR_Coverage, 23177,
     /*  212516 */     GIR_EraseRootFromParent_Done,
     /*  212517 */   // Label 4230: @212517
     /*  212517 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(212562), // Rule ID 23178 //
     /*  212522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212547 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  212550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212560 */     GIR_RootConstrainSelectedInstOperands,
     /*  212561 */     // GIR_Coverage, 23178,
     /*  212561 */     GIR_EraseRootFromParent_Done,
     /*  212562 */   // Label 4231: @212562
     /*  212562 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(212607), // Rule ID 23179 //
     /*  212567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212592 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  212595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212605 */     GIR_RootConstrainSelectedInstOperands,
     /*  212606 */     // GIR_Coverage, 23179,
     /*  212606 */     GIR_EraseRootFromParent_Done,
     /*  212607 */   // Label 4232: @212607
     /*  212607 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(212643), // Rule ID 2541 //
     /*  212612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  212615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  212620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212634 */     // (intrinsic_wo_chain:{ *:[i64] } 10912:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  212637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212641 */     GIR_RootConstrainSelectedInstOperands,
     /*  212642 */     // GIR_Coverage, 2541,
     /*  212642 */     GIR_EraseRootFromParent_Done,
     /*  212643 */   // Label 4233: @212643
     /*  212643 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(212679), // Rule ID 2562 //
     /*  212648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  212656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212670 */     // (intrinsic_wo_chain:{ *:[i64] } 11048:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  212673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212677 */     GIR_RootConstrainSelectedInstOperands,
     /*  212678 */     // GIR_Coverage, 2562,
     /*  212678 */     GIR_EraseRootFromParent_Done,
     /*  212679 */   // Label 4234: @212679
     /*  212679 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(212715), // Rule ID 2563 //
     /*  212684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  212692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212706 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  212709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212713 */     GIR_RootConstrainSelectedInstOperands,
     /*  212714 */     // GIR_Coverage, 2563,
     /*  212714 */     GIR_EraseRootFromParent_Done,
     /*  212715 */   // Label 4235: @212715
     /*  212715 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(212751), // Rule ID 2564 //
     /*  212720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  212728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212742 */     // (intrinsic_wo_chain:{ *:[i64] } 11054:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  212745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212749 */     GIR_RootConstrainSelectedInstOperands,
     /*  212750 */     // GIR_Coverage, 2564,
     /*  212750 */     GIR_EraseRootFromParent_Done,
     /*  212751 */   // Label 4236: @212751
     /*  212751 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(212787), // Rule ID 2565 //
     /*  212756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  212759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  212764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212778 */     // (intrinsic_wo_chain:{ *:[i64] } 11056:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  212778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  212781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212785 */     GIR_RootConstrainSelectedInstOperands,
     /*  212786 */     // GIR_Coverage, 2565,
     /*  212786 */     GIR_EraseRootFromParent_Done,
     /*  212787 */   // Label 4237: @212787
     /*  212787 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(212823), // Rule ID 64430 //
     /*  212792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  212795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  212800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  212803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212814 */     // (intrinsic_wo_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  212814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  212817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212821 */     GIR_RootConstrainSelectedInstOperands,
     /*  212822 */     // GIR_Coverage, 64430,
     /*  212822 */     GIR_EraseRootFromParent_Done,
     /*  212823 */   // Label 4238: @212823
     /*  212823 */   GIM_Reject,
     /*  212824 */ // Label 4204: @212824
     /*  212824 */ GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(220112),
     /*  212829 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  212832 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(212886), // Rule ID 2574 //
     /*  212837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  212845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  212848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  212851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212869 */     // (intrinsic_wo_chain:{ *:[i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  212872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212884 */     GIR_RootConstrainSelectedInstOperands,
     /*  212885 */     // GIR_Coverage, 2574,
     /*  212885 */     GIR_EraseRootFromParent_Done,
     /*  212886 */   // Label 4240: @212886
     /*  212886 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(212940), // Rule ID 2575 //
     /*  212891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  212899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  212902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  212905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  212912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212923 */     // (intrinsic_wo_chain:{ *:[i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  212926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212938 */     GIR_RootConstrainSelectedInstOperands,
     /*  212939 */     // GIR_Coverage, 2575,
     /*  212939 */     GIR_EraseRootFromParent_Done,
     /*  212940 */   // Label 4241: @212940
     /*  212940 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(212994), // Rule ID 2580 //
     /*  212945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  212953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  212959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212977 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  212980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212992 */     GIR_RootConstrainSelectedInstOperands,
     /*  212993 */     // GIR_Coverage, 2580,
     /*  212993 */     GIR_EraseRootFromParent_Done,
     /*  212994 */   // Label 4242: @212994
     /*  212994 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(213048), // Rule ID 2581 //
     /*  212999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  213007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213031 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  213034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213046 */     GIR_RootConstrainSelectedInstOperands,
     /*  213047 */     // GIR_Coverage, 2581,
     /*  213047 */     GIR_EraseRootFromParent_Done,
     /*  213048 */   // Label 4243: @213048
     /*  213048 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(213105), // Rule ID 2600 //
     /*  213053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  213064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  213067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213085 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  213088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213103 */     GIR_RootConstrainSelectedInstOperands,
     /*  213104 */     // GIR_Coverage, 2600,
     /*  213104 */     GIR_EraseRootFromParent_Done,
     /*  213105 */   // Label 4244: @213105
     /*  213105 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(213162), // Rule ID 2601 //
     /*  213110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  213121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  213124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  213145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213160 */     GIR_RootConstrainSelectedInstOperands,
     /*  213161 */     // GIR_Coverage, 2601,
     /*  213161 */     GIR_EraseRootFromParent_Done,
     /*  213162 */   // Label 4245: @213162
     /*  213162 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(213216), // Rule ID 23180 //
     /*  213167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213199 */     // (intrinsic_wo_chain:{ *:[i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  213202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213214 */     GIR_RootConstrainSelectedInstOperands,
     /*  213215 */     // GIR_Coverage, 23180,
     /*  213215 */     GIR_EraseRootFromParent_Done,
     /*  213216 */   // Label 4246: @213216
     /*  213216 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(213270), // Rule ID 23181 //
     /*  213221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213253 */     // (intrinsic_wo_chain:{ *:[i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  213256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213268 */     GIR_RootConstrainSelectedInstOperands,
     /*  213269 */     // GIR_Coverage, 23181,
     /*  213269 */     GIR_EraseRootFromParent_Done,
     /*  213270 */   // Label 4247: @213270
     /*  213270 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(213324), // Rule ID 23184 //
     /*  213275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  213289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213307 */     // (intrinsic_wo_chain:{ *:[i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  213310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213322 */     GIR_RootConstrainSelectedInstOperands,
     /*  213323 */     // GIR_Coverage, 23184,
     /*  213323 */     GIR_EraseRootFromParent_Done,
     /*  213324 */   // Label 4248: @213324
     /*  213324 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(213378), // Rule ID 23185 //
     /*  213329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  213343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213361 */     // (intrinsic_wo_chain:{ *:[i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  213364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213376 */     GIR_RootConstrainSelectedInstOperands,
     /*  213377 */     // GIR_Coverage, 23185,
     /*  213377 */     GIR_EraseRootFromParent_Done,
     /*  213378 */   // Label 4249: @213378
     /*  213378 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(213432), // Rule ID 23188 //
     /*  213383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  213397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213415 */     // (intrinsic_wo_chain:{ *:[i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  213418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213430 */     GIR_RootConstrainSelectedInstOperands,
     /*  213431 */     // GIR_Coverage, 23188,
     /*  213431 */     GIR_EraseRootFromParent_Done,
     /*  213432 */   // Label 4250: @213432
     /*  213432 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(213486), // Rule ID 23189 //
     /*  213437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  213451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213469 */     // (intrinsic_wo_chain:{ *:[i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  213472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213484 */     GIR_RootConstrainSelectedInstOperands,
     /*  213485 */     // GIR_Coverage, 23189,
     /*  213485 */     GIR_EraseRootFromParent_Done,
     /*  213486 */   // Label 4251: @213486
     /*  213486 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(213540), // Rule ID 23192 //
     /*  213491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  213505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213523 */     // (intrinsic_wo_chain:{ *:[i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  213526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213538 */     GIR_RootConstrainSelectedInstOperands,
     /*  213539 */     // GIR_Coverage, 23192,
     /*  213539 */     GIR_EraseRootFromParent_Done,
     /*  213540 */   // Label 4252: @213540
     /*  213540 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(213594), // Rule ID 23193 //
     /*  213545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  213559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213577 */     // (intrinsic_wo_chain:{ *:[i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  213580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213592 */     GIR_RootConstrainSelectedInstOperands,
     /*  213593 */     // GIR_Coverage, 23193,
     /*  213593 */     GIR_EraseRootFromParent_Done,
     /*  213594 */   // Label 4253: @213594
     /*  213594 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(213648), // Rule ID 23196 //
     /*  213599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  213613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213631 */     // (intrinsic_wo_chain:{ *:[i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  213634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213646 */     GIR_RootConstrainSelectedInstOperands,
     /*  213647 */     // GIR_Coverage, 23196,
     /*  213647 */     GIR_EraseRootFromParent_Done,
     /*  213648 */   // Label 4254: @213648
     /*  213648 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(213702), // Rule ID 23197 //
     /*  213653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  213667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213685 */     // (intrinsic_wo_chain:{ *:[i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  213688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213700 */     GIR_RootConstrainSelectedInstOperands,
     /*  213701 */     // GIR_Coverage, 23197,
     /*  213701 */     GIR_EraseRootFromParent_Done,
     /*  213702 */   // Label 4255: @213702
     /*  213702 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(213756), // Rule ID 23200 //
     /*  213707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  213721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213739 */     // (intrinsic_wo_chain:{ *:[i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  213742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213754 */     GIR_RootConstrainSelectedInstOperands,
     /*  213755 */     // GIR_Coverage, 23200,
     /*  213755 */     GIR_EraseRootFromParent_Done,
     /*  213756 */   // Label 4256: @213756
     /*  213756 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(213810), // Rule ID 23201 //
     /*  213761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  213775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213793 */     // (intrinsic_wo_chain:{ *:[i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  213796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213808 */     GIR_RootConstrainSelectedInstOperands,
     /*  213809 */     // GIR_Coverage, 23201,
     /*  213809 */     GIR_EraseRootFromParent_Done,
     /*  213810 */   // Label 4257: @213810
     /*  213810 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(213864), // Rule ID 23204 //
     /*  213815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  213823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213847 */     // (intrinsic_wo_chain:{ *:[i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  213850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213862 */     GIR_RootConstrainSelectedInstOperands,
     /*  213863 */     // GIR_Coverage, 23204,
     /*  213863 */     GIR_EraseRootFromParent_Done,
     /*  213864 */   // Label 4258: @213864
     /*  213864 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(213918), // Rule ID 23205 //
     /*  213869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  213877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213901 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  213904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213916 */     GIR_RootConstrainSelectedInstOperands,
     /*  213917 */     // GIR_Coverage, 23205,
     /*  213917 */     GIR_EraseRootFromParent_Done,
     /*  213918 */   // Label 4259: @213918
     /*  213918 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(213972), // Rule ID 23208 //
     /*  213923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  213931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213955 */     // (intrinsic_wo_chain:{ *:[i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  213958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213970 */     GIR_RootConstrainSelectedInstOperands,
     /*  213971 */     // GIR_Coverage, 23208,
     /*  213971 */     GIR_EraseRootFromParent_Done,
     /*  213972 */   // Label 4260: @213972
     /*  213972 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(214026), // Rule ID 23209 //
     /*  213977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  213985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214009 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  214012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214024 */     GIR_RootConstrainSelectedInstOperands,
     /*  214025 */     // GIR_Coverage, 23209,
     /*  214025 */     GIR_EraseRootFromParent_Done,
     /*  214026 */   // Label 4261: @214026
     /*  214026 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(214080), // Rule ID 23212 //
     /*  214031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214063 */     // (intrinsic_wo_chain:{ *:[i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  214066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214078 */     GIR_RootConstrainSelectedInstOperands,
     /*  214079 */     // GIR_Coverage, 23212,
     /*  214079 */     GIR_EraseRootFromParent_Done,
     /*  214080 */   // Label 4262: @214080
     /*  214080 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(214134), // Rule ID 23213 //
     /*  214085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214117 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  214120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214132 */     GIR_RootConstrainSelectedInstOperands,
     /*  214133 */     // GIR_Coverage, 23213,
     /*  214133 */     GIR_EraseRootFromParent_Done,
     /*  214134 */   // Label 4263: @214134
     /*  214134 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(214188), // Rule ID 23216 //
     /*  214139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214171 */     // (intrinsic_wo_chain:{ *:[i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  214174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214186 */     GIR_RootConstrainSelectedInstOperands,
     /*  214187 */     // GIR_Coverage, 23216,
     /*  214187 */     GIR_EraseRootFromParent_Done,
     /*  214188 */   // Label 4264: @214188
     /*  214188 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(214242), // Rule ID 23217 //
     /*  214193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214225 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  214228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214240 */     GIR_RootConstrainSelectedInstOperands,
     /*  214241 */     // GIR_Coverage, 23217,
     /*  214241 */     GIR_EraseRootFromParent_Done,
     /*  214242 */   // Label 4265: @214242
     /*  214242 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(214296), // Rule ID 23220 //
     /*  214247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214279 */     // (intrinsic_wo_chain:{ *:[i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  214282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214294 */     GIR_RootConstrainSelectedInstOperands,
     /*  214295 */     // GIR_Coverage, 23220,
     /*  214295 */     GIR_EraseRootFromParent_Done,
     /*  214296 */   // Label 4266: @214296
     /*  214296 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(214350), // Rule ID 23221 //
     /*  214301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214333 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  214336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214348 */     GIR_RootConstrainSelectedInstOperands,
     /*  214349 */     // GIR_Coverage, 23221,
     /*  214349 */     GIR_EraseRootFromParent_Done,
     /*  214350 */   // Label 4267: @214350
     /*  214350 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(214404), // Rule ID 23224 //
     /*  214355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  214369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214387 */     // (intrinsic_wo_chain:{ *:[i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  214390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214402 */     GIR_RootConstrainSelectedInstOperands,
     /*  214403 */     // GIR_Coverage, 23224,
     /*  214403 */     GIR_EraseRootFromParent_Done,
     /*  214404 */   // Label 4268: @214404
     /*  214404 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(214458), // Rule ID 23225 //
     /*  214409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  214423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214441 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  214444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214456 */     GIR_RootConstrainSelectedInstOperands,
     /*  214457 */     // GIR_Coverage, 23225,
     /*  214457 */     GIR_EraseRootFromParent_Done,
     /*  214458 */   // Label 4269: @214458
     /*  214458 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(214512), // Rule ID 23228 //
     /*  214463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  214477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214495 */     // (intrinsic_wo_chain:{ *:[i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  214498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214510 */     GIR_RootConstrainSelectedInstOperands,
     /*  214511 */     // GIR_Coverage, 23228,
     /*  214511 */     GIR_EraseRootFromParent_Done,
     /*  214512 */   // Label 4270: @214512
     /*  214512 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(214566), // Rule ID 23229 //
     /*  214517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  214531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214549 */     // (intrinsic_wo_chain:{ *:[i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  214552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214564 */     GIR_RootConstrainSelectedInstOperands,
     /*  214565 */     // GIR_Coverage, 23229,
     /*  214565 */     GIR_EraseRootFromParent_Done,
     /*  214566 */   // Label 4271: @214566
     /*  214566 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(214620), // Rule ID 23232 //
     /*  214571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214603 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  214606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214618 */     GIR_RootConstrainSelectedInstOperands,
     /*  214619 */     // GIR_Coverage, 23232,
     /*  214619 */     GIR_EraseRootFromParent_Done,
     /*  214620 */   // Label 4272: @214620
     /*  214620 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(214674), // Rule ID 23233 //
     /*  214625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214657 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  214660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214672 */     GIR_RootConstrainSelectedInstOperands,
     /*  214673 */     // GIR_Coverage, 23233,
     /*  214673 */     GIR_EraseRootFromParent_Done,
     /*  214674 */   // Label 4273: @214674
     /*  214674 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(214728), // Rule ID 23236 //
     /*  214679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  214690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214711 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  214714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214726 */     GIR_RootConstrainSelectedInstOperands,
     /*  214727 */     // GIR_Coverage, 23236,
     /*  214727 */     GIR_EraseRootFromParent_Done,
     /*  214728 */   // Label 4274: @214728
     /*  214728 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(214782), // Rule ID 23237 //
     /*  214733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  214744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  214768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214780 */     GIR_RootConstrainSelectedInstOperands,
     /*  214781 */     // GIR_Coverage, 23237,
     /*  214781 */     GIR_EraseRootFromParent_Done,
     /*  214782 */   // Label 4275: @214782
     /*  214782 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(214836), // Rule ID 23240 //
     /*  214787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  214798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214819 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  214822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214834 */     GIR_RootConstrainSelectedInstOperands,
     /*  214835 */     // GIR_Coverage, 23240,
     /*  214835 */     GIR_EraseRootFromParent_Done,
     /*  214836 */   // Label 4276: @214836
     /*  214836 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(214890), // Rule ID 23241 //
     /*  214841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  214852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  214876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214888 */     GIR_RootConstrainSelectedInstOperands,
     /*  214889 */     // GIR_Coverage, 23241,
     /*  214889 */     GIR_EraseRootFromParent_Done,
     /*  214890 */   // Label 4277: @214890
     /*  214890 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(214944), // Rule ID 23244 //
     /*  214895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  214906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214927 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  214930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214942 */     GIR_RootConstrainSelectedInstOperands,
     /*  214943 */     // GIR_Coverage, 23244,
     /*  214943 */     GIR_EraseRootFromParent_Done,
     /*  214944 */   // Label 4278: @214944
     /*  214944 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(214998), // Rule ID 23245 //
     /*  214949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  214957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  214960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  214984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  214988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214996 */     GIR_RootConstrainSelectedInstOperands,
     /*  214997 */     // GIR_Coverage, 23245,
     /*  214997 */     GIR_EraseRootFromParent_Done,
     /*  214998 */   // Label 4279: @214998
     /*  214998 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(215052), // Rule ID 23248 //
     /*  215003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215035 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  215038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215050 */     GIR_RootConstrainSelectedInstOperands,
     /*  215051 */     // GIR_Coverage, 23248,
     /*  215051 */     GIR_EraseRootFromParent_Done,
     /*  215052 */   // Label 4280: @215052
     /*  215052 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(215106), // Rule ID 23249 //
     /*  215057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215089 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  215092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215104 */     GIR_RootConstrainSelectedInstOperands,
     /*  215105 */     // GIR_Coverage, 23249,
     /*  215105 */     GIR_EraseRootFromParent_Done,
     /*  215106 */   // Label 4281: @215106
     /*  215106 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(215160), // Rule ID 23252 //
     /*  215111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215143 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  215146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215158 */     GIR_RootConstrainSelectedInstOperands,
     /*  215159 */     // GIR_Coverage, 23252,
     /*  215159 */     GIR_EraseRootFromParent_Done,
     /*  215160 */   // Label 4282: @215160
     /*  215160 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(215214), // Rule ID 23253 //
     /*  215165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215197 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11377:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  215200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215212 */     GIR_RootConstrainSelectedInstOperands,
     /*  215213 */     // GIR_Coverage, 23253,
     /*  215213 */     GIR_EraseRootFromParent_Done,
     /*  215214 */   // Label 4283: @215214
     /*  215214 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(215268), // Rule ID 23256 //
     /*  215219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  215233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215251 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  215254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215266 */     GIR_RootConstrainSelectedInstOperands,
     /*  215267 */     // GIR_Coverage, 23256,
     /*  215267 */     GIR_EraseRootFromParent_Done,
     /*  215268 */   // Label 4284: @215268
     /*  215268 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(215322), // Rule ID 23257 //
     /*  215273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  215287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  215308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215320 */     GIR_RootConstrainSelectedInstOperands,
     /*  215321 */     // GIR_Coverage, 23257,
     /*  215321 */     GIR_EraseRootFromParent_Done,
     /*  215322 */   // Label 4285: @215322
     /*  215322 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(215376), // Rule ID 23260 //
     /*  215327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  215341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215359 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  215362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215374 */     GIR_RootConstrainSelectedInstOperands,
     /*  215375 */     // GIR_Coverage, 23260,
     /*  215375 */     GIR_EraseRootFromParent_Done,
     /*  215376 */   // Label 4286: @215376
     /*  215376 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(215430), // Rule ID 23261 //
     /*  215381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  215395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  215416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215428 */     GIR_RootConstrainSelectedInstOperands,
     /*  215429 */     // GIR_Coverage, 23261,
     /*  215429 */     GIR_EraseRootFromParent_Done,
     /*  215430 */   // Label 4287: @215430
     /*  215430 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(215484), // Rule ID 23264 //
     /*  215435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  215449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215467 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  215470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215482 */     GIR_RootConstrainSelectedInstOperands,
     /*  215483 */     // GIR_Coverage, 23264,
     /*  215483 */     GIR_EraseRootFromParent_Done,
     /*  215484 */   // Label 4288: @215484
     /*  215484 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(215538), // Rule ID 23265 //
     /*  215489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  215503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  215524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215536 */     GIR_RootConstrainSelectedInstOperands,
     /*  215537 */     // GIR_Coverage, 23265,
     /*  215537 */     GIR_EraseRootFromParent_Done,
     /*  215538 */   // Label 4289: @215538
     /*  215538 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(215592), // Rule ID 23268 //
     /*  215543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215575 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  215578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215590 */     GIR_RootConstrainSelectedInstOperands,
     /*  215591 */     // GIR_Coverage, 23268,
     /*  215591 */     GIR_EraseRootFromParent_Done,
     /*  215592 */   // Label 4290: @215592
     /*  215592 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(215646), // Rule ID 23269 //
     /*  215597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  215632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215644 */     GIR_RootConstrainSelectedInstOperands,
     /*  215645 */     // GIR_Coverage, 23269,
     /*  215645 */     GIR_EraseRootFromParent_Done,
     /*  215646 */   // Label 4291: @215646
     /*  215646 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(215700), // Rule ID 23272 //
     /*  215651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215683 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  215686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215698 */     GIR_RootConstrainSelectedInstOperands,
     /*  215699 */     // GIR_Coverage, 23272,
     /*  215699 */     GIR_EraseRootFromParent_Done,
     /*  215700 */   // Label 4292: @215700
     /*  215700 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(215754), // Rule ID 23273 //
     /*  215705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215737 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  215740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215752 */     GIR_RootConstrainSelectedInstOperands,
     /*  215753 */     // GIR_Coverage, 23273,
     /*  215753 */     GIR_EraseRootFromParent_Done,
     /*  215754 */   // Label 4293: @215754
     /*  215754 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(215808), // Rule ID 23276 //
     /*  215759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215791 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  215794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215806 */     GIR_RootConstrainSelectedInstOperands,
     /*  215807 */     // GIR_Coverage, 23276,
     /*  215807 */     GIR_EraseRootFromParent_Done,
     /*  215808 */   // Label 4294: @215808
     /*  215808 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(215862), // Rule ID 23277 //
     /*  215813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215845 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  215848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215860 */     GIR_RootConstrainSelectedInstOperands,
     /*  215861 */     // GIR_Coverage, 23277,
     /*  215861 */     GIR_EraseRootFromParent_Done,
     /*  215862 */   // Label 4295: @215862
     /*  215862 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(215916), // Rule ID 23280 //
     /*  215867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215899 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  215902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215914 */     GIR_RootConstrainSelectedInstOperands,
     /*  215915 */     // GIR_Coverage, 23280,
     /*  215915 */     GIR_EraseRootFromParent_Done,
     /*  215916 */   // Label 4296: @215916
     /*  215916 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(215970), // Rule ID 23281 //
     /*  215921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215953 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11390:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  215956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215968 */     GIR_RootConstrainSelectedInstOperands,
     /*  215969 */     // GIR_Coverage, 23281,
     /*  215969 */     GIR_EraseRootFromParent_Done,
     /*  215970 */   // Label 4297: @215970
     /*  215970 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(216024), // Rule ID 23284 //
     /*  215975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  215983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  215989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216007 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  216010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216022 */     GIR_RootConstrainSelectedInstOperands,
     /*  216023 */     // GIR_Coverage, 23284,
     /*  216023 */     GIR_EraseRootFromParent_Done,
     /*  216024 */   // Label 4298: @216024
     /*  216024 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(216078), // Rule ID 23285 //
     /*  216029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  216043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  216064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216076 */     GIR_RootConstrainSelectedInstOperands,
     /*  216077 */     // GIR_Coverage, 23285,
     /*  216077 */     GIR_EraseRootFromParent_Done,
     /*  216078 */   // Label 4299: @216078
     /*  216078 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(216132), // Rule ID 23288 //
     /*  216083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  216118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216130 */     GIR_RootConstrainSelectedInstOperands,
     /*  216131 */     // GIR_Coverage, 23288,
     /*  216131 */     GIR_EraseRootFromParent_Done,
     /*  216132 */   // Label 4300: @216132
     /*  216132 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(216186), // Rule ID 23289 //
     /*  216137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  216172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216184 */     GIR_RootConstrainSelectedInstOperands,
     /*  216185 */     // GIR_Coverage, 23289,
     /*  216185 */     GIR_EraseRootFromParent_Done,
     /*  216186 */   // Label 4301: @216186
     /*  216186 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(216240), // Rule ID 23292 //
     /*  216191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216223 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  216226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216238 */     GIR_RootConstrainSelectedInstOperands,
     /*  216239 */     // GIR_Coverage, 23292,
     /*  216239 */     GIR_EraseRootFromParent_Done,
     /*  216240 */   // Label 4302: @216240
     /*  216240 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(216294), // Rule ID 23293 //
     /*  216245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  216280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216292 */     GIR_RootConstrainSelectedInstOperands,
     /*  216293 */     // GIR_Coverage, 23293,
     /*  216293 */     GIR_EraseRootFromParent_Done,
     /*  216294 */   // Label 4303: @216294
     /*  216294 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(216348), // Rule ID 23296 //
     /*  216299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  216313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  216334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216346 */     GIR_RootConstrainSelectedInstOperands,
     /*  216347 */     // GIR_Coverage, 23296,
     /*  216347 */     GIR_EraseRootFromParent_Done,
     /*  216348 */   // Label 4304: @216348
     /*  216348 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(216402), // Rule ID 23297 //
     /*  216353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  216367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  216388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216400 */     GIR_RootConstrainSelectedInstOperands,
     /*  216401 */     // GIR_Coverage, 23297,
     /*  216401 */     GIR_EraseRootFromParent_Done,
     /*  216402 */   // Label 4305: @216402
     /*  216402 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(216456), // Rule ID 23300 //
     /*  216407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  216421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216439 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  216442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216454 */     GIR_RootConstrainSelectedInstOperands,
     /*  216455 */     // GIR_Coverage, 23300,
     /*  216455 */     GIR_EraseRootFromParent_Done,
     /*  216456 */   // Label 4306: @216456
     /*  216456 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(216510), // Rule ID 23301 //
     /*  216461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  216475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  216496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216508 */     GIR_RootConstrainSelectedInstOperands,
     /*  216509 */     // GIR_Coverage, 23301,
     /*  216509 */     GIR_EraseRootFromParent_Done,
     /*  216510 */   // Label 4307: @216510
     /*  216510 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(216564), // Rule ID 23304 //
     /*  216515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  216529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216547 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  216550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216562 */     GIR_RootConstrainSelectedInstOperands,
     /*  216563 */     // GIR_Coverage, 23304,
     /*  216563 */     GIR_EraseRootFromParent_Done,
     /*  216564 */   // Label 4308: @216564
     /*  216564 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(216618), // Rule ID 23305 //
     /*  216569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  216583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216601 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  216604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216616 */     GIR_RootConstrainSelectedInstOperands,
     /*  216617 */     // GIR_Coverage, 23305,
     /*  216617 */     GIR_EraseRootFromParent_Done,
     /*  216618 */   // Label 4309: @216618
     /*  216618 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(216672), // Rule ID 23308 //
     /*  216623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216655 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  216658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216670 */     GIR_RootConstrainSelectedInstOperands,
     /*  216671 */     // GIR_Coverage, 23308,
     /*  216671 */     GIR_EraseRootFromParent_Done,
     /*  216672 */   // Label 4310: @216672
     /*  216672 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(216726), // Rule ID 23309 //
     /*  216677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216709 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11402:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  216712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216724 */     GIR_RootConstrainSelectedInstOperands,
     /*  216725 */     // GIR_Coverage, 23309,
     /*  216725 */     GIR_EraseRootFromParent_Done,
     /*  216726 */   // Label 4311: @216726
     /*  216726 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(216783), // Rule ID 23396 //
     /*  216731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  216739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  216742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216763 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  216763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  216766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216781 */     GIR_RootConstrainSelectedInstOperands,
     /*  216782 */     // GIR_Coverage, 23396,
     /*  216782 */     GIR_EraseRootFromParent_Done,
     /*  216783 */   // Label 4312: @216783
     /*  216783 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(216840), // Rule ID 23397 //
     /*  216788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  216796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  216799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216820 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  216820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  216823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216838 */     GIR_RootConstrainSelectedInstOperands,
     /*  216839 */     // GIR_Coverage, 23397,
     /*  216839 */     GIR_EraseRootFromParent_Done,
     /*  216840 */   // Label 4313: @216840
     /*  216840 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(216897), // Rule ID 23400 //
     /*  216845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  216853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  216856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  216877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  216880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216895 */     GIR_RootConstrainSelectedInstOperands,
     /*  216896 */     // GIR_Coverage, 23400,
     /*  216896 */     GIR_EraseRootFromParent_Done,
     /*  216897 */   // Label 4314: @216897
     /*  216897 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(216954), // Rule ID 23401 //
     /*  216902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  216910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  216913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  216934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  216937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216952 */     GIR_RootConstrainSelectedInstOperands,
     /*  216953 */     // GIR_Coverage, 23401,
     /*  216953 */     GIR_EraseRootFromParent_Done,
     /*  216954 */   // Label 4315: @216954
     /*  216954 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(217011), // Rule ID 23404 //
     /*  216959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  216967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  216970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216991 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  216991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  216994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217009 */     GIR_RootConstrainSelectedInstOperands,
     /*  217010 */     // GIR_Coverage, 23404,
     /*  217010 */     GIR_EraseRootFromParent_Done,
     /*  217011 */   // Label 4316: @217011
     /*  217011 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(217068), // Rule ID 23405 //
     /*  217016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  217027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  217030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217066 */     GIR_RootConstrainSelectedInstOperands,
     /*  217067 */     // GIR_Coverage, 23405,
     /*  217067 */     GIR_EraseRootFromParent_Done,
     /*  217068 */   // Label 4317: @217068
     /*  217068 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(217125), // Rule ID 23408 //
     /*  217073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217123 */     GIR_RootConstrainSelectedInstOperands,
     /*  217124 */     // GIR_Coverage, 23408,
     /*  217124 */     GIR_EraseRootFromParent_Done,
     /*  217125 */   // Label 4318: @217125
     /*  217125 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(217182), // Rule ID 23409 //
     /*  217130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217162 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217180 */     GIR_RootConstrainSelectedInstOperands,
     /*  217181 */     // GIR_Coverage, 23409,
     /*  217181 */     GIR_EraseRootFromParent_Done,
     /*  217182 */   // Label 4319: @217182
     /*  217182 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(217239), // Rule ID 23412 //
     /*  217187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217237 */     GIR_RootConstrainSelectedInstOperands,
     /*  217238 */     // GIR_Coverage, 23412,
     /*  217238 */     GIR_EraseRootFromParent_Done,
     /*  217239 */   // Label 4320: @217239
     /*  217239 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(217296), // Rule ID 23413 //
     /*  217244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217294 */     GIR_RootConstrainSelectedInstOperands,
     /*  217295 */     // GIR_Coverage, 23413,
     /*  217295 */     GIR_EraseRootFromParent_Done,
     /*  217296 */   // Label 4321: @217296
     /*  217296 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(217353), // Rule ID 23416 //
     /*  217301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  217312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217351 */     GIR_RootConstrainSelectedInstOperands,
     /*  217352 */     // GIR_Coverage, 23416,
     /*  217352 */     GIR_EraseRootFromParent_Done,
     /*  217353 */   // Label 4322: @217353
     /*  217353 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(217410), // Rule ID 23417 //
     /*  217358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  217369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217390 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217408 */     GIR_RootConstrainSelectedInstOperands,
     /*  217409 */     // GIR_Coverage, 23417,
     /*  217409 */     GIR_EraseRootFromParent_Done,
     /*  217410 */   // Label 4323: @217410
     /*  217410 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(217467), // Rule ID 23420 //
     /*  217415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217447 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217465 */     GIR_RootConstrainSelectedInstOperands,
     /*  217466 */     // GIR_Coverage, 23420,
     /*  217466 */     GIR_EraseRootFromParent_Done,
     /*  217467 */   // Label 4324: @217467
     /*  217467 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(217524), // Rule ID 23421 //
     /*  217472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217522 */     GIR_RootConstrainSelectedInstOperands,
     /*  217523 */     // GIR_Coverage, 23421,
     /*  217523 */     GIR_EraseRootFromParent_Done,
     /*  217524 */   // Label 4325: @217524
     /*  217524 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(217581), // Rule ID 23424 //
     /*  217529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217561 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217579 */     GIR_RootConstrainSelectedInstOperands,
     /*  217580 */     // GIR_Coverage, 23424,
     /*  217580 */     GIR_EraseRootFromParent_Done,
     /*  217581 */   // Label 4326: @217581
     /*  217581 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(217638), // Rule ID 23425 //
     /*  217586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217636 */     GIR_RootConstrainSelectedInstOperands,
     /*  217637 */     // GIR_Coverage, 23425,
     /*  217637 */     GIR_EraseRootFromParent_Done,
     /*  217638 */   // Label 4327: @217638
     /*  217638 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(217695), // Rule ID 23428 //
     /*  217643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217675 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  217675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217693 */     GIR_RootConstrainSelectedInstOperands,
     /*  217694 */     // GIR_Coverage, 23428,
     /*  217694 */     GIR_EraseRootFromParent_Done,
     /*  217695 */   // Label 4328: @217695
     /*  217695 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(217752), // Rule ID 23429 //
     /*  217700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  217732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  217735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217750 */     GIR_RootConstrainSelectedInstOperands,
     /*  217751 */     // GIR_Coverage, 23429,
     /*  217751 */     GIR_EraseRootFromParent_Done,
     /*  217752 */   // Label 4329: @217752
     /*  217752 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(217809), // Rule ID 23432 //
     /*  217757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  217768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  217792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217807 */     GIR_RootConstrainSelectedInstOperands,
     /*  217808 */     // GIR_Coverage, 23432,
     /*  217808 */     GIR_EraseRootFromParent_Done,
     /*  217809 */   // Label 4330: @217809
     /*  217809 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(217866), // Rule ID 23433 //
     /*  217814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  217825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  217849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217864 */     GIR_RootConstrainSelectedInstOperands,
     /*  217865 */     // GIR_Coverage, 23433,
     /*  217865 */     GIR_EraseRootFromParent_Done,
     /*  217866 */   // Label 4331: @217866
     /*  217866 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(217923), // Rule ID 23436 //
     /*  217871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  217882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217903 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  217906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217921 */     GIR_RootConstrainSelectedInstOperands,
     /*  217922 */     // GIR_Coverage, 23436,
     /*  217922 */     GIR_EraseRootFromParent_Done,
     /*  217923 */   // Label 4332: @217923
     /*  217923 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217980), // Rule ID 23437 //
     /*  217928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  217939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217960 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  217963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217978 */     GIR_RootConstrainSelectedInstOperands,
     /*  217979 */     // GIR_Coverage, 23437,
     /*  217979 */     GIR_EraseRootFromParent_Done,
     /*  217980 */   // Label 4333: @217980
     /*  217980 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(218037), // Rule ID 23440 //
     /*  217985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  217996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218017 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  218017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218035 */     GIR_RootConstrainSelectedInstOperands,
     /*  218036 */     // GIR_Coverage, 23440,
     /*  218036 */     GIR_EraseRootFromParent_Done,
     /*  218037 */   // Label 4334: @218037
     /*  218037 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(218094), // Rule ID 23441 //
     /*  218042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  218053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218074 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218092 */     GIR_RootConstrainSelectedInstOperands,
     /*  218093 */     // GIR_Coverage, 23441,
     /*  218093 */     GIR_EraseRootFromParent_Done,
     /*  218094 */   // Label 4335: @218094
     /*  218094 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(218151), // Rule ID 23444 //
     /*  218099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  218110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218149 */     GIR_RootConstrainSelectedInstOperands,
     /*  218150 */     // GIR_Coverage, 23444,
     /*  218150 */     GIR_EraseRootFromParent_Done,
     /*  218151 */   // Label 4336: @218151
     /*  218151 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(218208), // Rule ID 23445 //
     /*  218156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  218167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218206 */     GIR_RootConstrainSelectedInstOperands,
     /*  218207 */     // GIR_Coverage, 23445,
     /*  218207 */     GIR_EraseRootFromParent_Done,
     /*  218208 */   // Label 4337: @218208
     /*  218208 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(218265), // Rule ID 23448 //
     /*  218213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  218224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218263 */     GIR_RootConstrainSelectedInstOperands,
     /*  218264 */     // GIR_Coverage, 23448,
     /*  218264 */     GIR_EraseRootFromParent_Done,
     /*  218265 */   // Label 4338: @218265
     /*  218265 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(218322), // Rule ID 23449 //
     /*  218270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  218281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218320 */     GIR_RootConstrainSelectedInstOperands,
     /*  218321 */     // GIR_Coverage, 23449,
     /*  218321 */     GIR_EraseRootFromParent_Done,
     /*  218322 */   // Label 4339: @218322
     /*  218322 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(218379), // Rule ID 23452 //
     /*  218327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  218338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218377 */     GIR_RootConstrainSelectedInstOperands,
     /*  218378 */     // GIR_Coverage, 23452,
     /*  218378 */     GIR_EraseRootFromParent_Done,
     /*  218379 */   // Label 4340: @218379
     /*  218379 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(218436), // Rule ID 23453 //
     /*  218384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  218395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218434 */     GIR_RootConstrainSelectedInstOperands,
     /*  218435 */     // GIR_Coverage, 23453,
     /*  218435 */     GIR_EraseRootFromParent_Done,
     /*  218436 */   // Label 4341: @218436
     /*  218436 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(218493), // Rule ID 23456 //
     /*  218441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218473 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218491 */     GIR_RootConstrainSelectedInstOperands,
     /*  218492 */     // GIR_Coverage, 23456,
     /*  218492 */     GIR_EraseRootFromParent_Done,
     /*  218493 */   // Label 4342: @218493
     /*  218493 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(218550), // Rule ID 23457 //
     /*  218498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218548 */     GIR_RootConstrainSelectedInstOperands,
     /*  218549 */     // GIR_Coverage, 23457,
     /*  218549 */     GIR_EraseRootFromParent_Done,
     /*  218550 */   // Label 4343: @218550
     /*  218550 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(218607), // Rule ID 23460 //
     /*  218555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218605 */     GIR_RootConstrainSelectedInstOperands,
     /*  218606 */     // GIR_Coverage, 23460,
     /*  218606 */     GIR_EraseRootFromParent_Done,
     /*  218607 */   // Label 4344: @218607
     /*  218607 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(218664), // Rule ID 23461 //
     /*  218612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218662 */     GIR_RootConstrainSelectedInstOperands,
     /*  218663 */     // GIR_Coverage, 23461,
     /*  218663 */     GIR_EraseRootFromParent_Done,
     /*  218664 */   // Label 4345: @218664
     /*  218664 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218721), // Rule ID 23464 //
     /*  218669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218701 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218719 */     GIR_RootConstrainSelectedInstOperands,
     /*  218720 */     // GIR_Coverage, 23464,
     /*  218720 */     GIR_EraseRootFromParent_Done,
     /*  218721 */   // Label 4346: @218721
     /*  218721 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218778), // Rule ID 23465 //
     /*  218726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218776 */     GIR_RootConstrainSelectedInstOperands,
     /*  218777 */     // GIR_Coverage, 23465,
     /*  218777 */     GIR_EraseRootFromParent_Done,
     /*  218778 */   // Label 4347: @218778
     /*  218778 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218835), // Rule ID 23468 //
     /*  218783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  218794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218815 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218833 */     GIR_RootConstrainSelectedInstOperands,
     /*  218834 */     // GIR_Coverage, 23468,
     /*  218834 */     GIR_EraseRootFromParent_Done,
     /*  218835 */   // Label 4348: @218835
     /*  218835 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218892), // Rule ID 23469 //
     /*  218840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  218851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218890 */     GIR_RootConstrainSelectedInstOperands,
     /*  218891 */     // GIR_Coverage, 23469,
     /*  218891 */     GIR_EraseRootFromParent_Done,
     /*  218892 */   // Label 4349: @218892
     /*  218892 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218949), // Rule ID 23472 //
     /*  218897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  218908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218947 */     GIR_RootConstrainSelectedInstOperands,
     /*  218948 */     // GIR_Coverage, 23472,
     /*  218948 */     GIR_EraseRootFromParent_Done,
     /*  218949 */   // Label 4350: @218949
     /*  218949 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(219006), // Rule ID 23473 //
     /*  218954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  218965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219004 */     GIR_RootConstrainSelectedInstOperands,
     /*  219005 */     // GIR_Coverage, 23473,
     /*  219005 */     GIR_EraseRootFromParent_Done,
     /*  219006 */   // Label 4351: @219006
     /*  219006 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(219063), // Rule ID 23476 //
     /*  219011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  219022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219061 */     GIR_RootConstrainSelectedInstOperands,
     /*  219062 */     // GIR_Coverage, 23476,
     /*  219062 */     GIR_EraseRootFromParent_Done,
     /*  219063 */   // Label 4352: @219063
     /*  219063 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(219120), // Rule ID 23477 //
     /*  219068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  219079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219118 */     GIR_RootConstrainSelectedInstOperands,
     /*  219119 */     // GIR_Coverage, 23477,
     /*  219119 */     GIR_EraseRootFromParent_Done,
     /*  219120 */   // Label 4353: @219120
     /*  219120 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(219166), // Rule ID 2543 //
     /*  219125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  219128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  219133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219147 */     // MIs[0] rnum
     /*  219147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  219150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  219155 */     // (intrinsic_wo_chain:{ *:[i64] } 10913:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  219155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  219158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  219164 */     GIR_RootConstrainSelectedInstOperands,
     /*  219165 */     // GIR_Coverage, 2543,
     /*  219165 */     GIR_EraseRootFromParent_Done,
     /*  219166 */   // Label 4354: @219166
     /*  219166 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(219211), // Rule ID 64438 //
     /*  219171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  219174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  219179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219200 */     // (intrinsic_wo_chain:{ *:[i32] } 10923:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  219203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219209 */     GIR_RootConstrainSelectedInstOperands,
     /*  219210 */     // GIR_Coverage, 64438,
     /*  219210 */     GIR_EraseRootFromParent_Done,
     /*  219211 */   // Label 4355: @219211
     /*  219211 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(219256), // Rule ID 64465 //
     /*  219216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  219219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  219224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219245 */     // (intrinsic_wo_chain:{ *:[i32] } 10924:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  219248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219254 */     GIR_RootConstrainSelectedInstOperands,
     /*  219255 */     // GIR_Coverage, 64465,
     /*  219255 */     GIR_EraseRootFromParent_Done,
     /*  219256 */   // Label 4356: @219256
     /*  219256 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(219301), // Rule ID 2533 //
     /*  219261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  219264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  219269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219290 */     // (intrinsic_wo_chain:{ *:[i64] } 11614:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  219293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219299 */     GIR_RootConstrainSelectedInstOperands,
     /*  219300 */     // GIR_Coverage, 2533,
     /*  219300 */     GIR_EraseRootFromParent_Done,
     /*  219301 */   // Label 4357: @219301
     /*  219301 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(219346), // Rule ID 2534 //
     /*  219306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  219309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  219314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219335 */     // (intrinsic_wo_chain:{ *:[i32] } 11614:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  219338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219344 */     GIR_RootConstrainSelectedInstOperands,
     /*  219345 */     // GIR_Coverage, 2534,
     /*  219345 */     GIR_EraseRootFromParent_Done,
     /*  219346 */   // Label 4358: @219346
     /*  219346 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(219391), // Rule ID 2535 //
     /*  219351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  219354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  219359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219380 */     // (intrinsic_wo_chain:{ *:[i64] } 11615:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  219383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219389 */     GIR_RootConstrainSelectedInstOperands,
     /*  219390 */     // GIR_Coverage, 2535,
     /*  219390 */     GIR_EraseRootFromParent_Done,
     /*  219391 */   // Label 4359: @219391
     /*  219391 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219436), // Rule ID 2536 //
     /*  219396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  219399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  219404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219425 */     // (intrinsic_wo_chain:{ *:[i32] } 11615:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  219428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219434 */     GIR_RootConstrainSelectedInstOperands,
     /*  219435 */     // GIR_Coverage, 2536,
     /*  219435 */     GIR_EraseRootFromParent_Done,
     /*  219436 */   // Label 4360: @219436
     /*  219436 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219481), // Rule ID 2539 //
     /*  219441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  219444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  219449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219470 */     // (intrinsic_wo_chain:{ *:[i64] } 10908:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  219473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219479 */     GIR_RootConstrainSelectedInstOperands,
     /*  219480 */     // GIR_Coverage, 2539,
     /*  219480 */     GIR_EraseRootFromParent_Done,
     /*  219481 */   // Label 4361: @219481
     /*  219481 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219526), // Rule ID 2540 //
     /*  219486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  219489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  219494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219515 */     // (intrinsic_wo_chain:{ *:[i64] } 10909:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  219518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219524 */     GIR_RootConstrainSelectedInstOperands,
     /*  219525 */     // GIR_Coverage, 2540,
     /*  219525 */     GIR_EraseRootFromParent_Done,
     /*  219526 */   // Label 4362: @219526
     /*  219526 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219571), // Rule ID 2542 //
     /*  219531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  219534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  219539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219560 */     // (intrinsic_wo_chain:{ *:[i64] } 10914:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  219563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219569 */     GIR_RootConstrainSelectedInstOperands,
     /*  219570 */     // GIR_Coverage, 2542,
     /*  219570 */     GIR_EraseRootFromParent_Done,
     /*  219571 */   // Label 4363: @219571
     /*  219571 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219616), // Rule ID 2546 //
     /*  219576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  219579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  219584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219605 */     // (intrinsic_wo_chain:{ *:[i64] } 10910:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  219608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219614 */     GIR_RootConstrainSelectedInstOperands,
     /*  219615 */     // GIR_Coverage, 2546,
     /*  219615 */     GIR_EraseRootFromParent_Done,
     /*  219616 */   // Label 4364: @219616
     /*  219616 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219661), // Rule ID 2547 //
     /*  219621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  219624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  219629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219650 */     // (intrinsic_wo_chain:{ *:[i64] } 10911:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  219653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219659 */     GIR_RootConstrainSelectedInstOperands,
     /*  219660 */     // GIR_Coverage, 2547,
     /*  219660 */     GIR_EraseRootFromParent_Done,
     /*  219661 */   // Label 4365: @219661
     /*  219661 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219706), // Rule ID 2556 //
     /*  219666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  219674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219695 */     // (intrinsic_wo_chain:{ *:[i32] } 11050:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  219698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219704 */     GIR_RootConstrainSelectedInstOperands,
     /*  219705 */     // GIR_Coverage, 2556,
     /*  219705 */     GIR_EraseRootFromParent_Done,
     /*  219706 */   // Label 4366: @219706
     /*  219706 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219751), // Rule ID 2557 //
     /*  219711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  219719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219740 */     // (intrinsic_wo_chain:{ *:[i32] } 11049:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  219743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219749 */     GIR_RootConstrainSelectedInstOperands,
     /*  219750 */     // GIR_Coverage, 2557,
     /*  219750 */     GIR_EraseRootFromParent_Done,
     /*  219751 */   // Label 4367: @219751
     /*  219751 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219796), // Rule ID 2558 //
     /*  219756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  219764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219785 */     // (intrinsic_wo_chain:{ *:[i32] } 11053:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  219788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219794 */     GIR_RootConstrainSelectedInstOperands,
     /*  219795 */     // GIR_Coverage, 2558,
     /*  219795 */     GIR_EraseRootFromParent_Done,
     /*  219796 */   // Label 4368: @219796
     /*  219796 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219841), // Rule ID 2559 //
     /*  219801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  219809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219830 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  219833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219839 */     GIR_RootConstrainSelectedInstOperands,
     /*  219840 */     // GIR_Coverage, 2559,
     /*  219840 */     GIR_EraseRootFromParent_Done,
     /*  219841 */   // Label 4369: @219841
     /*  219841 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219886), // Rule ID 2560 //
     /*  219846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  219854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219875 */     // (intrinsic_wo_chain:{ *:[i32] } 11055:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  219878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219884 */     GIR_RootConstrainSelectedInstOperands,
     /*  219885 */     // GIR_Coverage, 2560,
     /*  219885 */     GIR_EraseRootFromParent_Done,
     /*  219886 */   // Label 4370: @219886
     /*  219886 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219931), // Rule ID 2561 //
     /*  219891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  219894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  219899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219920 */     // (intrinsic_wo_chain:{ *:[i32] } 11057:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  219923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219929 */     GIR_RootConstrainSelectedInstOperands,
     /*  219930 */     // GIR_Coverage, 2561,
     /*  219930 */     GIR_EraseRootFromParent_Done,
     /*  219931 */   // Label 4371: @219931
     /*  219931 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(219976), // Rule ID 64415 //
     /*  219936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  219939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  219944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219965 */     // (intrinsic_wo_chain:{ *:[i32] } 10933:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  219968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219974 */     GIR_RootConstrainSelectedInstOperands,
     /*  219975 */     // GIR_Coverage, 64415,
     /*  219975 */     GIR_EraseRootFromParent_Done,
     /*  219976 */   // Label 4372: @219976
     /*  219976 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(220021), // Rule ID 64417 //
     /*  219981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  219984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  219989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220010 */     // (intrinsic_wo_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  220013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220019 */     GIR_RootConstrainSelectedInstOperands,
     /*  220020 */     // GIR_Coverage, 64417,
     /*  220020 */     GIR_EraseRootFromParent_Done,
     /*  220021 */   // Label 4373: @220021
     /*  220021 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220066), // Rule ID 64419 //
     /*  220026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  220034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220055 */     // (intrinsic_wo_chain:{ *:[i32] } 10929:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  220058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220064 */     GIR_RootConstrainSelectedInstOperands,
     /*  220065 */     // GIR_Coverage, 64419,
     /*  220065 */     GIR_EraseRootFromParent_Done,
     /*  220066 */   // Label 4374: @220066
     /*  220066 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220111), // Rule ID 64421 //
     /*  220071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  220079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220100 */     // (intrinsic_wo_chain:{ *:[i32] } 10931:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  220103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220109 */     GIR_RootConstrainSelectedInstOperands,
     /*  220110 */     // GIR_Coverage, 64421,
     /*  220110 */     GIR_EraseRootFromParent_Done,
     /*  220111 */   // Label 4375: @220111
     /*  220111 */   GIM_Reject,
     /*  220112 */ // Label 4239: @220112
     /*  220112 */ GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(391017),
     /*  220117 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  220120 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220194), // Rule ID 5354 //
     /*  220125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220165 */     // MIs[1] Operand 1
     /*  220165 */     // No operand predicates
     /*  220165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  220177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220192 */     GIR_RootConstrainSelectedInstOperands,
     /*  220193 */     // GIR_Coverage, 5354,
     /*  220193 */     GIR_EraseRootFromParent_Done,
     /*  220194 */   // Label 4377: @220194
     /*  220194 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220268), // Rule ID 5355 //
     /*  220199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220239 */     // MIs[1] Operand 1
     /*  220239 */     // No operand predicates
     /*  220239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  220251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220266 */     GIR_RootConstrainSelectedInstOperands,
     /*  220267 */     // GIR_Coverage, 5355,
     /*  220267 */     GIR_EraseRootFromParent_Done,
     /*  220268 */   // Label 4378: @220268
     /*  220268 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220342), // Rule ID 5356 //
     /*  220273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  220287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220313 */     // MIs[1] Operand 1
     /*  220313 */     // No operand predicates
     /*  220313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220322 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220340 */     GIR_RootConstrainSelectedInstOperands,
     /*  220341 */     // GIR_Coverage, 5356,
     /*  220341 */     GIR_EraseRootFromParent_Done,
     /*  220342 */   // Label 4379: @220342
     /*  220342 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(220416), // Rule ID 5357 //
     /*  220347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  220361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220387 */     // MIs[1] Operand 1
     /*  220387 */     // No operand predicates
     /*  220387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220414 */     GIR_RootConstrainSelectedInstOperands,
     /*  220415 */     // GIR_Coverage, 5357,
     /*  220415 */     GIR_EraseRootFromParent_Done,
     /*  220416 */   // Label 4380: @220416
     /*  220416 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220490), // Rule ID 5358 //
     /*  220421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  220435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220461 */     // MIs[1] Operand 1
     /*  220461 */     // No operand predicates
     /*  220461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220470 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220488 */     GIR_RootConstrainSelectedInstOperands,
     /*  220489 */     // GIR_Coverage, 5358,
     /*  220489 */     GIR_EraseRootFromParent_Done,
     /*  220490 */   // Label 4381: @220490
     /*  220490 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220564), // Rule ID 5359 //
     /*  220495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  220509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220535 */     // MIs[1] Operand 1
     /*  220535 */     // No operand predicates
     /*  220535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220562 */     GIR_RootConstrainSelectedInstOperands,
     /*  220563 */     // GIR_Coverage, 5359,
     /*  220563 */     GIR_EraseRootFromParent_Done,
     /*  220564 */   // Label 4382: @220564
     /*  220564 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220638), // Rule ID 5360 //
     /*  220569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220609 */     // MIs[1] Operand 1
     /*  220609 */     // No operand predicates
     /*  220609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220618 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220636 */     GIR_RootConstrainSelectedInstOperands,
     /*  220637 */     // GIR_Coverage, 5360,
     /*  220637 */     GIR_EraseRootFromParent_Done,
     /*  220638 */   // Label 4383: @220638
     /*  220638 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220712), // Rule ID 5361 //
     /*  220643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220683 */     // MIs[1] Operand 1
     /*  220683 */     // No operand predicates
     /*  220683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  220695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220710 */     GIR_RootConstrainSelectedInstOperands,
     /*  220711 */     // GIR_Coverage, 5361,
     /*  220711 */     GIR_EraseRootFromParent_Done,
     /*  220712 */   // Label 4384: @220712
     /*  220712 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220786), // Rule ID 5362 //
     /*  220717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220757 */     // MIs[1] Operand 1
     /*  220757 */     // No operand predicates
     /*  220757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220766 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220784 */     GIR_RootConstrainSelectedInstOperands,
     /*  220785 */     // GIR_Coverage, 5362,
     /*  220785 */     GIR_EraseRootFromParent_Done,
     /*  220786 */   // Label 4385: @220786
     /*  220786 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(220860), // Rule ID 5363 //
     /*  220791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220831 */     // MIs[1] Operand 1
     /*  220831 */     // No operand predicates
     /*  220831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220858 */     GIR_RootConstrainSelectedInstOperands,
     /*  220859 */     // GIR_Coverage, 5363,
     /*  220859 */     GIR_EraseRootFromParent_Done,
     /*  220860 */   // Label 4386: @220860
     /*  220860 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(220934), // Rule ID 5364 //
     /*  220865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220905 */     // MIs[1] Operand 1
     /*  220905 */     // No operand predicates
     /*  220905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220914 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220932 */     GIR_RootConstrainSelectedInstOperands,
     /*  220933 */     // GIR_Coverage, 5364,
     /*  220933 */     GIR_EraseRootFromParent_Done,
     /*  220934 */   // Label 4387: @220934
     /*  220934 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(221008), // Rule ID 5365 //
     /*  220939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220979 */     // MIs[1] Operand 1
     /*  220979 */     // No operand predicates
     /*  220979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  220991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221006 */     GIR_RootConstrainSelectedInstOperands,
     /*  221007 */     // GIR_Coverage, 5365,
     /*  221007 */     GIR_EraseRootFromParent_Done,
     /*  221008 */   // Label 4388: @221008
     /*  221008 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(221082), // Rule ID 5366 //
     /*  221013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221053 */     // MIs[1] Operand 1
     /*  221053 */     // No operand predicates
     /*  221053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221080 */     GIR_RootConstrainSelectedInstOperands,
     /*  221081 */     // GIR_Coverage, 5366,
     /*  221081 */     GIR_EraseRootFromParent_Done,
     /*  221082 */   // Label 4389: @221082
     /*  221082 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(221156), // Rule ID 5367 //
     /*  221087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221127 */     // MIs[1] Operand 1
     /*  221127 */     // No operand predicates
     /*  221127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221154 */     GIR_RootConstrainSelectedInstOperands,
     /*  221155 */     // GIR_Coverage, 5367,
     /*  221155 */     GIR_EraseRootFromParent_Done,
     /*  221156 */   // Label 4390: @221156
     /*  221156 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(221230), // Rule ID 5368 //
     /*  221161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221201 */     // MIs[1] Operand 1
     /*  221201 */     // No operand predicates
     /*  221201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221210 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221228 */     GIR_RootConstrainSelectedInstOperands,
     /*  221229 */     // GIR_Coverage, 5368,
     /*  221229 */     GIR_EraseRootFromParent_Done,
     /*  221230 */   // Label 4391: @221230
     /*  221230 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(221304), // Rule ID 5369 //
     /*  221235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221275 */     // MIs[1] Operand 1
     /*  221275 */     // No operand predicates
     /*  221275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221302 */     GIR_RootConstrainSelectedInstOperands,
     /*  221303 */     // GIR_Coverage, 5369,
     /*  221303 */     GIR_EraseRootFromParent_Done,
     /*  221304 */   // Label 4392: @221304
     /*  221304 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(221378), // Rule ID 5370 //
     /*  221309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221349 */     // MIs[1] Operand 1
     /*  221349 */     // No operand predicates
     /*  221349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221376 */     GIR_RootConstrainSelectedInstOperands,
     /*  221377 */     // GIR_Coverage, 5370,
     /*  221377 */     GIR_EraseRootFromParent_Done,
     /*  221378 */   // Label 4393: @221378
     /*  221378 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(221452), // Rule ID 5371 //
     /*  221383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221423 */     // MIs[1] Operand 1
     /*  221423 */     // No operand predicates
     /*  221423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221450 */     GIR_RootConstrainSelectedInstOperands,
     /*  221451 */     // GIR_Coverage, 5371,
     /*  221451 */     GIR_EraseRootFromParent_Done,
     /*  221452 */   // Label 4394: @221452
     /*  221452 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221526), // Rule ID 5372 //
     /*  221457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  221460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221497 */     // MIs[1] Operand 1
     /*  221497 */     // No operand predicates
     /*  221497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221506 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221524 */     GIR_RootConstrainSelectedInstOperands,
     /*  221525 */     // GIR_Coverage, 5372,
     /*  221525 */     GIR_EraseRootFromParent_Done,
     /*  221526 */   // Label 4395: @221526
     /*  221526 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221600), // Rule ID 5373 //
     /*  221531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  221534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221571 */     // MIs[1] Operand 1
     /*  221571 */     // No operand predicates
     /*  221571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221598 */     GIR_RootConstrainSelectedInstOperands,
     /*  221599 */     // GIR_Coverage, 5373,
     /*  221599 */     GIR_EraseRootFromParent_Done,
     /*  221600 */   // Label 4396: @221600
     /*  221600 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221674), // Rule ID 5374 //
     /*  221605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  221619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221645 */     // MIs[1] Operand 1
     /*  221645 */     // No operand predicates
     /*  221645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221654 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  221657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221672 */     GIR_RootConstrainSelectedInstOperands,
     /*  221673 */     // GIR_Coverage, 5374,
     /*  221673 */     GIR_EraseRootFromParent_Done,
     /*  221674 */   // Label 4397: @221674
     /*  221674 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221748), // Rule ID 5375 //
     /*  221679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  221693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221719 */     // MIs[1] Operand 1
     /*  221719 */     // No operand predicates
     /*  221719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  221731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221746 */     GIR_RootConstrainSelectedInstOperands,
     /*  221747 */     // GIR_Coverage, 5375,
     /*  221747 */     GIR_EraseRootFromParent_Done,
     /*  221748 */   // Label 4398: @221748
     /*  221748 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(221822), // Rule ID 5376 //
     /*  221753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  221767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221793 */     // MIs[1] Operand 1
     /*  221793 */     // No operand predicates
     /*  221793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221802 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  221805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221820 */     GIR_RootConstrainSelectedInstOperands,
     /*  221821 */     // GIR_Coverage, 5376,
     /*  221821 */     GIR_EraseRootFromParent_Done,
     /*  221822 */   // Label 4399: @221822
     /*  221822 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(221896), // Rule ID 5377 //
     /*  221827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  221841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221867 */     // MIs[1] Operand 1
     /*  221867 */     // No operand predicates
     /*  221867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  221879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221894 */     GIR_RootConstrainSelectedInstOperands,
     /*  221895 */     // GIR_Coverage, 5377,
     /*  221895 */     GIR_EraseRootFromParent_Done,
     /*  221896 */   // Label 4400: @221896
     /*  221896 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(221970), // Rule ID 5378 //
     /*  221901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221941 */     // MIs[1] Operand 1
     /*  221941 */     // No operand predicates
     /*  221941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221950 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  221953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221968 */     GIR_RootConstrainSelectedInstOperands,
     /*  221969 */     // GIR_Coverage, 5378,
     /*  221969 */     GIR_EraseRootFromParent_Done,
     /*  221970 */   // Label 4401: @221970
     /*  221970 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(222044), // Rule ID 5379 //
     /*  221975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222015 */     // MIs[1] Operand 1
     /*  222015 */     // No operand predicates
     /*  222015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222024 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222042 */     GIR_RootConstrainSelectedInstOperands,
     /*  222043 */     // GIR_Coverage, 5379,
     /*  222043 */     GIR_EraseRootFromParent_Done,
     /*  222044 */   // Label 4402: @222044
     /*  222044 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222118), // Rule ID 5380 //
     /*  222049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222089 */     // MIs[1] Operand 1
     /*  222089 */     // No operand predicates
     /*  222089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222098 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222116 */     GIR_RootConstrainSelectedInstOperands,
     /*  222117 */     // GIR_Coverage, 5380,
     /*  222117 */     GIR_EraseRootFromParent_Done,
     /*  222118 */   // Label 4403: @222118
     /*  222118 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222192), // Rule ID 5381 //
     /*  222123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222163 */     // MIs[1] Operand 1
     /*  222163 */     // No operand predicates
     /*  222163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222190 */     GIR_RootConstrainSelectedInstOperands,
     /*  222191 */     // GIR_Coverage, 5381,
     /*  222191 */     GIR_EraseRootFromParent_Done,
     /*  222192 */   // Label 4404: @222192
     /*  222192 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222266), // Rule ID 5382 //
     /*  222197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222237 */     // MIs[1] Operand 1
     /*  222237 */     // No operand predicates
     /*  222237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222246 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222264 */     GIR_RootConstrainSelectedInstOperands,
     /*  222265 */     // GIR_Coverage, 5382,
     /*  222265 */     GIR_EraseRootFromParent_Done,
     /*  222266 */   // Label 4405: @222266
     /*  222266 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222340), // Rule ID 5383 //
     /*  222271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222311 */     // MIs[1] Operand 1
     /*  222311 */     // No operand predicates
     /*  222311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222338 */     GIR_RootConstrainSelectedInstOperands,
     /*  222339 */     // GIR_Coverage, 5383,
     /*  222339 */     GIR_EraseRootFromParent_Done,
     /*  222340 */   // Label 4406: @222340
     /*  222340 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(222414), // Rule ID 5384 //
     /*  222345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  222359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222385 */     // MIs[1] Operand 1
     /*  222385 */     // No operand predicates
     /*  222385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222394 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222412 */     GIR_RootConstrainSelectedInstOperands,
     /*  222413 */     // GIR_Coverage, 5384,
     /*  222413 */     GIR_EraseRootFromParent_Done,
     /*  222414 */   // Label 4407: @222414
     /*  222414 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(222488), // Rule ID 5385 //
     /*  222419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  222433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222459 */     // MIs[1] Operand 1
     /*  222459 */     // No operand predicates
     /*  222459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222468 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222486 */     GIR_RootConstrainSelectedInstOperands,
     /*  222487 */     // GIR_Coverage, 5385,
     /*  222487 */     GIR_EraseRootFromParent_Done,
     /*  222488 */   // Label 4408: @222488
     /*  222488 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222562), // Rule ID 5386 //
     /*  222493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  222507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222533 */     // MIs[1] Operand 1
     /*  222533 */     // No operand predicates
     /*  222533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222542 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222560 */     GIR_RootConstrainSelectedInstOperands,
     /*  222561 */     // GIR_Coverage, 5386,
     /*  222561 */     GIR_EraseRootFromParent_Done,
     /*  222562 */   // Label 4409: @222562
     /*  222562 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222636), // Rule ID 5387 //
     /*  222567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  222581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222607 */     // MIs[1] Operand 1
     /*  222607 */     // No operand predicates
     /*  222607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222634 */     GIR_RootConstrainSelectedInstOperands,
     /*  222635 */     // GIR_Coverage, 5387,
     /*  222635 */     GIR_EraseRootFromParent_Done,
     /*  222636 */   // Label 4410: @222636
     /*  222636 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222710), // Rule ID 5388 //
     /*  222641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222681 */     // MIs[1] Operand 1
     /*  222681 */     // No operand predicates
     /*  222681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222690 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222708 */     GIR_RootConstrainSelectedInstOperands,
     /*  222709 */     // GIR_Coverage, 5388,
     /*  222709 */     GIR_EraseRootFromParent_Done,
     /*  222710 */   // Label 4411: @222710
     /*  222710 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222784), // Rule ID 5389 //
     /*  222715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222755 */     // MIs[1] Operand 1
     /*  222755 */     // No operand predicates
     /*  222755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222782 */     GIR_RootConstrainSelectedInstOperands,
     /*  222783 */     // GIR_Coverage, 5389,
     /*  222783 */     GIR_EraseRootFromParent_Done,
     /*  222784 */   // Label 4412: @222784
     /*  222784 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(222858), // Rule ID 5390 //
     /*  222789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222829 */     // MIs[1] Operand 1
     /*  222829 */     // No operand predicates
     /*  222829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222838 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222856 */     GIR_RootConstrainSelectedInstOperands,
     /*  222857 */     // GIR_Coverage, 5390,
     /*  222857 */     GIR_EraseRootFromParent_Done,
     /*  222858 */   // Label 4413: @222858
     /*  222858 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(222932), // Rule ID 5391 //
     /*  222863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222903 */     // MIs[1] Operand 1
     /*  222903 */     // No operand predicates
     /*  222903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222930 */     GIR_RootConstrainSelectedInstOperands,
     /*  222931 */     // GIR_Coverage, 5391,
     /*  222931 */     GIR_EraseRootFromParent_Done,
     /*  222932 */   // Label 4414: @222932
     /*  222932 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223006), // Rule ID 5392 //
     /*  222937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222977 */     // MIs[1] Operand 1
     /*  222977 */     // No operand predicates
     /*  222977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222986 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223004 */     GIR_RootConstrainSelectedInstOperands,
     /*  223005 */     // GIR_Coverage, 5392,
     /*  223005 */     GIR_EraseRootFromParent_Done,
     /*  223006 */   // Label 4415: @223006
     /*  223006 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(223080), // Rule ID 5393 //
     /*  223011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  223025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223051 */     // MIs[1] Operand 1
     /*  223051 */     // No operand predicates
     /*  223051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  223063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223078 */     GIR_RootConstrainSelectedInstOperands,
     /*  223079 */     // GIR_Coverage, 5393,
     /*  223079 */     GIR_EraseRootFromParent_Done,
     /*  223080 */   // Label 4416: @223080
     /*  223080 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223154), // Rule ID 5394 //
     /*  223085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223125 */     // MIs[1] Operand 1
     /*  223125 */     // No operand predicates
     /*  223125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223134 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223152 */     GIR_RootConstrainSelectedInstOperands,
     /*  223153 */     // GIR_Coverage, 5394,
     /*  223153 */     GIR_EraseRootFromParent_Done,
     /*  223154 */   // Label 4417: @223154
     /*  223154 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223228), // Rule ID 5395 //
     /*  223159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223199 */     // MIs[1] Operand 1
     /*  223199 */     // No operand predicates
     /*  223199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223226 */     GIR_RootConstrainSelectedInstOperands,
     /*  223227 */     // GIR_Coverage, 5395,
     /*  223227 */     GIR_EraseRootFromParent_Done,
     /*  223228 */   // Label 4418: @223228
     /*  223228 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223302), // Rule ID 5396 //
     /*  223233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223273 */     // MIs[1] Operand 1
     /*  223273 */     // No operand predicates
     /*  223273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223282 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223300 */     GIR_RootConstrainSelectedInstOperands,
     /*  223301 */     // GIR_Coverage, 5396,
     /*  223301 */     GIR_EraseRootFromParent_Done,
     /*  223302 */   // Label 4419: @223302
     /*  223302 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(223376), // Rule ID 5397 //
     /*  223307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223347 */     // MIs[1] Operand 1
     /*  223347 */     // No operand predicates
     /*  223347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223374 */     GIR_RootConstrainSelectedInstOperands,
     /*  223375 */     // GIR_Coverage, 5397,
     /*  223375 */     GIR_EraseRootFromParent_Done,
     /*  223376 */   // Label 4420: @223376
     /*  223376 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(223450), // Rule ID 7866 //
     /*  223381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  223395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223421 */     // MIs[1] Operand 1
     /*  223421 */     // No operand predicates
     /*  223421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  223433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223448 */     GIR_RootConstrainSelectedInstOperands,
     /*  223449 */     // GIR_Coverage, 7866,
     /*  223449 */     GIR_EraseRootFromParent_Done,
     /*  223450 */   // Label 4421: @223450
     /*  223450 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223524), // Rule ID 7867 //
     /*  223455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  223469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223495 */     // MIs[1] Operand 1
     /*  223495 */     // No operand predicates
     /*  223495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  223507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223522 */     GIR_RootConstrainSelectedInstOperands,
     /*  223523 */     // GIR_Coverage, 7867,
     /*  223523 */     GIR_EraseRootFromParent_Done,
     /*  223524 */   // Label 4422: @223524
     /*  223524 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223598), // Rule ID 7870 //
     /*  223529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  223543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223569 */     // MIs[1] Operand 1
     /*  223569 */     // No operand predicates
     /*  223569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223578 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  223581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223596 */     GIR_RootConstrainSelectedInstOperands,
     /*  223597 */     // GIR_Coverage, 7870,
     /*  223597 */     GIR_EraseRootFromParent_Done,
     /*  223598 */   // Label 4423: @223598
     /*  223598 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223672), // Rule ID 7871 //
     /*  223603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  223617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223643 */     // MIs[1] Operand 1
     /*  223643 */     // No operand predicates
     /*  223643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  223655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223670 */     GIR_RootConstrainSelectedInstOperands,
     /*  223671 */     // GIR_Coverage, 7871,
     /*  223671 */     GIR_EraseRootFromParent_Done,
     /*  223672 */   // Label 4424: @223672
     /*  223672 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223746), // Rule ID 7874 //
     /*  223677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  223691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223717 */     // MIs[1] Operand 1
     /*  223717 */     // No operand predicates
     /*  223717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223726 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  223729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223744 */     GIR_RootConstrainSelectedInstOperands,
     /*  223745 */     // GIR_Coverage, 7874,
     /*  223745 */     GIR_EraseRootFromParent_Done,
     /*  223746 */   // Label 4425: @223746
     /*  223746 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(223820), // Rule ID 7875 //
     /*  223751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  223765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223791 */     // MIs[1] Operand 1
     /*  223791 */     // No operand predicates
     /*  223791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  223803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223818 */     GIR_RootConstrainSelectedInstOperands,
     /*  223819 */     // GIR_Coverage, 7875,
     /*  223819 */     GIR_EraseRootFromParent_Done,
     /*  223820 */   // Label 4426: @223820
     /*  223820 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(223894), // Rule ID 7878 //
     /*  223825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223865 */     // MIs[1] Operand 1
     /*  223865 */     // No operand predicates
     /*  223865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  223877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223892 */     GIR_RootConstrainSelectedInstOperands,
     /*  223893 */     // GIR_Coverage, 7878,
     /*  223893 */     GIR_EraseRootFromParent_Done,
     /*  223894 */   // Label 4427: @223894
     /*  223894 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(223968), // Rule ID 7879 //
     /*  223899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223939 */     // MIs[1] Operand 1
     /*  223939 */     // No operand predicates
     /*  223939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  223951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223966 */     GIR_RootConstrainSelectedInstOperands,
     /*  223967 */     // GIR_Coverage, 7879,
     /*  223967 */     GIR_EraseRootFromParent_Done,
     /*  223968 */   // Label 4428: @223968
     /*  223968 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224042), // Rule ID 7882 //
     /*  223973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  223981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224013 */     // MIs[1] Operand 1
     /*  224013 */     // No operand predicates
     /*  224013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224040 */     GIR_RootConstrainSelectedInstOperands,
     /*  224041 */     // GIR_Coverage, 7882,
     /*  224041 */     GIR_EraseRootFromParent_Done,
     /*  224042 */   // Label 4429: @224042
     /*  224042 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224116), // Rule ID 7883 //
     /*  224047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224087 */     // MIs[1] Operand 1
     /*  224087 */     // No operand predicates
     /*  224087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224114 */     GIR_RootConstrainSelectedInstOperands,
     /*  224115 */     // GIR_Coverage, 7883,
     /*  224115 */     GIR_EraseRootFromParent_Done,
     /*  224116 */   // Label 4430: @224116
     /*  224116 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224190), // Rule ID 7886 //
     /*  224121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224161 */     // MIs[1] Operand 1
     /*  224161 */     // No operand predicates
     /*  224161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224170 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224188 */     GIR_RootConstrainSelectedInstOperands,
     /*  224189 */     // GIR_Coverage, 7886,
     /*  224189 */     GIR_EraseRootFromParent_Done,
     /*  224190 */   // Label 4431: @224190
     /*  224190 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224264), // Rule ID 7887 //
     /*  224195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224235 */     // MIs[1] Operand 1
     /*  224235 */     // No operand predicates
     /*  224235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224262 */     GIR_RootConstrainSelectedInstOperands,
     /*  224263 */     // GIR_Coverage, 7887,
     /*  224263 */     GIR_EraseRootFromParent_Done,
     /*  224264 */   // Label 4432: @224264
     /*  224264 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224338), // Rule ID 7890 //
     /*  224269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  224283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224309 */     // MIs[1] Operand 1
     /*  224309 */     // No operand predicates
     /*  224309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224318 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224336 */     GIR_RootConstrainSelectedInstOperands,
     /*  224337 */     // GIR_Coverage, 7890,
     /*  224337 */     GIR_EraseRootFromParent_Done,
     /*  224338 */   // Label 4433: @224338
     /*  224338 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224412), // Rule ID 7891 //
     /*  224343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  224357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224383 */     // MIs[1] Operand 1
     /*  224383 */     // No operand predicates
     /*  224383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224410 */     GIR_RootConstrainSelectedInstOperands,
     /*  224411 */     // GIR_Coverage, 7891,
     /*  224411 */     GIR_EraseRootFromParent_Done,
     /*  224412 */   // Label 4434: @224412
     /*  224412 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224486), // Rule ID 7894 //
     /*  224417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224457 */     // MIs[1] Operand 1
     /*  224457 */     // No operand predicates
     /*  224457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224466 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224484 */     GIR_RootConstrainSelectedInstOperands,
     /*  224485 */     // GIR_Coverage, 7894,
     /*  224485 */     GIR_EraseRootFromParent_Done,
     /*  224486 */   // Label 4435: @224486
     /*  224486 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224560), // Rule ID 7895 //
     /*  224491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224531 */     // MIs[1] Operand 1
     /*  224531 */     // No operand predicates
     /*  224531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224558 */     GIR_RootConstrainSelectedInstOperands,
     /*  224559 */     // GIR_Coverage, 7895,
     /*  224559 */     GIR_EraseRootFromParent_Done,
     /*  224560 */   // Label 4436: @224560
     /*  224560 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224634), // Rule ID 7898 //
     /*  224565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  224579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224605 */     // MIs[1] Operand 1
     /*  224605 */     // No operand predicates
     /*  224605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224614 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224632 */     GIR_RootConstrainSelectedInstOperands,
     /*  224633 */     // GIR_Coverage, 7898,
     /*  224633 */     GIR_EraseRootFromParent_Done,
     /*  224634 */   // Label 4437: @224634
     /*  224634 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224708), // Rule ID 7899 //
     /*  224639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  224653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224679 */     // MIs[1] Operand 1
     /*  224679 */     // No operand predicates
     /*  224679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224706 */     GIR_RootConstrainSelectedInstOperands,
     /*  224707 */     // GIR_Coverage, 7899,
     /*  224707 */     GIR_EraseRootFromParent_Done,
     /*  224708 */   // Label 4438: @224708
     /*  224708 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224782), // Rule ID 7902 //
     /*  224713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  224716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  224727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224753 */     // MIs[1] Operand 1
     /*  224753 */     // No operand predicates
     /*  224753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224762 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224780 */     GIR_RootConstrainSelectedInstOperands,
     /*  224781 */     // GIR_Coverage, 7902,
     /*  224781 */     GIR_EraseRootFromParent_Done,
     /*  224782 */   // Label 4439: @224782
     /*  224782 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(224856), // Rule ID 7903 //
     /*  224787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  224790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  224801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224827 */     // MIs[1] Operand 1
     /*  224827 */     // No operand predicates
     /*  224827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  224839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224854 */     GIR_RootConstrainSelectedInstOperands,
     /*  224855 */     // GIR_Coverage, 7903,
     /*  224855 */     GIR_EraseRootFromParent_Done,
     /*  224856 */   // Label 4440: @224856
     /*  224856 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(224930), // Rule ID 7906 //
     /*  224861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224901 */     // MIs[1] Operand 1
     /*  224901 */     // No operand predicates
     /*  224901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224910 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  224913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224928 */     GIR_RootConstrainSelectedInstOperands,
     /*  224929 */     // GIR_Coverage, 7906,
     /*  224929 */     GIR_EraseRootFromParent_Done,
     /*  224930 */   // Label 4441: @224930
     /*  224930 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225004), // Rule ID 7907 //
     /*  224935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224975 */     // MIs[1] Operand 1
     /*  224975 */     // No operand predicates
     /*  224975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  224987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225002 */     GIR_RootConstrainSelectedInstOperands,
     /*  225003 */     // GIR_Coverage, 7907,
     /*  225003 */     GIR_EraseRootFromParent_Done,
     /*  225004 */   // Label 4442: @225004
     /*  225004 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225078), // Rule ID 7910 //
     /*  225009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225049 */     // MIs[1] Operand 1
     /*  225049 */     // No operand predicates
     /*  225049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225058 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225076 */     GIR_RootConstrainSelectedInstOperands,
     /*  225077 */     // GIR_Coverage, 7910,
     /*  225077 */     GIR_EraseRootFromParent_Done,
     /*  225078 */   // Label 4443: @225078
     /*  225078 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225152), // Rule ID 7911 //
     /*  225083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225123 */     // MIs[1] Operand 1
     /*  225123 */     // No operand predicates
     /*  225123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225132 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225150 */     GIR_RootConstrainSelectedInstOperands,
     /*  225151 */     // GIR_Coverage, 7911,
     /*  225151 */     GIR_EraseRootFromParent_Done,
     /*  225152 */   // Label 4444: @225152
     /*  225152 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225226), // Rule ID 7914 //
     /*  225157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225197 */     // MIs[1] Operand 1
     /*  225197 */     // No operand predicates
     /*  225197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225206 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225224 */     GIR_RootConstrainSelectedInstOperands,
     /*  225225 */     // GIR_Coverage, 7914,
     /*  225225 */     GIR_EraseRootFromParent_Done,
     /*  225226 */   // Label 4445: @225226
     /*  225226 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225300), // Rule ID 7915 //
     /*  225231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225271 */     // MIs[1] Operand 1
     /*  225271 */     // No operand predicates
     /*  225271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225280 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225298 */     GIR_RootConstrainSelectedInstOperands,
     /*  225299 */     // GIR_Coverage, 7915,
     /*  225299 */     GIR_EraseRootFromParent_Done,
     /*  225300 */   // Label 4446: @225300
     /*  225300 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225374), // Rule ID 7918 //
     /*  225305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225345 */     // MIs[1] Operand 1
     /*  225345 */     // No operand predicates
     /*  225345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225354 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225372 */     GIR_RootConstrainSelectedInstOperands,
     /*  225373 */     // GIR_Coverage, 7918,
     /*  225373 */     GIR_EraseRootFromParent_Done,
     /*  225374 */   // Label 4447: @225374
     /*  225374 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225448), // Rule ID 7919 //
     /*  225379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225419 */     // MIs[1] Operand 1
     /*  225419 */     // No operand predicates
     /*  225419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225446 */     GIR_RootConstrainSelectedInstOperands,
     /*  225447 */     // GIR_Coverage, 7919,
     /*  225447 */     GIR_EraseRootFromParent_Done,
     /*  225448 */   // Label 4448: @225448
     /*  225448 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225522), // Rule ID 7922 //
     /*  225453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225493 */     // MIs[1] Operand 1
     /*  225493 */     // No operand predicates
     /*  225493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225502 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225520 */     GIR_RootConstrainSelectedInstOperands,
     /*  225521 */     // GIR_Coverage, 7922,
     /*  225521 */     GIR_EraseRootFromParent_Done,
     /*  225522 */   // Label 4449: @225522
     /*  225522 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225596), // Rule ID 7923 //
     /*  225527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225567 */     // MIs[1] Operand 1
     /*  225567 */     // No operand predicates
     /*  225567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225576 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225594 */     GIR_RootConstrainSelectedInstOperands,
     /*  225595 */     // GIR_Coverage, 7923,
     /*  225595 */     GIR_EraseRootFromParent_Done,
     /*  225596 */   // Label 4450: @225596
     /*  225596 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225670), // Rule ID 7926 //
     /*  225601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225641 */     // MIs[1] Operand 1
     /*  225641 */     // No operand predicates
     /*  225641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225650 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225668 */     GIR_RootConstrainSelectedInstOperands,
     /*  225669 */     // GIR_Coverage, 7926,
     /*  225669 */     GIR_EraseRootFromParent_Done,
     /*  225670 */   // Label 4451: @225670
     /*  225670 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225744), // Rule ID 7927 //
     /*  225675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225715 */     // MIs[1] Operand 1
     /*  225715 */     // No operand predicates
     /*  225715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225724 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225742 */     GIR_RootConstrainSelectedInstOperands,
     /*  225743 */     // GIR_Coverage, 7927,
     /*  225743 */     GIR_EraseRootFromParent_Done,
     /*  225744 */   // Label 4452: @225744
     /*  225744 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225818), // Rule ID 7930 //
     /*  225749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225789 */     // MIs[1] Operand 1
     /*  225789 */     // No operand predicates
     /*  225789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225798 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225816 */     GIR_RootConstrainSelectedInstOperands,
     /*  225817 */     // GIR_Coverage, 7930,
     /*  225817 */     GIR_EraseRootFromParent_Done,
     /*  225818 */   // Label 4453: @225818
     /*  225818 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(225892), // Rule ID 7931 //
     /*  225823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225863 */     // MIs[1] Operand 1
     /*  225863 */     // No operand predicates
     /*  225863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225890 */     GIR_RootConstrainSelectedInstOperands,
     /*  225891 */     // GIR_Coverage, 7931,
     /*  225891 */     GIR_EraseRootFromParent_Done,
     /*  225892 */   // Label 4454: @225892
     /*  225892 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(225966), // Rule ID 7934 //
     /*  225897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225937 */     // MIs[1] Operand 1
     /*  225937 */     // No operand predicates
     /*  225937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225946 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225964 */     GIR_RootConstrainSelectedInstOperands,
     /*  225965 */     // GIR_Coverage, 7934,
     /*  225965 */     GIR_EraseRootFromParent_Done,
     /*  225966 */   // Label 4455: @225966
     /*  225966 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(226040), // Rule ID 7935 //
     /*  225971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226011 */     // MIs[1] Operand 1
     /*  226011 */     // No operand predicates
     /*  226011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226038 */     GIR_RootConstrainSelectedInstOperands,
     /*  226039 */     // GIR_Coverage, 7935,
     /*  226039 */     GIR_EraseRootFromParent_Done,
     /*  226040 */   // Label 4456: @226040
     /*  226040 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(226114), // Rule ID 7938 //
     /*  226045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226085 */     // MIs[1] Operand 1
     /*  226085 */     // No operand predicates
     /*  226085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226094 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226112 */     GIR_RootConstrainSelectedInstOperands,
     /*  226113 */     // GIR_Coverage, 7938,
     /*  226113 */     GIR_EraseRootFromParent_Done,
     /*  226114 */   // Label 4457: @226114
     /*  226114 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(226188), // Rule ID 7939 //
     /*  226119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226159 */     // MIs[1] Operand 1
     /*  226159 */     // No operand predicates
     /*  226159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226186 */     GIR_RootConstrainSelectedInstOperands,
     /*  226187 */     // GIR_Coverage, 7939,
     /*  226187 */     GIR_EraseRootFromParent_Done,
     /*  226188 */   // Label 4458: @226188
     /*  226188 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(226262), // Rule ID 7942 //
     /*  226193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226233 */     // MIs[1] Operand 1
     /*  226233 */     // No operand predicates
     /*  226233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226242 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226260 */     GIR_RootConstrainSelectedInstOperands,
     /*  226261 */     // GIR_Coverage, 7942,
     /*  226261 */     GIR_EraseRootFromParent_Done,
     /*  226262 */   // Label 4459: @226262
     /*  226262 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(226336), // Rule ID 7943 //
     /*  226267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226307 */     // MIs[1] Operand 1
     /*  226307 */     // No operand predicates
     /*  226307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226334 */     GIR_RootConstrainSelectedInstOperands,
     /*  226335 */     // GIR_Coverage, 7943,
     /*  226335 */     GIR_EraseRootFromParent_Done,
     /*  226336 */   // Label 4460: @226336
     /*  226336 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(226410), // Rule ID 7946 //
     /*  226341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226381 */     // MIs[1] Operand 1
     /*  226381 */     // No operand predicates
     /*  226381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226408 */     GIR_RootConstrainSelectedInstOperands,
     /*  226409 */     // GIR_Coverage, 7946,
     /*  226409 */     GIR_EraseRootFromParent_Done,
     /*  226410 */   // Label 4461: @226410
     /*  226410 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(226484), // Rule ID 7947 //
     /*  226415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226455 */     // MIs[1] Operand 1
     /*  226455 */     // No operand predicates
     /*  226455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226482 */     GIR_RootConstrainSelectedInstOperands,
     /*  226483 */     // GIR_Coverage, 7947,
     /*  226483 */     GIR_EraseRootFromParent_Done,
     /*  226484 */   // Label 4462: @226484
     /*  226484 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226558), // Rule ID 7950 //
     /*  226489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226529 */     // MIs[1] Operand 1
     /*  226529 */     // No operand predicates
     /*  226529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226556 */     GIR_RootConstrainSelectedInstOperands,
     /*  226557 */     // GIR_Coverage, 7950,
     /*  226557 */     GIR_EraseRootFromParent_Done,
     /*  226558 */   // Label 4463: @226558
     /*  226558 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226632), // Rule ID 7951 //
     /*  226563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226603 */     // MIs[1] Operand 1
     /*  226603 */     // No operand predicates
     /*  226603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226630 */     GIR_RootConstrainSelectedInstOperands,
     /*  226631 */     // GIR_Coverage, 7951,
     /*  226631 */     GIR_EraseRootFromParent_Done,
     /*  226632 */   // Label 4464: @226632
     /*  226632 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226706), // Rule ID 8130 //
     /*  226637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  226651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226677 */     // MIs[1] Operand 1
     /*  226677 */     // No operand predicates
     /*  226677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226686 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  226689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226704 */     GIR_RootConstrainSelectedInstOperands,
     /*  226705 */     // GIR_Coverage, 8130,
     /*  226705 */     GIR_EraseRootFromParent_Done,
     /*  226706 */   // Label 4465: @226706
     /*  226706 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226780), // Rule ID 8131 //
     /*  226711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  226725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226751 */     // MIs[1] Operand 1
     /*  226751 */     // No operand predicates
     /*  226751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  226763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226778 */     GIR_RootConstrainSelectedInstOperands,
     /*  226779 */     // GIR_Coverage, 8131,
     /*  226779 */     GIR_EraseRootFromParent_Done,
     /*  226780 */   // Label 4466: @226780
     /*  226780 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226854), // Rule ID 8134 //
     /*  226785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  226799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226825 */     // MIs[1] Operand 1
     /*  226825 */     // No operand predicates
     /*  226825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  226837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226852 */     GIR_RootConstrainSelectedInstOperands,
     /*  226853 */     // GIR_Coverage, 8134,
     /*  226853 */     GIR_EraseRootFromParent_Done,
     /*  226854 */   // Label 4467: @226854
     /*  226854 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(226928), // Rule ID 8135 //
     /*  226859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  226873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226899 */     // MIs[1] Operand 1
     /*  226899 */     // No operand predicates
     /*  226899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  226911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226926 */     GIR_RootConstrainSelectedInstOperands,
     /*  226927 */     // GIR_Coverage, 8135,
     /*  226927 */     GIR_EraseRootFromParent_Done,
     /*  226928 */   // Label 4468: @226928
     /*  226928 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(227002), // Rule ID 8138 //
     /*  226933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  226941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226973 */     // MIs[1] Operand 1
     /*  226973 */     // No operand predicates
     /*  226973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226982 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  226985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227000 */     GIR_RootConstrainSelectedInstOperands,
     /*  227001 */     // GIR_Coverage, 8138,
     /*  227001 */     GIR_EraseRootFromParent_Done,
     /*  227002 */   // Label 4469: @227002
     /*  227002 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(227076), // Rule ID 8139 //
     /*  227007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  227021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227047 */     // MIs[1] Operand 1
     /*  227047 */     // No operand predicates
     /*  227047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227074 */     GIR_RootConstrainSelectedInstOperands,
     /*  227075 */     // GIR_Coverage, 8139,
     /*  227075 */     GIR_EraseRootFromParent_Done,
     /*  227076 */   // Label 4470: @227076
     /*  227076 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(227150), // Rule ID 8142 //
     /*  227081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227121 */     // MIs[1] Operand 1
     /*  227121 */     // No operand predicates
     /*  227121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227130 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227148 */     GIR_RootConstrainSelectedInstOperands,
     /*  227149 */     // GIR_Coverage, 8142,
     /*  227149 */     GIR_EraseRootFromParent_Done,
     /*  227150 */   // Label 4471: @227150
     /*  227150 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(227224), // Rule ID 8143 //
     /*  227155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227195 */     // MIs[1] Operand 1
     /*  227195 */     // No operand predicates
     /*  227195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227222 */     GIR_RootConstrainSelectedInstOperands,
     /*  227223 */     // GIR_Coverage, 8143,
     /*  227223 */     GIR_EraseRootFromParent_Done,
     /*  227224 */   // Label 4472: @227224
     /*  227224 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(227298), // Rule ID 8146 //
     /*  227229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227269 */     // MIs[1] Operand 1
     /*  227269 */     // No operand predicates
     /*  227269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227278 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227296 */     GIR_RootConstrainSelectedInstOperands,
     /*  227297 */     // GIR_Coverage, 8146,
     /*  227297 */     GIR_EraseRootFromParent_Done,
     /*  227298 */   // Label 4473: @227298
     /*  227298 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(227372), // Rule ID 8147 //
     /*  227303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227343 */     // MIs[1] Operand 1
     /*  227343 */     // No operand predicates
     /*  227343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227370 */     GIR_RootConstrainSelectedInstOperands,
     /*  227371 */     // GIR_Coverage, 8147,
     /*  227371 */     GIR_EraseRootFromParent_Done,
     /*  227372 */   // Label 4474: @227372
     /*  227372 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(227446), // Rule ID 8150 //
     /*  227377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  227391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227417 */     // MIs[1] Operand 1
     /*  227417 */     // No operand predicates
     /*  227417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227426 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227444 */     GIR_RootConstrainSelectedInstOperands,
     /*  227445 */     // GIR_Coverage, 8150,
     /*  227445 */     GIR_EraseRootFromParent_Done,
     /*  227446 */   // Label 4475: @227446
     /*  227446 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227520), // Rule ID 8151 //
     /*  227451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  227465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227491 */     // MIs[1] Operand 1
     /*  227491 */     // No operand predicates
     /*  227491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227518 */     GIR_RootConstrainSelectedInstOperands,
     /*  227519 */     // GIR_Coverage, 8151,
     /*  227519 */     GIR_EraseRootFromParent_Done,
     /*  227520 */   // Label 4476: @227520
     /*  227520 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227594), // Rule ID 8154 //
     /*  227525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  227539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227565 */     // MIs[1] Operand 1
     /*  227565 */     // No operand predicates
     /*  227565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227574 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227592 */     GIR_RootConstrainSelectedInstOperands,
     /*  227593 */     // GIR_Coverage, 8154,
     /*  227593 */     GIR_EraseRootFromParent_Done,
     /*  227594 */   // Label 4477: @227594
     /*  227594 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227668), // Rule ID 8155 //
     /*  227599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  227613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227639 */     // MIs[1] Operand 1
     /*  227639 */     // No operand predicates
     /*  227639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227666 */     GIR_RootConstrainSelectedInstOperands,
     /*  227667 */     // GIR_Coverage, 8155,
     /*  227667 */     GIR_EraseRootFromParent_Done,
     /*  227668 */   // Label 4478: @227668
     /*  227668 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227742), // Rule ID 8158 //
     /*  227673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  227687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227713 */     // MIs[1] Operand 1
     /*  227713 */     // No operand predicates
     /*  227713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227740 */     GIR_RootConstrainSelectedInstOperands,
     /*  227741 */     // GIR_Coverage, 8158,
     /*  227741 */     GIR_EraseRootFromParent_Done,
     /*  227742 */   // Label 4479: @227742
     /*  227742 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(227816), // Rule ID 8159 //
     /*  227747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  227761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227787 */     // MIs[1] Operand 1
     /*  227787 */     // No operand predicates
     /*  227787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227814 */     GIR_RootConstrainSelectedInstOperands,
     /*  227815 */     // GIR_Coverage, 8159,
     /*  227815 */     GIR_EraseRootFromParent_Done,
     /*  227816 */   // Label 4480: @227816
     /*  227816 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(227890), // Rule ID 8162 //
     /*  227821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227861 */     // MIs[1] Operand 1
     /*  227861 */     // No operand predicates
     /*  227861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227870 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227888 */     GIR_RootConstrainSelectedInstOperands,
     /*  227889 */     // GIR_Coverage, 8162,
     /*  227889 */     GIR_EraseRootFromParent_Done,
     /*  227890 */   // Label 4481: @227890
     /*  227890 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(227964), // Rule ID 8163 //
     /*  227895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227935 */     // MIs[1] Operand 1
     /*  227935 */     // No operand predicates
     /*  227935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  227947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227962 */     GIR_RootConstrainSelectedInstOperands,
     /*  227963 */     // GIR_Coverage, 8163,
     /*  227963 */     GIR_EraseRootFromParent_Done,
     /*  227964 */   // Label 4482: @227964
     /*  227964 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(228038), // Rule ID 8166 //
     /*  227969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228009 */     // MIs[1] Operand 1
     /*  228009 */     // No operand predicates
     /*  228009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228018 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228036 */     GIR_RootConstrainSelectedInstOperands,
     /*  228037 */     // GIR_Coverage, 8166,
     /*  228037 */     GIR_EraseRootFromParent_Done,
     /*  228038 */   // Label 4483: @228038
     /*  228038 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(228112), // Rule ID 8167 //
     /*  228043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228083 */     // MIs[1] Operand 1
     /*  228083 */     // No operand predicates
     /*  228083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228092 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228110 */     GIR_RootConstrainSelectedInstOperands,
     /*  228111 */     // GIR_Coverage, 8167,
     /*  228111 */     GIR_EraseRootFromParent_Done,
     /*  228112 */   // Label 4484: @228112
     /*  228112 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(228186), // Rule ID 8170 //
     /*  228117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228157 */     // MIs[1] Operand 1
     /*  228157 */     // No operand predicates
     /*  228157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228166 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228184 */     GIR_RootConstrainSelectedInstOperands,
     /*  228185 */     // GIR_Coverage, 8170,
     /*  228185 */     GIR_EraseRootFromParent_Done,
     /*  228186 */   // Label 4485: @228186
     /*  228186 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(228260), // Rule ID 8171 //
     /*  228191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228231 */     // MIs[1] Operand 1
     /*  228231 */     // No operand predicates
     /*  228231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228258 */     GIR_RootConstrainSelectedInstOperands,
     /*  228259 */     // GIR_Coverage, 8171,
     /*  228259 */     GIR_EraseRootFromParent_Done,
     /*  228260 */   // Label 4486: @228260
     /*  228260 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(228334), // Rule ID 8174 //
     /*  228265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  228279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228305 */     // MIs[1] Operand 1
     /*  228305 */     // No operand predicates
     /*  228305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228314 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228332 */     GIR_RootConstrainSelectedInstOperands,
     /*  228333 */     // GIR_Coverage, 8174,
     /*  228333 */     GIR_EraseRootFromParent_Done,
     /*  228334 */   // Label 4487: @228334
     /*  228334 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(228408), // Rule ID 8175 //
     /*  228339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  228353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228379 */     // MIs[1] Operand 1
     /*  228379 */     // No operand predicates
     /*  228379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228388 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228406 */     GIR_RootConstrainSelectedInstOperands,
     /*  228407 */     // GIR_Coverage, 8175,
     /*  228407 */     GIR_EraseRootFromParent_Done,
     /*  228408 */   // Label 4488: @228408
     /*  228408 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(228482), // Rule ID 8178 //
     /*  228413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  228424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  228427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228453 */     // MIs[1] Operand 1
     /*  228453 */     // No operand predicates
     /*  228453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228462 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  228465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228480 */     GIR_RootConstrainSelectedInstOperands,
     /*  228481 */     // GIR_Coverage, 8178,
     /*  228481 */     GIR_EraseRootFromParent_Done,
     /*  228482 */   // Label 4489: @228482
     /*  228482 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228556), // Rule ID 8179 //
     /*  228487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  228498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  228501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228527 */     // MIs[1] Operand 1
     /*  228527 */     // No operand predicates
     /*  228527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228536 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  228539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228554 */     GIR_RootConstrainSelectedInstOperands,
     /*  228555 */     // GIR_Coverage, 8179,
     /*  228555 */     GIR_EraseRootFromParent_Done,
     /*  228556 */   // Label 4490: @228556
     /*  228556 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228630), // Rule ID 8182 //
     /*  228561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  228575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228601 */     // MIs[1] Operand 1
     /*  228601 */     // No operand predicates
     /*  228601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228610 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228628 */     GIR_RootConstrainSelectedInstOperands,
     /*  228629 */     // GIR_Coverage, 8182,
     /*  228629 */     GIR_EraseRootFromParent_Done,
     /*  228630 */   // Label 4491: @228630
     /*  228630 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228704), // Rule ID 8183 //
     /*  228635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  228649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228675 */     // MIs[1] Operand 1
     /*  228675 */     // No operand predicates
     /*  228675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228702 */     GIR_RootConstrainSelectedInstOperands,
     /*  228703 */     // GIR_Coverage, 8183,
     /*  228703 */     GIR_EraseRootFromParent_Done,
     /*  228704 */   // Label 4492: @228704
     /*  228704 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228778), // Rule ID 8186 //
     /*  228709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  228723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228749 */     // MIs[1] Operand 1
     /*  228749 */     // No operand predicates
     /*  228749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228758 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228776 */     GIR_RootConstrainSelectedInstOperands,
     /*  228777 */     // GIR_Coverage, 8186,
     /*  228777 */     GIR_EraseRootFromParent_Done,
     /*  228778 */   // Label 4493: @228778
     /*  228778 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(228852), // Rule ID 8187 //
     /*  228783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  228797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228823 */     // MIs[1] Operand 1
     /*  228823 */     // No operand predicates
     /*  228823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228850 */     GIR_RootConstrainSelectedInstOperands,
     /*  228851 */     // GIR_Coverage, 8187,
     /*  228851 */     GIR_EraseRootFromParent_Done,
     /*  228852 */   // Label 4494: @228852
     /*  228852 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(228926), // Rule ID 8190 //
     /*  228857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228897 */     // MIs[1] Operand 1
     /*  228897 */     // No operand predicates
     /*  228897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228906 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  228909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228924 */     GIR_RootConstrainSelectedInstOperands,
     /*  228925 */     // GIR_Coverage, 8190,
     /*  228925 */     GIR_EraseRootFromParent_Done,
     /*  228926 */   // Label 4495: @228926
     /*  228926 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(229000), // Rule ID 8191 //
     /*  228931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228971 */     // MIs[1] Operand 1
     /*  228971 */     // No operand predicates
     /*  228971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228980 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  228983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228998 */     GIR_RootConstrainSelectedInstOperands,
     /*  228999 */     // GIR_Coverage, 8191,
     /*  228999 */     GIR_EraseRootFromParent_Done,
     /*  229000 */   // Label 4496: @229000
     /*  229000 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(229074), // Rule ID 8194 //
     /*  229005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229045 */     // MIs[1] Operand 1
     /*  229045 */     // No operand predicates
     /*  229045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229054 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229072 */     GIR_RootConstrainSelectedInstOperands,
     /*  229073 */     // GIR_Coverage, 8194,
     /*  229073 */     GIR_EraseRootFromParent_Done,
     /*  229074 */   // Label 4497: @229074
     /*  229074 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(229148), // Rule ID 8195 //
     /*  229079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229119 */     // MIs[1] Operand 1
     /*  229119 */     // No operand predicates
     /*  229119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229146 */     GIR_RootConstrainSelectedInstOperands,
     /*  229147 */     // GIR_Coverage, 8195,
     /*  229147 */     GIR_EraseRootFromParent_Done,
     /*  229148 */   // Label 4498: @229148
     /*  229148 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(229222), // Rule ID 8198 //
     /*  229153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229193 */     // MIs[1] Operand 1
     /*  229193 */     // No operand predicates
     /*  229193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229220 */     GIR_RootConstrainSelectedInstOperands,
     /*  229221 */     // GIR_Coverage, 8198,
     /*  229221 */     GIR_EraseRootFromParent_Done,
     /*  229222 */   // Label 4499: @229222
     /*  229222 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(229296), // Rule ID 8199 //
     /*  229227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229267 */     // MIs[1] Operand 1
     /*  229267 */     // No operand predicates
     /*  229267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229294 */     GIR_RootConstrainSelectedInstOperands,
     /*  229295 */     // GIR_Coverage, 8199,
     /*  229295 */     GIR_EraseRootFromParent_Done,
     /*  229296 */   // Label 4500: @229296
     /*  229296 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(229370), // Rule ID 8202 //
     /*  229301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229341 */     // MIs[1] Operand 1
     /*  229341 */     // No operand predicates
     /*  229341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229350 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229368 */     GIR_RootConstrainSelectedInstOperands,
     /*  229369 */     // GIR_Coverage, 8202,
     /*  229369 */     GIR_EraseRootFromParent_Done,
     /*  229370 */   // Label 4501: @229370
     /*  229370 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(229444), // Rule ID 8203 //
     /*  229375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229415 */     // MIs[1] Operand 1
     /*  229415 */     // No operand predicates
     /*  229415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229424 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229442 */     GIR_RootConstrainSelectedInstOperands,
     /*  229443 */     // GIR_Coverage, 8203,
     /*  229443 */     GIR_EraseRootFromParent_Done,
     /*  229444 */   // Label 4502: @229444
     /*  229444 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229518), // Rule ID 8206 //
     /*  229449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229489 */     // MIs[1] Operand 1
     /*  229489 */     // No operand predicates
     /*  229489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229498 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229516 */     GIR_RootConstrainSelectedInstOperands,
     /*  229517 */     // GIR_Coverage, 8206,
     /*  229517 */     GIR_EraseRootFromParent_Done,
     /*  229518 */   // Label 4503: @229518
     /*  229518 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229592), // Rule ID 8207 //
     /*  229523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229563 */     // MIs[1] Operand 1
     /*  229563 */     // No operand predicates
     /*  229563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229590 */     GIR_RootConstrainSelectedInstOperands,
     /*  229591 */     // GIR_Coverage, 8207,
     /*  229591 */     GIR_EraseRootFromParent_Done,
     /*  229592 */   // Label 4504: @229592
     /*  229592 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229666), // Rule ID 8210 //
     /*  229597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229637 */     // MIs[1] Operand 1
     /*  229637 */     // No operand predicates
     /*  229637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229664 */     GIR_RootConstrainSelectedInstOperands,
     /*  229665 */     // GIR_Coverage, 8210,
     /*  229665 */     GIR_EraseRootFromParent_Done,
     /*  229666 */   // Label 4505: @229666
     /*  229666 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229740), // Rule ID 8211 //
     /*  229671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229711 */     // MIs[1] Operand 1
     /*  229711 */     // No operand predicates
     /*  229711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229738 */     GIR_RootConstrainSelectedInstOperands,
     /*  229739 */     // GIR_Coverage, 8211,
     /*  229739 */     GIR_EraseRootFromParent_Done,
     /*  229740 */   // Label 4506: @229740
     /*  229740 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(229814), // Rule ID 8214 //
     /*  229745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  229759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229785 */     // MIs[1] Operand 1
     /*  229785 */     // No operand predicates
     /*  229785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229812 */     GIR_RootConstrainSelectedInstOperands,
     /*  229813 */     // GIR_Coverage, 8214,
     /*  229813 */     GIR_EraseRootFromParent_Done,
     /*  229814 */   // Label 4507: @229814
     /*  229814 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(229888), // Rule ID 8215 //
     /*  229819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  229833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229859 */     // MIs[1] Operand 1
     /*  229859 */     // No operand predicates
     /*  229859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229886 */     GIR_RootConstrainSelectedInstOperands,
     /*  229887 */     // GIR_Coverage, 8215,
     /*  229887 */     GIR_EraseRootFromParent_Done,
     /*  229888 */   // Label 4508: @229888
     /*  229888 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(229962), // Rule ID 8746 //
     /*  229893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229933 */     // MIs[1] Operand 1
     /*  229933 */     // No operand predicates
     /*  229933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229942 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  229945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229960 */     GIR_RootConstrainSelectedInstOperands,
     /*  229961 */     // GIR_Coverage, 8746,
     /*  229961 */     GIR_EraseRootFromParent_Done,
     /*  229962 */   // Label 4509: @229962
     /*  229962 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(230036), // Rule ID 8747 //
     /*  229967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  229975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230007 */     // MIs[1] Operand 1
     /*  230007 */     // No operand predicates
     /*  230007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  230019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230034 */     GIR_RootConstrainSelectedInstOperands,
     /*  230035 */     // GIR_Coverage, 8747,
     /*  230035 */     GIR_EraseRootFromParent_Done,
     /*  230036 */   // Label 4510: @230036
     /*  230036 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(230110), // Rule ID 8750 //
     /*  230041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230081 */     // MIs[1] Operand 1
     /*  230081 */     // No operand predicates
     /*  230081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230108 */     GIR_RootConstrainSelectedInstOperands,
     /*  230109 */     // GIR_Coverage, 8750,
     /*  230109 */     GIR_EraseRootFromParent_Done,
     /*  230110 */   // Label 4511: @230110
     /*  230110 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(230184), // Rule ID 8751 //
     /*  230115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230155 */     // MIs[1] Operand 1
     /*  230155 */     // No operand predicates
     /*  230155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230182 */     GIR_RootConstrainSelectedInstOperands,
     /*  230183 */     // GIR_Coverage, 8751,
     /*  230183 */     GIR_EraseRootFromParent_Done,
     /*  230184 */   // Label 4512: @230184
     /*  230184 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(230258), // Rule ID 8754 //
     /*  230189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230229 */     // MIs[1] Operand 1
     /*  230229 */     // No operand predicates
     /*  230229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230256 */     GIR_RootConstrainSelectedInstOperands,
     /*  230257 */     // GIR_Coverage, 8754,
     /*  230257 */     GIR_EraseRootFromParent_Done,
     /*  230258 */   // Label 4513: @230258
     /*  230258 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(230332), // Rule ID 8755 //
     /*  230263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230303 */     // MIs[1] Operand 1
     /*  230303 */     // No operand predicates
     /*  230303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230330 */     GIR_RootConstrainSelectedInstOperands,
     /*  230331 */     // GIR_Coverage, 8755,
     /*  230331 */     GIR_EraseRootFromParent_Done,
     /*  230332 */   // Label 4514: @230332
     /*  230332 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(230406), // Rule ID 8758 //
     /*  230337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230377 */     // MIs[1] Operand 1
     /*  230377 */     // No operand predicates
     /*  230377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230386 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230404 */     GIR_RootConstrainSelectedInstOperands,
     /*  230405 */     // GIR_Coverage, 8758,
     /*  230405 */     GIR_EraseRootFromParent_Done,
     /*  230406 */   // Label 4515: @230406
     /*  230406 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(230480), // Rule ID 8759 //
     /*  230411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230451 */     // MIs[1] Operand 1
     /*  230451 */     // No operand predicates
     /*  230451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230478 */     GIR_RootConstrainSelectedInstOperands,
     /*  230479 */     // GIR_Coverage, 8759,
     /*  230479 */     GIR_EraseRootFromParent_Done,
     /*  230480 */   // Label 4516: @230480
     /*  230480 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230554), // Rule ID 8762 //
     /*  230485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230525 */     // MIs[1] Operand 1
     /*  230525 */     // No operand predicates
     /*  230525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230534 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230552 */     GIR_RootConstrainSelectedInstOperands,
     /*  230553 */     // GIR_Coverage, 8762,
     /*  230553 */     GIR_EraseRootFromParent_Done,
     /*  230554 */   // Label 4517: @230554
     /*  230554 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230628), // Rule ID 8763 //
     /*  230559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230599 */     // MIs[1] Operand 1
     /*  230599 */     // No operand predicates
     /*  230599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230626 */     GIR_RootConstrainSelectedInstOperands,
     /*  230627 */     // GIR_Coverage, 8763,
     /*  230627 */     GIR_EraseRootFromParent_Done,
     /*  230628 */   // Label 4518: @230628
     /*  230628 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230702), // Rule ID 8766 //
     /*  230633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230673 */     // MIs[1] Operand 1
     /*  230673 */     // No operand predicates
     /*  230673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230700 */     GIR_RootConstrainSelectedInstOperands,
     /*  230701 */     // GIR_Coverage, 8766,
     /*  230701 */     GIR_EraseRootFromParent_Done,
     /*  230702 */   // Label 4519: @230702
     /*  230702 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230776), // Rule ID 8767 //
     /*  230707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230747 */     // MIs[1] Operand 1
     /*  230747 */     // No operand predicates
     /*  230747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230774 */     GIR_RootConstrainSelectedInstOperands,
     /*  230775 */     // GIR_Coverage, 8767,
     /*  230775 */     GIR_EraseRootFromParent_Done,
     /*  230776 */   // Label 4520: @230776
     /*  230776 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(230850), // Rule ID 8770 //
     /*  230781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  230795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230821 */     // MIs[1] Operand 1
     /*  230821 */     // No operand predicates
     /*  230821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230830 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  230833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230848 */     GIR_RootConstrainSelectedInstOperands,
     /*  230849 */     // GIR_Coverage, 8770,
     /*  230849 */     GIR_EraseRootFromParent_Done,
     /*  230850 */   // Label 4521: @230850
     /*  230850 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(230924), // Rule ID 8771 //
     /*  230855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  230869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230895 */     // MIs[1] Operand 1
     /*  230895 */     // No operand predicates
     /*  230895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  230907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230922 */     GIR_RootConstrainSelectedInstOperands,
     /*  230923 */     // GIR_Coverage, 8771,
     /*  230923 */     GIR_EraseRootFromParent_Done,
     /*  230924 */   // Label 4522: @230924
     /*  230924 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(230998), // Rule ID 8774 //
     /*  230929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230969 */     // MIs[1] Operand 1
     /*  230969 */     // No operand predicates
     /*  230969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  230981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230996 */     GIR_RootConstrainSelectedInstOperands,
     /*  230997 */     // GIR_Coverage, 8774,
     /*  230997 */     GIR_EraseRootFromParent_Done,
     /*  230998 */   // Label 4523: @230998
     /*  230998 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(231072), // Rule ID 8775 //
     /*  231003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  231017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231043 */     // MIs[1] Operand 1
     /*  231043 */     // No operand predicates
     /*  231043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231070 */     GIR_RootConstrainSelectedInstOperands,
     /*  231071 */     // GIR_Coverage, 8775,
     /*  231071 */     GIR_EraseRootFromParent_Done,
     /*  231072 */   // Label 4524: @231072
     /*  231072 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(231146), // Rule ID 8778 //
     /*  231077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231117 */     // MIs[1] Operand 1
     /*  231117 */     // No operand predicates
     /*  231117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231126 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231144 */     GIR_RootConstrainSelectedInstOperands,
     /*  231145 */     // GIR_Coverage, 8778,
     /*  231145 */     GIR_EraseRootFromParent_Done,
     /*  231146 */   // Label 4525: @231146
     /*  231146 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(231220), // Rule ID 8779 //
     /*  231151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231191 */     // MIs[1] Operand 1
     /*  231191 */     // No operand predicates
     /*  231191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231218 */     GIR_RootConstrainSelectedInstOperands,
     /*  231219 */     // GIR_Coverage, 8779,
     /*  231219 */     GIR_EraseRootFromParent_Done,
     /*  231220 */   // Label 4526: @231220
     /*  231220 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(231294), // Rule ID 8782 //
     /*  231225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231265 */     // MIs[1] Operand 1
     /*  231265 */     // No operand predicates
     /*  231265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231274 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231292 */     GIR_RootConstrainSelectedInstOperands,
     /*  231293 */     // GIR_Coverage, 8782,
     /*  231293 */     GIR_EraseRootFromParent_Done,
     /*  231294 */   // Label 4527: @231294
     /*  231294 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(231368), // Rule ID 8783 //
     /*  231299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231339 */     // MIs[1] Operand 1
     /*  231339 */     // No operand predicates
     /*  231339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231366 */     GIR_RootConstrainSelectedInstOperands,
     /*  231367 */     // GIR_Coverage, 8783,
     /*  231367 */     GIR_EraseRootFromParent_Done,
     /*  231368 */   // Label 4528: @231368
     /*  231368 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(231442), // Rule ID 8786 //
     /*  231373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  231387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231413 */     // MIs[1] Operand 1
     /*  231413 */     // No operand predicates
     /*  231413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231422 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  231425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231440 */     GIR_RootConstrainSelectedInstOperands,
     /*  231441 */     // GIR_Coverage, 8786,
     /*  231441 */     GIR_EraseRootFromParent_Done,
     /*  231442 */   // Label 4529: @231442
     /*  231442 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231516), // Rule ID 8787 //
     /*  231447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  231461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231487 */     // MIs[1] Operand 1
     /*  231487 */     // No operand predicates
     /*  231487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  231499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231514 */     GIR_RootConstrainSelectedInstOperands,
     /*  231515 */     // GIR_Coverage, 8787,
     /*  231515 */     GIR_EraseRootFromParent_Done,
     /*  231516 */   // Label 4530: @231516
     /*  231516 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231590), // Rule ID 8790 //
     /*  231521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  231535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231561 */     // MIs[1] Operand 1
     /*  231561 */     // No operand predicates
     /*  231561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231570 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  231573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231588 */     GIR_RootConstrainSelectedInstOperands,
     /*  231589 */     // GIR_Coverage, 8790,
     /*  231589 */     GIR_EraseRootFromParent_Done,
     /*  231590 */   // Label 4531: @231590
     /*  231590 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231664), // Rule ID 8791 //
     /*  231595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  231609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231635 */     // MIs[1] Operand 1
     /*  231635 */     // No operand predicates
     /*  231635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231644 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  231647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231662 */     GIR_RootConstrainSelectedInstOperands,
     /*  231663 */     // GIR_Coverage, 8791,
     /*  231663 */     GIR_EraseRootFromParent_Done,
     /*  231664 */   // Label 4532: @231664
     /*  231664 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231738), // Rule ID 8794 //
     /*  231669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  231680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  231683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231709 */     // MIs[1] Operand 1
     /*  231709 */     // No operand predicates
     /*  231709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231718 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  231721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231736 */     GIR_RootConstrainSelectedInstOperands,
     /*  231737 */     // GIR_Coverage, 8794,
     /*  231737 */     GIR_EraseRootFromParent_Done,
     /*  231738 */   // Label 4533: @231738
     /*  231738 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(231812), // Rule ID 8795 //
     /*  231743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  231754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  231757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231783 */     // MIs[1] Operand 1
     /*  231783 */     // No operand predicates
     /*  231783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231792 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  231795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231810 */     GIR_RootConstrainSelectedInstOperands,
     /*  231811 */     // GIR_Coverage, 8795,
     /*  231811 */     GIR_EraseRootFromParent_Done,
     /*  231812 */   // Label 4534: @231812
     /*  231812 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(231886), // Rule ID 8798 //
     /*  231817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231857 */     // MIs[1] Operand 1
     /*  231857 */     // No operand predicates
     /*  231857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231866 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  231869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231884 */     GIR_RootConstrainSelectedInstOperands,
     /*  231885 */     // GIR_Coverage, 8798,
     /*  231885 */     GIR_EraseRootFromParent_Done,
     /*  231886 */   // Label 4535: @231886
     /*  231886 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(231960), // Rule ID 8799 //
     /*  231891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231931 */     // MIs[1] Operand 1
     /*  231931 */     // No operand predicates
     /*  231931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  231943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231958 */     GIR_RootConstrainSelectedInstOperands,
     /*  231959 */     // GIR_Coverage, 8799,
     /*  231959 */     GIR_EraseRootFromParent_Done,
     /*  231960 */   // Label 4536: @231960
     /*  231960 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(232034), // Rule ID 8802 //
     /*  231965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232005 */     // MIs[1] Operand 1
     /*  232005 */     // No operand predicates
     /*  232005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232014 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232032 */     GIR_RootConstrainSelectedInstOperands,
     /*  232033 */     // GIR_Coverage, 8802,
     /*  232033 */     GIR_EraseRootFromParent_Done,
     /*  232034 */   // Label 4537: @232034
     /*  232034 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(232108), // Rule ID 8803 //
     /*  232039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232079 */     // MIs[1] Operand 1
     /*  232079 */     // No operand predicates
     /*  232079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232106 */     GIR_RootConstrainSelectedInstOperands,
     /*  232107 */     // GIR_Coverage, 8803,
     /*  232107 */     GIR_EraseRootFromParent_Done,
     /*  232108 */   // Label 4538: @232108
     /*  232108 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(232182), // Rule ID 8806 //
     /*  232113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232153 */     // MIs[1] Operand 1
     /*  232153 */     // No operand predicates
     /*  232153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232162 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232180 */     GIR_RootConstrainSelectedInstOperands,
     /*  232181 */     // GIR_Coverage, 8806,
     /*  232181 */     GIR_EraseRootFromParent_Done,
     /*  232182 */   // Label 4539: @232182
     /*  232182 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(232256), // Rule ID 8807 //
     /*  232187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232227 */     // MIs[1] Operand 1
     /*  232227 */     // No operand predicates
     /*  232227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232236 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232254 */     GIR_RootConstrainSelectedInstOperands,
     /*  232255 */     // GIR_Coverage, 8807,
     /*  232255 */     GIR_EraseRootFromParent_Done,
     /*  232256 */   // Label 4540: @232256
     /*  232256 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(232330), // Rule ID 8810 //
     /*  232261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  232275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232301 */     // MIs[1] Operand 1
     /*  232301 */     // No operand predicates
     /*  232301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232310 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232328 */     GIR_RootConstrainSelectedInstOperands,
     /*  232329 */     // GIR_Coverage, 8810,
     /*  232329 */     GIR_EraseRootFromParent_Done,
     /*  232330 */   // Label 4541: @232330
     /*  232330 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(232404), // Rule ID 8811 //
     /*  232335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  232349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232375 */     // MIs[1] Operand 1
     /*  232375 */     // No operand predicates
     /*  232375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232402 */     GIR_RootConstrainSelectedInstOperands,
     /*  232403 */     // GIR_Coverage, 8811,
     /*  232403 */     GIR_EraseRootFromParent_Done,
     /*  232404 */   // Label 4542: @232404
     /*  232404 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(232478), // Rule ID 8814 //
     /*  232409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  232423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232449 */     // MIs[1] Operand 1
     /*  232449 */     // No operand predicates
     /*  232449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232458 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232476 */     GIR_RootConstrainSelectedInstOperands,
     /*  232477 */     // GIR_Coverage, 8814,
     /*  232477 */     GIR_EraseRootFromParent_Done,
     /*  232478 */   // Label 4543: @232478
     /*  232478 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232552), // Rule ID 8815 //
     /*  232483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  232497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232523 */     // MIs[1] Operand 1
     /*  232523 */     // No operand predicates
     /*  232523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232550 */     GIR_RootConstrainSelectedInstOperands,
     /*  232551 */     // GIR_Coverage, 8815,
     /*  232551 */     GIR_EraseRootFromParent_Done,
     /*  232552 */   // Label 4544: @232552
     /*  232552 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232626), // Rule ID 8818 //
     /*  232557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  232571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232597 */     // MIs[1] Operand 1
     /*  232597 */     // No operand predicates
     /*  232597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232606 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232624 */     GIR_RootConstrainSelectedInstOperands,
     /*  232625 */     // GIR_Coverage, 8818,
     /*  232625 */     GIR_EraseRootFromParent_Done,
     /*  232626 */   // Label 4545: @232626
     /*  232626 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232700), // Rule ID 8819 //
     /*  232631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  232645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232671 */     // MIs[1] Operand 1
     /*  232671 */     // No operand predicates
     /*  232671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232698 */     GIR_RootConstrainSelectedInstOperands,
     /*  232699 */     // GIR_Coverage, 8819,
     /*  232699 */     GIR_EraseRootFromParent_Done,
     /*  232700 */   // Label 4546: @232700
     /*  232700 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232774), // Rule ID 8822 //
     /*  232705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  232719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232745 */     // MIs[1] Operand 1
     /*  232745 */     // No operand predicates
     /*  232745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232772 */     GIR_RootConstrainSelectedInstOperands,
     /*  232773 */     // GIR_Coverage, 8822,
     /*  232773 */     GIR_EraseRootFromParent_Done,
     /*  232774 */   // Label 4547: @232774
     /*  232774 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(232848), // Rule ID 8823 //
     /*  232779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  232793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232819 */     // MIs[1] Operand 1
     /*  232819 */     // No operand predicates
     /*  232819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232846 */     GIR_RootConstrainSelectedInstOperands,
     /*  232847 */     // GIR_Coverage, 8823,
     /*  232847 */     GIR_EraseRootFromParent_Done,
     /*  232848 */   // Label 4548: @232848
     /*  232848 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(232922), // Rule ID 8826 //
     /*  232853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232893 */     // MIs[1] Operand 1
     /*  232893 */     // No operand predicates
     /*  232893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232902 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232920 */     GIR_RootConstrainSelectedInstOperands,
     /*  232921 */     // GIR_Coverage, 8826,
     /*  232921 */     GIR_EraseRootFromParent_Done,
     /*  232922 */   // Label 4549: @232922
     /*  232922 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(232996), // Rule ID 8827 //
     /*  232927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232967 */     // MIs[1] Operand 1
     /*  232967 */     // No operand predicates
     /*  232967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232994 */     GIR_RootConstrainSelectedInstOperands,
     /*  232995 */     // GIR_Coverage, 8827,
     /*  232995 */     GIR_EraseRootFromParent_Done,
     /*  232996 */   // Label 4550: @232996
     /*  232996 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(233070), // Rule ID 8830 //
     /*  233001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233041 */     // MIs[1] Operand 1
     /*  233041 */     // No operand predicates
     /*  233041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233050 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233068 */     GIR_RootConstrainSelectedInstOperands,
     /*  233069 */     // GIR_Coverage, 8830,
     /*  233069 */     GIR_EraseRootFromParent_Done,
     /*  233070 */   // Label 4551: @233070
     /*  233070 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(233144), // Rule ID 8831 //
     /*  233075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233115 */     // MIs[1] Operand 1
     /*  233115 */     // No operand predicates
     /*  233115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233142 */     GIR_RootConstrainSelectedInstOperands,
     /*  233143 */     // GIR_Coverage, 8831,
     /*  233143 */     GIR_EraseRootFromParent_Done,
     /*  233144 */   // Label 4552: @233144
     /*  233144 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(233218), // Rule ID 9010 //
     /*  233149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233189 */     // MIs[1] Operand 1
     /*  233189 */     // No operand predicates
     /*  233189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  233201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233216 */     GIR_RootConstrainSelectedInstOperands,
     /*  233217 */     // GIR_Coverage, 9010,
     /*  233217 */     GIR_EraseRootFromParent_Done,
     /*  233218 */   // Label 4553: @233218
     /*  233218 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(233292), // Rule ID 9011 //
     /*  233223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233263 */     // MIs[1] Operand 1
     /*  233263 */     // No operand predicates
     /*  233263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  233275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233290 */     GIR_RootConstrainSelectedInstOperands,
     /*  233291 */     // GIR_Coverage, 9011,
     /*  233291 */     GIR_EraseRootFromParent_Done,
     /*  233292 */   // Label 4554: @233292
     /*  233292 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(233366), // Rule ID 9014 //
     /*  233297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  233311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233337 */     // MIs[1] Operand 1
     /*  233337 */     // No operand predicates
     /*  233337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233364 */     GIR_RootConstrainSelectedInstOperands,
     /*  233365 */     // GIR_Coverage, 9014,
     /*  233365 */     GIR_EraseRootFromParent_Done,
     /*  233366 */   // Label 4555: @233366
     /*  233366 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(233440), // Rule ID 9015 //
     /*  233371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  233385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233411 */     // MIs[1] Operand 1
     /*  233411 */     // No operand predicates
     /*  233411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233438 */     GIR_RootConstrainSelectedInstOperands,
     /*  233439 */     // GIR_Coverage, 9015,
     /*  233439 */     GIR_EraseRootFromParent_Done,
     /*  233440 */   // Label 4556: @233440
     /*  233440 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(233514), // Rule ID 9018 //
     /*  233445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  233459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233485 */     // MIs[1] Operand 1
     /*  233485 */     // No operand predicates
     /*  233485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233494 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233512 */     GIR_RootConstrainSelectedInstOperands,
     /*  233513 */     // GIR_Coverage, 9018,
     /*  233513 */     GIR_EraseRootFromParent_Done,
     /*  233514 */   // Label 4557: @233514
     /*  233514 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(233588), // Rule ID 9019 //
     /*  233519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  233533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233559 */     // MIs[1] Operand 1
     /*  233559 */     // No operand predicates
     /*  233559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233586 */     GIR_RootConstrainSelectedInstOperands,
     /*  233587 */     // GIR_Coverage, 9019,
     /*  233587 */     GIR_EraseRootFromParent_Done,
     /*  233588 */   // Label 4558: @233588
     /*  233588 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233662), // Rule ID 9022 //
     /*  233593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233633 */     // MIs[1] Operand 1
     /*  233633 */     // No operand predicates
     /*  233633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233660 */     GIR_RootConstrainSelectedInstOperands,
     /*  233661 */     // GIR_Coverage, 9022,
     /*  233661 */     GIR_EraseRootFromParent_Done,
     /*  233662 */   // Label 4559: @233662
     /*  233662 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233736), // Rule ID 9023 //
     /*  233667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233707 */     // MIs[1] Operand 1
     /*  233707 */     // No operand predicates
     /*  233707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  233719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233734 */     GIR_RootConstrainSelectedInstOperands,
     /*  233735 */     // GIR_Coverage, 9023,
     /*  233735 */     GIR_EraseRootFromParent_Done,
     /*  233736 */   // Label 4560: @233736
     /*  233736 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(233810), // Rule ID 9026 //
     /*  233741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  233755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233781 */     // MIs[1] Operand 1
     /*  233781 */     // No operand predicates
     /*  233781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233790 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233808 */     GIR_RootConstrainSelectedInstOperands,
     /*  233809 */     // GIR_Coverage, 9026,
     /*  233809 */     GIR_EraseRootFromParent_Done,
     /*  233810 */   // Label 4561: @233810
     /*  233810 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(233884), // Rule ID 9027 //
     /*  233815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  233829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233855 */     // MIs[1] Operand 1
     /*  233855 */     // No operand predicates
     /*  233855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233882 */     GIR_RootConstrainSelectedInstOperands,
     /*  233883 */     // GIR_Coverage, 9027,
     /*  233883 */     GIR_EraseRootFromParent_Done,
     /*  233884 */   // Label 4562: @233884
     /*  233884 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(233958), // Rule ID 9030 //
     /*  233889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  233903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233929 */     // MIs[1] Operand 1
     /*  233929 */     // No operand predicates
     /*  233929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233938 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  233941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233956 */     GIR_RootConstrainSelectedInstOperands,
     /*  233957 */     // GIR_Coverage, 9030,
     /*  233957 */     GIR_EraseRootFromParent_Done,
     /*  233958 */   // Label 4563: @233958
     /*  233958 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(234032), // Rule ID 9031 //
     /*  233963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  233977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234003 */     // MIs[1] Operand 1
     /*  234003 */     // No operand predicates
     /*  234003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234030 */     GIR_RootConstrainSelectedInstOperands,
     /*  234031 */     // GIR_Coverage, 9031,
     /*  234031 */     GIR_EraseRootFromParent_Done,
     /*  234032 */   // Label 4564: @234032
     /*  234032 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(234106), // Rule ID 9034 //
     /*  234037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234077 */     // MIs[1] Operand 1
     /*  234077 */     // No operand predicates
     /*  234077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234086 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234104 */     GIR_RootConstrainSelectedInstOperands,
     /*  234105 */     // GIR_Coverage, 9034,
     /*  234105 */     GIR_EraseRootFromParent_Done,
     /*  234106 */   // Label 4565: @234106
     /*  234106 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(234180), // Rule ID 9035 //
     /*  234111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234151 */     // MIs[1] Operand 1
     /*  234151 */     // No operand predicates
     /*  234151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234178 */     GIR_RootConstrainSelectedInstOperands,
     /*  234179 */     // GIR_Coverage, 9035,
     /*  234179 */     GIR_EraseRootFromParent_Done,
     /*  234180 */   // Label 4566: @234180
     /*  234180 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(234254), // Rule ID 9038 //
     /*  234185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234225 */     // MIs[1] Operand 1
     /*  234225 */     // No operand predicates
     /*  234225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234234 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234252 */     GIR_RootConstrainSelectedInstOperands,
     /*  234253 */     // GIR_Coverage, 9038,
     /*  234253 */     GIR_EraseRootFromParent_Done,
     /*  234254 */   // Label 4567: @234254
     /*  234254 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(234328), // Rule ID 9039 //
     /*  234259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234299 */     // MIs[1] Operand 1
     /*  234299 */     // No operand predicates
     /*  234299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234326 */     GIR_RootConstrainSelectedInstOperands,
     /*  234327 */     // GIR_Coverage, 9039,
     /*  234327 */     GIR_EraseRootFromParent_Done,
     /*  234328 */   // Label 4568: @234328
     /*  234328 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(234402), // Rule ID 9042 //
     /*  234333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234373 */     // MIs[1] Operand 1
     /*  234373 */     // No operand predicates
     /*  234373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234382 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234400 */     GIR_RootConstrainSelectedInstOperands,
     /*  234401 */     // GIR_Coverage, 9042,
     /*  234401 */     GIR_EraseRootFromParent_Done,
     /*  234402 */   // Label 4569: @234402
     /*  234402 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(234476), // Rule ID 9043 //
     /*  234407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234447 */     // MIs[1] Operand 1
     /*  234447 */     // No operand predicates
     /*  234447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234474 */     GIR_RootConstrainSelectedInstOperands,
     /*  234475 */     // GIR_Coverage, 9043,
     /*  234475 */     GIR_EraseRootFromParent_Done,
     /*  234476 */   // Label 4570: @234476
     /*  234476 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(234550), // Rule ID 9046 //
     /*  234481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  234484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234521 */     // MIs[1] Operand 1
     /*  234521 */     // No operand predicates
     /*  234521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234530 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234548 */     GIR_RootConstrainSelectedInstOperands,
     /*  234549 */     // GIR_Coverage, 9046,
     /*  234549 */     GIR_EraseRootFromParent_Done,
     /*  234550 */   // Label 4571: @234550
     /*  234550 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(234624), // Rule ID 9047 //
     /*  234555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  234558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234595 */     // MIs[1] Operand 1
     /*  234595 */     // No operand predicates
     /*  234595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234622 */     GIR_RootConstrainSelectedInstOperands,
     /*  234623 */     // GIR_Coverage, 9047,
     /*  234623 */     GIR_EraseRootFromParent_Done,
     /*  234624 */   // Label 4572: @234624
     /*  234624 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(234698), // Rule ID 9050 //
     /*  234629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  234643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234669 */     // MIs[1] Operand 1
     /*  234669 */     // No operand predicates
     /*  234669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  234681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234696 */     GIR_RootConstrainSelectedInstOperands,
     /*  234697 */     // GIR_Coverage, 9050,
     /*  234697 */     GIR_EraseRootFromParent_Done,
     /*  234698 */   // Label 4573: @234698
     /*  234698 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234772), // Rule ID 9051 //
     /*  234703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  234717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234743 */     // MIs[1] Operand 1
     /*  234743 */     // No operand predicates
     /*  234743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  234755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234770 */     GIR_RootConstrainSelectedInstOperands,
     /*  234771 */     // GIR_Coverage, 9051,
     /*  234771 */     GIR_EraseRootFromParent_Done,
     /*  234772 */   // Label 4574: @234772
     /*  234772 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(234846), // Rule ID 9054 //
     /*  234777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  234791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234817 */     // MIs[1] Operand 1
     /*  234817 */     // No operand predicates
     /*  234817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234826 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  234829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234844 */     GIR_RootConstrainSelectedInstOperands,
     /*  234845 */     // GIR_Coverage, 9054,
     /*  234845 */     GIR_EraseRootFromParent_Done,
     /*  234846 */   // Label 4575: @234846
     /*  234846 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(234920), // Rule ID 9055 //
     /*  234851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  234865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234891 */     // MIs[1] Operand 1
     /*  234891 */     // No operand predicates
     /*  234891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  234903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234918 */     GIR_RootConstrainSelectedInstOperands,
     /*  234919 */     // GIR_Coverage, 9055,
     /*  234919 */     GIR_EraseRootFromParent_Done,
     /*  234920 */   // Label 4576: @234920
     /*  234920 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(234994), // Rule ID 9058 //
     /*  234925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  234936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  234939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234965 */     // MIs[1] Operand 1
     /*  234965 */     // No operand predicates
     /*  234965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234974 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  234977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234992 */     GIR_RootConstrainSelectedInstOperands,
     /*  234993 */     // GIR_Coverage, 9058,
     /*  234993 */     GIR_EraseRootFromParent_Done,
     /*  234994 */   // Label 4577: @234994
     /*  234994 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(235068), // Rule ID 9059 //
     /*  234999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  235010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  235013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235039 */     // MIs[1] Operand 1
     /*  235039 */     // No operand predicates
     /*  235039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235048 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235066 */     GIR_RootConstrainSelectedInstOperands,
     /*  235067 */     // GIR_Coverage, 9059,
     /*  235067 */     GIR_EraseRootFromParent_Done,
     /*  235068 */   // Label 4578: @235068
     /*  235068 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(235142), // Rule ID 9062 //
     /*  235073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235113 */     // MIs[1] Operand 1
     /*  235113 */     // No operand predicates
     /*  235113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235140 */     GIR_RootConstrainSelectedInstOperands,
     /*  235141 */     // GIR_Coverage, 9062,
     /*  235141 */     GIR_EraseRootFromParent_Done,
     /*  235142 */   // Label 4579: @235142
     /*  235142 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(235216), // Rule ID 9063 //
     /*  235147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235187 */     // MIs[1] Operand 1
     /*  235187 */     // No operand predicates
     /*  235187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235214 */     GIR_RootConstrainSelectedInstOperands,
     /*  235215 */     // GIR_Coverage, 9063,
     /*  235215 */     GIR_EraseRootFromParent_Done,
     /*  235216 */   // Label 4580: @235216
     /*  235216 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(235290), // Rule ID 9066 //
     /*  235221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235261 */     // MIs[1] Operand 1
     /*  235261 */     // No operand predicates
     /*  235261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235288 */     GIR_RootConstrainSelectedInstOperands,
     /*  235289 */     // GIR_Coverage, 9066,
     /*  235289 */     GIR_EraseRootFromParent_Done,
     /*  235290 */   // Label 4581: @235290
     /*  235290 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(235364), // Rule ID 9067 //
     /*  235295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235335 */     // MIs[1] Operand 1
     /*  235335 */     // No operand predicates
     /*  235335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235344 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235362 */     GIR_RootConstrainSelectedInstOperands,
     /*  235363 */     // GIR_Coverage, 9067,
     /*  235363 */     GIR_EraseRootFromParent_Done,
     /*  235364 */   // Label 4582: @235364
     /*  235364 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(235438), // Rule ID 9070 //
     /*  235369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235409 */     // MIs[1] Operand 1
     /*  235409 */     // No operand predicates
     /*  235409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235418 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235436 */     GIR_RootConstrainSelectedInstOperands,
     /*  235437 */     // GIR_Coverage, 9070,
     /*  235437 */     GIR_EraseRootFromParent_Done,
     /*  235438 */   // Label 4583: @235438
     /*  235438 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(235512), // Rule ID 9071 //
     /*  235443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235483 */     // MIs[1] Operand 1
     /*  235483 */     // No operand predicates
     /*  235483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235492 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235510 */     GIR_RootConstrainSelectedInstOperands,
     /*  235511 */     // GIR_Coverage, 9071,
     /*  235511 */     GIR_EraseRootFromParent_Done,
     /*  235512 */   // Label 4584: @235512
     /*  235512 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(235586), // Rule ID 9074 //
     /*  235517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235557 */     // MIs[1] Operand 1
     /*  235557 */     // No operand predicates
     /*  235557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235584 */     GIR_RootConstrainSelectedInstOperands,
     /*  235585 */     // GIR_Coverage, 9074,
     /*  235585 */     GIR_EraseRootFromParent_Done,
     /*  235586 */   // Label 4585: @235586
     /*  235586 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(235660), // Rule ID 9075 //
     /*  235591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235631 */     // MIs[1] Operand 1
     /*  235631 */     // No operand predicates
     /*  235631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235658 */     GIR_RootConstrainSelectedInstOperands,
     /*  235659 */     // GIR_Coverage, 9075,
     /*  235659 */     GIR_EraseRootFromParent_Done,
     /*  235660 */   // Label 4586: @235660
     /*  235660 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(235734), // Rule ID 9078 //
     /*  235665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235705 */     // MIs[1] Operand 1
     /*  235705 */     // No operand predicates
     /*  235705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235714 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235732 */     GIR_RootConstrainSelectedInstOperands,
     /*  235733 */     // GIR_Coverage, 9078,
     /*  235733 */     GIR_EraseRootFromParent_Done,
     /*  235734 */   // Label 4587: @235734
     /*  235734 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(235808), // Rule ID 9079 //
     /*  235739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235779 */     // MIs[1] Operand 1
     /*  235779 */     // No operand predicates
     /*  235779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235806 */     GIR_RootConstrainSelectedInstOperands,
     /*  235807 */     // GIR_Coverage, 9079,
     /*  235807 */     GIR_EraseRootFromParent_Done,
     /*  235808 */   // Label 4588: @235808
     /*  235808 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(235882), // Rule ID 9082 //
     /*  235813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235853 */     // MIs[1] Operand 1
     /*  235853 */     // No operand predicates
     /*  235853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235862 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235880 */     GIR_RootConstrainSelectedInstOperands,
     /*  235881 */     // GIR_Coverage, 9082,
     /*  235881 */     GIR_EraseRootFromParent_Done,
     /*  235882 */   // Label 4589: @235882
     /*  235882 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(235956), // Rule ID 9083 //
     /*  235887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235927 */     // MIs[1] Operand 1
     /*  235927 */     // No operand predicates
     /*  235927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235954 */     GIR_RootConstrainSelectedInstOperands,
     /*  235955 */     // GIR_Coverage, 9083,
     /*  235955 */     GIR_EraseRootFromParent_Done,
     /*  235956 */   // Label 4590: @235956
     /*  235956 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(236030), // Rule ID 9086 //
     /*  235961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236001 */     // MIs[1] Operand 1
     /*  236001 */     // No operand predicates
     /*  236001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236028 */     GIR_RootConstrainSelectedInstOperands,
     /*  236029 */     // GIR_Coverage, 9086,
     /*  236029 */     GIR_EraseRootFromParent_Done,
     /*  236030 */   // Label 4591: @236030
     /*  236030 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(236104), // Rule ID 9087 //
     /*  236035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236075 */     // MIs[1] Operand 1
     /*  236075 */     // No operand predicates
     /*  236075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236102 */     GIR_RootConstrainSelectedInstOperands,
     /*  236103 */     // GIR_Coverage, 9087,
     /*  236103 */     GIR_EraseRootFromParent_Done,
     /*  236104 */   // Label 4592: @236104
     /*  236104 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(236178), // Rule ID 9090 //
     /*  236109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236149 */     // MIs[1] Operand 1
     /*  236149 */     // No operand predicates
     /*  236149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236158 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236176 */     GIR_RootConstrainSelectedInstOperands,
     /*  236177 */     // GIR_Coverage, 9090,
     /*  236177 */     GIR_EraseRootFromParent_Done,
     /*  236178 */   // Label 4593: @236178
     /*  236178 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(236252), // Rule ID 9091 //
     /*  236183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236223 */     // MIs[1] Operand 1
     /*  236223 */     // No operand predicates
     /*  236223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236250 */     GIR_RootConstrainSelectedInstOperands,
     /*  236251 */     // GIR_Coverage, 9091,
     /*  236251 */     GIR_EraseRootFromParent_Done,
     /*  236252 */   // Label 4594: @236252
     /*  236252 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(236326), // Rule ID 9094 //
     /*  236257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236297 */     // MIs[1] Operand 1
     /*  236297 */     // No operand predicates
     /*  236297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236306 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236324 */     GIR_RootConstrainSelectedInstOperands,
     /*  236325 */     // GIR_Coverage, 9094,
     /*  236325 */     GIR_EraseRootFromParent_Done,
     /*  236326 */   // Label 4595: @236326
     /*  236326 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(236400), // Rule ID 9095 //
     /*  236331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236371 */     // MIs[1] Operand 1
     /*  236371 */     // No operand predicates
     /*  236371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236398 */     GIR_RootConstrainSelectedInstOperands,
     /*  236399 */     // GIR_Coverage, 9095,
     /*  236399 */     GIR_EraseRootFromParent_Done,
     /*  236400 */   // Label 4596: @236400
     /*  236400 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(236474), // Rule ID 9186 //
     /*  236405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  236419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236445 */     // MIs[1] Operand 1
     /*  236445 */     // No operand predicates
     /*  236445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  236457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236472 */     GIR_RootConstrainSelectedInstOperands,
     /*  236473 */     // GIR_Coverage, 9186,
     /*  236473 */     GIR_EraseRootFromParent_Done,
     /*  236474 */   // Label 4597: @236474
     /*  236474 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(236548), // Rule ID 9187 //
     /*  236479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  236493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236519 */     // MIs[1] Operand 1
     /*  236519 */     // No operand predicates
     /*  236519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  236531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236546 */     GIR_RootConstrainSelectedInstOperands,
     /*  236547 */     // GIR_Coverage, 9187,
     /*  236547 */     GIR_EraseRootFromParent_Done,
     /*  236548 */   // Label 4598: @236548
     /*  236548 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(236622), // Rule ID 9190 //
     /*  236553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  236567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236593 */     // MIs[1] Operand 1
     /*  236593 */     // No operand predicates
     /*  236593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  236605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236620 */     GIR_RootConstrainSelectedInstOperands,
     /*  236621 */     // GIR_Coverage, 9190,
     /*  236621 */     GIR_EraseRootFromParent_Done,
     /*  236622 */   // Label 4599: @236622
     /*  236622 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(236696), // Rule ID 9191 //
     /*  236627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  236641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236667 */     // MIs[1] Operand 1
     /*  236667 */     // No operand predicates
     /*  236667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  236679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236694 */     GIR_RootConstrainSelectedInstOperands,
     /*  236695 */     // GIR_Coverage, 9191,
     /*  236695 */     GIR_EraseRootFromParent_Done,
     /*  236696 */   // Label 4600: @236696
     /*  236696 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(236770), // Rule ID 9194 //
     /*  236701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  236715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236741 */     // MIs[1] Operand 1
     /*  236741 */     // No operand predicates
     /*  236741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236750 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  236750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  236753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236768 */     GIR_RootConstrainSelectedInstOperands,
     /*  236769 */     // GIR_Coverage, 9194,
     /*  236769 */     GIR_EraseRootFromParent_Done,
     /*  236770 */   // Label 4601: @236770
     /*  236770 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(236844), // Rule ID 9195 //
     /*  236775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  236789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236815 */     // MIs[1] Operand 1
     /*  236815 */     // No operand predicates
     /*  236815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  236824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  236827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  236842 */     GIR_RootConstrainSelectedInstOperands,
     /*  236843 */     // GIR_Coverage, 9195,
     /*  236843 */     GIR_EraseRootFromParent_Done,
     /*  236844 */   // Label 4602: @236844
     /*  236844 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(236918), // Rule ID 9198 //
     /*  236849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  236863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236889 */     // MIs[1] Operand 1
     /*  236889 */     // No operand predicates
     /*  236889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  236901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236916 */     GIR_RootConstrainSelectedInstOperands,
     /*  236917 */     // GIR_Coverage, 9198,
     /*  236917 */     GIR_EraseRootFromParent_Done,
     /*  236918 */   // Label 4603: @236918
     /*  236918 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(236992), // Rule ID 9199 //
     /*  236923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  236931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  236937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236963 */     // MIs[1] Operand 1
     /*  236963 */     // No operand predicates
     /*  236963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  236975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236990 */     GIR_RootConstrainSelectedInstOperands,
     /*  236991 */     // GIR_Coverage, 9199,
     /*  236991 */     GIR_EraseRootFromParent_Done,
     /*  236992 */   // Label 4604: @236992
     /*  236992 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(237066), // Rule ID 9202 //
     /*  236997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237037 */     // MIs[1] Operand 1
     /*  237037 */     // No operand predicates
     /*  237037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237046 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237064 */     GIR_RootConstrainSelectedInstOperands,
     /*  237065 */     // GIR_Coverage, 9202,
     /*  237065 */     GIR_EraseRootFromParent_Done,
     /*  237066 */   // Label 4605: @237066
     /*  237066 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(237140), // Rule ID 9203 //
     /*  237071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237111 */     // MIs[1] Operand 1
     /*  237111 */     // No operand predicates
     /*  237111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237138 */     GIR_RootConstrainSelectedInstOperands,
     /*  237139 */     // GIR_Coverage, 9203,
     /*  237139 */     GIR_EraseRootFromParent_Done,
     /*  237140 */   // Label 4606: @237140
     /*  237140 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(237214), // Rule ID 9206 //
     /*  237145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  237159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237185 */     // MIs[1] Operand 1
     /*  237185 */     // No operand predicates
     /*  237185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237194 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237212 */     GIR_RootConstrainSelectedInstOperands,
     /*  237213 */     // GIR_Coverage, 9206,
     /*  237213 */     GIR_EraseRootFromParent_Done,
     /*  237214 */   // Label 4607: @237214
     /*  237214 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(237288), // Rule ID 9207 //
     /*  237219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  237233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237259 */     // MIs[1] Operand 1
     /*  237259 */     // No operand predicates
     /*  237259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237286 */     GIR_RootConstrainSelectedInstOperands,
     /*  237287 */     // GIR_Coverage, 9207,
     /*  237287 */     GIR_EraseRootFromParent_Done,
     /*  237288 */   // Label 4608: @237288
     /*  237288 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(237362), // Rule ID 9210 //
     /*  237293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  237307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237333 */     // MIs[1] Operand 1
     /*  237333 */     // No operand predicates
     /*  237333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237342 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237360 */     GIR_RootConstrainSelectedInstOperands,
     /*  237361 */     // GIR_Coverage, 9210,
     /*  237361 */     GIR_EraseRootFromParent_Done,
     /*  237362 */   // Label 4609: @237362
     /*  237362 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(237436), // Rule ID 9211 //
     /*  237367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  237381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237407 */     // MIs[1] Operand 1
     /*  237407 */     // No operand predicates
     /*  237407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237434 */     GIR_RootConstrainSelectedInstOperands,
     /*  237435 */     // GIR_Coverage, 9211,
     /*  237435 */     GIR_EraseRootFromParent_Done,
     /*  237436 */   // Label 4610: @237436
     /*  237436 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(237510), // Rule ID 9214 //
     /*  237441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237481 */     // MIs[1] Operand 1
     /*  237481 */     // No operand predicates
     /*  237481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237490 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237508 */     GIR_RootConstrainSelectedInstOperands,
     /*  237509 */     // GIR_Coverage, 9214,
     /*  237509 */     GIR_EraseRootFromParent_Done,
     /*  237510 */   // Label 4611: @237510
     /*  237510 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(237584), // Rule ID 9215 //
     /*  237515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237555 */     // MIs[1] Operand 1
     /*  237555 */     // No operand predicates
     /*  237555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237582 */     GIR_RootConstrainSelectedInstOperands,
     /*  237583 */     // GIR_Coverage, 9215,
     /*  237583 */     GIR_EraseRootFromParent_Done,
     /*  237584 */   // Label 4612: @237584
     /*  237584 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(237658), // Rule ID 9218 //
     /*  237589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  237603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237629 */     // MIs[1] Operand 1
     /*  237629 */     // No operand predicates
     /*  237629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237638 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237656 */     GIR_RootConstrainSelectedInstOperands,
     /*  237657 */     // GIR_Coverage, 9218,
     /*  237657 */     GIR_EraseRootFromParent_Done,
     /*  237658 */   // Label 4613: @237658
     /*  237658 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(237732), // Rule ID 9219 //
     /*  237663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  237677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237703 */     // MIs[1] Operand 1
     /*  237703 */     // No operand predicates
     /*  237703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237730 */     GIR_RootConstrainSelectedInstOperands,
     /*  237731 */     // GIR_Coverage, 9219,
     /*  237731 */     GIR_EraseRootFromParent_Done,
     /*  237732 */   // Label 4614: @237732
     /*  237732 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(237806), // Rule ID 9222 //
     /*  237737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  237740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  237751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237777 */     // MIs[1] Operand 1
     /*  237777 */     // No operand predicates
     /*  237777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237804 */     GIR_RootConstrainSelectedInstOperands,
     /*  237805 */     // GIR_Coverage, 9222,
     /*  237805 */     GIR_EraseRootFromParent_Done,
     /*  237806 */   // Label 4615: @237806
     /*  237806 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(237880), // Rule ID 9223 //
     /*  237811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  237814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  237825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237851 */     // MIs[1] Operand 1
     /*  237851 */     // No operand predicates
     /*  237851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  237863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237878 */     GIR_RootConstrainSelectedInstOperands,
     /*  237879 */     // GIR_Coverage, 9223,
     /*  237879 */     GIR_EraseRootFromParent_Done,
     /*  237880 */   // Label 4616: @237880
     /*  237880 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(237954), // Rule ID 9226 //
     /*  237885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  237899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237925 */     // MIs[1] Operand 1
     /*  237925 */     // No operand predicates
     /*  237925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237934 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  237937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237952 */     GIR_RootConstrainSelectedInstOperands,
     /*  237953 */     // GIR_Coverage, 9226,
     /*  237953 */     GIR_EraseRootFromParent_Done,
     /*  237954 */   // Label 4617: @237954
     /*  237954 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(238028), // Rule ID 9227 //
     /*  237959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  237973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237999 */     // MIs[1] Operand 1
     /*  237999 */     // No operand predicates
     /*  237999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238026 */     GIR_RootConstrainSelectedInstOperands,
     /*  238027 */     // GIR_Coverage, 9227,
     /*  238027 */     GIR_EraseRootFromParent_Done,
     /*  238028 */   // Label 4618: @238028
     /*  238028 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(238102), // Rule ID 9230 //
     /*  238033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  238047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238073 */     // MIs[1] Operand 1
     /*  238073 */     // No operand predicates
     /*  238073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238082 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238100 */     GIR_RootConstrainSelectedInstOperands,
     /*  238101 */     // GIR_Coverage, 9230,
     /*  238101 */     GIR_EraseRootFromParent_Done,
     /*  238102 */   // Label 4619: @238102
     /*  238102 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(238176), // Rule ID 9231 //
     /*  238107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  238121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238147 */     // MIs[1] Operand 1
     /*  238147 */     // No operand predicates
     /*  238147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238156 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238174 */     GIR_RootConstrainSelectedInstOperands,
     /*  238175 */     // GIR_Coverage, 9231,
     /*  238175 */     GIR_EraseRootFromParent_Done,
     /*  238176 */   // Label 4620: @238176
     /*  238176 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(238250), // Rule ID 9234 //
     /*  238181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  238192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  238195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238221 */     // MIs[1] Operand 1
     /*  238221 */     // No operand predicates
     /*  238221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238230 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238248 */     GIR_RootConstrainSelectedInstOperands,
     /*  238249 */     // GIR_Coverage, 9234,
     /*  238249 */     GIR_EraseRootFromParent_Done,
     /*  238250 */   // Label 4621: @238250
     /*  238250 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(238324), // Rule ID 9235 //
     /*  238255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  238266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  238269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238295 */     // MIs[1] Operand 1
     /*  238295 */     // No operand predicates
     /*  238295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238304 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238322 */     GIR_RootConstrainSelectedInstOperands,
     /*  238323 */     // GIR_Coverage, 9235,
     /*  238323 */     GIR_EraseRootFromParent_Done,
     /*  238324 */   // Label 4622: @238324
     /*  238324 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(238398), // Rule ID 9238 //
     /*  238329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238369 */     // MIs[1] Operand 1
     /*  238369 */     // No operand predicates
     /*  238369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238396 */     GIR_RootConstrainSelectedInstOperands,
     /*  238397 */     // GIR_Coverage, 9238,
     /*  238397 */     GIR_EraseRootFromParent_Done,
     /*  238398 */   // Label 4623: @238398
     /*  238398 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(238472), // Rule ID 9239 //
     /*  238403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238443 */     // MIs[1] Operand 1
     /*  238443 */     // No operand predicates
     /*  238443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238470 */     GIR_RootConstrainSelectedInstOperands,
     /*  238471 */     // GIR_Coverage, 9239,
     /*  238471 */     GIR_EraseRootFromParent_Done,
     /*  238472 */   // Label 4624: @238472
     /*  238472 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238546), // Rule ID 9242 //
     /*  238477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238517 */     // MIs[1] Operand 1
     /*  238517 */     // No operand predicates
     /*  238517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238526 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238544 */     GIR_RootConstrainSelectedInstOperands,
     /*  238545 */     // GIR_Coverage, 9242,
     /*  238545 */     GIR_EraseRootFromParent_Done,
     /*  238546 */   // Label 4625: @238546
     /*  238546 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(238620), // Rule ID 9243 //
     /*  238551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238591 */     // MIs[1] Operand 1
     /*  238591 */     // No operand predicates
     /*  238591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238618 */     GIR_RootConstrainSelectedInstOperands,
     /*  238619 */     // GIR_Coverage, 9243,
     /*  238619 */     GIR_EraseRootFromParent_Done,
     /*  238620 */   // Label 4626: @238620
     /*  238620 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(238694), // Rule ID 9246 //
     /*  238625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238665 */     // MIs[1] Operand 1
     /*  238665 */     // No operand predicates
     /*  238665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238674 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238692 */     GIR_RootConstrainSelectedInstOperands,
     /*  238693 */     // GIR_Coverage, 9246,
     /*  238693 */     GIR_EraseRootFromParent_Done,
     /*  238694 */   // Label 4627: @238694
     /*  238694 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(238768), // Rule ID 9247 //
     /*  238699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238739 */     // MIs[1] Operand 1
     /*  238739 */     // No operand predicates
     /*  238739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238766 */     GIR_RootConstrainSelectedInstOperands,
     /*  238767 */     // GIR_Coverage, 9247,
     /*  238767 */     GIR_EraseRootFromParent_Done,
     /*  238768 */   // Label 4628: @238768
     /*  238768 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(238842), // Rule ID 9250 //
     /*  238773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238813 */     // MIs[1] Operand 1
     /*  238813 */     // No operand predicates
     /*  238813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238840 */     GIR_RootConstrainSelectedInstOperands,
     /*  238841 */     // GIR_Coverage, 9250,
     /*  238841 */     GIR_EraseRootFromParent_Done,
     /*  238842 */   // Label 4629: @238842
     /*  238842 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(238916), // Rule ID 9251 //
     /*  238847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238887 */     // MIs[1] Operand 1
     /*  238887 */     // No operand predicates
     /*  238887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238914 */     GIR_RootConstrainSelectedInstOperands,
     /*  238915 */     // GIR_Coverage, 9251,
     /*  238915 */     GIR_EraseRootFromParent_Done,
     /*  238916 */   // Label 4630: @238916
     /*  238916 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(238990), // Rule ID 9254 //
     /*  238921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238961 */     // MIs[1] Operand 1
     /*  238961 */     // No operand predicates
     /*  238961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238988 */     GIR_RootConstrainSelectedInstOperands,
     /*  238989 */     // GIR_Coverage, 9254,
     /*  238989 */     GIR_EraseRootFromParent_Done,
     /*  238990 */   // Label 4631: @238990
     /*  238990 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(239064), // Rule ID 9255 //
     /*  238995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239035 */     // MIs[1] Operand 1
     /*  239035 */     // No operand predicates
     /*  239035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239062 */     GIR_RootConstrainSelectedInstOperands,
     /*  239063 */     // GIR_Coverage, 9255,
     /*  239063 */     GIR_EraseRootFromParent_Done,
     /*  239064 */   // Label 4632: @239064
     /*  239064 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(239138), // Rule ID 9258 //
     /*  239069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239109 */     // MIs[1] Operand 1
     /*  239109 */     // No operand predicates
     /*  239109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239136 */     GIR_RootConstrainSelectedInstOperands,
     /*  239137 */     // GIR_Coverage, 9258,
     /*  239137 */     GIR_EraseRootFromParent_Done,
     /*  239138 */   // Label 4633: @239138
     /*  239138 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(239212), // Rule ID 9259 //
     /*  239143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239183 */     // MIs[1] Operand 1
     /*  239183 */     // No operand predicates
     /*  239183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239210 */     GIR_RootConstrainSelectedInstOperands,
     /*  239211 */     // GIR_Coverage, 9259,
     /*  239211 */     GIR_EraseRootFromParent_Done,
     /*  239212 */   // Label 4634: @239212
     /*  239212 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(239286), // Rule ID 9262 //
     /*  239217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239257 */     // MIs[1] Operand 1
     /*  239257 */     // No operand predicates
     /*  239257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239266 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239284 */     GIR_RootConstrainSelectedInstOperands,
     /*  239285 */     // GIR_Coverage, 9262,
     /*  239285 */     GIR_EraseRootFromParent_Done,
     /*  239286 */   // Label 4635: @239286
     /*  239286 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(239360), // Rule ID 9263 //
     /*  239291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239331 */     // MIs[1] Operand 1
     /*  239331 */     // No operand predicates
     /*  239331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239358 */     GIR_RootConstrainSelectedInstOperands,
     /*  239359 */     // GIR_Coverage, 9263,
     /*  239359 */     GIR_EraseRootFromParent_Done,
     /*  239360 */   // Label 4636: @239360
     /*  239360 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(239434), // Rule ID 9266 //
     /*  239365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239405 */     // MIs[1] Operand 1
     /*  239405 */     // No operand predicates
     /*  239405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239414 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239432 */     GIR_RootConstrainSelectedInstOperands,
     /*  239433 */     // GIR_Coverage, 9266,
     /*  239433 */     GIR_EraseRootFromParent_Done,
     /*  239434 */   // Label 4637: @239434
     /*  239434 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239508), // Rule ID 9267 //
     /*  239439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239479 */     // MIs[1] Operand 1
     /*  239479 */     // No operand predicates
     /*  239479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239506 */     GIR_RootConstrainSelectedInstOperands,
     /*  239507 */     // GIR_Coverage, 9267,
     /*  239507 */     GIR_EraseRootFromParent_Done,
     /*  239508 */   // Label 4638: @239508
     /*  239508 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239582), // Rule ID 9270 //
     /*  239513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239553 */     // MIs[1] Operand 1
     /*  239553 */     // No operand predicates
     /*  239553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239580 */     GIR_RootConstrainSelectedInstOperands,
     /*  239581 */     // GIR_Coverage, 9270,
     /*  239581 */     GIR_EraseRootFromParent_Done,
     /*  239582 */   // Label 4639: @239582
     /*  239582 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239656), // Rule ID 9271 //
     /*  239587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239627 */     // MIs[1] Operand 1
     /*  239627 */     // No operand predicates
     /*  239627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239654 */     GIR_RootConstrainSelectedInstOperands,
     /*  239655 */     // GIR_Coverage, 9271,
     /*  239655 */     GIR_EraseRootFromParent_Done,
     /*  239656 */   // Label 4640: @239656
     /*  239656 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239730), // Rule ID 9362 //
     /*  239661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239701 */     // MIs[1] Operand 1
     /*  239701 */     // No operand predicates
     /*  239701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239710 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  239713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239728 */     GIR_RootConstrainSelectedInstOperands,
     /*  239729 */     // GIR_Coverage, 9362,
     /*  239729 */     GIR_EraseRootFromParent_Done,
     /*  239730 */   // Label 4641: @239730
     /*  239730 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(239804), // Rule ID 9363 //
     /*  239735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  239749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239775 */     // MIs[1] Operand 1
     /*  239775 */     // No operand predicates
     /*  239775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  239787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239802 */     GIR_RootConstrainSelectedInstOperands,
     /*  239803 */     // GIR_Coverage, 9363,
     /*  239803 */     GIR_EraseRootFromParent_Done,
     /*  239804 */   // Label 4642: @239804
     /*  239804 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(239878), // Rule ID 9366 //
     /*  239809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  239823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239849 */     // MIs[1] Operand 1
     /*  239849 */     // No operand predicates
     /*  239849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  239858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  239861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239876 */     GIR_RootConstrainSelectedInstOperands,
     /*  239877 */     // GIR_Coverage, 9366,
     /*  239877 */     GIR_EraseRootFromParent_Done,
     /*  239878 */   // Label 4643: @239878
     /*  239878 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(239952), // Rule ID 9367 //
     /*  239883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  239897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239923 */     // MIs[1] Operand 1
     /*  239923 */     // No operand predicates
     /*  239923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  239932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  239935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239950 */     GIR_RootConstrainSelectedInstOperands,
     /*  239951 */     // GIR_Coverage, 9367,
     /*  239951 */     GIR_EraseRootFromParent_Done,
     /*  239952 */   // Label 4644: @239952
     /*  239952 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(240026), // Rule ID 9370 //
     /*  239957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  239965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  239971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239997 */     // MIs[1] Operand 1
     /*  239997 */     // No operand predicates
     /*  239997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240006 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240024 */     GIR_RootConstrainSelectedInstOperands,
     /*  240025 */     // GIR_Coverage, 9370,
     /*  240025 */     GIR_EraseRootFromParent_Done,
     /*  240026 */   // Label 4645: @240026
     /*  240026 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(240100), // Rule ID 9371 //
     /*  240031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  240045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240071 */     // MIs[1] Operand 1
     /*  240071 */     // No operand predicates
     /*  240071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240098 */     GIR_RootConstrainSelectedInstOperands,
     /*  240099 */     // GIR_Coverage, 9371,
     /*  240099 */     GIR_EraseRootFromParent_Done,
     /*  240100 */   // Label 4646: @240100
     /*  240100 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(240174), // Rule ID 9374 //
     /*  240105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240145 */     // MIs[1] Operand 1
     /*  240145 */     // No operand predicates
     /*  240145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240154 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240172 */     GIR_RootConstrainSelectedInstOperands,
     /*  240173 */     // GIR_Coverage, 9374,
     /*  240173 */     GIR_EraseRootFromParent_Done,
     /*  240174 */   // Label 4647: @240174
     /*  240174 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(240248), // Rule ID 9375 //
     /*  240179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240219 */     // MIs[1] Operand 1
     /*  240219 */     // No operand predicates
     /*  240219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240246 */     GIR_RootConstrainSelectedInstOperands,
     /*  240247 */     // GIR_Coverage, 9375,
     /*  240247 */     GIR_EraseRootFromParent_Done,
     /*  240248 */   // Label 4648: @240248
     /*  240248 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(240322), // Rule ID 9378 //
     /*  240253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240293 */     // MIs[1] Operand 1
     /*  240293 */     // No operand predicates
     /*  240293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240302 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240320 */     GIR_RootConstrainSelectedInstOperands,
     /*  240321 */     // GIR_Coverage, 9378,
     /*  240321 */     GIR_EraseRootFromParent_Done,
     /*  240322 */   // Label 4649: @240322
     /*  240322 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(240396), // Rule ID 9379 //
     /*  240327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240367 */     // MIs[1] Operand 1
     /*  240367 */     // No operand predicates
     /*  240367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240394 */     GIR_RootConstrainSelectedInstOperands,
     /*  240395 */     // GIR_Coverage, 9379,
     /*  240395 */     GIR_EraseRootFromParent_Done,
     /*  240396 */   // Label 4650: @240396
     /*  240396 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(240470), // Rule ID 9382 //
     /*  240401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240441 */     // MIs[1] Operand 1
     /*  240441 */     // No operand predicates
     /*  240441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240450 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240468 */     GIR_RootConstrainSelectedInstOperands,
     /*  240469 */     // GIR_Coverage, 9382,
     /*  240469 */     GIR_EraseRootFromParent_Done,
     /*  240470 */   // Label 4651: @240470
     /*  240470 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240544), // Rule ID 9383 //
     /*  240475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240515 */     // MIs[1] Operand 1
     /*  240515 */     // No operand predicates
     /*  240515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240542 */     GIR_RootConstrainSelectedInstOperands,
     /*  240543 */     // GIR_Coverage, 9383,
     /*  240543 */     GIR_EraseRootFromParent_Done,
     /*  240544 */   // Label 4652: @240544
     /*  240544 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240618), // Rule ID 9386 //
     /*  240549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  240563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240589 */     // MIs[1] Operand 1
     /*  240589 */     // No operand predicates
     /*  240589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240616 */     GIR_RootConstrainSelectedInstOperands,
     /*  240617 */     // GIR_Coverage, 9386,
     /*  240617 */     GIR_EraseRootFromParent_Done,
     /*  240618 */   // Label 4653: @240618
     /*  240618 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240692), // Rule ID 9387 //
     /*  240623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  240637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240663 */     // MIs[1] Operand 1
     /*  240663 */     // No operand predicates
     /*  240663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240690 */     GIR_RootConstrainSelectedInstOperands,
     /*  240691 */     // GIR_Coverage, 9387,
     /*  240691 */     GIR_EraseRootFromParent_Done,
     /*  240692 */   // Label 4654: @240692
     /*  240692 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240766), // Rule ID 9390 //
     /*  240697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240737 */     // MIs[1] Operand 1
     /*  240737 */     // No operand predicates
     /*  240737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240764 */     GIR_RootConstrainSelectedInstOperands,
     /*  240765 */     // GIR_Coverage, 9390,
     /*  240765 */     GIR_EraseRootFromParent_Done,
     /*  240766 */   // Label 4655: @240766
     /*  240766 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240840), // Rule ID 9391 //
     /*  240771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240811 */     // MIs[1] Operand 1
     /*  240811 */     // No operand predicates
     /*  240811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240838 */     GIR_RootConstrainSelectedInstOperands,
     /*  240839 */     // GIR_Coverage, 9391,
     /*  240839 */     GIR_EraseRootFromParent_Done,
     /*  240840 */   // Label 4656: @240840
     /*  240840 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(240914), // Rule ID 9394 //
     /*  240845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240885 */     // MIs[1] Operand 1
     /*  240885 */     // No operand predicates
     /*  240885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240894 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240912 */     GIR_RootConstrainSelectedInstOperands,
     /*  240913 */     // GIR_Coverage, 9394,
     /*  240913 */     GIR_EraseRootFromParent_Done,
     /*  240914 */   // Label 4657: @240914
     /*  240914 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(240988), // Rule ID 9395 //
     /*  240919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240959 */     // MIs[1] Operand 1
     /*  240959 */     // No operand predicates
     /*  240959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  240971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240986 */     GIR_RootConstrainSelectedInstOperands,
     /*  240987 */     // GIR_Coverage, 9395,
     /*  240987 */     GIR_EraseRootFromParent_Done,
     /*  240988 */   // Label 4658: @240988
     /*  240988 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(241062), // Rule ID 9398 //
     /*  240993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  240996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241033 */     // MIs[1] Operand 1
     /*  241033 */     // No operand predicates
     /*  241033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241042 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241060 */     GIR_RootConstrainSelectedInstOperands,
     /*  241061 */     // GIR_Coverage, 9398,
     /*  241061 */     GIR_EraseRootFromParent_Done,
     /*  241062 */   // Label 4659: @241062
     /*  241062 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(241136), // Rule ID 9399 //
     /*  241067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  241070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241107 */     // MIs[1] Operand 1
     /*  241107 */     // No operand predicates
     /*  241107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241134 */     GIR_RootConstrainSelectedInstOperands,
     /*  241135 */     // GIR_Coverage, 9399,
     /*  241135 */     GIR_EraseRootFromParent_Done,
     /*  241136 */   // Label 4660: @241136
     /*  241136 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(241210), // Rule ID 9402 //
     /*  241141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  241155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241181 */     // MIs[1] Operand 1
     /*  241181 */     // No operand predicates
     /*  241181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241190 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241208 */     GIR_RootConstrainSelectedInstOperands,
     /*  241209 */     // GIR_Coverage, 9402,
     /*  241209 */     GIR_EraseRootFromParent_Done,
     /*  241210 */   // Label 4661: @241210
     /*  241210 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(241284), // Rule ID 9403 //
     /*  241215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  241229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241255 */     // MIs[1] Operand 1
     /*  241255 */     // No operand predicates
     /*  241255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241282 */     GIR_RootConstrainSelectedInstOperands,
     /*  241283 */     // GIR_Coverage, 9403,
     /*  241283 */     GIR_EraseRootFromParent_Done,
     /*  241284 */   // Label 4662: @241284
     /*  241284 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(241358), // Rule ID 9406 //
     /*  241289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  241300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  241303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241329 */     // MIs[1] Operand 1
     /*  241329 */     // No operand predicates
     /*  241329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241338 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  241341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241356 */     GIR_RootConstrainSelectedInstOperands,
     /*  241357 */     // GIR_Coverage, 9406,
     /*  241357 */     GIR_EraseRootFromParent_Done,
     /*  241358 */   // Label 4663: @241358
     /*  241358 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(241432), // Rule ID 9407 //
     /*  241363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  241374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  241377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241403 */     // MIs[1] Operand 1
     /*  241403 */     // No operand predicates
     /*  241403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241412 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  241415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241430 */     GIR_RootConstrainSelectedInstOperands,
     /*  241431 */     // GIR_Coverage, 9407,
     /*  241431 */     GIR_EraseRootFromParent_Done,
     /*  241432 */   // Label 4664: @241432
     /*  241432 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241506), // Rule ID 9410 //
     /*  241437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  241448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  241451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241477 */     // MIs[1] Operand 1
     /*  241477 */     // No operand predicates
     /*  241477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241486 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  241489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241504 */     GIR_RootConstrainSelectedInstOperands,
     /*  241505 */     // GIR_Coverage, 9410,
     /*  241505 */     GIR_EraseRootFromParent_Done,
     /*  241506 */   // Label 4665: @241506
     /*  241506 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241580), // Rule ID 9411 //
     /*  241511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  241522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  241525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241551 */     // MIs[1] Operand 1
     /*  241551 */     // No operand predicates
     /*  241551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241560 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  241563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241578 */     GIR_RootConstrainSelectedInstOperands,
     /*  241579 */     // GIR_Coverage, 9411,
     /*  241579 */     GIR_EraseRootFromParent_Done,
     /*  241580 */   // Label 4666: @241580
     /*  241580 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241654), // Rule ID 9414 //
     /*  241585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  241599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241625 */     // MIs[1] Operand 1
     /*  241625 */     // No operand predicates
     /*  241625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241652 */     GIR_RootConstrainSelectedInstOperands,
     /*  241653 */     // GIR_Coverage, 9414,
     /*  241653 */     GIR_EraseRootFromParent_Done,
     /*  241654 */   // Label 4667: @241654
     /*  241654 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241728), // Rule ID 9415 //
     /*  241659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  241673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241699 */     // MIs[1] Operand 1
     /*  241699 */     // No operand predicates
     /*  241699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241726 */     GIR_RootConstrainSelectedInstOperands,
     /*  241727 */     // GIR_Coverage, 9415,
     /*  241727 */     GIR_EraseRootFromParent_Done,
     /*  241728 */   // Label 4668: @241728
     /*  241728 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241802), // Rule ID 9418 //
     /*  241733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  241747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241773 */     // MIs[1] Operand 1
     /*  241773 */     // No operand predicates
     /*  241773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241782 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  241785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241800 */     GIR_RootConstrainSelectedInstOperands,
     /*  241801 */     // GIR_Coverage, 9418,
     /*  241801 */     GIR_EraseRootFromParent_Done,
     /*  241802 */   // Label 4669: @241802
     /*  241802 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241876), // Rule ID 9419 //
     /*  241807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  241821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241847 */     // MIs[1] Operand 1
     /*  241847 */     // No operand predicates
     /*  241847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  241859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241874 */     GIR_RootConstrainSelectedInstOperands,
     /*  241875 */     // GIR_Coverage, 9419,
     /*  241875 */     GIR_EraseRootFromParent_Done,
     /*  241876 */   // Label 4670: @241876
     /*  241876 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241950), // Rule ID 9422 //
     /*  241881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  241892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  241895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241921 */     // MIs[1] Operand 1
     /*  241921 */     // No operand predicates
     /*  241921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241930 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  241933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241948 */     GIR_RootConstrainSelectedInstOperands,
     /*  241949 */     // GIR_Coverage, 9422,
     /*  241949 */     GIR_EraseRootFromParent_Done,
     /*  241950 */   // Label 4671: @241950
     /*  241950 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(242024), // Rule ID 9423 //
     /*  241955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  241966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  241969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241995 */     // MIs[1] Operand 1
     /*  241995 */     // No operand predicates
     /*  241995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242004 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242022 */     GIR_RootConstrainSelectedInstOperands,
     /*  242023 */     // GIR_Coverage, 9423,
     /*  242023 */     GIR_EraseRootFromParent_Done,
     /*  242024 */   // Label 4672: @242024
     /*  242024 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(242098), // Rule ID 9426 //
     /*  242029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242069 */     // MIs[1] Operand 1
     /*  242069 */     // No operand predicates
     /*  242069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242096 */     GIR_RootConstrainSelectedInstOperands,
     /*  242097 */     // GIR_Coverage, 9426,
     /*  242097 */     GIR_EraseRootFromParent_Done,
     /*  242098 */   // Label 4673: @242098
     /*  242098 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(242172), // Rule ID 9427 //
     /*  242103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242143 */     // MIs[1] Operand 1
     /*  242143 */     // No operand predicates
     /*  242143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242170 */     GIR_RootConstrainSelectedInstOperands,
     /*  242171 */     // GIR_Coverage, 9427,
     /*  242171 */     GIR_EraseRootFromParent_Done,
     /*  242172 */   // Label 4674: @242172
     /*  242172 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(242246), // Rule ID 9430 //
     /*  242177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242217 */     // MIs[1] Operand 1
     /*  242217 */     // No operand predicates
     /*  242217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242226 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242244 */     GIR_RootConstrainSelectedInstOperands,
     /*  242245 */     // GIR_Coverage, 9430,
     /*  242245 */     GIR_EraseRootFromParent_Done,
     /*  242246 */   // Label 4675: @242246
     /*  242246 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(242320), // Rule ID 9431 //
     /*  242251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242291 */     // MIs[1] Operand 1
     /*  242291 */     // No operand predicates
     /*  242291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242318 */     GIR_RootConstrainSelectedInstOperands,
     /*  242319 */     // GIR_Coverage, 9431,
     /*  242319 */     GIR_EraseRootFromParent_Done,
     /*  242320 */   // Label 4676: @242320
     /*  242320 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(242394), // Rule ID 9434 //
     /*  242325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242365 */     // MIs[1] Operand 1
     /*  242365 */     // No operand predicates
     /*  242365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242374 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242392 */     GIR_RootConstrainSelectedInstOperands,
     /*  242393 */     // GIR_Coverage, 9434,
     /*  242393 */     GIR_EraseRootFromParent_Done,
     /*  242394 */   // Label 4677: @242394
     /*  242394 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(242468), // Rule ID 9435 //
     /*  242399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242439 */     // MIs[1] Operand 1
     /*  242439 */     // No operand predicates
     /*  242439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242466 */     GIR_RootConstrainSelectedInstOperands,
     /*  242467 */     // GIR_Coverage, 9435,
     /*  242467 */     GIR_EraseRootFromParent_Done,
     /*  242468 */   // Label 4678: @242468
     /*  242468 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242542), // Rule ID 9438 //
     /*  242473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  242476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242513 */     // MIs[1] Operand 1
     /*  242513 */     // No operand predicates
     /*  242513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242522 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  242522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242540 */     GIR_RootConstrainSelectedInstOperands,
     /*  242541 */     // GIR_Coverage, 9438,
     /*  242541 */     GIR_EraseRootFromParent_Done,
     /*  242542 */   // Label 4679: @242542
     /*  242542 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242616), // Rule ID 9439 //
     /*  242547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  242550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  242561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242587 */     // MIs[1] Operand 1
     /*  242587 */     // No operand predicates
     /*  242587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242614 */     GIR_RootConstrainSelectedInstOperands,
     /*  242615 */     // GIR_Coverage, 9439,
     /*  242615 */     GIR_EraseRootFromParent_Done,
     /*  242616 */   // Label 4680: @242616
     /*  242616 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242690), // Rule ID 9442 //
     /*  242621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  242624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242661 */     // MIs[1] Operand 1
     /*  242661 */     // No operand predicates
     /*  242661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242670 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  242670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242688 */     GIR_RootConstrainSelectedInstOperands,
     /*  242689 */     // GIR_Coverage, 9442,
     /*  242689 */     GIR_EraseRootFromParent_Done,
     /*  242690 */   // Label 4681: @242690
     /*  242690 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242764), // Rule ID 9443 //
     /*  242695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  242698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  242709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242735 */     // MIs[1] Operand 1
     /*  242735 */     // No operand predicates
     /*  242735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242762 */     GIR_RootConstrainSelectedInstOperands,
     /*  242763 */     // GIR_Coverage, 9443,
     /*  242763 */     GIR_EraseRootFromParent_Done,
     /*  242764 */   // Label 4682: @242764
     /*  242764 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242838), // Rule ID 9446 //
     /*  242769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  242772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242809 */     // MIs[1] Operand 1
     /*  242809 */     // No operand predicates
     /*  242809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  242818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242836 */     GIR_RootConstrainSelectedInstOperands,
     /*  242837 */     // GIR_Coverage, 9446,
     /*  242837 */     GIR_EraseRootFromParent_Done,
     /*  242838 */   // Label 4683: @242838
     /*  242838 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242912), // Rule ID 9447 //
     /*  242843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  242846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  242857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242883 */     // MIs[1] Operand 1
     /*  242883 */     // No operand predicates
     /*  242883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242910 */     GIR_RootConstrainSelectedInstOperands,
     /*  242911 */     // GIR_Coverage, 9447,
     /*  242911 */     GIR_EraseRootFromParent_Done,
     /*  242912 */   // Label 4684: @242912
     /*  242912 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242968), // Rule ID 64435 //
     /*  242917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  242920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  242925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  242928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  242931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  242935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  242939 */     // MIs[0] pts
     /*  242939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  242942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  242947 */     // MIs[0] radix
     /*  242947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  242950 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  242955 */     // (intrinsic_wo_chain:{ *:[i32] } 10930:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  242955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  242958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242962 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  242964 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  242966 */     GIR_RootConstrainSelectedInstOperands,
     /*  242967 */     // GIR_Coverage, 64435,
     /*  242967 */     GIR_EraseRootFromParent_Done,
     /*  242968 */   // Label 4685: @242968
     /*  242968 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(243031), // Rule ID 2576 //
     /*  242973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  242976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  242981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  242984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  242987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  242990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  242997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  243005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243012 */     // (intrinsic_wo_chain:{ *:[i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  243012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  243015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243019 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  243021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243029 */     GIR_RootConstrainSelectedInstOperands,
     /*  243030 */     // GIR_Coverage, 2576,
     /*  243030 */     GIR_EraseRootFromParent_Done,
     /*  243031 */   // Label 4686: @243031
     /*  243031 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(243094), // Rule ID 2577 //
     /*  243036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  243039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  243044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  243047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  243050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  243068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243075 */     // (intrinsic_wo_chain:{ *:[i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  243075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  243078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243082 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  243084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243092 */     GIR_RootConstrainSelectedInstOperands,
     /*  243093 */     // GIR_Coverage, 2577,
     /*  243093 */     GIR_EraseRootFromParent_Done,
     /*  243094 */   // Label 4687: @243094
     /*  243094 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(243160), // Rule ID 2584 //
     /*  243099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  243107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  243110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243138 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  243138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  243141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243158 */     GIR_RootConstrainSelectedInstOperands,
     /*  243159 */     // GIR_Coverage, 2584,
     /*  243159 */     GIR_EraseRootFromParent_Done,
     /*  243160 */   // Label 4688: @243160
     /*  243160 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(243226), // Rule ID 2585 //
     /*  243165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  243173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  243176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243204 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  243204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  243207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243224 */     GIR_RootConstrainSelectedInstOperands,
     /*  243225 */     // GIR_Coverage, 2585,
     /*  243225 */     GIR_EraseRootFromParent_Done,
     /*  243226 */   // Label 4689: @243226
     /*  243226 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(243292), // Rule ID 2588 //
     /*  243231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  243273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243290 */     GIR_RootConstrainSelectedInstOperands,
     /*  243291 */     // GIR_Coverage, 2588,
     /*  243291 */     GIR_EraseRootFromParent_Done,
     /*  243292 */   // Label 4690: @243292
     /*  243292 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(243358), // Rule ID 2589 //
     /*  243297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  243339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243356 */     GIR_RootConstrainSelectedInstOperands,
     /*  243357 */     // GIR_Coverage, 2589,
     /*  243357 */     GIR_EraseRootFromParent_Done,
     /*  243358 */   // Label 4691: @243358
     /*  243358 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(243424), // Rule ID 2592 //
     /*  243363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  243366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  243371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243402 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  243405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243422 */     GIR_RootConstrainSelectedInstOperands,
     /*  243423 */     // GIR_Coverage, 2592,
     /*  243423 */     GIR_EraseRootFromParent_Done,
     /*  243424 */   // Label 4692: @243424
     /*  243424 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243490), // Rule ID 2593 //
     /*  243429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  243432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  243437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243468 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  243471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243488 */     GIR_RootConstrainSelectedInstOperands,
     /*  243489 */     // GIR_Coverage, 2593,
     /*  243489 */     GIR_EraseRootFromParent_Done,
     /*  243490 */   // Label 4693: @243490
     /*  243490 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243553), // Rule ID 2606 //
     /*  243495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  243503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  243537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243551 */     GIR_RootConstrainSelectedInstOperands,
     /*  243552 */     // GIR_Coverage, 2606,
     /*  243552 */     GIR_EraseRootFromParent_Done,
     /*  243553 */   // Label 4694: @243553
     /*  243553 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243616), // Rule ID 2607 //
     /*  243558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  243566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  243600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243614 */     GIR_RootConstrainSelectedInstOperands,
     /*  243615 */     // GIR_Coverage, 2607,
     /*  243615 */     GIR_EraseRootFromParent_Done,
     /*  243616 */   // Label 4695: @243616
     /*  243616 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243679), // Rule ID 2618 //
     /*  243621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  243629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  243663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243677 */     GIR_RootConstrainSelectedInstOperands,
     /*  243678 */     // GIR_Coverage, 2618,
     /*  243678 */     GIR_EraseRootFromParent_Done,
     /*  243679 */   // Label 4696: @243679
     /*  243679 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243742), // Rule ID 2619 //
     /*  243684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  243692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  243726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243740 */     GIR_RootConstrainSelectedInstOperands,
     /*  243741 */     // GIR_Coverage, 2619,
     /*  243741 */     GIR_EraseRootFromParent_Done,
     /*  243742 */   // Label 4697: @243742
     /*  243742 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243805), // Rule ID 2626 //
     /*  243747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  243789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243803 */     GIR_RootConstrainSelectedInstOperands,
     /*  243804 */     // GIR_Coverage, 2626,
     /*  243804 */     GIR_EraseRootFromParent_Done,
     /*  243805 */   // Label 4698: @243805
     /*  243805 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243868), // Rule ID 2627 //
     /*  243810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243849 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  243852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243866 */     GIR_RootConstrainSelectedInstOperands,
     /*  243867 */     // GIR_Coverage, 2627,
     /*  243867 */     GIR_EraseRootFromParent_Done,
     /*  243868 */   // Label 4699: @243868
     /*  243868 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243934), // Rule ID 2628 //
     /*  243873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  243876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  243915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243932 */     GIR_RootConstrainSelectedInstOperands,
     /*  243933 */     // GIR_Coverage, 2628,
     /*  243933 */     GIR_EraseRootFromParent_Done,
     /*  243934 */   // Label 4700: @243934
     /*  243934 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(244000), // Rule ID 2629 //
     /*  243939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  243942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  243956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  243981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243998 */     GIR_RootConstrainSelectedInstOperands,
     /*  243999 */     // GIR_Coverage, 2629,
     /*  243999 */     GIR_EraseRootFromParent_Done,
     /*  244000 */   // Label 4701: @244000
     /*  244000 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(244063), // Rule ID 2640 //
     /*  244005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  244013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  244019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  244022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  244044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  244047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244061 */     GIR_RootConstrainSelectedInstOperands,
     /*  244062 */     // GIR_Coverage, 2640,
     /*  244062 */     GIR_EraseRootFromParent_Done,
     /*  244063 */   // Label 4702: @244063
     /*  244063 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(244126), // Rule ID 2641 //
     /*  244068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  244076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  244082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  244085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244107 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  244107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  244110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244124 */     GIR_RootConstrainSelectedInstOperands,
     /*  244125 */     // GIR_Coverage, 2641,
     /*  244125 */     GIR_EraseRootFromParent_Done,
     /*  244126 */   // Label 4703: @244126
     /*  244126 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(244192), // Rule ID 4788 //
     /*  244131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244190 */     GIR_RootConstrainSelectedInstOperands,
     /*  244191 */     // GIR_Coverage, 4788,
     /*  244191 */     GIR_EraseRootFromParent_Done,
     /*  244192 */   // Label 4704: @244192
     /*  244192 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(244258), // Rule ID 4789 //
     /*  244197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244256 */     GIR_RootConstrainSelectedInstOperands,
     /*  244257 */     // GIR_Coverage, 4789,
     /*  244257 */     GIR_EraseRootFromParent_Done,
     /*  244258 */   // Label 4705: @244258
     /*  244258 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(244324), // Rule ID 4792 //
     /*  244263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  244274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  244305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244322 */     GIR_RootConstrainSelectedInstOperands,
     /*  244323 */     // GIR_Coverage, 4792,
     /*  244323 */     GIR_EraseRootFromParent_Done,
     /*  244324 */   // Label 4706: @244324
     /*  244324 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(244390), // Rule ID 4793 //
     /*  244329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  244340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11612:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  244371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244388 */     GIR_RootConstrainSelectedInstOperands,
     /*  244389 */     // GIR_Coverage, 4793,
     /*  244389 */     GIR_EraseRootFromParent_Done,
     /*  244390 */   // Label 4707: @244390
     /*  244390 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244456), // Rule ID 4796 //
     /*  244395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244434 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  244437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244454 */     GIR_RootConstrainSelectedInstOperands,
     /*  244455 */     // GIR_Coverage, 4796,
     /*  244455 */     GIR_EraseRootFromParent_Done,
     /*  244456 */   // Label 4708: @244456
     /*  244456 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244522), // Rule ID 4797 //
     /*  244461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  244503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244520 */     GIR_RootConstrainSelectedInstOperands,
     /*  244521 */     // GIR_Coverage, 4797,
     /*  244521 */     GIR_EraseRootFromParent_Done,
     /*  244522 */   // Label 4709: @244522
     /*  244522 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244588), // Rule ID 4800 //
     /*  244527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  244569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244586 */     GIR_RootConstrainSelectedInstOperands,
     /*  244587 */     // GIR_Coverage, 4800,
     /*  244587 */     GIR_EraseRootFromParent_Done,
     /*  244588 */   // Label 4710: @244588
     /*  244588 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244654), // Rule ID 4801 //
     /*  244593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244632 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  244635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244652 */     GIR_RootConstrainSelectedInstOperands,
     /*  244653 */     // GIR_Coverage, 4801,
     /*  244653 */     GIR_EraseRootFromParent_Done,
     /*  244654 */   // Label 4711: @244654
     /*  244654 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244720), // Rule ID 4804 //
     /*  244659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  244701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244718 */     GIR_RootConstrainSelectedInstOperands,
     /*  244719 */     // GIR_Coverage, 4804,
     /*  244719 */     GIR_EraseRootFromParent_Done,
     /*  244720 */   // Label 4712: @244720
     /*  244720 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244786), // Rule ID 4805 //
     /*  244725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  244742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244764 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  244767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244784 */     GIR_RootConstrainSelectedInstOperands,
     /*  244785 */     // GIR_Coverage, 4805,
     /*  244785 */     GIR_EraseRootFromParent_Done,
     /*  244786 */   // Label 4713: @244786
     /*  244786 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244852), // Rule ID 4808 //
     /*  244791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  244802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244850 */     GIR_RootConstrainSelectedInstOperands,
     /*  244851 */     // GIR_Coverage, 4808,
     /*  244851 */     GIR_EraseRootFromParent_Done,
     /*  244852 */   // Label 4714: @244852
     /*  244852 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244918), // Rule ID 4809 //
     /*  244857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  244868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244916 */     GIR_RootConstrainSelectedInstOperands,
     /*  244917 */     // GIR_Coverage, 4809,
     /*  244917 */     GIR_EraseRootFromParent_Done,
     /*  244918 */   // Label 4715: @244918
     /*  244918 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244984), // Rule ID 4812 //
     /*  244923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  244965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244982 */     GIR_RootConstrainSelectedInstOperands,
     /*  244983 */     // GIR_Coverage, 4812,
     /*  244983 */     GIR_EraseRootFromParent_Done,
     /*  244984 */   // Label 4716: @244984
     /*  244984 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(245050), // Rule ID 4813 //
     /*  244989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245048 */     GIR_RootConstrainSelectedInstOperands,
     /*  245049 */     // GIR_Coverage, 4813,
     /*  245049 */     GIR_EraseRootFromParent_Done,
     /*  245050 */   // Label 4717: @245050
     /*  245050 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(245116), // Rule ID 4816 //
     /*  245055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245114 */     GIR_RootConstrainSelectedInstOperands,
     /*  245115 */     // GIR_Coverage, 4816,
     /*  245115 */     GIR_EraseRootFromParent_Done,
     /*  245116 */   // Label 4718: @245116
     /*  245116 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(245182), // Rule ID 4817 //
     /*  245121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245180 */     GIR_RootConstrainSelectedInstOperands,
     /*  245181 */     // GIR_Coverage, 4817,
     /*  245181 */     GIR_EraseRootFromParent_Done,
     /*  245182 */   // Label 4719: @245182
     /*  245182 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(245248), // Rule ID 4820 //
     /*  245187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245246 */     GIR_RootConstrainSelectedInstOperands,
     /*  245247 */     // GIR_Coverage, 4820,
     /*  245247 */     GIR_EraseRootFromParent_Done,
     /*  245248 */   // Label 4720: @245248
     /*  245248 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(245314), // Rule ID 4821 //
     /*  245253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245312 */     GIR_RootConstrainSelectedInstOperands,
     /*  245313 */     // GIR_Coverage, 4821,
     /*  245313 */     GIR_EraseRootFromParent_Done,
     /*  245314 */   // Label 4721: @245314
     /*  245314 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(245380), // Rule ID 4824 //
     /*  245319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  245336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245378 */     GIR_RootConstrainSelectedInstOperands,
     /*  245379 */     // GIR_Coverage, 4824,
     /*  245379 */     GIR_EraseRootFromParent_Done,
     /*  245380 */   // Label 4722: @245380
     /*  245380 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245446), // Rule ID 4825 //
     /*  245385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  245396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  245402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245444 */     GIR_RootConstrainSelectedInstOperands,
     /*  245445 */     // GIR_Coverage, 4825,
     /*  245445 */     GIR_EraseRootFromParent_Done,
     /*  245446 */   // Label 4723: @245446
     /*  245446 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245512), // Rule ID 4828 //
     /*  245451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245510 */     GIR_RootConstrainSelectedInstOperands,
     /*  245511 */     // GIR_Coverage, 4828,
     /*  245511 */     GIR_EraseRootFromParent_Done,
     /*  245512 */   // Label 4724: @245512
     /*  245512 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245578), // Rule ID 4829 //
     /*  245517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245576 */     GIR_RootConstrainSelectedInstOperands,
     /*  245577 */     // GIR_Coverage, 4829,
     /*  245577 */     GIR_EraseRootFromParent_Done,
     /*  245578 */   // Label 4725: @245578
     /*  245578 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245644), // Rule ID 4832 //
     /*  245583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245642 */     GIR_RootConstrainSelectedInstOperands,
     /*  245643 */     // GIR_Coverage, 4832,
     /*  245643 */     GIR_EraseRootFromParent_Done,
     /*  245644 */   // Label 4726: @245644
     /*  245644 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245710), // Rule ID 4833 //
     /*  245649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245688 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245708 */     GIR_RootConstrainSelectedInstOperands,
     /*  245709 */     // GIR_Coverage, 4833,
     /*  245709 */     GIR_EraseRootFromParent_Done,
     /*  245710 */   // Label 4727: @245710
     /*  245710 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245776), // Rule ID 4836 //
     /*  245715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245774 */     GIR_RootConstrainSelectedInstOperands,
     /*  245775 */     // GIR_Coverage, 4836,
     /*  245775 */     GIR_EraseRootFromParent_Done,
     /*  245776 */   // Label 4728: @245776
     /*  245776 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245842), // Rule ID 4837 //
     /*  245781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  245798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245840 */     GIR_RootConstrainSelectedInstOperands,
     /*  245841 */     // GIR_Coverage, 4837,
     /*  245841 */     GIR_EraseRootFromParent_Done,
     /*  245842 */   // Label 4729: @245842
     /*  245842 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245908), // Rule ID 4840 //
     /*  245847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245906 */     GIR_RootConstrainSelectedInstOperands,
     /*  245907 */     // GIR_Coverage, 4840,
     /*  245907 */     GIR_EraseRootFromParent_Done,
     /*  245908 */   // Label 4730: @245908
     /*  245908 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245974), // Rule ID 4841 //
     /*  245913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  245930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245972 */     GIR_RootConstrainSelectedInstOperands,
     /*  245973 */     // GIR_Coverage, 4841,
     /*  245973 */     GIR_EraseRootFromParent_Done,
     /*  245974 */   // Label 4731: @245974
     /*  245974 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(246040), // Rule ID 4844 //
     /*  245979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  246021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246038 */     GIR_RootConstrainSelectedInstOperands,
     /*  246039 */     // GIR_Coverage, 4844,
     /*  246039 */     GIR_EraseRootFromParent_Done,
     /*  246040 */   // Label 4732: @246040
     /*  246040 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(246106), // Rule ID 4845 //
     /*  246045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  246056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  246087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246104 */     GIR_RootConstrainSelectedInstOperands,
     /*  246105 */     // GIR_Coverage, 4845,
     /*  246105 */     GIR_EraseRootFromParent_Done,
     /*  246106 */   // Label 4733: @246106
     /*  246106 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(246172), // Rule ID 4848 //
     /*  246111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246170 */     GIR_RootConstrainSelectedInstOperands,
     /*  246171 */     // GIR_Coverage, 4848,
     /*  246171 */     GIR_EraseRootFromParent_Done,
     /*  246172 */   // Label 4734: @246172
     /*  246172 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(246238), // Rule ID 4849 //
     /*  246177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11612:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246236 */     GIR_RootConstrainSelectedInstOperands,
     /*  246237 */     // GIR_Coverage, 4849,
     /*  246237 */     GIR_EraseRootFromParent_Done,
     /*  246238 */   // Label 4735: @246238
     /*  246238 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(246304), // Rule ID 4852 //
     /*  246243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  246285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246302 */     GIR_RootConstrainSelectedInstOperands,
     /*  246303 */     // GIR_Coverage, 4852,
     /*  246303 */     GIR_EraseRootFromParent_Done,
     /*  246304 */   // Label 4736: @246304
     /*  246304 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(246370), // Rule ID 4853 //
     /*  246309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  246351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246368 */     GIR_RootConstrainSelectedInstOperands,
     /*  246369 */     // GIR_Coverage, 4853,
     /*  246369 */     GIR_EraseRootFromParent_Done,
     /*  246370 */   // Label 4737: @246370
     /*  246370 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(246436), // Rule ID 4856 //
     /*  246375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  246417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246434 */     GIR_RootConstrainSelectedInstOperands,
     /*  246435 */     // GIR_Coverage, 4856,
     /*  246435 */     GIR_EraseRootFromParent_Done,
     /*  246436 */   // Label 4738: @246436
     /*  246436 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246502), // Rule ID 4857 //
     /*  246441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  246483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246500 */     GIR_RootConstrainSelectedInstOperands,
     /*  246501 */     // GIR_Coverage, 4857,
     /*  246501 */     GIR_EraseRootFromParent_Done,
     /*  246502 */   // Label 4739: @246502
     /*  246502 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246568), // Rule ID 4860 //
     /*  246507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  246549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246566 */     GIR_RootConstrainSelectedInstOperands,
     /*  246567 */     // GIR_Coverage, 4860,
     /*  246567 */     GIR_EraseRootFromParent_Done,
     /*  246568 */   // Label 4740: @246568
     /*  246568 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246634), // Rule ID 4861 //
     /*  246573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  246615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246632 */     GIR_RootConstrainSelectedInstOperands,
     /*  246633 */     // GIR_Coverage, 4861,
     /*  246633 */     GIR_EraseRootFromParent_Done,
     /*  246634 */   // Label 4741: @246634
     /*  246634 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246700), // Rule ID 4864 //
     /*  246639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246698 */     GIR_RootConstrainSelectedInstOperands,
     /*  246699 */     // GIR_Coverage, 4864,
     /*  246699 */     GIR_EraseRootFromParent_Done,
     /*  246700 */   // Label 4742: @246700
     /*  246700 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246766), // Rule ID 4865 //
     /*  246705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246764 */     GIR_RootConstrainSelectedInstOperands,
     /*  246765 */     // GIR_Coverage, 4865,
     /*  246765 */     GIR_EraseRootFromParent_Done,
     /*  246766 */   // Label 4743: @246766
     /*  246766 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246832), // Rule ID 4868 //
     /*  246771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  246813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246830 */     GIR_RootConstrainSelectedInstOperands,
     /*  246831 */     // GIR_Coverage, 4868,
     /*  246831 */     GIR_EraseRootFromParent_Done,
     /*  246832 */   // Label 4744: @246832
     /*  246832 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246898), // Rule ID 4869 //
     /*  246837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  246879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246896 */     GIR_RootConstrainSelectedInstOperands,
     /*  246897 */     // GIR_Coverage, 4869,
     /*  246897 */     GIR_EraseRootFromParent_Done,
     /*  246898 */   // Label 4745: @246898
     /*  246898 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246964), // Rule ID 4872 //
     /*  246903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  246945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246962 */     GIR_RootConstrainSelectedInstOperands,
     /*  246963 */     // GIR_Coverage, 4872,
     /*  246963 */     GIR_EraseRootFromParent_Done,
     /*  246964 */   // Label 4746: @246964
     /*  246964 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(247030), // Rule ID 4873 //
     /*  246969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  247011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247028 */     GIR_RootConstrainSelectedInstOperands,
     /*  247029 */     // GIR_Coverage, 4873,
     /*  247029 */     GIR_EraseRootFromParent_Done,
     /*  247030 */   // Label 4747: @247030
     /*  247030 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(247096), // Rule ID 4876 //
     /*  247035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247094 */     GIR_RootConstrainSelectedInstOperands,
     /*  247095 */     // GIR_Coverage, 4876,
     /*  247095 */     GIR_EraseRootFromParent_Done,
     /*  247096 */   // Label 4748: @247096
     /*  247096 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(247162), // Rule ID 4877 //
     /*  247101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247160 */     GIR_RootConstrainSelectedInstOperands,
     /*  247161 */     // GIR_Coverage, 4877,
     /*  247161 */     GIR_EraseRootFromParent_Done,
     /*  247162 */   // Label 4749: @247162
     /*  247162 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(247228), // Rule ID 4880 //
     /*  247167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  247209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247226 */     GIR_RootConstrainSelectedInstOperands,
     /*  247227 */     // GIR_Coverage, 4880,
     /*  247227 */     GIR_EraseRootFromParent_Done,
     /*  247228 */   // Label 4750: @247228
     /*  247228 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(247294), // Rule ID 4881 //
     /*  247233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11612:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  247275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247292 */     GIR_RootConstrainSelectedInstOperands,
     /*  247293 */     // GIR_Coverage, 4881,
     /*  247293 */     GIR_EraseRootFromParent_Done,
     /*  247294 */   // Label 4751: @247294
     /*  247294 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(247360), // Rule ID 4884 //
     /*  247299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  247341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247358 */     GIR_RootConstrainSelectedInstOperands,
     /*  247359 */     // GIR_Coverage, 4884,
     /*  247359 */     GIR_EraseRootFromParent_Done,
     /*  247360 */   // Label 4752: @247360
     /*  247360 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(247426), // Rule ID 4885 //
     /*  247365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11612:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  247407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247424 */     GIR_RootConstrainSelectedInstOperands,
     /*  247425 */     // GIR_Coverage, 4885,
     /*  247425 */     GIR_EraseRootFromParent_Done,
     /*  247426 */   // Label 4753: @247426
     /*  247426 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247492), // Rule ID 4888 //
     /*  247431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247470 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  247473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247490 */     GIR_RootConstrainSelectedInstOperands,
     /*  247491 */     // GIR_Coverage, 4888,
     /*  247491 */     GIR_EraseRootFromParent_Done,
     /*  247492 */   // Label 4754: @247492
     /*  247492 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247558), // Rule ID 4889 //
     /*  247497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11612:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  247539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247556 */     GIR_RootConstrainSelectedInstOperands,
     /*  247557 */     // GIR_Coverage, 4889,
     /*  247557 */     GIR_EraseRootFromParent_Done,
     /*  247558 */   // Label 4755: @247558
     /*  247558 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247624), // Rule ID 4892 //
     /*  247563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  247605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247622 */     GIR_RootConstrainSelectedInstOperands,
     /*  247623 */     // GIR_Coverage, 4892,
     /*  247623 */     GIR_EraseRootFromParent_Done,
     /*  247624 */   // Label 4756: @247624
     /*  247624 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247690), // Rule ID 4893 //
     /*  247629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11612:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  247671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247688 */     GIR_RootConstrainSelectedInstOperands,
     /*  247689 */     // GIR_Coverage, 4893,
     /*  247689 */     GIR_EraseRootFromParent_Done,
     /*  247690 */   // Label 4757: @247690
     /*  247690 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247756), // Rule ID 4896 //
     /*  247695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247734 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  247737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247754 */     GIR_RootConstrainSelectedInstOperands,
     /*  247755 */     // GIR_Coverage, 4896,
     /*  247755 */     GIR_EraseRootFromParent_Done,
     /*  247756 */   // Label 4758: @247756
     /*  247756 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247822), // Rule ID 4897 //
     /*  247761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  247803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247820 */     GIR_RootConstrainSelectedInstOperands,
     /*  247821 */     // GIR_Coverage, 4897,
     /*  247821 */     GIR_EraseRootFromParent_Done,
     /*  247822 */   // Label 4759: @247822
     /*  247822 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247888), // Rule ID 4900 //
     /*  247827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  247838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  247869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247886 */     GIR_RootConstrainSelectedInstOperands,
     /*  247887 */     // GIR_Coverage, 4900,
     /*  247887 */     GIR_EraseRootFromParent_Done,
     /*  247888 */   // Label 4760: @247888
     /*  247888 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247954), // Rule ID 4901 //
     /*  247893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  247904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  247935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247952 */     GIR_RootConstrainSelectedInstOperands,
     /*  247953 */     // GIR_Coverage, 4901,
     /*  247953 */     GIR_EraseRootFromParent_Done,
     /*  247954 */   // Label 4761: @247954
     /*  247954 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(248020), // Rule ID 4904 //
     /*  247959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  247967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  247970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248018 */     GIR_RootConstrainSelectedInstOperands,
     /*  248019 */     // GIR_Coverage, 4904,
     /*  248019 */     GIR_EraseRootFromParent_Done,
     /*  248020 */   // Label 4762: @248020
     /*  248020 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(248086), // Rule ID 4905 //
     /*  248025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  248036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248084 */     GIR_RootConstrainSelectedInstOperands,
     /*  248085 */     // GIR_Coverage, 4905,
     /*  248085 */     GIR_EraseRootFromParent_Done,
     /*  248086 */   // Label 4763: @248086
     /*  248086 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(248152), // Rule ID 4908 //
     /*  248091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248150 */     GIR_RootConstrainSelectedInstOperands,
     /*  248151 */     // GIR_Coverage, 4908,
     /*  248151 */     GIR_EraseRootFromParent_Done,
     /*  248152 */   // Label 4764: @248152
     /*  248152 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(248218), // Rule ID 4909 //
     /*  248157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248216 */     GIR_RootConstrainSelectedInstOperands,
     /*  248217 */     // GIR_Coverage, 4909,
     /*  248217 */     GIR_EraseRootFromParent_Done,
     /*  248218 */   // Label 4765: @248218
     /*  248218 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(248284), // Rule ID 4912 //
     /*  248223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  248265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248282 */     GIR_RootConstrainSelectedInstOperands,
     /*  248283 */     // GIR_Coverage, 4912,
     /*  248283 */     GIR_EraseRootFromParent_Done,
     /*  248284 */   // Label 4766: @248284
     /*  248284 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(248350), // Rule ID 4913 //
     /*  248289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  248331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248348 */     GIR_RootConstrainSelectedInstOperands,
     /*  248349 */     // GIR_Coverage, 4913,
     /*  248349 */     GIR_EraseRootFromParent_Done,
     /*  248350 */   // Label 4767: @248350
     /*  248350 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(248416), // Rule ID 4916 //
     /*  248355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  248397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248414 */     GIR_RootConstrainSelectedInstOperands,
     /*  248415 */     // GIR_Coverage, 4916,
     /*  248415 */     GIR_EraseRootFromParent_Done,
     /*  248416 */   // Label 4768: @248416
     /*  248416 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(248482), // Rule ID 4917 //
     /*  248421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  248438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248460 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  248463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248480 */     GIR_RootConstrainSelectedInstOperands,
     /*  248481 */     // GIR_Coverage, 4917,
     /*  248481 */     GIR_EraseRootFromParent_Done,
     /*  248482 */   // Label 4769: @248482
     /*  248482 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248548), // Rule ID 4920 //
     /*  248487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  248498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  248504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248546 */     GIR_RootConstrainSelectedInstOperands,
     /*  248547 */     // GIR_Coverage, 4920,
     /*  248547 */     GIR_EraseRootFromParent_Done,
     /*  248548 */   // Label 4770: @248548
     /*  248548 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248614), // Rule ID 4921 //
     /*  248553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  248564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  248570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248592 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248612 */     GIR_RootConstrainSelectedInstOperands,
     /*  248613 */     // GIR_Coverage, 4921,
     /*  248613 */     GIR_EraseRootFromParent_Done,
     /*  248614 */   // Label 4771: @248614
     /*  248614 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248680), // Rule ID 4924 //
     /*  248619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  248630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  248636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248678 */     GIR_RootConstrainSelectedInstOperands,
     /*  248679 */     // GIR_Coverage, 4924,
     /*  248679 */     GIR_EraseRootFromParent_Done,
     /*  248680 */   // Label 4772: @248680
     /*  248680 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248746), // Rule ID 4925 //
     /*  248685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  248696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  248699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  248702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248744 */     GIR_RootConstrainSelectedInstOperands,
     /*  248745 */     // GIR_Coverage, 4925,
     /*  248745 */     GIR_EraseRootFromParent_Done,
     /*  248746 */   // Label 4773: @248746
     /*  248746 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248812), // Rule ID 4928 //
     /*  248751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  248762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248810 */     GIR_RootConstrainSelectedInstOperands,
     /*  248811 */     // GIR_Coverage, 4928,
     /*  248811 */     GIR_EraseRootFromParent_Done,
     /*  248812 */   // Label 4774: @248812
     /*  248812 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248878), // Rule ID 4929 //
     /*  248817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  248828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  248834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248856 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248876 */     GIR_RootConstrainSelectedInstOperands,
     /*  248877 */     // GIR_Coverage, 4929,
     /*  248877 */     GIR_EraseRootFromParent_Done,
     /*  248878 */   // Label 4775: @248878
     /*  248878 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248944), // Rule ID 4932 //
     /*  248883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  248894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  248925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248942 */     GIR_RootConstrainSelectedInstOperands,
     /*  248943 */     // GIR_Coverage, 4932,
     /*  248943 */     GIR_EraseRootFromParent_Done,
     /*  248944 */   // Label 4776: @248944
     /*  248944 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(249010), // Rule ID 4933 //
     /*  248949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  248960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248988 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  248991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249008 */     GIR_RootConstrainSelectedInstOperands,
     /*  249009 */     // GIR_Coverage, 4933,
     /*  249009 */     GIR_EraseRootFromParent_Done,
     /*  249010 */   // Label 4777: @249010
     /*  249010 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(249076), // Rule ID 4936 //
     /*  249015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249074 */     GIR_RootConstrainSelectedInstOperands,
     /*  249075 */     // GIR_Coverage, 4936,
     /*  249075 */     GIR_EraseRootFromParent_Done,
     /*  249076 */   // Label 4778: @249076
     /*  249076 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(249142), // Rule ID 4937 //
     /*  249081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249120 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249140 */     GIR_RootConstrainSelectedInstOperands,
     /*  249141 */     // GIR_Coverage, 4937,
     /*  249141 */     GIR_EraseRootFromParent_Done,
     /*  249142 */   // Label 4779: @249142
     /*  249142 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(249208), // Rule ID 4940 //
     /*  249147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249206 */     GIR_RootConstrainSelectedInstOperands,
     /*  249207 */     // GIR_Coverage, 4940,
     /*  249207 */     GIR_EraseRootFromParent_Done,
     /*  249208 */   // Label 4780: @249208
     /*  249208 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(249274), // Rule ID 4941 //
     /*  249213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249272 */     GIR_RootConstrainSelectedInstOperands,
     /*  249273 */     // GIR_Coverage, 4941,
     /*  249273 */     GIR_EraseRootFromParent_Done,
     /*  249274 */   // Label 4781: @249274
     /*  249274 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(249340), // Rule ID 4944 //
     /*  249279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  249290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  249296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  249321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249338 */     GIR_RootConstrainSelectedInstOperands,
     /*  249339 */     // GIR_Coverage, 4944,
     /*  249339 */     GIR_EraseRootFromParent_Done,
     /*  249340 */   // Label 4782: @249340
     /*  249340 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(249406), // Rule ID 4945 //
     /*  249345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  249356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  249362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  249387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249404 */     GIR_RootConstrainSelectedInstOperands,
     /*  249405 */     // GIR_Coverage, 4945,
     /*  249405 */     GIR_EraseRootFromParent_Done,
     /*  249406 */   // Label 4783: @249406
     /*  249406 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(249472), // Rule ID 4948 //
     /*  249411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  249422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249470 */     GIR_RootConstrainSelectedInstOperands,
     /*  249471 */     // GIR_Coverage, 4948,
     /*  249471 */     GIR_EraseRootFromParent_Done,
     /*  249472 */   // Label 4784: @249472
     /*  249472 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(249538), // Rule ID 4949 //
     /*  249477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  249488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  249494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249536 */     GIR_RootConstrainSelectedInstOperands,
     /*  249537 */     // GIR_Coverage, 4949,
     /*  249537 */     GIR_EraseRootFromParent_Done,
     /*  249538 */   // Label 4785: @249538
     /*  249538 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249604), // Rule ID 4952 //
     /*  249543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249602 */     GIR_RootConstrainSelectedInstOperands,
     /*  249603 */     // GIR_Coverage, 4952,
     /*  249603 */     GIR_EraseRootFromParent_Done,
     /*  249604 */   // Label 4786: @249604
     /*  249604 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249670), // Rule ID 4953 //
     /*  249609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  249626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249668 */     GIR_RootConstrainSelectedInstOperands,
     /*  249669 */     // GIR_Coverage, 4953,
     /*  249669 */     GIR_EraseRootFromParent_Done,
     /*  249670 */   // Label 4787: @249670
     /*  249670 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249736), // Rule ID 4956 //
     /*  249675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  249692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  249717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249734 */     GIR_RootConstrainSelectedInstOperands,
     /*  249735 */     // GIR_Coverage, 4956,
     /*  249735 */     GIR_EraseRootFromParent_Done,
     /*  249736 */   // Label 4788: @249736
     /*  249736 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249802), // Rule ID 4957 //
     /*  249741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  249758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  249783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249800 */     GIR_RootConstrainSelectedInstOperands,
     /*  249801 */     // GIR_Coverage, 4957,
     /*  249801 */     GIR_EraseRootFromParent_Done,
     /*  249802 */   // Label 4789: @249802
     /*  249802 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249868), // Rule ID 4960 //
     /*  249807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  249824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  249849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249866 */     GIR_RootConstrainSelectedInstOperands,
     /*  249867 */     // GIR_Coverage, 4960,
     /*  249867 */     GIR_EraseRootFromParent_Done,
     /*  249868 */   // Label 4790: @249868
     /*  249868 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249934), // Rule ID 4961 //
     /*  249873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  249890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  249915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249932 */     GIR_RootConstrainSelectedInstOperands,
     /*  249933 */     // GIR_Coverage, 4961,
     /*  249933 */     GIR_EraseRootFromParent_Done,
     /*  249934 */   // Label 4791: @249934
     /*  249934 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(250000), // Rule ID 4964 //
     /*  249939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  249956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  249981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249998 */     GIR_RootConstrainSelectedInstOperands,
     /*  249999 */     // GIR_Coverage, 4964,
     /*  249999 */     GIR_EraseRootFromParent_Done,
     /*  250000 */   // Label 4792: @250000
     /*  250000 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(250066), // Rule ID 4965 //
     /*  250005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  250022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250064 */     GIR_RootConstrainSelectedInstOperands,
     /*  250065 */     // GIR_Coverage, 4965,
     /*  250065 */     GIR_EraseRootFromParent_Done,
     /*  250066 */   // Label 4793: @250066
     /*  250066 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(250132), // Rule ID 4968 //
     /*  250071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  250088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250130 */     GIR_RootConstrainSelectedInstOperands,
     /*  250131 */     // GIR_Coverage, 4968,
     /*  250131 */     GIR_EraseRootFromParent_Done,
     /*  250132 */   // Label 4794: @250132
     /*  250132 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(250198), // Rule ID 4969 //
     /*  250137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  250154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250196 */     GIR_RootConstrainSelectedInstOperands,
     /*  250197 */     // GIR_Coverage, 4969,
     /*  250197 */     GIR_EraseRootFromParent_Done,
     /*  250198 */   // Label 4795: @250198
     /*  250198 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(250264), // Rule ID 4972 //
     /*  250203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  250220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250262 */     GIR_RootConstrainSelectedInstOperands,
     /*  250263 */     // GIR_Coverage, 4972,
     /*  250263 */     GIR_EraseRootFromParent_Done,
     /*  250264 */   // Label 4796: @250264
     /*  250264 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(250330), // Rule ID 4973 //
     /*  250269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  250286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250328 */     GIR_RootConstrainSelectedInstOperands,
     /*  250329 */     // GIR_Coverage, 4973,
     /*  250329 */     GIR_EraseRootFromParent_Done,
     /*  250330 */   // Label 4797: @250330
     /*  250330 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(250396), // Rule ID 4976 //
     /*  250335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  250346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250394 */     GIR_RootConstrainSelectedInstOperands,
     /*  250395 */     // GIR_Coverage, 4976,
     /*  250395 */     GIR_EraseRootFromParent_Done,
     /*  250396 */   // Label 4798: @250396
     /*  250396 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(250462), // Rule ID 4977 //
     /*  250401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  250412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250460 */     GIR_RootConstrainSelectedInstOperands,
     /*  250461 */     // GIR_Coverage, 4977,
     /*  250461 */     GIR_EraseRootFromParent_Done,
     /*  250462 */   // Label 4799: @250462
     /*  250462 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(250528), // Rule ID 4980 //
     /*  250467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250526 */     GIR_RootConstrainSelectedInstOperands,
     /*  250527 */     // GIR_Coverage, 4980,
     /*  250527 */     GIR_EraseRootFromParent_Done,
     /*  250528 */   // Label 4800: @250528
     /*  250528 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250594), // Rule ID 4981 //
     /*  250533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250592 */     GIR_RootConstrainSelectedInstOperands,
     /*  250593 */     // GIR_Coverage, 4981,
     /*  250593 */     GIR_EraseRootFromParent_Done,
     /*  250594 */   // Label 4801: @250594
     /*  250594 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250660), // Rule ID 4984 //
     /*  250599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250638 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250658 */     GIR_RootConstrainSelectedInstOperands,
     /*  250659 */     // GIR_Coverage, 4984,
     /*  250659 */     GIR_EraseRootFromParent_Done,
     /*  250660 */   // Label 4802: @250660
     /*  250660 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250726), // Rule ID 4985 //
     /*  250665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250724 */     GIR_RootConstrainSelectedInstOperands,
     /*  250725 */     // GIR_Coverage, 4985,
     /*  250725 */     GIR_EraseRootFromParent_Done,
     /*  250726 */   // Label 4803: @250726
     /*  250726 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250792), // Rule ID 4988 //
     /*  250731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  250748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250790 */     GIR_RootConstrainSelectedInstOperands,
     /*  250791 */     // GIR_Coverage, 4988,
     /*  250791 */     GIR_EraseRootFromParent_Done,
     /*  250792 */   // Label 4804: @250792
     /*  250792 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250858), // Rule ID 4989 //
     /*  250797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  250814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250856 */     GIR_RootConstrainSelectedInstOperands,
     /*  250857 */     // GIR_Coverage, 4989,
     /*  250857 */     GIR_EraseRootFromParent_Done,
     /*  250858 */   // Label 4805: @250858
     /*  250858 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250924), // Rule ID 4992 //
     /*  250863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  250874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  250880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  250905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250922 */     GIR_RootConstrainSelectedInstOperands,
     /*  250923 */     // GIR_Coverage, 4992,
     /*  250923 */     GIR_EraseRootFromParent_Done,
     /*  250924 */   // Label 4806: @250924
     /*  250924 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250990), // Rule ID 4993 //
     /*  250929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  250940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  250946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  250971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250988 */     GIR_RootConstrainSelectedInstOperands,
     /*  250989 */     // GIR_Coverage, 4993,
     /*  250989 */     GIR_EraseRootFromParent_Done,
     /*  250990 */   // Label 4807: @250990
     /*  250990 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(251056), // Rule ID 4996 //
     /*  250995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  251037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251054 */     GIR_RootConstrainSelectedInstOperands,
     /*  251055 */     // GIR_Coverage, 4996,
     /*  251055 */     GIR_EraseRootFromParent_Done,
     /*  251056 */   // Label 4808: @251056
     /*  251056 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(251122), // Rule ID 4997 //
     /*  251061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  251103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251120 */     GIR_RootConstrainSelectedInstOperands,
     /*  251121 */     // GIR_Coverage, 4997,
     /*  251121 */     GIR_EraseRootFromParent_Done,
     /*  251122 */   // Label 4809: @251122
     /*  251122 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(251188), // Rule ID 5000 //
     /*  251127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  251169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251186 */     GIR_RootConstrainSelectedInstOperands,
     /*  251187 */     // GIR_Coverage, 5000,
     /*  251187 */     GIR_EraseRootFromParent_Done,
     /*  251188 */   // Label 4810: @251188
     /*  251188 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(251254), // Rule ID 5001 //
     /*  251193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  251235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251252 */     GIR_RootConstrainSelectedInstOperands,
     /*  251253 */     // GIR_Coverage, 5001,
     /*  251253 */     GIR_EraseRootFromParent_Done,
     /*  251254 */   // Label 4811: @251254
     /*  251254 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(251320), // Rule ID 5004 //
     /*  251259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251298 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  251301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251318 */     GIR_RootConstrainSelectedInstOperands,
     /*  251319 */     // GIR_Coverage, 5004,
     /*  251319 */     GIR_EraseRootFromParent_Done,
     /*  251320 */   // Label 4812: @251320
     /*  251320 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(251386), // Rule ID 5005 //
     /*  251325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251364 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  251367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251384 */     GIR_RootConstrainSelectedInstOperands,
     /*  251385 */     // GIR_Coverage, 5005,
     /*  251385 */     GIR_EraseRootFromParent_Done,
     /*  251386 */   // Label 4813: @251386
     /*  251386 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(251449), // Rule ID 5268 //
     /*  251391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251430 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251447 */     GIR_RootConstrainSelectedInstOperands,
     /*  251448 */     // GIR_Coverage, 5268,
     /*  251448 */     GIR_EraseRootFromParent_Done,
     /*  251449 */   // Label 4814: @251449
     /*  251449 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(251512), // Rule ID 5269 //
     /*  251454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251493 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251510 */     GIR_RootConstrainSelectedInstOperands,
     /*  251511 */     // GIR_Coverage, 5269,
     /*  251511 */     GIR_EraseRootFromParent_Done,
     /*  251512 */   // Label 4815: @251512
     /*  251512 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(251575), // Rule ID 5270 //
     /*  251517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  251531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  251559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251573 */     GIR_RootConstrainSelectedInstOperands,
     /*  251574 */     // GIR_Coverage, 5270,
     /*  251574 */     GIR_EraseRootFromParent_Done,
     /*  251575 */   // Label 4816: @251575
     /*  251575 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251638), // Rule ID 5271 //
     /*  251580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  251594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251619 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  251622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251636 */     GIR_RootConstrainSelectedInstOperands,
     /*  251637 */     // GIR_Coverage, 5271,
     /*  251637 */     GIR_EraseRootFromParent_Done,
     /*  251638 */   // Label 4817: @251638
     /*  251638 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251701), // Rule ID 5272 //
     /*  251643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251699 */     GIR_RootConstrainSelectedInstOperands,
     /*  251700 */     // GIR_Coverage, 5272,
     /*  251700 */     GIR_EraseRootFromParent_Done,
     /*  251701 */   // Label 4818: @251701
     /*  251701 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251764), // Rule ID 5273 //
     /*  251706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  251748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251762 */     GIR_RootConstrainSelectedInstOperands,
     /*  251763 */     // GIR_Coverage, 5273,
     /*  251763 */     GIR_EraseRootFromParent_Done,
     /*  251764 */   // Label 4819: @251764
     /*  251764 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251827), // Rule ID 5274 //
     /*  251769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  251786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  251811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251825 */     GIR_RootConstrainSelectedInstOperands,
     /*  251826 */     // GIR_Coverage, 5274,
     /*  251826 */     GIR_EraseRootFromParent_Done,
     /*  251827 */   // Label 4820: @251827
     /*  251827 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251890), // Rule ID 5275 //
     /*  251832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  251849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251871 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  251874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251888 */     GIR_RootConstrainSelectedInstOperands,
     /*  251889 */     // GIR_Coverage, 5275,
     /*  251889 */     GIR_EraseRootFromParent_Done,
     /*  251890 */   // Label 4821: @251890
     /*  251890 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251953), // Rule ID 5276 //
     /*  251895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  251909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251934 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  251937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251951 */     GIR_RootConstrainSelectedInstOperands,
     /*  251952 */     // GIR_Coverage, 5276,
     /*  251952 */     GIR_EraseRootFromParent_Done,
     /*  251953 */   // Label 4822: @251953
     /*  251953 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(252016), // Rule ID 5277 //
     /*  251958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  251966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  251972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252014 */     GIR_RootConstrainSelectedInstOperands,
     /*  252015 */     // GIR_Coverage, 5277,
     /*  252015 */     GIR_EraseRootFromParent_Done,
     /*  252016 */   // Label 4823: @252016
     /*  252016 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(252079), // Rule ID 5278 //
     /*  252021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252077 */     GIR_RootConstrainSelectedInstOperands,
     /*  252078 */     // GIR_Coverage, 5278,
     /*  252078 */     GIR_EraseRootFromParent_Done,
     /*  252079 */   // Label 4824: @252079
     /*  252079 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(252142), // Rule ID 5279 //
     /*  252084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252123 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252140 */     GIR_RootConstrainSelectedInstOperands,
     /*  252141 */     // GIR_Coverage, 5279,
     /*  252141 */     GIR_EraseRootFromParent_Done,
     /*  252142 */   // Label 4825: @252142
     /*  252142 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(252205), // Rule ID 5280 //
     /*  252147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252186 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252203 */     GIR_RootConstrainSelectedInstOperands,
     /*  252204 */     // GIR_Coverage, 5280,
     /*  252204 */     GIR_EraseRootFromParent_Done,
     /*  252205 */   // Label 4826: @252205
     /*  252205 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(252268), // Rule ID 5281 //
     /*  252210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252266 */     GIR_RootConstrainSelectedInstOperands,
     /*  252267 */     // GIR_Coverage, 5281,
     /*  252267 */     GIR_EraseRootFromParent_Done,
     /*  252268 */   // Label 4827: @252268
     /*  252268 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(252331), // Rule ID 5282 //
     /*  252273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252329 */     GIR_RootConstrainSelectedInstOperands,
     /*  252330 */     // GIR_Coverage, 5282,
     /*  252330 */     GIR_EraseRootFromParent_Done,
     /*  252331 */   // Label 4828: @252331
     /*  252331 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(252394), // Rule ID 5283 //
     /*  252336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252375 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252392 */     GIR_RootConstrainSelectedInstOperands,
     /*  252393 */     // GIR_Coverage, 5283,
     /*  252393 */     GIR_EraseRootFromParent_Done,
     /*  252394 */   // Label 4829: @252394
     /*  252394 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(252457), // Rule ID 5284 //
     /*  252399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252438 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252455 */     GIR_RootConstrainSelectedInstOperands,
     /*  252456 */     // GIR_Coverage, 5284,
     /*  252456 */     GIR_EraseRootFromParent_Done,
     /*  252457 */   // Label 4830: @252457
     /*  252457 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(252520), // Rule ID 5285 //
     /*  252462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252518 */     GIR_RootConstrainSelectedInstOperands,
     /*  252519 */     // GIR_Coverage, 5285,
     /*  252519 */     GIR_EraseRootFromParent_Done,
     /*  252520 */   // Label 4831: @252520
     /*  252520 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(252583), // Rule ID 5286 //
     /*  252525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  252539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  252567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252581 */     GIR_RootConstrainSelectedInstOperands,
     /*  252582 */     // GIR_Coverage, 5286,
     /*  252582 */     GIR_EraseRootFromParent_Done,
     /*  252583 */   // Label 4832: @252583
     /*  252583 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252646), // Rule ID 5287 //
     /*  252588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  252602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252627 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  252630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252644 */     GIR_RootConstrainSelectedInstOperands,
     /*  252645 */     // GIR_Coverage, 5287,
     /*  252645 */     GIR_EraseRootFromParent_Done,
     /*  252646 */   // Label 4833: @252646
     /*  252646 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252709), // Rule ID 5288 //
     /*  252651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  252665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252690 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  252693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252707 */     GIR_RootConstrainSelectedInstOperands,
     /*  252708 */     // GIR_Coverage, 5288,
     /*  252708 */     GIR_EraseRootFromParent_Done,
     /*  252709 */   // Label 4834: @252709
     /*  252709 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252772), // Rule ID 5289 //
     /*  252714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  252728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252753 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  252756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252770 */     GIR_RootConstrainSelectedInstOperands,
     /*  252771 */     // GIR_Coverage, 5289,
     /*  252771 */     GIR_EraseRootFromParent_Done,
     /*  252772 */   // Label 4835: @252772
     /*  252772 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252835), // Rule ID 5290 //
     /*  252777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  252788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  252791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  252794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252816 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  252819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252833 */     GIR_RootConstrainSelectedInstOperands,
     /*  252834 */     // GIR_Coverage, 5290,
     /*  252834 */     GIR_EraseRootFromParent_Done,
     /*  252835 */   // Label 4836: @252835
     /*  252835 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252898), // Rule ID 5291 //
     /*  252840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  252851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  252854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  252857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252879 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  252882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252896 */     GIR_RootConstrainSelectedInstOperands,
     /*  252897 */     // GIR_Coverage, 5291,
     /*  252897 */     GIR_EraseRootFromParent_Done,
     /*  252898 */   // Label 4837: @252898
     /*  252898 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252961), // Rule ID 5292 //
     /*  252903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  252945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252959 */     GIR_RootConstrainSelectedInstOperands,
     /*  252960 */     // GIR_Coverage, 5292,
     /*  252960 */     GIR_EraseRootFromParent_Done,
     /*  252961 */   // Label 4838: @252961
     /*  252961 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(253024), // Rule ID 5293 //
     /*  252966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253005 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253022 */     GIR_RootConstrainSelectedInstOperands,
     /*  253023 */     // GIR_Coverage, 5293,
     /*  253023 */     GIR_EraseRootFromParent_Done,
     /*  253024 */   // Label 4839: @253024
     /*  253024 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(253087), // Rule ID 5294 //
     /*  253029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253068 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253085 */     GIR_RootConstrainSelectedInstOperands,
     /*  253086 */     // GIR_Coverage, 5294,
     /*  253086 */     GIR_EraseRootFromParent_Done,
     /*  253087 */   // Label 4840: @253087
     /*  253087 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(253150), // Rule ID 5295 //
     /*  253092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253131 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253148 */     GIR_RootConstrainSelectedInstOperands,
     /*  253149 */     // GIR_Coverage, 5295,
     /*  253149 */     GIR_EraseRootFromParent_Done,
     /*  253150 */   // Label 4841: @253150
     /*  253150 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(253213), // Rule ID 5296 //
     /*  253155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253194 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253211 */     GIR_RootConstrainSelectedInstOperands,
     /*  253212 */     // GIR_Coverage, 5296,
     /*  253212 */     GIR_EraseRootFromParent_Done,
     /*  253213 */   // Label 4842: @253213
     /*  253213 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(253276), // Rule ID 5297 //
     /*  253218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253257 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253274 */     GIR_RootConstrainSelectedInstOperands,
     /*  253275 */     // GIR_Coverage, 5297,
     /*  253275 */     GIR_EraseRootFromParent_Done,
     /*  253276 */   // Label 4843: @253276
     /*  253276 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(253339), // Rule ID 5298 //
     /*  253281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253337 */     GIR_RootConstrainSelectedInstOperands,
     /*  253338 */     // GIR_Coverage, 5298,
     /*  253338 */     GIR_EraseRootFromParent_Done,
     /*  253339 */   // Label 4844: @253339
     /*  253339 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(253402), // Rule ID 5299 //
     /*  253344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253383 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253400 */     GIR_RootConstrainSelectedInstOperands,
     /*  253401 */     // GIR_Coverage, 5299,
     /*  253401 */     GIR_EraseRootFromParent_Done,
     /*  253402 */   // Label 4845: @253402
     /*  253402 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(253465), // Rule ID 5300 //
     /*  253407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253446 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253463 */     GIR_RootConstrainSelectedInstOperands,
     /*  253464 */     // GIR_Coverage, 5300,
     /*  253464 */     GIR_EraseRootFromParent_Done,
     /*  253465 */   // Label 4846: @253465
     /*  253465 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(253528), // Rule ID 5301 //
     /*  253470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253509 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253526 */     GIR_RootConstrainSelectedInstOperands,
     /*  253527 */     // GIR_Coverage, 5301,
     /*  253527 */     GIR_EraseRootFromParent_Done,
     /*  253528 */   // Label 4847: @253528
     /*  253528 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(253591), // Rule ID 5302 //
     /*  253533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  253547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  253550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253572 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253589 */     GIR_RootConstrainSelectedInstOperands,
     /*  253590 */     // GIR_Coverage, 5302,
     /*  253590 */     GIR_EraseRootFromParent_Done,
     /*  253591 */   // Label 4848: @253591
     /*  253591 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253654), // Rule ID 5303 //
     /*  253596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  253610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  253613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253635 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253652 */     GIR_RootConstrainSelectedInstOperands,
     /*  253653 */     // GIR_Coverage, 5303,
     /*  253653 */     GIR_EraseRootFromParent_Done,
     /*  253654 */   // Label 4849: @253654
     /*  253654 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253717), // Rule ID 5304 //
     /*  253659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  253676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253698 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253715 */     GIR_RootConstrainSelectedInstOperands,
     /*  253716 */     // GIR_Coverage, 5304,
     /*  253716 */     GIR_EraseRootFromParent_Done,
     /*  253717 */   // Label 4850: @253717
     /*  253717 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253780), // Rule ID 5305 //
     /*  253722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  253739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253761 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253778 */     GIR_RootConstrainSelectedInstOperands,
     /*  253779 */     // GIR_Coverage, 5305,
     /*  253779 */     GIR_EraseRootFromParent_Done,
     /*  253780 */   // Label 4851: @253780
     /*  253780 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253843), // Rule ID 5306 //
     /*  253785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  253802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253841 */     GIR_RootConstrainSelectedInstOperands,
     /*  253842 */     // GIR_Coverage, 5306,
     /*  253842 */     GIR_EraseRootFromParent_Done,
     /*  253843 */   // Label 4852: @253843
     /*  253843 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253906), // Rule ID 5307 //
     /*  253848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  253865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253887 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253904 */     GIR_RootConstrainSelectedInstOperands,
     /*  253905 */     // GIR_Coverage, 5307,
     /*  253905 */     GIR_EraseRootFromParent_Done,
     /*  253906 */   // Label 4853: @253906
     /*  253906 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253969), // Rule ID 5308 //
     /*  253911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  253928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253950 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253967 */     GIR_RootConstrainSelectedInstOperands,
     /*  253968 */     // GIR_Coverage, 5308,
     /*  253968 */     GIR_EraseRootFromParent_Done,
     /*  253969 */   // Label 4854: @253969
     /*  253969 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(254032), // Rule ID 5309 //
     /*  253974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  253991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254013 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  254016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254030 */     GIR_RootConstrainSelectedInstOperands,
     /*  254031 */     // GIR_Coverage, 5309,
     /*  254031 */     GIR_EraseRootFromParent_Done,
     /*  254032 */   // Label 4855: @254032
     /*  254032 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(254095), // Rule ID 5310 //
     /*  254037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  254079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254093 */     GIR_RootConstrainSelectedInstOperands,
     /*  254094 */     // GIR_Coverage, 5310,
     /*  254094 */     GIR_EraseRootFromParent_Done,
     /*  254095 */   // Label 4856: @254095
     /*  254095 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(254158), // Rule ID 5311 //
     /*  254100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254139 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  254142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254156 */     GIR_RootConstrainSelectedInstOperands,
     /*  254157 */     // GIR_Coverage, 5311,
     /*  254157 */     GIR_EraseRootFromParent_Done,
     /*  254158 */   // Label 4857: @254158
     /*  254158 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(254221), // Rule ID 5312 //
     /*  254163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254219 */     GIR_RootConstrainSelectedInstOperands,
     /*  254220 */     // GIR_Coverage, 5312,
     /*  254220 */     GIR_EraseRootFromParent_Done,
     /*  254221 */   // Label 4858: @254221
     /*  254221 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(254284), // Rule ID 5313 //
     /*  254226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254282 */     GIR_RootConstrainSelectedInstOperands,
     /*  254283 */     // GIR_Coverage, 5313,
     /*  254283 */     GIR_EraseRootFromParent_Done,
     /*  254284 */   // Label 4859: @254284
     /*  254284 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(254347), // Rule ID 5314 //
     /*  254289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254345 */     GIR_RootConstrainSelectedInstOperands,
     /*  254346 */     // GIR_Coverage, 5314,
     /*  254346 */     GIR_EraseRootFromParent_Done,
     /*  254347 */   // Label 4860: @254347
     /*  254347 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(254410), // Rule ID 5315 //
     /*  254352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254408 */     GIR_RootConstrainSelectedInstOperands,
     /*  254409 */     // GIR_Coverage, 5315,
     /*  254409 */     GIR_EraseRootFromParent_Done,
     /*  254410 */   // Label 4861: @254410
     /*  254410 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(254473), // Rule ID 5316 //
     /*  254415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254471 */     GIR_RootConstrainSelectedInstOperands,
     /*  254472 */     // GIR_Coverage, 5316,
     /*  254472 */     GIR_EraseRootFromParent_Done,
     /*  254473 */   // Label 4862: @254473
     /*  254473 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(254536), // Rule ID 5317 //
     /*  254478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254517 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254534 */     GIR_RootConstrainSelectedInstOperands,
     /*  254535 */     // GIR_Coverage, 5317,
     /*  254535 */     GIR_EraseRootFromParent_Done,
     /*  254536 */   // Label 4863: @254536
     /*  254536 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(254599), // Rule ID 5318 //
     /*  254541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  254555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254597 */     GIR_RootConstrainSelectedInstOperands,
     /*  254598 */     // GIR_Coverage, 5318,
     /*  254598 */     GIR_EraseRootFromParent_Done,
     /*  254599 */   // Label 4864: @254599
     /*  254599 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254662), // Rule ID 5319 //
     /*  254604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  254618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254643 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254660 */     GIR_RootConstrainSelectedInstOperands,
     /*  254661 */     // GIR_Coverage, 5319,
     /*  254661 */     GIR_EraseRootFromParent_Done,
     /*  254662 */   // Label 4865: @254662
     /*  254662 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254725), // Rule ID 5320 //
     /*  254667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254706 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254723 */     GIR_RootConstrainSelectedInstOperands,
     /*  254724 */     // GIR_Coverage, 5320,
     /*  254724 */     GIR_EraseRootFromParent_Done,
     /*  254725 */   // Label 4866: @254725
     /*  254725 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254788), // Rule ID 5321 //
     /*  254730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254769 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  254772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254786 */     GIR_RootConstrainSelectedInstOperands,
     /*  254787 */     // GIR_Coverage, 5321,
     /*  254787 */     GIR_EraseRootFromParent_Done,
     /*  254788 */   // Label 4867: @254788
     /*  254788 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254851), // Rule ID 5322 //
     /*  254793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  254807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  254835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254849 */     GIR_RootConstrainSelectedInstOperands,
     /*  254850 */     // GIR_Coverage, 5322,
     /*  254850 */     GIR_EraseRootFromParent_Done,
     /*  254851 */   // Label 4868: @254851
     /*  254851 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254914), // Rule ID 5323 //
     /*  254856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  254870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254895 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  254898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254912 */     GIR_RootConstrainSelectedInstOperands,
     /*  254913 */     // GIR_Coverage, 5323,
     /*  254913 */     GIR_EraseRootFromParent_Done,
     /*  254914 */   // Label 4869: @254914
     /*  254914 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254977), // Rule ID 5324 //
     /*  254919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  254933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254958 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  254961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254975 */     GIR_RootConstrainSelectedInstOperands,
     /*  254976 */     // GIR_Coverage, 5324,
     /*  254976 */     GIR_EraseRootFromParent_Done,
     /*  254977 */   // Label 4870: @254977
     /*  254977 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(255040), // Rule ID 5325 //
     /*  254982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  254996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255038 */     GIR_RootConstrainSelectedInstOperands,
     /*  255039 */     // GIR_Coverage, 5325,
     /*  255039 */     GIR_EraseRootFromParent_Done,
     /*  255040 */   // Label 4871: @255040
     /*  255040 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(255103), // Rule ID 5326 //
     /*  255045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255101 */     GIR_RootConstrainSelectedInstOperands,
     /*  255102 */     // GIR_Coverage, 5326,
     /*  255102 */     GIR_EraseRootFromParent_Done,
     /*  255103 */   // Label 4872: @255103
     /*  255103 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(255166), // Rule ID 5327 //
     /*  255108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255147 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255164 */     GIR_RootConstrainSelectedInstOperands,
     /*  255165 */     // GIR_Coverage, 5327,
     /*  255165 */     GIR_EraseRootFromParent_Done,
     /*  255166 */   // Label 4873: @255166
     /*  255166 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(255229), // Rule ID 5328 //
     /*  255171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255210 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255227 */     GIR_RootConstrainSelectedInstOperands,
     /*  255228 */     // GIR_Coverage, 5328,
     /*  255228 */     GIR_EraseRootFromParent_Done,
     /*  255229 */   // Label 4874: @255229
     /*  255229 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(255292), // Rule ID 5329 //
     /*  255234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255290 */     GIR_RootConstrainSelectedInstOperands,
     /*  255291 */     // GIR_Coverage, 5329,
     /*  255291 */     GIR_EraseRootFromParent_Done,
     /*  255292 */   // Label 4875: @255292
     /*  255292 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(255355), // Rule ID 5330 //
     /*  255297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255353 */     GIR_RootConstrainSelectedInstOperands,
     /*  255354 */     // GIR_Coverage, 5330,
     /*  255354 */     GIR_EraseRootFromParent_Done,
     /*  255355 */   // Label 4876: @255355
     /*  255355 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(255418), // Rule ID 5331 //
     /*  255360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255399 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255416 */     GIR_RootConstrainSelectedInstOperands,
     /*  255417 */     // GIR_Coverage, 5331,
     /*  255417 */     GIR_EraseRootFromParent_Done,
     /*  255418 */   // Label 4877: @255418
     /*  255418 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(255481), // Rule ID 5332 //
     /*  255423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255462 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  255465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255479 */     GIR_RootConstrainSelectedInstOperands,
     /*  255480 */     // GIR_Coverage, 5332,
     /*  255480 */     GIR_EraseRootFromParent_Done,
     /*  255481 */   // Label 4878: @255481
     /*  255481 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(255544), // Rule ID 5333 //
     /*  255486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255525 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  255528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255542 */     GIR_RootConstrainSelectedInstOperands,
     /*  255543 */     // GIR_Coverage, 5333,
     /*  255543 */     GIR_EraseRootFromParent_Done,
     /*  255544 */   // Label 4879: @255544
     /*  255544 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(255607), // Rule ID 5334 //
     /*  255549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  255560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  255563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255588 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  255591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255605 */     GIR_RootConstrainSelectedInstOperands,
     /*  255606 */     // GIR_Coverage, 5334,
     /*  255606 */     GIR_EraseRootFromParent_Done,
     /*  255607 */   // Label 4880: @255607
     /*  255607 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255670), // Rule ID 5335 //
     /*  255612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  255623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  255626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255651 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  255654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255668 */     GIR_RootConstrainSelectedInstOperands,
     /*  255669 */     // GIR_Coverage, 5335,
     /*  255669 */     GIR_EraseRootFromParent_Done,
     /*  255670 */   // Label 4881: @255670
     /*  255670 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255733), // Rule ID 5336 //
     /*  255675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  255689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255714 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255731 */     GIR_RootConstrainSelectedInstOperands,
     /*  255732 */     // GIR_Coverage, 5336,
     /*  255732 */     GIR_EraseRootFromParent_Done,
     /*  255733 */   // Label 4882: @255733
     /*  255733 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255796), // Rule ID 5337 //
     /*  255738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  255752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255777 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  255780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255794 */     GIR_RootConstrainSelectedInstOperands,
     /*  255795 */     // GIR_Coverage, 5337,
     /*  255795 */     GIR_EraseRootFromParent_Done,
     /*  255796 */   // Label 4883: @255796
     /*  255796 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255859), // Rule ID 5338 //
     /*  255801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  255815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  255843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255857 */     GIR_RootConstrainSelectedInstOperands,
     /*  255858 */     // GIR_Coverage, 5338,
     /*  255858 */     GIR_EraseRootFromParent_Done,
     /*  255859 */   // Label 4884: @255859
     /*  255859 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255922), // Rule ID 5339 //
     /*  255864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  255878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255903 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  255906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255920 */     GIR_RootConstrainSelectedInstOperands,
     /*  255921 */     // GIR_Coverage, 5339,
     /*  255921 */     GIR_EraseRootFromParent_Done,
     /*  255922 */   // Label 4885: @255922
     /*  255922 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255985), // Rule ID 5340 //
     /*  255927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  255941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255966 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  255969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255983 */     GIR_RootConstrainSelectedInstOperands,
     /*  255984 */     // GIR_Coverage, 5340,
     /*  255984 */     GIR_EraseRootFromParent_Done,
     /*  255985 */   // Label 4886: @255985
     /*  255985 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(256048), // Rule ID 5341 //
     /*  255990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256029 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256046 */     GIR_RootConstrainSelectedInstOperands,
     /*  256047 */     // GIR_Coverage, 5341,
     /*  256047 */     GIR_EraseRootFromParent_Done,
     /*  256048 */   // Label 4887: @256048
     /*  256048 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(256111), // Rule ID 5342 //
     /*  256053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256109 */     GIR_RootConstrainSelectedInstOperands,
     /*  256110 */     // GIR_Coverage, 5342,
     /*  256110 */     GIR_EraseRootFromParent_Done,
     /*  256111 */   // Label 4888: @256111
     /*  256111 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(256174), // Rule ID 5343 //
     /*  256116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256155 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256172 */     GIR_RootConstrainSelectedInstOperands,
     /*  256173 */     // GIR_Coverage, 5343,
     /*  256173 */     GIR_EraseRootFromParent_Done,
     /*  256174 */   // Label 4889: @256174
     /*  256174 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(256237), // Rule ID 5344 //
     /*  256179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256235 */     GIR_RootConstrainSelectedInstOperands,
     /*  256236 */     // GIR_Coverage, 5344,
     /*  256236 */     GIR_EraseRootFromParent_Done,
     /*  256237 */   // Label 4890: @256237
     /*  256237 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(256300), // Rule ID 5345 //
     /*  256242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256298 */     GIR_RootConstrainSelectedInstOperands,
     /*  256299 */     // GIR_Coverage, 5345,
     /*  256299 */     GIR_EraseRootFromParent_Done,
     /*  256300 */   // Label 4891: @256300
     /*  256300 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(256363), // Rule ID 5346 //
     /*  256305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256344 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256361 */     GIR_RootConstrainSelectedInstOperands,
     /*  256362 */     // GIR_Coverage, 5346,
     /*  256362 */     GIR_EraseRootFromParent_Done,
     /*  256363 */   // Label 4892: @256363
     /*  256363 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(256426), // Rule ID 5347 //
     /*  256368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256407 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256424 */     GIR_RootConstrainSelectedInstOperands,
     /*  256425 */     // GIR_Coverage, 5347,
     /*  256425 */     GIR_EraseRootFromParent_Done,
     /*  256426 */   // Label 4893: @256426
     /*  256426 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(256489), // Rule ID 5348 //
     /*  256431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256470 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256487 */     GIR_RootConstrainSelectedInstOperands,
     /*  256488 */     // GIR_Coverage, 5348,
     /*  256488 */     GIR_EraseRootFromParent_Done,
     /*  256489 */   // Label 4894: @256489
     /*  256489 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(256552), // Rule ID 5349 //
     /*  256494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256533 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256550 */     GIR_RootConstrainSelectedInstOperands,
     /*  256551 */     // GIR_Coverage, 5349,
     /*  256551 */     GIR_EraseRootFromParent_Done,
     /*  256552 */   // Label 4895: @256552
     /*  256552 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(256615), // Rule ID 5350 //
     /*  256557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256613 */     GIR_RootConstrainSelectedInstOperands,
     /*  256614 */     // GIR_Coverage, 5350,
     /*  256614 */     GIR_EraseRootFromParent_Done,
     /*  256615 */   // Label 4896: @256615
     /*  256615 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256678), // Rule ID 5351 //
     /*  256620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256659 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256676 */     GIR_RootConstrainSelectedInstOperands,
     /*  256677 */     // GIR_Coverage, 5351,
     /*  256677 */     GIR_EraseRootFromParent_Done,
     /*  256678 */   // Label 4897: @256678
     /*  256678 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256741), // Rule ID 5352 //
     /*  256683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256722 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256739 */     GIR_RootConstrainSelectedInstOperands,
     /*  256740 */     // GIR_Coverage, 5352,
     /*  256740 */     GIR_EraseRootFromParent_Done,
     /*  256741 */   // Label 4898: @256741
     /*  256741 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256804), // Rule ID 5353 //
     /*  256746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256802 */     GIR_RootConstrainSelectedInstOperands,
     /*  256803 */     // GIR_Coverage, 5353,
     /*  256803 */     GIR_EraseRootFromParent_Done,
     /*  256804 */   // Label 4899: @256804
     /*  256804 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256867), // Rule ID 5574 //
     /*  256809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  256826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  256851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256865 */     GIR_RootConstrainSelectedInstOperands,
     /*  256866 */     // GIR_Coverage, 5574,
     /*  256866 */     GIR_EraseRootFromParent_Done,
     /*  256867 */   // Label 4900: @256867
     /*  256867 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256930), // Rule ID 5575 //
     /*  256872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  256889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  256914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256928 */     GIR_RootConstrainSelectedInstOperands,
     /*  256929 */     // GIR_Coverage, 5575,
     /*  256929 */     GIR_EraseRootFromParent_Done,
     /*  256930 */   // Label 4901: @256930
     /*  256930 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256993), // Rule ID 5576 //
     /*  256935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  256952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256974 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  256977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256991 */     GIR_RootConstrainSelectedInstOperands,
     /*  256992 */     // GIR_Coverage, 5576,
     /*  256992 */     GIR_EraseRootFromParent_Done,
     /*  256993 */   // Label 4902: @256993
     /*  256993 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(257056), // Rule ID 5577 //
     /*  256998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257054 */     GIR_RootConstrainSelectedInstOperands,
     /*  257055 */     // GIR_Coverage, 5577,
     /*  257055 */     GIR_EraseRootFromParent_Done,
     /*  257056 */   // Label 4903: @257056
     /*  257056 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(257119), // Rule ID 5578 //
     /*  257061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257117 */     GIR_RootConstrainSelectedInstOperands,
     /*  257118 */     // GIR_Coverage, 5578,
     /*  257118 */     GIR_EraseRootFromParent_Done,
     /*  257119 */   // Label 4904: @257119
     /*  257119 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(257182), // Rule ID 5579 //
     /*  257124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257163 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257180 */     GIR_RootConstrainSelectedInstOperands,
     /*  257181 */     // GIR_Coverage, 5579,
     /*  257181 */     GIR_EraseRootFromParent_Done,
     /*  257182 */   // Label 4905: @257182
     /*  257182 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(257245), // Rule ID 5580 //
     /*  257187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257226 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257243 */     GIR_RootConstrainSelectedInstOperands,
     /*  257244 */     // GIR_Coverage, 5580,
     /*  257244 */     GIR_EraseRootFromParent_Done,
     /*  257245 */   // Label 4906: @257245
     /*  257245 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(257308), // Rule ID 5581 //
     /*  257250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257306 */     GIR_RootConstrainSelectedInstOperands,
     /*  257307 */     // GIR_Coverage, 5581,
     /*  257307 */     GIR_EraseRootFromParent_Done,
     /*  257308 */   // Label 4907: @257308
     /*  257308 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(257371), // Rule ID 5582 //
     /*  257313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  257330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257369 */     GIR_RootConstrainSelectedInstOperands,
     /*  257370 */     // GIR_Coverage, 5582,
     /*  257370 */     GIR_EraseRootFromParent_Done,
     /*  257371 */   // Label 4908: @257371
     /*  257371 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(257434), // Rule ID 5583 //
     /*  257376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  257393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257415 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257432 */     GIR_RootConstrainSelectedInstOperands,
     /*  257433 */     // GIR_Coverage, 5583,
     /*  257433 */     GIR_EraseRootFromParent_Done,
     /*  257434 */   // Label 4909: @257434
     /*  257434 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(257497), // Rule ID 5584 //
     /*  257439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257495 */     GIR_RootConstrainSelectedInstOperands,
     /*  257496 */     // GIR_Coverage, 5584,
     /*  257496 */     GIR_EraseRootFromParent_Done,
     /*  257497 */   // Label 4910: @257497
     /*  257497 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(257560), // Rule ID 5585 //
     /*  257502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257541 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257558 */     GIR_RootConstrainSelectedInstOperands,
     /*  257559 */     // GIR_Coverage, 5585,
     /*  257559 */     GIR_EraseRootFromParent_Done,
     /*  257560 */   // Label 4911: @257560
     /*  257560 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(257623), // Rule ID 5586 //
     /*  257565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  257582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257621 */     GIR_RootConstrainSelectedInstOperands,
     /*  257622 */     // GIR_Coverage, 5586,
     /*  257622 */     GIR_EraseRootFromParent_Done,
     /*  257623 */   // Label 4912: @257623
     /*  257623 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257686), // Rule ID 5587 //
     /*  257628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  257645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257667 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257684 */     GIR_RootConstrainSelectedInstOperands,
     /*  257685 */     // GIR_Coverage, 5587,
     /*  257685 */     GIR_EraseRootFromParent_Done,
     /*  257686 */   // Label 4913: @257686
     /*  257686 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257749), // Rule ID 5588 //
     /*  257691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257730 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257747 */     GIR_RootConstrainSelectedInstOperands,
     /*  257748 */     // GIR_Coverage, 5588,
     /*  257748 */     GIR_EraseRootFromParent_Done,
     /*  257749 */   // Label 4914: @257749
     /*  257749 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257812), // Rule ID 5589 //
     /*  257754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257793 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257810 */     GIR_RootConstrainSelectedInstOperands,
     /*  257811 */     // GIR_Coverage, 5589,
     /*  257811 */     GIR_EraseRootFromParent_Done,
     /*  257812 */   // Label 4915: @257812
     /*  257812 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257875), // Rule ID 5590 //
     /*  257817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  257831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257873 */     GIR_RootConstrainSelectedInstOperands,
     /*  257874 */     // GIR_Coverage, 5590,
     /*  257874 */     GIR_EraseRootFromParent_Done,
     /*  257875 */   // Label 4916: @257875
     /*  257875 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257938), // Rule ID 5591 //
     /*  257880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  257894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257919 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257936 */     GIR_RootConstrainSelectedInstOperands,
     /*  257937 */     // GIR_Coverage, 5591,
     /*  257937 */     GIR_EraseRootFromParent_Done,
     /*  257938 */   // Label 4917: @257938
     /*  257938 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(258001), // Rule ID 5592 //
     /*  257943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  257957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  257960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257982 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  257985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257999 */     GIR_RootConstrainSelectedInstOperands,
     /*  258000 */     // GIR_Coverage, 5592,
     /*  258000 */     GIR_EraseRootFromParent_Done,
     /*  258001 */   // Label 4918: @258001
     /*  258001 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(258064), // Rule ID 5593 //
     /*  258006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258045 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258062 */     GIR_RootConstrainSelectedInstOperands,
     /*  258063 */     // GIR_Coverage, 5593,
     /*  258063 */     GIR_EraseRootFromParent_Done,
     /*  258064 */   // Label 4919: @258064
     /*  258064 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(258127), // Rule ID 5594 //
     /*  258069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258125 */     GIR_RootConstrainSelectedInstOperands,
     /*  258126 */     // GIR_Coverage, 5594,
     /*  258126 */     GIR_EraseRootFromParent_Done,
     /*  258127 */   // Label 4920: @258127
     /*  258127 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(258190), // Rule ID 5595 //
     /*  258132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258188 */     GIR_RootConstrainSelectedInstOperands,
     /*  258189 */     // GIR_Coverage, 5595,
     /*  258189 */     GIR_EraseRootFromParent_Done,
     /*  258190 */   // Label 4921: @258190
     /*  258190 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(258253), // Rule ID 5596 //
     /*  258195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258234 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258251 */     GIR_RootConstrainSelectedInstOperands,
     /*  258252 */     // GIR_Coverage, 5596,
     /*  258252 */     GIR_EraseRootFromParent_Done,
     /*  258253 */   // Label 4922: @258253
     /*  258253 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(258316), // Rule ID 5597 //
     /*  258258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258297 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258314 */     GIR_RootConstrainSelectedInstOperands,
     /*  258315 */     // GIR_Coverage, 5597,
     /*  258315 */     GIR_EraseRootFromParent_Done,
     /*  258316 */   // Label 4923: @258316
     /*  258316 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(258379), // Rule ID 5598 //
     /*  258321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  258332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  258335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  258338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258360 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  258363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258377 */     GIR_RootConstrainSelectedInstOperands,
     /*  258378 */     // GIR_Coverage, 5598,
     /*  258378 */     GIR_EraseRootFromParent_Done,
     /*  258379 */   // Label 4924: @258379
     /*  258379 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(258442), // Rule ID 5599 //
     /*  258384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  258395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  258398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  258401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258423 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  258426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258440 */     GIR_RootConstrainSelectedInstOperands,
     /*  258441 */     // GIR_Coverage, 5599,
     /*  258441 */     GIR_EraseRootFromParent_Done,
     /*  258442 */   // Label 4925: @258442
     /*  258442 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(258505), // Rule ID 5600 //
     /*  258447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258486 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258503 */     GIR_RootConstrainSelectedInstOperands,
     /*  258504 */     // GIR_Coverage, 5600,
     /*  258504 */     GIR_EraseRootFromParent_Done,
     /*  258505 */   // Label 4926: @258505
     /*  258505 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(258568), // Rule ID 5601 //
     /*  258510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258549 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258566 */     GIR_RootConstrainSelectedInstOperands,
     /*  258567 */     // GIR_Coverage, 5601,
     /*  258567 */     GIR_EraseRootFromParent_Done,
     /*  258568 */   // Label 4927: @258568
     /*  258568 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258631), // Rule ID 5602 //
     /*  258573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  258590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258629 */     GIR_RootConstrainSelectedInstOperands,
     /*  258630 */     // GIR_Coverage, 5602,
     /*  258630 */     GIR_EraseRootFromParent_Done,
     /*  258631 */   // Label 4928: @258631
     /*  258631 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258694), // Rule ID 5603 //
     /*  258636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  258653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258675 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258692 */     GIR_RootConstrainSelectedInstOperands,
     /*  258693 */     // GIR_Coverage, 5603,
     /*  258693 */     GIR_EraseRootFromParent_Done,
     /*  258694 */   // Label 4929: @258694
     /*  258694 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258757), // Rule ID 5604 //
     /*  258699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  258713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  258716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258738 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  258741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258755 */     GIR_RootConstrainSelectedInstOperands,
     /*  258756 */     // GIR_Coverage, 5604,
     /*  258756 */     GIR_EraseRootFromParent_Done,
     /*  258757 */   // Label 4930: @258757
     /*  258757 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258820), // Rule ID 5605 //
     /*  258762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  258776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  258779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258801 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  258804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258818 */     GIR_RootConstrainSelectedInstOperands,
     /*  258819 */     // GIR_Coverage, 5605,
     /*  258819 */     GIR_EraseRootFromParent_Done,
     /*  258820 */   // Label 4931: @258820
     /*  258820 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258883), // Rule ID 5606 //
     /*  258825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  258842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258881 */     GIR_RootConstrainSelectedInstOperands,
     /*  258882 */     // GIR_Coverage, 5606,
     /*  258882 */     GIR_EraseRootFromParent_Done,
     /*  258883 */   // Label 4932: @258883
     /*  258883 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258946), // Rule ID 5607 //
     /*  258888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  258905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258944 */     GIR_RootConstrainSelectedInstOperands,
     /*  258945 */     // GIR_Coverage, 5607,
     /*  258945 */     GIR_EraseRootFromParent_Done,
     /*  258946 */   // Label 4933: @258946
     /*  258946 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(259009), // Rule ID 5608 //
     /*  258951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  258968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258990 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259007 */     GIR_RootConstrainSelectedInstOperands,
     /*  259008 */     // GIR_Coverage, 5608,
     /*  259008 */     GIR_EraseRootFromParent_Done,
     /*  259009 */   // Label 4934: @259009
     /*  259009 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(259072), // Rule ID 5609 //
     /*  259014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259070 */     GIR_RootConstrainSelectedInstOperands,
     /*  259071 */     // GIR_Coverage, 5609,
     /*  259071 */     GIR_EraseRootFromParent_Done,
     /*  259072 */   // Label 4935: @259072
     /*  259072 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(259135), // Rule ID 5610 //
     /*  259077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259133 */     GIR_RootConstrainSelectedInstOperands,
     /*  259134 */     // GIR_Coverage, 5610,
     /*  259134 */     GIR_EraseRootFromParent_Done,
     /*  259135 */   // Label 4936: @259135
     /*  259135 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(259198), // Rule ID 5611 //
     /*  259140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259179 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259196 */     GIR_RootConstrainSelectedInstOperands,
     /*  259197 */     // GIR_Coverage, 5611,
     /*  259197 */     GIR_EraseRootFromParent_Done,
     /*  259198 */   // Label 4937: @259198
     /*  259198 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(259261), // Rule ID 5612 //
     /*  259203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259242 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259259 */     GIR_RootConstrainSelectedInstOperands,
     /*  259260 */     // GIR_Coverage, 5612,
     /*  259260 */     GIR_EraseRootFromParent_Done,
     /*  259261 */   // Label 4938: @259261
     /*  259261 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(259324), // Rule ID 5613 //
     /*  259266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259305 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259322 */     GIR_RootConstrainSelectedInstOperands,
     /*  259323 */     // GIR_Coverage, 5613,
     /*  259323 */     GIR_EraseRootFromParent_Done,
     /*  259324 */   // Label 4939: @259324
     /*  259324 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(259387), // Rule ID 5614 //
     /*  259329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  259343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  259346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259385 */     GIR_RootConstrainSelectedInstOperands,
     /*  259386 */     // GIR_Coverage, 5614,
     /*  259386 */     GIR_EraseRootFromParent_Done,
     /*  259387 */   // Label 4940: @259387
     /*  259387 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(259450), // Rule ID 5615 //
     /*  259392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  259406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  259409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259448 */     GIR_RootConstrainSelectedInstOperands,
     /*  259449 */     // GIR_Coverage, 5615,
     /*  259449 */     GIR_EraseRootFromParent_Done,
     /*  259450 */   // Label 4941: @259450
     /*  259450 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(259513), // Rule ID 5616 //
     /*  259455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  259472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259494 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259511 */     GIR_RootConstrainSelectedInstOperands,
     /*  259512 */     // GIR_Coverage, 5616,
     /*  259512 */     GIR_EraseRootFromParent_Done,
     /*  259513 */   // Label 4942: @259513
     /*  259513 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(259576), // Rule ID 5617 //
     /*  259518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  259535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259557 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259574 */     GIR_RootConstrainSelectedInstOperands,
     /*  259575 */     // GIR_Coverage, 5617,
     /*  259575 */     GIR_EraseRootFromParent_Done,
     /*  259576 */   // Label 4943: @259576
     /*  259576 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259639), // Rule ID 5618 //
     /*  259581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  259595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  259623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259637 */     GIR_RootConstrainSelectedInstOperands,
     /*  259638 */     // GIR_Coverage, 5618,
     /*  259638 */     GIR_EraseRootFromParent_Done,
     /*  259639 */   // Label 4944: @259639
     /*  259639 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259702), // Rule ID 5619 //
     /*  259644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  259658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  259686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259700 */     GIR_RootConstrainSelectedInstOperands,
     /*  259701 */     // GIR_Coverage, 5619,
     /*  259701 */     GIR_EraseRootFromParent_Done,
     /*  259702 */   // Label 4945: @259702
     /*  259702 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259765), // Rule ID 5620 //
     /*  259707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  259721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259746 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  259749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259763 */     GIR_RootConstrainSelectedInstOperands,
     /*  259764 */     // GIR_Coverage, 5620,
     /*  259764 */     GIR_EraseRootFromParent_Done,
     /*  259765 */   // Label 4946: @259765
     /*  259765 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259828), // Rule ID 5621 //
     /*  259770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  259784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  259812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259826 */     GIR_RootConstrainSelectedInstOperands,
     /*  259827 */     // GIR_Coverage, 5621,
     /*  259827 */     GIR_EraseRootFromParent_Done,
     /*  259828 */   // Label 4947: @259828
     /*  259828 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259891), // Rule ID 5622 //
     /*  259833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  259875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259889 */     GIR_RootConstrainSelectedInstOperands,
     /*  259890 */     // GIR_Coverage, 5622,
     /*  259890 */     GIR_EraseRootFromParent_Done,
     /*  259891 */   // Label 4948: @259891
     /*  259891 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259954), // Rule ID 5623 //
     /*  259896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259935 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  259938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259952 */     GIR_RootConstrainSelectedInstOperands,
     /*  259953 */     // GIR_Coverage, 5623,
     /*  259953 */     GIR_EraseRootFromParent_Done,
     /*  259954 */   // Label 4949: @259954
     /*  259954 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(260017), // Rule ID 5624 //
     /*  259959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260015 */     GIR_RootConstrainSelectedInstOperands,
     /*  260016 */     // GIR_Coverage, 5624,
     /*  260016 */     GIR_EraseRootFromParent_Done,
     /*  260017 */   // Label 4950: @260017
     /*  260017 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(260080), // Rule ID 5625 //
     /*  260022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260078 */     GIR_RootConstrainSelectedInstOperands,
     /*  260079 */     // GIR_Coverage, 5625,
     /*  260079 */     GIR_EraseRootFromParent_Done,
     /*  260080 */   // Label 4951: @260080
     /*  260080 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(260143), // Rule ID 5626 //
     /*  260085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260141 */     GIR_RootConstrainSelectedInstOperands,
     /*  260142 */     // GIR_Coverage, 5626,
     /*  260142 */     GIR_EraseRootFromParent_Done,
     /*  260143 */   // Label 4952: @260143
     /*  260143 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(260206), // Rule ID 5627 //
     /*  260148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260204 */     GIR_RootConstrainSelectedInstOperands,
     /*  260205 */     // GIR_Coverage, 5627,
     /*  260205 */     GIR_EraseRootFromParent_Done,
     /*  260206 */   // Label 4953: @260206
     /*  260206 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(260269), // Rule ID 5628 //
     /*  260211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260250 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260267 */     GIR_RootConstrainSelectedInstOperands,
     /*  260268 */     // GIR_Coverage, 5628,
     /*  260268 */     GIR_EraseRootFromParent_Done,
     /*  260269 */   // Label 4954: @260269
     /*  260269 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(260332), // Rule ID 5629 //
     /*  260274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260313 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260330 */     GIR_RootConstrainSelectedInstOperands,
     /*  260331 */     // GIR_Coverage, 5629,
     /*  260331 */     GIR_EraseRootFromParent_Done,
     /*  260332 */   // Label 4955: @260332
     /*  260332 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(260395), // Rule ID 5630 //
     /*  260337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  260351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260393 */     GIR_RootConstrainSelectedInstOperands,
     /*  260394 */     // GIR_Coverage, 5630,
     /*  260394 */     GIR_EraseRootFromParent_Done,
     /*  260395 */   // Label 4956: @260395
     /*  260395 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(260458), // Rule ID 5631 //
     /*  260400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  260414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260439 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260456 */     GIR_RootConstrainSelectedInstOperands,
     /*  260457 */     // GIR_Coverage, 5631,
     /*  260457 */     GIR_EraseRootFromParent_Done,
     /*  260458 */   // Label 4957: @260458
     /*  260458 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(260521), // Rule ID 5632 //
     /*  260463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260502 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260519 */     GIR_RootConstrainSelectedInstOperands,
     /*  260520 */     // GIR_Coverage, 5632,
     /*  260520 */     GIR_EraseRootFromParent_Done,
     /*  260521 */   // Label 4958: @260521
     /*  260521 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(260584), // Rule ID 5633 //
     /*  260526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260565 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260582 */     GIR_RootConstrainSelectedInstOperands,
     /*  260583 */     // GIR_Coverage, 5633,
     /*  260583 */     GIR_EraseRootFromParent_Done,
     /*  260584 */   // Label 4959: @260584
     /*  260584 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260647), // Rule ID 5634 //
     /*  260589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260645 */     GIR_RootConstrainSelectedInstOperands,
     /*  260646 */     // GIR_Coverage, 5634,
     /*  260646 */     GIR_EraseRootFromParent_Done,
     /*  260647 */   // Label 4960: @260647
     /*  260647 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260710), // Rule ID 5635 //
     /*  260652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260691 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260708 */     GIR_RootConstrainSelectedInstOperands,
     /*  260709 */     // GIR_Coverage, 5635,
     /*  260709 */     GIR_EraseRootFromParent_Done,
     /*  260710 */   // Label 4961: @260710
     /*  260710 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260773), // Rule ID 5636 //
     /*  260715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  260729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260771 */     GIR_RootConstrainSelectedInstOperands,
     /*  260772 */     // GIR_Coverage, 5636,
     /*  260772 */     GIR_EraseRootFromParent_Done,
     /*  260773 */   // Label 4962: @260773
     /*  260773 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260836), // Rule ID 5637 //
     /*  260778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  260792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  260820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260834 */     GIR_RootConstrainSelectedInstOperands,
     /*  260835 */     // GIR_Coverage, 5637,
     /*  260835 */     GIR_EraseRootFromParent_Done,
     /*  260836 */   // Label 4963: @260836
     /*  260836 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260899), // Rule ID 5638 //
     /*  260841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  260855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  260883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260897 */     GIR_RootConstrainSelectedInstOperands,
     /*  260898 */     // GIR_Coverage, 5638,
     /*  260898 */     GIR_EraseRootFromParent_Done,
     /*  260899 */   // Label 4964: @260899
     /*  260899 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260962), // Rule ID 5639 //
     /*  260904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  260918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260943 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  260946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260960 */     GIR_RootConstrainSelectedInstOperands,
     /*  260961 */     // GIR_Coverage, 5639,
     /*  260961 */     GIR_EraseRootFromParent_Done,
     /*  260962 */   // Label 4965: @260962
     /*  260962 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(261025), // Rule ID 5640 //
     /*  260967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  260981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261006 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261023 */     GIR_RootConstrainSelectedInstOperands,
     /*  261024 */     // GIR_Coverage, 5640,
     /*  261024 */     GIR_EraseRootFromParent_Done,
     /*  261025 */   // Label 4966: @261025
     /*  261025 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(261088), // Rule ID 5641 //
     /*  261030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261069 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261086 */     GIR_RootConstrainSelectedInstOperands,
     /*  261087 */     // GIR_Coverage, 5641,
     /*  261087 */     GIR_EraseRootFromParent_Done,
     /*  261088 */   // Label 4967: @261088
     /*  261088 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(261151), // Rule ID 5642 //
     /*  261093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261132 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261149 */     GIR_RootConstrainSelectedInstOperands,
     /*  261150 */     // GIR_Coverage, 5642,
     /*  261150 */     GIR_EraseRootFromParent_Done,
     /*  261151 */   // Label 4968: @261151
     /*  261151 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(261214), // Rule ID 5643 //
     /*  261156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261195 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261212 */     GIR_RootConstrainSelectedInstOperands,
     /*  261213 */     // GIR_Coverage, 5643,
     /*  261213 */     GIR_EraseRootFromParent_Done,
     /*  261214 */   // Label 4969: @261214
     /*  261214 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(261277), // Rule ID 5644 //
     /*  261219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261275 */     GIR_RootConstrainSelectedInstOperands,
     /*  261276 */     // GIR_Coverage, 5644,
     /*  261276 */     GIR_EraseRootFromParent_Done,
     /*  261277 */   // Label 4970: @261277
     /*  261277 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(261340), // Rule ID 5645 //
     /*  261282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261338 */     GIR_RootConstrainSelectedInstOperands,
     /*  261339 */     // GIR_Coverage, 5645,
     /*  261339 */     GIR_EraseRootFromParent_Done,
     /*  261340 */   // Label 4971: @261340
     /*  261340 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(261403), // Rule ID 5646 //
     /*  261345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261401 */     GIR_RootConstrainSelectedInstOperands,
     /*  261402 */     // GIR_Coverage, 5646,
     /*  261402 */     GIR_EraseRootFromParent_Done,
     /*  261403 */   // Label 4972: @261403
     /*  261403 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(261466), // Rule ID 5647 //
     /*  261408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261464 */     GIR_RootConstrainSelectedInstOperands,
     /*  261465 */     // GIR_Coverage, 5647,
     /*  261465 */     GIR_EraseRootFromParent_Done,
     /*  261466 */   // Label 4973: @261466
     /*  261466 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(261529), // Rule ID 5648 //
     /*  261471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  261485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261510 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261527 */     GIR_RootConstrainSelectedInstOperands,
     /*  261528 */     // GIR_Coverage, 5648,
     /*  261528 */     GIR_EraseRootFromParent_Done,
     /*  261529 */   // Label 4974: @261529
     /*  261529 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(261592), // Rule ID 5649 //
     /*  261534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  261548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261590 */     GIR_RootConstrainSelectedInstOperands,
     /*  261591 */     // GIR_Coverage, 5649,
     /*  261591 */     GIR_EraseRootFromParent_Done,
     /*  261592 */   // Label 4975: @261592
     /*  261592 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261655), // Rule ID 5650 //
     /*  261597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261653 */     GIR_RootConstrainSelectedInstOperands,
     /*  261654 */     // GIR_Coverage, 5650,
     /*  261654 */     GIR_EraseRootFromParent_Done,
     /*  261655 */   // Label 4976: @261655
     /*  261655 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261718), // Rule ID 5651 //
     /*  261660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261716 */     GIR_RootConstrainSelectedInstOperands,
     /*  261717 */     // GIR_Coverage, 5651,
     /*  261717 */     GIR_EraseRootFromParent_Done,
     /*  261718 */   // Label 4977: @261718
     /*  261718 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261781), // Rule ID 5652 //
     /*  261723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261779 */     GIR_RootConstrainSelectedInstOperands,
     /*  261780 */     // GIR_Coverage, 5652,
     /*  261780 */     GIR_EraseRootFromParent_Done,
     /*  261781 */   // Label 4978: @261781
     /*  261781 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261844), // Rule ID 5653 //
     /*  261786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261825 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261842 */     GIR_RootConstrainSelectedInstOperands,
     /*  261843 */     // GIR_Coverage, 5653,
     /*  261843 */     GIR_EraseRootFromParent_Done,
     /*  261844 */   // Label 4979: @261844
     /*  261844 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261907), // Rule ID 5654 //
     /*  261849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  261863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261905 */     GIR_RootConstrainSelectedInstOperands,
     /*  261906 */     // GIR_Coverage, 5654,
     /*  261906 */     GIR_EraseRootFromParent_Done,
     /*  261907 */   // Label 4980: @261907
     /*  261907 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261970), // Rule ID 5655 //
     /*  261912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  261926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261968 */     GIR_RootConstrainSelectedInstOperands,
     /*  261969 */     // GIR_Coverage, 5655,
     /*  261969 */     GIR_EraseRootFromParent_Done,
     /*  261970 */   // Label 4981: @261970
     /*  261970 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(262033), // Rule ID 5656 //
     /*  261975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  261989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262031 */     GIR_RootConstrainSelectedInstOperands,
     /*  262032 */     // GIR_Coverage, 5656,
     /*  262032 */     GIR_EraseRootFromParent_Done,
     /*  262033 */   // Label 4982: @262033
     /*  262033 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(262096), // Rule ID 5657 //
     /*  262038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262094 */     GIR_RootConstrainSelectedInstOperands,
     /*  262095 */     // GIR_Coverage, 5657,
     /*  262095 */     GIR_EraseRootFromParent_Done,
     /*  262096 */   // Label 4983: @262096
     /*  262096 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(262159), // Rule ID 5658 //
     /*  262101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262157 */     GIR_RootConstrainSelectedInstOperands,
     /*  262158 */     // GIR_Coverage, 5658,
     /*  262158 */     GIR_EraseRootFromParent_Done,
     /*  262159 */   // Label 4984: @262159
     /*  262159 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(262222), // Rule ID 5659 //
     /*  262164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262220 */     GIR_RootConstrainSelectedInstOperands,
     /*  262221 */     // GIR_Coverage, 5659,
     /*  262221 */     GIR_EraseRootFromParent_Done,
     /*  262222 */   // Label 4985: @262222
     /*  262222 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(262285), // Rule ID 5660 //
     /*  262227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262283 */     GIR_RootConstrainSelectedInstOperands,
     /*  262284 */     // GIR_Coverage, 5660,
     /*  262284 */     GIR_EraseRootFromParent_Done,
     /*  262285 */   // Label 4986: @262285
     /*  262285 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(262348), // Rule ID 5661 //
     /*  262290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262346 */     GIR_RootConstrainSelectedInstOperands,
     /*  262347 */     // GIR_Coverage, 5661,
     /*  262347 */     GIR_EraseRootFromParent_Done,
     /*  262348 */   // Label 4987: @262348
     /*  262348 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(262411), // Rule ID 7694 //
     /*  262353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  262367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  262370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262409 */     GIR_RootConstrainSelectedInstOperands,
     /*  262410 */     // GIR_Coverage, 7694,
     /*  262410 */     GIR_EraseRootFromParent_Done,
     /*  262411 */   // Label 4988: @262411
     /*  262411 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(262474), // Rule ID 7695 //
     /*  262416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  262430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  262433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262455 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262472 */     GIR_RootConstrainSelectedInstOperands,
     /*  262473 */     // GIR_Coverage, 7695,
     /*  262473 */     GIR_EraseRootFromParent_Done,
     /*  262474 */   // Label 4989: @262474
     /*  262474 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(262537), // Rule ID 7698 //
     /*  262479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  262493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  262496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262518 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262535 */     GIR_RootConstrainSelectedInstOperands,
     /*  262536 */     // GIR_Coverage, 7698,
     /*  262536 */     GIR_EraseRootFromParent_Done,
     /*  262537 */   // Label 4990: @262537
     /*  262537 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(262600), // Rule ID 7699 //
     /*  262542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  262556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  262559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262581 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262598 */     GIR_RootConstrainSelectedInstOperands,
     /*  262599 */     // GIR_Coverage, 7699,
     /*  262599 */     GIR_EraseRootFromParent_Done,
     /*  262600 */   // Label 4991: @262600
     /*  262600 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262663), // Rule ID 7702 //
     /*  262605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  262619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  262622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262661 */     GIR_RootConstrainSelectedInstOperands,
     /*  262662 */     // GIR_Coverage, 7702,
     /*  262662 */     GIR_EraseRootFromParent_Done,
     /*  262663 */   // Label 4992: @262663
     /*  262663 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262726), // Rule ID 7703 //
     /*  262668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  262682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  262685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  262710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262724 */     GIR_RootConstrainSelectedInstOperands,
     /*  262725 */     // GIR_Coverage, 7703,
     /*  262725 */     GIR_EraseRootFromParent_Done,
     /*  262726 */   // Label 4993: @262726
     /*  262726 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262789), // Rule ID 7706 //
     /*  262731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  262745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  262748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262770 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262787 */     GIR_RootConstrainSelectedInstOperands,
     /*  262788 */     // GIR_Coverage, 7706,
     /*  262788 */     GIR_EraseRootFromParent_Done,
     /*  262789 */   // Label 4994: @262789
     /*  262789 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262852), // Rule ID 7707 //
     /*  262794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  262808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  262811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262833 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262850 */     GIR_RootConstrainSelectedInstOperands,
     /*  262851 */     // GIR_Coverage, 7707,
     /*  262851 */     GIR_EraseRootFromParent_Done,
     /*  262852 */   // Label 4995: @262852
     /*  262852 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262915), // Rule ID 7710 //
     /*  262857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  262871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  262874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262896 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262913 */     GIR_RootConstrainSelectedInstOperands,
     /*  262914 */     // GIR_Coverage, 7710,
     /*  262914 */     GIR_EraseRootFromParent_Done,
     /*  262915 */   // Label 4996: @262915
     /*  262915 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262978), // Rule ID 7711 //
     /*  262920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  262934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  262937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262959 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  262962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262976 */     GIR_RootConstrainSelectedInstOperands,
     /*  262977 */     // GIR_Coverage, 7711,
     /*  262977 */     GIR_EraseRootFromParent_Done,
     /*  262978 */   // Label 4997: @262978
     /*  262978 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(263041), // Rule ID 7714 //
     /*  262983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  262991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  262997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263039 */     GIR_RootConstrainSelectedInstOperands,
     /*  263040 */     // GIR_Coverage, 7714,
     /*  263040 */     GIR_EraseRootFromParent_Done,
     /*  263041 */   // Label 4998: @263041
     /*  263041 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(263104), // Rule ID 7715 //
     /*  263046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263085 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263102 */     GIR_RootConstrainSelectedInstOperands,
     /*  263103 */     // GIR_Coverage, 7715,
     /*  263103 */     GIR_EraseRootFromParent_Done,
     /*  263104 */   // Label 4999: @263104
     /*  263104 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(263167), // Rule ID 7718 //
     /*  263109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263165 */     GIR_RootConstrainSelectedInstOperands,
     /*  263166 */     // GIR_Coverage, 7718,
     /*  263166 */     GIR_EraseRootFromParent_Done,
     /*  263167 */   // Label 5000: @263167
     /*  263167 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(263230), // Rule ID 7719 //
     /*  263172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263211 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263228 */     GIR_RootConstrainSelectedInstOperands,
     /*  263229 */     // GIR_Coverage, 7719,
     /*  263229 */     GIR_EraseRootFromParent_Done,
     /*  263230 */   // Label 5001: @263230
     /*  263230 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(263293), // Rule ID 7722 //
     /*  263235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263291 */     GIR_RootConstrainSelectedInstOperands,
     /*  263292 */     // GIR_Coverage, 7722,
     /*  263292 */     GIR_EraseRootFromParent_Done,
     /*  263293 */   // Label 5002: @263293
     /*  263293 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(263356), // Rule ID 7723 //
     /*  263298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263354 */     GIR_RootConstrainSelectedInstOperands,
     /*  263355 */     // GIR_Coverage, 7723,
     /*  263355 */     GIR_EraseRootFromParent_Done,
     /*  263356 */   // Label 5003: @263356
     /*  263356 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(263419), // Rule ID 7726 //
     /*  263361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  263375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  263378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263417 */     GIR_RootConstrainSelectedInstOperands,
     /*  263418 */     // GIR_Coverage, 7726,
     /*  263418 */     GIR_EraseRootFromParent_Done,
     /*  263419 */   // Label 5004: @263419
     /*  263419 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(263482), // Rule ID 7727 //
     /*  263424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  263438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  263441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263463 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263480 */     GIR_RootConstrainSelectedInstOperands,
     /*  263481 */     // GIR_Coverage, 7727,
     /*  263481 */     GIR_EraseRootFromParent_Done,
     /*  263482 */   // Label 5005: @263482
     /*  263482 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(263545), // Rule ID 7730 //
     /*  263487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  263501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  263504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263526 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  263529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263543 */     GIR_RootConstrainSelectedInstOperands,
     /*  263544 */     // GIR_Coverage, 7730,
     /*  263544 */     GIR_EraseRootFromParent_Done,
     /*  263545 */   // Label 5006: @263545
     /*  263545 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(263608), // Rule ID 7731 //
     /*  263550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  263564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  263567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263589 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  263592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263606 */     GIR_RootConstrainSelectedInstOperands,
     /*  263607 */     // GIR_Coverage, 7731,
     /*  263607 */     GIR_EraseRootFromParent_Done,
     /*  263608 */   // Label 5007: @263608
     /*  263608 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263671), // Rule ID 7734 //
     /*  263613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  263627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  263630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263652 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  263655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263669 */     GIR_RootConstrainSelectedInstOperands,
     /*  263670 */     // GIR_Coverage, 7734,
     /*  263670 */     GIR_EraseRootFromParent_Done,
     /*  263671 */   // Label 5008: @263671
     /*  263671 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263734), // Rule ID 7735 //
     /*  263676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  263690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  263693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263715 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  263718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263732 */     GIR_RootConstrainSelectedInstOperands,
     /*  263733 */     // GIR_Coverage, 7735,
     /*  263733 */     GIR_EraseRootFromParent_Done,
     /*  263734 */   // Label 5009: @263734
     /*  263734 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263797), // Rule ID 7738 //
     /*  263739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  263753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  263756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263778 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  263781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263795 */     GIR_RootConstrainSelectedInstOperands,
     /*  263796 */     // GIR_Coverage, 7738,
     /*  263796 */     GIR_EraseRootFromParent_Done,
     /*  263797 */   // Label 5010: @263797
     /*  263797 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263860), // Rule ID 7739 //
     /*  263802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  263816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  263819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263841 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  263844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263858 */     GIR_RootConstrainSelectedInstOperands,
     /*  263859 */     // GIR_Coverage, 7739,
     /*  263859 */     GIR_EraseRootFromParent_Done,
     /*  263860 */   // Label 5011: @263860
     /*  263860 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263923), // Rule ID 7742 //
     /*  263865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  263879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  263882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  263907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263921 */     GIR_RootConstrainSelectedInstOperands,
     /*  263922 */     // GIR_Coverage, 7742,
     /*  263922 */     GIR_EraseRootFromParent_Done,
     /*  263923 */   // Label 5012: @263923
     /*  263923 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263986), // Rule ID 7743 //
     /*  263928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  263942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  263945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263967 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  263970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263984 */     GIR_RootConstrainSelectedInstOperands,
     /*  263985 */     // GIR_Coverage, 7743,
     /*  263985 */     GIR_EraseRootFromParent_Done,
     /*  263986 */   // Label 5013: @263986
     /*  263986 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(264049), // Rule ID 7746 //
     /*  263991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264030 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264047 */     GIR_RootConstrainSelectedInstOperands,
     /*  264048 */     // GIR_Coverage, 7746,
     /*  264048 */     GIR_EraseRootFromParent_Done,
     /*  264049 */   // Label 5014: @264049
     /*  264049 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(264112), // Rule ID 7747 //
     /*  264054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264093 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264110 */     GIR_RootConstrainSelectedInstOperands,
     /*  264111 */     // GIR_Coverage, 7747,
     /*  264111 */     GIR_EraseRootFromParent_Done,
     /*  264112 */   // Label 5015: @264112
     /*  264112 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(264175), // Rule ID 7750 //
     /*  264117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264156 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264173 */     GIR_RootConstrainSelectedInstOperands,
     /*  264174 */     // GIR_Coverage, 7750,
     /*  264174 */     GIR_EraseRootFromParent_Done,
     /*  264175 */   // Label 5016: @264175
     /*  264175 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(264238), // Rule ID 7751 //
     /*  264180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264219 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264236 */     GIR_RootConstrainSelectedInstOperands,
     /*  264237 */     // GIR_Coverage, 7751,
     /*  264237 */     GIR_EraseRootFromParent_Done,
     /*  264238 */   // Label 5017: @264238
     /*  264238 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(264301), // Rule ID 7754 //
     /*  264243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264299 */     GIR_RootConstrainSelectedInstOperands,
     /*  264300 */     // GIR_Coverage, 7754,
     /*  264300 */     GIR_EraseRootFromParent_Done,
     /*  264301 */   // Label 5018: @264301
     /*  264301 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(264364), // Rule ID 7755 //
     /*  264306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264345 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264362 */     GIR_RootConstrainSelectedInstOperands,
     /*  264363 */     // GIR_Coverage, 7755,
     /*  264363 */     GIR_EraseRootFromParent_Done,
     /*  264364 */   // Label 5019: @264364
     /*  264364 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(264427), // Rule ID 7758 //
     /*  264369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  264383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  264386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264425 */     GIR_RootConstrainSelectedInstOperands,
     /*  264426 */     // GIR_Coverage, 7758,
     /*  264426 */     GIR_EraseRootFromParent_Done,
     /*  264427 */   // Label 5020: @264427
     /*  264427 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(264490), // Rule ID 7759 //
     /*  264432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  264446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  264449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264471 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264488 */     GIR_RootConstrainSelectedInstOperands,
     /*  264489 */     // GIR_Coverage, 7759,
     /*  264489 */     GIR_EraseRootFromParent_Done,
     /*  264490 */   // Label 5021: @264490
     /*  264490 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(264553), // Rule ID 7762 //
     /*  264495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  264509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  264512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264534 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264551 */     GIR_RootConstrainSelectedInstOperands,
     /*  264552 */     // GIR_Coverage, 7762,
     /*  264552 */     GIR_EraseRootFromParent_Done,
     /*  264553 */   // Label 5022: @264553
     /*  264553 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(264616), // Rule ID 7763 //
     /*  264558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  264572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  264575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264597 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264614 */     GIR_RootConstrainSelectedInstOperands,
     /*  264615 */     // GIR_Coverage, 7763,
     /*  264615 */     GIR_EraseRootFromParent_Done,
     /*  264616 */   // Label 5023: @264616
     /*  264616 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264679), // Rule ID 7766 //
     /*  264621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  264635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  264638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264677 */     GIR_RootConstrainSelectedInstOperands,
     /*  264678 */     // GIR_Coverage, 7766,
     /*  264678 */     GIR_EraseRootFromParent_Done,
     /*  264679 */   // Label 5024: @264679
     /*  264679 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264742), // Rule ID 7767 //
     /*  264684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  264698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  264701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264723 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264740 */     GIR_RootConstrainSelectedInstOperands,
     /*  264741 */     // GIR_Coverage, 7767,
     /*  264741 */     GIR_EraseRootFromParent_Done,
     /*  264742 */   // Label 5025: @264742
     /*  264742 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264805), // Rule ID 7770 //
     /*  264747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  264761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  264764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264786 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264803 */     GIR_RootConstrainSelectedInstOperands,
     /*  264804 */     // GIR_Coverage, 7770,
     /*  264804 */     GIR_EraseRootFromParent_Done,
     /*  264805 */   // Label 5026: @264805
     /*  264805 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264868), // Rule ID 7771 //
     /*  264810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  264824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  264827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264866 */     GIR_RootConstrainSelectedInstOperands,
     /*  264867 */     // GIR_Coverage, 7771,
     /*  264867 */     GIR_EraseRootFromParent_Done,
     /*  264868 */   // Label 5027: @264868
     /*  264868 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264931), // Rule ID 7774 //
     /*  264873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  264887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  264890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264929 */     GIR_RootConstrainSelectedInstOperands,
     /*  264930 */     // GIR_Coverage, 7774,
     /*  264930 */     GIR_EraseRootFromParent_Done,
     /*  264931 */   // Label 5028: @264931
     /*  264931 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264994), // Rule ID 7775 //
     /*  264936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  264950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  264953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264975 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264992 */     GIR_RootConstrainSelectedInstOperands,
     /*  264993 */     // GIR_Coverage, 7775,
     /*  264993 */     GIR_EraseRootFromParent_Done,
     /*  264994 */   // Label 5029: @264994
     /*  264994 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(265057), // Rule ID 7778 //
     /*  264999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265038 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  265041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265055 */     GIR_RootConstrainSelectedInstOperands,
     /*  265056 */     // GIR_Coverage, 7778,
     /*  265056 */     GIR_EraseRootFromParent_Done,
     /*  265057 */   // Label 5030: @265057
     /*  265057 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(265120), // Rule ID 7779 //
     /*  265062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265101 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  265104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265118 */     GIR_RootConstrainSelectedInstOperands,
     /*  265119 */     // GIR_Coverage, 7779,
     /*  265119 */     GIR_EraseRootFromParent_Done,
     /*  265120 */   // Label 5031: @265120
     /*  265120 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(265183), // Rule ID 7782 //
     /*  265125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265181 */     GIR_RootConstrainSelectedInstOperands,
     /*  265182 */     // GIR_Coverage, 7782,
     /*  265182 */     GIR_EraseRootFromParent_Done,
     /*  265183 */   // Label 5032: @265183
     /*  265183 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(265246), // Rule ID 7783 //
     /*  265188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265227 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265244 */     GIR_RootConstrainSelectedInstOperands,
     /*  265245 */     // GIR_Coverage, 7783,
     /*  265245 */     GIR_EraseRootFromParent_Done,
     /*  265246 */   // Label 5033: @265246
     /*  265246 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(265309), // Rule ID 7786 //
     /*  265251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265290 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265307 */     GIR_RootConstrainSelectedInstOperands,
     /*  265308 */     // GIR_Coverage, 7786,
     /*  265308 */     GIR_EraseRootFromParent_Done,
     /*  265309 */   // Label 5034: @265309
     /*  265309 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(265372), // Rule ID 7787 //
     /*  265314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265370 */     GIR_RootConstrainSelectedInstOperands,
     /*  265371 */     // GIR_Coverage, 7787,
     /*  265371 */     GIR_EraseRootFromParent_Done,
     /*  265372 */   // Label 5035: @265372
     /*  265372 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(265435), // Rule ID 7790 //
     /*  265377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  265391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265433 */     GIR_RootConstrainSelectedInstOperands,
     /*  265434 */     // GIR_Coverage, 7790,
     /*  265434 */     GIR_EraseRootFromParent_Done,
     /*  265435 */   // Label 5036: @265435
     /*  265435 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(265498), // Rule ID 7791 //
     /*  265440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  265454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265479 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265496 */     GIR_RootConstrainSelectedInstOperands,
     /*  265497 */     // GIR_Coverage, 7791,
     /*  265497 */     GIR_EraseRootFromParent_Done,
     /*  265498 */   // Label 5037: @265498
     /*  265498 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(265561), // Rule ID 7794 //
     /*  265503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  265517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265542 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265559 */     GIR_RootConstrainSelectedInstOperands,
     /*  265560 */     // GIR_Coverage, 7794,
     /*  265560 */     GIR_EraseRootFromParent_Done,
     /*  265561 */   // Label 5038: @265561
     /*  265561 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(265624), // Rule ID 7795 //
     /*  265566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  265580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265622 */     GIR_RootConstrainSelectedInstOperands,
     /*  265623 */     // GIR_Coverage, 7795,
     /*  265623 */     GIR_EraseRootFromParent_Done,
     /*  265624 */   // Label 5039: @265624
     /*  265624 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265687), // Rule ID 7798 //
     /*  265629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  265643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265668 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265685 */     GIR_RootConstrainSelectedInstOperands,
     /*  265686 */     // GIR_Coverage, 7798,
     /*  265686 */     GIR_EraseRootFromParent_Done,
     /*  265687 */   // Label 5040: @265687
     /*  265687 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265750), // Rule ID 7799 //
     /*  265692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  265706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265731 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265748 */     GIR_RootConstrainSelectedInstOperands,
     /*  265749 */     // GIR_Coverage, 7799,
     /*  265749 */     GIR_EraseRootFromParent_Done,
     /*  265750 */   // Label 5041: @265750
     /*  265750 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265813), // Rule ID 7802 //
     /*  265755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  265769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  265797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265811 */     GIR_RootConstrainSelectedInstOperands,
     /*  265812 */     // GIR_Coverage, 7802,
     /*  265812 */     GIR_EraseRootFromParent_Done,
     /*  265813 */   // Label 5042: @265813
     /*  265813 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265876), // Rule ID 7803 //
     /*  265818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  265832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265857 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  265860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265874 */     GIR_RootConstrainSelectedInstOperands,
     /*  265875 */     // GIR_Coverage, 7803,
     /*  265875 */     GIR_EraseRootFromParent_Done,
     /*  265876 */   // Label 5043: @265876
     /*  265876 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265939), // Rule ID 7806 //
     /*  265881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  265895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  265923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265937 */     GIR_RootConstrainSelectedInstOperands,
     /*  265938 */     // GIR_Coverage, 7806,
     /*  265938 */     GIR_EraseRootFromParent_Done,
     /*  265939 */   // Label 5044: @265939
     /*  265939 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(266002), // Rule ID 7807 //
     /*  265944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  265958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265983 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  265986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266000 */     GIR_RootConstrainSelectedInstOperands,
     /*  266001 */     // GIR_Coverage, 7807,
     /*  266001 */     GIR_EraseRootFromParent_Done,
     /*  266002 */   // Label 5045: @266002
     /*  266002 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(266065), // Rule ID 7810 //
     /*  266007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266046 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266063 */     GIR_RootConstrainSelectedInstOperands,
     /*  266064 */     // GIR_Coverage, 7810,
     /*  266064 */     GIR_EraseRootFromParent_Done,
     /*  266065 */   // Label 5046: @266065
     /*  266065 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(266128), // Rule ID 7811 //
     /*  266070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266126 */     GIR_RootConstrainSelectedInstOperands,
     /*  266127 */     // GIR_Coverage, 7811,
     /*  266127 */     GIR_EraseRootFromParent_Done,
     /*  266128 */   // Label 5047: @266128
     /*  266128 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(266191), // Rule ID 7814 //
     /*  266133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266189 */     GIR_RootConstrainSelectedInstOperands,
     /*  266190 */     // GIR_Coverage, 7814,
     /*  266190 */     GIR_EraseRootFromParent_Done,
     /*  266191 */   // Label 5048: @266191
     /*  266191 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(266254), // Rule ID 7815 //
     /*  266196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266252 */     GIR_RootConstrainSelectedInstOperands,
     /*  266253 */     // GIR_Coverage, 7815,
     /*  266253 */     GIR_EraseRootFromParent_Done,
     /*  266254 */   // Label 5049: @266254
     /*  266254 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(266317), // Rule ID 7818 //
     /*  266259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266298 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266315 */     GIR_RootConstrainSelectedInstOperands,
     /*  266316 */     // GIR_Coverage, 7818,
     /*  266316 */     GIR_EraseRootFromParent_Done,
     /*  266317 */   // Label 5050: @266317
     /*  266317 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(266380), // Rule ID 7819 //
     /*  266322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266361 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266378 */     GIR_RootConstrainSelectedInstOperands,
     /*  266379 */     // GIR_Coverage, 7819,
     /*  266379 */     GIR_EraseRootFromParent_Done,
     /*  266380 */   // Label 5051: @266380
     /*  266380 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(266443), // Rule ID 7822 //
     /*  266385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  266399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266424 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  266427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266441 */     GIR_RootConstrainSelectedInstOperands,
     /*  266442 */     // GIR_Coverage, 7822,
     /*  266442 */     GIR_EraseRootFromParent_Done,
     /*  266443 */   // Label 5052: @266443
     /*  266443 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(266506), // Rule ID 7823 //
     /*  266448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  266462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266487 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  266490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266504 */     GIR_RootConstrainSelectedInstOperands,
     /*  266505 */     // GIR_Coverage, 7823,
     /*  266505 */     GIR_EraseRootFromParent_Done,
     /*  266506 */   // Label 5053: @266506
     /*  266506 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(266569), // Rule ID 7826 //
     /*  266511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  266525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266550 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  266553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266567 */     GIR_RootConstrainSelectedInstOperands,
     /*  266568 */     // GIR_Coverage, 7826,
     /*  266568 */     GIR_EraseRootFromParent_Done,
     /*  266569 */   // Label 5054: @266569
     /*  266569 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266632), // Rule ID 7827 //
     /*  266574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  266588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266613 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  266616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266630 */     GIR_RootConstrainSelectedInstOperands,
     /*  266631 */     // GIR_Coverage, 7827,
     /*  266631 */     GIR_EraseRootFromParent_Done,
     /*  266632 */   // Label 5055: @266632
     /*  266632 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266695), // Rule ID 7830 //
     /*  266637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  266651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266693 */     GIR_RootConstrainSelectedInstOperands,
     /*  266694 */     // GIR_Coverage, 7830,
     /*  266694 */     GIR_EraseRootFromParent_Done,
     /*  266695 */   // Label 5056: @266695
     /*  266695 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266758), // Rule ID 7831 //
     /*  266700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  266714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266756 */     GIR_RootConstrainSelectedInstOperands,
     /*  266757 */     // GIR_Coverage, 7831,
     /*  266757 */     GIR_EraseRootFromParent_Done,
     /*  266758 */   // Label 5057: @266758
     /*  266758 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266821), // Rule ID 7834 //
     /*  266763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  266777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266802 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  266805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266819 */     GIR_RootConstrainSelectedInstOperands,
     /*  266820 */     // GIR_Coverage, 7834,
     /*  266820 */     GIR_EraseRootFromParent_Done,
     /*  266821 */   // Label 5058: @266821
     /*  266821 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266884), // Rule ID 7835 //
     /*  266826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  266840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266865 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  266868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266882 */     GIR_RootConstrainSelectedInstOperands,
     /*  266883 */     // GIR_Coverage, 7835,
     /*  266883 */     GIR_EraseRootFromParent_Done,
     /*  266884 */   // Label 5059: @266884
     /*  266884 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266947), // Rule ID 7838 //
     /*  266889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  266903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  266931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266945 */     GIR_RootConstrainSelectedInstOperands,
     /*  266946 */     // GIR_Coverage, 7838,
     /*  266946 */     GIR_EraseRootFromParent_Done,
     /*  266947 */   // Label 5060: @266947
     /*  266947 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(267010), // Rule ID 7839 //
     /*  266952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  266966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266991 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  266994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267008 */     GIR_RootConstrainSelectedInstOperands,
     /*  267009 */     // GIR_Coverage, 7839,
     /*  267009 */     GIR_EraseRootFromParent_Done,
     /*  267010 */   // Label 5061: @267010
     /*  267010 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(267073), // Rule ID 7842 //
     /*  267015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267054 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267071 */     GIR_RootConstrainSelectedInstOperands,
     /*  267072 */     // GIR_Coverage, 7842,
     /*  267072 */     GIR_EraseRootFromParent_Done,
     /*  267073 */   // Label 5062: @267073
     /*  267073 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(267136), // Rule ID 7843 //
     /*  267078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267117 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267134 */     GIR_RootConstrainSelectedInstOperands,
     /*  267135 */     // GIR_Coverage, 7843,
     /*  267135 */     GIR_EraseRootFromParent_Done,
     /*  267136 */   // Label 5063: @267136
     /*  267136 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(267199), // Rule ID 7846 //
     /*  267141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267197 */     GIR_RootConstrainSelectedInstOperands,
     /*  267198 */     // GIR_Coverage, 7846,
     /*  267198 */     GIR_EraseRootFromParent_Done,
     /*  267199 */   // Label 5064: @267199
     /*  267199 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(267262), // Rule ID 7847 //
     /*  267204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267260 */     GIR_RootConstrainSelectedInstOperands,
     /*  267261 */     // GIR_Coverage, 7847,
     /*  267261 */     GIR_EraseRootFromParent_Done,
     /*  267262 */   // Label 5065: @267262
     /*  267262 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(267325), // Rule ID 7850 //
     /*  267267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267306 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267323 */     GIR_RootConstrainSelectedInstOperands,
     /*  267324 */     // GIR_Coverage, 7850,
     /*  267324 */     GIR_EraseRootFromParent_Done,
     /*  267325 */   // Label 5066: @267325
     /*  267325 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(267388), // Rule ID 7851 //
     /*  267330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267386 */     GIR_RootConstrainSelectedInstOperands,
     /*  267387 */     // GIR_Coverage, 7851,
     /*  267387 */     GIR_EraseRootFromParent_Done,
     /*  267388 */   // Label 5067: @267388
     /*  267388 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(267451), // Rule ID 7854 //
     /*  267393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  267407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267449 */     GIR_RootConstrainSelectedInstOperands,
     /*  267450 */     // GIR_Coverage, 7854,
     /*  267450 */     GIR_EraseRootFromParent_Done,
     /*  267451 */   // Label 5068: @267451
     /*  267451 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(267514), // Rule ID 7855 //
     /*  267456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  267470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267495 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11379:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267512 */     GIR_RootConstrainSelectedInstOperands,
     /*  267513 */     // GIR_Coverage, 7855,
     /*  267513 */     GIR_EraseRootFromParent_Done,
     /*  267514 */   // Label 5069: @267514
     /*  267514 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(267577), // Rule ID 7858 //
     /*  267519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  267533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267558 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267575 */     GIR_RootConstrainSelectedInstOperands,
     /*  267576 */     // GIR_Coverage, 7858,
     /*  267576 */     GIR_EraseRootFromParent_Done,
     /*  267577 */   // Label 5070: @267577
     /*  267577 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267640), // Rule ID 7859 //
     /*  267582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  267596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267621 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11379:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267638 */     GIR_RootConstrainSelectedInstOperands,
     /*  267639 */     // GIR_Coverage, 7859,
     /*  267639 */     GIR_EraseRootFromParent_Done,
     /*  267640 */   // Label 5071: @267640
     /*  267640 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267703), // Rule ID 7862 //
     /*  267645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  267659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267701 */     GIR_RootConstrainSelectedInstOperands,
     /*  267702 */     // GIR_Coverage, 7862,
     /*  267702 */     GIR_EraseRootFromParent_Done,
     /*  267703 */   // Label 5072: @267703
     /*  267703 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267766), // Rule ID 7863 //
     /*  267708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  267722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267747 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11379:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267764 */     GIR_RootConstrainSelectedInstOperands,
     /*  267765 */     // GIR_Coverage, 7863,
     /*  267765 */     GIR_EraseRootFromParent_Done,
     /*  267766 */   // Label 5073: @267766
     /*  267766 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267829), // Rule ID 7954 //
     /*  267771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  267785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  267788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267810 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  267813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267827 */     GIR_RootConstrainSelectedInstOperands,
     /*  267828 */     // GIR_Coverage, 7954,
     /*  267828 */     GIR_EraseRootFromParent_Done,
     /*  267829 */   // Label 5074: @267829
     /*  267829 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267892), // Rule ID 7955 //
     /*  267834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  267848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  267851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  267876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267890 */     GIR_RootConstrainSelectedInstOperands,
     /*  267891 */     // GIR_Coverage, 7955,
     /*  267891 */     GIR_EraseRootFromParent_Done,
     /*  267892 */   // Label 5075: @267892
     /*  267892 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267955), // Rule ID 7958 //
     /*  267897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  267911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  267914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  267939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267953 */     GIR_RootConstrainSelectedInstOperands,
     /*  267954 */     // GIR_Coverage, 7958,
     /*  267954 */     GIR_EraseRootFromParent_Done,
     /*  267955 */   // Label 5076: @267955
     /*  267955 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(268018), // Rule ID 7959 //
     /*  267960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  267974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  267977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267999 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268016 */     GIR_RootConstrainSelectedInstOperands,
     /*  268017 */     // GIR_Coverage, 7959,
     /*  268017 */     GIR_EraseRootFromParent_Done,
     /*  268018 */   // Label 5077: @268018
     /*  268018 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(268081), // Rule ID 7962 //
     /*  268023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268062 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268079 */     GIR_RootConstrainSelectedInstOperands,
     /*  268080 */     // GIR_Coverage, 7962,
     /*  268080 */     GIR_EraseRootFromParent_Done,
     /*  268081 */   // Label 5078: @268081
     /*  268081 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(268144), // Rule ID 7963 //
     /*  268086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268142 */     GIR_RootConstrainSelectedInstOperands,
     /*  268143 */     // GIR_Coverage, 7963,
     /*  268143 */     GIR_EraseRootFromParent_Done,
     /*  268144 */   // Label 5079: @268144
     /*  268144 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(268207), // Rule ID 7966 //
     /*  268149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268205 */     GIR_RootConstrainSelectedInstOperands,
     /*  268206 */     // GIR_Coverage, 7966,
     /*  268206 */     GIR_EraseRootFromParent_Done,
     /*  268207 */   // Label 5080: @268207
     /*  268207 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(268270), // Rule ID 7967 //
     /*  268212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268251 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268268 */     GIR_RootConstrainSelectedInstOperands,
     /*  268269 */     // GIR_Coverage, 7967,
     /*  268269 */     GIR_EraseRootFromParent_Done,
     /*  268270 */   // Label 5081: @268270
     /*  268270 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(268333), // Rule ID 7970 //
     /*  268275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268331 */     GIR_RootConstrainSelectedInstOperands,
     /*  268332 */     // GIR_Coverage, 7970,
     /*  268332 */     GIR_EraseRootFromParent_Done,
     /*  268333 */   // Label 5082: @268333
     /*  268333 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(268396), // Rule ID 7971 //
     /*  268338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268377 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268394 */     GIR_RootConstrainSelectedInstOperands,
     /*  268395 */     // GIR_Coverage, 7971,
     /*  268395 */     GIR_EraseRootFromParent_Done,
     /*  268396 */   // Label 5083: @268396
     /*  268396 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(268459), // Rule ID 7974 //
     /*  268401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  268415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  268418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268457 */     GIR_RootConstrainSelectedInstOperands,
     /*  268458 */     // GIR_Coverage, 7974,
     /*  268458 */     GIR_EraseRootFromParent_Done,
     /*  268459 */   // Label 5084: @268459
     /*  268459 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(268522), // Rule ID 7975 //
     /*  268464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  268478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  268481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268503 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268520 */     GIR_RootConstrainSelectedInstOperands,
     /*  268521 */     // GIR_Coverage, 7975,
     /*  268521 */     GIR_EraseRootFromParent_Done,
     /*  268522 */   // Label 5085: @268522
     /*  268522 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(268585), // Rule ID 7978 //
     /*  268527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  268541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  268544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268566 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268583 */     GIR_RootConstrainSelectedInstOperands,
     /*  268584 */     // GIR_Coverage, 7978,
     /*  268584 */     GIR_EraseRootFromParent_Done,
     /*  268585 */   // Label 5086: @268585
     /*  268585 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268648), // Rule ID 7979 //
     /*  268590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  268604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  268607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268646 */     GIR_RootConstrainSelectedInstOperands,
     /*  268647 */     // GIR_Coverage, 7979,
     /*  268647 */     GIR_EraseRootFromParent_Done,
     /*  268648 */   // Label 5087: @268648
     /*  268648 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268711), // Rule ID 7982 //
     /*  268653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  268667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  268670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268709 */     GIR_RootConstrainSelectedInstOperands,
     /*  268710 */     // GIR_Coverage, 7982,
     /*  268710 */     GIR_EraseRootFromParent_Done,
     /*  268711 */   // Label 5088: @268711
     /*  268711 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268774), // Rule ID 7983 //
     /*  268716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  268730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  268733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268755 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268772 */     GIR_RootConstrainSelectedInstOperands,
     /*  268773 */     // GIR_Coverage, 7983,
     /*  268773 */     GIR_EraseRootFromParent_Done,
     /*  268774 */   // Label 5089: @268774
     /*  268774 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268837), // Rule ID 7986 //
     /*  268779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  268793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  268796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268818 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268835 */     GIR_RootConstrainSelectedInstOperands,
     /*  268836 */     // GIR_Coverage, 7986,
     /*  268836 */     GIR_EraseRootFromParent_Done,
     /*  268837 */   // Label 5090: @268837
     /*  268837 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268900), // Rule ID 7987 //
     /*  268842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  268856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  268859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268881 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268898 */     GIR_RootConstrainSelectedInstOperands,
     /*  268899 */     // GIR_Coverage, 7987,
     /*  268899 */     GIR_EraseRootFromParent_Done,
     /*  268900 */   // Label 5091: @268900
     /*  268900 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268963), // Rule ID 7990 //
     /*  268905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  268919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  268922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  268947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268961 */     GIR_RootConstrainSelectedInstOperands,
     /*  268962 */     // GIR_Coverage, 7990,
     /*  268962 */     GIR_EraseRootFromParent_Done,
     /*  268963 */   // Label 5092: @268963
     /*  268963 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(269026), // Rule ID 7991 //
     /*  268968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  268982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  268985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269007 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269024 */     GIR_RootConstrainSelectedInstOperands,
     /*  269025 */     // GIR_Coverage, 7991,
     /*  269025 */     GIR_EraseRootFromParent_Done,
     /*  269026 */   // Label 5093: @269026
     /*  269026 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(269089), // Rule ID 7994 //
     /*  269031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269070 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269087 */     GIR_RootConstrainSelectedInstOperands,
     /*  269088 */     // GIR_Coverage, 7994,
     /*  269088 */     GIR_EraseRootFromParent_Done,
     /*  269089 */   // Label 5094: @269089
     /*  269089 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(269152), // Rule ID 7995 //
     /*  269094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269150 */     GIR_RootConstrainSelectedInstOperands,
     /*  269151 */     // GIR_Coverage, 7995,
     /*  269151 */     GIR_EraseRootFromParent_Done,
     /*  269152 */   // Label 5095: @269152
     /*  269152 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(269215), // Rule ID 7998 //
     /*  269157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269196 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269213 */     GIR_RootConstrainSelectedInstOperands,
     /*  269214 */     // GIR_Coverage, 7998,
     /*  269214 */     GIR_EraseRootFromParent_Done,
     /*  269215 */   // Label 5096: @269215
     /*  269215 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(269278), // Rule ID 7999 //
     /*  269220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269259 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269276 */     GIR_RootConstrainSelectedInstOperands,
     /*  269277 */     // GIR_Coverage, 7999,
     /*  269277 */     GIR_EraseRootFromParent_Done,
     /*  269278 */   // Label 5097: @269278
     /*  269278 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(269341), // Rule ID 8002 //
     /*  269283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269322 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269339 */     GIR_RootConstrainSelectedInstOperands,
     /*  269340 */     // GIR_Coverage, 8002,
     /*  269340 */     GIR_EraseRootFromParent_Done,
     /*  269341 */   // Label 5098: @269341
     /*  269341 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(269404), // Rule ID 8003 //
     /*  269346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269385 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269402 */     GIR_RootConstrainSelectedInstOperands,
     /*  269403 */     // GIR_Coverage, 8003,
     /*  269403 */     GIR_EraseRootFromParent_Done,
     /*  269404 */   // Label 5099: @269404
     /*  269404 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(269467), // Rule ID 8006 //
     /*  269409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  269423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  269426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269465 */     GIR_RootConstrainSelectedInstOperands,
     /*  269466 */     // GIR_Coverage, 8006,
     /*  269466 */     GIR_EraseRootFromParent_Done,
     /*  269467 */   // Label 5100: @269467
     /*  269467 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(269530), // Rule ID 8007 //
     /*  269472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  269486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  269489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269511 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269528 */     GIR_RootConstrainSelectedInstOperands,
     /*  269529 */     // GIR_Coverage, 8007,
     /*  269529 */     GIR_EraseRootFromParent_Done,
     /*  269530 */   // Label 5101: @269530
     /*  269530 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(269593), // Rule ID 8010 //
     /*  269535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  269549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  269552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269574 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269591 */     GIR_RootConstrainSelectedInstOperands,
     /*  269592 */     // GIR_Coverage, 8010,
     /*  269592 */     GIR_EraseRootFromParent_Done,
     /*  269593 */   // Label 5102: @269593
     /*  269593 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269656), // Rule ID 8011 //
     /*  269598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  269612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  269615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269637 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269654 */     GIR_RootConstrainSelectedInstOperands,
     /*  269655 */     // GIR_Coverage, 8011,
     /*  269655 */     GIR_EraseRootFromParent_Done,
     /*  269656 */   // Label 5103: @269656
     /*  269656 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269719), // Rule ID 8014 //
     /*  269661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  269675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  269678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269700 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269717 */     GIR_RootConstrainSelectedInstOperands,
     /*  269718 */     // GIR_Coverage, 8014,
     /*  269718 */     GIR_EraseRootFromParent_Done,
     /*  269719 */   // Label 5104: @269719
     /*  269719 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269782), // Rule ID 8015 //
     /*  269724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  269738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  269741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269763 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  269766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269780 */     GIR_RootConstrainSelectedInstOperands,
     /*  269781 */     // GIR_Coverage, 8015,
     /*  269781 */     GIR_EraseRootFromParent_Done,
     /*  269782 */   // Label 5105: @269782
     /*  269782 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269845), // Rule ID 8018 //
     /*  269787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  269801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  269804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269826 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269843 */     GIR_RootConstrainSelectedInstOperands,
     /*  269844 */     // GIR_Coverage, 8018,
     /*  269844 */     GIR_EraseRootFromParent_Done,
     /*  269845 */   // Label 5106: @269845
     /*  269845 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269908), // Rule ID 8019 //
     /*  269850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  269864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  269867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269889 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269906 */     GIR_RootConstrainSelectedInstOperands,
     /*  269907 */     // GIR_Coverage, 8019,
     /*  269907 */     GIR_EraseRootFromParent_Done,
     /*  269908 */   // Label 5107: @269908
     /*  269908 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269971), // Rule ID 8022 //
     /*  269913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  269927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  269930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269969 */     GIR_RootConstrainSelectedInstOperands,
     /*  269970 */     // GIR_Coverage, 8022,
     /*  269970 */     GIR_EraseRootFromParent_Done,
     /*  269971 */   // Label 5108: @269971
     /*  269971 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(270034), // Rule ID 8023 //
     /*  269976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  269990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  269993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270015 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270032 */     GIR_RootConstrainSelectedInstOperands,
     /*  270033 */     // GIR_Coverage, 8023,
     /*  270033 */     GIR_EraseRootFromParent_Done,
     /*  270034 */   // Label 5109: @270034
     /*  270034 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(270097), // Rule ID 8026 //
     /*  270039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270078 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270095 */     GIR_RootConstrainSelectedInstOperands,
     /*  270096 */     // GIR_Coverage, 8026,
     /*  270096 */     GIR_EraseRootFromParent_Done,
     /*  270097 */   // Label 5110: @270097
     /*  270097 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(270160), // Rule ID 8027 //
     /*  270102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270141 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270158 */     GIR_RootConstrainSelectedInstOperands,
     /*  270159 */     // GIR_Coverage, 8027,
     /*  270159 */     GIR_EraseRootFromParent_Done,
     /*  270160 */   // Label 5111: @270160
     /*  270160 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(270223), // Rule ID 8030 //
     /*  270165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270221 */     GIR_RootConstrainSelectedInstOperands,
     /*  270222 */     // GIR_Coverage, 8030,
     /*  270222 */     GIR_EraseRootFromParent_Done,
     /*  270223 */   // Label 5112: @270223
     /*  270223 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(270286), // Rule ID 8031 //
     /*  270228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270267 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270284 */     GIR_RootConstrainSelectedInstOperands,
     /*  270285 */     // GIR_Coverage, 8031,
     /*  270285 */     GIR_EraseRootFromParent_Done,
     /*  270286 */   // Label 5113: @270286
     /*  270286 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(270349), // Rule ID 8034 //
     /*  270291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270330 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270347 */     GIR_RootConstrainSelectedInstOperands,
     /*  270348 */     // GIR_Coverage, 8034,
     /*  270348 */     GIR_EraseRootFromParent_Done,
     /*  270349 */   // Label 5114: @270349
     /*  270349 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(270412), // Rule ID 8035 //
     /*  270354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270410 */     GIR_RootConstrainSelectedInstOperands,
     /*  270411 */     // GIR_Coverage, 8035,
     /*  270411 */     GIR_EraseRootFromParent_Done,
     /*  270412 */   // Label 5115: @270412
     /*  270412 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(270475), // Rule ID 8038 //
     /*  270417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  270431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  270434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270473 */     GIR_RootConstrainSelectedInstOperands,
     /*  270474 */     // GIR_Coverage, 8038,
     /*  270474 */     GIR_EraseRootFromParent_Done,
     /*  270475 */   // Label 5116: @270475
     /*  270475 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(270538), // Rule ID 8039 //
     /*  270480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  270494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  270497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270519 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270536 */     GIR_RootConstrainSelectedInstOperands,
     /*  270537 */     // GIR_Coverage, 8039,
     /*  270537 */     GIR_EraseRootFromParent_Done,
     /*  270538 */   // Label 5117: @270538
     /*  270538 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(270601), // Rule ID 8042 //
     /*  270543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  270557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270582 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  270585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270599 */     GIR_RootConstrainSelectedInstOperands,
     /*  270600 */     // GIR_Coverage, 8042,
     /*  270600 */     GIR_EraseRootFromParent_Done,
     /*  270601 */   // Label 5118: @270601
     /*  270601 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270664), // Rule ID 8043 //
     /*  270606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  270620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  270648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270662 */     GIR_RootConstrainSelectedInstOperands,
     /*  270663 */     // GIR_Coverage, 8043,
     /*  270663 */     GIR_EraseRootFromParent_Done,
     /*  270664 */   // Label 5119: @270664
     /*  270664 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270727), // Rule ID 8046 //
     /*  270669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  270711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270725 */     GIR_RootConstrainSelectedInstOperands,
     /*  270726 */     // GIR_Coverage, 8046,
     /*  270726 */     GIR_EraseRootFromParent_Done,
     /*  270727 */   // Label 5120: @270727
     /*  270727 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270790), // Rule ID 8047 //
     /*  270732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270771 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  270774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270788 */     GIR_RootConstrainSelectedInstOperands,
     /*  270789 */     // GIR_Coverage, 8047,
     /*  270789 */     GIR_EraseRootFromParent_Done,
     /*  270790 */   // Label 5121: @270790
     /*  270790 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270853), // Rule ID 8050 //
     /*  270795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270834 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  270837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270851 */     GIR_RootConstrainSelectedInstOperands,
     /*  270852 */     // GIR_Coverage, 8050,
     /*  270852 */     GIR_EraseRootFromParent_Done,
     /*  270853 */   // Label 5122: @270853
     /*  270853 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270916), // Rule ID 8051 //
     /*  270858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270897 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  270900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270914 */     GIR_RootConstrainSelectedInstOperands,
     /*  270915 */     // GIR_Coverage, 8051,
     /*  270915 */     GIR_EraseRootFromParent_Done,
     /*  270916 */   // Label 5123: @270916
     /*  270916 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270979), // Rule ID 8054 //
     /*  270921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  270963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270977 */     GIR_RootConstrainSelectedInstOperands,
     /*  270978 */     // GIR_Coverage, 8054,
     /*  270978 */     GIR_EraseRootFromParent_Done,
     /*  270979 */   // Label 5124: @270979
     /*  270979 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(271042), // Rule ID 8055 //
     /*  270984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271023 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  271026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271040 */     GIR_RootConstrainSelectedInstOperands,
     /*  271041 */     // GIR_Coverage, 8055,
     /*  271041 */     GIR_EraseRootFromParent_Done,
     /*  271042 */   // Label 5125: @271042
     /*  271042 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(271105), // Rule ID 8058 //
     /*  271047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271086 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271103 */     GIR_RootConstrainSelectedInstOperands,
     /*  271104 */     // GIR_Coverage, 8058,
     /*  271104 */     GIR_EraseRootFromParent_Done,
     /*  271105 */   // Label 5126: @271105
     /*  271105 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(271168), // Rule ID 8059 //
     /*  271110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271149 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271166 */     GIR_RootConstrainSelectedInstOperands,
     /*  271167 */     // GIR_Coverage, 8059,
     /*  271167 */     GIR_EraseRootFromParent_Done,
     /*  271168 */   // Label 5127: @271168
     /*  271168 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(271231), // Rule ID 8062 //
     /*  271173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271229 */     GIR_RootConstrainSelectedInstOperands,
     /*  271230 */     // GIR_Coverage, 8062,
     /*  271230 */     GIR_EraseRootFromParent_Done,
     /*  271231 */   // Label 5128: @271231
     /*  271231 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(271294), // Rule ID 8063 //
     /*  271236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271275 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271292 */     GIR_RootConstrainSelectedInstOperands,
     /*  271293 */     // GIR_Coverage, 8063,
     /*  271293 */     GIR_EraseRootFromParent_Done,
     /*  271294 */   // Label 5129: @271294
     /*  271294 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(271357), // Rule ID 8066 //
     /*  271299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271355 */     GIR_RootConstrainSelectedInstOperands,
     /*  271356 */     // GIR_Coverage, 8066,
     /*  271356 */     GIR_EraseRootFromParent_Done,
     /*  271357 */   // Label 5130: @271357
     /*  271357 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(271420), // Rule ID 8067 //
     /*  271362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271401 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271418 */     GIR_RootConstrainSelectedInstOperands,
     /*  271419 */     // GIR_Coverage, 8067,
     /*  271419 */     GIR_EraseRootFromParent_Done,
     /*  271420 */   // Label 5131: @271420
     /*  271420 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(271483), // Rule ID 8070 //
     /*  271425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271481 */     GIR_RootConstrainSelectedInstOperands,
     /*  271482 */     // GIR_Coverage, 8070,
     /*  271482 */     GIR_EraseRootFromParent_Done,
     /*  271483 */   // Label 5132: @271483
     /*  271483 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(271546), // Rule ID 8071 //
     /*  271488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271527 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271544 */     GIR_RootConstrainSelectedInstOperands,
     /*  271545 */     // GIR_Coverage, 8071,
     /*  271545 */     GIR_EraseRootFromParent_Done,
     /*  271546 */   // Label 5133: @271546
     /*  271546 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(271609), // Rule ID 8074 //
     /*  271551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271590 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271607 */     GIR_RootConstrainSelectedInstOperands,
     /*  271608 */     // GIR_Coverage, 8074,
     /*  271608 */     GIR_EraseRootFromParent_Done,
     /*  271609 */   // Label 5134: @271609
     /*  271609 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271672), // Rule ID 8075 //
     /*  271614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271653 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271670 */     GIR_RootConstrainSelectedInstOperands,
     /*  271671 */     // GIR_Coverage, 8075,
     /*  271671 */     GIR_EraseRootFromParent_Done,
     /*  271672 */   // Label 5135: @271672
     /*  271672 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271735), // Rule ID 8078 //
     /*  271677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271733 */     GIR_RootConstrainSelectedInstOperands,
     /*  271734 */     // GIR_Coverage, 8078,
     /*  271734 */     GIR_EraseRootFromParent_Done,
     /*  271735 */   // Label 5136: @271735
     /*  271735 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271798), // Rule ID 8079 //
     /*  271740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271779 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  271782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271796 */     GIR_RootConstrainSelectedInstOperands,
     /*  271797 */     // GIR_Coverage, 8079,
     /*  271797 */     GIR_EraseRootFromParent_Done,
     /*  271798 */   // Label 5137: @271798
     /*  271798 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271861), // Rule ID 8082 //
     /*  271803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271842 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  271845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271859 */     GIR_RootConstrainSelectedInstOperands,
     /*  271860 */     // GIR_Coverage, 8082,
     /*  271860 */     GIR_EraseRootFromParent_Done,
     /*  271861 */   // Label 5138: @271861
     /*  271861 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271924), // Rule ID 8083 //
     /*  271866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271905 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  271908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271922 */     GIR_RootConstrainSelectedInstOperands,
     /*  271923 */     // GIR_Coverage, 8083,
     /*  271923 */     GIR_EraseRootFromParent_Done,
     /*  271924 */   // Label 5139: @271924
     /*  271924 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271987), // Rule ID 8086 //
     /*  271929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  271943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  271971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271985 */     GIR_RootConstrainSelectedInstOperands,
     /*  271986 */     // GIR_Coverage, 8086,
     /*  271986 */     GIR_EraseRootFromParent_Done,
     /*  271987 */   // Label 5140: @271987
     /*  271987 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(272050), // Rule ID 8087 //
     /*  271992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272031 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272048 */     GIR_RootConstrainSelectedInstOperands,
     /*  272049 */     // GIR_Coverage, 8087,
     /*  272049 */     GIR_EraseRootFromParent_Done,
     /*  272050 */   // Label 5141: @272050
     /*  272050 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(272113), // Rule ID 8090 //
     /*  272055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272094 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272111 */     GIR_RootConstrainSelectedInstOperands,
     /*  272112 */     // GIR_Coverage, 8090,
     /*  272112 */     GIR_EraseRootFromParent_Done,
     /*  272113 */   // Label 5142: @272113
     /*  272113 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(272176), // Rule ID 8091 //
     /*  272118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272157 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272174 */     GIR_RootConstrainSelectedInstOperands,
     /*  272175 */     // GIR_Coverage, 8091,
     /*  272175 */     GIR_EraseRootFromParent_Done,
     /*  272176 */   // Label 5143: @272176
     /*  272176 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(272239), // Rule ID 8094 //
     /*  272181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272237 */     GIR_RootConstrainSelectedInstOperands,
     /*  272238 */     // GIR_Coverage, 8094,
     /*  272238 */     GIR_EraseRootFromParent_Done,
     /*  272239 */   // Label 5144: @272239
     /*  272239 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(272302), // Rule ID 8095 //
     /*  272244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272283 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272300 */     GIR_RootConstrainSelectedInstOperands,
     /*  272301 */     // GIR_Coverage, 8095,
     /*  272301 */     GIR_EraseRootFromParent_Done,
     /*  272302 */   // Label 5145: @272302
     /*  272302 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(272365), // Rule ID 8098 //
     /*  272307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272346 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272363 */     GIR_RootConstrainSelectedInstOperands,
     /*  272364 */     // GIR_Coverage, 8098,
     /*  272364 */     GIR_EraseRootFromParent_Done,
     /*  272365 */   // Label 5146: @272365
     /*  272365 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(272428), // Rule ID 8099 //
     /*  272370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272409 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272426 */     GIR_RootConstrainSelectedInstOperands,
     /*  272427 */     // GIR_Coverage, 8099,
     /*  272427 */     GIR_EraseRootFromParent_Done,
     /*  272428 */   // Label 5147: @272428
     /*  272428 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(272491), // Rule ID 8102 //
     /*  272433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272472 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272489 */     GIR_RootConstrainSelectedInstOperands,
     /*  272490 */     // GIR_Coverage, 8102,
     /*  272490 */     GIR_EraseRootFromParent_Done,
     /*  272491 */   // Label 5148: @272491
     /*  272491 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(272554), // Rule ID 8103 //
     /*  272496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272535 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272552 */     GIR_RootConstrainSelectedInstOperands,
     /*  272553 */     // GIR_Coverage, 8103,
     /*  272553 */     GIR_EraseRootFromParent_Done,
     /*  272554 */   // Label 5149: @272554
     /*  272554 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(272617), // Rule ID 8106 //
     /*  272559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272598 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272615 */     GIR_RootConstrainSelectedInstOperands,
     /*  272616 */     // GIR_Coverage, 8106,
     /*  272616 */     GIR_EraseRootFromParent_Done,
     /*  272617 */   // Label 5150: @272617
     /*  272617 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272680), // Rule ID 8107 //
     /*  272622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272661 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272678 */     GIR_RootConstrainSelectedInstOperands,
     /*  272679 */     // GIR_Coverage, 8107,
     /*  272679 */     GIR_EraseRootFromParent_Done,
     /*  272680 */   // Label 5151: @272680
     /*  272680 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272743), // Rule ID 8110 //
     /*  272685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272741 */     GIR_RootConstrainSelectedInstOperands,
     /*  272742 */     // GIR_Coverage, 8110,
     /*  272742 */     GIR_EraseRootFromParent_Done,
     /*  272743 */   // Label 5152: @272743
     /*  272743 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272806), // Rule ID 8111 //
     /*  272748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272787 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272804 */     GIR_RootConstrainSelectedInstOperands,
     /*  272805 */     // GIR_Coverage, 8111,
     /*  272805 */     GIR_EraseRootFromParent_Done,
     /*  272806 */   // Label 5153: @272806
     /*  272806 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272869), // Rule ID 8114 //
     /*  272811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272850 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272867 */     GIR_RootConstrainSelectedInstOperands,
     /*  272868 */     // GIR_Coverage, 8114,
     /*  272868 */     GIR_EraseRootFromParent_Done,
     /*  272869 */   // Label 5154: @272869
     /*  272869 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272932), // Rule ID 8115 //
     /*  272874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272913 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272930 */     GIR_RootConstrainSelectedInstOperands,
     /*  272931 */     // GIR_Coverage, 8115,
     /*  272931 */     GIR_EraseRootFromParent_Done,
     /*  272932 */   // Label 5155: @272932
     /*  272932 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272995), // Rule ID 8118 //
     /*  272937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  272951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272993 */     GIR_RootConstrainSelectedInstOperands,
     /*  272994 */     // GIR_Coverage, 8118,
     /*  272994 */     GIR_EraseRootFromParent_Done,
     /*  272995 */   // Label 5156: @272995
     /*  272995 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(273058), // Rule ID 8119 //
     /*  273000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273039 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  273042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273056 */     GIR_RootConstrainSelectedInstOperands,
     /*  273057 */     // GIR_Coverage, 8119,
     /*  273057 */     GIR_EraseRootFromParent_Done,
     /*  273058 */   // Label 5157: @273058
     /*  273058 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(273121), // Rule ID 8122 //
     /*  273063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273119 */     GIR_RootConstrainSelectedInstOperands,
     /*  273120 */     // GIR_Coverage, 8122,
     /*  273120 */     GIR_EraseRootFromParent_Done,
     /*  273121 */   // Label 5158: @273121
     /*  273121 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(273184), // Rule ID 8123 //
     /*  273126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273165 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273182 */     GIR_RootConstrainSelectedInstOperands,
     /*  273183 */     // GIR_Coverage, 8123,
     /*  273183 */     GIR_EraseRootFromParent_Done,
     /*  273184 */   // Label 5159: @273184
     /*  273184 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(273247), // Rule ID 8126 //
     /*  273189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273245 */     GIR_RootConstrainSelectedInstOperands,
     /*  273246 */     // GIR_Coverage, 8126,
     /*  273246 */     GIR_EraseRootFromParent_Done,
     /*  273247 */   // Label 5160: @273247
     /*  273247 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(273310), // Rule ID 8127 //
     /*  273252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273291 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273308 */     GIR_RootConstrainSelectedInstOperands,
     /*  273309 */     // GIR_Coverage, 8127,
     /*  273309 */     GIR_EraseRootFromParent_Done,
     /*  273310 */   // Label 5161: @273310
     /*  273310 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(273373), // Rule ID 8218 //
     /*  273315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273354 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  273357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273371 */     GIR_RootConstrainSelectedInstOperands,
     /*  273372 */     // GIR_Coverage, 8218,
     /*  273372 */     GIR_EraseRootFromParent_Done,
     /*  273373 */   // Label 5162: @273373
     /*  273373 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(273436), // Rule ID 8219 //
     /*  273378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  273420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273434 */     GIR_RootConstrainSelectedInstOperands,
     /*  273435 */     // GIR_Coverage, 8219,
     /*  273435 */     GIR_EraseRootFromParent_Done,
     /*  273436 */   // Label 5163: @273436
     /*  273436 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(273499), // Rule ID 8222 //
     /*  273441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  273483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273497 */     GIR_RootConstrainSelectedInstOperands,
     /*  273498 */     // GIR_Coverage, 8222,
     /*  273498 */     GIR_EraseRootFromParent_Done,
     /*  273499 */   // Label 5164: @273499
     /*  273499 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(273562), // Rule ID 8223 //
     /*  273504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273543 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  273546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273560 */     GIR_RootConstrainSelectedInstOperands,
     /*  273561 */     // GIR_Coverage, 8223,
     /*  273561 */     GIR_EraseRootFromParent_Done,
     /*  273562 */   // Label 5165: @273562
     /*  273562 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(273625), // Rule ID 8226 //
     /*  273567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273606 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  273609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273623 */     GIR_RootConstrainSelectedInstOperands,
     /*  273624 */     // GIR_Coverage, 8226,
     /*  273624 */     GIR_EraseRootFromParent_Done,
     /*  273625 */   // Label 5166: @273625
     /*  273625 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273688), // Rule ID 8227 //
     /*  273630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273669 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  273672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273686 */     GIR_RootConstrainSelectedInstOperands,
     /*  273687 */     // GIR_Coverage, 8227,
     /*  273687 */     GIR_EraseRootFromParent_Done,
     /*  273688 */   // Label 5167: @273688
     /*  273688 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273751), // Rule ID 8230 //
     /*  273693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  273735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273749 */     GIR_RootConstrainSelectedInstOperands,
     /*  273750 */     // GIR_Coverage, 8230,
     /*  273750 */     GIR_EraseRootFromParent_Done,
     /*  273751 */   // Label 5168: @273751
     /*  273751 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273814), // Rule ID 8231 //
     /*  273756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273795 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  273798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273812 */     GIR_RootConstrainSelectedInstOperands,
     /*  273813 */     // GIR_Coverage, 8231,
     /*  273813 */     GIR_EraseRootFromParent_Done,
     /*  273814 */   // Label 5169: @273814
     /*  273814 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273877), // Rule ID 8234 //
     /*  273819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  273836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  273861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273875 */     GIR_RootConstrainSelectedInstOperands,
     /*  273876 */     // GIR_Coverage, 8234,
     /*  273876 */     GIR_EraseRootFromParent_Done,
     /*  273877 */   // Label 5170: @273877
     /*  273877 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273940), // Rule ID 8235 //
     /*  273882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  273899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  273924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273938 */     GIR_RootConstrainSelectedInstOperands,
     /*  273939 */     // GIR_Coverage, 8235,
     /*  273939 */     GIR_EraseRootFromParent_Done,
     /*  273940 */   // Label 5171: @273940
     /*  273940 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(274003), // Rule ID 8238 //
     /*  273945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  273959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  273962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  273987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274001 */     GIR_RootConstrainSelectedInstOperands,
     /*  274002 */     // GIR_Coverage, 8238,
     /*  274002 */     GIR_EraseRootFromParent_Done,
     /*  274003 */   // Label 5172: @274003
     /*  274003 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(274066), // Rule ID 8239 //
     /*  274008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274064 */     GIR_RootConstrainSelectedInstOperands,
     /*  274065 */     // GIR_Coverage, 8239,
     /*  274065 */     GIR_EraseRootFromParent_Done,
     /*  274066 */   // Label 5173: @274066
     /*  274066 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(274129), // Rule ID 8242 //
     /*  274071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274110 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274127 */     GIR_RootConstrainSelectedInstOperands,
     /*  274128 */     // GIR_Coverage, 8242,
     /*  274128 */     GIR_EraseRootFromParent_Done,
     /*  274129 */   // Label 5174: @274129
     /*  274129 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(274192), // Rule ID 8243 //
     /*  274134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274173 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274190 */     GIR_RootConstrainSelectedInstOperands,
     /*  274191 */     // GIR_Coverage, 8243,
     /*  274191 */     GIR_EraseRootFromParent_Done,
     /*  274192 */   // Label 5175: @274192
     /*  274192 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(274255), // Rule ID 8246 //
     /*  274197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274253 */     GIR_RootConstrainSelectedInstOperands,
     /*  274254 */     // GIR_Coverage, 8246,
     /*  274254 */     GIR_EraseRootFromParent_Done,
     /*  274255 */   // Label 5176: @274255
     /*  274255 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(274318), // Rule ID 8247 //
     /*  274260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274299 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274316 */     GIR_RootConstrainSelectedInstOperands,
     /*  274317 */     // GIR_Coverage, 8247,
     /*  274317 */     GIR_EraseRootFromParent_Done,
     /*  274318 */   // Label 5177: @274318
     /*  274318 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(274381), // Rule ID 8250 //
     /*  274323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274362 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274379 */     GIR_RootConstrainSelectedInstOperands,
     /*  274380 */     // GIR_Coverage, 8250,
     /*  274380 */     GIR_EraseRootFromParent_Done,
     /*  274381 */   // Label 5178: @274381
     /*  274381 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(274444), // Rule ID 8251 //
     /*  274386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274425 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274442 */     GIR_RootConstrainSelectedInstOperands,
     /*  274443 */     // GIR_Coverage, 8251,
     /*  274443 */     GIR_EraseRootFromParent_Done,
     /*  274444 */   // Label 5179: @274444
     /*  274444 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(274507), // Rule ID 8254 //
     /*  274449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274505 */     GIR_RootConstrainSelectedInstOperands,
     /*  274506 */     // GIR_Coverage, 8254,
     /*  274506 */     GIR_EraseRootFromParent_Done,
     /*  274507 */   // Label 5180: @274507
     /*  274507 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(274570), // Rule ID 8255 //
     /*  274512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274551 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274568 */     GIR_RootConstrainSelectedInstOperands,
     /*  274569 */     // GIR_Coverage, 8255,
     /*  274569 */     GIR_EraseRootFromParent_Done,
     /*  274570 */   // Label 5181: @274570
     /*  274570 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274633), // Rule ID 8258 //
     /*  274575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274614 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  274617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274631 */     GIR_RootConstrainSelectedInstOperands,
     /*  274632 */     // GIR_Coverage, 8258,
     /*  274632 */     GIR_EraseRootFromParent_Done,
     /*  274633 */   // Label 5182: @274633
     /*  274633 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274696), // Rule ID 8259 //
     /*  274638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274677 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  274680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274694 */     GIR_RootConstrainSelectedInstOperands,
     /*  274695 */     // GIR_Coverage, 8259,
     /*  274695 */     GIR_EraseRootFromParent_Done,
     /*  274696 */   // Label 5183: @274696
     /*  274696 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274759), // Rule ID 8262 //
     /*  274701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274740 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  274743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274757 */     GIR_RootConstrainSelectedInstOperands,
     /*  274758 */     // GIR_Coverage, 8262,
     /*  274758 */     GIR_EraseRootFromParent_Done,
     /*  274759 */   // Label 5184: @274759
     /*  274759 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274822), // Rule ID 8263 //
     /*  274764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274803 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  274806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274820 */     GIR_RootConstrainSelectedInstOperands,
     /*  274821 */     // GIR_Coverage, 8263,
     /*  274821 */     GIR_EraseRootFromParent_Done,
     /*  274822 */   // Label 5185: @274822
     /*  274822 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274885), // Rule ID 8266 //
     /*  274827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  274838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  274844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274866 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  274869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274883 */     GIR_RootConstrainSelectedInstOperands,
     /*  274884 */     // GIR_Coverage, 8266,
     /*  274884 */     GIR_EraseRootFromParent_Done,
     /*  274885 */   // Label 5186: @274885
     /*  274885 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274948), // Rule ID 8267 //
     /*  274890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  274901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  274907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274929 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  274932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274946 */     GIR_RootConstrainSelectedInstOperands,
     /*  274947 */     // GIR_Coverage, 8267,
     /*  274947 */     GIR_EraseRootFromParent_Done,
     /*  274948 */   // Label 5187: @274948
     /*  274948 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(275011), // Rule ID 8270 //
     /*  274953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  274967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  274970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  274995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275009 */     GIR_RootConstrainSelectedInstOperands,
     /*  275010 */     // GIR_Coverage, 8270,
     /*  275010 */     GIR_EraseRootFromParent_Done,
     /*  275011 */   // Label 5188: @275011
     /*  275011 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(275074), // Rule ID 8271 //
     /*  275016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275055 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275072 */     GIR_RootConstrainSelectedInstOperands,
     /*  275073 */     // GIR_Coverage, 8271,
     /*  275073 */     GIR_EraseRootFromParent_Done,
     /*  275074 */   // Label 5189: @275074
     /*  275074 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(275137), // Rule ID 8274 //
     /*  275079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275135 */     GIR_RootConstrainSelectedInstOperands,
     /*  275136 */     // GIR_Coverage, 8274,
     /*  275136 */     GIR_EraseRootFromParent_Done,
     /*  275137 */   // Label 5190: @275137
     /*  275137 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(275200), // Rule ID 8275 //
     /*  275142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275181 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275198 */     GIR_RootConstrainSelectedInstOperands,
     /*  275199 */     // GIR_Coverage, 8275,
     /*  275199 */     GIR_EraseRootFromParent_Done,
     /*  275200 */   // Label 5191: @275200
     /*  275200 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(275263), // Rule ID 8278 //
     /*  275205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275261 */     GIR_RootConstrainSelectedInstOperands,
     /*  275262 */     // GIR_Coverage, 8278,
     /*  275262 */     GIR_EraseRootFromParent_Done,
     /*  275263 */   // Label 5192: @275263
     /*  275263 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(275326), // Rule ID 8279 //
     /*  275268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275307 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275324 */     GIR_RootConstrainSelectedInstOperands,
     /*  275325 */     // GIR_Coverage, 8279,
     /*  275325 */     GIR_EraseRootFromParent_Done,
     /*  275326 */   // Label 5193: @275326
     /*  275326 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(275389), // Rule ID 8282 //
     /*  275331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275370 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275387 */     GIR_RootConstrainSelectedInstOperands,
     /*  275388 */     // GIR_Coverage, 8282,
     /*  275388 */     GIR_EraseRootFromParent_Done,
     /*  275389 */   // Label 5194: @275389
     /*  275389 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(275452), // Rule ID 8283 //
     /*  275394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275450 */     GIR_RootConstrainSelectedInstOperands,
     /*  275451 */     // GIR_Coverage, 8283,
     /*  275451 */     GIR_EraseRootFromParent_Done,
     /*  275452 */   // Label 5195: @275452
     /*  275452 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(275515), // Rule ID 8286 //
     /*  275457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275513 */     GIR_RootConstrainSelectedInstOperands,
     /*  275514 */     // GIR_Coverage, 8286,
     /*  275514 */     GIR_EraseRootFromParent_Done,
     /*  275515 */   // Label 5196: @275515
     /*  275515 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(275578), // Rule ID 8287 //
     /*  275520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275559 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275576 */     GIR_RootConstrainSelectedInstOperands,
     /*  275577 */     // GIR_Coverage, 8287,
     /*  275577 */     GIR_EraseRootFromParent_Done,
     /*  275578 */   // Label 5197: @275578
     /*  275578 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275641), // Rule ID 8290 //
     /*  275583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275622 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275639 */     GIR_RootConstrainSelectedInstOperands,
     /*  275640 */     // GIR_Coverage, 8290,
     /*  275640 */     GIR_EraseRootFromParent_Done,
     /*  275641 */   // Label 5198: @275641
     /*  275641 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275704), // Rule ID 8291 //
     /*  275646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275685 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275702 */     GIR_RootConstrainSelectedInstOperands,
     /*  275703 */     // GIR_Coverage, 8291,
     /*  275703 */     GIR_EraseRootFromParent_Done,
     /*  275704 */   // Label 5199: @275704
     /*  275704 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275767), // Rule ID 8294 //
     /*  275709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275765 */     GIR_RootConstrainSelectedInstOperands,
     /*  275766 */     // GIR_Coverage, 8294,
     /*  275766 */     GIR_EraseRootFromParent_Done,
     /*  275767 */   // Label 5200: @275767
     /*  275767 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275830), // Rule ID 8295 //
     /*  275772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275811 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275828 */     GIR_RootConstrainSelectedInstOperands,
     /*  275829 */     // GIR_Coverage, 8295,
     /*  275829 */     GIR_EraseRootFromParent_Done,
     /*  275830 */   // Label 5201: @275830
     /*  275830 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275893), // Rule ID 8298 //
     /*  275835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  275852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275874 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275891 */     GIR_RootConstrainSelectedInstOperands,
     /*  275892 */     // GIR_Coverage, 8298,
     /*  275892 */     GIR_EraseRootFromParent_Done,
     /*  275893 */   // Label 5202: @275893
     /*  275893 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275956), // Rule ID 8299 //
     /*  275898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  275915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275937 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275954 */     GIR_RootConstrainSelectedInstOperands,
     /*  275955 */     // GIR_Coverage, 8299,
     /*  275955 */     GIR_EraseRootFromParent_Done,
     /*  275956 */   // Label 5203: @275956
     /*  275956 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(276019), // Rule ID 8302 //
     /*  275961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  275975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  275978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276017 */     GIR_RootConstrainSelectedInstOperands,
     /*  276018 */     // GIR_Coverage, 8302,
     /*  276018 */     GIR_EraseRootFromParent_Done,
     /*  276019 */   // Label 5204: @276019
     /*  276019 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(276082), // Rule ID 8303 //
     /*  276024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276063 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276080 */     GIR_RootConstrainSelectedInstOperands,
     /*  276081 */     // GIR_Coverage, 8303,
     /*  276081 */     GIR_EraseRootFromParent_Done,
     /*  276082 */   // Label 5205: @276082
     /*  276082 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(276145), // Rule ID 8306 //
     /*  276087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276126 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  276129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276143 */     GIR_RootConstrainSelectedInstOperands,
     /*  276144 */     // GIR_Coverage, 8306,
     /*  276144 */     GIR_EraseRootFromParent_Done,
     /*  276145 */   // Label 5206: @276145
     /*  276145 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(276208), // Rule ID 8307 //
     /*  276150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276189 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  276192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276206 */     GIR_RootConstrainSelectedInstOperands,
     /*  276207 */     // GIR_Coverage, 8307,
     /*  276207 */     GIR_EraseRootFromParent_Done,
     /*  276208 */   // Label 5207: @276208
     /*  276208 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(276271), // Rule ID 8310 //
     /*  276213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276269 */     GIR_RootConstrainSelectedInstOperands,
     /*  276270 */     // GIR_Coverage, 8310,
     /*  276270 */     GIR_EraseRootFromParent_Done,
     /*  276271 */   // Label 5208: @276271
     /*  276271 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(276334), // Rule ID 8311 //
     /*  276276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276315 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276332 */     GIR_RootConstrainSelectedInstOperands,
     /*  276333 */     // GIR_Coverage, 8311,
     /*  276333 */     GIR_EraseRootFromParent_Done,
     /*  276334 */   // Label 5209: @276334
     /*  276334 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(276397), // Rule ID 8314 //
     /*  276339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276378 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276395 */     GIR_RootConstrainSelectedInstOperands,
     /*  276396 */     // GIR_Coverage, 8314,
     /*  276396 */     GIR_EraseRootFromParent_Done,
     /*  276397 */   // Label 5210: @276397
     /*  276397 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(276460), // Rule ID 8315 //
     /*  276402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276441 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276458 */     GIR_RootConstrainSelectedInstOperands,
     /*  276459 */     // GIR_Coverage, 8315,
     /*  276459 */     GIR_EraseRootFromParent_Done,
     /*  276460 */   // Label 5211: @276460
     /*  276460 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(276523), // Rule ID 8318 //
     /*  276465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276521 */     GIR_RootConstrainSelectedInstOperands,
     /*  276522 */     // GIR_Coverage, 8318,
     /*  276522 */     GIR_EraseRootFromParent_Done,
     /*  276523 */   // Label 5212: @276523
     /*  276523 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(276586), // Rule ID 8319 //
     /*  276528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276567 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276584 */     GIR_RootConstrainSelectedInstOperands,
     /*  276585 */     // GIR_Coverage, 8319,
     /*  276585 */     GIR_EraseRootFromParent_Done,
     /*  276586 */   // Label 5213: @276586
     /*  276586 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276649), // Rule ID 8322 //
     /*  276591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276647 */     GIR_RootConstrainSelectedInstOperands,
     /*  276648 */     // GIR_Coverage, 8322,
     /*  276648 */     GIR_EraseRootFromParent_Done,
     /*  276649 */   // Label 5214: @276649
     /*  276649 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276712), // Rule ID 8323 //
     /*  276654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276693 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276710 */     GIR_RootConstrainSelectedInstOperands,
     /*  276711 */     // GIR_Coverage, 8323,
     /*  276711 */     GIR_EraseRootFromParent_Done,
     /*  276712 */   // Label 5215: @276712
     /*  276712 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276775), // Rule ID 8326 //
     /*  276717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276773 */     GIR_RootConstrainSelectedInstOperands,
     /*  276774 */     // GIR_Coverage, 8326,
     /*  276774 */     GIR_EraseRootFromParent_Done,
     /*  276775 */   // Label 5216: @276775
     /*  276775 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276838), // Rule ID 8327 //
     /*  276780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276819 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  276822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276836 */     GIR_RootConstrainSelectedInstOperands,
     /*  276837 */     // GIR_Coverage, 8327,
     /*  276837 */     GIR_EraseRootFromParent_Done,
     /*  276838 */   // Label 5217: @276838
     /*  276838 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276901), // Rule ID 8330 //
     /*  276843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  276885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276899 */     GIR_RootConstrainSelectedInstOperands,
     /*  276900 */     // GIR_Coverage, 8330,
     /*  276900 */     GIR_EraseRootFromParent_Done,
     /*  276901 */   // Label 5218: @276901
     /*  276901 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276964), // Rule ID 8331 //
     /*  276906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  276948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276962 */     GIR_RootConstrainSelectedInstOperands,
     /*  276963 */     // GIR_Coverage, 8331,
     /*  276963 */     GIR_EraseRootFromParent_Done,
     /*  276964 */   // Label 5219: @276964
     /*  276964 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(277027), // Rule ID 8334 //
     /*  276969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  276983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277025 */     GIR_RootConstrainSelectedInstOperands,
     /*  277026 */     // GIR_Coverage, 8334,
     /*  277026 */     GIR_EraseRootFromParent_Done,
     /*  277027 */   // Label 5220: @277027
     /*  277027 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(277090), // Rule ID 8335 //
     /*  277032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277071 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277088 */     GIR_RootConstrainSelectedInstOperands,
     /*  277089 */     // GIR_Coverage, 8335,
     /*  277089 */     GIR_EraseRootFromParent_Done,
     /*  277090 */   // Label 5221: @277090
     /*  277090 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(277153), // Rule ID 8338 //
     /*  277095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277151 */     GIR_RootConstrainSelectedInstOperands,
     /*  277152 */     // GIR_Coverage, 8338,
     /*  277152 */     GIR_EraseRootFromParent_Done,
     /*  277153 */   // Label 5222: @277153
     /*  277153 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(277216), // Rule ID 8339 //
     /*  277158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277214 */     GIR_RootConstrainSelectedInstOperands,
     /*  277215 */     // GIR_Coverage, 8339,
     /*  277215 */     GIR_EraseRootFromParent_Done,
     /*  277216 */   // Label 5223: @277216
     /*  277216 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(277279), // Rule ID 8342 //
     /*  277221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277277 */     GIR_RootConstrainSelectedInstOperands,
     /*  277278 */     // GIR_Coverage, 8342,
     /*  277278 */     GIR_EraseRootFromParent_Done,
     /*  277279 */   // Label 5224: @277279
     /*  277279 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(277342), // Rule ID 8343 //
     /*  277284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277340 */     GIR_RootConstrainSelectedInstOperands,
     /*  277341 */     // GIR_Coverage, 8343,
     /*  277341 */     GIR_EraseRootFromParent_Done,
     /*  277342 */   // Label 5225: @277342
     /*  277342 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(277405), // Rule ID 8346 //
     /*  277347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277386 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  277389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277403 */     GIR_RootConstrainSelectedInstOperands,
     /*  277404 */     // GIR_Coverage, 8346,
     /*  277404 */     GIR_EraseRootFromParent_Done,
     /*  277405 */   // Label 5226: @277405
     /*  277405 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(277468), // Rule ID 8347 //
     /*  277410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277449 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  277452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277466 */     GIR_RootConstrainSelectedInstOperands,
     /*  277467 */     // GIR_Coverage, 8347,
     /*  277467 */     GIR_EraseRootFromParent_Done,
     /*  277468 */   // Label 5227: @277468
     /*  277468 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(277531), // Rule ID 8350 //
     /*  277473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277512 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  277515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277529 */     GIR_RootConstrainSelectedInstOperands,
     /*  277530 */     // GIR_Coverage, 8350,
     /*  277530 */     GIR_EraseRootFromParent_Done,
     /*  277531 */   // Label 5228: @277531
     /*  277531 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(277594), // Rule ID 8351 //
     /*  277536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277575 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  277578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277592 */     GIR_RootConstrainSelectedInstOperands,
     /*  277593 */     // GIR_Coverage, 8351,
     /*  277593 */     GIR_EraseRootFromParent_Done,
     /*  277594 */   // Label 5229: @277594
     /*  277594 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277657), // Rule ID 8354 //
     /*  277599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  277610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277638 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  277641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277655 */     GIR_RootConstrainSelectedInstOperands,
     /*  277656 */     // GIR_Coverage, 8354,
     /*  277656 */     GIR_EraseRootFromParent_Done,
     /*  277657 */   // Label 5230: @277657
     /*  277657 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277720), // Rule ID 8355 //
     /*  277662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  277673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277701 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  277704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277718 */     GIR_RootConstrainSelectedInstOperands,
     /*  277719 */     // GIR_Coverage, 8355,
     /*  277719 */     GIR_EraseRootFromParent_Done,
     /*  277720 */   // Label 5231: @277720
     /*  277720 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277783), // Rule ID 8358 //
     /*  277725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  277767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277781 */     GIR_RootConstrainSelectedInstOperands,
     /*  277782 */     // GIR_Coverage, 8358,
     /*  277782 */     GIR_EraseRootFromParent_Done,
     /*  277783 */   // Label 5232: @277783
     /*  277783 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277846), // Rule ID 8359 //
     /*  277788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  277830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277844 */     GIR_RootConstrainSelectedInstOperands,
     /*  277845 */     // GIR_Coverage, 8359,
     /*  277845 */     GIR_EraseRootFromParent_Done,
     /*  277846 */   // Label 5233: @277846
     /*  277846 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277909), // Rule ID 8362 //
     /*  277851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  277865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277890 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  277893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277907 */     GIR_RootConstrainSelectedInstOperands,
     /*  277908 */     // GIR_Coverage, 8362,
     /*  277908 */     GIR_EraseRootFromParent_Done,
     /*  277909 */   // Label 5234: @277909
     /*  277909 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277972), // Rule ID 8363 //
     /*  277914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  277928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  277956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277970 */     GIR_RootConstrainSelectedInstOperands,
     /*  277971 */     // GIR_Coverage, 8363,
     /*  277971 */     GIR_EraseRootFromParent_Done,
     /*  277972 */   // Label 5235: @277972
     /*  277972 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(278035), // Rule ID 8366 //
     /*  277977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  277991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278033 */     GIR_RootConstrainSelectedInstOperands,
     /*  278034 */     // GIR_Coverage, 8366,
     /*  278034 */     GIR_EraseRootFromParent_Done,
     /*  278035 */   // Label 5236: @278035
     /*  278035 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(278098), // Rule ID 8367 //
     /*  278040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278079 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278096 */     GIR_RootConstrainSelectedInstOperands,
     /*  278097 */     // GIR_Coverage, 8367,
     /*  278097 */     GIR_EraseRootFromParent_Done,
     /*  278098 */   // Label 5237: @278098
     /*  278098 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(278161), // Rule ID 8370 //
     /*  278103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278142 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278159 */     GIR_RootConstrainSelectedInstOperands,
     /*  278160 */     // GIR_Coverage, 8370,
     /*  278160 */     GIR_EraseRootFromParent_Done,
     /*  278161 */   // Label 5238: @278161
     /*  278161 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(278224), // Rule ID 8371 //
     /*  278166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278222 */     GIR_RootConstrainSelectedInstOperands,
     /*  278223 */     // GIR_Coverage, 8371,
     /*  278223 */     GIR_EraseRootFromParent_Done,
     /*  278224 */   // Label 5239: @278224
     /*  278224 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(278287), // Rule ID 8374 //
     /*  278229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278285 */     GIR_RootConstrainSelectedInstOperands,
     /*  278286 */     // GIR_Coverage, 8374,
     /*  278286 */     GIR_EraseRootFromParent_Done,
     /*  278287 */   // Label 5240: @278287
     /*  278287 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(278350), // Rule ID 8375 //
     /*  278292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278348 */     GIR_RootConstrainSelectedInstOperands,
     /*  278349 */     // GIR_Coverage, 8375,
     /*  278349 */     GIR_EraseRootFromParent_Done,
     /*  278350 */   // Label 5241: @278350
     /*  278350 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(278413), // Rule ID 8378 //
     /*  278355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278394 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278411 */     GIR_RootConstrainSelectedInstOperands,
     /*  278412 */     // GIR_Coverage, 8378,
     /*  278412 */     GIR_EraseRootFromParent_Done,
     /*  278413 */   // Label 5242: @278413
     /*  278413 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(278476), // Rule ID 8379 //
     /*  278418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278457 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278474 */     GIR_RootConstrainSelectedInstOperands,
     /*  278475 */     // GIR_Coverage, 8379,
     /*  278475 */     GIR_EraseRootFromParent_Done,
     /*  278476 */   // Label 5243: @278476
     /*  278476 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(278539), // Rule ID 8382 //
     /*  278481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278537 */     GIR_RootConstrainSelectedInstOperands,
     /*  278538 */     // GIR_Coverage, 8382,
     /*  278538 */     GIR_EraseRootFromParent_Done,
     /*  278539 */   // Label 5244: @278539
     /*  278539 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(278602), // Rule ID 8383 //
     /*  278544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278600 */     GIR_RootConstrainSelectedInstOperands,
     /*  278601 */     // GIR_Coverage, 8383,
     /*  278601 */     GIR_EraseRootFromParent_Done,
     /*  278602 */   // Label 5245: @278602
     /*  278602 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278665), // Rule ID 8386 //
     /*  278607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278663 */     GIR_RootConstrainSelectedInstOperands,
     /*  278664 */     // GIR_Coverage, 8386,
     /*  278664 */     GIR_EraseRootFromParent_Done,
     /*  278665 */   // Label 5246: @278665
     /*  278665 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278728), // Rule ID 8387 //
     /*  278670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278726 */     GIR_RootConstrainSelectedInstOperands,
     /*  278727 */     // GIR_Coverage, 8387,
     /*  278727 */     GIR_EraseRootFromParent_Done,
     /*  278728 */   // Label 5247: @278728
     /*  278728 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278791), // Rule ID 8390 //
     /*  278733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278789 */     GIR_RootConstrainSelectedInstOperands,
     /*  278790 */     // GIR_Coverage, 8390,
     /*  278790 */     GIR_EraseRootFromParent_Done,
     /*  278791 */   // Label 5248: @278791
     /*  278791 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278854), // Rule ID 8391 //
     /*  278796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278852 */     GIR_RootConstrainSelectedInstOperands,
     /*  278853 */     // GIR_Coverage, 8391,
     /*  278853 */     GIR_EraseRootFromParent_Done,
     /*  278854 */   // Label 5249: @278854
     /*  278854 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278917), // Rule ID 8394 //
     /*  278859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  278873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  278876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  278901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278915 */     GIR_RootConstrainSelectedInstOperands,
     /*  278916 */     // GIR_Coverage, 8394,
     /*  278916 */     GIR_EraseRootFromParent_Done,
     /*  278917 */   // Label 5250: @278917
     /*  278917 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278980), // Rule ID 8395 //
     /*  278922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  278936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  278939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  278964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278978 */     GIR_RootConstrainSelectedInstOperands,
     /*  278979 */     // GIR_Coverage, 8395,
     /*  278979 */     GIR_EraseRootFromParent_Done,
     /*  278980 */   // Label 5251: @278980
     /*  278980 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(279043), // Rule ID 8398 //
     /*  278985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  278999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279041 */     GIR_RootConstrainSelectedInstOperands,
     /*  279042 */     // GIR_Coverage, 8398,
     /*  279042 */     GIR_EraseRootFromParent_Done,
     /*  279043 */   // Label 5252: @279043
     /*  279043 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(279106), // Rule ID 8399 //
     /*  279048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279104 */     GIR_RootConstrainSelectedInstOperands,
     /*  279105 */     // GIR_Coverage, 8399,
     /*  279105 */     GIR_EraseRootFromParent_Done,
     /*  279106 */   // Label 5253: @279106
     /*  279106 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(279169), // Rule ID 8402 //
     /*  279111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279167 */     GIR_RootConstrainSelectedInstOperands,
     /*  279168 */     // GIR_Coverage, 8402,
     /*  279168 */     GIR_EraseRootFromParent_Done,
     /*  279169 */   // Label 5254: @279169
     /*  279169 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(279232), // Rule ID 8403 //
     /*  279174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279230 */     GIR_RootConstrainSelectedInstOperands,
     /*  279231 */     // GIR_Coverage, 8403,
     /*  279231 */     GIR_EraseRootFromParent_Done,
     /*  279232 */   // Label 5255: @279232
     /*  279232 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(279295), // Rule ID 8406 //
     /*  279237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279293 */     GIR_RootConstrainSelectedInstOperands,
     /*  279294 */     // GIR_Coverage, 8406,
     /*  279294 */     GIR_EraseRootFromParent_Done,
     /*  279295 */   // Label 5256: @279295
     /*  279295 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(279358), // Rule ID 8407 //
     /*  279300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279339 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279356 */     GIR_RootConstrainSelectedInstOperands,
     /*  279357 */     // GIR_Coverage, 8407,
     /*  279357 */     GIR_EraseRootFromParent_Done,
     /*  279358 */   // Label 5257: @279358
     /*  279358 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(279421), // Rule ID 8410 //
     /*  279363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279402 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279419 */     GIR_RootConstrainSelectedInstOperands,
     /*  279420 */     // GIR_Coverage, 8410,
     /*  279420 */     GIR_EraseRootFromParent_Done,
     /*  279421 */   // Label 5258: @279421
     /*  279421 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(279484), // Rule ID 8411 //
     /*  279426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279482 */     GIR_RootConstrainSelectedInstOperands,
     /*  279483 */     // GIR_Coverage, 8411,
     /*  279483 */     GIR_EraseRootFromParent_Done,
     /*  279484 */   // Label 5259: @279484
     /*  279484 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(279547), // Rule ID 8414 //
     /*  279489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279545 */     GIR_RootConstrainSelectedInstOperands,
     /*  279546 */     // GIR_Coverage, 8414,
     /*  279546 */     GIR_EraseRootFromParent_Done,
     /*  279547 */   // Label 5260: @279547
     /*  279547 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(279610), // Rule ID 8415 //
     /*  279552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279591 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279608 */     GIR_RootConstrainSelectedInstOperands,
     /*  279609 */     // GIR_Coverage, 8415,
     /*  279609 */     GIR_EraseRootFromParent_Done,
     /*  279610 */   // Label 5261: @279610
     /*  279610 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279673), // Rule ID 8418 //
     /*  279615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279654 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279671 */     GIR_RootConstrainSelectedInstOperands,
     /*  279672 */     // GIR_Coverage, 8418,
     /*  279672 */     GIR_EraseRootFromParent_Done,
     /*  279673 */   // Label 5262: @279673
     /*  279673 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279736), // Rule ID 8419 //
     /*  279678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279717 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279734 */     GIR_RootConstrainSelectedInstOperands,
     /*  279735 */     // GIR_Coverage, 8419,
     /*  279735 */     GIR_EraseRootFromParent_Done,
     /*  279736 */   // Label 5263: @279736
     /*  279736 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279799), // Rule ID 8422 //
     /*  279741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  279758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279797 */     GIR_RootConstrainSelectedInstOperands,
     /*  279798 */     // GIR_Coverage, 8422,
     /*  279798 */     GIR_EraseRootFromParent_Done,
     /*  279799 */   // Label 5264: @279799
     /*  279799 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279862), // Rule ID 8423 //
     /*  279804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  279821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279843 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279860 */     GIR_RootConstrainSelectedInstOperands,
     /*  279861 */     // GIR_Coverage, 8423,
     /*  279861 */     GIR_EraseRootFromParent_Done,
     /*  279862 */   // Label 5265: @279862
     /*  279862 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279925), // Rule ID 8426 //
     /*  279867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  279881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  279884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279906 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279923 */     GIR_RootConstrainSelectedInstOperands,
     /*  279924 */     // GIR_Coverage, 8426,
     /*  279924 */     GIR_EraseRootFromParent_Done,
     /*  279925 */   // Label 5266: @279925
     /*  279925 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279988), // Rule ID 8427 //
     /*  279930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  279944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  279947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  279972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279986 */     GIR_RootConstrainSelectedInstOperands,
     /*  279987 */     // GIR_Coverage, 8427,
     /*  279987 */     GIR_EraseRootFromParent_Done,
     /*  279988 */   // Label 5267: @279988
     /*  279988 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(280051), // Rule ID 8430 //
     /*  279993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280049 */     GIR_RootConstrainSelectedInstOperands,
     /*  280050 */     // GIR_Coverage, 8430,
     /*  280050 */     GIR_EraseRootFromParent_Done,
     /*  280051 */   // Label 5268: @280051
     /*  280051 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(280114), // Rule ID 8431 //
     /*  280056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280112 */     GIR_RootConstrainSelectedInstOperands,
     /*  280113 */     // GIR_Coverage, 8431,
     /*  280113 */     GIR_EraseRootFromParent_Done,
     /*  280114 */   // Label 5269: @280114
     /*  280114 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(280177), // Rule ID 8434 //
     /*  280119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280158 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280175 */     GIR_RootConstrainSelectedInstOperands,
     /*  280176 */     // GIR_Coverage, 8434,
     /*  280176 */     GIR_EraseRootFromParent_Done,
     /*  280177 */   // Label 5270: @280177
     /*  280177 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(280240), // Rule ID 8435 //
     /*  280182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280221 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280238 */     GIR_RootConstrainSelectedInstOperands,
     /*  280239 */     // GIR_Coverage, 8435,
     /*  280239 */     GIR_EraseRootFromParent_Done,
     /*  280240 */   // Label 5271: @280240
     /*  280240 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(280303), // Rule ID 8438 //
     /*  280245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280284 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280301 */     GIR_RootConstrainSelectedInstOperands,
     /*  280302 */     // GIR_Coverage, 8438,
     /*  280302 */     GIR_EraseRootFromParent_Done,
     /*  280303 */   // Label 5272: @280303
     /*  280303 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(280366), // Rule ID 8439 //
     /*  280308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280347 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280364 */     GIR_RootConstrainSelectedInstOperands,
     /*  280365 */     // GIR_Coverage, 8439,
     /*  280365 */     GIR_EraseRootFromParent_Done,
     /*  280366 */   // Label 5273: @280366
     /*  280366 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(280429), // Rule ID 8442 //
     /*  280371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  280382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280410 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  280413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280427 */     GIR_RootConstrainSelectedInstOperands,
     /*  280428 */     // GIR_Coverage, 8442,
     /*  280428 */     GIR_EraseRootFromParent_Done,
     /*  280429 */   // Label 5274: @280429
     /*  280429 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(280492), // Rule ID 8443 //
     /*  280434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  280445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280473 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  280476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280490 */     GIR_RootConstrainSelectedInstOperands,
     /*  280491 */     // GIR_Coverage, 8443,
     /*  280491 */     GIR_EraseRootFromParent_Done,
     /*  280492 */   // Label 5275: @280492
     /*  280492 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(280555), // Rule ID 8446 //
     /*  280497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280553 */     GIR_RootConstrainSelectedInstOperands,
     /*  280554 */     // GIR_Coverage, 8446,
     /*  280554 */     GIR_EraseRootFromParent_Done,
     /*  280555 */   // Label 5276: @280555
     /*  280555 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(280618), // Rule ID 8447 //
     /*  280560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280599 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280616 */     GIR_RootConstrainSelectedInstOperands,
     /*  280617 */     // GIR_Coverage, 8447,
     /*  280617 */     GIR_EraseRootFromParent_Done,
     /*  280618 */   // Label 5277: @280618
     /*  280618 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280681), // Rule ID 8450 //
     /*  280623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280662 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280679 */     GIR_RootConstrainSelectedInstOperands,
     /*  280680 */     // GIR_Coverage, 8450,
     /*  280680 */     GIR_EraseRootFromParent_Done,
     /*  280681 */   // Label 5278: @280681
     /*  280681 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280744), // Rule ID 8451 //
     /*  280686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280742 */     GIR_RootConstrainSelectedInstOperands,
     /*  280743 */     // GIR_Coverage, 8451,
     /*  280743 */     GIR_EraseRootFromParent_Done,
     /*  280744 */   // Label 5279: @280744
     /*  280744 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280807), // Rule ID 8454 //
     /*  280749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  280766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  280791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280805 */     GIR_RootConstrainSelectedInstOperands,
     /*  280806 */     // GIR_Coverage, 8454,
     /*  280806 */     GIR_EraseRootFromParent_Done,
     /*  280807 */   // Label 5280: @280807
     /*  280807 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280870), // Rule ID 8455 //
     /*  280812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  280829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280851 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  280854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280868 */     GIR_RootConstrainSelectedInstOperands,
     /*  280869 */     // GIR_Coverage, 8455,
     /*  280869 */     GIR_EraseRootFromParent_Done,
     /*  280870 */   // Label 5281: @280870
     /*  280870 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280933), // Rule ID 8458 //
     /*  280875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  280889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  280892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280914 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280931 */     GIR_RootConstrainSelectedInstOperands,
     /*  280932 */     // GIR_Coverage, 8458,
     /*  280932 */     GIR_EraseRootFromParent_Done,
     /*  280933 */   // Label 5282: @280933
     /*  280933 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280996), // Rule ID 8459 //
     /*  280938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  280952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  280955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280977 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280994 */     GIR_RootConstrainSelectedInstOperands,
     /*  280995 */     // GIR_Coverage, 8459,
     /*  280995 */     GIR_EraseRootFromParent_Done,
     /*  280996 */   // Label 5283: @280996
     /*  280996 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(281059), // Rule ID 8462 //
     /*  281001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281057 */     GIR_RootConstrainSelectedInstOperands,
     /*  281058 */     // GIR_Coverage, 8462,
     /*  281058 */     GIR_EraseRootFromParent_Done,
     /*  281059 */   // Label 5284: @281059
     /*  281059 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(281122), // Rule ID 8463 //
     /*  281064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281103 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281120 */     GIR_RootConstrainSelectedInstOperands,
     /*  281121 */     // GIR_Coverage, 8463,
     /*  281121 */     GIR_EraseRootFromParent_Done,
     /*  281122 */   // Label 5285: @281122
     /*  281122 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(281185), // Rule ID 8466 //
     /*  281127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281166 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281183 */     GIR_RootConstrainSelectedInstOperands,
     /*  281184 */     // GIR_Coverage, 8466,
     /*  281184 */     GIR_EraseRootFromParent_Done,
     /*  281185 */   // Label 5286: @281185
     /*  281185 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(281248), // Rule ID 8467 //
     /*  281190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281229 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281246 */     GIR_RootConstrainSelectedInstOperands,
     /*  281247 */     // GIR_Coverage, 8467,
     /*  281247 */     GIR_EraseRootFromParent_Done,
     /*  281248 */   // Label 5287: @281248
     /*  281248 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(281311), // Rule ID 8470 //
     /*  281253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281309 */     GIR_RootConstrainSelectedInstOperands,
     /*  281310 */     // GIR_Coverage, 8470,
     /*  281310 */     GIR_EraseRootFromParent_Done,
     /*  281311 */   // Label 5288: @281311
     /*  281311 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(281374), // Rule ID 8471 //
     /*  281316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281355 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281372 */     GIR_RootConstrainSelectedInstOperands,
     /*  281373 */     // GIR_Coverage, 8471,
     /*  281373 */     GIR_EraseRootFromParent_Done,
     /*  281374 */   // Label 5289: @281374
     /*  281374 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(281437), // Rule ID 8474 //
     /*  281379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281418 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281435 */     GIR_RootConstrainSelectedInstOperands,
     /*  281436 */     // GIR_Coverage, 8474,
     /*  281436 */     GIR_EraseRootFromParent_Done,
     /*  281437 */   // Label 5290: @281437
     /*  281437 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(281500), // Rule ID 8475 //
     /*  281442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281498 */     GIR_RootConstrainSelectedInstOperands,
     /*  281499 */     // GIR_Coverage, 8475,
     /*  281499 */     GIR_EraseRootFromParent_Done,
     /*  281500 */   // Label 5291: @281500
     /*  281500 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(281563), // Rule ID 8478 //
     /*  281505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281561 */     GIR_RootConstrainSelectedInstOperands,
     /*  281562 */     // GIR_Coverage, 8478,
     /*  281562 */     GIR_EraseRootFromParent_Done,
     /*  281563 */   // Label 5292: @281563
     /*  281563 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281626), // Rule ID 8479 //
     /*  281568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281607 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281624 */     GIR_RootConstrainSelectedInstOperands,
     /*  281625 */     // GIR_Coverage, 8479,
     /*  281625 */     GIR_EraseRootFromParent_Done,
     /*  281626 */   // Label 5293: @281626
     /*  281626 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281689), // Rule ID 8482 //
     /*  281631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281670 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  281673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281687 */     GIR_RootConstrainSelectedInstOperands,
     /*  281688 */     // GIR_Coverage, 8482,
     /*  281688 */     GIR_EraseRootFromParent_Done,
     /*  281689 */   // Label 5294: @281689
     /*  281689 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281752), // Rule ID 8483 //
     /*  281694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  281736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281750 */     GIR_RootConstrainSelectedInstOperands,
     /*  281751 */     // GIR_Coverage, 8483,
     /*  281751 */     GIR_EraseRootFromParent_Done,
     /*  281752 */   // Label 5295: @281752
     /*  281752 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281815), // Rule ID 8486 //
     /*  281757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  281771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  281799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281813 */     GIR_RootConstrainSelectedInstOperands,
     /*  281814 */     // GIR_Coverage, 8486,
     /*  281814 */     GIR_EraseRootFromParent_Done,
     /*  281815 */   // Label 5296: @281815
     /*  281815 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281878), // Rule ID 8487 //
     /*  281820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  281834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  281862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281876 */     GIR_RootConstrainSelectedInstOperands,
     /*  281877 */     // GIR_Coverage, 8487,
     /*  281877 */     GIR_EraseRootFromParent_Done,
     /*  281878 */   // Label 5297: @281878
     /*  281878 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281941), // Rule ID 8490 //
     /*  281883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  281897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  281925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281939 */     GIR_RootConstrainSelectedInstOperands,
     /*  281940 */     // GIR_Coverage, 8490,
     /*  281940 */     GIR_EraseRootFromParent_Done,
     /*  281941 */   // Label 5298: @281941
     /*  281941 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(282004), // Rule ID 8491 //
     /*  281946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  281960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281985 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  281988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282002 */     GIR_RootConstrainSelectedInstOperands,
     /*  282003 */     // GIR_Coverage, 8491,
     /*  282003 */     GIR_EraseRootFromParent_Done,
     /*  282004 */   // Label 5299: @282004
     /*  282004 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(282067), // Rule ID 8494 //
     /*  282009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282065 */     GIR_RootConstrainSelectedInstOperands,
     /*  282066 */     // GIR_Coverage, 8494,
     /*  282066 */     GIR_EraseRootFromParent_Done,
     /*  282067 */   // Label 5300: @282067
     /*  282067 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(282130), // Rule ID 8495 //
     /*  282072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282128 */     GIR_RootConstrainSelectedInstOperands,
     /*  282129 */     // GIR_Coverage, 8495,
     /*  282129 */     GIR_EraseRootFromParent_Done,
     /*  282130 */   // Label 5301: @282130
     /*  282130 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(282193), // Rule ID 8498 //
     /*  282135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282174 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282191 */     GIR_RootConstrainSelectedInstOperands,
     /*  282192 */     // GIR_Coverage, 8498,
     /*  282192 */     GIR_EraseRootFromParent_Done,
     /*  282193 */   // Label 5302: @282193
     /*  282193 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(282256), // Rule ID 8499 //
     /*  282198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282254 */     GIR_RootConstrainSelectedInstOperands,
     /*  282255 */     // GIR_Coverage, 8499,
     /*  282255 */     GIR_EraseRootFromParent_Done,
     /*  282256 */   // Label 5303: @282256
     /*  282256 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(282319), // Rule ID 8502 //
     /*  282261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282317 */     GIR_RootConstrainSelectedInstOperands,
     /*  282318 */     // GIR_Coverage, 8502,
     /*  282318 */     GIR_EraseRootFromParent_Done,
     /*  282319 */   // Label 5304: @282319
     /*  282319 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(282382), // Rule ID 8503 //
     /*  282324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282363 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282380 */     GIR_RootConstrainSelectedInstOperands,
     /*  282381 */     // GIR_Coverage, 8503,
     /*  282381 */     GIR_EraseRootFromParent_Done,
     /*  282382 */   // Label 5305: @282382
     /*  282382 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(282445), // Rule ID 8506 //
     /*  282387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282426 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282443 */     GIR_RootConstrainSelectedInstOperands,
     /*  282444 */     // GIR_Coverage, 8506,
     /*  282444 */     GIR_EraseRootFromParent_Done,
     /*  282445 */   // Label 5306: @282445
     /*  282445 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(282508), // Rule ID 8507 //
     /*  282450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282489 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282506 */     GIR_RootConstrainSelectedInstOperands,
     /*  282507 */     // GIR_Coverage, 8507,
     /*  282507 */     GIR_EraseRootFromParent_Done,
     /*  282508 */   // Label 5307: @282508
     /*  282508 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(282571), // Rule ID 8510 //
     /*  282513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282569 */     GIR_RootConstrainSelectedInstOperands,
     /*  282570 */     // GIR_Coverage, 8510,
     /*  282570 */     GIR_EraseRootFromParent_Done,
     /*  282571 */   // Label 5308: @282571
     /*  282571 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282634), // Rule ID 8511 //
     /*  282576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282615 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282632 */     GIR_RootConstrainSelectedInstOperands,
     /*  282633 */     // GIR_Coverage, 8511,
     /*  282633 */     GIR_EraseRootFromParent_Done,
     /*  282634 */   // Label 5309: @282634
     /*  282634 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282697), // Rule ID 8514 //
     /*  282639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  282653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282695 */     GIR_RootConstrainSelectedInstOperands,
     /*  282696 */     // GIR_Coverage, 8514,
     /*  282696 */     GIR_EraseRootFromParent_Done,
     /*  282697 */   // Label 5310: @282697
     /*  282697 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282760), // Rule ID 8515 //
     /*  282702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  282716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282741 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282758 */     GIR_RootConstrainSelectedInstOperands,
     /*  282759 */     // GIR_Coverage, 8515,
     /*  282759 */     GIR_EraseRootFromParent_Done,
     /*  282760 */   // Label 5311: @282760
     /*  282760 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282823), // Rule ID 8518 //
     /*  282765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  282779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282821 */     GIR_RootConstrainSelectedInstOperands,
     /*  282822 */     // GIR_Coverage, 8518,
     /*  282822 */     GIR_EraseRootFromParent_Done,
     /*  282823 */   // Label 5312: @282823
     /*  282823 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282886), // Rule ID 8519 //
     /*  282828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  282842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282867 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  282870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282884 */     GIR_RootConstrainSelectedInstOperands,
     /*  282885 */     // GIR_Coverage, 8519,
     /*  282885 */     GIR_EraseRootFromParent_Done,
     /*  282886 */   // Label 5313: @282886
     /*  282886 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282949), // Rule ID 8522 //
     /*  282891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  282905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282930 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  282933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282947 */     GIR_RootConstrainSelectedInstOperands,
     /*  282948 */     // GIR_Coverage, 8522,
     /*  282948 */     GIR_EraseRootFromParent_Done,
     /*  282949 */   // Label 5314: @282949
     /*  282949 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(283012), // Rule ID 8523 //
     /*  282954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  282968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  282996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283010 */     GIR_RootConstrainSelectedInstOperands,
     /*  283011 */     // GIR_Coverage, 8523,
     /*  283011 */     GIR_EraseRootFromParent_Done,
     /*  283012 */   // Label 5315: @283012
     /*  283012 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(283075), // Rule ID 8526 //
     /*  283017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283056 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283073 */     GIR_RootConstrainSelectedInstOperands,
     /*  283074 */     // GIR_Coverage, 8526,
     /*  283074 */     GIR_EraseRootFromParent_Done,
     /*  283075 */   // Label 5316: @283075
     /*  283075 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(283138), // Rule ID 8527 //
     /*  283080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283119 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283136 */     GIR_RootConstrainSelectedInstOperands,
     /*  283137 */     // GIR_Coverage, 8527,
     /*  283137 */     GIR_EraseRootFromParent_Done,
     /*  283138 */   // Label 5317: @283138
     /*  283138 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(283201), // Rule ID 8530 //
     /*  283143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283182 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283199 */     GIR_RootConstrainSelectedInstOperands,
     /*  283200 */     // GIR_Coverage, 8530,
     /*  283200 */     GIR_EraseRootFromParent_Done,
     /*  283201 */   // Label 5318: @283201
     /*  283201 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(283264), // Rule ID 8531 //
     /*  283206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283245 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283262 */     GIR_RootConstrainSelectedInstOperands,
     /*  283263 */     // GIR_Coverage, 8531,
     /*  283263 */     GIR_EraseRootFromParent_Done,
     /*  283264 */   // Label 5319: @283264
     /*  283264 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(283327), // Rule ID 8534 //
     /*  283269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283325 */     GIR_RootConstrainSelectedInstOperands,
     /*  283326 */     // GIR_Coverage, 8534,
     /*  283326 */     GIR_EraseRootFromParent_Done,
     /*  283327 */   // Label 5320: @283327
     /*  283327 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(283390), // Rule ID 8535 //
     /*  283332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283371 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283388 */     GIR_RootConstrainSelectedInstOperands,
     /*  283389 */     // GIR_Coverage, 8535,
     /*  283389 */     GIR_EraseRootFromParent_Done,
     /*  283390 */   // Label 5321: @283390
     /*  283390 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(283453), // Rule ID 8538 //
     /*  283395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283434 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283451 */     GIR_RootConstrainSelectedInstOperands,
     /*  283452 */     // GIR_Coverage, 8538,
     /*  283452 */     GIR_EraseRootFromParent_Done,
     /*  283453 */   // Label 5322: @283453
     /*  283453 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(283516), // Rule ID 8539 //
     /*  283458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283497 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283514 */     GIR_RootConstrainSelectedInstOperands,
     /*  283515 */     // GIR_Coverage, 8539,
     /*  283515 */     GIR_EraseRootFromParent_Done,
     /*  283516 */   // Label 5323: @283516
     /*  283516 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(283579), // Rule ID 8542 //
     /*  283521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283577 */     GIR_RootConstrainSelectedInstOperands,
     /*  283578 */     // GIR_Coverage, 8542,
     /*  283578 */     GIR_EraseRootFromParent_Done,
     /*  283579 */   // Label 5324: @283579
     /*  283579 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283642), // Rule ID 8543 //
     /*  283584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283623 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283640 */     GIR_RootConstrainSelectedInstOperands,
     /*  283641 */     // GIR_Coverage, 8543,
     /*  283641 */     GIR_EraseRootFromParent_Done,
     /*  283642 */   // Label 5325: @283642
     /*  283642 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283705), // Rule ID 8546 //
     /*  283647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  283661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283686 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283703 */     GIR_RootConstrainSelectedInstOperands,
     /*  283704 */     // GIR_Coverage, 8546,
     /*  283704 */     GIR_EraseRootFromParent_Done,
     /*  283705 */   // Label 5326: @283705
     /*  283705 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283768), // Rule ID 8547 //
     /*  283710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  283724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283766 */     GIR_RootConstrainSelectedInstOperands,
     /*  283767 */     // GIR_Coverage, 8547,
     /*  283767 */     GIR_EraseRootFromParent_Done,
     /*  283768 */   // Label 5327: @283768
     /*  283768 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283831), // Rule ID 8550 //
     /*  283773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  283787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283829 */     GIR_RootConstrainSelectedInstOperands,
     /*  283830 */     // GIR_Coverage, 8550,
     /*  283830 */     GIR_EraseRootFromParent_Done,
     /*  283831 */   // Label 5328: @283831
     /*  283831 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283894), // Rule ID 8551 //
     /*  283836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  283850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283875 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283892 */     GIR_RootConstrainSelectedInstOperands,
     /*  283893 */     // GIR_Coverage, 8551,
     /*  283893 */     GIR_EraseRootFromParent_Done,
     /*  283894 */   // Label 5329: @283894
     /*  283894 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283957), // Rule ID 8554 //
     /*  283899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  283913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283938 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283955 */     GIR_RootConstrainSelectedInstOperands,
     /*  283956 */     // GIR_Coverage, 8554,
     /*  283956 */     GIR_EraseRootFromParent_Done,
     /*  283957 */   // Label 5330: @283957
     /*  283957 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(284020), // Rule ID 8555 //
     /*  283962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  283976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284001 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284018 */     GIR_RootConstrainSelectedInstOperands,
     /*  284019 */     // GIR_Coverage, 8555,
     /*  284019 */     GIR_EraseRootFromParent_Done,
     /*  284020 */   // Label 5331: @284020
     /*  284020 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(284083), // Rule ID 8558 //
     /*  284025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284081 */     GIR_RootConstrainSelectedInstOperands,
     /*  284082 */     // GIR_Coverage, 8558,
     /*  284082 */     GIR_EraseRootFromParent_Done,
     /*  284083 */   // Label 5332: @284083
     /*  284083 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(284146), // Rule ID 8559 //
     /*  284088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284127 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284144 */     GIR_RootConstrainSelectedInstOperands,
     /*  284145 */     // GIR_Coverage, 8559,
     /*  284145 */     GIR_EraseRootFromParent_Done,
     /*  284146 */   // Label 5333: @284146
     /*  284146 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(284209), // Rule ID 8562 //
     /*  284151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284190 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284207 */     GIR_RootConstrainSelectedInstOperands,
     /*  284208 */     // GIR_Coverage, 8562,
     /*  284208 */     GIR_EraseRootFromParent_Done,
     /*  284209 */   // Label 5334: @284209
     /*  284209 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(284272), // Rule ID 8563 //
     /*  284214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284253 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284270 */     GIR_RootConstrainSelectedInstOperands,
     /*  284271 */     // GIR_Coverage, 8563,
     /*  284271 */     GIR_EraseRootFromParent_Done,
     /*  284272 */   // Label 5335: @284272
     /*  284272 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(284335), // Rule ID 8566 //
     /*  284277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284333 */     GIR_RootConstrainSelectedInstOperands,
     /*  284334 */     // GIR_Coverage, 8566,
     /*  284334 */     GIR_EraseRootFromParent_Done,
     /*  284335 */   // Label 5336: @284335
     /*  284335 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(284398), // Rule ID 8567 //
     /*  284340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284379 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284396 */     GIR_RootConstrainSelectedInstOperands,
     /*  284397 */     // GIR_Coverage, 8567,
     /*  284397 */     GIR_EraseRootFromParent_Done,
     /*  284398 */   // Label 5337: @284398
     /*  284398 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(284461), // Rule ID 8570 //
     /*  284403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284442 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  284445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284459 */     GIR_RootConstrainSelectedInstOperands,
     /*  284460 */     // GIR_Coverage, 8570,
     /*  284460 */     GIR_EraseRootFromParent_Done,
     /*  284461 */   // Label 5338: @284461
     /*  284461 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(284524), // Rule ID 8571 //
     /*  284466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  284508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284522 */     GIR_RootConstrainSelectedInstOperands,
     /*  284523 */     // GIR_Coverage, 8571,
     /*  284523 */     GIR_EraseRootFromParent_Done,
     /*  284524 */   // Label 5339: @284524
     /*  284524 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(284587), // Rule ID 8574 //
     /*  284529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  284543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  284546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  284571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284585 */     GIR_RootConstrainSelectedInstOperands,
     /*  284586 */     // GIR_Coverage, 8574,
     /*  284586 */     GIR_EraseRootFromParent_Done,
     /*  284587 */   // Label 5340: @284587
     /*  284587 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284650), // Rule ID 8575 //
     /*  284592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  284606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  284609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284631 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  284634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284648 */     GIR_RootConstrainSelectedInstOperands,
     /*  284649 */     // GIR_Coverage, 8575,
     /*  284649 */     GIR_EraseRootFromParent_Done,
     /*  284650 */   // Label 5341: @284650
     /*  284650 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284713), // Rule ID 8578 //
     /*  284655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  284669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  284672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284694 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  284697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284711 */     GIR_RootConstrainSelectedInstOperands,
     /*  284712 */     // GIR_Coverage, 8578,
     /*  284712 */     GIR_EraseRootFromParent_Done,
     /*  284713 */   // Label 5342: @284713
     /*  284713 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284776), // Rule ID 8579 //
     /*  284718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  284732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  284735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284757 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  284760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284774 */     GIR_RootConstrainSelectedInstOperands,
     /*  284775 */     // GIR_Coverage, 8579,
     /*  284775 */     GIR_EraseRootFromParent_Done,
     /*  284776 */   // Label 5343: @284776
     /*  284776 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284839), // Rule ID 8582 //
     /*  284781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  284795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  284798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  284823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284837 */     GIR_RootConstrainSelectedInstOperands,
     /*  284838 */     // GIR_Coverage, 8582,
     /*  284838 */     GIR_EraseRootFromParent_Done,
     /*  284839 */   // Label 5344: @284839
     /*  284839 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284902), // Rule ID 8583 //
     /*  284844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  284858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  284861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  284886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284900 */     GIR_RootConstrainSelectedInstOperands,
     /*  284901 */     // GIR_Coverage, 8583,
     /*  284901 */     GIR_EraseRootFromParent_Done,
     /*  284902 */   // Label 5345: @284902
     /*  284902 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284965), // Rule ID 8586 //
     /*  284907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  284921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  284924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284946 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  284949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284963 */     GIR_RootConstrainSelectedInstOperands,
     /*  284964 */     // GIR_Coverage, 8586,
     /*  284964 */     GIR_EraseRootFromParent_Done,
     /*  284965 */   // Label 5346: @284965
     /*  284965 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(285028), // Rule ID 8587 //
     /*  284970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  284984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  284987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285009 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285026 */     GIR_RootConstrainSelectedInstOperands,
     /*  285027 */     // GIR_Coverage, 8587,
     /*  285027 */     GIR_EraseRootFromParent_Done,
     /*  285028 */   // Label 5347: @285028
     /*  285028 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(285091), // Rule ID 8590 //
     /*  285033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285089 */     GIR_RootConstrainSelectedInstOperands,
     /*  285090 */     // GIR_Coverage, 8590,
     /*  285090 */     GIR_EraseRootFromParent_Done,
     /*  285091 */   // Label 5348: @285091
     /*  285091 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(285154), // Rule ID 8591 //
     /*  285096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285135 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285152 */     GIR_RootConstrainSelectedInstOperands,
     /*  285153 */     // GIR_Coverage, 8591,
     /*  285153 */     GIR_EraseRootFromParent_Done,
     /*  285154 */   // Label 5349: @285154
     /*  285154 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(285217), // Rule ID 8594 //
     /*  285159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285215 */     GIR_RootConstrainSelectedInstOperands,
     /*  285216 */     // GIR_Coverage, 8594,
     /*  285216 */     GIR_EraseRootFromParent_Done,
     /*  285217 */   // Label 5350: @285217
     /*  285217 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(285280), // Rule ID 8595 //
     /*  285222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285278 */     GIR_RootConstrainSelectedInstOperands,
     /*  285279 */     // GIR_Coverage, 8595,
     /*  285279 */     GIR_EraseRootFromParent_Done,
     /*  285280 */   // Label 5351: @285280
     /*  285280 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(285343), // Rule ID 8598 //
     /*  285285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285341 */     GIR_RootConstrainSelectedInstOperands,
     /*  285342 */     // GIR_Coverage, 8598,
     /*  285342 */     GIR_EraseRootFromParent_Done,
     /*  285343 */   // Label 5352: @285343
     /*  285343 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(285406), // Rule ID 8599 //
     /*  285348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285387 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285404 */     GIR_RootConstrainSelectedInstOperands,
     /*  285405 */     // GIR_Coverage, 8599,
     /*  285405 */     GIR_EraseRootFromParent_Done,
     /*  285406 */   // Label 5353: @285406
     /*  285406 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(285469), // Rule ID 8602 //
     /*  285411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285467 */     GIR_RootConstrainSelectedInstOperands,
     /*  285468 */     // GIR_Coverage, 8602,
     /*  285468 */     GIR_EraseRootFromParent_Done,
     /*  285469 */   // Label 5354: @285469
     /*  285469 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(285532), // Rule ID 8603 //
     /*  285474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285513 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285530 */     GIR_RootConstrainSelectedInstOperands,
     /*  285531 */     // GIR_Coverage, 8603,
     /*  285531 */     GIR_EraseRootFromParent_Done,
     /*  285532 */   // Label 5355: @285532
     /*  285532 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(285595), // Rule ID 8606 //
     /*  285537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  285551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  285554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285593 */     GIR_RootConstrainSelectedInstOperands,
     /*  285594 */     // GIR_Coverage, 8606,
     /*  285594 */     GIR_EraseRootFromParent_Done,
     /*  285595 */   // Label 5356: @285595
     /*  285595 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285658), // Rule ID 8607 //
     /*  285600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  285614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  285617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285639 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285656 */     GIR_RootConstrainSelectedInstOperands,
     /*  285657 */     // GIR_Coverage, 8607,
     /*  285657 */     GIR_EraseRootFromParent_Done,
     /*  285658 */   // Label 5357: @285658
     /*  285658 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285721), // Rule ID 8610 //
     /*  285663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  285677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  285680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285702 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  285705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285719 */     GIR_RootConstrainSelectedInstOperands,
     /*  285720 */     // GIR_Coverage, 8610,
     /*  285720 */     GIR_EraseRootFromParent_Done,
     /*  285721 */   // Label 5358: @285721
     /*  285721 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285784), // Rule ID 8611 //
     /*  285726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  285740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  285743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285765 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  285768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285782 */     GIR_RootConstrainSelectedInstOperands,
     /*  285783 */     // GIR_Coverage, 8611,
     /*  285783 */     GIR_EraseRootFromParent_Done,
     /*  285784 */   // Label 5359: @285784
     /*  285784 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285847), // Rule ID 8614 //
     /*  285789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  285803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  285806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285828 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  285831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285845 */     GIR_RootConstrainSelectedInstOperands,
     /*  285846 */     // GIR_Coverage, 8614,
     /*  285846 */     GIR_EraseRootFromParent_Done,
     /*  285847 */   // Label 5360: @285847
     /*  285847 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285910), // Rule ID 8615 //
     /*  285852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  285866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  285869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285891 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  285894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285908 */     GIR_RootConstrainSelectedInstOperands,
     /*  285909 */     // GIR_Coverage, 8615,
     /*  285909 */     GIR_EraseRootFromParent_Done,
     /*  285910 */   // Label 5361: @285910
     /*  285910 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285973), // Rule ID 8618 //
     /*  285915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  285926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  285929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  285932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285954 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  285957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285971 */     GIR_RootConstrainSelectedInstOperands,
     /*  285972 */     // GIR_Coverage, 8618,
     /*  285972 */     GIR_EraseRootFromParent_Done,
     /*  285973 */   // Label 5362: @285973
     /*  285973 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(286036), // Rule ID 8619 //
     /*  285978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  285989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  285992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  285995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286017 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286034 */     GIR_RootConstrainSelectedInstOperands,
     /*  286035 */     // GIR_Coverage, 8619,
     /*  286035 */     GIR_EraseRootFromParent_Done,
     /*  286036 */   // Label 5363: @286036
     /*  286036 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(286099), // Rule ID 8622 //
     /*  286041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286097 */     GIR_RootConstrainSelectedInstOperands,
     /*  286098 */     // GIR_Coverage, 8622,
     /*  286098 */     GIR_EraseRootFromParent_Done,
     /*  286099 */   // Label 5364: @286099
     /*  286099 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(286162), // Rule ID 8623 //
     /*  286104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286143 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286160 */     GIR_RootConstrainSelectedInstOperands,
     /*  286161 */     // GIR_Coverage, 8623,
     /*  286161 */     GIR_EraseRootFromParent_Done,
     /*  286162 */   // Label 5365: @286162
     /*  286162 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(286225), // Rule ID 8626 //
     /*  286167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286206 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286223 */     GIR_RootConstrainSelectedInstOperands,
     /*  286224 */     // GIR_Coverage, 8626,
     /*  286224 */     GIR_EraseRootFromParent_Done,
     /*  286225 */   // Label 5366: @286225
     /*  286225 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(286288), // Rule ID 8627 //
     /*  286230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286269 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286286 */     GIR_RootConstrainSelectedInstOperands,
     /*  286287 */     // GIR_Coverage, 8627,
     /*  286287 */     GIR_EraseRootFromParent_Done,
     /*  286288 */   // Label 5367: @286288
     /*  286288 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(286351), // Rule ID 8630 //
     /*  286293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286332 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286349 */     GIR_RootConstrainSelectedInstOperands,
     /*  286350 */     // GIR_Coverage, 8630,
     /*  286350 */     GIR_EraseRootFromParent_Done,
     /*  286351 */   // Label 5368: @286351
     /*  286351 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(286414), // Rule ID 8631 //
     /*  286356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286395 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286412 */     GIR_RootConstrainSelectedInstOperands,
     /*  286413 */     // GIR_Coverage, 8631,
     /*  286413 */     GIR_EraseRootFromParent_Done,
     /*  286414 */   // Label 5369: @286414
     /*  286414 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(286477), // Rule ID 8634 //
     /*  286419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  286433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  286436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286458 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286475 */     GIR_RootConstrainSelectedInstOperands,
     /*  286476 */     // GIR_Coverage, 8634,
     /*  286476 */     GIR_EraseRootFromParent_Done,
     /*  286477 */   // Label 5370: @286477
     /*  286477 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(286540), // Rule ID 8635 //
     /*  286482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  286496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  286499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286538 */     GIR_RootConstrainSelectedInstOperands,
     /*  286539 */     // GIR_Coverage, 8635,
     /*  286539 */     GIR_EraseRootFromParent_Done,
     /*  286540 */   // Label 5371: @286540
     /*  286540 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(286603), // Rule ID 8638 //
     /*  286545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  286559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  286562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286601 */     GIR_RootConstrainSelectedInstOperands,
     /*  286602 */     // GIR_Coverage, 8638,
     /*  286602 */     GIR_EraseRootFromParent_Done,
     /*  286603 */   // Label 5372: @286603
     /*  286603 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286666), // Rule ID 8639 //
     /*  286608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  286622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  286625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286664 */     GIR_RootConstrainSelectedInstOperands,
     /*  286665 */     // GIR_Coverage, 8639,
     /*  286665 */     GIR_EraseRootFromParent_Done,
     /*  286666 */   // Label 5373: @286666
     /*  286666 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286729), // Rule ID 8642 //
     /*  286671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  286685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  286688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286710 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286727 */     GIR_RootConstrainSelectedInstOperands,
     /*  286728 */     // GIR_Coverage, 8642,
     /*  286728 */     GIR_EraseRootFromParent_Done,
     /*  286729 */   // Label 5374: @286729
     /*  286729 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286792), // Rule ID 8643 //
     /*  286734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  286748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  286751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286773 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286790 */     GIR_RootConstrainSelectedInstOperands,
     /*  286791 */     // GIR_Coverage, 8643,
     /*  286791 */     GIR_EraseRootFromParent_Done,
     /*  286792 */   // Label 5375: @286792
     /*  286792 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286855), // Rule ID 8646 //
     /*  286797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  286811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  286814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286853 */     GIR_RootConstrainSelectedInstOperands,
     /*  286854 */     // GIR_Coverage, 8646,
     /*  286854 */     GIR_EraseRootFromParent_Done,
     /*  286855 */   // Label 5376: @286855
     /*  286855 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286918), // Rule ID 8647 //
     /*  286860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  286874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  286877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286899 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286916 */     GIR_RootConstrainSelectedInstOperands,
     /*  286917 */     // GIR_Coverage, 8647,
     /*  286917 */     GIR_EraseRootFromParent_Done,
     /*  286918 */   // Label 5377: @286918
     /*  286918 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286981), // Rule ID 8650 //
     /*  286923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  286937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  286940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286979 */     GIR_RootConstrainSelectedInstOperands,
     /*  286980 */     // GIR_Coverage, 8650,
     /*  286980 */     GIR_EraseRootFromParent_Done,
     /*  286981 */   // Label 5378: @286981
     /*  286981 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(287044), // Rule ID 8651 //
     /*  286986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  287028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287042 */     GIR_RootConstrainSelectedInstOperands,
     /*  287043 */     // GIR_Coverage, 8651,
     /*  287043 */     GIR_EraseRootFromParent_Done,
     /*  287044 */   // Label 5379: @287044
     /*  287044 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(287107), // Rule ID 8654 //
     /*  287049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287105 */     GIR_RootConstrainSelectedInstOperands,
     /*  287106 */     // GIR_Coverage, 8654,
     /*  287106 */     GIR_EraseRootFromParent_Done,
     /*  287107 */   // Label 5380: @287107
     /*  287107 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(287170), // Rule ID 8655 //
     /*  287112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287168 */     GIR_RootConstrainSelectedInstOperands,
     /*  287169 */     // GIR_Coverage, 8655,
     /*  287169 */     GIR_EraseRootFromParent_Done,
     /*  287170 */   // Label 5381: @287170
     /*  287170 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(287233), // Rule ID 8658 //
     /*  287175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  287217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287231 */     GIR_RootConstrainSelectedInstOperands,
     /*  287232 */     // GIR_Coverage, 8658,
     /*  287232 */     GIR_EraseRootFromParent_Done,
     /*  287233 */   // Label 5382: @287233
     /*  287233 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(287296), // Rule ID 8659 //
     /*  287238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  287280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287294 */     GIR_RootConstrainSelectedInstOperands,
     /*  287295 */     // GIR_Coverage, 8659,
     /*  287295 */     GIR_EraseRootFromParent_Done,
     /*  287296 */   // Label 5383: @287296
     /*  287296 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(287359), // Rule ID 8662 //
     /*  287301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287357 */     GIR_RootConstrainSelectedInstOperands,
     /*  287358 */     // GIR_Coverage, 8662,
     /*  287358 */     GIR_EraseRootFromParent_Done,
     /*  287359 */   // Label 5384: @287359
     /*  287359 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(287422), // Rule ID 8663 //
     /*  287364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287420 */     GIR_RootConstrainSelectedInstOperands,
     /*  287421 */     // GIR_Coverage, 8663,
     /*  287421 */     GIR_EraseRootFromParent_Done,
     /*  287422 */   // Label 5385: @287422
     /*  287422 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(287485), // Rule ID 8666 //
     /*  287427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  287441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287466 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287483 */     GIR_RootConstrainSelectedInstOperands,
     /*  287484 */     // GIR_Coverage, 8666,
     /*  287484 */     GIR_EraseRootFromParent_Done,
     /*  287485 */   // Label 5386: @287485
     /*  287485 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(287548), // Rule ID 8667 //
     /*  287490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  287504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287529 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287546 */     GIR_RootConstrainSelectedInstOperands,
     /*  287547 */     // GIR_Coverage, 8667,
     /*  287547 */     GIR_EraseRootFromParent_Done,
     /*  287548 */   // Label 5387: @287548
     /*  287548 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(287611), // Rule ID 8670 //
     /*  287553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  287567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287609 */     GIR_RootConstrainSelectedInstOperands,
     /*  287610 */     // GIR_Coverage, 8670,
     /*  287610 */     GIR_EraseRootFromParent_Done,
     /*  287611 */   // Label 5388: @287611
     /*  287611 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287674), // Rule ID 8671 //
     /*  287616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  287630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287655 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  287658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287672 */     GIR_RootConstrainSelectedInstOperands,
     /*  287673 */     // GIR_Coverage, 8671,
     /*  287673 */     GIR_EraseRootFromParent_Done,
     /*  287674 */   // Label 5389: @287674
     /*  287674 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287737), // Rule ID 8674 //
     /*  287679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  287693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287718 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287735 */     GIR_RootConstrainSelectedInstOperands,
     /*  287736 */     // GIR_Coverage, 8674,
     /*  287736 */     GIR_EraseRootFromParent_Done,
     /*  287737 */   // Label 5390: @287737
     /*  287737 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287800), // Rule ID 8675 //
     /*  287742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  287756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287781 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287798 */     GIR_RootConstrainSelectedInstOperands,
     /*  287799 */     // GIR_Coverage, 8675,
     /*  287799 */     GIR_EraseRootFromParent_Done,
     /*  287800 */   // Label 5391: @287800
     /*  287800 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287863), // Rule ID 8678 //
     /*  287805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  287819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287861 */     GIR_RootConstrainSelectedInstOperands,
     /*  287862 */     // GIR_Coverage, 8678,
     /*  287862 */     GIR_EraseRootFromParent_Done,
     /*  287863 */   // Label 5392: @287863
     /*  287863 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287926), // Rule ID 8679 //
     /*  287868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  287882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287907 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  287910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287924 */     GIR_RootConstrainSelectedInstOperands,
     /*  287925 */     // GIR_Coverage, 8679,
     /*  287925 */     GIR_EraseRootFromParent_Done,
     /*  287926 */   // Label 5393: @287926
     /*  287926 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287989), // Rule ID 8682 //
     /*  287931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  287945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  287973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287987 */     GIR_RootConstrainSelectedInstOperands,
     /*  287988 */     // GIR_Coverage, 8682,
     /*  287988 */     GIR_EraseRootFromParent_Done,
     /*  287989 */   // Label 5394: @287989
     /*  287989 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(288052), // Rule ID 8683 //
     /*  287994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288033 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288050 */     GIR_RootConstrainSelectedInstOperands,
     /*  288051 */     // GIR_Coverage, 8683,
     /*  288051 */     GIR_EraseRootFromParent_Done,
     /*  288052 */   // Label 5395: @288052
     /*  288052 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(288115), // Rule ID 8686 //
     /*  288057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288113 */     GIR_RootConstrainSelectedInstOperands,
     /*  288114 */     // GIR_Coverage, 8686,
     /*  288114 */     GIR_EraseRootFromParent_Done,
     /*  288115 */   // Label 5396: @288115
     /*  288115 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(288178), // Rule ID 8687 //
     /*  288120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288159 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288176 */     GIR_RootConstrainSelectedInstOperands,
     /*  288177 */     // GIR_Coverage, 8687,
     /*  288177 */     GIR_EraseRootFromParent_Done,
     /*  288178 */   // Label 5397: @288178
     /*  288178 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(288241), // Rule ID 8690 //
     /*  288183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288239 */     GIR_RootConstrainSelectedInstOperands,
     /*  288240 */     // GIR_Coverage, 8690,
     /*  288240 */     GIR_EraseRootFromParent_Done,
     /*  288241 */   // Label 5398: @288241
     /*  288241 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(288304), // Rule ID 8691 //
     /*  288246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288285 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288302 */     GIR_RootConstrainSelectedInstOperands,
     /*  288303 */     // GIR_Coverage, 8691,
     /*  288303 */     GIR_EraseRootFromParent_Done,
     /*  288304 */   // Label 5399: @288304
     /*  288304 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(288367), // Rule ID 8694 //
     /*  288309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288365 */     GIR_RootConstrainSelectedInstOperands,
     /*  288366 */     // GIR_Coverage, 8694,
     /*  288366 */     GIR_EraseRootFromParent_Done,
     /*  288367 */   // Label 5400: @288367
     /*  288367 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(288430), // Rule ID 8695 //
     /*  288372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288411 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288428 */     GIR_RootConstrainSelectedInstOperands,
     /*  288429 */     // GIR_Coverage, 8695,
     /*  288429 */     GIR_EraseRootFromParent_Done,
     /*  288430 */   // Label 5401: @288430
     /*  288430 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(288493), // Rule ID 8698 //
     /*  288435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  288449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288474 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  288477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288491 */     GIR_RootConstrainSelectedInstOperands,
     /*  288492 */     // GIR_Coverage, 8698,
     /*  288492 */     GIR_EraseRootFromParent_Done,
     /*  288493 */   // Label 5402: @288493
     /*  288493 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(288556), // Rule ID 8699 //
     /*  288498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  288512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288537 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  288540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288554 */     GIR_RootConstrainSelectedInstOperands,
     /*  288555 */     // GIR_Coverage, 8699,
     /*  288555 */     GIR_EraseRootFromParent_Done,
     /*  288556 */   // Label 5403: @288556
     /*  288556 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(288619), // Rule ID 8702 //
     /*  288561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  288575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288600 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  288603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288617 */     GIR_RootConstrainSelectedInstOperands,
     /*  288618 */     // GIR_Coverage, 8702,
     /*  288618 */     GIR_EraseRootFromParent_Done,
     /*  288619 */   // Label 5404: @288619
     /*  288619 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288682), // Rule ID 8703 //
     /*  288624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  288638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288663 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  288666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288680 */     GIR_RootConstrainSelectedInstOperands,
     /*  288681 */     // GIR_Coverage, 8703,
     /*  288681 */     GIR_EraseRootFromParent_Done,
     /*  288682 */   // Label 5405: @288682
     /*  288682 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288745), // Rule ID 8706 //
     /*  288687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  288698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  288701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288726 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  288729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288743 */     GIR_RootConstrainSelectedInstOperands,
     /*  288744 */     // GIR_Coverage, 8706,
     /*  288744 */     GIR_EraseRootFromParent_Done,
     /*  288745 */   // Label 5406: @288745
     /*  288745 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288808), // Rule ID 8707 //
     /*  288750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  288761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  288764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288789 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  288792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288806 */     GIR_RootConstrainSelectedInstOperands,
     /*  288807 */     // GIR_Coverage, 8707,
     /*  288807 */     GIR_EraseRootFromParent_Done,
     /*  288808 */   // Label 5407: @288808
     /*  288808 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288871), // Rule ID 8710 //
     /*  288813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  288827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  288855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288869 */     GIR_RootConstrainSelectedInstOperands,
     /*  288870 */     // GIR_Coverage, 8710,
     /*  288870 */     GIR_EraseRootFromParent_Done,
     /*  288871 */   // Label 5408: @288871
     /*  288871 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288934), // Rule ID 8711 //
     /*  288876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  288890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288915 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  288918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288932 */     GIR_RootConstrainSelectedInstOperands,
     /*  288933 */     // GIR_Coverage, 8711,
     /*  288933 */     GIR_EraseRootFromParent_Done,
     /*  288934 */   // Label 5409: @288934
     /*  288934 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288997), // Rule ID 8714 //
     /*  288939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  288953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288978 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  288981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288995 */     GIR_RootConstrainSelectedInstOperands,
     /*  288996 */     // GIR_Coverage, 8714,
     /*  288996 */     GIR_EraseRootFromParent_Done,
     /*  288997 */   // Label 5410: @288997
     /*  288997 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(289060), // Rule ID 8715 //
     /*  289002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289058 */     GIR_RootConstrainSelectedInstOperands,
     /*  289059 */     // GIR_Coverage, 8715,
     /*  289059 */     GIR_EraseRootFromParent_Done,
     /*  289060 */   // Label 5411: @289060
     /*  289060 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(289123), // Rule ID 8718 //
     /*  289065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289121 */     GIR_RootConstrainSelectedInstOperands,
     /*  289122 */     // GIR_Coverage, 8718,
     /*  289122 */     GIR_EraseRootFromParent_Done,
     /*  289123 */   // Label 5412: @289123
     /*  289123 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(289186), // Rule ID 8719 //
     /*  289128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289167 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289184 */     GIR_RootConstrainSelectedInstOperands,
     /*  289185 */     // GIR_Coverage, 8719,
     /*  289185 */     GIR_EraseRootFromParent_Done,
     /*  289186 */   // Label 5413: @289186
     /*  289186 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(289249), // Rule ID 8722 //
     /*  289191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289230 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289247 */     GIR_RootConstrainSelectedInstOperands,
     /*  289248 */     // GIR_Coverage, 8722,
     /*  289248 */     GIR_EraseRootFromParent_Done,
     /*  289249 */   // Label 5414: @289249
     /*  289249 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(289312), // Rule ID 8723 //
     /*  289254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289293 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289310 */     GIR_RootConstrainSelectedInstOperands,
     /*  289311 */     // GIR_Coverage, 8723,
     /*  289311 */     GIR_EraseRootFromParent_Done,
     /*  289312 */   // Label 5415: @289312
     /*  289312 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(289375), // Rule ID 8726 //
     /*  289317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289373 */     GIR_RootConstrainSelectedInstOperands,
     /*  289374 */     // GIR_Coverage, 8726,
     /*  289374 */     GIR_EraseRootFromParent_Done,
     /*  289375 */   // Label 5416: @289375
     /*  289375 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(289438), // Rule ID 8727 //
     /*  289380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289436 */     GIR_RootConstrainSelectedInstOperands,
     /*  289437 */     // GIR_Coverage, 8727,
     /*  289437 */     GIR_EraseRootFromParent_Done,
     /*  289438 */   // Label 5417: @289438
     /*  289438 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(289501), // Rule ID 8730 //
     /*  289443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  289457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289482 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289499 */     GIR_RootConstrainSelectedInstOperands,
     /*  289500 */     // GIR_Coverage, 8730,
     /*  289500 */     GIR_EraseRootFromParent_Done,
     /*  289501 */   // Label 5418: @289501
     /*  289501 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(289564), // Rule ID 8731 //
     /*  289506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  289520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289545 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289562 */     GIR_RootConstrainSelectedInstOperands,
     /*  289563 */     // GIR_Coverage, 8731,
     /*  289563 */     GIR_EraseRootFromParent_Done,
     /*  289564 */   // Label 5419: @289564
     /*  289564 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289627), // Rule ID 8734 //
     /*  289569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  289583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289625 */     GIR_RootConstrainSelectedInstOperands,
     /*  289626 */     // GIR_Coverage, 8734,
     /*  289626 */     GIR_EraseRootFromParent_Done,
     /*  289627 */   // Label 5420: @289627
     /*  289627 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289690), // Rule ID 8735 //
     /*  289632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  289646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289671 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289688 */     GIR_RootConstrainSelectedInstOperands,
     /*  289689 */     // GIR_Coverage, 8735,
     /*  289689 */     GIR_EraseRootFromParent_Done,
     /*  289690 */   // Label 5421: @289690
     /*  289690 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289753), // Rule ID 8738 //
     /*  289695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  289709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289751 */     GIR_RootConstrainSelectedInstOperands,
     /*  289752 */     // GIR_Coverage, 8738,
     /*  289752 */     GIR_EraseRootFromParent_Done,
     /*  289753 */   // Label 5422: @289753
     /*  289753 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289816), // Rule ID 8739 //
     /*  289758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  289772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289814 */     GIR_RootConstrainSelectedInstOperands,
     /*  289815 */     // GIR_Coverage, 8739,
     /*  289815 */     GIR_EraseRootFromParent_Done,
     /*  289816 */   // Label 5423: @289816
     /*  289816 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289879), // Rule ID 8742 //
     /*  289821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  289835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289877 */     GIR_RootConstrainSelectedInstOperands,
     /*  289878 */     // GIR_Coverage, 8742,
     /*  289878 */     GIR_EraseRootFromParent_Done,
     /*  289879 */   // Label 5424: @289879
     /*  289879 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289942), // Rule ID 8743 //
     /*  289884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  289898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289940 */     GIR_RootConstrainSelectedInstOperands,
     /*  289941 */     // GIR_Coverage, 8743,
     /*  289941 */     GIR_EraseRootFromParent_Done,
     /*  289942 */   // Label 5425: @289942
     /*  289942 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(290005), // Rule ID 8834 //
     /*  289947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  289961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  289964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289986 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  289989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290003 */     GIR_RootConstrainSelectedInstOperands,
     /*  290004 */     // GIR_Coverage, 8834,
     /*  290004 */     GIR_EraseRootFromParent_Done,
     /*  290005 */   // Label 5426: @290005
     /*  290005 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(290068), // Rule ID 8835 //
     /*  290010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  290027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290049 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  290052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290066 */     GIR_RootConstrainSelectedInstOperands,
     /*  290067 */     // GIR_Coverage, 8835,
     /*  290067 */     GIR_EraseRootFromParent_Done,
     /*  290068 */   // Label 5427: @290068
     /*  290068 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(290131), // Rule ID 8838 //
     /*  290073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290129 */     GIR_RootConstrainSelectedInstOperands,
     /*  290130 */     // GIR_Coverage, 8838,
     /*  290130 */     GIR_EraseRootFromParent_Done,
     /*  290131 */   // Label 5428: @290131
     /*  290131 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(290194), // Rule ID 8839 //
     /*  290136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290175 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290192 */     GIR_RootConstrainSelectedInstOperands,
     /*  290193 */     // GIR_Coverage, 8839,
     /*  290193 */     GIR_EraseRootFromParent_Done,
     /*  290194 */   // Label 5429: @290194
     /*  290194 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(290257), // Rule ID 8842 //
     /*  290199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290255 */     GIR_RootConstrainSelectedInstOperands,
     /*  290256 */     // GIR_Coverage, 8842,
     /*  290256 */     GIR_EraseRootFromParent_Done,
     /*  290257 */   // Label 5430: @290257
     /*  290257 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(290320), // Rule ID 8843 //
     /*  290262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290318 */     GIR_RootConstrainSelectedInstOperands,
     /*  290319 */     // GIR_Coverage, 8843,
     /*  290319 */     GIR_EraseRootFromParent_Done,
     /*  290320 */   // Label 5431: @290320
     /*  290320 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(290383), // Rule ID 8846 //
     /*  290325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  290342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290381 */     GIR_RootConstrainSelectedInstOperands,
     /*  290382 */     // GIR_Coverage, 8846,
     /*  290382 */     GIR_EraseRootFromParent_Done,
     /*  290383 */   // Label 5432: @290383
     /*  290383 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(290446), // Rule ID 8847 //
     /*  290388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  290405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290427 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290444 */     GIR_RootConstrainSelectedInstOperands,
     /*  290445 */     // GIR_Coverage, 8847,
     /*  290445 */     GIR_EraseRootFromParent_Done,
     /*  290446 */   // Label 5433: @290446
     /*  290446 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(290509), // Rule ID 8850 //
     /*  290451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  290468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290490 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290507 */     GIR_RootConstrainSelectedInstOperands,
     /*  290508 */     // GIR_Coverage, 8850,
     /*  290508 */     GIR_EraseRootFromParent_Done,
     /*  290509 */   // Label 5434: @290509
     /*  290509 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(290572), // Rule ID 8851 //
     /*  290514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  290531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290570 */     GIR_RootConstrainSelectedInstOperands,
     /*  290571 */     // GIR_Coverage, 8851,
     /*  290571 */     GIR_EraseRootFromParent_Done,
     /*  290572 */   // Label 5435: @290572
     /*  290572 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290635), // Rule ID 8854 //
     /*  290577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  290591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  290594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290633 */     GIR_RootConstrainSelectedInstOperands,
     /*  290634 */     // GIR_Coverage, 8854,
     /*  290634 */     GIR_EraseRootFromParent_Done,
     /*  290635 */   // Label 5436: @290635
     /*  290635 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290698), // Rule ID 8855 //
     /*  290640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  290654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  290657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290679 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290696 */     GIR_RootConstrainSelectedInstOperands,
     /*  290697 */     // GIR_Coverage, 8855,
     /*  290697 */     GIR_EraseRootFromParent_Done,
     /*  290698 */   // Label 5437: @290698
     /*  290698 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290761), // Rule ID 8858 //
     /*  290703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  290717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  290720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290742 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  290745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290759 */     GIR_RootConstrainSelectedInstOperands,
     /*  290760 */     // GIR_Coverage, 8858,
     /*  290760 */     GIR_EraseRootFromParent_Done,
     /*  290761 */   // Label 5438: @290761
     /*  290761 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290824), // Rule ID 8859 //
     /*  290766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  290780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  290783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290805 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  290808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290822 */     GIR_RootConstrainSelectedInstOperands,
     /*  290823 */     // GIR_Coverage, 8859,
     /*  290823 */     GIR_EraseRootFromParent_Done,
     /*  290824 */   // Label 5439: @290824
     /*  290824 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290887), // Rule ID 8862 //
     /*  290829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  290843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  290846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  290871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290885 */     GIR_RootConstrainSelectedInstOperands,
     /*  290886 */     // GIR_Coverage, 8862,
     /*  290886 */     GIR_EraseRootFromParent_Done,
     /*  290887 */   // Label 5440: @290887
     /*  290887 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290950), // Rule ID 8863 //
     /*  290892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  290906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  290909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290931 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  290934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290948 */     GIR_RootConstrainSelectedInstOperands,
     /*  290949 */     // GIR_Coverage, 8863,
     /*  290949 */     GIR_EraseRootFromParent_Done,
     /*  290950 */   // Label 5441: @290950
     /*  290950 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(291013), // Rule ID 8866 //
     /*  290955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  290969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  290972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  290997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291011 */     GIR_RootConstrainSelectedInstOperands,
     /*  291012 */     // GIR_Coverage, 8866,
     /*  291012 */     GIR_EraseRootFromParent_Done,
     /*  291013 */   // Label 5442: @291013
     /*  291013 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(291076), // Rule ID 8867 //
     /*  291018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  291035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291074 */     GIR_RootConstrainSelectedInstOperands,
     /*  291075 */     // GIR_Coverage, 8867,
     /*  291075 */     GIR_EraseRootFromParent_Done,
     /*  291076 */   // Label 5443: @291076
     /*  291076 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(291139), // Rule ID 8870 //
     /*  291081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291137 */     GIR_RootConstrainSelectedInstOperands,
     /*  291138 */     // GIR_Coverage, 8870,
     /*  291138 */     GIR_EraseRootFromParent_Done,
     /*  291139 */   // Label 5444: @291139
     /*  291139 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(291202), // Rule ID 8871 //
     /*  291144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291183 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291200 */     GIR_RootConstrainSelectedInstOperands,
     /*  291201 */     // GIR_Coverage, 8871,
     /*  291201 */     GIR_EraseRootFromParent_Done,
     /*  291202 */   // Label 5445: @291202
     /*  291202 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(291265), // Rule ID 8874 //
     /*  291207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291246 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291263 */     GIR_RootConstrainSelectedInstOperands,
     /*  291264 */     // GIR_Coverage, 8874,
     /*  291264 */     GIR_EraseRootFromParent_Done,
     /*  291265 */   // Label 5446: @291265
     /*  291265 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(291328), // Rule ID 8875 //
     /*  291270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291326 */     GIR_RootConstrainSelectedInstOperands,
     /*  291327 */     // GIR_Coverage, 8875,
     /*  291327 */     GIR_EraseRootFromParent_Done,
     /*  291328 */   // Label 5447: @291328
     /*  291328 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(291391), // Rule ID 8878 //
     /*  291333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  291350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291372 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  291375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291389 */     GIR_RootConstrainSelectedInstOperands,
     /*  291390 */     // GIR_Coverage, 8878,
     /*  291390 */     GIR_EraseRootFromParent_Done,
     /*  291391 */   // Label 5448: @291391
     /*  291391 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(291454), // Rule ID 8879 //
     /*  291396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  291413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291435 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  291438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291452 */     GIR_RootConstrainSelectedInstOperands,
     /*  291453 */     // GIR_Coverage, 8879,
     /*  291453 */     GIR_EraseRootFromParent_Done,
     /*  291454 */   // Label 5449: @291454
     /*  291454 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(291517), // Rule ID 8882 //
     /*  291459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  291473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  291476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291498 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  291501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291515 */     GIR_RootConstrainSelectedInstOperands,
     /*  291516 */     // GIR_Coverage, 8882,
     /*  291516 */     GIR_EraseRootFromParent_Done,
     /*  291517 */   // Label 5450: @291517
     /*  291517 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(291580), // Rule ID 8883 //
     /*  291522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  291536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  291539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291561 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  291564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291578 */     GIR_RootConstrainSelectedInstOperands,
     /*  291579 */     // GIR_Coverage, 8883,
     /*  291579 */     GIR_EraseRootFromParent_Done,
     /*  291580 */   // Label 5451: @291580
     /*  291580 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291643), // Rule ID 8886 //
     /*  291585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  291599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  291602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291641 */     GIR_RootConstrainSelectedInstOperands,
     /*  291642 */     // GIR_Coverage, 8886,
     /*  291642 */     GIR_EraseRootFromParent_Done,
     /*  291643 */   // Label 5452: @291643
     /*  291643 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291706), // Rule ID 8887 //
     /*  291648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  291662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  291665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291687 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291704 */     GIR_RootConstrainSelectedInstOperands,
     /*  291705 */     // GIR_Coverage, 8887,
     /*  291705 */     GIR_EraseRootFromParent_Done,
     /*  291706 */   // Label 5453: @291706
     /*  291706 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291769), // Rule ID 8890 //
     /*  291711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  291728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  291753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291767 */     GIR_RootConstrainSelectedInstOperands,
     /*  291768 */     // GIR_Coverage, 8890,
     /*  291768 */     GIR_EraseRootFromParent_Done,
     /*  291769 */   // Label 5454: @291769
     /*  291769 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291832), // Rule ID 8891 //
     /*  291774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  291791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  291816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291830 */     GIR_RootConstrainSelectedInstOperands,
     /*  291831 */     // GIR_Coverage, 8891,
     /*  291831 */     GIR_EraseRootFromParent_Done,
     /*  291832 */   // Label 5455: @291832
     /*  291832 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291895), // Rule ID 8894 //
     /*  291837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  291851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  291854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  291879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291893 */     GIR_RootConstrainSelectedInstOperands,
     /*  291894 */     // GIR_Coverage, 8894,
     /*  291894 */     GIR_EraseRootFromParent_Done,
     /*  291895 */   // Label 5456: @291895
     /*  291895 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291958), // Rule ID 8895 //
     /*  291900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  291914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  291917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291939 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  291942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291956 */     GIR_RootConstrainSelectedInstOperands,
     /*  291957 */     // GIR_Coverage, 8895,
     /*  291957 */     GIR_EraseRootFromParent_Done,
     /*  291958 */   // Label 5457: @291958
     /*  291958 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(292021), // Rule ID 8898 //
     /*  291963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  291977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  291980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292019 */     GIR_RootConstrainSelectedInstOperands,
     /*  292020 */     // GIR_Coverage, 8898,
     /*  292020 */     GIR_EraseRootFromParent_Done,
     /*  292021 */   // Label 5458: @292021
     /*  292021 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(292084), // Rule ID 8899 //
     /*  292026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  292043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292082 */     GIR_RootConstrainSelectedInstOperands,
     /*  292083 */     // GIR_Coverage, 8899,
     /*  292083 */     GIR_EraseRootFromParent_Done,
     /*  292084 */   // Label 5459: @292084
     /*  292084 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(292147), // Rule ID 8902 //
     /*  292089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292145 */     GIR_RootConstrainSelectedInstOperands,
     /*  292146 */     // GIR_Coverage, 8902,
     /*  292146 */     GIR_EraseRootFromParent_Done,
     /*  292147 */   // Label 5460: @292147
     /*  292147 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(292210), // Rule ID 8903 //
     /*  292152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292191 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292208 */     GIR_RootConstrainSelectedInstOperands,
     /*  292209 */     // GIR_Coverage, 8903,
     /*  292209 */     GIR_EraseRootFromParent_Done,
     /*  292210 */   // Label 5461: @292210
     /*  292210 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(292273), // Rule ID 8906 //
     /*  292215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292254 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292271 */     GIR_RootConstrainSelectedInstOperands,
     /*  292272 */     // GIR_Coverage, 8906,
     /*  292272 */     GIR_EraseRootFromParent_Done,
     /*  292273 */   // Label 5462: @292273
     /*  292273 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(292336), // Rule ID 8907 //
     /*  292278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292334 */     GIR_RootConstrainSelectedInstOperands,
     /*  292335 */     // GIR_Coverage, 8907,
     /*  292335 */     GIR_EraseRootFromParent_Done,
     /*  292336 */   // Label 5463: @292336
     /*  292336 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(292399), // Rule ID 8910 //
     /*  292341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  292358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292397 */     GIR_RootConstrainSelectedInstOperands,
     /*  292398 */     // GIR_Coverage, 8910,
     /*  292398 */     GIR_EraseRootFromParent_Done,
     /*  292399 */   // Label 5464: @292399
     /*  292399 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(292462), // Rule ID 8911 //
     /*  292404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  292421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292443 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292460 */     GIR_RootConstrainSelectedInstOperands,
     /*  292461 */     // GIR_Coverage, 8911,
     /*  292461 */     GIR_EraseRootFromParent_Done,
     /*  292462 */   // Label 5465: @292462
     /*  292462 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(292525), // Rule ID 8914 //
     /*  292467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  292481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  292484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292506 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292523 */     GIR_RootConstrainSelectedInstOperands,
     /*  292524 */     // GIR_Coverage, 8914,
     /*  292524 */     GIR_EraseRootFromParent_Done,
     /*  292525 */   // Label 5466: @292525
     /*  292525 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(292588), // Rule ID 8915 //
     /*  292530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  292544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  292547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292586 */     GIR_RootConstrainSelectedInstOperands,
     /*  292587 */     // GIR_Coverage, 8915,
     /*  292587 */     GIR_EraseRootFromParent_Done,
     /*  292588 */   // Label 5467: @292588
     /*  292588 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292651), // Rule ID 8918 //
     /*  292593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  292607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  292610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292649 */     GIR_RootConstrainSelectedInstOperands,
     /*  292650 */     // GIR_Coverage, 8918,
     /*  292650 */     GIR_EraseRootFromParent_Done,
     /*  292651 */   // Label 5468: @292651
     /*  292651 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292714), // Rule ID 8919 //
     /*  292656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  292670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  292673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292695 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292712 */     GIR_RootConstrainSelectedInstOperands,
     /*  292713 */     // GIR_Coverage, 8919,
     /*  292713 */     GIR_EraseRootFromParent_Done,
     /*  292714 */   // Label 5469: @292714
     /*  292714 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292777), // Rule ID 8922 //
     /*  292719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  292733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292758 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  292761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292775 */     GIR_RootConstrainSelectedInstOperands,
     /*  292776 */     // GIR_Coverage, 8922,
     /*  292776 */     GIR_EraseRootFromParent_Done,
     /*  292777 */   // Label 5470: @292777
     /*  292777 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292840), // Rule ID 8923 //
     /*  292782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  292796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  292824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292838 */     GIR_RootConstrainSelectedInstOperands,
     /*  292839 */     // GIR_Coverage, 8923,
     /*  292839 */     GIR_EraseRootFromParent_Done,
     /*  292840 */   // Label 5471: @292840
     /*  292840 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292903), // Rule ID 8926 //
     /*  292845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  292859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  292887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292901 */     GIR_RootConstrainSelectedInstOperands,
     /*  292902 */     // GIR_Coverage, 8926,
     /*  292902 */     GIR_EraseRootFromParent_Done,
     /*  292903 */   // Label 5472: @292903
     /*  292903 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292966), // Rule ID 8927 //
     /*  292908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  292922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292947 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  292950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292964 */     GIR_RootConstrainSelectedInstOperands,
     /*  292965 */     // GIR_Coverage, 8927,
     /*  292965 */     GIR_EraseRootFromParent_Done,
     /*  292966 */   // Label 5473: @292966
     /*  292966 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(293029), // Rule ID 8930 //
     /*  292971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  292985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293010 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293027 */     GIR_RootConstrainSelectedInstOperands,
     /*  293028 */     // GIR_Coverage, 8930,
     /*  293028 */     GIR_EraseRootFromParent_Done,
     /*  293029 */   // Label 5474: @293029
     /*  293029 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(293092), // Rule ID 8931 //
     /*  293034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293090 */     GIR_RootConstrainSelectedInstOperands,
     /*  293091 */     // GIR_Coverage, 8931,
     /*  293091 */     GIR_EraseRootFromParent_Done,
     /*  293092 */   // Label 5475: @293092
     /*  293092 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(293155), // Rule ID 8934 //
     /*  293097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293153 */     GIR_RootConstrainSelectedInstOperands,
     /*  293154 */     // GIR_Coverage, 8934,
     /*  293154 */     GIR_EraseRootFromParent_Done,
     /*  293155 */   // Label 5476: @293155
     /*  293155 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(293218), // Rule ID 8935 //
     /*  293160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293216 */     GIR_RootConstrainSelectedInstOperands,
     /*  293217 */     // GIR_Coverage, 8935,
     /*  293217 */     GIR_EraseRootFromParent_Done,
     /*  293218 */   // Label 5477: @293218
     /*  293218 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(293281), // Rule ID 8938 //
     /*  293223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293262 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293279 */     GIR_RootConstrainSelectedInstOperands,
     /*  293280 */     // GIR_Coverage, 8938,
     /*  293280 */     GIR_EraseRootFromParent_Done,
     /*  293281 */   // Label 5478: @293281
     /*  293281 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(293344), // Rule ID 8939 //
     /*  293286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293342 */     GIR_RootConstrainSelectedInstOperands,
     /*  293343 */     // GIR_Coverage, 8939,
     /*  293343 */     GIR_EraseRootFromParent_Done,
     /*  293344 */   // Label 5479: @293344
     /*  293344 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(293407), // Rule ID 8942 //
     /*  293349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293405 */     GIR_RootConstrainSelectedInstOperands,
     /*  293406 */     // GIR_Coverage, 8942,
     /*  293406 */     GIR_EraseRootFromParent_Done,
     /*  293407 */   // Label 5480: @293407
     /*  293407 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(293470), // Rule ID 8943 //
     /*  293412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293451 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293468 */     GIR_RootConstrainSelectedInstOperands,
     /*  293469 */     // GIR_Coverage, 8943,
     /*  293469 */     GIR_EraseRootFromParent_Done,
     /*  293470 */   // Label 5481: @293470
     /*  293470 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(293533), // Rule ID 8946 //
     /*  293475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  293489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293514 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293531 */     GIR_RootConstrainSelectedInstOperands,
     /*  293532 */     // GIR_Coverage, 8946,
     /*  293532 */     GIR_EraseRootFromParent_Done,
     /*  293533 */   // Label 5482: @293533
     /*  293533 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(293596), // Rule ID 8947 //
     /*  293538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  293552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293594 */     GIR_RootConstrainSelectedInstOperands,
     /*  293595 */     // GIR_Coverage, 8947,
     /*  293595 */     GIR_EraseRootFromParent_Done,
     /*  293596 */   // Label 5483: @293596
     /*  293596 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293659), // Rule ID 8950 //
     /*  293601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  293615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293657 */     GIR_RootConstrainSelectedInstOperands,
     /*  293658 */     // GIR_Coverage, 8950,
     /*  293658 */     GIR_EraseRootFromParent_Done,
     /*  293659 */   // Label 5484: @293659
     /*  293659 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293722), // Rule ID 8951 //
     /*  293664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  293678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293703 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293720 */     GIR_RootConstrainSelectedInstOperands,
     /*  293721 */     // GIR_Coverage, 8951,
     /*  293721 */     GIR_EraseRootFromParent_Done,
     /*  293722 */   // Label 5485: @293722
     /*  293722 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293785), // Rule ID 8954 //
     /*  293727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  293741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293766 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293783 */     GIR_RootConstrainSelectedInstOperands,
     /*  293784 */     // GIR_Coverage, 8954,
     /*  293784 */     GIR_EraseRootFromParent_Done,
     /*  293785 */   // Label 5486: @293785
     /*  293785 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293848), // Rule ID 8955 //
     /*  293790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  293804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293846 */     GIR_RootConstrainSelectedInstOperands,
     /*  293847 */     // GIR_Coverage, 8955,
     /*  293847 */     GIR_EraseRootFromParent_Done,
     /*  293848 */   // Label 5487: @293848
     /*  293848 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293911), // Rule ID 8958 //
     /*  293853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  293867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293909 */     GIR_RootConstrainSelectedInstOperands,
     /*  293910 */     // GIR_Coverage, 8958,
     /*  293910 */     GIR_EraseRootFromParent_Done,
     /*  293911 */   // Label 5488: @293911
     /*  293911 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293974), // Rule ID 8959 //
     /*  293916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  293930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  293958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293972 */     GIR_RootConstrainSelectedInstOperands,
     /*  293973 */     // GIR_Coverage, 8959,
     /*  293973 */     GIR_EraseRootFromParent_Done,
     /*  293974 */   // Label 5489: @293974
     /*  293974 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(294037), // Rule ID 8962 //
     /*  293979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  293993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294018 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294035 */     GIR_RootConstrainSelectedInstOperands,
     /*  294036 */     // GIR_Coverage, 8962,
     /*  294036 */     GIR_EraseRootFromParent_Done,
     /*  294037 */   // Label 5490: @294037
     /*  294037 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(294100), // Rule ID 8963 //
     /*  294042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294098 */     GIR_RootConstrainSelectedInstOperands,
     /*  294099 */     // GIR_Coverage, 8963,
     /*  294099 */     GIR_EraseRootFromParent_Done,
     /*  294100 */   // Label 5491: @294100
     /*  294100 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(294163), // Rule ID 8966 //
     /*  294105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294161 */     GIR_RootConstrainSelectedInstOperands,
     /*  294162 */     // GIR_Coverage, 8966,
     /*  294162 */     GIR_EraseRootFromParent_Done,
     /*  294163 */   // Label 5492: @294163
     /*  294163 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(294226), // Rule ID 8967 //
     /*  294168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294207 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294224 */     GIR_RootConstrainSelectedInstOperands,
     /*  294225 */     // GIR_Coverage, 8967,
     /*  294225 */     GIR_EraseRootFromParent_Done,
     /*  294226 */   // Label 5493: @294226
     /*  294226 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(294289), // Rule ID 8970 //
     /*  294231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294270 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294287 */     GIR_RootConstrainSelectedInstOperands,
     /*  294288 */     // GIR_Coverage, 8970,
     /*  294288 */     GIR_EraseRootFromParent_Done,
     /*  294289 */   // Label 5494: @294289
     /*  294289 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(294352), // Rule ID 8971 //
     /*  294294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294333 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294350 */     GIR_RootConstrainSelectedInstOperands,
     /*  294351 */     // GIR_Coverage, 8971,
     /*  294351 */     GIR_EraseRootFromParent_Done,
     /*  294352 */   // Label 5495: @294352
     /*  294352 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(294415), // Rule ID 8974 //
     /*  294357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294413 */     GIR_RootConstrainSelectedInstOperands,
     /*  294414 */     // GIR_Coverage, 8974,
     /*  294414 */     GIR_EraseRootFromParent_Done,
     /*  294415 */   // Label 5496: @294415
     /*  294415 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(294478), // Rule ID 8975 //
     /*  294420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294476 */     GIR_RootConstrainSelectedInstOperands,
     /*  294477 */     // GIR_Coverage, 8975,
     /*  294477 */     GIR_EraseRootFromParent_Done,
     /*  294478 */   // Label 5497: @294478
     /*  294478 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(294541), // Rule ID 8978 //
     /*  294483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  294497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294539 */     GIR_RootConstrainSelectedInstOperands,
     /*  294540 */     // GIR_Coverage, 8978,
     /*  294540 */     GIR_EraseRootFromParent_Done,
     /*  294541 */   // Label 5498: @294541
     /*  294541 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(294604), // Rule ID 8979 //
     /*  294546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  294560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294585 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294602 */     GIR_RootConstrainSelectedInstOperands,
     /*  294603 */     // GIR_Coverage, 8979,
     /*  294603 */     GIR_EraseRootFromParent_Done,
     /*  294604 */   // Label 5499: @294604
     /*  294604 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294667), // Rule ID 8982 //
     /*  294609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  294623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294665 */     GIR_RootConstrainSelectedInstOperands,
     /*  294666 */     // GIR_Coverage, 8982,
     /*  294666 */     GIR_EraseRootFromParent_Done,
     /*  294667 */   // Label 5500: @294667
     /*  294667 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294730), // Rule ID 8983 //
     /*  294672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  294686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294711 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294728 */     GIR_RootConstrainSelectedInstOperands,
     /*  294729 */     // GIR_Coverage, 8983,
     /*  294729 */     GIR_EraseRootFromParent_Done,
     /*  294730 */   // Label 5501: @294730
     /*  294730 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294793), // Rule ID 8986 //
     /*  294735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  294749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294774 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294791 */     GIR_RootConstrainSelectedInstOperands,
     /*  294792 */     // GIR_Coverage, 8986,
     /*  294792 */     GIR_EraseRootFromParent_Done,
     /*  294793 */   // Label 5502: @294793
     /*  294793 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294856), // Rule ID 8987 //
     /*  294798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  294812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294837 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294854 */     GIR_RootConstrainSelectedInstOperands,
     /*  294855 */     // GIR_Coverage, 8987,
     /*  294855 */     GIR_EraseRootFromParent_Done,
     /*  294856 */   // Label 5503: @294856
     /*  294856 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294919), // Rule ID 8990 //
     /*  294861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  294875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294917 */     GIR_RootConstrainSelectedInstOperands,
     /*  294918 */     // GIR_Coverage, 8990,
     /*  294918 */     GIR_EraseRootFromParent_Done,
     /*  294919 */   // Label 5504: @294919
     /*  294919 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294982), // Rule ID 8991 //
     /*  294924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  294938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294963 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294980 */     GIR_RootConstrainSelectedInstOperands,
     /*  294981 */     // GIR_Coverage, 8991,
     /*  294981 */     GIR_EraseRootFromParent_Done,
     /*  294982 */   // Label 5505: @294982
     /*  294982 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(295045), // Rule ID 8994 //
     /*  294987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295026 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295043 */     GIR_RootConstrainSelectedInstOperands,
     /*  295044 */     // GIR_Coverage, 8994,
     /*  295044 */     GIR_EraseRootFromParent_Done,
     /*  295045 */   // Label 5506: @295045
     /*  295045 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(295108), // Rule ID 8995 //
     /*  295050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295089 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295106 */     GIR_RootConstrainSelectedInstOperands,
     /*  295107 */     // GIR_Coverage, 8995,
     /*  295107 */     GIR_EraseRootFromParent_Done,
     /*  295108 */   // Label 5507: @295108
     /*  295108 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(295171), // Rule ID 8998 //
     /*  295113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295169 */     GIR_RootConstrainSelectedInstOperands,
     /*  295170 */     // GIR_Coverage, 8998,
     /*  295170 */     GIR_EraseRootFromParent_Done,
     /*  295171 */   // Label 5508: @295171
     /*  295171 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(295234), // Rule ID 8999 //
     /*  295176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295215 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295232 */     GIR_RootConstrainSelectedInstOperands,
     /*  295233 */     // GIR_Coverage, 8999,
     /*  295233 */     GIR_EraseRootFromParent_Done,
     /*  295234 */   // Label 5509: @295234
     /*  295234 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(295297), // Rule ID 9002 //
     /*  295239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295278 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295295 */     GIR_RootConstrainSelectedInstOperands,
     /*  295296 */     // GIR_Coverage, 9002,
     /*  295296 */     GIR_EraseRootFromParent_Done,
     /*  295297 */   // Label 5510: @295297
     /*  295297 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(295360), // Rule ID 9003 //
     /*  295302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295358 */     GIR_RootConstrainSelectedInstOperands,
     /*  295359 */     // GIR_Coverage, 9003,
     /*  295359 */     GIR_EraseRootFromParent_Done,
     /*  295360 */   // Label 5511: @295360
     /*  295360 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(295423), // Rule ID 9006 //
     /*  295365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295404 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295421 */     GIR_RootConstrainSelectedInstOperands,
     /*  295422 */     // GIR_Coverage, 9006,
     /*  295422 */     GIR_EraseRootFromParent_Done,
     /*  295423 */   // Label 5512: @295423
     /*  295423 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(295486), // Rule ID 9007 //
     /*  295428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295467 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295484 */     GIR_RootConstrainSelectedInstOperands,
     /*  295485 */     // GIR_Coverage, 9007,
     /*  295485 */     GIR_EraseRootFromParent_Done,
     /*  295486 */   // Label 5513: @295486
     /*  295486 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(295549), // Rule ID 9098 //
     /*  295491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  295505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295530 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  295533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295547 */     GIR_RootConstrainSelectedInstOperands,
     /*  295548 */     // GIR_Coverage, 9098,
     /*  295548 */     GIR_EraseRootFromParent_Done,
     /*  295549 */   // Label 5514: @295549
     /*  295549 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(295612), // Rule ID 9099 //
     /*  295554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  295568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  295596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295610 */     GIR_RootConstrainSelectedInstOperands,
     /*  295611 */     // GIR_Coverage, 9099,
     /*  295611 */     GIR_EraseRootFromParent_Done,
     /*  295612 */   // Label 5515: @295612
     /*  295612 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295675), // Rule ID 9102 //
     /*  295617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  295631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  295659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295673 */     GIR_RootConstrainSelectedInstOperands,
     /*  295674 */     // GIR_Coverage, 9102,
     /*  295674 */     GIR_EraseRootFromParent_Done,
     /*  295675 */   // Label 5516: @295675
     /*  295675 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295738), // Rule ID 9103 //
     /*  295680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  295694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295719 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  295722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295736 */     GIR_RootConstrainSelectedInstOperands,
     /*  295737 */     // GIR_Coverage, 9103,
     /*  295737 */     GIR_EraseRootFromParent_Done,
     /*  295738 */   // Label 5517: @295738
     /*  295738 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295801), // Rule ID 9106 //
     /*  295743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  295757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295782 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  295785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295799 */     GIR_RootConstrainSelectedInstOperands,
     /*  295800 */     // GIR_Coverage, 9106,
     /*  295800 */     GIR_EraseRootFromParent_Done,
     /*  295801 */   // Label 5518: @295801
     /*  295801 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295864), // Rule ID 9107 //
     /*  295806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  295820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295845 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  295848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295862 */     GIR_RootConstrainSelectedInstOperands,
     /*  295863 */     // GIR_Coverage, 9107,
     /*  295863 */     GIR_EraseRootFromParent_Done,
     /*  295864 */   // Label 5519: @295864
     /*  295864 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295927), // Rule ID 9110 //
     /*  295869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  295883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  295911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295925 */     GIR_RootConstrainSelectedInstOperands,
     /*  295926 */     // GIR_Coverage, 9110,
     /*  295926 */     GIR_EraseRootFromParent_Done,
     /*  295927 */   // Label 5520: @295927
     /*  295927 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295990), // Rule ID 9111 //
     /*  295932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  295946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295971 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  295974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295988 */     GIR_RootConstrainSelectedInstOperands,
     /*  295989 */     // GIR_Coverage, 9111,
     /*  295989 */     GIR_EraseRootFromParent_Done,
     /*  295990 */   // Label 5521: @295990
     /*  295990 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(296053), // Rule ID 9114 //
     /*  295995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296034 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296051 */     GIR_RootConstrainSelectedInstOperands,
     /*  296052 */     // GIR_Coverage, 9114,
     /*  296052 */     GIR_EraseRootFromParent_Done,
     /*  296053 */   // Label 5522: @296053
     /*  296053 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(296116), // Rule ID 9115 //
     /*  296058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296097 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296114 */     GIR_RootConstrainSelectedInstOperands,
     /*  296115 */     // GIR_Coverage, 9115,
     /*  296115 */     GIR_EraseRootFromParent_Done,
     /*  296116 */   // Label 5523: @296116
     /*  296116 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(296179), // Rule ID 9118 //
     /*  296121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296177 */     GIR_RootConstrainSelectedInstOperands,
     /*  296178 */     // GIR_Coverage, 9118,
     /*  296178 */     GIR_EraseRootFromParent_Done,
     /*  296179 */   // Label 5524: @296179
     /*  296179 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(296242), // Rule ID 9119 //
     /*  296184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296223 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296240 */     GIR_RootConstrainSelectedInstOperands,
     /*  296241 */     // GIR_Coverage, 9119,
     /*  296241 */     GIR_EraseRootFromParent_Done,
     /*  296242 */   // Label 5525: @296242
     /*  296242 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(296305), // Rule ID 9122 //
     /*  296247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  296261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296286 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296303 */     GIR_RootConstrainSelectedInstOperands,
     /*  296304 */     // GIR_Coverage, 9122,
     /*  296304 */     GIR_EraseRootFromParent_Done,
     /*  296305 */   // Label 5526: @296305
     /*  296305 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(296368), // Rule ID 9123 //
     /*  296310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  296324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296349 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296366 */     GIR_RootConstrainSelectedInstOperands,
     /*  296367 */     // GIR_Coverage, 9123,
     /*  296367 */     GIR_EraseRootFromParent_Done,
     /*  296368 */   // Label 5527: @296368
     /*  296368 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(296431), // Rule ID 9126 //
     /*  296373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296429 */     GIR_RootConstrainSelectedInstOperands,
     /*  296430 */     // GIR_Coverage, 9126,
     /*  296430 */     GIR_EraseRootFromParent_Done,
     /*  296431 */   // Label 5528: @296431
     /*  296431 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(296494), // Rule ID 9127 //
     /*  296436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296475 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296492 */     GIR_RootConstrainSelectedInstOperands,
     /*  296493 */     // GIR_Coverage, 9127,
     /*  296493 */     GIR_EraseRootFromParent_Done,
     /*  296494 */   // Label 5529: @296494
     /*  296494 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(296557), // Rule ID 9130 //
     /*  296499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  296513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296555 */     GIR_RootConstrainSelectedInstOperands,
     /*  296556 */     // GIR_Coverage, 9130,
     /*  296556 */     GIR_EraseRootFromParent_Done,
     /*  296557 */   // Label 5530: @296557
     /*  296557 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(296620), // Rule ID 9131 //
     /*  296562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  296576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296601 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296618 */     GIR_RootConstrainSelectedInstOperands,
     /*  296619 */     // GIR_Coverage, 9131,
     /*  296619 */     GIR_EraseRootFromParent_Done,
     /*  296620 */   // Label 5531: @296620
     /*  296620 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296683), // Rule ID 9134 //
     /*  296625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  296639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296681 */     GIR_RootConstrainSelectedInstOperands,
     /*  296682 */     // GIR_Coverage, 9134,
     /*  296682 */     GIR_EraseRootFromParent_Done,
     /*  296683 */   // Label 5532: @296683
     /*  296683 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296746), // Rule ID 9135 //
     /*  296688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  296702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296744 */     GIR_RootConstrainSelectedInstOperands,
     /*  296745 */     // GIR_Coverage, 9135,
     /*  296745 */     GIR_EraseRootFromParent_Done,
     /*  296746 */   // Label 5533: @296746
     /*  296746 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296809), // Rule ID 9138 //
     /*  296751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  296765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296790 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  296793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296807 */     GIR_RootConstrainSelectedInstOperands,
     /*  296808 */     // GIR_Coverage, 9138,
     /*  296808 */     GIR_EraseRootFromParent_Done,
     /*  296809 */   // Label 5534: @296809
     /*  296809 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296872), // Rule ID 9139 //
     /*  296814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  296828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296853 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  296856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296870 */     GIR_RootConstrainSelectedInstOperands,
     /*  296871 */     // GIR_Coverage, 9139,
     /*  296871 */     GIR_EraseRootFromParent_Done,
     /*  296872 */   // Label 5535: @296872
     /*  296872 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296935), // Rule ID 9142 //
     /*  296877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  296891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296916 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  296919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296933 */     GIR_RootConstrainSelectedInstOperands,
     /*  296934 */     // GIR_Coverage, 9142,
     /*  296934 */     GIR_EraseRootFromParent_Done,
     /*  296935 */   // Label 5536: @296935
     /*  296935 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296998), // Rule ID 9143 //
     /*  296940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  296954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296979 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  296982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296996 */     GIR_RootConstrainSelectedInstOperands,
     /*  296997 */     // GIR_Coverage, 9143,
     /*  296997 */     GIR_EraseRootFromParent_Done,
     /*  296998 */   // Label 5537: @296998
     /*  296998 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(297061), // Rule ID 9146 //
     /*  297003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297042 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297059 */     GIR_RootConstrainSelectedInstOperands,
     /*  297060 */     // GIR_Coverage, 9146,
     /*  297060 */     GIR_EraseRootFromParent_Done,
     /*  297061 */   // Label 5538: @297061
     /*  297061 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(297124), // Rule ID 9147 //
     /*  297066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297105 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297122 */     GIR_RootConstrainSelectedInstOperands,
     /*  297123 */     // GIR_Coverage, 9147,
     /*  297123 */     GIR_EraseRootFromParent_Done,
     /*  297124 */   // Label 5539: @297124
     /*  297124 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(297187), // Rule ID 9150 //
     /*  297129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297185 */     GIR_RootConstrainSelectedInstOperands,
     /*  297186 */     // GIR_Coverage, 9150,
     /*  297186 */     GIR_EraseRootFromParent_Done,
     /*  297187 */   // Label 5540: @297187
     /*  297187 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(297250), // Rule ID 9151 //
     /*  297192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297231 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297248 */     GIR_RootConstrainSelectedInstOperands,
     /*  297249 */     // GIR_Coverage, 9151,
     /*  297249 */     GIR_EraseRootFromParent_Done,
     /*  297250 */   // Label 5541: @297250
     /*  297250 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(297313), // Rule ID 9154 //
     /*  297255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  297269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297294 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297311 */     GIR_RootConstrainSelectedInstOperands,
     /*  297312 */     // GIR_Coverage, 9154,
     /*  297312 */     GIR_EraseRootFromParent_Done,
     /*  297313 */   // Label 5542: @297313
     /*  297313 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(297376), // Rule ID 9155 //
     /*  297318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  297332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297357 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297374 */     GIR_RootConstrainSelectedInstOperands,
     /*  297375 */     // GIR_Coverage, 9155,
     /*  297375 */     GIR_EraseRootFromParent_Done,
     /*  297376 */   // Label 5543: @297376
     /*  297376 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(297439), // Rule ID 9158 //
     /*  297381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297437 */     GIR_RootConstrainSelectedInstOperands,
     /*  297438 */     // GIR_Coverage, 9158,
     /*  297438 */     GIR_EraseRootFromParent_Done,
     /*  297439 */   // Label 5544: @297439
     /*  297439 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(297502), // Rule ID 9159 //
     /*  297444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297483 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297500 */     GIR_RootConstrainSelectedInstOperands,
     /*  297501 */     // GIR_Coverage, 9159,
     /*  297501 */     GIR_EraseRootFromParent_Done,
     /*  297502 */   // Label 5545: @297502
     /*  297502 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(297565), // Rule ID 9162 //
     /*  297507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  297521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297546 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297563 */     GIR_RootConstrainSelectedInstOperands,
     /*  297564 */     // GIR_Coverage, 9162,
     /*  297564 */     GIR_EraseRootFromParent_Done,
     /*  297565 */   // Label 5546: @297565
     /*  297565 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297628), // Rule ID 9163 //
     /*  297570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  297584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297626 */     GIR_RootConstrainSelectedInstOperands,
     /*  297627 */     // GIR_Coverage, 9163,
     /*  297627 */     GIR_EraseRootFromParent_Done,
     /*  297628 */   // Label 5547: @297628
     /*  297628 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297691), // Rule ID 9166 //
     /*  297633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  297647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297689 */     GIR_RootConstrainSelectedInstOperands,
     /*  297690 */     // GIR_Coverage, 9166,
     /*  297690 */     GIR_EraseRootFromParent_Done,
     /*  297691 */   // Label 5548: @297691
     /*  297691 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297754), // Rule ID 9167 //
     /*  297696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  297710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297735 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297752 */     GIR_RootConstrainSelectedInstOperands,
     /*  297753 */     // GIR_Coverage, 9167,
     /*  297753 */     GIR_EraseRootFromParent_Done,
     /*  297754 */   // Label 5549: @297754
     /*  297754 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297817), // Rule ID 9170 //
     /*  297759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  297773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297798 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297815 */     GIR_RootConstrainSelectedInstOperands,
     /*  297816 */     // GIR_Coverage, 9170,
     /*  297816 */     GIR_EraseRootFromParent_Done,
     /*  297817 */   // Label 5550: @297817
     /*  297817 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297880), // Rule ID 9171 //
     /*  297822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  297836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297861 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297878 */     GIR_RootConstrainSelectedInstOperands,
     /*  297879 */     // GIR_Coverage, 9171,
     /*  297879 */     GIR_EraseRootFromParent_Done,
     /*  297880 */   // Label 5551: @297880
     /*  297880 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297943), // Rule ID 9174 //
     /*  297885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  297899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297941 */     GIR_RootConstrainSelectedInstOperands,
     /*  297942 */     // GIR_Coverage, 9174,
     /*  297942 */     GIR_EraseRootFromParent_Done,
     /*  297943 */   // Label 5552: @297943
     /*  297943 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(298006), // Rule ID 9175 //
     /*  297948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  297962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297987 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298004 */     GIR_RootConstrainSelectedInstOperands,
     /*  298005 */     // GIR_Coverage, 9175,
     /*  298005 */     GIR_EraseRootFromParent_Done,
     /*  298006 */   // Label 5553: @298006
     /*  298006 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(298069), // Rule ID 9178 //
     /*  298011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298067 */     GIR_RootConstrainSelectedInstOperands,
     /*  298068 */     // GIR_Coverage, 9178,
     /*  298068 */     GIR_EraseRootFromParent_Done,
     /*  298069 */   // Label 5554: @298069
     /*  298069 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(298132), // Rule ID 9179 //
     /*  298074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298130 */     GIR_RootConstrainSelectedInstOperands,
     /*  298131 */     // GIR_Coverage, 9179,
     /*  298131 */     GIR_EraseRootFromParent_Done,
     /*  298132 */   // Label 5555: @298132
     /*  298132 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(298195), // Rule ID 9182 //
     /*  298137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298193 */     GIR_RootConstrainSelectedInstOperands,
     /*  298194 */     // GIR_Coverage, 9182,
     /*  298194 */     GIR_EraseRootFromParent_Done,
     /*  298195 */   // Label 5556: @298195
     /*  298195 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(298258), // Rule ID 9183 //
     /*  298200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298239 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298256 */     GIR_RootConstrainSelectedInstOperands,
     /*  298257 */     // GIR_Coverage, 9183,
     /*  298257 */     GIR_EraseRootFromParent_Done,
     /*  298258 */   // Label 5557: @298258
     /*  298258 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(298321), // Rule ID 9274 //
     /*  298263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  298277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298302 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  298305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298319 */     GIR_RootConstrainSelectedInstOperands,
     /*  298320 */     // GIR_Coverage, 9274,
     /*  298320 */     GIR_EraseRootFromParent_Done,
     /*  298321 */   // Label 5558: @298321
     /*  298321 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(298384), // Rule ID 9275 //
     /*  298326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  298340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  298368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298382 */     GIR_RootConstrainSelectedInstOperands,
     /*  298383 */     // GIR_Coverage, 9275,
     /*  298383 */     GIR_EraseRootFromParent_Done,
     /*  298384 */   // Label 5559: @298384
     /*  298384 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(298447), // Rule ID 9278 //
     /*  298389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298445 */     GIR_RootConstrainSelectedInstOperands,
     /*  298446 */     // GIR_Coverage, 9278,
     /*  298446 */     GIR_EraseRootFromParent_Done,
     /*  298447 */   // Label 5560: @298447
     /*  298447 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(298510), // Rule ID 9279 //
     /*  298452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298508 */     GIR_RootConstrainSelectedInstOperands,
     /*  298509 */     // GIR_Coverage, 9279,
     /*  298509 */     GIR_EraseRootFromParent_Done,
     /*  298510 */   // Label 5561: @298510
     /*  298510 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(298573), // Rule ID 9282 //
     /*  298515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  298529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298554 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298571 */     GIR_RootConstrainSelectedInstOperands,
     /*  298572 */     // GIR_Coverage, 9282,
     /*  298572 */     GIR_EraseRootFromParent_Done,
     /*  298573 */   // Label 5562: @298573
     /*  298573 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298636), // Rule ID 9283 //
     /*  298578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  298592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298617 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298634 */     GIR_RootConstrainSelectedInstOperands,
     /*  298635 */     // GIR_Coverage, 9283,
     /*  298635 */     GIR_EraseRootFromParent_Done,
     /*  298636 */   // Label 5563: @298636
     /*  298636 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298699), // Rule ID 9286 //
     /*  298641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  298655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298697 */     GIR_RootConstrainSelectedInstOperands,
     /*  298698 */     // GIR_Coverage, 9286,
     /*  298698 */     GIR_EraseRootFromParent_Done,
     /*  298699 */   // Label 5564: @298699
     /*  298699 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298762), // Rule ID 9287 //
     /*  298704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  298718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298743 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  298746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298760 */     GIR_RootConstrainSelectedInstOperands,
     /*  298761 */     // GIR_Coverage, 9287,
     /*  298761 */     GIR_EraseRootFromParent_Done,
     /*  298762 */   // Label 5565: @298762
     /*  298762 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298825), // Rule ID 9290 //
     /*  298767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  298781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298806 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298823 */     GIR_RootConstrainSelectedInstOperands,
     /*  298824 */     // GIR_Coverage, 9290,
     /*  298824 */     GIR_EraseRootFromParent_Done,
     /*  298825 */   // Label 5566: @298825
     /*  298825 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298888), // Rule ID 9291 //
     /*  298830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  298844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298886 */     GIR_RootConstrainSelectedInstOperands,
     /*  298887 */     // GIR_Coverage, 9291,
     /*  298887 */     GIR_EraseRootFromParent_Done,
     /*  298888 */   // Label 5567: @298888
     /*  298888 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298951), // Rule ID 9294 //
     /*  298893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  298907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298949 */     GIR_RootConstrainSelectedInstOperands,
     /*  298950 */     // GIR_Coverage, 9294,
     /*  298950 */     GIR_EraseRootFromParent_Done,
     /*  298951 */   // Label 5568: @298951
     /*  298951 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(299014), // Rule ID 9295 //
     /*  298956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  298970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298995 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  298998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299012 */     GIR_RootConstrainSelectedInstOperands,
     /*  299013 */     // GIR_Coverage, 9295,
     /*  299013 */     GIR_EraseRootFromParent_Done,
     /*  299014 */   // Label 5569: @299014
     /*  299014 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(299077), // Rule ID 9298 //
     /*  299019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299075 */     GIR_RootConstrainSelectedInstOperands,
     /*  299076 */     // GIR_Coverage, 9298,
     /*  299076 */     GIR_EraseRootFromParent_Done,
     /*  299077 */   // Label 5570: @299077
     /*  299077 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(299140), // Rule ID 9299 //
     /*  299082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299121 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299138 */     GIR_RootConstrainSelectedInstOperands,
     /*  299139 */     // GIR_Coverage, 9299,
     /*  299139 */     GIR_EraseRootFromParent_Done,
     /*  299140 */   // Label 5571: @299140
     /*  299140 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(299203), // Rule ID 9302 //
     /*  299145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299201 */     GIR_RootConstrainSelectedInstOperands,
     /*  299202 */     // GIR_Coverage, 9302,
     /*  299202 */     GIR_EraseRootFromParent_Done,
     /*  299203 */   // Label 5572: @299203
     /*  299203 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(299266), // Rule ID 9303 //
     /*  299208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299247 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299264 */     GIR_RootConstrainSelectedInstOperands,
     /*  299265 */     // GIR_Coverage, 9303,
     /*  299265 */     GIR_EraseRootFromParent_Done,
     /*  299266 */   // Label 5573: @299266
     /*  299266 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(299329), // Rule ID 9306 //
     /*  299271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  299285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299327 */     GIR_RootConstrainSelectedInstOperands,
     /*  299328 */     // GIR_Coverage, 9306,
     /*  299328 */     GIR_EraseRootFromParent_Done,
     /*  299329 */   // Label 5574: @299329
     /*  299329 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(299392), // Rule ID 9307 //
     /*  299334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  299348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299390 */     GIR_RootConstrainSelectedInstOperands,
     /*  299391 */     // GIR_Coverage, 9307,
     /*  299391 */     GIR_EraseRootFromParent_Done,
     /*  299392 */   // Label 5575: @299392
     /*  299392 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(299455), // Rule ID 9310 //
     /*  299397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299453 */     GIR_RootConstrainSelectedInstOperands,
     /*  299454 */     // GIR_Coverage, 9310,
     /*  299454 */     GIR_EraseRootFromParent_Done,
     /*  299455 */   // Label 5576: @299455
     /*  299455 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(299518), // Rule ID 9311 //
     /*  299460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299516 */     GIR_RootConstrainSelectedInstOperands,
     /*  299517 */     // GIR_Coverage, 9311,
     /*  299517 */     GIR_EraseRootFromParent_Done,
     /*  299518 */   // Label 5577: @299518
     /*  299518 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(299581), // Rule ID 9314 //
     /*  299523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  299537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299562 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  299565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299579 */     GIR_RootConstrainSelectedInstOperands,
     /*  299580 */     // GIR_Coverage, 9314,
     /*  299580 */     GIR_EraseRootFromParent_Done,
     /*  299581 */   // Label 5578: @299581
     /*  299581 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299644), // Rule ID 9315 //
     /*  299586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  299600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  299628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299642 */     GIR_RootConstrainSelectedInstOperands,
     /*  299643 */     // GIR_Coverage, 9315,
     /*  299643 */     GIR_EraseRootFromParent_Done,
     /*  299644 */   // Label 5579: @299644
     /*  299644 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299707), // Rule ID 9318 //
     /*  299649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  299663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299688 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  299691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299705 */     GIR_RootConstrainSelectedInstOperands,
     /*  299706 */     // GIR_Coverage, 9318,
     /*  299706 */     GIR_EraseRootFromParent_Done,
     /*  299707 */   // Label 5580: @299707
     /*  299707 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299770), // Rule ID 9319 //
     /*  299712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  299726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299751 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  299754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299768 */     GIR_RootConstrainSelectedInstOperands,
     /*  299769 */     // GIR_Coverage, 9319,
     /*  299769 */     GIR_EraseRootFromParent_Done,
     /*  299770 */   // Label 5581: @299770
     /*  299770 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299833), // Rule ID 9322 //
     /*  299775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  299786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  299789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299814 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  299817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299831 */     GIR_RootConstrainSelectedInstOperands,
     /*  299832 */     // GIR_Coverage, 9322,
     /*  299832 */     GIR_EraseRootFromParent_Done,
     /*  299833 */   // Label 5582: @299833
     /*  299833 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299896), // Rule ID 9323 //
     /*  299838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  299849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  299852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299877 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  299880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299894 */     GIR_RootConstrainSelectedInstOperands,
     /*  299895 */     // GIR_Coverage, 9323,
     /*  299895 */     GIR_EraseRootFromParent_Done,
     /*  299896 */   // Label 5583: @299896
     /*  299896 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299959), // Rule ID 9326 //
     /*  299901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  299915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  299943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299957 */     GIR_RootConstrainSelectedInstOperands,
     /*  299958 */     // GIR_Coverage, 9326,
     /*  299958 */     GIR_EraseRootFromParent_Done,
     /*  299959 */   // Label 5584: @299959
     /*  299959 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(300022), // Rule ID 9327 //
     /*  299964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  299978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300003 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300020 */     GIR_RootConstrainSelectedInstOperands,
     /*  300021 */     // GIR_Coverage, 9327,
     /*  300021 */     GIR_EraseRootFromParent_Done,
     /*  300022 */   // Label 5585: @300022
     /*  300022 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(300085), // Rule ID 9330 //
     /*  300027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300083 */     GIR_RootConstrainSelectedInstOperands,
     /*  300084 */     // GIR_Coverage, 9330,
     /*  300084 */     GIR_EraseRootFromParent_Done,
     /*  300085 */   // Label 5586: @300085
     /*  300085 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(300148), // Rule ID 9331 //
     /*  300090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300129 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300146 */     GIR_RootConstrainSelectedInstOperands,
     /*  300147 */     // GIR_Coverage, 9331,
     /*  300147 */     GIR_EraseRootFromParent_Done,
     /*  300148 */   // Label 5587: @300148
     /*  300148 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(300211), // Rule ID 9334 //
     /*  300153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300192 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300209 */     GIR_RootConstrainSelectedInstOperands,
     /*  300210 */     // GIR_Coverage, 9334,
     /*  300210 */     GIR_EraseRootFromParent_Done,
     /*  300211 */   // Label 5588: @300211
     /*  300211 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(300274), // Rule ID 9335 //
     /*  300216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300255 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300272 */     GIR_RootConstrainSelectedInstOperands,
     /*  300273 */     // GIR_Coverage, 9335,
     /*  300273 */     GIR_EraseRootFromParent_Done,
     /*  300274 */   // Label 5589: @300274
     /*  300274 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(300337), // Rule ID 9338 //
     /*  300279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  300293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300318 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300335 */     GIR_RootConstrainSelectedInstOperands,
     /*  300336 */     // GIR_Coverage, 9338,
     /*  300336 */     GIR_EraseRootFromParent_Done,
     /*  300337 */   // Label 5590: @300337
     /*  300337 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(300400), // Rule ID 9339 //
     /*  300342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  300356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300398 */     GIR_RootConstrainSelectedInstOperands,
     /*  300399 */     // GIR_Coverage, 9339,
     /*  300399 */     GIR_EraseRootFromParent_Done,
     /*  300400 */   // Label 5591: @300400
     /*  300400 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(300463), // Rule ID 9342 //
     /*  300405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300461 */     GIR_RootConstrainSelectedInstOperands,
     /*  300462 */     // GIR_Coverage, 9342,
     /*  300462 */     GIR_EraseRootFromParent_Done,
     /*  300463 */   // Label 5592: @300463
     /*  300463 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(300526), // Rule ID 9343 //
     /*  300468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300524 */     GIR_RootConstrainSelectedInstOperands,
     /*  300525 */     // GIR_Coverage, 9343,
     /*  300525 */     GIR_EraseRootFromParent_Done,
     /*  300526 */   // Label 5593: @300526
     /*  300526 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(300589), // Rule ID 9346 //
     /*  300531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  300545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300570 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300587 */     GIR_RootConstrainSelectedInstOperands,
     /*  300588 */     // GIR_Coverage, 9346,
     /*  300588 */     GIR_EraseRootFromParent_Done,
     /*  300589 */   // Label 5594: @300589
     /*  300589 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300652), // Rule ID 9347 //
     /*  300594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  300608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300650 */     GIR_RootConstrainSelectedInstOperands,
     /*  300651 */     // GIR_Coverage, 9347,
     /*  300651 */     GIR_EraseRootFromParent_Done,
     /*  300652 */   // Label 5595: @300652
     /*  300652 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300715), // Rule ID 9350 //
     /*  300657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  300671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300713 */     GIR_RootConstrainSelectedInstOperands,
     /*  300714 */     // GIR_Coverage, 9350,
     /*  300714 */     GIR_EraseRootFromParent_Done,
     /*  300715 */   // Label 5596: @300715
     /*  300715 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300778), // Rule ID 9351 //
     /*  300720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  300734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300759 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300776 */     GIR_RootConstrainSelectedInstOperands,
     /*  300777 */     // GIR_Coverage, 9351,
     /*  300777 */     GIR_EraseRootFromParent_Done,
     /*  300778 */   // Label 5597: @300778
     /*  300778 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300841), // Rule ID 9354 //
     /*  300783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  300797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300839 */     GIR_RootConstrainSelectedInstOperands,
     /*  300840 */     // GIR_Coverage, 9354,
     /*  300840 */     GIR_EraseRootFromParent_Done,
     /*  300841 */   // Label 5598: @300841
     /*  300841 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300904), // Rule ID 9355 //
     /*  300846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  300860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300902 */     GIR_RootConstrainSelectedInstOperands,
     /*  300903 */     // GIR_Coverage, 9355,
     /*  300903 */     GIR_EraseRootFromParent_Done,
     /*  300904 */   // Label 5599: @300904
     /*  300904 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300967), // Rule ID 9358 //
     /*  300909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  300923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300965 */     GIR_RootConstrainSelectedInstOperands,
     /*  300966 */     // GIR_Coverage, 9358,
     /*  300966 */     GIR_EraseRootFromParent_Done,
     /*  300967 */   // Label 5600: @300967
     /*  300967 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(301030), // Rule ID 9359 //
     /*  300972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  300986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  301014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301028 */     GIR_RootConstrainSelectedInstOperands,
     /*  301029 */     // GIR_Coverage, 9359,
     /*  301029 */     GIR_EraseRootFromParent_Done,
     /*  301030 */   // Label 5601: @301030
     /*  301030 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(301093), // Rule ID 9450 //
     /*  301035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301074 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301091 */     GIR_RootConstrainSelectedInstOperands,
     /*  301092 */     // GIR_Coverage, 9450,
     /*  301092 */     GIR_EraseRootFromParent_Done,
     /*  301093 */   // Label 5602: @301093
     /*  301093 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(301156), // Rule ID 9451 //
     /*  301098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301154 */     GIR_RootConstrainSelectedInstOperands,
     /*  301155 */     // GIR_Coverage, 9451,
     /*  301155 */     GIR_EraseRootFromParent_Done,
     /*  301156 */   // Label 5603: @301156
     /*  301156 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(301219), // Rule ID 9454 //
     /*  301161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301217 */     GIR_RootConstrainSelectedInstOperands,
     /*  301218 */     // GIR_Coverage, 9454,
     /*  301218 */     GIR_EraseRootFromParent_Done,
     /*  301219 */   // Label 5604: @301219
     /*  301219 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(301282), // Rule ID 9455 //
     /*  301224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301263 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301280 */     GIR_RootConstrainSelectedInstOperands,
     /*  301281 */     // GIR_Coverage, 9455,
     /*  301281 */     GIR_EraseRootFromParent_Done,
     /*  301282 */   // Label 5605: @301282
     /*  301282 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(301345), // Rule ID 9458 //
     /*  301287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301326 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301343 */     GIR_RootConstrainSelectedInstOperands,
     /*  301344 */     // GIR_Coverage, 9458,
     /*  301344 */     GIR_EraseRootFromParent_Done,
     /*  301345 */   // Label 5606: @301345
     /*  301345 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(301408), // Rule ID 9459 //
     /*  301350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301406 */     GIR_RootConstrainSelectedInstOperands,
     /*  301407 */     // GIR_Coverage, 9459,
     /*  301407 */     GIR_EraseRootFromParent_Done,
     /*  301408 */   // Label 5607: @301408
     /*  301408 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(301471), // Rule ID 9462 //
     /*  301413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  301427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  301430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301469 */     GIR_RootConstrainSelectedInstOperands,
     /*  301470 */     // GIR_Coverage, 9462,
     /*  301470 */     GIR_EraseRootFromParent_Done,
     /*  301471 */   // Label 5608: @301471
     /*  301471 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(301534), // Rule ID 9463 //
     /*  301476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  301490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  301493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301515 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301532 */     GIR_RootConstrainSelectedInstOperands,
     /*  301533 */     // GIR_Coverage, 9463,
     /*  301533 */     GIR_EraseRootFromParent_Done,
     /*  301534 */   // Label 5609: @301534
     /*  301534 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(301597), // Rule ID 9466 //
     /*  301539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  301553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  301556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301578 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301595 */     GIR_RootConstrainSelectedInstOperands,
     /*  301596 */     // GIR_Coverage, 9466,
     /*  301596 */     GIR_EraseRootFromParent_Done,
     /*  301597 */   // Label 5610: @301597
     /*  301597 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301660), // Rule ID 9467 //
     /*  301602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  301616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  301619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301641 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301658 */     GIR_RootConstrainSelectedInstOperands,
     /*  301659 */     // GIR_Coverage, 9467,
     /*  301659 */     GIR_EraseRootFromParent_Done,
     /*  301660 */   // Label 5611: @301660
     /*  301660 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301723), // Rule ID 9470 //
     /*  301665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  301679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  301707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301721 */     GIR_RootConstrainSelectedInstOperands,
     /*  301722 */     // GIR_Coverage, 9470,
     /*  301722 */     GIR_EraseRootFromParent_Done,
     /*  301723 */   // Label 5612: @301723
     /*  301723 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301786), // Rule ID 9471 //
     /*  301728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  301742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301767 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  301770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301784 */     GIR_RootConstrainSelectedInstOperands,
     /*  301785 */     // GIR_Coverage, 9471,
     /*  301785 */     GIR_EraseRootFromParent_Done,
     /*  301786 */   // Label 5613: @301786
     /*  301786 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301849), // Rule ID 9474 //
     /*  301791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  301805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301830 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  301833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301847 */     GIR_RootConstrainSelectedInstOperands,
     /*  301848 */     // GIR_Coverage, 9474,
     /*  301848 */     GIR_EraseRootFromParent_Done,
     /*  301849 */   // Label 5614: @301849
     /*  301849 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301912), // Rule ID 9475 //
     /*  301854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  301868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  301896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301910 */     GIR_RootConstrainSelectedInstOperands,
     /*  301911 */     // GIR_Coverage, 9475,
     /*  301911 */     GIR_EraseRootFromParent_Done,
     /*  301912 */   // Label 5615: @301912
     /*  301912 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301975), // Rule ID 9478 //
     /*  301917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  301931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  301959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301973 */     GIR_RootConstrainSelectedInstOperands,
     /*  301974 */     // GIR_Coverage, 9478,
     /*  301974 */     GIR_EraseRootFromParent_Done,
     /*  301975 */   // Label 5616: @301975
     /*  301975 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(302038), // Rule ID 9479 //
     /*  301980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  301994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302036 */     GIR_RootConstrainSelectedInstOperands,
     /*  302037 */     // GIR_Coverage, 9479,
     /*  302037 */     GIR_EraseRootFromParent_Done,
     /*  302038 */   // Label 5617: @302038
     /*  302038 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(302101), // Rule ID 9482 //
     /*  302043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302082 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302099 */     GIR_RootConstrainSelectedInstOperands,
     /*  302100 */     // GIR_Coverage, 9482,
     /*  302100 */     GIR_EraseRootFromParent_Done,
     /*  302101 */   // Label 5618: @302101
     /*  302101 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(302164), // Rule ID 9483 //
     /*  302106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302145 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302162 */     GIR_RootConstrainSelectedInstOperands,
     /*  302163 */     // GIR_Coverage, 9483,
     /*  302163 */     GIR_EraseRootFromParent_Done,
     /*  302164 */   // Label 5619: @302164
     /*  302164 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(302227), // Rule ID 9486 //
     /*  302169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302225 */     GIR_RootConstrainSelectedInstOperands,
     /*  302226 */     // GIR_Coverage, 9486,
     /*  302226 */     GIR_EraseRootFromParent_Done,
     /*  302227 */   // Label 5620: @302227
     /*  302227 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(302290), // Rule ID 9487 //
     /*  302232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302271 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302288 */     GIR_RootConstrainSelectedInstOperands,
     /*  302289 */     // GIR_Coverage, 9487,
     /*  302289 */     GIR_EraseRootFromParent_Done,
     /*  302290 */   // Label 5621: @302290
     /*  302290 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(302353), // Rule ID 9490 //
     /*  302295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302334 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302351 */     GIR_RootConstrainSelectedInstOperands,
     /*  302352 */     // GIR_Coverage, 9490,
     /*  302352 */     GIR_EraseRootFromParent_Done,
     /*  302353 */   // Label 5622: @302353
     /*  302353 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(302416), // Rule ID 9491 //
     /*  302358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302397 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302414 */     GIR_RootConstrainSelectedInstOperands,
     /*  302415 */     // GIR_Coverage, 9491,
     /*  302415 */     GIR_EraseRootFromParent_Done,
     /*  302416 */   // Label 5623: @302416
     /*  302416 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(302479), // Rule ID 9494 //
     /*  302421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  302432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  302435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  302438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302460 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  302463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302477 */     GIR_RootConstrainSelectedInstOperands,
     /*  302478 */     // GIR_Coverage, 9494,
     /*  302478 */     GIR_EraseRootFromParent_Done,
     /*  302479 */   // Label 5624: @302479
     /*  302479 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(302542), // Rule ID 9495 //
     /*  302484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  302495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  302498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  302501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302523 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  302526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302540 */     GIR_RootConstrainSelectedInstOperands,
     /*  302541 */     // GIR_Coverage, 9495,
     /*  302541 */     GIR_EraseRootFromParent_Done,
     /*  302542 */   // Label 5625: @302542
     /*  302542 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(302605), // Rule ID 9498 //
     /*  302547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  302561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  302564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302586 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302603 */     GIR_RootConstrainSelectedInstOperands,
     /*  302604 */     // GIR_Coverage, 9498,
     /*  302604 */     GIR_EraseRootFromParent_Done,
     /*  302605 */   // Label 5626: @302605
     /*  302605 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302668), // Rule ID 9499 //
     /*  302610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  302624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  302627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302649 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302666 */     GIR_RootConstrainSelectedInstOperands,
     /*  302667 */     // GIR_Coverage, 9499,
     /*  302667 */     GIR_EraseRootFromParent_Done,
     /*  302668 */   // Label 5627: @302668
     /*  302668 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302731), // Rule ID 9502 //
     /*  302673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  302687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302729 */     GIR_RootConstrainSelectedInstOperands,
     /*  302730 */     // GIR_Coverage, 9502,
     /*  302730 */     GIR_EraseRootFromParent_Done,
     /*  302731 */   // Label 5628: @302731
     /*  302731 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302794), // Rule ID 9503 //
     /*  302736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  302750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302775 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  302778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302792 */     GIR_RootConstrainSelectedInstOperands,
     /*  302793 */     // GIR_Coverage, 9503,
     /*  302793 */     GIR_EraseRootFromParent_Done,
     /*  302794 */   // Label 5629: @302794
     /*  302794 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302857), // Rule ID 9506 //
     /*  302799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  302813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302838 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  302841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302855 */     GIR_RootConstrainSelectedInstOperands,
     /*  302856 */     // GIR_Coverage, 9506,
     /*  302856 */     GIR_EraseRootFromParent_Done,
     /*  302857 */   // Label 5630: @302857
     /*  302857 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302920), // Rule ID 9507 //
     /*  302862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  302876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302901 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  302904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302918 */     GIR_RootConstrainSelectedInstOperands,
     /*  302919 */     // GIR_Coverage, 9507,
     /*  302919 */     GIR_EraseRootFromParent_Done,
     /*  302920 */   // Label 5631: @302920
     /*  302920 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302983), // Rule ID 9510 //
     /*  302925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  302939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302981 */     GIR_RootConstrainSelectedInstOperands,
     /*  302982 */     // GIR_Coverage, 9510,
     /*  302982 */     GIR_EraseRootFromParent_Done,
     /*  302983 */   // Label 5632: @302983
     /*  302983 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(303046), // Rule ID 9511 //
     /*  302988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303027 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303044 */     GIR_RootConstrainSelectedInstOperands,
     /*  303045 */     // GIR_Coverage, 9511,
     /*  303045 */     GIR_EraseRootFromParent_Done,
     /*  303046 */   // Label 5633: @303046
     /*  303046 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(303109), // Rule ID 9514 //
     /*  303051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303090 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303107 */     GIR_RootConstrainSelectedInstOperands,
     /*  303108 */     // GIR_Coverage, 9514,
     /*  303108 */     GIR_EraseRootFromParent_Done,
     /*  303109 */   // Label 5634: @303109
     /*  303109 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(303172), // Rule ID 9515 //
     /*  303114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303153 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303170 */     GIR_RootConstrainSelectedInstOperands,
     /*  303171 */     // GIR_Coverage, 9515,
     /*  303171 */     GIR_EraseRootFromParent_Done,
     /*  303172 */   // Label 5635: @303172
     /*  303172 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(303235), // Rule ID 9518 //
     /*  303177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303216 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303233 */     GIR_RootConstrainSelectedInstOperands,
     /*  303234 */     // GIR_Coverage, 9518,
     /*  303234 */     GIR_EraseRootFromParent_Done,
     /*  303235 */   // Label 5636: @303235
     /*  303235 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(303298), // Rule ID 9519 //
     /*  303240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303279 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303296 */     GIR_RootConstrainSelectedInstOperands,
     /*  303297 */     // GIR_Coverage, 9519,
     /*  303297 */     GIR_EraseRootFromParent_Done,
     /*  303298 */   // Label 5637: @303298
     /*  303298 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(303361), // Rule ID 9522 //
     /*  303303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  303317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  303320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303342 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303359 */     GIR_RootConstrainSelectedInstOperands,
     /*  303360 */     // GIR_Coverage, 9522,
     /*  303360 */     GIR_EraseRootFromParent_Done,
     /*  303361 */   // Label 5638: @303361
     /*  303361 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(303424), // Rule ID 9523 //
     /*  303366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  303380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  303383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303405 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303422 */     GIR_RootConstrainSelectedInstOperands,
     /*  303423 */     // GIR_Coverage, 9523,
     /*  303423 */     GIR_EraseRootFromParent_Done,
     /*  303424 */   // Label 5639: @303424
     /*  303424 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(303487), // Rule ID 9526 //
     /*  303429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  303443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303485 */     GIR_RootConstrainSelectedInstOperands,
     /*  303486 */     // GIR_Coverage, 9526,
     /*  303486 */     GIR_EraseRootFromParent_Done,
     /*  303487 */   // Label 5640: @303487
     /*  303487 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(303550), // Rule ID 9527 //
     /*  303492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  303506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303531 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303548 */     GIR_RootConstrainSelectedInstOperands,
     /*  303549 */     // GIR_Coverage, 9527,
     /*  303549 */     GIR_EraseRootFromParent_Done,
     /*  303550 */   // Label 5641: @303550
     /*  303550 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(303613), // Rule ID 9530 //
     /*  303555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  303569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303594 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303611 */     GIR_RootConstrainSelectedInstOperands,
     /*  303612 */     // GIR_Coverage, 9530,
     /*  303612 */     GIR_EraseRootFromParent_Done,
     /*  303613 */   // Label 5642: @303613
     /*  303613 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303676), // Rule ID 9531 //
     /*  303618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  303632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303674 */     GIR_RootConstrainSelectedInstOperands,
     /*  303675 */     // GIR_Coverage, 9531,
     /*  303675 */     GIR_EraseRootFromParent_Done,
     /*  303676 */   // Label 5643: @303676
     /*  303676 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303739), // Rule ID 9534 //
     /*  303681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  303689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  303723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303737 */     GIR_RootConstrainSelectedInstOperands,
     /*  303738 */     // GIR_Coverage, 9534,
     /*  303738 */     GIR_EraseRootFromParent_Done,
     /*  303739 */   // Label 5644: @303739
     /*  303739 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303802), // Rule ID 9535 //
     /*  303744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  303752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303783 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  303786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303800 */     GIR_RootConstrainSelectedInstOperands,
     /*  303801 */     // GIR_Coverage, 9535,
     /*  303801 */     GIR_EraseRootFromParent_Done,
     /*  303802 */   // Label 5645: @303802
     /*  303802 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303865), // Rule ID 9538 //
     /*  303807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  303815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303846 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  303849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303863 */     GIR_RootConstrainSelectedInstOperands,
     /*  303864 */     // GIR_Coverage, 9538,
     /*  303864 */     GIR_EraseRootFromParent_Done,
     /*  303865 */   // Label 5646: @303865
     /*  303865 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303928), // Rule ID 9539 //
     /*  303870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  303878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  303912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303926 */     GIR_RootConstrainSelectedInstOperands,
     /*  303927 */     // GIR_Coverage, 9539,
     /*  303927 */     GIR_EraseRootFromParent_Done,
     /*  303928 */   // Label 5647: @303928
     /*  303928 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303991), // Rule ID 9542 //
     /*  303933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  303941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  303975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303989 */     GIR_RootConstrainSelectedInstOperands,
     /*  303990 */     // GIR_Coverage, 9542,
     /*  303990 */     GIR_EraseRootFromParent_Done,
     /*  303991 */   // Label 5648: @303991
     /*  303991 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(304054), // Rule ID 9543 //
     /*  303996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304035 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304052 */     GIR_RootConstrainSelectedInstOperands,
     /*  304053 */     // GIR_Coverage, 9543,
     /*  304053 */     GIR_EraseRootFromParent_Done,
     /*  304054 */   // Label 5649: @304054
     /*  304054 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(304117), // Rule ID 9546 //
     /*  304059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304115 */     GIR_RootConstrainSelectedInstOperands,
     /*  304116 */     // GIR_Coverage, 9546,
     /*  304116 */     GIR_EraseRootFromParent_Done,
     /*  304117 */   // Label 5650: @304117
     /*  304117 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(304180), // Rule ID 9547 //
     /*  304122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304178 */     GIR_RootConstrainSelectedInstOperands,
     /*  304179 */     // GIR_Coverage, 9547,
     /*  304179 */     GIR_EraseRootFromParent_Done,
     /*  304180 */   // Label 5651: @304180
     /*  304180 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(304243), // Rule ID 9550 //
     /*  304185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304241 */     GIR_RootConstrainSelectedInstOperands,
     /*  304242 */     // GIR_Coverage, 9550,
     /*  304242 */     GIR_EraseRootFromParent_Done,
     /*  304243 */   // Label 5652: @304243
     /*  304243 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(304306), // Rule ID 9551 //
     /*  304248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304287 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304304 */     GIR_RootConstrainSelectedInstOperands,
     /*  304305 */     // GIR_Coverage, 9551,
     /*  304305 */     GIR_EraseRootFromParent_Done,
     /*  304306 */   // Label 5653: @304306
     /*  304306 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(304369), // Rule ID 9554 //
     /*  304311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304350 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304367 */     GIR_RootConstrainSelectedInstOperands,
     /*  304368 */     // GIR_Coverage, 9554,
     /*  304368 */     GIR_EraseRootFromParent_Done,
     /*  304369 */   // Label 5654: @304369
     /*  304369 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(304432), // Rule ID 9555 //
     /*  304374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304413 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304430 */     GIR_RootConstrainSelectedInstOperands,
     /*  304431 */     // GIR_Coverage, 9555,
     /*  304431 */     GIR_EraseRootFromParent_Done,
     /*  304432 */   // Label 5655: @304432
     /*  304432 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(304495), // Rule ID 9558 //
     /*  304437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304493 */     GIR_RootConstrainSelectedInstOperands,
     /*  304494 */     // GIR_Coverage, 9558,
     /*  304494 */     GIR_EraseRootFromParent_Done,
     /*  304495 */   // Label 5656: @304495
     /*  304495 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(304558), // Rule ID 9559 //
     /*  304500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304539 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304556 */     GIR_RootConstrainSelectedInstOperands,
     /*  304557 */     // GIR_Coverage, 9559,
     /*  304557 */     GIR_EraseRootFromParent_Done,
     /*  304558 */   // Label 5657: @304558
     /*  304558 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(304621), // Rule ID 9562 //
     /*  304563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304619 */     GIR_RootConstrainSelectedInstOperands,
     /*  304620 */     // GIR_Coverage, 9562,
     /*  304620 */     GIR_EraseRootFromParent_Done,
     /*  304621 */   // Label 5658: @304621
     /*  304621 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304684), // Rule ID 9563 //
     /*  304626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304665 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304682 */     GIR_RootConstrainSelectedInstOperands,
     /*  304683 */     // GIR_Coverage, 9563,
     /*  304683 */     GIR_EraseRootFromParent_Done,
     /*  304684 */   // Label 5659: @304684
     /*  304684 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304747), // Rule ID 9566 //
     /*  304689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304745 */     GIR_RootConstrainSelectedInstOperands,
     /*  304746 */     // GIR_Coverage, 9566,
     /*  304746 */     GIR_EraseRootFromParent_Done,
     /*  304747 */   // Label 5660: @304747
     /*  304747 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304810), // Rule ID 9567 //
     /*  304752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304791 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304808 */     GIR_RootConstrainSelectedInstOperands,
     /*  304809 */     // GIR_Coverage, 9567,
     /*  304809 */     GIR_EraseRootFromParent_Done,
     /*  304810 */   // Label 5661: @304810
     /*  304810 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304873), // Rule ID 9570 //
     /*  304815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304854 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304871 */     GIR_RootConstrainSelectedInstOperands,
     /*  304872 */     // GIR_Coverage, 9570,
     /*  304872 */     GIR_EraseRootFromParent_Done,
     /*  304873 */   // Label 5662: @304873
     /*  304873 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304936), // Rule ID 9571 //
     /*  304878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  304920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304934 */     GIR_RootConstrainSelectedInstOperands,
     /*  304935 */     // GIR_Coverage, 9571,
     /*  304935 */     GIR_EraseRootFromParent_Done,
     /*  304936 */   // Label 5663: @304936
     /*  304936 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304999), // Rule ID 9574 //
     /*  304941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304980 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  304983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304997 */     GIR_RootConstrainSelectedInstOperands,
     /*  304998 */     // GIR_Coverage, 9574,
     /*  304998 */     GIR_EraseRootFromParent_Done,
     /*  304999 */   // Label 5664: @304999
     /*  304999 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(305062), // Rule ID 9575 //
     /*  305004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305043 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305060 */     GIR_RootConstrainSelectedInstOperands,
     /*  305061 */     // GIR_Coverage, 9575,
     /*  305061 */     GIR_EraseRootFromParent_Done,
     /*  305062 */   // Label 5665: @305062
     /*  305062 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(305125), // Rule ID 9578 //
     /*  305067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  305081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  305084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305106 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305123 */     GIR_RootConstrainSelectedInstOperands,
     /*  305124 */     // GIR_Coverage, 9578,
     /*  305124 */     GIR_EraseRootFromParent_Done,
     /*  305125 */   // Label 5666: @305125
     /*  305125 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(305188), // Rule ID 9579 //
     /*  305130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  305144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  305147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305169 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305186 */     GIR_RootConstrainSelectedInstOperands,
     /*  305187 */     // GIR_Coverage, 9579,
     /*  305187 */     GIR_EraseRootFromParent_Done,
     /*  305188 */   // Label 5667: @305188
     /*  305188 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(305251), // Rule ID 9582 //
     /*  305193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  305204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305232 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305249 */     GIR_RootConstrainSelectedInstOperands,
     /*  305250 */     // GIR_Coverage, 9582,
     /*  305250 */     GIR_EraseRootFromParent_Done,
     /*  305251 */   // Label 5668: @305251
     /*  305251 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(305314), // Rule ID 9583 //
     /*  305256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  305267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305295 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305312 */     GIR_RootConstrainSelectedInstOperands,
     /*  305313 */     // GIR_Coverage, 9583,
     /*  305313 */     GIR_EraseRootFromParent_Done,
     /*  305314 */   // Label 5669: @305314
     /*  305314 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(305377), // Rule ID 9586 //
     /*  305319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305358 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305375 */     GIR_RootConstrainSelectedInstOperands,
     /*  305376 */     // GIR_Coverage, 9586,
     /*  305376 */     GIR_EraseRootFromParent_Done,
     /*  305377 */   // Label 5670: @305377
     /*  305377 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(305440), // Rule ID 9587 //
     /*  305382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305421 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305438 */     GIR_RootConstrainSelectedInstOperands,
     /*  305439 */     // GIR_Coverage, 9587,
     /*  305439 */     GIR_EraseRootFromParent_Done,
     /*  305440 */   // Label 5671: @305440
     /*  305440 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(305503), // Rule ID 9590 //
     /*  305445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305501 */     GIR_RootConstrainSelectedInstOperands,
     /*  305502 */     // GIR_Coverage, 9590,
     /*  305502 */     GIR_EraseRootFromParent_Done,
     /*  305503 */   // Label 5672: @305503
     /*  305503 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(305566), // Rule ID 9591 //
     /*  305508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305547 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305564 */     GIR_RootConstrainSelectedInstOperands,
     /*  305565 */     // GIR_Coverage, 9591,
     /*  305565 */     GIR_EraseRootFromParent_Done,
     /*  305566 */   // Label 5673: @305566
     /*  305566 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305629), // Rule ID 9594 //
     /*  305571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305610 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305627 */     GIR_RootConstrainSelectedInstOperands,
     /*  305628 */     // GIR_Coverage, 9594,
     /*  305628 */     GIR_EraseRootFromParent_Done,
     /*  305629 */   // Label 5674: @305629
     /*  305629 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305692), // Rule ID 9595 //
     /*  305634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305673 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305690 */     GIR_RootConstrainSelectedInstOperands,
     /*  305691 */     // GIR_Coverage, 9595,
     /*  305691 */     GIR_EraseRootFromParent_Done,
     /*  305692 */   // Label 5675: @305692
     /*  305692 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305755), // Rule ID 9598 //
     /*  305697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305753 */     GIR_RootConstrainSelectedInstOperands,
     /*  305754 */     // GIR_Coverage, 9598,
     /*  305754 */     GIR_EraseRootFromParent_Done,
     /*  305755 */   // Label 5676: @305755
     /*  305755 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305818), // Rule ID 9599 //
     /*  305760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305799 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305816 */     GIR_RootConstrainSelectedInstOperands,
     /*  305817 */     // GIR_Coverage, 9599,
     /*  305817 */     GIR_EraseRootFromParent_Done,
     /*  305818 */   // Label 5677: @305818
     /*  305818 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305881), // Rule ID 9602 //
     /*  305823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305862 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305879 */     GIR_RootConstrainSelectedInstOperands,
     /*  305880 */     // GIR_Coverage, 9602,
     /*  305880 */     GIR_EraseRootFromParent_Done,
     /*  305881 */   // Label 5678: @305881
     /*  305881 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305944), // Rule ID 9603 //
     /*  305886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305925 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305942 */     GIR_RootConstrainSelectedInstOperands,
     /*  305943 */     // GIR_Coverage, 9603,
     /*  305943 */     GIR_EraseRootFromParent_Done,
     /*  305944 */   // Label 5679: @305944
     /*  305944 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(306007), // Rule ID 9606 //
     /*  305949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306005 */     GIR_RootConstrainSelectedInstOperands,
     /*  306006 */     // GIR_Coverage, 9606,
     /*  306006 */     GIR_EraseRootFromParent_Done,
     /*  306007 */   // Label 5680: @306007
     /*  306007 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(306070), // Rule ID 9607 //
     /*  306012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306051 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306068 */     GIR_RootConstrainSelectedInstOperands,
     /*  306069 */     // GIR_Coverage, 9607,
     /*  306069 */     GIR_EraseRootFromParent_Done,
     /*  306070 */   // Label 5681: @306070
     /*  306070 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(306133), // Rule ID 9610 //
     /*  306075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306114 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306131 */     GIR_RootConstrainSelectedInstOperands,
     /*  306132 */     // GIR_Coverage, 9610,
     /*  306132 */     GIR_EraseRootFromParent_Done,
     /*  306133 */   // Label 5682: @306133
     /*  306133 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(306196), // Rule ID 9611 //
     /*  306138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306177 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306194 */     GIR_RootConstrainSelectedInstOperands,
     /*  306195 */     // GIR_Coverage, 9611,
     /*  306195 */     GIR_EraseRootFromParent_Done,
     /*  306196 */   // Label 5683: @306196
     /*  306196 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(306259), // Rule ID 9614 //
     /*  306201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306257 */     GIR_RootConstrainSelectedInstOperands,
     /*  306258 */     // GIR_Coverage, 9614,
     /*  306258 */     GIR_EraseRootFromParent_Done,
     /*  306259 */   // Label 5684: @306259
     /*  306259 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(306322), // Rule ID 9615 //
     /*  306264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306303 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306320 */     GIR_RootConstrainSelectedInstOperands,
     /*  306321 */     // GIR_Coverage, 9615,
     /*  306321 */     GIR_EraseRootFromParent_Done,
     /*  306322 */   // Label 5685: @306322
     /*  306322 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(306385), // Rule ID 9618 //
     /*  306327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306366 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306383 */     GIR_RootConstrainSelectedInstOperands,
     /*  306384 */     // GIR_Coverage, 9618,
     /*  306384 */     GIR_EraseRootFromParent_Done,
     /*  306385 */   // Label 5686: @306385
     /*  306385 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(306448), // Rule ID 9619 //
     /*  306390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306429 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306446 */     GIR_RootConstrainSelectedInstOperands,
     /*  306447 */     // GIR_Coverage, 9619,
     /*  306447 */     GIR_EraseRootFromParent_Done,
     /*  306448 */   // Label 5687: @306448
     /*  306448 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(306511), // Rule ID 9622 //
     /*  306453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  306467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  306470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  306495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306509 */     GIR_RootConstrainSelectedInstOperands,
     /*  306510 */     // GIR_Coverage, 9622,
     /*  306510 */     GIR_EraseRootFromParent_Done,
     /*  306511 */   // Label 5688: @306511
     /*  306511 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(306574), // Rule ID 9623 //
     /*  306516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  306530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  306533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306555 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  306558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306572 */     GIR_RootConstrainSelectedInstOperands,
     /*  306573 */     // GIR_Coverage, 9623,
     /*  306573 */     GIR_EraseRootFromParent_Done,
     /*  306574 */   // Label 5689: @306574
     /*  306574 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306637), // Rule ID 9626 //
     /*  306579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  306593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  306596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306618 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  306621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306635 */     GIR_RootConstrainSelectedInstOperands,
     /*  306636 */     // GIR_Coverage, 9626,
     /*  306636 */     GIR_EraseRootFromParent_Done,
     /*  306637 */   // Label 5690: @306637
     /*  306637 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306700), // Rule ID 9627 //
     /*  306642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  306656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  306659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  306684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306698 */     GIR_RootConstrainSelectedInstOperands,
     /*  306699 */     // GIR_Coverage, 9627,
     /*  306699 */     GIR_EraseRootFromParent_Done,
     /*  306700 */   // Label 5691: @306700
     /*  306700 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306763), // Rule ID 9630 //
     /*  306705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  306744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  306747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306761 */     GIR_RootConstrainSelectedInstOperands,
     /*  306762 */     // GIR_Coverage, 9630,
     /*  306762 */     GIR_EraseRootFromParent_Done,
     /*  306763 */   // Label 5692: @306763
     /*  306763 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306826), // Rule ID 9631 //
     /*  306768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306807 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  306807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  306810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306824 */     GIR_RootConstrainSelectedInstOperands,
     /*  306825 */     // GIR_Coverage, 9631,
     /*  306825 */     GIR_EraseRootFromParent_Done,
     /*  306826 */   // Label 5693: @306826
     /*  306826 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306889), // Rule ID 9634 //
     /*  306831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  306873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306887 */     GIR_RootConstrainSelectedInstOperands,
     /*  306888 */     // GIR_Coverage, 9634,
     /*  306888 */     GIR_EraseRootFromParent_Done,
     /*  306889 */   // Label 5694: @306889
     /*  306889 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306952), // Rule ID 9635 //
     /*  306894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  306905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306933 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  306936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306950 */     GIR_RootConstrainSelectedInstOperands,
     /*  306951 */     // GIR_Coverage, 9635,
     /*  306951 */     GIR_EraseRootFromParent_Done,
     /*  306952 */   // Label 5695: @306952
     /*  306952 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(307015), // Rule ID 9638 //
     /*  306957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  306965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  306999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307013 */     GIR_RootConstrainSelectedInstOperands,
     /*  307014 */     // GIR_Coverage, 9638,
     /*  307014 */     GIR_EraseRootFromParent_Done,
     /*  307015 */   // Label 5696: @307015
     /*  307015 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(307078), // Rule ID 9639 //
     /*  307020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  307034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  307037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307076 */     GIR_RootConstrainSelectedInstOperands,
     /*  307077 */     // GIR_Coverage, 9639,
     /*  307077 */     GIR_EraseRootFromParent_Done,
     /*  307078 */   // Label 5697: @307078
     /*  307078 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(307141), // Rule ID 9642 //
     /*  307083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  307097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  307100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307122 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307139 */     GIR_RootConstrainSelectedInstOperands,
     /*  307140 */     // GIR_Coverage, 9642,
     /*  307140 */     GIR_EraseRootFromParent_Done,
     /*  307141 */   // Label 5698: @307141
     /*  307141 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(307204), // Rule ID 9643 //
     /*  307146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  307160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  307163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307185 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307202 */     GIR_RootConstrainSelectedInstOperands,
     /*  307203 */     // GIR_Coverage, 9643,
     /*  307203 */     GIR_EraseRootFromParent_Done,
     /*  307204 */   // Label 5699: @307204
     /*  307204 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(307267), // Rule ID 9646 //
     /*  307209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307265 */     GIR_RootConstrainSelectedInstOperands,
     /*  307266 */     // GIR_Coverage, 9646,
     /*  307266 */     GIR_EraseRootFromParent_Done,
     /*  307267 */   // Label 5700: @307267
     /*  307267 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(307330), // Rule ID 9647 //
     /*  307272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307311 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307328 */     GIR_RootConstrainSelectedInstOperands,
     /*  307329 */     // GIR_Coverage, 9647,
     /*  307329 */     GIR_EraseRootFromParent_Done,
     /*  307330 */   // Label 5701: @307330
     /*  307330 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(307393), // Rule ID 9650 //
     /*  307335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307374 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307391 */     GIR_RootConstrainSelectedInstOperands,
     /*  307392 */     // GIR_Coverage, 9650,
     /*  307392 */     GIR_EraseRootFromParent_Done,
     /*  307393 */   // Label 5702: @307393
     /*  307393 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(307456), // Rule ID 9651 //
     /*  307398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307437 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307454 */     GIR_RootConstrainSelectedInstOperands,
     /*  307455 */     // GIR_Coverage, 9651,
     /*  307455 */     GIR_EraseRootFromParent_Done,
     /*  307456 */   // Label 5703: @307456
     /*  307456 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(307519), // Rule ID 9654 //
     /*  307461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307517 */     GIR_RootConstrainSelectedInstOperands,
     /*  307518 */     // GIR_Coverage, 9654,
     /*  307518 */     GIR_EraseRootFromParent_Done,
     /*  307519 */   // Label 5704: @307519
     /*  307519 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(307582), // Rule ID 9655 //
     /*  307524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307563 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307580 */     GIR_RootConstrainSelectedInstOperands,
     /*  307581 */     // GIR_Coverage, 9655,
     /*  307581 */     GIR_EraseRootFromParent_Done,
     /*  307582 */   // Label 5705: @307582
     /*  307582 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307645), // Rule ID 9658 //
     /*  307587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307643 */     GIR_RootConstrainSelectedInstOperands,
     /*  307644 */     // GIR_Coverage, 9658,
     /*  307644 */     GIR_EraseRootFromParent_Done,
     /*  307645 */   // Label 5706: @307645
     /*  307645 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307708), // Rule ID 9659 //
     /*  307650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307689 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307706 */     GIR_RootConstrainSelectedInstOperands,
     /*  307707 */     // GIR_Coverage, 9659,
     /*  307707 */     GIR_EraseRootFromParent_Done,
     /*  307708 */   // Label 5707: @307708
     /*  307708 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307771), // Rule ID 9662 //
     /*  307713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  307755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307769 */     GIR_RootConstrainSelectedInstOperands,
     /*  307770 */     // GIR_Coverage, 9662,
     /*  307770 */     GIR_EraseRootFromParent_Done,
     /*  307771 */   // Label 5708: @307771
     /*  307771 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307834), // Rule ID 9663 //
     /*  307776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  307787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307815 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  307818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307832 */     GIR_RootConstrainSelectedInstOperands,
     /*  307833 */     // GIR_Coverage, 9663,
     /*  307833 */     GIR_EraseRootFromParent_Done,
     /*  307834 */   // Label 5709: @307834
     /*  307834 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307897), // Rule ID 9666 //
     /*  307839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  307853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  307856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307878 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  307881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307895 */     GIR_RootConstrainSelectedInstOperands,
     /*  307896 */     // GIR_Coverage, 9666,
     /*  307896 */     GIR_EraseRootFromParent_Done,
     /*  307897 */   // Label 5710: @307897
     /*  307897 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307960), // Rule ID 9667 //
     /*  307902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  307913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  307916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  307919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307941 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  307944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307958 */     GIR_RootConstrainSelectedInstOperands,
     /*  307959 */     // GIR_Coverage, 9667,
     /*  307959 */     GIR_EraseRootFromParent_Done,
     /*  307960 */   // Label 5711: @307960
     /*  307960 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(308023), // Rule ID 9670 //
     /*  307965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  307976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  307979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  307982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308004 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  308004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308021 */     GIR_RootConstrainSelectedInstOperands,
     /*  308022 */     // GIR_Coverage, 9670,
     /*  308022 */     GIR_EraseRootFromParent_Done,
     /*  308023 */   // Label 5712: @308023
     /*  308023 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(308086), // Rule ID 9671 //
     /*  308028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  308039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  308042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  308045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308067 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  308067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308084 */     GIR_RootConstrainSelectedInstOperands,
     /*  308085 */     // GIR_Coverage, 9671,
     /*  308085 */     GIR_EraseRootFromParent_Done,
     /*  308086 */   // Label 5713: @308086
     /*  308086 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(308149), // Rule ID 9674 //
     /*  308091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  308105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  308108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308130 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308147 */     GIR_RootConstrainSelectedInstOperands,
     /*  308148 */     // GIR_Coverage, 9674,
     /*  308148 */     GIR_EraseRootFromParent_Done,
     /*  308149 */   // Label 5714: @308149
     /*  308149 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(308212), // Rule ID 9675 //
     /*  308154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  308168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  308171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308210 */     GIR_RootConstrainSelectedInstOperands,
     /*  308211 */     // GIR_Coverage, 9675,
     /*  308211 */     GIR_EraseRootFromParent_Done,
     /*  308212 */   // Label 5715: @308212
     /*  308212 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(308275), // Rule ID 9678 //
     /*  308217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308273 */     GIR_RootConstrainSelectedInstOperands,
     /*  308274 */     // GIR_Coverage, 9678,
     /*  308274 */     GIR_EraseRootFromParent_Done,
     /*  308275 */   // Label 5716: @308275
     /*  308275 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(308338), // Rule ID 9679 //
     /*  308280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308319 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308336 */     GIR_RootConstrainSelectedInstOperands,
     /*  308337 */     // GIR_Coverage, 9679,
     /*  308337 */     GIR_EraseRootFromParent_Done,
     /*  308338 */   // Label 5717: @308338
     /*  308338 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(308401), // Rule ID 9682 //
     /*  308343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  308357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  308360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308382 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308399 */     GIR_RootConstrainSelectedInstOperands,
     /*  308400 */     // GIR_Coverage, 9682,
     /*  308400 */     GIR_EraseRootFromParent_Done,
     /*  308401 */   // Label 5718: @308401
     /*  308401 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(308464), // Rule ID 9683 //
     /*  308406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  308420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  308423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308445 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308462 */     GIR_RootConstrainSelectedInstOperands,
     /*  308463 */     // GIR_Coverage, 9683,
     /*  308463 */     GIR_EraseRootFromParent_Done,
     /*  308464 */   // Label 5719: @308464
     /*  308464 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(308527), // Rule ID 9686 //
     /*  308469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308525 */     GIR_RootConstrainSelectedInstOperands,
     /*  308526 */     // GIR_Coverage, 9686,
     /*  308526 */     GIR_EraseRootFromParent_Done,
     /*  308527 */   // Label 5720: @308527
     /*  308527 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(308590), // Rule ID 9687 //
     /*  308532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308571 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308588 */     GIR_RootConstrainSelectedInstOperands,
     /*  308589 */     // GIR_Coverage, 9687,
     /*  308589 */     GIR_EraseRootFromParent_Done,
     /*  308590 */   // Label 5721: @308590
     /*  308590 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308653), // Rule ID 9690 //
     /*  308595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308651 */     GIR_RootConstrainSelectedInstOperands,
     /*  308652 */     // GIR_Coverage, 9690,
     /*  308652 */     GIR_EraseRootFromParent_Done,
     /*  308653 */   // Label 5722: @308653
     /*  308653 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308716), // Rule ID 9691 //
     /*  308658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308697 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308714 */     GIR_RootConstrainSelectedInstOperands,
     /*  308715 */     // GIR_Coverage, 9691,
     /*  308715 */     GIR_EraseRootFromParent_Done,
     /*  308716 */   // Label 5723: @308716
     /*  308716 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308779), // Rule ID 9694 //
     /*  308721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308777 */     GIR_RootConstrainSelectedInstOperands,
     /*  308778 */     // GIR_Coverage, 9694,
     /*  308778 */     GIR_EraseRootFromParent_Done,
     /*  308779 */   // Label 5724: @308779
     /*  308779 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308842), // Rule ID 9695 //
     /*  308784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308823 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308840 */     GIR_RootConstrainSelectedInstOperands,
     /*  308841 */     // GIR_Coverage, 9695,
     /*  308841 */     GIR_EraseRootFromParent_Done,
     /*  308842 */   // Label 5725: @308842
     /*  308842 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308905), // Rule ID 9698 //
     /*  308847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308886 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  308886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308903 */     GIR_RootConstrainSelectedInstOperands,
     /*  308904 */     // GIR_Coverage, 9698,
     /*  308904 */     GIR_EraseRootFromParent_Done,
     /*  308905 */   // Label 5726: @308905
     /*  308905 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308968), // Rule ID 9699 //
     /*  308910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308949 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  308949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308966 */     GIR_RootConstrainSelectedInstOperands,
     /*  308967 */     // GIR_Coverage, 9699,
     /*  308967 */     GIR_EraseRootFromParent_Done,
     /*  308968 */   // Label 5727: @308968
     /*  308968 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(309031), // Rule ID 9702 //
     /*  308973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309029 */     GIR_RootConstrainSelectedInstOperands,
     /*  309030 */     // GIR_Coverage, 9702,
     /*  309030 */     GIR_EraseRootFromParent_Done,
     /*  309031 */   // Label 5728: @309031
     /*  309031 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(309094), // Rule ID 9703 //
     /*  309036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  309050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  309053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309075 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309092 */     GIR_RootConstrainSelectedInstOperands,
     /*  309093 */     // GIR_Coverage, 9703,
     /*  309093 */     GIR_EraseRootFromParent_Done,
     /*  309094 */   // Label 5729: @309094
     /*  309094 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(309157), // Rule ID 9706 //
     /*  309099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  309113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309138 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309155 */     GIR_RootConstrainSelectedInstOperands,
     /*  309156 */     // GIR_Coverage, 9706,
     /*  309156 */     GIR_EraseRootFromParent_Done,
     /*  309157 */   // Label 5730: @309157
     /*  309157 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(309220), // Rule ID 9707 //
     /*  309162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  309176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309201 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11384:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309218 */     GIR_RootConstrainSelectedInstOperands,
     /*  309219 */     // GIR_Coverage, 9707,
     /*  309219 */     GIR_EraseRootFromParent_Done,
     /*  309220 */   // Label 5731: @309220
     /*  309220 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(309283), // Rule ID 9710 //
     /*  309225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  309239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  309242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  309264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  309267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309281 */     GIR_RootConstrainSelectedInstOperands,
     /*  309282 */     // GIR_Coverage, 9710,
     /*  309282 */     GIR_EraseRootFromParent_Done,
     /*  309283 */   // Label 5732: @309283
     /*  309283 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(309346), // Rule ID 9711 //
     /*  309288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  309302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  309305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309327 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  309327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  309330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309344 */     GIR_RootConstrainSelectedInstOperands,
     /*  309345 */     // GIR_Coverage, 9711,
     /*  309345 */     GIR_EraseRootFromParent_Done,
     /*  309346 */   // Label 5733: @309346
     /*  309346 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(309409), // Rule ID 9714 //
     /*  309351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  309365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  309368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309390 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  309390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309407 */     GIR_RootConstrainSelectedInstOperands,
     /*  309408 */     // GIR_Coverage, 9714,
     /*  309408 */     GIR_EraseRootFromParent_Done,
     /*  309409 */   // Label 5734: @309409
     /*  309409 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(309472), // Rule ID 9715 //
     /*  309414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  309428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  309431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  309453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309470 */     GIR_RootConstrainSelectedInstOperands,
     /*  309471 */     // GIR_Coverage, 9715,
     /*  309471 */     GIR_EraseRootFromParent_Done,
     /*  309472 */   // Label 5735: @309472
     /*  309472 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(309535), // Rule ID 9718 //
     /*  309477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  309491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  309494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  309516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309533 */     GIR_RootConstrainSelectedInstOperands,
     /*  309534 */     // GIR_Coverage, 9718,
     /*  309534 */     GIR_EraseRootFromParent_Done,
     /*  309535 */   // Label 5736: @309535
     /*  309535 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309598), // Rule ID 9719 //
     /*  309540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  309554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  309557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309579 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  309579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309596 */     GIR_RootConstrainSelectedInstOperands,
     /*  309597 */     // GIR_Coverage, 9719,
     /*  309597 */     GIR_EraseRootFromParent_Done,
     /*  309598 */   // Label 5737: @309598
     /*  309598 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309661), // Rule ID 9722 //
     /*  309603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  309617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  309620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309659 */     GIR_RootConstrainSelectedInstOperands,
     /*  309660 */     // GIR_Coverage, 9722,
     /*  309660 */     GIR_EraseRootFromParent_Done,
     /*  309661 */   // Label 5738: @309661
     /*  309661 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309724), // Rule ID 9723 //
     /*  309666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  309680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  309683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  309705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  309708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309722 */     GIR_RootConstrainSelectedInstOperands,
     /*  309723 */     // GIR_Coverage, 9723,
     /*  309723 */     GIR_EraseRootFromParent_Done,
     /*  309724 */   // Label 5739: @309724
     /*  309724 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309787), // Rule ID 9726 //
     /*  309729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309785 */     GIR_RootConstrainSelectedInstOperands,
     /*  309786 */     // GIR_Coverage, 9726,
     /*  309786 */     GIR_EraseRootFromParent_Done,
     /*  309787 */   // Label 5740: @309787
     /*  309787 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309850), // Rule ID 9727 //
     /*  309792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309831 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  309831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309848 */     GIR_RootConstrainSelectedInstOperands,
     /*  309849 */     // GIR_Coverage, 9727,
     /*  309849 */     GIR_EraseRootFromParent_Done,
     /*  309850 */   // Label 5741: @309850
     /*  309850 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309913), // Rule ID 9730 //
     /*  309855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309894 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  309894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309911 */     GIR_RootConstrainSelectedInstOperands,
     /*  309912 */     // GIR_Coverage, 9730,
     /*  309912 */     GIR_EraseRootFromParent_Done,
     /*  309913 */   // Label 5742: @309913
     /*  309913 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309976), // Rule ID 9731 //
     /*  309918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  309960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309974 */     GIR_RootConstrainSelectedInstOperands,
     /*  309975 */     // GIR_Coverage, 9731,
     /*  309975 */     GIR_EraseRootFromParent_Done,
     /*  309976 */   // Label 5743: @309976
     /*  309976 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(310039), // Rule ID 9734 //
     /*  309981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  309995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  309998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310037 */     GIR_RootConstrainSelectedInstOperands,
     /*  310038 */     // GIR_Coverage, 9734,
     /*  310038 */     GIR_EraseRootFromParent_Done,
     /*  310039 */   // Label 5744: @310039
     /*  310039 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(310102), // Rule ID 9735 //
     /*  310044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  310058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  310061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310083 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310100 */     GIR_RootConstrainSelectedInstOperands,
     /*  310101 */     // GIR_Coverage, 9735,
     /*  310101 */     GIR_EraseRootFromParent_Done,
     /*  310102 */   // Label 5745: @310102
     /*  310102 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(310165), // Rule ID 9738 //
     /*  310107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310163 */     GIR_RootConstrainSelectedInstOperands,
     /*  310164 */     // GIR_Coverage, 9738,
     /*  310164 */     GIR_EraseRootFromParent_Done,
     /*  310165 */   // Label 5746: @310165
     /*  310165 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(310228), // Rule ID 9739 //
     /*  310170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310226 */     GIR_RootConstrainSelectedInstOperands,
     /*  310227 */     // GIR_Coverage, 9739,
     /*  310227 */     GIR_EraseRootFromParent_Done,
     /*  310228 */   // Label 5747: @310228
     /*  310228 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(310291), // Rule ID 9742 //
     /*  310233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  310272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310289 */     GIR_RootConstrainSelectedInstOperands,
     /*  310290 */     // GIR_Coverage, 9742,
     /*  310290 */     GIR_EraseRootFromParent_Done,
     /*  310291 */   // Label 5748: @310291
     /*  310291 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(310354), // Rule ID 9743 //
     /*  310296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310335 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  310335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310352 */     GIR_RootConstrainSelectedInstOperands,
     /*  310353 */     // GIR_Coverage, 9743,
     /*  310353 */     GIR_EraseRootFromParent_Done,
     /*  310354 */   // Label 5749: @310354
     /*  310354 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(310417), // Rule ID 9746 //
     /*  310359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  310362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  310373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  310376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310398 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  310398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310415 */     GIR_RootConstrainSelectedInstOperands,
     /*  310416 */     // GIR_Coverage, 9746,
     /*  310416 */     GIR_EraseRootFromParent_Done,
     /*  310417 */   // Label 5750: @310417
     /*  310417 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(310480), // Rule ID 9747 //
     /*  310422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  310425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  310436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  310439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310461 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  310461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310478 */     GIR_RootConstrainSelectedInstOperands,
     /*  310479 */     // GIR_Coverage, 9747,
     /*  310479 */     GIR_EraseRootFromParent_Done,
     /*  310480 */   // Label 5751: @310480
     /*  310480 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310543), // Rule ID 9750 //
     /*  310485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  310496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  310499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  310502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  310527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310541 */     GIR_RootConstrainSelectedInstOperands,
     /*  310542 */     // GIR_Coverage, 9750,
     /*  310542 */     GIR_EraseRootFromParent_Done,
     /*  310543 */   // Label 5752: @310543
     /*  310543 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310606), // Rule ID 9751 //
     /*  310548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  310559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  310562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  310565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310587 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  310590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310604 */     GIR_RootConstrainSelectedInstOperands,
     /*  310605 */     // GIR_Coverage, 9751,
     /*  310605 */     GIR_EraseRootFromParent_Done,
     /*  310606 */   // Label 5753: @310606
     /*  310606 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310669), // Rule ID 9754 //
     /*  310611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  310622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  310625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  310628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310650 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  310653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310667 */     GIR_RootConstrainSelectedInstOperands,
     /*  310668 */     // GIR_Coverage, 9754,
     /*  310668 */     GIR_EraseRootFromParent_Done,
     /*  310669 */   // Label 5754: @310669
     /*  310669 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310732), // Rule ID 9755 //
     /*  310674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  310685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  310688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  310691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310713 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  310716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310730 */     GIR_RootConstrainSelectedInstOperands,
     /*  310731 */     // GIR_Coverage, 9755,
     /*  310731 */     GIR_EraseRootFromParent_Done,
     /*  310732 */   // Label 5755: @310732
     /*  310732 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310795), // Rule ID 9758 //
     /*  310737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  310748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  310751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  310754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310776 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  310779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310793 */     GIR_RootConstrainSelectedInstOperands,
     /*  310794 */     // GIR_Coverage, 9758,
     /*  310794 */     GIR_EraseRootFromParent_Done,
     /*  310795 */   // Label 5756: @310795
     /*  310795 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310858), // Rule ID 9759 //
     /*  310800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  310811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  310814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  310817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310839 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  310842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310856 */     GIR_RootConstrainSelectedInstOperands,
     /*  310857 */     // GIR_Coverage, 9759,
     /*  310857 */     GIR_EraseRootFromParent_Done,
     /*  310858 */   // Label 5757: @310858
     /*  310858 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310921), // Rule ID 9762 //
     /*  310863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  310877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  310880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  310905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310919 */     GIR_RootConstrainSelectedInstOperands,
     /*  310920 */     // GIR_Coverage, 9762,
     /*  310920 */     GIR_EraseRootFromParent_Done,
     /*  310921 */   // Label 5758: @310921
     /*  310921 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310984), // Rule ID 9763 //
     /*  310926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  310940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  310943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310965 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  310968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310982 */     GIR_RootConstrainSelectedInstOperands,
     /*  310983 */     // GIR_Coverage, 9763,
     /*  310983 */     GIR_EraseRootFromParent_Done,
     /*  310984 */   // Label 5759: @310984
     /*  310984 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(311047), // Rule ID 9766 //
     /*  310989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311045 */     GIR_RootConstrainSelectedInstOperands,
     /*  311046 */     // GIR_Coverage, 9766,
     /*  311046 */     GIR_EraseRootFromParent_Done,
     /*  311047 */   // Label 5760: @311047
     /*  311047 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(311110), // Rule ID 9767 //
     /*  311052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311091 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311108 */     GIR_RootConstrainSelectedInstOperands,
     /*  311109 */     // GIR_Coverage, 9767,
     /*  311109 */     GIR_EraseRootFromParent_Done,
     /*  311110 */   // Label 5761: @311110
     /*  311110 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(311173), // Rule ID 9770 //
     /*  311115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311154 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311171 */     GIR_RootConstrainSelectedInstOperands,
     /*  311172 */     // GIR_Coverage, 9770,
     /*  311172 */     GIR_EraseRootFromParent_Done,
     /*  311173 */   // Label 5762: @311173
     /*  311173 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(311236), // Rule ID 9771 //
     /*  311178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311217 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311234 */     GIR_RootConstrainSelectedInstOperands,
     /*  311235 */     // GIR_Coverage, 9771,
     /*  311235 */     GIR_EraseRootFromParent_Done,
     /*  311236 */   // Label 5763: @311236
     /*  311236 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(311299), // Rule ID 9774 //
     /*  311241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311297 */     GIR_RootConstrainSelectedInstOperands,
     /*  311298 */     // GIR_Coverage, 9774,
     /*  311298 */     GIR_EraseRootFromParent_Done,
     /*  311299 */   // Label 5764: @311299
     /*  311299 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(311362), // Rule ID 9775 //
     /*  311304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311343 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311360 */     GIR_RootConstrainSelectedInstOperands,
     /*  311361 */     // GIR_Coverage, 9775,
     /*  311361 */     GIR_EraseRootFromParent_Done,
     /*  311362 */   // Label 5765: @311362
     /*  311362 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(311425), // Rule ID 9778 //
     /*  311367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311423 */     GIR_RootConstrainSelectedInstOperands,
     /*  311424 */     // GIR_Coverage, 9778,
     /*  311424 */     GIR_EraseRootFromParent_Done,
     /*  311425 */   // Label 5766: @311425
     /*  311425 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311488), // Rule ID 9779 //
     /*  311430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311469 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311486 */     GIR_RootConstrainSelectedInstOperands,
     /*  311487 */     // GIR_Coverage, 9779,
     /*  311487 */     GIR_EraseRootFromParent_Done,
     /*  311488 */   // Label 5767: @311488
     /*  311488 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311551), // Rule ID 9782 //
     /*  311493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311549 */     GIR_RootConstrainSelectedInstOperands,
     /*  311550 */     // GIR_Coverage, 9782,
     /*  311550 */     GIR_EraseRootFromParent_Done,
     /*  311551 */   // Label 5768: @311551
     /*  311551 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311614), // Rule ID 9783 //
     /*  311556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  311573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311595 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311612 */     GIR_RootConstrainSelectedInstOperands,
     /*  311613 */     // GIR_Coverage, 9783,
     /*  311613 */     GIR_EraseRootFromParent_Done,
     /*  311614 */   // Label 5769: @311614
     /*  311614 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311677), // Rule ID 9786 //
     /*  311619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  311630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311658 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311675 */     GIR_RootConstrainSelectedInstOperands,
     /*  311676 */     // GIR_Coverage, 9786,
     /*  311676 */     GIR_EraseRootFromParent_Done,
     /*  311677 */   // Label 5770: @311677
     /*  311677 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311740), // Rule ID 9787 //
     /*  311682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  311693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  311699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311721 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311738 */     GIR_RootConstrainSelectedInstOperands,
     /*  311739 */     // GIR_Coverage, 9787,
     /*  311739 */     GIR_EraseRootFromParent_Done,
     /*  311740 */   // Label 5771: @311740
     /*  311740 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311803), // Rule ID 9790 //
     /*  311745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  311762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311801 */     GIR_RootConstrainSelectedInstOperands,
     /*  311802 */     // GIR_Coverage, 9790,
     /*  311802 */     GIR_EraseRootFromParent_Done,
     /*  311803 */   // Label 5772: @311803
     /*  311803 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311866), // Rule ID 9791 //
     /*  311808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  311825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311847 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311864 */     GIR_RootConstrainSelectedInstOperands,
     /*  311865 */     // GIR_Coverage, 9791,
     /*  311865 */     GIR_EraseRootFromParent_Done,
     /*  311866 */   // Label 5773: @311866
     /*  311866 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311929), // Rule ID 9794 //
     /*  311871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  311888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311910 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311927 */     GIR_RootConstrainSelectedInstOperands,
     /*  311928 */     // GIR_Coverage, 9794,
     /*  311928 */     GIR_EraseRootFromParent_Done,
     /*  311929 */   // Label 5774: @311929
     /*  311929 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311992), // Rule ID 9795 //
     /*  311934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  311951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311973 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11382:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311990 */     GIR_RootConstrainSelectedInstOperands,
     /*  311991 */     // GIR_Coverage, 9795,
     /*  311991 */     GIR_EraseRootFromParent_Done,
     /*  311992 */   // Label 5775: @311992
     /*  311992 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(312058), // Rule ID 13870 //
     /*  311997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  312008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  312011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  312014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  312039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312056 */     GIR_RootConstrainSelectedInstOperands,
     /*  312057 */     // GIR_Coverage, 13870,
     /*  312057 */     GIR_EraseRootFromParent_Done,
     /*  312058 */   // Label 5776: @312058
     /*  312058 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(312124), // Rule ID 13871 //
     /*  312063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  312074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  312077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  312080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  312105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312122 */     GIR_RootConstrainSelectedInstOperands,
     /*  312123 */     // GIR_Coverage, 13871,
     /*  312123 */     GIR_EraseRootFromParent_Done,
     /*  312124 */   // Label 5777: @312124
     /*  312124 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(312190), // Rule ID 13872 //
     /*  312129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  312140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  312143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  312146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312168 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312188 */     GIR_RootConstrainSelectedInstOperands,
     /*  312189 */     // GIR_Coverage, 13872,
     /*  312189 */     GIR_EraseRootFromParent_Done,
     /*  312190 */   // Label 5778: @312190
     /*  312190 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(312256), // Rule ID 13873 //
     /*  312195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  312206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  312209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  312212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312254 */     GIR_RootConstrainSelectedInstOperands,
     /*  312255 */     // GIR_Coverage, 13873,
     /*  312255 */     GIR_EraseRootFromParent_Done,
     /*  312256 */   // Label 5779: @312256
     /*  312256 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(312322), // Rule ID 13874 //
     /*  312261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  312272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  312275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  312278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312320 */     GIR_RootConstrainSelectedInstOperands,
     /*  312321 */     // GIR_Coverage, 13874,
     /*  312321 */     GIR_EraseRootFromParent_Done,
     /*  312322 */   // Label 5780: @312322
     /*  312322 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(312388), // Rule ID 13875 //
     /*  312327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  312338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  312341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  312344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312366 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312386 */     GIR_RootConstrainSelectedInstOperands,
     /*  312387 */     // GIR_Coverage, 13875,
     /*  312387 */     GIR_EraseRootFromParent_Done,
     /*  312388 */   // Label 5781: @312388
     /*  312388 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312454), // Rule ID 13876 //
     /*  312393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  312404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  312407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312452 */     GIR_RootConstrainSelectedInstOperands,
     /*  312453 */     // GIR_Coverage, 13876,
     /*  312453 */     GIR_EraseRootFromParent_Done,
     /*  312454 */   // Label 5782: @312454
     /*  312454 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312520), // Rule ID 13877 //
     /*  312459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  312470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  312473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312498 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312518 */     GIR_RootConstrainSelectedInstOperands,
     /*  312519 */     // GIR_Coverage, 13877,
     /*  312519 */     GIR_EraseRootFromParent_Done,
     /*  312520 */   // Label 5783: @312520
     /*  312520 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312586), // Rule ID 13878 //
     /*  312525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312584 */     GIR_RootConstrainSelectedInstOperands,
     /*  312585 */     // GIR_Coverage, 13878,
     /*  312585 */     GIR_EraseRootFromParent_Done,
     /*  312586 */   // Label 5784: @312586
     /*  312586 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312652), // Rule ID 13879 //
     /*  312591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  312602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312650 */     GIR_RootConstrainSelectedInstOperands,
     /*  312651 */     // GIR_Coverage, 13879,
     /*  312651 */     GIR_EraseRootFromParent_Done,
     /*  312652 */   // Label 5785: @312652
     /*  312652 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312718), // Rule ID 13880 //
     /*  312657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312716 */     GIR_RootConstrainSelectedInstOperands,
     /*  312717 */     // GIR_Coverage, 13880,
     /*  312717 */     GIR_EraseRootFromParent_Done,
     /*  312718 */   // Label 5786: @312718
     /*  312718 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312784), // Rule ID 13881 //
     /*  312723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312782 */     GIR_RootConstrainSelectedInstOperands,
     /*  312783 */     // GIR_Coverage, 13881,
     /*  312783 */     GIR_EraseRootFromParent_Done,
     /*  312784 */   // Label 5787: @312784
     /*  312784 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312850), // Rule ID 13882 //
     /*  312789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  312800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  312803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  312806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  312831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312848 */     GIR_RootConstrainSelectedInstOperands,
     /*  312849 */     // GIR_Coverage, 13882,
     /*  312849 */     GIR_EraseRootFromParent_Done,
     /*  312850 */   // Label 5788: @312850
     /*  312850 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312916), // Rule ID 13883 //
     /*  312855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  312866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  312869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  312872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312894 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  312897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312914 */     GIR_RootConstrainSelectedInstOperands,
     /*  312915 */     // GIR_Coverage, 13883,
     /*  312915 */     GIR_EraseRootFromParent_Done,
     /*  312916 */   // Label 5789: @312916
     /*  312916 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312982), // Rule ID 13884 //
     /*  312921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  312932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  312963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312980 */     GIR_RootConstrainSelectedInstOperands,
     /*  312981 */     // GIR_Coverage, 13884,
     /*  312981 */     GIR_EraseRootFromParent_Done,
     /*  312982 */   // Label 5790: @312982
     /*  312982 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(313048), // Rule ID 13885 //
     /*  312987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  312998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313046 */     GIR_RootConstrainSelectedInstOperands,
     /*  313047 */     // GIR_Coverage, 13885,
     /*  313047 */     GIR_EraseRootFromParent_Done,
     /*  313048 */   // Label 5791: @313048
     /*  313048 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(313114), // Rule ID 13886 //
     /*  313053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313112 */     GIR_RootConstrainSelectedInstOperands,
     /*  313113 */     // GIR_Coverage, 13886,
     /*  313113 */     GIR_EraseRootFromParent_Done,
     /*  313114 */   // Label 5792: @313114
     /*  313114 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(313180), // Rule ID 13887 //
     /*  313119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313178 */     GIR_RootConstrainSelectedInstOperands,
     /*  313179 */     // GIR_Coverage, 13887,
     /*  313179 */     GIR_EraseRootFromParent_Done,
     /*  313180 */   // Label 5793: @313180
     /*  313180 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(313246), // Rule ID 13888 //
     /*  313185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  313188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313244 */     GIR_RootConstrainSelectedInstOperands,
     /*  313245 */     // GIR_Coverage, 13888,
     /*  313245 */     GIR_EraseRootFromParent_Done,
     /*  313246 */   // Label 5794: @313246
     /*  313246 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(313312), // Rule ID 13889 //
     /*  313251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  313254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313310 */     GIR_RootConstrainSelectedInstOperands,
     /*  313311 */     // GIR_Coverage, 13889,
     /*  313311 */     GIR_EraseRootFromParent_Done,
     /*  313312 */   // Label 5795: @313312
     /*  313312 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(313378), // Rule ID 13890 //
     /*  313317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  313328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  313331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  313334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313356 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313376 */     GIR_RootConstrainSelectedInstOperands,
     /*  313377 */     // GIR_Coverage, 13890,
     /*  313377 */     GIR_EraseRootFromParent_Done,
     /*  313378 */   // Label 5796: @313378
     /*  313378 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313444), // Rule ID 13891 //
     /*  313383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  313394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  313397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  313400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313442 */     GIR_RootConstrainSelectedInstOperands,
     /*  313443 */     // GIR_Coverage, 13891,
     /*  313443 */     GIR_EraseRootFromParent_Done,
     /*  313444 */   // Label 5797: @313444
     /*  313444 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313510), // Rule ID 13892 //
     /*  313449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  313460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  313463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  313466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313488 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313508 */     GIR_RootConstrainSelectedInstOperands,
     /*  313509 */     // GIR_Coverage, 13892,
     /*  313509 */     GIR_EraseRootFromParent_Done,
     /*  313510 */   // Label 5798: @313510
     /*  313510 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313576), // Rule ID 13893 //
     /*  313515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  313526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  313529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  313532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313554 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313574 */     GIR_RootConstrainSelectedInstOperands,
     /*  313575 */     // GIR_Coverage, 13893,
     /*  313575 */     GIR_EraseRootFromParent_Done,
     /*  313576 */   // Label 5799: @313576
     /*  313576 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313642), // Rule ID 13894 //
     /*  313581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  313592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  313595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  313598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313620 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  313623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313640 */     GIR_RootConstrainSelectedInstOperands,
     /*  313641 */     // GIR_Coverage, 13894,
     /*  313641 */     GIR_EraseRootFromParent_Done,
     /*  313642 */   // Label 5800: @313642
     /*  313642 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313708), // Rule ID 13895 //
     /*  313647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  313658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  313661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  313664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313686 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  313689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313706 */     GIR_RootConstrainSelectedInstOperands,
     /*  313707 */     // GIR_Coverage, 13895,
     /*  313707 */     GIR_EraseRootFromParent_Done,
     /*  313708 */   // Label 5801: @313708
     /*  313708 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313774), // Rule ID 13896 //
     /*  313713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313772 */     GIR_RootConstrainSelectedInstOperands,
     /*  313773 */     // GIR_Coverage, 13896,
     /*  313773 */     GIR_EraseRootFromParent_Done,
     /*  313774 */   // Label 5802: @313774
     /*  313774 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313840), // Rule ID 13897 //
     /*  313779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  313790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  313821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313838 */     GIR_RootConstrainSelectedInstOperands,
     /*  313839 */     // GIR_Coverage, 13897,
     /*  313839 */     GIR_EraseRootFromParent_Done,
     /*  313840 */   // Label 5803: @313840
     /*  313840 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313906), // Rule ID 13898 //
     /*  313845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313904 */     GIR_RootConstrainSelectedInstOperands,
     /*  313905 */     // GIR_Coverage, 13898,
     /*  313905 */     GIR_EraseRootFromParent_Done,
     /*  313906 */   // Label 5804: @313906
     /*  313906 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313972), // Rule ID 13899 //
     /*  313911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  313922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  313953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313970 */     GIR_RootConstrainSelectedInstOperands,
     /*  313971 */     // GIR_Coverage, 13899,
     /*  313971 */     GIR_EraseRootFromParent_Done,
     /*  313972 */   // Label 5805: @313972
     /*  313972 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(314038), // Rule ID 13900 //
     /*  313977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  313988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314036 */     GIR_RootConstrainSelectedInstOperands,
     /*  314037 */     // GIR_Coverage, 13900,
     /*  314037 */     GIR_EraseRootFromParent_Done,
     /*  314038 */   // Label 5806: @314038
     /*  314038 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(314104), // Rule ID 13901 //
     /*  314043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  314054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314102 */     GIR_RootConstrainSelectedInstOperands,
     /*  314103 */     // GIR_Coverage, 13901,
     /*  314103 */     GIR_EraseRootFromParent_Done,
     /*  314104 */   // Label 5807: @314104
     /*  314104 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(314170), // Rule ID 13902 //
     /*  314109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314168 */     GIR_RootConstrainSelectedInstOperands,
     /*  314169 */     // GIR_Coverage, 13902,
     /*  314169 */     GIR_EraseRootFromParent_Done,
     /*  314170 */   // Label 5808: @314170
     /*  314170 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(314236), // Rule ID 13903 //
     /*  314175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314234 */     GIR_RootConstrainSelectedInstOperands,
     /*  314235 */     // GIR_Coverage, 13903,
     /*  314235 */     GIR_EraseRootFromParent_Done,
     /*  314236 */   // Label 5809: @314236
     /*  314236 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(314302), // Rule ID 13904 //
     /*  314241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314300 */     GIR_RootConstrainSelectedInstOperands,
     /*  314301 */     // GIR_Coverage, 13904,
     /*  314301 */     GIR_EraseRootFromParent_Done,
     /*  314302 */   // Label 5810: @314302
     /*  314302 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(314368), // Rule ID 13905 //
     /*  314307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314366 */     GIR_RootConstrainSelectedInstOperands,
     /*  314367 */     // GIR_Coverage, 13905,
     /*  314367 */     GIR_EraseRootFromParent_Done,
     /*  314368 */   // Label 5811: @314368
     /*  314368 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(314434), // Rule ID 13906 //
     /*  314373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314432 */     GIR_RootConstrainSelectedInstOperands,
     /*  314433 */     // GIR_Coverage, 13906,
     /*  314433 */     GIR_EraseRootFromParent_Done,
     /*  314434 */   // Label 5812: @314434
     /*  314434 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314500), // Rule ID 13907 //
     /*  314439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  314450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314498 */     GIR_RootConstrainSelectedInstOperands,
     /*  314499 */     // GIR_Coverage, 13907,
     /*  314499 */     GIR_EraseRootFromParent_Done,
     /*  314500 */   // Label 5813: @314500
     /*  314500 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314566), // Rule ID 13908 //
     /*  314505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  314508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314564 */     GIR_RootConstrainSelectedInstOperands,
     /*  314565 */     // GIR_Coverage, 13908,
     /*  314565 */     GIR_EraseRootFromParent_Done,
     /*  314566 */   // Label 5814: @314566
     /*  314566 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314632), // Rule ID 13909 //
     /*  314571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  314574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  314582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314630 */     GIR_RootConstrainSelectedInstOperands,
     /*  314631 */     // GIR_Coverage, 13909,
     /*  314631 */     GIR_EraseRootFromParent_Done,
     /*  314632 */   // Label 5815: @314632
     /*  314632 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314698), // Rule ID 13910 //
     /*  314637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  314640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314696 */     GIR_RootConstrainSelectedInstOperands,
     /*  314697 */     // GIR_Coverage, 13910,
     /*  314697 */     GIR_EraseRootFromParent_Done,
     /*  314698 */   // Label 5816: @314698
     /*  314698 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314764), // Rule ID 13911 //
     /*  314703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  314706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  314714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314762 */     GIR_RootConstrainSelectedInstOperands,
     /*  314763 */     // GIR_Coverage, 13911,
     /*  314763 */     GIR_EraseRootFromParent_Done,
     /*  314764 */   // Label 5817: @314764
     /*  314764 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314830), // Rule ID 13912 //
     /*  314769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  314772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  314808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314828 */     GIR_RootConstrainSelectedInstOperands,
     /*  314829 */     // GIR_Coverage, 13912,
     /*  314829 */     GIR_EraseRootFromParent_Done,
     /*  314830 */   // Label 5818: @314830
     /*  314830 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314896), // Rule ID 13913 //
     /*  314835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  314838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  314846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  314874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314894 */     GIR_RootConstrainSelectedInstOperands,
     /*  314895 */     // GIR_Coverage, 13913,
     /*  314895 */     GIR_EraseRootFromParent_Done,
     /*  314896 */   // Label 5819: @314896
     /*  314896 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314962), // Rule ID 13914 //
     /*  314901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  314904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  314912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314940 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  314943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314960 */     GIR_RootConstrainSelectedInstOperands,
     /*  314961 */     // GIR_Coverage, 13914,
     /*  314961 */     GIR_EraseRootFromParent_Done,
     /*  314962 */   // Label 5820: @314962
     /*  314962 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(315028), // Rule ID 13915 //
     /*  314967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  314970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  314978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315006 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  315009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315026 */     GIR_RootConstrainSelectedInstOperands,
     /*  315027 */     // GIR_Coverage, 13915,
     /*  315027 */     GIR_EraseRootFromParent_Done,
     /*  315028 */   // Label 5821: @315028
     /*  315028 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(315094), // Rule ID 13916 //
     /*  315033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315072 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315092 */     GIR_RootConstrainSelectedInstOperands,
     /*  315093 */     // GIR_Coverage, 13916,
     /*  315093 */     GIR_EraseRootFromParent_Done,
     /*  315094 */   // Label 5822: @315094
     /*  315094 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(315160), // Rule ID 13917 //
     /*  315099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315138 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315158 */     GIR_RootConstrainSelectedInstOperands,
     /*  315159 */     // GIR_Coverage, 13917,
     /*  315159 */     GIR_EraseRootFromParent_Done,
     /*  315160 */   // Label 5823: @315160
     /*  315160 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(315226), // Rule ID 13918 //
     /*  315165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315204 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315224 */     GIR_RootConstrainSelectedInstOperands,
     /*  315225 */     // GIR_Coverage, 13918,
     /*  315225 */     GIR_EraseRootFromParent_Done,
     /*  315226 */   // Label 5824: @315226
     /*  315226 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(315292), // Rule ID 13919 //
     /*  315231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315270 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315290 */     GIR_RootConstrainSelectedInstOperands,
     /*  315291 */     // GIR_Coverage, 13919,
     /*  315291 */     GIR_EraseRootFromParent_Done,
     /*  315292 */   // Label 5825: @315292
     /*  315292 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(315358), // Rule ID 13920 //
     /*  315297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  315308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315356 */     GIR_RootConstrainSelectedInstOperands,
     /*  315357 */     // GIR_Coverage, 13920,
     /*  315357 */     GIR_EraseRootFromParent_Done,
     /*  315358 */   // Label 5826: @315358
     /*  315358 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(315424), // Rule ID 13921 //
     /*  315363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  315374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315422 */     GIR_RootConstrainSelectedInstOperands,
     /*  315423 */     // GIR_Coverage, 13921,
     /*  315423 */     GIR_EraseRootFromParent_Done,
     /*  315424 */   // Label 5827: @315424
     /*  315424 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315490), // Rule ID 13922 //
     /*  315429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315488 */     GIR_RootConstrainSelectedInstOperands,
     /*  315489 */     // GIR_Coverage, 13922,
     /*  315489 */     GIR_EraseRootFromParent_Done,
     /*  315490 */   // Label 5828: @315490
     /*  315490 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315556), // Rule ID 13923 //
     /*  315495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315534 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315554 */     GIR_RootConstrainSelectedInstOperands,
     /*  315555 */     // GIR_Coverage, 13923,
     /*  315555 */     GIR_EraseRootFromParent_Done,
     /*  315556 */   // Label 5829: @315556
     /*  315556 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315622), // Rule ID 13924 //
     /*  315561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  315572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315620 */     GIR_RootConstrainSelectedInstOperands,
     /*  315621 */     // GIR_Coverage, 13924,
     /*  315621 */     GIR_EraseRootFromParent_Done,
     /*  315622 */   // Label 5830: @315622
     /*  315622 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315688), // Rule ID 13925 //
     /*  315627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  315638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315666 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  315669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315686 */     GIR_RootConstrainSelectedInstOperands,
     /*  315687 */     // GIR_Coverage, 13925,
     /*  315687 */     GIR_EraseRootFromParent_Done,
     /*  315688 */   // Label 5831: @315688
     /*  315688 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315754), // Rule ID 13926 //
     /*  315693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  315704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315732 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  315735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315752 */     GIR_RootConstrainSelectedInstOperands,
     /*  315753 */     // GIR_Coverage, 13926,
     /*  315753 */     GIR_EraseRootFromParent_Done,
     /*  315754 */   // Label 5832: @315754
     /*  315754 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315820), // Rule ID 13927 //
     /*  315759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  315770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  315776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315798 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  315801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315818 */     GIR_RootConstrainSelectedInstOperands,
     /*  315819 */     // GIR_Coverage, 13927,
     /*  315819 */     GIR_EraseRootFromParent_Done,
     /*  315820 */   // Label 5833: @315820
     /*  315820 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315886), // Rule ID 13928 //
     /*  315825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  315836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315864 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  315867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315884 */     GIR_RootConstrainSelectedInstOperands,
     /*  315885 */     // GIR_Coverage, 13928,
     /*  315885 */     GIR_EraseRootFromParent_Done,
     /*  315886 */   // Label 5834: @315886
     /*  315886 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315952), // Rule ID 13929 //
     /*  315891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  315902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  315908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315930 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  315933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315950 */     GIR_RootConstrainSelectedInstOperands,
     /*  315951 */     // GIR_Coverage, 13929,
     /*  315951 */     GIR_EraseRootFromParent_Done,
     /*  315952 */   // Label 5835: @315952
     /*  315952 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(316018), // Rule ID 13930 //
     /*  315957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  315968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  315974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315996 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  315999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316016 */     GIR_RootConstrainSelectedInstOperands,
     /*  316017 */     // GIR_Coverage, 13930,
     /*  316017 */     GIR_EraseRootFromParent_Done,
     /*  316018 */   // Label 5836: @316018
     /*  316018 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(316084), // Rule ID 13931 //
     /*  316023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  316026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  316034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316062 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316082 */     GIR_RootConstrainSelectedInstOperands,
     /*  316083 */     // GIR_Coverage, 13931,
     /*  316083 */     GIR_EraseRootFromParent_Done,
     /*  316084 */   // Label 5837: @316084
     /*  316084 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(316150), // Rule ID 13932 //
     /*  316089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316148 */     GIR_RootConstrainSelectedInstOperands,
     /*  316149 */     // GIR_Coverage, 13932,
     /*  316149 */     GIR_EraseRootFromParent_Done,
     /*  316150 */   // Label 5838: @316150
     /*  316150 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(316216), // Rule ID 13933 //
     /*  316155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316194 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316214 */     GIR_RootConstrainSelectedInstOperands,
     /*  316215 */     // GIR_Coverage, 13933,
     /*  316215 */     GIR_EraseRootFromParent_Done,
     /*  316216 */   // Label 5839: @316216
     /*  316216 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(316282), // Rule ID 13934 //
     /*  316221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316260 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316280 */     GIR_RootConstrainSelectedInstOperands,
     /*  316281 */     // GIR_Coverage, 13934,
     /*  316281 */     GIR_EraseRootFromParent_Done,
     /*  316282 */   // Label 5840: @316282
     /*  316282 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(316348), // Rule ID 13935 //
     /*  316287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316326 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316346 */     GIR_RootConstrainSelectedInstOperands,
     /*  316347 */     // GIR_Coverage, 13935,
     /*  316347 */     GIR_EraseRootFromParent_Done,
     /*  316348 */   // Label 5841: @316348
     /*  316348 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(316414), // Rule ID 13936 //
     /*  316353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  316364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316392 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316412 */     GIR_RootConstrainSelectedInstOperands,
     /*  316413 */     // GIR_Coverage, 13936,
     /*  316413 */     GIR_EraseRootFromParent_Done,
     /*  316414 */   // Label 5842: @316414
     /*  316414 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(316480), // Rule ID 13937 //
     /*  316419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  316430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  316436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316458 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316478 */     GIR_RootConstrainSelectedInstOperands,
     /*  316479 */     // GIR_Coverage, 13937,
     /*  316479 */     GIR_EraseRootFromParent_Done,
     /*  316480 */   // Label 5843: @316480
     /*  316480 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316546), // Rule ID 13938 //
     /*  316485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  316496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316524 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  316524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316544 */     GIR_RootConstrainSelectedInstOperands,
     /*  316545 */     // GIR_Coverage, 13938,
     /*  316545 */     GIR_EraseRootFromParent_Done,
     /*  316546 */   // Label 5844: @316546
     /*  316546 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316612), // Rule ID 13939 //
     /*  316551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  316562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  316568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316590 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  316590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316610 */     GIR_RootConstrainSelectedInstOperands,
     /*  316611 */     // GIR_Coverage, 13939,
     /*  316611 */     GIR_EraseRootFromParent_Done,
     /*  316612 */   // Label 5845: @316612
     /*  316612 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316678), // Rule ID 13940 //
     /*  316617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  316628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  316656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316676 */     GIR_RootConstrainSelectedInstOperands,
     /*  316677 */     // GIR_Coverage, 13940,
     /*  316677 */     GIR_EraseRootFromParent_Done,
     /*  316678 */   // Label 5846: @316678
     /*  316678 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316744), // Rule ID 13941 //
     /*  316683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  316694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316722 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  316722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316742 */     GIR_RootConstrainSelectedInstOperands,
     /*  316743 */     // GIR_Coverage, 13941,
     /*  316743 */     GIR_EraseRootFromParent_Done,
     /*  316744 */   // Label 5847: @316744
     /*  316744 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316810), // Rule ID 13942 //
     /*  316749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  316760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316788 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  316788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316808 */     GIR_RootConstrainSelectedInstOperands,
     /*  316809 */     // GIR_Coverage, 13942,
     /*  316809 */     GIR_EraseRootFromParent_Done,
     /*  316810 */   // Label 5848: @316810
     /*  316810 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316876), // Rule ID 13943 //
     /*  316815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  316826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316854 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  316854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316874 */     GIR_RootConstrainSelectedInstOperands,
     /*  316875 */     // GIR_Coverage, 13943,
     /*  316875 */     GIR_EraseRootFromParent_Done,
     /*  316876 */   // Label 5849: @316876
     /*  316876 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316942), // Rule ID 18946 //
     /*  316881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  316889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  316892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  316898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316920 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  316923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316940 */     GIR_RootConstrainSelectedInstOperands,
     /*  316941 */     // GIR_Coverage, 18946,
     /*  316941 */     GIR_EraseRootFromParent_Done,
     /*  316942 */   // Label 5850: @316942
     /*  316942 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(317008), // Rule ID 18947 //
     /*  316947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  316955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  316958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  316964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316986 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  316989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317006 */     GIR_RootConstrainSelectedInstOperands,
     /*  317007 */     // GIR_Coverage, 18947,
     /*  317007 */     GIR_EraseRootFromParent_Done,
     /*  317008 */   // Label 5851: @317008
     /*  317008 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(317074), // Rule ID 18950 //
     /*  317013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317052 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  317055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317072 */     GIR_RootConstrainSelectedInstOperands,
     /*  317073 */     // GIR_Coverage, 18950,
     /*  317073 */     GIR_EraseRootFromParent_Done,
     /*  317074 */   // Label 5852: @317074
     /*  317074 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(317140), // Rule ID 18951 //
     /*  317079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317118 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  317121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317138 */     GIR_RootConstrainSelectedInstOperands,
     /*  317139 */     // GIR_Coverage, 18951,
     /*  317139 */     GIR_EraseRootFromParent_Done,
     /*  317140 */   // Label 5853: @317140
     /*  317140 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(317206), // Rule ID 18954 //
     /*  317145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317184 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  317187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317204 */     GIR_RootConstrainSelectedInstOperands,
     /*  317205 */     // GIR_Coverage, 18954,
     /*  317205 */     GIR_EraseRootFromParent_Done,
     /*  317206 */   // Label 5854: @317206
     /*  317206 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(317272), // Rule ID 18955 //
     /*  317211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317250 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  317253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317270 */     GIR_RootConstrainSelectedInstOperands,
     /*  317271 */     // GIR_Coverage, 18955,
     /*  317271 */     GIR_EraseRootFromParent_Done,
     /*  317272 */   // Label 5855: @317272
     /*  317272 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(317338), // Rule ID 18958 //
     /*  317277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  317288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  317319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317336 */     GIR_RootConstrainSelectedInstOperands,
     /*  317337 */     // GIR_Coverage, 18958,
     /*  317337 */     GIR_EraseRootFromParent_Done,
     /*  317338 */   // Label 5856: @317338
     /*  317338 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(317404), // Rule ID 18959 //
     /*  317343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  317354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317382 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  317385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317402 */     GIR_RootConstrainSelectedInstOperands,
     /*  317403 */     // GIR_Coverage, 18959,
     /*  317403 */     GIR_EraseRootFromParent_Done,
     /*  317404 */   // Label 5857: @317404
     /*  317404 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(317470), // Rule ID 18962 //
     /*  317409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  317420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  317448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  317451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317468 */     GIR_RootConstrainSelectedInstOperands,
     /*  317469 */     // GIR_Coverage, 18962,
     /*  317469 */     GIR_EraseRootFromParent_Done,
     /*  317470 */   // Label 5858: @317470
     /*  317470 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(317536), // Rule ID 18963 //
     /*  317475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  317486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317514 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  317514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  317517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317534 */     GIR_RootConstrainSelectedInstOperands,
     /*  317535 */     // GIR_Coverage, 18963,
     /*  317535 */     GIR_EraseRootFromParent_Done,
     /*  317536 */   // Label 5859: @317536
     /*  317536 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317602), // Rule ID 18966 //
     /*  317541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  317558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317580 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  317583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317600 */     GIR_RootConstrainSelectedInstOperands,
     /*  317601 */     // GIR_Coverage, 18966,
     /*  317601 */     GIR_EraseRootFromParent_Done,
     /*  317602 */   // Label 5860: @317602
     /*  317602 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317668), // Rule ID 18967 //
     /*  317607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  317624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317646 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  317649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317666 */     GIR_RootConstrainSelectedInstOperands,
     /*  317667 */     // GIR_Coverage, 18967,
     /*  317667 */     GIR_EraseRootFromParent_Done,
     /*  317668 */   // Label 5861: @317668
     /*  317668 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317734), // Rule ID 18970 //
     /*  317673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  317690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317712 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  317715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317732 */     GIR_RootConstrainSelectedInstOperands,
     /*  317733 */     // GIR_Coverage, 18970,
     /*  317733 */     GIR_EraseRootFromParent_Done,
     /*  317734 */   // Label 5862: @317734
     /*  317734 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317800), // Rule ID 18971 //
     /*  317739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  317756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317778 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  317781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317798 */     GIR_RootConstrainSelectedInstOperands,
     /*  317799 */     // GIR_Coverage, 18971,
     /*  317799 */     GIR_EraseRootFromParent_Done,
     /*  317800 */   // Label 5863: @317800
     /*  317800 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317866), // Rule ID 18974 //
     /*  317805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  317816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  317822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317844 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  317847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317864 */     GIR_RootConstrainSelectedInstOperands,
     /*  317865 */     // GIR_Coverage, 18974,
     /*  317865 */     GIR_EraseRootFromParent_Done,
     /*  317866 */   // Label 5864: @317866
     /*  317866 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317932), // Rule ID 18975 //
     /*  317871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  317882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  317888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317910 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  317913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317930 */     GIR_RootConstrainSelectedInstOperands,
     /*  317931 */     // GIR_Coverage, 18975,
     /*  317931 */     GIR_EraseRootFromParent_Done,
     /*  317932 */   // Label 5865: @317932
     /*  317932 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317998), // Rule ID 18978 //
     /*  317937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  317948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317976 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  317979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317996 */     GIR_RootConstrainSelectedInstOperands,
     /*  317997 */     // GIR_Coverage, 18978,
     /*  317997 */     GIR_EraseRootFromParent_Done,
     /*  317998 */   // Label 5866: @317998
     /*  317998 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(318064), // Rule ID 18979 //
     /*  318003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  318014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  318020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318042 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  318045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318062 */     GIR_RootConstrainSelectedInstOperands,
     /*  318063 */     // GIR_Coverage, 18979,
     /*  318063 */     GIR_EraseRootFromParent_Done,
     /*  318064 */   // Label 5867: @318064
     /*  318064 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(318130), // Rule ID 18982 //
     /*  318069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318108 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  318111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318128 */     GIR_RootConstrainSelectedInstOperands,
     /*  318129 */     // GIR_Coverage, 18982,
     /*  318129 */     GIR_EraseRootFromParent_Done,
     /*  318130 */   // Label 5868: @318130
     /*  318130 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(318196), // Rule ID 18983 //
     /*  318135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318174 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  318177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318194 */     GIR_RootConstrainSelectedInstOperands,
     /*  318195 */     // GIR_Coverage, 18983,
     /*  318195 */     GIR_EraseRootFromParent_Done,
     /*  318196 */   // Label 5869: @318196
     /*  318196 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(318262), // Rule ID 18986 //
     /*  318201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  318212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318240 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  318243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318260 */     GIR_RootConstrainSelectedInstOperands,
     /*  318261 */     // GIR_Coverage, 18986,
     /*  318261 */     GIR_EraseRootFromParent_Done,
     /*  318262 */   // Label 5870: @318262
     /*  318262 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(318328), // Rule ID 18987 //
     /*  318267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  318278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318306 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  318309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318326 */     GIR_RootConstrainSelectedInstOperands,
     /*  318327 */     // GIR_Coverage, 18987,
     /*  318327 */     GIR_EraseRootFromParent_Done,
     /*  318328 */   // Label 5871: @318328
     /*  318328 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(318394), // Rule ID 18990 //
     /*  318333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  318344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318372 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  318372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  318375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318392 */     GIR_RootConstrainSelectedInstOperands,
     /*  318393 */     // GIR_Coverage, 18990,
     /*  318393 */     GIR_EraseRootFromParent_Done,
     /*  318394 */   // Label 5872: @318394
     /*  318394 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(318460), // Rule ID 18991 //
     /*  318399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  318410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318438 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  318438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  318441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318458 */     GIR_RootConstrainSelectedInstOperands,
     /*  318459 */     // GIR_Coverage, 18991,
     /*  318459 */     GIR_EraseRootFromParent_Done,
     /*  318460 */   // Label 5873: @318460
     /*  318460 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(318526), // Rule ID 18994 //
     /*  318465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  318476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318504 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  318504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  318507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318524 */     GIR_RootConstrainSelectedInstOperands,
     /*  318525 */     // GIR_Coverage, 18994,
     /*  318525 */     GIR_EraseRootFromParent_Done,
     /*  318526 */   // Label 5874: @318526
     /*  318526 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(318592), // Rule ID 18995 //
     /*  318531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  318542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318570 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  318570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  318573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318590 */     GIR_RootConstrainSelectedInstOperands,
     /*  318591 */     // GIR_Coverage, 18995,
     /*  318591 */     GIR_EraseRootFromParent_Done,
     /*  318592 */   // Label 5875: @318592
     /*  318592 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318658), // Rule ID 18998 //
     /*  318597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  318608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318636 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  318636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  318639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318656 */     GIR_RootConstrainSelectedInstOperands,
     /*  318657 */     // GIR_Coverage, 18998,
     /*  318657 */     GIR_EraseRootFromParent_Done,
     /*  318658 */   // Label 5876: @318658
     /*  318658 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318724), // Rule ID 18999 //
     /*  318663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  318674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318702 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  318702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  318705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318722 */     GIR_RootConstrainSelectedInstOperands,
     /*  318723 */     // GIR_Coverage, 18999,
     /*  318723 */     GIR_EraseRootFromParent_Done,
     /*  318724 */   // Label 5877: @318724
     /*  318724 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318787), // Rule ID 19662 //
     /*  318729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  318771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318785 */     GIR_RootConstrainSelectedInstOperands,
     /*  318786 */     // GIR_Coverage, 19662,
     /*  318786 */     GIR_EraseRootFromParent_Done,
     /*  318787 */   // Label 5878: @318787
     /*  318787 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318850), // Rule ID 19663 //
     /*  318792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  318809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318831 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  318834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318848 */     GIR_RootConstrainSelectedInstOperands,
     /*  318849 */     // GIR_Coverage, 19663,
     /*  318849 */     GIR_EraseRootFromParent_Done,
     /*  318850 */   // Label 5879: @318850
     /*  318850 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318913), // Rule ID 19666 //
     /*  318855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318894 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  318897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318911 */     GIR_RootConstrainSelectedInstOperands,
     /*  318912 */     // GIR_Coverage, 19666,
     /*  318912 */     GIR_EraseRootFromParent_Done,
     /*  318913 */   // Label 5880: @318913
     /*  318913 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318976), // Rule ID 19667 //
     /*  318918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  318935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  318960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318974 */     GIR_RootConstrainSelectedInstOperands,
     /*  318975 */     // GIR_Coverage, 19667,
     /*  318975 */     GIR_EraseRootFromParent_Done,
     /*  318976 */   // Label 5881: @318976
     /*  318976 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(319039), // Rule ID 19670 //
     /*  318981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  318989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  318998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319037 */     GIR_RootConstrainSelectedInstOperands,
     /*  319038 */     // GIR_Coverage, 19670,
     /*  319038 */     GIR_EraseRootFromParent_Done,
     /*  319039 */   // Label 5882: @319039
     /*  319039 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(319102), // Rule ID 19671 //
     /*  319044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319083 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319100 */     GIR_RootConstrainSelectedInstOperands,
     /*  319101 */     // GIR_Coverage, 19671,
     /*  319101 */     GIR_EraseRootFromParent_Done,
     /*  319102 */   // Label 5883: @319102
     /*  319102 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(319165), // Rule ID 19674 //
     /*  319107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319163 */     GIR_RootConstrainSelectedInstOperands,
     /*  319164 */     // GIR_Coverage, 19674,
     /*  319164 */     GIR_EraseRootFromParent_Done,
     /*  319165 */   // Label 5884: @319165
     /*  319165 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(319228), // Rule ID 19675 //
     /*  319170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319226 */     GIR_RootConstrainSelectedInstOperands,
     /*  319227 */     // GIR_Coverage, 19675,
     /*  319227 */     GIR_EraseRootFromParent_Done,
     /*  319228 */   // Label 5885: @319228
     /*  319228 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(319291), // Rule ID 19678 //
     /*  319233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319289 */     GIR_RootConstrainSelectedInstOperands,
     /*  319290 */     // GIR_Coverage, 19678,
     /*  319290 */     GIR_EraseRootFromParent_Done,
     /*  319291 */   // Label 5886: @319291
     /*  319291 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(319354), // Rule ID 19679 //
     /*  319296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319335 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319352 */     GIR_RootConstrainSelectedInstOperands,
     /*  319353 */     // GIR_Coverage, 19679,
     /*  319353 */     GIR_EraseRootFromParent_Done,
     /*  319354 */   // Label 5887: @319354
     /*  319354 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(319417), // Rule ID 19682 //
     /*  319359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319398 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319415 */     GIR_RootConstrainSelectedInstOperands,
     /*  319416 */     // GIR_Coverage, 19682,
     /*  319416 */     GIR_EraseRootFromParent_Done,
     /*  319417 */   // Label 5888: @319417
     /*  319417 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(319480), // Rule ID 19683 //
     /*  319422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  319439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319461 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319478 */     GIR_RootConstrainSelectedInstOperands,
     /*  319479 */     // GIR_Coverage, 19683,
     /*  319479 */     GIR_EraseRootFromParent_Done,
     /*  319480 */   // Label 5889: @319480
     /*  319480 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(319543), // Rule ID 19686 //
     /*  319485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  319527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319541 */     GIR_RootConstrainSelectedInstOperands,
     /*  319542 */     // GIR_Coverage, 19686,
     /*  319542 */     GIR_EraseRootFromParent_Done,
     /*  319543 */   // Label 5890: @319543
     /*  319543 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(319606), // Rule ID 19687 //
     /*  319548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  319565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319587 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  319590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319604 */     GIR_RootConstrainSelectedInstOperands,
     /*  319605 */     // GIR_Coverage, 19687,
     /*  319605 */     GIR_EraseRootFromParent_Done,
     /*  319606 */   // Label 5891: @319606
     /*  319606 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319669), // Rule ID 19690 //
     /*  319611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319650 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  319653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319667 */     GIR_RootConstrainSelectedInstOperands,
     /*  319668 */     // GIR_Coverage, 19690,
     /*  319668 */     GIR_EraseRootFromParent_Done,
     /*  319669 */   // Label 5892: @319669
     /*  319669 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319732), // Rule ID 19691 //
     /*  319674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  319691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319713 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  319716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319730 */     GIR_RootConstrainSelectedInstOperands,
     /*  319731 */     // GIR_Coverage, 19691,
     /*  319731 */     GIR_EraseRootFromParent_Done,
     /*  319732 */   // Label 5893: @319732
     /*  319732 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319795), // Rule ID 19694 //
     /*  319737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319776 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  319779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319793 */     GIR_RootConstrainSelectedInstOperands,
     /*  319794 */     // GIR_Coverage, 19694,
     /*  319794 */     GIR_EraseRootFromParent_Done,
     /*  319795 */   // Label 5894: @319795
     /*  319795 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319858), // Rule ID 19695 //
     /*  319800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  319817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319839 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  319842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319856 */     GIR_RootConstrainSelectedInstOperands,
     /*  319857 */     // GIR_Coverage, 19695,
     /*  319857 */     GIR_EraseRootFromParent_Done,
     /*  319858 */   // Label 5895: @319858
     /*  319858 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319921), // Rule ID 19698 //
     /*  319863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319902 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  319905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319919 */     GIR_RootConstrainSelectedInstOperands,
     /*  319920 */     // GIR_Coverage, 19698,
     /*  319920 */     GIR_EraseRootFromParent_Done,
     /*  319921 */   // Label 5896: @319921
     /*  319921 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319984), // Rule ID 19699 //
     /*  319926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  319943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319965 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  319968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319982 */     GIR_RootConstrainSelectedInstOperands,
     /*  319983 */     // GIR_Coverage, 19699,
     /*  319983 */     GIR_EraseRootFromParent_Done,
     /*  319984 */   // Label 5897: @319984
     /*  319984 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(320047), // Rule ID 19702 //
     /*  319989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320045 */     GIR_RootConstrainSelectedInstOperands,
     /*  320046 */     // GIR_Coverage, 19702,
     /*  320046 */     GIR_EraseRootFromParent_Done,
     /*  320047 */   // Label 5898: @320047
     /*  320047 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(320110), // Rule ID 19703 //
     /*  320052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320108 */     GIR_RootConstrainSelectedInstOperands,
     /*  320109 */     // GIR_Coverage, 19703,
     /*  320109 */     GIR_EraseRootFromParent_Done,
     /*  320110 */   // Label 5899: @320110
     /*  320110 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(320173), // Rule ID 19706 //
     /*  320115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320154 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320171 */     GIR_RootConstrainSelectedInstOperands,
     /*  320172 */     // GIR_Coverage, 19706,
     /*  320172 */     GIR_EraseRootFromParent_Done,
     /*  320173 */   // Label 5900: @320173
     /*  320173 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(320236), // Rule ID 19707 //
     /*  320178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320234 */     GIR_RootConstrainSelectedInstOperands,
     /*  320235 */     // GIR_Coverage, 19707,
     /*  320235 */     GIR_EraseRootFromParent_Done,
     /*  320236 */   // Label 5901: @320236
     /*  320236 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(320299), // Rule ID 19710 //
     /*  320241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  320258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320297 */     GIR_RootConstrainSelectedInstOperands,
     /*  320298 */     // GIR_Coverage, 19710,
     /*  320298 */     GIR_EraseRootFromParent_Done,
     /*  320299 */   // Label 5902: @320299
     /*  320299 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(320362), // Rule ID 19711 //
     /*  320304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  320321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320360 */     GIR_RootConstrainSelectedInstOperands,
     /*  320361 */     // GIR_Coverage, 19711,
     /*  320361 */     GIR_EraseRootFromParent_Done,
     /*  320362 */   // Label 5903: @320362
     /*  320362 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(320425), // Rule ID 19714 //
     /*  320367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320406 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320423 */     GIR_RootConstrainSelectedInstOperands,
     /*  320424 */     // GIR_Coverage, 19714,
     /*  320424 */     GIR_EraseRootFromParent_Done,
     /*  320425 */   // Label 5904: @320425
     /*  320425 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(320488), // Rule ID 19715 //
     /*  320430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  320447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320486 */     GIR_RootConstrainSelectedInstOperands,
     /*  320487 */     // GIR_Coverage, 19715,
     /*  320487 */     GIR_EraseRootFromParent_Done,
     /*  320488 */   // Label 5905: @320488
     /*  320488 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(320551), // Rule ID 19718 //
     /*  320493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320549 */     GIR_RootConstrainSelectedInstOperands,
     /*  320550 */     // GIR_Coverage, 19718,
     /*  320550 */     GIR_EraseRootFromParent_Done,
     /*  320551 */   // Label 5906: @320551
     /*  320551 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(320614), // Rule ID 19719 //
     /*  320556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  320573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320595 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320612 */     GIR_RootConstrainSelectedInstOperands,
     /*  320613 */     // GIR_Coverage, 19719,
     /*  320613 */     GIR_EraseRootFromParent_Done,
     /*  320614 */   // Label 5907: @320614
     /*  320614 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320677), // Rule ID 19722 //
     /*  320619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  320661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320675 */     GIR_RootConstrainSelectedInstOperands,
     /*  320676 */     // GIR_Coverage, 19722,
     /*  320676 */     GIR_EraseRootFromParent_Done,
     /*  320677 */   // Label 5908: @320677
     /*  320677 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320740), // Rule ID 19723 //
     /*  320682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  320724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320738 */     GIR_RootConstrainSelectedInstOperands,
     /*  320739 */     // GIR_Coverage, 19723,
     /*  320739 */     GIR_EraseRootFromParent_Done,
     /*  320740 */   // Label 5909: @320740
     /*  320740 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320803), // Rule ID 19726 //
     /*  320745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  320787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320801 */     GIR_RootConstrainSelectedInstOperands,
     /*  320802 */     // GIR_Coverage, 19726,
     /*  320802 */     GIR_EraseRootFromParent_Done,
     /*  320803 */   // Label 5910: @320803
     /*  320803 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320866), // Rule ID 19727 //
     /*  320808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  320825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  320850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320864 */     GIR_RootConstrainSelectedInstOperands,
     /*  320865 */     // GIR_Coverage, 19727,
     /*  320865 */     GIR_EraseRootFromParent_Done,
     /*  320866 */   // Label 5911: @320866
     /*  320866 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320929), // Rule ID 19730 //
     /*  320871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  320913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320927 */     GIR_RootConstrainSelectedInstOperands,
     /*  320928 */     // GIR_Coverage, 19730,
     /*  320928 */     GIR_EraseRootFromParent_Done,
     /*  320929 */   // Label 5912: @320929
     /*  320929 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320992), // Rule ID 19731 //
     /*  320934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320973 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  320976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320990 */     GIR_RootConstrainSelectedInstOperands,
     /*  320991 */     // GIR_Coverage, 19731,
     /*  320991 */     GIR_EraseRootFromParent_Done,
     /*  320992 */   // Label 5913: @320992
     /*  320992 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(321055), // Rule ID 19734 //
     /*  320997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  321039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321053 */     GIR_RootConstrainSelectedInstOperands,
     /*  321054 */     // GIR_Coverage, 19734,
     /*  321054 */     GIR_EraseRootFromParent_Done,
     /*  321055 */   // Label 5914: @321055
     /*  321055 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(321118), // Rule ID 19735 //
     /*  321060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321099 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  321102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321116 */     GIR_RootConstrainSelectedInstOperands,
     /*  321117 */     // GIR_Coverage, 19735,
     /*  321117 */     GIR_EraseRootFromParent_Done,
     /*  321118 */   // Label 5915: @321118
     /*  321118 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(321181), // Rule ID 19738 //
     /*  321123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321162 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  321165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321179 */     GIR_RootConstrainSelectedInstOperands,
     /*  321180 */     // GIR_Coverage, 19738,
     /*  321180 */     GIR_EraseRootFromParent_Done,
     /*  321181 */   // Label 5916: @321181
     /*  321181 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(321244), // Rule ID 19739 //
     /*  321186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  321228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321242 */     GIR_RootConstrainSelectedInstOperands,
     /*  321243 */     // GIR_Coverage, 19739,
     /*  321243 */     GIR_EraseRootFromParent_Done,
     /*  321244 */   // Label 5917: @321244
     /*  321244 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(321307), // Rule ID 19742 //
     /*  321249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  321291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321305 */     GIR_RootConstrainSelectedInstOperands,
     /*  321306 */     // GIR_Coverage, 19742,
     /*  321306 */     GIR_EraseRootFromParent_Done,
     /*  321307 */   // Label 5918: @321307
     /*  321307 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(321370), // Rule ID 19743 //
     /*  321312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321351 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  321354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321368 */     GIR_RootConstrainSelectedInstOperands,
     /*  321369 */     // GIR_Coverage, 19743,
     /*  321369 */     GIR_EraseRootFromParent_Done,
     /*  321370 */   // Label 5919: @321370
     /*  321370 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(321433), // Rule ID 19746 //
     /*  321375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321414 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  321417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321431 */     GIR_RootConstrainSelectedInstOperands,
     /*  321432 */     // GIR_Coverage, 19746,
     /*  321432 */     GIR_EraseRootFromParent_Done,
     /*  321433 */   // Label 5920: @321433
     /*  321433 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(321496), // Rule ID 19747 //
     /*  321438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  321480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321494 */     GIR_RootConstrainSelectedInstOperands,
     /*  321495 */     // GIR_Coverage, 19747,
     /*  321495 */     GIR_EraseRootFromParent_Done,
     /*  321496 */   // Label 5921: @321496
     /*  321496 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(321559), // Rule ID 19750 //
     /*  321501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  321543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321557 */     GIR_RootConstrainSelectedInstOperands,
     /*  321558 */     // GIR_Coverage, 19750,
     /*  321558 */     GIR_EraseRootFromParent_Done,
     /*  321559 */   // Label 5922: @321559
     /*  321559 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(321622), // Rule ID 19751 //
     /*  321564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321603 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  321606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321620 */     GIR_RootConstrainSelectedInstOperands,
     /*  321621 */     // GIR_Coverage, 19751,
     /*  321621 */     GIR_EraseRootFromParent_Done,
     /*  321622 */   // Label 5923: @321622
     /*  321622 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321685), // Rule ID 19754 //
     /*  321627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321666 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  321669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321683 */     GIR_RootConstrainSelectedInstOperands,
     /*  321684 */     // GIR_Coverage, 19754,
     /*  321684 */     GIR_EraseRootFromParent_Done,
     /*  321685 */   // Label 5924: @321685
     /*  321685 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321748), // Rule ID 19755 //
     /*  321690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321729 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  321732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321746 */     GIR_RootConstrainSelectedInstOperands,
     /*  321747 */     // GIR_Coverage, 19755,
     /*  321747 */     GIR_EraseRootFromParent_Done,
     /*  321748 */   // Label 5925: @321748
     /*  321748 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321811), // Rule ID 19758 //
     /*  321753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  321795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321809 */     GIR_RootConstrainSelectedInstOperands,
     /*  321810 */     // GIR_Coverage, 19758,
     /*  321810 */     GIR_EraseRootFromParent_Done,
     /*  321811 */   // Label 5926: @321811
     /*  321811 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321874), // Rule ID 19759 //
     /*  321816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321855 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  321858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321872 */     GIR_RootConstrainSelectedInstOperands,
     /*  321873 */     // GIR_Coverage, 19759,
     /*  321873 */     GIR_EraseRootFromParent_Done,
     /*  321874 */   // Label 5927: @321874
     /*  321874 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321937), // Rule ID 19762 //
     /*  321879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  321921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321935 */     GIR_RootConstrainSelectedInstOperands,
     /*  321936 */     // GIR_Coverage, 19762,
     /*  321936 */     GIR_EraseRootFromParent_Done,
     /*  321937 */   // Label 5928: @321937
     /*  321937 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(322000), // Rule ID 19763 //
     /*  321942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  321984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321998 */     GIR_RootConstrainSelectedInstOperands,
     /*  321999 */     // GIR_Coverage, 19763,
     /*  321999 */     GIR_EraseRootFromParent_Done,
     /*  322000 */   // Label 5929: @322000
     /*  322000 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(322063), // Rule ID 19766 //
     /*  322005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  322047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322061 */     GIR_RootConstrainSelectedInstOperands,
     /*  322062 */     // GIR_Coverage, 19766,
     /*  322062 */     GIR_EraseRootFromParent_Done,
     /*  322063 */   // Label 5930: @322063
     /*  322063 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(322126), // Rule ID 19767 //
     /*  322068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  322110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322124 */     GIR_RootConstrainSelectedInstOperands,
     /*  322125 */     // GIR_Coverage, 19767,
     /*  322125 */     GIR_EraseRootFromParent_Done,
     /*  322126 */   // Label 5931: @322126
     /*  322126 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(322189), // Rule ID 19770 //
     /*  322131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322170 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  322173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322187 */     GIR_RootConstrainSelectedInstOperands,
     /*  322188 */     // GIR_Coverage, 19770,
     /*  322188 */     GIR_EraseRootFromParent_Done,
     /*  322189 */   // Label 5932: @322189
     /*  322189 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(322252), // Rule ID 19771 //
     /*  322194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  322236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322250 */     GIR_RootConstrainSelectedInstOperands,
     /*  322251 */     // GIR_Coverage, 19771,
     /*  322251 */     GIR_EraseRootFromParent_Done,
     /*  322252 */   // Label 5933: @322252
     /*  322252 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(322315), // Rule ID 19774 //
     /*  322257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  322299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322313 */     GIR_RootConstrainSelectedInstOperands,
     /*  322314 */     // GIR_Coverage, 19774,
     /*  322314 */     GIR_EraseRootFromParent_Done,
     /*  322315 */   // Label 5934: @322315
     /*  322315 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(322378), // Rule ID 19775 //
     /*  322320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  322362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322376 */     GIR_RootConstrainSelectedInstOperands,
     /*  322377 */     // GIR_Coverage, 19775,
     /*  322377 */     GIR_EraseRootFromParent_Done,
     /*  322378 */   // Label 5935: @322378
     /*  322378 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(322441), // Rule ID 19778 //
     /*  322383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  322425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322439 */     GIR_RootConstrainSelectedInstOperands,
     /*  322440 */     // GIR_Coverage, 19778,
     /*  322440 */     GIR_EraseRootFromParent_Done,
     /*  322441 */   // Label 5936: @322441
     /*  322441 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(322504), // Rule ID 19779 //
     /*  322446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  322488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322502 */     GIR_RootConstrainSelectedInstOperands,
     /*  322503 */     // GIR_Coverage, 19779,
     /*  322503 */     GIR_EraseRootFromParent_Done,
     /*  322504 */   // Label 5937: @322504
     /*  322504 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(322567), // Rule ID 19782 //
     /*  322509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  322551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322565 */     GIR_RootConstrainSelectedInstOperands,
     /*  322566 */     // GIR_Coverage, 19782,
     /*  322566 */     GIR_EraseRootFromParent_Done,
     /*  322567 */   // Label 5938: @322567
     /*  322567 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322630), // Rule ID 19783 //
     /*  322572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  322589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  322614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322628 */     GIR_RootConstrainSelectedInstOperands,
     /*  322629 */     // GIR_Coverage, 19783,
     /*  322629 */     GIR_EraseRootFromParent_Done,
     /*  322630 */   // Label 5939: @322630
     /*  322630 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322693), // Rule ID 19786 //
     /*  322635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  322677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322691 */     GIR_RootConstrainSelectedInstOperands,
     /*  322692 */     // GIR_Coverage, 19786,
     /*  322692 */     GIR_EraseRootFromParent_Done,
     /*  322693 */   // Label 5940: @322693
     /*  322693 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322756), // Rule ID 19787 //
     /*  322698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  322715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  322740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322754 */     GIR_RootConstrainSelectedInstOperands,
     /*  322755 */     // GIR_Coverage, 19787,
     /*  322755 */     GIR_EraseRootFromParent_Done,
     /*  322756 */   // Label 5941: @322756
     /*  322756 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322819), // Rule ID 19790 //
     /*  322761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  322803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322817 */     GIR_RootConstrainSelectedInstOperands,
     /*  322818 */     // GIR_Coverage, 19790,
     /*  322818 */     GIR_EraseRootFromParent_Done,
     /*  322819 */   // Label 5942: @322819
     /*  322819 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322882), // Rule ID 19791 //
     /*  322824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  322841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322863 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  322866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322880 */     GIR_RootConstrainSelectedInstOperands,
     /*  322881 */     // GIR_Coverage, 19791,
     /*  322881 */     GIR_EraseRootFromParent_Done,
     /*  322882 */   // Label 5943: @322882
     /*  322882 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322945), // Rule ID 19794 //
     /*  322887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322926 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  322929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322943 */     GIR_RootConstrainSelectedInstOperands,
     /*  322944 */     // GIR_Coverage, 19794,
     /*  322944 */     GIR_EraseRootFromParent_Done,
     /*  322945 */   // Label 5944: @322945
     /*  322945 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(323008), // Rule ID 19795 //
     /*  322950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  322958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  322967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  322992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323006 */     GIR_RootConstrainSelectedInstOperands,
     /*  323007 */     // GIR_Coverage, 19795,
     /*  323007 */     GIR_EraseRootFromParent_Done,
     /*  323008 */   // Label 5945: @323008
     /*  323008 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(323071), // Rule ID 19798 //
     /*  323013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323069 */     GIR_RootConstrainSelectedInstOperands,
     /*  323070 */     // GIR_Coverage, 19798,
     /*  323070 */     GIR_EraseRootFromParent_Done,
     /*  323071 */   // Label 5946: @323071
     /*  323071 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(323134), // Rule ID 19799 //
     /*  323076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323132 */     GIR_RootConstrainSelectedInstOperands,
     /*  323133 */     // GIR_Coverage, 19799,
     /*  323133 */     GIR_EraseRootFromParent_Done,
     /*  323134 */   // Label 5947: @323134
     /*  323134 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(323197), // Rule ID 19802 //
     /*  323139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323195 */     GIR_RootConstrainSelectedInstOperands,
     /*  323196 */     // GIR_Coverage, 19802,
     /*  323196 */     GIR_EraseRootFromParent_Done,
     /*  323197 */   // Label 5948: @323197
     /*  323197 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(323260), // Rule ID 19803 //
     /*  323202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323258 */     GIR_RootConstrainSelectedInstOperands,
     /*  323259 */     // GIR_Coverage, 19803,
     /*  323259 */     GIR_EraseRootFromParent_Done,
     /*  323260 */   // Label 5949: @323260
     /*  323260 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(323323), // Rule ID 19806 //
     /*  323265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323321 */     GIR_RootConstrainSelectedInstOperands,
     /*  323322 */     // GIR_Coverage, 19806,
     /*  323322 */     GIR_EraseRootFromParent_Done,
     /*  323323 */   // Label 5950: @323323
     /*  323323 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(323386), // Rule ID 19807 //
     /*  323328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323384 */     GIR_RootConstrainSelectedInstOperands,
     /*  323385 */     // GIR_Coverage, 19807,
     /*  323385 */     GIR_EraseRootFromParent_Done,
     /*  323386 */   // Label 5951: @323386
     /*  323386 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(323449), // Rule ID 19810 //
     /*  323391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323430 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  323433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323447 */     GIR_RootConstrainSelectedInstOperands,
     /*  323448 */     // GIR_Coverage, 19810,
     /*  323448 */     GIR_EraseRootFromParent_Done,
     /*  323449 */   // Label 5952: @323449
     /*  323449 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(323512), // Rule ID 19811 //
     /*  323454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  323496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323510 */     GIR_RootConstrainSelectedInstOperands,
     /*  323511 */     // GIR_Coverage, 19811,
     /*  323511 */     GIR_EraseRootFromParent_Done,
     /*  323512 */   // Label 5953: @323512
     /*  323512 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(323575), // Rule ID 19814 //
     /*  323517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323556 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  323559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323573 */     GIR_RootConstrainSelectedInstOperands,
     /*  323574 */     // GIR_Coverage, 19814,
     /*  323574 */     GIR_EraseRootFromParent_Done,
     /*  323575 */   // Label 5954: @323575
     /*  323575 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323638), // Rule ID 19815 //
     /*  323580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323619 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  323622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323636 */     GIR_RootConstrainSelectedInstOperands,
     /*  323637 */     // GIR_Coverage, 19815,
     /*  323637 */     GIR_EraseRootFromParent_Done,
     /*  323638 */   // Label 5955: @323638
     /*  323638 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323701), // Rule ID 19818 //
     /*  323643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323682 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323699 */     GIR_RootConstrainSelectedInstOperands,
     /*  323700 */     // GIR_Coverage, 19818,
     /*  323700 */     GIR_EraseRootFromParent_Done,
     /*  323701 */   // Label 5956: @323701
     /*  323701 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323764), // Rule ID 19819 //
     /*  323706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  323723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323745 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323762 */     GIR_RootConstrainSelectedInstOperands,
     /*  323763 */     // GIR_Coverage, 19819,
     /*  323763 */     GIR_EraseRootFromParent_Done,
     /*  323764 */   // Label 5957: @323764
     /*  323764 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323827), // Rule ID 19822 //
     /*  323769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  323811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323825 */     GIR_RootConstrainSelectedInstOperands,
     /*  323826 */     // GIR_Coverage, 19822,
     /*  323826 */     GIR_EraseRootFromParent_Done,
     /*  323827 */   // Label 5958: @323827
     /*  323827 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323890), // Rule ID 19823 //
     /*  323832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  323849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  323874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323888 */     GIR_RootConstrainSelectedInstOperands,
     /*  323889 */     // GIR_Coverage, 19823,
     /*  323889 */     GIR_EraseRootFromParent_Done,
     /*  323890 */   // Label 5959: @323890
     /*  323890 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323953), // Rule ID 19826 //
     /*  323895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323934 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  323937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323951 */     GIR_RootConstrainSelectedInstOperands,
     /*  323952 */     // GIR_Coverage, 19826,
     /*  323952 */     GIR_EraseRootFromParent_Done,
     /*  323953 */   // Label 5960: @323953
     /*  323953 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(324016), // Rule ID 19827 //
     /*  323958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  323975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324014 */     GIR_RootConstrainSelectedInstOperands,
     /*  324015 */     // GIR_Coverage, 19827,
     /*  324015 */     GIR_EraseRootFromParent_Done,
     /*  324016 */   // Label 5961: @324016
     /*  324016 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(324079), // Rule ID 19830 //
     /*  324021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324077 */     GIR_RootConstrainSelectedInstOperands,
     /*  324078 */     // GIR_Coverage, 19830,
     /*  324078 */     GIR_EraseRootFromParent_Done,
     /*  324079 */   // Label 5962: @324079
     /*  324079 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(324142), // Rule ID 19831 //
     /*  324084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324123 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324140 */     GIR_RootConstrainSelectedInstOperands,
     /*  324141 */     // GIR_Coverage, 19831,
     /*  324141 */     GIR_EraseRootFromParent_Done,
     /*  324142 */   // Label 5963: @324142
     /*  324142 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(324205), // Rule ID 19834 //
     /*  324147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324186 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324203 */     GIR_RootConstrainSelectedInstOperands,
     /*  324204 */     // GIR_Coverage, 19834,
     /*  324204 */     GIR_EraseRootFromParent_Done,
     /*  324205 */   // Label 5964: @324205
     /*  324205 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(324268), // Rule ID 19835 //
     /*  324210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324266 */     GIR_RootConstrainSelectedInstOperands,
     /*  324267 */     // GIR_Coverage, 19835,
     /*  324267 */     GIR_EraseRootFromParent_Done,
     /*  324268 */   // Label 5965: @324268
     /*  324268 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(324331), // Rule ID 19838 //
     /*  324273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  324290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324329 */     GIR_RootConstrainSelectedInstOperands,
     /*  324330 */     // GIR_Coverage, 19838,
     /*  324330 */     GIR_EraseRootFromParent_Done,
     /*  324331 */   // Label 5966: @324331
     /*  324331 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(324394), // Rule ID 19839 //
     /*  324336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  324353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324392 */     GIR_RootConstrainSelectedInstOperands,
     /*  324393 */     // GIR_Coverage, 19839,
     /*  324393 */     GIR_EraseRootFromParent_Done,
     /*  324394 */   // Label 5967: @324394
     /*  324394 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(324457), // Rule ID 19842 //
     /*  324399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324438 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  324441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324455 */     GIR_RootConstrainSelectedInstOperands,
     /*  324456 */     // GIR_Coverage, 19842,
     /*  324456 */     GIR_EraseRootFromParent_Done,
     /*  324457 */   // Label 5968: @324457
     /*  324457 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(324520), // Rule ID 19843 //
     /*  324462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  324504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324518 */     GIR_RootConstrainSelectedInstOperands,
     /*  324519 */     // GIR_Coverage, 19843,
     /*  324519 */     GIR_EraseRootFromParent_Done,
     /*  324520 */   // Label 5969: @324520
     /*  324520 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(324583), // Rule ID 19846 //
     /*  324525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  324567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324581 */     GIR_RootConstrainSelectedInstOperands,
     /*  324582 */     // GIR_Coverage, 19846,
     /*  324582 */     GIR_EraseRootFromParent_Done,
     /*  324583 */   // Label 5970: @324583
     /*  324583 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324646), // Rule ID 19847 //
     /*  324588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  324630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324644 */     GIR_RootConstrainSelectedInstOperands,
     /*  324645 */     // GIR_Coverage, 19847,
     /*  324645 */     GIR_EraseRootFromParent_Done,
     /*  324646 */   // Label 5971: @324646
     /*  324646 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324709), // Rule ID 19850 //
     /*  324651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324690 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  324693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324707 */     GIR_RootConstrainSelectedInstOperands,
     /*  324708 */     // GIR_Coverage, 19850,
     /*  324708 */     GIR_EraseRootFromParent_Done,
     /*  324709 */   // Label 5972: @324709
     /*  324709 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324772), // Rule ID 19851 //
     /*  324714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  324756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324770 */     GIR_RootConstrainSelectedInstOperands,
     /*  324771 */     // GIR_Coverage, 19851,
     /*  324771 */     GIR_EraseRootFromParent_Done,
     /*  324772 */   // Label 5973: @324772
     /*  324772 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324835), // Rule ID 19854 //
     /*  324777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  324819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324833 */     GIR_RootConstrainSelectedInstOperands,
     /*  324834 */     // GIR_Coverage, 19854,
     /*  324834 */     GIR_EraseRootFromParent_Done,
     /*  324835 */   // Label 5974: @324835
     /*  324835 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324898), // Rule ID 19855 //
     /*  324840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324879 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  324882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324896 */     GIR_RootConstrainSelectedInstOperands,
     /*  324897 */     // GIR_Coverage, 19855,
     /*  324897 */     GIR_EraseRootFromParent_Done,
     /*  324898 */   // Label 5975: @324898
     /*  324898 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324961), // Rule ID 19858 //
     /*  324903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324942 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  324945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324959 */     GIR_RootConstrainSelectedInstOperands,
     /*  324960 */     // GIR_Coverage, 19858,
     /*  324960 */     GIR_EraseRootFromParent_Done,
     /*  324961 */   // Label 5976: @324961
     /*  324961 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(325024), // Rule ID 19859 //
     /*  324966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  325008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325022 */     GIR_RootConstrainSelectedInstOperands,
     /*  325023 */     // GIR_Coverage, 19859,
     /*  325023 */     GIR_EraseRootFromParent_Done,
     /*  325024 */   // Label 5977: @325024
     /*  325024 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(325087), // Rule ID 19862 //
     /*  325029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  325071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325085 */     GIR_RootConstrainSelectedInstOperands,
     /*  325086 */     // GIR_Coverage, 19862,
     /*  325086 */     GIR_EraseRootFromParent_Done,
     /*  325087 */   // Label 5978: @325087
     /*  325087 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(325150), // Rule ID 19863 //
     /*  325092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325131 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  325134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325148 */     GIR_RootConstrainSelectedInstOperands,
     /*  325149 */     // GIR_Coverage, 19863,
     /*  325149 */     GIR_EraseRootFromParent_Done,
     /*  325150 */   // Label 5979: @325150
     /*  325150 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(325213), // Rule ID 19866 //
     /*  325155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  325197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325211 */     GIR_RootConstrainSelectedInstOperands,
     /*  325212 */     // GIR_Coverage, 19866,
     /*  325212 */     GIR_EraseRootFromParent_Done,
     /*  325213 */   // Label 5980: @325213
     /*  325213 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(325276), // Rule ID 19867 //
     /*  325218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  325260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325274 */     GIR_RootConstrainSelectedInstOperands,
     /*  325275 */     // GIR_Coverage, 19867,
     /*  325275 */     GIR_EraseRootFromParent_Done,
     /*  325276 */   // Label 5981: @325276
     /*  325276 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(325339), // Rule ID 19870 //
     /*  325281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  325323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325337 */     GIR_RootConstrainSelectedInstOperands,
     /*  325338 */     // GIR_Coverage, 19870,
     /*  325338 */     GIR_EraseRootFromParent_Done,
     /*  325339 */   // Label 5982: @325339
     /*  325339 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(325402), // Rule ID 19871 //
     /*  325344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325383 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  325386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325400 */     GIR_RootConstrainSelectedInstOperands,
     /*  325401 */     // GIR_Coverage, 19871,
     /*  325401 */     GIR_EraseRootFromParent_Done,
     /*  325402 */   // Label 5983: @325402
     /*  325402 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(325465), // Rule ID 19874 //
     /*  325407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325446 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  325449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325463 */     GIR_RootConstrainSelectedInstOperands,
     /*  325464 */     // GIR_Coverage, 19874,
     /*  325464 */     GIR_EraseRootFromParent_Done,
     /*  325465 */   // Label 5984: @325465
     /*  325465 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(325528), // Rule ID 19875 //
     /*  325470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325509 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  325512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325526 */     GIR_RootConstrainSelectedInstOperands,
     /*  325527 */     // GIR_Coverage, 19875,
     /*  325527 */     GIR_EraseRootFromParent_Done,
     /*  325528 */   // Label 5985: @325528
     /*  325528 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(325591), // Rule ID 19878 //
     /*  325533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  325575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325589 */     GIR_RootConstrainSelectedInstOperands,
     /*  325590 */     // GIR_Coverage, 19878,
     /*  325590 */     GIR_EraseRootFromParent_Done,
     /*  325591 */   // Label 5986: @325591
     /*  325591 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325654), // Rule ID 19879 //
     /*  325596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325635 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  325638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325652 */     GIR_RootConstrainSelectedInstOperands,
     /*  325653 */     // GIR_Coverage, 19879,
     /*  325653 */     GIR_EraseRootFromParent_Done,
     /*  325654 */   // Label 5987: @325654
     /*  325654 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325717), // Rule ID 19882 //
     /*  325659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325698 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  325701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325715 */     GIR_RootConstrainSelectedInstOperands,
     /*  325716 */     // GIR_Coverage, 19882,
     /*  325716 */     GIR_EraseRootFromParent_Done,
     /*  325717 */   // Label 5988: @325717
     /*  325717 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325780), // Rule ID 19883 //
     /*  325722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  325764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325778 */     GIR_RootConstrainSelectedInstOperands,
     /*  325779 */     // GIR_Coverage, 19883,
     /*  325779 */     GIR_EraseRootFromParent_Done,
     /*  325780 */   // Label 5989: @325780
     /*  325780 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325843), // Rule ID 19886 //
     /*  325785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  325827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325841 */     GIR_RootConstrainSelectedInstOperands,
     /*  325842 */     // GIR_Coverage, 19886,
     /*  325842 */     GIR_EraseRootFromParent_Done,
     /*  325843 */   // Label 5990: @325843
     /*  325843 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325906), // Rule ID 19887 //
     /*  325848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  325890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325904 */     GIR_RootConstrainSelectedInstOperands,
     /*  325905 */     // GIR_Coverage, 19887,
     /*  325905 */     GIR_EraseRootFromParent_Done,
     /*  325906 */   // Label 5991: @325906
     /*  325906 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325969), // Rule ID 19890 //
     /*  325911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325950 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  325953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325967 */     GIR_RootConstrainSelectedInstOperands,
     /*  325968 */     // GIR_Coverage, 19890,
     /*  325968 */     GIR_EraseRootFromParent_Done,
     /*  325969 */   // Label 5992: @325969
     /*  325969 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(326032), // Rule ID 19891 //
     /*  325974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  326016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326030 */     GIR_RootConstrainSelectedInstOperands,
     /*  326031 */     // GIR_Coverage, 19891,
     /*  326031 */     GIR_EraseRootFromParent_Done,
     /*  326032 */   // Label 5993: @326032
     /*  326032 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(326095), // Rule ID 19894 //
     /*  326037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  326079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326093 */     GIR_RootConstrainSelectedInstOperands,
     /*  326094 */     // GIR_Coverage, 19894,
     /*  326094 */     GIR_EraseRootFromParent_Done,
     /*  326095 */   // Label 5994: @326095
     /*  326095 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(326158), // Rule ID 19895 //
     /*  326100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326139 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  326142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326156 */     GIR_RootConstrainSelectedInstOperands,
     /*  326157 */     // GIR_Coverage, 19895,
     /*  326157 */     GIR_EraseRootFromParent_Done,
     /*  326158 */   // Label 5995: @326158
     /*  326158 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(326221), // Rule ID 19898 //
     /*  326163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  326205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326219 */     GIR_RootConstrainSelectedInstOperands,
     /*  326220 */     // GIR_Coverage, 19898,
     /*  326220 */     GIR_EraseRootFromParent_Done,
     /*  326221 */   // Label 5996: @326221
     /*  326221 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(326284), // Rule ID 19899 //
     /*  326226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  326268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326282 */     GIR_RootConstrainSelectedInstOperands,
     /*  326283 */     // GIR_Coverage, 19899,
     /*  326283 */     GIR_EraseRootFromParent_Done,
     /*  326284 */   // Label 5997: @326284
     /*  326284 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(326347), // Rule ID 19902 //
     /*  326289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  326306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  326331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326345 */     GIR_RootConstrainSelectedInstOperands,
     /*  326346 */     // GIR_Coverage, 19902,
     /*  326346 */     GIR_EraseRootFromParent_Done,
     /*  326347 */   // Label 5998: @326347
     /*  326347 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(326410), // Rule ID 19903 //
     /*  326352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  326369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326391 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  326394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326408 */     GIR_RootConstrainSelectedInstOperands,
     /*  326409 */     // GIR_Coverage, 19903,
     /*  326409 */     GIR_EraseRootFromParent_Done,
     /*  326410 */   // Label 5999: @326410
     /*  326410 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(326473), // Rule ID 19906 //
     /*  326415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326454 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326471 */     GIR_RootConstrainSelectedInstOperands,
     /*  326472 */     // GIR_Coverage, 19906,
     /*  326472 */     GIR_EraseRootFromParent_Done,
     /*  326473 */   // Label 6000: @326473
     /*  326473 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(326536), // Rule ID 19907 //
     /*  326478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  326495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326534 */     GIR_RootConstrainSelectedInstOperands,
     /*  326535 */     // GIR_Coverage, 19907,
     /*  326535 */     GIR_EraseRootFromParent_Done,
     /*  326536 */   // Label 6001: @326536
     /*  326536 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(326599), // Rule ID 19910 //
     /*  326541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326597 */     GIR_RootConstrainSelectedInstOperands,
     /*  326598 */     // GIR_Coverage, 19910,
     /*  326598 */     GIR_EraseRootFromParent_Done,
     /*  326599 */   // Label 6002: @326599
     /*  326599 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326662), // Rule ID 19911 //
     /*  326604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  326621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326643 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  326646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326660 */     GIR_RootConstrainSelectedInstOperands,
     /*  326661 */     // GIR_Coverage, 19911,
     /*  326661 */     GIR_EraseRootFromParent_Done,
     /*  326662 */   // Label 6003: @326662
     /*  326662 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326725), // Rule ID 19914 //
     /*  326667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  326709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326723 */     GIR_RootConstrainSelectedInstOperands,
     /*  326724 */     // GIR_Coverage, 19914,
     /*  326724 */     GIR_EraseRootFromParent_Done,
     /*  326725 */   // Label 6004: @326725
     /*  326725 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326788), // Rule ID 19915 //
     /*  326730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  326747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  326772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326786 */     GIR_RootConstrainSelectedInstOperands,
     /*  326787 */     // GIR_Coverage, 19915,
     /*  326787 */     GIR_EraseRootFromParent_Done,
     /*  326788 */   // Label 6005: @326788
     /*  326788 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326851), // Rule ID 19918 //
     /*  326793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  326835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326849 */     GIR_RootConstrainSelectedInstOperands,
     /*  326850 */     // GIR_Coverage, 19918,
     /*  326850 */     GIR_EraseRootFromParent_Done,
     /*  326851 */   // Label 6006: @326851
     /*  326851 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326914), // Rule ID 19919 //
     /*  326856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  326873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326895 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  326898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326912 */     GIR_RootConstrainSelectedInstOperands,
     /*  326913 */     // GIR_Coverage, 19919,
     /*  326913 */     GIR_EraseRootFromParent_Done,
     /*  326914 */   // Label 6007: @326914
     /*  326914 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326977), // Rule ID 19922 //
     /*  326919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  326961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326975 */     GIR_RootConstrainSelectedInstOperands,
     /*  326976 */     // GIR_Coverage, 19922,
     /*  326976 */     GIR_EraseRootFromParent_Done,
     /*  326977 */   // Label 6008: @326977
     /*  326977 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(327040), // Rule ID 19923 //
     /*  326982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  326999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327038 */     GIR_RootConstrainSelectedInstOperands,
     /*  327039 */     // GIR_Coverage, 19923,
     /*  327039 */     GIR_EraseRootFromParent_Done,
     /*  327040 */   // Label 6009: @327040
     /*  327040 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(327103), // Rule ID 19926 //
     /*  327045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327101 */     GIR_RootConstrainSelectedInstOperands,
     /*  327102 */     // GIR_Coverage, 19926,
     /*  327102 */     GIR_EraseRootFromParent_Done,
     /*  327103 */   // Label 6010: @327103
     /*  327103 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(327166), // Rule ID 19927 //
     /*  327108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327147 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327164 */     GIR_RootConstrainSelectedInstOperands,
     /*  327165 */     // GIR_Coverage, 19927,
     /*  327165 */     GIR_EraseRootFromParent_Done,
     /*  327166 */   // Label 6011: @327166
     /*  327166 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(327229), // Rule ID 19930 //
     /*  327171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327210 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327227 */     GIR_RootConstrainSelectedInstOperands,
     /*  327228 */     // GIR_Coverage, 19930,
     /*  327228 */     GIR_EraseRootFromParent_Done,
     /*  327229 */   // Label 6012: @327229
     /*  327229 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(327292), // Rule ID 19931 //
     /*  327234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327273 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327290 */     GIR_RootConstrainSelectedInstOperands,
     /*  327291 */     // GIR_Coverage, 19931,
     /*  327291 */     GIR_EraseRootFromParent_Done,
     /*  327292 */   // Label 6013: @327292
     /*  327292 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(327355), // Rule ID 19934 //
     /*  327297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327353 */     GIR_RootConstrainSelectedInstOperands,
     /*  327354 */     // GIR_Coverage, 19934,
     /*  327354 */     GIR_EraseRootFromParent_Done,
     /*  327355 */   // Label 6014: @327355
     /*  327355 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(327418), // Rule ID 19935 //
     /*  327360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327399 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327416 */     GIR_RootConstrainSelectedInstOperands,
     /*  327417 */     // GIR_Coverage, 19935,
     /*  327417 */     GIR_EraseRootFromParent_Done,
     /*  327418 */   // Label 6015: @327418
     /*  327418 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(327481), // Rule ID 19938 //
     /*  327423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327462 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327479 */     GIR_RootConstrainSelectedInstOperands,
     /*  327480 */     // GIR_Coverage, 19938,
     /*  327480 */     GIR_EraseRootFromParent_Done,
     /*  327481 */   // Label 6016: @327481
     /*  327481 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(327544), // Rule ID 19939 //
     /*  327486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  327503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327542 */     GIR_RootConstrainSelectedInstOperands,
     /*  327543 */     // GIR_Coverage, 19939,
     /*  327543 */     GIR_EraseRootFromParent_Done,
     /*  327544 */   // Label 6017: @327544
     /*  327544 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(327607), // Rule ID 19942 //
     /*  327549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327605 */     GIR_RootConstrainSelectedInstOperands,
     /*  327606 */     // GIR_Coverage, 19942,
     /*  327606 */     GIR_EraseRootFromParent_Done,
     /*  327607 */   // Label 6018: @327607
     /*  327607 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327670), // Rule ID 19943 //
     /*  327612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  327629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327668 */     GIR_RootConstrainSelectedInstOperands,
     /*  327669 */     // GIR_Coverage, 19943,
     /*  327669 */     GIR_EraseRootFromParent_Done,
     /*  327670 */   // Label 6019: @327670
     /*  327670 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327733), // Rule ID 19946 //
     /*  327675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327714 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327731 */     GIR_RootConstrainSelectedInstOperands,
     /*  327732 */     // GIR_Coverage, 19946,
     /*  327732 */     GIR_EraseRootFromParent_Done,
     /*  327733 */   // Label 6020: @327733
     /*  327733 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327796), // Rule ID 19947 //
     /*  327738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  327755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327777 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  327780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327794 */     GIR_RootConstrainSelectedInstOperands,
     /*  327795 */     // GIR_Coverage, 19947,
     /*  327795 */     GIR_EraseRootFromParent_Done,
     /*  327796 */   // Label 6021: @327796
     /*  327796 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327859), // Rule ID 19950 //
     /*  327801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327857 */     GIR_RootConstrainSelectedInstOperands,
     /*  327858 */     // GIR_Coverage, 19950,
     /*  327858 */     GIR_EraseRootFromParent_Done,
     /*  327859 */   // Label 6022: @327859
     /*  327859 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327922), // Rule ID 19951 //
     /*  327864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  327881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327920 */     GIR_RootConstrainSelectedInstOperands,
     /*  327921 */     // GIR_Coverage, 19951,
     /*  327921 */     GIR_EraseRootFromParent_Done,
     /*  327922 */   // Label 6023: @327922
     /*  327922 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327985), // Rule ID 19954 //
     /*  327927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  327944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327966 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327983 */     GIR_RootConstrainSelectedInstOperands,
     /*  327984 */     // GIR_Coverage, 19954,
     /*  327984 */     GIR_EraseRootFromParent_Done,
     /*  327985 */   // Label 6024: @327985
     /*  327985 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(328048), // Rule ID 19955 //
     /*  327990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328029 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328046 */     GIR_RootConstrainSelectedInstOperands,
     /*  328047 */     // GIR_Coverage, 19955,
     /*  328047 */     GIR_EraseRootFromParent_Done,
     /*  328048 */   // Label 6025: @328048
     /*  328048 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(328111), // Rule ID 19958 //
     /*  328053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328109 */     GIR_RootConstrainSelectedInstOperands,
     /*  328110 */     // GIR_Coverage, 19958,
     /*  328110 */     GIR_EraseRootFromParent_Done,
     /*  328111 */   // Label 6026: @328111
     /*  328111 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(328174), // Rule ID 19959 //
     /*  328116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328155 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328172 */     GIR_RootConstrainSelectedInstOperands,
     /*  328173 */     // GIR_Coverage, 19959,
     /*  328173 */     GIR_EraseRootFromParent_Done,
     /*  328174 */   // Label 6027: @328174
     /*  328174 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(328237), // Rule ID 19962 //
     /*  328179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328218 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  328221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328235 */     GIR_RootConstrainSelectedInstOperands,
     /*  328236 */     // GIR_Coverage, 19962,
     /*  328236 */     GIR_EraseRootFromParent_Done,
     /*  328237 */   // Label 6028: @328237
     /*  328237 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(328300), // Rule ID 19963 //
     /*  328242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328281 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  328284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328298 */     GIR_RootConstrainSelectedInstOperands,
     /*  328299 */     // GIR_Coverage, 19963,
     /*  328299 */     GIR_EraseRootFromParent_Done,
     /*  328300 */   // Label 6029: @328300
     /*  328300 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(328363), // Rule ID 19966 //
     /*  328305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  328347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328361 */     GIR_RootConstrainSelectedInstOperands,
     /*  328362 */     // GIR_Coverage, 19966,
     /*  328362 */     GIR_EraseRootFromParent_Done,
     /*  328363 */   // Label 6030: @328363
     /*  328363 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(328426), // Rule ID 19967 //
     /*  328368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328407 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  328410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328424 */     GIR_RootConstrainSelectedInstOperands,
     /*  328425 */     // GIR_Coverage, 19967,
     /*  328425 */     GIR_EraseRootFromParent_Done,
     /*  328426 */   // Label 6031: @328426
     /*  328426 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(328489), // Rule ID 19970 //
     /*  328431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328470 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  328473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328487 */     GIR_RootConstrainSelectedInstOperands,
     /*  328488 */     // GIR_Coverage, 19970,
     /*  328488 */     GIR_EraseRootFromParent_Done,
     /*  328489 */   // Label 6032: @328489
     /*  328489 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(328552), // Rule ID 19971 //
     /*  328494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  328536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328550 */     GIR_RootConstrainSelectedInstOperands,
     /*  328551 */     // GIR_Coverage, 19971,
     /*  328551 */     GIR_EraseRootFromParent_Done,
     /*  328552 */   // Label 6033: @328552
     /*  328552 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(328615), // Rule ID 19974 //
     /*  328557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  328599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328613 */     GIR_RootConstrainSelectedInstOperands,
     /*  328614 */     // GIR_Coverage, 19974,
     /*  328614 */     GIR_EraseRootFromParent_Done,
     /*  328615 */   // Label 6034: @328615
     /*  328615 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328678), // Rule ID 19975 //
     /*  328620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328659 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  328662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328676 */     GIR_RootConstrainSelectedInstOperands,
     /*  328677 */     // GIR_Coverage, 19975,
     /*  328677 */     GIR_EraseRootFromParent_Done,
     /*  328678 */   // Label 6035: @328678
     /*  328678 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328741), // Rule ID 19978 //
     /*  328683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328722 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  328725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328739 */     GIR_RootConstrainSelectedInstOperands,
     /*  328740 */     // GIR_Coverage, 19978,
     /*  328740 */     GIR_EraseRootFromParent_Done,
     /*  328741 */   // Label 6036: @328741
     /*  328741 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328804), // Rule ID 19979 //
     /*  328746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328785 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  328788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328802 */     GIR_RootConstrainSelectedInstOperands,
     /*  328803 */     // GIR_Coverage, 19979,
     /*  328803 */     GIR_EraseRootFromParent_Done,
     /*  328804 */   // Label 6037: @328804
     /*  328804 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328867), // Rule ID 19982 //
     /*  328809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  328851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328865 */     GIR_RootConstrainSelectedInstOperands,
     /*  328866 */     // GIR_Coverage, 19982,
     /*  328866 */     GIR_EraseRootFromParent_Done,
     /*  328867 */   // Label 6038: @328867
     /*  328867 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328930), // Rule ID 19983 //
     /*  328872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  328914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328928 */     GIR_RootConstrainSelectedInstOperands,
     /*  328929 */     // GIR_Coverage, 19983,
     /*  328929 */     GIR_EraseRootFromParent_Done,
     /*  328930 */   // Label 6039: @328930
     /*  328930 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328993), // Rule ID 19986 //
     /*  328935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  328977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328991 */     GIR_RootConstrainSelectedInstOperands,
     /*  328992 */     // GIR_Coverage, 19986,
     /*  328992 */     GIR_EraseRootFromParent_Done,
     /*  328993 */   // Label 6040: @328993
     /*  328993 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(329056), // Rule ID 19987 //
     /*  328998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  329040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329054 */     GIR_RootConstrainSelectedInstOperands,
     /*  329055 */     // GIR_Coverage, 19987,
     /*  329055 */     GIR_EraseRootFromParent_Done,
     /*  329056 */   // Label 6041: @329056
     /*  329056 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(329119), // Rule ID 19990 //
     /*  329061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  329103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329117 */     GIR_RootConstrainSelectedInstOperands,
     /*  329118 */     // GIR_Coverage, 19990,
     /*  329118 */     GIR_EraseRootFromParent_Done,
     /*  329119 */   // Label 6042: @329119
     /*  329119 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(329182), // Rule ID 19991 //
     /*  329124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329163 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  329166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329180 */     GIR_RootConstrainSelectedInstOperands,
     /*  329181 */     // GIR_Coverage, 19991,
     /*  329181 */     GIR_EraseRootFromParent_Done,
     /*  329182 */   // Label 6043: @329182
     /*  329182 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(329245), // Rule ID 19994 //
     /*  329187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329226 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  329229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329243 */     GIR_RootConstrainSelectedInstOperands,
     /*  329244 */     // GIR_Coverage, 19994,
     /*  329244 */     GIR_EraseRootFromParent_Done,
     /*  329245 */   // Label 6044: @329245
     /*  329245 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(329308), // Rule ID 19995 //
     /*  329250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329289 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  329292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329306 */     GIR_RootConstrainSelectedInstOperands,
     /*  329307 */     // GIR_Coverage, 19995,
     /*  329307 */     GIR_EraseRootFromParent_Done,
     /*  329308 */   // Label 6045: @329308
     /*  329308 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(329371), // Rule ID 19998 //
     /*  329313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  329355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329369 */     GIR_RootConstrainSelectedInstOperands,
     /*  329370 */     // GIR_Coverage, 19998,
     /*  329370 */     GIR_EraseRootFromParent_Done,
     /*  329371 */   // Label 6046: @329371
     /*  329371 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(329434), // Rule ID 19999 //
     /*  329376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  329418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329432 */     GIR_RootConstrainSelectedInstOperands,
     /*  329433 */     // GIR_Coverage, 19999,
     /*  329433 */     GIR_EraseRootFromParent_Done,
     /*  329434 */   // Label 6047: @329434
     /*  329434 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(329497), // Rule ID 20002 //
     /*  329439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329478 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  329481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329495 */     GIR_RootConstrainSelectedInstOperands,
     /*  329496 */     // GIR_Coverage, 20002,
     /*  329496 */     GIR_EraseRootFromParent_Done,
     /*  329497 */   // Label 6048: @329497
     /*  329497 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(329560), // Rule ID 20003 //
     /*  329502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  329544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329558 */     GIR_RootConstrainSelectedInstOperands,
     /*  329559 */     // GIR_Coverage, 20003,
     /*  329559 */     GIR_EraseRootFromParent_Done,
     /*  329560 */   // Label 6049: @329560
     /*  329560 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(329623), // Rule ID 20006 //
     /*  329565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  329607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329621 */     GIR_RootConstrainSelectedInstOperands,
     /*  329622 */     // GIR_Coverage, 20006,
     /*  329622 */     GIR_EraseRootFromParent_Done,
     /*  329623 */   // Label 6050: @329623
     /*  329623 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329686), // Rule ID 20007 //
     /*  329628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329667 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  329670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329684 */     GIR_RootConstrainSelectedInstOperands,
     /*  329685 */     // GIR_Coverage, 20007,
     /*  329685 */     GIR_EraseRootFromParent_Done,
     /*  329686 */   // Label 6051: @329686
     /*  329686 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329749), // Rule ID 20010 //
     /*  329691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  329733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329747 */     GIR_RootConstrainSelectedInstOperands,
     /*  329748 */     // GIR_Coverage, 20010,
     /*  329748 */     GIR_EraseRootFromParent_Done,
     /*  329749 */   // Label 6052: @329749
     /*  329749 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329812), // Rule ID 20011 //
     /*  329754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329793 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  329796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329810 */     GIR_RootConstrainSelectedInstOperands,
     /*  329811 */     // GIR_Coverage, 20011,
     /*  329811 */     GIR_EraseRootFromParent_Done,
     /*  329812 */   // Label 6053: @329812
     /*  329812 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329875), // Rule ID 20014 //
     /*  329817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  329859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329873 */     GIR_RootConstrainSelectedInstOperands,
     /*  329874 */     // GIR_Coverage, 20014,
     /*  329874 */     GIR_EraseRootFromParent_Done,
     /*  329875 */   // Label 6054: @329875
     /*  329875 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329938), // Rule ID 20015 //
     /*  329880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  329922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329936 */     GIR_RootConstrainSelectedInstOperands,
     /*  329937 */     // GIR_Coverage, 20015,
     /*  329937 */     GIR_EraseRootFromParent_Done,
     /*  329938 */   // Label 6055: @329938
     /*  329938 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(330001), // Rule ID 20018 //
     /*  329943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  329985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329999 */     GIR_RootConstrainSelectedInstOperands,
     /*  330000 */     // GIR_Coverage, 20018,
     /*  330000 */     GIR_EraseRootFromParent_Done,
     /*  330001 */   // Label 6056: @330001
     /*  330001 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(330064), // Rule ID 20019 //
     /*  330006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330045 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  330048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330062 */     GIR_RootConstrainSelectedInstOperands,
     /*  330063 */     // GIR_Coverage, 20019,
     /*  330063 */     GIR_EraseRootFromParent_Done,
     /*  330064 */   // Label 6057: @330064
     /*  330064 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(330127), // Rule ID 20022 //
     /*  330069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  330086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  330111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330125 */     GIR_RootConstrainSelectedInstOperands,
     /*  330126 */     // GIR_Coverage, 20022,
     /*  330126 */     GIR_EraseRootFromParent_Done,
     /*  330127 */   // Label 6058: @330127
     /*  330127 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(330190), // Rule ID 20023 //
     /*  330132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  330149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330171 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  330174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330188 */     GIR_RootConstrainSelectedInstOperands,
     /*  330189 */     // GIR_Coverage, 20023,
     /*  330189 */     GIR_EraseRootFromParent_Done,
     /*  330190 */   // Label 6059: @330190
     /*  330190 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(330253), // Rule ID 20026 //
     /*  330195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330234 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330251 */     GIR_RootConstrainSelectedInstOperands,
     /*  330252 */     // GIR_Coverage, 20026,
     /*  330252 */     GIR_EraseRootFromParent_Done,
     /*  330253 */   // Label 6060: @330253
     /*  330253 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(330316), // Rule ID 20027 //
     /*  330258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330314 */     GIR_RootConstrainSelectedInstOperands,
     /*  330315 */     // GIR_Coverage, 20027,
     /*  330315 */     GIR_EraseRootFromParent_Done,
     /*  330316 */   // Label 6061: @330316
     /*  330316 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(330379), // Rule ID 20030 //
     /*  330321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  330338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330377 */     GIR_RootConstrainSelectedInstOperands,
     /*  330378 */     // GIR_Coverage, 20030,
     /*  330378 */     GIR_EraseRootFromParent_Done,
     /*  330379 */   // Label 6062: @330379
     /*  330379 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(330442), // Rule ID 20031 //
     /*  330384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  330401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330423 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330440 */     GIR_RootConstrainSelectedInstOperands,
     /*  330441 */     // GIR_Coverage, 20031,
     /*  330441 */     GIR_EraseRootFromParent_Done,
     /*  330442 */   // Label 6063: @330442
     /*  330442 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(330505), // Rule ID 20034 //
     /*  330447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  330464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330486 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330503 */     GIR_RootConstrainSelectedInstOperands,
     /*  330504 */     // GIR_Coverage, 20034,
     /*  330504 */     GIR_EraseRootFromParent_Done,
     /*  330505 */   // Label 6064: @330505
     /*  330505 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(330568), // Rule ID 20035 //
     /*  330510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  330527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330566 */     GIR_RootConstrainSelectedInstOperands,
     /*  330567 */     // GIR_Coverage, 20035,
     /*  330567 */     GIR_EraseRootFromParent_Done,
     /*  330568 */   // Label 6065: @330568
     /*  330568 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330631), // Rule ID 20038 //
     /*  330573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  330590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330629 */     GIR_RootConstrainSelectedInstOperands,
     /*  330630 */     // GIR_Coverage, 20038,
     /*  330630 */     GIR_EraseRootFromParent_Done,
     /*  330631 */   // Label 6066: @330631
     /*  330631 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330694), // Rule ID 20039 //
     /*  330636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  330653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330675 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330692 */     GIR_RootConstrainSelectedInstOperands,
     /*  330693 */     // GIR_Coverage, 20039,
     /*  330693 */     GIR_EraseRootFromParent_Done,
     /*  330694 */   // Label 6067: @330694
     /*  330694 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330757), // Rule ID 20042 //
     /*  330699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  330716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330755 */     GIR_RootConstrainSelectedInstOperands,
     /*  330756 */     // GIR_Coverage, 20042,
     /*  330756 */     GIR_EraseRootFromParent_Done,
     /*  330757 */   // Label 6068: @330757
     /*  330757 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330820), // Rule ID 20043 //
     /*  330762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  330779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330801 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  330804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330818 */     GIR_RootConstrainSelectedInstOperands,
     /*  330819 */     // GIR_Coverage, 20043,
     /*  330819 */     GIR_EraseRootFromParent_Done,
     /*  330820 */   // Label 6069: @330820
     /*  330820 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330883), // Rule ID 20046 //
     /*  330825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  330842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  330867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330881 */     GIR_RootConstrainSelectedInstOperands,
     /*  330882 */     // GIR_Coverage, 20046,
     /*  330882 */     GIR_EraseRootFromParent_Done,
     /*  330883 */   // Label 6070: @330883
     /*  330883 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330946), // Rule ID 20047 //
     /*  330888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  330905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330927 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  330930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330944 */     GIR_RootConstrainSelectedInstOperands,
     /*  330945 */     // GIR_Coverage, 20047,
     /*  330945 */     GIR_EraseRootFromParent_Done,
     /*  330946 */   // Label 6071: @330946
     /*  330946 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(331009), // Rule ID 20050 //
     /*  330951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  330968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330990 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  330993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331007 */     GIR_RootConstrainSelectedInstOperands,
     /*  331008 */     // GIR_Coverage, 20050,
     /*  331008 */     GIR_EraseRootFromParent_Done,
     /*  331009 */   // Label 6072: @331009
     /*  331009 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(331072), // Rule ID 20051 //
     /*  331014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  331031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331053 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331070 */     GIR_RootConstrainSelectedInstOperands,
     /*  331071 */     // GIR_Coverage, 20051,
     /*  331071 */     GIR_EraseRootFromParent_Done,
     /*  331072 */   // Label 6073: @331072
     /*  331072 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(331135), // Rule ID 20054 //
     /*  331077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331133 */     GIR_RootConstrainSelectedInstOperands,
     /*  331134 */     // GIR_Coverage, 20054,
     /*  331134 */     GIR_EraseRootFromParent_Done,
     /*  331135 */   // Label 6074: @331135
     /*  331135 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(331198), // Rule ID 20055 //
     /*  331140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331179 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331196 */     GIR_RootConstrainSelectedInstOperands,
     /*  331197 */     // GIR_Coverage, 20055,
     /*  331197 */     GIR_EraseRootFromParent_Done,
     /*  331198 */   // Label 6075: @331198
     /*  331198 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(331261), // Rule ID 20058 //
     /*  331203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331242 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331259 */     GIR_RootConstrainSelectedInstOperands,
     /*  331260 */     // GIR_Coverage, 20058,
     /*  331260 */     GIR_EraseRootFromParent_Done,
     /*  331261 */   // Label 6076: @331261
     /*  331261 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(331324), // Rule ID 20059 //
     /*  331266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331322 */     GIR_RootConstrainSelectedInstOperands,
     /*  331323 */     // GIR_Coverage, 20059,
     /*  331323 */     GIR_EraseRootFromParent_Done,
     /*  331324 */   // Label 6077: @331324
     /*  331324 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(331387), // Rule ID 20062 //
     /*  331329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  331346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331385 */     GIR_RootConstrainSelectedInstOperands,
     /*  331386 */     // GIR_Coverage, 20062,
     /*  331386 */     GIR_EraseRootFromParent_Done,
     /*  331387 */   // Label 6078: @331387
     /*  331387 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(331450), // Rule ID 20063 //
     /*  331392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  331409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331431 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331448 */     GIR_RootConstrainSelectedInstOperands,
     /*  331449 */     // GIR_Coverage, 20063,
     /*  331449 */     GIR_EraseRootFromParent_Done,
     /*  331450 */   // Label 6079: @331450
     /*  331450 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(331513), // Rule ID 20066 //
     /*  331455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331494 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331511 */     GIR_RootConstrainSelectedInstOperands,
     /*  331512 */     // GIR_Coverage, 20066,
     /*  331512 */     GIR_EraseRootFromParent_Done,
     /*  331513 */   // Label 6080: @331513
     /*  331513 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(331576), // Rule ID 20067 //
     /*  331518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331557 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331574 */     GIR_RootConstrainSelectedInstOperands,
     /*  331575 */     // GIR_Coverage, 20067,
     /*  331575 */     GIR_EraseRootFromParent_Done,
     /*  331576 */   // Label 6081: @331576
     /*  331576 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331639), // Rule ID 20070 //
     /*  331581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  331598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331637 */     GIR_RootConstrainSelectedInstOperands,
     /*  331638 */     // GIR_Coverage, 20070,
     /*  331638 */     GIR_EraseRootFromParent_Done,
     /*  331639 */   // Label 6082: @331639
     /*  331639 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331702), // Rule ID 20071 //
     /*  331644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  331661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331683 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331700 */     GIR_RootConstrainSelectedInstOperands,
     /*  331701 */     // GIR_Coverage, 20071,
     /*  331701 */     GIR_EraseRootFromParent_Done,
     /*  331702 */   // Label 6083: @331702
     /*  331702 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331765), // Rule ID 20074 //
     /*  331707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  331724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331763 */     GIR_RootConstrainSelectedInstOperands,
     /*  331764 */     // GIR_Coverage, 20074,
     /*  331764 */     GIR_EraseRootFromParent_Done,
     /*  331765 */   // Label 6084: @331765
     /*  331765 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331828), // Rule ID 20075 //
     /*  331770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  331787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331826 */     GIR_RootConstrainSelectedInstOperands,
     /*  331827 */     // GIR_Coverage, 20075,
     /*  331827 */     GIR_EraseRootFromParent_Done,
     /*  331828 */   // Label 6085: @331828
     /*  331828 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331891), // Rule ID 20078 //
     /*  331833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  331850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331889 */     GIR_RootConstrainSelectedInstOperands,
     /*  331890 */     // GIR_Coverage, 20078,
     /*  331890 */     GIR_EraseRootFromParent_Done,
     /*  331891 */   // Label 6086: @331891
     /*  331891 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331954), // Rule ID 20079 //
     /*  331896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  331913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331935 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331952 */     GIR_RootConstrainSelectedInstOperands,
     /*  331953 */     // GIR_Coverage, 20079,
     /*  331953 */     GIR_EraseRootFromParent_Done,
     /*  331954 */   // Label 6087: @331954
     /*  331954 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(332017), // Rule ID 20082 //
     /*  331959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  332001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332015 */     GIR_RootConstrainSelectedInstOperands,
     /*  332016 */     // GIR_Coverage, 20082,
     /*  332016 */     GIR_EraseRootFromParent_Done,
     /*  332017 */   // Label 6088: @332017
     /*  332017 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(332080), // Rule ID 20083 //
     /*  332022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  332064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332078 */     GIR_RootConstrainSelectedInstOperands,
     /*  332079 */     // GIR_Coverage, 20083,
     /*  332079 */     GIR_EraseRootFromParent_Done,
     /*  332080 */   // Label 6089: @332080
     /*  332080 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(332143), // Rule ID 20086 //
     /*  332085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  332127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332141 */     GIR_RootConstrainSelectedInstOperands,
     /*  332142 */     // GIR_Coverage, 20086,
     /*  332142 */     GIR_EraseRootFromParent_Done,
     /*  332143 */   // Label 6090: @332143
     /*  332143 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(332206), // Rule ID 20087 //
     /*  332148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  332190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332204 */     GIR_RootConstrainSelectedInstOperands,
     /*  332205 */     // GIR_Coverage, 20087,
     /*  332205 */     GIR_EraseRootFromParent_Done,
     /*  332206 */   // Label 6091: @332206
     /*  332206 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(332269), // Rule ID 20090 //
     /*  332211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332250 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  332253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332267 */     GIR_RootConstrainSelectedInstOperands,
     /*  332268 */     // GIR_Coverage, 20090,
     /*  332268 */     GIR_EraseRootFromParent_Done,
     /*  332269 */   // Label 6092: @332269
     /*  332269 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(332332), // Rule ID 20091 //
     /*  332274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332313 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  332316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332330 */     GIR_RootConstrainSelectedInstOperands,
     /*  332331 */     // GIR_Coverage, 20091,
     /*  332331 */     GIR_EraseRootFromParent_Done,
     /*  332332 */   // Label 6093: @332332
     /*  332332 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(332395), // Rule ID 20094 //
     /*  332337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  332379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332393 */     GIR_RootConstrainSelectedInstOperands,
     /*  332394 */     // GIR_Coverage, 20094,
     /*  332394 */     GIR_EraseRootFromParent_Done,
     /*  332395 */   // Label 6094: @332395
     /*  332395 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(332458), // Rule ID 20095 //
     /*  332400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332439 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  332442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332456 */     GIR_RootConstrainSelectedInstOperands,
     /*  332457 */     // GIR_Coverage, 20095,
     /*  332457 */     GIR_EraseRootFromParent_Done,
     /*  332458 */   // Label 6095: @332458
     /*  332458 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(332521), // Rule ID 20098 //
     /*  332463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332502 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  332505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332519 */     GIR_RootConstrainSelectedInstOperands,
     /*  332520 */     // GIR_Coverage, 20098,
     /*  332520 */     GIR_EraseRootFromParent_Done,
     /*  332521 */   // Label 6096: @332521
     /*  332521 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(332584), // Rule ID 20099 //
     /*  332526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332565 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  332568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332582 */     GIR_RootConstrainSelectedInstOperands,
     /*  332583 */     // GIR_Coverage, 20099,
     /*  332583 */     GIR_EraseRootFromParent_Done,
     /*  332584 */   // Label 6097: @332584
     /*  332584 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332647), // Rule ID 20102 //
     /*  332589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  332631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332645 */     GIR_RootConstrainSelectedInstOperands,
     /*  332646 */     // GIR_Coverage, 20102,
     /*  332646 */     GIR_EraseRootFromParent_Done,
     /*  332647 */   // Label 6098: @332647
     /*  332647 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332710), // Rule ID 20103 //
     /*  332652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  332669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  332684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332691 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  332694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332708 */     GIR_RootConstrainSelectedInstOperands,
     /*  332709 */     // GIR_Coverage, 20103,
     /*  332709 */     GIR_EraseRootFromParent_Done,
     /*  332710 */   // Label 6099: @332710
     /*  332710 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332773), // Rule ID 20106 //
     /*  332715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  332757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332771 */     GIR_RootConstrainSelectedInstOperands,
     /*  332772 */     // GIR_Coverage, 20106,
     /*  332772 */     GIR_EraseRootFromParent_Done,
     /*  332773 */   // Label 6100: @332773
     /*  332773 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332836), // Rule ID 20107 //
     /*  332778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332817 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  332820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332834 */     GIR_RootConstrainSelectedInstOperands,
     /*  332835 */     // GIR_Coverage, 20107,
     /*  332835 */     GIR_EraseRootFromParent_Done,
     /*  332836 */   // Label 6101: @332836
     /*  332836 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332899), // Rule ID 20110 //
     /*  332841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  332883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332897 */     GIR_RootConstrainSelectedInstOperands,
     /*  332898 */     // GIR_Coverage, 20110,
     /*  332898 */     GIR_EraseRootFromParent_Done,
     /*  332899 */   // Label 6102: @332899
     /*  332899 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332962), // Rule ID 20111 //
     /*  332904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332943 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  332946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332960 */     GIR_RootConstrainSelectedInstOperands,
     /*  332961 */     // GIR_Coverage, 20111,
     /*  332961 */     GIR_EraseRootFromParent_Done,
     /*  332962 */   // Label 6103: @332962
     /*  332962 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(333025), // Rule ID 20114 //
     /*  332967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333006 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  333009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333023 */     GIR_RootConstrainSelectedInstOperands,
     /*  333024 */     // GIR_Coverage, 20114,
     /*  333024 */     GIR_EraseRootFromParent_Done,
     /*  333025 */   // Label 6104: @333025
     /*  333025 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(333088), // Rule ID 20115 //
     /*  333030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  333041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333069 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  333072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333086 */     GIR_RootConstrainSelectedInstOperands,
     /*  333087 */     // GIR_Coverage, 20115,
     /*  333087 */     GIR_EraseRootFromParent_Done,
     /*  333088 */   // Label 6105: @333088
     /*  333088 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(333151), // Rule ID 20118 //
     /*  333093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  333135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333149 */     GIR_RootConstrainSelectedInstOperands,
     /*  333150 */     // GIR_Coverage, 20118,
     /*  333150 */     GIR_EraseRootFromParent_Done,
     /*  333151 */   // Label 6106: @333151
     /*  333151 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(333214), // Rule ID 20119 //
     /*  333156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333195 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  333198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333212 */     GIR_RootConstrainSelectedInstOperands,
     /*  333213 */     // GIR_Coverage, 20119,
     /*  333213 */     GIR_EraseRootFromParent_Done,
     /*  333214 */   // Label 6107: @333214
     /*  333214 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(333277), // Rule ID 20122 //
     /*  333219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  333261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333275 */     GIR_RootConstrainSelectedInstOperands,
     /*  333276 */     // GIR_Coverage, 20122,
     /*  333276 */     GIR_EraseRootFromParent_Done,
     /*  333277 */   // Label 6108: @333277
     /*  333277 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(333340), // Rule ID 20123 //
     /*  333282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  333324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333338 */     GIR_RootConstrainSelectedInstOperands,
     /*  333339 */     // GIR_Coverage, 20123,
     /*  333339 */     GIR_EraseRootFromParent_Done,
     /*  333340 */   // Label 6109: @333340
     /*  333340 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(333403), // Rule ID 20126 //
     /*  333345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  333387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333401 */     GIR_RootConstrainSelectedInstOperands,
     /*  333402 */     // GIR_Coverage, 20126,
     /*  333402 */     GIR_EraseRootFromParent_Done,
     /*  333403 */   // Label 6110: @333403
     /*  333403 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(333466), // Rule ID 20127 //
     /*  333408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  333450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333464 */     GIR_RootConstrainSelectedInstOperands,
     /*  333465 */     // GIR_Coverage, 20127,
     /*  333465 */     GIR_EraseRootFromParent_Done,
     /*  333466 */   // Label 6111: @333466
     /*  333466 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(333529), // Rule ID 20130 //
     /*  333471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333510 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  333513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333527 */     GIR_RootConstrainSelectedInstOperands,
     /*  333528 */     // GIR_Coverage, 20130,
     /*  333528 */     GIR_EraseRootFromParent_Done,
     /*  333529 */   // Label 6112: @333529
     /*  333529 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(333592), // Rule ID 20131 //
     /*  333534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333573 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  333576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333590 */     GIR_RootConstrainSelectedInstOperands,
     /*  333591 */     // GIR_Coverage, 20131,
     /*  333591 */     GIR_EraseRootFromParent_Done,
     /*  333592 */   // Label 6113: @333592
     /*  333592 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333655), // Rule ID 20134 //
     /*  333597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  333639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333653 */     GIR_RootConstrainSelectedInstOperands,
     /*  333654 */     // GIR_Coverage, 20134,
     /*  333654 */     GIR_EraseRootFromParent_Done,
     /*  333655 */   // Label 6114: @333655
     /*  333655 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333718), // Rule ID 20135 //
     /*  333660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  333702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333716 */     GIR_RootConstrainSelectedInstOperands,
     /*  333717 */     // GIR_Coverage, 20135,
     /*  333717 */     GIR_EraseRootFromParent_Done,
     /*  333718 */   // Label 6115: @333718
     /*  333718 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333781), // Rule ID 20138 //
     /*  333723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  333765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333779 */     GIR_RootConstrainSelectedInstOperands,
     /*  333780 */     // GIR_Coverage, 20138,
     /*  333780 */     GIR_EraseRootFromParent_Done,
     /*  333781 */   // Label 6116: @333781
     /*  333781 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333844), // Rule ID 20139 //
     /*  333786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333825 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  333828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333842 */     GIR_RootConstrainSelectedInstOperands,
     /*  333843 */     // GIR_Coverage, 20139,
     /*  333843 */     GIR_EraseRootFromParent_Done,
     /*  333844 */   // Label 6117: @333844
     /*  333844 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333907), // Rule ID 20142 //
     /*  333849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  333891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333905 */     GIR_RootConstrainSelectedInstOperands,
     /*  333906 */     // GIR_Coverage, 20142,
     /*  333906 */     GIR_EraseRootFromParent_Done,
     /*  333907 */   // Label 6118: @333907
     /*  333907 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333970), // Rule ID 20143 //
     /*  333912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333951 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  333954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333968 */     GIR_RootConstrainSelectedInstOperands,
     /*  333969 */     // GIR_Coverage, 20143,
     /*  333969 */     GIR_EraseRootFromParent_Done,
     /*  333970 */   // Label 6119: @333970
     /*  333970 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(334033), // Rule ID 20146 //
     /*  333975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  334017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334031 */     GIR_RootConstrainSelectedInstOperands,
     /*  334032 */     // GIR_Coverage, 20146,
     /*  334032 */     GIR_EraseRootFromParent_Done,
     /*  334033 */   // Label 6120: @334033
     /*  334033 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(334096), // Rule ID 20147 //
     /*  334038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  334080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334094 */     GIR_RootConstrainSelectedInstOperands,
     /*  334095 */     // GIR_Coverage, 20147,
     /*  334095 */     GIR_EraseRootFromParent_Done,
     /*  334096 */   // Label 6121: @334096
     /*  334096 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(334159), // Rule ID 20150 //
     /*  334101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  334143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334157 */     GIR_RootConstrainSelectedInstOperands,
     /*  334158 */     // GIR_Coverage, 20150,
     /*  334158 */     GIR_EraseRootFromParent_Done,
     /*  334159 */   // Label 6122: @334159
     /*  334159 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(334222), // Rule ID 20151 //
     /*  334164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334203 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  334206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334220 */     GIR_RootConstrainSelectedInstOperands,
     /*  334221 */     // GIR_Coverage, 20151,
     /*  334221 */     GIR_EraseRootFromParent_Done,
     /*  334222 */   // Label 6123: @334222
     /*  334222 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(334285), // Rule ID 20154 //
     /*  334227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334266 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  334269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334283 */     GIR_RootConstrainSelectedInstOperands,
     /*  334284 */     // GIR_Coverage, 20154,
     /*  334284 */     GIR_EraseRootFromParent_Done,
     /*  334285 */   // Label 6124: @334285
     /*  334285 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(334348), // Rule ID 20155 //
     /*  334290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  334332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334346 */     GIR_RootConstrainSelectedInstOperands,
     /*  334347 */     // GIR_Coverage, 20155,
     /*  334347 */     GIR_EraseRootFromParent_Done,
     /*  334348 */   // Label 6125: @334348
     /*  334348 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(334411), // Rule ID 20158 //
     /*  334353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  334395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334409 */     GIR_RootConstrainSelectedInstOperands,
     /*  334410 */     // GIR_Coverage, 20158,
     /*  334410 */     GIR_EraseRootFromParent_Done,
     /*  334411 */   // Label 6126: @334411
     /*  334411 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(334474), // Rule ID 20159 //
     /*  334416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334455 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  334458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334472 */     GIR_RootConstrainSelectedInstOperands,
     /*  334473 */     // GIR_Coverage, 20159,
     /*  334473 */     GIR_EraseRootFromParent_Done,
     /*  334474 */   // Label 6127: @334474
     /*  334474 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(334537), // Rule ID 20162 //
     /*  334479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  334521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334535 */     GIR_RootConstrainSelectedInstOperands,
     /*  334536 */     // GIR_Coverage, 20162,
     /*  334536 */     GIR_EraseRootFromParent_Done,
     /*  334537 */   // Label 6128: @334537
     /*  334537 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(334600), // Rule ID 20163 //
     /*  334542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  334584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334598 */     GIR_RootConstrainSelectedInstOperands,
     /*  334599 */     // GIR_Coverage, 20163,
     /*  334599 */     GIR_EraseRootFromParent_Done,
     /*  334600 */   // Label 6129: @334600
     /*  334600 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334663), // Rule ID 20166 //
     /*  334605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  334647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334661 */     GIR_RootConstrainSelectedInstOperands,
     /*  334662 */     // GIR_Coverage, 20166,
     /*  334662 */     GIR_EraseRootFromParent_Done,
     /*  334663 */   // Label 6130: @334663
     /*  334663 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334726), // Rule ID 20167 //
     /*  334668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334707 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  334710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334724 */     GIR_RootConstrainSelectedInstOperands,
     /*  334725 */     // GIR_Coverage, 20167,
     /*  334725 */     GIR_EraseRootFromParent_Done,
     /*  334726 */   // Label 6131: @334726
     /*  334726 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334789), // Rule ID 20170 //
     /*  334731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334770 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  334773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334787 */     GIR_RootConstrainSelectedInstOperands,
     /*  334788 */     // GIR_Coverage, 20170,
     /*  334788 */     GIR_EraseRootFromParent_Done,
     /*  334789 */   // Label 6132: @334789
     /*  334789 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334852), // Rule ID 20171 //
     /*  334794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334833 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  334836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334850 */     GIR_RootConstrainSelectedInstOperands,
     /*  334851 */     // GIR_Coverage, 20171,
     /*  334851 */     GIR_EraseRootFromParent_Done,
     /*  334852 */   // Label 6133: @334852
     /*  334852 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334915), // Rule ID 20174 //
     /*  334857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334896 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  334899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334913 */     GIR_RootConstrainSelectedInstOperands,
     /*  334914 */     // GIR_Coverage, 20174,
     /*  334914 */     GIR_EraseRootFromParent_Done,
     /*  334915 */   // Label 6134: @334915
     /*  334915 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334978), // Rule ID 20175 //
     /*  334920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334959 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  334962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334976 */     GIR_RootConstrainSelectedInstOperands,
     /*  334977 */     // GIR_Coverage, 20175,
     /*  334977 */     GIR_EraseRootFromParent_Done,
     /*  334978 */   // Label 6135: @334978
     /*  334978 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(335041), // Rule ID 20178 //
     /*  334983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  335025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335039 */     GIR_RootConstrainSelectedInstOperands,
     /*  335040 */     // GIR_Coverage, 20178,
     /*  335040 */     GIR_EraseRootFromParent_Done,
     /*  335041 */   // Label 6136: @335041
     /*  335041 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(335104), // Rule ID 20179 //
     /*  335046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335085 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  335088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335102 */     GIR_RootConstrainSelectedInstOperands,
     /*  335103 */     // GIR_Coverage, 20179,
     /*  335103 */     GIR_EraseRootFromParent_Done,
     /*  335104 */   // Label 6137: @335104
     /*  335104 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(335167), // Rule ID 20182 //
     /*  335109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  335151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335165 */     GIR_RootConstrainSelectedInstOperands,
     /*  335166 */     // GIR_Coverage, 20182,
     /*  335166 */     GIR_EraseRootFromParent_Done,
     /*  335167 */   // Label 6138: @335167
     /*  335167 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(335230), // Rule ID 20183 //
     /*  335172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335211 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  335214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335228 */     GIR_RootConstrainSelectedInstOperands,
     /*  335229 */     // GIR_Coverage, 20183,
     /*  335229 */     GIR_EraseRootFromParent_Done,
     /*  335230 */   // Label 6139: @335230
     /*  335230 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(335293), // Rule ID 20186 //
     /*  335235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335274 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  335277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335291 */     GIR_RootConstrainSelectedInstOperands,
     /*  335292 */     // GIR_Coverage, 20186,
     /*  335292 */     GIR_EraseRootFromParent_Done,
     /*  335293 */   // Label 6140: @335293
     /*  335293 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(335356), // Rule ID 20187 //
     /*  335298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  335340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335354 */     GIR_RootConstrainSelectedInstOperands,
     /*  335355 */     // GIR_Coverage, 20187,
     /*  335355 */     GIR_EraseRootFromParent_Done,
     /*  335356 */   // Label 6141: @335356
     /*  335356 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(335419), // Rule ID 20190 //
     /*  335361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  335403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335417 */     GIR_RootConstrainSelectedInstOperands,
     /*  335418 */     // GIR_Coverage, 20190,
     /*  335418 */     GIR_EraseRootFromParent_Done,
     /*  335419 */   // Label 6142: @335419
     /*  335419 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(335482), // Rule ID 20191 //
     /*  335424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335463 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  335466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335480 */     GIR_RootConstrainSelectedInstOperands,
     /*  335481 */     // GIR_Coverage, 20191,
     /*  335481 */     GIR_EraseRootFromParent_Done,
     /*  335482 */   // Label 6143: @335482
     /*  335482 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(335545), // Rule ID 20194 //
     /*  335487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335526 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  335529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335543 */     GIR_RootConstrainSelectedInstOperands,
     /*  335544 */     // GIR_Coverage, 20194,
     /*  335544 */     GIR_EraseRootFromParent_Done,
     /*  335545 */   // Label 6144: @335545
     /*  335545 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(335608), // Rule ID 20195 //
     /*  335550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  335592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335606 */     GIR_RootConstrainSelectedInstOperands,
     /*  335607 */     // GIR_Coverage, 20195,
     /*  335607 */     GIR_EraseRootFromParent_Done,
     /*  335608 */   // Label 6145: @335608
     /*  335608 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335671), // Rule ID 20198 //
     /*  335613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  335655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335669 */     GIR_RootConstrainSelectedInstOperands,
     /*  335670 */     // GIR_Coverage, 20198,
     /*  335670 */     GIR_EraseRootFromParent_Done,
     /*  335671 */   // Label 6146: @335671
     /*  335671 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335734), // Rule ID 20199 //
     /*  335676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  335718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335732 */     GIR_RootConstrainSelectedInstOperands,
     /*  335733 */     // GIR_Coverage, 20199,
     /*  335733 */     GIR_EraseRootFromParent_Done,
     /*  335734 */   // Label 6147: @335734
     /*  335734 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335797), // Rule ID 20202 //
     /*  335739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  335781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335795 */     GIR_RootConstrainSelectedInstOperands,
     /*  335796 */     // GIR_Coverage, 20202,
     /*  335796 */     GIR_EraseRootFromParent_Done,
     /*  335797 */   // Label 6148: @335797
     /*  335797 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335860), // Rule ID 20203 //
     /*  335802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  335816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335841 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  335844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335858 */     GIR_RootConstrainSelectedInstOperands,
     /*  335859 */     // GIR_Coverage, 20203,
     /*  335859 */     GIR_EraseRootFromParent_Done,
     /*  335860 */   // Label 6149: @335860
     /*  335860 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335923), // Rule ID 20206 //
     /*  335865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  335907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335921 */     GIR_RootConstrainSelectedInstOperands,
     /*  335922 */     // GIR_Coverage, 20206,
     /*  335922 */     GIR_EraseRootFromParent_Done,
     /*  335923 */   // Label 6150: @335923
     /*  335923 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335986), // Rule ID 20207 //
     /*  335928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335967 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  335970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335984 */     GIR_RootConstrainSelectedInstOperands,
     /*  335985 */     // GIR_Coverage, 20207,
     /*  335985 */     GIR_EraseRootFromParent_Done,
     /*  335986 */   // Label 6151: @335986
     /*  335986 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(336049), // Rule ID 20210 //
     /*  335991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336030 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  336033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336047 */     GIR_RootConstrainSelectedInstOperands,
     /*  336048 */     // GIR_Coverage, 20210,
     /*  336048 */     GIR_EraseRootFromParent_Done,
     /*  336049 */   // Label 6152: @336049
     /*  336049 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(336112), // Rule ID 20211 //
     /*  336054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336093 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  336096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336110 */     GIR_RootConstrainSelectedInstOperands,
     /*  336111 */     // GIR_Coverage, 20211,
     /*  336111 */     GIR_EraseRootFromParent_Done,
     /*  336112 */   // Label 6153: @336112
     /*  336112 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(336175), // Rule ID 20214 //
     /*  336117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  336159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336173 */     GIR_RootConstrainSelectedInstOperands,
     /*  336174 */     // GIR_Coverage, 20214,
     /*  336174 */     GIR_EraseRootFromParent_Done,
     /*  336175 */   // Label 6154: @336175
     /*  336175 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(336238), // Rule ID 20215 //
     /*  336180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336219 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  336222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336236 */     GIR_RootConstrainSelectedInstOperands,
     /*  336237 */     // GIR_Coverage, 20215,
     /*  336237 */     GIR_EraseRootFromParent_Done,
     /*  336238 */   // Label 6155: @336238
     /*  336238 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(336301), // Rule ID 20218 //
     /*  336243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336282 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  336285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336299 */     GIR_RootConstrainSelectedInstOperands,
     /*  336300 */     // GIR_Coverage, 20218,
     /*  336300 */     GIR_EraseRootFromParent_Done,
     /*  336301 */   // Label 6156: @336301
     /*  336301 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(336364), // Rule ID 20219 //
     /*  336306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336345 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  336348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336362 */     GIR_RootConstrainSelectedInstOperands,
     /*  336363 */     // GIR_Coverage, 20219,
     /*  336363 */     GIR_EraseRootFromParent_Done,
     /*  336364 */   // Label 6157: @336364
     /*  336364 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(336427), // Rule ID 20222 //
     /*  336369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  336411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336425 */     GIR_RootConstrainSelectedInstOperands,
     /*  336426 */     // GIR_Coverage, 20222,
     /*  336426 */     GIR_EraseRootFromParent_Done,
     /*  336427 */   // Label 6158: @336427
     /*  336427 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(336490), // Rule ID 20223 //
     /*  336432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336471 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  336474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336488 */     GIR_RootConstrainSelectedInstOperands,
     /*  336489 */     // GIR_Coverage, 20223,
     /*  336489 */     GIR_EraseRootFromParent_Done,
     /*  336490 */   // Label 6159: @336490
     /*  336490 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(336553), // Rule ID 20226 //
     /*  336495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336534 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  336537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336551 */     GIR_RootConstrainSelectedInstOperands,
     /*  336552 */     // GIR_Coverage, 20226,
     /*  336552 */     GIR_EraseRootFromParent_Done,
     /*  336553 */   // Label 6160: @336553
     /*  336553 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(336616), // Rule ID 20227 //
     /*  336558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336597 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  336600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336614 */     GIR_RootConstrainSelectedInstOperands,
     /*  336615 */     // GIR_Coverage, 20227,
     /*  336615 */     GIR_EraseRootFromParent_Done,
     /*  336616 */   // Label 6161: @336616
     /*  336616 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336679), // Rule ID 20230 //
     /*  336621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  336663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336677 */     GIR_RootConstrainSelectedInstOperands,
     /*  336678 */     // GIR_Coverage, 20230,
     /*  336678 */     GIR_EraseRootFromParent_Done,
     /*  336679 */   // Label 6162: @336679
     /*  336679 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336742), // Rule ID 20231 //
     /*  336684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  336695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336723 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  336726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336740 */     GIR_RootConstrainSelectedInstOperands,
     /*  336741 */     // GIR_Coverage, 20231,
     /*  336741 */     GIR_EraseRootFromParent_Done,
     /*  336742 */   // Label 6163: @336742
     /*  336742 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336805), // Rule ID 20234 //
     /*  336747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336786 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  336789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336803 */     GIR_RootConstrainSelectedInstOperands,
     /*  336804 */     // GIR_Coverage, 20234,
     /*  336804 */     GIR_EraseRootFromParent_Done,
     /*  336805 */   // Label 6164: @336805
     /*  336805 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336868), // Rule ID 20235 //
     /*  336810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  336821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336849 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  336852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336866 */     GIR_RootConstrainSelectedInstOperands,
     /*  336867 */     // GIR_Coverage, 20235,
     /*  336867 */     GIR_EraseRootFromParent_Done,
     /*  336868 */   // Label 6165: @336868
     /*  336868 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336931), // Rule ID 20238 //
     /*  336873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  336915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336929 */     GIR_RootConstrainSelectedInstOperands,
     /*  336930 */     // GIR_Coverage, 20238,
     /*  336930 */     GIR_EraseRootFromParent_Done,
     /*  336931 */   // Label 6166: @336931
     /*  336931 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336994), // Rule ID 20239 //
     /*  336936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336975 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  336978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336992 */     GIR_RootConstrainSelectedInstOperands,
     /*  336993 */     // GIR_Coverage, 20239,
     /*  336993 */     GIR_EraseRootFromParent_Done,
     /*  336994 */   // Label 6167: @336994
     /*  336994 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(337057), // Rule ID 20242 //
     /*  336999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  337041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337055 */     GIR_RootConstrainSelectedInstOperands,
     /*  337056 */     // GIR_Coverage, 20242,
     /*  337056 */     GIR_EraseRootFromParent_Done,
     /*  337057 */   // Label 6168: @337057
     /*  337057 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(337120), // Rule ID 20243 //
     /*  337062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  337104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337118 */     GIR_RootConstrainSelectedInstOperands,
     /*  337119 */     // GIR_Coverage, 20243,
     /*  337119 */     GIR_EraseRootFromParent_Done,
     /*  337120 */   // Label 6169: @337120
     /*  337120 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(337183), // Rule ID 20246 //
     /*  337125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  337167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337181 */     GIR_RootConstrainSelectedInstOperands,
     /*  337182 */     // GIR_Coverage, 20246,
     /*  337182 */     GIR_EraseRootFromParent_Done,
     /*  337183 */   // Label 6170: @337183
     /*  337183 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(337246), // Rule ID 20247 //
     /*  337188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337227 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  337230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337244 */     GIR_RootConstrainSelectedInstOperands,
     /*  337245 */     // GIR_Coverage, 20247,
     /*  337245 */     GIR_EraseRootFromParent_Done,
     /*  337246 */   // Label 6171: @337246
     /*  337246 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(337309), // Rule ID 20250 //
     /*  337251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  337293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337307 */     GIR_RootConstrainSelectedInstOperands,
     /*  337308 */     // GIR_Coverage, 20250,
     /*  337308 */     GIR_EraseRootFromParent_Done,
     /*  337309 */   // Label 6172: @337309
     /*  337309 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(337372), // Rule ID 20251 //
     /*  337314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  337356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337370 */     GIR_RootConstrainSelectedInstOperands,
     /*  337371 */     // GIR_Coverage, 20251,
     /*  337371 */     GIR_EraseRootFromParent_Done,
     /*  337372 */   // Label 6173: @337372
     /*  337372 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(337435), // Rule ID 20254 //
     /*  337377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  337419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337433 */     GIR_RootConstrainSelectedInstOperands,
     /*  337434 */     // GIR_Coverage, 20254,
     /*  337434 */     GIR_EraseRootFromParent_Done,
     /*  337435 */   // Label 6174: @337435
     /*  337435 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(337498), // Rule ID 20255 //
     /*  337440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337479 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  337482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337496 */     GIR_RootConstrainSelectedInstOperands,
     /*  337497 */     // GIR_Coverage, 20255,
     /*  337497 */     GIR_EraseRootFromParent_Done,
     /*  337498 */   // Label 6175: @337498
     /*  337498 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(337561), // Rule ID 20258 //
     /*  337503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  337545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337559 */     GIR_RootConstrainSelectedInstOperands,
     /*  337560 */     // GIR_Coverage, 20258,
     /*  337560 */     GIR_EraseRootFromParent_Done,
     /*  337561 */   // Label 6176: @337561
     /*  337561 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337624), // Rule ID 20259 //
     /*  337566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  337608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337622 */     GIR_RootConstrainSelectedInstOperands,
     /*  337623 */     // GIR_Coverage, 20259,
     /*  337623 */     GIR_EraseRootFromParent_Done,
     /*  337624 */   // Label 6177: @337624
     /*  337624 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337687), // Rule ID 20262 //
     /*  337629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337668 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  337671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337685 */     GIR_RootConstrainSelectedInstOperands,
     /*  337686 */     // GIR_Coverage, 20262,
     /*  337686 */     GIR_EraseRootFromParent_Done,
     /*  337687 */   // Label 6178: @337687
     /*  337687 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337750), // Rule ID 20263 //
     /*  337692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337731 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  337734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337748 */     GIR_RootConstrainSelectedInstOperands,
     /*  337749 */     // GIR_Coverage, 20263,
     /*  337749 */     GIR_EraseRootFromParent_Done,
     /*  337750 */   // Label 6179: @337750
     /*  337750 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337813), // Rule ID 20266 //
     /*  337755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  337797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337811 */     GIR_RootConstrainSelectedInstOperands,
     /*  337812 */     // GIR_Coverage, 20266,
     /*  337812 */     GIR_EraseRootFromParent_Done,
     /*  337813 */   // Label 6180: @337813
     /*  337813 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337876), // Rule ID 20267 //
     /*  337818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  337860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337874 */     GIR_RootConstrainSelectedInstOperands,
     /*  337875 */     // GIR_Coverage, 20267,
     /*  337875 */     GIR_EraseRootFromParent_Done,
     /*  337876 */   // Label 6181: @337876
     /*  337876 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337939), // Rule ID 20270 //
     /*  337881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  337923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337937 */     GIR_RootConstrainSelectedInstOperands,
     /*  337938 */     // GIR_Coverage, 20270,
     /*  337938 */     GIR_EraseRootFromParent_Done,
     /*  337939 */   // Label 6182: @337939
     /*  337939 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(338002), // Rule ID 20271 //
     /*  337944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  337952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  337986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  337992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338000 */     GIR_RootConstrainSelectedInstOperands,
     /*  338001 */     // GIR_Coverage, 20271,
     /*  338001 */     GIR_EraseRootFromParent_Done,
     /*  338002 */   // Label 6183: @338002
     /*  338002 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(338065), // Rule ID 20274 //
     /*  338007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338046 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338063 */     GIR_RootConstrainSelectedInstOperands,
     /*  338064 */     // GIR_Coverage, 20274,
     /*  338064 */     GIR_EraseRootFromParent_Done,
     /*  338065 */   // Label 6184: @338065
     /*  338065 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(338128), // Rule ID 20275 //
     /*  338070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338109 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338126 */     GIR_RootConstrainSelectedInstOperands,
     /*  338127 */     // GIR_Coverage, 20275,
     /*  338127 */     GIR_EraseRootFromParent_Done,
     /*  338128 */   // Label 6185: @338128
     /*  338128 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(338191), // Rule ID 20278 //
     /*  338133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  338172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338189 */     GIR_RootConstrainSelectedInstOperands,
     /*  338190 */     // GIR_Coverage, 20278,
     /*  338190 */     GIR_EraseRootFromParent_Done,
     /*  338191 */   // Label 6186: @338191
     /*  338191 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(338254), // Rule ID 20279 //
     /*  338196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  338199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338235 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  338235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338252 */     GIR_RootConstrainSelectedInstOperands,
     /*  338253 */     // GIR_Coverage, 20279,
     /*  338253 */     GIR_EraseRootFromParent_Done,
     /*  338254 */   // Label 6187: @338254
     /*  338254 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(338317), // Rule ID 20282 //
     /*  338259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  338262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  338298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338315 */     GIR_RootConstrainSelectedInstOperands,
     /*  338316 */     // GIR_Coverage, 20282,
     /*  338316 */     GIR_EraseRootFromParent_Done,
     /*  338317 */   // Label 6188: @338317
     /*  338317 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(338380), // Rule ID 20283 //
     /*  338322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  338325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338361 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  338361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338378 */     GIR_RootConstrainSelectedInstOperands,
     /*  338379 */     // GIR_Coverage, 20283,
     /*  338379 */     GIR_EraseRootFromParent_Done,
     /*  338380 */   // Label 6189: @338380
     /*  338380 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(338443), // Rule ID 20286 //
     /*  338385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  338427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338441 */     GIR_RootConstrainSelectedInstOperands,
     /*  338442 */     // GIR_Coverage, 20286,
     /*  338442 */     GIR_EraseRootFromParent_Done,
     /*  338443 */   // Label 6190: @338443
     /*  338443 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(338506), // Rule ID 20287 //
     /*  338448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338487 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  338490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338504 */     GIR_RootConstrainSelectedInstOperands,
     /*  338505 */     // GIR_Coverage, 20287,
     /*  338505 */     GIR_EraseRootFromParent_Done,
     /*  338506 */   // Label 6191: @338506
     /*  338506 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(338569), // Rule ID 20290 //
     /*  338511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  338522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338550 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  338553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338567 */     GIR_RootConstrainSelectedInstOperands,
     /*  338568 */     // GIR_Coverage, 20290,
     /*  338568 */     GIR_EraseRootFromParent_Done,
     /*  338569 */   // Label 6192: @338569
     /*  338569 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338632), // Rule ID 20291 //
     /*  338574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  338585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338613 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  338616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338630 */     GIR_RootConstrainSelectedInstOperands,
     /*  338631 */     // GIR_Coverage, 20291,
     /*  338631 */     GIR_EraseRootFromParent_Done,
     /*  338632 */   // Label 6193: @338632
     /*  338632 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338695), // Rule ID 20294 //
     /*  338637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  338648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338676 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  338679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338693 */     GIR_RootConstrainSelectedInstOperands,
     /*  338694 */     // GIR_Coverage, 20294,
     /*  338694 */     GIR_EraseRootFromParent_Done,
     /*  338695 */   // Label 6194: @338695
     /*  338695 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338758), // Rule ID 20295 //
     /*  338700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  338711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338739 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  338742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338756 */     GIR_RootConstrainSelectedInstOperands,
     /*  338757 */     // GIR_Coverage, 20295,
     /*  338757 */     GIR_EraseRootFromParent_Done,
     /*  338758 */   // Label 6195: @338758
     /*  338758 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338821), // Rule ID 20298 //
     /*  338763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  338802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  338805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338819 */     GIR_RootConstrainSelectedInstOperands,
     /*  338820 */     // GIR_Coverage, 20298,
     /*  338820 */     GIR_EraseRootFromParent_Done,
     /*  338821 */   // Label 6196: @338821
     /*  338821 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338884), // Rule ID 20299 //
     /*  338826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  338829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338865 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  338865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  338868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338882 */     GIR_RootConstrainSelectedInstOperands,
     /*  338883 */     // GIR_Coverage, 20299,
     /*  338883 */     GIR_EraseRootFromParent_Done,
     /*  338884 */   // Label 6197: @338884
     /*  338884 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338947), // Rule ID 20302 //
     /*  338889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  338928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  338931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338945 */     GIR_RootConstrainSelectedInstOperands,
     /*  338946 */     // GIR_Coverage, 20302,
     /*  338946 */     GIR_EraseRootFromParent_Done,
     /*  338947 */   // Label 6198: @338947
     /*  338947 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(339010), // Rule ID 20303 //
     /*  338952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  338955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  338991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  338994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339008 */     GIR_RootConstrainSelectedInstOperands,
     /*  339009 */     // GIR_Coverage, 20303,
     /*  339009 */     GIR_EraseRootFromParent_Done,
     /*  339010 */   // Label 6199: @339010
     /*  339010 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(339073), // Rule ID 20306 //
     /*  339015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339071 */     GIR_RootConstrainSelectedInstOperands,
     /*  339072 */     // GIR_Coverage, 20306,
     /*  339072 */     GIR_EraseRootFromParent_Done,
     /*  339073 */   // Label 6200: @339073
     /*  339073 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(339136), // Rule ID 20307 //
     /*  339078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339117 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339134 */     GIR_RootConstrainSelectedInstOperands,
     /*  339135 */     // GIR_Coverage, 20307,
     /*  339135 */     GIR_EraseRootFromParent_Done,
     /*  339136 */   // Label 6201: @339136
     /*  339136 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(339199), // Rule ID 20310 //
     /*  339141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339197 */     GIR_RootConstrainSelectedInstOperands,
     /*  339198 */     // GIR_Coverage, 20310,
     /*  339198 */     GIR_EraseRootFromParent_Done,
     /*  339199 */   // Label 6202: @339199
     /*  339199 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(339262), // Rule ID 20311 //
     /*  339204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339243 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339260 */     GIR_RootConstrainSelectedInstOperands,
     /*  339261 */     // GIR_Coverage, 20311,
     /*  339261 */     GIR_EraseRootFromParent_Done,
     /*  339262 */   // Label 6203: @339262
     /*  339262 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(339325), // Rule ID 20314 //
     /*  339267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339323 */     GIR_RootConstrainSelectedInstOperands,
     /*  339324 */     // GIR_Coverage, 20314,
     /*  339324 */     GIR_EraseRootFromParent_Done,
     /*  339325 */   // Label 6204: @339325
     /*  339325 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(339388), // Rule ID 20315 //
     /*  339330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339386 */     GIR_RootConstrainSelectedInstOperands,
     /*  339387 */     // GIR_Coverage, 20315,
     /*  339387 */     GIR_EraseRootFromParent_Done,
     /*  339388 */   // Label 6205: @339388
     /*  339388 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(339451), // Rule ID 20318 //
     /*  339393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339449 */     GIR_RootConstrainSelectedInstOperands,
     /*  339450 */     // GIR_Coverage, 20318,
     /*  339450 */     GIR_EraseRootFromParent_Done,
     /*  339451 */   // Label 6206: @339451
     /*  339451 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(339514), // Rule ID 20319 //
     /*  339456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339495 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339512 */     GIR_RootConstrainSelectedInstOperands,
     /*  339513 */     // GIR_Coverage, 20319,
     /*  339513 */     GIR_EraseRootFromParent_Done,
     /*  339514 */   // Label 6207: @339514
     /*  339514 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339577), // Rule ID 20322 //
     /*  339519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  339561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339575 */     GIR_RootConstrainSelectedInstOperands,
     /*  339576 */     // GIR_Coverage, 20322,
     /*  339576 */     GIR_EraseRootFromParent_Done,
     /*  339577 */   // Label 6208: @339577
     /*  339577 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339640), // Rule ID 20323 //
     /*  339582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  339624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339638 */     GIR_RootConstrainSelectedInstOperands,
     /*  339639 */     // GIR_Coverage, 20323,
     /*  339639 */     GIR_EraseRootFromParent_Done,
     /*  339640 */   // Label 6209: @339640
     /*  339640 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339703), // Rule ID 20326 //
     /*  339645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  339687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339701 */     GIR_RootConstrainSelectedInstOperands,
     /*  339702 */     // GIR_Coverage, 20326,
     /*  339702 */     GIR_EraseRootFromParent_Done,
     /*  339703 */   // Label 6210: @339703
     /*  339703 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339766), // Rule ID 20327 //
     /*  339708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  339750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339764 */     GIR_RootConstrainSelectedInstOperands,
     /*  339765 */     // GIR_Coverage, 20327,
     /*  339765 */     GIR_EraseRootFromParent_Done,
     /*  339766 */   // Label 6211: @339766
     /*  339766 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339829), // Rule ID 20330 //
     /*  339771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339810 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  339813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339827 */     GIR_RootConstrainSelectedInstOperands,
     /*  339828 */     // GIR_Coverage, 20330,
     /*  339828 */     GIR_EraseRootFromParent_Done,
     /*  339829 */   // Label 6212: @339829
     /*  339829 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339892), // Rule ID 20331 //
     /*  339834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  339876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339890 */     GIR_RootConstrainSelectedInstOperands,
     /*  339891 */     // GIR_Coverage, 20331,
     /*  339891 */     GIR_EraseRootFromParent_Done,
     /*  339892 */   // Label 6213: @339892
     /*  339892 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339955), // Rule ID 20334 //
     /*  339897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  339939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339953 */     GIR_RootConstrainSelectedInstOperands,
     /*  339954 */     // GIR_Coverage, 20334,
     /*  339954 */     GIR_EraseRootFromParent_Done,
     /*  339955 */   // Label 6214: @339955
     /*  339955 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(340018), // Rule ID 20335 //
     /*  339960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  339968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339999 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340016 */     GIR_RootConstrainSelectedInstOperands,
     /*  340017 */     // GIR_Coverage, 20335,
     /*  340017 */     GIR_EraseRootFromParent_Done,
     /*  340018 */   // Label 6215: @340018
     /*  340018 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(340081), // Rule ID 20338 //
     /*  340023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340079 */     GIR_RootConstrainSelectedInstOperands,
     /*  340080 */     // GIR_Coverage, 20338,
     /*  340080 */     GIR_EraseRootFromParent_Done,
     /*  340081 */   // Label 6216: @340081
     /*  340081 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(340144), // Rule ID 20339 //
     /*  340086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340125 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340142 */     GIR_RootConstrainSelectedInstOperands,
     /*  340143 */     // GIR_Coverage, 20339,
     /*  340143 */     GIR_EraseRootFromParent_Done,
     /*  340144 */   // Label 6217: @340144
     /*  340144 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(340207), // Rule ID 20342 //
     /*  340149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  340152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  340188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340205 */     GIR_RootConstrainSelectedInstOperands,
     /*  340206 */     // GIR_Coverage, 20342,
     /*  340206 */     GIR_EraseRootFromParent_Done,
     /*  340207 */   // Label 6218: @340207
     /*  340207 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(340270), // Rule ID 20343 //
     /*  340212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  340215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340251 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  340251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340268 */     GIR_RootConstrainSelectedInstOperands,
     /*  340269 */     // GIR_Coverage, 20343,
     /*  340269 */     GIR_EraseRootFromParent_Done,
     /*  340270 */   // Label 6219: @340270
     /*  340270 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(340333), // Rule ID 20346 //
     /*  340275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340331 */     GIR_RootConstrainSelectedInstOperands,
     /*  340332 */     // GIR_Coverage, 20346,
     /*  340332 */     GIR_EraseRootFromParent_Done,
     /*  340333 */   // Label 6220: @340333
     /*  340333 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(340396), // Rule ID 20347 //
     /*  340338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340394 */     GIR_RootConstrainSelectedInstOperands,
     /*  340395 */     // GIR_Coverage, 20347,
     /*  340395 */     GIR_EraseRootFromParent_Done,
     /*  340396 */   // Label 6221: @340396
     /*  340396 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(340459), // Rule ID 20350 //
     /*  340401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  340412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  340443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340457 */     GIR_RootConstrainSelectedInstOperands,
     /*  340458 */     // GIR_Coverage, 20350,
     /*  340458 */     GIR_EraseRootFromParent_Done,
     /*  340459 */   // Label 6222: @340459
     /*  340459 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340522), // Rule ID 20351 //
     /*  340464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  340475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340503 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  340506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340520 */     GIR_RootConstrainSelectedInstOperands,
     /*  340521 */     // GIR_Coverage, 20351,
     /*  340521 */     GIR_EraseRootFromParent_Done,
     /*  340522 */   // Label 6223: @340522
     /*  340522 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340585), // Rule ID 20354 //
     /*  340527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  340538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340566 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  340569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340583 */     GIR_RootConstrainSelectedInstOperands,
     /*  340584 */     // GIR_Coverage, 20354,
     /*  340584 */     GIR_EraseRootFromParent_Done,
     /*  340585 */   // Label 6224: @340585
     /*  340585 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340648), // Rule ID 20355 //
     /*  340590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  340601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340629 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  340632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340646 */     GIR_RootConstrainSelectedInstOperands,
     /*  340647 */     // GIR_Coverage, 20355,
     /*  340647 */     GIR_EraseRootFromParent_Done,
     /*  340648 */   // Label 6225: @340648
     /*  340648 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340711), // Rule ID 20358 //
     /*  340653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340709 */     GIR_RootConstrainSelectedInstOperands,
     /*  340710 */     // GIR_Coverage, 20358,
     /*  340710 */     GIR_EraseRootFromParent_Done,
     /*  340711 */   // Label 6226: @340711
     /*  340711 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340774), // Rule ID 20359 //
     /*  340716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340755 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340772 */     GIR_RootConstrainSelectedInstOperands,
     /*  340773 */     // GIR_Coverage, 20359,
     /*  340773 */     GIR_EraseRootFromParent_Done,
     /*  340774 */   // Label 6227: @340774
     /*  340774 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340837), // Rule ID 20362 //
     /*  340779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  340821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340835 */     GIR_RootConstrainSelectedInstOperands,
     /*  340836 */     // GIR_Coverage, 20362,
     /*  340836 */     GIR_EraseRootFromParent_Done,
     /*  340837 */   // Label 6228: @340837
     /*  340837 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340900), // Rule ID 20363 //
     /*  340842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  340884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340898 */     GIR_RootConstrainSelectedInstOperands,
     /*  340899 */     // GIR_Coverage, 20363,
     /*  340899 */     GIR_EraseRootFromParent_Done,
     /*  340900 */   // Label 6229: @340900
     /*  340900 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340963), // Rule ID 20366 //
     /*  340905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  340916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  340947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340961 */     GIR_RootConstrainSelectedInstOperands,
     /*  340962 */     // GIR_Coverage, 20366,
     /*  340962 */     GIR_EraseRootFromParent_Done,
     /*  340963 */   // Label 6230: @340963
     /*  340963 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(341026), // Rule ID 20367 //
     /*  340968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  340979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  341007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341024 */     GIR_RootConstrainSelectedInstOperands,
     /*  341025 */     // GIR_Coverage, 20367,
     /*  341025 */     GIR_EraseRootFromParent_Done,
     /*  341026 */   // Label 6231: @341026
     /*  341026 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(341089), // Rule ID 20370 //
     /*  341031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  341042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341070 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341087 */     GIR_RootConstrainSelectedInstOperands,
     /*  341088 */     // GIR_Coverage, 20370,
     /*  341088 */     GIR_EraseRootFromParent_Done,
     /*  341089 */   // Label 6232: @341089
     /*  341089 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(341152), // Rule ID 20371 //
     /*  341094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  341105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341150 */     GIR_RootConstrainSelectedInstOperands,
     /*  341151 */     // GIR_Coverage, 20371,
     /*  341151 */     GIR_EraseRootFromParent_Done,
     /*  341152 */   // Label 6233: @341152
     /*  341152 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(341215), // Rule ID 20374 //
     /*  341157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341213 */     GIR_RootConstrainSelectedInstOperands,
     /*  341214 */     // GIR_Coverage, 20374,
     /*  341214 */     GIR_EraseRootFromParent_Done,
     /*  341215 */   // Label 6234: @341215
     /*  341215 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(341278), // Rule ID 20375 //
     /*  341220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341276 */     GIR_RootConstrainSelectedInstOperands,
     /*  341277 */     // GIR_Coverage, 20375,
     /*  341277 */     GIR_EraseRootFromParent_Done,
     /*  341278 */   // Label 6235: @341278
     /*  341278 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(341341), // Rule ID 20378 //
     /*  341283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341339 */     GIR_RootConstrainSelectedInstOperands,
     /*  341340 */     // GIR_Coverage, 20378,
     /*  341340 */     GIR_EraseRootFromParent_Done,
     /*  341341 */   // Label 6236: @341341
     /*  341341 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(341404), // Rule ID 20379 //
     /*  341346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341402 */     GIR_RootConstrainSelectedInstOperands,
     /*  341403 */     // GIR_Coverage, 20379,
     /*  341403 */     GIR_EraseRootFromParent_Done,
     /*  341404 */   // Label 6237: @341404
     /*  341404 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341470), // Rule ID 20382 //
     /*  341409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341468 */     GIR_RootConstrainSelectedInstOperands,
     /*  341469 */     // GIR_Coverage, 20382,
     /*  341469 */     GIR_EraseRootFromParent_Done,
     /*  341470 */   // Label 6238: @341470
     /*  341470 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341536), // Rule ID 20383 //
     /*  341475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341534 */     GIR_RootConstrainSelectedInstOperands,
     /*  341535 */     // GIR_Coverage, 20383,
     /*  341535 */     GIR_EraseRootFromParent_Done,
     /*  341536 */   // Label 6239: @341536
     /*  341536 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341602), // Rule ID 20386 //
     /*  341541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341600 */     GIR_RootConstrainSelectedInstOperands,
     /*  341601 */     // GIR_Coverage, 20386,
     /*  341601 */     GIR_EraseRootFromParent_Done,
     /*  341602 */   // Label 6240: @341602
     /*  341602 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341668), // Rule ID 20387 //
     /*  341607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  341649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341666 */     GIR_RootConstrainSelectedInstOperands,
     /*  341667 */     // GIR_Coverage, 20387,
     /*  341667 */     GIR_EraseRootFromParent_Done,
     /*  341668 */   // Label 6241: @341668
     /*  341668 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341734), // Rule ID 20390 //
     /*  341673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  341715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341732 */     GIR_RootConstrainSelectedInstOperands,
     /*  341733 */     // GIR_Coverage, 20390,
     /*  341733 */     GIR_EraseRootFromParent_Done,
     /*  341734 */   // Label 6242: @341734
     /*  341734 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341800), // Rule ID 20391 //
     /*  341739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  341781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341798 */     GIR_RootConstrainSelectedInstOperands,
     /*  341799 */     // GIR_Coverage, 20391,
     /*  341799 */     GIR_EraseRootFromParent_Done,
     /*  341800 */   // Label 6243: @341800
     /*  341800 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341866), // Rule ID 20394 //
     /*  341805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  341847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341864 */     GIR_RootConstrainSelectedInstOperands,
     /*  341865 */     // GIR_Coverage, 20394,
     /*  341865 */     GIR_EraseRootFromParent_Done,
     /*  341866 */   // Label 6244: @341866
     /*  341866 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341932), // Rule ID 20395 //
     /*  341871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  341913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341930 */     GIR_RootConstrainSelectedInstOperands,
     /*  341931 */     // GIR_Coverage, 20395,
     /*  341931 */     GIR_EraseRootFromParent_Done,
     /*  341932 */   // Label 6245: @341932
     /*  341932 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341998), // Rule ID 20398 //
     /*  341937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  341945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  341979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341996 */     GIR_RootConstrainSelectedInstOperands,
     /*  341997 */     // GIR_Coverage, 20398,
     /*  341997 */     GIR_EraseRootFromParent_Done,
     /*  341998 */   // Label 6246: @341998
     /*  341998 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(342064), // Rule ID 20399 //
     /*  342003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342062 */     GIR_RootConstrainSelectedInstOperands,
     /*  342063 */     // GIR_Coverage, 20399,
     /*  342063 */     GIR_EraseRootFromParent_Done,
     /*  342064 */   // Label 6247: @342064
     /*  342064 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(342130), // Rule ID 20402 //
     /*  342069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342128 */     GIR_RootConstrainSelectedInstOperands,
     /*  342129 */     // GIR_Coverage, 20402,
     /*  342129 */     GIR_EraseRootFromParent_Done,
     /*  342130 */   // Label 6248: @342130
     /*  342130 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(342196), // Rule ID 20403 //
     /*  342135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342194 */     GIR_RootConstrainSelectedInstOperands,
     /*  342195 */     // GIR_Coverage, 20403,
     /*  342195 */     GIR_EraseRootFromParent_Done,
     /*  342196 */   // Label 6249: @342196
     /*  342196 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(342262), // Rule ID 20406 //
     /*  342201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342260 */     GIR_RootConstrainSelectedInstOperands,
     /*  342261 */     // GIR_Coverage, 20406,
     /*  342261 */     GIR_EraseRootFromParent_Done,
     /*  342262 */   // Label 6250: @342262
     /*  342262 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(342328), // Rule ID 20407 //
     /*  342267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342326 */     GIR_RootConstrainSelectedInstOperands,
     /*  342327 */     // GIR_Coverage, 20407,
     /*  342327 */     GIR_EraseRootFromParent_Done,
     /*  342328 */   // Label 6251: @342328
     /*  342328 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(342394), // Rule ID 20410 //
     /*  342333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342372 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  342375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342392 */     GIR_RootConstrainSelectedInstOperands,
     /*  342393 */     // GIR_Coverage, 20410,
     /*  342393 */     GIR_EraseRootFromParent_Done,
     /*  342394 */   // Label 6252: @342394
     /*  342394 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342460), // Rule ID 20411 //
     /*  342399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  342441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342458 */     GIR_RootConstrainSelectedInstOperands,
     /*  342459 */     // GIR_Coverage, 20411,
     /*  342459 */     GIR_EraseRootFromParent_Done,
     /*  342460 */   // Label 6253: @342460
     /*  342460 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342526), // Rule ID 20414 //
     /*  342465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342524 */     GIR_RootConstrainSelectedInstOperands,
     /*  342525 */     // GIR_Coverage, 20414,
     /*  342525 */     GIR_EraseRootFromParent_Done,
     /*  342526 */   // Label 6254: @342526
     /*  342526 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342592), // Rule ID 20415 //
     /*  342531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342590 */     GIR_RootConstrainSelectedInstOperands,
     /*  342591 */     // GIR_Coverage, 20415,
     /*  342591 */     GIR_EraseRootFromParent_Done,
     /*  342592 */   // Label 6255: @342592
     /*  342592 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342658), // Rule ID 20418 //
     /*  342597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342656 */     GIR_RootConstrainSelectedInstOperands,
     /*  342657 */     // GIR_Coverage, 20418,
     /*  342657 */     GIR_EraseRootFromParent_Done,
     /*  342658 */   // Label 6256: @342658
     /*  342658 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342724), // Rule ID 20419 //
     /*  342663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342722 */     GIR_RootConstrainSelectedInstOperands,
     /*  342723 */     // GIR_Coverage, 20419,
     /*  342723 */     GIR_EraseRootFromParent_Done,
     /*  342724 */   // Label 6257: @342724
     /*  342724 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342790), // Rule ID 20422 //
     /*  342729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  342771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342788 */     GIR_RootConstrainSelectedInstOperands,
     /*  342789 */     // GIR_Coverage, 20422,
     /*  342789 */     GIR_EraseRootFromParent_Done,
     /*  342790 */   // Label 6258: @342790
     /*  342790 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342856), // Rule ID 20423 //
     /*  342795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  342837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342854 */     GIR_RootConstrainSelectedInstOperands,
     /*  342855 */     // GIR_Coverage, 20423,
     /*  342855 */     GIR_EraseRootFromParent_Done,
     /*  342856 */   // Label 6259: @342856
     /*  342856 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342922), // Rule ID 20426 //
     /*  342861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342920 */     GIR_RootConstrainSelectedInstOperands,
     /*  342921 */     // GIR_Coverage, 20426,
     /*  342921 */     GIR_EraseRootFromParent_Done,
     /*  342922 */   // Label 6260: @342922
     /*  342922 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342988), // Rule ID 20427 //
     /*  342927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342986 */     GIR_RootConstrainSelectedInstOperands,
     /*  342987 */     // GIR_Coverage, 20427,
     /*  342987 */     GIR_EraseRootFromParent_Done,
     /*  342988 */   // Label 6261: @342988
     /*  342988 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(343054), // Rule ID 20430 //
     /*  342993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343052 */     GIR_RootConstrainSelectedInstOperands,
     /*  343053 */     // GIR_Coverage, 20430,
     /*  343053 */     GIR_EraseRootFromParent_Done,
     /*  343054 */   // Label 6262: @343054
     /*  343054 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(343120), // Rule ID 20431 //
     /*  343059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343118 */     GIR_RootConstrainSelectedInstOperands,
     /*  343119 */     // GIR_Coverage, 20431,
     /*  343119 */     GIR_EraseRootFromParent_Done,
     /*  343120 */   // Label 6263: @343120
     /*  343120 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(343186), // Rule ID 20434 //
     /*  343125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343184 */     GIR_RootConstrainSelectedInstOperands,
     /*  343185 */     // GIR_Coverage, 20434,
     /*  343185 */     GIR_EraseRootFromParent_Done,
     /*  343186 */   // Label 6264: @343186
     /*  343186 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(343252), // Rule ID 20435 //
     /*  343191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343250 */     GIR_RootConstrainSelectedInstOperands,
     /*  343251 */     // GIR_Coverage, 20435,
     /*  343251 */     GIR_EraseRootFromParent_Done,
     /*  343252 */   // Label 6265: @343252
     /*  343252 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(343318), // Rule ID 20760 //
     /*  343257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  343299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343316 */     GIR_RootConstrainSelectedInstOperands,
     /*  343317 */     // GIR_Coverage, 20760,
     /*  343317 */     GIR_EraseRootFromParent_Done,
     /*  343318 */   // Label 6266: @343318
     /*  343318 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(343384), // Rule ID 20761 //
     /*  343323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  343365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343382 */     GIR_RootConstrainSelectedInstOperands,
     /*  343383 */     // GIR_Coverage, 20761,
     /*  343383 */     GIR_EraseRootFromParent_Done,
     /*  343384 */   // Label 6267: @343384
     /*  343384 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343450), // Rule ID 20764 //
     /*  343389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  343400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  343403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343448 */     GIR_RootConstrainSelectedInstOperands,
     /*  343449 */     // GIR_Coverage, 20764,
     /*  343449 */     GIR_EraseRootFromParent_Done,
     /*  343450 */   // Label 6268: @343450
     /*  343450 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343516), // Rule ID 20765 //
     /*  343455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  343466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  343469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343514 */     GIR_RootConstrainSelectedInstOperands,
     /*  343515 */     // GIR_Coverage, 20765,
     /*  343515 */     GIR_EraseRootFromParent_Done,
     /*  343516 */   // Label 6269: @343516
     /*  343516 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343582), // Rule ID 20768 //
     /*  343521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343580 */     GIR_RootConstrainSelectedInstOperands,
     /*  343581 */     // GIR_Coverage, 20768,
     /*  343581 */     GIR_EraseRootFromParent_Done,
     /*  343582 */   // Label 6270: @343582
     /*  343582 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343648), // Rule ID 20769 //
     /*  343587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  343629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343646 */     GIR_RootConstrainSelectedInstOperands,
     /*  343647 */     // GIR_Coverage, 20769,
     /*  343647 */     GIR_EraseRootFromParent_Done,
     /*  343648 */   // Label 6271: @343648
     /*  343648 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343714), // Rule ID 20772 //
     /*  343653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  343664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  343667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  343695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343712 */     GIR_RootConstrainSelectedInstOperands,
     /*  343713 */     // GIR_Coverage, 20772,
     /*  343713 */     GIR_EraseRootFromParent_Done,
     /*  343714 */   // Label 6272: @343714
     /*  343714 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343780), // Rule ID 20773 //
     /*  343719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  343730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  343733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  343761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343778 */     GIR_RootConstrainSelectedInstOperands,
     /*  343779 */     // GIR_Coverage, 20773,
     /*  343779 */     GIR_EraseRootFromParent_Done,
     /*  343780 */   // Label 6273: @343780
     /*  343780 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343846), // Rule ID 20776 //
     /*  343785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  343827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343844 */     GIR_RootConstrainSelectedInstOperands,
     /*  343845 */     // GIR_Coverage, 20776,
     /*  343845 */     GIR_EraseRootFromParent_Done,
     /*  343846 */   // Label 6274: @343846
     /*  343846 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343912), // Rule ID 20777 //
     /*  343851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  343893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343910 */     GIR_RootConstrainSelectedInstOperands,
     /*  343911 */     // GIR_Coverage, 20777,
     /*  343911 */     GIR_EraseRootFromParent_Done,
     /*  343912 */   // Label 6275: @343912
     /*  343912 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343978), // Rule ID 20780 //
     /*  343917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  343934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  343959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343976 */     GIR_RootConstrainSelectedInstOperands,
     /*  343977 */     // GIR_Coverage, 20780,
     /*  343977 */     GIR_EraseRootFromParent_Done,
     /*  343978 */   // Label 6276: @343978
     /*  343978 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(344044), // Rule ID 20781 //
     /*  343983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  344000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  344022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344042 */     GIR_RootConstrainSelectedInstOperands,
     /*  344043 */     // GIR_Coverage, 20781,
     /*  344043 */     GIR_EraseRootFromParent_Done,
     /*  344044 */   // Label 6277: @344044
     /*  344044 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(344110), // Rule ID 20784 //
     /*  344049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344108 */     GIR_RootConstrainSelectedInstOperands,
     /*  344109 */     // GIR_Coverage, 20784,
     /*  344109 */     GIR_EraseRootFromParent_Done,
     /*  344110 */   // Label 6278: @344110
     /*  344110 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(344176), // Rule ID 20785 //
     /*  344115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344174 */     GIR_RootConstrainSelectedInstOperands,
     /*  344175 */     // GIR_Coverage, 20785,
     /*  344175 */     GIR_EraseRootFromParent_Done,
     /*  344176 */   // Label 6279: @344176
     /*  344176 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(344242), // Rule ID 20788 //
     /*  344181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344240 */     GIR_RootConstrainSelectedInstOperands,
     /*  344241 */     // GIR_Coverage, 20788,
     /*  344241 */     GIR_EraseRootFromParent_Done,
     /*  344242 */   // Label 6280: @344242
     /*  344242 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(344308), // Rule ID 20789 //
     /*  344247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344306 */     GIR_RootConstrainSelectedInstOperands,
     /*  344307 */     // GIR_Coverage, 20789,
     /*  344307 */     GIR_EraseRootFromParent_Done,
     /*  344308 */   // Label 6281: @344308
     /*  344308 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(344374), // Rule ID 20792 //
     /*  344313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  344324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  344327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  344330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  344355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344372 */     GIR_RootConstrainSelectedInstOperands,
     /*  344373 */     // GIR_Coverage, 20792,
     /*  344373 */     GIR_EraseRootFromParent_Done,
     /*  344374 */   // Label 6282: @344374
     /*  344374 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344440), // Rule ID 20793 //
     /*  344379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  344390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  344393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  344396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  344421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344438 */     GIR_RootConstrainSelectedInstOperands,
     /*  344439 */     // GIR_Coverage, 20793,
     /*  344439 */     GIR_EraseRootFromParent_Done,
     /*  344440 */   // Label 6283: @344440
     /*  344440 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344506), // Rule ID 20796 //
     /*  344445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344504 */     GIR_RootConstrainSelectedInstOperands,
     /*  344505 */     // GIR_Coverage, 20796,
     /*  344505 */     GIR_EraseRootFromParent_Done,
     /*  344506 */   // Label 6284: @344506
     /*  344506 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344572), // Rule ID 20797 //
     /*  344511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344570 */     GIR_RootConstrainSelectedInstOperands,
     /*  344571 */     // GIR_Coverage, 20797,
     /*  344571 */     GIR_EraseRootFromParent_Done,
     /*  344572 */   // Label 6285: @344572
     /*  344572 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344638), // Rule ID 20800 //
     /*  344577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344636 */     GIR_RootConstrainSelectedInstOperands,
     /*  344637 */     // GIR_Coverage, 20800,
     /*  344637 */     GIR_EraseRootFromParent_Done,
     /*  344638 */   // Label 6286: @344638
     /*  344638 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344704), // Rule ID 20801 //
     /*  344643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  344654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  344657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344702 */     GIR_RootConstrainSelectedInstOperands,
     /*  344703 */     // GIR_Coverage, 20801,
     /*  344703 */     GIR_EraseRootFromParent_Done,
     /*  344704 */   // Label 6287: @344704
     /*  344704 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344770), // Rule ID 20804 //
     /*  344709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  344726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  344751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344768 */     GIR_RootConstrainSelectedInstOperands,
     /*  344769 */     // GIR_Coverage, 20804,
     /*  344769 */     GIR_EraseRootFromParent_Done,
     /*  344770 */   // Label 6288: @344770
     /*  344770 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344836), // Rule ID 20805 //
     /*  344775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  344792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  344817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344834 */     GIR_RootConstrainSelectedInstOperands,
     /*  344835 */     // GIR_Coverage, 20805,
     /*  344835 */     GIR_EraseRootFromParent_Done,
     /*  344836 */   // Label 6289: @344836
     /*  344836 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344902), // Rule ID 20808 //
     /*  344841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  344844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  344858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  344880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344900 */     GIR_RootConstrainSelectedInstOperands,
     /*  344901 */     // GIR_Coverage, 20808,
     /*  344901 */     GIR_EraseRootFromParent_Done,
     /*  344902 */   // Label 6290: @344902
     /*  344902 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344968), // Rule ID 20809 //
     /*  344907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  344910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  344924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  344946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344966 */     GIR_RootConstrainSelectedInstOperands,
     /*  344967 */     // GIR_Coverage, 20809,
     /*  344967 */     GIR_EraseRootFromParent_Done,
     /*  344968 */   // Label 6291: @344968
     /*  344968 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(345034), // Rule ID 20812 //
     /*  344973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  344976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  344990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345032 */     GIR_RootConstrainSelectedInstOperands,
     /*  345033 */     // GIR_Coverage, 20812,
     /*  345033 */     GIR_EraseRootFromParent_Done,
     /*  345034 */   // Label 6292: @345034
     /*  345034 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(345100), // Rule ID 20813 //
     /*  345039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  345056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345098 */     GIR_RootConstrainSelectedInstOperands,
     /*  345099 */     // GIR_Coverage, 20813,
     /*  345099 */     GIR_EraseRootFromParent_Done,
     /*  345100 */   // Label 6293: @345100
     /*  345100 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(345166), // Rule ID 20816 //
     /*  345105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  345122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345164 */     GIR_RootConstrainSelectedInstOperands,
     /*  345165 */     // GIR_Coverage, 20816,
     /*  345165 */     GIR_EraseRootFromParent_Done,
     /*  345166 */   // Label 6294: @345166
     /*  345166 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(345232), // Rule ID 20817 //
     /*  345171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  345188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345210 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345230 */     GIR_RootConstrainSelectedInstOperands,
     /*  345231 */     // GIR_Coverage, 20817,
     /*  345231 */     GIR_EraseRootFromParent_Done,
     /*  345232 */   // Label 6295: @345232
     /*  345232 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(345298), // Rule ID 20820 //
     /*  345237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  345279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345296 */     GIR_RootConstrainSelectedInstOperands,
     /*  345297 */     // GIR_Coverage, 20820,
     /*  345297 */     GIR_EraseRootFromParent_Done,
     /*  345298 */   // Label 6296: @345298
     /*  345298 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(345364), // Rule ID 20821 //
     /*  345303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  345345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345362 */     GIR_RootConstrainSelectedInstOperands,
     /*  345363 */     // GIR_Coverage, 20821,
     /*  345363 */     GIR_EraseRootFromParent_Done,
     /*  345364 */   // Label 6297: @345364
     /*  345364 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(345430), // Rule ID 20824 //
     /*  345369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345428 */     GIR_RootConstrainSelectedInstOperands,
     /*  345429 */     // GIR_Coverage, 20824,
     /*  345429 */     GIR_EraseRootFromParent_Done,
     /*  345430 */   // Label 6298: @345430
     /*  345430 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345496), // Rule ID 20825 //
     /*  345435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345494 */     GIR_RootConstrainSelectedInstOperands,
     /*  345495 */     // GIR_Coverage, 20825,
     /*  345495 */     GIR_EraseRootFromParent_Done,
     /*  345496 */   // Label 6299: @345496
     /*  345496 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345562), // Rule ID 20828 //
     /*  345501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345540 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345560 */     GIR_RootConstrainSelectedInstOperands,
     /*  345561 */     // GIR_Coverage, 20828,
     /*  345561 */     GIR_EraseRootFromParent_Done,
     /*  345562 */   // Label 6300: @345562
     /*  345562 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345628), // Rule ID 20829 //
     /*  345567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  345609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345626 */     GIR_RootConstrainSelectedInstOperands,
     /*  345627 */     // GIR_Coverage, 20829,
     /*  345627 */     GIR_EraseRootFromParent_Done,
     /*  345628 */   // Label 6301: @345628
     /*  345628 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345694), // Rule ID 20832 //
     /*  345633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  345675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345692 */     GIR_RootConstrainSelectedInstOperands,
     /*  345693 */     // GIR_Coverage, 20832,
     /*  345693 */     GIR_EraseRootFromParent_Done,
     /*  345694 */   // Label 6302: @345694
     /*  345694 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345760), // Rule ID 20833 //
     /*  345699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  345741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345758 */     GIR_RootConstrainSelectedInstOperands,
     /*  345759 */     // GIR_Coverage, 20833,
     /*  345759 */     GIR_EraseRootFromParent_Done,
     /*  345760 */   // Label 6303: @345760
     /*  345760 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345826), // Rule ID 20836 //
     /*  345765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  345807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345824 */     GIR_RootConstrainSelectedInstOperands,
     /*  345825 */     // GIR_Coverage, 20836,
     /*  345825 */     GIR_EraseRootFromParent_Done,
     /*  345826 */   // Label 6304: @345826
     /*  345826 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345892), // Rule ID 20837 //
     /*  345831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  345873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345890 */     GIR_RootConstrainSelectedInstOperands,
     /*  345891 */     // GIR_Coverage, 20837,
     /*  345891 */     GIR_EraseRootFromParent_Done,
     /*  345892 */   // Label 6305: @345892
     /*  345892 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345958), // Rule ID 20840 //
     /*  345897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  345908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  345911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  345914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  345939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345956 */     GIR_RootConstrainSelectedInstOperands,
     /*  345957 */     // GIR_Coverage, 20840,
     /*  345957 */     GIR_EraseRootFromParent_Done,
     /*  345958 */   // Label 6306: @345958
     /*  345958 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(346024), // Rule ID 20841 //
     /*  345963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  345974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  345977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  345980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  346002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346022 */     GIR_RootConstrainSelectedInstOperands,
     /*  346023 */     // GIR_Coverage, 20841,
     /*  346023 */     GIR_EraseRootFromParent_Done,
     /*  346024 */   // Label 6307: @346024
     /*  346024 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(346090), // Rule ID 20844 //
     /*  346029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346088 */     GIR_RootConstrainSelectedInstOperands,
     /*  346089 */     // GIR_Coverage, 20844,
     /*  346089 */     GIR_EraseRootFromParent_Done,
     /*  346090 */   // Label 6308: @346090
     /*  346090 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(346156), // Rule ID 20845 //
     /*  346095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346154 */     GIR_RootConstrainSelectedInstOperands,
     /*  346155 */     // GIR_Coverage, 20845,
     /*  346155 */     GIR_EraseRootFromParent_Done,
     /*  346156 */   // Label 6309: @346156
     /*  346156 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(346222), // Rule ID 20848 //
     /*  346161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346200 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346220 */     GIR_RootConstrainSelectedInstOperands,
     /*  346221 */     // GIR_Coverage, 20848,
     /*  346221 */     GIR_EraseRootFromParent_Done,
     /*  346222 */   // Label 6310: @346222
     /*  346222 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(346288), // Rule ID 20849 //
     /*  346227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346266 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346286 */     GIR_RootConstrainSelectedInstOperands,
     /*  346287 */     // GIR_Coverage, 20849,
     /*  346287 */     GIR_EraseRootFromParent_Done,
     /*  346288 */   // Label 6311: @346288
     /*  346288 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(346354), // Rule ID 20852 //
     /*  346293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  346335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346352 */     GIR_RootConstrainSelectedInstOperands,
     /*  346353 */     // GIR_Coverage, 20852,
     /*  346353 */     GIR_EraseRootFromParent_Done,
     /*  346354 */   // Label 6312: @346354
     /*  346354 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(346420), // Rule ID 20853 //
     /*  346359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  346401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346418 */     GIR_RootConstrainSelectedInstOperands,
     /*  346419 */     // GIR_Coverage, 20853,
     /*  346419 */     GIR_EraseRootFromParent_Done,
     /*  346420 */   // Label 6313: @346420
     /*  346420 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346486), // Rule ID 20856 //
     /*  346425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346484 */     GIR_RootConstrainSelectedInstOperands,
     /*  346485 */     // GIR_Coverage, 20856,
     /*  346485 */     GIR_EraseRootFromParent_Done,
     /*  346486 */   // Label 6314: @346486
     /*  346486 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346552), // Rule ID 20857 //
     /*  346491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346550 */     GIR_RootConstrainSelectedInstOperands,
     /*  346551 */     // GIR_Coverage, 20857,
     /*  346551 */     GIR_EraseRootFromParent_Done,
     /*  346552 */   // Label 6315: @346552
     /*  346552 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346618), // Rule ID 20860 //
     /*  346557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346616 */     GIR_RootConstrainSelectedInstOperands,
     /*  346617 */     // GIR_Coverage, 20860,
     /*  346617 */     GIR_EraseRootFromParent_Done,
     /*  346618 */   // Label 6316: @346618
     /*  346618 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346684), // Rule ID 20861 //
     /*  346623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346682 */     GIR_RootConstrainSelectedInstOperands,
     /*  346683 */     // GIR_Coverage, 20861,
     /*  346683 */     GIR_EraseRootFromParent_Done,
     /*  346684 */   // Label 6317: @346684
     /*  346684 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346750), // Rule ID 20864 //
     /*  346689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  346706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  346731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346748 */     GIR_RootConstrainSelectedInstOperands,
     /*  346749 */     // GIR_Coverage, 20864,
     /*  346749 */     GIR_EraseRootFromParent_Done,
     /*  346750 */   // Label 6318: @346750
     /*  346750 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346816), // Rule ID 20865 //
     /*  346755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  346772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  346797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346814 */     GIR_RootConstrainSelectedInstOperands,
     /*  346815 */     // GIR_Coverage, 20865,
     /*  346815 */     GIR_EraseRootFromParent_Done,
     /*  346816 */   // Label 6319: @346816
     /*  346816 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346882), // Rule ID 20868 //
     /*  346821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  346824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  346838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  346860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346880 */     GIR_RootConstrainSelectedInstOperands,
     /*  346881 */     // GIR_Coverage, 20868,
     /*  346881 */     GIR_EraseRootFromParent_Done,
     /*  346882 */   // Label 6320: @346882
     /*  346882 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346948), // Rule ID 20869 //
     /*  346887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  346890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  346904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  346926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346946 */     GIR_RootConstrainSelectedInstOperands,
     /*  346947 */     // GIR_Coverage, 20869,
     /*  346947 */     GIR_EraseRootFromParent_Done,
     /*  346948 */   // Label 6321: @346948
     /*  346948 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(347014), // Rule ID 20872 //
     /*  346953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  346956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  346964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  346967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  346970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  346992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347012 */     GIR_RootConstrainSelectedInstOperands,
     /*  347013 */     // GIR_Coverage, 20872,
     /*  347013 */     GIR_EraseRootFromParent_Done,
     /*  347014 */   // Label 6322: @347014
     /*  347014 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(347080), // Rule ID 20873 //
     /*  347019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  347036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  347061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347078 */     GIR_RootConstrainSelectedInstOperands,
     /*  347079 */     // GIR_Coverage, 20873,
     /*  347079 */     GIR_EraseRootFromParent_Done,
     /*  347080 */   // Label 6323: @347080
     /*  347080 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(347146), // Rule ID 20876 //
     /*  347085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  347088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  347102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347144 */     GIR_RootConstrainSelectedInstOperands,
     /*  347145 */     // GIR_Coverage, 20876,
     /*  347145 */     GIR_EraseRootFromParent_Done,
     /*  347146 */   // Label 6324: @347146
     /*  347146 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(347212), // Rule ID 20877 //
     /*  347151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  347168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347210 */     GIR_RootConstrainSelectedInstOperands,
     /*  347211 */     // GIR_Coverage, 20877,
     /*  347211 */     GIR_EraseRootFromParent_Done,
     /*  347212 */   // Label 6325: @347212
     /*  347212 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(347278), // Rule ID 21144 //
     /*  347217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  347259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347276 */     GIR_RootConstrainSelectedInstOperands,
     /*  347277 */     // GIR_Coverage, 21144,
     /*  347277 */     GIR_EraseRootFromParent_Done,
     /*  347278 */   // Label 6326: @347278
     /*  347278 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(347344), // Rule ID 21145 //
     /*  347283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  347325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347342 */     GIR_RootConstrainSelectedInstOperands,
     /*  347343 */     // GIR_Coverage, 21145,
     /*  347343 */     GIR_EraseRootFromParent_Done,
     /*  347344 */   // Label 6327: @347344
     /*  347344 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(347410), // Rule ID 21148 //
     /*  347349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  347391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347408 */     GIR_RootConstrainSelectedInstOperands,
     /*  347409 */     // GIR_Coverage, 21148,
     /*  347409 */     GIR_EraseRootFromParent_Done,
     /*  347410 */   // Label 6328: @347410
     /*  347410 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347476), // Rule ID 21149 //
     /*  347415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  347457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347474 */     GIR_RootConstrainSelectedInstOperands,
     /*  347475 */     // GIR_Coverage, 21149,
     /*  347475 */     GIR_EraseRootFromParent_Done,
     /*  347476 */   // Label 6329: @347476
     /*  347476 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347542), // Rule ID 21152 //
     /*  347481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  347498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  347523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347540 */     GIR_RootConstrainSelectedInstOperands,
     /*  347541 */     // GIR_Coverage, 21152,
     /*  347541 */     GIR_EraseRootFromParent_Done,
     /*  347542 */   // Label 6330: @347542
     /*  347542 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347608), // Rule ID 21153 //
     /*  347547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  347564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  347589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347606 */     GIR_RootConstrainSelectedInstOperands,
     /*  347607 */     // GIR_Coverage, 21153,
     /*  347607 */     GIR_EraseRootFromParent_Done,
     /*  347608 */   // Label 6331: @347608
     /*  347608 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347674), // Rule ID 21156 //
     /*  347613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  347630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  347655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347672 */     GIR_RootConstrainSelectedInstOperands,
     /*  347673 */     // GIR_Coverage, 21156,
     /*  347673 */     GIR_EraseRootFromParent_Done,
     /*  347674 */   // Label 6332: @347674
     /*  347674 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347740), // Rule ID 21157 //
     /*  347679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  347696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  347721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347738 */     GIR_RootConstrainSelectedInstOperands,
     /*  347739 */     // GIR_Coverage, 21157,
     /*  347739 */     GIR_EraseRootFromParent_Done,
     /*  347740 */   // Label 6333: @347740
     /*  347740 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347806), // Rule ID 21160 //
     /*  347745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  347787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347804 */     GIR_RootConstrainSelectedInstOperands,
     /*  347805 */     // GIR_Coverage, 21160,
     /*  347805 */     GIR_EraseRootFromParent_Done,
     /*  347806 */   // Label 6334: @347806
     /*  347806 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347872), // Rule ID 21161 //
     /*  347811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  347853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347870 */     GIR_RootConstrainSelectedInstOperands,
     /*  347871 */     // GIR_Coverage, 21161,
     /*  347871 */     GIR_EraseRootFromParent_Done,
     /*  347872 */   // Label 6335: @347872
     /*  347872 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347938), // Rule ID 21164 //
     /*  347877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  347880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  347888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  347891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  347919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347936 */     GIR_RootConstrainSelectedInstOperands,
     /*  347937 */     // GIR_Coverage, 21164,
     /*  347937 */     GIR_EraseRootFromParent_Done,
     /*  347938 */   // Label 6336: @347938
     /*  347938 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(348004), // Rule ID 21165 //
     /*  347943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  347946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  347954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  347957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  347985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348002 */     GIR_RootConstrainSelectedInstOperands,
     /*  348003 */     // GIR_Coverage, 21165,
     /*  348003 */     GIR_EraseRootFromParent_Done,
     /*  348004 */   // Label 6337: @348004
     /*  348004 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(348070), // Rule ID 21168 //
     /*  348009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348068 */     GIR_RootConstrainSelectedInstOperands,
     /*  348069 */     // GIR_Coverage, 21168,
     /*  348069 */     GIR_EraseRootFromParent_Done,
     /*  348070 */   // Label 6338: @348070
     /*  348070 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(348136), // Rule ID 21169 //
     /*  348075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348134 */     GIR_RootConstrainSelectedInstOperands,
     /*  348135 */     // GIR_Coverage, 21169,
     /*  348135 */     GIR_EraseRootFromParent_Done,
     /*  348136 */   // Label 6339: @348136
     /*  348136 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(348202), // Rule ID 21172 //
     /*  348141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348200 */     GIR_RootConstrainSelectedInstOperands,
     /*  348201 */     // GIR_Coverage, 21172,
     /*  348201 */     GIR_EraseRootFromParent_Done,
     /*  348202 */   // Label 6340: @348202
     /*  348202 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(348268), // Rule ID 21173 //
     /*  348207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348266 */     GIR_RootConstrainSelectedInstOperands,
     /*  348267 */     // GIR_Coverage, 21173,
     /*  348267 */     GIR_EraseRootFromParent_Done,
     /*  348268 */   // Label 6341: @348268
     /*  348268 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(348334), // Rule ID 21176 //
     /*  348273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348332 */     GIR_RootConstrainSelectedInstOperands,
     /*  348333 */     // GIR_Coverage, 21176,
     /*  348333 */     GIR_EraseRootFromParent_Done,
     /*  348334 */   // Label 6342: @348334
     /*  348334 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(348400), // Rule ID 21177 //
     /*  348339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11226:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348398 */     GIR_RootConstrainSelectedInstOperands,
     /*  348399 */     // GIR_Coverage, 21177,
     /*  348399 */     GIR_EraseRootFromParent_Done,
     /*  348400 */   // Label 6343: @348400
     /*  348400 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348466), // Rule ID 21180 //
     /*  348405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348444 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  348447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348464 */     GIR_RootConstrainSelectedInstOperands,
     /*  348465 */     // GIR_Coverage, 21180,
     /*  348465 */     GIR_EraseRootFromParent_Done,
     /*  348466 */   // Label 6344: @348466
     /*  348466 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348532), // Rule ID 21181 //
     /*  348471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  348513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348530 */     GIR_RootConstrainSelectedInstOperands,
     /*  348531 */     // GIR_Coverage, 21181,
     /*  348531 */     GIR_EraseRootFromParent_Done,
     /*  348532 */   // Label 6345: @348532
     /*  348532 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348598), // Rule ID 21184 //
     /*  348537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  348579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348596 */     GIR_RootConstrainSelectedInstOperands,
     /*  348597 */     // GIR_Coverage, 21184,
     /*  348597 */     GIR_EraseRootFromParent_Done,
     /*  348598 */   // Label 6346: @348598
     /*  348598 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348664), // Rule ID 21185 //
     /*  348603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  348645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348662 */     GIR_RootConstrainSelectedInstOperands,
     /*  348663 */     // GIR_Coverage, 21185,
     /*  348663 */     GIR_EraseRootFromParent_Done,
     /*  348664 */   // Label 6347: @348664
     /*  348664 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348730), // Rule ID 21188 //
     /*  348669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  348711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348728 */     GIR_RootConstrainSelectedInstOperands,
     /*  348729 */     // GIR_Coverage, 21188,
     /*  348729 */     GIR_EraseRootFromParent_Done,
     /*  348730 */   // Label 6348: @348730
     /*  348730 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348796), // Rule ID 21189 //
     /*  348735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  348777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348794 */     GIR_RootConstrainSelectedInstOperands,
     /*  348795 */     // GIR_Coverage, 21189,
     /*  348795 */     GIR_EraseRootFromParent_Done,
     /*  348796 */   // Label 6349: @348796
     /*  348796 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348862), // Rule ID 21192 //
     /*  348801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  348843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348860 */     GIR_RootConstrainSelectedInstOperands,
     /*  348861 */     // GIR_Coverage, 21192,
     /*  348861 */     GIR_EraseRootFromParent_Done,
     /*  348862 */   // Label 6350: @348862
     /*  348862 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348928), // Rule ID 21193 //
     /*  348867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  348909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348926 */     GIR_RootConstrainSelectedInstOperands,
     /*  348927 */     // GIR_Coverage, 21193,
     /*  348927 */     GIR_EraseRootFromParent_Done,
     /*  348928 */   // Label 6351: @348928
     /*  348928 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348994), // Rule ID 21196 //
     /*  348933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  348941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  348975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348992 */     GIR_RootConstrainSelectedInstOperands,
     /*  348993 */     // GIR_Coverage, 21196,
     /*  348993 */     GIR_EraseRootFromParent_Done,
     /*  348994 */   // Label 6352: @348994
     /*  348994 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(349060), // Rule ID 21197 //
     /*  348999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349058 */     GIR_RootConstrainSelectedInstOperands,
     /*  349059 */     // GIR_Coverage, 21197,
     /*  349059 */     GIR_EraseRootFromParent_Done,
     /*  349060 */   // Label 6353: @349060
     /*  349060 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(349126), // Rule ID 21200 //
     /*  349065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349124 */     GIR_RootConstrainSelectedInstOperands,
     /*  349125 */     // GIR_Coverage, 21200,
     /*  349125 */     GIR_EraseRootFromParent_Done,
     /*  349126 */   // Label 6354: @349126
     /*  349126 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(349192), // Rule ID 21201 //
     /*  349131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349190 */     GIR_RootConstrainSelectedInstOperands,
     /*  349191 */     // GIR_Coverage, 21201,
     /*  349191 */     GIR_EraseRootFromParent_Done,
     /*  349192 */   // Label 6355: @349192
     /*  349192 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(349258), // Rule ID 21204 //
     /*  349197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349256 */     GIR_RootConstrainSelectedInstOperands,
     /*  349257 */     // GIR_Coverage, 21204,
     /*  349257 */     GIR_EraseRootFromParent_Done,
     /*  349258 */   // Label 6356: @349258
     /*  349258 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(349324), // Rule ID 21205 //
     /*  349263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349322 */     GIR_RootConstrainSelectedInstOperands,
     /*  349323 */     // GIR_Coverage, 21205,
     /*  349323 */     GIR_EraseRootFromParent_Done,
     /*  349324 */   // Label 6357: @349324
     /*  349324 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(349390), // Rule ID 21208 //
     /*  349329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349388 */     GIR_RootConstrainSelectedInstOperands,
     /*  349389 */     // GIR_Coverage, 21208,
     /*  349389 */     GIR_EraseRootFromParent_Done,
     /*  349390 */   // Label 6358: @349390
     /*  349390 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349456), // Rule ID 21209 //
     /*  349395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  349406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  349409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349454 */     GIR_RootConstrainSelectedInstOperands,
     /*  349455 */     // GIR_Coverage, 21209,
     /*  349455 */     GIR_EraseRootFromParent_Done,
     /*  349456 */   // Label 6359: @349456
     /*  349456 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349522), // Rule ID 21212 //
     /*  349461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349520 */     GIR_RootConstrainSelectedInstOperands,
     /*  349521 */     // GIR_Coverage, 21212,
     /*  349521 */     GIR_EraseRootFromParent_Done,
     /*  349522 */   // Label 6360: @349522
     /*  349522 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349588), // Rule ID 21213 //
     /*  349527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11224:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349586 */     GIR_RootConstrainSelectedInstOperands,
     /*  349587 */     // GIR_Coverage, 21213,
     /*  349587 */     GIR_EraseRootFromParent_Done,
     /*  349588 */   // Label 6361: @349588
     /*  349588 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349654), // Rule ID 21216 //
     /*  349593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  349604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  349607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  349610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349632 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  349635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349652 */     GIR_RootConstrainSelectedInstOperands,
     /*  349653 */     // GIR_Coverage, 21216,
     /*  349653 */     GIR_EraseRootFromParent_Done,
     /*  349654 */   // Label 6362: @349654
     /*  349654 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349720), // Rule ID 21217 //
     /*  349659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  349670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  349673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  349676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349698 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  349701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349718 */     GIR_RootConstrainSelectedInstOperands,
     /*  349719 */     // GIR_Coverage, 21217,
     /*  349719 */     GIR_EraseRootFromParent_Done,
     /*  349720 */   // Label 6363: @349720
     /*  349720 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349786), // Rule ID 21220 //
     /*  349725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  349736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  349739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  349742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349764 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  349767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349784 */     GIR_RootConstrainSelectedInstOperands,
     /*  349785 */     // GIR_Coverage, 21220,
     /*  349785 */     GIR_EraseRootFromParent_Done,
     /*  349786 */   // Label 6364: @349786
     /*  349786 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349852), // Rule ID 21221 //
     /*  349791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  349802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  349805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  349808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349830 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  349833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349850 */     GIR_RootConstrainSelectedInstOperands,
     /*  349851 */     // GIR_Coverage, 21221,
     /*  349851 */     GIR_EraseRootFromParent_Done,
     /*  349852 */   // Label 6365: @349852
     /*  349852 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349918), // Rule ID 21224 //
     /*  349857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  349868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  349871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  349874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  349899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349916 */     GIR_RootConstrainSelectedInstOperands,
     /*  349917 */     // GIR_Coverage, 21224,
     /*  349917 */     GIR_EraseRootFromParent_Done,
     /*  349918 */   // Label 6366: @349918
     /*  349918 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349984), // Rule ID 21225 //
     /*  349923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  349934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  349937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  349940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349962 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  349965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349982 */     GIR_RootConstrainSelectedInstOperands,
     /*  349983 */     // GIR_Coverage, 21225,
     /*  349983 */     GIR_EraseRootFromParent_Done,
     /*  349984 */   // Label 6367: @349984
     /*  349984 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(350050), // Rule ID 21228 //
     /*  349989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  349997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  350006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  350031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350048 */     GIR_RootConstrainSelectedInstOperands,
     /*  350049 */     // GIR_Coverage, 21228,
     /*  350049 */     GIR_EraseRootFromParent_Done,
     /*  350050 */   // Label 6368: @350050
     /*  350050 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(350116), // Rule ID 21229 //
     /*  350055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  350072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350094 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  350097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350114 */     GIR_RootConstrainSelectedInstOperands,
     /*  350115 */     // GIR_Coverage, 21229,
     /*  350115 */     GIR_EraseRootFromParent_Done,
     /*  350116 */   // Label 6369: @350116
     /*  350116 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(350182), // Rule ID 21232 //
     /*  350121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350160 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  350163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350180 */     GIR_RootConstrainSelectedInstOperands,
     /*  350181 */     // GIR_Coverage, 21232,
     /*  350181 */     GIR_EraseRootFromParent_Done,
     /*  350182 */   // Label 6370: @350182
     /*  350182 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(350248), // Rule ID 21233 //
     /*  350187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350226 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  350229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350246 */     GIR_RootConstrainSelectedInstOperands,
     /*  350247 */     // GIR_Coverage, 21233,
     /*  350247 */     GIR_EraseRootFromParent_Done,
     /*  350248 */   // Label 6371: @350248
     /*  350248 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(350314), // Rule ID 21236 //
     /*  350253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  350264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  350267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  350270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350292 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  350295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350312 */     GIR_RootConstrainSelectedInstOperands,
     /*  350313 */     // GIR_Coverage, 21236,
     /*  350313 */     GIR_EraseRootFromParent_Done,
     /*  350314 */   // Label 6372: @350314
     /*  350314 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(350380), // Rule ID 21237 //
     /*  350319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  350330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  350333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  350336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350358 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  350361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350378 */     GIR_RootConstrainSelectedInstOperands,
     /*  350379 */     // GIR_Coverage, 21237,
     /*  350379 */     GIR_EraseRootFromParent_Done,
     /*  350380 */   // Label 6373: @350380
     /*  350380 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350446), // Rule ID 21240 //
     /*  350385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350424 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  350427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350444 */     GIR_RootConstrainSelectedInstOperands,
     /*  350445 */     // GIR_Coverage, 21240,
     /*  350445 */     GIR_EraseRootFromParent_Done,
     /*  350446 */   // Label 6374: @350446
     /*  350446 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350512), // Rule ID 21241 //
     /*  350451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350490 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  350493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350510 */     GIR_RootConstrainSelectedInstOperands,
     /*  350511 */     // GIR_Coverage, 21241,
     /*  350511 */     GIR_EraseRootFromParent_Done,
     /*  350512 */   // Label 6375: @350512
     /*  350512 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350578), // Rule ID 21244 //
     /*  350517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350556 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  350559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350576 */     GIR_RootConstrainSelectedInstOperands,
     /*  350577 */     // GIR_Coverage, 21244,
     /*  350577 */     GIR_EraseRootFromParent_Done,
     /*  350578 */   // Label 6376: @350578
     /*  350578 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350644), // Rule ID 21245 //
     /*  350583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  350600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350622 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  350625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350642 */     GIR_RootConstrainSelectedInstOperands,
     /*  350643 */     // GIR_Coverage, 21245,
     /*  350643 */     GIR_EraseRootFromParent_Done,
     /*  350644 */   // Label 6377: @350644
     /*  350644 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350710), // Rule ID 21248 //
     /*  350649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  350691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350708 */     GIR_RootConstrainSelectedInstOperands,
     /*  350709 */     // GIR_Coverage, 21248,
     /*  350709 */     GIR_EraseRootFromParent_Done,
     /*  350710 */   // Label 6378: @350710
     /*  350710 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350776), // Rule ID 21249 //
     /*  350715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  350732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350754 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  350757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350774 */     GIR_RootConstrainSelectedInstOperands,
     /*  350775 */     // GIR_Coverage, 21249,
     /*  350775 */     GIR_EraseRootFromParent_Done,
     /*  350776 */   // Label 6379: @350776
     /*  350776 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350842), // Rule ID 21252 //
     /*  350781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350820 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  350823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350840 */     GIR_RootConstrainSelectedInstOperands,
     /*  350841 */     // GIR_Coverage, 21252,
     /*  350841 */     GIR_EraseRootFromParent_Done,
     /*  350842 */   // Label 6380: @350842
     /*  350842 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350908), // Rule ID 21253 //
     /*  350847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350886 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  350889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350906 */     GIR_RootConstrainSelectedInstOperands,
     /*  350907 */     // GIR_Coverage, 21253,
     /*  350907 */     GIR_EraseRootFromParent_Done,
     /*  350908 */   // Label 6381: @350908
     /*  350908 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350974), // Rule ID 21256 //
     /*  350913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  350924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  350927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350952 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  350955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350972 */     GIR_RootConstrainSelectedInstOperands,
     /*  350973 */     // GIR_Coverage, 21256,
     /*  350973 */     GIR_EraseRootFromParent_Done,
     /*  350974 */   // Label 6382: @350974
     /*  350974 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(351040), // Rule ID 21257 //
     /*  350979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  350990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  350993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351018 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  351021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351038 */     GIR_RootConstrainSelectedInstOperands,
     /*  351039 */     // GIR_Coverage, 21257,
     /*  351039 */     GIR_EraseRootFromParent_Done,
     /*  351040 */   // Label 6383: @351040
     /*  351040 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(351106), // Rule ID 21260 //
     /*  351045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  351056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  351059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351084 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  351087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351104 */     GIR_RootConstrainSelectedInstOperands,
     /*  351105 */     // GIR_Coverage, 21260,
     /*  351105 */     GIR_EraseRootFromParent_Done,
     /*  351106 */   // Label 6384: @351106
     /*  351106 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(351172), // Rule ID 21261 //
     /*  351111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  351122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  351125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  351153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351170 */     GIR_RootConstrainSelectedInstOperands,
     /*  351171 */     // GIR_Coverage, 21261,
     /*  351171 */     GIR_EraseRootFromParent_Done,
     /*  351172 */   // Label 6385: @351172
     /*  351172 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(351238), // Rule ID 21264 //
     /*  351177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  351219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351236 */     GIR_RootConstrainSelectedInstOperands,
     /*  351237 */     // GIR_Coverage, 21264,
     /*  351237 */     GIR_EraseRootFromParent_Done,
     /*  351238 */   // Label 6386: @351238
     /*  351238 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(351304), // Rule ID 21265 //
     /*  351243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351282 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  351285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351302 */     GIR_RootConstrainSelectedInstOperands,
     /*  351303 */     // GIR_Coverage, 21265,
     /*  351303 */     GIR_EraseRootFromParent_Done,
     /*  351304 */   // Label 6387: @351304
     /*  351304 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(351370), // Rule ID 21268 //
     /*  351309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  351320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  351351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351368 */     GIR_RootConstrainSelectedInstOperands,
     /*  351369 */     // GIR_Coverage, 21268,
     /*  351369 */     GIR_EraseRootFromParent_Done,
     /*  351370 */   // Label 6388: @351370
     /*  351370 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(351436), // Rule ID 21269 //
     /*  351375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  351386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351414 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  351417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351434 */     GIR_RootConstrainSelectedInstOperands,
     /*  351435 */     // GIR_Coverage, 21269,
     /*  351435 */     GIR_EraseRootFromParent_Done,
     /*  351436 */   // Label 6389: @351436
     /*  351436 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351502), // Rule ID 21272 //
     /*  351441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  351452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  351455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351480 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  351483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351500 */     GIR_RootConstrainSelectedInstOperands,
     /*  351501 */     // GIR_Coverage, 21272,
     /*  351501 */     GIR_EraseRootFromParent_Done,
     /*  351502 */   // Label 6390: @351502
     /*  351502 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351568), // Rule ID 21273 //
     /*  351507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  351518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  351521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351546 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  351549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351566 */     GIR_RootConstrainSelectedInstOperands,
     /*  351567 */     // GIR_Coverage, 21273,
     /*  351567 */     GIR_EraseRootFromParent_Done,
     /*  351568 */   // Label 6391: @351568
     /*  351568 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351634), // Rule ID 21276 //
     /*  351573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  351590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351612 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  351615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351632 */     GIR_RootConstrainSelectedInstOperands,
     /*  351633 */     // GIR_Coverage, 21276,
     /*  351633 */     GIR_EraseRootFromParent_Done,
     /*  351634 */   // Label 6392: @351634
     /*  351634 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351700), // Rule ID 21277 //
     /*  351639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  351656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351678 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  351681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351698 */     GIR_RootConstrainSelectedInstOperands,
     /*  351699 */     // GIR_Coverage, 21277,
     /*  351699 */     GIR_EraseRootFromParent_Done,
     /*  351700 */   // Label 6393: @351700
     /*  351700 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351766), // Rule ID 21280 //
     /*  351705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  351722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351744 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  351747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351764 */     GIR_RootConstrainSelectedInstOperands,
     /*  351765 */     // GIR_Coverage, 21280,
     /*  351765 */     GIR_EraseRootFromParent_Done,
     /*  351766 */   // Label 6394: @351766
     /*  351766 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351832), // Rule ID 21281 //
     /*  351771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  351788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351810 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  351813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351830 */     GIR_RootConstrainSelectedInstOperands,
     /*  351831 */     // GIR_Coverage, 21281,
     /*  351831 */     GIR_EraseRootFromParent_Done,
     /*  351832 */   // Label 6395: @351832
     /*  351832 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351898), // Rule ID 21284 //
     /*  351837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  351854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351876 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  351879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351896 */     GIR_RootConstrainSelectedInstOperands,
     /*  351897 */     // GIR_Coverage, 21284,
     /*  351897 */     GIR_EraseRootFromParent_Done,
     /*  351898 */   // Label 6396: @351898
     /*  351898 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351964), // Rule ID 21285 //
     /*  351903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  351914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  351917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  351920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351942 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  351945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351962 */     GIR_RootConstrainSelectedInstOperands,
     /*  351963 */     // GIR_Coverage, 21285,
     /*  351963 */     GIR_EraseRootFromParent_Done,
     /*  351964 */   // Label 6397: @351964
     /*  351964 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(352030), // Rule ID 21288 //
     /*  351969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  351977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  351980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  351983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  351986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352008 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  352011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352028 */     GIR_RootConstrainSelectedInstOperands,
     /*  352029 */     // GIR_Coverage, 21288,
     /*  352029 */     GIR_EraseRootFromParent_Done,
     /*  352030 */   // Label 6398: @352030
     /*  352030 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(352096), // Rule ID 21289 //
     /*  352035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  352052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352074 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  352077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352094 */     GIR_RootConstrainSelectedInstOperands,
     /*  352095 */     // GIR_Coverage, 21289,
     /*  352095 */     GIR_EraseRootFromParent_Done,
     /*  352096 */   // Label 6399: @352096
     /*  352096 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(352162), // Rule ID 21292 //
     /*  352101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352140 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  352143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352160 */     GIR_RootConstrainSelectedInstOperands,
     /*  352161 */     // GIR_Coverage, 21292,
     /*  352161 */     GIR_EraseRootFromParent_Done,
     /*  352162 */   // Label 6400: @352162
     /*  352162 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(352228), // Rule ID 21293 //
     /*  352167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352206 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  352209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352226 */     GIR_RootConstrainSelectedInstOperands,
     /*  352227 */     // GIR_Coverage, 21293,
     /*  352227 */     GIR_EraseRootFromParent_Done,
     /*  352228 */   // Label 6401: @352228
     /*  352228 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(352294), // Rule ID 21296 //
     /*  352233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  352244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  352247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352272 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  352275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352292 */     GIR_RootConstrainSelectedInstOperands,
     /*  352293 */     // GIR_Coverage, 21296,
     /*  352293 */     GIR_EraseRootFromParent_Done,
     /*  352294 */   // Label 6402: @352294
     /*  352294 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(352360), // Rule ID 21297 //
     /*  352299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  352310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  352313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352338 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  352341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352358 */     GIR_RootConstrainSelectedInstOperands,
     /*  352359 */     // GIR_Coverage, 21297,
     /*  352359 */     GIR_EraseRootFromParent_Done,
     /*  352360 */   // Label 6403: @352360
     /*  352360 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(352426), // Rule ID 21300 //
     /*  352365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352404 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  352407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352424 */     GIR_RootConstrainSelectedInstOperands,
     /*  352425 */     // GIR_Coverage, 21300,
     /*  352425 */     GIR_EraseRootFromParent_Done,
     /*  352426 */   // Label 6404: @352426
     /*  352426 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352492), // Rule ID 21301 //
     /*  352431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352470 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  352473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352490 */     GIR_RootConstrainSelectedInstOperands,
     /*  352491 */     // GIR_Coverage, 21301,
     /*  352491 */     GIR_EraseRootFromParent_Done,
     /*  352492 */   // Label 6405: @352492
     /*  352492 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352558), // Rule ID 21304 //
     /*  352497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352536 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  352539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352556 */     GIR_RootConstrainSelectedInstOperands,
     /*  352557 */     // GIR_Coverage, 21304,
     /*  352557 */     GIR_EraseRootFromParent_Done,
     /*  352558 */   // Label 6406: @352558
     /*  352558 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352624), // Rule ID 21305 //
     /*  352563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352602 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  352605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352622 */     GIR_RootConstrainSelectedInstOperands,
     /*  352623 */     // GIR_Coverage, 21305,
     /*  352623 */     GIR_EraseRootFromParent_Done,
     /*  352624 */   // Label 6407: @352624
     /*  352624 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352690), // Rule ID 21308 //
     /*  352629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352668 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  352671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352688 */     GIR_RootConstrainSelectedInstOperands,
     /*  352689 */     // GIR_Coverage, 21308,
     /*  352689 */     GIR_EraseRootFromParent_Done,
     /*  352690 */   // Label 6408: @352690
     /*  352690 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352756), // Rule ID 21309 //
     /*  352695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352734 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  352737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352754 */     GIR_RootConstrainSelectedInstOperands,
     /*  352755 */     // GIR_Coverage, 21309,
     /*  352755 */     GIR_EraseRootFromParent_Done,
     /*  352756 */   // Label 6409: @352756
     /*  352756 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352822), // Rule ID 21312 //
     /*  352761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  352803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352820 */     GIR_RootConstrainSelectedInstOperands,
     /*  352821 */     // GIR_Coverage, 21312,
     /*  352821 */     GIR_EraseRootFromParent_Done,
     /*  352822 */   // Label 6410: @352822
     /*  352822 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352888), // Rule ID 21313 //
     /*  352827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  352844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352866 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  352869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352886 */     GIR_RootConstrainSelectedInstOperands,
     /*  352887 */     // GIR_Coverage, 21313,
     /*  352887 */     GIR_EraseRootFromParent_Done,
     /*  352888 */   // Label 6411: @352888
     /*  352888 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352954), // Rule ID 21316 //
     /*  352893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  352904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  352907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  352910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352932 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  352935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352952 */     GIR_RootConstrainSelectedInstOperands,
     /*  352953 */     // GIR_Coverage, 21316,
     /*  352953 */     GIR_EraseRootFromParent_Done,
     /*  352954 */   // Label 6412: @352954
     /*  352954 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(353020), // Rule ID 21317 //
     /*  352959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  352970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  352973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  352976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352998 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  353001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353018 */     GIR_RootConstrainSelectedInstOperands,
     /*  353019 */     // GIR_Coverage, 21317,
     /*  353019 */     GIR_EraseRootFromParent_Done,
     /*  353020 */   // Label 6413: @353020
     /*  353020 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(353086), // Rule ID 21320 //
     /*  353025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353064 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  353067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353084 */     GIR_RootConstrainSelectedInstOperands,
     /*  353085 */     // GIR_Coverage, 21320,
     /*  353085 */     GIR_EraseRootFromParent_Done,
     /*  353086 */   // Label 6414: @353086
     /*  353086 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(353152), // Rule ID 21321 //
     /*  353091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353130 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  353133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353150 */     GIR_RootConstrainSelectedInstOperands,
     /*  353151 */     // GIR_Coverage, 21321,
     /*  353151 */     GIR_EraseRootFromParent_Done,
     /*  353152 */   // Label 6415: @353152
     /*  353152 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(353218), // Rule ID 21324 //
     /*  353157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  353168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  353171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353196 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  353199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353216 */     GIR_RootConstrainSelectedInstOperands,
     /*  353217 */     // GIR_Coverage, 21324,
     /*  353217 */     GIR_EraseRootFromParent_Done,
     /*  353218 */   // Label 6416: @353218
     /*  353218 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(353284), // Rule ID 21325 //
     /*  353223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  353234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  353237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353262 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  353265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353282 */     GIR_RootConstrainSelectedInstOperands,
     /*  353283 */     // GIR_Coverage, 21325,
     /*  353283 */     GIR_EraseRootFromParent_Done,
     /*  353284 */   // Label 6417: @353284
     /*  353284 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(353350), // Rule ID 21328 //
     /*  353289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  353300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  353303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  353331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353348 */     GIR_RootConstrainSelectedInstOperands,
     /*  353349 */     // GIR_Coverage, 21328,
     /*  353349 */     GIR_EraseRootFromParent_Done,
     /*  353350 */   // Label 6418: @353350
     /*  353350 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(353416), // Rule ID 21329 //
     /*  353355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  353366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  353369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353394 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  353397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353414 */     GIR_RootConstrainSelectedInstOperands,
     /*  353415 */     // GIR_Coverage, 21329,
     /*  353415 */     GIR_EraseRootFromParent_Done,
     /*  353416 */   // Label 6419: @353416
     /*  353416 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353482), // Rule ID 21332 //
     /*  353421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  353432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  353435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353460 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  353463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353480 */     GIR_RootConstrainSelectedInstOperands,
     /*  353481 */     // GIR_Coverage, 21332,
     /*  353481 */     GIR_EraseRootFromParent_Done,
     /*  353482 */   // Label 6420: @353482
     /*  353482 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353548), // Rule ID 21333 //
     /*  353487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  353498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  353501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353526 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  353529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353546 */     GIR_RootConstrainSelectedInstOperands,
     /*  353547 */     // GIR_Coverage, 21333,
     /*  353547 */     GIR_EraseRootFromParent_Done,
     /*  353548 */   // Label 6421: @353548
     /*  353548 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353614), // Rule ID 21336 //
     /*  353553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  353556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353592 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  353595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353612 */     GIR_RootConstrainSelectedInstOperands,
     /*  353613 */     // GIR_Coverage, 21336,
     /*  353613 */     GIR_EraseRootFromParent_Done,
     /*  353614 */   // Label 6422: @353614
     /*  353614 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353680), // Rule ID 21337 //
     /*  353619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  353622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353658 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  353661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353678 */     GIR_RootConstrainSelectedInstOperands,
     /*  353679 */     // GIR_Coverage, 21337,
     /*  353679 */     GIR_EraseRootFromParent_Done,
     /*  353680 */   // Label 6423: @353680
     /*  353680 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353746), // Rule ID 21340 //
     /*  353685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  353688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353724 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  353727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353744 */     GIR_RootConstrainSelectedInstOperands,
     /*  353745 */     // GIR_Coverage, 21340,
     /*  353745 */     GIR_EraseRootFromParent_Done,
     /*  353746 */   // Label 6424: @353746
     /*  353746 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353812), // Rule ID 21341 //
     /*  353751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  353754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353790 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  353793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353810 */     GIR_RootConstrainSelectedInstOperands,
     /*  353811 */     // GIR_Coverage, 21341,
     /*  353811 */     GIR_EraseRootFromParent_Done,
     /*  353812 */   // Label 6425: @353812
     /*  353812 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353878), // Rule ID 21344 //
     /*  353817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  353820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  353859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353876 */     GIR_RootConstrainSelectedInstOperands,
     /*  353877 */     // GIR_Coverage, 21344,
     /*  353877 */     GIR_EraseRootFromParent_Done,
     /*  353878 */   // Label 6426: @353878
     /*  353878 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353944), // Rule ID 21345 //
     /*  353883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  353886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  353925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353942 */     GIR_RootConstrainSelectedInstOperands,
     /*  353943 */     // GIR_Coverage, 21345,
     /*  353943 */     GIR_EraseRootFromParent_Done,
     /*  353944 */   // Label 6427: @353944
     /*  353944 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(354010), // Rule ID 21348 //
     /*  353949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  353952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  353957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353988 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  353991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354008 */     GIR_RootConstrainSelectedInstOperands,
     /*  354009 */     // GIR_Coverage, 21348,
     /*  354009 */     GIR_EraseRootFromParent_Done,
     /*  354010 */   // Label 6428: @354010
     /*  354010 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(354076), // Rule ID 21349 //
     /*  354015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  354018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  354032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354054 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  354057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354074 */     GIR_RootConstrainSelectedInstOperands,
     /*  354075 */     // GIR_Coverage, 21349,
     /*  354075 */     GIR_EraseRootFromParent_Done,
     /*  354076 */   // Label 6429: @354076
     /*  354076 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(354142), // Rule ID 21352 //
     /*  354081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  354084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354120 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  354123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354140 */     GIR_RootConstrainSelectedInstOperands,
     /*  354141 */     // GIR_Coverage, 21352,
     /*  354141 */     GIR_EraseRootFromParent_Done,
     /*  354142 */   // Label 6430: @354142
     /*  354142 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(354208), // Rule ID 21353 //
     /*  354147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  354150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354186 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  354189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354206 */     GIR_RootConstrainSelectedInstOperands,
     /*  354207 */     // GIR_Coverage, 21353,
     /*  354207 */     GIR_EraseRootFromParent_Done,
     /*  354208 */   // Label 6431: @354208
     /*  354208 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(354274), // Rule ID 21356 //
     /*  354213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  354224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  354227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  354255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354272 */     GIR_RootConstrainSelectedInstOperands,
     /*  354273 */     // GIR_Coverage, 21356,
     /*  354273 */     GIR_EraseRootFromParent_Done,
     /*  354274 */   // Label 6432: @354274
     /*  354274 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(354340), // Rule ID 21357 //
     /*  354279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  354290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  354293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354318 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  354321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354338 */     GIR_RootConstrainSelectedInstOperands,
     /*  354339 */     // GIR_Coverage, 21357,
     /*  354339 */     GIR_EraseRootFromParent_Done,
     /*  354340 */   // Label 6433: @354340
     /*  354340 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(354406), // Rule ID 21360 //
     /*  354345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  354356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  354359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354384 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  354387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354404 */     GIR_RootConstrainSelectedInstOperands,
     /*  354405 */     // GIR_Coverage, 21360,
     /*  354405 */     GIR_EraseRootFromParent_Done,
     /*  354406 */   // Label 6434: @354406
     /*  354406 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354472), // Rule ID 21361 //
     /*  354411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  354422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  354425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  354428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354450 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  354453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354470 */     GIR_RootConstrainSelectedInstOperands,
     /*  354471 */     // GIR_Coverage, 21361,
     /*  354471 */     GIR_EraseRootFromParent_Done,
     /*  354472 */   // Label 6435: @354472
     /*  354472 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354538), // Rule ID 21364 //
     /*  354477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  354488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  354491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354516 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  354519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354536 */     GIR_RootConstrainSelectedInstOperands,
     /*  354537 */     // GIR_Coverage, 21364,
     /*  354537 */     GIR_EraseRootFromParent_Done,
     /*  354538 */   // Label 6436: @354538
     /*  354538 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354604), // Rule ID 21365 //
     /*  354543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  354554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  354557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354582 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  354585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354602 */     GIR_RootConstrainSelectedInstOperands,
     /*  354603 */     // GIR_Coverage, 21365,
     /*  354603 */     GIR_EraseRootFromParent_Done,
     /*  354604 */   // Label 6437: @354604
     /*  354604 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354670), // Rule ID 21368 //
     /*  354609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354648 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  354651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354668 */     GIR_RootConstrainSelectedInstOperands,
     /*  354669 */     // GIR_Coverage, 21368,
     /*  354669 */     GIR_EraseRootFromParent_Done,
     /*  354670 */   // Label 6438: @354670
     /*  354670 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354736), // Rule ID 21369 //
     /*  354675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354714 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  354717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354734 */     GIR_RootConstrainSelectedInstOperands,
     /*  354735 */     // GIR_Coverage, 21369,
     /*  354735 */     GIR_EraseRootFromParent_Done,
     /*  354736 */   // Label 6439: @354736
     /*  354736 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354802), // Rule ID 21612 //
     /*  354741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  354744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  354749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  354752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  354755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  354758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354780 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  354780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  354783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354800 */     GIR_RootConstrainSelectedInstOperands,
     /*  354801 */     // GIR_Coverage, 21612,
     /*  354801 */     GIR_EraseRootFromParent_Done,
     /*  354802 */   // Label 6440: @354802
     /*  354802 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354868), // Rule ID 21613 //
     /*  354807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  354810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  354815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  354818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  354821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  354824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354846 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  354846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  354849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354866 */     GIR_RootConstrainSelectedInstOperands,
     /*  354867 */     // GIR_Coverage, 21613,
     /*  354867 */     GIR_EraseRootFromParent_Done,
     /*  354868 */   // Label 6441: @354868
     /*  354868 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354934), // Rule ID 21616 //
     /*  354873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  354876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  354881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  354884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  354887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  354890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354912 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  354912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  354915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354932 */     GIR_RootConstrainSelectedInstOperands,
     /*  354933 */     // GIR_Coverage, 21616,
     /*  354933 */     GIR_EraseRootFromParent_Done,
     /*  354934 */   // Label 6442: @354934
     /*  354934 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(355000), // Rule ID 21617 //
     /*  354939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  354942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  354947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  354950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  354953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  354956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  354978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  354981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354998 */     GIR_RootConstrainSelectedInstOperands,
     /*  354999 */     // GIR_Coverage, 21617,
     /*  354999 */     GIR_EraseRootFromParent_Done,
     /*  355000 */   // Label 6443: @355000
     /*  355000 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(355066), // Rule ID 21620 //
     /*  355005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  355022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355044 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355064 */     GIR_RootConstrainSelectedInstOperands,
     /*  355065 */     // GIR_Coverage, 21620,
     /*  355065 */     GIR_EraseRootFromParent_Done,
     /*  355066 */   // Label 6444: @355066
     /*  355066 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(355132), // Rule ID 21621 //
     /*  355071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  355088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355110 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355130 */     GIR_RootConstrainSelectedInstOperands,
     /*  355131 */     // GIR_Coverage, 21621,
     /*  355131 */     GIR_EraseRootFromParent_Done,
     /*  355132 */   // Label 6445: @355132
     /*  355132 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(355198), // Rule ID 21624 //
     /*  355137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  355154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355196 */     GIR_RootConstrainSelectedInstOperands,
     /*  355197 */     // GIR_Coverage, 21624,
     /*  355197 */     GIR_EraseRootFromParent_Done,
     /*  355198 */   // Label 6446: @355198
     /*  355198 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(355264), // Rule ID 21625 //
     /*  355203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  355220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355262 */     GIR_RootConstrainSelectedInstOperands,
     /*  355263 */     // GIR_Coverage, 21625,
     /*  355263 */     GIR_EraseRootFromParent_Done,
     /*  355264 */   // Label 6447: @355264
     /*  355264 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(355330), // Rule ID 21628 //
     /*  355269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  355280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  355283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  355286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  355311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355328 */     GIR_RootConstrainSelectedInstOperands,
     /*  355329 */     // GIR_Coverage, 21628,
     /*  355329 */     GIR_EraseRootFromParent_Done,
     /*  355330 */   // Label 6448: @355330
     /*  355330 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(355396), // Rule ID 21629 //
     /*  355335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  355346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  355349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  355352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355374 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  355377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355394 */     GIR_RootConstrainSelectedInstOperands,
     /*  355395 */     // GIR_Coverage, 21629,
     /*  355395 */     GIR_EraseRootFromParent_Done,
     /*  355396 */   // Label 6449: @355396
     /*  355396 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355462), // Rule ID 21632 //
     /*  355401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  355412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  355415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  355418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  355443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355460 */     GIR_RootConstrainSelectedInstOperands,
     /*  355461 */     // GIR_Coverage, 21632,
     /*  355461 */     GIR_EraseRootFromParent_Done,
     /*  355462 */   // Label 6450: @355462
     /*  355462 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355528), // Rule ID 21633 //
     /*  355467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  355478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  355481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  355484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  355509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355526 */     GIR_RootConstrainSelectedInstOperands,
     /*  355527 */     // GIR_Coverage, 21633,
     /*  355527 */     GIR_EraseRootFromParent_Done,
     /*  355528 */   // Label 6451: @355528
     /*  355528 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355594), // Rule ID 21636 //
     /*  355533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  355536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355592 */     GIR_RootConstrainSelectedInstOperands,
     /*  355593 */     // GIR_Coverage, 21636,
     /*  355593 */     GIR_EraseRootFromParent_Done,
     /*  355594 */   // Label 6452: @355594
     /*  355594 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355660), // Rule ID 21637 //
     /*  355599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  355602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355658 */     GIR_RootConstrainSelectedInstOperands,
     /*  355659 */     // GIR_Coverage, 21637,
     /*  355659 */     GIR_EraseRootFromParent_Done,
     /*  355660 */   // Label 6453: @355660
     /*  355660 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355726), // Rule ID 21640 //
     /*  355665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  355668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355724 */     GIR_RootConstrainSelectedInstOperands,
     /*  355725 */     // GIR_Coverage, 21640,
     /*  355725 */     GIR_EraseRootFromParent_Done,
     /*  355726 */   // Label 6454: @355726
     /*  355726 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355792), // Rule ID 21641 //
     /*  355731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  355734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355770 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355790 */     GIR_RootConstrainSelectedInstOperands,
     /*  355791 */     // GIR_Coverage, 21641,
     /*  355791 */     GIR_EraseRootFromParent_Done,
     /*  355792 */   // Label 6455: @355792
     /*  355792 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355858), // Rule ID 21644 //
     /*  355797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  355800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  355808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  355811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  355814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355856 */     GIR_RootConstrainSelectedInstOperands,
     /*  355857 */     // GIR_Coverage, 21644,
     /*  355857 */     GIR_EraseRootFromParent_Done,
     /*  355858 */   // Label 6456: @355858
     /*  355858 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355924), // Rule ID 21645 //
     /*  355863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  355866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  355874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  355877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  355880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355922 */     GIR_RootConstrainSelectedInstOperands,
     /*  355923 */     // GIR_Coverage, 21645,
     /*  355923 */     GIR_EraseRootFromParent_Done,
     /*  355924 */   // Label 6457: @355924
     /*  355924 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355990), // Rule ID 21648 //
     /*  355929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  355932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  355940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  355943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  355971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355988 */     GIR_RootConstrainSelectedInstOperands,
     /*  355989 */     // GIR_Coverage, 21648,
     /*  355989 */     GIR_EraseRootFromParent_Done,
     /*  355990 */   // Label 6458: @355990
     /*  355990 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(356056), // Rule ID 21649 //
     /*  355995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  355998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  356006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  356009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  356012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356054 */     GIR_RootConstrainSelectedInstOperands,
     /*  356055 */     // GIR_Coverage, 21649,
     /*  356055 */     GIR_EraseRootFromParent_Done,
     /*  356056 */   // Label 6459: @356056
     /*  356056 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(356122), // Rule ID 21652 //
     /*  356061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  356072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  356075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  356078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356120 */     GIR_RootConstrainSelectedInstOperands,
     /*  356121 */     // GIR_Coverage, 21652,
     /*  356121 */     GIR_EraseRootFromParent_Done,
     /*  356122 */   // Label 6460: @356122
     /*  356122 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(356188), // Rule ID 21653 //
     /*  356127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  356138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  356141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  356144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356166 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356186 */     GIR_RootConstrainSelectedInstOperands,
     /*  356187 */     // GIR_Coverage, 21653,
     /*  356187 */     GIR_EraseRootFromParent_Done,
     /*  356188 */   // Label 6461: @356188
     /*  356188 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(356254), // Rule ID 21656 //
     /*  356193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356252 */     GIR_RootConstrainSelectedInstOperands,
     /*  356253 */     // GIR_Coverage, 21656,
     /*  356253 */     GIR_EraseRootFromParent_Done,
     /*  356254 */   // Label 6462: @356254
     /*  356254 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(356320), // Rule ID 21657 //
     /*  356259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356318 */     GIR_RootConstrainSelectedInstOperands,
     /*  356319 */     // GIR_Coverage, 21657,
     /*  356319 */     GIR_EraseRootFromParent_Done,
     /*  356320 */   // Label 6463: @356320
     /*  356320 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(356386), // Rule ID 21660 //
     /*  356325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  356342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356384 */     GIR_RootConstrainSelectedInstOperands,
     /*  356385 */     // GIR_Coverage, 21660,
     /*  356385 */     GIR_EraseRootFromParent_Done,
     /*  356386 */   // Label 6464: @356386
     /*  356386 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(356452), // Rule ID 21661 //
     /*  356391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  356408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356450 */     GIR_RootConstrainSelectedInstOperands,
     /*  356451 */     // GIR_Coverage, 21661,
     /*  356451 */     GIR_EraseRootFromParent_Done,
     /*  356452 */   // Label 6465: @356452
     /*  356452 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356518), // Rule ID 21664 //
     /*  356457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  356468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  356471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  356474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356516 */     GIR_RootConstrainSelectedInstOperands,
     /*  356517 */     // GIR_Coverage, 21664,
     /*  356517 */     GIR_EraseRootFromParent_Done,
     /*  356518 */   // Label 6466: @356518
     /*  356518 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356584), // Rule ID 21665 //
     /*  356523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  356534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  356537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  356540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356582 */     GIR_RootConstrainSelectedInstOperands,
     /*  356583 */     // GIR_Coverage, 21665,
     /*  356583 */     GIR_EraseRootFromParent_Done,
     /*  356584 */   // Label 6467: @356584
     /*  356584 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356650), // Rule ID 21668 //
     /*  356589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  356600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  356603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  356606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356648 */     GIR_RootConstrainSelectedInstOperands,
     /*  356649 */     // GIR_Coverage, 21668,
     /*  356649 */     GIR_EraseRootFromParent_Done,
     /*  356650 */   // Label 6468: @356650
     /*  356650 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356716), // Rule ID 21669 //
     /*  356655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  356666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  356669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  356672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356714 */     GIR_RootConstrainSelectedInstOperands,
     /*  356715 */     // GIR_Coverage, 21669,
     /*  356715 */     GIR_EraseRootFromParent_Done,
     /*  356716 */   // Label 6469: @356716
     /*  356716 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356782), // Rule ID 21672 //
     /*  356721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  356724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  356729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  356732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  356735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  356738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356760 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  356763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356780 */     GIR_RootConstrainSelectedInstOperands,
     /*  356781 */     // GIR_Coverage, 21672,
     /*  356781 */     GIR_EraseRootFromParent_Done,
     /*  356782 */   // Label 6470: @356782
     /*  356782 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356848), // Rule ID 21673 //
     /*  356787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  356790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  356795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  356798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  356801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  356804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356826 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  356829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356846 */     GIR_RootConstrainSelectedInstOperands,
     /*  356847 */     // GIR_Coverage, 21673,
     /*  356847 */     GIR_EraseRootFromParent_Done,
     /*  356848 */   // Label 6471: @356848
     /*  356848 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356914), // Rule ID 21676 //
     /*  356853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  356856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  356861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  356864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  356867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  356870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  356895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356912 */     GIR_RootConstrainSelectedInstOperands,
     /*  356913 */     // GIR_Coverage, 21676,
     /*  356913 */     GIR_EraseRootFromParent_Done,
     /*  356914 */   // Label 6472: @356914
     /*  356914 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356980), // Rule ID 21677 //
     /*  356919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  356922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  356927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  356930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  356933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  356936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  356961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356978 */     GIR_RootConstrainSelectedInstOperands,
     /*  356979 */     // GIR_Coverage, 21677,
     /*  356979 */     GIR_EraseRootFromParent_Done,
     /*  356980 */   // Label 6473: @356980
     /*  356980 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(357046), // Rule ID 21680 //
     /*  356985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  356988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  356993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  356996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  356999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357044 */     GIR_RootConstrainSelectedInstOperands,
     /*  357045 */     // GIR_Coverage, 21680,
     /*  357045 */     GIR_EraseRootFromParent_Done,
     /*  357046 */   // Label 6474: @357046
     /*  357046 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(357112), // Rule ID 21681 //
     /*  357051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  357062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  357065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357110 */     GIR_RootConstrainSelectedInstOperands,
     /*  357111 */     // GIR_Coverage, 21681,
     /*  357111 */     GIR_EraseRootFromParent_Done,
     /*  357112 */   // Label 6475: @357112
     /*  357112 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(357178), // Rule ID 21684 //
     /*  357117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  357134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357176 */     GIR_RootConstrainSelectedInstOperands,
     /*  357177 */     // GIR_Coverage, 21684,
     /*  357177 */     GIR_EraseRootFromParent_Done,
     /*  357178 */   // Label 6476: @357178
     /*  357178 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(357244), // Rule ID 21685 //
     /*  357183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  357200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357242 */     GIR_RootConstrainSelectedInstOperands,
     /*  357243 */     // GIR_Coverage, 21685,
     /*  357243 */     GIR_EraseRootFromParent_Done,
     /*  357244 */   // Label 6477: @357244
     /*  357244 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(357310), // Rule ID 21688 //
     /*  357249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  357260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  357263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  357266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  357291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357308 */     GIR_RootConstrainSelectedInstOperands,
     /*  357309 */     // GIR_Coverage, 21688,
     /*  357309 */     GIR_EraseRootFromParent_Done,
     /*  357310 */   // Label 6478: @357310
     /*  357310 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(357376), // Rule ID 21689 //
     /*  357315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  357326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  357329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  357332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  357357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357374 */     GIR_RootConstrainSelectedInstOperands,
     /*  357375 */     // GIR_Coverage, 21689,
     /*  357375 */     GIR_EraseRootFromParent_Done,
     /*  357376 */   // Label 6479: @357376
     /*  357376 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(357442), // Rule ID 21692 //
     /*  357381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  357392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  357395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  357398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  357423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357440 */     GIR_RootConstrainSelectedInstOperands,
     /*  357441 */     // GIR_Coverage, 21692,
     /*  357441 */     GIR_EraseRootFromParent_Done,
     /*  357442 */   // Label 6480: @357442
     /*  357442 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(357508), // Rule ID 21693 //
     /*  357447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  357458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  357461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  357464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  357489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357506 */     GIR_RootConstrainSelectedInstOperands,
     /*  357507 */     // GIR_Coverage, 21693,
     /*  357507 */     GIR_EraseRootFromParent_Done,
     /*  357508 */   // Label 6481: @357508
     /*  357508 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357574), // Rule ID 21696 //
     /*  357513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  357516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  357524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  357527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  357530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357572 */     GIR_RootConstrainSelectedInstOperands,
     /*  357573 */     // GIR_Coverage, 21696,
     /*  357573 */     GIR_EraseRootFromParent_Done,
     /*  357574 */   // Label 6482: @357574
     /*  357574 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357640), // Rule ID 21697 //
     /*  357579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  357582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  357590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  357593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  357596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357638 */     GIR_RootConstrainSelectedInstOperands,
     /*  357639 */     // GIR_Coverage, 21697,
     /*  357639 */     GIR_EraseRootFromParent_Done,
     /*  357640 */   // Label 6483: @357640
     /*  357640 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357706), // Rule ID 21700 //
     /*  357645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  357648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  357656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  357659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  357662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357684 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357704 */     GIR_RootConstrainSelectedInstOperands,
     /*  357705 */     // GIR_Coverage, 21700,
     /*  357705 */     GIR_EraseRootFromParent_Done,
     /*  357706 */   // Label 6484: @357706
     /*  357706 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357772), // Rule ID 21701 //
     /*  357711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  357714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  357722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  357725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  357728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357770 */     GIR_RootConstrainSelectedInstOperands,
     /*  357771 */     // GIR_Coverage, 21701,
     /*  357771 */     GIR_EraseRootFromParent_Done,
     /*  357772 */   // Label 6485: @357772
     /*  357772 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357838), // Rule ID 21704 //
     /*  357777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  357780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  357788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  357791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  357794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357836 */     GIR_RootConstrainSelectedInstOperands,
     /*  357837 */     // GIR_Coverage, 21704,
     /*  357837 */     GIR_EraseRootFromParent_Done,
     /*  357838 */   // Label 6486: @357838
     /*  357838 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357904), // Rule ID 21705 //
     /*  357843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  357846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  357854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  357857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  357860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357902 */     GIR_RootConstrainSelectedInstOperands,
     /*  357903 */     // GIR_Coverage, 21705,
     /*  357903 */     GIR_EraseRootFromParent_Done,
     /*  357904 */   // Label 6487: @357904
     /*  357904 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357970), // Rule ID 21708 //
     /*  357909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  357912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  357920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  357923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  357926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  357951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357968 */     GIR_RootConstrainSelectedInstOperands,
     /*  357969 */     // GIR_Coverage, 21708,
     /*  357969 */     GIR_EraseRootFromParent_Done,
     /*  357970 */   // Label 6488: @357970
     /*  357970 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(358036), // Rule ID 21709 //
     /*  357975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  357978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  357986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  357989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  357992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358034 */     GIR_RootConstrainSelectedInstOperands,
     /*  358035 */     // GIR_Coverage, 21709,
     /*  358035 */     GIR_EraseRootFromParent_Done,
     /*  358036 */   // Label 6489: @358036
     /*  358036 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(358102), // Rule ID 21712 //
     /*  358041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  358058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358100 */     GIR_RootConstrainSelectedInstOperands,
     /*  358101 */     // GIR_Coverage, 21712,
     /*  358101 */     GIR_EraseRootFromParent_Done,
     /*  358102 */   // Label 6490: @358102
     /*  358102 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(358168), // Rule ID 21713 //
     /*  358107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  358124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358166 */     GIR_RootConstrainSelectedInstOperands,
     /*  358167 */     // GIR_Coverage, 21713,
     /*  358167 */     GIR_EraseRootFromParent_Done,
     /*  358168 */   // Label 6491: @358168
     /*  358168 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(358234), // Rule ID 21716 //
     /*  358173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  358190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358232 */     GIR_RootConstrainSelectedInstOperands,
     /*  358233 */     // GIR_Coverage, 21716,
     /*  358233 */     GIR_EraseRootFromParent_Done,
     /*  358234 */   // Label 6492: @358234
     /*  358234 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(358300), // Rule ID 21717 //
     /*  358239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  358256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358298 */     GIR_RootConstrainSelectedInstOperands,
     /*  358299 */     // GIR_Coverage, 21717,
     /*  358299 */     GIR_EraseRootFromParent_Done,
     /*  358300 */   // Label 6493: @358300
     /*  358300 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(358366), // Rule ID 21720 //
     /*  358305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  358316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  358319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  358322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358364 */     GIR_RootConstrainSelectedInstOperands,
     /*  358365 */     // GIR_Coverage, 21720,
     /*  358365 */     GIR_EraseRootFromParent_Done,
     /*  358366 */   // Label 6494: @358366
     /*  358366 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(358432), // Rule ID 21721 //
     /*  358371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  358382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  358385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  358388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358430 */     GIR_RootConstrainSelectedInstOperands,
     /*  358431 */     // GIR_Coverage, 21721,
     /*  358431 */     GIR_EraseRootFromParent_Done,
     /*  358432 */   // Label 6495: @358432
     /*  358432 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(358498), // Rule ID 21724 //
     /*  358437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  358448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  358451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  358454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358496 */     GIR_RootConstrainSelectedInstOperands,
     /*  358497 */     // GIR_Coverage, 21724,
     /*  358497 */     GIR_EraseRootFromParent_Done,
     /*  358498 */   // Label 6496: @358498
     /*  358498 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(358564), // Rule ID 21725 //
     /*  358503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  358514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  358517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  358520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358562 */     GIR_RootConstrainSelectedInstOperands,
     /*  358563 */     // GIR_Coverage, 21725,
     /*  358563 */     GIR_EraseRootFromParent_Done,
     /*  358564 */   // Label 6497: @358564
     /*  358564 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358630), // Rule ID 21728 //
     /*  358569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  358580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  358583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  358586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358628 */     GIR_RootConstrainSelectedInstOperands,
     /*  358629 */     // GIR_Coverage, 21728,
     /*  358629 */     GIR_EraseRootFromParent_Done,
     /*  358630 */   // Label 6498: @358630
     /*  358630 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358696), // Rule ID 21729 //
     /*  358635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  358646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  358649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  358652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358694 */     GIR_RootConstrainSelectedInstOperands,
     /*  358695 */     // GIR_Coverage, 21729,
     /*  358695 */     GIR_EraseRootFromParent_Done,
     /*  358696 */   // Label 6499: @358696
     /*  358696 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358762), // Rule ID 21840 //
     /*  358701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  358704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  358709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  358718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  358743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358760 */     GIR_RootConstrainSelectedInstOperands,
     /*  358761 */     // GIR_Coverage, 21840,
     /*  358761 */     GIR_EraseRootFromParent_Done,
     /*  358762 */   // Label 6500: @358762
     /*  358762 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358828), // Rule ID 21841 //
     /*  358767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  358770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  358775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  358784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358806 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  358809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358826 */     GIR_RootConstrainSelectedInstOperands,
     /*  358827 */     // GIR_Coverage, 21841,
     /*  358827 */     GIR_EraseRootFromParent_Done,
     /*  358828 */   // Label 6501: @358828
     /*  358828 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358894), // Rule ID 21844 //
     /*  358833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  358836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  358841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  358844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  358847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  358850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358872 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  358875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358892 */     GIR_RootConstrainSelectedInstOperands,
     /*  358893 */     // GIR_Coverage, 21844,
     /*  358893 */     GIR_EraseRootFromParent_Done,
     /*  358894 */   // Label 6502: @358894
     /*  358894 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358960), // Rule ID 21845 //
     /*  358899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  358902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  358907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  358910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  358913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  358916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358938 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  358941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358958 */     GIR_RootConstrainSelectedInstOperands,
     /*  358959 */     // GIR_Coverage, 21845,
     /*  358959 */     GIR_EraseRootFromParent_Done,
     /*  358960 */   // Label 6503: @358960
     /*  358960 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(359026), // Rule ID 21848 //
     /*  358965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  358968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  358973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  358976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  358979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  358982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359004 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  359007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359024 */     GIR_RootConstrainSelectedInstOperands,
     /*  359025 */     // GIR_Coverage, 21848,
     /*  359025 */     GIR_EraseRootFromParent_Done,
     /*  359026 */   // Label 6504: @359026
     /*  359026 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(359092), // Rule ID 21849 //
     /*  359031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  359042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  359045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  359048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359070 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  359073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359090 */     GIR_RootConstrainSelectedInstOperands,
     /*  359091 */     // GIR_Coverage, 21849,
     /*  359091 */     GIR_EraseRootFromParent_Done,
     /*  359092 */   // Label 6505: @359092
     /*  359092 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(359158), // Rule ID 21852 //
     /*  359097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  359114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359136 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  359139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359156 */     GIR_RootConstrainSelectedInstOperands,
     /*  359157 */     // GIR_Coverage, 21852,
     /*  359157 */     GIR_EraseRootFromParent_Done,
     /*  359158 */   // Label 6506: @359158
     /*  359158 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(359224), // Rule ID 21853 //
     /*  359163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  359180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359202 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  359205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359222 */     GIR_RootConstrainSelectedInstOperands,
     /*  359223 */     // GIR_Coverage, 21853,
     /*  359223 */     GIR_EraseRootFromParent_Done,
     /*  359224 */   // Label 6507: @359224
     /*  359224 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(359290), // Rule ID 21856 //
     /*  359229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359268 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  359271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359288 */     GIR_RootConstrainSelectedInstOperands,
     /*  359289 */     // GIR_Coverage, 21856,
     /*  359289 */     GIR_EraseRootFromParent_Done,
     /*  359290 */   // Label 6508: @359290
     /*  359290 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(359356), // Rule ID 21857 //
     /*  359295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359334 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  359337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359354 */     GIR_RootConstrainSelectedInstOperands,
     /*  359355 */     // GIR_Coverage, 21857,
     /*  359355 */     GIR_EraseRootFromParent_Done,
     /*  359356 */   // Label 6509: @359356
     /*  359356 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(359422), // Rule ID 21860 //
     /*  359361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  359372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  359375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  359378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359400 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  359403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359420 */     GIR_RootConstrainSelectedInstOperands,
     /*  359421 */     // GIR_Coverage, 21860,
     /*  359421 */     GIR_EraseRootFromParent_Done,
     /*  359422 */   // Label 6510: @359422
     /*  359422 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(359488), // Rule ID 21861 //
     /*  359427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  359430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  359438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  359441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  359444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359466 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  359469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359486 */     GIR_RootConstrainSelectedInstOperands,
     /*  359487 */     // GIR_Coverage, 21861,
     /*  359487 */     GIR_EraseRootFromParent_Done,
     /*  359488 */   // Label 6511: @359488
     /*  359488 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(359554), // Rule ID 21864 //
     /*  359493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  359504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  359507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  359535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359552 */     GIR_RootConstrainSelectedInstOperands,
     /*  359553 */     // GIR_Coverage, 21864,
     /*  359553 */     GIR_EraseRootFromParent_Done,
     /*  359554 */   // Label 6512: @359554
     /*  359554 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359620), // Rule ID 21865 //
     /*  359559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  359562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  359570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  359573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359598 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  359601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359618 */     GIR_RootConstrainSelectedInstOperands,
     /*  359619 */     // GIR_Coverage, 21865,
     /*  359619 */     GIR_EraseRootFromParent_Done,
     /*  359620 */   // Label 6513: @359620
     /*  359620 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359686), // Rule ID 21868 //
     /*  359625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  359636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  359639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359664 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  359667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359684 */     GIR_RootConstrainSelectedInstOperands,
     /*  359685 */     // GIR_Coverage, 21868,
     /*  359685 */     GIR_EraseRootFromParent_Done,
     /*  359686 */   // Label 6514: @359686
     /*  359686 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359752), // Rule ID 21869 //
     /*  359691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  359694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  359702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  359705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359730 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  359733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359750 */     GIR_RootConstrainSelectedInstOperands,
     /*  359751 */     // GIR_Coverage, 21869,
     /*  359751 */     GIR_EraseRootFromParent_Done,
     /*  359752 */   // Label 6515: @359752
     /*  359752 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359818), // Rule ID 21872 //
     /*  359757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  359760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  359768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  359771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  359774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359796 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  359799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359816 */     GIR_RootConstrainSelectedInstOperands,
     /*  359817 */     // GIR_Coverage, 21872,
     /*  359817 */     GIR_EraseRootFromParent_Done,
     /*  359818 */   // Label 6516: @359818
     /*  359818 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359884), // Rule ID 21873 //
     /*  359823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  359826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  359834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  359837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  359840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359862 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  359865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359882 */     GIR_RootConstrainSelectedInstOperands,
     /*  359883 */     // GIR_Coverage, 21873,
     /*  359883 */     GIR_EraseRootFromParent_Done,
     /*  359884 */   // Label 6517: @359884
     /*  359884 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359947), // Rule ID 23044 //
     /*  359889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  359897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  359931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359945 */     GIR_RootConstrainSelectedInstOperands,
     /*  359946 */     // GIR_Coverage, 23044,
     /*  359946 */     GIR_EraseRootFromParent_Done,
     /*  359947 */   // Label 6518: @359947
     /*  359947 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(360010), // Rule ID 23045 //
     /*  359952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  359960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359991 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  359994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360008 */     GIR_RootConstrainSelectedInstOperands,
     /*  360009 */     // GIR_Coverage, 23045,
     /*  360009 */     GIR_EraseRootFromParent_Done,
     /*  360010 */   // Label 6519: @360010
     /*  360010 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(360073), // Rule ID 23046 //
     /*  360015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360054 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  360057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360071 */     GIR_RootConstrainSelectedInstOperands,
     /*  360072 */     // GIR_Coverage, 23046,
     /*  360072 */     GIR_EraseRootFromParent_Done,
     /*  360073 */   // Label 6520: @360073
     /*  360073 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(360136), // Rule ID 23047 //
     /*  360078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360117 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  360120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360134 */     GIR_RootConstrainSelectedInstOperands,
     /*  360135 */     // GIR_Coverage, 23047,
     /*  360135 */     GIR_EraseRootFromParent_Done,
     /*  360136 */   // Label 6521: @360136
     /*  360136 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(360199), // Rule ID 23048 //
     /*  360141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  360183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360197 */     GIR_RootConstrainSelectedInstOperands,
     /*  360198 */     // GIR_Coverage, 23048,
     /*  360198 */     GIR_EraseRootFromParent_Done,
     /*  360199 */   // Label 6522: @360199
     /*  360199 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(360262), // Rule ID 23049 //
     /*  360204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  360246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360260 */     GIR_RootConstrainSelectedInstOperands,
     /*  360261 */     // GIR_Coverage, 23049,
     /*  360261 */     GIR_EraseRootFromParent_Done,
     /*  360262 */   // Label 6523: @360262
     /*  360262 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(360325), // Rule ID 23050 //
     /*  360267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360306 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  360309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360323 */     GIR_RootConstrainSelectedInstOperands,
     /*  360324 */     // GIR_Coverage, 23050,
     /*  360324 */     GIR_EraseRootFromParent_Done,
     /*  360325 */   // Label 6524: @360325
     /*  360325 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(360388), // Rule ID 23051 //
     /*  360330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  360372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360386 */     GIR_RootConstrainSelectedInstOperands,
     /*  360387 */     // GIR_Coverage, 23051,
     /*  360387 */     GIR_EraseRootFromParent_Done,
     /*  360388 */   // Label 6525: @360388
     /*  360388 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(360451), // Rule ID 23052 //
     /*  360393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360432 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  360435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360449 */     GIR_RootConstrainSelectedInstOperands,
     /*  360450 */     // GIR_Coverage, 23052,
     /*  360450 */     GIR_EraseRootFromParent_Done,
     /*  360451 */   // Label 6526: @360451
     /*  360451 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(360514), // Rule ID 23053 //
     /*  360456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360495 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  360498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360512 */     GIR_RootConstrainSelectedInstOperands,
     /*  360513 */     // GIR_Coverage, 23053,
     /*  360513 */     GIR_EraseRootFromParent_Done,
     /*  360514 */   // Label 6527: @360514
     /*  360514 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(360577), // Rule ID 23054 //
     /*  360519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360558 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  360561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360575 */     GIR_RootConstrainSelectedInstOperands,
     /*  360576 */     // GIR_Coverage, 23054,
     /*  360576 */     GIR_EraseRootFromParent_Done,
     /*  360577 */   // Label 6528: @360577
     /*  360577 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360640), // Rule ID 23055 //
     /*  360582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360621 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  360624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360638 */     GIR_RootConstrainSelectedInstOperands,
     /*  360639 */     // GIR_Coverage, 23055,
     /*  360639 */     GIR_EraseRootFromParent_Done,
     /*  360640 */   // Label 6529: @360640
     /*  360640 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360703), // Rule ID 23056 //
     /*  360645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  360687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360701 */     GIR_RootConstrainSelectedInstOperands,
     /*  360702 */     // GIR_Coverage, 23056,
     /*  360702 */     GIR_EraseRootFromParent_Done,
     /*  360703 */   // Label 6530: @360703
     /*  360703 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360766), // Rule ID 23057 //
     /*  360708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360747 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  360750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360764 */     GIR_RootConstrainSelectedInstOperands,
     /*  360765 */     // GIR_Coverage, 23057,
     /*  360765 */     GIR_EraseRootFromParent_Done,
     /*  360766 */   // Label 6531: @360766
     /*  360766 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360829), // Rule ID 23058 //
     /*  360771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360810 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  360813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360827 */     GIR_RootConstrainSelectedInstOperands,
     /*  360828 */     // GIR_Coverage, 23058,
     /*  360828 */     GIR_EraseRootFromParent_Done,
     /*  360829 */   // Label 6532: @360829
     /*  360829 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360892), // Rule ID 23059 //
     /*  360834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  360876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360890 */     GIR_RootConstrainSelectedInstOperands,
     /*  360891 */     // GIR_Coverage, 23059,
     /*  360891 */     GIR_EraseRootFromParent_Done,
     /*  360892 */   // Label 6533: @360892
     /*  360892 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360955), // Rule ID 23060 //
     /*  360897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  360939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360953 */     GIR_RootConstrainSelectedInstOperands,
     /*  360954 */     // GIR_Coverage, 23060,
     /*  360954 */     GIR_EraseRootFromParent_Done,
     /*  360955 */   // Label 6534: @360955
     /*  360955 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(361018), // Rule ID 23061 //
     /*  360960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  360968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360999 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  361002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361016 */     GIR_RootConstrainSelectedInstOperands,
     /*  361017 */     // GIR_Coverage, 23061,
     /*  361017 */     GIR_EraseRootFromParent_Done,
     /*  361018 */   // Label 6535: @361018
     /*  361018 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(361081), // Rule ID 23062 //
     /*  361023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  361065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361079 */     GIR_RootConstrainSelectedInstOperands,
     /*  361080 */     // GIR_Coverage, 23062,
     /*  361080 */     GIR_EraseRootFromParent_Done,
     /*  361081 */   // Label 6536: @361081
     /*  361081 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(361144), // Rule ID 23063 //
     /*  361086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361125 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  361128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361142 */     GIR_RootConstrainSelectedInstOperands,
     /*  361143 */     // GIR_Coverage, 23063,
     /*  361143 */     GIR_EraseRootFromParent_Done,
     /*  361144 */   // Label 6537: @361144
     /*  361144 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(361207), // Rule ID 23064 //
     /*  361149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  361191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361205 */     GIR_RootConstrainSelectedInstOperands,
     /*  361206 */     // GIR_Coverage, 23064,
     /*  361206 */     GIR_EraseRootFromParent_Done,
     /*  361207 */   // Label 6538: @361207
     /*  361207 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(361270), // Rule ID 23065 //
     /*  361212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361251 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  361254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361268 */     GIR_RootConstrainSelectedInstOperands,
     /*  361269 */     // GIR_Coverage, 23065,
     /*  361269 */     GIR_EraseRootFromParent_Done,
     /*  361270 */   // Label 6539: @361270
     /*  361270 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(361333), // Rule ID 23066 //
     /*  361275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361314 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  361317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361331 */     GIR_RootConstrainSelectedInstOperands,
     /*  361332 */     // GIR_Coverage, 23066,
     /*  361332 */     GIR_EraseRootFromParent_Done,
     /*  361333 */   // Label 6540: @361333
     /*  361333 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(361396), // Rule ID 23067 //
     /*  361338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361377 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  361380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361394 */     GIR_RootConstrainSelectedInstOperands,
     /*  361395 */     // GIR_Coverage, 23067,
     /*  361395 */     GIR_EraseRootFromParent_Done,
     /*  361396 */   // Label 6541: @361396
     /*  361396 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(361459), // Rule ID 23068 //
     /*  361401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361440 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  361443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361457 */     GIR_RootConstrainSelectedInstOperands,
     /*  361458 */     // GIR_Coverage, 23068,
     /*  361458 */     GIR_EraseRootFromParent_Done,
     /*  361459 */   // Label 6542: @361459
     /*  361459 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(361522), // Rule ID 23069 //
     /*  361464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361503 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11371:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  361506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361520 */     GIR_RootConstrainSelectedInstOperands,
     /*  361521 */     // GIR_Coverage, 23069,
     /*  361521 */     GIR_EraseRootFromParent_Done,
     /*  361522 */   // Label 6543: @361522
     /*  361522 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(361585), // Rule ID 23070 //
     /*  361527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361566 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  361569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361583 */     GIR_RootConstrainSelectedInstOperands,
     /*  361584 */     // GIR_Coverage, 23070,
     /*  361584 */     GIR_EraseRootFromParent_Done,
     /*  361585 */   // Label 6544: @361585
     /*  361585 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361648), // Rule ID 23071 //
     /*  361590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  361632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361646 */     GIR_RootConstrainSelectedInstOperands,
     /*  361647 */     // GIR_Coverage, 23071,
     /*  361647 */     GIR_EraseRootFromParent_Done,
     /*  361648 */   // Label 6545: @361648
     /*  361648 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361711), // Rule ID 23072 //
     /*  361653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  361695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361709 */     GIR_RootConstrainSelectedInstOperands,
     /*  361710 */     // GIR_Coverage, 23072,
     /*  361710 */     GIR_EraseRootFromParent_Done,
     /*  361711 */   // Label 6546: @361711
     /*  361711 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361774), // Rule ID 23073 //
     /*  361716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361755 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  361758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361772 */     GIR_RootConstrainSelectedInstOperands,
     /*  361773 */     // GIR_Coverage, 23073,
     /*  361773 */     GIR_EraseRootFromParent_Done,
     /*  361774 */   // Label 6547: @361774
     /*  361774 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361837), // Rule ID 23074 //
     /*  361779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  361821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361835 */     GIR_RootConstrainSelectedInstOperands,
     /*  361836 */     // GIR_Coverage, 23074,
     /*  361836 */     GIR_EraseRootFromParent_Done,
     /*  361837 */   // Label 6548: @361837
     /*  361837 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361900), // Rule ID 23075 //
     /*  361842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  361884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361898 */     GIR_RootConstrainSelectedInstOperands,
     /*  361899 */     // GIR_Coverage, 23075,
     /*  361899 */     GIR_EraseRootFromParent_Done,
     /*  361900 */   // Label 6549: @361900
     /*  361900 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361963), // Rule ID 23076 //
     /*  361905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  361947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361961 */     GIR_RootConstrainSelectedInstOperands,
     /*  361962 */     // GIR_Coverage, 23076,
     /*  361962 */     GIR_EraseRootFromParent_Done,
     /*  361963 */   // Label 6550: @361963
     /*  361963 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(362026), // Rule ID 23077 //
     /*  361968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  361976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362007 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  362010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362024 */     GIR_RootConstrainSelectedInstOperands,
     /*  362025 */     // GIR_Coverage, 23077,
     /*  362025 */     GIR_EraseRootFromParent_Done,
     /*  362026 */   // Label 6551: @362026
     /*  362026 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(362089), // Rule ID 23078 //
     /*  362031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362070 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  362073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362087 */     GIR_RootConstrainSelectedInstOperands,
     /*  362088 */     // GIR_Coverage, 23078,
     /*  362088 */     GIR_EraseRootFromParent_Done,
     /*  362089 */   // Label 6552: @362089
     /*  362089 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(362152), // Rule ID 23079 //
     /*  362094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  362136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362150 */     GIR_RootConstrainSelectedInstOperands,
     /*  362151 */     // GIR_Coverage, 23079,
     /*  362151 */     GIR_EraseRootFromParent_Done,
     /*  362152 */   // Label 6553: @362152
     /*  362152 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(362215), // Rule ID 23080 //
     /*  362157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362196 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  362199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362213 */     GIR_RootConstrainSelectedInstOperands,
     /*  362214 */     // GIR_Coverage, 23080,
     /*  362214 */     GIR_EraseRootFromParent_Done,
     /*  362215 */   // Label 6554: @362215
     /*  362215 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(362278), // Rule ID 23081 //
     /*  362220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362259 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  362262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362276 */     GIR_RootConstrainSelectedInstOperands,
     /*  362277 */     // GIR_Coverage, 23081,
     /*  362277 */     GIR_EraseRootFromParent_Done,
     /*  362278 */   // Label 6555: @362278
     /*  362278 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(362341), // Rule ID 23082 //
     /*  362283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362322 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  362325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362339 */     GIR_RootConstrainSelectedInstOperands,
     /*  362340 */     // GIR_Coverage, 23082,
     /*  362340 */     GIR_EraseRootFromParent_Done,
     /*  362341 */   // Label 6556: @362341
     /*  362341 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(362404), // Rule ID 23083 //
     /*  362346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362385 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  362388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362402 */     GIR_RootConstrainSelectedInstOperands,
     /*  362403 */     // GIR_Coverage, 23083,
     /*  362403 */     GIR_EraseRootFromParent_Done,
     /*  362404 */   // Label 6557: @362404
     /*  362404 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(362467), // Rule ID 23084 //
     /*  362409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  362451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362465 */     GIR_RootConstrainSelectedInstOperands,
     /*  362466 */     // GIR_Coverage, 23084,
     /*  362466 */     GIR_EraseRootFromParent_Done,
     /*  362467 */   // Label 6558: @362467
     /*  362467 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(362530), // Rule ID 23085 //
     /*  362472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362511 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  362514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362528 */     GIR_RootConstrainSelectedInstOperands,
     /*  362529 */     // GIR_Coverage, 23085,
     /*  362529 */     GIR_EraseRootFromParent_Done,
     /*  362530 */   // Label 6559: @362530
     /*  362530 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(362593), // Rule ID 23086 //
     /*  362535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  362577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362591 */     GIR_RootConstrainSelectedInstOperands,
     /*  362592 */     // GIR_Coverage, 23086,
     /*  362592 */     GIR_EraseRootFromParent_Done,
     /*  362593 */   // Label 6560: @362593
     /*  362593 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362656), // Rule ID 23087 //
     /*  362598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  362640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362654 */     GIR_RootConstrainSelectedInstOperands,
     /*  362655 */     // GIR_Coverage, 23087,
     /*  362655 */     GIR_EraseRootFromParent_Done,
     /*  362656 */   // Label 6561: @362656
     /*  362656 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362719), // Rule ID 23088 //
     /*  362661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  362703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362717 */     GIR_RootConstrainSelectedInstOperands,
     /*  362718 */     // GIR_Coverage, 23088,
     /*  362718 */     GIR_EraseRootFromParent_Done,
     /*  362719 */   // Label 6562: @362719
     /*  362719 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362782), // Rule ID 23089 //
     /*  362724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  362766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362780 */     GIR_RootConstrainSelectedInstOperands,
     /*  362781 */     // GIR_Coverage, 23089,
     /*  362781 */     GIR_EraseRootFromParent_Done,
     /*  362782 */   // Label 6563: @362782
     /*  362782 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362845), // Rule ID 23090 //
     /*  362787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  362829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362843 */     GIR_RootConstrainSelectedInstOperands,
     /*  362844 */     // GIR_Coverage, 23090,
     /*  362844 */     GIR_EraseRootFromParent_Done,
     /*  362845 */   // Label 6564: @362845
     /*  362845 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362908), // Rule ID 23091 //
     /*  362850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  362892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362906 */     GIR_RootConstrainSelectedInstOperands,
     /*  362907 */     // GIR_Coverage, 23091,
     /*  362907 */     GIR_EraseRootFromParent_Done,
     /*  362908 */   // Label 6565: @362908
     /*  362908 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362971), // Rule ID 23092 //
     /*  362913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  362955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362969 */     GIR_RootConstrainSelectedInstOperands,
     /*  362970 */     // GIR_Coverage, 23092,
     /*  362970 */     GIR_EraseRootFromParent_Done,
     /*  362971 */   // Label 6566: @362971
     /*  362971 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(363034), // Rule ID 23093 //
     /*  362976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  362984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363015 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  363018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363032 */     GIR_RootConstrainSelectedInstOperands,
     /*  363033 */     // GIR_Coverage, 23093,
     /*  363033 */     GIR_EraseRootFromParent_Done,
     /*  363034 */   // Label 6567: @363034
     /*  363034 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(363097), // Rule ID 23094 //
     /*  363039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363078 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  363081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363095 */     GIR_RootConstrainSelectedInstOperands,
     /*  363096 */     // GIR_Coverage, 23094,
     /*  363096 */     GIR_EraseRootFromParent_Done,
     /*  363097 */   // Label 6568: @363097
     /*  363097 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(363160), // Rule ID 23095 //
     /*  363102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363141 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  363144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363158 */     GIR_RootConstrainSelectedInstOperands,
     /*  363159 */     // GIR_Coverage, 23095,
     /*  363159 */     GIR_EraseRootFromParent_Done,
     /*  363160 */   // Label 6569: @363160
     /*  363160 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(363223), // Rule ID 23096 //
     /*  363165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363204 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  363207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363221 */     GIR_RootConstrainSelectedInstOperands,
     /*  363222 */     // GIR_Coverage, 23096,
     /*  363222 */     GIR_EraseRootFromParent_Done,
     /*  363223 */   // Label 6570: @363223
     /*  363223 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(363286), // Rule ID 23097 //
     /*  363228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363267 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11417:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  363270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363284 */     GIR_RootConstrainSelectedInstOperands,
     /*  363285 */     // GIR_Coverage, 23097,
     /*  363285 */     GIR_EraseRootFromParent_Done,
     /*  363286 */   // Label 6571: @363286
     /*  363286 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(363349), // Rule ID 23098 //
     /*  363291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  363302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  363333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363347 */     GIR_RootConstrainSelectedInstOperands,
     /*  363348 */     // GIR_Coverage, 23098,
     /*  363348 */     GIR_EraseRootFromParent_Done,
     /*  363349 */   // Label 6572: @363349
     /*  363349 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(363412), // Rule ID 23099 //
     /*  363354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  363365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  363396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363410 */     GIR_RootConstrainSelectedInstOperands,
     /*  363411 */     // GIR_Coverage, 23099,
     /*  363411 */     GIR_EraseRootFromParent_Done,
     /*  363412 */   // Label 6573: @363412
     /*  363412 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(363475), // Rule ID 23100 //
     /*  363417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  363428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  363459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363473 */     GIR_RootConstrainSelectedInstOperands,
     /*  363474 */     // GIR_Coverage, 23100,
     /*  363474 */     GIR_EraseRootFromParent_Done,
     /*  363475 */   // Label 6574: @363475
     /*  363475 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(363538), // Rule ID 23101 //
     /*  363480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  363491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363519 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  363522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363536 */     GIR_RootConstrainSelectedInstOperands,
     /*  363537 */     // GIR_Coverage, 23101,
     /*  363537 */     GIR_EraseRootFromParent_Done,
     /*  363538 */   // Label 6575: @363538
     /*  363538 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(363601), // Rule ID 23102 //
     /*  363543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  363554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  363585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363599 */     GIR_RootConstrainSelectedInstOperands,
     /*  363600 */     // GIR_Coverage, 23102,
     /*  363600 */     GIR_EraseRootFromParent_Done,
     /*  363601 */   // Label 6576: @363601
     /*  363601 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363664), // Rule ID 23103 //
     /*  363606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  363617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  363648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363662 */     GIR_RootConstrainSelectedInstOperands,
     /*  363663 */     // GIR_Coverage, 23103,
     /*  363663 */     GIR_EraseRootFromParent_Done,
     /*  363664 */   // Label 6577: @363664
     /*  363664 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363727), // Rule ID 23104 //
     /*  363669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  363711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363725 */     GIR_RootConstrainSelectedInstOperands,
     /*  363726 */     // GIR_Coverage, 23104,
     /*  363726 */     GIR_EraseRootFromParent_Done,
     /*  363727 */   // Label 6578: @363727
     /*  363727 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363790), // Rule ID 23105 //
     /*  363732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  363774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363788 */     GIR_RootConstrainSelectedInstOperands,
     /*  363789 */     // GIR_Coverage, 23105,
     /*  363789 */     GIR_EraseRootFromParent_Done,
     /*  363790 */   // Label 6579: @363790
     /*  363790 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363853), // Rule ID 23106 //
     /*  363795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  363806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363834 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  363837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363851 */     GIR_RootConstrainSelectedInstOperands,
     /*  363852 */     // GIR_Coverage, 23106,
     /*  363852 */     GIR_EraseRootFromParent_Done,
     /*  363853 */   // Label 6580: @363853
     /*  363853 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363916), // Rule ID 23107 //
     /*  363858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  363869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  363900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363914 */     GIR_RootConstrainSelectedInstOperands,
     /*  363915 */     // GIR_Coverage, 23107,
     /*  363915 */     GIR_EraseRootFromParent_Done,
     /*  363916 */   // Label 6581: @363916
     /*  363916 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363979), // Rule ID 23108 //
     /*  363921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363960 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  363963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363977 */     GIR_RootConstrainSelectedInstOperands,
     /*  363978 */     // GIR_Coverage, 23108,
     /*  363978 */     GIR_EraseRootFromParent_Done,
     /*  363979 */   // Label 6582: @363979
     /*  363979 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(364042), // Rule ID 23109 //
     /*  363984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364023 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  364026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364040 */     GIR_RootConstrainSelectedInstOperands,
     /*  364041 */     // GIR_Coverage, 23109,
     /*  364041 */     GIR_EraseRootFromParent_Done,
     /*  364042 */   // Label 6583: @364042
     /*  364042 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(364105), // Rule ID 23110 //
     /*  364047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  364058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364086 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  364089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364103 */     GIR_RootConstrainSelectedInstOperands,
     /*  364104 */     // GIR_Coverage, 23110,
     /*  364104 */     GIR_EraseRootFromParent_Done,
     /*  364105 */   // Label 6584: @364105
     /*  364105 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(364168), // Rule ID 23111 //
     /*  364110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  364121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364149 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11373:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  364152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364166 */     GIR_RootConstrainSelectedInstOperands,
     /*  364167 */     // GIR_Coverage, 23111,
     /*  364167 */     GIR_EraseRootFromParent_Done,
     /*  364168 */   // Label 6585: @364168
     /*  364168 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(364231), // Rule ID 23112 //
     /*  364173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  364184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  364215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364229 */     GIR_RootConstrainSelectedInstOperands,
     /*  364230 */     // GIR_Coverage, 23112,
     /*  364230 */     GIR_EraseRootFromParent_Done,
     /*  364231 */   // Label 6586: @364231
     /*  364231 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(364294), // Rule ID 23113 //
     /*  364236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  364247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364275 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  364278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364292 */     GIR_RootConstrainSelectedInstOperands,
     /*  364293 */     // GIR_Coverage, 23113,
     /*  364293 */     GIR_EraseRootFromParent_Done,
     /*  364294 */   // Label 6587: @364294
     /*  364294 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(364357), // Rule ID 23114 //
     /*  364299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  364310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  364341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364355 */     GIR_RootConstrainSelectedInstOperands,
     /*  364356 */     // GIR_Coverage, 23114,
     /*  364356 */     GIR_EraseRootFromParent_Done,
     /*  364357 */   // Label 6588: @364357
     /*  364357 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(364420), // Rule ID 23115 //
     /*  364362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  364373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  364404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364418 */     GIR_RootConstrainSelectedInstOperands,
     /*  364419 */     // GIR_Coverage, 23115,
     /*  364419 */     GIR_EraseRootFromParent_Done,
     /*  364420 */   // Label 6589: @364420
     /*  364420 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(364483), // Rule ID 23116 //
     /*  364425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  364436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  364467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364481 */     GIR_RootConstrainSelectedInstOperands,
     /*  364482 */     // GIR_Coverage, 23116,
     /*  364482 */     GIR_EraseRootFromParent_Done,
     /*  364483 */   // Label 6590: @364483
     /*  364483 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(364546), // Rule ID 23117 //
     /*  364488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  364499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364527 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  364530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364544 */     GIR_RootConstrainSelectedInstOperands,
     /*  364545 */     // GIR_Coverage, 23117,
     /*  364545 */     GIR_EraseRootFromParent_Done,
     /*  364546 */   // Label 6591: @364546
     /*  364546 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(364609), // Rule ID 23118 //
     /*  364551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  364562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  364593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364607 */     GIR_RootConstrainSelectedInstOperands,
     /*  364608 */     // GIR_Coverage, 23118,
     /*  364608 */     GIR_EraseRootFromParent_Done,
     /*  364609 */   // Label 6592: @364609
     /*  364609 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364672), // Rule ID 23119 //
     /*  364614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  364625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  364656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364670 */     GIR_RootConstrainSelectedInstOperands,
     /*  364671 */     // GIR_Coverage, 23119,
     /*  364671 */     GIR_EraseRootFromParent_Done,
     /*  364672 */   // Label 6593: @364672
     /*  364672 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364735), // Rule ID 23120 //
     /*  364677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  364719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364733 */     GIR_RootConstrainSelectedInstOperands,
     /*  364734 */     // GIR_Coverage, 23120,
     /*  364734 */     GIR_EraseRootFromParent_Done,
     /*  364735 */   // Label 6594: @364735
     /*  364735 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364798), // Rule ID 23121 //
     /*  364740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364779 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  364782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364796 */     GIR_RootConstrainSelectedInstOperands,
     /*  364797 */     // GIR_Coverage, 23121,
     /*  364797 */     GIR_EraseRootFromParent_Done,
     /*  364798 */   // Label 6595: @364798
     /*  364798 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364861), // Rule ID 23122 //
     /*  364803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  364814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364842 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  364845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364859 */     GIR_RootConstrainSelectedInstOperands,
     /*  364860 */     // GIR_Coverage, 23122,
     /*  364860 */     GIR_EraseRootFromParent_Done,
     /*  364861 */   // Label 6596: @364861
     /*  364861 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364924), // Rule ID 23123 //
     /*  364866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  364877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364905 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  364908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364922 */     GIR_RootConstrainSelectedInstOperands,
     /*  364923 */     // GIR_Coverage, 23123,
     /*  364923 */     GIR_EraseRootFromParent_Done,
     /*  364924 */   // Label 6597: @364924
     /*  364924 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364987), // Rule ID 23124 //
     /*  364929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  364940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364968 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  364971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364985 */     GIR_RootConstrainSelectedInstOperands,
     /*  364986 */     // GIR_Coverage, 23124,
     /*  364986 */     GIR_EraseRootFromParent_Done,
     /*  364987 */   // Label 6598: @364987
     /*  364987 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(365050), // Rule ID 23125 //
     /*  364992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  365003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  365006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365031 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11372:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  365034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365048 */     GIR_RootConstrainSelectedInstOperands,
     /*  365049 */     // GIR_Coverage, 23125,
     /*  365049 */     GIR_EraseRootFromParent_Done,
     /*  365050 */   // Label 6599: @365050
     /*  365050 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(365113), // Rule ID 23126 //
     /*  365055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  365066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  365069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  365097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365111 */     GIR_RootConstrainSelectedInstOperands,
     /*  365112 */     // GIR_Coverage, 23126,
     /*  365112 */     GIR_EraseRootFromParent_Done,
     /*  365113 */   // Label 6600: @365113
     /*  365113 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(365176), // Rule ID 23127 //
     /*  365118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  365129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  365132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365157 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  365160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365174 */     GIR_RootConstrainSelectedInstOperands,
     /*  365175 */     // GIR_Coverage, 23127,
     /*  365175 */     GIR_EraseRootFromParent_Done,
     /*  365176 */   // Label 6601: @365176
     /*  365176 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(365239), // Rule ID 23128 //
     /*  365181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  365192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  365195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  365223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365237 */     GIR_RootConstrainSelectedInstOperands,
     /*  365238 */     // GIR_Coverage, 23128,
     /*  365238 */     GIR_EraseRootFromParent_Done,
     /*  365239 */   // Label 6602: @365239
     /*  365239 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(365302), // Rule ID 23129 //
     /*  365244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  365255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  365258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365283 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  365286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365300 */     GIR_RootConstrainSelectedInstOperands,
     /*  365301 */     // GIR_Coverage, 23129,
     /*  365301 */     GIR_EraseRootFromParent_Done,
     /*  365302 */   // Label 6603: @365302
     /*  365302 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(365365), // Rule ID 23130 //
     /*  365307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  365318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  365321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365346 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  365349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365363 */     GIR_RootConstrainSelectedInstOperands,
     /*  365364 */     // GIR_Coverage, 23130,
     /*  365364 */     GIR_EraseRootFromParent_Done,
     /*  365365 */   // Label 6604: @365365
     /*  365365 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(365428), // Rule ID 23131 //
     /*  365370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  365381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  365384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365409 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  365412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365426 */     GIR_RootConstrainSelectedInstOperands,
     /*  365427 */     // GIR_Coverage, 23131,
     /*  365427 */     GIR_EraseRootFromParent_Done,
     /*  365428 */   // Label 6605: @365428
     /*  365428 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(365491), // Rule ID 23132 //
     /*  365433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  365444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  365447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  365475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365489 */     GIR_RootConstrainSelectedInstOperands,
     /*  365490 */     // GIR_Coverage, 23132,
     /*  365490 */     GIR_EraseRootFromParent_Done,
     /*  365491 */   // Label 6606: @365491
     /*  365491 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(365554), // Rule ID 23133 //
     /*  365496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  365507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  365510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365535 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  365538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365552 */     GIR_RootConstrainSelectedInstOperands,
     /*  365553 */     // GIR_Coverage, 23133,
     /*  365553 */     GIR_EraseRootFromParent_Done,
     /*  365554 */   // Label 6607: @365554
     /*  365554 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365617), // Rule ID 23134 //
     /*  365559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  365570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  365573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  365601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365615 */     GIR_RootConstrainSelectedInstOperands,
     /*  365616 */     // GIR_Coverage, 23134,
     /*  365616 */     GIR_EraseRootFromParent_Done,
     /*  365617 */   // Label 6608: @365617
     /*  365617 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365680), // Rule ID 23135 //
     /*  365622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  365633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  365636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365661 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  365664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365678 */     GIR_RootConstrainSelectedInstOperands,
     /*  365679 */     // GIR_Coverage, 23135,
     /*  365679 */     GIR_EraseRootFromParent_Done,
     /*  365680 */   // Label 6609: @365680
     /*  365680 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365743), // Rule ID 23136 //
     /*  365685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365724 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  365727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365741 */     GIR_RootConstrainSelectedInstOperands,
     /*  365742 */     // GIR_Coverage, 23136,
     /*  365742 */     GIR_EraseRootFromParent_Done,
     /*  365743 */   // Label 6610: @365743
     /*  365743 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365806), // Rule ID 23137 //
     /*  365748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365787 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  365790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365804 */     GIR_RootConstrainSelectedInstOperands,
     /*  365805 */     // GIR_Coverage, 23137,
     /*  365805 */     GIR_EraseRootFromParent_Done,
     /*  365806 */   // Label 6611: @365806
     /*  365806 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365869), // Rule ID 23138 //
     /*  365811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  365822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  365825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365850 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  365853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365867 */     GIR_RootConstrainSelectedInstOperands,
     /*  365868 */     // GIR_Coverage, 23138,
     /*  365868 */     GIR_EraseRootFromParent_Done,
     /*  365869 */   // Label 6612: @365869
     /*  365869 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365932), // Rule ID 23139 //
     /*  365874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  365885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  365888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365913 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11374:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  365916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365930 */     GIR_RootConstrainSelectedInstOperands,
     /*  365931 */     // GIR_Coverage, 23139,
     /*  365931 */     GIR_EraseRootFromParent_Done,
     /*  365932 */   // Label 6613: @365932
     /*  365932 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365995), // Rule ID 23140 //
     /*  365937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  365945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  365948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  365951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365976 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  365979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365993 */     GIR_RootConstrainSelectedInstOperands,
     /*  365994 */     // GIR_Coverage, 23140,
     /*  365994 */     GIR_EraseRootFromParent_Done,
     /*  365995 */   // Label 6614: @365995
     /*  365995 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(366058), // Rule ID 23141 //
     /*  366000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  366011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  366014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  366017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366039 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  366042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366056 */     GIR_RootConstrainSelectedInstOperands,
     /*  366057 */     // GIR_Coverage, 23141,
     /*  366057 */     GIR_EraseRootFromParent_Done,
     /*  366058 */   // Label 6615: @366058
     /*  366058 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(366121), // Rule ID 23142 //
     /*  366063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  366074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366102 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  366105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366119 */     GIR_RootConstrainSelectedInstOperands,
     /*  366120 */     // GIR_Coverage, 23142,
     /*  366120 */     GIR_EraseRootFromParent_Done,
     /*  366121 */   // Label 6616: @366121
     /*  366121 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(366184), // Rule ID 23143 //
     /*  366126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  366137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366165 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  366168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366182 */     GIR_RootConstrainSelectedInstOperands,
     /*  366183 */     // GIR_Coverage, 23143,
     /*  366183 */     GIR_EraseRootFromParent_Done,
     /*  366184 */   // Label 6617: @366184
     /*  366184 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(366247), // Rule ID 23144 //
     /*  366189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  366200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  366231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366245 */     GIR_RootConstrainSelectedInstOperands,
     /*  366246 */     // GIR_Coverage, 23144,
     /*  366246 */     GIR_EraseRootFromParent_Done,
     /*  366247 */   // Label 6618: @366247
     /*  366247 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(366310), // Rule ID 23145 //
     /*  366252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  366263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366291 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  366294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366308 */     GIR_RootConstrainSelectedInstOperands,
     /*  366309 */     // GIR_Coverage, 23145,
     /*  366309 */     GIR_EraseRootFromParent_Done,
     /*  366310 */   // Label 6619: @366310
     /*  366310 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(366373), // Rule ID 23146 //
     /*  366315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  366326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  366329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366354 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  366357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366371 */     GIR_RootConstrainSelectedInstOperands,
     /*  366372 */     // GIR_Coverage, 23146,
     /*  366372 */     GIR_EraseRootFromParent_Done,
     /*  366373 */   // Label 6620: @366373
     /*  366373 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(366436), // Rule ID 23147 //
     /*  366378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  366389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  366392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366417 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  366420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366434 */     GIR_RootConstrainSelectedInstOperands,
     /*  366435 */     // GIR_Coverage, 23147,
     /*  366435 */     GIR_EraseRootFromParent_Done,
     /*  366436 */   // Label 6621: @366436
     /*  366436 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(366499), // Rule ID 23148 //
     /*  366441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  366452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  366455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  366483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366497 */     GIR_RootConstrainSelectedInstOperands,
     /*  366498 */     // GIR_Coverage, 23148,
     /*  366498 */     GIR_EraseRootFromParent_Done,
     /*  366499 */   // Label 6622: @366499
     /*  366499 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366562), // Rule ID 23149 //
     /*  366504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  366515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  366518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366543 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  366546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366560 */     GIR_RootConstrainSelectedInstOperands,
     /*  366561 */     // GIR_Coverage, 23149,
     /*  366561 */     GIR_EraseRootFromParent_Done,
     /*  366562 */   // Label 6623: @366562
     /*  366562 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366625), // Rule ID 23150 //
     /*  366567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  366578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  366581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366606 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  366609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366623 */     GIR_RootConstrainSelectedInstOperands,
     /*  366624 */     // GIR_Coverage, 23150,
     /*  366624 */     GIR_EraseRootFromParent_Done,
     /*  366625 */   // Label 6624: @366625
     /*  366625 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366688), // Rule ID 23151 //
     /*  366630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  366641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  366644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366669 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  366672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366686 */     GIR_RootConstrainSelectedInstOperands,
     /*  366687 */     // GIR_Coverage, 23151,
     /*  366687 */     GIR_EraseRootFromParent_Done,
     /*  366688 */   // Label 6625: @366688
     /*  366688 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366751), // Rule ID 23152 //
     /*  366693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366732 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  366735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366749 */     GIR_RootConstrainSelectedInstOperands,
     /*  366750 */     // GIR_Coverage, 23152,
     /*  366750 */     GIR_EraseRootFromParent_Done,
     /*  366751 */   // Label 6626: @366751
     /*  366751 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366814), // Rule ID 23153 //
     /*  366756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366795 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11416:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  366798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366812 */     GIR_RootConstrainSelectedInstOperands,
     /*  366813 */     // GIR_Coverage, 23153,
     /*  366813 */     GIR_EraseRootFromParent_Done,
     /*  366814 */   // Label 6627: @366814
     /*  366814 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366877), // Rule ID 23182 //
     /*  366819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  366822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  366827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  366830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  366843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  366851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366858 */     // (intrinsic_wo_chain:{ *:[i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  366861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366865 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  366867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366875 */     GIR_RootConstrainSelectedInstOperands,
     /*  366876 */     // GIR_Coverage, 23182,
     /*  366876 */     GIR_EraseRootFromParent_Done,
     /*  366877 */   // Label 6628: @366877
     /*  366877 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366940), // Rule ID 23183 //
     /*  366882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  366885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  366890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  366893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  366906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  366914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366921 */     // (intrinsic_wo_chain:{ *:[i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  366924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366928 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  366930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366938 */     GIR_RootConstrainSelectedInstOperands,
     /*  366939 */     // GIR_Coverage, 23183,
     /*  366939 */     GIR_EraseRootFromParent_Done,
     /*  366940 */   // Label 6629: @366940
     /*  366940 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(367003), // Rule ID 23186 //
     /*  366945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  366948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  366953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  366956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  366969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  366977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366984 */     // (intrinsic_wo_chain:{ *:[i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  366987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366991 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  366993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367001 */     GIR_RootConstrainSelectedInstOperands,
     /*  367002 */     // GIR_Coverage, 23186,
     /*  367002 */     GIR_EraseRootFromParent_Done,
     /*  367003 */   // Label 6630: @367003
     /*  367003 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(367066), // Rule ID 23187 //
     /*  367008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  367022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367047 */     // (intrinsic_wo_chain:{ *:[i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  367050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367054 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367064 */     GIR_RootConstrainSelectedInstOperands,
     /*  367065 */     // GIR_Coverage, 23187,
     /*  367065 */     GIR_EraseRootFromParent_Done,
     /*  367066 */   // Label 6631: @367066
     /*  367066 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(367129), // Rule ID 23190 //
     /*  367071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367110 */     // (intrinsic_wo_chain:{ *:[i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  367113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367117 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367127 */     GIR_RootConstrainSelectedInstOperands,
     /*  367128 */     // GIR_Coverage, 23190,
     /*  367128 */     GIR_EraseRootFromParent_Done,
     /*  367129 */   // Label 6632: @367129
     /*  367129 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(367192), // Rule ID 23191 //
     /*  367134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367173 */     // (intrinsic_wo_chain:{ *:[i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  367176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367180 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367190 */     GIR_RootConstrainSelectedInstOperands,
     /*  367191 */     // GIR_Coverage, 23191,
     /*  367191 */     GIR_EraseRootFromParent_Done,
     /*  367192 */   // Label 6633: @367192
     /*  367192 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(367255), // Rule ID 23194 //
     /*  367197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367236 */     // (intrinsic_wo_chain:{ *:[i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  367239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367243 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367253 */     GIR_RootConstrainSelectedInstOperands,
     /*  367254 */     // GIR_Coverage, 23194,
     /*  367254 */     GIR_EraseRootFromParent_Done,
     /*  367255 */   // Label 6634: @367255
     /*  367255 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(367318), // Rule ID 23195 //
     /*  367260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367299 */     // (intrinsic_wo_chain:{ *:[i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  367302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367306 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367316 */     GIR_RootConstrainSelectedInstOperands,
     /*  367317 */     // GIR_Coverage, 23195,
     /*  367317 */     GIR_EraseRootFromParent_Done,
     /*  367318 */   // Label 6635: @367318
     /*  367318 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(367381), // Rule ID 23198 //
     /*  367323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  367337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  367340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367362 */     // (intrinsic_wo_chain:{ *:[i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  367365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367369 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367379 */     GIR_RootConstrainSelectedInstOperands,
     /*  367380 */     // GIR_Coverage, 23198,
     /*  367380 */     GIR_EraseRootFromParent_Done,
     /*  367381 */   // Label 6636: @367381
     /*  367381 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(367444), // Rule ID 23199 //
     /*  367386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  367400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  367403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367425 */     // (intrinsic_wo_chain:{ *:[i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  367428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367432 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367442 */     GIR_RootConstrainSelectedInstOperands,
     /*  367443 */     // GIR_Coverage, 23199,
     /*  367443 */     GIR_EraseRootFromParent_Done,
     /*  367444 */   // Label 6637: @367444
     /*  367444 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367507), // Rule ID 23202 //
     /*  367449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  367463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  367466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367488 */     // (intrinsic_wo_chain:{ *:[i64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  367491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367495 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367505 */     GIR_RootConstrainSelectedInstOperands,
     /*  367506 */     // GIR_Coverage, 23202,
     /*  367506 */     GIR_EraseRootFromParent_Done,
     /*  367507 */   // Label 6638: @367507
     /*  367507 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367570), // Rule ID 23203 //
     /*  367512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  367526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  367529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367551 */     // (intrinsic_wo_chain:{ *:[i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  367554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367558 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367568 */     GIR_RootConstrainSelectedInstOperands,
     /*  367569 */     // GIR_Coverage, 23203,
     /*  367569 */     GIR_EraseRootFromParent_Done,
     /*  367570 */   // Label 6639: @367570
     /*  367570 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367633), // Rule ID 23206 //
     /*  367575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  367589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  367592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367614 */     // (intrinsic_wo_chain:{ *:[i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  367617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367621 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367631 */     GIR_RootConstrainSelectedInstOperands,
     /*  367632 */     // GIR_Coverage, 23206,
     /*  367632 */     GIR_EraseRootFromParent_Done,
     /*  367633 */   // Label 6640: @367633
     /*  367633 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367696), // Rule ID 23207 //
     /*  367638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  367652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  367655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367677 */     // (intrinsic_wo_chain:{ *:[i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  367680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367684 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367694 */     GIR_RootConstrainSelectedInstOperands,
     /*  367695 */     // GIR_Coverage, 23207,
     /*  367695 */     GIR_EraseRootFromParent_Done,
     /*  367696 */   // Label 6641: @367696
     /*  367696 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367759), // Rule ID 23210 //
     /*  367701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367740 */     // (intrinsic_wo_chain:{ *:[i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  367743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367747 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367757 */     GIR_RootConstrainSelectedInstOperands,
     /*  367758 */     // GIR_Coverage, 23210,
     /*  367758 */     GIR_EraseRootFromParent_Done,
     /*  367759 */   // Label 6642: @367759
     /*  367759 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367822), // Rule ID 23211 //
     /*  367764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367803 */     // (intrinsic_wo_chain:{ *:[i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  367806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367810 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367820 */     GIR_RootConstrainSelectedInstOperands,
     /*  367821 */     // GIR_Coverage, 23211,
     /*  367821 */     GIR_EraseRootFromParent_Done,
     /*  367822 */   // Label 6643: @367822
     /*  367822 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367885), // Rule ID 23214 //
     /*  367827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  367841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367866 */     // (intrinsic_wo_chain:{ *:[i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  367869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367873 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367883 */     GIR_RootConstrainSelectedInstOperands,
     /*  367884 */     // GIR_Coverage, 23214,
     /*  367884 */     GIR_EraseRootFromParent_Done,
     /*  367885 */   // Label 6644: @367885
     /*  367885 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367948), // Rule ID 23215 //
     /*  367890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  367904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367929 */     // (intrinsic_wo_chain:{ *:[i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  367932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367936 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367946 */     GIR_RootConstrainSelectedInstOperands,
     /*  367947 */     // GIR_Coverage, 23215,
     /*  367947 */     GIR_EraseRootFromParent_Done,
     /*  367948 */   // Label 6645: @367948
     /*  367948 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(368011), // Rule ID 23218 //
     /*  367953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  367961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367992 */     // (intrinsic_wo_chain:{ *:[i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  367995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367999 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368009 */     GIR_RootConstrainSelectedInstOperands,
     /*  368010 */     // GIR_Coverage, 23218,
     /*  368010 */     GIR_EraseRootFromParent_Done,
     /*  368011 */   // Label 6646: @368011
     /*  368011 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(368074), // Rule ID 23219 //
     /*  368016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  368030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  368033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368055 */     // (intrinsic_wo_chain:{ *:[i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  368058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368062 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368072 */     GIR_RootConstrainSelectedInstOperands,
     /*  368073 */     // GIR_Coverage, 23219,
     /*  368073 */     GIR_EraseRootFromParent_Done,
     /*  368074 */   // Label 6647: @368074
     /*  368074 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(368137), // Rule ID 23222 //
     /*  368079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  368093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  368096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368118 */     // (intrinsic_wo_chain:{ *:[i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  368121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368125 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368135 */     GIR_RootConstrainSelectedInstOperands,
     /*  368136 */     // GIR_Coverage, 23222,
     /*  368136 */     GIR_EraseRootFromParent_Done,
     /*  368137 */   // Label 6648: @368137
     /*  368137 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(368200), // Rule ID 23223 //
     /*  368142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  368156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  368159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368181 */     // (intrinsic_wo_chain:{ *:[i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  368184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368188 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368198 */     GIR_RootConstrainSelectedInstOperands,
     /*  368199 */     // GIR_Coverage, 23223,
     /*  368199 */     GIR_EraseRootFromParent_Done,
     /*  368200 */   // Label 6649: @368200
     /*  368200 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(368263), // Rule ID 23226 //
     /*  368205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368244 */     // (intrinsic_wo_chain:{ *:[i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  368247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368251 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368261 */     GIR_RootConstrainSelectedInstOperands,
     /*  368262 */     // GIR_Coverage, 23226,
     /*  368262 */     GIR_EraseRootFromParent_Done,
     /*  368263 */   // Label 6650: @368263
     /*  368263 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(368326), // Rule ID 23227 //
     /*  368268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368307 */     // (intrinsic_wo_chain:{ *:[i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  368310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368314 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368324 */     GIR_RootConstrainSelectedInstOperands,
     /*  368325 */     // GIR_Coverage, 23227,
     /*  368325 */     GIR_EraseRootFromParent_Done,
     /*  368326 */   // Label 6651: @368326
     /*  368326 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(368389), // Rule ID 23230 //
     /*  368331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  368345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  368348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368370 */     // (intrinsic_wo_chain:{ *:[i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  368373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368377 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368387 */     GIR_RootConstrainSelectedInstOperands,
     /*  368388 */     // GIR_Coverage, 23230,
     /*  368388 */     GIR_EraseRootFromParent_Done,
     /*  368389 */   // Label 6652: @368389
     /*  368389 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368452), // Rule ID 23231 //
     /*  368394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  368408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  368411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368433 */     // (intrinsic_wo_chain:{ *:[i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  368436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368440 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368450 */     GIR_RootConstrainSelectedInstOperands,
     /*  368451 */     // GIR_Coverage, 23231,
     /*  368451 */     GIR_EraseRootFromParent_Done,
     /*  368452 */   // Label 6653: @368452
     /*  368452 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368518), // Rule ID 23312 //
     /*  368457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  368499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368516 */     GIR_RootConstrainSelectedInstOperands,
     /*  368517 */     // GIR_Coverage, 23312,
     /*  368517 */     GIR_EraseRootFromParent_Done,
     /*  368518 */   // Label 6654: @368518
     /*  368518 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368584), // Rule ID 23313 //
     /*  368523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368562 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  368565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368582 */     GIR_RootConstrainSelectedInstOperands,
     /*  368583 */     // GIR_Coverage, 23313,
     /*  368583 */     GIR_EraseRootFromParent_Done,
     /*  368584 */   // Label 6655: @368584
     /*  368584 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368650), // Rule ID 23316 //
     /*  368589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  368631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368648 */     GIR_RootConstrainSelectedInstOperands,
     /*  368649 */     // GIR_Coverage, 23316,
     /*  368649 */     GIR_EraseRootFromParent_Done,
     /*  368650 */   // Label 6656: @368650
     /*  368650 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368716), // Rule ID 23317 //
     /*  368655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  368697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368714 */     GIR_RootConstrainSelectedInstOperands,
     /*  368715 */     // GIR_Coverage, 23317,
     /*  368715 */     GIR_EraseRootFromParent_Done,
     /*  368716 */   // Label 6657: @368716
     /*  368716 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368782), // Rule ID 23320 //
     /*  368721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  368738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  368763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368780 */     GIR_RootConstrainSelectedInstOperands,
     /*  368781 */     // GIR_Coverage, 23320,
     /*  368781 */     GIR_EraseRootFromParent_Done,
     /*  368782 */   // Label 6658: @368782
     /*  368782 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368848), // Rule ID 23321 //
     /*  368787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  368804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  368829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368846 */     GIR_RootConstrainSelectedInstOperands,
     /*  368847 */     // GIR_Coverage, 23321,
     /*  368847 */     GIR_EraseRootFromParent_Done,
     /*  368848 */   // Label 6659: @368848
     /*  368848 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368914), // Rule ID 23324 //
     /*  368853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  368895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368912 */     GIR_RootConstrainSelectedInstOperands,
     /*  368913 */     // GIR_Coverage, 23324,
     /*  368913 */     GIR_EraseRootFromParent_Done,
     /*  368914 */   // Label 6660: @368914
     /*  368914 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368980), // Rule ID 23325 //
     /*  368919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  368961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368978 */     GIR_RootConstrainSelectedInstOperands,
     /*  368979 */     // GIR_Coverage, 23325,
     /*  368979 */     GIR_EraseRootFromParent_Done,
     /*  368980 */   // Label 6661: @368980
     /*  368980 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(369046), // Rule ID 23328 //
     /*  368985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  368993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  368996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  368999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369044 */     GIR_RootConstrainSelectedInstOperands,
     /*  369045 */     // GIR_Coverage, 23328,
     /*  369045 */     GIR_EraseRootFromParent_Done,
     /*  369046 */   // Label 6662: @369046
     /*  369046 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(369112), // Rule ID 23329 //
     /*  369051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369110 */     GIR_RootConstrainSelectedInstOperands,
     /*  369111 */     // GIR_Coverage, 23329,
     /*  369111 */     GIR_EraseRootFromParent_Done,
     /*  369112 */   // Label 6663: @369112
     /*  369112 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(369178), // Rule ID 23332 //
     /*  369117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  369134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369176 */     GIR_RootConstrainSelectedInstOperands,
     /*  369177 */     // GIR_Coverage, 23332,
     /*  369177 */     GIR_EraseRootFromParent_Done,
     /*  369178 */   // Label 6664: @369178
     /*  369178 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(369244), // Rule ID 23333 //
     /*  369183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  369200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11258:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369242 */     GIR_RootConstrainSelectedInstOperands,
     /*  369243 */     // GIR_Coverage, 23333,
     /*  369243 */     GIR_EraseRootFromParent_Done,
     /*  369244 */   // Label 6665: @369244
     /*  369244 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(369310), // Rule ID 23336 //
     /*  369249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  369260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  369263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  369266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369308 */     GIR_RootConstrainSelectedInstOperands,
     /*  369309 */     // GIR_Coverage, 23336,
     /*  369309 */     GIR_EraseRootFromParent_Done,
     /*  369310 */   // Label 6666: @369310
     /*  369310 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(369376), // Rule ID 23337 //
     /*  369315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  369326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  369329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  369332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369374 */     GIR_RootConstrainSelectedInstOperands,
     /*  369375 */     // GIR_Coverage, 23337,
     /*  369375 */     GIR_EraseRootFromParent_Done,
     /*  369376 */   // Label 6667: @369376
     /*  369376 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369442), // Rule ID 23340 //
     /*  369381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369440 */     GIR_RootConstrainSelectedInstOperands,
     /*  369441 */     // GIR_Coverage, 23340,
     /*  369441 */     GIR_EraseRootFromParent_Done,
     /*  369442 */   // Label 6668: @369442
     /*  369442 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369508), // Rule ID 23341 //
     /*  369447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369506 */     GIR_RootConstrainSelectedInstOperands,
     /*  369507 */     // GIR_Coverage, 23341,
     /*  369507 */     GIR_EraseRootFromParent_Done,
     /*  369508 */   // Label 6669: @369508
     /*  369508 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369574), // Rule ID 23344 //
     /*  369513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  369516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  369524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  369527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369572 */     GIR_RootConstrainSelectedInstOperands,
     /*  369573 */     // GIR_Coverage, 23344,
     /*  369573 */     GIR_EraseRootFromParent_Done,
     /*  369574 */   // Label 6670: @369574
     /*  369574 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369640), // Rule ID 23345 //
     /*  369579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  369582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  369590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  369593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369638 */     GIR_RootConstrainSelectedInstOperands,
     /*  369639 */     // GIR_Coverage, 23345,
     /*  369639 */     GIR_EraseRootFromParent_Done,
     /*  369640 */   // Label 6671: @369640
     /*  369640 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369706), // Rule ID 23348 //
     /*  369645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  369662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  369687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369704 */     GIR_RootConstrainSelectedInstOperands,
     /*  369705 */     // GIR_Coverage, 23348,
     /*  369705 */     GIR_EraseRootFromParent_Done,
     /*  369706 */   // Label 6672: @369706
     /*  369706 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369772), // Rule ID 23349 //
     /*  369711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  369728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369750 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  369753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369770 */     GIR_RootConstrainSelectedInstOperands,
     /*  369771 */     // GIR_Coverage, 23349,
     /*  369771 */     GIR_EraseRootFromParent_Done,
     /*  369772 */   // Label 6673: @369772
     /*  369772 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369838), // Rule ID 23352 //
     /*  369777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  369794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369816 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  369819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369836 */     GIR_RootConstrainSelectedInstOperands,
     /*  369837 */     // GIR_Coverage, 23352,
     /*  369837 */     GIR_EraseRootFromParent_Done,
     /*  369838 */   // Label 6674: @369838
     /*  369838 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369904), // Rule ID 23353 //
     /*  369843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  369860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  369885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369902 */     GIR_RootConstrainSelectedInstOperands,
     /*  369903 */     // GIR_Coverage, 23353,
     /*  369903 */     GIR_EraseRootFromParent_Done,
     /*  369904 */   // Label 6675: @369904
     /*  369904 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369970), // Rule ID 23356 //
     /*  369909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  369920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  369923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  369926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  369951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369968 */     GIR_RootConstrainSelectedInstOperands,
     /*  369969 */     // GIR_Coverage, 23356,
     /*  369969 */     GIR_EraseRootFromParent_Done,
     /*  369970 */   // Label 6676: @369970
     /*  369970 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(370036), // Rule ID 23357 //
     /*  369975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  369986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  369989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  369992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370014 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370034 */     GIR_RootConstrainSelectedInstOperands,
     /*  370035 */     // GIR_Coverage, 23357,
     /*  370035 */     GIR_EraseRootFromParent_Done,
     /*  370036 */   // Label 6677: @370036
     /*  370036 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(370102), // Rule ID 23360 //
     /*  370041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370100 */     GIR_RootConstrainSelectedInstOperands,
     /*  370101 */     // GIR_Coverage, 23360,
     /*  370101 */     GIR_EraseRootFromParent_Done,
     /*  370102 */   // Label 6678: @370102
     /*  370102 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(370168), // Rule ID 23361 //
     /*  370107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370166 */     GIR_RootConstrainSelectedInstOperands,
     /*  370167 */     // GIR_Coverage, 23361,
     /*  370167 */     GIR_EraseRootFromParent_Done,
     /*  370168 */   // Label 6679: @370168
     /*  370168 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(370234), // Rule ID 23364 //
     /*  370173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370232 */     GIR_RootConstrainSelectedInstOperands,
     /*  370233 */     // GIR_Coverage, 23364,
     /*  370233 */     GIR_EraseRootFromParent_Done,
     /*  370234 */   // Label 6680: @370234
     /*  370234 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(370300), // Rule ID 23365 //
     /*  370239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370298 */     GIR_RootConstrainSelectedInstOperands,
     /*  370299 */     // GIR_Coverage, 23365,
     /*  370299 */     GIR_EraseRootFromParent_Done,
     /*  370300 */   // Label 6681: @370300
     /*  370300 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(370366), // Rule ID 23368 //
     /*  370305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  370316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  370319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  370322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370364 */     GIR_RootConstrainSelectedInstOperands,
     /*  370365 */     // GIR_Coverage, 23368,
     /*  370365 */     GIR_EraseRootFromParent_Done,
     /*  370366 */   // Label 6682: @370366
     /*  370366 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(370432), // Rule ID 23369 //
     /*  370371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  370382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  370385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  370388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370430 */     GIR_RootConstrainSelectedInstOperands,
     /*  370431 */     // GIR_Coverage, 23369,
     /*  370431 */     GIR_EraseRootFromParent_Done,
     /*  370432 */   // Label 6683: @370432
     /*  370432 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370498), // Rule ID 23372 //
     /*  370437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  370454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370496 */     GIR_RootConstrainSelectedInstOperands,
     /*  370497 */     // GIR_Coverage, 23372,
     /*  370497 */     GIR_EraseRootFromParent_Done,
     /*  370498 */   // Label 6684: @370498
     /*  370498 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370564), // Rule ID 23373 //
     /*  370503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  370520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370562 */     GIR_RootConstrainSelectedInstOperands,
     /*  370563 */     // GIR_Coverage, 23373,
     /*  370563 */     GIR_EraseRootFromParent_Done,
     /*  370564 */   // Label 6685: @370564
     /*  370564 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370630), // Rule ID 23376 //
     /*  370569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  370580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  370583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370628 */     GIR_RootConstrainSelectedInstOperands,
     /*  370629 */     // GIR_Coverage, 23376,
     /*  370629 */     GIR_EraseRootFromParent_Done,
     /*  370630 */   // Label 6686: @370630
     /*  370630 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370696), // Rule ID 23377 //
     /*  370635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  370646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  370649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370694 */     GIR_RootConstrainSelectedInstOperands,
     /*  370695 */     // GIR_Coverage, 23377,
     /*  370695 */     GIR_EraseRootFromParent_Done,
     /*  370696 */   // Label 6687: @370696
     /*  370696 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370762), // Rule ID 23380 //
     /*  370701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370760 */     GIR_RootConstrainSelectedInstOperands,
     /*  370761 */     // GIR_Coverage, 23380,
     /*  370761 */     GIR_EraseRootFromParent_Done,
     /*  370762 */   // Label 6688: @370762
     /*  370762 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370828), // Rule ID 23381 //
     /*  370767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370826 */     GIR_RootConstrainSelectedInstOperands,
     /*  370827 */     // GIR_Coverage, 23381,
     /*  370827 */     GIR_EraseRootFromParent_Done,
     /*  370828 */   // Label 6689: @370828
     /*  370828 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370894), // Rule ID 23384 //
     /*  370833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  370836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  370844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  370847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  370850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370892 */     GIR_RootConstrainSelectedInstOperands,
     /*  370893 */     // GIR_Coverage, 23384,
     /*  370893 */     GIR_EraseRootFromParent_Done,
     /*  370894 */   // Label 6690: @370894
     /*  370894 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370960), // Rule ID 23385 //
     /*  370899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  370902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  370910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  370913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  370916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11258:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370958 */     GIR_RootConstrainSelectedInstOperands,
     /*  370959 */     // GIR_Coverage, 23385,
     /*  370959 */     GIR_EraseRootFromParent_Done,
     /*  370960 */   // Label 6691: @370960
     /*  370960 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(371026), // Rule ID 23388 //
     /*  370965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  370968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  370976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  370979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  370982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371024 */     GIR_RootConstrainSelectedInstOperands,
     /*  371025 */     // GIR_Coverage, 23388,
     /*  371025 */     GIR_EraseRootFromParent_Done,
     /*  371026 */   // Label 6692: @371026
     /*  371026 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(371092), // Rule ID 23389 //
     /*  371031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  371042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  371045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  371048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371070 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11258:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371090 */     GIR_RootConstrainSelectedInstOperands,
     /*  371091 */     // GIR_Coverage, 23389,
     /*  371091 */     GIR_EraseRootFromParent_Done,
     /*  371092 */   // Label 6693: @371092
     /*  371092 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(371158), // Rule ID 23392 //
     /*  371097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  371100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371156 */     GIR_RootConstrainSelectedInstOperands,
     /*  371157 */     // GIR_Coverage, 23392,
     /*  371157 */     GIR_EraseRootFromParent_Done,
     /*  371158 */   // Label 6694: @371158
     /*  371158 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(371224), // Rule ID 23393 //
     /*  371163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11258:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371222 */     GIR_RootConstrainSelectedInstOperands,
     /*  371223 */     // GIR_Coverage, 23393,
     /*  371223 */     GIR_EraseRootFromParent_Done,
     /*  371224 */   // Label 6695: @371224
     /*  371224 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(371290), // Rule ID 60508 //
     /*  371229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  371271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371288 */     GIR_RootConstrainSelectedInstOperands,
     /*  371289 */     // GIR_Coverage, 60508,
     /*  371289 */     GIR_EraseRootFromParent_Done,
     /*  371290 */   // Label 6696: @371290
     /*  371290 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(371356), // Rule ID 60509 //
     /*  371295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  371337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371354 */     GIR_RootConstrainSelectedInstOperands,
     /*  371355 */     // GIR_Coverage, 60509,
     /*  371355 */     GIR_EraseRootFromParent_Done,
     /*  371356 */   // Label 6697: @371356
     /*  371356 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(371422), // Rule ID 60512 //
     /*  371361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371400 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371420 */     GIR_RootConstrainSelectedInstOperands,
     /*  371421 */     // GIR_Coverage, 60512,
     /*  371421 */     GIR_EraseRootFromParent_Done,
     /*  371422 */   // Label 6698: @371422
     /*  371422 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371488), // Rule ID 60513 //
     /*  371427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371466 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371486 */     GIR_RootConstrainSelectedInstOperands,
     /*  371487 */     // GIR_Coverage, 60513,
     /*  371487 */     GIR_EraseRootFromParent_Done,
     /*  371488 */   // Label 6699: @371488
     /*  371488 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371554), // Rule ID 60516 //
     /*  371493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371532 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371552 */     GIR_RootConstrainSelectedInstOperands,
     /*  371553 */     // GIR_Coverage, 60516,
     /*  371553 */     GIR_EraseRootFromParent_Done,
     /*  371554 */   // Label 6700: @371554
     /*  371554 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371620), // Rule ID 60517 //
     /*  371559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371618 */     GIR_RootConstrainSelectedInstOperands,
     /*  371619 */     // GIR_Coverage, 60517,
     /*  371619 */     GIR_EraseRootFromParent_Done,
     /*  371620 */   // Label 6701: @371620
     /*  371620 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371686), // Rule ID 60520 //
     /*  371625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371684 */     GIR_RootConstrainSelectedInstOperands,
     /*  371685 */     // GIR_Coverage, 60520,
     /*  371685 */     GIR_EraseRootFromParent_Done,
     /*  371686 */   // Label 6702: @371686
     /*  371686 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371752), // Rule ID 60521 //
     /*  371691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  371733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371750 */     GIR_RootConstrainSelectedInstOperands,
     /*  371751 */     // GIR_Coverage, 60521,
     /*  371751 */     GIR_EraseRootFromParent_Done,
     /*  371752 */   // Label 6703: @371752
     /*  371752 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371818), // Rule ID 60524 //
     /*  371757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371816 */     GIR_RootConstrainSelectedInstOperands,
     /*  371817 */     // GIR_Coverage, 60524,
     /*  371817 */     GIR_EraseRootFromParent_Done,
     /*  371818 */   // Label 6704: @371818
     /*  371818 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371884), // Rule ID 60525 //
     /*  371823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371862 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371882 */     GIR_RootConstrainSelectedInstOperands,
     /*  371883 */     // GIR_Coverage, 60525,
     /*  371883 */     GIR_EraseRootFromParent_Done,
     /*  371884 */   // Label 6705: @371884
     /*  371884 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371950), // Rule ID 60528 //
     /*  371889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  371906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371928 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371948 */     GIR_RootConstrainSelectedInstOperands,
     /*  371949 */     // GIR_Coverage, 60528,
     /*  371949 */     GIR_EraseRootFromParent_Done,
     /*  371950 */   // Label 6706: @371950
     /*  371950 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(372016), // Rule ID 60529 //
     /*  371955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  371972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  371997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372014 */     GIR_RootConstrainSelectedInstOperands,
     /*  372015 */     // GIR_Coverage, 60529,
     /*  372015 */     GIR_EraseRootFromParent_Done,
     /*  372016 */   // Label 6707: @372016
     /*  372016 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(372082), // Rule ID 60532 //
     /*  372021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372080 */     GIR_RootConstrainSelectedInstOperands,
     /*  372081 */     // GIR_Coverage, 60532,
     /*  372081 */     GIR_EraseRootFromParent_Done,
     /*  372082 */   // Label 6708: @372082
     /*  372082 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(372148), // Rule ID 60533 //
     /*  372087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372126 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372146 */     GIR_RootConstrainSelectedInstOperands,
     /*  372147 */     // GIR_Coverage, 60533,
     /*  372147 */     GIR_EraseRootFromParent_Done,
     /*  372148 */   // Label 6709: @372148
     /*  372148 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(372214), // Rule ID 60536 //
     /*  372153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372212 */     GIR_RootConstrainSelectedInstOperands,
     /*  372213 */     // GIR_Coverage, 60536,
     /*  372213 */     GIR_EraseRootFromParent_Done,
     /*  372214 */   // Label 6710: @372214
     /*  372214 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(372280), // Rule ID 60537 //
     /*  372219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372278 */     GIR_RootConstrainSelectedInstOperands,
     /*  372279 */     // GIR_Coverage, 60537,
     /*  372279 */     GIR_EraseRootFromParent_Done,
     /*  372280 */   // Label 6711: @372280
     /*  372280 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(372346), // Rule ID 60540 //
     /*  372285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372344 */     GIR_RootConstrainSelectedInstOperands,
     /*  372345 */     // GIR_Coverage, 60540,
     /*  372345 */     GIR_EraseRootFromParent_Done,
     /*  372346 */   // Label 6712: @372346
     /*  372346 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(372412), // Rule ID 60541 //
     /*  372351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372410 */     GIR_RootConstrainSelectedInstOperands,
     /*  372411 */     // GIR_Coverage, 60541,
     /*  372411 */     GIR_EraseRootFromParent_Done,
     /*  372412 */   // Label 6713: @372412
     /*  372412 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372478), // Rule ID 60544 //
     /*  372417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372476 */     GIR_RootConstrainSelectedInstOperands,
     /*  372477 */     // GIR_Coverage, 60544,
     /*  372477 */     GIR_EraseRootFromParent_Done,
     /*  372478 */   // Label 6714: @372478
     /*  372478 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372544), // Rule ID 60545 //
     /*  372483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372542 */     GIR_RootConstrainSelectedInstOperands,
     /*  372543 */     // GIR_Coverage, 60545,
     /*  372543 */     GIR_EraseRootFromParent_Done,
     /*  372544 */   // Label 6715: @372544
     /*  372544 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372610), // Rule ID 60548 //
     /*  372549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  372560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  372563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  372566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  372591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372608 */     GIR_RootConstrainSelectedInstOperands,
     /*  372609 */     // GIR_Coverage, 60548,
     /*  372609 */     GIR_EraseRootFromParent_Done,
     /*  372610 */   // Label 6716: @372610
     /*  372610 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372676), // Rule ID 60549 //
     /*  372615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  372626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  372629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  372632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  372657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372674 */     GIR_RootConstrainSelectedInstOperands,
     /*  372675 */     // GIR_Coverage, 60549,
     /*  372675 */     GIR_EraseRootFromParent_Done,
     /*  372676 */   // Label 6717: @372676
     /*  372676 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372742), // Rule ID 60552 //
     /*  372681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  372723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372740 */     GIR_RootConstrainSelectedInstOperands,
     /*  372741 */     // GIR_Coverage, 60552,
     /*  372741 */     GIR_EraseRootFromParent_Done,
     /*  372742 */   // Label 6718: @372742
     /*  372742 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372808), // Rule ID 60553 //
     /*  372747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  372789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372806 */     GIR_RootConstrainSelectedInstOperands,
     /*  372807 */     // GIR_Coverage, 60553,
     /*  372807 */     GIR_EraseRootFromParent_Done,
     /*  372808 */   // Label 6719: @372808
     /*  372808 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372874), // Rule ID 60556 //
     /*  372813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  372824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  372827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  372830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  372855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372872 */     GIR_RootConstrainSelectedInstOperands,
     /*  372873 */     // GIR_Coverage, 60556,
     /*  372873 */     GIR_EraseRootFromParent_Done,
     /*  372874 */   // Label 6720: @372874
     /*  372874 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372940), // Rule ID 60557 //
     /*  372879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  372890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  372893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  372896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372918 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  372921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372938 */     GIR_RootConstrainSelectedInstOperands,
     /*  372939 */     // GIR_Coverage, 60557,
     /*  372939 */     GIR_EraseRootFromParent_Done,
     /*  372940 */   // Label 6721: @372940
     /*  372940 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(373006), // Rule ID 60560 //
     /*  372945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  372956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  372959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  372962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  372987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373004 */     GIR_RootConstrainSelectedInstOperands,
     /*  373005 */     // GIR_Coverage, 60560,
     /*  373005 */     GIR_EraseRootFromParent_Done,
     /*  373006 */   // Label 6722: @373006
     /*  373006 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(373072), // Rule ID 60561 //
     /*  373011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373070 */     GIR_RootConstrainSelectedInstOperands,
     /*  373071 */     // GIR_Coverage, 60561,
     /*  373071 */     GIR_EraseRootFromParent_Done,
     /*  373072 */   // Label 6723: @373072
     /*  373072 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(373138), // Rule ID 60564 //
     /*  373077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373136 */     GIR_RootConstrainSelectedInstOperands,
     /*  373137 */     // GIR_Coverage, 60564,
     /*  373137 */     GIR_EraseRootFromParent_Done,
     /*  373138 */   // Label 6724: @373138
     /*  373138 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(373204), // Rule ID 60565 //
     /*  373143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373182 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373202 */     GIR_RootConstrainSelectedInstOperands,
     /*  373203 */     // GIR_Coverage, 60565,
     /*  373203 */     GIR_EraseRootFromParent_Done,
     /*  373204 */   // Label 6725: @373204
     /*  373204 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(373270), // Rule ID 60568 //
     /*  373209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373268 */     GIR_RootConstrainSelectedInstOperands,
     /*  373269 */     // GIR_Coverage, 60568,
     /*  373269 */     GIR_EraseRootFromParent_Done,
     /*  373270 */   // Label 6726: @373270
     /*  373270 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(373336), // Rule ID 60569 //
     /*  373275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373334 */     GIR_RootConstrainSelectedInstOperands,
     /*  373335 */     // GIR_Coverage, 60569,
     /*  373335 */     GIR_EraseRootFromParent_Done,
     /*  373336 */   // Label 6727: @373336
     /*  373336 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(373402), // Rule ID 60572 //
     /*  373341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  373352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  373355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  373358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373400 */     GIR_RootConstrainSelectedInstOperands,
     /*  373401 */     // GIR_Coverage, 60572,
     /*  373401 */     GIR_EraseRootFromParent_Done,
     /*  373402 */   // Label 6728: @373402
     /*  373402 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373468), // Rule ID 60573 //
     /*  373407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  373418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  373421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  373424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373466 */     GIR_RootConstrainSelectedInstOperands,
     /*  373467 */     // GIR_Coverage, 60573,
     /*  373467 */     GIR_EraseRootFromParent_Done,
     /*  373468 */   // Label 6729: @373468
     /*  373468 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373534), // Rule ID 60576 //
     /*  373473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  373484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  373487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  373490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373532 */     GIR_RootConstrainSelectedInstOperands,
     /*  373533 */     // GIR_Coverage, 60576,
     /*  373533 */     GIR_EraseRootFromParent_Done,
     /*  373534 */   // Label 6730: @373534
     /*  373534 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373600), // Rule ID 60577 //
     /*  373539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  373550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  373553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  373556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373598 */     GIR_RootConstrainSelectedInstOperands,
     /*  373599 */     // GIR_Coverage, 60577,
     /*  373599 */     GIR_EraseRootFromParent_Done,
     /*  373600 */   // Label 6731: @373600
     /*  373600 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373666), // Rule ID 60580 //
     /*  373605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373664 */     GIR_RootConstrainSelectedInstOperands,
     /*  373665 */     // GIR_Coverage, 60580,
     /*  373665 */     GIR_EraseRootFromParent_Done,
     /*  373666 */   // Label 6732: @373666
     /*  373666 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373732), // Rule ID 60581 //
     /*  373671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373730 */     GIR_RootConstrainSelectedInstOperands,
     /*  373731 */     // GIR_Coverage, 60581,
     /*  373731 */     GIR_EraseRootFromParent_Done,
     /*  373732 */   // Label 6733: @373732
     /*  373732 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373798), // Rule ID 60584 //
     /*  373737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  373748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  373751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  373754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373796 */     GIR_RootConstrainSelectedInstOperands,
     /*  373797 */     // GIR_Coverage, 60584,
     /*  373797 */     GIR_EraseRootFromParent_Done,
     /*  373798 */   // Label 6734: @373798
     /*  373798 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373864), // Rule ID 60585 //
     /*  373803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  373814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  373817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  373820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373862 */     GIR_RootConstrainSelectedInstOperands,
     /*  373863 */     // GIR_Coverage, 60585,
     /*  373863 */     GIR_EraseRootFromParent_Done,
     /*  373864 */   // Label 6735: @373864
     /*  373864 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373930), // Rule ID 60588 //
     /*  373869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  373880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  373883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  373886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373928 */     GIR_RootConstrainSelectedInstOperands,
     /*  373929 */     // GIR_Coverage, 60588,
     /*  373929 */     GIR_EraseRootFromParent_Done,
     /*  373930 */   // Label 6736: @373930
     /*  373930 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373996), // Rule ID 60589 //
     /*  373935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  373946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  373949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  373952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373974 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373994 */     GIR_RootConstrainSelectedInstOperands,
     /*  373995 */     // GIR_Coverage, 60589,
     /*  373995 */     GIR_EraseRootFromParent_Done,
     /*  373996 */   // Label 6737: @373996
     /*  373996 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(374062), // Rule ID 60592 //
     /*  374001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374060 */     GIR_RootConstrainSelectedInstOperands,
     /*  374061 */     // GIR_Coverage, 60592,
     /*  374061 */     GIR_EraseRootFromParent_Done,
     /*  374062 */   // Label 6738: @374062
     /*  374062 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(374128), // Rule ID 60593 //
     /*  374067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374126 */     GIR_RootConstrainSelectedInstOperands,
     /*  374127 */     // GIR_Coverage, 60593,
     /*  374127 */     GIR_EraseRootFromParent_Done,
     /*  374128 */   // Label 6739: @374128
     /*  374128 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(374194), // Rule ID 60596 //
     /*  374133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  374175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374192 */     GIR_RootConstrainSelectedInstOperands,
     /*  374193 */     // GIR_Coverage, 60596,
     /*  374193 */     GIR_EraseRootFromParent_Done,
     /*  374194 */   // Label 6740: @374194
     /*  374194 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(374260), // Rule ID 60597 //
     /*  374199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374238 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  374241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374258 */     GIR_RootConstrainSelectedInstOperands,
     /*  374259 */     // GIR_Coverage, 60597,
     /*  374259 */     GIR_EraseRootFromParent_Done,
     /*  374260 */   // Label 6741: @374260
     /*  374260 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(374326), // Rule ID 60600 //
     /*  374265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  374276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  374279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  374282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374304 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374324 */     GIR_RootConstrainSelectedInstOperands,
     /*  374325 */     // GIR_Coverage, 60600,
     /*  374325 */     GIR_EraseRootFromParent_Done,
     /*  374326 */   // Label 6742: @374326
     /*  374326 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(374392), // Rule ID 60601 //
     /*  374331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  374342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  374345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  374348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374370 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374390 */     GIR_RootConstrainSelectedInstOperands,
     /*  374391 */     // GIR_Coverage, 60601,
     /*  374391 */     GIR_EraseRootFromParent_Done,
     /*  374392 */   // Label 6743: @374392
     /*  374392 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374458), // Rule ID 60604 //
     /*  374397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  374408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  374411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  374414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374456 */     GIR_RootConstrainSelectedInstOperands,
     /*  374457 */     // GIR_Coverage, 60604,
     /*  374457 */     GIR_EraseRootFromParent_Done,
     /*  374458 */   // Label 6744: @374458
     /*  374458 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374524), // Rule ID 60605 //
     /*  374463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  374474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  374477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  374480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374522 */     GIR_RootConstrainSelectedInstOperands,
     /*  374523 */     // GIR_Coverage, 60605,
     /*  374523 */     GIR_EraseRootFromParent_Done,
     /*  374524 */   // Label 6745: @374524
     /*  374524 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374590), // Rule ID 60608 //
     /*  374529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  374540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  374543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  374546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374588 */     GIR_RootConstrainSelectedInstOperands,
     /*  374589 */     // GIR_Coverage, 60608,
     /*  374589 */     GIR_EraseRootFromParent_Done,
     /*  374590 */   // Label 6746: @374590
     /*  374590 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374656), // Rule ID 60609 //
     /*  374595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  374606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  374609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  374612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374654 */     GIR_RootConstrainSelectedInstOperands,
     /*  374655 */     // GIR_Coverage, 60609,
     /*  374655 */     GIR_EraseRootFromParent_Done,
     /*  374656 */   // Label 6747: @374656
     /*  374656 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374722), // Rule ID 60612 //
     /*  374661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374720 */     GIR_RootConstrainSelectedInstOperands,
     /*  374721 */     // GIR_Coverage, 60612,
     /*  374721 */     GIR_EraseRootFromParent_Done,
     /*  374722 */   // Label 6748: @374722
     /*  374722 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374788), // Rule ID 60613 //
     /*  374727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374766 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374786 */     GIR_RootConstrainSelectedInstOperands,
     /*  374787 */     // GIR_Coverage, 60613,
     /*  374787 */     GIR_EraseRootFromParent_Done,
     /*  374788 */   // Label 6749: @374788
     /*  374788 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374854), // Rule ID 60616 //
     /*  374793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  374804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  374807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  374810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374852 */     GIR_RootConstrainSelectedInstOperands,
     /*  374853 */     // GIR_Coverage, 60616,
     /*  374853 */     GIR_EraseRootFromParent_Done,
     /*  374854 */   // Label 6750: @374854
     /*  374854 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374920), // Rule ID 60617 //
     /*  374859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  374870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  374873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  374876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  374901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374918 */     GIR_RootConstrainSelectedInstOperands,
     /*  374919 */     // GIR_Coverage, 60617,
     /*  374919 */     GIR_EraseRootFromParent_Done,
     /*  374920 */   // Label 6751: @374920
     /*  374920 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374986), // Rule ID 60620 //
     /*  374925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  374936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  374939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  374942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  374967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374984 */     GIR_RootConstrainSelectedInstOperands,
     /*  374985 */     // GIR_Coverage, 60620,
     /*  374985 */     GIR_EraseRootFromParent_Done,
     /*  374986 */   // Label 6752: @374986
     /*  374986 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(375052), // Rule ID 60621 //
     /*  374991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  375002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  375005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  375008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375050 */     GIR_RootConstrainSelectedInstOperands,
     /*  375051 */     // GIR_Coverage, 60621,
     /*  375051 */     GIR_EraseRootFromParent_Done,
     /*  375052 */   // Label 6753: @375052
     /*  375052 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(375118), // Rule ID 60624 //
     /*  375057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375116 */     GIR_RootConstrainSelectedInstOperands,
     /*  375117 */     // GIR_Coverage, 60624,
     /*  375117 */     GIR_EraseRootFromParent_Done,
     /*  375118 */   // Label 6754: @375118
     /*  375118 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(375184), // Rule ID 60625 //
     /*  375123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375182 */     GIR_RootConstrainSelectedInstOperands,
     /*  375183 */     // GIR_Coverage, 60625,
     /*  375183 */     GIR_EraseRootFromParent_Done,
     /*  375184 */   // Label 6755: @375184
     /*  375184 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(375250), // Rule ID 60628 //
     /*  375189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375248 */     GIR_RootConstrainSelectedInstOperands,
     /*  375249 */     // GIR_Coverage, 60628,
     /*  375249 */     GIR_EraseRootFromParent_Done,
     /*  375250 */   // Label 6756: @375250
     /*  375250 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(375316), // Rule ID 60629 //
     /*  375255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375314 */     GIR_RootConstrainSelectedInstOperands,
     /*  375315 */     // GIR_Coverage, 60629,
     /*  375315 */     GIR_EraseRootFromParent_Done,
     /*  375316 */   // Label 6757: @375316
     /*  375316 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(375382), // Rule ID 60632 //
     /*  375321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  375332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  375335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  375338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375360 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375380 */     GIR_RootConstrainSelectedInstOperands,
     /*  375381 */     // GIR_Coverage, 60632,
     /*  375381 */     GIR_EraseRootFromParent_Done,
     /*  375382 */   // Label 6758: @375382
     /*  375382 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375448), // Rule ID 60633 //
     /*  375387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  375398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  375401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  375404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375446 */     GIR_RootConstrainSelectedInstOperands,
     /*  375447 */     // GIR_Coverage, 60633,
     /*  375447 */     GIR_EraseRootFromParent_Done,
     /*  375448 */   // Label 6759: @375448
     /*  375448 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375514), // Rule ID 60636 //
     /*  375453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  375464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  375467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  375470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  375495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375512 */     GIR_RootConstrainSelectedInstOperands,
     /*  375513 */     // GIR_Coverage, 60636,
     /*  375513 */     GIR_EraseRootFromParent_Done,
     /*  375514 */   // Label 6760: @375514
     /*  375514 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375580), // Rule ID 60637 //
     /*  375519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  375530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  375533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  375536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375558 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  375561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375578 */     GIR_RootConstrainSelectedInstOperands,
     /*  375579 */     // GIR_Coverage, 60637,
     /*  375579 */     GIR_EraseRootFromParent_Done,
     /*  375580 */   // Label 6761: @375580
     /*  375580 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375646), // Rule ID 60640 //
     /*  375585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375624 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  375627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375644 */     GIR_RootConstrainSelectedInstOperands,
     /*  375645 */     // GIR_Coverage, 60640,
     /*  375645 */     GIR_EraseRootFromParent_Done,
     /*  375646 */   // Label 6762: @375646
     /*  375646 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375712), // Rule ID 60641 //
     /*  375651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  375693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375710 */     GIR_RootConstrainSelectedInstOperands,
     /*  375711 */     // GIR_Coverage, 60641,
     /*  375711 */     GIR_EraseRootFromParent_Done,
     /*  375712 */   // Label 6763: @375712
     /*  375712 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375778), // Rule ID 60644 //
     /*  375717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  375731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  375734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375756 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  375759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375776 */     GIR_RootConstrainSelectedInstOperands,
     /*  375777 */     // GIR_Coverage, 60644,
     /*  375777 */     GIR_EraseRootFromParent_Done,
     /*  375778 */   // Label 6764: @375778
     /*  375778 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375844), // Rule ID 60645 //
     /*  375783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  375797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  375800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375822 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  375825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375842 */     GIR_RootConstrainSelectedInstOperands,
     /*  375843 */     // GIR_Coverage, 60645,
     /*  375843 */     GIR_EraseRootFromParent_Done,
     /*  375844 */   // Label 6765: @375844
     /*  375844 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375910), // Rule ID 60648 //
     /*  375849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  375860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  375863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  375866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375888 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  375891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375908 */     GIR_RootConstrainSelectedInstOperands,
     /*  375909 */     // GIR_Coverage, 60648,
     /*  375909 */     GIR_EraseRootFromParent_Done,
     /*  375910 */   // Label 6766: @375910
     /*  375910 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375976), // Rule ID 60649 //
     /*  375915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  375926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  375929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  375932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  375957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375974 */     GIR_RootConstrainSelectedInstOperands,
     /*  375975 */     // GIR_Coverage, 60649,
     /*  375975 */     GIR_EraseRootFromParent_Done,
     /*  375976 */   // Label 6767: @375976
     /*  375976 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(376042), // Rule ID 60652 //
     /*  375981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  375992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  375995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  375998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376040 */     GIR_RootConstrainSelectedInstOperands,
     /*  376041 */     // GIR_Coverage, 60652,
     /*  376041 */     GIR_EraseRootFromParent_Done,
     /*  376042 */   // Label 6768: @376042
     /*  376042 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(376108), // Rule ID 60653 //
     /*  376047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  376058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  376061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  376064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376106 */     GIR_RootConstrainSelectedInstOperands,
     /*  376107 */     // GIR_Coverage, 60653,
     /*  376107 */     GIR_EraseRootFromParent_Done,
     /*  376108 */   // Label 6769: @376108
     /*  376108 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(376174), // Rule ID 60656 //
     /*  376113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376172 */     GIR_RootConstrainSelectedInstOperands,
     /*  376173 */     // GIR_Coverage, 60656,
     /*  376173 */     GIR_EraseRootFromParent_Done,
     /*  376174 */   // Label 6770: @376174
     /*  376174 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(376240), // Rule ID 60657 //
     /*  376179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376238 */     GIR_RootConstrainSelectedInstOperands,
     /*  376239 */     // GIR_Coverage, 60657,
     /*  376239 */     GIR_EraseRootFromParent_Done,
     /*  376240 */   // Label 6771: @376240
     /*  376240 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(376306), // Rule ID 60660 //
     /*  376245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  376256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  376259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  376262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376304 */     GIR_RootConstrainSelectedInstOperands,
     /*  376305 */     // GIR_Coverage, 60660,
     /*  376305 */     GIR_EraseRootFromParent_Done,
     /*  376306 */   // Label 6772: @376306
     /*  376306 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(376372), // Rule ID 60661 //
     /*  376311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  376322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  376325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  376328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376370 */     GIR_RootConstrainSelectedInstOperands,
     /*  376371 */     // GIR_Coverage, 60661,
     /*  376371 */     GIR_EraseRootFromParent_Done,
     /*  376372 */   // Label 6773: @376372
     /*  376372 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376438), // Rule ID 60664 //
     /*  376377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  376388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  376391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  376394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376436 */     GIR_RootConstrainSelectedInstOperands,
     /*  376437 */     // GIR_Coverage, 60664,
     /*  376437 */     GIR_EraseRootFromParent_Done,
     /*  376438 */   // Label 6774: @376438
     /*  376438 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376504), // Rule ID 60665 //
     /*  376443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  376454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  376457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  376460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376502 */     GIR_RootConstrainSelectedInstOperands,
     /*  376503 */     // GIR_Coverage, 60665,
     /*  376503 */     GIR_EraseRootFromParent_Done,
     /*  376504 */   // Label 6775: @376504
     /*  376504 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376570), // Rule ID 60668 //
     /*  376509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  376520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  376523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  376526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376568 */     GIR_RootConstrainSelectedInstOperands,
     /*  376569 */     // GIR_Coverage, 60668,
     /*  376569 */     GIR_EraseRootFromParent_Done,
     /*  376570 */   // Label 6776: @376570
     /*  376570 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376636), // Rule ID 60669 //
     /*  376575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  376586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  376589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  376592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376634 */     GIR_RootConstrainSelectedInstOperands,
     /*  376635 */     // GIR_Coverage, 60669,
     /*  376635 */     GIR_EraseRootFromParent_Done,
     /*  376636 */   // Label 6777: @376636
     /*  376636 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376702), // Rule ID 60672 //
     /*  376641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376700 */     GIR_RootConstrainSelectedInstOperands,
     /*  376701 */     // GIR_Coverage, 60672,
     /*  376701 */     GIR_EraseRootFromParent_Done,
     /*  376702 */   // Label 6778: @376702
     /*  376702 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376768), // Rule ID 60673 //
     /*  376707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376766 */     GIR_RootConstrainSelectedInstOperands,
     /*  376767 */     // GIR_Coverage, 60673,
     /*  376767 */     GIR_EraseRootFromParent_Done,
     /*  376768 */   // Label 6779: @376768
     /*  376768 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376834), // Rule ID 60676 //
     /*  376773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376832 */     GIR_RootConstrainSelectedInstOperands,
     /*  376833 */     // GIR_Coverage, 60676,
     /*  376833 */     GIR_EraseRootFromParent_Done,
     /*  376834 */   // Label 6780: @376834
     /*  376834 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376900), // Rule ID 60677 //
     /*  376839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376898 */     GIR_RootConstrainSelectedInstOperands,
     /*  376899 */     // GIR_Coverage, 60677,
     /*  376899 */     GIR_EraseRootFromParent_Done,
     /*  376900 */   // Label 6781: @376900
     /*  376900 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376966), // Rule ID 60680 //
     /*  376905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  376916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  376919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  376922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376964 */     GIR_RootConstrainSelectedInstOperands,
     /*  376965 */     // GIR_Coverage, 60680,
     /*  376965 */     GIR_EraseRootFromParent_Done,
     /*  376966 */   // Label 6782: @376966
     /*  376966 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(377032), // Rule ID 60681 //
     /*  376971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  376982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  376985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  376988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  377013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377030 */     GIR_RootConstrainSelectedInstOperands,
     /*  377031 */     // GIR_Coverage, 60681,
     /*  377031 */     GIR_EraseRootFromParent_Done,
     /*  377032 */   // Label 6783: @377032
     /*  377032 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(377098), // Rule ID 60684 //
     /*  377037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  377079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377096 */     GIR_RootConstrainSelectedInstOperands,
     /*  377097 */     // GIR_Coverage, 60684,
     /*  377097 */     GIR_EraseRootFromParent_Done,
     /*  377098 */   // Label 6784: @377098
     /*  377098 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(377164), // Rule ID 60685 //
     /*  377103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  377145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377162 */     GIR_RootConstrainSelectedInstOperands,
     /*  377163 */     // GIR_Coverage, 60685,
     /*  377163 */     GIR_EraseRootFromParent_Done,
     /*  377164 */   // Label 6785: @377164
     /*  377164 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(377230), // Rule ID 60688 //
     /*  377169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377228 */     GIR_RootConstrainSelectedInstOperands,
     /*  377229 */     // GIR_Coverage, 60688,
     /*  377229 */     GIR_EraseRootFromParent_Done,
     /*  377230 */   // Label 6786: @377230
     /*  377230 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(377296), // Rule ID 60689 //
     /*  377235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377294 */     GIR_RootConstrainSelectedInstOperands,
     /*  377295 */     // GIR_Coverage, 60689,
     /*  377295 */     GIR_EraseRootFromParent_Done,
     /*  377296 */   // Label 6787: @377296
     /*  377296 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(377362), // Rule ID 60692 //
     /*  377301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  377312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  377315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  377318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377340 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377360 */     GIR_RootConstrainSelectedInstOperands,
     /*  377361 */     // GIR_Coverage, 60692,
     /*  377361 */     GIR_EraseRootFromParent_Done,
     /*  377362 */   // Label 6788: @377362
     /*  377362 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(377428), // Rule ID 60693 //
     /*  377367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  377378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  377381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  377384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377426 */     GIR_RootConstrainSelectedInstOperands,
     /*  377427 */     // GIR_Coverage, 60693,
     /*  377427 */     GIR_EraseRootFromParent_Done,
     /*  377428 */   // Label 6789: @377428
     /*  377428 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377494), // Rule ID 60696 //
     /*  377433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  377444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  377447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  377450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377492 */     GIR_RootConstrainSelectedInstOperands,
     /*  377493 */     // GIR_Coverage, 60696,
     /*  377493 */     GIR_EraseRootFromParent_Done,
     /*  377494 */   // Label 6790: @377494
     /*  377494 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377560), // Rule ID 60697 //
     /*  377499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  377510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  377513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  377516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377558 */     GIR_RootConstrainSelectedInstOperands,
     /*  377559 */     // GIR_Coverage, 60697,
     /*  377559 */     GIR_EraseRootFromParent_Done,
     /*  377560 */   // Label 6791: @377560
     /*  377560 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377626), // Rule ID 60700 //
     /*  377565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377624 */     GIR_RootConstrainSelectedInstOperands,
     /*  377625 */     // GIR_Coverage, 60700,
     /*  377625 */     GIR_EraseRootFromParent_Done,
     /*  377626 */   // Label 6792: @377626
     /*  377626 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377692), // Rule ID 60701 //
     /*  377631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377670 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377690 */     GIR_RootConstrainSelectedInstOperands,
     /*  377691 */     // GIR_Coverage, 60701,
     /*  377691 */     GIR_EraseRootFromParent_Done,
     /*  377692 */   // Label 6793: @377692
     /*  377692 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377758), // Rule ID 60704 //
     /*  377697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377756 */     GIR_RootConstrainSelectedInstOperands,
     /*  377757 */     // GIR_Coverage, 60704,
     /*  377757 */     GIR_EraseRootFromParent_Done,
     /*  377758 */   // Label 6794: @377758
     /*  377758 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377824), // Rule ID 60705 //
     /*  377763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  377805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377822 */     GIR_RootConstrainSelectedInstOperands,
     /*  377823 */     // GIR_Coverage, 60705,
     /*  377823 */     GIR_EraseRootFromParent_Done,
     /*  377824 */   // Label 6795: @377824
     /*  377824 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377890), // Rule ID 60708 //
     /*  377829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  377871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377888 */     GIR_RootConstrainSelectedInstOperands,
     /*  377889 */     // GIR_Coverage, 60708,
     /*  377889 */     GIR_EraseRootFromParent_Done,
     /*  377890 */   // Label 6796: @377890
     /*  377890 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377956), // Rule ID 60709 //
     /*  377895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  377937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377954 */     GIR_RootConstrainSelectedInstOperands,
     /*  377955 */     // GIR_Coverage, 60709,
     /*  377955 */     GIR_EraseRootFromParent_Done,
     /*  377956 */   // Label 6797: @377956
     /*  377956 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(378022), // Rule ID 60712 //
     /*  377961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  377972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  377975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  377978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378020 */     GIR_RootConstrainSelectedInstOperands,
     /*  378021 */     // GIR_Coverage, 60712,
     /*  378021 */     GIR_EraseRootFromParent_Done,
     /*  378022 */   // Label 6798: @378022
     /*  378022 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(378088), // Rule ID 60713 //
     /*  378027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  378038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  378041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  378044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378086 */     GIR_RootConstrainSelectedInstOperands,
     /*  378087 */     // GIR_Coverage, 60713,
     /*  378087 */     GIR_EraseRootFromParent_Done,
     /*  378088 */   // Label 6799: @378088
     /*  378088 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(378154), // Rule ID 60716 //
     /*  378093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378152 */     GIR_RootConstrainSelectedInstOperands,
     /*  378153 */     // GIR_Coverage, 60716,
     /*  378153 */     GIR_EraseRootFromParent_Done,
     /*  378154 */   // Label 6800: @378154
     /*  378154 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(378220), // Rule ID 60717 //
     /*  378159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378218 */     GIR_RootConstrainSelectedInstOperands,
     /*  378219 */     // GIR_Coverage, 60717,
     /*  378219 */     GIR_EraseRootFromParent_Done,
     /*  378220 */   // Label 6801: @378220
     /*  378220 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(378286), // Rule ID 60720 //
     /*  378225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378284 */     GIR_RootConstrainSelectedInstOperands,
     /*  378285 */     // GIR_Coverage, 60720,
     /*  378285 */     GIR_EraseRootFromParent_Done,
     /*  378286 */   // Label 6802: @378286
     /*  378286 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(378352), // Rule ID 60721 //
     /*  378291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378350 */     GIR_RootConstrainSelectedInstOperands,
     /*  378351 */     // GIR_Coverage, 60721,
     /*  378351 */     GIR_EraseRootFromParent_Done,
     /*  378352 */   // Label 6803: @378352
     /*  378352 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378418), // Rule ID 60724 //
     /*  378357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  378399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378416 */     GIR_RootConstrainSelectedInstOperands,
     /*  378417 */     // GIR_Coverage, 60724,
     /*  378417 */     GIR_EraseRootFromParent_Done,
     /*  378418 */   // Label 6804: @378418
     /*  378418 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378484), // Rule ID 60725 //
     /*  378423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378462 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  378465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378482 */     GIR_RootConstrainSelectedInstOperands,
     /*  378483 */     // GIR_Coverage, 60725,
     /*  378483 */     GIR_EraseRootFromParent_Done,
     /*  378484 */   // Label 6805: @378484
     /*  378484 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378550), // Rule ID 60728 //
     /*  378489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378528 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  378531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378548 */     GIR_RootConstrainSelectedInstOperands,
     /*  378549 */     // GIR_Coverage, 60728,
     /*  378549 */     GIR_EraseRootFromParent_Done,
     /*  378550 */   // Label 6806: @378550
     /*  378550 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378616), // Rule ID 60729 //
     /*  378555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  378597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378614 */     GIR_RootConstrainSelectedInstOperands,
     /*  378615 */     // GIR_Coverage, 60729,
     /*  378615 */     GIR_EraseRootFromParent_Done,
     /*  378616 */   // Label 6807: @378616
     /*  378616 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378682), // Rule ID 60732 //
     /*  378621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378660 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  378663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378680 */     GIR_RootConstrainSelectedInstOperands,
     /*  378681 */     // GIR_Coverage, 60732,
     /*  378681 */     GIR_EraseRootFromParent_Done,
     /*  378682 */   // Label 6808: @378682
     /*  378682 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378748), // Rule ID 60733 //
     /*  378687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  378729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378746 */     GIR_RootConstrainSelectedInstOperands,
     /*  378747 */     // GIR_Coverage, 60733,
     /*  378747 */     GIR_EraseRootFromParent_Done,
     /*  378748 */   // Label 6809: @378748
     /*  378748 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378814), // Rule ID 60736 //
     /*  378753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378792 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  378795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378812 */     GIR_RootConstrainSelectedInstOperands,
     /*  378813 */     // GIR_Coverage, 60736,
     /*  378813 */     GIR_EraseRootFromParent_Done,
     /*  378814 */   // Label 6810: @378814
     /*  378814 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378880), // Rule ID 60737 //
     /*  378819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  378861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378878 */     GIR_RootConstrainSelectedInstOperands,
     /*  378879 */     // GIR_Coverage, 60737,
     /*  378879 */     GIR_EraseRootFromParent_Done,
     /*  378880 */   // Label 6811: @378880
     /*  378880 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378946), // Rule ID 60740 //
     /*  378885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  378896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  378899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  378902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  378927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378944 */     GIR_RootConstrainSelectedInstOperands,
     /*  378945 */     // GIR_Coverage, 60740,
     /*  378945 */     GIR_EraseRootFromParent_Done,
     /*  378946 */   // Label 6812: @378946
     /*  378946 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(379012), // Rule ID 60741 //
     /*  378951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  378962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  378965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  378968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  378993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379010 */     GIR_RootConstrainSelectedInstOperands,
     /*  379011 */     // GIR_Coverage, 60741,
     /*  379011 */     GIR_EraseRootFromParent_Done,
     /*  379012 */   // Label 6813: @379012
     /*  379012 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(379078), // Rule ID 60744 //
     /*  379017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379076 */     GIR_RootConstrainSelectedInstOperands,
     /*  379077 */     // GIR_Coverage, 60744,
     /*  379077 */     GIR_EraseRootFromParent_Done,
     /*  379078 */   // Label 6814: @379078
     /*  379078 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(379144), // Rule ID 60745 //
     /*  379083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379142 */     GIR_RootConstrainSelectedInstOperands,
     /*  379143 */     // GIR_Coverage, 60745,
     /*  379143 */     GIR_EraseRootFromParent_Done,
     /*  379144 */   // Label 6815: @379144
     /*  379144 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(379210), // Rule ID 60748 //
     /*  379149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379208 */     GIR_RootConstrainSelectedInstOperands,
     /*  379209 */     // GIR_Coverage, 60748,
     /*  379209 */     GIR_EraseRootFromParent_Done,
     /*  379210 */   // Label 6816: @379210
     /*  379210 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(379276), // Rule ID 60749 //
     /*  379215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379274 */     GIR_RootConstrainSelectedInstOperands,
     /*  379275 */     // GIR_Coverage, 60749,
     /*  379275 */     GIR_EraseRootFromParent_Done,
     /*  379276 */   // Label 6817: @379276
     /*  379276 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(379342), // Rule ID 60752 //
     /*  379281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379340 */     GIR_RootConstrainSelectedInstOperands,
     /*  379341 */     // GIR_Coverage, 60752,
     /*  379341 */     GIR_EraseRootFromParent_Done,
     /*  379342 */   // Label 6818: @379342
     /*  379342 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379408), // Rule ID 60753 //
     /*  379347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379406 */     GIR_RootConstrainSelectedInstOperands,
     /*  379407 */     // GIR_Coverage, 60753,
     /*  379407 */     GIR_EraseRootFromParent_Done,
     /*  379408 */   // Label 6819: @379408
     /*  379408 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379474), // Rule ID 60756 //
     /*  379413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379472 */     GIR_RootConstrainSelectedInstOperands,
     /*  379473 */     // GIR_Coverage, 60756,
     /*  379473 */     GIR_EraseRootFromParent_Done,
     /*  379474 */   // Label 6820: @379474
     /*  379474 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379540), // Rule ID 60757 //
     /*  379479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379538 */     GIR_RootConstrainSelectedInstOperands,
     /*  379539 */     // GIR_Coverage, 60757,
     /*  379539 */     GIR_EraseRootFromParent_Done,
     /*  379540 */   // Label 6821: @379540
     /*  379540 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379606), // Rule ID 60760 //
     /*  379545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379604 */     GIR_RootConstrainSelectedInstOperands,
     /*  379605 */     // GIR_Coverage, 60760,
     /*  379605 */     GIR_EraseRootFromParent_Done,
     /*  379606 */   // Label 6822: @379606
     /*  379606 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379672), // Rule ID 60761 //
     /*  379611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379670 */     GIR_RootConstrainSelectedInstOperands,
     /*  379671 */     // GIR_Coverage, 60761,
     /*  379671 */     GIR_EraseRootFromParent_Done,
     /*  379672 */   // Label 6823: @379672
     /*  379672 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379738), // Rule ID 60764 //
     /*  379677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379736 */     GIR_RootConstrainSelectedInstOperands,
     /*  379737 */     // GIR_Coverage, 60764,
     /*  379737 */     GIR_EraseRootFromParent_Done,
     /*  379738 */   // Label 6824: @379738
     /*  379738 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379804), // Rule ID 60765 //
     /*  379743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379802 */     GIR_RootConstrainSelectedInstOperands,
     /*  379803 */     // GIR_Coverage, 60765,
     /*  379803 */     GIR_EraseRootFromParent_Done,
     /*  379804 */   // Label 6825: @379804
     /*  379804 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379870), // Rule ID 60768 //
     /*  379809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  379820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  379823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  379826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379868 */     GIR_RootConstrainSelectedInstOperands,
     /*  379869 */     // GIR_Coverage, 60768,
     /*  379869 */     GIR_EraseRootFromParent_Done,
     /*  379870 */   // Label 6826: @379870
     /*  379870 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379936), // Rule ID 60769 //
     /*  379875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  379886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  379889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  379892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379934 */     GIR_RootConstrainSelectedInstOperands,
     /*  379935 */     // GIR_Coverage, 60769,
     /*  379935 */     GIR_EraseRootFromParent_Done,
     /*  379936 */   // Label 6827: @379936
     /*  379936 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(380002), // Rule ID 60772 //
     /*  379941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  379949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  379952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  379955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  379958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379980 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  379983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380000 */     GIR_RootConstrainSelectedInstOperands,
     /*  380001 */     // GIR_Coverage, 60772,
     /*  380001 */     GIR_EraseRootFromParent_Done,
     /*  380002 */   // Label 6828: @380002
     /*  380002 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(380068), // Rule ID 60773 //
     /*  380007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  380049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380066 */     GIR_RootConstrainSelectedInstOperands,
     /*  380067 */     // GIR_Coverage, 60773,
     /*  380067 */     GIR_EraseRootFromParent_Done,
     /*  380068 */   // Label 6829: @380068
     /*  380068 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(380134), // Rule ID 60776 //
     /*  380073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380132 */     GIR_RootConstrainSelectedInstOperands,
     /*  380133 */     // GIR_Coverage, 60776,
     /*  380133 */     GIR_EraseRootFromParent_Done,
     /*  380134 */   // Label 6830: @380134
     /*  380134 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(380200), // Rule ID 60777 //
     /*  380139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380198 */     GIR_RootConstrainSelectedInstOperands,
     /*  380199 */     // GIR_Coverage, 60777,
     /*  380199 */     GIR_EraseRootFromParent_Done,
     /*  380200 */   // Label 6831: @380200
     /*  380200 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(380266), // Rule ID 60780 //
     /*  380205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380264 */     GIR_RootConstrainSelectedInstOperands,
     /*  380265 */     // GIR_Coverage, 60780,
     /*  380265 */     GIR_EraseRootFromParent_Done,
     /*  380266 */   // Label 6832: @380266
     /*  380266 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(380332), // Rule ID 60781 //
     /*  380271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380310 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380330 */     GIR_RootConstrainSelectedInstOperands,
     /*  380331 */     // GIR_Coverage, 60781,
     /*  380331 */     GIR_EraseRootFromParent_Done,
     /*  380332 */   // Label 6833: @380332
     /*  380332 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380398), // Rule ID 60784 //
     /*  380337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380396 */     GIR_RootConstrainSelectedInstOperands,
     /*  380397 */     // GIR_Coverage, 60784,
     /*  380397 */     GIR_EraseRootFromParent_Done,
     /*  380398 */   // Label 6834: @380398
     /*  380398 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380464), // Rule ID 60785 //
     /*  380403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380462 */     GIR_RootConstrainSelectedInstOperands,
     /*  380463 */     // GIR_Coverage, 60785,
     /*  380463 */     GIR_EraseRootFromParent_Done,
     /*  380464 */   // Label 6835: @380464
     /*  380464 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380530), // Rule ID 60788 //
     /*  380469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  380480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  380483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  380486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380528 */     GIR_RootConstrainSelectedInstOperands,
     /*  380529 */     // GIR_Coverage, 60788,
     /*  380529 */     GIR_EraseRootFromParent_Done,
     /*  380530 */   // Label 6836: @380530
     /*  380530 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380596), // Rule ID 60789 //
     /*  380535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  380546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  380549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  380552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380594 */     GIR_RootConstrainSelectedInstOperands,
     /*  380595 */     // GIR_Coverage, 60789,
     /*  380595 */     GIR_EraseRootFromParent_Done,
     /*  380596 */   // Label 6837: @380596
     /*  380596 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380662), // Rule ID 60792 //
     /*  380601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380660 */     GIR_RootConstrainSelectedInstOperands,
     /*  380661 */     // GIR_Coverage, 60792,
     /*  380661 */     GIR_EraseRootFromParent_Done,
     /*  380662 */   // Label 6838: @380662
     /*  380662 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380728), // Rule ID 60793 //
     /*  380667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380726 */     GIR_RootConstrainSelectedInstOperands,
     /*  380727 */     // GIR_Coverage, 60793,
     /*  380727 */     GIR_EraseRootFromParent_Done,
     /*  380728 */   // Label 6839: @380728
     /*  380728 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380794), // Rule ID 60796 //
     /*  380733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  380775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380792 */     GIR_RootConstrainSelectedInstOperands,
     /*  380793 */     // GIR_Coverage, 60796,
     /*  380793 */     GIR_EraseRootFromParent_Done,
     /*  380794 */   // Label 6840: @380794
     /*  380794 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380860), // Rule ID 60797 //
     /*  380799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380838 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  380841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380858 */     GIR_RootConstrainSelectedInstOperands,
     /*  380859 */     // GIR_Coverage, 60797,
     /*  380859 */     GIR_EraseRootFromParent_Done,
     /*  380860 */   // Label 6841: @380860
     /*  380860 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380926), // Rule ID 60800 //
     /*  380865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  380907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380924 */     GIR_RootConstrainSelectedInstOperands,
     /*  380925 */     // GIR_Coverage, 60800,
     /*  380925 */     GIR_EraseRootFromParent_Done,
     /*  380926 */   // Label 6842: @380926
     /*  380926 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380992), // Rule ID 60801 //
     /*  380931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  380973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380990 */     GIR_RootConstrainSelectedInstOperands,
     /*  380991 */     // GIR_Coverage, 60801,
     /*  380991 */     GIR_EraseRootFromParent_Done,
     /*  380992 */   // Label 6843: @380992
     /*  380992 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(381058), // Rule ID 60804 //
     /*  380997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381056 */     GIR_RootConstrainSelectedInstOperands,
     /*  381057 */     // GIR_Coverage, 60804,
     /*  381057 */     GIR_EraseRootFromParent_Done,
     /*  381058 */   // Label 6844: @381058
     /*  381058 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(381124), // Rule ID 60805 //
     /*  381063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381122 */     GIR_RootConstrainSelectedInstOperands,
     /*  381123 */     // GIR_Coverage, 60805,
     /*  381123 */     GIR_EraseRootFromParent_Done,
     /*  381124 */   // Label 6845: @381124
     /*  381124 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(381190), // Rule ID 60808 //
     /*  381129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381188 */     GIR_RootConstrainSelectedInstOperands,
     /*  381189 */     // GIR_Coverage, 60808,
     /*  381189 */     GIR_EraseRootFromParent_Done,
     /*  381190 */   // Label 6846: @381190
     /*  381190 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(381256), // Rule ID 60809 //
     /*  381195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381254 */     GIR_RootConstrainSelectedInstOperands,
     /*  381255 */     // GIR_Coverage, 60809,
     /*  381255 */     GIR_EraseRootFromParent_Done,
     /*  381256 */   // Label 6847: @381256
     /*  381256 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(381322), // Rule ID 60812 //
     /*  381261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  381272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  381275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  381278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381300 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381320 */     GIR_RootConstrainSelectedInstOperands,
     /*  381321 */     // GIR_Coverage, 60812,
     /*  381321 */     GIR_EraseRootFromParent_Done,
     /*  381322 */   // Label 6848: @381322
     /*  381322 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381388), // Rule ID 60813 //
     /*  381327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  381338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  381341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  381344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381366 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381386 */     GIR_RootConstrainSelectedInstOperands,
     /*  381387 */     // GIR_Coverage, 60813,
     /*  381387 */     GIR_EraseRootFromParent_Done,
     /*  381388 */   // Label 6849: @381388
     /*  381388 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381454), // Rule ID 60816 //
     /*  381393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  381404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  381407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  381410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381432 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  381435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381452 */     GIR_RootConstrainSelectedInstOperands,
     /*  381453 */     // GIR_Coverage, 60816,
     /*  381453 */     GIR_EraseRootFromParent_Done,
     /*  381454 */   // Label 6850: @381454
     /*  381454 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381520), // Rule ID 60817 //
     /*  381459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  381470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  381473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  381476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381498 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  381501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381518 */     GIR_RootConstrainSelectedInstOperands,
     /*  381519 */     // GIR_Coverage, 60817,
     /*  381519 */     GIR_EraseRootFromParent_Done,
     /*  381520 */   // Label 6851: @381520
     /*  381520 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381586), // Rule ID 60820 //
     /*  381525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381564 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  381567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381584 */     GIR_RootConstrainSelectedInstOperands,
     /*  381585 */     // GIR_Coverage, 60820,
     /*  381585 */     GIR_EraseRootFromParent_Done,
     /*  381586 */   // Label 6852: @381586
     /*  381586 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381652), // Rule ID 60821 //
     /*  381591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381630 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  381633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381650 */     GIR_RootConstrainSelectedInstOperands,
     /*  381651 */     // GIR_Coverage, 60821,
     /*  381651 */     GIR_EraseRootFromParent_Done,
     /*  381652 */   // Label 6853: @381652
     /*  381652 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381718), // Rule ID 60824 //
     /*  381657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381716 */     GIR_RootConstrainSelectedInstOperands,
     /*  381717 */     // GIR_Coverage, 60824,
     /*  381717 */     GIR_EraseRootFromParent_Done,
     /*  381718 */   // Label 6854: @381718
     /*  381718 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381784), // Rule ID 60825 //
     /*  381723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381782 */     GIR_RootConstrainSelectedInstOperands,
     /*  381783 */     // GIR_Coverage, 60825,
     /*  381783 */     GIR_EraseRootFromParent_Done,
     /*  381784 */   // Label 6855: @381784
     /*  381784 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381850), // Rule ID 60828 //
     /*  381789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  381831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381848 */     GIR_RootConstrainSelectedInstOperands,
     /*  381849 */     // GIR_Coverage, 60828,
     /*  381849 */     GIR_EraseRootFromParent_Done,
     /*  381850 */   // Label 6856: @381850
     /*  381850 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381916), // Rule ID 60829 //
     /*  381855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  381897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381914 */     GIR_RootConstrainSelectedInstOperands,
     /*  381915 */     // GIR_Coverage, 60829,
     /*  381915 */     GIR_EraseRootFromParent_Done,
     /*  381916 */   // Label 6857: @381916
     /*  381916 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381982), // Rule ID 60832 //
     /*  381921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  381932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  381935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  381938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381960 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  381963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381980 */     GIR_RootConstrainSelectedInstOperands,
     /*  381981 */     // GIR_Coverage, 60832,
     /*  381981 */     GIR_EraseRootFromParent_Done,
     /*  381982 */   // Label 6858: @381982
     /*  381982 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(382048), // Rule ID 60833 //
     /*  381987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  381998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  382001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  382004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382046 */     GIR_RootConstrainSelectedInstOperands,
     /*  382047 */     // GIR_Coverage, 60833,
     /*  382047 */     GIR_EraseRootFromParent_Done,
     /*  382048 */   // Label 6859: @382048
     /*  382048 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(382114), // Rule ID 60836 //
     /*  382053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382112 */     GIR_RootConstrainSelectedInstOperands,
     /*  382113 */     // GIR_Coverage, 60836,
     /*  382113 */     GIR_EraseRootFromParent_Done,
     /*  382114 */   // Label 6860: @382114
     /*  382114 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(382180), // Rule ID 60837 //
     /*  382119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382178 */     GIR_RootConstrainSelectedInstOperands,
     /*  382179 */     // GIR_Coverage, 60837,
     /*  382179 */     GIR_EraseRootFromParent_Done,
     /*  382180 */   // Label 6861: @382180
     /*  382180 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(382246), // Rule ID 60840 //
     /*  382185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382244 */     GIR_RootConstrainSelectedInstOperands,
     /*  382245 */     // GIR_Coverage, 60840,
     /*  382245 */     GIR_EraseRootFromParent_Done,
     /*  382246 */   // Label 6862: @382246
     /*  382246 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(382312), // Rule ID 60841 //
     /*  382251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382310 */     GIR_RootConstrainSelectedInstOperands,
     /*  382311 */     // GIR_Coverage, 60841,
     /*  382311 */     GIR_EraseRootFromParent_Done,
     /*  382312 */   // Label 6863: @382312
     /*  382312 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(382378), // Rule ID 60844 //
     /*  382317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382376 */     GIR_RootConstrainSelectedInstOperands,
     /*  382377 */     // GIR_Coverage, 60844,
     /*  382377 */     GIR_EraseRootFromParent_Done,
     /*  382378 */   // Label 6864: @382378
     /*  382378 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382444), // Rule ID 60845 //
     /*  382383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382442 */     GIR_RootConstrainSelectedInstOperands,
     /*  382443 */     // GIR_Coverage, 60845,
     /*  382443 */     GIR_EraseRootFromParent_Done,
     /*  382444 */   // Label 6865: @382444
     /*  382444 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382510), // Rule ID 60848 //
     /*  382449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382508 */     GIR_RootConstrainSelectedInstOperands,
     /*  382509 */     // GIR_Coverage, 60848,
     /*  382509 */     GIR_EraseRootFromParent_Done,
     /*  382510 */   // Label 6866: @382510
     /*  382510 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382576), // Rule ID 60849 //
     /*  382515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382574 */     GIR_RootConstrainSelectedInstOperands,
     /*  382575 */     // GIR_Coverage, 60849,
     /*  382575 */     GIR_EraseRootFromParent_Done,
     /*  382576 */   // Label 6867: @382576
     /*  382576 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382642), // Rule ID 60852 //
     /*  382581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382640 */     GIR_RootConstrainSelectedInstOperands,
     /*  382641 */     // GIR_Coverage, 60852,
     /*  382641 */     GIR_EraseRootFromParent_Done,
     /*  382642 */   // Label 6868: @382642
     /*  382642 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382708), // Rule ID 60853 //
     /*  382647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382686 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382706 */     GIR_RootConstrainSelectedInstOperands,
     /*  382707 */     // GIR_Coverage, 60853,
     /*  382707 */     GIR_EraseRootFromParent_Done,
     /*  382708 */   // Label 6869: @382708
     /*  382708 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382774), // Rule ID 60856 //
     /*  382713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382772 */     GIR_RootConstrainSelectedInstOperands,
     /*  382773 */     // GIR_Coverage, 60856,
     /*  382773 */     GIR_EraseRootFromParent_Done,
     /*  382774 */   // Label 6870: @382774
     /*  382774 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382840), // Rule ID 60857 //
     /*  382779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382838 */     GIR_RootConstrainSelectedInstOperands,
     /*  382839 */     // GIR_Coverage, 60857,
     /*  382839 */     GIR_EraseRootFromParent_Done,
     /*  382840 */   // Label 6871: @382840
     /*  382840 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382906), // Rule ID 61280 //
     /*  382845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  382853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  382856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  382859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  382862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  382887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382904 */     GIR_RootConstrainSelectedInstOperands,
     /*  382905 */     // GIR_Coverage, 61280,
     /*  382905 */     GIR_EraseRootFromParent_Done,
     /*  382906 */   // Label 6872: @382906
     /*  382906 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382972), // Rule ID 61281 //
     /*  382911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  382919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  382922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  382925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  382928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382950 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  382953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382970 */     GIR_RootConstrainSelectedInstOperands,
     /*  382971 */     // GIR_Coverage, 61281,
     /*  382971 */     GIR_EraseRootFromParent_Done,
     /*  382972 */   // Label 6873: @382972
     /*  382972 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(383038), // Rule ID 61284 //
     /*  382977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  382985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  382988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  382991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  382994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383036 */     GIR_RootConstrainSelectedInstOperands,
     /*  383037 */     // GIR_Coverage, 61284,
     /*  383037 */     GIR_EraseRootFromParent_Done,
     /*  383038 */   // Label 6874: @383038
     /*  383038 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(383104), // Rule ID 61285 //
     /*  383043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  383054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  383057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  383060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383082 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383102 */     GIR_RootConstrainSelectedInstOperands,
     /*  383103 */     // GIR_Coverage, 61285,
     /*  383103 */     GIR_EraseRootFromParent_Done,
     /*  383104 */   // Label 6875: @383104
     /*  383104 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(383170), // Rule ID 61288 //
     /*  383109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  383120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  383123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  383126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383168 */     GIR_RootConstrainSelectedInstOperands,
     /*  383169 */     // GIR_Coverage, 61288,
     /*  383169 */     GIR_EraseRootFromParent_Done,
     /*  383170 */   // Label 6876: @383170
     /*  383170 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(383236), // Rule ID 61289 //
     /*  383175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  383186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  383189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  383192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383214 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383234 */     GIR_RootConstrainSelectedInstOperands,
     /*  383235 */     // GIR_Coverage, 61289,
     /*  383235 */     GIR_EraseRootFromParent_Done,
     /*  383236 */   // Label 6877: @383236
     /*  383236 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(383302), // Rule ID 61292 //
     /*  383241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  383252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  383255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  383258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383300 */     GIR_RootConstrainSelectedInstOperands,
     /*  383301 */     // GIR_Coverage, 61292,
     /*  383301 */     GIR_EraseRootFromParent_Done,
     /*  383302 */   // Label 6878: @383302
     /*  383302 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(383368), // Rule ID 61293 //
     /*  383307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  383318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  383321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  383324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383366 */     GIR_RootConstrainSelectedInstOperands,
     /*  383367 */     // GIR_Coverage, 61293,
     /*  383367 */     GIR_EraseRootFromParent_Done,
     /*  383368 */   // Label 6879: @383368
     /*  383368 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383434), // Rule ID 61296 //
     /*  383373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  383384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  383387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  383390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383432 */     GIR_RootConstrainSelectedInstOperands,
     /*  383433 */     // GIR_Coverage, 61296,
     /*  383433 */     GIR_EraseRootFromParent_Done,
     /*  383434 */   // Label 6880: @383434
     /*  383434 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383500), // Rule ID 61297 //
     /*  383439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  383450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  383453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  383456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383498 */     GIR_RootConstrainSelectedInstOperands,
     /*  383499 */     // GIR_Coverage, 61297,
     /*  383499 */     GIR_EraseRootFromParent_Done,
     /*  383500 */   // Label 6881: @383500
     /*  383500 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383566), // Rule ID 61300 //
     /*  383505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  383516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  383519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  383522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383564 */     GIR_RootConstrainSelectedInstOperands,
     /*  383565 */     // GIR_Coverage, 61300,
     /*  383565 */     GIR_EraseRootFromParent_Done,
     /*  383566 */   // Label 6882: @383566
     /*  383566 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383632), // Rule ID 61301 //
     /*  383571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  383582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  383585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  383588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383630 */     GIR_RootConstrainSelectedInstOperands,
     /*  383631 */     // GIR_Coverage, 61301,
     /*  383631 */     GIR_EraseRootFromParent_Done,
     /*  383632 */   // Label 6883: @383632
     /*  383632 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383698), // Rule ID 61304 //
     /*  383637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  383648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  383651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  383654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  383679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383696 */     GIR_RootConstrainSelectedInstOperands,
     /*  383697 */     // GIR_Coverage, 61304,
     /*  383697 */     GIR_EraseRootFromParent_Done,
     /*  383698 */   // Label 6884: @383698
     /*  383698 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383764), // Rule ID 61305 //
     /*  383703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  383714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  383717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  383720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  383745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383762 */     GIR_RootConstrainSelectedInstOperands,
     /*  383763 */     // GIR_Coverage, 61305,
     /*  383763 */     GIR_EraseRootFromParent_Done,
     /*  383764 */   // Label 6885: @383764
     /*  383764 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383830), // Rule ID 61308 //
     /*  383769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  383780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  383783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  383786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  383811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383828 */     GIR_RootConstrainSelectedInstOperands,
     /*  383829 */     // GIR_Coverage, 61308,
     /*  383829 */     GIR_EraseRootFromParent_Done,
     /*  383830 */   // Label 6886: @383830
     /*  383830 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383896), // Rule ID 61309 //
     /*  383835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  383846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  383849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  383852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383874 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  383877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383894 */     GIR_RootConstrainSelectedInstOperands,
     /*  383895 */     // GIR_Coverage, 61309,
     /*  383895 */     GIR_EraseRootFromParent_Done,
     /*  383896 */   // Label 6887: @383896
     /*  383896 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383962), // Rule ID 61312 //
     /*  383901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  383912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  383915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  383918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  383943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383960 */     GIR_RootConstrainSelectedInstOperands,
     /*  383961 */     // GIR_Coverage, 61312,
     /*  383961 */     GIR_EraseRootFromParent_Done,
     /*  383962 */   // Label 6888: @383962
     /*  383962 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(384028), // Rule ID 61313 //
     /*  383967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  383978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  383981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  383984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384026 */     GIR_RootConstrainSelectedInstOperands,
     /*  384027 */     // GIR_Coverage, 61313,
     /*  384027 */     GIR_EraseRootFromParent_Done,
     /*  384028 */   // Label 6889: @384028
     /*  384028 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(384094), // Rule ID 61316 //
     /*  384033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384092 */     GIR_RootConstrainSelectedInstOperands,
     /*  384093 */     // GIR_Coverage, 61316,
     /*  384093 */     GIR_EraseRootFromParent_Done,
     /*  384094 */   // Label 6890: @384094
     /*  384094 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(384160), // Rule ID 61317 //
     /*  384099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384158 */     GIR_RootConstrainSelectedInstOperands,
     /*  384159 */     // GIR_Coverage, 61317,
     /*  384159 */     GIR_EraseRootFromParent_Done,
     /*  384160 */   // Label 6891: @384160
     /*  384160 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(384226), // Rule ID 61320 //
     /*  384165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  384176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  384179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  384182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384204 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384224 */     GIR_RootConstrainSelectedInstOperands,
     /*  384225 */     // GIR_Coverage, 61320,
     /*  384225 */     GIR_EraseRootFromParent_Done,
     /*  384226 */   // Label 6892: @384226
     /*  384226 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(384292), // Rule ID 61321 //
     /*  384231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  384242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  384245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  384248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384270 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384290 */     GIR_RootConstrainSelectedInstOperands,
     /*  384291 */     // GIR_Coverage, 61321,
     /*  384291 */     GIR_EraseRootFromParent_Done,
     /*  384292 */   // Label 6893: @384292
     /*  384292 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(384358), // Rule ID 61324 //
     /*  384297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  384308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  384311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  384314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  384339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384356 */     GIR_RootConstrainSelectedInstOperands,
     /*  384357 */     // GIR_Coverage, 61324,
     /*  384357 */     GIR_EraseRootFromParent_Done,
     /*  384358 */   // Label 6894: @384358
     /*  384358 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384424), // Rule ID 61325 //
     /*  384363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  384374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  384377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  384380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  384405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384422 */     GIR_RootConstrainSelectedInstOperands,
     /*  384423 */     // GIR_Coverage, 61325,
     /*  384423 */     GIR_EraseRootFromParent_Done,
     /*  384424 */   // Label 6895: @384424
     /*  384424 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384490), // Rule ID 61328 //
     /*  384429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  384440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  384443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  384446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384468 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  384471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384488 */     GIR_RootConstrainSelectedInstOperands,
     /*  384489 */     // GIR_Coverage, 61328,
     /*  384489 */     GIR_EraseRootFromParent_Done,
     /*  384490 */   // Label 6896: @384490
     /*  384490 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384556), // Rule ID 61329 //
     /*  384495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  384506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  384509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  384512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  384537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384554 */     GIR_RootConstrainSelectedInstOperands,
     /*  384555 */     // GIR_Coverage, 61329,
     /*  384555 */     GIR_EraseRootFromParent_Done,
     /*  384556 */   // Label 6897: @384556
     /*  384556 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384622), // Rule ID 61332 //
     /*  384561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  384572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  384575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  384578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384600 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384620 */     GIR_RootConstrainSelectedInstOperands,
     /*  384621 */     // GIR_Coverage, 61332,
     /*  384621 */     GIR_EraseRootFromParent_Done,
     /*  384622 */   // Label 6898: @384622
     /*  384622 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384688), // Rule ID 61333 //
     /*  384627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  384638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  384641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  384644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384686 */     GIR_RootConstrainSelectedInstOperands,
     /*  384687 */     // GIR_Coverage, 61333,
     /*  384687 */     GIR_EraseRootFromParent_Done,
     /*  384688 */   // Label 6899: @384688
     /*  384688 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384754), // Rule ID 61336 //
     /*  384693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  384704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  384707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  384710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  384735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384752 */     GIR_RootConstrainSelectedInstOperands,
     /*  384753 */     // GIR_Coverage, 61336,
     /*  384753 */     GIR_EraseRootFromParent_Done,
     /*  384754 */   // Label 6900: @384754
     /*  384754 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384820), // Rule ID 61337 //
     /*  384759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  384770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  384773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  384776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  384801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384818 */     GIR_RootConstrainSelectedInstOperands,
     /*  384819 */     // GIR_Coverage, 61337,
     /*  384819 */     GIR_EraseRootFromParent_Done,
     /*  384820 */   // Label 6901: @384820
     /*  384820 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384886), // Rule ID 61340 //
     /*  384825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  384836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  384839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  384842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  384867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384884 */     GIR_RootConstrainSelectedInstOperands,
     /*  384885 */     // GIR_Coverage, 61340,
     /*  384885 */     GIR_EraseRootFromParent_Done,
     /*  384886 */   // Label 6902: @384886
     /*  384886 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384952), // Rule ID 61341 //
     /*  384891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  384902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  384905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  384908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  384933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384950 */     GIR_RootConstrainSelectedInstOperands,
     /*  384951 */     // GIR_Coverage, 61341,
     /*  384951 */     GIR_EraseRootFromParent_Done,
     /*  384952 */   // Label 6903: @384952
     /*  384952 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(385018), // Rule ID 61344 //
     /*  384957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  384968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  384971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  384974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385016 */     GIR_RootConstrainSelectedInstOperands,
     /*  385017 */     // GIR_Coverage, 61344,
     /*  385017 */     GIR_EraseRootFromParent_Done,
     /*  385018 */   // Label 6904: @385018
     /*  385018 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(385084), // Rule ID 61345 //
     /*  385023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  385034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  385037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  385040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385082 */     GIR_RootConstrainSelectedInstOperands,
     /*  385083 */     // GIR_Coverage, 61345,
     /*  385083 */     GIR_EraseRootFromParent_Done,
     /*  385084 */   // Label 6905: @385084
     /*  385084 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(385150), // Rule ID 61348 //
     /*  385089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  385100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  385103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  385106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385128 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385148 */     GIR_RootConstrainSelectedInstOperands,
     /*  385149 */     // GIR_Coverage, 61348,
     /*  385149 */     GIR_EraseRootFromParent_Done,
     /*  385150 */   // Label 6906: @385150
     /*  385150 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(385216), // Rule ID 61349 //
     /*  385155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  385166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  385169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  385172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385214 */     GIR_RootConstrainSelectedInstOperands,
     /*  385215 */     // GIR_Coverage, 61349,
     /*  385215 */     GIR_EraseRootFromParent_Done,
     /*  385216 */   // Label 6907: @385216
     /*  385216 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(385282), // Rule ID 61352 //
     /*  385221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  385232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  385235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385280 */     GIR_RootConstrainSelectedInstOperands,
     /*  385281 */     // GIR_Coverage, 61352,
     /*  385281 */     GIR_EraseRootFromParent_Done,
     /*  385282 */   // Label 6908: @385282
     /*  385282 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(385348), // Rule ID 61353 //
     /*  385287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  385298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  385301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385346 */     GIR_RootConstrainSelectedInstOperands,
     /*  385347 */     // GIR_Coverage, 61353,
     /*  385347 */     GIR_EraseRootFromParent_Done,
     /*  385348 */   // Label 6909: @385348
     /*  385348 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(385414), // Rule ID 61356 //
     /*  385353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  385364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  385367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  385370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385392 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385412 */     GIR_RootConstrainSelectedInstOperands,
     /*  385413 */     // GIR_Coverage, 61356,
     /*  385413 */     GIR_EraseRootFromParent_Done,
     /*  385414 */   // Label 6910: @385414
     /*  385414 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(385480), // Rule ID 61357 //
     /*  385419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  385430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  385433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  385436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385478 */     GIR_RootConstrainSelectedInstOperands,
     /*  385479 */     // GIR_Coverage, 61357,
     /*  385479 */     GIR_EraseRootFromParent_Done,
     /*  385480 */   // Label 6911: @385480
     /*  385480 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385546), // Rule ID 61360 //
     /*  385485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  385496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  385499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  385502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385544 */     GIR_RootConstrainSelectedInstOperands,
     /*  385545 */     // GIR_Coverage, 61360,
     /*  385545 */     GIR_EraseRootFromParent_Done,
     /*  385546 */   // Label 6912: @385546
     /*  385546 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385612), // Rule ID 61361 //
     /*  385551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  385562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  385565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  385568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385610 */     GIR_RootConstrainSelectedInstOperands,
     /*  385611 */     // GIR_Coverage, 61361,
     /*  385611 */     GIR_EraseRootFromParent_Done,
     /*  385612 */   // Label 6913: @385612
     /*  385612 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385678), // Rule ID 61364 //
     /*  385617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385676 */     GIR_RootConstrainSelectedInstOperands,
     /*  385677 */     // GIR_Coverage, 61364,
     /*  385677 */     GIR_EraseRootFromParent_Done,
     /*  385678 */   // Label 6914: @385678
     /*  385678 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(385744), // Rule ID 61365 //
     /*  385683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385742 */     GIR_RootConstrainSelectedInstOperands,
     /*  385743 */     // GIR_Coverage, 61365,
     /*  385743 */     GIR_EraseRootFromParent_Done,
     /*  385744 */   // Label 6915: @385744
     /*  385744 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385810), // Rule ID 61368 //
     /*  385749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  385757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  385760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  385763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  385766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  385791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385808 */     GIR_RootConstrainSelectedInstOperands,
     /*  385809 */     // GIR_Coverage, 61368,
     /*  385809 */     GIR_EraseRootFromParent_Done,
     /*  385810 */   // Label 6916: @385810
     /*  385810 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385876), // Rule ID 61369 //
     /*  385815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  385823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  385826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  385829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  385832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  385854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  385857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385874 */     GIR_RootConstrainSelectedInstOperands,
     /*  385875 */     // GIR_Coverage, 61369,
     /*  385875 */     GIR_EraseRootFromParent_Done,
     /*  385876 */   // Label 6917: @385876
     /*  385876 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385942), // Rule ID 61372 //
     /*  385881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  385889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  385892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  385895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  385898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  385923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385940 */     GIR_RootConstrainSelectedInstOperands,
     /*  385941 */     // GIR_Coverage, 61372,
     /*  385941 */     GIR_EraseRootFromParent_Done,
     /*  385942 */   // Label 6918: @385942
     /*  385942 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(386008), // Rule ID 61373 //
     /*  385947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  385955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  385958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  385961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  385964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  385986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  385989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386006 */     GIR_RootConstrainSelectedInstOperands,
     /*  386007 */     // GIR_Coverage, 61373,
     /*  386007 */     GIR_EraseRootFromParent_Done,
     /*  386008 */   // Label 6919: @386008
     /*  386008 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(386074), // Rule ID 61376 //
     /*  386013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  386027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  386030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386072 */     GIR_RootConstrainSelectedInstOperands,
     /*  386073 */     // GIR_Coverage, 61376,
     /*  386073 */     GIR_EraseRootFromParent_Done,
     /*  386074 */   // Label 6920: @386074
     /*  386074 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(386140), // Rule ID 61377 //
     /*  386079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  386093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  386096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386138 */     GIR_RootConstrainSelectedInstOperands,
     /*  386139 */     // GIR_Coverage, 61377,
     /*  386139 */     GIR_EraseRootFromParent_Done,
     /*  386140 */   // Label 6921: @386140
     /*  386140 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(386206), // Rule ID 61380 //
     /*  386145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386204 */     GIR_RootConstrainSelectedInstOperands,
     /*  386205 */     // GIR_Coverage, 61380,
     /*  386205 */     GIR_EraseRootFromParent_Done,
     /*  386206 */   // Label 6922: @386206
     /*  386206 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(386272), // Rule ID 61381 //
     /*  386211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386270 */     GIR_RootConstrainSelectedInstOperands,
     /*  386271 */     // GIR_Coverage, 61381,
     /*  386271 */     GIR_EraseRootFromParent_Done,
     /*  386272 */   // Label 6923: @386272
     /*  386272 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(386338), // Rule ID 61384 //
     /*  386277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  386288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  386291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  386294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386336 */     GIR_RootConstrainSelectedInstOperands,
     /*  386337 */     // GIR_Coverage, 61384,
     /*  386337 */     GIR_EraseRootFromParent_Done,
     /*  386338 */   // Label 6924: @386338
     /*  386338 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(386404), // Rule ID 61385 //
     /*  386343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  386354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  386357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  386360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386402 */     GIR_RootConstrainSelectedInstOperands,
     /*  386403 */     // GIR_Coverage, 61385,
     /*  386403 */     GIR_EraseRootFromParent_Done,
     /*  386404 */   // Label 6925: @386404
     /*  386404 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(386470), // Rule ID 61388 //
     /*  386409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  386423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  386426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  386448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386468 */     GIR_RootConstrainSelectedInstOperands,
     /*  386469 */     // GIR_Coverage, 61388,
     /*  386469 */     GIR_EraseRootFromParent_Done,
     /*  386470 */   // Label 6926: @386470
     /*  386470 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(386536), // Rule ID 61389 //
     /*  386475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  386489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  386492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  386514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386534 */     GIR_RootConstrainSelectedInstOperands,
     /*  386535 */     // GIR_Coverage, 61389,
     /*  386535 */     GIR_EraseRootFromParent_Done,
     /*  386536 */   // Label 6927: @386536
     /*  386536 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(386602), // Rule ID 61392 //
     /*  386541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  386552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  386555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  386558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386600 */     GIR_RootConstrainSelectedInstOperands,
     /*  386601 */     // GIR_Coverage, 61392,
     /*  386601 */     GIR_EraseRootFromParent_Done,
     /*  386602 */   // Label 6928: @386602
     /*  386602 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(386668), // Rule ID 61393 //
     /*  386607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  386618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  386621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  386624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386666 */     GIR_RootConstrainSelectedInstOperands,
     /*  386667 */     // GIR_Coverage, 61393,
     /*  386667 */     GIR_EraseRootFromParent_Done,
     /*  386668 */   // Label 6929: @386668
     /*  386668 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(386734), // Rule ID 61396 //
     /*  386673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  386687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386732 */     GIR_RootConstrainSelectedInstOperands,
     /*  386733 */     // GIR_Coverage, 61396,
     /*  386733 */     GIR_EraseRootFromParent_Done,
     /*  386734 */   // Label 6930: @386734
     /*  386734 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386800), // Rule ID 61397 //
     /*  386739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  386753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386798 */     GIR_RootConstrainSelectedInstOperands,
     /*  386799 */     // GIR_Coverage, 61397,
     /*  386799 */     GIR_EraseRootFromParent_Done,
     /*  386800 */   // Label 6931: @386800
     /*  386800 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386866), // Rule ID 61400 //
     /*  386805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  386816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  386819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  386822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  386844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386864 */     GIR_RootConstrainSelectedInstOperands,
     /*  386865 */     // GIR_Coverage, 61400,
     /*  386865 */     GIR_EraseRootFromParent_Done,
     /*  386866 */   // Label 6932: @386866
     /*  386866 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386932), // Rule ID 61401 //
     /*  386871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  386882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  386885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  386888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  386910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386930 */     GIR_RootConstrainSelectedInstOperands,
     /*  386931 */     // GIR_Coverage, 61401,
     /*  386931 */     GIR_EraseRootFromParent_Done,
     /*  386932 */   // Label 6933: @386932
     /*  386932 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386998), // Rule ID 61404 //
     /*  386937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  386948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  386951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  386954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  386976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  386979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386996 */     GIR_RootConstrainSelectedInstOperands,
     /*  386997 */     // GIR_Coverage, 61404,
     /*  386997 */     GIR_EraseRootFromParent_Done,
     /*  386998 */   // Label 6934: @386998
     /*  386998 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(387064), // Rule ID 61405 //
     /*  387003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  387017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  387020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  387042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387062 */     GIR_RootConstrainSelectedInstOperands,
     /*  387063 */     // GIR_Coverage, 61405,
     /*  387063 */     GIR_EraseRootFromParent_Done,
     /*  387064 */   // Label 6935: @387064
     /*  387064 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(387130), // Rule ID 61408 //
     /*  387069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  387083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387128 */     GIR_RootConstrainSelectedInstOperands,
     /*  387129 */     // GIR_Coverage, 61408,
     /*  387129 */     GIR_EraseRootFromParent_Done,
     /*  387130 */   // Label 6936: @387130
     /*  387130 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(387196), // Rule ID 61409 //
     /*  387135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  387149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387194 */     GIR_RootConstrainSelectedInstOperands,
     /*  387195 */     // GIR_Coverage, 61409,
     /*  387195 */     GIR_EraseRootFromParent_Done,
     /*  387196 */   // Label 6937: @387196
     /*  387196 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(387262), // Rule ID 61412 //
     /*  387201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  387212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  387215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387240 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387260 */     GIR_RootConstrainSelectedInstOperands,
     /*  387261 */     // GIR_Coverage, 61412,
     /*  387261 */     GIR_EraseRootFromParent_Done,
     /*  387262 */   // Label 6938: @387262
     /*  387262 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(387328), // Rule ID 61413 //
     /*  387267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  387278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  387281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387306 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387326 */     GIR_RootConstrainSelectedInstOperands,
     /*  387327 */     // GIR_Coverage, 61413,
     /*  387327 */     GIR_EraseRootFromParent_Done,
     /*  387328 */   // Label 6939: @387328
     /*  387328 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(387394), // Rule ID 61416 //
     /*  387333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  387344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  387347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  387350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  387375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387392 */     GIR_RootConstrainSelectedInstOperands,
     /*  387393 */     // GIR_Coverage, 61416,
     /*  387393 */     GIR_EraseRootFromParent_Done,
     /*  387394 */   // Label 6940: @387394
     /*  387394 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(387460), // Rule ID 61417 //
     /*  387399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  387410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  387413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  387416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387438 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  387441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387458 */     GIR_RootConstrainSelectedInstOperands,
     /*  387459 */     // GIR_Coverage, 61417,
     /*  387459 */     GIR_EraseRootFromParent_Done,
     /*  387460 */   // Label 6941: @387460
     /*  387460 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(387526), // Rule ID 61420 //
     /*  387465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  387479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  387482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387524 */     GIR_RootConstrainSelectedInstOperands,
     /*  387525 */     // GIR_Coverage, 61420,
     /*  387525 */     GIR_EraseRootFromParent_Done,
     /*  387526 */   // Label 6942: @387526
     /*  387526 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(387592), // Rule ID 61421 //
     /*  387531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  387545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  387548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387590 */     GIR_RootConstrainSelectedInstOperands,
     /*  387591 */     // GIR_Coverage, 61421,
     /*  387591 */     GIR_EraseRootFromParent_Done,
     /*  387592 */   // Label 6943: @387592
     /*  387592 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(387658), // Rule ID 61424 //
     /*  387597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  387611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  387614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387656 */     GIR_RootConstrainSelectedInstOperands,
     /*  387657 */     // GIR_Coverage, 61424,
     /*  387657 */     GIR_EraseRootFromParent_Done,
     /*  387658 */   // Label 6944: @387658
     /*  387658 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(387724), // Rule ID 61425 //
     /*  387663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  387677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  387680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387722 */     GIR_RootConstrainSelectedInstOperands,
     /*  387723 */     // GIR_Coverage, 61425,
     /*  387723 */     GIR_EraseRootFromParent_Done,
     /*  387724 */   // Label 6945: @387724
     /*  387724 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(387790), // Rule ID 61428 //
     /*  387729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  387740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  387743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  387746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  387771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387788 */     GIR_RootConstrainSelectedInstOperands,
     /*  387789 */     // GIR_Coverage, 61428,
     /*  387789 */     GIR_EraseRootFromParent_Done,
     /*  387790 */   // Label 6946: @387790
     /*  387790 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387856), // Rule ID 61429 //
     /*  387795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  387806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  387809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  387812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  387837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387854 */     GIR_RootConstrainSelectedInstOperands,
     /*  387855 */     // GIR_Coverage, 61429,
     /*  387855 */     GIR_EraseRootFromParent_Done,
     /*  387856 */   // Label 6947: @387856
     /*  387856 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387922), // Rule ID 61432 //
     /*  387861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  387872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  387875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  387878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387920 */     GIR_RootConstrainSelectedInstOperands,
     /*  387921 */     // GIR_Coverage, 61432,
     /*  387921 */     GIR_EraseRootFromParent_Done,
     /*  387922 */   // Label 6948: @387922
     /*  387922 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387988), // Rule ID 61433 //
     /*  387927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  387938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  387941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  387944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387986 */     GIR_RootConstrainSelectedInstOperands,
     /*  387987 */     // GIR_Coverage, 61433,
     /*  387987 */     GIR_EraseRootFromParent_Done,
     /*  387988 */   // Label 6949: @387988
     /*  387988 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(388054), // Rule ID 61436 //
     /*  387993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  388010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388052 */     GIR_RootConstrainSelectedInstOperands,
     /*  388053 */     // GIR_Coverage, 61436,
     /*  388053 */     GIR_EraseRootFromParent_Done,
     /*  388054 */   // Label 6950: @388054
     /*  388054 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(388120), // Rule ID 61437 //
     /*  388059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  388076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388118 */     GIR_RootConstrainSelectedInstOperands,
     /*  388119 */     // GIR_Coverage, 61437,
     /*  388119 */     GIR_EraseRootFromParent_Done,
     /*  388120 */   // Label 6951: @388120
     /*  388120 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(388186), // Rule ID 61440 //
     /*  388125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  388142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388184 */     GIR_RootConstrainSelectedInstOperands,
     /*  388185 */     // GIR_Coverage, 61440,
     /*  388185 */     GIR_EraseRootFromParent_Done,
     /*  388186 */   // Label 6952: @388186
     /*  388186 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(388252), // Rule ID 61441 //
     /*  388191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  388208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388230 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388250 */     GIR_RootConstrainSelectedInstOperands,
     /*  388251 */     // GIR_Coverage, 61441,
     /*  388251 */     GIR_EraseRootFromParent_Done,
     /*  388252 */   // Label 6953: @388252
     /*  388252 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(388318), // Rule ID 61444 //
     /*  388257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  388271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  388274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388296 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  388296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388316 */     GIR_RootConstrainSelectedInstOperands,
     /*  388317 */     // GIR_Coverage, 61444,
     /*  388317 */     GIR_EraseRootFromParent_Done,
     /*  388318 */   // Label 6954: @388318
     /*  388318 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(388384), // Rule ID 61445 //
     /*  388323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  388337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  388340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  388362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388382 */     GIR_RootConstrainSelectedInstOperands,
     /*  388383 */     // GIR_Coverage, 61445,
     /*  388383 */     GIR_EraseRootFromParent_Done,
     /*  388384 */   // Label 6955: @388384
     /*  388384 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(388450), // Rule ID 61448 //
     /*  388389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  388400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  388403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  388406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  388428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388448 */     GIR_RootConstrainSelectedInstOperands,
     /*  388449 */     // GIR_Coverage, 61448,
     /*  388449 */     GIR_EraseRootFromParent_Done,
     /*  388450 */   // Label 6956: @388450
     /*  388450 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(388516), // Rule ID 61449 //
     /*  388455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  388466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  388469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  388472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  388494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388514 */     GIR_RootConstrainSelectedInstOperands,
     /*  388515 */     // GIR_Coverage, 61449,
     /*  388515 */     GIR_EraseRootFromParent_Done,
     /*  388516 */   // Label 6957: @388516
     /*  388516 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(388582), // Rule ID 61452 //
     /*  388521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  388532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  388535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  388538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  388560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388580 */     GIR_RootConstrainSelectedInstOperands,
     /*  388581 */     // GIR_Coverage, 61452,
     /*  388581 */     GIR_EraseRootFromParent_Done,
     /*  388582 */   // Label 6958: @388582
     /*  388582 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(388648), // Rule ID 61453 //
     /*  388587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  388598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  388601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  388604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  388626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388646 */     GIR_RootConstrainSelectedInstOperands,
     /*  388647 */     // GIR_Coverage, 61453,
     /*  388647 */     GIR_EraseRootFromParent_Done,
     /*  388648 */   // Label 6959: @388648
     /*  388648 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388713), // Rule ID 64442 //
     /*  388653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  388661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388697 */     // MIs[1] Operand 1
     /*  388697 */     // No operand predicates
     /*  388697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388699 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  388699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  388702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  388706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  388711 */     GIR_RootConstrainSelectedInstOperands,
     /*  388712 */     // GIR_Coverage, 64442,
     /*  388712 */     GIR_EraseRootFromParent_Done,
     /*  388713 */   // Label 6960: @388713
     /*  388713 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388778), // Rule ID 64469 //
     /*  388718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  388726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388762 */     // MIs[1] Operand 1
     /*  388762 */     // No operand predicates
     /*  388762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388764 */     // (intrinsic_wo_chain:{ *:[i32] } 10921:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  388764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  388767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  388771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  388776 */     GIR_RootConstrainSelectedInstOperands,
     /*  388777 */     // GIR_Coverage, 64469,
     /*  388777 */     GIR_EraseRootFromParent_Done,
     /*  388778 */   // Label 6961: @388778
     /*  388778 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388843), // Rule ID 64472 //
     /*  388783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  388791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388827 */     // MIs[1] Operand 1
     /*  388827 */     // No operand predicates
     /*  388827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388829 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  388829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  388832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  388836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  388841 */     GIR_RootConstrainSelectedInstOperands,
     /*  388842 */     // GIR_Coverage, 64472,
     /*  388842 */     GIR_EraseRootFromParent_Done,
     /*  388843 */   // Label 6962: @388843
     /*  388843 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388908), // Rule ID 64475 //
     /*  388848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  388856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388892 */     // MIs[1] Operand 1
     /*  388892 */     // No operand predicates
     /*  388892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388894 */     // (intrinsic_wo_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  388894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  388897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  388901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  388906 */     GIR_RootConstrainSelectedInstOperands,
     /*  388907 */     // GIR_Coverage, 64475,
     /*  388907 */     GIR_EraseRootFromParent_Done,
     /*  388908 */   // Label 6963: @388908
     /*  388908 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388973), // Rule ID 64478 //
     /*  388913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  388921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388957 */     // MIs[1] Operand 1
     /*  388957 */     // No operand predicates
     /*  388957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388959 */     // (intrinsic_wo_chain:{ *:[i32] } 10925:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  388959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  388962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  388966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  388971 */     GIR_RootConstrainSelectedInstOperands,
     /*  388972 */     // GIR_Coverage, 64478,
     /*  388972 */     GIR_EraseRootFromParent_Done,
     /*  388973 */   // Label 6964: @388973
     /*  388973 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(389038), // Rule ID 64481 //
     /*  388978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  388981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  388986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  388989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  388992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  388995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389022 */     // MIs[1] Operand 1
     /*  389022 */     // No operand predicates
     /*  389022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389024 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  389027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389036 */     GIR_RootConstrainSelectedInstOperands,
     /*  389037 */     // GIR_Coverage, 64481,
     /*  389037 */     GIR_EraseRootFromParent_Done,
     /*  389038 */   // Label 6965: @389038
     /*  389038 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(389103), // Rule ID 64484 //
     /*  389043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  389051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389087 */     // MIs[1] Operand 1
     /*  389087 */     // No operand predicates
     /*  389087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389089 */     // (intrinsic_wo_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  389092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389101 */     GIR_RootConstrainSelectedInstOperands,
     /*  389102 */     // GIR_Coverage, 64484,
     /*  389102 */     GIR_EraseRootFromParent_Done,
     /*  389103 */   // Label 6966: @389103
     /*  389103 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(389168), // Rule ID 64487 //
     /*  389108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  389116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389152 */     // MIs[1] Operand 1
     /*  389152 */     // No operand predicates
     /*  389152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389154 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  389157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389166 */     GIR_RootConstrainSelectedInstOperands,
     /*  389167 */     // GIR_Coverage, 64487,
     /*  389167 */     GIR_EraseRootFromParent_Done,
     /*  389168 */   // Label 6967: @389168
     /*  389168 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(389223), // Rule ID 2537 //
     /*  389173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  389176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  389181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389202 */     // MIs[0] imm
     /*  389202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389210 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  389213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389219 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389221 */     GIR_RootConstrainSelectedInstOperands,
     /*  389222 */     // GIR_Coverage, 2537,
     /*  389222 */     GIR_EraseRootFromParent_Done,
     /*  389223 */   // Label 6968: @389223
     /*  389223 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(389278), // Rule ID 2538 //
     /*  389228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  389231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  389236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389257 */     // MIs[0] imm
     /*  389257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389260 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389265 */     // (intrinsic_wo_chain:{ *:[i32] } 10905:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  389268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389274 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389276 */     GIR_RootConstrainSelectedInstOperands,
     /*  389277 */     // GIR_Coverage, 2538,
     /*  389277 */     GIR_EraseRootFromParent_Done,
     /*  389278 */   // Label 6969: @389278
     /*  389278 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(389333), // Rule ID 2544 //
     /*  389283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  389286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  389291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389312 */     // MIs[0] imm
     /*  389312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389315 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389320 */     // (intrinsic_wo_chain:{ *:[i32] } 10906:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  389323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389329 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389331 */     GIR_RootConstrainSelectedInstOperands,
     /*  389332 */     // GIR_Coverage, 2544,
     /*  389332 */     GIR_EraseRootFromParent_Done,
     /*  389333 */   // Label 6970: @389333
     /*  389333 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(389388), // Rule ID 2545 //
     /*  389338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  389341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  389346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389367 */     // MIs[0] imm
     /*  389367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389375 */     // (intrinsic_wo_chain:{ *:[i32] } 10907:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  389378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389384 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389386 */     GIR_RootConstrainSelectedInstOperands,
     /*  389387 */     // GIR_Coverage, 2545,
     /*  389387 */     GIR_EraseRootFromParent_Done,
     /*  389388 */   // Label 6971: @389388
     /*  389388 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(389443), // Rule ID 64498 //
     /*  389393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  389401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389422 */     // MIs[0] imm5
     /*  389422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389430 */     // (intrinsic_wo_chain:{ *:[i32] } 10952:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  389433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389439 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389441 */     GIR_RootConstrainSelectedInstOperands,
     /*  389442 */     // GIR_Coverage, 64498,
     /*  389442 */     GIR_EraseRootFromParent_Done,
     /*  389443 */   // Label 6972: @389443
     /*  389443 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(389498), // Rule ID 64499 //
     /*  389448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  389456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389477 */     // MIs[0] imm5
     /*  389477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389485 */     // (intrinsic_wo_chain:{ *:[i32] } 10948:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  389488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389494 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389496 */     GIR_RootConstrainSelectedInstOperands,
     /*  389497 */     // GIR_Coverage, 64499,
     /*  389497 */     GIR_EraseRootFromParent_Done,
     /*  389498 */   // Label 6973: @389498
     /*  389498 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389553), // Rule ID 64500 //
     /*  389503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  389511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389532 */     // MIs[0] imm5
     /*  389532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389540 */     // (intrinsic_wo_chain:{ *:[i32] } 10950:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  389543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389549 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389551 */     GIR_RootConstrainSelectedInstOperands,
     /*  389552 */     // GIR_Coverage, 64500,
     /*  389552 */     GIR_EraseRootFromParent_Done,
     /*  389553 */   // Label 6974: @389553
     /*  389553 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389608), // Rule ID 64501 //
     /*  389558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  389566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389587 */     // MIs[0] imm5
     /*  389587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389590 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389595 */     // (intrinsic_wo_chain:{ *:[i32] } 10946:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  389598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389604 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389606 */     GIR_RootConstrainSelectedInstOperands,
     /*  389607 */     // GIR_Coverage, 64501,
     /*  389607 */     GIR_EraseRootFromParent_Done,
     /*  389608 */   // Label 6975: @389608
     /*  389608 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389663), // Rule ID 64502 //
     /*  389613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  389621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389642 */     // MIs[0] imm5
     /*  389642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389650 */     // (intrinsic_wo_chain:{ *:[i32] } 10953:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  389653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389659 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389661 */     GIR_RootConstrainSelectedInstOperands,
     /*  389662 */     // GIR_Coverage, 64502,
     /*  389662 */     GIR_EraseRootFromParent_Done,
     /*  389663 */   // Label 6976: @389663
     /*  389663 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389718), // Rule ID 64503 //
     /*  389668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  389676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389697 */     // MIs[0] imm5
     /*  389697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389700 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389705 */     // (intrinsic_wo_chain:{ *:[i32] } 10949:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  389708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389714 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389716 */     GIR_RootConstrainSelectedInstOperands,
     /*  389717 */     // GIR_Coverage, 64503,
     /*  389717 */     GIR_EraseRootFromParent_Done,
     /*  389718 */   // Label 6977: @389718
     /*  389718 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389773), // Rule ID 64504 //
     /*  389723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  389731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389752 */     // MIs[0] imm5
     /*  389752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389760 */     // (intrinsic_wo_chain:{ *:[i32] } 10951:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  389763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389769 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389771 */     GIR_RootConstrainSelectedInstOperands,
     /*  389772 */     // GIR_Coverage, 64504,
     /*  389772 */     GIR_EraseRootFromParent_Done,
     /*  389773 */   // Label 6978: @389773
     /*  389773 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(389828), // Rule ID 64505 //
     /*  389778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  389781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  389786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389807 */     // MIs[0] imm5
     /*  389807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  389815 */     // (intrinsic_wo_chain:{ *:[i32] } 10947:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  389815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  389818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389824 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  389826 */     GIR_RootConstrainSelectedInstOperands,
     /*  389827 */     // GIR_Coverage, 64505,
     /*  389827 */     GIR_EraseRootFromParent_Done,
     /*  389828 */   // Label 6979: @389828
     /*  389828 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(389882), // Rule ID 64440 //
     /*  389833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  389836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  389841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389869 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  389869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  389872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  389874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  389880 */     GIR_RootConstrainSelectedInstOperands,
     /*  389881 */     // GIR_Coverage, 64440,
     /*  389881 */     GIR_EraseRootFromParent_Done,
     /*  389882 */   // Label 6980: @389882
     /*  389882 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389936), // Rule ID 64441 //
     /*  389887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  389895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389923 */     // (intrinsic_wo_chain:{ *:[i32] } 10919:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  389923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  389926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  389928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  389934 */     GIR_RootConstrainSelectedInstOperands,
     /*  389935 */     // GIR_Coverage, 64441,
     /*  389935 */     GIR_EraseRootFromParent_Done,
     /*  389936 */   // Label 6981: @389936
     /*  389936 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389990), // Rule ID 64467 //
     /*  389941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  389944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  389949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389977 */     // (intrinsic_wo_chain:{ *:[i32] } 10921:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  389977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  389980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  389982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  389988 */     GIR_RootConstrainSelectedInstOperands,
     /*  389989 */     // GIR_Coverage, 64467,
     /*  389989 */     GIR_EraseRootFromParent_Done,
     /*  389990 */   // Label 6982: @389990
     /*  389990 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(390044), // Rule ID 64468 //
     /*  389995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  390003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390031 */     // (intrinsic_wo_chain:{ *:[i32] } 10921:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  390034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390042 */     GIR_RootConstrainSelectedInstOperands,
     /*  390043 */     // GIR_Coverage, 64468,
     /*  390043 */     GIR_EraseRootFromParent_Done,
     /*  390044 */   // Label 6983: @390044
     /*  390044 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(390098), // Rule ID 64470 //
     /*  390049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  390057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390085 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  390088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390096 */     GIR_RootConstrainSelectedInstOperands,
     /*  390097 */     // GIR_Coverage, 64470,
     /*  390097 */     GIR_EraseRootFromParent_Done,
     /*  390098 */   // Label 6984: @390098
     /*  390098 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(390152), // Rule ID 64471 //
     /*  390103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  390111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390139 */     // (intrinsic_wo_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  390142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390150 */     GIR_RootConstrainSelectedInstOperands,
     /*  390151 */     // GIR_Coverage, 64471,
     /*  390151 */     GIR_EraseRootFromParent_Done,
     /*  390152 */   // Label 6985: @390152
     /*  390152 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(390206), // Rule ID 64473 //
     /*  390157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  390165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390193 */     // (intrinsic_wo_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  390196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390204 */     GIR_RootConstrainSelectedInstOperands,
     /*  390205 */     // GIR_Coverage, 64473,
     /*  390205 */     GIR_EraseRootFromParent_Done,
     /*  390206 */   // Label 6986: @390206
     /*  390206 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390260), // Rule ID 64474 //
     /*  390211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  390219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390247 */     // (intrinsic_wo_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  390250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390258 */     GIR_RootConstrainSelectedInstOperands,
     /*  390259 */     // GIR_Coverage, 64474,
     /*  390259 */     GIR_EraseRootFromParent_Done,
     /*  390260 */   // Label 6987: @390260
     /*  390260 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390314), // Rule ID 64476 //
     /*  390265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  390273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390301 */     // (intrinsic_wo_chain:{ *:[i32] } 10925:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  390304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390312 */     GIR_RootConstrainSelectedInstOperands,
     /*  390313 */     // GIR_Coverage, 64476,
     /*  390313 */     GIR_EraseRootFromParent_Done,
     /*  390314 */   // Label 6988: @390314
     /*  390314 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390368), // Rule ID 64477 //
     /*  390319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  390327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390355 */     // (intrinsic_wo_chain:{ *:[i32] } 10925:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  390358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390366 */     GIR_RootConstrainSelectedInstOperands,
     /*  390367 */     // GIR_Coverage, 64477,
     /*  390367 */     GIR_EraseRootFromParent_Done,
     /*  390368 */   // Label 6989: @390368
     /*  390368 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390422), // Rule ID 64479 //
     /*  390373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  390381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390409 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  390412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390420 */     GIR_RootConstrainSelectedInstOperands,
     /*  390421 */     // GIR_Coverage, 64479,
     /*  390421 */     GIR_EraseRootFromParent_Done,
     /*  390422 */   // Label 6990: @390422
     /*  390422 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390476), // Rule ID 64480 //
     /*  390427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  390435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390463 */     // (intrinsic_wo_chain:{ *:[i32] } 10927:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  390466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390474 */     GIR_RootConstrainSelectedInstOperands,
     /*  390475 */     // GIR_Coverage, 64480,
     /*  390475 */     GIR_EraseRootFromParent_Done,
     /*  390476 */   // Label 6991: @390476
     /*  390476 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390530), // Rule ID 64482 //
     /*  390481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  390489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390517 */     // (intrinsic_wo_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  390520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390528 */     GIR_RootConstrainSelectedInstOperands,
     /*  390529 */     // GIR_Coverage, 64482,
     /*  390529 */     GIR_EraseRootFromParent_Done,
     /*  390530 */   // Label 6992: @390530
     /*  390530 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(390584), // Rule ID 64483 //
     /*  390535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  390543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390571 */     // (intrinsic_wo_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  390574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390582 */     GIR_RootConstrainSelectedInstOperands,
     /*  390583 */     // GIR_Coverage, 64483,
     /*  390583 */     GIR_EraseRootFromParent_Done,
     /*  390584 */   // Label 6993: @390584
     /*  390584 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(390638), // Rule ID 64485 //
     /*  390589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  390597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390625 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  390628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390636 */     GIR_RootConstrainSelectedInstOperands,
     /*  390637 */     // GIR_Coverage, 64485,
     /*  390637 */     GIR_EraseRootFromParent_Done,
     /*  390638 */   // Label 6994: @390638
     /*  390638 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390692), // Rule ID 64486 //
     /*  390643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  390651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390679 */     // (intrinsic_wo_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  390682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390690 */     GIR_RootConstrainSelectedInstOperands,
     /*  390691 */     // GIR_Coverage, 64486,
     /*  390691 */     GIR_EraseRootFromParent_Done,
     /*  390692 */   // Label 6995: @390692
     /*  390692 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390746), // Rule ID 64423 //
     /*  390697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  390700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  390705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390733 */     // (intrinsic_wo_chain:{ *:[i32] } 10935:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  390733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  390736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  390740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390744 */     GIR_RootConstrainSelectedInstOperands,
     /*  390745 */     // GIR_Coverage, 64423,
     /*  390745 */     GIR_EraseRootFromParent_Done,
     /*  390746 */   // Label 6996: @390746
     /*  390746 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390800), // Rule ID 64424 //
     /*  390751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  390754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  390759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390787 */     // (intrinsic_wo_chain:{ *:[i32] } 10935:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  390787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  390790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  390794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390798 */     GIR_RootConstrainSelectedInstOperands,
     /*  390799 */     // GIR_Coverage, 64424,
     /*  390799 */     GIR_EraseRootFromParent_Done,
     /*  390800 */   // Label 6997: @390800
     /*  390800 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390854), // Rule ID 64494 //
     /*  390805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  390808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  390813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390841 */     // (intrinsic_wo_chain:{ *:[i32] } 10936:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  390841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  390844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  390848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390852 */     GIR_RootConstrainSelectedInstOperands,
     /*  390853 */     // GIR_Coverage, 64494,
     /*  390853 */     GIR_EraseRootFromParent_Done,
     /*  390854 */   // Label 6998: @390854
     /*  390854 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(390908), // Rule ID 64495 //
     /*  390859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  390867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390895 */     // (intrinsic_wo_chain:{ *:[i32] } 10936:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  390895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  390898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  390902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390906 */     GIR_RootConstrainSelectedInstOperands,
     /*  390907 */     // GIR_Coverage, 64495,
     /*  390907 */     GIR_EraseRootFromParent_Done,
     /*  390908 */   // Label 6999: @390908
     /*  390908 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(390962), // Rule ID 64496 //
     /*  390913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  390916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  390921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390949 */     // (intrinsic_wo_chain:{ *:[i32] } 10945:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  390949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  390952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  390956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390960 */     GIR_RootConstrainSelectedInstOperands,
     /*  390961 */     // GIR_Coverage, 64496,
     /*  390961 */     GIR_EraseRootFromParent_Done,
     /*  390962 */   // Label 7000: @390962
     /*  390962 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(391016), // Rule ID 64497 //
     /*  390967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  390975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391003 */     // (intrinsic_wo_chain:{ *:[i32] } 10945:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  391006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391014 */     GIR_RootConstrainSelectedInstOperands,
     /*  391015 */     // GIR_Coverage, 64497,
     /*  391015 */     GIR_EraseRootFromParent_Done,
     /*  391016 */   // Label 7001: @391016
     /*  391016 */   GIM_Reject,
     /*  391017 */ // Label 4376: @391017
     /*  391017 */ GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(909794),
     /*  391022 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  391025 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(391100), // Rule ID 62827 //
     /*  391030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391048 */     // MIs[0] op1
     /*  391048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391056 */     // MIs[0] op2
     /*  391056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391064 */     // MIs[0] op3
     /*  391064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391079 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  391082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391084 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391086 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391088 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391098 */     GIR_RootConstrainSelectedInstOperands,
     /*  391099 */     // GIR_Coverage, 62827,
     /*  391099 */     GIR_EraseRootFromParent_Done,
     /*  391100 */   // Label 7003: @391100
     /*  391100 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(391175), // Rule ID 62828 //
     /*  391105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391123 */     // MIs[0] op1
     /*  391123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391131 */     // MIs[0] op2
     /*  391131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391139 */     // MIs[0] op3
     /*  391139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391154 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  391157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391159 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391161 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391163 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391173 */     GIR_RootConstrainSelectedInstOperands,
     /*  391174 */     // GIR_Coverage, 62828,
     /*  391174 */     GIR_EraseRootFromParent_Done,
     /*  391175 */   // Label 7004: @391175
     /*  391175 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391250), // Rule ID 62859 //
     /*  391180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391198 */     // MIs[0] op1
     /*  391198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391206 */     // MIs[0] op2
     /*  391206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391214 */     // MIs[0] op3
     /*  391214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391229 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391234 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391236 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391238 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391248 */     GIR_RootConstrainSelectedInstOperands,
     /*  391249 */     // GIR_Coverage, 62859,
     /*  391249 */     GIR_EraseRootFromParent_Done,
     /*  391250 */   // Label 7005: @391250
     /*  391250 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(391325), // Rule ID 62860 //
     /*  391255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391273 */     // MIs[0] op1
     /*  391273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391281 */     // MIs[0] op2
     /*  391281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391289 */     // MIs[0] op3
     /*  391289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391304 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391309 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391311 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391313 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391323 */     GIR_RootConstrainSelectedInstOperands,
     /*  391324 */     // GIR_Coverage, 62860,
     /*  391324 */     GIR_EraseRootFromParent_Done,
     /*  391325 */   // Label 7006: @391325
     /*  391325 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(391400), // Rule ID 62903 //
     /*  391330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  391341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391348 */     // MIs[0] op1
     /*  391348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391356 */     // MIs[0] op2
     /*  391356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391364 */     // MIs[0] op3
     /*  391364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391384 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391386 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391388 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391398 */     GIR_RootConstrainSelectedInstOperands,
     /*  391399 */     // GIR_Coverage, 62903,
     /*  391399 */     GIR_EraseRootFromParent_Done,
     /*  391400 */   // Label 7007: @391400
     /*  391400 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391475), // Rule ID 62904 //
     /*  391405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  391416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391423 */     // MIs[0] op1
     /*  391423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391431 */     // MIs[0] op2
     /*  391431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391439 */     // MIs[0] op3
     /*  391439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391442 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391454 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391459 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391461 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391463 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391473 */     GIR_RootConstrainSelectedInstOperands,
     /*  391474 */     // GIR_Coverage, 62904,
     /*  391474 */     GIR_EraseRootFromParent_Done,
     /*  391475 */   // Label 7008: @391475
     /*  391475 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391550), // Rule ID 62947 //
     /*  391480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391498 */     // MIs[0] op1
     /*  391498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391501 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391506 */     // MIs[0] op2
     /*  391506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391514 */     // MIs[0] op3
     /*  391514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391534 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391536 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391538 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391548 */     GIR_RootConstrainSelectedInstOperands,
     /*  391549 */     // GIR_Coverage, 62947,
     /*  391549 */     GIR_EraseRootFromParent_Done,
     /*  391550 */   // Label 7009: @391550
     /*  391550 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391625), // Rule ID 62948 //
     /*  391555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391573 */     // MIs[0] op1
     /*  391573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391581 */     // MIs[0] op2
     /*  391581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391584 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391589 */     // MIs[0] op3
     /*  391589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391592 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391604 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391609 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391611 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391613 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391623 */     GIR_RootConstrainSelectedInstOperands,
     /*  391624 */     // GIR_Coverage, 62948,
     /*  391624 */     GIR_EraseRootFromParent_Done,
     /*  391625 */   // Label 7010: @391625
     /*  391625 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391700), // Rule ID 63003 //
     /*  391630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391648 */     // MIs[0] op1
     /*  391648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391656 */     // MIs[0] op2
     /*  391656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391664 */     // MIs[0] op3
     /*  391664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391679 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  391679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391684 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391686 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391688 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391698 */     GIR_RootConstrainSelectedInstOperands,
     /*  391699 */     // GIR_Coverage, 63003,
     /*  391699 */     GIR_EraseRootFromParent_Done,
     /*  391700 */   // Label 7011: @391700
     /*  391700 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(391775), // Rule ID 63004 //
     /*  391705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391723 */     // MIs[0] op1
     /*  391723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391731 */     // MIs[0] op2
     /*  391731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391734 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391739 */     // MIs[0] op3
     /*  391739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  391754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391759 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391761 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391763 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391773 */     GIR_RootConstrainSelectedInstOperands,
     /*  391774 */     // GIR_Coverage, 63004,
     /*  391774 */     GIR_EraseRootFromParent_Done,
     /*  391775 */   // Label 7012: @391775
     /*  391775 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(391850), // Rule ID 63059 //
     /*  391780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  391791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391798 */     // MIs[0] op1
     /*  391798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391806 */     // MIs[0] op2
     /*  391806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391814 */     // MIs[0] op3
     /*  391814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391829 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  391829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391848 */     GIR_RootConstrainSelectedInstOperands,
     /*  391849 */     // GIR_Coverage, 63059,
     /*  391849 */     GIR_EraseRootFromParent_Done,
     /*  391850 */   // Label 7013: @391850
     /*  391850 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(391925), // Rule ID 63060 //
     /*  391855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  391866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391873 */     // MIs[0] op1
     /*  391873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391881 */     // MIs[0] op2
     /*  391881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391889 */     // MIs[0] op3
     /*  391889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  391907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391909 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391911 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391913 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391923 */     GIR_RootConstrainSelectedInstOperands,
     /*  391924 */     // GIR_Coverage, 63060,
     /*  391924 */     GIR_EraseRootFromParent_Done,
     /*  391925 */   // Label 7014: @391925
     /*  391925 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(392000), // Rule ID 63115 //
     /*  391930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391948 */     // MIs[0] op1
     /*  391948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391956 */     // MIs[0] op2
     /*  391956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391964 */     // MIs[0] op3
     /*  391964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  391982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391998 */     GIR_RootConstrainSelectedInstOperands,
     /*  391999 */     // GIR_Coverage, 63115,
     /*  391999 */     GIR_EraseRootFromParent_Done,
     /*  392000 */   // Label 7015: @392000
     /*  392000 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(392075), // Rule ID 63116 //
     /*  392005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  392016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392023 */     // MIs[0] op1
     /*  392023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392031 */     // MIs[0] op2
     /*  392031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392039 */     // MIs[0] op3
     /*  392039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392054 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392059 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392061 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392063 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392073 */     GIR_RootConstrainSelectedInstOperands,
     /*  392074 */     // GIR_Coverage, 63116,
     /*  392074 */     GIR_EraseRootFromParent_Done,
     /*  392075 */   // Label 7016: @392075
     /*  392075 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(392150), // Rule ID 63159 //
     /*  392080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392098 */     // MIs[0] op1
     /*  392098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392106 */     // MIs[0] op2
     /*  392106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392114 */     // MIs[0] op3
     /*  392114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392148 */     GIR_RootConstrainSelectedInstOperands,
     /*  392149 */     // GIR_Coverage, 63159,
     /*  392149 */     GIR_EraseRootFromParent_Done,
     /*  392150 */   // Label 7017: @392150
     /*  392150 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(392225), // Rule ID 63160 //
     /*  392155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392173 */     // MIs[0] op1
     /*  392173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392181 */     // MIs[0] op2
     /*  392181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392189 */     // MIs[0] op3
     /*  392189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392209 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392211 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392213 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392223 */     GIR_RootConstrainSelectedInstOperands,
     /*  392224 */     // GIR_Coverage, 63160,
     /*  392224 */     GIR_EraseRootFromParent_Done,
     /*  392225 */   // Label 7018: @392225
     /*  392225 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(392300), // Rule ID 63215 //
     /*  392230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392248 */     // MIs[0] op1
     /*  392248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392256 */     // MIs[0] op2
     /*  392256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392264 */     // MIs[0] op3
     /*  392264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392279 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392298 */     GIR_RootConstrainSelectedInstOperands,
     /*  392299 */     // GIR_Coverage, 63215,
     /*  392299 */     GIR_EraseRootFromParent_Done,
     /*  392300 */   // Label 7019: @392300
     /*  392300 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(392375), // Rule ID 63216 //
     /*  392305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392323 */     // MIs[0] op1
     /*  392323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392331 */     // MIs[0] op2
     /*  392331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392339 */     // MIs[0] op3
     /*  392339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392373 */     GIR_RootConstrainSelectedInstOperands,
     /*  392374 */     // GIR_Coverage, 63216,
     /*  392374 */     GIR_EraseRootFromParent_Done,
     /*  392375 */   // Label 7020: @392375
     /*  392375 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(392450), // Rule ID 63271 //
     /*  392380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  392391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392398 */     // MIs[0] op1
     /*  392398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392406 */     // MIs[0] op2
     /*  392406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392414 */     // MIs[0] op3
     /*  392414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  392429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392448 */     GIR_RootConstrainSelectedInstOperands,
     /*  392449 */     // GIR_Coverage, 63271,
     /*  392449 */     GIR_EraseRootFromParent_Done,
     /*  392450 */   // Label 7021: @392450
     /*  392450 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392525), // Rule ID 63272 //
     /*  392455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  392466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392473 */     // MIs[0] op1
     /*  392473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392481 */     // MIs[0] op2
     /*  392481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392489 */     // MIs[0] op3
     /*  392489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  392504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392523 */     GIR_RootConstrainSelectedInstOperands,
     /*  392524 */     // GIR_Coverage, 63272,
     /*  392524 */     GIR_EraseRootFromParent_Done,
     /*  392525 */   // Label 7022: @392525
     /*  392525 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392600), // Rule ID 63327 //
     /*  392530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  392541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392548 */     // MIs[0] op1
     /*  392548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392556 */     // MIs[0] op2
     /*  392556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392564 */     // MIs[0] op3
     /*  392564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392579 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  392582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392584 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392586 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392588 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392598 */     GIR_RootConstrainSelectedInstOperands,
     /*  392599 */     // GIR_Coverage, 63327,
     /*  392599 */     GIR_EraseRootFromParent_Done,
     /*  392600 */   // Label 7023: @392600
     /*  392600 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392675), // Rule ID 63328 //
     /*  392605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  392616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392623 */     // MIs[0] op1
     /*  392623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392631 */     // MIs[0] op2
     /*  392631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392639 */     // MIs[0] op3
     /*  392639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  392657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392673 */     GIR_RootConstrainSelectedInstOperands,
     /*  392674 */     // GIR_Coverage, 63328,
     /*  392674 */     GIR_EraseRootFromParent_Done,
     /*  392675 */   // Label 7024: @392675
     /*  392675 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392750), // Rule ID 63371 //
     /*  392680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392698 */     // MIs[0] op1
     /*  392698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392701 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392706 */     // MIs[0] op2
     /*  392706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392709 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392714 */     // MIs[0] op3
     /*  392714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392729 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  392732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392734 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392736 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392738 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392748 */     GIR_RootConstrainSelectedInstOperands,
     /*  392749 */     // GIR_Coverage, 63371,
     /*  392749 */     GIR_EraseRootFromParent_Done,
     /*  392750 */   // Label 7025: @392750
     /*  392750 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(392825), // Rule ID 63372 //
     /*  392755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392773 */     // MIs[0] op1
     /*  392773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392781 */     // MIs[0] op2
     /*  392781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392789 */     // MIs[0] op3
     /*  392789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  392807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392823 */     GIR_RootConstrainSelectedInstOperands,
     /*  392824 */     // GIR_Coverage, 63372,
     /*  392824 */     GIR_EraseRootFromParent_Done,
     /*  392825 */   // Label 7026: @392825
     /*  392825 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(392900), // Rule ID 63415 //
     /*  392830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392848 */     // MIs[0] op1
     /*  392848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392851 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392856 */     // MIs[0] op2
     /*  392856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392859 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392864 */     // MIs[0] op3
     /*  392864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392879 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  392882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392884 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392886 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392888 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392898 */     GIR_RootConstrainSelectedInstOperands,
     /*  392899 */     // GIR_Coverage, 63415,
     /*  392899 */     GIR_EraseRootFromParent_Done,
     /*  392900 */   // Label 7027: @392900
     /*  392900 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(392975), // Rule ID 63416 //
     /*  392905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392923 */     // MIs[0] op1
     /*  392923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392931 */     // MIs[0] op2
     /*  392931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392939 */     // MIs[0] op3
     /*  392939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  392957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392959 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392961 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392963 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392973 */     GIR_RootConstrainSelectedInstOperands,
     /*  392974 */     // GIR_Coverage, 63416,
     /*  392974 */     GIR_EraseRootFromParent_Done,
     /*  392975 */   // Label 7028: @392975
     /*  392975 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(393050), // Rule ID 63459 //
     /*  392980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392998 */     // MIs[0] op1
     /*  392998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393001 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393006 */     // MIs[0] op2
     /*  393006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393009 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393014 */     // MIs[0] op3
     /*  393014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393034 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393036 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393038 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393048 */     GIR_RootConstrainSelectedInstOperands,
     /*  393049 */     // GIR_Coverage, 63459,
     /*  393049 */     GIR_EraseRootFromParent_Done,
     /*  393050 */   // Label 7029: @393050
     /*  393050 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(393125), // Rule ID 63460 //
     /*  393055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393073 */     // MIs[0] op1
     /*  393073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393081 */     // MIs[0] op2
     /*  393081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393089 */     // MIs[0] op3
     /*  393089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393109 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393111 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393113 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393123 */     GIR_RootConstrainSelectedInstOperands,
     /*  393124 */     // GIR_Coverage, 63460,
     /*  393124 */     GIR_EraseRootFromParent_Done,
     /*  393125 */   // Label 7030: @393125
     /*  393125 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(393200), // Rule ID 63515 //
     /*  393130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393148 */     // MIs[0] op1
     /*  393148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393156 */     // MIs[0] op2
     /*  393156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393164 */     // MIs[0] op3
     /*  393164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393179 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393198 */     GIR_RootConstrainSelectedInstOperands,
     /*  393199 */     // GIR_Coverage, 63515,
     /*  393199 */     GIR_EraseRootFromParent_Done,
     /*  393200 */   // Label 7031: @393200
     /*  393200 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(393275), // Rule ID 63516 //
     /*  393205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393223 */     // MIs[0] op1
     /*  393223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393231 */     // MIs[0] op2
     /*  393231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393239 */     // MIs[0] op3
     /*  393239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393259 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393261 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393263 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393273 */     GIR_RootConstrainSelectedInstOperands,
     /*  393274 */     // GIR_Coverage, 63516,
     /*  393274 */     GIR_EraseRootFromParent_Done,
     /*  393275 */   // Label 7032: @393275
     /*  393275 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(393350), // Rule ID 63571 //
     /*  393280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393298 */     // MIs[0] op1
     /*  393298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393301 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393306 */     // MIs[0] op2
     /*  393306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393314 */     // MIs[0] op3
     /*  393314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393348 */     GIR_RootConstrainSelectedInstOperands,
     /*  393349 */     // GIR_Coverage, 63571,
     /*  393349 */     GIR_EraseRootFromParent_Done,
     /*  393350 */   // Label 7033: @393350
     /*  393350 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(393425), // Rule ID 63572 //
     /*  393355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393373 */     // MIs[0] op1
     /*  393373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393381 */     // MIs[0] op2
     /*  393381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393389 */     // MIs[0] op3
     /*  393389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393409 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393411 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393413 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393423 */     GIR_RootConstrainSelectedInstOperands,
     /*  393424 */     // GIR_Coverage, 63572,
     /*  393424 */     GIR_EraseRootFromParent_Done,
     /*  393425 */   // Label 7034: @393425
     /*  393425 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(393500), // Rule ID 63627 //
     /*  393430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393448 */     // MIs[0] op1
     /*  393448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393456 */     // MIs[0] op2
     /*  393456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393464 */     // MIs[0] op3
     /*  393464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393484 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393486 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393488 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393498 */     GIR_RootConstrainSelectedInstOperands,
     /*  393499 */     // GIR_Coverage, 63627,
     /*  393499 */     GIR_EraseRootFromParent_Done,
     /*  393500 */   // Label 7035: @393500
     /*  393500 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393575), // Rule ID 63628 //
     /*  393505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393523 */     // MIs[0] op1
     /*  393523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393531 */     // MIs[0] op2
     /*  393531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393534 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393539 */     // MIs[0] op3
     /*  393539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393542 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393573 */     GIR_RootConstrainSelectedInstOperands,
     /*  393574 */     // GIR_Coverage, 63628,
     /*  393574 */     GIR_EraseRootFromParent_Done,
     /*  393575 */   // Label 7036: @393575
     /*  393575 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393650), // Rule ID 63683 //
     /*  393580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393598 */     // MIs[0] op1
     /*  393598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393606 */     // MIs[0] op2
     /*  393606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393614 */     // MIs[0] op3
     /*  393614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393648 */     GIR_RootConstrainSelectedInstOperands,
     /*  393649 */     // GIR_Coverage, 63683,
     /*  393649 */     GIR_EraseRootFromParent_Done,
     /*  393650 */   // Label 7037: @393650
     /*  393650 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393725), // Rule ID 63684 //
     /*  393655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393673 */     // MIs[0] op1
     /*  393673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393681 */     // MIs[0] op2
     /*  393681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393689 */     // MIs[0] op3
     /*  393689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393709 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393711 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393713 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393723 */     GIR_RootConstrainSelectedInstOperands,
     /*  393724 */     // GIR_Coverage, 63684,
     /*  393724 */     GIR_EraseRootFromParent_Done,
     /*  393725 */   // Label 7038: @393725
     /*  393725 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(393800), // Rule ID 63739 //
     /*  393730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393748 */     // MIs[0] op1
     /*  393748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393756 */     // MIs[0] op2
     /*  393756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393764 */     // MIs[0] op3
     /*  393764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393779 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393798 */     GIR_RootConstrainSelectedInstOperands,
     /*  393799 */     // GIR_Coverage, 63739,
     /*  393799 */     GIR_EraseRootFromParent_Done,
     /*  393800 */   // Label 7039: @393800
     /*  393800 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(393875), // Rule ID 63740 //
     /*  393805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393823 */     // MIs[0] op1
     /*  393823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393831 */     // MIs[0] op2
     /*  393831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393839 */     // MIs[0] op3
     /*  393839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393859 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393861 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393863 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393873 */     GIR_RootConstrainSelectedInstOperands,
     /*  393874 */     // GIR_Coverage, 63740,
     /*  393874 */     GIR_EraseRootFromParent_Done,
     /*  393875 */   // Label 7040: @393875
     /*  393875 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(393950), // Rule ID 63795 //
     /*  393880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393898 */     // MIs[0] op1
     /*  393898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393906 */     // MIs[0] op2
     /*  393906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393914 */     // MIs[0] op3
     /*  393914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393934 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393936 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393938 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393948 */     GIR_RootConstrainSelectedInstOperands,
     /*  393949 */     // GIR_Coverage, 63795,
     /*  393949 */     GIR_EraseRootFromParent_Done,
     /*  393950 */   // Label 7041: @393950
     /*  393950 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(394025), // Rule ID 63796 //
     /*  393955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393973 */     // MIs[0] op1
     /*  393973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393981 */     // MIs[0] op2
     /*  393981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393989 */     // MIs[0] op3
     /*  393989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  394007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394009 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394011 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394013 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394023 */     GIR_RootConstrainSelectedInstOperands,
     /*  394024 */     // GIR_Coverage, 63796,
     /*  394024 */     GIR_EraseRootFromParent_Done,
     /*  394025 */   // Label 7042: @394025
     /*  394025 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(394100), // Rule ID 63851 //
     /*  394030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394048 */     // MIs[0] op1
     /*  394048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394056 */     // MIs[0] op2
     /*  394056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394064 */     // MIs[0] op3
     /*  394064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394079 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394084 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394086 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394088 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394098 */     GIR_RootConstrainSelectedInstOperands,
     /*  394099 */     // GIR_Coverage, 63851,
     /*  394099 */     GIR_EraseRootFromParent_Done,
     /*  394100 */   // Label 7043: @394100
     /*  394100 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(394175), // Rule ID 63852 //
     /*  394105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394123 */     // MIs[0] op1
     /*  394123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394131 */     // MIs[0] op2
     /*  394131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394139 */     // MIs[0] op3
     /*  394139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394159 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394161 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394163 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394173 */     GIR_RootConstrainSelectedInstOperands,
     /*  394174 */     // GIR_Coverage, 63852,
     /*  394174 */     GIR_EraseRootFromParent_Done,
     /*  394175 */   // Label 7044: @394175
     /*  394175 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(394250), // Rule ID 63907 //
     /*  394180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394198 */     // MIs[0] op1
     /*  394198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394206 */     // MIs[0] op2
     /*  394206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394214 */     // MIs[0] op3
     /*  394214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394229 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394234 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394236 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394238 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394248 */     GIR_RootConstrainSelectedInstOperands,
     /*  394249 */     // GIR_Coverage, 63907,
     /*  394249 */     GIR_EraseRootFromParent_Done,
     /*  394250 */   // Label 7045: @394250
     /*  394250 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(394325), // Rule ID 63908 //
     /*  394255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394273 */     // MIs[0] op1
     /*  394273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394281 */     // MIs[0] op2
     /*  394281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394289 */     // MIs[0] op3
     /*  394289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394304 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11002:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394309 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394311 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394313 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394323 */     GIR_RootConstrainSelectedInstOperands,
     /*  394324 */     // GIR_Coverage, 63908,
     /*  394324 */     GIR_EraseRootFromParent_Done,
     /*  394325 */   // Label 7046: @394325
     /*  394325 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(394399), // Rule ID 62809 //
     /*  394330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  394341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394351 */     // MIs[0] op1
     /*  394351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394359 */     // MIs[0] op2
     /*  394359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  394381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394383 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394385 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394387 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394397 */     GIR_RootConstrainSelectedInstOperands,
     /*  394398 */     // GIR_Coverage, 62809,
     /*  394398 */     GIR_EraseRootFromParent_Done,
     /*  394399 */   // Label 7047: @394399
     /*  394399 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(394473), // Rule ID 62810 //
     /*  394404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  394415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394425 */     // MIs[0] op1
     /*  394425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394433 */     // MIs[0] op2
     /*  394433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394452 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  394455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394457 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394459 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394461 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394471 */     GIR_RootConstrainSelectedInstOperands,
     /*  394472 */     // GIR_Coverage, 62810,
     /*  394472 */     GIR_EraseRootFromParent_Done,
     /*  394473 */   // Label 7048: @394473
     /*  394473 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394547), // Rule ID 62855 //
     /*  394478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  394489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394499 */     // MIs[0] op1
     /*  394499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394507 */     // MIs[0] op2
     /*  394507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  394529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394531 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394533 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394535 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394545 */     GIR_RootConstrainSelectedInstOperands,
     /*  394546 */     // GIR_Coverage, 62855,
     /*  394546 */     GIR_EraseRootFromParent_Done,
     /*  394547 */   // Label 7049: @394547
     /*  394547 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394621), // Rule ID 62856 //
     /*  394552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  394563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394573 */     // MIs[0] op1
     /*  394573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394581 */     // MIs[0] op2
     /*  394581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394584 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394600 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  394603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394605 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394607 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394609 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394619 */     GIR_RootConstrainSelectedInstOperands,
     /*  394620 */     // GIR_Coverage, 62856,
     /*  394620 */     GIR_EraseRootFromParent_Done,
     /*  394621 */   // Label 7050: @394621
     /*  394621 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394695), // Rule ID 62899 //
     /*  394626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  394637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394647 */     // MIs[0] op1
     /*  394647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394655 */     // MIs[0] op2
     /*  394655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394674 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  394674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  394677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394679 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394681 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394683 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394693 */     GIR_RootConstrainSelectedInstOperands,
     /*  394694 */     // GIR_Coverage, 62899,
     /*  394694 */     GIR_EraseRootFromParent_Done,
     /*  394695 */   // Label 7051: @394695
     /*  394695 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394769), // Rule ID 62900 //
     /*  394700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  394711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394721 */     // MIs[0] op1
     /*  394721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394729 */     // MIs[0] op2
     /*  394729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  394748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  394751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394753 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394755 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394757 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394767 */     GIR_RootConstrainSelectedInstOperands,
     /*  394768 */     // GIR_Coverage, 62900,
     /*  394768 */     GIR_EraseRootFromParent_Done,
     /*  394769 */   // Label 7052: @394769
     /*  394769 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(394843), // Rule ID 62943 //
     /*  394774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  394785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394795 */     // MIs[0] op1
     /*  394795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394803 */     // MIs[0] op2
     /*  394803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  394825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394827 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394829 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394831 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394841 */     GIR_RootConstrainSelectedInstOperands,
     /*  394842 */     // GIR_Coverage, 62943,
     /*  394842 */     GIR_EraseRootFromParent_Done,
     /*  394843 */   // Label 7053: @394843
     /*  394843 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(394917), // Rule ID 62944 //
     /*  394848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  394859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  394862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394869 */     // MIs[0] op1
     /*  394869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394877 */     // MIs[0] op2
     /*  394877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  394899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394915 */     GIR_RootConstrainSelectedInstOperands,
     /*  394916 */     // GIR_Coverage, 62944,
     /*  394916 */     GIR_EraseRootFromParent_Done,
     /*  394917 */   // Label 7054: @394917
     /*  394917 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(394991), // Rule ID 62999 //
     /*  394922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  394930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  394936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394943 */     // MIs[0] op1
     /*  394943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394951 */     // MIs[0] op2
     /*  394951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  394963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  394973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394975 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394977 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394979 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394989 */     GIR_RootConstrainSelectedInstOperands,
     /*  394990 */     // GIR_Coverage, 62999,
     /*  394990 */     GIR_EraseRootFromParent_Done,
     /*  394991 */   // Label 7055: @394991
     /*  394991 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(395065), // Rule ID 63000 //
     /*  394996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395017 */     // MIs[0] op1
     /*  395017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395025 */     // MIs[0] op2
     /*  395025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395049 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395051 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395053 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395063 */     GIR_RootConstrainSelectedInstOperands,
     /*  395064 */     // GIR_Coverage, 63000,
     /*  395064 */     GIR_EraseRootFromParent_Done,
     /*  395065 */   // Label 7056: @395065
     /*  395065 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(395139), // Rule ID 63055 //
     /*  395070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395091 */     // MIs[0] op1
     /*  395091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395099 */     // MIs[0] op2
     /*  395099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395123 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395125 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395127 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395137 */     GIR_RootConstrainSelectedInstOperands,
     /*  395138 */     // GIR_Coverage, 63055,
     /*  395138 */     GIR_EraseRootFromParent_Done,
     /*  395139 */   // Label 7057: @395139
     /*  395139 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(395213), // Rule ID 63056 //
     /*  395144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395165 */     // MIs[0] op1
     /*  395165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395173 */     // MIs[0] op2
     /*  395173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395197 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395199 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395201 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395211 */     GIR_RootConstrainSelectedInstOperands,
     /*  395212 */     // GIR_Coverage, 63056,
     /*  395212 */     GIR_EraseRootFromParent_Done,
     /*  395213 */   // Label 7058: @395213
     /*  395213 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(395287), // Rule ID 63111 //
     /*  395218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395239 */     // MIs[0] op1
     /*  395239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395247 */     // MIs[0] op2
     /*  395247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395266 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395271 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395273 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395275 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395285 */     GIR_RootConstrainSelectedInstOperands,
     /*  395286 */     // GIR_Coverage, 63111,
     /*  395286 */     GIR_EraseRootFromParent_Done,
     /*  395287 */   // Label 7059: @395287
     /*  395287 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(395361), // Rule ID 63112 //
     /*  395292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395313 */     // MIs[0] op1
     /*  395313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395321 */     // MIs[0] op2
     /*  395321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395359 */     GIR_RootConstrainSelectedInstOperands,
     /*  395360 */     // GIR_Coverage, 63112,
     /*  395360 */     GIR_EraseRootFromParent_Done,
     /*  395361 */   // Label 7060: @395361
     /*  395361 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(395435), // Rule ID 63155 //
     /*  395366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395387 */     // MIs[0] op1
     /*  395387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395395 */     // MIs[0] op2
     /*  395395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395419 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395421 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395423 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395433 */     GIR_RootConstrainSelectedInstOperands,
     /*  395434 */     // GIR_Coverage, 63155,
     /*  395434 */     GIR_EraseRootFromParent_Done,
     /*  395435 */   // Label 7061: @395435
     /*  395435 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395509), // Rule ID 63156 //
     /*  395440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395461 */     // MIs[0] op1
     /*  395461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395469 */     // MIs[0] op2
     /*  395469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395493 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395495 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395497 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395507 */     GIR_RootConstrainSelectedInstOperands,
     /*  395508 */     // GIR_Coverage, 63156,
     /*  395508 */     GIR_EraseRootFromParent_Done,
     /*  395509 */   // Label 7062: @395509
     /*  395509 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395583), // Rule ID 63211 //
     /*  395514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395535 */     // MIs[0] op1
     /*  395535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395543 */     // MIs[0] op2
     /*  395543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395567 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395569 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395571 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395581 */     GIR_RootConstrainSelectedInstOperands,
     /*  395582 */     // GIR_Coverage, 63211,
     /*  395582 */     GIR_EraseRootFromParent_Done,
     /*  395583 */   // Label 7063: @395583
     /*  395583 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395657), // Rule ID 63212 //
     /*  395588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395609 */     // MIs[0] op1
     /*  395609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395617 */     // MIs[0] op2
     /*  395617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395655 */     GIR_RootConstrainSelectedInstOperands,
     /*  395656 */     // GIR_Coverage, 63212,
     /*  395656 */     GIR_EraseRootFromParent_Done,
     /*  395657 */   // Label 7064: @395657
     /*  395657 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395731), // Rule ID 63267 //
     /*  395662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395683 */     // MIs[0] op1
     /*  395683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395691 */     // MIs[0] op2
     /*  395691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  395710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395715 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395717 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395719 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395729 */     GIR_RootConstrainSelectedInstOperands,
     /*  395730 */     // GIR_Coverage, 63267,
     /*  395730 */     GIR_EraseRootFromParent_Done,
     /*  395731 */   // Label 7065: @395731
     /*  395731 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(395805), // Rule ID 63268 //
     /*  395736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395757 */     // MIs[0] op1
     /*  395757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395765 */     // MIs[0] op2
     /*  395765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395768 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  395784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395803 */     GIR_RootConstrainSelectedInstOperands,
     /*  395804 */     // GIR_Coverage, 63268,
     /*  395804 */     GIR_EraseRootFromParent_Done,
     /*  395805 */   // Label 7066: @395805
     /*  395805 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(395879), // Rule ID 63323 //
     /*  395810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  395821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395831 */     // MIs[0] op1
     /*  395831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395839 */     // MIs[0] op2
     /*  395839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  395861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395877 */     GIR_RootConstrainSelectedInstOperands,
     /*  395878 */     // GIR_Coverage, 63323,
     /*  395878 */     GIR_EraseRootFromParent_Done,
     /*  395879 */   // Label 7067: @395879
     /*  395879 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(395953), // Rule ID 63324 //
     /*  395884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  395895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395905 */     // MIs[0] op1
     /*  395905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395913 */     // MIs[0] op2
     /*  395913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  395935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395937 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395939 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395941 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395951 */     GIR_RootConstrainSelectedInstOperands,
     /*  395952 */     // GIR_Coverage, 63324,
     /*  395952 */     GIR_EraseRootFromParent_Done,
     /*  395953 */   // Label 7068: @395953
     /*  395953 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(396027), // Rule ID 63367 //
     /*  395958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  395969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395979 */     // MIs[0] op1
     /*  395979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395987 */     // MIs[0] op2
     /*  395987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396006 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396011 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396013 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396015 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396025 */     GIR_RootConstrainSelectedInstOperands,
     /*  396026 */     // GIR_Coverage, 63367,
     /*  396026 */     GIR_EraseRootFromParent_Done,
     /*  396027 */   // Label 7069: @396027
     /*  396027 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(396101), // Rule ID 63368 //
     /*  396032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  396043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396053 */     // MIs[0] op1
     /*  396053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396061 */     // MIs[0] op2
     /*  396061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396080 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396085 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396087 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396089 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396099 */     GIR_RootConstrainSelectedInstOperands,
     /*  396100 */     // GIR_Coverage, 63368,
     /*  396100 */     GIR_EraseRootFromParent_Done,
     /*  396101 */   // Label 7070: @396101
     /*  396101 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(396175), // Rule ID 63411 //
     /*  396106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396127 */     // MIs[0] op1
     /*  396127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396135 */     // MIs[0] op2
     /*  396135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396154 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396159 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396161 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396163 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396173 */     GIR_RootConstrainSelectedInstOperands,
     /*  396174 */     // GIR_Coverage, 63411,
     /*  396174 */     GIR_EraseRootFromParent_Done,
     /*  396175 */   // Label 7071: @396175
     /*  396175 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(396249), // Rule ID 63412 //
     /*  396180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396201 */     // MIs[0] op1
     /*  396201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396209 */     // MIs[0] op2
     /*  396209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396247 */     GIR_RootConstrainSelectedInstOperands,
     /*  396248 */     // GIR_Coverage, 63412,
     /*  396248 */     GIR_EraseRootFromParent_Done,
     /*  396249 */   // Label 7072: @396249
     /*  396249 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(396323), // Rule ID 63455 //
     /*  396254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396275 */     // MIs[0] op1
     /*  396275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396283 */     // MIs[0] op2
     /*  396283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396307 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396309 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396311 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396321 */     GIR_RootConstrainSelectedInstOperands,
     /*  396322 */     // GIR_Coverage, 63455,
     /*  396322 */     GIR_EraseRootFromParent_Done,
     /*  396323 */   // Label 7073: @396323
     /*  396323 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(396397), // Rule ID 63456 //
     /*  396328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396349 */     // MIs[0] op1
     /*  396349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396357 */     // MIs[0] op2
     /*  396357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396381 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396383 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396385 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396395 */     GIR_RootConstrainSelectedInstOperands,
     /*  396396 */     // GIR_Coverage, 63456,
     /*  396396 */     GIR_EraseRootFromParent_Done,
     /*  396397 */   // Label 7074: @396397
     /*  396397 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(396471), // Rule ID 63511 //
     /*  396402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396423 */     // MIs[0] op1
     /*  396423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396431 */     // MIs[0] op2
     /*  396431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396450 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396455 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396457 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396459 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396469 */     GIR_RootConstrainSelectedInstOperands,
     /*  396470 */     // GIR_Coverage, 63511,
     /*  396470 */     GIR_EraseRootFromParent_Done,
     /*  396471 */   // Label 7075: @396471
     /*  396471 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396545), // Rule ID 63512 //
     /*  396476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396497 */     // MIs[0] op1
     /*  396497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396505 */     // MIs[0] op2
     /*  396505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396529 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396531 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396533 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396543 */     GIR_RootConstrainSelectedInstOperands,
     /*  396544 */     // GIR_Coverage, 63512,
     /*  396544 */     GIR_EraseRootFromParent_Done,
     /*  396545 */   // Label 7076: @396545
     /*  396545 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396619), // Rule ID 63567 //
     /*  396550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396571 */     // MIs[0] op1
     /*  396571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396579 */     // MIs[0] op2
     /*  396579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396582 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396598 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396603 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396605 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396607 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396617 */     GIR_RootConstrainSelectedInstOperands,
     /*  396618 */     // GIR_Coverage, 63567,
     /*  396618 */     GIR_EraseRootFromParent_Done,
     /*  396619 */   // Label 7077: @396619
     /*  396619 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396693), // Rule ID 63568 //
     /*  396624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396645 */     // MIs[0] op1
     /*  396645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396653 */     // MIs[0] op2
     /*  396653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396677 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396679 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396681 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396691 */     GIR_RootConstrainSelectedInstOperands,
     /*  396692 */     // GIR_Coverage, 63568,
     /*  396692 */     GIR_EraseRootFromParent_Done,
     /*  396693 */   // Label 7078: @396693
     /*  396693 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396767), // Rule ID 63623 //
     /*  396698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396719 */     // MIs[0] op1
     /*  396719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396727 */     // MIs[0] op2
     /*  396727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396751 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396753 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396755 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396765 */     GIR_RootConstrainSelectedInstOperands,
     /*  396766 */     // GIR_Coverage, 63623,
     /*  396766 */     GIR_EraseRootFromParent_Done,
     /*  396767 */   // Label 7079: @396767
     /*  396767 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(396841), // Rule ID 63624 //
     /*  396772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396793 */     // MIs[0] op1
     /*  396793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396801 */     // MIs[0] op2
     /*  396801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396804 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396825 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396827 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396829 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396839 */     GIR_RootConstrainSelectedInstOperands,
     /*  396840 */     // GIR_Coverage, 63624,
     /*  396840 */     GIR_EraseRootFromParent_Done,
     /*  396841 */   // Label 7080: @396841
     /*  396841 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(396915), // Rule ID 63679 //
     /*  396846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396867 */     // MIs[0] op1
     /*  396867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396875 */     // MIs[0] op2
     /*  396875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396899 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396901 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396903 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396913 */     GIR_RootConstrainSelectedInstOperands,
     /*  396914 */     // GIR_Coverage, 63679,
     /*  396914 */     GIR_EraseRootFromParent_Done,
     /*  396915 */   // Label 7081: @396915
     /*  396915 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(396989), // Rule ID 63680 //
     /*  396920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396941 */     // MIs[0] op1
     /*  396941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396949 */     // MIs[0] op2
     /*  396949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396973 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396975 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396977 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396987 */     GIR_RootConstrainSelectedInstOperands,
     /*  396988 */     // GIR_Coverage, 63680,
     /*  396988 */     GIR_EraseRootFromParent_Done,
     /*  396989 */   // Label 7082: @396989
     /*  396989 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(397063), // Rule ID 63735 //
     /*  396994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397015 */     // MIs[0] op1
     /*  397015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397023 */     // MIs[0] op2
     /*  397023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  397042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397047 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397049 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397051 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397061 */     GIR_RootConstrainSelectedInstOperands,
     /*  397062 */     // GIR_Coverage, 63735,
     /*  397062 */     GIR_EraseRootFromParent_Done,
     /*  397063 */   // Label 7083: @397063
     /*  397063 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(397137), // Rule ID 63736 //
     /*  397068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397089 */     // MIs[0] op1
     /*  397089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397097 */     // MIs[0] op2
     /*  397097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  397116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397121 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397123 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397125 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397135 */     GIR_RootConstrainSelectedInstOperands,
     /*  397136 */     // GIR_Coverage, 63736,
     /*  397136 */     GIR_EraseRootFromParent_Done,
     /*  397137 */   // Label 7084: @397137
     /*  397137 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(397211), // Rule ID 63791 //
     /*  397142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397163 */     // MIs[0] op1
     /*  397163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397171 */     // MIs[0] op2
     /*  397171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397190 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397209 */     GIR_RootConstrainSelectedInstOperands,
     /*  397210 */     // GIR_Coverage, 63791,
     /*  397210 */     GIR_EraseRootFromParent_Done,
     /*  397211 */   // Label 7085: @397211
     /*  397211 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(397285), // Rule ID 63792 //
     /*  397216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397237 */     // MIs[0] op1
     /*  397237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397245 */     // MIs[0] op2
     /*  397245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397248 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397283 */     GIR_RootConstrainSelectedInstOperands,
     /*  397284 */     // GIR_Coverage, 63792,
     /*  397284 */     GIR_EraseRootFromParent_Done,
     /*  397285 */   // Label 7086: @397285
     /*  397285 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(397359), // Rule ID 63847 //
     /*  397290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397311 */     // MIs[0] op1
     /*  397311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397319 */     // MIs[0] op2
     /*  397319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397343 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397345 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397347 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397357 */     GIR_RootConstrainSelectedInstOperands,
     /*  397358 */     // GIR_Coverage, 63847,
     /*  397358 */     GIR_EraseRootFromParent_Done,
     /*  397359 */   // Label 7087: @397359
     /*  397359 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(397433), // Rule ID 63848 //
     /*  397364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397385 */     // MIs[0] op1
     /*  397385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397393 */     // MIs[0] op2
     /*  397393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397396 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397417 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397419 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397421 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397431 */     GIR_RootConstrainSelectedInstOperands,
     /*  397432 */     // GIR_Coverage, 63848,
     /*  397432 */     GIR_EraseRootFromParent_Done,
     /*  397433 */   // Label 7088: @397433
     /*  397433 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397507), // Rule ID 63903 //
     /*  397438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397459 */     // MIs[0] op1
     /*  397459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397467 */     // MIs[0] op2
     /*  397467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397491 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397493 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397495 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397505 */     GIR_RootConstrainSelectedInstOperands,
     /*  397506 */     // GIR_Coverage, 63903,
     /*  397506 */     GIR_EraseRootFromParent_Done,
     /*  397507 */   // Label 7089: @397507
     /*  397507 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397581), // Rule ID 63904 //
     /*  397512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397533 */     // MIs[0] op1
     /*  397533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397541 */     // MIs[0] op2
     /*  397541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11016:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397565 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397567 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397569 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397579 */     GIR_RootConstrainSelectedInstOperands,
     /*  397580 */     // GIR_Coverage, 63904,
     /*  397580 */     GIR_EraseRootFromParent_Done,
     /*  397581 */   // Label 7090: @397581
     /*  397581 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397655), // Rule ID 62833 //
     /*  397586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  397597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  397600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397607 */     // MIs[0] op1
     /*  397607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397610 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397619 */     // MIs[0] op3
     /*  397619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  397634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  397637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397639 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397641 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397643 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397653 */     GIR_RootConstrainSelectedInstOperands,
     /*  397654 */     // GIR_Coverage, 62833,
     /*  397654 */     GIR_EraseRootFromParent_Done,
     /*  397655 */   // Label 7091: @397655
     /*  397655 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397729), // Rule ID 62834 //
     /*  397660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  397671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  397674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397681 */     // MIs[0] op1
     /*  397681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397693 */     // MIs[0] op3
     /*  397693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  397708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  397711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397713 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397715 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397717 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397727 */     GIR_RootConstrainSelectedInstOperands,
     /*  397728 */     // GIR_Coverage, 62834,
     /*  397728 */     GIR_EraseRootFromParent_Done,
     /*  397729 */   // Label 7092: @397729
     /*  397729 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(397803), // Rule ID 62871 //
     /*  397734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  397745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  397748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397755 */     // MIs[0] op1
     /*  397755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397767 */     // MIs[0] op3
     /*  397767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397782 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  397782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  397785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397801 */     GIR_RootConstrainSelectedInstOperands,
     /*  397802 */     // GIR_Coverage, 62871,
     /*  397802 */     GIR_EraseRootFromParent_Done,
     /*  397803 */   // Label 7093: @397803
     /*  397803 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(397877), // Rule ID 62872 //
     /*  397808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  397819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  397822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397829 */     // MIs[0] op1
     /*  397829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397841 */     // MIs[0] op3
     /*  397841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  397856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  397859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397861 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397863 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397865 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397875 */     GIR_RootConstrainSelectedInstOperands,
     /*  397876 */     // GIR_Coverage, 62872,
     /*  397876 */     GIR_EraseRootFromParent_Done,
     /*  397877 */   // Label 7094: @397877
     /*  397877 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(397951), // Rule ID 62915 //
     /*  397882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  397893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  397896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397903 */     // MIs[0] op1
     /*  397903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397915 */     // MIs[0] op3
     /*  397915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397918 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  397930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  397933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397935 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397937 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397939 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397949 */     GIR_RootConstrainSelectedInstOperands,
     /*  397950 */     // GIR_Coverage, 62915,
     /*  397950 */     GIR_EraseRootFromParent_Done,
     /*  397951 */   // Label 7095: @397951
     /*  397951 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(398025), // Rule ID 62916 //
     /*  397956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  397964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  397967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  397970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397977 */     // MIs[0] op1
     /*  397977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397989 */     // MIs[0] op3
     /*  397989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  397992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  397997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398009 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398011 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398013 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398023 */     GIR_RootConstrainSelectedInstOperands,
     /*  398024 */     // GIR_Coverage, 62916,
     /*  398024 */     GIR_EraseRootFromParent_Done,
     /*  398025 */   // Label 7096: @398025
     /*  398025 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(398099), // Rule ID 62959 //
     /*  398030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398051 */     // MIs[0] op1
     /*  398051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398063 */     // MIs[0] op3
     /*  398063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398097 */     GIR_RootConstrainSelectedInstOperands,
     /*  398098 */     // GIR_Coverage, 62959,
     /*  398098 */     GIR_EraseRootFromParent_Done,
     /*  398099 */   // Label 7097: @398099
     /*  398099 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(398173), // Rule ID 62960 //
     /*  398104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398125 */     // MIs[0] op1
     /*  398125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398128 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398137 */     // MIs[0] op3
     /*  398137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398157 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398159 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398161 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398171 */     GIR_RootConstrainSelectedInstOperands,
     /*  398172 */     // GIR_Coverage, 62960,
     /*  398172 */     GIR_EraseRootFromParent_Done,
     /*  398173 */   // Label 7098: @398173
     /*  398173 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(398247), // Rule ID 63015 //
     /*  398178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398199 */     // MIs[0] op1
     /*  398199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398211 */     // MIs[0] op3
     /*  398211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398231 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398233 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398235 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398245 */     GIR_RootConstrainSelectedInstOperands,
     /*  398246 */     // GIR_Coverage, 63015,
     /*  398246 */     GIR_EraseRootFromParent_Done,
     /*  398247 */   // Label 7099: @398247
     /*  398247 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(398321), // Rule ID 63016 //
     /*  398252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398273 */     // MIs[0] op1
     /*  398273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398285 */     // MIs[0] op3
     /*  398285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398305 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398307 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398309 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398319 */     GIR_RootConstrainSelectedInstOperands,
     /*  398320 */     // GIR_Coverage, 63016,
     /*  398320 */     GIR_EraseRootFromParent_Done,
     /*  398321 */   // Label 7100: @398321
     /*  398321 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(398395), // Rule ID 63071 //
     /*  398326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398347 */     // MIs[0] op1
     /*  398347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398359 */     // MIs[0] op3
     /*  398359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  398374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398393 */     GIR_RootConstrainSelectedInstOperands,
     /*  398394 */     // GIR_Coverage, 63071,
     /*  398394 */     GIR_EraseRootFromParent_Done,
     /*  398395 */   // Label 7101: @398395
     /*  398395 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(398469), // Rule ID 63072 //
     /*  398400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398421 */     // MIs[0] op1
     /*  398421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398424 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398433 */     // MIs[0] op3
     /*  398433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  398448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398453 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398455 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398457 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398467 */     GIR_RootConstrainSelectedInstOperands,
     /*  398468 */     // GIR_Coverage, 63072,
     /*  398468 */     GIR_EraseRootFromParent_Done,
     /*  398469 */   // Label 7102: @398469
     /*  398469 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398543), // Rule ID 63127 //
     /*  398474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  398485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  398488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398495 */     // MIs[0] op1
     /*  398495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398507 */     // MIs[0] op3
     /*  398507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398522 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  398522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398541 */     GIR_RootConstrainSelectedInstOperands,
     /*  398542 */     // GIR_Coverage, 63127,
     /*  398542 */     GIR_EraseRootFromParent_Done,
     /*  398543 */   // Label 7103: @398543
     /*  398543 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398617), // Rule ID 63128 //
     /*  398548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  398559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  398562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398569 */     // MIs[0] op1
     /*  398569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398581 */     // MIs[0] op3
     /*  398581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398584 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398601 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398603 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398605 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398615 */     GIR_RootConstrainSelectedInstOperands,
     /*  398616 */     // GIR_Coverage, 63128,
     /*  398616 */     GIR_EraseRootFromParent_Done,
     /*  398617 */   // Label 7104: @398617
     /*  398617 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398691), // Rule ID 63171 //
     /*  398622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398643 */     // MIs[0] op1
     /*  398643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398655 */     // MIs[0] op3
     /*  398655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398689 */     GIR_RootConstrainSelectedInstOperands,
     /*  398690 */     // GIR_Coverage, 63171,
     /*  398690 */     GIR_EraseRootFromParent_Done,
     /*  398691 */   // Label 7105: @398691
     /*  398691 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(398765), // Rule ID 63172 //
     /*  398696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398717 */     // MIs[0] op1
     /*  398717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398720 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398729 */     // MIs[0] op3
     /*  398729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398749 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398751 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398753 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398763 */     GIR_RootConstrainSelectedInstOperands,
     /*  398764 */     // GIR_Coverage, 63172,
     /*  398764 */     GIR_EraseRootFromParent_Done,
     /*  398765 */   // Label 7106: @398765
     /*  398765 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(398839), // Rule ID 63227 //
     /*  398770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  398784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398791 */     // MIs[0] op1
     /*  398791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398803 */     // MIs[0] op3
     /*  398803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  398818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398823 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398825 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398827 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398837 */     GIR_RootConstrainSelectedInstOperands,
     /*  398838 */     // GIR_Coverage, 63227,
     /*  398838 */     GIR_EraseRootFromParent_Done,
     /*  398839 */   // Label 7107: @398839
     /*  398839 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(398913), // Rule ID 63228 //
     /*  398844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  398858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398865 */     // MIs[0] op1
     /*  398865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398877 */     // MIs[0] op3
     /*  398877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  398892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398911 */     GIR_RootConstrainSelectedInstOperands,
     /*  398912 */     // GIR_Coverage, 63228,
     /*  398912 */     GIR_EraseRootFromParent_Done,
     /*  398913 */   // Label 7108: @398913
     /*  398913 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(398987), // Rule ID 63283 //
     /*  398918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398939 */     // MIs[0] op1
     /*  398939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398951 */     // MIs[0] op3
     /*  398951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  398966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  398969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398971 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398973 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398975 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398985 */     GIR_RootConstrainSelectedInstOperands,
     /*  398986 */     // GIR_Coverage, 63283,
     /*  398986 */     GIR_EraseRootFromParent_Done,
     /*  398987 */   // Label 7109: @398987
     /*  398987 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(399061), // Rule ID 63284 //
     /*  398992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399013 */     // MIs[0] op1
     /*  399013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399025 */     // MIs[0] op3
     /*  399025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399040 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  399040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399045 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399047 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399049 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399059 */     GIR_RootConstrainSelectedInstOperands,
     /*  399060 */     // GIR_Coverage, 63284,
     /*  399060 */     GIR_EraseRootFromParent_Done,
     /*  399061 */   // Label 7110: @399061
     /*  399061 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(399135), // Rule ID 63339 //
     /*  399066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  399077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  399080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399087 */     // MIs[0] op1
     /*  399087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399099 */     // MIs[0] op3
     /*  399099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399114 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399119 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399121 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399123 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399133 */     GIR_RootConstrainSelectedInstOperands,
     /*  399134 */     // GIR_Coverage, 63339,
     /*  399134 */     GIR_EraseRootFromParent_Done,
     /*  399135 */   // Label 7111: @399135
     /*  399135 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(399209), // Rule ID 63340 //
     /*  399140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  399151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  399154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399161 */     // MIs[0] op1
     /*  399161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399173 */     // MIs[0] op3
     /*  399173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399193 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399195 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399197 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399207 */     GIR_RootConstrainSelectedInstOperands,
     /*  399208 */     // GIR_Coverage, 63340,
     /*  399208 */     GIR_EraseRootFromParent_Done,
     /*  399209 */   // Label 7112: @399209
     /*  399209 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(399283), // Rule ID 63383 //
     /*  399214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399235 */     // MIs[0] op1
     /*  399235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399247 */     // MIs[0] op3
     /*  399247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399267 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399269 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399271 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399281 */     GIR_RootConstrainSelectedInstOperands,
     /*  399282 */     // GIR_Coverage, 63383,
     /*  399282 */     GIR_EraseRootFromParent_Done,
     /*  399283 */   // Label 7113: @399283
     /*  399283 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(399357), // Rule ID 63384 //
     /*  399288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399309 */     // MIs[0] op1
     /*  399309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399321 */     // MIs[0] op3
     /*  399321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399341 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399343 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399345 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399355 */     GIR_RootConstrainSelectedInstOperands,
     /*  399356 */     // GIR_Coverage, 63384,
     /*  399356 */     GIR_EraseRootFromParent_Done,
     /*  399357 */   // Label 7114: @399357
     /*  399357 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(399431), // Rule ID 63427 //
     /*  399362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  399373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  399376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399383 */     // MIs[0] op1
     /*  399383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399395 */     // MIs[0] op3
     /*  399395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  399413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399429 */     GIR_RootConstrainSelectedInstOperands,
     /*  399430 */     // GIR_Coverage, 63427,
     /*  399430 */     GIR_EraseRootFromParent_Done,
     /*  399431 */   // Label 7115: @399431
     /*  399431 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399505), // Rule ID 63428 //
     /*  399436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  399447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  399450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399457 */     // MIs[0] op1
     /*  399457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399469 */     // MIs[0] op3
     /*  399469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399484 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  399487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399489 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399491 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399493 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399503 */     GIR_RootConstrainSelectedInstOperands,
     /*  399504 */     // GIR_Coverage, 63428,
     /*  399504 */     GIR_EraseRootFromParent_Done,
     /*  399505 */   // Label 7116: @399505
     /*  399505 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399579), // Rule ID 63471 //
     /*  399510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399531 */     // MIs[0] op1
     /*  399531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399534 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399543 */     // MIs[0] op3
     /*  399543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  399558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399563 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399565 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399567 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399577 */     GIR_RootConstrainSelectedInstOperands,
     /*  399578 */     // GIR_Coverage, 63471,
     /*  399578 */     GIR_EraseRootFromParent_Done,
     /*  399579 */   // Label 7117: @399579
     /*  399579 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399653), // Rule ID 63472 //
     /*  399584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399605 */     // MIs[0] op1
     /*  399605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399617 */     // MIs[0] op3
     /*  399617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  399632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399637 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399639 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399641 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399651 */     GIR_RootConstrainSelectedInstOperands,
     /*  399652 */     // GIR_Coverage, 63472,
     /*  399652 */     GIR_EraseRootFromParent_Done,
     /*  399653 */   // Label 7118: @399653
     /*  399653 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399727), // Rule ID 63527 //
     /*  399658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399679 */     // MIs[0] op1
     /*  399679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399691 */     // MIs[0] op3
     /*  399691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  399706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399711 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399713 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399715 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399725 */     GIR_RootConstrainSelectedInstOperands,
     /*  399726 */     // GIR_Coverage, 63527,
     /*  399726 */     GIR_EraseRootFromParent_Done,
     /*  399727 */   // Label 7119: @399727
     /*  399727 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(399801), // Rule ID 63528 //
     /*  399732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399753 */     // MIs[0] op1
     /*  399753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399765 */     // MIs[0] op3
     /*  399765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399768 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  399780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399785 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399787 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399789 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399799 */     GIR_RootConstrainSelectedInstOperands,
     /*  399800 */     // GIR_Coverage, 63528,
     /*  399800 */     GIR_EraseRootFromParent_Done,
     /*  399801 */   // Label 7120: @399801
     /*  399801 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(399875), // Rule ID 63583 //
     /*  399806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399827 */     // MIs[0] op1
     /*  399827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399839 */     // MIs[0] op3
     /*  399839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  399854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  399857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399859 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399861 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399863 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399873 */     GIR_RootConstrainSelectedInstOperands,
     /*  399874 */     // GIR_Coverage, 63583,
     /*  399874 */     GIR_EraseRootFromParent_Done,
     /*  399875 */   // Label 7121: @399875
     /*  399875 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(399949), // Rule ID 63584 //
     /*  399880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399901 */     // MIs[0] op1
     /*  399901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399913 */     // MIs[0] op3
     /*  399913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  399928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  399931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399933 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399935 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399937 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399947 */     GIR_RootConstrainSelectedInstOperands,
     /*  399948 */     // GIR_Coverage, 63584,
     /*  399948 */     GIR_EraseRootFromParent_Done,
     /*  399949 */   // Label 7122: @399949
     /*  399949 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(400023), // Rule ID 63639 //
     /*  399954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399975 */     // MIs[0] op1
     /*  399975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399987 */     // MIs[0] op3
     /*  399987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400007 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400009 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400011 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400021 */     GIR_RootConstrainSelectedInstOperands,
     /*  400022 */     // GIR_Coverage, 63639,
     /*  400022 */     GIR_EraseRootFromParent_Done,
     /*  400023 */   // Label 7123: @400023
     /*  400023 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(400097), // Rule ID 63640 //
     /*  400028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400049 */     // MIs[0] op1
     /*  400049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400052 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400061 */     // MIs[0] op3
     /*  400061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400081 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400083 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400085 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400095 */     GIR_RootConstrainSelectedInstOperands,
     /*  400096 */     // GIR_Coverage, 63640,
     /*  400096 */     GIR_EraseRootFromParent_Done,
     /*  400097 */   // Label 7124: @400097
     /*  400097 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(400171), // Rule ID 63695 //
     /*  400102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400123 */     // MIs[0] op1
     /*  400123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400135 */     // MIs[0] op3
     /*  400135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400155 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400157 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400159 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400169 */     GIR_RootConstrainSelectedInstOperands,
     /*  400170 */     // GIR_Coverage, 63695,
     /*  400170 */     GIR_EraseRootFromParent_Done,
     /*  400171 */   // Label 7125: @400171
     /*  400171 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(400245), // Rule ID 63696 //
     /*  400176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400197 */     // MIs[0] op1
     /*  400197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400209 */     // MIs[0] op3
     /*  400209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400243 */     GIR_RootConstrainSelectedInstOperands,
     /*  400244 */     // GIR_Coverage, 63696,
     /*  400244 */     GIR_EraseRootFromParent_Done,
     /*  400245 */   // Label 7126: @400245
     /*  400245 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(400319), // Rule ID 63751 //
     /*  400250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400271 */     // MIs[0] op1
     /*  400271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400274 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400283 */     // MIs[0] op3
     /*  400283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400303 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400305 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400307 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400317 */     GIR_RootConstrainSelectedInstOperands,
     /*  400318 */     // GIR_Coverage, 63751,
     /*  400318 */     GIR_EraseRootFromParent_Done,
     /*  400319 */   // Label 7127: @400319
     /*  400319 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(400393), // Rule ID 63752 //
     /*  400324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400345 */     // MIs[0] op1
     /*  400345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400357 */     // MIs[0] op3
     /*  400357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400377 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400379 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400381 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400391 */     GIR_RootConstrainSelectedInstOperands,
     /*  400392 */     // GIR_Coverage, 63752,
     /*  400392 */     GIR_EraseRootFromParent_Done,
     /*  400393 */   // Label 7128: @400393
     /*  400393 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(400467), // Rule ID 63807 //
     /*  400398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400419 */     // MIs[0] op1
     /*  400419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400431 */     // MIs[0] op3
     /*  400431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  400446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400451 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400453 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400455 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400465 */     GIR_RootConstrainSelectedInstOperands,
     /*  400466 */     // GIR_Coverage, 63807,
     /*  400466 */     GIR_EraseRootFromParent_Done,
     /*  400467 */   // Label 7129: @400467
     /*  400467 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400541), // Rule ID 63808 //
     /*  400472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400493 */     // MIs[0] op1
     /*  400493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400505 */     // MIs[0] op3
     /*  400505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  400520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400539 */     GIR_RootConstrainSelectedInstOperands,
     /*  400540 */     // GIR_Coverage, 63808,
     /*  400540 */     GIR_EraseRootFromParent_Done,
     /*  400541 */   // Label 7130: @400541
     /*  400541 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400615), // Rule ID 63863 //
     /*  400546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400567 */     // MIs[0] op1
     /*  400567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400579 */     // MIs[0] op3
     /*  400579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400582 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  400594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400599 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400601 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400603 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400613 */     GIR_RootConstrainSelectedInstOperands,
     /*  400614 */     // GIR_Coverage, 63863,
     /*  400614 */     GIR_EraseRootFromParent_Done,
     /*  400615 */   // Label 7131: @400615
     /*  400615 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400689), // Rule ID 63864 //
     /*  400620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400641 */     // MIs[0] op1
     /*  400641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400653 */     // MIs[0] op3
     /*  400653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  400668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400673 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400675 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400677 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400687 */     GIR_RootConstrainSelectedInstOperands,
     /*  400688 */     // GIR_Coverage, 63864,
     /*  400688 */     GIR_EraseRootFromParent_Done,
     /*  400689 */   // Label 7132: @400689
     /*  400689 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(400763), // Rule ID 63919 //
     /*  400694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400715 */     // MIs[0] op1
     /*  400715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400727 */     // MIs[0] op3
     /*  400727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  400742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400747 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400749 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400751 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400761 */     GIR_RootConstrainSelectedInstOperands,
     /*  400762 */     // GIR_Coverage, 63919,
     /*  400762 */     GIR_EraseRootFromParent_Done,
     /*  400763 */   // Label 7133: @400763
     /*  400763 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(400837), // Rule ID 63920 //
     /*  400768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400789 */     // MIs[0] op1
     /*  400789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400801 */     // MIs[0] op3
     /*  400801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400804 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11004:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  400816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400821 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400823 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400825 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400835 */     GIR_RootConstrainSelectedInstOperands,
     /*  400836 */     // GIR_Coverage, 63920,
     /*  400836 */     GIR_EraseRootFromParent_Done,
     /*  400837 */   // Label 7134: @400837
     /*  400837 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(400912), // Rule ID 7246 //
     /*  400842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  400853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  400856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  400859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  400862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400877 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  400888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  400891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400910 */     GIR_RootConstrainSelectedInstOperands,
     /*  400911 */     // GIR_Coverage, 7246,
     /*  400911 */     GIR_EraseRootFromParent_Done,
     /*  400912 */   // Label 7135: @400912
     /*  400912 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(400987), // Rule ID 7247 //
     /*  400917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  400925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  400928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  400931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  400934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  400937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400952 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  400956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  400963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  400966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400985 */     GIR_RootConstrainSelectedInstOperands,
     /*  400986 */     // GIR_Coverage, 7247,
     /*  400986 */     GIR_EraseRootFromParent_Done,
     /*  400987 */   // Label 7136: @400987
     /*  400987 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(401062), // Rule ID 7250 //
     /*  400992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  401009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401027 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401038 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401060 */     GIR_RootConstrainSelectedInstOperands,
     /*  401061 */     // GIR_Coverage, 7250,
     /*  401061 */     GIR_EraseRootFromParent_Done,
     /*  401062 */   // Label 7137: @401062
     /*  401062 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(401137), // Rule ID 7251 //
     /*  401067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  401084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401102 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401113 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401135 */     GIR_RootConstrainSelectedInstOperands,
     /*  401136 */     // GIR_Coverage, 7251,
     /*  401136 */     GIR_EraseRootFromParent_Done,
     /*  401137 */   // Label 7138: @401137
     /*  401137 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(401212), // Rule ID 7254 //
     /*  401142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  401159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401177 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401210 */     GIR_RootConstrainSelectedInstOperands,
     /*  401211 */     // GIR_Coverage, 7254,
     /*  401211 */     GIR_EraseRootFromParent_Done,
     /*  401212 */   // Label 7139: @401212
     /*  401212 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(401287), // Rule ID 7255 //
     /*  401217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  401234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401252 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401263 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401285 */     GIR_RootConstrainSelectedInstOperands,
     /*  401286 */     // GIR_Coverage, 7255,
     /*  401286 */     GIR_EraseRootFromParent_Done,
     /*  401287 */   // Label 7140: @401287
     /*  401287 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(401362), // Rule ID 7258 //
     /*  401292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401360 */     GIR_RootConstrainSelectedInstOperands,
     /*  401361 */     // GIR_Coverage, 7258,
     /*  401361 */     GIR_EraseRootFromParent_Done,
     /*  401362 */   // Label 7141: @401362
     /*  401362 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(401437), // Rule ID 7259 //
     /*  401367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401402 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401413 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401435 */     GIR_RootConstrainSelectedInstOperands,
     /*  401436 */     // GIR_Coverage, 7259,
     /*  401436 */     GIR_EraseRootFromParent_Done,
     /*  401437 */   // Label 7142: @401437
     /*  401437 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(401512), // Rule ID 7262 //
     /*  401442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  401453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  401456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  401459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401488 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401510 */     GIR_RootConstrainSelectedInstOperands,
     /*  401511 */     // GIR_Coverage, 7262,
     /*  401511 */     GIR_EraseRootFromParent_Done,
     /*  401512 */   // Label 7143: @401512
     /*  401512 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401587), // Rule ID 7263 //
     /*  401517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  401528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  401531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  401534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401552 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401563 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401585 */     GIR_RootConstrainSelectedInstOperands,
     /*  401586 */     // GIR_Coverage, 7263,
     /*  401586 */     GIR_EraseRootFromParent_Done,
     /*  401587 */   // Label 7144: @401587
     /*  401587 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401662), // Rule ID 7266 //
     /*  401592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401627 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401660 */     GIR_RootConstrainSelectedInstOperands,
     /*  401661 */     // GIR_Coverage, 7266,
     /*  401661 */     GIR_EraseRootFromParent_Done,
     /*  401662 */   // Label 7145: @401662
     /*  401662 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(401737), // Rule ID 7267 //
     /*  401667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401702 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401735 */     GIR_RootConstrainSelectedInstOperands,
     /*  401736 */     // GIR_Coverage, 7267,
     /*  401736 */     GIR_EraseRootFromParent_Done,
     /*  401737 */   // Label 7146: @401737
     /*  401737 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(401812), // Rule ID 7270 //
     /*  401742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  401753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  401756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  401759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  401791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401810 */     GIR_RootConstrainSelectedInstOperands,
     /*  401811 */     // GIR_Coverage, 7270,
     /*  401811 */     GIR_EraseRootFromParent_Done,
     /*  401812 */   // Label 7147: @401812
     /*  401812 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(401887), // Rule ID 7271 //
     /*  401817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  401828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  401831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  401834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401863 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  401866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401885 */     GIR_RootConstrainSelectedInstOperands,
     /*  401886 */     // GIR_Coverage, 7271,
     /*  401886 */     GIR_EraseRootFromParent_Done,
     /*  401887 */   // Label 7148: @401887
     /*  401887 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(401962), // Rule ID 7274 //
     /*  401892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  401903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  401906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401927 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401938 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  401941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401960 */     GIR_RootConstrainSelectedInstOperands,
     /*  401961 */     // GIR_Coverage, 7274,
     /*  401961 */     GIR_EraseRootFromParent_Done,
     /*  401962 */   // Label 7149: @401962
     /*  401962 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(402037), // Rule ID 7275 //
     /*  401967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  401978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  401981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402013 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402035 */     GIR_RootConstrainSelectedInstOperands,
     /*  402036 */     // GIR_Coverage, 7275,
     /*  402036 */     GIR_EraseRootFromParent_Done,
     /*  402037 */   // Label 7150: @402037
     /*  402037 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(402112), // Rule ID 7278 //
     /*  402042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402077 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402110 */     GIR_RootConstrainSelectedInstOperands,
     /*  402111 */     // GIR_Coverage, 7278,
     /*  402111 */     GIR_EraseRootFromParent_Done,
     /*  402112 */   // Label 7151: @402112
     /*  402112 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(402187), // Rule ID 7279 //
     /*  402117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402152 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402185 */     GIR_RootConstrainSelectedInstOperands,
     /*  402186 */     // GIR_Coverage, 7279,
     /*  402186 */     GIR_EraseRootFromParent_Done,
     /*  402187 */   // Label 7152: @402187
     /*  402187 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(402262), // Rule ID 7282 //
     /*  402192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  402195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402227 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402238 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402260 */     GIR_RootConstrainSelectedInstOperands,
     /*  402261 */     // GIR_Coverage, 7282,
     /*  402261 */     GIR_EraseRootFromParent_Done,
     /*  402262 */   // Label 7153: @402262
     /*  402262 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(402337), // Rule ID 7283 //
     /*  402267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  402270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402302 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402313 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402335 */     GIR_RootConstrainSelectedInstOperands,
     /*  402336 */     // GIR_Coverage, 7283,
     /*  402336 */     GIR_EraseRootFromParent_Done,
     /*  402337 */   // Label 7154: @402337
     /*  402337 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(402412), // Rule ID 7286 //
     /*  402342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  402353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  402356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  402359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402388 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  402388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  402391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402410 */     GIR_RootConstrainSelectedInstOperands,
     /*  402411 */     // GIR_Coverage, 7286,
     /*  402411 */     GIR_EraseRootFromParent_Done,
     /*  402412 */   // Label 7155: @402412
     /*  402412 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(402487), // Rule ID 7287 //
     /*  402417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  402428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  402431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  402434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402463 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  402466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402485 */     GIR_RootConstrainSelectedInstOperands,
     /*  402486 */     // GIR_Coverage, 7287,
     /*  402486 */     GIR_EraseRootFromParent_Done,
     /*  402487 */   // Label 7156: @402487
     /*  402487 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402562), // Rule ID 7290 //
     /*  402492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  402503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  402506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  402509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402527 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402538 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  402538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  402541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402560 */     GIR_RootConstrainSelectedInstOperands,
     /*  402561 */     // GIR_Coverage, 7290,
     /*  402561 */     GIR_EraseRootFromParent_Done,
     /*  402562 */   // Label 7157: @402562
     /*  402562 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402637), // Rule ID 7291 //
     /*  402567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  402578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  402581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  402584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402602 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402613 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  402616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402635 */     GIR_RootConstrainSelectedInstOperands,
     /*  402636 */     // GIR_Coverage, 7291,
     /*  402636 */     GIR_EraseRootFromParent_Done,
     /*  402637 */   // Label 7158: @402637
     /*  402637 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(402712), // Rule ID 7294 //
     /*  402642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  402653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  402656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  402659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402677 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  402688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  402691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402710 */     GIR_RootConstrainSelectedInstOperands,
     /*  402711 */     // GIR_Coverage, 7294,
     /*  402711 */     GIR_EraseRootFromParent_Done,
     /*  402712 */   // Label 7159: @402712
     /*  402712 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(402787), // Rule ID 7295 //
     /*  402717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  402728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  402731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  402734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402752 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  402766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402785 */     GIR_RootConstrainSelectedInstOperands,
     /*  402786 */     // GIR_Coverage, 7295,
     /*  402786 */     GIR_EraseRootFromParent_Done,
     /*  402787 */   // Label 7160: @402787
     /*  402787 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(402862), // Rule ID 7298 //
     /*  402792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  402809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402827 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402838 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  402841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402860 */     GIR_RootConstrainSelectedInstOperands,
     /*  402861 */     // GIR_Coverage, 7298,
     /*  402861 */     GIR_EraseRootFromParent_Done,
     /*  402862 */   // Label 7161: @402862
     /*  402862 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(402937), // Rule ID 7299 //
     /*  402867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  402884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402902 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  402916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402935 */     GIR_RootConstrainSelectedInstOperands,
     /*  402936 */     // GIR_Coverage, 7299,
     /*  402936 */     GIR_EraseRootFromParent_Done,
     /*  402937 */   // Label 7162: @402937
     /*  402937 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(403012), // Rule ID 7302 //
     /*  402942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  402953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  402956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  402959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402977 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  402991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403010 */     GIR_RootConstrainSelectedInstOperands,
     /*  403011 */     // GIR_Coverage, 7302,
     /*  403011 */     GIR_EraseRootFromParent_Done,
     /*  403012 */   // Label 7163: @403012
     /*  403012 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(403087), // Rule ID 7303 //
     /*  403017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403063 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403085 */     GIR_RootConstrainSelectedInstOperands,
     /*  403086 */     // GIR_Coverage, 7303,
     /*  403086 */     GIR_EraseRootFromParent_Done,
     /*  403087 */   // Label 7164: @403087
     /*  403087 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(403162), // Rule ID 7306 //
     /*  403092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403127 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403160 */     GIR_RootConstrainSelectedInstOperands,
     /*  403161 */     // GIR_Coverage, 7306,
     /*  403161 */     GIR_EraseRootFromParent_Done,
     /*  403162 */   // Label 7165: @403162
     /*  403162 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(403237), // Rule ID 7307 //
     /*  403167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403202 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403213 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403235 */     GIR_RootConstrainSelectedInstOperands,
     /*  403236 */     // GIR_Coverage, 7307,
     /*  403236 */     GIR_EraseRootFromParent_Done,
     /*  403237 */   // Label 7166: @403237
     /*  403237 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(403312), // Rule ID 7310 //
     /*  403242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403277 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403310 */     GIR_RootConstrainSelectedInstOperands,
     /*  403311 */     // GIR_Coverage, 7310,
     /*  403311 */     GIR_EraseRootFromParent_Done,
     /*  403312 */   // Label 7167: @403312
     /*  403312 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(403387), // Rule ID 7311 //
     /*  403317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403352 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403385 */     GIR_RootConstrainSelectedInstOperands,
     /*  403386 */     // GIR_Coverage, 7311,
     /*  403386 */     GIR_EraseRootFromParent_Done,
     /*  403387 */   // Label 7168: @403387
     /*  403387 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(403462), // Rule ID 7314 //
     /*  403392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403427 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403438 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403460 */     GIR_RootConstrainSelectedInstOperands,
     /*  403461 */     // GIR_Coverage, 7314,
     /*  403461 */     GIR_EraseRootFromParent_Done,
     /*  403462 */   // Label 7169: @403462
     /*  403462 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403537), // Rule ID 7315 //
     /*  403467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  403484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403502 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403535 */     GIR_RootConstrainSelectedInstOperands,
     /*  403536 */     // GIR_Coverage, 7315,
     /*  403536 */     GIR_EraseRootFromParent_Done,
     /*  403537 */   // Label 7170: @403537
     /*  403537 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403612), // Rule ID 7318 //
     /*  403542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403577 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403610 */     GIR_RootConstrainSelectedInstOperands,
     /*  403611 */     // GIR_Coverage, 7318,
     /*  403611 */     GIR_EraseRootFromParent_Done,
     /*  403612 */   // Label 7171: @403612
     /*  403612 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(403687), // Rule ID 7319 //
     /*  403617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  403634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403663 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403685 */     GIR_RootConstrainSelectedInstOperands,
     /*  403686 */     // GIR_Coverage, 7319,
     /*  403686 */     GIR_EraseRootFromParent_Done,
     /*  403687 */   // Label 7172: @403687
     /*  403687 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(403762), // Rule ID 7322 //
     /*  403692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  403695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403727 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403738 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403760 */     GIR_RootConstrainSelectedInstOperands,
     /*  403761 */     // GIR_Coverage, 7322,
     /*  403761 */     GIR_EraseRootFromParent_Done,
     /*  403762 */   // Label 7173: @403762
     /*  403762 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(403837), // Rule ID 7323 //
     /*  403767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  403770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  403784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403802 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403835 */     GIR_RootConstrainSelectedInstOperands,
     /*  403836 */     // GIR_Coverage, 7323,
     /*  403836 */     GIR_EraseRootFromParent_Done,
     /*  403837 */   // Label 7174: @403837
     /*  403837 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(403912), // Rule ID 7326 //
     /*  403842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  403845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  403853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  403856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  403859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403877 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403888 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  403888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403910 */     GIR_RootConstrainSelectedInstOperands,
     /*  403911 */     // GIR_Coverage, 7326,
     /*  403911 */     GIR_EraseRootFromParent_Done,
     /*  403912 */   // Label 7175: @403912
     /*  403912 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(403987), // Rule ID 7327 //
     /*  403917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  403920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  403928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  403931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  403934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403952 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  403963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403985 */     GIR_RootConstrainSelectedInstOperands,
     /*  403986 */     // GIR_Coverage, 7327,
     /*  403986 */     GIR_EraseRootFromParent_Done,
     /*  403987 */   // Label 7176: @403987
     /*  403987 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(404062), // Rule ID 7330 //
     /*  403992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  403995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404027 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404038 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404060 */     GIR_RootConstrainSelectedInstOperands,
     /*  404061 */     // GIR_Coverage, 7330,
     /*  404061 */     GIR_EraseRootFromParent_Done,
     /*  404062 */   // Label 7177: @404062
     /*  404062 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(404137), // Rule ID 7331 //
     /*  404067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404102 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404135 */     GIR_RootConstrainSelectedInstOperands,
     /*  404136 */     // GIR_Coverage, 7331,
     /*  404136 */     GIR_EraseRootFromParent_Done,
     /*  404137 */   // Label 7178: @404137
     /*  404137 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(404214), // Rule ID 2636 //
     /*  404142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404174 */     // MIs[0] Operand 4
     /*  404174 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  404195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404212 */     GIR_RootConstrainSelectedInstOperands,
     /*  404213 */     // GIR_Coverage, 2636,
     /*  404213 */     GIR_EraseRootFromParent_Done,
     /*  404214 */   // Label 7179: @404214
     /*  404214 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(404291), // Rule ID 2637 //
     /*  404219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404251 */     // MIs[0] Operand 4
     /*  404251 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404269 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  404272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404289 */     GIR_RootConstrainSelectedInstOperands,
     /*  404290 */     // GIR_Coverage, 2637,
     /*  404290 */     GIR_EraseRootFromParent_Done,
     /*  404291 */   // Label 7180: @404291
     /*  404291 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(404368), // Rule ID 20528 //
     /*  404296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  404307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  404310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404328 */     // MIs[0] Operand 4
     /*  404328 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404366 */     GIR_RootConstrainSelectedInstOperands,
     /*  404367 */     // GIR_Coverage, 20528,
     /*  404367 */     GIR_EraseRootFromParent_Done,
     /*  404368 */   // Label 7181: @404368
     /*  404368 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(404445), // Rule ID 20529 //
     /*  404373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  404384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  404387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404405 */     // MIs[0] Operand 4
     /*  404405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404423 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404443 */     GIR_RootConstrainSelectedInstOperands,
     /*  404444 */     // GIR_Coverage, 20529,
     /*  404444 */     GIR_EraseRootFromParent_Done,
     /*  404445 */   // Label 7182: @404445
     /*  404445 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(404522), // Rule ID 20532 //
     /*  404450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404482 */     // MIs[0] Operand 4
     /*  404482 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404500 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404520 */     GIR_RootConstrainSelectedInstOperands,
     /*  404521 */     // GIR_Coverage, 20532,
     /*  404521 */     GIR_EraseRootFromParent_Done,
     /*  404522 */   // Label 7183: @404522
     /*  404522 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404599), // Rule ID 20533 //
     /*  404527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404559 */     // MIs[0] Operand 4
     /*  404559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  404580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404597 */     GIR_RootConstrainSelectedInstOperands,
     /*  404598 */     // GIR_Coverage, 20533,
     /*  404598 */     GIR_EraseRootFromParent_Done,
     /*  404599 */   // Label 7184: @404599
     /*  404599 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(404676), // Rule ID 20536 //
     /*  404604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  404615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  404618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404636 */     // MIs[0] Operand 4
     /*  404636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404654 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  404657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404674 */     GIR_RootConstrainSelectedInstOperands,
     /*  404675 */     // GIR_Coverage, 20536,
     /*  404675 */     GIR_EraseRootFromParent_Done,
     /*  404676 */   // Label 7185: @404676
     /*  404676 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(404753), // Rule ID 20537 //
     /*  404681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  404692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  404695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404713 */     // MIs[0] Operand 4
     /*  404713 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404731 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  404734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404751 */     GIR_RootConstrainSelectedInstOperands,
     /*  404752 */     // GIR_Coverage, 20537,
     /*  404752 */     GIR_EraseRootFromParent_Done,
     /*  404753 */   // Label 7186: @404753
     /*  404753 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(404830), // Rule ID 20540 //
     /*  404758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  404775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404790 */     // MIs[0] Operand 4
     /*  404790 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  404811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404828 */     GIR_RootConstrainSelectedInstOperands,
     /*  404829 */     // GIR_Coverage, 20540,
     /*  404829 */     GIR_EraseRootFromParent_Done,
     /*  404830 */   // Label 7187: @404830
     /*  404830 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(404907), // Rule ID 20541 //
     /*  404835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  404852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404867 */     // MIs[0] Operand 4
     /*  404867 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404885 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  404888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404905 */     GIR_RootConstrainSelectedInstOperands,
     /*  404906 */     // GIR_Coverage, 20541,
     /*  404906 */     GIR_EraseRootFromParent_Done,
     /*  404907 */   // Label 7188: @404907
     /*  404907 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(404984), // Rule ID 20544 //
     /*  404912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  404915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  404923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  404926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  404929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404944 */     // MIs[0] Operand 4
     /*  404944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  404965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404982 */     GIR_RootConstrainSelectedInstOperands,
     /*  404983 */     // GIR_Coverage, 20544,
     /*  404983 */     GIR_EraseRootFromParent_Done,
     /*  404984 */   // Label 7189: @404984
     /*  404984 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(405061), // Rule ID 20545 //
     /*  404989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  404992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  405006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405021 */     // MIs[0] Operand 4
     /*  405021 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  405039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405059 */     GIR_RootConstrainSelectedInstOperands,
     /*  405060 */     // GIR_Coverage, 20545,
     /*  405060 */     GIR_EraseRootFromParent_Done,
     /*  405061 */   // Label 7190: @405061
     /*  405061 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(405138), // Rule ID 20548 //
     /*  405066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  405077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  405080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405098 */     // MIs[0] Operand 4
     /*  405098 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405136 */     GIR_RootConstrainSelectedInstOperands,
     /*  405137 */     // GIR_Coverage, 20548,
     /*  405137 */     GIR_EraseRootFromParent_Done,
     /*  405138 */   // Label 7191: @405138
     /*  405138 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(405215), // Rule ID 20549 //
     /*  405143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  405154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  405157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405175 */     // MIs[0] Operand 4
     /*  405175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405213 */     GIR_RootConstrainSelectedInstOperands,
     /*  405214 */     // GIR_Coverage, 20549,
     /*  405214 */     GIR_EraseRootFromParent_Done,
     /*  405215 */   // Label 7192: @405215
     /*  405215 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(405292), // Rule ID 20552 //
     /*  405220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  405231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  405234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405252 */     // MIs[0] Operand 4
     /*  405252 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405270 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405290 */     GIR_RootConstrainSelectedInstOperands,
     /*  405291 */     // GIR_Coverage, 20552,
     /*  405291 */     GIR_EraseRootFromParent_Done,
     /*  405292 */   // Label 7193: @405292
     /*  405292 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(405369), // Rule ID 20553 //
     /*  405297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  405308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  405311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405329 */     // MIs[0] Operand 4
     /*  405329 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405367 */     GIR_RootConstrainSelectedInstOperands,
     /*  405368 */     // GIR_Coverage, 20553,
     /*  405368 */     GIR_EraseRootFromParent_Done,
     /*  405369 */   // Label 7194: @405369
     /*  405369 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(405446), // Rule ID 20556 //
     /*  405374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  405385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  405388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  405391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405406 */     // MIs[0] Operand 4
     /*  405406 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  405427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405444 */     GIR_RootConstrainSelectedInstOperands,
     /*  405445 */     // GIR_Coverage, 20556,
     /*  405445 */     GIR_EraseRootFromParent_Done,
     /*  405446 */   // Label 7195: @405446
     /*  405446 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(405523), // Rule ID 20557 //
     /*  405451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  405462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  405465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  405468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405483 */     // MIs[0] Operand 4
     /*  405483 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  405504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405521 */     GIR_RootConstrainSelectedInstOperands,
     /*  405522 */     // GIR_Coverage, 20557,
     /*  405522 */     GIR_EraseRootFromParent_Done,
     /*  405523 */   // Label 7196: @405523
     /*  405523 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405600), // Rule ID 20560 //
     /*  405528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  405531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405560 */     // MIs[0] Operand 4
     /*  405560 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405598 */     GIR_RootConstrainSelectedInstOperands,
     /*  405599 */     // GIR_Coverage, 20560,
     /*  405599 */     GIR_EraseRootFromParent_Done,
     /*  405600 */   // Label 7197: @405600
     /*  405600 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(405677), // Rule ID 20561 //
     /*  405605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405637 */     // MIs[0] Operand 4
     /*  405637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405655 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405675 */     GIR_RootConstrainSelectedInstOperands,
     /*  405676 */     // GIR_Coverage, 20561,
     /*  405676 */     GIR_EraseRootFromParent_Done,
     /*  405677 */   // Label 7198: @405677
     /*  405677 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(405754), // Rule ID 20564 //
     /*  405682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  405685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405714 */     // MIs[0] Operand 4
     /*  405714 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405732 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405752 */     GIR_RootConstrainSelectedInstOperands,
     /*  405753 */     // GIR_Coverage, 20564,
     /*  405753 */     GIR_EraseRootFromParent_Done,
     /*  405754 */   // Label 7199: @405754
     /*  405754 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(405831), // Rule ID 20565 //
     /*  405759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405791 */     // MIs[0] Operand 4
     /*  405791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405829 */     GIR_RootConstrainSelectedInstOperands,
     /*  405830 */     // GIR_Coverage, 20565,
     /*  405830 */     GIR_EraseRootFromParent_Done,
     /*  405831 */   // Label 7200: @405831
     /*  405831 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(405908), // Rule ID 20568 //
     /*  405836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  405839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  405853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405868 */     // MIs[0] Operand 4
     /*  405868 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  405889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405906 */     GIR_RootConstrainSelectedInstOperands,
     /*  405907 */     // GIR_Coverage, 20568,
     /*  405907 */     GIR_EraseRootFromParent_Done,
     /*  405908 */   // Label 7201: @405908
     /*  405908 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(405985), // Rule ID 20569 //
     /*  405913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  405930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405945 */     // MIs[0] Operand 4
     /*  405945 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405963 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  405966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405983 */     GIR_RootConstrainSelectedInstOperands,
     /*  405984 */     // GIR_Coverage, 20569,
     /*  405984 */     GIR_EraseRootFromParent_Done,
     /*  405985 */   // Label 7202: @405985
     /*  405985 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(406062), // Rule ID 20572 //
     /*  405990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  405993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  406007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406022 */     // MIs[0] Operand 4
     /*  406022 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406040 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406060 */     GIR_RootConstrainSelectedInstOperands,
     /*  406061 */     // GIR_Coverage, 20572,
     /*  406061 */     GIR_EraseRootFromParent_Done,
     /*  406062 */   // Label 7203: @406062
     /*  406062 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(406139), // Rule ID 20573 //
     /*  406067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  406084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406099 */     // MIs[0] Operand 4
     /*  406099 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406137 */     GIR_RootConstrainSelectedInstOperands,
     /*  406138 */     // GIR_Coverage, 20573,
     /*  406138 */     GIR_EraseRootFromParent_Done,
     /*  406139 */   // Label 7204: @406139
     /*  406139 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(406216), // Rule ID 20576 //
     /*  406144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  406161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406176 */     // MIs[0] Operand 4
     /*  406176 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406214 */     GIR_RootConstrainSelectedInstOperands,
     /*  406215 */     // GIR_Coverage, 20576,
     /*  406215 */     GIR_EraseRootFromParent_Done,
     /*  406216 */   // Label 7205: @406216
     /*  406216 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(406293), // Rule ID 20577 //
     /*  406221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  406238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406253 */     // MIs[0] Operand 4
     /*  406253 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406291 */     GIR_RootConstrainSelectedInstOperands,
     /*  406292 */     // GIR_Coverage, 20577,
     /*  406292 */     GIR_EraseRootFromParent_Done,
     /*  406293 */   // Label 7206: @406293
     /*  406293 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(406370), // Rule ID 20580 //
     /*  406298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  406315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406330 */     // MIs[0] Operand 4
     /*  406330 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406368 */     GIR_RootConstrainSelectedInstOperands,
     /*  406369 */     // GIR_Coverage, 20580,
     /*  406369 */     GIR_EraseRootFromParent_Done,
     /*  406370 */   // Label 7207: @406370
     /*  406370 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(406447), // Rule ID 20581 //
     /*  406375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  406392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406407 */     // MIs[0] Operand 4
     /*  406407 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406445 */     GIR_RootConstrainSelectedInstOperands,
     /*  406446 */     // GIR_Coverage, 20581,
     /*  406446 */     GIR_EraseRootFromParent_Done,
     /*  406447 */   // Label 7208: @406447
     /*  406447 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(406524), // Rule ID 20584 //
     /*  406452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  406466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406484 */     // MIs[0] Operand 4
     /*  406484 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  406505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406522 */     GIR_RootConstrainSelectedInstOperands,
     /*  406523 */     // GIR_Coverage, 20584,
     /*  406523 */     GIR_EraseRootFromParent_Done,
     /*  406524 */   // Label 7209: @406524
     /*  406524 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406601), // Rule ID 20585 //
     /*  406529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  406543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406561 */     // MIs[0] Operand 4
     /*  406561 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406579 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  406582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406599 */     GIR_RootConstrainSelectedInstOperands,
     /*  406600 */     // GIR_Coverage, 20585,
     /*  406600 */     GIR_EraseRootFromParent_Done,
     /*  406601 */   // Label 7210: @406601
     /*  406601 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(406678), // Rule ID 20588 //
     /*  406606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  406617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  406620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406638 */     // MIs[0] Operand 4
     /*  406638 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  406659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406676 */     GIR_RootConstrainSelectedInstOperands,
     /*  406677 */     // GIR_Coverage, 20588,
     /*  406677 */     GIR_EraseRootFromParent_Done,
     /*  406678 */   // Label 7211: @406678
     /*  406678 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(406755), // Rule ID 20589 //
     /*  406683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  406694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  406697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406715 */     // MIs[0] Operand 4
     /*  406715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  406736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406753 */     GIR_RootConstrainSelectedInstOperands,
     /*  406754 */     // GIR_Coverage, 20589,
     /*  406754 */     GIR_EraseRootFromParent_Done,
     /*  406755 */   // Label 7212: @406755
     /*  406755 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(406832), // Rule ID 20592 //
     /*  406760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406792 */     // MIs[0] Operand 4
     /*  406792 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  406813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406830 */     GIR_RootConstrainSelectedInstOperands,
     /*  406831 */     // GIR_Coverage, 20592,
     /*  406831 */     GIR_EraseRootFromParent_Done,
     /*  406832 */   // Label 7213: @406832
     /*  406832 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(406909), // Rule ID 20593 //
     /*  406837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  406840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406869 */     // MIs[0] Operand 4
     /*  406869 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  406890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406907 */     GIR_RootConstrainSelectedInstOperands,
     /*  406908 */     // GIR_Coverage, 20593,
     /*  406908 */     GIR_EraseRootFromParent_Done,
     /*  406909 */   // Label 7214: @406909
     /*  406909 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(406986), // Rule ID 20596 //
     /*  406914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  406925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  406928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406946 */     // MIs[0] Operand 4
     /*  406946 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  406967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406984 */     GIR_RootConstrainSelectedInstOperands,
     /*  406985 */     // GIR_Coverage, 20596,
     /*  406985 */     GIR_EraseRootFromParent_Done,
     /*  406986 */   // Label 7215: @406986
     /*  406986 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(407063), // Rule ID 20597 //
     /*  406991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  406999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  407002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  407005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407023 */     // MIs[0] Operand 4
     /*  407023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407041 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407061 */     GIR_RootConstrainSelectedInstOperands,
     /*  407062 */     // GIR_Coverage, 20597,
     /*  407062 */     GIR_EraseRootFromParent_Done,
     /*  407063 */   // Label 7216: @407063
     /*  407063 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(407140), // Rule ID 20600 //
     /*  407068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407100 */     // MIs[0] Operand 4
     /*  407100 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407138 */     GIR_RootConstrainSelectedInstOperands,
     /*  407139 */     // GIR_Coverage, 20600,
     /*  407139 */     GIR_EraseRootFromParent_Done,
     /*  407140 */   // Label 7217: @407140
     /*  407140 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(407217), // Rule ID 20601 //
     /*  407145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407177 */     // MIs[0] Operand 4
     /*  407177 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407195 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407215 */     GIR_RootConstrainSelectedInstOperands,
     /*  407216 */     // GIR_Coverage, 20601,
     /*  407216 */     GIR_EraseRootFromParent_Done,
     /*  407217 */   // Label 7218: @407217
     /*  407217 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(407294), // Rule ID 20604 //
     /*  407222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  407225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407254 */     // MIs[0] Operand 4
     /*  407254 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  407272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  407289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407292 */     GIR_RootConstrainSelectedInstOperands,
     /*  407293 */     // GIR_Coverage, 20604,
     /*  407293 */     GIR_EraseRootFromParent_Done,
     /*  407294 */   // Label 7219: @407294
     /*  407294 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(407371), // Rule ID 20605 //
     /*  407299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  407302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407331 */     // MIs[0] Operand 4
     /*  407331 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407349 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  407349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  407366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407369 */     GIR_RootConstrainSelectedInstOperands,
     /*  407370 */     // GIR_Coverage, 20605,
     /*  407370 */     GIR_EraseRootFromParent_Done,
     /*  407371 */   // Label 7220: @407371
     /*  407371 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(407448), // Rule ID 20608 //
     /*  407376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  407387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  407390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407408 */     // MIs[0] Operand 4
     /*  407408 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407426 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  407429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407446 */     GIR_RootConstrainSelectedInstOperands,
     /*  407447 */     // GIR_Coverage, 20608,
     /*  407447 */     GIR_EraseRootFromParent_Done,
     /*  407448 */   // Label 7221: @407448
     /*  407448 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(407525), // Rule ID 20609 //
     /*  407453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  407464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  407467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  407470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407485 */     // MIs[0] Operand 4
     /*  407485 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  407506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407523 */     GIR_RootConstrainSelectedInstOperands,
     /*  407524 */     // GIR_Coverage, 20609,
     /*  407524 */     GIR_EraseRootFromParent_Done,
     /*  407525 */   // Label 7222: @407525
     /*  407525 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407602), // Rule ID 20612 //
     /*  407530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  407541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  407544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407562 */     // MIs[0] Operand 4
     /*  407562 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  407583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407600 */     GIR_RootConstrainSelectedInstOperands,
     /*  407601 */     // GIR_Coverage, 20612,
     /*  407601 */     GIR_EraseRootFromParent_Done,
     /*  407602 */   // Label 7223: @407602
     /*  407602 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(407679), // Rule ID 20613 //
     /*  407607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  407618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  407621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  407624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407639 */     // MIs[0] Operand 4
     /*  407639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407657 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  407660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407677 */     GIR_RootConstrainSelectedInstOperands,
     /*  407678 */     // GIR_Coverage, 20613,
     /*  407678 */     GIR_EraseRootFromParent_Done,
     /*  407679 */   // Label 7224: @407679
     /*  407679 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(407756), // Rule ID 20616 //
     /*  407684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  407695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  407698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407716 */     // MIs[0] Operand 4
     /*  407716 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407734 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  407737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407754 */     GIR_RootConstrainSelectedInstOperands,
     /*  407755 */     // GIR_Coverage, 20616,
     /*  407755 */     GIR_EraseRootFromParent_Done,
     /*  407756 */   // Label 7225: @407756
     /*  407756 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(407833), // Rule ID 20617 //
     /*  407761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  407772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  407775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  407778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407793 */     // MIs[0] Operand 4
     /*  407793 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  407814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407831 */     GIR_RootConstrainSelectedInstOperands,
     /*  407832 */     // GIR_Coverage, 20617,
     /*  407832 */     GIR_EraseRootFromParent_Done,
     /*  407833 */   // Label 7226: @407833
     /*  407833 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(407910), // Rule ID 20620 //
     /*  407838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407870 */     // MIs[0] Operand 4
     /*  407870 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  407891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407908 */     GIR_RootConstrainSelectedInstOperands,
     /*  407909 */     // GIR_Coverage, 20620,
     /*  407909 */     GIR_EraseRootFromParent_Done,
     /*  407910 */   // Label 7227: @407910
     /*  407910 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(407987), // Rule ID 20621 //
     /*  407915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407947 */     // MIs[0] Operand 4
     /*  407947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407965 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  407968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407985 */     GIR_RootConstrainSelectedInstOperands,
     /*  407986 */     // GIR_Coverage, 20621,
     /*  407986 */     GIR_EraseRootFromParent_Done,
     /*  407987 */   // Label 7228: @407987
     /*  407987 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(408064), // Rule ID 20624 //
     /*  407992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408024 */     // MIs[0] Operand 4
     /*  408024 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408062 */     GIR_RootConstrainSelectedInstOperands,
     /*  408063 */     // GIR_Coverage, 20624,
     /*  408063 */     GIR_EraseRootFromParent_Done,
     /*  408064 */   // Label 7229: @408064
     /*  408064 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(408141), // Rule ID 20625 //
     /*  408069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408101 */     // MIs[0] Operand 4
     /*  408101 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408139 */     GIR_RootConstrainSelectedInstOperands,
     /*  408140 */     // GIR_Coverage, 20625,
     /*  408140 */     GIR_EraseRootFromParent_Done,
     /*  408141 */   // Label 7230: @408141
     /*  408141 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(408218), // Rule ID 20628 //
     /*  408146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408178 */     // MIs[0] Operand 4
     /*  408178 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408216 */     GIR_RootConstrainSelectedInstOperands,
     /*  408217 */     // GIR_Coverage, 20628,
     /*  408217 */     GIR_EraseRootFromParent_Done,
     /*  408218 */   // Label 7231: @408218
     /*  408218 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(408295), // Rule ID 20629 //
     /*  408223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408255 */     // MIs[0] Operand 4
     /*  408255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408273 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408293 */     GIR_RootConstrainSelectedInstOperands,
     /*  408294 */     // GIR_Coverage, 20629,
     /*  408294 */     GIR_EraseRootFromParent_Done,
     /*  408295 */   // Label 7232: @408295
     /*  408295 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(408372), // Rule ID 20632 //
     /*  408300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  408303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  408311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  408314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408332 */     // MIs[0] Operand 4
     /*  408332 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  408350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408370 */     GIR_RootConstrainSelectedInstOperands,
     /*  408371 */     // GIR_Coverage, 20632,
     /*  408371 */     GIR_EraseRootFromParent_Done,
     /*  408372 */   // Label 7233: @408372
     /*  408372 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(408449), // Rule ID 20633 //
     /*  408377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  408380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  408388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  408391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408409 */     // MIs[0] Operand 4
     /*  408409 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  408427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408447 */     GIR_RootConstrainSelectedInstOperands,
     /*  408448 */     // GIR_Coverage, 20633,
     /*  408448 */     GIR_EraseRootFromParent_Done,
     /*  408449 */   // Label 7234: @408449
     /*  408449 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(408526), // Rule ID 20636 //
     /*  408454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  408457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  408465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  408468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  408471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408486 */     // MIs[0] Operand 4
     /*  408486 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  408504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408524 */     GIR_RootConstrainSelectedInstOperands,
     /*  408525 */     // GIR_Coverage, 20636,
     /*  408525 */     GIR_EraseRootFromParent_Done,
     /*  408526 */   // Label 7235: @408526
     /*  408526 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408603), // Rule ID 20637 //
     /*  408531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  408534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  408542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  408545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  408548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408563 */     // MIs[0] Operand 4
     /*  408563 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  408581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408601 */     GIR_RootConstrainSelectedInstOperands,
     /*  408602 */     // GIR_Coverage, 20637,
     /*  408602 */     GIR_EraseRootFromParent_Done,
     /*  408603 */   // Label 7236: @408603
     /*  408603 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(408680), // Rule ID 20640 //
     /*  408608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  408611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  408619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  408622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  408625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408640 */     // MIs[0] Operand 4
     /*  408640 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  408658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408678 */     GIR_RootConstrainSelectedInstOperands,
     /*  408679 */     // GIR_Coverage, 20640,
     /*  408679 */     GIR_EraseRootFromParent_Done,
     /*  408680 */   // Label 7237: @408680
     /*  408680 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(408757), // Rule ID 20641 //
     /*  408685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  408688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  408696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  408699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  408702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408717 */     // MIs[0] Operand 4
     /*  408717 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408735 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  408735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408755 */     GIR_RootConstrainSelectedInstOperands,
     /*  408756 */     // GIR_Coverage, 20641,
     /*  408756 */     GIR_EraseRootFromParent_Done,
     /*  408757 */   // Label 7238: @408757
     /*  408757 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(408834), // Rule ID 21000 //
     /*  408762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  408770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  408779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408794 */     // MIs[0] Operand 4
     /*  408794 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  408815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408832 */     GIR_RootConstrainSelectedInstOperands,
     /*  408833 */     // GIR_Coverage, 21000,
     /*  408833 */     GIR_EraseRootFromParent_Done,
     /*  408834 */   // Label 7239: @408834
     /*  408834 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(408911), // Rule ID 21001 //
     /*  408839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  408847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  408856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408871 */     // MIs[0] Operand 4
     /*  408871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  408892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408909 */     GIR_RootConstrainSelectedInstOperands,
     /*  408910 */     // GIR_Coverage, 21001,
     /*  408910 */     GIR_EraseRootFromParent_Done,
     /*  408911 */   // Label 7240: @408911
     /*  408911 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(408988), // Rule ID 21004 //
     /*  408916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  408924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  408933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408948 */     // MIs[0] Operand 4
     /*  408948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  408969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408986 */     GIR_RootConstrainSelectedInstOperands,
     /*  408987 */     // GIR_Coverage, 21004,
     /*  408987 */     GIR_EraseRootFromParent_Done,
     /*  408988 */   // Label 7241: @408988
     /*  408988 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(409065), // Rule ID 21005 //
     /*  408993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409025 */     // MIs[0] Operand 4
     /*  409025 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409063 */     GIR_RootConstrainSelectedInstOperands,
     /*  409064 */     // GIR_Coverage, 21005,
     /*  409064 */     GIR_EraseRootFromParent_Done,
     /*  409065 */   // Label 7242: @409065
     /*  409065 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(409142), // Rule ID 21008 //
     /*  409070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409102 */     // MIs[0] Operand 4
     /*  409102 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409140 */     GIR_RootConstrainSelectedInstOperands,
     /*  409141 */     // GIR_Coverage, 21008,
     /*  409141 */     GIR_EraseRootFromParent_Done,
     /*  409142 */   // Label 7243: @409142
     /*  409142 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(409219), // Rule ID 21009 //
     /*  409147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409179 */     // MIs[0] Operand 4
     /*  409179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409217 */     GIR_RootConstrainSelectedInstOperands,
     /*  409218 */     // GIR_Coverage, 21009,
     /*  409218 */     GIR_EraseRootFromParent_Done,
     /*  409219 */   // Label 7244: @409219
     /*  409219 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(409296), // Rule ID 21012 //
     /*  409224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409256 */     // MIs[0] Operand 4
     /*  409256 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  409277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409294 */     GIR_RootConstrainSelectedInstOperands,
     /*  409295 */     // GIR_Coverage, 21012,
     /*  409295 */     GIR_EraseRootFromParent_Done,
     /*  409296 */   // Label 7245: @409296
     /*  409296 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(409373), // Rule ID 21013 //
     /*  409301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409333 */     // MIs[0] Operand 4
     /*  409333 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  409354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409371 */     GIR_RootConstrainSelectedInstOperands,
     /*  409372 */     // GIR_Coverage, 21013,
     /*  409372 */     GIR_EraseRootFromParent_Done,
     /*  409373 */   // Label 7246: @409373
     /*  409373 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(409450), // Rule ID 21016 //
     /*  409378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  409395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409410 */     // MIs[0] Operand 4
     /*  409410 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  409431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409448 */     GIR_RootConstrainSelectedInstOperands,
     /*  409449 */     // GIR_Coverage, 21016,
     /*  409449 */     GIR_EraseRootFromParent_Done,
     /*  409450 */   // Label 7247: @409450
     /*  409450 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(409527), // Rule ID 21017 //
     /*  409455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  409472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409487 */     // MIs[0] Operand 4
     /*  409487 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409505 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  409508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409525 */     GIR_RootConstrainSelectedInstOperands,
     /*  409526 */     // GIR_Coverage, 21017,
     /*  409526 */     GIR_EraseRootFromParent_Done,
     /*  409527 */   // Label 7248: @409527
     /*  409527 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409604), // Rule ID 21020 //
     /*  409532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  409535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  409546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409564 */     // MIs[0] Operand 4
     /*  409564 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409602 */     GIR_RootConstrainSelectedInstOperands,
     /*  409603 */     // GIR_Coverage, 21020,
     /*  409603 */     GIR_EraseRootFromParent_Done,
     /*  409604 */   // Label 7249: @409604
     /*  409604 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(409681), // Rule ID 21021 //
     /*  409609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  409612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  409623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409641 */     // MIs[0] Operand 4
     /*  409641 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409679 */     GIR_RootConstrainSelectedInstOperands,
     /*  409680 */     // GIR_Coverage, 21021,
     /*  409680 */     GIR_EraseRootFromParent_Done,
     /*  409681 */   // Label 7250: @409681
     /*  409681 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(409758), // Rule ID 21024 //
     /*  409686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  409689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  409697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  409700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409718 */     // MIs[0] Operand 4
     /*  409718 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409756 */     GIR_RootConstrainSelectedInstOperands,
     /*  409757 */     // GIR_Coverage, 21024,
     /*  409757 */     GIR_EraseRootFromParent_Done,
     /*  409758 */   // Label 7251: @409758
     /*  409758 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(409835), // Rule ID 21025 //
     /*  409763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  409766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  409774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  409777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409795 */     // MIs[0] Operand 4
     /*  409795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409833 */     GIR_RootConstrainSelectedInstOperands,
     /*  409834 */     // GIR_Coverage, 21025,
     /*  409834 */     GIR_EraseRootFromParent_Done,
     /*  409835 */   // Label 7252: @409835
     /*  409835 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(409912), // Rule ID 21028 //
     /*  409840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  409843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  409851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  409854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409872 */     // MIs[0] Operand 4
     /*  409872 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409890 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  409893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409910 */     GIR_RootConstrainSelectedInstOperands,
     /*  409911 */     // GIR_Coverage, 21028,
     /*  409911 */     GIR_EraseRootFromParent_Done,
     /*  409912 */   // Label 7253: @409912
     /*  409912 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(409989), // Rule ID 21029 //
     /*  409917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  409920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  409928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  409931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409949 */     // MIs[0] Operand 4
     /*  409949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  409970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409987 */     GIR_RootConstrainSelectedInstOperands,
     /*  409988 */     // GIR_Coverage, 21029,
     /*  409988 */     GIR_EraseRootFromParent_Done,
     /*  409989 */   // Label 7254: @409989
     /*  409989 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(410066), // Rule ID 21032 //
     /*  409994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  409997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  410005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  410008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410026 */     // MIs[0] Operand 4
     /*  410026 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410044 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410064 */     GIR_RootConstrainSelectedInstOperands,
     /*  410065 */     // GIR_Coverage, 21032,
     /*  410065 */     GIR_EraseRootFromParent_Done,
     /*  410066 */   // Label 7255: @410066
     /*  410066 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(410143), // Rule ID 21033 //
     /*  410071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  410082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  410085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410103 */     // MIs[0] Operand 4
     /*  410103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410141 */     GIR_RootConstrainSelectedInstOperands,
     /*  410142 */     // GIR_Coverage, 21033,
     /*  410142 */     GIR_EraseRootFromParent_Done,
     /*  410143 */   // Label 7256: @410143
     /*  410143 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(410220), // Rule ID 21036 //
     /*  410148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410180 */     // MIs[0] Operand 4
     /*  410180 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  410201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410218 */     GIR_RootConstrainSelectedInstOperands,
     /*  410219 */     // GIR_Coverage, 21036,
     /*  410219 */     GIR_EraseRootFromParent_Done,
     /*  410220 */   // Label 7257: @410220
     /*  410220 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(410297), // Rule ID 21037 //
     /*  410225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410257 */     // MIs[0] Operand 4
     /*  410257 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  410278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410295 */     GIR_RootConstrainSelectedInstOperands,
     /*  410296 */     // GIR_Coverage, 21037,
     /*  410296 */     GIR_EraseRootFromParent_Done,
     /*  410297 */   // Label 7258: @410297
     /*  410297 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(410374), // Rule ID 21040 //
     /*  410302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  410319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410334 */     // MIs[0] Operand 4
     /*  410334 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  410355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410372 */     GIR_RootConstrainSelectedInstOperands,
     /*  410373 */     // GIR_Coverage, 21040,
     /*  410373 */     GIR_EraseRootFromParent_Done,
     /*  410374 */   // Label 7259: @410374
     /*  410374 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(410451), // Rule ID 21041 //
     /*  410379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  410396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410411 */     // MIs[0] Operand 4
     /*  410411 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410429 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  410432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410449 */     GIR_RootConstrainSelectedInstOperands,
     /*  410450 */     // GIR_Coverage, 21041,
     /*  410450 */     GIR_EraseRootFromParent_Done,
     /*  410451 */   // Label 7260: @410451
     /*  410451 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(410528), // Rule ID 21044 //
     /*  410456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410488 */     // MIs[0] Operand 4
     /*  410488 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  410509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410526 */     GIR_RootConstrainSelectedInstOperands,
     /*  410527 */     // GIR_Coverage, 21044,
     /*  410527 */     GIR_EraseRootFromParent_Done,
     /*  410528 */   // Label 7261: @410528
     /*  410528 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410605), // Rule ID 21045 //
     /*  410533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  410550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410565 */     // MIs[0] Operand 4
     /*  410565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  410586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410603 */     GIR_RootConstrainSelectedInstOperands,
     /*  410604 */     // GIR_Coverage, 21045,
     /*  410604 */     GIR_EraseRootFromParent_Done,
     /*  410605 */   // Label 7262: @410605
     /*  410605 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(410682), // Rule ID 21048 //
     /*  410610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410642 */     // MIs[0] Operand 4
     /*  410642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  410663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410680 */     GIR_RootConstrainSelectedInstOperands,
     /*  410681 */     // GIR_Coverage, 21048,
     /*  410681 */     GIR_EraseRootFromParent_Done,
     /*  410682 */   // Label 7263: @410682
     /*  410682 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(410759), // Rule ID 21049 //
     /*  410687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410719 */     // MIs[0] Operand 4
     /*  410719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410737 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  410740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410757 */     GIR_RootConstrainSelectedInstOperands,
     /*  410758 */     // GIR_Coverage, 21049,
     /*  410758 */     GIR_EraseRootFromParent_Done,
     /*  410759 */   // Label 7264: @410759
     /*  410759 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(410836), // Rule ID 21052 //
     /*  410764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410796 */     // MIs[0] Operand 4
     /*  410796 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  410817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410834 */     GIR_RootConstrainSelectedInstOperands,
     /*  410835 */     // GIR_Coverage, 21052,
     /*  410835 */     GIR_EraseRootFromParent_Done,
     /*  410836 */   // Label 7265: @410836
     /*  410836 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(410913), // Rule ID 21053 //
     /*  410841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410873 */     // MIs[0] Operand 4
     /*  410873 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410891 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  410894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410911 */     GIR_RootConstrainSelectedInstOperands,
     /*  410912 */     // GIR_Coverage, 21053,
     /*  410912 */     GIR_EraseRootFromParent_Done,
     /*  410913 */   // Label 7266: @410913
     /*  410913 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(410990), // Rule ID 21056 //
     /*  410918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  410921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  410929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  410932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410950 */     // MIs[0] Operand 4
     /*  410950 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  410971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410988 */     GIR_RootConstrainSelectedInstOperands,
     /*  410989 */     // GIR_Coverage, 21056,
     /*  410989 */     GIR_EraseRootFromParent_Done,
     /*  410990 */   // Label 7267: @410990
     /*  410990 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(411067), // Rule ID 21057 //
     /*  410995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  411006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  411009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411027 */     // MIs[0] Operand 4
     /*  411027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  411048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411065 */     GIR_RootConstrainSelectedInstOperands,
     /*  411066 */     // GIR_Coverage, 21057,
     /*  411066 */     GIR_EraseRootFromParent_Done,
     /*  411067 */   // Label 7268: @411067
     /*  411067 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(411144), // Rule ID 21060 //
     /*  411072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  411083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  411086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411104 */     // MIs[0] Operand 4
     /*  411104 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411142 */     GIR_RootConstrainSelectedInstOperands,
     /*  411143 */     // GIR_Coverage, 21060,
     /*  411143 */     GIR_EraseRootFromParent_Done,
     /*  411144 */   // Label 7269: @411144
     /*  411144 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(411221), // Rule ID 21061 //
     /*  411149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  411160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  411163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411181 */     // MIs[0] Operand 4
     /*  411181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411219 */     GIR_RootConstrainSelectedInstOperands,
     /*  411220 */     // GIR_Coverage, 21061,
     /*  411220 */     GIR_EraseRootFromParent_Done,
     /*  411221 */   // Label 7270: @411221
     /*  411221 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(411298), // Rule ID 21064 //
     /*  411226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  411237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  411240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411258 */     // MIs[0] Operand 4
     /*  411258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  411279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411296 */     GIR_RootConstrainSelectedInstOperands,
     /*  411297 */     // GIR_Coverage, 21064,
     /*  411297 */     GIR_EraseRootFromParent_Done,
     /*  411298 */   // Label 7271: @411298
     /*  411298 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(411375), // Rule ID 21065 //
     /*  411303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  411314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  411317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411335 */     // MIs[0] Operand 4
     /*  411335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  411356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411373 */     GIR_RootConstrainSelectedInstOperands,
     /*  411374 */     // GIR_Coverage, 21065,
     /*  411374 */     GIR_EraseRootFromParent_Done,
     /*  411375 */   // Label 7272: @411375
     /*  411375 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(411452), // Rule ID 21068 //
     /*  411380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  411391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  411394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411412 */     // MIs[0] Operand 4
     /*  411412 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411430 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411450 */     GIR_RootConstrainSelectedInstOperands,
     /*  411451 */     // GIR_Coverage, 21068,
     /*  411451 */     GIR_EraseRootFromParent_Done,
     /*  411452 */   // Label 7273: @411452
     /*  411452 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(411529), // Rule ID 21069 //
     /*  411457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  411468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  411471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411489 */     // MIs[0] Operand 4
     /*  411489 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411527 */     GIR_RootConstrainSelectedInstOperands,
     /*  411528 */     // GIR_Coverage, 21069,
     /*  411528 */     GIR_EraseRootFromParent_Done,
     /*  411529 */   // Label 7274: @411529
     /*  411529 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411606), // Rule ID 21372 //
     /*  411534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  411548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411566 */     // MIs[0] Operand 4
     /*  411566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  411584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  411587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411604 */     GIR_RootConstrainSelectedInstOperands,
     /*  411605 */     // GIR_Coverage, 21372,
     /*  411605 */     GIR_EraseRootFromParent_Done,
     /*  411606 */   // Label 7275: @411606
     /*  411606 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(411683), // Rule ID 21373 //
     /*  411611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  411622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  411625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411643 */     // MIs[0] Operand 4
     /*  411643 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  411661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  411664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411681 */     GIR_RootConstrainSelectedInstOperands,
     /*  411682 */     // GIR_Coverage, 21373,
     /*  411682 */     GIR_EraseRootFromParent_Done,
     /*  411683 */   // Label 7276: @411683
     /*  411683 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(411760), // Rule ID 21376 //
     /*  411688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  411702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411720 */     // MIs[0] Operand 4
     /*  411720 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411738 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  411738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  411741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411758 */     GIR_RootConstrainSelectedInstOperands,
     /*  411759 */     // GIR_Coverage, 21376,
     /*  411759 */     GIR_EraseRootFromParent_Done,
     /*  411760 */   // Label 7277: @411760
     /*  411760 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(411837), // Rule ID 21377 //
     /*  411765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  411776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  411779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411797 */     // MIs[0] Operand 4
     /*  411797 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411815 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  411815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  411818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411835 */     GIR_RootConstrainSelectedInstOperands,
     /*  411836 */     // GIR_Coverage, 21377,
     /*  411836 */     GIR_EraseRootFromParent_Done,
     /*  411837 */   // Label 7278: @411837
     /*  411837 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(411914), // Rule ID 21380 //
     /*  411842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  411853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  411856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  411859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411874 */     // MIs[0] Operand 4
     /*  411874 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  411892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  411895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411912 */     GIR_RootConstrainSelectedInstOperands,
     /*  411913 */     // GIR_Coverage, 21380,
     /*  411913 */     GIR_EraseRootFromParent_Done,
     /*  411914 */   // Label 7279: @411914
     /*  411914 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(411991), // Rule ID 21381 //
     /*  411919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  411927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  411930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  411933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  411936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411951 */     // MIs[0] Operand 4
     /*  411951 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411969 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  411969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  411972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411989 */     GIR_RootConstrainSelectedInstOperands,
     /*  411990 */     // GIR_Coverage, 21381,
     /*  411990 */     GIR_EraseRootFromParent_Done,
     /*  411991 */   // Label 7280: @411991
     /*  411991 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(412068), // Rule ID 21384 //
     /*  411996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  412010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  412013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412028 */     // MIs[0] Operand 4
     /*  412028 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412046 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412066 */     GIR_RootConstrainSelectedInstOperands,
     /*  412067 */     // GIR_Coverage, 21384,
     /*  412067 */     GIR_EraseRootFromParent_Done,
     /*  412068 */   // Label 7281: @412068
     /*  412068 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(412145), // Rule ID 21385 //
     /*  412073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  412087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  412090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412105 */     // MIs[0] Operand 4
     /*  412105 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412143 */     GIR_RootConstrainSelectedInstOperands,
     /*  412144 */     // GIR_Coverage, 21385,
     /*  412144 */     GIR_EraseRootFromParent_Done,
     /*  412145 */   // Label 7282: @412145
     /*  412145 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(412222), // Rule ID 21388 //
     /*  412150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  412161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  412164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  412167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412182 */     // MIs[0] Operand 4
     /*  412182 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  412203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412220 */     GIR_RootConstrainSelectedInstOperands,
     /*  412221 */     // GIR_Coverage, 21388,
     /*  412221 */     GIR_EraseRootFromParent_Done,
     /*  412222 */   // Label 7283: @412222
     /*  412222 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(412299), // Rule ID 21389 //
     /*  412227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  412238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  412241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  412244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412259 */     // MIs[0] Operand 4
     /*  412259 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  412280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412297 */     GIR_RootConstrainSelectedInstOperands,
     /*  412298 */     // GIR_Coverage, 21389,
     /*  412298 */     GIR_EraseRootFromParent_Done,
     /*  412299 */   // Label 7284: @412299
     /*  412299 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(412376), // Rule ID 21392 //
     /*  412304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  412315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  412318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  412321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412336 */     // MIs[0] Operand 4
     /*  412336 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412354 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  412357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412374 */     GIR_RootConstrainSelectedInstOperands,
     /*  412375 */     // GIR_Coverage, 21392,
     /*  412375 */     GIR_EraseRootFromParent_Done,
     /*  412376 */   // Label 7285: @412376
     /*  412376 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(412453), // Rule ID 21393 //
     /*  412381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  412392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  412395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  412398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412413 */     // MIs[0] Operand 4
     /*  412413 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412431 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  412434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412451 */     GIR_RootConstrainSelectedInstOperands,
     /*  412452 */     // GIR_Coverage, 21393,
     /*  412452 */     GIR_EraseRootFromParent_Done,
     /*  412453 */   // Label 7286: @412453
     /*  412453 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(412530), // Rule ID 21396 //
     /*  412458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  412461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  412472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412490 */     // MIs[0] Operand 4
     /*  412490 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  412508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  412511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412528 */     GIR_RootConstrainSelectedInstOperands,
     /*  412529 */     // GIR_Coverage, 21396,
     /*  412529 */     GIR_EraseRootFromParent_Done,
     /*  412530 */   // Label 7287: @412530
     /*  412530 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412607), // Rule ID 21397 //
     /*  412535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  412538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  412546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  412549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412567 */     // MIs[0] Operand 4
     /*  412567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  412585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  412588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412605 */     GIR_RootConstrainSelectedInstOperands,
     /*  412606 */     // GIR_Coverage, 21397,
     /*  412606 */     GIR_EraseRootFromParent_Done,
     /*  412607 */   // Label 7288: @412607
     /*  412607 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(412684), // Rule ID 21400 //
     /*  412612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  412615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  412626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412644 */     // MIs[0] Operand 4
     /*  412644 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  412662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412682 */     GIR_RootConstrainSelectedInstOperands,
     /*  412683 */     // GIR_Coverage, 21400,
     /*  412683 */     GIR_EraseRootFromParent_Done,
     /*  412684 */   // Label 7289: @412684
     /*  412684 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(412761), // Rule ID 21401 //
     /*  412689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  412692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  412703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412721 */     // MIs[0] Operand 4
     /*  412721 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412739 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  412739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412759 */     GIR_RootConstrainSelectedInstOperands,
     /*  412760 */     // GIR_Coverage, 21401,
     /*  412760 */     GIR_EraseRootFromParent_Done,
     /*  412761 */   // Label 7290: @412761
     /*  412761 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(412838), // Rule ID 21404 //
     /*  412766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  412769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  412777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  412780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412798 */     // MIs[0] Operand 4
     /*  412798 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  412816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412836 */     GIR_RootConstrainSelectedInstOperands,
     /*  412837 */     // GIR_Coverage, 21404,
     /*  412837 */     GIR_EraseRootFromParent_Done,
     /*  412838 */   // Label 7291: @412838
     /*  412838 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(412915), // Rule ID 21405 //
     /*  412843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  412846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  412854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  412857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412875 */     // MIs[0] Operand 4
     /*  412875 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  412893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412913 */     GIR_RootConstrainSelectedInstOperands,
     /*  412914 */     // GIR_Coverage, 21405,
     /*  412914 */     GIR_EraseRootFromParent_Done,
     /*  412915 */   // Label 7292: @412915
     /*  412915 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(412992), // Rule ID 21408 //
     /*  412920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  412923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  412931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  412934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412952 */     // MIs[0] Operand 4
     /*  412952 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412970 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  412970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  412973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412990 */     GIR_RootConstrainSelectedInstOperands,
     /*  412991 */     // GIR_Coverage, 21408,
     /*  412991 */     GIR_EraseRootFromParent_Done,
     /*  412992 */   // Label 7293: @412992
     /*  412992 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(413069), // Rule ID 21409 //
     /*  412997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  413008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  413011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  413014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413029 */     // MIs[0] Operand 4
     /*  413029 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413067 */     GIR_RootConstrainSelectedInstOperands,
     /*  413068 */     // GIR_Coverage, 21409,
     /*  413068 */     GIR_EraseRootFromParent_Done,
     /*  413069 */   // Label 7294: @413069
     /*  413069 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(413146), // Rule ID 21412 //
     /*  413074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  413085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  413088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413106 */     // MIs[0] Operand 4
     /*  413106 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413144 */     GIR_RootConstrainSelectedInstOperands,
     /*  413145 */     // GIR_Coverage, 21412,
     /*  413145 */     GIR_EraseRootFromParent_Done,
     /*  413146 */   // Label 7295: @413146
     /*  413146 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(413223), // Rule ID 21413 //
     /*  413151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  413162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  413165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413183 */     // MIs[0] Operand 4
     /*  413183 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413201 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413221 */     GIR_RootConstrainSelectedInstOperands,
     /*  413222 */     // GIR_Coverage, 21413,
     /*  413222 */     GIR_EraseRootFromParent_Done,
     /*  413223 */   // Label 7296: @413223
     /*  413223 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(413300), // Rule ID 21416 //
     /*  413228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413260 */     // MIs[0] Operand 4
     /*  413260 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  413281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413298 */     GIR_RootConstrainSelectedInstOperands,
     /*  413299 */     // GIR_Coverage, 21416,
     /*  413299 */     GIR_EraseRootFromParent_Done,
     /*  413300 */   // Label 7297: @413300
     /*  413300 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(413377), // Rule ID 21417 //
     /*  413305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413337 */     // MIs[0] Operand 4
     /*  413337 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  413355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  413358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413375 */     GIR_RootConstrainSelectedInstOperands,
     /*  413376 */     // GIR_Coverage, 21417,
     /*  413376 */     GIR_EraseRootFromParent_Done,
     /*  413377 */   // Label 7298: @413377
     /*  413377 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(413454), // Rule ID 21420 //
     /*  413382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413414 */     // MIs[0] Operand 4
     /*  413414 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413452 */     GIR_RootConstrainSelectedInstOperands,
     /*  413453 */     // GIR_Coverage, 21420,
     /*  413453 */     GIR_EraseRootFromParent_Done,
     /*  413454 */   // Label 7299: @413454
     /*  413454 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(413531), // Rule ID 21421 //
     /*  413459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413491 */     // MIs[0] Operand 4
     /*  413491 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  413509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413529 */     GIR_RootConstrainSelectedInstOperands,
     /*  413530 */     // GIR_Coverage, 21421,
     /*  413530 */     GIR_EraseRootFromParent_Done,
     /*  413531 */   // Label 7300: @413531
     /*  413531 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413608), // Rule ID 21424 //
     /*  413536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413568 */     // MIs[0] Operand 4
     /*  413568 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413606 */     GIR_RootConstrainSelectedInstOperands,
     /*  413607 */     // GIR_Coverage, 21424,
     /*  413607 */     GIR_EraseRootFromParent_Done,
     /*  413608 */   // Label 7301: @413608
     /*  413608 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413685), // Rule ID 21425 //
     /*  413613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413645 */     // MIs[0] Operand 4
     /*  413645 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  413663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413683 */     GIR_RootConstrainSelectedInstOperands,
     /*  413684 */     // GIR_Coverage, 21425,
     /*  413684 */     GIR_EraseRootFromParent_Done,
     /*  413685 */   // Label 7302: @413685
     /*  413685 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(413762), // Rule ID 21428 //
     /*  413690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  413707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413722 */     // MIs[0] Operand 4
     /*  413722 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413760 */     GIR_RootConstrainSelectedInstOperands,
     /*  413761 */     // GIR_Coverage, 21428,
     /*  413761 */     GIR_EraseRootFromParent_Done,
     /*  413762 */   // Label 7303: @413762
     /*  413762 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(413839), // Rule ID 21429 //
     /*  413767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  413784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413799 */     // MIs[0] Operand 4
     /*  413799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  413817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413837 */     GIR_RootConstrainSelectedInstOperands,
     /*  413838 */     // GIR_Coverage, 21429,
     /*  413838 */     GIR_EraseRootFromParent_Done,
     /*  413839 */   // Label 7304: @413839
     /*  413839 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(413916), // Rule ID 21432 //
     /*  413844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  413847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  413852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  413855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  413858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413876 */     // MIs[0] Operand 4
     /*  413876 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413894 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  413894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  413897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413914 */     GIR_RootConstrainSelectedInstOperands,
     /*  413915 */     // GIR_Coverage, 21432,
     /*  413915 */     GIR_EraseRootFromParent_Done,
     /*  413916 */   // Label 7305: @413916
     /*  413916 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(413993), // Rule ID 21433 //
     /*  413921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  413924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  413929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  413932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  413935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  413938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413953 */     // MIs[0] Operand 4
     /*  413953 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  413971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  413974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413991 */     GIR_RootConstrainSelectedInstOperands,
     /*  413992 */     // GIR_Coverage, 21433,
     /*  413992 */     GIR_EraseRootFromParent_Done,
     /*  413993 */   // Label 7306: @413993
     /*  413993 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(414070), // Rule ID 21436 //
     /*  413998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  414009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414030 */     // MIs[0] Operand 4
     /*  414030 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414068 */     GIR_RootConstrainSelectedInstOperands,
     /*  414069 */     // GIR_Coverage, 21436,
     /*  414069 */     GIR_EraseRootFromParent_Done,
     /*  414070 */   // Label 7307: @414070
     /*  414070 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(414147), // Rule ID 21437 //
     /*  414075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  414086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414107 */     // MIs[0] Operand 4
     /*  414107 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414125 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414145 */     GIR_RootConstrainSelectedInstOperands,
     /*  414146 */     // GIR_Coverage, 21437,
     /*  414146 */     GIR_EraseRootFromParent_Done,
     /*  414147 */   // Label 7308: @414147
     /*  414147 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(414224), // Rule ID 21440 //
     /*  414152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  414163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414184 */     // MIs[0] Operand 4
     /*  414184 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  414205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414222 */     GIR_RootConstrainSelectedInstOperands,
     /*  414223 */     // GIR_Coverage, 21440,
     /*  414223 */     GIR_EraseRootFromParent_Done,
     /*  414224 */   // Label 7309: @414224
     /*  414224 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(414301), // Rule ID 21441 //
     /*  414229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  414240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414261 */     // MIs[0] Operand 4
     /*  414261 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414279 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  414282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414299 */     GIR_RootConstrainSelectedInstOperands,
     /*  414300 */     // GIR_Coverage, 21441,
     /*  414300 */     GIR_EraseRootFromParent_Done,
     /*  414301 */   // Label 7310: @414301
     /*  414301 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(414378), // Rule ID 21444 //
     /*  414306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  414320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  414323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414338 */     // MIs[0] Operand 4
     /*  414338 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  414359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414376 */     GIR_RootConstrainSelectedInstOperands,
     /*  414377 */     // GIR_Coverage, 21444,
     /*  414377 */     GIR_EraseRootFromParent_Done,
     /*  414378 */   // Label 7311: @414378
     /*  414378 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(414455), // Rule ID 21445 //
     /*  414383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  414397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  414400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414415 */     // MIs[0] Operand 4
     /*  414415 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414433 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  414436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414453 */     GIR_RootConstrainSelectedInstOperands,
     /*  414454 */     // GIR_Coverage, 21445,
     /*  414454 */     GIR_EraseRootFromParent_Done,
     /*  414455 */   // Label 7312: @414455
     /*  414455 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(414532), // Rule ID 21448 //
     /*  414460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  414474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  414477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414492 */     // MIs[0] Operand 4
     /*  414492 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  414513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414530 */     GIR_RootConstrainSelectedInstOperands,
     /*  414531 */     // GIR_Coverage, 21448,
     /*  414531 */     GIR_EraseRootFromParent_Done,
     /*  414532 */   // Label 7313: @414532
     /*  414532 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414609), // Rule ID 21449 //
     /*  414537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  414551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  414554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414569 */     // MIs[0] Operand 4
     /*  414569 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  414590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414607 */     GIR_RootConstrainSelectedInstOperands,
     /*  414608 */     // GIR_Coverage, 21449,
     /*  414608 */     GIR_EraseRootFromParent_Done,
     /*  414609 */   // Label 7314: @414609
     /*  414609 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414686), // Rule ID 21452 //
     /*  414614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  414628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  414631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414646 */     // MIs[0] Operand 4
     /*  414646 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414664 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  414667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414684 */     GIR_RootConstrainSelectedInstOperands,
     /*  414685 */     // GIR_Coverage, 21452,
     /*  414685 */     GIR_EraseRootFromParent_Done,
     /*  414686 */   // Label 7315: @414686
     /*  414686 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414763), // Rule ID 21453 //
     /*  414691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  414705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  414708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414723 */     // MIs[0] Operand 4
     /*  414723 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414741 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  414744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414761 */     GIR_RootConstrainSelectedInstOperands,
     /*  414762 */     // GIR_Coverage, 21453,
     /*  414762 */     GIR_EraseRootFromParent_Done,
     /*  414763 */   // Label 7316: @414763
     /*  414763 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(414840), // Rule ID 21456 //
     /*  414768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  414771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  414779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  414782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414800 */     // MIs[0] Operand 4
     /*  414800 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  414818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414838 */     GIR_RootConstrainSelectedInstOperands,
     /*  414839 */     // GIR_Coverage, 21456,
     /*  414839 */     GIR_EraseRootFromParent_Done,
     /*  414840 */   // Label 7317: @414840
     /*  414840 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(414917), // Rule ID 21457 //
     /*  414845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  414848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  414856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  414859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414877 */     // MIs[0] Operand 4
     /*  414877 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414895 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  414895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414915 */     GIR_RootConstrainSelectedInstOperands,
     /*  414916 */     // GIR_Coverage, 21457,
     /*  414916 */     GIR_EraseRootFromParent_Done,
     /*  414917 */   // Label 7318: @414917
     /*  414917 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(414994), // Rule ID 21460 //
     /*  414922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  414925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  414933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  414936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414954 */     // MIs[0] Operand 4
     /*  414954 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  414972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  414975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414992 */     GIR_RootConstrainSelectedInstOperands,
     /*  414993 */     // GIR_Coverage, 21460,
     /*  414993 */     GIR_EraseRootFromParent_Done,
     /*  414994 */   // Label 7319: @414994
     /*  414994 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(415071), // Rule ID 21461 //
     /*  414999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  415010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  415013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415031 */     // MIs[0] Operand 4
     /*  415031 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415069 */     GIR_RootConstrainSelectedInstOperands,
     /*  415070 */     // GIR_Coverage, 21461,
     /*  415070 */     GIR_EraseRootFromParent_Done,
     /*  415071 */   // Label 7320: @415071
     /*  415071 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(415148), // Rule ID 21464 //
     /*  415076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415108 */     // MIs[0] Operand 4
     /*  415108 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415146 */     GIR_RootConstrainSelectedInstOperands,
     /*  415147 */     // GIR_Coverage, 21464,
     /*  415147 */     GIR_EraseRootFromParent_Done,
     /*  415148 */   // Label 7321: @415148
     /*  415148 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(415225), // Rule ID 21465 //
     /*  415153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415185 */     // MIs[0] Operand 4
     /*  415185 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415223 */     GIR_RootConstrainSelectedInstOperands,
     /*  415224 */     // GIR_Coverage, 21465,
     /*  415224 */     GIR_EraseRootFromParent_Done,
     /*  415225 */   // Label 7322: @415225
     /*  415225 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(415302), // Rule ID 21468 //
     /*  415230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  415244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415262 */     // MIs[0] Operand 4
     /*  415262 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415300 */     GIR_RootConstrainSelectedInstOperands,
     /*  415301 */     // GIR_Coverage, 21468,
     /*  415301 */     GIR_EraseRootFromParent_Done,
     /*  415302 */   // Label 7323: @415302
     /*  415302 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(415379), // Rule ID 21469 //
     /*  415307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  415321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415339 */     // MIs[0] Operand 4
     /*  415339 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415357 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415377 */     GIR_RootConstrainSelectedInstOperands,
     /*  415378 */     // GIR_Coverage, 21469,
     /*  415378 */     GIR_EraseRootFromParent_Done,
     /*  415379 */   // Label 7324: @415379
     /*  415379 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(415456), // Rule ID 21472 //
     /*  415384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  415398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  415401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415416 */     // MIs[0] Operand 4
     /*  415416 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  415437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415454 */     GIR_RootConstrainSelectedInstOperands,
     /*  415455 */     // GIR_Coverage, 21472,
     /*  415455 */     GIR_EraseRootFromParent_Done,
     /*  415456 */   // Label 7325: @415456
     /*  415456 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(415533), // Rule ID 21473 //
     /*  415461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  415475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  415478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415493 */     // MIs[0] Operand 4
     /*  415493 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  415514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415531 */     GIR_RootConstrainSelectedInstOperands,
     /*  415532 */     // GIR_Coverage, 21473,
     /*  415532 */     GIR_EraseRootFromParent_Done,
     /*  415533 */   // Label 7326: @415533
     /*  415533 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415610), // Rule ID 21476 //
     /*  415538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  415541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415570 */     // MIs[0] Operand 4
     /*  415570 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  415588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415608 */     GIR_RootConstrainSelectedInstOperands,
     /*  415609 */     // GIR_Coverage, 21476,
     /*  415609 */     GIR_EraseRootFromParent_Done,
     /*  415610 */   // Label 7327: @415610
     /*  415610 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415687), // Rule ID 21477 //
     /*  415615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  415618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  415632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415647 */     // MIs[0] Operand 4
     /*  415647 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  415665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415685 */     GIR_RootConstrainSelectedInstOperands,
     /*  415686 */     // GIR_Coverage, 21477,
     /*  415686 */     GIR_EraseRootFromParent_Done,
     /*  415687 */   // Label 7328: @415687
     /*  415687 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415764), // Rule ID 21480 //
     /*  415692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  415695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  415709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415724 */     // MIs[0] Operand 4
     /*  415724 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  415742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415762 */     GIR_RootConstrainSelectedInstOperands,
     /*  415763 */     // GIR_Coverage, 21480,
     /*  415763 */     GIR_EraseRootFromParent_Done,
     /*  415764 */   // Label 7329: @415764
     /*  415764 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(415841), // Rule ID 21481 //
     /*  415769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  415772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  415786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415801 */     // MIs[0] Operand 4
     /*  415801 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  415819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415839 */     GIR_RootConstrainSelectedInstOperands,
     /*  415840 */     // GIR_Coverage, 21481,
     /*  415840 */     GIR_EraseRootFromParent_Done,
     /*  415841 */   // Label 7330: @415841
     /*  415841 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(415918), // Rule ID 21484 //
     /*  415846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  415849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  415863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415878 */     // MIs[0] Operand 4
     /*  415878 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  415896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415916 */     GIR_RootConstrainSelectedInstOperands,
     /*  415917 */     // GIR_Coverage, 21484,
     /*  415917 */     GIR_EraseRootFromParent_Done,
     /*  415918 */   // Label 7331: @415918
     /*  415918 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(415995), // Rule ID 21485 //
     /*  415923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  415926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  415940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415955 */     // MIs[0] Operand 4
     /*  415955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415973 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  415973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415993 */     GIR_RootConstrainSelectedInstOperands,
     /*  415994 */     // GIR_Coverage, 21485,
     /*  415994 */     GIR_EraseRootFromParent_Done,
     /*  415995 */   // Label 7332: @415995
     /*  415995 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(416072), // Rule ID 21488 //
     /*  416000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  416003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  416017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416032 */     // MIs[0] Operand 4
     /*  416032 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  416050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416070 */     GIR_RootConstrainSelectedInstOperands,
     /*  416071 */     // GIR_Coverage, 21488,
     /*  416071 */     GIR_EraseRootFromParent_Done,
     /*  416072 */   // Label 7333: @416072
     /*  416072 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(416149), // Rule ID 21489 //
     /*  416077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  416080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  416094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416109 */     // MIs[0] Operand 4
     /*  416109 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416147 */     GIR_RootConstrainSelectedInstOperands,
     /*  416148 */     // GIR_Coverage, 21489,
     /*  416148 */     GIR_EraseRootFromParent_Done,
     /*  416149 */   // Label 7334: @416149
     /*  416149 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(416222), // Rule ID 62815 //
     /*  416154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416178 */     // MIs[0] op1
     /*  416178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416201 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  416204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416206 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416208 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416210 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416220 */     GIR_RootConstrainSelectedInstOperands,
     /*  416221 */     // GIR_Coverage, 62815,
     /*  416221 */     GIR_EraseRootFromParent_Done,
     /*  416222 */   // Label 7335: @416222
     /*  416222 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(416295), // Rule ID 62816 //
     /*  416227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416251 */     // MIs[0] op1
     /*  416251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416254 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416274 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  416277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416279 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416281 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416283 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416293 */     GIR_RootConstrainSelectedInstOperands,
     /*  416294 */     // GIR_Coverage, 62816,
     /*  416294 */     GIR_EraseRootFromParent_Done,
     /*  416295 */   // Label 7336: @416295
     /*  416295 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(416368), // Rule ID 62839 //
     /*  416300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  416317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416324 */     // MIs[0] op1
     /*  416324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  416350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416352 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416354 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416356 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416366 */     GIR_RootConstrainSelectedInstOperands,
     /*  416367 */     // GIR_Coverage, 62839,
     /*  416367 */     GIR_EraseRootFromParent_Done,
     /*  416368 */   // Label 7337: @416368
     /*  416368 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(416441), // Rule ID 62840 //
     /*  416373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  416390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416397 */     // MIs[0] op1
     /*  416397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  416423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416425 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416427 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416429 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416439 */     GIR_RootConstrainSelectedInstOperands,
     /*  416440 */     // GIR_Coverage, 62840,
     /*  416440 */     GIR_EraseRootFromParent_Done,
     /*  416441 */   // Label 7338: @416441
     /*  416441 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(416514), // Rule ID 62865 //
     /*  416446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416470 */     // MIs[0] op1
     /*  416470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416493 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  416496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416512 */     GIR_RootConstrainSelectedInstOperands,
     /*  416513 */     // GIR_Coverage, 62865,
     /*  416513 */     GIR_EraseRootFromParent_Done,
     /*  416514 */   // Label 7339: @416514
     /*  416514 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416587), // Rule ID 62866 //
     /*  416519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416543 */     // MIs[0] op1
     /*  416543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416566 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  416569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416571 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416573 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416575 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416585 */     GIR_RootConstrainSelectedInstOperands,
     /*  416586 */     // GIR_Coverage, 62866,
     /*  416586 */     GIR_EraseRootFromParent_Done,
     /*  416587 */   // Label 7340: @416587
     /*  416587 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416660), // Rule ID 62877 //
     /*  416592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  416609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416616 */     // MIs[0] op1
     /*  416616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416639 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  416642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416658 */     GIR_RootConstrainSelectedInstOperands,
     /*  416659 */     // GIR_Coverage, 62877,
     /*  416659 */     GIR_EraseRootFromParent_Done,
     /*  416660 */   // Label 7341: @416660
     /*  416660 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416733), // Rule ID 62878 //
     /*  416665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  416676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  416679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  416682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416689 */     // MIs[0] op1
     /*  416689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  416715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416717 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416719 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416721 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416731 */     GIR_RootConstrainSelectedInstOperands,
     /*  416732 */     // GIR_Coverage, 62878,
     /*  416732 */     GIR_EraseRootFromParent_Done,
     /*  416733 */   // Label 7342: @416733
     /*  416733 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416806), // Rule ID 62909 //
     /*  416738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  416749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  416752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416762 */     // MIs[0] op1
     /*  416762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416785 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  416788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416790 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416792 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416794 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416804 */     GIR_RootConstrainSelectedInstOperands,
     /*  416805 */     // GIR_Coverage, 62909,
     /*  416805 */     GIR_EraseRootFromParent_Done,
     /*  416806 */   // Label 7343: @416806
     /*  416806 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(416879), // Rule ID 62910 //
     /*  416811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  416822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  416825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416835 */     // MIs[0] op1
     /*  416835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416858 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  416861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416877 */     GIR_RootConstrainSelectedInstOperands,
     /*  416878 */     // GIR_Coverage, 62910,
     /*  416878 */     GIR_EraseRootFromParent_Done,
     /*  416879 */   // Label 7344: @416879
     /*  416879 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(416952), // Rule ID 62921 //
     /*  416884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  416895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  416898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  416901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416908 */     // MIs[0] op1
     /*  416908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416931 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  416934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416936 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416938 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416940 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416950 */     GIR_RootConstrainSelectedInstOperands,
     /*  416951 */     // GIR_Coverage, 62921,
     /*  416951 */     GIR_EraseRootFromParent_Done,
     /*  416952 */   // Label 7345: @416952
     /*  416952 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(417025), // Rule ID 62922 //
     /*  416957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  416968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  416971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  416974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416981 */     // MIs[0] op1
     /*  416981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417009 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417011 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417013 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417023 */     GIR_RootConstrainSelectedInstOperands,
     /*  417024 */     // GIR_Coverage, 62922,
     /*  417024 */     GIR_EraseRootFromParent_Done,
     /*  417025 */   // Label 7346: @417025
     /*  417025 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(417098), // Rule ID 62953 //
     /*  417030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417054 */     // MIs[0] op1
     /*  417054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417082 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417084 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417086 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417096 */     GIR_RootConstrainSelectedInstOperands,
     /*  417097 */     // GIR_Coverage, 62953,
     /*  417097 */     GIR_EraseRootFromParent_Done,
     /*  417098 */   // Label 7347: @417098
     /*  417098 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(417171), // Rule ID 62954 //
     /*  417103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417127 */     // MIs[0] op1
     /*  417127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417155 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417157 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417159 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417169 */     GIR_RootConstrainSelectedInstOperands,
     /*  417170 */     // GIR_Coverage, 62954,
     /*  417170 */     GIR_EraseRootFromParent_Done,
     /*  417171 */   // Label 7348: @417171
     /*  417171 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(417244), // Rule ID 62965 //
     /*  417176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  417193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417200 */     // MIs[0] op1
     /*  417200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417223 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417242 */     GIR_RootConstrainSelectedInstOperands,
     /*  417243 */     // GIR_Coverage, 62965,
     /*  417243 */     GIR_EraseRootFromParent_Done,
     /*  417244 */   // Label 7349: @417244
     /*  417244 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417317), // Rule ID 62966 //
     /*  417249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  417266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417273 */     // MIs[0] op1
     /*  417273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417301 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417303 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417305 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417315 */     GIR_RootConstrainSelectedInstOperands,
     /*  417316 */     // GIR_Coverage, 62966,
     /*  417316 */     GIR_EraseRootFromParent_Done,
     /*  417317 */   // Label 7350: @417317
     /*  417317 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417390), // Rule ID 62989 //
     /*  417322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417346 */     // MIs[0] op1
     /*  417346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417349 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417369 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  417372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417374 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417376 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417378 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417388 */     GIR_RootConstrainSelectedInstOperands,
     /*  417389 */     // GIR_Coverage, 62989,
     /*  417389 */     GIR_EraseRootFromParent_Done,
     /*  417390 */   // Label 7351: @417390
     /*  417390 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(417463), // Rule ID 62990 //
     /*  417395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417419 */     // MIs[0] op1
     /*  417419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  417445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417447 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417449 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417451 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417461 */     GIR_RootConstrainSelectedInstOperands,
     /*  417462 */     // GIR_Coverage, 62990,
     /*  417462 */     GIR_EraseRootFromParent_Done,
     /*  417463 */   // Label 7352: @417463
     /*  417463 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417536), // Rule ID 63009 //
     /*  417468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417492 */     // MIs[0] op1
     /*  417492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417520 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417522 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417524 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417534 */     GIR_RootConstrainSelectedInstOperands,
     /*  417535 */     // GIR_Coverage, 63009,
     /*  417535 */     GIR_EraseRootFromParent_Done,
     /*  417536 */   // Label 7353: @417536
     /*  417536 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417609), // Rule ID 63010 //
     /*  417541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417565 */     // MIs[0] op1
     /*  417565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417607 */     GIR_RootConstrainSelectedInstOperands,
     /*  417608 */     // GIR_Coverage, 63010,
     /*  417608 */     GIR_EraseRootFromParent_Done,
     /*  417609 */   // Label 7354: @417609
     /*  417609 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417682), // Rule ID 63021 //
     /*  417614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  417631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417638 */     // MIs[0] op1
     /*  417638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417680 */     GIR_RootConstrainSelectedInstOperands,
     /*  417681 */     // GIR_Coverage, 63021,
     /*  417681 */     GIR_EraseRootFromParent_Done,
     /*  417682 */   // Label 7355: @417682
     /*  417682 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417755), // Rule ID 63022 //
     /*  417687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  417704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417711 */     // MIs[0] op1
     /*  417711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417753 */     GIR_RootConstrainSelectedInstOperands,
     /*  417754 */     // GIR_Coverage, 63022,
     /*  417754 */     GIR_EraseRootFromParent_Done,
     /*  417755 */   // Label 7356: @417755
     /*  417755 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417828), // Rule ID 63045 //
     /*  417760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417784 */     // MIs[0] op1
     /*  417784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417807 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  417810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417812 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417814 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417816 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417826 */     GIR_RootConstrainSelectedInstOperands,
     /*  417827 */     // GIR_Coverage, 63045,
     /*  417827 */     GIR_EraseRootFromParent_Done,
     /*  417828 */   // Label 7357: @417828
     /*  417828 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(417901), // Rule ID 63046 //
     /*  417833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  417844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  417847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  417850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417857 */     // MIs[0] op1
     /*  417857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  417873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  417883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417899 */     GIR_RootConstrainSelectedInstOperands,
     /*  417900 */     // GIR_Coverage, 63046,
     /*  417900 */     GIR_EraseRootFromParent_Done,
     /*  417901 */   // Label 7358: @417901
     /*  417901 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(417974), // Rule ID 63065 //
     /*  417906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417930 */     // MIs[0] op1
     /*  417930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417972 */     GIR_RootConstrainSelectedInstOperands,
     /*  417973 */     // GIR_Coverage, 63065,
     /*  417973 */     GIR_EraseRootFromParent_Done,
     /*  417974 */   // Label 7359: @417974
     /*  417974 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(418047), // Rule ID 63066 //
     /*  417979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418003 */     // MIs[0] op1
     /*  418003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  418029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418045 */     GIR_RootConstrainSelectedInstOperands,
     /*  418046 */     // GIR_Coverage, 63066,
     /*  418046 */     GIR_EraseRootFromParent_Done,
     /*  418047 */   // Label 7360: @418047
     /*  418047 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(418120), // Rule ID 63077 //
     /*  418052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  418069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418076 */     // MIs[0] op1
     /*  418076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418118 */     GIR_RootConstrainSelectedInstOperands,
     /*  418119 */     // GIR_Coverage, 63077,
     /*  418119 */     GIR_EraseRootFromParent_Done,
     /*  418120 */   // Label 7361: @418120
     /*  418120 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(418193), // Rule ID 63078 //
     /*  418125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  418142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418149 */     // MIs[0] op1
     /*  418149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418172 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418177 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418179 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418181 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418191 */     GIR_RootConstrainSelectedInstOperands,
     /*  418192 */     // GIR_Coverage, 63078,
     /*  418192 */     GIR_EraseRootFromParent_Done,
     /*  418193 */   // Label 7362: @418193
     /*  418193 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418266), // Rule ID 63101 //
     /*  418198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418222 */     // MIs[0] op1
     /*  418222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418245 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  418248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418250 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418252 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418254 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418264 */     GIR_RootConstrainSelectedInstOperands,
     /*  418265 */     // GIR_Coverage, 63101,
     /*  418265 */     GIR_EraseRootFromParent_Done,
     /*  418266 */   // Label 7363: @418266
     /*  418266 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418339), // Rule ID 63102 //
     /*  418271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418295 */     // MIs[0] op1
     /*  418295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  418321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418323 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418325 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418327 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418337 */     GIR_RootConstrainSelectedInstOperands,
     /*  418338 */     // GIR_Coverage, 63102,
     /*  418338 */     GIR_EraseRootFromParent_Done,
     /*  418339 */   // Label 7364: @418339
     /*  418339 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418412), // Rule ID 63121 //
     /*  418344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418368 */     // MIs[0] op1
     /*  418368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  418391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418396 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418398 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418400 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418410 */     GIR_RootConstrainSelectedInstOperands,
     /*  418411 */     // GIR_Coverage, 63121,
     /*  418411 */     GIR_EraseRootFromParent_Done,
     /*  418412 */   // Label 7365: @418412
     /*  418412 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(418485), // Rule ID 63122 //
     /*  418417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418441 */     // MIs[0] op1
     /*  418441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  418464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418469 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418471 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418473 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418483 */     GIR_RootConstrainSelectedInstOperands,
     /*  418484 */     // GIR_Coverage, 63122,
     /*  418484 */     GIR_EraseRootFromParent_Done,
     /*  418485 */   // Label 7366: @418485
     /*  418485 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418558), // Rule ID 63133 //
     /*  418490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  418507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418514 */     // MIs[0] op1
     /*  418514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  418537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  418540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418542 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418544 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418546 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418556 */     GIR_RootConstrainSelectedInstOperands,
     /*  418557 */     // GIR_Coverage, 63133,
     /*  418557 */     GIR_EraseRootFromParent_Done,
     /*  418558 */   // Label 7367: @418558
     /*  418558 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418631), // Rule ID 63134 //
     /*  418563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  418574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  418577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  418580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418587 */     // MIs[0] op1
     /*  418587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418590 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418610 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  418610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  418613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418615 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418617 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418619 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  418629 */     GIR_RootConstrainSelectedInstOperands,
     /*  418630 */     // GIR_Coverage, 63134,
     /*  418630 */     GIR_EraseRootFromParent_Done,
     /*  418631 */   // Label 7368: @418631
     /*  418631 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418704), // Rule ID 63165 //
     /*  418636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  418650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418660 */     // MIs[0] op1
     /*  418660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418702 */     GIR_RootConstrainSelectedInstOperands,
     /*  418703 */     // GIR_Coverage, 63165,
     /*  418703 */     GIR_EraseRootFromParent_Done,
     /*  418704 */   // Label 7369: @418704
     /*  418704 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418777), // Rule ID 63166 //
     /*  418709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  418723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418733 */     // MIs[0] op1
     /*  418733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418736 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  418759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418761 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418763 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418765 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418775 */     GIR_RootConstrainSelectedInstOperands,
     /*  418776 */     // GIR_Coverage, 63166,
     /*  418776 */     GIR_EraseRootFromParent_Done,
     /*  418777 */   // Label 7370: @418777
     /*  418777 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(418850), // Rule ID 63177 //
     /*  418782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  418796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  418799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418806 */     // MIs[0] op1
     /*  418806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  418832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418848 */     GIR_RootConstrainSelectedInstOperands,
     /*  418849 */     // GIR_Coverage, 63177,
     /*  418849 */     GIR_EraseRootFromParent_Done,
     /*  418850 */   // Label 7371: @418850
     /*  418850 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(418923), // Rule ID 63178 //
     /*  418855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  418869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  418872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418879 */     // MIs[0] op1
     /*  418879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418882 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  418905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418907 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418909 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418911 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418921 */     GIR_RootConstrainSelectedInstOperands,
     /*  418922 */     // GIR_Coverage, 63178,
     /*  418922 */     GIR_EraseRootFromParent_Done,
     /*  418923 */   // Label 7372: @418923
     /*  418923 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(418996), // Rule ID 63201 //
     /*  418928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  418939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  418942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418952 */     // MIs[0] op1
     /*  418952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  418978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418994 */     GIR_RootConstrainSelectedInstOperands,
     /*  418995 */     // GIR_Coverage, 63201,
     /*  418995 */     GIR_EraseRootFromParent_Done,
     /*  418996 */   // Label 7373: @418996
     /*  418996 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(419069), // Rule ID 63202 //
     /*  419001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  419018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419025 */     // MIs[0] op1
     /*  419025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  419041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  419051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419053 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419055 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419057 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419067 */     GIR_RootConstrainSelectedInstOperands,
     /*  419068 */     // GIR_Coverage, 63202,
     /*  419068 */     GIR_EraseRootFromParent_Done,
     /*  419069 */   // Label 7374: @419069
     /*  419069 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(419142), // Rule ID 63221 //
     /*  419074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419098 */     // MIs[0] op1
     /*  419098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419140 */     GIR_RootConstrainSelectedInstOperands,
     /*  419141 */     // GIR_Coverage, 63221,
     /*  419141 */     GIR_EraseRootFromParent_Done,
     /*  419142 */   // Label 7375: @419142
     /*  419142 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419215), // Rule ID 63222 //
     /*  419147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419171 */     // MIs[0] op1
     /*  419171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419213 */     GIR_RootConstrainSelectedInstOperands,
     /*  419214 */     // GIR_Coverage, 63222,
     /*  419214 */     GIR_EraseRootFromParent_Done,
     /*  419215 */   // Label 7376: @419215
     /*  419215 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419288), // Rule ID 63233 //
     /*  419220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  419237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419244 */     // MIs[0] op1
     /*  419244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419286 */     GIR_RootConstrainSelectedInstOperands,
     /*  419287 */     // GIR_Coverage, 63233,
     /*  419287 */     GIR_EraseRootFromParent_Done,
     /*  419288 */   // Label 7377: @419288
     /*  419288 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(419361), // Rule ID 63234 //
     /*  419293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  419310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419317 */     // MIs[0] op1
     /*  419317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419359 */     GIR_RootConstrainSelectedInstOperands,
     /*  419360 */     // GIR_Coverage, 63234,
     /*  419360 */     GIR_EraseRootFromParent_Done,
     /*  419361 */   // Label 7378: @419361
     /*  419361 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(419434), // Rule ID 63257 //
     /*  419366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419390 */     // MIs[0] op1
     /*  419390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419413 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  419416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419418 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419420 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419422 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419432 */     GIR_RootConstrainSelectedInstOperands,
     /*  419433 */     // GIR_Coverage, 63257,
     /*  419433 */     GIR_EraseRootFromParent_Done,
     /*  419434 */   // Label 7379: @419434
     /*  419434 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419507), // Rule ID 63258 //
     /*  419439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419463 */     // MIs[0] op1
     /*  419463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  419479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  419489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419491 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419493 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419495 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419505 */     GIR_RootConstrainSelectedInstOperands,
     /*  419506 */     // GIR_Coverage, 63258,
     /*  419506 */     GIR_EraseRootFromParent_Done,
     /*  419507 */   // Label 7380: @419507
     /*  419507 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419580), // Rule ID 63277 //
     /*  419512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419536 */     // MIs[0] op1
     /*  419536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419578 */     GIR_RootConstrainSelectedInstOperands,
     /*  419579 */     // GIR_Coverage, 63277,
     /*  419579 */     GIR_EraseRootFromParent_Done,
     /*  419580 */   // Label 7381: @419580
     /*  419580 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419653), // Rule ID 63278 //
     /*  419585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419609 */     // MIs[0] op1
     /*  419609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419637 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419639 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419641 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419651 */     GIR_RootConstrainSelectedInstOperands,
     /*  419652 */     // GIR_Coverage, 63278,
     /*  419652 */     GIR_EraseRootFromParent_Done,
     /*  419653 */   // Label 7382: @419653
     /*  419653 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419726), // Rule ID 63289 //
     /*  419658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  419675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419682 */     // MIs[0] op1
     /*  419682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419724 */     GIR_RootConstrainSelectedInstOperands,
     /*  419725 */     // GIR_Coverage, 63289,
     /*  419725 */     GIR_EraseRootFromParent_Done,
     /*  419726 */   // Label 7383: @419726
     /*  419726 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419799), // Rule ID 63290 //
     /*  419731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  419748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419755 */     // MIs[0] op1
     /*  419755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419783 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419785 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419787 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419797 */     GIR_RootConstrainSelectedInstOperands,
     /*  419798 */     // GIR_Coverage, 63290,
     /*  419798 */     GIR_EraseRootFromParent_Done,
     /*  419799 */   // Label 7384: @419799
     /*  419799 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(419872), // Rule ID 63313 //
     /*  419804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419828 */     // MIs[0] op1
     /*  419828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419851 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  419851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  419854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419870 */     GIR_RootConstrainSelectedInstOperands,
     /*  419871 */     // GIR_Coverage, 63313,
     /*  419871 */     GIR_EraseRootFromParent_Done,
     /*  419872 */   // Label 7385: @419872
     /*  419872 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(419945), // Rule ID 63314 //
     /*  419877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  419888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  419891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419901 */     // MIs[0] op1
     /*  419901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  419917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  419924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  419927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419929 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419931 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419933 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  419943 */     GIR_RootConstrainSelectedInstOperands,
     /*  419944 */     // GIR_Coverage, 63314,
     /*  419944 */     GIR_EraseRootFromParent_Done,
     /*  419945 */   // Label 7386: @419945
     /*  419945 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(420018), // Rule ID 63333 //
     /*  419950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  419961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  419964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419974 */     // MIs[0] op1
     /*  419974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  419997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420002 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420004 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420006 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420016 */     GIR_RootConstrainSelectedInstOperands,
     /*  420017 */     // GIR_Coverage, 63333,
     /*  420017 */     GIR_EraseRootFromParent_Done,
     /*  420018 */   // Label 7387: @420018
     /*  420018 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420091), // Rule ID 63334 //
     /*  420023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420047 */     // MIs[0] op1
     /*  420047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420070 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420089 */     GIR_RootConstrainSelectedInstOperands,
     /*  420090 */     // GIR_Coverage, 63334,
     /*  420090 */     GIR_EraseRootFromParent_Done,
     /*  420091 */   // Label 7388: @420091
     /*  420091 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420164), // Rule ID 63345 //
     /*  420096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  420113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420120 */     // MIs[0] op1
     /*  420120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420143 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  420146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420148 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420150 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420152 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420162 */     GIR_RootConstrainSelectedInstOperands,
     /*  420163 */     // GIR_Coverage, 63345,
     /*  420163 */     GIR_EraseRootFromParent_Done,
     /*  420164 */   // Label 7389: @420164
     /*  420164 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(420237), // Rule ID 63346 //
     /*  420169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  420186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420193 */     // MIs[0] op1
     /*  420193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420216 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  420219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420235 */     GIR_RootConstrainSelectedInstOperands,
     /*  420236 */     // GIR_Coverage, 63346,
     /*  420236 */     GIR_EraseRootFromParent_Done,
     /*  420237 */   // Label 7390: @420237
     /*  420237 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(420310), // Rule ID 63377 //
     /*  420242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420266 */     // MIs[0] op1
     /*  420266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420289 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  420292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420308 */     GIR_RootConstrainSelectedInstOperands,
     /*  420309 */     // GIR_Coverage, 63377,
     /*  420309 */     GIR_EraseRootFromParent_Done,
     /*  420310 */   // Label 7391: @420310
     /*  420310 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(420383), // Rule ID 63378 //
     /*  420315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420339 */     // MIs[0] op1
     /*  420339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420362 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  420365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420381 */     GIR_RootConstrainSelectedInstOperands,
     /*  420382 */     // GIR_Coverage, 63378,
     /*  420382 */     GIR_EraseRootFromParent_Done,
     /*  420383 */   // Label 7392: @420383
     /*  420383 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(420456), // Rule ID 63389 //
     /*  420388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  420405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420412 */     // MIs[0] op1
     /*  420412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420435 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  420438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420454 */     GIR_RootConstrainSelectedInstOperands,
     /*  420455 */     // GIR_Coverage, 63389,
     /*  420455 */     GIR_EraseRootFromParent_Done,
     /*  420456 */   // Label 7393: @420456
     /*  420456 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420529), // Rule ID 63390 //
     /*  420461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  420478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420485 */     // MIs[0] op1
     /*  420485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  420511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420527 */     GIR_RootConstrainSelectedInstOperands,
     /*  420528 */     // GIR_Coverage, 63390,
     /*  420528 */     GIR_EraseRootFromParent_Done,
     /*  420529 */   // Label 7394: @420529
     /*  420529 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420602), // Rule ID 63421 //
     /*  420534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420558 */     // MIs[0] op1
     /*  420558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420581 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420586 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420588 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420590 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420600 */     GIR_RootConstrainSelectedInstOperands,
     /*  420601 */     // GIR_Coverage, 63421,
     /*  420601 */     GIR_EraseRootFromParent_Done,
     /*  420602 */   // Label 7395: @420602
     /*  420602 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420675), // Rule ID 63422 //
     /*  420607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420631 */     // MIs[0] op1
     /*  420631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  420657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420673 */     GIR_RootConstrainSelectedInstOperands,
     /*  420674 */     // GIR_Coverage, 63422,
     /*  420674 */     GIR_EraseRootFromParent_Done,
     /*  420675 */   // Label 7396: @420675
     /*  420675 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420748), // Rule ID 63433 //
     /*  420680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  420697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420704 */     // MIs[0] op1
     /*  420704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420727 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420732 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420734 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420736 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420746 */     GIR_RootConstrainSelectedInstOperands,
     /*  420747 */     // GIR_Coverage, 63433,
     /*  420747 */     GIR_EraseRootFromParent_Done,
     /*  420748 */   // Label 7397: @420748
     /*  420748 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(420821), // Rule ID 63434 //
     /*  420753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  420764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  420767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  420770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420777 */     // MIs[0] op1
     /*  420777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  420793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420800 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  420803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420819 */     GIR_RootConstrainSelectedInstOperands,
     /*  420820 */     // GIR_Coverage, 63434,
     /*  420820 */     GIR_EraseRootFromParent_Done,
     /*  420821 */   // Label 7398: @420821
     /*  420821 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(420894), // Rule ID 63465 //
     /*  420826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  420837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  420840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420850 */     // MIs[0] op1
     /*  420850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420873 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  420873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420878 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420880 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420882 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420892 */     GIR_RootConstrainSelectedInstOperands,
     /*  420893 */     // GIR_Coverage, 63465,
     /*  420893 */     GIR_EraseRootFromParent_Done,
     /*  420894 */   // Label 7399: @420894
     /*  420894 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(420967), // Rule ID 63466 //
     /*  420899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  420910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  420913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420923 */     // MIs[0] op1
     /*  420923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  420946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420965 */     GIR_RootConstrainSelectedInstOperands,
     /*  420966 */     // GIR_Coverage, 63466,
     /*  420966 */     GIR_EraseRootFromParent_Done,
     /*  420967 */   // Label 7400: @420967
     /*  420967 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421040), // Rule ID 63477 //
     /*  420972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  420983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  420986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  420989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420996 */     // MIs[0] op1
     /*  420996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420999 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  421022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421024 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421026 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421028 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421038 */     GIR_RootConstrainSelectedInstOperands,
     /*  421039 */     // GIR_Coverage, 63477,
     /*  421039 */     GIR_EraseRootFromParent_Done,
     /*  421040 */   // Label 7401: @421040
     /*  421040 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(421113), // Rule ID 63478 //
     /*  421045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  421062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421069 */     // MIs[0] op1
     /*  421069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  421095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421097 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421099 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421101 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421111 */     GIR_RootConstrainSelectedInstOperands,
     /*  421112 */     // GIR_Coverage, 63478,
     /*  421112 */     GIR_EraseRootFromParent_Done,
     /*  421113 */   // Label 7402: @421113
     /*  421113 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(421186), // Rule ID 63501 //
     /*  421118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421142 */     // MIs[0] op1
     /*  421142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  421168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421184 */     GIR_RootConstrainSelectedInstOperands,
     /*  421185 */     // GIR_Coverage, 63501,
     /*  421185 */     GIR_EraseRootFromParent_Done,
     /*  421186 */   // Label 7403: @421186
     /*  421186 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(421259), // Rule ID 63502 //
     /*  421191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421215 */     // MIs[0] op1
     /*  421215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  421241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421243 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421245 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421247 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421257 */     GIR_RootConstrainSelectedInstOperands,
     /*  421258 */     // GIR_Coverage, 63502,
     /*  421258 */     GIR_EraseRootFromParent_Done,
     /*  421259 */   // Label 7404: @421259
     /*  421259 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(421332), // Rule ID 63521 //
     /*  421264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421288 */     // MIs[0] op1
     /*  421288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  421314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421330 */     GIR_RootConstrainSelectedInstOperands,
     /*  421331 */     // GIR_Coverage, 63521,
     /*  421331 */     GIR_EraseRootFromParent_Done,
     /*  421332 */   // Label 7405: @421332
     /*  421332 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(421405), // Rule ID 63522 //
     /*  421337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421361 */     // MIs[0] op1
     /*  421361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421364 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  421387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421389 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421391 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421393 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421403 */     GIR_RootConstrainSelectedInstOperands,
     /*  421404 */     // GIR_Coverage, 63522,
     /*  421404 */     GIR_EraseRootFromParent_Done,
     /*  421405 */   // Label 7406: @421405
     /*  421405 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(421478), // Rule ID 63533 //
     /*  421410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  421427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421434 */     // MIs[0] op1
     /*  421434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421457 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  421460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421462 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421464 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421466 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421476 */     GIR_RootConstrainSelectedInstOperands,
     /*  421477 */     // GIR_Coverage, 63533,
     /*  421477 */     GIR_EraseRootFromParent_Done,
     /*  421478 */   // Label 7407: @421478
     /*  421478 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421551), // Rule ID 63534 //
     /*  421483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  421500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421507 */     // MIs[0] op1
     /*  421507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  421533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421535 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421537 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421539 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421549 */     GIR_RootConstrainSelectedInstOperands,
     /*  421550 */     // GIR_Coverage, 63534,
     /*  421550 */     GIR_EraseRootFromParent_Done,
     /*  421551 */   // Label 7408: @421551
     /*  421551 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421624), // Rule ID 63557 //
     /*  421556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421580 */     // MIs[0] op1
     /*  421580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  421606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421608 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421610 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421612 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421622 */     GIR_RootConstrainSelectedInstOperands,
     /*  421623 */     // GIR_Coverage, 63557,
     /*  421623 */     GIR_EraseRootFromParent_Done,
     /*  421624 */   // Label 7409: @421624
     /*  421624 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(421697), // Rule ID 63558 //
     /*  421629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421653 */     // MIs[0] op1
     /*  421653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  421679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421681 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421683 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421685 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421695 */     GIR_RootConstrainSelectedInstOperands,
     /*  421696 */     // GIR_Coverage, 63558,
     /*  421696 */     GIR_EraseRootFromParent_Done,
     /*  421697 */   // Label 7410: @421697
     /*  421697 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(421770), // Rule ID 63577 //
     /*  421702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421726 */     // MIs[0] op1
     /*  421726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  421752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421754 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421756 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421758 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421768 */     GIR_RootConstrainSelectedInstOperands,
     /*  421769 */     // GIR_Coverage, 63577,
     /*  421769 */     GIR_EraseRootFromParent_Done,
     /*  421770 */   // Label 7411: @421770
     /*  421770 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(421843), // Rule ID 63578 //
     /*  421775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421799 */     // MIs[0] op1
     /*  421799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  421825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421827 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421829 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421831 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421841 */     GIR_RootConstrainSelectedInstOperands,
     /*  421842 */     // GIR_Coverage, 63578,
     /*  421842 */     GIR_EraseRootFromParent_Done,
     /*  421843 */   // Label 7412: @421843
     /*  421843 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(421916), // Rule ID 63589 //
     /*  421848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  421865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421872 */     // MIs[0] op1
     /*  421872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  421898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421914 */     GIR_RootConstrainSelectedInstOperands,
     /*  421915 */     // GIR_Coverage, 63589,
     /*  421915 */     GIR_EraseRootFromParent_Done,
     /*  421916 */   // Label 7413: @421916
     /*  421916 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(421989), // Rule ID 63590 //
     /*  421921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  421938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421945 */     // MIs[0] op1
     /*  421945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421948 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  421971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421973 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421975 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421977 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421987 */     GIR_RootConstrainSelectedInstOperands,
     /*  421988 */     // GIR_Coverage, 63590,
     /*  421988 */     GIR_EraseRootFromParent_Done,
     /*  421989 */   // Label 7414: @421989
     /*  421989 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(422062), // Rule ID 63613 //
     /*  421994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422018 */     // MIs[0] op1
     /*  422018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422021 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  422044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422046 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422048 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422050 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422060 */     GIR_RootConstrainSelectedInstOperands,
     /*  422061 */     // GIR_Coverage, 63613,
     /*  422061 */     GIR_EraseRootFromParent_Done,
     /*  422062 */   // Label 7415: @422062
     /*  422062 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(422135), // Rule ID 63614 //
     /*  422067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422091 */     // MIs[0] op1
     /*  422091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  422117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422119 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422121 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422123 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422133 */     GIR_RootConstrainSelectedInstOperands,
     /*  422134 */     // GIR_Coverage, 63614,
     /*  422134 */     GIR_EraseRootFromParent_Done,
     /*  422135 */   // Label 7416: @422135
     /*  422135 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(422208), // Rule ID 63633 //
     /*  422140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422164 */     // MIs[0] op1
     /*  422164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  422190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422192 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422194 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422196 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422206 */     GIR_RootConstrainSelectedInstOperands,
     /*  422207 */     // GIR_Coverage, 63633,
     /*  422207 */     GIR_EraseRootFromParent_Done,
     /*  422208 */   // Label 7417: @422208
     /*  422208 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(422281), // Rule ID 63634 //
     /*  422213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422237 */     // MIs[0] op1
     /*  422237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  422263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422265 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422267 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422269 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422279 */     GIR_RootConstrainSelectedInstOperands,
     /*  422280 */     // GIR_Coverage, 63634,
     /*  422280 */     GIR_EraseRootFromParent_Done,
     /*  422281 */   // Label 7418: @422281
     /*  422281 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(422354), // Rule ID 63645 //
     /*  422286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  422303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422310 */     // MIs[0] op1
     /*  422310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422333 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  422336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422352 */     GIR_RootConstrainSelectedInstOperands,
     /*  422353 */     // GIR_Coverage, 63645,
     /*  422353 */     GIR_EraseRootFromParent_Done,
     /*  422354 */   // Label 7419: @422354
     /*  422354 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(422427), // Rule ID 63646 //
     /*  422359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  422376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422383 */     // MIs[0] op1
     /*  422383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  422409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422425 */     GIR_RootConstrainSelectedInstOperands,
     /*  422426 */     // GIR_Coverage, 63646,
     /*  422426 */     GIR_EraseRootFromParent_Done,
     /*  422427 */   // Label 7420: @422427
     /*  422427 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422500), // Rule ID 63669 //
     /*  422432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422456 */     // MIs[0] op1
     /*  422456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  422472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  422482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422484 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422486 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422488 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422498 */     GIR_RootConstrainSelectedInstOperands,
     /*  422499 */     // GIR_Coverage, 63669,
     /*  422499 */     GIR_EraseRootFromParent_Done,
     /*  422500 */   // Label 7421: @422500
     /*  422500 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(422573), // Rule ID 63670 //
     /*  422505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422529 */     // MIs[0] op1
     /*  422529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  422545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  422555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422571 */     GIR_RootConstrainSelectedInstOperands,
     /*  422572 */     // GIR_Coverage, 63670,
     /*  422572 */     GIR_EraseRootFromParent_Done,
     /*  422573 */   // Label 7422: @422573
     /*  422573 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(422646), // Rule ID 63689 //
     /*  422578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422602 */     // MIs[0] op1
     /*  422602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  422628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422644 */     GIR_RootConstrainSelectedInstOperands,
     /*  422645 */     // GIR_Coverage, 63689,
     /*  422645 */     GIR_EraseRootFromParent_Done,
     /*  422646 */   // Label 7423: @422646
     /*  422646 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(422719), // Rule ID 63690 //
     /*  422651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422675 */     // MIs[0] op1
     /*  422675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  422701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422717 */     GIR_RootConstrainSelectedInstOperands,
     /*  422718 */     // GIR_Coverage, 63690,
     /*  422718 */     GIR_EraseRootFromParent_Done,
     /*  422719 */   // Label 7424: @422719
     /*  422719 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(422792), // Rule ID 63701 //
     /*  422724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  422741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422748 */     // MIs[0] op1
     /*  422748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  422774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422790 */     GIR_RootConstrainSelectedInstOperands,
     /*  422791 */     // GIR_Coverage, 63701,
     /*  422791 */     GIR_EraseRootFromParent_Done,
     /*  422792 */   // Label 7425: @422792
     /*  422792 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(422865), // Rule ID 63702 //
     /*  422797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  422814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422821 */     // MIs[0] op1
     /*  422821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  422847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422849 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422851 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422853 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422863 */     GIR_RootConstrainSelectedInstOperands,
     /*  422864 */     // GIR_Coverage, 63702,
     /*  422864 */     GIR_EraseRootFromParent_Done,
     /*  422865 */   // Label 7426: @422865
     /*  422865 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(422938), // Rule ID 63725 //
     /*  422870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422894 */     // MIs[0] op1
     /*  422894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  422910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  422920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422922 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422924 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422926 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422936 */     GIR_RootConstrainSelectedInstOperands,
     /*  422937 */     // GIR_Coverage, 63725,
     /*  422937 */     GIR_EraseRootFromParent_Done,
     /*  422938 */   // Label 7427: @422938
     /*  422938 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(423011), // Rule ID 63726 //
     /*  422943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422967 */     // MIs[0] op1
     /*  422967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  422983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  422993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422995 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422997 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422999 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423009 */     GIR_RootConstrainSelectedInstOperands,
     /*  423010 */     // GIR_Coverage, 63726,
     /*  423010 */     GIR_EraseRootFromParent_Done,
     /*  423011 */   // Label 7428: @423011
     /*  423011 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(423084), // Rule ID 63745 //
     /*  423016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423040 */     // MIs[0] op1
     /*  423040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423063 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  423066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423068 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423070 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423072 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423082 */     GIR_RootConstrainSelectedInstOperands,
     /*  423083 */     // GIR_Coverage, 63745,
     /*  423083 */     GIR_EraseRootFromParent_Done,
     /*  423084 */   // Label 7429: @423084
     /*  423084 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(423157), // Rule ID 63746 //
     /*  423089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423113 */     // MIs[0] op1
     /*  423113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  423139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423141 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423143 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423145 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423155 */     GIR_RootConstrainSelectedInstOperands,
     /*  423156 */     // GIR_Coverage, 63746,
     /*  423156 */     GIR_EraseRootFromParent_Done,
     /*  423157 */   // Label 7430: @423157
     /*  423157 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(423230), // Rule ID 63757 //
     /*  423162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  423179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423186 */     // MIs[0] op1
     /*  423186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  423212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423214 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423216 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423218 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423228 */     GIR_RootConstrainSelectedInstOperands,
     /*  423229 */     // GIR_Coverage, 63757,
     /*  423229 */     GIR_EraseRootFromParent_Done,
     /*  423230 */   // Label 7431: @423230
     /*  423230 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(423303), // Rule ID 63758 //
     /*  423235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  423252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423259 */     // MIs[0] op1
     /*  423259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  423285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423287 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423289 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423291 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423301 */     GIR_RootConstrainSelectedInstOperands,
     /*  423302 */     // GIR_Coverage, 63758,
     /*  423302 */     GIR_EraseRootFromParent_Done,
     /*  423303 */   // Label 7432: @423303
     /*  423303 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(423376), // Rule ID 63781 //
     /*  423308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423332 */     // MIs[0] op1
     /*  423332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  423358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423360 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423362 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423364 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423374 */     GIR_RootConstrainSelectedInstOperands,
     /*  423375 */     // GIR_Coverage, 63781,
     /*  423375 */     GIR_EraseRootFromParent_Done,
     /*  423376 */   // Label 7433: @423376
     /*  423376 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(423449), // Rule ID 63782 //
     /*  423381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423405 */     // MIs[0] op1
     /*  423405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  423431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423433 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423435 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423437 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423447 */     GIR_RootConstrainSelectedInstOperands,
     /*  423448 */     // GIR_Coverage, 63782,
     /*  423448 */     GIR_EraseRootFromParent_Done,
     /*  423449 */   // Label 7434: @423449
     /*  423449 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(423522), // Rule ID 63801 //
     /*  423454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423478 */     // MIs[0] op1
     /*  423478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  423504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423520 */     GIR_RootConstrainSelectedInstOperands,
     /*  423521 */     // GIR_Coverage, 63801,
     /*  423521 */     GIR_EraseRootFromParent_Done,
     /*  423522 */   // Label 7435: @423522
     /*  423522 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(423595), // Rule ID 63802 //
     /*  423527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423551 */     // MIs[0] op1
     /*  423551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423554 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  423577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423579 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423581 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423583 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423593 */     GIR_RootConstrainSelectedInstOperands,
     /*  423594 */     // GIR_Coverage, 63802,
     /*  423594 */     GIR_EraseRootFromParent_Done,
     /*  423595 */   // Label 7436: @423595
     /*  423595 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(423668), // Rule ID 63813 //
     /*  423600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  423617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423624 */     // MIs[0] op1
     /*  423624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  423650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423666 */     GIR_RootConstrainSelectedInstOperands,
     /*  423667 */     // GIR_Coverage, 63813,
     /*  423667 */     GIR_EraseRootFromParent_Done,
     /*  423668 */   // Label 7437: @423668
     /*  423668 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(423741), // Rule ID 63814 //
     /*  423673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  423690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423697 */     // MIs[0] op1
     /*  423697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423700 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  423723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423725 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423727 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423729 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423739 */     GIR_RootConstrainSelectedInstOperands,
     /*  423740 */     // GIR_Coverage, 63814,
     /*  423740 */     GIR_EraseRootFromParent_Done,
     /*  423741 */   // Label 7438: @423741
     /*  423741 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(423814), // Rule ID 63837 //
     /*  423746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423770 */     // MIs[0] op1
     /*  423770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  423786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  423796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423798 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423800 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423802 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423812 */     GIR_RootConstrainSelectedInstOperands,
     /*  423813 */     // GIR_Coverage, 63837,
     /*  423813 */     GIR_EraseRootFromParent_Done,
     /*  423814 */   // Label 7439: @423814
     /*  423814 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(423887), // Rule ID 63838 //
     /*  423819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423843 */     // MIs[0] op1
     /*  423843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  423859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  423866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  423869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423885 */     GIR_RootConstrainSelectedInstOperands,
     /*  423886 */     // GIR_Coverage, 63838,
     /*  423886 */     GIR_EraseRootFromParent_Done,
     /*  423887 */   // Label 7440: @423887
     /*  423887 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(423960), // Rule ID 63857 //
     /*  423892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  423903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  423906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423916 */     // MIs[0] op1
     /*  423916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  423939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  423942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423958 */     GIR_RootConstrainSelectedInstOperands,
     /*  423959 */     // GIR_Coverage, 63857,
     /*  423959 */     GIR_EraseRootFromParent_Done,
     /*  423960 */   // Label 7441: @423960
     /*  423960 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(424033), // Rule ID 63858 //
     /*  423965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  423976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  423979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423989 */     // MIs[0] op1
     /*  423989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  424015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424017 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424019 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424021 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424031 */     GIR_RootConstrainSelectedInstOperands,
     /*  424032 */     // GIR_Coverage, 63858,
     /*  424032 */     GIR_EraseRootFromParent_Done,
     /*  424033 */   // Label 7442: @424033
     /*  424033 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424106), // Rule ID 63869 //
     /*  424038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  424055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424062 */     // MIs[0] op1
     /*  424062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424085 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  424088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424104 */     GIR_RootConstrainSelectedInstOperands,
     /*  424105 */     // GIR_Coverage, 63869,
     /*  424105 */     GIR_EraseRootFromParent_Done,
     /*  424106 */   // Label 7443: @424106
     /*  424106 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424179), // Rule ID 63870 //
     /*  424111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  424128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424135 */     // MIs[0] op1
     /*  424135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  424161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424163 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424165 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424167 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424177 */     GIR_RootConstrainSelectedInstOperands,
     /*  424178 */     // GIR_Coverage, 63870,
     /*  424178 */     GIR_EraseRootFromParent_Done,
     /*  424179 */   // Label 7444: @424179
     /*  424179 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(424252), // Rule ID 63893 //
     /*  424184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424208 */     // MIs[0] op1
     /*  424208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  424234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424236 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424238 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424240 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424250 */     GIR_RootConstrainSelectedInstOperands,
     /*  424251 */     // GIR_Coverage, 63893,
     /*  424251 */     GIR_EraseRootFromParent_Done,
     /*  424252 */   // Label 7445: @424252
     /*  424252 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(424325), // Rule ID 63894 //
     /*  424257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424281 */     // MIs[0] op1
     /*  424281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424304 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  424307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424309 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424311 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424313 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424323 */     GIR_RootConstrainSelectedInstOperands,
     /*  424324 */     // GIR_Coverage, 63894,
     /*  424324 */     GIR_EraseRootFromParent_Done,
     /*  424325 */   // Label 7446: @424325
     /*  424325 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(424398), // Rule ID 63913 //
     /*  424330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424354 */     // MIs[0] op1
     /*  424354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424357 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424377 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  424380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424382 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424384 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424386 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424396 */     GIR_RootConstrainSelectedInstOperands,
     /*  424397 */     // GIR_Coverage, 63913,
     /*  424397 */     GIR_EraseRootFromParent_Done,
     /*  424398 */   // Label 7447: @424398
     /*  424398 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(424471), // Rule ID 63914 //
     /*  424403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424427 */     // MIs[0] op1
     /*  424427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424450 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  424453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424455 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424457 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424459 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424469 */     GIR_RootConstrainSelectedInstOperands,
     /*  424470 */     // GIR_Coverage, 63914,
     /*  424470 */     GIR_EraseRootFromParent_Done,
     /*  424471 */   // Label 7448: @424471
     /*  424471 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(424544), // Rule ID 63925 //
     /*  424476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  424493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424500 */     // MIs[0] op1
     /*  424500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424523 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  424526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424528 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424530 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424532 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424542 */     GIR_RootConstrainSelectedInstOperands,
     /*  424543 */     // GIR_Coverage, 63925,
     /*  424543 */     GIR_EraseRootFromParent_Done,
     /*  424544 */   // Label 7449: @424544
     /*  424544 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(424617), // Rule ID 63926 //
     /*  424549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  424566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424573 */     // MIs[0] op1
     /*  424573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11010:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  424599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424601 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424603 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424605 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424615 */     GIR_RootConstrainSelectedInstOperands,
     /*  424616 */     // GIR_Coverage, 63926,
     /*  424616 */     GIR_EraseRootFromParent_Done,
     /*  424617 */   // Label 7450: @424617
     /*  424617 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(424690), // Rule ID 63949 //
     /*  424622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424646 */     // MIs[0] op1
     /*  424646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  424672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424674 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424676 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424678 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424688 */     GIR_RootConstrainSelectedInstOperands,
     /*  424689 */     // GIR_Coverage, 63949,
     /*  424689 */     GIR_EraseRootFromParent_Done,
     /*  424690 */   // Label 7451: @424690
     /*  424690 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(424763), // Rule ID 63950 //
     /*  424695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424719 */     // MIs[0] op1
     /*  424719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10996:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  424745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424747 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424749 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424751 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424761 */     GIR_RootConstrainSelectedInstOperands,
     /*  424762 */     // GIR_Coverage, 63950,
     /*  424762 */     GIR_EraseRootFromParent_Done,
     /*  424763 */   // Label 7452: @424763
     /*  424763 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(424846), // Rule ID 5224 //
     /*  424768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  424779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  424782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  424788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424811 */     // MIs[1] Operand 1
     /*  424811 */     // No operand predicates
     /*  424811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  424824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  424827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424844 */     GIR_RootConstrainSelectedInstOperands,
     /*  424845 */     // GIR_Coverage, 5224,
     /*  424845 */     GIR_EraseRootFromParent_Done,
     /*  424846 */   // Label 7453: @424846
     /*  424846 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(424929), // Rule ID 5225 //
     /*  424851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  424862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  424865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  424868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  424871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424894 */     // MIs[1] Operand 1
     /*  424894 */     // No operand predicates
     /*  424894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424907 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  424907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  424910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  424919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424927 */     GIR_RootConstrainSelectedInstOperands,
     /*  424928 */     // GIR_Coverage, 5225,
     /*  424928 */     GIR_EraseRootFromParent_Done,
     /*  424929 */   // Label 7454: @424929
     /*  424929 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(425012), // Rule ID 5226 //
     /*  424934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  424942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  424945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  424948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  424951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  424954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  424969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424977 */     // MIs[1] Operand 1
     /*  424977 */     // No operand predicates
     /*  424977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  424981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424990 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  424990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  424993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  424997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425010 */     GIR_RootConstrainSelectedInstOperands,
     /*  425011 */     // GIR_Coverage, 5226,
     /*  425011 */     GIR_EraseRootFromParent_Done,
     /*  425012 */   // Label 7455: @425012
     /*  425012 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(425095), // Rule ID 5227 //
     /*  425017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425060 */     // MIs[1] Operand 1
     /*  425060 */     // No operand predicates
     /*  425060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425093 */     GIR_RootConstrainSelectedInstOperands,
     /*  425094 */     // GIR_Coverage, 5227,
     /*  425094 */     GIR_EraseRootFromParent_Done,
     /*  425095 */   // Label 7456: @425095
     /*  425095 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(425178), // Rule ID 5228 //
     /*  425100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  425111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  425120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425143 */     // MIs[1] Operand 1
     /*  425143 */     // No operand predicates
     /*  425143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425176 */     GIR_RootConstrainSelectedInstOperands,
     /*  425177 */     // GIR_Coverage, 5228,
     /*  425177 */     GIR_EraseRootFromParent_Done,
     /*  425178 */   // Label 7457: @425178
     /*  425178 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(425261), // Rule ID 5229 //
     /*  425183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  425194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  425203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425226 */     // MIs[1] Operand 1
     /*  425226 */     // No operand predicates
     /*  425226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425239 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425259 */     GIR_RootConstrainSelectedInstOperands,
     /*  425260 */     // GIR_Coverage, 5229,
     /*  425260 */     GIR_EraseRootFromParent_Done,
     /*  425261 */   // Label 7458: @425261
     /*  425261 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(425344), // Rule ID 5230 //
     /*  425266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425309 */     // MIs[1] Operand 1
     /*  425309 */     // No operand predicates
     /*  425309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  425322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425342 */     GIR_RootConstrainSelectedInstOperands,
     /*  425343 */     // GIR_Coverage, 5230,
     /*  425343 */     GIR_EraseRootFromParent_Done,
     /*  425344 */   // Label 7459: @425344
     /*  425344 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(425427), // Rule ID 5231 //
     /*  425349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425392 */     // MIs[1] Operand 1
     /*  425392 */     // No operand predicates
     /*  425392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425405 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  425405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425425 */     GIR_RootConstrainSelectedInstOperands,
     /*  425426 */     // GIR_Coverage, 5231,
     /*  425426 */     GIR_EraseRootFromParent_Done,
     /*  425427 */   // Label 7460: @425427
     /*  425427 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(425510), // Rule ID 5232 //
     /*  425432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  425446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425475 */     // MIs[1] Operand 1
     /*  425475 */     // No operand predicates
     /*  425475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  425488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425508 */     GIR_RootConstrainSelectedInstOperands,
     /*  425509 */     // GIR_Coverage, 5232,
     /*  425509 */     GIR_EraseRootFromParent_Done,
     /*  425510 */   // Label 7461: @425510
     /*  425510 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(425593), // Rule ID 5233 //
     /*  425515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  425529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425558 */     // MIs[1] Operand 1
     /*  425558 */     // No operand predicates
     /*  425558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425571 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  425571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425591 */     GIR_RootConstrainSelectedInstOperands,
     /*  425592 */     // GIR_Coverage, 5233,
     /*  425592 */     GIR_EraseRootFromParent_Done,
     /*  425593 */   // Label 7462: @425593
     /*  425593 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(425676), // Rule ID 5234 //
     /*  425598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425641 */     // MIs[1] Operand 1
     /*  425641 */     // No operand predicates
     /*  425641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  425654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425674 */     GIR_RootConstrainSelectedInstOperands,
     /*  425675 */     // GIR_Coverage, 5234,
     /*  425675 */     GIR_EraseRootFromParent_Done,
     /*  425676 */   // Label 7463: @425676
     /*  425676 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(425759), // Rule ID 5235 //
     /*  425681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425724 */     // MIs[1] Operand 1
     /*  425724 */     // No operand predicates
     /*  425724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425737 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  425737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425757 */     GIR_RootConstrainSelectedInstOperands,
     /*  425758 */     // GIR_Coverage, 5235,
     /*  425758 */     GIR_EraseRootFromParent_Done,
     /*  425759 */   // Label 7464: @425759
     /*  425759 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(425842), // Rule ID 5236 //
     /*  425764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  425775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  425778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  425784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425807 */     // MIs[1] Operand 1
     /*  425807 */     // No operand predicates
     /*  425807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  425823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425840 */     GIR_RootConstrainSelectedInstOperands,
     /*  425841 */     // GIR_Coverage, 5236,
     /*  425841 */     GIR_EraseRootFromParent_Done,
     /*  425842 */   // Label 7465: @425842
     /*  425842 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(425925), // Rule ID 5237 //
     /*  425847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  425858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  425861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  425867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425890 */     // MIs[1] Operand 1
     /*  425890 */     // No operand predicates
     /*  425890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  425906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425923 */     GIR_RootConstrainSelectedInstOperands,
     /*  425924 */     // GIR_Coverage, 5237,
     /*  425924 */     GIR_EraseRootFromParent_Done,
     /*  425925 */   // Label 7466: @425925
     /*  425925 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(426008), // Rule ID 5238 //
     /*  425930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  425941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  425944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  425950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425973 */     // MIs[1] Operand 1
     /*  425973 */     // No operand predicates
     /*  425973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  425986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  425989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426006 */     GIR_RootConstrainSelectedInstOperands,
     /*  426007 */     // GIR_Coverage, 5238,
     /*  426007 */     GIR_EraseRootFromParent_Done,
     /*  426008 */   // Label 7467: @426008
     /*  426008 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(426091), // Rule ID 5239 //
     /*  426013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  426024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  426033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426056 */     // MIs[1] Operand 1
     /*  426056 */     // No operand predicates
     /*  426056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426069 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  426069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426089 */     GIR_RootConstrainSelectedInstOperands,
     /*  426090 */     // GIR_Coverage, 5239,
     /*  426090 */     GIR_EraseRootFromParent_Done,
     /*  426091 */   // Label 7468: @426091
     /*  426091 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(426174), // Rule ID 5240 //
     /*  426096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426139 */     // MIs[1] Operand 1
     /*  426139 */     // No operand predicates
     /*  426139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  426152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426172 */     GIR_RootConstrainSelectedInstOperands,
     /*  426173 */     // GIR_Coverage, 5240,
     /*  426173 */     GIR_EraseRootFromParent_Done,
     /*  426174 */   // Label 7469: @426174
     /*  426174 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(426257), // Rule ID 5241 //
     /*  426179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426222 */     // MIs[1] Operand 1
     /*  426222 */     // No operand predicates
     /*  426222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426235 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  426235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426255 */     GIR_RootConstrainSelectedInstOperands,
     /*  426256 */     // GIR_Coverage, 5241,
     /*  426256 */     GIR_EraseRootFromParent_Done,
     /*  426257 */   // Label 7470: @426257
     /*  426257 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(426340), // Rule ID 5242 //
     /*  426262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426305 */     // MIs[1] Operand 1
     /*  426305 */     // No operand predicates
     /*  426305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426318 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  426318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426338 */     GIR_RootConstrainSelectedInstOperands,
     /*  426339 */     // GIR_Coverage, 5242,
     /*  426339 */     GIR_EraseRootFromParent_Done,
     /*  426340 */   // Label 7471: @426340
     /*  426340 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(426423), // Rule ID 5243 //
     /*  426345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  426348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426388 */     // MIs[1] Operand 1
     /*  426388 */     // No operand predicates
     /*  426388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  426401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426421 */     GIR_RootConstrainSelectedInstOperands,
     /*  426422 */     // GIR_Coverage, 5243,
     /*  426422 */     GIR_EraseRootFromParent_Done,
     /*  426423 */   // Label 7472: @426423
     /*  426423 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(426506), // Rule ID 5244 //
     /*  426428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  426439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  426442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  426448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426471 */     // MIs[1] Operand 1
     /*  426471 */     // No operand predicates
     /*  426471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  426484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  426487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426504 */     GIR_RootConstrainSelectedInstOperands,
     /*  426505 */     // GIR_Coverage, 5244,
     /*  426505 */     GIR_EraseRootFromParent_Done,
     /*  426506 */   // Label 7473: @426506
     /*  426506 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(426589), // Rule ID 5245 //
     /*  426511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  426522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  426525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  426531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426554 */     // MIs[1] Operand 1
     /*  426554 */     // No operand predicates
     /*  426554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426567 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  426567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  426570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426587 */     GIR_RootConstrainSelectedInstOperands,
     /*  426588 */     // GIR_Coverage, 5245,
     /*  426588 */     GIR_EraseRootFromParent_Done,
     /*  426589 */   // Label 7474: @426589
     /*  426589 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(426672), // Rule ID 5246 //
     /*  426594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  426605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  426608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  426614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426637 */     // MIs[1] Operand 1
     /*  426637 */     // No operand predicates
     /*  426637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426650 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  426650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  426653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426670 */     GIR_RootConstrainSelectedInstOperands,
     /*  426671 */     // GIR_Coverage, 5246,
     /*  426671 */     GIR_EraseRootFromParent_Done,
     /*  426672 */   // Label 7475: @426672
     /*  426672 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(426755), // Rule ID 5247 //
     /*  426677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  426688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  426691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  426697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426720 */     // MIs[1] Operand 1
     /*  426720 */     // No operand predicates
     /*  426720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426733 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  426733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  426736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426753 */     GIR_RootConstrainSelectedInstOperands,
     /*  426754 */     // GIR_Coverage, 5247,
     /*  426754 */     GIR_EraseRootFromParent_Done,
     /*  426755 */   // Label 7476: @426755
     /*  426755 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(426838), // Rule ID 5248 //
     /*  426760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  426771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  426774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  426780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426803 */     // MIs[1] Operand 1
     /*  426803 */     // No operand predicates
     /*  426803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426816 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  426816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  426819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426836 */     GIR_RootConstrainSelectedInstOperands,
     /*  426837 */     // GIR_Coverage, 5248,
     /*  426837 */     GIR_EraseRootFromParent_Done,
     /*  426838 */   // Label 7477: @426838
     /*  426838 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(426921), // Rule ID 5249 //
     /*  426843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  426854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  426857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  426863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426886 */     // MIs[1] Operand 1
     /*  426886 */     // No operand predicates
     /*  426886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426899 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  426899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  426902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426919 */     GIR_RootConstrainSelectedInstOperands,
     /*  426920 */     // GIR_Coverage, 5249,
     /*  426920 */     GIR_EraseRootFromParent_Done,
     /*  426921 */   // Label 7478: @426921
     /*  426921 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(427004), // Rule ID 5250 //
     /*  426926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  426937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  426940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  426946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426969 */     // MIs[1] Operand 1
     /*  426969 */     // No operand predicates
     /*  426969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  426982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  426985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427002 */     GIR_RootConstrainSelectedInstOperands,
     /*  427003 */     // GIR_Coverage, 5250,
     /*  427003 */     GIR_EraseRootFromParent_Done,
     /*  427004 */   // Label 7479: @427004
     /*  427004 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(427087), // Rule ID 5251 //
     /*  427009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427052 */     // MIs[1] Operand 1
     /*  427052 */     // No operand predicates
     /*  427052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427085 */     GIR_RootConstrainSelectedInstOperands,
     /*  427086 */     // GIR_Coverage, 5251,
     /*  427086 */     GIR_EraseRootFromParent_Done,
     /*  427087 */   // Label 7480: @427087
     /*  427087 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(427170), // Rule ID 5252 //
     /*  427092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427135 */     // MIs[1] Operand 1
     /*  427135 */     // No operand predicates
     /*  427135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427168 */     GIR_RootConstrainSelectedInstOperands,
     /*  427169 */     // GIR_Coverage, 5252,
     /*  427169 */     GIR_EraseRootFromParent_Done,
     /*  427170 */   // Label 7481: @427170
     /*  427170 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(427253), // Rule ID 5253 //
     /*  427175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427218 */     // MIs[1] Operand 1
     /*  427218 */     // No operand predicates
     /*  427218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427231 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427251 */     GIR_RootConstrainSelectedInstOperands,
     /*  427252 */     // GIR_Coverage, 5253,
     /*  427252 */     GIR_EraseRootFromParent_Done,
     /*  427253 */   // Label 7482: @427253
     /*  427253 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(427336), // Rule ID 5254 //
     /*  427258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  427269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  427278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427301 */     // MIs[1] Operand 1
     /*  427301 */     // No operand predicates
     /*  427301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427314 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427334 */     GIR_RootConstrainSelectedInstOperands,
     /*  427335 */     // GIR_Coverage, 5254,
     /*  427335 */     GIR_EraseRootFromParent_Done,
     /*  427336 */   // Label 7483: @427336
     /*  427336 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(427419), // Rule ID 5255 //
     /*  427341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  427352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  427361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427384 */     // MIs[1] Operand 1
     /*  427384 */     // No operand predicates
     /*  427384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427397 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427417 */     GIR_RootConstrainSelectedInstOperands,
     /*  427418 */     // GIR_Coverage, 5255,
     /*  427418 */     GIR_EraseRootFromParent_Done,
     /*  427419 */   // Label 7484: @427419
     /*  427419 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(427502), // Rule ID 5256 //
     /*  427424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  427435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  427444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427467 */     // MIs[1] Operand 1
     /*  427467 */     // No operand predicates
     /*  427467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  427480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427500 */     GIR_RootConstrainSelectedInstOperands,
     /*  427501 */     // GIR_Coverage, 5256,
     /*  427501 */     GIR_EraseRootFromParent_Done,
     /*  427502 */   // Label 7485: @427502
     /*  427502 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(427585), // Rule ID 5257 //
     /*  427507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  427518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  427527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427550 */     // MIs[1] Operand 1
     /*  427550 */     // No operand predicates
     /*  427550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427563 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  427563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427583 */     GIR_RootConstrainSelectedInstOperands,
     /*  427584 */     // GIR_Coverage, 5257,
     /*  427584 */     GIR_EraseRootFromParent_Done,
     /*  427585 */   // Label 7486: @427585
     /*  427585 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(427668), // Rule ID 5258 //
     /*  427590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427633 */     // MIs[1] Operand 1
     /*  427633 */     // No operand predicates
     /*  427633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427646 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  427646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427666 */     GIR_RootConstrainSelectedInstOperands,
     /*  427667 */     // GIR_Coverage, 5258,
     /*  427667 */     GIR_EraseRootFromParent_Done,
     /*  427668 */   // Label 7487: @427668
     /*  427668 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(427751), // Rule ID 5259 //
     /*  427673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427716 */     // MIs[1] Operand 1
     /*  427716 */     // No operand predicates
     /*  427716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427729 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  427729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427749 */     GIR_RootConstrainSelectedInstOperands,
     /*  427750 */     // GIR_Coverage, 5259,
     /*  427750 */     GIR_EraseRootFromParent_Done,
     /*  427751 */   // Label 7488: @427751
     /*  427751 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(427834), // Rule ID 5260 //
     /*  427756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427799 */     // MIs[1] Operand 1
     /*  427799 */     // No operand predicates
     /*  427799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  427812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427832 */     GIR_RootConstrainSelectedInstOperands,
     /*  427833 */     // GIR_Coverage, 5260,
     /*  427833 */     GIR_EraseRootFromParent_Done,
     /*  427834 */   // Label 7489: @427834
     /*  427834 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(427917), // Rule ID 5261 //
     /*  427839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427882 */     // MIs[1] Operand 1
     /*  427882 */     // No operand predicates
     /*  427882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427895 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  427895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427915 */     GIR_RootConstrainSelectedInstOperands,
     /*  427916 */     // GIR_Coverage, 5261,
     /*  427916 */     GIR_EraseRootFromParent_Done,
     /*  427917 */   // Label 7490: @427917
     /*  427917 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(428000), // Rule ID 5262 //
     /*  427922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  427925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  427933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  427936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  427942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427965 */     // MIs[1] Operand 1
     /*  427965 */     // No operand predicates
     /*  427965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427978 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  427978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427998 */     GIR_RootConstrainSelectedInstOperands,
     /*  427999 */     // GIR_Coverage, 5262,
     /*  427999 */     GIR_EraseRootFromParent_Done,
     /*  428000 */   // Label 7491: @428000
     /*  428000 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(428083), // Rule ID 5263 //
     /*  428005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  428016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  428025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428048 */     // MIs[1] Operand 1
     /*  428048 */     // No operand predicates
     /*  428048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428061 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  428064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428081 */     GIR_RootConstrainSelectedInstOperands,
     /*  428082 */     // GIR_Coverage, 5263,
     /*  428082 */     GIR_EraseRootFromParent_Done,
     /*  428083 */   // Label 7492: @428083
     /*  428083 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(428166), // Rule ID 5264 //
     /*  428088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428131 */     // MIs[1] Operand 1
     /*  428131 */     // No operand predicates
     /*  428131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428164 */     GIR_RootConstrainSelectedInstOperands,
     /*  428165 */     // GIR_Coverage, 5264,
     /*  428165 */     GIR_EraseRootFromParent_Done,
     /*  428166 */   // Label 7493: @428166
     /*  428166 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(428249), // Rule ID 5265 //
     /*  428171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428214 */     // MIs[1] Operand 1
     /*  428214 */     // No operand predicates
     /*  428214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428227 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428247 */     GIR_RootConstrainSelectedInstOperands,
     /*  428248 */     // GIR_Coverage, 5265,
     /*  428248 */     GIR_EraseRootFromParent_Done,
     /*  428249 */   // Label 7494: @428249
     /*  428249 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(428332), // Rule ID 5266 //
     /*  428254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  428265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  428274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428297 */     // MIs[1] Operand 1
     /*  428297 */     // No operand predicates
     /*  428297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428310 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428330 */     GIR_RootConstrainSelectedInstOperands,
     /*  428331 */     // GIR_Coverage, 5266,
     /*  428331 */     GIR_EraseRootFromParent_Done,
     /*  428332 */   // Label 7495: @428332
     /*  428332 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(428415), // Rule ID 5267 //
     /*  428337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  428348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  428357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428380 */     // MIs[1] Operand 1
     /*  428380 */     // No operand predicates
     /*  428380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428413 */     GIR_RootConstrainSelectedInstOperands,
     /*  428414 */     // GIR_Coverage, 5267,
     /*  428414 */     GIR_EraseRootFromParent_Done,
     /*  428415 */   // Label 7496: @428415
     /*  428415 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(428491), // Rule ID 60500 //
     /*  428420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  428423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428452 */     // MIs[0] rs2
     /*  428452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  428470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428489 */     GIR_RootConstrainSelectedInstOperands,
     /*  428490 */     // GIR_Coverage, 60500,
     /*  428490 */     GIR_EraseRootFromParent_Done,
     /*  428491 */   // Label 7497: @428491
     /*  428491 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(428567), // Rule ID 60501 //
     /*  428496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  428499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428528 */     // MIs[0] rs2
     /*  428528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428543 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  428546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428565 */     GIR_RootConstrainSelectedInstOperands,
     /*  428566 */     // GIR_Coverage, 60501,
     /*  428566 */     GIR_EraseRootFromParent_Done,
     /*  428567 */   // Label 7498: @428567
     /*  428567 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(428643), // Rule ID 62146 //
     /*  428572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  428575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428604 */     // MIs[0] rs2
     /*  428604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  428622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428641 */     GIR_RootConstrainSelectedInstOperands,
     /*  428642 */     // GIR_Coverage, 62146,
     /*  428642 */     GIR_EraseRootFromParent_Done,
     /*  428643 */   // Label 7499: @428643
     /*  428643 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(428719), // Rule ID 62147 //
     /*  428648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  428651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428680 */     // MIs[0] rs2
     /*  428680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428695 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  428698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428717 */     GIR_RootConstrainSelectedInstOperands,
     /*  428718 */     // GIR_Coverage, 62147,
     /*  428718 */     GIR_EraseRootFromParent_Done,
     /*  428719 */   // Label 7500: @428719
     /*  428719 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(428795), // Rule ID 62148 //
     /*  428724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  428727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428756 */     // MIs[0] rs2
     /*  428756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  428774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428793 */     GIR_RootConstrainSelectedInstOperands,
     /*  428794 */     // GIR_Coverage, 62148,
     /*  428794 */     GIR_EraseRootFromParent_Done,
     /*  428795 */   // Label 7501: @428795
     /*  428795 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(428871), // Rule ID 62149 //
     /*  428800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  428803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  428811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  428817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428832 */     // MIs[0] rs2
     /*  428832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  428850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428869 */     GIR_RootConstrainSelectedInstOperands,
     /*  428870 */     // GIR_Coverage, 62149,
     /*  428870 */     GIR_EraseRootFromParent_Done,
     /*  428871 */   // Label 7502: @428871
     /*  428871 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(428947), // Rule ID 62150 //
     /*  428876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  428879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428908 */     // MIs[0] rs2
     /*  428908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  428926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  428934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428945 */     GIR_RootConstrainSelectedInstOperands,
     /*  428946 */     // GIR_Coverage, 62150,
     /*  428946 */     GIR_EraseRootFromParent_Done,
     /*  428947 */   // Label 7503: @428947
     /*  428947 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(429023), // Rule ID 62151 //
     /*  428952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  428955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  428960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  428963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  428969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428984 */     // MIs[0] rs2
     /*  428984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  428992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  429002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429021 */     GIR_RootConstrainSelectedInstOperands,
     /*  429022 */     // GIR_Coverage, 62151,
     /*  429022 */     GIR_EraseRootFromParent_Done,
     /*  429023 */   // Label 7504: @429023
     /*  429023 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(429099), // Rule ID 62152 //
     /*  429028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429060 */     // MIs[0] rs2
     /*  429060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  429078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429097 */     GIR_RootConstrainSelectedInstOperands,
     /*  429098 */     // GIR_Coverage, 62152,
     /*  429098 */     GIR_EraseRootFromParent_Done,
     /*  429099 */   // Label 7505: @429099
     /*  429099 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(429175), // Rule ID 62153 //
     /*  429104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429136 */     // MIs[0] rs2
     /*  429136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  429154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429173 */     GIR_RootConstrainSelectedInstOperands,
     /*  429174 */     // GIR_Coverage, 62153,
     /*  429174 */     GIR_EraseRootFromParent_Done,
     /*  429175 */   // Label 7506: @429175
     /*  429175 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(429251), // Rule ID 62274 //
     /*  429180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429212 */     // MIs[0] rs2
     /*  429212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  429230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429249 */     GIR_RootConstrainSelectedInstOperands,
     /*  429250 */     // GIR_Coverage, 62274,
     /*  429250 */     GIR_EraseRootFromParent_Done,
     /*  429251 */   // Label 7507: @429251
     /*  429251 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(429327), // Rule ID 62275 //
     /*  429256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429288 */     // MIs[0] rs2
     /*  429288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  429306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429325 */     GIR_RootConstrainSelectedInstOperands,
     /*  429326 */     // GIR_Coverage, 62275,
     /*  429326 */     GIR_EraseRootFromParent_Done,
     /*  429327 */   // Label 7508: @429327
     /*  429327 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(429403), // Rule ID 62276 //
     /*  429332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429364 */     // MIs[0] rs2
     /*  429364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  429382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429401 */     GIR_RootConstrainSelectedInstOperands,
     /*  429402 */     // GIR_Coverage, 62276,
     /*  429402 */     GIR_EraseRootFromParent_Done,
     /*  429403 */   // Label 7509: @429403
     /*  429403 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(429479), // Rule ID 62277 //
     /*  429408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429440 */     // MIs[0] rs2
     /*  429440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  429458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429477 */     GIR_RootConstrainSelectedInstOperands,
     /*  429478 */     // GIR_Coverage, 62277,
     /*  429478 */     GIR_EraseRootFromParent_Done,
     /*  429479 */   // Label 7510: @429479
     /*  429479 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(429555), // Rule ID 62278 //
     /*  429484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429516 */     // MIs[0] rs2
     /*  429516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  429534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429553 */     GIR_RootConstrainSelectedInstOperands,
     /*  429554 */     // GIR_Coverage, 62278,
     /*  429554 */     GIR_EraseRootFromParent_Done,
     /*  429555 */   // Label 7511: @429555
     /*  429555 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(429631), // Rule ID 62279 //
     /*  429560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429592 */     // MIs[0] rs2
     /*  429592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429607 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  429610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429629 */     GIR_RootConstrainSelectedInstOperands,
     /*  429630 */     // GIR_Coverage, 62279,
     /*  429630 */     GIR_EraseRootFromParent_Done,
     /*  429631 */   // Label 7512: @429631
     /*  429631 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(429707), // Rule ID 62280 //
     /*  429636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429668 */     // MIs[0] rs2
     /*  429668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  429686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429705 */     GIR_RootConstrainSelectedInstOperands,
     /*  429706 */     // GIR_Coverage, 62280,
     /*  429706 */     GIR_EraseRootFromParent_Done,
     /*  429707 */   // Label 7513: @429707
     /*  429707 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(429783), // Rule ID 62281 //
     /*  429712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429744 */     // MIs[0] rs2
     /*  429744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  429762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429781 */     GIR_RootConstrainSelectedInstOperands,
     /*  429782 */     // GIR_Coverage, 62281,
     /*  429782 */     GIR_EraseRootFromParent_Done,
     /*  429783 */   // Label 7514: @429783
     /*  429783 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(429859), // Rule ID 62282 //
     /*  429788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429820 */     // MIs[0] rs2
     /*  429820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429835 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  429838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429857 */     GIR_RootConstrainSelectedInstOperands,
     /*  429858 */     // GIR_Coverage, 62282,
     /*  429858 */     GIR_EraseRootFromParent_Done,
     /*  429859 */   // Label 7515: @429859
     /*  429859 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(429935), // Rule ID 62283 //
     /*  429864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429896 */     // MIs[0] rs2
     /*  429896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  429914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429933 */     GIR_RootConstrainSelectedInstOperands,
     /*  429934 */     // GIR_Coverage, 62283,
     /*  429934 */     GIR_EraseRootFromParent_Done,
     /*  429935 */   // Label 7516: @429935
     /*  429935 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(430023), // Rule ID 2686 //
     /*  429940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  429948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  429951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  429954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  429957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  429987 */     // MIs[1] Operand 1
     /*  429987 */     // No operand predicates
     /*  429987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  429999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430005 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430021 */     GIR_RootConstrainSelectedInstOperands,
     /*  430022 */     // GIR_Coverage, 2686,
     /*  430022 */     GIR_EraseRootFromParent_Done,
     /*  430023 */   // Label 7517: @430023
     /*  430023 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(430111), // Rule ID 2687 //
     /*  430028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430075 */     // MIs[1] Operand 1
     /*  430075 */     // No operand predicates
     /*  430075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  430087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430093 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430109 */     GIR_RootConstrainSelectedInstOperands,
     /*  430110 */     // GIR_Coverage, 2687,
     /*  430110 */     GIR_EraseRootFromParent_Done,
     /*  430111 */   // Label 7518: @430111
     /*  430111 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(430199), // Rule ID 2694 //
     /*  430116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430163 */     // MIs[1] Operand 1
     /*  430163 */     // No operand predicates
     /*  430163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430181 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430197 */     GIR_RootConstrainSelectedInstOperands,
     /*  430198 */     // GIR_Coverage, 2694,
     /*  430198 */     GIR_EraseRootFromParent_Done,
     /*  430199 */   // Label 7519: @430199
     /*  430199 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(430287), // Rule ID 2695 //
     /*  430204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430251 */     // MIs[1] Operand 1
     /*  430251 */     // No operand predicates
     /*  430251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430260 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430269 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430285 */     GIR_RootConstrainSelectedInstOperands,
     /*  430286 */     // GIR_Coverage, 2695,
     /*  430286 */     GIR_EraseRootFromParent_Done,
     /*  430287 */   // Label 7520: @430287
     /*  430287 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(430375), // Rule ID 2702 //
     /*  430292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430339 */     // MIs[1] Operand 1
     /*  430339 */     // No operand predicates
     /*  430339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430357 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430373 */     GIR_RootConstrainSelectedInstOperands,
     /*  430374 */     // GIR_Coverage, 2702,
     /*  430374 */     GIR_EraseRootFromParent_Done,
     /*  430375 */   // Label 7521: @430375
     /*  430375 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(430463), // Rule ID 2703 //
     /*  430380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430427 */     // MIs[1] Operand 1
     /*  430427 */     // No operand predicates
     /*  430427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430445 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430461 */     GIR_RootConstrainSelectedInstOperands,
     /*  430462 */     // GIR_Coverage, 2703,
     /*  430462 */     GIR_EraseRootFromParent_Done,
     /*  430463 */   // Label 7522: @430463
     /*  430463 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(430551), // Rule ID 2710 //
     /*  430468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430515 */     // MIs[1] Operand 1
     /*  430515 */     // No operand predicates
     /*  430515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430524 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430533 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430549 */     GIR_RootConstrainSelectedInstOperands,
     /*  430550 */     // GIR_Coverage, 2710,
     /*  430550 */     GIR_EraseRootFromParent_Done,
     /*  430551 */   // Label 7523: @430551
     /*  430551 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(430639), // Rule ID 2711 //
     /*  430556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430603 */     // MIs[1] Operand 1
     /*  430603 */     // No operand predicates
     /*  430603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430621 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430637 */     GIR_RootConstrainSelectedInstOperands,
     /*  430638 */     // GIR_Coverage, 2711,
     /*  430638 */     GIR_EraseRootFromParent_Done,
     /*  430639 */   // Label 7524: @430639
     /*  430639 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(430727), // Rule ID 2718 //
     /*  430644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430691 */     // MIs[1] Operand 1
     /*  430691 */     // No operand predicates
     /*  430691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430709 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430725 */     GIR_RootConstrainSelectedInstOperands,
     /*  430726 */     // GIR_Coverage, 2718,
     /*  430726 */     GIR_EraseRootFromParent_Done,
     /*  430727 */   // Label 7525: @430727
     /*  430727 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(430815), // Rule ID 2719 //
     /*  430732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430779 */     // MIs[1] Operand 1
     /*  430779 */     // No operand predicates
     /*  430779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430797 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430813 */     GIR_RootConstrainSelectedInstOperands,
     /*  430814 */     // GIR_Coverage, 2719,
     /*  430814 */     GIR_EraseRootFromParent_Done,
     /*  430815 */   // Label 7526: @430815
     /*  430815 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(430903), // Rule ID 2726 //
     /*  430820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430867 */     // MIs[1] Operand 1
     /*  430867 */     // No operand predicates
     /*  430867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430885 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430901 */     GIR_RootConstrainSelectedInstOperands,
     /*  430902 */     // GIR_Coverage, 2726,
     /*  430902 */     GIR_EraseRootFromParent_Done,
     /*  430903 */   // Label 7527: @430903
     /*  430903 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(430991), // Rule ID 2727 //
     /*  430908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430955 */     // MIs[1] Operand 1
     /*  430955 */     // No operand predicates
     /*  430955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430964 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  430967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430973 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430989 */     GIR_RootConstrainSelectedInstOperands,
     /*  430990 */     // GIR_Coverage, 2727,
     /*  430990 */     GIR_EraseRootFromParent_Done,
     /*  430991 */   // Label 7528: @430991
     /*  430991 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(431079), // Rule ID 2734 //
     /*  430996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431043 */     // MIs[1] Operand 1
     /*  431043 */     // No operand predicates
     /*  431043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431061 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431077 */     GIR_RootConstrainSelectedInstOperands,
     /*  431078 */     // GIR_Coverage, 2734,
     /*  431078 */     GIR_EraseRootFromParent_Done,
     /*  431079 */   // Label 7529: @431079
     /*  431079 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(431167), // Rule ID 2735 //
     /*  431084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431131 */     // MIs[1] Operand 1
     /*  431131 */     // No operand predicates
     /*  431131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431149 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431165 */     GIR_RootConstrainSelectedInstOperands,
     /*  431166 */     // GIR_Coverage, 2735,
     /*  431166 */     GIR_EraseRootFromParent_Done,
     /*  431167 */   // Label 7530: @431167
     /*  431167 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(431255), // Rule ID 2742 //
     /*  431172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431219 */     // MIs[1] Operand 1
     /*  431219 */     // No operand predicates
     /*  431219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431237 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431253 */     GIR_RootConstrainSelectedInstOperands,
     /*  431254 */     // GIR_Coverage, 2742,
     /*  431254 */     GIR_EraseRootFromParent_Done,
     /*  431255 */   // Label 7531: @431255
     /*  431255 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(431343), // Rule ID 2743 //
     /*  431260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431307 */     // MIs[1] Operand 1
     /*  431307 */     // No operand predicates
     /*  431307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431325 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431341 */     GIR_RootConstrainSelectedInstOperands,
     /*  431342 */     // GIR_Coverage, 2743,
     /*  431342 */     GIR_EraseRootFromParent_Done,
     /*  431343 */   // Label 7532: @431343
     /*  431343 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(431431), // Rule ID 2750 //
     /*  431348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431395 */     // MIs[1] Operand 1
     /*  431395 */     // No operand predicates
     /*  431395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431413 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431429 */     GIR_RootConstrainSelectedInstOperands,
     /*  431430 */     // GIR_Coverage, 2750,
     /*  431430 */     GIR_EraseRootFromParent_Done,
     /*  431431 */   // Label 7533: @431431
     /*  431431 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(431519), // Rule ID 2751 //
     /*  431436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431483 */     // MIs[1] Operand 1
     /*  431483 */     // No operand predicates
     /*  431483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431501 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431517 */     GIR_RootConstrainSelectedInstOperands,
     /*  431518 */     // GIR_Coverage, 2751,
     /*  431518 */     GIR_EraseRootFromParent_Done,
     /*  431519 */   // Label 7534: @431519
     /*  431519 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(431607), // Rule ID 2758 //
     /*  431524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431571 */     // MIs[1] Operand 1
     /*  431571 */     // No operand predicates
     /*  431571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431589 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431605 */     GIR_RootConstrainSelectedInstOperands,
     /*  431606 */     // GIR_Coverage, 2758,
     /*  431606 */     GIR_EraseRootFromParent_Done,
     /*  431607 */   // Label 7535: @431607
     /*  431607 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(431695), // Rule ID 2759 //
     /*  431612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431659 */     // MIs[1] Operand 1
     /*  431659 */     // No operand predicates
     /*  431659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431677 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431693 */     GIR_RootConstrainSelectedInstOperands,
     /*  431694 */     // GIR_Coverage, 2759,
     /*  431694 */     GIR_EraseRootFromParent_Done,
     /*  431695 */   // Label 7536: @431695
     /*  431695 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(431783), // Rule ID 2766 //
     /*  431700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431747 */     // MIs[1] Operand 1
     /*  431747 */     // No operand predicates
     /*  431747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431765 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431781 */     GIR_RootConstrainSelectedInstOperands,
     /*  431782 */     // GIR_Coverage, 2766,
     /*  431782 */     GIR_EraseRootFromParent_Done,
     /*  431783 */   // Label 7537: @431783
     /*  431783 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(431871), // Rule ID 2767 //
     /*  431788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  431799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  431802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  431805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431835 */     // MIs[1] Operand 1
     /*  431835 */     // No operand predicates
     /*  431835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431853 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431869 */     GIR_RootConstrainSelectedInstOperands,
     /*  431870 */     // GIR_Coverage, 2767,
     /*  431870 */     GIR_EraseRootFromParent_Done,
     /*  431871 */   // Label 7538: @431871
     /*  431871 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(431959), // Rule ID 2774 //
     /*  431876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431923 */     // MIs[1] Operand 1
     /*  431923 */     // No operand predicates
     /*  431923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431932 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431941 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431957 */     GIR_RootConstrainSelectedInstOperands,
     /*  431958 */     // GIR_Coverage, 2774,
     /*  431958 */     GIR_EraseRootFromParent_Done,
     /*  431959 */   // Label 7539: @431959
     /*  431959 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(432047), // Rule ID 2775 //
     /*  431964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  431975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  431978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  431981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432011 */     // MIs[1] Operand 1
     /*  432011 */     // No operand predicates
     /*  432011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432020 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432029 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432045 */     GIR_RootConstrainSelectedInstOperands,
     /*  432046 */     // GIR_Coverage, 2775,
     /*  432046 */     GIR_EraseRootFromParent_Done,
     /*  432047 */   // Label 7540: @432047
     /*  432047 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(432135), // Rule ID 2782 //
     /*  432052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432099 */     // MIs[1] Operand 1
     /*  432099 */     // No operand predicates
     /*  432099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432117 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432133 */     GIR_RootConstrainSelectedInstOperands,
     /*  432134 */     // GIR_Coverage, 2782,
     /*  432134 */     GIR_EraseRootFromParent_Done,
     /*  432135 */   // Label 7541: @432135
     /*  432135 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(432223), // Rule ID 2783 //
     /*  432140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432187 */     // MIs[1] Operand 1
     /*  432187 */     // No operand predicates
     /*  432187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432205 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432221 */     GIR_RootConstrainSelectedInstOperands,
     /*  432222 */     // GIR_Coverage, 2783,
     /*  432222 */     GIR_EraseRootFromParent_Done,
     /*  432223 */   // Label 7542: @432223
     /*  432223 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(432311), // Rule ID 2790 //
     /*  432228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  432239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  432242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432275 */     // MIs[1] Operand 1
     /*  432275 */     // No operand predicates
     /*  432275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432293 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432309 */     GIR_RootConstrainSelectedInstOperands,
     /*  432310 */     // GIR_Coverage, 2790,
     /*  432310 */     GIR_EraseRootFromParent_Done,
     /*  432311 */   // Label 7543: @432311
     /*  432311 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(432399), // Rule ID 2791 //
     /*  432316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  432327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  432330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432363 */     // MIs[1] Operand 1
     /*  432363 */     // No operand predicates
     /*  432363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432381 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432397 */     GIR_RootConstrainSelectedInstOperands,
     /*  432398 */     // GIR_Coverage, 2791,
     /*  432398 */     GIR_EraseRootFromParent_Done,
     /*  432399 */   // Label 7544: @432399
     /*  432399 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(432487), // Rule ID 2798 //
     /*  432404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432451 */     // MIs[1] Operand 1
     /*  432451 */     // No operand predicates
     /*  432451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432469 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432485 */     GIR_RootConstrainSelectedInstOperands,
     /*  432486 */     // GIR_Coverage, 2798,
     /*  432486 */     GIR_EraseRootFromParent_Done,
     /*  432487 */   // Label 7545: @432487
     /*  432487 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(432575), // Rule ID 2799 //
     /*  432492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  432503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  432506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  432509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432539 */     // MIs[1] Operand 1
     /*  432539 */     // No operand predicates
     /*  432539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432557 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432573 */     GIR_RootConstrainSelectedInstOperands,
     /*  432574 */     // GIR_Coverage, 2799,
     /*  432574 */     GIR_EraseRootFromParent_Done,
     /*  432575 */   // Label 7546: @432575
     /*  432575 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(432663), // Rule ID 2806 //
     /*  432580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432627 */     // MIs[1] Operand 1
     /*  432627 */     // No operand predicates
     /*  432627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432645 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432661 */     GIR_RootConstrainSelectedInstOperands,
     /*  432662 */     // GIR_Coverage, 2806,
     /*  432662 */     GIR_EraseRootFromParent_Done,
     /*  432663 */   // Label 7547: @432663
     /*  432663 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(432751), // Rule ID 2807 //
     /*  432668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  432679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  432682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  432685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432715 */     // MIs[1] Operand 1
     /*  432715 */     // No operand predicates
     /*  432715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432733 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432749 */     GIR_RootConstrainSelectedInstOperands,
     /*  432750 */     // GIR_Coverage, 2807,
     /*  432750 */     GIR_EraseRootFromParent_Done,
     /*  432751 */   // Label 7548: @432751
     /*  432751 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(432839), // Rule ID 2814 //
     /*  432756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432803 */     // MIs[1] Operand 1
     /*  432803 */     // No operand predicates
     /*  432803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432821 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432837 */     GIR_RootConstrainSelectedInstOperands,
     /*  432838 */     // GIR_Coverage, 2814,
     /*  432838 */     GIR_EraseRootFromParent_Done,
     /*  432839 */   // Label 7549: @432839
     /*  432839 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(432927), // Rule ID 2815 //
     /*  432844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  432861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432891 */     // MIs[1] Operand 1
     /*  432891 */     // No operand predicates
     /*  432891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432909 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432925 */     GIR_RootConstrainSelectedInstOperands,
     /*  432926 */     // GIR_Coverage, 2815,
     /*  432926 */     GIR_EraseRootFromParent_Done,
     /*  432927 */   // Label 7550: @432927
     /*  432927 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(433015), // Rule ID 2822 //
     /*  432932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  432949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432979 */     // MIs[1] Operand 1
     /*  432979 */     // No operand predicates
     /*  432979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432988 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432997 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433013 */     GIR_RootConstrainSelectedInstOperands,
     /*  433014 */     // GIR_Coverage, 2822,
     /*  433014 */     GIR_EraseRootFromParent_Done,
     /*  433015 */   // Label 7551: @433015
     /*  433015 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(433103), // Rule ID 2823 //
     /*  433020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433067 */     // MIs[1] Operand 1
     /*  433067 */     // No operand predicates
     /*  433067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433085 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433101 */     GIR_RootConstrainSelectedInstOperands,
     /*  433102 */     // GIR_Coverage, 2823,
     /*  433102 */     GIR_EraseRootFromParent_Done,
     /*  433103 */   // Label 7552: @433103
     /*  433103 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(433191), // Rule ID 2830 //
     /*  433108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433155 */     // MIs[1] Operand 1
     /*  433155 */     // No operand predicates
     /*  433155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433173 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433189 */     GIR_RootConstrainSelectedInstOperands,
     /*  433190 */     // GIR_Coverage, 2830,
     /*  433190 */     GIR_EraseRootFromParent_Done,
     /*  433191 */   // Label 7553: @433191
     /*  433191 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(433279), // Rule ID 2831 //
     /*  433196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433243 */     // MIs[1] Operand 1
     /*  433243 */     // No operand predicates
     /*  433243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433261 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433277 */     GIR_RootConstrainSelectedInstOperands,
     /*  433278 */     // GIR_Coverage, 2831,
     /*  433278 */     GIR_EraseRootFromParent_Done,
     /*  433279 */   // Label 7554: @433279
     /*  433279 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(433367), // Rule ID 2838 //
     /*  433284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433331 */     // MIs[1] Operand 1
     /*  433331 */     // No operand predicates
     /*  433331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433349 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433365 */     GIR_RootConstrainSelectedInstOperands,
     /*  433366 */     // GIR_Coverage, 2838,
     /*  433366 */     GIR_EraseRootFromParent_Done,
     /*  433367 */   // Label 7555: @433367
     /*  433367 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(433455), // Rule ID 2839 //
     /*  433372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433419 */     // MIs[1] Operand 1
     /*  433419 */     // No operand predicates
     /*  433419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433437 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433453 */     GIR_RootConstrainSelectedInstOperands,
     /*  433454 */     // GIR_Coverage, 2839,
     /*  433454 */     GIR_EraseRootFromParent_Done,
     /*  433455 */   // Label 7556: @433455
     /*  433455 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(433543), // Rule ID 2846 //
     /*  433460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433507 */     // MIs[1] Operand 1
     /*  433507 */     // No operand predicates
     /*  433507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433525 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433541 */     GIR_RootConstrainSelectedInstOperands,
     /*  433542 */     // GIR_Coverage, 2846,
     /*  433542 */     GIR_EraseRootFromParent_Done,
     /*  433543 */   // Label 7557: @433543
     /*  433543 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(433631), // Rule ID 2847 //
     /*  433548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  433565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433595 */     // MIs[1] Operand 1
     /*  433595 */     // No operand predicates
     /*  433595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433604 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433613 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433629 */     GIR_RootConstrainSelectedInstOperands,
     /*  433630 */     // GIR_Coverage, 2847,
     /*  433630 */     GIR_EraseRootFromParent_Done,
     /*  433631 */   // Label 7558: @433631
     /*  433631 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(433719), // Rule ID 2854 //
     /*  433636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433683 */     // MIs[1] Operand 1
     /*  433683 */     // No operand predicates
     /*  433683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433701 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433717 */     GIR_RootConstrainSelectedInstOperands,
     /*  433718 */     // GIR_Coverage, 2854,
     /*  433718 */     GIR_EraseRootFromParent_Done,
     /*  433719 */   // Label 7559: @433719
     /*  433719 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(433807), // Rule ID 2855 //
     /*  433724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  433741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433771 */     // MIs[1] Operand 1
     /*  433771 */     // No operand predicates
     /*  433771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433789 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433805 */     GIR_RootConstrainSelectedInstOperands,
     /*  433806 */     // GIR_Coverage, 2855,
     /*  433806 */     GIR_EraseRootFromParent_Done,
     /*  433807 */   // Label 7560: @433807
     /*  433807 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(433893), // Rule ID 3038 //
     /*  433812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433859 */     // MIs[1] Operand 1
     /*  433859 */     // No operand predicates
     /*  433859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  433871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433891 */     GIR_RootConstrainSelectedInstOperands,
     /*  433892 */     // GIR_Coverage, 3038,
     /*  433892 */     GIR_EraseRootFromParent_Done,
     /*  433893 */   // Label 7561: @433893
     /*  433893 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(433979), // Rule ID 3039 //
     /*  433898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  433909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  433912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  433915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433945 */     // MIs[1] Operand 1
     /*  433945 */     // No operand predicates
     /*  433945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433954 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  433957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433977 */     GIR_RootConstrainSelectedInstOperands,
     /*  433978 */     // GIR_Coverage, 3039,
     /*  433978 */     GIR_EraseRootFromParent_Done,
     /*  433979 */   // Label 7562: @433979
     /*  433979 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(434065), // Rule ID 3042 //
     /*  433984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  433992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  433995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  433998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434031 */     // MIs[1] Operand 1
     /*  434031 */     // No operand predicates
     /*  434031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434040 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434063 */     GIR_RootConstrainSelectedInstOperands,
     /*  434064 */     // GIR_Coverage, 3042,
     /*  434064 */     GIR_EraseRootFromParent_Done,
     /*  434065 */   // Label 7563: @434065
     /*  434065 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(434151), // Rule ID 3043 //
     /*  434070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434117 */     // MIs[1] Operand 1
     /*  434117 */     // No operand predicates
     /*  434117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434149 */     GIR_RootConstrainSelectedInstOperands,
     /*  434150 */     // GIR_Coverage, 3043,
     /*  434150 */     GIR_EraseRootFromParent_Done,
     /*  434151 */   // Label 7564: @434151
     /*  434151 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(434237), // Rule ID 3046 //
     /*  434156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434203 */     // MIs[1] Operand 1
     /*  434203 */     // No operand predicates
     /*  434203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434235 */     GIR_RootConstrainSelectedInstOperands,
     /*  434236 */     // GIR_Coverage, 3046,
     /*  434236 */     GIR_EraseRootFromParent_Done,
     /*  434237 */   // Label 7565: @434237
     /*  434237 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(434323), // Rule ID 3047 //
     /*  434242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434289 */     // MIs[1] Operand 1
     /*  434289 */     // No operand predicates
     /*  434289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434298 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434321 */     GIR_RootConstrainSelectedInstOperands,
     /*  434322 */     // GIR_Coverage, 3047,
     /*  434322 */     GIR_EraseRootFromParent_Done,
     /*  434323 */   // Label 7566: @434323
     /*  434323 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(434409), // Rule ID 3050 //
     /*  434328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434375 */     // MIs[1] Operand 1
     /*  434375 */     // No operand predicates
     /*  434375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434407 */     GIR_RootConstrainSelectedInstOperands,
     /*  434408 */     // GIR_Coverage, 3050,
     /*  434408 */     GIR_EraseRootFromParent_Done,
     /*  434409 */   // Label 7567: @434409
     /*  434409 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(434495), // Rule ID 3051 //
     /*  434414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  434425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  434428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434461 */     // MIs[1] Operand 1
     /*  434461 */     // No operand predicates
     /*  434461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434493 */     GIR_RootConstrainSelectedInstOperands,
     /*  434494 */     // GIR_Coverage, 3051,
     /*  434494 */     GIR_EraseRootFromParent_Done,
     /*  434495 */   // Label 7568: @434495
     /*  434495 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(434581), // Rule ID 3054 //
     /*  434500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434547 */     // MIs[1] Operand 1
     /*  434547 */     // No operand predicates
     /*  434547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434556 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434579 */     GIR_RootConstrainSelectedInstOperands,
     /*  434580 */     // GIR_Coverage, 3054,
     /*  434580 */     GIR_EraseRootFromParent_Done,
     /*  434581 */   // Label 7569: @434581
     /*  434581 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(434667), // Rule ID 3055 //
     /*  434586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  434597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  434600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434633 */     // MIs[1] Operand 1
     /*  434633 */     // No operand predicates
     /*  434633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434665 */     GIR_RootConstrainSelectedInstOperands,
     /*  434666 */     // GIR_Coverage, 3055,
     /*  434666 */     GIR_EraseRootFromParent_Done,
     /*  434667 */   // Label 7570: @434667
     /*  434667 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(434753), // Rule ID 3058 //
     /*  434672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434719 */     // MIs[1] Operand 1
     /*  434719 */     // No operand predicates
     /*  434719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434751 */     GIR_RootConstrainSelectedInstOperands,
     /*  434752 */     // GIR_Coverage, 3058,
     /*  434752 */     GIR_EraseRootFromParent_Done,
     /*  434753 */   // Label 7571: @434753
     /*  434753 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(434839), // Rule ID 3059 //
     /*  434758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434805 */     // MIs[1] Operand 1
     /*  434805 */     // No operand predicates
     /*  434805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434837 */     GIR_RootConstrainSelectedInstOperands,
     /*  434838 */     // GIR_Coverage, 3059,
     /*  434838 */     GIR_EraseRootFromParent_Done,
     /*  434839 */   // Label 7572: @434839
     /*  434839 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(434925), // Rule ID 3062 //
     /*  434844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434891 */     // MIs[1] Operand 1
     /*  434891 */     // No operand predicates
     /*  434891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  434903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434923 */     GIR_RootConstrainSelectedInstOperands,
     /*  434924 */     // GIR_Coverage, 3062,
     /*  434924 */     GIR_EraseRootFromParent_Done,
     /*  434925 */   // Label 7573: @434925
     /*  434925 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(435011), // Rule ID 3063 //
     /*  434930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  434941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  434944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  434947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434977 */     // MIs[1] Operand 1
     /*  434977 */     // No operand predicates
     /*  434977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  434989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435009 */     GIR_RootConstrainSelectedInstOperands,
     /*  435010 */     // GIR_Coverage, 3063,
     /*  435010 */     GIR_EraseRootFromParent_Done,
     /*  435011 */   // Label 7574: @435011
     /*  435011 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(435097), // Rule ID 3066 //
     /*  435016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435063 */     // MIs[1] Operand 1
     /*  435063 */     // No operand predicates
     /*  435063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435095 */     GIR_RootConstrainSelectedInstOperands,
     /*  435096 */     // GIR_Coverage, 3066,
     /*  435096 */     GIR_EraseRootFromParent_Done,
     /*  435097 */   // Label 7575: @435097
     /*  435097 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(435183), // Rule ID 3067 //
     /*  435102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435149 */     // MIs[1] Operand 1
     /*  435149 */     // No operand predicates
     /*  435149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435181 */     GIR_RootConstrainSelectedInstOperands,
     /*  435182 */     // GIR_Coverage, 3067,
     /*  435182 */     GIR_EraseRootFromParent_Done,
     /*  435183 */   // Label 7576: @435183
     /*  435183 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(435269), // Rule ID 3070 //
     /*  435188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435235 */     // MIs[1] Operand 1
     /*  435235 */     // No operand predicates
     /*  435235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435267 */     GIR_RootConstrainSelectedInstOperands,
     /*  435268 */     // GIR_Coverage, 3070,
     /*  435268 */     GIR_EraseRootFromParent_Done,
     /*  435269 */   // Label 7577: @435269
     /*  435269 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(435355), // Rule ID 3071 //
     /*  435274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435321 */     // MIs[1] Operand 1
     /*  435321 */     // No operand predicates
     /*  435321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435353 */     GIR_RootConstrainSelectedInstOperands,
     /*  435354 */     // GIR_Coverage, 3071,
     /*  435354 */     GIR_EraseRootFromParent_Done,
     /*  435355 */   // Label 7578: @435355
     /*  435355 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(435441), // Rule ID 3074 //
     /*  435360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  435363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435407 */     // MIs[1] Operand 1
     /*  435407 */     // No operand predicates
     /*  435407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435439 */     GIR_RootConstrainSelectedInstOperands,
     /*  435440 */     // GIR_Coverage, 3074,
     /*  435440 */     GIR_EraseRootFromParent_Done,
     /*  435441 */   // Label 7579: @435441
     /*  435441 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(435527), // Rule ID 3075 //
     /*  435446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  435463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435493 */     // MIs[1] Operand 1
     /*  435493 */     // No operand predicates
     /*  435493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435525 */     GIR_RootConstrainSelectedInstOperands,
     /*  435526 */     // GIR_Coverage, 3075,
     /*  435526 */     GIR_EraseRootFromParent_Done,
     /*  435527 */   // Label 7580: @435527
     /*  435527 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(435613), // Rule ID 3078 //
     /*  435532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435579 */     // MIs[1] Operand 1
     /*  435579 */     // No operand predicates
     /*  435579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  435591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435611 */     GIR_RootConstrainSelectedInstOperands,
     /*  435612 */     // GIR_Coverage, 3078,
     /*  435612 */     GIR_EraseRootFromParent_Done,
     /*  435613 */   // Label 7581: @435613
     /*  435613 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(435699), // Rule ID 3079 //
     /*  435618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  435635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435665 */     // MIs[1] Operand 1
     /*  435665 */     // No operand predicates
     /*  435665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  435677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435697 */     GIR_RootConstrainSelectedInstOperands,
     /*  435698 */     // GIR_Coverage, 3079,
     /*  435698 */     GIR_EraseRootFromParent_Done,
     /*  435699 */   // Label 7582: @435699
     /*  435699 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(435785), // Rule ID 3082 //
     /*  435704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435751 */     // MIs[1] Operand 1
     /*  435751 */     // No operand predicates
     /*  435751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  435763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435783 */     GIR_RootConstrainSelectedInstOperands,
     /*  435784 */     // GIR_Coverage, 3082,
     /*  435784 */     GIR_EraseRootFromParent_Done,
     /*  435785 */   // Label 7583: @435785
     /*  435785 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(435871), // Rule ID 3083 //
     /*  435790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  435807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435837 */     // MIs[1] Operand 1
     /*  435837 */     // No operand predicates
     /*  435837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  435849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435869 */     GIR_RootConstrainSelectedInstOperands,
     /*  435870 */     // GIR_Coverage, 3083,
     /*  435870 */     GIR_EraseRootFromParent_Done,
     /*  435871 */   // Label 7584: @435871
     /*  435871 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(435957), // Rule ID 3086 //
     /*  435876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435923 */     // MIs[1] Operand 1
     /*  435923 */     // No operand predicates
     /*  435923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435932 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  435935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435955 */     GIR_RootConstrainSelectedInstOperands,
     /*  435956 */     // GIR_Coverage, 3086,
     /*  435956 */     GIR_EraseRootFromParent_Done,
     /*  435957 */   // Label 7585: @435957
     /*  435957 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(436043), // Rule ID 3087 //
     /*  435962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  435973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  435976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  435979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436009 */     // MIs[1] Operand 1
     /*  436009 */     // No operand predicates
     /*  436009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436018 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436041 */     GIR_RootConstrainSelectedInstOperands,
     /*  436042 */     // GIR_Coverage, 3087,
     /*  436042 */     GIR_EraseRootFromParent_Done,
     /*  436043 */   // Label 7586: @436043
     /*  436043 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(436129), // Rule ID 3090 //
     /*  436048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436095 */     // MIs[1] Operand 1
     /*  436095 */     // No operand predicates
     /*  436095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436127 */     GIR_RootConstrainSelectedInstOperands,
     /*  436128 */     // GIR_Coverage, 3090,
     /*  436128 */     GIR_EraseRootFromParent_Done,
     /*  436129 */   // Label 7587: @436129
     /*  436129 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(436215), // Rule ID 3091 //
     /*  436134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436181 */     // MIs[1] Operand 1
     /*  436181 */     // No operand predicates
     /*  436181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436213 */     GIR_RootConstrainSelectedInstOperands,
     /*  436214 */     // GIR_Coverage, 3091,
     /*  436214 */     GIR_EraseRootFromParent_Done,
     /*  436215 */   // Label 7588: @436215
     /*  436215 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(436301), // Rule ID 3094 //
     /*  436220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436267 */     // MIs[1] Operand 1
     /*  436267 */     // No operand predicates
     /*  436267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436299 */     GIR_RootConstrainSelectedInstOperands,
     /*  436300 */     // GIR_Coverage, 3094,
     /*  436300 */     GIR_EraseRootFromParent_Done,
     /*  436301 */   // Label 7589: @436301
     /*  436301 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(436387), // Rule ID 3095 //
     /*  436306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436353 */     // MIs[1] Operand 1
     /*  436353 */     // No operand predicates
     /*  436353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436385 */     GIR_RootConstrainSelectedInstOperands,
     /*  436386 */     // GIR_Coverage, 3095,
     /*  436386 */     GIR_EraseRootFromParent_Done,
     /*  436387 */   // Label 7590: @436387
     /*  436387 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(436473), // Rule ID 3098 //
     /*  436392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436439 */     // MIs[1] Operand 1
     /*  436439 */     // No operand predicates
     /*  436439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436471 */     GIR_RootConstrainSelectedInstOperands,
     /*  436472 */     // GIR_Coverage, 3098,
     /*  436472 */     GIR_EraseRootFromParent_Done,
     /*  436473 */   // Label 7591: @436473
     /*  436473 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(436559), // Rule ID 3099 //
     /*  436478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  436489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  436492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  436495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436525 */     // MIs[1] Operand 1
     /*  436525 */     // No operand predicates
     /*  436525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436557 */     GIR_RootConstrainSelectedInstOperands,
     /*  436558 */     // GIR_Coverage, 3099,
     /*  436558 */     GIR_EraseRootFromParent_Done,
     /*  436559 */   // Label 7592: @436559
     /*  436559 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(436645), // Rule ID 3102 //
     /*  436564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436611 */     // MIs[1] Operand 1
     /*  436611 */     // No operand predicates
     /*  436611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436643 */     GIR_RootConstrainSelectedInstOperands,
     /*  436644 */     // GIR_Coverage, 3102,
     /*  436644 */     GIR_EraseRootFromParent_Done,
     /*  436645 */   // Label 7593: @436645
     /*  436645 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(436731), // Rule ID 3103 //
     /*  436650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436697 */     // MIs[1] Operand 1
     /*  436697 */     // No operand predicates
     /*  436697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436729 */     GIR_RootConstrainSelectedInstOperands,
     /*  436730 */     // GIR_Coverage, 3103,
     /*  436730 */     GIR_EraseRootFromParent_Done,
     /*  436731 */   // Label 7594: @436731
     /*  436731 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(436817), // Rule ID 3106 //
     /*  436736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436783 */     // MIs[1] Operand 1
     /*  436783 */     // No operand predicates
     /*  436783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436815 */     GIR_RootConstrainSelectedInstOperands,
     /*  436816 */     // GIR_Coverage, 3106,
     /*  436816 */     GIR_EraseRootFromParent_Done,
     /*  436817 */   // Label 7595: @436817
     /*  436817 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(436903), // Rule ID 3107 //
     /*  436822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436869 */     // MIs[1] Operand 1
     /*  436869 */     // No operand predicates
     /*  436869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436901 */     GIR_RootConstrainSelectedInstOperands,
     /*  436902 */     // GIR_Coverage, 3107,
     /*  436902 */     GIR_EraseRootFromParent_Done,
     /*  436903 */   // Label 7596: @436903
     /*  436903 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(436989), // Rule ID 3110 //
     /*  436908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436955 */     // MIs[1] Operand 1
     /*  436955 */     // No operand predicates
     /*  436955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436987 */     GIR_RootConstrainSelectedInstOperands,
     /*  436988 */     // GIR_Coverage, 3110,
     /*  436988 */     GIR_EraseRootFromParent_Done,
     /*  436989 */   // Label 7597: @436989
     /*  436989 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(437075), // Rule ID 3111 //
     /*  436994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437041 */     // MIs[1] Operand 1
     /*  437041 */     // No operand predicates
     /*  437041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437073 */     GIR_RootConstrainSelectedInstOperands,
     /*  437074 */     // GIR_Coverage, 3111,
     /*  437074 */     GIR_EraseRootFromParent_Done,
     /*  437075 */   // Label 7598: @437075
     /*  437075 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(437161), // Rule ID 3114 //
     /*  437080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437127 */     // MIs[1] Operand 1
     /*  437127 */     // No operand predicates
     /*  437127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437159 */     GIR_RootConstrainSelectedInstOperands,
     /*  437160 */     // GIR_Coverage, 3114,
     /*  437160 */     GIR_EraseRootFromParent_Done,
     /*  437161 */   // Label 7599: @437161
     /*  437161 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(437247), // Rule ID 3115 //
     /*  437166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437213 */     // MIs[1] Operand 1
     /*  437213 */     // No operand predicates
     /*  437213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437245 */     GIR_RootConstrainSelectedInstOperands,
     /*  437246 */     // GIR_Coverage, 3115,
     /*  437246 */     GIR_EraseRootFromParent_Done,
     /*  437247 */   // Label 7600: @437247
     /*  437247 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(437333), // Rule ID 3118 //
     /*  437252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  437263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  437266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437299 */     // MIs[1] Operand 1
     /*  437299 */     // No operand predicates
     /*  437299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437331 */     GIR_RootConstrainSelectedInstOperands,
     /*  437332 */     // GIR_Coverage, 3118,
     /*  437332 */     GIR_EraseRootFromParent_Done,
     /*  437333 */   // Label 7601: @437333
     /*  437333 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(437419), // Rule ID 3119 //
     /*  437338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  437349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  437352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437385 */     // MIs[1] Operand 1
     /*  437385 */     // No operand predicates
     /*  437385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437417 */     GIR_RootConstrainSelectedInstOperands,
     /*  437418 */     // GIR_Coverage, 3119,
     /*  437418 */     GIR_EraseRootFromParent_Done,
     /*  437419 */   // Label 7602: @437419
     /*  437419 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(437505), // Rule ID 3122 //
     /*  437424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437471 */     // MIs[1] Operand 1
     /*  437471 */     // No operand predicates
     /*  437471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437503 */     GIR_RootConstrainSelectedInstOperands,
     /*  437504 */     // GIR_Coverage, 3122,
     /*  437504 */     GIR_EraseRootFromParent_Done,
     /*  437505 */   // Label 7603: @437505
     /*  437505 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(437591), // Rule ID 3123 //
     /*  437510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437557 */     // MIs[1] Operand 1
     /*  437557 */     // No operand predicates
     /*  437557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437589 */     GIR_RootConstrainSelectedInstOperands,
     /*  437590 */     // GIR_Coverage, 3123,
     /*  437590 */     GIR_EraseRootFromParent_Done,
     /*  437591 */   // Label 7604: @437591
     /*  437591 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(437677), // Rule ID 3390 //
     /*  437596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437643 */     // MIs[1] Operand 1
     /*  437643 */     // No operand predicates
     /*  437643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  437655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437675 */     GIR_RootConstrainSelectedInstOperands,
     /*  437676 */     // GIR_Coverage, 3390,
     /*  437676 */     GIR_EraseRootFromParent_Done,
     /*  437677 */   // Label 7605: @437677
     /*  437677 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(437763), // Rule ID 3391 //
     /*  437682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  437699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437729 */     // MIs[1] Operand 1
     /*  437729 */     // No operand predicates
     /*  437729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437738 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  437741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437761 */     GIR_RootConstrainSelectedInstOperands,
     /*  437762 */     // GIR_Coverage, 3391,
     /*  437762 */     GIR_EraseRootFromParent_Done,
     /*  437763 */   // Label 7606: @437763
     /*  437763 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(437849), // Rule ID 3394 //
     /*  437768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437815 */     // MIs[1] Operand 1
     /*  437815 */     // No operand predicates
     /*  437815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437824 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  437827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437847 */     GIR_RootConstrainSelectedInstOperands,
     /*  437848 */     // GIR_Coverage, 3394,
     /*  437848 */     GIR_EraseRootFromParent_Done,
     /*  437849 */   // Label 7607: @437849
     /*  437849 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(437935), // Rule ID 3395 //
     /*  437854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  437871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437901 */     // MIs[1] Operand 1
     /*  437901 */     // No operand predicates
     /*  437901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437910 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  437913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437933 */     GIR_RootConstrainSelectedInstOperands,
     /*  437934 */     // GIR_Coverage, 3395,
     /*  437934 */     GIR_EraseRootFromParent_Done,
     /*  437935 */   // Label 7608: @437935
     /*  437935 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(438021), // Rule ID 3398 //
     /*  437940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  437948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  437957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437987 */     // MIs[1] Operand 1
     /*  437987 */     // No operand predicates
     /*  437987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  437999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438019 */     GIR_RootConstrainSelectedInstOperands,
     /*  438020 */     // GIR_Coverage, 3398,
     /*  438020 */     GIR_EraseRootFromParent_Done,
     /*  438021 */   // Label 7609: @438021
     /*  438021 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(438107), // Rule ID 3399 //
     /*  438026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438073 */     // MIs[1] Operand 1
     /*  438073 */     // No operand predicates
     /*  438073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438105 */     GIR_RootConstrainSelectedInstOperands,
     /*  438106 */     // GIR_Coverage, 3399,
     /*  438106 */     GIR_EraseRootFromParent_Done,
     /*  438107 */   // Label 7610: @438107
     /*  438107 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(438193), // Rule ID 3402 //
     /*  438112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438159 */     // MIs[1] Operand 1
     /*  438159 */     // No operand predicates
     /*  438159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438191 */     GIR_RootConstrainSelectedInstOperands,
     /*  438192 */     // GIR_Coverage, 3402,
     /*  438192 */     GIR_EraseRootFromParent_Done,
     /*  438193 */   // Label 7611: @438193
     /*  438193 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(438279), // Rule ID 3403 //
     /*  438198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438245 */     // MIs[1] Operand 1
     /*  438245 */     // No operand predicates
     /*  438245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438277 */     GIR_RootConstrainSelectedInstOperands,
     /*  438278 */     // GIR_Coverage, 3403,
     /*  438278 */     GIR_EraseRootFromParent_Done,
     /*  438279 */   // Label 7612: @438279
     /*  438279 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(438365), // Rule ID 3406 //
     /*  438284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438331 */     // MIs[1] Operand 1
     /*  438331 */     // No operand predicates
     /*  438331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438363 */     GIR_RootConstrainSelectedInstOperands,
     /*  438364 */     // GIR_Coverage, 3406,
     /*  438364 */     GIR_EraseRootFromParent_Done,
     /*  438365 */   // Label 7613: @438365
     /*  438365 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(438451), // Rule ID 3407 //
     /*  438370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438417 */     // MIs[1] Operand 1
     /*  438417 */     // No operand predicates
     /*  438417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438449 */     GIR_RootConstrainSelectedInstOperands,
     /*  438450 */     // GIR_Coverage, 3407,
     /*  438450 */     GIR_EraseRootFromParent_Done,
     /*  438451 */   // Label 7614: @438451
     /*  438451 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(438537), // Rule ID 3410 //
     /*  438456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438503 */     // MIs[1] Operand 1
     /*  438503 */     // No operand predicates
     /*  438503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438535 */     GIR_RootConstrainSelectedInstOperands,
     /*  438536 */     // GIR_Coverage, 3410,
     /*  438536 */     GIR_EraseRootFromParent_Done,
     /*  438537 */   // Label 7615: @438537
     /*  438537 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(438623), // Rule ID 3411 //
     /*  438542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438589 */     // MIs[1] Operand 1
     /*  438589 */     // No operand predicates
     /*  438589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438621 */     GIR_RootConstrainSelectedInstOperands,
     /*  438622 */     // GIR_Coverage, 3411,
     /*  438622 */     GIR_EraseRootFromParent_Done,
     /*  438623 */   // Label 7616: @438623
     /*  438623 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(438709), // Rule ID 3414 //
     /*  438628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438675 */     // MIs[1] Operand 1
     /*  438675 */     // No operand predicates
     /*  438675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  438687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438707 */     GIR_RootConstrainSelectedInstOperands,
     /*  438708 */     // GIR_Coverage, 3414,
     /*  438708 */     GIR_EraseRootFromParent_Done,
     /*  438709 */   // Label 7617: @438709
     /*  438709 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(438795), // Rule ID 3415 //
     /*  438714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  438725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  438728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  438731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438761 */     // MIs[1] Operand 1
     /*  438761 */     // No operand predicates
     /*  438761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  438773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438793 */     GIR_RootConstrainSelectedInstOperands,
     /*  438794 */     // GIR_Coverage, 3415,
     /*  438794 */     GIR_EraseRootFromParent_Done,
     /*  438795 */   // Label 7618: @438795
     /*  438795 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(438881), // Rule ID 3418 //
     /*  438800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438847 */     // MIs[1] Operand 1
     /*  438847 */     // No operand predicates
     /*  438847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  438859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438879 */     GIR_RootConstrainSelectedInstOperands,
     /*  438880 */     // GIR_Coverage, 3418,
     /*  438880 */     GIR_EraseRootFromParent_Done,
     /*  438881 */   // Label 7619: @438881
     /*  438881 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(438967), // Rule ID 3419 //
     /*  438886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  438903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438933 */     // MIs[1] Operand 1
     /*  438933 */     // No operand predicates
     /*  438933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  438945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438965 */     GIR_RootConstrainSelectedInstOperands,
     /*  438966 */     // GIR_Coverage, 3419,
     /*  438966 */     GIR_EraseRootFromParent_Done,
     /*  438967 */   // Label 7620: @438967
     /*  438967 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(439053), // Rule ID 3422 //
     /*  438972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439019 */     // MIs[1] Operand 1
     /*  439019 */     // No operand predicates
     /*  439019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439051 */     GIR_RootConstrainSelectedInstOperands,
     /*  439052 */     // GIR_Coverage, 3422,
     /*  439052 */     GIR_EraseRootFromParent_Done,
     /*  439053 */   // Label 7621: @439053
     /*  439053 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(439139), // Rule ID 3423 //
     /*  439058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439105 */     // MIs[1] Operand 1
     /*  439105 */     // No operand predicates
     /*  439105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439137 */     GIR_RootConstrainSelectedInstOperands,
     /*  439138 */     // GIR_Coverage, 3423,
     /*  439138 */     GIR_EraseRootFromParent_Done,
     /*  439139 */   // Label 7622: @439139
     /*  439139 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(439225), // Rule ID 3426 //
     /*  439144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  439147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439191 */     // MIs[1] Operand 1
     /*  439191 */     // No operand predicates
     /*  439191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  439200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439223 */     GIR_RootConstrainSelectedInstOperands,
     /*  439224 */     // GIR_Coverage, 3426,
     /*  439224 */     GIR_EraseRootFromParent_Done,
     /*  439225 */   // Label 7623: @439225
     /*  439225 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(439311), // Rule ID 3427 //
     /*  439230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  439233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439277 */     // MIs[1] Operand 1
     /*  439277 */     // No operand predicates
     /*  439277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  439286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439309 */     GIR_RootConstrainSelectedInstOperands,
     /*  439310 */     // GIR_Coverage, 3427,
     /*  439310 */     GIR_EraseRootFromParent_Done,
     /*  439311 */   // Label 7624: @439311
     /*  439311 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(439397), // Rule ID 3430 //
     /*  439316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439363 */     // MIs[1] Operand 1
     /*  439363 */     // No operand predicates
     /*  439363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  439375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439395 */     GIR_RootConstrainSelectedInstOperands,
     /*  439396 */     // GIR_Coverage, 3430,
     /*  439396 */     GIR_EraseRootFromParent_Done,
     /*  439397 */   // Label 7625: @439397
     /*  439397 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(439483), // Rule ID 3431 //
     /*  439402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  439419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439449 */     // MIs[1] Operand 1
     /*  439449 */     // No operand predicates
     /*  439449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  439461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439481 */     GIR_RootConstrainSelectedInstOperands,
     /*  439482 */     // GIR_Coverage, 3431,
     /*  439482 */     GIR_EraseRootFromParent_Done,
     /*  439483 */   // Label 7626: @439483
     /*  439483 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(439569), // Rule ID 3434 //
     /*  439488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439535 */     // MIs[1] Operand 1
     /*  439535 */     // No operand predicates
     /*  439535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  439547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439567 */     GIR_RootConstrainSelectedInstOperands,
     /*  439568 */     // GIR_Coverage, 3434,
     /*  439568 */     GIR_EraseRootFromParent_Done,
     /*  439569 */   // Label 7627: @439569
     /*  439569 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(439655), // Rule ID 3435 //
     /*  439574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  439585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  439588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  439591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439621 */     // MIs[1] Operand 1
     /*  439621 */     // No operand predicates
     /*  439621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  439633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439653 */     GIR_RootConstrainSelectedInstOperands,
     /*  439654 */     // GIR_Coverage, 3435,
     /*  439654 */     GIR_EraseRootFromParent_Done,
     /*  439655 */   // Label 7628: @439655
     /*  439655 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(439741), // Rule ID 3438 //
     /*  439660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439707 */     // MIs[1] Operand 1
     /*  439707 */     // No operand predicates
     /*  439707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439716 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  439719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439739 */     GIR_RootConstrainSelectedInstOperands,
     /*  439740 */     // GIR_Coverage, 3438,
     /*  439740 */     GIR_EraseRootFromParent_Done,
     /*  439741 */   // Label 7629: @439741
     /*  439741 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(439827), // Rule ID 3439 //
     /*  439746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  439757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  439760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  439763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439793 */     // MIs[1] Operand 1
     /*  439793 */     // No operand predicates
     /*  439793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  439805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439825 */     GIR_RootConstrainSelectedInstOperands,
     /*  439826 */     // GIR_Coverage, 3439,
     /*  439826 */     GIR_EraseRootFromParent_Done,
     /*  439827 */   // Label 7630: @439827
     /*  439827 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(439913), // Rule ID 3442 //
     /*  439832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439879 */     // MIs[1] Operand 1
     /*  439879 */     // No operand predicates
     /*  439879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439888 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  439891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439911 */     GIR_RootConstrainSelectedInstOperands,
     /*  439912 */     // GIR_Coverage, 3442,
     /*  439912 */     GIR_EraseRootFromParent_Done,
     /*  439913 */   // Label 7631: @439913
     /*  439913 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(439999), // Rule ID 3443 //
     /*  439918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439965 */     // MIs[1] Operand 1
     /*  439965 */     // No operand predicates
     /*  439965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  439977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439997 */     GIR_RootConstrainSelectedInstOperands,
     /*  439998 */     // GIR_Coverage, 3443,
     /*  439998 */     GIR_EraseRootFromParent_Done,
     /*  439999 */   // Label 7632: @439999
     /*  439999 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(440085), // Rule ID 3446 //
     /*  440004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440051 */     // MIs[1] Operand 1
     /*  440051 */     // No operand predicates
     /*  440051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440083 */     GIR_RootConstrainSelectedInstOperands,
     /*  440084 */     // GIR_Coverage, 3446,
     /*  440084 */     GIR_EraseRootFromParent_Done,
     /*  440085 */   // Label 7633: @440085
     /*  440085 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(440171), // Rule ID 3447 //
     /*  440090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440137 */     // MIs[1] Operand 1
     /*  440137 */     // No operand predicates
     /*  440137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440169 */     GIR_RootConstrainSelectedInstOperands,
     /*  440170 */     // GIR_Coverage, 3447,
     /*  440170 */     GIR_EraseRootFromParent_Done,
     /*  440171 */   // Label 7634: @440171
     /*  440171 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(440257), // Rule ID 3450 //
     /*  440176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440223 */     // MIs[1] Operand 1
     /*  440223 */     // No operand predicates
     /*  440223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440255 */     GIR_RootConstrainSelectedInstOperands,
     /*  440256 */     // GIR_Coverage, 3450,
     /*  440256 */     GIR_EraseRootFromParent_Done,
     /*  440257 */   // Label 7635: @440257
     /*  440257 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(440343), // Rule ID 3451 //
     /*  440262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440309 */     // MIs[1] Operand 1
     /*  440309 */     // No operand predicates
     /*  440309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440341 */     GIR_RootConstrainSelectedInstOperands,
     /*  440342 */     // GIR_Coverage, 3451,
     /*  440342 */     GIR_EraseRootFromParent_Done,
     /*  440343 */   // Label 7636: @440343
     /*  440343 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(440429), // Rule ID 3454 //
     /*  440348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440395 */     // MIs[1] Operand 1
     /*  440395 */     // No operand predicates
     /*  440395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440427 */     GIR_RootConstrainSelectedInstOperands,
     /*  440428 */     // GIR_Coverage, 3454,
     /*  440428 */     GIR_EraseRootFromParent_Done,
     /*  440429 */   // Label 7637: @440429
     /*  440429 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(440515), // Rule ID 3455 //
     /*  440434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440481 */     // MIs[1] Operand 1
     /*  440481 */     // No operand predicates
     /*  440481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440513 */     GIR_RootConstrainSelectedInstOperands,
     /*  440514 */     // GIR_Coverage, 3455,
     /*  440514 */     GIR_EraseRootFromParent_Done,
     /*  440515 */   // Label 7638: @440515
     /*  440515 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(440601), // Rule ID 3458 //
     /*  440520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440567 */     // MIs[1] Operand 1
     /*  440567 */     // No operand predicates
     /*  440567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440599 */     GIR_RootConstrainSelectedInstOperands,
     /*  440600 */     // GIR_Coverage, 3458,
     /*  440600 */     GIR_EraseRootFromParent_Done,
     /*  440601 */   // Label 7639: @440601
     /*  440601 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(440687), // Rule ID 3459 //
     /*  440606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440653 */     // MIs[1] Operand 1
     /*  440653 */     // No operand predicates
     /*  440653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440685 */     GIR_RootConstrainSelectedInstOperands,
     /*  440686 */     // GIR_Coverage, 3459,
     /*  440686 */     GIR_EraseRootFromParent_Done,
     /*  440687 */   // Label 7640: @440687
     /*  440687 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(440773), // Rule ID 3462 //
     /*  440692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440739 */     // MIs[1] Operand 1
     /*  440739 */     // No operand predicates
     /*  440739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440771 */     GIR_RootConstrainSelectedInstOperands,
     /*  440772 */     // GIR_Coverage, 3462,
     /*  440772 */     GIR_EraseRootFromParent_Done,
     /*  440773 */   // Label 7641: @440773
     /*  440773 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(440859), // Rule ID 3463 //
     /*  440778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  440789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  440792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440825 */     // MIs[1] Operand 1
     /*  440825 */     // No operand predicates
     /*  440825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440857 */     GIR_RootConstrainSelectedInstOperands,
     /*  440858 */     // GIR_Coverage, 3463,
     /*  440858 */     GIR_EraseRootFromParent_Done,
     /*  440859 */   // Label 7642: @440859
     /*  440859 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(440945), // Rule ID 3466 //
     /*  440864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440911 */     // MIs[1] Operand 1
     /*  440911 */     // No operand predicates
     /*  440911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440943 */     GIR_RootConstrainSelectedInstOperands,
     /*  440944 */     // GIR_Coverage, 3466,
     /*  440944 */     GIR_EraseRootFromParent_Done,
     /*  440945 */   // Label 7643: @440945
     /*  440945 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(441031), // Rule ID 3467 //
     /*  440950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  440961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  440964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440997 */     // MIs[1] Operand 1
     /*  440997 */     // No operand predicates
     /*  440997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  441009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441029 */     GIR_RootConstrainSelectedInstOperands,
     /*  441030 */     // GIR_Coverage, 3467,
     /*  441030 */     GIR_EraseRootFromParent_Done,
     /*  441031 */   // Label 7644: @441031
     /*  441031 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(441117), // Rule ID 3470 //
     /*  441036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441083 */     // MIs[1] Operand 1
     /*  441083 */     // No operand predicates
     /*  441083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441115 */     GIR_RootConstrainSelectedInstOperands,
     /*  441116 */     // GIR_Coverage, 3470,
     /*  441116 */     GIR_EraseRootFromParent_Done,
     /*  441117 */   // Label 7645: @441117
     /*  441117 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(441203), // Rule ID 3471 //
     /*  441122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441169 */     // MIs[1] Operand 1
     /*  441169 */     // No operand predicates
     /*  441169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441201 */     GIR_RootConstrainSelectedInstOperands,
     /*  441202 */     // GIR_Coverage, 3471,
     /*  441202 */     GIR_EraseRootFromParent_Done,
     /*  441203 */   // Label 7646: @441203
     /*  441203 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(441289), // Rule ID 3474 //
     /*  441208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441255 */     // MIs[1] Operand 1
     /*  441255 */     // No operand predicates
     /*  441255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441287 */     GIR_RootConstrainSelectedInstOperands,
     /*  441288 */     // GIR_Coverage, 3474,
     /*  441288 */     GIR_EraseRootFromParent_Done,
     /*  441289 */   // Label 7647: @441289
     /*  441289 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(441375), // Rule ID 3475 //
     /*  441294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441341 */     // MIs[1] Operand 1
     /*  441341 */     // No operand predicates
     /*  441341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441373 */     GIR_RootConstrainSelectedInstOperands,
     /*  441374 */     // GIR_Coverage, 3475,
     /*  441374 */     GIR_EraseRootFromParent_Done,
     /*  441375 */   // Label 7648: @441375
     /*  441375 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(441461), // Rule ID 5838 //
     /*  441380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441427 */     // MIs[1] Operand 1
     /*  441427 */     // No operand predicates
     /*  441427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  441439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441459 */     GIR_RootConstrainSelectedInstOperands,
     /*  441460 */     // GIR_Coverage, 5838,
     /*  441460 */     GIR_EraseRootFromParent_Done,
     /*  441461 */   // Label 7649: @441461
     /*  441461 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(441547), // Rule ID 5839 //
     /*  441466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  441477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  441480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  441483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441513 */     // MIs[1] Operand 1
     /*  441513 */     // No operand predicates
     /*  441513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  441525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441545 */     GIR_RootConstrainSelectedInstOperands,
     /*  441546 */     // GIR_Coverage, 5839,
     /*  441546 */     GIR_EraseRootFromParent_Done,
     /*  441547 */   // Label 7650: @441547
     /*  441547 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(441633), // Rule ID 5842 //
     /*  441552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441599 */     // MIs[1] Operand 1
     /*  441599 */     // No operand predicates
     /*  441599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  441611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441631 */     GIR_RootConstrainSelectedInstOperands,
     /*  441632 */     // GIR_Coverage, 5842,
     /*  441632 */     GIR_EraseRootFromParent_Done,
     /*  441633 */   // Label 7651: @441633
     /*  441633 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(441719), // Rule ID 5843 //
     /*  441638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  441649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  441652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  441655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441685 */     // MIs[1] Operand 1
     /*  441685 */     // No operand predicates
     /*  441685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  441697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441717 */     GIR_RootConstrainSelectedInstOperands,
     /*  441718 */     // GIR_Coverage, 5843,
     /*  441718 */     GIR_EraseRootFromParent_Done,
     /*  441719 */   // Label 7652: @441719
     /*  441719 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(441805), // Rule ID 5846 //
     /*  441724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441771 */     // MIs[1] Operand 1
     /*  441771 */     // No operand predicates
     /*  441771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  441783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441803 */     GIR_RootConstrainSelectedInstOperands,
     /*  441804 */     // GIR_Coverage, 5846,
     /*  441804 */     GIR_EraseRootFromParent_Done,
     /*  441805 */   // Label 7653: @441805
     /*  441805 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(441891), // Rule ID 5847 //
     /*  441810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  441821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  441824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  441827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441857 */     // MIs[1] Operand 1
     /*  441857 */     // No operand predicates
     /*  441857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441866 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  441869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441889 */     GIR_RootConstrainSelectedInstOperands,
     /*  441890 */     // GIR_Coverage, 5847,
     /*  441890 */     GIR_EraseRootFromParent_Done,
     /*  441891 */   // Label 7654: @441891
     /*  441891 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(441977), // Rule ID 5850 //
     /*  441896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441943 */     // MIs[1] Operand 1
     /*  441943 */     // No operand predicates
     /*  441943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  441955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441975 */     GIR_RootConstrainSelectedInstOperands,
     /*  441976 */     // GIR_Coverage, 5850,
     /*  441976 */     GIR_EraseRootFromParent_Done,
     /*  441977 */   // Label 7655: @441977
     /*  441977 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(442063), // Rule ID 5851 //
     /*  441982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  441990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  441999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442029 */     // MIs[1] Operand 1
     /*  442029 */     // No operand predicates
     /*  442029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  442041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442061 */     GIR_RootConstrainSelectedInstOperands,
     /*  442062 */     // GIR_Coverage, 5851,
     /*  442062 */     GIR_EraseRootFromParent_Done,
     /*  442063 */   // Label 7656: @442063
     /*  442063 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(442149), // Rule ID 5854 //
     /*  442068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442115 */     // MIs[1] Operand 1
     /*  442115 */     // No operand predicates
     /*  442115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442147 */     GIR_RootConstrainSelectedInstOperands,
     /*  442148 */     // GIR_Coverage, 5854,
     /*  442148 */     GIR_EraseRootFromParent_Done,
     /*  442149 */   // Label 7657: @442149
     /*  442149 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(442235), // Rule ID 5855 //
     /*  442154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442201 */     // MIs[1] Operand 1
     /*  442201 */     // No operand predicates
     /*  442201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442233 */     GIR_RootConstrainSelectedInstOperands,
     /*  442234 */     // GIR_Coverage, 5855,
     /*  442234 */     GIR_EraseRootFromParent_Done,
     /*  442235 */   // Label 7658: @442235
     /*  442235 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(442321), // Rule ID 5858 //
     /*  442240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442287 */     // MIs[1] Operand 1
     /*  442287 */     // No operand predicates
     /*  442287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442319 */     GIR_RootConstrainSelectedInstOperands,
     /*  442320 */     // GIR_Coverage, 5858,
     /*  442320 */     GIR_EraseRootFromParent_Done,
     /*  442321 */   // Label 7659: @442321
     /*  442321 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(442407), // Rule ID 5859 //
     /*  442326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442373 */     // MIs[1] Operand 1
     /*  442373 */     // No operand predicates
     /*  442373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442382 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442405 */     GIR_RootConstrainSelectedInstOperands,
     /*  442406 */     // GIR_Coverage, 5859,
     /*  442406 */     GIR_EraseRootFromParent_Done,
     /*  442407 */   // Label 7660: @442407
     /*  442407 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(442493), // Rule ID 5862 //
     /*  442412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442459 */     // MIs[1] Operand 1
     /*  442459 */     // No operand predicates
     /*  442459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442491 */     GIR_RootConstrainSelectedInstOperands,
     /*  442492 */     // GIR_Coverage, 5862,
     /*  442492 */     GIR_EraseRootFromParent_Done,
     /*  442493 */   // Label 7661: @442493
     /*  442493 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(442579), // Rule ID 5863 //
     /*  442498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  442509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  442512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  442515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442545 */     // MIs[1] Operand 1
     /*  442545 */     // No operand predicates
     /*  442545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442554 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442577 */     GIR_RootConstrainSelectedInstOperands,
     /*  442578 */     // GIR_Coverage, 5863,
     /*  442578 */     GIR_EraseRootFromParent_Done,
     /*  442579 */   // Label 7662: @442579
     /*  442579 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(442665), // Rule ID 5866 //
     /*  442584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442631 */     // MIs[1] Operand 1
     /*  442631 */     // No operand predicates
     /*  442631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442663 */     GIR_RootConstrainSelectedInstOperands,
     /*  442664 */     // GIR_Coverage, 5866,
     /*  442664 */     GIR_EraseRootFromParent_Done,
     /*  442665 */   // Label 7663: @442665
     /*  442665 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(442751), // Rule ID 5867 //
     /*  442670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  442687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442717 */     // MIs[1] Operand 1
     /*  442717 */     // No operand predicates
     /*  442717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442749 */     GIR_RootConstrainSelectedInstOperands,
     /*  442750 */     // GIR_Coverage, 5867,
     /*  442750 */     GIR_EraseRootFromParent_Done,
     /*  442751 */   // Label 7664: @442751
     /*  442751 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(442837), // Rule ID 5870 //
     /*  442756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442803 */     // MIs[1] Operand 1
     /*  442803 */     // No operand predicates
     /*  442803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442835 */     GIR_RootConstrainSelectedInstOperands,
     /*  442836 */     // GIR_Coverage, 5870,
     /*  442836 */     GIR_EraseRootFromParent_Done,
     /*  442837 */   // Label 7665: @442837
     /*  442837 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(442923), // Rule ID 5871 //
     /*  442842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442889 */     // MIs[1] Operand 1
     /*  442889 */     // No operand predicates
     /*  442889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442921 */     GIR_RootConstrainSelectedInstOperands,
     /*  442922 */     // GIR_Coverage, 5871,
     /*  442922 */     GIR_EraseRootFromParent_Done,
     /*  442923 */   // Label 7666: @442923
     /*  442923 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(443009), // Rule ID 5874 //
     /*  442928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  442939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  442942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442975 */     // MIs[1] Operand 1
     /*  442975 */     // No operand predicates
     /*  442975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  442987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443007 */     GIR_RootConstrainSelectedInstOperands,
     /*  443008 */     // GIR_Coverage, 5874,
     /*  443008 */     GIR_EraseRootFromParent_Done,
     /*  443009 */   // Label 7667: @443009
     /*  443009 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(443095), // Rule ID 5875 //
     /*  443014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443061 */     // MIs[1] Operand 1
     /*  443061 */     // No operand predicates
     /*  443061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443070 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  443070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443093 */     GIR_RootConstrainSelectedInstOperands,
     /*  443094 */     // GIR_Coverage, 5875,
     /*  443094 */     GIR_EraseRootFromParent_Done,
     /*  443095 */   // Label 7668: @443095
     /*  443095 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(443181), // Rule ID 5878 //
     /*  443100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443147 */     // MIs[1] Operand 1
     /*  443147 */     // No operand predicates
     /*  443147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443156 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443179 */     GIR_RootConstrainSelectedInstOperands,
     /*  443180 */     // GIR_Coverage, 5878,
     /*  443180 */     GIR_EraseRootFromParent_Done,
     /*  443181 */   // Label 7669: @443181
     /*  443181 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(443267), // Rule ID 5879 //
     /*  443186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443233 */     // MIs[1] Operand 1
     /*  443233 */     // No operand predicates
     /*  443233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443242 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443265 */     GIR_RootConstrainSelectedInstOperands,
     /*  443266 */     // GIR_Coverage, 5879,
     /*  443266 */     GIR_EraseRootFromParent_Done,
     /*  443267 */   // Label 7670: @443267
     /*  443267 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(443353), // Rule ID 5882 //
     /*  443272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  443283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443319 */     // MIs[1] Operand 1
     /*  443319 */     // No operand predicates
     /*  443319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  443331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443351 */     GIR_RootConstrainSelectedInstOperands,
     /*  443352 */     // GIR_Coverage, 5882,
     /*  443352 */     GIR_EraseRootFromParent_Done,
     /*  443353 */   // Label 7671: @443353
     /*  443353 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(443439), // Rule ID 5883 //
     /*  443358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  443369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443405 */     // MIs[1] Operand 1
     /*  443405 */     // No operand predicates
     /*  443405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  443417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443437 */     GIR_RootConstrainSelectedInstOperands,
     /*  443438 */     // GIR_Coverage, 5883,
     /*  443438 */     GIR_EraseRootFromParent_Done,
     /*  443439 */   // Label 7672: @443439
     /*  443439 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(443525), // Rule ID 5886 //
     /*  443444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443491 */     // MIs[1] Operand 1
     /*  443491 */     // No operand predicates
     /*  443491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443500 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  443503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443523 */     GIR_RootConstrainSelectedInstOperands,
     /*  443524 */     // GIR_Coverage, 5886,
     /*  443524 */     GIR_EraseRootFromParent_Done,
     /*  443525 */   // Label 7673: @443525
     /*  443525 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(443611), // Rule ID 5887 //
     /*  443530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  443541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  443544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  443547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443577 */     // MIs[1] Operand 1
     /*  443577 */     // No operand predicates
     /*  443577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  443589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443609 */     GIR_RootConstrainSelectedInstOperands,
     /*  443610 */     // GIR_Coverage, 5887,
     /*  443610 */     GIR_EraseRootFromParent_Done,
     /*  443611 */   // Label 7674: @443611
     /*  443611 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(443697), // Rule ID 5890 //
     /*  443616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443663 */     // MIs[1] Operand 1
     /*  443663 */     // No operand predicates
     /*  443663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443695 */     GIR_RootConstrainSelectedInstOperands,
     /*  443696 */     // GIR_Coverage, 5890,
     /*  443696 */     GIR_EraseRootFromParent_Done,
     /*  443697 */   // Label 7675: @443697
     /*  443697 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(443783), // Rule ID 5891 //
     /*  443702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  443719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443749 */     // MIs[1] Operand 1
     /*  443749 */     // No operand predicates
     /*  443749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443758 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443781 */     GIR_RootConstrainSelectedInstOperands,
     /*  443782 */     // GIR_Coverage, 5891,
     /*  443782 */     GIR_EraseRootFromParent_Done,
     /*  443783 */   // Label 7676: @443783
     /*  443783 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(443869), // Rule ID 5894 //
     /*  443788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443835 */     // MIs[1] Operand 1
     /*  443835 */     // No operand predicates
     /*  443835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443844 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  443847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443867 */     GIR_RootConstrainSelectedInstOperands,
     /*  443868 */     // GIR_Coverage, 5894,
     /*  443868 */     GIR_EraseRootFromParent_Done,
     /*  443869 */   // Label 7677: @443869
     /*  443869 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(443955), // Rule ID 5895 //
     /*  443874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  443891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443921 */     // MIs[1] Operand 1
     /*  443921 */     // No operand predicates
     /*  443921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  443933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443953 */     GIR_RootConstrainSelectedInstOperands,
     /*  443954 */     // GIR_Coverage, 5895,
     /*  443954 */     GIR_EraseRootFromParent_Done,
     /*  443955 */   // Label 7678: @443955
     /*  443955 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(444041), // Rule ID 5898 //
     /*  443960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  443977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444007 */     // MIs[1] Operand 1
     /*  444007 */     // No operand predicates
     /*  444007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444039 */     GIR_RootConstrainSelectedInstOperands,
     /*  444040 */     // GIR_Coverage, 5898,
     /*  444040 */     GIR_EraseRootFromParent_Done,
     /*  444041 */   // Label 7679: @444041
     /*  444041 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(444127), // Rule ID 5899 //
     /*  444046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444093 */     // MIs[1] Operand 1
     /*  444093 */     // No operand predicates
     /*  444093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444102 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444125 */     GIR_RootConstrainSelectedInstOperands,
     /*  444126 */     // GIR_Coverage, 5899,
     /*  444126 */     GIR_EraseRootFromParent_Done,
     /*  444127 */   // Label 7680: @444127
     /*  444127 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(444213), // Rule ID 5902 //
     /*  444132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444179 */     // MIs[1] Operand 1
     /*  444179 */     // No operand predicates
     /*  444179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444211 */     GIR_RootConstrainSelectedInstOperands,
     /*  444212 */     // GIR_Coverage, 5902,
     /*  444212 */     GIR_EraseRootFromParent_Done,
     /*  444213 */   // Label 7681: @444213
     /*  444213 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(444299), // Rule ID 5903 //
     /*  444218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444265 */     // MIs[1] Operand 1
     /*  444265 */     // No operand predicates
     /*  444265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444297 */     GIR_RootConstrainSelectedInstOperands,
     /*  444298 */     // GIR_Coverage, 5903,
     /*  444298 */     GIR_EraseRootFromParent_Done,
     /*  444299 */   // Label 7682: @444299
     /*  444299 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(444385), // Rule ID 5906 //
     /*  444304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444351 */     // MIs[1] Operand 1
     /*  444351 */     // No operand predicates
     /*  444351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444360 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444383 */     GIR_RootConstrainSelectedInstOperands,
     /*  444384 */     // GIR_Coverage, 5906,
     /*  444384 */     GIR_EraseRootFromParent_Done,
     /*  444385 */   // Label 7683: @444385
     /*  444385 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(444471), // Rule ID 5907 //
     /*  444390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444437 */     // MIs[1] Operand 1
     /*  444437 */     // No operand predicates
     /*  444437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444469 */     GIR_RootConstrainSelectedInstOperands,
     /*  444470 */     // GIR_Coverage, 5907,
     /*  444470 */     GIR_EraseRootFromParent_Done,
     /*  444471 */   // Label 7684: @444471
     /*  444471 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(444557), // Rule ID 5910 //
     /*  444476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444523 */     // MIs[1] Operand 1
     /*  444523 */     // No operand predicates
     /*  444523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444555 */     GIR_RootConstrainSelectedInstOperands,
     /*  444556 */     // GIR_Coverage, 5910,
     /*  444556 */     GIR_EraseRootFromParent_Done,
     /*  444557 */   // Label 7685: @444557
     /*  444557 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(444643), // Rule ID 5911 //
     /*  444562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  444579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444609 */     // MIs[1] Operand 1
     /*  444609 */     // No operand predicates
     /*  444609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444641 */     GIR_RootConstrainSelectedInstOperands,
     /*  444642 */     // GIR_Coverage, 5911,
     /*  444642 */     GIR_EraseRootFromParent_Done,
     /*  444643 */   // Label 7686: @444643
     /*  444643 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(444729), // Rule ID 5914 //
     /*  444648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444695 */     // MIs[1] Operand 1
     /*  444695 */     // No operand predicates
     /*  444695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444727 */     GIR_RootConstrainSelectedInstOperands,
     /*  444728 */     // GIR_Coverage, 5914,
     /*  444728 */     GIR_EraseRootFromParent_Done,
     /*  444729 */   // Label 7687: @444729
     /*  444729 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(444815), // Rule ID 5915 //
     /*  444734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444781 */     // MIs[1] Operand 1
     /*  444781 */     // No operand predicates
     /*  444781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444813 */     GIR_RootConstrainSelectedInstOperands,
     /*  444814 */     // GIR_Coverage, 5915,
     /*  444814 */     GIR_EraseRootFromParent_Done,
     /*  444815 */   // Label 7688: @444815
     /*  444815 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(444901), // Rule ID 5918 //
     /*  444820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444867 */     // MIs[1] Operand 1
     /*  444867 */     // No operand predicates
     /*  444867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444899 */     GIR_RootConstrainSelectedInstOperands,
     /*  444900 */     // GIR_Coverage, 5918,
     /*  444900 */     GIR_EraseRootFromParent_Done,
     /*  444901 */   // Label 7689: @444901
     /*  444901 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(444987), // Rule ID 5919 //
     /*  444906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  444917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  444920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444953 */     // MIs[1] Operand 1
     /*  444953 */     // No operand predicates
     /*  444953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444962 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444985 */     GIR_RootConstrainSelectedInstOperands,
     /*  444986 */     // GIR_Coverage, 5919,
     /*  444986 */     GIR_EraseRootFromParent_Done,
     /*  444987 */   // Label 7690: @444987
     /*  444987 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(445073), // Rule ID 5922 //
     /*  444992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445039 */     // MIs[1] Operand 1
     /*  445039 */     // No operand predicates
     /*  445039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445071 */     GIR_RootConstrainSelectedInstOperands,
     /*  445072 */     // GIR_Coverage, 5922,
     /*  445072 */     GIR_EraseRootFromParent_Done,
     /*  445073 */   // Label 7691: @445073
     /*  445073 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(445159), // Rule ID 5923 //
     /*  445078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445125 */     // MIs[1] Operand 1
     /*  445125 */     // No operand predicates
     /*  445125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445157 */     GIR_RootConstrainSelectedInstOperands,
     /*  445158 */     // GIR_Coverage, 5923,
     /*  445158 */     GIR_EraseRootFromParent_Done,
     /*  445159 */   // Label 7692: @445159
     /*  445159 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(445245), // Rule ID 6102 //
     /*  445164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445211 */     // MIs[1] Operand 1
     /*  445211 */     // No operand predicates
     /*  445211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445220 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  445223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445243 */     GIR_RootConstrainSelectedInstOperands,
     /*  445244 */     // GIR_Coverage, 6102,
     /*  445244 */     GIR_EraseRootFromParent_Done,
     /*  445245 */   // Label 7693: @445245
     /*  445245 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(445331), // Rule ID 6103 //
     /*  445250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445297 */     // MIs[1] Operand 1
     /*  445297 */     // No operand predicates
     /*  445297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  445309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445329 */     GIR_RootConstrainSelectedInstOperands,
     /*  445330 */     // GIR_Coverage, 6103,
     /*  445330 */     GIR_EraseRootFromParent_Done,
     /*  445331 */   // Label 7694: @445331
     /*  445331 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(445417), // Rule ID 6106 //
     /*  445336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445383 */     // MIs[1] Operand 1
     /*  445383 */     // No operand predicates
     /*  445383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  445395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445415 */     GIR_RootConstrainSelectedInstOperands,
     /*  445416 */     // GIR_Coverage, 6106,
     /*  445416 */     GIR_EraseRootFromParent_Done,
     /*  445417 */   // Label 7695: @445417
     /*  445417 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(445503), // Rule ID 6107 //
     /*  445422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  445433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  445436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  445439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445469 */     // MIs[1] Operand 1
     /*  445469 */     // No operand predicates
     /*  445469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  445481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445501 */     GIR_RootConstrainSelectedInstOperands,
     /*  445502 */     // GIR_Coverage, 6107,
     /*  445502 */     GIR_EraseRootFromParent_Done,
     /*  445503 */   // Label 7696: @445503
     /*  445503 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(445589), // Rule ID 6110 //
     /*  445508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445555 */     // MIs[1] Operand 1
     /*  445555 */     // No operand predicates
     /*  445555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  445567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445587 */     GIR_RootConstrainSelectedInstOperands,
     /*  445588 */     // GIR_Coverage, 6110,
     /*  445588 */     GIR_EraseRootFromParent_Done,
     /*  445589 */   // Label 7697: @445589
     /*  445589 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(445675), // Rule ID 6111 //
     /*  445594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  445605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  445608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  445611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445641 */     // MIs[1] Operand 1
     /*  445641 */     // No operand predicates
     /*  445641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445650 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  445653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445673 */     GIR_RootConstrainSelectedInstOperands,
     /*  445674 */     // GIR_Coverage, 6111,
     /*  445674 */     GIR_EraseRootFromParent_Done,
     /*  445675 */   // Label 7698: @445675
     /*  445675 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(445761), // Rule ID 6114 //
     /*  445680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445727 */     // MIs[1] Operand 1
     /*  445727 */     // No operand predicates
     /*  445727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  445739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445759 */     GIR_RootConstrainSelectedInstOperands,
     /*  445760 */     // GIR_Coverage, 6114,
     /*  445760 */     GIR_EraseRootFromParent_Done,
     /*  445761 */   // Label 7699: @445761
     /*  445761 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(445847), // Rule ID 6115 //
     /*  445766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  445783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445813 */     // MIs[1] Operand 1
     /*  445813 */     // No operand predicates
     /*  445813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  445825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445845 */     GIR_RootConstrainSelectedInstOperands,
     /*  445846 */     // GIR_Coverage, 6115,
     /*  445846 */     GIR_EraseRootFromParent_Done,
     /*  445847 */   // Label 7700: @445847
     /*  445847 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(445933), // Rule ID 6118 //
     /*  445852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445899 */     // MIs[1] Operand 1
     /*  445899 */     // No operand predicates
     /*  445899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  445911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445931 */     GIR_RootConstrainSelectedInstOperands,
     /*  445932 */     // GIR_Coverage, 6118,
     /*  445932 */     GIR_EraseRootFromParent_Done,
     /*  445933 */   // Label 7701: @445933
     /*  445933 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(446019), // Rule ID 6119 //
     /*  445938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  445955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445985 */     // MIs[1] Operand 1
     /*  445985 */     // No operand predicates
     /*  445985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  445997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446017 */     GIR_RootConstrainSelectedInstOperands,
     /*  446018 */     // GIR_Coverage, 6119,
     /*  446018 */     GIR_EraseRootFromParent_Done,
     /*  446019 */   // Label 7702: @446019
     /*  446019 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(446105), // Rule ID 6122 //
     /*  446024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446071 */     // MIs[1] Operand 1
     /*  446071 */     // No operand predicates
     /*  446071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446103 */     GIR_RootConstrainSelectedInstOperands,
     /*  446104 */     // GIR_Coverage, 6122,
     /*  446104 */     GIR_EraseRootFromParent_Done,
     /*  446105 */   // Label 7703: @446105
     /*  446105 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(446191), // Rule ID 6123 //
     /*  446110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446157 */     // MIs[1] Operand 1
     /*  446157 */     // No operand predicates
     /*  446157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446189 */     GIR_RootConstrainSelectedInstOperands,
     /*  446190 */     // GIR_Coverage, 6123,
     /*  446190 */     GIR_EraseRootFromParent_Done,
     /*  446191 */   // Label 7704: @446191
     /*  446191 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(446277), // Rule ID 6126 //
     /*  446196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446243 */     // MIs[1] Operand 1
     /*  446243 */     // No operand predicates
     /*  446243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446275 */     GIR_RootConstrainSelectedInstOperands,
     /*  446276 */     // GIR_Coverage, 6126,
     /*  446276 */     GIR_EraseRootFromParent_Done,
     /*  446277 */   // Label 7705: @446277
     /*  446277 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(446363), // Rule ID 6127 //
     /*  446282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446329 */     // MIs[1] Operand 1
     /*  446329 */     // No operand predicates
     /*  446329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446338 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446361 */     GIR_RootConstrainSelectedInstOperands,
     /*  446362 */     // GIR_Coverage, 6127,
     /*  446362 */     GIR_EraseRootFromParent_Done,
     /*  446363 */   // Label 7706: @446363
     /*  446363 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(446449), // Rule ID 6130 //
     /*  446368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446415 */     // MIs[1] Operand 1
     /*  446415 */     // No operand predicates
     /*  446415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446447 */     GIR_RootConstrainSelectedInstOperands,
     /*  446448 */     // GIR_Coverage, 6130,
     /*  446448 */     GIR_EraseRootFromParent_Done,
     /*  446449 */   // Label 7707: @446449
     /*  446449 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(446535), // Rule ID 6131 //
     /*  446454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  446465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  446468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  446471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446501 */     // MIs[1] Operand 1
     /*  446501 */     // No operand predicates
     /*  446501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446533 */     GIR_RootConstrainSelectedInstOperands,
     /*  446534 */     // GIR_Coverage, 6131,
     /*  446534 */     GIR_EraseRootFromParent_Done,
     /*  446535 */   // Label 7708: @446535
     /*  446535 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(446621), // Rule ID 6134 //
     /*  446540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446587 */     // MIs[1] Operand 1
     /*  446587 */     // No operand predicates
     /*  446587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446619 */     GIR_RootConstrainSelectedInstOperands,
     /*  446620 */     // GIR_Coverage, 6134,
     /*  446620 */     GIR_EraseRootFromParent_Done,
     /*  446621 */   // Label 7709: @446621
     /*  446621 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(446707), // Rule ID 6135 //
     /*  446626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  446643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446673 */     // MIs[1] Operand 1
     /*  446673 */     // No operand predicates
     /*  446673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446705 */     GIR_RootConstrainSelectedInstOperands,
     /*  446706 */     // GIR_Coverage, 6135,
     /*  446706 */     GIR_EraseRootFromParent_Done,
     /*  446707 */   // Label 7710: @446707
     /*  446707 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(446793), // Rule ID 6138 //
     /*  446712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  446715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446759 */     // MIs[1] Operand 1
     /*  446759 */     // No operand predicates
     /*  446759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446791 */     GIR_RootConstrainSelectedInstOperands,
     /*  446792 */     // GIR_Coverage, 6138,
     /*  446792 */     GIR_EraseRootFromParent_Done,
     /*  446793 */   // Label 7711: @446793
     /*  446793 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(446879), // Rule ID 6139 //
     /*  446798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  446801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  446815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446845 */     // MIs[1] Operand 1
     /*  446845 */     // No operand predicates
     /*  446845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446854 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446877 */     GIR_RootConstrainSelectedInstOperands,
     /*  446878 */     // GIR_Coverage, 6139,
     /*  446878 */     GIR_EraseRootFromParent_Done,
     /*  446879 */   // Label 7712: @446879
     /*  446879 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(446965), // Rule ID 6142 //
     /*  446884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446931 */     // MIs[1] Operand 1
     /*  446931 */     // No operand predicates
     /*  446931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  446943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446963 */     GIR_RootConstrainSelectedInstOperands,
     /*  446964 */     // GIR_Coverage, 6142,
     /*  446964 */     GIR_EraseRootFromParent_Done,
     /*  446965 */   // Label 7713: @446965
     /*  446965 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(447051), // Rule ID 6143 //
     /*  446970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  446981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  446984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  446987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447017 */     // MIs[1] Operand 1
     /*  447017 */     // No operand predicates
     /*  447017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447049 */     GIR_RootConstrainSelectedInstOperands,
     /*  447050 */     // GIR_Coverage, 6143,
     /*  447050 */     GIR_EraseRootFromParent_Done,
     /*  447051 */   // Label 7714: @447051
     /*  447051 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(447137), // Rule ID 6146 //
     /*  447056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447103 */     // MIs[1] Operand 1
     /*  447103 */     // No operand predicates
     /*  447103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447135 */     GIR_RootConstrainSelectedInstOperands,
     /*  447136 */     // GIR_Coverage, 6146,
     /*  447136 */     GIR_EraseRootFromParent_Done,
     /*  447137 */   // Label 7715: @447137
     /*  447137 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(447223), // Rule ID 6147 //
     /*  447142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447189 */     // MIs[1] Operand 1
     /*  447189 */     // No operand predicates
     /*  447189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447221 */     GIR_RootConstrainSelectedInstOperands,
     /*  447222 */     // GIR_Coverage, 6147,
     /*  447222 */     GIR_EraseRootFromParent_Done,
     /*  447223 */   // Label 7716: @447223
     /*  447223 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(447309), // Rule ID 6150 //
     /*  447228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  447239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  447242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  447245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447275 */     // MIs[1] Operand 1
     /*  447275 */     // No operand predicates
     /*  447275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  447287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447307 */     GIR_RootConstrainSelectedInstOperands,
     /*  447308 */     // GIR_Coverage, 6150,
     /*  447308 */     GIR_EraseRootFromParent_Done,
     /*  447309 */   // Label 7717: @447309
     /*  447309 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(447395), // Rule ID 6151 //
     /*  447314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  447325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  447328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  447331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447361 */     // MIs[1] Operand 1
     /*  447361 */     // No operand predicates
     /*  447361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  447373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447393 */     GIR_RootConstrainSelectedInstOperands,
     /*  447394 */     // GIR_Coverage, 6151,
     /*  447394 */     GIR_EraseRootFromParent_Done,
     /*  447395 */   // Label 7718: @447395
     /*  447395 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(447481), // Rule ID 6154 //
     /*  447400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447447 */     // MIs[1] Operand 1
     /*  447447 */     // No operand predicates
     /*  447447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447479 */     GIR_RootConstrainSelectedInstOperands,
     /*  447480 */     // GIR_Coverage, 6154,
     /*  447480 */     GIR_EraseRootFromParent_Done,
     /*  447481 */   // Label 7719: @447481
     /*  447481 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(447567), // Rule ID 6155 //
     /*  447486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  447503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447533 */     // MIs[1] Operand 1
     /*  447533 */     // No operand predicates
     /*  447533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447565 */     GIR_RootConstrainSelectedInstOperands,
     /*  447566 */     // GIR_Coverage, 6155,
     /*  447566 */     GIR_EraseRootFromParent_Done,
     /*  447567 */   // Label 7720: @447567
     /*  447567 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(447653), // Rule ID 6158 //
     /*  447572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447619 */     // MIs[1] Operand 1
     /*  447619 */     // No operand predicates
     /*  447619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447651 */     GIR_RootConstrainSelectedInstOperands,
     /*  447652 */     // GIR_Coverage, 6158,
     /*  447652 */     GIR_EraseRootFromParent_Done,
     /*  447653 */   // Label 7721: @447653
     /*  447653 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(447739), // Rule ID 6159 //
     /*  447658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  447675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447705 */     // MIs[1] Operand 1
     /*  447705 */     // No operand predicates
     /*  447705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447714 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447737 */     GIR_RootConstrainSelectedInstOperands,
     /*  447738 */     // GIR_Coverage, 6159,
     /*  447738 */     GIR_EraseRootFromParent_Done,
     /*  447739 */   // Label 7722: @447739
     /*  447739 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(447825), // Rule ID 6162 //
     /*  447744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447791 */     // MIs[1] Operand 1
     /*  447791 */     // No operand predicates
     /*  447791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  447803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447823 */     GIR_RootConstrainSelectedInstOperands,
     /*  447824 */     // GIR_Coverage, 6162,
     /*  447824 */     GIR_EraseRootFromParent_Done,
     /*  447825 */   // Label 7723: @447825
     /*  447825 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(447911), // Rule ID 6163 //
     /*  447830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  447841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  447844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  447847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447877 */     // MIs[1] Operand 1
     /*  447877 */     // No operand predicates
     /*  447877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  447889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447909 */     GIR_RootConstrainSelectedInstOperands,
     /*  447910 */     // GIR_Coverage, 6163,
     /*  447910 */     GIR_EraseRootFromParent_Done,
     /*  447911 */   // Label 7724: @447911
     /*  447911 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(447997), // Rule ID 6166 //
     /*  447916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  447927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  447930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  447933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447963 */     // MIs[1] Operand 1
     /*  447963 */     // No operand predicates
     /*  447963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447995 */     GIR_RootConstrainSelectedInstOperands,
     /*  447996 */     // GIR_Coverage, 6166,
     /*  447996 */     GIR_EraseRootFromParent_Done,
     /*  447997 */   // Label 7725: @447997
     /*  447997 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(448083), // Rule ID 6167 //
     /*  448002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448049 */     // MIs[1] Operand 1
     /*  448049 */     // No operand predicates
     /*  448049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448081 */     GIR_RootConstrainSelectedInstOperands,
     /*  448082 */     // GIR_Coverage, 6167,
     /*  448082 */     GIR_EraseRootFromParent_Done,
     /*  448083 */   // Label 7726: @448083
     /*  448083 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(448169), // Rule ID 6170 //
     /*  448088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448135 */     // MIs[1] Operand 1
     /*  448135 */     // No operand predicates
     /*  448135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448167 */     GIR_RootConstrainSelectedInstOperands,
     /*  448168 */     // GIR_Coverage, 6170,
     /*  448168 */     GIR_EraseRootFromParent_Done,
     /*  448169 */   // Label 7727: @448169
     /*  448169 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(448255), // Rule ID 6171 //
     /*  448174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448221 */     // MIs[1] Operand 1
     /*  448221 */     // No operand predicates
     /*  448221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448253 */     GIR_RootConstrainSelectedInstOperands,
     /*  448254 */     // GIR_Coverage, 6171,
     /*  448254 */     GIR_EraseRootFromParent_Done,
     /*  448255 */   // Label 7728: @448255
     /*  448255 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(448341), // Rule ID 6174 //
     /*  448260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  448277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448307 */     // MIs[1] Operand 1
     /*  448307 */     // No operand predicates
     /*  448307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448339 */     GIR_RootConstrainSelectedInstOperands,
     /*  448340 */     // GIR_Coverage, 6174,
     /*  448340 */     GIR_EraseRootFromParent_Done,
     /*  448341 */   // Label 7729: @448341
     /*  448341 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(448427), // Rule ID 6175 //
     /*  448346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  448363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448393 */     // MIs[1] Operand 1
     /*  448393 */     // No operand predicates
     /*  448393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448425 */     GIR_RootConstrainSelectedInstOperands,
     /*  448426 */     // GIR_Coverage, 6175,
     /*  448426 */     GIR_EraseRootFromParent_Done,
     /*  448427 */   // Label 7730: @448427
     /*  448427 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(448513), // Rule ID 6178 //
     /*  448432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448479 */     // MIs[1] Operand 1
     /*  448479 */     // No operand predicates
     /*  448479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448511 */     GIR_RootConstrainSelectedInstOperands,
     /*  448512 */     // GIR_Coverage, 6178,
     /*  448512 */     GIR_EraseRootFromParent_Done,
     /*  448513 */   // Label 7731: @448513
     /*  448513 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(448599), // Rule ID 6179 //
     /*  448518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  448529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  448532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  448535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448565 */     // MIs[1] Operand 1
     /*  448565 */     // No operand predicates
     /*  448565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448597 */     GIR_RootConstrainSelectedInstOperands,
     /*  448598 */     // GIR_Coverage, 6179,
     /*  448598 */     GIR_EraseRootFromParent_Done,
     /*  448599 */   // Label 7732: @448599
     /*  448599 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(448685), // Rule ID 6182 //
     /*  448604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448651 */     // MIs[1] Operand 1
     /*  448651 */     // No operand predicates
     /*  448651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448683 */     GIR_RootConstrainSelectedInstOperands,
     /*  448684 */     // GIR_Coverage, 6182,
     /*  448684 */     GIR_EraseRootFromParent_Done,
     /*  448685 */   // Label 7733: @448685
     /*  448685 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(448771), // Rule ID 6183 //
     /*  448690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  448701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  448704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  448707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448737 */     // MIs[1] Operand 1
     /*  448737 */     // No operand predicates
     /*  448737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448769 */     GIR_RootConstrainSelectedInstOperands,
     /*  448770 */     // GIR_Coverage, 6183,
     /*  448770 */     GIR_EraseRootFromParent_Done,
     /*  448771 */   // Label 7734: @448771
     /*  448771 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(448857), // Rule ID 6186 //
     /*  448776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448823 */     // MIs[1] Operand 1
     /*  448823 */     // No operand predicates
     /*  448823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448855 */     GIR_RootConstrainSelectedInstOperands,
     /*  448856 */     // GIR_Coverage, 6186,
     /*  448856 */     GIR_EraseRootFromParent_Done,
     /*  448857 */   // Label 7735: @448857
     /*  448857 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(448943), // Rule ID 6187 //
     /*  448862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  448873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  448876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  448879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448909 */     // MIs[1] Operand 1
     /*  448909 */     // No operand predicates
     /*  448909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448941 */     GIR_RootConstrainSelectedInstOperands,
     /*  448942 */     // GIR_Coverage, 6187,
     /*  448942 */     GIR_EraseRootFromParent_Done,
     /*  448943 */   // Label 7736: @448943
     /*  448943 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(449029), // Rule ID 6366 //
     /*  448948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  448956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  448959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  448962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  448965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448995 */     // MIs[1] Operand 1
     /*  448995 */     // No operand predicates
     /*  448995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  449007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449027 */     GIR_RootConstrainSelectedInstOperands,
     /*  449028 */     // GIR_Coverage, 6366,
     /*  449028 */     GIR_EraseRootFromParent_Done,
     /*  449029 */   // Label 7737: @449029
     /*  449029 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(449115), // Rule ID 6367 //
     /*  449034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449081 */     // MIs[1] Operand 1
     /*  449081 */     // No operand predicates
     /*  449081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  449093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449113 */     GIR_RootConstrainSelectedInstOperands,
     /*  449114 */     // GIR_Coverage, 6367,
     /*  449114 */     GIR_EraseRootFromParent_Done,
     /*  449115 */   // Label 7738: @449115
     /*  449115 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(449201), // Rule ID 6370 //
     /*  449120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449167 */     // MIs[1] Operand 1
     /*  449167 */     // No operand predicates
     /*  449167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449199 */     GIR_RootConstrainSelectedInstOperands,
     /*  449200 */     // GIR_Coverage, 6370,
     /*  449200 */     GIR_EraseRootFromParent_Done,
     /*  449201 */   // Label 7739: @449201
     /*  449201 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(449287), // Rule ID 6371 //
     /*  449206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449253 */     // MIs[1] Operand 1
     /*  449253 */     // No operand predicates
     /*  449253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449285 */     GIR_RootConstrainSelectedInstOperands,
     /*  449286 */     // GIR_Coverage, 6371,
     /*  449286 */     GIR_EraseRootFromParent_Done,
     /*  449287 */   // Label 7740: @449287
     /*  449287 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(449373), // Rule ID 6374 //
     /*  449292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449339 */     // MIs[1] Operand 1
     /*  449339 */     // No operand predicates
     /*  449339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449371 */     GIR_RootConstrainSelectedInstOperands,
     /*  449372 */     // GIR_Coverage, 6374,
     /*  449372 */     GIR_EraseRootFromParent_Done,
     /*  449373 */   // Label 7741: @449373
     /*  449373 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(449459), // Rule ID 6375 //
     /*  449378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449425 */     // MIs[1] Operand 1
     /*  449425 */     // No operand predicates
     /*  449425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449457 */     GIR_RootConstrainSelectedInstOperands,
     /*  449458 */     // GIR_Coverage, 6375,
     /*  449458 */     GIR_EraseRootFromParent_Done,
     /*  449459 */   // Label 7742: @449459
     /*  449459 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(449545), // Rule ID 6378 //
     /*  449464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449511 */     // MIs[1] Operand 1
     /*  449511 */     // No operand predicates
     /*  449511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449543 */     GIR_RootConstrainSelectedInstOperands,
     /*  449544 */     // GIR_Coverage, 6378,
     /*  449544 */     GIR_EraseRootFromParent_Done,
     /*  449545 */   // Label 7743: @449545
     /*  449545 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(449631), // Rule ID 6379 //
     /*  449550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  449567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449597 */     // MIs[1] Operand 1
     /*  449597 */     // No operand predicates
     /*  449597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449629 */     GIR_RootConstrainSelectedInstOperands,
     /*  449630 */     // GIR_Coverage, 6379,
     /*  449630 */     GIR_EraseRootFromParent_Done,
     /*  449631 */   // Label 7744: @449631
     /*  449631 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(449717), // Rule ID 6382 //
     /*  449636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449683 */     // MIs[1] Operand 1
     /*  449683 */     // No operand predicates
     /*  449683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449715 */     GIR_RootConstrainSelectedInstOperands,
     /*  449716 */     // GIR_Coverage, 6382,
     /*  449716 */     GIR_EraseRootFromParent_Done,
     /*  449717 */   // Label 7745: @449717
     /*  449717 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(449803), // Rule ID 6383 //
     /*  449722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  449739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449769 */     // MIs[1] Operand 1
     /*  449769 */     // No operand predicates
     /*  449769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449778 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449801 */     GIR_RootConstrainSelectedInstOperands,
     /*  449802 */     // GIR_Coverage, 6383,
     /*  449802 */     GIR_EraseRootFromParent_Done,
     /*  449803 */   // Label 7746: @449803
     /*  449803 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(449889), // Rule ID 6386 //
     /*  449808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449855 */     // MIs[1] Operand 1
     /*  449855 */     // No operand predicates
     /*  449855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449887 */     GIR_RootConstrainSelectedInstOperands,
     /*  449888 */     // GIR_Coverage, 6386,
     /*  449888 */     GIR_EraseRootFromParent_Done,
     /*  449889 */   // Label 7747: @449889
     /*  449889 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(449975), // Rule ID 6387 //
     /*  449894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  449905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  449908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  449911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449941 */     // MIs[1] Operand 1
     /*  449941 */     // No operand predicates
     /*  449941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  449953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449973 */     GIR_RootConstrainSelectedInstOperands,
     /*  449974 */     // GIR_Coverage, 6387,
     /*  449974 */     GIR_EraseRootFromParent_Done,
     /*  449975 */   // Label 7748: @449975
     /*  449975 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(450061), // Rule ID 6390 //
     /*  449980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  449991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  449994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  449997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450027 */     // MIs[1] Operand 1
     /*  450027 */     // No operand predicates
     /*  450027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450059 */     GIR_RootConstrainSelectedInstOperands,
     /*  450060 */     // GIR_Coverage, 6390,
     /*  450060 */     GIR_EraseRootFromParent_Done,
     /*  450061 */   // Label 7749: @450061
     /*  450061 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(450147), // Rule ID 6391 //
     /*  450066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450113 */     // MIs[1] Operand 1
     /*  450113 */     // No operand predicates
     /*  450113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450122 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450145 */     GIR_RootConstrainSelectedInstOperands,
     /*  450146 */     // GIR_Coverage, 6391,
     /*  450146 */     GIR_EraseRootFromParent_Done,
     /*  450147 */   // Label 7750: @450147
     /*  450147 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(450233), // Rule ID 6394 //
     /*  450152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450199 */     // MIs[1] Operand 1
     /*  450199 */     // No operand predicates
     /*  450199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450231 */     GIR_RootConstrainSelectedInstOperands,
     /*  450232 */     // GIR_Coverage, 6394,
     /*  450232 */     GIR_EraseRootFromParent_Done,
     /*  450233 */   // Label 7751: @450233
     /*  450233 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(450319), // Rule ID 6395 //
     /*  450238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450285 */     // MIs[1] Operand 1
     /*  450285 */     // No operand predicates
     /*  450285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450317 */     GIR_RootConstrainSelectedInstOperands,
     /*  450318 */     // GIR_Coverage, 6395,
     /*  450318 */     GIR_EraseRootFromParent_Done,
     /*  450319 */   // Label 7752: @450319
     /*  450319 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(450405), // Rule ID 6398 //
     /*  450324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450371 */     // MIs[1] Operand 1
     /*  450371 */     // No operand predicates
     /*  450371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450403 */     GIR_RootConstrainSelectedInstOperands,
     /*  450404 */     // GIR_Coverage, 6398,
     /*  450404 */     GIR_EraseRootFromParent_Done,
     /*  450405 */   // Label 7753: @450405
     /*  450405 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(450491), // Rule ID 6399 //
     /*  450410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  450427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450457 */     // MIs[1] Operand 1
     /*  450457 */     // No operand predicates
     /*  450457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450489 */     GIR_RootConstrainSelectedInstOperands,
     /*  450490 */     // GIR_Coverage, 6399,
     /*  450490 */     GIR_EraseRootFromParent_Done,
     /*  450491 */   // Label 7754: @450491
     /*  450491 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(450577), // Rule ID 6402 //
     /*  450496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450543 */     // MIs[1] Operand 1
     /*  450543 */     // No operand predicates
     /*  450543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450575 */     GIR_RootConstrainSelectedInstOperands,
     /*  450576 */     // GIR_Coverage, 6402,
     /*  450576 */     GIR_EraseRootFromParent_Done,
     /*  450577 */   // Label 7755: @450577
     /*  450577 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(450663), // Rule ID 6403 //
     /*  450582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  450593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  450596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  450599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450629 */     // MIs[1] Operand 1
     /*  450629 */     // No operand predicates
     /*  450629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450638 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450661 */     GIR_RootConstrainSelectedInstOperands,
     /*  450662 */     // GIR_Coverage, 6403,
     /*  450662 */     GIR_EraseRootFromParent_Done,
     /*  450663 */   // Label 7756: @450663
     /*  450663 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(450749), // Rule ID 6406 //
     /*  450668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450715 */     // MIs[1] Operand 1
     /*  450715 */     // No operand predicates
     /*  450715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  450727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450747 */     GIR_RootConstrainSelectedInstOperands,
     /*  450748 */     // GIR_Coverage, 6406,
     /*  450748 */     GIR_EraseRootFromParent_Done,
     /*  450749 */   // Label 7757: @450749
     /*  450749 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(450835), // Rule ID 6407 //
     /*  450754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  450765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  450768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  450771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450801 */     // MIs[1] Operand 1
     /*  450801 */     // No operand predicates
     /*  450801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450810 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  450813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450833 */     GIR_RootConstrainSelectedInstOperands,
     /*  450834 */     // GIR_Coverage, 6407,
     /*  450834 */     GIR_EraseRootFromParent_Done,
     /*  450835 */   // Label 7758: @450835
     /*  450835 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(450921), // Rule ID 6410 //
     /*  450840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450887 */     // MIs[1] Operand 1
     /*  450887 */     // No operand predicates
     /*  450887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450896 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  450899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450919 */     GIR_RootConstrainSelectedInstOperands,
     /*  450920 */     // GIR_Coverage, 6410,
     /*  450920 */     GIR_EraseRootFromParent_Done,
     /*  450921 */   // Label 7759: @450921
     /*  450921 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(451007), // Rule ID 6411 //
     /*  450926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  450937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  450940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  450943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450973 */     // MIs[1] Operand 1
     /*  450973 */     // No operand predicates
     /*  450973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  450985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451005 */     GIR_RootConstrainSelectedInstOperands,
     /*  451006 */     // GIR_Coverage, 6411,
     /*  451006 */     GIR_EraseRootFromParent_Done,
     /*  451007 */   // Label 7760: @451007
     /*  451007 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(451093), // Rule ID 6414 //
     /*  451012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451059 */     // MIs[1] Operand 1
     /*  451059 */     // No operand predicates
     /*  451059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451091 */     GIR_RootConstrainSelectedInstOperands,
     /*  451092 */     // GIR_Coverage, 6414,
     /*  451092 */     GIR_EraseRootFromParent_Done,
     /*  451093 */   // Label 7761: @451093
     /*  451093 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(451179), // Rule ID 6415 //
     /*  451098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451145 */     // MIs[1] Operand 1
     /*  451145 */     // No operand predicates
     /*  451145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451154 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451177 */     GIR_RootConstrainSelectedInstOperands,
     /*  451178 */     // GIR_Coverage, 6415,
     /*  451178 */     GIR_EraseRootFromParent_Done,
     /*  451179 */   // Label 7762: @451179
     /*  451179 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(451265), // Rule ID 6418 //
     /*  451184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451231 */     // MIs[1] Operand 1
     /*  451231 */     // No operand predicates
     /*  451231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451240 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451263 */     GIR_RootConstrainSelectedInstOperands,
     /*  451264 */     // GIR_Coverage, 6418,
     /*  451264 */     GIR_EraseRootFromParent_Done,
     /*  451265 */   // Label 7763: @451265
     /*  451265 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(451351), // Rule ID 6419 //
     /*  451270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451317 */     // MIs[1] Operand 1
     /*  451317 */     // No operand predicates
     /*  451317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451349 */     GIR_RootConstrainSelectedInstOperands,
     /*  451350 */     // GIR_Coverage, 6419,
     /*  451350 */     GIR_EraseRootFromParent_Done,
     /*  451351 */   // Label 7764: @451351
     /*  451351 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(451437), // Rule ID 6422 //
     /*  451356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451403 */     // MIs[1] Operand 1
     /*  451403 */     // No operand predicates
     /*  451403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451435 */     GIR_RootConstrainSelectedInstOperands,
     /*  451436 */     // GIR_Coverage, 6422,
     /*  451436 */     GIR_EraseRootFromParent_Done,
     /*  451437 */   // Label 7765: @451437
     /*  451437 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(451523), // Rule ID 6423 //
     /*  451442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  451453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  451456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  451459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451489 */     // MIs[1] Operand 1
     /*  451489 */     // No operand predicates
     /*  451489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451521 */     GIR_RootConstrainSelectedInstOperands,
     /*  451522 */     // GIR_Coverage, 6423,
     /*  451522 */     GIR_EraseRootFromParent_Done,
     /*  451523 */   // Label 7766: @451523
     /*  451523 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(451609), // Rule ID 6426 //
     /*  451528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451575 */     // MIs[1] Operand 1
     /*  451575 */     // No operand predicates
     /*  451575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451607 */     GIR_RootConstrainSelectedInstOperands,
     /*  451608 */     // GIR_Coverage, 6426,
     /*  451608 */     GIR_EraseRootFromParent_Done,
     /*  451609 */   // Label 7767: @451609
     /*  451609 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(451695), // Rule ID 6427 //
     /*  451614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  451625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  451628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  451631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451661 */     // MIs[1] Operand 1
     /*  451661 */     // No operand predicates
     /*  451661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451670 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451693 */     GIR_RootConstrainSelectedInstOperands,
     /*  451694 */     // GIR_Coverage, 6427,
     /*  451694 */     GIR_EraseRootFromParent_Done,
     /*  451695 */   // Label 7768: @451695
     /*  451695 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(451781), // Rule ID 6430 //
     /*  451700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451747 */     // MIs[1] Operand 1
     /*  451747 */     // No operand predicates
     /*  451747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451779 */     GIR_RootConstrainSelectedInstOperands,
     /*  451780 */     // GIR_Coverage, 6430,
     /*  451780 */     GIR_EraseRootFromParent_Done,
     /*  451781 */   // Label 7769: @451781
     /*  451781 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(451867), // Rule ID 6431 //
     /*  451786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  451797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  451800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  451803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451833 */     // MIs[1] Operand 1
     /*  451833 */     // No operand predicates
     /*  451833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451865 */     GIR_RootConstrainSelectedInstOperands,
     /*  451866 */     // GIR_Coverage, 6431,
     /*  451866 */     GIR_EraseRootFromParent_Done,
     /*  451867 */   // Label 7770: @451867
     /*  451867 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(451953), // Rule ID 6434 //
     /*  451872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451919 */     // MIs[1] Operand 1
     /*  451919 */     // No operand predicates
     /*  451919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451951 */     GIR_RootConstrainSelectedInstOperands,
     /*  451952 */     // GIR_Coverage, 6434,
     /*  451952 */     GIR_EraseRootFromParent_Done,
     /*  451953 */   // Label 7771: @451953
     /*  451953 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(452039), // Rule ID 6435 //
     /*  451958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  451969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  451972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  451975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452005 */     // MIs[1] Operand 1
     /*  452005 */     // No operand predicates
     /*  452005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452037 */     GIR_RootConstrainSelectedInstOperands,
     /*  452038 */     // GIR_Coverage, 6435,
     /*  452038 */     GIR_EraseRootFromParent_Done,
     /*  452039 */   // Label 7772: @452039
     /*  452039 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(452125), // Rule ID 6438 //
     /*  452044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452091 */     // MIs[1] Operand 1
     /*  452091 */     // No operand predicates
     /*  452091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452123 */     GIR_RootConstrainSelectedInstOperands,
     /*  452124 */     // GIR_Coverage, 6438,
     /*  452124 */     GIR_EraseRootFromParent_Done,
     /*  452125 */   // Label 7773: @452125
     /*  452125 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(452211), // Rule ID 6439 //
     /*  452130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452177 */     // MIs[1] Operand 1
     /*  452177 */     // No operand predicates
     /*  452177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452209 */     GIR_RootConstrainSelectedInstOperands,
     /*  452210 */     // GIR_Coverage, 6439,
     /*  452210 */     GIR_EraseRootFromParent_Done,
     /*  452211 */   // Label 7774: @452211
     /*  452211 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(452297), // Rule ID 6442 //
     /*  452216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452263 */     // MIs[1] Operand 1
     /*  452263 */     // No operand predicates
     /*  452263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452295 */     GIR_RootConstrainSelectedInstOperands,
     /*  452296 */     // GIR_Coverage, 6442,
     /*  452296 */     GIR_EraseRootFromParent_Done,
     /*  452297 */   // Label 7775: @452297
     /*  452297 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(452383), // Rule ID 6443 //
     /*  452302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452349 */     // MIs[1] Operand 1
     /*  452349 */     // No operand predicates
     /*  452349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452381 */     GIR_RootConstrainSelectedInstOperands,
     /*  452382 */     // GIR_Coverage, 6443,
     /*  452382 */     GIR_EraseRootFromParent_Done,
     /*  452383 */   // Label 7776: @452383
     /*  452383 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(452469), // Rule ID 6446 //
     /*  452388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452435 */     // MIs[1] Operand 1
     /*  452435 */     // No operand predicates
     /*  452435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452467 */     GIR_RootConstrainSelectedInstOperands,
     /*  452468 */     // GIR_Coverage, 6446,
     /*  452468 */     GIR_EraseRootFromParent_Done,
     /*  452469 */   // Label 7777: @452469
     /*  452469 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(452555), // Rule ID 6447 //
     /*  452474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  452485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  452488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  452491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452521 */     // MIs[1] Operand 1
     /*  452521 */     // No operand predicates
     /*  452521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452553 */     GIR_RootConstrainSelectedInstOperands,
     /*  452554 */     // GIR_Coverage, 6447,
     /*  452554 */     GIR_EraseRootFromParent_Done,
     /*  452555 */   // Label 7778: @452555
     /*  452555 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(452641), // Rule ID 6450 //
     /*  452560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452607 */     // MIs[1] Operand 1
     /*  452607 */     // No operand predicates
     /*  452607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452639 */     GIR_RootConstrainSelectedInstOperands,
     /*  452640 */     // GIR_Coverage, 6450,
     /*  452640 */     GIR_EraseRootFromParent_Done,
     /*  452641 */   // Label 7779: @452641
     /*  452641 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(452727), // Rule ID 6451 //
     /*  452646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  452657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  452660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  452663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452693 */     // MIs[1] Operand 1
     /*  452693 */     // No operand predicates
     /*  452693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452725 */     GIR_RootConstrainSelectedInstOperands,
     /*  452726 */     // GIR_Coverage, 6451,
     /*  452726 */     GIR_EraseRootFromParent_Done,
     /*  452727 */   // Label 7780: @452727
     /*  452727 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(452813), // Rule ID 6630 //
     /*  452732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452779 */     // MIs[1] Operand 1
     /*  452779 */     // No operand predicates
     /*  452779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  452791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452811 */     GIR_RootConstrainSelectedInstOperands,
     /*  452812 */     // GIR_Coverage, 6630,
     /*  452812 */     GIR_EraseRootFromParent_Done,
     /*  452813 */   // Label 7781: @452813
     /*  452813 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(452899), // Rule ID 6631 //
     /*  452818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452865 */     // MIs[1] Operand 1
     /*  452865 */     // No operand predicates
     /*  452865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  452877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452897 */     GIR_RootConstrainSelectedInstOperands,
     /*  452898 */     // GIR_Coverage, 6631,
     /*  452898 */     GIR_EraseRootFromParent_Done,
     /*  452899 */   // Label 7782: @452899
     /*  452899 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(452985), // Rule ID 6634 //
     /*  452904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452951 */     // MIs[1] Operand 1
     /*  452951 */     // No operand predicates
     /*  452951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  452963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452983 */     GIR_RootConstrainSelectedInstOperands,
     /*  452984 */     // GIR_Coverage, 6634,
     /*  452984 */     GIR_EraseRootFromParent_Done,
     /*  452985 */   // Label 7783: @452985
     /*  452985 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(453071), // Rule ID 6635 //
     /*  452990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  452998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  453007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453037 */     // MIs[1] Operand 1
     /*  453037 */     // No operand predicates
     /*  453037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453069 */     GIR_RootConstrainSelectedInstOperands,
     /*  453070 */     // GIR_Coverage, 6635,
     /*  453070 */     GIR_EraseRootFromParent_Done,
     /*  453071 */   // Label 7784: @453071
     /*  453071 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(453157), // Rule ID 6638 //
     /*  453076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453123 */     // MIs[1] Operand 1
     /*  453123 */     // No operand predicates
     /*  453123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453155 */     GIR_RootConstrainSelectedInstOperands,
     /*  453156 */     // GIR_Coverage, 6638,
     /*  453156 */     GIR_EraseRootFromParent_Done,
     /*  453157 */   // Label 7785: @453157
     /*  453157 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(453243), // Rule ID 6639 //
     /*  453162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453209 */     // MIs[1] Operand 1
     /*  453209 */     // No operand predicates
     /*  453209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453241 */     GIR_RootConstrainSelectedInstOperands,
     /*  453242 */     // GIR_Coverage, 6639,
     /*  453242 */     GIR_EraseRootFromParent_Done,
     /*  453243 */   // Label 7786: @453243
     /*  453243 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(453329), // Rule ID 6642 //
     /*  453248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453295 */     // MIs[1] Operand 1
     /*  453295 */     // No operand predicates
     /*  453295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453327 */     GIR_RootConstrainSelectedInstOperands,
     /*  453328 */     // GIR_Coverage, 6642,
     /*  453328 */     GIR_EraseRootFromParent_Done,
     /*  453329 */   // Label 7787: @453329
     /*  453329 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(453415), // Rule ID 6643 //
     /*  453334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453381 */     // MIs[1] Operand 1
     /*  453381 */     // No operand predicates
     /*  453381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453413 */     GIR_RootConstrainSelectedInstOperands,
     /*  453414 */     // GIR_Coverage, 6643,
     /*  453414 */     GIR_EraseRootFromParent_Done,
     /*  453415 */   // Label 7788: @453415
     /*  453415 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(453501), // Rule ID 6646 //
     /*  453420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453467 */     // MIs[1] Operand 1
     /*  453467 */     // No operand predicates
     /*  453467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453499 */     GIR_RootConstrainSelectedInstOperands,
     /*  453500 */     // GIR_Coverage, 6646,
     /*  453500 */     GIR_EraseRootFromParent_Done,
     /*  453501 */   // Label 7789: @453501
     /*  453501 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(453587), // Rule ID 6647 //
     /*  453506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453553 */     // MIs[1] Operand 1
     /*  453553 */     // No operand predicates
     /*  453553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453585 */     GIR_RootConstrainSelectedInstOperands,
     /*  453586 */     // GIR_Coverage, 6647,
     /*  453586 */     GIR_EraseRootFromParent_Done,
     /*  453587 */   // Label 7790: @453587
     /*  453587 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(453673), // Rule ID 6650 //
     /*  453592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453639 */     // MIs[1] Operand 1
     /*  453639 */     // No operand predicates
     /*  453639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453671 */     GIR_RootConstrainSelectedInstOperands,
     /*  453672 */     // GIR_Coverage, 6650,
     /*  453672 */     GIR_EraseRootFromParent_Done,
     /*  453673 */   // Label 7791: @453673
     /*  453673 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(453759), // Rule ID 6651 //
     /*  453678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453725 */     // MIs[1] Operand 1
     /*  453725 */     // No operand predicates
     /*  453725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453757 */     GIR_RootConstrainSelectedInstOperands,
     /*  453758 */     // GIR_Coverage, 6651,
     /*  453758 */     GIR_EraseRootFromParent_Done,
     /*  453759 */   // Label 7792: @453759
     /*  453759 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(453845), // Rule ID 6654 //
     /*  453764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453811 */     // MIs[1] Operand 1
     /*  453811 */     // No operand predicates
     /*  453811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  453823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453843 */     GIR_RootConstrainSelectedInstOperands,
     /*  453844 */     // GIR_Coverage, 6654,
     /*  453844 */     GIR_EraseRootFromParent_Done,
     /*  453845 */   // Label 7793: @453845
     /*  453845 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(453931), // Rule ID 6655 //
     /*  453850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453897 */     // MIs[1] Operand 1
     /*  453897 */     // No operand predicates
     /*  453897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  453909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453929 */     GIR_RootConstrainSelectedInstOperands,
     /*  453930 */     // GIR_Coverage, 6655,
     /*  453930 */     GIR_EraseRootFromParent_Done,
     /*  453931 */   // Label 7794: @453931
     /*  453931 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(454017), // Rule ID 6658 //
     /*  453936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453983 */     // MIs[1] Operand 1
     /*  453983 */     // No operand predicates
     /*  453983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  453995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454015 */     GIR_RootConstrainSelectedInstOperands,
     /*  454016 */     // GIR_Coverage, 6658,
     /*  454016 */     GIR_EraseRootFromParent_Done,
     /*  454017 */   // Label 7795: @454017
     /*  454017 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(454103), // Rule ID 6659 //
     /*  454022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454069 */     // MIs[1] Operand 1
     /*  454069 */     // No operand predicates
     /*  454069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454101 */     GIR_RootConstrainSelectedInstOperands,
     /*  454102 */     // GIR_Coverage, 6659,
     /*  454102 */     GIR_EraseRootFromParent_Done,
     /*  454103 */   // Label 7796: @454103
     /*  454103 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(454189), // Rule ID 6662 //
     /*  454108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454155 */     // MIs[1] Operand 1
     /*  454155 */     // No operand predicates
     /*  454155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454187 */     GIR_RootConstrainSelectedInstOperands,
     /*  454188 */     // GIR_Coverage, 6662,
     /*  454188 */     GIR_EraseRootFromParent_Done,
     /*  454189 */   // Label 7797: @454189
     /*  454189 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(454275), // Rule ID 6663 //
     /*  454194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454241 */     // MIs[1] Operand 1
     /*  454241 */     // No operand predicates
     /*  454241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454273 */     GIR_RootConstrainSelectedInstOperands,
     /*  454274 */     // GIR_Coverage, 6663,
     /*  454274 */     GIR_EraseRootFromParent_Done,
     /*  454275 */   // Label 7798: @454275
     /*  454275 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(454361), // Rule ID 6666 //
     /*  454280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  454283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454327 */     // MIs[1] Operand 1
     /*  454327 */     // No operand predicates
     /*  454327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  454336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454359 */     GIR_RootConstrainSelectedInstOperands,
     /*  454360 */     // GIR_Coverage, 6666,
     /*  454360 */     GIR_EraseRootFromParent_Done,
     /*  454361 */   // Label 7799: @454361
     /*  454361 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(454447), // Rule ID 6667 //
     /*  454366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  454369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454413 */     // MIs[1] Operand 1
     /*  454413 */     // No operand predicates
     /*  454413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454445 */     GIR_RootConstrainSelectedInstOperands,
     /*  454446 */     // GIR_Coverage, 6667,
     /*  454446 */     GIR_EraseRootFromParent_Done,
     /*  454447 */   // Label 7800: @454447
     /*  454447 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(454533), // Rule ID 6670 //
     /*  454452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454499 */     // MIs[1] Operand 1
     /*  454499 */     // No operand predicates
     /*  454499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  454511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454531 */     GIR_RootConstrainSelectedInstOperands,
     /*  454532 */     // GIR_Coverage, 6670,
     /*  454532 */     GIR_EraseRootFromParent_Done,
     /*  454533 */   // Label 7801: @454533
     /*  454533 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(454619), // Rule ID 6671 //
     /*  454538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454585 */     // MIs[1] Operand 1
     /*  454585 */     // No operand predicates
     /*  454585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  454597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454617 */     GIR_RootConstrainSelectedInstOperands,
     /*  454618 */     // GIR_Coverage, 6671,
     /*  454618 */     GIR_EraseRootFromParent_Done,
     /*  454619 */   // Label 7802: @454619
     /*  454619 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(454705), // Rule ID 6674 //
     /*  454624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454671 */     // MIs[1] Operand 1
     /*  454671 */     // No operand predicates
     /*  454671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  454683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454703 */     GIR_RootConstrainSelectedInstOperands,
     /*  454704 */     // GIR_Coverage, 6674,
     /*  454704 */     GIR_EraseRootFromParent_Done,
     /*  454705 */   // Label 7803: @454705
     /*  454705 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(454791), // Rule ID 6675 //
     /*  454710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454757 */     // MIs[1] Operand 1
     /*  454757 */     // No operand predicates
     /*  454757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  454769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454789 */     GIR_RootConstrainSelectedInstOperands,
     /*  454790 */     // GIR_Coverage, 6675,
     /*  454790 */     GIR_EraseRootFromParent_Done,
     /*  454791 */   // Label 7804: @454791
     /*  454791 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(454877), // Rule ID 6678 //
     /*  454796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454843 */     // MIs[1] Operand 1
     /*  454843 */     // No operand predicates
     /*  454843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  454855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454875 */     GIR_RootConstrainSelectedInstOperands,
     /*  454876 */     // GIR_Coverage, 6678,
     /*  454876 */     GIR_EraseRootFromParent_Done,
     /*  454877 */   // Label 7805: @454877
     /*  454877 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(454963), // Rule ID 6679 //
     /*  454882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454929 */     // MIs[1] Operand 1
     /*  454929 */     // No operand predicates
     /*  454929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454938 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  454941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454961 */     GIR_RootConstrainSelectedInstOperands,
     /*  454962 */     // GIR_Coverage, 6679,
     /*  454962 */     GIR_EraseRootFromParent_Done,
     /*  454963 */   // Label 7806: @454963
     /*  454963 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(455049), // Rule ID 6682 //
     /*  454968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455015 */     // MIs[1] Operand 1
     /*  455015 */     // No operand predicates
     /*  455015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455047 */     GIR_RootConstrainSelectedInstOperands,
     /*  455048 */     // GIR_Coverage, 6682,
     /*  455048 */     GIR_EraseRootFromParent_Done,
     /*  455049 */   // Label 7807: @455049
     /*  455049 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(455135), // Rule ID 6683 //
     /*  455054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  455071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455101 */     // MIs[1] Operand 1
     /*  455101 */     // No operand predicates
     /*  455101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455133 */     GIR_RootConstrainSelectedInstOperands,
     /*  455134 */     // GIR_Coverage, 6683,
     /*  455134 */     GIR_EraseRootFromParent_Done,
     /*  455135 */   // Label 7808: @455135
     /*  455135 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(455221), // Rule ID 6686 //
     /*  455140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455187 */     // MIs[1] Operand 1
     /*  455187 */     // No operand predicates
     /*  455187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455219 */     GIR_RootConstrainSelectedInstOperands,
     /*  455220 */     // GIR_Coverage, 6686,
     /*  455220 */     GIR_EraseRootFromParent_Done,
     /*  455221 */   // Label 7809: @455221
     /*  455221 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(455307), // Rule ID 6687 //
     /*  455226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455273 */     // MIs[1] Operand 1
     /*  455273 */     // No operand predicates
     /*  455273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455305 */     GIR_RootConstrainSelectedInstOperands,
     /*  455306 */     // GIR_Coverage, 6687,
     /*  455306 */     GIR_EraseRootFromParent_Done,
     /*  455307 */   // Label 7810: @455307
     /*  455307 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(455393), // Rule ID 6690 //
     /*  455312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455359 */     // MIs[1] Operand 1
     /*  455359 */     // No operand predicates
     /*  455359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455391 */     GIR_RootConstrainSelectedInstOperands,
     /*  455392 */     // GIR_Coverage, 6690,
     /*  455392 */     GIR_EraseRootFromParent_Done,
     /*  455393 */   // Label 7811: @455393
     /*  455393 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(455479), // Rule ID 6691 //
     /*  455398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  455409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  455412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  455415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455445 */     // MIs[1] Operand 1
     /*  455445 */     // No operand predicates
     /*  455445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455454 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455477 */     GIR_RootConstrainSelectedInstOperands,
     /*  455478 */     // GIR_Coverage, 6691,
     /*  455478 */     GIR_EraseRootFromParent_Done,
     /*  455479 */   // Label 7812: @455479
     /*  455479 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(455565), // Rule ID 6694 //
     /*  455484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455531 */     // MIs[1] Operand 1
     /*  455531 */     // No operand predicates
     /*  455531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455563 */     GIR_RootConstrainSelectedInstOperands,
     /*  455564 */     // GIR_Coverage, 6694,
     /*  455564 */     GIR_EraseRootFromParent_Done,
     /*  455565 */   // Label 7813: @455565
     /*  455565 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(455651), // Rule ID 6695 //
     /*  455570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455617 */     // MIs[1] Operand 1
     /*  455617 */     // No operand predicates
     /*  455617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455649 */     GIR_RootConstrainSelectedInstOperands,
     /*  455650 */     // GIR_Coverage, 6695,
     /*  455650 */     GIR_EraseRootFromParent_Done,
     /*  455651 */   // Label 7814: @455651
     /*  455651 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(455737), // Rule ID 6698 //
     /*  455656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455703 */     // MIs[1] Operand 1
     /*  455703 */     // No operand predicates
     /*  455703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455735 */     GIR_RootConstrainSelectedInstOperands,
     /*  455736 */     // GIR_Coverage, 6698,
     /*  455736 */     GIR_EraseRootFromParent_Done,
     /*  455737 */   // Label 7815: @455737
     /*  455737 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(455823), // Rule ID 6699 //
     /*  455742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455789 */     // MIs[1] Operand 1
     /*  455789 */     // No operand predicates
     /*  455789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455821 */     GIR_RootConstrainSelectedInstOperands,
     /*  455822 */     // GIR_Coverage, 6699,
     /*  455822 */     GIR_EraseRootFromParent_Done,
     /*  455823 */   // Label 7816: @455823
     /*  455823 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(455909), // Rule ID 6702 //
     /*  455828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455875 */     // MIs[1] Operand 1
     /*  455875 */     // No operand predicates
     /*  455875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455907 */     GIR_RootConstrainSelectedInstOperands,
     /*  455908 */     // GIR_Coverage, 6702,
     /*  455908 */     GIR_EraseRootFromParent_Done,
     /*  455909 */   // Label 7817: @455909
     /*  455909 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(455995), // Rule ID 6703 //
     /*  455914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455961 */     // MIs[1] Operand 1
     /*  455961 */     // No operand predicates
     /*  455961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455993 */     GIR_RootConstrainSelectedInstOperands,
     /*  455994 */     // GIR_Coverage, 6703,
     /*  455994 */     GIR_EraseRootFromParent_Done,
     /*  455995 */   // Label 7818: @455995
     /*  455995 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(456081), // Rule ID 6706 //
     /*  456000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456047 */     // MIs[1] Operand 1
     /*  456047 */     // No operand predicates
     /*  456047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456079 */     GIR_RootConstrainSelectedInstOperands,
     /*  456080 */     // GIR_Coverage, 6706,
     /*  456080 */     GIR_EraseRootFromParent_Done,
     /*  456081 */   // Label 7819: @456081
     /*  456081 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(456167), // Rule ID 6707 //
     /*  456086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456133 */     // MIs[1] Operand 1
     /*  456133 */     // No operand predicates
     /*  456133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456165 */     GIR_RootConstrainSelectedInstOperands,
     /*  456166 */     // GIR_Coverage, 6707,
     /*  456166 */     GIR_EraseRootFromParent_Done,
     /*  456167 */   // Label 7820: @456167
     /*  456167 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(456253), // Rule ID 6710 //
     /*  456172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456219 */     // MIs[1] Operand 1
     /*  456219 */     // No operand predicates
     /*  456219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456251 */     GIR_RootConstrainSelectedInstOperands,
     /*  456252 */     // GIR_Coverage, 6710,
     /*  456252 */     GIR_EraseRootFromParent_Done,
     /*  456253 */   // Label 7821: @456253
     /*  456253 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(456339), // Rule ID 6711 //
     /*  456258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456305 */     // MIs[1] Operand 1
     /*  456305 */     // No operand predicates
     /*  456305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456337 */     GIR_RootConstrainSelectedInstOperands,
     /*  456338 */     // GIR_Coverage, 6711,
     /*  456338 */     GIR_EraseRootFromParent_Done,
     /*  456339 */   // Label 7822: @456339
     /*  456339 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(456425), // Rule ID 6714 //
     /*  456344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456391 */     // MIs[1] Operand 1
     /*  456391 */     // No operand predicates
     /*  456391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456423 */     GIR_RootConstrainSelectedInstOperands,
     /*  456424 */     // GIR_Coverage, 6714,
     /*  456424 */     GIR_EraseRootFromParent_Done,
     /*  456425 */   // Label 7823: @456425
     /*  456425 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(456511), // Rule ID 6715 //
     /*  456430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  456441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  456444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456477 */     // MIs[1] Operand 1
     /*  456477 */     // No operand predicates
     /*  456477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456509 */     GIR_RootConstrainSelectedInstOperands,
     /*  456510 */     // GIR_Coverage, 6715,
     /*  456510 */     GIR_EraseRootFromParent_Done,
     /*  456511 */   // Label 7824: @456511
     /*  456511 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(456597), // Rule ID 6894 //
     /*  456516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456563 */     // MIs[1] Operand 1
     /*  456563 */     // No operand predicates
     /*  456563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  456575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456595 */     GIR_RootConstrainSelectedInstOperands,
     /*  456596 */     // GIR_Coverage, 6894,
     /*  456596 */     GIR_EraseRootFromParent_Done,
     /*  456597 */   // Label 7825: @456597
     /*  456597 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(456683), // Rule ID 6895 //
     /*  456602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  456619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456649 */     // MIs[1] Operand 1
     /*  456649 */     // No operand predicates
     /*  456649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456658 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  456661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456681 */     GIR_RootConstrainSelectedInstOperands,
     /*  456682 */     // GIR_Coverage, 6895,
     /*  456682 */     GIR_EraseRootFromParent_Done,
     /*  456683 */   // Label 7826: @456683
     /*  456683 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(456769), // Rule ID 6898 //
     /*  456688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456735 */     // MIs[1] Operand 1
     /*  456735 */     // No operand predicates
     /*  456735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  456747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456767 */     GIR_RootConstrainSelectedInstOperands,
     /*  456768 */     // GIR_Coverage, 6898,
     /*  456768 */     GIR_EraseRootFromParent_Done,
     /*  456769 */   // Label 7827: @456769
     /*  456769 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(456855), // Rule ID 6899 //
     /*  456774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  456791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456821 */     // MIs[1] Operand 1
     /*  456821 */     // No operand predicates
     /*  456821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456830 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  456833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456853 */     GIR_RootConstrainSelectedInstOperands,
     /*  456854 */     // GIR_Coverage, 6899,
     /*  456854 */     GIR_EraseRootFromParent_Done,
     /*  456855 */   // Label 7828: @456855
     /*  456855 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(456941), // Rule ID 6902 //
     /*  456860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456907 */     // MIs[1] Operand 1
     /*  456907 */     // No operand predicates
     /*  456907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  456919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456939 */     GIR_RootConstrainSelectedInstOperands,
     /*  456940 */     // GIR_Coverage, 6902,
     /*  456940 */     GIR_EraseRootFromParent_Done,
     /*  456941 */   // Label 7829: @456941
     /*  456941 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(457027), // Rule ID 6903 //
     /*  456946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  456954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456993 */     // MIs[1] Operand 1
     /*  456993 */     // No operand predicates
     /*  456993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457025 */     GIR_RootConstrainSelectedInstOperands,
     /*  457026 */     // GIR_Coverage, 6903,
     /*  457026 */     GIR_EraseRootFromParent_Done,
     /*  457027 */   // Label 7830: @457027
     /*  457027 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(457113), // Rule ID 6906 //
     /*  457032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457079 */     // MIs[1] Operand 1
     /*  457079 */     // No operand predicates
     /*  457079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457088 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457111 */     GIR_RootConstrainSelectedInstOperands,
     /*  457112 */     // GIR_Coverage, 6906,
     /*  457112 */     GIR_EraseRootFromParent_Done,
     /*  457113 */   // Label 7831: @457113
     /*  457113 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(457199), // Rule ID 6907 //
     /*  457118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457165 */     // MIs[1] Operand 1
     /*  457165 */     // No operand predicates
     /*  457165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457197 */     GIR_RootConstrainSelectedInstOperands,
     /*  457198 */     // GIR_Coverage, 6907,
     /*  457198 */     GIR_EraseRootFromParent_Done,
     /*  457199 */   // Label 7832: @457199
     /*  457199 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(457285), // Rule ID 6910 //
     /*  457204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457251 */     // MIs[1] Operand 1
     /*  457251 */     // No operand predicates
     /*  457251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457283 */     GIR_RootConstrainSelectedInstOperands,
     /*  457284 */     // GIR_Coverage, 6910,
     /*  457284 */     GIR_EraseRootFromParent_Done,
     /*  457285 */   // Label 7833: @457285
     /*  457285 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(457371), // Rule ID 6911 //
     /*  457290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457337 */     // MIs[1] Operand 1
     /*  457337 */     // No operand predicates
     /*  457337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457369 */     GIR_RootConstrainSelectedInstOperands,
     /*  457370 */     // GIR_Coverage, 6911,
     /*  457370 */     GIR_EraseRootFromParent_Done,
     /*  457371 */   // Label 7834: @457371
     /*  457371 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(457457), // Rule ID 6914 //
     /*  457376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457423 */     // MIs[1] Operand 1
     /*  457423 */     // No operand predicates
     /*  457423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457455 */     GIR_RootConstrainSelectedInstOperands,
     /*  457456 */     // GIR_Coverage, 6914,
     /*  457456 */     GIR_EraseRootFromParent_Done,
     /*  457457 */   // Label 7835: @457457
     /*  457457 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(457543), // Rule ID 6915 //
     /*  457462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  457473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  457476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457509 */     // MIs[1] Operand 1
     /*  457509 */     // No operand predicates
     /*  457509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457541 */     GIR_RootConstrainSelectedInstOperands,
     /*  457542 */     // GIR_Coverage, 6915,
     /*  457542 */     GIR_EraseRootFromParent_Done,
     /*  457543 */   // Label 7836: @457543
     /*  457543 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(457629), // Rule ID 6918 //
     /*  457548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457595 */     // MIs[1] Operand 1
     /*  457595 */     // No operand predicates
     /*  457595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457627 */     GIR_RootConstrainSelectedInstOperands,
     /*  457628 */     // GIR_Coverage, 6918,
     /*  457628 */     GIR_EraseRootFromParent_Done,
     /*  457629 */   // Label 7837: @457629
     /*  457629 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(457715), // Rule ID 6919 //
     /*  457634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  457645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  457648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  457651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457681 */     // MIs[1] Operand 1
     /*  457681 */     // No operand predicates
     /*  457681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457690 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457713 */     GIR_RootConstrainSelectedInstOperands,
     /*  457714 */     // GIR_Coverage, 6919,
     /*  457714 */     GIR_EraseRootFromParent_Done,
     /*  457715 */   // Label 7838: @457715
     /*  457715 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(457801), // Rule ID 6922 //
     /*  457720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457767 */     // MIs[1] Operand 1
     /*  457767 */     // No operand predicates
     /*  457767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457799 */     GIR_RootConstrainSelectedInstOperands,
     /*  457800 */     // GIR_Coverage, 6922,
     /*  457800 */     GIR_EraseRootFromParent_Done,
     /*  457801 */   // Label 7839: @457801
     /*  457801 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(457887), // Rule ID 6923 //
     /*  457806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  457823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457853 */     // MIs[1] Operand 1
     /*  457853 */     // No operand predicates
     /*  457853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457885 */     GIR_RootConstrainSelectedInstOperands,
     /*  457886 */     // GIR_Coverage, 6923,
     /*  457886 */     GIR_EraseRootFromParent_Done,
     /*  457887 */   // Label 7840: @457887
     /*  457887 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(457973), // Rule ID 6926 //
     /*  457892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457939 */     // MIs[1] Operand 1
     /*  457939 */     // No operand predicates
     /*  457939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  457951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457971 */     GIR_RootConstrainSelectedInstOperands,
     /*  457972 */     // GIR_Coverage, 6926,
     /*  457972 */     GIR_EraseRootFromParent_Done,
     /*  457973 */   // Label 7841: @457973
     /*  457973 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(458059), // Rule ID 6927 //
     /*  457978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458025 */     // MIs[1] Operand 1
     /*  458025 */     // No operand predicates
     /*  458025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458057 */     GIR_RootConstrainSelectedInstOperands,
     /*  458058 */     // GIR_Coverage, 6927,
     /*  458058 */     GIR_EraseRootFromParent_Done,
     /*  458059 */   // Label 7842: @458059
     /*  458059 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(458145), // Rule ID 6930 //
     /*  458064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458111 */     // MIs[1] Operand 1
     /*  458111 */     // No operand predicates
     /*  458111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458143 */     GIR_RootConstrainSelectedInstOperands,
     /*  458144 */     // GIR_Coverage, 6930,
     /*  458144 */     GIR_EraseRootFromParent_Done,
     /*  458145 */   // Label 7843: @458145
     /*  458145 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(458231), // Rule ID 6931 //
     /*  458150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458197 */     // MIs[1] Operand 1
     /*  458197 */     // No operand predicates
     /*  458197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458229 */     GIR_RootConstrainSelectedInstOperands,
     /*  458230 */     // GIR_Coverage, 6931,
     /*  458230 */     GIR_EraseRootFromParent_Done,
     /*  458231 */   // Label 7844: @458231
     /*  458231 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(458317), // Rule ID 6934 //
     /*  458236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  458250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  458253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458283 */     // MIs[1] Operand 1
     /*  458283 */     // No operand predicates
     /*  458283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  458295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458315 */     GIR_RootConstrainSelectedInstOperands,
     /*  458316 */     // GIR_Coverage, 6934,
     /*  458316 */     GIR_EraseRootFromParent_Done,
     /*  458317 */   // Label 7845: @458317
     /*  458317 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(458403), // Rule ID 6935 //
     /*  458322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  458336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  458339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458369 */     // MIs[1] Operand 1
     /*  458369 */     // No operand predicates
     /*  458369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458378 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  458381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458401 */     GIR_RootConstrainSelectedInstOperands,
     /*  458402 */     // GIR_Coverage, 6935,
     /*  458402 */     GIR_EraseRootFromParent_Done,
     /*  458403 */   // Label 7846: @458403
     /*  458403 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(458489), // Rule ID 6938 //
     /*  458408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458455 */     // MIs[1] Operand 1
     /*  458455 */     // No operand predicates
     /*  458455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  458467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458487 */     GIR_RootConstrainSelectedInstOperands,
     /*  458488 */     // GIR_Coverage, 6938,
     /*  458488 */     GIR_EraseRootFromParent_Done,
     /*  458489 */   // Label 7847: @458489
     /*  458489 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(458575), // Rule ID 6939 //
     /*  458494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  458505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  458508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  458511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458541 */     // MIs[1] Operand 1
     /*  458541 */     // No operand predicates
     /*  458541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458550 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  458553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458573 */     GIR_RootConstrainSelectedInstOperands,
     /*  458574 */     // GIR_Coverage, 6939,
     /*  458574 */     GIR_EraseRootFromParent_Done,
     /*  458575 */   // Label 7848: @458575
     /*  458575 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(458661), // Rule ID 6942 //
     /*  458580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458627 */     // MIs[1] Operand 1
     /*  458627 */     // No operand predicates
     /*  458627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  458639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458659 */     GIR_RootConstrainSelectedInstOperands,
     /*  458660 */     // GIR_Coverage, 6942,
     /*  458660 */     GIR_EraseRootFromParent_Done,
     /*  458661 */   // Label 7849: @458661
     /*  458661 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(458747), // Rule ID 6943 //
     /*  458666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  458677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  458680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  458683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458713 */     // MIs[1] Operand 1
     /*  458713 */     // No operand predicates
     /*  458713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458722 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  458725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458745 */     GIR_RootConstrainSelectedInstOperands,
     /*  458746 */     // GIR_Coverage, 6943,
     /*  458746 */     GIR_EraseRootFromParent_Done,
     /*  458747 */   // Label 7850: @458747
     /*  458747 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(458833), // Rule ID 6946 //
     /*  458752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458799 */     // MIs[1] Operand 1
     /*  458799 */     // No operand predicates
     /*  458799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  458811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458831 */     GIR_RootConstrainSelectedInstOperands,
     /*  458832 */     // GIR_Coverage, 6946,
     /*  458832 */     GIR_EraseRootFromParent_Done,
     /*  458833 */   // Label 7851: @458833
     /*  458833 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(458919), // Rule ID 6947 //
     /*  458838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  458849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  458852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458885 */     // MIs[1] Operand 1
     /*  458885 */     // No operand predicates
     /*  458885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  458897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458917 */     GIR_RootConstrainSelectedInstOperands,
     /*  458918 */     // GIR_Coverage, 6947,
     /*  458918 */     GIR_EraseRootFromParent_Done,
     /*  458919 */   // Label 7852: @458919
     /*  458919 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(459005), // Rule ID 6950 //
     /*  458924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  458935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  458938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  458941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458971 */     // MIs[1] Operand 1
     /*  458971 */     // No operand predicates
     /*  458971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  458983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459003 */     GIR_RootConstrainSelectedInstOperands,
     /*  459004 */     // GIR_Coverage, 6950,
     /*  459004 */     GIR_EraseRootFromParent_Done,
     /*  459005 */   // Label 7853: @459005
     /*  459005 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(459091), // Rule ID 6951 //
     /*  459010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  459021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  459024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459057 */     // MIs[1] Operand 1
     /*  459057 */     // No operand predicates
     /*  459057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459089 */     GIR_RootConstrainSelectedInstOperands,
     /*  459090 */     // GIR_Coverage, 6951,
     /*  459090 */     GIR_EraseRootFromParent_Done,
     /*  459091 */   // Label 7854: @459091
     /*  459091 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(459177), // Rule ID 6954 //
     /*  459096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459143 */     // MIs[1] Operand 1
     /*  459143 */     // No operand predicates
     /*  459143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459175 */     GIR_RootConstrainSelectedInstOperands,
     /*  459176 */     // GIR_Coverage, 6954,
     /*  459176 */     GIR_EraseRootFromParent_Done,
     /*  459177 */   // Label 7855: @459177
     /*  459177 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(459263), // Rule ID 6955 //
     /*  459182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459229 */     // MIs[1] Operand 1
     /*  459229 */     // No operand predicates
     /*  459229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459261 */     GIR_RootConstrainSelectedInstOperands,
     /*  459262 */     // GIR_Coverage, 6955,
     /*  459262 */     GIR_EraseRootFromParent_Done,
     /*  459263 */   // Label 7856: @459263
     /*  459263 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(459349), // Rule ID 6958 //
     /*  459268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  459279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  459282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459315 */     // MIs[1] Operand 1
     /*  459315 */     // No operand predicates
     /*  459315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459347 */     GIR_RootConstrainSelectedInstOperands,
     /*  459348 */     // GIR_Coverage, 6958,
     /*  459348 */     GIR_EraseRootFromParent_Done,
     /*  459349 */   // Label 7857: @459349
     /*  459349 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(459435), // Rule ID 6959 //
     /*  459354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  459365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  459368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459401 */     // MIs[1] Operand 1
     /*  459401 */     // No operand predicates
     /*  459401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459433 */     GIR_RootConstrainSelectedInstOperands,
     /*  459434 */     // GIR_Coverage, 6959,
     /*  459434 */     GIR_EraseRootFromParent_Done,
     /*  459435 */   // Label 7858: @459435
     /*  459435 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(459521), // Rule ID 6962 //
     /*  459440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459487 */     // MIs[1] Operand 1
     /*  459487 */     // No operand predicates
     /*  459487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459519 */     GIR_RootConstrainSelectedInstOperands,
     /*  459520 */     // GIR_Coverage, 6962,
     /*  459520 */     GIR_EraseRootFromParent_Done,
     /*  459521 */   // Label 7859: @459521
     /*  459521 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(459607), // Rule ID 6963 //
     /*  459526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  459537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  459540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459573 */     // MIs[1] Operand 1
     /*  459573 */     // No operand predicates
     /*  459573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459605 */     GIR_RootConstrainSelectedInstOperands,
     /*  459606 */     // GIR_Coverage, 6963,
     /*  459606 */     GIR_EraseRootFromParent_Done,
     /*  459607 */   // Label 7860: @459607
     /*  459607 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(459693), // Rule ID 6966 //
     /*  459612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459659 */     // MIs[1] Operand 1
     /*  459659 */     // No operand predicates
     /*  459659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459691 */     GIR_RootConstrainSelectedInstOperands,
     /*  459692 */     // GIR_Coverage, 6966,
     /*  459692 */     GIR_EraseRootFromParent_Done,
     /*  459693 */   // Label 7861: @459693
     /*  459693 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(459779), // Rule ID 6967 //
     /*  459698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  459709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  459712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  459715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459745 */     // MIs[1] Operand 1
     /*  459745 */     // No operand predicates
     /*  459745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459777 */     GIR_RootConstrainSelectedInstOperands,
     /*  459778 */     // GIR_Coverage, 6967,
     /*  459778 */     GIR_EraseRootFromParent_Done,
     /*  459779 */   // Label 7862: @459779
     /*  459779 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(459865), // Rule ID 6970 //
     /*  459784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459831 */     // MIs[1] Operand 1
     /*  459831 */     // No operand predicates
     /*  459831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459863 */     GIR_RootConstrainSelectedInstOperands,
     /*  459864 */     // GIR_Coverage, 6970,
     /*  459864 */     GIR_EraseRootFromParent_Done,
     /*  459865 */   // Label 7863: @459865
     /*  459865 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(459951), // Rule ID 6971 //
     /*  459870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  459881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  459884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  459887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459917 */     // MIs[1] Operand 1
     /*  459917 */     // No operand predicates
     /*  459917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459949 */     GIR_RootConstrainSelectedInstOperands,
     /*  459950 */     // GIR_Coverage, 6971,
     /*  459950 */     GIR_EraseRootFromParent_Done,
     /*  459951 */   // Label 7864: @459951
     /*  459951 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(460037), // Rule ID 6974 //
     /*  459956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  459967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  459970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  459973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460003 */     // MIs[1] Operand 1
     /*  460003 */     // No operand predicates
     /*  460003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460035 */     GIR_RootConstrainSelectedInstOperands,
     /*  460036 */     // GIR_Coverage, 6974,
     /*  460036 */     GIR_EraseRootFromParent_Done,
     /*  460037 */   // Label 7865: @460037
     /*  460037 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(460123), // Rule ID 6975 //
     /*  460042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460089 */     // MIs[1] Operand 1
     /*  460089 */     // No operand predicates
     /*  460089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460121 */     GIR_RootConstrainSelectedInstOperands,
     /*  460122 */     // GIR_Coverage, 6975,
     /*  460122 */     GIR_EraseRootFromParent_Done,
     /*  460123 */   // Label 7866: @460123
     /*  460123 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(460209), // Rule ID 6978 //
     /*  460128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460175 */     // MIs[1] Operand 1
     /*  460175 */     // No operand predicates
     /*  460175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460207 */     GIR_RootConstrainSelectedInstOperands,
     /*  460208 */     // GIR_Coverage, 6978,
     /*  460208 */     GIR_EraseRootFromParent_Done,
     /*  460209 */   // Label 7867: @460209
     /*  460209 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(460295), // Rule ID 6979 //
     /*  460214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460261 */     // MIs[1] Operand 1
     /*  460261 */     // No operand predicates
     /*  460261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460293 */     GIR_RootConstrainSelectedInstOperands,
     /*  460294 */     // GIR_Coverage, 6979,
     /*  460294 */     GIR_EraseRootFromParent_Done,
     /*  460295 */   // Label 7868: @460295
     /*  460295 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(460381), // Rule ID 7158 //
     /*  460300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  460317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460347 */     // MIs[1] Operand 1
     /*  460347 */     // No operand predicates
     /*  460347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  460359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460379 */     GIR_RootConstrainSelectedInstOperands,
     /*  460380 */     // GIR_Coverage, 7158,
     /*  460380 */     GIR_EraseRootFromParent_Done,
     /*  460381 */   // Label 7869: @460381
     /*  460381 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(460467), // Rule ID 7159 //
     /*  460386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  460403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460433 */     // MIs[1] Operand 1
     /*  460433 */     // No operand predicates
     /*  460433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460442 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  460445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460465 */     GIR_RootConstrainSelectedInstOperands,
     /*  460466 */     // GIR_Coverage, 7159,
     /*  460466 */     GIR_EraseRootFromParent_Done,
     /*  460467 */   // Label 7870: @460467
     /*  460467 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(460553), // Rule ID 7162 //
     /*  460472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  460489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460519 */     // MIs[1] Operand 1
     /*  460519 */     // No operand predicates
     /*  460519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460528 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  460531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460551 */     GIR_RootConstrainSelectedInstOperands,
     /*  460552 */     // GIR_Coverage, 7162,
     /*  460552 */     GIR_EraseRootFromParent_Done,
     /*  460553 */   // Label 7871: @460553
     /*  460553 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(460639), // Rule ID 7163 //
     /*  460558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  460569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  460572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  460575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460605 */     // MIs[1] Operand 1
     /*  460605 */     // No operand predicates
     /*  460605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  460617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460637 */     GIR_RootConstrainSelectedInstOperands,
     /*  460638 */     // GIR_Coverage, 7163,
     /*  460638 */     GIR_EraseRootFromParent_Done,
     /*  460639 */   // Label 7872: @460639
     /*  460639 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(460725), // Rule ID 7166 //
     /*  460644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  460661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460691 */     // MIs[1] Operand 1
     /*  460691 */     // No operand predicates
     /*  460691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  460703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460723 */     GIR_RootConstrainSelectedInstOperands,
     /*  460724 */     // GIR_Coverage, 7166,
     /*  460724 */     GIR_EraseRootFromParent_Done,
     /*  460725 */   // Label 7873: @460725
     /*  460725 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(460811), // Rule ID 7167 //
     /*  460730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  460741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  460744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  460747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460777 */     // MIs[1] Operand 1
     /*  460777 */     // No operand predicates
     /*  460777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460786 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  460789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460809 */     GIR_RootConstrainSelectedInstOperands,
     /*  460810 */     // GIR_Coverage, 7167,
     /*  460810 */     GIR_EraseRootFromParent_Done,
     /*  460811 */   // Label 7874: @460811
     /*  460811 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(460897), // Rule ID 7170 //
     /*  460816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460863 */     // MIs[1] Operand 1
     /*  460863 */     // No operand predicates
     /*  460863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  460875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460895 */     GIR_RootConstrainSelectedInstOperands,
     /*  460896 */     // GIR_Coverage, 7170,
     /*  460896 */     GIR_EraseRootFromParent_Done,
     /*  460897 */   // Label 7875: @460897
     /*  460897 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(460983), // Rule ID 7171 //
     /*  460902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  460913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  460916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460949 */     // MIs[1] Operand 1
     /*  460949 */     // No operand predicates
     /*  460949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  460961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460981 */     GIR_RootConstrainSelectedInstOperands,
     /*  460982 */     // GIR_Coverage, 7171,
     /*  460982 */     GIR_EraseRootFromParent_Done,
     /*  460983 */   // Label 7876: @460983
     /*  460983 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(461069), // Rule ID 7174 //
     /*  460988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  460999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461035 */     // MIs[1] Operand 1
     /*  461035 */     // No operand predicates
     /*  461035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461067 */     GIR_RootConstrainSelectedInstOperands,
     /*  461068 */     // GIR_Coverage, 7174,
     /*  461068 */     GIR_EraseRootFromParent_Done,
     /*  461069 */   // Label 7877: @461069
     /*  461069 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(461155), // Rule ID 7175 //
     /*  461074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461121 */     // MIs[1] Operand 1
     /*  461121 */     // No operand predicates
     /*  461121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461153 */     GIR_RootConstrainSelectedInstOperands,
     /*  461154 */     // GIR_Coverage, 7175,
     /*  461154 */     GIR_EraseRootFromParent_Done,
     /*  461155 */   // Label 7878: @461155
     /*  461155 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(461241), // Rule ID 7178 //
     /*  461160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461207 */     // MIs[1] Operand 1
     /*  461207 */     // No operand predicates
     /*  461207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461239 */     GIR_RootConstrainSelectedInstOperands,
     /*  461240 */     // GIR_Coverage, 7178,
     /*  461240 */     GIR_EraseRootFromParent_Done,
     /*  461241 */   // Label 7879: @461241
     /*  461241 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(461327), // Rule ID 7179 //
     /*  461246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461293 */     // MIs[1] Operand 1
     /*  461293 */     // No operand predicates
     /*  461293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461325 */     GIR_RootConstrainSelectedInstOperands,
     /*  461326 */     // GIR_Coverage, 7179,
     /*  461326 */     GIR_EraseRootFromParent_Done,
     /*  461327 */   // Label 7880: @461327
     /*  461327 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(461413), // Rule ID 7182 //
     /*  461332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  461349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461379 */     // MIs[1] Operand 1
     /*  461379 */     // No operand predicates
     /*  461379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461411 */     GIR_RootConstrainSelectedInstOperands,
     /*  461412 */     // GIR_Coverage, 7182,
     /*  461412 */     GIR_EraseRootFromParent_Done,
     /*  461413 */   // Label 7881: @461413
     /*  461413 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(461499), // Rule ID 7183 //
     /*  461418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  461435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461465 */     // MIs[1] Operand 1
     /*  461465 */     // No operand predicates
     /*  461465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461474 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461497 */     GIR_RootConstrainSelectedInstOperands,
     /*  461498 */     // GIR_Coverage, 7183,
     /*  461498 */     GIR_EraseRootFromParent_Done,
     /*  461499 */   // Label 7882: @461499
     /*  461499 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(461585), // Rule ID 7186 //
     /*  461504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  461521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461551 */     // MIs[1] Operand 1
     /*  461551 */     // No operand predicates
     /*  461551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461583 */     GIR_RootConstrainSelectedInstOperands,
     /*  461584 */     // GIR_Coverage, 7186,
     /*  461584 */     GIR_EraseRootFromParent_Done,
     /*  461585 */   // Label 7883: @461585
     /*  461585 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(461671), // Rule ID 7187 //
     /*  461590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  461601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  461604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  461607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461637 */     // MIs[1] Operand 1
     /*  461637 */     // No operand predicates
     /*  461637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461669 */     GIR_RootConstrainSelectedInstOperands,
     /*  461670 */     // GIR_Coverage, 7187,
     /*  461670 */     GIR_EraseRootFromParent_Done,
     /*  461671 */   // Label 7884: @461671
     /*  461671 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(461757), // Rule ID 7190 //
     /*  461676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461723 */     // MIs[1] Operand 1
     /*  461723 */     // No operand predicates
     /*  461723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461755 */     GIR_RootConstrainSelectedInstOperands,
     /*  461756 */     // GIR_Coverage, 7190,
     /*  461756 */     GIR_EraseRootFromParent_Done,
     /*  461757 */   // Label 7885: @461757
     /*  461757 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(461843), // Rule ID 7191 //
     /*  461762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  461773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  461776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  461779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461809 */     // MIs[1] Operand 1
     /*  461809 */     // No operand predicates
     /*  461809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461841 */     GIR_RootConstrainSelectedInstOperands,
     /*  461842 */     // GIR_Coverage, 7191,
     /*  461842 */     GIR_EraseRootFromParent_Done,
     /*  461843 */   // Label 7886: @461843
     /*  461843 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(461929), // Rule ID 7194 //
     /*  461848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  461851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  461859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  461862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461895 */     // MIs[1] Operand 1
     /*  461895 */     // No operand predicates
     /*  461895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  461904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  461924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461927 */     GIR_RootConstrainSelectedInstOperands,
     /*  461928 */     // GIR_Coverage, 7194,
     /*  461928 */     GIR_EraseRootFromParent_Done,
     /*  461929 */   // Label 7887: @461929
     /*  461929 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(462015), // Rule ID 7195 //
     /*  461934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  461937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  461945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  461948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  461951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461981 */     // MIs[1] Operand 1
     /*  461981 */     // No operand predicates
     /*  461981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  461990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  461993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462013 */     GIR_RootConstrainSelectedInstOperands,
     /*  462014 */     // GIR_Coverage, 7195,
     /*  462014 */     GIR_EraseRootFromParent_Done,
     /*  462015 */   // Label 7888: @462015
     /*  462015 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(462101), // Rule ID 7198 //
     /*  462020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462067 */     // MIs[1] Operand 1
     /*  462067 */     // No operand predicates
     /*  462067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462076 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462099 */     GIR_RootConstrainSelectedInstOperands,
     /*  462100 */     // GIR_Coverage, 7198,
     /*  462100 */     GIR_EraseRootFromParent_Done,
     /*  462101 */   // Label 7889: @462101
     /*  462101 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(462187), // Rule ID 7199 //
     /*  462106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462153 */     // MIs[1] Operand 1
     /*  462153 */     // No operand predicates
     /*  462153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462162 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462185 */     GIR_RootConstrainSelectedInstOperands,
     /*  462186 */     // GIR_Coverage, 7199,
     /*  462186 */     GIR_EraseRootFromParent_Done,
     /*  462187 */   // Label 7890: @462187
     /*  462187 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(462273), // Rule ID 7202 //
     /*  462192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462239 */     // MIs[1] Operand 1
     /*  462239 */     // No operand predicates
     /*  462239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462248 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462271 */     GIR_RootConstrainSelectedInstOperands,
     /*  462272 */     // GIR_Coverage, 7202,
     /*  462272 */     GIR_EraseRootFromParent_Done,
     /*  462273 */   // Label 7891: @462273
     /*  462273 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(462359), // Rule ID 7203 //
     /*  462278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462325 */     // MIs[1] Operand 1
     /*  462325 */     // No operand predicates
     /*  462325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462334 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462357 */     GIR_RootConstrainSelectedInstOperands,
     /*  462358 */     // GIR_Coverage, 7203,
     /*  462358 */     GIR_EraseRootFromParent_Done,
     /*  462359 */   // Label 7892: @462359
     /*  462359 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(462445), // Rule ID 7206 //
     /*  462364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  462375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  462378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  462381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462411 */     // MIs[1] Operand 1
     /*  462411 */     // No operand predicates
     /*  462411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462420 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  462423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462443 */     GIR_RootConstrainSelectedInstOperands,
     /*  462444 */     // GIR_Coverage, 7206,
     /*  462444 */     GIR_EraseRootFromParent_Done,
     /*  462445 */   // Label 7893: @462445
     /*  462445 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(462531), // Rule ID 7207 //
     /*  462450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  462461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  462464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  462467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462497 */     // MIs[1] Operand 1
     /*  462497 */     // No operand predicates
     /*  462497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  462509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462529 */     GIR_RootConstrainSelectedInstOperands,
     /*  462530 */     // GIR_Coverage, 7207,
     /*  462530 */     GIR_EraseRootFromParent_Done,
     /*  462531 */   // Label 7894: @462531
     /*  462531 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(462617), // Rule ID 7210 //
     /*  462536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462583 */     // MIs[1] Operand 1
     /*  462583 */     // No operand predicates
     /*  462583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462615 */     GIR_RootConstrainSelectedInstOperands,
     /*  462616 */     // GIR_Coverage, 7210,
     /*  462616 */     GIR_EraseRootFromParent_Done,
     /*  462617 */   // Label 7895: @462617
     /*  462617 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(462703), // Rule ID 7211 //
     /*  462622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  462639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462669 */     // MIs[1] Operand 1
     /*  462669 */     // No operand predicates
     /*  462669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462701 */     GIR_RootConstrainSelectedInstOperands,
     /*  462702 */     // GIR_Coverage, 7211,
     /*  462702 */     GIR_EraseRootFromParent_Done,
     /*  462703 */   // Label 7896: @462703
     /*  462703 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(462789), // Rule ID 7214 //
     /*  462708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  462719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  462722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  462725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462755 */     // MIs[1] Operand 1
     /*  462755 */     // No operand predicates
     /*  462755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462787 */     GIR_RootConstrainSelectedInstOperands,
     /*  462788 */     // GIR_Coverage, 7214,
     /*  462788 */     GIR_EraseRootFromParent_Done,
     /*  462789 */   // Label 7897: @462789
     /*  462789 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(462875), // Rule ID 7215 //
     /*  462794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  462805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  462808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  462811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462841 */     // MIs[1] Operand 1
     /*  462841 */     // No operand predicates
     /*  462841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462850 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462873 */     GIR_RootConstrainSelectedInstOperands,
     /*  462874 */     // GIR_Coverage, 7215,
     /*  462874 */     GIR_EraseRootFromParent_Done,
     /*  462875 */   // Label 7898: @462875
     /*  462875 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(462961), // Rule ID 7218 //
     /*  462880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  462891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  462894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  462897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462927 */     // MIs[1] Operand 1
     /*  462927 */     // No operand predicates
     /*  462927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  462939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462959 */     GIR_RootConstrainSelectedInstOperands,
     /*  462960 */     // GIR_Coverage, 7218,
     /*  462960 */     GIR_EraseRootFromParent_Done,
     /*  462961 */   // Label 7899: @462961
     /*  462961 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(463047), // Rule ID 7219 //
     /*  462966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  462977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  462980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  462983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463013 */     // MIs[1] Operand 1
     /*  463013 */     // No operand predicates
     /*  463013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463045 */     GIR_RootConstrainSelectedInstOperands,
     /*  463046 */     // GIR_Coverage, 7219,
     /*  463046 */     GIR_EraseRootFromParent_Done,
     /*  463047 */   // Label 7900: @463047
     /*  463047 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(463133), // Rule ID 7222 //
     /*  463052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463099 */     // MIs[1] Operand 1
     /*  463099 */     // No operand predicates
     /*  463099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463131 */     GIR_RootConstrainSelectedInstOperands,
     /*  463132 */     // GIR_Coverage, 7222,
     /*  463132 */     GIR_EraseRootFromParent_Done,
     /*  463133 */   // Label 7901: @463133
     /*  463133 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(463219), // Rule ID 7223 //
     /*  463138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463185 */     // MIs[1] Operand 1
     /*  463185 */     // No operand predicates
     /*  463185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463217 */     GIR_RootConstrainSelectedInstOperands,
     /*  463218 */     // GIR_Coverage, 7223,
     /*  463218 */     GIR_EraseRootFromParent_Done,
     /*  463219 */   // Label 7902: @463219
     /*  463219 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(463305), // Rule ID 7226 //
     /*  463224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463271 */     // MIs[1] Operand 1
     /*  463271 */     // No operand predicates
     /*  463271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463303 */     GIR_RootConstrainSelectedInstOperands,
     /*  463304 */     // GIR_Coverage, 7226,
     /*  463304 */     GIR_EraseRootFromParent_Done,
     /*  463305 */   // Label 7903: @463305
     /*  463305 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(463391), // Rule ID 7227 //
     /*  463310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463357 */     // MIs[1] Operand 1
     /*  463357 */     // No operand predicates
     /*  463357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463389 */     GIR_RootConstrainSelectedInstOperands,
     /*  463390 */     // GIR_Coverage, 7227,
     /*  463390 */     GIR_EraseRootFromParent_Done,
     /*  463391 */   // Label 7904: @463391
     /*  463391 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(463477), // Rule ID 7230 //
     /*  463396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  463407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  463410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463443 */     // MIs[1] Operand 1
     /*  463443 */     // No operand predicates
     /*  463443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463475 */     GIR_RootConstrainSelectedInstOperands,
     /*  463476 */     // GIR_Coverage, 7230,
     /*  463476 */     GIR_EraseRootFromParent_Done,
     /*  463477 */   // Label 7905: @463477
     /*  463477 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(463563), // Rule ID 7231 //
     /*  463482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  463493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  463496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463529 */     // MIs[1] Operand 1
     /*  463529 */     // No operand predicates
     /*  463529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463561 */     GIR_RootConstrainSelectedInstOperands,
     /*  463562 */     // GIR_Coverage, 7231,
     /*  463562 */     GIR_EraseRootFromParent_Done,
     /*  463563 */   // Label 7906: @463563
     /*  463563 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(463649), // Rule ID 7234 //
     /*  463568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  463571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  463579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  463582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  463585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463615 */     // MIs[1] Operand 1
     /*  463615 */     // No operand predicates
     /*  463615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463624 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  463624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463647 */     GIR_RootConstrainSelectedInstOperands,
     /*  463648 */     // GIR_Coverage, 7234,
     /*  463648 */     GIR_EraseRootFromParent_Done,
     /*  463649 */   // Label 7907: @463649
     /*  463649 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(463735), // Rule ID 7235 //
     /*  463654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  463657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  463665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  463668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  463671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463701 */     // MIs[1] Operand 1
     /*  463701 */     // No operand predicates
     /*  463701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463710 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  463710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463733 */     GIR_RootConstrainSelectedInstOperands,
     /*  463734 */     // GIR_Coverage, 7235,
     /*  463734 */     GIR_EraseRootFromParent_Done,
     /*  463735 */   // Label 7908: @463735
     /*  463735 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(463821), // Rule ID 7238 //
     /*  463740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  463743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  463751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  463754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  463757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463787 */     // MIs[1] Operand 1
     /*  463787 */     // No operand predicates
     /*  463787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  463796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463819 */     GIR_RootConstrainSelectedInstOperands,
     /*  463820 */     // GIR_Coverage, 7238,
     /*  463820 */     GIR_EraseRootFromParent_Done,
     /*  463821 */   // Label 7909: @463821
     /*  463821 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(463907), // Rule ID 7239 //
     /*  463826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  463829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  463837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  463840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  463843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463873 */     // MIs[1] Operand 1
     /*  463873 */     // No operand predicates
     /*  463873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463882 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  463882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463905 */     GIR_RootConstrainSelectedInstOperands,
     /*  463906 */     // GIR_Coverage, 7239,
     /*  463906 */     GIR_EraseRootFromParent_Done,
     /*  463907 */   // Label 7910: @463907
     /*  463907 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(463993), // Rule ID 7242 //
     /*  463912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  463915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  463923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  463926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  463929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463959 */     // MIs[1] Operand 1
     /*  463959 */     // No operand predicates
     /*  463959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  463968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463991 */     GIR_RootConstrainSelectedInstOperands,
     /*  463992 */     // GIR_Coverage, 7242,
     /*  463992 */     GIR_EraseRootFromParent_Done,
     /*  463993 */   // Label 7911: @463993
     /*  463993 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(464079), // Rule ID 7243 //
     /*  463998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  464009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  464012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464045 */     // MIs[1] Operand 1
     /*  464045 */     // No operand predicates
     /*  464045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464054 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  464057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464077 */     GIR_RootConstrainSelectedInstOperands,
     /*  464078 */     // GIR_Coverage, 7243,
     /*  464078 */     GIR_EraseRootFromParent_Done,
     /*  464079 */   // Label 7912: @464079
     /*  464079 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(464165), // Rule ID 7454 //
     /*  464084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464131 */     // MIs[1] Operand 1
     /*  464131 */     // No operand predicates
     /*  464131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  464143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464163 */     GIR_RootConstrainSelectedInstOperands,
     /*  464164 */     // GIR_Coverage, 7454,
     /*  464164 */     GIR_EraseRootFromParent_Done,
     /*  464165 */   // Label 7913: @464165
     /*  464165 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(464251), // Rule ID 7455 //
     /*  464170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464217 */     // MIs[1] Operand 1
     /*  464217 */     // No operand predicates
     /*  464217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  464229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464249 */     GIR_RootConstrainSelectedInstOperands,
     /*  464250 */     // GIR_Coverage, 7455,
     /*  464250 */     GIR_EraseRootFromParent_Done,
     /*  464251 */   // Label 7914: @464251
     /*  464251 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(464337), // Rule ID 7458 //
     /*  464256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  464273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464303 */     // MIs[1] Operand 1
     /*  464303 */     // No operand predicates
     /*  464303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464312 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  464315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464335 */     GIR_RootConstrainSelectedInstOperands,
     /*  464336 */     // GIR_Coverage, 7458,
     /*  464336 */     GIR_EraseRootFromParent_Done,
     /*  464337 */   // Label 7915: @464337
     /*  464337 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(464423), // Rule ID 7459 //
     /*  464342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  464359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464389 */     // MIs[1] Operand 1
     /*  464389 */     // No operand predicates
     /*  464389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464398 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  464401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464421 */     GIR_RootConstrainSelectedInstOperands,
     /*  464422 */     // GIR_Coverage, 7459,
     /*  464422 */     GIR_EraseRootFromParent_Done,
     /*  464423 */   // Label 7916: @464423
     /*  464423 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(464509), // Rule ID 7462 //
     /*  464428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  464439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  464442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  464445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464475 */     // MIs[1] Operand 1
     /*  464475 */     // No operand predicates
     /*  464475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  464487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464507 */     GIR_RootConstrainSelectedInstOperands,
     /*  464508 */     // GIR_Coverage, 7462,
     /*  464508 */     GIR_EraseRootFromParent_Done,
     /*  464509 */   // Label 7917: @464509
     /*  464509 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(464595), // Rule ID 7463 //
     /*  464514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  464525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  464528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  464531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464561 */     // MIs[1] Operand 1
     /*  464561 */     // No operand predicates
     /*  464561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464570 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  464573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464593 */     GIR_RootConstrainSelectedInstOperands,
     /*  464594 */     // GIR_Coverage, 7463,
     /*  464594 */     GIR_EraseRootFromParent_Done,
     /*  464595 */   // Label 7918: @464595
     /*  464595 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(464681), // Rule ID 7466 //
     /*  464600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  464611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  464614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  464617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464647 */     // MIs[1] Operand 1
     /*  464647 */     // No operand predicates
     /*  464647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  464659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464679 */     GIR_RootConstrainSelectedInstOperands,
     /*  464680 */     // GIR_Coverage, 7466,
     /*  464680 */     GIR_EraseRootFromParent_Done,
     /*  464681 */   // Label 7919: @464681
     /*  464681 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(464767), // Rule ID 7467 //
     /*  464686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  464697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  464700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  464703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464733 */     // MIs[1] Operand 1
     /*  464733 */     // No operand predicates
     /*  464733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  464745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464765 */     GIR_RootConstrainSelectedInstOperands,
     /*  464766 */     // GIR_Coverage, 7467,
     /*  464766 */     GIR_EraseRootFromParent_Done,
     /*  464767 */   // Label 7920: @464767
     /*  464767 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(464853), // Rule ID 7470 //
     /*  464772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  464783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  464786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  464789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464819 */     // MIs[1] Operand 1
     /*  464819 */     // No operand predicates
     /*  464819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  464831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464851 */     GIR_RootConstrainSelectedInstOperands,
     /*  464852 */     // GIR_Coverage, 7470,
     /*  464852 */     GIR_EraseRootFromParent_Done,
     /*  464853 */   // Label 7921: @464853
     /*  464853 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(464939), // Rule ID 7471 //
     /*  464858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  464869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  464872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  464875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464905 */     // MIs[1] Operand 1
     /*  464905 */     // No operand predicates
     /*  464905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  464917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464937 */     GIR_RootConstrainSelectedInstOperands,
     /*  464938 */     // GIR_Coverage, 7471,
     /*  464938 */     GIR_EraseRootFromParent_Done,
     /*  464939 */   // Label 7922: @464939
     /*  464939 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(465025), // Rule ID 7474 //
     /*  464944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  464955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  464958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  464961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464991 */     // MIs[1] Operand 1
     /*  464991 */     // No operand predicates
     /*  464991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465000 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465023 */     GIR_RootConstrainSelectedInstOperands,
     /*  465024 */     // GIR_Coverage, 7474,
     /*  465024 */     GIR_EraseRootFromParent_Done,
     /*  465025 */   // Label 7923: @465025
     /*  465025 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(465111), // Rule ID 7475 //
     /*  465030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  465041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  465044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  465047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465077 */     // MIs[1] Operand 1
     /*  465077 */     // No operand predicates
     /*  465077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465109 */     GIR_RootConstrainSelectedInstOperands,
     /*  465110 */     // GIR_Coverage, 7475,
     /*  465110 */     GIR_EraseRootFromParent_Done,
     /*  465111 */   // Label 7924: @465111
     /*  465111 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(465197), // Rule ID 7478 //
     /*  465116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465163 */     // MIs[1] Operand 1
     /*  465163 */     // No operand predicates
     /*  465163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  465175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465195 */     GIR_RootConstrainSelectedInstOperands,
     /*  465196 */     // GIR_Coverage, 7478,
     /*  465196 */     GIR_EraseRootFromParent_Done,
     /*  465197 */   // Label 7925: @465197
     /*  465197 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(465283), // Rule ID 7479 //
     /*  465202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465249 */     // MIs[1] Operand 1
     /*  465249 */     // No operand predicates
     /*  465249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  465261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465281 */     GIR_RootConstrainSelectedInstOperands,
     /*  465282 */     // GIR_Coverage, 7479,
     /*  465282 */     GIR_EraseRootFromParent_Done,
     /*  465283 */   // Label 7926: @465283
     /*  465283 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(465369), // Rule ID 7482 //
     /*  465288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  465305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465335 */     // MIs[1] Operand 1
     /*  465335 */     // No operand predicates
     /*  465335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  465347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465367 */     GIR_RootConstrainSelectedInstOperands,
     /*  465368 */     // GIR_Coverage, 7482,
     /*  465368 */     GIR_EraseRootFromParent_Done,
     /*  465369 */   // Label 7927: @465369
     /*  465369 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(465455), // Rule ID 7483 //
     /*  465374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  465391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465421 */     // MIs[1] Operand 1
     /*  465421 */     // No operand predicates
     /*  465421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  465433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465453 */     GIR_RootConstrainSelectedInstOperands,
     /*  465454 */     // GIR_Coverage, 7483,
     /*  465454 */     GIR_EraseRootFromParent_Done,
     /*  465455 */   // Label 7928: @465455
     /*  465455 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(465541), // Rule ID 7486 //
     /*  465460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  465477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465507 */     // MIs[1] Operand 1
     /*  465507 */     // No operand predicates
     /*  465507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  465519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465539 */     GIR_RootConstrainSelectedInstOperands,
     /*  465540 */     // GIR_Coverage, 7486,
     /*  465540 */     GIR_EraseRootFromParent_Done,
     /*  465541 */   // Label 7929: @465541
     /*  465541 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(465627), // Rule ID 7487 //
     /*  465546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  465563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465593 */     // MIs[1] Operand 1
     /*  465593 */     // No operand predicates
     /*  465593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  465605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465625 */     GIR_RootConstrainSelectedInstOperands,
     /*  465626 */     // GIR_Coverage, 7487,
     /*  465626 */     GIR_EraseRootFromParent_Done,
     /*  465627 */   // Label 7930: @465627
     /*  465627 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(465713), // Rule ID 7490 //
     /*  465632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  465643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  465646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  465649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465679 */     // MIs[1] Operand 1
     /*  465679 */     // No operand predicates
     /*  465679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465688 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465711 */     GIR_RootConstrainSelectedInstOperands,
     /*  465712 */     // GIR_Coverage, 7490,
     /*  465712 */     GIR_EraseRootFromParent_Done,
     /*  465713 */   // Label 7931: @465713
     /*  465713 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(465799), // Rule ID 7491 //
     /*  465718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  465729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  465732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  465735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465765 */     // MIs[1] Operand 1
     /*  465765 */     // No operand predicates
     /*  465765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465797 */     GIR_RootConstrainSelectedInstOperands,
     /*  465798 */     // GIR_Coverage, 7491,
     /*  465798 */     GIR_EraseRootFromParent_Done,
     /*  465799 */   // Label 7932: @465799
     /*  465799 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(465885), // Rule ID 7494 //
     /*  465804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  465815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  465818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  465821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465851 */     // MIs[1] Operand 1
     /*  465851 */     // No operand predicates
     /*  465851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465883 */     GIR_RootConstrainSelectedInstOperands,
     /*  465884 */     // GIR_Coverage, 7494,
     /*  465884 */     GIR_EraseRootFromParent_Done,
     /*  465885 */   // Label 7933: @465885
     /*  465885 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(465971), // Rule ID 7495 //
     /*  465890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  465901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  465904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  465907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465937 */     // MIs[1] Operand 1
     /*  465937 */     // No operand predicates
     /*  465937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465969 */     GIR_RootConstrainSelectedInstOperands,
     /*  465970 */     // GIR_Coverage, 7495,
     /*  465970 */     GIR_EraseRootFromParent_Done,
     /*  465971 */   // Label 7934: @465971
     /*  465971 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(466057), // Rule ID 7498 //
     /*  465976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  465979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  465993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466023 */     // MIs[1] Operand 1
     /*  466023 */     // No operand predicates
     /*  466023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466055 */     GIR_RootConstrainSelectedInstOperands,
     /*  466056 */     // GIR_Coverage, 7498,
     /*  466056 */     GIR_EraseRootFromParent_Done,
     /*  466057 */   // Label 7935: @466057
     /*  466057 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(466143), // Rule ID 7499 //
     /*  466062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466109 */     // MIs[1] Operand 1
     /*  466109 */     // No operand predicates
     /*  466109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466141 */     GIR_RootConstrainSelectedInstOperands,
     /*  466142 */     // GIR_Coverage, 7499,
     /*  466142 */     GIR_EraseRootFromParent_Done,
     /*  466143 */   // Label 7936: @466143
     /*  466143 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(466229), // Rule ID 7502 //
     /*  466148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466195 */     // MIs[1] Operand 1
     /*  466195 */     // No operand predicates
     /*  466195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466227 */     GIR_RootConstrainSelectedInstOperands,
     /*  466228 */     // GIR_Coverage, 7502,
     /*  466228 */     GIR_EraseRootFromParent_Done,
     /*  466229 */   // Label 7937: @466229
     /*  466229 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(466315), // Rule ID 7503 //
     /*  466234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466281 */     // MIs[1] Operand 1
     /*  466281 */     // No operand predicates
     /*  466281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466313 */     GIR_RootConstrainSelectedInstOperands,
     /*  466314 */     // GIR_Coverage, 7503,
     /*  466314 */     GIR_EraseRootFromParent_Done,
     /*  466315 */   // Label 7938: @466315
     /*  466315 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(466401), // Rule ID 7506 //
     /*  466320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  466337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466367 */     // MIs[1] Operand 1
     /*  466367 */     // No operand predicates
     /*  466367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  466379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466399 */     GIR_RootConstrainSelectedInstOperands,
     /*  466400 */     // GIR_Coverage, 7506,
     /*  466400 */     GIR_EraseRootFromParent_Done,
     /*  466401 */   // Label 7939: @466401
     /*  466401 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(466487), // Rule ID 7507 //
     /*  466406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  466423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466453 */     // MIs[1] Operand 1
     /*  466453 */     // No operand predicates
     /*  466453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  466465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466485 */     GIR_RootConstrainSelectedInstOperands,
     /*  466486 */     // GIR_Coverage, 7507,
     /*  466486 */     GIR_EraseRootFromParent_Done,
     /*  466487 */   // Label 7940: @466487
     /*  466487 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(466573), // Rule ID 7510 //
     /*  466492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  466503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  466506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  466509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466539 */     // MIs[1] Operand 1
     /*  466539 */     // No operand predicates
     /*  466539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466571 */     GIR_RootConstrainSelectedInstOperands,
     /*  466572 */     // GIR_Coverage, 7510,
     /*  466572 */     GIR_EraseRootFromParent_Done,
     /*  466573 */   // Label 7941: @466573
     /*  466573 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(466659), // Rule ID 7511 //
     /*  466578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  466589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  466592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  466595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466625 */     // MIs[1] Operand 1
     /*  466625 */     // No operand predicates
     /*  466625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466657 */     GIR_RootConstrainSelectedInstOperands,
     /*  466658 */     // GIR_Coverage, 7511,
     /*  466658 */     GIR_EraseRootFromParent_Done,
     /*  466659 */   // Label 7942: @466659
     /*  466659 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(466745), // Rule ID 7634 //
     /*  466664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  466672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  466675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  466678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466711 */     // MIs[1] Operand 1
     /*  466711 */     // No operand predicates
     /*  466711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  466723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466743 */     GIR_RootConstrainSelectedInstOperands,
     /*  466744 */     // GIR_Coverage, 7634,
     /*  466744 */     GIR_EraseRootFromParent_Done,
     /*  466745 */   // Label 7943: @466745
     /*  466745 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(466831), // Rule ID 7635 //
     /*  466750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  466758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  466761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  466764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466797 */     // MIs[1] Operand 1
     /*  466797 */     // No operand predicates
     /*  466797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466806 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  466809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466829 */     GIR_RootConstrainSelectedInstOperands,
     /*  466830 */     // GIR_Coverage, 7635,
     /*  466830 */     GIR_EraseRootFromParent_Done,
     /*  466831 */   // Label 7944: @466831
     /*  466831 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(466917), // Rule ID 7638 //
     /*  466836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  466844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  466847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  466850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  466853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466883 */     // MIs[1] Operand 1
     /*  466883 */     // No operand predicates
     /*  466883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  466895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466915 */     GIR_RootConstrainSelectedInstOperands,
     /*  466916 */     // GIR_Coverage, 7638,
     /*  466916 */     GIR_EraseRootFromParent_Done,
     /*  466917 */   // Label 7945: @466917
     /*  466917 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(467003), // Rule ID 7639 //
     /*  466922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  466930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  466933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  466936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  466939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466969 */     // MIs[1] Operand 1
     /*  466969 */     // No operand predicates
     /*  466969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  466981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467001 */     GIR_RootConstrainSelectedInstOperands,
     /*  467002 */     // GIR_Coverage, 7639,
     /*  467002 */     GIR_EraseRootFromParent_Done,
     /*  467003 */   // Label 7946: @467003
     /*  467003 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(467089), // Rule ID 7642 //
     /*  467008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467055 */     // MIs[1] Operand 1
     /*  467055 */     // No operand predicates
     /*  467055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  467067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467087 */     GIR_RootConstrainSelectedInstOperands,
     /*  467088 */     // GIR_Coverage, 7642,
     /*  467088 */     GIR_EraseRootFromParent_Done,
     /*  467089 */   // Label 7947: @467089
     /*  467089 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(467175), // Rule ID 7643 //
     /*  467094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467141 */     // MIs[1] Operand 1
     /*  467141 */     // No operand predicates
     /*  467141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  467153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467173 */     GIR_RootConstrainSelectedInstOperands,
     /*  467174 */     // GIR_Coverage, 7643,
     /*  467174 */     GIR_EraseRootFromParent_Done,
     /*  467175 */   // Label 7948: @467175
     /*  467175 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(467261), // Rule ID 7646 //
     /*  467180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467227 */     // MIs[1] Operand 1
     /*  467227 */     // No operand predicates
     /*  467227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  467239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467259 */     GIR_RootConstrainSelectedInstOperands,
     /*  467260 */     // GIR_Coverage, 7646,
     /*  467260 */     GIR_EraseRootFromParent_Done,
     /*  467261 */   // Label 7949: @467261
     /*  467261 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(467347), // Rule ID 7647 //
     /*  467266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467313 */     // MIs[1] Operand 1
     /*  467313 */     // No operand predicates
     /*  467313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467322 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  467325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467345 */     GIR_RootConstrainSelectedInstOperands,
     /*  467346 */     // GIR_Coverage, 7647,
     /*  467346 */     GIR_EraseRootFromParent_Done,
     /*  467347 */   // Label 7950: @467347
     /*  467347 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(467433), // Rule ID 7650 //
     /*  467352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467399 */     // MIs[1] Operand 1
     /*  467399 */     // No operand predicates
     /*  467399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  467411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467431 */     GIR_RootConstrainSelectedInstOperands,
     /*  467432 */     // GIR_Coverage, 7650,
     /*  467432 */     GIR_EraseRootFromParent_Done,
     /*  467433 */   // Label 7951: @467433
     /*  467433 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(467519), // Rule ID 7651 //
     /*  467438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467485 */     // MIs[1] Operand 1
     /*  467485 */     // No operand predicates
     /*  467485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  467497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467517 */     GIR_RootConstrainSelectedInstOperands,
     /*  467518 */     // GIR_Coverage, 7651,
     /*  467518 */     GIR_EraseRootFromParent_Done,
     /*  467519 */   // Label 7952: @467519
     /*  467519 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(467605), // Rule ID 7654 //
     /*  467524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467571 */     // MIs[1] Operand 1
     /*  467571 */     // No operand predicates
     /*  467571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  467583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467603 */     GIR_RootConstrainSelectedInstOperands,
     /*  467604 */     // GIR_Coverage, 7654,
     /*  467604 */     GIR_EraseRootFromParent_Done,
     /*  467605 */   // Label 7953: @467605
     /*  467605 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(467691), // Rule ID 7655 //
     /*  467610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467657 */     // MIs[1] Operand 1
     /*  467657 */     // No operand predicates
     /*  467657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  467669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467689 */     GIR_RootConstrainSelectedInstOperands,
     /*  467690 */     // GIR_Coverage, 7655,
     /*  467690 */     GIR_EraseRootFromParent_Done,
     /*  467691 */   // Label 7954: @467691
     /*  467691 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(467777), // Rule ID 7658 //
     /*  467696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  467707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  467710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  467713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467743 */     // MIs[1] Operand 1
     /*  467743 */     // No operand predicates
     /*  467743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  467755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467775 */     GIR_RootConstrainSelectedInstOperands,
     /*  467776 */     // GIR_Coverage, 7658,
     /*  467776 */     GIR_EraseRootFromParent_Done,
     /*  467777 */   // Label 7955: @467777
     /*  467777 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(467863), // Rule ID 7659 //
     /*  467782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  467793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  467796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  467799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467829 */     // MIs[1] Operand 1
     /*  467829 */     // No operand predicates
     /*  467829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  467841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467861 */     GIR_RootConstrainSelectedInstOperands,
     /*  467862 */     // GIR_Coverage, 7659,
     /*  467862 */     GIR_EraseRootFromParent_Done,
     /*  467863 */   // Label 7956: @467863
     /*  467863 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(467949), // Rule ID 7662 //
     /*  467868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  467879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  467882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  467885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467915 */     // MIs[1] Operand 1
     /*  467915 */     // No operand predicates
     /*  467915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  467927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467947 */     GIR_RootConstrainSelectedInstOperands,
     /*  467948 */     // GIR_Coverage, 7662,
     /*  467948 */     GIR_EraseRootFromParent_Done,
     /*  467949 */   // Label 7957: @467949
     /*  467949 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(468035), // Rule ID 7663 //
     /*  467954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  467965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  467968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  467971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468001 */     // MIs[1] Operand 1
     /*  468001 */     // No operand predicates
     /*  468001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468033 */     GIR_RootConstrainSelectedInstOperands,
     /*  468034 */     // GIR_Coverage, 7663,
     /*  468034 */     GIR_EraseRootFromParent_Done,
     /*  468035 */   // Label 7958: @468035
     /*  468035 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(468121), // Rule ID 7666 //
     /*  468040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468087 */     // MIs[1] Operand 1
     /*  468087 */     // No operand predicates
     /*  468087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468119 */     GIR_RootConstrainSelectedInstOperands,
     /*  468120 */     // GIR_Coverage, 7666,
     /*  468120 */     GIR_EraseRootFromParent_Done,
     /*  468121 */   // Label 7959: @468121
     /*  468121 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(468207), // Rule ID 7667 //
     /*  468126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468173 */     // MIs[1] Operand 1
     /*  468173 */     // No operand predicates
     /*  468173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468205 */     GIR_RootConstrainSelectedInstOperands,
     /*  468206 */     // GIR_Coverage, 7667,
     /*  468206 */     GIR_EraseRootFromParent_Done,
     /*  468207 */   // Label 7960: @468207
     /*  468207 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(468293), // Rule ID 7670 //
     /*  468212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468259 */     // MIs[1] Operand 1
     /*  468259 */     // No operand predicates
     /*  468259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468291 */     GIR_RootConstrainSelectedInstOperands,
     /*  468292 */     // GIR_Coverage, 7670,
     /*  468292 */     GIR_EraseRootFromParent_Done,
     /*  468293 */   // Label 7961: @468293
     /*  468293 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(468379), // Rule ID 7671 //
     /*  468298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468345 */     // MIs[1] Operand 1
     /*  468345 */     // No operand predicates
     /*  468345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468377 */     GIR_RootConstrainSelectedInstOperands,
     /*  468378 */     // GIR_Coverage, 7671,
     /*  468378 */     GIR_EraseRootFromParent_Done,
     /*  468379 */   // Label 7962: @468379
     /*  468379 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(468465), // Rule ID 7674 //
     /*  468384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  468395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  468398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468431 */     // MIs[1] Operand 1
     /*  468431 */     // No operand predicates
     /*  468431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  468443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468463 */     GIR_RootConstrainSelectedInstOperands,
     /*  468464 */     // GIR_Coverage, 7674,
     /*  468464 */     GIR_EraseRootFromParent_Done,
     /*  468465 */   // Label 7963: @468465
     /*  468465 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(468551), // Rule ID 7675 //
     /*  468470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  468481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  468484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468517 */     // MIs[1] Operand 1
     /*  468517 */     // No operand predicates
     /*  468517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  468529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468549 */     GIR_RootConstrainSelectedInstOperands,
     /*  468550 */     // GIR_Coverage, 7675,
     /*  468550 */     GIR_EraseRootFromParent_Done,
     /*  468551 */   // Label 7964: @468551
     /*  468551 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(468637), // Rule ID 7678 //
     /*  468556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  468559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  468573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468603 */     // MIs[1] Operand 1
     /*  468603 */     // No operand predicates
     /*  468603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468635 */     GIR_RootConstrainSelectedInstOperands,
     /*  468636 */     // GIR_Coverage, 7678,
     /*  468636 */     GIR_EraseRootFromParent_Done,
     /*  468637 */   // Label 7965: @468637
     /*  468637 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(468723), // Rule ID 7679 //
     /*  468642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  468645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  468659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468689 */     // MIs[1] Operand 1
     /*  468689 */     // No operand predicates
     /*  468689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468721 */     GIR_RootConstrainSelectedInstOperands,
     /*  468722 */     // GIR_Coverage, 7679,
     /*  468722 */     GIR_EraseRootFromParent_Done,
     /*  468723 */   // Label 7966: @468723
     /*  468723 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(468809), // Rule ID 7682 //
     /*  468728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  468731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  468739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  468742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468775 */     // MIs[1] Operand 1
     /*  468775 */     // No operand predicates
     /*  468775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468807 */     GIR_RootConstrainSelectedInstOperands,
     /*  468808 */     // GIR_Coverage, 7682,
     /*  468808 */     GIR_EraseRootFromParent_Done,
     /*  468809 */   // Label 7967: @468809
     /*  468809 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(468895), // Rule ID 7683 //
     /*  468814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  468817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  468825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  468828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468861 */     // MIs[1] Operand 1
     /*  468861 */     // No operand predicates
     /*  468861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468893 */     GIR_RootConstrainSelectedInstOperands,
     /*  468894 */     // GIR_Coverage, 7683,
     /*  468894 */     GIR_EraseRootFromParent_Done,
     /*  468895 */   // Label 7968: @468895
     /*  468895 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(468981), // Rule ID 7686 //
     /*  468900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  468903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  468914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468947 */     // MIs[1] Operand 1
     /*  468947 */     // No operand predicates
     /*  468947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468979 */     GIR_RootConstrainSelectedInstOperands,
     /*  468980 */     // GIR_Coverage, 7686,
     /*  468980 */     GIR_EraseRootFromParent_Done,
     /*  468981 */   // Label 7969: @468981
     /*  468981 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(469067), // Rule ID 7687 //
     /*  468986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  468989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  469000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  469003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469033 */     // MIs[1] Operand 1
     /*  469033 */     // No operand predicates
     /*  469033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  469045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469065 */     GIR_RootConstrainSelectedInstOperands,
     /*  469066 */     // GIR_Coverage, 7687,
     /*  469066 */     GIR_EraseRootFromParent_Done,
     /*  469067 */   // Label 7970: @469067
     /*  469067 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(469153), // Rule ID 7690 //
     /*  469072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  469075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469119 */     // MIs[1] Operand 1
     /*  469119 */     // No operand predicates
     /*  469119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469128 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469151 */     GIR_RootConstrainSelectedInstOperands,
     /*  469152 */     // GIR_Coverage, 7690,
     /*  469152 */     GIR_EraseRootFromParent_Done,
     /*  469153 */   // Label 7971: @469153
     /*  469153 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(469239), // Rule ID 7691 //
     /*  469158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469205 */     // MIs[1] Operand 1
     /*  469205 */     // No operand predicates
     /*  469205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469237 */     GIR_RootConstrainSelectedInstOperands,
     /*  469238 */     // GIR_Coverage, 7691,
     /*  469238 */     GIR_EraseRootFromParent_Done,
     /*  469239 */   // Label 7972: @469239
     /*  469239 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(469328), // Rule ID 14120 //
     /*  469244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469291 */     // MIs[1] Operand 1
     /*  469291 */     // No operand predicates
     /*  469291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  469303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469326 */     GIR_RootConstrainSelectedInstOperands,
     /*  469327 */     // GIR_Coverage, 14120,
     /*  469327 */     GIR_EraseRootFromParent_Done,
     /*  469328 */   // Label 7973: @469328
     /*  469328 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(469417), // Rule ID 14121 //
     /*  469333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469380 */     // MIs[1] Operand 1
     /*  469380 */     // No operand predicates
     /*  469380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469389 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  469392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469415 */     GIR_RootConstrainSelectedInstOperands,
     /*  469416 */     // GIR_Coverage, 14121,
     /*  469416 */     GIR_EraseRootFromParent_Done,
     /*  469417 */   // Label 7974: @469417
     /*  469417 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(469506), // Rule ID 14124 //
     /*  469422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469469 */     // MIs[1] Operand 1
     /*  469469 */     // No operand predicates
     /*  469469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  469481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469504 */     GIR_RootConstrainSelectedInstOperands,
     /*  469505 */     // GIR_Coverage, 14124,
     /*  469505 */     GIR_EraseRootFromParent_Done,
     /*  469506 */   // Label 7975: @469506
     /*  469506 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(469595), // Rule ID 14125 //
     /*  469511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469558 */     // MIs[1] Operand 1
     /*  469558 */     // No operand predicates
     /*  469558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  469570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469593 */     GIR_RootConstrainSelectedInstOperands,
     /*  469594 */     // GIR_Coverage, 14125,
     /*  469594 */     GIR_EraseRootFromParent_Done,
     /*  469595 */   // Label 7976: @469595
     /*  469595 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(469684), // Rule ID 14128 //
     /*  469600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469647 */     // MIs[1] Operand 1
     /*  469647 */     // No operand predicates
     /*  469647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  469659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469682 */     GIR_RootConstrainSelectedInstOperands,
     /*  469683 */     // GIR_Coverage, 14128,
     /*  469683 */     GIR_EraseRootFromParent_Done,
     /*  469684 */   // Label 7977: @469684
     /*  469684 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(469773), // Rule ID 14129 //
     /*  469689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469736 */     // MIs[1] Operand 1
     /*  469736 */     // No operand predicates
     /*  469736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469745 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  469748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469771 */     GIR_RootConstrainSelectedInstOperands,
     /*  469772 */     // GIR_Coverage, 14129,
     /*  469772 */     GIR_EraseRootFromParent_Done,
     /*  469773 */   // Label 7978: @469773
     /*  469773 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(469862), // Rule ID 14132 //
     /*  469778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469825 */     // MIs[1] Operand 1
     /*  469825 */     // No operand predicates
     /*  469825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469834 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  469837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469860 */     GIR_RootConstrainSelectedInstOperands,
     /*  469861 */     // GIR_Coverage, 14132,
     /*  469861 */     GIR_EraseRootFromParent_Done,
     /*  469862 */   // Label 7979: @469862
     /*  469862 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(469951), // Rule ID 14133 //
     /*  469867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469914 */     // MIs[1] Operand 1
     /*  469914 */     // No operand predicates
     /*  469914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  469926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469949 */     GIR_RootConstrainSelectedInstOperands,
     /*  469950 */     // GIR_Coverage, 14133,
     /*  469950 */     GIR_EraseRootFromParent_Done,
     /*  469951 */   // Label 7980: @469951
     /*  469951 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(470040), // Rule ID 14136 //
     /*  469956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470003 */     // MIs[1] Operand 1
     /*  470003 */     // No operand predicates
     /*  470003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470038 */     GIR_RootConstrainSelectedInstOperands,
     /*  470039 */     // GIR_Coverage, 14136,
     /*  470039 */     GIR_EraseRootFromParent_Done,
     /*  470040 */   // Label 7981: @470040
     /*  470040 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(470129), // Rule ID 14137 //
     /*  470045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  470056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  470059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  470062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470092 */     // MIs[1] Operand 1
     /*  470092 */     // No operand predicates
     /*  470092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470101 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470127 */     GIR_RootConstrainSelectedInstOperands,
     /*  470128 */     // GIR_Coverage, 14137,
     /*  470128 */     GIR_EraseRootFromParent_Done,
     /*  470129 */   // Label 7982: @470129
     /*  470129 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(470218), // Rule ID 14140 //
     /*  470134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470181 */     // MIs[1] Operand 1
     /*  470181 */     // No operand predicates
     /*  470181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470216 */     GIR_RootConstrainSelectedInstOperands,
     /*  470217 */     // GIR_Coverage, 14140,
     /*  470217 */     GIR_EraseRootFromParent_Done,
     /*  470218 */   // Label 7983: @470218
     /*  470218 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(470307), // Rule ID 14141 //
     /*  470223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470270 */     // MIs[1] Operand 1
     /*  470270 */     // No operand predicates
     /*  470270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470305 */     GIR_RootConstrainSelectedInstOperands,
     /*  470306 */     // GIR_Coverage, 14141,
     /*  470306 */     GIR_EraseRootFromParent_Done,
     /*  470307 */   // Label 7984: @470307
     /*  470307 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(470396), // Rule ID 14144 //
     /*  470312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470359 */     // MIs[1] Operand 1
     /*  470359 */     // No operand predicates
     /*  470359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470394 */     GIR_RootConstrainSelectedInstOperands,
     /*  470395 */     // GIR_Coverage, 14144,
     /*  470395 */     GIR_EraseRootFromParent_Done,
     /*  470396 */   // Label 7985: @470396
     /*  470396 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(470485), // Rule ID 14145 //
     /*  470401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  470412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  470415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  470418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470448 */     // MIs[1] Operand 1
     /*  470448 */     // No operand predicates
     /*  470448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470483 */     GIR_RootConstrainSelectedInstOperands,
     /*  470484 */     // GIR_Coverage, 14145,
     /*  470484 */     GIR_EraseRootFromParent_Done,
     /*  470485 */   // Label 7986: @470485
     /*  470485 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(470574), // Rule ID 14148 //
     /*  470490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470537 */     // MIs[1] Operand 1
     /*  470537 */     // No operand predicates
     /*  470537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470572 */     GIR_RootConstrainSelectedInstOperands,
     /*  470573 */     // GIR_Coverage, 14148,
     /*  470573 */     GIR_EraseRootFromParent_Done,
     /*  470574 */   // Label 7987: @470574
     /*  470574 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(470663), // Rule ID 14149 //
     /*  470579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470626 */     // MIs[1] Operand 1
     /*  470626 */     // No operand predicates
     /*  470626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470635 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470661 */     GIR_RootConstrainSelectedInstOperands,
     /*  470662 */     // GIR_Coverage, 14149,
     /*  470662 */     GIR_EraseRootFromParent_Done,
     /*  470663 */   // Label 7988: @470663
     /*  470663 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(470752), // Rule ID 14152 //
     /*  470668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470715 */     // MIs[1] Operand 1
     /*  470715 */     // No operand predicates
     /*  470715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470750 */     GIR_RootConstrainSelectedInstOperands,
     /*  470751 */     // GIR_Coverage, 14152,
     /*  470751 */     GIR_EraseRootFromParent_Done,
     /*  470752 */   // Label 7989: @470752
     /*  470752 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(470841), // Rule ID 14153 //
     /*  470757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470804 */     // MIs[1] Operand 1
     /*  470804 */     // No operand predicates
     /*  470804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470839 */     GIR_RootConstrainSelectedInstOperands,
     /*  470840 */     // GIR_Coverage, 14153,
     /*  470840 */     GIR_EraseRootFromParent_Done,
     /*  470841 */   // Label 7990: @470841
     /*  470841 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(470930), // Rule ID 14156 //
     /*  470846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470893 */     // MIs[1] Operand 1
     /*  470893 */     // No operand predicates
     /*  470893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470928 */     GIR_RootConstrainSelectedInstOperands,
     /*  470929 */     // GIR_Coverage, 14156,
     /*  470929 */     GIR_EraseRootFromParent_Done,
     /*  470930 */   // Label 7991: @470930
     /*  470930 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(471019), // Rule ID 14157 //
     /*  470935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470982 */     // MIs[1] Operand 1
     /*  470982 */     // No operand predicates
     /*  470982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470991 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  470994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471017 */     GIR_RootConstrainSelectedInstOperands,
     /*  471018 */     // GIR_Coverage, 14157,
     /*  471018 */     GIR_EraseRootFromParent_Done,
     /*  471019 */   // Label 7992: @471019
     /*  471019 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(471108), // Rule ID 14160 //
     /*  471024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471071 */     // MIs[1] Operand 1
     /*  471071 */     // No operand predicates
     /*  471071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471080 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471106 */     GIR_RootConstrainSelectedInstOperands,
     /*  471107 */     // GIR_Coverage, 14160,
     /*  471107 */     GIR_EraseRootFromParent_Done,
     /*  471108 */   // Label 7993: @471108
     /*  471108 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(471197), // Rule ID 14161 //
     /*  471113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471160 */     // MIs[1] Operand 1
     /*  471160 */     // No operand predicates
     /*  471160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471169 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471195 */     GIR_RootConstrainSelectedInstOperands,
     /*  471196 */     // GIR_Coverage, 14161,
     /*  471196 */     GIR_EraseRootFromParent_Done,
     /*  471197 */   // Label 7994: @471197
     /*  471197 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(471286), // Rule ID 14164 //
     /*  471202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471249 */     // MIs[1] Operand 1
     /*  471249 */     // No operand predicates
     /*  471249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471284 */     GIR_RootConstrainSelectedInstOperands,
     /*  471285 */     // GIR_Coverage, 14164,
     /*  471285 */     GIR_EraseRootFromParent_Done,
     /*  471286 */   // Label 7995: @471286
     /*  471286 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(471375), // Rule ID 14165 //
     /*  471291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471338 */     // MIs[1] Operand 1
     /*  471338 */     // No operand predicates
     /*  471338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471347 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471373 */     GIR_RootConstrainSelectedInstOperands,
     /*  471374 */     // GIR_Coverage, 14165,
     /*  471374 */     GIR_EraseRootFromParent_Done,
     /*  471375 */   // Label 7996: @471375
     /*  471375 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(471464), // Rule ID 14168 //
     /*  471380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471427 */     // MIs[1] Operand 1
     /*  471427 */     // No operand predicates
     /*  471427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  471439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471462 */     GIR_RootConstrainSelectedInstOperands,
     /*  471463 */     // GIR_Coverage, 14168,
     /*  471463 */     GIR_EraseRootFromParent_Done,
     /*  471464 */   // Label 7997: @471464
     /*  471464 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(471553), // Rule ID 14169 //
     /*  471469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  471480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  471483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  471486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471516 */     // MIs[1] Operand 1
     /*  471516 */     // No operand predicates
     /*  471516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471525 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  471528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471551 */     GIR_RootConstrainSelectedInstOperands,
     /*  471552 */     // GIR_Coverage, 14169,
     /*  471552 */     GIR_EraseRootFromParent_Done,
     /*  471553 */   // Label 7998: @471553
     /*  471553 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(471642), // Rule ID 14172 //
     /*  471558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471605 */     // MIs[1] Operand 1
     /*  471605 */     // No operand predicates
     /*  471605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471640 */     GIR_RootConstrainSelectedInstOperands,
     /*  471641 */     // GIR_Coverage, 14172,
     /*  471641 */     GIR_EraseRootFromParent_Done,
     /*  471642 */   // Label 7999: @471642
     /*  471642 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(471731), // Rule ID 14173 //
     /*  471647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  471658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  471661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  471664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471694 */     // MIs[1] Operand 1
     /*  471694 */     // No operand predicates
     /*  471694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471703 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471729 */     GIR_RootConstrainSelectedInstOperands,
     /*  471730 */     // GIR_Coverage, 14173,
     /*  471730 */     GIR_EraseRootFromParent_Done,
     /*  471731 */   // Label 8000: @471731
     /*  471731 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(471820), // Rule ID 14176 //
     /*  471736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471783 */     // MIs[1] Operand 1
     /*  471783 */     // No operand predicates
     /*  471783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471818 */     GIR_RootConstrainSelectedInstOperands,
     /*  471819 */     // GIR_Coverage, 14176,
     /*  471819 */     GIR_EraseRootFromParent_Done,
     /*  471820 */   // Label 8001: @471820
     /*  471820 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(471909), // Rule ID 14177 //
     /*  471825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471872 */     // MIs[1] Operand 1
     /*  471872 */     // No operand predicates
     /*  471872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471881 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471907 */     GIR_RootConstrainSelectedInstOperands,
     /*  471908 */     // GIR_Coverage, 14177,
     /*  471908 */     GIR_EraseRootFromParent_Done,
     /*  471909 */   // Label 8002: @471909
     /*  471909 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(471998), // Rule ID 14180 //
     /*  471914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471961 */     // MIs[1] Operand 1
     /*  471961 */     // No operand predicates
     /*  471961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  471973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471996 */     GIR_RootConstrainSelectedInstOperands,
     /*  471997 */     // GIR_Coverage, 14180,
     /*  471997 */     GIR_EraseRootFromParent_Done,
     /*  471998 */   // Label 8003: @471998
     /*  471998 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(472087), // Rule ID 14181 //
     /*  472003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472050 */     // MIs[1] Operand 1
     /*  472050 */     // No operand predicates
     /*  472050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472059 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472085 */     GIR_RootConstrainSelectedInstOperands,
     /*  472086 */     // GIR_Coverage, 14181,
     /*  472086 */     GIR_EraseRootFromParent_Done,
     /*  472087 */   // Label 8004: @472087
     /*  472087 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(472176), // Rule ID 14184 //
     /*  472092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472139 */     // MIs[1] Operand 1
     /*  472139 */     // No operand predicates
     /*  472139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472174 */     GIR_RootConstrainSelectedInstOperands,
     /*  472175 */     // GIR_Coverage, 14184,
     /*  472175 */     GIR_EraseRootFromParent_Done,
     /*  472176 */   // Label 8005: @472176
     /*  472176 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(472265), // Rule ID 14185 //
     /*  472181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472228 */     // MIs[1] Operand 1
     /*  472228 */     // No operand predicates
     /*  472228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472263 */     GIR_RootConstrainSelectedInstOperands,
     /*  472264 */     // GIR_Coverage, 14185,
     /*  472264 */     GIR_EraseRootFromParent_Done,
     /*  472265 */   // Label 8006: @472265
     /*  472265 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(472354), // Rule ID 14188 //
     /*  472270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472317 */     // MIs[1] Operand 1
     /*  472317 */     // No operand predicates
     /*  472317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472352 */     GIR_RootConstrainSelectedInstOperands,
     /*  472353 */     // GIR_Coverage, 14188,
     /*  472353 */     GIR_EraseRootFromParent_Done,
     /*  472354 */   // Label 8007: @472354
     /*  472354 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(472443), // Rule ID 14189 //
     /*  472359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472406 */     // MIs[1] Operand 1
     /*  472406 */     // No operand predicates
     /*  472406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472415 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472441 */     GIR_RootConstrainSelectedInstOperands,
     /*  472442 */     // GIR_Coverage, 14189,
     /*  472442 */     GIR_EraseRootFromParent_Done,
     /*  472443 */   // Label 8008: @472443
     /*  472443 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(472532), // Rule ID 14192 //
     /*  472448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472495 */     // MIs[1] Operand 1
     /*  472495 */     // No operand predicates
     /*  472495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472530 */     GIR_RootConstrainSelectedInstOperands,
     /*  472531 */     // GIR_Coverage, 14192,
     /*  472531 */     GIR_EraseRootFromParent_Done,
     /*  472532 */   // Label 8009: @472532
     /*  472532 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(472621), // Rule ID 14193 //
     /*  472537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  472548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  472551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  472554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472584 */     // MIs[1] Operand 1
     /*  472584 */     // No operand predicates
     /*  472584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472619 */     GIR_RootConstrainSelectedInstOperands,
     /*  472620 */     // GIR_Coverage, 14193,
     /*  472620 */     GIR_EraseRootFromParent_Done,
     /*  472621 */   // Label 8010: @472621
     /*  472621 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(472710), // Rule ID 14196 //
     /*  472626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472673 */     // MIs[1] Operand 1
     /*  472673 */     // No operand predicates
     /*  472673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472708 */     GIR_RootConstrainSelectedInstOperands,
     /*  472709 */     // GIR_Coverage, 14196,
     /*  472709 */     GIR_EraseRootFromParent_Done,
     /*  472710 */   // Label 8011: @472710
     /*  472710 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(472799), // Rule ID 14197 //
     /*  472715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  472726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  472729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  472732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472762 */     // MIs[1] Operand 1
     /*  472762 */     // No operand predicates
     /*  472762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472797 */     GIR_RootConstrainSelectedInstOperands,
     /*  472798 */     // GIR_Coverage, 14197,
     /*  472798 */     GIR_EraseRootFromParent_Done,
     /*  472799 */   // Label 8012: @472799
     /*  472799 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(472888), // Rule ID 14200 //
     /*  472804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472851 */     // MIs[1] Operand 1
     /*  472851 */     // No operand predicates
     /*  472851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472860 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472886 */     GIR_RootConstrainSelectedInstOperands,
     /*  472887 */     // GIR_Coverage, 14200,
     /*  472887 */     GIR_EraseRootFromParent_Done,
     /*  472888 */   // Label 8013: @472888
     /*  472888 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(472977), // Rule ID 14201 //
     /*  472893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472940 */     // MIs[1] Operand 1
     /*  472940 */     // No operand predicates
     /*  472940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472975 */     GIR_RootConstrainSelectedInstOperands,
     /*  472976 */     // GIR_Coverage, 14201,
     /*  472976 */     GIR_EraseRootFromParent_Done,
     /*  472977 */   // Label 8014: @472977
     /*  472977 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(473066), // Rule ID 14204 //
     /*  472982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473029 */     // MIs[1] Operand 1
     /*  473029 */     // No operand predicates
     /*  473029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473038 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473064 */     GIR_RootConstrainSelectedInstOperands,
     /*  473065 */     // GIR_Coverage, 14204,
     /*  473065 */     GIR_EraseRootFromParent_Done,
     /*  473066 */   // Label 8015: @473066
     /*  473066 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(473155), // Rule ID 14205 //
     /*  473071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  473082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  473085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  473088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473118 */     // MIs[1] Operand 1
     /*  473118 */     // No operand predicates
     /*  473118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473153 */     GIR_RootConstrainSelectedInstOperands,
     /*  473154 */     // GIR_Coverage, 14205,
     /*  473154 */     GIR_EraseRootFromParent_Done,
     /*  473155 */   // Label 8016: @473155
     /*  473155 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(473244), // Rule ID 14384 //
     /*  473160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473207 */     // MIs[1] Operand 1
     /*  473207 */     // No operand predicates
     /*  473207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473216 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  473219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473242 */     GIR_RootConstrainSelectedInstOperands,
     /*  473243 */     // GIR_Coverage, 14384,
     /*  473243 */     GIR_EraseRootFromParent_Done,
     /*  473244 */   // Label 8017: @473244
     /*  473244 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(473333), // Rule ID 14385 //
     /*  473249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473296 */     // MIs[1] Operand 1
     /*  473296 */     // No operand predicates
     /*  473296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473305 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  473308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473331 */     GIR_RootConstrainSelectedInstOperands,
     /*  473332 */     // GIR_Coverage, 14385,
     /*  473332 */     GIR_EraseRootFromParent_Done,
     /*  473333 */   // Label 8018: @473333
     /*  473333 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(473422), // Rule ID 14388 //
     /*  473338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473385 */     // MIs[1] Operand 1
     /*  473385 */     // No operand predicates
     /*  473385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473394 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  473397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473420 */     GIR_RootConstrainSelectedInstOperands,
     /*  473421 */     // GIR_Coverage, 14388,
     /*  473421 */     GIR_EraseRootFromParent_Done,
     /*  473422 */   // Label 8019: @473422
     /*  473422 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(473511), // Rule ID 14389 //
     /*  473427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  473438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  473441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473474 */     // MIs[1] Operand 1
     /*  473474 */     // No operand predicates
     /*  473474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473483 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  473486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473509 */     GIR_RootConstrainSelectedInstOperands,
     /*  473510 */     // GIR_Coverage, 14389,
     /*  473510 */     GIR_EraseRootFromParent_Done,
     /*  473511 */   // Label 8020: @473511
     /*  473511 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(473600), // Rule ID 14392 //
     /*  473516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473563 */     // MIs[1] Operand 1
     /*  473563 */     // No operand predicates
     /*  473563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  473575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473598 */     GIR_RootConstrainSelectedInstOperands,
     /*  473599 */     // GIR_Coverage, 14392,
     /*  473599 */     GIR_EraseRootFromParent_Done,
     /*  473600 */   // Label 8021: @473600
     /*  473600 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(473689), // Rule ID 14393 //
     /*  473605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  473616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  473619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473652 */     // MIs[1] Operand 1
     /*  473652 */     // No operand predicates
     /*  473652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473661 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  473664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473687 */     GIR_RootConstrainSelectedInstOperands,
     /*  473688 */     // GIR_Coverage, 14393,
     /*  473688 */     GIR_EraseRootFromParent_Done,
     /*  473689 */   // Label 8022: @473689
     /*  473689 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(473778), // Rule ID 14396 //
     /*  473694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473741 */     // MIs[1] Operand 1
     /*  473741 */     // No operand predicates
     /*  473741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473750 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  473753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473776 */     GIR_RootConstrainSelectedInstOperands,
     /*  473777 */     // GIR_Coverage, 14396,
     /*  473777 */     GIR_EraseRootFromParent_Done,
     /*  473778 */   // Label 8023: @473778
     /*  473778 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(473867), // Rule ID 14397 //
     /*  473783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473830 */     // MIs[1] Operand 1
     /*  473830 */     // No operand predicates
     /*  473830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473839 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  473842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473865 */     GIR_RootConstrainSelectedInstOperands,
     /*  473866 */     // GIR_Coverage, 14397,
     /*  473866 */     GIR_EraseRootFromParent_Done,
     /*  473867 */   // Label 8024: @473867
     /*  473867 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(473956), // Rule ID 14400 //
     /*  473872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473919 */     // MIs[1] Operand 1
     /*  473919 */     // No operand predicates
     /*  473919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  473931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473954 */     GIR_RootConstrainSelectedInstOperands,
     /*  473955 */     // GIR_Coverage, 14400,
     /*  473955 */     GIR_EraseRootFromParent_Done,
     /*  473956 */   // Label 8025: @473956
     /*  473956 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(474045), // Rule ID 14401 //
     /*  473961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474008 */     // MIs[1] Operand 1
     /*  474008 */     // No operand predicates
     /*  474008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474043 */     GIR_RootConstrainSelectedInstOperands,
     /*  474044 */     // GIR_Coverage, 14401,
     /*  474044 */     GIR_EraseRootFromParent_Done,
     /*  474045 */   // Label 8026: @474045
     /*  474045 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(474134), // Rule ID 14404 //
     /*  474050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474097 */     // MIs[1] Operand 1
     /*  474097 */     // No operand predicates
     /*  474097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474132 */     GIR_RootConstrainSelectedInstOperands,
     /*  474133 */     // GIR_Coverage, 14404,
     /*  474133 */     GIR_EraseRootFromParent_Done,
     /*  474134 */   // Label 8027: @474134
     /*  474134 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(474223), // Rule ID 14405 //
     /*  474139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474186 */     // MIs[1] Operand 1
     /*  474186 */     // No operand predicates
     /*  474186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474195 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474221 */     GIR_RootConstrainSelectedInstOperands,
     /*  474222 */     // GIR_Coverage, 14405,
     /*  474222 */     GIR_EraseRootFromParent_Done,
     /*  474223 */   // Label 8028: @474223
     /*  474223 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(474312), // Rule ID 14408 //
     /*  474228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474275 */     // MIs[1] Operand 1
     /*  474275 */     // No operand predicates
     /*  474275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474310 */     GIR_RootConstrainSelectedInstOperands,
     /*  474311 */     // GIR_Coverage, 14408,
     /*  474311 */     GIR_EraseRootFromParent_Done,
     /*  474312 */   // Label 8029: @474312
     /*  474312 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(474401), // Rule ID 14409 //
     /*  474317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474364 */     // MIs[1] Operand 1
     /*  474364 */     // No operand predicates
     /*  474364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474399 */     GIR_RootConstrainSelectedInstOperands,
     /*  474400 */     // GIR_Coverage, 14409,
     /*  474400 */     GIR_EraseRootFromParent_Done,
     /*  474401 */   // Label 8030: @474401
     /*  474401 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(474490), // Rule ID 14412 //
     /*  474406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474453 */     // MIs[1] Operand 1
     /*  474453 */     // No operand predicates
     /*  474453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474488 */     GIR_RootConstrainSelectedInstOperands,
     /*  474489 */     // GIR_Coverage, 14412,
     /*  474489 */     GIR_EraseRootFromParent_Done,
     /*  474490 */   // Label 8031: @474490
     /*  474490 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(474579), // Rule ID 14413 //
     /*  474495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474542 */     // MIs[1] Operand 1
     /*  474542 */     // No operand predicates
     /*  474542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474577 */     GIR_RootConstrainSelectedInstOperands,
     /*  474578 */     // GIR_Coverage, 14413,
     /*  474578 */     GIR_EraseRootFromParent_Done,
     /*  474579 */   // Label 8032: @474579
     /*  474579 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(474668), // Rule ID 14416 //
     /*  474584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474631 */     // MIs[1] Operand 1
     /*  474631 */     // No operand predicates
     /*  474631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474666 */     GIR_RootConstrainSelectedInstOperands,
     /*  474667 */     // GIR_Coverage, 14416,
     /*  474667 */     GIR_EraseRootFromParent_Done,
     /*  474668 */   // Label 8033: @474668
     /*  474668 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(474757), // Rule ID 14417 //
     /*  474673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474720 */     // MIs[1] Operand 1
     /*  474720 */     // No operand predicates
     /*  474720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474755 */     GIR_RootConstrainSelectedInstOperands,
     /*  474756 */     // GIR_Coverage, 14417,
     /*  474756 */     GIR_EraseRootFromParent_Done,
     /*  474757 */   // Label 8034: @474757
     /*  474757 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(474846), // Rule ID 14420 //
     /*  474762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474809 */     // MIs[1] Operand 1
     /*  474809 */     // No operand predicates
     /*  474809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474844 */     GIR_RootConstrainSelectedInstOperands,
     /*  474845 */     // GIR_Coverage, 14420,
     /*  474845 */     GIR_EraseRootFromParent_Done,
     /*  474846 */   // Label 8035: @474846
     /*  474846 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(474935), // Rule ID 14421 //
     /*  474851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  474868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474898 */     // MIs[1] Operand 1
     /*  474898 */     // No operand predicates
     /*  474898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474907 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474933 */     GIR_RootConstrainSelectedInstOperands,
     /*  474934 */     // GIR_Coverage, 14421,
     /*  474934 */     GIR_EraseRootFromParent_Done,
     /*  474935 */   // Label 8036: @474935
     /*  474935 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(475024), // Rule ID 14424 //
     /*  474940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  474951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  474954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  474957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474987 */     // MIs[1] Operand 1
     /*  474987 */     // No operand predicates
     /*  474987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  474999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475022 */     GIR_RootConstrainSelectedInstOperands,
     /*  475023 */     // GIR_Coverage, 14424,
     /*  475023 */     GIR_EraseRootFromParent_Done,
     /*  475024 */   // Label 8037: @475024
     /*  475024 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(475113), // Rule ID 14425 //
     /*  475029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  475040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  475043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475076 */     // MIs[1] Operand 1
     /*  475076 */     // No operand predicates
     /*  475076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475085 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475111 */     GIR_RootConstrainSelectedInstOperands,
     /*  475112 */     // GIR_Coverage, 14425,
     /*  475112 */     GIR_EraseRootFromParent_Done,
     /*  475113 */   // Label 8038: @475113
     /*  475113 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(475202), // Rule ID 14428 //
     /*  475118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475165 */     // MIs[1] Operand 1
     /*  475165 */     // No operand predicates
     /*  475165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475200 */     GIR_RootConstrainSelectedInstOperands,
     /*  475201 */     // GIR_Coverage, 14428,
     /*  475201 */     GIR_EraseRootFromParent_Done,
     /*  475202 */   // Label 8039: @475202
     /*  475202 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(475291), // Rule ID 14429 //
     /*  475207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475254 */     // MIs[1] Operand 1
     /*  475254 */     // No operand predicates
     /*  475254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475263 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475289 */     GIR_RootConstrainSelectedInstOperands,
     /*  475290 */     // GIR_Coverage, 14429,
     /*  475290 */     GIR_EraseRootFromParent_Done,
     /*  475291 */   // Label 8040: @475291
     /*  475291 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(475380), // Rule ID 14432 //
     /*  475296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475343 */     // MIs[1] Operand 1
     /*  475343 */     // No operand predicates
     /*  475343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  475355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475378 */     GIR_RootConstrainSelectedInstOperands,
     /*  475379 */     // GIR_Coverage, 14432,
     /*  475379 */     GIR_EraseRootFromParent_Done,
     /*  475380 */   // Label 8041: @475380
     /*  475380 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(475469), // Rule ID 14433 //
     /*  475385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475432 */     // MIs[1] Operand 1
     /*  475432 */     // No operand predicates
     /*  475432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475441 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  475444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475467 */     GIR_RootConstrainSelectedInstOperands,
     /*  475468 */     // GIR_Coverage, 14433,
     /*  475468 */     GIR_EraseRootFromParent_Done,
     /*  475469 */   // Label 8042: @475469
     /*  475469 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(475558), // Rule ID 14436 //
     /*  475474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475521 */     // MIs[1] Operand 1
     /*  475521 */     // No operand predicates
     /*  475521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475556 */     GIR_RootConstrainSelectedInstOperands,
     /*  475557 */     // GIR_Coverage, 14436,
     /*  475557 */     GIR_EraseRootFromParent_Done,
     /*  475558 */   // Label 8043: @475558
     /*  475558 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(475647), // Rule ID 14437 //
     /*  475563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475610 */     // MIs[1] Operand 1
     /*  475610 */     // No operand predicates
     /*  475610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475645 */     GIR_RootConstrainSelectedInstOperands,
     /*  475646 */     // GIR_Coverage, 14437,
     /*  475646 */     GIR_EraseRootFromParent_Done,
     /*  475647 */   // Label 8044: @475647
     /*  475647 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(475736), // Rule ID 14440 //
     /*  475652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475699 */     // MIs[1] Operand 1
     /*  475699 */     // No operand predicates
     /*  475699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475734 */     GIR_RootConstrainSelectedInstOperands,
     /*  475735 */     // GIR_Coverage, 14440,
     /*  475735 */     GIR_EraseRootFromParent_Done,
     /*  475736 */   // Label 8045: @475736
     /*  475736 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(475825), // Rule ID 14441 //
     /*  475741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475788 */     // MIs[1] Operand 1
     /*  475788 */     // No operand predicates
     /*  475788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475823 */     GIR_RootConstrainSelectedInstOperands,
     /*  475824 */     // GIR_Coverage, 14441,
     /*  475824 */     GIR_EraseRootFromParent_Done,
     /*  475825 */   // Label 8046: @475825
     /*  475825 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(475914), // Rule ID 14444 //
     /*  475830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475877 */     // MIs[1] Operand 1
     /*  475877 */     // No operand predicates
     /*  475877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  475889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475912 */     GIR_RootConstrainSelectedInstOperands,
     /*  475913 */     // GIR_Coverage, 14444,
     /*  475913 */     GIR_EraseRootFromParent_Done,
     /*  475914 */   // Label 8047: @475914
     /*  475914 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(476003), // Rule ID 14445 //
     /*  475919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  475936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475966 */     // MIs[1] Operand 1
     /*  475966 */     // No operand predicates
     /*  475966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  475978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476001 */     GIR_RootConstrainSelectedInstOperands,
     /*  476002 */     // GIR_Coverage, 14445,
     /*  476002 */     GIR_EraseRootFromParent_Done,
     /*  476003 */   // Label 8048: @476003
     /*  476003 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(476092), // Rule ID 14448 //
     /*  476008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476055 */     // MIs[1] Operand 1
     /*  476055 */     // No operand predicates
     /*  476055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476090 */     GIR_RootConstrainSelectedInstOperands,
     /*  476091 */     // GIR_Coverage, 14448,
     /*  476091 */     GIR_EraseRootFromParent_Done,
     /*  476092 */   // Label 8049: @476092
     /*  476092 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(476181), // Rule ID 14449 //
     /*  476097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476144 */     // MIs[1] Operand 1
     /*  476144 */     // No operand predicates
     /*  476144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476179 */     GIR_RootConstrainSelectedInstOperands,
     /*  476180 */     // GIR_Coverage, 14449,
     /*  476180 */     GIR_EraseRootFromParent_Done,
     /*  476181 */   // Label 8050: @476181
     /*  476181 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(476270), // Rule ID 14452 //
     /*  476186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476233 */     // MIs[1] Operand 1
     /*  476233 */     // No operand predicates
     /*  476233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476268 */     GIR_RootConstrainSelectedInstOperands,
     /*  476269 */     // GIR_Coverage, 14452,
     /*  476269 */     GIR_EraseRootFromParent_Done,
     /*  476270 */   // Label 8051: @476270
     /*  476270 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(476359), // Rule ID 14453 //
     /*  476275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476322 */     // MIs[1] Operand 1
     /*  476322 */     // No operand predicates
     /*  476322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476357 */     GIR_RootConstrainSelectedInstOperands,
     /*  476358 */     // GIR_Coverage, 14453,
     /*  476358 */     GIR_EraseRootFromParent_Done,
     /*  476359 */   // Label 8052: @476359
     /*  476359 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(476448), // Rule ID 14456 //
     /*  476364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476411 */     // MIs[1] Operand 1
     /*  476411 */     // No operand predicates
     /*  476411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476446 */     GIR_RootConstrainSelectedInstOperands,
     /*  476447 */     // GIR_Coverage, 14456,
     /*  476447 */     GIR_EraseRootFromParent_Done,
     /*  476448 */   // Label 8053: @476448
     /*  476448 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(476537), // Rule ID 14457 //
     /*  476453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476500 */     // MIs[1] Operand 1
     /*  476500 */     // No operand predicates
     /*  476500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476509 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476535 */     GIR_RootConstrainSelectedInstOperands,
     /*  476536 */     // GIR_Coverage, 14457,
     /*  476536 */     GIR_EraseRootFromParent_Done,
     /*  476537 */   // Label 8054: @476537
     /*  476537 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(476626), // Rule ID 14460 //
     /*  476542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476589 */     // MIs[1] Operand 1
     /*  476589 */     // No operand predicates
     /*  476589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476624 */     GIR_RootConstrainSelectedInstOperands,
     /*  476625 */     // GIR_Coverage, 14460,
     /*  476625 */     GIR_EraseRootFromParent_Done,
     /*  476626 */   // Label 8055: @476626
     /*  476626 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(476715), // Rule ID 14461 //
     /*  476631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476678 */     // MIs[1] Operand 1
     /*  476678 */     // No operand predicates
     /*  476678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476687 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476713 */     GIR_RootConstrainSelectedInstOperands,
     /*  476714 */     // GIR_Coverage, 14461,
     /*  476714 */     GIR_EraseRootFromParent_Done,
     /*  476715 */   // Label 8056: @476715
     /*  476715 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(476804), // Rule ID 14464 //
     /*  476720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476767 */     // MIs[1] Operand 1
     /*  476767 */     // No operand predicates
     /*  476767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476802 */     GIR_RootConstrainSelectedInstOperands,
     /*  476803 */     // GIR_Coverage, 14464,
     /*  476803 */     GIR_EraseRootFromParent_Done,
     /*  476804 */   // Label 8057: @476804
     /*  476804 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(476893), // Rule ID 14465 //
     /*  476809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476856 */     // MIs[1] Operand 1
     /*  476856 */     // No operand predicates
     /*  476856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476865 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476891 */     GIR_RootConstrainSelectedInstOperands,
     /*  476892 */     // GIR_Coverage, 14465,
     /*  476892 */     GIR_EraseRootFromParent_Done,
     /*  476893 */   // Label 8058: @476893
     /*  476893 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(476982), // Rule ID 14468 //
     /*  476898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  476901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476945 */     // MIs[1] Operand 1
     /*  476945 */     // No operand predicates
     /*  476945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476980 */     GIR_RootConstrainSelectedInstOperands,
     /*  476981 */     // GIR_Coverage, 14468,
     /*  476981 */     GIR_EraseRootFromParent_Done,
     /*  476982 */   // Label 8059: @476982
     /*  476982 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(477071), // Rule ID 14469 //
     /*  476987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  476990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477034 */     // MIs[1] Operand 1
     /*  477034 */     // No operand predicates
     /*  477034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  477046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477069 */     GIR_RootConstrainSelectedInstOperands,
     /*  477070 */     // GIR_Coverage, 14469,
     /*  477070 */     GIR_EraseRootFromParent_Done,
     /*  477071 */   // Label 8060: @477071
     /*  477071 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(477157), // Rule ID 24564 //
     /*  477076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  477087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  477090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477123 */     // MIs[1] Operand 1
     /*  477123 */     // No operand predicates
     /*  477123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  477135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477155 */     GIR_RootConstrainSelectedInstOperands,
     /*  477156 */     // GIR_Coverage, 24564,
     /*  477156 */     GIR_EraseRootFromParent_Done,
     /*  477157 */   // Label 8061: @477157
     /*  477157 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(477243), // Rule ID 24565 //
     /*  477162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  477173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  477176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477209 */     // MIs[1] Operand 1
     /*  477209 */     // No operand predicates
     /*  477209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477218 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  477221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477241 */     GIR_RootConstrainSelectedInstOperands,
     /*  477242 */     // GIR_Coverage, 24565,
     /*  477242 */     GIR_EraseRootFromParent_Done,
     /*  477243 */   // Label 8062: @477243
     /*  477243 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(477329), // Rule ID 24568 //
     /*  477248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  477259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  477262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  477265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477295 */     // MIs[1] Operand 1
     /*  477295 */     // No operand predicates
     /*  477295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477304 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477327 */     GIR_RootConstrainSelectedInstOperands,
     /*  477328 */     // GIR_Coverage, 24568,
     /*  477328 */     GIR_EraseRootFromParent_Done,
     /*  477329 */   // Label 8063: @477329
     /*  477329 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(477415), // Rule ID 24569 //
     /*  477334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  477345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  477348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  477351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477381 */     // MIs[1] Operand 1
     /*  477381 */     // No operand predicates
     /*  477381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477390 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477413 */     GIR_RootConstrainSelectedInstOperands,
     /*  477414 */     // GIR_Coverage, 24569,
     /*  477414 */     GIR_EraseRootFromParent_Done,
     /*  477415 */   // Label 8064: @477415
     /*  477415 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(477501), // Rule ID 24572 //
     /*  477420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  477431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  477434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  477437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477467 */     // MIs[1] Operand 1
     /*  477467 */     // No operand predicates
     /*  477467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477499 */     GIR_RootConstrainSelectedInstOperands,
     /*  477500 */     // GIR_Coverage, 24572,
     /*  477500 */     GIR_EraseRootFromParent_Done,
     /*  477501 */   // Label 8065: @477501
     /*  477501 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(477587), // Rule ID 24573 //
     /*  477506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  477517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  477520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  477523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477553 */     // MIs[1] Operand 1
     /*  477553 */     // No operand predicates
     /*  477553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477585 */     GIR_RootConstrainSelectedInstOperands,
     /*  477586 */     // GIR_Coverage, 24573,
     /*  477586 */     GIR_EraseRootFromParent_Done,
     /*  477587 */   // Label 8066: @477587
     /*  477587 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(477673), // Rule ID 24576 //
     /*  477592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477639 */     // MIs[1] Operand 1
     /*  477639 */     // No operand predicates
     /*  477639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477671 */     GIR_RootConstrainSelectedInstOperands,
     /*  477672 */     // GIR_Coverage, 24576,
     /*  477672 */     GIR_EraseRootFromParent_Done,
     /*  477673 */   // Label 8067: @477673
     /*  477673 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(477759), // Rule ID 24577 //
     /*  477678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477725 */     // MIs[1] Operand 1
     /*  477725 */     // No operand predicates
     /*  477725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477734 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477757 */     GIR_RootConstrainSelectedInstOperands,
     /*  477758 */     // GIR_Coverage, 24577,
     /*  477758 */     GIR_EraseRootFromParent_Done,
     /*  477759 */   // Label 8068: @477759
     /*  477759 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(477845), // Rule ID 24580 //
     /*  477764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477811 */     // MIs[1] Operand 1
     /*  477811 */     // No operand predicates
     /*  477811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477843 */     GIR_RootConstrainSelectedInstOperands,
     /*  477844 */     // GIR_Coverage, 24580,
     /*  477844 */     GIR_EraseRootFromParent_Done,
     /*  477845 */   // Label 8069: @477845
     /*  477845 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(477931), // Rule ID 24581 //
     /*  477850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477897 */     // MIs[1] Operand 1
     /*  477897 */     // No operand predicates
     /*  477897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477929 */     GIR_RootConstrainSelectedInstOperands,
     /*  477930 */     // GIR_Coverage, 24581,
     /*  477930 */     GIR_EraseRootFromParent_Done,
     /*  477931 */   // Label 8070: @477931
     /*  477931 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(478017), // Rule ID 24584 //
     /*  477936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  477947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  477950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  477953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477983 */     // MIs[1] Operand 1
     /*  477983 */     // No operand predicates
     /*  477983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  477995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478015 */     GIR_RootConstrainSelectedInstOperands,
     /*  478016 */     // GIR_Coverage, 24584,
     /*  478016 */     GIR_EraseRootFromParent_Done,
     /*  478017 */   // Label 8071: @478017
     /*  478017 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(478103), // Rule ID 24585 //
     /*  478022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  478033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  478036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478069 */     // MIs[1] Operand 1
     /*  478069 */     // No operand predicates
     /*  478069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478101 */     GIR_RootConstrainSelectedInstOperands,
     /*  478102 */     // GIR_Coverage, 24585,
     /*  478102 */     GIR_EraseRootFromParent_Done,
     /*  478103 */   // Label 8072: @478103
     /*  478103 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(478189), // Rule ID 24588 //
     /*  478108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  478119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  478122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478155 */     // MIs[1] Operand 1
     /*  478155 */     // No operand predicates
     /*  478155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478187 */     GIR_RootConstrainSelectedInstOperands,
     /*  478188 */     // GIR_Coverage, 24588,
     /*  478188 */     GIR_EraseRootFromParent_Done,
     /*  478189 */   // Label 8073: @478189
     /*  478189 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(478275), // Rule ID 24589 //
     /*  478194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  478205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  478208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478241 */     // MIs[1] Operand 1
     /*  478241 */     // No operand predicates
     /*  478241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478250 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478273 */     GIR_RootConstrainSelectedInstOperands,
     /*  478274 */     // GIR_Coverage, 24589,
     /*  478274 */     GIR_EraseRootFromParent_Done,
     /*  478275 */   // Label 8074: @478275
     /*  478275 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(478361), // Rule ID 24592 //
     /*  478280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478327 */     // MIs[1] Operand 1
     /*  478327 */     // No operand predicates
     /*  478327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478359 */     GIR_RootConstrainSelectedInstOperands,
     /*  478360 */     // GIR_Coverage, 24592,
     /*  478360 */     GIR_EraseRootFromParent_Done,
     /*  478361 */   // Label 8075: @478361
     /*  478361 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(478447), // Rule ID 24593 //
     /*  478366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478413 */     // MIs[1] Operand 1
     /*  478413 */     // No operand predicates
     /*  478413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478445 */     GIR_RootConstrainSelectedInstOperands,
     /*  478446 */     // GIR_Coverage, 24593,
     /*  478446 */     GIR_EraseRootFromParent_Done,
     /*  478447 */   // Label 8076: @478447
     /*  478447 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(478533), // Rule ID 24596 //
     /*  478452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478499 */     // MIs[1] Operand 1
     /*  478499 */     // No operand predicates
     /*  478499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478531 */     GIR_RootConstrainSelectedInstOperands,
     /*  478532 */     // GIR_Coverage, 24596,
     /*  478532 */     GIR_EraseRootFromParent_Done,
     /*  478533 */   // Label 8077: @478533
     /*  478533 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(478619), // Rule ID 24597 //
     /*  478538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478585 */     // MIs[1] Operand 1
     /*  478585 */     // No operand predicates
     /*  478585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478617 */     GIR_RootConstrainSelectedInstOperands,
     /*  478618 */     // GIR_Coverage, 24597,
     /*  478618 */     GIR_EraseRootFromParent_Done,
     /*  478619 */   // Label 8078: @478619
     /*  478619 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(478705), // Rule ID 24600 //
     /*  478624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  478627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  478641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478671 */     // MIs[1] Operand 1
     /*  478671 */     // No operand predicates
     /*  478671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  478680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478703 */     GIR_RootConstrainSelectedInstOperands,
     /*  478704 */     // GIR_Coverage, 24600,
     /*  478704 */     GIR_EraseRootFromParent_Done,
     /*  478705 */   // Label 8079: @478705
     /*  478705 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(478791), // Rule ID 24601 //
     /*  478710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  478713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  478727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478757 */     // MIs[1] Operand 1
     /*  478757 */     // No operand predicates
     /*  478757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478789 */     GIR_RootConstrainSelectedInstOperands,
     /*  478790 */     // GIR_Coverage, 24601,
     /*  478790 */     GIR_EraseRootFromParent_Done,
     /*  478791 */   // Label 8080: @478791
     /*  478791 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(478877), // Rule ID 24604 //
     /*  478796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  478807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  478810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  478813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478843 */     // MIs[1] Operand 1
     /*  478843 */     // No operand predicates
     /*  478843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478875 */     GIR_RootConstrainSelectedInstOperands,
     /*  478876 */     // GIR_Coverage, 24604,
     /*  478876 */     GIR_EraseRootFromParent_Done,
     /*  478877 */   // Label 8081: @478877
     /*  478877 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(478963), // Rule ID 24605 //
     /*  478882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  478893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  478896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  478899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478929 */     // MIs[1] Operand 1
     /*  478929 */     // No operand predicates
     /*  478929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478938 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  478941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478961 */     GIR_RootConstrainSelectedInstOperands,
     /*  478962 */     // GIR_Coverage, 24605,
     /*  478962 */     GIR_EraseRootFromParent_Done,
     /*  478963 */   // Label 8082: @478963
     /*  478963 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(479049), // Rule ID 24608 //
     /*  478968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  478979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  478982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  478985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479015 */     // MIs[1] Operand 1
     /*  479015 */     // No operand predicates
     /*  479015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479047 */     GIR_RootConstrainSelectedInstOperands,
     /*  479048 */     // GIR_Coverage, 24608,
     /*  479048 */     GIR_EraseRootFromParent_Done,
     /*  479049 */   // Label 8083: @479049
     /*  479049 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(479135), // Rule ID 24609 //
     /*  479054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  479065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  479068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479101 */     // MIs[1] Operand 1
     /*  479101 */     // No operand predicates
     /*  479101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479110 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479133 */     GIR_RootConstrainSelectedInstOperands,
     /*  479134 */     // GIR_Coverage, 24609,
     /*  479134 */     GIR_EraseRootFromParent_Done,
     /*  479135 */   // Label 8084: @479135
     /*  479135 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(479221), // Rule ID 24612 //
     /*  479140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  479151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  479154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  479157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479187 */     // MIs[1] Operand 1
     /*  479187 */     // No operand predicates
     /*  479187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479219 */     GIR_RootConstrainSelectedInstOperands,
     /*  479220 */     // GIR_Coverage, 24612,
     /*  479220 */     GIR_EraseRootFromParent_Done,
     /*  479221 */   // Label 8085: @479221
     /*  479221 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(479307), // Rule ID 24613 //
     /*  479226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  479237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  479240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  479243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479273 */     // MIs[1] Operand 1
     /*  479273 */     // No operand predicates
     /*  479273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479282 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479305 */     GIR_RootConstrainSelectedInstOperands,
     /*  479306 */     // GIR_Coverage, 24613,
     /*  479306 */     GIR_EraseRootFromParent_Done,
     /*  479307 */   // Label 8086: @479307
     /*  479307 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(479393), // Rule ID 24616 //
     /*  479312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479359 */     // MIs[1] Operand 1
     /*  479359 */     // No operand predicates
     /*  479359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479391 */     GIR_RootConstrainSelectedInstOperands,
     /*  479392 */     // GIR_Coverage, 24616,
     /*  479392 */     GIR_EraseRootFromParent_Done,
     /*  479393 */   // Label 8087: @479393
     /*  479393 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(479479), // Rule ID 24617 //
     /*  479398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479445 */     // MIs[1] Operand 1
     /*  479445 */     // No operand predicates
     /*  479445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479477 */     GIR_RootConstrainSelectedInstOperands,
     /*  479478 */     // GIR_Coverage, 24617,
     /*  479478 */     GIR_EraseRootFromParent_Done,
     /*  479479 */   // Label 8088: @479479
     /*  479479 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(479565), // Rule ID 24620 //
     /*  479484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479531 */     // MIs[1] Operand 1
     /*  479531 */     // No operand predicates
     /*  479531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479563 */     GIR_RootConstrainSelectedInstOperands,
     /*  479564 */     // GIR_Coverage, 24620,
     /*  479564 */     GIR_EraseRootFromParent_Done,
     /*  479565 */   // Label 8089: @479565
     /*  479565 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(479651), // Rule ID 24621 //
     /*  479570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479617 */     // MIs[1] Operand 1
     /*  479617 */     // No operand predicates
     /*  479617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479649 */     GIR_RootConstrainSelectedInstOperands,
     /*  479650 */     // GIR_Coverage, 24621,
     /*  479650 */     GIR_EraseRootFromParent_Done,
     /*  479651 */   // Label 8090: @479651
     /*  479651 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(479737), // Rule ID 24624 //
     /*  479656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479703 */     // MIs[1] Operand 1
     /*  479703 */     // No operand predicates
     /*  479703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479735 */     GIR_RootConstrainSelectedInstOperands,
     /*  479736 */     // GIR_Coverage, 24624,
     /*  479736 */     GIR_EraseRootFromParent_Done,
     /*  479737 */   // Label 8091: @479737
     /*  479737 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(479823), // Rule ID 24625 //
     /*  479742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  479759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479789 */     // MIs[1] Operand 1
     /*  479789 */     // No operand predicates
     /*  479789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479821 */     GIR_RootConstrainSelectedInstOperands,
     /*  479822 */     // GIR_Coverage, 24625,
     /*  479822 */     GIR_EraseRootFromParent_Done,
     /*  479823 */   // Label 8092: @479823
     /*  479823 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(479909), // Rule ID 24628 //
     /*  479828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  479839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  479842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  479845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479875 */     // MIs[1] Operand 1
     /*  479875 */     // No operand predicates
     /*  479875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  479884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479907 */     GIR_RootConstrainSelectedInstOperands,
     /*  479908 */     // GIR_Coverage, 24628,
     /*  479908 */     GIR_EraseRootFromParent_Done,
     /*  479909 */   // Label 8093: @479909
     /*  479909 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(479995), // Rule ID 24629 //
     /*  479914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  479925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  479928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  479931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479961 */     // MIs[1] Operand 1
     /*  479961 */     // No operand predicates
     /*  479961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  479970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479993 */     GIR_RootConstrainSelectedInstOperands,
     /*  479994 */     // GIR_Coverage, 24629,
     /*  479994 */     GIR_EraseRootFromParent_Done,
     /*  479995 */   // Label 8094: @479995
     /*  479995 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(480081), // Rule ID 24632 //
     /*  480000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480047 */     // MIs[1] Operand 1
     /*  480047 */     // No operand predicates
     /*  480047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480079 */     GIR_RootConstrainSelectedInstOperands,
     /*  480080 */     // GIR_Coverage, 24632,
     /*  480080 */     GIR_EraseRootFromParent_Done,
     /*  480081 */   // Label 8095: @480081
     /*  480081 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(480167), // Rule ID 24633 //
     /*  480086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480133 */     // MIs[1] Operand 1
     /*  480133 */     // No operand predicates
     /*  480133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480165 */     GIR_RootConstrainSelectedInstOperands,
     /*  480166 */     // GIR_Coverage, 24633,
     /*  480166 */     GIR_EraseRootFromParent_Done,
     /*  480167 */   // Label 8096: @480167
     /*  480167 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(480253), // Rule ID 24636 //
     /*  480172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480219 */     // MIs[1] Operand 1
     /*  480219 */     // No operand predicates
     /*  480219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480251 */     GIR_RootConstrainSelectedInstOperands,
     /*  480252 */     // GIR_Coverage, 24636,
     /*  480252 */     GIR_EraseRootFromParent_Done,
     /*  480253 */   // Label 8097: @480253
     /*  480253 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(480339), // Rule ID 24637 //
     /*  480258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480305 */     // MIs[1] Operand 1
     /*  480305 */     // No operand predicates
     /*  480305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480337 */     GIR_RootConstrainSelectedInstOperands,
     /*  480338 */     // GIR_Coverage, 24637,
     /*  480338 */     GIR_EraseRootFromParent_Done,
     /*  480339 */   // Label 8098: @480339
     /*  480339 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(480425), // Rule ID 24640 //
     /*  480344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  480347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  480361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480391 */     // MIs[1] Operand 1
     /*  480391 */     // No operand predicates
     /*  480391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  480400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480423 */     GIR_RootConstrainSelectedInstOperands,
     /*  480424 */     // GIR_Coverage, 24640,
     /*  480424 */     GIR_EraseRootFromParent_Done,
     /*  480425 */   // Label 8099: @480425
     /*  480425 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(480511), // Rule ID 24641 //
     /*  480430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  480433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  480447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480477 */     // MIs[1] Operand 1
     /*  480477 */     // No operand predicates
     /*  480477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  480486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480509 */     GIR_RootConstrainSelectedInstOperands,
     /*  480510 */     // GIR_Coverage, 24641,
     /*  480510 */     GIR_EraseRootFromParent_Done,
     /*  480511 */   // Label 8100: @480511
     /*  480511 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(480597), // Rule ID 24644 //
     /*  480516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  480519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  480527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  480530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  480533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480563 */     // MIs[1] Operand 1
     /*  480563 */     // No operand predicates
     /*  480563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  480572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480595 */     GIR_RootConstrainSelectedInstOperands,
     /*  480596 */     // GIR_Coverage, 24644,
     /*  480596 */     GIR_EraseRootFromParent_Done,
     /*  480597 */   // Label 8101: @480597
     /*  480597 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(480683), // Rule ID 24645 //
     /*  480602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  480605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  480613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  480616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  480619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480649 */     // MIs[1] Operand 1
     /*  480649 */     // No operand predicates
     /*  480649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  480658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480681 */     GIR_RootConstrainSelectedInstOperands,
     /*  480682 */     // GIR_Coverage, 24645,
     /*  480682 */     GIR_EraseRootFromParent_Done,
     /*  480683 */   // Label 8102: @480683
     /*  480683 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(480769), // Rule ID 24648 //
     /*  480688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  480691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  480699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  480702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  480705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480735 */     // MIs[1] Operand 1
     /*  480735 */     // No operand predicates
     /*  480735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  480744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480767 */     GIR_RootConstrainSelectedInstOperands,
     /*  480768 */     // GIR_Coverage, 24648,
     /*  480768 */     GIR_EraseRootFromParent_Done,
     /*  480769 */   // Label 8103: @480769
     /*  480769 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(480855), // Rule ID 24649 //
     /*  480774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  480777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  480785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  480788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  480791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480821 */     // MIs[1] Operand 1
     /*  480821 */     // No operand predicates
     /*  480821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480830 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  480830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  480850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480853 */     GIR_RootConstrainSelectedInstOperands,
     /*  480854 */     // GIR_Coverage, 24649,
     /*  480854 */     GIR_EraseRootFromParent_Done,
     /*  480855 */   // Label 8104: @480855
     /*  480855 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(480941), // Rule ID 24808 //
     /*  480860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  480863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480907 */     // MIs[1] Operand 1
     /*  480907 */     // No operand predicates
     /*  480907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480916 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  480919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480939 */     GIR_RootConstrainSelectedInstOperands,
     /*  480940 */     // GIR_Coverage, 24808,
     /*  480940 */     GIR_EraseRootFromParent_Done,
     /*  480941 */   // Label 8105: @480941
     /*  480941 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(481027), // Rule ID 24809 //
     /*  480946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  480949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480993 */     // MIs[1] Operand 1
     /*  480993 */     // No operand predicates
     /*  480993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  481005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481025 */     GIR_RootConstrainSelectedInstOperands,
     /*  481026 */     // GIR_Coverage, 24809,
     /*  481026 */     GIR_EraseRootFromParent_Done,
     /*  481027 */   // Label 8106: @481027
     /*  481027 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(481113), // Rule ID 24812 //
     /*  481032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481079 */     // MIs[1] Operand 1
     /*  481079 */     // No operand predicates
     /*  481079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481111 */     GIR_RootConstrainSelectedInstOperands,
     /*  481112 */     // GIR_Coverage, 24812,
     /*  481112 */     GIR_EraseRootFromParent_Done,
     /*  481113 */   // Label 8107: @481113
     /*  481113 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(481199), // Rule ID 24813 //
     /*  481118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481165 */     // MIs[1] Operand 1
     /*  481165 */     // No operand predicates
     /*  481165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481174 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481197 */     GIR_RootConstrainSelectedInstOperands,
     /*  481198 */     // GIR_Coverage, 24813,
     /*  481198 */     GIR_EraseRootFromParent_Done,
     /*  481199 */   // Label 8108: @481199
     /*  481199 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(481285), // Rule ID 24816 //
     /*  481204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  481207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481251 */     // MIs[1] Operand 1
     /*  481251 */     // No operand predicates
     /*  481251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  481260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481283 */     GIR_RootConstrainSelectedInstOperands,
     /*  481284 */     // GIR_Coverage, 24816,
     /*  481284 */     GIR_EraseRootFromParent_Done,
     /*  481285 */   // Label 8109: @481285
     /*  481285 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(481371), // Rule ID 24817 //
     /*  481290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  481293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481337 */     // MIs[1] Operand 1
     /*  481337 */     // No operand predicates
     /*  481337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  481346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  481349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481369 */     GIR_RootConstrainSelectedInstOperands,
     /*  481370 */     // GIR_Coverage, 24817,
     /*  481370 */     GIR_EraseRootFromParent_Done,
     /*  481371 */   // Label 8110: @481371
     /*  481371 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(481457), // Rule ID 24820 //
     /*  481376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  481387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  481390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481423 */     // MIs[1] Operand 1
     /*  481423 */     // No operand predicates
     /*  481423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481432 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  481435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481455 */     GIR_RootConstrainSelectedInstOperands,
     /*  481456 */     // GIR_Coverage, 24820,
     /*  481456 */     GIR_EraseRootFromParent_Done,
     /*  481457 */   // Label 8111: @481457
     /*  481457 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(481543), // Rule ID 24821 //
     /*  481462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  481473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  481476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481509 */     // MIs[1] Operand 1
     /*  481509 */     // No operand predicates
     /*  481509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481518 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  481521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481541 */     GIR_RootConstrainSelectedInstOperands,
     /*  481542 */     // GIR_Coverage, 24821,
     /*  481542 */     GIR_EraseRootFromParent_Done,
     /*  481543 */   // Label 8112: @481543
     /*  481543 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(481629), // Rule ID 24824 //
     /*  481548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  481559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  481562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481595 */     // MIs[1] Operand 1
     /*  481595 */     // No operand predicates
     /*  481595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481604 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  481607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481627 */     GIR_RootConstrainSelectedInstOperands,
     /*  481628 */     // GIR_Coverage, 24824,
     /*  481628 */     GIR_EraseRootFromParent_Done,
     /*  481629 */   // Label 8113: @481629
     /*  481629 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(481715), // Rule ID 24825 //
     /*  481634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  481645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  481648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481681 */     // MIs[1] Operand 1
     /*  481681 */     // No operand predicates
     /*  481681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481690 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  481693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481713 */     GIR_RootConstrainSelectedInstOperands,
     /*  481714 */     // GIR_Coverage, 24825,
     /*  481714 */     GIR_EraseRootFromParent_Done,
     /*  481715 */   // Label 8114: @481715
     /*  481715 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(481801), // Rule ID 24828 //
     /*  481720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  481737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481767 */     // MIs[1] Operand 1
     /*  481767 */     // No operand predicates
     /*  481767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481776 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  481779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481799 */     GIR_RootConstrainSelectedInstOperands,
     /*  481800 */     // GIR_Coverage, 24828,
     /*  481800 */     GIR_EraseRootFromParent_Done,
     /*  481801 */   // Label 8115: @481801
     /*  481801 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(481887), // Rule ID 24829 //
     /*  481806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  481817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  481820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  481823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481853 */     // MIs[1] Operand 1
     /*  481853 */     // No operand predicates
     /*  481853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481862 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  481865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481885 */     GIR_RootConstrainSelectedInstOperands,
     /*  481886 */     // GIR_Coverage, 24829,
     /*  481886 */     GIR_EraseRootFromParent_Done,
     /*  481887 */   // Label 8116: @481887
     /*  481887 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(481973), // Rule ID 24832 //
     /*  481892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  481895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  481909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481939 */     // MIs[1] Operand 1
     /*  481939 */     // No operand predicates
     /*  481939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  481948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  481951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481971 */     GIR_RootConstrainSelectedInstOperands,
     /*  481972 */     // GIR_Coverage, 24832,
     /*  481972 */     GIR_EraseRootFromParent_Done,
     /*  481973 */   // Label 8117: @481973
     /*  481973 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(482059), // Rule ID 24833 //
     /*  481978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  481981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  481995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482025 */     // MIs[1] Operand 1
     /*  482025 */     // No operand predicates
     /*  482025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482034 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  482034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  482037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482057 */     GIR_RootConstrainSelectedInstOperands,
     /*  482058 */     // GIR_Coverage, 24833,
     /*  482058 */     GIR_EraseRootFromParent_Done,
     /*  482059 */   // Label 8118: @482059
     /*  482059 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(482145), // Rule ID 24836 //
     /*  482064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  482067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  482075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  482078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  482081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482111 */     // MIs[1] Operand 1
     /*  482111 */     // No operand predicates
     /*  482111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482120 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  482120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  482123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482143 */     GIR_RootConstrainSelectedInstOperands,
     /*  482144 */     // GIR_Coverage, 24836,
     /*  482144 */     GIR_EraseRootFromParent_Done,
     /*  482145 */   // Label 8119: @482145
     /*  482145 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(482231), // Rule ID 24837 //
     /*  482150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  482153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  482161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  482164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  482167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482197 */     // MIs[1] Operand 1
     /*  482197 */     // No operand predicates
     /*  482197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482206 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  482206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  482209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482229 */     GIR_RootConstrainSelectedInstOperands,
     /*  482230 */     // GIR_Coverage, 24837,
     /*  482230 */     GIR_EraseRootFromParent_Done,
     /*  482231 */   // Label 8120: @482231
     /*  482231 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(482317), // Rule ID 24840 //
     /*  482236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  482239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  482247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  482250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  482253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482283 */     // MIs[1] Operand 1
     /*  482283 */     // No operand predicates
     /*  482283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482292 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  482292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  482295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482315 */     GIR_RootConstrainSelectedInstOperands,
     /*  482316 */     // GIR_Coverage, 24840,
     /*  482316 */     GIR_EraseRootFromParent_Done,
     /*  482317 */   // Label 8121: @482317
     /*  482317 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(482403), // Rule ID 24841 //
     /*  482322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  482325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  482333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  482336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  482339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482369 */     // MIs[1] Operand 1
     /*  482369 */     // No operand predicates
     /*  482369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482378 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  482378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  482381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482401 */     GIR_RootConstrainSelectedInstOperands,
     /*  482402 */     // GIR_Coverage, 24841,
     /*  482402 */     GIR_EraseRootFromParent_Done,
     /*  482403 */   // Label 8122: @482403
     /*  482403 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(482489), // Rule ID 24892 //
     /*  482408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482455 */     // MIs[1] Operand 1
     /*  482455 */     // No operand predicates
     /*  482455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482464 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  482467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482487 */     GIR_RootConstrainSelectedInstOperands,
     /*  482488 */     // GIR_Coverage, 24892,
     /*  482488 */     GIR_EraseRootFromParent_Done,
     /*  482489 */   // Label 8123: @482489
     /*  482489 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(482575), // Rule ID 24893 //
     /*  482494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  482505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  482508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482541 */     // MIs[1] Operand 1
     /*  482541 */     // No operand predicates
     /*  482541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482550 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  482553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482573 */     GIR_RootConstrainSelectedInstOperands,
     /*  482574 */     // GIR_Coverage, 24893,
     /*  482574 */     GIR_EraseRootFromParent_Done,
     /*  482575 */   // Label 8124: @482575
     /*  482575 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(482661), // Rule ID 24896 //
     /*  482580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482627 */     // MIs[1] Operand 1
     /*  482627 */     // No operand predicates
     /*  482627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482636 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  482639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482659 */     GIR_RootConstrainSelectedInstOperands,
     /*  482660 */     // GIR_Coverage, 24896,
     /*  482660 */     GIR_EraseRootFromParent_Done,
     /*  482661 */   // Label 8125: @482661
     /*  482661 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(482747), // Rule ID 24897 //
     /*  482666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  482677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  482680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482713 */     // MIs[1] Operand 1
     /*  482713 */     // No operand predicates
     /*  482713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482722 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  482725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482745 */     GIR_RootConstrainSelectedInstOperands,
     /*  482746 */     // GIR_Coverage, 24897,
     /*  482746 */     GIR_EraseRootFromParent_Done,
     /*  482747 */   // Label 8126: @482747
     /*  482747 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(482833), // Rule ID 24900 //
     /*  482752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482799 */     // MIs[1] Operand 1
     /*  482799 */     // No operand predicates
     /*  482799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482808 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482831 */     GIR_RootConstrainSelectedInstOperands,
     /*  482832 */     // GIR_Coverage, 24900,
     /*  482832 */     GIR_EraseRootFromParent_Done,
     /*  482833 */   // Label 8127: @482833
     /*  482833 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(482919), // Rule ID 24901 //
     /*  482838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482885 */     // MIs[1] Operand 1
     /*  482885 */     // No operand predicates
     /*  482885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482894 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482917 */     GIR_RootConstrainSelectedInstOperands,
     /*  482918 */     // GIR_Coverage, 24901,
     /*  482918 */     GIR_EraseRootFromParent_Done,
     /*  482919 */   // Label 8128: @482919
     /*  482919 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(483005), // Rule ID 24904 //
     /*  482924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  482935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  482938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482971 */     // MIs[1] Operand 1
     /*  482971 */     // No operand predicates
     /*  482971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482980 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  482983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483003 */     GIR_RootConstrainSelectedInstOperands,
     /*  483004 */     // GIR_Coverage, 24904,
     /*  483004 */     GIR_EraseRootFromParent_Done,
     /*  483005 */   // Label 8129: @483005
     /*  483005 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(483091), // Rule ID 24905 //
     /*  483010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  483027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483057 */     // MIs[1] Operand 1
     /*  483057 */     // No operand predicates
     /*  483057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483066 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  483069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483089 */     GIR_RootConstrainSelectedInstOperands,
     /*  483090 */     // GIR_Coverage, 24905,
     /*  483090 */     GIR_EraseRootFromParent_Done,
     /*  483091 */   // Label 8130: @483091
     /*  483091 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(483177), // Rule ID 24908 //
     /*  483096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  483099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483143 */     // MIs[1] Operand 1
     /*  483143 */     // No operand predicates
     /*  483143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483152 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483175 */     GIR_RootConstrainSelectedInstOperands,
     /*  483176 */     // GIR_Coverage, 24908,
     /*  483176 */     GIR_EraseRootFromParent_Done,
     /*  483177 */   // Label 8131: @483177
     /*  483177 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(483263), // Rule ID 24909 //
     /*  483182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  483193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  483196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  483199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483229 */     // MIs[1] Operand 1
     /*  483229 */     // No operand predicates
     /*  483229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483238 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483261 */     GIR_RootConstrainSelectedInstOperands,
     /*  483262 */     // GIR_Coverage, 24909,
     /*  483262 */     GIR_EraseRootFromParent_Done,
     /*  483263 */   // Label 8132: @483263
     /*  483263 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(483349), // Rule ID 24912 //
     /*  483268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  483271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  483279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  483282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  483285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483315 */     // MIs[1] Operand 1
     /*  483315 */     // No operand predicates
     /*  483315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483324 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  483324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  483327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483347 */     GIR_RootConstrainSelectedInstOperands,
     /*  483348 */     // GIR_Coverage, 24912,
     /*  483348 */     GIR_EraseRootFromParent_Done,
     /*  483349 */   // Label 8133: @483349
     /*  483349 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(483435), // Rule ID 24913 //
     /*  483354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  483365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  483368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  483371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483401 */     // MIs[1] Operand 1
     /*  483401 */     // No operand predicates
     /*  483401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483410 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  483413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483433 */     GIR_RootConstrainSelectedInstOperands,
     /*  483434 */     // GIR_Coverage, 24913,
     /*  483434 */     GIR_EraseRootFromParent_Done,
     /*  483435 */   // Label 8134: @483435
     /*  483435 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(483521), // Rule ID 60924 //
     /*  483440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  483443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483487 */     // MIs[1] Operand 1
     /*  483487 */     // No operand predicates
     /*  483487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  483499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483519 */     GIR_RootConstrainSelectedInstOperands,
     /*  483520 */     // GIR_Coverage, 60924,
     /*  483520 */     GIR_EraseRootFromParent_Done,
     /*  483521 */   // Label 8135: @483521
     /*  483521 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(483607), // Rule ID 60925 //
     /*  483526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  483529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483573 */     // MIs[1] Operand 1
     /*  483573 */     // No operand predicates
     /*  483573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  483585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483605 */     GIR_RootConstrainSelectedInstOperands,
     /*  483606 */     // GIR_Coverage, 60925,
     /*  483606 */     GIR_EraseRootFromParent_Done,
     /*  483607 */   // Label 8136: @483607
     /*  483607 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(483693), // Rule ID 60932 //
     /*  483612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  483615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483659 */     // MIs[1] Operand 1
     /*  483659 */     // No operand predicates
     /*  483659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  483671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483691 */     GIR_RootConstrainSelectedInstOperands,
     /*  483692 */     // GIR_Coverage, 60932,
     /*  483692 */     GIR_EraseRootFromParent_Done,
     /*  483693 */   // Label 8137: @483693
     /*  483693 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(483779), // Rule ID 60933 //
     /*  483698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  483701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483745 */     // MIs[1] Operand 1
     /*  483745 */     // No operand predicates
     /*  483745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  483757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483777 */     GIR_RootConstrainSelectedInstOperands,
     /*  483778 */     // GIR_Coverage, 60933,
     /*  483778 */     GIR_EraseRootFromParent_Done,
     /*  483779 */   // Label 8138: @483779
     /*  483779 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(483865), // Rule ID 60940 //
     /*  483784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  483787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  483801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483831 */     // MIs[1] Operand 1
     /*  483831 */     // No operand predicates
     /*  483831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  483843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483863 */     GIR_RootConstrainSelectedInstOperands,
     /*  483864 */     // GIR_Coverage, 60940,
     /*  483864 */     GIR_EraseRootFromParent_Done,
     /*  483865 */   // Label 8139: @483865
     /*  483865 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(483951), // Rule ID 60941 //
     /*  483870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  483873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  483887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483917 */     // MIs[1] Operand 1
     /*  483917 */     // No operand predicates
     /*  483917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  483929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483949 */     GIR_RootConstrainSelectedInstOperands,
     /*  483950 */     // GIR_Coverage, 60941,
     /*  483950 */     GIR_EraseRootFromParent_Done,
     /*  483951 */   // Label 8140: @483951
     /*  483951 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(484037), // Rule ID 60948 //
     /*  483956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  483959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  483964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  483973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484003 */     // MIs[1] Operand 1
     /*  484003 */     // No operand predicates
     /*  484003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484012 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484035 */     GIR_RootConstrainSelectedInstOperands,
     /*  484036 */     // GIR_Coverage, 60948,
     /*  484036 */     GIR_EraseRootFromParent_Done,
     /*  484037 */   // Label 8141: @484037
     /*  484037 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(484123), // Rule ID 60949 //
     /*  484042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  484059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484089 */     // MIs[1] Operand 1
     /*  484089 */     // No operand predicates
     /*  484089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484098 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484121 */     GIR_RootConstrainSelectedInstOperands,
     /*  484122 */     // GIR_Coverage, 60949,
     /*  484122 */     GIR_EraseRootFromParent_Done,
     /*  484123 */   // Label 8142: @484123
     /*  484123 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(484209), // Rule ID 60956 //
     /*  484128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484175 */     // MIs[1] Operand 1
     /*  484175 */     // No operand predicates
     /*  484175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484184 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  484187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484207 */     GIR_RootConstrainSelectedInstOperands,
     /*  484208 */     // GIR_Coverage, 60956,
     /*  484208 */     GIR_EraseRootFromParent_Done,
     /*  484209 */   // Label 8143: @484209
     /*  484209 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(484295), // Rule ID 60957 //
     /*  484214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484261 */     // MIs[1] Operand 1
     /*  484261 */     // No operand predicates
     /*  484261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484270 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  484273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484293 */     GIR_RootConstrainSelectedInstOperands,
     /*  484294 */     // GIR_Coverage, 60957,
     /*  484294 */     GIR_EraseRootFromParent_Done,
     /*  484295 */   // Label 8144: @484295
     /*  484295 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(484381), // Rule ID 60964 //
     /*  484300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484347 */     // MIs[1] Operand 1
     /*  484347 */     // No operand predicates
     /*  484347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484356 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  484359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484379 */     GIR_RootConstrainSelectedInstOperands,
     /*  484380 */     // GIR_Coverage, 60964,
     /*  484380 */     GIR_EraseRootFromParent_Done,
     /*  484381 */   // Label 8145: @484381
     /*  484381 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(484467), // Rule ID 60965 //
     /*  484386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484433 */     // MIs[1] Operand 1
     /*  484433 */     // No operand predicates
     /*  484433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  484445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484465 */     GIR_RootConstrainSelectedInstOperands,
     /*  484466 */     // GIR_Coverage, 60965,
     /*  484466 */     GIR_EraseRootFromParent_Done,
     /*  484467 */   // Label 8146: @484467
     /*  484467 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(484553), // Rule ID 60972 //
     /*  484472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484519 */     // MIs[1] Operand 1
     /*  484519 */     // No operand predicates
     /*  484519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  484531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484551 */     GIR_RootConstrainSelectedInstOperands,
     /*  484552 */     // GIR_Coverage, 60972,
     /*  484552 */     GIR_EraseRootFromParent_Done,
     /*  484553 */   // Label 8147: @484553
     /*  484553 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(484639), // Rule ID 60973 //
     /*  484558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484605 */     // MIs[1] Operand 1
     /*  484605 */     // No operand predicates
     /*  484605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484614 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  484617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484637 */     GIR_RootConstrainSelectedInstOperands,
     /*  484638 */     // GIR_Coverage, 60973,
     /*  484638 */     GIR_EraseRootFromParent_Done,
     /*  484639 */   // Label 8148: @484639
     /*  484639 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(484725), // Rule ID 60980 //
     /*  484644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484691 */     // MIs[1] Operand 1
     /*  484691 */     // No operand predicates
     /*  484691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484723 */     GIR_RootConstrainSelectedInstOperands,
     /*  484724 */     // GIR_Coverage, 60980,
     /*  484724 */     GIR_EraseRootFromParent_Done,
     /*  484725 */   // Label 8149: @484725
     /*  484725 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(484811), // Rule ID 60981 //
     /*  484730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484777 */     // MIs[1] Operand 1
     /*  484777 */     // No operand predicates
     /*  484777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484809 */     GIR_RootConstrainSelectedInstOperands,
     /*  484810 */     // GIR_Coverage, 60981,
     /*  484810 */     GIR_EraseRootFromParent_Done,
     /*  484811 */   // Label 8150: @484811
     /*  484811 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(484897), // Rule ID 60988 //
     /*  484816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484863 */     // MIs[1] Operand 1
     /*  484863 */     // No operand predicates
     /*  484863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484895 */     GIR_RootConstrainSelectedInstOperands,
     /*  484896 */     // GIR_Coverage, 60988,
     /*  484896 */     GIR_EraseRootFromParent_Done,
     /*  484897 */   // Label 8151: @484897
     /*  484897 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(484983), // Rule ID 60989 //
     /*  484902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484949 */     // MIs[1] Operand 1
     /*  484949 */     // No operand predicates
     /*  484949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484981 */     GIR_RootConstrainSelectedInstOperands,
     /*  484982 */     // GIR_Coverage, 60989,
     /*  484982 */     GIR_EraseRootFromParent_Done,
     /*  484983 */   // Label 8152: @484983
     /*  484983 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(485069), // Rule ID 60996 //
     /*  484988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485035 */     // MIs[1] Operand 1
     /*  485035 */     // No operand predicates
     /*  485035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485067 */     GIR_RootConstrainSelectedInstOperands,
     /*  485068 */     // GIR_Coverage, 60996,
     /*  485068 */     GIR_EraseRootFromParent_Done,
     /*  485069 */   // Label 8153: @485069
     /*  485069 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(485155), // Rule ID 60997 //
     /*  485074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485121 */     // MIs[1] Operand 1
     /*  485121 */     // No operand predicates
     /*  485121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485153 */     GIR_RootConstrainSelectedInstOperands,
     /*  485154 */     // GIR_Coverage, 60997,
     /*  485154 */     GIR_EraseRootFromParent_Done,
     /*  485155 */   // Label 8154: @485155
     /*  485155 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(485241), // Rule ID 61004 //
     /*  485160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485207 */     // MIs[1] Operand 1
     /*  485207 */     // No operand predicates
     /*  485207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485239 */     GIR_RootConstrainSelectedInstOperands,
     /*  485240 */     // GIR_Coverage, 61004,
     /*  485240 */     GIR_EraseRootFromParent_Done,
     /*  485241 */   // Label 8155: @485241
     /*  485241 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(485327), // Rule ID 61005 //
     /*  485246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485293 */     // MIs[1] Operand 1
     /*  485293 */     // No operand predicates
     /*  485293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485325 */     GIR_RootConstrainSelectedInstOperands,
     /*  485326 */     // GIR_Coverage, 61005,
     /*  485326 */     GIR_EraseRootFromParent_Done,
     /*  485327 */   // Label 8156: @485327
     /*  485327 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(485413), // Rule ID 61012 //
     /*  485332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485379 */     // MIs[1] Operand 1
     /*  485379 */     // No operand predicates
     /*  485379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  485391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485411 */     GIR_RootConstrainSelectedInstOperands,
     /*  485412 */     // GIR_Coverage, 61012,
     /*  485412 */     GIR_EraseRootFromParent_Done,
     /*  485413 */   // Label 8157: @485413
     /*  485413 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(485499), // Rule ID 61013 //
     /*  485418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485465 */     // MIs[1] Operand 1
     /*  485465 */     // No operand predicates
     /*  485465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  485477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485497 */     GIR_RootConstrainSelectedInstOperands,
     /*  485498 */     // GIR_Coverage, 61013,
     /*  485498 */     GIR_EraseRootFromParent_Done,
     /*  485499 */   // Label 8158: @485499
     /*  485499 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(485585), // Rule ID 61020 //
     /*  485504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485551 */     // MIs[1] Operand 1
     /*  485551 */     // No operand predicates
     /*  485551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485583 */     GIR_RootConstrainSelectedInstOperands,
     /*  485584 */     // GIR_Coverage, 61020,
     /*  485584 */     GIR_EraseRootFromParent_Done,
     /*  485585 */   // Label 8159: @485585
     /*  485585 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(485671), // Rule ID 61021 //
     /*  485590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485637 */     // MIs[1] Operand 1
     /*  485637 */     // No operand predicates
     /*  485637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485669 */     GIR_RootConstrainSelectedInstOperands,
     /*  485670 */     // GIR_Coverage, 61021,
     /*  485670 */     GIR_EraseRootFromParent_Done,
     /*  485671 */   // Label 8160: @485671
     /*  485671 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(485757), // Rule ID 61028 //
     /*  485676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485723 */     // MIs[1] Operand 1
     /*  485723 */     // No operand predicates
     /*  485723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485755 */     GIR_RootConstrainSelectedInstOperands,
     /*  485756 */     // GIR_Coverage, 61028,
     /*  485756 */     GIR_EraseRootFromParent_Done,
     /*  485757 */   // Label 8161: @485757
     /*  485757 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(485843), // Rule ID 61029 //
     /*  485762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485809 */     // MIs[1] Operand 1
     /*  485809 */     // No operand predicates
     /*  485809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485841 */     GIR_RootConstrainSelectedInstOperands,
     /*  485842 */     // GIR_Coverage, 61029,
     /*  485842 */     GIR_EraseRootFromParent_Done,
     /*  485843 */   // Label 8162: @485843
     /*  485843 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(485929), // Rule ID 61036 //
     /*  485848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485895 */     // MIs[1] Operand 1
     /*  485895 */     // No operand predicates
     /*  485895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485927 */     GIR_RootConstrainSelectedInstOperands,
     /*  485928 */     // GIR_Coverage, 61036,
     /*  485928 */     GIR_EraseRootFromParent_Done,
     /*  485929 */   // Label 8163: @485929
     /*  485929 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(486015), // Rule ID 61037 //
     /*  485934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485981 */     // MIs[1] Operand 1
     /*  485981 */     // No operand predicates
     /*  485981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485990 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486013 */     GIR_RootConstrainSelectedInstOperands,
     /*  486014 */     // GIR_Coverage, 61037,
     /*  486014 */     GIR_EraseRootFromParent_Done,
     /*  486015 */   // Label 8164: @486015
     /*  486015 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(486101), // Rule ID 61892 //
     /*  486020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  486031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  486034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  486037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486067 */     // MIs[1] Operand 1
     /*  486067 */     // No operand predicates
     /*  486067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  486079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486099 */     GIR_RootConstrainSelectedInstOperands,
     /*  486100 */     // GIR_Coverage, 61892,
     /*  486100 */     GIR_EraseRootFromParent_Done,
     /*  486101 */   // Label 8165: @486101
     /*  486101 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(486187), // Rule ID 61893 //
     /*  486106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  486117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  486120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  486123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486153 */     // MIs[1] Operand 1
     /*  486153 */     // No operand predicates
     /*  486153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  486165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486185 */     GIR_RootConstrainSelectedInstOperands,
     /*  486186 */     // GIR_Coverage, 61893,
     /*  486186 */     GIR_EraseRootFromParent_Done,
     /*  486187 */   // Label 8166: @486187
     /*  486187 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(486273), // Rule ID 61896 //
     /*  486192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  486203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  486206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  486209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486239 */     // MIs[1] Operand 1
     /*  486239 */     // No operand predicates
     /*  486239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486271 */     GIR_RootConstrainSelectedInstOperands,
     /*  486272 */     // GIR_Coverage, 61896,
     /*  486272 */     GIR_EraseRootFromParent_Done,
     /*  486273 */   // Label 8167: @486273
     /*  486273 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(486359), // Rule ID 61897 //
     /*  486278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  486289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  486292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  486295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486325 */     // MIs[1] Operand 1
     /*  486325 */     // No operand predicates
     /*  486325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486334 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486357 */     GIR_RootConstrainSelectedInstOperands,
     /*  486358 */     // GIR_Coverage, 61897,
     /*  486358 */     GIR_EraseRootFromParent_Done,
     /*  486359 */   // Label 8168: @486359
     /*  486359 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(486445), // Rule ID 61900 //
     /*  486364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  486375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  486378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  486381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486411 */     // MIs[1] Operand 1
     /*  486411 */     // No operand predicates
     /*  486411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486420 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486443 */     GIR_RootConstrainSelectedInstOperands,
     /*  486444 */     // GIR_Coverage, 61900,
     /*  486444 */     GIR_EraseRootFromParent_Done,
     /*  486445 */   // Label 8169: @486445
     /*  486445 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(486531), // Rule ID 61901 //
     /*  486450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  486461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  486464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  486467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486497 */     // MIs[1] Operand 1
     /*  486497 */     // No operand predicates
     /*  486497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486506 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486529 */     GIR_RootConstrainSelectedInstOperands,
     /*  486530 */     // GIR_Coverage, 61901,
     /*  486530 */     GIR_EraseRootFromParent_Done,
     /*  486531 */   // Label 8170: @486531
     /*  486531 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(486617), // Rule ID 61904 //
     /*  486536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486583 */     // MIs[1] Operand 1
     /*  486583 */     // No operand predicates
     /*  486583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486615 */     GIR_RootConstrainSelectedInstOperands,
     /*  486616 */     // GIR_Coverage, 61904,
     /*  486616 */     GIR_EraseRootFromParent_Done,
     /*  486617 */   // Label 8171: @486617
     /*  486617 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(486703), // Rule ID 61905 //
     /*  486622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486669 */     // MIs[1] Operand 1
     /*  486669 */     // No operand predicates
     /*  486669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486701 */     GIR_RootConstrainSelectedInstOperands,
     /*  486702 */     // GIR_Coverage, 61905,
     /*  486702 */     GIR_EraseRootFromParent_Done,
     /*  486703 */   // Label 8172: @486703
     /*  486703 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(486789), // Rule ID 61908 //
     /*  486708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486755 */     // MIs[1] Operand 1
     /*  486755 */     // No operand predicates
     /*  486755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486787 */     GIR_RootConstrainSelectedInstOperands,
     /*  486788 */     // GIR_Coverage, 61908,
     /*  486788 */     GIR_EraseRootFromParent_Done,
     /*  486789 */   // Label 8173: @486789
     /*  486789 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(486875), // Rule ID 61909 //
     /*  486794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486841 */     // MIs[1] Operand 1
     /*  486841 */     // No operand predicates
     /*  486841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486873 */     GIR_RootConstrainSelectedInstOperands,
     /*  486874 */     // GIR_Coverage, 61909,
     /*  486874 */     GIR_EraseRootFromParent_Done,
     /*  486875 */   // Label 8174: @486875
     /*  486875 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(486961), // Rule ID 61912 //
     /*  486880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486927 */     // MIs[1] Operand 1
     /*  486927 */     // No operand predicates
     /*  486927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  486936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  486939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486959 */     GIR_RootConstrainSelectedInstOperands,
     /*  486960 */     // GIR_Coverage, 61912,
     /*  486960 */     GIR_EraseRootFromParent_Done,
     /*  486961 */   // Label 8175: @486961
     /*  486961 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(487047), // Rule ID 61913 //
     /*  486966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487013 */     // MIs[1] Operand 1
     /*  487013 */     // No operand predicates
     /*  487013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487045 */     GIR_RootConstrainSelectedInstOperands,
     /*  487046 */     // GIR_Coverage, 61913,
     /*  487046 */     GIR_EraseRootFromParent_Done,
     /*  487047 */   // Label 8176: @487047
     /*  487047 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(487133), // Rule ID 61916 //
     /*  487052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  487063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  487066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  487069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487099 */     // MIs[1] Operand 1
     /*  487099 */     // No operand predicates
     /*  487099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  487108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487131 */     GIR_RootConstrainSelectedInstOperands,
     /*  487132 */     // GIR_Coverage, 61916,
     /*  487132 */     GIR_EraseRootFromParent_Done,
     /*  487133 */   // Label 8177: @487133
     /*  487133 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(487219), // Rule ID 61917 //
     /*  487138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  487149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  487152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  487155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487185 */     // MIs[1] Operand 1
     /*  487185 */     // No operand predicates
     /*  487185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  487194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487217 */     GIR_RootConstrainSelectedInstOperands,
     /*  487218 */     // GIR_Coverage, 61917,
     /*  487218 */     GIR_EraseRootFromParent_Done,
     /*  487219 */   // Label 8178: @487219
     /*  487219 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(487305), // Rule ID 61920 //
     /*  487224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487271 */     // MIs[1] Operand 1
     /*  487271 */     // No operand predicates
     /*  487271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487303 */     GIR_RootConstrainSelectedInstOperands,
     /*  487304 */     // GIR_Coverage, 61920,
     /*  487304 */     GIR_EraseRootFromParent_Done,
     /*  487305 */   // Label 8179: @487305
     /*  487305 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(487391), // Rule ID 61921 //
     /*  487310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487357 */     // MIs[1] Operand 1
     /*  487357 */     // No operand predicates
     /*  487357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487389 */     GIR_RootConstrainSelectedInstOperands,
     /*  487390 */     // GIR_Coverage, 61921,
     /*  487390 */     GIR_EraseRootFromParent_Done,
     /*  487391 */   // Label 8180: @487391
     /*  487391 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(487477), // Rule ID 61924 //
     /*  487396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487443 */     // MIs[1] Operand 1
     /*  487443 */     // No operand predicates
     /*  487443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487475 */     GIR_RootConstrainSelectedInstOperands,
     /*  487476 */     // GIR_Coverage, 61924,
     /*  487476 */     GIR_EraseRootFromParent_Done,
     /*  487477 */   // Label 8181: @487477
     /*  487477 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(487563), // Rule ID 61925 //
     /*  487482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487529 */     // MIs[1] Operand 1
     /*  487529 */     // No operand predicates
     /*  487529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487561 */     GIR_RootConstrainSelectedInstOperands,
     /*  487562 */     // GIR_Coverage, 61925,
     /*  487562 */     GIR_EraseRootFromParent_Done,
     /*  487563 */   // Label 8182: @487563
     /*  487563 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(487649), // Rule ID 61928 //
     /*  487568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487615 */     // MIs[1] Operand 1
     /*  487615 */     // No operand predicates
     /*  487615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  487624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  487644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487647 */     GIR_RootConstrainSelectedInstOperands,
     /*  487648 */     // GIR_Coverage, 61928,
     /*  487648 */     GIR_EraseRootFromParent_Done,
     /*  487649 */   // Label 8183: @487649
     /*  487649 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(487735), // Rule ID 61929 //
     /*  487654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  487671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487701 */     // MIs[1] Operand 1
     /*  487701 */     // No operand predicates
     /*  487701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  487710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  487730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487733 */     GIR_RootConstrainSelectedInstOperands,
     /*  487734 */     // GIR_Coverage, 61929,
     /*  487734 */     GIR_EraseRootFromParent_Done,
     /*  487735 */   // Label 8184: @487735
     /*  487735 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(487821), // Rule ID 61932 //
     /*  487740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  487751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  487754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  487757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487787 */     // MIs[1] Operand 1
     /*  487787 */     // No operand predicates
     /*  487787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  487796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  487799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487819 */     GIR_RootConstrainSelectedInstOperands,
     /*  487820 */     // GIR_Coverage, 61932,
     /*  487820 */     GIR_EraseRootFromParent_Done,
     /*  487821 */   // Label 8185: @487821
     /*  487821 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(487907), // Rule ID 61933 //
     /*  487826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  487837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  487840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  487843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487873 */     // MIs[1] Operand 1
     /*  487873 */     // No operand predicates
     /*  487873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487882 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  487882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  487885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487905 */     GIR_RootConstrainSelectedInstOperands,
     /*  487906 */     // GIR_Coverage, 61933,
     /*  487906 */     GIR_EraseRootFromParent_Done,
     /*  487907 */   // Label 8186: @487907
     /*  487907 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(487993), // Rule ID 61936 //
     /*  487912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  487923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  487926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  487929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487959 */     // MIs[1] Operand 1
     /*  487959 */     // No operand predicates
     /*  487959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  487968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  487971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487991 */     GIR_RootConstrainSelectedInstOperands,
     /*  487992 */     // GIR_Coverage, 61936,
     /*  487992 */     GIR_EraseRootFromParent_Done,
     /*  487993 */   // Label 8187: @487993
     /*  487993 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(488079), // Rule ID 61937 //
     /*  487998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  488009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  488012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488045 */     // MIs[1] Operand 1
     /*  488045 */     // No operand predicates
     /*  488045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488077 */     GIR_RootConstrainSelectedInstOperands,
     /*  488078 */     // GIR_Coverage, 61937,
     /*  488078 */     GIR_EraseRootFromParent_Done,
     /*  488079 */   // Label 8188: @488079
     /*  488079 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(488165), // Rule ID 61940 //
     /*  488084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  488095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  488098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  488101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488131 */     // MIs[1] Operand 1
     /*  488131 */     // No operand predicates
     /*  488131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488163 */     GIR_RootConstrainSelectedInstOperands,
     /*  488164 */     // GIR_Coverage, 61940,
     /*  488164 */     GIR_EraseRootFromParent_Done,
     /*  488165 */   // Label 8189: @488165
     /*  488165 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(488251), // Rule ID 61941 //
     /*  488170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  488181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  488184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  488187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488217 */     // MIs[1] Operand 1
     /*  488217 */     // No operand predicates
     /*  488217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488226 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488249 */     GIR_RootConstrainSelectedInstOperands,
     /*  488250 */     // GIR_Coverage, 61941,
     /*  488250 */     GIR_EraseRootFromParent_Done,
     /*  488251 */   // Label 8190: @488251
     /*  488251 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(488337), // Rule ID 61944 //
     /*  488256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488303 */     // MIs[1] Operand 1
     /*  488303 */     // No operand predicates
     /*  488303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488335 */     GIR_RootConstrainSelectedInstOperands,
     /*  488336 */     // GIR_Coverage, 61944,
     /*  488336 */     GIR_EraseRootFromParent_Done,
     /*  488337 */   // Label 8191: @488337
     /*  488337 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(488423), // Rule ID 61945 //
     /*  488342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488389 */     // MIs[1] Operand 1
     /*  488389 */     // No operand predicates
     /*  488389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488398 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488421 */     GIR_RootConstrainSelectedInstOperands,
     /*  488422 */     // GIR_Coverage, 61945,
     /*  488422 */     GIR_EraseRootFromParent_Done,
     /*  488423 */   // Label 8192: @488423
     /*  488423 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(488509), // Rule ID 61948 //
     /*  488428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488475 */     // MIs[1] Operand 1
     /*  488475 */     // No operand predicates
     /*  488475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488484 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488507 */     GIR_RootConstrainSelectedInstOperands,
     /*  488508 */     // GIR_Coverage, 61948,
     /*  488508 */     GIR_EraseRootFromParent_Done,
     /*  488509 */   // Label 8193: @488509
     /*  488509 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(488595), // Rule ID 61949 //
     /*  488514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  488531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488561 */     // MIs[1] Operand 1
     /*  488561 */     // No operand predicates
     /*  488561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488593 */     GIR_RootConstrainSelectedInstOperands,
     /*  488594 */     // GIR_Coverage, 61949,
     /*  488594 */     GIR_EraseRootFromParent_Done,
     /*  488595 */   // Label 8194: @488595
     /*  488595 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(488681), // Rule ID 61952 //
     /*  488600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488647 */     // MIs[1] Operand 1
     /*  488647 */     // No operand predicates
     /*  488647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488656 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488679 */     GIR_RootConstrainSelectedInstOperands,
     /*  488680 */     // GIR_Coverage, 61952,
     /*  488680 */     GIR_EraseRootFromParent_Done,
     /*  488681 */   // Label 8195: @488681
     /*  488681 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(488767), // Rule ID 61953 //
     /*  488686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  488703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488733 */     // MIs[1] Operand 1
     /*  488733 */     // No operand predicates
     /*  488733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488765 */     GIR_RootConstrainSelectedInstOperands,
     /*  488766 */     // GIR_Coverage, 61953,
     /*  488766 */     GIR_EraseRootFromParent_Done,
     /*  488767 */   // Label 8196: @488767
     /*  488767 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(488853), // Rule ID 61956 //
     /*  488772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  488783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  488786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  488789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488819 */     // MIs[1] Operand 1
     /*  488819 */     // No operand predicates
     /*  488819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  488828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488851 */     GIR_RootConstrainSelectedInstOperands,
     /*  488852 */     // GIR_Coverage, 61956,
     /*  488852 */     GIR_EraseRootFromParent_Done,
     /*  488853 */   // Label 8197: @488853
     /*  488853 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(488939), // Rule ID 61957 //
     /*  488858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  488869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  488872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  488875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488905 */     // MIs[1] Operand 1
     /*  488905 */     // No operand predicates
     /*  488905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488914 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  488914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488937 */     GIR_RootConstrainSelectedInstOperands,
     /*  488938 */     // GIR_Coverage, 61957,
     /*  488938 */     GIR_EraseRootFromParent_Done,
     /*  488939 */   // Label 8198: @488939
     /*  488939 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(489025), // Rule ID 61960 //
     /*  488944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  488955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  488958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  488961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488991 */     // MIs[1] Operand 1
     /*  488991 */     // No operand predicates
     /*  488991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489023 */     GIR_RootConstrainSelectedInstOperands,
     /*  489024 */     // GIR_Coverage, 61960,
     /*  489024 */     GIR_EraseRootFromParent_Done,
     /*  489025 */   // Label 8199: @489025
     /*  489025 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(489111), // Rule ID 61961 //
     /*  489030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489077 */     // MIs[1] Operand 1
     /*  489077 */     // No operand predicates
     /*  489077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489109 */     GIR_RootConstrainSelectedInstOperands,
     /*  489110 */     // GIR_Coverage, 61961,
     /*  489110 */     GIR_EraseRootFromParent_Done,
     /*  489111 */   // Label 8200: @489111
     /*  489111 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(489197), // Rule ID 61964 //
     /*  489116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489163 */     // MIs[1] Operand 1
     /*  489163 */     // No operand predicates
     /*  489163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489195 */     GIR_RootConstrainSelectedInstOperands,
     /*  489196 */     // GIR_Coverage, 61964,
     /*  489196 */     GIR_EraseRootFromParent_Done,
     /*  489197 */   // Label 8201: @489197
     /*  489197 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(489283), // Rule ID 61965 //
     /*  489202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489249 */     // MIs[1] Operand 1
     /*  489249 */     // No operand predicates
     /*  489249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489281 */     GIR_RootConstrainSelectedInstOperands,
     /*  489282 */     // GIR_Coverage, 61965,
     /*  489282 */     GIR_EraseRootFromParent_Done,
     /*  489283 */   // Label 8202: @489283
     /*  489283 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(489369), // Rule ID 61968 //
     /*  489288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489335 */     // MIs[1] Operand 1
     /*  489335 */     // No operand predicates
     /*  489335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  489344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489367 */     GIR_RootConstrainSelectedInstOperands,
     /*  489368 */     // GIR_Coverage, 61968,
     /*  489368 */     GIR_EraseRootFromParent_Done,
     /*  489369 */   // Label 8203: @489369
     /*  489369 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(489455), // Rule ID 61969 //
     /*  489374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489421 */     // MIs[1] Operand 1
     /*  489421 */     // No operand predicates
     /*  489421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  489430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489453 */     GIR_RootConstrainSelectedInstOperands,
     /*  489454 */     // GIR_Coverage, 61969,
     /*  489454 */     GIR_EraseRootFromParent_Done,
     /*  489455 */   // Label 8204: @489455
     /*  489455 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(489541), // Rule ID 61972 //
     /*  489460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489507 */     // MIs[1] Operand 1
     /*  489507 */     // No operand predicates
     /*  489507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  489516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489539 */     GIR_RootConstrainSelectedInstOperands,
     /*  489540 */     // GIR_Coverage, 61972,
     /*  489540 */     GIR_EraseRootFromParent_Done,
     /*  489541 */   // Label 8205: @489541
     /*  489541 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(489627), // Rule ID 61973 //
     /*  489546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  489563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489593 */     // MIs[1] Operand 1
     /*  489593 */     // No operand predicates
     /*  489593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  489602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489625 */     GIR_RootConstrainSelectedInstOperands,
     /*  489626 */     // GIR_Coverage, 61973,
     /*  489626 */     GIR_EraseRootFromParent_Done,
     /*  489627 */   // Label 8206: @489627
     /*  489627 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(489713), // Rule ID 61976 //
     /*  489632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489679 */     // MIs[1] Operand 1
     /*  489679 */     // No operand predicates
     /*  489679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489688 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  489688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489711 */     GIR_RootConstrainSelectedInstOperands,
     /*  489712 */     // GIR_Coverage, 61976,
     /*  489712 */     GIR_EraseRootFromParent_Done,
     /*  489713 */   // Label 8207: @489713
     /*  489713 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(489799), // Rule ID 61977 //
     /*  489718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  489729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  489732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  489735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489765 */     // MIs[1] Operand 1
     /*  489765 */     // No operand predicates
     /*  489765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  489774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  489794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489797 */     GIR_RootConstrainSelectedInstOperands,
     /*  489798 */     // GIR_Coverage, 61977,
     /*  489798 */     GIR_EraseRootFromParent_Done,
     /*  489799 */   // Label 8208: @489799
     /*  489799 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(489878), // Rule ID 2642 //
     /*  489804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  489812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  489815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  489818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  489821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  489824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  489859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489876 */     GIR_RootConstrainSelectedInstOperands,
     /*  489877 */     // GIR_Coverage, 2642,
     /*  489877 */     GIR_EraseRootFromParent_Done,
     /*  489878 */   // Label 8209: @489878
     /*  489878 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(489957), // Rule ID 2643 //
     /*  489883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  489891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  489894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  489897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  489900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  489903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489935 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  489938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489955 */     GIR_RootConstrainSelectedInstOperands,
     /*  489956 */     // GIR_Coverage, 2643,
     /*  489956 */     GIR_EraseRootFromParent_Done,
     /*  489957 */   // Label 8210: @489957
     /*  489957 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(490036), // Rule ID 3958 //
     /*  489962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  489970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  489973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  489976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  489979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  489982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490034 */     GIR_RootConstrainSelectedInstOperands,
     /*  490035 */     // GIR_Coverage, 3958,
     /*  490035 */     GIR_EraseRootFromParent_Done,
     /*  490036 */   // Label 8211: @490036
     /*  490036 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(490115), // Rule ID 3959 //
     /*  490041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490113 */     GIR_RootConstrainSelectedInstOperands,
     /*  490114 */     // GIR_Coverage, 3959,
     /*  490114 */     GIR_EraseRootFromParent_Done,
     /*  490115 */   // Label 8212: @490115
     /*  490115 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(490194), // Rule ID 3968 //
     /*  490120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  490175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490192 */     GIR_RootConstrainSelectedInstOperands,
     /*  490193 */     // GIR_Coverage, 3968,
     /*  490193 */     GIR_EraseRootFromParent_Done,
     /*  490194 */   // Label 8213: @490194
     /*  490194 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(490273), // Rule ID 3969 //
     /*  490199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  490254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490271 */     GIR_RootConstrainSelectedInstOperands,
     /*  490272 */     // GIR_Coverage, 3969,
     /*  490272 */     GIR_EraseRootFromParent_Done,
     /*  490273 */   // Label 8214: @490273
     /*  490273 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(490352), // Rule ID 3978 //
     /*  490278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  490333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490350 */     GIR_RootConstrainSelectedInstOperands,
     /*  490351 */     // GIR_Coverage, 3978,
     /*  490351 */     GIR_EraseRootFromParent_Done,
     /*  490352 */   // Label 8215: @490352
     /*  490352 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(490431), // Rule ID 3979 //
     /*  490357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  490412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490429 */     GIR_RootConstrainSelectedInstOperands,
     /*  490430 */     // GIR_Coverage, 3979,
     /*  490430 */     GIR_EraseRootFromParent_Done,
     /*  490431 */   // Label 8216: @490431
     /*  490431 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(490510), // Rule ID 3988 //
     /*  490436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  490491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490508 */     GIR_RootConstrainSelectedInstOperands,
     /*  490509 */     // GIR_Coverage, 3988,
     /*  490509 */     GIR_EraseRootFromParent_Done,
     /*  490510 */   // Label 8217: @490510
     /*  490510 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(490589), // Rule ID 3989 //
     /*  490515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490567 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  490570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490587 */     GIR_RootConstrainSelectedInstOperands,
     /*  490588 */     // GIR_Coverage, 3989,
     /*  490588 */     GIR_EraseRootFromParent_Done,
     /*  490589 */   // Label 8218: @490589
     /*  490589 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(490668), // Rule ID 3998 //
     /*  490594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  490649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490666 */     GIR_RootConstrainSelectedInstOperands,
     /*  490667 */     // GIR_Coverage, 3998,
     /*  490667 */     GIR_EraseRootFromParent_Done,
     /*  490668 */   // Label 8219: @490668
     /*  490668 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(490747), // Rule ID 3999 //
     /*  490673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  490728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490745 */     GIR_RootConstrainSelectedInstOperands,
     /*  490746 */     // GIR_Coverage, 3999,
     /*  490746 */     GIR_EraseRootFromParent_Done,
     /*  490747 */   // Label 8220: @490747
     /*  490747 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(490826), // Rule ID 4008 //
     /*  490752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  490763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  490766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  490769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  490772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490824 */     GIR_RootConstrainSelectedInstOperands,
     /*  490825 */     // GIR_Coverage, 4008,
     /*  490825 */     GIR_EraseRootFromParent_Done,
     /*  490826 */   // Label 8221: @490826
     /*  490826 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(490905), // Rule ID 4009 //
     /*  490831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  490842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  490845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  490848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  490851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490883 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  490883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490903 */     GIR_RootConstrainSelectedInstOperands,
     /*  490904 */     // GIR_Coverage, 4009,
     /*  490904 */     GIR_EraseRootFromParent_Done,
     /*  490905 */   // Label 8222: @490905
     /*  490905 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(490984), // Rule ID 4018 //
     /*  490910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  490921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  490924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  490927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  490930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  490965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490982 */     GIR_RootConstrainSelectedInstOperands,
     /*  490983 */     // GIR_Coverage, 4018,
     /*  490983 */     GIR_EraseRootFromParent_Done,
     /*  490984 */   // Label 8223: @490984
     /*  490984 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(491063), // Rule ID 4019 //
     /*  490989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491061 */     GIR_RootConstrainSelectedInstOperands,
     /*  491062 */     // GIR_Coverage, 4019,
     /*  491062 */     GIR_EraseRootFromParent_Done,
     /*  491063 */   // Label 8224: @491063
     /*  491063 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(491142), // Rule ID 4028 //
     /*  491068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491140 */     GIR_RootConstrainSelectedInstOperands,
     /*  491141 */     // GIR_Coverage, 4028,
     /*  491141 */     GIR_EraseRootFromParent_Done,
     /*  491142 */   // Label 8225: @491142
     /*  491142 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(491221), // Rule ID 4029 //
     /*  491147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491219 */     GIR_RootConstrainSelectedInstOperands,
     /*  491220 */     // GIR_Coverage, 4029,
     /*  491220 */     GIR_EraseRootFromParent_Done,
     /*  491221 */   // Label 8226: @491221
     /*  491221 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(491300), // Rule ID 4038 //
     /*  491226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491298 */     GIR_RootConstrainSelectedInstOperands,
     /*  491299 */     // GIR_Coverage, 4038,
     /*  491299 */     GIR_EraseRootFromParent_Done,
     /*  491300 */   // Label 8227: @491300
     /*  491300 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(491379), // Rule ID 4039 //
     /*  491305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491357 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491377 */     GIR_RootConstrainSelectedInstOperands,
     /*  491378 */     // GIR_Coverage, 4039,
     /*  491378 */     GIR_EraseRootFromParent_Done,
     /*  491379 */   // Label 8228: @491379
     /*  491379 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(491458), // Rule ID 4048 //
     /*  491384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  491439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491456 */     GIR_RootConstrainSelectedInstOperands,
     /*  491457 */     // GIR_Coverage, 4048,
     /*  491457 */     GIR_EraseRootFromParent_Done,
     /*  491458 */   // Label 8229: @491458
     /*  491458 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(491537), // Rule ID 4049 //
     /*  491463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  491518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491535 */     GIR_RootConstrainSelectedInstOperands,
     /*  491536 */     // GIR_Coverage, 4049,
     /*  491536 */     GIR_EraseRootFromParent_Done,
     /*  491537 */   // Label 8230: @491537
     /*  491537 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(491616), // Rule ID 4058 //
     /*  491542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491614 */     GIR_RootConstrainSelectedInstOperands,
     /*  491615 */     // GIR_Coverage, 4058,
     /*  491615 */     GIR_EraseRootFromParent_Done,
     /*  491616 */   // Label 8231: @491616
     /*  491616 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(491695), // Rule ID 4059 //
     /*  491621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491693 */     GIR_RootConstrainSelectedInstOperands,
     /*  491694 */     // GIR_Coverage, 4059,
     /*  491694 */     GIR_EraseRootFromParent_Done,
     /*  491695 */   // Label 8232: @491695
     /*  491695 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(491774), // Rule ID 4068 //
     /*  491700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491772 */     GIR_RootConstrainSelectedInstOperands,
     /*  491773 */     // GIR_Coverage, 4068,
     /*  491773 */     GIR_EraseRootFromParent_Done,
     /*  491774 */   // Label 8233: @491774
     /*  491774 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(491853), // Rule ID 4069 //
     /*  491779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491851 */     GIR_RootConstrainSelectedInstOperands,
     /*  491852 */     // GIR_Coverage, 4069,
     /*  491852 */     GIR_EraseRootFromParent_Done,
     /*  491853 */   // Label 8234: @491853
     /*  491853 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(491932), // Rule ID 4078 //
     /*  491858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  491869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  491872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  491875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  491878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491910 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491930 */     GIR_RootConstrainSelectedInstOperands,
     /*  491931 */     // GIR_Coverage, 4078,
     /*  491931 */     GIR_EraseRootFromParent_Done,
     /*  491932 */   // Label 8235: @491932
     /*  491932 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(492011), // Rule ID 4079 //
     /*  491937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  491948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  491951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  491954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  491957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492009 */     GIR_RootConstrainSelectedInstOperands,
     /*  492010 */     // GIR_Coverage, 4079,
     /*  492010 */     GIR_EraseRootFromParent_Done,
     /*  492011 */   // Label 8236: @492011
     /*  492011 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(492090), // Rule ID 4088 //
     /*  492016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492088 */     GIR_RootConstrainSelectedInstOperands,
     /*  492089 */     // GIR_Coverage, 4088,
     /*  492089 */     GIR_EraseRootFromParent_Done,
     /*  492090 */   // Label 8237: @492090
     /*  492090 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(492169), // Rule ID 4089 //
     /*  492095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492167 */     GIR_RootConstrainSelectedInstOperands,
     /*  492168 */     // GIR_Coverage, 4089,
     /*  492168 */     GIR_EraseRootFromParent_Done,
     /*  492169 */   // Label 8238: @492169
     /*  492169 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(492248), // Rule ID 4158 //
     /*  492174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  492229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492246 */     GIR_RootConstrainSelectedInstOperands,
     /*  492247 */     // GIR_Coverage, 4158,
     /*  492247 */     GIR_EraseRootFromParent_Done,
     /*  492248 */   // Label 8239: @492248
     /*  492248 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(492327), // Rule ID 4159 //
     /*  492253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492305 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  492308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492325 */     GIR_RootConstrainSelectedInstOperands,
     /*  492326 */     // GIR_Coverage, 4159,
     /*  492326 */     GIR_EraseRootFromParent_Done,
     /*  492327 */   // Label 8240: @492327
     /*  492327 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(492406), // Rule ID 4168 //
     /*  492332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  492387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492404 */     GIR_RootConstrainSelectedInstOperands,
     /*  492405 */     // GIR_Coverage, 4168,
     /*  492405 */     GIR_EraseRootFromParent_Done,
     /*  492406 */   // Label 8241: @492406
     /*  492406 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(492485), // Rule ID 4169 //
     /*  492411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492463 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  492466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492483 */     GIR_RootConstrainSelectedInstOperands,
     /*  492484 */     // GIR_Coverage, 4169,
     /*  492484 */     GIR_EraseRootFromParent_Done,
     /*  492485 */   // Label 8242: @492485
     /*  492485 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(492564), // Rule ID 4178 //
     /*  492490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  492545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492562 */     GIR_RootConstrainSelectedInstOperands,
     /*  492563 */     // GIR_Coverage, 4178,
     /*  492563 */     GIR_EraseRootFromParent_Done,
     /*  492564 */   // Label 8243: @492564
     /*  492564 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(492643), // Rule ID 4179 //
     /*  492569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  492624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492641 */     GIR_RootConstrainSelectedInstOperands,
     /*  492642 */     // GIR_Coverage, 4179,
     /*  492642 */     GIR_EraseRootFromParent_Done,
     /*  492643 */   // Label 8244: @492643
     /*  492643 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(492722), // Rule ID 4188 //
     /*  492648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  492703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492720 */     GIR_RootConstrainSelectedInstOperands,
     /*  492721 */     // GIR_Coverage, 4188,
     /*  492721 */     GIR_EraseRootFromParent_Done,
     /*  492722 */   // Label 8245: @492722
     /*  492722 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(492801), // Rule ID 4189 //
     /*  492727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  492782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492799 */     GIR_RootConstrainSelectedInstOperands,
     /*  492800 */     // GIR_Coverage, 4189,
     /*  492800 */     GIR_EraseRootFromParent_Done,
     /*  492801 */   // Label 8246: @492801
     /*  492801 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(492880), // Rule ID 4198 //
     /*  492806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  492817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  492820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  492823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  492826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  492861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492878 */     GIR_RootConstrainSelectedInstOperands,
     /*  492879 */     // GIR_Coverage, 4198,
     /*  492879 */     GIR_EraseRootFromParent_Done,
     /*  492880 */   // Label 8247: @492880
     /*  492880 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(492959), // Rule ID 4199 //
     /*  492885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  492896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  492899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  492902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  492905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492937 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  492940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492957 */     GIR_RootConstrainSelectedInstOperands,
     /*  492958 */     // GIR_Coverage, 4199,
     /*  492958 */     GIR_EraseRootFromParent_Done,
     /*  492959 */   // Label 8248: @492959
     /*  492959 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(493038), // Rule ID 4208 //
     /*  492964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  492975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  492978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  492981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  492984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493036 */     GIR_RootConstrainSelectedInstOperands,
     /*  493037 */     // GIR_Coverage, 4208,
     /*  493037 */     GIR_EraseRootFromParent_Done,
     /*  493038 */   // Label 8249: @493038
     /*  493038 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(493117), // Rule ID 4209 //
     /*  493043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493095 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493115 */     GIR_RootConstrainSelectedInstOperands,
     /*  493116 */     // GIR_Coverage, 4209,
     /*  493116 */     GIR_EraseRootFromParent_Done,
     /*  493117 */   // Label 8250: @493117
     /*  493117 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(493196), // Rule ID 4218 //
     /*  493122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493194 */     GIR_RootConstrainSelectedInstOperands,
     /*  493195 */     // GIR_Coverage, 4218,
     /*  493195 */     GIR_EraseRootFromParent_Done,
     /*  493196 */   // Label 8251: @493196
     /*  493196 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(493275), // Rule ID 4219 //
     /*  493201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493273 */     GIR_RootConstrainSelectedInstOperands,
     /*  493274 */     // GIR_Coverage, 4219,
     /*  493274 */     GIR_EraseRootFromParent_Done,
     /*  493275 */   // Label 8252: @493275
     /*  493275 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(493354), // Rule ID 4228 //
     /*  493280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  493335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493352 */     GIR_RootConstrainSelectedInstOperands,
     /*  493353 */     // GIR_Coverage, 4228,
     /*  493353 */     GIR_EraseRootFromParent_Done,
     /*  493354 */   // Label 8253: @493354
     /*  493354 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(493433), // Rule ID 4229 //
     /*  493359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  493414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493431 */     GIR_RootConstrainSelectedInstOperands,
     /*  493432 */     // GIR_Coverage, 4229,
     /*  493432 */     GIR_EraseRootFromParent_Done,
     /*  493433 */   // Label 8254: @493433
     /*  493433 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(493512), // Rule ID 4238 //
     /*  493438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  493493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493510 */     GIR_RootConstrainSelectedInstOperands,
     /*  493511 */     // GIR_Coverage, 4238,
     /*  493511 */     GIR_EraseRootFromParent_Done,
     /*  493512 */   // Label 8255: @493512
     /*  493512 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(493591), // Rule ID 4239 //
     /*  493517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493569 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  493572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493589 */     GIR_RootConstrainSelectedInstOperands,
     /*  493590 */     // GIR_Coverage, 4239,
     /*  493590 */     GIR_EraseRootFromParent_Done,
     /*  493591 */   // Label 8256: @493591
     /*  493591 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(493670), // Rule ID 4248 //
     /*  493596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493668 */     GIR_RootConstrainSelectedInstOperands,
     /*  493669 */     // GIR_Coverage, 4248,
     /*  493669 */     GIR_EraseRootFromParent_Done,
     /*  493670 */   // Label 8257: @493670
     /*  493670 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(493749), // Rule ID 4249 //
     /*  493675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493747 */     GIR_RootConstrainSelectedInstOperands,
     /*  493748 */     // GIR_Coverage, 4249,
     /*  493748 */     GIR_EraseRootFromParent_Done,
     /*  493749 */   // Label 8258: @493749
     /*  493749 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(493828), // Rule ID 4258 //
     /*  493754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493826 */     GIR_RootConstrainSelectedInstOperands,
     /*  493827 */     // GIR_Coverage, 4258,
     /*  493827 */     GIR_EraseRootFromParent_Done,
     /*  493828 */   // Label 8259: @493828
     /*  493828 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(493907), // Rule ID 4259 //
     /*  493833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493905 */     GIR_RootConstrainSelectedInstOperands,
     /*  493906 */     // GIR_Coverage, 4259,
     /*  493906 */     GIR_EraseRootFromParent_Done,
     /*  493907 */   // Label 8260: @493907
     /*  493907 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(493986), // Rule ID 4268 //
     /*  493912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  493923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  493926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  493929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  493932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  493964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  493967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493984 */     GIR_RootConstrainSelectedInstOperands,
     /*  493985 */     // GIR_Coverage, 4268,
     /*  493985 */     GIR_EraseRootFromParent_Done,
     /*  493986 */   // Label 8261: @493986
     /*  493986 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(494065), // Rule ID 4269 //
     /*  493991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  494046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494063 */     GIR_RootConstrainSelectedInstOperands,
     /*  494064 */     // GIR_Coverage, 4269,
     /*  494064 */     GIR_EraseRootFromParent_Done,
     /*  494065 */   // Label 8262: @494065
     /*  494065 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(494144), // Rule ID 4278 //
     /*  494070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494142 */     GIR_RootConstrainSelectedInstOperands,
     /*  494143 */     // GIR_Coverage, 4278,
     /*  494143 */     GIR_EraseRootFromParent_Done,
     /*  494144 */   // Label 8263: @494144
     /*  494144 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(494223), // Rule ID 4279 //
     /*  494149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494221 */     GIR_RootConstrainSelectedInstOperands,
     /*  494222 */     // GIR_Coverage, 4279,
     /*  494222 */     GIR_EraseRootFromParent_Done,
     /*  494223 */   // Label 8264: @494223
     /*  494223 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(494302), // Rule ID 4288 //
     /*  494228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  494283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494300 */     GIR_RootConstrainSelectedInstOperands,
     /*  494301 */     // GIR_Coverage, 4288,
     /*  494301 */     GIR_EraseRootFromParent_Done,
     /*  494302 */   // Label 8265: @494302
     /*  494302 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(494381), // Rule ID 4289 //
     /*  494307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  494362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494379 */     GIR_RootConstrainSelectedInstOperands,
     /*  494380 */     // GIR_Coverage, 4289,
     /*  494380 */     GIR_EraseRootFromParent_Done,
     /*  494381 */   // Label 8266: @494381
     /*  494381 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(494460), // Rule ID 4298 //
     /*  494386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494438 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494458 */     GIR_RootConstrainSelectedInstOperands,
     /*  494459 */     // GIR_Coverage, 4298,
     /*  494459 */     GIR_EraseRootFromParent_Done,
     /*  494460 */   // Label 8267: @494460
     /*  494460 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(494539), // Rule ID 4299 //
     /*  494465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494517 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494537 */     GIR_RootConstrainSelectedInstOperands,
     /*  494538 */     // GIR_Coverage, 4299,
     /*  494538 */     GIR_EraseRootFromParent_Done,
     /*  494539 */   // Label 8268: @494539
     /*  494539 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(494618), // Rule ID 4368 //
     /*  494544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  494564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  494596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  494599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494616 */     GIR_RootConstrainSelectedInstOperands,
     /*  494617 */     // GIR_Coverage, 4368,
     /*  494617 */     GIR_EraseRootFromParent_Done,
     /*  494618 */   // Label 8269: @494618
     /*  494618 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(494697), // Rule ID 4369 //
     /*  494623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  494643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  494675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  494678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494695 */     GIR_RootConstrainSelectedInstOperands,
     /*  494696 */     // GIR_Coverage, 4369,
     /*  494696 */     GIR_EraseRootFromParent_Done,
     /*  494697 */   // Label 8270: @494697
     /*  494697 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(494776), // Rule ID 4378 //
     /*  494702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  494719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  494722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  494754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  494757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494774 */     GIR_RootConstrainSelectedInstOperands,
     /*  494775 */     // GIR_Coverage, 4378,
     /*  494775 */     GIR_EraseRootFromParent_Done,
     /*  494776 */   // Label 8271: @494776
     /*  494776 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(494855), // Rule ID 4379 //
     /*  494781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  494798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  494801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  494833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  494836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494853 */     GIR_RootConstrainSelectedInstOperands,
     /*  494854 */     // GIR_Coverage, 4379,
     /*  494854 */     GIR_EraseRootFromParent_Done,
     /*  494855 */   // Label 8272: @494855
     /*  494855 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(494934), // Rule ID 4388 //
     /*  494860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  494877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  494880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  494912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  494915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494932 */     GIR_RootConstrainSelectedInstOperands,
     /*  494933 */     // GIR_Coverage, 4388,
     /*  494933 */     GIR_EraseRootFromParent_Done,
     /*  494934 */   // Label 8273: @494934
     /*  494934 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(495013), // Rule ID 4389 //
     /*  494939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  494947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  494956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  494959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  494991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  494994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495011 */     GIR_RootConstrainSelectedInstOperands,
     /*  495012 */     // GIR_Coverage, 4389,
     /*  495012 */     GIR_EraseRootFromParent_Done,
     /*  495013 */   // Label 8274: @495013
     /*  495013 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(495092), // Rule ID 4398 //
     /*  495018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495090 */     GIR_RootConstrainSelectedInstOperands,
     /*  495091 */     // GIR_Coverage, 4398,
     /*  495091 */     GIR_EraseRootFromParent_Done,
     /*  495092 */   // Label 8275: @495092
     /*  495092 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(495171), // Rule ID 4399 //
     /*  495097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495169 */     GIR_RootConstrainSelectedInstOperands,
     /*  495170 */     // GIR_Coverage, 4399,
     /*  495170 */     GIR_EraseRootFromParent_Done,
     /*  495171 */   // Label 8276: @495171
     /*  495171 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(495250), // Rule ID 4408 //
     /*  495176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  495231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495248 */     GIR_RootConstrainSelectedInstOperands,
     /*  495249 */     // GIR_Coverage, 4408,
     /*  495249 */     GIR_EraseRootFromParent_Done,
     /*  495250 */   // Label 8277: @495250
     /*  495250 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(495329), // Rule ID 4409 //
     /*  495255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  495310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495327 */     GIR_RootConstrainSelectedInstOperands,
     /*  495328 */     // GIR_Coverage, 4409,
     /*  495328 */     GIR_EraseRootFromParent_Done,
     /*  495329 */   // Label 8278: @495329
     /*  495329 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(495408), // Rule ID 4418 //
     /*  495334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  495354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  495389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495406 */     GIR_RootConstrainSelectedInstOperands,
     /*  495407 */     // GIR_Coverage, 4418,
     /*  495407 */     GIR_EraseRootFromParent_Done,
     /*  495408 */   // Label 8279: @495408
     /*  495408 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(495487), // Rule ID 4419 //
     /*  495413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  495433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495465 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  495468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495485 */     GIR_RootConstrainSelectedInstOperands,
     /*  495486 */     // GIR_Coverage, 4419,
     /*  495486 */     GIR_EraseRootFromParent_Done,
     /*  495487 */   // Label 8280: @495487
     /*  495487 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(495566), // Rule ID 4428 //
     /*  495492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  495512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  495544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  495547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495564 */     GIR_RootConstrainSelectedInstOperands,
     /*  495565 */     // GIR_Coverage, 4428,
     /*  495565 */     GIR_EraseRootFromParent_Done,
     /*  495566 */   // Label 8281: @495566
     /*  495566 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(495645), // Rule ID 4429 //
     /*  495571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  495591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  495623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  495626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495643 */     GIR_RootConstrainSelectedInstOperands,
     /*  495644 */     // GIR_Coverage, 4429,
     /*  495644 */     GIR_EraseRootFromParent_Done,
     /*  495645 */   // Label 8282: @495645
     /*  495645 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(495724), // Rule ID 4438 //
     /*  495650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  495670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  495702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495722 */     GIR_RootConstrainSelectedInstOperands,
     /*  495723 */     // GIR_Coverage, 4438,
     /*  495723 */     GIR_EraseRootFromParent_Done,
     /*  495724 */   // Label 8283: @495724
     /*  495724 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(495803), // Rule ID 4439 //
     /*  495729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  495749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  495781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495801 */     GIR_RootConstrainSelectedInstOperands,
     /*  495802 */     // GIR_Coverage, 4439,
     /*  495802 */     GIR_EraseRootFromParent_Done,
     /*  495803 */   // Label 8284: @495803
     /*  495803 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(495882), // Rule ID 4448 //
     /*  495808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  495828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  495860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495880 */     GIR_RootConstrainSelectedInstOperands,
     /*  495881 */     // GIR_Coverage, 4448,
     /*  495881 */     GIR_EraseRootFromParent_Done,
     /*  495882 */   // Label 8285: @495882
     /*  495882 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(495961), // Rule ID 4449 //
     /*  495887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  495907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  495939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495959 */     GIR_RootConstrainSelectedInstOperands,
     /*  495960 */     // GIR_Coverage, 4449,
     /*  495960 */     GIR_EraseRootFromParent_Done,
     /*  495961 */   // Label 8286: @495961
     /*  495961 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(496040), // Rule ID 4458 //
     /*  495966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  495983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  495986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496038 */     GIR_RootConstrainSelectedInstOperands,
     /*  496039 */     // GIR_Coverage, 4458,
     /*  496039 */     GIR_EraseRootFromParent_Done,
     /*  496040 */   // Label 8287: @496040
     /*  496040 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(496119), // Rule ID 4459 //
     /*  496045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  496062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  496065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496117 */     GIR_RootConstrainSelectedInstOperands,
     /*  496118 */     // GIR_Coverage, 4459,
     /*  496118 */     GIR_EraseRootFromParent_Done,
     /*  496119 */   // Label 8288: @496119
     /*  496119 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(496198), // Rule ID 4468 //
     /*  496124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496196 */     GIR_RootConstrainSelectedInstOperands,
     /*  496197 */     // GIR_Coverage, 4468,
     /*  496197 */     GIR_EraseRootFromParent_Done,
     /*  496198 */   // Label 8289: @496198
     /*  496198 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(496277), // Rule ID 4469 //
     /*  496203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496275 */     GIR_RootConstrainSelectedInstOperands,
     /*  496276 */     // GIR_Coverage, 4469,
     /*  496276 */     GIR_EraseRootFromParent_Done,
     /*  496277 */   // Label 8290: @496277
     /*  496277 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(496356), // Rule ID 4478 //
     /*  496282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  496302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  496334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  496337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496354 */     GIR_RootConstrainSelectedInstOperands,
     /*  496355 */     // GIR_Coverage, 4478,
     /*  496355 */     GIR_EraseRootFromParent_Done,
     /*  496356 */   // Label 8291: @496356
     /*  496356 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(496435), // Rule ID 4479 //
     /*  496361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  496381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496413 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  496413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  496416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496433 */     GIR_RootConstrainSelectedInstOperands,
     /*  496434 */     // GIR_Coverage, 4479,
     /*  496434 */     GIR_EraseRootFromParent_Done,
     /*  496435 */   // Label 8292: @496435
     /*  496435 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(496514), // Rule ID 4488 //
     /*  496440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  496460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  496492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496512 */     GIR_RootConstrainSelectedInstOperands,
     /*  496513 */     // GIR_Coverage, 4488,
     /*  496513 */     GIR_EraseRootFromParent_Done,
     /*  496514 */   // Label 8293: @496514
     /*  496514 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(496593), // Rule ID 4489 //
     /*  496519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  496539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  496571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496591 */     GIR_RootConstrainSelectedInstOperands,
     /*  496592 */     // GIR_Coverage, 4489,
     /*  496592 */     GIR_EraseRootFromParent_Done,
     /*  496593 */   // Label 8294: @496593
     /*  496593 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(496672), // Rule ID 4498 //
     /*  496598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  496618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  496650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496670 */     GIR_RootConstrainSelectedInstOperands,
     /*  496671 */     // GIR_Coverage, 4498,
     /*  496671 */     GIR_EraseRootFromParent_Done,
     /*  496672 */   // Label 8295: @496672
     /*  496672 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(496751), // Rule ID 4499 //
     /*  496677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  496697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496729 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  496729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496749 */     GIR_RootConstrainSelectedInstOperands,
     /*  496750 */     // GIR_Coverage, 4499,
     /*  496750 */     GIR_EraseRootFromParent_Done,
     /*  496751 */   // Label 8296: @496751
     /*  496751 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(496830), // Rule ID 4508 //
     /*  496756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  496773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  496776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  496808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496828 */     GIR_RootConstrainSelectedInstOperands,
     /*  496829 */     // GIR_Coverage, 4508,
     /*  496829 */     GIR_EraseRootFromParent_Done,
     /*  496830 */   // Label 8297: @496830
     /*  496830 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(496909), // Rule ID 4509 //
     /*  496835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  496852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  496855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  496887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496907 */     GIR_RootConstrainSelectedInstOperands,
     /*  496908 */     // GIR_Coverage, 4509,
     /*  496908 */     GIR_EraseRootFromParent_Done,
     /*  496909 */   // Label 8298: @496909
     /*  496909 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(496988), // Rule ID 4578 //
     /*  496914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  496922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  496925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  496928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  496931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  496934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  496966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  496969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496986 */     GIR_RootConstrainSelectedInstOperands,
     /*  496987 */     // GIR_Coverage, 4578,
     /*  496987 */     GIR_EraseRootFromParent_Done,
     /*  496988 */   // Label 8299: @496988
     /*  496988 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(497067), // Rule ID 4579 //
     /*  496993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  497004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  497007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  497010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  497013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497045 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  497048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497065 */     GIR_RootConstrainSelectedInstOperands,
     /*  497066 */     // GIR_Coverage, 4579,
     /*  497066 */     GIR_EraseRootFromParent_Done,
     /*  497067 */   // Label 8300: @497067
     /*  497067 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(497146), // Rule ID 4588 //
     /*  497072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  497083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  497086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  497092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497144 */     GIR_RootConstrainSelectedInstOperands,
     /*  497145 */     // GIR_Coverage, 4588,
     /*  497145 */     GIR_EraseRootFromParent_Done,
     /*  497146 */   // Label 8301: @497146
     /*  497146 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(497225), // Rule ID 4589 //
     /*  497151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  497162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  497165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  497171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497223 */     GIR_RootConstrainSelectedInstOperands,
     /*  497224 */     // GIR_Coverage, 4589,
     /*  497224 */     GIR_EraseRootFromParent_Done,
     /*  497225 */   // Label 8302: @497225
     /*  497225 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(497304), // Rule ID 4598 //
     /*  497230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  497250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  497285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497302 */     GIR_RootConstrainSelectedInstOperands,
     /*  497303 */     // GIR_Coverage, 4598,
     /*  497303 */     GIR_EraseRootFromParent_Done,
     /*  497304 */   // Label 8303: @497304
     /*  497304 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(497383), // Rule ID 4599 //
     /*  497309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  497329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  497364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497381 */     GIR_RootConstrainSelectedInstOperands,
     /*  497382 */     // GIR_Coverage, 4599,
     /*  497382 */     GIR_EraseRootFromParent_Done,
     /*  497383 */   // Label 8304: @497383
     /*  497383 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(497462), // Rule ID 4608 //
     /*  497388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  497408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497440 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  497443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497460 */     GIR_RootConstrainSelectedInstOperands,
     /*  497461 */     // GIR_Coverage, 4608,
     /*  497461 */     GIR_EraseRootFromParent_Done,
     /*  497462 */   // Label 8305: @497462
     /*  497462 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(497541), // Rule ID 4609 //
     /*  497467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  497487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  497522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497539 */     GIR_RootConstrainSelectedInstOperands,
     /*  497540 */     // GIR_Coverage, 4609,
     /*  497540 */     GIR_EraseRootFromParent_Done,
     /*  497541 */   // Label 8306: @497541
     /*  497541 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497620), // Rule ID 4618 //
     /*  497546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  497566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497598 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  497601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497618 */     GIR_RootConstrainSelectedInstOperands,
     /*  497619 */     // GIR_Coverage, 4618,
     /*  497619 */     GIR_EraseRootFromParent_Done,
     /*  497620 */   // Label 8307: @497620
     /*  497620 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(497699), // Rule ID 4619 //
     /*  497625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  497645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497677 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  497680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497697 */     GIR_RootConstrainSelectedInstOperands,
     /*  497698 */     // GIR_Coverage, 4619,
     /*  497698 */     GIR_EraseRootFromParent_Done,
     /*  497699 */   // Label 8308: @497699
     /*  497699 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(497778), // Rule ID 4628 //
     /*  497704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  497721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  497724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  497759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497776 */     GIR_RootConstrainSelectedInstOperands,
     /*  497777 */     // GIR_Coverage, 4628,
     /*  497777 */     GIR_EraseRootFromParent_Done,
     /*  497778 */   // Label 8309: @497778
     /*  497778 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(497857), // Rule ID 4629 //
     /*  497783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  497800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  497803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497835 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  497838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497855 */     GIR_RootConstrainSelectedInstOperands,
     /*  497856 */     // GIR_Coverage, 4629,
     /*  497856 */     GIR_EraseRootFromParent_Done,
     /*  497857 */   // Label 8310: @497857
     /*  497857 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(497936), // Rule ID 4638 //
     /*  497862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  497882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497914 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  497914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497934 */     GIR_RootConstrainSelectedInstOperands,
     /*  497935 */     // GIR_Coverage, 4638,
     /*  497935 */     GIR_EraseRootFromParent_Done,
     /*  497936 */   // Label 8311: @497936
     /*  497936 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(498015), // Rule ID 4639 //
     /*  497941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  497961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  497993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498013 */     GIR_RootConstrainSelectedInstOperands,
     /*  498014 */     // GIR_Coverage, 4639,
     /*  498014 */     GIR_EraseRootFromParent_Done,
     /*  498015 */   // Label 8312: @498015
     /*  498015 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(498094), // Rule ID 4648 //
     /*  498020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  498040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498092 */     GIR_RootConstrainSelectedInstOperands,
     /*  498093 */     // GIR_Coverage, 4648,
     /*  498093 */     GIR_EraseRootFromParent_Done,
     /*  498094 */   // Label 8313: @498094
     /*  498094 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(498173), // Rule ID 4649 //
     /*  498099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  498119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498171 */     GIR_RootConstrainSelectedInstOperands,
     /*  498172 */     // GIR_Coverage, 4649,
     /*  498172 */     GIR_EraseRootFromParent_Done,
     /*  498173 */   // Label 8314: @498173
     /*  498173 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(498252), // Rule ID 4658 //
     /*  498178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  498198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498250 */     GIR_RootConstrainSelectedInstOperands,
     /*  498251 */     // GIR_Coverage, 4658,
     /*  498251 */     GIR_EraseRootFromParent_Done,
     /*  498252 */   // Label 8315: @498252
     /*  498252 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(498331), // Rule ID 4659 //
     /*  498257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  498277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498329 */     GIR_RootConstrainSelectedInstOperands,
     /*  498330 */     // GIR_Coverage, 4659,
     /*  498330 */     GIR_EraseRootFromParent_Done,
     /*  498331 */   // Label 8316: @498331
     /*  498331 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(498410), // Rule ID 4668 //
     /*  498336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  498356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  498391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498408 */     GIR_RootConstrainSelectedInstOperands,
     /*  498409 */     // GIR_Coverage, 4668,
     /*  498409 */     GIR_EraseRootFromParent_Done,
     /*  498410 */   // Label 8317: @498410
     /*  498410 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(498489), // Rule ID 4669 //
     /*  498415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  498435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  498470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498487 */     GIR_RootConstrainSelectedInstOperands,
     /*  498488 */     // GIR_Coverage, 4669,
     /*  498488 */     GIR_EraseRootFromParent_Done,
     /*  498489 */   // Label 8318: @498489
     /*  498489 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(498568), // Rule ID 4678 //
     /*  498494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  498514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  498549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498566 */     GIR_RootConstrainSelectedInstOperands,
     /*  498567 */     // GIR_Coverage, 4678,
     /*  498567 */     GIR_EraseRootFromParent_Done,
     /*  498568 */   // Label 8319: @498568
     /*  498568 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498647), // Rule ID 4679 //
     /*  498573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  498593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498625 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  498628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498645 */     GIR_RootConstrainSelectedInstOperands,
     /*  498646 */     // GIR_Coverage, 4679,
     /*  498646 */     GIR_EraseRootFromParent_Done,
     /*  498647 */   // Label 8320: @498647
     /*  498647 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498726), // Rule ID 4688 //
     /*  498652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  498672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  498704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498724 */     GIR_RootConstrainSelectedInstOperands,
     /*  498725 */     // GIR_Coverage, 4688,
     /*  498725 */     GIR_EraseRootFromParent_Done,
     /*  498726 */   // Label 8321: @498726
     /*  498726 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(498805), // Rule ID 4689 //
     /*  498731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  498751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  498783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498803 */     GIR_RootConstrainSelectedInstOperands,
     /*  498804 */     // GIR_Coverage, 4689,
     /*  498804 */     GIR_EraseRootFromParent_Done,
     /*  498805 */   // Label 8322: @498805
     /*  498805 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(498884), // Rule ID 4698 //
     /*  498810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  498827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  498830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  498862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498882 */     GIR_RootConstrainSelectedInstOperands,
     /*  498883 */     // GIR_Coverage, 4698,
     /*  498883 */     GIR_EraseRootFromParent_Done,
     /*  498884 */   // Label 8323: @498884
     /*  498884 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(498963), // Rule ID 4699 //
     /*  498889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  498906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  498909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498941 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  498941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498961 */     GIR_RootConstrainSelectedInstOperands,
     /*  498962 */     // GIR_Coverage, 4699,
     /*  498962 */     GIR_EraseRootFromParent_Done,
     /*  498963 */   // Label 8324: @498963
     /*  498963 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(499042), // Rule ID 4708 //
     /*  498968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  498979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  498982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  498985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  498988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499040 */     GIR_RootConstrainSelectedInstOperands,
     /*  499041 */     // GIR_Coverage, 4708,
     /*  499041 */     GIR_EraseRootFromParent_Done,
     /*  499042 */   // Label 8325: @499042
     /*  499042 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(499121), // Rule ID 4709 //
     /*  499047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  499058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  499061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  499064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  499067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499119 */     GIR_RootConstrainSelectedInstOperands,
     /*  499120 */     // GIR_Coverage, 4709,
     /*  499120 */     GIR_EraseRootFromParent_Done,
     /*  499121 */   // Label 8326: @499121
     /*  499121 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(499200), // Rule ID 4718 //
     /*  499126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  499137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  499140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  499143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  499146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499198 */     GIR_RootConstrainSelectedInstOperands,
     /*  499199 */     // GIR_Coverage, 4718,
     /*  499199 */     GIR_EraseRootFromParent_Done,
     /*  499200 */   // Label 8327: @499200
     /*  499200 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(499279), // Rule ID 4719 //
     /*  499205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  499216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  499219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  499222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  499225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499257 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499277 */     GIR_RootConstrainSelectedInstOperands,
     /*  499278 */     // GIR_Coverage, 4719,
     /*  499278 */     GIR_EraseRootFromParent_Done,
     /*  499279 */   // Label 8328: @499279
     /*  499279 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(499347), // Rule ID 2602 //
     /*  499284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  499295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  499298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499316 */     // MIs[0] policy
     /*  499316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  499329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499333 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499345 */     GIR_RootConstrainSelectedInstOperands,
     /*  499346 */     // GIR_Coverage, 2602,
     /*  499346 */     GIR_EraseRootFromParent_Done,
     /*  499347 */   // Label 8329: @499347
     /*  499347 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(499415), // Rule ID 2603 //
     /*  499352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  499363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  499366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499384 */     // MIs[0] policy
     /*  499384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  499397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499401 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499413 */     GIR_RootConstrainSelectedInstOperands,
     /*  499414 */     // GIR_Coverage, 2603,
     /*  499414 */     GIR_EraseRootFromParent_Done,
     /*  499415 */   // Label 8330: @499415
     /*  499415 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(499483), // Rule ID 23398 //
     /*  499420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  499431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  499434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  499437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499452 */     // MIs[0] policy
     /*  499452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  499465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499469 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499481 */     GIR_RootConstrainSelectedInstOperands,
     /*  499482 */     // GIR_Coverage, 23398,
     /*  499482 */     GIR_EraseRootFromParent_Done,
     /*  499483 */   // Label 8331: @499483
     /*  499483 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499551), // Rule ID 23399 //
     /*  499488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  499499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  499502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  499505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499520 */     // MIs[0] policy
     /*  499520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499530 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  499533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499537 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499549 */     GIR_RootConstrainSelectedInstOperands,
     /*  499550 */     // GIR_Coverage, 23399,
     /*  499550 */     GIR_EraseRootFromParent_Done,
     /*  499551 */   // Label 8332: @499551
     /*  499551 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499619), // Rule ID 23402 //
     /*  499556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  499567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  499570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  499573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499588 */     // MIs[0] policy
     /*  499588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  499601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499605 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499617 */     GIR_RootConstrainSelectedInstOperands,
     /*  499618 */     // GIR_Coverage, 23402,
     /*  499618 */     GIR_EraseRootFromParent_Done,
     /*  499619 */   // Label 8333: @499619
     /*  499619 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499687), // Rule ID 23403 //
     /*  499624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  499635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  499638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  499641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499656 */     // MIs[0] policy
     /*  499656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499666 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  499669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499673 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499685 */     GIR_RootConstrainSelectedInstOperands,
     /*  499686 */     // GIR_Coverage, 23403,
     /*  499686 */     GIR_EraseRootFromParent_Done,
     /*  499687 */   // Label 8334: @499687
     /*  499687 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499755), // Rule ID 23406 //
     /*  499692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499724 */     // MIs[0] policy
     /*  499724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499734 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  499737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499741 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499753 */     GIR_RootConstrainSelectedInstOperands,
     /*  499754 */     // GIR_Coverage, 23406,
     /*  499754 */     GIR_EraseRootFromParent_Done,
     /*  499755 */   // Label 8335: @499755
     /*  499755 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499823), // Rule ID 23407 //
     /*  499760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499792 */     // MIs[0] policy
     /*  499792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  499805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499809 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499821 */     GIR_RootConstrainSelectedInstOperands,
     /*  499822 */     // GIR_Coverage, 23407,
     /*  499822 */     GIR_EraseRootFromParent_Done,
     /*  499823 */   // Label 8336: @499823
     /*  499823 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(499891), // Rule ID 23410 //
     /*  499828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  499839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  499842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  499845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499860 */     // MIs[0] policy
     /*  499860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  499873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499877 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499889 */     GIR_RootConstrainSelectedInstOperands,
     /*  499890 */     // GIR_Coverage, 23410,
     /*  499890 */     GIR_EraseRootFromParent_Done,
     /*  499891 */   // Label 8337: @499891
     /*  499891 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(499959), // Rule ID 23411 //
     /*  499896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  499907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  499910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  499913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499928 */     // MIs[0] policy
     /*  499928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  499941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499945 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  499947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499957 */     GIR_RootConstrainSelectedInstOperands,
     /*  499958 */     // GIR_Coverage, 23411,
     /*  499958 */     GIR_EraseRootFromParent_Done,
     /*  499959 */   // Label 8338: @499959
     /*  499959 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(500027), // Rule ID 23414 //
     /*  499964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499996 */     // MIs[0] policy
     /*  499996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500013 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500025 */     GIR_RootConstrainSelectedInstOperands,
     /*  500026 */     // GIR_Coverage, 23414,
     /*  500026 */     GIR_EraseRootFromParent_Done,
     /*  500027 */   // Label 8339: @500027
     /*  500027 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(500095), // Rule ID 23415 //
     /*  500032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500064 */     // MIs[0] policy
     /*  500064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500081 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500093 */     GIR_RootConstrainSelectedInstOperands,
     /*  500094 */     // GIR_Coverage, 23415,
     /*  500094 */     GIR_EraseRootFromParent_Done,
     /*  500095 */   // Label 8340: @500095
     /*  500095 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(500163), // Rule ID 23418 //
     /*  500100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  500111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  500114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  500117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500132 */     // MIs[0] policy
     /*  500132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500149 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500161 */     GIR_RootConstrainSelectedInstOperands,
     /*  500162 */     // GIR_Coverage, 23418,
     /*  500162 */     GIR_EraseRootFromParent_Done,
     /*  500163 */   // Label 8341: @500163
     /*  500163 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(500231), // Rule ID 23419 //
     /*  500168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  500179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  500182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  500185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500200 */     // MIs[0] policy
     /*  500200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500210 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11257:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500217 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500229 */     GIR_RootConstrainSelectedInstOperands,
     /*  500230 */     // GIR_Coverage, 23419,
     /*  500230 */     GIR_EraseRootFromParent_Done,
     /*  500231 */   // Label 8342: @500231
     /*  500231 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(500299), // Rule ID 23422 //
     /*  500236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  500247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  500250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  500253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500268 */     // MIs[0] policy
     /*  500268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500285 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500297 */     GIR_RootConstrainSelectedInstOperands,
     /*  500298 */     // GIR_Coverage, 23422,
     /*  500298 */     GIR_EraseRootFromParent_Done,
     /*  500299 */   // Label 8343: @500299
     /*  500299 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(500367), // Rule ID 23423 //
     /*  500304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  500315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  500318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  500321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500336 */     // MIs[0] policy
     /*  500336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500353 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500365 */     GIR_RootConstrainSelectedInstOperands,
     /*  500366 */     // GIR_Coverage, 23423,
     /*  500366 */     GIR_EraseRootFromParent_Done,
     /*  500367 */   // Label 8344: @500367
     /*  500367 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500435), // Rule ID 23426 //
     /*  500372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500404 */     // MIs[0] policy
     /*  500404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500421 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500433 */     GIR_RootConstrainSelectedInstOperands,
     /*  500434 */     // GIR_Coverage, 23426,
     /*  500434 */     GIR_EraseRootFromParent_Done,
     /*  500435 */   // Label 8345: @500435
     /*  500435 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500503), // Rule ID 23427 //
     /*  500440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500472 */     // MIs[0] policy
     /*  500472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500489 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500501 */     GIR_RootConstrainSelectedInstOperands,
     /*  500502 */     // GIR_Coverage, 23427,
     /*  500502 */     GIR_EraseRootFromParent_Done,
     /*  500503 */   // Label 8346: @500503
     /*  500503 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500571), // Rule ID 23430 //
     /*  500508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  500511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500540 */     // MIs[0] policy
     /*  500540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500557 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  500567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500569 */     GIR_RootConstrainSelectedInstOperands,
     /*  500570 */     // GIR_Coverage, 23430,
     /*  500570 */     GIR_EraseRootFromParent_Done,
     /*  500571 */   // Label 8347: @500571
     /*  500571 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500639), // Rule ID 23431 //
     /*  500576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  500579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500608 */     // MIs[0] policy
     /*  500608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500625 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  500635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500637 */     GIR_RootConstrainSelectedInstOperands,
     /*  500638 */     // GIR_Coverage, 23431,
     /*  500638 */     GIR_EraseRootFromParent_Done,
     /*  500639 */   // Label 8348: @500639
     /*  500639 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500707), // Rule ID 23434 //
     /*  500644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  500655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  500658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  500661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  500668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500676 */     // MIs[0] policy
     /*  500676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500686 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  500689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500693 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500705 */     GIR_RootConstrainSelectedInstOperands,
     /*  500706 */     // GIR_Coverage, 23434,
     /*  500706 */     GIR_EraseRootFromParent_Done,
     /*  500707 */   // Label 8349: @500707
     /*  500707 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500775), // Rule ID 23435 //
     /*  500712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  500723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  500726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  500729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  500736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500744 */     // MIs[0] policy
     /*  500744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500754 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  500757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500761 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500773 */     GIR_RootConstrainSelectedInstOperands,
     /*  500774 */     // GIR_Coverage, 23435,
     /*  500774 */     GIR_EraseRootFromParent_Done,
     /*  500775 */   // Label 8350: @500775
     /*  500775 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500843), // Rule ID 23438 //
     /*  500780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  500791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  500794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  500797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  500804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500812 */     // MIs[0] policy
     /*  500812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  500825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500829 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500841 */     GIR_RootConstrainSelectedInstOperands,
     /*  500842 */     // GIR_Coverage, 23438,
     /*  500842 */     GIR_EraseRootFromParent_Done,
     /*  500843 */   // Label 8351: @500843
     /*  500843 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(500911), // Rule ID 23439 //
     /*  500848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  500859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  500862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  500865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  500872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500880 */     // MIs[0] policy
     /*  500880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  500893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500897 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500909 */     GIR_RootConstrainSelectedInstOperands,
     /*  500910 */     // GIR_Coverage, 23439,
     /*  500910 */     GIR_EraseRootFromParent_Done,
     /*  500911 */   // Label 8352: @500911
     /*  500911 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(500979), // Rule ID 23442 //
     /*  500916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  500927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  500930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  500933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  500940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500948 */     // MIs[0] policy
     /*  500948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500958 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  500961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500965 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500977 */     GIR_RootConstrainSelectedInstOperands,
     /*  500978 */     // GIR_Coverage, 23442,
     /*  500978 */     GIR_EraseRootFromParent_Done,
     /*  500979 */   // Label 8353: @500979
     /*  500979 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(501047), // Rule ID 23443 //
     /*  500984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  500995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  500998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  501001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501016 */     // MIs[0] policy
     /*  501016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501033 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501045 */     GIR_RootConstrainSelectedInstOperands,
     /*  501046 */     // GIR_Coverage, 23443,
     /*  501046 */     GIR_EraseRootFromParent_Done,
     /*  501047 */   // Label 8354: @501047
     /*  501047 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(501115), // Rule ID 23446 //
     /*  501052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501084 */     // MIs[0] policy
     /*  501084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501101 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501113 */     GIR_RootConstrainSelectedInstOperands,
     /*  501114 */     // GIR_Coverage, 23446,
     /*  501114 */     GIR_EraseRootFromParent_Done,
     /*  501115 */   // Label 8355: @501115
     /*  501115 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(501183), // Rule ID 23447 //
     /*  501120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501152 */     // MIs[0] policy
     /*  501152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501169 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501181 */     GIR_RootConstrainSelectedInstOperands,
     /*  501182 */     // GIR_Coverage, 23447,
     /*  501182 */     GIR_EraseRootFromParent_Done,
     /*  501183 */   // Label 8356: @501183
     /*  501183 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(501251), // Rule ID 23450 //
     /*  501188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501220 */     // MIs[0] policy
     /*  501220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501230 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501237 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501249 */     GIR_RootConstrainSelectedInstOperands,
     /*  501250 */     // GIR_Coverage, 23450,
     /*  501250 */     GIR_EraseRootFromParent_Done,
     /*  501251 */   // Label 8357: @501251
     /*  501251 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(501319), // Rule ID 23451 //
     /*  501256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501288 */     // MIs[0] policy
     /*  501288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501305 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501317 */     GIR_RootConstrainSelectedInstOperands,
     /*  501318 */     // GIR_Coverage, 23451,
     /*  501318 */     GIR_EraseRootFromParent_Done,
     /*  501319 */   // Label 8358: @501319
     /*  501319 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(501387), // Rule ID 23454 //
     /*  501324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  501335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  501338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501356 */     // MIs[0] policy
     /*  501356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501366 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501373 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501385 */     GIR_RootConstrainSelectedInstOperands,
     /*  501386 */     // GIR_Coverage, 23454,
     /*  501386 */     GIR_EraseRootFromParent_Done,
     /*  501387 */   // Label 8359: @501387
     /*  501387 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501455), // Rule ID 23455 //
     /*  501392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  501403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  501406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501424 */     // MIs[0] policy
     /*  501424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501441 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501453 */     GIR_RootConstrainSelectedInstOperands,
     /*  501454 */     // GIR_Coverage, 23455,
     /*  501454 */     GIR_EraseRootFromParent_Done,
     /*  501455 */   // Label 8360: @501455
     /*  501455 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501523), // Rule ID 23458 //
     /*  501460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  501477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501492 */     // MIs[0] policy
     /*  501492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501509 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501521 */     GIR_RootConstrainSelectedInstOperands,
     /*  501522 */     // GIR_Coverage, 23458,
     /*  501522 */     GIR_EraseRootFromParent_Done,
     /*  501523 */   // Label 8361: @501523
     /*  501523 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501591), // Rule ID 23459 //
     /*  501528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  501545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501560 */     // MIs[0] policy
     /*  501560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501577 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501589 */     GIR_RootConstrainSelectedInstOperands,
     /*  501590 */     // GIR_Coverage, 23459,
     /*  501590 */     GIR_EraseRootFromParent_Done,
     /*  501591 */   // Label 8362: @501591
     /*  501591 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501659), // Rule ID 23462 //
     /*  501596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501628 */     // MIs[0] policy
     /*  501628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501645 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501657 */     GIR_RootConstrainSelectedInstOperands,
     /*  501658 */     // GIR_Coverage, 23462,
     /*  501658 */     GIR_EraseRootFromParent_Done,
     /*  501659 */   // Label 8363: @501659
     /*  501659 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501727), // Rule ID 23463 //
     /*  501664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501696 */     // MIs[0] policy
     /*  501696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501713 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501725 */     GIR_RootConstrainSelectedInstOperands,
     /*  501726 */     // GIR_Coverage, 23463,
     /*  501726 */     GIR_EraseRootFromParent_Done,
     /*  501727 */   // Label 8364: @501727
     /*  501727 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501795), // Rule ID 23466 //
     /*  501732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501764 */     // MIs[0] policy
     /*  501764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501781 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501793 */     GIR_RootConstrainSelectedInstOperands,
     /*  501794 */     // GIR_Coverage, 23466,
     /*  501794 */     GIR_EraseRootFromParent_Done,
     /*  501795 */   // Label 8365: @501795
     /*  501795 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501863), // Rule ID 23467 //
     /*  501800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501832 */     // MIs[0] policy
     /*  501832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501849 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501861 */     GIR_RootConstrainSelectedInstOperands,
     /*  501862 */     // GIR_Coverage, 23467,
     /*  501862 */     GIR_EraseRootFromParent_Done,
     /*  501863 */   // Label 8366: @501863
     /*  501863 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(501931), // Rule ID 23470 //
     /*  501868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  501871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  501879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  501882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  501885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501900 */     // MIs[0] policy
     /*  501900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501910 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501917 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  501927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501929 */     GIR_RootConstrainSelectedInstOperands,
     /*  501930 */     // GIR_Coverage, 23470,
     /*  501930 */     GIR_EraseRootFromParent_Done,
     /*  501931 */   // Label 8367: @501931
     /*  501931 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(501999), // Rule ID 23471 //
     /*  501936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  501939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  501947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  501950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  501953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501968 */     // MIs[0] policy
     /*  501968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11257:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501985 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  501995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501997 */     GIR_RootConstrainSelectedInstOperands,
     /*  501998 */     // GIR_Coverage, 23471,
     /*  501998 */     GIR_EraseRootFromParent_Done,
     /*  501999 */   // Label 8368: @501999
     /*  501999 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(502067), // Rule ID 23474 //
     /*  502004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  502015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  502018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502036 */     // MIs[0] policy
     /*  502036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502053 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502065 */     GIR_RootConstrainSelectedInstOperands,
     /*  502066 */     // GIR_Coverage, 23474,
     /*  502066 */     GIR_EraseRootFromParent_Done,
     /*  502067 */   // Label 8369: @502067
     /*  502067 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(502135), // Rule ID 23475 //
     /*  502072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  502083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  502086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502104 */     // MIs[0] policy
     /*  502104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11257:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502121 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502133 */     GIR_RootConstrainSelectedInstOperands,
     /*  502134 */     // GIR_Coverage, 23475,
     /*  502134 */     GIR_EraseRootFromParent_Done,
     /*  502135 */   // Label 8370: @502135
     /*  502135 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(502203), // Rule ID 23478 //
     /*  502140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  502151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  502154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502172 */     // MIs[0] policy
     /*  502172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502189 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502201 */     GIR_RootConstrainSelectedInstOperands,
     /*  502202 */     // GIR_Coverage, 23478,
     /*  502202 */     GIR_EraseRootFromParent_Done,
     /*  502203 */   // Label 8371: @502203
     /*  502203 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(502271), // Rule ID 23479 //
     /*  502208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  502219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  502222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502240 */     // MIs[0] policy
     /*  502240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11257:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502257 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502269 */     GIR_RootConstrainSelectedInstOperands,
     /*  502270 */     // GIR_Coverage, 23479,
     /*  502270 */     GIR_EraseRootFromParent_Done,
     /*  502271 */   // Label 8372: @502271
     /*  502271 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(502339), // Rule ID 60492 //
     /*  502276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502308 */     // MIs[0] policy
     /*  502308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  502321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502337 */     GIR_RootConstrainSelectedInstOperands,
     /*  502338 */     // GIR_Coverage, 60492,
     /*  502338 */     GIR_EraseRootFromParent_Done,
     /*  502339 */   // Label 8373: @502339
     /*  502339 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(502407), // Rule ID 60493 //
     /*  502344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  502347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502376 */     // MIs[0] policy
     /*  502376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  502389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502405 */     GIR_RootConstrainSelectedInstOperands,
     /*  502406 */     // GIR_Coverage, 60493,
     /*  502406 */     GIR_EraseRootFromParent_Done,
     /*  502407 */   // Label 8374: @502407
     /*  502407 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502475), // Rule ID 60494 //
     /*  502412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  502420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502444 */     // MIs[0] policy
     /*  502444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  502457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502473 */     GIR_RootConstrainSelectedInstOperands,
     /*  502474 */     // GIR_Coverage, 60494,
     /*  502474 */     GIR_EraseRootFromParent_Done,
     /*  502475 */   // Label 8375: @502475
     /*  502475 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502543), // Rule ID 60495 //
     /*  502480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  502488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502512 */     // MIs[0] policy
     /*  502512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  502525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502541 */     GIR_RootConstrainSelectedInstOperands,
     /*  502542 */     // GIR_Coverage, 60495,
     /*  502542 */     GIR_EraseRootFromParent_Done,
     /*  502543 */   // Label 8376: @502543
     /*  502543 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502611), // Rule ID 61988 //
     /*  502548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502580 */     // MIs[0] policy
     /*  502580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  502593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502609 */     GIR_RootConstrainSelectedInstOperands,
     /*  502610 */     // GIR_Coverage, 61988,
     /*  502610 */     GIR_EraseRootFromParent_Done,
     /*  502611 */   // Label 8377: @502611
     /*  502611 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502679), // Rule ID 61989 //
     /*  502616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  502619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502648 */     // MIs[0] policy
     /*  502648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  502661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502675 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502677 */     GIR_RootConstrainSelectedInstOperands,
     /*  502678 */     // GIR_Coverage, 61989,
     /*  502678 */     GIR_EraseRootFromParent_Done,
     /*  502679 */   // Label 8378: @502679
     /*  502679 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502747), // Rule ID 61990 //
     /*  502684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502716 */     // MIs[0] policy
     /*  502716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  502729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502743 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502745 */     GIR_RootConstrainSelectedInstOperands,
     /*  502746 */     // GIR_Coverage, 61990,
     /*  502746 */     GIR_EraseRootFromParent_Done,
     /*  502747 */   // Label 8379: @502747
     /*  502747 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502815), // Rule ID 61991 //
     /*  502752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  502755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502784 */     // MIs[0] policy
     /*  502784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  502797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502811 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502813 */     GIR_RootConstrainSelectedInstOperands,
     /*  502814 */     // GIR_Coverage, 61991,
     /*  502814 */     GIR_EraseRootFromParent_Done,
     /*  502815 */   // Label 8380: @502815
     /*  502815 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(502883), // Rule ID 61992 //
     /*  502820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502852 */     // MIs[0] policy
     /*  502852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  502865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502879 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502881 */     GIR_RootConstrainSelectedInstOperands,
     /*  502882 */     // GIR_Coverage, 61992,
     /*  502882 */     GIR_EraseRootFromParent_Done,
     /*  502883 */   // Label 8381: @502883
     /*  502883 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(502951), // Rule ID 61993 //
     /*  502888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  502891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502920 */     // MIs[0] policy
     /*  502920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  502933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502947 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502949 */     GIR_RootConstrainSelectedInstOperands,
     /*  502950 */     // GIR_Coverage, 61993,
     /*  502950 */     GIR_EraseRootFromParent_Done,
     /*  502951 */   // Label 8382: @502951
     /*  502951 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(503019), // Rule ID 61994 //
     /*  502956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502988 */     // MIs[0] policy
     /*  502988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  503001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503015 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503017 */     GIR_RootConstrainSelectedInstOperands,
     /*  503018 */     // GIR_Coverage, 61994,
     /*  503018 */     GIR_EraseRootFromParent_Done,
     /*  503019 */   // Label 8383: @503019
     /*  503019 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(503087), // Rule ID 61995 //
     /*  503024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503056 */     // MIs[0] policy
     /*  503056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  503069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503083 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503085 */     GIR_RootConstrainSelectedInstOperands,
     /*  503086 */     // GIR_Coverage, 61995,
     /*  503086 */     GIR_EraseRootFromParent_Done,
     /*  503087 */   // Label 8384: @503087
     /*  503087 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(503155), // Rule ID 61996 //
     /*  503092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503124 */     // MIs[0] policy
     /*  503124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503134 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  503137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503151 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503153 */     GIR_RootConstrainSelectedInstOperands,
     /*  503154 */     // GIR_Coverage, 61996,
     /*  503154 */     GIR_EraseRootFromParent_Done,
     /*  503155 */   // Label 8385: @503155
     /*  503155 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(503223), // Rule ID 61997 //
     /*  503160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503192 */     // MIs[0] policy
     /*  503192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  503205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503219 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503221 */     GIR_RootConstrainSelectedInstOperands,
     /*  503222 */     // GIR_Coverage, 61997,
     /*  503222 */     GIR_EraseRootFromParent_Done,
     /*  503223 */   // Label 8386: @503223
     /*  503223 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(503291), // Rule ID 61998 //
     /*  503228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503260 */     // MIs[0] policy
     /*  503260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  503273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503287 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503289 */     GIR_RootConstrainSelectedInstOperands,
     /*  503290 */     // GIR_Coverage, 61998,
     /*  503290 */     GIR_EraseRootFromParent_Done,
     /*  503291 */   // Label 8387: @503291
     /*  503291 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(503359), // Rule ID 61999 //
     /*  503296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503328 */     // MIs[0] policy
     /*  503328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  503341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503355 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503357 */     GIR_RootConstrainSelectedInstOperands,
     /*  503358 */     // GIR_Coverage, 61999,
     /*  503358 */     GIR_EraseRootFromParent_Done,
     /*  503359 */   // Label 8388: @503359
     /*  503359 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503427), // Rule ID 62000 //
     /*  503364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503396 */     // MIs[0] policy
     /*  503396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  503409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503423 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503425 */     GIR_RootConstrainSelectedInstOperands,
     /*  503426 */     // GIR_Coverage, 62000,
     /*  503426 */     GIR_EraseRootFromParent_Done,
     /*  503427 */   // Label 8389: @503427
     /*  503427 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503495), // Rule ID 62001 //
     /*  503432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503464 */     // MIs[0] policy
     /*  503464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  503477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503491 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503493 */     GIR_RootConstrainSelectedInstOperands,
     /*  503494 */     // GIR_Coverage, 62001,
     /*  503494 */     GIR_EraseRootFromParent_Done,
     /*  503495 */   // Label 8390: @503495
     /*  503495 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503563), // Rule ID 62002 //
     /*  503500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503532 */     // MIs[0] policy
     /*  503532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  503545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503561 */     GIR_RootConstrainSelectedInstOperands,
     /*  503562 */     // GIR_Coverage, 62002,
     /*  503562 */     GIR_EraseRootFromParent_Done,
     /*  503563 */   // Label 8391: @503563
     /*  503563 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503631), // Rule ID 62003 //
     /*  503568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503600 */     // MIs[0] policy
     /*  503600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  503613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503629 */     GIR_RootConstrainSelectedInstOperands,
     /*  503630 */     // GIR_Coverage, 62003,
     /*  503630 */     GIR_EraseRootFromParent_Done,
     /*  503631 */   // Label 8392: @503631
     /*  503631 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503699), // Rule ID 62004 //
     /*  503636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503668 */     // MIs[0] policy
     /*  503668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  503681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503697 */     GIR_RootConstrainSelectedInstOperands,
     /*  503698 */     // GIR_Coverage, 62004,
     /*  503698 */     GIR_EraseRootFromParent_Done,
     /*  503699 */   // Label 8393: @503699
     /*  503699 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503767), // Rule ID 62005 //
     /*  503704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503736 */     // MIs[0] policy
     /*  503736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  503749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503765 */     GIR_RootConstrainSelectedInstOperands,
     /*  503766 */     // GIR_Coverage, 62005,
     /*  503766 */     GIR_EraseRootFromParent_Done,
     /*  503767 */   // Label 8394: @503767
     /*  503767 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503835), // Rule ID 62006 //
     /*  503772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  503780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503804 */     // MIs[0] policy
     /*  503804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503814 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  503817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503833 */     GIR_RootConstrainSelectedInstOperands,
     /*  503834 */     // GIR_Coverage, 62006,
     /*  503834 */     GIR_EraseRootFromParent_Done,
     /*  503835 */   // Label 8395: @503835
     /*  503835 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(503903), // Rule ID 62007 //
     /*  503840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  503848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503872 */     // MIs[0] policy
     /*  503872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  503885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503901 */     GIR_RootConstrainSelectedInstOperands,
     /*  503902 */     // GIR_Coverage, 62007,
     /*  503902 */     GIR_EraseRootFromParent_Done,
     /*  503903 */   // Label 8396: @503903
     /*  503903 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(503971), // Rule ID 62008 //
     /*  503908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  503916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503940 */     // MIs[0] policy
     /*  503940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  503953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503969 */     GIR_RootConstrainSelectedInstOperands,
     /*  503970 */     // GIR_Coverage, 62008,
     /*  503970 */     GIR_EraseRootFromParent_Done,
     /*  503971 */   // Label 8397: @503971
     /*  503971 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(504039), // Rule ID 62009 //
     /*  503976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  503984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504008 */     // MIs[0] policy
     /*  504008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  504021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504037 */     GIR_RootConstrainSelectedInstOperands,
     /*  504038 */     // GIR_Coverage, 62009,
     /*  504038 */     GIR_EraseRootFromParent_Done,
     /*  504039 */   // Label 8398: @504039
     /*  504039 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(504107), // Rule ID 62010 //
     /*  504044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504076 */     // MIs[0] policy
     /*  504076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  504089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504105 */     GIR_RootConstrainSelectedInstOperands,
     /*  504106 */     // GIR_Coverage, 62010,
     /*  504106 */     GIR_EraseRootFromParent_Done,
     /*  504107 */   // Label 8399: @504107
     /*  504107 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(504175), // Rule ID 62011 //
     /*  504112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504144 */     // MIs[0] policy
     /*  504144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  504157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504173 */     GIR_RootConstrainSelectedInstOperands,
     /*  504174 */     // GIR_Coverage, 62011,
     /*  504174 */     GIR_EraseRootFromParent_Done,
     /*  504175 */   // Label 8400: @504175
     /*  504175 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(504243), // Rule ID 62012 //
     /*  504180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504212 */     // MIs[0] policy
     /*  504212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  504225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504241 */     GIR_RootConstrainSelectedInstOperands,
     /*  504242 */     // GIR_Coverage, 62012,
     /*  504242 */     GIR_EraseRootFromParent_Done,
     /*  504243 */   // Label 8401: @504243
     /*  504243 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(504311), // Rule ID 62013 //
     /*  504248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504280 */     // MIs[0] policy
     /*  504280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  504293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504309 */     GIR_RootConstrainSelectedInstOperands,
     /*  504310 */     // GIR_Coverage, 62013,
     /*  504310 */     GIR_EraseRootFromParent_Done,
     /*  504311 */   // Label 8402: @504311
     /*  504311 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(504379), // Rule ID 62014 //
     /*  504316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504348 */     // MIs[0] policy
     /*  504348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  504361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504377 */     GIR_RootConstrainSelectedInstOperands,
     /*  504378 */     // GIR_Coverage, 62014,
     /*  504378 */     GIR_EraseRootFromParent_Done,
     /*  504379 */   // Label 8403: @504379
     /*  504379 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504447), // Rule ID 62015 //
     /*  504384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504416 */     // MIs[0] policy
     /*  504416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  504429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504445 */     GIR_RootConstrainSelectedInstOperands,
     /*  504446 */     // GIR_Coverage, 62015,
     /*  504446 */     GIR_EraseRootFromParent_Done,
     /*  504447 */   // Label 8404: @504447
     /*  504447 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504515), // Rule ID 62016 //
     /*  504452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504484 */     // MIs[0] policy
     /*  504484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  504497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504513 */     GIR_RootConstrainSelectedInstOperands,
     /*  504514 */     // GIR_Coverage, 62016,
     /*  504514 */     GIR_EraseRootFromParent_Done,
     /*  504515 */   // Label 8405: @504515
     /*  504515 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504583), // Rule ID 62017 //
     /*  504520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504552 */     // MIs[0] policy
     /*  504552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  504565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504581 */     GIR_RootConstrainSelectedInstOperands,
     /*  504582 */     // GIR_Coverage, 62017,
     /*  504582 */     GIR_EraseRootFromParent_Done,
     /*  504583 */   // Label 8406: @504583
     /*  504583 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504651), // Rule ID 62018 //
     /*  504588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504620 */     // MIs[0] policy
     /*  504620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  504633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504649 */     GIR_RootConstrainSelectedInstOperands,
     /*  504650 */     // GIR_Coverage, 62018,
     /*  504650 */     GIR_EraseRootFromParent_Done,
     /*  504651 */   // Label 8407: @504651
     /*  504651 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504719), // Rule ID 62019 //
     /*  504656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504688 */     // MIs[0] policy
     /*  504688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  504701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504717 */     GIR_RootConstrainSelectedInstOperands,
     /*  504718 */     // GIR_Coverage, 62019,
     /*  504718 */     GIR_EraseRootFromParent_Done,
     /*  504719 */   // Label 8408: @504719
     /*  504719 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504787), // Rule ID 62020 //
     /*  504724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504756 */     // MIs[0] policy
     /*  504756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  504769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504785 */     GIR_RootConstrainSelectedInstOperands,
     /*  504786 */     // GIR_Coverage, 62020,
     /*  504786 */     GIR_EraseRootFromParent_Done,
     /*  504787 */   // Label 8409: @504787
     /*  504787 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504855), // Rule ID 62021 //
     /*  504792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504824 */     // MIs[0] policy
     /*  504824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  504837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504853 */     GIR_RootConstrainSelectedInstOperands,
     /*  504854 */     // GIR_Coverage, 62021,
     /*  504854 */     GIR_EraseRootFromParent_Done,
     /*  504855 */   // Label 8410: @504855
     /*  504855 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(504923), // Rule ID 62022 //
     /*  504860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504892 */     // MIs[0] policy
     /*  504892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  504905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504921 */     GIR_RootConstrainSelectedInstOperands,
     /*  504922 */     // GIR_Coverage, 62022,
     /*  504922 */     GIR_EraseRootFromParent_Done,
     /*  504923 */   // Label 8411: @504923
     /*  504923 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(504991), // Rule ID 62023 //
     /*  504928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504960 */     // MIs[0] policy
     /*  504960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  504973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504989 */     GIR_RootConstrainSelectedInstOperands,
     /*  504990 */     // GIR_Coverage, 62023,
     /*  504990 */     GIR_EraseRootFromParent_Done,
     /*  504991 */   // Label 8412: @504991
     /*  504991 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(505059), // Rule ID 62024 //
     /*  504996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505028 */     // MIs[0] policy
     /*  505028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  505041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505055 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505057 */     GIR_RootConstrainSelectedInstOperands,
     /*  505058 */     // GIR_Coverage, 62024,
     /*  505058 */     GIR_EraseRootFromParent_Done,
     /*  505059 */   // Label 8413: @505059
     /*  505059 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(505127), // Rule ID 62025 //
     /*  505064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505096 */     // MIs[0] policy
     /*  505096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  505109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505123 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505125 */     GIR_RootConstrainSelectedInstOperands,
     /*  505126 */     // GIR_Coverage, 62025,
     /*  505126 */     GIR_EraseRootFromParent_Done,
     /*  505127 */   // Label 8414: @505127
     /*  505127 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(505195), // Rule ID 62026 //
     /*  505132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505164 */     // MIs[0] policy
     /*  505164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  505177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505191 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505193 */     GIR_RootConstrainSelectedInstOperands,
     /*  505194 */     // GIR_Coverage, 62026,
     /*  505194 */     GIR_EraseRootFromParent_Done,
     /*  505195 */   // Label 8415: @505195
     /*  505195 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(505263), // Rule ID 62027 //
     /*  505200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505232 */     // MIs[0] policy
     /*  505232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  505245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505259 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505261 */     GIR_RootConstrainSelectedInstOperands,
     /*  505262 */     // GIR_Coverage, 62027,
     /*  505262 */     GIR_EraseRootFromParent_Done,
     /*  505263 */   // Label 8416: @505263
     /*  505263 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(505331), // Rule ID 62028 //
     /*  505268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505300 */     // MIs[0] policy
     /*  505300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  505313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505327 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505329 */     GIR_RootConstrainSelectedInstOperands,
     /*  505330 */     // GIR_Coverage, 62028,
     /*  505330 */     GIR_EraseRootFromParent_Done,
     /*  505331 */   // Label 8417: @505331
     /*  505331 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(505399), // Rule ID 62029 //
     /*  505336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505368 */     // MIs[0] policy
     /*  505368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  505381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505395 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505397 */     GIR_RootConstrainSelectedInstOperands,
     /*  505398 */     // GIR_Coverage, 62029,
     /*  505398 */     GIR_EraseRootFromParent_Done,
     /*  505399 */   // Label 8418: @505399
     /*  505399 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505467), // Rule ID 62030 //
     /*  505404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505436 */     // MIs[0] policy
     /*  505436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  505449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505463 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505465 */     GIR_RootConstrainSelectedInstOperands,
     /*  505466 */     // GIR_Coverage, 62030,
     /*  505466 */     GIR_EraseRootFromParent_Done,
     /*  505467 */   // Label 8419: @505467
     /*  505467 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505535), // Rule ID 62031 //
     /*  505472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505504 */     // MIs[0] policy
     /*  505504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  505517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505531 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505533 */     GIR_RootConstrainSelectedInstOperands,
     /*  505534 */     // GIR_Coverage, 62031,
     /*  505534 */     GIR_EraseRootFromParent_Done,
     /*  505535 */   // Label 8420: @505535
     /*  505535 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505603), // Rule ID 62032 //
     /*  505540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505572 */     // MIs[0] policy
     /*  505572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  505585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505599 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505601 */     GIR_RootConstrainSelectedInstOperands,
     /*  505602 */     // GIR_Coverage, 62032,
     /*  505602 */     GIR_EraseRootFromParent_Done,
     /*  505603 */   // Label 8421: @505603
     /*  505603 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505671), // Rule ID 62033 //
     /*  505608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505640 */     // MIs[0] policy
     /*  505640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  505653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505667 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505669 */     GIR_RootConstrainSelectedInstOperands,
     /*  505670 */     // GIR_Coverage, 62033,
     /*  505670 */     GIR_EraseRootFromParent_Done,
     /*  505671 */   // Label 8422: @505671
     /*  505671 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505739), // Rule ID 62034 //
     /*  505676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505708 */     // MIs[0] policy
     /*  505708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  505721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505735 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505737 */     GIR_RootConstrainSelectedInstOperands,
     /*  505738 */     // GIR_Coverage, 62034,
     /*  505738 */     GIR_EraseRootFromParent_Done,
     /*  505739 */   // Label 8423: @505739
     /*  505739 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505807), // Rule ID 62035 //
     /*  505744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505776 */     // MIs[0] policy
     /*  505776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  505789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505803 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505805 */     GIR_RootConstrainSelectedInstOperands,
     /*  505806 */     // GIR_Coverage, 62035,
     /*  505806 */     GIR_EraseRootFromParent_Done,
     /*  505807 */   // Label 8424: @505807
     /*  505807 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(505875), // Rule ID 62036 //
     /*  505812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505844 */     // MIs[0] policy
     /*  505844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  505857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505871 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505873 */     GIR_RootConstrainSelectedInstOperands,
     /*  505874 */     // GIR_Coverage, 62036,
     /*  505874 */     GIR_EraseRootFromParent_Done,
     /*  505875 */   // Label 8425: @505875
     /*  505875 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(505943), // Rule ID 62037 //
     /*  505880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505912 */     // MIs[0] policy
     /*  505912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  505925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505939 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505941 */     GIR_RootConstrainSelectedInstOperands,
     /*  505942 */     // GIR_Coverage, 62037,
     /*  505942 */     GIR_EraseRootFromParent_Done,
     /*  505943 */   // Label 8426: @505943
     /*  505943 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(506011), // Rule ID 62038 //
     /*  505948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  505956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505980 */     // MIs[0] policy
     /*  505980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  505993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506007 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506009 */     GIR_RootConstrainSelectedInstOperands,
     /*  506010 */     // GIR_Coverage, 62038,
     /*  506010 */     GIR_EraseRootFromParent_Done,
     /*  506011 */   // Label 8427: @506011
     /*  506011 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(506079), // Rule ID 62039 //
     /*  506016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506048 */     // MIs[0] policy
     /*  506048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  506061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506075 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506077 */     GIR_RootConstrainSelectedInstOperands,
     /*  506078 */     // GIR_Coverage, 62039,
     /*  506078 */     GIR_EraseRootFromParent_Done,
     /*  506079 */   // Label 8428: @506079
     /*  506079 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(506147), // Rule ID 62040 //
     /*  506084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506116 */     // MIs[0] policy
     /*  506116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  506129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506143 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506145 */     GIR_RootConstrainSelectedInstOperands,
     /*  506146 */     // GIR_Coverage, 62040,
     /*  506146 */     GIR_EraseRootFromParent_Done,
     /*  506147 */   // Label 8429: @506147
     /*  506147 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(506215), // Rule ID 62041 //
     /*  506152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506184 */     // MIs[0] policy
     /*  506184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  506197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506211 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506213 */     GIR_RootConstrainSelectedInstOperands,
     /*  506214 */     // GIR_Coverage, 62041,
     /*  506214 */     GIR_EraseRootFromParent_Done,
     /*  506215 */   // Label 8430: @506215
     /*  506215 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(506283), // Rule ID 62042 //
     /*  506220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506252 */     // MIs[0] policy
     /*  506252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  506265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506279 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506281 */     GIR_RootConstrainSelectedInstOperands,
     /*  506282 */     // GIR_Coverage, 62042,
     /*  506282 */     GIR_EraseRootFromParent_Done,
     /*  506283 */   // Label 8431: @506283
     /*  506283 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(506351), // Rule ID 62043 //
     /*  506288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506320 */     // MIs[0] policy
     /*  506320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  506333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506347 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506349 */     GIR_RootConstrainSelectedInstOperands,
     /*  506350 */     // GIR_Coverage, 62043,
     /*  506350 */     GIR_EraseRootFromParent_Done,
     /*  506351 */   // Label 8432: @506351
     /*  506351 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506419), // Rule ID 62044 //
     /*  506356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506388 */     // MIs[0] policy
     /*  506388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  506401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506415 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506417 */     GIR_RootConstrainSelectedInstOperands,
     /*  506418 */     // GIR_Coverage, 62044,
     /*  506418 */     GIR_EraseRootFromParent_Done,
     /*  506419 */   // Label 8433: @506419
     /*  506419 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506487), // Rule ID 62045 //
     /*  506424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506456 */     // MIs[0] policy
     /*  506456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  506469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506483 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506485 */     GIR_RootConstrainSelectedInstOperands,
     /*  506486 */     // GIR_Coverage, 62045,
     /*  506486 */     GIR_EraseRootFromParent_Done,
     /*  506487 */   // Label 8434: @506487
     /*  506487 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506555), // Rule ID 62046 //
     /*  506492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506524 */     // MIs[0] policy
     /*  506524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  506537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506551 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506553 */     GIR_RootConstrainSelectedInstOperands,
     /*  506554 */     // GIR_Coverage, 62046,
     /*  506554 */     GIR_EraseRootFromParent_Done,
     /*  506555 */   // Label 8435: @506555
     /*  506555 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506623), // Rule ID 62047 //
     /*  506560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506592 */     // MIs[0] policy
     /*  506592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  506605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506619 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506621 */     GIR_RootConstrainSelectedInstOperands,
     /*  506622 */     // GIR_Coverage, 62047,
     /*  506622 */     GIR_EraseRootFromParent_Done,
     /*  506623 */   // Label 8436: @506623
     /*  506623 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506691), // Rule ID 62048 //
     /*  506628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506660 */     // MIs[0] policy
     /*  506660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  506673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506687 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506689 */     GIR_RootConstrainSelectedInstOperands,
     /*  506690 */     // GIR_Coverage, 62048,
     /*  506690 */     GIR_EraseRootFromParent_Done,
     /*  506691 */   // Label 8437: @506691
     /*  506691 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506759), // Rule ID 62049 //
     /*  506696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506728 */     // MIs[0] policy
     /*  506728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  506741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506755 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506757 */     GIR_RootConstrainSelectedInstOperands,
     /*  506758 */     // GIR_Coverage, 62049,
     /*  506758 */     GIR_EraseRootFromParent_Done,
     /*  506759 */   // Label 8438: @506759
     /*  506759 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506827), // Rule ID 62050 //
     /*  506764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506796 */     // MIs[0] policy
     /*  506796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  506809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506823 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506825 */     GIR_RootConstrainSelectedInstOperands,
     /*  506826 */     // GIR_Coverage, 62050,
     /*  506826 */     GIR_EraseRootFromParent_Done,
     /*  506827 */   // Label 8439: @506827
     /*  506827 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(506895), // Rule ID 62051 //
     /*  506832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506864 */     // MIs[0] policy
     /*  506864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  506877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506891 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506893 */     GIR_RootConstrainSelectedInstOperands,
     /*  506894 */     // GIR_Coverage, 62051,
     /*  506894 */     GIR_EraseRootFromParent_Done,
     /*  506895 */   // Label 8440: @506895
     /*  506895 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(506963), // Rule ID 62052 //
     /*  506900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506932 */     // MIs[0] policy
     /*  506932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  506945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506959 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506961 */     GIR_RootConstrainSelectedInstOperands,
     /*  506962 */     // GIR_Coverage, 62052,
     /*  506962 */     GIR_EraseRootFromParent_Done,
     /*  506963 */   // Label 8441: @506963
     /*  506963 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(507031), // Rule ID 62053 //
     /*  506968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507000 */     // MIs[0] policy
     /*  507000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  507013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507027 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507029 */     GIR_RootConstrainSelectedInstOperands,
     /*  507030 */     // GIR_Coverage, 62053,
     /*  507030 */     GIR_EraseRootFromParent_Done,
     /*  507031 */   // Label 8442: @507031
     /*  507031 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(507099), // Rule ID 62054 //
     /*  507036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507068 */     // MIs[0] policy
     /*  507068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  507081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507095 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507097 */     GIR_RootConstrainSelectedInstOperands,
     /*  507098 */     // GIR_Coverage, 62054,
     /*  507098 */     GIR_EraseRootFromParent_Done,
     /*  507099 */   // Label 8443: @507099
     /*  507099 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(507167), // Rule ID 62055 //
     /*  507104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507136 */     // MIs[0] policy
     /*  507136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  507149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507163 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507165 */     GIR_RootConstrainSelectedInstOperands,
     /*  507166 */     // GIR_Coverage, 62055,
     /*  507166 */     GIR_EraseRootFromParent_Done,
     /*  507167 */   // Label 8444: @507167
     /*  507167 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(507235), // Rule ID 62056 //
     /*  507172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507204 */     // MIs[0] policy
     /*  507204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  507217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507231 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507233 */     GIR_RootConstrainSelectedInstOperands,
     /*  507234 */     // GIR_Coverage, 62056,
     /*  507234 */     GIR_EraseRootFromParent_Done,
     /*  507235 */   // Label 8445: @507235
     /*  507235 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(507303), // Rule ID 62057 //
     /*  507240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507272 */     // MIs[0] policy
     /*  507272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  507285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507299 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507301 */     GIR_RootConstrainSelectedInstOperands,
     /*  507302 */     // GIR_Coverage, 62057,
     /*  507302 */     GIR_EraseRootFromParent_Done,
     /*  507303 */   // Label 8446: @507303
     /*  507303 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(507371), // Rule ID 62058 //
     /*  507308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507340 */     // MIs[0] policy
     /*  507340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  507353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507367 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507369 */     GIR_RootConstrainSelectedInstOperands,
     /*  507370 */     // GIR_Coverage, 62058,
     /*  507370 */     GIR_EraseRootFromParent_Done,
     /*  507371 */   // Label 8447: @507371
     /*  507371 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507439), // Rule ID 62059 //
     /*  507376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507408 */     // MIs[0] policy
     /*  507408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  507421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507435 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507437 */     GIR_RootConstrainSelectedInstOperands,
     /*  507438 */     // GIR_Coverage, 62059,
     /*  507438 */     GIR_EraseRootFromParent_Done,
     /*  507439 */   // Label 8448: @507439
     /*  507439 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507507), // Rule ID 62060 //
     /*  507444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507476 */     // MIs[0] policy
     /*  507476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  507489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507503 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507505 */     GIR_RootConstrainSelectedInstOperands,
     /*  507506 */     // GIR_Coverage, 62060,
     /*  507506 */     GIR_EraseRootFromParent_Done,
     /*  507507 */   // Label 8449: @507507
     /*  507507 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507575), // Rule ID 62061 //
     /*  507512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507544 */     // MIs[0] policy
     /*  507544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  507557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507571 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507573 */     GIR_RootConstrainSelectedInstOperands,
     /*  507574 */     // GIR_Coverage, 62061,
     /*  507574 */     GIR_EraseRootFromParent_Done,
     /*  507575 */   // Label 8450: @507575
     /*  507575 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507643), // Rule ID 62062 //
     /*  507580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507612 */     // MIs[0] policy
     /*  507612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  507625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507639 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507641 */     GIR_RootConstrainSelectedInstOperands,
     /*  507642 */     // GIR_Coverage, 62062,
     /*  507642 */     GIR_EraseRootFromParent_Done,
     /*  507643 */   // Label 8451: @507643
     /*  507643 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507711), // Rule ID 62063 //
     /*  507648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507680 */     // MIs[0] policy
     /*  507680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507690 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  507693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507707 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507709 */     GIR_RootConstrainSelectedInstOperands,
     /*  507710 */     // GIR_Coverage, 62063,
     /*  507710 */     GIR_EraseRootFromParent_Done,
     /*  507711 */   // Label 8452: @507711
     /*  507711 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507779), // Rule ID 62064 //
     /*  507716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507748 */     // MIs[0] policy
     /*  507748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  507761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507775 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507777 */     GIR_RootConstrainSelectedInstOperands,
     /*  507778 */     // GIR_Coverage, 62064,
     /*  507778 */     GIR_EraseRootFromParent_Done,
     /*  507779 */   // Label 8453: @507779
     /*  507779 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507847), // Rule ID 62065 //
     /*  507784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507816 */     // MIs[0] policy
     /*  507816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  507829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507843 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507845 */     GIR_RootConstrainSelectedInstOperands,
     /*  507846 */     // GIR_Coverage, 62065,
     /*  507846 */     GIR_EraseRootFromParent_Done,
     /*  507847 */   // Label 8454: @507847
     /*  507847 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(507915), // Rule ID 62066 //
     /*  507852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507884 */     // MIs[0] policy
     /*  507884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  507897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507911 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507913 */     GIR_RootConstrainSelectedInstOperands,
     /*  507914 */     // GIR_Coverage, 62066,
     /*  507914 */     GIR_EraseRootFromParent_Done,
     /*  507915 */   // Label 8455: @507915
     /*  507915 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(507983), // Rule ID 62067 //
     /*  507920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507952 */     // MIs[0] policy
     /*  507952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  507965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507979 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507981 */     GIR_RootConstrainSelectedInstOperands,
     /*  507982 */     // GIR_Coverage, 62067,
     /*  507982 */     GIR_EraseRootFromParent_Done,
     /*  507983 */   // Label 8456: @507983
     /*  507983 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(508051), // Rule ID 62068 //
     /*  507988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508020 */     // MIs[0] policy
     /*  508020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  508033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508047 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508049 */     GIR_RootConstrainSelectedInstOperands,
     /*  508050 */     // GIR_Coverage, 62068,
     /*  508050 */     GIR_EraseRootFromParent_Done,
     /*  508051 */   // Label 8457: @508051
     /*  508051 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(508119), // Rule ID 62069 //
     /*  508056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508088 */     // MIs[0] policy
     /*  508088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  508101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508115 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508117 */     GIR_RootConstrainSelectedInstOperands,
     /*  508118 */     // GIR_Coverage, 62069,
     /*  508118 */     GIR_EraseRootFromParent_Done,
     /*  508119 */   // Label 8458: @508119
     /*  508119 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(508187), // Rule ID 62070 //
     /*  508124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508156 */     // MIs[0] policy
     /*  508156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  508169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508183 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508185 */     GIR_RootConstrainSelectedInstOperands,
     /*  508186 */     // GIR_Coverage, 62070,
     /*  508186 */     GIR_EraseRootFromParent_Done,
     /*  508187 */   // Label 8459: @508187
     /*  508187 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(508255), // Rule ID 62071 //
     /*  508192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508224 */     // MIs[0] policy
     /*  508224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  508237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508251 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508253 */     GIR_RootConstrainSelectedInstOperands,
     /*  508254 */     // GIR_Coverage, 62071,
     /*  508254 */     GIR_EraseRootFromParent_Done,
     /*  508255 */   // Label 8460: @508255
     /*  508255 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(508323), // Rule ID 62072 //
     /*  508260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508292 */     // MIs[0] policy
     /*  508292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  508305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508319 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508321 */     GIR_RootConstrainSelectedInstOperands,
     /*  508322 */     // GIR_Coverage, 62072,
     /*  508322 */     GIR_EraseRootFromParent_Done,
     /*  508323 */   // Label 8461: @508323
     /*  508323 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(508391), // Rule ID 62073 //
     /*  508328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508360 */     // MIs[0] policy
     /*  508360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  508373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508387 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508389 */     GIR_RootConstrainSelectedInstOperands,
     /*  508390 */     // GIR_Coverage, 62073,
     /*  508390 */     GIR_EraseRootFromParent_Done,
     /*  508391 */   // Label 8462: @508391
     /*  508391 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508459), // Rule ID 62074 //
     /*  508396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508428 */     // MIs[0] policy
     /*  508428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  508441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508455 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508457 */     GIR_RootConstrainSelectedInstOperands,
     /*  508458 */     // GIR_Coverage, 62074,
     /*  508458 */     GIR_EraseRootFromParent_Done,
     /*  508459 */   // Label 8463: @508459
     /*  508459 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508527), // Rule ID 62075 //
     /*  508464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508496 */     // MIs[0] policy
     /*  508496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  508509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508523 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508525 */     GIR_RootConstrainSelectedInstOperands,
     /*  508526 */     // GIR_Coverage, 62075,
     /*  508526 */     GIR_EraseRootFromParent_Done,
     /*  508527 */   // Label 8464: @508527
     /*  508527 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508595), // Rule ID 62076 //
     /*  508532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508564 */     // MIs[0] policy
     /*  508564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  508577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508591 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508593 */     GIR_RootConstrainSelectedInstOperands,
     /*  508594 */     // GIR_Coverage, 62076,
     /*  508594 */     GIR_EraseRootFromParent_Done,
     /*  508595 */   // Label 8465: @508595
     /*  508595 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508663), // Rule ID 62077 //
     /*  508600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508632 */     // MIs[0] policy
     /*  508632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  508645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508659 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508661 */     GIR_RootConstrainSelectedInstOperands,
     /*  508662 */     // GIR_Coverage, 62077,
     /*  508662 */     GIR_EraseRootFromParent_Done,
     /*  508663 */   // Label 8466: @508663
     /*  508663 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508731), // Rule ID 62078 //
     /*  508668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  508685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508700 */     // MIs[0] policy
     /*  508700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  508713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508727 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508729 */     GIR_RootConstrainSelectedInstOperands,
     /*  508730 */     // GIR_Coverage, 62078,
     /*  508730 */     GIR_EraseRootFromParent_Done,
     /*  508731 */   // Label 8467: @508731
     /*  508731 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508799), // Rule ID 62079 //
     /*  508736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  508753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508768 */     // MIs[0] policy
     /*  508768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  508781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508795 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508797 */     GIR_RootConstrainSelectedInstOperands,
     /*  508798 */     // GIR_Coverage, 62079,
     /*  508798 */     GIR_EraseRootFromParent_Done,
     /*  508799 */   // Label 8468: @508799
     /*  508799 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508867), // Rule ID 62080 //
     /*  508804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  508812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508836 */     // MIs[0] policy
     /*  508836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  508849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508863 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508865 */     GIR_RootConstrainSelectedInstOperands,
     /*  508866 */     // GIR_Coverage, 62080,
     /*  508866 */     GIR_EraseRootFromParent_Done,
     /*  508867 */   // Label 8469: @508867
     /*  508867 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(508935), // Rule ID 62081 //
     /*  508872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  508880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508904 */     // MIs[0] policy
     /*  508904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508914 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  508917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508931 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508933 */     GIR_RootConstrainSelectedInstOperands,
     /*  508934 */     // GIR_Coverage, 62081,
     /*  508934 */     GIR_EraseRootFromParent_Done,
     /*  508935 */   // Label 8470: @508935
     /*  508935 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(509003), // Rule ID 62082 //
     /*  508940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  508948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508972 */     // MIs[0] policy
     /*  508972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  508985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508999 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509001 */     GIR_RootConstrainSelectedInstOperands,
     /*  509002 */     // GIR_Coverage, 62082,
     /*  509002 */     GIR_EraseRootFromParent_Done,
     /*  509003 */   // Label 8471: @509003
     /*  509003 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(509071), // Rule ID 62083 //
     /*  509008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509040 */     // MIs[0] policy
     /*  509040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  509053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509067 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509069 */     GIR_RootConstrainSelectedInstOperands,
     /*  509070 */     // GIR_Coverage, 62083,
     /*  509070 */     GIR_EraseRootFromParent_Done,
     /*  509071 */   // Label 8472: @509071
     /*  509071 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(509139), // Rule ID 62084 //
     /*  509076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509108 */     // MIs[0] policy
     /*  509108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  509121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509135 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509137 */     GIR_RootConstrainSelectedInstOperands,
     /*  509138 */     // GIR_Coverage, 62084,
     /*  509138 */     GIR_EraseRootFromParent_Done,
     /*  509139 */   // Label 8473: @509139
     /*  509139 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(509207), // Rule ID 62085 //
     /*  509144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509176 */     // MIs[0] policy
     /*  509176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  509189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509203 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509205 */     GIR_RootConstrainSelectedInstOperands,
     /*  509206 */     // GIR_Coverage, 62085,
     /*  509206 */     GIR_EraseRootFromParent_Done,
     /*  509207 */   // Label 8474: @509207
     /*  509207 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(509275), // Rule ID 62086 //
     /*  509212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509244 */     // MIs[0] policy
     /*  509244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  509257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509271 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509273 */     GIR_RootConstrainSelectedInstOperands,
     /*  509274 */     // GIR_Coverage, 62086,
     /*  509274 */     GIR_EraseRootFromParent_Done,
     /*  509275 */   // Label 8475: @509275
     /*  509275 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(509343), // Rule ID 62087 //
     /*  509280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509312 */     // MIs[0] policy
     /*  509312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  509325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509339 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509341 */     GIR_RootConstrainSelectedInstOperands,
     /*  509342 */     // GIR_Coverage, 62087,
     /*  509342 */     GIR_EraseRootFromParent_Done,
     /*  509343 */   // Label 8476: @509343
     /*  509343 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509411), // Rule ID 62088 //
     /*  509348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509380 */     // MIs[0] policy
     /*  509380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  509393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509407 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509409 */     GIR_RootConstrainSelectedInstOperands,
     /*  509410 */     // GIR_Coverage, 62088,
     /*  509410 */     GIR_EraseRootFromParent_Done,
     /*  509411 */   // Label 8477: @509411
     /*  509411 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509479), // Rule ID 62089 //
     /*  509416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509448 */     // MIs[0] policy
     /*  509448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  509461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509475 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509477 */     GIR_RootConstrainSelectedInstOperands,
     /*  509478 */     // GIR_Coverage, 62089,
     /*  509478 */     GIR_EraseRootFromParent_Done,
     /*  509479 */   // Label 8478: @509479
     /*  509479 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509547), // Rule ID 62090 //
     /*  509484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509516 */     // MIs[0] policy
     /*  509516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  509529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509543 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509545 */     GIR_RootConstrainSelectedInstOperands,
     /*  509546 */     // GIR_Coverage, 62090,
     /*  509546 */     GIR_EraseRootFromParent_Done,
     /*  509547 */   // Label 8479: @509547
     /*  509547 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509615), // Rule ID 62091 //
     /*  509552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509584 */     // MIs[0] policy
     /*  509584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  509597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509611 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509613 */     GIR_RootConstrainSelectedInstOperands,
     /*  509614 */     // GIR_Coverage, 62091,
     /*  509614 */     GIR_EraseRootFromParent_Done,
     /*  509615 */   // Label 8480: @509615
     /*  509615 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509683), // Rule ID 62092 //
     /*  509620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509652 */     // MIs[0] policy
     /*  509652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  509665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509679 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509681 */     GIR_RootConstrainSelectedInstOperands,
     /*  509682 */     // GIR_Coverage, 62092,
     /*  509682 */     GIR_EraseRootFromParent_Done,
     /*  509683 */   // Label 8481: @509683
     /*  509683 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509751), // Rule ID 62093 //
     /*  509688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509720 */     // MIs[0] policy
     /*  509720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  509733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509747 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509749 */     GIR_RootConstrainSelectedInstOperands,
     /*  509750 */     // GIR_Coverage, 62093,
     /*  509750 */     GIR_EraseRootFromParent_Done,
     /*  509751 */   // Label 8482: @509751
     /*  509751 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509819), // Rule ID 62094 //
     /*  509756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509788 */     // MIs[0] policy
     /*  509788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  509801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509815 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509817 */     GIR_RootConstrainSelectedInstOperands,
     /*  509818 */     // GIR_Coverage, 62094,
     /*  509818 */     GIR_EraseRootFromParent_Done,
     /*  509819 */   // Label 8483: @509819
     /*  509819 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(509887), // Rule ID 62095 //
     /*  509824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509856 */     // MIs[0] policy
     /*  509856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  509869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509883 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509885 */     GIR_RootConstrainSelectedInstOperands,
     /*  509886 */     // GIR_Coverage, 62095,
     /*  509886 */     GIR_EraseRootFromParent_Done,
     /*  509887 */   // Label 8484: @509887
     /*  509887 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(509955), // Rule ID 62096 //
     /*  509892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509924 */     // MIs[0] policy
     /*  509924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  509937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509951 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509953 */     GIR_RootConstrainSelectedInstOperands,
     /*  509954 */     // GIR_Coverage, 62096,
     /*  509954 */     GIR_EraseRootFromParent_Done,
     /*  509955 */   // Label 8485: @509955
     /*  509955 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(510023), // Rule ID 62097 //
     /*  509960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509992 */     // MIs[0] policy
     /*  509992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  510005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510019 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510021 */     GIR_RootConstrainSelectedInstOperands,
     /*  510022 */     // GIR_Coverage, 62097,
     /*  510022 */     GIR_EraseRootFromParent_Done,
     /*  510023 */   // Label 8486: @510023
     /*  510023 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(510091), // Rule ID 62098 //
     /*  510028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510060 */     // MIs[0] policy
     /*  510060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  510073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510087 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510089 */     GIR_RootConstrainSelectedInstOperands,
     /*  510090 */     // GIR_Coverage, 62098,
     /*  510090 */     GIR_EraseRootFromParent_Done,
     /*  510091 */   // Label 8487: @510091
     /*  510091 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(510159), // Rule ID 62099 //
     /*  510096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510128 */     // MIs[0] policy
     /*  510128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  510141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510155 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510157 */     GIR_RootConstrainSelectedInstOperands,
     /*  510158 */     // GIR_Coverage, 62099,
     /*  510158 */     GIR_EraseRootFromParent_Done,
     /*  510159 */   // Label 8488: @510159
     /*  510159 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(510227), // Rule ID 62100 //
     /*  510164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510196 */     // MIs[0] policy
     /*  510196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  510209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510223 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510225 */     GIR_RootConstrainSelectedInstOperands,
     /*  510226 */     // GIR_Coverage, 62100,
     /*  510226 */     GIR_EraseRootFromParent_Done,
     /*  510227 */   // Label 8489: @510227
     /*  510227 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(510295), // Rule ID 62101 //
     /*  510232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510264 */     // MIs[0] policy
     /*  510264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  510277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510291 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510293 */     GIR_RootConstrainSelectedInstOperands,
     /*  510294 */     // GIR_Coverage, 62101,
     /*  510294 */     GIR_EraseRootFromParent_Done,
     /*  510295 */   // Label 8490: @510295
     /*  510295 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(510363), // Rule ID 62102 //
     /*  510300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510332 */     // MIs[0] policy
     /*  510332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  510345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510359 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510361 */     GIR_RootConstrainSelectedInstOperands,
     /*  510362 */     // GIR_Coverage, 62102,
     /*  510362 */     GIR_EraseRootFromParent_Done,
     /*  510363 */   // Label 8491: @510363
     /*  510363 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510431), // Rule ID 62103 //
     /*  510368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510400 */     // MIs[0] policy
     /*  510400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  510413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510427 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510429 */     GIR_RootConstrainSelectedInstOperands,
     /*  510430 */     // GIR_Coverage, 62103,
     /*  510430 */     GIR_EraseRootFromParent_Done,
     /*  510431 */   // Label 8492: @510431
     /*  510431 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510499), // Rule ID 62104 //
     /*  510436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510468 */     // MIs[0] policy
     /*  510468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  510481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510495 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510497 */     GIR_RootConstrainSelectedInstOperands,
     /*  510498 */     // GIR_Coverage, 62104,
     /*  510498 */     GIR_EraseRootFromParent_Done,
     /*  510499 */   // Label 8493: @510499
     /*  510499 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510567), // Rule ID 62105 //
     /*  510504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510536 */     // MIs[0] policy
     /*  510536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  510549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510563 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510565 */     GIR_RootConstrainSelectedInstOperands,
     /*  510566 */     // GIR_Coverage, 62105,
     /*  510566 */     GIR_EraseRootFromParent_Done,
     /*  510567 */   // Label 8494: @510567
     /*  510567 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510635), // Rule ID 62106 //
     /*  510572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510604 */     // MIs[0] policy
     /*  510604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  510617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510631 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510633 */     GIR_RootConstrainSelectedInstOperands,
     /*  510634 */     // GIR_Coverage, 62106,
     /*  510634 */     GIR_EraseRootFromParent_Done,
     /*  510635 */   // Label 8495: @510635
     /*  510635 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510703), // Rule ID 62107 //
     /*  510640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510672 */     // MIs[0] policy
     /*  510672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  510685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510699 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510701 */     GIR_RootConstrainSelectedInstOperands,
     /*  510702 */     // GIR_Coverage, 62107,
     /*  510702 */     GIR_EraseRootFromParent_Done,
     /*  510703 */   // Label 8496: @510703
     /*  510703 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510771), // Rule ID 62108 //
     /*  510708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  510716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510740 */     // MIs[0] policy
     /*  510740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  510753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510767 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510769 */     GIR_RootConstrainSelectedInstOperands,
     /*  510770 */     // GIR_Coverage, 62108,
     /*  510770 */     GIR_EraseRootFromParent_Done,
     /*  510771 */   // Label 8497: @510771
     /*  510771 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510839), // Rule ID 62109 //
     /*  510776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  510784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510808 */     // MIs[0] policy
     /*  510808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  510821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510835 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510837 */     GIR_RootConstrainSelectedInstOperands,
     /*  510838 */     // GIR_Coverage, 62109,
     /*  510838 */     GIR_EraseRootFromParent_Done,
     /*  510839 */   // Label 8498: @510839
     /*  510839 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(510907), // Rule ID 62110 //
     /*  510844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  510852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510876 */     // MIs[0] policy
     /*  510876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  510889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510903 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510905 */     GIR_RootConstrainSelectedInstOperands,
     /*  510906 */     // GIR_Coverage, 62110,
     /*  510906 */     GIR_EraseRootFromParent_Done,
     /*  510907 */   // Label 8499: @510907
     /*  510907 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(510975), // Rule ID 62111 //
     /*  510912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  510920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510944 */     // MIs[0] policy
     /*  510944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  510957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510971 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510973 */     GIR_RootConstrainSelectedInstOperands,
     /*  510974 */     // GIR_Coverage, 62111,
     /*  510974 */     GIR_EraseRootFromParent_Done,
     /*  510975 */   // Label 8500: @510975
     /*  510975 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(511043), // Rule ID 62112 //
     /*  510980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  510988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511012 */     // MIs[0] policy
     /*  511012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  511025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511039 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511041 */     GIR_RootConstrainSelectedInstOperands,
     /*  511042 */     // GIR_Coverage, 62112,
     /*  511042 */     GIR_EraseRootFromParent_Done,
     /*  511043 */   // Label 8501: @511043
     /*  511043 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(511111), // Rule ID 62113 //
     /*  511048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511080 */     // MIs[0] policy
     /*  511080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  511093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511107 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511109 */     GIR_RootConstrainSelectedInstOperands,
     /*  511110 */     // GIR_Coverage, 62113,
     /*  511110 */     GIR_EraseRootFromParent_Done,
     /*  511111 */   // Label 8502: @511111
     /*  511111 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(511179), // Rule ID 62114 //
     /*  511116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511148 */     // MIs[0] policy
     /*  511148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  511161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511175 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511177 */     GIR_RootConstrainSelectedInstOperands,
     /*  511178 */     // GIR_Coverage, 62114,
     /*  511178 */     GIR_EraseRootFromParent_Done,
     /*  511179 */   // Label 8503: @511179
     /*  511179 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(511247), // Rule ID 62115 //
     /*  511184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511216 */     // MIs[0] policy
     /*  511216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  511229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511243 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511245 */     GIR_RootConstrainSelectedInstOperands,
     /*  511246 */     // GIR_Coverage, 62115,
     /*  511246 */     GIR_EraseRootFromParent_Done,
     /*  511247 */   // Label 8504: @511247
     /*  511247 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(511315), // Rule ID 62116 //
     /*  511252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511284 */     // MIs[0] policy
     /*  511284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  511297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511311 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511313 */     GIR_RootConstrainSelectedInstOperands,
     /*  511314 */     // GIR_Coverage, 62116,
     /*  511314 */     GIR_EraseRootFromParent_Done,
     /*  511315 */   // Label 8505: @511315
     /*  511315 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(511383), // Rule ID 62117 //
     /*  511320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511352 */     // MIs[0] policy
     /*  511352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  511365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511379 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511381 */     GIR_RootConstrainSelectedInstOperands,
     /*  511382 */     // GIR_Coverage, 62117,
     /*  511382 */     GIR_EraseRootFromParent_Done,
     /*  511383 */   // Label 8506: @511383
     /*  511383 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511451), // Rule ID 62118 //
     /*  511388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511420 */     // MIs[0] policy
     /*  511420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  511433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511447 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511449 */     GIR_RootConstrainSelectedInstOperands,
     /*  511450 */     // GIR_Coverage, 62118,
     /*  511450 */     GIR_EraseRootFromParent_Done,
     /*  511451 */   // Label 8507: @511451
     /*  511451 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511519), // Rule ID 62119 //
     /*  511456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511488 */     // MIs[0] policy
     /*  511488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  511501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511515 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511517 */     GIR_RootConstrainSelectedInstOperands,
     /*  511518 */     // GIR_Coverage, 62119,
     /*  511518 */     GIR_EraseRootFromParent_Done,
     /*  511519 */   // Label 8508: @511519
     /*  511519 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511587), // Rule ID 62120 //
     /*  511524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511556 */     // MIs[0] policy
     /*  511556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511566 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  511569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511583 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511585 */     GIR_RootConstrainSelectedInstOperands,
     /*  511586 */     // GIR_Coverage, 62120,
     /*  511586 */     GIR_EraseRootFromParent_Done,
     /*  511587 */   // Label 8509: @511587
     /*  511587 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511655), // Rule ID 62121 //
     /*  511592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511624 */     // MIs[0] policy
     /*  511624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  511637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511651 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511653 */     GIR_RootConstrainSelectedInstOperands,
     /*  511654 */     // GIR_Coverage, 62121,
     /*  511654 */     GIR_EraseRootFromParent_Done,
     /*  511655 */   // Label 8510: @511655
     /*  511655 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511723), // Rule ID 62122 //
     /*  511660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511692 */     // MIs[0] policy
     /*  511692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  511705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511719 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511721 */     GIR_RootConstrainSelectedInstOperands,
     /*  511722 */     // GIR_Coverage, 62122,
     /*  511722 */     GIR_EraseRootFromParent_Done,
     /*  511723 */   // Label 8511: @511723
     /*  511723 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511791), // Rule ID 62123 //
     /*  511728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511760 */     // MIs[0] policy
     /*  511760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  511773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511787 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511789 */     GIR_RootConstrainSelectedInstOperands,
     /*  511790 */     // GIR_Coverage, 62123,
     /*  511790 */     GIR_EraseRootFromParent_Done,
     /*  511791 */   // Label 8512: @511791
     /*  511791 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511859), // Rule ID 62124 //
     /*  511796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511828 */     // MIs[0] policy
     /*  511828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  511841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511855 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511857 */     GIR_RootConstrainSelectedInstOperands,
     /*  511858 */     // GIR_Coverage, 62124,
     /*  511858 */     GIR_EraseRootFromParent_Done,
     /*  511859 */   // Label 8513: @511859
     /*  511859 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(511927), // Rule ID 62125 //
     /*  511864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511896 */     // MIs[0] policy
     /*  511896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  511909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511923 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511925 */     GIR_RootConstrainSelectedInstOperands,
     /*  511926 */     // GIR_Coverage, 62125,
     /*  511926 */     GIR_EraseRootFromParent_Done,
     /*  511927 */   // Label 8514: @511927
     /*  511927 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(511995), // Rule ID 62126 //
     /*  511932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  511940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511964 */     // MIs[0] policy
     /*  511964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  511977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511991 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511993 */     GIR_RootConstrainSelectedInstOperands,
     /*  511994 */     // GIR_Coverage, 62126,
     /*  511994 */     GIR_EraseRootFromParent_Done,
     /*  511995 */   // Label 8515: @511995
     /*  511995 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(512063), // Rule ID 62127 //
     /*  512000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512032 */     // MIs[0] policy
     /*  512032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  512045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512059 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512061 */     GIR_RootConstrainSelectedInstOperands,
     /*  512062 */     // GIR_Coverage, 62127,
     /*  512062 */     GIR_EraseRootFromParent_Done,
     /*  512063 */   // Label 8516: @512063
     /*  512063 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(512131), // Rule ID 62128 //
     /*  512068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512100 */     // MIs[0] policy
     /*  512100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  512113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512127 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512129 */     GIR_RootConstrainSelectedInstOperands,
     /*  512130 */     // GIR_Coverage, 62128,
     /*  512130 */     GIR_EraseRootFromParent_Done,
     /*  512131 */   // Label 8517: @512131
     /*  512131 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(512199), // Rule ID 62129 //
     /*  512136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512168 */     // MIs[0] policy
     /*  512168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  512181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512195 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512197 */     GIR_RootConstrainSelectedInstOperands,
     /*  512198 */     // GIR_Coverage, 62129,
     /*  512198 */     GIR_EraseRootFromParent_Done,
     /*  512199 */   // Label 8518: @512199
     /*  512199 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(512267), // Rule ID 62130 //
     /*  512204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512236 */     // MIs[0] policy
     /*  512236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  512249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512263 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512265 */     GIR_RootConstrainSelectedInstOperands,
     /*  512266 */     // GIR_Coverage, 62130,
     /*  512266 */     GIR_EraseRootFromParent_Done,
     /*  512267 */   // Label 8519: @512267
     /*  512267 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(512335), // Rule ID 62131 //
     /*  512272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512304 */     // MIs[0] policy
     /*  512304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  512317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512331 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512333 */     GIR_RootConstrainSelectedInstOperands,
     /*  512334 */     // GIR_Coverage, 62131,
     /*  512334 */     GIR_EraseRootFromParent_Done,
     /*  512335 */   // Label 8520: @512335
     /*  512335 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(512403), // Rule ID 62132 //
     /*  512340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512372 */     // MIs[0] policy
     /*  512372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  512385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512399 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512401 */     GIR_RootConstrainSelectedInstOperands,
     /*  512402 */     // GIR_Coverage, 62132,
     /*  512402 */     GIR_EraseRootFromParent_Done,
     /*  512403 */   // Label 8521: @512403
     /*  512403 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512471), // Rule ID 62133 //
     /*  512408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512440 */     // MIs[0] policy
     /*  512440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  512453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512467 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512469 */     GIR_RootConstrainSelectedInstOperands,
     /*  512470 */     // GIR_Coverage, 62133,
     /*  512470 */     GIR_EraseRootFromParent_Done,
     /*  512471 */   // Label 8522: @512471
     /*  512471 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512539), // Rule ID 62134 //
     /*  512476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512508 */     // MIs[0] policy
     /*  512508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  512521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512535 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512537 */     GIR_RootConstrainSelectedInstOperands,
     /*  512538 */     // GIR_Coverage, 62134,
     /*  512538 */     GIR_EraseRootFromParent_Done,
     /*  512539 */   // Label 8523: @512539
     /*  512539 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512607), // Rule ID 62135 //
     /*  512544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512576 */     // MIs[0] policy
     /*  512576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  512589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512603 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512605 */     GIR_RootConstrainSelectedInstOperands,
     /*  512606 */     // GIR_Coverage, 62135,
     /*  512606 */     GIR_EraseRootFromParent_Done,
     /*  512607 */   // Label 8524: @512607
     /*  512607 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512675), // Rule ID 62136 //
     /*  512612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512644 */     // MIs[0] policy
     /*  512644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  512657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512671 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512673 */     GIR_RootConstrainSelectedInstOperands,
     /*  512674 */     // GIR_Coverage, 62136,
     /*  512674 */     GIR_EraseRootFromParent_Done,
     /*  512675 */   // Label 8525: @512675
     /*  512675 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512743), // Rule ID 62137 //
     /*  512680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512712 */     // MIs[0] policy
     /*  512712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  512725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512739 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512741 */     GIR_RootConstrainSelectedInstOperands,
     /*  512742 */     // GIR_Coverage, 62137,
     /*  512742 */     GIR_EraseRootFromParent_Done,
     /*  512743 */   // Label 8526: @512743
     /*  512743 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512811), // Rule ID 62138 //
     /*  512748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512780 */     // MIs[0] policy
     /*  512780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512790 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  512793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512807 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512809 */     GIR_RootConstrainSelectedInstOperands,
     /*  512810 */     // GIR_Coverage, 62138,
     /*  512810 */     GIR_EraseRootFromParent_Done,
     /*  512811 */   // Label 8527: @512811
     /*  512811 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(512879), // Rule ID 62139 //
     /*  512816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512848 */     // MIs[0] policy
     /*  512848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  512861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512875 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512877 */     GIR_RootConstrainSelectedInstOperands,
     /*  512878 */     // GIR_Coverage, 62139,
     /*  512878 */     GIR_EraseRootFromParent_Done,
     /*  512879 */   // Label 8528: @512879
     /*  512879 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(512947), // Rule ID 62140 //
     /*  512884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512916 */     // MIs[0] policy
     /*  512916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  512929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512943 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512945 */     GIR_RootConstrainSelectedInstOperands,
     /*  512946 */     // GIR_Coverage, 62140,
     /*  512946 */     GIR_EraseRootFromParent_Done,
     /*  512947 */   // Label 8529: @512947
     /*  512947 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(513015), // Rule ID 62141 //
     /*  512952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512984 */     // MIs[0] policy
     /*  512984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  512997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513011 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513013 */     GIR_RootConstrainSelectedInstOperands,
     /*  513014 */     // GIR_Coverage, 62141,
     /*  513014 */     GIR_EraseRootFromParent_Done,
     /*  513015 */   // Label 8530: @513015
     /*  513015 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(513083), // Rule ID 62142 //
     /*  513020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513052 */     // MIs[0] policy
     /*  513052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  513065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513079 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513081 */     GIR_RootConstrainSelectedInstOperands,
     /*  513082 */     // GIR_Coverage, 62142,
     /*  513082 */     GIR_EraseRootFromParent_Done,
     /*  513083 */   // Label 8531: @513083
     /*  513083 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(513151), // Rule ID 62143 //
     /*  513088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513120 */     // MIs[0] policy
     /*  513120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  513133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513147 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513149 */     GIR_RootConstrainSelectedInstOperands,
     /*  513150 */     // GIR_Coverage, 62143,
     /*  513150 */     GIR_EraseRootFromParent_Done,
     /*  513151 */   // Label 8532: @513151
     /*  513151 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(513219), // Rule ID 62144 //
     /*  513156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513188 */     // MIs[0] policy
     /*  513188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  513201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513215 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513217 */     GIR_RootConstrainSelectedInstOperands,
     /*  513218 */     // GIR_Coverage, 62144,
     /*  513218 */     GIR_EraseRootFromParent_Done,
     /*  513219 */   // Label 8533: @513219
     /*  513219 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(513287), // Rule ID 62145 //
     /*  513224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513256 */     // MIs[0] policy
     /*  513256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  513269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513283 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513285 */     GIR_RootConstrainSelectedInstOperands,
     /*  513286 */     // GIR_Coverage, 62145,
     /*  513286 */     GIR_EraseRootFromParent_Done,
     /*  513287 */   // Label 8534: @513287
     /*  513287 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(513355), // Rule ID 62162 //
     /*  513292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513324 */     // MIs[0] policy
     /*  513324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  513337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513351 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513353 */     GIR_RootConstrainSelectedInstOperands,
     /*  513354 */     // GIR_Coverage, 62162,
     /*  513354 */     GIR_EraseRootFromParent_Done,
     /*  513355 */   // Label 8535: @513355
     /*  513355 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513423), // Rule ID 62163 //
     /*  513360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513392 */     // MIs[0] policy
     /*  513392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  513405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513419 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513421 */     GIR_RootConstrainSelectedInstOperands,
     /*  513422 */     // GIR_Coverage, 62163,
     /*  513422 */     GIR_EraseRootFromParent_Done,
     /*  513423 */   // Label 8536: @513423
     /*  513423 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513491), // Rule ID 62164 //
     /*  513428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513460 */     // MIs[0] policy
     /*  513460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  513473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513487 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513489 */     GIR_RootConstrainSelectedInstOperands,
     /*  513490 */     // GIR_Coverage, 62164,
     /*  513490 */     GIR_EraseRootFromParent_Done,
     /*  513491 */   // Label 8537: @513491
     /*  513491 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513559), // Rule ID 62165 //
     /*  513496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513528 */     // MIs[0] policy
     /*  513528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  513541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513555 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513557 */     GIR_RootConstrainSelectedInstOperands,
     /*  513558 */     // GIR_Coverage, 62165,
     /*  513558 */     GIR_EraseRootFromParent_Done,
     /*  513559 */   // Label 8538: @513559
     /*  513559 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513627), // Rule ID 62166 //
     /*  513564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513596 */     // MIs[0] policy
     /*  513596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  513609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513623 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513625 */     GIR_RootConstrainSelectedInstOperands,
     /*  513626 */     // GIR_Coverage, 62166,
     /*  513626 */     GIR_EraseRootFromParent_Done,
     /*  513627 */   // Label 8539: @513627
     /*  513627 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513695), // Rule ID 62167 //
     /*  513632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  513643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  513646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513664 */     // MIs[0] policy
     /*  513664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  513677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513691 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513693 */     GIR_RootConstrainSelectedInstOperands,
     /*  513694 */     // GIR_Coverage, 62167,
     /*  513694 */     GIR_EraseRootFromParent_Done,
     /*  513695 */   // Label 8540: @513695
     /*  513695 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513763), // Rule ID 62168 //
     /*  513700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513732 */     // MIs[0] policy
     /*  513732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  513745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513759 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513761 */     GIR_RootConstrainSelectedInstOperands,
     /*  513762 */     // GIR_Coverage, 62168,
     /*  513762 */     GIR_EraseRootFromParent_Done,
     /*  513763 */   // Label 8541: @513763
     /*  513763 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(513831), // Rule ID 62169 //
     /*  513768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513800 */     // MIs[0] policy
     /*  513800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  513813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513827 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513829 */     GIR_RootConstrainSelectedInstOperands,
     /*  513830 */     // GIR_Coverage, 62169,
     /*  513830 */     GIR_EraseRootFromParent_Done,
     /*  513831 */   // Label 8542: @513831
     /*  513831 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(513899), // Rule ID 62170 //
     /*  513836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513868 */     // MIs[0] policy
     /*  513868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  513881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513895 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513897 */     GIR_RootConstrainSelectedInstOperands,
     /*  513898 */     // GIR_Coverage, 62170,
     /*  513898 */     GIR_EraseRootFromParent_Done,
     /*  513899 */   // Label 8543: @513899
     /*  513899 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(513967), // Rule ID 62171 //
     /*  513904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513936 */     // MIs[0] policy
     /*  513936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  513949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513963 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513965 */     GIR_RootConstrainSelectedInstOperands,
     /*  513966 */     // GIR_Coverage, 62171,
     /*  513966 */     GIR_EraseRootFromParent_Done,
     /*  513967 */   // Label 8544: @513967
     /*  513967 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(514035), // Rule ID 62172 //
     /*  513972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514004 */     // MIs[0] policy
     /*  514004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  514017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514031 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514033 */     GIR_RootConstrainSelectedInstOperands,
     /*  514034 */     // GIR_Coverage, 62172,
     /*  514034 */     GIR_EraseRootFromParent_Done,
     /*  514035 */   // Label 8545: @514035
     /*  514035 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(514103), // Rule ID 62173 //
     /*  514040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514072 */     // MIs[0] policy
     /*  514072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  514085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514099 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514101 */     GIR_RootConstrainSelectedInstOperands,
     /*  514102 */     // GIR_Coverage, 62173,
     /*  514102 */     GIR_EraseRootFromParent_Done,
     /*  514103 */   // Label 8546: @514103
     /*  514103 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(514171), // Rule ID 62174 //
     /*  514108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514140 */     // MIs[0] policy
     /*  514140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  514153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514167 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514169 */     GIR_RootConstrainSelectedInstOperands,
     /*  514170 */     // GIR_Coverage, 62174,
     /*  514170 */     GIR_EraseRootFromParent_Done,
     /*  514171 */   // Label 8547: @514171
     /*  514171 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(514239), // Rule ID 62175 //
     /*  514176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514208 */     // MIs[0] policy
     /*  514208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  514221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514235 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514237 */     GIR_RootConstrainSelectedInstOperands,
     /*  514238 */     // GIR_Coverage, 62175,
     /*  514238 */     GIR_EraseRootFromParent_Done,
     /*  514239 */   // Label 8548: @514239
     /*  514239 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(514307), // Rule ID 62176 //
     /*  514244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514276 */     // MIs[0] policy
     /*  514276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  514289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514303 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514305 */     GIR_RootConstrainSelectedInstOperands,
     /*  514306 */     // GIR_Coverage, 62176,
     /*  514306 */     GIR_EraseRootFromParent_Done,
     /*  514307 */   // Label 8549: @514307
     /*  514307 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(514375), // Rule ID 62177 //
     /*  514312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514344 */     // MIs[0] policy
     /*  514344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  514357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514371 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514373 */     GIR_RootConstrainSelectedInstOperands,
     /*  514374 */     // GIR_Coverage, 62177,
     /*  514374 */     GIR_EraseRootFromParent_Done,
     /*  514375 */   // Label 8550: @514375
     /*  514375 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514443), // Rule ID 62178 //
     /*  514380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514412 */     // MIs[0] policy
     /*  514412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  514425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514439 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514441 */     GIR_RootConstrainSelectedInstOperands,
     /*  514442 */     // GIR_Coverage, 62178,
     /*  514442 */     GIR_EraseRootFromParent_Done,
     /*  514443 */   // Label 8551: @514443
     /*  514443 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514511), // Rule ID 62179 //
     /*  514448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514480 */     // MIs[0] policy
     /*  514480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  514493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514507 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514509 */     GIR_RootConstrainSelectedInstOperands,
     /*  514510 */     // GIR_Coverage, 62179,
     /*  514510 */     GIR_EraseRootFromParent_Done,
     /*  514511 */   // Label 8552: @514511
     /*  514511 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514579), // Rule ID 62180 //
     /*  514516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514548 */     // MIs[0] policy
     /*  514548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  514561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514575 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514577 */     GIR_RootConstrainSelectedInstOperands,
     /*  514578 */     // GIR_Coverage, 62180,
     /*  514578 */     GIR_EraseRootFromParent_Done,
     /*  514579 */   // Label 8553: @514579
     /*  514579 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514647), // Rule ID 62181 //
     /*  514584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  514601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514616 */     // MIs[0] policy
     /*  514616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514626 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  514629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514643 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514645 */     GIR_RootConstrainSelectedInstOperands,
     /*  514646 */     // GIR_Coverage, 62181,
     /*  514646 */     GIR_EraseRootFromParent_Done,
     /*  514647 */   // Label 8554: @514647
     /*  514647 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514715), // Rule ID 62182 //
     /*  514652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514684 */     // MIs[0] policy
     /*  514684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  514697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514711 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514713 */     GIR_RootConstrainSelectedInstOperands,
     /*  514714 */     // GIR_Coverage, 62182,
     /*  514714 */     GIR_EraseRootFromParent_Done,
     /*  514715 */   // Label 8555: @514715
     /*  514715 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(514783), // Rule ID 62183 //
     /*  514720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514752 */     // MIs[0] policy
     /*  514752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  514765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514779 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514781 */     GIR_RootConstrainSelectedInstOperands,
     /*  514782 */     // GIR_Coverage, 62183,
     /*  514782 */     GIR_EraseRootFromParent_Done,
     /*  514783 */   // Label 8556: @514783
     /*  514783 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(514851), // Rule ID 62184 //
     /*  514788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514820 */     // MIs[0] policy
     /*  514820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  514833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514849 */     GIR_RootConstrainSelectedInstOperands,
     /*  514850 */     // GIR_Coverage, 62184,
     /*  514850 */     GIR_EraseRootFromParent_Done,
     /*  514851 */   // Label 8557: @514851
     /*  514851 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(514919), // Rule ID 62185 //
     /*  514856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514888 */     // MIs[0] policy
     /*  514888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  514901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514917 */     GIR_RootConstrainSelectedInstOperands,
     /*  514918 */     // GIR_Coverage, 62185,
     /*  514918 */     GIR_EraseRootFromParent_Done,
     /*  514919 */   // Label 8558: @514919
     /*  514919 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(514987), // Rule ID 62186 //
     /*  514924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  514935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  514938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514956 */     // MIs[0] policy
     /*  514956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  514969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514985 */     GIR_RootConstrainSelectedInstOperands,
     /*  514986 */     // GIR_Coverage, 62186,
     /*  514986 */     GIR_EraseRootFromParent_Done,
     /*  514987 */   // Label 8559: @514987
     /*  514987 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(515055), // Rule ID 62187 //
     /*  514992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515024 */     // MIs[0] policy
     /*  515024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  515037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515053 */     GIR_RootConstrainSelectedInstOperands,
     /*  515054 */     // GIR_Coverage, 62187,
     /*  515054 */     GIR_EraseRootFromParent_Done,
     /*  515055 */   // Label 8560: @515055
     /*  515055 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(515123), // Rule ID 62188 //
     /*  515060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515092 */     // MIs[0] policy
     /*  515092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  515105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515121 */     GIR_RootConstrainSelectedInstOperands,
     /*  515122 */     // GIR_Coverage, 62188,
     /*  515122 */     GIR_EraseRootFromParent_Done,
     /*  515123 */   // Label 8561: @515123
     /*  515123 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(515191), // Rule ID 62189 //
     /*  515128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515160 */     // MIs[0] policy
     /*  515160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  515173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515189 */     GIR_RootConstrainSelectedInstOperands,
     /*  515190 */     // GIR_Coverage, 62189,
     /*  515190 */     GIR_EraseRootFromParent_Done,
     /*  515191 */   // Label 8562: @515191
     /*  515191 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(515259), // Rule ID 62284 //
     /*  515196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515228 */     // MIs[0] policy
     /*  515228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  515241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515257 */     GIR_RootConstrainSelectedInstOperands,
     /*  515258 */     // GIR_Coverage, 62284,
     /*  515258 */     GIR_EraseRootFromParent_Done,
     /*  515259 */   // Label 8563: @515259
     /*  515259 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(515327), // Rule ID 62285 //
     /*  515264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515296 */     // MIs[0] policy
     /*  515296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  515309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515325 */     GIR_RootConstrainSelectedInstOperands,
     /*  515326 */     // GIR_Coverage, 62285,
     /*  515326 */     GIR_EraseRootFromParent_Done,
     /*  515327 */   // Label 8564: @515327
     /*  515327 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(515395), // Rule ID 62286 //
     /*  515332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  515343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515364 */     // MIs[0] policy
     /*  515364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  515377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515393 */     GIR_RootConstrainSelectedInstOperands,
     /*  515394 */     // GIR_Coverage, 62286,
     /*  515394 */     GIR_EraseRootFromParent_Done,
     /*  515395 */   // Label 8565: @515395
     /*  515395 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515463), // Rule ID 62287 //
     /*  515400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  515411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515432 */     // MIs[0] policy
     /*  515432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  515445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515461 */     GIR_RootConstrainSelectedInstOperands,
     /*  515462 */     // GIR_Coverage, 62287,
     /*  515462 */     GIR_EraseRootFromParent_Done,
     /*  515463 */   // Label 8566: @515463
     /*  515463 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515531), // Rule ID 62288 //
     /*  515468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515500 */     // MIs[0] policy
     /*  515500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  515513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515529 */     GIR_RootConstrainSelectedInstOperands,
     /*  515530 */     // GIR_Coverage, 62288,
     /*  515530 */     GIR_EraseRootFromParent_Done,
     /*  515531 */   // Label 8567: @515531
     /*  515531 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515599), // Rule ID 62289 //
     /*  515536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515568 */     // MIs[0] policy
     /*  515568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  515581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515597 */     GIR_RootConstrainSelectedInstOperands,
     /*  515598 */     // GIR_Coverage, 62289,
     /*  515598 */     GIR_EraseRootFromParent_Done,
     /*  515599 */   // Label 8568: @515599
     /*  515599 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515667), // Rule ID 62290 //
     /*  515604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515636 */     // MIs[0] policy
     /*  515636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  515649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515665 */     GIR_RootConstrainSelectedInstOperands,
     /*  515666 */     // GIR_Coverage, 62290,
     /*  515666 */     GIR_EraseRootFromParent_Done,
     /*  515667 */   // Label 8569: @515667
     /*  515667 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(515735), // Rule ID 62291 //
     /*  515672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515704 */     // MIs[0] policy
     /*  515704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515714 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  515717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515733 */     GIR_RootConstrainSelectedInstOperands,
     /*  515734 */     // GIR_Coverage, 62291,
     /*  515734 */     GIR_EraseRootFromParent_Done,
     /*  515735 */   // Label 8570: @515735
     /*  515735 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(515803), // Rule ID 62292 //
     /*  515740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515772 */     // MIs[0] policy
     /*  515772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  515785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515801 */     GIR_RootConstrainSelectedInstOperands,
     /*  515802 */     // GIR_Coverage, 62292,
     /*  515802 */     GIR_EraseRootFromParent_Done,
     /*  515803 */   // Label 8571: @515803
     /*  515803 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(515871), // Rule ID 62293 //
     /*  515808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515840 */     // MIs[0] policy
     /*  515840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  515853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515869 */     GIR_RootConstrainSelectedInstOperands,
     /*  515870 */     // GIR_Coverage, 62293,
     /*  515870 */     GIR_EraseRootFromParent_Done,
     /*  515871 */   // Label 8572: @515871
     /*  515871 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(515939), // Rule ID 62294 //
     /*  515876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  515884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515908 */     // MIs[0] policy
     /*  515908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  515921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515937 */     GIR_RootConstrainSelectedInstOperands,
     /*  515938 */     // GIR_Coverage, 62294,
     /*  515938 */     GIR_EraseRootFromParent_Done,
     /*  515939 */   // Label 8573: @515939
     /*  515939 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(516007), // Rule ID 62295 //
     /*  515944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  515952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515976 */     // MIs[0] policy
     /*  515976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  515989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516005 */     GIR_RootConstrainSelectedInstOperands,
     /*  516006 */     // GIR_Coverage, 62295,
     /*  516006 */     GIR_EraseRootFromParent_Done,
     /*  516007 */   // Label 8574: @516007
     /*  516007 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(516075), // Rule ID 62296 //
     /*  516012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516044 */     // MIs[0] policy
     /*  516044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  516057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516073 */     GIR_RootConstrainSelectedInstOperands,
     /*  516074 */     // GIR_Coverage, 62296,
     /*  516074 */     GIR_EraseRootFromParent_Done,
     /*  516075 */   // Label 8575: @516075
     /*  516075 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(516143), // Rule ID 62297 //
     /*  516080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516112 */     // MIs[0] policy
     /*  516112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  516125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516141 */     GIR_RootConstrainSelectedInstOperands,
     /*  516142 */     // GIR_Coverage, 62297,
     /*  516142 */     GIR_EraseRootFromParent_Done,
     /*  516143 */   // Label 8576: @516143
     /*  516143 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(516211), // Rule ID 62298 //
     /*  516148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516180 */     // MIs[0] policy
     /*  516180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  516193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516209 */     GIR_RootConstrainSelectedInstOperands,
     /*  516210 */     // GIR_Coverage, 62298,
     /*  516210 */     GIR_EraseRootFromParent_Done,
     /*  516211 */   // Label 8577: @516211
     /*  516211 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(516279), // Rule ID 62299 //
     /*  516216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516248 */     // MIs[0] policy
     /*  516248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  516261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516277 */     GIR_RootConstrainSelectedInstOperands,
     /*  516278 */     // GIR_Coverage, 62299,
     /*  516278 */     GIR_EraseRootFromParent_Done,
     /*  516279 */   // Label 8578: @516279
     /*  516279 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(516347), // Rule ID 62300 //
     /*  516284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516316 */     // MIs[0] policy
     /*  516316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  516329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516345 */     GIR_RootConstrainSelectedInstOperands,
     /*  516346 */     // GIR_Coverage, 62300,
     /*  516346 */     GIR_EraseRootFromParent_Done,
     /*  516347 */   // Label 8579: @516347
     /*  516347 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516415), // Rule ID 62301 //
     /*  516352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516384 */     // MIs[0] policy
     /*  516384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516394 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  516397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516413 */     GIR_RootConstrainSelectedInstOperands,
     /*  516414 */     // GIR_Coverage, 62301,
     /*  516414 */     GIR_EraseRootFromParent_Done,
     /*  516415 */   // Label 8580: @516415
     /*  516415 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516483), // Rule ID 62302 //
     /*  516420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516452 */     // MIs[0] policy
     /*  516452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  516465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516481 */     GIR_RootConstrainSelectedInstOperands,
     /*  516482 */     // GIR_Coverage, 62302,
     /*  516482 */     GIR_EraseRootFromParent_Done,
     /*  516483 */   // Label 8581: @516483
     /*  516483 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516551), // Rule ID 62303 //
     /*  516488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516520 */     // MIs[0] policy
     /*  516520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  516533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516549 */     GIR_RootConstrainSelectedInstOperands,
     /*  516550 */     // GIR_Coverage, 62303,
     /*  516550 */     GIR_EraseRootFromParent_Done,
     /*  516551 */   // Label 8582: @516551
     /*  516551 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516619), // Rule ID 62304 //
     /*  516556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516588 */     // MIs[0] policy
     /*  516588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  516601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516617 */     GIR_RootConstrainSelectedInstOperands,
     /*  516618 */     // GIR_Coverage, 62304,
     /*  516618 */     GIR_EraseRootFromParent_Done,
     /*  516619 */   // Label 8583: @516619
     /*  516619 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(516687), // Rule ID 62305 //
     /*  516624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516656 */     // MIs[0] policy
     /*  516656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  516669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516685 */     GIR_RootConstrainSelectedInstOperands,
     /*  516686 */     // GIR_Coverage, 62305,
     /*  516686 */     GIR_EraseRootFromParent_Done,
     /*  516687 */   // Label 8584: @516687
     /*  516687 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(516755), // Rule ID 62306 //
     /*  516692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516724 */     // MIs[0] policy
     /*  516724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  516737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516753 */     GIR_RootConstrainSelectedInstOperands,
     /*  516754 */     // GIR_Coverage, 62306,
     /*  516754 */     GIR_EraseRootFromParent_Done,
     /*  516755 */   // Label 8585: @516755
     /*  516755 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(516823), // Rule ID 62307 //
     /*  516760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516792 */     // MIs[0] policy
     /*  516792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  516805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516821 */     GIR_RootConstrainSelectedInstOperands,
     /*  516822 */     // GIR_Coverage, 62307,
     /*  516822 */     GIR_EraseRootFromParent_Done,
     /*  516823 */   // Label 8586: @516823
     /*  516823 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(516891), // Rule ID 62308 //
     /*  516828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516860 */     // MIs[0] policy
     /*  516860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  516873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516889 */     GIR_RootConstrainSelectedInstOperands,
     /*  516890 */     // GIR_Coverage, 62308,
     /*  516890 */     GIR_EraseRootFromParent_Done,
     /*  516891 */   // Label 8587: @516891
     /*  516891 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516959), // Rule ID 62309 //
     /*  516896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516928 */     // MIs[0] policy
     /*  516928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  516941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516957 */     GIR_RootConstrainSelectedInstOperands,
     /*  516958 */     // GIR_Coverage, 62309,
     /*  516958 */     GIR_EraseRootFromParent_Done,
     /*  516959 */   // Label 8588: @516959
     /*  516959 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(517027), // Rule ID 62310 //
     /*  516964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516996 */     // MIs[0] policy
     /*  516996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  517009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517025 */     GIR_RootConstrainSelectedInstOperands,
     /*  517026 */     // GIR_Coverage, 62310,
     /*  517026 */     GIR_EraseRootFromParent_Done,
     /*  517027 */   // Label 8589: @517027
     /*  517027 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(517095), // Rule ID 62311 //
     /*  517032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517064 */     // MIs[0] policy
     /*  517064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  517077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517093 */     GIR_RootConstrainSelectedInstOperands,
     /*  517094 */     // GIR_Coverage, 62311,
     /*  517094 */     GIR_EraseRootFromParent_Done,
     /*  517095 */   // Label 8590: @517095
     /*  517095 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(517163), // Rule ID 62312 //
     /*  517100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517132 */     // MIs[0] policy
     /*  517132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  517145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517161 */     GIR_RootConstrainSelectedInstOperands,
     /*  517162 */     // GIR_Coverage, 62312,
     /*  517162 */     GIR_EraseRootFromParent_Done,
     /*  517163 */   // Label 8591: @517163
     /*  517163 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(517231), // Rule ID 62313 //
     /*  517168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517200 */     // MIs[0] policy
     /*  517200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  517213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517229 */     GIR_RootConstrainSelectedInstOperands,
     /*  517230 */     // GIR_Coverage, 62313,
     /*  517230 */     GIR_EraseRootFromParent_Done,
     /*  517231 */   // Label 8592: @517231
     /*  517231 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(517299), // Rule ID 62314 //
     /*  517236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517268 */     // MIs[0] policy
     /*  517268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  517281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517297 */     GIR_RootConstrainSelectedInstOperands,
     /*  517298 */     // GIR_Coverage, 62314,
     /*  517298 */     GIR_EraseRootFromParent_Done,
     /*  517299 */   // Label 8593: @517299
     /*  517299 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(517367), // Rule ID 62315 //
     /*  517304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517336 */     // MIs[0] policy
     /*  517336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  517349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517365 */     GIR_RootConstrainSelectedInstOperands,
     /*  517366 */     // GIR_Coverage, 62315,
     /*  517366 */     GIR_EraseRootFromParent_Done,
     /*  517367 */   // Label 8594: @517367
     /*  517367 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517435), // Rule ID 62316 //
     /*  517372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517404 */     // MIs[0] policy
     /*  517404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  517417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517433 */     GIR_RootConstrainSelectedInstOperands,
     /*  517434 */     // GIR_Coverage, 62316,
     /*  517434 */     GIR_EraseRootFromParent_Done,
     /*  517435 */   // Label 8595: @517435
     /*  517435 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517503), // Rule ID 62317 //
     /*  517440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517472 */     // MIs[0] policy
     /*  517472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  517485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517501 */     GIR_RootConstrainSelectedInstOperands,
     /*  517502 */     // GIR_Coverage, 62317,
     /*  517502 */     GIR_EraseRootFromParent_Done,
     /*  517503 */   // Label 8596: @517503
     /*  517503 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517571), // Rule ID 62318 //
     /*  517508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517540 */     // MIs[0] policy
     /*  517540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  517553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517569 */     GIR_RootConstrainSelectedInstOperands,
     /*  517570 */     // GIR_Coverage, 62318,
     /*  517570 */     GIR_EraseRootFromParent_Done,
     /*  517571 */   // Label 8597: @517571
     /*  517571 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(517639), // Rule ID 62319 //
     /*  517576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517608 */     // MIs[0] policy
     /*  517608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  517621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517637 */     GIR_RootConstrainSelectedInstOperands,
     /*  517638 */     // GIR_Coverage, 62319,
     /*  517638 */     GIR_EraseRootFromParent_Done,
     /*  517639 */   // Label 8598: @517639
     /*  517639 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(517707), // Rule ID 62320 //
     /*  517644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517676 */     // MIs[0] policy
     /*  517676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  517689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517705 */     GIR_RootConstrainSelectedInstOperands,
     /*  517706 */     // GIR_Coverage, 62320,
     /*  517706 */     GIR_EraseRootFromParent_Done,
     /*  517707 */   // Label 8599: @517707
     /*  517707 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(517775), // Rule ID 62321 //
     /*  517712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517744 */     // MIs[0] policy
     /*  517744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  517757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517773 */     GIR_RootConstrainSelectedInstOperands,
     /*  517774 */     // GIR_Coverage, 62321,
     /*  517774 */     GIR_EraseRootFromParent_Done,
     /*  517775 */   // Label 8600: @517775
     /*  517775 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(517846), // Rule ID 2596 //
     /*  517780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  517783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  517788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  517791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  517794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  517797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517812 */     // MIs[0] round
     /*  517812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517822 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  517825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517831 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517844 */     GIR_RootConstrainSelectedInstOperands,
     /*  517845 */     // GIR_Coverage, 2596,
     /*  517845 */     GIR_EraseRootFromParent_Done,
     /*  517846 */   // Label 8601: @517846
     /*  517846 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517917), // Rule ID 2597 //
     /*  517851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  517854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  517859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  517862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  517865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  517868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517883 */     // MIs[0] round
     /*  517883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517893 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  517896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517902 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517915 */     GIR_RootConstrainSelectedInstOperands,
     /*  517916 */     // GIR_Coverage, 2597,
     /*  517916 */     GIR_EraseRootFromParent_Done,
     /*  517917 */   // Label 8602: @517917
     /*  517917 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(517988), // Rule ID 2632 //
     /*  517922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  517933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  517936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  517939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517954 */     // MIs[0] round
     /*  517954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  517967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517973 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517986 */     GIR_RootConstrainSelectedInstOperands,
     /*  517987 */     // GIR_Coverage, 2632,
     /*  517987 */     GIR_EraseRootFromParent_Done,
     /*  517988 */   // Label 8603: @517988
     /*  517988 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(518059), // Rule ID 2633 //
     /*  517993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518025 */     // MIs[0] round
     /*  518025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518035 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  518038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518044 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518057 */     GIR_RootConstrainSelectedInstOperands,
     /*  518058 */     // GIR_Coverage, 2633,
     /*  518058 */     GIR_EraseRootFromParent_Done,
     /*  518059 */   // Label 8604: @518059
     /*  518059 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(518130), // Rule ID 18890 //
     /*  518064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518096 */     // MIs[0] round
     /*  518096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518106 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  518109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518115 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518128 */     GIR_RootConstrainSelectedInstOperands,
     /*  518129 */     // GIR_Coverage, 18890,
     /*  518129 */     GIR_EraseRootFromParent_Done,
     /*  518130 */   // Label 8605: @518130
     /*  518130 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(518201), // Rule ID 18891 //
     /*  518135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518167 */     // MIs[0] round
     /*  518167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518177 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  518180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518186 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518199 */     GIR_RootConstrainSelectedInstOperands,
     /*  518200 */     // GIR_Coverage, 18891,
     /*  518200 */     GIR_EraseRootFromParent_Done,
     /*  518201 */   // Label 8606: @518201
     /*  518201 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(518272), // Rule ID 18894 //
     /*  518206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  518209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518238 */     // MIs[0] round
     /*  518238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  518251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518257 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518270 */     GIR_RootConstrainSelectedInstOperands,
     /*  518271 */     // GIR_Coverage, 18894,
     /*  518271 */     GIR_EraseRootFromParent_Done,
     /*  518272 */   // Label 8607: @518272
     /*  518272 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(518343), // Rule ID 18895 //
     /*  518277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  518280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518309 */     // MIs[0] round
     /*  518309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518319 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  518322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518328 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518341 */     GIR_RootConstrainSelectedInstOperands,
     /*  518342 */     // GIR_Coverage, 18895,
     /*  518342 */     GIR_EraseRootFromParent_Done,
     /*  518343 */   // Label 8608: @518343
     /*  518343 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(518414), // Rule ID 18898 //
     /*  518348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518380 */     // MIs[0] round
     /*  518380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518390 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  518393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518399 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518412 */     GIR_RootConstrainSelectedInstOperands,
     /*  518413 */     // GIR_Coverage, 18898,
     /*  518413 */     GIR_EraseRootFromParent_Done,
     /*  518414 */   // Label 8609: @518414
     /*  518414 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518485), // Rule ID 18899 //
     /*  518419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518451 */     // MIs[0] round
     /*  518451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518461 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  518464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518470 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518483 */     GIR_RootConstrainSelectedInstOperands,
     /*  518484 */     // GIR_Coverage, 18899,
     /*  518484 */     GIR_EraseRootFromParent_Done,
     /*  518485 */   // Label 8610: @518485
     /*  518485 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518556), // Rule ID 18902 //
     /*  518490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  518493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518522 */     // MIs[0] round
     /*  518522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  518535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518541 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518554 */     GIR_RootConstrainSelectedInstOperands,
     /*  518555 */     // GIR_Coverage, 18902,
     /*  518555 */     GIR_EraseRootFromParent_Done,
     /*  518556 */   // Label 8611: @518556
     /*  518556 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(518627), // Rule ID 18903 //
     /*  518561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  518564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518593 */     // MIs[0] round
     /*  518593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  518606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518612 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518625 */     GIR_RootConstrainSelectedInstOperands,
     /*  518626 */     // GIR_Coverage, 18903,
     /*  518626 */     GIR_EraseRootFromParent_Done,
     /*  518627 */   // Label 8612: @518627
     /*  518627 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(518698), // Rule ID 18906 //
     /*  518632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  518635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518664 */     // MIs[0] round
     /*  518664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518674 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  518677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518683 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518696 */     GIR_RootConstrainSelectedInstOperands,
     /*  518697 */     // GIR_Coverage, 18906,
     /*  518697 */     GIR_EraseRootFromParent_Done,
     /*  518698 */   // Label 8613: @518698
     /*  518698 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(518769), // Rule ID 18907 //
     /*  518703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  518706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518735 */     // MIs[0] round
     /*  518735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518745 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  518748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518754 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518767 */     GIR_RootConstrainSelectedInstOperands,
     /*  518768 */     // GIR_Coverage, 18907,
     /*  518768 */     GIR_EraseRootFromParent_Done,
     /*  518769 */   // Label 8614: @518769
     /*  518769 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(518840), // Rule ID 18910 //
     /*  518774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518806 */     // MIs[0] round
     /*  518806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518816 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  518819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518825 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518838 */     GIR_RootConstrainSelectedInstOperands,
     /*  518839 */     // GIR_Coverage, 18910,
     /*  518839 */     GIR_EraseRootFromParent_Done,
     /*  518840 */   // Label 8615: @518840
     /*  518840 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518911), // Rule ID 18911 //
     /*  518845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518877 */     // MIs[0] round
     /*  518877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518887 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  518890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518896 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518909 */     GIR_RootConstrainSelectedInstOperands,
     /*  518910 */     // GIR_Coverage, 18911,
     /*  518910 */     GIR_EraseRootFromParent_Done,
     /*  518911 */   // Label 8616: @518911
     /*  518911 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(518982), // Rule ID 18914 //
     /*  518916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518948 */     // MIs[0] round
     /*  518948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518958 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  518961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518967 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518980 */     GIR_RootConstrainSelectedInstOperands,
     /*  518981 */     // GIR_Coverage, 18914,
     /*  518981 */     GIR_EraseRootFromParent_Done,
     /*  518982 */   // Label 8617: @518982
     /*  518982 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(519053), // Rule ID 18915 //
     /*  518987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519019 */     // MIs[0] round
     /*  519019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519029 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  519032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519038 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519051 */     GIR_RootConstrainSelectedInstOperands,
     /*  519052 */     // GIR_Coverage, 18915,
     /*  519052 */     GIR_EraseRootFromParent_Done,
     /*  519053 */   // Label 8618: @519053
     /*  519053 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(519124), // Rule ID 18918 //
     /*  519058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  519061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519090 */     // MIs[0] round
     /*  519090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519100 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  519103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519109 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519122 */     GIR_RootConstrainSelectedInstOperands,
     /*  519123 */     // GIR_Coverage, 18918,
     /*  519123 */     GIR_EraseRootFromParent_Done,
     /*  519124 */   // Label 8619: @519124
     /*  519124 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(519195), // Rule ID 18919 //
     /*  519129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519161 */     // MIs[0] round
     /*  519161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519171 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  519174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519180 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519193 */     GIR_RootConstrainSelectedInstOperands,
     /*  519194 */     // GIR_Coverage, 18919,
     /*  519194 */     GIR_EraseRootFromParent_Done,
     /*  519195 */   // Label 8620: @519195
     /*  519195 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(519266), // Rule ID 18922 //
     /*  519200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519232 */     // MIs[0] round
     /*  519232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  519245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519251 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519264 */     GIR_RootConstrainSelectedInstOperands,
     /*  519265 */     // GIR_Coverage, 18922,
     /*  519265 */     GIR_EraseRootFromParent_Done,
     /*  519266 */   // Label 8621: @519266
     /*  519266 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(519337), // Rule ID 18923 //
     /*  519271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519303 */     // MIs[0] round
     /*  519303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519313 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  519316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519322 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519335 */     GIR_RootConstrainSelectedInstOperands,
     /*  519336 */     // GIR_Coverage, 18923,
     /*  519336 */     GIR_EraseRootFromParent_Done,
     /*  519337 */   // Label 8622: @519337
     /*  519337 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(519408), // Rule ID 18926 //
     /*  519342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519374 */     // MIs[0] round
     /*  519374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  519387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519393 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519406 */     GIR_RootConstrainSelectedInstOperands,
     /*  519407 */     // GIR_Coverage, 18926,
     /*  519407 */     GIR_EraseRootFromParent_Done,
     /*  519408 */   // Label 8623: @519408
     /*  519408 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519479), // Rule ID 18927 //
     /*  519413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519445 */     // MIs[0] round
     /*  519445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519455 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  519458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519464 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519477 */     GIR_RootConstrainSelectedInstOperands,
     /*  519478 */     // GIR_Coverage, 18927,
     /*  519478 */     GIR_EraseRootFromParent_Done,
     /*  519479 */   // Label 8624: @519479
     /*  519479 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519550), // Rule ID 18930 //
     /*  519484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519516 */     // MIs[0] round
     /*  519516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519526 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  519529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519535 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519548 */     GIR_RootConstrainSelectedInstOperands,
     /*  519549 */     // GIR_Coverage, 18930,
     /*  519549 */     GIR_EraseRootFromParent_Done,
     /*  519550 */   // Label 8625: @519550
     /*  519550 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(519621), // Rule ID 18931 //
     /*  519555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519587 */     // MIs[0] round
     /*  519587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519597 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  519600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519606 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519619 */     GIR_RootConstrainSelectedInstOperands,
     /*  519620 */     // GIR_Coverage, 18931,
     /*  519620 */     GIR_EraseRootFromParent_Done,
     /*  519621 */   // Label 8626: @519621
     /*  519621 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(519692), // Rule ID 18934 //
     /*  519626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  519629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519658 */     // MIs[0] round
     /*  519658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519668 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  519671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519677 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519690 */     GIR_RootConstrainSelectedInstOperands,
     /*  519691 */     // GIR_Coverage, 18934,
     /*  519691 */     GIR_EraseRootFromParent_Done,
     /*  519692 */   // Label 8627: @519692
     /*  519692 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(519763), // Rule ID 18935 //
     /*  519697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  519700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519729 */     // MIs[0] round
     /*  519729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519739 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  519742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519748 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519761 */     GIR_RootConstrainSelectedInstOperands,
     /*  519762 */     // GIR_Coverage, 18935,
     /*  519762 */     GIR_EraseRootFromParent_Done,
     /*  519763 */   // Label 8628: @519763
     /*  519763 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(519834), // Rule ID 18938 //
     /*  519768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  519771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519800 */     // MIs[0] round
     /*  519800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519810 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  519813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519819 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519832 */     GIR_RootConstrainSelectedInstOperands,
     /*  519833 */     // GIR_Coverage, 18938,
     /*  519833 */     GIR_EraseRootFromParent_Done,
     /*  519834 */   // Label 8629: @519834
     /*  519834 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(519905), // Rule ID 18939 //
     /*  519839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  519842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519871 */     // MIs[0] round
     /*  519871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519881 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  519884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519890 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519903 */     GIR_RootConstrainSelectedInstOperands,
     /*  519904 */     // GIR_Coverage, 18939,
     /*  519904 */     GIR_EraseRootFromParent_Done,
     /*  519905 */   // Label 8630: @519905
     /*  519905 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(519976), // Rule ID 18942 //
     /*  519910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  519913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519942 */     // MIs[0] round
     /*  519942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519952 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  519955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519961 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519974 */     GIR_RootConstrainSelectedInstOperands,
     /*  519975 */     // GIR_Coverage, 18942,
     /*  519975 */     GIR_EraseRootFromParent_Done,
     /*  519976 */   // Label 8631: @519976
     /*  519976 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(520047), // Rule ID 18943 //
     /*  519981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  519984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520013 */     // MIs[0] round
     /*  520013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520023 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  520026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520032 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520045 */     GIR_RootConstrainSelectedInstOperands,
     /*  520046 */     // GIR_Coverage, 18943,
     /*  520046 */     GIR_EraseRootFromParent_Done,
     /*  520047 */   // Label 8632: @520047
     /*  520047 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(520118), // Rule ID 19002 //
     /*  520052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520084 */     // MIs[0] round
     /*  520084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520094 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  520097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520103 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520116 */     GIR_RootConstrainSelectedInstOperands,
     /*  520117 */     // GIR_Coverage, 19002,
     /*  520117 */     GIR_EraseRootFromParent_Done,
     /*  520118 */   // Label 8633: @520118
     /*  520118 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(520189), // Rule ID 19003 //
     /*  520123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520155 */     // MIs[0] round
     /*  520155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520165 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  520168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520174 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520187 */     GIR_RootConstrainSelectedInstOperands,
     /*  520188 */     // GIR_Coverage, 19003,
     /*  520188 */     GIR_EraseRootFromParent_Done,
     /*  520189 */   // Label 8634: @520189
     /*  520189 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(520260), // Rule ID 19006 //
     /*  520194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520226 */     // MIs[0] round
     /*  520226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520236 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  520239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520245 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520258 */     GIR_RootConstrainSelectedInstOperands,
     /*  520259 */     // GIR_Coverage, 19006,
     /*  520259 */     GIR_EraseRootFromParent_Done,
     /*  520260 */   // Label 8635: @520260
     /*  520260 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(520331), // Rule ID 19007 //
     /*  520265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520297 */     // MIs[0] round
     /*  520297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520307 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  520310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520316 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520329 */     GIR_RootConstrainSelectedInstOperands,
     /*  520330 */     // GIR_Coverage, 19007,
     /*  520330 */     GIR_EraseRootFromParent_Done,
     /*  520331 */   // Label 8636: @520331
     /*  520331 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(520402), // Rule ID 19010 //
     /*  520336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  520339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520368 */     // MIs[0] round
     /*  520368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  520381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520387 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520400 */     GIR_RootConstrainSelectedInstOperands,
     /*  520401 */     // GIR_Coverage, 19010,
     /*  520401 */     GIR_EraseRootFromParent_Done,
     /*  520402 */   // Label 8637: @520402
     /*  520402 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520473), // Rule ID 19011 //
     /*  520407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  520410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520439 */     // MIs[0] round
     /*  520439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520449 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  520452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520458 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520471 */     GIR_RootConstrainSelectedInstOperands,
     /*  520472 */     // GIR_Coverage, 19011,
     /*  520472 */     GIR_EraseRootFromParent_Done,
     /*  520473 */   // Label 8638: @520473
     /*  520473 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520544), // Rule ID 19014 //
     /*  520478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520510 */     // MIs[0] round
     /*  520510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520520 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  520523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520529 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520542 */     GIR_RootConstrainSelectedInstOperands,
     /*  520543 */     // GIR_Coverage, 19014,
     /*  520543 */     GIR_EraseRootFromParent_Done,
     /*  520544 */   // Label 8639: @520544
     /*  520544 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(520615), // Rule ID 19015 //
     /*  520549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520581 */     // MIs[0] round
     /*  520581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520591 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  520594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520600 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520613 */     GIR_RootConstrainSelectedInstOperands,
     /*  520614 */     // GIR_Coverage, 19015,
     /*  520614 */     GIR_EraseRootFromParent_Done,
     /*  520615 */   // Label 8640: @520615
     /*  520615 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(520686), // Rule ID 19018 //
     /*  520620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  520623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520652 */     // MIs[0] round
     /*  520652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520662 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  520665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520671 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520684 */     GIR_RootConstrainSelectedInstOperands,
     /*  520685 */     // GIR_Coverage, 19018,
     /*  520685 */     GIR_EraseRootFromParent_Done,
     /*  520686 */   // Label 8641: @520686
     /*  520686 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(520757), // Rule ID 19019 //
     /*  520691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  520694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520723 */     // MIs[0] round
     /*  520723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520733 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  520736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520742 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520755 */     GIR_RootConstrainSelectedInstOperands,
     /*  520756 */     // GIR_Coverage, 19019,
     /*  520756 */     GIR_EraseRootFromParent_Done,
     /*  520757 */   // Label 8642: @520757
     /*  520757 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(520828), // Rule ID 19022 //
     /*  520762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  520765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520794 */     // MIs[0] round
     /*  520794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  520807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520813 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520826 */     GIR_RootConstrainSelectedInstOperands,
     /*  520827 */     // GIR_Coverage, 19022,
     /*  520827 */     GIR_EraseRootFromParent_Done,
     /*  520828 */   // Label 8643: @520828
     /*  520828 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(520899), // Rule ID 19023 //
     /*  520833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  520836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  520850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520865 */     // MIs[0] round
     /*  520865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520875 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  520878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520884 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520897 */     GIR_RootConstrainSelectedInstOperands,
     /*  520898 */     // GIR_Coverage, 19023,
     /*  520898 */     GIR_EraseRootFromParent_Done,
     /*  520899 */   // Label 8644: @520899
     /*  520899 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(520970), // Rule ID 19026 //
     /*  520904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520936 */     // MIs[0] round
     /*  520936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520946 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  520949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520955 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520968 */     GIR_RootConstrainSelectedInstOperands,
     /*  520969 */     // GIR_Coverage, 19026,
     /*  520969 */     GIR_EraseRootFromParent_Done,
     /*  520970 */   // Label 8645: @520970
     /*  520970 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(521041), // Rule ID 19027 //
     /*  520975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  520986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521007 */     // MIs[0] round
     /*  521007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521017 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  521020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521026 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521039 */     GIR_RootConstrainSelectedInstOperands,
     /*  521040 */     // GIR_Coverage, 19027,
     /*  521040 */     GIR_EraseRootFromParent_Done,
     /*  521041 */   // Label 8646: @521041
     /*  521041 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(521112), // Rule ID 19030 //
     /*  521046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521078 */     // MIs[0] round
     /*  521078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521088 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  521091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521097 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521110 */     GIR_RootConstrainSelectedInstOperands,
     /*  521111 */     // GIR_Coverage, 19030,
     /*  521111 */     GIR_EraseRootFromParent_Done,
     /*  521112 */   // Label 8647: @521112
     /*  521112 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(521183), // Rule ID 19031 //
     /*  521117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521149 */     // MIs[0] round
     /*  521149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521159 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  521162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521168 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521181 */     GIR_RootConstrainSelectedInstOperands,
     /*  521182 */     // GIR_Coverage, 19031,
     /*  521182 */     GIR_EraseRootFromParent_Done,
     /*  521183 */   // Label 8648: @521183
     /*  521183 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(521254), // Rule ID 19034 //
     /*  521188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521220 */     // MIs[0] round
     /*  521220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521230 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  521233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521239 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521252 */     GIR_RootConstrainSelectedInstOperands,
     /*  521253 */     // GIR_Coverage, 19034,
     /*  521253 */     GIR_EraseRootFromParent_Done,
     /*  521254 */   // Label 8649: @521254
     /*  521254 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(521325), // Rule ID 19035 //
     /*  521259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521291 */     // MIs[0] round
     /*  521291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521301 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  521304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521310 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521323 */     GIR_RootConstrainSelectedInstOperands,
     /*  521324 */     // GIR_Coverage, 19035,
     /*  521324 */     GIR_EraseRootFromParent_Done,
     /*  521325 */   // Label 8650: @521325
     /*  521325 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(521396), // Rule ID 19038 //
     /*  521330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521362 */     // MIs[0] round
     /*  521362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521372 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  521375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521381 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521394 */     GIR_RootConstrainSelectedInstOperands,
     /*  521395 */     // GIR_Coverage, 19038,
     /*  521395 */     GIR_EraseRootFromParent_Done,
     /*  521396 */   // Label 8651: @521396
     /*  521396 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521467), // Rule ID 19039 //
     /*  521401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521433 */     // MIs[0] round
     /*  521433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521443 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  521446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521452 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521465 */     GIR_RootConstrainSelectedInstOperands,
     /*  521466 */     // GIR_Coverage, 19039,
     /*  521466 */     GIR_EraseRootFromParent_Done,
     /*  521467 */   // Label 8652: @521467
     /*  521467 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521538), // Rule ID 19042 //
     /*  521472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521504 */     // MIs[0] round
     /*  521504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521514 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  521517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521523 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521536 */     GIR_RootConstrainSelectedInstOperands,
     /*  521537 */     // GIR_Coverage, 19042,
     /*  521537 */     GIR_EraseRootFromParent_Done,
     /*  521538 */   // Label 8653: @521538
     /*  521538 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(521609), // Rule ID 19043 //
     /*  521543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521575 */     // MIs[0] round
     /*  521575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  521588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521594 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521607 */     GIR_RootConstrainSelectedInstOperands,
     /*  521608 */     // GIR_Coverage, 19043,
     /*  521608 */     GIR_EraseRootFromParent_Done,
     /*  521609 */   // Label 8654: @521609
     /*  521609 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(521680), // Rule ID 19046 //
     /*  521614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521646 */     // MIs[0] round
     /*  521646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  521659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521665 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521678 */     GIR_RootConstrainSelectedInstOperands,
     /*  521679 */     // GIR_Coverage, 19046,
     /*  521679 */     GIR_EraseRootFromParent_Done,
     /*  521680 */   // Label 8655: @521680
     /*  521680 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(521751), // Rule ID 19047 //
     /*  521685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521717 */     // MIs[0] round
     /*  521717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521727 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  521730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521736 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521749 */     GIR_RootConstrainSelectedInstOperands,
     /*  521750 */     // GIR_Coverage, 19047,
     /*  521750 */     GIR_EraseRootFromParent_Done,
     /*  521751 */   // Label 8656: @521751
     /*  521751 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(521822), // Rule ID 19050 //
     /*  521756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  521759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521788 */     // MIs[0] round
     /*  521788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521798 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  521801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521807 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521820 */     GIR_RootConstrainSelectedInstOperands,
     /*  521821 */     // GIR_Coverage, 19050,
     /*  521821 */     GIR_EraseRootFromParent_Done,
     /*  521822 */   // Label 8657: @521822
     /*  521822 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(521893), // Rule ID 19051 //
     /*  521827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  521830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  521838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521859 */     // MIs[0] round
     /*  521859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521869 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  521872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521878 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521891 */     GIR_RootConstrainSelectedInstOperands,
     /*  521892 */     // GIR_Coverage, 19051,
     /*  521892 */     GIR_EraseRootFromParent_Done,
     /*  521893 */   // Label 8658: @521893
     /*  521893 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521964), // Rule ID 19054 //
     /*  521898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  521901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521930 */     // MIs[0] round
     /*  521930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  521943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521949 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521962 */     GIR_RootConstrainSelectedInstOperands,
     /*  521963 */     // GIR_Coverage, 19054,
     /*  521963 */     GIR_EraseRootFromParent_Done,
     /*  521964 */   // Label 8659: @521964
     /*  521964 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(522035), // Rule ID 19055 //
     /*  521969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  521972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522001 */     // MIs[0] round
     /*  522001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522011 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  522014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522020 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522033 */     GIR_RootConstrainSelectedInstOperands,
     /*  522034 */     // GIR_Coverage, 19055,
     /*  522034 */     GIR_EraseRootFromParent_Done,
     /*  522035 */   // Label 8660: @522035
     /*  522035 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(522106), // Rule ID 19058 //
     /*  522040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  522043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522072 */     // MIs[0] round
     /*  522072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522082 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  522085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522091 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522104 */     GIR_RootConstrainSelectedInstOperands,
     /*  522105 */     // GIR_Coverage, 19058,
     /*  522105 */     GIR_EraseRootFromParent_Done,
     /*  522106 */   // Label 8661: @522106
     /*  522106 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(522177), // Rule ID 19059 //
     /*  522111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  522114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522143 */     // MIs[0] round
     /*  522143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522153 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  522156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522162 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522175 */     GIR_RootConstrainSelectedInstOperands,
     /*  522176 */     // GIR_Coverage, 19059,
     /*  522176 */     GIR_EraseRootFromParent_Done,
     /*  522177 */   // Label 8662: @522177
     /*  522177 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(522248), // Rule ID 20644 //
     /*  522182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522214 */     // MIs[0] round
     /*  522214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522233 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522246 */     GIR_RootConstrainSelectedInstOperands,
     /*  522247 */     // GIR_Coverage, 20644,
     /*  522247 */     GIR_EraseRootFromParent_Done,
     /*  522248 */   // Label 8663: @522248
     /*  522248 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(522319), // Rule ID 20645 //
     /*  522253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522285 */     // MIs[0] round
     /*  522285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522295 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522304 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522317 */     GIR_RootConstrainSelectedInstOperands,
     /*  522318 */     // GIR_Coverage, 20645,
     /*  522318 */     GIR_EraseRootFromParent_Done,
     /*  522319 */   // Label 8664: @522319
     /*  522319 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(522390), // Rule ID 20648 //
     /*  522324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522356 */     // MIs[0] round
     /*  522356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522375 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522388 */     GIR_RootConstrainSelectedInstOperands,
     /*  522389 */     // GIR_Coverage, 20648,
     /*  522389 */     GIR_EraseRootFromParent_Done,
     /*  522390 */   // Label 8665: @522390
     /*  522390 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522461), // Rule ID 20649 //
     /*  522395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522427 */     // MIs[0] round
     /*  522427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522446 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522459 */     GIR_RootConstrainSelectedInstOperands,
     /*  522460 */     // GIR_Coverage, 20649,
     /*  522460 */     GIR_EraseRootFromParent_Done,
     /*  522461 */   // Label 8666: @522461
     /*  522461 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522532), // Rule ID 20652 //
     /*  522466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522498 */     // MIs[0] round
     /*  522498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522517 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522530 */     GIR_RootConstrainSelectedInstOperands,
     /*  522531 */     // GIR_Coverage, 20652,
     /*  522531 */     GIR_EraseRootFromParent_Done,
     /*  522532 */   // Label 8667: @522532
     /*  522532 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522603), // Rule ID 20653 //
     /*  522537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  522548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  522551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522569 */     // MIs[0] round
     /*  522569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522579 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522588 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522601 */     GIR_RootConstrainSelectedInstOperands,
     /*  522602 */     // GIR_Coverage, 20653,
     /*  522602 */     GIR_EraseRootFromParent_Done,
     /*  522603 */   // Label 8668: @522603
     /*  522603 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(522674), // Rule ID 20656 //
     /*  522608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522640 */     // MIs[0] round
     /*  522640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522650 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522659 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522672 */     GIR_RootConstrainSelectedInstOperands,
     /*  522673 */     // GIR_Coverage, 20656,
     /*  522673 */     GIR_EraseRootFromParent_Done,
     /*  522674 */   // Label 8669: @522674
     /*  522674 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(522745), // Rule ID 20657 //
     /*  522679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  522690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  522693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522711 */     // MIs[0] round
     /*  522711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522721 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522730 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522743 */     GIR_RootConstrainSelectedInstOperands,
     /*  522744 */     // GIR_Coverage, 20657,
     /*  522744 */     GIR_EraseRootFromParent_Done,
     /*  522745 */   // Label 8670: @522745
     /*  522745 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(522816), // Rule ID 20660 //
     /*  522750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522782 */     // MIs[0] round
     /*  522782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522801 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522814 */     GIR_RootConstrainSelectedInstOperands,
     /*  522815 */     // GIR_Coverage, 20660,
     /*  522815 */     GIR_EraseRootFromParent_Done,
     /*  522816 */   // Label 8671: @522816
     /*  522816 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(522887), // Rule ID 20661 //
     /*  522821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522853 */     // MIs[0] round
     /*  522853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522863 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  522866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522872 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522885 */     GIR_RootConstrainSelectedInstOperands,
     /*  522886 */     // GIR_Coverage, 20661,
     /*  522886 */     GIR_EraseRootFromParent_Done,
     /*  522887 */   // Label 8672: @522887
     /*  522887 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522958), // Rule ID 20664 //
     /*  522892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522924 */     // MIs[0] round
     /*  522924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  522937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522943 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522956 */     GIR_RootConstrainSelectedInstOperands,
     /*  522957 */     // GIR_Coverage, 20664,
     /*  522957 */     GIR_EraseRootFromParent_Done,
     /*  522958 */   // Label 8673: @522958
     /*  522958 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(523029), // Rule ID 20665 //
     /*  522963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522995 */     // MIs[0] round
     /*  522995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523005 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523014 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523027 */     GIR_RootConstrainSelectedInstOperands,
     /*  523028 */     // GIR_Coverage, 20665,
     /*  523028 */     GIR_EraseRootFromParent_Done,
     /*  523029 */   // Label 8674: @523029
     /*  523029 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(523100), // Rule ID 20668 //
     /*  523034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523066 */     // MIs[0] round
     /*  523066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523085 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523098 */     GIR_RootConstrainSelectedInstOperands,
     /*  523099 */     // GIR_Coverage, 20668,
     /*  523099 */     GIR_EraseRootFromParent_Done,
     /*  523100 */   // Label 8675: @523100
     /*  523100 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(523171), // Rule ID 20669 //
     /*  523105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523137 */     // MIs[0] round
     /*  523137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523156 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523169 */     GIR_RootConstrainSelectedInstOperands,
     /*  523170 */     // GIR_Coverage, 20669,
     /*  523170 */     GIR_EraseRootFromParent_Done,
     /*  523171 */   // Label 8676: @523171
     /*  523171 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(523242), // Rule ID 20672 //
     /*  523176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523208 */     // MIs[0] round
     /*  523208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523227 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523240 */     GIR_RootConstrainSelectedInstOperands,
     /*  523241 */     // GIR_Coverage, 20672,
     /*  523241 */     GIR_EraseRootFromParent_Done,
     /*  523242 */   // Label 8677: @523242
     /*  523242 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(523313), // Rule ID 20673 //
     /*  523247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523279 */     // MIs[0] round
     /*  523279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523289 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523298 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523311 */     GIR_RootConstrainSelectedInstOperands,
     /*  523312 */     // GIR_Coverage, 20673,
     /*  523312 */     GIR_EraseRootFromParent_Done,
     /*  523313 */   // Label 8678: @523313
     /*  523313 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(523384), // Rule ID 20676 //
     /*  523318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523350 */     // MIs[0] round
     /*  523350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523369 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523382 */     GIR_RootConstrainSelectedInstOperands,
     /*  523383 */     // GIR_Coverage, 20676,
     /*  523383 */     GIR_EraseRootFromParent_Done,
     /*  523384 */   // Label 8679: @523384
     /*  523384 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(523455), // Rule ID 20677 //
     /*  523389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523421 */     // MIs[0] round
     /*  523421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523440 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523453 */     GIR_RootConstrainSelectedInstOperands,
     /*  523454 */     // GIR_Coverage, 20677,
     /*  523454 */     GIR_EraseRootFromParent_Done,
     /*  523455 */   // Label 8680: @523455
     /*  523455 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523526), // Rule ID 20680 //
     /*  523460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523492 */     // MIs[0] round
     /*  523492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523511 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523524 */     GIR_RootConstrainSelectedInstOperands,
     /*  523525 */     // GIR_Coverage, 20680,
     /*  523525 */     GIR_EraseRootFromParent_Done,
     /*  523526 */   // Label 8681: @523526
     /*  523526 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523597), // Rule ID 20681 //
     /*  523531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523563 */     // MIs[0] round
     /*  523563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523582 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523595 */     GIR_RootConstrainSelectedInstOperands,
     /*  523596 */     // GIR_Coverage, 20681,
     /*  523596 */     GIR_EraseRootFromParent_Done,
     /*  523597 */   // Label 8682: @523597
     /*  523597 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(523668), // Rule ID 20684 //
     /*  523602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523634 */     // MIs[0] round
     /*  523634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523653 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523666 */     GIR_RootConstrainSelectedInstOperands,
     /*  523667 */     // GIR_Coverage, 20684,
     /*  523667 */     GIR_EraseRootFromParent_Done,
     /*  523668 */   // Label 8683: @523668
     /*  523668 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(523739), // Rule ID 20685 //
     /*  523673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523705 */     // MIs[0] round
     /*  523705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523724 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523737 */     GIR_RootConstrainSelectedInstOperands,
     /*  523738 */     // GIR_Coverage, 20685,
     /*  523738 */     GIR_EraseRootFromParent_Done,
     /*  523739 */   // Label 8684: @523739
     /*  523739 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(523810), // Rule ID 20688 //
     /*  523744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523776 */     // MIs[0] round
     /*  523776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523795 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523808 */     GIR_RootConstrainSelectedInstOperands,
     /*  523809 */     // GIR_Coverage, 20688,
     /*  523809 */     GIR_EraseRootFromParent_Done,
     /*  523810 */   // Label 8685: @523810
     /*  523810 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(523881), // Rule ID 20689 //
     /*  523815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523847 */     // MIs[0] round
     /*  523847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523866 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523879 */     GIR_RootConstrainSelectedInstOperands,
     /*  523880 */     // GIR_Coverage, 20689,
     /*  523880 */     GIR_EraseRootFromParent_Done,
     /*  523881 */   // Label 8686: @523881
     /*  523881 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523952), // Rule ID 20692 //
     /*  523886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523918 */     // MIs[0] round
     /*  523918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523937 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523950 */     GIR_RootConstrainSelectedInstOperands,
     /*  523951 */     // GIR_Coverage, 20692,
     /*  523951 */     GIR_EraseRootFromParent_Done,
     /*  523952 */   // Label 8687: @523952
     /*  523952 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(524023), // Rule ID 20693 //
     /*  523957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523989 */     // MIs[0] round
     /*  523989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  524002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524008 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524021 */     GIR_RootConstrainSelectedInstOperands,
     /*  524022 */     // GIR_Coverage, 20693,
     /*  524022 */     GIR_EraseRootFromParent_Done,
     /*  524023 */   // Label 8688: @524023
     /*  524023 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(524094), // Rule ID 20696 //
     /*  524028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524060 */     // MIs[0] round
     /*  524060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524079 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524092 */     GIR_RootConstrainSelectedInstOperands,
     /*  524093 */     // GIR_Coverage, 20696,
     /*  524093 */     GIR_EraseRootFromParent_Done,
     /*  524094 */   // Label 8689: @524094
     /*  524094 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(524165), // Rule ID 20697 //
     /*  524099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524131 */     // MIs[0] round
     /*  524131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524141 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524150 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524163 */     GIR_RootConstrainSelectedInstOperands,
     /*  524164 */     // GIR_Coverage, 20697,
     /*  524164 */     GIR_EraseRootFromParent_Done,
     /*  524165 */   // Label 8690: @524165
     /*  524165 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(524236), // Rule ID 20700 //
     /*  524170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524202 */     // MIs[0] round
     /*  524202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  524215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524221 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524234 */     GIR_RootConstrainSelectedInstOperands,
     /*  524235 */     // GIR_Coverage, 20700,
     /*  524235 */     GIR_EraseRootFromParent_Done,
     /*  524236 */   // Label 8691: @524236
     /*  524236 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(524307), // Rule ID 20701 //
     /*  524241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524273 */     // MIs[0] round
     /*  524273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  524286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524292 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524305 */     GIR_RootConstrainSelectedInstOperands,
     /*  524306 */     // GIR_Coverage, 20701,
     /*  524306 */     GIR_EraseRootFromParent_Done,
     /*  524307 */   // Label 8692: @524307
     /*  524307 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(524378), // Rule ID 20704 //
     /*  524312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524344 */     // MIs[0] round
     /*  524344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524363 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524376 */     GIR_RootConstrainSelectedInstOperands,
     /*  524377 */     // GIR_Coverage, 20704,
     /*  524377 */     GIR_EraseRootFromParent_Done,
     /*  524378 */   // Label 8693: @524378
     /*  524378 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(524449), // Rule ID 20705 //
     /*  524383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524415 */     // MIs[0] round
     /*  524415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524434 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524447 */     GIR_RootConstrainSelectedInstOperands,
     /*  524448 */     // GIR_Coverage, 20705,
     /*  524448 */     GIR_EraseRootFromParent_Done,
     /*  524449 */   // Label 8694: @524449
     /*  524449 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524520), // Rule ID 20708 //
     /*  524454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524486 */     // MIs[0] round
     /*  524486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524505 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524518 */     GIR_RootConstrainSelectedInstOperands,
     /*  524519 */     // GIR_Coverage, 20708,
     /*  524519 */     GIR_EraseRootFromParent_Done,
     /*  524520 */   // Label 8695: @524520
     /*  524520 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524591), // Rule ID 20709 //
     /*  524525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524557 */     // MIs[0] round
     /*  524557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  524570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524576 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524589 */     GIR_RootConstrainSelectedInstOperands,
     /*  524590 */     // GIR_Coverage, 20709,
     /*  524590 */     GIR_EraseRootFromParent_Done,
     /*  524591 */   // Label 8696: @524591
     /*  524591 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(524662), // Rule ID 20712 //
     /*  524596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524628 */     // MIs[0] round
     /*  524628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524647 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524660 */     GIR_RootConstrainSelectedInstOperands,
     /*  524661 */     // GIR_Coverage, 20712,
     /*  524661 */     GIR_EraseRootFromParent_Done,
     /*  524662 */   // Label 8697: @524662
     /*  524662 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(524733), // Rule ID 20713 //
     /*  524667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524699 */     // MIs[0] round
     /*  524699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524718 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524731 */     GIR_RootConstrainSelectedInstOperands,
     /*  524732 */     // GIR_Coverage, 20713,
     /*  524732 */     GIR_EraseRootFromParent_Done,
     /*  524733 */   // Label 8698: @524733
     /*  524733 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(524804), // Rule ID 20716 //
     /*  524738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524770 */     // MIs[0] round
     /*  524770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524789 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524802 */     GIR_RootConstrainSelectedInstOperands,
     /*  524803 */     // GIR_Coverage, 20716,
     /*  524803 */     GIR_EraseRootFromParent_Done,
     /*  524804 */   // Label 8699: @524804
     /*  524804 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(524875), // Rule ID 20717 //
     /*  524809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  524826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524841 */     // MIs[0] round
     /*  524841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524860 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524873 */     GIR_RootConstrainSelectedInstOperands,
     /*  524874 */     // GIR_Coverage, 20717,
     /*  524874 */     GIR_EraseRootFromParent_Done,
     /*  524875 */   // Label 8700: @524875
     /*  524875 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524946), // Rule ID 20720 //
     /*  524880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524912 */     // MIs[0] round
     /*  524912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524931 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524944 */     GIR_RootConstrainSelectedInstOperands,
     /*  524945 */     // GIR_Coverage, 20720,
     /*  524945 */     GIR_EraseRootFromParent_Done,
     /*  524946 */   // Label 8701: @524946
     /*  524946 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(525017), // Rule ID 20721 //
     /*  524951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  524962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  524965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524983 */     // MIs[0] round
     /*  524983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  524996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525002 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525015 */     GIR_RootConstrainSelectedInstOperands,
     /*  525016 */     // GIR_Coverage, 20721,
     /*  525016 */     GIR_EraseRootFromParent_Done,
     /*  525017 */   // Label 8702: @525017
     /*  525017 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(525088), // Rule ID 20724 //
     /*  525022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525054 */     // MIs[0] round
     /*  525054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525073 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525086 */     GIR_RootConstrainSelectedInstOperands,
     /*  525087 */     // GIR_Coverage, 20724,
     /*  525087 */     GIR_EraseRootFromParent_Done,
     /*  525088 */   // Label 8703: @525088
     /*  525088 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(525159), // Rule ID 20725 //
     /*  525093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525125 */     // MIs[0] round
     /*  525125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525135 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525144 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525157 */     GIR_RootConstrainSelectedInstOperands,
     /*  525158 */     // GIR_Coverage, 20725,
     /*  525158 */     GIR_EraseRootFromParent_Done,
     /*  525159 */   // Label 8704: @525159
     /*  525159 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(525230), // Rule ID 20728 //
     /*  525164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525196 */     // MIs[0] round
     /*  525196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525215 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525228 */     GIR_RootConstrainSelectedInstOperands,
     /*  525229 */     // GIR_Coverage, 20728,
     /*  525229 */     GIR_EraseRootFromParent_Done,
     /*  525230 */   // Label 8705: @525230
     /*  525230 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(525301), // Rule ID 20729 //
     /*  525235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525267 */     // MIs[0] round
     /*  525267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525277 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525286 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525299 */     GIR_RootConstrainSelectedInstOperands,
     /*  525300 */     // GIR_Coverage, 20729,
     /*  525300 */     GIR_EraseRootFromParent_Done,
     /*  525301 */   // Label 8706: @525301
     /*  525301 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(525372), // Rule ID 20732 //
     /*  525306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525338 */     // MIs[0] round
     /*  525338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  525351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525357 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525370 */     GIR_RootConstrainSelectedInstOperands,
     /*  525371 */     // GIR_Coverage, 20732,
     /*  525371 */     GIR_EraseRootFromParent_Done,
     /*  525372 */   // Label 8707: @525372
     /*  525372 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(525443), // Rule ID 20733 //
     /*  525377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  525391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525409 */     // MIs[0] round
     /*  525409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  525422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525428 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525441 */     GIR_RootConstrainSelectedInstOperands,
     /*  525442 */     // GIR_Coverage, 20733,
     /*  525442 */     GIR_EraseRootFromParent_Done,
     /*  525443 */   // Label 8708: @525443
     /*  525443 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525514), // Rule ID 20736 //
     /*  525448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525480 */     // MIs[0] round
     /*  525480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525499 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525512 */     GIR_RootConstrainSelectedInstOperands,
     /*  525513 */     // GIR_Coverage, 20736,
     /*  525513 */     GIR_EraseRootFromParent_Done,
     /*  525514 */   // Label 8709: @525514
     /*  525514 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525585), // Rule ID 20737 //
     /*  525519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525551 */     // MIs[0] round
     /*  525551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525570 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525583 */     GIR_RootConstrainSelectedInstOperands,
     /*  525584 */     // GIR_Coverage, 20737,
     /*  525584 */     GIR_EraseRootFromParent_Done,
     /*  525585 */   // Label 8710: @525585
     /*  525585 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(525656), // Rule ID 20740 //
     /*  525590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525622 */     // MIs[0] round
     /*  525622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525641 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525654 */     GIR_RootConstrainSelectedInstOperands,
     /*  525655 */     // GIR_Coverage, 20740,
     /*  525655 */     GIR_EraseRootFromParent_Done,
     /*  525656 */   // Label 8711: @525656
     /*  525656 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(525727), // Rule ID 20741 //
     /*  525661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525693 */     // MIs[0] round
     /*  525693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525712 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525725 */     GIR_RootConstrainSelectedInstOperands,
     /*  525726 */     // GIR_Coverage, 20741,
     /*  525726 */     GIR_EraseRootFromParent_Done,
     /*  525727 */   // Label 8712: @525727
     /*  525727 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(525798), // Rule ID 20744 //
     /*  525732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525764 */     // MIs[0] round
     /*  525764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525774 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  525777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525783 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525796 */     GIR_RootConstrainSelectedInstOperands,
     /*  525797 */     // GIR_Coverage, 20744,
     /*  525797 */     GIR_EraseRootFromParent_Done,
     /*  525798 */   // Label 8713: @525798
     /*  525798 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(525869), // Rule ID 20745 //
     /*  525803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  525820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525835 */     // MIs[0] round
     /*  525835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525845 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  525848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525854 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525867 */     GIR_RootConstrainSelectedInstOperands,
     /*  525868 */     // GIR_Coverage, 20745,
     /*  525868 */     GIR_EraseRootFromParent_Done,
     /*  525869 */   // Label 8714: @525869
     /*  525869 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525940), // Rule ID 20748 //
     /*  525874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525906 */     // MIs[0] round
     /*  525906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525925 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525938 */     GIR_RootConstrainSelectedInstOperands,
     /*  525939 */     // GIR_Coverage, 20748,
     /*  525939 */     GIR_EraseRootFromParent_Done,
     /*  525940 */   // Label 8715: @525940
     /*  525940 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(526011), // Rule ID 20749 //
     /*  525945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  525962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525977 */     // MIs[0] round
     /*  525977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525996 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526009 */     GIR_RootConstrainSelectedInstOperands,
     /*  526010 */     // GIR_Coverage, 20749,
     /*  526010 */     GIR_EraseRootFromParent_Done,
     /*  526011 */   // Label 8716: @526011
     /*  526011 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(526082), // Rule ID 20752 //
     /*  526016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526048 */     // MIs[0] round
     /*  526048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526067 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526080 */     GIR_RootConstrainSelectedInstOperands,
     /*  526081 */     // GIR_Coverage, 20752,
     /*  526081 */     GIR_EraseRootFromParent_Done,
     /*  526082 */   // Label 8717: @526082
     /*  526082 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(526153), // Rule ID 20753 //
     /*  526087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526119 */     // MIs[0] round
     /*  526119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526129 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526138 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526151 */     GIR_RootConstrainSelectedInstOperands,
     /*  526152 */     // GIR_Coverage, 20753,
     /*  526152 */     GIR_EraseRootFromParent_Done,
     /*  526153 */   // Label 8718: @526153
     /*  526153 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(526224), // Rule ID 20756 //
     /*  526158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526190 */     // MIs[0] round
     /*  526190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526209 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526222 */     GIR_RootConstrainSelectedInstOperands,
     /*  526223 */     // GIR_Coverage, 20756,
     /*  526223 */     GIR_EraseRootFromParent_Done,
     /*  526224 */   // Label 8719: @526224
     /*  526224 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(526295), // Rule ID 20757 //
     /*  526229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526261 */     // MIs[0] round
     /*  526261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526271 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526280 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526293 */     GIR_RootConstrainSelectedInstOperands,
     /*  526294 */     // GIR_Coverage, 20757,
     /*  526294 */     GIR_EraseRootFromParent_Done,
     /*  526295 */   // Label 8720: @526295
     /*  526295 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(526366), // Rule ID 20880 //
     /*  526300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526332 */     // MIs[0] round
     /*  526332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526342 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  526345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526351 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526364 */     GIR_RootConstrainSelectedInstOperands,
     /*  526365 */     // GIR_Coverage, 20880,
     /*  526365 */     GIR_EraseRootFromParent_Done,
     /*  526366 */   // Label 8721: @526366
     /*  526366 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(526437), // Rule ID 20881 //
     /*  526371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526403 */     // MIs[0] round
     /*  526403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526413 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  526416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526422 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526435 */     GIR_RootConstrainSelectedInstOperands,
     /*  526436 */     // GIR_Coverage, 20881,
     /*  526436 */     GIR_EraseRootFromParent_Done,
     /*  526437 */   // Label 8722: @526437
     /*  526437 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526508), // Rule ID 20884 //
     /*  526442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  526453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  526456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526474 */     // MIs[0] round
     /*  526474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526484 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  526487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526493 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526506 */     GIR_RootConstrainSelectedInstOperands,
     /*  526507 */     // GIR_Coverage, 20884,
     /*  526507 */     GIR_EraseRootFromParent_Done,
     /*  526508 */   // Label 8723: @526508
     /*  526508 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526579), // Rule ID 20885 //
     /*  526513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  526524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  526527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526545 */     // MIs[0] round
     /*  526545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  526558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526564 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526577 */     GIR_RootConstrainSelectedInstOperands,
     /*  526578 */     // GIR_Coverage, 20885,
     /*  526578 */     GIR_EraseRootFromParent_Done,
     /*  526579 */   // Label 8724: @526579
     /*  526579 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(526650), // Rule ID 20888 //
     /*  526584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526616 */     // MIs[0] round
     /*  526616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526626 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  526629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526635 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526648 */     GIR_RootConstrainSelectedInstOperands,
     /*  526649 */     // GIR_Coverage, 20888,
     /*  526649 */     GIR_EraseRootFromParent_Done,
     /*  526650 */   // Label 8725: @526650
     /*  526650 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(526721), // Rule ID 20889 //
     /*  526655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526687 */     // MIs[0] round
     /*  526687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526697 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  526700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526706 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526719 */     GIR_RootConstrainSelectedInstOperands,
     /*  526720 */     // GIR_Coverage, 20889,
     /*  526720 */     GIR_EraseRootFromParent_Done,
     /*  526721 */   // Label 8726: @526721
     /*  526721 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(526792), // Rule ID 20892 //
     /*  526726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  526737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  526740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526758 */     // MIs[0] round
     /*  526758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526768 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  526771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526777 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526790 */     GIR_RootConstrainSelectedInstOperands,
     /*  526791 */     // GIR_Coverage, 20892,
     /*  526791 */     GIR_EraseRootFromParent_Done,
     /*  526792 */   // Label 8727: @526792
     /*  526792 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(526863), // Rule ID 20893 //
     /*  526797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  526808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  526811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526829 */     // MIs[0] round
     /*  526829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526839 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  526842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526848 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526861 */     GIR_RootConstrainSelectedInstOperands,
     /*  526862 */     // GIR_Coverage, 20893,
     /*  526862 */     GIR_EraseRootFromParent_Done,
     /*  526863 */   // Label 8728: @526863
     /*  526863 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526934), // Rule ID 20896 //
     /*  526868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526900 */     // MIs[0] round
     /*  526900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  526913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526919 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526932 */     GIR_RootConstrainSelectedInstOperands,
     /*  526933 */     // GIR_Coverage, 20896,
     /*  526933 */     GIR_EraseRootFromParent_Done,
     /*  526934 */   // Label 8729: @526934
     /*  526934 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(527005), // Rule ID 20897 //
     /*  526939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526971 */     // MIs[0] round
     /*  526971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526981 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  526984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526990 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527003 */     GIR_RootConstrainSelectedInstOperands,
     /*  527004 */     // GIR_Coverage, 20897,
     /*  527004 */     GIR_EraseRootFromParent_Done,
     /*  527005 */   // Label 8730: @527005
     /*  527005 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(527076), // Rule ID 20900 //
     /*  527010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  527013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527042 */     // MIs[0] round
     /*  527042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  527052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  527055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527061 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527074 */     GIR_RootConstrainSelectedInstOperands,
     /*  527075 */     // GIR_Coverage, 20900,
     /*  527075 */     GIR_EraseRootFromParent_Done,
     /*  527076 */   // Label 8731: @527076
     /*  527076 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(527147), // Rule ID 20901 //
     /*  527081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  527084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527113 */     // MIs[0] round
     /*  527113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527123 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  527123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  527126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527132 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527145 */     GIR_RootConstrainSelectedInstOperands,
     /*  527146 */     // GIR_Coverage, 20901,
     /*  527146 */     GIR_EraseRootFromParent_Done,
     /*  527147 */   // Label 8732: @527147
     /*  527147 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(527218), // Rule ID 20904 //
     /*  527152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527184 */     // MIs[0] round
     /*  527184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527194 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  527197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527203 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527216 */     GIR_RootConstrainSelectedInstOperands,
     /*  527217 */     // GIR_Coverage, 20904,
     /*  527217 */     GIR_EraseRootFromParent_Done,
     /*  527218 */   // Label 8733: @527218
     /*  527218 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(527289), // Rule ID 20905 //
     /*  527223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527255 */     // MIs[0] round
     /*  527255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527265 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  527268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527274 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527287 */     GIR_RootConstrainSelectedInstOperands,
     /*  527288 */     // GIR_Coverage, 20905,
     /*  527288 */     GIR_EraseRootFromParent_Done,
     /*  527289 */   // Label 8734: @527289
     /*  527289 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(527360), // Rule ID 20908 //
     /*  527294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  527305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  527308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527326 */     // MIs[0] round
     /*  527326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527336 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  527339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527345 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527358 */     GIR_RootConstrainSelectedInstOperands,
     /*  527359 */     // GIR_Coverage, 20908,
     /*  527359 */     GIR_EraseRootFromParent_Done,
     /*  527360 */   // Label 8735: @527360
     /*  527360 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(527431), // Rule ID 20909 //
     /*  527365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  527376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  527379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527397 */     // MIs[0] round
     /*  527397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527407 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  527410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527416 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527429 */     GIR_RootConstrainSelectedInstOperands,
     /*  527430 */     // GIR_Coverage, 20909,
     /*  527430 */     GIR_EraseRootFromParent_Done,
     /*  527431 */   // Label 8736: @527431
     /*  527431 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527502), // Rule ID 20912 //
     /*  527436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  527447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  527450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  527453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527468 */     // MIs[0] round
     /*  527468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527478 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  527481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527487 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527500 */     GIR_RootConstrainSelectedInstOperands,
     /*  527501 */     // GIR_Coverage, 20912,
     /*  527501 */     GIR_EraseRootFromParent_Done,
     /*  527502 */   // Label 8737: @527502
     /*  527502 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527573), // Rule ID 20913 //
     /*  527507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  527518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  527521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  527524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527539 */     // MIs[0] round
     /*  527539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527549 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  527552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527558 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527571 */     GIR_RootConstrainSelectedInstOperands,
     /*  527572 */     // GIR_Coverage, 20913,
     /*  527572 */     GIR_EraseRootFromParent_Done,
     /*  527573 */   // Label 8738: @527573
     /*  527573 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(527644), // Rule ID 20916 //
     /*  527578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527610 */     // MIs[0] round
     /*  527610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527620 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  527623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527629 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527642 */     GIR_RootConstrainSelectedInstOperands,
     /*  527643 */     // GIR_Coverage, 20916,
     /*  527643 */     GIR_EraseRootFromParent_Done,
     /*  527644 */   // Label 8739: @527644
     /*  527644 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(527715), // Rule ID 20917 //
     /*  527649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527681 */     // MIs[0] round
     /*  527681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527691 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  527694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527700 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527713 */     GIR_RootConstrainSelectedInstOperands,
     /*  527714 */     // GIR_Coverage, 20917,
     /*  527714 */     GIR_EraseRootFromParent_Done,
     /*  527715 */   // Label 8740: @527715
     /*  527715 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(527786), // Rule ID 20920 //
     /*  527720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527752 */     // MIs[0] round
     /*  527752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527762 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  527765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527771 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527784 */     GIR_RootConstrainSelectedInstOperands,
     /*  527785 */     // GIR_Coverage, 20920,
     /*  527785 */     GIR_EraseRootFromParent_Done,
     /*  527786 */   // Label 8741: @527786
     /*  527786 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(527857), // Rule ID 20921 //
     /*  527791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  527802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  527805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527823 */     // MIs[0] round
     /*  527823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527833 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  527836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527842 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527855 */     GIR_RootConstrainSelectedInstOperands,
     /*  527856 */     // GIR_Coverage, 20921,
     /*  527856 */     GIR_EraseRootFromParent_Done,
     /*  527857 */   // Label 8742: @527857
     /*  527857 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527928), // Rule ID 20924 //
     /*  527862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  527879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527894 */     // MIs[0] round
     /*  527894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527904 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  527907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527913 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527926 */     GIR_RootConstrainSelectedInstOperands,
     /*  527927 */     // GIR_Coverage, 20924,
     /*  527927 */     GIR_EraseRootFromParent_Done,
     /*  527928 */   // Label 8743: @527928
     /*  527928 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(527999), // Rule ID 20925 //
     /*  527933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  527944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  527947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  527950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527965 */     // MIs[0] round
     /*  527965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527975 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  527978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527984 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527997 */     GIR_RootConstrainSelectedInstOperands,
     /*  527998 */     // GIR_Coverage, 20925,
     /*  527998 */     GIR_EraseRootFromParent_Done,
     /*  527999 */   // Label 8744: @527999
     /*  527999 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(528070), // Rule ID 20928 //
     /*  528004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528036 */     // MIs[0] round
     /*  528036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528046 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  528049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528055 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528068 */     GIR_RootConstrainSelectedInstOperands,
     /*  528069 */     // GIR_Coverage, 20928,
     /*  528069 */     GIR_EraseRootFromParent_Done,
     /*  528070 */   // Label 8745: @528070
     /*  528070 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(528141), // Rule ID 20929 //
     /*  528075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528107 */     // MIs[0] round
     /*  528107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528117 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  528120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528126 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528139 */     GIR_RootConstrainSelectedInstOperands,
     /*  528140 */     // GIR_Coverage, 20929,
     /*  528140 */     GIR_EraseRootFromParent_Done,
     /*  528141 */   // Label 8746: @528141
     /*  528141 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(528212), // Rule ID 20932 //
     /*  528146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528178 */     // MIs[0] round
     /*  528178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528188 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  528191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528197 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528210 */     GIR_RootConstrainSelectedInstOperands,
     /*  528211 */     // GIR_Coverage, 20932,
     /*  528211 */     GIR_EraseRootFromParent_Done,
     /*  528212 */   // Label 8747: @528212
     /*  528212 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(528283), // Rule ID 20933 //
     /*  528217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528249 */     // MIs[0] round
     /*  528249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528259 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  528262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528268 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528281 */     GIR_RootConstrainSelectedInstOperands,
     /*  528282 */     // GIR_Coverage, 20933,
     /*  528282 */     GIR_EraseRootFromParent_Done,
     /*  528283 */   // Label 8748: @528283
     /*  528283 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(528354), // Rule ID 20936 //
     /*  528288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  528305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528320 */     // MIs[0] round
     /*  528320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528330 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  528333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528339 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528352 */     GIR_RootConstrainSelectedInstOperands,
     /*  528353 */     // GIR_Coverage, 20936,
     /*  528353 */     GIR_EraseRootFromParent_Done,
     /*  528354 */   // Label 8749: @528354
     /*  528354 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(528425), // Rule ID 20937 //
     /*  528359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  528376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528391 */     // MIs[0] round
     /*  528391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528401 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  528404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528410 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528423 */     GIR_RootConstrainSelectedInstOperands,
     /*  528424 */     // GIR_Coverage, 20937,
     /*  528424 */     GIR_EraseRootFromParent_Done,
     /*  528425 */   // Label 8750: @528425
     /*  528425 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528496), // Rule ID 20940 //
     /*  528430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528462 */     // MIs[0] round
     /*  528462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528472 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  528475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528481 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528494 */     GIR_RootConstrainSelectedInstOperands,
     /*  528495 */     // GIR_Coverage, 20940,
     /*  528495 */     GIR_EraseRootFromParent_Done,
     /*  528496 */   // Label 8751: @528496
     /*  528496 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528567), // Rule ID 20941 //
     /*  528501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  528518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528533 */     // MIs[0] round
     /*  528533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528543 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  528546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528552 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528565 */     GIR_RootConstrainSelectedInstOperands,
     /*  528566 */     // GIR_Coverage, 20941,
     /*  528566 */     GIR_EraseRootFromParent_Done,
     /*  528567 */   // Label 8752: @528567
     /*  528567 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(528638), // Rule ID 20944 //
     /*  528572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528604 */     // MIs[0] round
     /*  528604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528614 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  528617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528623 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528636 */     GIR_RootConstrainSelectedInstOperands,
     /*  528637 */     // GIR_Coverage, 20944,
     /*  528637 */     GIR_EraseRootFromParent_Done,
     /*  528638 */   // Label 8753: @528638
     /*  528638 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(528709), // Rule ID 20945 //
     /*  528643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  528660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528675 */     // MIs[0] round
     /*  528675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528685 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  528688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528694 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528707 */     GIR_RootConstrainSelectedInstOperands,
     /*  528708 */     // GIR_Coverage, 20945,
     /*  528708 */     GIR_EraseRootFromParent_Done,
     /*  528709 */   // Label 8754: @528709
     /*  528709 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(528780), // Rule ID 20948 //
     /*  528714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528746 */     // MIs[0] round
     /*  528746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528756 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  528759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528765 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528778 */     GIR_RootConstrainSelectedInstOperands,
     /*  528779 */     // GIR_Coverage, 20948,
     /*  528779 */     GIR_EraseRootFromParent_Done,
     /*  528780 */   // Label 8755: @528780
     /*  528780 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(528851), // Rule ID 20949 //
     /*  528785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528817 */     // MIs[0] round
     /*  528817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  528830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528836 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528849 */     GIR_RootConstrainSelectedInstOperands,
     /*  528850 */     // GIR_Coverage, 20949,
     /*  528850 */     GIR_EraseRootFromParent_Done,
     /*  528851 */   // Label 8756: @528851
     /*  528851 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528922), // Rule ID 20952 //
     /*  528856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528888 */     // MIs[0] round
     /*  528888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528898 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  528901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528907 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528920 */     GIR_RootConstrainSelectedInstOperands,
     /*  528921 */     // GIR_Coverage, 20952,
     /*  528921 */     GIR_EraseRootFromParent_Done,
     /*  528922 */   // Label 8757: @528922
     /*  528922 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(528993), // Rule ID 20953 //
     /*  528927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  528935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528959 */     // MIs[0] round
     /*  528959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528969 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  528972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528978 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528991 */     GIR_RootConstrainSelectedInstOperands,
     /*  528992 */     // GIR_Coverage, 20953,
     /*  528992 */     GIR_EraseRootFromParent_Done,
     /*  528993 */   // Label 8758: @528993
     /*  528993 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(529064), // Rule ID 20956 //
     /*  528998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529030 */     // MIs[0] round
     /*  529030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  529043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529049 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529062 */     GIR_RootConstrainSelectedInstOperands,
     /*  529063 */     // GIR_Coverage, 20956,
     /*  529063 */     GIR_EraseRootFromParent_Done,
     /*  529064 */   // Label 8759: @529064
     /*  529064 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(529135), // Rule ID 20957 //
     /*  529069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529101 */     // MIs[0] round
     /*  529101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  529114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529120 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529133 */     GIR_RootConstrainSelectedInstOperands,
     /*  529134 */     // GIR_Coverage, 20957,
     /*  529134 */     GIR_EraseRootFromParent_Done,
     /*  529135 */   // Label 8760: @529135
     /*  529135 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(529206), // Rule ID 20960 //
     /*  529140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  529143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529172 */     // MIs[0] round
     /*  529172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529182 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  529182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  529185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529191 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529204 */     GIR_RootConstrainSelectedInstOperands,
     /*  529205 */     // GIR_Coverage, 20960,
     /*  529205 */     GIR_EraseRootFromParent_Done,
     /*  529206 */   // Label 8761: @529206
     /*  529206 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(529277), // Rule ID 20961 //
     /*  529211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  529214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529243 */     // MIs[0] round
     /*  529243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529253 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  529253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  529256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529262 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529275 */     GIR_RootConstrainSelectedInstOperands,
     /*  529276 */     // GIR_Coverage, 20961,
     /*  529276 */     GIR_EraseRootFromParent_Done,
     /*  529277 */   // Label 8762: @529277
     /*  529277 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(529348), // Rule ID 20964 //
     /*  529282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529314 */     // MIs[0] round
     /*  529314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529324 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  529327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529333 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529346 */     GIR_RootConstrainSelectedInstOperands,
     /*  529347 */     // GIR_Coverage, 20964,
     /*  529347 */     GIR_EraseRootFromParent_Done,
     /*  529348 */   // Label 8763: @529348
     /*  529348 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(529419), // Rule ID 20965 //
     /*  529353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529385 */     // MIs[0] round
     /*  529385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529395 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  529398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529404 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529417 */     GIR_RootConstrainSelectedInstOperands,
     /*  529418 */     // GIR_Coverage, 20965,
     /*  529418 */     GIR_EraseRootFromParent_Done,
     /*  529419 */   // Label 8764: @529419
     /*  529419 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529490), // Rule ID 20968 //
     /*  529424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  529435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  529438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529456 */     // MIs[0] round
     /*  529456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529466 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  529469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529475 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529488 */     GIR_RootConstrainSelectedInstOperands,
     /*  529489 */     // GIR_Coverage, 20968,
     /*  529489 */     GIR_EraseRootFromParent_Done,
     /*  529490 */   // Label 8765: @529490
     /*  529490 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529561), // Rule ID 20969 //
     /*  529495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  529506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  529509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529527 */     // MIs[0] round
     /*  529527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529537 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  529540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529546 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529559 */     GIR_RootConstrainSelectedInstOperands,
     /*  529560 */     // GIR_Coverage, 20969,
     /*  529560 */     GIR_EraseRootFromParent_Done,
     /*  529561 */   // Label 8766: @529561
     /*  529561 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(529632), // Rule ID 20972 //
     /*  529566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  529577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  529580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529598 */     // MIs[0] round
     /*  529598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529608 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  529611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529617 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529630 */     GIR_RootConstrainSelectedInstOperands,
     /*  529631 */     // GIR_Coverage, 20972,
     /*  529631 */     GIR_EraseRootFromParent_Done,
     /*  529632 */   // Label 8767: @529632
     /*  529632 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(529703), // Rule ID 20973 //
     /*  529637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  529648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  529651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529669 */     // MIs[0] round
     /*  529669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529679 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  529682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529688 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529701 */     GIR_RootConstrainSelectedInstOperands,
     /*  529702 */     // GIR_Coverage, 20973,
     /*  529702 */     GIR_EraseRootFromParent_Done,
     /*  529703 */   // Label 8768: @529703
     /*  529703 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(529774), // Rule ID 20976 //
     /*  529708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529740 */     // MIs[0] round
     /*  529740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529750 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  529753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529759 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529772 */     GIR_RootConstrainSelectedInstOperands,
     /*  529773 */     // GIR_Coverage, 20976,
     /*  529773 */     GIR_EraseRootFromParent_Done,
     /*  529774 */   // Label 8769: @529774
     /*  529774 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(529845), // Rule ID 20977 //
     /*  529779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529811 */     // MIs[0] round
     /*  529811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529821 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  529824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529830 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529843 */     GIR_RootConstrainSelectedInstOperands,
     /*  529844 */     // GIR_Coverage, 20977,
     /*  529844 */     GIR_EraseRootFromParent_Done,
     /*  529845 */   // Label 8770: @529845
     /*  529845 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529916), // Rule ID 20980 //
     /*  529850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529882 */     // MIs[0] round
     /*  529882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529892 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  529895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529901 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529914 */     GIR_RootConstrainSelectedInstOperands,
     /*  529915 */     // GIR_Coverage, 20980,
     /*  529915 */     GIR_EraseRootFromParent_Done,
     /*  529916 */   // Label 8771: @529916
     /*  529916 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(529987), // Rule ID 20981 //
     /*  529921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529953 */     // MIs[0] round
     /*  529953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529963 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  529966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529972 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529985 */     GIR_RootConstrainSelectedInstOperands,
     /*  529986 */     // GIR_Coverage, 20981,
     /*  529986 */     GIR_EraseRootFromParent_Done,
     /*  529987 */   // Label 8772: @529987
     /*  529987 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(530058), // Rule ID 20984 //
     /*  529992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  530003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  530006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530024 */     // MIs[0] round
     /*  530024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  530037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530043 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530056 */     GIR_RootConstrainSelectedInstOperands,
     /*  530057 */     // GIR_Coverage, 20984,
     /*  530057 */     GIR_EraseRootFromParent_Done,
     /*  530058 */   // Label 8773: @530058
     /*  530058 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(530129), // Rule ID 20985 //
     /*  530063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  530074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  530077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530095 */     // MIs[0] round
     /*  530095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530105 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  530108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530114 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530127 */     GIR_RootConstrainSelectedInstOperands,
     /*  530128 */     // GIR_Coverage, 20985,
     /*  530128 */     GIR_EraseRootFromParent_Done,
     /*  530129 */   // Label 8774: @530129
     /*  530129 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(530200), // Rule ID 20988 //
     /*  530134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530166 */     // MIs[0] round
     /*  530166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530176 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  530179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530185 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530198 */     GIR_RootConstrainSelectedInstOperands,
     /*  530199 */     // GIR_Coverage, 20988,
     /*  530199 */     GIR_EraseRootFromParent_Done,
     /*  530200 */   // Label 8775: @530200
     /*  530200 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(530271), // Rule ID 20989 //
     /*  530205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  530208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530237 */     // MIs[0] round
     /*  530237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530247 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  530250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530256 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530269 */     GIR_RootConstrainSelectedInstOperands,
     /*  530270 */     // GIR_Coverage, 20989,
     /*  530270 */     GIR_EraseRootFromParent_Done,
     /*  530271 */   // Label 8776: @530271
     /*  530271 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(530342), // Rule ID 20992 //
     /*  530276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  530287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  530290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530308 */     // MIs[0] round
     /*  530308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530318 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  530321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530327 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530340 */     GIR_RootConstrainSelectedInstOperands,
     /*  530341 */     // GIR_Coverage, 20992,
     /*  530341 */     GIR_EraseRootFromParent_Done,
     /*  530342 */   // Label 8777: @530342
     /*  530342 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(530413), // Rule ID 20993 //
     /*  530347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  530350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  530358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  530361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530379 */     // MIs[0] round
     /*  530379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530389 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  530392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530398 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530411 */     GIR_RootConstrainSelectedInstOperands,
     /*  530412 */     // GIR_Coverage, 20993,
     /*  530412 */     GIR_EraseRootFromParent_Done,
     /*  530413 */   // Label 8778: @530413
     /*  530413 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530484), // Rule ID 20996 //
     /*  530418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  530429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  530432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530450 */     // MIs[0] round
     /*  530450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530460 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  530463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530469 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530482 */     GIR_RootConstrainSelectedInstOperands,
     /*  530483 */     // GIR_Coverage, 20996,
     /*  530483 */     GIR_EraseRootFromParent_Done,
     /*  530484 */   // Label 8779: @530484
     /*  530484 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530555), // Rule ID 20997 //
     /*  530489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  530492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  530500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  530503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530521 */     // MIs[0] round
     /*  530521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530531 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  530534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530540 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530553 */     GIR_RootConstrainSelectedInstOperands,
     /*  530554 */     // GIR_Coverage, 20997,
     /*  530554 */     GIR_EraseRootFromParent_Done,
     /*  530555 */   // Label 8780: @530555
     /*  530555 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(530626), // Rule ID 21072 //
     /*  530560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530592 */     // MIs[0] round
     /*  530592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530602 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  530605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530611 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530624 */     GIR_RootConstrainSelectedInstOperands,
     /*  530625 */     // GIR_Coverage, 21072,
     /*  530625 */     GIR_EraseRootFromParent_Done,
     /*  530626 */   // Label 8781: @530626
     /*  530626 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(530697), // Rule ID 21073 //
     /*  530631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530663 */     // MIs[0] round
     /*  530663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  530676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530682 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530695 */     GIR_RootConstrainSelectedInstOperands,
     /*  530696 */     // GIR_Coverage, 21073,
     /*  530696 */     GIR_EraseRootFromParent_Done,
     /*  530697 */   // Label 8782: @530697
     /*  530697 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(530768), // Rule ID 21076 //
     /*  530702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530734 */     // MIs[0] round
     /*  530734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  530747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530753 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530766 */     GIR_RootConstrainSelectedInstOperands,
     /*  530767 */     // GIR_Coverage, 21076,
     /*  530767 */     GIR_EraseRootFromParent_Done,
     /*  530768 */   // Label 8783: @530768
     /*  530768 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(530839), // Rule ID 21077 //
     /*  530773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  530790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530805 */     // MIs[0] round
     /*  530805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  530818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530824 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530837 */     GIR_RootConstrainSelectedInstOperands,
     /*  530838 */     // GIR_Coverage, 21077,
     /*  530838 */     GIR_EraseRootFromParent_Done,
     /*  530839 */   // Label 8784: @530839
     /*  530839 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(530910), // Rule ID 21080 //
     /*  530844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  530861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530876 */     // MIs[0] round
     /*  530876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  530889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530895 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530908 */     GIR_RootConstrainSelectedInstOperands,
     /*  530909 */     // GIR_Coverage, 21080,
     /*  530909 */     GIR_EraseRootFromParent_Done,
     /*  530910 */   // Label 8785: @530910
     /*  530910 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(530981), // Rule ID 21081 //
     /*  530915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  530932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530947 */     // MIs[0] round
     /*  530947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  530960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530966 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530979 */     GIR_RootConstrainSelectedInstOperands,
     /*  530980 */     // GIR_Coverage, 21081,
     /*  530980 */     GIR_EraseRootFromParent_Done,
     /*  530981 */   // Label 8786: @530981
     /*  530981 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(531052), // Rule ID 21084 //
     /*  530986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  530994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531018 */     // MIs[0] round
     /*  531018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531037 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531050 */     GIR_RootConstrainSelectedInstOperands,
     /*  531051 */     // GIR_Coverage, 21084,
     /*  531051 */     GIR_EraseRootFromParent_Done,
     /*  531052 */   // Label 8787: @531052
     /*  531052 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(531123), // Rule ID 21085 //
     /*  531057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531089 */     // MIs[0] round
     /*  531089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531108 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531121 */     GIR_RootConstrainSelectedInstOperands,
     /*  531122 */     // GIR_Coverage, 21085,
     /*  531122 */     GIR_EraseRootFromParent_Done,
     /*  531123 */   // Label 8788: @531123
     /*  531123 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(531194), // Rule ID 21088 //
     /*  531128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531160 */     // MIs[0] round
     /*  531160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531179 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531192 */     GIR_RootConstrainSelectedInstOperands,
     /*  531193 */     // GIR_Coverage, 21088,
     /*  531193 */     GIR_EraseRootFromParent_Done,
     /*  531194 */   // Label 8789: @531194
     /*  531194 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(531265), // Rule ID 21089 //
     /*  531199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531231 */     // MIs[0] round
     /*  531231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531250 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531263 */     GIR_RootConstrainSelectedInstOperands,
     /*  531264 */     // GIR_Coverage, 21089,
     /*  531264 */     GIR_EraseRootFromParent_Done,
     /*  531265 */   // Label 8790: @531265
     /*  531265 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(531336), // Rule ID 21092 //
     /*  531270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  531281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  531284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531302 */     // MIs[0] round
     /*  531302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531321 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531334 */     GIR_RootConstrainSelectedInstOperands,
     /*  531335 */     // GIR_Coverage, 21092,
     /*  531335 */     GIR_EraseRootFromParent_Done,
     /*  531336 */   // Label 8791: @531336
     /*  531336 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(531407), // Rule ID 21093 //
     /*  531341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  531352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  531355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531373 */     // MIs[0] round
     /*  531373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531392 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531405 */     GIR_RootConstrainSelectedInstOperands,
     /*  531406 */     // GIR_Coverage, 21093,
     /*  531406 */     GIR_EraseRootFromParent_Done,
     /*  531407 */   // Label 8792: @531407
     /*  531407 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531478), // Rule ID 21096 //
     /*  531412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  531423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  531426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531444 */     // MIs[0] round
     /*  531444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531463 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531476 */     GIR_RootConstrainSelectedInstOperands,
     /*  531477 */     // GIR_Coverage, 21096,
     /*  531477 */     GIR_EraseRootFromParent_Done,
     /*  531478 */   // Label 8793: @531478
     /*  531478 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531549), // Rule ID 21097 //
     /*  531483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  531494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  531497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531515 */     // MIs[0] round
     /*  531515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531534 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531547 */     GIR_RootConstrainSelectedInstOperands,
     /*  531548 */     // GIR_Coverage, 21097,
     /*  531548 */     GIR_EraseRootFromParent_Done,
     /*  531549 */   // Label 8794: @531549
     /*  531549 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(531620), // Rule ID 21100 //
     /*  531554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  531565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  531568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531586 */     // MIs[0] round
     /*  531586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531605 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531618 */     GIR_RootConstrainSelectedInstOperands,
     /*  531619 */     // GIR_Coverage, 21100,
     /*  531619 */     GIR_EraseRootFromParent_Done,
     /*  531620 */   // Label 8795: @531620
     /*  531620 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(531691), // Rule ID 21101 //
     /*  531625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  531636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  531639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531657 */     // MIs[0] round
     /*  531657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531676 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531689 */     GIR_RootConstrainSelectedInstOperands,
     /*  531690 */     // GIR_Coverage, 21101,
     /*  531690 */     GIR_EraseRootFromParent_Done,
     /*  531691 */   // Label 8796: @531691
     /*  531691 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(531762), // Rule ID 21104 //
     /*  531696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  531707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  531710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531728 */     // MIs[0] round
     /*  531728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531747 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531760 */     GIR_RootConstrainSelectedInstOperands,
     /*  531761 */     // GIR_Coverage, 21104,
     /*  531761 */     GIR_EraseRootFromParent_Done,
     /*  531762 */   // Label 8797: @531762
     /*  531762 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(531833), // Rule ID 21105 //
     /*  531767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  531770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  531778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  531781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531799 */     // MIs[0] round
     /*  531799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11230:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531818 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531831 */     GIR_RootConstrainSelectedInstOperands,
     /*  531832 */     // GIR_Coverage, 21105,
     /*  531832 */     GIR_EraseRootFromParent_Done,
     /*  531833 */   // Label 8798: @531833
     /*  531833 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(531904), // Rule ID 21108 //
     /*  531838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  531846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531870 */     // MIs[0] round
     /*  531870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531880 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  531883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531889 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531902 */     GIR_RootConstrainSelectedInstOperands,
     /*  531903 */     // GIR_Coverage, 21108,
     /*  531903 */     GIR_EraseRootFromParent_Done,
     /*  531904 */   // Label 8799: @531904
     /*  531904 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(531975), // Rule ID 21109 //
     /*  531909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  531917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531941 */     // MIs[0] round
     /*  531941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531951 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  531954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531960 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531973 */     GIR_RootConstrainSelectedInstOperands,
     /*  531974 */     // GIR_Coverage, 21109,
     /*  531974 */     GIR_EraseRootFromParent_Done,
     /*  531975 */   // Label 8800: @531975
     /*  531975 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(532046), // Rule ID 21112 //
     /*  531980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  531988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532012 */     // MIs[0] round
     /*  532012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532031 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532044 */     GIR_RootConstrainSelectedInstOperands,
     /*  532045 */     // GIR_Coverage, 21112,
     /*  532045 */     GIR_EraseRootFromParent_Done,
     /*  532046 */   // Label 8801: @532046
     /*  532046 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(532117), // Rule ID 21113 //
     /*  532051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  532068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532083 */     // MIs[0] round
     /*  532083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532102 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532115 */     GIR_RootConstrainSelectedInstOperands,
     /*  532116 */     // GIR_Coverage, 21113,
     /*  532116 */     GIR_EraseRootFromParent_Done,
     /*  532117 */   // Label 8802: @532117
     /*  532117 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(532188), // Rule ID 21116 //
     /*  532122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532154 */     // MIs[0] round
     /*  532154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532173 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532186 */     GIR_RootConstrainSelectedInstOperands,
     /*  532187 */     // GIR_Coverage, 21116,
     /*  532187 */     GIR_EraseRootFromParent_Done,
     /*  532188 */   // Label 8803: @532188
     /*  532188 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(532259), // Rule ID 21117 //
     /*  532193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532225 */     // MIs[0] round
     /*  532225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532235 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532244 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532257 */     GIR_RootConstrainSelectedInstOperands,
     /*  532258 */     // GIR_Coverage, 21117,
     /*  532258 */     GIR_EraseRootFromParent_Done,
     /*  532259 */   // Label 8804: @532259
     /*  532259 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(532330), // Rule ID 21120 //
     /*  532264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532296 */     // MIs[0] round
     /*  532296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  532309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532315 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532328 */     GIR_RootConstrainSelectedInstOperands,
     /*  532329 */     // GIR_Coverage, 21120,
     /*  532329 */     GIR_EraseRootFromParent_Done,
     /*  532330 */   // Label 8805: @532330
     /*  532330 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(532401), // Rule ID 21121 //
     /*  532335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532367 */     // MIs[0] round
     /*  532367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532377 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  532380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532386 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532399 */     GIR_RootConstrainSelectedInstOperands,
     /*  532400 */     // GIR_Coverage, 21121,
     /*  532400 */     GIR_EraseRootFromParent_Done,
     /*  532401 */   // Label 8806: @532401
     /*  532401 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532472), // Rule ID 21124 //
     /*  532406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  532417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  532420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532438 */     // MIs[0] round
     /*  532438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  532451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532457 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532470 */     GIR_RootConstrainSelectedInstOperands,
     /*  532471 */     // GIR_Coverage, 21124,
     /*  532471 */     GIR_EraseRootFromParent_Done,
     /*  532472 */   // Label 8807: @532472
     /*  532472 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532543), // Rule ID 21125 //
     /*  532477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  532488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  532491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532509 */     // MIs[0] round
     /*  532509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  532522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532528 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532541 */     GIR_RootConstrainSelectedInstOperands,
     /*  532542 */     // GIR_Coverage, 21125,
     /*  532542 */     GIR_EraseRootFromParent_Done,
     /*  532543 */   // Label 8808: @532543
     /*  532543 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(532614), // Rule ID 21128 //
     /*  532548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  532559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  532562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532580 */     // MIs[0] round
     /*  532580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532599 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532612 */     GIR_RootConstrainSelectedInstOperands,
     /*  532613 */     // GIR_Coverage, 21128,
     /*  532613 */     GIR_EraseRootFromParent_Done,
     /*  532614 */   // Label 8809: @532614
     /*  532614 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(532685), // Rule ID 21129 //
     /*  532619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  532630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  532633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532651 */     // MIs[0] round
     /*  532651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532670 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532683 */     GIR_RootConstrainSelectedInstOperands,
     /*  532684 */     // GIR_Coverage, 21129,
     /*  532684 */     GIR_EraseRootFromParent_Done,
     /*  532685 */   // Label 8810: @532685
     /*  532685 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(532756), // Rule ID 21132 //
     /*  532690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532722 */     // MIs[0] round
     /*  532722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532741 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532754 */     GIR_RootConstrainSelectedInstOperands,
     /*  532755 */     // GIR_Coverage, 21132,
     /*  532755 */     GIR_EraseRootFromParent_Done,
     /*  532756 */   // Label 8811: @532756
     /*  532756 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(532827), // Rule ID 21133 //
     /*  532761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532793 */     // MIs[0] round
     /*  532793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532803 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532812 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532825 */     GIR_RootConstrainSelectedInstOperands,
     /*  532826 */     // GIR_Coverage, 21133,
     /*  532826 */     GIR_EraseRootFromParent_Done,
     /*  532827 */   // Label 8812: @532827
     /*  532827 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(532898), // Rule ID 21136 //
     /*  532832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532864 */     // MIs[0] round
     /*  532864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  532877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532883 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532896 */     GIR_RootConstrainSelectedInstOperands,
     /*  532897 */     // GIR_Coverage, 21136,
     /*  532897 */     GIR_EraseRootFromParent_Done,
     /*  532898 */   // Label 8813: @532898
     /*  532898 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(532969), // Rule ID 21137 //
     /*  532903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532935 */     // MIs[0] round
     /*  532935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532945 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  532948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532954 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532967 */     GIR_RootConstrainSelectedInstOperands,
     /*  532968 */     // GIR_Coverage, 21137,
     /*  532968 */     GIR_EraseRootFromParent_Done,
     /*  532969 */   // Label 8814: @532969
     /*  532969 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(533040), // Rule ID 21140 //
     /*  532974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  532985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  532988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533006 */     // MIs[0] round
     /*  533006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533025 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533038 */     GIR_RootConstrainSelectedInstOperands,
     /*  533039 */     // GIR_Coverage, 21140,
     /*  533039 */     GIR_EraseRootFromParent_Done,
     /*  533040 */   // Label 8815: @533040
     /*  533040 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(533111), // Rule ID 21141 //
     /*  533045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  533056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  533059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533077 */     // MIs[0] round
     /*  533077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533087 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11228:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533096 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533109 */     GIR_RootConstrainSelectedInstOperands,
     /*  533110 */     // GIR_Coverage, 21141,
     /*  533110 */     GIR_EraseRootFromParent_Done,
     /*  533111 */   // Label 8816: @533111
     /*  533111 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(533182), // Rule ID 21492 //
     /*  533116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  533133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533148 */     // MIs[0] round
     /*  533148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  533161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533167 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533180 */     GIR_RootConstrainSelectedInstOperands,
     /*  533181 */     // GIR_Coverage, 21492,
     /*  533181 */     GIR_EraseRootFromParent_Done,
     /*  533182 */   // Label 8817: @533182
     /*  533182 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(533253), // Rule ID 21493 //
     /*  533187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  533204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533219 */     // MIs[0] round
     /*  533219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533229 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  533232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533238 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533251 */     GIR_RootConstrainSelectedInstOperands,
     /*  533252 */     // GIR_Coverage, 21493,
     /*  533252 */     GIR_EraseRootFromParent_Done,
     /*  533253 */   // Label 8818: @533253
     /*  533253 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(533324), // Rule ID 21496 //
     /*  533258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  533269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  533272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  533275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533290 */     // MIs[0] round
     /*  533290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533300 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  533303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533309 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533322 */     GIR_RootConstrainSelectedInstOperands,
     /*  533323 */     // GIR_Coverage, 21496,
     /*  533323 */     GIR_EraseRootFromParent_Done,
     /*  533324 */   // Label 8819: @533324
     /*  533324 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(533395), // Rule ID 21497 //
     /*  533329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  533340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  533343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  533346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533361 */     // MIs[0] round
     /*  533361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533371 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  533374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533380 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533393 */     GIR_RootConstrainSelectedInstOperands,
     /*  533394 */     // GIR_Coverage, 21497,
     /*  533394 */     GIR_EraseRootFromParent_Done,
     /*  533395 */   // Label 8820: @533395
     /*  533395 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533466), // Rule ID 21500 //
     /*  533400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  533411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  533414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  533417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533432 */     // MIs[0] round
     /*  533432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  533445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533451 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533464 */     GIR_RootConstrainSelectedInstOperands,
     /*  533465 */     // GIR_Coverage, 21500,
     /*  533465 */     GIR_EraseRootFromParent_Done,
     /*  533466 */   // Label 8821: @533466
     /*  533466 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533537), // Rule ID 21501 //
     /*  533471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  533482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  533485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  533488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533503 */     // MIs[0] round
     /*  533503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533513 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  533516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533522 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533535 */     GIR_RootConstrainSelectedInstOperands,
     /*  533536 */     // GIR_Coverage, 21501,
     /*  533536 */     GIR_EraseRootFromParent_Done,
     /*  533537 */   // Label 8822: @533537
     /*  533537 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(533608), // Rule ID 21504 //
     /*  533542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  533553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  533556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  533559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533574 */     // MIs[0] round
     /*  533574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  533587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533593 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533606 */     GIR_RootConstrainSelectedInstOperands,
     /*  533607 */     // GIR_Coverage, 21504,
     /*  533607 */     GIR_EraseRootFromParent_Done,
     /*  533608 */   // Label 8823: @533608
     /*  533608 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(533679), // Rule ID 21505 //
     /*  533613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  533624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  533627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  533630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533645 */     // MIs[0] round
     /*  533645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  533658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533664 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533677 */     GIR_RootConstrainSelectedInstOperands,
     /*  533678 */     // GIR_Coverage, 21505,
     /*  533678 */     GIR_EraseRootFromParent_Done,
     /*  533679 */   // Label 8824: @533679
     /*  533679 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(533750), // Rule ID 21508 //
     /*  533684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  533695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  533698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  533701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533716 */     // MIs[0] round
     /*  533716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  533729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533735 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533748 */     GIR_RootConstrainSelectedInstOperands,
     /*  533749 */     // GIR_Coverage, 21508,
     /*  533749 */     GIR_EraseRootFromParent_Done,
     /*  533750 */   // Label 8825: @533750
     /*  533750 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(533821), // Rule ID 21509 //
     /*  533755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  533766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  533769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  533772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533787 */     // MIs[0] round
     /*  533787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  533800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533806 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533819 */     GIR_RootConstrainSelectedInstOperands,
     /*  533820 */     // GIR_Coverage, 21509,
     /*  533820 */     GIR_EraseRootFromParent_Done,
     /*  533821 */   // Label 8826: @533821
     /*  533821 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(533892), // Rule ID 21512 //
     /*  533826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  533837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  533840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  533843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533858 */     // MIs[0] round
     /*  533858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  533871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533877 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533890 */     GIR_RootConstrainSelectedInstOperands,
     /*  533891 */     // GIR_Coverage, 21512,
     /*  533891 */     GIR_EraseRootFromParent_Done,
     /*  533892 */   // Label 8827: @533892
     /*  533892 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533963), // Rule ID 21513 //
     /*  533897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  533908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  533911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  533914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533929 */     // MIs[0] round
     /*  533929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  533942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533948 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533961 */     GIR_RootConstrainSelectedInstOperands,
     /*  533962 */     // GIR_Coverage, 21513,
     /*  533962 */     GIR_EraseRootFromParent_Done,
     /*  533963 */   // Label 8828: @533963
     /*  533963 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(534034), // Rule ID 21516 //
     /*  533968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  533971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534000 */     // MIs[0] round
     /*  534000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  534013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534019 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534032 */     GIR_RootConstrainSelectedInstOperands,
     /*  534033 */     // GIR_Coverage, 21516,
     /*  534033 */     GIR_EraseRootFromParent_Done,
     /*  534034 */   // Label 8829: @534034
     /*  534034 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(534105), // Rule ID 21517 //
     /*  534039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534071 */     // MIs[0] round
     /*  534071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  534084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534090 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534103 */     GIR_RootConstrainSelectedInstOperands,
     /*  534104 */     // GIR_Coverage, 21517,
     /*  534104 */     GIR_EraseRootFromParent_Done,
     /*  534105 */   // Label 8830: @534105
     /*  534105 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(534176), // Rule ID 21520 //
     /*  534110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534142 */     // MIs[0] round
     /*  534142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534161 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534174 */     GIR_RootConstrainSelectedInstOperands,
     /*  534175 */     // GIR_Coverage, 21520,
     /*  534175 */     GIR_EraseRootFromParent_Done,
     /*  534176 */   // Label 8831: @534176
     /*  534176 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(534247), // Rule ID 21521 //
     /*  534181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534213 */     // MIs[0] round
     /*  534213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534223 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534232 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534245 */     GIR_RootConstrainSelectedInstOperands,
     /*  534246 */     // GIR_Coverage, 21521,
     /*  534246 */     GIR_EraseRootFromParent_Done,
     /*  534247 */   // Label 8832: @534247
     /*  534247 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(534318), // Rule ID 21524 //
     /*  534252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534284 */     // MIs[0] round
     /*  534284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534303 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534316 */     GIR_RootConstrainSelectedInstOperands,
     /*  534317 */     // GIR_Coverage, 21524,
     /*  534317 */     GIR_EraseRootFromParent_Done,
     /*  534318 */   // Label 8833: @534318
     /*  534318 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(534389), // Rule ID 21525 //
     /*  534323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534355 */     // MIs[0] round
     /*  534355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534374 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534387 */     GIR_RootConstrainSelectedInstOperands,
     /*  534388 */     // GIR_Coverage, 21525,
     /*  534388 */     GIR_EraseRootFromParent_Done,
     /*  534389 */   // Label 8834: @534389
     /*  534389 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534460), // Rule ID 21528 //
     /*  534394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534426 */     // MIs[0] round
     /*  534426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  534439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534445 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534458 */     GIR_RootConstrainSelectedInstOperands,
     /*  534459 */     // GIR_Coverage, 21528,
     /*  534459 */     GIR_EraseRootFromParent_Done,
     /*  534460 */   // Label 8835: @534460
     /*  534460 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534531), // Rule ID 21529 //
     /*  534465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  534482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534497 */     // MIs[0] round
     /*  534497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  534510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534516 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534529 */     GIR_RootConstrainSelectedInstOperands,
     /*  534530 */     // GIR_Coverage, 21529,
     /*  534530 */     GIR_EraseRootFromParent_Done,
     /*  534531 */   // Label 8836: @534531
     /*  534531 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534602), // Rule ID 21532 //
     /*  534536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534568 */     // MIs[0] round
     /*  534568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534587 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534600 */     GIR_RootConstrainSelectedInstOperands,
     /*  534601 */     // GIR_Coverage, 21532,
     /*  534601 */     GIR_EraseRootFromParent_Done,
     /*  534602 */   // Label 8837: @534602
     /*  534602 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(534673), // Rule ID 21533 //
     /*  534607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  534624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534639 */     // MIs[0] round
     /*  534639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534658 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534671 */     GIR_RootConstrainSelectedInstOperands,
     /*  534672 */     // GIR_Coverage, 21533,
     /*  534672 */     GIR_EraseRootFromParent_Done,
     /*  534673 */   // Label 8838: @534673
     /*  534673 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(534744), // Rule ID 21536 //
     /*  534678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  534681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534710 */     // MIs[0] round
     /*  534710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534729 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534742 */     GIR_RootConstrainSelectedInstOperands,
     /*  534743 */     // GIR_Coverage, 21536,
     /*  534743 */     GIR_EraseRootFromParent_Done,
     /*  534744 */   // Label 8839: @534744
     /*  534744 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(534815), // Rule ID 21537 //
     /*  534749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  534752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534781 */     // MIs[0] round
     /*  534781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534800 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534813 */     GIR_RootConstrainSelectedInstOperands,
     /*  534814 */     // GIR_Coverage, 21537,
     /*  534814 */     GIR_EraseRootFromParent_Done,
     /*  534815 */   // Label 8840: @534815
     /*  534815 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(534886), // Rule ID 21540 //
     /*  534820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  534823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534852 */     // MIs[0] round
     /*  534852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534862 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534871 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534884 */     GIR_RootConstrainSelectedInstOperands,
     /*  534885 */     // GIR_Coverage, 21540,
     /*  534885 */     GIR_EraseRootFromParent_Done,
     /*  534886 */   // Label 8841: @534886
     /*  534886 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534957), // Rule ID 21541 //
     /*  534891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  534894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534923 */     // MIs[0] round
     /*  534923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534942 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534955 */     GIR_RootConstrainSelectedInstOperands,
     /*  534956 */     // GIR_Coverage, 21541,
     /*  534956 */     GIR_EraseRootFromParent_Done,
     /*  534957 */   // Label 8842: @534957
     /*  534957 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(535028), // Rule ID 21544 //
     /*  534962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  534965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534994 */     // MIs[0] round
     /*  534994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535013 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535026 */     GIR_RootConstrainSelectedInstOperands,
     /*  535027 */     // GIR_Coverage, 21544,
     /*  535027 */     GIR_EraseRootFromParent_Done,
     /*  535028 */   // Label 8843: @535028
     /*  535028 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(535099), // Rule ID 21545 //
     /*  535033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535065 */     // MIs[0] round
     /*  535065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535084 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535097 */     GIR_RootConstrainSelectedInstOperands,
     /*  535098 */     // GIR_Coverage, 21545,
     /*  535098 */     GIR_EraseRootFromParent_Done,
     /*  535099 */   // Label 8844: @535099
     /*  535099 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(535170), // Rule ID 21548 //
     /*  535104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535136 */     // MIs[0] round
     /*  535136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535155 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535168 */     GIR_RootConstrainSelectedInstOperands,
     /*  535169 */     // GIR_Coverage, 21548,
     /*  535169 */     GIR_EraseRootFromParent_Done,
     /*  535170 */   // Label 8845: @535170
     /*  535170 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(535241), // Rule ID 21549 //
     /*  535175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535207 */     // MIs[0] round
     /*  535207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535226 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535239 */     GIR_RootConstrainSelectedInstOperands,
     /*  535240 */     // GIR_Coverage, 21549,
     /*  535240 */     GIR_EraseRootFromParent_Done,
     /*  535241 */   // Label 8846: @535241
     /*  535241 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(535312), // Rule ID 21552 //
     /*  535246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  535257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  535260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  535263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535278 */     // MIs[0] round
     /*  535278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  535291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535297 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535310 */     GIR_RootConstrainSelectedInstOperands,
     /*  535311 */     // GIR_Coverage, 21552,
     /*  535311 */     GIR_EraseRootFromParent_Done,
     /*  535312 */   // Label 8847: @535312
     /*  535312 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(535383), // Rule ID 21553 //
     /*  535317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  535328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  535331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  535334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535349 */     // MIs[0] round
     /*  535349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  535362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535368 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535381 */     GIR_RootConstrainSelectedInstOperands,
     /*  535382 */     // GIR_Coverage, 21553,
     /*  535382 */     GIR_EraseRootFromParent_Done,
     /*  535383 */   // Label 8848: @535383
     /*  535383 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(535454), // Rule ID 21556 //
     /*  535388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  535399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  535402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  535405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535420 */     // MIs[0] round
     /*  535420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535430 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  535433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535439 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535452 */     GIR_RootConstrainSelectedInstOperands,
     /*  535453 */     // GIR_Coverage, 21556,
     /*  535453 */     GIR_EraseRootFromParent_Done,
     /*  535454 */   // Label 8849: @535454
     /*  535454 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535525), // Rule ID 21557 //
     /*  535459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  535470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  535473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  535476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535491 */     // MIs[0] round
     /*  535491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535501 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  535504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535510 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535523 */     GIR_RootConstrainSelectedInstOperands,
     /*  535524 */     // GIR_Coverage, 21557,
     /*  535524 */     GIR_EraseRootFromParent_Done,
     /*  535525 */   // Label 8850: @535525
     /*  535525 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535596), // Rule ID 21560 //
     /*  535530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  535541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  535544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  535547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535562 */     // MIs[0] round
     /*  535562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  535575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535581 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535594 */     GIR_RootConstrainSelectedInstOperands,
     /*  535595 */     // GIR_Coverage, 21560,
     /*  535595 */     GIR_EraseRootFromParent_Done,
     /*  535596 */   // Label 8851: @535596
     /*  535596 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(535667), // Rule ID 21561 //
     /*  535601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  535612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  535615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  535618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535633 */     // MIs[0] round
     /*  535633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535643 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  535646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535652 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535665 */     GIR_RootConstrainSelectedInstOperands,
     /*  535666 */     // GIR_Coverage, 21561,
     /*  535666 */     GIR_EraseRootFromParent_Done,
     /*  535667 */   // Label 8852: @535667
     /*  535667 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(535738), // Rule ID 21564 //
     /*  535672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  535683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  535686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  535689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535704 */     // MIs[0] round
     /*  535704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  535717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535723 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535736 */     GIR_RootConstrainSelectedInstOperands,
     /*  535737 */     // GIR_Coverage, 21564,
     /*  535737 */     GIR_EraseRootFromParent_Done,
     /*  535738 */   // Label 8853: @535738
     /*  535738 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(535809), // Rule ID 21565 //
     /*  535743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  535754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  535757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  535760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535775 */     // MIs[0] round
     /*  535775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535785 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  535788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535794 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535807 */     GIR_RootConstrainSelectedInstOperands,
     /*  535808 */     // GIR_Coverage, 21565,
     /*  535808 */     GIR_EraseRootFromParent_Done,
     /*  535809 */   // Label 8854: @535809
     /*  535809 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(535880), // Rule ID 21568 //
     /*  535814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  535825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  535828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  535831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535846 */     // MIs[0] round
     /*  535846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535856 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  535859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535865 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535878 */     GIR_RootConstrainSelectedInstOperands,
     /*  535879 */     // GIR_Coverage, 21568,
     /*  535879 */     GIR_EraseRootFromParent_Done,
     /*  535880 */   // Label 8855: @535880
     /*  535880 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535951), // Rule ID 21569 //
     /*  535885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  535888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  535896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  535899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  535902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535917 */     // MIs[0] round
     /*  535917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535927 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  535930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535936 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535949 */     GIR_RootConstrainSelectedInstOperands,
     /*  535950 */     // GIR_Coverage, 21569,
     /*  535950 */     GIR_EraseRootFromParent_Done,
     /*  535951 */   // Label 8856: @535951
     /*  535951 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(536022), // Rule ID 21572 //
     /*  535956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  535967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  535970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  535973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535988 */     // MIs[0] round
     /*  535988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535998 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536007 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536020 */     GIR_RootConstrainSelectedInstOperands,
     /*  536021 */     // GIR_Coverage, 21572,
     /*  536021 */     GIR_EraseRootFromParent_Done,
     /*  536022 */   // Label 8857: @536022
     /*  536022 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(536093), // Rule ID 21573 //
     /*  536027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  536038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  536041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  536044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536059 */     // MIs[0] round
     /*  536059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536069 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536078 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536091 */     GIR_RootConstrainSelectedInstOperands,
     /*  536092 */     // GIR_Coverage, 21573,
     /*  536092 */     GIR_EraseRootFromParent_Done,
     /*  536093 */   // Label 8858: @536093
     /*  536093 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(536164), // Rule ID 21576 //
     /*  536098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536130 */     // MIs[0] round
     /*  536130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536149 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536162 */     GIR_RootConstrainSelectedInstOperands,
     /*  536163 */     // GIR_Coverage, 21576,
     /*  536163 */     GIR_EraseRootFromParent_Done,
     /*  536164 */   // Label 8859: @536164
     /*  536164 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(536235), // Rule ID 21577 //
     /*  536169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536201 */     // MIs[0] round
     /*  536201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536211 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536220 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536233 */     GIR_RootConstrainSelectedInstOperands,
     /*  536234 */     // GIR_Coverage, 21577,
     /*  536234 */     GIR_EraseRootFromParent_Done,
     /*  536235 */   // Label 8860: @536235
     /*  536235 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(536306), // Rule ID 21580 //
     /*  536240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536272 */     // MIs[0] round
     /*  536272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536291 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536304 */     GIR_RootConstrainSelectedInstOperands,
     /*  536305 */     // GIR_Coverage, 21580,
     /*  536305 */     GIR_EraseRootFromParent_Done,
     /*  536306 */   // Label 8861: @536306
     /*  536306 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(536377), // Rule ID 21581 //
     /*  536311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536343 */     // MIs[0] round
     /*  536343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536353 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536362 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536375 */     GIR_RootConstrainSelectedInstOperands,
     /*  536376 */     // GIR_Coverage, 21581,
     /*  536376 */     GIR_EraseRootFromParent_Done,
     /*  536377 */   // Label 8862: @536377
     /*  536377 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(536448), // Rule ID 21584 //
     /*  536382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536414 */     // MIs[0] round
     /*  536414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  536427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536433 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536446 */     GIR_RootConstrainSelectedInstOperands,
     /*  536447 */     // GIR_Coverage, 21584,
     /*  536447 */     GIR_EraseRootFromParent_Done,
     /*  536448 */   // Label 8863: @536448
     /*  536448 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536519), // Rule ID 21585 //
     /*  536453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536485 */     // MIs[0] round
     /*  536485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536495 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  536498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536504 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536517 */     GIR_RootConstrainSelectedInstOperands,
     /*  536518 */     // GIR_Coverage, 21585,
     /*  536518 */     GIR_EraseRootFromParent_Done,
     /*  536519 */   // Label 8864: @536519
     /*  536519 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536590), // Rule ID 21588 //
     /*  536524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536556 */     // MIs[0] round
     /*  536556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536575 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536588 */     GIR_RootConstrainSelectedInstOperands,
     /*  536589 */     // GIR_Coverage, 21588,
     /*  536589 */     GIR_EraseRootFromParent_Done,
     /*  536590 */   // Label 8865: @536590
     /*  536590 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(536661), // Rule ID 21589 //
     /*  536595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  536606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  536609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536627 */     // MIs[0] round
     /*  536627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536637 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536646 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536659 */     GIR_RootConstrainSelectedInstOperands,
     /*  536660 */     // GIR_Coverage, 21589,
     /*  536660 */     GIR_EraseRootFromParent_Done,
     /*  536661 */   // Label 8866: @536661
     /*  536661 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(536732), // Rule ID 21592 //
     /*  536666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536698 */     // MIs[0] round
     /*  536698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536717 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536730 */     GIR_RootConstrainSelectedInstOperands,
     /*  536731 */     // GIR_Coverage, 21592,
     /*  536731 */     GIR_EraseRootFromParent_Done,
     /*  536732 */   // Label 8867: @536732
     /*  536732 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(536803), // Rule ID 21593 //
     /*  536737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536769 */     // MIs[0] round
     /*  536769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536779 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536788 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536801 */     GIR_RootConstrainSelectedInstOperands,
     /*  536802 */     // GIR_Coverage, 21593,
     /*  536802 */     GIR_EraseRootFromParent_Done,
     /*  536803 */   // Label 8868: @536803
     /*  536803 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(536874), // Rule ID 21596 //
     /*  536808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  536811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  536819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  536822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  536825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536840 */     // MIs[0] round
     /*  536840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536859 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536872 */     GIR_RootConstrainSelectedInstOperands,
     /*  536873 */     // GIR_Coverage, 21596,
     /*  536873 */     GIR_EraseRootFromParent_Done,
     /*  536874 */   // Label 8869: @536874
     /*  536874 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536945), // Rule ID 21597 //
     /*  536879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  536882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  536890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  536893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  536896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536911 */     // MIs[0] round
     /*  536911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536930 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536943 */     GIR_RootConstrainSelectedInstOperands,
     /*  536944 */     // GIR_Coverage, 21597,
     /*  536944 */     GIR_EraseRootFromParent_Done,
     /*  536945 */   // Label 8870: @536945
     /*  536945 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(537016), // Rule ID 21600 //
     /*  536950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  536953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  536961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  536964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  536967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536982 */     // MIs[0] round
     /*  536982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  536995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537001 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537014 */     GIR_RootConstrainSelectedInstOperands,
     /*  537015 */     // GIR_Coverage, 21600,
     /*  537015 */     GIR_EraseRootFromParent_Done,
     /*  537016 */   // Label 8871: @537016
     /*  537016 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(537087), // Rule ID 21601 //
     /*  537021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  537038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537053 */     // MIs[0] round
     /*  537053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  537066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537072 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537085 */     GIR_RootConstrainSelectedInstOperands,
     /*  537086 */     // GIR_Coverage, 21601,
     /*  537086 */     GIR_EraseRootFromParent_Done,
     /*  537087 */   // Label 8872: @537087
     /*  537087 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(537158), // Rule ID 21604 //
     /*  537092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537124 */     // MIs[0] round
     /*  537124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537143 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537156 */     GIR_RootConstrainSelectedInstOperands,
     /*  537157 */     // GIR_Coverage, 21604,
     /*  537157 */     GIR_EraseRootFromParent_Done,
     /*  537158 */   // Label 8873: @537158
     /*  537158 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(537229), // Rule ID 21605 //
     /*  537163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537195 */     // MIs[0] round
     /*  537195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537214 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537227 */     GIR_RootConstrainSelectedInstOperands,
     /*  537228 */     // GIR_Coverage, 21605,
     /*  537228 */     GIR_EraseRootFromParent_Done,
     /*  537229 */   // Label 8874: @537229
     /*  537229 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(537300), // Rule ID 21608 //
     /*  537234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537266 */     // MIs[0] round
     /*  537266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  537279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537285 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537298 */     GIR_RootConstrainSelectedInstOperands,
     /*  537299 */     // GIR_Coverage, 21608,
     /*  537299 */     GIR_EraseRootFromParent_Done,
     /*  537300 */   // Label 8875: @537300
     /*  537300 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(537371), // Rule ID 21609 //
     /*  537305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537337 */     // MIs[0] round
     /*  537337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  537350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537356 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537369 */     GIR_RootConstrainSelectedInstOperands,
     /*  537370 */     // GIR_Coverage, 21609,
     /*  537370 */     GIR_EraseRootFromParent_Done,
     /*  537371 */   // Label 8876: @537371
     /*  537371 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(537442), // Rule ID 21732 //
     /*  537376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  537393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537408 */     // MIs[0] round
     /*  537408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537418 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  537421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537427 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537440 */     GIR_RootConstrainSelectedInstOperands,
     /*  537441 */     // GIR_Coverage, 21732,
     /*  537441 */     GIR_EraseRootFromParent_Done,
     /*  537442 */   // Label 8877: @537442
     /*  537442 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537513), // Rule ID 21733 //
     /*  537447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  537450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  537464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537479 */     // MIs[0] round
     /*  537479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537489 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  537492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537498 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537511 */     GIR_RootConstrainSelectedInstOperands,
     /*  537512 */     // GIR_Coverage, 21733,
     /*  537512 */     GIR_EraseRootFromParent_Done,
     /*  537513 */   // Label 8878: @537513
     /*  537513 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537584), // Rule ID 21736 //
     /*  537518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  537535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537550 */     // MIs[0] round
     /*  537550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537560 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  537563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537569 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537582 */     GIR_RootConstrainSelectedInstOperands,
     /*  537583 */     // GIR_Coverage, 21736,
     /*  537583 */     GIR_EraseRootFromParent_Done,
     /*  537584 */   // Label 8879: @537584
     /*  537584 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(537655), // Rule ID 21737 //
     /*  537589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  537592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  537606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537621 */     // MIs[0] round
     /*  537621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537631 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  537634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537640 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537653 */     GIR_RootConstrainSelectedInstOperands,
     /*  537654 */     // GIR_Coverage, 21737,
     /*  537654 */     GIR_EraseRootFromParent_Done,
     /*  537655 */   // Label 8880: @537655
     /*  537655 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(537726), // Rule ID 21740 //
     /*  537660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  537677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537692 */     // MIs[0] round
     /*  537692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537702 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  537705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537711 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537724 */     GIR_RootConstrainSelectedInstOperands,
     /*  537725 */     // GIR_Coverage, 21740,
     /*  537725 */     GIR_EraseRootFromParent_Done,
     /*  537726 */   // Label 8881: @537726
     /*  537726 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(537797), // Rule ID 21741 //
     /*  537731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  537734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  537748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537763 */     // MIs[0] round
     /*  537763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537773 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  537776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537782 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537795 */     GIR_RootConstrainSelectedInstOperands,
     /*  537796 */     // GIR_Coverage, 21741,
     /*  537796 */     GIR_EraseRootFromParent_Done,
     /*  537797 */   // Label 8882: @537797
     /*  537797 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(537868), // Rule ID 21744 //
     /*  537802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  537819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537834 */     // MIs[0] round
     /*  537834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537844 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  537847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537853 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537866 */     GIR_RootConstrainSelectedInstOperands,
     /*  537867 */     // GIR_Coverage, 21744,
     /*  537867 */     GIR_EraseRootFromParent_Done,
     /*  537868 */   // Label 8883: @537868
     /*  537868 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537939), // Rule ID 21745 //
     /*  537873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  537876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  537890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537905 */     // MIs[0] round
     /*  537905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537915 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  537918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537924 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537937 */     GIR_RootConstrainSelectedInstOperands,
     /*  537938 */     // GIR_Coverage, 21745,
     /*  537938 */     GIR_EraseRootFromParent_Done,
     /*  537939 */   // Label 8884: @537939
     /*  537939 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(538010), // Rule ID 21748 //
     /*  537944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  537947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  537952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  537961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537976 */     // MIs[0] round
     /*  537976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537986 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  537989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537995 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538008 */     GIR_RootConstrainSelectedInstOperands,
     /*  538009 */     // GIR_Coverage, 21748,
     /*  538009 */     GIR_EraseRootFromParent_Done,
     /*  538010 */   // Label 8885: @538010
     /*  538010 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(538081), // Rule ID 21749 //
     /*  538015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  538032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538047 */     // MIs[0] round
     /*  538047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538057 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  538060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538066 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538079 */     GIR_RootConstrainSelectedInstOperands,
     /*  538080 */     // GIR_Coverage, 21749,
     /*  538080 */     GIR_EraseRootFromParent_Done,
     /*  538081 */   // Label 8886: @538081
     /*  538081 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(538152), // Rule ID 21752 //
     /*  538086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538118 */     // MIs[0] round
     /*  538118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538128 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  538131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538137 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538150 */     GIR_RootConstrainSelectedInstOperands,
     /*  538151 */     // GIR_Coverage, 21752,
     /*  538151 */     GIR_EraseRootFromParent_Done,
     /*  538152 */   // Label 8887: @538152
     /*  538152 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(538223), // Rule ID 21753 //
     /*  538157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538189 */     // MIs[0] round
     /*  538189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538199 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  538202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538208 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538221 */     GIR_RootConstrainSelectedInstOperands,
     /*  538222 */     // GIR_Coverage, 21753,
     /*  538222 */     GIR_EraseRootFromParent_Done,
     /*  538223 */   // Label 8888: @538223
     /*  538223 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(538294), // Rule ID 21756 //
     /*  538228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538260 */     // MIs[0] round
     /*  538260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538270 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  538273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538279 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538292 */     GIR_RootConstrainSelectedInstOperands,
     /*  538293 */     // GIR_Coverage, 21756,
     /*  538293 */     GIR_EraseRootFromParent_Done,
     /*  538294 */   // Label 8889: @538294
     /*  538294 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(538365), // Rule ID 21757 //
     /*  538299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538331 */     // MIs[0] round
     /*  538331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538341 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  538344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538350 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538363 */     GIR_RootConstrainSelectedInstOperands,
     /*  538364 */     // GIR_Coverage, 21757,
     /*  538364 */     GIR_EraseRootFromParent_Done,
     /*  538365 */   // Label 8890: @538365
     /*  538365 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(538436), // Rule ID 21760 //
     /*  538370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  538387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538402 */     // MIs[0] round
     /*  538402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538412 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  538415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538421 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538434 */     GIR_RootConstrainSelectedInstOperands,
     /*  538435 */     // GIR_Coverage, 21760,
     /*  538435 */     GIR_EraseRootFromParent_Done,
     /*  538436 */   // Label 8891: @538436
     /*  538436 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538507), // Rule ID 21761 //
     /*  538441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  538458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538473 */     // MIs[0] round
     /*  538473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  538486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538492 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538505 */     GIR_RootConstrainSelectedInstOperands,
     /*  538506 */     // GIR_Coverage, 21761,
     /*  538506 */     GIR_EraseRootFromParent_Done,
     /*  538507 */   // Label 8892: @538507
     /*  538507 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538578), // Rule ID 21764 //
     /*  538512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  538529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538544 */     // MIs[0] round
     /*  538544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538554 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  538557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538563 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538576 */     GIR_RootConstrainSelectedInstOperands,
     /*  538577 */     // GIR_Coverage, 21764,
     /*  538577 */     GIR_EraseRootFromParent_Done,
     /*  538578 */   // Label 8893: @538578
     /*  538578 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(538649), // Rule ID 21765 //
     /*  538583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  538600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538615 */     // MIs[0] round
     /*  538615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538625 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  538628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538634 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538647 */     GIR_RootConstrainSelectedInstOperands,
     /*  538648 */     // GIR_Coverage, 21765,
     /*  538648 */     GIR_EraseRootFromParent_Done,
     /*  538649 */   // Label 8894: @538649
     /*  538649 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(538720), // Rule ID 21768 //
     /*  538654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  538662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  538671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538686 */     // MIs[0] round
     /*  538686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538696 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  538699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538705 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538718 */     GIR_RootConstrainSelectedInstOperands,
     /*  538719 */     // GIR_Coverage, 21768,
     /*  538719 */     GIR_EraseRootFromParent_Done,
     /*  538720 */   // Label 8895: @538720
     /*  538720 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(538791), // Rule ID 21769 //
     /*  538725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  538733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  538742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538757 */     // MIs[0] round
     /*  538757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538767 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  538770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538776 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538789 */     GIR_RootConstrainSelectedInstOperands,
     /*  538790 */     // GIR_Coverage, 21769,
     /*  538790 */     GIR_EraseRootFromParent_Done,
     /*  538791 */   // Label 8896: @538791
     /*  538791 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(538862), // Rule ID 21772 //
     /*  538796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  538804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  538807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  538810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  538813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538828 */     // MIs[0] round
     /*  538828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538838 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  538841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538847 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538860 */     GIR_RootConstrainSelectedInstOperands,
     /*  538861 */     // GIR_Coverage, 21772,
     /*  538861 */     GIR_EraseRootFromParent_Done,
     /*  538862 */   // Label 8897: @538862
     /*  538862 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538933), // Rule ID 21773 //
     /*  538867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  538875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  538878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  538881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  538884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538899 */     // MIs[0] round
     /*  538899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538909 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  538912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538918 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538931 */     GIR_RootConstrainSelectedInstOperands,
     /*  538932 */     // GIR_Coverage, 21773,
     /*  538932 */     GIR_EraseRootFromParent_Done,
     /*  538933 */   // Label 8898: @538933
     /*  538933 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(539004), // Rule ID 21776 //
     /*  538938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  538946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  538949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  538952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  538955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538970 */     // MIs[0] round
     /*  538970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538980 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  538983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538989 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539002 */     GIR_RootConstrainSelectedInstOperands,
     /*  539003 */     // GIR_Coverage, 21776,
     /*  539003 */     GIR_EraseRootFromParent_Done,
     /*  539004 */   // Label 8899: @539004
     /*  539004 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(539075), // Rule ID 21777 //
     /*  539009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  539026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539041 */     // MIs[0] round
     /*  539041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539051 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  539054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539060 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539073 */     GIR_RootConstrainSelectedInstOperands,
     /*  539074 */     // GIR_Coverage, 21777,
     /*  539074 */     GIR_EraseRootFromParent_Done,
     /*  539075 */   // Label 8900: @539075
     /*  539075 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(539146), // Rule ID 21780 //
     /*  539080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539112 */     // MIs[0] round
     /*  539112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539122 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  539125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539131 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539144 */     GIR_RootConstrainSelectedInstOperands,
     /*  539145 */     // GIR_Coverage, 21780,
     /*  539145 */     GIR_EraseRootFromParent_Done,
     /*  539146 */   // Label 8901: @539146
     /*  539146 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(539217), // Rule ID 21781 //
     /*  539151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539183 */     // MIs[0] round
     /*  539183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539193 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  539196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539202 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539215 */     GIR_RootConstrainSelectedInstOperands,
     /*  539216 */     // GIR_Coverage, 21781,
     /*  539216 */     GIR_EraseRootFromParent_Done,
     /*  539217 */   // Label 8902: @539217
     /*  539217 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(539288), // Rule ID 21784 //
     /*  539222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539254 */     // MIs[0] round
     /*  539254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539264 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  539267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539273 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539286 */     GIR_RootConstrainSelectedInstOperands,
     /*  539287 */     // GIR_Coverage, 21784,
     /*  539287 */     GIR_EraseRootFromParent_Done,
     /*  539288 */   // Label 8903: @539288
     /*  539288 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(539359), // Rule ID 21785 //
     /*  539293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539325 */     // MIs[0] round
     /*  539325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539335 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  539338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539344 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539357 */     GIR_RootConstrainSelectedInstOperands,
     /*  539358 */     // GIR_Coverage, 21785,
     /*  539358 */     GIR_EraseRootFromParent_Done,
     /*  539359 */   // Label 8904: @539359
     /*  539359 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(539430), // Rule ID 21788 //
     /*  539364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  539381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539396 */     // MIs[0] round
     /*  539396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539406 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  539409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539415 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539428 */     GIR_RootConstrainSelectedInstOperands,
     /*  539429 */     // GIR_Coverage, 21788,
     /*  539429 */     GIR_EraseRootFromParent_Done,
     /*  539430 */   // Label 8905: @539430
     /*  539430 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539501), // Rule ID 21789 //
     /*  539435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  539452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539467 */     // MIs[0] round
     /*  539467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539477 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  539480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539486 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539499 */     GIR_RootConstrainSelectedInstOperands,
     /*  539500 */     // GIR_Coverage, 21789,
     /*  539500 */     GIR_EraseRootFromParent_Done,
     /*  539501 */   // Label 8906: @539501
     /*  539501 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539572), // Rule ID 21792 //
     /*  539506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  539523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539538 */     // MIs[0] round
     /*  539538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  539551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539557 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539570 */     GIR_RootConstrainSelectedInstOperands,
     /*  539571 */     // GIR_Coverage, 21792,
     /*  539571 */     GIR_EraseRootFromParent_Done,
     /*  539572 */   // Label 8907: @539572
     /*  539572 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(539643), // Rule ID 21793 //
     /*  539577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  539588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  539591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  539594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539609 */     // MIs[0] round
     /*  539609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539619 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  539622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539628 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539641 */     GIR_RootConstrainSelectedInstOperands,
     /*  539642 */     // GIR_Coverage, 21793,
     /*  539642 */     GIR_EraseRootFromParent_Done,
     /*  539643 */   // Label 8908: @539643
     /*  539643 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(539714), // Rule ID 21796 //
     /*  539648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  539665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539680 */     // MIs[0] round
     /*  539680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  539693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539699 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539712 */     GIR_RootConstrainSelectedInstOperands,
     /*  539713 */     // GIR_Coverage, 21796,
     /*  539713 */     GIR_EraseRootFromParent_Done,
     /*  539714 */   // Label 8909: @539714
     /*  539714 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(539785), // Rule ID 21797 //
     /*  539719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  539736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539751 */     // MIs[0] round
     /*  539751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539761 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  539764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539770 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539783 */     GIR_RootConstrainSelectedInstOperands,
     /*  539784 */     // GIR_Coverage, 21797,
     /*  539784 */     GIR_EraseRootFromParent_Done,
     /*  539785 */   // Label 8910: @539785
     /*  539785 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(539856), // Rule ID 21800 //
     /*  539790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  539807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539822 */     // MIs[0] round
     /*  539822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539832 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  539835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539841 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539854 */     GIR_RootConstrainSelectedInstOperands,
     /*  539855 */     // GIR_Coverage, 21800,
     /*  539855 */     GIR_EraseRootFromParent_Done,
     /*  539856 */   // Label 8911: @539856
     /*  539856 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539927), // Rule ID 21801 //
     /*  539861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  539878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539893 */     // MIs[0] round
     /*  539893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539903 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  539906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539912 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539925 */     GIR_RootConstrainSelectedInstOperands,
     /*  539926 */     // GIR_Coverage, 21801,
     /*  539926 */     GIR_EraseRootFromParent_Done,
     /*  539927 */   // Label 8912: @539927
     /*  539927 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(539998), // Rule ID 21804 //
     /*  539932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  539935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  539940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  539949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539964 */     // MIs[0] round
     /*  539964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539974 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  539977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539983 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539996 */     GIR_RootConstrainSelectedInstOperands,
     /*  539997 */     // GIR_Coverage, 21804,
     /*  539997 */     GIR_EraseRootFromParent_Done,
     /*  539998 */   // Label 8913: @539998
     /*  539998 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(540069), // Rule ID 21805 //
     /*  540003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  540020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540035 */     // MIs[0] round
     /*  540035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540045 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  540048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540054 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540067 */     GIR_RootConstrainSelectedInstOperands,
     /*  540068 */     // GIR_Coverage, 21805,
     /*  540068 */     GIR_EraseRootFromParent_Done,
     /*  540069 */   // Label 8914: @540069
     /*  540069 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(540140), // Rule ID 21808 //
     /*  540074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  540077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  540091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540106 */     // MIs[0] round
     /*  540106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540116 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  540119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540125 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540138 */     GIR_RootConstrainSelectedInstOperands,
     /*  540139 */     // GIR_Coverage, 21808,
     /*  540139 */     GIR_EraseRootFromParent_Done,
     /*  540140 */   // Label 8915: @540140
     /*  540140 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(540211), // Rule ID 21809 //
     /*  540145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  540162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540177 */     // MIs[0] round
     /*  540177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540187 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  540190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540196 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540209 */     GIR_RootConstrainSelectedInstOperands,
     /*  540210 */     // GIR_Coverage, 21809,
     /*  540210 */     GIR_EraseRootFromParent_Done,
     /*  540211 */   // Label 8916: @540211
     /*  540211 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(540282), // Rule ID 21812 //
     /*  540216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  540219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540248 */     // MIs[0] round
     /*  540248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540258 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  540261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540267 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540280 */     GIR_RootConstrainSelectedInstOperands,
     /*  540281 */     // GIR_Coverage, 21812,
     /*  540281 */     GIR_EraseRootFromParent_Done,
     /*  540282 */   // Label 8917: @540282
     /*  540282 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(540353), // Rule ID 21813 //
     /*  540287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540319 */     // MIs[0] round
     /*  540319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540329 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  540332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540338 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540351 */     GIR_RootConstrainSelectedInstOperands,
     /*  540352 */     // GIR_Coverage, 21813,
     /*  540352 */     GIR_EraseRootFromParent_Done,
     /*  540353 */   // Label 8918: @540353
     /*  540353 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(540424), // Rule ID 21816 //
     /*  540358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  540361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540390 */     // MIs[0] round
     /*  540390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540400 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  540403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540409 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540422 */     GIR_RootConstrainSelectedInstOperands,
     /*  540423 */     // GIR_Coverage, 21816,
     /*  540423 */     GIR_EraseRootFromParent_Done,
     /*  540424 */   // Label 8919: @540424
     /*  540424 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540495), // Rule ID 21817 //
     /*  540429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  540432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540461 */     // MIs[0] round
     /*  540461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540471 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  540474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540480 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540493 */     GIR_RootConstrainSelectedInstOperands,
     /*  540494 */     // GIR_Coverage, 21817,
     /*  540494 */     GIR_EraseRootFromParent_Done,
     /*  540495 */   // Label 8920: @540495
     /*  540495 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540566), // Rule ID 21820 //
     /*  540500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  540503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540532 */     // MIs[0] round
     /*  540532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540542 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  540545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540551 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540564 */     GIR_RootConstrainSelectedInstOperands,
     /*  540565 */     // GIR_Coverage, 21820,
     /*  540565 */     GIR_EraseRootFromParent_Done,
     /*  540566 */   // Label 8921: @540566
     /*  540566 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(540637), // Rule ID 21821 //
     /*  540571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  540574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540603 */     // MIs[0] round
     /*  540603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540613 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  540616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540622 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540635 */     GIR_RootConstrainSelectedInstOperands,
     /*  540636 */     // GIR_Coverage, 21821,
     /*  540636 */     GIR_EraseRootFromParent_Done,
     /*  540637 */   // Label 8922: @540637
     /*  540637 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(540708), // Rule ID 21824 //
     /*  540642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  540645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540674 */     // MIs[0] round
     /*  540674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  540687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540693 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540706 */     GIR_RootConstrainSelectedInstOperands,
     /*  540707 */     // GIR_Coverage, 21824,
     /*  540707 */     GIR_EraseRootFromParent_Done,
     /*  540708 */   // Label 8923: @540708
     /*  540708 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(540779), // Rule ID 21825 //
     /*  540713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  540716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540745 */     // MIs[0] round
     /*  540745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540755 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  540758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540764 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540777 */     GIR_RootConstrainSelectedInstOperands,
     /*  540778 */     // GIR_Coverage, 21825,
     /*  540778 */     GIR_EraseRootFromParent_Done,
     /*  540779 */   // Label 8924: @540779
     /*  540779 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(540850), // Rule ID 21828 //
     /*  540784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  540787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  540801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540816 */     // MIs[0] round
     /*  540816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540826 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  540829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540835 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540848 */     GIR_RootConstrainSelectedInstOperands,
     /*  540849 */     // GIR_Coverage, 21828,
     /*  540849 */     GIR_EraseRootFromParent_Done,
     /*  540850 */   // Label 8925: @540850
     /*  540850 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540921), // Rule ID 21829 //
     /*  540855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  540858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  540872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540887 */     // MIs[0] round
     /*  540887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540897 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  540900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540906 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540919 */     GIR_RootConstrainSelectedInstOperands,
     /*  540920 */     // GIR_Coverage, 21829,
     /*  540920 */     GIR_EraseRootFromParent_Done,
     /*  540921 */   // Label 8926: @540921
     /*  540921 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(540992), // Rule ID 21832 //
     /*  540926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  540929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  540937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  540940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  540943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540958 */     // MIs[0] round
     /*  540958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  540971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540977 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540990 */     GIR_RootConstrainSelectedInstOperands,
     /*  540991 */     // GIR_Coverage, 21832,
     /*  540991 */     GIR_EraseRootFromParent_Done,
     /*  540992 */   // Label 8927: @540992
     /*  540992 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(541063), // Rule ID 21833 //
     /*  540997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  541000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  541014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541029 */     // MIs[0] round
     /*  541029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541039 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  541042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541048 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541061 */     GIR_RootConstrainSelectedInstOperands,
     /*  541062 */     // GIR_Coverage, 21833,
     /*  541062 */     GIR_EraseRootFromParent_Done,
     /*  541063 */   // Label 8928: @541063
     /*  541063 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(541134), // Rule ID 21836 //
     /*  541068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  541071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541100 */     // MIs[0] round
     /*  541100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541110 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  541113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541119 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541132 */     GIR_RootConstrainSelectedInstOperands,
     /*  541133 */     // GIR_Coverage, 21836,
     /*  541133 */     GIR_EraseRootFromParent_Done,
     /*  541134 */   // Label 8929: @541134
     /*  541134 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(541205), // Rule ID 21837 //
     /*  541139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  541142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541171 */     // MIs[0] round
     /*  541171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541181 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  541184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541190 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541203 */     GIR_RootConstrainSelectedInstOperands,
     /*  541204 */     // GIR_Coverage, 21837,
     /*  541204 */     GIR_EraseRootFromParent_Done,
     /*  541205 */   // Label 8930: @541205
     /*  541205 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(541276), // Rule ID 2646 //
     /*  541210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541238 */     // MIs[0] passthru
     /*  541238 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  541257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541274 */     GIR_RootConstrainSelectedInstOperands,
     /*  541275 */     // GIR_Coverage, 2646,
     /*  541275 */     GIR_EraseRootFromParent_Done,
     /*  541276 */   // Label 8931: @541276
     /*  541276 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(541347), // Rule ID 2647 //
     /*  541281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541309 */     // MIs[0] passthru
     /*  541309 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  541328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541345 */     GIR_RootConstrainSelectedInstOperands,
     /*  541346 */     // GIR_Coverage, 2647,
     /*  541346 */     GIR_EraseRootFromParent_Done,
     /*  541347 */   // Label 8932: @541347
     /*  541347 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(541418), // Rule ID 3962 //
     /*  541352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541380 */     // MIs[0] passthru
     /*  541380 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  541399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541416 */     GIR_RootConstrainSelectedInstOperands,
     /*  541417 */     // GIR_Coverage, 3962,
     /*  541417 */     GIR_EraseRootFromParent_Done,
     /*  541418 */   // Label 8933: @541418
     /*  541418 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541489), // Rule ID 3963 //
     /*  541423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541451 */     // MIs[0] passthru
     /*  541451 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  541470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541487 */     GIR_RootConstrainSelectedInstOperands,
     /*  541488 */     // GIR_Coverage, 3963,
     /*  541488 */     GIR_EraseRootFromParent_Done,
     /*  541489 */   // Label 8934: @541489
     /*  541489 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541560), // Rule ID 3972 //
     /*  541494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541522 */     // MIs[0] passthru
     /*  541522 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  541541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541558 */     GIR_RootConstrainSelectedInstOperands,
     /*  541559 */     // GIR_Coverage, 3972,
     /*  541559 */     GIR_EraseRootFromParent_Done,
     /*  541560 */   // Label 8935: @541560
     /*  541560 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(541631), // Rule ID 3973 //
     /*  541565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  541582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541593 */     // MIs[0] passthru
     /*  541593 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  541612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541629 */     GIR_RootConstrainSelectedInstOperands,
     /*  541630 */     // GIR_Coverage, 3973,
     /*  541630 */     GIR_EraseRootFromParent_Done,
     /*  541631 */   // Label 8936: @541631
     /*  541631 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(541702), // Rule ID 3982 //
     /*  541636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541664 */     // MIs[0] passthru
     /*  541664 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  541683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541700 */     GIR_RootConstrainSelectedInstOperands,
     /*  541701 */     // GIR_Coverage, 3982,
     /*  541701 */     GIR_EraseRootFromParent_Done,
     /*  541702 */   // Label 8937: @541702
     /*  541702 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(541773), // Rule ID 3983 //
     /*  541707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541735 */     // MIs[0] passthru
     /*  541735 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541751 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  541754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541771 */     GIR_RootConstrainSelectedInstOperands,
     /*  541772 */     // GIR_Coverage, 3983,
     /*  541772 */     GIR_EraseRootFromParent_Done,
     /*  541773 */   // Label 8938: @541773
     /*  541773 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541844), // Rule ID 3992 //
     /*  541778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541806 */     // MIs[0] passthru
     /*  541806 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  541825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541842 */     GIR_RootConstrainSelectedInstOperands,
     /*  541843 */     // GIR_Coverage, 3992,
     /*  541843 */     GIR_EraseRootFromParent_Done,
     /*  541844 */   // Label 8939: @541844
     /*  541844 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541915), // Rule ID 3993 //
     /*  541849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541877 */     // MIs[0] passthru
     /*  541877 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541893 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  541896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541913 */     GIR_RootConstrainSelectedInstOperands,
     /*  541914 */     // GIR_Coverage, 3993,
     /*  541914 */     GIR_EraseRootFromParent_Done,
     /*  541915 */   // Label 8940: @541915
     /*  541915 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(541986), // Rule ID 4002 //
     /*  541920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  541931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  541934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  541937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541948 */     // MIs[0] passthru
     /*  541948 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  541967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541984 */     GIR_RootConstrainSelectedInstOperands,
     /*  541985 */     // GIR_Coverage, 4002,
     /*  541985 */     GIR_EraseRootFromParent_Done,
     /*  541986 */   // Label 8941: @541986
     /*  541986 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(542057), // Rule ID 4003 //
     /*  541991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542019 */     // MIs[0] passthru
     /*  542019 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542035 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542055 */     GIR_RootConstrainSelectedInstOperands,
     /*  542056 */     // GIR_Coverage, 4003,
     /*  542056 */     GIR_EraseRootFromParent_Done,
     /*  542057 */   // Label 8942: @542057
     /*  542057 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(542128), // Rule ID 4012 //
     /*  542062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542090 */     // MIs[0] passthru
     /*  542090 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542126 */     GIR_RootConstrainSelectedInstOperands,
     /*  542127 */     // GIR_Coverage, 4012,
     /*  542127 */     GIR_EraseRootFromParent_Done,
     /*  542128 */   // Label 8943: @542128
     /*  542128 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(542199), // Rule ID 4013 //
     /*  542133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542161 */     // MIs[0] passthru
     /*  542161 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542197 */     GIR_RootConstrainSelectedInstOperands,
     /*  542198 */     // GIR_Coverage, 4013,
     /*  542198 */     GIR_EraseRootFromParent_Done,
     /*  542199 */   // Label 8944: @542199
     /*  542199 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(542270), // Rule ID 4022 //
     /*  542204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542232 */     // MIs[0] passthru
     /*  542232 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542268 */     GIR_RootConstrainSelectedInstOperands,
     /*  542269 */     // GIR_Coverage, 4022,
     /*  542269 */     GIR_EraseRootFromParent_Done,
     /*  542270 */   // Label 8945: @542270
     /*  542270 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(542341), // Rule ID 4023 //
     /*  542275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542303 */     // MIs[0] passthru
     /*  542303 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542319 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542339 */     GIR_RootConstrainSelectedInstOperands,
     /*  542340 */     // GIR_Coverage, 4023,
     /*  542340 */     GIR_EraseRootFromParent_Done,
     /*  542341 */   // Label 8946: @542341
     /*  542341 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(542412), // Rule ID 4032 //
     /*  542346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542374 */     // MIs[0] passthru
     /*  542374 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  542393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542410 */     GIR_RootConstrainSelectedInstOperands,
     /*  542411 */     // GIR_Coverage, 4032,
     /*  542411 */     GIR_EraseRootFromParent_Done,
     /*  542412 */   // Label 8947: @542412
     /*  542412 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542483), // Rule ID 4033 //
     /*  542417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542445 */     // MIs[0] passthru
     /*  542445 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  542464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542481 */     GIR_RootConstrainSelectedInstOperands,
     /*  542482 */     // GIR_Coverage, 4033,
     /*  542482 */     GIR_EraseRootFromParent_Done,
     /*  542483 */   // Label 8948: @542483
     /*  542483 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542554), // Rule ID 4042 //
     /*  542488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542516 */     // MIs[0] passthru
     /*  542516 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542552 */     GIR_RootConstrainSelectedInstOperands,
     /*  542553 */     // GIR_Coverage, 4042,
     /*  542553 */     GIR_EraseRootFromParent_Done,
     /*  542554 */   // Label 8949: @542554
     /*  542554 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(542625), // Rule ID 4043 //
     /*  542559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542587 */     // MIs[0] passthru
     /*  542587 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542623 */     GIR_RootConstrainSelectedInstOperands,
     /*  542624 */     // GIR_Coverage, 4043,
     /*  542624 */     GIR_EraseRootFromParent_Done,
     /*  542625 */   // Label 8950: @542625
     /*  542625 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(542696), // Rule ID 4052 //
     /*  542630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542658 */     // MIs[0] passthru
     /*  542658 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542694 */     GIR_RootConstrainSelectedInstOperands,
     /*  542695 */     // GIR_Coverage, 4052,
     /*  542695 */     GIR_EraseRootFromParent_Done,
     /*  542696 */   // Label 8951: @542696
     /*  542696 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(542767), // Rule ID 4053 //
     /*  542701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542729 */     // MIs[0] passthru
     /*  542729 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542745 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542765 */     GIR_RootConstrainSelectedInstOperands,
     /*  542766 */     // GIR_Coverage, 4053,
     /*  542766 */     GIR_EraseRootFromParent_Done,
     /*  542767 */   // Label 8952: @542767
     /*  542767 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542838), // Rule ID 4062 //
     /*  542772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542800 */     // MIs[0] passthru
     /*  542800 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542836 */     GIR_RootConstrainSelectedInstOperands,
     /*  542837 */     // GIR_Coverage, 4062,
     /*  542837 */     GIR_EraseRootFromParent_Done,
     /*  542838 */   // Label 8953: @542838
     /*  542838 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542909), // Rule ID 4063 //
     /*  542843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  542854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  542857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  542860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542871 */     // MIs[0] passthru
     /*  542871 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542907 */     GIR_RootConstrainSelectedInstOperands,
     /*  542908 */     // GIR_Coverage, 4063,
     /*  542908 */     GIR_EraseRootFromParent_Done,
     /*  542909 */   // Label 8954: @542909
     /*  542909 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(542980), // Rule ID 4072 //
     /*  542914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  542917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  542931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542942 */     // MIs[0] passthru
     /*  542942 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  542961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542978 */     GIR_RootConstrainSelectedInstOperands,
     /*  542979 */     // GIR_Coverage, 4072,
     /*  542979 */     GIR_EraseRootFromParent_Done,
     /*  542980 */   // Label 8955: @542980
     /*  542980 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(543051), // Rule ID 4073 //
     /*  542985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  542988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543013 */     // MIs[0] passthru
     /*  543013 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  543032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543049 */     GIR_RootConstrainSelectedInstOperands,
     /*  543050 */     // GIR_Coverage, 4073,
     /*  543050 */     GIR_EraseRootFromParent_Done,
     /*  543051 */   // Label 8956: @543051
     /*  543051 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(543122), // Rule ID 4082 //
     /*  543056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543084 */     // MIs[0] passthru
     /*  543084 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543120 */     GIR_RootConstrainSelectedInstOperands,
     /*  543121 */     // GIR_Coverage, 4082,
     /*  543121 */     GIR_EraseRootFromParent_Done,
     /*  543122 */   // Label 8957: @543122
     /*  543122 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(543193), // Rule ID 4083 //
     /*  543127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543155 */     // MIs[0] passthru
     /*  543155 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543191 */     GIR_RootConstrainSelectedInstOperands,
     /*  543192 */     // GIR_Coverage, 4083,
     /*  543192 */     GIR_EraseRootFromParent_Done,
     /*  543193 */   // Label 8958: @543193
     /*  543193 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(543264), // Rule ID 4092 //
     /*  543198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543226 */     // MIs[0] passthru
     /*  543226 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543262 */     GIR_RootConstrainSelectedInstOperands,
     /*  543263 */     // GIR_Coverage, 4092,
     /*  543263 */     GIR_EraseRootFromParent_Done,
     /*  543264 */   // Label 8959: @543264
     /*  543264 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(543335), // Rule ID 4093 //
     /*  543269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543297 */     // MIs[0] passthru
     /*  543297 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543333 */     GIR_RootConstrainSelectedInstOperands,
     /*  543334 */     // GIR_Coverage, 4093,
     /*  543334 */     GIR_EraseRootFromParent_Done,
     /*  543335 */   // Label 8960: @543335
     /*  543335 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(543406), // Rule ID 4162 //
     /*  543340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543368 */     // MIs[0] passthru
     /*  543368 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  543387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543404 */     GIR_RootConstrainSelectedInstOperands,
     /*  543405 */     // GIR_Coverage, 4162,
     /*  543405 */     GIR_EraseRootFromParent_Done,
     /*  543406 */   // Label 8961: @543406
     /*  543406 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543477), // Rule ID 4163 //
     /*  543411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  543428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543439 */     // MIs[0] passthru
     /*  543439 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543455 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  543458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543475 */     GIR_RootConstrainSelectedInstOperands,
     /*  543476 */     // GIR_Coverage, 4163,
     /*  543476 */     GIR_EraseRootFromParent_Done,
     /*  543477 */   // Label 8962: @543477
     /*  543477 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543548), // Rule ID 4172 //
     /*  543482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543510 */     // MIs[0] passthru
     /*  543510 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  543529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543546 */     GIR_RootConstrainSelectedInstOperands,
     /*  543547 */     // GIR_Coverage, 4172,
     /*  543547 */     GIR_EraseRootFromParent_Done,
     /*  543548 */   // Label 8963: @543548
     /*  543548 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(543619), // Rule ID 4173 //
     /*  543553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543581 */     // MIs[0] passthru
     /*  543581 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  543600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543617 */     GIR_RootConstrainSelectedInstOperands,
     /*  543618 */     // GIR_Coverage, 4173,
     /*  543618 */     GIR_EraseRootFromParent_Done,
     /*  543619 */   // Label 8964: @543619
     /*  543619 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(543690), // Rule ID 4182 //
     /*  543624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543652 */     // MIs[0] passthru
     /*  543652 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  543671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543688 */     GIR_RootConstrainSelectedInstOperands,
     /*  543689 */     // GIR_Coverage, 4182,
     /*  543689 */     GIR_EraseRootFromParent_Done,
     /*  543690 */   // Label 8965: @543690
     /*  543690 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543761), // Rule ID 4183 //
     /*  543695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543723 */     // MIs[0] passthru
     /*  543723 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  543742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543759 */     GIR_RootConstrainSelectedInstOperands,
     /*  543760 */     // GIR_Coverage, 4183,
     /*  543760 */     GIR_EraseRootFromParent_Done,
     /*  543761 */   // Label 8966: @543761
     /*  543761 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543832), // Rule ID 4192 //
     /*  543766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543794 */     // MIs[0] passthru
     /*  543794 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  543813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543830 */     GIR_RootConstrainSelectedInstOperands,
     /*  543831 */     // GIR_Coverage, 4192,
     /*  543831 */     GIR_EraseRootFromParent_Done,
     /*  543832 */   // Label 8967: @543832
     /*  543832 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543903), // Rule ID 4193 //
     /*  543837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  543848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  543851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  543854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543865 */     // MIs[0] passthru
     /*  543865 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543881 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  543884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543901 */     GIR_RootConstrainSelectedInstOperands,
     /*  543902 */     // GIR_Coverage, 4193,
     /*  543902 */     GIR_EraseRootFromParent_Done,
     /*  543903 */   // Label 8968: @543903
     /*  543903 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(543974), // Rule ID 4202 //
     /*  543908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  543919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  543922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  543925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543936 */     // MIs[0] passthru
     /*  543936 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  543955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543972 */     GIR_RootConstrainSelectedInstOperands,
     /*  543973 */     // GIR_Coverage, 4202,
     /*  543973 */     GIR_EraseRootFromParent_Done,
     /*  543974 */   // Label 8969: @543974
     /*  543974 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(544045), // Rule ID 4203 //
     /*  543979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  543987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  543990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  543993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  543996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544007 */     // MIs[0] passthru
     /*  544007 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544023 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544043 */     GIR_RootConstrainSelectedInstOperands,
     /*  544044 */     // GIR_Coverage, 4203,
     /*  544044 */     GIR_EraseRootFromParent_Done,
     /*  544045 */   // Label 8970: @544045
     /*  544045 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(544116), // Rule ID 4212 //
     /*  544050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544078 */     // MIs[0] passthru
     /*  544078 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544114 */     GIR_RootConstrainSelectedInstOperands,
     /*  544115 */     // GIR_Coverage, 4212,
     /*  544115 */     GIR_EraseRootFromParent_Done,
     /*  544116 */   // Label 8971: @544116
     /*  544116 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(544187), // Rule ID 4213 //
     /*  544121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544149 */     // MIs[0] passthru
     /*  544149 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544165 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544185 */     GIR_RootConstrainSelectedInstOperands,
     /*  544186 */     // GIR_Coverage, 4213,
     /*  544186 */     GIR_EraseRootFromParent_Done,
     /*  544187 */   // Label 8972: @544187
     /*  544187 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(544258), // Rule ID 4222 //
     /*  544192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544220 */     // MIs[0] passthru
     /*  544220 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544256 */     GIR_RootConstrainSelectedInstOperands,
     /*  544257 */     // GIR_Coverage, 4222,
     /*  544257 */     GIR_EraseRootFromParent_Done,
     /*  544258 */   // Label 8973: @544258
     /*  544258 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(544329), // Rule ID 4223 //
     /*  544263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544291 */     // MIs[0] passthru
     /*  544291 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544327 */     GIR_RootConstrainSelectedInstOperands,
     /*  544328 */     // GIR_Coverage, 4223,
     /*  544328 */     GIR_EraseRootFromParent_Done,
     /*  544329 */   // Label 8974: @544329
     /*  544329 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(544400), // Rule ID 4232 //
     /*  544334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544362 */     // MIs[0] passthru
     /*  544362 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  544381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544398 */     GIR_RootConstrainSelectedInstOperands,
     /*  544399 */     // GIR_Coverage, 4232,
     /*  544399 */     GIR_EraseRootFromParent_Done,
     /*  544400 */   // Label 8975: @544400
     /*  544400 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544471), // Rule ID 4233 //
     /*  544405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  544422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544433 */     // MIs[0] passthru
     /*  544433 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  544452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544469 */     GIR_RootConstrainSelectedInstOperands,
     /*  544470 */     // GIR_Coverage, 4233,
     /*  544470 */     GIR_EraseRootFromParent_Done,
     /*  544471 */   // Label 8976: @544471
     /*  544471 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544542), // Rule ID 4242 //
     /*  544476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544504 */     // MIs[0] passthru
     /*  544504 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544540 */     GIR_RootConstrainSelectedInstOperands,
     /*  544541 */     // GIR_Coverage, 4242,
     /*  544541 */     GIR_EraseRootFromParent_Done,
     /*  544542 */   // Label 8977: @544542
     /*  544542 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(544613), // Rule ID 4243 //
     /*  544547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544575 */     // MIs[0] passthru
     /*  544575 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544611 */     GIR_RootConstrainSelectedInstOperands,
     /*  544612 */     // GIR_Coverage, 4243,
     /*  544612 */     GIR_EraseRootFromParent_Done,
     /*  544613 */   // Label 8978: @544613
     /*  544613 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544684), // Rule ID 4252 //
     /*  544618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544646 */     // MIs[0] passthru
     /*  544646 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544682 */     GIR_RootConstrainSelectedInstOperands,
     /*  544683 */     // GIR_Coverage, 4252,
     /*  544683 */     GIR_EraseRootFromParent_Done,
     /*  544684 */   // Label 8979: @544684
     /*  544684 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544755), // Rule ID 4253 //
     /*  544689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  544706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544717 */     // MIs[0] passthru
     /*  544717 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544753 */     GIR_RootConstrainSelectedInstOperands,
     /*  544754 */     // GIR_Coverage, 4253,
     /*  544754 */     GIR_EraseRootFromParent_Done,
     /*  544755 */   // Label 8980: @544755
     /*  544755 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544826), // Rule ID 4262 //
     /*  544760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544788 */     // MIs[0] passthru
     /*  544788 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544824 */     GIR_RootConstrainSelectedInstOperands,
     /*  544825 */     // GIR_Coverage, 4262,
     /*  544825 */     GIR_EraseRootFromParent_Done,
     /*  544826 */   // Label 8981: @544826
     /*  544826 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544897), // Rule ID 4263 //
     /*  544831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  544842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  544845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  544848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544859 */     // MIs[0] passthru
     /*  544859 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544895 */     GIR_RootConstrainSelectedInstOperands,
     /*  544896 */     // GIR_Coverage, 4263,
     /*  544896 */     GIR_EraseRootFromParent_Done,
     /*  544897 */   // Label 8982: @544897
     /*  544897 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(544968), // Rule ID 4272 //
     /*  544902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  544905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544930 */     // MIs[0] passthru
     /*  544930 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  544949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544966 */     GIR_RootConstrainSelectedInstOperands,
     /*  544967 */     // GIR_Coverage, 4272,
     /*  544967 */     GIR_EraseRootFromParent_Done,
     /*  544968 */   // Label 8983: @544968
     /*  544968 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(545039), // Rule ID 4273 //
     /*  544973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  544976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545001 */     // MIs[0] passthru
     /*  545001 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  545020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545037 */     GIR_RootConstrainSelectedInstOperands,
     /*  545038 */     // GIR_Coverage, 4273,
     /*  545038 */     GIR_EraseRootFromParent_Done,
     /*  545039 */   // Label 8984: @545039
     /*  545039 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(545110), // Rule ID 4282 //
     /*  545044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545072 */     // MIs[0] passthru
     /*  545072 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545108 */     GIR_RootConstrainSelectedInstOperands,
     /*  545109 */     // GIR_Coverage, 4282,
     /*  545109 */     GIR_EraseRootFromParent_Done,
     /*  545110 */   // Label 8985: @545110
     /*  545110 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(545181), // Rule ID 4283 //
     /*  545115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545143 */     // MIs[0] passthru
     /*  545143 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545159 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545179 */     GIR_RootConstrainSelectedInstOperands,
     /*  545180 */     // GIR_Coverage, 4283,
     /*  545180 */     GIR_EraseRootFromParent_Done,
     /*  545181 */   // Label 8986: @545181
     /*  545181 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(545252), // Rule ID 4292 //
     /*  545186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545214 */     // MIs[0] passthru
     /*  545214 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545250 */     GIR_RootConstrainSelectedInstOperands,
     /*  545251 */     // GIR_Coverage, 4292,
     /*  545251 */     GIR_EraseRootFromParent_Done,
     /*  545252 */   // Label 8987: @545252
     /*  545252 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(545323), // Rule ID 4293 //
     /*  545257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545285 */     // MIs[0] passthru
     /*  545285 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545301 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545321 */     GIR_RootConstrainSelectedInstOperands,
     /*  545322 */     // GIR_Coverage, 4293,
     /*  545322 */     GIR_EraseRootFromParent_Done,
     /*  545323 */   // Label 8988: @545323
     /*  545323 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(545394), // Rule ID 4302 //
     /*  545328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545356 */     // MIs[0] passthru
     /*  545356 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545372 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545392 */     GIR_RootConstrainSelectedInstOperands,
     /*  545393 */     // GIR_Coverage, 4302,
     /*  545393 */     GIR_EraseRootFromParent_Done,
     /*  545394 */   // Label 8989: @545394
     /*  545394 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545465), // Rule ID 4303 //
     /*  545399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545427 */     // MIs[0] passthru
     /*  545427 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545463 */     GIR_RootConstrainSelectedInstOperands,
     /*  545464 */     // GIR_Coverage, 4303,
     /*  545464 */     GIR_EraseRootFromParent_Done,
     /*  545465 */   // Label 8990: @545465
     /*  545465 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(545536), // Rule ID 4372 //
     /*  545470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545498 */     // MIs[0] passthru
     /*  545498 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  545517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545534 */     GIR_RootConstrainSelectedInstOperands,
     /*  545535 */     // GIR_Coverage, 4372,
     /*  545535 */     GIR_EraseRootFromParent_Done,
     /*  545536 */   // Label 8991: @545536
     /*  545536 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(545607), // Rule ID 4373 //
     /*  545541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545569 */     // MIs[0] passthru
     /*  545569 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  545588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545605 */     GIR_RootConstrainSelectedInstOperands,
     /*  545606 */     // GIR_Coverage, 4373,
     /*  545606 */     GIR_EraseRootFromParent_Done,
     /*  545607 */   // Label 8992: @545607
     /*  545607 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545678), // Rule ID 4382 //
     /*  545612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  545623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  545626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545640 */     // MIs[0] passthru
     /*  545640 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  545659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545676 */     GIR_RootConstrainSelectedInstOperands,
     /*  545677 */     // GIR_Coverage, 4382,
     /*  545677 */     GIR_EraseRootFromParent_Done,
     /*  545678 */   // Label 8993: @545678
     /*  545678 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545749), // Rule ID 4383 //
     /*  545683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  545694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  545697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545711 */     // MIs[0] passthru
     /*  545711 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545727 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  545730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545747 */     GIR_RootConstrainSelectedInstOperands,
     /*  545748 */     // GIR_Coverage, 4383,
     /*  545748 */     GIR_EraseRootFromParent_Done,
     /*  545749 */   // Label 8994: @545749
     /*  545749 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545820), // Rule ID 4392 //
     /*  545754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  545765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  545768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  545771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545782 */     // MIs[0] passthru
     /*  545782 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  545801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545818 */     GIR_RootConstrainSelectedInstOperands,
     /*  545819 */     // GIR_Coverage, 4392,
     /*  545819 */     GIR_EraseRootFromParent_Done,
     /*  545820 */   // Label 8995: @545820
     /*  545820 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545891), // Rule ID 4393 //
     /*  545825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  545836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  545839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  545842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545853 */     // MIs[0] passthru
     /*  545853 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  545872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545889 */     GIR_RootConstrainSelectedInstOperands,
     /*  545890 */     // GIR_Coverage, 4393,
     /*  545890 */     GIR_EraseRootFromParent_Done,
     /*  545891 */   // Label 8996: @545891
     /*  545891 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(545962), // Rule ID 4402 //
     /*  545896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  545907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  545910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  545913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545924 */     // MIs[0] passthru
     /*  545924 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  545943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545960 */     GIR_RootConstrainSelectedInstOperands,
     /*  545961 */     // GIR_Coverage, 4402,
     /*  545961 */     GIR_EraseRootFromParent_Done,
     /*  545962 */   // Label 8997: @545962
     /*  545962 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(546033), // Rule ID 4403 //
     /*  545967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  545975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  545978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  545981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  545984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545995 */     // MIs[0] passthru
     /*  545995 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546031 */     GIR_RootConstrainSelectedInstOperands,
     /*  546032 */     // GIR_Coverage, 4403,
     /*  546032 */     GIR_EraseRootFromParent_Done,
     /*  546033 */   // Label 8998: @546033
     /*  546033 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(546104), // Rule ID 4412 //
     /*  546038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  546049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  546052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546066 */     // MIs[0] passthru
     /*  546066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546102 */     GIR_RootConstrainSelectedInstOperands,
     /*  546103 */     // GIR_Coverage, 4412,
     /*  546103 */     GIR_EraseRootFromParent_Done,
     /*  546104 */   // Label 8999: @546104
     /*  546104 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(546175), // Rule ID 4413 //
     /*  546109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  546120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  546123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546137 */     // MIs[0] passthru
     /*  546137 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546173 */     GIR_RootConstrainSelectedInstOperands,
     /*  546174 */     // GIR_Coverage, 4413,
     /*  546174 */     GIR_EraseRootFromParent_Done,
     /*  546175 */   // Label 9000: @546175
     /*  546175 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(546246), // Rule ID 4422 //
     /*  546180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  546191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  546194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546208 */     // MIs[0] passthru
     /*  546208 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546224 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  546227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546244 */     GIR_RootConstrainSelectedInstOperands,
     /*  546245 */     // GIR_Coverage, 4422,
     /*  546245 */     GIR_EraseRootFromParent_Done,
     /*  546246 */   // Label 9001: @546246
     /*  546246 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(546317), // Rule ID 4423 //
     /*  546251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  546262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  546265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546279 */     // MIs[0] passthru
     /*  546279 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546295 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  546298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546315 */     GIR_RootConstrainSelectedInstOperands,
     /*  546316 */     // GIR_Coverage, 4423,
     /*  546316 */     GIR_EraseRootFromParent_Done,
     /*  546317 */   // Label 9002: @546317
     /*  546317 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(546388), // Rule ID 4432 //
     /*  546322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546350 */     // MIs[0] passthru
     /*  546350 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  546369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546386 */     GIR_RootConstrainSelectedInstOperands,
     /*  546387 */     // GIR_Coverage, 4432,
     /*  546387 */     GIR_EraseRootFromParent_Done,
     /*  546388 */   // Label 9003: @546388
     /*  546388 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(546459), // Rule ID 4433 //
     /*  546393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546421 */     // MIs[0] passthru
     /*  546421 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  546440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546457 */     GIR_RootConstrainSelectedInstOperands,
     /*  546458 */     // GIR_Coverage, 4433,
     /*  546458 */     GIR_EraseRootFromParent_Done,
     /*  546459 */   // Label 9004: @546459
     /*  546459 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(546530), // Rule ID 4442 //
     /*  546464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546492 */     // MIs[0] passthru
     /*  546492 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546528 */     GIR_RootConstrainSelectedInstOperands,
     /*  546529 */     // GIR_Coverage, 4442,
     /*  546529 */     GIR_EraseRootFromParent_Done,
     /*  546530 */   // Label 9005: @546530
     /*  546530 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546601), // Rule ID 4443 //
     /*  546535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546563 */     // MIs[0] passthru
     /*  546563 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546579 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546599 */     GIR_RootConstrainSelectedInstOperands,
     /*  546600 */     // GIR_Coverage, 4443,
     /*  546600 */     GIR_EraseRootFromParent_Done,
     /*  546601 */   // Label 9006: @546601
     /*  546601 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546672), // Rule ID 4452 //
     /*  546606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  546617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  546620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  546623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546634 */     // MIs[0] passthru
     /*  546634 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546670 */     GIR_RootConstrainSelectedInstOperands,
     /*  546671 */     // GIR_Coverage, 4452,
     /*  546671 */     GIR_EraseRootFromParent_Done,
     /*  546672 */   // Label 9007: @546672
     /*  546672 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546743), // Rule ID 4453 //
     /*  546677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  546688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  546691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  546694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546705 */     // MIs[0] passthru
     /*  546705 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546741 */     GIR_RootConstrainSelectedInstOperands,
     /*  546742 */     // GIR_Coverage, 4453,
     /*  546742 */     GIR_EraseRootFromParent_Done,
     /*  546743 */   // Label 9008: @546743
     /*  546743 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546814), // Rule ID 4462 //
     /*  546748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  546759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  546762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  546765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546776 */     // MIs[0] passthru
     /*  546776 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546812 */     GIR_RootConstrainSelectedInstOperands,
     /*  546813 */     // GIR_Coverage, 4462,
     /*  546813 */     GIR_EraseRootFromParent_Done,
     /*  546814 */   // Label 9009: @546814
     /*  546814 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546885), // Rule ID 4463 //
     /*  546819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  546830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  546833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  546836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546847 */     // MIs[0] passthru
     /*  546847 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546883 */     GIR_RootConstrainSelectedInstOperands,
     /*  546884 */     // GIR_Coverage, 4463,
     /*  546884 */     GIR_EraseRootFromParent_Done,
     /*  546885 */   // Label 9010: @546885
     /*  546885 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(546956), // Rule ID 4472 //
     /*  546890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  546901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  546904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  546907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546918 */     // MIs[0] passthru
     /*  546918 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  546937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546954 */     GIR_RootConstrainSelectedInstOperands,
     /*  546955 */     // GIR_Coverage, 4472,
     /*  546955 */     GIR_EraseRootFromParent_Done,
     /*  546956 */   // Label 9011: @546956
     /*  546956 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(547027), // Rule ID 4473 //
     /*  546961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  546972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  546975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  546978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546989 */     // MIs[0] passthru
     /*  546989 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547025 */     GIR_RootConstrainSelectedInstOperands,
     /*  547026 */     // GIR_Coverage, 4473,
     /*  547026 */     GIR_EraseRootFromParent_Done,
     /*  547027 */   // Label 9012: @547027
     /*  547027 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(547098), // Rule ID 4482 //
     /*  547032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547060 */     // MIs[0] passthru
     /*  547060 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547096 */     GIR_RootConstrainSelectedInstOperands,
     /*  547097 */     // GIR_Coverage, 4482,
     /*  547097 */     GIR_EraseRootFromParent_Done,
     /*  547098 */   // Label 9013: @547098
     /*  547098 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(547169), // Rule ID 4483 //
     /*  547103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547131 */     // MIs[0] passthru
     /*  547131 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547167 */     GIR_RootConstrainSelectedInstOperands,
     /*  547168 */     // GIR_Coverage, 4483,
     /*  547168 */     GIR_EraseRootFromParent_Done,
     /*  547169 */   // Label 9014: @547169
     /*  547169 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(547240), // Rule ID 4492 //
     /*  547174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547202 */     // MIs[0] passthru
     /*  547202 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547238 */     GIR_RootConstrainSelectedInstOperands,
     /*  547239 */     // GIR_Coverage, 4492,
     /*  547239 */     GIR_EraseRootFromParent_Done,
     /*  547240 */   // Label 9015: @547240
     /*  547240 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(547311), // Rule ID 4493 //
     /*  547245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547273 */     // MIs[0] passthru
     /*  547273 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547309 */     GIR_RootConstrainSelectedInstOperands,
     /*  547310 */     // GIR_Coverage, 4493,
     /*  547310 */     GIR_EraseRootFromParent_Done,
     /*  547311 */   // Label 9016: @547311
     /*  547311 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(547382), // Rule ID 4502 //
     /*  547316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  547327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  547330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  547333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547344 */     // MIs[0] passthru
     /*  547344 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  547363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547380 */     GIR_RootConstrainSelectedInstOperands,
     /*  547381 */     // GIR_Coverage, 4502,
     /*  547381 */     GIR_EraseRootFromParent_Done,
     /*  547382 */   // Label 9017: @547382
     /*  547382 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(547453), // Rule ID 4503 //
     /*  547387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  547398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  547401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  547404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547415 */     // MIs[0] passthru
     /*  547415 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547431 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  547434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547451 */     GIR_RootConstrainSelectedInstOperands,
     /*  547452 */     // GIR_Coverage, 4503,
     /*  547452 */     GIR_EraseRootFromParent_Done,
     /*  547453 */   // Label 9018: @547453
     /*  547453 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547524), // Rule ID 4512 //
     /*  547458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  547469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  547472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  547475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547486 */     // MIs[0] passthru
     /*  547486 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547522 */     GIR_RootConstrainSelectedInstOperands,
     /*  547523 */     // GIR_Coverage, 4512,
     /*  547523 */     GIR_EraseRootFromParent_Done,
     /*  547524 */   // Label 9019: @547524
     /*  547524 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547595), // Rule ID 4513 //
     /*  547529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  547540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  547543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  547546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547557 */     // MIs[0] passthru
     /*  547557 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547573 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547593 */     GIR_RootConstrainSelectedInstOperands,
     /*  547594 */     // GIR_Coverage, 4513,
     /*  547594 */     GIR_EraseRootFromParent_Done,
     /*  547595 */   // Label 9020: @547595
     /*  547595 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547666), // Rule ID 4582 //
     /*  547600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547628 */     // MIs[0] passthru
     /*  547628 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  547647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547664 */     GIR_RootConstrainSelectedInstOperands,
     /*  547665 */     // GIR_Coverage, 4582,
     /*  547665 */     GIR_EraseRootFromParent_Done,
     /*  547666 */   // Label 9021: @547666
     /*  547666 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547737), // Rule ID 4583 //
     /*  547671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547699 */     // MIs[0] passthru
     /*  547699 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547715 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  547718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547735 */     GIR_RootConstrainSelectedInstOperands,
     /*  547736 */     // GIR_Coverage, 4583,
     /*  547736 */     GIR_EraseRootFromParent_Done,
     /*  547737 */   // Label 9022: @547737
     /*  547737 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547808), // Rule ID 4592 //
     /*  547742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  547759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547770 */     // MIs[0] passthru
     /*  547770 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  547789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547806 */     GIR_RootConstrainSelectedInstOperands,
     /*  547807 */     // GIR_Coverage, 4592,
     /*  547807 */     GIR_EraseRootFromParent_Done,
     /*  547808 */   // Label 9023: @547808
     /*  547808 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(547879), // Rule ID 4593 //
     /*  547813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  547830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547841 */     // MIs[0] passthru
     /*  547841 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547857 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  547860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547877 */     GIR_RootConstrainSelectedInstOperands,
     /*  547878 */     // GIR_Coverage, 4593,
     /*  547878 */     GIR_EraseRootFromParent_Done,
     /*  547879 */   // Label 9024: @547879
     /*  547879 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(547950), // Rule ID 4602 //
     /*  547884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  547901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547912 */     // MIs[0] passthru
     /*  547912 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  547931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547948 */     GIR_RootConstrainSelectedInstOperands,
     /*  547949 */     // GIR_Coverage, 4602,
     /*  547949 */     GIR_EraseRootFromParent_Done,
     /*  547950 */   // Label 9025: @547950
     /*  547950 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(548021), // Rule ID 4603 //
     /*  547955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  547963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  547972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547983 */     // MIs[0] passthru
     /*  547983 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548019 */     GIR_RootConstrainSelectedInstOperands,
     /*  548020 */     // GIR_Coverage, 4603,
     /*  548020 */     GIR_EraseRootFromParent_Done,
     /*  548021 */   // Label 9026: @548021
     /*  548021 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(548092), // Rule ID 4612 //
     /*  548026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548054 */     // MIs[0] passthru
     /*  548054 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548090 */     GIR_RootConstrainSelectedInstOperands,
     /*  548091 */     // GIR_Coverage, 4612,
     /*  548091 */     GIR_EraseRootFromParent_Done,
     /*  548092 */   // Label 9027: @548092
     /*  548092 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(548163), // Rule ID 4613 //
     /*  548097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548125 */     // MIs[0] passthru
     /*  548125 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548141 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548161 */     GIR_RootConstrainSelectedInstOperands,
     /*  548162 */     // GIR_Coverage, 4613,
     /*  548162 */     GIR_EraseRootFromParent_Done,
     /*  548163 */   // Label 9028: @548163
     /*  548163 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(548234), // Rule ID 4622 //
     /*  548168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548196 */     // MIs[0] passthru
     /*  548196 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548232 */     GIR_RootConstrainSelectedInstOperands,
     /*  548233 */     // GIR_Coverage, 4622,
     /*  548233 */     GIR_EraseRootFromParent_Done,
     /*  548234 */   // Label 9029: @548234
     /*  548234 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(548305), // Rule ID 4623 //
     /*  548239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548267 */     // MIs[0] passthru
     /*  548267 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548303 */     GIR_RootConstrainSelectedInstOperands,
     /*  548304 */     // GIR_Coverage, 4623,
     /*  548304 */     GIR_EraseRootFromParent_Done,
     /*  548305 */   // Label 9030: @548305
     /*  548305 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(548376), // Rule ID 4632 //
     /*  548310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548338 */     // MIs[0] passthru
     /*  548338 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548354 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  548357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548374 */     GIR_RootConstrainSelectedInstOperands,
     /*  548375 */     // GIR_Coverage, 4632,
     /*  548375 */     GIR_EraseRootFromParent_Done,
     /*  548376 */   // Label 9031: @548376
     /*  548376 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(548447), // Rule ID 4633 //
     /*  548381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548409 */     // MIs[0] passthru
     /*  548409 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548425 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  548428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548445 */     GIR_RootConstrainSelectedInstOperands,
     /*  548446 */     // GIR_Coverage, 4633,
     /*  548446 */     GIR_EraseRootFromParent_Done,
     /*  548447 */   // Label 9032: @548447
     /*  548447 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548518), // Rule ID 4642 //
     /*  548452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  548463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  548466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  548469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548480 */     // MIs[0] passthru
     /*  548480 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  548499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548516 */     GIR_RootConstrainSelectedInstOperands,
     /*  548517 */     // GIR_Coverage, 4642,
     /*  548517 */     GIR_EraseRootFromParent_Done,
     /*  548518 */   // Label 9033: @548518
     /*  548518 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548589), // Rule ID 4643 //
     /*  548523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  548534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  548537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  548540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548551 */     // MIs[0] passthru
     /*  548551 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  548570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548587 */     GIR_RootConstrainSelectedInstOperands,
     /*  548588 */     // GIR_Coverage, 4643,
     /*  548588 */     GIR_EraseRootFromParent_Done,
     /*  548589 */   // Label 9034: @548589
     /*  548589 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548660), // Rule ID 4652 //
     /*  548594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  548611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548622 */     // MIs[0] passthru
     /*  548622 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548658 */     GIR_RootConstrainSelectedInstOperands,
     /*  548659 */     // GIR_Coverage, 4652,
     /*  548659 */     GIR_EraseRootFromParent_Done,
     /*  548660 */   // Label 9035: @548660
     /*  548660 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548731), // Rule ID 4653 //
     /*  548665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  548682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548693 */     // MIs[0] passthru
     /*  548693 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548729 */     GIR_RootConstrainSelectedInstOperands,
     /*  548730 */     // GIR_Coverage, 4653,
     /*  548730 */     GIR_EraseRootFromParent_Done,
     /*  548731 */   // Label 9036: @548731
     /*  548731 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(548802), // Rule ID 4662 //
     /*  548736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  548753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548764 */     // MIs[0] passthru
     /*  548764 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548800 */     GIR_RootConstrainSelectedInstOperands,
     /*  548801 */     // GIR_Coverage, 4662,
     /*  548801 */     GIR_EraseRootFromParent_Done,
     /*  548802 */   // Label 9037: @548802
     /*  548802 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(548873), // Rule ID 4663 //
     /*  548807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  548824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548835 */     // MIs[0] passthru
     /*  548835 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548871 */     GIR_RootConstrainSelectedInstOperands,
     /*  548872 */     // GIR_Coverage, 4663,
     /*  548872 */     GIR_EraseRootFromParent_Done,
     /*  548873 */   // Label 9038: @548873
     /*  548873 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(548944), // Rule ID 4672 //
     /*  548878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548906 */     // MIs[0] passthru
     /*  548906 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548942 */     GIR_RootConstrainSelectedInstOperands,
     /*  548943 */     // GIR_Coverage, 4672,
     /*  548943 */     GIR_EraseRootFromParent_Done,
     /*  548944 */   // Label 9039: @548944
     /*  548944 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(549015), // Rule ID 4673 //
     /*  548949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548977 */     // MIs[0] passthru
     /*  548977 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549013 */     GIR_RootConstrainSelectedInstOperands,
     /*  549014 */     // GIR_Coverage, 4673,
     /*  549014 */     GIR_EraseRootFromParent_Done,
     /*  549015 */   // Label 9040: @549015
     /*  549015 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(549086), // Rule ID 4682 //
     /*  549020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549048 */     // MIs[0] passthru
     /*  549048 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549084 */     GIR_RootConstrainSelectedInstOperands,
     /*  549085 */     // GIR_Coverage, 4682,
     /*  549085 */     GIR_EraseRootFromParent_Done,
     /*  549086 */   // Label 9041: @549086
     /*  549086 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(549157), // Rule ID 4683 //
     /*  549091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549119 */     // MIs[0] passthru
     /*  549119 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549135 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549155 */     GIR_RootConstrainSelectedInstOperands,
     /*  549156 */     // GIR_Coverage, 4683,
     /*  549156 */     GIR_EraseRootFromParent_Done,
     /*  549157 */   // Label 9042: @549157
     /*  549157 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(549228), // Rule ID 4692 //
     /*  549162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549190 */     // MIs[0] passthru
     /*  549190 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549226 */     GIR_RootConstrainSelectedInstOperands,
     /*  549227 */     // GIR_Coverage, 4692,
     /*  549227 */     GIR_EraseRootFromParent_Done,
     /*  549228 */   // Label 9043: @549228
     /*  549228 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(549299), // Rule ID 4693 //
     /*  549233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549261 */     // MIs[0] passthru
     /*  549261 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549297 */     GIR_RootConstrainSelectedInstOperands,
     /*  549298 */     // GIR_Coverage, 4693,
     /*  549298 */     GIR_EraseRootFromParent_Done,
     /*  549299 */   // Label 9044: @549299
     /*  549299 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(549370), // Rule ID 4702 //
     /*  549304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  549321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549332 */     // MIs[0] passthru
     /*  549332 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  549351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549368 */     GIR_RootConstrainSelectedInstOperands,
     /*  549369 */     // GIR_Coverage, 4702,
     /*  549369 */     GIR_EraseRootFromParent_Done,
     /*  549370 */   // Label 9045: @549370
     /*  549370 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(549441), // Rule ID 4703 //
     /*  549375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  549392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549403 */     // MIs[0] passthru
     /*  549403 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549419 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  549422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549439 */     GIR_RootConstrainSelectedInstOperands,
     /*  549440 */     // GIR_Coverage, 4703,
     /*  549440 */     GIR_EraseRootFromParent_Done,
     /*  549441 */   // Label 9046: @549441
     /*  549441 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549512), // Rule ID 4712 //
     /*  549446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549474 */     // MIs[0] passthru
     /*  549474 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549510 */     GIR_RootConstrainSelectedInstOperands,
     /*  549511 */     // GIR_Coverage, 4712,
     /*  549511 */     GIR_EraseRootFromParent_Done,
     /*  549512 */   // Label 9047: @549512
     /*  549512 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549583), // Rule ID 4713 //
     /*  549517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549545 */     // MIs[0] passthru
     /*  549545 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549561 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549581 */     GIR_RootConstrainSelectedInstOperands,
     /*  549582 */     // GIR_Coverage, 4713,
     /*  549582 */     GIR_EraseRootFromParent_Done,
     /*  549583 */   // Label 9048: @549583
     /*  549583 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549654), // Rule ID 4722 //
     /*  549588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549616 */     // MIs[0] passthru
     /*  549616 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549652 */     GIR_RootConstrainSelectedInstOperands,
     /*  549653 */     // GIR_Coverage, 4722,
     /*  549653 */     GIR_EraseRootFromParent_Done,
     /*  549654 */   // Label 9049: @549654
     /*  549654 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549725), // Rule ID 4723 //
     /*  549659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549687 */     // MIs[0] passthru
     /*  549687 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549723 */     GIR_RootConstrainSelectedInstOperands,
     /*  549724 */     // GIR_Coverage, 4723,
     /*  549724 */     GIR_EraseRootFromParent_Done,
     /*  549725 */   // Label 9050: @549725
     /*  549725 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(549797), // Rule ID 2578 //
     /*  549730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  549738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  549741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  549744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  549747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  549750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  549776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  549779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549795 */     GIR_RootConstrainSelectedInstOperands,
     /*  549796 */     // GIR_Coverage, 2578,
     /*  549796 */     GIR_EraseRootFromParent_Done,
     /*  549797 */   // Label 9051: @549797
     /*  549797 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(549869), // Rule ID 2579 //
     /*  549802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  549810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  549813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  549816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  549819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  549822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  549848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  549851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549867 */     GIR_RootConstrainSelectedInstOperands,
     /*  549868 */     // GIR_Coverage, 2579,
     /*  549868 */     GIR_EraseRootFromParent_Done,
     /*  549869 */   // Label 9052: @549869
     /*  549869 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(549944), // Rule ID 2582 //
     /*  549874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  549877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  549882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  549885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  549888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  549891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  549894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  549901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  549913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  549920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  549923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  549929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  549931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  549942 */     GIR_RootConstrainSelectedInstOperands,
     /*  549943 */     // GIR_Coverage, 2582,
     /*  549943 */     GIR_EraseRootFromParent_Done,
     /*  549944 */   // Label 9053: @549944
     /*  549944 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(550019), // Rule ID 2583 //
     /*  549949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  549952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  549957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  549960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  549963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  549966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  549969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  549976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  549988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549995 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  549995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  549998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  550017 */     GIR_RootConstrainSelectedInstOperands,
     /*  550018 */     // GIR_Coverage, 2583,
     /*  550018 */     GIR_EraseRootFromParent_Done,
     /*  550019 */   // Label 9054: @550019
     /*  550019 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(550094), // Rule ID 2610 //
     /*  550024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  550073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550092 */     GIR_RootConstrainSelectedInstOperands,
     /*  550093 */     // GIR_Coverage, 2610,
     /*  550093 */     GIR_EraseRootFromParent_Done,
     /*  550094 */   // Label 9055: @550094
     /*  550094 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(550169), // Rule ID 2611 //
     /*  550099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550145 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  550148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550167 */     GIR_RootConstrainSelectedInstOperands,
     /*  550168 */     // GIR_Coverage, 2611,
     /*  550168 */     GIR_EraseRootFromParent_Done,
     /*  550169 */   // Label 9056: @550169
     /*  550169 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(550241), // Rule ID 2624 //
     /*  550174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  550182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  550220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  550223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  550227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550239 */     GIR_RootConstrainSelectedInstOperands,
     /*  550240 */     // GIR_Coverage, 2624,
     /*  550240 */     GIR_EraseRootFromParent_Done,
     /*  550241 */   // Label 9057: @550241
     /*  550241 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(550313), // Rule ID 2625 //
     /*  550246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  550254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  550292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  550295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  550299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550311 */     GIR_RootConstrainSelectedInstOperands,
     /*  550312 */     // GIR_Coverage, 2625,
     /*  550312 */     GIR_EraseRootFromParent_Done,
     /*  550313 */   // Label 9058: @550313
     /*  550313 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(550388), // Rule ID 2644 //
     /*  550318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  550326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550364 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  550367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550386 */     GIR_RootConstrainSelectedInstOperands,
     /*  550387 */     // GIR_Coverage, 2644,
     /*  550387 */     GIR_EraseRootFromParent_Done,
     /*  550388 */   // Label 9059: @550388
     /*  550388 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(550463), // Rule ID 2645 //
     /*  550393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  550401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  550442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550461 */     GIR_RootConstrainSelectedInstOperands,
     /*  550462 */     // GIR_Coverage, 2645,
     /*  550462 */     GIR_EraseRootFromParent_Done,
     /*  550463 */   // Label 9060: @550463
     /*  550463 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550538), // Rule ID 2670 //
     /*  550468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  550476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  550517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  550521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550536 */     GIR_RootConstrainSelectedInstOperands,
     /*  550537 */     // GIR_Coverage, 2670,
     /*  550537 */     GIR_EraseRootFromParent_Done,
     /*  550538 */   // Label 9061: @550538
     /*  550538 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550613), // Rule ID 2671 //
     /*  550543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  550551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  550592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  550596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550611 */     GIR_RootConstrainSelectedInstOperands,
     /*  550612 */     // GIR_Coverage, 2671,
     /*  550612 */     GIR_EraseRootFromParent_Done,
     /*  550613 */   // Label 9062: @550613
     /*  550613 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550688), // Rule ID 2682 //
     /*  550618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  550667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550686 */     GIR_RootConstrainSelectedInstOperands,
     /*  550687 */     // GIR_Coverage, 2682,
     /*  550687 */     GIR_EraseRootFromParent_Done,
     /*  550688 */   // Label 9063: @550688
     /*  550688 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(550763), // Rule ID 2683 //
     /*  550693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550739 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  550742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550761 */     GIR_RootConstrainSelectedInstOperands,
     /*  550762 */     // GIR_Coverage, 2683,
     /*  550762 */     GIR_EraseRootFromParent_Done,
     /*  550763 */   // Label 9064: @550763
     /*  550763 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(550838), // Rule ID 2690 //
     /*  550768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  550788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  550817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550836 */     GIR_RootConstrainSelectedInstOperands,
     /*  550837 */     // GIR_Coverage, 2690,
     /*  550837 */     GIR_EraseRootFromParent_Done,
     /*  550838 */   // Label 9065: @550838
     /*  550838 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(550913), // Rule ID 2691 //
     /*  550843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  550863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550889 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  550892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550911 */     GIR_RootConstrainSelectedInstOperands,
     /*  550912 */     // GIR_Coverage, 2691,
     /*  550912 */     GIR_EraseRootFromParent_Done,
     /*  550913 */   // Label 9066: @550913
     /*  550913 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(550988), // Rule ID 2698 //
     /*  550918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  550926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  550929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  550938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550964 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  550967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  550973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550986 */     GIR_RootConstrainSelectedInstOperands,
     /*  550987 */     // GIR_Coverage, 2698,
     /*  550987 */     GIR_EraseRootFromParent_Done,
     /*  550988 */   // Label 9067: @550988
     /*  550988 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(551063), // Rule ID 2699 //
     /*  550993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  551004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  551007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  551010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  551013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551039 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551061 */     GIR_RootConstrainSelectedInstOperands,
     /*  551062 */     // GIR_Coverage, 2699,
     /*  551062 */     GIR_EraseRootFromParent_Done,
     /*  551063 */   // Label 9068: @551063
     /*  551063 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(551138), // Rule ID 2706 //
     /*  551068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  551088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551136 */     GIR_RootConstrainSelectedInstOperands,
     /*  551137 */     // GIR_Coverage, 2706,
     /*  551137 */     GIR_EraseRootFromParent_Done,
     /*  551138 */   // Label 9069: @551138
     /*  551138 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(551213), // Rule ID 2707 //
     /*  551143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  551163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551211 */     GIR_RootConstrainSelectedInstOperands,
     /*  551212 */     // GIR_Coverage, 2707,
     /*  551212 */     GIR_EraseRootFromParent_Done,
     /*  551213 */   // Label 9070: @551213
     /*  551213 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(551288), // Rule ID 2714 //
     /*  551218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  551238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551286 */     GIR_RootConstrainSelectedInstOperands,
     /*  551287 */     // GIR_Coverage, 2714,
     /*  551287 */     GIR_EraseRootFromParent_Done,
     /*  551288 */   // Label 9071: @551288
     /*  551288 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(551363), // Rule ID 2715 //
     /*  551293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  551313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551361 */     GIR_RootConstrainSelectedInstOperands,
     /*  551362 */     // GIR_Coverage, 2715,
     /*  551362 */     GIR_EraseRootFromParent_Done,
     /*  551363 */   // Label 9072: @551363
     /*  551363 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(551438), // Rule ID 2722 //
     /*  551368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  551388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551436 */     GIR_RootConstrainSelectedInstOperands,
     /*  551437 */     // GIR_Coverage, 2722,
     /*  551437 */     GIR_EraseRootFromParent_Done,
     /*  551438 */   // Label 9073: @551438
     /*  551438 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(551513), // Rule ID 2723 //
     /*  551443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  551463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551511 */     GIR_RootConstrainSelectedInstOperands,
     /*  551512 */     // GIR_Coverage, 2723,
     /*  551512 */     GIR_EraseRootFromParent_Done,
     /*  551513 */   // Label 9074: @551513
     /*  551513 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551588), // Rule ID 2730 //
     /*  551518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551586 */     GIR_RootConstrainSelectedInstOperands,
     /*  551587 */     // GIR_Coverage, 2730,
     /*  551587 */     GIR_EraseRootFromParent_Done,
     /*  551588 */   // Label 9075: @551588
     /*  551588 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551663), // Rule ID 2731 //
     /*  551593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551639 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551661 */     GIR_RootConstrainSelectedInstOperands,
     /*  551662 */     // GIR_Coverage, 2731,
     /*  551662 */     GIR_EraseRootFromParent_Done,
     /*  551663 */   // Label 9076: @551663
     /*  551663 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(551738), // Rule ID 2738 //
     /*  551668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  551688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551736 */     GIR_RootConstrainSelectedInstOperands,
     /*  551737 */     // GIR_Coverage, 2738,
     /*  551737 */     GIR_EraseRootFromParent_Done,
     /*  551738 */   // Label 9077: @551738
     /*  551738 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(551813), // Rule ID 2739 //
     /*  551743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  551763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551811 */     GIR_RootConstrainSelectedInstOperands,
     /*  551812 */     // GIR_Coverage, 2739,
     /*  551812 */     GIR_EraseRootFromParent_Done,
     /*  551813 */   // Label 9078: @551813
     /*  551813 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(551888), // Rule ID 2746 //
     /*  551818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  551838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551886 */     GIR_RootConstrainSelectedInstOperands,
     /*  551887 */     // GIR_Coverage, 2746,
     /*  551887 */     GIR_EraseRootFromParent_Done,
     /*  551888 */   // Label 9079: @551888
     /*  551888 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(551963), // Rule ID 2747 //
     /*  551893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  551913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551961 */     GIR_RootConstrainSelectedInstOperands,
     /*  551962 */     // GIR_Coverage, 2747,
     /*  551962 */     GIR_EraseRootFromParent_Done,
     /*  551963 */   // Label 9080: @551963
     /*  551963 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(552038), // Rule ID 2754 //
     /*  551968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  551971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  551988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552036 */     GIR_RootConstrainSelectedInstOperands,
     /*  552037 */     // GIR_Coverage, 2754,
     /*  552037 */     GIR_EraseRootFromParent_Done,
     /*  552038 */   // Label 9081: @552038
     /*  552038 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(552113), // Rule ID 2755 //
     /*  552043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  552054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  552057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  552060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  552063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552089 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552111 */     GIR_RootConstrainSelectedInstOperands,
     /*  552112 */     // GIR_Coverage, 2755,
     /*  552112 */     GIR_EraseRootFromParent_Done,
     /*  552113 */   // Label 9082: @552113
     /*  552113 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(552188), // Rule ID 2762 //
     /*  552118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  552138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552186 */     GIR_RootConstrainSelectedInstOperands,
     /*  552187 */     // GIR_Coverage, 2762,
     /*  552187 */     GIR_EraseRootFromParent_Done,
     /*  552188 */   // Label 9083: @552188
     /*  552188 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(552263), // Rule ID 2763 //
     /*  552193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  552213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552239 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552261 */     GIR_RootConstrainSelectedInstOperands,
     /*  552262 */     // GIR_Coverage, 2763,
     /*  552262 */     GIR_EraseRootFromParent_Done,
     /*  552263 */   // Label 9084: @552263
     /*  552263 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(552338), // Rule ID 2770 //
     /*  552268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  552288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552336 */     GIR_RootConstrainSelectedInstOperands,
     /*  552337 */     // GIR_Coverage, 2770,
     /*  552337 */     GIR_EraseRootFromParent_Done,
     /*  552338 */   // Label 9085: @552338
     /*  552338 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(552413), // Rule ID 2771 //
     /*  552343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  552363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552389 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552411 */     GIR_RootConstrainSelectedInstOperands,
     /*  552412 */     // GIR_Coverage, 2771,
     /*  552412 */     GIR_EraseRootFromParent_Done,
     /*  552413 */   // Label 9086: @552413
     /*  552413 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(552488), // Rule ID 2778 //
     /*  552418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  552438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552464 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552486 */     GIR_RootConstrainSelectedInstOperands,
     /*  552487 */     // GIR_Coverage, 2778,
     /*  552487 */     GIR_EraseRootFromParent_Done,
     /*  552488 */   // Label 9087: @552488
     /*  552488 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552563), // Rule ID 2779 //
     /*  552493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  552513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552539 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552561 */     GIR_RootConstrainSelectedInstOperands,
     /*  552562 */     // GIR_Coverage, 2779,
     /*  552562 */     GIR_EraseRootFromParent_Done,
     /*  552563 */   // Label 9088: @552563
     /*  552563 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552638), // Rule ID 2786 //
     /*  552568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  552588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552636 */     GIR_RootConstrainSelectedInstOperands,
     /*  552637 */     // GIR_Coverage, 2786,
     /*  552637 */     GIR_EraseRootFromParent_Done,
     /*  552638 */   // Label 9089: @552638
     /*  552638 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552713), // Rule ID 2787 //
     /*  552643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  552663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552711 */     GIR_RootConstrainSelectedInstOperands,
     /*  552712 */     // GIR_Coverage, 2787,
     /*  552712 */     GIR_EraseRootFromParent_Done,
     /*  552713 */   // Label 9090: @552713
     /*  552713 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(552788), // Rule ID 2794 //
     /*  552718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  552738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552786 */     GIR_RootConstrainSelectedInstOperands,
     /*  552787 */     // GIR_Coverage, 2794,
     /*  552787 */     GIR_EraseRootFromParent_Done,
     /*  552788 */   // Label 9091: @552788
     /*  552788 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(552863), // Rule ID 2795 //
     /*  552793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  552813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552861 */     GIR_RootConstrainSelectedInstOperands,
     /*  552862 */     // GIR_Coverage, 2795,
     /*  552862 */     GIR_EraseRootFromParent_Done,
     /*  552863 */   // Label 9092: @552863
     /*  552863 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(552938), // Rule ID 2802 //
     /*  552868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  552888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552936 */     GIR_RootConstrainSelectedInstOperands,
     /*  552937 */     // GIR_Coverage, 2802,
     /*  552937 */     GIR_EraseRootFromParent_Done,
     /*  552938 */   // Label 9093: @552938
     /*  552938 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(553013), // Rule ID 2803 //
     /*  552943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  552963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553011 */     GIR_RootConstrainSelectedInstOperands,
     /*  553012 */     // GIR_Coverage, 2803,
     /*  553012 */     GIR_EraseRootFromParent_Done,
     /*  553013 */   // Label 9094: @553013
     /*  553013 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(553088), // Rule ID 2810 //
     /*  553018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  553038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553086 */     GIR_RootConstrainSelectedInstOperands,
     /*  553087 */     // GIR_Coverage, 2810,
     /*  553087 */     GIR_EraseRootFromParent_Done,
     /*  553088 */   // Label 9095: @553088
     /*  553088 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(553163), // Rule ID 2811 //
     /*  553093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  553113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553161 */     GIR_RootConstrainSelectedInstOperands,
     /*  553162 */     // GIR_Coverage, 2811,
     /*  553162 */     GIR_EraseRootFromParent_Done,
     /*  553163 */   // Label 9096: @553163
     /*  553163 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(553238), // Rule ID 2818 //
     /*  553168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  553188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553236 */     GIR_RootConstrainSelectedInstOperands,
     /*  553237 */     // GIR_Coverage, 2818,
     /*  553237 */     GIR_EraseRootFromParent_Done,
     /*  553238 */   // Label 9097: @553238
     /*  553238 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(553313), // Rule ID 2819 //
     /*  553243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  553263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553289 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553311 */     GIR_RootConstrainSelectedInstOperands,
     /*  553312 */     // GIR_Coverage, 2819,
     /*  553312 */     GIR_EraseRootFromParent_Done,
     /*  553313 */   // Label 9098: @553313
     /*  553313 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(553388), // Rule ID 2826 //
     /*  553318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  553335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  553338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553386 */     GIR_RootConstrainSelectedInstOperands,
     /*  553387 */     // GIR_Coverage, 2826,
     /*  553387 */     GIR_EraseRootFromParent_Done,
     /*  553388 */   // Label 9099: @553388
     /*  553388 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(553463), // Rule ID 2827 //
     /*  553393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  553410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  553413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553461 */     GIR_RootConstrainSelectedInstOperands,
     /*  553462 */     // GIR_Coverage, 2827,
     /*  553462 */     GIR_EraseRootFromParent_Done,
     /*  553463 */   // Label 9100: @553463
     /*  553463 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553538), // Rule ID 2834 //
     /*  553468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  553488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553514 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553536 */     GIR_RootConstrainSelectedInstOperands,
     /*  553537 */     // GIR_Coverage, 2834,
     /*  553537 */     GIR_EraseRootFromParent_Done,
     /*  553538 */   // Label 9101: @553538
     /*  553538 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553613), // Rule ID 2835 //
     /*  553543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  553563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553611 */     GIR_RootConstrainSelectedInstOperands,
     /*  553612 */     // GIR_Coverage, 2835,
     /*  553612 */     GIR_EraseRootFromParent_Done,
     /*  553613 */   // Label 9102: @553613
     /*  553613 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553688), // Rule ID 2842 //
     /*  553618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  553638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553686 */     GIR_RootConstrainSelectedInstOperands,
     /*  553687 */     // GIR_Coverage, 2842,
     /*  553687 */     GIR_EraseRootFromParent_Done,
     /*  553688 */   // Label 9103: @553688
     /*  553688 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(553763), // Rule ID 2843 //
     /*  553693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  553713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553739 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553761 */     GIR_RootConstrainSelectedInstOperands,
     /*  553762 */     // GIR_Coverage, 2843,
     /*  553762 */     GIR_EraseRootFromParent_Done,
     /*  553763 */   // Label 9104: @553763
     /*  553763 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(553838), // Rule ID 2850 //
     /*  553768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  553788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553836 */     GIR_RootConstrainSelectedInstOperands,
     /*  553837 */     // GIR_Coverage, 2850,
     /*  553837 */     GIR_EraseRootFromParent_Done,
     /*  553838 */   // Label 9105: @553838
     /*  553838 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(553913), // Rule ID 2851 //
     /*  553843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  553863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553911 */     GIR_RootConstrainSelectedInstOperands,
     /*  553912 */     // GIR_Coverage, 2851,
     /*  553912 */     GIR_EraseRootFromParent_Done,
     /*  553913 */   // Label 9106: @553913
     /*  553913 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(553988), // Rule ID 2866 //
     /*  553918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  553938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553964 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  553967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553986 */     GIR_RootConstrainSelectedInstOperands,
     /*  553987 */     // GIR_Coverage, 2866,
     /*  553987 */     GIR_EraseRootFromParent_Done,
     /*  553988 */   // Label 9107: @553988
     /*  553988 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(554063), // Rule ID 2867 //
     /*  553993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  554004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  554007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  554010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  554013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554039 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554061 */     GIR_RootConstrainSelectedInstOperands,
     /*  554062 */     // GIR_Coverage, 2867,
     /*  554062 */     GIR_EraseRootFromParent_Done,
     /*  554063 */   // Label 9108: @554063
     /*  554063 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(554138), // Rule ID 2870 //
     /*  554068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554114 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554136 */     GIR_RootConstrainSelectedInstOperands,
     /*  554137 */     // GIR_Coverage, 2870,
     /*  554137 */     GIR_EraseRootFromParent_Done,
     /*  554138 */   // Label 9109: @554138
     /*  554138 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(554213), // Rule ID 2871 //
     /*  554143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554189 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554211 */     GIR_RootConstrainSelectedInstOperands,
     /*  554212 */     // GIR_Coverage, 2871,
     /*  554212 */     GIR_EraseRootFromParent_Done,
     /*  554213 */   // Label 9110: @554213
     /*  554213 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(554288), // Rule ID 2874 //
     /*  554218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554286 */     GIR_RootConstrainSelectedInstOperands,
     /*  554287 */     // GIR_Coverage, 2874,
     /*  554287 */     GIR_EraseRootFromParent_Done,
     /*  554288 */   // Label 9111: @554288
     /*  554288 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(554363), // Rule ID 2875 //
     /*  554293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554361 */     GIR_RootConstrainSelectedInstOperands,
     /*  554362 */     // GIR_Coverage, 2875,
     /*  554362 */     GIR_EraseRootFromParent_Done,
     /*  554363 */   // Label 9112: @554363
     /*  554363 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(554438), // Rule ID 2878 //
     /*  554368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  554388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554436 */     GIR_RootConstrainSelectedInstOperands,
     /*  554437 */     // GIR_Coverage, 2878,
     /*  554437 */     GIR_EraseRootFromParent_Done,
     /*  554438 */   // Label 9113: @554438
     /*  554438 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(554513), // Rule ID 2879 //
     /*  554443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  554463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554489 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554511 */     GIR_RootConstrainSelectedInstOperands,
     /*  554512 */     // GIR_Coverage, 2879,
     /*  554512 */     GIR_EraseRootFromParent_Done,
     /*  554513 */   // Label 9114: @554513
     /*  554513 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554588), // Rule ID 2882 //
     /*  554518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  554538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554586 */     GIR_RootConstrainSelectedInstOperands,
     /*  554587 */     // GIR_Coverage, 2882,
     /*  554587 */     GIR_EraseRootFromParent_Done,
     /*  554588 */   // Label 9115: @554588
     /*  554588 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554663), // Rule ID 2883 //
     /*  554593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  554613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554661 */     GIR_RootConstrainSelectedInstOperands,
     /*  554662 */     // GIR_Coverage, 2883,
     /*  554662 */     GIR_EraseRootFromParent_Done,
     /*  554663 */   // Label 9116: @554663
     /*  554663 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(554738), // Rule ID 2886 //
     /*  554668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  554688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  554717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554736 */     GIR_RootConstrainSelectedInstOperands,
     /*  554737 */     // GIR_Coverage, 2886,
     /*  554737 */     GIR_EraseRootFromParent_Done,
     /*  554738 */   // Label 9117: @554738
     /*  554738 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(554813), // Rule ID 2887 //
     /*  554743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  554763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  554792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554811 */     GIR_RootConstrainSelectedInstOperands,
     /*  554812 */     // GIR_Coverage, 2887,
     /*  554812 */     GIR_EraseRootFromParent_Done,
     /*  554813 */   // Label 9118: @554813
     /*  554813 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(554888), // Rule ID 2890 //
     /*  554818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  554838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  554867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554886 */     GIR_RootConstrainSelectedInstOperands,
     /*  554887 */     // GIR_Coverage, 2890,
     /*  554887 */     GIR_EraseRootFromParent_Done,
     /*  554888 */   // Label 9119: @554888
     /*  554888 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(554963), // Rule ID 2891 //
     /*  554893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  554913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  554942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554961 */     GIR_RootConstrainSelectedInstOperands,
     /*  554962 */     // GIR_Coverage, 2891,
     /*  554962 */     GIR_EraseRootFromParent_Done,
     /*  554963 */   // Label 9120: @554963
     /*  554963 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(555038), // Rule ID 2894 //
     /*  554968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  554988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555036 */     GIR_RootConstrainSelectedInstOperands,
     /*  555037 */     // GIR_Coverage, 2894,
     /*  555037 */     GIR_EraseRootFromParent_Done,
     /*  555038 */   // Label 9121: @555038
     /*  555038 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(555113), // Rule ID 2895 //
     /*  555043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  555054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  555057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  555060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  555063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555111 */     GIR_RootConstrainSelectedInstOperands,
     /*  555112 */     // GIR_Coverage, 2895,
     /*  555112 */     GIR_EraseRootFromParent_Done,
     /*  555113 */   // Label 9122: @555113
     /*  555113 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(555188), // Rule ID 2898 //
     /*  555118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555186 */     GIR_RootConstrainSelectedInstOperands,
     /*  555187 */     // GIR_Coverage, 2898,
     /*  555187 */     GIR_EraseRootFromParent_Done,
     /*  555188 */   // Label 9123: @555188
     /*  555188 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(555263), // Rule ID 2899 //
     /*  555193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555261 */     GIR_RootConstrainSelectedInstOperands,
     /*  555262 */     // GIR_Coverage, 2899,
     /*  555262 */     GIR_EraseRootFromParent_Done,
     /*  555263 */   // Label 9124: @555263
     /*  555263 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(555338), // Rule ID 2902 //
     /*  555268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  555288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555314 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555336 */     GIR_RootConstrainSelectedInstOperands,
     /*  555337 */     // GIR_Coverage, 2902,
     /*  555337 */     GIR_EraseRootFromParent_Done,
     /*  555338 */   // Label 9125: @555338
     /*  555338 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(555413), // Rule ID 2903 //
     /*  555343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  555363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555411 */     GIR_RootConstrainSelectedInstOperands,
     /*  555412 */     // GIR_Coverage, 2903,
     /*  555412 */     GIR_EraseRootFromParent_Done,
     /*  555413 */   // Label 9126: @555413
     /*  555413 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(555488), // Rule ID 2906 //
     /*  555418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  555438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  555467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555486 */     GIR_RootConstrainSelectedInstOperands,
     /*  555487 */     // GIR_Coverage, 2906,
     /*  555487 */     GIR_EraseRootFromParent_Done,
     /*  555488 */   // Label 9127: @555488
     /*  555488 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555563), // Rule ID 2907 //
     /*  555493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  555513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  555542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555561 */     GIR_RootConstrainSelectedInstOperands,
     /*  555562 */     // GIR_Coverage, 2907,
     /*  555562 */     GIR_EraseRootFromParent_Done,
     /*  555563 */   // Label 9128: @555563
     /*  555563 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555638), // Rule ID 2910 //
     /*  555568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  555588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555614 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  555617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555636 */     GIR_RootConstrainSelectedInstOperands,
     /*  555637 */     // GIR_Coverage, 2910,
     /*  555637 */     GIR_EraseRootFromParent_Done,
     /*  555638 */   // Label 9129: @555638
     /*  555638 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555713), // Rule ID 2911 //
     /*  555643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  555663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  555692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555711 */     GIR_RootConstrainSelectedInstOperands,
     /*  555712 */     // GIR_Coverage, 2911,
     /*  555712 */     GIR_EraseRootFromParent_Done,
     /*  555713 */   // Label 9130: @555713
     /*  555713 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(555788), // Rule ID 2914 //
     /*  555718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  555738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555786 */     GIR_RootConstrainSelectedInstOperands,
     /*  555787 */     // GIR_Coverage, 2914,
     /*  555787 */     GIR_EraseRootFromParent_Done,
     /*  555788 */   // Label 9131: @555788
     /*  555788 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(555863), // Rule ID 2915 //
     /*  555793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  555813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555839 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555861 */     GIR_RootConstrainSelectedInstOperands,
     /*  555862 */     // GIR_Coverage, 2915,
     /*  555862 */     GIR_EraseRootFromParent_Done,
     /*  555863 */   // Label 9132: @555863
     /*  555863 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(555938), // Rule ID 2918 //
     /*  555868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  555888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555914 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  555917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555936 */     GIR_RootConstrainSelectedInstOperands,
     /*  555937 */     // GIR_Coverage, 2918,
     /*  555937 */     GIR_EraseRootFromParent_Done,
     /*  555938 */   // Label 9133: @555938
     /*  555938 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(556013), // Rule ID 2919 //
     /*  555943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  555963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  555992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556011 */     GIR_RootConstrainSelectedInstOperands,
     /*  556012 */     // GIR_Coverage, 2919,
     /*  556012 */     GIR_EraseRootFromParent_Done,
     /*  556013 */   // Label 9134: @556013
     /*  556013 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(556088), // Rule ID 2922 //
     /*  556018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556064 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556086 */     GIR_RootConstrainSelectedInstOperands,
     /*  556087 */     // GIR_Coverage, 2922,
     /*  556087 */     GIR_EraseRootFromParent_Done,
     /*  556088 */   // Label 9135: @556088
     /*  556088 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(556163), // Rule ID 2923 //
     /*  556093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556161 */     GIR_RootConstrainSelectedInstOperands,
     /*  556162 */     // GIR_Coverage, 2923,
     /*  556162 */     GIR_EraseRootFromParent_Done,
     /*  556163 */   // Label 9136: @556163
     /*  556163 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(556238), // Rule ID 2926 //
     /*  556168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556236 */     GIR_RootConstrainSelectedInstOperands,
     /*  556237 */     // GIR_Coverage, 2926,
     /*  556237 */     GIR_EraseRootFromParent_Done,
     /*  556238 */   // Label 9137: @556238
     /*  556238 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(556313), // Rule ID 2927 //
     /*  556243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556311 */     GIR_RootConstrainSelectedInstOperands,
     /*  556312 */     // GIR_Coverage, 2927,
     /*  556312 */     GIR_EraseRootFromParent_Done,
     /*  556313 */   // Label 9138: @556313
     /*  556313 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(556388), // Rule ID 2930 //
     /*  556318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  556338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556386 */     GIR_RootConstrainSelectedInstOperands,
     /*  556387 */     // GIR_Coverage, 2930,
     /*  556387 */     GIR_EraseRootFromParent_Done,
     /*  556388 */   // Label 9139: @556388
     /*  556388 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(556463), // Rule ID 2931 //
     /*  556393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  556413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556461 */     GIR_RootConstrainSelectedInstOperands,
     /*  556462 */     // GIR_Coverage, 2931,
     /*  556462 */     GIR_EraseRootFromParent_Done,
     /*  556463 */   // Label 9140: @556463
     /*  556463 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556538), // Rule ID 2934 //
     /*  556468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  556488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556536 */     GIR_RootConstrainSelectedInstOperands,
     /*  556537 */     // GIR_Coverage, 2934,
     /*  556537 */     GIR_EraseRootFromParent_Done,
     /*  556538 */   // Label 9141: @556538
     /*  556538 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556613), // Rule ID 2935 //
     /*  556543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  556563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556589 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556611 */     GIR_RootConstrainSelectedInstOperands,
     /*  556612 */     // GIR_Coverage, 2935,
     /*  556612 */     GIR_EraseRootFromParent_Done,
     /*  556613 */   // Label 9142: @556613
     /*  556613 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556688), // Rule ID 2938 //
     /*  556618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  556638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556686 */     GIR_RootConstrainSelectedInstOperands,
     /*  556687 */     // GIR_Coverage, 2938,
     /*  556687 */     GIR_EraseRootFromParent_Done,
     /*  556688 */   // Label 9143: @556688
     /*  556688 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(556763), // Rule ID 2939 //
     /*  556693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  556713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556761 */     GIR_RootConstrainSelectedInstOperands,
     /*  556762 */     // GIR_Coverage, 2939,
     /*  556762 */     GIR_EraseRootFromParent_Done,
     /*  556763 */   // Label 9144: @556763
     /*  556763 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(556838), // Rule ID 2942 //
     /*  556768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  556788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556836 */     GIR_RootConstrainSelectedInstOperands,
     /*  556837 */     // GIR_Coverage, 2942,
     /*  556837 */     GIR_EraseRootFromParent_Done,
     /*  556838 */   // Label 9145: @556838
     /*  556838 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(556913), // Rule ID 2943 //
     /*  556843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  556863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556889 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556911 */     GIR_RootConstrainSelectedInstOperands,
     /*  556912 */     // GIR_Coverage, 2943,
     /*  556912 */     GIR_EraseRootFromParent_Done,
     /*  556913 */   // Label 9146: @556913
     /*  556913 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(556988), // Rule ID 2946 //
     /*  556918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  556938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556964 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556986 */     GIR_RootConstrainSelectedInstOperands,
     /*  556987 */     // GIR_Coverage, 2946,
     /*  556987 */     GIR_EraseRootFromParent_Done,
     /*  556988 */   // Label 9147: @556988
     /*  556988 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(557063), // Rule ID 2947 //
     /*  556993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  557004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  557007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  557010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  557013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557039 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  557042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557061 */     GIR_RootConstrainSelectedInstOperands,
     /*  557062 */     // GIR_Coverage, 2947,
     /*  557062 */     GIR_EraseRootFromParent_Done,
     /*  557063 */   // Label 9148: @557063
     /*  557063 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(557138), // Rule ID 2950 //
     /*  557068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557114 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  557117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557136 */     GIR_RootConstrainSelectedInstOperands,
     /*  557137 */     // GIR_Coverage, 2950,
     /*  557137 */     GIR_EraseRootFromParent_Done,
     /*  557138 */   // Label 9149: @557138
     /*  557138 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(557213), // Rule ID 2951 //
     /*  557143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557189 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  557192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557211 */     GIR_RootConstrainSelectedInstOperands,
     /*  557212 */     // GIR_Coverage, 2951,
     /*  557212 */     GIR_EraseRootFromParent_Done,
     /*  557213 */   // Label 9150: @557213
     /*  557213 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(557288), // Rule ID 2954 //
     /*  557218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557286 */     GIR_RootConstrainSelectedInstOperands,
     /*  557287 */     // GIR_Coverage, 2954,
     /*  557287 */     GIR_EraseRootFromParent_Done,
     /*  557288 */   // Label 9151: @557288
     /*  557288 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(557363), // Rule ID 2955 //
     /*  557293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557339 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557361 */     GIR_RootConstrainSelectedInstOperands,
     /*  557362 */     // GIR_Coverage, 2955,
     /*  557362 */     GIR_EraseRootFromParent_Done,
     /*  557363 */   // Label 9152: @557363
     /*  557363 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(557438), // Rule ID 2958 //
     /*  557368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557436 */     GIR_RootConstrainSelectedInstOperands,
     /*  557437 */     // GIR_Coverage, 2958,
     /*  557437 */     GIR_EraseRootFromParent_Done,
     /*  557438 */   // Label 9153: @557438
     /*  557438 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(557513), // Rule ID 2959 //
     /*  557443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557489 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557511 */     GIR_RootConstrainSelectedInstOperands,
     /*  557512 */     // GIR_Coverage, 2959,
     /*  557512 */     GIR_EraseRootFromParent_Done,
     /*  557513 */   // Label 9154: @557513
     /*  557513 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557588), // Rule ID 2962 //
     /*  557518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557586 */     GIR_RootConstrainSelectedInstOperands,
     /*  557587 */     // GIR_Coverage, 2962,
     /*  557587 */     GIR_EraseRootFromParent_Done,
     /*  557588 */   // Label 9155: @557588
     /*  557588 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557663), // Rule ID 2963 //
     /*  557593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557661 */     GIR_RootConstrainSelectedInstOperands,
     /*  557662 */     // GIR_Coverage, 2963,
     /*  557662 */     GIR_EraseRootFromParent_Done,
     /*  557663 */   // Label 9156: @557663
     /*  557663 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(557738), // Rule ID 2966 //
     /*  557668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557736 */     GIR_RootConstrainSelectedInstOperands,
     /*  557737 */     // GIR_Coverage, 2966,
     /*  557737 */     GIR_EraseRootFromParent_Done,
     /*  557738 */   // Label 9157: @557738
     /*  557738 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(557813), // Rule ID 2967 //
     /*  557743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557789 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557811 */     GIR_RootConstrainSelectedInstOperands,
     /*  557812 */     // GIR_Coverage, 2967,
     /*  557812 */     GIR_EraseRootFromParent_Done,
     /*  557813 */   // Label 9158: @557813
     /*  557813 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(557888), // Rule ID 2970 //
     /*  557818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557886 */     GIR_RootConstrainSelectedInstOperands,
     /*  557887 */     // GIR_Coverage, 2970,
     /*  557887 */     GIR_EraseRootFromParent_Done,
     /*  557888 */   // Label 9159: @557888
     /*  557888 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(557963), // Rule ID 2971 //
     /*  557893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  557942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557961 */     GIR_RootConstrainSelectedInstOperands,
     /*  557962 */     // GIR_Coverage, 2971,
     /*  557962 */     GIR_EraseRootFromParent_Done,
     /*  557963 */   // Label 9160: @557963
     /*  557963 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(558038), // Rule ID 2974 //
     /*  557968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558036 */     GIR_RootConstrainSelectedInstOperands,
     /*  558037 */     // GIR_Coverage, 2974,
     /*  558037 */     GIR_EraseRootFromParent_Done,
     /*  558038 */   // Label 9161: @558038
     /*  558038 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(558113), // Rule ID 2975 //
     /*  558043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  558054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  558057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  558060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558111 */     GIR_RootConstrainSelectedInstOperands,
     /*  558112 */     // GIR_Coverage, 2975,
     /*  558112 */     GIR_EraseRootFromParent_Done,
     /*  558113 */   // Label 9162: @558113
     /*  558113 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(558188), // Rule ID 2978 //
     /*  558118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558186 */     GIR_RootConstrainSelectedInstOperands,
     /*  558187 */     // GIR_Coverage, 2978,
     /*  558187 */     GIR_EraseRootFromParent_Done,
     /*  558188 */   // Label 9163: @558188
     /*  558188 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(558263), // Rule ID 2979 //
     /*  558193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558239 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558261 */     GIR_RootConstrainSelectedInstOperands,
     /*  558262 */     // GIR_Coverage, 2979,
     /*  558262 */     GIR_EraseRootFromParent_Done,
     /*  558263 */   // Label 9164: @558263
     /*  558263 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(558338), // Rule ID 2982 //
     /*  558268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558336 */     GIR_RootConstrainSelectedInstOperands,
     /*  558337 */     // GIR_Coverage, 2982,
     /*  558337 */     GIR_EraseRootFromParent_Done,
     /*  558338 */   // Label 9165: @558338
     /*  558338 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(558413), // Rule ID 2983 //
     /*  558343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558411 */     GIR_RootConstrainSelectedInstOperands,
     /*  558412 */     // GIR_Coverage, 2983,
     /*  558412 */     GIR_EraseRootFromParent_Done,
     /*  558413 */   // Label 9166: @558413
     /*  558413 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(558488), // Rule ID 2986 //
     /*  558418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558486 */     GIR_RootConstrainSelectedInstOperands,
     /*  558487 */     // GIR_Coverage, 2986,
     /*  558487 */     GIR_EraseRootFromParent_Done,
     /*  558488 */   // Label 9167: @558488
     /*  558488 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558563), // Rule ID 2987 //
     /*  558493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558561 */     GIR_RootConstrainSelectedInstOperands,
     /*  558562 */     // GIR_Coverage, 2987,
     /*  558562 */     GIR_EraseRootFromParent_Done,
     /*  558563 */   // Label 9168: @558563
     /*  558563 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558638), // Rule ID 2990 //
     /*  558568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558614 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  558617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558636 */     GIR_RootConstrainSelectedInstOperands,
     /*  558637 */     // GIR_Coverage, 2990,
     /*  558637 */     GIR_EraseRootFromParent_Done,
     /*  558638 */   // Label 9169: @558638
     /*  558638 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558713), // Rule ID 2991 //
     /*  558643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558689 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  558692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558711 */     GIR_RootConstrainSelectedInstOperands,
     /*  558712 */     // GIR_Coverage, 2991,
     /*  558712 */     GIR_EraseRootFromParent_Done,
     /*  558713 */   // Label 9170: @558713
     /*  558713 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(558788), // Rule ID 2994 //
     /*  558718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558764 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  558767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558786 */     GIR_RootConstrainSelectedInstOperands,
     /*  558787 */     // GIR_Coverage, 2994,
     /*  558787 */     GIR_EraseRootFromParent_Done,
     /*  558788 */   // Label 9171: @558788
     /*  558788 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(558863), // Rule ID 2995 //
     /*  558793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558839 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  558842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558861 */     GIR_RootConstrainSelectedInstOperands,
     /*  558862 */     // GIR_Coverage, 2995,
     /*  558862 */     GIR_EraseRootFromParent_Done,
     /*  558863 */   // Label 9172: @558863
     /*  558863 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(558938), // Rule ID 2998 //
     /*  558868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558914 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  558917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558936 */     GIR_RootConstrainSelectedInstOperands,
     /*  558937 */     // GIR_Coverage, 2998,
     /*  558937 */     GIR_EraseRootFromParent_Done,
     /*  558938 */   // Label 9173: @558938
     /*  558938 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(559013), // Rule ID 2999 //
     /*  558943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558989 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  558992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559011 */     GIR_RootConstrainSelectedInstOperands,
     /*  559012 */     // GIR_Coverage, 2999,
     /*  559012 */     GIR_EraseRootFromParent_Done,
     /*  559013 */   // Label 9174: @559013
     /*  559013 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(559088), // Rule ID 3002 //
     /*  559018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559086 */     GIR_RootConstrainSelectedInstOperands,
     /*  559087 */     // GIR_Coverage, 3002,
     /*  559087 */     GIR_EraseRootFromParent_Done,
     /*  559088 */   // Label 9175: @559088
     /*  559088 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(559163), // Rule ID 3003 //
     /*  559093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559139 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559161 */     GIR_RootConstrainSelectedInstOperands,
     /*  559162 */     // GIR_Coverage, 3003,
     /*  559162 */     GIR_EraseRootFromParent_Done,
     /*  559163 */   // Label 9176: @559163
     /*  559163 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(559238), // Rule ID 3006 //
     /*  559168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559236 */     GIR_RootConstrainSelectedInstOperands,
     /*  559237 */     // GIR_Coverage, 3006,
     /*  559237 */     GIR_EraseRootFromParent_Done,
     /*  559238 */   // Label 9177: @559238
     /*  559238 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(559313), // Rule ID 3007 //
     /*  559243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559311 */     GIR_RootConstrainSelectedInstOperands,
     /*  559312 */     // GIR_Coverage, 3007,
     /*  559312 */     GIR_EraseRootFromParent_Done,
     /*  559313 */   // Label 9178: @559313
     /*  559313 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(559388), // Rule ID 3010 //
     /*  559318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559364 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559386 */     GIR_RootConstrainSelectedInstOperands,
     /*  559387 */     // GIR_Coverage, 3010,
     /*  559387 */     GIR_EraseRootFromParent_Done,
     /*  559388 */   // Label 9179: @559388
     /*  559388 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(559463), // Rule ID 3011 //
     /*  559393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559439 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559461 */     GIR_RootConstrainSelectedInstOperands,
     /*  559462 */     // GIR_Coverage, 3011,
     /*  559462 */     GIR_EraseRootFromParent_Done,
     /*  559463 */   // Label 9180: @559463
     /*  559463 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559538), // Rule ID 3014 //
     /*  559468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559536 */     GIR_RootConstrainSelectedInstOperands,
     /*  559537 */     // GIR_Coverage, 3014,
     /*  559537 */     GIR_EraseRootFromParent_Done,
     /*  559538 */   // Label 9181: @559538
     /*  559538 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559613), // Rule ID 3015 //
     /*  559543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559611 */     GIR_RootConstrainSelectedInstOperands,
     /*  559612 */     // GIR_Coverage, 3015,
     /*  559612 */     GIR_EraseRootFromParent_Done,
     /*  559613 */   // Label 9182: @559613
     /*  559613 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559688), // Rule ID 3018 //
     /*  559618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559686 */     GIR_RootConstrainSelectedInstOperands,
     /*  559687 */     // GIR_Coverage, 3018,
     /*  559687 */     GIR_EraseRootFromParent_Done,
     /*  559688 */   // Label 9183: @559688
     /*  559688 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(559763), // Rule ID 3019 //
     /*  559693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559761 */     GIR_RootConstrainSelectedInstOperands,
     /*  559762 */     // GIR_Coverage, 3019,
     /*  559762 */     GIR_EraseRootFromParent_Done,
     /*  559763 */   // Label 9184: @559763
     /*  559763 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(559838), // Rule ID 3022 //
     /*  559768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559836 */     GIR_RootConstrainSelectedInstOperands,
     /*  559837 */     // GIR_Coverage, 3022,
     /*  559837 */     GIR_EraseRootFromParent_Done,
     /*  559838 */   // Label 9185: @559838
     /*  559838 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(559913), // Rule ID 3023 //
     /*  559843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559911 */     GIR_RootConstrainSelectedInstOperands,
     /*  559912 */     // GIR_Coverage, 3023,
     /*  559912 */     GIR_EraseRootFromParent_Done,
     /*  559913 */   // Label 9186: @559913
     /*  559913 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(559988), // Rule ID 3026 //
     /*  559918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559986 */     GIR_RootConstrainSelectedInstOperands,
     /*  559987 */     // GIR_Coverage, 3026,
     /*  559987 */     GIR_EraseRootFromParent_Done,
     /*  559988 */   // Label 9187: @559988
     /*  559988 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(560063), // Rule ID 3027 //
     /*  559993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  560004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  560007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  560010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560039 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  560042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560061 */     GIR_RootConstrainSelectedInstOperands,
     /*  560062 */     // GIR_Coverage, 3027,
     /*  560062 */     GIR_EraseRootFromParent_Done,
     /*  560063 */   // Label 9188: @560063
     /*  560063 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(560138), // Rule ID 3030 //
     /*  560068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560136 */     GIR_RootConstrainSelectedInstOperands,
     /*  560137 */     // GIR_Coverage, 3030,
     /*  560137 */     GIR_EraseRootFromParent_Done,
     /*  560138 */   // Label 9189: @560138
     /*  560138 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(560213), // Rule ID 3031 //
     /*  560143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560211 */     GIR_RootConstrainSelectedInstOperands,
     /*  560212 */     // GIR_Coverage, 3031,
     /*  560212 */     GIR_EraseRootFromParent_Done,
     /*  560213 */   // Label 9190: @560213
     /*  560213 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(560288), // Rule ID 3034 //
     /*  560218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560286 */     GIR_RootConstrainSelectedInstOperands,
     /*  560287 */     // GIR_Coverage, 3034,
     /*  560287 */     GIR_EraseRootFromParent_Done,
     /*  560288 */   // Label 9191: @560288
     /*  560288 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(560363), // Rule ID 3035 //
     /*  560293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560339 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560361 */     GIR_RootConstrainSelectedInstOperands,
     /*  560362 */     // GIR_Coverage, 3035,
     /*  560362 */     GIR_EraseRootFromParent_Done,
     /*  560363 */   // Label 9192: @560363
     /*  560363 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(560438), // Rule ID 3126 //
     /*  560368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  560385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  560388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560414 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  560417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560436 */     GIR_RootConstrainSelectedInstOperands,
     /*  560437 */     // GIR_Coverage, 3126,
     /*  560437 */     GIR_EraseRootFromParent_Done,
     /*  560438 */   // Label 9193: @560438
     /*  560438 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(560513), // Rule ID 3127 //
     /*  560443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  560460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  560463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  560492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560511 */     GIR_RootConstrainSelectedInstOperands,
     /*  560512 */     // GIR_Coverage, 3127,
     /*  560512 */     GIR_EraseRootFromParent_Done,
     /*  560513 */   // Label 9194: @560513
     /*  560513 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560588), // Rule ID 3130 //
     /*  560518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  560535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  560538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  560567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560586 */     GIR_RootConstrainSelectedInstOperands,
     /*  560587 */     // GIR_Coverage, 3130,
     /*  560587 */     GIR_EraseRootFromParent_Done,
     /*  560588 */   // Label 9195: @560588
     /*  560588 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560663), // Rule ID 3131 //
     /*  560593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  560610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  560613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560639 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  560642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560661 */     GIR_RootConstrainSelectedInstOperands,
     /*  560662 */     // GIR_Coverage, 3131,
     /*  560662 */     GIR_EraseRootFromParent_Done,
     /*  560663 */   // Label 9196: @560663
     /*  560663 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(560738), // Rule ID 3134 //
     /*  560668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560714 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  560717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560736 */     GIR_RootConstrainSelectedInstOperands,
     /*  560737 */     // GIR_Coverage, 3134,
     /*  560737 */     GIR_EraseRootFromParent_Done,
     /*  560738 */   // Label 9197: @560738
     /*  560738 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(560813), // Rule ID 3135 //
     /*  560743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560789 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  560792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560811 */     GIR_RootConstrainSelectedInstOperands,
     /*  560812 */     // GIR_Coverage, 3135,
     /*  560812 */     GIR_EraseRootFromParent_Done,
     /*  560813 */   // Label 9198: @560813
     /*  560813 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(560888), // Rule ID 3138 //
     /*  560818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  560829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  560832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  560838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  560867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560886 */     GIR_RootConstrainSelectedInstOperands,
     /*  560887 */     // GIR_Coverage, 3138,
     /*  560887 */     GIR_EraseRootFromParent_Done,
     /*  560888 */   // Label 9199: @560888
     /*  560888 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(560963), // Rule ID 3139 //
     /*  560893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  560904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  560907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  560913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  560942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560961 */     GIR_RootConstrainSelectedInstOperands,
     /*  560962 */     // GIR_Coverage, 3139,
     /*  560962 */     GIR_EraseRootFromParent_Done,
     /*  560963 */   // Label 9200: @560963
     /*  560963 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(561038), // Rule ID 3142 //
     /*  560968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  560988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561036 */     GIR_RootConstrainSelectedInstOperands,
     /*  561037 */     // GIR_Coverage, 3142,
     /*  561037 */     GIR_EraseRootFromParent_Done,
     /*  561038 */   // Label 9201: @561038
     /*  561038 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(561113), // Rule ID 3143 //
     /*  561043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  561060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  561063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561089 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561111 */     GIR_RootConstrainSelectedInstOperands,
     /*  561112 */     // GIR_Coverage, 3143,
     /*  561112 */     GIR_EraseRootFromParent_Done,
     /*  561113 */   // Label 9202: @561113
     /*  561113 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(561188), // Rule ID 3146 //
     /*  561118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561186 */     GIR_RootConstrainSelectedInstOperands,
     /*  561187 */     // GIR_Coverage, 3146,
     /*  561187 */     GIR_EraseRootFromParent_Done,
     /*  561188 */   // Label 9203: @561188
     /*  561188 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(561263), // Rule ID 3147 //
     /*  561193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561239 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561261 */     GIR_RootConstrainSelectedInstOperands,
     /*  561262 */     // GIR_Coverage, 3147,
     /*  561262 */     GIR_EraseRootFromParent_Done,
     /*  561263 */   // Label 9204: @561263
     /*  561263 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(561338), // Rule ID 3150 //
     /*  561268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  561279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  561282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  561285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  561288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561336 */     GIR_RootConstrainSelectedInstOperands,
     /*  561337 */     // GIR_Coverage, 3150,
     /*  561337 */     GIR_EraseRootFromParent_Done,
     /*  561338 */   // Label 9205: @561338
     /*  561338 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(561413), // Rule ID 3151 //
     /*  561343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  561354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  561357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  561360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  561363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561411 */     GIR_RootConstrainSelectedInstOperands,
     /*  561412 */     // GIR_Coverage, 3151,
     /*  561412 */     GIR_EraseRootFromParent_Done,
     /*  561413 */   // Label 9206: @561413
     /*  561413 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(561488), // Rule ID 3154 //
     /*  561418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  561435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  561438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561486 */     GIR_RootConstrainSelectedInstOperands,
     /*  561487 */     // GIR_Coverage, 3154,
     /*  561487 */     GIR_EraseRootFromParent_Done,
     /*  561488 */   // Label 9207: @561488
     /*  561488 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561563), // Rule ID 3155 //
     /*  561493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  561510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  561513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561561 */     GIR_RootConstrainSelectedInstOperands,
     /*  561562 */     // GIR_Coverage, 3155,
     /*  561562 */     GIR_EraseRootFromParent_Done,
     /*  561563 */   // Label 9208: @561563
     /*  561563 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561638), // Rule ID 3158 //
     /*  561568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  561579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  561582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  561588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561636 */     GIR_RootConstrainSelectedInstOperands,
     /*  561637 */     // GIR_Coverage, 3158,
     /*  561637 */     GIR_EraseRootFromParent_Done,
     /*  561638 */   // Label 9209: @561638
     /*  561638 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561713), // Rule ID 3159 //
     /*  561643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  561654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  561657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  561663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561711 */     GIR_RootConstrainSelectedInstOperands,
     /*  561712 */     // GIR_Coverage, 3159,
     /*  561712 */     GIR_EraseRootFromParent_Done,
     /*  561713 */   // Label 9210: @561713
     /*  561713 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(561788), // Rule ID 3162 //
     /*  561718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  561729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  561732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  561735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  561738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  561764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561786 */     GIR_RootConstrainSelectedInstOperands,
     /*  561787 */     // GIR_Coverage, 3162,
     /*  561787 */     GIR_EraseRootFromParent_Done,
     /*  561788 */   // Label 9211: @561788
     /*  561788 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(561863), // Rule ID 3163 //
     /*  561793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  561796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  561804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  561807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  561810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  561813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561839 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  561839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561861 */     GIR_RootConstrainSelectedInstOperands,
     /*  561862 */     // GIR_Coverage, 3163,
     /*  561862 */     GIR_EraseRootFromParent_Done,
     /*  561863 */   // Label 9212: @561863
     /*  561863 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(561938), // Rule ID 3166 //
     /*  561868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  561888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  561917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561936 */     GIR_RootConstrainSelectedInstOperands,
     /*  561937 */     // GIR_Coverage, 3166,
     /*  561937 */     GIR_EraseRootFromParent_Done,
     /*  561938 */   // Label 9213: @561938
     /*  561938 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(562013), // Rule ID 3167 //
     /*  561943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  561954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  561957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  561960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  561963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561989 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  561992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562011 */     GIR_RootConstrainSelectedInstOperands,
     /*  562012 */     // GIR_Coverage, 3167,
     /*  562012 */     GIR_EraseRootFromParent_Done,
     /*  562013 */   // Label 9214: @562013
     /*  562013 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(562088), // Rule ID 3170 //
     /*  562018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  562038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562064 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562086 */     GIR_RootConstrainSelectedInstOperands,
     /*  562087 */     // GIR_Coverage, 3170,
     /*  562087 */     GIR_EraseRootFromParent_Done,
     /*  562088 */   // Label 9215: @562088
     /*  562088 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(562163), // Rule ID 3171 //
     /*  562093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  562113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562161 */     GIR_RootConstrainSelectedInstOperands,
     /*  562162 */     // GIR_Coverage, 3171,
     /*  562162 */     GIR_EraseRootFromParent_Done,
     /*  562163 */   // Label 9216: @562163
     /*  562163 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(562238), // Rule ID 3174 //
     /*  562168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  562185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  562188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562236 */     GIR_RootConstrainSelectedInstOperands,
     /*  562237 */     // GIR_Coverage, 3174,
     /*  562237 */     GIR_EraseRootFromParent_Done,
     /*  562238 */   // Label 9217: @562238
     /*  562238 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(562313), // Rule ID 3175 //
     /*  562243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  562260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  562263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562289 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562311 */     GIR_RootConstrainSelectedInstOperands,
     /*  562312 */     // GIR_Coverage, 3175,
     /*  562312 */     GIR_EraseRootFromParent_Done,
     /*  562313 */   // Label 9218: @562313
     /*  562313 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(562388), // Rule ID 3178 //
     /*  562318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  562335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  562338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562386 */     GIR_RootConstrainSelectedInstOperands,
     /*  562387 */     // GIR_Coverage, 3178,
     /*  562387 */     GIR_EraseRootFromParent_Done,
     /*  562388 */   // Label 9219: @562388
     /*  562388 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(562463), // Rule ID 3179 //
     /*  562393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  562410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  562413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562461 */     GIR_RootConstrainSelectedInstOperands,
     /*  562462 */     // GIR_Coverage, 3179,
     /*  562462 */     GIR_EraseRootFromParent_Done,
     /*  562463 */   // Label 9220: @562463
     /*  562463 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562538), // Rule ID 3182 //
     /*  562468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  562485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  562488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562536 */     GIR_RootConstrainSelectedInstOperands,
     /*  562537 */     // GIR_Coverage, 3182,
     /*  562537 */     GIR_EraseRootFromParent_Done,
     /*  562538 */   // Label 9221: @562538
     /*  562538 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562613), // Rule ID 3183 //
     /*  562543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  562560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  562563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562611 */     GIR_RootConstrainSelectedInstOperands,
     /*  562612 */     // GIR_Coverage, 3183,
     /*  562612 */     GIR_EraseRootFromParent_Done,
     /*  562613 */   // Label 9222: @562613
     /*  562613 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562688), // Rule ID 3186 //
     /*  562618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  562635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  562638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562686 */     GIR_RootConstrainSelectedInstOperands,
     /*  562687 */     // GIR_Coverage, 3186,
     /*  562687 */     GIR_EraseRootFromParent_Done,
     /*  562688 */   // Label 9223: @562688
     /*  562688 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(562763), // Rule ID 3187 //
     /*  562693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  562710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  562713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562761 */     GIR_RootConstrainSelectedInstOperands,
     /*  562762 */     // GIR_Coverage, 3187,
     /*  562762 */     GIR_EraseRootFromParent_Done,
     /*  562763 */   // Label 9224: @562763
     /*  562763 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(562838), // Rule ID 3190 //
     /*  562768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  562779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  562785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  562788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562836 */     GIR_RootConstrainSelectedInstOperands,
     /*  562837 */     // GIR_Coverage, 3190,
     /*  562837 */     GIR_EraseRootFromParent_Done,
     /*  562838 */   // Label 9225: @562838
     /*  562838 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(562913), // Rule ID 3191 //
     /*  562843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  562854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  562860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  562863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562911 */     GIR_RootConstrainSelectedInstOperands,
     /*  562912 */     // GIR_Coverage, 3191,
     /*  562912 */     GIR_EraseRootFromParent_Done,
     /*  562913 */   // Label 9226: @562913
     /*  562913 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(562988), // Rule ID 3194 //
     /*  562918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  562935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  562938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562986 */     GIR_RootConstrainSelectedInstOperands,
     /*  562987 */     // GIR_Coverage, 3194,
     /*  562987 */     GIR_EraseRootFromParent_Done,
     /*  562988 */   // Label 9227: @562988
     /*  562988 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(563063), // Rule ID 3195 //
     /*  562993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  563013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563061 */     GIR_RootConstrainSelectedInstOperands,
     /*  563062 */     // GIR_Coverage, 3195,
     /*  563062 */     GIR_EraseRootFromParent_Done,
     /*  563063 */   // Label 9228: @563063
     /*  563063 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(563138), // Rule ID 3198 //
     /*  563068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  563088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563136 */     GIR_RootConstrainSelectedInstOperands,
     /*  563137 */     // GIR_Coverage, 3198,
     /*  563137 */     GIR_EraseRootFromParent_Done,
     /*  563138 */   // Label 9229: @563138
     /*  563138 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(563213), // Rule ID 3199 //
     /*  563143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  563163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563211 */     GIR_RootConstrainSelectedInstOperands,
     /*  563212 */     // GIR_Coverage, 3199,
     /*  563212 */     GIR_EraseRootFromParent_Done,
     /*  563213 */   // Label 9230: @563213
     /*  563213 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(563288), // Rule ID 3202 //
     /*  563218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  563238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563286 */     GIR_RootConstrainSelectedInstOperands,
     /*  563287 */     // GIR_Coverage, 3202,
     /*  563287 */     GIR_EraseRootFromParent_Done,
     /*  563288 */   // Label 9231: @563288
     /*  563288 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(563363), // Rule ID 3203 //
     /*  563293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  563313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563361 */     GIR_RootConstrainSelectedInstOperands,
     /*  563362 */     // GIR_Coverage, 3203,
     /*  563362 */     GIR_EraseRootFromParent_Done,
     /*  563363 */   // Label 9232: @563363
     /*  563363 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(563438), // Rule ID 3206 //
     /*  563368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  563379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  563382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  563385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  563388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563414 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563436 */     GIR_RootConstrainSelectedInstOperands,
     /*  563437 */     // GIR_Coverage, 3206,
     /*  563437 */     GIR_EraseRootFromParent_Done,
     /*  563438 */   // Label 9233: @563438
     /*  563438 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(563513), // Rule ID 3207 //
     /*  563443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  563454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  563457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  563460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  563463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563511 */     GIR_RootConstrainSelectedInstOperands,
     /*  563512 */     // GIR_Coverage, 3207,
     /*  563512 */     GIR_EraseRootFromParent_Done,
     /*  563513 */   // Label 9234: @563513
     /*  563513 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563588), // Rule ID 3210 //
     /*  563518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  563529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  563532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  563535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  563538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563586 */     GIR_RootConstrainSelectedInstOperands,
     /*  563587 */     // GIR_Coverage, 3210,
     /*  563587 */     GIR_EraseRootFromParent_Done,
     /*  563588 */   // Label 9235: @563588
     /*  563588 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563663), // Rule ID 3211 //
     /*  563593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  563604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  563607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  563610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  563613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563639 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563661 */     GIR_RootConstrainSelectedInstOperands,
     /*  563662 */     // GIR_Coverage, 3211,
     /*  563662 */     GIR_EraseRootFromParent_Done,
     /*  563663 */   // Label 9236: @563663
     /*  563663 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(563738), // Rule ID 3214 //
     /*  563668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  563679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  563682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  563685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  563717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563736 */     GIR_RootConstrainSelectedInstOperands,
     /*  563737 */     // GIR_Coverage, 3214,
     /*  563737 */     GIR_EraseRootFromParent_Done,
     /*  563738 */   // Label 9237: @563738
     /*  563738 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(563813), // Rule ID 3215 //
     /*  563743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  563754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  563757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  563760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563789 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  563792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563811 */     GIR_RootConstrainSelectedInstOperands,
     /*  563812 */     // GIR_Coverage, 3215,
     /*  563812 */     GIR_EraseRootFromParent_Done,
     /*  563813 */   // Label 9238: @563813
     /*  563813 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(563888), // Rule ID 3218 //
     /*  563818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  563829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  563832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  563835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  563867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563886 */     GIR_RootConstrainSelectedInstOperands,
     /*  563887 */     // GIR_Coverage, 3218,
     /*  563887 */     GIR_EraseRootFromParent_Done,
     /*  563888 */   // Label 9239: @563888
     /*  563888 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(563963), // Rule ID 3219 //
     /*  563893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  563904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  563907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  563910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563939 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  563942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563961 */     GIR_RootConstrainSelectedInstOperands,
     /*  563962 */     // GIR_Coverage, 3219,
     /*  563962 */     GIR_EraseRootFromParent_Done,
     /*  563963 */   // Label 9240: @563963
     /*  563963 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(564038), // Rule ID 3222 //
     /*  563968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  563979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  563982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  563985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564014 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564036 */     GIR_RootConstrainSelectedInstOperands,
     /*  564037 */     // GIR_Coverage, 3222,
     /*  564037 */     GIR_EraseRootFromParent_Done,
     /*  564038 */   // Label 9241: @564038
     /*  564038 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(564113), // Rule ID 3223 //
     /*  564043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  564054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  564057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564089 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564111 */     GIR_RootConstrainSelectedInstOperands,
     /*  564112 */     // GIR_Coverage, 3223,
     /*  564112 */     GIR_EraseRootFromParent_Done,
     /*  564113 */   // Label 9242: @564113
     /*  564113 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(564188), // Rule ID 3226 //
     /*  564118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564164 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564186 */     GIR_RootConstrainSelectedInstOperands,
     /*  564187 */     // GIR_Coverage, 3226,
     /*  564187 */     GIR_EraseRootFromParent_Done,
     /*  564188 */   // Label 9243: @564188
     /*  564188 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(564263), // Rule ID 3227 //
     /*  564193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564261 */     GIR_RootConstrainSelectedInstOperands,
     /*  564262 */     // GIR_Coverage, 3227,
     /*  564262 */     GIR_EraseRootFromParent_Done,
     /*  564263 */   // Label 9244: @564263
     /*  564263 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(564338), // Rule ID 3230 //
     /*  564268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564336 */     GIR_RootConstrainSelectedInstOperands,
     /*  564337 */     // GIR_Coverage, 3230,
     /*  564337 */     GIR_EraseRootFromParent_Done,
     /*  564338 */   // Label 9245: @564338
     /*  564338 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(564413), // Rule ID 3231 //
     /*  564343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564411 */     GIR_RootConstrainSelectedInstOperands,
     /*  564412 */     // GIR_Coverage, 3231,
     /*  564412 */     GIR_EraseRootFromParent_Done,
     /*  564413 */   // Label 9246: @564413
     /*  564413 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(564488), // Rule ID 3234 //
     /*  564418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  564435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564486 */     GIR_RootConstrainSelectedInstOperands,
     /*  564487 */     // GIR_Coverage, 3234,
     /*  564487 */     GIR_EraseRootFromParent_Done,
     /*  564488 */   // Label 9247: @564488
     /*  564488 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564563), // Rule ID 3235 //
     /*  564493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  564510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564561 */     GIR_RootConstrainSelectedInstOperands,
     /*  564562 */     // GIR_Coverage, 3235,
     /*  564562 */     GIR_EraseRootFromParent_Done,
     /*  564563 */   // Label 9248: @564563
     /*  564563 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564638), // Rule ID 3238 //
     /*  564568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  564579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  564582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564636 */     GIR_RootConstrainSelectedInstOperands,
     /*  564637 */     // GIR_Coverage, 3238,
     /*  564637 */     GIR_EraseRootFromParent_Done,
     /*  564638 */   // Label 9249: @564638
     /*  564638 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564713), // Rule ID 3239 //
     /*  564643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  564654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  564657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11556:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564711 */     GIR_RootConstrainSelectedInstOperands,
     /*  564712 */     // GIR_Coverage, 3239,
     /*  564712 */     GIR_EraseRootFromParent_Done,
     /*  564713 */   // Label 9250: @564713
     /*  564713 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(564788), // Rule ID 3242 //
     /*  564718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  564735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564786 */     GIR_RootConstrainSelectedInstOperands,
     /*  564787 */     // GIR_Coverage, 3242,
     /*  564787 */     GIR_EraseRootFromParent_Done,
     /*  564788 */   // Label 9251: @564788
     /*  564788 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(564863), // Rule ID 3243 //
     /*  564793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  564810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564861 */     GIR_RootConstrainSelectedInstOperands,
     /*  564862 */     // GIR_Coverage, 3243,
     /*  564862 */     GIR_EraseRootFromParent_Done,
     /*  564863 */   // Label 9252: @564863
     /*  564863 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(564938), // Rule ID 3246 //
     /*  564868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564936 */     GIR_RootConstrainSelectedInstOperands,
     /*  564937 */     // GIR_Coverage, 3246,
     /*  564937 */     GIR_EraseRootFromParent_Done,
     /*  564938 */   // Label 9253: @564938
     /*  564938 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(565013), // Rule ID 3247 //
     /*  564943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  564960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  564992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565011 */     GIR_RootConstrainSelectedInstOperands,
     /*  565012 */     // GIR_Coverage, 3247,
     /*  565012 */     GIR_EraseRootFromParent_Done,
     /*  565013 */   // Label 9254: @565013
     /*  565013 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(565088), // Rule ID 3250 //
     /*  565018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  565029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  565032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  565035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565086 */     GIR_RootConstrainSelectedInstOperands,
     /*  565087 */     // GIR_Coverage, 3250,
     /*  565087 */     GIR_EraseRootFromParent_Done,
     /*  565088 */   // Label 9255: @565088
     /*  565088 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(565163), // Rule ID 3251 //
     /*  565093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  565104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  565107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  565110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565161 */     GIR_RootConstrainSelectedInstOperands,
     /*  565162 */     // GIR_Coverage, 3251,
     /*  565162 */     GIR_EraseRootFromParent_Done,
     /*  565163 */   // Label 9256: @565163
     /*  565163 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(565238), // Rule ID 3254 //
     /*  565168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565214 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565236 */     GIR_RootConstrainSelectedInstOperands,
     /*  565237 */     // GIR_Coverage, 3254,
     /*  565237 */     GIR_EraseRootFromParent_Done,
     /*  565238 */   // Label 9257: @565238
     /*  565238 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(565313), // Rule ID 3255 //
     /*  565243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565289 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565311 */     GIR_RootConstrainSelectedInstOperands,
     /*  565312 */     // GIR_Coverage, 3255,
     /*  565312 */     GIR_EraseRootFromParent_Done,
     /*  565313 */   // Label 9258: @565313
     /*  565313 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(565388), // Rule ID 3258 //
     /*  565318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  565367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565386 */     GIR_RootConstrainSelectedInstOperands,
     /*  565387 */     // GIR_Coverage, 3258,
     /*  565387 */     GIR_EraseRootFromParent_Done,
     /*  565388 */   // Label 9259: @565388
     /*  565388 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(565463), // Rule ID 3259 //
     /*  565393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565439 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  565442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565461 */     GIR_RootConstrainSelectedInstOperands,
     /*  565462 */     // GIR_Coverage, 3259,
     /*  565462 */     GIR_EraseRootFromParent_Done,
     /*  565463 */   // Label 9260: @565463
     /*  565463 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565538), // Rule ID 3262 //
     /*  565468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  565479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  565482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  565485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565514 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  565517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565536 */     GIR_RootConstrainSelectedInstOperands,
     /*  565537 */     // GIR_Coverage, 3262,
     /*  565537 */     GIR_EraseRootFromParent_Done,
     /*  565538 */   // Label 9261: @565538
     /*  565538 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565613), // Rule ID 3263 //
     /*  565543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  565554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  565557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  565560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565589 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  565592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565611 */     GIR_RootConstrainSelectedInstOperands,
     /*  565612 */     // GIR_Coverage, 3263,
     /*  565612 */     GIR_EraseRootFromParent_Done,
     /*  565613 */   // Label 9262: @565613
     /*  565613 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565688), // Rule ID 3266 //
     /*  565618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  565629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  565632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565686 */     GIR_RootConstrainSelectedInstOperands,
     /*  565687 */     // GIR_Coverage, 3266,
     /*  565687 */     GIR_EraseRootFromParent_Done,
     /*  565688 */   // Label 9263: @565688
     /*  565688 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(565763), // Rule ID 3267 //
     /*  565693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  565704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  565707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565761 */     GIR_RootConstrainSelectedInstOperands,
     /*  565762 */     // GIR_Coverage, 3267,
     /*  565762 */     GIR_EraseRootFromParent_Done,
     /*  565763 */   // Label 9264: @565763
     /*  565763 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(565838), // Rule ID 3270 //
     /*  565768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  565779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565814 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  565817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565836 */     GIR_RootConstrainSelectedInstOperands,
     /*  565837 */     // GIR_Coverage, 3270,
     /*  565837 */     GIR_EraseRootFromParent_Done,
     /*  565838 */   // Label 9265: @565838
     /*  565838 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(565913), // Rule ID 3271 //
     /*  565843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  565854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  565892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565911 */     GIR_RootConstrainSelectedInstOperands,
     /*  565912 */     // GIR_Coverage, 3271,
     /*  565912 */     GIR_EraseRootFromParent_Done,
     /*  565913 */   // Label 9266: @565913
     /*  565913 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(565988), // Rule ID 3274 //
     /*  565918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  565967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565986 */     GIR_RootConstrainSelectedInstOperands,
     /*  565987 */     // GIR_Coverage, 3274,
     /*  565987 */     GIR_EraseRootFromParent_Done,
     /*  565988 */   // Label 9267: @565988
     /*  565988 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(566063), // Rule ID 3275 //
     /*  565993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  566010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566039 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566061 */     GIR_RootConstrainSelectedInstOperands,
     /*  566062 */     // GIR_Coverage, 3275,
     /*  566062 */     GIR_EraseRootFromParent_Done,
     /*  566063 */   // Label 9268: @566063
     /*  566063 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(566138), // Rule ID 3278 //
     /*  566068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566136 */     GIR_RootConstrainSelectedInstOperands,
     /*  566137 */     // GIR_Coverage, 3278,
     /*  566137 */     GIR_EraseRootFromParent_Done,
     /*  566138 */   // Label 9269: @566138
     /*  566138 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(566213), // Rule ID 3279 //
     /*  566143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566211 */     GIR_RootConstrainSelectedInstOperands,
     /*  566212 */     // GIR_Coverage, 3279,
     /*  566212 */     GIR_EraseRootFromParent_Done,
     /*  566213 */   // Label 9270: @566213
     /*  566213 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(566288), // Rule ID 3282 //
     /*  566218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566286 */     GIR_RootConstrainSelectedInstOperands,
     /*  566287 */     // GIR_Coverage, 3282,
     /*  566287 */     GIR_EraseRootFromParent_Done,
     /*  566288 */   // Label 9271: @566288
     /*  566288 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(566363), // Rule ID 3283 //
     /*  566293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566361 */     GIR_RootConstrainSelectedInstOperands,
     /*  566362 */     // GIR_Coverage, 3283,
     /*  566362 */     GIR_EraseRootFromParent_Done,
     /*  566363 */   // Label 9272: @566363
     /*  566363 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(566438), // Rule ID 3286 //
     /*  566368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  566379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  566382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566436 */     GIR_RootConstrainSelectedInstOperands,
     /*  566437 */     // GIR_Coverage, 3286,
     /*  566437 */     GIR_EraseRootFromParent_Done,
     /*  566438 */   // Label 9273: @566438
     /*  566438 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(566513), // Rule ID 3287 //
     /*  566443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  566454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  566457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566489 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566511 */     GIR_RootConstrainSelectedInstOperands,
     /*  566512 */     // GIR_Coverage, 3287,
     /*  566512 */     GIR_EraseRootFromParent_Done,
     /*  566513 */   // Label 9274: @566513
     /*  566513 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566588), // Rule ID 3290 //
     /*  566518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566586 */     GIR_RootConstrainSelectedInstOperands,
     /*  566587 */     // GIR_Coverage, 3290,
     /*  566587 */     GIR_EraseRootFromParent_Done,
     /*  566588 */   // Label 9275: @566588
     /*  566588 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566663), // Rule ID 3291 //
     /*  566593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566639 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566661 */     GIR_RootConstrainSelectedInstOperands,
     /*  566662 */     // GIR_Coverage, 3291,
     /*  566662 */     GIR_EraseRootFromParent_Done,
     /*  566663 */   // Label 9276: @566663
     /*  566663 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(566738), // Rule ID 3294 //
     /*  566668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566736 */     GIR_RootConstrainSelectedInstOperands,
     /*  566737 */     // GIR_Coverage, 3294,
     /*  566737 */     GIR_EraseRootFromParent_Done,
     /*  566738 */   // Label 9277: @566738
     /*  566738 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(566813), // Rule ID 3295 //
     /*  566743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566811 */     GIR_RootConstrainSelectedInstOperands,
     /*  566812 */     // GIR_Coverage, 3295,
     /*  566812 */     GIR_EraseRootFromParent_Done,
     /*  566813 */   // Label 9278: @566813
     /*  566813 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(566888), // Rule ID 3298 //
     /*  566818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  566821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  566864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566886 */     GIR_RootConstrainSelectedInstOperands,
     /*  566887 */     // GIR_Coverage, 3298,
     /*  566887 */     GIR_EraseRootFromParent_Done,
     /*  566888 */   // Label 9279: @566888
     /*  566888 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(566963), // Rule ID 3299 //
     /*  566893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  566896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566939 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  566939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  566958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566961 */     GIR_RootConstrainSelectedInstOperands,
     /*  566962 */     // GIR_Coverage, 3299,
     /*  566962 */     GIR_EraseRootFromParent_Done,
     /*  566963 */   // Label 9280: @566963
     /*  566963 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(567038), // Rule ID 3302 //
     /*  566968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  566976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  566979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  566982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  567017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567036 */     GIR_RootConstrainSelectedInstOperands,
     /*  567037 */     // GIR_Coverage, 3302,
     /*  567037 */     GIR_EraseRootFromParent_Done,
     /*  567038 */   // Label 9281: @567038
     /*  567038 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(567113), // Rule ID 3303 //
     /*  567043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  567060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567089 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  567092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567111 */     GIR_RootConstrainSelectedInstOperands,
     /*  567112 */     // GIR_Coverage, 3303,
     /*  567112 */     GIR_EraseRootFromParent_Done,
     /*  567113 */   // Label 9282: @567113
     /*  567113 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(567188), // Rule ID 3306 //
     /*  567118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  567135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567164 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567186 */     GIR_RootConstrainSelectedInstOperands,
     /*  567187 */     // GIR_Coverage, 3306,
     /*  567187 */     GIR_EraseRootFromParent_Done,
     /*  567188 */   // Label 9283: @567188
     /*  567188 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(567263), // Rule ID 3307 //
     /*  567193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  567210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567239 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567261 */     GIR_RootConstrainSelectedInstOperands,
     /*  567262 */     // GIR_Coverage, 3307,
     /*  567262 */     GIR_EraseRootFromParent_Done,
     /*  567263 */   // Label 9284: @567263
     /*  567263 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(567338), // Rule ID 3310 //
     /*  567268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  567279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  567282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567336 */     GIR_RootConstrainSelectedInstOperands,
     /*  567337 */     // GIR_Coverage, 3310,
     /*  567337 */     GIR_EraseRootFromParent_Done,
     /*  567338 */   // Label 9285: @567338
     /*  567338 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(567413), // Rule ID 3311 //
     /*  567343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  567354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  567357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567411 */     GIR_RootConstrainSelectedInstOperands,
     /*  567412 */     // GIR_Coverage, 3311,
     /*  567412 */     GIR_EraseRootFromParent_Done,
     /*  567413 */   // Label 9286: @567413
     /*  567413 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(567488), // Rule ID 3314 //
     /*  567418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567486 */     GIR_RootConstrainSelectedInstOperands,
     /*  567487 */     // GIR_Coverage, 3314,
     /*  567487 */     GIR_EraseRootFromParent_Done,
     /*  567488 */   // Label 9287: @567488
     /*  567488 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567563), // Rule ID 3315 //
     /*  567493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567539 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567561 */     GIR_RootConstrainSelectedInstOperands,
     /*  567562 */     // GIR_Coverage, 3315,
     /*  567562 */     GIR_EraseRootFromParent_Done,
     /*  567563 */   // Label 9288: @567563
     /*  567563 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567638), // Rule ID 3318 //
     /*  567568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  567579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  567582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567636 */     GIR_RootConstrainSelectedInstOperands,
     /*  567637 */     // GIR_Coverage, 3318,
     /*  567637 */     GIR_EraseRootFromParent_Done,
     /*  567638 */   // Label 9289: @567638
     /*  567638 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567713), // Rule ID 3319 //
     /*  567643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  567654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  567657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567689 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567711 */     GIR_RootConstrainSelectedInstOperands,
     /*  567712 */     // GIR_Coverage, 3319,
     /*  567712 */     GIR_EraseRootFromParent_Done,
     /*  567713 */   // Label 9290: @567713
     /*  567713 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(567788), // Rule ID 3322 //
     /*  567718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567786 */     GIR_RootConstrainSelectedInstOperands,
     /*  567787 */     // GIR_Coverage, 3322,
     /*  567787 */     GIR_EraseRootFromParent_Done,
     /*  567788 */   // Label 9291: @567788
     /*  567788 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(567863), // Rule ID 3323 //
     /*  567793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567839 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567861 */     GIR_RootConstrainSelectedInstOperands,
     /*  567862 */     // GIR_Coverage, 3323,
     /*  567862 */     GIR_EraseRootFromParent_Done,
     /*  567863 */   // Label 9292: @567863
     /*  567863 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(567938), // Rule ID 3326 //
     /*  567868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  567879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  567882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  567885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  567917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567936 */     GIR_RootConstrainSelectedInstOperands,
     /*  567937 */     // GIR_Coverage, 3326,
     /*  567937 */     GIR_EraseRootFromParent_Done,
     /*  567938 */   // Label 9293: @567938
     /*  567938 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(568013), // Rule ID 3327 //
     /*  567943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  567954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  567957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  567960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  567992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568011 */     GIR_RootConstrainSelectedInstOperands,
     /*  568012 */     // GIR_Coverage, 3327,
     /*  568012 */     GIR_EraseRootFromParent_Done,
     /*  568013 */   // Label 9294: @568013
     /*  568013 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(568088), // Rule ID 3330 //
     /*  568018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568086 */     GIR_RootConstrainSelectedInstOperands,
     /*  568087 */     // GIR_Coverage, 3330,
     /*  568087 */     GIR_EraseRootFromParent_Done,
     /*  568088 */   // Label 9295: @568088
     /*  568088 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(568163), // Rule ID 3331 //
     /*  568093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568161 */     GIR_RootConstrainSelectedInstOperands,
     /*  568162 */     // GIR_Coverage, 3331,
     /*  568162 */     GIR_EraseRootFromParent_Done,
     /*  568163 */   // Label 9296: @568163
     /*  568163 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(568238), // Rule ID 3334 //
     /*  568168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568236 */     GIR_RootConstrainSelectedInstOperands,
     /*  568237 */     // GIR_Coverage, 3334,
     /*  568237 */     GIR_EraseRootFromParent_Done,
     /*  568238 */   // Label 9297: @568238
     /*  568238 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(568313), // Rule ID 3335 //
     /*  568243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568311 */     GIR_RootConstrainSelectedInstOperands,
     /*  568312 */     // GIR_Coverage, 3335,
     /*  568312 */     GIR_EraseRootFromParent_Done,
     /*  568313 */   // Label 9298: @568313
     /*  568313 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(568388), // Rule ID 3338 //
     /*  568318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  568321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  568335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  568364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  568383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568386 */     GIR_RootConstrainSelectedInstOperands,
     /*  568387 */     // GIR_Coverage, 3338,
     /*  568387 */     GIR_EraseRootFromParent_Done,
     /*  568388 */   // Label 9299: @568388
     /*  568388 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(568463), // Rule ID 3339 //
     /*  568393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  568396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  568410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  568439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  568458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568461 */     GIR_RootConstrainSelectedInstOperands,
     /*  568462 */     // GIR_Coverage, 3339,
     /*  568462 */     GIR_EraseRootFromParent_Done,
     /*  568463 */   // Label 9300: @568463
     /*  568463 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568538), // Rule ID 3342 //
     /*  568468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  568479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  568482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  568517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568536 */     GIR_RootConstrainSelectedInstOperands,
     /*  568537 */     // GIR_Coverage, 3342,
     /*  568537 */     GIR_EraseRootFromParent_Done,
     /*  568538 */   // Label 9301: @568538
     /*  568538 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568613), // Rule ID 3343 //
     /*  568543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  568554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  568557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  568560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568589 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  568592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568611 */     GIR_RootConstrainSelectedInstOperands,
     /*  568612 */     // GIR_Coverage, 3343,
     /*  568612 */     GIR_EraseRootFromParent_Done,
     /*  568613 */   // Label 9302: @568613
     /*  568613 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568688), // Rule ID 3346 //
     /*  568618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  568629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  568632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568664 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  568667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568686 */     GIR_RootConstrainSelectedInstOperands,
     /*  568687 */     // GIR_Coverage, 3346,
     /*  568687 */     GIR_EraseRootFromParent_Done,
     /*  568688 */   // Label 9303: @568688
     /*  568688 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(568763), // Rule ID 3347 //
     /*  568693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  568704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  568707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  568710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  568742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568761 */     GIR_RootConstrainSelectedInstOperands,
     /*  568762 */     // GIR_Coverage, 3347,
     /*  568762 */     GIR_EraseRootFromParent_Done,
     /*  568763 */   // Label 9304: @568763
     /*  568763 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(568838), // Rule ID 3350 //
     /*  568768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  568779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  568782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  568785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568814 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  568817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568836 */     GIR_RootConstrainSelectedInstOperands,
     /*  568837 */     // GIR_Coverage, 3350,
     /*  568837 */     GIR_EraseRootFromParent_Done,
     /*  568838 */   // Label 9305: @568838
     /*  568838 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(568913), // Rule ID 3351 //
     /*  568843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  568854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  568857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  568860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568889 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  568892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568911 */     GIR_RootConstrainSelectedInstOperands,
     /*  568912 */     // GIR_Coverage, 3351,
     /*  568912 */     GIR_EraseRootFromParent_Done,
     /*  568913 */   // Label 9306: @568913
     /*  568913 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(568988), // Rule ID 3354 //
     /*  568918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  568935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  568967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568986 */     GIR_RootConstrainSelectedInstOperands,
     /*  568987 */     // GIR_Coverage, 3354,
     /*  568987 */     GIR_EraseRootFromParent_Done,
     /*  568988 */   // Label 9307: @568988
     /*  568988 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(569063), // Rule ID 3355 //
     /*  568993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569039 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569061 */     GIR_RootConstrainSelectedInstOperands,
     /*  569062 */     // GIR_Coverage, 3355,
     /*  569062 */     GIR_EraseRootFromParent_Done,
     /*  569063 */   // Label 9308: @569063
     /*  569063 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(569138), // Rule ID 3358 //
     /*  569068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569136 */     GIR_RootConstrainSelectedInstOperands,
     /*  569137 */     // GIR_Coverage, 3358,
     /*  569137 */     GIR_EraseRootFromParent_Done,
     /*  569138 */   // Label 9309: @569138
     /*  569138 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(569213), // Rule ID 3359 //
     /*  569143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569189 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569211 */     GIR_RootConstrainSelectedInstOperands,
     /*  569212 */     // GIR_Coverage, 3359,
     /*  569212 */     GIR_EraseRootFromParent_Done,
     /*  569213 */   // Label 9310: @569213
     /*  569213 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(569288), // Rule ID 3362 //
     /*  569218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  569235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569286 */     GIR_RootConstrainSelectedInstOperands,
     /*  569287 */     // GIR_Coverage, 3362,
     /*  569287 */     GIR_EraseRootFromParent_Done,
     /*  569288 */   // Label 9311: @569288
     /*  569288 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(569363), // Rule ID 3363 //
     /*  569293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  569310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569361 */     GIR_RootConstrainSelectedInstOperands,
     /*  569362 */     // GIR_Coverage, 3363,
     /*  569362 */     GIR_EraseRootFromParent_Done,
     /*  569363 */   // Label 9312: @569363
     /*  569363 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(569438), // Rule ID 3366 //
     /*  569368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569436 */     GIR_RootConstrainSelectedInstOperands,
     /*  569437 */     // GIR_Coverage, 3366,
     /*  569437 */     GIR_EraseRootFromParent_Done,
     /*  569438 */   // Label 9313: @569438
     /*  569438 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(569513), // Rule ID 3367 //
     /*  569443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569489 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569511 */     GIR_RootConstrainSelectedInstOperands,
     /*  569512 */     // GIR_Coverage, 3367,
     /*  569512 */     GIR_EraseRootFromParent_Done,
     /*  569513 */   // Label 9314: @569513
     /*  569513 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569588), // Rule ID 3370 //
     /*  569518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  569535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569586 */     GIR_RootConstrainSelectedInstOperands,
     /*  569587 */     // GIR_Coverage, 3370,
     /*  569587 */     GIR_EraseRootFromParent_Done,
     /*  569588 */   // Label 9315: @569588
     /*  569588 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569663), // Rule ID 3371 //
     /*  569593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  569610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569661 */     GIR_RootConstrainSelectedInstOperands,
     /*  569662 */     // GIR_Coverage, 3371,
     /*  569662 */     GIR_EraseRootFromParent_Done,
     /*  569663 */   // Label 9316: @569663
     /*  569663 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(569738), // Rule ID 3374 //
     /*  569668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  569685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569736 */     GIR_RootConstrainSelectedInstOperands,
     /*  569737 */     // GIR_Coverage, 3374,
     /*  569737 */     GIR_EraseRootFromParent_Done,
     /*  569738 */   // Label 9317: @569738
     /*  569738 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(569813), // Rule ID 3375 //
     /*  569743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  569754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  569757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  569760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569789 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569811 */     GIR_RootConstrainSelectedInstOperands,
     /*  569812 */     // GIR_Coverage, 3375,
     /*  569812 */     GIR_EraseRootFromParent_Done,
     /*  569813 */   // Label 9318: @569813
     /*  569813 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(569888), // Rule ID 3378 //
     /*  569818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  569821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  569829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  569832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  569835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  569864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  569883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569886 */     GIR_RootConstrainSelectedInstOperands,
     /*  569887 */     // GIR_Coverage, 3378,
     /*  569887 */     GIR_EraseRootFromParent_Done,
     /*  569888 */   // Label 9319: @569888
     /*  569888 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(569963), // Rule ID 3379 //
     /*  569893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  569896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  569904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  569907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  569910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11464:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  569939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  569958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569961 */     GIR_RootConstrainSelectedInstOperands,
     /*  569962 */     // GIR_Coverage, 3379,
     /*  569962 */     GIR_EraseRootFromParent_Done,
     /*  569963 */   // Label 9320: @569963
     /*  569963 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(570038), // Rule ID 3382 //
     /*  569968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  569971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  569979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  569982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  569985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570036 */     GIR_RootConstrainSelectedInstOperands,
     /*  570037 */     // GIR_Coverage, 3382,
     /*  570037 */     GIR_EraseRootFromParent_Done,
     /*  570038 */   // Label 9321: @570038
     /*  570038 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(570113), // Rule ID 3383 //
     /*  570043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  570060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11464:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570111 */     GIR_RootConstrainSelectedInstOperands,
     /*  570112 */     // GIR_Coverage, 3383,
     /*  570112 */     GIR_EraseRootFromParent_Done,
     /*  570113 */   // Label 9322: @570113
     /*  570113 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(570188), // Rule ID 3386 //
     /*  570118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  570135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570186 */     GIR_RootConstrainSelectedInstOperands,
     /*  570187 */     // GIR_Coverage, 3386,
     /*  570187 */     GIR_EraseRootFromParent_Done,
     /*  570188 */   // Label 9323: @570188
     /*  570188 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(570263), // Rule ID 3387 //
     /*  570193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  570210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11464:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570261 */     GIR_RootConstrainSelectedInstOperands,
     /*  570262 */     // GIR_Coverage, 3387,
     /*  570262 */     GIR_EraseRootFromParent_Done,
     /*  570263 */   // Label 9324: @570263
     /*  570263 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(570338), // Rule ID 3478 //
     /*  570268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  570317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570336 */     GIR_RootConstrainSelectedInstOperands,
     /*  570337 */     // GIR_Coverage, 3478,
     /*  570337 */     GIR_EraseRootFromParent_Done,
     /*  570338 */   // Label 9325: @570338
     /*  570338 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(570413), // Rule ID 3479 //
     /*  570343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570389 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  570392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570411 */     GIR_RootConstrainSelectedInstOperands,
     /*  570412 */     // GIR_Coverage, 3479,
     /*  570412 */     GIR_EraseRootFromParent_Done,
     /*  570413 */   // Label 9326: @570413
     /*  570413 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(570488), // Rule ID 3482 //
     /*  570418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  570467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570486 */     GIR_RootConstrainSelectedInstOperands,
     /*  570487 */     // GIR_Coverage, 3482,
     /*  570487 */     GIR_EraseRootFromParent_Done,
     /*  570488 */   // Label 9327: @570488
     /*  570488 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570563), // Rule ID 3483 //
     /*  570493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  570504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  570507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  570510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  570542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570561 */     GIR_RootConstrainSelectedInstOperands,
     /*  570562 */     // GIR_Coverage, 3483,
     /*  570562 */     GIR_EraseRootFromParent_Done,
     /*  570563 */   // Label 9328: @570563
     /*  570563 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570638), // Rule ID 3486 //
     /*  570568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  570617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570636 */     GIR_RootConstrainSelectedInstOperands,
     /*  570637 */     // GIR_Coverage, 3486,
     /*  570637 */     GIR_EraseRootFromParent_Done,
     /*  570638 */   // Label 9329: @570638
     /*  570638 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570713), // Rule ID 3487 //
     /*  570643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  570660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  570692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570711 */     GIR_RootConstrainSelectedInstOperands,
     /*  570712 */     // GIR_Coverage, 3487,
     /*  570712 */     GIR_EraseRootFromParent_Done,
     /*  570713 */   // Label 9330: @570713
     /*  570713 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(570788), // Rule ID 3490 //
     /*  570718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  570729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  570732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  570767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570786 */     GIR_RootConstrainSelectedInstOperands,
     /*  570787 */     // GIR_Coverage, 3490,
     /*  570787 */     GIR_EraseRootFromParent_Done,
     /*  570788 */   // Label 9331: @570788
     /*  570788 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(570863), // Rule ID 3491 //
     /*  570793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  570804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  570807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570839 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  570842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570861 */     GIR_RootConstrainSelectedInstOperands,
     /*  570862 */     // GIR_Coverage, 3491,
     /*  570862 */     GIR_EraseRootFromParent_Done,
     /*  570863 */   // Label 9332: @570863
     /*  570863 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(570938), // Rule ID 3494 //
     /*  570868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  570879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  570882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570914 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  570917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570936 */     GIR_RootConstrainSelectedInstOperands,
     /*  570937 */     // GIR_Coverage, 3494,
     /*  570937 */     GIR_EraseRootFromParent_Done,
     /*  570938 */   // Label 9333: @570938
     /*  570938 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(571013), // Rule ID 3495 //
     /*  570943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  570954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  570957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  570992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571011 */     GIR_RootConstrainSelectedInstOperands,
     /*  571012 */     // GIR_Coverage, 3495,
     /*  571012 */     GIR_EraseRootFromParent_Done,
     /*  571013 */   // Label 9334: @571013
     /*  571013 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(571088), // Rule ID 3498 //
     /*  571018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571064 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571086 */     GIR_RootConstrainSelectedInstOperands,
     /*  571087 */     // GIR_Coverage, 3498,
     /*  571087 */     GIR_EraseRootFromParent_Done,
     /*  571088 */   // Label 9335: @571088
     /*  571088 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(571163), // Rule ID 3499 //
     /*  571093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571161 */     GIR_RootConstrainSelectedInstOperands,
     /*  571162 */     // GIR_Coverage, 3499,
     /*  571162 */     GIR_EraseRootFromParent_Done,
     /*  571163 */   // Label 9336: @571163
     /*  571163 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(571238), // Rule ID 3502 //
     /*  571168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571236 */     GIR_RootConstrainSelectedInstOperands,
     /*  571237 */     // GIR_Coverage, 3502,
     /*  571237 */     GIR_EraseRootFromParent_Done,
     /*  571238 */   // Label 9337: @571238
     /*  571238 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(571313), // Rule ID 3503 //
     /*  571243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571311 */     GIR_RootConstrainSelectedInstOperands,
     /*  571312 */     // GIR_Coverage, 3503,
     /*  571312 */     GIR_EraseRootFromParent_Done,
     /*  571313 */   // Label 9338: @571313
     /*  571313 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(571388), // Rule ID 3506 //
     /*  571318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  571367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571386 */     GIR_RootConstrainSelectedInstOperands,
     /*  571387 */     // GIR_Coverage, 3506,
     /*  571387 */     GIR_EraseRootFromParent_Done,
     /*  571388 */   // Label 9339: @571388
     /*  571388 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(571463), // Rule ID 3507 //
     /*  571393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  571410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  571442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571461 */     GIR_RootConstrainSelectedInstOperands,
     /*  571462 */     // GIR_Coverage, 3507,
     /*  571462 */     GIR_EraseRootFromParent_Done,
     /*  571463 */   // Label 9340: @571463
     /*  571463 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571538), // Rule ID 3510 //
     /*  571468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  571517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571536 */     GIR_RootConstrainSelectedInstOperands,
     /*  571537 */     // GIR_Coverage, 3510,
     /*  571537 */     GIR_EraseRootFromParent_Done,
     /*  571538 */   // Label 9341: @571538
     /*  571538 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571613), // Rule ID 3511 //
     /*  571543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  571560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  571592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571611 */     GIR_RootConstrainSelectedInstOperands,
     /*  571612 */     // GIR_Coverage, 3511,
     /*  571612 */     GIR_EraseRootFromParent_Done,
     /*  571613 */   // Label 9342: @571613
     /*  571613 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571688), // Rule ID 3514 //
     /*  571618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571686 */     GIR_RootConstrainSelectedInstOperands,
     /*  571687 */     // GIR_Coverage, 3514,
     /*  571687 */     GIR_EraseRootFromParent_Done,
     /*  571688 */   // Label 9343: @571688
     /*  571688 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(571763), // Rule ID 3515 //
     /*  571693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571761 */     GIR_RootConstrainSelectedInstOperands,
     /*  571762 */     // GIR_Coverage, 3515,
     /*  571762 */     GIR_EraseRootFromParent_Done,
     /*  571763 */   // Label 9344: @571763
     /*  571763 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(571838), // Rule ID 3518 //
     /*  571768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571836 */     GIR_RootConstrainSelectedInstOperands,
     /*  571837 */     // GIR_Coverage, 3518,
     /*  571837 */     GIR_EraseRootFromParent_Done,
     /*  571838 */   // Label 9345: @571838
     /*  571838 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(571913), // Rule ID 3519 //
     /*  571843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571911 */     GIR_RootConstrainSelectedInstOperands,
     /*  571912 */     // GIR_Coverage, 3519,
     /*  571912 */     GIR_EraseRootFromParent_Done,
     /*  571913 */   // Label 9346: @571913
     /*  571913 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(571988), // Rule ID 3522 //
     /*  571918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  571929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  571932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  571935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  571938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  571967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571986 */     GIR_RootConstrainSelectedInstOperands,
     /*  571987 */     // GIR_Coverage, 3522,
     /*  571987 */     GIR_EraseRootFromParent_Done,
     /*  571988 */   // Label 9347: @571988
     /*  571988 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(572063), // Rule ID 3523 //
     /*  571993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  572042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572061 */     GIR_RootConstrainSelectedInstOperands,
     /*  572062 */     // GIR_Coverage, 3523,
     /*  572062 */     GIR_EraseRootFromParent_Done,
     /*  572063 */   // Label 9348: @572063
     /*  572063 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(572138), // Rule ID 3526 //
     /*  572068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572136 */     GIR_RootConstrainSelectedInstOperands,
     /*  572137 */     // GIR_Coverage, 3526,
     /*  572137 */     GIR_EraseRootFromParent_Done,
     /*  572138 */   // Label 9349: @572138
     /*  572138 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(572213), // Rule ID 3527 //
     /*  572143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572211 */     GIR_RootConstrainSelectedInstOperands,
     /*  572212 */     // GIR_Coverage, 3527,
     /*  572212 */     GIR_EraseRootFromParent_Done,
     /*  572213 */   // Label 9350: @572213
     /*  572213 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(572288), // Rule ID 3530 //
     /*  572218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  572267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572286 */     GIR_RootConstrainSelectedInstOperands,
     /*  572287 */     // GIR_Coverage, 3530,
     /*  572287 */     GIR_EraseRootFromParent_Done,
     /*  572288 */   // Label 9351: @572288
     /*  572288 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(572363), // Rule ID 3531 //
     /*  572293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572339 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  572342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572361 */     GIR_RootConstrainSelectedInstOperands,
     /*  572362 */     // GIR_Coverage, 3531,
     /*  572362 */     GIR_EraseRootFromParent_Done,
     /*  572363 */   // Label 9352: @572363
     /*  572363 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(572438), // Rule ID 3534 //
     /*  572368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572436 */     GIR_RootConstrainSelectedInstOperands,
     /*  572437 */     // GIR_Coverage, 3534,
     /*  572437 */     GIR_EraseRootFromParent_Done,
     /*  572438 */   // Label 9353: @572438
     /*  572438 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(572513), // Rule ID 3535 //
     /*  572443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  572460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572511 */     GIR_RootConstrainSelectedInstOperands,
     /*  572512 */     // GIR_Coverage, 3535,
     /*  572512 */     GIR_EraseRootFromParent_Done,
     /*  572513 */   // Label 9354: @572513
     /*  572513 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572588), // Rule ID 3538 //
     /*  572518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  572567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572586 */     GIR_RootConstrainSelectedInstOperands,
     /*  572587 */     // GIR_Coverage, 3538,
     /*  572587 */     GIR_EraseRootFromParent_Done,
     /*  572588 */   // Label 9355: @572588
     /*  572588 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572663), // Rule ID 3539 //
     /*  572593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  572642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572661 */     GIR_RootConstrainSelectedInstOperands,
     /*  572662 */     // GIR_Coverage, 3539,
     /*  572662 */     GIR_EraseRootFromParent_Done,
     /*  572663 */   // Label 9356: @572663
     /*  572663 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(572738), // Rule ID 3542 //
     /*  572668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  572717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572736 */     GIR_RootConstrainSelectedInstOperands,
     /*  572737 */     // GIR_Coverage, 3542,
     /*  572737 */     GIR_EraseRootFromParent_Done,
     /*  572738 */   // Label 9357: @572738
     /*  572738 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(572813), // Rule ID 3543 //
     /*  572743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  572754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  572757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572789 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  572792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572811 */     GIR_RootConstrainSelectedInstOperands,
     /*  572812 */     // GIR_Coverage, 3543,
     /*  572812 */     GIR_EraseRootFromParent_Done,
     /*  572813 */   // Label 9358: @572813
     /*  572813 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(572888), // Rule ID 3546 //
     /*  572818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  572829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  572832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  572867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572886 */     GIR_RootConstrainSelectedInstOperands,
     /*  572887 */     // GIR_Coverage, 3546,
     /*  572887 */     GIR_EraseRootFromParent_Done,
     /*  572888 */   // Label 9359: @572888
     /*  572888 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(572963), // Rule ID 3547 //
     /*  572893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  572904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  572907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11578:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  572942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572961 */     GIR_RootConstrainSelectedInstOperands,
     /*  572962 */     // GIR_Coverage, 3547,
     /*  572962 */     GIR_EraseRootFromParent_Done,
     /*  572963 */   // Label 9360: @572963
     /*  572963 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(573038), // Rule ID 3550 //
     /*  572968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  572979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  572982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  572985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573036 */     GIR_RootConstrainSelectedInstOperands,
     /*  573037 */     // GIR_Coverage, 3550,
     /*  573037 */     GIR_EraseRootFromParent_Done,
     /*  573038 */   // Label 9361: @573038
     /*  573038 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(573113), // Rule ID 3551 //
     /*  573043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573111 */     GIR_RootConstrainSelectedInstOperands,
     /*  573112 */     // GIR_Coverage, 3551,
     /*  573112 */     GIR_EraseRootFromParent_Done,
     /*  573113 */   // Label 9362: @573113
     /*  573113 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(573188), // Rule ID 3554 //
     /*  573118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573186 */     GIR_RootConstrainSelectedInstOperands,
     /*  573187 */     // GIR_Coverage, 3554,
     /*  573187 */     GIR_EraseRootFromParent_Done,
     /*  573188 */   // Label 9363: @573188
     /*  573188 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(573263), // Rule ID 3555 //
     /*  573193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573261 */     GIR_RootConstrainSelectedInstOperands,
     /*  573262 */     // GIR_Coverage, 3555,
     /*  573262 */     GIR_EraseRootFromParent_Done,
     /*  573263 */   // Label 9364: @573263
     /*  573263 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(573338), // Rule ID 3558 //
     /*  573268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  573317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573336 */     GIR_RootConstrainSelectedInstOperands,
     /*  573337 */     // GIR_Coverage, 3558,
     /*  573337 */     GIR_EraseRootFromParent_Done,
     /*  573338 */   // Label 9365: @573338
     /*  573338 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(573413), // Rule ID 3559 //
     /*  573343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573389 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  573392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573411 */     GIR_RootConstrainSelectedInstOperands,
     /*  573412 */     // GIR_Coverage, 3559,
     /*  573412 */     GIR_EraseRootFromParent_Done,
     /*  573413 */   // Label 9366: @573413
     /*  573413 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(573488), // Rule ID 3562 //
     /*  573418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  573467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573486 */     GIR_RootConstrainSelectedInstOperands,
     /*  573487 */     // GIR_Coverage, 3562,
     /*  573487 */     GIR_EraseRootFromParent_Done,
     /*  573488 */   // Label 9367: @573488
     /*  573488 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573563), // Rule ID 3563 //
     /*  573493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  573542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573561 */     GIR_RootConstrainSelectedInstOperands,
     /*  573562 */     // GIR_Coverage, 3563,
     /*  573562 */     GIR_EraseRootFromParent_Done,
     /*  573563 */   // Label 9368: @573563
     /*  573563 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573638), // Rule ID 3566 //
     /*  573568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573636 */     GIR_RootConstrainSelectedInstOperands,
     /*  573637 */     // GIR_Coverage, 3566,
     /*  573637 */     GIR_EraseRootFromParent_Done,
     /*  573638 */   // Label 9369: @573638
     /*  573638 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573713), // Rule ID 3567 //
     /*  573643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11578:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573711 */     GIR_RootConstrainSelectedInstOperands,
     /*  573712 */     // GIR_Coverage, 3567,
     /*  573712 */     GIR_EraseRootFromParent_Done,
     /*  573713 */   // Label 9370: @573713
     /*  573713 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(573788), // Rule ID 3570 //
     /*  573718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  573729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  573732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573786 */     GIR_RootConstrainSelectedInstOperands,
     /*  573787 */     // GIR_Coverage, 3570,
     /*  573787 */     GIR_EraseRootFromParent_Done,
     /*  573788 */   // Label 9371: @573788
     /*  573788 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(573863), // Rule ID 3571 //
     /*  573793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  573804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  573807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573861 */     GIR_RootConstrainSelectedInstOperands,
     /*  573862 */     // GIR_Coverage, 3571,
     /*  573862 */     GIR_EraseRootFromParent_Done,
     /*  573863 */   // Label 9372: @573863
     /*  573863 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(573938), // Rule ID 3574 //
     /*  573868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  573879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  573882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  573885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573936 */     GIR_RootConstrainSelectedInstOperands,
     /*  573937 */     // GIR_Coverage, 3574,
     /*  573937 */     GIR_EraseRootFromParent_Done,
     /*  573938 */   // Label 9373: @573938
     /*  573938 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(574013), // Rule ID 3575 //
     /*  573943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  573954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  573957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  573960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574011 */     GIR_RootConstrainSelectedInstOperands,
     /*  574012 */     // GIR_Coverage, 3575,
     /*  574012 */     GIR_EraseRootFromParent_Done,
     /*  574013 */   // Label 9374: @574013
     /*  574013 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(574088), // Rule ID 3578 //
     /*  574018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574086 */     GIR_RootConstrainSelectedInstOperands,
     /*  574087 */     // GIR_Coverage, 3578,
     /*  574087 */     GIR_EraseRootFromParent_Done,
     /*  574088 */   // Label 9375: @574088
     /*  574088 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(574163), // Rule ID 3579 //
     /*  574093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574161 */     GIR_RootConstrainSelectedInstOperands,
     /*  574162 */     // GIR_Coverage, 3579,
     /*  574162 */     GIR_EraseRootFromParent_Done,
     /*  574163 */   // Label 9376: @574163
     /*  574163 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(574238), // Rule ID 3582 //
     /*  574168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574236 */     GIR_RootConstrainSelectedInstOperands,
     /*  574237 */     // GIR_Coverage, 3582,
     /*  574237 */     GIR_EraseRootFromParent_Done,
     /*  574238 */   // Label 9377: @574238
     /*  574238 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(574313), // Rule ID 3583 //
     /*  574243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11578:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574311 */     GIR_RootConstrainSelectedInstOperands,
     /*  574312 */     // GIR_Coverage, 3583,
     /*  574312 */     GIR_EraseRootFromParent_Done,
     /*  574313 */   // Label 9378: @574313
     /*  574313 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(574388), // Rule ID 3586 //
     /*  574318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  574367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574386 */     GIR_RootConstrainSelectedInstOperands,
     /*  574387 */     // GIR_Coverage, 3586,
     /*  574387 */     GIR_EraseRootFromParent_Done,
     /*  574388 */   // Label 9379: @574388
     /*  574388 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(574463), // Rule ID 3587 //
     /*  574393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  574404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  574407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  574410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11578:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  574442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574461 */     GIR_RootConstrainSelectedInstOperands,
     /*  574462 */     // GIR_Coverage, 3587,
     /*  574462 */     GIR_EraseRootFromParent_Done,
     /*  574463 */   // Label 9380: @574463
     /*  574463 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574538), // Rule ID 3590 //
     /*  574468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574536 */     GIR_RootConstrainSelectedInstOperands,
     /*  574537 */     // GIR_Coverage, 3590,
     /*  574537 */     GIR_EraseRootFromParent_Done,
     /*  574538 */   // Label 9381: @574538
     /*  574538 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574613), // Rule ID 3591 //
     /*  574543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  574554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  574557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11578:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574611 */     GIR_RootConstrainSelectedInstOperands,
     /*  574612 */     // GIR_Coverage, 3591,
     /*  574612 */     GIR_EraseRootFromParent_Done,
     /*  574613 */   // Label 9382: @574613
     /*  574613 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574688), // Rule ID 3594 //
     /*  574618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574664 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574686 */     GIR_RootConstrainSelectedInstOperands,
     /*  574687 */     // GIR_Coverage, 3594,
     /*  574687 */     GIR_EraseRootFromParent_Done,
     /*  574688 */   // Label 9383: @574688
     /*  574688 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(574763), // Rule ID 3595 //
     /*  574693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  574704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  574707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  574710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11578:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574761 */     GIR_RootConstrainSelectedInstOperands,
     /*  574762 */     // GIR_Coverage, 3595,
     /*  574762 */     GIR_EraseRootFromParent_Done,
     /*  574763 */   // Label 9384: @574763
     /*  574763 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(574838), // Rule ID 3598 //
     /*  574768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  574817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574836 */     GIR_RootConstrainSelectedInstOperands,
     /*  574837 */     // GIR_Coverage, 3598,
     /*  574837 */     GIR_EraseRootFromParent_Done,
     /*  574838 */   // Label 9385: @574838
     /*  574838 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(574913), // Rule ID 3599 //
     /*  574843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  574892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574911 */     GIR_RootConstrainSelectedInstOperands,
     /*  574912 */     // GIR_Coverage, 3599,
     /*  574912 */     GIR_EraseRootFromParent_Done,
     /*  574913 */   // Label 9386: @574913
     /*  574913 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(574988), // Rule ID 3602 //
     /*  574918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  574926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  574929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  574932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  574935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  574938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574964 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  574967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574986 */     GIR_RootConstrainSelectedInstOperands,
     /*  574987 */     // GIR_Coverage, 3602,
     /*  574987 */     GIR_EraseRootFromParent_Done,
     /*  574988 */   // Label 9387: @574988
     /*  574988 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(575063), // Rule ID 3603 //
     /*  574993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575039 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575061 */     GIR_RootConstrainSelectedInstOperands,
     /*  575062 */     // GIR_Coverage, 3603,
     /*  575062 */     GIR_EraseRootFromParent_Done,
     /*  575063 */   // Label 9388: @575063
     /*  575063 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(575138), // Rule ID 3606 //
     /*  575068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575136 */     GIR_RootConstrainSelectedInstOperands,
     /*  575137 */     // GIR_Coverage, 3606,
     /*  575137 */     GIR_EraseRootFromParent_Done,
     /*  575138 */   // Label 9389: @575138
     /*  575138 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(575213), // Rule ID 3607 //
     /*  575143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575211 */     GIR_RootConstrainSelectedInstOperands,
     /*  575212 */     // GIR_Coverage, 3607,
     /*  575212 */     GIR_EraseRootFromParent_Done,
     /*  575213 */   // Label 9390: @575213
     /*  575213 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(575288), // Rule ID 3610 //
     /*  575218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  575267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575286 */     GIR_RootConstrainSelectedInstOperands,
     /*  575287 */     // GIR_Coverage, 3610,
     /*  575287 */     GIR_EraseRootFromParent_Done,
     /*  575288 */   // Label 9391: @575288
     /*  575288 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(575363), // Rule ID 3611 //
     /*  575293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  575342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575361 */     GIR_RootConstrainSelectedInstOperands,
     /*  575362 */     // GIR_Coverage, 3611,
     /*  575362 */     GIR_EraseRootFromParent_Done,
     /*  575363 */   // Label 9392: @575363
     /*  575363 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(575438), // Rule ID 3614 //
     /*  575368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  575417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575436 */     GIR_RootConstrainSelectedInstOperands,
     /*  575437 */     // GIR_Coverage, 3614,
     /*  575437 */     GIR_EraseRootFromParent_Done,
     /*  575438 */   // Label 9393: @575438
     /*  575438 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(575513), // Rule ID 3615 //
     /*  575443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  575454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  575457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  575460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  575463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  575492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575511 */     GIR_RootConstrainSelectedInstOperands,
     /*  575512 */     // GIR_Coverage, 3615,
     /*  575512 */     GIR_EraseRootFromParent_Done,
     /*  575513 */   // Label 9394: @575513
     /*  575513 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575588), // Rule ID 3618 //
     /*  575518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  575567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575586 */     GIR_RootConstrainSelectedInstOperands,
     /*  575587 */     // GIR_Coverage, 3618,
     /*  575587 */     GIR_EraseRootFromParent_Done,
     /*  575588 */   // Label 9395: @575588
     /*  575588 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575663), // Rule ID 3619 //
     /*  575593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  575604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  575607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  575610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  575613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  575642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575661 */     GIR_RootConstrainSelectedInstOperands,
     /*  575662 */     // GIR_Coverage, 3619,
     /*  575662 */     GIR_EraseRootFromParent_Done,
     /*  575663 */   // Label 9396: @575663
     /*  575663 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(575738), // Rule ID 3622 //
     /*  575668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575736 */     GIR_RootConstrainSelectedInstOperands,
     /*  575737 */     // GIR_Coverage, 3622,
     /*  575737 */     GIR_EraseRootFromParent_Done,
     /*  575738 */   // Label 9397: @575738
     /*  575738 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(575813), // Rule ID 3623 //
     /*  575743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575811 */     GIR_RootConstrainSelectedInstOperands,
     /*  575812 */     // GIR_Coverage, 3623,
     /*  575812 */     GIR_EraseRootFromParent_Done,
     /*  575813 */   // Label 9398: @575813
     /*  575813 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(575888), // Rule ID 3626 //
     /*  575818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575886 */     GIR_RootConstrainSelectedInstOperands,
     /*  575887 */     // GIR_Coverage, 3626,
     /*  575887 */     GIR_EraseRootFromParent_Done,
     /*  575888 */   // Label 9399: @575888
     /*  575888 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(575963), // Rule ID 3627 //
     /*  575893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575961 */     GIR_RootConstrainSelectedInstOperands,
     /*  575962 */     // GIR_Coverage, 3627,
     /*  575962 */     GIR_EraseRootFromParent_Done,
     /*  575963 */   // Label 9400: @575963
     /*  575963 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(576038), // Rule ID 3630 //
     /*  575968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  575979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  575982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  575985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  575988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576036 */     GIR_RootConstrainSelectedInstOperands,
     /*  576037 */     // GIR_Coverage, 3630,
     /*  576037 */     GIR_EraseRootFromParent_Done,
     /*  576038 */   // Label 9401: @576038
     /*  576038 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(576113), // Rule ID 3631 //
     /*  576043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576111 */     GIR_RootConstrainSelectedInstOperands,
     /*  576112 */     // GIR_Coverage, 3631,
     /*  576112 */     GIR_EraseRootFromParent_Done,
     /*  576113 */   // Label 9402: @576113
     /*  576113 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(576188), // Rule ID 3634 //
     /*  576118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576186 */     GIR_RootConstrainSelectedInstOperands,
     /*  576187 */     // GIR_Coverage, 3634,
     /*  576187 */     GIR_EraseRootFromParent_Done,
     /*  576188 */   // Label 9403: @576188
     /*  576188 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(576263), // Rule ID 3635 //
     /*  576193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576261 */     GIR_RootConstrainSelectedInstOperands,
     /*  576262 */     // GIR_Coverage, 3635,
     /*  576262 */     GIR_EraseRootFromParent_Done,
     /*  576263 */   // Label 9404: @576263
     /*  576263 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(576338), // Rule ID 3638 //
     /*  576268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576336 */     GIR_RootConstrainSelectedInstOperands,
     /*  576337 */     // GIR_Coverage, 3638,
     /*  576337 */     GIR_EraseRootFromParent_Done,
     /*  576338 */   // Label 9405: @576338
     /*  576338 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(576413), // Rule ID 3639 //
     /*  576343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576411 */     GIR_RootConstrainSelectedInstOperands,
     /*  576412 */     // GIR_Coverage, 3639,
     /*  576412 */     GIR_EraseRootFromParent_Done,
     /*  576413 */   // Label 9406: @576413
     /*  576413 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(576488), // Rule ID 3642 //
     /*  576418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576486 */     GIR_RootConstrainSelectedInstOperands,
     /*  576487 */     // GIR_Coverage, 3642,
     /*  576487 */     GIR_EraseRootFromParent_Done,
     /*  576488 */   // Label 9407: @576488
     /*  576488 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576563), // Rule ID 3643 //
     /*  576493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  576504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  576507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576561 */     GIR_RootConstrainSelectedInstOperands,
     /*  576562 */     // GIR_Coverage, 3643,
     /*  576562 */     GIR_EraseRootFromParent_Done,
     /*  576563 */   // Label 9408: @576563
     /*  576563 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576638), // Rule ID 3646 //
     /*  576568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576636 */     GIR_RootConstrainSelectedInstOperands,
     /*  576637 */     // GIR_Coverage, 3646,
     /*  576637 */     GIR_EraseRootFromParent_Done,
     /*  576638 */   // Label 9409: @576638
     /*  576638 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576713), // Rule ID 3647 //
     /*  576643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  576654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  576657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  576660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  576663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576689 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576711 */     GIR_RootConstrainSelectedInstOperands,
     /*  576712 */     // GIR_Coverage, 3647,
     /*  576712 */     GIR_EraseRootFromParent_Done,
     /*  576713 */   // Label 9410: @576713
     /*  576713 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(576788), // Rule ID 3650 //
     /*  576718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  576729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  576732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576786 */     GIR_RootConstrainSelectedInstOperands,
     /*  576787 */     // GIR_Coverage, 3650,
     /*  576787 */     GIR_EraseRootFromParent_Done,
     /*  576788 */   // Label 9411: @576788
     /*  576788 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(576863), // Rule ID 3651 //
     /*  576793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  576804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  576807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576861 */     GIR_RootConstrainSelectedInstOperands,
     /*  576862 */     // GIR_Coverage, 3651,
     /*  576862 */     GIR_EraseRootFromParent_Done,
     /*  576863 */   // Label 9412: @576863
     /*  576863 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(576938), // Rule ID 3654 //
     /*  576868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  576871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  576879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  576882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  576885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  576888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576936 */     GIR_RootConstrainSelectedInstOperands,
     /*  576937 */     // GIR_Coverage, 3654,
     /*  576937 */     GIR_EraseRootFromParent_Done,
     /*  576938 */   // Label 9413: @576938
     /*  576938 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(577013), // Rule ID 3655 //
     /*  576943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  576946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  576954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  576957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  576960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  576963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577011 */     GIR_RootConstrainSelectedInstOperands,
     /*  577012 */     // GIR_Coverage, 3655,
     /*  577012 */     GIR_EraseRootFromParent_Done,
     /*  577013 */   // Label 9414: @577013
     /*  577013 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(577088), // Rule ID 3658 //
     /*  577018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  577067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577086 */     GIR_RootConstrainSelectedInstOperands,
     /*  577087 */     // GIR_Coverage, 3658,
     /*  577087 */     GIR_EraseRootFromParent_Done,
     /*  577088 */   // Label 9415: @577088
     /*  577088 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(577163), // Rule ID 3659 //
     /*  577093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  577142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577161 */     GIR_RootConstrainSelectedInstOperands,
     /*  577162 */     // GIR_Coverage, 3659,
     /*  577162 */     GIR_EraseRootFromParent_Done,
     /*  577163 */   // Label 9416: @577163
     /*  577163 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(577238), // Rule ID 3662 //
     /*  577168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  577217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577236 */     GIR_RootConstrainSelectedInstOperands,
     /*  577237 */     // GIR_Coverage, 3662,
     /*  577237 */     GIR_EraseRootFromParent_Done,
     /*  577238 */   // Label 9417: @577238
     /*  577238 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(577313), // Rule ID 3663 //
     /*  577243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  577292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577311 */     GIR_RootConstrainSelectedInstOperands,
     /*  577312 */     // GIR_Coverage, 3663,
     /*  577312 */     GIR_EraseRootFromParent_Done,
     /*  577313 */   // Label 9418: @577313
     /*  577313 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(577388), // Rule ID 3666 //
     /*  577318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  577367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577386 */     GIR_RootConstrainSelectedInstOperands,
     /*  577387 */     // GIR_Coverage, 3666,
     /*  577387 */     GIR_EraseRootFromParent_Done,
     /*  577388 */   // Label 9419: @577388
     /*  577388 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(577463), // Rule ID 3667 //
     /*  577393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  577410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11606:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  577442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577461 */     GIR_RootConstrainSelectedInstOperands,
     /*  577462 */     // GIR_Coverage, 3667,
     /*  577462 */     GIR_EraseRootFromParent_Done,
     /*  577463 */   // Label 9420: @577463
     /*  577463 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577538), // Rule ID 3670 //
     /*  577468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  577517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577536 */     GIR_RootConstrainSelectedInstOperands,
     /*  577537 */     // GIR_Coverage, 3670,
     /*  577537 */     GIR_EraseRootFromParent_Done,
     /*  577538 */   // Label 9421: @577538
     /*  577538 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577613), // Rule ID 3671 //
     /*  577543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  577560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  577592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577611 */     GIR_RootConstrainSelectedInstOperands,
     /*  577612 */     // GIR_Coverage, 3671,
     /*  577612 */     GIR_EraseRootFromParent_Done,
     /*  577613 */   // Label 9422: @577613
     /*  577613 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577688), // Rule ID 3674 //
     /*  577618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  577667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577686 */     GIR_RootConstrainSelectedInstOperands,
     /*  577687 */     // GIR_Coverage, 3674,
     /*  577687 */     GIR_EraseRootFromParent_Done,
     /*  577688 */   // Label 9423: @577688
     /*  577688 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(577763), // Rule ID 3675 //
     /*  577693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  577742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577761 */     GIR_RootConstrainSelectedInstOperands,
     /*  577762 */     // GIR_Coverage, 3675,
     /*  577762 */     GIR_EraseRootFromParent_Done,
     /*  577763 */   // Label 9424: @577763
     /*  577763 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(577838), // Rule ID 3678 //
     /*  577768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  577779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  577782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  577817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577836 */     GIR_RootConstrainSelectedInstOperands,
     /*  577837 */     // GIR_Coverage, 3678,
     /*  577837 */     GIR_EraseRootFromParent_Done,
     /*  577838 */   // Label 9425: @577838
     /*  577838 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(577913), // Rule ID 3679 //
     /*  577843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  577854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  577857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577889 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  577892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577911 */     GIR_RootConstrainSelectedInstOperands,
     /*  577912 */     // GIR_Coverage, 3679,
     /*  577912 */     GIR_EraseRootFromParent_Done,
     /*  577913 */   // Label 9426: @577913
     /*  577913 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(577988), // Rule ID 3682 //
     /*  577918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  577929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  577932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  577935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577964 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  577967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577986 */     GIR_RootConstrainSelectedInstOperands,
     /*  577987 */     // GIR_Coverage, 3682,
     /*  577987 */     GIR_EraseRootFromParent_Done,
     /*  577988 */   // Label 9427: @577988
     /*  577988 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(578063), // Rule ID 3683 //
     /*  577993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  578042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578061 */     GIR_RootConstrainSelectedInstOperands,
     /*  578062 */     // GIR_Coverage, 3683,
     /*  578062 */     GIR_EraseRootFromParent_Done,
     /*  578063 */   // Label 9428: @578063
     /*  578063 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(578138), // Rule ID 3686 //
     /*  578068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578136 */     GIR_RootConstrainSelectedInstOperands,
     /*  578137 */     // GIR_Coverage, 3686,
     /*  578137 */     GIR_EraseRootFromParent_Done,
     /*  578138 */   // Label 9429: @578138
     /*  578138 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(578213), // Rule ID 3687 //
     /*  578143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11606:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578211 */     GIR_RootConstrainSelectedInstOperands,
     /*  578212 */     // GIR_Coverage, 3687,
     /*  578212 */     GIR_EraseRootFromParent_Done,
     /*  578213 */   // Label 9430: @578213
     /*  578213 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(578288), // Rule ID 3690 //
     /*  578218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578286 */     GIR_RootConstrainSelectedInstOperands,
     /*  578287 */     // GIR_Coverage, 3690,
     /*  578287 */     GIR_EraseRootFromParent_Done,
     /*  578288 */   // Label 9431: @578288
     /*  578288 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(578363), // Rule ID 3691 //
     /*  578293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578361 */     GIR_RootConstrainSelectedInstOperands,
     /*  578362 */     // GIR_Coverage, 3691,
     /*  578362 */     GIR_EraseRootFromParent_Done,
     /*  578363 */   // Label 9432: @578363
     /*  578363 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(578438), // Rule ID 3694 //
     /*  578368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  578417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578436 */     GIR_RootConstrainSelectedInstOperands,
     /*  578437 */     // GIR_Coverage, 3694,
     /*  578437 */     GIR_EraseRootFromParent_Done,
     /*  578438 */   // Label 9433: @578438
     /*  578438 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(578513), // Rule ID 3695 //
     /*  578443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  578492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578511 */     GIR_RootConstrainSelectedInstOperands,
     /*  578512 */     // GIR_Coverage, 3695,
     /*  578512 */     GIR_EraseRootFromParent_Done,
     /*  578513 */   // Label 9434: @578513
     /*  578513 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578588), // Rule ID 3698 //
     /*  578518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578586 */     GIR_RootConstrainSelectedInstOperands,
     /*  578587 */     // GIR_Coverage, 3698,
     /*  578587 */     GIR_EraseRootFromParent_Done,
     /*  578588 */   // Label 9435: @578588
     /*  578588 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578663), // Rule ID 3699 //
     /*  578593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578661 */     GIR_RootConstrainSelectedInstOperands,
     /*  578662 */     // GIR_Coverage, 3699,
     /*  578662 */     GIR_EraseRootFromParent_Done,
     /*  578663 */   // Label 9436: @578663
     /*  578663 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(578738), // Rule ID 3702 //
     /*  578668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578736 */     GIR_RootConstrainSelectedInstOperands,
     /*  578737 */     // GIR_Coverage, 3702,
     /*  578737 */     GIR_EraseRootFromParent_Done,
     /*  578738 */   // Label 9437: @578738
     /*  578738 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(578813), // Rule ID 3703 //
     /*  578743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  578754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  578757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578789 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11606:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578811 */     GIR_RootConstrainSelectedInstOperands,
     /*  578812 */     // GIR_Coverage, 3703,
     /*  578812 */     GIR_EraseRootFromParent_Done,
     /*  578813 */   // Label 9438: @578813
     /*  578813 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(578888), // Rule ID 3706 //
     /*  578818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578886 */     GIR_RootConstrainSelectedInstOperands,
     /*  578887 */     // GIR_Coverage, 3706,
     /*  578887 */     GIR_EraseRootFromParent_Done,
     /*  578888 */   // Label 9439: @578888
     /*  578888 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(578963), // Rule ID 3707 //
     /*  578893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  578896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11606:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578961 */     GIR_RootConstrainSelectedInstOperands,
     /*  578962 */     // GIR_Coverage, 3707,
     /*  578962 */     GIR_EraseRootFromParent_Done,
     /*  578963 */   // Label 9440: @578963
     /*  578963 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(579038), // Rule ID 3710 //
     /*  578968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  578971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  578979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  578982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579036 */     GIR_RootConstrainSelectedInstOperands,
     /*  579037 */     // GIR_Coverage, 3710,
     /*  579037 */     GIR_EraseRootFromParent_Done,
     /*  579038 */   // Label 9441: @579038
     /*  579038 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(579113), // Rule ID 3711 //
     /*  579043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11606:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579111 */     GIR_RootConstrainSelectedInstOperands,
     /*  579112 */     // GIR_Coverage, 3711,
     /*  579112 */     GIR_EraseRootFromParent_Done,
     /*  579113 */   // Label 9442: @579113
     /*  579113 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(579188), // Rule ID 3714 //
     /*  579118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579186 */     GIR_RootConstrainSelectedInstOperands,
     /*  579187 */     // GIR_Coverage, 3714,
     /*  579187 */     GIR_EraseRootFromParent_Done,
     /*  579188 */   // Label 9443: @579188
     /*  579188 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(579263), // Rule ID 3715 //
     /*  579193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11606:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579261 */     GIR_RootConstrainSelectedInstOperands,
     /*  579262 */     // GIR_Coverage, 3715,
     /*  579262 */     GIR_EraseRootFromParent_Done,
     /*  579263 */   // Label 9444: @579263
     /*  579263 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(579338), // Rule ID 3718 //
     /*  579268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  579317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579336 */     GIR_RootConstrainSelectedInstOperands,
     /*  579337 */     // GIR_Coverage, 3718,
     /*  579337 */     GIR_EraseRootFromParent_Done,
     /*  579338 */   // Label 9445: @579338
     /*  579338 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(579413), // Rule ID 3719 //
     /*  579343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579389 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  579392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579411 */     GIR_RootConstrainSelectedInstOperands,
     /*  579412 */     // GIR_Coverage, 3719,
     /*  579412 */     GIR_EraseRootFromParent_Done,
     /*  579413 */   // Label 9446: @579413
     /*  579413 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(579488), // Rule ID 3722 //
     /*  579418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  579467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579486 */     GIR_RootConstrainSelectedInstOperands,
     /*  579487 */     // GIR_Coverage, 3722,
     /*  579487 */     GIR_EraseRootFromParent_Done,
     /*  579488 */   // Label 9447: @579488
     /*  579488 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579563), // Rule ID 3723 //
     /*  579493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  579513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  579542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579561 */     GIR_RootConstrainSelectedInstOperands,
     /*  579562 */     // GIR_Coverage, 3723,
     /*  579562 */     GIR_EraseRootFromParent_Done,
     /*  579563 */   // Label 9448: @579563
     /*  579563 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579638), // Rule ID 3726 //
     /*  579568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  579617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579636 */     GIR_RootConstrainSelectedInstOperands,
     /*  579637 */     // GIR_Coverage, 3726,
     /*  579637 */     GIR_EraseRootFromParent_Done,
     /*  579638 */   // Label 9449: @579638
     /*  579638 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579713), // Rule ID 3727 //
     /*  579643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  579654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  579657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  579663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  579692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579711 */     GIR_RootConstrainSelectedInstOperands,
     /*  579712 */     // GIR_Coverage, 3727,
     /*  579712 */     GIR_EraseRootFromParent_Done,
     /*  579713 */   // Label 9450: @579713
     /*  579713 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(579788), // Rule ID 3730 //
     /*  579718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  579735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  579738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  579767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579786 */     GIR_RootConstrainSelectedInstOperands,
     /*  579787 */     // GIR_Coverage, 3730,
     /*  579787 */     GIR_EraseRootFromParent_Done,
     /*  579788 */   // Label 9451: @579788
     /*  579788 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(579863), // Rule ID 3731 //
     /*  579793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  579810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  579813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579839 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  579842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579861 */     GIR_RootConstrainSelectedInstOperands,
     /*  579862 */     // GIR_Coverage, 3731,
     /*  579862 */     GIR_EraseRootFromParent_Done,
     /*  579863 */   // Label 9452: @579863
     /*  579863 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(579938), // Rule ID 3734 //
     /*  579868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  579888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579914 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  579917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579936 */     GIR_RootConstrainSelectedInstOperands,
     /*  579937 */     // GIR_Coverage, 3734,
     /*  579937 */     GIR_EraseRootFromParent_Done,
     /*  579938 */   // Label 9453: @579938
     /*  579938 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(580013), // Rule ID 3735 //
     /*  579943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  579963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  579992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580011 */     GIR_RootConstrainSelectedInstOperands,
     /*  580012 */     // GIR_Coverage, 3735,
     /*  580012 */     GIR_EraseRootFromParent_Done,
     /*  580013 */   // Label 9454: @580013
     /*  580013 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(580088), // Rule ID 3738 //
     /*  580018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580064 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580086 */     GIR_RootConstrainSelectedInstOperands,
     /*  580087 */     // GIR_Coverage, 3738,
     /*  580087 */     GIR_EraseRootFromParent_Done,
     /*  580088 */   // Label 9455: @580088
     /*  580088 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(580163), // Rule ID 3739 //
     /*  580093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580139 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580161 */     GIR_RootConstrainSelectedInstOperands,
     /*  580162 */     // GIR_Coverage, 3739,
     /*  580162 */     GIR_EraseRootFromParent_Done,
     /*  580163 */   // Label 9456: @580163
     /*  580163 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(580238), // Rule ID 3742 //
     /*  580168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580236 */     GIR_RootConstrainSelectedInstOperands,
     /*  580237 */     // GIR_Coverage, 3742,
     /*  580237 */     GIR_EraseRootFromParent_Done,
     /*  580238 */   // Label 9457: @580238
     /*  580238 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(580313), // Rule ID 3743 //
     /*  580243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580311 */     GIR_RootConstrainSelectedInstOperands,
     /*  580312 */     // GIR_Coverage, 3743,
     /*  580312 */     GIR_EraseRootFromParent_Done,
     /*  580313 */   // Label 9458: @580313
     /*  580313 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(580388), // Rule ID 3746 //
     /*  580318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  580367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580386 */     GIR_RootConstrainSelectedInstOperands,
     /*  580387 */     // GIR_Coverage, 3746,
     /*  580387 */     GIR_EraseRootFromParent_Done,
     /*  580388 */   // Label 9459: @580388
     /*  580388 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(580463), // Rule ID 3747 //
     /*  580393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  580413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  580442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580461 */     GIR_RootConstrainSelectedInstOperands,
     /*  580462 */     // GIR_Coverage, 3747,
     /*  580462 */     GIR_EraseRootFromParent_Done,
     /*  580463 */   // Label 9460: @580463
     /*  580463 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580538), // Rule ID 3750 //
     /*  580468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  580517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580536 */     GIR_RootConstrainSelectedInstOperands,
     /*  580537 */     // GIR_Coverage, 3750,
     /*  580537 */     GIR_EraseRootFromParent_Done,
     /*  580538 */   // Label 9461: @580538
     /*  580538 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580613), // Rule ID 3751 //
     /*  580543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  580563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  580592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580611 */     GIR_RootConstrainSelectedInstOperands,
     /*  580612 */     // GIR_Coverage, 3751,
     /*  580612 */     GIR_EraseRootFromParent_Done,
     /*  580613 */   // Label 9462: @580613
     /*  580613 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580688), // Rule ID 3754 //
     /*  580618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580686 */     GIR_RootConstrainSelectedInstOperands,
     /*  580687 */     // GIR_Coverage, 3754,
     /*  580687 */     GIR_EraseRootFromParent_Done,
     /*  580688 */   // Label 9463: @580688
     /*  580688 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(580763), // Rule ID 3755 //
     /*  580693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  580713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580761 */     GIR_RootConstrainSelectedInstOperands,
     /*  580762 */     // GIR_Coverage, 3755,
     /*  580762 */     GIR_EraseRootFromParent_Done,
     /*  580763 */   // Label 9464: @580763
     /*  580763 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(580838), // Rule ID 3758 //
     /*  580768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  580788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580836 */     GIR_RootConstrainSelectedInstOperands,
     /*  580837 */     // GIR_Coverage, 3758,
     /*  580837 */     GIR_EraseRootFromParent_Done,
     /*  580838 */   // Label 9465: @580838
     /*  580838 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(580913), // Rule ID 3759 //
     /*  580843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  580863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580911 */     GIR_RootConstrainSelectedInstOperands,
     /*  580912 */     // GIR_Coverage, 3759,
     /*  580912 */     GIR_EraseRootFromParent_Done,
     /*  580913 */   // Label 9466: @580913
     /*  580913 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(580988), // Rule ID 3762 //
     /*  580918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  580921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  580929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  580932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  580935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  580938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  580967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580986 */     GIR_RootConstrainSelectedInstOperands,
     /*  580987 */     // GIR_Coverage, 3762,
     /*  580987 */     GIR_EraseRootFromParent_Done,
     /*  580988 */   // Label 9467: @580988
     /*  580988 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(581063), // Rule ID 3763 //
     /*  580993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  580996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  581042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581061 */     GIR_RootConstrainSelectedInstOperands,
     /*  581062 */     // GIR_Coverage, 3763,
     /*  581062 */     GIR_EraseRootFromParent_Done,
     /*  581063 */   // Label 9468: @581063
     /*  581063 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(581138), // Rule ID 3766 //
     /*  581068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581136 */     GIR_RootConstrainSelectedInstOperands,
     /*  581137 */     // GIR_Coverage, 3766,
     /*  581137 */     GIR_EraseRootFromParent_Done,
     /*  581138 */   // Label 9469: @581138
     /*  581138 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(581213), // Rule ID 3767 //
     /*  581143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581211 */     GIR_RootConstrainSelectedInstOperands,
     /*  581212 */     // GIR_Coverage, 3767,
     /*  581212 */     GIR_EraseRootFromParent_Done,
     /*  581213 */   // Label 9470: @581213
     /*  581213 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(581288), // Rule ID 3770 //
     /*  581218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  581267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581286 */     GIR_RootConstrainSelectedInstOperands,
     /*  581287 */     // GIR_Coverage, 3770,
     /*  581287 */     GIR_EraseRootFromParent_Done,
     /*  581288 */   // Label 9471: @581288
     /*  581288 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(581363), // Rule ID 3771 //
     /*  581293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581339 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  581342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581361 */     GIR_RootConstrainSelectedInstOperands,
     /*  581362 */     // GIR_Coverage, 3771,
     /*  581362 */     GIR_EraseRootFromParent_Done,
     /*  581363 */   // Label 9472: @581363
     /*  581363 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(581438), // Rule ID 3774 //
     /*  581368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581436 */     GIR_RootConstrainSelectedInstOperands,
     /*  581437 */     // GIR_Coverage, 3774,
     /*  581437 */     GIR_EraseRootFromParent_Done,
     /*  581438 */   // Label 9473: @581438
     /*  581438 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(581513), // Rule ID 3775 //
     /*  581443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  581463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581511 */     GIR_RootConstrainSelectedInstOperands,
     /*  581512 */     // GIR_Coverage, 3775,
     /*  581512 */     GIR_EraseRootFromParent_Done,
     /*  581513 */   // Label 9474: @581513
     /*  581513 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581588), // Rule ID 3778 //
     /*  581518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  581567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581586 */     GIR_RootConstrainSelectedInstOperands,
     /*  581587 */     // GIR_Coverage, 3778,
     /*  581587 */     GIR_EraseRootFromParent_Done,
     /*  581588 */   // Label 9475: @581588
     /*  581588 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581663), // Rule ID 3779 //
     /*  581593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  581642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581661 */     GIR_RootConstrainSelectedInstOperands,
     /*  581662 */     // GIR_Coverage, 3779,
     /*  581662 */     GIR_EraseRootFromParent_Done,
     /*  581663 */   // Label 9476: @581663
     /*  581663 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(581738), // Rule ID 3782 //
     /*  581668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  581717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581736 */     GIR_RootConstrainSelectedInstOperands,
     /*  581737 */     // GIR_Coverage, 3782,
     /*  581737 */     GIR_EraseRootFromParent_Done,
     /*  581738 */   // Label 9477: @581738
     /*  581738 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(581813), // Rule ID 3783 //
     /*  581743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581789 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  581792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581811 */     GIR_RootConstrainSelectedInstOperands,
     /*  581812 */     // GIR_Coverage, 3783,
     /*  581812 */     GIR_EraseRootFromParent_Done,
     /*  581813 */   // Label 9478: @581813
     /*  581813 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(581888), // Rule ID 3786 //
     /*  581818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  581829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  581832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  581867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581886 */     GIR_RootConstrainSelectedInstOperands,
     /*  581887 */     // GIR_Coverage, 3786,
     /*  581887 */     GIR_EraseRootFromParent_Done,
     /*  581888 */   // Label 9479: @581888
     /*  581888 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(581963), // Rule ID 3787 //
     /*  581893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  581904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  581907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  581942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581961 */     GIR_RootConstrainSelectedInstOperands,
     /*  581962 */     // GIR_Coverage, 3787,
     /*  581962 */     GIR_EraseRootFromParent_Done,
     /*  581963 */   // Label 9480: @581963
     /*  581963 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(582038), // Rule ID 3790 //
     /*  581968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  581979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  581982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  581985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582036 */     GIR_RootConstrainSelectedInstOperands,
     /*  582037 */     // GIR_Coverage, 3790,
     /*  582037 */     GIR_EraseRootFromParent_Done,
     /*  582038 */   // Label 9481: @582038
     /*  582038 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(582113), // Rule ID 3791 //
     /*  582043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582111 */     GIR_RootConstrainSelectedInstOperands,
     /*  582112 */     // GIR_Coverage, 3791,
     /*  582112 */     GIR_EraseRootFromParent_Done,
     /*  582113 */   // Label 9482: @582113
     /*  582113 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(582188), // Rule ID 3794 //
     /*  582118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582186 */     GIR_RootConstrainSelectedInstOperands,
     /*  582187 */     // GIR_Coverage, 3794,
     /*  582187 */     GIR_EraseRootFromParent_Done,
     /*  582188 */   // Label 9483: @582188
     /*  582188 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(582263), // Rule ID 3795 //
     /*  582193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582261 */     GIR_RootConstrainSelectedInstOperands,
     /*  582262 */     // GIR_Coverage, 3795,
     /*  582262 */     GIR_EraseRootFromParent_Done,
     /*  582263 */   // Label 9484: @582263
     /*  582263 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(582338), // Rule ID 3798 //
     /*  582268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  582317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582336 */     GIR_RootConstrainSelectedInstOperands,
     /*  582337 */     // GIR_Coverage, 3798,
     /*  582337 */     GIR_EraseRootFromParent_Done,
     /*  582338 */   // Label 9485: @582338
     /*  582338 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(582413), // Rule ID 3799 //
     /*  582343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582389 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  582392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582411 */     GIR_RootConstrainSelectedInstOperands,
     /*  582412 */     // GIR_Coverage, 3799,
     /*  582412 */     GIR_EraseRootFromParent_Done,
     /*  582413 */   // Label 9486: @582413
     /*  582413 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(582488), // Rule ID 3802 //
     /*  582418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  582467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582486 */     GIR_RootConstrainSelectedInstOperands,
     /*  582487 */     // GIR_Coverage, 3802,
     /*  582487 */     GIR_EraseRootFromParent_Done,
     /*  582488 */   // Label 9487: @582488
     /*  582488 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582563), // Rule ID 3803 //
     /*  582493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  582504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  582507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  582542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582561 */     GIR_RootConstrainSelectedInstOperands,
     /*  582562 */     // GIR_Coverage, 3803,
     /*  582562 */     GIR_EraseRootFromParent_Done,
     /*  582563 */   // Label 9488: @582563
     /*  582563 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582638), // Rule ID 3806 //
     /*  582568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582636 */     GIR_RootConstrainSelectedInstOperands,
     /*  582637 */     // GIR_Coverage, 3806,
     /*  582637 */     GIR_EraseRootFromParent_Done,
     /*  582638 */   // Label 9489: @582638
     /*  582638 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582713), // Rule ID 3807 //
     /*  582643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582711 */     GIR_RootConstrainSelectedInstOperands,
     /*  582712 */     // GIR_Coverage, 3807,
     /*  582712 */     GIR_EraseRootFromParent_Done,
     /*  582713 */   // Label 9490: @582713
     /*  582713 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(582788), // Rule ID 3810 //
     /*  582718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  582729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  582732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582786 */     GIR_RootConstrainSelectedInstOperands,
     /*  582787 */     // GIR_Coverage, 3810,
     /*  582787 */     GIR_EraseRootFromParent_Done,
     /*  582788 */   // Label 9491: @582788
     /*  582788 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(582863), // Rule ID 3811 //
     /*  582793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  582804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  582807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582861 */     GIR_RootConstrainSelectedInstOperands,
     /*  582862 */     // GIR_Coverage, 3811,
     /*  582862 */     GIR_EraseRootFromParent_Done,
     /*  582863 */   // Label 9492: @582863
     /*  582863 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(582938), // Rule ID 3814 //
     /*  582868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  582879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  582882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582936 */     GIR_RootConstrainSelectedInstOperands,
     /*  582937 */     // GIR_Coverage, 3814,
     /*  582937 */     GIR_EraseRootFromParent_Done,
     /*  582938 */   // Label 9493: @582938
     /*  582938 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(583013), // Rule ID 3815 //
     /*  582943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  582954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  582957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583011 */     GIR_RootConstrainSelectedInstOperands,
     /*  583012 */     // GIR_Coverage, 3815,
     /*  583012 */     GIR_EraseRootFromParent_Done,
     /*  583013 */   // Label 9494: @583013
     /*  583013 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(583088), // Rule ID 3818 //
     /*  583018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583086 */     GIR_RootConstrainSelectedInstOperands,
     /*  583087 */     // GIR_Coverage, 3818,
     /*  583087 */     GIR_EraseRootFromParent_Done,
     /*  583088 */   // Label 9495: @583088
     /*  583088 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(583163), // Rule ID 3819 //
     /*  583093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583161 */     GIR_RootConstrainSelectedInstOperands,
     /*  583162 */     // GIR_Coverage, 3819,
     /*  583162 */     GIR_EraseRootFromParent_Done,
     /*  583163 */   // Label 9496: @583163
     /*  583163 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(583238), // Rule ID 3822 //
     /*  583168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583236 */     GIR_RootConstrainSelectedInstOperands,
     /*  583237 */     // GIR_Coverage, 3822,
     /*  583237 */     GIR_EraseRootFromParent_Done,
     /*  583238 */   // Label 9497: @583238
     /*  583238 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(583313), // Rule ID 3823 //
     /*  583243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583311 */     GIR_RootConstrainSelectedInstOperands,
     /*  583312 */     // GIR_Coverage, 3823,
     /*  583312 */     GIR_EraseRootFromParent_Done,
     /*  583313 */   // Label 9498: @583313
     /*  583313 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(583388), // Rule ID 3826 //
     /*  583318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  583367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583386 */     GIR_RootConstrainSelectedInstOperands,
     /*  583387 */     // GIR_Coverage, 3826,
     /*  583387 */     GIR_EraseRootFromParent_Done,
     /*  583388 */   // Label 9499: @583388
     /*  583388 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(583463), // Rule ID 3827 //
     /*  583393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  583442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583461 */     GIR_RootConstrainSelectedInstOperands,
     /*  583462 */     // GIR_Coverage, 3827,
     /*  583462 */     GIR_EraseRootFromParent_Done,
     /*  583463 */   // Label 9500: @583463
     /*  583463 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583538), // Rule ID 3830 //
     /*  583468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583514 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583536 */     GIR_RootConstrainSelectedInstOperands,
     /*  583537 */     // GIR_Coverage, 3830,
     /*  583537 */     GIR_EraseRootFromParent_Done,
     /*  583538 */   // Label 9501: @583538
     /*  583538 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583613), // Rule ID 3831 //
     /*  583543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  583554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  583557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583611 */     GIR_RootConstrainSelectedInstOperands,
     /*  583612 */     // GIR_Coverage, 3831,
     /*  583612 */     GIR_EraseRootFromParent_Done,
     /*  583613 */   // Label 9502: @583613
     /*  583613 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583688), // Rule ID 3834 //
     /*  583618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583664 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583686 */     GIR_RootConstrainSelectedInstOperands,
     /*  583687 */     // GIR_Coverage, 3834,
     /*  583687 */     GIR_EraseRootFromParent_Done,
     /*  583688 */   // Label 9503: @583688
     /*  583688 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(583763), // Rule ID 3835 //
     /*  583693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  583704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  583707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583761 */     GIR_RootConstrainSelectedInstOperands,
     /*  583762 */     // GIR_Coverage, 3835,
     /*  583762 */     GIR_EraseRootFromParent_Done,
     /*  583763 */   // Label 9504: @583763
     /*  583763 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(583838), // Rule ID 3838 //
     /*  583768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  583779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  583782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  583785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  583788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  583817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583836 */     GIR_RootConstrainSelectedInstOperands,
     /*  583837 */     // GIR_Coverage, 3838,
     /*  583837 */     GIR_EraseRootFromParent_Done,
     /*  583838 */   // Label 9505: @583838
     /*  583838 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(583913), // Rule ID 3839 //
     /*  583843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  583854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  583857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  583860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  583863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  583892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583911 */     GIR_RootConstrainSelectedInstOperands,
     /*  583912 */     // GIR_Coverage, 3839,
     /*  583912 */     GIR_EraseRootFromParent_Done,
     /*  583913 */   // Label 9506: @583913
     /*  583913 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(583988), // Rule ID 3842 //
     /*  583918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  583926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  583929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  583932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  583935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  583938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583964 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  583967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583986 */     GIR_RootConstrainSelectedInstOperands,
     /*  583987 */     // GIR_Coverage, 3842,
     /*  583987 */     GIR_EraseRootFromParent_Done,
     /*  583988 */   // Label 9507: @583988
     /*  583988 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(584063), // Rule ID 3843 //
     /*  583993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  584010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584039 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584061 */     GIR_RootConstrainSelectedInstOperands,
     /*  584062 */     // GIR_Coverage, 3843,
     /*  584062 */     GIR_EraseRootFromParent_Done,
     /*  584063 */   // Label 9508: @584063
     /*  584063 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(584138), // Rule ID 3846 //
     /*  584068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584136 */     GIR_RootConstrainSelectedInstOperands,
     /*  584137 */     // GIR_Coverage, 3846,
     /*  584137 */     GIR_EraseRootFromParent_Done,
     /*  584138 */   // Label 9509: @584138
     /*  584138 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(584213), // Rule ID 3847 //
     /*  584143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584211 */     GIR_RootConstrainSelectedInstOperands,
     /*  584212 */     // GIR_Coverage, 3847,
     /*  584212 */     GIR_EraseRootFromParent_Done,
     /*  584213 */   // Label 9510: @584213
     /*  584213 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(584288), // Rule ID 3850 //
     /*  584218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  584235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  584267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584286 */     GIR_RootConstrainSelectedInstOperands,
     /*  584287 */     // GIR_Coverage, 3850,
     /*  584287 */     GIR_EraseRootFromParent_Done,
     /*  584288 */   // Label 9511: @584288
     /*  584288 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(584363), // Rule ID 3851 //
     /*  584293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  584310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  584342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584361 */     GIR_RootConstrainSelectedInstOperands,
     /*  584362 */     // GIR_Coverage, 3851,
     /*  584362 */     GIR_EraseRootFromParent_Done,
     /*  584363 */   // Label 9512: @584363
     /*  584363 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(584438), // Rule ID 3854 //
     /*  584368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  584385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  584417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584436 */     GIR_RootConstrainSelectedInstOperands,
     /*  584437 */     // GIR_Coverage, 3854,
     /*  584437 */     GIR_EraseRootFromParent_Done,
     /*  584438 */   // Label 9513: @584438
     /*  584438 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(584513), // Rule ID 3855 //
     /*  584443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  584460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  584492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584511 */     GIR_RootConstrainSelectedInstOperands,
     /*  584512 */     // GIR_Coverage, 3855,
     /*  584512 */     GIR_EraseRootFromParent_Done,
     /*  584513 */   // Label 9514: @584513
     /*  584513 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584588), // Rule ID 3858 //
     /*  584518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  584535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  584567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584586 */     GIR_RootConstrainSelectedInstOperands,
     /*  584587 */     // GIR_Coverage, 3858,
     /*  584587 */     GIR_EraseRootFromParent_Done,
     /*  584588 */   // Label 9515: @584588
     /*  584588 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584663), // Rule ID 3859 //
     /*  584593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  584610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  584642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584661 */     GIR_RootConstrainSelectedInstOperands,
     /*  584662 */     // GIR_Coverage, 3859,
     /*  584662 */     GIR_EraseRootFromParent_Done,
     /*  584663 */   // Label 9516: @584663
     /*  584663 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(584738), // Rule ID 3862 //
     /*  584668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584736 */     GIR_RootConstrainSelectedInstOperands,
     /*  584737 */     // GIR_Coverage, 3862,
     /*  584737 */     GIR_EraseRootFromParent_Done,
     /*  584738 */   // Label 9517: @584738
     /*  584738 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(584813), // Rule ID 3863 //
     /*  584743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  584754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  584757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  584763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584811 */     GIR_RootConstrainSelectedInstOperands,
     /*  584812 */     // GIR_Coverage, 3863,
     /*  584812 */     GIR_EraseRootFromParent_Done,
     /*  584813 */   // Label 9518: @584813
     /*  584813 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(584888), // Rule ID 3866 //
     /*  584818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  584829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  584832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  584838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584886 */     GIR_RootConstrainSelectedInstOperands,
     /*  584887 */     // GIR_Coverage, 3866,
     /*  584887 */     GIR_EraseRootFromParent_Done,
     /*  584888 */   // Label 9519: @584888
     /*  584888 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(584963), // Rule ID 3867 //
     /*  584893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  584904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  584907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  584913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584961 */     GIR_RootConstrainSelectedInstOperands,
     /*  584962 */     // GIR_Coverage, 3867,
     /*  584962 */     GIR_EraseRootFromParent_Done,
     /*  584963 */   // Label 9520: @584963
     /*  584963 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(585038), // Rule ID 3870 //
     /*  584968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  584979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  584982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  584988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585036 */     GIR_RootConstrainSelectedInstOperands,
     /*  585037 */     // GIR_Coverage, 3870,
     /*  585037 */     GIR_EraseRootFromParent_Done,
     /*  585038 */   // Label 9521: @585038
     /*  585038 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(585113), // Rule ID 3871 //
     /*  585043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585111 */     GIR_RootConstrainSelectedInstOperands,
     /*  585112 */     // GIR_Coverage, 3871,
     /*  585112 */     GIR_EraseRootFromParent_Done,
     /*  585113 */   // Label 9522: @585113
     /*  585113 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(585188), // Rule ID 3874 //
     /*  585118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585186 */     GIR_RootConstrainSelectedInstOperands,
     /*  585187 */     // GIR_Coverage, 3874,
     /*  585187 */     GIR_EraseRootFromParent_Done,
     /*  585188 */   // Label 9523: @585188
     /*  585188 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(585263), // Rule ID 3875 //
     /*  585193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585261 */     GIR_RootConstrainSelectedInstOperands,
     /*  585262 */     // GIR_Coverage, 3875,
     /*  585262 */     GIR_EraseRootFromParent_Done,
     /*  585263 */   // Label 9524: @585263
     /*  585263 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(585338), // Rule ID 3878 //
     /*  585268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585336 */     GIR_RootConstrainSelectedInstOperands,
     /*  585337 */     // GIR_Coverage, 3878,
     /*  585337 */     GIR_EraseRootFromParent_Done,
     /*  585338 */   // Label 9525: @585338
     /*  585338 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(585413), // Rule ID 3879 //
     /*  585343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585411 */     GIR_RootConstrainSelectedInstOperands,
     /*  585412 */     // GIR_Coverage, 3879,
     /*  585412 */     GIR_EraseRootFromParent_Done,
     /*  585413 */   // Label 9526: @585413
     /*  585413 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(585488), // Rule ID 3882 //
     /*  585418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585486 */     GIR_RootConstrainSelectedInstOperands,
     /*  585487 */     // GIR_Coverage, 3882,
     /*  585487 */     GIR_EraseRootFromParent_Done,
     /*  585488 */   // Label 9527: @585488
     /*  585488 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585563), // Rule ID 3883 //
     /*  585493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  585513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585561 */     GIR_RootConstrainSelectedInstOperands,
     /*  585562 */     // GIR_Coverage, 3883,
     /*  585562 */     GIR_EraseRootFromParent_Done,
     /*  585563 */   // Label 9528: @585563
     /*  585563 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585638), // Rule ID 3886 //
     /*  585568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585636 */     GIR_RootConstrainSelectedInstOperands,
     /*  585637 */     // GIR_Coverage, 3886,
     /*  585637 */     GIR_EraseRootFromParent_Done,
     /*  585638 */   // Label 9529: @585638
     /*  585638 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585713), // Rule ID 3887 //
     /*  585643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  585663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585689 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585711 */     GIR_RootConstrainSelectedInstOperands,
     /*  585712 */     // GIR_Coverage, 3887,
     /*  585712 */     GIR_EraseRootFromParent_Done,
     /*  585713 */   // Label 9530: @585713
     /*  585713 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(585788), // Rule ID 3890 //
     /*  585718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585786 */     GIR_RootConstrainSelectedInstOperands,
     /*  585787 */     // GIR_Coverage, 3890,
     /*  585787 */     GIR_EraseRootFromParent_Done,
     /*  585788 */   // Label 9531: @585788
     /*  585788 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(585863), // Rule ID 3891 //
     /*  585793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  585813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585861 */     GIR_RootConstrainSelectedInstOperands,
     /*  585862 */     // GIR_Coverage, 3891,
     /*  585862 */     GIR_EraseRootFromParent_Done,
     /*  585863 */   // Label 9532: @585863
     /*  585863 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(585938), // Rule ID 3894 //
     /*  585868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  585871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  585888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585936 */     GIR_RootConstrainSelectedInstOperands,
     /*  585937 */     // GIR_Coverage, 3894,
     /*  585937 */     GIR_EraseRootFromParent_Done,
     /*  585938 */   // Label 9533: @585938
     /*  585938 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(586013), // Rule ID 3895 //
     /*  585943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  585946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  585963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586011 */     GIR_RootConstrainSelectedInstOperands,
     /*  586012 */     // GIR_Coverage, 3895,
     /*  586012 */     GIR_EraseRootFromParent_Done,
     /*  586013 */   // Label 9534: @586013
     /*  586013 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(586088), // Rule ID 3898 //
     /*  586018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  586035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  586067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586086 */     GIR_RootConstrainSelectedInstOperands,
     /*  586087 */     // GIR_Coverage, 3898,
     /*  586087 */     GIR_EraseRootFromParent_Done,
     /*  586088 */   // Label 9535: @586088
     /*  586088 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(586163), // Rule ID 3899 //
     /*  586093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  586110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  586142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586161 */     GIR_RootConstrainSelectedInstOperands,
     /*  586162 */     // GIR_Coverage, 3899,
     /*  586162 */     GIR_EraseRootFromParent_Done,
     /*  586163 */   // Label 9536: @586163
     /*  586163 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(586238), // Rule ID 3902 //
     /*  586168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  586185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  586217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586236 */     GIR_RootConstrainSelectedInstOperands,
     /*  586237 */     // GIR_Coverage, 3902,
     /*  586237 */     GIR_EraseRootFromParent_Done,
     /*  586238 */   // Label 9537: @586238
     /*  586238 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(586313), // Rule ID 3903 //
     /*  586243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  586260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  586292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586311 */     GIR_RootConstrainSelectedInstOperands,
     /*  586312 */     // GIR_Coverage, 3903,
     /*  586312 */     GIR_EraseRootFromParent_Done,
     /*  586313 */   // Label 9538: @586313
     /*  586313 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(586388), // Rule ID 3906 //
     /*  586318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  586335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  586367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586386 */     GIR_RootConstrainSelectedInstOperands,
     /*  586387 */     // GIR_Coverage, 3906,
     /*  586387 */     GIR_EraseRootFromParent_Done,
     /*  586388 */   // Label 9539: @586388
     /*  586388 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(586463), // Rule ID 3907 //
     /*  586393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  586410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  586442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586461 */     GIR_RootConstrainSelectedInstOperands,
     /*  586462 */     // GIR_Coverage, 3907,
     /*  586462 */     GIR_EraseRootFromParent_Done,
     /*  586463 */   // Label 9540: @586463
     /*  586463 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586538), // Rule ID 3910 //
     /*  586468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  586485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  586517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586536 */     GIR_RootConstrainSelectedInstOperands,
     /*  586537 */     // GIR_Coverage, 3910,
     /*  586537 */     GIR_EraseRootFromParent_Done,
     /*  586538 */   // Label 9541: @586538
     /*  586538 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586613), // Rule ID 3911 //
     /*  586543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  586560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  586592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586611 */     GIR_RootConstrainSelectedInstOperands,
     /*  586612 */     // GIR_Coverage, 3911,
     /*  586612 */     GIR_EraseRootFromParent_Done,
     /*  586613 */   // Label 9542: @586613
     /*  586613 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586688), // Rule ID 3914 //
     /*  586618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  586635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  586667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586686 */     GIR_RootConstrainSelectedInstOperands,
     /*  586687 */     // GIR_Coverage, 3914,
     /*  586687 */     GIR_EraseRootFromParent_Done,
     /*  586688 */   // Label 9543: @586688
     /*  586688 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(586763), // Rule ID 3915 //
     /*  586693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  586710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  586742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586761 */     GIR_RootConstrainSelectedInstOperands,
     /*  586762 */     // GIR_Coverage, 3915,
     /*  586762 */     GIR_EraseRootFromParent_Done,
     /*  586763 */   // Label 9544: @586763
     /*  586763 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(586838), // Rule ID 3918 //
     /*  586768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  586785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  586817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586836 */     GIR_RootConstrainSelectedInstOperands,
     /*  586837 */     // GIR_Coverage, 3918,
     /*  586837 */     GIR_EraseRootFromParent_Done,
     /*  586838 */   // Label 9545: @586838
     /*  586838 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(586913), // Rule ID 3919 //
     /*  586843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  586860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586889 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  586892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586911 */     GIR_RootConstrainSelectedInstOperands,
     /*  586912 */     // GIR_Coverage, 3919,
     /*  586912 */     GIR_EraseRootFromParent_Done,
     /*  586913 */   // Label 9546: @586913
     /*  586913 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(586988), // Rule ID 3922 //
     /*  586918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  586929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  586932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586964 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  586967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586986 */     GIR_RootConstrainSelectedInstOperands,
     /*  586987 */     // GIR_Coverage, 3922,
     /*  586987 */     GIR_EraseRootFromParent_Done,
     /*  586988 */   // Label 9547: @586988
     /*  586988 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(587063), // Rule ID 3923 //
     /*  586993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  587010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  587042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587061 */     GIR_RootConstrainSelectedInstOperands,
     /*  587062 */     // GIR_Coverage, 3923,
     /*  587062 */     GIR_EraseRootFromParent_Done,
     /*  587063 */   // Label 9548: @587063
     /*  587063 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(587138), // Rule ID 3926 //
     /*  587068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587136 */     GIR_RootConstrainSelectedInstOperands,
     /*  587137 */     // GIR_Coverage, 3926,
     /*  587137 */     GIR_EraseRootFromParent_Done,
     /*  587138 */   // Label 9549: @587138
     /*  587138 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(587213), // Rule ID 3927 //
     /*  587143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587211 */     GIR_RootConstrainSelectedInstOperands,
     /*  587212 */     // GIR_Coverage, 3927,
     /*  587212 */     GIR_EraseRootFromParent_Done,
     /*  587213 */   // Label 9550: @587213
     /*  587213 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(587288), // Rule ID 3930 //
     /*  587218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587286 */     GIR_RootConstrainSelectedInstOperands,
     /*  587287 */     // GIR_Coverage, 3930,
     /*  587287 */     GIR_EraseRootFromParent_Done,
     /*  587288 */   // Label 9551: @587288
     /*  587288 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(587363), // Rule ID 3931 //
     /*  587293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587361 */     GIR_RootConstrainSelectedInstOperands,
     /*  587362 */     // GIR_Coverage, 3931,
     /*  587362 */     GIR_EraseRootFromParent_Done,
     /*  587363 */   // Label 9552: @587363
     /*  587363 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(587438), // Rule ID 3934 //
     /*  587368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  587417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587436 */     GIR_RootConstrainSelectedInstOperands,
     /*  587437 */     // GIR_Coverage, 3934,
     /*  587437 */     GIR_EraseRootFromParent_Done,
     /*  587438 */   // Label 9553: @587438
     /*  587438 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(587513), // Rule ID 3935 //
     /*  587443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  587492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587511 */     GIR_RootConstrainSelectedInstOperands,
     /*  587512 */     // GIR_Coverage, 3935,
     /*  587512 */     GIR_EraseRootFromParent_Done,
     /*  587513 */   // Label 9554: @587513
     /*  587513 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587588), // Rule ID 3938 //
     /*  587518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587586 */     GIR_RootConstrainSelectedInstOperands,
     /*  587587 */     // GIR_Coverage, 3938,
     /*  587587 */     GIR_EraseRootFromParent_Done,
     /*  587588 */   // Label 9555: @587588
     /*  587588 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587663), // Rule ID 3939 //
     /*  587593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587661 */     GIR_RootConstrainSelectedInstOperands,
     /*  587662 */     // GIR_Coverage, 3939,
     /*  587662 */     GIR_EraseRootFromParent_Done,
     /*  587663 */   // Label 9556: @587663
     /*  587663 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(587738), // Rule ID 3942 //
     /*  587668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587736 */     GIR_RootConstrainSelectedInstOperands,
     /*  587737 */     // GIR_Coverage, 3942,
     /*  587737 */     GIR_EraseRootFromParent_Done,
     /*  587738 */   // Label 9557: @587738
     /*  587738 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(587813), // Rule ID 3943 //
     /*  587743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587789 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587811 */     GIR_RootConstrainSelectedInstOperands,
     /*  587812 */     // GIR_Coverage, 3943,
     /*  587812 */     GIR_EraseRootFromParent_Done,
     /*  587813 */   // Label 9558: @587813
     /*  587813 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(587888), // Rule ID 3946 //
     /*  587818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587886 */     GIR_RootConstrainSelectedInstOperands,
     /*  587887 */     // GIR_Coverage, 3946,
     /*  587887 */     GIR_EraseRootFromParent_Done,
     /*  587888 */   // Label 9559: @587888
     /*  587888 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(587963), // Rule ID 3947 //
     /*  587893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  587896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587961 */     GIR_RootConstrainSelectedInstOperands,
     /*  587962 */     // GIR_Coverage, 3947,
     /*  587962 */     GIR_EraseRootFromParent_Done,
     /*  587963 */   // Label 9560: @587963
     /*  587963 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(588038), // Rule ID 3950 //
     /*  587968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  587971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  587979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  587982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588036 */     GIR_RootConstrainSelectedInstOperands,
     /*  588037 */     // GIR_Coverage, 3950,
     /*  588037 */     GIR_EraseRootFromParent_Done,
     /*  588038 */   // Label 9561: @588038
     /*  588038 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(588113), // Rule ID 3951 //
     /*  588043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588111 */     GIR_RootConstrainSelectedInstOperands,
     /*  588112 */     // GIR_Coverage, 3951,
     /*  588112 */     GIR_EraseRootFromParent_Done,
     /*  588113 */   // Label 9562: @588113
     /*  588113 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(588188), // Rule ID 3954 //
     /*  588118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588186 */     GIR_RootConstrainSelectedInstOperands,
     /*  588187 */     // GIR_Coverage, 3954,
     /*  588187 */     GIR_EraseRootFromParent_Done,
     /*  588188 */   // Label 9563: @588188
     /*  588188 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(588263), // Rule ID 3955 //
     /*  588193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588261 */     GIR_RootConstrainSelectedInstOperands,
     /*  588262 */     // GIR_Coverage, 3955,
     /*  588262 */     GIR_EraseRootFromParent_Done,
     /*  588263 */   // Label 9564: @588263
     /*  588263 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(588338), // Rule ID 3960 //
     /*  588268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  588317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588336 */     GIR_RootConstrainSelectedInstOperands,
     /*  588337 */     // GIR_Coverage, 3960,
     /*  588337 */     GIR_EraseRootFromParent_Done,
     /*  588338 */   // Label 9565: @588338
     /*  588338 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(588413), // Rule ID 3961 //
     /*  588343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  588392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588411 */     GIR_RootConstrainSelectedInstOperands,
     /*  588412 */     // GIR_Coverage, 3961,
     /*  588412 */     GIR_EraseRootFromParent_Done,
     /*  588413 */   // Label 9566: @588413
     /*  588413 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(588488), // Rule ID 3970 //
     /*  588418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  588467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588486 */     GIR_RootConstrainSelectedInstOperands,
     /*  588487 */     // GIR_Coverage, 3970,
     /*  588487 */     GIR_EraseRootFromParent_Done,
     /*  588488 */   // Label 9567: @588488
     /*  588488 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588563), // Rule ID 3971 //
     /*  588493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  588542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588561 */     GIR_RootConstrainSelectedInstOperands,
     /*  588562 */     // GIR_Coverage, 3971,
     /*  588562 */     GIR_EraseRootFromParent_Done,
     /*  588563 */   // Label 9568: @588563
     /*  588563 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588638), // Rule ID 3980 //
     /*  588568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  588617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588636 */     GIR_RootConstrainSelectedInstOperands,
     /*  588637 */     // GIR_Coverage, 3980,
     /*  588637 */     GIR_EraseRootFromParent_Done,
     /*  588638 */   // Label 9569: @588638
     /*  588638 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588713), // Rule ID 3981 //
     /*  588643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  588654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  588657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  588692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588711 */     GIR_RootConstrainSelectedInstOperands,
     /*  588712 */     // GIR_Coverage, 3981,
     /*  588712 */     GIR_EraseRootFromParent_Done,
     /*  588713 */   // Label 9570: @588713
     /*  588713 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(588788), // Rule ID 3990 //
     /*  588718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  588729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  588732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  588738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  588767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588786 */     GIR_RootConstrainSelectedInstOperands,
     /*  588787 */     // GIR_Coverage, 3990,
     /*  588787 */     GIR_EraseRootFromParent_Done,
     /*  588788 */   // Label 9571: @588788
     /*  588788 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(588863), // Rule ID 3991 //
     /*  588793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  588804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  588807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  588813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  588842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588861 */     GIR_RootConstrainSelectedInstOperands,
     /*  588862 */     // GIR_Coverage, 3991,
     /*  588862 */     GIR_EraseRootFromParent_Done,
     /*  588863 */   // Label 9572: @588863
     /*  588863 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(588938), // Rule ID 4000 //
     /*  588868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  588879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  588882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  588885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  588888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  588917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588936 */     GIR_RootConstrainSelectedInstOperands,
     /*  588937 */     // GIR_Coverage, 4000,
     /*  588937 */     GIR_EraseRootFromParent_Done,
     /*  588938 */   // Label 9573: @588938
     /*  588938 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(589013), // Rule ID 4001 //
     /*  588943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  588954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  588957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  588960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  588963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  588992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589011 */     GIR_RootConstrainSelectedInstOperands,
     /*  589012 */     // GIR_Coverage, 4001,
     /*  589012 */     GIR_EraseRootFromParent_Done,
     /*  589013 */   // Label 9574: @589013
     /*  589013 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(589088), // Rule ID 4010 //
     /*  589018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  589067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589086 */     GIR_RootConstrainSelectedInstOperands,
     /*  589087 */     // GIR_Coverage, 4010,
     /*  589087 */     GIR_EraseRootFromParent_Done,
     /*  589088 */   // Label 9575: @589088
     /*  589088 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(589163), // Rule ID 4011 //
     /*  589093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  589142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589161 */     GIR_RootConstrainSelectedInstOperands,
     /*  589162 */     // GIR_Coverage, 4011,
     /*  589162 */     GIR_EraseRootFromParent_Done,
     /*  589163 */   // Label 9576: @589163
     /*  589163 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(589238), // Rule ID 4020 //
     /*  589168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589236 */     GIR_RootConstrainSelectedInstOperands,
     /*  589237 */     // GIR_Coverage, 4020,
     /*  589237 */     GIR_EraseRootFromParent_Done,
     /*  589238 */   // Label 9577: @589238
     /*  589238 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(589313), // Rule ID 4021 //
     /*  589243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589311 */     GIR_RootConstrainSelectedInstOperands,
     /*  589312 */     // GIR_Coverage, 4021,
     /*  589312 */     GIR_EraseRootFromParent_Done,
     /*  589313 */   // Label 9578: @589313
     /*  589313 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(589388), // Rule ID 4030 //
     /*  589318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  589367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589386 */     GIR_RootConstrainSelectedInstOperands,
     /*  589387 */     // GIR_Coverage, 4030,
     /*  589387 */     GIR_EraseRootFromParent_Done,
     /*  589388 */   // Label 9579: @589388
     /*  589388 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(589463), // Rule ID 4031 //
     /*  589393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  589404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  589407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  589410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  589413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589439 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  589442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589461 */     GIR_RootConstrainSelectedInstOperands,
     /*  589462 */     // GIR_Coverage, 4031,
     /*  589462 */     GIR_EraseRootFromParent_Done,
     /*  589463 */   // Label 9580: @589463
     /*  589463 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589538), // Rule ID 4040 //
     /*  589468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  589517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589536 */     GIR_RootConstrainSelectedInstOperands,
     /*  589537 */     // GIR_Coverage, 4040,
     /*  589537 */     GIR_EraseRootFromParent_Done,
     /*  589538 */   // Label 9581: @589538
     /*  589538 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589613), // Rule ID 4041 //
     /*  589543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  589554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  589557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  589560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  589592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589611 */     GIR_RootConstrainSelectedInstOperands,
     /*  589612 */     // GIR_Coverage, 4041,
     /*  589612 */     GIR_EraseRootFromParent_Done,
     /*  589613 */   // Label 9582: @589613
     /*  589613 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589688), // Rule ID 4050 //
     /*  589618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589686 */     GIR_RootConstrainSelectedInstOperands,
     /*  589687 */     // GIR_Coverage, 4050,
     /*  589687 */     GIR_EraseRootFromParent_Done,
     /*  589688 */   // Label 9583: @589688
     /*  589688 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(589763), // Rule ID 4051 //
     /*  589693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  589704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  589707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  589710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589739 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589761 */     GIR_RootConstrainSelectedInstOperands,
     /*  589762 */     // GIR_Coverage, 4051,
     /*  589762 */     GIR_EraseRootFromParent_Done,
     /*  589763 */   // Label 9584: @589763
     /*  589763 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(589838), // Rule ID 4060 //
     /*  589768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589836 */     GIR_RootConstrainSelectedInstOperands,
     /*  589837 */     // GIR_Coverage, 4060,
     /*  589837 */     GIR_EraseRootFromParent_Done,
     /*  589838 */   // Label 9585: @589838
     /*  589838 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(589913), // Rule ID 4061 //
     /*  589843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589911 */     GIR_RootConstrainSelectedInstOperands,
     /*  589912 */     // GIR_Coverage, 4061,
     /*  589912 */     GIR_EraseRootFromParent_Done,
     /*  589913 */   // Label 9586: @589913
     /*  589913 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(589988), // Rule ID 4070 //
     /*  589918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  589921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  589929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  589932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  589935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  589938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  589967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589986 */     GIR_RootConstrainSelectedInstOperands,
     /*  589987 */     // GIR_Coverage, 4070,
     /*  589987 */     GIR_EraseRootFromParent_Done,
     /*  589988 */   // Label 9587: @589988
     /*  589988 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(590063), // Rule ID 4071 //
     /*  589993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590039 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  590042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590061 */     GIR_RootConstrainSelectedInstOperands,
     /*  590062 */     // GIR_Coverage, 4071,
     /*  590062 */     GIR_EraseRootFromParent_Done,
     /*  590063 */   // Label 9588: @590063
     /*  590063 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(590138), // Rule ID 4080 //
     /*  590068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590136 */     GIR_RootConstrainSelectedInstOperands,
     /*  590137 */     // GIR_Coverage, 4080,
     /*  590137 */     GIR_EraseRootFromParent_Done,
     /*  590138 */   // Label 9589: @590138
     /*  590138 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(590213), // Rule ID 4081 //
     /*  590143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590211 */     GIR_RootConstrainSelectedInstOperands,
     /*  590212 */     // GIR_Coverage, 4081,
     /*  590212 */     GIR_EraseRootFromParent_Done,
     /*  590213 */   // Label 9590: @590213
     /*  590213 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(590288), // Rule ID 4090 //
     /*  590218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  590267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590286 */     GIR_RootConstrainSelectedInstOperands,
     /*  590287 */     // GIR_Coverage, 4090,
     /*  590287 */     GIR_EraseRootFromParent_Done,
     /*  590288 */   // Label 9591: @590288
     /*  590288 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(590363), // Rule ID 4091 //
     /*  590293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590339 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  590342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590361 */     GIR_RootConstrainSelectedInstOperands,
     /*  590362 */     // GIR_Coverage, 4091,
     /*  590362 */     GIR_EraseRootFromParent_Done,
     /*  590363 */   // Label 9592: @590363
     /*  590363 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(590438), // Rule ID 4098 //
     /*  590368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  590417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590436 */     GIR_RootConstrainSelectedInstOperands,
     /*  590437 */     // GIR_Coverage, 4098,
     /*  590437 */     GIR_EraseRootFromParent_Done,
     /*  590438 */   // Label 9593: @590438
     /*  590438 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(590513), // Rule ID 4099 //
     /*  590443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  590454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  590457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  590460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  590492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590511 */     GIR_RootConstrainSelectedInstOperands,
     /*  590512 */     // GIR_Coverage, 4099,
     /*  590512 */     GIR_EraseRootFromParent_Done,
     /*  590513 */   // Label 9594: @590513
     /*  590513 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590588), // Rule ID 4102 //
     /*  590518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  590567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590586 */     GIR_RootConstrainSelectedInstOperands,
     /*  590587 */     // GIR_Coverage, 4102,
     /*  590587 */     GIR_EraseRootFromParent_Done,
     /*  590588 */   // Label 9595: @590588
     /*  590588 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590663), // Rule ID 4103 //
     /*  590593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  590604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  590607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  590610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590639 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  590642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590661 */     GIR_RootConstrainSelectedInstOperands,
     /*  590662 */     // GIR_Coverage, 4103,
     /*  590662 */     GIR_EraseRootFromParent_Done,
     /*  590663 */   // Label 9596: @590663
     /*  590663 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(590738), // Rule ID 4106 //
     /*  590668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  590717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590736 */     GIR_RootConstrainSelectedInstOperands,
     /*  590737 */     // GIR_Coverage, 4106,
     /*  590737 */     GIR_EraseRootFromParent_Done,
     /*  590738 */   // Label 9597: @590738
     /*  590738 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(590813), // Rule ID 4107 //
     /*  590743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  590792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590811 */     GIR_RootConstrainSelectedInstOperands,
     /*  590812 */     // GIR_Coverage, 4107,
     /*  590812 */     GIR_EraseRootFromParent_Done,
     /*  590813 */   // Label 9598: @590813
     /*  590813 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(590888), // Rule ID 4110 //
     /*  590818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  590829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  590832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  590835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  590867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590886 */     GIR_RootConstrainSelectedInstOperands,
     /*  590887 */     // GIR_Coverage, 4110,
     /*  590887 */     GIR_EraseRootFromParent_Done,
     /*  590888 */   // Label 9599: @590888
     /*  590888 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(590963), // Rule ID 4111 //
     /*  590893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  590904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  590907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  590910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  590942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590961 */     GIR_RootConstrainSelectedInstOperands,
     /*  590962 */     // GIR_Coverage, 4111,
     /*  590962 */     GIR_EraseRootFromParent_Done,
     /*  590963 */   // Label 9600: @590963
     /*  590963 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(591038), // Rule ID 4114 //
     /*  590968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  590979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  590982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  590985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591036 */     GIR_RootConstrainSelectedInstOperands,
     /*  591037 */     // GIR_Coverage, 4114,
     /*  591037 */     GIR_EraseRootFromParent_Done,
     /*  591038 */   // Label 9601: @591038
     /*  591038 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(591113), // Rule ID 4115 //
     /*  591043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591111 */     GIR_RootConstrainSelectedInstOperands,
     /*  591112 */     // GIR_Coverage, 4115,
     /*  591112 */     GIR_EraseRootFromParent_Done,
     /*  591113 */   // Label 9602: @591113
     /*  591113 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(591188), // Rule ID 4118 //
     /*  591118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591186 */     GIR_RootConstrainSelectedInstOperands,
     /*  591187 */     // GIR_Coverage, 4118,
     /*  591187 */     GIR_EraseRootFromParent_Done,
     /*  591188 */   // Label 9603: @591188
     /*  591188 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(591263), // Rule ID 4119 //
     /*  591193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591239 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591261 */     GIR_RootConstrainSelectedInstOperands,
     /*  591262 */     // GIR_Coverage, 4119,
     /*  591262 */     GIR_EraseRootFromParent_Done,
     /*  591263 */   // Label 9604: @591263
     /*  591263 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(591338), // Rule ID 4122 //
     /*  591268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  591317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591336 */     GIR_RootConstrainSelectedInstOperands,
     /*  591337 */     // GIR_Coverage, 4122,
     /*  591337 */     GIR_EraseRootFromParent_Done,
     /*  591338 */   // Label 9605: @591338
     /*  591338 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(591413), // Rule ID 4123 //
     /*  591343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  591392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591411 */     GIR_RootConstrainSelectedInstOperands,
     /*  591412 */     // GIR_Coverage, 4123,
     /*  591412 */     GIR_EraseRootFromParent_Done,
     /*  591413 */   // Label 9606: @591413
     /*  591413 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(591488), // Rule ID 4126 //
     /*  591418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  591467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591486 */     GIR_RootConstrainSelectedInstOperands,
     /*  591487 */     // GIR_Coverage, 4126,
     /*  591487 */     GIR_EraseRootFromParent_Done,
     /*  591488 */   // Label 9607: @591488
     /*  591488 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591563), // Rule ID 4127 //
     /*  591493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  591504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  591507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  591510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  591542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591561 */     GIR_RootConstrainSelectedInstOperands,
     /*  591562 */     // GIR_Coverage, 4127,
     /*  591562 */     GIR_EraseRootFromParent_Done,
     /*  591563 */   // Label 9608: @591563
     /*  591563 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591638), // Rule ID 4130 //
     /*  591568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591636 */     GIR_RootConstrainSelectedInstOperands,
     /*  591637 */     // GIR_Coverage, 4130,
     /*  591637 */     GIR_EraseRootFromParent_Done,
     /*  591638 */   // Label 9609: @591638
     /*  591638 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591713), // Rule ID 4131 //
     /*  591643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591711 */     GIR_RootConstrainSelectedInstOperands,
     /*  591712 */     // GIR_Coverage, 4131,
     /*  591712 */     GIR_EraseRootFromParent_Done,
     /*  591713 */   // Label 9610: @591713
     /*  591713 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(591788), // Rule ID 4134 //
     /*  591718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591786 */     GIR_RootConstrainSelectedInstOperands,
     /*  591787 */     // GIR_Coverage, 4134,
     /*  591787 */     GIR_EraseRootFromParent_Done,
     /*  591788 */   // Label 9611: @591788
     /*  591788 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(591863), // Rule ID 4135 //
     /*  591793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591861 */     GIR_RootConstrainSelectedInstOperands,
     /*  591862 */     // GIR_Coverage, 4135,
     /*  591862 */     GIR_EraseRootFromParent_Done,
     /*  591863 */   // Label 9612: @591863
     /*  591863 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(591938), // Rule ID 4138 //
     /*  591868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591936 */     GIR_RootConstrainSelectedInstOperands,
     /*  591937 */     // GIR_Coverage, 4138,
     /*  591937 */     GIR_EraseRootFromParent_Done,
     /*  591938 */   // Label 9613: @591938
     /*  591938 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(592013), // Rule ID 4139 //
     /*  591943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592011 */     GIR_RootConstrainSelectedInstOperands,
     /*  592012 */     // GIR_Coverage, 4139,
     /*  592012 */     GIR_EraseRootFromParent_Done,
     /*  592013 */   // Label 9614: @592013
     /*  592013 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(592088), // Rule ID 4142 //
     /*  592018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592086 */     GIR_RootConstrainSelectedInstOperands,
     /*  592087 */     // GIR_Coverage, 4142,
     /*  592087 */     GIR_EraseRootFromParent_Done,
     /*  592088 */   // Label 9615: @592088
     /*  592088 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(592163), // Rule ID 4143 //
     /*  592093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592161 */     GIR_RootConstrainSelectedInstOperands,
     /*  592162 */     // GIR_Coverage, 4143,
     /*  592162 */     GIR_EraseRootFromParent_Done,
     /*  592163 */   // Label 9616: @592163
     /*  592163 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(592238), // Rule ID 4146 //
     /*  592168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592236 */     GIR_RootConstrainSelectedInstOperands,
     /*  592237 */     // GIR_Coverage, 4146,
     /*  592237 */     GIR_EraseRootFromParent_Done,
     /*  592238 */   // Label 9617: @592238
     /*  592238 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(592313), // Rule ID 4147 //
     /*  592243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592311 */     GIR_RootConstrainSelectedInstOperands,
     /*  592312 */     // GIR_Coverage, 4147,
     /*  592312 */     GIR_EraseRootFromParent_Done,
     /*  592313 */   // Label 9618: @592313
     /*  592313 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(592388), // Rule ID 4150 //
     /*  592318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  592367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592386 */     GIR_RootConstrainSelectedInstOperands,
     /*  592387 */     // GIR_Coverage, 4150,
     /*  592387 */     GIR_EraseRootFromParent_Done,
     /*  592388 */   // Label 9619: @592388
     /*  592388 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(592463), // Rule ID 4151 //
     /*  592393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  592442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592461 */     GIR_RootConstrainSelectedInstOperands,
     /*  592462 */     // GIR_Coverage, 4151,
     /*  592462 */     GIR_EraseRootFromParent_Done,
     /*  592463 */   // Label 9620: @592463
     /*  592463 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592538), // Rule ID 4154 //
     /*  592468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592536 */     GIR_RootConstrainSelectedInstOperands,
     /*  592537 */     // GIR_Coverage, 4154,
     /*  592537 */     GIR_EraseRootFromParent_Done,
     /*  592538 */   // Label 9621: @592538
     /*  592538 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592613), // Rule ID 4155 //
     /*  592543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592611 */     GIR_RootConstrainSelectedInstOperands,
     /*  592612 */     // GIR_Coverage, 4155,
     /*  592612 */     GIR_EraseRootFromParent_Done,
     /*  592613 */   // Label 9622: @592613
     /*  592613 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592688), // Rule ID 4160 //
     /*  592618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  592667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592686 */     GIR_RootConstrainSelectedInstOperands,
     /*  592687 */     // GIR_Coverage, 4160,
     /*  592687 */     GIR_EraseRootFromParent_Done,
     /*  592688 */   // Label 9623: @592688
     /*  592688 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(592763), // Rule ID 4161 //
     /*  592693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  592713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  592742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592761 */     GIR_RootConstrainSelectedInstOperands,
     /*  592762 */     // GIR_Coverage, 4161,
     /*  592762 */     GIR_EraseRootFromParent_Done,
     /*  592763 */   // Label 9624: @592763
     /*  592763 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(592838), // Rule ID 4170 //
     /*  592768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  592788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  592817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592836 */     GIR_RootConstrainSelectedInstOperands,
     /*  592837 */     // GIR_Coverage, 4170,
     /*  592837 */     GIR_EraseRootFromParent_Done,
     /*  592838 */   // Label 9625: @592838
     /*  592838 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(592913), // Rule ID 4171 //
     /*  592843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  592863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  592892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592911 */     GIR_RootConstrainSelectedInstOperands,
     /*  592912 */     // GIR_Coverage, 4171,
     /*  592912 */     GIR_EraseRootFromParent_Done,
     /*  592913 */   // Label 9626: @592913
     /*  592913 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(592988), // Rule ID 4180 //
     /*  592918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  592926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  592929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  592932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  592935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  592938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  592967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592986 */     GIR_RootConstrainSelectedInstOperands,
     /*  592987 */     // GIR_Coverage, 4180,
     /*  592987 */     GIR_EraseRootFromParent_Done,
     /*  592988 */   // Label 9627: @592988
     /*  592988 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(593063), // Rule ID 4181 //
     /*  592993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593061 */     GIR_RootConstrainSelectedInstOperands,
     /*  593062 */     // GIR_Coverage, 4181,
     /*  593062 */     GIR_EraseRootFromParent_Done,
     /*  593063 */   // Label 9628: @593063
     /*  593063 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(593138), // Rule ID 4190 //
     /*  593068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593136 */     GIR_RootConstrainSelectedInstOperands,
     /*  593137 */     // GIR_Coverage, 4190,
     /*  593137 */     GIR_EraseRootFromParent_Done,
     /*  593138 */   // Label 9629: @593138
     /*  593138 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(593213), // Rule ID 4191 //
     /*  593143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593189 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593211 */     GIR_RootConstrainSelectedInstOperands,
     /*  593212 */     // GIR_Coverage, 4191,
     /*  593212 */     GIR_EraseRootFromParent_Done,
     /*  593213 */   // Label 9630: @593213
     /*  593213 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(593288), // Rule ID 4200 //
     /*  593218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  593267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593286 */     GIR_RootConstrainSelectedInstOperands,
     /*  593287 */     // GIR_Coverage, 4200,
     /*  593287 */     GIR_EraseRootFromParent_Done,
     /*  593288 */   // Label 9631: @593288
     /*  593288 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(593363), // Rule ID 4201 //
     /*  593293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593339 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  593342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593361 */     GIR_RootConstrainSelectedInstOperands,
     /*  593362 */     // GIR_Coverage, 4201,
     /*  593362 */     GIR_EraseRootFromParent_Done,
     /*  593363 */   // Label 9632: @593363
     /*  593363 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(593438), // Rule ID 4210 //
     /*  593368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  593417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593436 */     GIR_RootConstrainSelectedInstOperands,
     /*  593437 */     // GIR_Coverage, 4210,
     /*  593437 */     GIR_EraseRootFromParent_Done,
     /*  593438 */   // Label 9633: @593438
     /*  593438 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(593513), // Rule ID 4211 //
     /*  593443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  593463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593489 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  593492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593511 */     GIR_RootConstrainSelectedInstOperands,
     /*  593512 */     // GIR_Coverage, 4211,
     /*  593512 */     GIR_EraseRootFromParent_Done,
     /*  593513 */   // Label 9634: @593513
     /*  593513 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593588), // Rule ID 4220 //
     /*  593518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593586 */     GIR_RootConstrainSelectedInstOperands,
     /*  593587 */     // GIR_Coverage, 4220,
     /*  593587 */     GIR_EraseRootFromParent_Done,
     /*  593588 */   // Label 9635: @593588
     /*  593588 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593663), // Rule ID 4221 //
     /*  593593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  593613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593661 */     GIR_RootConstrainSelectedInstOperands,
     /*  593662 */     // GIR_Coverage, 4221,
     /*  593662 */     GIR_EraseRootFromParent_Done,
     /*  593663 */   // Label 9636: @593663
     /*  593663 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(593738), // Rule ID 4230 //
     /*  593668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593736 */     GIR_RootConstrainSelectedInstOperands,
     /*  593737 */     // GIR_Coverage, 4230,
     /*  593737 */     GIR_EraseRootFromParent_Done,
     /*  593738 */   // Label 9637: @593738
     /*  593738 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(593813), // Rule ID 4231 //
     /*  593743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  593763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593811 */     GIR_RootConstrainSelectedInstOperands,
     /*  593812 */     // GIR_Coverage, 4231,
     /*  593812 */     GIR_EraseRootFromParent_Done,
     /*  593813 */   // Label 9638: @593813
     /*  593813 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(593888), // Rule ID 4240 //
     /*  593818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  593838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593886 */     GIR_RootConstrainSelectedInstOperands,
     /*  593887 */     // GIR_Coverage, 4240,
     /*  593887 */     GIR_EraseRootFromParent_Done,
     /*  593888 */   // Label 9639: @593888
     /*  593888 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(593963), // Rule ID 4241 //
     /*  593893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  593913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593961 */     GIR_RootConstrainSelectedInstOperands,
     /*  593962 */     // GIR_Coverage, 4241,
     /*  593962 */     GIR_EraseRootFromParent_Done,
     /*  593963 */   // Label 9640: @593963
     /*  593963 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(594038), // Rule ID 4250 //
     /*  593968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  593979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  593982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  593985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  593988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594036 */     GIR_RootConstrainSelectedInstOperands,
     /*  594037 */     // GIR_Coverage, 4250,
     /*  594037 */     GIR_EraseRootFromParent_Done,
     /*  594038 */   // Label 9641: @594038
     /*  594038 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(594113), // Rule ID 4251 //
     /*  594043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594111 */     GIR_RootConstrainSelectedInstOperands,
     /*  594112 */     // GIR_Coverage, 4251,
     /*  594112 */     GIR_EraseRootFromParent_Done,
     /*  594113 */   // Label 9642: @594113
     /*  594113 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(594188), // Rule ID 4260 //
     /*  594118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594186 */     GIR_RootConstrainSelectedInstOperands,
     /*  594187 */     // GIR_Coverage, 4260,
     /*  594187 */     GIR_EraseRootFromParent_Done,
     /*  594188 */   // Label 9643: @594188
     /*  594188 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(594263), // Rule ID 4261 //
     /*  594193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594261 */     GIR_RootConstrainSelectedInstOperands,
     /*  594262 */     // GIR_Coverage, 4261,
     /*  594262 */     GIR_EraseRootFromParent_Done,
     /*  594263 */   // Label 9644: @594263
     /*  594263 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(594338), // Rule ID 4270 //
     /*  594268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  594317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594336 */     GIR_RootConstrainSelectedInstOperands,
     /*  594337 */     // GIR_Coverage, 4270,
     /*  594337 */     GIR_EraseRootFromParent_Done,
     /*  594338 */   // Label 9645: @594338
     /*  594338 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(594413), // Rule ID 4271 //
     /*  594343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  594392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594411 */     GIR_RootConstrainSelectedInstOperands,
     /*  594412 */     // GIR_Coverage, 4271,
     /*  594412 */     GIR_EraseRootFromParent_Done,
     /*  594413 */   // Label 9646: @594413
     /*  594413 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(594488), // Rule ID 4280 //
     /*  594418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594486 */     GIR_RootConstrainSelectedInstOperands,
     /*  594487 */     // GIR_Coverage, 4280,
     /*  594487 */     GIR_EraseRootFromParent_Done,
     /*  594488 */   // Label 9647: @594488
     /*  594488 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594563), // Rule ID 4281 //
     /*  594493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  594504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  594507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  594510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  594513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594561 */     GIR_RootConstrainSelectedInstOperands,
     /*  594562 */     // GIR_Coverage, 4281,
     /*  594562 */     GIR_EraseRootFromParent_Done,
     /*  594563 */   // Label 9648: @594563
     /*  594563 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594638), // Rule ID 4290 //
     /*  594568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594614 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594636 */     GIR_RootConstrainSelectedInstOperands,
     /*  594637 */     // GIR_Coverage, 4290,
     /*  594637 */     GIR_EraseRootFromParent_Done,
     /*  594638 */   // Label 9649: @594638
     /*  594638 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594713), // Rule ID 4291 //
     /*  594643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  594663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594711 */     GIR_RootConstrainSelectedInstOperands,
     /*  594712 */     // GIR_Coverage, 4291,
     /*  594712 */     GIR_EraseRootFromParent_Done,
     /*  594713 */   // Label 9650: @594713
     /*  594713 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(594788), // Rule ID 4300 //
     /*  594718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  594738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594786 */     GIR_RootConstrainSelectedInstOperands,
     /*  594787 */     // GIR_Coverage, 4300,
     /*  594787 */     GIR_EraseRootFromParent_Done,
     /*  594788 */   // Label 9651: @594788
     /*  594788 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(594863), // Rule ID 4301 //
     /*  594793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  594796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  594813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594861 */     GIR_RootConstrainSelectedInstOperands,
     /*  594862 */     // GIR_Coverage, 4301,
     /*  594862 */     GIR_EraseRootFromParent_Done,
     /*  594863 */   // Label 9652: @594863
     /*  594863 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(594938), // Rule ID 4308 //
     /*  594868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  594917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594936 */     GIR_RootConstrainSelectedInstOperands,
     /*  594937 */     // GIR_Coverage, 4308,
     /*  594937 */     GIR_EraseRootFromParent_Done,
     /*  594938 */   // Label 9653: @594938
     /*  594938 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(595013), // Rule ID 4309 //
     /*  594943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594989 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  594992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595011 */     GIR_RootConstrainSelectedInstOperands,
     /*  595012 */     // GIR_Coverage, 4309,
     /*  595012 */     GIR_EraseRootFromParent_Done,
     /*  595013 */   // Label 9654: @595013
     /*  595013 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(595088), // Rule ID 4312 //
     /*  595018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595086 */     GIR_RootConstrainSelectedInstOperands,
     /*  595087 */     // GIR_Coverage, 4312,
     /*  595087 */     GIR_EraseRootFromParent_Done,
     /*  595088 */   // Label 9655: @595088
     /*  595088 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(595163), // Rule ID 4313 //
     /*  595093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595161 */     GIR_RootConstrainSelectedInstOperands,
     /*  595162 */     // GIR_Coverage, 4313,
     /*  595162 */     GIR_EraseRootFromParent_Done,
     /*  595163 */   // Label 9656: @595163
     /*  595163 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(595238), // Rule ID 4316 //
     /*  595168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  595217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595236 */     GIR_RootConstrainSelectedInstOperands,
     /*  595237 */     // GIR_Coverage, 4316,
     /*  595237 */     GIR_EraseRootFromParent_Done,
     /*  595238 */   // Label 9657: @595238
     /*  595238 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(595313), // Rule ID 4317 //
     /*  595243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11608:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  595292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595311 */     GIR_RootConstrainSelectedInstOperands,
     /*  595312 */     // GIR_Coverage, 4317,
     /*  595312 */     GIR_EraseRootFromParent_Done,
     /*  595313 */   // Label 9658: @595313
     /*  595313 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(595388), // Rule ID 4320 //
     /*  595318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  595367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595386 */     GIR_RootConstrainSelectedInstOperands,
     /*  595387 */     // GIR_Coverage, 4320,
     /*  595387 */     GIR_EraseRootFromParent_Done,
     /*  595388 */   // Label 9659: @595388
     /*  595388 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(595463), // Rule ID 4321 //
     /*  595393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  595404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  595407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  595410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  595442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595461 */     GIR_RootConstrainSelectedInstOperands,
     /*  595462 */     // GIR_Coverage, 4321,
     /*  595462 */     GIR_EraseRootFromParent_Done,
     /*  595463 */   // Label 9660: @595463
     /*  595463 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595538), // Rule ID 4324 //
     /*  595468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  595517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595536 */     GIR_RootConstrainSelectedInstOperands,
     /*  595537 */     // GIR_Coverage, 4324,
     /*  595537 */     GIR_EraseRootFromParent_Done,
     /*  595538 */   // Label 9661: @595538
     /*  595538 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595613), // Rule ID 4325 //
     /*  595543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  595554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  595557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  595560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  595592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595611 */     GIR_RootConstrainSelectedInstOperands,
     /*  595612 */     // GIR_Coverage, 4325,
     /*  595612 */     GIR_EraseRootFromParent_Done,
     /*  595613 */   // Label 9662: @595613
     /*  595613 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595688), // Rule ID 4328 //
     /*  595618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  595667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595686 */     GIR_RootConstrainSelectedInstOperands,
     /*  595687 */     // GIR_Coverage, 4328,
     /*  595687 */     GIR_EraseRootFromParent_Done,
     /*  595688 */   // Label 9663: @595688
     /*  595688 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(595763), // Rule ID 4329 //
     /*  595693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  595704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  595707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  595710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  595742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595761 */     GIR_RootConstrainSelectedInstOperands,
     /*  595762 */     // GIR_Coverage, 4329,
     /*  595762 */     GIR_EraseRootFromParent_Done,
     /*  595763 */   // Label 9664: @595763
     /*  595763 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(595838), // Rule ID 4332 //
     /*  595768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595836 */     GIR_RootConstrainSelectedInstOperands,
     /*  595837 */     // GIR_Coverage, 4332,
     /*  595837 */     GIR_EraseRootFromParent_Done,
     /*  595838 */   // Label 9665: @595838
     /*  595838 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(595913), // Rule ID 4333 //
     /*  595843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595911 */     GIR_RootConstrainSelectedInstOperands,
     /*  595912 */     // GIR_Coverage, 4333,
     /*  595912 */     GIR_EraseRootFromParent_Done,
     /*  595913 */   // Label 9666: @595913
     /*  595913 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(595988), // Rule ID 4336 //
     /*  595918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  595929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  595932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  595935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  595967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595986 */     GIR_RootConstrainSelectedInstOperands,
     /*  595987 */     // GIR_Coverage, 4336,
     /*  595987 */     GIR_EraseRootFromParent_Done,
     /*  595988 */   // Label 9667: @595988
     /*  595988 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(596063), // Rule ID 4337 //
     /*  595993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11608:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596061 */     GIR_RootConstrainSelectedInstOperands,
     /*  596062 */     // GIR_Coverage, 4337,
     /*  596062 */     GIR_EraseRootFromParent_Done,
     /*  596063 */   // Label 9668: @596063
     /*  596063 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(596138), // Rule ID 4340 //
     /*  596068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596136 */     GIR_RootConstrainSelectedInstOperands,
     /*  596137 */     // GIR_Coverage, 4340,
     /*  596137 */     GIR_EraseRootFromParent_Done,
     /*  596138 */   // Label 9669: @596138
     /*  596138 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(596213), // Rule ID 4341 //
     /*  596143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596211 */     GIR_RootConstrainSelectedInstOperands,
     /*  596212 */     // GIR_Coverage, 4341,
     /*  596212 */     GIR_EraseRootFromParent_Done,
     /*  596213 */   // Label 9670: @596213
     /*  596213 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(596288), // Rule ID 4344 //
     /*  596218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596286 */     GIR_RootConstrainSelectedInstOperands,
     /*  596287 */     // GIR_Coverage, 4344,
     /*  596287 */     GIR_EraseRootFromParent_Done,
     /*  596288 */   // Label 9671: @596288
     /*  596288 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(596363), // Rule ID 4345 //
     /*  596293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596361 */     GIR_RootConstrainSelectedInstOperands,
     /*  596362 */     // GIR_Coverage, 4345,
     /*  596362 */     GIR_EraseRootFromParent_Done,
     /*  596363 */   // Label 9672: @596363
     /*  596363 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(596438), // Rule ID 4348 //
     /*  596368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  596417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596436 */     GIR_RootConstrainSelectedInstOperands,
     /*  596437 */     // GIR_Coverage, 4348,
     /*  596437 */     GIR_EraseRootFromParent_Done,
     /*  596438 */   // Label 9673: @596438
     /*  596438 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(596513), // Rule ID 4349 //
     /*  596443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  596454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  596457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  596460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596489 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  596492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596511 */     GIR_RootConstrainSelectedInstOperands,
     /*  596512 */     // GIR_Coverage, 4349,
     /*  596512 */     GIR_EraseRootFromParent_Done,
     /*  596513 */   // Label 9674: @596513
     /*  596513 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596588), // Rule ID 4352 //
     /*  596518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596586 */     GIR_RootConstrainSelectedInstOperands,
     /*  596587 */     // GIR_Coverage, 4352,
     /*  596587 */     GIR_EraseRootFromParent_Done,
     /*  596588 */   // Label 9675: @596588
     /*  596588 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596663), // Rule ID 4353 //
     /*  596593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11608:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596661 */     GIR_RootConstrainSelectedInstOperands,
     /*  596662 */     // GIR_Coverage, 4353,
     /*  596662 */     GIR_EraseRootFromParent_Done,
     /*  596663 */   // Label 9676: @596663
     /*  596663 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(596738), // Rule ID 4356 //
     /*  596668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596736 */     GIR_RootConstrainSelectedInstOperands,
     /*  596737 */     // GIR_Coverage, 4356,
     /*  596737 */     GIR_EraseRootFromParent_Done,
     /*  596738 */   // Label 9677: @596738
     /*  596738 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(596813), // Rule ID 4357 //
     /*  596743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  596754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  596757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  596760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596789 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11608:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596811 */     GIR_RootConstrainSelectedInstOperands,
     /*  596812 */     // GIR_Coverage, 4357,
     /*  596812 */     GIR_EraseRootFromParent_Done,
     /*  596813 */   // Label 9678: @596813
     /*  596813 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(596888), // Rule ID 4360 //
     /*  596818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  596829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  596832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  596835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596886 */     GIR_RootConstrainSelectedInstOperands,
     /*  596887 */     // GIR_Coverage, 4360,
     /*  596887 */     GIR_EraseRootFromParent_Done,
     /*  596888 */   // Label 9679: @596888
     /*  596888 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(596963), // Rule ID 4361 //
     /*  596893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  596896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  596904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  596907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  596910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11608:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596961 */     GIR_RootConstrainSelectedInstOperands,
     /*  596962 */     // GIR_Coverage, 4361,
     /*  596962 */     GIR_EraseRootFromParent_Done,
     /*  596963 */   // Label 9680: @596963
     /*  596963 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(597038), // Rule ID 4364 //
     /*  596968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  596971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  596979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  596982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  596985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597036 */     GIR_RootConstrainSelectedInstOperands,
     /*  597037 */     // GIR_Coverage, 4364,
     /*  597037 */     GIR_EraseRootFromParent_Done,
     /*  597038 */   // Label 9681: @597038
     /*  597038 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(597113), // Rule ID 4365 //
     /*  597043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11608:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597111 */     GIR_RootConstrainSelectedInstOperands,
     /*  597112 */     // GIR_Coverage, 4365,
     /*  597112 */     GIR_EraseRootFromParent_Done,
     /*  597113 */   // Label 9682: @597113
     /*  597113 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(597188), // Rule ID 4370 //
     /*  597118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597164 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  597167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597186 */     GIR_RootConstrainSelectedInstOperands,
     /*  597187 */     // GIR_Coverage, 4370,
     /*  597187 */     GIR_EraseRootFromParent_Done,
     /*  597188 */   // Label 9683: @597188
     /*  597188 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(597263), // Rule ID 4371 //
     /*  597193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  597242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597261 */     GIR_RootConstrainSelectedInstOperands,
     /*  597262 */     // GIR_Coverage, 4371,
     /*  597262 */     GIR_EraseRootFromParent_Done,
     /*  597263 */   // Label 9684: @597263
     /*  597263 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(597338), // Rule ID 4380 //
     /*  597268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  597317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597336 */     GIR_RootConstrainSelectedInstOperands,
     /*  597337 */     // GIR_Coverage, 4380,
     /*  597337 */     GIR_EraseRootFromParent_Done,
     /*  597338 */   // Label 9685: @597338
     /*  597338 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(597413), // Rule ID 4381 //
     /*  597343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  597392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597411 */     GIR_RootConstrainSelectedInstOperands,
     /*  597412 */     // GIR_Coverage, 4381,
     /*  597412 */     GIR_EraseRootFromParent_Done,
     /*  597413 */   // Label 9686: @597413
     /*  597413 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(597488), // Rule ID 4390 //
     /*  597418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  597467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597486 */     GIR_RootConstrainSelectedInstOperands,
     /*  597487 */     // GIR_Coverage, 4390,
     /*  597487 */     GIR_EraseRootFromParent_Done,
     /*  597488 */   // Label 9687: @597488
     /*  597488 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597563), // Rule ID 4391 //
     /*  597493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  597504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  597507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  597510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  597513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  597542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597561 */     GIR_RootConstrainSelectedInstOperands,
     /*  597562 */     // GIR_Coverage, 4391,
     /*  597562 */     GIR_EraseRootFromParent_Done,
     /*  597563 */   // Label 9688: @597563
     /*  597563 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597638), // Rule ID 4400 //
     /*  597568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  597617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597636 */     GIR_RootConstrainSelectedInstOperands,
     /*  597637 */     // GIR_Coverage, 4400,
     /*  597637 */     GIR_EraseRootFromParent_Done,
     /*  597638 */   // Label 9689: @597638
     /*  597638 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597713), // Rule ID 4401 //
     /*  597643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  597663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  597692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597711 */     GIR_RootConstrainSelectedInstOperands,
     /*  597712 */     // GIR_Coverage, 4401,
     /*  597712 */     GIR_EraseRootFromParent_Done,
     /*  597713 */   // Label 9690: @597713
     /*  597713 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(597788), // Rule ID 4410 //
     /*  597718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  597767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597786 */     GIR_RootConstrainSelectedInstOperands,
     /*  597787 */     // GIR_Coverage, 4410,
     /*  597787 */     GIR_EraseRootFromParent_Done,
     /*  597788 */   // Label 9691: @597788
     /*  597788 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(597863), // Rule ID 4411 //
     /*  597793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  597842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597861 */     GIR_RootConstrainSelectedInstOperands,
     /*  597862 */     // GIR_Coverage, 4411,
     /*  597862 */     GIR_EraseRootFromParent_Done,
     /*  597863 */   // Label 9692: @597863
     /*  597863 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(597938), // Rule ID 4420 //
     /*  597868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  597917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597936 */     GIR_RootConstrainSelectedInstOperands,
     /*  597937 */     // GIR_Coverage, 4420,
     /*  597937 */     GIR_EraseRootFromParent_Done,
     /*  597938 */   // Label 9693: @597938
     /*  597938 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(598013), // Rule ID 4421 //
     /*  597943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  597992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598011 */     GIR_RootConstrainSelectedInstOperands,
     /*  598012 */     // GIR_Coverage, 4421,
     /*  598012 */     GIR_EraseRootFromParent_Done,
     /*  598013 */   // Label 9694: @598013
     /*  598013 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(598088), // Rule ID 4430 //
     /*  598018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  598067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598086 */     GIR_RootConstrainSelectedInstOperands,
     /*  598087 */     // GIR_Coverage, 4430,
     /*  598087 */     GIR_EraseRootFromParent_Done,
     /*  598088 */   // Label 9695: @598088
     /*  598088 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(598163), // Rule ID 4431 //
     /*  598093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  598142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598161 */     GIR_RootConstrainSelectedInstOperands,
     /*  598162 */     // GIR_Coverage, 4431,
     /*  598162 */     GIR_EraseRootFromParent_Done,
     /*  598163 */   // Label 9696: @598163
     /*  598163 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(598238), // Rule ID 4440 //
     /*  598168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598236 */     GIR_RootConstrainSelectedInstOperands,
     /*  598237 */     // GIR_Coverage, 4440,
     /*  598237 */     GIR_EraseRootFromParent_Done,
     /*  598238 */   // Label 9697: @598238
     /*  598238 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(598313), // Rule ID 4441 //
     /*  598243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598311 */     GIR_RootConstrainSelectedInstOperands,
     /*  598312 */     // GIR_Coverage, 4441,
     /*  598312 */     GIR_EraseRootFromParent_Done,
     /*  598313 */   // Label 9698: @598313
     /*  598313 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(598388), // Rule ID 4450 //
     /*  598318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  598367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598386 */     GIR_RootConstrainSelectedInstOperands,
     /*  598387 */     // GIR_Coverage, 4450,
     /*  598387 */     GIR_EraseRootFromParent_Done,
     /*  598388 */   // Label 9699: @598388
     /*  598388 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(598463), // Rule ID 4451 //
     /*  598393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  598413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598439 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  598442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598461 */     GIR_RootConstrainSelectedInstOperands,
     /*  598462 */     // GIR_Coverage, 4451,
     /*  598462 */     GIR_EraseRootFromParent_Done,
     /*  598463 */   // Label 9700: @598463
     /*  598463 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598538), // Rule ID 4460 //
     /*  598468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  598517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598536 */     GIR_RootConstrainSelectedInstOperands,
     /*  598537 */     // GIR_Coverage, 4460,
     /*  598537 */     GIR_EraseRootFromParent_Done,
     /*  598538 */   // Label 9701: @598538
     /*  598538 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598613), // Rule ID 4461 //
     /*  598543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  598563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  598592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598611 */     GIR_RootConstrainSelectedInstOperands,
     /*  598612 */     // GIR_Coverage, 4461,
     /*  598612 */     GIR_EraseRootFromParent_Done,
     /*  598613 */   // Label 9702: @598613
     /*  598613 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598688), // Rule ID 4470 //
     /*  598618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598686 */     GIR_RootConstrainSelectedInstOperands,
     /*  598687 */     // GIR_Coverage, 4470,
     /*  598687 */     GIR_EraseRootFromParent_Done,
     /*  598688 */   // Label 9703: @598688
     /*  598688 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(598763), // Rule ID 4471 //
     /*  598693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  598713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598739 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598761 */     GIR_RootConstrainSelectedInstOperands,
     /*  598762 */     // GIR_Coverage, 4471,
     /*  598762 */     GIR_EraseRootFromParent_Done,
     /*  598763 */   // Label 9704: @598763
     /*  598763 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(598838), // Rule ID 4480 //
     /*  598768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  598788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598836 */     GIR_RootConstrainSelectedInstOperands,
     /*  598837 */     // GIR_Coverage, 4480,
     /*  598837 */     GIR_EraseRootFromParent_Done,
     /*  598838 */   // Label 9705: @598838
     /*  598838 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(598913), // Rule ID 4481 //
     /*  598843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  598863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598911 */     GIR_RootConstrainSelectedInstOperands,
     /*  598912 */     // GIR_Coverage, 4481,
     /*  598912 */     GIR_EraseRootFromParent_Done,
     /*  598913 */   // Label 9706: @598913
     /*  598913 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(598988), // Rule ID 4490 //
     /*  598918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  598921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  598929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  598938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  598967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598986 */     GIR_RootConstrainSelectedInstOperands,
     /*  598987 */     // GIR_Coverage, 4490,
     /*  598987 */     GIR_EraseRootFromParent_Done,
     /*  598988 */   // Label 9707: @598988
     /*  598988 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(599063), // Rule ID 4491 //
     /*  598993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599039 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  599042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599061 */     GIR_RootConstrainSelectedInstOperands,
     /*  599062 */     // GIR_Coverage, 4491,
     /*  599062 */     GIR_EraseRootFromParent_Done,
     /*  599063 */   // Label 9708: @599063
     /*  599063 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(599138), // Rule ID 4500 //
     /*  599068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599136 */     GIR_RootConstrainSelectedInstOperands,
     /*  599137 */     // GIR_Coverage, 4500,
     /*  599137 */     GIR_EraseRootFromParent_Done,
     /*  599138 */   // Label 9709: @599138
     /*  599138 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(599213), // Rule ID 4501 //
     /*  599143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599211 */     GIR_RootConstrainSelectedInstOperands,
     /*  599212 */     // GIR_Coverage, 4501,
     /*  599212 */     GIR_EraseRootFromParent_Done,
     /*  599213 */   // Label 9710: @599213
     /*  599213 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(599288), // Rule ID 4510 //
     /*  599218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  599267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599286 */     GIR_RootConstrainSelectedInstOperands,
     /*  599287 */     // GIR_Coverage, 4510,
     /*  599287 */     GIR_EraseRootFromParent_Done,
     /*  599288 */   // Label 9711: @599288
     /*  599288 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(599363), // Rule ID 4511 //
     /*  599293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599339 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  599342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599361 */     GIR_RootConstrainSelectedInstOperands,
     /*  599362 */     // GIR_Coverage, 4511,
     /*  599362 */     GIR_EraseRootFromParent_Done,
     /*  599363 */   // Label 9712: @599363
     /*  599363 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(599438), // Rule ID 4518 //
     /*  599368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  599417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599436 */     GIR_RootConstrainSelectedInstOperands,
     /*  599437 */     // GIR_Coverage, 4518,
     /*  599437 */     GIR_EraseRootFromParent_Done,
     /*  599438 */   // Label 9713: @599438
     /*  599438 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(599513), // Rule ID 4519 //
     /*  599443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  599492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599511 */     GIR_RootConstrainSelectedInstOperands,
     /*  599512 */     // GIR_Coverage, 4519,
     /*  599512 */     GIR_EraseRootFromParent_Done,
     /*  599513 */   // Label 9714: @599513
     /*  599513 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599588), // Rule ID 4522 //
     /*  599518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  599567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599586 */     GIR_RootConstrainSelectedInstOperands,
     /*  599587 */     // GIR_Coverage, 4522,
     /*  599587 */     GIR_EraseRootFromParent_Done,
     /*  599588 */   // Label 9715: @599588
     /*  599588 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599663), // Rule ID 4523 //
     /*  599593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599639 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  599642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599661 */     GIR_RootConstrainSelectedInstOperands,
     /*  599662 */     // GIR_Coverage, 4523,
     /*  599662 */     GIR_EraseRootFromParent_Done,
     /*  599663 */   // Label 9716: @599663
     /*  599663 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(599738), // Rule ID 4526 //
     /*  599668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  599717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599736 */     GIR_RootConstrainSelectedInstOperands,
     /*  599737 */     // GIR_Coverage, 4526,
     /*  599737 */     GIR_EraseRootFromParent_Done,
     /*  599738 */   // Label 9717: @599738
     /*  599738 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(599813), // Rule ID 4527 //
     /*  599743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  599792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599811 */     GIR_RootConstrainSelectedInstOperands,
     /*  599812 */     // GIR_Coverage, 4527,
     /*  599812 */     GIR_EraseRootFromParent_Done,
     /*  599813 */   // Label 9718: @599813
     /*  599813 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(599888), // Rule ID 4530 //
     /*  599818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  599867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599886 */     GIR_RootConstrainSelectedInstOperands,
     /*  599887 */     // GIR_Coverage, 4530,
     /*  599887 */     GIR_EraseRootFromParent_Done,
     /*  599888 */   // Label 9719: @599888
     /*  599888 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(599963), // Rule ID 4531 //
     /*  599893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  599942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599961 */     GIR_RootConstrainSelectedInstOperands,
     /*  599962 */     // GIR_Coverage, 4531,
     /*  599962 */     GIR_EraseRootFromParent_Done,
     /*  599963 */   // Label 9720: @599963
     /*  599963 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(600038), // Rule ID 4534 //
     /*  599968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  599979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  599982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  599985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600036 */     GIR_RootConstrainSelectedInstOperands,
     /*  600037 */     // GIR_Coverage, 4534,
     /*  600037 */     GIR_EraseRootFromParent_Done,
     /*  600038 */   // Label 9721: @600038
     /*  600038 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(600113), // Rule ID 4535 //
     /*  600043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600111 */     GIR_RootConstrainSelectedInstOperands,
     /*  600112 */     // GIR_Coverage, 4535,
     /*  600112 */     GIR_EraseRootFromParent_Done,
     /*  600113 */   // Label 9722: @600113
     /*  600113 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(600188), // Rule ID 4538 //
     /*  600118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600186 */     GIR_RootConstrainSelectedInstOperands,
     /*  600187 */     // GIR_Coverage, 4538,
     /*  600187 */     GIR_EraseRootFromParent_Done,
     /*  600188 */   // Label 9723: @600188
     /*  600188 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(600263), // Rule ID 4539 //
     /*  600193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600239 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600261 */     GIR_RootConstrainSelectedInstOperands,
     /*  600262 */     // GIR_Coverage, 4539,
     /*  600262 */     GIR_EraseRootFromParent_Done,
     /*  600263 */   // Label 9724: @600263
     /*  600263 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(600338), // Rule ID 4542 //
     /*  600268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  600317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600336 */     GIR_RootConstrainSelectedInstOperands,
     /*  600337 */     // GIR_Coverage, 4542,
     /*  600337 */     GIR_EraseRootFromParent_Done,
     /*  600338 */   // Label 9725: @600338
     /*  600338 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(600413), // Rule ID 4543 //
     /*  600343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  600392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600411 */     GIR_RootConstrainSelectedInstOperands,
     /*  600412 */     // GIR_Coverage, 4543,
     /*  600412 */     GIR_EraseRootFromParent_Done,
     /*  600413 */   // Label 9726: @600413
     /*  600413 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(600488), // Rule ID 4546 //
     /*  600418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  600467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600486 */     GIR_RootConstrainSelectedInstOperands,
     /*  600487 */     // GIR_Coverage, 4546,
     /*  600487 */     GIR_EraseRootFromParent_Done,
     /*  600488 */   // Label 9727: @600488
     /*  600488 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600563), // Rule ID 4547 //
     /*  600493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  600542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600561 */     GIR_RootConstrainSelectedInstOperands,
     /*  600562 */     // GIR_Coverage, 4547,
     /*  600562 */     GIR_EraseRootFromParent_Done,
     /*  600563 */   // Label 9728: @600563
     /*  600563 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600638), // Rule ID 4550 //
     /*  600568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600636 */     GIR_RootConstrainSelectedInstOperands,
     /*  600637 */     // GIR_Coverage, 4550,
     /*  600637 */     GIR_EraseRootFromParent_Done,
     /*  600638 */   // Label 9729: @600638
     /*  600638 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600713), // Rule ID 4551 //
     /*  600643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600711 */     GIR_RootConstrainSelectedInstOperands,
     /*  600712 */     // GIR_Coverage, 4551,
     /*  600712 */     GIR_EraseRootFromParent_Done,
     /*  600713 */   // Label 9730: @600713
     /*  600713 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(600788), // Rule ID 4554 //
     /*  600718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600786 */     GIR_RootConstrainSelectedInstOperands,
     /*  600787 */     // GIR_Coverage, 4554,
     /*  600787 */     GIR_EraseRootFromParent_Done,
     /*  600788 */   // Label 9731: @600788
     /*  600788 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(600863), // Rule ID 4555 //
     /*  600793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600861 */     GIR_RootConstrainSelectedInstOperands,
     /*  600862 */     // GIR_Coverage, 4555,
     /*  600862 */     GIR_EraseRootFromParent_Done,
     /*  600863 */   // Label 9732: @600863
     /*  600863 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(600938), // Rule ID 4558 //
     /*  600868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600936 */     GIR_RootConstrainSelectedInstOperands,
     /*  600937 */     // GIR_Coverage, 4558,
     /*  600937 */     GIR_EraseRootFromParent_Done,
     /*  600938 */   // Label 9733: @600938
     /*  600938 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(601013), // Rule ID 4559 //
     /*  600943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601011 */     GIR_RootConstrainSelectedInstOperands,
     /*  601012 */     // GIR_Coverage, 4559,
     /*  601012 */     GIR_EraseRootFromParent_Done,
     /*  601013 */   // Label 9734: @601013
     /*  601013 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(601088), // Rule ID 4562 //
     /*  601018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601086 */     GIR_RootConstrainSelectedInstOperands,
     /*  601087 */     // GIR_Coverage, 4562,
     /*  601087 */     GIR_EraseRootFromParent_Done,
     /*  601088 */   // Label 9735: @601088
     /*  601088 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(601163), // Rule ID 4563 //
     /*  601093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601161 */     GIR_RootConstrainSelectedInstOperands,
     /*  601162 */     // GIR_Coverage, 4563,
     /*  601162 */     GIR_EraseRootFromParent_Done,
     /*  601163 */   // Label 9736: @601163
     /*  601163 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(601238), // Rule ID 4566 //
     /*  601168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601236 */     GIR_RootConstrainSelectedInstOperands,
     /*  601237 */     // GIR_Coverage, 4566,
     /*  601237 */     GIR_EraseRootFromParent_Done,
     /*  601238 */   // Label 9737: @601238
     /*  601238 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(601313), // Rule ID 4567 //
     /*  601243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601311 */     GIR_RootConstrainSelectedInstOperands,
     /*  601312 */     // GIR_Coverage, 4567,
     /*  601312 */     GIR_EraseRootFromParent_Done,
     /*  601313 */   // Label 9738: @601313
     /*  601313 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(601388), // Rule ID 4570 //
     /*  601318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  601367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601386 */     GIR_RootConstrainSelectedInstOperands,
     /*  601387 */     // GIR_Coverage, 4570,
     /*  601387 */     GIR_EraseRootFromParent_Done,
     /*  601388 */   // Label 9739: @601388
     /*  601388 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(601463), // Rule ID 4571 //
     /*  601393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  601442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601461 */     GIR_RootConstrainSelectedInstOperands,
     /*  601462 */     // GIR_Coverage, 4571,
     /*  601462 */     GIR_EraseRootFromParent_Done,
     /*  601463 */   // Label 9740: @601463
     /*  601463 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(601538), // Rule ID 4574 //
     /*  601468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601536 */     GIR_RootConstrainSelectedInstOperands,
     /*  601537 */     // GIR_Coverage, 4574,
     /*  601537 */     GIR_EraseRootFromParent_Done,
     /*  601538 */   // Label 9741: @601538
     /*  601538 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601613), // Rule ID 4575 //
     /*  601543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  601554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  601560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601611 */     GIR_RootConstrainSelectedInstOperands,
     /*  601612 */     // GIR_Coverage, 4575,
     /*  601612 */     GIR_EraseRootFromParent_Done,
     /*  601613 */   // Label 9742: @601613
     /*  601613 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601688), // Rule ID 4580 //
     /*  601618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  601629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  601638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  601667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601686 */     GIR_RootConstrainSelectedInstOperands,
     /*  601687 */     // GIR_Coverage, 4580,
     /*  601687 */     GIR_EraseRootFromParent_Done,
     /*  601688 */   // Label 9743: @601688
     /*  601688 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(601763), // Rule ID 4581 //
     /*  601693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  601704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  601713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  601742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601761 */     GIR_RootConstrainSelectedInstOperands,
     /*  601762 */     // GIR_Coverage, 4581,
     /*  601762 */     GIR_EraseRootFromParent_Done,
     /*  601763 */   // Label 9744: @601763
     /*  601763 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(601838), // Rule ID 4590 //
     /*  601768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  601779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  601782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  601785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  601788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  601817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601836 */     GIR_RootConstrainSelectedInstOperands,
     /*  601837 */     // GIR_Coverage, 4590,
     /*  601837 */     GIR_EraseRootFromParent_Done,
     /*  601838 */   // Label 9745: @601838
     /*  601838 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(601913), // Rule ID 4591 //
     /*  601843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  601854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  601857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  601860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  601863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  601892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601911 */     GIR_RootConstrainSelectedInstOperands,
     /*  601912 */     // GIR_Coverage, 4591,
     /*  601912 */     GIR_EraseRootFromParent_Done,
     /*  601913 */   // Label 9746: @601913
     /*  601913 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(601988), // Rule ID 4600 //
     /*  601918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  601926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  601929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  601932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  601935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  601938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  601967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601986 */     GIR_RootConstrainSelectedInstOperands,
     /*  601987 */     // GIR_Coverage, 4600,
     /*  601987 */     GIR_EraseRootFromParent_Done,
     /*  601988 */   // Label 9747: @601988
     /*  601988 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(602063), // Rule ID 4601 //
     /*  601993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  602004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  602013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602061 */     GIR_RootConstrainSelectedInstOperands,
     /*  602062 */     // GIR_Coverage, 4601,
     /*  602062 */     GIR_EraseRootFromParent_Done,
     /*  602063 */   // Label 9748: @602063
     /*  602063 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(602138), // Rule ID 4610 //
     /*  602068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  602088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602136 */     GIR_RootConstrainSelectedInstOperands,
     /*  602137 */     // GIR_Coverage, 4610,
     /*  602137 */     GIR_EraseRootFromParent_Done,
     /*  602138 */   // Label 9749: @602138
     /*  602138 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(602213), // Rule ID 4611 //
     /*  602143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  602163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602189 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602211 */     GIR_RootConstrainSelectedInstOperands,
     /*  602212 */     // GIR_Coverage, 4611,
     /*  602212 */     GIR_EraseRootFromParent_Done,
     /*  602213 */   // Label 9750: @602213
     /*  602213 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(602288), // Rule ID 4620 //
     /*  602218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  602229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  602267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602286 */     GIR_RootConstrainSelectedInstOperands,
     /*  602287 */     // GIR_Coverage, 4620,
     /*  602287 */     GIR_EraseRootFromParent_Done,
     /*  602288 */   // Label 9751: @602288
     /*  602288 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(602363), // Rule ID 4621 //
     /*  602293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  602304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602339 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  602342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602361 */     GIR_RootConstrainSelectedInstOperands,
     /*  602362 */     // GIR_Coverage, 4621,
     /*  602362 */     GIR_EraseRootFromParent_Done,
     /*  602363 */   // Label 9752: @602363
     /*  602363 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(602438), // Rule ID 4630 //
     /*  602368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  602379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  602382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  602385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  602388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  602417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602436 */     GIR_RootConstrainSelectedInstOperands,
     /*  602437 */     // GIR_Coverage, 4630,
     /*  602437 */     GIR_EraseRootFromParent_Done,
     /*  602438 */   // Label 9753: @602438
     /*  602438 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(602513), // Rule ID 4631 //
     /*  602443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  602454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  602457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  602460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  602463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602489 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  602492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602511 */     GIR_RootConstrainSelectedInstOperands,
     /*  602512 */     // GIR_Coverage, 4631,
     /*  602512 */     GIR_EraseRootFromParent_Done,
     /*  602513 */   // Label 9754: @602513
     /*  602513 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(602588), // Rule ID 4640 //
     /*  602518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  602529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  602538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602586 */     GIR_RootConstrainSelectedInstOperands,
     /*  602587 */     // GIR_Coverage, 4640,
     /*  602587 */     GIR_EraseRootFromParent_Done,
     /*  602588 */   // Label 9755: @602588
     /*  602588 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602663), // Rule ID 4641 //
     /*  602593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  602604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  602613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602661 */     GIR_RootConstrainSelectedInstOperands,
     /*  602662 */     // GIR_Coverage, 4641,
     /*  602662 */     GIR_EraseRootFromParent_Done,
     /*  602663 */   // Label 9756: @602663
     /*  602663 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602738), // Rule ID 4650 //
     /*  602668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  602679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  602688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602736 */     GIR_RootConstrainSelectedInstOperands,
     /*  602737 */     // GIR_Coverage, 4650,
     /*  602737 */     GIR_EraseRootFromParent_Done,
     /*  602738 */   // Label 9757: @602738
     /*  602738 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(602813), // Rule ID 4651 //
     /*  602743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  602754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  602763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602811 */     GIR_RootConstrainSelectedInstOperands,
     /*  602812 */     // GIR_Coverage, 4651,
     /*  602812 */     GIR_EraseRootFromParent_Done,
     /*  602813 */   // Label 9758: @602813
     /*  602813 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(602888), // Rule ID 4660 //
     /*  602818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  602829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  602832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  602835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  602838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602886 */     GIR_RootConstrainSelectedInstOperands,
     /*  602887 */     // GIR_Coverage, 4660,
     /*  602887 */     GIR_EraseRootFromParent_Done,
     /*  602888 */   // Label 9759: @602888
     /*  602888 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(602963), // Rule ID 4661 //
     /*  602893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  602904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  602907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  602910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  602913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602961 */     GIR_RootConstrainSelectedInstOperands,
     /*  602962 */     // GIR_Coverage, 4661,
     /*  602962 */     GIR_EraseRootFromParent_Done,
     /*  602963 */   // Label 9760: @602963
     /*  602963 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(603038), // Rule ID 4670 //
     /*  602968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  602979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  602982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  602985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  602988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603036 */     GIR_RootConstrainSelectedInstOperands,
     /*  603037 */     // GIR_Coverage, 4670,
     /*  603037 */     GIR_EraseRootFromParent_Done,
     /*  603038 */   // Label 9761: @603038
     /*  603038 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(603113), // Rule ID 4671 //
     /*  603043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  603054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  603063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603111 */     GIR_RootConstrainSelectedInstOperands,
     /*  603112 */     // GIR_Coverage, 4671,
     /*  603112 */     GIR_EraseRootFromParent_Done,
     /*  603113 */   // Label 9762: @603113
     /*  603113 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(603188), // Rule ID 4680 //
     /*  603118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603186 */     GIR_RootConstrainSelectedInstOperands,
     /*  603187 */     // GIR_Coverage, 4680,
     /*  603187 */     GIR_EraseRootFromParent_Done,
     /*  603188 */   // Label 9763: @603188
     /*  603188 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(603263), // Rule ID 4681 //
     /*  603193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603261 */     GIR_RootConstrainSelectedInstOperands,
     /*  603262 */     // GIR_Coverage, 4681,
     /*  603262 */     GIR_EraseRootFromParent_Done,
     /*  603263 */   // Label 9764: @603263
     /*  603263 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(603338), // Rule ID 4690 //
     /*  603268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  603279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  603288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  603317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603336 */     GIR_RootConstrainSelectedInstOperands,
     /*  603337 */     // GIR_Coverage, 4690,
     /*  603337 */     GIR_EraseRootFromParent_Done,
     /*  603338 */   // Label 9765: @603338
     /*  603338 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(603413), // Rule ID 4691 //
     /*  603343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  603346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  603354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  603363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  603392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603411 */     GIR_RootConstrainSelectedInstOperands,
     /*  603412 */     // GIR_Coverage, 4691,
     /*  603412 */     GIR_EraseRootFromParent_Done,
     /*  603413 */   // Label 9766: @603413
     /*  603413 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(603488), // Rule ID 4700 //
     /*  603418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  603429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  603432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  603435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  603438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603486 */     GIR_RootConstrainSelectedInstOperands,
     /*  603487 */     // GIR_Coverage, 4700,
     /*  603487 */     GIR_EraseRootFromParent_Done,
     /*  603488 */   // Label 9767: @603488
     /*  603488 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(603563), // Rule ID 4701 //
     /*  603493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  603496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  603504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  603507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  603510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  603513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603561 */     GIR_RootConstrainSelectedInstOperands,
     /*  603562 */     // GIR_Coverage, 4701,
     /*  603562 */     GIR_EraseRootFromParent_Done,
     /*  603563 */   // Label 9768: @603563
     /*  603563 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(603638), // Rule ID 4710 //
     /*  603568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  603579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  603588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603614 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603636 */     GIR_RootConstrainSelectedInstOperands,
     /*  603637 */     // GIR_Coverage, 4710,
     /*  603637 */     GIR_EraseRootFromParent_Done,
     /*  603638 */   // Label 9769: @603638
     /*  603638 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603713), // Rule ID 4711 //
     /*  603643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  603646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  603654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  603663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603711 */     GIR_RootConstrainSelectedInstOperands,
     /*  603712 */     // GIR_Coverage, 4711,
     /*  603712 */     GIR_EraseRootFromParent_Done,
     /*  603713 */   // Label 9770: @603713
     /*  603713 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603788), // Rule ID 4720 //
     /*  603718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  603729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  603732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  603735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  603738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603786 */     GIR_RootConstrainSelectedInstOperands,
     /*  603787 */     // GIR_Coverage, 4720,
     /*  603787 */     GIR_EraseRootFromParent_Done,
     /*  603788 */   // Label 9771: @603788
     /*  603788 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(603863), // Rule ID 4721 //
     /*  603793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  603796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  603804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  603807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  603810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  603813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603861 */     GIR_RootConstrainSelectedInstOperands,
     /*  603862 */     // GIR_Coverage, 4721,
     /*  603862 */     GIR_EraseRootFromParent_Done,
     /*  603863 */   // Label 9772: @603863
     /*  603863 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(603938), // Rule ID 4728 //
     /*  603868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  603879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  603882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  603885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  603888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  603914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  603917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603936 */     GIR_RootConstrainSelectedInstOperands,
     /*  603937 */     // GIR_Coverage, 4728,
     /*  603937 */     GIR_EraseRootFromParent_Done,
     /*  603938 */   // Label 9773: @603938
     /*  603938 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(604013), // Rule ID 4729 //
     /*  603943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  603954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  603957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  603960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  603963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603989 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  603989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  603992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604011 */     GIR_RootConstrainSelectedInstOperands,
     /*  604012 */     // GIR_Coverage, 4729,
     /*  604012 */     GIR_EraseRootFromParent_Done,
     /*  604013 */   // Label 9774: @604013
     /*  604013 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(604088), // Rule ID 4732 //
     /*  604018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604086 */     GIR_RootConstrainSelectedInstOperands,
     /*  604087 */     // GIR_Coverage, 4732,
     /*  604087 */     GIR_EraseRootFromParent_Done,
     /*  604088 */   // Label 9775: @604088
     /*  604088 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(604163), // Rule ID 4733 //
     /*  604093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604161 */     GIR_RootConstrainSelectedInstOperands,
     /*  604162 */     // GIR_Coverage, 4733,
     /*  604162 */     GIR_EraseRootFromParent_Done,
     /*  604163 */   // Label 9776: @604163
     /*  604163 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(604238), // Rule ID 4736 //
     /*  604168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  604179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  604185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  604217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604236 */     GIR_RootConstrainSelectedInstOperands,
     /*  604237 */     // GIR_Coverage, 4736,
     /*  604237 */     GIR_EraseRootFromParent_Done,
     /*  604238 */   // Label 9777: @604238
     /*  604238 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(604313), // Rule ID 4737 //
     /*  604243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  604254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  604260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11604:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  604292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604311 */     GIR_RootConstrainSelectedInstOperands,
     /*  604312 */     // GIR_Coverage, 4737,
     /*  604312 */     GIR_EraseRootFromParent_Done,
     /*  604313 */   // Label 9778: @604313
     /*  604313 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(604388), // Rule ID 4740 //
     /*  604318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  604329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  604367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604386 */     GIR_RootConstrainSelectedInstOperands,
     /*  604387 */     // GIR_Coverage, 4740,
     /*  604387 */     GIR_EraseRootFromParent_Done,
     /*  604388 */   // Label 9779: @604388
     /*  604388 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(604463), // Rule ID 4741 //
     /*  604393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  604404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  604442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604461 */     GIR_RootConstrainSelectedInstOperands,
     /*  604462 */     // GIR_Coverage, 4741,
     /*  604462 */     GIR_EraseRootFromParent_Done,
     /*  604463 */   // Label 9780: @604463
     /*  604463 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(604538), // Rule ID 4744 //
     /*  604468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  604479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  604517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604536 */     GIR_RootConstrainSelectedInstOperands,
     /*  604537 */     // GIR_Coverage, 4744,
     /*  604537 */     GIR_EraseRootFromParent_Done,
     /*  604538 */   // Label 9781: @604538
     /*  604538 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(604613), // Rule ID 4745 //
     /*  604543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  604554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  604592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604611 */     GIR_RootConstrainSelectedInstOperands,
     /*  604612 */     // GIR_Coverage, 4745,
     /*  604612 */     GIR_EraseRootFromParent_Done,
     /*  604613 */   // Label 9782: @604613
     /*  604613 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(604688), // Rule ID 4748 //
     /*  604618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  604629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  604667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604686 */     GIR_RootConstrainSelectedInstOperands,
     /*  604687 */     // GIR_Coverage, 4748,
     /*  604687 */     GIR_EraseRootFromParent_Done,
     /*  604688 */   // Label 9783: @604688
     /*  604688 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604763), // Rule ID 4749 //
     /*  604693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  604704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  604742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604761 */     GIR_RootConstrainSelectedInstOperands,
     /*  604762 */     // GIR_Coverage, 4749,
     /*  604762 */     GIR_EraseRootFromParent_Done,
     /*  604763 */   // Label 9784: @604763
     /*  604763 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604838), // Rule ID 4752 //
     /*  604768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  604779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  604782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  604785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  604814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604836 */     GIR_RootConstrainSelectedInstOperands,
     /*  604837 */     // GIR_Coverage, 4752,
     /*  604837 */     GIR_EraseRootFromParent_Done,
     /*  604838 */   // Label 9785: @604838
     /*  604838 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(604913), // Rule ID 4753 //
     /*  604843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  604854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  604857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  604860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  604889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604911 */     GIR_RootConstrainSelectedInstOperands,
     /*  604912 */     // GIR_Coverage, 4753,
     /*  604912 */     GIR_EraseRootFromParent_Done,
     /*  604913 */   // Label 9786: @604913
     /*  604913 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(604988), // Rule ID 4756 //
     /*  604918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  604929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  604932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  604935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  604964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  604967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604986 */     GIR_RootConstrainSelectedInstOperands,
     /*  604987 */     // GIR_Coverage, 4756,
     /*  604987 */     GIR_EraseRootFromParent_Done,
     /*  604988 */   // Label 9787: @604988
     /*  604988 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(605063), // Rule ID 4757 //
     /*  604993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  605004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  605010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11604:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605061 */     GIR_RootConstrainSelectedInstOperands,
     /*  605062 */     // GIR_Coverage, 4757,
     /*  605062 */     GIR_EraseRootFromParent_Done,
     /*  605063 */   // Label 9788: @605063
     /*  605063 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(605138), // Rule ID 4760 //
     /*  605068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  605079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  605085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605136 */     GIR_RootConstrainSelectedInstOperands,
     /*  605137 */     // GIR_Coverage, 4760,
     /*  605137 */     GIR_EraseRootFromParent_Done,
     /*  605138 */   // Label 9789: @605138
     /*  605138 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(605213), // Rule ID 4761 //
     /*  605143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  605154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  605160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605211 */     GIR_RootConstrainSelectedInstOperands,
     /*  605212 */     // GIR_Coverage, 4761,
     /*  605212 */     GIR_EraseRootFromParent_Done,
     /*  605213 */   // Label 9790: @605213
     /*  605213 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(605288), // Rule ID 4764 //
     /*  605218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  605229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  605235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605286 */     GIR_RootConstrainSelectedInstOperands,
     /*  605287 */     // GIR_Coverage, 4764,
     /*  605287 */     GIR_EraseRootFromParent_Done,
     /*  605288 */   // Label 9791: @605288
     /*  605288 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(605363), // Rule ID 4765 //
     /*  605293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  605304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  605310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605361 */     GIR_RootConstrainSelectedInstOperands,
     /*  605362 */     // GIR_Coverage, 4765,
     /*  605362 */     GIR_EraseRootFromParent_Done,
     /*  605363 */   // Label 9792: @605363
     /*  605363 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(605438), // Rule ID 4768 //
     /*  605368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  605379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  605382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  605385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  605417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605436 */     GIR_RootConstrainSelectedInstOperands,
     /*  605437 */     // GIR_Coverage, 4768,
     /*  605437 */     GIR_EraseRootFromParent_Done,
     /*  605438 */   // Label 9793: @605438
     /*  605438 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(605513), // Rule ID 4769 //
     /*  605443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  605454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  605457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  605460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605489 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  605492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605511 */     GIR_RootConstrainSelectedInstOperands,
     /*  605512 */     // GIR_Coverage, 4769,
     /*  605512 */     GIR_EraseRootFromParent_Done,
     /*  605513 */   // Label 9794: @605513
     /*  605513 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(605588), // Rule ID 4772 //
     /*  605518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  605521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  605529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  605535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605586 */     GIR_RootConstrainSelectedInstOperands,
     /*  605587 */     // GIR_Coverage, 4772,
     /*  605587 */     GIR_EraseRootFromParent_Done,
     /*  605588 */   // Label 9795: @605588
     /*  605588 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(605663), // Rule ID 4773 //
     /*  605593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  605596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  605604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  605610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11604:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605661 */     GIR_RootConstrainSelectedInstOperands,
     /*  605662 */     // GIR_Coverage, 4773,
     /*  605662 */     GIR_EraseRootFromParent_Done,
     /*  605663 */   // Label 9796: @605663
     /*  605663 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(605738), // Rule ID 4776 //
     /*  605668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  605671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  605679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  605682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  605685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605736 */     GIR_RootConstrainSelectedInstOperands,
     /*  605737 */     // GIR_Coverage, 4776,
     /*  605737 */     GIR_EraseRootFromParent_Done,
     /*  605738 */   // Label 9797: @605738
     /*  605738 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605813), // Rule ID 4777 //
     /*  605743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  605746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  605754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  605757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  605760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605789 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11604:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605811 */     GIR_RootConstrainSelectedInstOperands,
     /*  605812 */     // GIR_Coverage, 4777,
     /*  605812 */     GIR_EraseRootFromParent_Done,
     /*  605813 */   // Label 9798: @605813
     /*  605813 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605888), // Rule ID 4780 //
     /*  605818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  605821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  605829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  605832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  605835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605886 */     GIR_RootConstrainSelectedInstOperands,
     /*  605887 */     // GIR_Coverage, 4780,
     /*  605887 */     GIR_EraseRootFromParent_Done,
     /*  605888 */   // Label 9799: @605888
     /*  605888 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(605963), // Rule ID 4781 //
     /*  605893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  605896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  605904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  605907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  605910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11604:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605961 */     GIR_RootConstrainSelectedInstOperands,
     /*  605962 */     // GIR_Coverage, 4781,
     /*  605962 */     GIR_EraseRootFromParent_Done,
     /*  605963 */   // Label 9800: @605963
     /*  605963 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(606038), // Rule ID 4784 //
     /*  605968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  605971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  605979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  605982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  605985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606036 */     GIR_RootConstrainSelectedInstOperands,
     /*  606037 */     // GIR_Coverage, 4784,
     /*  606037 */     GIR_EraseRootFromParent_Done,
     /*  606038 */   // Label 9801: @606038
     /*  606038 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(606113), // Rule ID 4785 //
     /*  606043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  606046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  606054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  606057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  606060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11604:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606111 */     GIR_RootConstrainSelectedInstOperands,
     /*  606112 */     // GIR_Coverage, 4785,
     /*  606112 */     GIR_EraseRootFromParent_Done,
     /*  606113 */   // Label 9802: @606113
     /*  606113 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(606185), // Rule ID 5138 //
     /*  606118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606183 */     GIR_RootConstrainSelectedInstOperands,
     /*  606184 */     // GIR_Coverage, 5138,
     /*  606184 */     GIR_EraseRootFromParent_Done,
     /*  606185 */   // Label 9803: @606185
     /*  606185 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(606257), // Rule ID 5139 //
     /*  606190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606255 */     GIR_RootConstrainSelectedInstOperands,
     /*  606256 */     // GIR_Coverage, 5139,
     /*  606256 */     GIR_EraseRootFromParent_Done,
     /*  606257 */   // Label 9804: @606257
     /*  606257 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(606329), // Rule ID 5140 //
     /*  606262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  606279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606327 */     GIR_RootConstrainSelectedInstOperands,
     /*  606328 */     // GIR_Coverage, 5140,
     /*  606328 */     GIR_EraseRootFromParent_Done,
     /*  606329 */   // Label 9805: @606329
     /*  606329 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(606401), // Rule ID 5141 //
     /*  606334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  606351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606399 */     GIR_RootConstrainSelectedInstOperands,
     /*  606400 */     // GIR_Coverage, 5141,
     /*  606400 */     GIR_EraseRootFromParent_Done,
     /*  606401 */   // Label 9806: @606401
     /*  606401 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(606473), // Rule ID 5142 //
     /*  606406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  606420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  606423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606471 */     GIR_RootConstrainSelectedInstOperands,
     /*  606472 */     // GIR_Coverage, 5142,
     /*  606472 */     GIR_EraseRootFromParent_Done,
     /*  606473 */   // Label 9807: @606473
     /*  606473 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(606545), // Rule ID 5143 //
     /*  606478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  606492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  606495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606543 */     GIR_RootConstrainSelectedInstOperands,
     /*  606544 */     // GIR_Coverage, 5143,
     /*  606544 */     GIR_EraseRootFromParent_Done,
     /*  606545 */   // Label 9808: @606545
     /*  606545 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(606617), // Rule ID 5144 //
     /*  606550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  606564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  606567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606615 */     GIR_RootConstrainSelectedInstOperands,
     /*  606616 */     // GIR_Coverage, 5144,
     /*  606616 */     GIR_EraseRootFromParent_Done,
     /*  606617 */   // Label 9809: @606617
     /*  606617 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(606689), // Rule ID 5145 //
     /*  606622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  606636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  606639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606687 */     GIR_RootConstrainSelectedInstOperands,
     /*  606688 */     // GIR_Coverage, 5145,
     /*  606688 */     GIR_EraseRootFromParent_Done,
     /*  606689 */   // Label 9810: @606689
     /*  606689 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(606761), // Rule ID 5146 //
     /*  606694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  606708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  606711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606759 */     GIR_RootConstrainSelectedInstOperands,
     /*  606760 */     // GIR_Coverage, 5146,
     /*  606760 */     GIR_EraseRootFromParent_Done,
     /*  606761 */   // Label 9811: @606761
     /*  606761 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606833), // Rule ID 5147 //
     /*  606766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  606780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  606783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606812 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606831 */     GIR_RootConstrainSelectedInstOperands,
     /*  606832 */     // GIR_Coverage, 5147,
     /*  606832 */     GIR_EraseRootFromParent_Done,
     /*  606833 */   // Label 9812: @606833
     /*  606833 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606905), // Rule ID 5148 //
     /*  606838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  606852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  606855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  606887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606903 */     GIR_RootConstrainSelectedInstOperands,
     /*  606904 */     // GIR_Coverage, 5148,
     /*  606904 */     GIR_EraseRootFromParent_Done,
     /*  606905 */   // Label 9813: @606905
     /*  606905 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(606977), // Rule ID 5149 //
     /*  606910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  606924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  606927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  606959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606975 */     GIR_RootConstrainSelectedInstOperands,
     /*  606976 */     // GIR_Coverage, 5149,
     /*  606976 */     GIR_EraseRootFromParent_Done,
     /*  606977 */   // Label 9814: @606977
     /*  606977 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(607049), // Rule ID 5150 //
     /*  606982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  606999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607047 */     GIR_RootConstrainSelectedInstOperands,
     /*  607048 */     // GIR_Coverage, 5150,
     /*  607048 */     GIR_EraseRootFromParent_Done,
     /*  607049 */   // Label 9815: @607049
     /*  607049 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(607121), // Rule ID 5151 //
     /*  607054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  607068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  607071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607119 */     GIR_RootConstrainSelectedInstOperands,
     /*  607120 */     // GIR_Coverage, 5151,
     /*  607120 */     GIR_EraseRootFromParent_Done,
     /*  607121 */   // Label 9816: @607121
     /*  607121 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(607193), // Rule ID 5152 //
     /*  607126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607191 */     GIR_RootConstrainSelectedInstOperands,
     /*  607192 */     // GIR_Coverage, 5152,
     /*  607192 */     GIR_EraseRootFromParent_Done,
     /*  607193 */   // Label 9817: @607193
     /*  607193 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(607265), // Rule ID 5153 //
     /*  607198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607263 */     GIR_RootConstrainSelectedInstOperands,
     /*  607264 */     // GIR_Coverage, 5153,
     /*  607264 */     GIR_EraseRootFromParent_Done,
     /*  607265 */   // Label 9818: @607265
     /*  607265 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(607337), // Rule ID 5154 //
     /*  607270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  607287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607335 */     GIR_RootConstrainSelectedInstOperands,
     /*  607336 */     // GIR_Coverage, 5154,
     /*  607336 */     GIR_EraseRootFromParent_Done,
     /*  607337 */   // Label 9819: @607337
     /*  607337 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(607409), // Rule ID 5155 //
     /*  607342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  607359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607407 */     GIR_RootConstrainSelectedInstOperands,
     /*  607408 */     // GIR_Coverage, 5155,
     /*  607408 */     GIR_EraseRootFromParent_Done,
     /*  607409 */   // Label 9820: @607409
     /*  607409 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607481), // Rule ID 5156 //
     /*  607414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  607428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  607431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  607463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607479 */     GIR_RootConstrainSelectedInstOperands,
     /*  607480 */     // GIR_Coverage, 5156,
     /*  607480 */     GIR_EraseRootFromParent_Done,
     /*  607481 */   // Label 9821: @607481
     /*  607481 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(607553), // Rule ID 5157 //
     /*  607486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  607500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  607503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  607535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607551 */     GIR_RootConstrainSelectedInstOperands,
     /*  607552 */     // GIR_Coverage, 5157,
     /*  607552 */     GIR_EraseRootFromParent_Done,
     /*  607553 */   // Label 9822: @607553
     /*  607553 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(607625), // Rule ID 5158 //
     /*  607558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  607572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  607575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607604 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  607607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607623 */     GIR_RootConstrainSelectedInstOperands,
     /*  607624 */     // GIR_Coverage, 5158,
     /*  607624 */     GIR_EraseRootFromParent_Done,
     /*  607625 */   // Label 9823: @607625
     /*  607625 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(607697), // Rule ID 5159 //
     /*  607630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  607644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  607647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607676 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  607679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607695 */     GIR_RootConstrainSelectedInstOperands,
     /*  607696 */     // GIR_Coverage, 5159,
     /*  607696 */     GIR_EraseRootFromParent_Done,
     /*  607697 */   // Label 9824: @607697
     /*  607697 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(607769), // Rule ID 5160 //
     /*  607702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  607713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  607716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  607719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  607722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607748 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  607751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607767 */     GIR_RootConstrainSelectedInstOperands,
     /*  607768 */     // GIR_Coverage, 5160,
     /*  607768 */     GIR_EraseRootFromParent_Done,
     /*  607769 */   // Label 9825: @607769
     /*  607769 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607841), // Rule ID 5161 //
     /*  607774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  607785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  607788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  607791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  607794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607820 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  607823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607839 */     GIR_RootConstrainSelectedInstOperands,
     /*  607840 */     // GIR_Coverage, 5161,
     /*  607840 */     GIR_EraseRootFromParent_Done,
     /*  607841 */   // Label 9826: @607841
     /*  607841 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(607913), // Rule ID 5162 //
     /*  607846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  607860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  607863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  607895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607911 */     GIR_RootConstrainSelectedInstOperands,
     /*  607912 */     // GIR_Coverage, 5162,
     /*  607912 */     GIR_EraseRootFromParent_Done,
     /*  607913 */   // Label 9827: @607913
     /*  607913 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(607985), // Rule ID 5163 //
     /*  607918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  607932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  607935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  607967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607983 */     GIR_RootConstrainSelectedInstOperands,
     /*  607984 */     // GIR_Coverage, 5163,
     /*  607984 */     GIR_EraseRootFromParent_Done,
     /*  607985 */   // Label 9828: @607985
     /*  607985 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(608057), // Rule ID 5164 //
     /*  607990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608055 */     GIR_RootConstrainSelectedInstOperands,
     /*  608056 */     // GIR_Coverage, 5164,
     /*  608056 */     GIR_EraseRootFromParent_Done,
     /*  608057 */   // Label 9829: @608057
     /*  608057 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(608129), // Rule ID 5165 //
     /*  608062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608127 */     GIR_RootConstrainSelectedInstOperands,
     /*  608128 */     // GIR_Coverage, 5165,
     /*  608128 */     GIR_EraseRootFromParent_Done,
     /*  608129 */   // Label 9830: @608129
     /*  608129 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(608201), // Rule ID 5166 //
     /*  608134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608199 */     GIR_RootConstrainSelectedInstOperands,
     /*  608200 */     // GIR_Coverage, 5166,
     /*  608200 */     GIR_EraseRootFromParent_Done,
     /*  608201 */   // Label 9831: @608201
     /*  608201 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(608273), // Rule ID 5167 //
     /*  608206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608252 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608271 */     GIR_RootConstrainSelectedInstOperands,
     /*  608272 */     // GIR_Coverage, 5167,
     /*  608272 */     GIR_EraseRootFromParent_Done,
     /*  608273 */   // Label 9832: @608273
     /*  608273 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(608345), // Rule ID 5168 //
     /*  608278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  608295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608343 */     GIR_RootConstrainSelectedInstOperands,
     /*  608344 */     // GIR_Coverage, 5168,
     /*  608344 */     GIR_EraseRootFromParent_Done,
     /*  608345 */   // Label 9833: @608345
     /*  608345 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(608417), // Rule ID 5169 //
     /*  608350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  608367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608415 */     GIR_RootConstrainSelectedInstOperands,
     /*  608416 */     // GIR_Coverage, 5169,
     /*  608416 */     GIR_EraseRootFromParent_Done,
     /*  608417 */   // Label 9834: @608417
     /*  608417 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608489), // Rule ID 5170 //
     /*  608422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  608436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  608439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608487 */     GIR_RootConstrainSelectedInstOperands,
     /*  608488 */     // GIR_Coverage, 5170,
     /*  608488 */     GIR_EraseRootFromParent_Done,
     /*  608489 */   // Label 9835: @608489
     /*  608489 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(608561), // Rule ID 5171 //
     /*  608494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  608508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  608511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608559 */     GIR_RootConstrainSelectedInstOperands,
     /*  608560 */     // GIR_Coverage, 5171,
     /*  608560 */     GIR_EraseRootFromParent_Done,
     /*  608561 */   // Label 9836: @608561
     /*  608561 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(608633), // Rule ID 5172 //
     /*  608566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  608580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  608583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608631 */     GIR_RootConstrainSelectedInstOperands,
     /*  608632 */     // GIR_Coverage, 5172,
     /*  608632 */     GIR_EraseRootFromParent_Done,
     /*  608633 */   // Label 9837: @608633
     /*  608633 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(608705), // Rule ID 5173 //
     /*  608638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  608652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  608655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608703 */     GIR_RootConstrainSelectedInstOperands,
     /*  608704 */     // GIR_Coverage, 5173,
     /*  608704 */     GIR_EraseRootFromParent_Done,
     /*  608705 */   // Label 9838: @608705
     /*  608705 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608777), // Rule ID 5174 //
     /*  608710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  608724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  608727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608756 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608775 */     GIR_RootConstrainSelectedInstOperands,
     /*  608776 */     // GIR_Coverage, 5174,
     /*  608776 */     GIR_EraseRootFromParent_Done,
     /*  608777 */   // Label 9839: @608777
     /*  608777 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608849), // Rule ID 5175 //
     /*  608782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  608793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  608796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  608799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  608802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608847 */     GIR_RootConstrainSelectedInstOperands,
     /*  608848 */     // GIR_Coverage, 5175,
     /*  608848 */     GIR_EraseRootFromParent_Done,
     /*  608849 */   // Label 9840: @608849
     /*  608849 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(608921), // Rule ID 5176 //
     /*  608854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  608868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  608871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608919 */     GIR_RootConstrainSelectedInstOperands,
     /*  608920 */     // GIR_Coverage, 5176,
     /*  608920 */     GIR_EraseRootFromParent_Done,
     /*  608921 */   // Label 9841: @608921
     /*  608921 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(608993), // Rule ID 5177 //
     /*  608926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  608940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  608943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608991 */     GIR_RootConstrainSelectedInstOperands,
     /*  608992 */     // GIR_Coverage, 5177,
     /*  608992 */     GIR_EraseRootFromParent_Done,
     /*  608993 */   // Label 9842: @608993
     /*  608993 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(609065), // Rule ID 5178 //
     /*  608998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609063 */     GIR_RootConstrainSelectedInstOperands,
     /*  609064 */     // GIR_Coverage, 5178,
     /*  609064 */     GIR_EraseRootFromParent_Done,
     /*  609065 */   // Label 9843: @609065
     /*  609065 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(609137), // Rule ID 5179 //
     /*  609070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609135 */     GIR_RootConstrainSelectedInstOperands,
     /*  609136 */     // GIR_Coverage, 5179,
     /*  609136 */     GIR_EraseRootFromParent_Done,
     /*  609137 */   // Label 9844: @609137
     /*  609137 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(609209), // Rule ID 5180 //
     /*  609142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  609191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609207 */     GIR_RootConstrainSelectedInstOperands,
     /*  609208 */     // GIR_Coverage, 5180,
     /*  609208 */     GIR_EraseRootFromParent_Done,
     /*  609209 */   // Label 9845: @609209
     /*  609209 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(609281), // Rule ID 5181 //
     /*  609214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  609263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609279 */     GIR_RootConstrainSelectedInstOperands,
     /*  609280 */     // GIR_Coverage, 5181,
     /*  609280 */     GIR_EraseRootFromParent_Done,
     /*  609281 */   // Label 9846: @609281
     /*  609281 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(609353), // Rule ID 5182 //
     /*  609286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609351 */     GIR_RootConstrainSelectedInstOperands,
     /*  609352 */     // GIR_Coverage, 5182,
     /*  609352 */     GIR_EraseRootFromParent_Done,
     /*  609353 */   // Label 9847: @609353
     /*  609353 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(609425), // Rule ID 5183 //
     /*  609358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609423 */     GIR_RootConstrainSelectedInstOperands,
     /*  609424 */     // GIR_Coverage, 5183,
     /*  609424 */     GIR_EraseRootFromParent_Done,
     /*  609425 */   // Label 9848: @609425
     /*  609425 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609497), // Rule ID 5184 //
     /*  609430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  609444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609495 */     GIR_RootConstrainSelectedInstOperands,
     /*  609496 */     // GIR_Coverage, 5184,
     /*  609496 */     GIR_EraseRootFromParent_Done,
     /*  609497 */   // Label 9849: @609497
     /*  609497 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(609569), // Rule ID 5185 //
     /*  609502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  609516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609567 */     GIR_RootConstrainSelectedInstOperands,
     /*  609568 */     // GIR_Coverage, 5185,
     /*  609568 */     GIR_EraseRootFromParent_Done,
     /*  609569 */   // Label 9850: @609569
     /*  609569 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(609641), // Rule ID 5186 //
     /*  609574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  609588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609639 */     GIR_RootConstrainSelectedInstOperands,
     /*  609640 */     // GIR_Coverage, 5186,
     /*  609640 */     GIR_EraseRootFromParent_Done,
     /*  609641 */   // Label 9851: @609641
     /*  609641 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(609713), // Rule ID 5187 //
     /*  609646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  609660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  609695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609711 */     GIR_RootConstrainSelectedInstOperands,
     /*  609712 */     // GIR_Coverage, 5187,
     /*  609712 */     GIR_EraseRootFromParent_Done,
     /*  609713 */   // Label 9852: @609713
     /*  609713 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609785), // Rule ID 5188 //
     /*  609718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  609732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  609764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609783 */     GIR_RootConstrainSelectedInstOperands,
     /*  609784 */     // GIR_Coverage, 5188,
     /*  609784 */     GIR_EraseRootFromParent_Done,
     /*  609785 */   // Label 9853: @609785
     /*  609785 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609857), // Rule ID 5189 //
     /*  609790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  609804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  609836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609855 */     GIR_RootConstrainSelectedInstOperands,
     /*  609856 */     // GIR_Coverage, 5189,
     /*  609856 */     GIR_EraseRootFromParent_Done,
     /*  609857 */   // Label 9854: @609857
     /*  609857 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(609929), // Rule ID 5190 //
     /*  609862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  609876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609927 */     GIR_RootConstrainSelectedInstOperands,
     /*  609928 */     // GIR_Coverage, 5190,
     /*  609928 */     GIR_EraseRootFromParent_Done,
     /*  609929 */   // Label 9855: @609929
     /*  609929 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(610001), // Rule ID 5191 //
     /*  609934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  609948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  609983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609999 */     GIR_RootConstrainSelectedInstOperands,
     /*  610000 */     // GIR_Coverage, 5191,
     /*  610000 */     GIR_EraseRootFromParent_Done,
     /*  610001 */   // Label 9856: @610001
     /*  610001 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(610073), // Rule ID 5192 //
     /*  610006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610071 */     GIR_RootConstrainSelectedInstOperands,
     /*  610072 */     // GIR_Coverage, 5192,
     /*  610072 */     GIR_EraseRootFromParent_Done,
     /*  610073 */   // Label 9857: @610073
     /*  610073 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(610145), // Rule ID 5193 //
     /*  610078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610143 */     GIR_RootConstrainSelectedInstOperands,
     /*  610144 */     // GIR_Coverage, 5193,
     /*  610144 */     GIR_EraseRootFromParent_Done,
     /*  610145 */   // Label 9858: @610145
     /*  610145 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(610217), // Rule ID 5194 //
     /*  610150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610215 */     GIR_RootConstrainSelectedInstOperands,
     /*  610216 */     // GIR_Coverage, 5194,
     /*  610216 */     GIR_EraseRootFromParent_Done,
     /*  610217 */   // Label 9859: @610217
     /*  610217 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(610289), // Rule ID 5195 //
     /*  610222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610268 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610287 */     GIR_RootConstrainSelectedInstOperands,
     /*  610288 */     // GIR_Coverage, 5195,
     /*  610288 */     GIR_EraseRootFromParent_Done,
     /*  610289 */   // Label 9860: @610289
     /*  610289 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(610361), // Rule ID 5196 //
     /*  610294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610359 */     GIR_RootConstrainSelectedInstOperands,
     /*  610360 */     // GIR_Coverage, 5196,
     /*  610360 */     GIR_EraseRootFromParent_Done,
     /*  610361 */   // Label 9861: @610361
     /*  610361 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(610433), // Rule ID 5197 //
     /*  610366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610431 */     GIR_RootConstrainSelectedInstOperands,
     /*  610432 */     // GIR_Coverage, 5197,
     /*  610432 */     GIR_EraseRootFromParent_Done,
     /*  610433 */   // Label 9862: @610433
     /*  610433 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610505), // Rule ID 5198 //
     /*  610438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  610452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  610484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610503 */     GIR_RootConstrainSelectedInstOperands,
     /*  610504 */     // GIR_Coverage, 5198,
     /*  610504 */     GIR_EraseRootFromParent_Done,
     /*  610505 */   // Label 9863: @610505
     /*  610505 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(610577), // Rule ID 5199 //
     /*  610510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  610513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  610524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  610556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  610575 */     GIR_RootConstrainSelectedInstOperands,
     /*  610576 */     // GIR_Coverage, 5199,
     /*  610576 */     GIR_EraseRootFromParent_Done,
     /*  610577 */   // Label 9864: @610577
     /*  610577 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(610649), // Rule ID 5200 //
     /*  610582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  610596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  610631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610647 */     GIR_RootConstrainSelectedInstOperands,
     /*  610648 */     // GIR_Coverage, 5200,
     /*  610648 */     GIR_EraseRootFromParent_Done,
     /*  610649 */   // Label 9865: @610649
     /*  610649 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610721), // Rule ID 5201 //
     /*  610654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  610665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  610668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  610674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  610703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610719 */     GIR_RootConstrainSelectedInstOperands,
     /*  610720 */     // GIR_Coverage, 5201,
     /*  610720 */     GIR_EraseRootFromParent_Done,
     /*  610721 */   // Label 9866: @610721
     /*  610721 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610793), // Rule ID 5202 //
     /*  610726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  610740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610772 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  610775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610791 */     GIR_RootConstrainSelectedInstOperands,
     /*  610792 */     // GIR_Coverage, 5202,
     /*  610792 */     GIR_EraseRootFromParent_Done,
     /*  610793 */   // Label 9867: @610793
     /*  610793 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610865), // Rule ID 5203 //
     /*  610798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  610809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  610812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  610818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610844 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  610847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610863 */     GIR_RootConstrainSelectedInstOperands,
     /*  610864 */     // GIR_Coverage, 5203,
     /*  610864 */     GIR_EraseRootFromParent_Done,
     /*  610865 */   // Label 9868: @610865
     /*  610865 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(610937), // Rule ID 5204 //
     /*  610870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  610881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  610884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  610890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610916 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  610919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610935 */     GIR_RootConstrainSelectedInstOperands,
     /*  610936 */     // GIR_Coverage, 5204,
     /*  610936 */     GIR_EraseRootFromParent_Done,
     /*  610937 */   // Label 9869: @610937
     /*  610937 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(611009), // Rule ID 5205 //
     /*  610942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  610953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  610956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  610962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610988 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  610991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611007 */     GIR_RootConstrainSelectedInstOperands,
     /*  611008 */     // GIR_Coverage, 5205,
     /*  611008 */     GIR_EraseRootFromParent_Done,
     /*  611009 */   // Label 9870: @611009
     /*  611009 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(611081), // Rule ID 5206 //
     /*  611014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611079 */     GIR_RootConstrainSelectedInstOperands,
     /*  611080 */     // GIR_Coverage, 5206,
     /*  611080 */     GIR_EraseRootFromParent_Done,
     /*  611081 */   // Label 9871: @611081
     /*  611081 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(611153), // Rule ID 5207 //
     /*  611086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611151 */     GIR_RootConstrainSelectedInstOperands,
     /*  611152 */     // GIR_Coverage, 5207,
     /*  611152 */     GIR_EraseRootFromParent_Done,
     /*  611153 */   // Label 9872: @611153
     /*  611153 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(611225), // Rule ID 5208 //
     /*  611158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611204 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611223 */     GIR_RootConstrainSelectedInstOperands,
     /*  611224 */     // GIR_Coverage, 5208,
     /*  611224 */     GIR_EraseRootFromParent_Done,
     /*  611225 */   // Label 9873: @611225
     /*  611225 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(611297), // Rule ID 5209 //
     /*  611230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611295 */     GIR_RootConstrainSelectedInstOperands,
     /*  611296 */     // GIR_Coverage, 5209,
     /*  611296 */     GIR_EraseRootFromParent_Done,
     /*  611297 */   // Label 9874: @611297
     /*  611297 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(611369), // Rule ID 5210 //
     /*  611302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611367 */     GIR_RootConstrainSelectedInstOperands,
     /*  611368 */     // GIR_Coverage, 5210,
     /*  611368 */     GIR_EraseRootFromParent_Done,
     /*  611369 */   // Label 9875: @611369
     /*  611369 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(611441), // Rule ID 5211 //
     /*  611374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611439 */     GIR_RootConstrainSelectedInstOperands,
     /*  611440 */     // GIR_Coverage, 5211,
     /*  611440 */     GIR_EraseRootFromParent_Done,
     /*  611441 */   // Label 9876: @611441
     /*  611441 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611513), // Rule ID 5212 //
     /*  611446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  611460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611511 */     GIR_RootConstrainSelectedInstOperands,
     /*  611512 */     // GIR_Coverage, 5212,
     /*  611512 */     GIR_EraseRootFromParent_Done,
     /*  611513 */   // Label 9877: @611513
     /*  611513 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(611585), // Rule ID 5213 //
     /*  611518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  611529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  611532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  611538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611583 */     GIR_RootConstrainSelectedInstOperands,
     /*  611584 */     // GIR_Coverage, 5213,
     /*  611584 */     GIR_EraseRootFromParent_Done,
     /*  611585 */   // Label 9878: @611585
     /*  611585 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(611657), // Rule ID 5214 //
     /*  611590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  611604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611655 */     GIR_RootConstrainSelectedInstOperands,
     /*  611656 */     // GIR_Coverage, 5214,
     /*  611656 */     GIR_EraseRootFromParent_Done,
     /*  611657 */   // Label 9879: @611657
     /*  611657 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611729), // Rule ID 5215 //
     /*  611662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  611676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611727 */     GIR_RootConstrainSelectedInstOperands,
     /*  611728 */     // GIR_Coverage, 5215,
     /*  611728 */     GIR_EraseRootFromParent_Done,
     /*  611729 */   // Label 9880: @611729
     /*  611729 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611801), // Rule ID 5216 //
     /*  611734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  611748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611799 */     GIR_RootConstrainSelectedInstOperands,
     /*  611800 */     // GIR_Coverage, 5216,
     /*  611800 */     GIR_EraseRootFromParent_Done,
     /*  611801 */   // Label 9881: @611801
     /*  611801 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611873), // Rule ID 5217 //
     /*  611806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  611820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611871 */     GIR_RootConstrainSelectedInstOperands,
     /*  611872 */     // GIR_Coverage, 5217,
     /*  611872 */     GIR_EraseRootFromParent_Done,
     /*  611873 */   // Label 9882: @611873
     /*  611873 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(611945), // Rule ID 5218 //
     /*  611878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  611892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611943 */     GIR_RootConstrainSelectedInstOperands,
     /*  611944 */     // GIR_Coverage, 5218,
     /*  611944 */     GIR_EraseRootFromParent_Done,
     /*  611945 */   // Label 9883: @611945
     /*  611945 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(612017), // Rule ID 5219 //
     /*  611950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  611964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612015 */     GIR_RootConstrainSelectedInstOperands,
     /*  612016 */     // GIR_Coverage, 5219,
     /*  612016 */     GIR_EraseRootFromParent_Done,
     /*  612017 */   // Label 9884: @612017
     /*  612017 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(612089), // Rule ID 5220 //
     /*  612022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612087 */     GIR_RootConstrainSelectedInstOperands,
     /*  612088 */     // GIR_Coverage, 5220,
     /*  612088 */     GIR_EraseRootFromParent_Done,
     /*  612089 */   // Label 9885: @612089
     /*  612089 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(612161), // Rule ID 5221 //
     /*  612094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612159 */     GIR_RootConstrainSelectedInstOperands,
     /*  612160 */     // GIR_Coverage, 5221,
     /*  612160 */     GIR_EraseRootFromParent_Done,
     /*  612161 */   // Label 9886: @612161
     /*  612161 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(612233), // Rule ID 5222 //
     /*  612166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612231 */     GIR_RootConstrainSelectedInstOperands,
     /*  612232 */     // GIR_Coverage, 5222,
     /*  612232 */     GIR_EraseRootFromParent_Done,
     /*  612233 */   // Label 9887: @612233
     /*  612233 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(612305), // Rule ID 5223 //
     /*  612238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612303 */     GIR_RootConstrainSelectedInstOperands,
     /*  612304 */     // GIR_Coverage, 5223,
     /*  612304 */     GIR_EraseRootFromParent_Done,
     /*  612305 */   // Label 9888: @612305
     /*  612305 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(612377), // Rule ID 5486 //
     /*  612310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  612359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612375 */     GIR_RootConstrainSelectedInstOperands,
     /*  612376 */     // GIR_Coverage, 5486,
     /*  612376 */     GIR_EraseRootFromParent_Done,
     /*  612377 */   // Label 9889: @612377
     /*  612377 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(612449), // Rule ID 5487 //
     /*  612382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  612431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612447 */     GIR_RootConstrainSelectedInstOperands,
     /*  612448 */     // GIR_Coverage, 5487,
     /*  612448 */     GIR_EraseRootFromParent_Done,
     /*  612449 */   // Label 9890: @612449
     /*  612449 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(612521), // Rule ID 5488 //
     /*  612454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  612468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  612471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  612503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612519 */     GIR_RootConstrainSelectedInstOperands,
     /*  612520 */     // GIR_Coverage, 5488,
     /*  612520 */     GIR_EraseRootFromParent_Done,
     /*  612521 */   // Label 9891: @612521
     /*  612521 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(612593), // Rule ID 5489 //
     /*  612526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  612540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  612543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  612575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612591 */     GIR_RootConstrainSelectedInstOperands,
     /*  612592 */     // GIR_Coverage, 5489,
     /*  612592 */     GIR_EraseRootFromParent_Done,
     /*  612593 */   // Label 9892: @612593
     /*  612593 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612665), // Rule ID 5490 //
     /*  612598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  612612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  612615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  612644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  612647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612663 */     GIR_RootConstrainSelectedInstOperands,
     /*  612664 */     // GIR_Coverage, 5490,
     /*  612664 */     GIR_EraseRootFromParent_Done,
     /*  612665 */   // Label 9893: @612665
     /*  612665 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612737), // Rule ID 5491 //
     /*  612670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  612684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  612687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  612716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  612719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612735 */     GIR_RootConstrainSelectedInstOperands,
     /*  612736 */     // GIR_Coverage, 5491,
     /*  612736 */     GIR_EraseRootFromParent_Done,
     /*  612737 */   // Label 9894: @612737
     /*  612737 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612809), // Rule ID 5492 //
     /*  612742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  612756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  612759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  612791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612807 */     GIR_RootConstrainSelectedInstOperands,
     /*  612808 */     // GIR_Coverage, 5492,
     /*  612808 */     GIR_EraseRootFromParent_Done,
     /*  612809 */   // Label 9895: @612809
     /*  612809 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612881), // Rule ID 5493 //
     /*  612814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  612825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  612828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  612831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  612834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  612863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612879 */     GIR_RootConstrainSelectedInstOperands,
     /*  612880 */     // GIR_Coverage, 5493,
     /*  612880 */     GIR_EraseRootFromParent_Done,
     /*  612881 */   // Label 9896: @612881
     /*  612881 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(612953), // Rule ID 5494 //
     /*  612886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  612900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  612903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  612935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612951 */     GIR_RootConstrainSelectedInstOperands,
     /*  612952 */     // GIR_Coverage, 5494,
     /*  612952 */     GIR_EraseRootFromParent_Done,
     /*  612953 */   // Label 9897: @612953
     /*  612953 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(613025), // Rule ID 5495 //
     /*  612958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  612972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  612975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613023 */     GIR_RootConstrainSelectedInstOperands,
     /*  613024 */     // GIR_Coverage, 5495,
     /*  613024 */     GIR_EraseRootFromParent_Done,
     /*  613025 */   // Label 9898: @613025
     /*  613025 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(613097), // Rule ID 5496 //
     /*  613030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613095 */     GIR_RootConstrainSelectedInstOperands,
     /*  613096 */     // GIR_Coverage, 5496,
     /*  613096 */     GIR_EraseRootFromParent_Done,
     /*  613097 */   // Label 9899: @613097
     /*  613097 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(613169), // Rule ID 5497 //
     /*  613102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613167 */     GIR_RootConstrainSelectedInstOperands,
     /*  613168 */     // GIR_Coverage, 5497,
     /*  613168 */     GIR_EraseRootFromParent_Done,
     /*  613169 */   // Label 9900: @613169
     /*  613169 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(613241), // Rule ID 5498 //
     /*  613174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613239 */     GIR_RootConstrainSelectedInstOperands,
     /*  613240 */     // GIR_Coverage, 5498,
     /*  613240 */     GIR_EraseRootFromParent_Done,
     /*  613241 */   // Label 9901: @613241
     /*  613241 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(613313), // Rule ID 5499 //
     /*  613246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613311 */     GIR_RootConstrainSelectedInstOperands,
     /*  613312 */     // GIR_Coverage, 5499,
     /*  613312 */     GIR_EraseRootFromParent_Done,
     /*  613313 */   // Label 9902: @613313
     /*  613313 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(613385), // Rule ID 5500 //
     /*  613318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  613335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613383 */     GIR_RootConstrainSelectedInstOperands,
     /*  613384 */     // GIR_Coverage, 5500,
     /*  613384 */     GIR_EraseRootFromParent_Done,
     /*  613385 */   // Label 9903: @613385
     /*  613385 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(613457), // Rule ID 5501 //
     /*  613390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  613407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613455 */     GIR_RootConstrainSelectedInstOperands,
     /*  613456 */     // GIR_Coverage, 5501,
     /*  613456 */     GIR_EraseRootFromParent_Done,
     /*  613457 */   // Label 9904: @613457
     /*  613457 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(613529), // Rule ID 5502 //
     /*  613462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  613476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  613479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613527 */     GIR_RootConstrainSelectedInstOperands,
     /*  613528 */     // GIR_Coverage, 5502,
     /*  613528 */     GIR_EraseRootFromParent_Done,
     /*  613529 */   // Label 9905: @613529
     /*  613529 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613601), // Rule ID 5503 //
     /*  613534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  613548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  613551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613599 */     GIR_RootConstrainSelectedInstOperands,
     /*  613600 */     // GIR_Coverage, 5503,
     /*  613600 */     GIR_EraseRootFromParent_Done,
     /*  613601 */   // Label 9906: @613601
     /*  613601 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613673), // Rule ID 5504 //
     /*  613606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  613609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  613620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  613623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  613652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613671 */     GIR_RootConstrainSelectedInstOperands,
     /*  613672 */     // GIR_Coverage, 5504,
     /*  613672 */     GIR_EraseRootFromParent_Done,
     /*  613673 */   // Label 9907: @613673
     /*  613673 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613745), // Rule ID 5505 //
     /*  613678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  613681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  613692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  613695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  613724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  613743 */     GIR_RootConstrainSelectedInstOperands,
     /*  613744 */     // GIR_Coverage, 5505,
     /*  613744 */     GIR_EraseRootFromParent_Done,
     /*  613745 */   // Label 9908: @613745
     /*  613745 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613817), // Rule ID 5506 //
     /*  613750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  613764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  613767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  613799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613815 */     GIR_RootConstrainSelectedInstOperands,
     /*  613816 */     // GIR_Coverage, 5506,
     /*  613816 */     GIR_EraseRootFromParent_Done,
     /*  613817 */   // Label 9909: @613817
     /*  613817 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613889), // Rule ID 5507 //
     /*  613822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  613833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  613836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  613839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  613842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  613871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613887 */     GIR_RootConstrainSelectedInstOperands,
     /*  613888 */     // GIR_Coverage, 5507,
     /*  613888 */     GIR_EraseRootFromParent_Done,
     /*  613889 */   // Label 9910: @613889
     /*  613889 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(613961), // Rule ID 5508 //
     /*  613894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  613908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  613911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  613943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613959 */     GIR_RootConstrainSelectedInstOperands,
     /*  613960 */     // GIR_Coverage, 5508,
     /*  613960 */     GIR_EraseRootFromParent_Done,
     /*  613961 */   // Label 9911: @613961
     /*  613961 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(614033), // Rule ID 5509 //
     /*  613966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  613977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  613980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  613983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  613986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614012 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614031 */     GIR_RootConstrainSelectedInstOperands,
     /*  614032 */     // GIR_Coverage, 5509,
     /*  614032 */     GIR_EraseRootFromParent_Done,
     /*  614033 */   // Label 9912: @614033
     /*  614033 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(614105), // Rule ID 5510 //
     /*  614038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  614049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  614058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614084 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  614084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614103 */     GIR_RootConstrainSelectedInstOperands,
     /*  614104 */     // GIR_Coverage, 5510,
     /*  614104 */     GIR_EraseRootFromParent_Done,
     /*  614105 */   // Label 9913: @614105
     /*  614105 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(614177), // Rule ID 5511 //
     /*  614110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  614121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  614130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614156 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614175 */     GIR_RootConstrainSelectedInstOperands,
     /*  614176 */     // GIR_Coverage, 5511,
     /*  614176 */     GIR_EraseRootFromParent_Done,
     /*  614177 */   // Label 9914: @614177
     /*  614177 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(614249), // Rule ID 5512 //
     /*  614182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614247 */     GIR_RootConstrainSelectedInstOperands,
     /*  614248 */     // GIR_Coverage, 5512,
     /*  614248 */     GIR_EraseRootFromParent_Done,
     /*  614249 */   // Label 9915: @614249
     /*  614249 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(614321), // Rule ID 5513 //
     /*  614254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614319 */     GIR_RootConstrainSelectedInstOperands,
     /*  614320 */     // GIR_Coverage, 5513,
     /*  614320 */     GIR_EraseRootFromParent_Done,
     /*  614321 */   // Label 9916: @614321
     /*  614321 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(614393), // Rule ID 5514 //
     /*  614326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614391 */     GIR_RootConstrainSelectedInstOperands,
     /*  614392 */     // GIR_Coverage, 5514,
     /*  614392 */     GIR_EraseRootFromParent_Done,
     /*  614393 */   // Label 9917: @614393
     /*  614393 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(614465), // Rule ID 5515 //
     /*  614398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614463 */     GIR_RootConstrainSelectedInstOperands,
     /*  614464 */     // GIR_Coverage, 5515,
     /*  614464 */     GIR_EraseRootFromParent_Done,
     /*  614465 */   // Label 9918: @614465
     /*  614465 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(614537), // Rule ID 5516 //
     /*  614470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  614484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  614487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614535 */     GIR_RootConstrainSelectedInstOperands,
     /*  614536 */     // GIR_Coverage, 5516,
     /*  614536 */     GIR_EraseRootFromParent_Done,
     /*  614537 */   // Label 9919: @614537
     /*  614537 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614609), // Rule ID 5517 //
     /*  614542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  614556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  614559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614588 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614607 */     GIR_RootConstrainSelectedInstOperands,
     /*  614608 */     // GIR_Coverage, 5517,
     /*  614608 */     GIR_EraseRootFromParent_Done,
     /*  614609 */   // Label 9920: @614609
     /*  614609 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614681), // Rule ID 5518 //
     /*  614614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  614628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  614631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614679 */     GIR_RootConstrainSelectedInstOperands,
     /*  614680 */     // GIR_Coverage, 5518,
     /*  614680 */     GIR_EraseRootFromParent_Done,
     /*  614681 */   // Label 9921: @614681
     /*  614681 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614753), // Rule ID 5519 //
     /*  614686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  614700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  614703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614751 */     GIR_RootConstrainSelectedInstOperands,
     /*  614752 */     // GIR_Coverage, 5519,
     /*  614752 */     GIR_EraseRootFromParent_Done,
     /*  614753 */   // Label 9922: @614753
     /*  614753 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614825), // Rule ID 5520 //
     /*  614758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  614772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  614775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614823 */     GIR_RootConstrainSelectedInstOperands,
     /*  614824 */     // GIR_Coverage, 5520,
     /*  614824 */     GIR_EraseRootFromParent_Done,
     /*  614825 */   // Label 9923: @614825
     /*  614825 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(614897), // Rule ID 5521 //
     /*  614830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  614844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  614847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614895 */     GIR_RootConstrainSelectedInstOperands,
     /*  614896 */     // GIR_Coverage, 5521,
     /*  614896 */     GIR_EraseRootFromParent_Done,
     /*  614897 */   // Label 9924: @614897
     /*  614897 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(614969), // Rule ID 5522 //
     /*  614902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  614916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  614919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614967 */     GIR_RootConstrainSelectedInstOperands,
     /*  614968 */     // GIR_Coverage, 5522,
     /*  614968 */     GIR_EraseRootFromParent_Done,
     /*  614969 */   // Label 9925: @614969
     /*  614969 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(615041), // Rule ID 5523 //
     /*  614974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  614988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  614991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  615020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615039 */     GIR_RootConstrainSelectedInstOperands,
     /*  615040 */     // GIR_Coverage, 5523,
     /*  615040 */     GIR_EraseRootFromParent_Done,
     /*  615041 */   // Label 9926: @615041
     /*  615041 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(615113), // Rule ID 5524 //
     /*  615046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615111 */     GIR_RootConstrainSelectedInstOperands,
     /*  615112 */     // GIR_Coverage, 5524,
     /*  615112 */     GIR_EraseRootFromParent_Done,
     /*  615113 */   // Label 9927: @615113
     /*  615113 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(615185), // Rule ID 5525 //
     /*  615118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615183 */     GIR_RootConstrainSelectedInstOperands,
     /*  615184 */     // GIR_Coverage, 5525,
     /*  615184 */     GIR_EraseRootFromParent_Done,
     /*  615185 */   // Label 9928: @615185
     /*  615185 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(615257), // Rule ID 5526 //
     /*  615190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615255 */     GIR_RootConstrainSelectedInstOperands,
     /*  615256 */     // GIR_Coverage, 5526,
     /*  615256 */     GIR_EraseRootFromParent_Done,
     /*  615257 */   // Label 9929: @615257
     /*  615257 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(615329), // Rule ID 5527 //
     /*  615262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615327 */     GIR_RootConstrainSelectedInstOperands,
     /*  615328 */     // GIR_Coverage, 5527,
     /*  615328 */     GIR_EraseRootFromParent_Done,
     /*  615329 */   // Label 9930: @615329
     /*  615329 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(615401), // Rule ID 5528 //
     /*  615334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  615348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  615351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615399 */     GIR_RootConstrainSelectedInstOperands,
     /*  615400 */     // GIR_Coverage, 5528,
     /*  615400 */     GIR_EraseRootFromParent_Done,
     /*  615401 */   // Label 9931: @615401
     /*  615401 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(615473), // Rule ID 5529 //
     /*  615406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  615420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  615423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615471 */     GIR_RootConstrainSelectedInstOperands,
     /*  615472 */     // GIR_Coverage, 5529,
     /*  615472 */     GIR_EraseRootFromParent_Done,
     /*  615473 */   // Label 9932: @615473
     /*  615473 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615545), // Rule ID 5530 //
     /*  615478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  615489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  615498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  615524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  615527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615543 */     GIR_RootConstrainSelectedInstOperands,
     /*  615544 */     // GIR_Coverage, 5530,
     /*  615544 */     GIR_EraseRootFromParent_Done,
     /*  615545 */   // Label 9933: @615545
     /*  615545 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615617), // Rule ID 5531 //
     /*  615550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  615561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  615567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  615570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  615596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  615599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615615 */     GIR_RootConstrainSelectedInstOperands,
     /*  615616 */     // GIR_Coverage, 5531,
     /*  615616 */     GIR_EraseRootFromParent_Done,
     /*  615617 */   // Label 9934: @615617
     /*  615617 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615689), // Rule ID 5532 //
     /*  615622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  615668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  615671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615687 */     GIR_RootConstrainSelectedInstOperands,
     /*  615688 */     // GIR_Coverage, 5532,
     /*  615688 */     GIR_EraseRootFromParent_Done,
     /*  615689 */   // Label 9935: @615689
     /*  615689 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615761), // Rule ID 5533 //
     /*  615694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  615711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  615740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  615743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615759 */     GIR_RootConstrainSelectedInstOperands,
     /*  615760 */     // GIR_Coverage, 5533,
     /*  615760 */     GIR_EraseRootFromParent_Done,
     /*  615761 */   // Label 9936: @615761
     /*  615761 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615833), // Rule ID 5534 //
     /*  615766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  615812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  615815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615831 */     GIR_RootConstrainSelectedInstOperands,
     /*  615832 */     // GIR_Coverage, 5534,
     /*  615832 */     GIR_EraseRootFromParent_Done,
     /*  615833 */   // Label 9937: @615833
     /*  615833 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(615905), // Rule ID 5535 //
     /*  615838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  615855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  615884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  615887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615903 */     GIR_RootConstrainSelectedInstOperands,
     /*  615904 */     // GIR_Coverage, 5535,
     /*  615904 */     GIR_EraseRootFromParent_Done,
     /*  615905 */   // Label 9938: @615905
     /*  615905 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(615977), // Rule ID 5536 //
     /*  615910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  615921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  615927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  615930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  615956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  615959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615975 */     GIR_RootConstrainSelectedInstOperands,
     /*  615976 */     // GIR_Coverage, 5536,
     /*  615976 */     GIR_EraseRootFromParent_Done,
     /*  615977 */   // Label 9939: @615977
     /*  615977 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(616049), // Rule ID 5537 //
     /*  615982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  615993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  615999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  616031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616047 */     GIR_RootConstrainSelectedInstOperands,
     /*  616048 */     // GIR_Coverage, 5537,
     /*  616048 */     GIR_EraseRootFromParent_Done,
     /*  616049 */   // Label 9940: @616049
     /*  616049 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(616121), // Rule ID 5538 //
     /*  616054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  616100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616119 */     GIR_RootConstrainSelectedInstOperands,
     /*  616120 */     // GIR_Coverage, 5538,
     /*  616120 */     GIR_EraseRootFromParent_Done,
     /*  616121 */   // Label 9941: @616121
     /*  616121 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(616193), // Rule ID 5539 //
     /*  616126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616191 */     GIR_RootConstrainSelectedInstOperands,
     /*  616192 */     // GIR_Coverage, 5539,
     /*  616192 */     GIR_EraseRootFromParent_Done,
     /*  616193 */   // Label 9942: @616193
     /*  616193 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(616265), // Rule ID 5540 //
     /*  616198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  616244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616263 */     GIR_RootConstrainSelectedInstOperands,
     /*  616264 */     // GIR_Coverage, 5540,
     /*  616264 */     GIR_EraseRootFromParent_Done,
     /*  616265 */   // Label 9943: @616265
     /*  616265 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(616337), // Rule ID 5541 //
     /*  616270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  616316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616335 */     GIR_RootConstrainSelectedInstOperands,
     /*  616336 */     // GIR_Coverage, 5541,
     /*  616336 */     GIR_EraseRootFromParent_Done,
     /*  616337 */   // Label 9944: @616337
     /*  616337 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(616409), // Rule ID 5542 //
     /*  616342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  616353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  616362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  616388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616407 */     GIR_RootConstrainSelectedInstOperands,
     /*  616408 */     // GIR_Coverage, 5542,
     /*  616408 */     GIR_EraseRootFromParent_Done,
     /*  616409 */   // Label 9945: @616409
     /*  616409 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616481), // Rule ID 5543 //
     /*  616414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  616425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  616434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  616460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616479 */     GIR_RootConstrainSelectedInstOperands,
     /*  616480 */     // GIR_Coverage, 5543,
     /*  616480 */     GIR_EraseRootFromParent_Done,
     /*  616481 */   // Label 9946: @616481
     /*  616481 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616553), // Rule ID 5544 //
     /*  616486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  616497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  616506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  616532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616551 */     GIR_RootConstrainSelectedInstOperands,
     /*  616552 */     // GIR_Coverage, 5544,
     /*  616552 */     GIR_EraseRootFromParent_Done,
     /*  616553 */   // Label 9947: @616553
     /*  616553 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616625), // Rule ID 5545 //
     /*  616558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  616569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  616578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616623 */     GIR_RootConstrainSelectedInstOperands,
     /*  616624 */     // GIR_Coverage, 5545,
     /*  616624 */     GIR_EraseRootFromParent_Done,
     /*  616625 */   // Label 9948: @616625
     /*  616625 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616697), // Rule ID 5546 //
     /*  616630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  616676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616695 */     GIR_RootConstrainSelectedInstOperands,
     /*  616696 */     // GIR_Coverage, 5546,
     /*  616696 */     GIR_EraseRootFromParent_Done,
     /*  616697 */   // Label 9949: @616697
     /*  616697 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616769), // Rule ID 5547 //
     /*  616702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  616748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616767 */     GIR_RootConstrainSelectedInstOperands,
     /*  616768 */     // GIR_Coverage, 5547,
     /*  616768 */     GIR_EraseRootFromParent_Done,
     /*  616769 */   // Label 9950: @616769
     /*  616769 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(616841), // Rule ID 5548 //
     /*  616774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  616788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  616820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616839 */     GIR_RootConstrainSelectedInstOperands,
     /*  616840 */     // GIR_Coverage, 5548,
     /*  616840 */     GIR_EraseRootFromParent_Done,
     /*  616841 */   // Label 9951: @616841
     /*  616841 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(616913), // Rule ID 5549 //
     /*  616846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  616849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  616860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  616892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  616895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616911 */     GIR_RootConstrainSelectedInstOperands,
     /*  616912 */     // GIR_Coverage, 5549,
     /*  616912 */     GIR_EraseRootFromParent_Done,
     /*  616913 */   // Label 9952: @616913
     /*  616913 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(616985), // Rule ID 5550 //
     /*  616918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  616929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  616938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616964 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  616964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  616967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616983 */     GIR_RootConstrainSelectedInstOperands,
     /*  616984 */     // GIR_Coverage, 5550,
     /*  616984 */     GIR_EraseRootFromParent_Done,
     /*  616985 */   // Label 9953: @616985
     /*  616985 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(617057), // Rule ID 5551 //
     /*  616990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617055 */     GIR_RootConstrainSelectedInstOperands,
     /*  617056 */     // GIR_Coverage, 5551,
     /*  617056 */     GIR_EraseRootFromParent_Done,
     /*  617057 */   // Label 9954: @617057
     /*  617057 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(617129), // Rule ID 5552 //
     /*  617062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617108 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617127 */     GIR_RootConstrainSelectedInstOperands,
     /*  617128 */     // GIR_Coverage, 5552,
     /*  617128 */     GIR_EraseRootFromParent_Done,
     /*  617129 */   // Label 9955: @617129
     /*  617129 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(617201), // Rule ID 5553 //
     /*  617134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617199 */     GIR_RootConstrainSelectedInstOperands,
     /*  617200 */     // GIR_Coverage, 5553,
     /*  617200 */     GIR_EraseRootFromParent_Done,
     /*  617201 */   // Label 9956: @617201
     /*  617201 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(617273), // Rule ID 5554 //
     /*  617206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  617217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  617226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617252 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617271 */     GIR_RootConstrainSelectedInstOperands,
     /*  617272 */     // GIR_Coverage, 5554,
     /*  617272 */     GIR_EraseRootFromParent_Done,
     /*  617273 */   // Label 9957: @617273
     /*  617273 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(617345), // Rule ID 5555 //
     /*  617278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  617289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  617298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617324 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617343 */     GIR_RootConstrainSelectedInstOperands,
     /*  617344 */     // GIR_Coverage, 5555,
     /*  617344 */     GIR_EraseRootFromParent_Done,
     /*  617345 */   // Label 9958: @617345
     /*  617345 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(617417), // Rule ID 5556 //
     /*  617350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  617361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  617370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  617396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617415 */     GIR_RootConstrainSelectedInstOperands,
     /*  617416 */     // GIR_Coverage, 5556,
     /*  617416 */     GIR_EraseRootFromParent_Done,
     /*  617417 */   // Label 9959: @617417
     /*  617417 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617489), // Rule ID 5557 //
     /*  617422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  617433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  617442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  617468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617487 */     GIR_RootConstrainSelectedInstOperands,
     /*  617488 */     // GIR_Coverage, 5557,
     /*  617488 */     GIR_EraseRootFromParent_Done,
     /*  617489 */   // Label 9960: @617489
     /*  617489 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617561), // Rule ID 5558 //
     /*  617494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  617540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617559 */     GIR_RootConstrainSelectedInstOperands,
     /*  617560 */     // GIR_Coverage, 5558,
     /*  617560 */     GIR_EraseRootFromParent_Done,
     /*  617561 */   // Label 9961: @617561
     /*  617561 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617633), // Rule ID 5559 //
     /*  617566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  617612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617631 */     GIR_RootConstrainSelectedInstOperands,
     /*  617632 */     // GIR_Coverage, 5559,
     /*  617632 */     GIR_EraseRootFromParent_Done,
     /*  617633 */   // Label 9962: @617633
     /*  617633 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617705), // Rule ID 5560 //
     /*  617638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  617684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617703 */     GIR_RootConstrainSelectedInstOperands,
     /*  617704 */     // GIR_Coverage, 5560,
     /*  617704 */     GIR_EraseRootFromParent_Done,
     /*  617705 */   // Label 9963: @617705
     /*  617705 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(617777), // Rule ID 5561 //
     /*  617710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617756 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  617756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617775 */     GIR_RootConstrainSelectedInstOperands,
     /*  617776 */     // GIR_Coverage, 5561,
     /*  617776 */     GIR_EraseRootFromParent_Done,
     /*  617777 */   // Label 9964: @617777
     /*  617777 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(617849), // Rule ID 5562 //
     /*  617782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  617793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  617802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  617828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617847 */     GIR_RootConstrainSelectedInstOperands,
     /*  617848 */     // GIR_Coverage, 5562,
     /*  617848 */     GIR_EraseRootFromParent_Done,
     /*  617849 */   // Label 9965: @617849
     /*  617849 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(617921), // Rule ID 5563 //
     /*  617854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  617865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  617874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  617900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617919 */     GIR_RootConstrainSelectedInstOperands,
     /*  617920 */     // GIR_Coverage, 5563,
     /*  617920 */     GIR_EraseRootFromParent_Done,
     /*  617921 */   // Label 9966: @617921
     /*  617921 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(617993), // Rule ID 5564 //
     /*  617926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  617937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  617946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  617972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617991 */     GIR_RootConstrainSelectedInstOperands,
     /*  617992 */     // GIR_Coverage, 5564,
     /*  617992 */     GIR_EraseRootFromParent_Done,
     /*  617993 */   // Label 9967: @617993
     /*  617993 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(618065), // Rule ID 5565 //
     /*  617998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618063 */     GIR_RootConstrainSelectedInstOperands,
     /*  618064 */     // GIR_Coverage, 5565,
     /*  618064 */     GIR_EraseRootFromParent_Done,
     /*  618065 */   // Label 9968: @618065
     /*  618065 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(618137), // Rule ID 5566 //
     /*  618070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  618116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618135 */     GIR_RootConstrainSelectedInstOperands,
     /*  618136 */     // GIR_Coverage, 5566,
     /*  618136 */     GIR_EraseRootFromParent_Done,
     /*  618137 */   // Label 9969: @618137
     /*  618137 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(618209), // Rule ID 5567 //
     /*  618142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618207 */     GIR_RootConstrainSelectedInstOperands,
     /*  618208 */     // GIR_Coverage, 5567,
     /*  618208 */     GIR_EraseRootFromParent_Done,
     /*  618209 */   // Label 9970: @618209
     /*  618209 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(618281), // Rule ID 5568 //
     /*  618214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  618225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  618234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  618260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618279 */     GIR_RootConstrainSelectedInstOperands,
     /*  618280 */     // GIR_Coverage, 5568,
     /*  618280 */     GIR_EraseRootFromParent_Done,
     /*  618281 */   // Label 9971: @618281
     /*  618281 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(618353), // Rule ID 5569 //
     /*  618286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  618297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  618306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11376:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  618332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618351 */     GIR_RootConstrainSelectedInstOperands,
     /*  618352 */     // GIR_Coverage, 5569,
     /*  618352 */     GIR_EraseRootFromParent_Done,
     /*  618353 */   // Label 9972: @618353
     /*  618353 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(618425), // Rule ID 5570 //
     /*  618358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  618369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  618404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618423 */     GIR_RootConstrainSelectedInstOperands,
     /*  618424 */     // GIR_Coverage, 5570,
     /*  618424 */     GIR_EraseRootFromParent_Done,
     /*  618425 */   // Label 9973: @618425
     /*  618425 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618497), // Rule ID 5571 //
     /*  618430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  618441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11376:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  618476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618495 */     GIR_RootConstrainSelectedInstOperands,
     /*  618496 */     // GIR_Coverage, 5571,
     /*  618496 */     GIR_EraseRootFromParent_Done,
     /*  618497 */   // Label 9974: @618497
     /*  618497 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618569), // Rule ID 5572 //
     /*  618502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  618548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618567 */     GIR_RootConstrainSelectedInstOperands,
     /*  618568 */     // GIR_Coverage, 5572,
     /*  618568 */     GIR_EraseRootFromParent_Done,
     /*  618569 */   // Label 9975: @618569
     /*  618569 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618641), // Rule ID 5573 //
     /*  618574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11376:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  618620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618639 */     GIR_RootConstrainSelectedInstOperands,
     /*  618640 */     // GIR_Coverage, 5573,
     /*  618640 */     GIR_EraseRootFromParent_Done,
     /*  618641 */   // Label 9976: @618641
     /*  618641 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618716), // Rule ID 5662 //
     /*  618646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  618666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  618695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618714 */     GIR_RootConstrainSelectedInstOperands,
     /*  618715 */     // GIR_Coverage, 5662,
     /*  618715 */     GIR_EraseRootFromParent_Done,
     /*  618716 */   // Label 9977: @618716
     /*  618716 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(618791), // Rule ID 5663 //
     /*  618721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  618741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  618770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618789 */     GIR_RootConstrainSelectedInstOperands,
     /*  618790 */     // GIR_Coverage, 5663,
     /*  618790 */     GIR_EraseRootFromParent_Done,
     /*  618791 */   // Label 9978: @618791
     /*  618791 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(618866), // Rule ID 5666 //
     /*  618796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  618816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618842 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  618845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618864 */     GIR_RootConstrainSelectedInstOperands,
     /*  618865 */     // GIR_Coverage, 5666,
     /*  618865 */     GIR_EraseRootFromParent_Done,
     /*  618866 */   // Label 9979: @618866
     /*  618866 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(618941), // Rule ID 5667 //
     /*  618871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  618891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  618920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618939 */     GIR_RootConstrainSelectedInstOperands,
     /*  618940 */     // GIR_Coverage, 5667,
     /*  618940 */     GIR_EraseRootFromParent_Done,
     /*  618941 */   // Label 9980: @618941
     /*  618941 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(619016), // Rule ID 5670 //
     /*  618946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  618966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618992 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  618995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619014 */     GIR_RootConstrainSelectedInstOperands,
     /*  619015 */     // GIR_Coverage, 5670,
     /*  619015 */     GIR_EraseRootFromParent_Done,
     /*  619016 */   // Label 9981: @619016
     /*  619016 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(619091), // Rule ID 5671 //
     /*  619021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  619032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  619035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  619038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  619041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619067 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619089 */     GIR_RootConstrainSelectedInstOperands,
     /*  619090 */     // GIR_Coverage, 5671,
     /*  619090 */     GIR_EraseRootFromParent_Done,
     /*  619091 */   // Label 9982: @619091
     /*  619091 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(619166), // Rule ID 5674 //
     /*  619096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  619110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  619113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  619116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619164 */     GIR_RootConstrainSelectedInstOperands,
     /*  619165 */     // GIR_Coverage, 5674,
     /*  619165 */     GIR_EraseRootFromParent_Done,
     /*  619166 */   // Label 9983: @619166
     /*  619166 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(619241), // Rule ID 5675 //
     /*  619171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  619185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  619188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  619191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619239 */     GIR_RootConstrainSelectedInstOperands,
     /*  619240 */     // GIR_Coverage, 5675,
     /*  619240 */     GIR_EraseRootFromParent_Done,
     /*  619241 */   // Label 9984: @619241
     /*  619241 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(619316), // Rule ID 5678 //
     /*  619246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  619257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  619260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  619263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  619266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619314 */     GIR_RootConstrainSelectedInstOperands,
     /*  619315 */     // GIR_Coverage, 5678,
     /*  619315 */     GIR_EraseRootFromParent_Done,
     /*  619316 */   // Label 9985: @619316
     /*  619316 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(619391), // Rule ID 5679 //
     /*  619321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  619332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  619335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  619338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  619341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619389 */     GIR_RootConstrainSelectedInstOperands,
     /*  619390 */     // GIR_Coverage, 5679,
     /*  619390 */     GIR_EraseRootFromParent_Done,
     /*  619391 */   // Label 9986: @619391
     /*  619391 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(619466), // Rule ID 5682 //
     /*  619396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  619416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619464 */     GIR_RootConstrainSelectedInstOperands,
     /*  619465 */     // GIR_Coverage, 5682,
     /*  619465 */     GIR_EraseRootFromParent_Done,
     /*  619466 */   // Label 9987: @619466
     /*  619466 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619541), // Rule ID 5683 //
     /*  619471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  619491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619539 */     GIR_RootConstrainSelectedInstOperands,
     /*  619540 */     // GIR_Coverage, 5683,
     /*  619540 */     GIR_EraseRootFromParent_Done,
     /*  619541 */   // Label 9988: @619541
     /*  619541 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619616), // Rule ID 5686 //
     /*  619546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  619566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619614 */     GIR_RootConstrainSelectedInstOperands,
     /*  619615 */     // GIR_Coverage, 5686,
     /*  619615 */     GIR_EraseRootFromParent_Done,
     /*  619616 */   // Label 9989: @619616
     /*  619616 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619691), // Rule ID 5687 //
     /*  619621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  619641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619689 */     GIR_RootConstrainSelectedInstOperands,
     /*  619690 */     // GIR_Coverage, 5687,
     /*  619690 */     GIR_EraseRootFromParent_Done,
     /*  619691 */   // Label 9990: @619691
     /*  619691 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(619766), // Rule ID 5690 //
     /*  619696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  619716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619764 */     GIR_RootConstrainSelectedInstOperands,
     /*  619765 */     // GIR_Coverage, 5690,
     /*  619765 */     GIR_EraseRootFromParent_Done,
     /*  619766 */   // Label 9991: @619766
     /*  619766 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(619841), // Rule ID 5691 //
     /*  619771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  619791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619839 */     GIR_RootConstrainSelectedInstOperands,
     /*  619840 */     // GIR_Coverage, 5691,
     /*  619840 */     GIR_EraseRootFromParent_Done,
     /*  619841 */   // Label 9992: @619841
     /*  619841 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(619916), // Rule ID 5694 //
     /*  619846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  619866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619914 */     GIR_RootConstrainSelectedInstOperands,
     /*  619915 */     // GIR_Coverage, 5694,
     /*  619915 */     GIR_EraseRootFromParent_Done,
     /*  619916 */   // Label 9993: @619916
     /*  619916 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(619991), // Rule ID 5695 //
     /*  619921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  619941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  619970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619989 */     GIR_RootConstrainSelectedInstOperands,
     /*  619990 */     // GIR_Coverage, 5695,
     /*  619990 */     GIR_EraseRootFromParent_Done,
     /*  619991 */   // Label 9994: @619991
     /*  619991 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(620066), // Rule ID 5698 //
     /*  619996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620064 */     GIR_RootConstrainSelectedInstOperands,
     /*  620065 */     // GIR_Coverage, 5698,
     /*  620065 */     GIR_EraseRootFromParent_Done,
     /*  620066 */   // Label 9995: @620066
     /*  620066 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(620141), // Rule ID 5699 //
     /*  620071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620139 */     GIR_RootConstrainSelectedInstOperands,
     /*  620140 */     // GIR_Coverage, 5699,
     /*  620140 */     GIR_EraseRootFromParent_Done,
     /*  620141 */   // Label 9996: @620141
     /*  620141 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(620216), // Rule ID 5702 //
     /*  620146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  620166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620214 */     GIR_RootConstrainSelectedInstOperands,
     /*  620215 */     // GIR_Coverage, 5702,
     /*  620215 */     GIR_EraseRootFromParent_Done,
     /*  620216 */   // Label 9997: @620216
     /*  620216 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(620291), // Rule ID 5703 //
     /*  620221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  620241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620289 */     GIR_RootConstrainSelectedInstOperands,
     /*  620290 */     // GIR_Coverage, 5703,
     /*  620290 */     GIR_EraseRootFromParent_Done,
     /*  620291 */   // Label 9998: @620291
     /*  620291 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(620366), // Rule ID 5706 //
     /*  620296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  620307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  620310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  620313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  620316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  620345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620364 */     GIR_RootConstrainSelectedInstOperands,
     /*  620365 */     // GIR_Coverage, 5706,
     /*  620365 */     GIR_EraseRootFromParent_Done,
     /*  620366 */   // Label 9999: @620366
     /*  620366 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(620441), // Rule ID 5707 //
     /*  620371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  620382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  620385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  620388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  620391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  620420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620439 */     GIR_RootConstrainSelectedInstOperands,
     /*  620440 */     // GIR_Coverage, 5707,
     /*  620440 */     GIR_EraseRootFromParent_Done,
     /*  620441 */   // Label 10000: @620441
     /*  620441 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620516), // Rule ID 5710 //
     /*  620446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  620457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  620460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  620463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  620466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620492 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  620495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620514 */     GIR_RootConstrainSelectedInstOperands,
     /*  620515 */     // GIR_Coverage, 5710,
     /*  620515 */     GIR_EraseRootFromParent_Done,
     /*  620516 */   // Label 10001: @620516
     /*  620516 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620591), // Rule ID 5711 //
     /*  620521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  620532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  620535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  620538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  620541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  620570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620589 */     GIR_RootConstrainSelectedInstOperands,
     /*  620590 */     // GIR_Coverage, 5711,
     /*  620590 */     GIR_EraseRootFromParent_Done,
     /*  620591 */   // Label 10002: @620591
     /*  620591 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620666), // Rule ID 5714 //
     /*  620596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  620616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620664 */     GIR_RootConstrainSelectedInstOperands,
     /*  620665 */     // GIR_Coverage, 5714,
     /*  620665 */     GIR_EraseRootFromParent_Done,
     /*  620666 */   // Label 10003: @620666
     /*  620666 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(620741), // Rule ID 5715 //
     /*  620671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  620691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620739 */     GIR_RootConstrainSelectedInstOperands,
     /*  620740 */     // GIR_Coverage, 5715,
     /*  620740 */     GIR_EraseRootFromParent_Done,
     /*  620741 */   // Label 10004: @620741
     /*  620741 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(620816), // Rule ID 5718 //
     /*  620746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  620766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  620795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620814 */     GIR_RootConstrainSelectedInstOperands,
     /*  620815 */     // GIR_Coverage, 5718,
     /*  620815 */     GIR_EraseRootFromParent_Done,
     /*  620816 */   // Label 10005: @620816
     /*  620816 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(620891), // Rule ID 5719 //
     /*  620821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  620841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  620870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620889 */     GIR_RootConstrainSelectedInstOperands,
     /*  620890 */     // GIR_Coverage, 5719,
     /*  620890 */     GIR_EraseRootFromParent_Done,
     /*  620891 */   // Label 10006: @620891
     /*  620891 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(620966), // Rule ID 5722 //
     /*  620896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  620916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  620945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620964 */     GIR_RootConstrainSelectedInstOperands,
     /*  620965 */     // GIR_Coverage, 5722,
     /*  620965 */     GIR_EraseRootFromParent_Done,
     /*  620966 */   // Label 10007: @620966
     /*  620966 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(621041), // Rule ID 5723 //
     /*  620971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  620991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621039 */     GIR_RootConstrainSelectedInstOperands,
     /*  621040 */     // GIR_Coverage, 5723,
     /*  621040 */     GIR_EraseRootFromParent_Done,
     /*  621041 */   // Label 10008: @621041
     /*  621041 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(621116), // Rule ID 5726 //
     /*  621046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621114 */     GIR_RootConstrainSelectedInstOperands,
     /*  621115 */     // GIR_Coverage, 5726,
     /*  621115 */     GIR_EraseRootFromParent_Done,
     /*  621116 */   // Label 10009: @621116
     /*  621116 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(621191), // Rule ID 5727 //
     /*  621121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621189 */     GIR_RootConstrainSelectedInstOperands,
     /*  621190 */     // GIR_Coverage, 5727,
     /*  621190 */     GIR_EraseRootFromParent_Done,
     /*  621191 */   // Label 10010: @621191
     /*  621191 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(621266), // Rule ID 5730 //
     /*  621196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  621216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621264 */     GIR_RootConstrainSelectedInstOperands,
     /*  621265 */     // GIR_Coverage, 5730,
     /*  621265 */     GIR_EraseRootFromParent_Done,
     /*  621266 */   // Label 10011: @621266
     /*  621266 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(621341), // Rule ID 5731 //
     /*  621271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  621291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621339 */     GIR_RootConstrainSelectedInstOperands,
     /*  621340 */     // GIR_Coverage, 5731,
     /*  621340 */     GIR_EraseRootFromParent_Done,
     /*  621341 */   // Label 10012: @621341
     /*  621341 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(621416), // Rule ID 5734 //
     /*  621346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  621357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  621360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  621363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  621366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621414 */     GIR_RootConstrainSelectedInstOperands,
     /*  621415 */     // GIR_Coverage, 5734,
     /*  621415 */     GIR_EraseRootFromParent_Done,
     /*  621416 */   // Label 10013: @621416
     /*  621416 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621491), // Rule ID 5735 //
     /*  621421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  621432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  621435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  621438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  621441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621489 */     GIR_RootConstrainSelectedInstOperands,
     /*  621490 */     // GIR_Coverage, 5735,
     /*  621490 */     GIR_EraseRootFromParent_Done,
     /*  621491 */   // Label 10014: @621491
     /*  621491 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621566), // Rule ID 5738 //
     /*  621496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  621516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621564 */     GIR_RootConstrainSelectedInstOperands,
     /*  621565 */     // GIR_Coverage, 5738,
     /*  621565 */     GIR_EraseRootFromParent_Done,
     /*  621566 */   // Label 10015: @621566
     /*  621566 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621641), // Rule ID 5739 //
     /*  621571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  621591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621639 */     GIR_RootConstrainSelectedInstOperands,
     /*  621640 */     // GIR_Coverage, 5739,
     /*  621640 */     GIR_EraseRootFromParent_Done,
     /*  621641 */   // Label 10016: @621641
     /*  621641 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621716), // Rule ID 5742 //
     /*  621646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  621666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621714 */     GIR_RootConstrainSelectedInstOperands,
     /*  621715 */     // GIR_Coverage, 5742,
     /*  621715 */     GIR_EraseRootFromParent_Done,
     /*  621716 */   // Label 10017: @621716
     /*  621716 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(621791), // Rule ID 5743 //
     /*  621721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  621741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621789 */     GIR_RootConstrainSelectedInstOperands,
     /*  621790 */     // GIR_Coverage, 5743,
     /*  621790 */     GIR_EraseRootFromParent_Done,
     /*  621791 */   // Label 10018: @621791
     /*  621791 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(621866), // Rule ID 5746 //
     /*  621796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  621816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621864 */     GIR_RootConstrainSelectedInstOperands,
     /*  621865 */     // GIR_Coverage, 5746,
     /*  621865 */     GIR_EraseRootFromParent_Done,
     /*  621866 */   // Label 10019: @621866
     /*  621866 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(621941), // Rule ID 5747 //
     /*  621871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  621891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621917 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621939 */     GIR_RootConstrainSelectedInstOperands,
     /*  621940 */     // GIR_Coverage, 5747,
     /*  621940 */     GIR_EraseRootFromParent_Done,
     /*  621941 */   // Label 10020: @621941
     /*  621941 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(622016), // Rule ID 5750 //
     /*  621946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  621995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622014 */     GIR_RootConstrainSelectedInstOperands,
     /*  622015 */     // GIR_Coverage, 5750,
     /*  622015 */     GIR_EraseRootFromParent_Done,
     /*  622016 */   // Label 10021: @622016
     /*  622016 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(622091), // Rule ID 5751 //
     /*  622021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  622070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622089 */     GIR_RootConstrainSelectedInstOperands,
     /*  622090 */     // GIR_Coverage, 5751,
     /*  622090 */     GIR_EraseRootFromParent_Done,
     /*  622091 */   // Label 10022: @622091
     /*  622091 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(622166), // Rule ID 5754 //
     /*  622096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622164 */     GIR_RootConstrainSelectedInstOperands,
     /*  622165 */     // GIR_Coverage, 5754,
     /*  622165 */     GIR_EraseRootFromParent_Done,
     /*  622166 */   // Label 10023: @622166
     /*  622166 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(622241), // Rule ID 5755 //
     /*  622171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622239 */     GIR_RootConstrainSelectedInstOperands,
     /*  622240 */     // GIR_Coverage, 5755,
     /*  622240 */     GIR_EraseRootFromParent_Done,
     /*  622241 */   // Label 10024: @622241
     /*  622241 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(622316), // Rule ID 5758 //
     /*  622246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622314 */     GIR_RootConstrainSelectedInstOperands,
     /*  622315 */     // GIR_Coverage, 5758,
     /*  622315 */     GIR_EraseRootFromParent_Done,
     /*  622316 */   // Label 10025: @622316
     /*  622316 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(622391), // Rule ID 5759 //
     /*  622321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622367 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622389 */     GIR_RootConstrainSelectedInstOperands,
     /*  622390 */     // GIR_Coverage, 5759,
     /*  622390 */     GIR_EraseRootFromParent_Done,
     /*  622391 */   // Label 10026: @622391
     /*  622391 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(622466), // Rule ID 5762 //
     /*  622396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622464 */     GIR_RootConstrainSelectedInstOperands,
     /*  622465 */     // GIR_Coverage, 5762,
     /*  622465 */     GIR_EraseRootFromParent_Done,
     /*  622466 */   // Label 10027: @622466
     /*  622466 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622541), // Rule ID 5763 //
     /*  622471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622539 */     GIR_RootConstrainSelectedInstOperands,
     /*  622540 */     // GIR_Coverage, 5763,
     /*  622540 */     GIR_EraseRootFromParent_Done,
     /*  622541 */   // Label 10028: @622541
     /*  622541 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622616), // Rule ID 5766 //
     /*  622546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622614 */     GIR_RootConstrainSelectedInstOperands,
     /*  622615 */     // GIR_Coverage, 5766,
     /*  622615 */     GIR_EraseRootFromParent_Done,
     /*  622616 */   // Label 10029: @622616
     /*  622616 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622691), // Rule ID 5767 //
     /*  622621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622689 */     GIR_RootConstrainSelectedInstOperands,
     /*  622690 */     // GIR_Coverage, 5767,
     /*  622690 */     GIR_EraseRootFromParent_Done,
     /*  622691 */   // Label 10030: @622691
     /*  622691 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(622766), // Rule ID 5770 //
     /*  622696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622764 */     GIR_RootConstrainSelectedInstOperands,
     /*  622765 */     // GIR_Coverage, 5770,
     /*  622765 */     GIR_EraseRootFromParent_Done,
     /*  622766 */   // Label 10031: @622766
     /*  622766 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(622841), // Rule ID 5771 //
     /*  622771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622839 */     GIR_RootConstrainSelectedInstOperands,
     /*  622840 */     // GIR_Coverage, 5771,
     /*  622840 */     GIR_EraseRootFromParent_Done,
     /*  622841 */   // Label 10032: @622841
     /*  622841 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(622916), // Rule ID 5774 //
     /*  622846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  622895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622914 */     GIR_RootConstrainSelectedInstOperands,
     /*  622915 */     // GIR_Coverage, 5774,
     /*  622915 */     GIR_EraseRootFromParent_Done,
     /*  622916 */   // Label 10033: @622916
     /*  622916 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(622991), // Rule ID 5775 //
     /*  622921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  622970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622989 */     GIR_RootConstrainSelectedInstOperands,
     /*  622990 */     // GIR_Coverage, 5775,
     /*  622990 */     GIR_EraseRootFromParent_Done,
     /*  622991 */   // Label 10034: @622991
     /*  622991 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(623066), // Rule ID 5778 //
     /*  622996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623064 */     GIR_RootConstrainSelectedInstOperands,
     /*  623065 */     // GIR_Coverage, 5778,
     /*  623065 */     GIR_EraseRootFromParent_Done,
     /*  623066 */   // Label 10035: @623066
     /*  623066 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(623141), // Rule ID 5779 //
     /*  623071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623139 */     GIR_RootConstrainSelectedInstOperands,
     /*  623140 */     // GIR_Coverage, 5779,
     /*  623140 */     GIR_EraseRootFromParent_Done,
     /*  623141 */   // Label 10036: @623141
     /*  623141 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(623216), // Rule ID 5782 //
     /*  623146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623214 */     GIR_RootConstrainSelectedInstOperands,
     /*  623215 */     // GIR_Coverage, 5782,
     /*  623215 */     GIR_EraseRootFromParent_Done,
     /*  623216 */   // Label 10037: @623216
     /*  623216 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(623291), // Rule ID 5783 //
     /*  623221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623289 */     GIR_RootConstrainSelectedInstOperands,
     /*  623290 */     // GIR_Coverage, 5783,
     /*  623290 */     GIR_EraseRootFromParent_Done,
     /*  623291 */   // Label 10038: @623291
     /*  623291 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(623366), // Rule ID 5786 //
     /*  623296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623364 */     GIR_RootConstrainSelectedInstOperands,
     /*  623365 */     // GIR_Coverage, 5786,
     /*  623365 */     GIR_EraseRootFromParent_Done,
     /*  623366 */   // Label 10039: @623366
     /*  623366 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(623441), // Rule ID 5787 //
     /*  623371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623439 */     GIR_RootConstrainSelectedInstOperands,
     /*  623440 */     // GIR_Coverage, 5787,
     /*  623440 */     GIR_EraseRootFromParent_Done,
     /*  623441 */   // Label 10040: @623441
     /*  623441 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623516), // Rule ID 5790 //
     /*  623446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  623495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623514 */     GIR_RootConstrainSelectedInstOperands,
     /*  623515 */     // GIR_Coverage, 5790,
     /*  623515 */     GIR_EraseRootFromParent_Done,
     /*  623516 */   // Label 10041: @623516
     /*  623516 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623591), // Rule ID 5791 //
     /*  623521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623567 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  623570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623589 */     GIR_RootConstrainSelectedInstOperands,
     /*  623590 */     // GIR_Coverage, 5791,
     /*  623590 */     GIR_EraseRootFromParent_Done,
     /*  623591 */   // Label 10042: @623591
     /*  623591 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623666), // Rule ID 5794 //
     /*  623596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  623645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623664 */     GIR_RootConstrainSelectedInstOperands,
     /*  623665 */     // GIR_Coverage, 5794,
     /*  623665 */     GIR_EraseRootFromParent_Done,
     /*  623666 */   // Label 10043: @623666
     /*  623666 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(623741), // Rule ID 5795 //
     /*  623671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623717 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  623720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623739 */     GIR_RootConstrainSelectedInstOperands,
     /*  623740 */     // GIR_Coverage, 5795,
     /*  623740 */     GIR_EraseRootFromParent_Done,
     /*  623741 */   // Label 10044: @623741
     /*  623741 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(623816), // Rule ID 5798 //
     /*  623746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  623795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623814 */     GIR_RootConstrainSelectedInstOperands,
     /*  623815 */     // GIR_Coverage, 5798,
     /*  623815 */     GIR_EraseRootFromParent_Done,
     /*  623816 */   // Label 10045: @623816
     /*  623816 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(623891), // Rule ID 5799 //
     /*  623821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  623870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623889 */     GIR_RootConstrainSelectedInstOperands,
     /*  623890 */     // GIR_Coverage, 5799,
     /*  623890 */     GIR_EraseRootFromParent_Done,
     /*  623891 */   // Label 10046: @623891
     /*  623891 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(623966), // Rule ID 5802 //
     /*  623896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  623945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623964 */     GIR_RootConstrainSelectedInstOperands,
     /*  623965 */     // GIR_Coverage, 5802,
     /*  623965 */     GIR_EraseRootFromParent_Done,
     /*  623966 */   // Label 10047: @623966
     /*  623966 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(624041), // Rule ID 5803 //
     /*  623971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624039 */     GIR_RootConstrainSelectedInstOperands,
     /*  624040 */     // GIR_Coverage, 5803,
     /*  624040 */     GIR_EraseRootFromParent_Done,
     /*  624041 */   // Label 10048: @624041
     /*  624041 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(624116), // Rule ID 5806 //
     /*  624046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624114 */     GIR_RootConstrainSelectedInstOperands,
     /*  624115 */     // GIR_Coverage, 5806,
     /*  624115 */     GIR_EraseRootFromParent_Done,
     /*  624116 */   // Label 10049: @624116
     /*  624116 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(624191), // Rule ID 5807 //
     /*  624121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624189 */     GIR_RootConstrainSelectedInstOperands,
     /*  624190 */     // GIR_Coverage, 5807,
     /*  624190 */     GIR_EraseRootFromParent_Done,
     /*  624191 */   // Label 10050: @624191
     /*  624191 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(624266), // Rule ID 5810 //
     /*  624196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624264 */     GIR_RootConstrainSelectedInstOperands,
     /*  624265 */     // GIR_Coverage, 5810,
     /*  624265 */     GIR_EraseRootFromParent_Done,
     /*  624266 */   // Label 10051: @624266
     /*  624266 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(624341), // Rule ID 5811 //
     /*  624271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624339 */     GIR_RootConstrainSelectedInstOperands,
     /*  624340 */     // GIR_Coverage, 5811,
     /*  624340 */     GIR_EraseRootFromParent_Done,
     /*  624341 */   // Label 10052: @624341
     /*  624341 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(624416), // Rule ID 5814 //
     /*  624346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624414 */     GIR_RootConstrainSelectedInstOperands,
     /*  624415 */     // GIR_Coverage, 5814,
     /*  624415 */     GIR_EraseRootFromParent_Done,
     /*  624416 */   // Label 10053: @624416
     /*  624416 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624491), // Rule ID 5815 //
     /*  624421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624489 */     GIR_RootConstrainSelectedInstOperands,
     /*  624490 */     // GIR_Coverage, 5815,
     /*  624490 */     GIR_EraseRootFromParent_Done,
     /*  624491 */   // Label 10054: @624491
     /*  624491 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624566), // Rule ID 5818 //
     /*  624496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624564 */     GIR_RootConstrainSelectedInstOperands,
     /*  624565 */     // GIR_Coverage, 5818,
     /*  624565 */     GIR_EraseRootFromParent_Done,
     /*  624566 */   // Label 10055: @624566
     /*  624566 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624641), // Rule ID 5819 //
     /*  624571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624639 */     GIR_RootConstrainSelectedInstOperands,
     /*  624640 */     // GIR_Coverage, 5819,
     /*  624640 */     GIR_EraseRootFromParent_Done,
     /*  624641 */   // Label 10056: @624641
     /*  624641 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624716), // Rule ID 5822 //
     /*  624646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624714 */     GIR_RootConstrainSelectedInstOperands,
     /*  624715 */     // GIR_Coverage, 5822,
     /*  624715 */     GIR_EraseRootFromParent_Done,
     /*  624716 */   // Label 10057: @624716
     /*  624716 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(624791), // Rule ID 5823 //
     /*  624721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624789 */     GIR_RootConstrainSelectedInstOperands,
     /*  624790 */     // GIR_Coverage, 5823,
     /*  624790 */     GIR_EraseRootFromParent_Done,
     /*  624791 */   // Label 10058: @624791
     /*  624791 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(624866), // Rule ID 5826 //
     /*  624796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624864 */     GIR_RootConstrainSelectedInstOperands,
     /*  624865 */     // GIR_Coverage, 5826,
     /*  624865 */     GIR_EraseRootFromParent_Done,
     /*  624866 */   // Label 10059: @624866
     /*  624866 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(624941), // Rule ID 5827 //
     /*  624871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624939 */     GIR_RootConstrainSelectedInstOperands,
     /*  624940 */     // GIR_Coverage, 5827,
     /*  624940 */     GIR_EraseRootFromParent_Done,
     /*  624941 */   // Label 10060: @624941
     /*  624941 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(625016), // Rule ID 5830 //
     /*  624946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625014 */     GIR_RootConstrainSelectedInstOperands,
     /*  625015 */     // GIR_Coverage, 5830,
     /*  625015 */     GIR_EraseRootFromParent_Done,
     /*  625016 */   // Label 10061: @625016
     /*  625016 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(625091), // Rule ID 5831 //
     /*  625021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  625070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625089 */     GIR_RootConstrainSelectedInstOperands,
     /*  625090 */     // GIR_Coverage, 5831,
     /*  625090 */     GIR_EraseRootFromParent_Done,
     /*  625091 */   // Label 10062: @625091
     /*  625091 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(625166), // Rule ID 5834 //
     /*  625096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625164 */     GIR_RootConstrainSelectedInstOperands,
     /*  625165 */     // GIR_Coverage, 5834,
     /*  625165 */     GIR_EraseRootFromParent_Done,
     /*  625166 */   // Label 10063: @625166
     /*  625166 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(625241), // Rule ID 5835 //
     /*  625171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625239 */     GIR_RootConstrainSelectedInstOperands,
     /*  625240 */     // GIR_Coverage, 5835,
     /*  625240 */     GIR_EraseRootFromParent_Done,
     /*  625241 */   // Label 10064: @625241
     /*  625241 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(625316), // Rule ID 5926 //
     /*  625246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  625266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  625295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625314 */     GIR_RootConstrainSelectedInstOperands,
     /*  625315 */     // GIR_Coverage, 5926,
     /*  625315 */     GIR_EraseRootFromParent_Done,
     /*  625316 */   // Label 10065: @625316
     /*  625316 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(625391), // Rule ID 5927 //
     /*  625321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  625341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  625370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625389 */     GIR_RootConstrainSelectedInstOperands,
     /*  625390 */     // GIR_Coverage, 5927,
     /*  625390 */     GIR_EraseRootFromParent_Done,
     /*  625391 */   // Label 10066: @625391
     /*  625391 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(625466), // Rule ID 5930 //
     /*  625396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  625416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625442 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  625445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625464 */     GIR_RootConstrainSelectedInstOperands,
     /*  625465 */     // GIR_Coverage, 5930,
     /*  625465 */     GIR_EraseRootFromParent_Done,
     /*  625466 */   // Label 10067: @625466
     /*  625466 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625541), // Rule ID 5931 //
     /*  625471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  625491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  625520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625539 */     GIR_RootConstrainSelectedInstOperands,
     /*  625540 */     // GIR_Coverage, 5931,
     /*  625540 */     GIR_EraseRootFromParent_Done,
     /*  625541 */   // Label 10068: @625541
     /*  625541 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625616), // Rule ID 5934 //
     /*  625546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  625566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  625595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625614 */     GIR_RootConstrainSelectedInstOperands,
     /*  625615 */     // GIR_Coverage, 5934,
     /*  625615 */     GIR_EraseRootFromParent_Done,
     /*  625616 */   // Label 10069: @625616
     /*  625616 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625691), // Rule ID 5935 //
     /*  625621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  625641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  625670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625689 */     GIR_RootConstrainSelectedInstOperands,
     /*  625690 */     // GIR_Coverage, 5935,
     /*  625690 */     GIR_EraseRootFromParent_Done,
     /*  625691 */   // Label 10070: @625691
     /*  625691 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(625766), // Rule ID 5938 //
     /*  625696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  625716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  625745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625764 */     GIR_RootConstrainSelectedInstOperands,
     /*  625765 */     // GIR_Coverage, 5938,
     /*  625765 */     GIR_EraseRootFromParent_Done,
     /*  625766 */   // Label 10071: @625766
     /*  625766 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(625841), // Rule ID 5939 //
     /*  625771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  625791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  625820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625839 */     GIR_RootConstrainSelectedInstOperands,
     /*  625840 */     // GIR_Coverage, 5939,
     /*  625840 */     GIR_EraseRootFromParent_Done,
     /*  625841 */   // Label 10072: @625841
     /*  625841 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(625916), // Rule ID 5942 //
     /*  625846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  625866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  625895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625914 */     GIR_RootConstrainSelectedInstOperands,
     /*  625915 */     // GIR_Coverage, 5942,
     /*  625915 */     GIR_EraseRootFromParent_Done,
     /*  625916 */   // Label 10073: @625916
     /*  625916 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(625991), // Rule ID 5943 //
     /*  625921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  625941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  625970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625989 */     GIR_RootConstrainSelectedInstOperands,
     /*  625990 */     // GIR_Coverage, 5943,
     /*  625990 */     GIR_EraseRootFromParent_Done,
     /*  625991 */   // Label 10074: @625991
     /*  625991 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(626066), // Rule ID 5946 //
     /*  625996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626064 */     GIR_RootConstrainSelectedInstOperands,
     /*  626065 */     // GIR_Coverage, 5946,
     /*  626065 */     GIR_EraseRootFromParent_Done,
     /*  626066 */   // Label 10075: @626066
     /*  626066 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(626141), // Rule ID 5947 //
     /*  626071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626139 */     GIR_RootConstrainSelectedInstOperands,
     /*  626140 */     // GIR_Coverage, 5947,
     /*  626140 */     GIR_EraseRootFromParent_Done,
     /*  626141 */   // Label 10076: @626141
     /*  626141 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(626216), // Rule ID 5950 //
     /*  626146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  626166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626214 */     GIR_RootConstrainSelectedInstOperands,
     /*  626215 */     // GIR_Coverage, 5950,
     /*  626215 */     GIR_EraseRootFromParent_Done,
     /*  626216 */   // Label 10077: @626216
     /*  626216 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(626291), // Rule ID 5951 //
     /*  626221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  626241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626289 */     GIR_RootConstrainSelectedInstOperands,
     /*  626290 */     // GIR_Coverage, 5951,
     /*  626290 */     GIR_EraseRootFromParent_Done,
     /*  626291 */   // Label 10078: @626291
     /*  626291 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(626366), // Rule ID 5954 //
     /*  626296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  626316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626364 */     GIR_RootConstrainSelectedInstOperands,
     /*  626365 */     // GIR_Coverage, 5954,
     /*  626365 */     GIR_EraseRootFromParent_Done,
     /*  626366 */   // Label 10079: @626366
     /*  626366 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(626441), // Rule ID 5955 //
     /*  626371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  626391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626439 */     GIR_RootConstrainSelectedInstOperands,
     /*  626440 */     // GIR_Coverage, 5955,
     /*  626440 */     GIR_EraseRootFromParent_Done,
     /*  626441 */   // Label 10080: @626441
     /*  626441 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626516), // Rule ID 5958 //
     /*  626446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  626466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626514 */     GIR_RootConstrainSelectedInstOperands,
     /*  626515 */     // GIR_Coverage, 5958,
     /*  626515 */     GIR_EraseRootFromParent_Done,
     /*  626516 */   // Label 10081: @626516
     /*  626516 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626591), // Rule ID 5959 //
     /*  626521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  626541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626589 */     GIR_RootConstrainSelectedInstOperands,
     /*  626590 */     // GIR_Coverage, 5959,
     /*  626590 */     GIR_EraseRootFromParent_Done,
     /*  626591 */   // Label 10082: @626591
     /*  626591 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626666), // Rule ID 5962 //
     /*  626596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  626616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626664 */     GIR_RootConstrainSelectedInstOperands,
     /*  626665 */     // GIR_Coverage, 5962,
     /*  626665 */     GIR_EraseRootFromParent_Done,
     /*  626666 */   // Label 10083: @626666
     /*  626666 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(626741), // Rule ID 5963 //
     /*  626671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  626674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  626691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626739 */     GIR_RootConstrainSelectedInstOperands,
     /*  626740 */     // GIR_Coverage, 5963,
     /*  626740 */     GIR_EraseRootFromParent_Done,
     /*  626741 */   // Label 10084: @626741
     /*  626741 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(626816), // Rule ID 5966 //
     /*  626746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  626766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  626795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626814 */     GIR_RootConstrainSelectedInstOperands,
     /*  626815 */     // GIR_Coverage, 5966,
     /*  626815 */     GIR_EraseRootFromParent_Done,
     /*  626816 */   // Label 10085: @626816
     /*  626816 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(626891), // Rule ID 5967 //
     /*  626821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  626841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626867 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  626870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626889 */     GIR_RootConstrainSelectedInstOperands,
     /*  626890 */     // GIR_Coverage, 5967,
     /*  626890 */     GIR_EraseRootFromParent_Done,
     /*  626891 */   // Label 10086: @626891
     /*  626891 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(626966), // Rule ID 5970 //
     /*  626896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  626916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  626945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626964 */     GIR_RootConstrainSelectedInstOperands,
     /*  626965 */     // GIR_Coverage, 5970,
     /*  626965 */     GIR_EraseRootFromParent_Done,
     /*  626966 */   // Label 10087: @626966
     /*  626966 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(627041), // Rule ID 5971 //
     /*  626971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  626991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627017 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627039 */     GIR_RootConstrainSelectedInstOperands,
     /*  627040 */     // GIR_Coverage, 5971,
     /*  627040 */     GIR_EraseRootFromParent_Done,
     /*  627041 */   // Label 10088: @627041
     /*  627041 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(627116), // Rule ID 5974 //
     /*  627046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627114 */     GIR_RootConstrainSelectedInstOperands,
     /*  627115 */     // GIR_Coverage, 5974,
     /*  627115 */     GIR_EraseRootFromParent_Done,
     /*  627116 */   // Label 10089: @627116
     /*  627116 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(627191), // Rule ID 5975 //
     /*  627121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627167 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627189 */     GIR_RootConstrainSelectedInstOperands,
     /*  627190 */     // GIR_Coverage, 5975,
     /*  627190 */     GIR_EraseRootFromParent_Done,
     /*  627191 */   // Label 10090: @627191
     /*  627191 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(627266), // Rule ID 5978 //
     /*  627196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  627216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627264 */     GIR_RootConstrainSelectedInstOperands,
     /*  627265 */     // GIR_Coverage, 5978,
     /*  627265 */     GIR_EraseRootFromParent_Done,
     /*  627266 */   // Label 10091: @627266
     /*  627266 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(627341), // Rule ID 5979 //
     /*  627271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  627291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627339 */     GIR_RootConstrainSelectedInstOperands,
     /*  627340 */     // GIR_Coverage, 5979,
     /*  627340 */     GIR_EraseRootFromParent_Done,
     /*  627341 */   // Label 10092: @627341
     /*  627341 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(627416), // Rule ID 5982 //
     /*  627346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  627366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627414 */     GIR_RootConstrainSelectedInstOperands,
     /*  627415 */     // GIR_Coverage, 5982,
     /*  627415 */     GIR_EraseRootFromParent_Done,
     /*  627416 */   // Label 10093: @627416
     /*  627416 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627491), // Rule ID 5983 //
     /*  627421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  627441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627467 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627489 */     GIR_RootConstrainSelectedInstOperands,
     /*  627490 */     // GIR_Coverage, 5983,
     /*  627490 */     GIR_EraseRootFromParent_Done,
     /*  627491 */   // Label 10094: @627491
     /*  627491 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627566), // Rule ID 5986 //
     /*  627496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  627516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627564 */     GIR_RootConstrainSelectedInstOperands,
     /*  627565 */     // GIR_Coverage, 5986,
     /*  627565 */     GIR_EraseRootFromParent_Done,
     /*  627566 */   // Label 10095: @627566
     /*  627566 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627641), // Rule ID 5987 //
     /*  627571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  627591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627639 */     GIR_RootConstrainSelectedInstOperands,
     /*  627640 */     // GIR_Coverage, 5987,
     /*  627640 */     GIR_EraseRootFromParent_Done,
     /*  627641 */   // Label 10096: @627641
     /*  627641 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627716), // Rule ID 5990 //
     /*  627646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  627666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627714 */     GIR_RootConstrainSelectedInstOperands,
     /*  627715 */     // GIR_Coverage, 5990,
     /*  627715 */     GIR_EraseRootFromParent_Done,
     /*  627716 */   // Label 10097: @627716
     /*  627716 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(627791), // Rule ID 5991 //
     /*  627721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  627741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627789 */     GIR_RootConstrainSelectedInstOperands,
     /*  627790 */     // GIR_Coverage, 5991,
     /*  627790 */     GIR_EraseRootFromParent_Done,
     /*  627791 */   // Label 10098: @627791
     /*  627791 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(627866), // Rule ID 5994 //
     /*  627796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  627816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627864 */     GIR_RootConstrainSelectedInstOperands,
     /*  627865 */     // GIR_Coverage, 5994,
     /*  627865 */     GIR_EraseRootFromParent_Done,
     /*  627866 */   // Label 10099: @627866
     /*  627866 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(627941), // Rule ID 5995 //
     /*  627871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  627891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627939 */     GIR_RootConstrainSelectedInstOperands,
     /*  627940 */     // GIR_Coverage, 5995,
     /*  627940 */     GIR_EraseRootFromParent_Done,
     /*  627941 */   // Label 10100: @627941
     /*  627941 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(628016), // Rule ID 5998 //
     /*  627946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  627966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628014 */     GIR_RootConstrainSelectedInstOperands,
     /*  628015 */     // GIR_Coverage, 5998,
     /*  628015 */     GIR_EraseRootFromParent_Done,
     /*  628016 */   // Label 10101: @628016
     /*  628016 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(628091), // Rule ID 5999 //
     /*  628021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  628041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628089 */     GIR_RootConstrainSelectedInstOperands,
     /*  628090 */     // GIR_Coverage, 5999,
     /*  628090 */     GIR_EraseRootFromParent_Done,
     /*  628091 */   // Label 10102: @628091
     /*  628091 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(628166), // Rule ID 6002 //
     /*  628096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  628116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628164 */     GIR_RootConstrainSelectedInstOperands,
     /*  628165 */     // GIR_Coverage, 6002,
     /*  628165 */     GIR_EraseRootFromParent_Done,
     /*  628166 */   // Label 10103: @628166
     /*  628166 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(628241), // Rule ID 6003 //
     /*  628171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  628191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628239 */     GIR_RootConstrainSelectedInstOperands,
     /*  628240 */     // GIR_Coverage, 6003,
     /*  628240 */     GIR_EraseRootFromParent_Done,
     /*  628241 */   // Label 10104: @628241
     /*  628241 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(628316), // Rule ID 6006 //
     /*  628246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  628266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628314 */     GIR_RootConstrainSelectedInstOperands,
     /*  628315 */     // GIR_Coverage, 6006,
     /*  628315 */     GIR_EraseRootFromParent_Done,
     /*  628316 */   // Label 10105: @628316
     /*  628316 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(628391), // Rule ID 6007 //
     /*  628321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  628341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628389 */     GIR_RootConstrainSelectedInstOperands,
     /*  628390 */     // GIR_Coverage, 6007,
     /*  628390 */     GIR_EraseRootFromParent_Done,
     /*  628391 */   // Label 10106: @628391
     /*  628391 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(628466), // Rule ID 6010 //
     /*  628396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  628416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628464 */     GIR_RootConstrainSelectedInstOperands,
     /*  628465 */     // GIR_Coverage, 6010,
     /*  628465 */     GIR_EraseRootFromParent_Done,
     /*  628466 */   // Label 10107: @628466
     /*  628466 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628541), // Rule ID 6011 //
     /*  628471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  628491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628517 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628539 */     GIR_RootConstrainSelectedInstOperands,
     /*  628540 */     // GIR_Coverage, 6011,
     /*  628540 */     GIR_EraseRootFromParent_Done,
     /*  628541 */   // Label 10108: @628541
     /*  628541 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628616), // Rule ID 6014 //
     /*  628546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  628595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628614 */     GIR_RootConstrainSelectedInstOperands,
     /*  628615 */     // GIR_Coverage, 6014,
     /*  628615 */     GIR_EraseRootFromParent_Done,
     /*  628616 */   // Label 10109: @628616
     /*  628616 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628691), // Rule ID 6015 //
     /*  628621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  628670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628689 */     GIR_RootConstrainSelectedInstOperands,
     /*  628690 */     // GIR_Coverage, 6015,
     /*  628690 */     GIR_EraseRootFromParent_Done,
     /*  628691 */   // Label 10110: @628691
     /*  628691 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(628766), // Rule ID 6018 //
     /*  628696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628742 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  628745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628764 */     GIR_RootConstrainSelectedInstOperands,
     /*  628765 */     // GIR_Coverage, 6018,
     /*  628765 */     GIR_EraseRootFromParent_Done,
     /*  628766 */   // Label 10111: @628766
     /*  628766 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(628841), // Rule ID 6019 //
     /*  628771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628817 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  628820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628839 */     GIR_RootConstrainSelectedInstOperands,
     /*  628840 */     // GIR_Coverage, 6019,
     /*  628840 */     GIR_EraseRootFromParent_Done,
     /*  628841 */   // Label 10112: @628841
     /*  628841 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(628916), // Rule ID 6022 //
     /*  628846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  628895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628914 */     GIR_RootConstrainSelectedInstOperands,
     /*  628915 */     // GIR_Coverage, 6022,
     /*  628915 */     GIR_EraseRootFromParent_Done,
     /*  628916 */   // Label 10113: @628916
     /*  628916 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(628991), // Rule ID 6023 //
     /*  628921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  628970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628989 */     GIR_RootConstrainSelectedInstOperands,
     /*  628990 */     // GIR_Coverage, 6023,
     /*  628990 */     GIR_EraseRootFromParent_Done,
     /*  628991 */   // Label 10114: @628991
     /*  628991 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(629066), // Rule ID 6026 //
     /*  628996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629064 */     GIR_RootConstrainSelectedInstOperands,
     /*  629065 */     // GIR_Coverage, 6026,
     /*  629065 */     GIR_EraseRootFromParent_Done,
     /*  629066 */   // Label 10115: @629066
     /*  629066 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(629141), // Rule ID 6027 //
     /*  629071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629117 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629139 */     GIR_RootConstrainSelectedInstOperands,
     /*  629140 */     // GIR_Coverage, 6027,
     /*  629140 */     GIR_EraseRootFromParent_Done,
     /*  629141 */   // Label 10116: @629141
     /*  629141 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(629216), // Rule ID 6030 //
     /*  629146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629214 */     GIR_RootConstrainSelectedInstOperands,
     /*  629215 */     // GIR_Coverage, 6030,
     /*  629215 */     GIR_EraseRootFromParent_Done,
     /*  629216 */   // Label 10117: @629216
     /*  629216 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(629291), // Rule ID 6031 //
     /*  629221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629289 */     GIR_RootConstrainSelectedInstOperands,
     /*  629290 */     // GIR_Coverage, 6031,
     /*  629290 */     GIR_EraseRootFromParent_Done,
     /*  629291 */   // Label 10118: @629291
     /*  629291 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(629366), // Rule ID 6034 //
     /*  629296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629364 */     GIR_RootConstrainSelectedInstOperands,
     /*  629365 */     // GIR_Coverage, 6034,
     /*  629365 */     GIR_EraseRootFromParent_Done,
     /*  629366 */   // Label 10119: @629366
     /*  629366 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(629441), // Rule ID 6035 //
     /*  629371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629439 */     GIR_RootConstrainSelectedInstOperands,
     /*  629440 */     // GIR_Coverage, 6035,
     /*  629440 */     GIR_EraseRootFromParent_Done,
     /*  629441 */   // Label 10120: @629441
     /*  629441 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629516), // Rule ID 6038 //
     /*  629446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629514 */     GIR_RootConstrainSelectedInstOperands,
     /*  629515 */     // GIR_Coverage, 6038,
     /*  629515 */     GIR_EraseRootFromParent_Done,
     /*  629516 */   // Label 10121: @629516
     /*  629516 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629591), // Rule ID 6039 //
     /*  629521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629567 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629589 */     GIR_RootConstrainSelectedInstOperands,
     /*  629590 */     // GIR_Coverage, 6039,
     /*  629590 */     GIR_EraseRootFromParent_Done,
     /*  629591 */   // Label 10122: @629591
     /*  629591 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629666), // Rule ID 6042 //
     /*  629596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629664 */     GIR_RootConstrainSelectedInstOperands,
     /*  629665 */     // GIR_Coverage, 6042,
     /*  629665 */     GIR_EraseRootFromParent_Done,
     /*  629666 */   // Label 10123: @629666
     /*  629666 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(629741), // Rule ID 6043 //
     /*  629671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629739 */     GIR_RootConstrainSelectedInstOperands,
     /*  629740 */     // GIR_Coverage, 6043,
     /*  629740 */     GIR_EraseRootFromParent_Done,
     /*  629741 */   // Label 10124: @629741
     /*  629741 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(629816), // Rule ID 6046 //
     /*  629746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629814 */     GIR_RootConstrainSelectedInstOperands,
     /*  629815 */     // GIR_Coverage, 6046,
     /*  629815 */     GIR_EraseRootFromParent_Done,
     /*  629816 */   // Label 10125: @629816
     /*  629816 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(629891), // Rule ID 6047 //
     /*  629821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629889 */     GIR_RootConstrainSelectedInstOperands,
     /*  629890 */     // GIR_Coverage, 6047,
     /*  629890 */     GIR_EraseRootFromParent_Done,
     /*  629891 */   // Label 10126: @629891
     /*  629891 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(629966), // Rule ID 6050 //
     /*  629896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  629945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629964 */     GIR_RootConstrainSelectedInstOperands,
     /*  629965 */     // GIR_Coverage, 6050,
     /*  629965 */     GIR_EraseRootFromParent_Done,
     /*  629966 */   // Label 10127: @629966
     /*  629966 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(630041), // Rule ID 6051 //
     /*  629971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630039 */     GIR_RootConstrainSelectedInstOperands,
     /*  630040 */     // GIR_Coverage, 6051,
     /*  630040 */     GIR_EraseRootFromParent_Done,
     /*  630041 */   // Label 10128: @630041
     /*  630041 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(630116), // Rule ID 6054 //
     /*  630046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630114 */     GIR_RootConstrainSelectedInstOperands,
     /*  630115 */     // GIR_Coverage, 6054,
     /*  630115 */     GIR_EraseRootFromParent_Done,
     /*  630116 */   // Label 10129: @630116
     /*  630116 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(630191), // Rule ID 6055 //
     /*  630121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630189 */     GIR_RootConstrainSelectedInstOperands,
     /*  630190 */     // GIR_Coverage, 6055,
     /*  630190 */     GIR_EraseRootFromParent_Done,
     /*  630191 */   // Label 10130: @630191
     /*  630191 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(630266), // Rule ID 6058 //
     /*  630196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630264 */     GIR_RootConstrainSelectedInstOperands,
     /*  630265 */     // GIR_Coverage, 6058,
     /*  630265 */     GIR_EraseRootFromParent_Done,
     /*  630266 */   // Label 10131: @630266
     /*  630266 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(630341), // Rule ID 6059 //
     /*  630271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630317 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630339 */     GIR_RootConstrainSelectedInstOperands,
     /*  630340 */     // GIR_Coverage, 6059,
     /*  630340 */     GIR_EraseRootFromParent_Done,
     /*  630341 */   // Label 10132: @630341
     /*  630341 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(630416), // Rule ID 6062 //
     /*  630346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  630395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630414 */     GIR_RootConstrainSelectedInstOperands,
     /*  630415 */     // GIR_Coverage, 6062,
     /*  630415 */     GIR_EraseRootFromParent_Done,
     /*  630416 */   // Label 10133: @630416
     /*  630416 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630491), // Rule ID 6063 //
     /*  630421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630467 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  630470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630489 */     GIR_RootConstrainSelectedInstOperands,
     /*  630490 */     // GIR_Coverage, 6063,
     /*  630490 */     GIR_EraseRootFromParent_Done,
     /*  630491 */   // Label 10134: @630491
     /*  630491 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630566), // Rule ID 6066 //
     /*  630496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630564 */     GIR_RootConstrainSelectedInstOperands,
     /*  630565 */     // GIR_Coverage, 6066,
     /*  630565 */     GIR_EraseRootFromParent_Done,
     /*  630566 */   // Label 10135: @630566
     /*  630566 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630641), // Rule ID 6067 //
     /*  630571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630639 */     GIR_RootConstrainSelectedInstOperands,
     /*  630640 */     // GIR_Coverage, 6067,
     /*  630640 */     GIR_EraseRootFromParent_Done,
     /*  630641 */   // Label 10136: @630641
     /*  630641 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630716), // Rule ID 6070 //
     /*  630646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630714 */     GIR_RootConstrainSelectedInstOperands,
     /*  630715 */     // GIR_Coverage, 6070,
     /*  630715 */     GIR_EraseRootFromParent_Done,
     /*  630716 */   // Label 10137: @630716
     /*  630716 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(630791), // Rule ID 6071 //
     /*  630721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630789 */     GIR_RootConstrainSelectedInstOperands,
     /*  630790 */     // GIR_Coverage, 6071,
     /*  630790 */     GIR_EraseRootFromParent_Done,
     /*  630791 */   // Label 10138: @630791
     /*  630791 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(630866), // Rule ID 6074 //
     /*  630796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  630845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630864 */     GIR_RootConstrainSelectedInstOperands,
     /*  630865 */     // GIR_Coverage, 6074,
     /*  630865 */     GIR_EraseRootFromParent_Done,
     /*  630866 */   // Label 10139: @630866
     /*  630866 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(630941), // Rule ID 6075 //
     /*  630871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630917 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  630920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630939 */     GIR_RootConstrainSelectedInstOperands,
     /*  630940 */     // GIR_Coverage, 6075,
     /*  630940 */     GIR_EraseRootFromParent_Done,
     /*  630941 */   // Label 10140: @630941
     /*  630941 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(631016), // Rule ID 6078 //
     /*  630946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631014 */     GIR_RootConstrainSelectedInstOperands,
     /*  631015 */     // GIR_Coverage, 6078,
     /*  631015 */     GIR_EraseRootFromParent_Done,
     /*  631016 */   // Label 10141: @631016
     /*  631016 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(631091), // Rule ID 6079 //
     /*  631021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631089 */     GIR_RootConstrainSelectedInstOperands,
     /*  631090 */     // GIR_Coverage, 6079,
     /*  631090 */     GIR_EraseRootFromParent_Done,
     /*  631091 */   // Label 10142: @631091
     /*  631091 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(631166), // Rule ID 6082 //
     /*  631096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631164 */     GIR_RootConstrainSelectedInstOperands,
     /*  631165 */     // GIR_Coverage, 6082,
     /*  631165 */     GIR_EraseRootFromParent_Done,
     /*  631166 */   // Label 10143: @631166
     /*  631166 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(631241), // Rule ID 6083 //
     /*  631171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631239 */     GIR_RootConstrainSelectedInstOperands,
     /*  631240 */     // GIR_Coverage, 6083,
     /*  631240 */     GIR_EraseRootFromParent_Done,
     /*  631241 */   // Label 10144: @631241
     /*  631241 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(631316), // Rule ID 6086 //
     /*  631246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631314 */     GIR_RootConstrainSelectedInstOperands,
     /*  631315 */     // GIR_Coverage, 6086,
     /*  631315 */     GIR_EraseRootFromParent_Done,
     /*  631316 */   // Label 10145: @631316
     /*  631316 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(631391), // Rule ID 6087 //
     /*  631321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631389 */     GIR_RootConstrainSelectedInstOperands,
     /*  631390 */     // GIR_Coverage, 6087,
     /*  631390 */     GIR_EraseRootFromParent_Done,
     /*  631391 */   // Label 10146: @631391
     /*  631391 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(631466), // Rule ID 6090 //
     /*  631396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631464 */     GIR_RootConstrainSelectedInstOperands,
     /*  631465 */     // GIR_Coverage, 6090,
     /*  631465 */     GIR_EraseRootFromParent_Done,
     /*  631466 */   // Label 10147: @631466
     /*  631466 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631541), // Rule ID 6091 //
     /*  631471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631517 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631539 */     GIR_RootConstrainSelectedInstOperands,
     /*  631540 */     // GIR_Coverage, 6091,
     /*  631540 */     GIR_EraseRootFromParent_Done,
     /*  631541 */   // Label 10148: @631541
     /*  631541 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631616), // Rule ID 6094 //
     /*  631546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631614 */     GIR_RootConstrainSelectedInstOperands,
     /*  631615 */     // GIR_Coverage, 6094,
     /*  631615 */     GIR_EraseRootFromParent_Done,
     /*  631616 */   // Label 10149: @631616
     /*  631616 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631691), // Rule ID 6095 //
     /*  631621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631689 */     GIR_RootConstrainSelectedInstOperands,
     /*  631690 */     // GIR_Coverage, 6095,
     /*  631690 */     GIR_EraseRootFromParent_Done,
     /*  631691 */   // Label 10150: @631691
     /*  631691 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(631766), // Rule ID 6098 //
     /*  631696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631764 */     GIR_RootConstrainSelectedInstOperands,
     /*  631765 */     // GIR_Coverage, 6098,
     /*  631765 */     GIR_EraseRootFromParent_Done,
     /*  631766 */   // Label 10151: @631766
     /*  631766 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(631841), // Rule ID 6099 //
     /*  631771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631839 */     GIR_RootConstrainSelectedInstOperands,
     /*  631840 */     // GIR_Coverage, 6099,
     /*  631840 */     GIR_EraseRootFromParent_Done,
     /*  631841 */   // Label 10152: @631841
     /*  631841 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(631916), // Rule ID 6190 //
     /*  631846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  631866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  631895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631914 */     GIR_RootConstrainSelectedInstOperands,
     /*  631915 */     // GIR_Coverage, 6190,
     /*  631915 */     GIR_EraseRootFromParent_Done,
     /*  631916 */   // Label 10153: @631916
     /*  631916 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(631991), // Rule ID 6191 //
     /*  631921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  631941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631967 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  631970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631989 */     GIR_RootConstrainSelectedInstOperands,
     /*  631990 */     // GIR_Coverage, 6191,
     /*  631990 */     GIR_EraseRootFromParent_Done,
     /*  631991 */   // Label 10154: @631991
     /*  631991 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(632066), // Rule ID 6194 //
     /*  631996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632064 */     GIR_RootConstrainSelectedInstOperands,
     /*  632065 */     // GIR_Coverage, 6194,
     /*  632065 */     GIR_EraseRootFromParent_Done,
     /*  632066 */   // Label 10155: @632066
     /*  632066 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(632141), // Rule ID 6195 //
     /*  632071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632117 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632139 */     GIR_RootConstrainSelectedInstOperands,
     /*  632140 */     // GIR_Coverage, 6195,
     /*  632140 */     GIR_EraseRootFromParent_Done,
     /*  632141 */   // Label 10156: @632141
     /*  632141 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(632216), // Rule ID 6198 //
     /*  632146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  632166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632214 */     GIR_RootConstrainSelectedInstOperands,
     /*  632215 */     // GIR_Coverage, 6198,
     /*  632215 */     GIR_EraseRootFromParent_Done,
     /*  632216 */   // Label 10157: @632216
     /*  632216 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(632291), // Rule ID 6199 //
     /*  632221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  632241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632289 */     GIR_RootConstrainSelectedInstOperands,
     /*  632290 */     // GIR_Coverage, 6199,
     /*  632290 */     GIR_EraseRootFromParent_Done,
     /*  632291 */   // Label 10158: @632291
     /*  632291 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(632366), // Rule ID 6202 //
     /*  632296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  632316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632364 */     GIR_RootConstrainSelectedInstOperands,
     /*  632365 */     // GIR_Coverage, 6202,
     /*  632365 */     GIR_EraseRootFromParent_Done,
     /*  632366 */   // Label 10159: @632366
     /*  632366 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(632441), // Rule ID 6203 //
     /*  632371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  632391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632417 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632439 */     GIR_RootConstrainSelectedInstOperands,
     /*  632440 */     // GIR_Coverage, 6203,
     /*  632440 */     GIR_EraseRootFromParent_Done,
     /*  632441 */   // Label 10160: @632441
     /*  632441 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632516), // Rule ID 6206 //
     /*  632446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  632466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632514 */     GIR_RootConstrainSelectedInstOperands,
     /*  632515 */     // GIR_Coverage, 6206,
     /*  632515 */     GIR_EraseRootFromParent_Done,
     /*  632516 */   // Label 10161: @632516
     /*  632516 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632591), // Rule ID 6207 //
     /*  632521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  632541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632589 */     GIR_RootConstrainSelectedInstOperands,
     /*  632590 */     // GIR_Coverage, 6207,
     /*  632590 */     GIR_EraseRootFromParent_Done,
     /*  632591 */   // Label 10162: @632591
     /*  632591 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632666), // Rule ID 6210 //
     /*  632596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  632616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632664 */     GIR_RootConstrainSelectedInstOperands,
     /*  632665 */     // GIR_Coverage, 6210,
     /*  632665 */     GIR_EraseRootFromParent_Done,
     /*  632666 */   // Label 10163: @632666
     /*  632666 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(632741), // Rule ID 6211 //
     /*  632671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  632691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632739 */     GIR_RootConstrainSelectedInstOperands,
     /*  632740 */     // GIR_Coverage, 6211,
     /*  632740 */     GIR_EraseRootFromParent_Done,
     /*  632741 */   // Label 10164: @632741
     /*  632741 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(632816), // Rule ID 6214 //
     /*  632746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  632766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  632795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632814 */     GIR_RootConstrainSelectedInstOperands,
     /*  632815 */     // GIR_Coverage, 6214,
     /*  632815 */     GIR_EraseRootFromParent_Done,
     /*  632816 */   // Label 10165: @632816
     /*  632816 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(632891), // Rule ID 6215 //
     /*  632821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  632841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  632870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632889 */     GIR_RootConstrainSelectedInstOperands,
     /*  632890 */     // GIR_Coverage, 6215,
     /*  632890 */     GIR_EraseRootFromParent_Done,
     /*  632891 */   // Label 10166: @632891
     /*  632891 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(632966), // Rule ID 6218 //
     /*  632896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  632916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  632945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632964 */     GIR_RootConstrainSelectedInstOperands,
     /*  632965 */     // GIR_Coverage, 6218,
     /*  632965 */     GIR_EraseRootFromParent_Done,
     /*  632966 */   // Label 10167: @632966
     /*  632966 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(633041), // Rule ID 6219 //
     /*  632971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  632991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633017 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633039 */     GIR_RootConstrainSelectedInstOperands,
     /*  633040 */     // GIR_Coverage, 6219,
     /*  633040 */     GIR_EraseRootFromParent_Done,
     /*  633041 */   // Label 10168: @633041
     /*  633041 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(633116), // Rule ID 6222 //
     /*  633046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633114 */     GIR_RootConstrainSelectedInstOperands,
     /*  633115 */     // GIR_Coverage, 6222,
     /*  633115 */     GIR_EraseRootFromParent_Done,
     /*  633116 */   // Label 10169: @633116
     /*  633116 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(633191), // Rule ID 6223 //
     /*  633121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633189 */     GIR_RootConstrainSelectedInstOperands,
     /*  633190 */     // GIR_Coverage, 6223,
     /*  633190 */     GIR_EraseRootFromParent_Done,
     /*  633191 */   // Label 10170: @633191
     /*  633191 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(633266), // Rule ID 6226 //
     /*  633196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  633216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633264 */     GIR_RootConstrainSelectedInstOperands,
     /*  633265 */     // GIR_Coverage, 6226,
     /*  633265 */     GIR_EraseRootFromParent_Done,
     /*  633266 */   // Label 10171: @633266
     /*  633266 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(633341), // Rule ID 6227 //
     /*  633271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  633291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633339 */     GIR_RootConstrainSelectedInstOperands,
     /*  633340 */     // GIR_Coverage, 6227,
     /*  633340 */     GIR_EraseRootFromParent_Done,
     /*  633341 */   // Label 10172: @633341
     /*  633341 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(633416), // Rule ID 6230 //
     /*  633346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  633366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  633395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633414 */     GIR_RootConstrainSelectedInstOperands,
     /*  633415 */     // GIR_Coverage, 6230,
     /*  633415 */     GIR_EraseRootFromParent_Done,
     /*  633416 */   // Label 10173: @633416
     /*  633416 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633491), // Rule ID 6231 //
     /*  633421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  633441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  633470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633489 */     GIR_RootConstrainSelectedInstOperands,
     /*  633490 */     // GIR_Coverage, 6231,
     /*  633490 */     GIR_EraseRootFromParent_Done,
     /*  633491 */   // Label 10174: @633491
     /*  633491 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633566), // Rule ID 6234 //
     /*  633496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  633516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  633545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633564 */     GIR_RootConstrainSelectedInstOperands,
     /*  633565 */     // GIR_Coverage, 6234,
     /*  633565 */     GIR_EraseRootFromParent_Done,
     /*  633566 */   // Label 10175: @633566
     /*  633566 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633641), // Rule ID 6235 //
     /*  633571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  633591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633617 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  633620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633639 */     GIR_RootConstrainSelectedInstOperands,
     /*  633640 */     // GIR_Coverage, 6235,
     /*  633640 */     GIR_EraseRootFromParent_Done,
     /*  633641 */   // Label 10176: @633641
     /*  633641 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633716), // Rule ID 6238 //
     /*  633646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  633666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  633695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633714 */     GIR_RootConstrainSelectedInstOperands,
     /*  633715 */     // GIR_Coverage, 6238,
     /*  633715 */     GIR_EraseRootFromParent_Done,
     /*  633716 */   // Label 10177: @633716
     /*  633716 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(633791), // Rule ID 6239 //
     /*  633721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  633741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  633770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633789 */     GIR_RootConstrainSelectedInstOperands,
     /*  633790 */     // GIR_Coverage, 6239,
     /*  633790 */     GIR_EraseRootFromParent_Done,
     /*  633791 */   // Label 10178: @633791
     /*  633791 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(633866), // Rule ID 6242 //
     /*  633796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  633816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  633845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633864 */     GIR_RootConstrainSelectedInstOperands,
     /*  633865 */     // GIR_Coverage, 6242,
     /*  633865 */     GIR_EraseRootFromParent_Done,
     /*  633866 */   // Label 10179: @633866
     /*  633866 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(633941), // Rule ID 6243 //
     /*  633871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  633891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  633920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633939 */     GIR_RootConstrainSelectedInstOperands,
     /*  633940 */     // GIR_Coverage, 6243,
     /*  633940 */     GIR_EraseRootFromParent_Done,
     /*  633941 */   // Label 10180: @633941
     /*  633941 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(634016), // Rule ID 6246 //
     /*  633946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  633966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  633995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634014 */     GIR_RootConstrainSelectedInstOperands,
     /*  634015 */     // GIR_Coverage, 6246,
     /*  634015 */     GIR_EraseRootFromParent_Done,
     /*  634016 */   // Label 10181: @634016
     /*  634016 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(634091), // Rule ID 6247 //
     /*  634021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  634041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634089 */     GIR_RootConstrainSelectedInstOperands,
     /*  634090 */     // GIR_Coverage, 6247,
     /*  634090 */     GIR_EraseRootFromParent_Done,
     /*  634091 */   // Label 10182: @634091
     /*  634091 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(634166), // Rule ID 6250 //
     /*  634096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  634116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634164 */     GIR_RootConstrainSelectedInstOperands,
     /*  634165 */     // GIR_Coverage, 6250,
     /*  634165 */     GIR_EraseRootFromParent_Done,
     /*  634166 */   // Label 10183: @634166
     /*  634166 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(634241), // Rule ID 6251 //
     /*  634171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  634191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634217 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634239 */     GIR_RootConstrainSelectedInstOperands,
     /*  634240 */     // GIR_Coverage, 6251,
     /*  634240 */     GIR_EraseRootFromParent_Done,
     /*  634241 */   // Label 10184: @634241
     /*  634241 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(634316), // Rule ID 6254 //
     /*  634246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  634266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634314 */     GIR_RootConstrainSelectedInstOperands,
     /*  634315 */     // GIR_Coverage, 6254,
     /*  634315 */     GIR_EraseRootFromParent_Done,
     /*  634316 */   // Label 10185: @634316
     /*  634316 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(634391), // Rule ID 6255 //
     /*  634321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  634341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634389 */     GIR_RootConstrainSelectedInstOperands,
     /*  634390 */     // GIR_Coverage, 6255,
     /*  634390 */     GIR_EraseRootFromParent_Done,
     /*  634391 */   // Label 10186: @634391
     /*  634391 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(634466), // Rule ID 6258 //
     /*  634396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  634416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634464 */     GIR_RootConstrainSelectedInstOperands,
     /*  634465 */     // GIR_Coverage, 6258,
     /*  634465 */     GIR_EraseRootFromParent_Done,
     /*  634466 */   // Label 10187: @634466
     /*  634466 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634541), // Rule ID 6259 //
     /*  634471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  634491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634517 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634539 */     GIR_RootConstrainSelectedInstOperands,
     /*  634540 */     // GIR_Coverage, 6259,
     /*  634540 */     GIR_EraseRootFromParent_Done,
     /*  634541 */   // Label 10188: @634541
     /*  634541 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634616), // Rule ID 6262 //
     /*  634546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  634566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634614 */     GIR_RootConstrainSelectedInstOperands,
     /*  634615 */     // GIR_Coverage, 6262,
     /*  634615 */     GIR_EraseRootFromParent_Done,
     /*  634616 */   // Label 10189: @634616
     /*  634616 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634691), // Rule ID 6263 //
     /*  634621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  634641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634667 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634689 */     GIR_RootConstrainSelectedInstOperands,
     /*  634690 */     // GIR_Coverage, 6263,
     /*  634690 */     GIR_EraseRootFromParent_Done,
     /*  634691 */   // Label 10190: @634691
     /*  634691 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(634766), // Rule ID 6266 //
     /*  634696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  634716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634764 */     GIR_RootConstrainSelectedInstOperands,
     /*  634765 */     // GIR_Coverage, 6266,
     /*  634765 */     GIR_EraseRootFromParent_Done,
     /*  634766 */   // Label 10191: @634766
     /*  634766 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(634841), // Rule ID 6267 //
     /*  634771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  634791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634839 */     GIR_RootConstrainSelectedInstOperands,
     /*  634840 */     // GIR_Coverage, 6267,
     /*  634840 */     GIR_EraseRootFromParent_Done,
     /*  634841 */   // Label 10192: @634841
     /*  634841 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(634916), // Rule ID 6270 //
     /*  634846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  634866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634914 */     GIR_RootConstrainSelectedInstOperands,
     /*  634915 */     // GIR_Coverage, 6270,
     /*  634915 */     GIR_EraseRootFromParent_Done,
     /*  634916 */   // Label 10193: @634916
     /*  634916 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(634991), // Rule ID 6271 //
     /*  634921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  634941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634989 */     GIR_RootConstrainSelectedInstOperands,
     /*  634990 */     // GIR_Coverage, 6271,
     /*  634990 */     GIR_EraseRootFromParent_Done,
     /*  634991 */   // Label 10194: @634991
     /*  634991 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(635066), // Rule ID 6274 //
     /*  634996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635064 */     GIR_RootConstrainSelectedInstOperands,
     /*  635065 */     // GIR_Coverage, 6274,
     /*  635065 */     GIR_EraseRootFromParent_Done,
     /*  635066 */   // Label 10195: @635066
     /*  635066 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(635141), // Rule ID 6275 //
     /*  635071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635139 */     GIR_RootConstrainSelectedInstOperands,
     /*  635140 */     // GIR_Coverage, 6275,
     /*  635140 */     GIR_EraseRootFromParent_Done,
     /*  635141 */   // Label 10196: @635141
     /*  635141 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(635216), // Rule ID 6278 //
     /*  635146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635192 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  635195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635214 */     GIR_RootConstrainSelectedInstOperands,
     /*  635215 */     // GIR_Coverage, 6278,
     /*  635215 */     GIR_EraseRootFromParent_Done,
     /*  635216 */   // Label 10197: @635216
     /*  635216 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(635291), // Rule ID 6279 //
     /*  635221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  635270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635289 */     GIR_RootConstrainSelectedInstOperands,
     /*  635290 */     // GIR_Coverage, 6279,
     /*  635290 */     GIR_EraseRootFromParent_Done,
     /*  635291 */   // Label 10198: @635291
     /*  635291 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(635366), // Rule ID 6282 //
     /*  635296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635364 */     GIR_RootConstrainSelectedInstOperands,
     /*  635365 */     // GIR_Coverage, 6282,
     /*  635365 */     GIR_EraseRootFromParent_Done,
     /*  635366 */   // Label 10199: @635366
     /*  635366 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(635441), // Rule ID 6283 //
     /*  635371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635417 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635439 */     GIR_RootConstrainSelectedInstOperands,
     /*  635440 */     // GIR_Coverage, 6283,
     /*  635440 */     GIR_EraseRootFromParent_Done,
     /*  635441 */   // Label 10200: @635441
     /*  635441 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635516), // Rule ID 6286 //
     /*  635446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635514 */     GIR_RootConstrainSelectedInstOperands,
     /*  635515 */     // GIR_Coverage, 6286,
     /*  635515 */     GIR_EraseRootFromParent_Done,
     /*  635516 */   // Label 10201: @635516
     /*  635516 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635591), // Rule ID 6287 //
     /*  635521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635589 */     GIR_RootConstrainSelectedInstOperands,
     /*  635590 */     // GIR_Coverage, 6287,
     /*  635590 */     GIR_EraseRootFromParent_Done,
     /*  635591 */   // Label 10202: @635591
     /*  635591 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635666), // Rule ID 6290 //
     /*  635596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635664 */     GIR_RootConstrainSelectedInstOperands,
     /*  635665 */     // GIR_Coverage, 6290,
     /*  635665 */     GIR_EraseRootFromParent_Done,
     /*  635666 */   // Label 10203: @635666
     /*  635666 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(635741), // Rule ID 6291 //
     /*  635671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  635720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635739 */     GIR_RootConstrainSelectedInstOperands,
     /*  635740 */     // GIR_Coverage, 6291,
     /*  635740 */     GIR_EraseRootFromParent_Done,
     /*  635741 */   // Label 10204: @635741
     /*  635741 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(635816), // Rule ID 6294 //
     /*  635746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635792 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635814 */     GIR_RootConstrainSelectedInstOperands,
     /*  635815 */     // GIR_Coverage, 6294,
     /*  635815 */     GIR_EraseRootFromParent_Done,
     /*  635816 */   // Label 10205: @635816
     /*  635816 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(635891), // Rule ID 6295 //
     /*  635821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635867 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635889 */     GIR_RootConstrainSelectedInstOperands,
     /*  635890 */     // GIR_Coverage, 6295,
     /*  635890 */     GIR_EraseRootFromParent_Done,
     /*  635891 */   // Label 10206: @635891
     /*  635891 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(635966), // Rule ID 6298 //
     /*  635896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  635945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635964 */     GIR_RootConstrainSelectedInstOperands,
     /*  635965 */     // GIR_Coverage, 6298,
     /*  635965 */     GIR_EraseRootFromParent_Done,
     /*  635966 */   // Label 10207: @635966
     /*  635966 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(636041), // Rule ID 6299 //
     /*  635971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636017 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636039 */     GIR_RootConstrainSelectedInstOperands,
     /*  636040 */     // GIR_Coverage, 6299,
     /*  636040 */     GIR_EraseRootFromParent_Done,
     /*  636041 */   // Label 10208: @636041
     /*  636041 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(636116), // Rule ID 6302 //
     /*  636046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636114 */     GIR_RootConstrainSelectedInstOperands,
     /*  636115 */     // GIR_Coverage, 6302,
     /*  636115 */     GIR_EraseRootFromParent_Done,
     /*  636116 */   // Label 10209: @636116
     /*  636116 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(636191), // Rule ID 6303 //
     /*  636121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11610:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636189 */     GIR_RootConstrainSelectedInstOperands,
     /*  636190 */     // GIR_Coverage, 6303,
     /*  636190 */     GIR_EraseRootFromParent_Done,
     /*  636191 */   // Label 10210: @636191
     /*  636191 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(636266), // Rule ID 6306 //
     /*  636196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636264 */     GIR_RootConstrainSelectedInstOperands,
     /*  636265 */     // GIR_Coverage, 6306,
     /*  636265 */     GIR_EraseRootFromParent_Done,
     /*  636266 */   // Label 10211: @636266
     /*  636266 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(636341), // Rule ID 6307 //
     /*  636271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11610:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636339 */     GIR_RootConstrainSelectedInstOperands,
     /*  636340 */     // GIR_Coverage, 6307,
     /*  636340 */     GIR_EraseRootFromParent_Done,
     /*  636341 */   // Label 10212: @636341
     /*  636341 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(636416), // Rule ID 6310 //
     /*  636346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636414 */     GIR_RootConstrainSelectedInstOperands,
     /*  636415 */     // GIR_Coverage, 6310,
     /*  636415 */     GIR_EraseRootFromParent_Done,
     /*  636416 */   // Label 10213: @636416
     /*  636416 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636491), // Rule ID 6311 //
     /*  636421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11610:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636489 */     GIR_RootConstrainSelectedInstOperands,
     /*  636490 */     // GIR_Coverage, 6311,
     /*  636490 */     GIR_EraseRootFromParent_Done,
     /*  636491 */   // Label 10214: @636491
     /*  636491 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636566), // Rule ID 6314 //
     /*  636496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636564 */     GIR_RootConstrainSelectedInstOperands,
     /*  636565 */     // GIR_Coverage, 6314,
     /*  636565 */     GIR_EraseRootFromParent_Done,
     /*  636566 */   // Label 10215: @636566
     /*  636566 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636641), // Rule ID 6315 //
     /*  636571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11610:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636639 */     GIR_RootConstrainSelectedInstOperands,
     /*  636640 */     // GIR_Coverage, 6315,
     /*  636640 */     GIR_EraseRootFromParent_Done,
     /*  636641 */   // Label 10216: @636641
     /*  636641 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636716), // Rule ID 6318 //
     /*  636646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  636695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636714 */     GIR_RootConstrainSelectedInstOperands,
     /*  636715 */     // GIR_Coverage, 6318,
     /*  636715 */     GIR_EraseRootFromParent_Done,
     /*  636716 */   // Label 10217: @636716
     /*  636716 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(636791), // Rule ID 6319 //
     /*  636721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636767 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  636770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636789 */     GIR_RootConstrainSelectedInstOperands,
     /*  636790 */     // GIR_Coverage, 6319,
     /*  636790 */     GIR_EraseRootFromParent_Done,
     /*  636791 */   // Label 10218: @636791
     /*  636791 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(636866), // Rule ID 6322 //
     /*  636796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  636845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636864 */     GIR_RootConstrainSelectedInstOperands,
     /*  636865 */     // GIR_Coverage, 6322,
     /*  636865 */     GIR_EraseRootFromParent_Done,
     /*  636866 */   // Label 10219: @636866
     /*  636866 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(636941), // Rule ID 6323 //
     /*  636871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636917 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  636920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636939 */     GIR_RootConstrainSelectedInstOperands,
     /*  636940 */     // GIR_Coverage, 6323,
     /*  636940 */     GIR_EraseRootFromParent_Done,
     /*  636941 */   // Label 10220: @636941
     /*  636941 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(637016), // Rule ID 6326 //
     /*  636946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  636995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637014 */     GIR_RootConstrainSelectedInstOperands,
     /*  637015 */     // GIR_Coverage, 6326,
     /*  637015 */     GIR_EraseRootFromParent_Done,
     /*  637016 */   // Label 10221: @637016
     /*  637016 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(637091), // Rule ID 6327 //
     /*  637021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637067 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637089 */     GIR_RootConstrainSelectedInstOperands,
     /*  637090 */     // GIR_Coverage, 6327,
     /*  637090 */     GIR_EraseRootFromParent_Done,
     /*  637091 */   // Label 10222: @637091
     /*  637091 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(637166), // Rule ID 6330 //
     /*  637096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637164 */     GIR_RootConstrainSelectedInstOperands,
     /*  637165 */     // GIR_Coverage, 6330,
     /*  637165 */     GIR_EraseRootFromParent_Done,
     /*  637166 */   // Label 10223: @637166
     /*  637166 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(637241), // Rule ID 6331 //
     /*  637171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637239 */     GIR_RootConstrainSelectedInstOperands,
     /*  637240 */     // GIR_Coverage, 6331,
     /*  637240 */     GIR_EraseRootFromParent_Done,
     /*  637241 */   // Label 10224: @637241
     /*  637241 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(637316), // Rule ID 6334 //
     /*  637246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637314 */     GIR_RootConstrainSelectedInstOperands,
     /*  637315 */     // GIR_Coverage, 6334,
     /*  637315 */     GIR_EraseRootFromParent_Done,
     /*  637316 */   // Label 10225: @637316
     /*  637316 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(637391), // Rule ID 6335 //
     /*  637321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637389 */     GIR_RootConstrainSelectedInstOperands,
     /*  637390 */     // GIR_Coverage, 6335,
     /*  637390 */     GIR_EraseRootFromParent_Done,
     /*  637391 */   // Label 10226: @637391
     /*  637391 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(637466), // Rule ID 6338 //
     /*  637396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637464 */     GIR_RootConstrainSelectedInstOperands,
     /*  637465 */     // GIR_Coverage, 6338,
     /*  637465 */     GIR_EraseRootFromParent_Done,
     /*  637466 */   // Label 10227: @637466
     /*  637466 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637541), // Rule ID 6339 //
     /*  637471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637517 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637539 */     GIR_RootConstrainSelectedInstOperands,
     /*  637540 */     // GIR_Coverage, 6339,
     /*  637540 */     GIR_EraseRootFromParent_Done,
     /*  637541 */   // Label 10228: @637541
     /*  637541 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637616), // Rule ID 6342 //
     /*  637546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637614 */     GIR_RootConstrainSelectedInstOperands,
     /*  637615 */     // GIR_Coverage, 6342,
     /*  637615 */     GIR_EraseRootFromParent_Done,
     /*  637616 */   // Label 10229: @637616
     /*  637616 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637691), // Rule ID 6343 //
     /*  637621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637689 */     GIR_RootConstrainSelectedInstOperands,
     /*  637690 */     // GIR_Coverage, 6343,
     /*  637690 */     GIR_EraseRootFromParent_Done,
     /*  637691 */   // Label 10230: @637691
     /*  637691 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(637766), // Rule ID 6346 //
     /*  637696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637764 */     GIR_RootConstrainSelectedInstOperands,
     /*  637765 */     // GIR_Coverage, 6346,
     /*  637765 */     GIR_EraseRootFromParent_Done,
     /*  637766 */   // Label 10231: @637766
     /*  637766 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(637841), // Rule ID 6347 //
     /*  637771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637839 */     GIR_RootConstrainSelectedInstOperands,
     /*  637840 */     // GIR_Coverage, 6347,
     /*  637840 */     GIR_EraseRootFromParent_Done,
     /*  637841 */   // Label 10232: @637841
     /*  637841 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(637916), // Rule ID 6350 //
     /*  637846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637914 */     GIR_RootConstrainSelectedInstOperands,
     /*  637915 */     // GIR_Coverage, 6350,
     /*  637915 */     GIR_EraseRootFromParent_Done,
     /*  637916 */   // Label 10233: @637916
     /*  637916 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(637991), // Rule ID 6351 //
     /*  637921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637989 */     GIR_RootConstrainSelectedInstOperands,
     /*  637990 */     // GIR_Coverage, 6351,
     /*  637990 */     GIR_EraseRootFromParent_Done,
     /*  637991 */   // Label 10234: @637991
     /*  637991 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(638066), // Rule ID 6354 //
     /*  637996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638064 */     GIR_RootConstrainSelectedInstOperands,
     /*  638065 */     // GIR_Coverage, 6354,
     /*  638065 */     GIR_EraseRootFromParent_Done,
     /*  638066 */   // Label 10235: @638066
     /*  638066 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(638141), // Rule ID 6355 //
     /*  638071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11610:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638139 */     GIR_RootConstrainSelectedInstOperands,
     /*  638140 */     // GIR_Coverage, 6355,
     /*  638140 */     GIR_EraseRootFromParent_Done,
     /*  638141 */   // Label 10236: @638141
     /*  638141 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(638216), // Rule ID 6358 //
     /*  638146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638214 */     GIR_RootConstrainSelectedInstOperands,
     /*  638215 */     // GIR_Coverage, 6358,
     /*  638215 */     GIR_EraseRootFromParent_Done,
     /*  638216 */   // Label 10237: @638216
     /*  638216 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(638291), // Rule ID 6359 //
     /*  638221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11610:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638289 */     GIR_RootConstrainSelectedInstOperands,
     /*  638290 */     // GIR_Coverage, 6359,
     /*  638290 */     GIR_EraseRootFromParent_Done,
     /*  638291 */   // Label 10238: @638291
     /*  638291 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(638366), // Rule ID 6362 //
     /*  638296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638364 */     GIR_RootConstrainSelectedInstOperands,
     /*  638365 */     // GIR_Coverage, 6362,
     /*  638365 */     GIR_EraseRootFromParent_Done,
     /*  638366 */   // Label 10239: @638366
     /*  638366 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(638441), // Rule ID 6363 //
     /*  638371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11610:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638439 */     GIR_RootConstrainSelectedInstOperands,
     /*  638440 */     // GIR_Coverage, 6363,
     /*  638440 */     GIR_EraseRootFromParent_Done,
     /*  638441 */   // Label 10240: @638441
     /*  638441 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638516), // Rule ID 6454 //
     /*  638446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  638466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  638495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638514 */     GIR_RootConstrainSelectedInstOperands,
     /*  638515 */     // GIR_Coverage, 6454,
     /*  638515 */     GIR_EraseRootFromParent_Done,
     /*  638516 */   // Label 10241: @638516
     /*  638516 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638591), // Rule ID 6455 //
     /*  638521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  638541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638567 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  638570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638589 */     GIR_RootConstrainSelectedInstOperands,
     /*  638590 */     // GIR_Coverage, 6455,
     /*  638590 */     GIR_EraseRootFromParent_Done,
     /*  638591 */   // Label 10242: @638591
     /*  638591 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638666), // Rule ID 6458 //
     /*  638596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  638616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638642 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  638645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638664 */     GIR_RootConstrainSelectedInstOperands,
     /*  638665 */     // GIR_Coverage, 6458,
     /*  638665 */     GIR_EraseRootFromParent_Done,
     /*  638666 */   // Label 10243: @638666
     /*  638666 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(638741), // Rule ID 6459 //
     /*  638671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  638691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638717 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  638720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638739 */     GIR_RootConstrainSelectedInstOperands,
     /*  638740 */     // GIR_Coverage, 6459,
     /*  638740 */     GIR_EraseRootFromParent_Done,
     /*  638741 */   // Label 10244: @638741
     /*  638741 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(638816), // Rule ID 6462 //
     /*  638746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  638766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  638795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638814 */     GIR_RootConstrainSelectedInstOperands,
     /*  638815 */     // GIR_Coverage, 6462,
     /*  638815 */     GIR_EraseRootFromParent_Done,
     /*  638816 */   // Label 10245: @638816
     /*  638816 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(638891), // Rule ID 6463 //
     /*  638821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  638841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638867 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  638870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638889 */     GIR_RootConstrainSelectedInstOperands,
     /*  638890 */     // GIR_Coverage, 6463,
     /*  638890 */     GIR_EraseRootFromParent_Done,
     /*  638891 */   // Label 10246: @638891
     /*  638891 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(638966), // Rule ID 6466 //
     /*  638896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  638916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  638945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638964 */     GIR_RootConstrainSelectedInstOperands,
     /*  638965 */     // GIR_Coverage, 6466,
     /*  638965 */     GIR_EraseRootFromParent_Done,
     /*  638966 */   // Label 10247: @638966
     /*  638966 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(639041), // Rule ID 6467 //
     /*  638971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  638991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  639020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639039 */     GIR_RootConstrainSelectedInstOperands,
     /*  639040 */     // GIR_Coverage, 6467,
     /*  639040 */     GIR_EraseRootFromParent_Done,
     /*  639041 */   // Label 10248: @639041
     /*  639041 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(639116), // Rule ID 6470 //
     /*  639046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639114 */     GIR_RootConstrainSelectedInstOperands,
     /*  639115 */     // GIR_Coverage, 6470,
     /*  639115 */     GIR_EraseRootFromParent_Done,
     /*  639116 */   // Label 10249: @639116
     /*  639116 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(639191), // Rule ID 6471 //
     /*  639121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639167 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639189 */     GIR_RootConstrainSelectedInstOperands,
     /*  639190 */     // GIR_Coverage, 6471,
     /*  639190 */     GIR_EraseRootFromParent_Done,
     /*  639191 */   // Label 10250: @639191
     /*  639191 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(639266), // Rule ID 6474 //
     /*  639196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  639216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639242 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639264 */     GIR_RootConstrainSelectedInstOperands,
     /*  639265 */     // GIR_Coverage, 6474,
     /*  639265 */     GIR_EraseRootFromParent_Done,
     /*  639266 */   // Label 10251: @639266
     /*  639266 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(639341), // Rule ID 6475 //
     /*  639271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  639291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639317 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639339 */     GIR_RootConstrainSelectedInstOperands,
     /*  639340 */     // GIR_Coverage, 6475,
     /*  639340 */     GIR_EraseRootFromParent_Done,
     /*  639341 */   // Label 10252: @639341
     /*  639341 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(639416), // Rule ID 6478 //
     /*  639346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  639366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639414 */     GIR_RootConstrainSelectedInstOperands,
     /*  639415 */     // GIR_Coverage, 6478,
     /*  639415 */     GIR_EraseRootFromParent_Done,
     /*  639416 */   // Label 10253: @639416
     /*  639416 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639491), // Rule ID 6479 //
     /*  639421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  639441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639489 */     GIR_RootConstrainSelectedInstOperands,
     /*  639490 */     // GIR_Coverage, 6479,
     /*  639490 */     GIR_EraseRootFromParent_Done,
     /*  639491 */   // Label 10254: @639491
     /*  639491 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639566), // Rule ID 6482 //
     /*  639496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  639516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639564 */     GIR_RootConstrainSelectedInstOperands,
     /*  639565 */     // GIR_Coverage, 6482,
     /*  639565 */     GIR_EraseRootFromParent_Done,
     /*  639566 */   // Label 10255: @639566
     /*  639566 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639641), // Rule ID 6483 //
     /*  639571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  639591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639639 */     GIR_RootConstrainSelectedInstOperands,
     /*  639640 */     // GIR_Coverage, 6483,
     /*  639640 */     GIR_EraseRootFromParent_Done,
     /*  639641 */   // Label 10256: @639641
     /*  639641 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639716), // Rule ID 6486 //
     /*  639646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  639666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639714 */     GIR_RootConstrainSelectedInstOperands,
     /*  639715 */     // GIR_Coverage, 6486,
     /*  639715 */     GIR_EraseRootFromParent_Done,
     /*  639716 */   // Label 10257: @639716
     /*  639716 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(639791), // Rule ID 6487 //
     /*  639721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  639741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639789 */     GIR_RootConstrainSelectedInstOperands,
     /*  639790 */     // GIR_Coverage, 6487,
     /*  639790 */     GIR_EraseRootFromParent_Done,
     /*  639791 */   // Label 10258: @639791
     /*  639791 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(639866), // Rule ID 6490 //
     /*  639796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  639799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  639816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  639842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639864 */     GIR_RootConstrainSelectedInstOperands,
     /*  639865 */     // GIR_Coverage, 6490,
     /*  639865 */     GIR_EraseRootFromParent_Done,
     /*  639866 */   // Label 10259: @639866
     /*  639866 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(639941), // Rule ID 6491 //
     /*  639871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  639891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639917 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  639920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639939 */     GIR_RootConstrainSelectedInstOperands,
     /*  639940 */     // GIR_Coverage, 6491,
     /*  639940 */     GIR_EraseRootFromParent_Done,
     /*  639941 */   // Label 10260: @639941
     /*  639941 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(640016), // Rule ID 6494 //
     /*  639946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  639966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  639995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640014 */     GIR_RootConstrainSelectedInstOperands,
     /*  640015 */     // GIR_Coverage, 6494,
     /*  640015 */     GIR_EraseRootFromParent_Done,
     /*  640016 */   // Label 10261: @640016
     /*  640016 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(640091), // Rule ID 6495 //
     /*  640021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  640041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640067 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640089 */     GIR_RootConstrainSelectedInstOperands,
     /*  640090 */     // GIR_Coverage, 6495,
     /*  640090 */     GIR_EraseRootFromParent_Done,
     /*  640091 */   // Label 10262: @640091
     /*  640091 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(640166), // Rule ID 6498 //
     /*  640096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  640116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640164 */     GIR_RootConstrainSelectedInstOperands,
     /*  640165 */     // GIR_Coverage, 6498,
     /*  640165 */     GIR_EraseRootFromParent_Done,
     /*  640166 */   // Label 10263: @640166
     /*  640166 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(640241), // Rule ID 6499 //
     /*  640171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  640191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640239 */     GIR_RootConstrainSelectedInstOperands,
     /*  640240 */     // GIR_Coverage, 6499,
     /*  640240 */     GIR_EraseRootFromParent_Done,
     /*  640241 */   // Label 10264: @640241
     /*  640241 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(640316), // Rule ID 6502 //
     /*  640246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  640266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640314 */     GIR_RootConstrainSelectedInstOperands,
     /*  640315 */     // GIR_Coverage, 6502,
     /*  640315 */     GIR_EraseRootFromParent_Done,
     /*  640316 */   // Label 10265: @640316
     /*  640316 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(640391), // Rule ID 6503 //
     /*  640321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  640341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640367 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640389 */     GIR_RootConstrainSelectedInstOperands,
     /*  640390 */     // GIR_Coverage, 6503,
     /*  640390 */     GIR_EraseRootFromParent_Done,
     /*  640391 */   // Label 10266: @640391
     /*  640391 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(640466), // Rule ID 6506 //
     /*  640396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  640416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640464 */     GIR_RootConstrainSelectedInstOperands,
     /*  640465 */     // GIR_Coverage, 6506,
     /*  640465 */     GIR_EraseRootFromParent_Done,
     /*  640466 */   // Label 10267: @640466
     /*  640466 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640541), // Rule ID 6507 //
     /*  640471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  640491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640539 */     GIR_RootConstrainSelectedInstOperands,
     /*  640540 */     // GIR_Coverage, 6507,
     /*  640540 */     GIR_EraseRootFromParent_Done,
     /*  640541 */   // Label 10268: @640541
     /*  640541 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640616), // Rule ID 6510 //
     /*  640546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  640566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640614 */     GIR_RootConstrainSelectedInstOperands,
     /*  640615 */     // GIR_Coverage, 6510,
     /*  640615 */     GIR_EraseRootFromParent_Done,
     /*  640616 */   // Label 10269: @640616
     /*  640616 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640691), // Rule ID 6511 //
     /*  640621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  640641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640689 */     GIR_RootConstrainSelectedInstOperands,
     /*  640690 */     // GIR_Coverage, 6511,
     /*  640690 */     GIR_EraseRootFromParent_Done,
     /*  640691 */   // Label 10270: @640691
     /*  640691 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(640766), // Rule ID 6514 //
     /*  640696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  640716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640764 */     GIR_RootConstrainSelectedInstOperands,
     /*  640765 */     // GIR_Coverage, 6514,
     /*  640765 */     GIR_EraseRootFromParent_Done,
     /*  640766 */   // Label 10271: @640766
     /*  640766 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(640841), // Rule ID 6515 //
     /*  640771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  640791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640817 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640839 */     GIR_RootConstrainSelectedInstOperands,
     /*  640840 */     // GIR_Coverage, 6515,
     /*  640840 */     GIR_EraseRootFromParent_Done,
     /*  640841 */   // Label 10272: @640841
     /*  640841 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(640916), // Rule ID 6518 //
     /*  640846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  640866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640914 */     GIR_RootConstrainSelectedInstOperands,
     /*  640915 */     // GIR_Coverage, 6518,
     /*  640915 */     GIR_EraseRootFromParent_Done,
     /*  640916 */   // Label 10273: @640916
     /*  640916 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(640991), // Rule ID 6519 //
     /*  640921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  640941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640989 */     GIR_RootConstrainSelectedInstOperands,
     /*  640990 */     // GIR_Coverage, 6519,
     /*  640990 */     GIR_EraseRootFromParent_Done,
     /*  640991 */   // Label 10274: @640991
     /*  640991 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(641066), // Rule ID 6522 //
     /*  640996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641064 */     GIR_RootConstrainSelectedInstOperands,
     /*  641065 */     // GIR_Coverage, 6522,
     /*  641065 */     GIR_EraseRootFromParent_Done,
     /*  641066 */   // Label 10275: @641066
     /*  641066 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(641141), // Rule ID 6523 //
     /*  641071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641139 */     GIR_RootConstrainSelectedInstOperands,
     /*  641140 */     // GIR_Coverage, 6523,
     /*  641140 */     GIR_EraseRootFromParent_Done,
     /*  641141 */   // Label 10276: @641141
     /*  641141 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(641216), // Rule ID 6526 //
     /*  641146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  641166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641214 */     GIR_RootConstrainSelectedInstOperands,
     /*  641215 */     // GIR_Coverage, 6526,
     /*  641215 */     GIR_EraseRootFromParent_Done,
     /*  641216 */   // Label 10277: @641216
     /*  641216 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(641291), // Rule ID 6527 //
     /*  641221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  641241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641289 */     GIR_RootConstrainSelectedInstOperands,
     /*  641290 */     // GIR_Coverage, 6527,
     /*  641290 */     GIR_EraseRootFromParent_Done,
     /*  641291 */   // Label 10278: @641291
     /*  641291 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(641366), // Rule ID 6530 //
     /*  641296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  641316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641364 */     GIR_RootConstrainSelectedInstOperands,
     /*  641365 */     // GIR_Coverage, 6530,
     /*  641365 */     GIR_EraseRootFromParent_Done,
     /*  641366 */   // Label 10279: @641366
     /*  641366 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(641441), // Rule ID 6531 //
     /*  641371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  641391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641439 */     GIR_RootConstrainSelectedInstOperands,
     /*  641440 */     // GIR_Coverage, 6531,
     /*  641440 */     GIR_EraseRootFromParent_Done,
     /*  641441 */   // Label 10280: @641441
     /*  641441 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641516), // Rule ID 6534 //
     /*  641446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  641466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641514 */     GIR_RootConstrainSelectedInstOperands,
     /*  641515 */     // GIR_Coverage, 6534,
     /*  641515 */     GIR_EraseRootFromParent_Done,
     /*  641516 */   // Label 10281: @641516
     /*  641516 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641591), // Rule ID 6535 //
     /*  641521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  641541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641567 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641589 */     GIR_RootConstrainSelectedInstOperands,
     /*  641590 */     // GIR_Coverage, 6535,
     /*  641590 */     GIR_EraseRootFromParent_Done,
     /*  641591 */   // Label 10282: @641591
     /*  641591 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641666), // Rule ID 6538 //
     /*  641596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  641616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641664 */     GIR_RootConstrainSelectedInstOperands,
     /*  641665 */     // GIR_Coverage, 6538,
     /*  641665 */     GIR_EraseRootFromParent_Done,
     /*  641666 */   // Label 10283: @641666
     /*  641666 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(641741), // Rule ID 6539 //
     /*  641671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  641691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641739 */     GIR_RootConstrainSelectedInstOperands,
     /*  641740 */     // GIR_Coverage, 6539,
     /*  641740 */     GIR_EraseRootFromParent_Done,
     /*  641741 */   // Label 10284: @641741
     /*  641741 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(641816), // Rule ID 6542 //
     /*  641746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  641795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641814 */     GIR_RootConstrainSelectedInstOperands,
     /*  641815 */     // GIR_Coverage, 6542,
     /*  641815 */     GIR_EraseRootFromParent_Done,
     /*  641816 */   // Label 10285: @641816
     /*  641816 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(641891), // Rule ID 6543 //
     /*  641821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  641870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641889 */     GIR_RootConstrainSelectedInstOperands,
     /*  641890 */     // GIR_Coverage, 6543,
     /*  641890 */     GIR_EraseRootFromParent_Done,
     /*  641891 */   // Label 10286: @641891
     /*  641891 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(641966), // Rule ID 6546 //
     /*  641896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  641945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641964 */     GIR_RootConstrainSelectedInstOperands,
     /*  641965 */     // GIR_Coverage, 6546,
     /*  641965 */     GIR_EraseRootFromParent_Done,
     /*  641966 */   // Label 10287: @641966
     /*  641966 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(642041), // Rule ID 6547 //
     /*  641971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642017 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642039 */     GIR_RootConstrainSelectedInstOperands,
     /*  642040 */     // GIR_Coverage, 6547,
     /*  642040 */     GIR_EraseRootFromParent_Done,
     /*  642041 */   // Label 10288: @642041
     /*  642041 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(642116), // Rule ID 6550 //
     /*  642046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642114 */     GIR_RootConstrainSelectedInstOperands,
     /*  642115 */     // GIR_Coverage, 6550,
     /*  642115 */     GIR_EraseRootFromParent_Done,
     /*  642116 */   // Label 10289: @642116
     /*  642116 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(642191), // Rule ID 6551 //
     /*  642121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642167 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642189 */     GIR_RootConstrainSelectedInstOperands,
     /*  642190 */     // GIR_Coverage, 6551,
     /*  642190 */     GIR_EraseRootFromParent_Done,
     /*  642191 */   // Label 10290: @642191
     /*  642191 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(642266), // Rule ID 6554 //
     /*  642196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642264 */     GIR_RootConstrainSelectedInstOperands,
     /*  642265 */     // GIR_Coverage, 6554,
     /*  642265 */     GIR_EraseRootFromParent_Done,
     /*  642266 */   // Label 10291: @642266
     /*  642266 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(642341), // Rule ID 6555 //
     /*  642271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642317 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642339 */     GIR_RootConstrainSelectedInstOperands,
     /*  642340 */     // GIR_Coverage, 6555,
     /*  642340 */     GIR_EraseRootFromParent_Done,
     /*  642341 */   // Label 10292: @642341
     /*  642341 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(642416), // Rule ID 6558 //
     /*  642346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642414 */     GIR_RootConstrainSelectedInstOperands,
     /*  642415 */     // GIR_Coverage, 6558,
     /*  642415 */     GIR_EraseRootFromParent_Done,
     /*  642416 */   // Label 10293: @642416
     /*  642416 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642491), // Rule ID 6559 //
     /*  642421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642489 */     GIR_RootConstrainSelectedInstOperands,
     /*  642490 */     // GIR_Coverage, 6559,
     /*  642490 */     GIR_EraseRootFromParent_Done,
     /*  642491 */   // Label 10294: @642491
     /*  642491 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642566), // Rule ID 6562 //
     /*  642496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642564 */     GIR_RootConstrainSelectedInstOperands,
     /*  642565 */     // GIR_Coverage, 6562,
     /*  642565 */     GIR_EraseRootFromParent_Done,
     /*  642566 */   // Label 10295: @642566
     /*  642566 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642641), // Rule ID 6563 //
     /*  642571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642639 */     GIR_RootConstrainSelectedInstOperands,
     /*  642640 */     // GIR_Coverage, 6563,
     /*  642640 */     GIR_EraseRootFromParent_Done,
     /*  642641 */   // Label 10296: @642641
     /*  642641 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642716), // Rule ID 6566 //
     /*  642646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  642695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642714 */     GIR_RootConstrainSelectedInstOperands,
     /*  642715 */     // GIR_Coverage, 6566,
     /*  642715 */     GIR_EraseRootFromParent_Done,
     /*  642716 */   // Label 10297: @642716
     /*  642716 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(642791), // Rule ID 6567 //
     /*  642721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  642770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642789 */     GIR_RootConstrainSelectedInstOperands,
     /*  642790 */     // GIR_Coverage, 6567,
     /*  642790 */     GIR_EraseRootFromParent_Done,
     /*  642791 */   // Label 10298: @642791
     /*  642791 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(642866), // Rule ID 6570 //
     /*  642796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  642845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642864 */     GIR_RootConstrainSelectedInstOperands,
     /*  642865 */     // GIR_Coverage, 6570,
     /*  642865 */     GIR_EraseRootFromParent_Done,
     /*  642866 */   // Label 10299: @642866
     /*  642866 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(642941), // Rule ID 6571 //
     /*  642871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  642920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642939 */     GIR_RootConstrainSelectedInstOperands,
     /*  642940 */     // GIR_Coverage, 6571,
     /*  642940 */     GIR_EraseRootFromParent_Done,
     /*  642941 */   // Label 10300: @642941
     /*  642941 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(643016), // Rule ID 6574 //
     /*  642946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  642995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643014 */     GIR_RootConstrainSelectedInstOperands,
     /*  643015 */     // GIR_Coverage, 6574,
     /*  643015 */     GIR_EraseRootFromParent_Done,
     /*  643016 */   // Label 10301: @643016
     /*  643016 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(643091), // Rule ID 6575 //
     /*  643021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643089 */     GIR_RootConstrainSelectedInstOperands,
     /*  643090 */     // GIR_Coverage, 6575,
     /*  643090 */     GIR_EraseRootFromParent_Done,
     /*  643091 */   // Label 10302: @643091
     /*  643091 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(643166), // Rule ID 6578 //
     /*  643096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643164 */     GIR_RootConstrainSelectedInstOperands,
     /*  643165 */     // GIR_Coverage, 6578,
     /*  643165 */     GIR_EraseRootFromParent_Done,
     /*  643166 */   // Label 10303: @643166
     /*  643166 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(643241), // Rule ID 6579 //
     /*  643171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643239 */     GIR_RootConstrainSelectedInstOperands,
     /*  643240 */     // GIR_Coverage, 6579,
     /*  643240 */     GIR_EraseRootFromParent_Done,
     /*  643241 */   // Label 10304: @643241
     /*  643241 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(643316), // Rule ID 6582 //
     /*  643246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643314 */     GIR_RootConstrainSelectedInstOperands,
     /*  643315 */     // GIR_Coverage, 6582,
     /*  643315 */     GIR_EraseRootFromParent_Done,
     /*  643316 */   // Label 10305: @643316
     /*  643316 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(643391), // Rule ID 6583 //
     /*  643321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643367 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643389 */     GIR_RootConstrainSelectedInstOperands,
     /*  643390 */     // GIR_Coverage, 6583,
     /*  643390 */     GIR_EraseRootFromParent_Done,
     /*  643391 */   // Label 10306: @643391
     /*  643391 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(643466), // Rule ID 6586 //
     /*  643396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  643445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643464 */     GIR_RootConstrainSelectedInstOperands,
     /*  643465 */     // GIR_Coverage, 6586,
     /*  643465 */     GIR_EraseRootFromParent_Done,
     /*  643466 */   // Label 10307: @643466
     /*  643466 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643541), // Rule ID 6587 //
     /*  643471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643517 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  643520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643539 */     GIR_RootConstrainSelectedInstOperands,
     /*  643540 */     // GIR_Coverage, 6587,
     /*  643540 */     GIR_EraseRootFromParent_Done,
     /*  643541 */   // Label 10308: @643541
     /*  643541 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643616), // Rule ID 6590 //
     /*  643546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  643595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643614 */     GIR_RootConstrainSelectedInstOperands,
     /*  643615 */     // GIR_Coverage, 6590,
     /*  643615 */     GIR_EraseRootFromParent_Done,
     /*  643616 */   // Label 10309: @643616
     /*  643616 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643691), // Rule ID 6591 //
     /*  643621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643667 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  643670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643689 */     GIR_RootConstrainSelectedInstOperands,
     /*  643690 */     // GIR_Coverage, 6591,
     /*  643690 */     GIR_EraseRootFromParent_Done,
     /*  643691 */   // Label 10310: @643691
     /*  643691 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(643766), // Rule ID 6594 //
     /*  643696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643742 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643764 */     GIR_RootConstrainSelectedInstOperands,
     /*  643765 */     // GIR_Coverage, 6594,
     /*  643765 */     GIR_EraseRootFromParent_Done,
     /*  643766 */   // Label 10311: @643766
     /*  643766 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(643841), // Rule ID 6595 //
     /*  643771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643817 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643839 */     GIR_RootConstrainSelectedInstOperands,
     /*  643840 */     // GIR_Coverage, 6595,
     /*  643840 */     GIR_EraseRootFromParent_Done,
     /*  643841 */   // Label 10312: @643841
     /*  643841 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(643916), // Rule ID 6598 //
     /*  643846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  643895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643914 */     GIR_RootConstrainSelectedInstOperands,
     /*  643915 */     // GIR_Coverage, 6598,
     /*  643915 */     GIR_EraseRootFromParent_Done,
     /*  643916 */   // Label 10313: @643916
     /*  643916 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(643991), // Rule ID 6599 //
     /*  643921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643967 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  643970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643989 */     GIR_RootConstrainSelectedInstOperands,
     /*  643990 */     // GIR_Coverage, 6599,
     /*  643990 */     GIR_EraseRootFromParent_Done,
     /*  643991 */   // Label 10314: @643991
     /*  643991 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(644066), // Rule ID 6602 //
     /*  643996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644064 */     GIR_RootConstrainSelectedInstOperands,
     /*  644065 */     // GIR_Coverage, 6602,
     /*  644065 */     GIR_EraseRootFromParent_Done,
     /*  644066 */   // Label 10315: @644066
     /*  644066 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(644141), // Rule ID 6603 //
     /*  644071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644117 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644139 */     GIR_RootConstrainSelectedInstOperands,
     /*  644140 */     // GIR_Coverage, 6603,
     /*  644140 */     GIR_EraseRootFromParent_Done,
     /*  644141 */   // Label 10316: @644141
     /*  644141 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(644216), // Rule ID 6606 //
     /*  644146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644214 */     GIR_RootConstrainSelectedInstOperands,
     /*  644215 */     // GIR_Coverage, 6606,
     /*  644215 */     GIR_EraseRootFromParent_Done,
     /*  644216 */   // Label 10317: @644216
     /*  644216 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(644291), // Rule ID 6607 //
     /*  644221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644289 */     GIR_RootConstrainSelectedInstOperands,
     /*  644290 */     // GIR_Coverage, 6607,
     /*  644290 */     GIR_EraseRootFromParent_Done,
     /*  644291 */   // Label 10318: @644291
     /*  644291 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(644366), // Rule ID 6610 //
     /*  644296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644364 */     GIR_RootConstrainSelectedInstOperands,
     /*  644365 */     // GIR_Coverage, 6610,
     /*  644365 */     GIR_EraseRootFromParent_Done,
     /*  644366 */   // Label 10319: @644366
     /*  644366 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(644441), // Rule ID 6611 //
     /*  644371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644439 */     GIR_RootConstrainSelectedInstOperands,
     /*  644440 */     // GIR_Coverage, 6611,
     /*  644440 */     GIR_EraseRootFromParent_Done,
     /*  644441 */   // Label 10320: @644441
     /*  644441 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644516), // Rule ID 6614 //
     /*  644446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644514 */     GIR_RootConstrainSelectedInstOperands,
     /*  644515 */     // GIR_Coverage, 6614,
     /*  644515 */     GIR_EraseRootFromParent_Done,
     /*  644516 */   // Label 10321: @644516
     /*  644516 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644591), // Rule ID 6615 //
     /*  644521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644589 */     GIR_RootConstrainSelectedInstOperands,
     /*  644590 */     // GIR_Coverage, 6615,
     /*  644590 */     GIR_EraseRootFromParent_Done,
     /*  644591 */   // Label 10322: @644591
     /*  644591 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644666), // Rule ID 6618 //
     /*  644596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644664 */     GIR_RootConstrainSelectedInstOperands,
     /*  644665 */     // GIR_Coverage, 6618,
     /*  644665 */     GIR_EraseRootFromParent_Done,
     /*  644666 */   // Label 10323: @644666
     /*  644666 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(644741), // Rule ID 6619 //
     /*  644671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644739 */     GIR_RootConstrainSelectedInstOperands,
     /*  644740 */     // GIR_Coverage, 6619,
     /*  644740 */     GIR_EraseRootFromParent_Done,
     /*  644741 */   // Label 10324: @644741
     /*  644741 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(644816), // Rule ID 6622 //
     /*  644746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644814 */     GIR_RootConstrainSelectedInstOperands,
     /*  644815 */     // GIR_Coverage, 6622,
     /*  644815 */     GIR_EraseRootFromParent_Done,
     /*  644816 */   // Label 10325: @644816
     /*  644816 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(644891), // Rule ID 6623 //
     /*  644821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644889 */     GIR_RootConstrainSelectedInstOperands,
     /*  644890 */     // GIR_Coverage, 6623,
     /*  644890 */     GIR_EraseRootFromParent_Done,
     /*  644891 */   // Label 10326: @644891
     /*  644891 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(644966), // Rule ID 6626 //
     /*  644896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644964 */     GIR_RootConstrainSelectedInstOperands,
     /*  644965 */     // GIR_Coverage, 6626,
     /*  644965 */     GIR_EraseRootFromParent_Done,
     /*  644966 */   // Label 10327: @644966
     /*  644966 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(645041), // Rule ID 6627 //
     /*  644971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  645020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645039 */     GIR_RootConstrainSelectedInstOperands,
     /*  645040 */     // GIR_Coverage, 6627,
     /*  645040 */     GIR_EraseRootFromParent_Done,
     /*  645041 */   // Label 10328: @645041
     /*  645041 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(645116), // Rule ID 6718 //
     /*  645046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  645095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645114 */     GIR_RootConstrainSelectedInstOperands,
     /*  645115 */     // GIR_Coverage, 6718,
     /*  645115 */     GIR_EraseRootFromParent_Done,
     /*  645116 */   // Label 10329: @645116
     /*  645116 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(645191), // Rule ID 6719 //
     /*  645121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  645170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645189 */     GIR_RootConstrainSelectedInstOperands,
     /*  645190 */     // GIR_Coverage, 6719,
     /*  645190 */     GIR_EraseRootFromParent_Done,
     /*  645191 */   // Label 10330: @645191
     /*  645191 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(645266), // Rule ID 6722 //
     /*  645196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  645216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645264 */     GIR_RootConstrainSelectedInstOperands,
     /*  645265 */     // GIR_Coverage, 6722,
     /*  645265 */     GIR_EraseRootFromParent_Done,
     /*  645266 */   // Label 10331: @645266
     /*  645266 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(645341), // Rule ID 6723 //
     /*  645271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  645291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645339 */     GIR_RootConstrainSelectedInstOperands,
     /*  645340 */     // GIR_Coverage, 6723,
     /*  645340 */     GIR_EraseRootFromParent_Done,
     /*  645341 */   // Label 10332: @645341
     /*  645341 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(645416), // Rule ID 6726 //
     /*  645346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  645366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645414 */     GIR_RootConstrainSelectedInstOperands,
     /*  645415 */     // GIR_Coverage, 6726,
     /*  645415 */     GIR_EraseRootFromParent_Done,
     /*  645416 */   // Label 10333: @645416
     /*  645416 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645491), // Rule ID 6727 //
     /*  645421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  645441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645489 */     GIR_RootConstrainSelectedInstOperands,
     /*  645490 */     // GIR_Coverage, 6727,
     /*  645490 */     GIR_EraseRootFromParent_Done,
     /*  645491 */   // Label 10334: @645491
     /*  645491 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645566), // Rule ID 6730 //
     /*  645496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  645516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645564 */     GIR_RootConstrainSelectedInstOperands,
     /*  645565 */     // GIR_Coverage, 6730,
     /*  645565 */     GIR_EraseRootFromParent_Done,
     /*  645566 */   // Label 10335: @645566
     /*  645566 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645641), // Rule ID 6731 //
     /*  645571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  645591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645639 */     GIR_RootConstrainSelectedInstOperands,
     /*  645640 */     // GIR_Coverage, 6731,
     /*  645640 */     GIR_EraseRootFromParent_Done,
     /*  645641 */   // Label 10336: @645641
     /*  645641 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645716), // Rule ID 6734 //
     /*  645646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  645666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645714 */     GIR_RootConstrainSelectedInstOperands,
     /*  645715 */     // GIR_Coverage, 6734,
     /*  645715 */     GIR_EraseRootFromParent_Done,
     /*  645716 */   // Label 10337: @645716
     /*  645716 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(645791), // Rule ID 6735 //
     /*  645721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  645741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645767 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645789 */     GIR_RootConstrainSelectedInstOperands,
     /*  645790 */     // GIR_Coverage, 6735,
     /*  645790 */     GIR_EraseRootFromParent_Done,
     /*  645791 */   // Label 10338: @645791
     /*  645791 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(645866), // Rule ID 6738 //
     /*  645796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  645816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645864 */     GIR_RootConstrainSelectedInstOperands,
     /*  645865 */     // GIR_Coverage, 6738,
     /*  645865 */     GIR_EraseRootFromParent_Done,
     /*  645866 */   // Label 10339: @645866
     /*  645866 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(645941), // Rule ID 6739 //
     /*  645871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  645891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  645920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645939 */     GIR_RootConstrainSelectedInstOperands,
     /*  645940 */     // GIR_Coverage, 6739,
     /*  645940 */     GIR_EraseRootFromParent_Done,
     /*  645941 */   // Label 10340: @645941
     /*  645941 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(646016), // Rule ID 6742 //
     /*  645946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  645966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  645995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646014 */     GIR_RootConstrainSelectedInstOperands,
     /*  646015 */     // GIR_Coverage, 6742,
     /*  646015 */     GIR_EraseRootFromParent_Done,
     /*  646016 */   // Label 10341: @646016
     /*  646016 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(646091), // Rule ID 6743 //
     /*  646021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  646041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646089 */     GIR_RootConstrainSelectedInstOperands,
     /*  646090 */     // GIR_Coverage, 6743,
     /*  646090 */     GIR_EraseRootFromParent_Done,
     /*  646091 */   // Label 10342: @646091
     /*  646091 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(646166), // Rule ID 6746 //
     /*  646096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  646116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646164 */     GIR_RootConstrainSelectedInstOperands,
     /*  646165 */     // GIR_Coverage, 6746,
     /*  646165 */     GIR_EraseRootFromParent_Done,
     /*  646166 */   // Label 10343: @646166
     /*  646166 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(646241), // Rule ID 6747 //
     /*  646171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  646191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646239 */     GIR_RootConstrainSelectedInstOperands,
     /*  646240 */     // GIR_Coverage, 6747,
     /*  646240 */     GIR_EraseRootFromParent_Done,
     /*  646241 */   // Label 10344: @646241
     /*  646241 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(646316), // Rule ID 6750 //
     /*  646246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  646266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646314 */     GIR_RootConstrainSelectedInstOperands,
     /*  646315 */     // GIR_Coverage, 6750,
     /*  646315 */     GIR_EraseRootFromParent_Done,
     /*  646316 */   // Label 10345: @646316
     /*  646316 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(646391), // Rule ID 6751 //
     /*  646321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  646341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646389 */     GIR_RootConstrainSelectedInstOperands,
     /*  646390 */     // GIR_Coverage, 6751,
     /*  646390 */     GIR_EraseRootFromParent_Done,
     /*  646391 */   // Label 10346: @646391
     /*  646391 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(646466), // Rule ID 6754 //
     /*  646396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  646416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646464 */     GIR_RootConstrainSelectedInstOperands,
     /*  646465 */     // GIR_Coverage, 6754,
     /*  646465 */     GIR_EraseRootFromParent_Done,
     /*  646466 */   // Label 10347: @646466
     /*  646466 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646541), // Rule ID 6755 //
     /*  646471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  646491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646539 */     GIR_RootConstrainSelectedInstOperands,
     /*  646540 */     // GIR_Coverage, 6755,
     /*  646540 */     GIR_EraseRootFromParent_Done,
     /*  646541 */   // Label 10348: @646541
     /*  646541 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646616), // Rule ID 6758 //
     /*  646546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  646566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  646595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646614 */     GIR_RootConstrainSelectedInstOperands,
     /*  646615 */     // GIR_Coverage, 6758,
     /*  646615 */     GIR_EraseRootFromParent_Done,
     /*  646616 */   // Label 10349: @646616
     /*  646616 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646691), // Rule ID 6759 //
     /*  646621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  646641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  646670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646689 */     GIR_RootConstrainSelectedInstOperands,
     /*  646690 */     // GIR_Coverage, 6759,
     /*  646690 */     GIR_EraseRootFromParent_Done,
     /*  646691 */   // Label 10350: @646691
     /*  646691 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(646766), // Rule ID 6762 //
     /*  646696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  646716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  646745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646764 */     GIR_RootConstrainSelectedInstOperands,
     /*  646765 */     // GIR_Coverage, 6762,
     /*  646765 */     GIR_EraseRootFromParent_Done,
     /*  646766 */   // Label 10351: @646766
     /*  646766 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(646841), // Rule ID 6763 //
     /*  646771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  646791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  646820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646839 */     GIR_RootConstrainSelectedInstOperands,
     /*  646840 */     // GIR_Coverage, 6763,
     /*  646840 */     GIR_EraseRootFromParent_Done,
     /*  646841 */   // Label 10352: @646841
     /*  646841 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(646916), // Rule ID 6766 //
     /*  646846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  646866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  646895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646914 */     GIR_RootConstrainSelectedInstOperands,
     /*  646915 */     // GIR_Coverage, 6766,
     /*  646915 */     GIR_EraseRootFromParent_Done,
     /*  646916 */   // Label 10353: @646916
     /*  646916 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(646991), // Rule ID 6767 //
     /*  646921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  646941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646967 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  646970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646989 */     GIR_RootConstrainSelectedInstOperands,
     /*  646990 */     // GIR_Coverage, 6767,
     /*  646990 */     GIR_EraseRootFromParent_Done,
     /*  646991 */   // Label 10354: @646991
     /*  646991 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(647066), // Rule ID 6770 //
     /*  646996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647064 */     GIR_RootConstrainSelectedInstOperands,
     /*  647065 */     // GIR_Coverage, 6770,
     /*  647065 */     GIR_EraseRootFromParent_Done,
     /*  647066 */   // Label 10355: @647066
     /*  647066 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(647141), // Rule ID 6771 //
     /*  647071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647139 */     GIR_RootConstrainSelectedInstOperands,
     /*  647140 */     // GIR_Coverage, 6771,
     /*  647140 */     GIR_EraseRootFromParent_Done,
     /*  647141 */   // Label 10356: @647141
     /*  647141 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(647216), // Rule ID 6774 //
     /*  647146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  647166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647214 */     GIR_RootConstrainSelectedInstOperands,
     /*  647215 */     // GIR_Coverage, 6774,
     /*  647215 */     GIR_EraseRootFromParent_Done,
     /*  647216 */   // Label 10357: @647216
     /*  647216 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(647291), // Rule ID 6775 //
     /*  647221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  647241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647289 */     GIR_RootConstrainSelectedInstOperands,
     /*  647290 */     // GIR_Coverage, 6775,
     /*  647290 */     GIR_EraseRootFromParent_Done,
     /*  647291 */   // Label 10358: @647291
     /*  647291 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(647366), // Rule ID 6778 //
     /*  647296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  647316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647364 */     GIR_RootConstrainSelectedInstOperands,
     /*  647365 */     // GIR_Coverage, 6778,
     /*  647365 */     GIR_EraseRootFromParent_Done,
     /*  647366 */   // Label 10359: @647366
     /*  647366 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(647441), // Rule ID 6779 //
     /*  647371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  647391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647439 */     GIR_RootConstrainSelectedInstOperands,
     /*  647440 */     // GIR_Coverage, 6779,
     /*  647440 */     GIR_EraseRootFromParent_Done,
     /*  647441 */   // Label 10360: @647441
     /*  647441 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647516), // Rule ID 6782 //
     /*  647446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  647466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647514 */     GIR_RootConstrainSelectedInstOperands,
     /*  647515 */     // GIR_Coverage, 6782,
     /*  647515 */     GIR_EraseRootFromParent_Done,
     /*  647516 */   // Label 10361: @647516
     /*  647516 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647591), // Rule ID 6783 //
     /*  647521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  647541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647589 */     GIR_RootConstrainSelectedInstOperands,
     /*  647590 */     // GIR_Coverage, 6783,
     /*  647590 */     GIR_EraseRootFromParent_Done,
     /*  647591 */   // Label 10362: @647591
     /*  647591 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647666), // Rule ID 6786 //
     /*  647596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  647616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647664 */     GIR_RootConstrainSelectedInstOperands,
     /*  647665 */     // GIR_Coverage, 6786,
     /*  647665 */     GIR_EraseRootFromParent_Done,
     /*  647666 */   // Label 10363: @647666
     /*  647666 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(647741), // Rule ID 6787 //
     /*  647671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  647691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647739 */     GIR_RootConstrainSelectedInstOperands,
     /*  647740 */     // GIR_Coverage, 6787,
     /*  647740 */     GIR_EraseRootFromParent_Done,
     /*  647741 */   // Label 10364: @647741
     /*  647741 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(647816), // Rule ID 6790 //
     /*  647746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  647766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647814 */     GIR_RootConstrainSelectedInstOperands,
     /*  647815 */     // GIR_Coverage, 6790,
     /*  647815 */     GIR_EraseRootFromParent_Done,
     /*  647816 */   // Label 10365: @647816
     /*  647816 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(647891), // Rule ID 6791 //
     /*  647821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  647841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647889 */     GIR_RootConstrainSelectedInstOperands,
     /*  647890 */     // GIR_Coverage, 6791,
     /*  647890 */     GIR_EraseRootFromParent_Done,
     /*  647891 */   // Label 10366: @647891
     /*  647891 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(647966), // Rule ID 6794 //
     /*  647896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  647916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647964 */     GIR_RootConstrainSelectedInstOperands,
     /*  647965 */     // GIR_Coverage, 6794,
     /*  647965 */     GIR_EraseRootFromParent_Done,
     /*  647966 */   // Label 10367: @647966
     /*  647966 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(648041), // Rule ID 6795 //
     /*  647971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  647991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  648020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648039 */     GIR_RootConstrainSelectedInstOperands,
     /*  648040 */     // GIR_Coverage, 6795,
     /*  648040 */     GIR_EraseRootFromParent_Done,
     /*  648041 */   // Label 10368: @648041
     /*  648041 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(648116), // Rule ID 6798 //
     /*  648046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648114 */     GIR_RootConstrainSelectedInstOperands,
     /*  648115 */     // GIR_Coverage, 6798,
     /*  648115 */     GIR_EraseRootFromParent_Done,
     /*  648116 */   // Label 10369: @648116
     /*  648116 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(648191), // Rule ID 6799 //
     /*  648121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648189 */     GIR_RootConstrainSelectedInstOperands,
     /*  648190 */     // GIR_Coverage, 6799,
     /*  648190 */     GIR_EraseRootFromParent_Done,
     /*  648191 */   // Label 10370: @648191
     /*  648191 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(648266), // Rule ID 6802 //
     /*  648196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  648216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648264 */     GIR_RootConstrainSelectedInstOperands,
     /*  648265 */     // GIR_Coverage, 6802,
     /*  648265 */     GIR_EraseRootFromParent_Done,
     /*  648266 */   // Label 10371: @648266
     /*  648266 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(648341), // Rule ID 6803 //
     /*  648271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  648291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648339 */     GIR_RootConstrainSelectedInstOperands,
     /*  648340 */     // GIR_Coverage, 6803,
     /*  648340 */     GIR_EraseRootFromParent_Done,
     /*  648341 */   // Label 10372: @648341
     /*  648341 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(648416), // Rule ID 6806 //
     /*  648346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  648357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  648360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  648395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648414 */     GIR_RootConstrainSelectedInstOperands,
     /*  648415 */     // GIR_Coverage, 6806,
     /*  648415 */     GIR_EraseRootFromParent_Done,
     /*  648416 */   // Label 10373: @648416
     /*  648416 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648491), // Rule ID 6807 //
     /*  648421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  648432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  648435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  648470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648489 */     GIR_RootConstrainSelectedInstOperands,
     /*  648490 */     // GIR_Coverage, 6807,
     /*  648490 */     GIR_EraseRootFromParent_Done,
     /*  648491 */   // Label 10374: @648491
     /*  648491 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648566), // Rule ID 6810 //
     /*  648496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  648507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  648510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648542 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  648545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648564 */     GIR_RootConstrainSelectedInstOperands,
     /*  648565 */     // GIR_Coverage, 6810,
     /*  648565 */     GIR_EraseRootFromParent_Done,
     /*  648566 */   // Label 10375: @648566
     /*  648566 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648641), // Rule ID 6811 //
     /*  648571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  648582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  648585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  648620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648639 */     GIR_RootConstrainSelectedInstOperands,
     /*  648640 */     // GIR_Coverage, 6811,
     /*  648640 */     GIR_EraseRootFromParent_Done,
     /*  648641 */   // Label 10376: @648641
     /*  648641 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648716), // Rule ID 6814 //
     /*  648646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  648695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648714 */     GIR_RootConstrainSelectedInstOperands,
     /*  648715 */     // GIR_Coverage, 6814,
     /*  648715 */     GIR_EraseRootFromParent_Done,
     /*  648716 */   // Label 10377: @648716
     /*  648716 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(648791), // Rule ID 6815 //
     /*  648721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  648770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648789 */     GIR_RootConstrainSelectedInstOperands,
     /*  648790 */     // GIR_Coverage, 6815,
     /*  648790 */     GIR_EraseRootFromParent_Done,
     /*  648791 */   // Label 10378: @648791
     /*  648791 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(648866), // Rule ID 6818 //
     /*  648796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  648813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  648845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648864 */     GIR_RootConstrainSelectedInstOperands,
     /*  648865 */     // GIR_Coverage, 6818,
     /*  648865 */     GIR_EraseRootFromParent_Done,
     /*  648866 */   // Label 10379: @648866
     /*  648866 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(648941), // Rule ID 6819 //
     /*  648871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  648888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  648920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648939 */     GIR_RootConstrainSelectedInstOperands,
     /*  648940 */     // GIR_Coverage, 6819,
     /*  648940 */     GIR_EraseRootFromParent_Done,
     /*  648941 */   // Label 10380: @648941
     /*  648941 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(649016), // Rule ID 6822 //
     /*  648946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  648963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  648995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649014 */     GIR_RootConstrainSelectedInstOperands,
     /*  649015 */     // GIR_Coverage, 6822,
     /*  649015 */     GIR_EraseRootFromParent_Done,
     /*  649016 */   // Label 10381: @649016
     /*  649016 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(649091), // Rule ID 6823 //
     /*  649021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  649032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  649035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649089 */     GIR_RootConstrainSelectedInstOperands,
     /*  649090 */     // GIR_Coverage, 6823,
     /*  649090 */     GIR_EraseRootFromParent_Done,
     /*  649091 */   // Label 10382: @649091
     /*  649091 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(649166), // Rule ID 6826 //
     /*  649096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  649113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649164 */     GIR_RootConstrainSelectedInstOperands,
     /*  649165 */     // GIR_Coverage, 6826,
     /*  649165 */     GIR_EraseRootFromParent_Done,
     /*  649166 */   // Label 10383: @649166
     /*  649166 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(649241), // Rule ID 6827 //
     /*  649171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  649188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649239 */     GIR_RootConstrainSelectedInstOperands,
     /*  649240 */     // GIR_Coverage, 6827,
     /*  649240 */     GIR_EraseRootFromParent_Done,
     /*  649241 */   // Label 10384: @649241
     /*  649241 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(649316), // Rule ID 6830 //
     /*  649246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  649257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  649260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  649263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649314 */     GIR_RootConstrainSelectedInstOperands,
     /*  649315 */     // GIR_Coverage, 6830,
     /*  649315 */     GIR_EraseRootFromParent_Done,
     /*  649316 */   // Label 10385: @649316
     /*  649316 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(649391), // Rule ID 6831 //
     /*  649321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  649332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  649335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  649338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649389 */     GIR_RootConstrainSelectedInstOperands,
     /*  649390 */     // GIR_Coverage, 6831,
     /*  649390 */     GIR_EraseRootFromParent_Done,
     /*  649391 */   // Label 10386: @649391
     /*  649391 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(649466), // Rule ID 6834 //
     /*  649396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  649407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  649410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649464 */     GIR_RootConstrainSelectedInstOperands,
     /*  649465 */     // GIR_Coverage, 6834,
     /*  649465 */     GIR_EraseRootFromParent_Done,
     /*  649466 */   // Label 10387: @649466
     /*  649466 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649541), // Rule ID 6835 //
     /*  649471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  649482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  649485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649539 */     GIR_RootConstrainSelectedInstOperands,
     /*  649540 */     // GIR_Coverage, 6835,
     /*  649540 */     GIR_EraseRootFromParent_Done,
     /*  649541 */   // Label 10388: @649541
     /*  649541 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649616), // Rule ID 6838 //
     /*  649546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  649563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649614 */     GIR_RootConstrainSelectedInstOperands,
     /*  649615 */     // GIR_Coverage, 6838,
     /*  649615 */     GIR_EraseRootFromParent_Done,
     /*  649616 */   // Label 10389: @649616
     /*  649616 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649691), // Rule ID 6839 //
     /*  649621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  649638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649689 */     GIR_RootConstrainSelectedInstOperands,
     /*  649690 */     // GIR_Coverage, 6839,
     /*  649690 */     GIR_EraseRootFromParent_Done,
     /*  649691 */   // Label 10390: @649691
     /*  649691 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(649766), // Rule ID 6842 //
     /*  649696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  649699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  649707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  649710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  649742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649764 */     GIR_RootConstrainSelectedInstOperands,
     /*  649765 */     // GIR_Coverage, 6842,
     /*  649765 */     GIR_EraseRootFromParent_Done,
     /*  649766 */   // Label 10391: @649766
     /*  649766 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(649841), // Rule ID 6843 //
     /*  649771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  649774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  649782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  649785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  649817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649839 */     GIR_RootConstrainSelectedInstOperands,
     /*  649840 */     // GIR_Coverage, 6843,
     /*  649840 */     GIR_EraseRootFromParent_Done,
     /*  649841 */   // Label 10392: @649841
     /*  649841 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(649916), // Rule ID 6846 //
     /*  649846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  649857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  649860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  649895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649914 */     GIR_RootConstrainSelectedInstOperands,
     /*  649915 */     // GIR_Coverage, 6846,
     /*  649915 */     GIR_EraseRootFromParent_Done,
     /*  649916 */   // Label 10393: @649916
     /*  649916 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(649991), // Rule ID 6847 //
     /*  649921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  649932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  649935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  649970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649989 */     GIR_RootConstrainSelectedInstOperands,
     /*  649990 */     // GIR_Coverage, 6847,
     /*  649990 */     GIR_EraseRootFromParent_Done,
     /*  649991 */   // Label 10394: @649991
     /*  649991 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(650066), // Rule ID 6850 //
     /*  649996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650064 */     GIR_RootConstrainSelectedInstOperands,
     /*  650065 */     // GIR_Coverage, 6850,
     /*  650065 */     GIR_EraseRootFromParent_Done,
     /*  650066 */   // Label 10395: @650066
     /*  650066 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(650141), // Rule ID 6851 //
     /*  650071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650117 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650139 */     GIR_RootConstrainSelectedInstOperands,
     /*  650140 */     // GIR_Coverage, 6851,
     /*  650140 */     GIR_EraseRootFromParent_Done,
     /*  650141 */   // Label 10396: @650141
     /*  650141 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(650216), // Rule ID 6854 //
     /*  650146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650192 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650214 */     GIR_RootConstrainSelectedInstOperands,
     /*  650215 */     // GIR_Coverage, 6854,
     /*  650215 */     GIR_EraseRootFromParent_Done,
     /*  650216 */   // Label 10397: @650216
     /*  650216 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(650291), // Rule ID 6855 //
     /*  650221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650289 */     GIR_RootConstrainSelectedInstOperands,
     /*  650290 */     // GIR_Coverage, 6855,
     /*  650290 */     GIR_EraseRootFromParent_Done,
     /*  650291 */   // Label 10398: @650291
     /*  650291 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(650366), // Rule ID 6858 //
     /*  650296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  650307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  650310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650364 */     GIR_RootConstrainSelectedInstOperands,
     /*  650365 */     // GIR_Coverage, 6858,
     /*  650365 */     GIR_EraseRootFromParent_Done,
     /*  650366 */   // Label 10399: @650366
     /*  650366 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(650441), // Rule ID 6859 //
     /*  650371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  650382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  650385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650439 */     GIR_RootConstrainSelectedInstOperands,
     /*  650440 */     // GIR_Coverage, 6859,
     /*  650440 */     GIR_EraseRootFromParent_Done,
     /*  650441 */   // Label 10400: @650441
     /*  650441 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650516), // Rule ID 6862 //
     /*  650446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  650457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  650460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650514 */     GIR_RootConstrainSelectedInstOperands,
     /*  650515 */     // GIR_Coverage, 6862,
     /*  650515 */     GIR_EraseRootFromParent_Done,
     /*  650516 */   // Label 10401: @650516
     /*  650516 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650591), // Rule ID 6863 //
     /*  650521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  650532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  650535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650567 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650589 */     GIR_RootConstrainSelectedInstOperands,
     /*  650590 */     // GIR_Coverage, 6863,
     /*  650590 */     GIR_EraseRootFromParent_Done,
     /*  650591 */   // Label 10402: @650591
     /*  650591 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650666), // Rule ID 6866 //
     /*  650596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  650607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  650610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650664 */     GIR_RootConstrainSelectedInstOperands,
     /*  650665 */     // GIR_Coverage, 6866,
     /*  650665 */     GIR_EraseRootFromParent_Done,
     /*  650666 */   // Label 10403: @650666
     /*  650666 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(650741), // Rule ID 6867 //
     /*  650671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  650682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  650685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650739 */     GIR_RootConstrainSelectedInstOperands,
     /*  650740 */     // GIR_Coverage, 6867,
     /*  650740 */     GIR_EraseRootFromParent_Done,
     /*  650741 */   // Label 10404: @650741
     /*  650741 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(650816), // Rule ID 6870 //
     /*  650746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  650757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  650760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  650763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650814 */     GIR_RootConstrainSelectedInstOperands,
     /*  650815 */     // GIR_Coverage, 6870,
     /*  650815 */     GIR_EraseRootFromParent_Done,
     /*  650816 */   // Label 10405: @650816
     /*  650816 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(650891), // Rule ID 6871 //
     /*  650821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  650832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  650835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  650838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650889 */     GIR_RootConstrainSelectedInstOperands,
     /*  650890 */     // GIR_Coverage, 6871,
     /*  650890 */     GIR_EraseRootFromParent_Done,
     /*  650891 */   // Label 10406: @650891
     /*  650891 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(650966), // Rule ID 6874 //
     /*  650896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650964 */     GIR_RootConstrainSelectedInstOperands,
     /*  650965 */     // GIR_Coverage, 6874,
     /*  650965 */     GIR_EraseRootFromParent_Done,
     /*  650966 */   // Label 10407: @650966
     /*  650966 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(651041), // Rule ID 6875 //
     /*  650971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  650982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  650985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651039 */     GIR_RootConstrainSelectedInstOperands,
     /*  651040 */     // GIR_Coverage, 6875,
     /*  651040 */     GIR_EraseRootFromParent_Done,
     /*  651041 */   // Label 10408: @651041
     /*  651041 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(651116), // Rule ID 6878 //
     /*  651046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651114 */     GIR_RootConstrainSelectedInstOperands,
     /*  651115 */     // GIR_Coverage, 6878,
     /*  651115 */     GIR_EraseRootFromParent_Done,
     /*  651116 */   // Label 10409: @651116
     /*  651116 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(651191), // Rule ID 6879 //
     /*  651121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651189 */     GIR_RootConstrainSelectedInstOperands,
     /*  651190 */     // GIR_Coverage, 6879,
     /*  651190 */     GIR_EraseRootFromParent_Done,
     /*  651191 */   // Label 10410: @651191
     /*  651191 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(651266), // Rule ID 6882 //
     /*  651196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651264 */     GIR_RootConstrainSelectedInstOperands,
     /*  651265 */     // GIR_Coverage, 6882,
     /*  651265 */     GIR_EraseRootFromParent_Done,
     /*  651266 */   // Label 10411: @651266
     /*  651266 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(651341), // Rule ID 6883 //
     /*  651271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651339 */     GIR_RootConstrainSelectedInstOperands,
     /*  651340 */     // GIR_Coverage, 6883,
     /*  651340 */     GIR_EraseRootFromParent_Done,
     /*  651341 */   // Label 10412: @651341
     /*  651341 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(651416), // Rule ID 6886 //
     /*  651346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  651357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  651360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  651363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651414 */     GIR_RootConstrainSelectedInstOperands,
     /*  651415 */     // GIR_Coverage, 6886,
     /*  651415 */     GIR_EraseRootFromParent_Done,
     /*  651416 */   // Label 10413: @651416
     /*  651416 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651491), // Rule ID 6887 //
     /*  651421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  651432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  651435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  651438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651467 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651489 */     GIR_RootConstrainSelectedInstOperands,
     /*  651490 */     // GIR_Coverage, 6887,
     /*  651490 */     GIR_EraseRootFromParent_Done,
     /*  651491 */   // Label 10414: @651491
     /*  651491 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651566), // Rule ID 6890 //
     /*  651496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  651507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  651510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  651513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651564 */     GIR_RootConstrainSelectedInstOperands,
     /*  651565 */     // GIR_Coverage, 6890,
     /*  651565 */     GIR_EraseRootFromParent_Done,
     /*  651566 */   // Label 10415: @651566
     /*  651566 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651641), // Rule ID 6891 //
     /*  651571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  651582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  651585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  651588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651639 */     GIR_RootConstrainSelectedInstOperands,
     /*  651640 */     // GIR_Coverage, 6891,
     /*  651640 */     GIR_EraseRootFromParent_Done,
     /*  651641 */   // Label 10416: @651641
     /*  651641 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651716), // Rule ID 6982 //
     /*  651646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  651657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  651660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  651663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  651666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  651695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651714 */     GIR_RootConstrainSelectedInstOperands,
     /*  651715 */     // GIR_Coverage, 6982,
     /*  651715 */     GIR_EraseRootFromParent_Done,
     /*  651716 */   // Label 10417: @651716
     /*  651716 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(651791), // Rule ID 6983 //
     /*  651721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  651732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  651735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  651738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  651741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  651770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651789 */     GIR_RootConstrainSelectedInstOperands,
     /*  651790 */     // GIR_Coverage, 6983,
     /*  651790 */     GIR_EraseRootFromParent_Done,
     /*  651791 */   // Label 10418: @651791
     /*  651791 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(651866), // Rule ID 6986 //
     /*  651796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  651807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  651810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  651813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  651816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651842 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  651845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651864 */     GIR_RootConstrainSelectedInstOperands,
     /*  651865 */     // GIR_Coverage, 6986,
     /*  651865 */     GIR_EraseRootFromParent_Done,
     /*  651866 */   // Label 10419: @651866
     /*  651866 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(651941), // Rule ID 6987 //
     /*  651871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  651882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  651885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  651888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  651891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  651920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651939 */     GIR_RootConstrainSelectedInstOperands,
     /*  651940 */     // GIR_Coverage, 6987,
     /*  651940 */     GIR_EraseRootFromParent_Done,
     /*  651941 */   // Label 10420: @651941
     /*  651941 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(652016), // Rule ID 6990 //
     /*  651946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  651957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  651960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  651966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651992 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  651995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652014 */     GIR_RootConstrainSelectedInstOperands,
     /*  652015 */     // GIR_Coverage, 6990,
     /*  652015 */     GIR_EraseRootFromParent_Done,
     /*  652016 */   // Label 10421: @652016
     /*  652016 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(652091), // Rule ID 6991 //
     /*  652021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  652038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652067 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652089 */     GIR_RootConstrainSelectedInstOperands,
     /*  652090 */     // GIR_Coverage, 6991,
     /*  652090 */     GIR_EraseRootFromParent_Done,
     /*  652091 */   // Label 10422: @652091
     /*  652091 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(652166), // Rule ID 6994 //
     /*  652096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  652110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  652116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652164 */     GIR_RootConstrainSelectedInstOperands,
     /*  652165 */     // GIR_Coverage, 6994,
     /*  652165 */     GIR_EraseRootFromParent_Done,
     /*  652166 */   // Label 10423: @652166
     /*  652166 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(652241), // Rule ID 6995 //
     /*  652171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  652185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  652191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652239 */     GIR_RootConstrainSelectedInstOperands,
     /*  652240 */     // GIR_Coverage, 6995,
     /*  652240 */     GIR_EraseRootFromParent_Done,
     /*  652241 */   // Label 10424: @652241
     /*  652241 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(652316), // Rule ID 6998 //
     /*  652246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  652257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  652260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  652266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652314 */     GIR_RootConstrainSelectedInstOperands,
     /*  652315 */     // GIR_Coverage, 6998,
     /*  652315 */     GIR_EraseRootFromParent_Done,
     /*  652316 */   // Label 10425: @652316
     /*  652316 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(652391), // Rule ID 6999 //
     /*  652321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  652332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  652335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  652341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652389 */     GIR_RootConstrainSelectedInstOperands,
     /*  652390 */     // GIR_Coverage, 6999,
     /*  652390 */     GIR_EraseRootFromParent_Done,
     /*  652391 */   // Label 10426: @652391
     /*  652391 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(652466), // Rule ID 7002 //
     /*  652396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  652407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  652410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  652416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652464 */     GIR_RootConstrainSelectedInstOperands,
     /*  652465 */     // GIR_Coverage, 7002,
     /*  652465 */     GIR_EraseRootFromParent_Done,
     /*  652466 */   // Label 10427: @652466
     /*  652466 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652541), // Rule ID 7003 //
     /*  652471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  652482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  652485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  652491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652539 */     GIR_RootConstrainSelectedInstOperands,
     /*  652540 */     // GIR_Coverage, 7003,
     /*  652540 */     GIR_EraseRootFromParent_Done,
     /*  652541 */   // Label 10428: @652541
     /*  652541 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652616), // Rule ID 7006 //
     /*  652546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  652563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  652566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652614 */     GIR_RootConstrainSelectedInstOperands,
     /*  652615 */     // GIR_Coverage, 7006,
     /*  652615 */     GIR_EraseRootFromParent_Done,
     /*  652616 */   // Label 10429: @652616
     /*  652616 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652691), // Rule ID 7007 //
     /*  652621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  652638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  652641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652689 */     GIR_RootConstrainSelectedInstOperands,
     /*  652690 */     // GIR_Coverage, 7007,
     /*  652690 */     GIR_EraseRootFromParent_Done,
     /*  652691 */   // Label 10430: @652691
     /*  652691 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(652766), // Rule ID 7010 //
     /*  652696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  652707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  652710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  652716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652764 */     GIR_RootConstrainSelectedInstOperands,
     /*  652765 */     // GIR_Coverage, 7010,
     /*  652765 */     GIR_EraseRootFromParent_Done,
     /*  652766 */   // Label 10431: @652766
     /*  652766 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(652841), // Rule ID 7011 //
     /*  652771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  652782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  652785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  652791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652839 */     GIR_RootConstrainSelectedInstOperands,
     /*  652840 */     // GIR_Coverage, 7011,
     /*  652840 */     GIR_EraseRootFromParent_Done,
     /*  652841 */   // Label 10432: @652841
     /*  652841 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(652916), // Rule ID 7014 //
     /*  652846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  652857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  652860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  652866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652914 */     GIR_RootConstrainSelectedInstOperands,
     /*  652915 */     // GIR_Coverage, 7014,
     /*  652915 */     GIR_EraseRootFromParent_Done,
     /*  652916 */   // Label 10433: @652916
     /*  652916 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(652991), // Rule ID 7015 //
     /*  652921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  652932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  652935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  652941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  652970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652989 */     GIR_RootConstrainSelectedInstOperands,
     /*  652990 */     // GIR_Coverage, 7015,
     /*  652990 */     GIR_EraseRootFromParent_Done,
     /*  652991 */   // Label 10434: @652991
     /*  652991 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(653066), // Rule ID 7018 //
     /*  652996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  653007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  653010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  653016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653064 */     GIR_RootConstrainSelectedInstOperands,
     /*  653065 */     // GIR_Coverage, 7018,
     /*  653065 */     GIR_EraseRootFromParent_Done,
     /*  653066 */   // Label 10435: @653066
     /*  653066 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(653141), // Rule ID 7019 //
     /*  653071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  653082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  653085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  653091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653139 */     GIR_RootConstrainSelectedInstOperands,
     /*  653140 */     // GIR_Coverage, 7019,
     /*  653140 */     GIR_EraseRootFromParent_Done,
     /*  653141 */   // Label 10436: @653141
     /*  653141 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(653216), // Rule ID 7022 //
     /*  653146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653214 */     GIR_RootConstrainSelectedInstOperands,
     /*  653215 */     // GIR_Coverage, 7022,
     /*  653215 */     GIR_EraseRootFromParent_Done,
     /*  653216 */   // Label 10437: @653216
     /*  653216 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(653291), // Rule ID 7023 //
     /*  653221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653289 */     GIR_RootConstrainSelectedInstOperands,
     /*  653290 */     // GIR_Coverage, 7023,
     /*  653290 */     GIR_EraseRootFromParent_Done,
     /*  653291 */   // Label 10438: @653291
     /*  653291 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(653366), // Rule ID 7026 //
     /*  653296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  653345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653364 */     GIR_RootConstrainSelectedInstOperands,
     /*  653365 */     // GIR_Coverage, 7026,
     /*  653365 */     GIR_EraseRootFromParent_Done,
     /*  653366 */   // Label 10439: @653366
     /*  653366 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(653441), // Rule ID 7027 //
     /*  653371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  653420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653439 */     GIR_RootConstrainSelectedInstOperands,
     /*  653440 */     // GIR_Coverage, 7027,
     /*  653440 */     GIR_EraseRootFromParent_Done,
     /*  653441 */   // Label 10440: @653441
     /*  653441 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653516), // Rule ID 7030 //
     /*  653446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  653457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  653460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  653463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  653466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653492 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  653495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653514 */     GIR_RootConstrainSelectedInstOperands,
     /*  653515 */     // GIR_Coverage, 7030,
     /*  653515 */     GIR_EraseRootFromParent_Done,
     /*  653516 */   // Label 10441: @653516
     /*  653516 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653591), // Rule ID 7031 //
     /*  653521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  653532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  653535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  653538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  653541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  653570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653589 */     GIR_RootConstrainSelectedInstOperands,
     /*  653590 */     // GIR_Coverage, 7031,
     /*  653590 */     GIR_EraseRootFromParent_Done,
     /*  653591 */   // Label 10442: @653591
     /*  653591 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653666), // Rule ID 7034 //
     /*  653596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  653613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653664 */     GIR_RootConstrainSelectedInstOperands,
     /*  653665 */     // GIR_Coverage, 7034,
     /*  653665 */     GIR_EraseRootFromParent_Done,
     /*  653666 */   // Label 10443: @653666
     /*  653666 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(653741), // Rule ID 7035 //
     /*  653671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  653688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653739 */     GIR_RootConstrainSelectedInstOperands,
     /*  653740 */     // GIR_Coverage, 7035,
     /*  653740 */     GIR_EraseRootFromParent_Done,
     /*  653741 */   // Label 10444: @653741
     /*  653741 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(653816), // Rule ID 7038 //
     /*  653746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  653763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  653766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  653795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653814 */     GIR_RootConstrainSelectedInstOperands,
     /*  653815 */     // GIR_Coverage, 7038,
     /*  653815 */     GIR_EraseRootFromParent_Done,
     /*  653816 */   // Label 10445: @653816
     /*  653816 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(653891), // Rule ID 7039 //
     /*  653821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  653838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  653841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  653870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653889 */     GIR_RootConstrainSelectedInstOperands,
     /*  653890 */     // GIR_Coverage, 7039,
     /*  653890 */     GIR_EraseRootFromParent_Done,
     /*  653891 */   // Label 10446: @653891
     /*  653891 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(653966), // Rule ID 7042 //
     /*  653896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  653916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  653945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653964 */     GIR_RootConstrainSelectedInstOperands,
     /*  653965 */     // GIR_Coverage, 7042,
     /*  653965 */     GIR_EraseRootFromParent_Done,
     /*  653966 */   // Label 10447: @653966
     /*  653966 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(654041), // Rule ID 7043 //
     /*  653971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  653991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654039 */     GIR_RootConstrainSelectedInstOperands,
     /*  654040 */     // GIR_Coverage, 7043,
     /*  654040 */     GIR_EraseRootFromParent_Done,
     /*  654041 */   // Label 10448: @654041
     /*  654041 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(654116), // Rule ID 7046 //
     /*  654046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654114 */     GIR_RootConstrainSelectedInstOperands,
     /*  654115 */     // GIR_Coverage, 7046,
     /*  654115 */     GIR_EraseRootFromParent_Done,
     /*  654116 */   // Label 10449: @654116
     /*  654116 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(654191), // Rule ID 7047 //
     /*  654121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654189 */     GIR_RootConstrainSelectedInstOperands,
     /*  654190 */     // GIR_Coverage, 7047,
     /*  654190 */     GIR_EraseRootFromParent_Done,
     /*  654191 */   // Label 10450: @654191
     /*  654191 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(654266), // Rule ID 7050 //
     /*  654196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654264 */     GIR_RootConstrainSelectedInstOperands,
     /*  654265 */     // GIR_Coverage, 7050,
     /*  654265 */     GIR_EraseRootFromParent_Done,
     /*  654266 */   // Label 10451: @654266
     /*  654266 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(654341), // Rule ID 7051 //
     /*  654271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654339 */     GIR_RootConstrainSelectedInstOperands,
     /*  654340 */     // GIR_Coverage, 7051,
     /*  654340 */     GIR_EraseRootFromParent_Done,
     /*  654341 */   // Label 10452: @654341
     /*  654341 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(654416), // Rule ID 7054 //
     /*  654346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  654363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  654366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654414 */     GIR_RootConstrainSelectedInstOperands,
     /*  654415 */     // GIR_Coverage, 7054,
     /*  654415 */     GIR_EraseRootFromParent_Done,
     /*  654416 */   // Label 10453: @654416
     /*  654416 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654491), // Rule ID 7055 //
     /*  654421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  654438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  654441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654489 */     GIR_RootConstrainSelectedInstOperands,
     /*  654490 */     // GIR_Coverage, 7055,
     /*  654490 */     GIR_EraseRootFromParent_Done,
     /*  654491 */   // Label 10454: @654491
     /*  654491 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654566), // Rule ID 7058 //
     /*  654496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  654516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654564 */     GIR_RootConstrainSelectedInstOperands,
     /*  654565 */     // GIR_Coverage, 7058,
     /*  654565 */     GIR_EraseRootFromParent_Done,
     /*  654566 */   // Label 10455: @654566
     /*  654566 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654641), // Rule ID 7059 //
     /*  654571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  654591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654639 */     GIR_RootConstrainSelectedInstOperands,
     /*  654640 */     // GIR_Coverage, 7059,
     /*  654640 */     GIR_EraseRootFromParent_Done,
     /*  654641 */   // Label 10456: @654641
     /*  654641 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654716), // Rule ID 7062 //
     /*  654646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  654666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654714 */     GIR_RootConstrainSelectedInstOperands,
     /*  654715 */     // GIR_Coverage, 7062,
     /*  654715 */     GIR_EraseRootFromParent_Done,
     /*  654716 */   // Label 10457: @654716
     /*  654716 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(654791), // Rule ID 7063 //
     /*  654721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  654741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654789 */     GIR_RootConstrainSelectedInstOperands,
     /*  654790 */     // GIR_Coverage, 7063,
     /*  654790 */     GIR_EraseRootFromParent_Done,
     /*  654791 */   // Label 10458: @654791
     /*  654791 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(654866), // Rule ID 7066 //
     /*  654796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  654799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  654807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  654810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  654816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  654842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654864 */     GIR_RootConstrainSelectedInstOperands,
     /*  654865 */     // GIR_Coverage, 7066,
     /*  654865 */     GIR_EraseRootFromParent_Done,
     /*  654866 */   // Label 10459: @654866
     /*  654866 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(654941), // Rule ID 7067 //
     /*  654871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  654874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  654882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  654885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  654891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654917 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  654917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  654936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654939 */     GIR_RootConstrainSelectedInstOperands,
     /*  654940 */     // GIR_Coverage, 7067,
     /*  654940 */     GIR_EraseRootFromParent_Done,
     /*  654941 */   // Label 10460: @654941
     /*  654941 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(655016), // Rule ID 7070 //
     /*  654946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  654963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  654995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655014 */     GIR_RootConstrainSelectedInstOperands,
     /*  655015 */     // GIR_Coverage, 7070,
     /*  655015 */     GIR_EraseRootFromParent_Done,
     /*  655016 */   // Label 10461: @655016
     /*  655016 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(655091), // Rule ID 7071 //
     /*  655021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  655070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655089 */     GIR_RootConstrainSelectedInstOperands,
     /*  655090 */     // GIR_Coverage, 7071,
     /*  655090 */     GIR_EraseRootFromParent_Done,
     /*  655091 */   // Label 10462: @655091
     /*  655091 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(655166), // Rule ID 7074 //
     /*  655096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  655107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  655110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655164 */     GIR_RootConstrainSelectedInstOperands,
     /*  655165 */     // GIR_Coverage, 7074,
     /*  655165 */     GIR_EraseRootFromParent_Done,
     /*  655166 */   // Label 10463: @655166
     /*  655166 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(655241), // Rule ID 7075 //
     /*  655171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  655182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  655185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655239 */     GIR_RootConstrainSelectedInstOperands,
     /*  655240 */     // GIR_Coverage, 7075,
     /*  655240 */     GIR_EraseRootFromParent_Done,
     /*  655241 */   // Label 10464: @655241
     /*  655241 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(655316), // Rule ID 7078 //
     /*  655246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  655263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655314 */     GIR_RootConstrainSelectedInstOperands,
     /*  655315 */     // GIR_Coverage, 7078,
     /*  655315 */     GIR_EraseRootFromParent_Done,
     /*  655316 */   // Label 10465: @655316
     /*  655316 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(655391), // Rule ID 7079 //
     /*  655321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  655338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655367 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655389 */     GIR_RootConstrainSelectedInstOperands,
     /*  655390 */     // GIR_Coverage, 7079,
     /*  655390 */     GIR_EraseRootFromParent_Done,
     /*  655391 */   // Label 10466: @655391
     /*  655391 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(655466), // Rule ID 7082 //
     /*  655396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  655413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655464 */     GIR_RootConstrainSelectedInstOperands,
     /*  655465 */     // GIR_Coverage, 7082,
     /*  655465 */     GIR_EraseRootFromParent_Done,
     /*  655466 */   // Label 10467: @655466
     /*  655466 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655541), // Rule ID 7083 //
     /*  655471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  655488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655539 */     GIR_RootConstrainSelectedInstOperands,
     /*  655540 */     // GIR_Coverage, 7083,
     /*  655540 */     GIR_EraseRootFromParent_Done,
     /*  655541 */   // Label 10468: @655541
     /*  655541 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655616), // Rule ID 7086 //
     /*  655546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  655563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655614 */     GIR_RootConstrainSelectedInstOperands,
     /*  655615 */     // GIR_Coverage, 7086,
     /*  655615 */     GIR_EraseRootFromParent_Done,
     /*  655616 */   // Label 10469: @655616
     /*  655616 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655691), // Rule ID 7087 //
     /*  655621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  655638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655689 */     GIR_RootConstrainSelectedInstOperands,
     /*  655690 */     // GIR_Coverage, 7087,
     /*  655690 */     GIR_EraseRootFromParent_Done,
     /*  655691 */   // Label 10470: @655691
     /*  655691 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(655766), // Rule ID 7090 //
     /*  655696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655764 */     GIR_RootConstrainSelectedInstOperands,
     /*  655765 */     // GIR_Coverage, 7090,
     /*  655765 */     GIR_EraseRootFromParent_Done,
     /*  655766 */   // Label 10471: @655766
     /*  655766 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(655841), // Rule ID 7091 //
     /*  655771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  655782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  655785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655839 */     GIR_RootConstrainSelectedInstOperands,
     /*  655840 */     // GIR_Coverage, 7091,
     /*  655840 */     GIR_EraseRootFromParent_Done,
     /*  655841 */   // Label 10472: @655841
     /*  655841 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(655916), // Rule ID 7094 //
     /*  655846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  655857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  655860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  655863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  655895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655914 */     GIR_RootConstrainSelectedInstOperands,
     /*  655915 */     // GIR_Coverage, 7094,
     /*  655915 */     GIR_EraseRootFromParent_Done,
     /*  655916 */   // Label 10473: @655916
     /*  655916 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(655991), // Rule ID 7095 //
     /*  655921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  655932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  655935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  655938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  655970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655989 */     GIR_RootConstrainSelectedInstOperands,
     /*  655990 */     // GIR_Coverage, 7095,
     /*  655990 */     GIR_EraseRootFromParent_Done,
     /*  655991 */   // Label 10474: @655991
     /*  655991 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(656066), // Rule ID 7098 //
     /*  655996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656064 */     GIR_RootConstrainSelectedInstOperands,
     /*  656065 */     // GIR_Coverage, 7098,
     /*  656065 */     GIR_EraseRootFromParent_Done,
     /*  656066 */   // Label 10475: @656066
     /*  656066 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(656141), // Rule ID 7099 //
     /*  656071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656139 */     GIR_RootConstrainSelectedInstOperands,
     /*  656140 */     // GIR_Coverage, 7099,
     /*  656140 */     GIR_EraseRootFromParent_Done,
     /*  656141 */   // Label 10476: @656141
     /*  656141 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(656216), // Rule ID 7102 //
     /*  656146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656214 */     GIR_RootConstrainSelectedInstOperands,
     /*  656215 */     // GIR_Coverage, 7102,
     /*  656215 */     GIR_EraseRootFromParent_Done,
     /*  656216 */   // Label 10477: @656216
     /*  656216 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(656291), // Rule ID 7103 //
     /*  656221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656289 */     GIR_RootConstrainSelectedInstOperands,
     /*  656290 */     // GIR_Coverage, 7103,
     /*  656290 */     GIR_EraseRootFromParent_Done,
     /*  656291 */   // Label 10478: @656291
     /*  656291 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(656366), // Rule ID 7106 //
     /*  656296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  656299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  656307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  656310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  656342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  656361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656364 */     GIR_RootConstrainSelectedInstOperands,
     /*  656365 */     // GIR_Coverage, 7106,
     /*  656365 */     GIR_EraseRootFromParent_Done,
     /*  656366 */   // Label 10479: @656366
     /*  656366 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(656441), // Rule ID 7107 //
     /*  656371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  656374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  656382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  656385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  656417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  656436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656439 */     GIR_RootConstrainSelectedInstOperands,
     /*  656440 */     // GIR_Coverage, 7107,
     /*  656440 */     GIR_EraseRootFromParent_Done,
     /*  656441 */   // Label 10480: @656441
     /*  656441 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656516), // Rule ID 7110 //
     /*  656446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  656463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  656495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656514 */     GIR_RootConstrainSelectedInstOperands,
     /*  656515 */     // GIR_Coverage, 7110,
     /*  656515 */     GIR_EraseRootFromParent_Done,
     /*  656516 */   // Label 10481: @656516
     /*  656516 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656591), // Rule ID 7111 //
     /*  656521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  656532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  656535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  656538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656567 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  656570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656589 */     GIR_RootConstrainSelectedInstOperands,
     /*  656590 */     // GIR_Coverage, 7111,
     /*  656590 */     GIR_EraseRootFromParent_Done,
     /*  656591 */   // Label 10482: @656591
     /*  656591 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656666), // Rule ID 7114 //
     /*  656596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  656613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  656645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656664 */     GIR_RootConstrainSelectedInstOperands,
     /*  656665 */     // GIR_Coverage, 7114,
     /*  656665 */     GIR_EraseRootFromParent_Done,
     /*  656666 */   // Label 10483: @656666
     /*  656666 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(656741), // Rule ID 7115 //
     /*  656671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  656682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  656685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  656688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656717 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  656720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656739 */     GIR_RootConstrainSelectedInstOperands,
     /*  656740 */     // GIR_Coverage, 7115,
     /*  656740 */     GIR_EraseRootFromParent_Done,
     /*  656741 */   // Label 10484: @656741
     /*  656741 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(656816), // Rule ID 7118 //
     /*  656746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  656757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  656760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  656763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  656795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656814 */     GIR_RootConstrainSelectedInstOperands,
     /*  656815 */     // GIR_Coverage, 7118,
     /*  656815 */     GIR_EraseRootFromParent_Done,
     /*  656816 */   // Label 10485: @656816
     /*  656816 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(656891), // Rule ID 7119 //
     /*  656821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  656832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  656835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  656838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  656870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656889 */     GIR_RootConstrainSelectedInstOperands,
     /*  656890 */     // GIR_Coverage, 7119,
     /*  656890 */     GIR_EraseRootFromParent_Done,
     /*  656891 */   // Label 10486: @656891
     /*  656891 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(656966), // Rule ID 7122 //
     /*  656896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  656945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656964 */     GIR_RootConstrainSelectedInstOperands,
     /*  656965 */     // GIR_Coverage, 7122,
     /*  656965 */     GIR_EraseRootFromParent_Done,
     /*  656966 */   // Label 10487: @656966
     /*  656966 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(657041), // Rule ID 7123 //
     /*  656971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657039 */     GIR_RootConstrainSelectedInstOperands,
     /*  657040 */     // GIR_Coverage, 7123,
     /*  657040 */     GIR_EraseRootFromParent_Done,
     /*  657041 */   // Label 10488: @657041
     /*  657041 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(657116), // Rule ID 7126 //
     /*  657046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657114 */     GIR_RootConstrainSelectedInstOperands,
     /*  657115 */     // GIR_Coverage, 7126,
     /*  657115 */     GIR_EraseRootFromParent_Done,
     /*  657116 */   // Label 10489: @657116
     /*  657116 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(657191), // Rule ID 7127 //
     /*  657121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657189 */     GIR_RootConstrainSelectedInstOperands,
     /*  657190 */     // GIR_Coverage, 7127,
     /*  657190 */     GIR_EraseRootFromParent_Done,
     /*  657191 */   // Label 10490: @657191
     /*  657191 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(657266), // Rule ID 7130 //
     /*  657196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  657207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  657210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657264 */     GIR_RootConstrainSelectedInstOperands,
     /*  657265 */     // GIR_Coverage, 7130,
     /*  657265 */     GIR_EraseRootFromParent_Done,
     /*  657266 */   // Label 10491: @657266
     /*  657266 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(657341), // Rule ID 7131 //
     /*  657271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  657282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  657285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657339 */     GIR_RootConstrainSelectedInstOperands,
     /*  657340 */     // GIR_Coverage, 7131,
     /*  657340 */     GIR_EraseRootFromParent_Done,
     /*  657341 */   // Label 10492: @657341
     /*  657341 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(657416), // Rule ID 7134 //
     /*  657346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657414 */     GIR_RootConstrainSelectedInstOperands,
     /*  657415 */     // GIR_Coverage, 7134,
     /*  657415 */     GIR_EraseRootFromParent_Done,
     /*  657416 */   // Label 10493: @657416
     /*  657416 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657491), // Rule ID 7135 //
     /*  657421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657489 */     GIR_RootConstrainSelectedInstOperands,
     /*  657490 */     // GIR_Coverage, 7135,
     /*  657490 */     GIR_EraseRootFromParent_Done,
     /*  657491 */   // Label 10494: @657491
     /*  657491 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657566), // Rule ID 7138 //
     /*  657496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  657507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  657510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657564 */     GIR_RootConstrainSelectedInstOperands,
     /*  657565 */     // GIR_Coverage, 7138,
     /*  657565 */     GIR_EraseRootFromParent_Done,
     /*  657566 */   // Label 10495: @657566
     /*  657566 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657641), // Rule ID 7139 //
     /*  657571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  657582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  657585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657639 */     GIR_RootConstrainSelectedInstOperands,
     /*  657640 */     // GIR_Coverage, 7139,
     /*  657640 */     GIR_EraseRootFromParent_Done,
     /*  657641 */   // Label 10496: @657641
     /*  657641 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657716), // Rule ID 7142 //
     /*  657646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  657657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  657660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657714 */     GIR_RootConstrainSelectedInstOperands,
     /*  657715 */     // GIR_Coverage, 7142,
     /*  657715 */     GIR_EraseRootFromParent_Done,
     /*  657716 */   // Label 10497: @657716
     /*  657716 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(657791), // Rule ID 7143 //
     /*  657721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  657732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  657735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  657738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657789 */     GIR_RootConstrainSelectedInstOperands,
     /*  657790 */     // GIR_Coverage, 7143,
     /*  657790 */     GIR_EraseRootFromParent_Done,
     /*  657791 */   // Label 10498: @657791
     /*  657791 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(657866), // Rule ID 7146 //
     /*  657796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  657799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  657807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  657810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  657813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  657842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  657861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657864 */     GIR_RootConstrainSelectedInstOperands,
     /*  657865 */     // GIR_Coverage, 7146,
     /*  657865 */     GIR_EraseRootFromParent_Done,
     /*  657866 */   // Label 10499: @657866
     /*  657866 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(657941), // Rule ID 7147 //
     /*  657871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  657874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  657882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  657885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  657888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  657917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  657936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657939 */     GIR_RootConstrainSelectedInstOperands,
     /*  657940 */     // GIR_Coverage, 7147,
     /*  657940 */     GIR_EraseRootFromParent_Done,
     /*  657941 */   // Label 10500: @657941
     /*  657941 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(658016), // Rule ID 7150 //
     /*  657946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  657949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  657957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  657960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  657963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  657992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658014 */     GIR_RootConstrainSelectedInstOperands,
     /*  658015 */     // GIR_Coverage, 7150,
     /*  658015 */     GIR_EraseRootFromParent_Done,
     /*  658016 */   // Label 10501: @658016
     /*  658016 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(658091), // Rule ID 7151 //
     /*  658021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  658032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  658035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  658070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658089 */     GIR_RootConstrainSelectedInstOperands,
     /*  658090 */     // GIR_Coverage, 7151,
     /*  658090 */     GIR_EraseRootFromParent_Done,
     /*  658091 */   // Label 10502: @658091
     /*  658091 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(658166), // Rule ID 7154 //
     /*  658096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658164 */     GIR_RootConstrainSelectedInstOperands,
     /*  658165 */     // GIR_Coverage, 7154,
     /*  658165 */     GIR_EraseRootFromParent_Done,
     /*  658166 */   // Label 10503: @658166
     /*  658166 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(658241), // Rule ID 7155 //
     /*  658171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658239 */     GIR_RootConstrainSelectedInstOperands,
     /*  658240 */     // GIR_Coverage, 7155,
     /*  658240 */     GIR_EraseRootFromParent_Done,
     /*  658241 */   // Label 10504: @658241
     /*  658241 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(658316), // Rule ID 7334 //
     /*  658246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  658295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658314 */     GIR_RootConstrainSelectedInstOperands,
     /*  658315 */     // GIR_Coverage, 7334,
     /*  658315 */     GIR_EraseRootFromParent_Done,
     /*  658316 */   // Label 10505: @658316
     /*  658316 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(658391), // Rule ID 7335 //
     /*  658321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  658370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658389 */     GIR_RootConstrainSelectedInstOperands,
     /*  658390 */     // GIR_Coverage, 7335,
     /*  658390 */     GIR_EraseRootFromParent_Done,
     /*  658391 */   // Label 10506: @658391
     /*  658391 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(658466), // Rule ID 7338 //
     /*  658396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658442 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  658445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658464 */     GIR_RootConstrainSelectedInstOperands,
     /*  658465 */     // GIR_Coverage, 7338,
     /*  658465 */     GIR_EraseRootFromParent_Done,
     /*  658466 */   // Label 10507: @658466
     /*  658466 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658541), // Rule ID 7339 //
     /*  658471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  658482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  658485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  658520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658539 */     GIR_RootConstrainSelectedInstOperands,
     /*  658540 */     // GIR_Coverage, 7339,
     /*  658540 */     GIR_EraseRootFromParent_Done,
     /*  658541 */   // Label 10508: @658541
     /*  658541 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658616), // Rule ID 7342 //
     /*  658546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  658595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658614 */     GIR_RootConstrainSelectedInstOperands,
     /*  658615 */     // GIR_Coverage, 7342,
     /*  658615 */     GIR_EraseRootFromParent_Done,
     /*  658616 */   // Label 10509: @658616
     /*  658616 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658691), // Rule ID 7343 //
     /*  658621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  658632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  658635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  658670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658689 */     GIR_RootConstrainSelectedInstOperands,
     /*  658690 */     // GIR_Coverage, 7343,
     /*  658690 */     GIR_EraseRootFromParent_Done,
     /*  658691 */   // Label 10510: @658691
     /*  658691 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(658766), // Rule ID 7346 //
     /*  658696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  658745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658764 */     GIR_RootConstrainSelectedInstOperands,
     /*  658765 */     // GIR_Coverage, 7346,
     /*  658765 */     GIR_EraseRootFromParent_Done,
     /*  658766 */   // Label 10511: @658766
     /*  658766 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(658841), // Rule ID 7347 //
     /*  658771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  658782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  658785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  658820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658839 */     GIR_RootConstrainSelectedInstOperands,
     /*  658840 */     // GIR_Coverage, 7347,
     /*  658840 */     GIR_EraseRootFromParent_Done,
     /*  658841 */   // Label 10512: @658841
     /*  658841 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(658916), // Rule ID 7350 //
     /*  658846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  658895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658914 */     GIR_RootConstrainSelectedInstOperands,
     /*  658915 */     // GIR_Coverage, 7350,
     /*  658915 */     GIR_EraseRootFromParent_Done,
     /*  658916 */   // Label 10513: @658916
     /*  658916 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(658991), // Rule ID 7351 //
     /*  658921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  658970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658989 */     GIR_RootConstrainSelectedInstOperands,
     /*  658990 */     // GIR_Coverage, 7351,
     /*  658990 */     GIR_EraseRootFromParent_Done,
     /*  658991 */   // Label 10514: @658991
     /*  658991 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(659066), // Rule ID 7354 //
     /*  658996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659064 */     GIR_RootConstrainSelectedInstOperands,
     /*  659065 */     // GIR_Coverage, 7354,
     /*  659065 */     GIR_EraseRootFromParent_Done,
     /*  659066 */   // Label 10515: @659066
     /*  659066 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(659141), // Rule ID 7355 //
     /*  659071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659117 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659139 */     GIR_RootConstrainSelectedInstOperands,
     /*  659140 */     // GIR_Coverage, 7355,
     /*  659140 */     GIR_EraseRootFromParent_Done,
     /*  659141 */   // Label 10516: @659141
     /*  659141 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(659216), // Rule ID 7358 //
     /*  659146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659214 */     GIR_RootConstrainSelectedInstOperands,
     /*  659215 */     // GIR_Coverage, 7358,
     /*  659215 */     GIR_EraseRootFromParent_Done,
     /*  659216 */   // Label 10517: @659216
     /*  659216 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(659291), // Rule ID 7359 //
     /*  659221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659267 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659289 */     GIR_RootConstrainSelectedInstOperands,
     /*  659290 */     // GIR_Coverage, 7359,
     /*  659290 */     GIR_EraseRootFromParent_Done,
     /*  659291 */   // Label 10518: @659291
     /*  659291 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(659366), // Rule ID 7362 //
     /*  659296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  659345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659364 */     GIR_RootConstrainSelectedInstOperands,
     /*  659365 */     // GIR_Coverage, 7362,
     /*  659365 */     GIR_EraseRootFromParent_Done,
     /*  659366 */   // Label 10519: @659366
     /*  659366 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(659441), // Rule ID 7363 //
     /*  659371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659417 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  659420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659439 */     GIR_RootConstrainSelectedInstOperands,
     /*  659440 */     // GIR_Coverage, 7363,
     /*  659440 */     GIR_EraseRootFromParent_Done,
     /*  659441 */   // Label 10520: @659441
     /*  659441 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659516), // Rule ID 7366 //
     /*  659446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  659495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659514 */     GIR_RootConstrainSelectedInstOperands,
     /*  659515 */     // GIR_Coverage, 7366,
     /*  659515 */     GIR_EraseRootFromParent_Done,
     /*  659516 */   // Label 10521: @659516
     /*  659516 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659591), // Rule ID 7367 //
     /*  659521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  659570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659589 */     GIR_RootConstrainSelectedInstOperands,
     /*  659590 */     // GIR_Coverage, 7367,
     /*  659590 */     GIR_EraseRootFromParent_Done,
     /*  659591 */   // Label 10522: @659591
     /*  659591 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659666), // Rule ID 7370 //
     /*  659596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659664 */     GIR_RootConstrainSelectedInstOperands,
     /*  659665 */     // GIR_Coverage, 7370,
     /*  659665 */     GIR_EraseRootFromParent_Done,
     /*  659666 */   // Label 10523: @659666
     /*  659666 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(659741), // Rule ID 7371 //
     /*  659671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  659682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  659685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659739 */     GIR_RootConstrainSelectedInstOperands,
     /*  659740 */     // GIR_Coverage, 7371,
     /*  659740 */     GIR_EraseRootFromParent_Done,
     /*  659741 */   // Label 10524: @659741
     /*  659741 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(659816), // Rule ID 7374 //
     /*  659746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  659757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  659760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659814 */     GIR_RootConstrainSelectedInstOperands,
     /*  659815 */     // GIR_Coverage, 7374,
     /*  659815 */     GIR_EraseRootFromParent_Done,
     /*  659816 */   // Label 10525: @659816
     /*  659816 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(659891), // Rule ID 7375 //
     /*  659821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  659832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  659835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659889 */     GIR_RootConstrainSelectedInstOperands,
     /*  659890 */     // GIR_Coverage, 7375,
     /*  659890 */     GIR_EraseRootFromParent_Done,
     /*  659891 */   // Label 10526: @659891
     /*  659891 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(659966), // Rule ID 7378 //
     /*  659896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  659913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  659945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659964 */     GIR_RootConstrainSelectedInstOperands,
     /*  659965 */     // GIR_Coverage, 7378,
     /*  659965 */     GIR_EraseRootFromParent_Done,
     /*  659966 */   // Label 10527: @659966
     /*  659966 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(660041), // Rule ID 7379 //
     /*  659971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  659988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660017 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  660020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660039 */     GIR_RootConstrainSelectedInstOperands,
     /*  660040 */     // GIR_Coverage, 7379,
     /*  660040 */     GIR_EraseRootFromParent_Done,
     /*  660041 */   // Label 10528: @660041
     /*  660041 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(660116), // Rule ID 7382 //
     /*  660046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660114 */     GIR_RootConstrainSelectedInstOperands,
     /*  660115 */     // GIR_Coverage, 7382,
     /*  660115 */     GIR_EraseRootFromParent_Done,
     /*  660116 */   // Label 10529: @660116
     /*  660116 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(660191), // Rule ID 7383 //
     /*  660121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660189 */     GIR_RootConstrainSelectedInstOperands,
     /*  660190 */     // GIR_Coverage, 7383,
     /*  660190 */     GIR_EraseRootFromParent_Done,
     /*  660191 */   // Label 10530: @660191
     /*  660191 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(660266), // Rule ID 7386 //
     /*  660196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  660245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660264 */     GIR_RootConstrainSelectedInstOperands,
     /*  660265 */     // GIR_Coverage, 7386,
     /*  660265 */     GIR_EraseRootFromParent_Done,
     /*  660266 */   // Label 10531: @660266
     /*  660266 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(660341), // Rule ID 7387 //
     /*  660271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  660320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660339 */     GIR_RootConstrainSelectedInstOperands,
     /*  660340 */     // GIR_Coverage, 7387,
     /*  660340 */     GIR_EraseRootFromParent_Done,
     /*  660341 */   // Label 10532: @660341
     /*  660341 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(660416), // Rule ID 7390 //
     /*  660346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  660395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660414 */     GIR_RootConstrainSelectedInstOperands,
     /*  660415 */     // GIR_Coverage, 7390,
     /*  660415 */     GIR_EraseRootFromParent_Done,
     /*  660416 */   // Label 10533: @660416
     /*  660416 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660491), // Rule ID 7391 //
     /*  660421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  660432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  660435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  660438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  660470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660489 */     GIR_RootConstrainSelectedInstOperands,
     /*  660490 */     // GIR_Coverage, 7391,
     /*  660490 */     GIR_EraseRootFromParent_Done,
     /*  660491 */   // Label 10534: @660491
     /*  660491 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660566), // Rule ID 7394 //
     /*  660496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  660545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660564 */     GIR_RootConstrainSelectedInstOperands,
     /*  660565 */     // GIR_Coverage, 7394,
     /*  660565 */     GIR_EraseRootFromParent_Done,
     /*  660566 */   // Label 10535: @660566
     /*  660566 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660641), // Rule ID 7395 //
     /*  660571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660617 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  660620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660639 */     GIR_RootConstrainSelectedInstOperands,
     /*  660640 */     // GIR_Coverage, 7395,
     /*  660640 */     GIR_EraseRootFromParent_Done,
     /*  660641 */   // Label 10536: @660641
     /*  660641 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660716), // Rule ID 7398 //
     /*  660646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660692 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  660695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660714 */     GIR_RootConstrainSelectedInstOperands,
     /*  660715 */     // GIR_Coverage, 7398,
     /*  660715 */     GIR_EraseRootFromParent_Done,
     /*  660716 */   // Label 10537: @660716
     /*  660716 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(660791), // Rule ID 7399 //
     /*  660721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660767 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  660770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660789 */     GIR_RootConstrainSelectedInstOperands,
     /*  660790 */     // GIR_Coverage, 7399,
     /*  660790 */     GIR_EraseRootFromParent_Done,
     /*  660791 */   // Label 10538: @660791
     /*  660791 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(660866), // Rule ID 7402 //
     /*  660796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  660845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660864 */     GIR_RootConstrainSelectedInstOperands,
     /*  660865 */     // GIR_Coverage, 7402,
     /*  660865 */     GIR_EraseRootFromParent_Done,
     /*  660866 */   // Label 10539: @660866
     /*  660866 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(660941), // Rule ID 7403 //
     /*  660871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660917 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  660920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660939 */     GIR_RootConstrainSelectedInstOperands,
     /*  660940 */     // GIR_Coverage, 7403,
     /*  660940 */     GIR_EraseRootFromParent_Done,
     /*  660941 */   // Label 10540: @660941
     /*  660941 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(661016), // Rule ID 7406 //
     /*  660946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  660957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  660960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  660963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  660995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661014 */     GIR_RootConstrainSelectedInstOperands,
     /*  661015 */     // GIR_Coverage, 7406,
     /*  661015 */     GIR_EraseRootFromParent_Done,
     /*  661016 */   // Label 10541: @661016
     /*  661016 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(661091), // Rule ID 7407 //
     /*  661021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661089 */     GIR_RootConstrainSelectedInstOperands,
     /*  661090 */     // GIR_Coverage, 7407,
     /*  661090 */     GIR_EraseRootFromParent_Done,
     /*  661091 */   // Label 10542: @661091
     /*  661091 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(661166), // Rule ID 7410 //
     /*  661096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661164 */     GIR_RootConstrainSelectedInstOperands,
     /*  661165 */     // GIR_Coverage, 7410,
     /*  661165 */     GIR_EraseRootFromParent_Done,
     /*  661166 */   // Label 10543: @661166
     /*  661166 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(661241), // Rule ID 7411 //
     /*  661171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661239 */     GIR_RootConstrainSelectedInstOperands,
     /*  661240 */     // GIR_Coverage, 7411,
     /*  661240 */     GIR_EraseRootFromParent_Done,
     /*  661241 */   // Label 10544: @661241
     /*  661241 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(661316), // Rule ID 7414 //
     /*  661246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661292 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  661295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661314 */     GIR_RootConstrainSelectedInstOperands,
     /*  661315 */     // GIR_Coverage, 7414,
     /*  661315 */     GIR_EraseRootFromParent_Done,
     /*  661316 */   // Label 10545: @661316
     /*  661316 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(661391), // Rule ID 7415 //
     /*  661321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  661370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661389 */     GIR_RootConstrainSelectedInstOperands,
     /*  661390 */     // GIR_Coverage, 7415,
     /*  661390 */     GIR_EraseRootFromParent_Done,
     /*  661391 */   // Label 10546: @661391
     /*  661391 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(661466), // Rule ID 7418 //
     /*  661396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  661445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661464 */     GIR_RootConstrainSelectedInstOperands,
     /*  661465 */     // GIR_Coverage, 7418,
     /*  661465 */     GIR_EraseRootFromParent_Done,
     /*  661466 */   // Label 10547: @661466
     /*  661466 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661541), // Rule ID 7419 //
     /*  661471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  661520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661539 */     GIR_RootConstrainSelectedInstOperands,
     /*  661540 */     // GIR_Coverage, 7419,
     /*  661540 */     GIR_EraseRootFromParent_Done,
     /*  661541 */   // Label 10548: @661541
     /*  661541 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661616), // Rule ID 7422 //
     /*  661546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661614 */     GIR_RootConstrainSelectedInstOperands,
     /*  661615 */     // GIR_Coverage, 7422,
     /*  661615 */     GIR_EraseRootFromParent_Done,
     /*  661616 */   // Label 10549: @661616
     /*  661616 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661691), // Rule ID 7423 //
     /*  661621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  661632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  661635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661689 */     GIR_RootConstrainSelectedInstOperands,
     /*  661690 */     // GIR_Coverage, 7423,
     /*  661690 */     GIR_EraseRootFromParent_Done,
     /*  661691 */   // Label 10550: @661691
     /*  661691 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(661766), // Rule ID 7426 //
     /*  661696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661764 */     GIR_RootConstrainSelectedInstOperands,
     /*  661765 */     // GIR_Coverage, 7426,
     /*  661765 */     GIR_EraseRootFromParent_Done,
     /*  661766 */   // Label 10551: @661766
     /*  661766 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(661841), // Rule ID 7427 //
     /*  661771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661839 */     GIR_RootConstrainSelectedInstOperands,
     /*  661840 */     // GIR_Coverage, 7427,
     /*  661840 */     GIR_EraseRootFromParent_Done,
     /*  661841 */   // Label 10552: @661841
     /*  661841 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(661916), // Rule ID 7430 //
     /*  661846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  661857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  661860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661914 */     GIR_RootConstrainSelectedInstOperands,
     /*  661915 */     // GIR_Coverage, 7430,
     /*  661915 */     GIR_EraseRootFromParent_Done,
     /*  661916 */   // Label 10553: @661916
     /*  661916 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(661991), // Rule ID 7431 //
     /*  661921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  661932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  661935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661989 */     GIR_RootConstrainSelectedInstOperands,
     /*  661990 */     // GIR_Coverage, 7431,
     /*  661990 */     GIR_EraseRootFromParent_Done,
     /*  661991 */   // Label 10554: @661991
     /*  661991 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(662066), // Rule ID 7434 //
     /*  661996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662064 */     GIR_RootConstrainSelectedInstOperands,
     /*  662065 */     // GIR_Coverage, 7434,
     /*  662065 */     GIR_EraseRootFromParent_Done,
     /*  662066 */   // Label 10555: @662066
     /*  662066 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(662141), // Rule ID 7435 //
     /*  662071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662117 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662139 */     GIR_RootConstrainSelectedInstOperands,
     /*  662140 */     // GIR_Coverage, 7435,
     /*  662140 */     GIR_EraseRootFromParent_Done,
     /*  662141 */   // Label 10556: @662141
     /*  662141 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(662216), // Rule ID 7438 //
     /*  662146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662214 */     GIR_RootConstrainSelectedInstOperands,
     /*  662215 */     // GIR_Coverage, 7438,
     /*  662215 */     GIR_EraseRootFromParent_Done,
     /*  662216 */   // Label 10557: @662216
     /*  662216 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(662291), // Rule ID 7439 //
     /*  662221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662289 */     GIR_RootConstrainSelectedInstOperands,
     /*  662290 */     // GIR_Coverage, 7439,
     /*  662290 */     GIR_EraseRootFromParent_Done,
     /*  662291 */   // Label 10558: @662291
     /*  662291 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(662366), // Rule ID 7442 //
     /*  662296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  662345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662364 */     GIR_RootConstrainSelectedInstOperands,
     /*  662365 */     // GIR_Coverage, 7442,
     /*  662365 */     GIR_EraseRootFromParent_Done,
     /*  662366 */   // Label 10559: @662366
     /*  662366 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(662441), // Rule ID 7443 //
     /*  662371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  662420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662439 */     GIR_RootConstrainSelectedInstOperands,
     /*  662440 */     // GIR_Coverage, 7443,
     /*  662440 */     GIR_EraseRootFromParent_Done,
     /*  662441 */   // Label 10560: @662441
     /*  662441 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662516), // Rule ID 7446 //
     /*  662446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662514 */     GIR_RootConstrainSelectedInstOperands,
     /*  662515 */     // GIR_Coverage, 7446,
     /*  662515 */     GIR_EraseRootFromParent_Done,
     /*  662516 */   // Label 10561: @662516
     /*  662516 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662591), // Rule ID 7447 //
     /*  662521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  662538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662589 */     GIR_RootConstrainSelectedInstOperands,
     /*  662590 */     // GIR_Coverage, 7447,
     /*  662590 */     GIR_EraseRootFromParent_Done,
     /*  662591 */   // Label 10562: @662591
     /*  662591 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662666), // Rule ID 7450 //
     /*  662596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662664 */     GIR_RootConstrainSelectedInstOperands,
     /*  662665 */     // GIR_Coverage, 7450,
     /*  662665 */     GIR_EraseRootFromParent_Done,
     /*  662666 */   // Label 10563: @662666
     /*  662666 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(662741), // Rule ID 7451 //
     /*  662671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  662688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662739 */     GIR_RootConstrainSelectedInstOperands,
     /*  662740 */     // GIR_Coverage, 7451,
     /*  662740 */     GIR_EraseRootFromParent_Done,
     /*  662741 */   // Label 10564: @662741
     /*  662741 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(662816), // Rule ID 7514 //
     /*  662746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  662763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  662795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662814 */     GIR_RootConstrainSelectedInstOperands,
     /*  662815 */     // GIR_Coverage, 7514,
     /*  662815 */     GIR_EraseRootFromParent_Done,
     /*  662816 */   // Label 10565: @662816
     /*  662816 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(662891), // Rule ID 7515 //
     /*  662821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  662838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  662870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662889 */     GIR_RootConstrainSelectedInstOperands,
     /*  662890 */     // GIR_Coverage, 7515,
     /*  662890 */     GIR_EraseRootFromParent_Done,
     /*  662891 */   // Label 10566: @662891
     /*  662891 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(662966), // Rule ID 7518 //
     /*  662896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  662913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  662945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662964 */     GIR_RootConstrainSelectedInstOperands,
     /*  662965 */     // GIR_Coverage, 7518,
     /*  662965 */     GIR_EraseRootFromParent_Done,
     /*  662966 */   // Label 10567: @662966
     /*  662966 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(663041), // Rule ID 7519 //
     /*  662971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  662979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  662988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663017 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663039 */     GIR_RootConstrainSelectedInstOperands,
     /*  663040 */     // GIR_Coverage, 7519,
     /*  663040 */     GIR_EraseRootFromParent_Done,
     /*  663041 */   // Label 10568: @663041
     /*  663041 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(663116), // Rule ID 7522 //
     /*  663046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663114 */     GIR_RootConstrainSelectedInstOperands,
     /*  663115 */     // GIR_Coverage, 7522,
     /*  663115 */     GIR_EraseRootFromParent_Done,
     /*  663116 */   // Label 10569: @663116
     /*  663116 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(663191), // Rule ID 7523 //
     /*  663121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663167 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663189 */     GIR_RootConstrainSelectedInstOperands,
     /*  663190 */     // GIR_Coverage, 7523,
     /*  663190 */     GIR_EraseRootFromParent_Done,
     /*  663191 */   // Label 10570: @663191
     /*  663191 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(663266), // Rule ID 7526 //
     /*  663196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  663245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663264 */     GIR_RootConstrainSelectedInstOperands,
     /*  663265 */     // GIR_Coverage, 7526,
     /*  663265 */     GIR_EraseRootFromParent_Done,
     /*  663266 */   // Label 10571: @663266
     /*  663266 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(663341), // Rule ID 7527 //
     /*  663271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  663320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663339 */     GIR_RootConstrainSelectedInstOperands,
     /*  663340 */     // GIR_Coverage, 7527,
     /*  663340 */     GIR_EraseRootFromParent_Done,
     /*  663341 */   // Label 10572: @663341
     /*  663341 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(663416), // Rule ID 7530 //
     /*  663346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  663357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  663360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  663363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  663395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663414 */     GIR_RootConstrainSelectedInstOperands,
     /*  663415 */     // GIR_Coverage, 7530,
     /*  663415 */     GIR_EraseRootFromParent_Done,
     /*  663416 */   // Label 10573: @663416
     /*  663416 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663491), // Rule ID 7531 //
     /*  663421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  663432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  663435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  663438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  663470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663489 */     GIR_RootConstrainSelectedInstOperands,
     /*  663490 */     // GIR_Coverage, 7531,
     /*  663490 */     GIR_EraseRootFromParent_Done,
     /*  663491 */   // Label 10574: @663491
     /*  663491 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663566), // Rule ID 7534 //
     /*  663496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  663513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  663545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663564 */     GIR_RootConstrainSelectedInstOperands,
     /*  663565 */     // GIR_Coverage, 7534,
     /*  663565 */     GIR_EraseRootFromParent_Done,
     /*  663566 */   // Label 10575: @663566
     /*  663566 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663641), // Rule ID 7535 //
     /*  663571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  663588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663617 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  663620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663639 */     GIR_RootConstrainSelectedInstOperands,
     /*  663640 */     // GIR_Coverage, 7535,
     /*  663640 */     GIR_EraseRootFromParent_Done,
     /*  663641 */   // Label 10576: @663641
     /*  663641 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663716), // Rule ID 7538 //
     /*  663646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663714 */     GIR_RootConstrainSelectedInstOperands,
     /*  663715 */     // GIR_Coverage, 7538,
     /*  663715 */     GIR_EraseRootFromParent_Done,
     /*  663716 */   // Label 10577: @663716
     /*  663716 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(663791), // Rule ID 7539 //
     /*  663721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  663738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663789 */     GIR_RootConstrainSelectedInstOperands,
     /*  663790 */     // GIR_Coverage, 7539,
     /*  663790 */     GIR_EraseRootFromParent_Done,
     /*  663791 */   // Label 10578: @663791
     /*  663791 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(663866), // Rule ID 7542 //
     /*  663796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663842 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663864 */     GIR_RootConstrainSelectedInstOperands,
     /*  663865 */     // GIR_Coverage, 7542,
     /*  663865 */     GIR_EraseRootFromParent_Done,
     /*  663866 */   // Label 10579: @663866
     /*  663866 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(663941), // Rule ID 7543 //
     /*  663871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663939 */     GIR_RootConstrainSelectedInstOperands,
     /*  663940 */     // GIR_Coverage, 7543,
     /*  663940 */     GIR_EraseRootFromParent_Done,
     /*  663941 */   // Label 10580: @663941
     /*  663941 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(664016), // Rule ID 7546 //
     /*  663946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  663963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  663995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664014 */     GIR_RootConstrainSelectedInstOperands,
     /*  664015 */     // GIR_Coverage, 7546,
     /*  664015 */     GIR_EraseRootFromParent_Done,
     /*  664016 */   // Label 10581: @664016
     /*  664016 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(664091), // Rule ID 7547 //
     /*  664021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664089 */     GIR_RootConstrainSelectedInstOperands,
     /*  664090 */     // GIR_Coverage, 7547,
     /*  664090 */     GIR_EraseRootFromParent_Done,
     /*  664091 */   // Label 10582: @664091
     /*  664091 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(664166), // Rule ID 7550 //
     /*  664096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664164 */     GIR_RootConstrainSelectedInstOperands,
     /*  664165 */     // GIR_Coverage, 7550,
     /*  664165 */     GIR_EraseRootFromParent_Done,
     /*  664166 */   // Label 10583: @664166
     /*  664166 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(664241), // Rule ID 7551 //
     /*  664171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664239 */     GIR_RootConstrainSelectedInstOperands,
     /*  664240 */     // GIR_Coverage, 7551,
     /*  664240 */     GIR_EraseRootFromParent_Done,
     /*  664241 */   // Label 10584: @664241
     /*  664241 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(664316), // Rule ID 7554 //
     /*  664246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664314 */     GIR_RootConstrainSelectedInstOperands,
     /*  664315 */     // GIR_Coverage, 7554,
     /*  664315 */     GIR_EraseRootFromParent_Done,
     /*  664316 */   // Label 10585: @664316
     /*  664316 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(664391), // Rule ID 7555 //
     /*  664321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664389 */     GIR_RootConstrainSelectedInstOperands,
     /*  664390 */     // GIR_Coverage, 7555,
     /*  664390 */     GIR_EraseRootFromParent_Done,
     /*  664391 */   // Label 10586: @664391
     /*  664391 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(664466), // Rule ID 7558 //
     /*  664396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664464 */     GIR_RootConstrainSelectedInstOperands,
     /*  664465 */     // GIR_Coverage, 7558,
     /*  664465 */     GIR_EraseRootFromParent_Done,
     /*  664466 */   // Label 10587: @664466
     /*  664466 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664541), // Rule ID 7559 //
     /*  664471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664539 */     GIR_RootConstrainSelectedInstOperands,
     /*  664540 */     // GIR_Coverage, 7559,
     /*  664540 */     GIR_EraseRootFromParent_Done,
     /*  664541 */   // Label 10588: @664541
     /*  664541 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664616), // Rule ID 7562 //
     /*  664546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664614 */     GIR_RootConstrainSelectedInstOperands,
     /*  664615 */     // GIR_Coverage, 7562,
     /*  664615 */     GIR_EraseRootFromParent_Done,
     /*  664616 */   // Label 10589: @664616
     /*  664616 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664691), // Rule ID 7563 //
     /*  664621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664689 */     GIR_RootConstrainSelectedInstOperands,
     /*  664690 */     // GIR_Coverage, 7563,
     /*  664690 */     GIR_EraseRootFromParent_Done,
     /*  664691 */   // Label 10590: @664691
     /*  664691 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(664766), // Rule ID 7566 //
     /*  664696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  664707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  664710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  664713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664764 */     GIR_RootConstrainSelectedInstOperands,
     /*  664765 */     // GIR_Coverage, 7566,
     /*  664765 */     GIR_EraseRootFromParent_Done,
     /*  664766 */   // Label 10591: @664766
     /*  664766 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(664841), // Rule ID 7567 //
     /*  664771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  664782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  664785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  664788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664839 */     GIR_RootConstrainSelectedInstOperands,
     /*  664840 */     // GIR_Coverage, 7567,
     /*  664840 */     GIR_EraseRootFromParent_Done,
     /*  664841 */   // Label 10592: @664841
     /*  664841 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(664916), // Rule ID 7570 //
     /*  664846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  664863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664914 */     GIR_RootConstrainSelectedInstOperands,
     /*  664915 */     // GIR_Coverage, 7570,
     /*  664915 */     GIR_EraseRootFromParent_Done,
     /*  664916 */   // Label 10593: @664916
     /*  664916 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(664991), // Rule ID 7571 //
     /*  664921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  664938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664989 */     GIR_RootConstrainSelectedInstOperands,
     /*  664990 */     // GIR_Coverage, 7571,
     /*  664990 */     GIR_EraseRootFromParent_Done,
     /*  664991 */   // Label 10594: @664991
     /*  664991 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(665066), // Rule ID 7574 //
     /*  664996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665042 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  665045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665064 */     GIR_RootConstrainSelectedInstOperands,
     /*  665065 */     // GIR_Coverage, 7574,
     /*  665065 */     GIR_EraseRootFromParent_Done,
     /*  665066 */   // Label 10595: @665066
     /*  665066 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(665141), // Rule ID 7575 //
     /*  665071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  665120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665139 */     GIR_RootConstrainSelectedInstOperands,
     /*  665140 */     // GIR_Coverage, 7575,
     /*  665140 */     GIR_EraseRootFromParent_Done,
     /*  665141 */   // Label 10596: @665141
     /*  665141 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(665216), // Rule ID 7578 //
     /*  665146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  665195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665214 */     GIR_RootConstrainSelectedInstOperands,
     /*  665215 */     // GIR_Coverage, 7578,
     /*  665215 */     GIR_EraseRootFromParent_Done,
     /*  665216 */   // Label 10597: @665216
     /*  665216 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(665291), // Rule ID 7579 //
     /*  665221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  665270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665289 */     GIR_RootConstrainSelectedInstOperands,
     /*  665290 */     // GIR_Coverage, 7579,
     /*  665290 */     GIR_EraseRootFromParent_Done,
     /*  665291 */   // Label 10598: @665291
     /*  665291 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(665366), // Rule ID 7582 //
     /*  665296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  665313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  665345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665364 */     GIR_RootConstrainSelectedInstOperands,
     /*  665365 */     // GIR_Coverage, 7582,
     /*  665365 */     GIR_EraseRootFromParent_Done,
     /*  665366 */   // Label 10599: @665366
     /*  665366 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(665441), // Rule ID 7583 //
     /*  665371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  665388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  665420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665439 */     GIR_RootConstrainSelectedInstOperands,
     /*  665440 */     // GIR_Coverage, 7583,
     /*  665440 */     GIR_EraseRootFromParent_Done,
     /*  665441 */   // Label 10600: @665441
     /*  665441 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665516), // Rule ID 7586 //
     /*  665446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  665457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  665460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  665495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665514 */     GIR_RootConstrainSelectedInstOperands,
     /*  665515 */     // GIR_Coverage, 7586,
     /*  665515 */     GIR_EraseRootFromParent_Done,
     /*  665516 */   // Label 10601: @665516
     /*  665516 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665591), // Rule ID 7587 //
     /*  665521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  665532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  665535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665567 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  665570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665589 */     GIR_RootConstrainSelectedInstOperands,
     /*  665590 */     // GIR_Coverage, 7587,
     /*  665590 */     GIR_EraseRootFromParent_Done,
     /*  665591 */   // Label 10602: @665591
     /*  665591 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665666), // Rule ID 7590 //
     /*  665596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  665607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  665610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665642 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  665645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665664 */     GIR_RootConstrainSelectedInstOperands,
     /*  665665 */     // GIR_Coverage, 7590,
     /*  665665 */     GIR_EraseRootFromParent_Done,
     /*  665666 */   // Label 10603: @665666
     /*  665666 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(665741), // Rule ID 7591 //
     /*  665671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  665682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  665685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  665720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665739 */     GIR_RootConstrainSelectedInstOperands,
     /*  665740 */     // GIR_Coverage, 7591,
     /*  665740 */     GIR_EraseRootFromParent_Done,
     /*  665741 */   // Label 10604: @665741
     /*  665741 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(665816), // Rule ID 7594 //
     /*  665746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  665757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  665760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  665795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665814 */     GIR_RootConstrainSelectedInstOperands,
     /*  665815 */     // GIR_Coverage, 7594,
     /*  665815 */     GIR_EraseRootFromParent_Done,
     /*  665816 */   // Label 10605: @665816
     /*  665816 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(665891), // Rule ID 7595 //
     /*  665821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  665832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  665835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665867 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  665870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665889 */     GIR_RootConstrainSelectedInstOperands,
     /*  665890 */     // GIR_Coverage, 7595,
     /*  665890 */     GIR_EraseRootFromParent_Done,
     /*  665891 */   // Label 10606: @665891
     /*  665891 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(665966), // Rule ID 7598 //
     /*  665896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  665907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  665910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  665913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  665945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665964 */     GIR_RootConstrainSelectedInstOperands,
     /*  665965 */     // GIR_Coverage, 7598,
     /*  665965 */     GIR_EraseRootFromParent_Done,
     /*  665966 */   // Label 10607: @665966
     /*  665966 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(666041), // Rule ID 7599 //
     /*  665971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  665982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  665985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  665988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  666020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666039 */     GIR_RootConstrainSelectedInstOperands,
     /*  666040 */     // GIR_Coverage, 7599,
     /*  666040 */     GIR_EraseRootFromParent_Done,
     /*  666041 */   // Label 10608: @666041
     /*  666041 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(666116), // Rule ID 7602 //
     /*  666046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666114 */     GIR_RootConstrainSelectedInstOperands,
     /*  666115 */     // GIR_Coverage, 7602,
     /*  666115 */     GIR_EraseRootFromParent_Done,
     /*  666116 */   // Label 10609: @666116
     /*  666116 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(666191), // Rule ID 7603 //
     /*  666121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666167 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666189 */     GIR_RootConstrainSelectedInstOperands,
     /*  666190 */     // GIR_Coverage, 7603,
     /*  666190 */     GIR_EraseRootFromParent_Done,
     /*  666191 */   // Label 10610: @666191
     /*  666191 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(666266), // Rule ID 7606 //
     /*  666196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666264 */     GIR_RootConstrainSelectedInstOperands,
     /*  666265 */     // GIR_Coverage, 7606,
     /*  666265 */     GIR_EraseRootFromParent_Done,
     /*  666266 */   // Label 10611: @666266
     /*  666266 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(666341), // Rule ID 7607 //
     /*  666271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666339 */     GIR_RootConstrainSelectedInstOperands,
     /*  666340 */     // GIR_Coverage, 7607,
     /*  666340 */     GIR_EraseRootFromParent_Done,
     /*  666341 */   // Label 10612: @666341
     /*  666341 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(666416), // Rule ID 7610 //
     /*  666346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  666357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  666360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  666363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  666395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666414 */     GIR_RootConstrainSelectedInstOperands,
     /*  666415 */     // GIR_Coverage, 7610,
     /*  666415 */     GIR_EraseRootFromParent_Done,
     /*  666416 */   // Label 10613: @666416
     /*  666416 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666491), // Rule ID 7611 //
     /*  666421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  666432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  666435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  666438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  666470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666489 */     GIR_RootConstrainSelectedInstOperands,
     /*  666490 */     // GIR_Coverage, 7611,
     /*  666490 */     GIR_EraseRootFromParent_Done,
     /*  666491 */   // Label 10614: @666491
     /*  666491 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666566), // Rule ID 7614 //
     /*  666496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  666507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  666510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  666545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666564 */     GIR_RootConstrainSelectedInstOperands,
     /*  666565 */     // GIR_Coverage, 7614,
     /*  666565 */     GIR_EraseRootFromParent_Done,
     /*  666566 */   // Label 10615: @666566
     /*  666566 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666641), // Rule ID 7615 //
     /*  666571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  666582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  666585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  666620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666639 */     GIR_RootConstrainSelectedInstOperands,
     /*  666640 */     // GIR_Coverage, 7615,
     /*  666640 */     GIR_EraseRootFromParent_Done,
     /*  666641 */   // Label 10616: @666641
     /*  666641 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666716), // Rule ID 7618 //
     /*  666646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  666649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666714 */     GIR_RootConstrainSelectedInstOperands,
     /*  666715 */     // GIR_Coverage, 7618,
     /*  666715 */     GIR_EraseRootFromParent_Done,
     /*  666716 */   // Label 10617: @666716
     /*  666716 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(666791), // Rule ID 7619 //
     /*  666721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  666724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666789 */     GIR_RootConstrainSelectedInstOperands,
     /*  666790 */     // GIR_Coverage, 7619,
     /*  666790 */     GIR_EraseRootFromParent_Done,
     /*  666791 */   // Label 10618: @666791
     /*  666791 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(666866), // Rule ID 7622 //
     /*  666796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  666799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  666807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  666810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666864 */     GIR_RootConstrainSelectedInstOperands,
     /*  666865 */     // GIR_Coverage, 7622,
     /*  666865 */     GIR_EraseRootFromParent_Done,
     /*  666866 */   // Label 10619: @666866
     /*  666866 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(666941), // Rule ID 7623 //
     /*  666871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  666874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  666882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  666885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666939 */     GIR_RootConstrainSelectedInstOperands,
     /*  666940 */     // GIR_Coverage, 7623,
     /*  666940 */     GIR_EraseRootFromParent_Done,
     /*  666941 */   // Label 10620: @666941
     /*  666941 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(667016), // Rule ID 7626 //
     /*  666946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  666949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  666957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  666960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  666995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667014 */     GIR_RootConstrainSelectedInstOperands,
     /*  667015 */     // GIR_Coverage, 7626,
     /*  667015 */     GIR_EraseRootFromParent_Done,
     /*  667016 */   // Label 10621: @667016
     /*  667016 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(667091), // Rule ID 7627 //
     /*  667021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  667038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  667070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667089 */     GIR_RootConstrainSelectedInstOperands,
     /*  667090 */     // GIR_Coverage, 7627,
     /*  667090 */     GIR_EraseRootFromParent_Done,
     /*  667091 */   // Label 10622: @667091
     /*  667091 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(667166), // Rule ID 7630 //
     /*  667096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  667113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667164 */     GIR_RootConstrainSelectedInstOperands,
     /*  667165 */     // GIR_Coverage, 7630,
     /*  667165 */     GIR_EraseRootFromParent_Done,
     /*  667166 */   // Label 10623: @667166
     /*  667166 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(667241), // Rule ID 7631 //
     /*  667171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  667188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667239 */     GIR_RootConstrainSelectedInstOperands,
     /*  667240 */     // GIR_Coverage, 7631,
     /*  667240 */     GIR_EraseRootFromParent_Done,
     /*  667241 */   // Label 10624: @667241
     /*  667241 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(667316), // Rule ID 10146 //
     /*  667246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  667266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  667295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667314 */     GIR_RootConstrainSelectedInstOperands,
     /*  667315 */     // GIR_Coverage, 10146,
     /*  667315 */     GIR_EraseRootFromParent_Done,
     /*  667316 */   // Label 10625: @667316
     /*  667316 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(667391), // Rule ID 10147 //
     /*  667321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  667341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  667370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667389 */     GIR_RootConstrainSelectedInstOperands,
     /*  667390 */     // GIR_Coverage, 10147,
     /*  667390 */     GIR_EraseRootFromParent_Done,
     /*  667391 */   // Label 10626: @667391
     /*  667391 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(667466), // Rule ID 10150 //
     /*  667396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  667416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667442 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  667445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667464 */     GIR_RootConstrainSelectedInstOperands,
     /*  667465 */     // GIR_Coverage, 10150,
     /*  667465 */     GIR_EraseRootFromParent_Done,
     /*  667466 */   // Label 10627: @667466
     /*  667466 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667541), // Rule ID 10151 //
     /*  667471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  667491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  667520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667539 */     GIR_RootConstrainSelectedInstOperands,
     /*  667540 */     // GIR_Coverage, 10151,
     /*  667540 */     GIR_EraseRootFromParent_Done,
     /*  667541 */   // Label 10628: @667541
     /*  667541 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667616), // Rule ID 10154 //
     /*  667546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  667566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  667595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667614 */     GIR_RootConstrainSelectedInstOperands,
     /*  667615 */     // GIR_Coverage, 10154,
     /*  667615 */     GIR_EraseRootFromParent_Done,
     /*  667616 */   // Label 10629: @667616
     /*  667616 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667691), // Rule ID 10155 //
     /*  667621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  667641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  667670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667689 */     GIR_RootConstrainSelectedInstOperands,
     /*  667690 */     // GIR_Coverage, 10155,
     /*  667690 */     GIR_EraseRootFromParent_Done,
     /*  667691 */   // Label 10630: @667691
     /*  667691 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(667766), // Rule ID 10158 //
     /*  667696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  667716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  667745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667764 */     GIR_RootConstrainSelectedInstOperands,
     /*  667765 */     // GIR_Coverage, 10158,
     /*  667765 */     GIR_EraseRootFromParent_Done,
     /*  667766 */   // Label 10631: @667766
     /*  667766 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(667841), // Rule ID 10159 //
     /*  667771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  667791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  667820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667839 */     GIR_RootConstrainSelectedInstOperands,
     /*  667840 */     // GIR_Coverage, 10159,
     /*  667840 */     GIR_EraseRootFromParent_Done,
     /*  667841 */   // Label 10632: @667841
     /*  667841 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(667916), // Rule ID 10162 //
     /*  667846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  667866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  667895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667914 */     GIR_RootConstrainSelectedInstOperands,
     /*  667915 */     // GIR_Coverage, 10162,
     /*  667915 */     GIR_EraseRootFromParent_Done,
     /*  667916 */   // Label 10633: @667916
     /*  667916 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(667991), // Rule ID 10163 //
     /*  667921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  667941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  667970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667989 */     GIR_RootConstrainSelectedInstOperands,
     /*  667990 */     // GIR_Coverage, 10163,
     /*  667990 */     GIR_EraseRootFromParent_Done,
     /*  667991 */   // Label 10634: @667991
     /*  667991 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(668066), // Rule ID 10166 //
     /*  667996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668064 */     GIR_RootConstrainSelectedInstOperands,
     /*  668065 */     // GIR_Coverage, 10166,
     /*  668065 */     GIR_EraseRootFromParent_Done,
     /*  668066 */   // Label 10635: @668066
     /*  668066 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(668141), // Rule ID 10167 //
     /*  668071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668139 */     GIR_RootConstrainSelectedInstOperands,
     /*  668140 */     // GIR_Coverage, 10167,
     /*  668140 */     GIR_EraseRootFromParent_Done,
     /*  668141 */   // Label 10636: @668141
     /*  668141 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(668216), // Rule ID 10170 //
     /*  668146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668214 */     GIR_RootConstrainSelectedInstOperands,
     /*  668215 */     // GIR_Coverage, 10170,
     /*  668215 */     GIR_EraseRootFromParent_Done,
     /*  668216 */   // Label 10637: @668216
     /*  668216 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(668291), // Rule ID 10171 //
     /*  668221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668289 */     GIR_RootConstrainSelectedInstOperands,
     /*  668290 */     // GIR_Coverage, 10171,
     /*  668290 */     GIR_EraseRootFromParent_Done,
     /*  668291 */   // Label 10638: @668291
     /*  668291 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(668366), // Rule ID 10174 //
     /*  668296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  668316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668364 */     GIR_RootConstrainSelectedInstOperands,
     /*  668365 */     // GIR_Coverage, 10174,
     /*  668365 */     GIR_EraseRootFromParent_Done,
     /*  668366 */   // Label 10639: @668366
     /*  668366 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(668441), // Rule ID 10175 //
     /*  668371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  668391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668439 */     GIR_RootConstrainSelectedInstOperands,
     /*  668440 */     // GIR_Coverage, 10175,
     /*  668440 */     GIR_EraseRootFromParent_Done,
     /*  668441 */   // Label 10640: @668441
     /*  668441 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668516), // Rule ID 10178 //
     /*  668446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  668466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668514 */     GIR_RootConstrainSelectedInstOperands,
     /*  668515 */     // GIR_Coverage, 10178,
     /*  668515 */     GIR_EraseRootFromParent_Done,
     /*  668516 */   // Label 10641: @668516
     /*  668516 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668591), // Rule ID 10179 //
     /*  668521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  668541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668589 */     GIR_RootConstrainSelectedInstOperands,
     /*  668590 */     // GIR_Coverage, 10179,
     /*  668590 */     GIR_EraseRootFromParent_Done,
     /*  668591 */   // Label 10642: @668591
     /*  668591 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668666), // Rule ID 10182 //
     /*  668596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  668616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668664 */     GIR_RootConstrainSelectedInstOperands,
     /*  668665 */     // GIR_Coverage, 10182,
     /*  668665 */     GIR_EraseRootFromParent_Done,
     /*  668666 */   // Label 10643: @668666
     /*  668666 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(668741), // Rule ID 10183 //
     /*  668671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  668691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668739 */     GIR_RootConstrainSelectedInstOperands,
     /*  668740 */     // GIR_Coverage, 10183,
     /*  668740 */     GIR_EraseRootFromParent_Done,
     /*  668741 */   // Label 10644: @668741
     /*  668741 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(668816), // Rule ID 10186 //
     /*  668746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  668766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  668795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668814 */     GIR_RootConstrainSelectedInstOperands,
     /*  668815 */     // GIR_Coverage, 10186,
     /*  668815 */     GIR_EraseRootFromParent_Done,
     /*  668816 */   // Label 10645: @668816
     /*  668816 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(668891), // Rule ID 10187 //
     /*  668821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  668841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668867 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  668870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668889 */     GIR_RootConstrainSelectedInstOperands,
     /*  668890 */     // GIR_Coverage, 10187,
     /*  668890 */     GIR_EraseRootFromParent_Done,
     /*  668891 */   // Label 10646: @668891
     /*  668891 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(668966), // Rule ID 10190 //
     /*  668896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  668916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  668945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668964 */     GIR_RootConstrainSelectedInstOperands,
     /*  668965 */     // GIR_Coverage, 10190,
     /*  668965 */     GIR_EraseRootFromParent_Done,
     /*  668966 */   // Label 10647: @668966
     /*  668966 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(669041), // Rule ID 10191 //
     /*  668971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  668991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669017 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669039 */     GIR_RootConstrainSelectedInstOperands,
     /*  669040 */     // GIR_Coverage, 10191,
     /*  669040 */     GIR_EraseRootFromParent_Done,
     /*  669041 */   // Label 10648: @669041
     /*  669041 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(669116), // Rule ID 10194 //
     /*  669046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669114 */     GIR_RootConstrainSelectedInstOperands,
     /*  669115 */     // GIR_Coverage, 10194,
     /*  669115 */     GIR_EraseRootFromParent_Done,
     /*  669116 */   // Label 10649: @669116
     /*  669116 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(669191), // Rule ID 10195 //
     /*  669121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669167 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669189 */     GIR_RootConstrainSelectedInstOperands,
     /*  669190 */     // GIR_Coverage, 10195,
     /*  669190 */     GIR_EraseRootFromParent_Done,
     /*  669191 */   // Label 10650: @669191
     /*  669191 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(669266), // Rule ID 10198 //
     /*  669196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669264 */     GIR_RootConstrainSelectedInstOperands,
     /*  669265 */     // GIR_Coverage, 10198,
     /*  669265 */     GIR_EraseRootFromParent_Done,
     /*  669266 */   // Label 10651: @669266
     /*  669266 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(669341), // Rule ID 10199 //
     /*  669271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669339 */     GIR_RootConstrainSelectedInstOperands,
     /*  669340 */     // GIR_Coverage, 10199,
     /*  669340 */     GIR_EraseRootFromParent_Done,
     /*  669341 */   // Label 10652: @669341
     /*  669341 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(669416), // Rule ID 10202 //
     /*  669346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  669366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669414 */     GIR_RootConstrainSelectedInstOperands,
     /*  669415 */     // GIR_Coverage, 10202,
     /*  669415 */     GIR_EraseRootFromParent_Done,
     /*  669416 */   // Label 10653: @669416
     /*  669416 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669491), // Rule ID 10203 //
     /*  669421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  669441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669467 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669489 */     GIR_RootConstrainSelectedInstOperands,
     /*  669490 */     // GIR_Coverage, 10203,
     /*  669490 */     GIR_EraseRootFromParent_Done,
     /*  669491 */   // Label 10654: @669491
     /*  669491 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669566), // Rule ID 10206 //
     /*  669496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  669516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669564 */     GIR_RootConstrainSelectedInstOperands,
     /*  669565 */     // GIR_Coverage, 10206,
     /*  669565 */     GIR_EraseRootFromParent_Done,
     /*  669566 */   // Label 10655: @669566
     /*  669566 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669641), // Rule ID 10207 //
     /*  669571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  669591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669639 */     GIR_RootConstrainSelectedInstOperands,
     /*  669640 */     // GIR_Coverage, 10207,
     /*  669640 */     GIR_EraseRootFromParent_Done,
     /*  669641 */   // Label 10656: @669641
     /*  669641 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669716), // Rule ID 10210 //
     /*  669646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  669666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669714 */     GIR_RootConstrainSelectedInstOperands,
     /*  669715 */     // GIR_Coverage, 10210,
     /*  669715 */     GIR_EraseRootFromParent_Done,
     /*  669716 */   // Label 10657: @669716
     /*  669716 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(669791), // Rule ID 10211 //
     /*  669721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  669741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669789 */     GIR_RootConstrainSelectedInstOperands,
     /*  669790 */     // GIR_Coverage, 10211,
     /*  669790 */     GIR_EraseRootFromParent_Done,
     /*  669791 */   // Label 10658: @669791
     /*  669791 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(669866), // Rule ID 10214 //
     /*  669796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  669816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669864 */     GIR_RootConstrainSelectedInstOperands,
     /*  669865 */     // GIR_Coverage, 10214,
     /*  669865 */     GIR_EraseRootFromParent_Done,
     /*  669866 */   // Label 10659: @669866
     /*  669866 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(669941), // Rule ID 10215 //
     /*  669871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  669891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669939 */     GIR_RootConstrainSelectedInstOperands,
     /*  669940 */     // GIR_Coverage, 10215,
     /*  669940 */     GIR_EraseRootFromParent_Done,
     /*  669941 */   // Label 10660: @669941
     /*  669941 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(670016), // Rule ID 10218 //
     /*  669946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  669966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670014 */     GIR_RootConstrainSelectedInstOperands,
     /*  670015 */     // GIR_Coverage, 10218,
     /*  670015 */     GIR_EraseRootFromParent_Done,
     /*  670016 */   // Label 10661: @670016
     /*  670016 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(670091), // Rule ID 10219 //
     /*  670021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670089 */     GIR_RootConstrainSelectedInstOperands,
     /*  670090 */     // GIR_Coverage, 10219,
     /*  670090 */     GIR_EraseRootFromParent_Done,
     /*  670091 */   // Label 10662: @670091
     /*  670091 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(670166), // Rule ID 10222 //
     /*  670096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670164 */     GIR_RootConstrainSelectedInstOperands,
     /*  670165 */     // GIR_Coverage, 10222,
     /*  670165 */     GIR_EraseRootFromParent_Done,
     /*  670166 */   // Label 10663: @670166
     /*  670166 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(670241), // Rule ID 10223 //
     /*  670171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670239 */     GIR_RootConstrainSelectedInstOperands,
     /*  670240 */     // GIR_Coverage, 10223,
     /*  670240 */     GIR_EraseRootFromParent_Done,
     /*  670241 */   // Label 10664: @670241
     /*  670241 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(670316), // Rule ID 10226 //
     /*  670246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  670266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670314 */     GIR_RootConstrainSelectedInstOperands,
     /*  670315 */     // GIR_Coverage, 10226,
     /*  670315 */     GIR_EraseRootFromParent_Done,
     /*  670316 */   // Label 10665: @670316
     /*  670316 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670391), // Rule ID 10227 //
     /*  670321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  670341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670389 */     GIR_RootConstrainSelectedInstOperands,
     /*  670390 */     // GIR_Coverage, 10227,
     /*  670390 */     GIR_EraseRootFromParent_Done,
     /*  670391 */   // Label 10666: @670391
     /*  670391 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670466), // Rule ID 10230 //
     /*  670396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  670416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670464 */     GIR_RootConstrainSelectedInstOperands,
     /*  670465 */     // GIR_Coverage, 10230,
     /*  670465 */     GIR_EraseRootFromParent_Done,
     /*  670466 */   // Label 10667: @670466
     /*  670466 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670541), // Rule ID 10231 //
     /*  670471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  670491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670517 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670539 */     GIR_RootConstrainSelectedInstOperands,
     /*  670540 */     // GIR_Coverage, 10231,
     /*  670540 */     GIR_EraseRootFromParent_Done,
     /*  670541 */   // Label 10668: @670541
     /*  670541 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670616), // Rule ID 10234 //
     /*  670546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  670595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670614 */     GIR_RootConstrainSelectedInstOperands,
     /*  670615 */     // GIR_Coverage, 10234,
     /*  670615 */     GIR_EraseRootFromParent_Done,
     /*  670616 */   // Label 10669: @670616
     /*  670616 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670691), // Rule ID 10235 //
     /*  670621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  670670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670689 */     GIR_RootConstrainSelectedInstOperands,
     /*  670690 */     // GIR_Coverage, 10235,
     /*  670690 */     GIR_EraseRootFromParent_Done,
     /*  670691 */   // Label 10670: @670691
     /*  670691 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(670766), // Rule ID 10238 //
     /*  670696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670742 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  670745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670764 */     GIR_RootConstrainSelectedInstOperands,
     /*  670765 */     // GIR_Coverage, 10238,
     /*  670765 */     GIR_EraseRootFromParent_Done,
     /*  670766 */   // Label 10671: @670766
     /*  670766 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(670841), // Rule ID 10239 //
     /*  670771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670817 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  670820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670839 */     GIR_RootConstrainSelectedInstOperands,
     /*  670840 */     // GIR_Coverage, 10239,
     /*  670840 */     GIR_EraseRootFromParent_Done,
     /*  670841 */   // Label 10672: @670841
     /*  670841 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(670916), // Rule ID 10242 //
     /*  670846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  670895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670914 */     GIR_RootConstrainSelectedInstOperands,
     /*  670915 */     // GIR_Coverage, 10242,
     /*  670915 */     GIR_EraseRootFromParent_Done,
     /*  670916 */   // Label 10673: @670916
     /*  670916 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(670991), // Rule ID 10243 //
     /*  670921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  670970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670989 */     GIR_RootConstrainSelectedInstOperands,
     /*  670990 */     // GIR_Coverage, 10243,
     /*  670990 */     GIR_EraseRootFromParent_Done,
     /*  670991 */   // Label 10674: @670991
     /*  670991 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(671066), // Rule ID 10246 //
     /*  670996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671064 */     GIR_RootConstrainSelectedInstOperands,
     /*  671065 */     // GIR_Coverage, 10246,
     /*  671065 */     GIR_EraseRootFromParent_Done,
     /*  671066 */   // Label 10675: @671066
     /*  671066 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(671141), // Rule ID 10247 //
     /*  671071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671117 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671139 */     GIR_RootConstrainSelectedInstOperands,
     /*  671140 */     // GIR_Coverage, 10247,
     /*  671140 */     GIR_EraseRootFromParent_Done,
     /*  671141 */   // Label 10676: @671141
     /*  671141 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(671216), // Rule ID 10250 //
     /*  671146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671214 */     GIR_RootConstrainSelectedInstOperands,
     /*  671215 */     // GIR_Coverage, 10250,
     /*  671215 */     GIR_EraseRootFromParent_Done,
     /*  671216 */   // Label 10677: @671216
     /*  671216 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(671291), // Rule ID 10251 //
     /*  671221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671289 */     GIR_RootConstrainSelectedInstOperands,
     /*  671290 */     // GIR_Coverage, 10251,
     /*  671290 */     GIR_EraseRootFromParent_Done,
     /*  671291 */   // Label 10678: @671291
     /*  671291 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(671366), // Rule ID 10254 //
     /*  671296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671364 */     GIR_RootConstrainSelectedInstOperands,
     /*  671365 */     // GIR_Coverage, 10254,
     /*  671365 */     GIR_EraseRootFromParent_Done,
     /*  671366 */   // Label 10679: @671366
     /*  671366 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671441), // Rule ID 10255 //
     /*  671371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671439 */     GIR_RootConstrainSelectedInstOperands,
     /*  671440 */     // GIR_Coverage, 10255,
     /*  671440 */     GIR_EraseRootFromParent_Done,
     /*  671441 */   // Label 10680: @671441
     /*  671441 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671516), // Rule ID 10258 //
     /*  671446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671514 */     GIR_RootConstrainSelectedInstOperands,
     /*  671515 */     // GIR_Coverage, 10258,
     /*  671515 */     GIR_EraseRootFromParent_Done,
     /*  671516 */   // Label 10681: @671516
     /*  671516 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671591), // Rule ID 10259 //
     /*  671521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671567 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671589 */     GIR_RootConstrainSelectedInstOperands,
     /*  671590 */     // GIR_Coverage, 10259,
     /*  671590 */     GIR_EraseRootFromParent_Done,
     /*  671591 */   // Label 10682: @671591
     /*  671591 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671666), // Rule ID 10262 //
     /*  671596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671664 */     GIR_RootConstrainSelectedInstOperands,
     /*  671665 */     // GIR_Coverage, 10262,
     /*  671665 */     GIR_EraseRootFromParent_Done,
     /*  671666 */   // Label 10683: @671666
     /*  671666 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(671741), // Rule ID 10263 //
     /*  671671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671739 */     GIR_RootConstrainSelectedInstOperands,
     /*  671740 */     // GIR_Coverage, 10263,
     /*  671740 */     GIR_EraseRootFromParent_Done,
     /*  671741 */   // Label 10684: @671741
     /*  671741 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(671816), // Rule ID 10266 //
     /*  671746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671814 */     GIR_RootConstrainSelectedInstOperands,
     /*  671815 */     // GIR_Coverage, 10266,
     /*  671815 */     GIR_EraseRootFromParent_Done,
     /*  671816 */   // Label 10685: @671816
     /*  671816 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(671891), // Rule ID 10267 //
     /*  671821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671889 */     GIR_RootConstrainSelectedInstOperands,
     /*  671890 */     // GIR_Coverage, 10267,
     /*  671890 */     GIR_EraseRootFromParent_Done,
     /*  671891 */   // Label 10686: @671891
     /*  671891 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(671966), // Rule ID 10270 //
     /*  671896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  671945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671964 */     GIR_RootConstrainSelectedInstOperands,
     /*  671965 */     // GIR_Coverage, 10270,
     /*  671965 */     GIR_EraseRootFromParent_Done,
     /*  671966 */   // Label 10687: @671966
     /*  671966 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(672041), // Rule ID 10271 //
     /*  671971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672039 */     GIR_RootConstrainSelectedInstOperands,
     /*  672040 */     // GIR_Coverage, 10271,
     /*  672040 */     GIR_EraseRootFromParent_Done,
     /*  672041 */   // Label 10688: @672041
     /*  672041 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(672116), // Rule ID 10274 //
     /*  672046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672114 */     GIR_RootConstrainSelectedInstOperands,
     /*  672115 */     // GIR_Coverage, 10274,
     /*  672115 */     GIR_EraseRootFromParent_Done,
     /*  672116 */   // Label 10689: @672116
     /*  672116 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(672191), // Rule ID 10275 //
     /*  672121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672189 */     GIR_RootConstrainSelectedInstOperands,
     /*  672190 */     // GIR_Coverage, 10275,
     /*  672190 */     GIR_EraseRootFromParent_Done,
     /*  672191 */   // Label 10690: @672191
     /*  672191 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(672266), // Rule ID 10278 //
     /*  672196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672264 */     GIR_RootConstrainSelectedInstOperands,
     /*  672265 */     // GIR_Coverage, 10278,
     /*  672265 */     GIR_EraseRootFromParent_Done,
     /*  672266 */   // Label 10691: @672266
     /*  672266 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(672341), // Rule ID 10279 //
     /*  672271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672317 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672339 */     GIR_RootConstrainSelectedInstOperands,
     /*  672340 */     // GIR_Coverage, 10279,
     /*  672340 */     GIR_EraseRootFromParent_Done,
     /*  672341 */   // Label 10692: @672341
     /*  672341 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672416), // Rule ID 10282 //
     /*  672346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  672395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672414 */     GIR_RootConstrainSelectedInstOperands,
     /*  672415 */     // GIR_Coverage, 10282,
     /*  672415 */     GIR_EraseRootFromParent_Done,
     /*  672416 */   // Label 10693: @672416
     /*  672416 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672491), // Rule ID 10283 //
     /*  672421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672467 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  672470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672489 */     GIR_RootConstrainSelectedInstOperands,
     /*  672490 */     // GIR_Coverage, 10283,
     /*  672490 */     GIR_EraseRootFromParent_Done,
     /*  672491 */   // Label 10694: @672491
     /*  672491 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672566), // Rule ID 10286 //
     /*  672496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672564 */     GIR_RootConstrainSelectedInstOperands,
     /*  672565 */     // GIR_Coverage, 10286,
     /*  672565 */     GIR_EraseRootFromParent_Done,
     /*  672566 */   // Label 10695: @672566
     /*  672566 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672641), // Rule ID 10287 //
     /*  672571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672639 */     GIR_RootConstrainSelectedInstOperands,
     /*  672640 */     // GIR_Coverage, 10287,
     /*  672640 */     GIR_EraseRootFromParent_Done,
     /*  672641 */   // Label 10696: @672641
     /*  672641 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672716), // Rule ID 10290 //
     /*  672646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672714 */     GIR_RootConstrainSelectedInstOperands,
     /*  672715 */     // GIR_Coverage, 10290,
     /*  672715 */     GIR_EraseRootFromParent_Done,
     /*  672716 */   // Label 10697: @672716
     /*  672716 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(672791), // Rule ID 10291 //
     /*  672721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672789 */     GIR_RootConstrainSelectedInstOperands,
     /*  672790 */     // GIR_Coverage, 10291,
     /*  672790 */     GIR_EraseRootFromParent_Done,
     /*  672791 */   // Label 10698: @672791
     /*  672791 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(672866), // Rule ID 10294 //
     /*  672796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  672845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672864 */     GIR_RootConstrainSelectedInstOperands,
     /*  672865 */     // GIR_Coverage, 10294,
     /*  672865 */     GIR_EraseRootFromParent_Done,
     /*  672866 */   // Label 10699: @672866
     /*  672866 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(672941), // Rule ID 10295 //
     /*  672871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672917 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  672920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672939 */     GIR_RootConstrainSelectedInstOperands,
     /*  672940 */     // GIR_Coverage, 10295,
     /*  672940 */     GIR_EraseRootFromParent_Done,
     /*  672941 */   // Label 10700: @672941
     /*  672941 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(673016), // Rule ID 10298 //
     /*  672946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673014 */     GIR_RootConstrainSelectedInstOperands,
     /*  673015 */     // GIR_Coverage, 10298,
     /*  673015 */     GIR_EraseRootFromParent_Done,
     /*  673016 */   // Label 10701: @673016
     /*  673016 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(673091), // Rule ID 10299 //
     /*  673021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673089 */     GIR_RootConstrainSelectedInstOperands,
     /*  673090 */     // GIR_Coverage, 10299,
     /*  673090 */     GIR_EraseRootFromParent_Done,
     /*  673091 */   // Label 10702: @673091
     /*  673091 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(673166), // Rule ID 10302 //
     /*  673096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673164 */     GIR_RootConstrainSelectedInstOperands,
     /*  673165 */     // GIR_Coverage, 10302,
     /*  673165 */     GIR_EraseRootFromParent_Done,
     /*  673166 */   // Label 10703: @673166
     /*  673166 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(673241), // Rule ID 10303 //
     /*  673171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673239 */     GIR_RootConstrainSelectedInstOperands,
     /*  673240 */     // GIR_Coverage, 10303,
     /*  673240 */     GIR_EraseRootFromParent_Done,
     /*  673241 */   // Label 10704: @673241
     /*  673241 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(673316), // Rule ID 10306 //
     /*  673246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673314 */     GIR_RootConstrainSelectedInstOperands,
     /*  673315 */     // GIR_Coverage, 10306,
     /*  673315 */     GIR_EraseRootFromParent_Done,
     /*  673316 */   // Label 10705: @673316
     /*  673316 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673391), // Rule ID 10307 //
     /*  673321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673389 */     GIR_RootConstrainSelectedInstOperands,
     /*  673390 */     // GIR_Coverage, 10307,
     /*  673390 */     GIR_EraseRootFromParent_Done,
     /*  673391 */   // Label 10706: @673391
     /*  673391 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673466), // Rule ID 10310 //
     /*  673396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673464 */     GIR_RootConstrainSelectedInstOperands,
     /*  673465 */     // GIR_Coverage, 10310,
     /*  673465 */     GIR_EraseRootFromParent_Done,
     /*  673466 */   // Label 10707: @673466
     /*  673466 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673541), // Rule ID 10311 //
     /*  673471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673517 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673539 */     GIR_RootConstrainSelectedInstOperands,
     /*  673540 */     // GIR_Coverage, 10311,
     /*  673540 */     GIR_EraseRootFromParent_Done,
     /*  673541 */   // Label 10708: @673541
     /*  673541 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673616), // Rule ID 10314 //
     /*  673546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673614 */     GIR_RootConstrainSelectedInstOperands,
     /*  673615 */     // GIR_Coverage, 10314,
     /*  673615 */     GIR_EraseRootFromParent_Done,
     /*  673616 */   // Label 10709: @673616
     /*  673616 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673691), // Rule ID 10315 //
     /*  673621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673689 */     GIR_RootConstrainSelectedInstOperands,
     /*  673690 */     // GIR_Coverage, 10315,
     /*  673690 */     GIR_EraseRootFromParent_Done,
     /*  673691 */   // Label 10710: @673691
     /*  673691 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(673766), // Rule ID 10318 //
     /*  673696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673764 */     GIR_RootConstrainSelectedInstOperands,
     /*  673765 */     // GIR_Coverage, 10318,
     /*  673765 */     GIR_EraseRootFromParent_Done,
     /*  673766 */   // Label 10711: @673766
     /*  673766 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(673841), // Rule ID 10319 //
     /*  673771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673839 */     GIR_RootConstrainSelectedInstOperands,
     /*  673840 */     // GIR_Coverage, 10319,
     /*  673840 */     GIR_EraseRootFromParent_Done,
     /*  673841 */   // Label 10712: @673841
     /*  673841 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(673916), // Rule ID 10322 //
     /*  673846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  673866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  673895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673914 */     GIR_RootConstrainSelectedInstOperands,
     /*  673915 */     // GIR_Coverage, 10322,
     /*  673915 */     GIR_EraseRootFromParent_Done,
     /*  673916 */   // Label 10713: @673916
     /*  673916 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(673991), // Rule ID 10323 //
     /*  673921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  673941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673967 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  673970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673989 */     GIR_RootConstrainSelectedInstOperands,
     /*  673990 */     // GIR_Coverage, 10323,
     /*  673990 */     GIR_EraseRootFromParent_Done,
     /*  673991 */   // Label 10714: @673991
     /*  673991 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(674066), // Rule ID 10326 //
     /*  673996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674064 */     GIR_RootConstrainSelectedInstOperands,
     /*  674065 */     // GIR_Coverage, 10326,
     /*  674065 */     GIR_EraseRootFromParent_Done,
     /*  674066 */   // Label 10715: @674066
     /*  674066 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(674141), // Rule ID 10327 //
     /*  674071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674117 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674139 */     GIR_RootConstrainSelectedInstOperands,
     /*  674140 */     // GIR_Coverage, 10327,
     /*  674140 */     GIR_EraseRootFromParent_Done,
     /*  674141 */   // Label 10716: @674141
     /*  674141 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(674216), // Rule ID 10330 //
     /*  674146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674214 */     GIR_RootConstrainSelectedInstOperands,
     /*  674215 */     // GIR_Coverage, 10330,
     /*  674215 */     GIR_EraseRootFromParent_Done,
     /*  674216 */   // Label 10717: @674216
     /*  674216 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(674291), // Rule ID 10331 //
     /*  674221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674289 */     GIR_RootConstrainSelectedInstOperands,
     /*  674290 */     // GIR_Coverage, 10331,
     /*  674290 */     GIR_EraseRootFromParent_Done,
     /*  674291 */   // Label 10718: @674291
     /*  674291 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(674366), // Rule ID 10334 //
     /*  674296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  674316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674364 */     GIR_RootConstrainSelectedInstOperands,
     /*  674365 */     // GIR_Coverage, 10334,
     /*  674365 */     GIR_EraseRootFromParent_Done,
     /*  674366 */   // Label 10719: @674366
     /*  674366 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674441), // Rule ID 10335 //
     /*  674371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  674391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674417 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674439 */     GIR_RootConstrainSelectedInstOperands,
     /*  674440 */     // GIR_Coverage, 10335,
     /*  674440 */     GIR_EraseRootFromParent_Done,
     /*  674441 */   // Label 10720: @674441
     /*  674441 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674516), // Rule ID 10338 //
     /*  674446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  674466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674514 */     GIR_RootConstrainSelectedInstOperands,
     /*  674515 */     // GIR_Coverage, 10338,
     /*  674515 */     GIR_EraseRootFromParent_Done,
     /*  674516 */   // Label 10721: @674516
     /*  674516 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674591), // Rule ID 10339 //
     /*  674521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  674541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674589 */     GIR_RootConstrainSelectedInstOperands,
     /*  674590 */     // GIR_Coverage, 10339,
     /*  674590 */     GIR_EraseRootFromParent_Done,
     /*  674591 */   // Label 10722: @674591
     /*  674591 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674666), // Rule ID 10342 //
     /*  674596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  674616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674664 */     GIR_RootConstrainSelectedInstOperands,
     /*  674665 */     // GIR_Coverage, 10342,
     /*  674665 */     GIR_EraseRootFromParent_Done,
     /*  674666 */   // Label 10723: @674666
     /*  674666 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(674741), // Rule ID 10343 //
     /*  674671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  674691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674739 */     GIR_RootConstrainSelectedInstOperands,
     /*  674740 */     // GIR_Coverage, 10343,
     /*  674740 */     GIR_EraseRootFromParent_Done,
     /*  674741 */   // Label 10724: @674741
     /*  674741 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(674816), // Rule ID 10346 //
     /*  674746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  674757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  674760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  674763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  674766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  674795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674814 */     GIR_RootConstrainSelectedInstOperands,
     /*  674815 */     // GIR_Coverage, 10346,
     /*  674815 */     GIR_EraseRootFromParent_Done,
     /*  674816 */   // Label 10725: @674816
     /*  674816 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(674891), // Rule ID 10347 //
     /*  674821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  674832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  674835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  674838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  674841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  674870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674889 */     GIR_RootConstrainSelectedInstOperands,
     /*  674890 */     // GIR_Coverage, 10347,
     /*  674890 */     GIR_EraseRootFromParent_Done,
     /*  674891 */   // Label 10726: @674891
     /*  674891 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(674966), // Rule ID 10350 //
     /*  674896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  674916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  674945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674964 */     GIR_RootConstrainSelectedInstOperands,
     /*  674965 */     // GIR_Coverage, 10350,
     /*  674965 */     GIR_EraseRootFromParent_Done,
     /*  674966 */   // Label 10727: @674966
     /*  674966 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(675041), // Rule ID 10351 //
     /*  674971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  674991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675017 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675039 */     GIR_RootConstrainSelectedInstOperands,
     /*  675040 */     // GIR_Coverage, 10351,
     /*  675040 */     GIR_EraseRootFromParent_Done,
     /*  675041 */   // Label 10728: @675041
     /*  675041 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(675116), // Rule ID 10354 //
     /*  675046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675114 */     GIR_RootConstrainSelectedInstOperands,
     /*  675115 */     // GIR_Coverage, 10354,
     /*  675115 */     GIR_EraseRootFromParent_Done,
     /*  675116 */   // Label 10729: @675116
     /*  675116 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675191), // Rule ID 10355 //
     /*  675121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675189 */     GIR_RootConstrainSelectedInstOperands,
     /*  675190 */     // GIR_Coverage, 10355,
     /*  675190 */     GIR_EraseRootFromParent_Done,
     /*  675191 */   // Label 10730: @675191
     /*  675191 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(675266), // Rule ID 10358 //
     /*  675196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675264 */     GIR_RootConstrainSelectedInstOperands,
     /*  675265 */     // GIR_Coverage, 10358,
     /*  675265 */     GIR_EraseRootFromParent_Done,
     /*  675266 */   // Label 10731: @675266
     /*  675266 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(675341), // Rule ID 10359 //
     /*  675271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675339 */     GIR_RootConstrainSelectedInstOperands,
     /*  675340 */     // GIR_Coverage, 10359,
     /*  675340 */     GIR_EraseRootFromParent_Done,
     /*  675341 */   // Label 10732: @675341
     /*  675341 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675416), // Rule ID 10362 //
     /*  675346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  675366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  675395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675414 */     GIR_RootConstrainSelectedInstOperands,
     /*  675415 */     // GIR_Coverage, 10362,
     /*  675415 */     GIR_EraseRootFromParent_Done,
     /*  675416 */   // Label 10733: @675416
     /*  675416 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675491), // Rule ID 10363 //
     /*  675421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  675441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  675470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675489 */     GIR_RootConstrainSelectedInstOperands,
     /*  675490 */     // GIR_Coverage, 10363,
     /*  675490 */     GIR_EraseRootFromParent_Done,
     /*  675491 */   // Label 10734: @675491
     /*  675491 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675566), // Rule ID 10366 //
     /*  675496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  675516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  675545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675564 */     GIR_RootConstrainSelectedInstOperands,
     /*  675565 */     // GIR_Coverage, 10366,
     /*  675565 */     GIR_EraseRootFromParent_Done,
     /*  675566 */   // Label 10735: @675566
     /*  675566 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675641), // Rule ID 10367 //
     /*  675571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  675591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675617 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  675620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675639 */     GIR_RootConstrainSelectedInstOperands,
     /*  675640 */     // GIR_Coverage, 10367,
     /*  675640 */     GIR_EraseRootFromParent_Done,
     /*  675641 */   // Label 10736: @675641
     /*  675641 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675716), // Rule ID 10370 //
     /*  675646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  675666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  675695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675714 */     GIR_RootConstrainSelectedInstOperands,
     /*  675715 */     // GIR_Coverage, 10370,
     /*  675715 */     GIR_EraseRootFromParent_Done,
     /*  675716 */   // Label 10737: @675716
     /*  675716 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(675791), // Rule ID 10371 //
     /*  675721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  675741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  675770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675789 */     GIR_RootConstrainSelectedInstOperands,
     /*  675790 */     // GIR_Coverage, 10371,
     /*  675790 */     GIR_EraseRootFromParent_Done,
     /*  675791 */   // Label 10738: @675791
     /*  675791 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(675866), // Rule ID 10374 //
     /*  675796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  675816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  675845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675864 */     GIR_RootConstrainSelectedInstOperands,
     /*  675865 */     // GIR_Coverage, 10374,
     /*  675865 */     GIR_EraseRootFromParent_Done,
     /*  675866 */   // Label 10739: @675866
     /*  675866 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(675941), // Rule ID 10375 //
     /*  675871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  675891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  675920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675939 */     GIR_RootConstrainSelectedInstOperands,
     /*  675940 */     // GIR_Coverage, 10375,
     /*  675940 */     GIR_EraseRootFromParent_Done,
     /*  675941 */   // Label 10740: @675941
     /*  675941 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(676016), // Rule ID 10378 //
     /*  675946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  675966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  675995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676014 */     GIR_RootConstrainSelectedInstOperands,
     /*  676015 */     // GIR_Coverage, 10378,
     /*  676015 */     GIR_EraseRootFromParent_Done,
     /*  676016 */   // Label 10741: @676016
     /*  676016 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(676091), // Rule ID 10379 //
     /*  676021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676089 */     GIR_RootConstrainSelectedInstOperands,
     /*  676090 */     // GIR_Coverage, 10379,
     /*  676090 */     GIR_EraseRootFromParent_Done,
     /*  676091 */   // Label 10742: @676091
     /*  676091 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676166), // Rule ID 10382 //
     /*  676096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676164 */     GIR_RootConstrainSelectedInstOperands,
     /*  676165 */     // GIR_Coverage, 10382,
     /*  676165 */     GIR_EraseRootFromParent_Done,
     /*  676166 */   // Label 10743: @676166
     /*  676166 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676241), // Rule ID 10383 //
     /*  676171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676217 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676239 */     GIR_RootConstrainSelectedInstOperands,
     /*  676240 */     // GIR_Coverage, 10383,
     /*  676240 */     GIR_EraseRootFromParent_Done,
     /*  676241 */   // Label 10744: @676241
     /*  676241 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(676316), // Rule ID 10386 //
     /*  676246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  676266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676314 */     GIR_RootConstrainSelectedInstOperands,
     /*  676315 */     // GIR_Coverage, 10386,
     /*  676315 */     GIR_EraseRootFromParent_Done,
     /*  676316 */   // Label 10745: @676316
     /*  676316 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676391), // Rule ID 10387 //
     /*  676321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  676341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676389 */     GIR_RootConstrainSelectedInstOperands,
     /*  676390 */     // GIR_Coverage, 10387,
     /*  676390 */     GIR_EraseRootFromParent_Done,
     /*  676391 */   // Label 10746: @676391
     /*  676391 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676466), // Rule ID 10390 //
     /*  676396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  676416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676464 */     GIR_RootConstrainSelectedInstOperands,
     /*  676465 */     // GIR_Coverage, 10390,
     /*  676465 */     GIR_EraseRootFromParent_Done,
     /*  676466 */   // Label 10747: @676466
     /*  676466 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676541), // Rule ID 10391 //
     /*  676471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  676491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676517 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676539 */     GIR_RootConstrainSelectedInstOperands,
     /*  676540 */     // GIR_Coverage, 10391,
     /*  676540 */     GIR_EraseRootFromParent_Done,
     /*  676541 */   // Label 10748: @676541
     /*  676541 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676616), // Rule ID 10394 //
     /*  676546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  676566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676614 */     GIR_RootConstrainSelectedInstOperands,
     /*  676615 */     // GIR_Coverage, 10394,
     /*  676615 */     GIR_EraseRootFromParent_Done,
     /*  676616 */   // Label 10749: @676616
     /*  676616 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676691), // Rule ID 10395 //
     /*  676621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  676641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676667 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676689 */     GIR_RootConstrainSelectedInstOperands,
     /*  676690 */     // GIR_Coverage, 10395,
     /*  676690 */     GIR_EraseRootFromParent_Done,
     /*  676691 */   // Label 10750: @676691
     /*  676691 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(676766), // Rule ID 10398 //
     /*  676696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  676716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676764 */     GIR_RootConstrainSelectedInstOperands,
     /*  676765 */     // GIR_Coverage, 10398,
     /*  676765 */     GIR_EraseRootFromParent_Done,
     /*  676766 */   // Label 10751: @676766
     /*  676766 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(676841), // Rule ID 10399 //
     /*  676771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  676791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676839 */     GIR_RootConstrainSelectedInstOperands,
     /*  676840 */     // GIR_Coverage, 10399,
     /*  676840 */     GIR_EraseRootFromParent_Done,
     /*  676841 */   // Label 10752: @676841
     /*  676841 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(676916), // Rule ID 10402 //
     /*  676846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  676866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676914 */     GIR_RootConstrainSelectedInstOperands,
     /*  676915 */     // GIR_Coverage, 10402,
     /*  676915 */     GIR_EraseRootFromParent_Done,
     /*  676916 */   // Label 10753: @676916
     /*  676916 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(676991), // Rule ID 10403 //
     /*  676921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  676941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676989 */     GIR_RootConstrainSelectedInstOperands,
     /*  676990 */     // GIR_Coverage, 10403,
     /*  676990 */     GIR_EraseRootFromParent_Done,
     /*  676991 */   // Label 10754: @676991
     /*  676991 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(677066), // Rule ID 10406 //
     /*  676996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677064 */     GIR_RootConstrainSelectedInstOperands,
     /*  677065 */     // GIR_Coverage, 10406,
     /*  677065 */     GIR_EraseRootFromParent_Done,
     /*  677066 */   // Label 10755: @677066
     /*  677066 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677141), // Rule ID 10407 //
     /*  677071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677139 */     GIR_RootConstrainSelectedInstOperands,
     /*  677140 */     // GIR_Coverage, 10407,
     /*  677140 */     GIR_EraseRootFromParent_Done,
     /*  677141 */   // Label 10756: @677141
     /*  677141 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677216), // Rule ID 10410 //
     /*  677146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677192 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  677195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677214 */     GIR_RootConstrainSelectedInstOperands,
     /*  677215 */     // GIR_Coverage, 10410,
     /*  677215 */     GIR_EraseRootFromParent_Done,
     /*  677216 */   // Label 10757: @677216
     /*  677216 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(677291), // Rule ID 10411 //
     /*  677221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  677270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677289 */     GIR_RootConstrainSelectedInstOperands,
     /*  677290 */     // GIR_Coverage, 10411,
     /*  677290 */     GIR_EraseRootFromParent_Done,
     /*  677291 */   // Label 10758: @677291
     /*  677291 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(677366), // Rule ID 10414 //
     /*  677296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677364 */     GIR_RootConstrainSelectedInstOperands,
     /*  677365 */     // GIR_Coverage, 10414,
     /*  677365 */     GIR_EraseRootFromParent_Done,
     /*  677366 */   // Label 10759: @677366
     /*  677366 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677441), // Rule ID 10415 //
     /*  677371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677417 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677439 */     GIR_RootConstrainSelectedInstOperands,
     /*  677440 */     // GIR_Coverage, 10415,
     /*  677440 */     GIR_EraseRootFromParent_Done,
     /*  677441 */   // Label 10760: @677441
     /*  677441 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677516), // Rule ID 10418 //
     /*  677446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677514 */     GIR_RootConstrainSelectedInstOperands,
     /*  677515 */     // GIR_Coverage, 10418,
     /*  677515 */     GIR_EraseRootFromParent_Done,
     /*  677516 */   // Label 10761: @677516
     /*  677516 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677591), // Rule ID 10419 //
     /*  677521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677589 */     GIR_RootConstrainSelectedInstOperands,
     /*  677590 */     // GIR_Coverage, 10419,
     /*  677590 */     GIR_EraseRootFromParent_Done,
     /*  677591 */   // Label 10762: @677591
     /*  677591 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677666), // Rule ID 10422 //
     /*  677596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677664 */     GIR_RootConstrainSelectedInstOperands,
     /*  677665 */     // GIR_Coverage, 10422,
     /*  677665 */     GIR_EraseRootFromParent_Done,
     /*  677666 */   // Label 10763: @677666
     /*  677666 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(677741), // Rule ID 10423 //
     /*  677671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  677720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677739 */     GIR_RootConstrainSelectedInstOperands,
     /*  677740 */     // GIR_Coverage, 10423,
     /*  677740 */     GIR_EraseRootFromParent_Done,
     /*  677741 */   // Label 10764: @677741
     /*  677741 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(677816), // Rule ID 10426 //
     /*  677746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  677757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  677760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  677763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677792 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677814 */     GIR_RootConstrainSelectedInstOperands,
     /*  677815 */     // GIR_Coverage, 10426,
     /*  677815 */     GIR_EraseRootFromParent_Done,
     /*  677816 */   // Label 10765: @677816
     /*  677816 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(677891), // Rule ID 10427 //
     /*  677821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  677832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  677835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  677838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677867 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677889 */     GIR_RootConstrainSelectedInstOperands,
     /*  677890 */     // GIR_Coverage, 10427,
     /*  677890 */     GIR_EraseRootFromParent_Done,
     /*  677891 */   // Label 10766: @677891
     /*  677891 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(677966), // Rule ID 10430 //
     /*  677896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  677945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677964 */     GIR_RootConstrainSelectedInstOperands,
     /*  677965 */     // GIR_Coverage, 10430,
     /*  677965 */     GIR_EraseRootFromParent_Done,
     /*  677966 */   // Label 10767: @677966
     /*  677966 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(678041), // Rule ID 10431 //
     /*  677971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678017 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678039 */     GIR_RootConstrainSelectedInstOperands,
     /*  678040 */     // GIR_Coverage, 10431,
     /*  678040 */     GIR_EraseRootFromParent_Done,
     /*  678041 */   // Label 10768: @678041
     /*  678041 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678116), // Rule ID 10434 //
     /*  678046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678114 */     GIR_RootConstrainSelectedInstOperands,
     /*  678115 */     // GIR_Coverage, 10434,
     /*  678115 */     GIR_EraseRootFromParent_Done,
     /*  678116 */   // Label 10769: @678116
     /*  678116 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678191), // Rule ID 10435 //
     /*  678121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678189 */     GIR_RootConstrainSelectedInstOperands,
     /*  678190 */     // GIR_Coverage, 10435,
     /*  678190 */     GIR_EraseRootFromParent_Done,
     /*  678191 */   // Label 10770: @678191
     /*  678191 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(678266), // Rule ID 10438 //
     /*  678196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678264 */     GIR_RootConstrainSelectedInstOperands,
     /*  678265 */     // GIR_Coverage, 10438,
     /*  678265 */     GIR_EraseRootFromParent_Done,
     /*  678266 */   // Label 10771: @678266
     /*  678266 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(678341), // Rule ID 10439 //
     /*  678271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678339 */     GIR_RootConstrainSelectedInstOperands,
     /*  678340 */     // GIR_Coverage, 10439,
     /*  678340 */     GIR_EraseRootFromParent_Done,
     /*  678341 */   // Label 10772: @678341
     /*  678341 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678416), // Rule ID 10442 //
     /*  678346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678414 */     GIR_RootConstrainSelectedInstOperands,
     /*  678415 */     // GIR_Coverage, 10442,
     /*  678415 */     GIR_EraseRootFromParent_Done,
     /*  678416 */   // Label 10773: @678416
     /*  678416 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678491), // Rule ID 10443 //
     /*  678421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678489 */     GIR_RootConstrainSelectedInstOperands,
     /*  678490 */     // GIR_Coverage, 10443,
     /*  678490 */     GIR_EraseRootFromParent_Done,
     /*  678491 */   // Label 10774: @678491
     /*  678491 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678566), // Rule ID 10446 //
     /*  678496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  678513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678564 */     GIR_RootConstrainSelectedInstOperands,
     /*  678565 */     // GIR_Coverage, 10446,
     /*  678565 */     GIR_EraseRootFromParent_Done,
     /*  678566 */   // Label 10775: @678566
     /*  678566 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678641), // Rule ID 10447 //
     /*  678571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  678588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678639 */     GIR_RootConstrainSelectedInstOperands,
     /*  678640 */     // GIR_Coverage, 10447,
     /*  678640 */     GIR_EraseRootFromParent_Done,
     /*  678641 */   // Label 10776: @678641
     /*  678641 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678716), // Rule ID 10450 //
     /*  678646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  678695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678714 */     GIR_RootConstrainSelectedInstOperands,
     /*  678715 */     // GIR_Coverage, 10450,
     /*  678715 */     GIR_EraseRootFromParent_Done,
     /*  678716 */   // Label 10777: @678716
     /*  678716 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(678791), // Rule ID 10451 //
     /*  678721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678767 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  678770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678789 */     GIR_RootConstrainSelectedInstOperands,
     /*  678790 */     // GIR_Coverage, 10451,
     /*  678790 */     GIR_EraseRootFromParent_Done,
     /*  678791 */   // Label 10778: @678791
     /*  678791 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(678866), // Rule ID 10454 //
     /*  678796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  678845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678864 */     GIR_RootConstrainSelectedInstOperands,
     /*  678865 */     // GIR_Coverage, 10454,
     /*  678865 */     GIR_EraseRootFromParent_Done,
     /*  678866 */   // Label 10779: @678866
     /*  678866 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(678941), // Rule ID 10455 //
     /*  678871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678917 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  678920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678939 */     GIR_RootConstrainSelectedInstOperands,
     /*  678940 */     // GIR_Coverage, 10455,
     /*  678940 */     GIR_EraseRootFromParent_Done,
     /*  678941 */   // Label 10780: @678941
     /*  678941 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(679016), // Rule ID 10458 //
     /*  678946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  678995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679014 */     GIR_RootConstrainSelectedInstOperands,
     /*  679015 */     // GIR_Coverage, 10458,
     /*  679015 */     GIR_EraseRootFromParent_Done,
     /*  679016 */   // Label 10781: @679016
     /*  679016 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(679091), // Rule ID 10459 //
     /*  679021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679067 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679089 */     GIR_RootConstrainSelectedInstOperands,
     /*  679090 */     // GIR_Coverage, 10459,
     /*  679090 */     GIR_EraseRootFromParent_Done,
     /*  679091 */   // Label 10782: @679091
     /*  679091 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679166), // Rule ID 10462 //
     /*  679096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679164 */     GIR_RootConstrainSelectedInstOperands,
     /*  679165 */     // GIR_Coverage, 10462,
     /*  679165 */     GIR_EraseRootFromParent_Done,
     /*  679166 */   // Label 10783: @679166
     /*  679166 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679241), // Rule ID 10463 //
     /*  679171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679239 */     GIR_RootConstrainSelectedInstOperands,
     /*  679240 */     // GIR_Coverage, 10463,
     /*  679240 */     GIR_EraseRootFromParent_Done,
     /*  679241 */   // Label 10784: @679241
     /*  679241 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(679316), // Rule ID 10466 //
     /*  679246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679314 */     GIR_RootConstrainSelectedInstOperands,
     /*  679315 */     // GIR_Coverage, 10466,
     /*  679315 */     GIR_EraseRootFromParent_Done,
     /*  679316 */   // Label 10785: @679316
     /*  679316 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679391), // Rule ID 10467 //
     /*  679321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679389 */     GIR_RootConstrainSelectedInstOperands,
     /*  679390 */     // GIR_Coverage, 10467,
     /*  679390 */     GIR_EraseRootFromParent_Done,
     /*  679391 */   // Label 10786: @679391
     /*  679391 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679466), // Rule ID 10470 //
     /*  679396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679464 */     GIR_RootConstrainSelectedInstOperands,
     /*  679465 */     // GIR_Coverage, 10470,
     /*  679465 */     GIR_EraseRootFromParent_Done,
     /*  679466 */   // Label 10787: @679466
     /*  679466 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679541), // Rule ID 10471 //
     /*  679471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679517 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679539 */     GIR_RootConstrainSelectedInstOperands,
     /*  679540 */     // GIR_Coverage, 10471,
     /*  679540 */     GIR_EraseRootFromParent_Done,
     /*  679541 */   // Label 10788: @679541
     /*  679541 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679616), // Rule ID 10474 //
     /*  679546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  679557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  679560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  679563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679614 */     GIR_RootConstrainSelectedInstOperands,
     /*  679615 */     // GIR_Coverage, 10474,
     /*  679615 */     GIR_EraseRootFromParent_Done,
     /*  679616 */   // Label 10789: @679616
     /*  679616 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679691), // Rule ID 10475 //
     /*  679621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  679632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  679635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  679638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679689 */     GIR_RootConstrainSelectedInstOperands,
     /*  679690 */     // GIR_Coverage, 10475,
     /*  679690 */     GIR_EraseRootFromParent_Done,
     /*  679691 */   // Label 10790: @679691
     /*  679691 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(679766), // Rule ID 10478 //
     /*  679696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679764 */     GIR_RootConstrainSelectedInstOperands,
     /*  679765 */     // GIR_Coverage, 10478,
     /*  679765 */     GIR_EraseRootFromParent_Done,
     /*  679766 */   // Label 10791: @679766
     /*  679766 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(679841), // Rule ID 10479 //
     /*  679771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679839 */     GIR_RootConstrainSelectedInstOperands,
     /*  679840 */     // GIR_Coverage, 10479,
     /*  679840 */     GIR_EraseRootFromParent_Done,
     /*  679841 */   // Label 10792: @679841
     /*  679841 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(679916), // Rule ID 10482 //
     /*  679846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679914 */     GIR_RootConstrainSelectedInstOperands,
     /*  679915 */     // GIR_Coverage, 10482,
     /*  679915 */     GIR_EraseRootFromParent_Done,
     /*  679916 */   // Label 10793: @679916
     /*  679916 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(679991), // Rule ID 10483 //
     /*  679921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679989 */     GIR_RootConstrainSelectedInstOperands,
     /*  679990 */     // GIR_Coverage, 10483,
     /*  679990 */     GIR_EraseRootFromParent_Done,
     /*  679991 */   // Label 10794: @679991
     /*  679991 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(680066), // Rule ID 10486 //
     /*  679996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680064 */     GIR_RootConstrainSelectedInstOperands,
     /*  680065 */     // GIR_Coverage, 10486,
     /*  680065 */     GIR_EraseRootFromParent_Done,
     /*  680066 */   // Label 10795: @680066
     /*  680066 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680141), // Rule ID 10487 //
     /*  680071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680139 */     GIR_RootConstrainSelectedInstOperands,
     /*  680140 */     // GIR_Coverage, 10487,
     /*  680140 */     GIR_EraseRootFromParent_Done,
     /*  680141 */   // Label 10796: @680141
     /*  680141 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680216), // Rule ID 10490 //
     /*  680146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680214 */     GIR_RootConstrainSelectedInstOperands,
     /*  680215 */     // GIR_Coverage, 10490,
     /*  680215 */     GIR_EraseRootFromParent_Done,
     /*  680216 */   // Label 10797: @680216
     /*  680216 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(680291), // Rule ID 10491 //
     /*  680221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680289 */     GIR_RootConstrainSelectedInstOperands,
     /*  680290 */     // GIR_Coverage, 10491,
     /*  680290 */     GIR_EraseRootFromParent_Done,
     /*  680291 */   // Label 10798: @680291
     /*  680291 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(680366), // Rule ID 10494 //
     /*  680296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680364 */     GIR_RootConstrainSelectedInstOperands,
     /*  680365 */     // GIR_Coverage, 10494,
     /*  680365 */     GIR_EraseRootFromParent_Done,
     /*  680366 */   // Label 10799: @680366
     /*  680366 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680441), // Rule ID 10495 //
     /*  680371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11367:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680439 */     GIR_RootConstrainSelectedInstOperands,
     /*  680440 */     // GIR_Coverage, 10495,
     /*  680440 */     GIR_EraseRootFromParent_Done,
     /*  680441 */   // Label 10800: @680441
     /*  680441 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680516), // Rule ID 10498 //
     /*  680446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  680457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  680460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  680463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  680466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  680495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680514 */     GIR_RootConstrainSelectedInstOperands,
     /*  680515 */     // GIR_Coverage, 10498,
     /*  680515 */     GIR_EraseRootFromParent_Done,
     /*  680516 */   // Label 10801: @680516
     /*  680516 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680591), // Rule ID 10499 //
     /*  680521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  680532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  680535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  680538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  680541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680567 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  680570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680589 */     GIR_RootConstrainSelectedInstOperands,
     /*  680590 */     // GIR_Coverage, 10499,
     /*  680590 */     GIR_EraseRootFromParent_Done,
     /*  680591 */   // Label 10802: @680591
     /*  680591 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680666), // Rule ID 10502 //
     /*  680596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  680616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680642 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  680645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680664 */     GIR_RootConstrainSelectedInstOperands,
     /*  680665 */     // GIR_Coverage, 10502,
     /*  680665 */     GIR_EraseRootFromParent_Done,
     /*  680666 */   // Label 10803: @680666
     /*  680666 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(680741), // Rule ID 10503 //
     /*  680671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  680691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680717 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  680720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680739 */     GIR_RootConstrainSelectedInstOperands,
     /*  680740 */     // GIR_Coverage, 10503,
     /*  680740 */     GIR_EraseRootFromParent_Done,
     /*  680741 */   // Label 10804: @680741
     /*  680741 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(680816), // Rule ID 10506 //
     /*  680746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  680757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  680760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  680763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  680766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  680795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680814 */     GIR_RootConstrainSelectedInstOperands,
     /*  680815 */     // GIR_Coverage, 10506,
     /*  680815 */     GIR_EraseRootFromParent_Done,
     /*  680816 */   // Label 10805: @680816
     /*  680816 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(680891), // Rule ID 10507 //
     /*  680821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  680832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  680835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  680838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  680841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680867 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  680870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680889 */     GIR_RootConstrainSelectedInstOperands,
     /*  680890 */     // GIR_Coverage, 10507,
     /*  680890 */     GIR_EraseRootFromParent_Done,
     /*  680891 */   // Label 10806: @680891
     /*  680891 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(680966), // Rule ID 10510 //
     /*  680896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  680916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  680945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680964 */     GIR_RootConstrainSelectedInstOperands,
     /*  680965 */     // GIR_Coverage, 10510,
     /*  680965 */     GIR_EraseRootFromParent_Done,
     /*  680966 */   // Label 10807: @680966
     /*  680966 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(681041), // Rule ID 10511 //
     /*  680971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  680991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  681020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681039 */     GIR_RootConstrainSelectedInstOperands,
     /*  681040 */     // GIR_Coverage, 10511,
     /*  681040 */     GIR_EraseRootFromParent_Done,
     /*  681041 */   // Label 10808: @681041
     /*  681041 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681116), // Rule ID 10514 //
     /*  681046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681114 */     GIR_RootConstrainSelectedInstOperands,
     /*  681115 */     // GIR_Coverage, 10514,
     /*  681115 */     GIR_EraseRootFromParent_Done,
     /*  681116 */   // Label 10809: @681116
     /*  681116 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681191), // Rule ID 10515 //
     /*  681121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681167 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681189 */     GIR_RootConstrainSelectedInstOperands,
     /*  681190 */     // GIR_Coverage, 10515,
     /*  681190 */     GIR_EraseRootFromParent_Done,
     /*  681191 */   // Label 10810: @681191
     /*  681191 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(681266), // Rule ID 10518 //
     /*  681196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681242 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681264 */     GIR_RootConstrainSelectedInstOperands,
     /*  681265 */     // GIR_Coverage, 10518,
     /*  681265 */     GIR_EraseRootFromParent_Done,
     /*  681266 */   // Label 10811: @681266
     /*  681266 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(681341), // Rule ID 10519 //
     /*  681271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681317 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681339 */     GIR_RootConstrainSelectedInstOperands,
     /*  681340 */     // GIR_Coverage, 10519,
     /*  681340 */     GIR_EraseRootFromParent_Done,
     /*  681341 */   // Label 10812: @681341
     /*  681341 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681416), // Rule ID 10522 //
     /*  681346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  681366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681414 */     GIR_RootConstrainSelectedInstOperands,
     /*  681415 */     // GIR_Coverage, 10522,
     /*  681415 */     GIR_EraseRootFromParent_Done,
     /*  681416 */   // Label 10813: @681416
     /*  681416 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681491), // Rule ID 10523 //
     /*  681421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  681441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681489 */     GIR_RootConstrainSelectedInstOperands,
     /*  681490 */     // GIR_Coverage, 10523,
     /*  681490 */     GIR_EraseRootFromParent_Done,
     /*  681491 */   // Label 10814: @681491
     /*  681491 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681566), // Rule ID 10526 //
     /*  681496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  681507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  681510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  681513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  681516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681564 */     GIR_RootConstrainSelectedInstOperands,
     /*  681565 */     // GIR_Coverage, 10526,
     /*  681565 */     GIR_EraseRootFromParent_Done,
     /*  681566 */   // Label 10815: @681566
     /*  681566 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681641), // Rule ID 10527 //
     /*  681571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  681582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  681585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  681588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  681591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681639 */     GIR_RootConstrainSelectedInstOperands,
     /*  681640 */     // GIR_Coverage, 10527,
     /*  681640 */     GIR_EraseRootFromParent_Done,
     /*  681641 */   // Label 10816: @681641
     /*  681641 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681716), // Rule ID 10530 //
     /*  681646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  681666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681714 */     GIR_RootConstrainSelectedInstOperands,
     /*  681715 */     // GIR_Coverage, 10530,
     /*  681715 */     GIR_EraseRootFromParent_Done,
     /*  681716 */   // Label 10817: @681716
     /*  681716 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(681791), // Rule ID 10531 //
     /*  681721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  681741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681789 */     GIR_RootConstrainSelectedInstOperands,
     /*  681790 */     // GIR_Coverage, 10531,
     /*  681790 */     GIR_EraseRootFromParent_Done,
     /*  681791 */   // Label 10818: @681791
     /*  681791 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(681866), // Rule ID 10534 //
     /*  681796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  681799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  681816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  681842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681864 */     GIR_RootConstrainSelectedInstOperands,
     /*  681865 */     // GIR_Coverage, 10534,
     /*  681865 */     GIR_EraseRootFromParent_Done,
     /*  681866 */   // Label 10819: @681866
     /*  681866 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(681941), // Rule ID 10535 //
     /*  681871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  681891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681917 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  681920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681939 */     GIR_RootConstrainSelectedInstOperands,
     /*  681940 */     // GIR_Coverage, 10535,
     /*  681940 */     GIR_EraseRootFromParent_Done,
     /*  681941 */   // Label 10820: @681941
     /*  681941 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(682016), // Rule ID 10538 //
     /*  681946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  681966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  681995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682014 */     GIR_RootConstrainSelectedInstOperands,
     /*  682015 */     // GIR_Coverage, 10538,
     /*  682015 */     GIR_EraseRootFromParent_Done,
     /*  682016 */   // Label 10821: @682016
     /*  682016 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(682091), // Rule ID 10539 //
     /*  682021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682067 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682089 */     GIR_RootConstrainSelectedInstOperands,
     /*  682090 */     // GIR_Coverage, 10539,
     /*  682090 */     GIR_EraseRootFromParent_Done,
     /*  682091 */   // Label 10822: @682091
     /*  682091 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682166), // Rule ID 10542 //
     /*  682096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682164 */     GIR_RootConstrainSelectedInstOperands,
     /*  682165 */     // GIR_Coverage, 10542,
     /*  682165 */     GIR_EraseRootFromParent_Done,
     /*  682166 */   // Label 10823: @682166
     /*  682166 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682241), // Rule ID 10543 //
     /*  682171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682239 */     GIR_RootConstrainSelectedInstOperands,
     /*  682240 */     // GIR_Coverage, 10543,
     /*  682240 */     GIR_EraseRootFromParent_Done,
     /*  682241 */   // Label 10824: @682241
     /*  682241 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(682316), // Rule ID 10546 //
     /*  682246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  682266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682314 */     GIR_RootConstrainSelectedInstOperands,
     /*  682315 */     // GIR_Coverage, 10546,
     /*  682315 */     GIR_EraseRootFromParent_Done,
     /*  682316 */   // Label 10825: @682316
     /*  682316 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682391), // Rule ID 10547 //
     /*  682321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  682341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682367 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682389 */     GIR_RootConstrainSelectedInstOperands,
     /*  682390 */     // GIR_Coverage, 10547,
     /*  682390 */     GIR_EraseRootFromParent_Done,
     /*  682391 */   // Label 10826: @682391
     /*  682391 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682466), // Rule ID 10550 //
     /*  682396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  682407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  682410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  682413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  682416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682464 */     GIR_RootConstrainSelectedInstOperands,
     /*  682465 */     // GIR_Coverage, 10550,
     /*  682465 */     GIR_EraseRootFromParent_Done,
     /*  682466 */   // Label 10827: @682466
     /*  682466 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682541), // Rule ID 10551 //
     /*  682471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  682482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  682485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  682488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  682491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682539 */     GIR_RootConstrainSelectedInstOperands,
     /*  682540 */     // GIR_Coverage, 10551,
     /*  682540 */     GIR_EraseRootFromParent_Done,
     /*  682541 */   // Label 10828: @682541
     /*  682541 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682616), // Rule ID 10554 //
     /*  682546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  682557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  682560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  682563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  682566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682614 */     GIR_RootConstrainSelectedInstOperands,
     /*  682615 */     // GIR_Coverage, 10554,
     /*  682615 */     GIR_EraseRootFromParent_Done,
     /*  682616 */   // Label 10829: @682616
     /*  682616 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682691), // Rule ID 10555 //
     /*  682621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  682632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  682635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  682638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  682641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682689 */     GIR_RootConstrainSelectedInstOperands,
     /*  682690 */     // GIR_Coverage, 10555,
     /*  682690 */     GIR_EraseRootFromParent_Done,
     /*  682691 */   // Label 10830: @682691
     /*  682691 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(682766), // Rule ID 10558 //
     /*  682696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  682716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682764 */     GIR_RootConstrainSelectedInstOperands,
     /*  682765 */     // GIR_Coverage, 10558,
     /*  682765 */     GIR_EraseRootFromParent_Done,
     /*  682766 */   // Label 10831: @682766
     /*  682766 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(682841), // Rule ID 10559 //
     /*  682771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  682791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682817 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682839 */     GIR_RootConstrainSelectedInstOperands,
     /*  682840 */     // GIR_Coverage, 10559,
     /*  682840 */     GIR_EraseRootFromParent_Done,
     /*  682841 */   // Label 10832: @682841
     /*  682841 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(682916), // Rule ID 10562 //
     /*  682846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  682866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682914 */     GIR_RootConstrainSelectedInstOperands,
     /*  682915 */     // GIR_Coverage, 10562,
     /*  682915 */     GIR_EraseRootFromParent_Done,
     /*  682916 */   // Label 10833: @682916
     /*  682916 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(682991), // Rule ID 10563 //
     /*  682921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  682941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682989 */     GIR_RootConstrainSelectedInstOperands,
     /*  682990 */     // GIR_Coverage, 10563,
     /*  682990 */     GIR_EraseRootFromParent_Done,
     /*  682991 */   // Label 10834: @682991
     /*  682991 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(683066), // Rule ID 10566 //
     /*  682996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683064 */     GIR_RootConstrainSelectedInstOperands,
     /*  683065 */     // GIR_Coverage, 10566,
     /*  683065 */     GIR_EraseRootFromParent_Done,
     /*  683066 */   // Label 10835: @683066
     /*  683066 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683141), // Rule ID 10567 //
     /*  683071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683139 */     GIR_RootConstrainSelectedInstOperands,
     /*  683140 */     // GIR_Coverage, 10567,
     /*  683140 */     GIR_EraseRootFromParent_Done,
     /*  683141 */   // Label 10836: @683141
     /*  683141 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683216), // Rule ID 10570 //
     /*  683146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683214 */     GIR_RootConstrainSelectedInstOperands,
     /*  683215 */     // GIR_Coverage, 10570,
     /*  683215 */     GIR_EraseRootFromParent_Done,
     /*  683216 */   // Label 10837: @683216
     /*  683216 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(683291), // Rule ID 10571 //
     /*  683221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683289 */     GIR_RootConstrainSelectedInstOperands,
     /*  683290 */     // GIR_Coverage, 10571,
     /*  683290 */     GIR_EraseRootFromParent_Done,
     /*  683291 */   // Label 10838: @683291
     /*  683291 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(683366), // Rule ID 10574 //
     /*  683296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  683316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683364 */     GIR_RootConstrainSelectedInstOperands,
     /*  683365 */     // GIR_Coverage, 10574,
     /*  683365 */     GIR_EraseRootFromParent_Done,
     /*  683366 */   // Label 10839: @683366
     /*  683366 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683441), // Rule ID 10575 //
     /*  683371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  683391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683439 */     GIR_RootConstrainSelectedInstOperands,
     /*  683440 */     // GIR_Coverage, 10575,
     /*  683440 */     GIR_EraseRootFromParent_Done,
     /*  683441 */   // Label 10840: @683441
     /*  683441 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683516), // Rule ID 10578 //
     /*  683446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  683457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  683460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  683463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  683466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683514 */     GIR_RootConstrainSelectedInstOperands,
     /*  683515 */     // GIR_Coverage, 10578,
     /*  683515 */     GIR_EraseRootFromParent_Done,
     /*  683516 */   // Label 10841: @683516
     /*  683516 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683591), // Rule ID 10579 //
     /*  683521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  683532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  683535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  683538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  683541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683567 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683589 */     GIR_RootConstrainSelectedInstOperands,
     /*  683590 */     // GIR_Coverage, 10579,
     /*  683590 */     GIR_EraseRootFromParent_Done,
     /*  683591 */   // Label 10842: @683591
     /*  683591 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683666), // Rule ID 10582 //
     /*  683596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  683616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683664 */     GIR_RootConstrainSelectedInstOperands,
     /*  683665 */     // GIR_Coverage, 10582,
     /*  683665 */     GIR_EraseRootFromParent_Done,
     /*  683666 */   // Label 10843: @683666
     /*  683666 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(683741), // Rule ID 10583 //
     /*  683671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  683691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683739 */     GIR_RootConstrainSelectedInstOperands,
     /*  683740 */     // GIR_Coverage, 10583,
     /*  683740 */     GIR_EraseRootFromParent_Done,
     /*  683741 */   // Label 10844: @683741
     /*  683741 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(683816), // Rule ID 10586 //
     /*  683746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  683757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  683760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  683763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  683766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  683795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683814 */     GIR_RootConstrainSelectedInstOperands,
     /*  683815 */     // GIR_Coverage, 10586,
     /*  683815 */     GIR_EraseRootFromParent_Done,
     /*  683816 */   // Label 10845: @683816
     /*  683816 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(683891), // Rule ID 10587 //
     /*  683821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  683832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  683835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  683838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  683841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  683870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683889 */     GIR_RootConstrainSelectedInstOperands,
     /*  683890 */     // GIR_Coverage, 10587,
     /*  683890 */     GIR_EraseRootFromParent_Done,
     /*  683891 */   // Label 10846: @683891
     /*  683891 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(683966), // Rule ID 10590 //
     /*  683896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  683916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  683945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683964 */     GIR_RootConstrainSelectedInstOperands,
     /*  683965 */     // GIR_Coverage, 10590,
     /*  683965 */     GIR_EraseRootFromParent_Done,
     /*  683966 */   // Label 10847: @683966
     /*  683966 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(684041), // Rule ID 10591 //
     /*  683971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  683991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684017 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684039 */     GIR_RootConstrainSelectedInstOperands,
     /*  684040 */     // GIR_Coverage, 10591,
     /*  684040 */     GIR_EraseRootFromParent_Done,
     /*  684041 */   // Label 10848: @684041
     /*  684041 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684116), // Rule ID 10594 //
     /*  684046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684114 */     GIR_RootConstrainSelectedInstOperands,
     /*  684115 */     // GIR_Coverage, 10594,
     /*  684115 */     GIR_EraseRootFromParent_Done,
     /*  684116 */   // Label 10849: @684116
     /*  684116 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684191), // Rule ID 10595 //
     /*  684121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684167 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684189 */     GIR_RootConstrainSelectedInstOperands,
     /*  684190 */     // GIR_Coverage, 10595,
     /*  684190 */     GIR_EraseRootFromParent_Done,
     /*  684191 */   // Label 10850: @684191
     /*  684191 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(684266), // Rule ID 10598 //
     /*  684196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684264 */     GIR_RootConstrainSelectedInstOperands,
     /*  684265 */     // GIR_Coverage, 10598,
     /*  684265 */     GIR_EraseRootFromParent_Done,
     /*  684266 */   // Label 10851: @684266
     /*  684266 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(684341), // Rule ID 10599 //
     /*  684271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684317 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684339 */     GIR_RootConstrainSelectedInstOperands,
     /*  684340 */     // GIR_Coverage, 10599,
     /*  684340 */     GIR_EraseRootFromParent_Done,
     /*  684341 */   // Label 10852: @684341
     /*  684341 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684416), // Rule ID 10602 //
     /*  684346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  684357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  684360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  684363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684414 */     GIR_RootConstrainSelectedInstOperands,
     /*  684415 */     // GIR_Coverage, 10602,
     /*  684415 */     GIR_EraseRootFromParent_Done,
     /*  684416 */   // Label 10853: @684416
     /*  684416 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684491), // Rule ID 10603 //
     /*  684421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  684432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  684435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  684438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684489 */     GIR_RootConstrainSelectedInstOperands,
     /*  684490 */     // GIR_Coverage, 10603,
     /*  684490 */     GIR_EraseRootFromParent_Done,
     /*  684491 */   // Label 10854: @684491
     /*  684491 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684566), // Rule ID 10606 //
     /*  684496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  684507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  684510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  684513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684564 */     GIR_RootConstrainSelectedInstOperands,
     /*  684565 */     // GIR_Coverage, 10606,
     /*  684565 */     GIR_EraseRootFromParent_Done,
     /*  684566 */   // Label 10855: @684566
     /*  684566 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684641), // Rule ID 10607 //
     /*  684571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  684582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  684585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  684588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684639 */     GIR_RootConstrainSelectedInstOperands,
     /*  684640 */     // GIR_Coverage, 10607,
     /*  684640 */     GIR_EraseRootFromParent_Done,
     /*  684641 */   // Label 10856: @684641
     /*  684641 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684716), // Rule ID 10610 //
     /*  684646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  684695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684714 */     GIR_RootConstrainSelectedInstOperands,
     /*  684715 */     // GIR_Coverage, 10610,
     /*  684715 */     GIR_EraseRootFromParent_Done,
     /*  684716 */   // Label 10857: @684716
     /*  684716 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(684791), // Rule ID 10611 //
     /*  684721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  684770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684789 */     GIR_RootConstrainSelectedInstOperands,
     /*  684790 */     // GIR_Coverage, 10611,
     /*  684790 */     GIR_EraseRootFromParent_Done,
     /*  684791 */   // Label 10858: @684791
     /*  684791 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(684866), // Rule ID 10614 //
     /*  684796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  684845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684864 */     GIR_RootConstrainSelectedInstOperands,
     /*  684865 */     // GIR_Coverage, 10614,
     /*  684865 */     GIR_EraseRootFromParent_Done,
     /*  684866 */   // Label 10859: @684866
     /*  684866 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(684941), // Rule ID 10615 //
     /*  684871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  684920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684939 */     GIR_RootConstrainSelectedInstOperands,
     /*  684940 */     // GIR_Coverage, 10615,
     /*  684940 */     GIR_EraseRootFromParent_Done,
     /*  684941 */   // Label 10860: @684941
     /*  684941 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(685016), // Rule ID 10618 //
     /*  684946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  684995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685014 */     GIR_RootConstrainSelectedInstOperands,
     /*  685015 */     // GIR_Coverage, 10618,
     /*  685015 */     GIR_EraseRootFromParent_Done,
     /*  685016 */   // Label 10861: @685016
     /*  685016 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(685091), // Rule ID 10619 //
     /*  685021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685089 */     GIR_RootConstrainSelectedInstOperands,
     /*  685090 */     // GIR_Coverage, 10619,
     /*  685090 */     GIR_EraseRootFromParent_Done,
     /*  685091 */   // Label 10862: @685091
     /*  685091 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685166), // Rule ID 10622 //
     /*  685096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685164 */     GIR_RootConstrainSelectedInstOperands,
     /*  685165 */     // GIR_Coverage, 10622,
     /*  685165 */     GIR_EraseRootFromParent_Done,
     /*  685166 */   // Label 10863: @685166
     /*  685166 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685241), // Rule ID 10623 //
     /*  685171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685239 */     GIR_RootConstrainSelectedInstOperands,
     /*  685240 */     // GIR_Coverage, 10623,
     /*  685240 */     GIR_EraseRootFromParent_Done,
     /*  685241 */   // Label 10864: @685241
     /*  685241 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(685316), // Rule ID 10626 //
     /*  685246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685314 */     GIR_RootConstrainSelectedInstOperands,
     /*  685315 */     // GIR_Coverage, 10626,
     /*  685315 */     GIR_EraseRootFromParent_Done,
     /*  685316 */   // Label 10865: @685316
     /*  685316 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685391), // Rule ID 10627 //
     /*  685321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685367 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685389 */     GIR_RootConstrainSelectedInstOperands,
     /*  685390 */     // GIR_Coverage, 10627,
     /*  685390 */     GIR_EraseRootFromParent_Done,
     /*  685391 */   // Label 10866: @685391
     /*  685391 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685466), // Rule ID 10630 //
     /*  685396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  685407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  685410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  685413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  685445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685464 */     GIR_RootConstrainSelectedInstOperands,
     /*  685465 */     // GIR_Coverage, 10630,
     /*  685465 */     GIR_EraseRootFromParent_Done,
     /*  685466 */   // Label 10867: @685466
     /*  685466 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685541), // Rule ID 10631 //
     /*  685471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  685482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  685485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  685488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685517 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  685520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685539 */     GIR_RootConstrainSelectedInstOperands,
     /*  685540 */     // GIR_Coverage, 10631,
     /*  685540 */     GIR_EraseRootFromParent_Done,
     /*  685541 */   // Label 10868: @685541
     /*  685541 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685616), // Rule ID 10634 //
     /*  685546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  685557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  685560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  685563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  685595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685614 */     GIR_RootConstrainSelectedInstOperands,
     /*  685615 */     // GIR_Coverage, 10634,
     /*  685615 */     GIR_EraseRootFromParent_Done,
     /*  685616 */   // Label 10869: @685616
     /*  685616 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685691), // Rule ID 10635 //
     /*  685621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  685632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  685635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  685638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685667 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  685670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685689 */     GIR_RootConstrainSelectedInstOperands,
     /*  685690 */     // GIR_Coverage, 10635,
     /*  685690 */     GIR_EraseRootFromParent_Done,
     /*  685691 */   // Label 10870: @685691
     /*  685691 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(685766), // Rule ID 10638 //
     /*  685696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685742 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685764 */     GIR_RootConstrainSelectedInstOperands,
     /*  685765 */     // GIR_Coverage, 10638,
     /*  685765 */     GIR_EraseRootFromParent_Done,
     /*  685766 */   // Label 10871: @685766
     /*  685766 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(685841), // Rule ID 10639 //
     /*  685771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685817 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685839 */     GIR_RootConstrainSelectedInstOperands,
     /*  685840 */     // GIR_Coverage, 10639,
     /*  685840 */     GIR_EraseRootFromParent_Done,
     /*  685841 */   // Label 10872: @685841
     /*  685841 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(685916), // Rule ID 10642 //
     /*  685846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  685895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685914 */     GIR_RootConstrainSelectedInstOperands,
     /*  685915 */     // GIR_Coverage, 10642,
     /*  685915 */     GIR_EraseRootFromParent_Done,
     /*  685916 */   // Label 10873: @685916
     /*  685916 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(685991), // Rule ID 10643 //
     /*  685921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685967 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  685970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685989 */     GIR_RootConstrainSelectedInstOperands,
     /*  685990 */     // GIR_Coverage, 10643,
     /*  685990 */     GIR_EraseRootFromParent_Done,
     /*  685991 */   // Label 10874: @685991
     /*  685991 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(686066), // Rule ID 10646 //
     /*  685996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686064 */     GIR_RootConstrainSelectedInstOperands,
     /*  686065 */     // GIR_Coverage, 10646,
     /*  686065 */     GIR_EraseRootFromParent_Done,
     /*  686066 */   // Label 10875: @686066
     /*  686066 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686141), // Rule ID 10647 //
     /*  686071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686117 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686139 */     GIR_RootConstrainSelectedInstOperands,
     /*  686140 */     // GIR_Coverage, 10647,
     /*  686140 */     GIR_EraseRootFromParent_Done,
     /*  686141 */   // Label 10876: @686141
     /*  686141 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686216), // Rule ID 10650 //
     /*  686146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686214 */     GIR_RootConstrainSelectedInstOperands,
     /*  686215 */     // GIR_Coverage, 10650,
     /*  686215 */     GIR_EraseRootFromParent_Done,
     /*  686216 */   // Label 10877: @686216
     /*  686216 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(686291), // Rule ID 10651 //
     /*  686221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686289 */     GIR_RootConstrainSelectedInstOperands,
     /*  686290 */     // GIR_Coverage, 10651,
     /*  686290 */     GIR_EraseRootFromParent_Done,
     /*  686291 */   // Label 10878: @686291
     /*  686291 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(686366), // Rule ID 10654 //
     /*  686296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  686307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  686310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  686313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686364 */     GIR_RootConstrainSelectedInstOperands,
     /*  686365 */     // GIR_Coverage, 10654,
     /*  686365 */     GIR_EraseRootFromParent_Done,
     /*  686366 */   // Label 10879: @686366
     /*  686366 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686441), // Rule ID 10655 //
     /*  686371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  686382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  686385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  686388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686439 */     GIR_RootConstrainSelectedInstOperands,
     /*  686440 */     // GIR_Coverage, 10655,
     /*  686440 */     GIR_EraseRootFromParent_Done,
     /*  686441 */   // Label 10880: @686441
     /*  686441 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686516), // Rule ID 10658 //
     /*  686446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  686457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  686460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  686463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686514 */     GIR_RootConstrainSelectedInstOperands,
     /*  686515 */     // GIR_Coverage, 10658,
     /*  686515 */     GIR_EraseRootFromParent_Done,
     /*  686516 */   // Label 10881: @686516
     /*  686516 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686591), // Rule ID 10659 //
     /*  686521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  686532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  686535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  686538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686589 */     GIR_RootConstrainSelectedInstOperands,
     /*  686590 */     // GIR_Coverage, 10659,
     /*  686590 */     GIR_EraseRootFromParent_Done,
     /*  686591 */   // Label 10882: @686591
     /*  686591 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686666), // Rule ID 10662 //
     /*  686596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686664 */     GIR_RootConstrainSelectedInstOperands,
     /*  686665 */     // GIR_Coverage, 10662,
     /*  686665 */     GIR_EraseRootFromParent_Done,
     /*  686666 */   // Label 10883: @686666
     /*  686666 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(686741), // Rule ID 10663 //
     /*  686671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686739 */     GIR_RootConstrainSelectedInstOperands,
     /*  686740 */     // GIR_Coverage, 10663,
     /*  686740 */     GIR_EraseRootFromParent_Done,
     /*  686741 */   // Label 10884: @686741
     /*  686741 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(686816), // Rule ID 10666 //
     /*  686746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  686757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  686760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  686763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686814 */     GIR_RootConstrainSelectedInstOperands,
     /*  686815 */     // GIR_Coverage, 10666,
     /*  686815 */     GIR_EraseRootFromParent_Done,
     /*  686816 */   // Label 10885: @686816
     /*  686816 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(686891), // Rule ID 10667 //
     /*  686821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  686832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  686835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  686838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686889 */     GIR_RootConstrainSelectedInstOperands,
     /*  686890 */     // GIR_Coverage, 10667,
     /*  686890 */     GIR_EraseRootFromParent_Done,
     /*  686891 */   // Label 10886: @686891
     /*  686891 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(686966), // Rule ID 10670 //
     /*  686896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686964 */     GIR_RootConstrainSelectedInstOperands,
     /*  686965 */     // GIR_Coverage, 10670,
     /*  686965 */     GIR_EraseRootFromParent_Done,
     /*  686966 */   // Label 10887: @686966
     /*  686966 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(687041), // Rule ID 10671 //
     /*  686971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  687020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687039 */     GIR_RootConstrainSelectedInstOperands,
     /*  687040 */     // GIR_Coverage, 10671,
     /*  687040 */     GIR_EraseRootFromParent_Done,
     /*  687041 */   // Label 10888: @687041
     /*  687041 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687116), // Rule ID 10674 //
     /*  687046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  687095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687114 */     GIR_RootConstrainSelectedInstOperands,
     /*  687115 */     // GIR_Coverage, 10674,
     /*  687115 */     GIR_EraseRootFromParent_Done,
     /*  687116 */   // Label 10889: @687116
     /*  687116 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687191), // Rule ID 10675 //
     /*  687121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  687170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687189 */     GIR_RootConstrainSelectedInstOperands,
     /*  687190 */     // GIR_Coverage, 10675,
     /*  687190 */     GIR_EraseRootFromParent_Done,
     /*  687191 */   // Label 10890: @687191
     /*  687191 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(687266), // Rule ID 10678 //
     /*  687196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  687216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687264 */     GIR_RootConstrainSelectedInstOperands,
     /*  687265 */     // GIR_Coverage, 10678,
     /*  687265 */     GIR_EraseRootFromParent_Done,
     /*  687266 */   // Label 10891: @687266
     /*  687266 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(687341), // Rule ID 10679 //
     /*  687271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  687291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687339 */     GIR_RootConstrainSelectedInstOperands,
     /*  687340 */     // GIR_Coverage, 10679,
     /*  687340 */     GIR_EraseRootFromParent_Done,
     /*  687341 */   // Label 10892: @687341
     /*  687341 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687416), // Rule ID 10682 //
     /*  687346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  687357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  687360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  687363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  687366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687414 */     GIR_RootConstrainSelectedInstOperands,
     /*  687415 */     // GIR_Coverage, 10682,
     /*  687415 */     GIR_EraseRootFromParent_Done,
     /*  687416 */   // Label 10893: @687416
     /*  687416 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687491), // Rule ID 10683 //
     /*  687421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  687432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  687435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  687438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  687441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687489 */     GIR_RootConstrainSelectedInstOperands,
     /*  687490 */     // GIR_Coverage, 10683,
     /*  687490 */     GIR_EraseRootFromParent_Done,
     /*  687491 */   // Label 10894: @687491
     /*  687491 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687566), // Rule ID 10686 //
     /*  687496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  687507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  687510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  687513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  687516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687564 */     GIR_RootConstrainSelectedInstOperands,
     /*  687565 */     // GIR_Coverage, 10686,
     /*  687565 */     GIR_EraseRootFromParent_Done,
     /*  687566 */   // Label 10895: @687566
     /*  687566 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687641), // Rule ID 10687 //
     /*  687571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  687582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  687585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  687588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  687591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687639 */     GIR_RootConstrainSelectedInstOperands,
     /*  687640 */     // GIR_Coverage, 10687,
     /*  687640 */     GIR_EraseRootFromParent_Done,
     /*  687641 */   // Label 10896: @687641
     /*  687641 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687716), // Rule ID 10690 //
     /*  687646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  687666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687714 */     GIR_RootConstrainSelectedInstOperands,
     /*  687715 */     // GIR_Coverage, 10690,
     /*  687715 */     GIR_EraseRootFromParent_Done,
     /*  687716 */   // Label 10897: @687716
     /*  687716 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(687791), // Rule ID 10691 //
     /*  687721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  687741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687767 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687789 */     GIR_RootConstrainSelectedInstOperands,
     /*  687790 */     // GIR_Coverage, 10691,
     /*  687790 */     GIR_EraseRootFromParent_Done,
     /*  687791 */   // Label 10898: @687791
     /*  687791 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(687866), // Rule ID 10694 //
     /*  687796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  687816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687864 */     GIR_RootConstrainSelectedInstOperands,
     /*  687865 */     // GIR_Coverage, 10694,
     /*  687865 */     GIR_EraseRootFromParent_Done,
     /*  687866 */   // Label 10899: @687866
     /*  687866 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(687941), // Rule ID 10695 //
     /*  687871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  687891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  687920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687939 */     GIR_RootConstrainSelectedInstOperands,
     /*  687940 */     // GIR_Coverage, 10695,
     /*  687940 */     GIR_EraseRootFromParent_Done,
     /*  687941 */   // Label 10900: @687941
     /*  687941 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(688016), // Rule ID 10698 //
     /*  687946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  687966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  687995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688014 */     GIR_RootConstrainSelectedInstOperands,
     /*  688015 */     // GIR_Coverage, 10698,
     /*  688015 */     GIR_EraseRootFromParent_Done,
     /*  688016 */   // Label 10901: @688016
     /*  688016 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(688091), // Rule ID 10699 //
     /*  688021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688089 */     GIR_RootConstrainSelectedInstOperands,
     /*  688090 */     // GIR_Coverage, 10699,
     /*  688090 */     GIR_EraseRootFromParent_Done,
     /*  688091 */   // Label 10902: @688091
     /*  688091 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688166), // Rule ID 10702 //
     /*  688096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688164 */     GIR_RootConstrainSelectedInstOperands,
     /*  688165 */     // GIR_Coverage, 10702,
     /*  688165 */     GIR_EraseRootFromParent_Done,
     /*  688166 */   // Label 10903: @688166
     /*  688166 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688241), // Rule ID 10703 //
     /*  688171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688239 */     GIR_RootConstrainSelectedInstOperands,
     /*  688240 */     // GIR_Coverage, 10703,
     /*  688240 */     GIR_EraseRootFromParent_Done,
     /*  688241 */   // Label 10904: @688241
     /*  688241 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(688316), // Rule ID 10706 //
     /*  688246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  688257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  688260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  688263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  688266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688314 */     GIR_RootConstrainSelectedInstOperands,
     /*  688315 */     // GIR_Coverage, 10706,
     /*  688315 */     GIR_EraseRootFromParent_Done,
     /*  688316 */   // Label 10905: @688316
     /*  688316 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688391), // Rule ID 10707 //
     /*  688321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  688332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  688335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  688338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  688341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688389 */     GIR_RootConstrainSelectedInstOperands,
     /*  688390 */     // GIR_Coverage, 10707,
     /*  688390 */     GIR_EraseRootFromParent_Done,
     /*  688391 */   // Label 10906: @688391
     /*  688391 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688466), // Rule ID 10710 //
     /*  688396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  688407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  688410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  688413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  688416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688464 */     GIR_RootConstrainSelectedInstOperands,
     /*  688465 */     // GIR_Coverage, 10710,
     /*  688465 */     GIR_EraseRootFromParent_Done,
     /*  688466 */   // Label 10907: @688466
     /*  688466 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688541), // Rule ID 10711 //
     /*  688471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  688482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  688485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  688488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  688491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  688517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688539 */     GIR_RootConstrainSelectedInstOperands,
     /*  688540 */     // GIR_Coverage, 10711,
     /*  688540 */     GIR_EraseRootFromParent_Done,
     /*  688541 */   // Label 10908: @688541
     /*  688541 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688616), // Rule ID 10714 //
     /*  688546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  688557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  688560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  688563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  688566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  688595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688614 */     GIR_RootConstrainSelectedInstOperands,
     /*  688615 */     // GIR_Coverage, 10714,
     /*  688615 */     GIR_EraseRootFromParent_Done,
     /*  688616 */   // Label 10909: @688616
     /*  688616 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688691), // Rule ID 10715 //
     /*  688621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  688632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  688635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  688638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  688641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  688670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688689 */     GIR_RootConstrainSelectedInstOperands,
     /*  688690 */     // GIR_Coverage, 10715,
     /*  688690 */     GIR_EraseRootFromParent_Done,
     /*  688691 */   // Label 10910: @688691
     /*  688691 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(688766), // Rule ID 10718 //
     /*  688696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  688716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  688745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688764 */     GIR_RootConstrainSelectedInstOperands,
     /*  688765 */     // GIR_Coverage, 10718,
     /*  688765 */     GIR_EraseRootFromParent_Done,
     /*  688766 */   // Label 10911: @688766
     /*  688766 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(688841), // Rule ID 10719 //
     /*  688771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  688791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  688820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688839 */     GIR_RootConstrainSelectedInstOperands,
     /*  688840 */     // GIR_Coverage, 10719,
     /*  688840 */     GIR_EraseRootFromParent_Done,
     /*  688841 */   // Label 10912: @688841
     /*  688841 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(688916), // Rule ID 10722 //
     /*  688846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  688866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  688895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688914 */     GIR_RootConstrainSelectedInstOperands,
     /*  688915 */     // GIR_Coverage, 10722,
     /*  688915 */     GIR_EraseRootFromParent_Done,
     /*  688916 */   // Label 10913: @688916
     /*  688916 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(688991), // Rule ID 10723 //
     /*  688921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  688941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688967 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  688970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688989 */     GIR_RootConstrainSelectedInstOperands,
     /*  688990 */     // GIR_Coverage, 10723,
     /*  688990 */     GIR_EraseRootFromParent_Done,
     /*  688991 */   // Label 10914: @688991
     /*  688991 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(689066), // Rule ID 10726 //
     /*  688996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689064 */     GIR_RootConstrainSelectedInstOperands,
     /*  689065 */     // GIR_Coverage, 10726,
     /*  689065 */     GIR_EraseRootFromParent_Done,
     /*  689066 */   // Label 10915: @689066
     /*  689066 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689141), // Rule ID 10727 //
     /*  689071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689139 */     GIR_RootConstrainSelectedInstOperands,
     /*  689140 */     // GIR_Coverage, 10727,
     /*  689140 */     GIR_EraseRootFromParent_Done,
     /*  689141 */   // Label 10916: @689141
     /*  689141 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689216), // Rule ID 10730 //
     /*  689146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  689166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689214 */     GIR_RootConstrainSelectedInstOperands,
     /*  689215 */     // GIR_Coverage, 10730,
     /*  689215 */     GIR_EraseRootFromParent_Done,
     /*  689216 */   // Label 10917: @689216
     /*  689216 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(689291), // Rule ID 10731 //
     /*  689221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  689241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689289 */     GIR_RootConstrainSelectedInstOperands,
     /*  689290 */     // GIR_Coverage, 10731,
     /*  689290 */     GIR_EraseRootFromParent_Done,
     /*  689291 */   // Label 10918: @689291
     /*  689291 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(689366), // Rule ID 10734 //
     /*  689296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  689307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  689310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  689313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  689316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689364 */     GIR_RootConstrainSelectedInstOperands,
     /*  689365 */     // GIR_Coverage, 10734,
     /*  689365 */     GIR_EraseRootFromParent_Done,
     /*  689366 */   // Label 10919: @689366
     /*  689366 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689441), // Rule ID 10735 //
     /*  689371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  689382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  689385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  689388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  689391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689439 */     GIR_RootConstrainSelectedInstOperands,
     /*  689440 */     // GIR_Coverage, 10735,
     /*  689440 */     GIR_EraseRootFromParent_Done,
     /*  689441 */   // Label 10920: @689441
     /*  689441 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689516), // Rule ID 10738 //
     /*  689446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  689457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  689460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  689463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  689466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689514 */     GIR_RootConstrainSelectedInstOperands,
     /*  689515 */     // GIR_Coverage, 10738,
     /*  689515 */     GIR_EraseRootFromParent_Done,
     /*  689516 */   // Label 10921: @689516
     /*  689516 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689591), // Rule ID 10739 //
     /*  689521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  689532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  689535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  689538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  689541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689589 */     GIR_RootConstrainSelectedInstOperands,
     /*  689590 */     // GIR_Coverage, 10739,
     /*  689590 */     GIR_EraseRootFromParent_Done,
     /*  689591 */   // Label 10922: @689591
     /*  689591 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689666), // Rule ID 10742 //
     /*  689596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  689616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689664 */     GIR_RootConstrainSelectedInstOperands,
     /*  689665 */     // GIR_Coverage, 10742,
     /*  689665 */     GIR_EraseRootFromParent_Done,
     /*  689666 */   // Label 10923: @689666
     /*  689666 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(689741), // Rule ID 10743 //
     /*  689671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  689691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689739 */     GIR_RootConstrainSelectedInstOperands,
     /*  689740 */     // GIR_Coverage, 10743,
     /*  689740 */     GIR_EraseRootFromParent_Done,
     /*  689741 */   // Label 10924: @689741
     /*  689741 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(689816), // Rule ID 10746 //
     /*  689746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  689757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  689760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  689763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  689766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689814 */     GIR_RootConstrainSelectedInstOperands,
     /*  689815 */     // GIR_Coverage, 10746,
     /*  689815 */     GIR_EraseRootFromParent_Done,
     /*  689816 */   // Label 10925: @689816
     /*  689816 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(689891), // Rule ID 10747 //
     /*  689821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  689832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  689835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  689838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  689841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689889 */     GIR_RootConstrainSelectedInstOperands,
     /*  689890 */     // GIR_Coverage, 10747,
     /*  689890 */     GIR_EraseRootFromParent_Done,
     /*  689891 */   // Label 10926: @689891
     /*  689891 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(689966), // Rule ID 10750 //
     /*  689896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  689916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689964 */     GIR_RootConstrainSelectedInstOperands,
     /*  689965 */     // GIR_Coverage, 10750,
     /*  689965 */     GIR_EraseRootFromParent_Done,
     /*  689966 */   // Label 10927: @689966
     /*  689966 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(690041), // Rule ID 10751 //
     /*  689971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  689991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  690020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690039 */     GIR_RootConstrainSelectedInstOperands,
     /*  690040 */     // GIR_Coverage, 10751,
     /*  690040 */     GIR_EraseRootFromParent_Done,
     /*  690041 */   // Label 10928: @690041
     /*  690041 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690116), // Rule ID 10754 //
     /*  690046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690114 */     GIR_RootConstrainSelectedInstOperands,
     /*  690115 */     // GIR_Coverage, 10754,
     /*  690115 */     GIR_EraseRootFromParent_Done,
     /*  690116 */   // Label 10929: @690116
     /*  690116 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690191), // Rule ID 10755 //
     /*  690121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690189 */     GIR_RootConstrainSelectedInstOperands,
     /*  690190 */     // GIR_Coverage, 10755,
     /*  690190 */     GIR_EraseRootFromParent_Done,
     /*  690191 */   // Label 10930: @690191
     /*  690191 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(690266), // Rule ID 10758 //
     /*  690196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  690216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690264 */     GIR_RootConstrainSelectedInstOperands,
     /*  690265 */     // GIR_Coverage, 10758,
     /*  690265 */     GIR_EraseRootFromParent_Done,
     /*  690266 */   // Label 10931: @690266
     /*  690266 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(690341), // Rule ID 10759 //
     /*  690271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  690291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690339 */     GIR_RootConstrainSelectedInstOperands,
     /*  690340 */     // GIR_Coverage, 10759,
     /*  690340 */     GIR_EraseRootFromParent_Done,
     /*  690341 */   // Label 10932: @690341
     /*  690341 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690416), // Rule ID 10762 //
     /*  690346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  690357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  690360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  690363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  690395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690414 */     GIR_RootConstrainSelectedInstOperands,
     /*  690415 */     // GIR_Coverage, 10762,
     /*  690415 */     GIR_EraseRootFromParent_Done,
     /*  690416 */   // Label 10933: @690416
     /*  690416 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690491), // Rule ID 10763 //
     /*  690421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  690432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  690435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  690438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  690470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690489 */     GIR_RootConstrainSelectedInstOperands,
     /*  690490 */     // GIR_Coverage, 10763,
     /*  690490 */     GIR_EraseRootFromParent_Done,
     /*  690491 */   // Label 10934: @690491
     /*  690491 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690566), // Rule ID 10766 //
     /*  690496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  690507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  690510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  690513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690542 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  690545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690564 */     GIR_RootConstrainSelectedInstOperands,
     /*  690565 */     // GIR_Coverage, 10766,
     /*  690565 */     GIR_EraseRootFromParent_Done,
     /*  690566 */   // Label 10935: @690566
     /*  690566 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690641), // Rule ID 10767 //
     /*  690571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  690582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  690585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  690588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  690620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690639 */     GIR_RootConstrainSelectedInstOperands,
     /*  690640 */     // GIR_Coverage, 10767,
     /*  690640 */     GIR_EraseRootFromParent_Done,
     /*  690641 */   // Label 10936: @690641
     /*  690641 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690716), // Rule ID 10770 //
     /*  690646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  690695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690714 */     GIR_RootConstrainSelectedInstOperands,
     /*  690715 */     // GIR_Coverage, 10770,
     /*  690715 */     GIR_EraseRootFromParent_Done,
     /*  690716 */   // Label 10937: @690716
     /*  690716 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(690791), // Rule ID 10771 //
     /*  690721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  690770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690789 */     GIR_RootConstrainSelectedInstOperands,
     /*  690790 */     // GIR_Coverage, 10771,
     /*  690790 */     GIR_EraseRootFromParent_Done,
     /*  690791 */   // Label 10938: @690791
     /*  690791 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(690866), // Rule ID 10774 //
     /*  690796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  690845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690864 */     GIR_RootConstrainSelectedInstOperands,
     /*  690865 */     // GIR_Coverage, 10774,
     /*  690865 */     GIR_EraseRootFromParent_Done,
     /*  690866 */   // Label 10939: @690866
     /*  690866 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(690941), // Rule ID 10775 //
     /*  690871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  690891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  690920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690939 */     GIR_RootConstrainSelectedInstOperands,
     /*  690940 */     // GIR_Coverage, 10775,
     /*  690940 */     GIR_EraseRootFromParent_Done,
     /*  690941 */   // Label 10940: @690941
     /*  690941 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(691016), // Rule ID 10778 //
     /*  690946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  690966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  690985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  690995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691014 */     GIR_RootConstrainSelectedInstOperands,
     /*  691015 */     // GIR_Coverage, 10778,
     /*  691015 */     GIR_EraseRootFromParent_Done,
     /*  691016 */   // Label 10941: @691016
     /*  691016 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(691091), // Rule ID 10779 //
     /*  691021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691089 */     GIR_RootConstrainSelectedInstOperands,
     /*  691090 */     // GIR_Coverage, 10779,
     /*  691090 */     GIR_EraseRootFromParent_Done,
     /*  691091 */   // Label 10942: @691091
     /*  691091 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691166), // Rule ID 10782 //
     /*  691096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691164 */     GIR_RootConstrainSelectedInstOperands,
     /*  691165 */     // GIR_Coverage, 10782,
     /*  691165 */     GIR_EraseRootFromParent_Done,
     /*  691166 */   // Label 10943: @691166
     /*  691166 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691241), // Rule ID 10783 //
     /*  691171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691239 */     GIR_RootConstrainSelectedInstOperands,
     /*  691240 */     // GIR_Coverage, 10783,
     /*  691240 */     GIR_EraseRootFromParent_Done,
     /*  691241 */   // Label 10944: @691241
     /*  691241 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(691316), // Rule ID 10786 //
     /*  691246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  691257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  691260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  691263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691314 */     GIR_RootConstrainSelectedInstOperands,
     /*  691315 */     // GIR_Coverage, 10786,
     /*  691315 */     GIR_EraseRootFromParent_Done,
     /*  691316 */   // Label 10945: @691316
     /*  691316 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691391), // Rule ID 10787 //
     /*  691321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  691332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  691335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  691338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691389 */     GIR_RootConstrainSelectedInstOperands,
     /*  691390 */     // GIR_Coverage, 10787,
     /*  691390 */     GIR_EraseRootFromParent_Done,
     /*  691391 */   // Label 10946: @691391
     /*  691391 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691466), // Rule ID 10790 //
     /*  691396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  691407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  691410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  691413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691464 */     GIR_RootConstrainSelectedInstOperands,
     /*  691465 */     // GIR_Coverage, 10790,
     /*  691465 */     GIR_EraseRootFromParent_Done,
     /*  691466 */   // Label 10947: @691466
     /*  691466 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691541), // Rule ID 10791 //
     /*  691471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  691482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  691485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  691488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691539 */     GIR_RootConstrainSelectedInstOperands,
     /*  691540 */     // GIR_Coverage, 10791,
     /*  691540 */     GIR_EraseRootFromParent_Done,
     /*  691541 */   // Label 10948: @691541
     /*  691541 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691616), // Rule ID 10794 //
     /*  691546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  691557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  691560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  691563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691614 */     GIR_RootConstrainSelectedInstOperands,
     /*  691615 */     // GIR_Coverage, 10794,
     /*  691615 */     GIR_EraseRootFromParent_Done,
     /*  691616 */   // Label 10949: @691616
     /*  691616 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691691), // Rule ID 10795 //
     /*  691621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  691632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  691635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  691638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691689 */     GIR_RootConstrainSelectedInstOperands,
     /*  691690 */     // GIR_Coverage, 10795,
     /*  691690 */     GIR_EraseRootFromParent_Done,
     /*  691691 */   // Label 10950: @691691
     /*  691691 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(691766), // Rule ID 10798 //
     /*  691696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  691699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  691707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  691710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  691713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691764 */     GIR_RootConstrainSelectedInstOperands,
     /*  691765 */     // GIR_Coverage, 10798,
     /*  691765 */     GIR_EraseRootFromParent_Done,
     /*  691766 */   // Label 10951: @691766
     /*  691766 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(691841), // Rule ID 10799 //
     /*  691771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  691774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  691782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  691785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  691788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691839 */     GIR_RootConstrainSelectedInstOperands,
     /*  691840 */     // GIR_Coverage, 10799,
     /*  691840 */     GIR_EraseRootFromParent_Done,
     /*  691841 */   // Label 10952: @691841
     /*  691841 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(691916), // Rule ID 10802 //
     /*  691846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  691895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691914 */     GIR_RootConstrainSelectedInstOperands,
     /*  691915 */     // GIR_Coverage, 10802,
     /*  691915 */     GIR_EraseRootFromParent_Done,
     /*  691916 */   // Label 10953: @691916
     /*  691916 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(691991), // Rule ID 10803 //
     /*  691921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  691970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691989 */     GIR_RootConstrainSelectedInstOperands,
     /*  691990 */     // GIR_Coverage, 10803,
     /*  691990 */     GIR_EraseRootFromParent_Done,
     /*  691991 */   // Label 10954: @691991
     /*  691991 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(692066), // Rule ID 10806 //
     /*  691996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692064 */     GIR_RootConstrainSelectedInstOperands,
     /*  692065 */     // GIR_Coverage, 10806,
     /*  692065 */     GIR_EraseRootFromParent_Done,
     /*  692066 */   // Label 10955: @692066
     /*  692066 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692141), // Rule ID 10807 //
     /*  692071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692117 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692139 */     GIR_RootConstrainSelectedInstOperands,
     /*  692140 */     // GIR_Coverage, 10807,
     /*  692140 */     GIR_EraseRootFromParent_Done,
     /*  692141 */   // Label 10956: @692141
     /*  692141 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692216), // Rule ID 10810 //
     /*  692146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692192 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692214 */     GIR_RootConstrainSelectedInstOperands,
     /*  692215 */     // GIR_Coverage, 10810,
     /*  692215 */     GIR_EraseRootFromParent_Done,
     /*  692216 */   // Label 10957: @692216
     /*  692216 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(692291), // Rule ID 10811 //
     /*  692221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692289 */     GIR_RootConstrainSelectedInstOperands,
     /*  692290 */     // GIR_Coverage, 10811,
     /*  692290 */     GIR_EraseRootFromParent_Done,
     /*  692291 */   // Label 10958: @692291
     /*  692291 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(692366), // Rule ID 10814 //
     /*  692296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692364 */     GIR_RootConstrainSelectedInstOperands,
     /*  692365 */     // GIR_Coverage, 10814,
     /*  692365 */     GIR_EraseRootFromParent_Done,
     /*  692366 */   // Label 10959: @692366
     /*  692366 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692441), // Rule ID 10815 //
     /*  692371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692439 */     GIR_RootConstrainSelectedInstOperands,
     /*  692440 */     // GIR_Coverage, 10815,
     /*  692440 */     GIR_EraseRootFromParent_Done,
     /*  692441 */   // Label 10960: @692441
     /*  692441 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(692516), // Rule ID 10818 //
     /*  692446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692514 */     GIR_RootConstrainSelectedInstOperands,
     /*  692515 */     // GIR_Coverage, 10818,
     /*  692515 */     GIR_EraseRootFromParent_Done,
     /*  692516 */   // Label 10961: @692516
     /*  692516 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692591), // Rule ID 10819 //
     /*  692521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692567 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692589 */     GIR_RootConstrainSelectedInstOperands,
     /*  692590 */     // GIR_Coverage, 10819,
     /*  692590 */     GIR_EraseRootFromParent_Done,
     /*  692591 */   // Label 10962: @692591
     /*  692591 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692666), // Rule ID 10822 //
     /*  692596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692664 */     GIR_RootConstrainSelectedInstOperands,
     /*  692665 */     // GIR_Coverage, 10822,
     /*  692665 */     GIR_EraseRootFromParent_Done,
     /*  692666 */   // Label 10963: @692666
     /*  692666 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(692741), // Rule ID 10823 //
     /*  692671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692739 */     GIR_RootConstrainSelectedInstOperands,
     /*  692740 */     // GIR_Coverage, 10823,
     /*  692740 */     GIR_EraseRootFromParent_Done,
     /*  692741 */   // Label 10964: @692741
     /*  692741 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(692816), // Rule ID 10826 //
     /*  692746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692814 */     GIR_RootConstrainSelectedInstOperands,
     /*  692815 */     // GIR_Coverage, 10826,
     /*  692815 */     GIR_EraseRootFromParent_Done,
     /*  692816 */   // Label 10965: @692816
     /*  692816 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(692891), // Rule ID 10827 //
     /*  692821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692889 */     GIR_RootConstrainSelectedInstOperands,
     /*  692890 */     // GIR_Coverage, 10827,
     /*  692890 */     GIR_EraseRootFromParent_Done,
     /*  692891 */   // Label 10966: @692891
     /*  692891 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(692966), // Rule ID 10830 //
     /*  692896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692964 */     GIR_RootConstrainSelectedInstOperands,
     /*  692965 */     // GIR_Coverage, 10830,
     /*  692965 */     GIR_EraseRootFromParent_Done,
     /*  692966 */   // Label 10967: @692966
     /*  692966 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(693041), // Rule ID 10831 //
     /*  692971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693039 */     GIR_RootConstrainSelectedInstOperands,
     /*  693040 */     // GIR_Coverage, 10831,
     /*  693040 */     GIR_EraseRootFromParent_Done,
     /*  693041 */   // Label 10968: @693041
     /*  693041 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693116), // Rule ID 10834 //
     /*  693046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693114 */     GIR_RootConstrainSelectedInstOperands,
     /*  693115 */     // GIR_Coverage, 10834,
     /*  693115 */     GIR_EraseRootFromParent_Done,
     /*  693116 */   // Label 10969: @693116
     /*  693116 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693191), // Rule ID 10835 //
     /*  693121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693189 */     GIR_RootConstrainSelectedInstOperands,
     /*  693190 */     // GIR_Coverage, 10835,
     /*  693190 */     GIR_EraseRootFromParent_Done,
     /*  693191 */   // Label 10970: @693191
     /*  693191 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(693266), // Rule ID 10838 //
     /*  693196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693264 */     GIR_RootConstrainSelectedInstOperands,
     /*  693265 */     // GIR_Coverage, 10838,
     /*  693265 */     GIR_EraseRootFromParent_Done,
     /*  693266 */   // Label 10971: @693266
     /*  693266 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(693341), // Rule ID 10839 //
     /*  693271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693339 */     GIR_RootConstrainSelectedInstOperands,
     /*  693340 */     // GIR_Coverage, 10839,
     /*  693340 */     GIR_EraseRootFromParent_Done,
     /*  693341 */   // Label 10972: @693341
     /*  693341 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693416), // Rule ID 10842 //
     /*  693346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693414 */     GIR_RootConstrainSelectedInstOperands,
     /*  693415 */     // GIR_Coverage, 10842,
     /*  693415 */     GIR_EraseRootFromParent_Done,
     /*  693416 */   // Label 10973: @693416
     /*  693416 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(693491), // Rule ID 10843 //
     /*  693421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693467 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693489 */     GIR_RootConstrainSelectedInstOperands,
     /*  693490 */     // GIR_Coverage, 10843,
     /*  693490 */     GIR_EraseRootFromParent_Done,
     /*  693491 */   // Label 10974: @693491
     /*  693491 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693566), // Rule ID 10846 //
     /*  693496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693564 */     GIR_RootConstrainSelectedInstOperands,
     /*  693565 */     // GIR_Coverage, 10846,
     /*  693565 */     GIR_EraseRootFromParent_Done,
     /*  693566 */   // Label 10975: @693566
     /*  693566 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693641), // Rule ID 10847 //
     /*  693571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693639 */     GIR_RootConstrainSelectedInstOperands,
     /*  693640 */     // GIR_Coverage, 10847,
     /*  693640 */     GIR_EraseRootFromParent_Done,
     /*  693641 */   // Label 10976: @693641
     /*  693641 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693716), // Rule ID 10850 //
     /*  693646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  693657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  693660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  693663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  693666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  693695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693714 */     GIR_RootConstrainSelectedInstOperands,
     /*  693715 */     // GIR_Coverage, 10850,
     /*  693715 */     GIR_EraseRootFromParent_Done,
     /*  693716 */   // Label 10977: @693716
     /*  693716 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(693791), // Rule ID 10851 //
     /*  693721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  693732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  693735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  693738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  693741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  693770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693789 */     GIR_RootConstrainSelectedInstOperands,
     /*  693790 */     // GIR_Coverage, 10851,
     /*  693790 */     GIR_EraseRootFromParent_Done,
     /*  693791 */   // Label 10978: @693791
     /*  693791 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(693866), // Rule ID 10854 //
     /*  693796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  693807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  693810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  693813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  693816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693842 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  693845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693864 */     GIR_RootConstrainSelectedInstOperands,
     /*  693865 */     // GIR_Coverage, 10854,
     /*  693865 */     GIR_EraseRootFromParent_Done,
     /*  693866 */   // Label 10979: @693866
     /*  693866 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(693941), // Rule ID 10855 //
     /*  693871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  693882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  693885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  693888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  693891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  693920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693939 */     GIR_RootConstrainSelectedInstOperands,
     /*  693940 */     // GIR_Coverage, 10855,
     /*  693940 */     GIR_EraseRootFromParent_Done,
     /*  693941 */   // Label 10980: @693941
     /*  693941 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(694016), // Rule ID 10858 //
     /*  693946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  693957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  693960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  693963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  693966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693992 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  693995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694014 */     GIR_RootConstrainSelectedInstOperands,
     /*  694015 */     // GIR_Coverage, 10858,
     /*  694015 */     GIR_EraseRootFromParent_Done,
     /*  694016 */   // Label 10981: @694016
     /*  694016 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(694091), // Rule ID 10859 //
     /*  694021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  694032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  694035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  694038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  694041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694067 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694089 */     GIR_RootConstrainSelectedInstOperands,
     /*  694090 */     // GIR_Coverage, 10859,
     /*  694090 */     GIR_EraseRootFromParent_Done,
     /*  694091 */   // Label 10982: @694091
     /*  694091 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694166), // Rule ID 10862 //
     /*  694096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694164 */     GIR_RootConstrainSelectedInstOperands,
     /*  694165 */     // GIR_Coverage, 10862,
     /*  694165 */     GIR_EraseRootFromParent_Done,
     /*  694166 */   // Label 10983: @694166
     /*  694166 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694241), // Rule ID 10863 //
     /*  694171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694239 */     GIR_RootConstrainSelectedInstOperands,
     /*  694240 */     // GIR_Coverage, 10863,
     /*  694240 */     GIR_EraseRootFromParent_Done,
     /*  694241 */   // Label 10984: @694241
     /*  694241 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(694316), // Rule ID 10866 //
     /*  694246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694314 */     GIR_RootConstrainSelectedInstOperands,
     /*  694315 */     // GIR_Coverage, 10866,
     /*  694315 */     GIR_EraseRootFromParent_Done,
     /*  694316 */   // Label 10985: @694316
     /*  694316 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694391), // Rule ID 10867 //
     /*  694321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694389 */     GIR_RootConstrainSelectedInstOperands,
     /*  694390 */     // GIR_Coverage, 10867,
     /*  694390 */     GIR_EraseRootFromParent_Done,
     /*  694391 */   // Label 10986: @694391
     /*  694391 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(694466), // Rule ID 10870 //
     /*  694396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  694416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694464 */     GIR_RootConstrainSelectedInstOperands,
     /*  694465 */     // GIR_Coverage, 10870,
     /*  694465 */     GIR_EraseRootFromParent_Done,
     /*  694466 */   // Label 10987: @694466
     /*  694466 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694541), // Rule ID 10871 //
     /*  694471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  694491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694539 */     GIR_RootConstrainSelectedInstOperands,
     /*  694540 */     // GIR_Coverage, 10871,
     /*  694540 */     GIR_EraseRootFromParent_Done,
     /*  694541 */   // Label 10988: @694541
     /*  694541 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694616), // Rule ID 10874 //
     /*  694546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  694557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  694560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  694563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  694566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694614 */     GIR_RootConstrainSelectedInstOperands,
     /*  694615 */     // GIR_Coverage, 10874,
     /*  694615 */     GIR_EraseRootFromParent_Done,
     /*  694616 */   // Label 10989: @694616
     /*  694616 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694691), // Rule ID 10875 //
     /*  694621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  694632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  694635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  694638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  694641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694689 */     GIR_RootConstrainSelectedInstOperands,
     /*  694690 */     // GIR_Coverage, 10875,
     /*  694690 */     GIR_EraseRootFromParent_Done,
     /*  694691 */   // Label 10990: @694691
     /*  694691 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(694766), // Rule ID 10878 //
     /*  694696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  694716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694764 */     GIR_RootConstrainSelectedInstOperands,
     /*  694765 */     // GIR_Coverage, 10878,
     /*  694765 */     GIR_EraseRootFromParent_Done,
     /*  694766 */   // Label 10991: @694766
     /*  694766 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(694841), // Rule ID 10879 //
     /*  694771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  694791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694839 */     GIR_RootConstrainSelectedInstOperands,
     /*  694840 */     // GIR_Coverage, 10879,
     /*  694840 */     GIR_EraseRootFromParent_Done,
     /*  694841 */   // Label 10992: @694841
     /*  694841 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(694916), // Rule ID 10882 //
     /*  694846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  694866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694914 */     GIR_RootConstrainSelectedInstOperands,
     /*  694915 */     // GIR_Coverage, 10882,
     /*  694915 */     GIR_EraseRootFromParent_Done,
     /*  694916 */   // Label 10993: @694916
     /*  694916 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(694991), // Rule ID 10883 //
     /*  694921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  694941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  694970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694989 */     GIR_RootConstrainSelectedInstOperands,
     /*  694990 */     // GIR_Coverage, 10883,
     /*  694990 */     GIR_EraseRootFromParent_Done,
     /*  694991 */   // Label 10994: @694991
     /*  694991 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(695066), // Rule ID 10886 //
     /*  694996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695064 */     GIR_RootConstrainSelectedInstOperands,
     /*  695065 */     // GIR_Coverage, 10886,
     /*  695065 */     GIR_EraseRootFromParent_Done,
     /*  695066 */   // Label 10995: @695066
     /*  695066 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695141), // Rule ID 10887 //
     /*  695071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695139 */     GIR_RootConstrainSelectedInstOperands,
     /*  695140 */     // GIR_Coverage, 10887,
     /*  695140 */     GIR_EraseRootFromParent_Done,
     /*  695141 */   // Label 10996: @695141
     /*  695141 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695216), // Rule ID 10890 //
     /*  695146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695214 */     GIR_RootConstrainSelectedInstOperands,
     /*  695215 */     // GIR_Coverage, 10890,
     /*  695215 */     GIR_EraseRootFromParent_Done,
     /*  695216 */   // Label 10997: @695216
     /*  695216 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(695291), // Rule ID 10891 //
     /*  695221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695289 */     GIR_RootConstrainSelectedInstOperands,
     /*  695290 */     // GIR_Coverage, 10891,
     /*  695290 */     GIR_EraseRootFromParent_Done,
     /*  695291 */   // Label 10998: @695291
     /*  695291 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(695366), // Rule ID 10894 //
     /*  695296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  695316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  695345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695364 */     GIR_RootConstrainSelectedInstOperands,
     /*  695365 */     // GIR_Coverage, 10894,
     /*  695365 */     GIR_EraseRootFromParent_Done,
     /*  695366 */   // Label 10999: @695366
     /*  695366 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(695441), // Rule ID 10895 //
     /*  695371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  695391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  695420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695439 */     GIR_RootConstrainSelectedInstOperands,
     /*  695440 */     // GIR_Coverage, 10895,
     /*  695440 */     GIR_EraseRootFromParent_Done,
     /*  695441 */   // Label 11000: @695441
     /*  695441 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(695516), // Rule ID 10898 //
     /*  695446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  695457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  695460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  695463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  695466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695492 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  695495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695514 */     GIR_RootConstrainSelectedInstOperands,
     /*  695515 */     // GIR_Coverage, 10898,
     /*  695515 */     GIR_EraseRootFromParent_Done,
     /*  695516 */   // Label 11001: @695516
     /*  695516 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695591), // Rule ID 10899 //
     /*  695521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  695532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  695535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  695538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  695541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  695570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695589 */     GIR_RootConstrainSelectedInstOperands,
     /*  695590 */     // GIR_Coverage, 10899,
     /*  695590 */     GIR_EraseRootFromParent_Done,
     /*  695591 */   // Label 11002: @695591
     /*  695591 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695666), // Rule ID 10902 //
     /*  695596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  695616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695664 */     GIR_RootConstrainSelectedInstOperands,
     /*  695665 */     // GIR_Coverage, 10902,
     /*  695665 */     GIR_EraseRootFromParent_Done,
     /*  695666 */   // Label 11003: @695666
     /*  695666 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(695741), // Rule ID 10903 //
     /*  695671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  695691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695739 */     GIR_RootConstrainSelectedInstOperands,
     /*  695740 */     // GIR_Coverage, 10903,
     /*  695740 */     GIR_EraseRootFromParent_Done,
     /*  695741 */   // Label 11004: @695741
     /*  695741 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(695816), // Rule ID 10906 //
     /*  695746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  695766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  695795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695814 */     GIR_RootConstrainSelectedInstOperands,
     /*  695815 */     // GIR_Coverage, 10906,
     /*  695815 */     GIR_EraseRootFromParent_Done,
     /*  695816 */   // Label 11005: @695816
     /*  695816 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(695891), // Rule ID 10907 //
     /*  695821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  695841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  695870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695889 */     GIR_RootConstrainSelectedInstOperands,
     /*  695890 */     // GIR_Coverage, 10907,
     /*  695890 */     GIR_EraseRootFromParent_Done,
     /*  695891 */   // Label 11006: @695891
     /*  695891 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(695966), // Rule ID 10910 //
     /*  695896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  695916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  695945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695964 */     GIR_RootConstrainSelectedInstOperands,
     /*  695965 */     // GIR_Coverage, 10910,
     /*  695965 */     GIR_EraseRootFromParent_Done,
     /*  695966 */   // Label 11007: @695966
     /*  695966 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(696041), // Rule ID 10911 //
     /*  695971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  695991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696039 */     GIR_RootConstrainSelectedInstOperands,
     /*  696040 */     // GIR_Coverage, 10911,
     /*  696040 */     GIR_EraseRootFromParent_Done,
     /*  696041 */   // Label 11008: @696041
     /*  696041 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696116), // Rule ID 10914 //
     /*  696046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696114 */     GIR_RootConstrainSelectedInstOperands,
     /*  696115 */     // GIR_Coverage, 10914,
     /*  696115 */     GIR_EraseRootFromParent_Done,
     /*  696116 */   // Label 11009: @696116
     /*  696116 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696191), // Rule ID 10915 //
     /*  696121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696189 */     GIR_RootConstrainSelectedInstOperands,
     /*  696190 */     // GIR_Coverage, 10915,
     /*  696190 */     GIR_EraseRootFromParent_Done,
     /*  696191 */   // Label 11010: @696191
     /*  696191 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(696266), // Rule ID 10918 //
     /*  696196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696264 */     GIR_RootConstrainSelectedInstOperands,
     /*  696265 */     // GIR_Coverage, 10918,
     /*  696265 */     GIR_EraseRootFromParent_Done,
     /*  696266 */   // Label 11011: @696266
     /*  696266 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(696341), // Rule ID 10919 //
     /*  696271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696339 */     GIR_RootConstrainSelectedInstOperands,
     /*  696340 */     // GIR_Coverage, 10919,
     /*  696340 */     GIR_EraseRootFromParent_Done,
     /*  696341 */   // Label 11012: @696341
     /*  696341 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696416), // Rule ID 10922 //
     /*  696346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  696366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696414 */     GIR_RootConstrainSelectedInstOperands,
     /*  696415 */     // GIR_Coverage, 10922,
     /*  696415 */     GIR_EraseRootFromParent_Done,
     /*  696416 */   // Label 11013: @696416
     /*  696416 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(696491), // Rule ID 10923 //
     /*  696421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  696441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696489 */     GIR_RootConstrainSelectedInstOperands,
     /*  696490 */     // GIR_Coverage, 10923,
     /*  696490 */     GIR_EraseRootFromParent_Done,
     /*  696491 */   // Label 11014: @696491
     /*  696491 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696566), // Rule ID 10926 //
     /*  696496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  696516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696564 */     GIR_RootConstrainSelectedInstOperands,
     /*  696565 */     // GIR_Coverage, 10926,
     /*  696565 */     GIR_EraseRootFromParent_Done,
     /*  696566 */   // Label 11015: @696566
     /*  696566 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696641), // Rule ID 10927 //
     /*  696571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  696591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696639 */     GIR_RootConstrainSelectedInstOperands,
     /*  696640 */     // GIR_Coverage, 10927,
     /*  696640 */     GIR_EraseRootFromParent_Done,
     /*  696641 */   // Label 11016: @696641
     /*  696641 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696716), // Rule ID 10930 //
     /*  696646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  696666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696714 */     GIR_RootConstrainSelectedInstOperands,
     /*  696715 */     // GIR_Coverage, 10930,
     /*  696715 */     GIR_EraseRootFromParent_Done,
     /*  696716 */   // Label 11017: @696716
     /*  696716 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(696791), // Rule ID 10931 //
     /*  696721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  696741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696789 */     GIR_RootConstrainSelectedInstOperands,
     /*  696790 */     // GIR_Coverage, 10931,
     /*  696790 */     GIR_EraseRootFromParent_Done,
     /*  696791 */   // Label 11018: @696791
     /*  696791 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(696866), // Rule ID 10934 //
     /*  696796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  696799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  696816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696864 */     GIR_RootConstrainSelectedInstOperands,
     /*  696865 */     // GIR_Coverage, 10934,
     /*  696865 */     GIR_EraseRootFromParent_Done,
     /*  696866 */   // Label 11019: @696866
     /*  696866 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(696941), // Rule ID 10935 //
     /*  696871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  696874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  696891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696917 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696939 */     GIR_RootConstrainSelectedInstOperands,
     /*  696940 */     // GIR_Coverage, 10935,
     /*  696940 */     GIR_EraseRootFromParent_Done,
     /*  696941 */   // Label 11020: @696941
     /*  696941 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(697016), // Rule ID 10938 //
     /*  696946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  696957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  696960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  696963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  696985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  696995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697014 */     GIR_RootConstrainSelectedInstOperands,
     /*  697015 */     // GIR_Coverage, 10938,
     /*  697015 */     GIR_EraseRootFromParent_Done,
     /*  697016 */   // Label 11021: @697016
     /*  697016 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(697091), // Rule ID 10939 //
     /*  697021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  697070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697089 */     GIR_RootConstrainSelectedInstOperands,
     /*  697090 */     // GIR_Coverage, 10939,
     /*  697090 */     GIR_EraseRootFromParent_Done,
     /*  697091 */   // Label 11022: @697091
     /*  697091 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697166), // Rule ID 10942 //
     /*  697096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697164 */     GIR_RootConstrainSelectedInstOperands,
     /*  697165 */     // GIR_Coverage, 10942,
     /*  697165 */     GIR_EraseRootFromParent_Done,
     /*  697166 */   // Label 11023: @697166
     /*  697166 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697241), // Rule ID 10943 //
     /*  697171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697239 */     GIR_RootConstrainSelectedInstOperands,
     /*  697240 */     // GIR_Coverage, 10943,
     /*  697240 */     GIR_EraseRootFromParent_Done,
     /*  697241 */   // Label 11024: @697241
     /*  697241 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(697316), // Rule ID 10946 //
     /*  697246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697314 */     GIR_RootConstrainSelectedInstOperands,
     /*  697315 */     // GIR_Coverage, 10946,
     /*  697315 */     GIR_EraseRootFromParent_Done,
     /*  697316 */   // Label 11025: @697316
     /*  697316 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697391), // Rule ID 10947 //
     /*  697321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697367 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697389 */     GIR_RootConstrainSelectedInstOperands,
     /*  697390 */     // GIR_Coverage, 10947,
     /*  697390 */     GIR_EraseRootFromParent_Done,
     /*  697391 */   // Label 11026: @697391
     /*  697391 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(697466), // Rule ID 10950 //
     /*  697396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697464 */     GIR_RootConstrainSelectedInstOperands,
     /*  697465 */     // GIR_Coverage, 10950,
     /*  697465 */     GIR_EraseRootFromParent_Done,
     /*  697466 */   // Label 11027: @697466
     /*  697466 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697541), // Rule ID 10951 //
     /*  697471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697539 */     GIR_RootConstrainSelectedInstOperands,
     /*  697540 */     // GIR_Coverage, 10951,
     /*  697540 */     GIR_EraseRootFromParent_Done,
     /*  697541 */   // Label 11028: @697541
     /*  697541 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697616), // Rule ID 10954 //
     /*  697546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697614 */     GIR_RootConstrainSelectedInstOperands,
     /*  697615 */     // GIR_Coverage, 10954,
     /*  697615 */     GIR_EraseRootFromParent_Done,
     /*  697616 */   // Label 11029: @697616
     /*  697616 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697691), // Rule ID 10955 //
     /*  697621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697689 */     GIR_RootConstrainSelectedInstOperands,
     /*  697690 */     // GIR_Coverage, 10955,
     /*  697690 */     GIR_EraseRootFromParent_Done,
     /*  697691 */   // Label 11030: @697691
     /*  697691 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(697766), // Rule ID 10958 //
     /*  697696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697764 */     GIR_RootConstrainSelectedInstOperands,
     /*  697765 */     // GIR_Coverage, 10958,
     /*  697765 */     GIR_EraseRootFromParent_Done,
     /*  697766 */   // Label 11031: @697766
     /*  697766 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(697841), // Rule ID 10959 //
     /*  697771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697839 */     GIR_RootConstrainSelectedInstOperands,
     /*  697840 */     // GIR_Coverage, 10959,
     /*  697840 */     GIR_EraseRootFromParent_Done,
     /*  697841 */   // Label 11032: @697841
     /*  697841 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(697916), // Rule ID 10962 //
     /*  697846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  697857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  697860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  697863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  697895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697914 */     GIR_RootConstrainSelectedInstOperands,
     /*  697915 */     // GIR_Coverage, 10962,
     /*  697915 */     GIR_EraseRootFromParent_Done,
     /*  697916 */   // Label 11033: @697916
     /*  697916 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(697991), // Rule ID 10963 //
     /*  697921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  697932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  697935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  697938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  697970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697989 */     GIR_RootConstrainSelectedInstOperands,
     /*  697990 */     // GIR_Coverage, 10963,
     /*  697990 */     GIR_EraseRootFromParent_Done,
     /*  697991 */   // Label 11034: @697991
     /*  697991 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(698066), // Rule ID 10966 //
     /*  697996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698064 */     GIR_RootConstrainSelectedInstOperands,
     /*  698065 */     // GIR_Coverage, 10966,
     /*  698065 */     GIR_EraseRootFromParent_Done,
     /*  698066 */   // Label 11035: @698066
     /*  698066 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698141), // Rule ID 10967 //
     /*  698071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698139 */     GIR_RootConstrainSelectedInstOperands,
     /*  698140 */     // GIR_Coverage, 10967,
     /*  698140 */     GIR_EraseRootFromParent_Done,
     /*  698141 */   // Label 11036: @698141
     /*  698141 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698216), // Rule ID 10970 //
     /*  698146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698214 */     GIR_RootConstrainSelectedInstOperands,
     /*  698215 */     // GIR_Coverage, 10970,
     /*  698215 */     GIR_EraseRootFromParent_Done,
     /*  698216 */   // Label 11037: @698216
     /*  698216 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(698291), // Rule ID 10971 //
     /*  698221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698289 */     GIR_RootConstrainSelectedInstOperands,
     /*  698290 */     // GIR_Coverage, 10971,
     /*  698290 */     GIR_EraseRootFromParent_Done,
     /*  698291 */   // Label 11038: @698291
     /*  698291 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(698366), // Rule ID 10974 //
     /*  698296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  698299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  698307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  698310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  698313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  698342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698364 */     GIR_RootConstrainSelectedInstOperands,
     /*  698365 */     // GIR_Coverage, 10974,
     /*  698365 */     GIR_EraseRootFromParent_Done,
     /*  698366 */   // Label 11039: @698366
     /*  698366 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(698441), // Rule ID 10975 //
     /*  698371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  698374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  698382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  698385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  698388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  698417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698439 */     GIR_RootConstrainSelectedInstOperands,
     /*  698440 */     // GIR_Coverage, 10975,
     /*  698440 */     GIR_EraseRootFromParent_Done,
     /*  698441 */   // Label 11040: @698441
     /*  698441 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(698516), // Rule ID 10978 //
     /*  698446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  698495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698514 */     GIR_RootConstrainSelectedInstOperands,
     /*  698515 */     // GIR_Coverage, 10978,
     /*  698515 */     GIR_EraseRootFromParent_Done,
     /*  698516 */   // Label 11041: @698516
     /*  698516 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698591), // Rule ID 10979 //
     /*  698521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698567 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  698570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698589 */     GIR_RootConstrainSelectedInstOperands,
     /*  698590 */     // GIR_Coverage, 10979,
     /*  698590 */     GIR_EraseRootFromParent_Done,
     /*  698591 */   // Label 11042: @698591
     /*  698591 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698666), // Rule ID 10982 //
     /*  698596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  698645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698664 */     GIR_RootConstrainSelectedInstOperands,
     /*  698665 */     // GIR_Coverage, 10982,
     /*  698665 */     GIR_EraseRootFromParent_Done,
     /*  698666 */   // Label 11043: @698666
     /*  698666 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(698741), // Rule ID 10983 //
     /*  698671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698717 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  698720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698739 */     GIR_RootConstrainSelectedInstOperands,
     /*  698740 */     // GIR_Coverage, 10983,
     /*  698740 */     GIR_EraseRootFromParent_Done,
     /*  698741 */   // Label 11044: @698741
     /*  698741 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(698816), // Rule ID 10986 //
     /*  698746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  698757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  698760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  698763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  698795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698814 */     GIR_RootConstrainSelectedInstOperands,
     /*  698815 */     // GIR_Coverage, 10986,
     /*  698815 */     GIR_EraseRootFromParent_Done,
     /*  698816 */   // Label 11045: @698816
     /*  698816 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(698891), // Rule ID 10987 //
     /*  698821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  698832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  698835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  698838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  698870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698889 */     GIR_RootConstrainSelectedInstOperands,
     /*  698890 */     // GIR_Coverage, 10987,
     /*  698890 */     GIR_EraseRootFromParent_Done,
     /*  698891 */   // Label 11046: @698891
     /*  698891 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(698966), // Rule ID 10990 //
     /*  698896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  698907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  698910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  698913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  698945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698964 */     GIR_RootConstrainSelectedInstOperands,
     /*  698965 */     // GIR_Coverage, 10990,
     /*  698965 */     GIR_EraseRootFromParent_Done,
     /*  698966 */   // Label 11047: @698966
     /*  698966 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(699041), // Rule ID 10991 //
     /*  698971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  698982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  698985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  698988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699039 */     GIR_RootConstrainSelectedInstOperands,
     /*  699040 */     // GIR_Coverage, 10991,
     /*  699040 */     GIR_EraseRootFromParent_Done,
     /*  699041 */   // Label 11048: @699041
     /*  699041 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699116), // Rule ID 10994 //
     /*  699046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699114 */     GIR_RootConstrainSelectedInstOperands,
     /*  699115 */     // GIR_Coverage, 10994,
     /*  699115 */     GIR_EraseRootFromParent_Done,
     /*  699116 */   // Label 11049: @699116
     /*  699116 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699191), // Rule ID 10995 //
     /*  699121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699189 */     GIR_RootConstrainSelectedInstOperands,
     /*  699190 */     // GIR_Coverage, 10995,
     /*  699190 */     GIR_EraseRootFromParent_Done,
     /*  699191 */   // Label 11050: @699191
     /*  699191 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(699266), // Rule ID 10998 //
     /*  699196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699264 */     GIR_RootConstrainSelectedInstOperands,
     /*  699265 */     // GIR_Coverage, 10998,
     /*  699265 */     GIR_EraseRootFromParent_Done,
     /*  699266 */   // Label 11051: @699266
     /*  699266 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(699341), // Rule ID 10999 //
     /*  699271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699339 */     GIR_RootConstrainSelectedInstOperands,
     /*  699340 */     // GIR_Coverage, 10999,
     /*  699340 */     GIR_EraseRootFromParent_Done,
     /*  699341 */   // Label 11052: @699341
     /*  699341 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699416), // Rule ID 11002 //
     /*  699346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699414 */     GIR_RootConstrainSelectedInstOperands,
     /*  699415 */     // GIR_Coverage, 11002,
     /*  699415 */     GIR_EraseRootFromParent_Done,
     /*  699416 */   // Label 11053: @699416
     /*  699416 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(699491), // Rule ID 11003 //
     /*  699421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699489 */     GIR_RootConstrainSelectedInstOperands,
     /*  699490 */     // GIR_Coverage, 11003,
     /*  699490 */     GIR_EraseRootFromParent_Done,
     /*  699491 */   // Label 11054: @699491
     /*  699491 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699566), // Rule ID 11006 //
     /*  699496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699564 */     GIR_RootConstrainSelectedInstOperands,
     /*  699565 */     // GIR_Coverage, 11006,
     /*  699565 */     GIR_EraseRootFromParent_Done,
     /*  699566 */   // Label 11055: @699566
     /*  699566 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699641), // Rule ID 11007 //
     /*  699571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699639 */     GIR_RootConstrainSelectedInstOperands,
     /*  699640 */     // GIR_Coverage, 11007,
     /*  699640 */     GIR_EraseRootFromParent_Done,
     /*  699641 */   // Label 11056: @699641
     /*  699641 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699716), // Rule ID 11010 //
     /*  699646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699714 */     GIR_RootConstrainSelectedInstOperands,
     /*  699715 */     // GIR_Coverage, 11010,
     /*  699715 */     GIR_EraseRootFromParent_Done,
     /*  699716 */   // Label 11057: @699716
     /*  699716 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(699791), // Rule ID 11011 //
     /*  699721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699789 */     GIR_RootConstrainSelectedInstOperands,
     /*  699790 */     // GIR_Coverage, 11011,
     /*  699790 */     GIR_EraseRootFromParent_Done,
     /*  699791 */   // Label 11058: @699791
     /*  699791 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(699866), // Rule ID 11014 //
     /*  699796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  699799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  699807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  699810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  699813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  699842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699864 */     GIR_RootConstrainSelectedInstOperands,
     /*  699865 */     // GIR_Coverage, 11014,
     /*  699865 */     GIR_EraseRootFromParent_Done,
     /*  699866 */   // Label 11059: @699866
     /*  699866 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(699941), // Rule ID 11015 //
     /*  699871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  699874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  699882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  699885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  699888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  699917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699939 */     GIR_RootConstrainSelectedInstOperands,
     /*  699940 */     // GIR_Coverage, 11015,
     /*  699940 */     GIR_EraseRootFromParent_Done,
     /*  699941 */   // Label 11060: @699941
     /*  699941 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(700016), // Rule ID 11018 //
     /*  699946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  699949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  699957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  699960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  699963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  699992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700014 */     GIR_RootConstrainSelectedInstOperands,
     /*  700015 */     // GIR_Coverage, 11018,
     /*  700015 */     GIR_EraseRootFromParent_Done,
     /*  700016 */   // Label 11061: @700016
     /*  700016 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(700091), // Rule ID 11019 //
     /*  700021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  700032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  700035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  700038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  700070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700089 */     GIR_RootConstrainSelectedInstOperands,
     /*  700090 */     // GIR_Coverage, 11019,
     /*  700090 */     GIR_EraseRootFromParent_Done,
     /*  700091 */   // Label 11062: @700091
     /*  700091 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700166), // Rule ID 11022 //
     /*  700096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  700099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700164 */     GIR_RootConstrainSelectedInstOperands,
     /*  700165 */     // GIR_Coverage, 11022,
     /*  700165 */     GIR_EraseRootFromParent_Done,
     /*  700166 */   // Label 11063: @700166
     /*  700166 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700241), // Rule ID 11023 //
     /*  700171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700239 */     GIR_RootConstrainSelectedInstOperands,
     /*  700240 */     // GIR_Coverage, 11023,
     /*  700240 */     GIR_EraseRootFromParent_Done,
     /*  700241 */   // Label 11064: @700241
     /*  700241 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(700316), // Rule ID 11026 //
     /*  700246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  700257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  700260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  700263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  700266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  700295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700314 */     GIR_RootConstrainSelectedInstOperands,
     /*  700315 */     // GIR_Coverage, 11026,
     /*  700315 */     GIR_EraseRootFromParent_Done,
     /*  700316 */   // Label 11065: @700316
     /*  700316 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700391), // Rule ID 11027 //
     /*  700321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  700332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  700335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  700338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  700341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  700370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700389 */     GIR_RootConstrainSelectedInstOperands,
     /*  700390 */     // GIR_Coverage, 11027,
     /*  700390 */     GIR_EraseRootFromParent_Done,
     /*  700391 */   // Label 11066: @700391
     /*  700391 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(700466), // Rule ID 11030 //
     /*  700396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700442 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  700445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700464 */     GIR_RootConstrainSelectedInstOperands,
     /*  700465 */     // GIR_Coverage, 11030,
     /*  700465 */     GIR_EraseRootFromParent_Done,
     /*  700466 */   // Label 11067: @700466
     /*  700466 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700541), // Rule ID 11031 //
     /*  700471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  700520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700539 */     GIR_RootConstrainSelectedInstOperands,
     /*  700540 */     // GIR_Coverage, 11031,
     /*  700540 */     GIR_EraseRootFromParent_Done,
     /*  700541 */   // Label 11068: @700541
     /*  700541 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700616), // Rule ID 11034 //
     /*  700546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  700595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700614 */     GIR_RootConstrainSelectedInstOperands,
     /*  700615 */     // GIR_Coverage, 11034,
     /*  700615 */     GIR_EraseRootFromParent_Done,
     /*  700616 */   // Label 11069: @700616
     /*  700616 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700691), // Rule ID 11035 //
     /*  700621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  700670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700689 */     GIR_RootConstrainSelectedInstOperands,
     /*  700690 */     // GIR_Coverage, 11035,
     /*  700690 */     GIR_EraseRootFromParent_Done,
     /*  700691 */   // Label 11070: @700691
     /*  700691 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(700766), // Rule ID 11038 //
     /*  700696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  700716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  700745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700764 */     GIR_RootConstrainSelectedInstOperands,
     /*  700765 */     // GIR_Coverage, 11038,
     /*  700765 */     GIR_EraseRootFromParent_Done,
     /*  700766 */   // Label 11071: @700766
     /*  700766 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(700841), // Rule ID 11039 //
     /*  700771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  700791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  700820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700839 */     GIR_RootConstrainSelectedInstOperands,
     /*  700840 */     // GIR_Coverage, 11039,
     /*  700840 */     GIR_EraseRootFromParent_Done,
     /*  700841 */   // Label 11072: @700841
     /*  700841 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(700916), // Rule ID 11042 //
     /*  700846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  700866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  700895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700914 */     GIR_RootConstrainSelectedInstOperands,
     /*  700915 */     // GIR_Coverage, 11042,
     /*  700915 */     GIR_EraseRootFromParent_Done,
     /*  700916 */   // Label 11073: @700916
     /*  700916 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(700991), // Rule ID 11043 //
     /*  700921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  700941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  700970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700989 */     GIR_RootConstrainSelectedInstOperands,
     /*  700990 */     // GIR_Coverage, 11043,
     /*  700990 */     GIR_EraseRootFromParent_Done,
     /*  700991 */   // Label 11074: @700991
     /*  700991 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(701066), // Rule ID 11046 //
     /*  700996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701064 */     GIR_RootConstrainSelectedInstOperands,
     /*  701065 */     // GIR_Coverage, 11046,
     /*  701065 */     GIR_EraseRootFromParent_Done,
     /*  701066 */   // Label 11075: @701066
     /*  701066 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701141), // Rule ID 11047 //
     /*  701071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701139 */     GIR_RootConstrainSelectedInstOperands,
     /*  701140 */     // GIR_Coverage, 11047,
     /*  701140 */     GIR_EraseRootFromParent_Done,
     /*  701141 */   // Label 11076: @701141
     /*  701141 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701216), // Rule ID 11050 //
     /*  701146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701214 */     GIR_RootConstrainSelectedInstOperands,
     /*  701215 */     // GIR_Coverage, 11050,
     /*  701215 */     GIR_EraseRootFromParent_Done,
     /*  701216 */   // Label 11077: @701216
     /*  701216 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(701291), // Rule ID 11051 //
     /*  701221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701289 */     GIR_RootConstrainSelectedInstOperands,
     /*  701290 */     // GIR_Coverage, 11051,
     /*  701290 */     GIR_EraseRootFromParent_Done,
     /*  701291 */   // Label 11078: @701291
     /*  701291 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(701366), // Rule ID 11054 //
     /*  701296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701364 */     GIR_RootConstrainSelectedInstOperands,
     /*  701365 */     // GIR_Coverage, 11054,
     /*  701365 */     GIR_EraseRootFromParent_Done,
     /*  701366 */   // Label 11079: @701366
     /*  701366 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(701441), // Rule ID 11055 //
     /*  701371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701439 */     GIR_RootConstrainSelectedInstOperands,
     /*  701440 */     // GIR_Coverage, 11055,
     /*  701440 */     GIR_EraseRootFromParent_Done,
     /*  701441 */   // Label 11080: @701441
     /*  701441 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(701516), // Rule ID 11058 //
     /*  701446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701514 */     GIR_RootConstrainSelectedInstOperands,
     /*  701515 */     // GIR_Coverage, 11058,
     /*  701515 */     GIR_EraseRootFromParent_Done,
     /*  701516 */   // Label 11081: @701516
     /*  701516 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701591), // Rule ID 11059 //
     /*  701521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701589 */     GIR_RootConstrainSelectedInstOperands,
     /*  701590 */     // GIR_Coverage, 11059,
     /*  701590 */     GIR_EraseRootFromParent_Done,
     /*  701591 */   // Label 11082: @701591
     /*  701591 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701666), // Rule ID 11062 //
     /*  701596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701642 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  701645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701664 */     GIR_RootConstrainSelectedInstOperands,
     /*  701665 */     // GIR_Coverage, 11062,
     /*  701665 */     GIR_EraseRootFromParent_Done,
     /*  701666 */   // Label 11083: @701666
     /*  701666 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(701741), // Rule ID 11063 //
     /*  701671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  701720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701739 */     GIR_RootConstrainSelectedInstOperands,
     /*  701740 */     // GIR_Coverage, 11063,
     /*  701740 */     GIR_EraseRootFromParent_Done,
     /*  701741 */   // Label 11084: @701741
     /*  701741 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(701816), // Rule ID 11066 //
     /*  701746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  701757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  701760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  701763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  701766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  701795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701814 */     GIR_RootConstrainSelectedInstOperands,
     /*  701815 */     // GIR_Coverage, 11066,
     /*  701815 */     GIR_EraseRootFromParent_Done,
     /*  701816 */   // Label 11085: @701816
     /*  701816 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(701891), // Rule ID 11067 //
     /*  701821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  701832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  701835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  701838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  701841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701867 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  701870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701889 */     GIR_RootConstrainSelectedInstOperands,
     /*  701890 */     // GIR_Coverage, 11067,
     /*  701890 */     GIR_EraseRootFromParent_Done,
     /*  701891 */   // Label 11086: @701891
     /*  701891 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(701966), // Rule ID 11070 //
     /*  701896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  701907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  701910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  701913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  701916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701942 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  701945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701964 */     GIR_RootConstrainSelectedInstOperands,
     /*  701965 */     // GIR_Coverage, 11070,
     /*  701965 */     GIR_EraseRootFromParent_Done,
     /*  701966 */   // Label 11087: @701966
     /*  701966 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(702041), // Rule ID 11071 //
     /*  701971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  701982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  701985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  701988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  701991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702017 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702039 */     GIR_RootConstrainSelectedInstOperands,
     /*  702040 */     // GIR_Coverage, 11071,
     /*  702040 */     GIR_EraseRootFromParent_Done,
     /*  702041 */   // Label 11088: @702041
     /*  702041 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702116), // Rule ID 11074 //
     /*  702046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702114 */     GIR_RootConstrainSelectedInstOperands,
     /*  702115 */     // GIR_Coverage, 11074,
     /*  702115 */     GIR_EraseRootFromParent_Done,
     /*  702116 */   // Label 11089: @702116
     /*  702116 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702191), // Rule ID 11075 //
     /*  702121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702167 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702189 */     GIR_RootConstrainSelectedInstOperands,
     /*  702190 */     // GIR_Coverage, 11075,
     /*  702190 */     GIR_EraseRootFromParent_Done,
     /*  702191 */   // Label 11090: @702191
     /*  702191 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(702266), // Rule ID 11078 //
     /*  702196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702264 */     GIR_RootConstrainSelectedInstOperands,
     /*  702265 */     // GIR_Coverage, 11078,
     /*  702265 */     GIR_EraseRootFromParent_Done,
     /*  702266 */   // Label 11091: @702266
     /*  702266 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(702341), // Rule ID 11079 //
     /*  702271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702317 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702339 */     GIR_RootConstrainSelectedInstOperands,
     /*  702340 */     // GIR_Coverage, 11079,
     /*  702340 */     GIR_EraseRootFromParent_Done,
     /*  702341 */   // Label 11092: @702341
     /*  702341 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702416), // Rule ID 11082 //
     /*  702346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  702366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702414 */     GIR_RootConstrainSelectedInstOperands,
     /*  702415 */     // GIR_Coverage, 11082,
     /*  702415 */     GIR_EraseRootFromParent_Done,
     /*  702416 */   // Label 11093: @702416
     /*  702416 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(702491), // Rule ID 11083 //
     /*  702421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  702441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702467 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702489 */     GIR_RootConstrainSelectedInstOperands,
     /*  702490 */     // GIR_Coverage, 11083,
     /*  702490 */     GIR_EraseRootFromParent_Done,
     /*  702491 */   // Label 11094: @702491
     /*  702491 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702566), // Rule ID 11086 //
     /*  702496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702564 */     GIR_RootConstrainSelectedInstOperands,
     /*  702565 */     // GIR_Coverage, 11086,
     /*  702565 */     GIR_EraseRootFromParent_Done,
     /*  702566 */   // Label 11095: @702566
     /*  702566 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702641), // Rule ID 11087 //
     /*  702571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702639 */     GIR_RootConstrainSelectedInstOperands,
     /*  702640 */     // GIR_Coverage, 11087,
     /*  702640 */     GIR_EraseRootFromParent_Done,
     /*  702641 */   // Label 11096: @702641
     /*  702641 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702716), // Rule ID 11090 //
     /*  702646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  702666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702714 */     GIR_RootConstrainSelectedInstOperands,
     /*  702715 */     // GIR_Coverage, 11090,
     /*  702715 */     GIR_EraseRootFromParent_Done,
     /*  702716 */   // Label 11097: @702716
     /*  702716 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(702791), // Rule ID 11091 //
     /*  702721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  702741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702789 */     GIR_RootConstrainSelectedInstOperands,
     /*  702790 */     // GIR_Coverage, 11091,
     /*  702790 */     GIR_EraseRootFromParent_Done,
     /*  702791 */   // Label 11098: @702791
     /*  702791 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(702866), // Rule ID 11094 //
     /*  702796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  702816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702864 */     GIR_RootConstrainSelectedInstOperands,
     /*  702865 */     // GIR_Coverage, 11094,
     /*  702865 */     GIR_EraseRootFromParent_Done,
     /*  702866 */   // Label 11099: @702866
     /*  702866 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(702941), // Rule ID 11095 //
     /*  702871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  702891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702917 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702939 */     GIR_RootConstrainSelectedInstOperands,
     /*  702940 */     // GIR_Coverage, 11095,
     /*  702940 */     GIR_EraseRootFromParent_Done,
     /*  702941 */   // Label 11100: @702941
     /*  702941 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(703016), // Rule ID 11098 //
     /*  702946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  702957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  702960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  702963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  702995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703014 */     GIR_RootConstrainSelectedInstOperands,
     /*  703015 */     // GIR_Coverage, 11098,
     /*  703015 */     GIR_EraseRootFromParent_Done,
     /*  703016 */   // Label 11101: @703016
     /*  703016 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(703091), // Rule ID 11099 //
     /*  703021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  703070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703089 */     GIR_RootConstrainSelectedInstOperands,
     /*  703090 */     // GIR_Coverage, 11099,
     /*  703090 */     GIR_EraseRootFromParent_Done,
     /*  703091 */   // Label 11102: @703091
     /*  703091 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703166), // Rule ID 11102 //
     /*  703096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703164 */     GIR_RootConstrainSelectedInstOperands,
     /*  703165 */     // GIR_Coverage, 11102,
     /*  703165 */     GIR_EraseRootFromParent_Done,
     /*  703166 */   // Label 11103: @703166
     /*  703166 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703241), // Rule ID 11103 //
     /*  703171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703239 */     GIR_RootConstrainSelectedInstOperands,
     /*  703240 */     // GIR_Coverage, 11103,
     /*  703240 */     GIR_EraseRootFromParent_Done,
     /*  703241 */   // Label 11104: @703241
     /*  703241 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(703316), // Rule ID 11106 //
     /*  703246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  703257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  703260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  703263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703314 */     GIR_RootConstrainSelectedInstOperands,
     /*  703315 */     // GIR_Coverage, 11106,
     /*  703315 */     GIR_EraseRootFromParent_Done,
     /*  703316 */   // Label 11105: @703316
     /*  703316 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703391), // Rule ID 11107 //
     /*  703321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  703332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  703335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  703338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703367 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703389 */     GIR_RootConstrainSelectedInstOperands,
     /*  703390 */     // GIR_Coverage, 11107,
     /*  703390 */     GIR_EraseRootFromParent_Done,
     /*  703391 */   // Label 11106: @703391
     /*  703391 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(703466), // Rule ID 11110 //
     /*  703396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703464 */     GIR_RootConstrainSelectedInstOperands,
     /*  703465 */     // GIR_Coverage, 11110,
     /*  703465 */     GIR_EraseRootFromParent_Done,
     /*  703466 */   // Label 11107: @703466
     /*  703466 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703541), // Rule ID 11111 //
     /*  703471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703539 */     GIR_RootConstrainSelectedInstOperands,
     /*  703540 */     // GIR_Coverage, 11111,
     /*  703540 */     GIR_EraseRootFromParent_Done,
     /*  703541 */   // Label 11108: @703541
     /*  703541 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703616), // Rule ID 11114 //
     /*  703546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703614 */     GIR_RootConstrainSelectedInstOperands,
     /*  703615 */     // GIR_Coverage, 11114,
     /*  703615 */     GIR_EraseRootFromParent_Done,
     /*  703616 */   // Label 11109: @703616
     /*  703616 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703691), // Rule ID 11115 //
     /*  703621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703689 */     GIR_RootConstrainSelectedInstOperands,
     /*  703690 */     // GIR_Coverage, 11115,
     /*  703690 */     GIR_EraseRootFromParent_Done,
     /*  703691 */   // Label 11110: @703691
     /*  703691 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(703766), // Rule ID 11118 //
     /*  703696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703764 */     GIR_RootConstrainSelectedInstOperands,
     /*  703765 */     // GIR_Coverage, 11118,
     /*  703765 */     GIR_EraseRootFromParent_Done,
     /*  703766 */   // Label 11111: @703766
     /*  703766 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(703841), // Rule ID 11119 //
     /*  703771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703839 */     GIR_RootConstrainSelectedInstOperands,
     /*  703840 */     // GIR_Coverage, 11119,
     /*  703840 */     GIR_EraseRootFromParent_Done,
     /*  703841 */   // Label 11112: @703841
     /*  703841 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(703916), // Rule ID 11122 //
     /*  703846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  703857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  703860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  703863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  703895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703914 */     GIR_RootConstrainSelectedInstOperands,
     /*  703915 */     // GIR_Coverage, 11122,
     /*  703915 */     GIR_EraseRootFromParent_Done,
     /*  703916 */   // Label 11113: @703916
     /*  703916 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(703991), // Rule ID 11123 //
     /*  703921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  703932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  703935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  703938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  703970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703989 */     GIR_RootConstrainSelectedInstOperands,
     /*  703990 */     // GIR_Coverage, 11123,
     /*  703990 */     GIR_EraseRootFromParent_Done,
     /*  703991 */   // Label 11114: @703991
     /*  703991 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(704066), // Rule ID 11126 //
     /*  703996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704064 */     GIR_RootConstrainSelectedInstOperands,
     /*  704065 */     // GIR_Coverage, 11126,
     /*  704065 */     GIR_EraseRootFromParent_Done,
     /*  704066 */   // Label 11115: @704066
     /*  704066 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704141), // Rule ID 11127 //
     /*  704071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704139 */     GIR_RootConstrainSelectedInstOperands,
     /*  704140 */     // GIR_Coverage, 11127,
     /*  704140 */     GIR_EraseRootFromParent_Done,
     /*  704141 */   // Label 11116: @704141
     /*  704141 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704216), // Rule ID 11130 //
     /*  704146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704214 */     GIR_RootConstrainSelectedInstOperands,
     /*  704215 */     // GIR_Coverage, 11130,
     /*  704215 */     GIR_EraseRootFromParent_Done,
     /*  704216 */   // Label 11117: @704216
     /*  704216 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(704291), // Rule ID 11131 //
     /*  704221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704289 */     GIR_RootConstrainSelectedInstOperands,
     /*  704290 */     // GIR_Coverage, 11131,
     /*  704290 */     GIR_EraseRootFromParent_Done,
     /*  704291 */   // Label 11118: @704291
     /*  704291 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(704366), // Rule ID 11134 //
     /*  704296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  704307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704342 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  704345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704364 */     GIR_RootConstrainSelectedInstOperands,
     /*  704365 */     // GIR_Coverage, 11134,
     /*  704365 */     GIR_EraseRootFromParent_Done,
     /*  704366 */   // Label 11119: @704366
     /*  704366 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(704441), // Rule ID 11135 //
     /*  704371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  704382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704417 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  704420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704439 */     GIR_RootConstrainSelectedInstOperands,
     /*  704440 */     // GIR_Coverage, 11135,
     /*  704440 */     GIR_EraseRootFromParent_Done,
     /*  704441 */   // Label 11120: @704441
     /*  704441 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(704516), // Rule ID 11138 //
     /*  704446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  704495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704514 */     GIR_RootConstrainSelectedInstOperands,
     /*  704515 */     // GIR_Coverage, 11138,
     /*  704515 */     GIR_EraseRootFromParent_Done,
     /*  704516 */   // Label 11121: @704516
     /*  704516 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704591), // Rule ID 11139 //
     /*  704521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704567 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  704570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704589 */     GIR_RootConstrainSelectedInstOperands,
     /*  704590 */     // GIR_Coverage, 11139,
     /*  704590 */     GIR_EraseRootFromParent_Done,
     /*  704591 */   // Label 11122: @704591
     /*  704591 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704666), // Rule ID 11142 //
     /*  704596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704642 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  704645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704664 */     GIR_RootConstrainSelectedInstOperands,
     /*  704665 */     // GIR_Coverage, 11142,
     /*  704665 */     GIR_EraseRootFromParent_Done,
     /*  704666 */   // Label 11123: @704666
     /*  704666 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(704741), // Rule ID 11143 //
     /*  704671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704717 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  704720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704739 */     GIR_RootConstrainSelectedInstOperands,
     /*  704740 */     // GIR_Coverage, 11143,
     /*  704740 */     GIR_EraseRootFromParent_Done,
     /*  704741 */   // Label 11124: @704741
     /*  704741 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(704816), // Rule ID 11146 //
     /*  704746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704792 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  704795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704814 */     GIR_RootConstrainSelectedInstOperands,
     /*  704815 */     // GIR_Coverage, 11146,
     /*  704815 */     GIR_EraseRootFromParent_Done,
     /*  704816 */   // Label 11125: @704816
     /*  704816 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(704891), // Rule ID 11147 //
     /*  704821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704867 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  704870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704889 */     GIR_RootConstrainSelectedInstOperands,
     /*  704890 */     // GIR_Coverage, 11147,
     /*  704890 */     GIR_EraseRootFromParent_Done,
     /*  704891 */   // Label 11126: @704891
     /*  704891 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(704966), // Rule ID 11150 //
     /*  704896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704942 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  704945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704964 */     GIR_RootConstrainSelectedInstOperands,
     /*  704965 */     // GIR_Coverage, 11150,
     /*  704965 */     GIR_EraseRootFromParent_Done,
     /*  704966 */   // Label 11127: @704966
     /*  704966 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(705041), // Rule ID 11151 //
     /*  704971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705017 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705039 */     GIR_RootConstrainSelectedInstOperands,
     /*  705040 */     // GIR_Coverage, 11151,
     /*  705040 */     GIR_EraseRootFromParent_Done,
     /*  705041 */   // Label 11128: @705041
     /*  705041 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705116), // Rule ID 11154 //
     /*  705046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705092 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705114 */     GIR_RootConstrainSelectedInstOperands,
     /*  705115 */     // GIR_Coverage, 11154,
     /*  705115 */     GIR_EraseRootFromParent_Done,
     /*  705116 */   // Label 11129: @705116
     /*  705116 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705191), // Rule ID 11155 //
     /*  705121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705167 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705189 */     GIR_RootConstrainSelectedInstOperands,
     /*  705190 */     // GIR_Coverage, 11155,
     /*  705190 */     GIR_EraseRootFromParent_Done,
     /*  705191 */   // Label 11130: @705191
     /*  705191 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(705266), // Rule ID 11158 //
     /*  705196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705264 */     GIR_RootConstrainSelectedInstOperands,
     /*  705265 */     // GIR_Coverage, 11158,
     /*  705265 */     GIR_EraseRootFromParent_Done,
     /*  705266 */   // Label 11131: @705266
     /*  705266 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(705341), // Rule ID 11159 //
     /*  705271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705339 */     GIR_RootConstrainSelectedInstOperands,
     /*  705340 */     // GIR_Coverage, 11159,
     /*  705340 */     GIR_EraseRootFromParent_Done,
     /*  705341 */   // Label 11132: @705341
     /*  705341 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705416), // Rule ID 11162 //
     /*  705346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705414 */     GIR_RootConstrainSelectedInstOperands,
     /*  705415 */     // GIR_Coverage, 11162,
     /*  705415 */     GIR_EraseRootFromParent_Done,
     /*  705416 */   // Label 11133: @705416
     /*  705416 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(705491), // Rule ID 11163 //
     /*  705421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705489 */     GIR_RootConstrainSelectedInstOperands,
     /*  705490 */     // GIR_Coverage, 11163,
     /*  705490 */     GIR_EraseRootFromParent_Done,
     /*  705491 */   // Label 11134: @705491
     /*  705491 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705566), // Rule ID 11166 //
     /*  705496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705564 */     GIR_RootConstrainSelectedInstOperands,
     /*  705565 */     // GIR_Coverage, 11166,
     /*  705565 */     GIR_EraseRootFromParent_Done,
     /*  705566 */   // Label 11135: @705566
     /*  705566 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705641), // Rule ID 11167 //
     /*  705571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705617 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705639 */     GIR_RootConstrainSelectedInstOperands,
     /*  705640 */     // GIR_Coverage, 11167,
     /*  705640 */     GIR_EraseRootFromParent_Done,
     /*  705641 */   // Label 11136: @705641
     /*  705641 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705716), // Rule ID 11170 //
     /*  705646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  705657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  705660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  705663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  705666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  705695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705714 */     GIR_RootConstrainSelectedInstOperands,
     /*  705715 */     // GIR_Coverage, 11170,
     /*  705715 */     GIR_EraseRootFromParent_Done,
     /*  705716 */   // Label 11137: @705716
     /*  705716 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(705791), // Rule ID 11171 //
     /*  705721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  705732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  705735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  705738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  705741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  705770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705789 */     GIR_RootConstrainSelectedInstOperands,
     /*  705790 */     // GIR_Coverage, 11171,
     /*  705790 */     GIR_EraseRootFromParent_Done,
     /*  705791 */   // Label 11138: @705791
     /*  705791 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(705866), // Rule ID 11174 //
     /*  705796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  705807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  705810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  705813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  705816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705842 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  705845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705864 */     GIR_RootConstrainSelectedInstOperands,
     /*  705865 */     // GIR_Coverage, 11174,
     /*  705865 */     GIR_EraseRootFromParent_Done,
     /*  705866 */   // Label 11139: @705866
     /*  705866 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(705941), // Rule ID 11175 //
     /*  705871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  705882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  705885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  705888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  705891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  705920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705939 */     GIR_RootConstrainSelectedInstOperands,
     /*  705940 */     // GIR_Coverage, 11175,
     /*  705940 */     GIR_EraseRootFromParent_Done,
     /*  705941 */   // Label 11140: @705941
     /*  705941 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(706016), // Rule ID 11178 //
     /*  705946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  705957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  705960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  705963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  705966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705992 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  705995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706014 */     GIR_RootConstrainSelectedInstOperands,
     /*  706015 */     // GIR_Coverage, 11178,
     /*  706015 */     GIR_EraseRootFromParent_Done,
     /*  706016 */   // Label 11141: @706016
     /*  706016 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(706091), // Rule ID 11179 //
     /*  706021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706067 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706089 */     GIR_RootConstrainSelectedInstOperands,
     /*  706090 */     // GIR_Coverage, 11179,
     /*  706090 */     GIR_EraseRootFromParent_Done,
     /*  706091 */   // Label 11142: @706091
     /*  706091 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706166), // Rule ID 11182 //
     /*  706096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706164 */     GIR_RootConstrainSelectedInstOperands,
     /*  706165 */     // GIR_Coverage, 11182,
     /*  706165 */     GIR_EraseRootFromParent_Done,
     /*  706166 */   // Label 11143: @706166
     /*  706166 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706241), // Rule ID 11183 //
     /*  706171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706239 */     GIR_RootConstrainSelectedInstOperands,
     /*  706240 */     // GIR_Coverage, 11183,
     /*  706240 */     GIR_EraseRootFromParent_Done,
     /*  706241 */   // Label 11144: @706241
     /*  706241 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(706316), // Rule ID 11186 //
     /*  706246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  706257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  706260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  706263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  706266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706314 */     GIR_RootConstrainSelectedInstOperands,
     /*  706315 */     // GIR_Coverage, 11186,
     /*  706315 */     GIR_EraseRootFromParent_Done,
     /*  706316 */   // Label 11145: @706316
     /*  706316 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706391), // Rule ID 11187 //
     /*  706321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  706332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  706335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  706338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  706341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706389 */     GIR_RootConstrainSelectedInstOperands,
     /*  706390 */     // GIR_Coverage, 11187,
     /*  706390 */     GIR_EraseRootFromParent_Done,
     /*  706391 */   // Label 11146: @706391
     /*  706391 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(706466), // Rule ID 11190 //
     /*  706396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  706416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706464 */     GIR_RootConstrainSelectedInstOperands,
     /*  706465 */     // GIR_Coverage, 11190,
     /*  706465 */     GIR_EraseRootFromParent_Done,
     /*  706466 */   // Label 11147: @706466
     /*  706466 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706541), // Rule ID 11191 //
     /*  706471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  706491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706539 */     GIR_RootConstrainSelectedInstOperands,
     /*  706540 */     // GIR_Coverage, 11191,
     /*  706540 */     GIR_EraseRootFromParent_Done,
     /*  706541 */   // Label 11148: @706541
     /*  706541 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706616), // Rule ID 11194 //
     /*  706546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  706557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  706560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  706563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  706566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706614 */     GIR_RootConstrainSelectedInstOperands,
     /*  706615 */     // GIR_Coverage, 11194,
     /*  706615 */     GIR_EraseRootFromParent_Done,
     /*  706616 */   // Label 11149: @706616
     /*  706616 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706691), // Rule ID 11195 //
     /*  706621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  706632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  706635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  706638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  706641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706689 */     GIR_RootConstrainSelectedInstOperands,
     /*  706690 */     // GIR_Coverage, 11195,
     /*  706690 */     GIR_EraseRootFromParent_Done,
     /*  706691 */   // Label 11150: @706691
     /*  706691 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(706766), // Rule ID 11198 //
     /*  706696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  706716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706764 */     GIR_RootConstrainSelectedInstOperands,
     /*  706765 */     // GIR_Coverage, 11198,
     /*  706765 */     GIR_EraseRootFromParent_Done,
     /*  706766 */   // Label 11151: @706766
     /*  706766 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(706841), // Rule ID 11199 //
     /*  706771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  706791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706839 */     GIR_RootConstrainSelectedInstOperands,
     /*  706840 */     // GIR_Coverage, 11199,
     /*  706840 */     GIR_EraseRootFromParent_Done,
     /*  706841 */   // Label 11152: @706841
     /*  706841 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(706916), // Rule ID 11202 //
     /*  706846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  706866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706914 */     GIR_RootConstrainSelectedInstOperands,
     /*  706915 */     // GIR_Coverage, 11202,
     /*  706915 */     GIR_EraseRootFromParent_Done,
     /*  706916 */   // Label 11153: @706916
     /*  706916 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(706991), // Rule ID 11203 //
     /*  706921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  706941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  706970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706989 */     GIR_RootConstrainSelectedInstOperands,
     /*  706990 */     // GIR_Coverage, 11203,
     /*  706990 */     GIR_EraseRootFromParent_Done,
     /*  706991 */   // Label 11154: @706991
     /*  706991 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(707066), // Rule ID 11206 //
     /*  706996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707042 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707064 */     GIR_RootConstrainSelectedInstOperands,
     /*  707065 */     // GIR_Coverage, 11206,
     /*  707065 */     GIR_EraseRootFromParent_Done,
     /*  707066 */   // Label 11155: @707066
     /*  707066 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707141), // Rule ID 11207 //
     /*  707071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707117 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707139 */     GIR_RootConstrainSelectedInstOperands,
     /*  707140 */     // GIR_Coverage, 11207,
     /*  707140 */     GIR_EraseRootFromParent_Done,
     /*  707141 */   // Label 11156: @707141
     /*  707141 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707216), // Rule ID 11210 //
     /*  707146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  707157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  707160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  707163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  707166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707214 */     GIR_RootConstrainSelectedInstOperands,
     /*  707215 */     // GIR_Coverage, 11210,
     /*  707215 */     GIR_EraseRootFromParent_Done,
     /*  707216 */   // Label 11157: @707216
     /*  707216 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(707291), // Rule ID 11211 //
     /*  707221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  707232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  707235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  707238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  707241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707289 */     GIR_RootConstrainSelectedInstOperands,
     /*  707290 */     // GIR_Coverage, 11211,
     /*  707290 */     GIR_EraseRootFromParent_Done,
     /*  707291 */   // Label 11158: @707291
     /*  707291 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(707366), // Rule ID 11214 //
     /*  707296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  707307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  707310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  707313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  707316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707342 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707364 */     GIR_RootConstrainSelectedInstOperands,
     /*  707365 */     // GIR_Coverage, 11214,
     /*  707365 */     GIR_EraseRootFromParent_Done,
     /*  707366 */   // Label 11159: @707366
     /*  707366 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(707441), // Rule ID 11215 //
     /*  707371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  707382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  707385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  707388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  707391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707417 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707439 */     GIR_RootConstrainSelectedInstOperands,
     /*  707440 */     // GIR_Coverage, 11215,
     /*  707440 */     GIR_EraseRootFromParent_Done,
     /*  707441 */   // Label 11160: @707441
     /*  707441 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(707516), // Rule ID 11218 //
     /*  707446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  707457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  707460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  707463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  707466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707514 */     GIR_RootConstrainSelectedInstOperands,
     /*  707515 */     // GIR_Coverage, 11218,
     /*  707515 */     GIR_EraseRootFromParent_Done,
     /*  707516 */   // Label 11161: @707516
     /*  707516 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707591), // Rule ID 11219 //
     /*  707521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  707532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  707535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  707538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  707541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707589 */     GIR_RootConstrainSelectedInstOperands,
     /*  707590 */     // GIR_Coverage, 11219,
     /*  707590 */     GIR_EraseRootFromParent_Done,
     /*  707591 */   // Label 11162: @707591
     /*  707591 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707666), // Rule ID 11222 //
     /*  707596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  707607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  707610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  707613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  707616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707664 */     GIR_RootConstrainSelectedInstOperands,
     /*  707665 */     // GIR_Coverage, 11222,
     /*  707665 */     GIR_EraseRootFromParent_Done,
     /*  707666 */   // Label 11163: @707666
     /*  707666 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(707741), // Rule ID 11223 //
     /*  707671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  707682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  707685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  707688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  707691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707717 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707739 */     GIR_RootConstrainSelectedInstOperands,
     /*  707740 */     // GIR_Coverage, 11223,
     /*  707740 */     GIR_EraseRootFromParent_Done,
     /*  707741 */   // Label 11164: @707741
     /*  707741 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(707816), // Rule ID 11226 //
     /*  707746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  707766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707792 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707814 */     GIR_RootConstrainSelectedInstOperands,
     /*  707815 */     // GIR_Coverage, 11226,
     /*  707815 */     GIR_EraseRootFromParent_Done,
     /*  707816 */   // Label 11165: @707816
     /*  707816 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(707891), // Rule ID 11227 //
     /*  707821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  707841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707889 */     GIR_RootConstrainSelectedInstOperands,
     /*  707890 */     // GIR_Coverage, 11227,
     /*  707890 */     GIR_EraseRootFromParent_Done,
     /*  707891 */   // Label 11166: @707891
     /*  707891 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(707966), // Rule ID 11230 //
     /*  707896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  707916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707964 */     GIR_RootConstrainSelectedInstOperands,
     /*  707965 */     // GIR_Coverage, 11230,
     /*  707965 */     GIR_EraseRootFromParent_Done,
     /*  707966 */   // Label 11167: @707966
     /*  707966 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(708041), // Rule ID 11231 //
     /*  707971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  707991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  708020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708039 */     GIR_RootConstrainSelectedInstOperands,
     /*  708040 */     // GIR_Coverage, 11231,
     /*  708040 */     GIR_EraseRootFromParent_Done,
     /*  708041 */   // Label 11168: @708041
     /*  708041 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708116), // Rule ID 11234 //
     /*  708046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708114 */     GIR_RootConstrainSelectedInstOperands,
     /*  708115 */     // GIR_Coverage, 11234,
     /*  708115 */     GIR_EraseRootFromParent_Done,
     /*  708116 */   // Label 11169: @708116
     /*  708116 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708191), // Rule ID 11235 //
     /*  708121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708189 */     GIR_RootConstrainSelectedInstOperands,
     /*  708190 */     // GIR_Coverage, 11235,
     /*  708190 */     GIR_EraseRootFromParent_Done,
     /*  708191 */   // Label 11170: @708191
     /*  708191 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(708266), // Rule ID 11238 //
     /*  708196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  708207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  708210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  708213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  708216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708264 */     GIR_RootConstrainSelectedInstOperands,
     /*  708265 */     // GIR_Coverage, 11238,
     /*  708265 */     GIR_EraseRootFromParent_Done,
     /*  708266 */   // Label 11171: @708266
     /*  708266 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(708341), // Rule ID 11239 //
     /*  708271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  708282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  708285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  708288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  708291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708317 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708339 */     GIR_RootConstrainSelectedInstOperands,
     /*  708340 */     // GIR_Coverage, 11239,
     /*  708340 */     GIR_EraseRootFromParent_Done,
     /*  708341 */   // Label 11172: @708341
     /*  708341 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708416), // Rule ID 11242 //
     /*  708346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  708357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  708360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  708363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  708395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708414 */     GIR_RootConstrainSelectedInstOperands,
     /*  708415 */     // GIR_Coverage, 11242,
     /*  708415 */     GIR_EraseRootFromParent_Done,
     /*  708416 */   // Label 11173: @708416
     /*  708416 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(708491), // Rule ID 11243 //
     /*  708421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  708432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  708435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  708438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  708470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708489 */     GIR_RootConstrainSelectedInstOperands,
     /*  708490 */     // GIR_Coverage, 11243,
     /*  708490 */     GIR_EraseRootFromParent_Done,
     /*  708491 */   // Label 11174: @708491
     /*  708491 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708566), // Rule ID 11246 //
     /*  708496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  708507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  708510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  708513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708542 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  708545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708564 */     GIR_RootConstrainSelectedInstOperands,
     /*  708565 */     // GIR_Coverage, 11246,
     /*  708565 */     GIR_EraseRootFromParent_Done,
     /*  708566 */   // Label 11175: @708566
     /*  708566 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708641), // Rule ID 11247 //
     /*  708571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  708582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  708585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  708588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  708620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708639 */     GIR_RootConstrainSelectedInstOperands,
     /*  708640 */     // GIR_Coverage, 11247,
     /*  708640 */     GIR_EraseRootFromParent_Done,
     /*  708641 */   // Label 11176: @708641
     /*  708641 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708716), // Rule ID 11250 //
     /*  708646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  708657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  708660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  708663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  708695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708714 */     GIR_RootConstrainSelectedInstOperands,
     /*  708715 */     // GIR_Coverage, 11250,
     /*  708715 */     GIR_EraseRootFromParent_Done,
     /*  708716 */   // Label 11177: @708716
     /*  708716 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(708791), // Rule ID 11251 //
     /*  708721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  708732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  708735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  708738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  708770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708789 */     GIR_RootConstrainSelectedInstOperands,
     /*  708790 */     // GIR_Coverage, 11251,
     /*  708790 */     GIR_EraseRootFromParent_Done,
     /*  708791 */   // Label 11178: @708791
     /*  708791 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(708866), // Rule ID 11254 //
     /*  708796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  708845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708864 */     GIR_RootConstrainSelectedInstOperands,
     /*  708865 */     // GIR_Coverage, 11254,
     /*  708865 */     GIR_EraseRootFromParent_Done,
     /*  708866 */   // Label 11179: @708866
     /*  708866 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(708941), // Rule ID 11255 //
     /*  708871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  708920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708939 */     GIR_RootConstrainSelectedInstOperands,
     /*  708940 */     // GIR_Coverage, 11255,
     /*  708940 */     GIR_EraseRootFromParent_Done,
     /*  708941 */   // Label 11180: @708941
     /*  708941 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(709016), // Rule ID 11258 //
     /*  708946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  708957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  708960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  708963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  708995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709014 */     GIR_RootConstrainSelectedInstOperands,
     /*  709015 */     // GIR_Coverage, 11258,
     /*  709015 */     GIR_EraseRootFromParent_Done,
     /*  709016 */   // Label 11181: @709016
     /*  709016 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(709091), // Rule ID 11259 //
     /*  709021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709089 */     GIR_RootConstrainSelectedInstOperands,
     /*  709090 */     // GIR_Coverage, 11259,
     /*  709090 */     GIR_EraseRootFromParent_Done,
     /*  709091 */   // Label 11182: @709091
     /*  709091 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709166), // Rule ID 11262 //
     /*  709096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709164 */     GIR_RootConstrainSelectedInstOperands,
     /*  709165 */     // GIR_Coverage, 11262,
     /*  709165 */     GIR_EraseRootFromParent_Done,
     /*  709166 */   // Label 11183: @709166
     /*  709166 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709241), // Rule ID 11263 //
     /*  709171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709239 */     GIR_RootConstrainSelectedInstOperands,
     /*  709240 */     // GIR_Coverage, 11263,
     /*  709240 */     GIR_EraseRootFromParent_Done,
     /*  709241 */   // Label 11184: @709241
     /*  709241 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(709316), // Rule ID 11266 //
     /*  709246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  709257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  709260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  709263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709314 */     GIR_RootConstrainSelectedInstOperands,
     /*  709315 */     // GIR_Coverage, 11266,
     /*  709315 */     GIR_EraseRootFromParent_Done,
     /*  709316 */   // Label 11185: @709316
     /*  709316 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709391), // Rule ID 11267 //
     /*  709321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  709332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  709335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  709338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709389 */     GIR_RootConstrainSelectedInstOperands,
     /*  709390 */     // GIR_Coverage, 11267,
     /*  709390 */     GIR_EraseRootFromParent_Done,
     /*  709391 */   // Label 11186: @709391
     /*  709391 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(709466), // Rule ID 11270 //
     /*  709396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  709407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  709410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  709413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709464 */     GIR_RootConstrainSelectedInstOperands,
     /*  709465 */     // GIR_Coverage, 11270,
     /*  709465 */     GIR_EraseRootFromParent_Done,
     /*  709466 */   // Label 11187: @709466
     /*  709466 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709541), // Rule ID 11271 //
     /*  709471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  709482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  709485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  709488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709539 */     GIR_RootConstrainSelectedInstOperands,
     /*  709540 */     // GIR_Coverage, 11271,
     /*  709540 */     GIR_EraseRootFromParent_Done,
     /*  709541 */   // Label 11188: @709541
     /*  709541 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709616), // Rule ID 11274 //
     /*  709546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  709557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  709560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  709563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709614 */     GIR_RootConstrainSelectedInstOperands,
     /*  709615 */     // GIR_Coverage, 11274,
     /*  709615 */     GIR_EraseRootFromParent_Done,
     /*  709616 */   // Label 11189: @709616
     /*  709616 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709691), // Rule ID 11275 //
     /*  709621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  709632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  709635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  709638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709689 */     GIR_RootConstrainSelectedInstOperands,
     /*  709690 */     // GIR_Coverage, 11275,
     /*  709690 */     GIR_EraseRootFromParent_Done,
     /*  709691 */   // Label 11190: @709691
     /*  709691 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(709766), // Rule ID 11278 //
     /*  709696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  709707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  709710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  709713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709742 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  709745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709764 */     GIR_RootConstrainSelectedInstOperands,
     /*  709765 */     // GIR_Coverage, 11278,
     /*  709765 */     GIR_EraseRootFromParent_Done,
     /*  709766 */   // Label 11191: @709766
     /*  709766 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(709841), // Rule ID 11279 //
     /*  709771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  709782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  709785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  709788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709817 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  709820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709839 */     GIR_RootConstrainSelectedInstOperands,
     /*  709840 */     // GIR_Coverage, 11279,
     /*  709840 */     GIR_EraseRootFromParent_Done,
     /*  709841 */   // Label 11192: @709841
     /*  709841 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(709916), // Rule ID 11282 //
     /*  709846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  709857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  709860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  709863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  709895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709914 */     GIR_RootConstrainSelectedInstOperands,
     /*  709915 */     // GIR_Coverage, 11282,
     /*  709915 */     GIR_EraseRootFromParent_Done,
     /*  709916 */   // Label 11193: @709916
     /*  709916 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(709991), // Rule ID 11283 //
     /*  709921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  709932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  709935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  709938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709967 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  709970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709989 */     GIR_RootConstrainSelectedInstOperands,
     /*  709990 */     // GIR_Coverage, 11283,
     /*  709990 */     GIR_EraseRootFromParent_Done,
     /*  709991 */   // Label 11194: @709991
     /*  709991 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(710066), // Rule ID 11286 //
     /*  709996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710042 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710064 */     GIR_RootConstrainSelectedInstOperands,
     /*  710065 */     // GIR_Coverage, 11286,
     /*  710065 */     GIR_EraseRootFromParent_Done,
     /*  710066 */   // Label 11195: @710066
     /*  710066 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710141), // Rule ID 11287 //
     /*  710071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710117 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710139 */     GIR_RootConstrainSelectedInstOperands,
     /*  710140 */     // GIR_Coverage, 11287,
     /*  710140 */     GIR_EraseRootFromParent_Done,
     /*  710141 */   // Label 11196: @710141
     /*  710141 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710216), // Rule ID 11290 //
     /*  710146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710214 */     GIR_RootConstrainSelectedInstOperands,
     /*  710215 */     // GIR_Coverage, 11290,
     /*  710215 */     GIR_EraseRootFromParent_Done,
     /*  710216 */   // Label 11197: @710216
     /*  710216 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(710291), // Rule ID 11291 //
     /*  710221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710289 */     GIR_RootConstrainSelectedInstOperands,
     /*  710290 */     // GIR_Coverage, 11291,
     /*  710290 */     GIR_EraseRootFromParent_Done,
     /*  710291 */   // Label 11198: @710291
     /*  710291 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(710366), // Rule ID 11294 //
     /*  710296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  710307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710364 */     GIR_RootConstrainSelectedInstOperands,
     /*  710365 */     // GIR_Coverage, 11294,
     /*  710365 */     GIR_EraseRootFromParent_Done,
     /*  710366 */   // Label 11199: @710366
     /*  710366 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(710441), // Rule ID 11295 //
     /*  710371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  710382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710439 */     GIR_RootConstrainSelectedInstOperands,
     /*  710440 */     // GIR_Coverage, 11295,
     /*  710440 */     GIR_EraseRootFromParent_Done,
     /*  710441 */   // Label 11200: @710441
     /*  710441 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(710516), // Rule ID 11298 //
     /*  710446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710514 */     GIR_RootConstrainSelectedInstOperands,
     /*  710515 */     // GIR_Coverage, 11298,
     /*  710515 */     GIR_EraseRootFromParent_Done,
     /*  710516 */   // Label 11201: @710516
     /*  710516 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710591), // Rule ID 11299 //
     /*  710521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710567 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710589 */     GIR_RootConstrainSelectedInstOperands,
     /*  710590 */     // GIR_Coverage, 11299,
     /*  710590 */     GIR_EraseRootFromParent_Done,
     /*  710591 */   // Label 11202: @710591
     /*  710591 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710666), // Rule ID 11302 //
     /*  710596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  710607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  710610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  710613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710664 */     GIR_RootConstrainSelectedInstOperands,
     /*  710665 */     // GIR_Coverage, 11302,
     /*  710665 */     GIR_EraseRootFromParent_Done,
     /*  710666 */   // Label 11203: @710666
     /*  710666 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(710741), // Rule ID 11303 //
     /*  710671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  710682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  710685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  710688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710717 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710739 */     GIR_RootConstrainSelectedInstOperands,
     /*  710740 */     // GIR_Coverage, 11303,
     /*  710740 */     GIR_EraseRootFromParent_Done,
     /*  710741 */   // Label 11204: @710741
     /*  710741 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(710816), // Rule ID 11306 //
     /*  710746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  710757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  710760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  710763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710814 */     GIR_RootConstrainSelectedInstOperands,
     /*  710815 */     // GIR_Coverage, 11306,
     /*  710815 */     GIR_EraseRootFromParent_Done,
     /*  710816 */   // Label 11205: @710816
     /*  710816 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(710891), // Rule ID 11307 //
     /*  710821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  710832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  710835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  710838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710867 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710889 */     GIR_RootConstrainSelectedInstOperands,
     /*  710890 */     // GIR_Coverage, 11307,
     /*  710890 */     GIR_EraseRootFromParent_Done,
     /*  710891 */   // Label 11206: @710891
     /*  710891 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(710966), // Rule ID 11310 //
     /*  710896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  710907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  710910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  710913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710942 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710964 */     GIR_RootConstrainSelectedInstOperands,
     /*  710965 */     // GIR_Coverage, 11310,
     /*  710965 */     GIR_EraseRootFromParent_Done,
     /*  710966 */   // Label 11207: @710966
     /*  710966 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(711041), // Rule ID 11311 //
     /*  710971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  710982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  710985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  710988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  711020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711039 */     GIR_RootConstrainSelectedInstOperands,
     /*  711040 */     // GIR_Coverage, 11311,
     /*  711040 */     GIR_EraseRootFromParent_Done,
     /*  711041 */   // Label 11208: @711041
     /*  711041 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711116), // Rule ID 11314 //
     /*  711046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  711057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  711060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  711063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  711066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  711095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711114 */     GIR_RootConstrainSelectedInstOperands,
     /*  711115 */     // GIR_Coverage, 11314,
     /*  711115 */     GIR_EraseRootFromParent_Done,
     /*  711116 */   // Label 11209: @711116
     /*  711116 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711191), // Rule ID 11315 //
     /*  711121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  711132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  711135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  711138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  711141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  711170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711189 */     GIR_RootConstrainSelectedInstOperands,
     /*  711190 */     // GIR_Coverage, 11315,
     /*  711190 */     GIR_EraseRootFromParent_Done,
     /*  711191 */   // Label 11210: @711191
     /*  711191 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(711266), // Rule ID 11318 //
     /*  711196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  711207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  711210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  711216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711264 */     GIR_RootConstrainSelectedInstOperands,
     /*  711265 */     // GIR_Coverage, 11318,
     /*  711265 */     GIR_EraseRootFromParent_Done,
     /*  711266 */   // Label 11211: @711266
     /*  711266 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(711341), // Rule ID 11319 //
     /*  711271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  711282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  711285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  711291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711339 */     GIR_RootConstrainSelectedInstOperands,
     /*  711340 */     // GIR_Coverage, 11319,
     /*  711340 */     GIR_EraseRootFromParent_Done,
     /*  711341 */   // Label 11212: @711341
     /*  711341 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711416), // Rule ID 11322 //
     /*  711346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  711357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  711360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  711363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  711366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711414 */     GIR_RootConstrainSelectedInstOperands,
     /*  711415 */     // GIR_Coverage, 11322,
     /*  711415 */     GIR_EraseRootFromParent_Done,
     /*  711416 */   // Label 11213: @711416
     /*  711416 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(711491), // Rule ID 11323 //
     /*  711421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  711432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  711435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  711438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  711441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711489 */     GIR_RootConstrainSelectedInstOperands,
     /*  711490 */     // GIR_Coverage, 11323,
     /*  711490 */     GIR_EraseRootFromParent_Done,
     /*  711491 */   // Label 11214: @711491
     /*  711491 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711566), // Rule ID 11326 //
     /*  711496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  711507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  711510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  711513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  711516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711564 */     GIR_RootConstrainSelectedInstOperands,
     /*  711565 */     // GIR_Coverage, 11326,
     /*  711565 */     GIR_EraseRootFromParent_Done,
     /*  711566 */   // Label 11215: @711566
     /*  711566 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711641), // Rule ID 11327 //
     /*  711571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  711582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  711585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  711588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  711591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711639 */     GIR_RootConstrainSelectedInstOperands,
     /*  711640 */     // GIR_Coverage, 11327,
     /*  711640 */     GIR_EraseRootFromParent_Done,
     /*  711641 */   // Label 11216: @711641
     /*  711641 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711716), // Rule ID 11330 //
     /*  711646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  711657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  711660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  711663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  711666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711714 */     GIR_RootConstrainSelectedInstOperands,
     /*  711715 */     // GIR_Coverage, 11330,
     /*  711715 */     GIR_EraseRootFromParent_Done,
     /*  711716 */   // Label 11217: @711716
     /*  711716 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(711791), // Rule ID 11331 //
     /*  711721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  711732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  711735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  711738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  711741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711767 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711789 */     GIR_RootConstrainSelectedInstOperands,
     /*  711790 */     // GIR_Coverage, 11331,
     /*  711790 */     GIR_EraseRootFromParent_Done,
     /*  711791 */   // Label 11218: @711791
     /*  711791 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(711866), // Rule ID 11334 //
     /*  711796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  711807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  711810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  711813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  711816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711864 */     GIR_RootConstrainSelectedInstOperands,
     /*  711865 */     // GIR_Coverage, 11334,
     /*  711865 */     GIR_EraseRootFromParent_Done,
     /*  711866 */   // Label 11219: @711866
     /*  711866 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(711941), // Rule ID 11335 //
     /*  711871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  711882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  711885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  711888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  711891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  711920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711939 */     GIR_RootConstrainSelectedInstOperands,
     /*  711940 */     // GIR_Coverage, 11335,
     /*  711940 */     GIR_EraseRootFromParent_Done,
     /*  711941 */   // Label 11220: @711941
     /*  711941 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(712016), // Rule ID 11338 //
     /*  711946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  711957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  711960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  711963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  711966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  711995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712014 */     GIR_RootConstrainSelectedInstOperands,
     /*  712015 */     // GIR_Coverage, 11338,
     /*  712015 */     GIR_EraseRootFromParent_Done,
     /*  712016 */   // Label 11221: @712016
     /*  712016 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(712091), // Rule ID 11339 //
     /*  712021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  712038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712089 */     GIR_RootConstrainSelectedInstOperands,
     /*  712090 */     // GIR_Coverage, 11339,
     /*  712090 */     GIR_EraseRootFromParent_Done,
     /*  712091 */   // Label 11222: @712091
     /*  712091 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712166), // Rule ID 11342 //
     /*  712096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712164 */     GIR_RootConstrainSelectedInstOperands,
     /*  712165 */     // GIR_Coverage, 11342,
     /*  712165 */     GIR_EraseRootFromParent_Done,
     /*  712166 */   // Label 11223: @712166
     /*  712166 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712241), // Rule ID 11343 //
     /*  712171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712239 */     GIR_RootConstrainSelectedInstOperands,
     /*  712240 */     // GIR_Coverage, 11343,
     /*  712240 */     GIR_EraseRootFromParent_Done,
     /*  712241 */   // Label 11224: @712241
     /*  712241 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(712316), // Rule ID 11346 //
     /*  712246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  712263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712314 */     GIR_RootConstrainSelectedInstOperands,
     /*  712315 */     // GIR_Coverage, 11346,
     /*  712315 */     GIR_EraseRootFromParent_Done,
     /*  712316 */   // Label 11225: @712316
     /*  712316 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712391), // Rule ID 11347 //
     /*  712321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  712338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712389 */     GIR_RootConstrainSelectedInstOperands,
     /*  712390 */     // GIR_Coverage, 11347,
     /*  712390 */     GIR_EraseRootFromParent_Done,
     /*  712391 */   // Label 11226: @712391
     /*  712391 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(712466), // Rule ID 11350 //
     /*  712396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  712407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  712410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  712413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  712416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  712445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712464 */     GIR_RootConstrainSelectedInstOperands,
     /*  712465 */     // GIR_Coverage, 11350,
     /*  712465 */     GIR_EraseRootFromParent_Done,
     /*  712466 */   // Label 11227: @712466
     /*  712466 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712541), // Rule ID 11351 //
     /*  712471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  712482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  712485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  712488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  712491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712517 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  712520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712539 */     GIR_RootConstrainSelectedInstOperands,
     /*  712540 */     // GIR_Coverage, 11351,
     /*  712540 */     GIR_EraseRootFromParent_Done,
     /*  712541 */   // Label 11228: @712541
     /*  712541 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712616), // Rule ID 11354 //
     /*  712546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  712557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  712560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  712563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  712566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  712595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712614 */     GIR_RootConstrainSelectedInstOperands,
     /*  712615 */     // GIR_Coverage, 11354,
     /*  712615 */     GIR_EraseRootFromParent_Done,
     /*  712616 */   // Label 11229: @712616
     /*  712616 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712691), // Rule ID 11355 //
     /*  712621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  712632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  712635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  712638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  712641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  712670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712689 */     GIR_RootConstrainSelectedInstOperands,
     /*  712690 */     // GIR_Coverage, 11355,
     /*  712690 */     GIR_EraseRootFromParent_Done,
     /*  712691 */   // Label 11230: @712691
     /*  712691 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(712766), // Rule ID 11358 //
     /*  712696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  712707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  712710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  712713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  712716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712742 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  712745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712764 */     GIR_RootConstrainSelectedInstOperands,
     /*  712765 */     // GIR_Coverage, 11358,
     /*  712765 */     GIR_EraseRootFromParent_Done,
     /*  712766 */   // Label 11231: @712766
     /*  712766 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(712841), // Rule ID 11359 //
     /*  712771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  712782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  712785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  712788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  712791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712817 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  712820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712839 */     GIR_RootConstrainSelectedInstOperands,
     /*  712840 */     // GIR_Coverage, 11359,
     /*  712840 */     GIR_EraseRootFromParent_Done,
     /*  712841 */   // Label 11232: @712841
     /*  712841 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(712916), // Rule ID 11362 //
     /*  712846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  712857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  712860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  712863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  712866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  712895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712914 */     GIR_RootConstrainSelectedInstOperands,
     /*  712915 */     // GIR_Coverage, 11362,
     /*  712915 */     GIR_EraseRootFromParent_Done,
     /*  712916 */   // Label 11233: @712916
     /*  712916 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(712991), // Rule ID 11363 //
     /*  712921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  712932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  712935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  712938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  712941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  712970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712989 */     GIR_RootConstrainSelectedInstOperands,
     /*  712990 */     // GIR_Coverage, 11363,
     /*  712990 */     GIR_EraseRootFromParent_Done,
     /*  712991 */   // Label 11234: @712991
     /*  712991 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(713066), // Rule ID 11366 //
     /*  712996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713064 */     GIR_RootConstrainSelectedInstOperands,
     /*  713065 */     // GIR_Coverage, 11366,
     /*  713065 */     GIR_EraseRootFromParent_Done,
     /*  713066 */   // Label 11235: @713066
     /*  713066 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713141), // Rule ID 11367 //
     /*  713071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713117 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713139 */     GIR_RootConstrainSelectedInstOperands,
     /*  713140 */     // GIR_Coverage, 11367,
     /*  713140 */     GIR_EraseRootFromParent_Done,
     /*  713141 */   // Label 11236: @713141
     /*  713141 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713216), // Rule ID 11370 //
     /*  713146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713214 */     GIR_RootConstrainSelectedInstOperands,
     /*  713215 */     // GIR_Coverage, 11370,
     /*  713215 */     GIR_EraseRootFromParent_Done,
     /*  713216 */   // Label 11237: @713216
     /*  713216 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(713291), // Rule ID 11371 //
     /*  713221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713267 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713289 */     GIR_RootConstrainSelectedInstOperands,
     /*  713290 */     // GIR_Coverage, 11371,
     /*  713290 */     GIR_EraseRootFromParent_Done,
     /*  713291 */   // Label 11238: @713291
     /*  713291 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(713366), // Rule ID 11374 //
     /*  713296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  713307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  713310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  713313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  713316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713364 */     GIR_RootConstrainSelectedInstOperands,
     /*  713365 */     // GIR_Coverage, 11374,
     /*  713365 */     GIR_EraseRootFromParent_Done,
     /*  713366 */   // Label 11239: @713366
     /*  713366 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(713441), // Rule ID 11375 //
     /*  713371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  713382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  713385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  713388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  713391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713439 */     GIR_RootConstrainSelectedInstOperands,
     /*  713440 */     // GIR_Coverage, 11375,
     /*  713440 */     GIR_EraseRootFromParent_Done,
     /*  713441 */   // Label 11240: @713441
     /*  713441 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(713516), // Rule ID 11378 //
     /*  713446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  713457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  713460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  713463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  713466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713514 */     GIR_RootConstrainSelectedInstOperands,
     /*  713515 */     // GIR_Coverage, 11378,
     /*  713515 */     GIR_EraseRootFromParent_Done,
     /*  713516 */   // Label 11241: @713516
     /*  713516 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713591), // Rule ID 11379 //
     /*  713521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  713532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  713535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  713538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  713541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713589 */     GIR_RootConstrainSelectedInstOperands,
     /*  713590 */     // GIR_Coverage, 11379,
     /*  713590 */     GIR_EraseRootFromParent_Done,
     /*  713591 */   // Label 11242: @713591
     /*  713591 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713666), // Rule ID 11382 //
     /*  713596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  713607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  713610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  713613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  713616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713664 */     GIR_RootConstrainSelectedInstOperands,
     /*  713665 */     // GIR_Coverage, 11382,
     /*  713665 */     GIR_EraseRootFromParent_Done,
     /*  713666 */   // Label 11243: @713666
     /*  713666 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(713741), // Rule ID 11383 //
     /*  713671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  713682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  713685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  713688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  713691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713739 */     GIR_RootConstrainSelectedInstOperands,
     /*  713740 */     // GIR_Coverage, 11383,
     /*  713740 */     GIR_EraseRootFromParent_Done,
     /*  713741 */   // Label 11244: @713741
     /*  713741 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(713816), // Rule ID 11386 //
     /*  713746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  713757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  713760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  713763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  713795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713814 */     GIR_RootConstrainSelectedInstOperands,
     /*  713815 */     // GIR_Coverage, 11386,
     /*  713815 */     GIR_EraseRootFromParent_Done,
     /*  713816 */   // Label 11245: @713816
     /*  713816 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(713891), // Rule ID 11387 //
     /*  713821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  713832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  713835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  713838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  713870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713889 */     GIR_RootConstrainSelectedInstOperands,
     /*  713890 */     // GIR_Coverage, 11387,
     /*  713890 */     GIR_EraseRootFromParent_Done,
     /*  713891 */   // Label 11246: @713891
     /*  713891 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(713966), // Rule ID 11390 //
     /*  713896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  713907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  713910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  713913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  713945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713964 */     GIR_RootConstrainSelectedInstOperands,
     /*  713965 */     // GIR_Coverage, 11390,
     /*  713965 */     GIR_EraseRootFromParent_Done,
     /*  713966 */   // Label 11247: @713966
     /*  713966 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(714041), // Rule ID 11391 //
     /*  713971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  713982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  713985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  713988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714017 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714039 */     GIR_RootConstrainSelectedInstOperands,
     /*  714040 */     // GIR_Coverage, 11391,
     /*  714040 */     GIR_EraseRootFromParent_Done,
     /*  714041 */   // Label 11248: @714041
     /*  714041 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714116), // Rule ID 11394 //
     /*  714046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714114 */     GIR_RootConstrainSelectedInstOperands,
     /*  714115 */     // GIR_Coverage, 11394,
     /*  714115 */     GIR_EraseRootFromParent_Done,
     /*  714116 */   // Label 11249: @714116
     /*  714116 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714191), // Rule ID 11395 //
     /*  714121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714167 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714189 */     GIR_RootConstrainSelectedInstOperands,
     /*  714190 */     // GIR_Coverage, 11395,
     /*  714190 */     GIR_EraseRootFromParent_Done,
     /*  714191 */   // Label 11250: @714191
     /*  714191 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(714266), // Rule ID 11398 //
     /*  714196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714264 */     GIR_RootConstrainSelectedInstOperands,
     /*  714265 */     // GIR_Coverage, 11398,
     /*  714265 */     GIR_EraseRootFromParent_Done,
     /*  714266 */   // Label 11251: @714266
     /*  714266 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(714341), // Rule ID 11399 //
     /*  714271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714317 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714339 */     GIR_RootConstrainSelectedInstOperands,
     /*  714340 */     // GIR_Coverage, 11399,
     /*  714340 */     GIR_EraseRootFromParent_Done,
     /*  714341 */   // Label 11252: @714341
     /*  714341 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714416), // Rule ID 11402 //
     /*  714346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  714357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  714360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  714363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714414 */     GIR_RootConstrainSelectedInstOperands,
     /*  714415 */     // GIR_Coverage, 11402,
     /*  714415 */     GIR_EraseRootFromParent_Done,
     /*  714416 */   // Label 11253: @714416
     /*  714416 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(714491), // Rule ID 11403 //
     /*  714421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  714432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  714435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  714438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714489 */     GIR_RootConstrainSelectedInstOperands,
     /*  714490 */     // GIR_Coverage, 11403,
     /*  714490 */     GIR_EraseRootFromParent_Done,
     /*  714491 */   // Label 11254: @714491
     /*  714491 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714566), // Rule ID 11406 //
     /*  714496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  714507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  714510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  714513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714564 */     GIR_RootConstrainSelectedInstOperands,
     /*  714565 */     // GIR_Coverage, 11406,
     /*  714565 */     GIR_EraseRootFromParent_Done,
     /*  714566 */   // Label 11255: @714566
     /*  714566 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714641), // Rule ID 11407 //
     /*  714571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  714582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  714585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  714588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714639 */     GIR_RootConstrainSelectedInstOperands,
     /*  714640 */     // GIR_Coverage, 11407,
     /*  714640 */     GIR_EraseRootFromParent_Done,
     /*  714641 */   // Label 11256: @714641
     /*  714641 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714716), // Rule ID 11410 //
     /*  714646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  714657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  714660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  714663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714714 */     GIR_RootConstrainSelectedInstOperands,
     /*  714715 */     // GIR_Coverage, 11410,
     /*  714715 */     GIR_EraseRootFromParent_Done,
     /*  714716 */   // Label 11257: @714716
     /*  714716 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(714791), // Rule ID 11411 //
     /*  714721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  714732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  714735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  714738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714789 */     GIR_RootConstrainSelectedInstOperands,
     /*  714790 */     // GIR_Coverage, 11411,
     /*  714790 */     GIR_EraseRootFromParent_Done,
     /*  714791 */   // Label 11258: @714791
     /*  714791 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(714866), // Rule ID 11414 //
     /*  714796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  714807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  714810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  714813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714864 */     GIR_RootConstrainSelectedInstOperands,
     /*  714865 */     // GIR_Coverage, 11414,
     /*  714865 */     GIR_EraseRootFromParent_Done,
     /*  714866 */   // Label 11259: @714866
     /*  714866 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(714941), // Rule ID 11415 //
     /*  714871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  714882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  714885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  714888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714939 */     GIR_RootConstrainSelectedInstOperands,
     /*  714940 */     // GIR_Coverage, 11415,
     /*  714940 */     GIR_EraseRootFromParent_Done,
     /*  714941 */   // Label 11260: @714941
     /*  714941 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(715016), // Rule ID 11418 //
     /*  714946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  714963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  714995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715014 */     GIR_RootConstrainSelectedInstOperands,
     /*  715015 */     // GIR_Coverage, 11418,
     /*  715015 */     GIR_EraseRootFromParent_Done,
     /*  715016 */   // Label 11261: @715016
     /*  715016 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(715091), // Rule ID 11419 //
     /*  715021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715089 */     GIR_RootConstrainSelectedInstOperands,
     /*  715090 */     // GIR_Coverage, 11419,
     /*  715090 */     GIR_EraseRootFromParent_Done,
     /*  715091 */   // Label 11262: @715091
     /*  715091 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715166), // Rule ID 11422 //
     /*  715096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715164 */     GIR_RootConstrainSelectedInstOperands,
     /*  715165 */     // GIR_Coverage, 11422,
     /*  715165 */     GIR_EraseRootFromParent_Done,
     /*  715166 */   // Label 11263: @715166
     /*  715166 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715241), // Rule ID 11423 //
     /*  715171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715239 */     GIR_RootConstrainSelectedInstOperands,
     /*  715240 */     // GIR_Coverage, 11423,
     /*  715240 */     GIR_EraseRootFromParent_Done,
     /*  715241 */   // Label 11264: @715241
     /*  715241 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(715316), // Rule ID 11426 //
     /*  715246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  715257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  715260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  715263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715292 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715314 */     GIR_RootConstrainSelectedInstOperands,
     /*  715315 */     // GIR_Coverage, 11426,
     /*  715315 */     GIR_EraseRootFromParent_Done,
     /*  715316 */   // Label 11265: @715316
     /*  715316 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715391), // Rule ID 11427 //
     /*  715321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  715332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  715335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  715338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715389 */     GIR_RootConstrainSelectedInstOperands,
     /*  715390 */     // GIR_Coverage, 11427,
     /*  715390 */     GIR_EraseRootFromParent_Done,
     /*  715391 */   // Label 11266: @715391
     /*  715391 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(715466), // Rule ID 11430 //
     /*  715396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  715407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  715410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  715413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715464 */     GIR_RootConstrainSelectedInstOperands,
     /*  715465 */     // GIR_Coverage, 11430,
     /*  715465 */     GIR_EraseRootFromParent_Done,
     /*  715466 */   // Label 11267: @715466
     /*  715466 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715541), // Rule ID 11431 //
     /*  715471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  715482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  715485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  715488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715517 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715539 */     GIR_RootConstrainSelectedInstOperands,
     /*  715540 */     // GIR_Coverage, 11431,
     /*  715540 */     GIR_EraseRootFromParent_Done,
     /*  715541 */   // Label 11268: @715541
     /*  715541 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715616), // Rule ID 11434 //
     /*  715546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  715557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  715560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  715563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715614 */     GIR_RootConstrainSelectedInstOperands,
     /*  715615 */     // GIR_Coverage, 11434,
     /*  715615 */     GIR_EraseRootFromParent_Done,
     /*  715616 */   // Label 11269: @715616
     /*  715616 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715691), // Rule ID 11435 //
     /*  715621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  715632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  715635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  715638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715689 */     GIR_RootConstrainSelectedInstOperands,
     /*  715690 */     // GIR_Coverage, 11435,
     /*  715690 */     GIR_EraseRootFromParent_Done,
     /*  715691 */   // Label 11270: @715691
     /*  715691 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(715766), // Rule ID 11438 //
     /*  715696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  715707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  715710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  715713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715742 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715764 */     GIR_RootConstrainSelectedInstOperands,
     /*  715765 */     // GIR_Coverage, 11438,
     /*  715765 */     GIR_EraseRootFromParent_Done,
     /*  715766 */   // Label 11271: @715766
     /*  715766 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(715841), // Rule ID 11439 //
     /*  715771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  715782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  715785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  715788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715839 */     GIR_RootConstrainSelectedInstOperands,
     /*  715840 */     // GIR_Coverage, 11439,
     /*  715840 */     GIR_EraseRootFromParent_Done,
     /*  715841 */   // Label 11272: @715841
     /*  715841 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(715916), // Rule ID 11442 //
     /*  715846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  715857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  715860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  715863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715914 */     GIR_RootConstrainSelectedInstOperands,
     /*  715915 */     // GIR_Coverage, 11442,
     /*  715915 */     GIR_EraseRootFromParent_Done,
     /*  715916 */   // Label 11273: @715916
     /*  715916 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(715991), // Rule ID 11443 //
     /*  715921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  715932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  715935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  715938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715967 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  715970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715989 */     GIR_RootConstrainSelectedInstOperands,
     /*  715990 */     // GIR_Coverage, 11443,
     /*  715990 */     GIR_EraseRootFromParent_Done,
     /*  715991 */   // Label 11274: @715991
     /*  715991 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(716066), // Rule ID 11446 //
     /*  715996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716064 */     GIR_RootConstrainSelectedInstOperands,
     /*  716065 */     // GIR_Coverage, 11446,
     /*  716065 */     GIR_EraseRootFromParent_Done,
     /*  716066 */   // Label 11275: @716066
     /*  716066 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716141), // Rule ID 11447 //
     /*  716071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716139 */     GIR_RootConstrainSelectedInstOperands,
     /*  716140 */     // GIR_Coverage, 11447,
     /*  716140 */     GIR_EraseRootFromParent_Done,
     /*  716141 */   // Label 11276: @716141
     /*  716141 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716216), // Rule ID 11450 //
     /*  716146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716214 */     GIR_RootConstrainSelectedInstOperands,
     /*  716215 */     // GIR_Coverage, 11450,
     /*  716215 */     GIR_EraseRootFromParent_Done,
     /*  716216 */   // Label 11277: @716216
     /*  716216 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(716291), // Rule ID 11451 //
     /*  716221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716289 */     GIR_RootConstrainSelectedInstOperands,
     /*  716290 */     // GIR_Coverage, 11451,
     /*  716290 */     GIR_EraseRootFromParent_Done,
     /*  716291 */   // Label 11278: @716291
     /*  716291 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(716366), // Rule ID 11454 //
     /*  716296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716364 */     GIR_RootConstrainSelectedInstOperands,
     /*  716365 */     // GIR_Coverage, 11454,
     /*  716365 */     GIR_EraseRootFromParent_Done,
     /*  716366 */   // Label 11279: @716366
     /*  716366 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(716441), // Rule ID 11455 //
     /*  716371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716439 */     GIR_RootConstrainSelectedInstOperands,
     /*  716440 */     // GIR_Coverage, 11455,
     /*  716440 */     GIR_EraseRootFromParent_Done,
     /*  716441 */   // Label 11280: @716441
     /*  716441 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(716516), // Rule ID 11458 //
     /*  716446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  716495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716514 */     GIR_RootConstrainSelectedInstOperands,
     /*  716515 */     // GIR_Coverage, 11458,
     /*  716515 */     GIR_EraseRootFromParent_Done,
     /*  716516 */   // Label 11281: @716516
     /*  716516 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716591), // Rule ID 11459 //
     /*  716521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  716570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716589 */     GIR_RootConstrainSelectedInstOperands,
     /*  716590 */     // GIR_Coverage, 11459,
     /*  716590 */     GIR_EraseRootFromParent_Done,
     /*  716591 */   // Label 11282: @716591
     /*  716591 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716666), // Rule ID 11462 //
     /*  716596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  716616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  716645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716664 */     GIR_RootConstrainSelectedInstOperands,
     /*  716665 */     // GIR_Coverage, 11462,
     /*  716665 */     GIR_EraseRootFromParent_Done,
     /*  716666 */   // Label 11283: @716666
     /*  716666 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(716741), // Rule ID 11463 //
     /*  716671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  716691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  716720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716739 */     GIR_RootConstrainSelectedInstOperands,
     /*  716740 */     // GIR_Coverage, 11463,
     /*  716740 */     GIR_EraseRootFromParent_Done,
     /*  716741 */   // Label 11284: @716741
     /*  716741 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(716816), // Rule ID 11466 //
     /*  716746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  716757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  716760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  716763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  716766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  716795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716814 */     GIR_RootConstrainSelectedInstOperands,
     /*  716815 */     // GIR_Coverage, 11466,
     /*  716815 */     GIR_EraseRootFromParent_Done,
     /*  716816 */   // Label 11285: @716816
     /*  716816 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(716891), // Rule ID 11467 //
     /*  716821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  716832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  716835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  716838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  716841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  716870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716889 */     GIR_RootConstrainSelectedInstOperands,
     /*  716890 */     // GIR_Coverage, 11467,
     /*  716890 */     GIR_EraseRootFromParent_Done,
     /*  716891 */   // Label 11286: @716891
     /*  716891 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(716966), // Rule ID 11470 //
     /*  716896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  716899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  716907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  716910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  716913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  716916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  716945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716964 */     GIR_RootConstrainSelectedInstOperands,
     /*  716965 */     // GIR_Coverage, 11470,
     /*  716965 */     GIR_EraseRootFromParent_Done,
     /*  716966 */   // Label 11287: @716966
     /*  716966 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(717041), // Rule ID 11471 //
     /*  716971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  716974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  716979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  716982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  716985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  716988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  716991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  717020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717039 */     GIR_RootConstrainSelectedInstOperands,
     /*  717040 */     // GIR_Coverage, 11471,
     /*  717040 */     GIR_EraseRootFromParent_Done,
     /*  717041 */   // Label 11288: @717041
     /*  717041 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717116), // Rule ID 11474 //
     /*  717046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  717095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717114 */     GIR_RootConstrainSelectedInstOperands,
     /*  717115 */     // GIR_Coverage, 11474,
     /*  717115 */     GIR_EraseRootFromParent_Done,
     /*  717116 */   // Label 11289: @717116
     /*  717116 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717191), // Rule ID 11475 //
     /*  717121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  717170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717189 */     GIR_RootConstrainSelectedInstOperands,
     /*  717190 */     // GIR_Coverage, 11475,
     /*  717190 */     GIR_EraseRootFromParent_Done,
     /*  717191 */   // Label 11290: @717191
     /*  717191 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(717266), // Rule ID 11478 //
     /*  717196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  717245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717264 */     GIR_RootConstrainSelectedInstOperands,
     /*  717265 */     // GIR_Coverage, 11478,
     /*  717265 */     GIR_EraseRootFromParent_Done,
     /*  717266 */   // Label 11291: @717266
     /*  717266 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(717341), // Rule ID 11479 //
     /*  717271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  717320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717339 */     GIR_RootConstrainSelectedInstOperands,
     /*  717340 */     // GIR_Coverage, 11479,
     /*  717340 */     GIR_EraseRootFromParent_Done,
     /*  717341 */   // Label 11292: @717341
     /*  717341 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717416), // Rule ID 11482 //
     /*  717346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  717395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717414 */     GIR_RootConstrainSelectedInstOperands,
     /*  717415 */     // GIR_Coverage, 11482,
     /*  717415 */     GIR_EraseRootFromParent_Done,
     /*  717416 */   // Label 11293: @717416
     /*  717416 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(717491), // Rule ID 11483 //
     /*  717421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717467 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  717470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717489 */     GIR_RootConstrainSelectedInstOperands,
     /*  717490 */     // GIR_Coverage, 11483,
     /*  717490 */     GIR_EraseRootFromParent_Done,
     /*  717491 */   // Label 11294: @717491
     /*  717491 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717566), // Rule ID 11486 //
     /*  717496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  717545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717564 */     GIR_RootConstrainSelectedInstOperands,
     /*  717565 */     // GIR_Coverage, 11486,
     /*  717565 */     GIR_EraseRootFromParent_Done,
     /*  717566 */   // Label 11295: @717566
     /*  717566 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717641), // Rule ID 11487 //
     /*  717571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  717620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717639 */     GIR_RootConstrainSelectedInstOperands,
     /*  717640 */     // GIR_Coverage, 11487,
     /*  717640 */     GIR_EraseRootFromParent_Done,
     /*  717641 */   // Label 11296: @717641
     /*  717641 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717716), // Rule ID 11490 //
     /*  717646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  717654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  717695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717714 */     GIR_RootConstrainSelectedInstOperands,
     /*  717715 */     // GIR_Coverage, 11490,
     /*  717715 */     GIR_EraseRootFromParent_Done,
     /*  717716 */   // Label 11297: @717716
     /*  717716 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(717791), // Rule ID 11491 //
     /*  717721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  717729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  717770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717789 */     GIR_RootConstrainSelectedInstOperands,
     /*  717790 */     // GIR_Coverage, 11491,
     /*  717790 */     GIR_EraseRootFromParent_Done,
     /*  717791 */   // Label 11298: @717791
     /*  717791 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(717866), // Rule ID 11494 //
     /*  717796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  717804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  717816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  717845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717864 */     GIR_RootConstrainSelectedInstOperands,
     /*  717865 */     // GIR_Coverage, 11494,
     /*  717865 */     GIR_EraseRootFromParent_Done,
     /*  717866 */   // Label 11299: @717866
     /*  717866 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(717941), // Rule ID 11495 //
     /*  717871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  717879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  717891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  717920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717939 */     GIR_RootConstrainSelectedInstOperands,
     /*  717940 */     // GIR_Coverage, 11495,
     /*  717940 */     GIR_EraseRootFromParent_Done,
     /*  717941 */   // Label 11300: @717941
     /*  717941 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(718016), // Rule ID 11498 //
     /*  717946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  717954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  717966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  717995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718014 */     GIR_RootConstrainSelectedInstOperands,
     /*  718015 */     // GIR_Coverage, 11498,
     /*  718015 */     GIR_EraseRootFromParent_Done,
     /*  718016 */   // Label 11301: @718016
     /*  718016 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(718091), // Rule ID 11499 //
     /*  718021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  718070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718089 */     GIR_RootConstrainSelectedInstOperands,
     /*  718090 */     // GIR_Coverage, 11499,
     /*  718090 */     GIR_EraseRootFromParent_Done,
     /*  718091 */   // Label 11302: @718091
     /*  718091 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718166), // Rule ID 11502 //
     /*  718096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  718145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718164 */     GIR_RootConstrainSelectedInstOperands,
     /*  718165 */     // GIR_Coverage, 11502,
     /*  718165 */     GIR_EraseRootFromParent_Done,
     /*  718166 */   // Label 11303: @718166
     /*  718166 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718241), // Rule ID 11503 //
     /*  718171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  718220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718239 */     GIR_RootConstrainSelectedInstOperands,
     /*  718240 */     // GIR_Coverage, 11503,
     /*  718240 */     GIR_EraseRootFromParent_Done,
     /*  718241 */   // Label 11304: @718241
     /*  718241 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(718316), // Rule ID 11506 //
     /*  718246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  718295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718314 */     GIR_RootConstrainSelectedInstOperands,
     /*  718315 */     // GIR_Coverage, 11506,
     /*  718315 */     GIR_EraseRootFromParent_Done,
     /*  718316 */   // Label 11305: @718316
     /*  718316 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718391), // Rule ID 11507 //
     /*  718321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  718370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718389 */     GIR_RootConstrainSelectedInstOperands,
     /*  718390 */     // GIR_Coverage, 11507,
     /*  718390 */     GIR_EraseRootFromParent_Done,
     /*  718391 */   // Label 11306: @718391
     /*  718391 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(718466), // Rule ID 11510 //
     /*  718396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  718445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718464 */     GIR_RootConstrainSelectedInstOperands,
     /*  718465 */     // GIR_Coverage, 11510,
     /*  718465 */     GIR_EraseRootFromParent_Done,
     /*  718466 */   // Label 11307: @718466
     /*  718466 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718541), // Rule ID 11511 //
     /*  718471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718517 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  718520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718539 */     GIR_RootConstrainSelectedInstOperands,
     /*  718540 */     // GIR_Coverage, 11511,
     /*  718540 */     GIR_EraseRootFromParent_Done,
     /*  718541 */   // Label 11308: @718541
     /*  718541 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718616), // Rule ID 11514 //
     /*  718546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  718595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718614 */     GIR_RootConstrainSelectedInstOperands,
     /*  718615 */     // GIR_Coverage, 11514,
     /*  718615 */     GIR_EraseRootFromParent_Done,
     /*  718616 */   // Label 11309: @718616
     /*  718616 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718691), // Rule ID 11515 //
     /*  718621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  718670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718689 */     GIR_RootConstrainSelectedInstOperands,
     /*  718690 */     // GIR_Coverage, 11515,
     /*  718690 */     GIR_EraseRootFromParent_Done,
     /*  718691 */   // Label 11310: @718691
     /*  718691 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(718766), // Rule ID 11518 //
     /*  718696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  718745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718764 */     GIR_RootConstrainSelectedInstOperands,
     /*  718765 */     // GIR_Coverage, 11518,
     /*  718765 */     GIR_EraseRootFromParent_Done,
     /*  718766 */   // Label 11311: @718766
     /*  718766 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(718841), // Rule ID 11519 //
     /*  718771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  718820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718839 */     GIR_RootConstrainSelectedInstOperands,
     /*  718840 */     // GIR_Coverage, 11519,
     /*  718840 */     GIR_EraseRootFromParent_Done,
     /*  718841 */   // Label 11312: @718841
     /*  718841 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(718916), // Rule ID 11522 //
     /*  718846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  718854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  718895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718914 */     GIR_RootConstrainSelectedInstOperands,
     /*  718915 */     // GIR_Coverage, 11522,
     /*  718915 */     GIR_EraseRootFromParent_Done,
     /*  718916 */   // Label 11313: @718916
     /*  718916 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(718991), // Rule ID 11523 //
     /*  718921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  718929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  718970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718989 */     GIR_RootConstrainSelectedInstOperands,
     /*  718990 */     // GIR_Coverage, 11523,
     /*  718990 */     GIR_EraseRootFromParent_Done,
     /*  718991 */   // Label 11314: @718991
     /*  718991 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(719066), // Rule ID 11526 //
     /*  718996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  719045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719064 */     GIR_RootConstrainSelectedInstOperands,
     /*  719065 */     // GIR_Coverage, 11526,
     /*  719065 */     GIR_EraseRootFromParent_Done,
     /*  719066 */   // Label 11315: @719066
     /*  719066 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719141), // Rule ID 11527 //
     /*  719071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  719120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719139 */     GIR_RootConstrainSelectedInstOperands,
     /*  719140 */     // GIR_Coverage, 11527,
     /*  719140 */     GIR_EraseRootFromParent_Done,
     /*  719141 */   // Label 11316: @719141
     /*  719141 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719216), // Rule ID 11530 //
     /*  719146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  719195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719214 */     GIR_RootConstrainSelectedInstOperands,
     /*  719215 */     // GIR_Coverage, 11530,
     /*  719215 */     GIR_EraseRootFromParent_Done,
     /*  719216 */   // Label 11317: @719216
     /*  719216 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(719291), // Rule ID 11531 //
     /*  719221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  719270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719289 */     GIR_RootConstrainSelectedInstOperands,
     /*  719290 */     // GIR_Coverage, 11531,
     /*  719290 */     GIR_EraseRootFromParent_Done,
     /*  719291 */   // Label 11318: @719291
     /*  719291 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(719366), // Rule ID 11534 //
     /*  719296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  719345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719364 */     GIR_RootConstrainSelectedInstOperands,
     /*  719365 */     // GIR_Coverage, 11534,
     /*  719365 */     GIR_EraseRootFromParent_Done,
     /*  719366 */   // Label 11319: @719366
     /*  719366 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(719441), // Rule ID 11535 //
     /*  719371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  719420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719439 */     GIR_RootConstrainSelectedInstOperands,
     /*  719440 */     // GIR_Coverage, 11535,
     /*  719440 */     GIR_EraseRootFromParent_Done,
     /*  719441 */   // Label 11320: @719441
     /*  719441 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(719516), // Rule ID 11538 //
     /*  719446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  719495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719514 */     GIR_RootConstrainSelectedInstOperands,
     /*  719515 */     // GIR_Coverage, 11538,
     /*  719515 */     GIR_EraseRootFromParent_Done,
     /*  719516 */   // Label 11321: @719516
     /*  719516 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719591), // Rule ID 11539 //
     /*  719521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  719570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719589 */     GIR_RootConstrainSelectedInstOperands,
     /*  719590 */     // GIR_Coverage, 11539,
     /*  719590 */     GIR_EraseRootFromParent_Done,
     /*  719591 */   // Label 11322: @719591
     /*  719591 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719666), // Rule ID 11542 //
     /*  719596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  719645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719664 */     GIR_RootConstrainSelectedInstOperands,
     /*  719665 */     // GIR_Coverage, 11542,
     /*  719665 */     GIR_EraseRootFromParent_Done,
     /*  719666 */   // Label 11323: @719666
     /*  719666 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(719741), // Rule ID 11543 //
     /*  719671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  719720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719739 */     GIR_RootConstrainSelectedInstOperands,
     /*  719740 */     // GIR_Coverage, 11543,
     /*  719740 */     GIR_EraseRootFromParent_Done,
     /*  719741 */   // Label 11324: @719741
     /*  719741 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(719816), // Rule ID 11546 //
     /*  719746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  719795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719814 */     GIR_RootConstrainSelectedInstOperands,
     /*  719815 */     // GIR_Coverage, 11546,
     /*  719815 */     GIR_EraseRootFromParent_Done,
     /*  719816 */   // Label 11325: @719816
     /*  719816 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(719891), // Rule ID 11547 //
     /*  719821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  719870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719889 */     GIR_RootConstrainSelectedInstOperands,
     /*  719890 */     // GIR_Coverage, 11547,
     /*  719890 */     GIR_EraseRootFromParent_Done,
     /*  719891 */   // Label 11326: @719891
     /*  719891 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(719966), // Rule ID 11550 //
     /*  719896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  719945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719964 */     GIR_RootConstrainSelectedInstOperands,
     /*  719965 */     // GIR_Coverage, 11550,
     /*  719965 */     GIR_EraseRootFromParent_Done,
     /*  719966 */   // Label 11327: @719966
     /*  719966 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(720041), // Rule ID 11551 //
     /*  719971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720017 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  720020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720039 */     GIR_RootConstrainSelectedInstOperands,
     /*  720040 */     // GIR_Coverage, 11551,
     /*  720040 */     GIR_EraseRootFromParent_Done,
     /*  720041 */   // Label 11328: @720041
     /*  720041 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720116), // Rule ID 11554 //
     /*  720046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  720095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720114 */     GIR_RootConstrainSelectedInstOperands,
     /*  720115 */     // GIR_Coverage, 11554,
     /*  720115 */     GIR_EraseRootFromParent_Done,
     /*  720116 */   // Label 11329: @720116
     /*  720116 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720191), // Rule ID 11555 //
     /*  720121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  720170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720189 */     GIR_RootConstrainSelectedInstOperands,
     /*  720190 */     // GIR_Coverage, 11555,
     /*  720190 */     GIR_EraseRootFromParent_Done,
     /*  720191 */   // Label 11330: @720191
     /*  720191 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(720266), // Rule ID 11558 //
     /*  720196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  720216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  720245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720264 */     GIR_RootConstrainSelectedInstOperands,
     /*  720265 */     // GIR_Coverage, 11558,
     /*  720265 */     GIR_EraseRootFromParent_Done,
     /*  720266 */   // Label 11331: @720266
     /*  720266 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(720341), // Rule ID 11559 //
     /*  720271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  720291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  720320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720339 */     GIR_RootConstrainSelectedInstOperands,
     /*  720340 */     // GIR_Coverage, 11559,
     /*  720340 */     GIR_EraseRootFromParent_Done,
     /*  720341 */   // Label 11332: @720341
     /*  720341 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720416), // Rule ID 11562 //
     /*  720346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  720357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  720360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  720366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  720395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720414 */     GIR_RootConstrainSelectedInstOperands,
     /*  720415 */     // GIR_Coverage, 11562,
     /*  720415 */     GIR_EraseRootFromParent_Done,
     /*  720416 */   // Label 11333: @720416
     /*  720416 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(720491), // Rule ID 11563 //
     /*  720421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  720432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  720435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  720441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  720470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720489 */     GIR_RootConstrainSelectedInstOperands,
     /*  720490 */     // GIR_Coverage, 11563,
     /*  720490 */     GIR_EraseRootFromParent_Done,
     /*  720491 */   // Label 11334: @720491
     /*  720491 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720566), // Rule ID 11566 //
     /*  720496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  720507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  720510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  720516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  720545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720564 */     GIR_RootConstrainSelectedInstOperands,
     /*  720565 */     // GIR_Coverage, 11566,
     /*  720565 */     GIR_EraseRootFromParent_Done,
     /*  720566 */   // Label 11335: @720566
     /*  720566 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720641), // Rule ID 11567 //
     /*  720571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  720582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  720585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  720591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  720620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720639 */     GIR_RootConstrainSelectedInstOperands,
     /*  720640 */     // GIR_Coverage, 11567,
     /*  720640 */     GIR_EraseRootFromParent_Done,
     /*  720641 */   // Label 11336: @720641
     /*  720641 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720716), // Rule ID 11570 //
     /*  720646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  720666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  720695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720714 */     GIR_RootConstrainSelectedInstOperands,
     /*  720715 */     // GIR_Coverage, 11570,
     /*  720715 */     GIR_EraseRootFromParent_Done,
     /*  720716 */   // Label 11337: @720716
     /*  720716 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(720791), // Rule ID 11571 //
     /*  720721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  720741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720767 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  720770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720789 */     GIR_RootConstrainSelectedInstOperands,
     /*  720790 */     // GIR_Coverage, 11571,
     /*  720790 */     GIR_EraseRootFromParent_Done,
     /*  720791 */   // Label 11338: @720791
     /*  720791 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(720866), // Rule ID 11574 //
     /*  720796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  720816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  720845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720864 */     GIR_RootConstrainSelectedInstOperands,
     /*  720865 */     // GIR_Coverage, 11574,
     /*  720865 */     GIR_EraseRootFromParent_Done,
     /*  720866 */   // Label 11339: @720866
     /*  720866 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(720941), // Rule ID 11575 //
     /*  720871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  720891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  720920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720939 */     GIR_RootConstrainSelectedInstOperands,
     /*  720940 */     // GIR_Coverage, 11575,
     /*  720940 */     GIR_EraseRootFromParent_Done,
     /*  720941 */   // Label 11340: @720941
     /*  720941 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(721016), // Rule ID 11578 //
     /*  720946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  720995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721014 */     GIR_RootConstrainSelectedInstOperands,
     /*  721015 */     // GIR_Coverage, 11578,
     /*  721015 */     GIR_EraseRootFromParent_Done,
     /*  721016 */   // Label 11341: @721016
     /*  721016 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(721091), // Rule ID 11579 //
     /*  721021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  721070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721089 */     GIR_RootConstrainSelectedInstOperands,
     /*  721090 */     // GIR_Coverage, 11579,
     /*  721090 */     GIR_EraseRootFromParent_Done,
     /*  721091 */   // Label 11342: @721091
     /*  721091 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721166), // Rule ID 11582 //
     /*  721096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  721145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721164 */     GIR_RootConstrainSelectedInstOperands,
     /*  721165 */     // GIR_Coverage, 11582,
     /*  721165 */     GIR_EraseRootFromParent_Done,
     /*  721166 */   // Label 11343: @721166
     /*  721166 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721241), // Rule ID 11583 //
     /*  721171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721217 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  721220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721239 */     GIR_RootConstrainSelectedInstOperands,
     /*  721240 */     // GIR_Coverage, 11583,
     /*  721240 */     GIR_EraseRootFromParent_Done,
     /*  721241 */   // Label 11344: @721241
     /*  721241 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(721316), // Rule ID 11586 //
     /*  721246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  721295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721314 */     GIR_RootConstrainSelectedInstOperands,
     /*  721315 */     // GIR_Coverage, 11586,
     /*  721315 */     GIR_EraseRootFromParent_Done,
     /*  721316 */   // Label 11345: @721316
     /*  721316 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721391), // Rule ID 11587 //
     /*  721321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  721370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721389 */     GIR_RootConstrainSelectedInstOperands,
     /*  721390 */     // GIR_Coverage, 11587,
     /*  721390 */     GIR_EraseRootFromParent_Done,
     /*  721391 */   // Label 11346: @721391
     /*  721391 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(721466), // Rule ID 11590 //
     /*  721396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721442 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  721445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721464 */     GIR_RootConstrainSelectedInstOperands,
     /*  721465 */     // GIR_Coverage, 11590,
     /*  721465 */     GIR_EraseRootFromParent_Done,
     /*  721466 */   // Label 11347: @721466
     /*  721466 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721541), // Rule ID 11591 //
     /*  721471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  721520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721539 */     GIR_RootConstrainSelectedInstOperands,
     /*  721540 */     // GIR_Coverage, 11591,
     /*  721540 */     GIR_EraseRootFromParent_Done,
     /*  721541 */   // Label 11348: @721541
     /*  721541 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721616), // Rule ID 11594 //
     /*  721546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  721557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  721560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  721566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  721595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721614 */     GIR_RootConstrainSelectedInstOperands,
     /*  721615 */     // GIR_Coverage, 11594,
     /*  721615 */     GIR_EraseRootFromParent_Done,
     /*  721616 */   // Label 11349: @721616
     /*  721616 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721691), // Rule ID 11595 //
     /*  721621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  721632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  721635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  721641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  721670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721689 */     GIR_RootConstrainSelectedInstOperands,
     /*  721690 */     // GIR_Coverage, 11595,
     /*  721690 */     GIR_EraseRootFromParent_Done,
     /*  721691 */   // Label 11350: @721691
     /*  721691 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(721766), // Rule ID 11598 //
     /*  721696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  721716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  721745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721764 */     GIR_RootConstrainSelectedInstOperands,
     /*  721765 */     // GIR_Coverage, 11598,
     /*  721765 */     GIR_EraseRootFromParent_Done,
     /*  721766 */   // Label 11351: @721766
     /*  721766 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(721841), // Rule ID 11599 //
     /*  721771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  721791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  721820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721839 */     GIR_RootConstrainSelectedInstOperands,
     /*  721840 */     // GIR_Coverage, 11599,
     /*  721840 */     GIR_EraseRootFromParent_Done,
     /*  721841 */   // Label 11352: @721841
     /*  721841 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(721916), // Rule ID 11602 //
     /*  721846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  721866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  721895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721914 */     GIR_RootConstrainSelectedInstOperands,
     /*  721915 */     // GIR_Coverage, 11602,
     /*  721915 */     GIR_EraseRootFromParent_Done,
     /*  721916 */   // Label 11353: @721916
     /*  721916 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(721991), // Rule ID 11603 //
     /*  721921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  721941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721967 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  721970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721989 */     GIR_RootConstrainSelectedInstOperands,
     /*  721990 */     // GIR_Coverage, 11603,
     /*  721990 */     GIR_EraseRootFromParent_Done,
     /*  721991 */   // Label 11354: @721991
     /*  721991 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(722066), // Rule ID 11606 //
     /*  721996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  722045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722064 */     GIR_RootConstrainSelectedInstOperands,
     /*  722065 */     // GIR_Coverage, 11606,
     /*  722065 */     GIR_EraseRootFromParent_Done,
     /*  722066 */   // Label 11355: @722066
     /*  722066 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722141), // Rule ID 11607 //
     /*  722071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  722120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722139 */     GIR_RootConstrainSelectedInstOperands,
     /*  722140 */     // GIR_Coverage, 11607,
     /*  722140 */     GIR_EraseRootFromParent_Done,
     /*  722141 */   // Label 11356: @722141
     /*  722141 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722216), // Rule ID 11610 //
     /*  722146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  722166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  722195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722214 */     GIR_RootConstrainSelectedInstOperands,
     /*  722215 */     // GIR_Coverage, 11610,
     /*  722215 */     GIR_EraseRootFromParent_Done,
     /*  722216 */   // Label 11357: @722216
     /*  722216 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(722291), // Rule ID 11611 //
     /*  722221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  722241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  722270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722289 */     GIR_RootConstrainSelectedInstOperands,
     /*  722290 */     // GIR_Coverage, 11611,
     /*  722290 */     GIR_EraseRootFromParent_Done,
     /*  722291 */   // Label 11358: @722291
     /*  722291 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(722366), // Rule ID 11614 //
     /*  722296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  722307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  722310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  722316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  722345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722364 */     GIR_RootConstrainSelectedInstOperands,
     /*  722365 */     // GIR_Coverage, 11614,
     /*  722365 */     GIR_EraseRootFromParent_Done,
     /*  722366 */   // Label 11359: @722366
     /*  722366 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(722441), // Rule ID 11615 //
     /*  722371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  722382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  722385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  722391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  722420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722439 */     GIR_RootConstrainSelectedInstOperands,
     /*  722440 */     // GIR_Coverage, 11615,
     /*  722440 */     GIR_EraseRootFromParent_Done,
     /*  722441 */   // Label 11360: @722441
     /*  722441 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(722516), // Rule ID 11618 //
     /*  722446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  722457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  722460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  722466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  722495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722514 */     GIR_RootConstrainSelectedInstOperands,
     /*  722515 */     // GIR_Coverage, 11618,
     /*  722515 */     GIR_EraseRootFromParent_Done,
     /*  722516 */   // Label 11361: @722516
     /*  722516 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722591), // Rule ID 11619 //
     /*  722521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  722532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  722535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  722541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  722570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722589 */     GIR_RootConstrainSelectedInstOperands,
     /*  722590 */     // GIR_Coverage, 11619,
     /*  722590 */     GIR_EraseRootFromParent_Done,
     /*  722591 */   // Label 11362: @722591
     /*  722591 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722666), // Rule ID 11622 //
     /*  722596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  722616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  722645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722664 */     GIR_RootConstrainSelectedInstOperands,
     /*  722665 */     // GIR_Coverage, 11622,
     /*  722665 */     GIR_EraseRootFromParent_Done,
     /*  722666 */   // Label 11363: @722666
     /*  722666 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(722741), // Rule ID 11623 //
     /*  722671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  722691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  722720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722739 */     GIR_RootConstrainSelectedInstOperands,
     /*  722740 */     // GIR_Coverage, 11623,
     /*  722740 */     GIR_EraseRootFromParent_Done,
     /*  722741 */   // Label 11364: @722741
     /*  722741 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(722816), // Rule ID 11626 //
     /*  722746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  722757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  722760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  722763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  722766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  722795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722814 */     GIR_RootConstrainSelectedInstOperands,
     /*  722815 */     // GIR_Coverage, 11626,
     /*  722815 */     GIR_EraseRootFromParent_Done,
     /*  722816 */   // Label 11365: @722816
     /*  722816 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(722891), // Rule ID 11627 //
     /*  722821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  722832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  722835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  722838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  722841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  722870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722889 */     GIR_RootConstrainSelectedInstOperands,
     /*  722890 */     // GIR_Coverage, 11627,
     /*  722890 */     GIR_EraseRootFromParent_Done,
     /*  722891 */   // Label 11366: @722891
     /*  722891 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(722966), // Rule ID 11630 //
     /*  722896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  722916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  722945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722964 */     GIR_RootConstrainSelectedInstOperands,
     /*  722965 */     // GIR_Coverage, 11630,
     /*  722965 */     GIR_EraseRootFromParent_Done,
     /*  722966 */   // Label 11367: @722966
     /*  722966 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(723041), // Rule ID 11631 //
     /*  722971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  722991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  723020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723039 */     GIR_RootConstrainSelectedInstOperands,
     /*  723040 */     // GIR_Coverage, 11631,
     /*  723040 */     GIR_EraseRootFromParent_Done,
     /*  723041 */   // Label 11368: @723041
     /*  723041 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723116), // Rule ID 11634 //
     /*  723046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  723095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723114 */     GIR_RootConstrainSelectedInstOperands,
     /*  723115 */     // GIR_Coverage, 11634,
     /*  723115 */     GIR_EraseRootFromParent_Done,
     /*  723116 */   // Label 11369: @723116
     /*  723116 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723191), // Rule ID 11635 //
     /*  723121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  723170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723189 */     GIR_RootConstrainSelectedInstOperands,
     /*  723190 */     // GIR_Coverage, 11635,
     /*  723190 */     GIR_EraseRootFromParent_Done,
     /*  723191 */   // Label 11370: @723191
     /*  723191 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(723266), // Rule ID 11638 //
     /*  723196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  723216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  723245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723264 */     GIR_RootConstrainSelectedInstOperands,
     /*  723265 */     // GIR_Coverage, 11638,
     /*  723265 */     GIR_EraseRootFromParent_Done,
     /*  723266 */   // Label 11371: @723266
     /*  723266 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(723341), // Rule ID 11639 //
     /*  723271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  723291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  723320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723339 */     GIR_RootConstrainSelectedInstOperands,
     /*  723340 */     // GIR_Coverage, 11639,
     /*  723340 */     GIR_EraseRootFromParent_Done,
     /*  723341 */   // Label 11372: @723341
     /*  723341 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723416), // Rule ID 11642 //
     /*  723346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  723357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  723360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  723395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723414 */     GIR_RootConstrainSelectedInstOperands,
     /*  723415 */     // GIR_Coverage, 11642,
     /*  723415 */     GIR_EraseRootFromParent_Done,
     /*  723416 */   // Label 11373: @723416
     /*  723416 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(723491), // Rule ID 11643 //
     /*  723421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  723432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  723435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  723470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723489 */     GIR_RootConstrainSelectedInstOperands,
     /*  723490 */     // GIR_Coverage, 11643,
     /*  723490 */     GIR_EraseRootFromParent_Done,
     /*  723491 */   // Label 11374: @723491
     /*  723491 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723566), // Rule ID 11646 //
     /*  723496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  723507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  723510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723542 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  723545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723564 */     GIR_RootConstrainSelectedInstOperands,
     /*  723565 */     // GIR_Coverage, 11646,
     /*  723565 */     GIR_EraseRootFromParent_Done,
     /*  723566 */   // Label 11375: @723566
     /*  723566 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723641), // Rule ID 11647 //
     /*  723571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  723582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  723585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  723620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723639 */     GIR_RootConstrainSelectedInstOperands,
     /*  723640 */     // GIR_Coverage, 11647,
     /*  723640 */     GIR_EraseRootFromParent_Done,
     /*  723641 */   // Label 11376: @723641
     /*  723641 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723716), // Rule ID 11650 //
     /*  723646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  723695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723714 */     GIR_RootConstrainSelectedInstOperands,
     /*  723715 */     // GIR_Coverage, 11650,
     /*  723715 */     GIR_EraseRootFromParent_Done,
     /*  723716 */   // Label 11377: @723716
     /*  723716 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(723791), // Rule ID 11651 //
     /*  723721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  723770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723789 */     GIR_RootConstrainSelectedInstOperands,
     /*  723790 */     // GIR_Coverage, 11651,
     /*  723790 */     GIR_EraseRootFromParent_Done,
     /*  723791 */   // Label 11378: @723791
     /*  723791 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(723866), // Rule ID 11654 //
     /*  723796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  723845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723864 */     GIR_RootConstrainSelectedInstOperands,
     /*  723865 */     // GIR_Coverage, 11654,
     /*  723865 */     GIR_EraseRootFromParent_Done,
     /*  723866 */   // Label 11379: @723866
     /*  723866 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(723941), // Rule ID 11655 //
     /*  723871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  723891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  723920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723939 */     GIR_RootConstrainSelectedInstOperands,
     /*  723940 */     // GIR_Coverage, 11655,
     /*  723940 */     GIR_EraseRootFromParent_Done,
     /*  723941 */   // Label 11380: @723941
     /*  723941 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(724016), // Rule ID 11658 //
     /*  723946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  723966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  723985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  723995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724014 */     GIR_RootConstrainSelectedInstOperands,
     /*  724015 */     // GIR_Coverage, 11658,
     /*  724015 */     GIR_EraseRootFromParent_Done,
     /*  724016 */   // Label 11381: @724016
     /*  724016 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(724091), // Rule ID 11659 //
     /*  724021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  724032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  724035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  724070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724089 */     GIR_RootConstrainSelectedInstOperands,
     /*  724090 */     // GIR_Coverage, 11659,
     /*  724090 */     GIR_EraseRootFromParent_Done,
     /*  724091 */   // Label 11382: @724091
     /*  724091 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724166), // Rule ID 11662 //
     /*  724096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  724110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  724145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724164 */     GIR_RootConstrainSelectedInstOperands,
     /*  724165 */     // GIR_Coverage, 11662,
     /*  724165 */     GIR_EraseRootFromParent_Done,
     /*  724166 */   // Label 11383: @724166
     /*  724166 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724241), // Rule ID 11663 //
     /*  724171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  724185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  724220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724239 */     GIR_RootConstrainSelectedInstOperands,
     /*  724240 */     // GIR_Coverage, 11663,
     /*  724240 */     GIR_EraseRootFromParent_Done,
     /*  724241 */   // Label 11384: @724241
     /*  724241 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(724316), // Rule ID 11666 //
     /*  724246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  724295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724314 */     GIR_RootConstrainSelectedInstOperands,
     /*  724315 */     // GIR_Coverage, 11666,
     /*  724315 */     GIR_EraseRootFromParent_Done,
     /*  724316 */   // Label 11385: @724316
     /*  724316 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724391), // Rule ID 11667 //
     /*  724321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  724370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724389 */     GIR_RootConstrainSelectedInstOperands,
     /*  724390 */     // GIR_Coverage, 11667,
     /*  724390 */     GIR_EraseRootFromParent_Done,
     /*  724391 */   // Label 11386: @724391
     /*  724391 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(724466), // Rule ID 11670 //
     /*  724396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  724445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724464 */     GIR_RootConstrainSelectedInstOperands,
     /*  724465 */     // GIR_Coverage, 11670,
     /*  724465 */     GIR_EraseRootFromParent_Done,
     /*  724466 */   // Label 11387: @724466
     /*  724466 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724541), // Rule ID 11671 //
     /*  724471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  724520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724539 */     GIR_RootConstrainSelectedInstOperands,
     /*  724540 */     // GIR_Coverage, 11671,
     /*  724540 */     GIR_EraseRootFromParent_Done,
     /*  724541 */   // Label 11388: @724541
     /*  724541 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724616), // Rule ID 11674 //
     /*  724546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  724595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724614 */     GIR_RootConstrainSelectedInstOperands,
     /*  724615 */     // GIR_Coverage, 11674,
     /*  724615 */     GIR_EraseRootFromParent_Done,
     /*  724616 */   // Label 11389: @724616
     /*  724616 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724691), // Rule ID 11675 //
     /*  724621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  724670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724689 */     GIR_RootConstrainSelectedInstOperands,
     /*  724690 */     // GIR_Coverage, 11675,
     /*  724690 */     GIR_EraseRootFromParent_Done,
     /*  724691 */   // Label 11390: @724691
     /*  724691 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(724766), // Rule ID 11678 //
     /*  724696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  724745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724764 */     GIR_RootConstrainSelectedInstOperands,
     /*  724765 */     // GIR_Coverage, 11678,
     /*  724765 */     GIR_EraseRootFromParent_Done,
     /*  724766 */   // Label 11391: @724766
     /*  724766 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(724841), // Rule ID 11679 //
     /*  724771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  724817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  724820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724839 */     GIR_RootConstrainSelectedInstOperands,
     /*  724840 */     // GIR_Coverage, 11679,
     /*  724840 */     GIR_EraseRootFromParent_Done,
     /*  724841 */   // Label 11392: @724841
     /*  724841 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(724916), // Rule ID 11682 //
     /*  724846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  724895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724914 */     GIR_RootConstrainSelectedInstOperands,
     /*  724915 */     // GIR_Coverage, 11682,
     /*  724915 */     GIR_EraseRootFromParent_Done,
     /*  724916 */   // Label 11393: @724916
     /*  724916 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(724991), // Rule ID 11683 //
     /*  724921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  724970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724989 */     GIR_RootConstrainSelectedInstOperands,
     /*  724990 */     // GIR_Coverage, 11683,
     /*  724990 */     GIR_EraseRootFromParent_Done,
     /*  724991 */   // Label 11394: @724991
     /*  724991 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(725066), // Rule ID 11686 //
     /*  724996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  725045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725064 */     GIR_RootConstrainSelectedInstOperands,
     /*  725065 */     // GIR_Coverage, 11686,
     /*  725065 */     GIR_EraseRootFromParent_Done,
     /*  725066 */   // Label 11395: @725066
     /*  725066 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725141), // Rule ID 11687 //
     /*  725071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725117 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  725120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725139 */     GIR_RootConstrainSelectedInstOperands,
     /*  725140 */     // GIR_Coverage, 11687,
     /*  725140 */     GIR_EraseRootFromParent_Done,
     /*  725141 */   // Label 11396: @725141
     /*  725141 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725216), // Rule ID 11690 //
     /*  725146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725192 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  725195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725214 */     GIR_RootConstrainSelectedInstOperands,
     /*  725215 */     // GIR_Coverage, 11690,
     /*  725215 */     GIR_EraseRootFromParent_Done,
     /*  725216 */   // Label 11397: @725216
     /*  725216 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(725291), // Rule ID 11691 //
     /*  725221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  725270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725289 */     GIR_RootConstrainSelectedInstOperands,
     /*  725290 */     // GIR_Coverage, 11691,
     /*  725290 */     GIR_EraseRootFromParent_Done,
     /*  725291 */   // Label 11398: @725291
     /*  725291 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(725366), // Rule ID 11694 //
     /*  725296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  725307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  725310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  725345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725364 */     GIR_RootConstrainSelectedInstOperands,
     /*  725365 */     // GIR_Coverage, 11694,
     /*  725365 */     GIR_EraseRootFromParent_Done,
     /*  725366 */   // Label 11399: @725366
     /*  725366 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(725441), // Rule ID 11695 //
     /*  725371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  725382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  725385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  725420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725439 */     GIR_RootConstrainSelectedInstOperands,
     /*  725440 */     // GIR_Coverage, 11695,
     /*  725440 */     GIR_EraseRootFromParent_Done,
     /*  725441 */   // Label 11400: @725441
     /*  725441 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(725516), // Rule ID 11698 //
     /*  725446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  725457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  725460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  725495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725514 */     GIR_RootConstrainSelectedInstOperands,
     /*  725515 */     // GIR_Coverage, 11698,
     /*  725515 */     GIR_EraseRootFromParent_Done,
     /*  725516 */   // Label 11401: @725516
     /*  725516 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725591), // Rule ID 11699 //
     /*  725521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  725532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  725535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725567 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  725570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725589 */     GIR_RootConstrainSelectedInstOperands,
     /*  725590 */     // GIR_Coverage, 11699,
     /*  725590 */     GIR_EraseRootFromParent_Done,
     /*  725591 */   // Label 11402: @725591
     /*  725591 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725666), // Rule ID 11702 //
     /*  725596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  725645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725664 */     GIR_RootConstrainSelectedInstOperands,
     /*  725665 */     // GIR_Coverage, 11702,
     /*  725665 */     GIR_EraseRootFromParent_Done,
     /*  725666 */   // Label 11403: @725666
     /*  725666 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(725741), // Rule ID 11703 //
     /*  725671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  725720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725739 */     GIR_RootConstrainSelectedInstOperands,
     /*  725740 */     // GIR_Coverage, 11703,
     /*  725740 */     GIR_EraseRootFromParent_Done,
     /*  725741 */   // Label 11404: @725741
     /*  725741 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(725816), // Rule ID 11706 //
     /*  725746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  725757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  725760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  725763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  725795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725814 */     GIR_RootConstrainSelectedInstOperands,
     /*  725815 */     // GIR_Coverage, 11706,
     /*  725815 */     GIR_EraseRootFromParent_Done,
     /*  725816 */   // Label 11405: @725816
     /*  725816 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(725891), // Rule ID 11707 //
     /*  725821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  725832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  725835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  725838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  725870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725889 */     GIR_RootConstrainSelectedInstOperands,
     /*  725890 */     // GIR_Coverage, 11707,
     /*  725890 */     GIR_EraseRootFromParent_Done,
     /*  725891 */   // Label 11406: @725891
     /*  725891 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(725966), // Rule ID 11710 //
     /*  725896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  725945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725964 */     GIR_RootConstrainSelectedInstOperands,
     /*  725965 */     // GIR_Coverage, 11710,
     /*  725965 */     GIR_EraseRootFromParent_Done,
     /*  725966 */   // Label 11407: @725966
     /*  725966 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(726041), // Rule ID 11711 //
     /*  725971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  726020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726039 */     GIR_RootConstrainSelectedInstOperands,
     /*  726040 */     // GIR_Coverage, 11711,
     /*  726040 */     GIR_EraseRootFromParent_Done,
     /*  726041 */   // Label 11408: @726041
     /*  726041 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726116), // Rule ID 11714 //
     /*  726046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  726095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726114 */     GIR_RootConstrainSelectedInstOperands,
     /*  726115 */     // GIR_Coverage, 11714,
     /*  726115 */     GIR_EraseRootFromParent_Done,
     /*  726116 */   // Label 11409: @726116
     /*  726116 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726191), // Rule ID 11715 //
     /*  726121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  726170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726189 */     GIR_RootConstrainSelectedInstOperands,
     /*  726190 */     // GIR_Coverage, 11715,
     /*  726190 */     GIR_EraseRootFromParent_Done,
     /*  726191 */   // Label 11410: @726191
     /*  726191 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(726266), // Rule ID 11718 //
     /*  726196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  726245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726264 */     GIR_RootConstrainSelectedInstOperands,
     /*  726265 */     // GIR_Coverage, 11718,
     /*  726265 */     GIR_EraseRootFromParent_Done,
     /*  726266 */   // Label 11411: @726266
     /*  726266 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(726341), // Rule ID 11719 //
     /*  726271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  726320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726339 */     GIR_RootConstrainSelectedInstOperands,
     /*  726340 */     // GIR_Coverage, 11719,
     /*  726340 */     GIR_EraseRootFromParent_Done,
     /*  726341 */   // Label 11412: @726341
     /*  726341 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726416), // Rule ID 11722 //
     /*  726346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  726357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  726360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  726395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726414 */     GIR_RootConstrainSelectedInstOperands,
     /*  726415 */     // GIR_Coverage, 11722,
     /*  726415 */     GIR_EraseRootFromParent_Done,
     /*  726416 */   // Label 11413: @726416
     /*  726416 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(726491), // Rule ID 11723 //
     /*  726421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  726432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  726435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726467 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  726470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726489 */     GIR_RootConstrainSelectedInstOperands,
     /*  726490 */     // GIR_Coverage, 11723,
     /*  726490 */     GIR_EraseRootFromParent_Done,
     /*  726491 */   // Label 11414: @726491
     /*  726491 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726566), // Rule ID 11726 //
     /*  726496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  726507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  726510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  726545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726564 */     GIR_RootConstrainSelectedInstOperands,
     /*  726565 */     // GIR_Coverage, 11726,
     /*  726565 */     GIR_EraseRootFromParent_Done,
     /*  726566 */   // Label 11415: @726566
     /*  726566 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726641), // Rule ID 11727 //
     /*  726571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  726582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  726585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  726620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726639 */     GIR_RootConstrainSelectedInstOperands,
     /*  726640 */     // GIR_Coverage, 11727,
     /*  726640 */     GIR_EraseRootFromParent_Done,
     /*  726641 */   // Label 11416: @726641
     /*  726641 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726716), // Rule ID 11730 //
     /*  726646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  726666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  726695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726714 */     GIR_RootConstrainSelectedInstOperands,
     /*  726715 */     // GIR_Coverage, 11730,
     /*  726715 */     GIR_EraseRootFromParent_Done,
     /*  726716 */   // Label 11417: @726716
     /*  726716 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(726791), // Rule ID 11731 //
     /*  726721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  726741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  726770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726789 */     GIR_RootConstrainSelectedInstOperands,
     /*  726790 */     // GIR_Coverage, 11731,
     /*  726790 */     GIR_EraseRootFromParent_Done,
     /*  726791 */   // Label 11418: @726791
     /*  726791 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(726866), // Rule ID 11734 //
     /*  726796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  726816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726842 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  726845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726864 */     GIR_RootConstrainSelectedInstOperands,
     /*  726865 */     // GIR_Coverage, 11734,
     /*  726865 */     GIR_EraseRootFromParent_Done,
     /*  726866 */   // Label 11419: @726866
     /*  726866 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(726941), // Rule ID 11735 //
     /*  726871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  726891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  726920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726939 */     GIR_RootConstrainSelectedInstOperands,
     /*  726940 */     // GIR_Coverage, 11735,
     /*  726940 */     GIR_EraseRootFromParent_Done,
     /*  726941 */   // Label 11420: @726941
     /*  726941 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(727016), // Rule ID 11738 //
     /*  726946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  726966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726992 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  726995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727014 */     GIR_RootConstrainSelectedInstOperands,
     /*  727015 */     // GIR_Coverage, 11738,
     /*  727015 */     GIR_EraseRootFromParent_Done,
     /*  727016 */   // Label 11421: @727016
     /*  727016 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(727091), // Rule ID 11739 //
     /*  727021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  727032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  727035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  727041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727067 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  727070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727089 */     GIR_RootConstrainSelectedInstOperands,
     /*  727090 */     // GIR_Coverage, 11739,
     /*  727090 */     GIR_EraseRootFromParent_Done,
     /*  727091 */   // Label 11422: @727091
     /*  727091 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727166), // Rule ID 11742 //
     /*  727096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  727110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  727116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  727145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727164 */     GIR_RootConstrainSelectedInstOperands,
     /*  727165 */     // GIR_Coverage, 11742,
     /*  727165 */     GIR_EraseRootFromParent_Done,
     /*  727166 */   // Label 11423: @727166
     /*  727166 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727241), // Rule ID 11743 //
     /*  727171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  727185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  727191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  727220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727239 */     GIR_RootConstrainSelectedInstOperands,
     /*  727240 */     // GIR_Coverage, 11743,
     /*  727240 */     GIR_EraseRootFromParent_Done,
     /*  727241 */   // Label 11424: @727241
     /*  727241 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(727316), // Rule ID 11746 //
     /*  727246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  727257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  727260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  727266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  727295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727314 */     GIR_RootConstrainSelectedInstOperands,
     /*  727315 */     // GIR_Coverage, 11746,
     /*  727315 */     GIR_EraseRootFromParent_Done,
     /*  727316 */   // Label 11425: @727316
     /*  727316 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727391), // Rule ID 11747 //
     /*  727321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  727332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  727335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  727341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  727370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727389 */     GIR_RootConstrainSelectedInstOperands,
     /*  727390 */     // GIR_Coverage, 11747,
     /*  727390 */     GIR_EraseRootFromParent_Done,
     /*  727391 */   // Label 11426: @727391
     /*  727391 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(727466), // Rule ID 11750 //
     /*  727396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  727407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  727410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  727416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  727445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727464 */     GIR_RootConstrainSelectedInstOperands,
     /*  727465 */     // GIR_Coverage, 11750,
     /*  727465 */     GIR_EraseRootFromParent_Done,
     /*  727466 */   // Label 11427: @727466
     /*  727466 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727541), // Rule ID 11751 //
     /*  727471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  727482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  727485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  727491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  727520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727539 */     GIR_RootConstrainSelectedInstOperands,
     /*  727540 */     // GIR_Coverage, 11751,
     /*  727540 */     GIR_EraseRootFromParent_Done,
     /*  727541 */   // Label 11428: @727541
     /*  727541 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727616), // Rule ID 11754 //
     /*  727546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  727595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727614 */     GIR_RootConstrainSelectedInstOperands,
     /*  727615 */     // GIR_Coverage, 11754,
     /*  727615 */     GIR_EraseRootFromParent_Done,
     /*  727616 */   // Label 11429: @727616
     /*  727616 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727691), // Rule ID 11755 //
     /*  727621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  727670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727689 */     GIR_RootConstrainSelectedInstOperands,
     /*  727690 */     // GIR_Coverage, 11755,
     /*  727690 */     GIR_EraseRootFromParent_Done,
     /*  727691 */   // Label 11430: @727691
     /*  727691 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(727766), // Rule ID 11758 //
     /*  727696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  727745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727764 */     GIR_RootConstrainSelectedInstOperands,
     /*  727765 */     // GIR_Coverage, 11758,
     /*  727765 */     GIR_EraseRootFromParent_Done,
     /*  727766 */   // Label 11431: @727766
     /*  727766 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(727841), // Rule ID 11759 //
     /*  727771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727817 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  727820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727839 */     GIR_RootConstrainSelectedInstOperands,
     /*  727840 */     // GIR_Coverage, 11759,
     /*  727840 */     GIR_EraseRootFromParent_Done,
     /*  727841 */   // Label 11432: @727841
     /*  727841 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(727916), // Rule ID 11762 //
     /*  727846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  727895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727914 */     GIR_RootConstrainSelectedInstOperands,
     /*  727915 */     // GIR_Coverage, 11762,
     /*  727915 */     GIR_EraseRootFromParent_Done,
     /*  727916 */   // Label 11433: @727916
     /*  727916 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(727991), // Rule ID 11763 //
     /*  727921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  727970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727989 */     GIR_RootConstrainSelectedInstOperands,
     /*  727990 */     // GIR_Coverage, 11763,
     /*  727990 */     GIR_EraseRootFromParent_Done,
     /*  727991 */   // Label 11434: @727991
     /*  727991 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(728066), // Rule ID 11766 //
     /*  727996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  728045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728064 */     GIR_RootConstrainSelectedInstOperands,
     /*  728065 */     // GIR_Coverage, 11766,
     /*  728065 */     GIR_EraseRootFromParent_Done,
     /*  728066 */   // Label 11435: @728066
     /*  728066 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728141), // Rule ID 11767 //
     /*  728071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  728120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728139 */     GIR_RootConstrainSelectedInstOperands,
     /*  728140 */     // GIR_Coverage, 11767,
     /*  728140 */     GIR_EraseRootFromParent_Done,
     /*  728141 */   // Label 11436: @728141
     /*  728141 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728216), // Rule ID 11770 //
     /*  728146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  728166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  728195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728214 */     GIR_RootConstrainSelectedInstOperands,
     /*  728215 */     // GIR_Coverage, 11770,
     /*  728215 */     GIR_EraseRootFromParent_Done,
     /*  728216 */   // Label 11437: @728216
     /*  728216 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(728291), // Rule ID 11771 //
     /*  728221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  728241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  728270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728289 */     GIR_RootConstrainSelectedInstOperands,
     /*  728290 */     // GIR_Coverage, 11771,
     /*  728290 */     GIR_EraseRootFromParent_Done,
     /*  728291 */   // Label 11438: @728291
     /*  728291 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(728366), // Rule ID 11774 //
     /*  728296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  728307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  728310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  728316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  728345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728364 */     GIR_RootConstrainSelectedInstOperands,
     /*  728365 */     // GIR_Coverage, 11774,
     /*  728365 */     GIR_EraseRootFromParent_Done,
     /*  728366 */   // Label 11439: @728366
     /*  728366 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(728441), // Rule ID 11775 //
     /*  728371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  728382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  728385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  728391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  728420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728439 */     GIR_RootConstrainSelectedInstOperands,
     /*  728440 */     // GIR_Coverage, 11775,
     /*  728440 */     GIR_EraseRootFromParent_Done,
     /*  728441 */   // Label 11440: @728441
     /*  728441 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(728516), // Rule ID 11778 //
     /*  728446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  728457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  728460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  728466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728492 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  728495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728514 */     GIR_RootConstrainSelectedInstOperands,
     /*  728515 */     // GIR_Coverage, 11778,
     /*  728515 */     GIR_EraseRootFromParent_Done,
     /*  728516 */   // Label 11441: @728516
     /*  728516 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728591), // Rule ID 11779 //
     /*  728521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  728532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  728535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  728541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  728570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728589 */     GIR_RootConstrainSelectedInstOperands,
     /*  728590 */     // GIR_Coverage, 11779,
     /*  728590 */     GIR_EraseRootFromParent_Done,
     /*  728591 */   // Label 11442: @728591
     /*  728591 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728666), // Rule ID 11782 //
     /*  728596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  728616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  728645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728664 */     GIR_RootConstrainSelectedInstOperands,
     /*  728665 */     // GIR_Coverage, 11782,
     /*  728665 */     GIR_EraseRootFromParent_Done,
     /*  728666 */   // Label 11443: @728666
     /*  728666 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(728741), // Rule ID 11783 //
     /*  728671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  728691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  728720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728739 */     GIR_RootConstrainSelectedInstOperands,
     /*  728740 */     // GIR_Coverage, 11783,
     /*  728740 */     GIR_EraseRootFromParent_Done,
     /*  728741 */   // Label 11444: @728741
     /*  728741 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(728816), // Rule ID 11786 //
     /*  728746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  728757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  728760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  728763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  728766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  728795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728814 */     GIR_RootConstrainSelectedInstOperands,
     /*  728815 */     // GIR_Coverage, 11786,
     /*  728815 */     GIR_EraseRootFromParent_Done,
     /*  728816 */   // Label 11445: @728816
     /*  728816 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(728891), // Rule ID 11787 //
     /*  728821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  728832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  728835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  728838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  728841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  728870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728889 */     GIR_RootConstrainSelectedInstOperands,
     /*  728890 */     // GIR_Coverage, 11787,
     /*  728890 */     GIR_EraseRootFromParent_Done,
     /*  728891 */   // Label 11446: @728891
     /*  728891 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(728966), // Rule ID 11790 //
     /*  728896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  728916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  728945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728964 */     GIR_RootConstrainSelectedInstOperands,
     /*  728965 */     // GIR_Coverage, 11790,
     /*  728965 */     GIR_EraseRootFromParent_Done,
     /*  728966 */   // Label 11447: @728966
     /*  728966 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(729041), // Rule ID 11791 //
     /*  728971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  728991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  729020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729039 */     GIR_RootConstrainSelectedInstOperands,
     /*  729040 */     // GIR_Coverage, 11791,
     /*  729040 */     GIR_EraseRootFromParent_Done,
     /*  729041 */   // Label 11448: @729041
     /*  729041 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729116), // Rule ID 11794 //
     /*  729046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  729095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729114 */     GIR_RootConstrainSelectedInstOperands,
     /*  729115 */     // GIR_Coverage, 11794,
     /*  729115 */     GIR_EraseRootFromParent_Done,
     /*  729116 */   // Label 11449: @729116
     /*  729116 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729191), // Rule ID 11795 //
     /*  729121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  729170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729189 */     GIR_RootConstrainSelectedInstOperands,
     /*  729190 */     // GIR_Coverage, 11795,
     /*  729190 */     GIR_EraseRootFromParent_Done,
     /*  729191 */   // Label 11450: @729191
     /*  729191 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(729266), // Rule ID 11798 //
     /*  729196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  729216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  729245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729264 */     GIR_RootConstrainSelectedInstOperands,
     /*  729265 */     // GIR_Coverage, 11798,
     /*  729265 */     GIR_EraseRootFromParent_Done,
     /*  729266 */   // Label 11451: @729266
     /*  729266 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(729341), // Rule ID 11799 //
     /*  729271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  729291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  729320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729339 */     GIR_RootConstrainSelectedInstOperands,
     /*  729340 */     // GIR_Coverage, 11799,
     /*  729340 */     GIR_EraseRootFromParent_Done,
     /*  729341 */   // Label 11452: @729341
     /*  729341 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729416), // Rule ID 11802 //
     /*  729346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  729357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  729360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  729366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  729395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729414 */     GIR_RootConstrainSelectedInstOperands,
     /*  729415 */     // GIR_Coverage, 11802,
     /*  729415 */     GIR_EraseRootFromParent_Done,
     /*  729416 */   // Label 11453: @729416
     /*  729416 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(729491), // Rule ID 11803 //
     /*  729421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  729432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  729435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  729441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  729470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729489 */     GIR_RootConstrainSelectedInstOperands,
     /*  729490 */     // GIR_Coverage, 11803,
     /*  729490 */     GIR_EraseRootFromParent_Done,
     /*  729491 */   // Label 11454: @729491
     /*  729491 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729566), // Rule ID 11806 //
     /*  729496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  729507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  729510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  729516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  729545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729564 */     GIR_RootConstrainSelectedInstOperands,
     /*  729565 */     // GIR_Coverage, 11806,
     /*  729565 */     GIR_EraseRootFromParent_Done,
     /*  729566 */   // Label 11455: @729566
     /*  729566 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729641), // Rule ID 11807 //
     /*  729571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  729582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  729585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  729591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  729620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729639 */     GIR_RootConstrainSelectedInstOperands,
     /*  729640 */     // GIR_Coverage, 11807,
     /*  729640 */     GIR_EraseRootFromParent_Done,
     /*  729641 */   // Label 11456: @729641
     /*  729641 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729716), // Rule ID 11810 //
     /*  729646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  729666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  729695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729714 */     GIR_RootConstrainSelectedInstOperands,
     /*  729715 */     // GIR_Coverage, 11810,
     /*  729715 */     GIR_EraseRootFromParent_Done,
     /*  729716 */   // Label 11457: @729716
     /*  729716 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(729791), // Rule ID 11811 //
     /*  729721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  729741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  729770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729789 */     GIR_RootConstrainSelectedInstOperands,
     /*  729790 */     // GIR_Coverage, 11811,
     /*  729790 */     GIR_EraseRootFromParent_Done,
     /*  729791 */   // Label 11458: @729791
     /*  729791 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(729866), // Rule ID 11814 //
     /*  729796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  729816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  729845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729864 */     GIR_RootConstrainSelectedInstOperands,
     /*  729865 */     // GIR_Coverage, 11814,
     /*  729865 */     GIR_EraseRootFromParent_Done,
     /*  729866 */   // Label 11459: @729866
     /*  729866 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(729941), // Rule ID 11815 //
     /*  729871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  729891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729917 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  729920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729939 */     GIR_RootConstrainSelectedInstOperands,
     /*  729940 */     // GIR_Coverage, 11815,
     /*  729940 */     GIR_EraseRootFromParent_Done,
     /*  729941 */   // Label 11460: @729941
     /*  729941 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(730016), // Rule ID 11818 //
     /*  729946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  729995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730014 */     GIR_RootConstrainSelectedInstOperands,
     /*  730015 */     // GIR_Coverage, 11818,
     /*  730015 */     GIR_EraseRootFromParent_Done,
     /*  730016 */   // Label 11461: @730016
     /*  730016 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(730091), // Rule ID 11819 //
     /*  730021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  730032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  730035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  730070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730089 */     GIR_RootConstrainSelectedInstOperands,
     /*  730090 */     // GIR_Coverage, 11819,
     /*  730090 */     GIR_EraseRootFromParent_Done,
     /*  730091 */   // Label 11462: @730091
     /*  730091 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730166), // Rule ID 11822 //
     /*  730096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  730110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  730145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730164 */     GIR_RootConstrainSelectedInstOperands,
     /*  730165 */     // GIR_Coverage, 11822,
     /*  730165 */     GIR_EraseRootFromParent_Done,
     /*  730166 */   // Label 11463: @730166
     /*  730166 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730241), // Rule ID 11823 //
     /*  730171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  730185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  730220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730239 */     GIR_RootConstrainSelectedInstOperands,
     /*  730240 */     // GIR_Coverage, 11823,
     /*  730240 */     GIR_EraseRootFromParent_Done,
     /*  730241 */   // Label 11464: @730241
     /*  730241 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(730316), // Rule ID 11826 //
     /*  730246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  730257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  730260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  730295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730314 */     GIR_RootConstrainSelectedInstOperands,
     /*  730315 */     // GIR_Coverage, 11826,
     /*  730315 */     GIR_EraseRootFromParent_Done,
     /*  730316 */   // Label 11465: @730316
     /*  730316 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730391), // Rule ID 11827 //
     /*  730321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  730332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  730335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730367 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  730370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730389 */     GIR_RootConstrainSelectedInstOperands,
     /*  730390 */     // GIR_Coverage, 11827,
     /*  730390 */     GIR_EraseRootFromParent_Done,
     /*  730391 */   // Label 11466: @730391
     /*  730391 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(730466), // Rule ID 11830 //
     /*  730396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  730407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  730410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  730445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730464 */     GIR_RootConstrainSelectedInstOperands,
     /*  730465 */     // GIR_Coverage, 11830,
     /*  730465 */     GIR_EraseRootFromParent_Done,
     /*  730466 */   // Label 11467: @730466
     /*  730466 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730541), // Rule ID 11831 //
     /*  730471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  730482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  730485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  730520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730539 */     GIR_RootConstrainSelectedInstOperands,
     /*  730540 */     // GIR_Coverage, 11831,
     /*  730540 */     GIR_EraseRootFromParent_Done,
     /*  730541 */   // Label 11468: @730541
     /*  730541 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730616), // Rule ID 11834 //
     /*  730546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  730557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  730560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  730595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730614 */     GIR_RootConstrainSelectedInstOperands,
     /*  730615 */     // GIR_Coverage, 11834,
     /*  730615 */     GIR_EraseRootFromParent_Done,
     /*  730616 */   // Label 11469: @730616
     /*  730616 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730691), // Rule ID 11835 //
     /*  730621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  730632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  730635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  730670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730689 */     GIR_RootConstrainSelectedInstOperands,
     /*  730690 */     // GIR_Coverage, 11835,
     /*  730690 */     GIR_EraseRootFromParent_Done,
     /*  730691 */   // Label 11470: @730691
     /*  730691 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(730766), // Rule ID 11838 //
     /*  730696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  730745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730764 */     GIR_RootConstrainSelectedInstOperands,
     /*  730765 */     // GIR_Coverage, 11838,
     /*  730765 */     GIR_EraseRootFromParent_Done,
     /*  730766 */   // Label 11471: @730766
     /*  730766 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(730841), // Rule ID 11839 //
     /*  730771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  730820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730839 */     GIR_RootConstrainSelectedInstOperands,
     /*  730840 */     // GIR_Coverage, 11839,
     /*  730840 */     GIR_EraseRootFromParent_Done,
     /*  730841 */   // Label 11472: @730841
     /*  730841 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(730916), // Rule ID 11842 //
     /*  730846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  730895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730914 */     GIR_RootConstrainSelectedInstOperands,
     /*  730915 */     // GIR_Coverage, 11842,
     /*  730915 */     GIR_EraseRootFromParent_Done,
     /*  730916 */   // Label 11473: @730916
     /*  730916 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(730991), // Rule ID 11843 //
     /*  730921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  730970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730989 */     GIR_RootConstrainSelectedInstOperands,
     /*  730990 */     // GIR_Coverage, 11843,
     /*  730990 */     GIR_EraseRootFromParent_Done,
     /*  730991 */   // Label 11474: @730991
     /*  730991 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(731066), // Rule ID 11846 //
     /*  730996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  731045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731064 */     GIR_RootConstrainSelectedInstOperands,
     /*  731065 */     // GIR_Coverage, 11846,
     /*  731065 */     GIR_EraseRootFromParent_Done,
     /*  731066 */   // Label 11475: @731066
     /*  731066 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731141), // Rule ID 11847 //
     /*  731071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  731120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731139 */     GIR_RootConstrainSelectedInstOperands,
     /*  731140 */     // GIR_Coverage, 11847,
     /*  731140 */     GIR_EraseRootFromParent_Done,
     /*  731141 */   // Label 11476: @731141
     /*  731141 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731216), // Rule ID 11850 //
     /*  731146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  731195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731214 */     GIR_RootConstrainSelectedInstOperands,
     /*  731215 */     // GIR_Coverage, 11850,
     /*  731215 */     GIR_EraseRootFromParent_Done,
     /*  731216 */   // Label 11477: @731216
     /*  731216 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(731291), // Rule ID 11851 //
     /*  731221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  731270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731289 */     GIR_RootConstrainSelectedInstOperands,
     /*  731290 */     // GIR_Coverage, 11851,
     /*  731290 */     GIR_EraseRootFromParent_Done,
     /*  731291 */   // Label 11478: @731291
     /*  731291 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(731366), // Rule ID 11854 //
     /*  731296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  731345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731364 */     GIR_RootConstrainSelectedInstOperands,
     /*  731365 */     // GIR_Coverage, 11854,
     /*  731365 */     GIR_EraseRootFromParent_Done,
     /*  731366 */   // Label 11479: @731366
     /*  731366 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(731441), // Rule ID 11855 //
     /*  731371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  731420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731439 */     GIR_RootConstrainSelectedInstOperands,
     /*  731440 */     // GIR_Coverage, 11855,
     /*  731440 */     GIR_EraseRootFromParent_Done,
     /*  731441 */   // Label 11480: @731441
     /*  731441 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(731516), // Rule ID 11858 //
     /*  731446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  731457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  731460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  731495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731514 */     GIR_RootConstrainSelectedInstOperands,
     /*  731515 */     // GIR_Coverage, 11858,
     /*  731515 */     GIR_EraseRootFromParent_Done,
     /*  731516 */   // Label 11481: @731516
     /*  731516 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731591), // Rule ID 11859 //
     /*  731521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  731532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  731535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731567 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  731570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731589 */     GIR_RootConstrainSelectedInstOperands,
     /*  731590 */     // GIR_Coverage, 11859,
     /*  731590 */     GIR_EraseRootFromParent_Done,
     /*  731591 */   // Label 11482: @731591
     /*  731591 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731666), // Rule ID 11862 //
     /*  731596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  731645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731664 */     GIR_RootConstrainSelectedInstOperands,
     /*  731665 */     // GIR_Coverage, 11862,
     /*  731665 */     GIR_EraseRootFromParent_Done,
     /*  731666 */   // Label 11483: @731666
     /*  731666 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(731741), // Rule ID 11863 //
     /*  731671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731717 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  731720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731739 */     GIR_RootConstrainSelectedInstOperands,
     /*  731740 */     // GIR_Coverage, 11863,
     /*  731740 */     GIR_EraseRootFromParent_Done,
     /*  731741 */   // Label 11484: @731741
     /*  731741 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(731816), // Rule ID 11866 //
     /*  731746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  731757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  731760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  731763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  731795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731814 */     GIR_RootConstrainSelectedInstOperands,
     /*  731815 */     // GIR_Coverage, 11866,
     /*  731815 */     GIR_EraseRootFromParent_Done,
     /*  731816 */   // Label 11485: @731816
     /*  731816 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(731891), // Rule ID 11867 //
     /*  731821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  731832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  731835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  731838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  731870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731889 */     GIR_RootConstrainSelectedInstOperands,
     /*  731890 */     // GIR_Coverage, 11867,
     /*  731890 */     GIR_EraseRootFromParent_Done,
     /*  731891 */   // Label 11486: @731891
     /*  731891 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(731966), // Rule ID 11870 //
     /*  731896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  731945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731964 */     GIR_RootConstrainSelectedInstOperands,
     /*  731965 */     // GIR_Coverage, 11870,
     /*  731965 */     GIR_EraseRootFromParent_Done,
     /*  731966 */   // Label 11487: @731966
     /*  731966 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(732041), // Rule ID 11871 //
     /*  731971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  732020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732039 */     GIR_RootConstrainSelectedInstOperands,
     /*  732040 */     // GIR_Coverage, 11871,
     /*  732040 */     GIR_EraseRootFromParent_Done,
     /*  732041 */   // Label 11488: @732041
     /*  732041 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732116), // Rule ID 11874 //
     /*  732046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  732095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732114 */     GIR_RootConstrainSelectedInstOperands,
     /*  732115 */     // GIR_Coverage, 11874,
     /*  732115 */     GIR_EraseRootFromParent_Done,
     /*  732116 */   // Label 11489: @732116
     /*  732116 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732191), // Rule ID 11875 //
     /*  732121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  732170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732189 */     GIR_RootConstrainSelectedInstOperands,
     /*  732190 */     // GIR_Coverage, 11875,
     /*  732190 */     GIR_EraseRootFromParent_Done,
     /*  732191 */   // Label 11490: @732191
     /*  732191 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(732266), // Rule ID 11878 //
     /*  732196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  732245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732264 */     GIR_RootConstrainSelectedInstOperands,
     /*  732265 */     // GIR_Coverage, 11878,
     /*  732265 */     GIR_EraseRootFromParent_Done,
     /*  732266 */   // Label 11491: @732266
     /*  732266 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(732341), // Rule ID 11879 //
     /*  732271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  732320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732339 */     GIR_RootConstrainSelectedInstOperands,
     /*  732340 */     // GIR_Coverage, 11879,
     /*  732340 */     GIR_EraseRootFromParent_Done,
     /*  732341 */   // Label 11492: @732341
     /*  732341 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732416), // Rule ID 11882 //
     /*  732346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  732357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  732360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  732395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732414 */     GIR_RootConstrainSelectedInstOperands,
     /*  732415 */     // GIR_Coverage, 11882,
     /*  732415 */     GIR_EraseRootFromParent_Done,
     /*  732416 */   // Label 11493: @732416
     /*  732416 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(732491), // Rule ID 11883 //
     /*  732421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  732432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  732435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  732470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732489 */     GIR_RootConstrainSelectedInstOperands,
     /*  732490 */     // GIR_Coverage, 11883,
     /*  732490 */     GIR_EraseRootFromParent_Done,
     /*  732491 */   // Label 11494: @732491
     /*  732491 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732566), // Rule ID 11886 //
     /*  732496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  732507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  732510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  732545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732564 */     GIR_RootConstrainSelectedInstOperands,
     /*  732565 */     // GIR_Coverage, 11886,
     /*  732565 */     GIR_EraseRootFromParent_Done,
     /*  732566 */   // Label 11495: @732566
     /*  732566 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732641), // Rule ID 11887 //
     /*  732571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  732582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  732585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  732620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732639 */     GIR_RootConstrainSelectedInstOperands,
     /*  732640 */     // GIR_Coverage, 11887,
     /*  732640 */     GIR_EraseRootFromParent_Done,
     /*  732641 */   // Label 11496: @732641
     /*  732641 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732716), // Rule ID 11890 //
     /*  732646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  732695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732714 */     GIR_RootConstrainSelectedInstOperands,
     /*  732715 */     // GIR_Coverage, 11890,
     /*  732715 */     GIR_EraseRootFromParent_Done,
     /*  732716 */   // Label 11497: @732716
     /*  732716 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(732791), // Rule ID 11891 //
     /*  732721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  732770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732789 */     GIR_RootConstrainSelectedInstOperands,
     /*  732790 */     // GIR_Coverage, 11891,
     /*  732790 */     GIR_EraseRootFromParent_Done,
     /*  732791 */   // Label 11498: @732791
     /*  732791 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(732866), // Rule ID 11894 //
     /*  732796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  732845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732864 */     GIR_RootConstrainSelectedInstOperands,
     /*  732865 */     // GIR_Coverage, 11894,
     /*  732865 */     GIR_EraseRootFromParent_Done,
     /*  732866 */   // Label 11499: @732866
     /*  732866 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(732941), // Rule ID 11895 //
     /*  732871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  732920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732939 */     GIR_RootConstrainSelectedInstOperands,
     /*  732940 */     // GIR_Coverage, 11895,
     /*  732940 */     GIR_EraseRootFromParent_Done,
     /*  732941 */   // Label 11500: @732941
     /*  732941 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(733016), // Rule ID 11898 //
     /*  732946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  732995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733014 */     GIR_RootConstrainSelectedInstOperands,
     /*  733015 */     // GIR_Coverage, 11898,
     /*  733015 */     GIR_EraseRootFromParent_Done,
     /*  733016 */   // Label 11501: @733016
     /*  733016 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(733091), // Rule ID 11899 //
     /*  733021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  733032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  733035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  733070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733089 */     GIR_RootConstrainSelectedInstOperands,
     /*  733090 */     // GIR_Coverage, 11899,
     /*  733090 */     GIR_EraseRootFromParent_Done,
     /*  733091 */   // Label 11502: @733091
     /*  733091 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733166), // Rule ID 11902 //
     /*  733096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  733110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  733145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733164 */     GIR_RootConstrainSelectedInstOperands,
     /*  733165 */     // GIR_Coverage, 11902,
     /*  733165 */     GIR_EraseRootFromParent_Done,
     /*  733166 */   // Label 11503: @733166
     /*  733166 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733241), // Rule ID 11903 //
     /*  733171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  733185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  733220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733239 */     GIR_RootConstrainSelectedInstOperands,
     /*  733240 */     // GIR_Coverage, 11903,
     /*  733240 */     GIR_EraseRootFromParent_Done,
     /*  733241 */   // Label 11504: @733241
     /*  733241 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(733316), // Rule ID 11906 //
     /*  733246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  733257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  733260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  733266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  733295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733314 */     GIR_RootConstrainSelectedInstOperands,
     /*  733315 */     // GIR_Coverage, 11906,
     /*  733315 */     GIR_EraseRootFromParent_Done,
     /*  733316 */   // Label 11505: @733316
     /*  733316 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733391), // Rule ID 11907 //
     /*  733321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  733332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  733335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  733341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  733370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733389 */     GIR_RootConstrainSelectedInstOperands,
     /*  733390 */     // GIR_Coverage, 11907,
     /*  733390 */     GIR_EraseRootFromParent_Done,
     /*  733391 */   // Label 11506: @733391
     /*  733391 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(733466), // Rule ID 11910 //
     /*  733396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  733407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  733410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  733416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733442 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  733445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733464 */     GIR_RootConstrainSelectedInstOperands,
     /*  733465 */     // GIR_Coverage, 11910,
     /*  733465 */     GIR_EraseRootFromParent_Done,
     /*  733466 */   // Label 11507: @733466
     /*  733466 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733541), // Rule ID 11911 //
     /*  733471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  733482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  733485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  733491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  733520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733539 */     GIR_RootConstrainSelectedInstOperands,
     /*  733540 */     // GIR_Coverage, 11911,
     /*  733540 */     GIR_EraseRootFromParent_Done,
     /*  733541 */   // Label 11508: @733541
     /*  733541 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733616), // Rule ID 11914 //
     /*  733546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  733557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  733560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  733566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  733595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733614 */     GIR_RootConstrainSelectedInstOperands,
     /*  733615 */     // GIR_Coverage, 11914,
     /*  733615 */     GIR_EraseRootFromParent_Done,
     /*  733616 */   // Label 11509: @733616
     /*  733616 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733691), // Rule ID 11915 //
     /*  733621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  733632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  733635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  733641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  733670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733689 */     GIR_RootConstrainSelectedInstOperands,
     /*  733690 */     // GIR_Coverage, 11915,
     /*  733690 */     GIR_EraseRootFromParent_Done,
     /*  733691 */   // Label 11510: @733691
     /*  733691 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(733766), // Rule ID 11918 //
     /*  733696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  733716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  733745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733764 */     GIR_RootConstrainSelectedInstOperands,
     /*  733765 */     // GIR_Coverage, 11918,
     /*  733765 */     GIR_EraseRootFromParent_Done,
     /*  733766 */   // Label 11511: @733766
     /*  733766 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(733841), // Rule ID 11919 //
     /*  733771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  733791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  733820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733839 */     GIR_RootConstrainSelectedInstOperands,
     /*  733840 */     // GIR_Coverage, 11919,
     /*  733840 */     GIR_EraseRootFromParent_Done,
     /*  733841 */   // Label 11512: @733841
     /*  733841 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(733916), // Rule ID 11922 //
     /*  733846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  733866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  733895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733914 */     GIR_RootConstrainSelectedInstOperands,
     /*  733915 */     // GIR_Coverage, 11922,
     /*  733915 */     GIR_EraseRootFromParent_Done,
     /*  733916 */   // Label 11513: @733916
     /*  733916 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(733991), // Rule ID 11923 //
     /*  733921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  733941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  733970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733989 */     GIR_RootConstrainSelectedInstOperands,
     /*  733990 */     // GIR_Coverage, 11923,
     /*  733990 */     GIR_EraseRootFromParent_Done,
     /*  733991 */   // Label 11514: @733991
     /*  733991 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(734066), // Rule ID 11926 //
     /*  733996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  734045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734064 */     GIR_RootConstrainSelectedInstOperands,
     /*  734065 */     // GIR_Coverage, 11926,
     /*  734065 */     GIR_EraseRootFromParent_Done,
     /*  734066 */   // Label 11515: @734066
     /*  734066 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734141), // Rule ID 11927 //
     /*  734071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  734120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734139 */     GIR_RootConstrainSelectedInstOperands,
     /*  734140 */     // GIR_Coverage, 11927,
     /*  734140 */     GIR_EraseRootFromParent_Done,
     /*  734141 */   // Label 11516: @734141
     /*  734141 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734216), // Rule ID 11930 //
     /*  734146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  734195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734214 */     GIR_RootConstrainSelectedInstOperands,
     /*  734215 */     // GIR_Coverage, 11930,
     /*  734215 */     GIR_EraseRootFromParent_Done,
     /*  734216 */   // Label 11517: @734216
     /*  734216 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(734291), // Rule ID 11931 //
     /*  734221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  734270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734289 */     GIR_RootConstrainSelectedInstOperands,
     /*  734290 */     // GIR_Coverage, 11931,
     /*  734290 */     GIR_EraseRootFromParent_Done,
     /*  734291 */   // Label 11518: @734291
     /*  734291 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(734366), // Rule ID 11934 //
     /*  734296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  734345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734364 */     GIR_RootConstrainSelectedInstOperands,
     /*  734365 */     // GIR_Coverage, 11934,
     /*  734365 */     GIR_EraseRootFromParent_Done,
     /*  734366 */   // Label 11519: @734366
     /*  734366 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(734441), // Rule ID 11935 //
     /*  734371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  734420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734439 */     GIR_RootConstrainSelectedInstOperands,
     /*  734440 */     // GIR_Coverage, 11935,
     /*  734440 */     GIR_EraseRootFromParent_Done,
     /*  734441 */   // Label 11520: @734441
     /*  734441 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(734516), // Rule ID 11938 //
     /*  734446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  734495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734514 */     GIR_RootConstrainSelectedInstOperands,
     /*  734515 */     // GIR_Coverage, 11938,
     /*  734515 */     GIR_EraseRootFromParent_Done,
     /*  734516 */   // Label 11521: @734516
     /*  734516 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734591), // Rule ID 11939 //
     /*  734521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  734570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734589 */     GIR_RootConstrainSelectedInstOperands,
     /*  734590 */     // GIR_Coverage, 11939,
     /*  734590 */     GIR_EraseRootFromParent_Done,
     /*  734591 */   // Label 11522: @734591
     /*  734591 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734666), // Rule ID 11942 //
     /*  734596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  734645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734664 */     GIR_RootConstrainSelectedInstOperands,
     /*  734665 */     // GIR_Coverage, 11942,
     /*  734665 */     GIR_EraseRootFromParent_Done,
     /*  734666 */   // Label 11523: @734666
     /*  734666 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(734741), // Rule ID 11943 //
     /*  734671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  734720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734739 */     GIR_RootConstrainSelectedInstOperands,
     /*  734740 */     // GIR_Coverage, 11943,
     /*  734740 */     GIR_EraseRootFromParent_Done,
     /*  734741 */   // Label 11524: @734741
     /*  734741 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(734816), // Rule ID 11946 //
     /*  734746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  734757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  734760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  734763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  734766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  734795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734814 */     GIR_RootConstrainSelectedInstOperands,
     /*  734815 */     // GIR_Coverage, 11946,
     /*  734815 */     GIR_EraseRootFromParent_Done,
     /*  734816 */   // Label 11525: @734816
     /*  734816 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(734891), // Rule ID 11947 //
     /*  734821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  734832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  734835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  734838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  734841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734867 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  734870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734889 */     GIR_RootConstrainSelectedInstOperands,
     /*  734890 */     // GIR_Coverage, 11947,
     /*  734890 */     GIR_EraseRootFromParent_Done,
     /*  734891 */   // Label 11526: @734891
     /*  734891 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(734966), // Rule ID 11950 //
     /*  734896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  734916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  734945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734964 */     GIR_RootConstrainSelectedInstOperands,
     /*  734965 */     // GIR_Coverage, 11950,
     /*  734965 */     GIR_EraseRootFromParent_Done,
     /*  734966 */   // Label 11527: @734966
     /*  734966 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(735041), // Rule ID 11951 //
     /*  734971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  734991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735017 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  735020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735039 */     GIR_RootConstrainSelectedInstOperands,
     /*  735040 */     // GIR_Coverage, 11951,
     /*  735040 */     GIR_EraseRootFromParent_Done,
     /*  735041 */   // Label 11528: @735041
     /*  735041 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735116), // Rule ID 11954 //
     /*  735046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  735095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735114 */     GIR_RootConstrainSelectedInstOperands,
     /*  735115 */     // GIR_Coverage, 11954,
     /*  735115 */     GIR_EraseRootFromParent_Done,
     /*  735116 */   // Label 11529: @735116
     /*  735116 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735191), // Rule ID 11955 //
     /*  735121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735167 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  735170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735189 */     GIR_RootConstrainSelectedInstOperands,
     /*  735190 */     // GIR_Coverage, 11955,
     /*  735190 */     GIR_EraseRootFromParent_Done,
     /*  735191 */   // Label 11530: @735191
     /*  735191 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(735266), // Rule ID 11958 //
     /*  735196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  735216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  735245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735264 */     GIR_RootConstrainSelectedInstOperands,
     /*  735265 */     // GIR_Coverage, 11958,
     /*  735265 */     GIR_EraseRootFromParent_Done,
     /*  735266 */   // Label 11531: @735266
     /*  735266 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(735341), // Rule ID 11959 //
     /*  735271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  735291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  735320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735339 */     GIR_RootConstrainSelectedInstOperands,
     /*  735340 */     // GIR_Coverage, 11959,
     /*  735340 */     GIR_EraseRootFromParent_Done,
     /*  735341 */   // Label 11532: @735341
     /*  735341 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735416), // Rule ID 11962 //
     /*  735346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  735357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  735360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  735366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  735395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735414 */     GIR_RootConstrainSelectedInstOperands,
     /*  735415 */     // GIR_Coverage, 11962,
     /*  735415 */     GIR_EraseRootFromParent_Done,
     /*  735416 */   // Label 11533: @735416
     /*  735416 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(735491), // Rule ID 11963 //
     /*  735421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  735432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  735435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  735441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735467 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  735470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735489 */     GIR_RootConstrainSelectedInstOperands,
     /*  735490 */     // GIR_Coverage, 11963,
     /*  735490 */     GIR_EraseRootFromParent_Done,
     /*  735491 */   // Label 11534: @735491
     /*  735491 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735566), // Rule ID 11966 //
     /*  735496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  735507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  735510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  735516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  735545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735564 */     GIR_RootConstrainSelectedInstOperands,
     /*  735565 */     // GIR_Coverage, 11966,
     /*  735565 */     GIR_EraseRootFromParent_Done,
     /*  735566 */   // Label 11535: @735566
     /*  735566 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735641), // Rule ID 11967 //
     /*  735571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  735582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  735585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  735591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  735620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735639 */     GIR_RootConstrainSelectedInstOperands,
     /*  735640 */     // GIR_Coverage, 11967,
     /*  735640 */     GIR_EraseRootFromParent_Done,
     /*  735641 */   // Label 11536: @735641
     /*  735641 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735716), // Rule ID 11970 //
     /*  735646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  735666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  735695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735714 */     GIR_RootConstrainSelectedInstOperands,
     /*  735715 */     // GIR_Coverage, 11970,
     /*  735715 */     GIR_EraseRootFromParent_Done,
     /*  735716 */   // Label 11537: @735716
     /*  735716 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(735791), // Rule ID 11971 //
     /*  735721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  735741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  735770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735789 */     GIR_RootConstrainSelectedInstOperands,
     /*  735790 */     // GIR_Coverage, 11971,
     /*  735790 */     GIR_EraseRootFromParent_Done,
     /*  735791 */   // Label 11538: @735791
     /*  735791 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(735866), // Rule ID 11974 //
     /*  735796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  735816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  735845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735864 */     GIR_RootConstrainSelectedInstOperands,
     /*  735865 */     // GIR_Coverage, 11974,
     /*  735865 */     GIR_EraseRootFromParent_Done,
     /*  735866 */   // Label 11539: @735866
     /*  735866 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(735941), // Rule ID 11975 //
     /*  735871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  735891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  735920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735939 */     GIR_RootConstrainSelectedInstOperands,
     /*  735940 */     // GIR_Coverage, 11975,
     /*  735940 */     GIR_EraseRootFromParent_Done,
     /*  735941 */   // Label 11540: @735941
     /*  735941 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(736016), // Rule ID 11978 //
     /*  735946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  735966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  735995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736014 */     GIR_RootConstrainSelectedInstOperands,
     /*  736015 */     // GIR_Coverage, 11978,
     /*  736015 */     GIR_EraseRootFromParent_Done,
     /*  736016 */   // Label 11541: @736016
     /*  736016 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(736091), // Rule ID 11979 //
     /*  736021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  736032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  736035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  736041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  736070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736089 */     GIR_RootConstrainSelectedInstOperands,
     /*  736090 */     // GIR_Coverage, 11979,
     /*  736090 */     GIR_EraseRootFromParent_Done,
     /*  736091 */   // Label 11542: @736091
     /*  736091 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736166), // Rule ID 11982 //
     /*  736096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  736110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  736116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  736145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736164 */     GIR_RootConstrainSelectedInstOperands,
     /*  736165 */     // GIR_Coverage, 11982,
     /*  736165 */     GIR_EraseRootFromParent_Done,
     /*  736166 */   // Label 11543: @736166
     /*  736166 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736241), // Rule ID 11983 //
     /*  736171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  736185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  736191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  736220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736239 */     GIR_RootConstrainSelectedInstOperands,
     /*  736240 */     // GIR_Coverage, 11983,
     /*  736240 */     GIR_EraseRootFromParent_Done,
     /*  736241 */   // Label 11544: @736241
     /*  736241 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(736316), // Rule ID 11986 //
     /*  736246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  736257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  736260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  736266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  736295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736314 */     GIR_RootConstrainSelectedInstOperands,
     /*  736315 */     // GIR_Coverage, 11986,
     /*  736315 */     GIR_EraseRootFromParent_Done,
     /*  736316 */   // Label 11545: @736316
     /*  736316 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736391), // Rule ID 11987 //
     /*  736321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  736332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  736335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  736341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  736370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736389 */     GIR_RootConstrainSelectedInstOperands,
     /*  736390 */     // GIR_Coverage, 11987,
     /*  736390 */     GIR_EraseRootFromParent_Done,
     /*  736391 */   // Label 11546: @736391
     /*  736391 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(736466), // Rule ID 11990 //
     /*  736396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  736407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  736410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  736416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  736445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736464 */     GIR_RootConstrainSelectedInstOperands,
     /*  736465 */     // GIR_Coverage, 11990,
     /*  736465 */     GIR_EraseRootFromParent_Done,
     /*  736466 */   // Label 11547: @736466
     /*  736466 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736541), // Rule ID 11991 //
     /*  736471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  736482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  736485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  736491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736517 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  736520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736539 */     GIR_RootConstrainSelectedInstOperands,
     /*  736540 */     // GIR_Coverage, 11991,
     /*  736540 */     GIR_EraseRootFromParent_Done,
     /*  736541 */   // Label 11548: @736541
     /*  736541 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736616), // Rule ID 11994 //
     /*  736546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  736557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  736560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  736566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  736595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736614 */     GIR_RootConstrainSelectedInstOperands,
     /*  736615 */     // GIR_Coverage, 11994,
     /*  736615 */     GIR_EraseRootFromParent_Done,
     /*  736616 */   // Label 11549: @736616
     /*  736616 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736691), // Rule ID 11995 //
     /*  736621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  736632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  736635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  736670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736689 */     GIR_RootConstrainSelectedInstOperands,
     /*  736690 */     // GIR_Coverage, 11995,
     /*  736690 */     GIR_EraseRootFromParent_Done,
     /*  736691 */   // Label 11550: @736691
     /*  736691 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(736766), // Rule ID 11998 //
     /*  736696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  736707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  736710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  736716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736742 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  736745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736764 */     GIR_RootConstrainSelectedInstOperands,
     /*  736765 */     // GIR_Coverage, 11998,
     /*  736765 */     GIR_EraseRootFromParent_Done,
     /*  736766 */   // Label 11551: @736766
     /*  736766 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(736841), // Rule ID 11999 //
     /*  736771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  736782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  736785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736817 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  736820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736839 */     GIR_RootConstrainSelectedInstOperands,
     /*  736840 */     // GIR_Coverage, 11999,
     /*  736840 */     GIR_EraseRootFromParent_Done,
     /*  736841 */   // Label 11552: @736841
     /*  736841 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(736916), // Rule ID 12002 //
     /*  736846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  736857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  736860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  736866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  736895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736914 */     GIR_RootConstrainSelectedInstOperands,
     /*  736915 */     // GIR_Coverage, 12002,
     /*  736915 */     GIR_EraseRootFromParent_Done,
     /*  736916 */   // Label 11553: @736916
     /*  736916 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(736991), // Rule ID 12003 //
     /*  736921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  736932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  736935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  736941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  736960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  736970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736989 */     GIR_RootConstrainSelectedInstOperands,
     /*  736990 */     // GIR_Coverage, 12003,
     /*  736990 */     GIR_EraseRootFromParent_Done,
     /*  736991 */   // Label 11554: @736991
     /*  736991 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(737066), // Rule ID 12006 //
     /*  736996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  737045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737064 */     GIR_RootConstrainSelectedInstOperands,
     /*  737065 */     // GIR_Coverage, 12006,
     /*  737065 */     GIR_EraseRootFromParent_Done,
     /*  737066 */   // Label 11555: @737066
     /*  737066 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737141), // Rule ID 12007 //
     /*  737071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737117 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  737120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737139 */     GIR_RootConstrainSelectedInstOperands,
     /*  737140 */     // GIR_Coverage, 12007,
     /*  737140 */     GIR_EraseRootFromParent_Done,
     /*  737141 */   // Label 11556: @737141
     /*  737141 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737216), // Rule ID 12010 //
     /*  737146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  737195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737214 */     GIR_RootConstrainSelectedInstOperands,
     /*  737215 */     // GIR_Coverage, 12010,
     /*  737215 */     GIR_EraseRootFromParent_Done,
     /*  737216 */   // Label 11557: @737216
     /*  737216 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(737291), // Rule ID 12011 //
     /*  737221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  737270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737289 */     GIR_RootConstrainSelectedInstOperands,
     /*  737290 */     // GIR_Coverage, 12011,
     /*  737290 */     GIR_EraseRootFromParent_Done,
     /*  737291 */   // Label 11558: @737291
     /*  737291 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(737366), // Rule ID 12014 //
     /*  737296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  737307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  737310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  737345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737364 */     GIR_RootConstrainSelectedInstOperands,
     /*  737365 */     // GIR_Coverage, 12014,
     /*  737365 */     GIR_EraseRootFromParent_Done,
     /*  737366 */   // Label 11559: @737366
     /*  737366 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(737441), // Rule ID 12015 //
     /*  737371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  737382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  737385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  737420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737439 */     GIR_RootConstrainSelectedInstOperands,
     /*  737440 */     // GIR_Coverage, 12015,
     /*  737440 */     GIR_EraseRootFromParent_Done,
     /*  737441 */   // Label 11560: @737441
     /*  737441 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(737516), // Rule ID 12018 //
     /*  737446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  737495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737514 */     GIR_RootConstrainSelectedInstOperands,
     /*  737515 */     // GIR_Coverage, 12018,
     /*  737515 */     GIR_EraseRootFromParent_Done,
     /*  737516 */   // Label 11561: @737516
     /*  737516 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737591), // Rule ID 12019 //
     /*  737521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737567 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  737570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737589 */     GIR_RootConstrainSelectedInstOperands,
     /*  737590 */     // GIR_Coverage, 12019,
     /*  737590 */     GIR_EraseRootFromParent_Done,
     /*  737591 */   // Label 11562: @737591
     /*  737591 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737666), // Rule ID 12022 //
     /*  737596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  737645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737664 */     GIR_RootConstrainSelectedInstOperands,
     /*  737665 */     // GIR_Coverage, 12022,
     /*  737665 */     GIR_EraseRootFromParent_Done,
     /*  737666 */   // Label 11563: @737666
     /*  737666 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(737741), // Rule ID 12023 //
     /*  737671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  737720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737739 */     GIR_RootConstrainSelectedInstOperands,
     /*  737740 */     // GIR_Coverage, 12023,
     /*  737740 */     GIR_EraseRootFromParent_Done,
     /*  737741 */   // Label 11564: @737741
     /*  737741 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(737816), // Rule ID 12026 //
     /*  737746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  737763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  737795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737814 */     GIR_RootConstrainSelectedInstOperands,
     /*  737815 */     // GIR_Coverage, 12026,
     /*  737815 */     GIR_EraseRootFromParent_Done,
     /*  737816 */   // Label 11565: @737816
     /*  737816 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(737891), // Rule ID 12027 //
     /*  737821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  737838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  737870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737889 */     GIR_RootConstrainSelectedInstOperands,
     /*  737890 */     // GIR_Coverage, 12027,
     /*  737890 */     GIR_EraseRootFromParent_Done,
     /*  737891 */   // Label 11566: @737891
     /*  737891 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(737966), // Rule ID 12030 //
     /*  737896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  737945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737964 */     GIR_RootConstrainSelectedInstOperands,
     /*  737965 */     // GIR_Coverage, 12030,
     /*  737965 */     GIR_EraseRootFromParent_Done,
     /*  737966 */   // Label 11567: @737966
     /*  737966 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(738041), // Rule ID 12031 //
     /*  737971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  737988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  738020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738039 */     GIR_RootConstrainSelectedInstOperands,
     /*  738040 */     // GIR_Coverage, 12031,
     /*  738040 */     GIR_EraseRootFromParent_Done,
     /*  738041 */   // Label 11568: @738041
     /*  738041 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738116), // Rule ID 12034 //
     /*  738046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  738095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738114 */     GIR_RootConstrainSelectedInstOperands,
     /*  738115 */     // GIR_Coverage, 12034,
     /*  738115 */     GIR_EraseRootFromParent_Done,
     /*  738116 */   // Label 11569: @738116
     /*  738116 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738191), // Rule ID 12035 //
     /*  738121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  738170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738189 */     GIR_RootConstrainSelectedInstOperands,
     /*  738190 */     // GIR_Coverage, 12035,
     /*  738190 */     GIR_EraseRootFromParent_Done,
     /*  738191 */   // Label 11570: @738191
     /*  738191 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(738266), // Rule ID 12038 //
     /*  738196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  738245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738264 */     GIR_RootConstrainSelectedInstOperands,
     /*  738265 */     // GIR_Coverage, 12038,
     /*  738265 */     GIR_EraseRootFromParent_Done,
     /*  738266 */   // Label 11571: @738266
     /*  738266 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(738341), // Rule ID 12039 //
     /*  738271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738317 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  738320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738339 */     GIR_RootConstrainSelectedInstOperands,
     /*  738340 */     // GIR_Coverage, 12039,
     /*  738340 */     GIR_EraseRootFromParent_Done,
     /*  738341 */   // Label 11572: @738341
     /*  738341 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738416), // Rule ID 12042 //
     /*  738346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  738357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  738360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  738395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738414 */     GIR_RootConstrainSelectedInstOperands,
     /*  738415 */     // GIR_Coverage, 12042,
     /*  738415 */     GIR_EraseRootFromParent_Done,
     /*  738416 */   // Label 11573: @738416
     /*  738416 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(738491), // Rule ID 12043 //
     /*  738421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  738432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  738435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738467 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  738470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738489 */     GIR_RootConstrainSelectedInstOperands,
     /*  738490 */     // GIR_Coverage, 12043,
     /*  738490 */     GIR_EraseRootFromParent_Done,
     /*  738491 */   // Label 11574: @738491
     /*  738491 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738566), // Rule ID 12046 //
     /*  738496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  738545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738564 */     GIR_RootConstrainSelectedInstOperands,
     /*  738565 */     // GIR_Coverage, 12046,
     /*  738565 */     GIR_EraseRootFromParent_Done,
     /*  738566 */   // Label 11575: @738566
     /*  738566 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738641), // Rule ID 12047 //
     /*  738571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  738620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738639 */     GIR_RootConstrainSelectedInstOperands,
     /*  738640 */     // GIR_Coverage, 12047,
     /*  738640 */     GIR_EraseRootFromParent_Done,
     /*  738641 */   // Label 11576: @738641
     /*  738641 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738716), // Rule ID 12050 //
     /*  738646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  738663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  738695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738714 */     GIR_RootConstrainSelectedInstOperands,
     /*  738715 */     // GIR_Coverage, 12050,
     /*  738715 */     GIR_EraseRootFromParent_Done,
     /*  738716 */   // Label 11577: @738716
     /*  738716 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(738791), // Rule ID 12051 //
     /*  738721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  738738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  738770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738789 */     GIR_RootConstrainSelectedInstOperands,
     /*  738790 */     // GIR_Coverage, 12051,
     /*  738790 */     GIR_EraseRootFromParent_Done,
     /*  738791 */   // Label 11578: @738791
     /*  738791 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(738866), // Rule ID 12054 //
     /*  738796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  738807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  738810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  738813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  738845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738864 */     GIR_RootConstrainSelectedInstOperands,
     /*  738865 */     // GIR_Coverage, 12054,
     /*  738865 */     GIR_EraseRootFromParent_Done,
     /*  738866 */   // Label 11579: @738866
     /*  738866 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(738941), // Rule ID 12055 //
     /*  738871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  738882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  738885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  738888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738917 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  738920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738939 */     GIR_RootConstrainSelectedInstOperands,
     /*  738940 */     // GIR_Coverage, 12055,
     /*  738940 */     GIR_EraseRootFromParent_Done,
     /*  738941 */   // Label 11580: @738941
     /*  738941 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(739016), // Rule ID 12058 //
     /*  738946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  738957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  738960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  738963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  738995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739014 */     GIR_RootConstrainSelectedInstOperands,
     /*  739015 */     // GIR_Coverage, 12058,
     /*  739015 */     GIR_EraseRootFromParent_Done,
     /*  739016 */   // Label 11581: @739016
     /*  739016 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(739091), // Rule ID 12059 //
     /*  739021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  739070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739089 */     GIR_RootConstrainSelectedInstOperands,
     /*  739090 */     // GIR_Coverage, 12059,
     /*  739090 */     GIR_EraseRootFromParent_Done,
     /*  739091 */   // Label 11582: @739091
     /*  739091 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739166), // Rule ID 12062 //
     /*  739096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  739145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739164 */     GIR_RootConstrainSelectedInstOperands,
     /*  739165 */     // GIR_Coverage, 12062,
     /*  739165 */     GIR_EraseRootFromParent_Done,
     /*  739166 */   // Label 11583: @739166
     /*  739166 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739241), // Rule ID 12063 //
     /*  739171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  739220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739239 */     GIR_RootConstrainSelectedInstOperands,
     /*  739240 */     // GIR_Coverage, 12063,
     /*  739240 */     GIR_EraseRootFromParent_Done,
     /*  739241 */   // Label 11584: @739241
     /*  739241 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(739316), // Rule ID 12066 //
     /*  739246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  739295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739314 */     GIR_RootConstrainSelectedInstOperands,
     /*  739315 */     // GIR_Coverage, 12066,
     /*  739315 */     GIR_EraseRootFromParent_Done,
     /*  739316 */   // Label 11585: @739316
     /*  739316 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739391), // Rule ID 12067 //
     /*  739321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  739370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739389 */     GIR_RootConstrainSelectedInstOperands,
     /*  739390 */     // GIR_Coverage, 12067,
     /*  739390 */     GIR_EraseRootFromParent_Done,
     /*  739391 */   // Label 11586: @739391
     /*  739391 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(739466), // Rule ID 12070 //
     /*  739396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  739407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  739410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  739445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739464 */     GIR_RootConstrainSelectedInstOperands,
     /*  739465 */     // GIR_Coverage, 12070,
     /*  739465 */     GIR_EraseRootFromParent_Done,
     /*  739466 */   // Label 11587: @739466
     /*  739466 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739541), // Rule ID 12071 //
     /*  739471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  739482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  739485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739517 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  739520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739539 */     GIR_RootConstrainSelectedInstOperands,
     /*  739540 */     // GIR_Coverage, 12071,
     /*  739540 */     GIR_EraseRootFromParent_Done,
     /*  739541 */   // Label 11588: @739541
     /*  739541 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739616), // Rule ID 12074 //
     /*  739546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  739557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  739560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  739595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739614 */     GIR_RootConstrainSelectedInstOperands,
     /*  739615 */     // GIR_Coverage, 12074,
     /*  739615 */     GIR_EraseRootFromParent_Done,
     /*  739616 */   // Label 11589: @739616
     /*  739616 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739691), // Rule ID 12075 //
     /*  739621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  739632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  739635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  739670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739689 */     GIR_RootConstrainSelectedInstOperands,
     /*  739690 */     // GIR_Coverage, 12075,
     /*  739690 */     GIR_EraseRootFromParent_Done,
     /*  739691 */   // Label 11590: @739691
     /*  739691 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(739766), // Rule ID 12078 //
     /*  739696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  739707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  739710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  739713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  739745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739764 */     GIR_RootConstrainSelectedInstOperands,
     /*  739765 */     // GIR_Coverage, 12078,
     /*  739765 */     GIR_EraseRootFromParent_Done,
     /*  739766 */   // Label 11591: @739766
     /*  739766 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(739841), // Rule ID 12079 //
     /*  739771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  739782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  739785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  739788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  739820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739839 */     GIR_RootConstrainSelectedInstOperands,
     /*  739840 */     // GIR_Coverage, 12079,
     /*  739840 */     GIR_EraseRootFromParent_Done,
     /*  739841 */   // Label 11592: @739841
     /*  739841 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(739916), // Rule ID 12082 //
     /*  739846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  739857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  739860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  739863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  739866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  739895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739914 */     GIR_RootConstrainSelectedInstOperands,
     /*  739915 */     // GIR_Coverage, 12082,
     /*  739915 */     GIR_EraseRootFromParent_Done,
     /*  739916 */   // Label 11593: @739916
     /*  739916 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(739991), // Rule ID 12083 //
     /*  739921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  739932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  739935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  739938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  739941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739967 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  739970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739989 */     GIR_RootConstrainSelectedInstOperands,
     /*  739990 */     // GIR_Coverage, 12083,
     /*  739990 */     GIR_EraseRootFromParent_Done,
     /*  739991 */   // Label 11594: @739991
     /*  739991 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(740066), // Rule ID 12086 //
     /*  739996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  740007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  740010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  740045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740064 */     GIR_RootConstrainSelectedInstOperands,
     /*  740065 */     // GIR_Coverage, 12086,
     /*  740065 */     GIR_EraseRootFromParent_Done,
     /*  740066 */   // Label 11595: @740066
     /*  740066 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740141), // Rule ID 12087 //
     /*  740071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  740082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  740085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740117 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  740120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740139 */     GIR_RootConstrainSelectedInstOperands,
     /*  740140 */     // GIR_Coverage, 12087,
     /*  740140 */     GIR_EraseRootFromParent_Done,
     /*  740141 */   // Label 11596: @740141
     /*  740141 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740216), // Rule ID 12090 //
     /*  740146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  740157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  740160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  740195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740214 */     GIR_RootConstrainSelectedInstOperands,
     /*  740215 */     // GIR_Coverage, 12090,
     /*  740215 */     GIR_EraseRootFromParent_Done,
     /*  740216 */   // Label 11597: @740216
     /*  740216 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(740291), // Rule ID 12091 //
     /*  740221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  740232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  740235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  740270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740289 */     GIR_RootConstrainSelectedInstOperands,
     /*  740290 */     // GIR_Coverage, 12091,
     /*  740290 */     GIR_EraseRootFromParent_Done,
     /*  740291 */   // Label 11598: @740291
     /*  740291 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(740366), // Rule ID 12094 //
     /*  740296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  740316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  740345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740364 */     GIR_RootConstrainSelectedInstOperands,
     /*  740365 */     // GIR_Coverage, 12094,
     /*  740365 */     GIR_EraseRootFromParent_Done,
     /*  740366 */   // Label 11599: @740366
     /*  740366 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(740441), // Rule ID 12095 //
     /*  740371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  740391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740417 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  740420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740439 */     GIR_RootConstrainSelectedInstOperands,
     /*  740440 */     // GIR_Coverage, 12095,
     /*  740440 */     GIR_EraseRootFromParent_Done,
     /*  740441 */   // Label 11600: @740441
     /*  740441 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(740516), // Rule ID 12098 //
     /*  740446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  740466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  740495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740514 */     GIR_RootConstrainSelectedInstOperands,
     /*  740515 */     // GIR_Coverage, 12098,
     /*  740515 */     GIR_EraseRootFromParent_Done,
     /*  740516 */   // Label 11601: @740516
     /*  740516 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740591), // Rule ID 12099 //
     /*  740521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  740541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  740570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740589 */     GIR_RootConstrainSelectedInstOperands,
     /*  740590 */     // GIR_Coverage, 12099,
     /*  740590 */     GIR_EraseRootFromParent_Done,
     /*  740591 */   // Label 11602: @740591
     /*  740591 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740666), // Rule ID 12102 //
     /*  740596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  740607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  740610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  740616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  740645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740664 */     GIR_RootConstrainSelectedInstOperands,
     /*  740665 */     // GIR_Coverage, 12102,
     /*  740665 */     GIR_EraseRootFromParent_Done,
     /*  740666 */   // Label 11603: @740666
     /*  740666 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(740741), // Rule ID 12103 //
     /*  740671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  740682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  740685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  740691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  740720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740739 */     GIR_RootConstrainSelectedInstOperands,
     /*  740740 */     // GIR_Coverage, 12103,
     /*  740740 */     GIR_EraseRootFromParent_Done,
     /*  740741 */   // Label 11604: @740741
     /*  740741 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(740816), // Rule ID 12106 //
     /*  740746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  740763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  740795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740814 */     GIR_RootConstrainSelectedInstOperands,
     /*  740815 */     // GIR_Coverage, 12106,
     /*  740815 */     GIR_EraseRootFromParent_Done,
     /*  740816 */   // Label 11605: @740816
     /*  740816 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(740891), // Rule ID 12107 //
     /*  740821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  740838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  740870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740889 */     GIR_RootConstrainSelectedInstOperands,
     /*  740890 */     // GIR_Coverage, 12107,
     /*  740890 */     GIR_EraseRootFromParent_Done,
     /*  740891 */   // Label 11606: @740891
     /*  740891 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(740966), // Rule ID 12110 //
     /*  740896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  740945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740964 */     GIR_RootConstrainSelectedInstOperands,
     /*  740965 */     // GIR_Coverage, 12110,
     /*  740965 */     GIR_EraseRootFromParent_Done,
     /*  740966 */   // Label 11607: @740966
     /*  740966 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(741041), // Rule ID 12111 //
     /*  740971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  740988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741017 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  741020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741039 */     GIR_RootConstrainSelectedInstOperands,
     /*  741040 */     // GIR_Coverage, 12111,
     /*  741040 */     GIR_EraseRootFromParent_Done,
     /*  741041 */   // Label 11608: @741041
     /*  741041 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741116), // Rule ID 12114 //
     /*  741046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  741095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741114 */     GIR_RootConstrainSelectedInstOperands,
     /*  741115 */     // GIR_Coverage, 12114,
     /*  741115 */     GIR_EraseRootFromParent_Done,
     /*  741116 */   // Label 11609: @741116
     /*  741116 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741191), // Rule ID 12115 //
     /*  741121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  741170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741189 */     GIR_RootConstrainSelectedInstOperands,
     /*  741190 */     // GIR_Coverage, 12115,
     /*  741190 */     GIR_EraseRootFromParent_Done,
     /*  741191 */   // Label 11610: @741191
     /*  741191 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(741266), // Rule ID 12118 //
     /*  741196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  741245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741264 */     GIR_RootConstrainSelectedInstOperands,
     /*  741265 */     // GIR_Coverage, 12118,
     /*  741265 */     GIR_EraseRootFromParent_Done,
     /*  741266 */   // Label 11611: @741266
     /*  741266 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(741341), // Rule ID 12119 //
     /*  741271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  741320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741339 */     GIR_RootConstrainSelectedInstOperands,
     /*  741340 */     // GIR_Coverage, 12119,
     /*  741340 */     GIR_EraseRootFromParent_Done,
     /*  741341 */   // Label 11612: @741341
     /*  741341 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741416), // Rule ID 12122 //
     /*  741346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  741357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  741360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  741395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741414 */     GIR_RootConstrainSelectedInstOperands,
     /*  741415 */     // GIR_Coverage, 12122,
     /*  741415 */     GIR_EraseRootFromParent_Done,
     /*  741416 */   // Label 11613: @741416
     /*  741416 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(741491), // Rule ID 12123 //
     /*  741421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  741432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  741435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  741470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741489 */     GIR_RootConstrainSelectedInstOperands,
     /*  741490 */     // GIR_Coverage, 12123,
     /*  741490 */     GIR_EraseRootFromParent_Done,
     /*  741491 */   // Label 11614: @741491
     /*  741491 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741566), // Rule ID 12126 //
     /*  741496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  741507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  741510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  741545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741564 */     GIR_RootConstrainSelectedInstOperands,
     /*  741565 */     // GIR_Coverage, 12126,
     /*  741565 */     GIR_EraseRootFromParent_Done,
     /*  741566 */   // Label 11615: @741566
     /*  741566 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741641), // Rule ID 12127 //
     /*  741571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  741582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  741585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741617 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  741620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741639 */     GIR_RootConstrainSelectedInstOperands,
     /*  741640 */     // GIR_Coverage, 12127,
     /*  741640 */     GIR_EraseRootFromParent_Done,
     /*  741641 */   // Label 11616: @741641
     /*  741641 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741716), // Rule ID 12130 //
     /*  741646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  741657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  741660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  741663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  741666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  741695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741714 */     GIR_RootConstrainSelectedInstOperands,
     /*  741715 */     // GIR_Coverage, 12130,
     /*  741715 */     GIR_EraseRootFromParent_Done,
     /*  741716 */   // Label 11617: @741716
     /*  741716 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(741791), // Rule ID 12131 //
     /*  741721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  741732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  741735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  741738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  741741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  741770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741789 */     GIR_RootConstrainSelectedInstOperands,
     /*  741790 */     // GIR_Coverage, 12131,
     /*  741790 */     GIR_EraseRootFromParent_Done,
     /*  741791 */   // Label 11618: @741791
     /*  741791 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(741866), // Rule ID 12134 //
     /*  741796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  741816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  741845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741864 */     GIR_RootConstrainSelectedInstOperands,
     /*  741865 */     // GIR_Coverage, 12134,
     /*  741865 */     GIR_EraseRootFromParent_Done,
     /*  741866 */   // Label 11619: @741866
     /*  741866 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(741941), // Rule ID 12135 //
     /*  741871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  741891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  741920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741939 */     GIR_RootConstrainSelectedInstOperands,
     /*  741940 */     // GIR_Coverage, 12135,
     /*  741940 */     GIR_EraseRootFromParent_Done,
     /*  741941 */   // Label 11620: @741941
     /*  741941 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(742016), // Rule ID 12138 //
     /*  741946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  741966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  741995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742014 */     GIR_RootConstrainSelectedInstOperands,
     /*  742015 */     // GIR_Coverage, 12138,
     /*  742015 */     GIR_EraseRootFromParent_Done,
     /*  742016 */   // Label 11621: @742016
     /*  742016 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(742091), // Rule ID 12139 //
     /*  742021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  742070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742089 */     GIR_RootConstrainSelectedInstOperands,
     /*  742090 */     // GIR_Coverage, 12139,
     /*  742090 */     GIR_EraseRootFromParent_Done,
     /*  742091 */   // Label 11622: @742091
     /*  742091 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742166), // Rule ID 12142 //
     /*  742096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  742116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  742145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742164 */     GIR_RootConstrainSelectedInstOperands,
     /*  742165 */     // GIR_Coverage, 12142,
     /*  742165 */     GIR_EraseRootFromParent_Done,
     /*  742166 */   // Label 11623: @742166
     /*  742166 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742241), // Rule ID 12143 //
     /*  742171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  742191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742217 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  742220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742239 */     GIR_RootConstrainSelectedInstOperands,
     /*  742240 */     // GIR_Coverage, 12143,
     /*  742240 */     GIR_EraseRootFromParent_Done,
     /*  742241 */   // Label 11624: @742241
     /*  742241 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(742316), // Rule ID 12146 //
     /*  742246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  742257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  742260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  742295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742314 */     GIR_RootConstrainSelectedInstOperands,
     /*  742315 */     // GIR_Coverage, 12146,
     /*  742315 */     GIR_EraseRootFromParent_Done,
     /*  742316 */   // Label 11625: @742316
     /*  742316 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742391), // Rule ID 12147 //
     /*  742321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  742332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  742335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  742370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742389 */     GIR_RootConstrainSelectedInstOperands,
     /*  742390 */     // GIR_Coverage, 12147,
     /*  742390 */     GIR_EraseRootFromParent_Done,
     /*  742391 */   // Label 11626: @742391
     /*  742391 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(742466), // Rule ID 12150 //
     /*  742396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  742445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742464 */     GIR_RootConstrainSelectedInstOperands,
     /*  742465 */     // GIR_Coverage, 12150,
     /*  742465 */     GIR_EraseRootFromParent_Done,
     /*  742466 */   // Label 11627: @742466
     /*  742466 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742541), // Rule ID 12151 //
     /*  742471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742517 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  742520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742539 */     GIR_RootConstrainSelectedInstOperands,
     /*  742540 */     // GIR_Coverage, 12151,
     /*  742540 */     GIR_EraseRootFromParent_Done,
     /*  742541 */   // Label 11628: @742541
     /*  742541 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742616), // Rule ID 12154 //
     /*  742546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  742566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  742595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742614 */     GIR_RootConstrainSelectedInstOperands,
     /*  742615 */     // GIR_Coverage, 12154,
     /*  742615 */     GIR_EraseRootFromParent_Done,
     /*  742616 */   // Label 11629: @742616
     /*  742616 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742691), // Rule ID 12155 //
     /*  742621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  742641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742667 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  742670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742689 */     GIR_RootConstrainSelectedInstOperands,
     /*  742690 */     // GIR_Coverage, 12155,
     /*  742690 */     GIR_EraseRootFromParent_Done,
     /*  742691 */   // Label 11630: @742691
     /*  742691 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(742766), // Rule ID 12158 //
     /*  742696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  742713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  742716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  742745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742764 */     GIR_RootConstrainSelectedInstOperands,
     /*  742765 */     // GIR_Coverage, 12158,
     /*  742765 */     GIR_EraseRootFromParent_Done,
     /*  742766 */   // Label 11631: @742766
     /*  742766 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(742841), // Rule ID 12159 //
     /*  742771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  742788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  742791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  742820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742839 */     GIR_RootConstrainSelectedInstOperands,
     /*  742840 */     // GIR_Coverage, 12159,
     /*  742840 */     GIR_EraseRootFromParent_Done,
     /*  742841 */   // Label 11632: @742841
     /*  742841 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(742916), // Rule ID 12162 //
     /*  742846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  742863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  742866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  742892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  742895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742914 */     GIR_RootConstrainSelectedInstOperands,
     /*  742915 */     // GIR_Coverage, 12162,
     /*  742915 */     GIR_EraseRootFromParent_Done,
     /*  742916 */   // Label 11633: @742916
     /*  742916 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(742991), // Rule ID 12163 //
     /*  742921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  742924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  742938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  742941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  742967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  742970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742989 */     GIR_RootConstrainSelectedInstOperands,
     /*  742990 */     // GIR_Coverage, 12163,
     /*  742990 */     GIR_EraseRootFromParent_Done,
     /*  742991 */   // Label 11634: @742991
     /*  742991 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(743066), // Rule ID 12166 //
     /*  742996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  743007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  743010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  743016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  743045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743064 */     GIR_RootConstrainSelectedInstOperands,
     /*  743065 */     // GIR_Coverage, 12166,
     /*  743065 */     GIR_EraseRootFromParent_Done,
     /*  743066 */   // Label 11635: @743066
     /*  743066 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743141), // Rule ID 12167 //
     /*  743071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  743082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  743085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  743091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  743120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743139 */     GIR_RootConstrainSelectedInstOperands,
     /*  743140 */     // GIR_Coverage, 12167,
     /*  743140 */     GIR_EraseRootFromParent_Done,
     /*  743141 */   // Label 11636: @743141
     /*  743141 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743216), // Rule ID 12170 //
     /*  743146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  743157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  743160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743192 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  743195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743214 */     GIR_RootConstrainSelectedInstOperands,
     /*  743215 */     // GIR_Coverage, 12170,
     /*  743215 */     GIR_EraseRootFromParent_Done,
     /*  743216 */   // Label 11637: @743216
     /*  743216 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(743291), // Rule ID 12171 //
     /*  743221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  743232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  743235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  743270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743289 */     GIR_RootConstrainSelectedInstOperands,
     /*  743290 */     // GIR_Coverage, 12171,
     /*  743290 */     GIR_EraseRootFromParent_Done,
     /*  743291 */   // Label 11638: @743291
     /*  743291 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(743366), // Rule ID 12174 //
     /*  743296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  743307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  743310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  743345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743364 */     GIR_RootConstrainSelectedInstOperands,
     /*  743365 */     // GIR_Coverage, 12174,
     /*  743365 */     GIR_EraseRootFromParent_Done,
     /*  743366 */   // Label 11639: @743366
     /*  743366 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(743441), // Rule ID 12175 //
     /*  743371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  743382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  743385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743417 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  743420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743439 */     GIR_RootConstrainSelectedInstOperands,
     /*  743440 */     // GIR_Coverage, 12175,
     /*  743440 */     GIR_EraseRootFromParent_Done,
     /*  743441 */   // Label 11640: @743441
     /*  743441 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(743516), // Rule ID 12178 //
     /*  743446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  743457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  743460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  743495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743514 */     GIR_RootConstrainSelectedInstOperands,
     /*  743515 */     // GIR_Coverage, 12178,
     /*  743515 */     GIR_EraseRootFromParent_Done,
     /*  743516 */   // Label 11641: @743516
     /*  743516 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743591), // Rule ID 12179 //
     /*  743521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  743532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  743535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  743570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743589 */     GIR_RootConstrainSelectedInstOperands,
     /*  743590 */     // GIR_Coverage, 12179,
     /*  743590 */     GIR_EraseRootFromParent_Done,
     /*  743591 */   // Label 11642: @743591
     /*  743591 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743666), // Rule ID 12182 //
     /*  743596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  743607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  743610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  743645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743664 */     GIR_RootConstrainSelectedInstOperands,
     /*  743665 */     // GIR_Coverage, 12182,
     /*  743665 */     GIR_EraseRootFromParent_Done,
     /*  743666 */   // Label 11643: @743666
     /*  743666 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(743741), // Rule ID 12183 //
     /*  743671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  743682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  743685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  743720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743739 */     GIR_RootConstrainSelectedInstOperands,
     /*  743740 */     // GIR_Coverage, 12183,
     /*  743740 */     GIR_EraseRootFromParent_Done,
     /*  743741 */   // Label 11644: @743741
     /*  743741 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(743816), // Rule ID 12186 //
     /*  743746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  743757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  743760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743792 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  743795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743814 */     GIR_RootConstrainSelectedInstOperands,
     /*  743815 */     // GIR_Coverage, 12186,
     /*  743815 */     GIR_EraseRootFromParent_Done,
     /*  743816 */   // Label 11645: @743816
     /*  743816 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(743891), // Rule ID 12187 //
     /*  743821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  743832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  743835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743867 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  743870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743889 */     GIR_RootConstrainSelectedInstOperands,
     /*  743890 */     // GIR_Coverage, 12187,
     /*  743890 */     GIR_EraseRootFromParent_Done,
     /*  743891 */   // Label 11646: @743891
     /*  743891 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(743966), // Rule ID 12190 //
     /*  743896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  743945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743964 */     GIR_RootConstrainSelectedInstOperands,
     /*  743965 */     // GIR_Coverage, 12190,
     /*  743965 */     GIR_EraseRootFromParent_Done,
     /*  743966 */   // Label 11647: @743966
     /*  743966 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(744041), // Rule ID 12191 //
     /*  743971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744017 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  744020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744039 */     GIR_RootConstrainSelectedInstOperands,
     /*  744040 */     // GIR_Coverage, 12191,
     /*  744040 */     GIR_EraseRootFromParent_Done,
     /*  744041 */   // Label 11648: @744041
     /*  744041 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744116), // Rule ID 12194 //
     /*  744046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  744057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  744060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  744095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744114 */     GIR_RootConstrainSelectedInstOperands,
     /*  744115 */     // GIR_Coverage, 12194,
     /*  744115 */     GIR_EraseRootFromParent_Done,
     /*  744116 */   // Label 11649: @744116
     /*  744116 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744191), // Rule ID 12195 //
     /*  744121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  744132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  744135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  744170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744189 */     GIR_RootConstrainSelectedInstOperands,
     /*  744190 */     // GIR_Coverage, 12195,
     /*  744190 */     GIR_EraseRootFromParent_Done,
     /*  744191 */   // Label 11650: @744191
     /*  744191 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(744266), // Rule ID 12198 //
     /*  744196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  744245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744264 */     GIR_RootConstrainSelectedInstOperands,
     /*  744265 */     // GIR_Coverage, 12198,
     /*  744265 */     GIR_EraseRootFromParent_Done,
     /*  744266 */   // Label 11651: @744266
     /*  744266 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(744341), // Rule ID 12199 //
     /*  744271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  744320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744339 */     GIR_RootConstrainSelectedInstOperands,
     /*  744340 */     // GIR_Coverage, 12199,
     /*  744340 */     GIR_EraseRootFromParent_Done,
     /*  744341 */   // Label 11652: @744341
     /*  744341 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744416), // Rule ID 12202 //
     /*  744346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  744395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744414 */     GIR_RootConstrainSelectedInstOperands,
     /*  744415 */     // GIR_Coverage, 12202,
     /*  744415 */     GIR_EraseRootFromParent_Done,
     /*  744416 */   // Label 11653: @744416
     /*  744416 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(744491), // Rule ID 12203 //
     /*  744421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  744470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744489 */     GIR_RootConstrainSelectedInstOperands,
     /*  744490 */     // GIR_Coverage, 12203,
     /*  744490 */     GIR_EraseRootFromParent_Done,
     /*  744491 */   // Label 11654: @744491
     /*  744491 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744566), // Rule ID 12206 //
     /*  744496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  744499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  744513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  744542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  744545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  744561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744564 */     GIR_RootConstrainSelectedInstOperands,
     /*  744565 */     // GIR_Coverage, 12206,
     /*  744565 */     GIR_EraseRootFromParent_Done,
     /*  744566 */   // Label 11655: @744566
     /*  744566 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744641), // Rule ID 12207 //
     /*  744571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  744574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  744588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  744617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  744620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  744636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744639 */     GIR_RootConstrainSelectedInstOperands,
     /*  744640 */     // GIR_Coverage, 12207,
     /*  744640 */     GIR_EraseRootFromParent_Done,
     /*  744641 */   // Label 11656: @744641
     /*  744641 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744716), // Rule ID 12210 //
     /*  744646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  744657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  744660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  744695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744714 */     GIR_RootConstrainSelectedInstOperands,
     /*  744715 */     // GIR_Coverage, 12210,
     /*  744715 */     GIR_EraseRootFromParent_Done,
     /*  744716 */   // Label 11657: @744716
     /*  744716 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(744791), // Rule ID 12211 //
     /*  744721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  744732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  744735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744767 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  744770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744789 */     GIR_RootConstrainSelectedInstOperands,
     /*  744790 */     // GIR_Coverage, 12211,
     /*  744790 */     GIR_EraseRootFromParent_Done,
     /*  744791 */   // Label 11658: @744791
     /*  744791 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(744866), // Rule ID 12214 //
     /*  744796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  744807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  744810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  744813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  744845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744864 */     GIR_RootConstrainSelectedInstOperands,
     /*  744865 */     // GIR_Coverage, 12214,
     /*  744865 */     GIR_EraseRootFromParent_Done,
     /*  744866 */   // Label 11659: @744866
     /*  744866 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(744941), // Rule ID 12215 //
     /*  744871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  744882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  744885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  744888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744917 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  744920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744939 */     GIR_RootConstrainSelectedInstOperands,
     /*  744940 */     // GIR_Coverage, 12215,
     /*  744940 */     GIR_EraseRootFromParent_Done,
     /*  744941 */   // Label 11660: @744941
     /*  744941 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(745016), // Rule ID 12218 //
     /*  744946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  744957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  744960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  744963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  744995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745014 */     GIR_RootConstrainSelectedInstOperands,
     /*  745015 */     // GIR_Coverage, 12218,
     /*  745015 */     GIR_EraseRootFromParent_Done,
     /*  745016 */   // Label 11661: @745016
     /*  745016 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(745091), // Rule ID 12219 //
     /*  745021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  745032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  745035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  745038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745067 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  745070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745089 */     GIR_RootConstrainSelectedInstOperands,
     /*  745090 */     // GIR_Coverage, 12219,
     /*  745090 */     GIR_EraseRootFromParent_Done,
     /*  745091 */   // Label 11662: @745091
     /*  745091 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745166), // Rule ID 12222 //
     /*  745096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  745145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745164 */     GIR_RootConstrainSelectedInstOperands,
     /*  745165 */     // GIR_Coverage, 12222,
     /*  745165 */     GIR_EraseRootFromParent_Done,
     /*  745166 */   // Label 11663: @745166
     /*  745166 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745241), // Rule ID 12223 //
     /*  745171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  745220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745239 */     GIR_RootConstrainSelectedInstOperands,
     /*  745240 */     // GIR_Coverage, 12223,
     /*  745240 */     GIR_EraseRootFromParent_Done,
     /*  745241 */   // Label 11664: @745241
     /*  745241 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(745316), // Rule ID 12226 //
     /*  745246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  745295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745314 */     GIR_RootConstrainSelectedInstOperands,
     /*  745315 */     // GIR_Coverage, 12226,
     /*  745315 */     GIR_EraseRootFromParent_Done,
     /*  745316 */   // Label 11665: @745316
     /*  745316 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745391), // Rule ID 12227 //
     /*  745321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  745370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745389 */     GIR_RootConstrainSelectedInstOperands,
     /*  745390 */     // GIR_Coverage, 12227,
     /*  745390 */     GIR_EraseRootFromParent_Done,
     /*  745391 */   // Label 11666: @745391
     /*  745391 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(745466), // Rule ID 12230 //
     /*  745396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  745413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745442 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  745445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745464 */     GIR_RootConstrainSelectedInstOperands,
     /*  745465 */     // GIR_Coverage, 12230,
     /*  745465 */     GIR_EraseRootFromParent_Done,
     /*  745466 */   // Label 11667: @745466
     /*  745466 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745541), // Rule ID 12231 //
     /*  745471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  745488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745517 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  745520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745539 */     GIR_RootConstrainSelectedInstOperands,
     /*  745540 */     // GIR_Coverage, 12231,
     /*  745540 */     GIR_EraseRootFromParent_Done,
     /*  745541 */   // Label 11668: @745541
     /*  745541 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745616), // Rule ID 12234 //
     /*  745546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  745563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  745595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745614 */     GIR_RootConstrainSelectedInstOperands,
     /*  745615 */     // GIR_Coverage, 12234,
     /*  745615 */     GIR_EraseRootFromParent_Done,
     /*  745616 */   // Label 11669: @745616
     /*  745616 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745691), // Rule ID 12235 //
     /*  745621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  745632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  745635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  745638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  745670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745689 */     GIR_RootConstrainSelectedInstOperands,
     /*  745690 */     // GIR_Coverage, 12235,
     /*  745690 */     GIR_EraseRootFromParent_Done,
     /*  745691 */   // Label 11670: @745691
     /*  745691 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(745766), // Rule ID 12238 //
     /*  745696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  745745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745764 */     GIR_RootConstrainSelectedInstOperands,
     /*  745765 */     // GIR_Coverage, 12238,
     /*  745765 */     GIR_EraseRootFromParent_Done,
     /*  745766 */   // Label 11671: @745766
     /*  745766 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(745841), // Rule ID 12239 //
     /*  745771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  745782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  745785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  745820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745839 */     GIR_RootConstrainSelectedInstOperands,
     /*  745840 */     // GIR_Coverage, 12239,
     /*  745840 */     GIR_EraseRootFromParent_Done,
     /*  745841 */   // Label 11672: @745841
     /*  745841 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(745916), // Rule ID 12242 //
     /*  745846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  745857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  745860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  745863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  745895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745914 */     GIR_RootConstrainSelectedInstOperands,
     /*  745915 */     // GIR_Coverage, 12242,
     /*  745915 */     GIR_EraseRootFromParent_Done,
     /*  745916 */   // Label 11673: @745916
     /*  745916 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(745991), // Rule ID 12243 //
     /*  745921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  745932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  745935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  745938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  745970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745989 */     GIR_RootConstrainSelectedInstOperands,
     /*  745990 */     // GIR_Coverage, 12243,
     /*  745990 */     GIR_EraseRootFromParent_Done,
     /*  745991 */   // Label 11674: @745991
     /*  745991 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(746066), // Rule ID 12246 //
     /*  745996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  745999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  746013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  746045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746064 */     GIR_RootConstrainSelectedInstOperands,
     /*  746065 */     // GIR_Coverage, 12246,
     /*  746065 */     GIR_EraseRootFromParent_Done,
     /*  746066 */   // Label 11675: @746066
     /*  746066 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746141), // Rule ID 12247 //
     /*  746071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  746088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  746120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746139 */     GIR_RootConstrainSelectedInstOperands,
     /*  746140 */     // GIR_Coverage, 12247,
     /*  746140 */     GIR_EraseRootFromParent_Done,
     /*  746141 */   // Label 11676: @746141
     /*  746141 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746216), // Rule ID 12250 //
     /*  746146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  746163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  746195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746214 */     GIR_RootConstrainSelectedInstOperands,
     /*  746215 */     // GIR_Coverage, 12250,
     /*  746215 */     GIR_EraseRootFromParent_Done,
     /*  746216 */   // Label 11677: @746216
     /*  746216 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(746291), // Rule ID 12251 //
     /*  746221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  746238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  746270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746289 */     GIR_RootConstrainSelectedInstOperands,
     /*  746290 */     // GIR_Coverage, 12251,
     /*  746290 */     GIR_EraseRootFromParent_Done,
     /*  746291 */   // Label 11678: @746291
     /*  746291 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(746366), // Rule ID 12254 //
     /*  746296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  746313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  746345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746364 */     GIR_RootConstrainSelectedInstOperands,
     /*  746365 */     // GIR_Coverage, 12254,
     /*  746365 */     GIR_EraseRootFromParent_Done,
     /*  746366 */   // Label 11679: @746366
     /*  746366 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(746441), // Rule ID 12255 //
     /*  746371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  746388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  746420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746439 */     GIR_RootConstrainSelectedInstOperands,
     /*  746440 */     // GIR_Coverage, 12255,
     /*  746440 */     GIR_EraseRootFromParent_Done,
     /*  746441 */   // Label 11680: @746441
     /*  746441 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(746516), // Rule ID 12258 //
     /*  746446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  746495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746514 */     GIR_RootConstrainSelectedInstOperands,
     /*  746515 */     // GIR_Coverage, 12258,
     /*  746515 */     GIR_EraseRootFromParent_Done,
     /*  746516 */   // Label 11681: @746516
     /*  746516 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746591), // Rule ID 12259 //
     /*  746521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  746532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  746535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  746541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746567 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  746570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746589 */     GIR_RootConstrainSelectedInstOperands,
     /*  746590 */     // GIR_Coverage, 12259,
     /*  746590 */     GIR_EraseRootFromParent_Done,
     /*  746591 */   // Label 11682: @746591
     /*  746591 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746666), // Rule ID 12262 //
     /*  746596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  746645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746664 */     GIR_RootConstrainSelectedInstOperands,
     /*  746665 */     // GIR_Coverage, 12262,
     /*  746665 */     GIR_EraseRootFromParent_Done,
     /*  746666 */   // Label 11683: @746666
     /*  746666 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(746741), // Rule ID 12263 //
     /*  746671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  746682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  746685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  746691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  746720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746739 */     GIR_RootConstrainSelectedInstOperands,
     /*  746740 */     // GIR_Coverage, 12263,
     /*  746740 */     GIR_EraseRootFromParent_Done,
     /*  746741 */   // Label 11684: @746741
     /*  746741 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(746816), // Rule ID 12266 //
     /*  746746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  746766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  746795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746814 */     GIR_RootConstrainSelectedInstOperands,
     /*  746815 */     // GIR_Coverage, 12266,
     /*  746815 */     GIR_EraseRootFromParent_Done,
     /*  746816 */   // Label 11685: @746816
     /*  746816 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(746891), // Rule ID 12267 //
     /*  746821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  746841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  746870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746889 */     GIR_RootConstrainSelectedInstOperands,
     /*  746890 */     // GIR_Coverage, 12267,
     /*  746890 */     GIR_EraseRootFromParent_Done,
     /*  746891 */   // Label 11686: @746891
     /*  746891 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(746966), // Rule ID 12270 //
     /*  746896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  746907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  746910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  746913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  746916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  746945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746964 */     GIR_RootConstrainSelectedInstOperands,
     /*  746965 */     // GIR_Coverage, 12270,
     /*  746965 */     GIR_EraseRootFromParent_Done,
     /*  746966 */   // Label 11687: @746966
     /*  746966 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(747041), // Rule ID 12271 //
     /*  746971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  746979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  746982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  746985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  746988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  746991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747039 */     GIR_RootConstrainSelectedInstOperands,
     /*  747040 */     // GIR_Coverage, 12271,
     /*  747040 */     GIR_EraseRootFromParent_Done,
     /*  747041 */   // Label 11688: @747041
     /*  747041 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747116), // Rule ID 12274 //
     /*  747046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747114 */     GIR_RootConstrainSelectedInstOperands,
     /*  747115 */     // GIR_Coverage, 12274,
     /*  747115 */     GIR_EraseRootFromParent_Done,
     /*  747116 */   // Label 11689: @747116
     /*  747116 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747191), // Rule ID 12275 //
     /*  747121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747189 */     GIR_RootConstrainSelectedInstOperands,
     /*  747190 */     // GIR_Coverage, 12275,
     /*  747190 */     GIR_EraseRootFromParent_Done,
     /*  747191 */   // Label 11690: @747191
     /*  747191 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(747266), // Rule ID 12278 //
     /*  747196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  747245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747264 */     GIR_RootConstrainSelectedInstOperands,
     /*  747265 */     // GIR_Coverage, 12278,
     /*  747265 */     GIR_EraseRootFromParent_Done,
     /*  747266 */   // Label 11691: @747266
     /*  747266 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(747341), // Rule ID 12279 //
     /*  747271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  747320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747339 */     GIR_RootConstrainSelectedInstOperands,
     /*  747340 */     // GIR_Coverage, 12279,
     /*  747340 */     GIR_EraseRootFromParent_Done,
     /*  747341 */   // Label 11692: @747341
     /*  747341 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747416), // Rule ID 12282 //
     /*  747346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  747395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747414 */     GIR_RootConstrainSelectedInstOperands,
     /*  747415 */     // GIR_Coverage, 12282,
     /*  747415 */     GIR_EraseRootFromParent_Done,
     /*  747416 */   // Label 11693: @747416
     /*  747416 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(747491), // Rule ID 12283 //
     /*  747421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  747432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  747435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  747438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  747441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  747470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747489 */     GIR_RootConstrainSelectedInstOperands,
     /*  747490 */     // GIR_Coverage, 12283,
     /*  747490 */     GIR_EraseRootFromParent_Done,
     /*  747491 */   // Label 11694: @747491
     /*  747491 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747566), // Rule ID 12286 //
     /*  747496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  747545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747564 */     GIR_RootConstrainSelectedInstOperands,
     /*  747565 */     // GIR_Coverage, 12286,
     /*  747565 */     GIR_EraseRootFromParent_Done,
     /*  747566 */   // Label 11695: @747566
     /*  747566 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747641), // Rule ID 12287 //
     /*  747571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  747588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  747591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  747620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747639 */     GIR_RootConstrainSelectedInstOperands,
     /*  747640 */     // GIR_Coverage, 12287,
     /*  747640 */     GIR_EraseRootFromParent_Done,
     /*  747641 */   // Label 11696: @747641
     /*  747641 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747716), // Rule ID 12290 //
     /*  747646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747714 */     GIR_RootConstrainSelectedInstOperands,
     /*  747715 */     // GIR_Coverage, 12290,
     /*  747715 */     GIR_EraseRootFromParent_Done,
     /*  747716 */   // Label 11697: @747716
     /*  747716 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(747791), // Rule ID 12291 //
     /*  747721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  747732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  747735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747789 */     GIR_RootConstrainSelectedInstOperands,
     /*  747790 */     // GIR_Coverage, 12291,
     /*  747790 */     GIR_EraseRootFromParent_Done,
     /*  747791 */   // Label 11698: @747791
     /*  747791 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(747866), // Rule ID 12294 //
     /*  747796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  747807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  747810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  747813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  747816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747864 */     GIR_RootConstrainSelectedInstOperands,
     /*  747865 */     // GIR_Coverage, 12294,
     /*  747865 */     GIR_EraseRootFromParent_Done,
     /*  747866 */   // Label 11699: @747866
     /*  747866 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(747941), // Rule ID 12295 //
     /*  747871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  747882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  747885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  747888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  747891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747939 */     GIR_RootConstrainSelectedInstOperands,
     /*  747940 */     // GIR_Coverage, 12295,
     /*  747940 */     GIR_EraseRootFromParent_Done,
     /*  747941 */   // Label 11700: @747941
     /*  747941 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(748016), // Rule ID 12298 //
     /*  747946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  747957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  747960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  747963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  747966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  747995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748014 */     GIR_RootConstrainSelectedInstOperands,
     /*  748015 */     // GIR_Coverage, 12298,
     /*  748015 */     GIR_EraseRootFromParent_Done,
     /*  748016 */   // Label 11701: @748016
     /*  748016 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(748091), // Rule ID 12299 //
     /*  748021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748089 */     GIR_RootConstrainSelectedInstOperands,
     /*  748090 */     // GIR_Coverage, 12299,
     /*  748090 */     GIR_EraseRootFromParent_Done,
     /*  748091 */   // Label 11702: @748091
     /*  748091 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748166), // Rule ID 12302 //
     /*  748096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748164 */     GIR_RootConstrainSelectedInstOperands,
     /*  748165 */     // GIR_Coverage, 12302,
     /*  748165 */     GIR_EraseRootFromParent_Done,
     /*  748166 */   // Label 11703: @748166
     /*  748166 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748241), // Rule ID 12303 //
     /*  748171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748239 */     GIR_RootConstrainSelectedInstOperands,
     /*  748240 */     // GIR_Coverage, 12303,
     /*  748240 */     GIR_EraseRootFromParent_Done,
     /*  748241 */   // Label 11704: @748241
     /*  748241 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(748316), // Rule ID 12306 //
     /*  748246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  748295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748314 */     GIR_RootConstrainSelectedInstOperands,
     /*  748315 */     // GIR_Coverage, 12306,
     /*  748315 */     GIR_EraseRootFromParent_Done,
     /*  748316 */   // Label 11705: @748316
     /*  748316 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748391), // Rule ID 12307 //
     /*  748321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  748370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748389 */     GIR_RootConstrainSelectedInstOperands,
     /*  748390 */     // GIR_Coverage, 12307,
     /*  748390 */     GIR_EraseRootFromParent_Done,
     /*  748391 */   // Label 11706: @748391
     /*  748391 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(748466), // Rule ID 12310 //
     /*  748396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748464 */     GIR_RootConstrainSelectedInstOperands,
     /*  748465 */     // GIR_Coverage, 12310,
     /*  748465 */     GIR_EraseRootFromParent_Done,
     /*  748466 */   // Label 11707: @748466
     /*  748466 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748541), // Rule ID 12311 //
     /*  748471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  748482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  748485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  748491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748539 */     GIR_RootConstrainSelectedInstOperands,
     /*  748540 */     // GIR_Coverage, 12311,
     /*  748540 */     GIR_EraseRootFromParent_Done,
     /*  748541 */   // Label 11708: @748541
     /*  748541 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748616), // Rule ID 12314 //
     /*  748546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748614 */     GIR_RootConstrainSelectedInstOperands,
     /*  748615 */     // GIR_Coverage, 12314,
     /*  748615 */     GIR_EraseRootFromParent_Done,
     /*  748616 */   // Label 11709: @748616
     /*  748616 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748691), // Rule ID 12315 //
     /*  748621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  748632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  748635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  748641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748689 */     GIR_RootConstrainSelectedInstOperands,
     /*  748690 */     // GIR_Coverage, 12315,
     /*  748690 */     GIR_EraseRootFromParent_Done,
     /*  748691 */   // Label 11710: @748691
     /*  748691 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(748766), // Rule ID 12318 //
     /*  748696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  748745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748764 */     GIR_RootConstrainSelectedInstOperands,
     /*  748765 */     // GIR_Coverage, 12318,
     /*  748765 */     GIR_EraseRootFromParent_Done,
     /*  748766 */   // Label 11711: @748766
     /*  748766 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(748841), // Rule ID 12319 //
     /*  748771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  748782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  748785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  748788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  748820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748839 */     GIR_RootConstrainSelectedInstOperands,
     /*  748840 */     // GIR_Coverage, 12319,
     /*  748840 */     GIR_EraseRootFromParent_Done,
     /*  748841 */   // Label 11712: @748841
     /*  748841 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(748916), // Rule ID 12322 //
     /*  748846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  748857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  748860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  748863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  748895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748914 */     GIR_RootConstrainSelectedInstOperands,
     /*  748915 */     // GIR_Coverage, 12322,
     /*  748915 */     GIR_EraseRootFromParent_Done,
     /*  748916 */   // Label 11713: @748916
     /*  748916 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(748991), // Rule ID 12323 //
     /*  748921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  748932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  748935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  748938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  748970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748989 */     GIR_RootConstrainSelectedInstOperands,
     /*  748990 */     // GIR_Coverage, 12323,
     /*  748990 */     GIR_EraseRootFromParent_Done,
     /*  748991 */   // Label 11714: @748991
     /*  748991 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(749066), // Rule ID 12326 //
     /*  748996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749064 */     GIR_RootConstrainSelectedInstOperands,
     /*  749065 */     // GIR_Coverage, 12326,
     /*  749065 */     GIR_EraseRootFromParent_Done,
     /*  749066 */   // Label 11715: @749066
     /*  749066 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749141), // Rule ID 12327 //
     /*  749071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11590:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749139 */     GIR_RootConstrainSelectedInstOperands,
     /*  749140 */     // GIR_Coverage, 12327,
     /*  749140 */     GIR_EraseRootFromParent_Done,
     /*  749141 */   // Label 11716: @749141
     /*  749141 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749216), // Rule ID 12330 //
     /*  749146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  749195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749214 */     GIR_RootConstrainSelectedInstOperands,
     /*  749215 */     // GIR_Coverage, 12330,
     /*  749215 */     GIR_EraseRootFromParent_Done,
     /*  749216 */   // Label 11717: @749216
     /*  749216 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(749291), // Rule ID 12331 //
     /*  749221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  749270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749289 */     GIR_RootConstrainSelectedInstOperands,
     /*  749290 */     // GIR_Coverage, 12331,
     /*  749290 */     GIR_EraseRootFromParent_Done,
     /*  749291 */   // Label 11718: @749291
     /*  749291 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(749366), // Rule ID 12334 //
     /*  749296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  749345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749364 */     GIR_RootConstrainSelectedInstOperands,
     /*  749365 */     // GIR_Coverage, 12334,
     /*  749365 */     GIR_EraseRootFromParent_Done,
     /*  749366 */   // Label 11719: @749366
     /*  749366 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(749441), // Rule ID 12335 //
     /*  749371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  749420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749439 */     GIR_RootConstrainSelectedInstOperands,
     /*  749440 */     // GIR_Coverage, 12335,
     /*  749440 */     GIR_EraseRootFromParent_Done,
     /*  749441 */   // Label 11720: @749441
     /*  749441 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(749516), // Rule ID 12338 //
     /*  749446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  749495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749514 */     GIR_RootConstrainSelectedInstOperands,
     /*  749515 */     // GIR_Coverage, 12338,
     /*  749515 */     GIR_EraseRootFromParent_Done,
     /*  749516 */   // Label 11721: @749516
     /*  749516 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749591), // Rule ID 12339 //
     /*  749521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  749532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  749535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  749538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749567 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  749570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749589 */     GIR_RootConstrainSelectedInstOperands,
     /*  749590 */     // GIR_Coverage, 12339,
     /*  749590 */     GIR_EraseRootFromParent_Done,
     /*  749591 */   // Label 11722: @749591
     /*  749591 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749666), // Rule ID 12342 //
     /*  749596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749664 */     GIR_RootConstrainSelectedInstOperands,
     /*  749665 */     // GIR_Coverage, 12342,
     /*  749665 */     GIR_EraseRootFromParent_Done,
     /*  749666 */   // Label 11723: @749666
     /*  749666 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(749741), // Rule ID 12343 //
     /*  749671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  749682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  749685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749739 */     GIR_RootConstrainSelectedInstOperands,
     /*  749740 */     // GIR_Coverage, 12343,
     /*  749740 */     GIR_EraseRootFromParent_Done,
     /*  749741 */   // Label 11724: @749741
     /*  749741 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(749816), // Rule ID 12346 //
     /*  749746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749814 */     GIR_RootConstrainSelectedInstOperands,
     /*  749815 */     // GIR_Coverage, 12346,
     /*  749815 */     GIR_EraseRootFromParent_Done,
     /*  749816 */   // Label 11725: @749816
     /*  749816 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(749891), // Rule ID 12347 //
     /*  749821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11590:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749889 */     GIR_RootConstrainSelectedInstOperands,
     /*  749890 */     // GIR_Coverage, 12347,
     /*  749890 */     GIR_EraseRootFromParent_Done,
     /*  749891 */   // Label 11726: @749891
     /*  749891 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(749966), // Rule ID 12350 //
     /*  749896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  749907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  749910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  749945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749964 */     GIR_RootConstrainSelectedInstOperands,
     /*  749965 */     // GIR_Coverage, 12350,
     /*  749965 */     GIR_EraseRootFromParent_Done,
     /*  749966 */   // Label 11727: @749966
     /*  749966 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(750041), // Rule ID 12351 //
     /*  749971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  749982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  749985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750039 */     GIR_RootConstrainSelectedInstOperands,
     /*  750040 */     // GIR_Coverage, 12351,
     /*  750040 */     GIR_EraseRootFromParent_Done,
     /*  750041 */   // Label 11728: @750041
     /*  750041 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750116), // Rule ID 12354 //
     /*  750046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750114 */     GIR_RootConstrainSelectedInstOperands,
     /*  750115 */     // GIR_Coverage, 12354,
     /*  750115 */     GIR_EraseRootFromParent_Done,
     /*  750116 */   // Label 11729: @750116
     /*  750116 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750191), // Rule ID 12355 //
     /*  750121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750189 */     GIR_RootConstrainSelectedInstOperands,
     /*  750190 */     // GIR_Coverage, 12355,
     /*  750190 */     GIR_EraseRootFromParent_Done,
     /*  750191 */   // Label 11730: @750191
     /*  750191 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(750266), // Rule ID 12358 //
     /*  750196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750264 */     GIR_RootConstrainSelectedInstOperands,
     /*  750265 */     // GIR_Coverage, 12358,
     /*  750265 */     GIR_EraseRootFromParent_Done,
     /*  750266 */   // Label 11731: @750266
     /*  750266 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(750341), // Rule ID 12359 //
     /*  750271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750317 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750339 */     GIR_RootConstrainSelectedInstOperands,
     /*  750340 */     // GIR_Coverage, 12359,
     /*  750340 */     GIR_EraseRootFromParent_Done,
     /*  750341 */   // Label 11732: @750341
     /*  750341 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750416), // Rule ID 12362 //
     /*  750346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  750395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750414 */     GIR_RootConstrainSelectedInstOperands,
     /*  750415 */     // GIR_Coverage, 12362,
     /*  750415 */     GIR_EraseRootFromParent_Done,
     /*  750416 */   // Label 11733: @750416
     /*  750416 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(750491), // Rule ID 12363 //
     /*  750421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11590:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  750470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750489 */     GIR_RootConstrainSelectedInstOperands,
     /*  750490 */     // GIR_Coverage, 12363,
     /*  750490 */     GIR_EraseRootFromParent_Done,
     /*  750491 */   // Label 11734: @750491
     /*  750491 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750566), // Rule ID 12366 //
     /*  750496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750564 */     GIR_RootConstrainSelectedInstOperands,
     /*  750565 */     // GIR_Coverage, 12366,
     /*  750565 */     GIR_EraseRootFromParent_Done,
     /*  750566 */   // Label 11735: @750566
     /*  750566 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750641), // Rule ID 12367 //
     /*  750571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  750582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  750585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11590:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750639 */     GIR_RootConstrainSelectedInstOperands,
     /*  750640 */     // GIR_Coverage, 12367,
     /*  750640 */     GIR_EraseRootFromParent_Done,
     /*  750641 */   // Label 11736: @750641
     /*  750641 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750716), // Rule ID 12370 //
     /*  750646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750714 */     GIR_RootConstrainSelectedInstOperands,
     /*  750715 */     // GIR_Coverage, 12370,
     /*  750715 */     GIR_EraseRootFromParent_Done,
     /*  750716 */   // Label 11737: @750716
     /*  750716 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(750791), // Rule ID 12371 //
     /*  750721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  750732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  750735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11590:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750789 */     GIR_RootConstrainSelectedInstOperands,
     /*  750790 */     // GIR_Coverage, 12371,
     /*  750790 */     GIR_EraseRootFromParent_Done,
     /*  750791 */   // Label 11738: @750791
     /*  750791 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(750866), // Rule ID 12374 //
     /*  750796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  750799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  750807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  750810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750864 */     GIR_RootConstrainSelectedInstOperands,
     /*  750865 */     // GIR_Coverage, 12374,
     /*  750865 */     GIR_EraseRootFromParent_Done,
     /*  750866 */   // Label 11739: @750866
     /*  750866 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(750941), // Rule ID 12375 //
     /*  750871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  750874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  750882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  750885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750917 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11590:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750939 */     GIR_RootConstrainSelectedInstOperands,
     /*  750940 */     // GIR_Coverage, 12375,
     /*  750940 */     GIR_EraseRootFromParent_Done,
     /*  750941 */   // Label 11740: @750941
     /*  750941 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(751016), // Rule ID 12378 //
     /*  750946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  750954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  750957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  750960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  750963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  750966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  750995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751014 */     GIR_RootConstrainSelectedInstOperands,
     /*  751015 */     // GIR_Coverage, 12378,
     /*  751015 */     GIR_EraseRootFromParent_Done,
     /*  751016 */   // Label 11741: @751016
     /*  751016 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(751091), // Rule ID 12379 //
     /*  751021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  751070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751089 */     GIR_RootConstrainSelectedInstOperands,
     /*  751090 */     // GIR_Coverage, 12379,
     /*  751090 */     GIR_EraseRootFromParent_Done,
     /*  751091 */   // Label 11742: @751091
     /*  751091 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751166), // Rule ID 12382 //
     /*  751096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751142 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751164 */     GIR_RootConstrainSelectedInstOperands,
     /*  751165 */     // GIR_Coverage, 12382,
     /*  751165 */     GIR_EraseRootFromParent_Done,
     /*  751166 */   // Label 11743: @751166
     /*  751166 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751241), // Rule ID 12383 //
     /*  751171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751217 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751239 */     GIR_RootConstrainSelectedInstOperands,
     /*  751240 */     // GIR_Coverage, 12383,
     /*  751240 */     GIR_EraseRootFromParent_Done,
     /*  751241 */   // Label 11744: @751241
     /*  751241 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751316), // Rule ID 12386 //
     /*  751246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  751295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751314 */     GIR_RootConstrainSelectedInstOperands,
     /*  751315 */     // GIR_Coverage, 12386,
     /*  751315 */     GIR_EraseRootFromParent_Done,
     /*  751316 */   // Label 11745: @751316
     /*  751316 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751391), // Rule ID 12387 //
     /*  751321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  751370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751389 */     GIR_RootConstrainSelectedInstOperands,
     /*  751390 */     // GIR_Coverage, 12387,
     /*  751390 */     GIR_EraseRootFromParent_Done,
     /*  751391 */   // Label 11746: @751391
     /*  751391 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(751466), // Rule ID 12390 //
     /*  751396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  751445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751464 */     GIR_RootConstrainSelectedInstOperands,
     /*  751465 */     // GIR_Coverage, 12390,
     /*  751465 */     GIR_EraseRootFromParent_Done,
     /*  751466 */   // Label 11747: @751466
     /*  751466 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751541), // Rule ID 12391 //
     /*  751471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  751491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  751520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751539 */     GIR_RootConstrainSelectedInstOperands,
     /*  751540 */     // GIR_Coverage, 12391,
     /*  751540 */     GIR_EraseRootFromParent_Done,
     /*  751541 */   // Label 11748: @751541
     /*  751541 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751616), // Rule ID 12394 //
     /*  751546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  751595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751614 */     GIR_RootConstrainSelectedInstOperands,
     /*  751615 */     // GIR_Coverage, 12394,
     /*  751615 */     GIR_EraseRootFromParent_Done,
     /*  751616 */   // Label 11749: @751616
     /*  751616 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751691), // Rule ID 12395 //
     /*  751621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  751670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751689 */     GIR_RootConstrainSelectedInstOperands,
     /*  751690 */     // GIR_Coverage, 12395,
     /*  751690 */     GIR_EraseRootFromParent_Done,
     /*  751691 */   // Label 11750: @751691
     /*  751691 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(751766), // Rule ID 12398 //
     /*  751696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  751745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751764 */     GIR_RootConstrainSelectedInstOperands,
     /*  751765 */     // GIR_Coverage, 12398,
     /*  751765 */     GIR_EraseRootFromParent_Done,
     /*  751766 */   // Label 11751: @751766
     /*  751766 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(751841), // Rule ID 12399 //
     /*  751771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751817 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  751820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751839 */     GIR_RootConstrainSelectedInstOperands,
     /*  751840 */     // GIR_Coverage, 12399,
     /*  751840 */     GIR_EraseRootFromParent_Done,
     /*  751841 */   // Label 11752: @751841
     /*  751841 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(751916), // Rule ID 12402 //
     /*  751846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  751866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751914 */     GIR_RootConstrainSelectedInstOperands,
     /*  751915 */     // GIR_Coverage, 12402,
     /*  751915 */     GIR_EraseRootFromParent_Done,
     /*  751916 */   // Label 11753: @751916
     /*  751916 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(751991), // Rule ID 12403 //
     /*  751921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  751941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751967 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751989 */     GIR_RootConstrainSelectedInstOperands,
     /*  751990 */     // GIR_Coverage, 12403,
     /*  751990 */     GIR_EraseRootFromParent_Done,
     /*  751991 */   // Label 11754: @751991
     /*  751991 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(752066), // Rule ID 12406 //
     /*  751996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752064 */     GIR_RootConstrainSelectedInstOperands,
     /*  752065 */     // GIR_Coverage, 12406,
     /*  752065 */     GIR_EraseRootFromParent_Done,
     /*  752066 */   // Label 11755: @752066
     /*  752066 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752141), // Rule ID 12407 //
     /*  752071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752139 */     GIR_RootConstrainSelectedInstOperands,
     /*  752140 */     // GIR_Coverage, 12407,
     /*  752140 */     GIR_EraseRootFromParent_Done,
     /*  752141 */   // Label 11756: @752141
     /*  752141 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752216), // Rule ID 12410 //
     /*  752146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752214 */     GIR_RootConstrainSelectedInstOperands,
     /*  752215 */     // GIR_Coverage, 12410,
     /*  752215 */     GIR_EraseRootFromParent_Done,
     /*  752216 */   // Label 11757: @752216
     /*  752216 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752291), // Rule ID 12411 //
     /*  752221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752289 */     GIR_RootConstrainSelectedInstOperands,
     /*  752290 */     // GIR_Coverage, 12411,
     /*  752290 */     GIR_EraseRootFromParent_Done,
     /*  752291 */   // Label 11758: @752291
     /*  752291 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752366), // Rule ID 12414 //
     /*  752296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  752345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752364 */     GIR_RootConstrainSelectedInstOperands,
     /*  752365 */     // GIR_Coverage, 12414,
     /*  752365 */     GIR_EraseRootFromParent_Done,
     /*  752366 */   // Label 11759: @752366
     /*  752366 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(752441), // Rule ID 12415 //
     /*  752371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  752420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752439 */     GIR_RootConstrainSelectedInstOperands,
     /*  752440 */     // GIR_Coverage, 12415,
     /*  752440 */     GIR_EraseRootFromParent_Done,
     /*  752441 */   // Label 11760: @752441
     /*  752441 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(752516), // Rule ID 12418 //
     /*  752446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  752495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752514 */     GIR_RootConstrainSelectedInstOperands,
     /*  752515 */     // GIR_Coverage, 12418,
     /*  752515 */     GIR_EraseRootFromParent_Done,
     /*  752516 */   // Label 11761: @752516
     /*  752516 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752591), // Rule ID 12419 //
     /*  752521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  752541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  752570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752589 */     GIR_RootConstrainSelectedInstOperands,
     /*  752590 */     // GIR_Coverage, 12419,
     /*  752590 */     GIR_EraseRootFromParent_Done,
     /*  752591 */   // Label 11762: @752591
     /*  752591 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752666), // Rule ID 12422 //
     /*  752596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752664 */     GIR_RootConstrainSelectedInstOperands,
     /*  752665 */     // GIR_Coverage, 12422,
     /*  752665 */     GIR_EraseRootFromParent_Done,
     /*  752666 */   // Label 11763: @752666
     /*  752666 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(752741), // Rule ID 12423 //
     /*  752671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  752688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  752691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752739 */     GIR_RootConstrainSelectedInstOperands,
     /*  752740 */     // GIR_Coverage, 12423,
     /*  752740 */     GIR_EraseRootFromParent_Done,
     /*  752741 */   // Label 11764: @752741
     /*  752741 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(752816), // Rule ID 12426 //
     /*  752746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752814 */     GIR_RootConstrainSelectedInstOperands,
     /*  752815 */     // GIR_Coverage, 12426,
     /*  752815 */     GIR_EraseRootFromParent_Done,
     /*  752816 */   // Label 11765: @752816
     /*  752816 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(752891), // Rule ID 12427 //
     /*  752821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752889 */     GIR_RootConstrainSelectedInstOperands,
     /*  752890 */     // GIR_Coverage, 12427,
     /*  752890 */     GIR_EraseRootFromParent_Done,
     /*  752891 */   // Label 11766: @752891
     /*  752891 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(752966), // Rule ID 12430 //
     /*  752896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  752899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  752916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  752945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752964 */     GIR_RootConstrainSelectedInstOperands,
     /*  752965 */     // GIR_Coverage, 12430,
     /*  752965 */     GIR_EraseRootFromParent_Done,
     /*  752966 */   // Label 11767: @752966
     /*  752966 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(753041), // Rule ID 12431 //
     /*  752971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  752974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  752991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753017 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  753020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753039 */     GIR_RootConstrainSelectedInstOperands,
     /*  753040 */     // GIR_Coverage, 12431,
     /*  753040 */     GIR_EraseRootFromParent_Done,
     /*  753041 */   // Label 11768: @753041
     /*  753041 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753116), // Rule ID 12434 //
     /*  753046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753114 */     GIR_RootConstrainSelectedInstOperands,
     /*  753115 */     // GIR_Coverage, 12434,
     /*  753115 */     GIR_EraseRootFromParent_Done,
     /*  753116 */   // Label 11769: @753116
     /*  753116 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753191), // Rule ID 12435 //
     /*  753121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753189 */     GIR_RootConstrainSelectedInstOperands,
     /*  753190 */     // GIR_Coverage, 12435,
     /*  753190 */     GIR_EraseRootFromParent_Done,
     /*  753191 */   // Label 11770: @753191
     /*  753191 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753266), // Rule ID 12438 //
     /*  753196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  753245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753264 */     GIR_RootConstrainSelectedInstOperands,
     /*  753265 */     // GIR_Coverage, 12438,
     /*  753265 */     GIR_EraseRootFromParent_Done,
     /*  753266 */   // Label 11771: @753266
     /*  753266 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(753341), // Rule ID 12439 //
     /*  753271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753317 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  753320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753339 */     GIR_RootConstrainSelectedInstOperands,
     /*  753340 */     // GIR_Coverage, 12439,
     /*  753340 */     GIR_EraseRootFromParent_Done,
     /*  753341 */   // Label 11772: @753341
     /*  753341 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(753416), // Rule ID 12442 //
     /*  753346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  753395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753414 */     GIR_RootConstrainSelectedInstOperands,
     /*  753415 */     // GIR_Coverage, 12442,
     /*  753415 */     GIR_EraseRootFromParent_Done,
     /*  753416 */   // Label 11773: @753416
     /*  753416 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(753491), // Rule ID 12443 //
     /*  753421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  753470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753489 */     GIR_RootConstrainSelectedInstOperands,
     /*  753490 */     // GIR_Coverage, 12443,
     /*  753490 */     GIR_EraseRootFromParent_Done,
     /*  753491 */   // Label 11774: @753491
     /*  753491 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753566), // Rule ID 12446 //
     /*  753496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  753545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753564 */     GIR_RootConstrainSelectedInstOperands,
     /*  753565 */     // GIR_Coverage, 12446,
     /*  753565 */     GIR_EraseRootFromParent_Done,
     /*  753566 */   // Label 11775: @753566
     /*  753566 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753641), // Rule ID 12447 //
     /*  753571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11594:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  753620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753639 */     GIR_RootConstrainSelectedInstOperands,
     /*  753640 */     // GIR_Coverage, 12447,
     /*  753640 */     GIR_EraseRootFromParent_Done,
     /*  753641 */   // Label 11776: @753641
     /*  753641 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753716), // Rule ID 12450 //
     /*  753646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  753695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753714 */     GIR_RootConstrainSelectedInstOperands,
     /*  753715 */     // GIR_Coverage, 12450,
     /*  753715 */     GIR_EraseRootFromParent_Done,
     /*  753716 */   // Label 11777: @753716
     /*  753716 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(753791), // Rule ID 12451 //
     /*  753721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753767 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  753770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753789 */     GIR_RootConstrainSelectedInstOperands,
     /*  753790 */     // GIR_Coverage, 12451,
     /*  753790 */     GIR_EraseRootFromParent_Done,
     /*  753791 */   // Label 11778: @753791
     /*  753791 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(753866), // Rule ID 12454 //
     /*  753796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  753813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  753845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753864 */     GIR_RootConstrainSelectedInstOperands,
     /*  753865 */     // GIR_Coverage, 12454,
     /*  753865 */     GIR_EraseRootFromParent_Done,
     /*  753866 */   // Label 11779: @753866
     /*  753866 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(753941), // Rule ID 12455 //
     /*  753871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  753888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  753920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753939 */     GIR_RootConstrainSelectedInstOperands,
     /*  753940 */     // GIR_Coverage, 12455,
     /*  753940 */     GIR_EraseRootFromParent_Done,
     /*  753941 */   // Label 11780: @753941
     /*  753941 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(754016), // Rule ID 12458 //
     /*  753946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  753957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  753960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  753963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  753995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754014 */     GIR_RootConstrainSelectedInstOperands,
     /*  754015 */     // GIR_Coverage, 12458,
     /*  754015 */     GIR_EraseRootFromParent_Done,
     /*  754016 */   // Label 11781: @754016
     /*  754016 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(754091), // Rule ID 12459 //
     /*  754021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754067 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754089 */     GIR_RootConstrainSelectedInstOperands,
     /*  754090 */     // GIR_Coverage, 12459,
     /*  754090 */     GIR_EraseRootFromParent_Done,
     /*  754091 */   // Label 11782: @754091
     /*  754091 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(754166), // Rule ID 12462 //
     /*  754096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754164 */     GIR_RootConstrainSelectedInstOperands,
     /*  754165 */     // GIR_Coverage, 12462,
     /*  754165 */     GIR_EraseRootFromParent_Done,
     /*  754166 */   // Label 11783: @754166
     /*  754166 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(754241), // Rule ID 12463 //
     /*  754171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754239 */     GIR_RootConstrainSelectedInstOperands,
     /*  754240 */     // GIR_Coverage, 12463,
     /*  754240 */     GIR_EraseRootFromParent_Done,
     /*  754241 */   // Label 11784: @754241
     /*  754241 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(754316), // Rule ID 12466 //
     /*  754246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754314 */     GIR_RootConstrainSelectedInstOperands,
     /*  754315 */     // GIR_Coverage, 12466,
     /*  754315 */     GIR_EraseRootFromParent_Done,
     /*  754316 */   // Label 11785: @754316
     /*  754316 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(754391), // Rule ID 12467 //
     /*  754321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11594:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754389 */     GIR_RootConstrainSelectedInstOperands,
     /*  754390 */     // GIR_Coverage, 12467,
     /*  754390 */     GIR_EraseRootFromParent_Done,
     /*  754391 */   // Label 11786: @754391
     /*  754391 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(754466), // Rule ID 12470 //
     /*  754396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  754445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754464 */     GIR_RootConstrainSelectedInstOperands,
     /*  754465 */     // GIR_Coverage, 12470,
     /*  754465 */     GIR_EraseRootFromParent_Done,
     /*  754466 */   // Label 11787: @754466
     /*  754466 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754541), // Rule ID 12471 //
     /*  754471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  754482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  754485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  754520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754539 */     GIR_RootConstrainSelectedInstOperands,
     /*  754540 */     // GIR_Coverage, 12471,
     /*  754540 */     GIR_EraseRootFromParent_Done,
     /*  754541 */   // Label 11788: @754541
     /*  754541 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754616), // Rule ID 12474 //
     /*  754546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754614 */     GIR_RootConstrainSelectedInstOperands,
     /*  754615 */     // GIR_Coverage, 12474,
     /*  754615 */     GIR_EraseRootFromParent_Done,
     /*  754616 */   // Label 11789: @754616
     /*  754616 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754691), // Rule ID 12475 //
     /*  754621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  754632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  754635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754689 */     GIR_RootConstrainSelectedInstOperands,
     /*  754690 */     // GIR_Coverage, 12475,
     /*  754690 */     GIR_EraseRootFromParent_Done,
     /*  754691 */   // Label 11790: @754691
     /*  754691 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(754766), // Rule ID 12478 //
     /*  754696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754764 */     GIR_RootConstrainSelectedInstOperands,
     /*  754765 */     // GIR_Coverage, 12478,
     /*  754765 */     GIR_EraseRootFromParent_Done,
     /*  754766 */   // Label 11791: @754766
     /*  754766 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(754841), // Rule ID 12479 //
     /*  754771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  754782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  754785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  754788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754839 */     GIR_RootConstrainSelectedInstOperands,
     /*  754840 */     // GIR_Coverage, 12479,
     /*  754840 */     GIR_EraseRootFromParent_Done,
     /*  754841 */   // Label 11792: @754841
     /*  754841 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(754916), // Rule ID 12482 //
     /*  754846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  754863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754914 */     GIR_RootConstrainSelectedInstOperands,
     /*  754915 */     // GIR_Coverage, 12482,
     /*  754915 */     GIR_EraseRootFromParent_Done,
     /*  754916 */   // Label 11793: @754916
     /*  754916 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(754991), // Rule ID 12483 //
     /*  754921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  754924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  754938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11594:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  754967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754989 */     GIR_RootConstrainSelectedInstOperands,
     /*  754990 */     // GIR_Coverage, 12483,
     /*  754990 */     GIR_EraseRootFromParent_Done,
     /*  754991 */   // Label 11794: @754991
     /*  754991 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(755066), // Rule ID 12486 //
     /*  754996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755064 */     GIR_RootConstrainSelectedInstOperands,
     /*  755065 */     // GIR_Coverage, 12486,
     /*  755065 */     GIR_EraseRootFromParent_Done,
     /*  755066 */   // Label 11795: @755066
     /*  755066 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(755141), // Rule ID 12487 //
     /*  755071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11594:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755139 */     GIR_RootConstrainSelectedInstOperands,
     /*  755140 */     // GIR_Coverage, 12487,
     /*  755140 */     GIR_EraseRootFromParent_Done,
     /*  755141 */   // Label 11796: @755141
     /*  755141 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(755216), // Rule ID 12490 //
     /*  755146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755214 */     GIR_RootConstrainSelectedInstOperands,
     /*  755215 */     // GIR_Coverage, 12490,
     /*  755215 */     GIR_EraseRootFromParent_Done,
     /*  755216 */   // Label 11797: @755216
     /*  755216 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(755291), // Rule ID 12491 //
     /*  755221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11594:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755289 */     GIR_RootConstrainSelectedInstOperands,
     /*  755290 */     // GIR_Coverage, 12491,
     /*  755290 */     GIR_EraseRootFromParent_Done,
     /*  755291 */   // Label 11798: @755291
     /*  755291 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(755366), // Rule ID 12494 //
     /*  755296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  755345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755364 */     GIR_RootConstrainSelectedInstOperands,
     /*  755365 */     // GIR_Coverage, 12494,
     /*  755365 */     GIR_EraseRootFromParent_Done,
     /*  755366 */   // Label 11799: @755366
     /*  755366 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(755441), // Rule ID 12495 //
     /*  755371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11594:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  755420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755439 */     GIR_RootConstrainSelectedInstOperands,
     /*  755440 */     // GIR_Coverage, 12495,
     /*  755440 */     GIR_EraseRootFromParent_Done,
     /*  755441 */   // Label 11800: @755441
     /*  755441 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(755516), // Rule ID 12498 //
     /*  755446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  755495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755514 */     GIR_RootConstrainSelectedInstOperands,
     /*  755515 */     // GIR_Coverage, 12498,
     /*  755515 */     GIR_EraseRootFromParent_Done,
     /*  755516 */   // Label 11801: @755516
     /*  755516 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755591), // Rule ID 12499 //
     /*  755521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  755532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  755535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  755538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  755541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755567 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  755570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755589 */     GIR_RootConstrainSelectedInstOperands,
     /*  755590 */     // GIR_Coverage, 12499,
     /*  755590 */     GIR_EraseRootFromParent_Done,
     /*  755591 */   // Label 11802: @755591
     /*  755591 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755666), // Rule ID 12502 //
     /*  755596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  755607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  755610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  755645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755664 */     GIR_RootConstrainSelectedInstOperands,
     /*  755665 */     // GIR_Coverage, 12502,
     /*  755665 */     GIR_EraseRootFromParent_Done,
     /*  755666 */   // Label 11803: @755666
     /*  755666 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(755741), // Rule ID 12503 //
     /*  755671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  755682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  755685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  755688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  755691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  755720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755739 */     GIR_RootConstrainSelectedInstOperands,
     /*  755740 */     // GIR_Coverage, 12503,
     /*  755740 */     GIR_EraseRootFromParent_Done,
     /*  755741 */   // Label 11804: @755741
     /*  755741 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(755816), // Rule ID 12506 //
     /*  755746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  755757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  755760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  755763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  755766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  755795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755814 */     GIR_RootConstrainSelectedInstOperands,
     /*  755815 */     // GIR_Coverage, 12506,
     /*  755815 */     GIR_EraseRootFromParent_Done,
     /*  755816 */   // Label 11805: @755816
     /*  755816 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(755891), // Rule ID 12507 //
     /*  755821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  755832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  755835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  755838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  755841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  755870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755889 */     GIR_RootConstrainSelectedInstOperands,
     /*  755890 */     // GIR_Coverage, 12507,
     /*  755890 */     GIR_EraseRootFromParent_Done,
     /*  755891 */   // Label 11806: @755891
     /*  755891 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(755966), // Rule ID 12510 //
     /*  755896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  755907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  755910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  755913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  755916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  755945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755964 */     GIR_RootConstrainSelectedInstOperands,
     /*  755965 */     // GIR_Coverage, 12510,
     /*  755965 */     GIR_EraseRootFromParent_Done,
     /*  755966 */   // Label 11807: @755966
     /*  755966 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(756041), // Rule ID 12511 //
     /*  755971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  755979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  755982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  755985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  755988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  755991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756039 */     GIR_RootConstrainSelectedInstOperands,
     /*  756040 */     // GIR_Coverage, 12511,
     /*  756040 */     GIR_EraseRootFromParent_Done,
     /*  756041 */   // Label 11808: @756041
     /*  756041 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(756116), // Rule ID 12514 //
     /*  756046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756114 */     GIR_RootConstrainSelectedInstOperands,
     /*  756115 */     // GIR_Coverage, 12514,
     /*  756115 */     GIR_EraseRootFromParent_Done,
     /*  756116 */   // Label 11809: @756116
     /*  756116 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(756191), // Rule ID 12515 //
     /*  756121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756189 */     GIR_RootConstrainSelectedInstOperands,
     /*  756190 */     // GIR_Coverage, 12515,
     /*  756190 */     GIR_EraseRootFromParent_Done,
     /*  756191 */   // Label 11810: @756191
     /*  756191 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(756266), // Rule ID 12518 //
     /*  756196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  756213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  756216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  756245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756264 */     GIR_RootConstrainSelectedInstOperands,
     /*  756265 */     // GIR_Coverage, 12518,
     /*  756265 */     GIR_EraseRootFromParent_Done,
     /*  756266 */   // Label 11811: @756266
     /*  756266 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(756341), // Rule ID 12519 //
     /*  756271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  756288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  756291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  756320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756339 */     GIR_RootConstrainSelectedInstOperands,
     /*  756340 */     // GIR_Coverage, 12519,
     /*  756340 */     GIR_EraseRootFromParent_Done,
     /*  756341 */   // Label 11812: @756341
     /*  756341 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(756416), // Rule ID 12522 //
     /*  756346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  756395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756414 */     GIR_RootConstrainSelectedInstOperands,
     /*  756415 */     // GIR_Coverage, 12522,
     /*  756415 */     GIR_EraseRootFromParent_Done,
     /*  756416 */   // Label 11813: @756416
     /*  756416 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(756491), // Rule ID 12523 //
     /*  756421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  756432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  756435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  756470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756489 */     GIR_RootConstrainSelectedInstOperands,
     /*  756490 */     // GIR_Coverage, 12523,
     /*  756490 */     GIR_EraseRootFromParent_Done,
     /*  756491 */   // Label 11814: @756491
     /*  756491 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756566), // Rule ID 12526 //
     /*  756496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  756545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756564 */     GIR_RootConstrainSelectedInstOperands,
     /*  756565 */     // GIR_Coverage, 12526,
     /*  756565 */     GIR_EraseRootFromParent_Done,
     /*  756566 */   // Label 11815: @756566
     /*  756566 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756641), // Rule ID 12527 //
     /*  756571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  756582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  756585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  756620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756639 */     GIR_RootConstrainSelectedInstOperands,
     /*  756640 */     // GIR_Coverage, 12527,
     /*  756640 */     GIR_EraseRootFromParent_Done,
     /*  756641 */   // Label 11816: @756641
     /*  756641 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(756716), // Rule ID 12530 //
     /*  756646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756714 */     GIR_RootConstrainSelectedInstOperands,
     /*  756715 */     // GIR_Coverage, 12530,
     /*  756715 */     GIR_EraseRootFromParent_Done,
     /*  756716 */   // Label 11817: @756716
     /*  756716 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(756791), // Rule ID 12531 //
     /*  756721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  756738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  756741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756767 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756789 */     GIR_RootConstrainSelectedInstOperands,
     /*  756790 */     // GIR_Coverage, 12531,
     /*  756790 */     GIR_EraseRootFromParent_Done,
     /*  756791 */   // Label 11818: @756791
     /*  756791 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(756866), // Rule ID 12534 //
     /*  756796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  756807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  756810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  756813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  756816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756864 */     GIR_RootConstrainSelectedInstOperands,
     /*  756865 */     // GIR_Coverage, 12534,
     /*  756865 */     GIR_EraseRootFromParent_Done,
     /*  756866 */   // Label 11819: @756866
     /*  756866 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(756941), // Rule ID 12535 //
     /*  756871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  756882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  756885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  756888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  756891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756939 */     GIR_RootConstrainSelectedInstOperands,
     /*  756940 */     // GIR_Coverage, 12535,
     /*  756940 */     GIR_EraseRootFromParent_Done,
     /*  756941 */   // Label 11820: @756941
     /*  756941 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(757016), // Rule ID 12538 //
     /*  756946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  756957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  756960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  756963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  756966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  756995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757014 */     GIR_RootConstrainSelectedInstOperands,
     /*  757015 */     // GIR_Coverage, 12538,
     /*  757015 */     GIR_EraseRootFromParent_Done,
     /*  757016 */   // Label 11821: @757016
     /*  757016 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(757091), // Rule ID 12539 //
     /*  757021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757089 */     GIR_RootConstrainSelectedInstOperands,
     /*  757090 */     // GIR_Coverage, 12539,
     /*  757090 */     GIR_EraseRootFromParent_Done,
     /*  757091 */   // Label 11822: @757091
     /*  757091 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(757166), // Rule ID 12542 //
     /*  757096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757164 */     GIR_RootConstrainSelectedInstOperands,
     /*  757165 */     // GIR_Coverage, 12542,
     /*  757165 */     GIR_EraseRootFromParent_Done,
     /*  757166 */   // Label 11823: @757166
     /*  757166 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(757241), // Rule ID 12543 //
     /*  757171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757239 */     GIR_RootConstrainSelectedInstOperands,
     /*  757240 */     // GIR_Coverage, 12543,
     /*  757240 */     GIR_EraseRootFromParent_Done,
     /*  757241 */   // Label 11824: @757241
     /*  757241 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(757316), // Rule ID 12546 //
     /*  757246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  757295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757314 */     GIR_RootConstrainSelectedInstOperands,
     /*  757315 */     // GIR_Coverage, 12546,
     /*  757315 */     GIR_EraseRootFromParent_Done,
     /*  757316 */   // Label 11825: @757316
     /*  757316 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(757391), // Rule ID 12547 //
     /*  757321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  757370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757389 */     GIR_RootConstrainSelectedInstOperands,
     /*  757390 */     // GIR_Coverage, 12547,
     /*  757390 */     GIR_EraseRootFromParent_Done,
     /*  757391 */   // Label 11826: @757391
     /*  757391 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(757466), // Rule ID 12550 //
     /*  757396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757464 */     GIR_RootConstrainSelectedInstOperands,
     /*  757465 */     // GIR_Coverage, 12550,
     /*  757465 */     GIR_EraseRootFromParent_Done,
     /*  757466 */   // Label 11827: @757466
     /*  757466 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757541), // Rule ID 12551 //
     /*  757471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  757488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  757491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757539 */     GIR_RootConstrainSelectedInstOperands,
     /*  757540 */     // GIR_Coverage, 12551,
     /*  757540 */     GIR_EraseRootFromParent_Done,
     /*  757541 */   // Label 11828: @757541
     /*  757541 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757616), // Rule ID 12554 //
     /*  757546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  757563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  757566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757614 */     GIR_RootConstrainSelectedInstOperands,
     /*  757615 */     // GIR_Coverage, 12554,
     /*  757615 */     GIR_EraseRootFromParent_Done,
     /*  757616 */   // Label 11829: @757616
     /*  757616 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(757691), // Rule ID 12555 //
     /*  757621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  757638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  757641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757689 */     GIR_RootConstrainSelectedInstOperands,
     /*  757690 */     // GIR_Coverage, 12555,
     /*  757690 */     GIR_EraseRootFromParent_Done,
     /*  757691 */   // Label 11830: @757691
     /*  757691 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(757766), // Rule ID 12558 //
     /*  757696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  757745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757764 */     GIR_RootConstrainSelectedInstOperands,
     /*  757765 */     // GIR_Coverage, 12558,
     /*  757765 */     GIR_EraseRootFromParent_Done,
     /*  757766 */   // Label 11831: @757766
     /*  757766 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(757841), // Rule ID 12559 //
     /*  757771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  757820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757839 */     GIR_RootConstrainSelectedInstOperands,
     /*  757840 */     // GIR_Coverage, 12559,
     /*  757840 */     GIR_EraseRootFromParent_Done,
     /*  757841 */   // Label 11832: @757841
     /*  757841 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(757916), // Rule ID 12562 //
     /*  757846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  757863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  757895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757914 */     GIR_RootConstrainSelectedInstOperands,
     /*  757915 */     // GIR_Coverage, 12562,
     /*  757915 */     GIR_EraseRootFromParent_Done,
     /*  757916 */   // Label 11833: @757916
     /*  757916 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(757991), // Rule ID 12563 //
     /*  757921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  757938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  757970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757989 */     GIR_RootConstrainSelectedInstOperands,
     /*  757990 */     // GIR_Coverage, 12563,
     /*  757990 */     GIR_EraseRootFromParent_Done,
     /*  757991 */   // Label 11834: @757991
     /*  757991 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(758066), // Rule ID 12566 //
     /*  757996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  758013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758064 */     GIR_RootConstrainSelectedInstOperands,
     /*  758065 */     // GIR_Coverage, 12566,
     /*  758065 */     GIR_EraseRootFromParent_Done,
     /*  758066 */   // Label 11835: @758066
     /*  758066 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(758141), // Rule ID 12567 //
     /*  758071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  758088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11592:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758139 */     GIR_RootConstrainSelectedInstOperands,
     /*  758140 */     // GIR_Coverage, 12567,
     /*  758140 */     GIR_EraseRootFromParent_Done,
     /*  758141 */   // Label 11836: @758141
     /*  758141 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(758216), // Rule ID 12570 //
     /*  758146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  758195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758214 */     GIR_RootConstrainSelectedInstOperands,
     /*  758215 */     // GIR_Coverage, 12570,
     /*  758215 */     GIR_EraseRootFromParent_Done,
     /*  758216 */   // Label 11837: @758216
     /*  758216 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(758291), // Rule ID 12571 //
     /*  758221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  758270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758289 */     GIR_RootConstrainSelectedInstOperands,
     /*  758290 */     // GIR_Coverage, 12571,
     /*  758290 */     GIR_EraseRootFromParent_Done,
     /*  758291 */   // Label 11838: @758291
     /*  758291 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(758366), // Rule ID 12574 //
     /*  758296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  758345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758364 */     GIR_RootConstrainSelectedInstOperands,
     /*  758365 */     // GIR_Coverage, 12574,
     /*  758365 */     GIR_EraseRootFromParent_Done,
     /*  758366 */   // Label 11839: @758366
     /*  758366 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(758441), // Rule ID 12575 //
     /*  758371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  758420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758439 */     GIR_RootConstrainSelectedInstOperands,
     /*  758440 */     // GIR_Coverage, 12575,
     /*  758440 */     GIR_EraseRootFromParent_Done,
     /*  758441 */   // Label 11840: @758441
     /*  758441 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(758516), // Rule ID 12578 //
     /*  758446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  758495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758514 */     GIR_RootConstrainSelectedInstOperands,
     /*  758515 */     // GIR_Coverage, 12578,
     /*  758515 */     GIR_EraseRootFromParent_Done,
     /*  758516 */   // Label 11841: @758516
     /*  758516 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758591), // Rule ID 12579 //
     /*  758521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758567 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  758570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758589 */     GIR_RootConstrainSelectedInstOperands,
     /*  758590 */     // GIR_Coverage, 12579,
     /*  758590 */     GIR_EraseRootFromParent_Done,
     /*  758591 */   // Label 11842: @758591
     /*  758591 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(758666), // Rule ID 12582 //
     /*  758596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  758607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  758610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  758613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758664 */     GIR_RootConstrainSelectedInstOperands,
     /*  758665 */     // GIR_Coverage, 12582,
     /*  758665 */     GIR_EraseRootFromParent_Done,
     /*  758666 */   // Label 11843: @758666
     /*  758666 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(758741), // Rule ID 12583 //
     /*  758671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  758682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  758685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  758688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758739 */     GIR_RootConstrainSelectedInstOperands,
     /*  758740 */     // GIR_Coverage, 12583,
     /*  758740 */     GIR_EraseRootFromParent_Done,
     /*  758741 */   // Label 11844: @758741
     /*  758741 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(758816), // Rule ID 12586 //
     /*  758746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  758763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758814 */     GIR_RootConstrainSelectedInstOperands,
     /*  758815 */     // GIR_Coverage, 12586,
     /*  758815 */     GIR_EraseRootFromParent_Done,
     /*  758816 */   // Label 11845: @758816
     /*  758816 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(758891), // Rule ID 12587 //
     /*  758821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  758838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11592:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758889 */     GIR_RootConstrainSelectedInstOperands,
     /*  758890 */     // GIR_Coverage, 12587,
     /*  758890 */     GIR_EraseRootFromParent_Done,
     /*  758891 */   // Label 11846: @758891
     /*  758891 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(758966), // Rule ID 12590 //
     /*  758896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  758945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758964 */     GIR_RootConstrainSelectedInstOperands,
     /*  758965 */     // GIR_Coverage, 12590,
     /*  758965 */     GIR_EraseRootFromParent_Done,
     /*  758966 */   // Label 11847: @758966
     /*  758966 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(759041), // Rule ID 12591 //
     /*  758971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759039 */     GIR_RootConstrainSelectedInstOperands,
     /*  759040 */     // GIR_Coverage, 12591,
     /*  759040 */     GIR_EraseRootFromParent_Done,
     /*  759041 */   // Label 11848: @759041
     /*  759041 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(759116), // Rule ID 12594 //
     /*  759046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759114 */     GIR_RootConstrainSelectedInstOperands,
     /*  759115 */     // GIR_Coverage, 12594,
     /*  759115 */     GIR_EraseRootFromParent_Done,
     /*  759116 */   // Label 11849: @759116
     /*  759116 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(759191), // Rule ID 12595 //
     /*  759121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759189 */     GIR_RootConstrainSelectedInstOperands,
     /*  759190 */     // GIR_Coverage, 12595,
     /*  759190 */     GIR_EraseRootFromParent_Done,
     /*  759191 */   // Label 11850: @759191
     /*  759191 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(759266), // Rule ID 12598 //
     /*  759196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759264 */     GIR_RootConstrainSelectedInstOperands,
     /*  759265 */     // GIR_Coverage, 12598,
     /*  759265 */     GIR_EraseRootFromParent_Done,
     /*  759266 */   // Label 11851: @759266
     /*  759266 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(759341), // Rule ID 12599 //
     /*  759271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759317 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759339 */     GIR_RootConstrainSelectedInstOperands,
     /*  759340 */     // GIR_Coverage, 12599,
     /*  759340 */     GIR_EraseRootFromParent_Done,
     /*  759341 */   // Label 11852: @759341
     /*  759341 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(759416), // Rule ID 12602 //
     /*  759346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  759349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  759357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  759360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  759395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759414 */     GIR_RootConstrainSelectedInstOperands,
     /*  759415 */     // GIR_Coverage, 12602,
     /*  759415 */     GIR_EraseRootFromParent_Done,
     /*  759416 */   // Label 11853: @759416
     /*  759416 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(759491), // Rule ID 12603 //
     /*  759421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  759424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  759432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  759435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  759438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11592:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  759470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759489 */     GIR_RootConstrainSelectedInstOperands,
     /*  759490 */     // GIR_Coverage, 12603,
     /*  759490 */     GIR_EraseRootFromParent_Done,
     /*  759491 */   // Label 11854: @759491
     /*  759491 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759566), // Rule ID 12606 //
     /*  759496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  759499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  759513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759564 */     GIR_RootConstrainSelectedInstOperands,
     /*  759565 */     // GIR_Coverage, 12606,
     /*  759565 */     GIR_EraseRootFromParent_Done,
     /*  759566 */   // Label 11855: @759566
     /*  759566 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(759641), // Rule ID 12607 //
     /*  759571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  759574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  759588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11592:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759639 */     GIR_RootConstrainSelectedInstOperands,
     /*  759640 */     // GIR_Coverage, 12607,
     /*  759640 */     GIR_EraseRootFromParent_Done,
     /*  759641 */   // Label 11856: @759641
     /*  759641 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(759716), // Rule ID 12610 //
     /*  759646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  759649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759714 */     GIR_RootConstrainSelectedInstOperands,
     /*  759715 */     // GIR_Coverage, 12610,
     /*  759715 */     GIR_EraseRootFromParent_Done,
     /*  759716 */   // Label 11857: @759716
     /*  759716 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(759791), // Rule ID 12611 //
     /*  759721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  759724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11592:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759789 */     GIR_RootConstrainSelectedInstOperands,
     /*  759790 */     // GIR_Coverage, 12611,
     /*  759790 */     GIR_EraseRootFromParent_Done,
     /*  759791 */   // Label 11858: @759791
     /*  759791 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(759866), // Rule ID 12614 //
     /*  759796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  759799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759864 */     GIR_RootConstrainSelectedInstOperands,
     /*  759865 */     // GIR_Coverage, 12614,
     /*  759865 */     GIR_EraseRootFromParent_Done,
     /*  759866 */   // Label 11859: @759866
     /*  759866 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(759941), // Rule ID 12615 //
     /*  759871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  759874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759917 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11592:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759939 */     GIR_RootConstrainSelectedInstOperands,
     /*  759940 */     // GIR_Coverage, 12615,
     /*  759940 */     GIR_EraseRootFromParent_Done,
     /*  759941 */   // Label 11860: @759941
     /*  759941 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(760019), // Rule ID 13944 //
     /*  759946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  759966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  759995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760017 */     GIR_RootConstrainSelectedInstOperands,
     /*  760018 */     // GIR_Coverage, 13944,
     /*  760018 */     GIR_EraseRootFromParent_Done,
     /*  760019 */   // Label 11861: @760019
     /*  760019 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(760097), // Rule ID 13945 //
     /*  760024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  760035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  760038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  760041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  760044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  760073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760095 */     GIR_RootConstrainSelectedInstOperands,
     /*  760096 */     // GIR_Coverage, 13945,
     /*  760096 */     GIR_EraseRootFromParent_Done,
     /*  760097 */   // Label 11862: @760097
     /*  760097 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(760175), // Rule ID 13948 //
     /*  760102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  760122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760173 */     GIR_RootConstrainSelectedInstOperands,
     /*  760174 */     // GIR_Coverage, 13948,
     /*  760174 */     GIR_EraseRootFromParent_Done,
     /*  760175 */   // Label 11863: @760175
     /*  760175 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(760253), // Rule ID 13949 //
     /*  760180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  760200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760226 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760251 */     GIR_RootConstrainSelectedInstOperands,
     /*  760252 */     // GIR_Coverage, 13949,
     /*  760252 */     GIR_EraseRootFromParent_Done,
     /*  760253 */   // Label 11864: @760253
     /*  760253 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(760331), // Rule ID 13952 //
     /*  760258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  760278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760329 */     GIR_RootConstrainSelectedInstOperands,
     /*  760330 */     // GIR_Coverage, 13952,
     /*  760330 */     GIR_EraseRootFromParent_Done,
     /*  760331 */   // Label 11865: @760331
     /*  760331 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(760409), // Rule ID 13953 //
     /*  760336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  760356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760382 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760407 */     GIR_RootConstrainSelectedInstOperands,
     /*  760408 */     // GIR_Coverage, 13953,
     /*  760408 */     GIR_EraseRootFromParent_Done,
     /*  760409 */   // Label 11866: @760409
     /*  760409 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(760487), // Rule ID 13956 //
     /*  760414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  760434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760460 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760485 */     GIR_RootConstrainSelectedInstOperands,
     /*  760486 */     // GIR_Coverage, 13956,
     /*  760486 */     GIR_EraseRootFromParent_Done,
     /*  760487 */   // Label 11867: @760487
     /*  760487 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(760565), // Rule ID 13957 //
     /*  760492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  760512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760563 */     GIR_RootConstrainSelectedInstOperands,
     /*  760564 */     // GIR_Coverage, 13957,
     /*  760564 */     GIR_EraseRootFromParent_Done,
     /*  760565 */   // Label 11868: @760565
     /*  760565 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(760643), // Rule ID 13960 //
     /*  760570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  760590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760641 */     GIR_RootConstrainSelectedInstOperands,
     /*  760642 */     // GIR_Coverage, 13960,
     /*  760642 */     GIR_EraseRootFromParent_Done,
     /*  760643 */   // Label 11869: @760643
     /*  760643 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(760721), // Rule ID 13961 //
     /*  760648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  760668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760719 */     GIR_RootConstrainSelectedInstOperands,
     /*  760720 */     // GIR_Coverage, 13961,
     /*  760720 */     GIR_EraseRootFromParent_Done,
     /*  760721 */   // Label 11870: @760721
     /*  760721 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(760799), // Rule ID 13964 //
     /*  760726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  760746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760797 */     GIR_RootConstrainSelectedInstOperands,
     /*  760798 */     // GIR_Coverage, 13964,
     /*  760798 */     GIR_EraseRootFromParent_Done,
     /*  760799 */   // Label 11871: @760799
     /*  760799 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(760877), // Rule ID 13965 //
     /*  760804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  760824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760875 */     GIR_RootConstrainSelectedInstOperands,
     /*  760876 */     // GIR_Coverage, 13965,
     /*  760876 */     GIR_EraseRootFromParent_Done,
     /*  760877 */   // Label 11872: @760877
     /*  760877 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(760955), // Rule ID 13968 //
     /*  760882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  760902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  760931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760953 */     GIR_RootConstrainSelectedInstOperands,
     /*  760954 */     // GIR_Coverage, 13968,
     /*  760954 */     GIR_EraseRootFromParent_Done,
     /*  760955 */   // Label 11873: @760955
     /*  760955 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(761033), // Rule ID 13969 //
     /*  760960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  760980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761006 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761031 */     GIR_RootConstrainSelectedInstOperands,
     /*  761032 */     // GIR_Coverage, 13969,
     /*  761032 */     GIR_EraseRootFromParent_Done,
     /*  761033 */   // Label 11874: @761033
     /*  761033 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(761111), // Rule ID 13972 //
     /*  761038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  761058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761109 */     GIR_RootConstrainSelectedInstOperands,
     /*  761110 */     // GIR_Coverage, 13972,
     /*  761110 */     GIR_EraseRootFromParent_Done,
     /*  761111 */   // Label 11875: @761111
     /*  761111 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(761189), // Rule ID 13973 //
     /*  761116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  761136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761187 */     GIR_RootConstrainSelectedInstOperands,
     /*  761188 */     // GIR_Coverage, 13973,
     /*  761188 */     GIR_EraseRootFromParent_Done,
     /*  761189 */   // Label 11876: @761189
     /*  761189 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(761267), // Rule ID 13976 //
     /*  761194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  761214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761265 */     GIR_RootConstrainSelectedInstOperands,
     /*  761266 */     // GIR_Coverage, 13976,
     /*  761266 */     GIR_EraseRootFromParent_Done,
     /*  761267 */   // Label 11877: @761267
     /*  761267 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(761345), // Rule ID 13977 //
     /*  761272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  761292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761343 */     GIR_RootConstrainSelectedInstOperands,
     /*  761344 */     // GIR_Coverage, 13977,
     /*  761344 */     GIR_EraseRootFromParent_Done,
     /*  761345 */   // Label 11878: @761345
     /*  761345 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(761423), // Rule ID 13980 //
     /*  761350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  761370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761421 */     GIR_RootConstrainSelectedInstOperands,
     /*  761422 */     // GIR_Coverage, 13980,
     /*  761422 */     GIR_EraseRootFromParent_Done,
     /*  761423 */   // Label 11879: @761423
     /*  761423 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(761501), // Rule ID 13981 //
     /*  761428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  761448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761499 */     GIR_RootConstrainSelectedInstOperands,
     /*  761500 */     // GIR_Coverage, 13981,
     /*  761500 */     GIR_EraseRootFromParent_Done,
     /*  761501 */   // Label 11880: @761501
     /*  761501 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(761579), // Rule ID 13984 //
     /*  761506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  761526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761552 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  761555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761577 */     GIR_RootConstrainSelectedInstOperands,
     /*  761578 */     // GIR_Coverage, 13984,
     /*  761578 */     GIR_EraseRootFromParent_Done,
     /*  761579 */   // Label 11881: @761579
     /*  761579 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(761657), // Rule ID 13985 //
     /*  761584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  761604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761630 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  761633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761655 */     GIR_RootConstrainSelectedInstOperands,
     /*  761656 */     // GIR_Coverage, 13985,
     /*  761656 */     GIR_EraseRootFromParent_Done,
     /*  761657 */   // Label 11882: @761657
     /*  761657 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(761735), // Rule ID 13988 //
     /*  761662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  761682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  761711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761733 */     GIR_RootConstrainSelectedInstOperands,
     /*  761734 */     // GIR_Coverage, 13988,
     /*  761734 */     GIR_EraseRootFromParent_Done,
     /*  761735 */   // Label 11883: @761735
     /*  761735 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(761813), // Rule ID 13989 //
     /*  761740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  761760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  761789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761811 */     GIR_RootConstrainSelectedInstOperands,
     /*  761812 */     // GIR_Coverage, 13989,
     /*  761812 */     GIR_EraseRootFromParent_Done,
     /*  761813 */   // Label 11884: @761813
     /*  761813 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(761891), // Rule ID 13992 //
     /*  761818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  761838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761864 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  761867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761889 */     GIR_RootConstrainSelectedInstOperands,
     /*  761890 */     // GIR_Coverage, 13992,
     /*  761890 */     GIR_EraseRootFromParent_Done,
     /*  761891 */   // Label 11885: @761891
     /*  761891 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(761969), // Rule ID 13993 //
     /*  761896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  761916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761942 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  761945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761967 */     GIR_RootConstrainSelectedInstOperands,
     /*  761968 */     // GIR_Coverage, 13993,
     /*  761968 */     GIR_EraseRootFromParent_Done,
     /*  761969 */   // Label 11886: @761969
     /*  761969 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(762047), // Rule ID 13996 //
     /*  761974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  761994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762045 */     GIR_RootConstrainSelectedInstOperands,
     /*  762046 */     // GIR_Coverage, 13996,
     /*  762046 */     GIR_EraseRootFromParent_Done,
     /*  762047 */   // Label 11887: @762047
     /*  762047 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(762125), // Rule ID 13997 //
     /*  762052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  762072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762098 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762123 */     GIR_RootConstrainSelectedInstOperands,
     /*  762124 */     // GIR_Coverage, 13997,
     /*  762124 */     GIR_EraseRootFromParent_Done,
     /*  762125 */   // Label 11888: @762125
     /*  762125 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(762203), // Rule ID 14000 //
     /*  762130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  762150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762201 */     GIR_RootConstrainSelectedInstOperands,
     /*  762202 */     // GIR_Coverage, 14000,
     /*  762202 */     GIR_EraseRootFromParent_Done,
     /*  762203 */   // Label 11889: @762203
     /*  762203 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(762281), // Rule ID 14001 //
     /*  762208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  762228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762279 */     GIR_RootConstrainSelectedInstOperands,
     /*  762280 */     // GIR_Coverage, 14001,
     /*  762280 */     GIR_EraseRootFromParent_Done,
     /*  762281 */   // Label 11890: @762281
     /*  762281 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(762359), // Rule ID 14004 //
     /*  762286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  762306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762357 */     GIR_RootConstrainSelectedInstOperands,
     /*  762358 */     // GIR_Coverage, 14004,
     /*  762358 */     GIR_EraseRootFromParent_Done,
     /*  762359 */   // Label 11891: @762359
     /*  762359 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(762437), // Rule ID 14005 //
     /*  762364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  762384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762435 */     GIR_RootConstrainSelectedInstOperands,
     /*  762436 */     // GIR_Coverage, 14005,
     /*  762436 */     GIR_EraseRootFromParent_Done,
     /*  762437 */   // Label 11892: @762437
     /*  762437 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(762515), // Rule ID 14008 //
     /*  762442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  762462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762513 */     GIR_RootConstrainSelectedInstOperands,
     /*  762514 */     // GIR_Coverage, 14008,
     /*  762514 */     GIR_EraseRootFromParent_Done,
     /*  762515 */   // Label 11893: @762515
     /*  762515 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(762593), // Rule ID 14009 //
     /*  762520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  762540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762591 */     GIR_RootConstrainSelectedInstOperands,
     /*  762592 */     // GIR_Coverage, 14009,
     /*  762592 */     GIR_EraseRootFromParent_Done,
     /*  762593 */   // Label 11894: @762593
     /*  762593 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(762671), // Rule ID 14012 //
     /*  762598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  762618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762669 */     GIR_RootConstrainSelectedInstOperands,
     /*  762670 */     // GIR_Coverage, 14012,
     /*  762670 */     GIR_EraseRootFromParent_Done,
     /*  762671 */   // Label 11895: @762671
     /*  762671 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(762749), // Rule ID 14013 //
     /*  762676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  762696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762747 */     GIR_RootConstrainSelectedInstOperands,
     /*  762748 */     // GIR_Coverage, 14013,
     /*  762748 */     GIR_EraseRootFromParent_Done,
     /*  762749 */   // Label 11896: @762749
     /*  762749 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(762827), // Rule ID 14016 //
     /*  762754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  762774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762825 */     GIR_RootConstrainSelectedInstOperands,
     /*  762826 */     // GIR_Coverage, 14016,
     /*  762826 */     GIR_EraseRootFromParent_Done,
     /*  762827 */   // Label 11897: @762827
     /*  762827 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(762905), // Rule ID 14017 //
     /*  762832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  762852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762903 */     GIR_RootConstrainSelectedInstOperands,
     /*  762904 */     // GIR_Coverage, 14017,
     /*  762904 */     GIR_EraseRootFromParent_Done,
     /*  762905 */   // Label 11898: @762905
     /*  762905 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(762983), // Rule ID 14020 //
     /*  762910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  762930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762981 */     GIR_RootConstrainSelectedInstOperands,
     /*  762982 */     // GIR_Coverage, 14020,
     /*  762982 */     GIR_EraseRootFromParent_Done,
     /*  762983 */   // Label 11899: @762983
     /*  762983 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(763061), // Rule ID 14021 //
     /*  762988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  763002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  763005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  763008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  763037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763059 */     GIR_RootConstrainSelectedInstOperands,
     /*  763060 */     // GIR_Coverage, 14021,
     /*  763060 */     GIR_EraseRootFromParent_Done,
     /*  763061 */   // Label 11900: @763061
     /*  763061 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(763139), // Rule ID 14024 //
     /*  763066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  763086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763137 */     GIR_RootConstrainSelectedInstOperands,
     /*  763138 */     // GIR_Coverage, 14024,
     /*  763138 */     GIR_EraseRootFromParent_Done,
     /*  763139 */   // Label 11901: @763139
     /*  763139 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(763217), // Rule ID 14025 //
     /*  763144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  763164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763215 */     GIR_RootConstrainSelectedInstOperands,
     /*  763216 */     // GIR_Coverage, 14025,
     /*  763216 */     GIR_EraseRootFromParent_Done,
     /*  763217 */   // Label 11902: @763217
     /*  763217 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(763295), // Rule ID 14028 //
     /*  763222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  763242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763293 */     GIR_RootConstrainSelectedInstOperands,
     /*  763294 */     // GIR_Coverage, 14028,
     /*  763294 */     GIR_EraseRootFromParent_Done,
     /*  763295 */   // Label 11903: @763295
     /*  763295 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(763373), // Rule ID 14029 //
     /*  763300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  763320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763371 */     GIR_RootConstrainSelectedInstOperands,
     /*  763372 */     // GIR_Coverage, 14029,
     /*  763372 */     GIR_EraseRootFromParent_Done,
     /*  763373 */   // Label 11904: @763373
     /*  763373 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(763451), // Rule ID 14032 //
     /*  763378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  763427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763449 */     GIR_RootConstrainSelectedInstOperands,
     /*  763450 */     // GIR_Coverage, 14032,
     /*  763450 */     GIR_EraseRootFromParent_Done,
     /*  763451 */   // Label 11905: @763451
     /*  763451 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(763529), // Rule ID 14033 //
     /*  763456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  763505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763527 */     GIR_RootConstrainSelectedInstOperands,
     /*  763528 */     // GIR_Coverage, 14033,
     /*  763528 */     GIR_EraseRootFromParent_Done,
     /*  763529 */   // Label 11906: @763529
     /*  763529 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(763607), // Rule ID 14036 //
     /*  763534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763580 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  763583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763605 */     GIR_RootConstrainSelectedInstOperands,
     /*  763606 */     // GIR_Coverage, 14036,
     /*  763606 */     GIR_EraseRootFromParent_Done,
     /*  763607 */   // Label 11907: @763607
     /*  763607 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(763685), // Rule ID 14037 //
     /*  763612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  763661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763683 */     GIR_RootConstrainSelectedInstOperands,
     /*  763684 */     // GIR_Coverage, 14037,
     /*  763684 */     GIR_EraseRootFromParent_Done,
     /*  763685 */   // Label 11908: @763685
     /*  763685 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(763763), // Rule ID 14040 //
     /*  763690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  763739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763761 */     GIR_RootConstrainSelectedInstOperands,
     /*  763762 */     // GIR_Coverage, 14040,
     /*  763762 */     GIR_EraseRootFromParent_Done,
     /*  763763 */   // Label 11909: @763763
     /*  763763 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(763841), // Rule ID 14041 //
     /*  763768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  763817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763839 */     GIR_RootConstrainSelectedInstOperands,
     /*  763840 */     // GIR_Coverage, 14041,
     /*  763840 */     GIR_EraseRootFromParent_Done,
     /*  763841 */   // Label 11910: @763841
     /*  763841 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(763919), // Rule ID 14044 //
     /*  763846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  763895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763917 */     GIR_RootConstrainSelectedInstOperands,
     /*  763918 */     // GIR_Coverage, 14044,
     /*  763918 */     GIR_EraseRootFromParent_Done,
     /*  763919 */   // Label 11911: @763919
     /*  763919 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(763997), // Rule ID 14045 //
     /*  763924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763970 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  763973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763995 */     GIR_RootConstrainSelectedInstOperands,
     /*  763996 */     // GIR_Coverage, 14045,
     /*  763996 */     GIR_EraseRootFromParent_Done,
     /*  763997 */   // Label 11912: @763997
     /*  763997 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(764075), // Rule ID 14048 //
     /*  764002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  764013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  764016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  764019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764048 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764073 */     GIR_RootConstrainSelectedInstOperands,
     /*  764074 */     // GIR_Coverage, 14048,
     /*  764074 */     GIR_EraseRootFromParent_Done,
     /*  764075 */   // Label 11913: @764075
     /*  764075 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(764153), // Rule ID 14049 //
     /*  764080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  764091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  764094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  764097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764151 */     GIR_RootConstrainSelectedInstOperands,
     /*  764152 */     // GIR_Coverage, 14049,
     /*  764152 */     GIR_EraseRootFromParent_Done,
     /*  764153 */   // Label 11914: @764153
     /*  764153 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(764231), // Rule ID 14052 //
     /*  764158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764229 */     GIR_RootConstrainSelectedInstOperands,
     /*  764230 */     // GIR_Coverage, 14052,
     /*  764230 */     GIR_EraseRootFromParent_Done,
     /*  764231 */   // Label 11915: @764231
     /*  764231 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(764309), // Rule ID 14053 //
     /*  764236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764307 */     GIR_RootConstrainSelectedInstOperands,
     /*  764308 */     // GIR_Coverage, 14053,
     /*  764308 */     GIR_EraseRootFromParent_Done,
     /*  764309 */   // Label 11916: @764309
     /*  764309 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(764387), // Rule ID 14056 //
     /*  764314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764385 */     GIR_RootConstrainSelectedInstOperands,
     /*  764386 */     // GIR_Coverage, 14056,
     /*  764386 */     GIR_EraseRootFromParent_Done,
     /*  764387 */   // Label 11917: @764387
     /*  764387 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(764465), // Rule ID 14057 //
     /*  764392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764438 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764463 */     GIR_RootConstrainSelectedInstOperands,
     /*  764464 */     // GIR_Coverage, 14057,
     /*  764464 */     GIR_EraseRootFromParent_Done,
     /*  764465 */   // Label 11918: @764465
     /*  764465 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(764543), // Rule ID 14060 //
     /*  764470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764541 */     GIR_RootConstrainSelectedInstOperands,
     /*  764542 */     // GIR_Coverage, 14060,
     /*  764542 */     GIR_EraseRootFromParent_Done,
     /*  764543 */   // Label 11919: @764543
     /*  764543 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(764621), // Rule ID 14061 //
     /*  764548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764619 */     GIR_RootConstrainSelectedInstOperands,
     /*  764620 */     // GIR_Coverage, 14061,
     /*  764620 */     GIR_EraseRootFromParent_Done,
     /*  764621 */   // Label 11920: @764621
     /*  764621 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(764699), // Rule ID 14064 //
     /*  764626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764697 */     GIR_RootConstrainSelectedInstOperands,
     /*  764698 */     // GIR_Coverage, 14064,
     /*  764698 */     GIR_EraseRootFromParent_Done,
     /*  764699 */   // Label 11921: @764699
     /*  764699 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(764777), // Rule ID 14065 //
     /*  764704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764775 */     GIR_RootConstrainSelectedInstOperands,
     /*  764776 */     // GIR_Coverage, 14065,
     /*  764776 */     GIR_EraseRootFromParent_Done,
     /*  764777 */   // Label 11922: @764777
     /*  764777 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(764855), // Rule ID 14068 //
     /*  764782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764853 */     GIR_RootConstrainSelectedInstOperands,
     /*  764854 */     // GIR_Coverage, 14068,
     /*  764854 */     GIR_EraseRootFromParent_Done,
     /*  764855 */   // Label 11923: @764855
     /*  764855 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(764933), // Rule ID 14069 //
     /*  764860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  764909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764931 */     GIR_RootConstrainSelectedInstOperands,
     /*  764932 */     // GIR_Coverage, 14069,
     /*  764932 */     GIR_EraseRootFromParent_Done,
     /*  764933 */   // Label 11924: @764933
     /*  764933 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(765011), // Rule ID 14072 //
     /*  764938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764984 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  764987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765009 */     GIR_RootConstrainSelectedInstOperands,
     /*  765010 */     // GIR_Coverage, 14072,
     /*  765010 */     GIR_EraseRootFromParent_Done,
     /*  765011 */   // Label 11925: @765011
     /*  765011 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(765089), // Rule ID 14073 //
     /*  765016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  765027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  765030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  765033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765087 */     GIR_RootConstrainSelectedInstOperands,
     /*  765088 */     // GIR_Coverage, 14073,
     /*  765088 */     GIR_EraseRootFromParent_Done,
     /*  765089 */   // Label 11926: @765089
     /*  765089 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(765167), // Rule ID 14076 //
     /*  765094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765140 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765165 */     GIR_RootConstrainSelectedInstOperands,
     /*  765166 */     // GIR_Coverage, 14076,
     /*  765166 */     GIR_EraseRootFromParent_Done,
     /*  765167 */   // Label 11927: @765167
     /*  765167 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(765245), // Rule ID 14077 //
     /*  765172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765218 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765243 */     GIR_RootConstrainSelectedInstOperands,
     /*  765244 */     // GIR_Coverage, 14077,
     /*  765244 */     GIR_EraseRootFromParent_Done,
     /*  765245 */   // Label 11928: @765245
     /*  765245 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(765323), // Rule ID 14080 //
     /*  765250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765321 */     GIR_RootConstrainSelectedInstOperands,
     /*  765322 */     // GIR_Coverage, 14080,
     /*  765322 */     GIR_EraseRootFromParent_Done,
     /*  765323 */   // Label 11929: @765323
     /*  765323 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(765401), // Rule ID 14081 //
     /*  765328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765374 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765399 */     GIR_RootConstrainSelectedInstOperands,
     /*  765400 */     // GIR_Coverage, 14081,
     /*  765400 */     GIR_EraseRootFromParent_Done,
     /*  765401 */   // Label 11930: @765401
     /*  765401 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(765479), // Rule ID 14084 //
     /*  765406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765477 */     GIR_RootConstrainSelectedInstOperands,
     /*  765478 */     // GIR_Coverage, 14084,
     /*  765478 */     GIR_EraseRootFromParent_Done,
     /*  765479 */   // Label 11931: @765479
     /*  765479 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(765557), // Rule ID 14085 //
     /*  765484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765555 */     GIR_RootConstrainSelectedInstOperands,
     /*  765556 */     // GIR_Coverage, 14085,
     /*  765556 */     GIR_EraseRootFromParent_Done,
     /*  765557 */   // Label 11932: @765557
     /*  765557 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(765635), // Rule ID 14088 //
     /*  765562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765633 */     GIR_RootConstrainSelectedInstOperands,
     /*  765634 */     // GIR_Coverage, 14088,
     /*  765634 */     GIR_EraseRootFromParent_Done,
     /*  765635 */   // Label 11933: @765635
     /*  765635 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(765713), // Rule ID 14089 //
     /*  765640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765711 */     GIR_RootConstrainSelectedInstOperands,
     /*  765712 */     // GIR_Coverage, 14089,
     /*  765712 */     GIR_EraseRootFromParent_Done,
     /*  765713 */   // Label 11934: @765713
     /*  765713 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(765791), // Rule ID 14092 //
     /*  765718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765764 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765789 */     GIR_RootConstrainSelectedInstOperands,
     /*  765790 */     // GIR_Coverage, 14092,
     /*  765790 */     GIR_EraseRootFromParent_Done,
     /*  765791 */   // Label 11935: @765791
     /*  765791 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(765869), // Rule ID 14093 //
     /*  765796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765867 */     GIR_RootConstrainSelectedInstOperands,
     /*  765868 */     // GIR_Coverage, 14093,
     /*  765868 */     GIR_EraseRootFromParent_Done,
     /*  765869 */   // Label 11936: @765869
     /*  765869 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(765947), // Rule ID 14096 //
     /*  765874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765945 */     GIR_RootConstrainSelectedInstOperands,
     /*  765946 */     // GIR_Coverage, 14096,
     /*  765946 */     GIR_EraseRootFromParent_Done,
     /*  765947 */   // Label 11937: @765947
     /*  765947 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(766025), // Rule ID 14097 //
     /*  765952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766023 */     GIR_RootConstrainSelectedInstOperands,
     /*  766024 */     // GIR_Coverage, 14097,
     /*  766024 */     GIR_EraseRootFromParent_Done,
     /*  766025 */   // Label 11938: @766025
     /*  766025 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(766103), // Rule ID 14100 //
     /*  766030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  766041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  766044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  766047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766101 */     GIR_RootConstrainSelectedInstOperands,
     /*  766102 */     // GIR_Coverage, 14100,
     /*  766102 */     GIR_EraseRootFromParent_Done,
     /*  766103 */   // Label 11939: @766103
     /*  766103 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(766181), // Rule ID 14101 //
     /*  766108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  766119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  766122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  766125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766179 */     GIR_RootConstrainSelectedInstOperands,
     /*  766180 */     // GIR_Coverage, 14101,
     /*  766180 */     GIR_EraseRootFromParent_Done,
     /*  766181 */   // Label 11940: @766181
     /*  766181 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(766259), // Rule ID 14104 //
     /*  766186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766257 */     GIR_RootConstrainSelectedInstOperands,
     /*  766258 */     // GIR_Coverage, 14104,
     /*  766258 */     GIR_EraseRootFromParent_Done,
     /*  766259 */   // Label 11941: @766259
     /*  766259 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(766337), // Rule ID 14105 //
     /*  766264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766335 */     GIR_RootConstrainSelectedInstOperands,
     /*  766336 */     // GIR_Coverage, 14105,
     /*  766336 */     GIR_EraseRootFromParent_Done,
     /*  766337 */   // Label 11942: @766337
     /*  766337 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(766415), // Rule ID 14108 //
     /*  766342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766413 */     GIR_RootConstrainSelectedInstOperands,
     /*  766414 */     // GIR_Coverage, 14108,
     /*  766414 */     GIR_EraseRootFromParent_Done,
     /*  766415 */   // Label 11943: @766415
     /*  766415 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(766493), // Rule ID 14109 //
     /*  766420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11468:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766491 */     GIR_RootConstrainSelectedInstOperands,
     /*  766492 */     // GIR_Coverage, 14109,
     /*  766492 */     GIR_EraseRootFromParent_Done,
     /*  766493 */   // Label 11944: @766493
     /*  766493 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(766571), // Rule ID 14112 //
     /*  766498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766544 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766569 */     GIR_RootConstrainSelectedInstOperands,
     /*  766570 */     // GIR_Coverage, 14112,
     /*  766570 */     GIR_EraseRootFromParent_Done,
     /*  766571 */   // Label 11945: @766571
     /*  766571 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(766649), // Rule ID 14113 //
     /*  766576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11468:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766647 */     GIR_RootConstrainSelectedInstOperands,
     /*  766648 */     // GIR_Coverage, 14113,
     /*  766648 */     GIR_EraseRootFromParent_Done,
     /*  766649 */   // Label 11946: @766649
     /*  766649 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(766727), // Rule ID 14116 //
     /*  766654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766725 */     GIR_RootConstrainSelectedInstOperands,
     /*  766726 */     // GIR_Coverage, 14116,
     /*  766726 */     GIR_EraseRootFromParent_Done,
     /*  766727 */   // Label 11947: @766727
     /*  766727 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(766805), // Rule ID 14117 //
     /*  766732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11468:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766803 */     GIR_RootConstrainSelectedInstOperands,
     /*  766804 */     // GIR_Coverage, 14117,
     /*  766804 */     GIR_EraseRootFromParent_Done,
     /*  766805 */   // Label 11948: @766805
     /*  766805 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(766883), // Rule ID 14208 //
     /*  766810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  766830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  766859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766881 */     GIR_RootConstrainSelectedInstOperands,
     /*  766882 */     // GIR_Coverage, 14208,
     /*  766882 */     GIR_EraseRootFromParent_Done,
     /*  766883 */   // Label 11949: @766883
     /*  766883 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(766961), // Rule ID 14209 //
     /*  766888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  766908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  766937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766959 */     GIR_RootConstrainSelectedInstOperands,
     /*  766960 */     // GIR_Coverage, 14209,
     /*  766960 */     GIR_EraseRootFromParent_Done,
     /*  766961 */   // Label 11950: @766961
     /*  766961 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(767039), // Rule ID 14212 //
     /*  766966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  766986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767037 */     GIR_RootConstrainSelectedInstOperands,
     /*  767038 */     // GIR_Coverage, 14212,
     /*  767038 */     GIR_EraseRootFromParent_Done,
     /*  767039 */   // Label 11951: @767039
     /*  767039 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(767117), // Rule ID 14213 //
     /*  767044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  767055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  767058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  767061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  767064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767090 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767115 */     GIR_RootConstrainSelectedInstOperands,
     /*  767116 */     // GIR_Coverage, 14213,
     /*  767116 */     GIR_EraseRootFromParent_Done,
     /*  767117 */   // Label 11952: @767117
     /*  767117 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(767195), // Rule ID 14216 //
     /*  767122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  767142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767193 */     GIR_RootConstrainSelectedInstOperands,
     /*  767194 */     // GIR_Coverage, 14216,
     /*  767194 */     GIR_EraseRootFromParent_Done,
     /*  767195 */   // Label 11953: @767195
     /*  767195 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(767273), // Rule ID 14217 //
     /*  767200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  767220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767271 */     GIR_RootConstrainSelectedInstOperands,
     /*  767272 */     // GIR_Coverage, 14217,
     /*  767272 */     GIR_EraseRootFromParent_Done,
     /*  767273 */   // Label 11954: @767273
     /*  767273 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(767351), // Rule ID 14220 //
     /*  767278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  767298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767324 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767349 */     GIR_RootConstrainSelectedInstOperands,
     /*  767350 */     // GIR_Coverage, 14220,
     /*  767350 */     GIR_EraseRootFromParent_Done,
     /*  767351 */   // Label 11955: @767351
     /*  767351 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(767429), // Rule ID 14221 //
     /*  767356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  767376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767402 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767427 */     GIR_RootConstrainSelectedInstOperands,
     /*  767428 */     // GIR_Coverage, 14221,
     /*  767428 */     GIR_EraseRootFromParent_Done,
     /*  767429 */   // Label 11956: @767429
     /*  767429 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(767507), // Rule ID 14224 //
     /*  767434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  767454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767480 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767505 */     GIR_RootConstrainSelectedInstOperands,
     /*  767506 */     // GIR_Coverage, 14224,
     /*  767506 */     GIR_EraseRootFromParent_Done,
     /*  767507 */   // Label 11957: @767507
     /*  767507 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(767585), // Rule ID 14225 //
     /*  767512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  767532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767583 */     GIR_RootConstrainSelectedInstOperands,
     /*  767584 */     // GIR_Coverage, 14225,
     /*  767584 */     GIR_EraseRootFromParent_Done,
     /*  767585 */   // Label 11958: @767585
     /*  767585 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(767663), // Rule ID 14228 //
     /*  767590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  767610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767661 */     GIR_RootConstrainSelectedInstOperands,
     /*  767662 */     // GIR_Coverage, 14228,
     /*  767662 */     GIR_EraseRootFromParent_Done,
     /*  767663 */   // Label 11959: @767663
     /*  767663 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(767741), // Rule ID 14229 //
     /*  767668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  767688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767739 */     GIR_RootConstrainSelectedInstOperands,
     /*  767740 */     // GIR_Coverage, 14229,
     /*  767740 */     GIR_EraseRootFromParent_Done,
     /*  767741 */   // Label 11960: @767741
     /*  767741 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(767819), // Rule ID 14232 //
     /*  767746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  767766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  767795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767817 */     GIR_RootConstrainSelectedInstOperands,
     /*  767818 */     // GIR_Coverage, 14232,
     /*  767818 */     GIR_EraseRootFromParent_Done,
     /*  767819 */   // Label 11961: @767819
     /*  767819 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(767897), // Rule ID 14233 //
     /*  767824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  767844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767870 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  767873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767895 */     GIR_RootConstrainSelectedInstOperands,
     /*  767896 */     // GIR_Coverage, 14233,
     /*  767896 */     GIR_EraseRootFromParent_Done,
     /*  767897 */   // Label 11962: @767897
     /*  767897 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(767975), // Rule ID 14236 //
     /*  767902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  767922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  767951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767973 */     GIR_RootConstrainSelectedInstOperands,
     /*  767974 */     // GIR_Coverage, 14236,
     /*  767974 */     GIR_EraseRootFromParent_Done,
     /*  767975 */   // Label 11963: @767975
     /*  767975 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(768053), // Rule ID 14237 //
     /*  767980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  768000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768051 */     GIR_RootConstrainSelectedInstOperands,
     /*  768052 */     // GIR_Coverage, 14237,
     /*  768052 */     GIR_EraseRootFromParent_Done,
     /*  768053 */   // Label 11964: @768053
     /*  768053 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(768131), // Rule ID 14240 //
     /*  768058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  768078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768104 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768129 */     GIR_RootConstrainSelectedInstOperands,
     /*  768130 */     // GIR_Coverage, 14240,
     /*  768130 */     GIR_EraseRootFromParent_Done,
     /*  768131 */   // Label 11965: @768131
     /*  768131 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(768209), // Rule ID 14241 //
     /*  768136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  768156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768207 */     GIR_RootConstrainSelectedInstOperands,
     /*  768208 */     // GIR_Coverage, 14241,
     /*  768208 */     GIR_EraseRootFromParent_Done,
     /*  768209 */   // Label 11966: @768209
     /*  768209 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(768287), // Rule ID 14244 //
     /*  768214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  768234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768285 */     GIR_RootConstrainSelectedInstOperands,
     /*  768286 */     // GIR_Coverage, 14244,
     /*  768286 */     GIR_EraseRootFromParent_Done,
     /*  768287 */   // Label 11967: @768287
     /*  768287 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(768365), // Rule ID 14245 //
     /*  768292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  768312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768363 */     GIR_RootConstrainSelectedInstOperands,
     /*  768364 */     // GIR_Coverage, 14245,
     /*  768364 */     GIR_EraseRootFromParent_Done,
     /*  768365 */   // Label 11968: @768365
     /*  768365 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(768443), // Rule ID 14248 //
     /*  768370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  768390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  768419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768441 */     GIR_RootConstrainSelectedInstOperands,
     /*  768442 */     // GIR_Coverage, 14248,
     /*  768442 */     GIR_EraseRootFromParent_Done,
     /*  768443 */   // Label 11969: @768443
     /*  768443 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(768521), // Rule ID 14249 //
     /*  768448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  768468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  768497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768519 */     GIR_RootConstrainSelectedInstOperands,
     /*  768520 */     // GIR_Coverage, 14249,
     /*  768520 */     GIR_EraseRootFromParent_Done,
     /*  768521 */   // Label 11970: @768521
     /*  768521 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(768599), // Rule ID 14252 //
     /*  768526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  768546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768572 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  768575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768597 */     GIR_RootConstrainSelectedInstOperands,
     /*  768598 */     // GIR_Coverage, 14252,
     /*  768598 */     GIR_EraseRootFromParent_Done,
     /*  768599 */   // Label 11971: @768599
     /*  768599 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(768677), // Rule ID 14253 //
     /*  768604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  768624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768650 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  768653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768675 */     GIR_RootConstrainSelectedInstOperands,
     /*  768676 */     // GIR_Coverage, 14253,
     /*  768676 */     GIR_EraseRootFromParent_Done,
     /*  768677 */   // Label 11972: @768677
     /*  768677 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(768755), // Rule ID 14256 //
     /*  768682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  768702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  768731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768753 */     GIR_RootConstrainSelectedInstOperands,
     /*  768754 */     // GIR_Coverage, 14256,
     /*  768754 */     GIR_EraseRootFromParent_Done,
     /*  768755 */   // Label 11973: @768755
     /*  768755 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(768833), // Rule ID 14257 //
     /*  768760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  768780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768806 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  768809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768831 */     GIR_RootConstrainSelectedInstOperands,
     /*  768832 */     // GIR_Coverage, 14257,
     /*  768832 */     GIR_EraseRootFromParent_Done,
     /*  768833 */   // Label 11974: @768833
     /*  768833 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(768911), // Rule ID 14260 //
     /*  768838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  768858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  768887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768909 */     GIR_RootConstrainSelectedInstOperands,
     /*  768910 */     // GIR_Coverage, 14260,
     /*  768910 */     GIR_EraseRootFromParent_Done,
     /*  768911 */   // Label 11975: @768911
     /*  768911 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(768989), // Rule ID 14261 //
     /*  768916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  768936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  768965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768987 */     GIR_RootConstrainSelectedInstOperands,
     /*  768988 */     // GIR_Coverage, 14261,
     /*  768988 */     GIR_EraseRootFromParent_Done,
     /*  768989 */   // Label 11976: @768989
     /*  768989 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(769067), // Rule ID 14264 //
     /*  768994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  769005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  769008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  769011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  769014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769065 */     GIR_RootConstrainSelectedInstOperands,
     /*  769066 */     // GIR_Coverage, 14264,
     /*  769066 */     GIR_EraseRootFromParent_Done,
     /*  769067 */   // Label 11977: @769067
     /*  769067 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(769145), // Rule ID 14265 //
     /*  769072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  769083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  769086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  769089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  769092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769143 */     GIR_RootConstrainSelectedInstOperands,
     /*  769144 */     // GIR_Coverage, 14265,
     /*  769144 */     GIR_EraseRootFromParent_Done,
     /*  769145 */   // Label 11978: @769145
     /*  769145 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(769223), // Rule ID 14268 //
     /*  769150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  769170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769221 */     GIR_RootConstrainSelectedInstOperands,
     /*  769222 */     // GIR_Coverage, 14268,
     /*  769222 */     GIR_EraseRootFromParent_Done,
     /*  769223 */   // Label 11979: @769223
     /*  769223 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(769301), // Rule ID 14269 //
     /*  769228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  769248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769299 */     GIR_RootConstrainSelectedInstOperands,
     /*  769300 */     // GIR_Coverage, 14269,
     /*  769300 */     GIR_EraseRootFromParent_Done,
     /*  769301 */   // Label 11980: @769301
     /*  769301 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(769379), // Rule ID 14272 //
     /*  769306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  769326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769377 */     GIR_RootConstrainSelectedInstOperands,
     /*  769378 */     // GIR_Coverage, 14272,
     /*  769378 */     GIR_EraseRootFromParent_Done,
     /*  769379 */   // Label 11981: @769379
     /*  769379 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(769457), // Rule ID 14273 //
     /*  769384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  769404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769455 */     GIR_RootConstrainSelectedInstOperands,
     /*  769456 */     // GIR_Coverage, 14273,
     /*  769456 */     GIR_EraseRootFromParent_Done,
     /*  769457 */   // Label 11982: @769457
     /*  769457 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(769535), // Rule ID 14276 //
     /*  769462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  769482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769533 */     GIR_RootConstrainSelectedInstOperands,
     /*  769534 */     // GIR_Coverage, 14276,
     /*  769534 */     GIR_EraseRootFromParent_Done,
     /*  769535 */   // Label 11983: @769535
     /*  769535 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(769613), // Rule ID 14277 //
     /*  769540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  769560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769611 */     GIR_RootConstrainSelectedInstOperands,
     /*  769612 */     // GIR_Coverage, 14277,
     /*  769612 */     GIR_EraseRootFromParent_Done,
     /*  769613 */   // Label 11984: @769613
     /*  769613 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(769691), // Rule ID 14280 //
     /*  769618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  769638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769689 */     GIR_RootConstrainSelectedInstOperands,
     /*  769690 */     // GIR_Coverage, 14280,
     /*  769690 */     GIR_EraseRootFromParent_Done,
     /*  769691 */   // Label 11985: @769691
     /*  769691 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(769769), // Rule ID 14281 //
     /*  769696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  769716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769767 */     GIR_RootConstrainSelectedInstOperands,
     /*  769768 */     // GIR_Coverage, 14281,
     /*  769768 */     GIR_EraseRootFromParent_Done,
     /*  769769 */   // Label 11986: @769769
     /*  769769 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(769847), // Rule ID 14284 //
     /*  769774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  769794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769820 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769845 */     GIR_RootConstrainSelectedInstOperands,
     /*  769846 */     // GIR_Coverage, 14284,
     /*  769846 */     GIR_EraseRootFromParent_Done,
     /*  769847 */   // Label 11987: @769847
     /*  769847 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(769925), // Rule ID 14285 //
     /*  769852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  769872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769923 */     GIR_RootConstrainSelectedInstOperands,
     /*  769924 */     // GIR_Coverage, 14285,
     /*  769924 */     GIR_EraseRootFromParent_Done,
     /*  769925 */   // Label 11988: @769925
     /*  769925 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(770003), // Rule ID 14288 //
     /*  769930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  769950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769976 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770001 */     GIR_RootConstrainSelectedInstOperands,
     /*  770002 */     // GIR_Coverage, 14288,
     /*  770002 */     GIR_EraseRootFromParent_Done,
     /*  770003 */   // Label 11989: @770003
     /*  770003 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(770081), // Rule ID 14289 //
     /*  770008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  770019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  770022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  770025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  770028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  770057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770079 */     GIR_RootConstrainSelectedInstOperands,
     /*  770080 */     // GIR_Coverage, 14289,
     /*  770080 */     GIR_EraseRootFromParent_Done,
     /*  770081 */   // Label 11990: @770081
     /*  770081 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(770159), // Rule ID 14292 //
     /*  770086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  770106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770157 */     GIR_RootConstrainSelectedInstOperands,
     /*  770158 */     // GIR_Coverage, 14292,
     /*  770158 */     GIR_EraseRootFromParent_Done,
     /*  770159 */   // Label 11991: @770159
     /*  770159 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(770237), // Rule ID 14293 //
     /*  770164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  770184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770210 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770235 */     GIR_RootConstrainSelectedInstOperands,
     /*  770236 */     // GIR_Coverage, 14293,
     /*  770236 */     GIR_EraseRootFromParent_Done,
     /*  770237 */   // Label 11992: @770237
     /*  770237 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(770315), // Rule ID 14296 //
     /*  770242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  770291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770313 */     GIR_RootConstrainSelectedInstOperands,
     /*  770314 */     // GIR_Coverage, 14296,
     /*  770314 */     GIR_EraseRootFromParent_Done,
     /*  770315 */   // Label 11993: @770315
     /*  770315 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(770393), // Rule ID 14297 //
     /*  770320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  770369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770391 */     GIR_RootConstrainSelectedInstOperands,
     /*  770392 */     // GIR_Coverage, 14297,
     /*  770392 */     GIR_EraseRootFromParent_Done,
     /*  770393 */   // Label 11994: @770393
     /*  770393 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(770471), // Rule ID 14300 //
     /*  770398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770444 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  770447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770469 */     GIR_RootConstrainSelectedInstOperands,
     /*  770470 */     // GIR_Coverage, 14300,
     /*  770470 */     GIR_EraseRootFromParent_Done,
     /*  770471 */   // Label 11995: @770471
     /*  770471 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(770549), // Rule ID 14301 //
     /*  770476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  770525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770547 */     GIR_RootConstrainSelectedInstOperands,
     /*  770548 */     // GIR_Coverage, 14301,
     /*  770548 */     GIR_EraseRootFromParent_Done,
     /*  770549 */   // Label 11996: @770549
     /*  770549 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(770627), // Rule ID 14304 //
     /*  770554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  770603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770625 */     GIR_RootConstrainSelectedInstOperands,
     /*  770626 */     // GIR_Coverage, 14304,
     /*  770626 */     GIR_EraseRootFromParent_Done,
     /*  770627 */   // Label 11997: @770627
     /*  770627 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(770705), // Rule ID 14305 //
     /*  770632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  770681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770703 */     GIR_RootConstrainSelectedInstOperands,
     /*  770704 */     // GIR_Coverage, 14305,
     /*  770704 */     GIR_EraseRootFromParent_Done,
     /*  770705 */   // Label 11998: @770705
     /*  770705 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(770783), // Rule ID 14308 //
     /*  770710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770756 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  770759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770781 */     GIR_RootConstrainSelectedInstOperands,
     /*  770782 */     // GIR_Coverage, 14308,
     /*  770782 */     GIR_EraseRootFromParent_Done,
     /*  770783 */   // Label 11999: @770783
     /*  770783 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(770861), // Rule ID 14309 //
     /*  770788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770834 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  770837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770859 */     GIR_RootConstrainSelectedInstOperands,
     /*  770860 */     // GIR_Coverage, 14309,
     /*  770860 */     GIR_EraseRootFromParent_Done,
     /*  770861 */   // Label 12000: @770861
     /*  770861 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(770939), // Rule ID 14312 //
     /*  770866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  770915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770937 */     GIR_RootConstrainSelectedInstOperands,
     /*  770938 */     // GIR_Coverage, 14312,
     /*  770938 */     GIR_EraseRootFromParent_Done,
     /*  770939 */   // Label 12001: @770939
     /*  770939 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(771017), // Rule ID 14313 //
     /*  770944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  770964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  770993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771015 */     GIR_RootConstrainSelectedInstOperands,
     /*  771016 */     // GIR_Coverage, 14313,
     /*  771016 */     GIR_EraseRootFromParent_Done,
     /*  771017 */   // Label 12002: @771017
     /*  771017 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(771095), // Rule ID 14316 //
     /*  771022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771093 */     GIR_RootConstrainSelectedInstOperands,
     /*  771094 */     // GIR_Coverage, 14316,
     /*  771094 */     GIR_EraseRootFromParent_Done,
     /*  771095 */   // Label 12003: @771095
     /*  771095 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(771173), // Rule ID 14317 //
     /*  771100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771171 */     GIR_RootConstrainSelectedInstOperands,
     /*  771172 */     // GIR_Coverage, 14317,
     /*  771172 */     GIR_EraseRootFromParent_Done,
     /*  771173 */   // Label 12004: @771173
     /*  771173 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(771251), // Rule ID 14320 //
     /*  771178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771249 */     GIR_RootConstrainSelectedInstOperands,
     /*  771250 */     // GIR_Coverage, 14320,
     /*  771250 */     GIR_EraseRootFromParent_Done,
     /*  771251 */   // Label 12005: @771251
     /*  771251 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(771329), // Rule ID 14321 //
     /*  771256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771327 */     GIR_RootConstrainSelectedInstOperands,
     /*  771328 */     // GIR_Coverage, 14321,
     /*  771328 */     GIR_EraseRootFromParent_Done,
     /*  771329 */   // Label 12006: @771329
     /*  771329 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(771407), // Rule ID 14324 //
     /*  771334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771405 */     GIR_RootConstrainSelectedInstOperands,
     /*  771406 */     // GIR_Coverage, 14324,
     /*  771406 */     GIR_EraseRootFromParent_Done,
     /*  771407 */   // Label 12007: @771407
     /*  771407 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(771485), // Rule ID 14325 //
     /*  771412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771483 */     GIR_RootConstrainSelectedInstOperands,
     /*  771484 */     // GIR_Coverage, 14325,
     /*  771484 */     GIR_EraseRootFromParent_Done,
     /*  771485 */   // Label 12008: @771485
     /*  771485 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(771563), // Rule ID 14328 //
     /*  771490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771561 */     GIR_RootConstrainSelectedInstOperands,
     /*  771562 */     // GIR_Coverage, 14328,
     /*  771562 */     GIR_EraseRootFromParent_Done,
     /*  771563 */   // Label 12009: @771563
     /*  771563 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(771641), // Rule ID 14329 //
     /*  771568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771639 */     GIR_RootConstrainSelectedInstOperands,
     /*  771640 */     // GIR_Coverage, 14329,
     /*  771640 */     GIR_EraseRootFromParent_Done,
     /*  771641 */   // Label 12010: @771641
     /*  771641 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(771719), // Rule ID 14332 //
     /*  771646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771717 */     GIR_RootConstrainSelectedInstOperands,
     /*  771718 */     // GIR_Coverage, 14332,
     /*  771718 */     GIR_EraseRootFromParent_Done,
     /*  771719 */   // Label 12011: @771719
     /*  771719 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(771797), // Rule ID 14333 //
     /*  771724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771795 */     GIR_RootConstrainSelectedInstOperands,
     /*  771796 */     // GIR_Coverage, 14333,
     /*  771796 */     GIR_EraseRootFromParent_Done,
     /*  771797 */   // Label 12012: @771797
     /*  771797 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(771875), // Rule ID 14336 //
     /*  771802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771848 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  771851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771873 */     GIR_RootConstrainSelectedInstOperands,
     /*  771874 */     // GIR_Coverage, 14336,
     /*  771874 */     GIR_EraseRootFromParent_Done,
     /*  771875 */   // Label 12013: @771875
     /*  771875 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(771953), // Rule ID 14337 //
     /*  771880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  771929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771951 */     GIR_RootConstrainSelectedInstOperands,
     /*  771952 */     // GIR_Coverage, 14337,
     /*  771952 */     GIR_EraseRootFromParent_Done,
     /*  771953 */   // Label 12014: @771953
     /*  771953 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(772031), // Rule ID 14340 //
     /*  771958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772004 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772029 */     GIR_RootConstrainSelectedInstOperands,
     /*  772030 */     // GIR_Coverage, 14340,
     /*  772030 */     GIR_EraseRootFromParent_Done,
     /*  772031 */   // Label 12015: @772031
     /*  772031 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772109), // Rule ID 14341 //
     /*  772036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  772047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  772050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  772053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772107 */     GIR_RootConstrainSelectedInstOperands,
     /*  772108 */     // GIR_Coverage, 14341,
     /*  772108 */     GIR_EraseRootFromParent_Done,
     /*  772109 */   // Label 12016: @772109
     /*  772109 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(772187), // Rule ID 14344 //
     /*  772114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772160 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772185 */     GIR_RootConstrainSelectedInstOperands,
     /*  772186 */     // GIR_Coverage, 14344,
     /*  772186 */     GIR_EraseRootFromParent_Done,
     /*  772187 */   // Label 12017: @772187
     /*  772187 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(772265), // Rule ID 14345 //
     /*  772192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772238 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772263 */     GIR_RootConstrainSelectedInstOperands,
     /*  772264 */     // GIR_Coverage, 14345,
     /*  772264 */     GIR_EraseRootFromParent_Done,
     /*  772265 */   // Label 12018: @772265
     /*  772265 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(772343), // Rule ID 14348 //
     /*  772270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772341 */     GIR_RootConstrainSelectedInstOperands,
     /*  772342 */     // GIR_Coverage, 14348,
     /*  772342 */     GIR_EraseRootFromParent_Done,
     /*  772343 */   // Label 12019: @772343
     /*  772343 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(772421), // Rule ID 14349 //
     /*  772348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772419 */     GIR_RootConstrainSelectedInstOperands,
     /*  772420 */     // GIR_Coverage, 14349,
     /*  772420 */     GIR_EraseRootFromParent_Done,
     /*  772421 */   // Label 12020: @772421
     /*  772421 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(772499), // Rule ID 14352 //
     /*  772426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772497 */     GIR_RootConstrainSelectedInstOperands,
     /*  772498 */     // GIR_Coverage, 14352,
     /*  772498 */     GIR_EraseRootFromParent_Done,
     /*  772499 */   // Label 12021: @772499
     /*  772499 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(772577), // Rule ID 14353 //
     /*  772504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772575 */     GIR_RootConstrainSelectedInstOperands,
     /*  772576 */     // GIR_Coverage, 14353,
     /*  772576 */     GIR_EraseRootFromParent_Done,
     /*  772577 */   // Label 12022: @772577
     /*  772577 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(772655), // Rule ID 14356 //
     /*  772582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772653 */     GIR_RootConstrainSelectedInstOperands,
     /*  772654 */     // GIR_Coverage, 14356,
     /*  772654 */     GIR_EraseRootFromParent_Done,
     /*  772655 */   // Label 12023: @772655
     /*  772655 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(772733), // Rule ID 14357 //
     /*  772660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772731 */     GIR_RootConstrainSelectedInstOperands,
     /*  772732 */     // GIR_Coverage, 14357,
     /*  772732 */     GIR_EraseRootFromParent_Done,
     /*  772733 */   // Label 12024: @772733
     /*  772733 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(772811), // Rule ID 14360 //
     /*  772738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772809 */     GIR_RootConstrainSelectedInstOperands,
     /*  772810 */     // GIR_Coverage, 14360,
     /*  772810 */     GIR_EraseRootFromParent_Done,
     /*  772811 */   // Label 12025: @772811
     /*  772811 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(772889), // Rule ID 14361 //
     /*  772816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772862 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772887 */     GIR_RootConstrainSelectedInstOperands,
     /*  772888 */     // GIR_Coverage, 14361,
     /*  772888 */     GIR_EraseRootFromParent_Done,
     /*  772889 */   // Label 12026: @772889
     /*  772889 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(772967), // Rule ID 14364 //
     /*  772894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772940 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772965 */     GIR_RootConstrainSelectedInstOperands,
     /*  772966 */     // GIR_Coverage, 14364,
     /*  772966 */     GIR_EraseRootFromParent_Done,
     /*  772967 */   // Label 12027: @772967
     /*  772967 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(773045), // Rule ID 14365 //
     /*  772972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773043 */     GIR_RootConstrainSelectedInstOperands,
     /*  773044 */     // GIR_Coverage, 14365,
     /*  773044 */     GIR_EraseRootFromParent_Done,
     /*  773045 */   // Label 12028: @773045
     /*  773045 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773123), // Rule ID 14368 //
     /*  773050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773121 */     GIR_RootConstrainSelectedInstOperands,
     /*  773122 */     // GIR_Coverage, 14368,
     /*  773122 */     GIR_EraseRootFromParent_Done,
     /*  773123 */   // Label 12029: @773123
     /*  773123 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773201), // Rule ID 14369 //
     /*  773128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773199 */     GIR_RootConstrainSelectedInstOperands,
     /*  773200 */     // GIR_Coverage, 14369,
     /*  773200 */     GIR_EraseRootFromParent_Done,
     /*  773201 */   // Label 12030: @773201
     /*  773201 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(773279), // Rule ID 14372 //
     /*  773206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773277 */     GIR_RootConstrainSelectedInstOperands,
     /*  773278 */     // GIR_Coverage, 14372,
     /*  773278 */     GIR_EraseRootFromParent_Done,
     /*  773279 */   // Label 12031: @773279
     /*  773279 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(773357), // Rule ID 14373 //
     /*  773284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11466:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773355 */     GIR_RootConstrainSelectedInstOperands,
     /*  773356 */     // GIR_Coverage, 14373,
     /*  773356 */     GIR_EraseRootFromParent_Done,
     /*  773357 */   // Label 12032: @773357
     /*  773357 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(773435), // Rule ID 14376 //
     /*  773362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773433 */     GIR_RootConstrainSelectedInstOperands,
     /*  773434 */     // GIR_Coverage, 14376,
     /*  773434 */     GIR_EraseRootFromParent_Done,
     /*  773435 */   // Label 12033: @773435
     /*  773435 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(773513), // Rule ID 14377 //
     /*  773440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11466:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773511 */     GIR_RootConstrainSelectedInstOperands,
     /*  773512 */     // GIR_Coverage, 14377,
     /*  773512 */     GIR_EraseRootFromParent_Done,
     /*  773513 */   // Label 12034: @773513
     /*  773513 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(773591), // Rule ID 14380 //
     /*  773518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773589 */     GIR_RootConstrainSelectedInstOperands,
     /*  773590 */     // GIR_Coverage, 14380,
     /*  773590 */     GIR_EraseRootFromParent_Done,
     /*  773591 */   // Label 12035: @773591
     /*  773591 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(773669), // Rule ID 14381 //
     /*  773596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773642 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11466:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773667 */     GIR_RootConstrainSelectedInstOperands,
     /*  773668 */     // GIR_Coverage, 14381,
     /*  773668 */     GIR_EraseRootFromParent_Done,
     /*  773669 */   // Label 12036: @773669
     /*  773669 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(773747), // Rule ID 14472 //
     /*  773674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  773694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  773723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773745 */     GIR_RootConstrainSelectedInstOperands,
     /*  773746 */     // GIR_Coverage, 14472,
     /*  773746 */     GIR_EraseRootFromParent_Done,
     /*  773747 */   // Label 12037: @773747
     /*  773747 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(773825), // Rule ID 14473 //
     /*  773752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  773772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  773801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773823 */     GIR_RootConstrainSelectedInstOperands,
     /*  773824 */     // GIR_Coverage, 14473,
     /*  773824 */     GIR_EraseRootFromParent_Done,
     /*  773825 */   // Label 12038: @773825
     /*  773825 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(773903), // Rule ID 14476 //
     /*  773830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  773850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  773879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773901 */     GIR_RootConstrainSelectedInstOperands,
     /*  773902 */     // GIR_Coverage, 14476,
     /*  773902 */     GIR_EraseRootFromParent_Done,
     /*  773903 */   // Label 12039: @773903
     /*  773903 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(773981), // Rule ID 14477 //
     /*  773908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  773928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  773957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773979 */     GIR_RootConstrainSelectedInstOperands,
     /*  773980 */     // GIR_Coverage, 14477,
     /*  773980 */     GIR_EraseRootFromParent_Done,
     /*  773981 */   // Label 12040: @773981
     /*  773981 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(774059), // Rule ID 14480 //
     /*  773986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  774000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  774003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  774006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774057 */     GIR_RootConstrainSelectedInstOperands,
     /*  774058 */     // GIR_Coverage, 14480,
     /*  774058 */     GIR_EraseRootFromParent_Done,
     /*  774059 */   // Label 12041: @774059
     /*  774059 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774137), // Rule ID 14481 //
     /*  774064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  774075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  774078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  774081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  774084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774110 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774135 */     GIR_RootConstrainSelectedInstOperands,
     /*  774136 */     // GIR_Coverage, 14481,
     /*  774136 */     GIR_EraseRootFromParent_Done,
     /*  774137 */   // Label 12042: @774137
     /*  774137 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774215), // Rule ID 14484 //
     /*  774142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774213 */     GIR_RootConstrainSelectedInstOperands,
     /*  774214 */     // GIR_Coverage, 14484,
     /*  774214 */     GIR_EraseRootFromParent_Done,
     /*  774215 */   // Label 12043: @774215
     /*  774215 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(774293), // Rule ID 14485 //
     /*  774220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774291 */     GIR_RootConstrainSelectedInstOperands,
     /*  774292 */     // GIR_Coverage, 14485,
     /*  774292 */     GIR_EraseRootFromParent_Done,
     /*  774293 */   // Label 12044: @774293
     /*  774293 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(774371), // Rule ID 14488 //
     /*  774298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774369 */     GIR_RootConstrainSelectedInstOperands,
     /*  774370 */     // GIR_Coverage, 14488,
     /*  774370 */     GIR_EraseRootFromParent_Done,
     /*  774371 */   // Label 12045: @774371
     /*  774371 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(774449), // Rule ID 14489 //
     /*  774376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774422 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774447 */     GIR_RootConstrainSelectedInstOperands,
     /*  774448 */     // GIR_Coverage, 14489,
     /*  774448 */     GIR_EraseRootFromParent_Done,
     /*  774449 */   // Label 12046: @774449
     /*  774449 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(774527), // Rule ID 14492 //
     /*  774454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  774474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774500 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774525 */     GIR_RootConstrainSelectedInstOperands,
     /*  774526 */     // GIR_Coverage, 14492,
     /*  774526 */     GIR_EraseRootFromParent_Done,
     /*  774527 */   // Label 12047: @774527
     /*  774527 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(774605), // Rule ID 14493 //
     /*  774532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  774552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774603 */     GIR_RootConstrainSelectedInstOperands,
     /*  774604 */     // GIR_Coverage, 14493,
     /*  774604 */     GIR_EraseRootFromParent_Done,
     /*  774605 */   // Label 12048: @774605
     /*  774605 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(774683), // Rule ID 14496 //
     /*  774610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  774630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  774659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774681 */     GIR_RootConstrainSelectedInstOperands,
     /*  774682 */     // GIR_Coverage, 14496,
     /*  774682 */     GIR_EraseRootFromParent_Done,
     /*  774683 */   // Label 12049: @774683
     /*  774683 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(774761), // Rule ID 14497 //
     /*  774688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  774708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  774737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774759 */     GIR_RootConstrainSelectedInstOperands,
     /*  774760 */     // GIR_Coverage, 14497,
     /*  774760 */     GIR_EraseRootFromParent_Done,
     /*  774761 */   // Label 12050: @774761
     /*  774761 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(774839), // Rule ID 14500 //
     /*  774766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  774786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  774815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774837 */     GIR_RootConstrainSelectedInstOperands,
     /*  774838 */     // GIR_Coverage, 14500,
     /*  774838 */     GIR_EraseRootFromParent_Done,
     /*  774839 */   // Label 12051: @774839
     /*  774839 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(774917), // Rule ID 14501 //
     /*  774844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  774864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  774893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774915 */     GIR_RootConstrainSelectedInstOperands,
     /*  774916 */     // GIR_Coverage, 14501,
     /*  774916 */     GIR_EraseRootFromParent_Done,
     /*  774917 */   // Label 12052: @774917
     /*  774917 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(774995), // Rule ID 14504 //
     /*  774922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  774942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  774971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774993 */     GIR_RootConstrainSelectedInstOperands,
     /*  774994 */     // GIR_Coverage, 14504,
     /*  774994 */     GIR_EraseRootFromParent_Done,
     /*  774995 */   // Label 12053: @774995
     /*  774995 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(775073), // Rule ID 14505 //
     /*  775000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  775011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  775014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  775017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  775020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775071 */     GIR_RootConstrainSelectedInstOperands,
     /*  775072 */     // GIR_Coverage, 14505,
     /*  775072 */     GIR_EraseRootFromParent_Done,
     /*  775073 */   // Label 12054: @775073
     /*  775073 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775151), // Rule ID 14508 //
     /*  775078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  775098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775124 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775149 */     GIR_RootConstrainSelectedInstOperands,
     /*  775150 */     // GIR_Coverage, 14508,
     /*  775150 */     GIR_EraseRootFromParent_Done,
     /*  775151 */   // Label 12055: @775151
     /*  775151 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775229), // Rule ID 14509 //
     /*  775156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  775176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775227 */     GIR_RootConstrainSelectedInstOperands,
     /*  775228 */     // GIR_Coverage, 14509,
     /*  775228 */     GIR_EraseRootFromParent_Done,
     /*  775229 */   // Label 12056: @775229
     /*  775229 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(775307), // Rule ID 14512 //
     /*  775234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  775254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775280 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775305 */     GIR_RootConstrainSelectedInstOperands,
     /*  775306 */     // GIR_Coverage, 14512,
     /*  775306 */     GIR_EraseRootFromParent_Done,
     /*  775307 */   // Label 12057: @775307
     /*  775307 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(775385), // Rule ID 14513 //
     /*  775312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  775332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775383 */     GIR_RootConstrainSelectedInstOperands,
     /*  775384 */     // GIR_Coverage, 14513,
     /*  775384 */     GIR_EraseRootFromParent_Done,
     /*  775385 */   // Label 12058: @775385
     /*  775385 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(775463), // Rule ID 14516 //
     /*  775390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  775410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  775439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775461 */     GIR_RootConstrainSelectedInstOperands,
     /*  775462 */     // GIR_Coverage, 14516,
     /*  775462 */     GIR_EraseRootFromParent_Done,
     /*  775463 */   // Label 12059: @775463
     /*  775463 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(775541), // Rule ID 14517 //
     /*  775468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  775488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775514 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  775517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775539 */     GIR_RootConstrainSelectedInstOperands,
     /*  775540 */     // GIR_Coverage, 14517,
     /*  775540 */     GIR_EraseRootFromParent_Done,
     /*  775541 */   // Label 12060: @775541
     /*  775541 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(775619), // Rule ID 14520 //
     /*  775546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  775566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  775595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775617 */     GIR_RootConstrainSelectedInstOperands,
     /*  775618 */     // GIR_Coverage, 14520,
     /*  775618 */     GIR_EraseRootFromParent_Done,
     /*  775619 */   // Label 12061: @775619
     /*  775619 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(775697), // Rule ID 14521 //
     /*  775624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  775644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775670 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  775673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775695 */     GIR_RootConstrainSelectedInstOperands,
     /*  775696 */     // GIR_Coverage, 14521,
     /*  775696 */     GIR_EraseRootFromParent_Done,
     /*  775697 */   // Label 12062: @775697
     /*  775697 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(775775), // Rule ID 14524 //
     /*  775702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  775722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775773 */     GIR_RootConstrainSelectedInstOperands,
     /*  775774 */     // GIR_Coverage, 14524,
     /*  775774 */     GIR_EraseRootFromParent_Done,
     /*  775775 */   // Label 12063: @775775
     /*  775775 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(775853), // Rule ID 14525 //
     /*  775780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  775800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775851 */     GIR_RootConstrainSelectedInstOperands,
     /*  775852 */     // GIR_Coverage, 14525,
     /*  775852 */     GIR_EraseRootFromParent_Done,
     /*  775853 */   // Label 12064: @775853
     /*  775853 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(775931), // Rule ID 14528 //
     /*  775858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  775878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  775907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775929 */     GIR_RootConstrainSelectedInstOperands,
     /*  775930 */     // GIR_Coverage, 14528,
     /*  775930 */     GIR_EraseRootFromParent_Done,
     /*  775931 */   // Label 12065: @775931
     /*  775931 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(776009), // Rule ID 14529 //
     /*  775936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  775956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  775985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776007 */     GIR_RootConstrainSelectedInstOperands,
     /*  776008 */     // GIR_Coverage, 14529,
     /*  776008 */     GIR_EraseRootFromParent_Done,
     /*  776009 */   // Label 12066: @776009
     /*  776009 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(776087), // Rule ID 14532 //
     /*  776014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776060 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776085 */     GIR_RootConstrainSelectedInstOperands,
     /*  776086 */     // GIR_Coverage, 14532,
     /*  776086 */     GIR_EraseRootFromParent_Done,
     /*  776087 */   // Label 12067: @776087
     /*  776087 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776165), // Rule ID 14533 //
     /*  776092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776163 */     GIR_RootConstrainSelectedInstOperands,
     /*  776164 */     // GIR_Coverage, 14533,
     /*  776164 */     GIR_EraseRootFromParent_Done,
     /*  776165 */   // Label 12068: @776165
     /*  776165 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776243), // Rule ID 14536 //
     /*  776170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  776190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776241 */     GIR_RootConstrainSelectedInstOperands,
     /*  776242 */     // GIR_Coverage, 14536,
     /*  776242 */     GIR_EraseRootFromParent_Done,
     /*  776243 */   // Label 12069: @776243
     /*  776243 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776321), // Rule ID 14537 //
     /*  776248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  776268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776319 */     GIR_RootConstrainSelectedInstOperands,
     /*  776320 */     // GIR_Coverage, 14537,
     /*  776320 */     GIR_EraseRootFromParent_Done,
     /*  776321 */   // Label 12070: @776321
     /*  776321 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(776399), // Rule ID 14540 //
     /*  776326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  776346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776397 */     GIR_RootConstrainSelectedInstOperands,
     /*  776398 */     // GIR_Coverage, 14540,
     /*  776398 */     GIR_EraseRootFromParent_Done,
     /*  776399 */   // Label 12071: @776399
     /*  776399 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(776477), // Rule ID 14541 //
     /*  776404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  776424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776475 */     GIR_RootConstrainSelectedInstOperands,
     /*  776476 */     // GIR_Coverage, 14541,
     /*  776476 */     GIR_EraseRootFromParent_Done,
     /*  776477 */   // Label 12072: @776477
     /*  776477 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(776555), // Rule ID 14544 //
     /*  776482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  776502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776553 */     GIR_RootConstrainSelectedInstOperands,
     /*  776554 */     // GIR_Coverage, 14544,
     /*  776554 */     GIR_EraseRootFromParent_Done,
     /*  776555 */   // Label 12073: @776555
     /*  776555 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(776633), // Rule ID 14545 //
     /*  776560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  776580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776631 */     GIR_RootConstrainSelectedInstOperands,
     /*  776632 */     // GIR_Coverage, 14545,
     /*  776632 */     GIR_EraseRootFromParent_Done,
     /*  776633 */   // Label 12074: @776633
     /*  776633 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(776711), // Rule ID 14548 //
     /*  776638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  776658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776709 */     GIR_RootConstrainSelectedInstOperands,
     /*  776710 */     // GIR_Coverage, 14548,
     /*  776710 */     GIR_EraseRootFromParent_Done,
     /*  776711 */   // Label 12075: @776711
     /*  776711 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(776789), // Rule ID 14549 //
     /*  776716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  776736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776787 */     GIR_RootConstrainSelectedInstOperands,
     /*  776788 */     // GIR_Coverage, 14549,
     /*  776788 */     GIR_EraseRootFromParent_Done,
     /*  776789 */   // Label 12076: @776789
     /*  776789 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(776867), // Rule ID 14552 //
     /*  776794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  776814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776840 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776865 */     GIR_RootConstrainSelectedInstOperands,
     /*  776866 */     // GIR_Coverage, 14552,
     /*  776866 */     GIR_EraseRootFromParent_Done,
     /*  776867 */   // Label 12077: @776867
     /*  776867 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(776945), // Rule ID 14553 //
     /*  776872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  776892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776943 */     GIR_RootConstrainSelectedInstOperands,
     /*  776944 */     // GIR_Coverage, 14553,
     /*  776944 */     GIR_EraseRootFromParent_Done,
     /*  776945 */   // Label 12078: @776945
     /*  776945 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(777023), // Rule ID 14556 //
     /*  776950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  776970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777021 */     GIR_RootConstrainSelectedInstOperands,
     /*  777022 */     // GIR_Coverage, 14556,
     /*  777022 */     GIR_EraseRootFromParent_Done,
     /*  777023 */   // Label 12079: @777023
     /*  777023 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(777101), // Rule ID 14557 //
     /*  777028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  777039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  777042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  777045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  777048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  777077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777099 */     GIR_RootConstrainSelectedInstOperands,
     /*  777100 */     // GIR_Coverage, 14557,
     /*  777100 */     GIR_EraseRootFromParent_Done,
     /*  777101 */   // Label 12080: @777101
     /*  777101 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777179), // Rule ID 14560 //
     /*  777106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777152 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  777155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777177 */     GIR_RootConstrainSelectedInstOperands,
     /*  777178 */     // GIR_Coverage, 14560,
     /*  777178 */     GIR_EraseRootFromParent_Done,
     /*  777179 */   // Label 12081: @777179
     /*  777179 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777257), // Rule ID 14561 //
     /*  777184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  777233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777255 */     GIR_RootConstrainSelectedInstOperands,
     /*  777256 */     // GIR_Coverage, 14561,
     /*  777256 */     GIR_EraseRootFromParent_Done,
     /*  777257 */   // Label 12082: @777257
     /*  777257 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777335), // Rule ID 14564 //
     /*  777262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  777273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  777276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  777279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777333 */     GIR_RootConstrainSelectedInstOperands,
     /*  777334 */     // GIR_Coverage, 14564,
     /*  777334 */     GIR_EraseRootFromParent_Done,
     /*  777335 */   // Label 12083: @777335
     /*  777335 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(777413), // Rule ID 14565 //
     /*  777340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  777351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  777354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  777357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777411 */     GIR_RootConstrainSelectedInstOperands,
     /*  777412 */     // GIR_Coverage, 14565,
     /*  777412 */     GIR_EraseRootFromParent_Done,
     /*  777413 */   // Label 12084: @777413
     /*  777413 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(777491), // Rule ID 14568 //
     /*  777418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  777429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  777432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  777435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777489 */     GIR_RootConstrainSelectedInstOperands,
     /*  777490 */     // GIR_Coverage, 14568,
     /*  777490 */     GIR_EraseRootFromParent_Done,
     /*  777491 */   // Label 12085: @777491
     /*  777491 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(777569), // Rule ID 14569 //
     /*  777496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  777507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  777510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  777513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777542 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777567 */     GIR_RootConstrainSelectedInstOperands,
     /*  777568 */     // GIR_Coverage, 14569,
     /*  777568 */     GIR_EraseRootFromParent_Done,
     /*  777569 */   // Label 12086: @777569
     /*  777569 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(777647), // Rule ID 14572 //
     /*  777574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  777585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  777588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  777591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777620 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777645 */     GIR_RootConstrainSelectedInstOperands,
     /*  777646 */     // GIR_Coverage, 14572,
     /*  777646 */     GIR_EraseRootFromParent_Done,
     /*  777647 */   // Label 12087: @777647
     /*  777647 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(777725), // Rule ID 14573 //
     /*  777652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  777663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  777666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  777669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777723 */     GIR_RootConstrainSelectedInstOperands,
     /*  777724 */     // GIR_Coverage, 14573,
     /*  777724 */     GIR_EraseRootFromParent_Done,
     /*  777725 */   // Label 12088: @777725
     /*  777725 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(777803), // Rule ID 14576 //
     /*  777730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777801 */     GIR_RootConstrainSelectedInstOperands,
     /*  777802 */     // GIR_Coverage, 14576,
     /*  777802 */     GIR_EraseRootFromParent_Done,
     /*  777803 */   // Label 12089: @777803
     /*  777803 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(777881), // Rule ID 14577 //
     /*  777808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777879 */     GIR_RootConstrainSelectedInstOperands,
     /*  777880 */     // GIR_Coverage, 14577,
     /*  777880 */     GIR_EraseRootFromParent_Done,
     /*  777881 */   // Label 12090: @777881
     /*  777881 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(777959), // Rule ID 14580 //
     /*  777886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  777935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777957 */     GIR_RootConstrainSelectedInstOperands,
     /*  777958 */     // GIR_Coverage, 14580,
     /*  777958 */     GIR_EraseRootFromParent_Done,
     /*  777959 */   // Label 12091: @777959
     /*  777959 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(778037), // Rule ID 14581 //
     /*  777964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778035 */     GIR_RootConstrainSelectedInstOperands,
     /*  778036 */     // GIR_Coverage, 14581,
     /*  778036 */     GIR_EraseRootFromParent_Done,
     /*  778037 */   // Label 12092: @778037
     /*  778037 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778115), // Rule ID 14584 //
     /*  778042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  778053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  778056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778113 */     GIR_RootConstrainSelectedInstOperands,
     /*  778114 */     // GIR_Coverage, 14584,
     /*  778114 */     GIR_EraseRootFromParent_Done,
     /*  778115 */   // Label 12093: @778115
     /*  778115 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778193), // Rule ID 14585 //
     /*  778120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  778131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  778134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778166 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778191 */     GIR_RootConstrainSelectedInstOperands,
     /*  778192 */     // GIR_Coverage, 14585,
     /*  778192 */     GIR_EraseRootFromParent_Done,
     /*  778193 */   // Label 12094: @778193
     /*  778193 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778271), // Rule ID 14588 //
     /*  778198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778269 */     GIR_RootConstrainSelectedInstOperands,
     /*  778270 */     // GIR_Coverage, 14588,
     /*  778270 */     GIR_EraseRootFromParent_Done,
     /*  778271 */   // Label 12095: @778271
     /*  778271 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778349), // Rule ID 14589 //
     /*  778276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778347 */     GIR_RootConstrainSelectedInstOperands,
     /*  778348 */     // GIR_Coverage, 14589,
     /*  778348 */     GIR_EraseRootFromParent_Done,
     /*  778349 */   // Label 12096: @778349
     /*  778349 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(778427), // Rule ID 14592 //
     /*  778354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778425 */     GIR_RootConstrainSelectedInstOperands,
     /*  778426 */     // GIR_Coverage, 14592,
     /*  778426 */     GIR_EraseRootFromParent_Done,
     /*  778427 */   // Label 12097: @778427
     /*  778427 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(778505), // Rule ID 14593 //
     /*  778432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778503 */     GIR_RootConstrainSelectedInstOperands,
     /*  778504 */     // GIR_Coverage, 14593,
     /*  778504 */     GIR_EraseRootFromParent_Done,
     /*  778505 */   // Label 12098: @778505
     /*  778505 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(778583), // Rule ID 14596 //
     /*  778510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  778513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778581 */     GIR_RootConstrainSelectedInstOperands,
     /*  778582 */     // GIR_Coverage, 14596,
     /*  778582 */     GIR_EraseRootFromParent_Done,
     /*  778583 */   // Label 12099: @778583
     /*  778583 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(778661), // Rule ID 14597 //
     /*  778588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  778591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778659 */     GIR_RootConstrainSelectedInstOperands,
     /*  778660 */     // GIR_Coverage, 14597,
     /*  778660 */     GIR_EraseRootFromParent_Done,
     /*  778661 */   // Label 12100: @778661
     /*  778661 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(778739), // Rule ID 14600 //
     /*  778666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778712 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  778715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778737 */     GIR_RootConstrainSelectedInstOperands,
     /*  778738 */     // GIR_Coverage, 14600,
     /*  778738 */     GIR_EraseRootFromParent_Done,
     /*  778739 */   // Label 12101: @778739
     /*  778739 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(778817), // Rule ID 14601 //
     /*  778744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  778755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  778758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  778761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  778793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778815 */     GIR_RootConstrainSelectedInstOperands,
     /*  778816 */     // GIR_Coverage, 14601,
     /*  778816 */     GIR_EraseRootFromParent_Done,
     /*  778817 */   // Label 12102: @778817
     /*  778817 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(778895), // Rule ID 14604 //
     /*  778822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  778871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778893 */     GIR_RootConstrainSelectedInstOperands,
     /*  778894 */     // GIR_Coverage, 14604,
     /*  778894 */     GIR_EraseRootFromParent_Done,
     /*  778895 */   // Label 12103: @778895
     /*  778895 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(778973), // Rule ID 14605 //
     /*  778900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  778911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  778914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  778917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  778949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778971 */     GIR_RootConstrainSelectedInstOperands,
     /*  778972 */     // GIR_Coverage, 14605,
     /*  778972 */     GIR_EraseRootFromParent_Done,
     /*  778973 */   // Label 12104: @778973
     /*  778973 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(779051), // Rule ID 14608 //
     /*  778978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  778989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  778992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  778995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779049 */     GIR_RootConstrainSelectedInstOperands,
     /*  779050 */     // GIR_Coverage, 14608,
     /*  779050 */     GIR_EraseRootFromParent_Done,
     /*  779051 */   // Label 12105: @779051
     /*  779051 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779129), // Rule ID 14609 //
     /*  779056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  779067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  779070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  779073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779127 */     GIR_RootConstrainSelectedInstOperands,
     /*  779128 */     // GIR_Coverage, 14609,
     /*  779128 */     GIR_EraseRootFromParent_Done,
     /*  779129 */   // Label 12106: @779129
     /*  779129 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779207), // Rule ID 14612 //
     /*  779134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779205 */     GIR_RootConstrainSelectedInstOperands,
     /*  779206 */     // GIR_Coverage, 14612,
     /*  779206 */     GIR_EraseRootFromParent_Done,
     /*  779207 */   // Label 12107: @779207
     /*  779207 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779285), // Rule ID 14613 //
     /*  779212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779283 */     GIR_RootConstrainSelectedInstOperands,
     /*  779284 */     // GIR_Coverage, 14613,
     /*  779284 */     GIR_EraseRootFromParent_Done,
     /*  779285 */   // Label 12108: @779285
     /*  779285 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779363), // Rule ID 14616 //
     /*  779290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  779301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  779304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  779307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779361 */     GIR_RootConstrainSelectedInstOperands,
     /*  779362 */     // GIR_Coverage, 14616,
     /*  779362 */     GIR_EraseRootFromParent_Done,
     /*  779363 */   // Label 12109: @779363
     /*  779363 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779441), // Rule ID 14617 //
     /*  779368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  779379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  779382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  779385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779439 */     GIR_RootConstrainSelectedInstOperands,
     /*  779440 */     // GIR_Coverage, 14617,
     /*  779440 */     GIR_EraseRootFromParent_Done,
     /*  779441 */   // Label 12110: @779441
     /*  779441 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(779519), // Rule ID 14620 //
     /*  779446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  779457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  779460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  779463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779517 */     GIR_RootConstrainSelectedInstOperands,
     /*  779518 */     // GIR_Coverage, 14620,
     /*  779518 */     GIR_EraseRootFromParent_Done,
     /*  779519 */   // Label 12111: @779519
     /*  779519 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(779597), // Rule ID 14621 //
     /*  779524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  779535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  779538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  779541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779595 */     GIR_RootConstrainSelectedInstOperands,
     /*  779596 */     // GIR_Coverage, 14621,
     /*  779596 */     GIR_EraseRootFromParent_Done,
     /*  779597 */   // Label 12112: @779597
     /*  779597 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(779675), // Rule ID 14624 //
     /*  779602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779673 */     GIR_RootConstrainSelectedInstOperands,
     /*  779674 */     // GIR_Coverage, 14624,
     /*  779674 */     GIR_EraseRootFromParent_Done,
     /*  779675 */   // Label 12113: @779675
     /*  779675 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(779753), // Rule ID 14625 //
     /*  779680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779751 */     GIR_RootConstrainSelectedInstOperands,
     /*  779752 */     // GIR_Coverage, 14625,
     /*  779752 */     GIR_EraseRootFromParent_Done,
     /*  779753 */   // Label 12114: @779753
     /*  779753 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(779831), // Rule ID 14628 //
     /*  779758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779829 */     GIR_RootConstrainSelectedInstOperands,
     /*  779830 */     // GIR_Coverage, 14628,
     /*  779830 */     GIR_EraseRootFromParent_Done,
     /*  779831 */   // Label 12115: @779831
     /*  779831 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(779909), // Rule ID 14629 //
     /*  779836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779907 */     GIR_RootConstrainSelectedInstOperands,
     /*  779908 */     // GIR_Coverage, 14629,
     /*  779908 */     GIR_EraseRootFromParent_Done,
     /*  779909 */   // Label 12116: @779909
     /*  779909 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(779987), // Rule ID 14632 //
     /*  779914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779960 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779985 */     GIR_RootConstrainSelectedInstOperands,
     /*  779986 */     // GIR_Coverage, 14632,
     /*  779986 */     GIR_EraseRootFromParent_Done,
     /*  779987 */   // Label 12117: @779987
     /*  779987 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(780065), // Rule ID 14633 //
     /*  779992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780063 */     GIR_RootConstrainSelectedInstOperands,
     /*  780064 */     // GIR_Coverage, 14633,
     /*  780064 */     GIR_EraseRootFromParent_Done,
     /*  780065 */   // Label 12118: @780065
     /*  780065 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780143), // Rule ID 14636 //
     /*  780070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780141 */     GIR_RootConstrainSelectedInstOperands,
     /*  780142 */     // GIR_Coverage, 14636,
     /*  780142 */     GIR_EraseRootFromParent_Done,
     /*  780143 */   // Label 12119: @780143
     /*  780143 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780221), // Rule ID 14637 //
     /*  780148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780219 */     GIR_RootConstrainSelectedInstOperands,
     /*  780220 */     // GIR_Coverage, 14637,
     /*  780220 */     GIR_EraseRootFromParent_Done,
     /*  780221 */   // Label 12120: @780221
     /*  780221 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780299), // Rule ID 14640 //
     /*  780226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780297 */     GIR_RootConstrainSelectedInstOperands,
     /*  780298 */     // GIR_Coverage, 14640,
     /*  780298 */     GIR_EraseRootFromParent_Done,
     /*  780299 */   // Label 12121: @780299
     /*  780299 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780377), // Rule ID 14641 //
     /*  780304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780375 */     GIR_RootConstrainSelectedInstOperands,
     /*  780376 */     // GIR_Coverage, 14641,
     /*  780376 */     GIR_EraseRootFromParent_Done,
     /*  780377 */   // Label 12122: @780377
     /*  780377 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780455), // Rule ID 14644 //
     /*  780382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780453 */     GIR_RootConstrainSelectedInstOperands,
     /*  780454 */     // GIR_Coverage, 14644,
     /*  780454 */     GIR_EraseRootFromParent_Done,
     /*  780455 */   // Label 12123: @780455
     /*  780455 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(780533), // Rule ID 14645 //
     /*  780460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780506 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780531 */     GIR_RootConstrainSelectedInstOperands,
     /*  780532 */     // GIR_Coverage, 14645,
     /*  780532 */     GIR_EraseRootFromParent_Done,
     /*  780533 */   // Label 12124: @780533
     /*  780533 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(780611), // Rule ID 14648 //
     /*  780538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  780549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  780552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  780555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  780558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  780587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780609 */     GIR_RootConstrainSelectedInstOperands,
     /*  780610 */     // GIR_Coverage, 14648,
     /*  780610 */     GIR_EraseRootFromParent_Done,
     /*  780611 */   // Label 12125: @780611
     /*  780611 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(780689), // Rule ID 14649 //
     /*  780616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  780627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  780630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  780633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  780636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  780665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780687 */     GIR_RootConstrainSelectedInstOperands,
     /*  780688 */     // GIR_Coverage, 14649,
     /*  780688 */     GIR_EraseRootFromParent_Done,
     /*  780689 */   // Label 12126: @780689
     /*  780689 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(780767), // Rule ID 14652 //
     /*  780694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  780714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780740 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  780743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780765 */     GIR_RootConstrainSelectedInstOperands,
     /*  780766 */     // GIR_Coverage, 14652,
     /*  780766 */     GIR_EraseRootFromParent_Done,
     /*  780767 */   // Label 12127: @780767
     /*  780767 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(780845), // Rule ID 14653 //
     /*  780772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  780783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  780786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  780789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  780792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780818 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  780821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780843 */     GIR_RootConstrainSelectedInstOperands,
     /*  780844 */     // GIR_Coverage, 14653,
     /*  780844 */     GIR_EraseRootFromParent_Done,
     /*  780845 */   // Label 12128: @780845
     /*  780845 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(780923), // Rule ID 14656 //
     /*  780850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  780870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  780899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780921 */     GIR_RootConstrainSelectedInstOperands,
     /*  780922 */     // GIR_Coverage, 14656,
     /*  780922 */     GIR_EraseRootFromParent_Done,
     /*  780923 */   // Label 12129: @780923
     /*  780923 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(781001), // Rule ID 14657 //
     /*  780928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  780939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  780942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  780945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  780948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780974 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  780977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780999 */     GIR_RootConstrainSelectedInstOperands,
     /*  781000 */     // GIR_Coverage, 14657,
     /*  781000 */     GIR_EraseRootFromParent_Done,
     /*  781001 */   // Label 12130: @781001
     /*  781001 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(781079), // Rule ID 14660 //
     /*  781006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781077 */     GIR_RootConstrainSelectedInstOperands,
     /*  781078 */     // GIR_Coverage, 14660,
     /*  781078 */     GIR_EraseRootFromParent_Done,
     /*  781079 */   // Label 12131: @781079
     /*  781079 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781157), // Rule ID 14661 //
     /*  781084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781155 */     GIR_RootConstrainSelectedInstOperands,
     /*  781156 */     // GIR_Coverage, 14661,
     /*  781156 */     GIR_EraseRootFromParent_Done,
     /*  781157 */   // Label 12132: @781157
     /*  781157 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781235), // Rule ID 14664 //
     /*  781162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781233 */     GIR_RootConstrainSelectedInstOperands,
     /*  781234 */     // GIR_Coverage, 14664,
     /*  781234 */     GIR_EraseRootFromParent_Done,
     /*  781235 */   // Label 12133: @781235
     /*  781235 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781313), // Rule ID 14665 //
     /*  781240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781311 */     GIR_RootConstrainSelectedInstOperands,
     /*  781312 */     // GIR_Coverage, 14665,
     /*  781312 */     GIR_EraseRootFromParent_Done,
     /*  781313 */   // Label 12134: @781313
     /*  781313 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781391), // Rule ID 14668 //
     /*  781318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  781338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781389 */     GIR_RootConstrainSelectedInstOperands,
     /*  781390 */     // GIR_Coverage, 14668,
     /*  781390 */     GIR_EraseRootFromParent_Done,
     /*  781391 */   // Label 12135: @781391
     /*  781391 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781469), // Rule ID 14669 //
     /*  781396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  781416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781467 */     GIR_RootConstrainSelectedInstOperands,
     /*  781468 */     // GIR_Coverage, 14669,
     /*  781468 */     GIR_EraseRootFromParent_Done,
     /*  781469 */   // Label 12136: @781469
     /*  781469 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(781547), // Rule ID 14672 //
     /*  781474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  781485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  781488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  781491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  781494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781545 */     GIR_RootConstrainSelectedInstOperands,
     /*  781546 */     // GIR_Coverage, 14672,
     /*  781546 */     GIR_EraseRootFromParent_Done,
     /*  781547 */   // Label 12137: @781547
     /*  781547 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(781625), // Rule ID 14673 //
     /*  781552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  781563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  781566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  781569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  781572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781623 */     GIR_RootConstrainSelectedInstOperands,
     /*  781624 */     // GIR_Coverage, 14673,
     /*  781624 */     GIR_EraseRootFromParent_Done,
     /*  781625 */   // Label 12138: @781625
     /*  781625 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(781703), // Rule ID 14676 //
     /*  781630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  781650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781701 */     GIR_RootConstrainSelectedInstOperands,
     /*  781702 */     // GIR_Coverage, 14676,
     /*  781702 */     GIR_EraseRootFromParent_Done,
     /*  781703 */   // Label 12139: @781703
     /*  781703 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(781781), // Rule ID 14677 //
     /*  781708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  781728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781779 */     GIR_RootConstrainSelectedInstOperands,
     /*  781780 */     // GIR_Coverage, 14677,
     /*  781780 */     GIR_EraseRootFromParent_Done,
     /*  781781 */   // Label 12140: @781781
     /*  781781 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(781859), // Rule ID 14680 //
     /*  781786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  781806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781857 */     GIR_RootConstrainSelectedInstOperands,
     /*  781858 */     // GIR_Coverage, 14680,
     /*  781858 */     GIR_EraseRootFromParent_Done,
     /*  781859 */   // Label 12141: @781859
     /*  781859 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(781937), // Rule ID 14681 //
     /*  781864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  781884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781935 */     GIR_RootConstrainSelectedInstOperands,
     /*  781936 */     // GIR_Coverage, 14681,
     /*  781936 */     GIR_EraseRootFromParent_Done,
     /*  781937 */   // Label 12142: @781937
     /*  781937 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(782015), // Rule ID 14684 //
     /*  781942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  781962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  781991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782013 */     GIR_RootConstrainSelectedInstOperands,
     /*  782014 */     // GIR_Coverage, 14684,
     /*  782014 */     GIR_EraseRootFromParent_Done,
     /*  782015 */   // Label 12143: @782015
     /*  782015 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(782093), // Rule ID 14685 //
     /*  782020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782091 */     GIR_RootConstrainSelectedInstOperands,
     /*  782092 */     // GIR_Coverage, 14685,
     /*  782092 */     GIR_EraseRootFromParent_Done,
     /*  782093 */   // Label 12144: @782093
     /*  782093 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782171), // Rule ID 14688 //
     /*  782098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  782118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782169 */     GIR_RootConstrainSelectedInstOperands,
     /*  782170 */     // GIR_Coverage, 14688,
     /*  782170 */     GIR_EraseRootFromParent_Done,
     /*  782171 */   // Label 12145: @782171
     /*  782171 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782249), // Rule ID 14689 //
     /*  782176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  782196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782247 */     GIR_RootConstrainSelectedInstOperands,
     /*  782248 */     // GIR_Coverage, 14689,
     /*  782248 */     GIR_EraseRootFromParent_Done,
     /*  782249 */   // Label 12146: @782249
     /*  782249 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782327), // Rule ID 14692 //
     /*  782254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  782265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  782268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  782271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  782274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782325 */     GIR_RootConstrainSelectedInstOperands,
     /*  782326 */     // GIR_Coverage, 14692,
     /*  782326 */     GIR_EraseRootFromParent_Done,
     /*  782327 */   // Label 12147: @782327
     /*  782327 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782405), // Rule ID 14693 //
     /*  782332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  782343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  782346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  782349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  782352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782403 */     GIR_RootConstrainSelectedInstOperands,
     /*  782404 */     // GIR_Coverage, 14693,
     /*  782404 */     GIR_EraseRootFromParent_Done,
     /*  782405 */   // Label 12148: @782405
     /*  782405 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782483), // Rule ID 14696 //
     /*  782410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  782421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  782424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  782427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  782430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  782459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782481 */     GIR_RootConstrainSelectedInstOperands,
     /*  782482 */     // GIR_Coverage, 14696,
     /*  782482 */     GIR_EraseRootFromParent_Done,
     /*  782483 */   // Label 12149: @782483
     /*  782483 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(782561), // Rule ID 14697 //
     /*  782488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  782499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  782502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  782505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  782508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  782537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782559 */     GIR_RootConstrainSelectedInstOperands,
     /*  782560 */     // GIR_Coverage, 14697,
     /*  782560 */     GIR_EraseRootFromParent_Done,
     /*  782561 */   // Label 12150: @782561
     /*  782561 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(782639), // Rule ID 14700 //
     /*  782566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782637 */     GIR_RootConstrainSelectedInstOperands,
     /*  782638 */     // GIR_Coverage, 14700,
     /*  782638 */     GIR_EraseRootFromParent_Done,
     /*  782639 */   // Label 12151: @782639
     /*  782639 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(782717), // Rule ID 14701 //
     /*  782644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782690 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782715 */     GIR_RootConstrainSelectedInstOperands,
     /*  782716 */     // GIR_Coverage, 14701,
     /*  782716 */     GIR_EraseRootFromParent_Done,
     /*  782717 */   // Label 12152: @782717
     /*  782717 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(782795), // Rule ID 14704 //
     /*  782722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  782742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782793 */     GIR_RootConstrainSelectedInstOperands,
     /*  782794 */     // GIR_Coverage, 14704,
     /*  782794 */     GIR_EraseRootFromParent_Done,
     /*  782795 */   // Label 12153: @782795
     /*  782795 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(782873), // Rule ID 14705 //
     /*  782800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  782820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782871 */     GIR_RootConstrainSelectedInstOperands,
     /*  782872 */     // GIR_Coverage, 14705,
     /*  782872 */     GIR_EraseRootFromParent_Done,
     /*  782873 */   // Label 12154: @782873
     /*  782873 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(782951), // Rule ID 14708 //
     /*  782878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  782898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782924 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  782927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782949 */     GIR_RootConstrainSelectedInstOperands,
     /*  782950 */     // GIR_Coverage, 14708,
     /*  782950 */     GIR_EraseRootFromParent_Done,
     /*  782951 */   // Label 12155: @782951
     /*  782951 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(783029), // Rule ID 14709 //
     /*  782956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  782976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783027 */     GIR_RootConstrainSelectedInstOperands,
     /*  783028 */     // GIR_Coverage, 14709,
     /*  783028 */     GIR_EraseRootFromParent_Done,
     /*  783029 */   // Label 12156: @783029
     /*  783029 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(783107), // Rule ID 14712 //
     /*  783034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  783054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783105 */     GIR_RootConstrainSelectedInstOperands,
     /*  783106 */     // GIR_Coverage, 14712,
     /*  783106 */     GIR_EraseRootFromParent_Done,
     /*  783107 */   // Label 12157: @783107
     /*  783107 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(783185), // Rule ID 14713 //
     /*  783112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  783132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783183 */     GIR_RootConstrainSelectedInstOperands,
     /*  783184 */     // GIR_Coverage, 14713,
     /*  783184 */     GIR_EraseRootFromParent_Done,
     /*  783185 */   // Label 12158: @783185
     /*  783185 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783263), // Rule ID 14716 //
     /*  783190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783261 */     GIR_RootConstrainSelectedInstOperands,
     /*  783262 */     // GIR_Coverage, 14716,
     /*  783262 */     GIR_EraseRootFromParent_Done,
     /*  783263 */   // Label 12159: @783263
     /*  783263 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783341), // Rule ID 14717 //
     /*  783268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783339 */     GIR_RootConstrainSelectedInstOperands,
     /*  783340 */     // GIR_Coverage, 14717,
     /*  783340 */     GIR_EraseRootFromParent_Done,
     /*  783341 */   // Label 12160: @783341
     /*  783341 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783419), // Rule ID 14720 //
     /*  783346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783417 */     GIR_RootConstrainSelectedInstOperands,
     /*  783418 */     // GIR_Coverage, 14720,
     /*  783418 */     GIR_EraseRootFromParent_Done,
     /*  783419 */   // Label 12161: @783419
     /*  783419 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783497), // Rule ID 14721 //
     /*  783424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783495 */     GIR_RootConstrainSelectedInstOperands,
     /*  783496 */     // GIR_Coverage, 14721,
     /*  783496 */     GIR_EraseRootFromParent_Done,
     /*  783497 */   // Label 12162: @783497
     /*  783497 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783575), // Rule ID 14724 //
     /*  783502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783573 */     GIR_RootConstrainSelectedInstOperands,
     /*  783574 */     // GIR_Coverage, 14724,
     /*  783574 */     GIR_EraseRootFromParent_Done,
     /*  783575 */   // Label 12163: @783575
     /*  783575 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(783653), // Rule ID 14725 //
     /*  783580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783651 */     GIR_RootConstrainSelectedInstOperands,
     /*  783652 */     // GIR_Coverage, 14725,
     /*  783652 */     GIR_EraseRootFromParent_Done,
     /*  783653 */   // Label 12164: @783653
     /*  783653 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(783731), // Rule ID 14728 //
     /*  783658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783729 */     GIR_RootConstrainSelectedInstOperands,
     /*  783730 */     // GIR_Coverage, 14728,
     /*  783730 */     GIR_EraseRootFromParent_Done,
     /*  783731 */   // Label 12165: @783731
     /*  783731 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(783809), // Rule ID 14729 //
     /*  783736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783807 */     GIR_RootConstrainSelectedInstOperands,
     /*  783808 */     // GIR_Coverage, 14729,
     /*  783808 */     GIR_EraseRootFromParent_Done,
     /*  783809 */   // Label 12166: @783809
     /*  783809 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(783887), // Rule ID 14732 //
     /*  783814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  783817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  783834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783885 */     GIR_RootConstrainSelectedInstOperands,
     /*  783886 */     // GIR_Coverage, 14732,
     /*  783886 */     GIR_EraseRootFromParent_Done,
     /*  783887 */   // Label 12167: @783887
     /*  783887 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(783965), // Rule ID 14733 //
     /*  783892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  783895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  783912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783963 */     GIR_RootConstrainSelectedInstOperands,
     /*  783964 */     // GIR_Coverage, 14733,
     /*  783964 */     GIR_EraseRootFromParent_Done,
     /*  783965 */   // Label 12168: @783965
     /*  783965 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(784043), // Rule ID 14736 //
     /*  783970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  783981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  783984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  783987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  783990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  784019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784041 */     GIR_RootConstrainSelectedInstOperands,
     /*  784042 */     // GIR_Coverage, 14736,
     /*  784042 */     GIR_EraseRootFromParent_Done,
     /*  784043 */   // Label 12169: @784043
     /*  784043 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784121), // Rule ID 14737 //
     /*  784048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  784059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  784062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  784065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  784097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784119 */     GIR_RootConstrainSelectedInstOperands,
     /*  784120 */     // GIR_Coverage, 14737,
     /*  784120 */     GIR_EraseRootFromParent_Done,
     /*  784121 */   // Label 12170: @784121
     /*  784121 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(784199), // Rule ID 14740 //
     /*  784126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784197 */     GIR_RootConstrainSelectedInstOperands,
     /*  784198 */     // GIR_Coverage, 14740,
     /*  784198 */     GIR_EraseRootFromParent_Done,
     /*  784199 */   // Label 12171: @784199
     /*  784199 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784277), // Rule ID 14741 //
     /*  784204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784250 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784275 */     GIR_RootConstrainSelectedInstOperands,
     /*  784276 */     // GIR_Coverage, 14741,
     /*  784276 */     GIR_EraseRootFromParent_Done,
     /*  784277 */   // Label 12172: @784277
     /*  784277 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784355), // Rule ID 14744 //
     /*  784282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  784293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  784296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784353 */     GIR_RootConstrainSelectedInstOperands,
     /*  784354 */     // GIR_Coverage, 14744,
     /*  784354 */     GIR_EraseRootFromParent_Done,
     /*  784355 */   // Label 12173: @784355
     /*  784355 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784433), // Rule ID 14745 //
     /*  784360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  784371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  784374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784431 */     GIR_RootConstrainSelectedInstOperands,
     /*  784432 */     // GIR_Coverage, 14745,
     /*  784432 */     GIR_EraseRootFromParent_Done,
     /*  784433 */   // Label 12174: @784433
     /*  784433 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784511), // Rule ID 14748 //
     /*  784438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  784449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  784452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784509 */     GIR_RootConstrainSelectedInstOperands,
     /*  784510 */     // GIR_Coverage, 14748,
     /*  784510 */     GIR_EraseRootFromParent_Done,
     /*  784511 */   // Label 12175: @784511
     /*  784511 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784589), // Rule ID 14749 //
     /*  784516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  784527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  784530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784587 */     GIR_RootConstrainSelectedInstOperands,
     /*  784588 */     // GIR_Coverage, 14749,
     /*  784588 */     GIR_EraseRootFromParent_Done,
     /*  784589 */   // Label 12176: @784589
     /*  784589 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(784667), // Rule ID 14752 //
     /*  784594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784665 */     GIR_RootConstrainSelectedInstOperands,
     /*  784666 */     // GIR_Coverage, 14752,
     /*  784666 */     GIR_EraseRootFromParent_Done,
     /*  784667 */   // Label 12177: @784667
     /*  784667 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(784745), // Rule ID 14753 //
     /*  784672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784718 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784743 */     GIR_RootConstrainSelectedInstOperands,
     /*  784744 */     // GIR_Coverage, 14753,
     /*  784744 */     GIR_EraseRootFromParent_Done,
     /*  784745 */   // Label 12178: @784745
     /*  784745 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(784823), // Rule ID 14756 //
     /*  784750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784821 */     GIR_RootConstrainSelectedInstOperands,
     /*  784822 */     // GIR_Coverage, 14756,
     /*  784822 */     GIR_EraseRootFromParent_Done,
     /*  784823 */   // Label 12179: @784823
     /*  784823 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(784901), // Rule ID 14757 //
     /*  784828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  784877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784899 */     GIR_RootConstrainSelectedInstOperands,
     /*  784900 */     // GIR_Coverage, 14757,
     /*  784900 */     GIR_EraseRootFromParent_Done,
     /*  784901 */   // Label 12180: @784901
     /*  784901 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(784979), // Rule ID 14760 //
     /*  784906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  784917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  784920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  784923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  784955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784977 */     GIR_RootConstrainSelectedInstOperands,
     /*  784978 */     // GIR_Coverage, 14760,
     /*  784978 */     GIR_EraseRootFromParent_Done,
     /*  784979 */   // Label 12181: @784979
     /*  784979 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(785057), // Rule ID 14761 //
     /*  784984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  784995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  784998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  785001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785055 */     GIR_RootConstrainSelectedInstOperands,
     /*  785056 */     // GIR_Coverage, 14761,
     /*  785056 */     GIR_EraseRootFromParent_Done,
     /*  785057 */   // Label 12182: @785057
     /*  785057 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785135), // Rule ID 14764 //
     /*  785062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785133 */     GIR_RootConstrainSelectedInstOperands,
     /*  785134 */     // GIR_Coverage, 14764,
     /*  785134 */     GIR_EraseRootFromParent_Done,
     /*  785135 */   // Label 12183: @785135
     /*  785135 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(785213), // Rule ID 14765 //
     /*  785140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785211 */     GIR_RootConstrainSelectedInstOperands,
     /*  785212 */     // GIR_Coverage, 14765,
     /*  785212 */     GIR_EraseRootFromParent_Done,
     /*  785213 */   // Label 12184: @785213
     /*  785213 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785291), // Rule ID 14768 //
     /*  785218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785289 */     GIR_RootConstrainSelectedInstOperands,
     /*  785290 */     // GIR_Coverage, 14768,
     /*  785290 */     GIR_EraseRootFromParent_Done,
     /*  785291 */   // Label 12185: @785291
     /*  785291 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785369), // Rule ID 14769 //
     /*  785296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785367 */     GIR_RootConstrainSelectedInstOperands,
     /*  785368 */     // GIR_Coverage, 14769,
     /*  785368 */     GIR_EraseRootFromParent_Done,
     /*  785369 */   // Label 12186: @785369
     /*  785369 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785447), // Rule ID 14772 //
     /*  785374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  785377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785420 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785445 */     GIR_RootConstrainSelectedInstOperands,
     /*  785446 */     // GIR_Coverage, 14772,
     /*  785446 */     GIR_EraseRootFromParent_Done,
     /*  785447 */   // Label 12187: @785447
     /*  785447 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785525), // Rule ID 14773 //
     /*  785452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  785455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785498 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785523 */     GIR_RootConstrainSelectedInstOperands,
     /*  785524 */     // GIR_Coverage, 14773,
     /*  785524 */     GIR_EraseRootFromParent_Done,
     /*  785525 */   // Label 12188: @785525
     /*  785525 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785603), // Rule ID 14776 //
     /*  785530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  785541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  785544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  785547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  785579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785601 */     GIR_RootConstrainSelectedInstOperands,
     /*  785602 */     // GIR_Coverage, 14776,
     /*  785602 */     GIR_EraseRootFromParent_Done,
     /*  785603 */   // Label 12189: @785603
     /*  785603 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(785681), // Rule ID 14777 //
     /*  785608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  785619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  785622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  785625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  785657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785679 */     GIR_RootConstrainSelectedInstOperands,
     /*  785680 */     // GIR_Coverage, 14777,
     /*  785680 */     GIR_EraseRootFromParent_Done,
     /*  785681 */   // Label 12190: @785681
     /*  785681 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(785759), // Rule ID 14780 //
     /*  785686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  785697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  785700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  785703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785732 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  785735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785757 */     GIR_RootConstrainSelectedInstOperands,
     /*  785758 */     // GIR_Coverage, 14780,
     /*  785758 */     GIR_EraseRootFromParent_Done,
     /*  785759 */   // Label 12191: @785759
     /*  785759 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(785837), // Rule ID 14781 //
     /*  785764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  785775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  785778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  785781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  785813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785835 */     GIR_RootConstrainSelectedInstOperands,
     /*  785836 */     // GIR_Coverage, 14781,
     /*  785836 */     GIR_EraseRootFromParent_Done,
     /*  785837 */   // Label 12192: @785837
     /*  785837 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(785915), // Rule ID 14784 //
     /*  785842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  785853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  785856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  785859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  785891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785913 */     GIR_RootConstrainSelectedInstOperands,
     /*  785914 */     // GIR_Coverage, 14784,
     /*  785914 */     GIR_EraseRootFromParent_Done,
     /*  785915 */   // Label 12193: @785915
     /*  785915 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(785993), // Rule ID 14785 //
     /*  785920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  785931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  785934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  785937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  785969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785991 */     GIR_RootConstrainSelectedInstOperands,
     /*  785992 */     // GIR_Coverage, 14785,
     /*  785992 */     GIR_EraseRootFromParent_Done,
     /*  785993 */   // Label 12194: @785993
     /*  785993 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(786071), // Rule ID 14788 //
     /*  785998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786069 */     GIR_RootConstrainSelectedInstOperands,
     /*  786070 */     // GIR_Coverage, 14788,
     /*  786070 */     GIR_EraseRootFromParent_Done,
     /*  786071 */   // Label 12195: @786071
     /*  786071 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786149), // Rule ID 14789 //
     /*  786076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786147 */     GIR_RootConstrainSelectedInstOperands,
     /*  786148 */     // GIR_Coverage, 14789,
     /*  786148 */     GIR_EraseRootFromParent_Done,
     /*  786149 */   // Label 12196: @786149
     /*  786149 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(786227), // Rule ID 14792 //
     /*  786154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786200 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786225 */     GIR_RootConstrainSelectedInstOperands,
     /*  786226 */     // GIR_Coverage, 14792,
     /*  786226 */     GIR_EraseRootFromParent_Done,
     /*  786227 */   // Label 12197: @786227
     /*  786227 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(786305), // Rule ID 14793 //
     /*  786232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786303 */     GIR_RootConstrainSelectedInstOperands,
     /*  786304 */     // GIR_Coverage, 14793,
     /*  786304 */     GIR_EraseRootFromParent_Done,
     /*  786305 */   // Label 12198: @786305
     /*  786305 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786383), // Rule ID 14796 //
     /*  786310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786356 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786381 */     GIR_RootConstrainSelectedInstOperands,
     /*  786382 */     // GIR_Coverage, 14796,
     /*  786382 */     GIR_EraseRootFromParent_Done,
     /*  786383 */   // Label 12199: @786383
     /*  786383 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786461), // Rule ID 14797 //
     /*  786388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786459 */     GIR_RootConstrainSelectedInstOperands,
     /*  786460 */     // GIR_Coverage, 14797,
     /*  786460 */     GIR_EraseRootFromParent_Done,
     /*  786461 */   // Label 12200: @786461
     /*  786461 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786539), // Rule ID 14800 //
     /*  786466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786537 */     GIR_RootConstrainSelectedInstOperands,
     /*  786538 */     // GIR_Coverage, 14800,
     /*  786538 */     GIR_EraseRootFromParent_Done,
     /*  786539 */   // Label 12201: @786539
     /*  786539 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786617), // Rule ID 14801 //
     /*  786544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786615 */     GIR_RootConstrainSelectedInstOperands,
     /*  786616 */     // GIR_Coverage, 14801,
     /*  786616 */     GIR_EraseRootFromParent_Done,
     /*  786617 */   // Label 12202: @786617
     /*  786617 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786695), // Rule ID 14804 //
     /*  786622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786693 */     GIR_RootConstrainSelectedInstOperands,
     /*  786694 */     // GIR_Coverage, 14804,
     /*  786694 */     GIR_EraseRootFromParent_Done,
     /*  786695 */   // Label 12203: @786695
     /*  786695 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(786773), // Rule ID 14805 //
     /*  786700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786771 */     GIR_RootConstrainSelectedInstOperands,
     /*  786772 */     // GIR_Coverage, 14805,
     /*  786772 */     GIR_EraseRootFromParent_Done,
     /*  786773 */   // Label 12204: @786773
     /*  786773 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(786851), // Rule ID 14808 //
     /*  786778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  786789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  786792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  786795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786849 */     GIR_RootConstrainSelectedInstOperands,
     /*  786850 */     // GIR_Coverage, 14808,
     /*  786850 */     GIR_EraseRootFromParent_Done,
     /*  786851 */   // Label 12205: @786851
     /*  786851 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(786929), // Rule ID 14809 //
     /*  786856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  786867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  786870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  786873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786927 */     GIR_RootConstrainSelectedInstOperands,
     /*  786928 */     // GIR_Coverage, 14809,
     /*  786928 */     GIR_EraseRootFromParent_Done,
     /*  786929 */   // Label 12206: @786929
     /*  786929 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(787007), // Rule ID 14812 //
     /*  786934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  786937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  786945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  786948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  786951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786980 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787005 */     GIR_RootConstrainSelectedInstOperands,
     /*  787006 */     // GIR_Coverage, 14812,
     /*  787006 */     GIR_EraseRootFromParent_Done,
     /*  787007 */   // Label 12207: @787007
     /*  787007 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(787085), // Rule ID 14813 //
     /*  787012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  787061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787083 */     GIR_RootConstrainSelectedInstOperands,
     /*  787084 */     // GIR_Coverage, 14813,
     /*  787084 */     GIR_EraseRootFromParent_Done,
     /*  787085 */   // Label 12208: @787085
     /*  787085 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787163), // Rule ID 14816 //
     /*  787090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787161 */     GIR_RootConstrainSelectedInstOperands,
     /*  787162 */     // GIR_Coverage, 14816,
     /*  787162 */     GIR_EraseRootFromParent_Done,
     /*  787163 */   // Label 12209: @787163
     /*  787163 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787241), // Rule ID 14817 //
     /*  787168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787239 */     GIR_RootConstrainSelectedInstOperands,
     /*  787240 */     // GIR_Coverage, 14817,
     /*  787240 */     GIR_EraseRootFromParent_Done,
     /*  787241 */   // Label 12210: @787241
     /*  787241 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(787319), // Rule ID 14820 //
     /*  787246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787292 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787317 */     GIR_RootConstrainSelectedInstOperands,
     /*  787318 */     // GIR_Coverage, 14820,
     /*  787318 */     GIR_EraseRootFromParent_Done,
     /*  787319 */   // Label 12211: @787319
     /*  787319 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787397), // Rule ID 14821 //
     /*  787324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787370 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787395 */     GIR_RootConstrainSelectedInstOperands,
     /*  787396 */     // GIR_Coverage, 14821,
     /*  787396 */     GIR_EraseRootFromParent_Done,
     /*  787397 */   // Label 12212: @787397
     /*  787397 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787472), // Rule ID 19062 //
     /*  787402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  787451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787470 */     GIR_RootConstrainSelectedInstOperands,
     /*  787471 */     // GIR_Coverage, 19062,
     /*  787471 */     GIR_EraseRootFromParent_Done,
     /*  787472 */   // Label 12213: @787472
     /*  787472 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787547), // Rule ID 19063 //
     /*  787477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  787488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  787491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  787497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787523 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  787526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787545 */     GIR_RootConstrainSelectedInstOperands,
     /*  787546 */     // GIR_Coverage, 19063,
     /*  787546 */     GIR_EraseRootFromParent_Done,
     /*  787547 */   // Label 12214: @787547
     /*  787547 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787622), // Rule ID 19066 //
     /*  787552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  787601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787620 */     GIR_RootConstrainSelectedInstOperands,
     /*  787621 */     // GIR_Coverage, 19066,
     /*  787621 */     GIR_EraseRootFromParent_Done,
     /*  787622 */   // Label 12215: @787622
     /*  787622 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787697), // Rule ID 19067 //
     /*  787627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  787638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  787641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  787647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787673 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  787676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787695 */     GIR_RootConstrainSelectedInstOperands,
     /*  787696 */     // GIR_Coverage, 19067,
     /*  787696 */     GIR_EraseRootFromParent_Done,
     /*  787697 */   // Label 12216: @787697
     /*  787697 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(787772), // Rule ID 19070 //
     /*  787702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  787722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  787751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787770 */     GIR_RootConstrainSelectedInstOperands,
     /*  787771 */     // GIR_Coverage, 19070,
     /*  787771 */     GIR_EraseRootFromParent_Done,
     /*  787772 */   // Label 12217: @787772
     /*  787772 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(787847), // Rule ID 19071 //
     /*  787777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  787797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  787826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787845 */     GIR_RootConstrainSelectedInstOperands,
     /*  787846 */     // GIR_Coverage, 19071,
     /*  787846 */     GIR_EraseRootFromParent_Done,
     /*  787847 */   // Label 12218: @787847
     /*  787847 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(787922), // Rule ID 19074 //
     /*  787852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  787863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  787866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  787872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787898 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  787901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787920 */     GIR_RootConstrainSelectedInstOperands,
     /*  787921 */     // GIR_Coverage, 19074,
     /*  787921 */     GIR_EraseRootFromParent_Done,
     /*  787922 */   // Label 12219: @787922
     /*  787922 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(787997), // Rule ID 19075 //
     /*  787927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  787935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  787938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  787941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  787947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  787976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787995 */     GIR_RootConstrainSelectedInstOperands,
     /*  787996 */     // GIR_Coverage, 19075,
     /*  787996 */     GIR_EraseRootFromParent_Done,
     /*  787997 */   // Label 12220: @787997
     /*  787997 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(788072), // Rule ID 19078 //
     /*  788002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  788051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788070 */     GIR_RootConstrainSelectedInstOperands,
     /*  788071 */     // GIR_Coverage, 19078,
     /*  788071 */     GIR_EraseRootFromParent_Done,
     /*  788072 */   // Label 12221: @788072
     /*  788072 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788147), // Rule ID 19079 //
     /*  788077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788123 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  788126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788145 */     GIR_RootConstrainSelectedInstOperands,
     /*  788146 */     // GIR_Coverage, 19079,
     /*  788146 */     GIR_EraseRootFromParent_Done,
     /*  788147 */   // Label 12222: @788147
     /*  788147 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788222), // Rule ID 19082 //
     /*  788152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  788201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788220 */     GIR_RootConstrainSelectedInstOperands,
     /*  788221 */     // GIR_Coverage, 19082,
     /*  788221 */     GIR_EraseRootFromParent_Done,
     /*  788222 */   // Label 12223: @788222
     /*  788222 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(788297), // Rule ID 19083 //
     /*  788227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788273 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  788276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788295 */     GIR_RootConstrainSelectedInstOperands,
     /*  788296 */     // GIR_Coverage, 19083,
     /*  788296 */     GIR_EraseRootFromParent_Done,
     /*  788297 */   // Label 12224: @788297
     /*  788297 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788372), // Rule ID 19086 //
     /*  788302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  788351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788370 */     GIR_RootConstrainSelectedInstOperands,
     /*  788371 */     // GIR_Coverage, 19086,
     /*  788371 */     GIR_EraseRootFromParent_Done,
     /*  788372 */   // Label 12225: @788372
     /*  788372 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788447), // Rule ID 19087 //
     /*  788377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  788397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  788426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788445 */     GIR_RootConstrainSelectedInstOperands,
     /*  788446 */     // GIR_Coverage, 19087,
     /*  788446 */     GIR_EraseRootFromParent_Done,
     /*  788447 */   // Label 12226: @788447
     /*  788447 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788522), // Rule ID 19090 //
     /*  788452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788498 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  788501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788520 */     GIR_RootConstrainSelectedInstOperands,
     /*  788521 */     // GIR_Coverage, 19090,
     /*  788521 */     GIR_EraseRootFromParent_Done,
     /*  788522 */   // Label 12227: @788522
     /*  788522 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788597), // Rule ID 19091 //
     /*  788527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  788538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  788541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  788544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  788547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788573 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  788576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788595 */     GIR_RootConstrainSelectedInstOperands,
     /*  788596 */     // GIR_Coverage, 19091,
     /*  788596 */     GIR_EraseRootFromParent_Done,
     /*  788597 */   // Label 12228: @788597
     /*  788597 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788672), // Rule ID 19094 //
     /*  788602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788648 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  788651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788670 */     GIR_RootConstrainSelectedInstOperands,
     /*  788671 */     // GIR_Coverage, 19094,
     /*  788671 */     GIR_EraseRootFromParent_Done,
     /*  788672 */   // Label 12229: @788672
     /*  788672 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(788747), // Rule ID 19095 //
     /*  788677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  788688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  788691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  788694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  788697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788723 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  788726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788745 */     GIR_RootConstrainSelectedInstOperands,
     /*  788746 */     // GIR_Coverage, 19095,
     /*  788746 */     GIR_EraseRootFromParent_Done,
     /*  788747 */   // Label 12230: @788747
     /*  788747 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(788822), // Rule ID 19098 //
     /*  788752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  788772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788798 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  788801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788820 */     GIR_RootConstrainSelectedInstOperands,
     /*  788821 */     // GIR_Coverage, 19098,
     /*  788821 */     GIR_EraseRootFromParent_Done,
     /*  788822 */   // Label 12231: @788822
     /*  788822 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(788897), // Rule ID 19099 //
     /*  788827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  788847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  788876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788895 */     GIR_RootConstrainSelectedInstOperands,
     /*  788896 */     // GIR_Coverage, 19099,
     /*  788896 */     GIR_EraseRootFromParent_Done,
     /*  788897 */   // Label 12232: @788897
     /*  788897 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(788972), // Rule ID 19102 //
     /*  788902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  788922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  788951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788970 */     GIR_RootConstrainSelectedInstOperands,
     /*  788971 */     // GIR_Coverage, 19102,
     /*  788971 */     GIR_EraseRootFromParent_Done,
     /*  788972 */   // Label 12233: @788972
     /*  788972 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(789047), // Rule ID 19103 //
     /*  788977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  788997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789023 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  789026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789045 */     GIR_RootConstrainSelectedInstOperands,
     /*  789046 */     // GIR_Coverage, 19103,
     /*  789046 */     GIR_EraseRootFromParent_Done,
     /*  789047 */   // Label 12234: @789047
     /*  789047 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789122), // Rule ID 19106 //
     /*  789052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789098 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  789101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789120 */     GIR_RootConstrainSelectedInstOperands,
     /*  789121 */     // GIR_Coverage, 19106,
     /*  789121 */     GIR_EraseRootFromParent_Done,
     /*  789122 */   // Label 12235: @789122
     /*  789122 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789197), // Rule ID 19107 //
     /*  789127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789173 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  789176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789195 */     GIR_RootConstrainSelectedInstOperands,
     /*  789196 */     // GIR_Coverage, 19107,
     /*  789196 */     GIR_EraseRootFromParent_Done,
     /*  789197 */   // Label 12236: @789197
     /*  789197 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(789272), // Rule ID 19110 //
     /*  789202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  789251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789270 */     GIR_RootConstrainSelectedInstOperands,
     /*  789271 */     // GIR_Coverage, 19110,
     /*  789271 */     GIR_EraseRootFromParent_Done,
     /*  789272 */   // Label 12237: @789272
     /*  789272 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(789347), // Rule ID 19111 //
     /*  789277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789323 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  789326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789345 */     GIR_RootConstrainSelectedInstOperands,
     /*  789346 */     // GIR_Coverage, 19111,
     /*  789346 */     GIR_EraseRootFromParent_Done,
     /*  789347 */   // Label 12238: @789347
     /*  789347 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789422), // Rule ID 19114 //
     /*  789352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789398 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  789401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789420 */     GIR_RootConstrainSelectedInstOperands,
     /*  789421 */     // GIR_Coverage, 19114,
     /*  789421 */     GIR_EraseRootFromParent_Done,
     /*  789422 */   // Label 12239: @789422
     /*  789422 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789497), // Rule ID 19115 //
     /*  789427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789473 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  789476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789495 */     GIR_RootConstrainSelectedInstOperands,
     /*  789496 */     // GIR_Coverage, 19115,
     /*  789496 */     GIR_EraseRootFromParent_Done,
     /*  789497 */   // Label 12240: @789497
     /*  789497 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789572), // Rule ID 19118 //
     /*  789502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  789551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789570 */     GIR_RootConstrainSelectedInstOperands,
     /*  789571 */     // GIR_Coverage, 19118,
     /*  789571 */     GIR_EraseRootFromParent_Done,
     /*  789572 */   // Label 12241: @789572
     /*  789572 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789647), // Rule ID 19119 //
     /*  789577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  789597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789623 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  789626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789645 */     GIR_RootConstrainSelectedInstOperands,
     /*  789646 */     // GIR_Coverage, 19119,
     /*  789646 */     GIR_EraseRootFromParent_Done,
     /*  789647 */   // Label 12242: @789647
     /*  789647 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789722), // Rule ID 19122 //
     /*  789652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789698 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  789701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789720 */     GIR_RootConstrainSelectedInstOperands,
     /*  789721 */     // GIR_Coverage, 19122,
     /*  789721 */     GIR_EraseRootFromParent_Done,
     /*  789722 */   // Label 12243: @789722
     /*  789722 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(789797), // Rule ID 19123 //
     /*  789727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789773 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  789776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789795 */     GIR_RootConstrainSelectedInstOperands,
     /*  789796 */     // GIR_Coverage, 19123,
     /*  789796 */     GIR_EraseRootFromParent_Done,
     /*  789797 */   // Label 12244: @789797
     /*  789797 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(789872), // Rule ID 19126 //
     /*  789802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  789851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789870 */     GIR_RootConstrainSelectedInstOperands,
     /*  789871 */     // GIR_Coverage, 19126,
     /*  789871 */     GIR_EraseRootFromParent_Done,
     /*  789872 */   // Label 12245: @789872
     /*  789872 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(789947), // Rule ID 19127 //
     /*  789877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789923 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  789926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789945 */     GIR_RootConstrainSelectedInstOperands,
     /*  789946 */     // GIR_Coverage, 19127,
     /*  789946 */     GIR_EraseRootFromParent_Done,
     /*  789947 */   // Label 12246: @789947
     /*  789947 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(790022), // Rule ID 19130 //
     /*  789952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  789963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  789966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  789969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  790001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790020 */     GIR_RootConstrainSelectedInstOperands,
     /*  790021 */     // GIR_Coverage, 19130,
     /*  790021 */     GIR_EraseRootFromParent_Done,
     /*  790022 */   // Label 12247: @790022
     /*  790022 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790097), // Rule ID 19131 //
     /*  790027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790073 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  790076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790095 */     GIR_RootConstrainSelectedInstOperands,
     /*  790096 */     // GIR_Coverage, 19131,
     /*  790096 */     GIR_EraseRootFromParent_Done,
     /*  790097 */   // Label 12248: @790097
     /*  790097 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790172), // Rule ID 19134 //
     /*  790102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  790151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790170 */     GIR_RootConstrainSelectedInstOperands,
     /*  790171 */     // GIR_Coverage, 19134,
     /*  790171 */     GIR_EraseRootFromParent_Done,
     /*  790172 */   // Label 12249: @790172
     /*  790172 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790247), // Rule ID 19135 //
     /*  790177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790223 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  790226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790245 */     GIR_RootConstrainSelectedInstOperands,
     /*  790246 */     // GIR_Coverage, 19135,
     /*  790246 */     GIR_EraseRootFromParent_Done,
     /*  790247 */   // Label 12250: @790247
     /*  790247 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(790322), // Rule ID 19138 //
     /*  790252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790298 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  790301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790320 */     GIR_RootConstrainSelectedInstOperands,
     /*  790321 */     // GIR_Coverage, 19138,
     /*  790321 */     GIR_EraseRootFromParent_Done,
     /*  790322 */   // Label 12251: @790322
     /*  790322 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790397), // Rule ID 19139 //
     /*  790327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790373 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  790376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790395 */     GIR_RootConstrainSelectedInstOperands,
     /*  790396 */     // GIR_Coverage, 19139,
     /*  790396 */     GIR_EraseRootFromParent_Done,
     /*  790397 */   // Label 12252: @790397
     /*  790397 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790472), // Rule ID 19142 //
     /*  790402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  790451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790470 */     GIR_RootConstrainSelectedInstOperands,
     /*  790471 */     // GIR_Coverage, 19142,
     /*  790471 */     GIR_EraseRootFromParent_Done,
     /*  790472 */   // Label 12253: @790472
     /*  790472 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790547), // Rule ID 19143 //
     /*  790477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  790526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790545 */     GIR_RootConstrainSelectedInstOperands,
     /*  790546 */     // GIR_Coverage, 19143,
     /*  790546 */     GIR_EraseRootFromParent_Done,
     /*  790547 */   // Label 12254: @790547
     /*  790547 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790622), // Rule ID 19146 //
     /*  790552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  790601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790620 */     GIR_RootConstrainSelectedInstOperands,
     /*  790621 */     // GIR_Coverage, 19146,
     /*  790621 */     GIR_EraseRootFromParent_Done,
     /*  790622 */   // Label 12255: @790622
     /*  790622 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790697), // Rule ID 19147 //
     /*  790627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  790644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790673 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  790676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790695 */     GIR_RootConstrainSelectedInstOperands,
     /*  790696 */     // GIR_Coverage, 19147,
     /*  790696 */     GIR_EraseRootFromParent_Done,
     /*  790697 */   // Label 12256: @790697
     /*  790697 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(790772), // Rule ID 19150 //
     /*  790702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  790751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790770 */     GIR_RootConstrainSelectedInstOperands,
     /*  790771 */     // GIR_Coverage, 19150,
     /*  790771 */     GIR_EraseRootFromParent_Done,
     /*  790772 */   // Label 12257: @790772
     /*  790772 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(790847), // Rule ID 19151 //
     /*  790777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  790794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790823 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  790826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790845 */     GIR_RootConstrainSelectedInstOperands,
     /*  790846 */     // GIR_Coverage, 19151,
     /*  790846 */     GIR_EraseRootFromParent_Done,
     /*  790847 */   // Label 12258: @790847
     /*  790847 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(790922), // Rule ID 19154 //
     /*  790852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  790869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790898 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  790901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790920 */     GIR_RootConstrainSelectedInstOperands,
     /*  790921 */     // GIR_Coverage, 19154,
     /*  790921 */     GIR_EraseRootFromParent_Done,
     /*  790922 */   // Label 12259: @790922
     /*  790922 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(790997), // Rule ID 19155 //
     /*  790927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  790944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790973 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  790976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790995 */     GIR_RootConstrainSelectedInstOperands,
     /*  790996 */     // GIR_Coverage, 19155,
     /*  790996 */     GIR_EraseRootFromParent_Done,
     /*  790997 */   // Label 12260: @790997
     /*  790997 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(791072), // Rule ID 19158 //
     /*  791002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  791051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791070 */     GIR_RootConstrainSelectedInstOperands,
     /*  791071 */     // GIR_Coverage, 19158,
     /*  791071 */     GIR_EraseRootFromParent_Done,
     /*  791072 */   // Label 12261: @791072
     /*  791072 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791147), // Rule ID 19159 //
     /*  791077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  791126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791145 */     GIR_RootConstrainSelectedInstOperands,
     /*  791146 */     // GIR_Coverage, 19159,
     /*  791146 */     GIR_EraseRootFromParent_Done,
     /*  791147 */   // Label 12262: @791147
     /*  791147 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791222), // Rule ID 19162 //
     /*  791152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791198 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  791201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791220 */     GIR_RootConstrainSelectedInstOperands,
     /*  791221 */     // GIR_Coverage, 19162,
     /*  791221 */     GIR_EraseRootFromParent_Done,
     /*  791222 */   // Label 12263: @791222
     /*  791222 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(791297), // Rule ID 19163 //
     /*  791227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791273 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  791276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791295 */     GIR_RootConstrainSelectedInstOperands,
     /*  791296 */     // GIR_Coverage, 19163,
     /*  791296 */     GIR_EraseRootFromParent_Done,
     /*  791297 */   // Label 12264: @791297
     /*  791297 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791372), // Rule ID 19166 //
     /*  791302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791348 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  791351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791370 */     GIR_RootConstrainSelectedInstOperands,
     /*  791371 */     // GIR_Coverage, 19166,
     /*  791371 */     GIR_EraseRootFromParent_Done,
     /*  791372 */   // Label 12265: @791372
     /*  791372 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791447), // Rule ID 19167 //
     /*  791377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  791426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791445 */     GIR_RootConstrainSelectedInstOperands,
     /*  791446 */     // GIR_Coverage, 19167,
     /*  791446 */     GIR_EraseRootFromParent_Done,
     /*  791447 */   // Label 12266: @791447
     /*  791447 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791522), // Rule ID 19170 //
     /*  791452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791498 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  791501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791520 */     GIR_RootConstrainSelectedInstOperands,
     /*  791521 */     // GIR_Coverage, 19170,
     /*  791521 */     GIR_EraseRootFromParent_Done,
     /*  791522 */   // Label 12267: @791522
     /*  791522 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791597), // Rule ID 19171 //
     /*  791527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  791544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791573 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  791576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791595 */     GIR_RootConstrainSelectedInstOperands,
     /*  791596 */     // GIR_Coverage, 19171,
     /*  791596 */     GIR_EraseRootFromParent_Done,
     /*  791597 */   // Label 12268: @791597
     /*  791597 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791672), // Rule ID 19174 //
     /*  791602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791648 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  791651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791670 */     GIR_RootConstrainSelectedInstOperands,
     /*  791671 */     // GIR_Coverage, 19174,
     /*  791671 */     GIR_EraseRootFromParent_Done,
     /*  791672 */   // Label 12269: @791672
     /*  791672 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(791747), // Rule ID 19175 //
     /*  791677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  791694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  791726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791745 */     GIR_RootConstrainSelectedInstOperands,
     /*  791746 */     // GIR_Coverage, 19175,
     /*  791746 */     GIR_EraseRootFromParent_Done,
     /*  791747 */   // Label 12270: @791747
     /*  791747 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(791822), // Rule ID 19178 //
     /*  791752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  791763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  791766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  791769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  791801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791820 */     GIR_RootConstrainSelectedInstOperands,
     /*  791821 */     // GIR_Coverage, 19178,
     /*  791821 */     GIR_EraseRootFromParent_Done,
     /*  791822 */   // Label 12271: @791822
     /*  791822 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(791897), // Rule ID 19179 //
     /*  791827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  791838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  791841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  791844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791873 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  791876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791895 */     GIR_RootConstrainSelectedInstOperands,
     /*  791896 */     // GIR_Coverage, 19179,
     /*  791896 */     GIR_EraseRootFromParent_Done,
     /*  791897 */   // Label 12272: @791897
     /*  791897 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(791972), // Rule ID 19182 //
     /*  791902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  791951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791970 */     GIR_RootConstrainSelectedInstOperands,
     /*  791971 */     // GIR_Coverage, 19182,
     /*  791971 */     GIR_EraseRootFromParent_Done,
     /*  791972 */   // Label 12273: @791972
     /*  791972 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(792047), // Rule ID 19183 //
     /*  791977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  791985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792023 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  792026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792045 */     GIR_RootConstrainSelectedInstOperands,
     /*  792046 */     // GIR_Coverage, 19183,
     /*  792046 */     GIR_EraseRootFromParent_Done,
     /*  792047 */   // Label 12274: @792047
     /*  792047 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792122), // Rule ID 19186 //
     /*  792052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792098 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  792101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792120 */     GIR_RootConstrainSelectedInstOperands,
     /*  792121 */     // GIR_Coverage, 19186,
     /*  792121 */     GIR_EraseRootFromParent_Done,
     /*  792122 */   // Label 12275: @792122
     /*  792122 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792197), // Rule ID 19187 //
     /*  792127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792173 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  792176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792195 */     GIR_RootConstrainSelectedInstOperands,
     /*  792196 */     // GIR_Coverage, 19187,
     /*  792196 */     GIR_EraseRootFromParent_Done,
     /*  792197 */   // Label 12276: @792197
     /*  792197 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(792272), // Rule ID 19190 //
     /*  792202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  792251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792270 */     GIR_RootConstrainSelectedInstOperands,
     /*  792271 */     // GIR_Coverage, 19190,
     /*  792271 */     GIR_EraseRootFromParent_Done,
     /*  792272 */   // Label 12277: @792272
     /*  792272 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(792347), // Rule ID 19191 //
     /*  792277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792323 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  792326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792345 */     GIR_RootConstrainSelectedInstOperands,
     /*  792346 */     // GIR_Coverage, 19191,
     /*  792346 */     GIR_EraseRootFromParent_Done,
     /*  792347 */   // Label 12278: @792347
     /*  792347 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792422), // Rule ID 19194 //
     /*  792352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792398 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  792401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792420 */     GIR_RootConstrainSelectedInstOperands,
     /*  792421 */     // GIR_Coverage, 19194,
     /*  792421 */     GIR_EraseRootFromParent_Done,
     /*  792422 */   // Label 12279: @792422
     /*  792422 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792497), // Rule ID 19195 //
     /*  792427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  792444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  792447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792473 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  792476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792495 */     GIR_RootConstrainSelectedInstOperands,
     /*  792496 */     // GIR_Coverage, 19195,
     /*  792496 */     GIR_EraseRootFromParent_Done,
     /*  792497 */   // Label 12280: @792497
     /*  792497 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792572), // Rule ID 19198 //
     /*  792502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  792551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792570 */     GIR_RootConstrainSelectedInstOperands,
     /*  792571 */     // GIR_Coverage, 19198,
     /*  792571 */     GIR_EraseRootFromParent_Done,
     /*  792572 */   // Label 12281: @792572
     /*  792572 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792647), // Rule ID 19199 //
     /*  792577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792623 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  792626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792645 */     GIR_RootConstrainSelectedInstOperands,
     /*  792646 */     // GIR_Coverage, 19199,
     /*  792646 */     GIR_EraseRootFromParent_Done,
     /*  792647 */   // Label 12282: @792647
     /*  792647 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792722), // Rule ID 19202 //
     /*  792652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792698 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  792701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792720 */     GIR_RootConstrainSelectedInstOperands,
     /*  792721 */     // GIR_Coverage, 19202,
     /*  792721 */     GIR_EraseRootFromParent_Done,
     /*  792722 */   // Label 12283: @792722
     /*  792722 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(792797), // Rule ID 19203 //
     /*  792727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792773 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  792776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792795 */     GIR_RootConstrainSelectedInstOperands,
     /*  792796 */     // GIR_Coverage, 19203,
     /*  792796 */     GIR_EraseRootFromParent_Done,
     /*  792797 */   // Label 12284: @792797
     /*  792797 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(792872), // Rule ID 19206 //
     /*  792802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792848 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  792851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792870 */     GIR_RootConstrainSelectedInstOperands,
     /*  792871 */     // GIR_Coverage, 19206,
     /*  792871 */     GIR_EraseRootFromParent_Done,
     /*  792872 */   // Label 12285: @792872
     /*  792872 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(792947), // Rule ID 19207 //
     /*  792877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792923 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  792926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792945 */     GIR_RootConstrainSelectedInstOperands,
     /*  792946 */     // GIR_Coverage, 19207,
     /*  792946 */     GIR_EraseRootFromParent_Done,
     /*  792947 */   // Label 12286: @792947
     /*  792947 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(793022), // Rule ID 19210 //
     /*  792952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  792969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  792972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792998 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  793001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793020 */     GIR_RootConstrainSelectedInstOperands,
     /*  793021 */     // GIR_Coverage, 19210,
     /*  793021 */     GIR_EraseRootFromParent_Done,
     /*  793022 */   // Label 12287: @793022
     /*  793022 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793097), // Rule ID 19211 //
     /*  793027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793073 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  793076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793095 */     GIR_RootConstrainSelectedInstOperands,
     /*  793096 */     // GIR_Coverage, 19211,
     /*  793096 */     GIR_EraseRootFromParent_Done,
     /*  793097 */   // Label 12288: @793097
     /*  793097 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793172), // Rule ID 19214 //
     /*  793102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793148 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  793151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793170 */     GIR_RootConstrainSelectedInstOperands,
     /*  793171 */     // GIR_Coverage, 19214,
     /*  793171 */     GIR_EraseRootFromParent_Done,
     /*  793172 */   // Label 12289: @793172
     /*  793172 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793247), // Rule ID 19215 //
     /*  793177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793223 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  793226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793245 */     GIR_RootConstrainSelectedInstOperands,
     /*  793246 */     // GIR_Coverage, 19215,
     /*  793246 */     GIR_EraseRootFromParent_Done,
     /*  793247 */   // Label 12290: @793247
     /*  793247 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(793322), // Rule ID 19218 //
     /*  793252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  793301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793320 */     GIR_RootConstrainSelectedInstOperands,
     /*  793321 */     // GIR_Coverage, 19218,
     /*  793321 */     GIR_EraseRootFromParent_Done,
     /*  793322 */   // Label 12291: @793322
     /*  793322 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793397), // Rule ID 19219 //
     /*  793327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793373 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  793376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793395 */     GIR_RootConstrainSelectedInstOperands,
     /*  793396 */     // GIR_Coverage, 19219,
     /*  793396 */     GIR_EraseRootFromParent_Done,
     /*  793397 */   // Label 12292: @793397
     /*  793397 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793472), // Rule ID 19222 //
     /*  793402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  793451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793470 */     GIR_RootConstrainSelectedInstOperands,
     /*  793471 */     // GIR_Coverage, 19222,
     /*  793471 */     GIR_EraseRootFromParent_Done,
     /*  793472 */   // Label 12293: @793472
     /*  793472 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793547), // Rule ID 19223 //
     /*  793477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793523 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  793526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793545 */     GIR_RootConstrainSelectedInstOperands,
     /*  793546 */     // GIR_Coverage, 19223,
     /*  793546 */     GIR_EraseRootFromParent_Done,
     /*  793547 */   // Label 12294: @793547
     /*  793547 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793622), // Rule ID 19226 //
     /*  793552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793598 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  793601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793620 */     GIR_RootConstrainSelectedInstOperands,
     /*  793621 */     // GIR_Coverage, 19226,
     /*  793621 */     GIR_EraseRootFromParent_Done,
     /*  793622 */   // Label 12295: @793622
     /*  793622 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793697), // Rule ID 19227 //
     /*  793627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793673 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  793676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793695 */     GIR_RootConstrainSelectedInstOperands,
     /*  793696 */     // GIR_Coverage, 19227,
     /*  793696 */     GIR_EraseRootFromParent_Done,
     /*  793697 */   // Label 12296: @793697
     /*  793697 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(793772), // Rule ID 19230 //
     /*  793702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  793751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793770 */     GIR_RootConstrainSelectedInstOperands,
     /*  793771 */     // GIR_Coverage, 19230,
     /*  793771 */     GIR_EraseRootFromParent_Done,
     /*  793772 */   // Label 12297: @793772
     /*  793772 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(793847), // Rule ID 19231 //
     /*  793777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793823 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  793826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793845 */     GIR_RootConstrainSelectedInstOperands,
     /*  793846 */     // GIR_Coverage, 19231,
     /*  793846 */     GIR_EraseRootFromParent_Done,
     /*  793847 */   // Label 12298: @793847
     /*  793847 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(793922), // Rule ID 19234 //
     /*  793852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  793901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793920 */     GIR_RootConstrainSelectedInstOperands,
     /*  793921 */     // GIR_Coverage, 19234,
     /*  793921 */     GIR_EraseRootFromParent_Done,
     /*  793922 */   // Label 12299: @793922
     /*  793922 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(793997), // Rule ID 19235 //
     /*  793927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793973 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  793976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793995 */     GIR_RootConstrainSelectedInstOperands,
     /*  793996 */     // GIR_Coverage, 19235,
     /*  793996 */     GIR_EraseRootFromParent_Done,
     /*  793997 */   // Label 12300: @793997
     /*  793997 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(794072), // Rule ID 19238 //
     /*  794002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794048 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  794051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794070 */     GIR_RootConstrainSelectedInstOperands,
     /*  794071 */     // GIR_Coverage, 19238,
     /*  794071 */     GIR_EraseRootFromParent_Done,
     /*  794072 */   // Label 12301: @794072
     /*  794072 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794147), // Rule ID 19239 //
     /*  794077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794123 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  794126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794145 */     GIR_RootConstrainSelectedInstOperands,
     /*  794146 */     // GIR_Coverage, 19239,
     /*  794146 */     GIR_EraseRootFromParent_Done,
     /*  794147 */   // Label 12302: @794147
     /*  794147 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794222), // Rule ID 19242 //
     /*  794152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794198 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  794201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794220 */     GIR_RootConstrainSelectedInstOperands,
     /*  794221 */     // GIR_Coverage, 19242,
     /*  794221 */     GIR_EraseRootFromParent_Done,
     /*  794222 */   // Label 12303: @794222
     /*  794222 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(794297), // Rule ID 19243 //
     /*  794227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794273 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  794276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794295 */     GIR_RootConstrainSelectedInstOperands,
     /*  794296 */     // GIR_Coverage, 19243,
     /*  794296 */     GIR_EraseRootFromParent_Done,
     /*  794297 */   // Label 12304: @794297
     /*  794297 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794372), // Rule ID 19246 //
     /*  794302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794348 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  794351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794370 */     GIR_RootConstrainSelectedInstOperands,
     /*  794371 */     // GIR_Coverage, 19246,
     /*  794371 */     GIR_EraseRootFromParent_Done,
     /*  794372 */   // Label 12305: @794372
     /*  794372 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794447), // Rule ID 19247 //
     /*  794377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794423 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  794426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794445 */     GIR_RootConstrainSelectedInstOperands,
     /*  794446 */     // GIR_Coverage, 19247,
     /*  794446 */     GIR_EraseRootFromParent_Done,
     /*  794447 */   // Label 12306: @794447
     /*  794447 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794522), // Rule ID 19250 //
     /*  794452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794498 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  794501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794520 */     GIR_RootConstrainSelectedInstOperands,
     /*  794521 */     // GIR_Coverage, 19250,
     /*  794521 */     GIR_EraseRootFromParent_Done,
     /*  794522 */   // Label 12307: @794522
     /*  794522 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794597), // Rule ID 19251 //
     /*  794527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794573 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  794576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794595 */     GIR_RootConstrainSelectedInstOperands,
     /*  794596 */     // GIR_Coverage, 19251,
     /*  794596 */     GIR_EraseRootFromParent_Done,
     /*  794597 */   // Label 12308: @794597
     /*  794597 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794672), // Rule ID 19254 //
     /*  794602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  794651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794670 */     GIR_RootConstrainSelectedInstOperands,
     /*  794671 */     // GIR_Coverage, 19254,
     /*  794671 */     GIR_EraseRootFromParent_Done,
     /*  794672 */   // Label 12309: @794672
     /*  794672 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(794747), // Rule ID 19255 //
     /*  794677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  794688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  794691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  794694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794723 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  794726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794745 */     GIR_RootConstrainSelectedInstOperands,
     /*  794746 */     // GIR_Coverage, 19255,
     /*  794746 */     GIR_EraseRootFromParent_Done,
     /*  794747 */   // Label 12310: @794747
     /*  794747 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(794822), // Rule ID 19258 //
     /*  794752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  794763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  794766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  794801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794820 */     GIR_RootConstrainSelectedInstOperands,
     /*  794821 */     // GIR_Coverage, 19258,
     /*  794821 */     GIR_EraseRootFromParent_Done,
     /*  794822 */   // Label 12311: @794822
     /*  794822 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(794897), // Rule ID 19259 //
     /*  794827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  794838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  794841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794873 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  794876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794895 */     GIR_RootConstrainSelectedInstOperands,
     /*  794896 */     // GIR_Coverage, 19259,
     /*  794896 */     GIR_EraseRootFromParent_Done,
     /*  794897 */   // Label 12312: @794897
     /*  794897 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(794972), // Rule ID 19262 //
     /*  794902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  794951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794970 */     GIR_RootConstrainSelectedInstOperands,
     /*  794971 */     // GIR_Coverage, 19262,
     /*  794971 */     GIR_EraseRootFromParent_Done,
     /*  794972 */   // Label 12313: @794972
     /*  794972 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(795047), // Rule ID 19263 //
     /*  794977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795023 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  795026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795045 */     GIR_RootConstrainSelectedInstOperands,
     /*  795046 */     // GIR_Coverage, 19263,
     /*  795046 */     GIR_EraseRootFromParent_Done,
     /*  795047 */   // Label 12314: @795047
     /*  795047 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795122), // Rule ID 19266 //
     /*  795052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795098 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  795101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795120 */     GIR_RootConstrainSelectedInstOperands,
     /*  795121 */     // GIR_Coverage, 19266,
     /*  795121 */     GIR_EraseRootFromParent_Done,
     /*  795122 */   // Label 12315: @795122
     /*  795122 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795197), // Rule ID 19267 //
     /*  795127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795173 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  795176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795195 */     GIR_RootConstrainSelectedInstOperands,
     /*  795196 */     // GIR_Coverage, 19267,
     /*  795196 */     GIR_EraseRootFromParent_Done,
     /*  795197 */   // Label 12316: @795197
     /*  795197 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(795272), // Rule ID 19270 //
     /*  795202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795248 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  795251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795270 */     GIR_RootConstrainSelectedInstOperands,
     /*  795271 */     // GIR_Coverage, 19270,
     /*  795271 */     GIR_EraseRootFromParent_Done,
     /*  795272 */   // Label 12317: @795272
     /*  795272 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(795347), // Rule ID 19271 //
     /*  795277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  795326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795345 */     GIR_RootConstrainSelectedInstOperands,
     /*  795346 */     // GIR_Coverage, 19271,
     /*  795346 */     GIR_EraseRootFromParent_Done,
     /*  795347 */   // Label 12318: @795347
     /*  795347 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795422), // Rule ID 19274 //
     /*  795352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795398 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  795401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795420 */     GIR_RootConstrainSelectedInstOperands,
     /*  795421 */     // GIR_Coverage, 19274,
     /*  795421 */     GIR_EraseRootFromParent_Done,
     /*  795422 */   // Label 12319: @795422
     /*  795422 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795497), // Rule ID 19275 //
     /*  795427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  795438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  795441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  795444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795473 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  795476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795495 */     GIR_RootConstrainSelectedInstOperands,
     /*  795496 */     // GIR_Coverage, 19275,
     /*  795496 */     GIR_EraseRootFromParent_Done,
     /*  795497 */   // Label 12320: @795497
     /*  795497 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795572), // Rule ID 19278 //
     /*  795502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  795551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795570 */     GIR_RootConstrainSelectedInstOperands,
     /*  795571 */     // GIR_Coverage, 19278,
     /*  795571 */     GIR_EraseRootFromParent_Done,
     /*  795572 */   // Label 12321: @795572
     /*  795572 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795647), // Rule ID 19279 //
     /*  795577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  795588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  795591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  795594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795623 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  795626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795645 */     GIR_RootConstrainSelectedInstOperands,
     /*  795646 */     // GIR_Coverage, 19279,
     /*  795646 */     GIR_EraseRootFromParent_Done,
     /*  795647 */   // Label 12322: @795647
     /*  795647 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795722), // Rule ID 19282 //
     /*  795652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795698 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  795701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795720 */     GIR_RootConstrainSelectedInstOperands,
     /*  795721 */     // GIR_Coverage, 19282,
     /*  795721 */     GIR_EraseRootFromParent_Done,
     /*  795722 */   // Label 12323: @795722
     /*  795722 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(795797), // Rule ID 19283 //
     /*  795727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  795738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  795741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  795744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795773 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  795776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795795 */     GIR_RootConstrainSelectedInstOperands,
     /*  795796 */     // GIR_Coverage, 19283,
     /*  795796 */     GIR_EraseRootFromParent_Done,
     /*  795797 */   // Label 12324: @795797
     /*  795797 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(795872), // Rule ID 19286 //
     /*  795802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  795813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  795816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  795819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795848 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  795851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795870 */     GIR_RootConstrainSelectedInstOperands,
     /*  795871 */     // GIR_Coverage, 19286,
     /*  795871 */     GIR_EraseRootFromParent_Done,
     /*  795872 */   // Label 12325: @795872
     /*  795872 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(795947), // Rule ID 19287 //
     /*  795877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  795888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  795891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  795894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795923 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  795926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795945 */     GIR_RootConstrainSelectedInstOperands,
     /*  795946 */     // GIR_Coverage, 19287,
     /*  795946 */     GIR_EraseRootFromParent_Done,
     /*  795947 */   // Label 12326: @795947
     /*  795947 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(796022), // Rule ID 19290 //
     /*  795952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795998 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  796001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796020 */     GIR_RootConstrainSelectedInstOperands,
     /*  796021 */     // GIR_Coverage, 19290,
     /*  796021 */     GIR_EraseRootFromParent_Done,
     /*  796022 */   // Label 12327: @796022
     /*  796022 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796097), // Rule ID 19291 //
     /*  796027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  796076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796095 */     GIR_RootConstrainSelectedInstOperands,
     /*  796096 */     // GIR_Coverage, 19291,
     /*  796096 */     GIR_EraseRootFromParent_Done,
     /*  796097 */   // Label 12328: @796097
     /*  796097 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796172), // Rule ID 19294 //
     /*  796102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796148 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  796151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796170 */     GIR_RootConstrainSelectedInstOperands,
     /*  796171 */     // GIR_Coverage, 19294,
     /*  796171 */     GIR_EraseRootFromParent_Done,
     /*  796172 */   // Label 12329: @796172
     /*  796172 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796247), // Rule ID 19295 //
     /*  796177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796223 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  796226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796245 */     GIR_RootConstrainSelectedInstOperands,
     /*  796246 */     // GIR_Coverage, 19295,
     /*  796246 */     GIR_EraseRootFromParent_Done,
     /*  796247 */   // Label 12330: @796247
     /*  796247 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(796322), // Rule ID 19298 //
     /*  796252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796298 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  796301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796320 */     GIR_RootConstrainSelectedInstOperands,
     /*  796321 */     // GIR_Coverage, 19298,
     /*  796321 */     GIR_EraseRootFromParent_Done,
     /*  796322 */   // Label 12331: @796322
     /*  796322 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796397), // Rule ID 19299 //
     /*  796327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796373 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  796376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796395 */     GIR_RootConstrainSelectedInstOperands,
     /*  796396 */     // GIR_Coverage, 19299,
     /*  796396 */     GIR_EraseRootFromParent_Done,
     /*  796397 */   // Label 12332: @796397
     /*  796397 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796472), // Rule ID 19302 //
     /*  796402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  796451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796470 */     GIR_RootConstrainSelectedInstOperands,
     /*  796471 */     // GIR_Coverage, 19302,
     /*  796471 */     GIR_EraseRootFromParent_Done,
     /*  796472 */   // Label 12333: @796472
     /*  796472 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796547), // Rule ID 19303 //
     /*  796477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  796488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  796491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  796494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  796497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796523 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  796526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796545 */     GIR_RootConstrainSelectedInstOperands,
     /*  796546 */     // GIR_Coverage, 19303,
     /*  796546 */     GIR_EraseRootFromParent_Done,
     /*  796547 */   // Label 12334: @796547
     /*  796547 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796622), // Rule ID 19306 //
     /*  796552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  796601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796620 */     GIR_RootConstrainSelectedInstOperands,
     /*  796621 */     // GIR_Coverage, 19306,
     /*  796621 */     GIR_EraseRootFromParent_Done,
     /*  796622 */   // Label 12335: @796622
     /*  796622 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796697), // Rule ID 19307 //
     /*  796627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  796638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  796641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  796644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  796647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796673 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  796676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796695 */     GIR_RootConstrainSelectedInstOperands,
     /*  796696 */     // GIR_Coverage, 19307,
     /*  796696 */     GIR_EraseRootFromParent_Done,
     /*  796697 */   // Label 12336: @796697
     /*  796697 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(796772), // Rule ID 19310 //
     /*  796702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  796722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  796751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796770 */     GIR_RootConstrainSelectedInstOperands,
     /*  796771 */     // GIR_Coverage, 19310,
     /*  796771 */     GIR_EraseRootFromParent_Done,
     /*  796772 */   // Label 12337: @796772
     /*  796772 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(796847), // Rule ID 19311 //
     /*  796777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  796788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  796791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  796794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  796797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  796826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796845 */     GIR_RootConstrainSelectedInstOperands,
     /*  796846 */     // GIR_Coverage, 19311,
     /*  796846 */     GIR_EraseRootFromParent_Done,
     /*  796847 */   // Label 12338: @796847
     /*  796847 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(796922), // Rule ID 19314 //
     /*  796852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  796863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  796866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  796869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  796872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796898 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  796901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796920 */     GIR_RootConstrainSelectedInstOperands,
     /*  796921 */     // GIR_Coverage, 19314,
     /*  796921 */     GIR_EraseRootFromParent_Done,
     /*  796922 */   // Label 12339: @796922
     /*  796922 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(796997), // Rule ID 19315 //
     /*  796927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  796935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  796938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  796941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  796944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  796947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  796976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796995 */     GIR_RootConstrainSelectedInstOperands,
     /*  796996 */     // GIR_Coverage, 19315,
     /*  796996 */     GIR_EraseRootFromParent_Done,
     /*  796997 */   // Label 12340: @796997
     /*  796997 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(797072), // Rule ID 19318 //
     /*  797002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  797051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797070 */     GIR_RootConstrainSelectedInstOperands,
     /*  797071 */     // GIR_Coverage, 19318,
     /*  797071 */     GIR_EraseRootFromParent_Done,
     /*  797072 */   // Label 12341: @797072
     /*  797072 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797147), // Rule ID 19319 //
     /*  797077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797123 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  797126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797145 */     GIR_RootConstrainSelectedInstOperands,
     /*  797146 */     // GIR_Coverage, 19319,
     /*  797146 */     GIR_EraseRootFromParent_Done,
     /*  797147 */   // Label 12342: @797147
     /*  797147 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797222), // Rule ID 19322 //
     /*  797152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  797201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797220 */     GIR_RootConstrainSelectedInstOperands,
     /*  797221 */     // GIR_Coverage, 19322,
     /*  797221 */     GIR_EraseRootFromParent_Done,
     /*  797222 */   // Label 12343: @797222
     /*  797222 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(797297), // Rule ID 19323 //
     /*  797227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797273 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  797276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797295 */     GIR_RootConstrainSelectedInstOperands,
     /*  797296 */     // GIR_Coverage, 19323,
     /*  797296 */     GIR_EraseRootFromParent_Done,
     /*  797297 */   // Label 12344: @797297
     /*  797297 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797372), // Rule ID 19326 //
     /*  797302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  797351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797370 */     GIR_RootConstrainSelectedInstOperands,
     /*  797371 */     // GIR_Coverage, 19326,
     /*  797371 */     GIR_EraseRootFromParent_Done,
     /*  797372 */   // Label 12345: @797372
     /*  797372 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797447), // Rule ID 19327 //
     /*  797377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  797397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  797426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797445 */     GIR_RootConstrainSelectedInstOperands,
     /*  797446 */     // GIR_Coverage, 19327,
     /*  797446 */     GIR_EraseRootFromParent_Done,
     /*  797447 */   // Label 12346: @797447
     /*  797447 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797522), // Rule ID 19330 //
     /*  797452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797498 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  797501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797520 */     GIR_RootConstrainSelectedInstOperands,
     /*  797521 */     // GIR_Coverage, 19330,
     /*  797521 */     GIR_EraseRootFromParent_Done,
     /*  797522 */   // Label 12347: @797522
     /*  797522 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797597), // Rule ID 19331 //
     /*  797527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  797538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  797541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  797544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  797547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797573 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  797576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797595 */     GIR_RootConstrainSelectedInstOperands,
     /*  797596 */     // GIR_Coverage, 19331,
     /*  797596 */     GIR_EraseRootFromParent_Done,
     /*  797597 */   // Label 12348: @797597
     /*  797597 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797672), // Rule ID 19334 //
     /*  797602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797648 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  797651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797670 */     GIR_RootConstrainSelectedInstOperands,
     /*  797671 */     // GIR_Coverage, 19334,
     /*  797671 */     GIR_EraseRootFromParent_Done,
     /*  797672 */   // Label 12349: @797672
     /*  797672 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(797747), // Rule ID 19335 //
     /*  797677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  797688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  797691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  797694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  797697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797723 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  797726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797745 */     GIR_RootConstrainSelectedInstOperands,
     /*  797746 */     // GIR_Coverage, 19335,
     /*  797746 */     GIR_EraseRootFromParent_Done,
     /*  797747 */   // Label 12350: @797747
     /*  797747 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(797822), // Rule ID 19338 //
     /*  797752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  797763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  797766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  797769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  797772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797798 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  797801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797820 */     GIR_RootConstrainSelectedInstOperands,
     /*  797821 */     // GIR_Coverage, 19338,
     /*  797821 */     GIR_EraseRootFromParent_Done,
     /*  797822 */   // Label 12351: @797822
     /*  797822 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(797897), // Rule ID 19339 //
     /*  797827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  797838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  797841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  797844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  797847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  797876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797895 */     GIR_RootConstrainSelectedInstOperands,
     /*  797896 */     // GIR_Coverage, 19339,
     /*  797896 */     GIR_EraseRootFromParent_Done,
     /*  797897 */   // Label 12352: @797897
     /*  797897 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(797972), // Rule ID 19342 //
     /*  797902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  797913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  797916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  797919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  797922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  797951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797970 */     GIR_RootConstrainSelectedInstOperands,
     /*  797971 */     // GIR_Coverage, 19342,
     /*  797971 */     GIR_EraseRootFromParent_Done,
     /*  797972 */   // Label 12353: @797972
     /*  797972 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(798047), // Rule ID 19343 //
     /*  797977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  797988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  797991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  797994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  797997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798023 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  798026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798045 */     GIR_RootConstrainSelectedInstOperands,
     /*  798046 */     // GIR_Coverage, 19343,
     /*  798046 */     GIR_EraseRootFromParent_Done,
     /*  798047 */   // Label 12354: @798047
     /*  798047 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798122), // Rule ID 19346 //
     /*  798052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798098 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  798101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798120 */     GIR_RootConstrainSelectedInstOperands,
     /*  798121 */     // GIR_Coverage, 19346,
     /*  798121 */     GIR_EraseRootFromParent_Done,
     /*  798122 */   // Label 12355: @798122
     /*  798122 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798197), // Rule ID 19347 //
     /*  798127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798173 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  798176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798195 */     GIR_RootConstrainSelectedInstOperands,
     /*  798196 */     // GIR_Coverage, 19347,
     /*  798196 */     GIR_EraseRootFromParent_Done,
     /*  798197 */   // Label 12356: @798197
     /*  798197 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(798272), // Rule ID 19350 //
     /*  798202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  798251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798270 */     GIR_RootConstrainSelectedInstOperands,
     /*  798271 */     // GIR_Coverage, 19350,
     /*  798271 */     GIR_EraseRootFromParent_Done,
     /*  798272 */   // Label 12357: @798272
     /*  798272 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(798347), // Rule ID 19351 //
     /*  798277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798323 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  798326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798345 */     GIR_RootConstrainSelectedInstOperands,
     /*  798346 */     // GIR_Coverage, 19351,
     /*  798346 */     GIR_EraseRootFromParent_Done,
     /*  798347 */   // Label 12358: @798347
     /*  798347 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798422), // Rule ID 19354 //
     /*  798352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798398 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  798401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798420 */     GIR_RootConstrainSelectedInstOperands,
     /*  798421 */     // GIR_Coverage, 19354,
     /*  798421 */     GIR_EraseRootFromParent_Done,
     /*  798422 */   // Label 12359: @798422
     /*  798422 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798497), // Rule ID 19355 //
     /*  798427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  798438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  798441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  798444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  798447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798473 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  798476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798495 */     GIR_RootConstrainSelectedInstOperands,
     /*  798496 */     // GIR_Coverage, 19355,
     /*  798496 */     GIR_EraseRootFromParent_Done,
     /*  798497 */   // Label 12360: @798497
     /*  798497 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798572), // Rule ID 19358 //
     /*  798502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  798551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798570 */     GIR_RootConstrainSelectedInstOperands,
     /*  798571 */     // GIR_Coverage, 19358,
     /*  798571 */     GIR_EraseRootFromParent_Done,
     /*  798572 */   // Label 12361: @798572
     /*  798572 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798647), // Rule ID 19359 //
     /*  798577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  798588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  798591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  798594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  798597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798623 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  798626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798645 */     GIR_RootConstrainSelectedInstOperands,
     /*  798646 */     // GIR_Coverage, 19359,
     /*  798646 */     GIR_EraseRootFromParent_Done,
     /*  798647 */   // Label 12362: @798647
     /*  798647 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798722), // Rule ID 19362 //
     /*  798652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798698 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  798701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798720 */     GIR_RootConstrainSelectedInstOperands,
     /*  798721 */     // GIR_Coverage, 19362,
     /*  798721 */     GIR_EraseRootFromParent_Done,
     /*  798722 */   // Label 12363: @798722
     /*  798722 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(798797), // Rule ID 19363 //
     /*  798727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  798738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  798741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  798744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798773 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  798776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798795 */     GIR_RootConstrainSelectedInstOperands,
     /*  798796 */     // GIR_Coverage, 19363,
     /*  798796 */     GIR_EraseRootFromParent_Done,
     /*  798797 */   // Label 12364: @798797
     /*  798797 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(798872), // Rule ID 19366 //
     /*  798802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  798851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798870 */     GIR_RootConstrainSelectedInstOperands,
     /*  798871 */     // GIR_Coverage, 19366,
     /*  798871 */     GIR_EraseRootFromParent_Done,
     /*  798872 */   // Label 12365: @798872
     /*  798872 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(798947), // Rule ID 19367 //
     /*  798877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798923 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  798926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798945 */     GIR_RootConstrainSelectedInstOperands,
     /*  798946 */     // GIR_Coverage, 19367,
     /*  798946 */     GIR_EraseRootFromParent_Done,
     /*  798947 */   // Label 12366: @798947
     /*  798947 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(799022), // Rule ID 19370 //
     /*  798952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  798963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  798966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  798969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  799001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799020 */     GIR_RootConstrainSelectedInstOperands,
     /*  799021 */     // GIR_Coverage, 19370,
     /*  799021 */     GIR_EraseRootFromParent_Done,
     /*  799022 */   // Label 12367: @799022
     /*  799022 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799097), // Rule ID 19371 //
     /*  799027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799073 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  799076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799095 */     GIR_RootConstrainSelectedInstOperands,
     /*  799096 */     // GIR_Coverage, 19371,
     /*  799096 */     GIR_EraseRootFromParent_Done,
     /*  799097 */   // Label 12368: @799097
     /*  799097 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799172), // Rule ID 19374 //
     /*  799102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  799151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799170 */     GIR_RootConstrainSelectedInstOperands,
     /*  799171 */     // GIR_Coverage, 19374,
     /*  799171 */     GIR_EraseRootFromParent_Done,
     /*  799172 */   // Label 12369: @799172
     /*  799172 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799247), // Rule ID 19375 //
     /*  799177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799223 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  799226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799245 */     GIR_RootConstrainSelectedInstOperands,
     /*  799246 */     // GIR_Coverage, 19375,
     /*  799246 */     GIR_EraseRootFromParent_Done,
     /*  799247 */   // Label 12370: @799247
     /*  799247 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(799322), // Rule ID 19378 //
     /*  799252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799298 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  799301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799320 */     GIR_RootConstrainSelectedInstOperands,
     /*  799321 */     // GIR_Coverage, 19378,
     /*  799321 */     GIR_EraseRootFromParent_Done,
     /*  799322 */   // Label 12371: @799322
     /*  799322 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799397), // Rule ID 19379 //
     /*  799327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799373 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  799376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799395 */     GIR_RootConstrainSelectedInstOperands,
     /*  799396 */     // GIR_Coverage, 19379,
     /*  799396 */     GIR_EraseRootFromParent_Done,
     /*  799397 */   // Label 12372: @799397
     /*  799397 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799472), // Rule ID 19382 //
     /*  799402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  799451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799470 */     GIR_RootConstrainSelectedInstOperands,
     /*  799471 */     // GIR_Coverage, 19382,
     /*  799471 */     GIR_EraseRootFromParent_Done,
     /*  799472 */   // Label 12373: @799472
     /*  799472 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799547), // Rule ID 19383 //
     /*  799477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  799488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  799491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  799494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  799526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799545 */     GIR_RootConstrainSelectedInstOperands,
     /*  799546 */     // GIR_Coverage, 19383,
     /*  799546 */     GIR_EraseRootFromParent_Done,
     /*  799547 */   // Label 12374: @799547
     /*  799547 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799622), // Rule ID 19386 //
     /*  799552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  799601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799620 */     GIR_RootConstrainSelectedInstOperands,
     /*  799621 */     // GIR_Coverage, 19386,
     /*  799621 */     GIR_EraseRootFromParent_Done,
     /*  799622 */   // Label 12375: @799622
     /*  799622 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799697), // Rule ID 19387 //
     /*  799627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799673 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  799676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799695 */     GIR_RootConstrainSelectedInstOperands,
     /*  799696 */     // GIR_Coverage, 19387,
     /*  799696 */     GIR_EraseRootFromParent_Done,
     /*  799697 */   // Label 12376: @799697
     /*  799697 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(799772), // Rule ID 19390 //
     /*  799702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  799751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799770 */     GIR_RootConstrainSelectedInstOperands,
     /*  799771 */     // GIR_Coverage, 19390,
     /*  799771 */     GIR_EraseRootFromParent_Done,
     /*  799772 */   // Label 12377: @799772
     /*  799772 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(799847), // Rule ID 19391 //
     /*  799777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799823 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  799826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799845 */     GIR_RootConstrainSelectedInstOperands,
     /*  799846 */     // GIR_Coverage, 19391,
     /*  799846 */     GIR_EraseRootFromParent_Done,
     /*  799847 */   // Label 12378: @799847
     /*  799847 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(799922), // Rule ID 19394 //
     /*  799852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799898 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  799901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799920 */     GIR_RootConstrainSelectedInstOperands,
     /*  799921 */     // GIR_Coverage, 19394,
     /*  799921 */     GIR_EraseRootFromParent_Done,
     /*  799922 */   // Label 12379: @799922
     /*  799922 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(799997), // Rule ID 19395 //
     /*  799927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799973 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  799976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799995 */     GIR_RootConstrainSelectedInstOperands,
     /*  799996 */     // GIR_Coverage, 19395,
     /*  799996 */     GIR_EraseRootFromParent_Done,
     /*  799997 */   // Label 12380: @799997
     /*  799997 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(800072), // Rule ID 19398 //
     /*  800002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  800051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800070 */     GIR_RootConstrainSelectedInstOperands,
     /*  800071 */     // GIR_Coverage, 19398,
     /*  800071 */     GIR_EraseRootFromParent_Done,
     /*  800072 */   // Label 12381: @800072
     /*  800072 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800147), // Rule ID 19399 //
     /*  800077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  800126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800145 */     GIR_RootConstrainSelectedInstOperands,
     /*  800146 */     // GIR_Coverage, 19399,
     /*  800146 */     GIR_EraseRootFromParent_Done,
     /*  800147 */   // Label 12382: @800147
     /*  800147 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800222), // Rule ID 19402 //
     /*  800152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800198 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  800201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800220 */     GIR_RootConstrainSelectedInstOperands,
     /*  800221 */     // GIR_Coverage, 19402,
     /*  800221 */     GIR_EraseRootFromParent_Done,
     /*  800222 */   // Label 12383: @800222
     /*  800222 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(800297), // Rule ID 19403 //
     /*  800227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800273 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  800276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800295 */     GIR_RootConstrainSelectedInstOperands,
     /*  800296 */     // GIR_Coverage, 19403,
     /*  800296 */     GIR_EraseRootFromParent_Done,
     /*  800297 */   // Label 12384: @800297
     /*  800297 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800372), // Rule ID 19406 //
     /*  800302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800348 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  800351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800370 */     GIR_RootConstrainSelectedInstOperands,
     /*  800371 */     // GIR_Coverage, 19406,
     /*  800371 */     GIR_EraseRootFromParent_Done,
     /*  800372 */   // Label 12385: @800372
     /*  800372 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800447), // Rule ID 19407 //
     /*  800377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  800426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800445 */     GIR_RootConstrainSelectedInstOperands,
     /*  800446 */     // GIR_Coverage, 19407,
     /*  800446 */     GIR_EraseRootFromParent_Done,
     /*  800447 */   // Label 12386: @800447
     /*  800447 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800522), // Rule ID 19410 //
     /*  800452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800498 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  800501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800520 */     GIR_RootConstrainSelectedInstOperands,
     /*  800521 */     // GIR_Coverage, 19410,
     /*  800521 */     GIR_EraseRootFromParent_Done,
     /*  800522 */   // Label 12387: @800522
     /*  800522 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800597), // Rule ID 19411 //
     /*  800527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800573 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  800576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800595 */     GIR_RootConstrainSelectedInstOperands,
     /*  800596 */     // GIR_Coverage, 19411,
     /*  800596 */     GIR_EraseRootFromParent_Done,
     /*  800597 */   // Label 12388: @800597
     /*  800597 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800672), // Rule ID 19414 //
     /*  800602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800648 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  800651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800670 */     GIR_RootConstrainSelectedInstOperands,
     /*  800671 */     // GIR_Coverage, 19414,
     /*  800671 */     GIR_EraseRootFromParent_Done,
     /*  800672 */   // Label 12389: @800672
     /*  800672 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(800747), // Rule ID 19415 //
     /*  800677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  800726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800745 */     GIR_RootConstrainSelectedInstOperands,
     /*  800746 */     // GIR_Coverage, 19415,
     /*  800746 */     GIR_EraseRootFromParent_Done,
     /*  800747 */   // Label 12390: @800747
     /*  800747 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(800822), // Rule ID 19418 //
     /*  800752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  800801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800820 */     GIR_RootConstrainSelectedInstOperands,
     /*  800821 */     // GIR_Coverage, 19418,
     /*  800821 */     GIR_EraseRootFromParent_Done,
     /*  800822 */   // Label 12391: @800822
     /*  800822 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(800897), // Rule ID 19419 //
     /*  800827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800873 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  800876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800895 */     GIR_RootConstrainSelectedInstOperands,
     /*  800896 */     // GIR_Coverage, 19419,
     /*  800896 */     GIR_EraseRootFromParent_Done,
     /*  800897 */   // Label 12392: @800897
     /*  800897 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(800972), // Rule ID 19422 //
     /*  800902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  800922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  800951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800970 */     GIR_RootConstrainSelectedInstOperands,
     /*  800971 */     // GIR_Coverage, 19422,
     /*  800971 */     GIR_EraseRootFromParent_Done,
     /*  800972 */   // Label 12393: @800972
     /*  800972 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(801047), // Rule ID 19423 //
     /*  800977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  800985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  800997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801023 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  801026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801045 */     GIR_RootConstrainSelectedInstOperands,
     /*  801046 */     // GIR_Coverage, 19423,
     /*  801046 */     GIR_EraseRootFromParent_Done,
     /*  801047 */   // Label 12394: @801047
     /*  801047 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801122), // Rule ID 19426 //
     /*  801052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801098 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  801101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801120 */     GIR_RootConstrainSelectedInstOperands,
     /*  801121 */     // GIR_Coverage, 19426,
     /*  801121 */     GIR_EraseRootFromParent_Done,
     /*  801122 */   // Label 12395: @801122
     /*  801122 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801197), // Rule ID 19427 //
     /*  801127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801173 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  801176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801195 */     GIR_RootConstrainSelectedInstOperands,
     /*  801196 */     // GIR_Coverage, 19427,
     /*  801196 */     GIR_EraseRootFromParent_Done,
     /*  801197 */   // Label 12396: @801197
     /*  801197 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(801272), // Rule ID 19430 //
     /*  801202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  801251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801270 */     GIR_RootConstrainSelectedInstOperands,
     /*  801271 */     // GIR_Coverage, 19430,
     /*  801271 */     GIR_EraseRootFromParent_Done,
     /*  801272 */   // Label 12397: @801272
     /*  801272 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(801347), // Rule ID 19431 //
     /*  801277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801323 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  801326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801345 */     GIR_RootConstrainSelectedInstOperands,
     /*  801346 */     // GIR_Coverage, 19431,
     /*  801346 */     GIR_EraseRootFromParent_Done,
     /*  801347 */   // Label 12398: @801347
     /*  801347 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801422), // Rule ID 19434 //
     /*  801352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801398 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  801401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801420 */     GIR_RootConstrainSelectedInstOperands,
     /*  801421 */     // GIR_Coverage, 19434,
     /*  801421 */     GIR_EraseRootFromParent_Done,
     /*  801422 */   // Label 12399: @801422
     /*  801422 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801497), // Rule ID 19435 //
     /*  801427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801473 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  801476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801495 */     GIR_RootConstrainSelectedInstOperands,
     /*  801496 */     // GIR_Coverage, 19435,
     /*  801496 */     GIR_EraseRootFromParent_Done,
     /*  801497 */   // Label 12400: @801497
     /*  801497 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801572), // Rule ID 19438 //
     /*  801502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  801551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801570 */     GIR_RootConstrainSelectedInstOperands,
     /*  801571 */     // GIR_Coverage, 19438,
     /*  801571 */     GIR_EraseRootFromParent_Done,
     /*  801572 */   // Label 12401: @801572
     /*  801572 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801647), // Rule ID 19439 //
     /*  801577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801623 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  801626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801645 */     GIR_RootConstrainSelectedInstOperands,
     /*  801646 */     // GIR_Coverage, 19439,
     /*  801646 */     GIR_EraseRootFromParent_Done,
     /*  801647 */   // Label 12402: @801647
     /*  801647 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801722), // Rule ID 19442 //
     /*  801652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801698 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  801701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801720 */     GIR_RootConstrainSelectedInstOperands,
     /*  801721 */     // GIR_Coverage, 19442,
     /*  801721 */     GIR_EraseRootFromParent_Done,
     /*  801722 */   // Label 12403: @801722
     /*  801722 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(801797), // Rule ID 19443 //
     /*  801727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  801747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801773 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  801776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801795 */     GIR_RootConstrainSelectedInstOperands,
     /*  801796 */     // GIR_Coverage, 19443,
     /*  801796 */     GIR_EraseRootFromParent_Done,
     /*  801797 */   // Label 12404: @801797
     /*  801797 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(801872), // Rule ID 19446 //
     /*  801802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  801813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  801816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  801822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801848 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  801851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801870 */     GIR_RootConstrainSelectedInstOperands,
     /*  801871 */     // GIR_Coverage, 19446,
     /*  801871 */     GIR_EraseRootFromParent_Done,
     /*  801872 */   // Label 12405: @801872
     /*  801872 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(801947), // Rule ID 19447 //
     /*  801877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  801888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  801891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  801897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801923 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  801926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801945 */     GIR_RootConstrainSelectedInstOperands,
     /*  801946 */     // GIR_Coverage, 19447,
     /*  801946 */     GIR_EraseRootFromParent_Done,
     /*  801947 */   // Label 12406: @801947
     /*  801947 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(802022), // Rule ID 19450 //
     /*  801952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  801963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  801966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  801969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  801972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801998 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  802001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802020 */     GIR_RootConstrainSelectedInstOperands,
     /*  802021 */     // GIR_Coverage, 19450,
     /*  802021 */     GIR_EraseRootFromParent_Done,
     /*  802022 */   // Label 12407: @802022
     /*  802022 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802097), // Rule ID 19451 //
     /*  802027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802073 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  802076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802095 */     GIR_RootConstrainSelectedInstOperands,
     /*  802096 */     // GIR_Coverage, 19451,
     /*  802096 */     GIR_EraseRootFromParent_Done,
     /*  802097 */   // Label 12408: @802097
     /*  802097 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802172), // Rule ID 19454 //
     /*  802102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802148 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  802151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802170 */     GIR_RootConstrainSelectedInstOperands,
     /*  802171 */     // GIR_Coverage, 19454,
     /*  802171 */     GIR_EraseRootFromParent_Done,
     /*  802172 */   // Label 12409: @802172
     /*  802172 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802247), // Rule ID 19455 //
     /*  802177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802223 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  802226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802245 */     GIR_RootConstrainSelectedInstOperands,
     /*  802246 */     // GIR_Coverage, 19455,
     /*  802246 */     GIR_EraseRootFromParent_Done,
     /*  802247 */   // Label 12410: @802247
     /*  802247 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(802322), // Rule ID 19458 //
     /*  802252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  802301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802320 */     GIR_RootConstrainSelectedInstOperands,
     /*  802321 */     // GIR_Coverage, 19458,
     /*  802321 */     GIR_EraseRootFromParent_Done,
     /*  802322 */   // Label 12411: @802322
     /*  802322 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802397), // Rule ID 19459 //
     /*  802327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802373 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  802376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802395 */     GIR_RootConstrainSelectedInstOperands,
     /*  802396 */     // GIR_Coverage, 19459,
     /*  802396 */     GIR_EraseRootFromParent_Done,
     /*  802397 */   // Label 12412: @802397
     /*  802397 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802472), // Rule ID 19462 //
     /*  802402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  802451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802470 */     GIR_RootConstrainSelectedInstOperands,
     /*  802471 */     // GIR_Coverage, 19462,
     /*  802471 */     GIR_EraseRootFromParent_Done,
     /*  802472 */   // Label 12413: @802472
     /*  802472 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802547), // Rule ID 19463 //
     /*  802477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  802497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802523 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  802526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802545 */     GIR_RootConstrainSelectedInstOperands,
     /*  802546 */     // GIR_Coverage, 19463,
     /*  802546 */     GIR_EraseRootFromParent_Done,
     /*  802547 */   // Label 12414: @802547
     /*  802547 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802622), // Rule ID 19466 //
     /*  802552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802598 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  802601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802620 */     GIR_RootConstrainSelectedInstOperands,
     /*  802621 */     // GIR_Coverage, 19466,
     /*  802621 */     GIR_EraseRootFromParent_Done,
     /*  802622 */   // Label 12415: @802622
     /*  802622 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802697), // Rule ID 19467 //
     /*  802627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  802647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802673 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  802676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802695 */     GIR_RootConstrainSelectedInstOperands,
     /*  802696 */     // GIR_Coverage, 19467,
     /*  802696 */     GIR_EraseRootFromParent_Done,
     /*  802697 */   // Label 12416: @802697
     /*  802697 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(802772), // Rule ID 19470 //
     /*  802702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  802722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  802751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802770 */     GIR_RootConstrainSelectedInstOperands,
     /*  802771 */     // GIR_Coverage, 19470,
     /*  802771 */     GIR_EraseRootFromParent_Done,
     /*  802772 */   // Label 12417: @802772
     /*  802772 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(802847), // Rule ID 19471 //
     /*  802777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  802788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  802791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  802797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802823 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  802826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802845 */     GIR_RootConstrainSelectedInstOperands,
     /*  802846 */     // GIR_Coverage, 19471,
     /*  802846 */     GIR_EraseRootFromParent_Done,
     /*  802847 */   // Label 12418: @802847
     /*  802847 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(802922), // Rule ID 19474 //
     /*  802852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  802863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  802866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  802872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  802901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802920 */     GIR_RootConstrainSelectedInstOperands,
     /*  802921 */     // GIR_Coverage, 19474,
     /*  802921 */     GIR_EraseRootFromParent_Done,
     /*  802922 */   // Label 12419: @802922
     /*  802922 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(802997), // Rule ID 19475 //
     /*  802927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  802938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  802941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  802947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802973 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  802976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802995 */     GIR_RootConstrainSelectedInstOperands,
     /*  802996 */     // GIR_Coverage, 19475,
     /*  802996 */     GIR_EraseRootFromParent_Done,
     /*  802997 */   // Label 12420: @802997
     /*  802997 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(803072), // Rule ID 19478 //
     /*  803002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803048 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  803051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803070 */     GIR_RootConstrainSelectedInstOperands,
     /*  803071 */     // GIR_Coverage, 19478,
     /*  803071 */     GIR_EraseRootFromParent_Done,
     /*  803072 */   // Label 12421: @803072
     /*  803072 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803147), // Rule ID 19479 //
     /*  803077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803123 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  803126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803145 */     GIR_RootConstrainSelectedInstOperands,
     /*  803146 */     // GIR_Coverage, 19479,
     /*  803146 */     GIR_EraseRootFromParent_Done,
     /*  803147 */   // Label 12422: @803147
     /*  803147 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803222), // Rule ID 19482 //
     /*  803152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803198 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  803201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803220 */     GIR_RootConstrainSelectedInstOperands,
     /*  803221 */     // GIR_Coverage, 19482,
     /*  803221 */     GIR_EraseRootFromParent_Done,
     /*  803222 */   // Label 12423: @803222
     /*  803222 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(803297), // Rule ID 19483 //
     /*  803227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803273 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  803276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803295 */     GIR_RootConstrainSelectedInstOperands,
     /*  803296 */     // GIR_Coverage, 19483,
     /*  803296 */     GIR_EraseRootFromParent_Done,
     /*  803297 */   // Label 12424: @803297
     /*  803297 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803372), // Rule ID 19486 //
     /*  803302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803348 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  803351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803370 */     GIR_RootConstrainSelectedInstOperands,
     /*  803371 */     // GIR_Coverage, 19486,
     /*  803371 */     GIR_EraseRootFromParent_Done,
     /*  803372 */   // Label 12425: @803372
     /*  803372 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803447), // Rule ID 19487 //
     /*  803377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803423 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  803426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803445 */     GIR_RootConstrainSelectedInstOperands,
     /*  803446 */     // GIR_Coverage, 19487,
     /*  803446 */     GIR_EraseRootFromParent_Done,
     /*  803447 */   // Label 12426: @803447
     /*  803447 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803522), // Rule ID 19490 //
     /*  803452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803498 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  803501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803520 */     GIR_RootConstrainSelectedInstOperands,
     /*  803521 */     // GIR_Coverage, 19490,
     /*  803521 */     GIR_EraseRootFromParent_Done,
     /*  803522 */   // Label 12427: @803522
     /*  803522 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803597), // Rule ID 19491 //
     /*  803527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  803538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  803541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803573 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  803576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803595 */     GIR_RootConstrainSelectedInstOperands,
     /*  803596 */     // GIR_Coverage, 19491,
     /*  803596 */     GIR_EraseRootFromParent_Done,
     /*  803597 */   // Label 12428: @803597
     /*  803597 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803672), // Rule ID 19494 //
     /*  803602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  803651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803670 */     GIR_RootConstrainSelectedInstOperands,
     /*  803671 */     // GIR_Coverage, 19494,
     /*  803671 */     GIR_EraseRootFromParent_Done,
     /*  803672 */   // Label 12429: @803672
     /*  803672 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(803747), // Rule ID 19495 //
     /*  803677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803723 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  803726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803745 */     GIR_RootConstrainSelectedInstOperands,
     /*  803746 */     // GIR_Coverage, 19495,
     /*  803746 */     GIR_EraseRootFromParent_Done,
     /*  803747 */   // Label 12430: @803747
     /*  803747 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(803822), // Rule ID 19498 //
     /*  803752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  803801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803820 */     GIR_RootConstrainSelectedInstOperands,
     /*  803821 */     // GIR_Coverage, 19498,
     /*  803821 */     GIR_EraseRootFromParent_Done,
     /*  803822 */   // Label 12431: @803822
     /*  803822 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(803897), // Rule ID 19499 //
     /*  803827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803873 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  803876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803895 */     GIR_RootConstrainSelectedInstOperands,
     /*  803896 */     // GIR_Coverage, 19499,
     /*  803896 */     GIR_EraseRootFromParent_Done,
     /*  803897 */   // Label 12432: @803897
     /*  803897 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(803972), // Rule ID 19502 //
     /*  803902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  803951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803970 */     GIR_RootConstrainSelectedInstOperands,
     /*  803971 */     // GIR_Coverage, 19502,
     /*  803971 */     GIR_EraseRootFromParent_Done,
     /*  803972 */   // Label 12433: @803972
     /*  803972 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(804047), // Rule ID 19503 //
     /*  803977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804023 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  804026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804045 */     GIR_RootConstrainSelectedInstOperands,
     /*  804046 */     // GIR_Coverage, 19503,
     /*  804046 */     GIR_EraseRootFromParent_Done,
     /*  804047 */   // Label 12434: @804047
     /*  804047 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804122), // Rule ID 19506 //
     /*  804052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804098 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  804101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804120 */     GIR_RootConstrainSelectedInstOperands,
     /*  804121 */     // GIR_Coverage, 19506,
     /*  804121 */     GIR_EraseRootFromParent_Done,
     /*  804122 */   // Label 12435: @804122
     /*  804122 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804197), // Rule ID 19507 //
     /*  804127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804173 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  804176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804195 */     GIR_RootConstrainSelectedInstOperands,
     /*  804196 */     // GIR_Coverage, 19507,
     /*  804196 */     GIR_EraseRootFromParent_Done,
     /*  804197 */   // Label 12436: @804197
     /*  804197 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(804272), // Rule ID 19510 //
     /*  804202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804248 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  804251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804270 */     GIR_RootConstrainSelectedInstOperands,
     /*  804271 */     // GIR_Coverage, 19510,
     /*  804271 */     GIR_EraseRootFromParent_Done,
     /*  804272 */   // Label 12437: @804272
     /*  804272 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(804347), // Rule ID 19511 //
     /*  804277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  804326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804345 */     GIR_RootConstrainSelectedInstOperands,
     /*  804346 */     // GIR_Coverage, 19511,
     /*  804346 */     GIR_EraseRootFromParent_Done,
     /*  804347 */   // Label 12438: @804347
     /*  804347 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804422), // Rule ID 19514 //
     /*  804352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804398 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  804401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804420 */     GIR_RootConstrainSelectedInstOperands,
     /*  804421 */     // GIR_Coverage, 19514,
     /*  804421 */     GIR_EraseRootFromParent_Done,
     /*  804422 */   // Label 12439: @804422
     /*  804422 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804497), // Rule ID 19515 //
     /*  804427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  804438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  804441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804473 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  804476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804495 */     GIR_RootConstrainSelectedInstOperands,
     /*  804496 */     // GIR_Coverage, 19515,
     /*  804496 */     GIR_EraseRootFromParent_Done,
     /*  804497 */   // Label 12440: @804497
     /*  804497 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804572), // Rule ID 19518 //
     /*  804502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  804551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804570 */     GIR_RootConstrainSelectedInstOperands,
     /*  804571 */     // GIR_Coverage, 19518,
     /*  804571 */     GIR_EraseRootFromParent_Done,
     /*  804572 */   // Label 12441: @804572
     /*  804572 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804647), // Rule ID 19519 //
     /*  804577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  804588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  804591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804623 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  804626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804645 */     GIR_RootConstrainSelectedInstOperands,
     /*  804646 */     // GIR_Coverage, 19519,
     /*  804646 */     GIR_EraseRootFromParent_Done,
     /*  804647 */   // Label 12442: @804647
     /*  804647 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804722), // Rule ID 19522 //
     /*  804652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804698 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  804701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804720 */     GIR_RootConstrainSelectedInstOperands,
     /*  804721 */     // GIR_Coverage, 19522,
     /*  804721 */     GIR_EraseRootFromParent_Done,
     /*  804722 */   // Label 12443: @804722
     /*  804722 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(804797), // Rule ID 19523 //
     /*  804727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  804738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  804741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  804744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804773 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  804776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804795 */     GIR_RootConstrainSelectedInstOperands,
     /*  804796 */     // GIR_Coverage, 19523,
     /*  804796 */     GIR_EraseRootFromParent_Done,
     /*  804797 */   // Label 12444: @804797
     /*  804797 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(804872), // Rule ID 19526 //
     /*  804802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  804813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  804816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  804819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804848 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  804851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804870 */     GIR_RootConstrainSelectedInstOperands,
     /*  804871 */     // GIR_Coverage, 19526,
     /*  804871 */     GIR_EraseRootFromParent_Done,
     /*  804872 */   // Label 12445: @804872
     /*  804872 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(804947), // Rule ID 19527 //
     /*  804877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  804888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  804891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  804894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804923 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  804926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804945 */     GIR_RootConstrainSelectedInstOperands,
     /*  804946 */     // GIR_Coverage, 19527,
     /*  804946 */     GIR_EraseRootFromParent_Done,
     /*  804947 */   // Label 12446: @804947
     /*  804947 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(805022), // Rule ID 19530 //
     /*  804952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  804963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  804966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  804969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804998 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  805001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805020 */     GIR_RootConstrainSelectedInstOperands,
     /*  805021 */     // GIR_Coverage, 19530,
     /*  805021 */     GIR_EraseRootFromParent_Done,
     /*  805022 */   // Label 12447: @805022
     /*  805022 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805097), // Rule ID 19531 //
     /*  805027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  805076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805095 */     GIR_RootConstrainSelectedInstOperands,
     /*  805096 */     // GIR_Coverage, 19531,
     /*  805096 */     GIR_EraseRootFromParent_Done,
     /*  805097 */   // Label 12448: @805097
     /*  805097 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805172), // Rule ID 19534 //
     /*  805102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805148 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  805151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805170 */     GIR_RootConstrainSelectedInstOperands,
     /*  805171 */     // GIR_Coverage, 19534,
     /*  805171 */     GIR_EraseRootFromParent_Done,
     /*  805172 */   // Label 12449: @805172
     /*  805172 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805247), // Rule ID 19535 //
     /*  805177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805223 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  805226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805245 */     GIR_RootConstrainSelectedInstOperands,
     /*  805246 */     // GIR_Coverage, 19535,
     /*  805246 */     GIR_EraseRootFromParent_Done,
     /*  805247 */   // Label 12450: @805247
     /*  805247 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(805322), // Rule ID 19538 //
     /*  805252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805298 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  805301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805320 */     GIR_RootConstrainSelectedInstOperands,
     /*  805321 */     // GIR_Coverage, 19538,
     /*  805321 */     GIR_EraseRootFromParent_Done,
     /*  805322 */   // Label 12451: @805322
     /*  805322 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805397), // Rule ID 19539 //
     /*  805327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805373 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  805376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805395 */     GIR_RootConstrainSelectedInstOperands,
     /*  805396 */     // GIR_Coverage, 19539,
     /*  805396 */     GIR_EraseRootFromParent_Done,
     /*  805397 */   // Label 12452: @805397
     /*  805397 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805472), // Rule ID 19542 //
     /*  805402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  805413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  805416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  805422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  805451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805470 */     GIR_RootConstrainSelectedInstOperands,
     /*  805471 */     // GIR_Coverage, 19542,
     /*  805471 */     GIR_EraseRootFromParent_Done,
     /*  805472 */   // Label 12453: @805472
     /*  805472 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805547), // Rule ID 19543 //
     /*  805477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  805488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  805491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  805494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  805497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805523 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  805526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805545 */     GIR_RootConstrainSelectedInstOperands,
     /*  805546 */     // GIR_Coverage, 19543,
     /*  805546 */     GIR_EraseRootFromParent_Done,
     /*  805547 */   // Label 12454: @805547
     /*  805547 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805622), // Rule ID 19546 //
     /*  805552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  805563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  805566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  805572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  805601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805620 */     GIR_RootConstrainSelectedInstOperands,
     /*  805621 */     // GIR_Coverage, 19546,
     /*  805621 */     GIR_EraseRootFromParent_Done,
     /*  805622 */   // Label 12455: @805622
     /*  805622 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805697), // Rule ID 19547 //
     /*  805627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  805638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  805641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  805644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  805647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805673 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  805676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805695 */     GIR_RootConstrainSelectedInstOperands,
     /*  805696 */     // GIR_Coverage, 19547,
     /*  805696 */     GIR_EraseRootFromParent_Done,
     /*  805697 */   // Label 12456: @805697
     /*  805697 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(805772), // Rule ID 19550 //
     /*  805702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  805713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  805716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  805719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  805722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  805751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805770 */     GIR_RootConstrainSelectedInstOperands,
     /*  805771 */     // GIR_Coverage, 19550,
     /*  805771 */     GIR_EraseRootFromParent_Done,
     /*  805772 */   // Label 12457: @805772
     /*  805772 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(805847), // Rule ID 19551 //
     /*  805777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  805788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  805791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  805794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  805797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  805826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805845 */     GIR_RootConstrainSelectedInstOperands,
     /*  805846 */     // GIR_Coverage, 19551,
     /*  805846 */     GIR_EraseRootFromParent_Done,
     /*  805847 */   // Label 12458: @805847
     /*  805847 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(805922), // Rule ID 19554 //
     /*  805852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  805869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805898 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  805901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805920 */     GIR_RootConstrainSelectedInstOperands,
     /*  805921 */     // GIR_Coverage, 19554,
     /*  805921 */     GIR_EraseRootFromParent_Done,
     /*  805922 */   // Label 12459: @805922
     /*  805922 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(805997), // Rule ID 19555 //
     /*  805927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  805935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  805944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  805976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805995 */     GIR_RootConstrainSelectedInstOperands,
     /*  805996 */     // GIR_Coverage, 19555,
     /*  805996 */     GIR_EraseRootFromParent_Done,
     /*  805997 */   // Label 12460: @805997
     /*  805997 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(806072), // Rule ID 19558 //
     /*  806002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  806005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  806051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806070 */     GIR_RootConstrainSelectedInstOperands,
     /*  806071 */     // GIR_Coverage, 19558,
     /*  806071 */     GIR_EraseRootFromParent_Done,
     /*  806072 */   // Label 12461: @806072
     /*  806072 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806147), // Rule ID 19559 //
     /*  806077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  806080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806123 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  806126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806145 */     GIR_RootConstrainSelectedInstOperands,
     /*  806146 */     // GIR_Coverage, 19559,
     /*  806146 */     GIR_EraseRootFromParent_Done,
     /*  806147 */   // Label 12462: @806147
     /*  806147 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806222), // Rule ID 19562 //
     /*  806152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  806155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  806201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806220 */     GIR_RootConstrainSelectedInstOperands,
     /*  806221 */     // GIR_Coverage, 19562,
     /*  806221 */     GIR_EraseRootFromParent_Done,
     /*  806222 */   // Label 12463: @806222
     /*  806222 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(806297), // Rule ID 19563 //
     /*  806227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  806230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806273 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  806276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806295 */     GIR_RootConstrainSelectedInstOperands,
     /*  806296 */     // GIR_Coverage, 19563,
     /*  806296 */     GIR_EraseRootFromParent_Done,
     /*  806297 */   // Label 12464: @806297
     /*  806297 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806372), // Rule ID 19566 //
     /*  806302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  806313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  806316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  806322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  806351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806370 */     GIR_RootConstrainSelectedInstOperands,
     /*  806371 */     // GIR_Coverage, 19566,
     /*  806371 */     GIR_EraseRootFromParent_Done,
     /*  806372 */   // Label 12465: @806372
     /*  806372 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806447), // Rule ID 19567 //
     /*  806377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  806388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  806391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  806397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  806426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806445 */     GIR_RootConstrainSelectedInstOperands,
     /*  806446 */     // GIR_Coverage, 19567,
     /*  806446 */     GIR_EraseRootFromParent_Done,
     /*  806447 */   // Label 12466: @806447
     /*  806447 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806522), // Rule ID 19570 //
     /*  806452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  806463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  806466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  806472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806498 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  806501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806520 */     GIR_RootConstrainSelectedInstOperands,
     /*  806521 */     // GIR_Coverage, 19570,
     /*  806521 */     GIR_EraseRootFromParent_Done,
     /*  806522 */   // Label 12467: @806522
     /*  806522 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806597), // Rule ID 19571 //
     /*  806527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  806538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  806541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  806547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806573 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  806576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806595 */     GIR_RootConstrainSelectedInstOperands,
     /*  806596 */     // GIR_Coverage, 19571,
     /*  806596 */     GIR_EraseRootFromParent_Done,
     /*  806597 */   // Label 12468: @806597
     /*  806597 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806672), // Rule ID 19574 //
     /*  806602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  806613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  806616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  806622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806648 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  806651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806670 */     GIR_RootConstrainSelectedInstOperands,
     /*  806671 */     // GIR_Coverage, 19574,
     /*  806671 */     GIR_EraseRootFromParent_Done,
     /*  806672 */   // Label 12469: @806672
     /*  806672 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(806747), // Rule ID 19575 //
     /*  806677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  806688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  806691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  806697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806723 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  806726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806745 */     GIR_RootConstrainSelectedInstOperands,
     /*  806746 */     // GIR_Coverage, 19575,
     /*  806746 */     GIR_EraseRootFromParent_Done,
     /*  806747 */   // Label 12470: @806747
     /*  806747 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(806822), // Rule ID 19578 //
     /*  806752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  806755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  806763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  806766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  806769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  806772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806798 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  806801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806820 */     GIR_RootConstrainSelectedInstOperands,
     /*  806821 */     // GIR_Coverage, 19578,
     /*  806821 */     GIR_EraseRootFromParent_Done,
     /*  806822 */   // Label 12471: @806822
     /*  806822 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(806897), // Rule ID 19579 //
     /*  806827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  806830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  806838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  806841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  806844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  806847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  806876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806895 */     GIR_RootConstrainSelectedInstOperands,
     /*  806896 */     // GIR_Coverage, 19579,
     /*  806896 */     GIR_EraseRootFromParent_Done,
     /*  806897 */   // Label 12472: @806897
     /*  806897 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(806972), // Rule ID 19582 //
     /*  806902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  806905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  806913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  806916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  806922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  806951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806970 */     GIR_RootConstrainSelectedInstOperands,
     /*  806971 */     // GIR_Coverage, 19582,
     /*  806971 */     GIR_EraseRootFromParent_Done,
     /*  806972 */   // Label 12473: @806972
     /*  806972 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(807047), // Rule ID 19583 //
     /*  806977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  806980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  806988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  806991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  806997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807023 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  807026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807045 */     GIR_RootConstrainSelectedInstOperands,
     /*  807046 */     // GIR_Coverage, 19583,
     /*  807046 */     GIR_EraseRootFromParent_Done,
     /*  807047 */   // Label 12474: @807047
     /*  807047 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807122), // Rule ID 19586 //
     /*  807052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  807055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  807063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  807066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  807072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807098 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  807101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807120 */     GIR_RootConstrainSelectedInstOperands,
     /*  807121 */     // GIR_Coverage, 19586,
     /*  807121 */     GIR_EraseRootFromParent_Done,
     /*  807122 */   // Label 12475: @807122
     /*  807122 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807197), // Rule ID 19587 //
     /*  807127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  807130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  807138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  807141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  807147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807173 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  807176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807195 */     GIR_RootConstrainSelectedInstOperands,
     /*  807196 */     // GIR_Coverage, 19587,
     /*  807196 */     GIR_EraseRootFromParent_Done,
     /*  807197 */   // Label 12476: @807197
     /*  807197 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(807272), // Rule ID 19590 //
     /*  807202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  807205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  807213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  807216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  807219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  807222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  807251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807270 */     GIR_RootConstrainSelectedInstOperands,
     /*  807271 */     // GIR_Coverage, 19590,
     /*  807271 */     GIR_EraseRootFromParent_Done,
     /*  807272 */   // Label 12477: @807272
     /*  807272 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(807347), // Rule ID 19591 //
     /*  807277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  807280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  807288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  807291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  807294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  807297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807323 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  807326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807345 */     GIR_RootConstrainSelectedInstOperands,
     /*  807346 */     // GIR_Coverage, 19591,
     /*  807346 */     GIR_EraseRootFromParent_Done,
     /*  807347 */   // Label 12478: @807347
     /*  807347 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807422), // Rule ID 19594 //
     /*  807352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  807355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  807363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  807366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  807369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  807372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807398 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  807401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807420 */     GIR_RootConstrainSelectedInstOperands,
     /*  807421 */     // GIR_Coverage, 19594,
     /*  807421 */     GIR_EraseRootFromParent_Done,
     /*  807422 */   // Label 12479: @807422
     /*  807422 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807497), // Rule ID 19595 //
     /*  807427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  807430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  807438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  807441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  807444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  807447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807473 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  807476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807495 */     GIR_RootConstrainSelectedInstOperands,
     /*  807496 */     // GIR_Coverage, 19595,
     /*  807496 */     GIR_EraseRootFromParent_Done,
     /*  807497 */   // Label 12480: @807497
     /*  807497 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807572), // Rule ID 19598 //
     /*  807502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  807505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  807513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  807516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  807522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  807551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807570 */     GIR_RootConstrainSelectedInstOperands,
     /*  807571 */     // GIR_Coverage, 19598,
     /*  807571 */     GIR_EraseRootFromParent_Done,
     /*  807572 */   // Label 12481: @807572
     /*  807572 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807647), // Rule ID 19599 //
     /*  807577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  807580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  807588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  807591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  807597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807623 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  807626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807645 */     GIR_RootConstrainSelectedInstOperands,
     /*  807646 */     // GIR_Coverage, 19599,
     /*  807646 */     GIR_EraseRootFromParent_Done,
     /*  807647 */   // Label 12482: @807647
     /*  807647 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807722), // Rule ID 19602 //
     /*  807652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  807655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  807672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  807691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807698 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  807701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807720 */     GIR_RootConstrainSelectedInstOperands,
     /*  807721 */     // GIR_Coverage, 19602,
     /*  807721 */     GIR_EraseRootFromParent_Done,
     /*  807722 */   // Label 12483: @807722
     /*  807722 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(807797), // Rule ID 19603 //
     /*  807727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  807730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  807747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  807766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807773 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  807776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807795 */     GIR_RootConstrainSelectedInstOperands,
     /*  807796 */     // GIR_Coverage, 19603,
     /*  807796 */     GIR_EraseRootFromParent_Done,
     /*  807797 */   // Label 12484: @807797
     /*  807797 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(807872), // Rule ID 19606 //
     /*  807802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  807805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  807813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  807816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  807819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  807822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  807841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  807851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807870 */     GIR_RootConstrainSelectedInstOperands,
     /*  807871 */     // GIR_Coverage, 19606,
     /*  807871 */     GIR_EraseRootFromParent_Done,
     /*  807872 */   // Label 12485: @807872
     /*  807872 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(807947), // Rule ID 19607 //
     /*  807877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  807880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  807888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  807891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  807894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  807897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  807916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807923 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  807926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807945 */     GIR_RootConstrainSelectedInstOperands,
     /*  807946 */     // GIR_Coverage, 19607,
     /*  807946 */     GIR_EraseRootFromParent_Done,
     /*  807947 */   // Label 12486: @807947
     /*  807947 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(808022), // Rule ID 19610 //
     /*  807952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  807955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  807963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  807966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  807969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  807991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  808001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808020 */     GIR_RootConstrainSelectedInstOperands,
     /*  808021 */     // GIR_Coverage, 19610,
     /*  808021 */     GIR_EraseRootFromParent_Done,
     /*  808022 */   // Label 12487: @808022
     /*  808022 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808097), // Rule ID 19611 //
     /*  808027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  808030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  808038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  808041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808073 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  808076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808095 */     GIR_RootConstrainSelectedInstOperands,
     /*  808096 */     // GIR_Coverage, 19611,
     /*  808096 */     GIR_EraseRootFromParent_Done,
     /*  808097 */   // Label 12488: @808097
     /*  808097 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808172), // Rule ID 19614 //
     /*  808102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  808151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808170 */     GIR_RootConstrainSelectedInstOperands,
     /*  808171 */     // GIR_Coverage, 19614,
     /*  808171 */     GIR_EraseRootFromParent_Done,
     /*  808172 */   // Label 12489: @808172
     /*  808172 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808247), // Rule ID 19615 //
     /*  808177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808223 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  808226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808245 */     GIR_RootConstrainSelectedInstOperands,
     /*  808246 */     // GIR_Coverage, 19615,
     /*  808246 */     GIR_EraseRootFromParent_Done,
     /*  808247 */   // Label 12490: @808247
     /*  808247 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(808322), // Rule ID 19618 //
     /*  808252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  808255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808298 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  808301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808320 */     GIR_RootConstrainSelectedInstOperands,
     /*  808321 */     // GIR_Coverage, 19618,
     /*  808321 */     GIR_EraseRootFromParent_Done,
     /*  808322 */   // Label 12491: @808322
     /*  808322 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808397), // Rule ID 19619 //
     /*  808327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  808330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808373 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  808376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808395 */     GIR_RootConstrainSelectedInstOperands,
     /*  808396 */     // GIR_Coverage, 19619,
     /*  808396 */     GIR_EraseRootFromParent_Done,
     /*  808397 */   // Label 12492: @808397
     /*  808397 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808472), // Rule ID 19622 //
     /*  808402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  808405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  808441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  808451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808470 */     GIR_RootConstrainSelectedInstOperands,
     /*  808471 */     // GIR_Coverage, 19622,
     /*  808471 */     GIR_EraseRootFromParent_Done,
     /*  808472 */   // Label 12493: @808472
     /*  808472 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808547), // Rule ID 19623 //
     /*  808477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  808480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  808516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  808526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808545 */     GIR_RootConstrainSelectedInstOperands,
     /*  808546 */     // GIR_Coverage, 19623,
     /*  808546 */     GIR_EraseRootFromParent_Done,
     /*  808547 */   // Label 12494: @808547
     /*  808547 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808622), // Rule ID 19626 //
     /*  808552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  808563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  808566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  808601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808620 */     GIR_RootConstrainSelectedInstOperands,
     /*  808621 */     // GIR_Coverage, 19626,
     /*  808621 */     GIR_EraseRootFromParent_Done,
     /*  808622 */   // Label 12495: @808622
     /*  808622 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808697), // Rule ID 19627 //
     /*  808627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  808638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  808641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808673 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  808676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808695 */     GIR_RootConstrainSelectedInstOperands,
     /*  808696 */     // GIR_Coverage, 19627,
     /*  808696 */     GIR_EraseRootFromParent_Done,
     /*  808697 */   // Label 12496: @808697
     /*  808697 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(808772), // Rule ID 19630 //
     /*  808702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  808713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  808716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  808751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808770 */     GIR_RootConstrainSelectedInstOperands,
     /*  808771 */     // GIR_Coverage, 19630,
     /*  808771 */     GIR_EraseRootFromParent_Done,
     /*  808772 */   // Label 12497: @808772
     /*  808772 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(808847), // Rule ID 19631 //
     /*  808777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  808788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  808791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808823 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  808826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808845 */     GIR_RootConstrainSelectedInstOperands,
     /*  808846 */     // GIR_Coverage, 19631,
     /*  808846 */     GIR_EraseRootFromParent_Done,
     /*  808847 */   // Label 12498: @808847
     /*  808847 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(808922), // Rule ID 19634 //
     /*  808852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  808863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  808866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  808869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808898 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  808901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808920 */     GIR_RootConstrainSelectedInstOperands,
     /*  808921 */     // GIR_Coverage, 19634,
     /*  808921 */     GIR_EraseRootFromParent_Done,
     /*  808922 */   // Label 12499: @808922
     /*  808922 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(808997), // Rule ID 19635 //
     /*  808927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  808938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  808941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  808944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808973 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  808976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808995 */     GIR_RootConstrainSelectedInstOperands,
     /*  808996 */     // GIR_Coverage, 19635,
     /*  808996 */     GIR_EraseRootFromParent_Done,
     /*  808997 */   // Label 12500: @808997
     /*  808997 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(809072), // Rule ID 19638 //
     /*  809002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  809051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809070 */     GIR_RootConstrainSelectedInstOperands,
     /*  809071 */     // GIR_Coverage, 19638,
     /*  809071 */     GIR_EraseRootFromParent_Done,
     /*  809072 */   // Label 12501: @809072
     /*  809072 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809147), // Rule ID 19639 //
     /*  809077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  809126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809145 */     GIR_RootConstrainSelectedInstOperands,
     /*  809146 */     // GIR_Coverage, 19639,
     /*  809146 */     GIR_EraseRootFromParent_Done,
     /*  809147 */   // Label 12502: @809147
     /*  809147 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809222), // Rule ID 19642 //
     /*  809152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809198 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  809201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809220 */     GIR_RootConstrainSelectedInstOperands,
     /*  809221 */     // GIR_Coverage, 19642,
     /*  809221 */     GIR_EraseRootFromParent_Done,
     /*  809222 */   // Label 12503: @809222
     /*  809222 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(809297), // Rule ID 19643 //
     /*  809227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809273 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  809276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809295 */     GIR_RootConstrainSelectedInstOperands,
     /*  809296 */     // GIR_Coverage, 19643,
     /*  809296 */     GIR_EraseRootFromParent_Done,
     /*  809297 */   // Label 12504: @809297
     /*  809297 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809372), // Rule ID 19646 //
     /*  809302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  809313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  809316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809348 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  809351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809370 */     GIR_RootConstrainSelectedInstOperands,
     /*  809371 */     // GIR_Coverage, 19646,
     /*  809371 */     GIR_EraseRootFromParent_Done,
     /*  809372 */   // Label 12505: @809372
     /*  809372 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809447), // Rule ID 19647 //
     /*  809377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  809388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  809391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  809426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809445 */     GIR_RootConstrainSelectedInstOperands,
     /*  809446 */     // GIR_Coverage, 19647,
     /*  809446 */     GIR_EraseRootFromParent_Done,
     /*  809447 */   // Label 12506: @809447
     /*  809447 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809522), // Rule ID 19650 //
     /*  809452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  809455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  809463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  809466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809498 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  809501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809520 */     GIR_RootConstrainSelectedInstOperands,
     /*  809521 */     // GIR_Coverage, 19650,
     /*  809521 */     GIR_EraseRootFromParent_Done,
     /*  809522 */   // Label 12507: @809522
     /*  809522 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809597), // Rule ID 19651 //
     /*  809527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  809530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  809538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  809541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809573 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  809576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809595 */     GIR_RootConstrainSelectedInstOperands,
     /*  809596 */     // GIR_Coverage, 19651,
     /*  809596 */     GIR_EraseRootFromParent_Done,
     /*  809597 */   // Label 12508: @809597
     /*  809597 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809672), // Rule ID 19654 //
     /*  809602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  809605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  809613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  809616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809648 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  809651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809670 */     GIR_RootConstrainSelectedInstOperands,
     /*  809671 */     // GIR_Coverage, 19654,
     /*  809671 */     GIR_EraseRootFromParent_Done,
     /*  809672 */   // Label 12509: @809672
     /*  809672 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(809747), // Rule ID 19655 //
     /*  809677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  809680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  809688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  809691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  809726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809745 */     GIR_RootConstrainSelectedInstOperands,
     /*  809746 */     // GIR_Coverage, 19655,
     /*  809746 */     GIR_EraseRootFromParent_Done,
     /*  809747 */   // Label 12510: @809747
     /*  809747 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(809822), // Rule ID 19658 //
     /*  809752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  809755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  809763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  809766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  809801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809820 */     GIR_RootConstrainSelectedInstOperands,
     /*  809821 */     // GIR_Coverage, 19658,
     /*  809821 */     GIR_EraseRootFromParent_Done,
     /*  809822 */   // Label 12511: @809822
     /*  809822 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(809897), // Rule ID 19659 //
     /*  809827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  809830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  809838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  809841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809873 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  809876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809895 */     GIR_RootConstrainSelectedInstOperands,
     /*  809896 */     // GIR_Coverage, 19659,
     /*  809896 */     GIR_EraseRootFromParent_Done,
     /*  809897 */   // Label 12512: @809897
     /*  809897 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(809972), // Rule ID 21876 //
     /*  809902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  809951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809970 */     GIR_RootConstrainSelectedInstOperands,
     /*  809971 */     // GIR_Coverage, 21876,
     /*  809971 */     GIR_EraseRootFromParent_Done,
     /*  809972 */   // Label 12513: @809972
     /*  809972 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(810047), // Rule ID 21877 //
     /*  809977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  809985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810023 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  810026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810045 */     GIR_RootConstrainSelectedInstOperands,
     /*  810046 */     // GIR_Coverage, 21877,
     /*  810046 */     GIR_EraseRootFromParent_Done,
     /*  810047 */   // Label 12514: @810047
     /*  810047 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810122), // Rule ID 21880 //
     /*  810052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  810101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810120 */     GIR_RootConstrainSelectedInstOperands,
     /*  810121 */     // GIR_Coverage, 21880,
     /*  810121 */     GIR_EraseRootFromParent_Done,
     /*  810122 */   // Label 12515: @810122
     /*  810122 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810197), // Rule ID 21881 //
     /*  810127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  810176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810195 */     GIR_RootConstrainSelectedInstOperands,
     /*  810196 */     // GIR_Coverage, 21881,
     /*  810196 */     GIR_EraseRootFromParent_Done,
     /*  810197 */   // Label 12516: @810197
     /*  810197 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(810272), // Rule ID 21884 //
     /*  810202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  810251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810270 */     GIR_RootConstrainSelectedInstOperands,
     /*  810271 */     // GIR_Coverage, 21884,
     /*  810271 */     GIR_EraseRootFromParent_Done,
     /*  810272 */   // Label 12517: @810272
     /*  810272 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(810347), // Rule ID 21885 //
     /*  810277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  810326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810345 */     GIR_RootConstrainSelectedInstOperands,
     /*  810346 */     // GIR_Coverage, 21885,
     /*  810346 */     GIR_EraseRootFromParent_Done,
     /*  810347 */   // Label 12518: @810347
     /*  810347 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810422), // Rule ID 21888 //
     /*  810352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  810401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810420 */     GIR_RootConstrainSelectedInstOperands,
     /*  810421 */     // GIR_Coverage, 21888,
     /*  810421 */     GIR_EraseRootFromParent_Done,
     /*  810422 */   // Label 12519: @810422
     /*  810422 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810497), // Rule ID 21889 //
     /*  810427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  810476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810495 */     GIR_RootConstrainSelectedInstOperands,
     /*  810496 */     // GIR_Coverage, 21889,
     /*  810496 */     GIR_EraseRootFromParent_Done,
     /*  810497 */   // Label 12520: @810497
     /*  810497 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810572), // Rule ID 21892 //
     /*  810502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  810551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810570 */     GIR_RootConstrainSelectedInstOperands,
     /*  810571 */     // GIR_Coverage, 21892,
     /*  810571 */     GIR_EraseRootFromParent_Done,
     /*  810572 */   // Label 12521: @810572
     /*  810572 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810647), // Rule ID 21893 //
     /*  810577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  810626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810645 */     GIR_RootConstrainSelectedInstOperands,
     /*  810646 */     // GIR_Coverage, 21893,
     /*  810646 */     GIR_EraseRootFromParent_Done,
     /*  810647 */   // Label 12522: @810647
     /*  810647 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810722), // Rule ID 21896 //
     /*  810652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  810701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810720 */     GIR_RootConstrainSelectedInstOperands,
     /*  810721 */     // GIR_Coverage, 21896,
     /*  810721 */     GIR_EraseRootFromParent_Done,
     /*  810722 */   // Label 12523: @810722
     /*  810722 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(810797), // Rule ID 21897 //
     /*  810727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  810776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810795 */     GIR_RootConstrainSelectedInstOperands,
     /*  810796 */     // GIR_Coverage, 21897,
     /*  810796 */     GIR_EraseRootFromParent_Done,
     /*  810797 */   // Label 12524: @810797
     /*  810797 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(810872), // Rule ID 21900 //
     /*  810802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  810851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810870 */     GIR_RootConstrainSelectedInstOperands,
     /*  810871 */     // GIR_Coverage, 21900,
     /*  810871 */     GIR_EraseRootFromParent_Done,
     /*  810872 */   // Label 12525: @810872
     /*  810872 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(810947), // Rule ID 21901 //
     /*  810877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  810926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810945 */     GIR_RootConstrainSelectedInstOperands,
     /*  810946 */     // GIR_Coverage, 21901,
     /*  810946 */     GIR_EraseRootFromParent_Done,
     /*  810947 */   // Label 12526: @810947
     /*  810947 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(811022), // Rule ID 21904 //
     /*  810952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  811001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811020 */     GIR_RootConstrainSelectedInstOperands,
     /*  811021 */     // GIR_Coverage, 21904,
     /*  811021 */     GIR_EraseRootFromParent_Done,
     /*  811022 */   // Label 12527: @811022
     /*  811022 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811097), // Rule ID 21905 //
     /*  811027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  811076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811095 */     GIR_RootConstrainSelectedInstOperands,
     /*  811096 */     // GIR_Coverage, 21905,
     /*  811096 */     GIR_EraseRootFromParent_Done,
     /*  811097 */   // Label 12528: @811097
     /*  811097 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811172), // Rule ID 21908 //
     /*  811102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  811151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811170 */     GIR_RootConstrainSelectedInstOperands,
     /*  811171 */     // GIR_Coverage, 21908,
     /*  811171 */     GIR_EraseRootFromParent_Done,
     /*  811172 */   // Label 12529: @811172
     /*  811172 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811247), // Rule ID 21909 //
     /*  811177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  811226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811245 */     GIR_RootConstrainSelectedInstOperands,
     /*  811246 */     // GIR_Coverage, 21909,
     /*  811246 */     GIR_EraseRootFromParent_Done,
     /*  811247 */   // Label 12530: @811247
     /*  811247 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(811322), // Rule ID 21912 //
     /*  811252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  811301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811320 */     GIR_RootConstrainSelectedInstOperands,
     /*  811321 */     // GIR_Coverage, 21912,
     /*  811321 */     GIR_EraseRootFromParent_Done,
     /*  811322 */   // Label 12531: @811322
     /*  811322 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811397), // Rule ID 21913 //
     /*  811327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  811376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811395 */     GIR_RootConstrainSelectedInstOperands,
     /*  811396 */     // GIR_Coverage, 21913,
     /*  811396 */     GIR_EraseRootFromParent_Done,
     /*  811397 */   // Label 12532: @811397
     /*  811397 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811472), // Rule ID 21916 //
     /*  811402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  811451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811470 */     GIR_RootConstrainSelectedInstOperands,
     /*  811471 */     // GIR_Coverage, 21916,
     /*  811471 */     GIR_EraseRootFromParent_Done,
     /*  811472 */   // Label 12533: @811472
     /*  811472 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811547), // Rule ID 21917 //
     /*  811477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811523 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  811526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811545 */     GIR_RootConstrainSelectedInstOperands,
     /*  811546 */     // GIR_Coverage, 21917,
     /*  811546 */     GIR_EraseRootFromParent_Done,
     /*  811547 */   // Label 12534: @811547
     /*  811547 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811622), // Rule ID 21920 //
     /*  811552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  811601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811620 */     GIR_RootConstrainSelectedInstOperands,
     /*  811621 */     // GIR_Coverage, 21920,
     /*  811621 */     GIR_EraseRootFromParent_Done,
     /*  811622 */   // Label 12535: @811622
     /*  811622 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811697), // Rule ID 21921 //
     /*  811627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  811676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811695 */     GIR_RootConstrainSelectedInstOperands,
     /*  811696 */     // GIR_Coverage, 21921,
     /*  811696 */     GIR_EraseRootFromParent_Done,
     /*  811697 */   // Label 12536: @811697
     /*  811697 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(811772), // Rule ID 21924 //
     /*  811702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  811751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811770 */     GIR_RootConstrainSelectedInstOperands,
     /*  811771 */     // GIR_Coverage, 21924,
     /*  811771 */     GIR_EraseRootFromParent_Done,
     /*  811772 */   // Label 12537: @811772
     /*  811772 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(811847), // Rule ID 21925 //
     /*  811777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  811826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811845 */     GIR_RootConstrainSelectedInstOperands,
     /*  811846 */     // GIR_Coverage, 21925,
     /*  811846 */     GIR_EraseRootFromParent_Done,
     /*  811847 */   // Label 12538: @811847
     /*  811847 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(811922), // Rule ID 21928 //
     /*  811852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  811901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811920 */     GIR_RootConstrainSelectedInstOperands,
     /*  811921 */     // GIR_Coverage, 21928,
     /*  811921 */     GIR_EraseRootFromParent_Done,
     /*  811922 */   // Label 12539: @811922
     /*  811922 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(811997), // Rule ID 21929 //
     /*  811927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  811976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811995 */     GIR_RootConstrainSelectedInstOperands,
     /*  811996 */     // GIR_Coverage, 21929,
     /*  811996 */     GIR_EraseRootFromParent_Done,
     /*  811997 */   // Label 12540: @811997
     /*  811997 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(812072), // Rule ID 21932 //
     /*  812002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  812051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812070 */     GIR_RootConstrainSelectedInstOperands,
     /*  812071 */     // GIR_Coverage, 21932,
     /*  812071 */     GIR_EraseRootFromParent_Done,
     /*  812072 */   // Label 12541: @812072
     /*  812072 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812147), // Rule ID 21933 //
     /*  812077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  812126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812145 */     GIR_RootConstrainSelectedInstOperands,
     /*  812146 */     // GIR_Coverage, 21933,
     /*  812146 */     GIR_EraseRootFromParent_Done,
     /*  812147 */   // Label 12542: @812147
     /*  812147 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812222), // Rule ID 21936 //
     /*  812152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  812201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812220 */     GIR_RootConstrainSelectedInstOperands,
     /*  812221 */     // GIR_Coverage, 21936,
     /*  812221 */     GIR_EraseRootFromParent_Done,
     /*  812222 */   // Label 12543: @812222
     /*  812222 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(812297), // Rule ID 21937 //
     /*  812227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  812276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812295 */     GIR_RootConstrainSelectedInstOperands,
     /*  812296 */     // GIR_Coverage, 21937,
     /*  812296 */     GIR_EraseRootFromParent_Done,
     /*  812297 */   // Label 12544: @812297
     /*  812297 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812372), // Rule ID 21940 //
     /*  812302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  812351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812370 */     GIR_RootConstrainSelectedInstOperands,
     /*  812371 */     // GIR_Coverage, 21940,
     /*  812371 */     GIR_EraseRootFromParent_Done,
     /*  812372 */   // Label 12545: @812372
     /*  812372 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812447), // Rule ID 21941 //
     /*  812377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  812426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812445 */     GIR_RootConstrainSelectedInstOperands,
     /*  812446 */     // GIR_Coverage, 21941,
     /*  812446 */     GIR_EraseRootFromParent_Done,
     /*  812447 */   // Label 12546: @812447
     /*  812447 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812522), // Rule ID 21944 //
     /*  812452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  812501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812520 */     GIR_RootConstrainSelectedInstOperands,
     /*  812521 */     // GIR_Coverage, 21944,
     /*  812521 */     GIR_EraseRootFromParent_Done,
     /*  812522 */   // Label 12547: @812522
     /*  812522 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812597), // Rule ID 21945 //
     /*  812527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  812576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812595 */     GIR_RootConstrainSelectedInstOperands,
     /*  812596 */     // GIR_Coverage, 21945,
     /*  812596 */     GIR_EraseRootFromParent_Done,
     /*  812597 */   // Label 12548: @812597
     /*  812597 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812672), // Rule ID 21948 //
     /*  812602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  812651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812670 */     GIR_RootConstrainSelectedInstOperands,
     /*  812671 */     // GIR_Coverage, 21948,
     /*  812671 */     GIR_EraseRootFromParent_Done,
     /*  812672 */   // Label 12549: @812672
     /*  812672 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(812747), // Rule ID 21949 //
     /*  812677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  812726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812745 */     GIR_RootConstrainSelectedInstOperands,
     /*  812746 */     // GIR_Coverage, 21949,
     /*  812746 */     GIR_EraseRootFromParent_Done,
     /*  812747 */   // Label 12550: @812747
     /*  812747 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(812822), // Rule ID 21952 //
     /*  812752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  812769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  812801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812820 */     GIR_RootConstrainSelectedInstOperands,
     /*  812821 */     // GIR_Coverage, 21952,
     /*  812821 */     GIR_EraseRootFromParent_Done,
     /*  812822 */   // Label 12551: @812822
     /*  812822 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(812897), // Rule ID 21953 //
     /*  812827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  812844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812873 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  812876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812895 */     GIR_RootConstrainSelectedInstOperands,
     /*  812896 */     // GIR_Coverage, 21953,
     /*  812896 */     GIR_EraseRootFromParent_Done,
     /*  812897 */   // Label 12552: @812897
     /*  812897 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(812972), // Rule ID 21956 //
     /*  812902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  812951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812970 */     GIR_RootConstrainSelectedInstOperands,
     /*  812971 */     // GIR_Coverage, 21956,
     /*  812971 */     GIR_EraseRootFromParent_Done,
     /*  812972 */   // Label 12553: @812972
     /*  812972 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(813047), // Rule ID 21957 //
     /*  812977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  813026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813045 */     GIR_RootConstrainSelectedInstOperands,
     /*  813046 */     // GIR_Coverage, 21957,
     /*  813046 */     GIR_EraseRootFromParent_Done,
     /*  813047 */   // Label 12554: @813047
     /*  813047 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813122), // Rule ID 21960 //
     /*  813052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  813101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813120 */     GIR_RootConstrainSelectedInstOperands,
     /*  813121 */     // GIR_Coverage, 21960,
     /*  813121 */     GIR_EraseRootFromParent_Done,
     /*  813122 */   // Label 12555: @813122
     /*  813122 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813197), // Rule ID 21961 //
     /*  813127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  813176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813195 */     GIR_RootConstrainSelectedInstOperands,
     /*  813196 */     // GIR_Coverage, 21961,
     /*  813196 */     GIR_EraseRootFromParent_Done,
     /*  813197 */   // Label 12556: @813197
     /*  813197 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(813272), // Rule ID 21964 //
     /*  813202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  813251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813270 */     GIR_RootConstrainSelectedInstOperands,
     /*  813271 */     // GIR_Coverage, 21964,
     /*  813271 */     GIR_EraseRootFromParent_Done,
     /*  813272 */   // Label 12557: @813272
     /*  813272 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(813347), // Rule ID 21965 //
     /*  813277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  813326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813345 */     GIR_RootConstrainSelectedInstOperands,
     /*  813346 */     // GIR_Coverage, 21965,
     /*  813346 */     GIR_EraseRootFromParent_Done,
     /*  813347 */   // Label 12558: @813347
     /*  813347 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813422), // Rule ID 21968 //
     /*  813352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  813401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813420 */     GIR_RootConstrainSelectedInstOperands,
     /*  813421 */     // GIR_Coverage, 21968,
     /*  813421 */     GIR_EraseRootFromParent_Done,
     /*  813422 */   // Label 12559: @813422
     /*  813422 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813497), // Rule ID 21969 //
     /*  813427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813473 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  813476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813495 */     GIR_RootConstrainSelectedInstOperands,
     /*  813496 */     // GIR_Coverage, 21969,
     /*  813496 */     GIR_EraseRootFromParent_Done,
     /*  813497 */   // Label 12560: @813497
     /*  813497 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813572), // Rule ID 21972 //
     /*  813502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  813551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813570 */     GIR_RootConstrainSelectedInstOperands,
     /*  813571 */     // GIR_Coverage, 21972,
     /*  813571 */     GIR_EraseRootFromParent_Done,
     /*  813572 */   // Label 12561: @813572
     /*  813572 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813647), // Rule ID 21973 //
     /*  813577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  813626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813645 */     GIR_RootConstrainSelectedInstOperands,
     /*  813646 */     // GIR_Coverage, 21973,
     /*  813646 */     GIR_EraseRootFromParent_Done,
     /*  813647 */   // Label 12562: @813647
     /*  813647 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813722), // Rule ID 21976 //
     /*  813652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  813701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813720 */     GIR_RootConstrainSelectedInstOperands,
     /*  813721 */     // GIR_Coverage, 21976,
     /*  813721 */     GIR_EraseRootFromParent_Done,
     /*  813722 */   // Label 12563: @813722
     /*  813722 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(813797), // Rule ID 21977 //
     /*  813727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  813776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813795 */     GIR_RootConstrainSelectedInstOperands,
     /*  813796 */     // GIR_Coverage, 21977,
     /*  813796 */     GIR_EraseRootFromParent_Done,
     /*  813797 */   // Label 12564: @813797
     /*  813797 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(813872), // Rule ID 21980 //
     /*  813802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  813851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813870 */     GIR_RootConstrainSelectedInstOperands,
     /*  813871 */     // GIR_Coverage, 21980,
     /*  813871 */     GIR_EraseRootFromParent_Done,
     /*  813872 */   // Label 12565: @813872
     /*  813872 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(813947), // Rule ID 21981 //
     /*  813877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  813926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813945 */     GIR_RootConstrainSelectedInstOperands,
     /*  813946 */     // GIR_Coverage, 21981,
     /*  813946 */     GIR_EraseRootFromParent_Done,
     /*  813947 */   // Label 12566: @813947
     /*  813947 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(814022), // Rule ID 21984 //
     /*  813952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  814001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814020 */     GIR_RootConstrainSelectedInstOperands,
     /*  814021 */     // GIR_Coverage, 21984,
     /*  814021 */     GIR_EraseRootFromParent_Done,
     /*  814022 */   // Label 12567: @814022
     /*  814022 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814097), // Rule ID 21985 //
     /*  814027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814073 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  814076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814095 */     GIR_RootConstrainSelectedInstOperands,
     /*  814096 */     // GIR_Coverage, 21985,
     /*  814096 */     GIR_EraseRootFromParent_Done,
     /*  814097 */   // Label 12568: @814097
     /*  814097 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814172), // Rule ID 21988 //
     /*  814102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  814151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814170 */     GIR_RootConstrainSelectedInstOperands,
     /*  814171 */     // GIR_Coverage, 21988,
     /*  814171 */     GIR_EraseRootFromParent_Done,
     /*  814172 */   // Label 12569: @814172
     /*  814172 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814247), // Rule ID 21989 //
     /*  814177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  814226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814245 */     GIR_RootConstrainSelectedInstOperands,
     /*  814246 */     // GIR_Coverage, 21989,
     /*  814246 */     GIR_EraseRootFromParent_Done,
     /*  814247 */   // Label 12570: @814247
     /*  814247 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(814322), // Rule ID 21992 //
     /*  814252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  814301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814320 */     GIR_RootConstrainSelectedInstOperands,
     /*  814321 */     // GIR_Coverage, 21992,
     /*  814321 */     GIR_EraseRootFromParent_Done,
     /*  814322 */   // Label 12571: @814322
     /*  814322 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814397), // Rule ID 21993 //
     /*  814327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  814376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814395 */     GIR_RootConstrainSelectedInstOperands,
     /*  814396 */     // GIR_Coverage, 21993,
     /*  814396 */     GIR_EraseRootFromParent_Done,
     /*  814397 */   // Label 12572: @814397
     /*  814397 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814472), // Rule ID 21996 //
     /*  814402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  814405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  814451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814470 */     GIR_RootConstrainSelectedInstOperands,
     /*  814471 */     // GIR_Coverage, 21996,
     /*  814471 */     GIR_EraseRootFromParent_Done,
     /*  814472 */   // Label 12573: @814472
     /*  814472 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814547), // Rule ID 21997 //
     /*  814477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  814480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  814497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  814526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814545 */     GIR_RootConstrainSelectedInstOperands,
     /*  814546 */     // GIR_Coverage, 21997,
     /*  814546 */     GIR_EraseRootFromParent_Done,
     /*  814547 */   // Label 12574: @814547
     /*  814547 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814622), // Rule ID 22000 //
     /*  814552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  814601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814620 */     GIR_RootConstrainSelectedInstOperands,
     /*  814621 */     // GIR_Coverage, 22000,
     /*  814621 */     GIR_EraseRootFromParent_Done,
     /*  814622 */   // Label 12575: @814622
     /*  814622 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814697), // Rule ID 22001 //
     /*  814627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  814676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814695 */     GIR_RootConstrainSelectedInstOperands,
     /*  814696 */     // GIR_Coverage, 22001,
     /*  814696 */     GIR_EraseRootFromParent_Done,
     /*  814697 */   // Label 12576: @814697
     /*  814697 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(814772), // Rule ID 22004 //
     /*  814702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  814751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814770 */     GIR_RootConstrainSelectedInstOperands,
     /*  814771 */     // GIR_Coverage, 22004,
     /*  814771 */     GIR_EraseRootFromParent_Done,
     /*  814772 */   // Label 12577: @814772
     /*  814772 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(814847), // Rule ID 22005 //
     /*  814777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814823 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  814826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814845 */     GIR_RootConstrainSelectedInstOperands,
     /*  814846 */     // GIR_Coverage, 22005,
     /*  814846 */     GIR_EraseRootFromParent_Done,
     /*  814847 */   // Label 12578: @814847
     /*  814847 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(814922), // Rule ID 22008 //
     /*  814852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  814901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814920 */     GIR_RootConstrainSelectedInstOperands,
     /*  814921 */     // GIR_Coverage, 22008,
     /*  814921 */     GIR_EraseRootFromParent_Done,
     /*  814922 */   // Label 12579: @814922
     /*  814922 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(814997), // Rule ID 22009 //
     /*  814927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  814976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814995 */     GIR_RootConstrainSelectedInstOperands,
     /*  814996 */     // GIR_Coverage, 22009,
     /*  814996 */     GIR_EraseRootFromParent_Done,
     /*  814997 */   // Label 12580: @814997
     /*  814997 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(815072), // Rule ID 22012 //
     /*  815002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  815051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815070 */     GIR_RootConstrainSelectedInstOperands,
     /*  815071 */     // GIR_Coverage, 22012,
     /*  815071 */     GIR_EraseRootFromParent_Done,
     /*  815072 */   // Label 12581: @815072
     /*  815072 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815147), // Rule ID 22013 //
     /*  815077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  815126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815145 */     GIR_RootConstrainSelectedInstOperands,
     /*  815146 */     // GIR_Coverage, 22013,
     /*  815146 */     GIR_EraseRootFromParent_Done,
     /*  815147 */   // Label 12582: @815147
     /*  815147 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815222), // Rule ID 22016 //
     /*  815152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  815201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815220 */     GIR_RootConstrainSelectedInstOperands,
     /*  815221 */     // GIR_Coverage, 22016,
     /*  815221 */     GIR_EraseRootFromParent_Done,
     /*  815222 */   // Label 12583: @815222
     /*  815222 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(815297), // Rule ID 22017 //
     /*  815227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  815276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815295 */     GIR_RootConstrainSelectedInstOperands,
     /*  815296 */     // GIR_Coverage, 22017,
     /*  815296 */     GIR_EraseRootFromParent_Done,
     /*  815297 */   // Label 12584: @815297
     /*  815297 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815372), // Rule ID 22020 //
     /*  815302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  815351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815370 */     GIR_RootConstrainSelectedInstOperands,
     /*  815371 */     // GIR_Coverage, 22020,
     /*  815371 */     GIR_EraseRootFromParent_Done,
     /*  815372 */   // Label 12585: @815372
     /*  815372 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815447), // Rule ID 22021 //
     /*  815377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  815426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815445 */     GIR_RootConstrainSelectedInstOperands,
     /*  815446 */     // GIR_Coverage, 22021,
     /*  815446 */     GIR_EraseRootFromParent_Done,
     /*  815447 */   // Label 12586: @815447
     /*  815447 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815522), // Rule ID 22024 //
     /*  815452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  815501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815520 */     GIR_RootConstrainSelectedInstOperands,
     /*  815521 */     // GIR_Coverage, 22024,
     /*  815521 */     GIR_EraseRootFromParent_Done,
     /*  815522 */   // Label 12587: @815522
     /*  815522 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815597), // Rule ID 22025 //
     /*  815527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  815576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815595 */     GIR_RootConstrainSelectedInstOperands,
     /*  815596 */     // GIR_Coverage, 22025,
     /*  815596 */     GIR_EraseRootFromParent_Done,
     /*  815597 */   // Label 12588: @815597
     /*  815597 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815672), // Rule ID 22028 //
     /*  815602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  815651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815670 */     GIR_RootConstrainSelectedInstOperands,
     /*  815671 */     // GIR_Coverage, 22028,
     /*  815671 */     GIR_EraseRootFromParent_Done,
     /*  815672 */   // Label 12589: @815672
     /*  815672 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(815747), // Rule ID 22029 //
     /*  815677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  815726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815745 */     GIR_RootConstrainSelectedInstOperands,
     /*  815746 */     // GIR_Coverage, 22029,
     /*  815746 */     GIR_EraseRootFromParent_Done,
     /*  815747 */   // Label 12590: @815747
     /*  815747 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(815822), // Rule ID 22032 //
     /*  815752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  815769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  815801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815820 */     GIR_RootConstrainSelectedInstOperands,
     /*  815821 */     // GIR_Coverage, 22032,
     /*  815821 */     GIR_EraseRootFromParent_Done,
     /*  815822 */   // Label 12591: @815822
     /*  815822 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(815897), // Rule ID 22033 //
     /*  815827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  815844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  815876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815895 */     GIR_RootConstrainSelectedInstOperands,
     /*  815896 */     // GIR_Coverage, 22033,
     /*  815896 */     GIR_EraseRootFromParent_Done,
     /*  815897 */   // Label 12592: @815897
     /*  815897 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(815972), // Rule ID 22036 //
     /*  815902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  815951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815970 */     GIR_RootConstrainSelectedInstOperands,
     /*  815971 */     // GIR_Coverage, 22036,
     /*  815971 */     GIR_EraseRootFromParent_Done,
     /*  815972 */   // Label 12593: @815972
     /*  815972 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(816047), // Rule ID 22037 //
     /*  815977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  816026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816045 */     GIR_RootConstrainSelectedInstOperands,
     /*  816046 */     // GIR_Coverage, 22037,
     /*  816046 */     GIR_EraseRootFromParent_Done,
     /*  816047 */   // Label 12594: @816047
     /*  816047 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816122), // Rule ID 22040 //
     /*  816052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  816101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816120 */     GIR_RootConstrainSelectedInstOperands,
     /*  816121 */     // GIR_Coverage, 22040,
     /*  816121 */     GIR_EraseRootFromParent_Done,
     /*  816122 */   // Label 12595: @816122
     /*  816122 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816197), // Rule ID 22041 //
     /*  816127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  816176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816195 */     GIR_RootConstrainSelectedInstOperands,
     /*  816196 */     // GIR_Coverage, 22041,
     /*  816196 */     GIR_EraseRootFromParent_Done,
     /*  816197 */   // Label 12596: @816197
     /*  816197 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(816272), // Rule ID 22044 //
     /*  816202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  816251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816270 */     GIR_RootConstrainSelectedInstOperands,
     /*  816271 */     // GIR_Coverage, 22044,
     /*  816271 */     GIR_EraseRootFromParent_Done,
     /*  816272 */   // Label 12597: @816272
     /*  816272 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(816347), // Rule ID 22045 //
     /*  816277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  816326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816345 */     GIR_RootConstrainSelectedInstOperands,
     /*  816346 */     // GIR_Coverage, 22045,
     /*  816346 */     GIR_EraseRootFromParent_Done,
     /*  816347 */   // Label 12598: @816347
     /*  816347 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816422), // Rule ID 22048 //
     /*  816352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  816369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  816401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816420 */     GIR_RootConstrainSelectedInstOperands,
     /*  816421 */     // GIR_Coverage, 22048,
     /*  816421 */     GIR_EraseRootFromParent_Done,
     /*  816422 */   // Label 12599: @816422
     /*  816422 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816497), // Rule ID 22049 //
     /*  816427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  816444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816473 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  816476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816495 */     GIR_RootConstrainSelectedInstOperands,
     /*  816496 */     // GIR_Coverage, 22049,
     /*  816496 */     GIR_EraseRootFromParent_Done,
     /*  816497 */   // Label 12600: @816497
     /*  816497 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816572), // Rule ID 22052 //
     /*  816502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  816519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  816551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816570 */     GIR_RootConstrainSelectedInstOperands,
     /*  816571 */     // GIR_Coverage, 22052,
     /*  816571 */     GIR_EraseRootFromParent_Done,
     /*  816572 */   // Label 12601: @816572
     /*  816572 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816647), // Rule ID 22053 //
     /*  816577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  816594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  816626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816645 */     GIR_RootConstrainSelectedInstOperands,
     /*  816646 */     // GIR_Coverage, 22053,
     /*  816646 */     GIR_EraseRootFromParent_Done,
     /*  816647 */   // Label 12602: @816647
     /*  816647 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816722), // Rule ID 22056 //
     /*  816652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  816701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816720 */     GIR_RootConstrainSelectedInstOperands,
     /*  816721 */     // GIR_Coverage, 22056,
     /*  816721 */     GIR_EraseRootFromParent_Done,
     /*  816722 */   // Label 12603: @816722
     /*  816722 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(816797), // Rule ID 22057 //
     /*  816727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  816776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816795 */     GIR_RootConstrainSelectedInstOperands,
     /*  816796 */     // GIR_Coverage, 22057,
     /*  816796 */     GIR_EraseRootFromParent_Done,
     /*  816797 */   // Label 12604: @816797
     /*  816797 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(816872), // Rule ID 22060 //
     /*  816802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  816851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816870 */     GIR_RootConstrainSelectedInstOperands,
     /*  816871 */     // GIR_Coverage, 22060,
     /*  816871 */     GIR_EraseRootFromParent_Done,
     /*  816872 */   // Label 12605: @816872
     /*  816872 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(816947), // Rule ID 22061 //
     /*  816877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  816926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816945 */     GIR_RootConstrainSelectedInstOperands,
     /*  816946 */     // GIR_Coverage, 22061,
     /*  816946 */     GIR_EraseRootFromParent_Done,
     /*  816947 */   // Label 12606: @816947
     /*  816947 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(817022), // Rule ID 22064 //
     /*  816952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  816960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  817001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817020 */     GIR_RootConstrainSelectedInstOperands,
     /*  817021 */     // GIR_Coverage, 22064,
     /*  817021 */     GIR_EraseRootFromParent_Done,
     /*  817022 */   // Label 12607: @817022
     /*  817022 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817097), // Rule ID 22065 //
     /*  817027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  817044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  817076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817095 */     GIR_RootConstrainSelectedInstOperands,
     /*  817096 */     // GIR_Coverage, 22065,
     /*  817096 */     GIR_EraseRootFromParent_Done,
     /*  817097 */   // Label 12608: @817097
     /*  817097 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817172), // Rule ID 22068 //
     /*  817102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  817151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817170 */     GIR_RootConstrainSelectedInstOperands,
     /*  817171 */     // GIR_Coverage, 22068,
     /*  817171 */     GIR_EraseRootFromParent_Done,
     /*  817172 */   // Label 12609: @817172
     /*  817172 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817247), // Rule ID 22069 //
     /*  817177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  817226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817245 */     GIR_RootConstrainSelectedInstOperands,
     /*  817246 */     // GIR_Coverage, 22069,
     /*  817246 */     GIR_EraseRootFromParent_Done,
     /*  817247 */   // Label 12610: @817247
     /*  817247 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(817322), // Rule ID 22072 //
     /*  817252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  817269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  817301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817320 */     GIR_RootConstrainSelectedInstOperands,
     /*  817321 */     // GIR_Coverage, 22072,
     /*  817321 */     GIR_EraseRootFromParent_Done,
     /*  817322 */   // Label 12611: @817322
     /*  817322 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817397), // Rule ID 22073 //
     /*  817327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  817344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  817376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817395 */     GIR_RootConstrainSelectedInstOperands,
     /*  817396 */     // GIR_Coverage, 22073,
     /*  817396 */     GIR_EraseRootFromParent_Done,
     /*  817397 */   // Label 12612: @817397
     /*  817397 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817472), // Rule ID 22076 //
     /*  817402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  817419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  817451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817470 */     GIR_RootConstrainSelectedInstOperands,
     /*  817471 */     // GIR_Coverage, 22076,
     /*  817471 */     GIR_EraseRootFromParent_Done,
     /*  817472 */   // Label 12613: @817472
     /*  817472 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817547), // Rule ID 22077 //
     /*  817477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  817494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  817526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817545 */     GIR_RootConstrainSelectedInstOperands,
     /*  817546 */     // GIR_Coverage, 22077,
     /*  817546 */     GIR_EraseRootFromParent_Done,
     /*  817547 */   // Label 12614: @817547
     /*  817547 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817622), // Rule ID 22080 //
     /*  817552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  817569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817598 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  817601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817620 */     GIR_RootConstrainSelectedInstOperands,
     /*  817621 */     // GIR_Coverage, 22080,
     /*  817621 */     GIR_EraseRootFromParent_Done,
     /*  817622 */   // Label 12615: @817622
     /*  817622 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817697), // Rule ID 22081 //
     /*  817627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  817644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  817676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817695 */     GIR_RootConstrainSelectedInstOperands,
     /*  817696 */     // GIR_Coverage, 22081,
     /*  817696 */     GIR_EraseRootFromParent_Done,
     /*  817697 */   // Label 12616: @817697
     /*  817697 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(817772), // Rule ID 22084 //
     /*  817702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  817705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  817748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  817751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817770 */     GIR_RootConstrainSelectedInstOperands,
     /*  817771 */     // GIR_Coverage, 22084,
     /*  817771 */     GIR_EraseRootFromParent_Done,
     /*  817772 */   // Label 12617: @817772
     /*  817772 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(817847), // Rule ID 22085 //
     /*  817777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  817780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  817823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  817826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817845 */     GIR_RootConstrainSelectedInstOperands,
     /*  817846 */     // GIR_Coverage, 22085,
     /*  817846 */     GIR_EraseRootFromParent_Done,
     /*  817847 */   // Label 12618: @817847
     /*  817847 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(817922), // Rule ID 22088 //
     /*  817852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  817901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817920 */     GIR_RootConstrainSelectedInstOperands,
     /*  817921 */     // GIR_Coverage, 22088,
     /*  817921 */     GIR_EraseRootFromParent_Done,
     /*  817922 */   // Label 12619: @817922
     /*  817922 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(817997), // Rule ID 22089 //
     /*  817927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  817976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817995 */     GIR_RootConstrainSelectedInstOperands,
     /*  817996 */     // GIR_Coverage, 22089,
     /*  817996 */     GIR_EraseRootFromParent_Done,
     /*  817997 */   // Label 12620: @817997
     /*  817997 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(818072), // Rule ID 22092 //
     /*  818002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  818051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818070 */     GIR_RootConstrainSelectedInstOperands,
     /*  818071 */     // GIR_Coverage, 22092,
     /*  818071 */     GIR_EraseRootFromParent_Done,
     /*  818072 */   // Label 12621: @818072
     /*  818072 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818147), // Rule ID 22093 //
     /*  818077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  818126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818145 */     GIR_RootConstrainSelectedInstOperands,
     /*  818146 */     // GIR_Coverage, 22093,
     /*  818146 */     GIR_EraseRootFromParent_Done,
     /*  818147 */   // Label 12622: @818147
     /*  818147 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818222), // Rule ID 22096 //
     /*  818152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  818201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818220 */     GIR_RootConstrainSelectedInstOperands,
     /*  818221 */     // GIR_Coverage, 22096,
     /*  818221 */     GIR_EraseRootFromParent_Done,
     /*  818222 */   // Label 12623: @818222
     /*  818222 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(818297), // Rule ID 22097 //
     /*  818227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  818276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818295 */     GIR_RootConstrainSelectedInstOperands,
     /*  818296 */     // GIR_Coverage, 22097,
     /*  818296 */     GIR_EraseRootFromParent_Done,
     /*  818297 */   // Label 12624: @818297
     /*  818297 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818372), // Rule ID 22100 //
     /*  818302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  818319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  818351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818370 */     GIR_RootConstrainSelectedInstOperands,
     /*  818371 */     // GIR_Coverage, 22100,
     /*  818371 */     GIR_EraseRootFromParent_Done,
     /*  818372 */   // Label 12625: @818372
     /*  818372 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818447), // Rule ID 22101 //
     /*  818377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  818394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  818426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818445 */     GIR_RootConstrainSelectedInstOperands,
     /*  818446 */     // GIR_Coverage, 22101,
     /*  818446 */     GIR_EraseRootFromParent_Done,
     /*  818447 */   // Label 12626: @818447
     /*  818447 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818522), // Rule ID 22104 //
     /*  818452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  818469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  818501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818520 */     GIR_RootConstrainSelectedInstOperands,
     /*  818521 */     // GIR_Coverage, 22104,
     /*  818521 */     GIR_EraseRootFromParent_Done,
     /*  818522 */   // Label 12627: @818522
     /*  818522 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818597), // Rule ID 22105 //
     /*  818527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  818544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  818576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818595 */     GIR_RootConstrainSelectedInstOperands,
     /*  818596 */     // GIR_Coverage, 22105,
     /*  818596 */     GIR_EraseRootFromParent_Done,
     /*  818597 */   // Label 12628: @818597
     /*  818597 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818672), // Rule ID 22108 //
     /*  818602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  818651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818670 */     GIR_RootConstrainSelectedInstOperands,
     /*  818671 */     // GIR_Coverage, 22108,
     /*  818671 */     GIR_EraseRootFromParent_Done,
     /*  818672 */   // Label 12629: @818672
     /*  818672 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(818747), // Rule ID 22109 //
     /*  818677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818723 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  818726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818745 */     GIR_RootConstrainSelectedInstOperands,
     /*  818746 */     // GIR_Coverage, 22109,
     /*  818746 */     GIR_EraseRootFromParent_Done,
     /*  818747 */   // Label 12630: @818747
     /*  818747 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(818822), // Rule ID 22112 //
     /*  818752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  818801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818820 */     GIR_RootConstrainSelectedInstOperands,
     /*  818821 */     // GIR_Coverage, 22112,
     /*  818821 */     GIR_EraseRootFromParent_Done,
     /*  818822 */   // Label 12631: @818822
     /*  818822 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(818897), // Rule ID 22113 //
     /*  818827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  818876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818895 */     GIR_RootConstrainSelectedInstOperands,
     /*  818896 */     // GIR_Coverage, 22113,
     /*  818896 */     GIR_EraseRootFromParent_Done,
     /*  818897 */   // Label 12632: @818897
     /*  818897 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(818972), // Rule ID 22116 //
     /*  818902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  818951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818970 */     GIR_RootConstrainSelectedInstOperands,
     /*  818971 */     // GIR_Coverage, 22116,
     /*  818971 */     GIR_EraseRootFromParent_Done,
     /*  818972 */   // Label 12633: @818972
     /*  818972 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(819047), // Rule ID 22117 //
     /*  818977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  819026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819045 */     GIR_RootConstrainSelectedInstOperands,
     /*  819046 */     // GIR_Coverage, 22117,
     /*  819046 */     GIR_EraseRootFromParent_Done,
     /*  819047 */   // Label 12634: @819047
     /*  819047 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819122), // Rule ID 22120 //
     /*  819052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  819101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819120 */     GIR_RootConstrainSelectedInstOperands,
     /*  819121 */     // GIR_Coverage, 22120,
     /*  819121 */     GIR_EraseRootFromParent_Done,
     /*  819122 */   // Label 12635: @819122
     /*  819122 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819197), // Rule ID 22121 //
     /*  819127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  819176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819195 */     GIR_RootConstrainSelectedInstOperands,
     /*  819196 */     // GIR_Coverage, 22121,
     /*  819196 */     GIR_EraseRootFromParent_Done,
     /*  819197 */   // Label 12636: @819197
     /*  819197 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(819272), // Rule ID 22124 //
     /*  819202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  819251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819270 */     GIR_RootConstrainSelectedInstOperands,
     /*  819271 */     // GIR_Coverage, 22124,
     /*  819271 */     GIR_EraseRootFromParent_Done,
     /*  819272 */   // Label 12637: @819272
     /*  819272 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(819347), // Rule ID 22125 //
     /*  819277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  819326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819345 */     GIR_RootConstrainSelectedInstOperands,
     /*  819346 */     // GIR_Coverage, 22125,
     /*  819346 */     GIR_EraseRootFromParent_Done,
     /*  819347 */   // Label 12638: @819347
     /*  819347 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819422), // Rule ID 22128 //
     /*  819352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  819369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  819401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819420 */     GIR_RootConstrainSelectedInstOperands,
     /*  819421 */     // GIR_Coverage, 22128,
     /*  819421 */     GIR_EraseRootFromParent_Done,
     /*  819422 */   // Label 12639: @819422
     /*  819422 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819497), // Rule ID 22129 //
     /*  819427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  819444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819473 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  819476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819495 */     GIR_RootConstrainSelectedInstOperands,
     /*  819496 */     // GIR_Coverage, 22129,
     /*  819496 */     GIR_EraseRootFromParent_Done,
     /*  819497 */   // Label 12640: @819497
     /*  819497 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819572), // Rule ID 22132 //
     /*  819502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  819519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  819551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819570 */     GIR_RootConstrainSelectedInstOperands,
     /*  819571 */     // GIR_Coverage, 22132,
     /*  819571 */     GIR_EraseRootFromParent_Done,
     /*  819572 */   // Label 12641: @819572
     /*  819572 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819647), // Rule ID 22133 //
     /*  819577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  819594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  819626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819645 */     GIR_RootConstrainSelectedInstOperands,
     /*  819646 */     // GIR_Coverage, 22133,
     /*  819646 */     GIR_EraseRootFromParent_Done,
     /*  819647 */   // Label 12642: @819647
     /*  819647 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819722), // Rule ID 22136 //
     /*  819652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  819701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819720 */     GIR_RootConstrainSelectedInstOperands,
     /*  819721 */     // GIR_Coverage, 22136,
     /*  819721 */     GIR_EraseRootFromParent_Done,
     /*  819722 */   // Label 12643: @819722
     /*  819722 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(819797), // Rule ID 22137 //
     /*  819727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  819776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819795 */     GIR_RootConstrainSelectedInstOperands,
     /*  819796 */     // GIR_Coverage, 22137,
     /*  819796 */     GIR_EraseRootFromParent_Done,
     /*  819797 */   // Label 12644: @819797
     /*  819797 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(819872), // Rule ID 22140 //
     /*  819802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  819851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819870 */     GIR_RootConstrainSelectedInstOperands,
     /*  819871 */     // GIR_Coverage, 22140,
     /*  819871 */     GIR_EraseRootFromParent_Done,
     /*  819872 */   // Label 12645: @819872
     /*  819872 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(819947), // Rule ID 22141 //
     /*  819877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  819926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819945 */     GIR_RootConstrainSelectedInstOperands,
     /*  819946 */     // GIR_Coverage, 22141,
     /*  819946 */     GIR_EraseRootFromParent_Done,
     /*  819947 */   // Label 12646: @819947
     /*  819947 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(820022), // Rule ID 22144 //
     /*  819952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  819960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  820001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820020 */     GIR_RootConstrainSelectedInstOperands,
     /*  820021 */     // GIR_Coverage, 22144,
     /*  820021 */     GIR_EraseRootFromParent_Done,
     /*  820022 */   // Label 12647: @820022
     /*  820022 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820097), // Rule ID 22145 //
     /*  820027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  820044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820073 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  820076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820095 */     GIR_RootConstrainSelectedInstOperands,
     /*  820096 */     // GIR_Coverage, 22145,
     /*  820096 */     GIR_EraseRootFromParent_Done,
     /*  820097 */   // Label 12648: @820097
     /*  820097 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820172), // Rule ID 22148 //
     /*  820102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  820151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820170 */     GIR_RootConstrainSelectedInstOperands,
     /*  820171 */     // GIR_Coverage, 22148,
     /*  820171 */     GIR_EraseRootFromParent_Done,
     /*  820172 */   // Label 12649: @820172
     /*  820172 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820247), // Rule ID 22149 //
     /*  820177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  820226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820245 */     GIR_RootConstrainSelectedInstOperands,
     /*  820246 */     // GIR_Coverage, 22149,
     /*  820246 */     GIR_EraseRootFromParent_Done,
     /*  820247 */   // Label 12650: @820247
     /*  820247 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(820322), // Rule ID 22152 //
     /*  820252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  820301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820320 */     GIR_RootConstrainSelectedInstOperands,
     /*  820321 */     // GIR_Coverage, 22152,
     /*  820321 */     GIR_EraseRootFromParent_Done,
     /*  820322 */   // Label 12651: @820322
     /*  820322 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820397), // Rule ID 22153 //
     /*  820327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820373 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  820376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820395 */     GIR_RootConstrainSelectedInstOperands,
     /*  820396 */     // GIR_Coverage, 22153,
     /*  820396 */     GIR_EraseRootFromParent_Done,
     /*  820397 */   // Label 12652: @820397
     /*  820397 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820472), // Rule ID 22156 //
     /*  820402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  820451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820470 */     GIR_RootConstrainSelectedInstOperands,
     /*  820471 */     // GIR_Coverage, 22156,
     /*  820471 */     GIR_EraseRootFromParent_Done,
     /*  820472 */   // Label 12653: @820472
     /*  820472 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820547), // Rule ID 22157 //
     /*  820477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  820526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820545 */     GIR_RootConstrainSelectedInstOperands,
     /*  820546 */     // GIR_Coverage, 22157,
     /*  820546 */     GIR_EraseRootFromParent_Done,
     /*  820547 */   // Label 12654: @820547
     /*  820547 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820622), // Rule ID 22160 //
     /*  820552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  820601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820620 */     GIR_RootConstrainSelectedInstOperands,
     /*  820621 */     // GIR_Coverage, 22160,
     /*  820621 */     GIR_EraseRootFromParent_Done,
     /*  820622 */   // Label 12655: @820622
     /*  820622 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820697), // Rule ID 22161 //
     /*  820627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  820676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820695 */     GIR_RootConstrainSelectedInstOperands,
     /*  820696 */     // GIR_Coverage, 22161,
     /*  820696 */     GIR_EraseRootFromParent_Done,
     /*  820697 */   // Label 12656: @820697
     /*  820697 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(820772), // Rule ID 22164 //
     /*  820702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  820751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820770 */     GIR_RootConstrainSelectedInstOperands,
     /*  820771 */     // GIR_Coverage, 22164,
     /*  820771 */     GIR_EraseRootFromParent_Done,
     /*  820772 */   // Label 12657: @820772
     /*  820772 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(820847), // Rule ID 22165 //
     /*  820777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  820826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820845 */     GIR_RootConstrainSelectedInstOperands,
     /*  820846 */     // GIR_Coverage, 22165,
     /*  820846 */     GIR_EraseRootFromParent_Done,
     /*  820847 */   // Label 12658: @820847
     /*  820847 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(820922), // Rule ID 22168 //
     /*  820852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  820901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820920 */     GIR_RootConstrainSelectedInstOperands,
     /*  820921 */     // GIR_Coverage, 22168,
     /*  820921 */     GIR_EraseRootFromParent_Done,
     /*  820922 */   // Label 12659: @820922
     /*  820922 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(820997), // Rule ID 22169 //
     /*  820927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820973 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  820976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820995 */     GIR_RootConstrainSelectedInstOperands,
     /*  820996 */     // GIR_Coverage, 22169,
     /*  820996 */     GIR_EraseRootFromParent_Done,
     /*  820997 */   // Label 12660: @820997
     /*  820997 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(821072), // Rule ID 22172 //
     /*  821002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  821051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821070 */     GIR_RootConstrainSelectedInstOperands,
     /*  821071 */     // GIR_Coverage, 22172,
     /*  821071 */     GIR_EraseRootFromParent_Done,
     /*  821072 */   // Label 12661: @821072
     /*  821072 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821147), // Rule ID 22173 //
     /*  821077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  821126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821145 */     GIR_RootConstrainSelectedInstOperands,
     /*  821146 */     // GIR_Coverage, 22173,
     /*  821146 */     GIR_EraseRootFromParent_Done,
     /*  821147 */   // Label 12662: @821147
     /*  821147 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821222), // Rule ID 22176 //
     /*  821152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  821201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821220 */     GIR_RootConstrainSelectedInstOperands,
     /*  821221 */     // GIR_Coverage, 22176,
     /*  821221 */     GIR_EraseRootFromParent_Done,
     /*  821222 */   // Label 12663: @821222
     /*  821222 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(821297), // Rule ID 22177 //
     /*  821227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  821276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821295 */     GIR_RootConstrainSelectedInstOperands,
     /*  821296 */     // GIR_Coverage, 22177,
     /*  821296 */     GIR_EraseRootFromParent_Done,
     /*  821297 */   // Label 12664: @821297
     /*  821297 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821372), // Rule ID 22180 //
     /*  821302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  821351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821370 */     GIR_RootConstrainSelectedInstOperands,
     /*  821371 */     // GIR_Coverage, 22180,
     /*  821371 */     GIR_EraseRootFromParent_Done,
     /*  821372 */   // Label 12665: @821372
     /*  821372 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821447), // Rule ID 22181 //
     /*  821377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821423 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  821426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821445 */     GIR_RootConstrainSelectedInstOperands,
     /*  821446 */     // GIR_Coverage, 22181,
     /*  821446 */     GIR_EraseRootFromParent_Done,
     /*  821447 */   // Label 12666: @821447
     /*  821447 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821522), // Rule ID 22184 //
     /*  821452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  821501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821520 */     GIR_RootConstrainSelectedInstOperands,
     /*  821521 */     // GIR_Coverage, 22184,
     /*  821521 */     GIR_EraseRootFromParent_Done,
     /*  821522 */   // Label 12667: @821522
     /*  821522 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821597), // Rule ID 22185 //
     /*  821527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821573 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  821576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821595 */     GIR_RootConstrainSelectedInstOperands,
     /*  821596 */     // GIR_Coverage, 22185,
     /*  821596 */     GIR_EraseRootFromParent_Done,
     /*  821597 */   // Label 12668: @821597
     /*  821597 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821672), // Rule ID 22188 //
     /*  821602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  821651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821670 */     GIR_RootConstrainSelectedInstOperands,
     /*  821671 */     // GIR_Coverage, 22188,
     /*  821671 */     GIR_EraseRootFromParent_Done,
     /*  821672 */   // Label 12669: @821672
     /*  821672 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(821747), // Rule ID 22189 //
     /*  821677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821723 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  821726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821745 */     GIR_RootConstrainSelectedInstOperands,
     /*  821746 */     // GIR_Coverage, 22189,
     /*  821746 */     GIR_EraseRootFromParent_Done,
     /*  821747 */   // Label 12670: @821747
     /*  821747 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(821822), // Rule ID 22192 //
     /*  821752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  821801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821820 */     GIR_RootConstrainSelectedInstOperands,
     /*  821821 */     // GIR_Coverage, 22192,
     /*  821821 */     GIR_EraseRootFromParent_Done,
     /*  821822 */   // Label 12671: @821822
     /*  821822 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(821897), // Rule ID 22193 //
     /*  821827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  821876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821895 */     GIR_RootConstrainSelectedInstOperands,
     /*  821896 */     // GIR_Coverage, 22193,
     /*  821896 */     GIR_EraseRootFromParent_Done,
     /*  821897 */   // Label 12672: @821897
     /*  821897 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(821972), // Rule ID 22196 //
     /*  821902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  821951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821970 */     GIR_RootConstrainSelectedInstOperands,
     /*  821971 */     // GIR_Coverage, 22196,
     /*  821971 */     GIR_EraseRootFromParent_Done,
     /*  821972 */   // Label 12673: @821972
     /*  821972 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(822047), // Rule ID 22197 //
     /*  821977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  822026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822045 */     GIR_RootConstrainSelectedInstOperands,
     /*  822046 */     // GIR_Coverage, 22197,
     /*  822046 */     GIR_EraseRootFromParent_Done,
     /*  822047 */   // Label 12674: @822047
     /*  822047 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822122), // Rule ID 22200 //
     /*  822052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  822101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822120 */     GIR_RootConstrainSelectedInstOperands,
     /*  822121 */     // GIR_Coverage, 22200,
     /*  822121 */     GIR_EraseRootFromParent_Done,
     /*  822122 */   // Label 12675: @822122
     /*  822122 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822197), // Rule ID 22201 //
     /*  822127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  822176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822195 */     GIR_RootConstrainSelectedInstOperands,
     /*  822196 */     // GIR_Coverage, 22201,
     /*  822196 */     GIR_EraseRootFromParent_Done,
     /*  822197 */   // Label 12676: @822197
     /*  822197 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(822272), // Rule ID 22204 //
     /*  822202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  822251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822270 */     GIR_RootConstrainSelectedInstOperands,
     /*  822271 */     // GIR_Coverage, 22204,
     /*  822271 */     GIR_EraseRootFromParent_Done,
     /*  822272 */   // Label 12677: @822272
     /*  822272 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(822347), // Rule ID 22205 //
     /*  822277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  822326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822345 */     GIR_RootConstrainSelectedInstOperands,
     /*  822346 */     // GIR_Coverage, 22205,
     /*  822346 */     GIR_EraseRootFromParent_Done,
     /*  822347 */   // Label 12678: @822347
     /*  822347 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822422), // Rule ID 22208 //
     /*  822352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  822401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822420 */     GIR_RootConstrainSelectedInstOperands,
     /*  822421 */     // GIR_Coverage, 22208,
     /*  822421 */     GIR_EraseRootFromParent_Done,
     /*  822422 */   // Label 12679: @822422
     /*  822422 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822497), // Rule ID 22209 //
     /*  822427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  822476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822495 */     GIR_RootConstrainSelectedInstOperands,
     /*  822496 */     // GIR_Coverage, 22209,
     /*  822496 */     GIR_EraseRootFromParent_Done,
     /*  822497 */   // Label 12680: @822497
     /*  822497 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822572), // Rule ID 22212 //
     /*  822502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  822551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822570 */     GIR_RootConstrainSelectedInstOperands,
     /*  822571 */     // GIR_Coverage, 22212,
     /*  822571 */     GIR_EraseRootFromParent_Done,
     /*  822572 */   // Label 12681: @822572
     /*  822572 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822647), // Rule ID 22213 //
     /*  822577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  822626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822645 */     GIR_RootConstrainSelectedInstOperands,
     /*  822646 */     // GIR_Coverage, 22213,
     /*  822646 */     GIR_EraseRootFromParent_Done,
     /*  822647 */   // Label 12682: @822647
     /*  822647 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822722), // Rule ID 22216 //
     /*  822652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822698 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  822701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822720 */     GIR_RootConstrainSelectedInstOperands,
     /*  822721 */     // GIR_Coverage, 22216,
     /*  822721 */     GIR_EraseRootFromParent_Done,
     /*  822722 */   // Label 12683: @822722
     /*  822722 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(822797), // Rule ID 22217 //
     /*  822727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822773 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  822776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822795 */     GIR_RootConstrainSelectedInstOperands,
     /*  822796 */     // GIR_Coverage, 22217,
     /*  822796 */     GIR_EraseRootFromParent_Done,
     /*  822797 */   // Label 12684: @822797
     /*  822797 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(822872), // Rule ID 22220 //
     /*  822802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  822851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822870 */     GIR_RootConstrainSelectedInstOperands,
     /*  822871 */     // GIR_Coverage, 22220,
     /*  822871 */     GIR_EraseRootFromParent_Done,
     /*  822872 */   // Label 12685: @822872
     /*  822872 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(822947), // Rule ID 22221 //
     /*  822877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  822926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822945 */     GIR_RootConstrainSelectedInstOperands,
     /*  822946 */     // GIR_Coverage, 22221,
     /*  822946 */     GIR_EraseRootFromParent_Done,
     /*  822947 */   // Label 12686: @822947
     /*  822947 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(823022), // Rule ID 22224 //
     /*  822952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  822960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  823001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823020 */     GIR_RootConstrainSelectedInstOperands,
     /*  823021 */     // GIR_Coverage, 22224,
     /*  823021 */     GIR_EraseRootFromParent_Done,
     /*  823022 */   // Label 12687: @823022
     /*  823022 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823097), // Rule ID 22225 //
     /*  823027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823073 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  823076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823095 */     GIR_RootConstrainSelectedInstOperands,
     /*  823096 */     // GIR_Coverage, 22225,
     /*  823096 */     GIR_EraseRootFromParent_Done,
     /*  823097 */   // Label 12688: @823097
     /*  823097 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823172), // Rule ID 22228 //
     /*  823102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  823151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823170 */     GIR_RootConstrainSelectedInstOperands,
     /*  823171 */     // GIR_Coverage, 22228,
     /*  823171 */     GIR_EraseRootFromParent_Done,
     /*  823172 */   // Label 12689: @823172
     /*  823172 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823247), // Rule ID 22229 //
     /*  823177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823223 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  823226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823245 */     GIR_RootConstrainSelectedInstOperands,
     /*  823246 */     // GIR_Coverage, 22229,
     /*  823246 */     GIR_EraseRootFromParent_Done,
     /*  823247 */   // Label 12690: @823247
     /*  823247 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(823322), // Rule ID 22232 //
     /*  823252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  823301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823320 */     GIR_RootConstrainSelectedInstOperands,
     /*  823321 */     // GIR_Coverage, 22232,
     /*  823321 */     GIR_EraseRootFromParent_Done,
     /*  823322 */   // Label 12691: @823322
     /*  823322 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823397), // Rule ID 22233 //
     /*  823327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  823376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823395 */     GIR_RootConstrainSelectedInstOperands,
     /*  823396 */     // GIR_Coverage, 22233,
     /*  823396 */     GIR_EraseRootFromParent_Done,
     /*  823397 */   // Label 12692: @823397
     /*  823397 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823472), // Rule ID 22236 //
     /*  823402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  823451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823470 */     GIR_RootConstrainSelectedInstOperands,
     /*  823471 */     // GIR_Coverage, 22236,
     /*  823471 */     GIR_EraseRootFromParent_Done,
     /*  823472 */   // Label 12693: @823472
     /*  823472 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823547), // Rule ID 22237 //
     /*  823477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  823526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823545 */     GIR_RootConstrainSelectedInstOperands,
     /*  823546 */     // GIR_Coverage, 22237,
     /*  823546 */     GIR_EraseRootFromParent_Done,
     /*  823547 */   // Label 12694: @823547
     /*  823547 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823622), // Rule ID 22240 //
     /*  823552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  823569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  823601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823620 */     GIR_RootConstrainSelectedInstOperands,
     /*  823621 */     // GIR_Coverage, 22240,
     /*  823621 */     GIR_EraseRootFromParent_Done,
     /*  823622 */   // Label 12695: @823622
     /*  823622 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823697), // Rule ID 22241 //
     /*  823627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  823644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  823676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823695 */     GIR_RootConstrainSelectedInstOperands,
     /*  823696 */     // GIR_Coverage, 22241,
     /*  823696 */     GIR_EraseRootFromParent_Done,
     /*  823697 */   // Label 12696: @823697
     /*  823697 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(823772), // Rule ID 22244 //
     /*  823702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  823751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823770 */     GIR_RootConstrainSelectedInstOperands,
     /*  823771 */     // GIR_Coverage, 22244,
     /*  823771 */     GIR_EraseRootFromParent_Done,
     /*  823772 */   // Label 12697: @823772
     /*  823772 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(823847), // Rule ID 22245 //
     /*  823777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  823826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823845 */     GIR_RootConstrainSelectedInstOperands,
     /*  823846 */     // GIR_Coverage, 22245,
     /*  823846 */     GIR_EraseRootFromParent_Done,
     /*  823847 */   // Label 12698: @823847
     /*  823847 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(823922), // Rule ID 22248 //
     /*  823852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  823901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823920 */     GIR_RootConstrainSelectedInstOperands,
     /*  823921 */     // GIR_Coverage, 22248,
     /*  823921 */     GIR_EraseRootFromParent_Done,
     /*  823922 */   // Label 12699: @823922
     /*  823922 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(823997), // Rule ID 22249 //
     /*  823927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  823976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823995 */     GIR_RootConstrainSelectedInstOperands,
     /*  823996 */     // GIR_Coverage, 22249,
     /*  823996 */     GIR_EraseRootFromParent_Done,
     /*  823997 */   // Label 12700: @823997
     /*  823997 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(824072), // Rule ID 22252 //
     /*  824002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  824051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824070 */     GIR_RootConstrainSelectedInstOperands,
     /*  824071 */     // GIR_Coverage, 22252,
     /*  824071 */     GIR_EraseRootFromParent_Done,
     /*  824072 */   // Label 12701: @824072
     /*  824072 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824147), // Rule ID 22253 //
     /*  824077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  824126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824145 */     GIR_RootConstrainSelectedInstOperands,
     /*  824146 */     // GIR_Coverage, 22253,
     /*  824146 */     GIR_EraseRootFromParent_Done,
     /*  824147 */   // Label 12702: @824147
     /*  824147 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824222), // Rule ID 22256 //
     /*  824152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  824201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824220 */     GIR_RootConstrainSelectedInstOperands,
     /*  824221 */     // GIR_Coverage, 22256,
     /*  824221 */     GIR_EraseRootFromParent_Done,
     /*  824222 */   // Label 12703: @824222
     /*  824222 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(824297), // Rule ID 22257 //
     /*  824227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  824276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824295 */     GIR_RootConstrainSelectedInstOperands,
     /*  824296 */     // GIR_Coverage, 22257,
     /*  824296 */     GIR_EraseRootFromParent_Done,
     /*  824297 */   // Label 12704: @824297
     /*  824297 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824372), // Rule ID 22260 //
     /*  824302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  824348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  824351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824370 */     GIR_RootConstrainSelectedInstOperands,
     /*  824371 */     // GIR_Coverage, 22260,
     /*  824371 */     GIR_EraseRootFromParent_Done,
     /*  824372 */   // Label 12705: @824372
     /*  824372 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824447), // Rule ID 22261 //
     /*  824377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  824380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  824397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824423 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  824423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  824426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  824442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824445 */     GIR_RootConstrainSelectedInstOperands,
     /*  824446 */     // GIR_Coverage, 22261,
     /*  824446 */     GIR_EraseRootFromParent_Done,
     /*  824447 */   // Label 12706: @824447
     /*  824447 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824522), // Rule ID 22264 //
     /*  824452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  824469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  824501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824520 */     GIR_RootConstrainSelectedInstOperands,
     /*  824521 */     // GIR_Coverage, 22264,
     /*  824521 */     GIR_EraseRootFromParent_Done,
     /*  824522 */   // Label 12707: @824522
     /*  824522 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824597), // Rule ID 22265 //
     /*  824527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  824544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824573 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  824576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824595 */     GIR_RootConstrainSelectedInstOperands,
     /*  824596 */     // GIR_Coverage, 22265,
     /*  824596 */     GIR_EraseRootFromParent_Done,
     /*  824597 */   // Label 12708: @824597
     /*  824597 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824672), // Rule ID 22268 //
     /*  824602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  824651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824670 */     GIR_RootConstrainSelectedInstOperands,
     /*  824671 */     // GIR_Coverage, 22268,
     /*  824671 */     GIR_EraseRootFromParent_Done,
     /*  824672 */   // Label 12709: @824672
     /*  824672 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(824747), // Rule ID 22269 //
     /*  824677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  824726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824745 */     GIR_RootConstrainSelectedInstOperands,
     /*  824746 */     // GIR_Coverage, 22269,
     /*  824746 */     GIR_EraseRootFromParent_Done,
     /*  824747 */   // Label 12710: @824747
     /*  824747 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(824822), // Rule ID 22272 //
     /*  824752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  824769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  824801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824820 */     GIR_RootConstrainSelectedInstOperands,
     /*  824821 */     // GIR_Coverage, 22272,
     /*  824821 */     GIR_EraseRootFromParent_Done,
     /*  824822 */   // Label 12711: @824822
     /*  824822 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(824897), // Rule ID 22273 //
     /*  824827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  824844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  824876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824895 */     GIR_RootConstrainSelectedInstOperands,
     /*  824896 */     // GIR_Coverage, 22273,
     /*  824896 */     GIR_EraseRootFromParent_Done,
     /*  824897 */   // Label 12712: @824897
     /*  824897 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(824972), // Rule ID 22276 //
     /*  824902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  824951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824970 */     GIR_RootConstrainSelectedInstOperands,
     /*  824971 */     // GIR_Coverage, 22276,
     /*  824971 */     GIR_EraseRootFromParent_Done,
     /*  824972 */   // Label 12713: @824972
     /*  824972 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(825047), // Rule ID 22277 //
     /*  824977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  825026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825045 */     GIR_RootConstrainSelectedInstOperands,
     /*  825046 */     // GIR_Coverage, 22277,
     /*  825046 */     GIR_EraseRootFromParent_Done,
     /*  825047 */   // Label 12714: @825047
     /*  825047 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825122), // Rule ID 22280 //
     /*  825052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  825101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825120 */     GIR_RootConstrainSelectedInstOperands,
     /*  825121 */     // GIR_Coverage, 22280,
     /*  825121 */     GIR_EraseRootFromParent_Done,
     /*  825122 */   // Label 12715: @825122
     /*  825122 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825197), // Rule ID 22281 //
     /*  825127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  825176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825195 */     GIR_RootConstrainSelectedInstOperands,
     /*  825196 */     // GIR_Coverage, 22281,
     /*  825196 */     GIR_EraseRootFromParent_Done,
     /*  825197 */   // Label 12716: @825197
     /*  825197 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(825272), // Rule ID 22284 //
     /*  825202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  825251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825270 */     GIR_RootConstrainSelectedInstOperands,
     /*  825271 */     // GIR_Coverage, 22284,
     /*  825271 */     GIR_EraseRootFromParent_Done,
     /*  825272 */   // Label 12717: @825272
     /*  825272 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(825347), // Rule ID 22285 //
     /*  825277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  825326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825345 */     GIR_RootConstrainSelectedInstOperands,
     /*  825346 */     // GIR_Coverage, 22285,
     /*  825346 */     GIR_EraseRootFromParent_Done,
     /*  825347 */   // Label 12718: @825347
     /*  825347 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(825422), // Rule ID 22288 //
     /*  825352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  825401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825420 */     GIR_RootConstrainSelectedInstOperands,
     /*  825421 */     // GIR_Coverage, 22288,
     /*  825421 */     GIR_EraseRootFromParent_Done,
     /*  825422 */   // Label 12719: @825422
     /*  825422 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(825497), // Rule ID 22289 //
     /*  825427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  825476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825495 */     GIR_RootConstrainSelectedInstOperands,
     /*  825496 */     // GIR_Coverage, 22289,
     /*  825496 */     GIR_EraseRootFromParent_Done,
     /*  825497 */   // Label 12720: @825497
     /*  825497 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825572), // Rule ID 22292 //
     /*  825502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  825551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825570 */     GIR_RootConstrainSelectedInstOperands,
     /*  825571 */     // GIR_Coverage, 22292,
     /*  825571 */     GIR_EraseRootFromParent_Done,
     /*  825572 */   // Label 12721: @825572
     /*  825572 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825647), // Rule ID 22293 //
     /*  825577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  825626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825645 */     GIR_RootConstrainSelectedInstOperands,
     /*  825646 */     // GIR_Coverage, 22293,
     /*  825646 */     GIR_EraseRootFromParent_Done,
     /*  825647 */   // Label 12722: @825647
     /*  825647 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825722), // Rule ID 22296 //
     /*  825652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  825701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825720 */     GIR_RootConstrainSelectedInstOperands,
     /*  825721 */     // GIR_Coverage, 22296,
     /*  825721 */     GIR_EraseRootFromParent_Done,
     /*  825722 */   // Label 12723: @825722
     /*  825722 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(825797), // Rule ID 22297 //
     /*  825727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  825776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825795 */     GIR_RootConstrainSelectedInstOperands,
     /*  825796 */     // GIR_Coverage, 22297,
     /*  825796 */     GIR_EraseRootFromParent_Done,
     /*  825797 */   // Label 12724: @825797
     /*  825797 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(825872), // Rule ID 22300 //
     /*  825802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  825851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825870 */     GIR_RootConstrainSelectedInstOperands,
     /*  825871 */     // GIR_Coverage, 22300,
     /*  825871 */     GIR_EraseRootFromParent_Done,
     /*  825872 */   // Label 12725: @825872
     /*  825872 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(825947), // Rule ID 22301 //
     /*  825877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  825926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825945 */     GIR_RootConstrainSelectedInstOperands,
     /*  825946 */     // GIR_Coverage, 22301,
     /*  825946 */     GIR_EraseRootFromParent_Done,
     /*  825947 */   // Label 12726: @825947
     /*  825947 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(826022), // Rule ID 22304 //
     /*  825952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  826001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826020 */     GIR_RootConstrainSelectedInstOperands,
     /*  826021 */     // GIR_Coverage, 22304,
     /*  826021 */     GIR_EraseRootFromParent_Done,
     /*  826022 */   // Label 12727: @826022
     /*  826022 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826097), // Rule ID 22305 //
     /*  826027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  826076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826095 */     GIR_RootConstrainSelectedInstOperands,
     /*  826096 */     // GIR_Coverage, 22305,
     /*  826096 */     GIR_EraseRootFromParent_Done,
     /*  826097 */   // Label 12728: @826097
     /*  826097 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826172), // Rule ID 22308 //
     /*  826102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  826151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826170 */     GIR_RootConstrainSelectedInstOperands,
     /*  826171 */     // GIR_Coverage, 22308,
     /*  826171 */     GIR_EraseRootFromParent_Done,
     /*  826172 */   // Label 12729: @826172
     /*  826172 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826247), // Rule ID 22309 //
     /*  826177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  826226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826245 */     GIR_RootConstrainSelectedInstOperands,
     /*  826246 */     // GIR_Coverage, 22309,
     /*  826246 */     GIR_EraseRootFromParent_Done,
     /*  826247 */   // Label 12730: @826247
     /*  826247 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(826322), // Rule ID 22312 //
     /*  826252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  826269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  826301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826320 */     GIR_RootConstrainSelectedInstOperands,
     /*  826321 */     // GIR_Coverage, 22312,
     /*  826321 */     GIR_EraseRootFromParent_Done,
     /*  826322 */   // Label 12731: @826322
     /*  826322 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(826397), // Rule ID 22313 //
     /*  826327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  826344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  826376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826395 */     GIR_RootConstrainSelectedInstOperands,
     /*  826396 */     // GIR_Coverage, 22313,
     /*  826396 */     GIR_EraseRootFromParent_Done,
     /*  826397 */   // Label 12732: @826397
     /*  826397 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(826472), // Rule ID 22316 //
     /*  826402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  826419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  826451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826470 */     GIR_RootConstrainSelectedInstOperands,
     /*  826471 */     // GIR_Coverage, 22316,
     /*  826471 */     GIR_EraseRootFromParent_Done,
     /*  826472 */   // Label 12733: @826472
     /*  826472 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826547), // Rule ID 22317 //
     /*  826477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  826494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826523 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  826526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826545 */     GIR_RootConstrainSelectedInstOperands,
     /*  826546 */     // GIR_Coverage, 22317,
     /*  826546 */     GIR_EraseRootFromParent_Done,
     /*  826547 */   // Label 12734: @826547
     /*  826547 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826622), // Rule ID 22320 //
     /*  826552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  826569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  826601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826620 */     GIR_RootConstrainSelectedInstOperands,
     /*  826621 */     // GIR_Coverage, 22320,
     /*  826621 */     GIR_EraseRootFromParent_Done,
     /*  826622 */   // Label 12735: @826622
     /*  826622 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826697), // Rule ID 22321 //
     /*  826627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  826644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  826676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826695 */     GIR_RootConstrainSelectedInstOperands,
     /*  826696 */     // GIR_Coverage, 22321,
     /*  826696 */     GIR_EraseRootFromParent_Done,
     /*  826697 */   // Label 12736: @826697
     /*  826697 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(826772), // Rule ID 22324 //
     /*  826702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  826751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826770 */     GIR_RootConstrainSelectedInstOperands,
     /*  826771 */     // GIR_Coverage, 22324,
     /*  826771 */     GIR_EraseRootFromParent_Done,
     /*  826772 */   // Label 12737: @826772
     /*  826772 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(826847), // Rule ID 22325 //
     /*  826777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  826826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826845 */     GIR_RootConstrainSelectedInstOperands,
     /*  826846 */     // GIR_Coverage, 22325,
     /*  826846 */     GIR_EraseRootFromParent_Done,
     /*  826847 */   // Label 12738: @826847
     /*  826847 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(826922), // Rule ID 22328 //
     /*  826852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  826901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826920 */     GIR_RootConstrainSelectedInstOperands,
     /*  826921 */     // GIR_Coverage, 22328,
     /*  826921 */     GIR_EraseRootFromParent_Done,
     /*  826922 */   // Label 12739: @826922
     /*  826922 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(826997), // Rule ID 22329 //
     /*  826927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  826976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826995 */     GIR_RootConstrainSelectedInstOperands,
     /*  826996 */     // GIR_Coverage, 22329,
     /*  826996 */     GIR_EraseRootFromParent_Done,
     /*  826997 */   // Label 12740: @826997
     /*  826997 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(827072), // Rule ID 22332 //
     /*  827002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  827051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827070 */     GIR_RootConstrainSelectedInstOperands,
     /*  827071 */     // GIR_Coverage, 22332,
     /*  827071 */     GIR_EraseRootFromParent_Done,
     /*  827072 */   // Label 12741: @827072
     /*  827072 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(827147), // Rule ID 22333 //
     /*  827077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  827126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827145 */     GIR_RootConstrainSelectedInstOperands,
     /*  827146 */     // GIR_Coverage, 22333,
     /*  827146 */     GIR_EraseRootFromParent_Done,
     /*  827147 */   // Label 12742: @827147
     /*  827147 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(827222), // Rule ID 22336 //
     /*  827152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  827201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827220 */     GIR_RootConstrainSelectedInstOperands,
     /*  827221 */     // GIR_Coverage, 22336,
     /*  827221 */     GIR_EraseRootFromParent_Done,
     /*  827222 */   // Label 12743: @827222
     /*  827222 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(827297), // Rule ID 22337 //
     /*  827227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  827276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827295 */     GIR_RootConstrainSelectedInstOperands,
     /*  827296 */     // GIR_Coverage, 22337,
     /*  827296 */     GIR_EraseRootFromParent_Done,
     /*  827297 */   // Label 12744: @827297
     /*  827297 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(827372), // Rule ID 22340 //
     /*  827302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  827351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827370 */     GIR_RootConstrainSelectedInstOperands,
     /*  827371 */     // GIR_Coverage, 22340,
     /*  827371 */     GIR_EraseRootFromParent_Done,
     /*  827372 */   // Label 12745: @827372
     /*  827372 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(827447), // Rule ID 22341 //
     /*  827377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  827426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827445 */     GIR_RootConstrainSelectedInstOperands,
     /*  827446 */     // GIR_Coverage, 22341,
     /*  827446 */     GIR_EraseRootFromParent_Done,
     /*  827447 */   // Label 12746: @827447
     /*  827447 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827522), // Rule ID 22344 //
     /*  827452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  827501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827520 */     GIR_RootConstrainSelectedInstOperands,
     /*  827521 */     // GIR_Coverage, 22344,
     /*  827521 */     GIR_EraseRootFromParent_Done,
     /*  827522 */   // Label 12747: @827522
     /*  827522 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827597), // Rule ID 22345 //
     /*  827527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  827576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827595 */     GIR_RootConstrainSelectedInstOperands,
     /*  827596 */     // GIR_Coverage, 22345,
     /*  827596 */     GIR_EraseRootFromParent_Done,
     /*  827597 */   // Label 12748: @827597
     /*  827597 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827672), // Rule ID 22348 //
     /*  827602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  827648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  827651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827670 */     GIR_RootConstrainSelectedInstOperands,
     /*  827671 */     // GIR_Coverage, 22348,
     /*  827671 */     GIR_EraseRootFromParent_Done,
     /*  827672 */   // Label 12749: @827672
     /*  827672 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(827747), // Rule ID 22349 //
     /*  827677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  827680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  827723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  827726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827745 */     GIR_RootConstrainSelectedInstOperands,
     /*  827746 */     // GIR_Coverage, 22349,
     /*  827746 */     GIR_EraseRootFromParent_Done,
     /*  827747 */   // Label 12750: @827747
     /*  827747 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(827822), // Rule ID 22352 //
     /*  827752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  827801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827820 */     GIR_RootConstrainSelectedInstOperands,
     /*  827821 */     // GIR_Coverage, 22352,
     /*  827821 */     GIR_EraseRootFromParent_Done,
     /*  827822 */   // Label 12751: @827822
     /*  827822 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(827897), // Rule ID 22353 //
     /*  827827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  827876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827895 */     GIR_RootConstrainSelectedInstOperands,
     /*  827896 */     // GIR_Coverage, 22353,
     /*  827896 */     GIR_EraseRootFromParent_Done,
     /*  827897 */   // Label 12752: @827897
     /*  827897 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(827972), // Rule ID 22356 //
     /*  827902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  827951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827970 */     GIR_RootConstrainSelectedInstOperands,
     /*  827971 */     // GIR_Coverage, 22356,
     /*  827971 */     GIR_EraseRootFromParent_Done,
     /*  827972 */   // Label 12753: @827972
     /*  827972 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(828047), // Rule ID 22357 //
     /*  827977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828023 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  828026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828045 */     GIR_RootConstrainSelectedInstOperands,
     /*  828046 */     // GIR_Coverage, 22357,
     /*  828046 */     GIR_EraseRootFromParent_Done,
     /*  828047 */   // Label 12754: @828047
     /*  828047 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(828122), // Rule ID 22360 //
     /*  828052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  828101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828120 */     GIR_RootConstrainSelectedInstOperands,
     /*  828121 */     // GIR_Coverage, 22360,
     /*  828121 */     GIR_EraseRootFromParent_Done,
     /*  828122 */   // Label 12755: @828122
     /*  828122 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(828197), // Rule ID 22361 //
     /*  828127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  828176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828195 */     GIR_RootConstrainSelectedInstOperands,
     /*  828196 */     // GIR_Coverage, 22361,
     /*  828196 */     GIR_EraseRootFromParent_Done,
     /*  828197 */   // Label 12756: @828197
     /*  828197 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(828272), // Rule ID 22364 //
     /*  828202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  828251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828270 */     GIR_RootConstrainSelectedInstOperands,
     /*  828271 */     // GIR_Coverage, 22364,
     /*  828271 */     GIR_EraseRootFromParent_Done,
     /*  828272 */   // Label 12757: @828272
     /*  828272 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(828347), // Rule ID 22365 //
     /*  828277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  828326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828345 */     GIR_RootConstrainSelectedInstOperands,
     /*  828346 */     // GIR_Coverage, 22365,
     /*  828346 */     GIR_EraseRootFromParent_Done,
     /*  828347 */   // Label 12758: @828347
     /*  828347 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(828422), // Rule ID 22368 //
     /*  828352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  828401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828420 */     GIR_RootConstrainSelectedInstOperands,
     /*  828421 */     // GIR_Coverage, 22368,
     /*  828421 */     GIR_EraseRootFromParent_Done,
     /*  828422 */   // Label 12759: @828422
     /*  828422 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(828497), // Rule ID 22369 //
     /*  828427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  828476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828495 */     GIR_RootConstrainSelectedInstOperands,
     /*  828496 */     // GIR_Coverage, 22369,
     /*  828496 */     GIR_EraseRootFromParent_Done,
     /*  828497 */   // Label 12760: @828497
     /*  828497 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828572), // Rule ID 22372 //
     /*  828502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  828551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828570 */     GIR_RootConstrainSelectedInstOperands,
     /*  828571 */     // GIR_Coverage, 22372,
     /*  828571 */     GIR_EraseRootFromParent_Done,
     /*  828572 */   // Label 12761: @828572
     /*  828572 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828647), // Rule ID 22373 //
     /*  828577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  828626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828645 */     GIR_RootConstrainSelectedInstOperands,
     /*  828646 */     // GIR_Coverage, 22373,
     /*  828646 */     GIR_EraseRootFromParent_Done,
     /*  828647 */   // Label 12762: @828647
     /*  828647 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828722), // Rule ID 22376 //
     /*  828652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  828701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828720 */     GIR_RootConstrainSelectedInstOperands,
     /*  828721 */     // GIR_Coverage, 22376,
     /*  828721 */     GIR_EraseRootFromParent_Done,
     /*  828722 */   // Label 12763: @828722
     /*  828722 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(828797), // Rule ID 22377 //
     /*  828727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  828776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828795 */     GIR_RootConstrainSelectedInstOperands,
     /*  828796 */     // GIR_Coverage, 22377,
     /*  828796 */     GIR_EraseRootFromParent_Done,
     /*  828797 */   // Label 12764: @828797
     /*  828797 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(828872), // Rule ID 22380 //
     /*  828802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  828851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828870 */     GIR_RootConstrainSelectedInstOperands,
     /*  828871 */     // GIR_Coverage, 22380,
     /*  828871 */     GIR_EraseRootFromParent_Done,
     /*  828872 */   // Label 12765: @828872
     /*  828872 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(828947), // Rule ID 22381 //
     /*  828877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  828926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828945 */     GIR_RootConstrainSelectedInstOperands,
     /*  828946 */     // GIR_Coverage, 22381,
     /*  828946 */     GIR_EraseRootFromParent_Done,
     /*  828947 */   // Label 12766: @828947
     /*  828947 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(829022), // Rule ID 22384 //
     /*  828952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  829001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829020 */     GIR_RootConstrainSelectedInstOperands,
     /*  829021 */     // GIR_Coverage, 22384,
     /*  829021 */     GIR_EraseRootFromParent_Done,
     /*  829022 */   // Label 12767: @829022
     /*  829022 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(829097), // Rule ID 22385 //
     /*  829027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  829076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829095 */     GIR_RootConstrainSelectedInstOperands,
     /*  829096 */     // GIR_Coverage, 22385,
     /*  829096 */     GIR_EraseRootFromParent_Done,
     /*  829097 */   // Label 12768: @829097
     /*  829097 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(829172), // Rule ID 22388 //
     /*  829102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  829151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829170 */     GIR_RootConstrainSelectedInstOperands,
     /*  829171 */     // GIR_Coverage, 22388,
     /*  829171 */     GIR_EraseRootFromParent_Done,
     /*  829172 */   // Label 12769: @829172
     /*  829172 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(829247), // Rule ID 22389 //
     /*  829177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  829226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829245 */     GIR_RootConstrainSelectedInstOperands,
     /*  829246 */     // GIR_Coverage, 22389,
     /*  829246 */     GIR_EraseRootFromParent_Done,
     /*  829247 */   // Label 12770: @829247
     /*  829247 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(829322), // Rule ID 22392 //
     /*  829252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  829301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829320 */     GIR_RootConstrainSelectedInstOperands,
     /*  829321 */     // GIR_Coverage, 22392,
     /*  829321 */     GIR_EraseRootFromParent_Done,
     /*  829322 */   // Label 12771: @829322
     /*  829322 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(829397), // Rule ID 22393 //
     /*  829327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829373 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  829376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829395 */     GIR_RootConstrainSelectedInstOperands,
     /*  829396 */     // GIR_Coverage, 22393,
     /*  829396 */     GIR_EraseRootFromParent_Done,
     /*  829397 */   // Label 12772: @829397
     /*  829397 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(829472), // Rule ID 22396 //
     /*  829402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  829451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829470 */     GIR_RootConstrainSelectedInstOperands,
     /*  829471 */     // GIR_Coverage, 22396,
     /*  829471 */     GIR_EraseRootFromParent_Done,
     /*  829472 */   // Label 12773: @829472
     /*  829472 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829547), // Rule ID 22397 //
     /*  829477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  829526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829545 */     GIR_RootConstrainSelectedInstOperands,
     /*  829546 */     // GIR_Coverage, 22397,
     /*  829546 */     GIR_EraseRootFromParent_Done,
     /*  829547 */   // Label 12774: @829547
     /*  829547 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829622), // Rule ID 22400 //
     /*  829552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  829601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829620 */     GIR_RootConstrainSelectedInstOperands,
     /*  829621 */     // GIR_Coverage, 22400,
     /*  829621 */     GIR_EraseRootFromParent_Done,
     /*  829622 */   // Label 12775: @829622
     /*  829622 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829697), // Rule ID 22401 //
     /*  829627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  829676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829695 */     GIR_RootConstrainSelectedInstOperands,
     /*  829696 */     // GIR_Coverage, 22401,
     /*  829696 */     GIR_EraseRootFromParent_Done,
     /*  829697 */   // Label 12776: @829697
     /*  829697 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(829772), // Rule ID 22404 //
     /*  829702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  829751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829770 */     GIR_RootConstrainSelectedInstOperands,
     /*  829771 */     // GIR_Coverage, 22404,
     /*  829771 */     GIR_EraseRootFromParent_Done,
     /*  829772 */   // Label 12777: @829772
     /*  829772 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(829847), // Rule ID 22405 //
     /*  829777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829823 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  829826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829845 */     GIR_RootConstrainSelectedInstOperands,
     /*  829846 */     // GIR_Coverage, 22405,
     /*  829846 */     GIR_EraseRootFromParent_Done,
     /*  829847 */   // Label 12778: @829847
     /*  829847 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(829922), // Rule ID 22408 //
     /*  829852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  829901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829920 */     GIR_RootConstrainSelectedInstOperands,
     /*  829921 */     // GIR_Coverage, 22408,
     /*  829921 */     GIR_EraseRootFromParent_Done,
     /*  829922 */   // Label 12779: @829922
     /*  829922 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(829997), // Rule ID 22409 //
     /*  829927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  829935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  829938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  829941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  829947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  829976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829995 */     GIR_RootConstrainSelectedInstOperands,
     /*  829996 */     // GIR_Coverage, 22409,
     /*  829996 */     GIR_EraseRootFromParent_Done,
     /*  829997 */   // Label 12780: @829997
     /*  829997 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(830072), // Rule ID 22412 //
     /*  830002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  830051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830070 */     GIR_RootConstrainSelectedInstOperands,
     /*  830071 */     // GIR_Coverage, 22412,
     /*  830071 */     GIR_EraseRootFromParent_Done,
     /*  830072 */   // Label 12781: @830072
     /*  830072 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(830147), // Rule ID 22413 //
     /*  830077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  830126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830145 */     GIR_RootConstrainSelectedInstOperands,
     /*  830146 */     // GIR_Coverage, 22413,
     /*  830146 */     GIR_EraseRootFromParent_Done,
     /*  830147 */   // Label 12782: @830147
     /*  830147 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(830222), // Rule ID 22416 //
     /*  830152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  830201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830220 */     GIR_RootConstrainSelectedInstOperands,
     /*  830221 */     // GIR_Coverage, 22416,
     /*  830221 */     GIR_EraseRootFromParent_Done,
     /*  830222 */   // Label 12783: @830222
     /*  830222 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(830297), // Rule ID 22417 //
     /*  830227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  830276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830295 */     GIR_RootConstrainSelectedInstOperands,
     /*  830296 */     // GIR_Coverage, 22417,
     /*  830296 */     GIR_EraseRootFromParent_Done,
     /*  830297 */   // Label 12784: @830297
     /*  830297 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(830372), // Rule ID 22420 //
     /*  830302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  830351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830370 */     GIR_RootConstrainSelectedInstOperands,
     /*  830371 */     // GIR_Coverage, 22420,
     /*  830371 */     GIR_EraseRootFromParent_Done,
     /*  830372 */   // Label 12785: @830372
     /*  830372 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(830447), // Rule ID 22421 //
     /*  830377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  830426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830445 */     GIR_RootConstrainSelectedInstOperands,
     /*  830446 */     // GIR_Coverage, 22421,
     /*  830446 */     GIR_EraseRootFromParent_Done,
     /*  830447 */   // Label 12786: @830447
     /*  830447 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830522), // Rule ID 22424 //
     /*  830452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  830501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830520 */     GIR_RootConstrainSelectedInstOperands,
     /*  830521 */     // GIR_Coverage, 22424,
     /*  830521 */     GIR_EraseRootFromParent_Done,
     /*  830522 */   // Label 12787: @830522
     /*  830522 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830597), // Rule ID 22425 //
     /*  830527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830573 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  830576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830595 */     GIR_RootConstrainSelectedInstOperands,
     /*  830596 */     // GIR_Coverage, 22425,
     /*  830596 */     GIR_EraseRootFromParent_Done,
     /*  830597 */   // Label 12788: @830597
     /*  830597 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830672), // Rule ID 22428 //
     /*  830602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  830651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830670 */     GIR_RootConstrainSelectedInstOperands,
     /*  830671 */     // GIR_Coverage, 22428,
     /*  830671 */     GIR_EraseRootFromParent_Done,
     /*  830672 */   // Label 12789: @830672
     /*  830672 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(830747), // Rule ID 22429 //
     /*  830677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830723 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  830726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830745 */     GIR_RootConstrainSelectedInstOperands,
     /*  830746 */     // GIR_Coverage, 22429,
     /*  830746 */     GIR_EraseRootFromParent_Done,
     /*  830747 */   // Label 12790: @830747
     /*  830747 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(830822), // Rule ID 22432 //
     /*  830752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  830801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830820 */     GIR_RootConstrainSelectedInstOperands,
     /*  830821 */     // GIR_Coverage, 22432,
     /*  830821 */     GIR_EraseRootFromParent_Done,
     /*  830822 */   // Label 12791: @830822
     /*  830822 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(830897), // Rule ID 22433 //
     /*  830827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  830876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830895 */     GIR_RootConstrainSelectedInstOperands,
     /*  830896 */     // GIR_Coverage, 22433,
     /*  830896 */     GIR_EraseRootFromParent_Done,
     /*  830897 */   // Label 12792: @830897
     /*  830897 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(830972), // Rule ID 22436 //
     /*  830902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  830948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  830951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830970 */     GIR_RootConstrainSelectedInstOperands,
     /*  830971 */     // GIR_Coverage, 22436,
     /*  830971 */     GIR_EraseRootFromParent_Done,
     /*  830972 */   // Label 12793: @830972
     /*  830972 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(831047), // Rule ID 22437 //
     /*  830977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  831026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831045 */     GIR_RootConstrainSelectedInstOperands,
     /*  831046 */     // GIR_Coverage, 22437,
     /*  831046 */     GIR_EraseRootFromParent_Done,
     /*  831047 */   // Label 12794: @831047
     /*  831047 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(831122), // Rule ID 22440 //
     /*  831052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  831101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831120 */     GIR_RootConstrainSelectedInstOperands,
     /*  831121 */     // GIR_Coverage, 22440,
     /*  831121 */     GIR_EraseRootFromParent_Done,
     /*  831122 */   // Label 12795: @831122
     /*  831122 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(831197), // Rule ID 22441 //
     /*  831127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  831176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831195 */     GIR_RootConstrainSelectedInstOperands,
     /*  831196 */     // GIR_Coverage, 22441,
     /*  831196 */     GIR_EraseRootFromParent_Done,
     /*  831197 */   // Label 12796: @831197
     /*  831197 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(831272), // Rule ID 22444 //
     /*  831202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  831251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831270 */     GIR_RootConstrainSelectedInstOperands,
     /*  831271 */     // GIR_Coverage, 22444,
     /*  831271 */     GIR_EraseRootFromParent_Done,
     /*  831272 */   // Label 12797: @831272
     /*  831272 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(831347), // Rule ID 22445 //
     /*  831277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  831326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831345 */     GIR_RootConstrainSelectedInstOperands,
     /*  831346 */     // GIR_Coverage, 22445,
     /*  831346 */     GIR_EraseRootFromParent_Done,
     /*  831347 */   // Label 12798: @831347
     /*  831347 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(831422), // Rule ID 22448 //
     /*  831352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  831401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831420 */     GIR_RootConstrainSelectedInstOperands,
     /*  831421 */     // GIR_Coverage, 22448,
     /*  831421 */     GIR_EraseRootFromParent_Done,
     /*  831422 */   // Label 12799: @831422
     /*  831422 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(831497), // Rule ID 22449 //
     /*  831427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831473 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  831476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831495 */     GIR_RootConstrainSelectedInstOperands,
     /*  831496 */     // GIR_Coverage, 22449,
     /*  831496 */     GIR_EraseRootFromParent_Done,
     /*  831497 */   // Label 12800: @831497
     /*  831497 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831572), // Rule ID 22452 //
     /*  831502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  831551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831570 */     GIR_RootConstrainSelectedInstOperands,
     /*  831571 */     // GIR_Coverage, 22452,
     /*  831571 */     GIR_EraseRootFromParent_Done,
     /*  831572 */   // Label 12801: @831572
     /*  831572 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831647), // Rule ID 22453 //
     /*  831577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  831626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831645 */     GIR_RootConstrainSelectedInstOperands,
     /*  831646 */     // GIR_Coverage, 22453,
     /*  831646 */     GIR_EraseRootFromParent_Done,
     /*  831647 */   // Label 12802: @831647
     /*  831647 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831722), // Rule ID 22456 //
     /*  831652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  831701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831720 */     GIR_RootConstrainSelectedInstOperands,
     /*  831721 */     // GIR_Coverage, 22456,
     /*  831721 */     GIR_EraseRootFromParent_Done,
     /*  831722 */   // Label 12803: @831722
     /*  831722 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(831797), // Rule ID 22457 //
     /*  831727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  831776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831795 */     GIR_RootConstrainSelectedInstOperands,
     /*  831796 */     // GIR_Coverage, 22457,
     /*  831796 */     GIR_EraseRootFromParent_Done,
     /*  831797 */   // Label 12804: @831797
     /*  831797 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(831872), // Rule ID 22460 //
     /*  831802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  831851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831870 */     GIR_RootConstrainSelectedInstOperands,
     /*  831871 */     // GIR_Coverage, 22460,
     /*  831871 */     GIR_EraseRootFromParent_Done,
     /*  831872 */   // Label 12805: @831872
     /*  831872 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(831947), // Rule ID 22461 //
     /*  831877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  831926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831945 */     GIR_RootConstrainSelectedInstOperands,
     /*  831946 */     // GIR_Coverage, 22461,
     /*  831946 */     GIR_EraseRootFromParent_Done,
     /*  831947 */   // Label 12806: @831947
     /*  831947 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(832022), // Rule ID 22464 //
     /*  831952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  832001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832020 */     GIR_RootConstrainSelectedInstOperands,
     /*  832021 */     // GIR_Coverage, 22464,
     /*  832021 */     GIR_EraseRootFromParent_Done,
     /*  832022 */   // Label 12807: @832022
     /*  832022 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(832097), // Rule ID 22465 //
     /*  832027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  832076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832095 */     GIR_RootConstrainSelectedInstOperands,
     /*  832096 */     // GIR_Coverage, 22465,
     /*  832096 */     GIR_EraseRootFromParent_Done,
     /*  832097 */   // Label 12808: @832097
     /*  832097 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(832172), // Rule ID 22468 //
     /*  832102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  832151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832170 */     GIR_RootConstrainSelectedInstOperands,
     /*  832171 */     // GIR_Coverage, 22468,
     /*  832171 */     GIR_EraseRootFromParent_Done,
     /*  832172 */   // Label 12809: @832172
     /*  832172 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(832247), // Rule ID 22469 //
     /*  832177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  832226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832245 */     GIR_RootConstrainSelectedInstOperands,
     /*  832246 */     // GIR_Coverage, 22469,
     /*  832246 */     GIR_EraseRootFromParent_Done,
     /*  832247 */   // Label 12810: @832247
     /*  832247 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(832322), // Rule ID 22472 //
     /*  832252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  832301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832320 */     GIR_RootConstrainSelectedInstOperands,
     /*  832321 */     // GIR_Coverage, 22472,
     /*  832321 */     GIR_EraseRootFromParent_Done,
     /*  832322 */   // Label 12811: @832322
     /*  832322 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(832397), // Rule ID 22473 //
     /*  832327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  832376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832395 */     GIR_RootConstrainSelectedInstOperands,
     /*  832396 */     // GIR_Coverage, 22473,
     /*  832396 */     GIR_EraseRootFromParent_Done,
     /*  832397 */   // Label 12812: @832397
     /*  832397 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(832472), // Rule ID 22476 //
     /*  832402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  832451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832470 */     GIR_RootConstrainSelectedInstOperands,
     /*  832471 */     // GIR_Coverage, 22476,
     /*  832471 */     GIR_EraseRootFromParent_Done,
     /*  832472 */   // Label 12813: @832472
     /*  832472 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832547), // Rule ID 22477 //
     /*  832477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  832526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832545 */     GIR_RootConstrainSelectedInstOperands,
     /*  832546 */     // GIR_Coverage, 22477,
     /*  832546 */     GIR_EraseRootFromParent_Done,
     /*  832547 */   // Label 12814: @832547
     /*  832547 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832622), // Rule ID 22480 //
     /*  832552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  832601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832620 */     GIR_RootConstrainSelectedInstOperands,
     /*  832621 */     // GIR_Coverage, 22480,
     /*  832621 */     GIR_EraseRootFromParent_Done,
     /*  832622 */   // Label 12815: @832622
     /*  832622 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832697), // Rule ID 22481 //
     /*  832627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  832676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832695 */     GIR_RootConstrainSelectedInstOperands,
     /*  832696 */     // GIR_Coverage, 22481,
     /*  832696 */     GIR_EraseRootFromParent_Done,
     /*  832697 */   // Label 12816: @832697
     /*  832697 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(832772), // Rule ID 22484 //
     /*  832702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  832751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832770 */     GIR_RootConstrainSelectedInstOperands,
     /*  832771 */     // GIR_Coverage, 22484,
     /*  832771 */     GIR_EraseRootFromParent_Done,
     /*  832772 */   // Label 12817: @832772
     /*  832772 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(832847), // Rule ID 22485 //
     /*  832777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  832826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832845 */     GIR_RootConstrainSelectedInstOperands,
     /*  832846 */     // GIR_Coverage, 22485,
     /*  832846 */     GIR_EraseRootFromParent_Done,
     /*  832847 */   // Label 12818: @832847
     /*  832847 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(832922), // Rule ID 22488 //
     /*  832852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  832863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  832866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  832872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  832901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832920 */     GIR_RootConstrainSelectedInstOperands,
     /*  832921 */     // GIR_Coverage, 22488,
     /*  832921 */     GIR_EraseRootFromParent_Done,
     /*  832922 */   // Label 12819: @832922
     /*  832922 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(832997), // Rule ID 22489 //
     /*  832927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  832935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  832938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  832941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  832947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  832976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832995 */     GIR_RootConstrainSelectedInstOperands,
     /*  832996 */     // GIR_Coverage, 22489,
     /*  832996 */     GIR_EraseRootFromParent_Done,
     /*  832997 */   // Label 12820: @832997
     /*  832997 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(833072), // Rule ID 22492 //
     /*  833002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  833051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833070 */     GIR_RootConstrainSelectedInstOperands,
     /*  833071 */     // GIR_Coverage, 22492,
     /*  833071 */     GIR_EraseRootFromParent_Done,
     /*  833072 */   // Label 12821: @833072
     /*  833072 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(833147), // Rule ID 22493 //
     /*  833077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  833126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833145 */     GIR_RootConstrainSelectedInstOperands,
     /*  833146 */     // GIR_Coverage, 22493,
     /*  833146 */     GIR_EraseRootFromParent_Done,
     /*  833147 */   // Label 12822: @833147
     /*  833147 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(833222), // Rule ID 22496 //
     /*  833152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  833201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833220 */     GIR_RootConstrainSelectedInstOperands,
     /*  833221 */     // GIR_Coverage, 22496,
     /*  833221 */     GIR_EraseRootFromParent_Done,
     /*  833222 */   // Label 12823: @833222
     /*  833222 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(833297), // Rule ID 22497 //
     /*  833227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  833276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833295 */     GIR_RootConstrainSelectedInstOperands,
     /*  833296 */     // GIR_Coverage, 22497,
     /*  833296 */     GIR_EraseRootFromParent_Done,
     /*  833297 */   // Label 12824: @833297
     /*  833297 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(833372), // Rule ID 22500 //
     /*  833302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  833351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833370 */     GIR_RootConstrainSelectedInstOperands,
     /*  833371 */     // GIR_Coverage, 22500,
     /*  833371 */     GIR_EraseRootFromParent_Done,
     /*  833372 */   // Label 12825: @833372
     /*  833372 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(833447), // Rule ID 22501 //
     /*  833377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  833426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833445 */     GIR_RootConstrainSelectedInstOperands,
     /*  833446 */     // GIR_Coverage, 22501,
     /*  833446 */     GIR_EraseRootFromParent_Done,
     /*  833447 */   // Label 12826: @833447
     /*  833447 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833522), // Rule ID 22504 //
     /*  833452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  833501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833520 */     GIR_RootConstrainSelectedInstOperands,
     /*  833521 */     // GIR_Coverage, 22504,
     /*  833521 */     GIR_EraseRootFromParent_Done,
     /*  833522 */   // Label 12827: @833522
     /*  833522 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833597), // Rule ID 22505 //
     /*  833527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  833576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833595 */     GIR_RootConstrainSelectedInstOperands,
     /*  833596 */     // GIR_Coverage, 22505,
     /*  833596 */     GIR_EraseRootFromParent_Done,
     /*  833597 */   // Label 12828: @833597
     /*  833597 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833672), // Rule ID 22508 //
     /*  833602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  833651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833670 */     GIR_RootConstrainSelectedInstOperands,
     /*  833671 */     // GIR_Coverage, 22508,
     /*  833671 */     GIR_EraseRootFromParent_Done,
     /*  833672 */   // Label 12829: @833672
     /*  833672 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(833747), // Rule ID 22509 //
     /*  833677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  833726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833745 */     GIR_RootConstrainSelectedInstOperands,
     /*  833746 */     // GIR_Coverage, 22509,
     /*  833746 */     GIR_EraseRootFromParent_Done,
     /*  833747 */   // Label 12830: @833747
     /*  833747 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(833822), // Rule ID 22512 //
     /*  833752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  833801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833820 */     GIR_RootConstrainSelectedInstOperands,
     /*  833821 */     // GIR_Coverage, 22512,
     /*  833821 */     GIR_EraseRootFromParent_Done,
     /*  833822 */   // Label 12831: @833822
     /*  833822 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(833897), // Rule ID 22513 //
     /*  833827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  833876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833895 */     GIR_RootConstrainSelectedInstOperands,
     /*  833896 */     // GIR_Coverage, 22513,
     /*  833896 */     GIR_EraseRootFromParent_Done,
     /*  833897 */   // Label 12832: @833897
     /*  833897 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(833972), // Rule ID 22516 //
     /*  833902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  833951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833970 */     GIR_RootConstrainSelectedInstOperands,
     /*  833971 */     // GIR_Coverage, 22516,
     /*  833971 */     GIR_EraseRootFromParent_Done,
     /*  833972 */   // Label 12833: @833972
     /*  833972 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(834047), // Rule ID 22517 //
     /*  833977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  834026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834045 */     GIR_RootConstrainSelectedInstOperands,
     /*  834046 */     // GIR_Coverage, 22517,
     /*  834046 */     GIR_EraseRootFromParent_Done,
     /*  834047 */   // Label 12834: @834047
     /*  834047 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(834122), // Rule ID 22520 //
     /*  834052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  834101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834120 */     GIR_RootConstrainSelectedInstOperands,
     /*  834121 */     // GIR_Coverage, 22520,
     /*  834121 */     GIR_EraseRootFromParent_Done,
     /*  834122 */   // Label 12835: @834122
     /*  834122 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(834197), // Rule ID 22521 //
     /*  834127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  834176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834195 */     GIR_RootConstrainSelectedInstOperands,
     /*  834196 */     // GIR_Coverage, 22521,
     /*  834196 */     GIR_EraseRootFromParent_Done,
     /*  834197 */   // Label 12836: @834197
     /*  834197 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(834272), // Rule ID 22524 //
     /*  834202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  834205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  834248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  834251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834270 */     GIR_RootConstrainSelectedInstOperands,
     /*  834271 */     // GIR_Coverage, 22524,
     /*  834271 */     GIR_EraseRootFromParent_Done,
     /*  834272 */   // Label 12837: @834272
     /*  834272 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(834347), // Rule ID 22525 //
     /*  834277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  834280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  834323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  834326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834345 */     GIR_RootConstrainSelectedInstOperands,
     /*  834346 */     // GIR_Coverage, 22525,
     /*  834346 */     GIR_EraseRootFromParent_Done,
     /*  834347 */   // Label 12838: @834347
     /*  834347 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(834422), // Rule ID 22528 //
     /*  834352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  834401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834420 */     GIR_RootConstrainSelectedInstOperands,
     /*  834421 */     // GIR_Coverage, 22528,
     /*  834421 */     GIR_EraseRootFromParent_Done,
     /*  834422 */   // Label 12839: @834422
     /*  834422 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(834497), // Rule ID 22529 //
     /*  834427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834473 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  834476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834495 */     GIR_RootConstrainSelectedInstOperands,
     /*  834496 */     // GIR_Coverage, 22529,
     /*  834496 */     GIR_EraseRootFromParent_Done,
     /*  834497 */   // Label 12840: @834497
     /*  834497 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834572), // Rule ID 22532 //
     /*  834502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  834551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834570 */     GIR_RootConstrainSelectedInstOperands,
     /*  834571 */     // GIR_Coverage, 22532,
     /*  834571 */     GIR_EraseRootFromParent_Done,
     /*  834572 */   // Label 12841: @834572
     /*  834572 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834647), // Rule ID 22533 //
     /*  834577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  834626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834645 */     GIR_RootConstrainSelectedInstOperands,
     /*  834646 */     // GIR_Coverage, 22533,
     /*  834646 */     GIR_EraseRootFromParent_Done,
     /*  834647 */   // Label 12842: @834647
     /*  834647 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834722), // Rule ID 22536 //
     /*  834652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  834701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834720 */     GIR_RootConstrainSelectedInstOperands,
     /*  834721 */     // GIR_Coverage, 22536,
     /*  834721 */     GIR_EraseRootFromParent_Done,
     /*  834722 */   // Label 12843: @834722
     /*  834722 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(834797), // Rule ID 22537 //
     /*  834727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  834776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834795 */     GIR_RootConstrainSelectedInstOperands,
     /*  834796 */     // GIR_Coverage, 22537,
     /*  834796 */     GIR_EraseRootFromParent_Done,
     /*  834797 */   // Label 12844: @834797
     /*  834797 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(834872), // Rule ID 22540 //
     /*  834802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  834851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834870 */     GIR_RootConstrainSelectedInstOperands,
     /*  834871 */     // GIR_Coverage, 22540,
     /*  834871 */     GIR_EraseRootFromParent_Done,
     /*  834872 */   // Label 12845: @834872
     /*  834872 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(834947), // Rule ID 22541 //
     /*  834877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  834926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834945 */     GIR_RootConstrainSelectedInstOperands,
     /*  834946 */     // GIR_Coverage, 22541,
     /*  834946 */     GIR_EraseRootFromParent_Done,
     /*  834947 */   // Label 12846: @834947
     /*  834947 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(835022), // Rule ID 22544 //
     /*  834952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  835001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835020 */     GIR_RootConstrainSelectedInstOperands,
     /*  835021 */     // GIR_Coverage, 22544,
     /*  835021 */     GIR_EraseRootFromParent_Done,
     /*  835022 */   // Label 12847: @835022
     /*  835022 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(835097), // Rule ID 22545 //
     /*  835027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  835076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835095 */     GIR_RootConstrainSelectedInstOperands,
     /*  835096 */     // GIR_Coverage, 22545,
     /*  835096 */     GIR_EraseRootFromParent_Done,
     /*  835097 */   // Label 12848: @835097
     /*  835097 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(835172), // Rule ID 22548 //
     /*  835102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  835151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835170 */     GIR_RootConstrainSelectedInstOperands,
     /*  835171 */     // GIR_Coverage, 22548,
     /*  835171 */     GIR_EraseRootFromParent_Done,
     /*  835172 */   // Label 12849: @835172
     /*  835172 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(835247), // Rule ID 22549 //
     /*  835177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  835226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835245 */     GIR_RootConstrainSelectedInstOperands,
     /*  835246 */     // GIR_Coverage, 22549,
     /*  835246 */     GIR_EraseRootFromParent_Done,
     /*  835247 */   // Label 12850: @835247
     /*  835247 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(835322), // Rule ID 22552 //
     /*  835252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  835301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835320 */     GIR_RootConstrainSelectedInstOperands,
     /*  835321 */     // GIR_Coverage, 22552,
     /*  835321 */     GIR_EraseRootFromParent_Done,
     /*  835322 */   // Label 12851: @835322
     /*  835322 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(835397), // Rule ID 22553 //
     /*  835327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  835376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835395 */     GIR_RootConstrainSelectedInstOperands,
     /*  835396 */     // GIR_Coverage, 22553,
     /*  835396 */     GIR_EraseRootFromParent_Done,
     /*  835397 */   // Label 12852: @835397
     /*  835397 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(835472), // Rule ID 22556 //
     /*  835402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  835451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835470 */     GIR_RootConstrainSelectedInstOperands,
     /*  835471 */     // GIR_Coverage, 22556,
     /*  835471 */     GIR_EraseRootFromParent_Done,
     /*  835472 */   // Label 12853: @835472
     /*  835472 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835547), // Rule ID 22557 //
     /*  835477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  835526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835545 */     GIR_RootConstrainSelectedInstOperands,
     /*  835546 */     // GIR_Coverage, 22557,
     /*  835546 */     GIR_EraseRootFromParent_Done,
     /*  835547 */   // Label 12854: @835547
     /*  835547 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835622), // Rule ID 22560 //
     /*  835552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835598 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  835601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835620 */     GIR_RootConstrainSelectedInstOperands,
     /*  835621 */     // GIR_Coverage, 22560,
     /*  835621 */     GIR_EraseRootFromParent_Done,
     /*  835622 */   // Label 12855: @835622
     /*  835622 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835697), // Rule ID 22561 //
     /*  835627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  835676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835695 */     GIR_RootConstrainSelectedInstOperands,
     /*  835696 */     // GIR_Coverage, 22561,
     /*  835696 */     GIR_EraseRootFromParent_Done,
     /*  835697 */   // Label 12856: @835697
     /*  835697 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(835772), // Rule ID 22564 //
     /*  835702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  835705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  835748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  835751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835770 */     GIR_RootConstrainSelectedInstOperands,
     /*  835771 */     // GIR_Coverage, 22564,
     /*  835771 */     GIR_EraseRootFromParent_Done,
     /*  835772 */   // Label 12857: @835772
     /*  835772 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(835847), // Rule ID 22565 //
     /*  835777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  835780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  835823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  835826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835845 */     GIR_RootConstrainSelectedInstOperands,
     /*  835846 */     // GIR_Coverage, 22565,
     /*  835846 */     GIR_EraseRootFromParent_Done,
     /*  835847 */   // Label 12858: @835847
     /*  835847 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(835922), // Rule ID 22568 //
     /*  835852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  835855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  835869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  835898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  835901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835920 */     GIR_RootConstrainSelectedInstOperands,
     /*  835921 */     // GIR_Coverage, 22568,
     /*  835921 */     GIR_EraseRootFromParent_Done,
     /*  835922 */   // Label 12859: @835922
     /*  835922 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(835997), // Rule ID 22569 //
     /*  835927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  835930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  835944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  835973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  835976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835995 */     GIR_RootConstrainSelectedInstOperands,
     /*  835996 */     // GIR_Coverage, 22569,
     /*  835996 */     GIR_EraseRootFromParent_Done,
     /*  835997 */   // Label 12860: @835997
     /*  835997 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(836072), // Rule ID 22572 //
     /*  836002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  836051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836070 */     GIR_RootConstrainSelectedInstOperands,
     /*  836071 */     // GIR_Coverage, 22572,
     /*  836071 */     GIR_EraseRootFromParent_Done,
     /*  836072 */   // Label 12861: @836072
     /*  836072 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(836147), // Rule ID 22573 //
     /*  836077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  836126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836145 */     GIR_RootConstrainSelectedInstOperands,
     /*  836146 */     // GIR_Coverage, 22573,
     /*  836146 */     GIR_EraseRootFromParent_Done,
     /*  836147 */   // Label 12862: @836147
     /*  836147 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(836222), // Rule ID 22576 //
     /*  836152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  836201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836220 */     GIR_RootConstrainSelectedInstOperands,
     /*  836221 */     // GIR_Coverage, 22576,
     /*  836221 */     GIR_EraseRootFromParent_Done,
     /*  836222 */   // Label 12863: @836222
     /*  836222 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(836297), // Rule ID 22577 //
     /*  836227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  836276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836295 */     GIR_RootConstrainSelectedInstOperands,
     /*  836296 */     // GIR_Coverage, 22577,
     /*  836296 */     GIR_EraseRootFromParent_Done,
     /*  836297 */   // Label 12864: @836297
     /*  836297 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(836372), // Rule ID 22580 //
     /*  836302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  836319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  836351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836370 */     GIR_RootConstrainSelectedInstOperands,
     /*  836371 */     // GIR_Coverage, 22580,
     /*  836371 */     GIR_EraseRootFromParent_Done,
     /*  836372 */   // Label 12865: @836372
     /*  836372 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(836447), // Rule ID 22581 //
     /*  836377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  836394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  836426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836445 */     GIR_RootConstrainSelectedInstOperands,
     /*  836446 */     // GIR_Coverage, 22581,
     /*  836446 */     GIR_EraseRootFromParent_Done,
     /*  836447 */   // Label 12866: @836447
     /*  836447 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836522), // Rule ID 22584 //
     /*  836452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  836469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  836501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836520 */     GIR_RootConstrainSelectedInstOperands,
     /*  836521 */     // GIR_Coverage, 22584,
     /*  836521 */     GIR_EraseRootFromParent_Done,
     /*  836522 */   // Label 12867: @836522
     /*  836522 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836597), // Rule ID 22585 //
     /*  836527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  836544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  836576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836595 */     GIR_RootConstrainSelectedInstOperands,
     /*  836596 */     // GIR_Coverage, 22585,
     /*  836596 */     GIR_EraseRootFromParent_Done,
     /*  836597 */   // Label 12868: @836597
     /*  836597 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836672), // Rule ID 22588 //
     /*  836602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  836619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  836651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836670 */     GIR_RootConstrainSelectedInstOperands,
     /*  836671 */     // GIR_Coverage, 22588,
     /*  836671 */     GIR_EraseRootFromParent_Done,
     /*  836672 */   // Label 12869: @836672
     /*  836672 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(836747), // Rule ID 22589 //
     /*  836677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  836694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  836726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836745 */     GIR_RootConstrainSelectedInstOperands,
     /*  836746 */     // GIR_Coverage, 22589,
     /*  836746 */     GIR_EraseRootFromParent_Done,
     /*  836747 */   // Label 12870: @836747
     /*  836747 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(836822), // Rule ID 22592 //
     /*  836752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  836769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  836801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836820 */     GIR_RootConstrainSelectedInstOperands,
     /*  836821 */     // GIR_Coverage, 22592,
     /*  836821 */     GIR_EraseRootFromParent_Done,
     /*  836822 */   // Label 12871: @836822
     /*  836822 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(836897), // Rule ID 22593 //
     /*  836827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  836844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  836876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836895 */     GIR_RootConstrainSelectedInstOperands,
     /*  836896 */     // GIR_Coverage, 22593,
     /*  836896 */     GIR_EraseRootFromParent_Done,
     /*  836897 */   // Label 12872: @836897
     /*  836897 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(836972), // Rule ID 22596 //
     /*  836902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  836951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836970 */     GIR_RootConstrainSelectedInstOperands,
     /*  836971 */     // GIR_Coverage, 22596,
     /*  836971 */     GIR_EraseRootFromParent_Done,
     /*  836972 */   // Label 12873: @836972
     /*  836972 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(837047), // Rule ID 22597 //
     /*  836977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  837026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837045 */     GIR_RootConstrainSelectedInstOperands,
     /*  837046 */     // GIR_Coverage, 22597,
     /*  837046 */     GIR_EraseRootFromParent_Done,
     /*  837047 */   // Label 12874: @837047
     /*  837047 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(837122), // Rule ID 22600 //
     /*  837052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  837101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837120 */     GIR_RootConstrainSelectedInstOperands,
     /*  837121 */     // GIR_Coverage, 22600,
     /*  837121 */     GIR_EraseRootFromParent_Done,
     /*  837122 */   // Label 12875: @837122
     /*  837122 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(837197), // Rule ID 22601 //
     /*  837127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  837176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837195 */     GIR_RootConstrainSelectedInstOperands,
     /*  837196 */     // GIR_Coverage, 22601,
     /*  837196 */     GIR_EraseRootFromParent_Done,
     /*  837197 */   // Label 12876: @837197
     /*  837197 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(837272), // Rule ID 22604 //
     /*  837202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  837251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837270 */     GIR_RootConstrainSelectedInstOperands,
     /*  837271 */     // GIR_Coverage, 22604,
     /*  837271 */     GIR_EraseRootFromParent_Done,
     /*  837272 */   // Label 12877: @837272
     /*  837272 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(837347), // Rule ID 22605 //
     /*  837277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  837326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837345 */     GIR_RootConstrainSelectedInstOperands,
     /*  837346 */     // GIR_Coverage, 22605,
     /*  837346 */     GIR_EraseRootFromParent_Done,
     /*  837347 */   // Label 12878: @837347
     /*  837347 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(837422), // Rule ID 22608 //
     /*  837352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  837401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837420 */     GIR_RootConstrainSelectedInstOperands,
     /*  837421 */     // GIR_Coverage, 22608,
     /*  837421 */     GIR_EraseRootFromParent_Done,
     /*  837422 */   // Label 12879: @837422
     /*  837422 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(837497), // Rule ID 22609 //
     /*  837427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837473 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  837476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837495 */     GIR_RootConstrainSelectedInstOperands,
     /*  837496 */     // GIR_Coverage, 22609,
     /*  837496 */     GIR_EraseRootFromParent_Done,
     /*  837497 */   // Label 12880: @837497
     /*  837497 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837572), // Rule ID 22612 //
     /*  837502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  837519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  837551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837570 */     GIR_RootConstrainSelectedInstOperands,
     /*  837571 */     // GIR_Coverage, 22612,
     /*  837571 */     GIR_EraseRootFromParent_Done,
     /*  837572 */   // Label 12881: @837572
     /*  837572 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837647), // Rule ID 22613 //
     /*  837577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  837594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  837626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837645 */     GIR_RootConstrainSelectedInstOperands,
     /*  837646 */     // GIR_Coverage, 22613,
     /*  837646 */     GIR_EraseRootFromParent_Done,
     /*  837647 */   // Label 12882: @837647
     /*  837647 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837722), // Rule ID 22616 //
     /*  837652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  837669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  837701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837720 */     GIR_RootConstrainSelectedInstOperands,
     /*  837721 */     // GIR_Coverage, 22616,
     /*  837721 */     GIR_EraseRootFromParent_Done,
     /*  837722 */   // Label 12883: @837722
     /*  837722 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(837797), // Rule ID 22617 //
     /*  837727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  837744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  837776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837795 */     GIR_RootConstrainSelectedInstOperands,
     /*  837796 */     // GIR_Coverage, 22617,
     /*  837796 */     GIR_EraseRootFromParent_Done,
     /*  837797 */   // Label 12884: @837797
     /*  837797 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(837872), // Rule ID 22620 //
     /*  837802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  837819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  837851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837870 */     GIR_RootConstrainSelectedInstOperands,
     /*  837871 */     // GIR_Coverage, 22620,
     /*  837871 */     GIR_EraseRootFromParent_Done,
     /*  837872 */   // Label 12885: @837872
     /*  837872 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(837947), // Rule ID 22621 //
     /*  837877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  837894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11598:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  837926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837945 */     GIR_RootConstrainSelectedInstOperands,
     /*  837946 */     // GIR_Coverage, 22621,
     /*  837946 */     GIR_EraseRootFromParent_Done,
     /*  837947 */   // Label 12886: @837947
     /*  837947 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(838022), // Rule ID 22624 //
     /*  837952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  837969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  838001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838020 */     GIR_RootConstrainSelectedInstOperands,
     /*  838021 */     // GIR_Coverage, 22624,
     /*  838021 */     GIR_EraseRootFromParent_Done,
     /*  838022 */   // Label 12887: @838022
     /*  838022 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(838097), // Rule ID 22625 //
     /*  838027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  838076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838095 */     GIR_RootConstrainSelectedInstOperands,
     /*  838096 */     // GIR_Coverage, 22625,
     /*  838096 */     GIR_EraseRootFromParent_Done,
     /*  838097 */   // Label 12888: @838097
     /*  838097 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(838172), // Rule ID 22628 //
     /*  838102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  838151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838170 */     GIR_RootConstrainSelectedInstOperands,
     /*  838171 */     // GIR_Coverage, 22628,
     /*  838171 */     GIR_EraseRootFromParent_Done,
     /*  838172 */   // Label 12889: @838172
     /*  838172 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(838247), // Rule ID 22629 //
     /*  838177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  838226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838245 */     GIR_RootConstrainSelectedInstOperands,
     /*  838246 */     // GIR_Coverage, 22629,
     /*  838246 */     GIR_EraseRootFromParent_Done,
     /*  838247 */   // Label 12890: @838247
     /*  838247 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(838322), // Rule ID 22632 //
     /*  838252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  838301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838320 */     GIR_RootConstrainSelectedInstOperands,
     /*  838321 */     // GIR_Coverage, 22632,
     /*  838321 */     GIR_EraseRootFromParent_Done,
     /*  838322 */   // Label 12891: @838322
     /*  838322 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(838397), // Rule ID 22633 //
     /*  838327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11598:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  838376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838395 */     GIR_RootConstrainSelectedInstOperands,
     /*  838396 */     // GIR_Coverage, 22633,
     /*  838396 */     GIR_EraseRootFromParent_Done,
     /*  838397 */   // Label 12892: @838397
     /*  838397 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(838472), // Rule ID 22636 //
     /*  838402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  838451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838470 */     GIR_RootConstrainSelectedInstOperands,
     /*  838471 */     // GIR_Coverage, 22636,
     /*  838471 */     GIR_EraseRootFromParent_Done,
     /*  838472 */   // Label 12893: @838472
     /*  838472 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838547), // Rule ID 22637 //
     /*  838477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  838494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  838526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838545 */     GIR_RootConstrainSelectedInstOperands,
     /*  838546 */     // GIR_Coverage, 22637,
     /*  838546 */     GIR_EraseRootFromParent_Done,
     /*  838547 */   // Label 12894: @838547
     /*  838547 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838622), // Rule ID 22640 //
     /*  838552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  838601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838620 */     GIR_RootConstrainSelectedInstOperands,
     /*  838621 */     // GIR_Coverage, 22640,
     /*  838621 */     GIR_EraseRootFromParent_Done,
     /*  838622 */   // Label 12895: @838622
     /*  838622 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838697), // Rule ID 22641 //
     /*  838627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  838644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  838676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838695 */     GIR_RootConstrainSelectedInstOperands,
     /*  838696 */     // GIR_Coverage, 22641,
     /*  838696 */     GIR_EraseRootFromParent_Done,
     /*  838697 */   // Label 12896: @838697
     /*  838697 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(838772), // Rule ID 22644 //
     /*  838702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  838751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838770 */     GIR_RootConstrainSelectedInstOperands,
     /*  838771 */     // GIR_Coverage, 22644,
     /*  838771 */     GIR_EraseRootFromParent_Done,
     /*  838772 */   // Label 12897: @838772
     /*  838772 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(838847), // Rule ID 22645 //
     /*  838777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  838794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11598:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  838826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838845 */     GIR_RootConstrainSelectedInstOperands,
     /*  838846 */     // GIR_Coverage, 22645,
     /*  838846 */     GIR_EraseRootFromParent_Done,
     /*  838847 */   // Label 12898: @838847
     /*  838847 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(838922), // Rule ID 22648 //
     /*  838852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  838860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  838869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  838901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838920 */     GIR_RootConstrainSelectedInstOperands,
     /*  838921 */     // GIR_Coverage, 22648,
     /*  838921 */     GIR_EraseRootFromParent_Done,
     /*  838922 */   // Label 12899: @838922
     /*  838922 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(838997), // Rule ID 22649 //
     /*  838927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  838935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  838944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  838976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838995 */     GIR_RootConstrainSelectedInstOperands,
     /*  838996 */     // GIR_Coverage, 22649,
     /*  838996 */     GIR_EraseRootFromParent_Done,
     /*  838997 */   // Label 12900: @838997
     /*  838997 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(839072), // Rule ID 22652 //
     /*  839002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  839019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  839051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839070 */     GIR_RootConstrainSelectedInstOperands,
     /*  839071 */     // GIR_Coverage, 22652,
     /*  839071 */     GIR_EraseRootFromParent_Done,
     /*  839072 */   // Label 12901: @839072
     /*  839072 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(839147), // Rule ID 22653 //
     /*  839077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  839094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  839126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839145 */     GIR_RootConstrainSelectedInstOperands,
     /*  839146 */     // GIR_Coverage, 22653,
     /*  839146 */     GIR_EraseRootFromParent_Done,
     /*  839147 */   // Label 12902: @839147
     /*  839147 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(839222), // Rule ID 22656 //
     /*  839152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  839169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  839201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839220 */     GIR_RootConstrainSelectedInstOperands,
     /*  839221 */     // GIR_Coverage, 22656,
     /*  839221 */     GIR_EraseRootFromParent_Done,
     /*  839222 */   // Label 12903: @839222
     /*  839222 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(839297), // Rule ID 22657 //
     /*  839227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  839244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  839276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839295 */     GIR_RootConstrainSelectedInstOperands,
     /*  839296 */     // GIR_Coverage, 22657,
     /*  839296 */     GIR_EraseRootFromParent_Done,
     /*  839297 */   // Label 12904: @839297
     /*  839297 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(839372), // Rule ID 22660 //
     /*  839302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  839351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839370 */     GIR_RootConstrainSelectedInstOperands,
     /*  839371 */     // GIR_Coverage, 22660,
     /*  839371 */     GIR_EraseRootFromParent_Done,
     /*  839372 */   // Label 12905: @839372
     /*  839372 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(839447), // Rule ID 22661 //
     /*  839377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  839426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839445 */     GIR_RootConstrainSelectedInstOperands,
     /*  839446 */     // GIR_Coverage, 22661,
     /*  839446 */     GIR_EraseRootFromParent_Done,
     /*  839447 */   // Label 12906: @839447
     /*  839447 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839522), // Rule ID 22664 //
     /*  839452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  839501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839520 */     GIR_RootConstrainSelectedInstOperands,
     /*  839521 */     // GIR_Coverage, 22664,
     /*  839521 */     GIR_EraseRootFromParent_Done,
     /*  839522 */   // Label 12907: @839522
     /*  839522 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839597), // Rule ID 22665 //
     /*  839527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  839576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839595 */     GIR_RootConstrainSelectedInstOperands,
     /*  839596 */     // GIR_Coverage, 22665,
     /*  839596 */     GIR_EraseRootFromParent_Done,
     /*  839597 */   // Label 12908: @839597
     /*  839597 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839672), // Rule ID 22668 //
     /*  839602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  839651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839670 */     GIR_RootConstrainSelectedInstOperands,
     /*  839671 */     // GIR_Coverage, 22668,
     /*  839671 */     GIR_EraseRootFromParent_Done,
     /*  839672 */   // Label 12909: @839672
     /*  839672 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(839747), // Rule ID 22669 //
     /*  839677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  839726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839745 */     GIR_RootConstrainSelectedInstOperands,
     /*  839746 */     // GIR_Coverage, 22669,
     /*  839746 */     GIR_EraseRootFromParent_Done,
     /*  839747 */   // Label 12910: @839747
     /*  839747 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(839822), // Rule ID 22672 //
     /*  839752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  839769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  839801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839820 */     GIR_RootConstrainSelectedInstOperands,
     /*  839821 */     // GIR_Coverage, 22672,
     /*  839821 */     GIR_EraseRootFromParent_Done,
     /*  839822 */   // Label 12911: @839822
     /*  839822 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(839897), // Rule ID 22673 //
     /*  839827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  839844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  839876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839895 */     GIR_RootConstrainSelectedInstOperands,
     /*  839896 */     // GIR_Coverage, 22673,
     /*  839896 */     GIR_EraseRootFromParent_Done,
     /*  839897 */   // Label 12912: @839897
     /*  839897 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(839972), // Rule ID 22676 //
     /*  839902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  839951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839970 */     GIR_RootConstrainSelectedInstOperands,
     /*  839971 */     // GIR_Coverage, 22676,
     /*  839971 */     GIR_EraseRootFromParent_Done,
     /*  839972 */   // Label 12913: @839972
     /*  839972 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(840047), // Rule ID 22677 //
     /*  839977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  840026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840045 */     GIR_RootConstrainSelectedInstOperands,
     /*  840046 */     // GIR_Coverage, 22677,
     /*  840046 */     GIR_EraseRootFromParent_Done,
     /*  840047 */   // Label 12914: @840047
     /*  840047 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(840122), // Rule ID 22680 //
     /*  840052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  840101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840120 */     GIR_RootConstrainSelectedInstOperands,
     /*  840121 */     // GIR_Coverage, 22680,
     /*  840121 */     GIR_EraseRootFromParent_Done,
     /*  840122 */   // Label 12915: @840122
     /*  840122 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(840197), // Rule ID 22681 //
     /*  840127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  840176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840195 */     GIR_RootConstrainSelectedInstOperands,
     /*  840196 */     // GIR_Coverage, 22681,
     /*  840196 */     GIR_EraseRootFromParent_Done,
     /*  840197 */   // Label 12916: @840197
     /*  840197 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(840272), // Rule ID 22684 //
     /*  840202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  840251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840270 */     GIR_RootConstrainSelectedInstOperands,
     /*  840271 */     // GIR_Coverage, 22684,
     /*  840271 */     GIR_EraseRootFromParent_Done,
     /*  840272 */   // Label 12917: @840272
     /*  840272 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(840347), // Rule ID 22685 //
     /*  840277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  840326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840345 */     GIR_RootConstrainSelectedInstOperands,
     /*  840346 */     // GIR_Coverage, 22685,
     /*  840346 */     GIR_EraseRootFromParent_Done,
     /*  840347 */   // Label 12918: @840347
     /*  840347 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(840422), // Rule ID 22688 //
     /*  840352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  840401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840420 */     GIR_RootConstrainSelectedInstOperands,
     /*  840421 */     // GIR_Coverage, 22688,
     /*  840421 */     GIR_EraseRootFromParent_Done,
     /*  840422 */   // Label 12919: @840422
     /*  840422 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(840497), // Rule ID 22689 //
     /*  840427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  840476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840495 */     GIR_RootConstrainSelectedInstOperands,
     /*  840496 */     // GIR_Coverage, 22689,
     /*  840496 */     GIR_EraseRootFromParent_Done,
     /*  840497 */   // Label 12920: @840497
     /*  840497 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840572), // Rule ID 22692 //
     /*  840502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  840551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840570 */     GIR_RootConstrainSelectedInstOperands,
     /*  840571 */     // GIR_Coverage, 22692,
     /*  840571 */     GIR_EraseRootFromParent_Done,
     /*  840572 */   // Label 12921: @840572
     /*  840572 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840647), // Rule ID 22693 //
     /*  840577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11596:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  840626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840645 */     GIR_RootConstrainSelectedInstOperands,
     /*  840646 */     // GIR_Coverage, 22693,
     /*  840646 */     GIR_EraseRootFromParent_Done,
     /*  840647 */   // Label 12922: @840647
     /*  840647 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840722), // Rule ID 22696 //
     /*  840652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  840701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840720 */     GIR_RootConstrainSelectedInstOperands,
     /*  840721 */     // GIR_Coverage, 22696,
     /*  840721 */     GIR_EraseRootFromParent_Done,
     /*  840722 */   // Label 12923: @840722
     /*  840722 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(840797), // Rule ID 22697 //
     /*  840727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  840776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840795 */     GIR_RootConstrainSelectedInstOperands,
     /*  840796 */     // GIR_Coverage, 22697,
     /*  840796 */     GIR_EraseRootFromParent_Done,
     /*  840797 */   // Label 12924: @840797
     /*  840797 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(840872), // Rule ID 22700 //
     /*  840802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  840851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840870 */     GIR_RootConstrainSelectedInstOperands,
     /*  840871 */     // GIR_Coverage, 22700,
     /*  840871 */     GIR_EraseRootFromParent_Done,
     /*  840872 */   // Label 12925: @840872
     /*  840872 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(840947), // Rule ID 22701 //
     /*  840877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  840926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840945 */     GIR_RootConstrainSelectedInstOperands,
     /*  840946 */     // GIR_Coverage, 22701,
     /*  840946 */     GIR_EraseRootFromParent_Done,
     /*  840947 */   // Label 12926: @840947
     /*  840947 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(841022), // Rule ID 22704 //
     /*  840952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  841001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841020 */     GIR_RootConstrainSelectedInstOperands,
     /*  841021 */     // GIR_Coverage, 22704,
     /*  841021 */     GIR_EraseRootFromParent_Done,
     /*  841022 */   // Label 12927: @841022
     /*  841022 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(841097), // Rule ID 22705 //
     /*  841027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11596:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  841076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841095 */     GIR_RootConstrainSelectedInstOperands,
     /*  841096 */     // GIR_Coverage, 22705,
     /*  841096 */     GIR_EraseRootFromParent_Done,
     /*  841097 */   // Label 12928: @841097
     /*  841097 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(841172), // Rule ID 22708 //
     /*  841102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  841151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841170 */     GIR_RootConstrainSelectedInstOperands,
     /*  841171 */     // GIR_Coverage, 22708,
     /*  841171 */     GIR_EraseRootFromParent_Done,
     /*  841172 */   // Label 12929: @841172
     /*  841172 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(841247), // Rule ID 22709 //
     /*  841177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  841226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841245 */     GIR_RootConstrainSelectedInstOperands,
     /*  841246 */     // GIR_Coverage, 22709,
     /*  841246 */     GIR_EraseRootFromParent_Done,
     /*  841247 */   // Label 12930: @841247
     /*  841247 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(841322), // Rule ID 22712 //
     /*  841252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  841301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841320 */     GIR_RootConstrainSelectedInstOperands,
     /*  841321 */     // GIR_Coverage, 22712,
     /*  841321 */     GIR_EraseRootFromParent_Done,
     /*  841322 */   // Label 12931: @841322
     /*  841322 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(841397), // Rule ID 22713 //
     /*  841327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841373 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  841376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841395 */     GIR_RootConstrainSelectedInstOperands,
     /*  841396 */     // GIR_Coverage, 22713,
     /*  841396 */     GIR_EraseRootFromParent_Done,
     /*  841397 */   // Label 12932: @841397
     /*  841397 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(841472), // Rule ID 22716 //
     /*  841402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  841451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841470 */     GIR_RootConstrainSelectedInstOperands,
     /*  841471 */     // GIR_Coverage, 22716,
     /*  841471 */     GIR_EraseRootFromParent_Done,
     /*  841472 */   // Label 12933: @841472
     /*  841472 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841547), // Rule ID 22717 //
     /*  841477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11596:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  841526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841545 */     GIR_RootConstrainSelectedInstOperands,
     /*  841546 */     // GIR_Coverage, 22717,
     /*  841546 */     GIR_EraseRootFromParent_Done,
     /*  841547 */   // Label 12934: @841547
     /*  841547 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841622), // Rule ID 22836 //
     /*  841552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  841555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  841569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841598 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  841601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841620 */     GIR_RootConstrainSelectedInstOperands,
     /*  841621 */     // GIR_Coverage, 22836,
     /*  841621 */     GIR_EraseRootFromParent_Done,
     /*  841622 */   // Label 12935: @841622
     /*  841622 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841697), // Rule ID 22837 //
     /*  841627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  841630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  841644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841673 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  841676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841695 */     GIR_RootConstrainSelectedInstOperands,
     /*  841696 */     // GIR_Coverage, 22837,
     /*  841696 */     GIR_EraseRootFromParent_Done,
     /*  841697 */   // Label 12936: @841697
     /*  841697 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(841772), // Rule ID 22840 //
     /*  841702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  841705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  841719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841748 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  841751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841770 */     GIR_RootConstrainSelectedInstOperands,
     /*  841771 */     // GIR_Coverage, 22840,
     /*  841771 */     GIR_EraseRootFromParent_Done,
     /*  841772 */   // Label 12937: @841772
     /*  841772 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(841847), // Rule ID 22841 //
     /*  841777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  841780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  841794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841823 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  841826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841845 */     GIR_RootConstrainSelectedInstOperands,
     /*  841846 */     // GIR_Coverage, 22841,
     /*  841846 */     GIR_EraseRootFromParent_Done,
     /*  841847 */   // Label 12938: @841847
     /*  841847 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(841922), // Rule ID 22844 //
     /*  841852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  841855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  841869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841898 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  841901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841920 */     GIR_RootConstrainSelectedInstOperands,
     /*  841921 */     // GIR_Coverage, 22844,
     /*  841921 */     GIR_EraseRootFromParent_Done,
     /*  841922 */   // Label 12939: @841922
     /*  841922 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(841997), // Rule ID 22845 //
     /*  841927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  841930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  841935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  841944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841973 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  841976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841995 */     GIR_RootConstrainSelectedInstOperands,
     /*  841996 */     // GIR_Coverage, 22845,
     /*  841996 */     GIR_EraseRootFromParent_Done,
     /*  841997 */   // Label 12940: @841997
     /*  841997 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(842072), // Rule ID 22848 //
     /*  842002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  842051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842070 */     GIR_RootConstrainSelectedInstOperands,
     /*  842071 */     // GIR_Coverage, 22848,
     /*  842071 */     GIR_EraseRootFromParent_Done,
     /*  842072 */   // Label 12941: @842072
     /*  842072 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(842147), // Rule ID 22849 //
     /*  842077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842123 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  842126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842145 */     GIR_RootConstrainSelectedInstOperands,
     /*  842146 */     // GIR_Coverage, 22849,
     /*  842146 */     GIR_EraseRootFromParent_Done,
     /*  842147 */   // Label 12942: @842147
     /*  842147 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(842222), // Rule ID 22852 //
     /*  842152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  842155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  842169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842198 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  842201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842220 */     GIR_RootConstrainSelectedInstOperands,
     /*  842221 */     // GIR_Coverage, 22852,
     /*  842221 */     GIR_EraseRootFromParent_Done,
     /*  842222 */   // Label 12943: @842222
     /*  842222 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(842297), // Rule ID 22853 //
     /*  842227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  842230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  842244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842273 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  842276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842295 */     GIR_RootConstrainSelectedInstOperands,
     /*  842296 */     // GIR_Coverage, 22853,
     /*  842296 */     GIR_EraseRootFromParent_Done,
     /*  842297 */   // Label 12944: @842297
     /*  842297 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(842372), // Rule ID 22856 //
     /*  842302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  842305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  842319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  842351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842370 */     GIR_RootConstrainSelectedInstOperands,
     /*  842371 */     // GIR_Coverage, 22856,
     /*  842371 */     GIR_EraseRootFromParent_Done,
     /*  842372 */   // Label 12945: @842372
     /*  842372 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(842447), // Rule ID 22857 //
     /*  842377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  842380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  842394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842423 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  842426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842445 */     GIR_RootConstrainSelectedInstOperands,
     /*  842446 */     // GIR_Coverage, 22857,
     /*  842446 */     GIR_EraseRootFromParent_Done,
     /*  842447 */   // Label 12946: @842447
     /*  842447 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842522), // Rule ID 22860 //
     /*  842452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  842469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842498 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  842501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842520 */     GIR_RootConstrainSelectedInstOperands,
     /*  842521 */     // GIR_Coverage, 22860,
     /*  842521 */     GIR_EraseRootFromParent_Done,
     /*  842522 */   // Label 12947: @842522
     /*  842522 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842597), // Rule ID 22861 //
     /*  842527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  842544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842573 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  842576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842595 */     GIR_RootConstrainSelectedInstOperands,
     /*  842596 */     // GIR_Coverage, 22861,
     /*  842596 */     GIR_EraseRootFromParent_Done,
     /*  842597 */   // Label 12948: @842597
     /*  842597 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842672), // Rule ID 22864 //
     /*  842602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  842619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  842651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842670 */     GIR_RootConstrainSelectedInstOperands,
     /*  842671 */     // GIR_Coverage, 22864,
     /*  842671 */     GIR_EraseRootFromParent_Done,
     /*  842672 */   // Label 12949: @842672
     /*  842672 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(842747), // Rule ID 22865 //
     /*  842677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  842694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842723 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  842726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842745 */     GIR_RootConstrainSelectedInstOperands,
     /*  842746 */     // GIR_Coverage, 22865,
     /*  842746 */     GIR_EraseRootFromParent_Done,
     /*  842747 */   // Label 12950: @842747
     /*  842747 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(842822), // Rule ID 22868 //
     /*  842752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  842769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842798 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  842801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842820 */     GIR_RootConstrainSelectedInstOperands,
     /*  842821 */     // GIR_Coverage, 22868,
     /*  842821 */     GIR_EraseRootFromParent_Done,
     /*  842822 */   // Label 12951: @842822
     /*  842822 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(842897), // Rule ID 22869 //
     /*  842827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  842844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842873 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  842876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842895 */     GIR_RootConstrainSelectedInstOperands,
     /*  842896 */     // GIR_Coverage, 22869,
     /*  842896 */     GIR_EraseRootFromParent_Done,
     /*  842897 */   // Label 12952: @842897
     /*  842897 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(842972), // Rule ID 22872 //
     /*  842902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  842905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  842919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  842951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842970 */     GIR_RootConstrainSelectedInstOperands,
     /*  842971 */     // GIR_Coverage, 22872,
     /*  842971 */     GIR_EraseRootFromParent_Done,
     /*  842972 */   // Label 12953: @842972
     /*  842972 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(843047), // Rule ID 22873 //
     /*  842977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  842980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  842994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843023 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  843026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843045 */     GIR_RootConstrainSelectedInstOperands,
     /*  843046 */     // GIR_Coverage, 22873,
     /*  843046 */     GIR_EraseRootFromParent_Done,
     /*  843047 */   // Label 12954: @843047
     /*  843047 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(843122), // Rule ID 22876 //
     /*  843052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  843069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  843101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843120 */     GIR_RootConstrainSelectedInstOperands,
     /*  843121 */     // GIR_Coverage, 22876,
     /*  843121 */     GIR_EraseRootFromParent_Done,
     /*  843122 */   // Label 12955: @843122
     /*  843122 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(843197), // Rule ID 22877 //
     /*  843127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  843144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843173 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  843176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843195 */     GIR_RootConstrainSelectedInstOperands,
     /*  843196 */     // GIR_Coverage, 22877,
     /*  843196 */     GIR_EraseRootFromParent_Done,
     /*  843197 */   // Label 12956: @843197
     /*  843197 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(843272), // Rule ID 22880 //
     /*  843202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  843219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  843251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843270 */     GIR_RootConstrainSelectedInstOperands,
     /*  843271 */     // GIR_Coverage, 22880,
     /*  843271 */     GIR_EraseRootFromParent_Done,
     /*  843272 */   // Label 12957: @843272
     /*  843272 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(843347), // Rule ID 22881 //
     /*  843277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  843294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843323 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  843326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843345 */     GIR_RootConstrainSelectedInstOperands,
     /*  843346 */     // GIR_Coverage, 22881,
     /*  843346 */     GIR_EraseRootFromParent_Done,
     /*  843347 */   // Label 12958: @843347
     /*  843347 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(843422), // Rule ID 22884 //
     /*  843352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  843355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  843369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843398 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  843401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843420 */     GIR_RootConstrainSelectedInstOperands,
     /*  843421 */     // GIR_Coverage, 22884,
     /*  843421 */     GIR_EraseRootFromParent_Done,
     /*  843422 */   // Label 12959: @843422
     /*  843422 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(843497), // Rule ID 22885 //
     /*  843427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  843430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  843444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843473 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  843476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843495 */     GIR_RootConstrainSelectedInstOperands,
     /*  843496 */     // GIR_Coverage, 22885,
     /*  843496 */     GIR_EraseRootFromParent_Done,
     /*  843497 */   // Label 12960: @843497
     /*  843497 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843572), // Rule ID 22888 //
     /*  843502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  843505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  843519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  843551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843570 */     GIR_RootConstrainSelectedInstOperands,
     /*  843571 */     // GIR_Coverage, 22888,
     /*  843571 */     GIR_EraseRootFromParent_Done,
     /*  843572 */   // Label 12961: @843572
     /*  843572 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843647), // Rule ID 22889 //
     /*  843577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  843580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  843594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843623 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  843626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843645 */     GIR_RootConstrainSelectedInstOperands,
     /*  843646 */     // GIR_Coverage, 22889,
     /*  843646 */     GIR_EraseRootFromParent_Done,
     /*  843647 */   // Label 12962: @843647
     /*  843647 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843722), // Rule ID 22892 //
     /*  843652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  843655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  843669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843698 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  843701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843720 */     GIR_RootConstrainSelectedInstOperands,
     /*  843721 */     // GIR_Coverage, 22892,
     /*  843721 */     GIR_EraseRootFromParent_Done,
     /*  843722 */   // Label 12963: @843722
     /*  843722 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(843797), // Rule ID 22893 //
     /*  843727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  843730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  843744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843773 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  843776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843795 */     GIR_RootConstrainSelectedInstOperands,
     /*  843796 */     // GIR_Coverage, 22893,
     /*  843796 */     GIR_EraseRootFromParent_Done,
     /*  843797 */   // Label 12964: @843797
     /*  843797 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(843872), // Rule ID 22896 //
     /*  843802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  843805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  843810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843848 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  843851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843870 */     GIR_RootConstrainSelectedInstOperands,
     /*  843871 */     // GIR_Coverage, 22896,
     /*  843871 */     GIR_EraseRootFromParent_Done,
     /*  843872 */   // Label 12965: @843872
     /*  843872 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(843947), // Rule ID 22897 //
     /*  843877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  843880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  843885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843923 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  843926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843945 */     GIR_RootConstrainSelectedInstOperands,
     /*  843946 */     // GIR_Coverage, 22897,
     /*  843946 */     GIR_EraseRootFromParent_Done,
     /*  843947 */   // Label 12966: @843947
     /*  843947 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(844022), // Rule ID 22900 //
     /*  843952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  843955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  843960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  843969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843998 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  844001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844020 */     GIR_RootConstrainSelectedInstOperands,
     /*  844021 */     // GIR_Coverage, 22900,
     /*  844021 */     GIR_EraseRootFromParent_Done,
     /*  844022 */   // Label 12967: @844022
     /*  844022 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(844097), // Rule ID 22901 //
     /*  844027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  844044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844073 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  844076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844095 */     GIR_RootConstrainSelectedInstOperands,
     /*  844096 */     // GIR_Coverage, 22901,
     /*  844096 */     GIR_EraseRootFromParent_Done,
     /*  844097 */   // Label 12968: @844097
     /*  844097 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(844172), // Rule ID 22904 //
     /*  844102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  844105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  844151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844170 */     GIR_RootConstrainSelectedInstOperands,
     /*  844171 */     // GIR_Coverage, 22904,
     /*  844171 */     GIR_EraseRootFromParent_Done,
     /*  844172 */   // Label 12969: @844172
     /*  844172 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(844247), // Rule ID 22905 //
     /*  844177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  844180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844223 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  844226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844245 */     GIR_RootConstrainSelectedInstOperands,
     /*  844246 */     // GIR_Coverage, 22905,
     /*  844246 */     GIR_EraseRootFromParent_Done,
     /*  844247 */   // Label 12970: @844247
     /*  844247 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(844322), // Rule ID 22908 //
     /*  844252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  844269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844298 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  844301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844320 */     GIR_RootConstrainSelectedInstOperands,
     /*  844321 */     // GIR_Coverage, 22908,
     /*  844321 */     GIR_EraseRootFromParent_Done,
     /*  844322 */   // Label 12971: @844322
     /*  844322 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(844397), // Rule ID 22909 //
     /*  844327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  844344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844373 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  844376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844395 */     GIR_RootConstrainSelectedInstOperands,
     /*  844396 */     // GIR_Coverage, 22909,
     /*  844396 */     GIR_EraseRootFromParent_Done,
     /*  844397 */   // Label 12972: @844397
     /*  844397 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(844472), // Rule ID 22912 //
     /*  844402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  844405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  844451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844470 */     GIR_RootConstrainSelectedInstOperands,
     /*  844471 */     // GIR_Coverage, 22912,
     /*  844471 */     GIR_EraseRootFromParent_Done,
     /*  844472 */   // Label 12973: @844472
     /*  844472 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844547), // Rule ID 22913 //
     /*  844477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  844480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844523 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  844526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844545 */     GIR_RootConstrainSelectedInstOperands,
     /*  844546 */     // GIR_Coverage, 22913,
     /*  844546 */     GIR_EraseRootFromParent_Done,
     /*  844547 */   // Label 12974: @844547
     /*  844547 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844622), // Rule ID 22916 //
     /*  844552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  844555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844598 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  844601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844620 */     GIR_RootConstrainSelectedInstOperands,
     /*  844621 */     // GIR_Coverage, 22916,
     /*  844621 */     GIR_EraseRootFromParent_Done,
     /*  844622 */   // Label 12975: @844622
     /*  844622 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844697), // Rule ID 22917 //
     /*  844627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  844630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844673 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  844676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844695 */     GIR_RootConstrainSelectedInstOperands,
     /*  844696 */     // GIR_Coverage, 22917,
     /*  844696 */     GIR_EraseRootFromParent_Done,
     /*  844697 */   // Label 12976: @844697
     /*  844697 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(844772), // Rule ID 22920 //
     /*  844702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  844719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844748 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  844751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844770 */     GIR_RootConstrainSelectedInstOperands,
     /*  844771 */     // GIR_Coverage, 22920,
     /*  844771 */     GIR_EraseRootFromParent_Done,
     /*  844772 */   // Label 12977: @844772
     /*  844772 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(844847), // Rule ID 22921 //
     /*  844777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  844794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844823 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  844826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844845 */     GIR_RootConstrainSelectedInstOperands,
     /*  844846 */     // GIR_Coverage, 22921,
     /*  844846 */     GIR_EraseRootFromParent_Done,
     /*  844847 */   // Label 12978: @844847
     /*  844847 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(844922), // Rule ID 22924 //
     /*  844852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  844869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844898 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  844901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844920 */     GIR_RootConstrainSelectedInstOperands,
     /*  844921 */     // GIR_Coverage, 22924,
     /*  844921 */     GIR_EraseRootFromParent_Done,
     /*  844922 */   // Label 12979: @844922
     /*  844922 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(844997), // Rule ID 22925 //
     /*  844927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  844944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  844976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844995 */     GIR_RootConstrainSelectedInstOperands,
     /*  844996 */     // GIR_Coverage, 22925,
     /*  844996 */     GIR_EraseRootFromParent_Done,
     /*  844997 */   // Label 12980: @844997
     /*  844997 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(845072), // Rule ID 22928 //
     /*  845002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  845051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845070 */     GIR_RootConstrainSelectedInstOperands,
     /*  845071 */     // GIR_Coverage, 22928,
     /*  845071 */     GIR_EraseRootFromParent_Done,
     /*  845072 */   // Label 12981: @845072
     /*  845072 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(845147), // Rule ID 22929 //
     /*  845077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845123 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  845126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845145 */     GIR_RootConstrainSelectedInstOperands,
     /*  845146 */     // GIR_Coverage, 22929,
     /*  845146 */     GIR_EraseRootFromParent_Done,
     /*  845147 */   // Label 12982: @845147
     /*  845147 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(845222), // Rule ID 22932 //
     /*  845152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845198 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  845201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845220 */     GIR_RootConstrainSelectedInstOperands,
     /*  845221 */     // GIR_Coverage, 22932,
     /*  845221 */     GIR_EraseRootFromParent_Done,
     /*  845222 */   // Label 12983: @845222
     /*  845222 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(845297), // Rule ID 22933 //
     /*  845227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845273 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  845276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845295 */     GIR_RootConstrainSelectedInstOperands,
     /*  845296 */     // GIR_Coverage, 22933,
     /*  845296 */     GIR_EraseRootFromParent_Done,
     /*  845297 */   // Label 12984: @845297
     /*  845297 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(845372), // Rule ID 22936 //
     /*  845302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  845351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845370 */     GIR_RootConstrainSelectedInstOperands,
     /*  845371 */     // GIR_Coverage, 22936,
     /*  845371 */     GIR_EraseRootFromParent_Done,
     /*  845372 */   // Label 12985: @845372
     /*  845372 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(845447), // Rule ID 22937 //
     /*  845377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845423 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  845426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845445 */     GIR_RootConstrainSelectedInstOperands,
     /*  845446 */     // GIR_Coverage, 22937,
     /*  845446 */     GIR_EraseRootFromParent_Done,
     /*  845447 */   // Label 12986: @845447
     /*  845447 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845522), // Rule ID 22940 //
     /*  845452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845498 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  845501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845520 */     GIR_RootConstrainSelectedInstOperands,
     /*  845521 */     // GIR_Coverage, 22940,
     /*  845521 */     GIR_EraseRootFromParent_Done,
     /*  845522 */   // Label 12987: @845522
     /*  845522 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845597), // Rule ID 22941 //
     /*  845527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845573 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  845576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845595 */     GIR_RootConstrainSelectedInstOperands,
     /*  845596 */     // GIR_Coverage, 22941,
     /*  845596 */     GIR_EraseRootFromParent_Done,
     /*  845597 */   // Label 12988: @845597
     /*  845597 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845672), // Rule ID 22944 //
     /*  845602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  845605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  845619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845648 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  845651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845670 */     GIR_RootConstrainSelectedInstOperands,
     /*  845671 */     // GIR_Coverage, 22944,
     /*  845671 */     GIR_EraseRootFromParent_Done,
     /*  845672 */   // Label 12989: @845672
     /*  845672 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(845747), // Rule ID 22945 //
     /*  845677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  845680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  845694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845723 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  845723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  845726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845745 */     GIR_RootConstrainSelectedInstOperands,
     /*  845746 */     // GIR_Coverage, 22945,
     /*  845746 */     GIR_EraseRootFromParent_Done,
     /*  845747 */   // Label 12990: @845747
     /*  845747 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(845822), // Rule ID 22948 //
     /*  845752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  845755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  845769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845798 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  845801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845820 */     GIR_RootConstrainSelectedInstOperands,
     /*  845821 */     // GIR_Coverage, 22948,
     /*  845821 */     GIR_EraseRootFromParent_Done,
     /*  845822 */   // Label 12991: @845822
     /*  845822 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(845897), // Rule ID 22949 //
     /*  845827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  845830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  845844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845873 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  845873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  845876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845895 */     GIR_RootConstrainSelectedInstOperands,
     /*  845896 */     // GIR_Coverage, 22949,
     /*  845896 */     GIR_EraseRootFromParent_Done,
     /*  845897 */   // Label 12992: @845897
     /*  845897 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(845972), // Rule ID 22952 //
     /*  845902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  845905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  845919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  845951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845970 */     GIR_RootConstrainSelectedInstOperands,
     /*  845971 */     // GIR_Coverage, 22952,
     /*  845971 */     GIR_EraseRootFromParent_Done,
     /*  845972 */   // Label 12993: @845972
     /*  845972 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(846047), // Rule ID 22953 //
     /*  845977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  845980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  845994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846023 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  846026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846045 */     GIR_RootConstrainSelectedInstOperands,
     /*  846046 */     // GIR_Coverage, 22953,
     /*  846046 */     GIR_EraseRootFromParent_Done,
     /*  846047 */   // Label 12994: @846047
     /*  846047 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(846122), // Rule ID 23234 //
     /*  846052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  846063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  846066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  846069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  846072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846098 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  846101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846120 */     GIR_RootConstrainSelectedInstOperands,
     /*  846121 */     // GIR_Coverage, 23234,
     /*  846121 */     GIR_EraseRootFromParent_Done,
     /*  846122 */   // Label 12995: @846122
     /*  846122 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(846197), // Rule ID 23235 //
     /*  846127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  846138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  846141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  846144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  846147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  846176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846195 */     GIR_RootConstrainSelectedInstOperands,
     /*  846196 */     // GIR_Coverage, 23235,
     /*  846196 */     GIR_EraseRootFromParent_Done,
     /*  846197 */   // Label 12996: @846197
     /*  846197 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(846272), // Rule ID 23238 //
     /*  846202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  846213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  846216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  846219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  846222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  846251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846270 */     GIR_RootConstrainSelectedInstOperands,
     /*  846271 */     // GIR_Coverage, 23238,
     /*  846271 */     GIR_EraseRootFromParent_Done,
     /*  846272 */   // Label 12997: @846272
     /*  846272 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(846347), // Rule ID 23239 //
     /*  846277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  846288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  846291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  846294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  846297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846323 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  846326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846345 */     GIR_RootConstrainSelectedInstOperands,
     /*  846346 */     // GIR_Coverage, 23239,
     /*  846346 */     GIR_EraseRootFromParent_Done,
     /*  846347 */   // Label 12998: @846347
     /*  846347 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(846422), // Rule ID 23242 //
     /*  846352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  846363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  846366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  846369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  846372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846398 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  846401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846420 */     GIR_RootConstrainSelectedInstOperands,
     /*  846421 */     // GIR_Coverage, 23242,
     /*  846421 */     GIR_EraseRootFromParent_Done,
     /*  846422 */   // Label 12999: @846422
     /*  846422 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(846497), // Rule ID 23243 //
     /*  846427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  846438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  846441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  846444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  846447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  846476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846495 */     GIR_RootConstrainSelectedInstOperands,
     /*  846496 */     // GIR_Coverage, 23243,
     /*  846496 */     GIR_EraseRootFromParent_Done,
     /*  846497 */   // Label 13000: @846497
     /*  846497 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846572), // Rule ID 23246 //
     /*  846502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  846513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  846516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  846519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  846522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  846551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846570 */     GIR_RootConstrainSelectedInstOperands,
     /*  846571 */     // GIR_Coverage, 23246,
     /*  846571 */     GIR_EraseRootFromParent_Done,
     /*  846572 */   // Label 13001: @846572
     /*  846572 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846647), // Rule ID 23247 //
     /*  846577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  846588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  846591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  846594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  846597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  846626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846645 */     GIR_RootConstrainSelectedInstOperands,
     /*  846646 */     // GIR_Coverage, 23247,
     /*  846646 */     GIR_EraseRootFromParent_Done,
     /*  846647 */   // Label 13002: @846647
     /*  846647 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846722), // Rule ID 23250 //
     /*  846652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  846663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  846666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  846669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  846672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846698 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  846701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846720 */     GIR_RootConstrainSelectedInstOperands,
     /*  846721 */     // GIR_Coverage, 23250,
     /*  846721 */     GIR_EraseRootFromParent_Done,
     /*  846722 */   // Label 13003: @846722
     /*  846722 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(846797), // Rule ID 23251 //
     /*  846727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  846738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  846741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  846744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  846747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846773 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  846776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846795 */     GIR_RootConstrainSelectedInstOperands,
     /*  846796 */     // GIR_Coverage, 23251,
     /*  846796 */     GIR_EraseRootFromParent_Done,
     /*  846797 */   // Label 13004: @846797
     /*  846797 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(846872), // Rule ID 23254 //
     /*  846802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  846813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  846816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  846819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  846822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846848 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  846851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846870 */     GIR_RootConstrainSelectedInstOperands,
     /*  846871 */     // GIR_Coverage, 23254,
     /*  846871 */     GIR_EraseRootFromParent_Done,
     /*  846872 */   // Label 13005: @846872
     /*  846872 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(846947), // Rule ID 23255 //
     /*  846877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  846888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  846891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  846894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  846897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846923 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11378:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  846926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846945 */     GIR_RootConstrainSelectedInstOperands,
     /*  846946 */     // GIR_Coverage, 23255,
     /*  846946 */     GIR_EraseRootFromParent_Done,
     /*  846947 */   // Label 13006: @846947
     /*  846947 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(847022), // Rule ID 23258 //
     /*  846952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  846960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  846963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  846966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  846969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  846972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  847001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847020 */     GIR_RootConstrainSelectedInstOperands,
     /*  847021 */     // GIR_Coverage, 23258,
     /*  847021 */     GIR_EraseRootFromParent_Done,
     /*  847022 */   // Label 13007: @847022
     /*  847022 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(847097), // Rule ID 23259 //
     /*  847027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  847038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  847041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  847044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  847047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847073 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  847076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847095 */     GIR_RootConstrainSelectedInstOperands,
     /*  847096 */     // GIR_Coverage, 23259,
     /*  847096 */     GIR_EraseRootFromParent_Done,
     /*  847097 */   // Label 13008: @847097
     /*  847097 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(847172), // Rule ID 23262 //
     /*  847102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  847113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  847116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  847119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  847122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  847151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847170 */     GIR_RootConstrainSelectedInstOperands,
     /*  847171 */     // GIR_Coverage, 23262,
     /*  847171 */     GIR_EraseRootFromParent_Done,
     /*  847172 */   // Label 13009: @847172
     /*  847172 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(847247), // Rule ID 23263 //
     /*  847177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  847188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  847191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  847194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  847197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  847226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847245 */     GIR_RootConstrainSelectedInstOperands,
     /*  847246 */     // GIR_Coverage, 23263,
     /*  847246 */     GIR_EraseRootFromParent_Done,
     /*  847247 */   // Label 13010: @847247
     /*  847247 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(847322), // Rule ID 23266 //
     /*  847252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  847263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  847266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  847269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  847272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847298 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  847301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847320 */     GIR_RootConstrainSelectedInstOperands,
     /*  847321 */     // GIR_Coverage, 23266,
     /*  847321 */     GIR_EraseRootFromParent_Done,
     /*  847322 */   // Label 13011: @847322
     /*  847322 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(847397), // Rule ID 23267 //
     /*  847327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  847338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  847341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  847344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  847347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  847376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847395 */     GIR_RootConstrainSelectedInstOperands,
     /*  847396 */     // GIR_Coverage, 23267,
     /*  847396 */     GIR_EraseRootFromParent_Done,
     /*  847397 */   // Label 13012: @847397
     /*  847397 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(847472), // Rule ID 23270 //
     /*  847402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  847413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  847416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  847419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  847422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  847451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847470 */     GIR_RootConstrainSelectedInstOperands,
     /*  847471 */     // GIR_Coverage, 23270,
     /*  847471 */     GIR_EraseRootFromParent_Done,
     /*  847472 */   // Label 13013: @847472
     /*  847472 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847547), // Rule ID 23271 //
     /*  847477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  847488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  847491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  847494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  847497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847523 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  847526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847545 */     GIR_RootConstrainSelectedInstOperands,
     /*  847546 */     // GIR_Coverage, 23271,
     /*  847546 */     GIR_EraseRootFromParent_Done,
     /*  847547 */   // Label 13014: @847547
     /*  847547 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847622), // Rule ID 23274 //
     /*  847552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  847563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  847566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  847569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  847572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  847601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847620 */     GIR_RootConstrainSelectedInstOperands,
     /*  847621 */     // GIR_Coverage, 23274,
     /*  847621 */     GIR_EraseRootFromParent_Done,
     /*  847622 */   // Label 13015: @847622
     /*  847622 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847697), // Rule ID 23275 //
     /*  847627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  847638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  847641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  847644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  847647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847673 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  847676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847695 */     GIR_RootConstrainSelectedInstOperands,
     /*  847696 */     // GIR_Coverage, 23275,
     /*  847696 */     GIR_EraseRootFromParent_Done,
     /*  847697 */   // Label 13016: @847697
     /*  847697 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(847772), // Rule ID 23278 //
     /*  847702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  847713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  847716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  847719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  847722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  847751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847770 */     GIR_RootConstrainSelectedInstOperands,
     /*  847771 */     // GIR_Coverage, 23278,
     /*  847771 */     GIR_EraseRootFromParent_Done,
     /*  847772 */   // Label 13017: @847772
     /*  847772 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(847847), // Rule ID 23279 //
     /*  847777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  847788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  847791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  847794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  847797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847823 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  847826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847845 */     GIR_RootConstrainSelectedInstOperands,
     /*  847846 */     // GIR_Coverage, 23279,
     /*  847846 */     GIR_EraseRootFromParent_Done,
     /*  847847 */   // Label 13018: @847847
     /*  847847 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(847922), // Rule ID 23282 //
     /*  847852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  847863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  847866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  847869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  847872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847898 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  847901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847920 */     GIR_RootConstrainSelectedInstOperands,
     /*  847921 */     // GIR_Coverage, 23282,
     /*  847921 */     GIR_EraseRootFromParent_Done,
     /*  847922 */   // Label 13019: @847922
     /*  847922 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(847997), // Rule ID 23283 //
     /*  847927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  847938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  847941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  847944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  847947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847973 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11391:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  847976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847995 */     GIR_RootConstrainSelectedInstOperands,
     /*  847996 */     // GIR_Coverage, 23283,
     /*  847996 */     GIR_EraseRootFromParent_Done,
     /*  847997 */   // Label 13020: @847997
     /*  847997 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(848072), // Rule ID 23286 //
     /*  848002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  848013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  848016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  848019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  848022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  848051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848070 */     GIR_RootConstrainSelectedInstOperands,
     /*  848071 */     // GIR_Coverage, 23286,
     /*  848071 */     GIR_EraseRootFromParent_Done,
     /*  848072 */   // Label 13021: @848072
     /*  848072 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(848147), // Rule ID 23287 //
     /*  848077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  848088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  848091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  848094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  848097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848123 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  848126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848145 */     GIR_RootConstrainSelectedInstOperands,
     /*  848146 */     // GIR_Coverage, 23287,
     /*  848146 */     GIR_EraseRootFromParent_Done,
     /*  848147 */   // Label 13022: @848147
     /*  848147 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(848222), // Rule ID 23290 //
     /*  848152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  848163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  848166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  848169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  848172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  848201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848220 */     GIR_RootConstrainSelectedInstOperands,
     /*  848221 */     // GIR_Coverage, 23290,
     /*  848221 */     GIR_EraseRootFromParent_Done,
     /*  848222 */   // Label 13023: @848222
     /*  848222 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(848297), // Rule ID 23291 //
     /*  848227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  848238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  848241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  848244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  848247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848273 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  848276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848295 */     GIR_RootConstrainSelectedInstOperands,
     /*  848296 */     // GIR_Coverage, 23291,
     /*  848296 */     GIR_EraseRootFromParent_Done,
     /*  848297 */   // Label 13024: @848297
     /*  848297 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(848372), // Rule ID 23294 //
     /*  848302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  848313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  848316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  848319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  848322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  848351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848370 */     GIR_RootConstrainSelectedInstOperands,
     /*  848371 */     // GIR_Coverage, 23294,
     /*  848371 */     GIR_EraseRootFromParent_Done,
     /*  848372 */   // Label 13025: @848372
     /*  848372 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(848447), // Rule ID 23295 //
     /*  848377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  848388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  848391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  848394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  848397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  848426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848445 */     GIR_RootConstrainSelectedInstOperands,
     /*  848446 */     // GIR_Coverage, 23295,
     /*  848446 */     GIR_EraseRootFromParent_Done,
     /*  848447 */   // Label 13026: @848447
     /*  848447 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848522), // Rule ID 23298 //
     /*  848452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  848463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  848466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  848469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  848472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848498 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  848501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848520 */     GIR_RootConstrainSelectedInstOperands,
     /*  848521 */     // GIR_Coverage, 23298,
     /*  848521 */     GIR_EraseRootFromParent_Done,
     /*  848522 */   // Label 13027: @848522
     /*  848522 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848597), // Rule ID 23299 //
     /*  848527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  848538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  848541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  848544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  848547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  848576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848595 */     GIR_RootConstrainSelectedInstOperands,
     /*  848596 */     // GIR_Coverage, 23299,
     /*  848596 */     GIR_EraseRootFromParent_Done,
     /*  848597 */   // Label 13028: @848597
     /*  848597 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848672), // Rule ID 23302 //
     /*  848602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  848613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  848616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  848619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  848622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  848651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848670 */     GIR_RootConstrainSelectedInstOperands,
     /*  848671 */     // GIR_Coverage, 23302,
     /*  848671 */     GIR_EraseRootFromParent_Done,
     /*  848672 */   // Label 13029: @848672
     /*  848672 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(848747), // Rule ID 23303 //
     /*  848677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  848688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  848691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  848694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  848697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848723 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  848726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848745 */     GIR_RootConstrainSelectedInstOperands,
     /*  848746 */     // GIR_Coverage, 23303,
     /*  848746 */     GIR_EraseRootFromParent_Done,
     /*  848747 */   // Label 13030: @848747
     /*  848747 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(848822), // Rule ID 23306 //
     /*  848752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  848763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  848766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  848769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  848772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848798 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  848801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848820 */     GIR_RootConstrainSelectedInstOperands,
     /*  848821 */     // GIR_Coverage, 23306,
     /*  848821 */     GIR_EraseRootFromParent_Done,
     /*  848822 */   // Label 13031: @848822
     /*  848822 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(848897), // Rule ID 23307 //
     /*  848827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  848838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  848841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  848844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  848847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848873 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  848876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848895 */     GIR_RootConstrainSelectedInstOperands,
     /*  848896 */     // GIR_Coverage, 23307,
     /*  848896 */     GIR_EraseRootFromParent_Done,
     /*  848897 */   // Label 13032: @848897
     /*  848897 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(848972), // Rule ID 23310 //
     /*  848902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  848913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  848916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  848919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  848922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848948 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  848951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848970 */     GIR_RootConstrainSelectedInstOperands,
     /*  848971 */     // GIR_Coverage, 23310,
     /*  848971 */     GIR_EraseRootFromParent_Done,
     /*  848972 */   // Label 13033: @848972
     /*  848972 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(849047), // Rule ID 23311 //
     /*  848977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  848988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  848991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  848994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  848997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849023 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11403:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  849026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849045 */     GIR_RootConstrainSelectedInstOperands,
     /*  849046 */     // GIR_Coverage, 23311,
     /*  849046 */     GIR_EraseRootFromParent_Done,
     /*  849047 */   // Label 13034: @849047
     /*  849047 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(849122), // Rule ID 23852 //
     /*  849052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  849101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849120 */     GIR_RootConstrainSelectedInstOperands,
     /*  849121 */     // GIR_Coverage, 23852,
     /*  849121 */     GIR_EraseRootFromParent_Done,
     /*  849122 */   // Label 13035: @849122
     /*  849122 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(849197), // Rule ID 23853 //
     /*  849127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849173 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  849176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849195 */     GIR_RootConstrainSelectedInstOperands,
     /*  849196 */     // GIR_Coverage, 23853,
     /*  849196 */     GIR_EraseRootFromParent_Done,
     /*  849197 */   // Label 13036: @849197
     /*  849197 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(849272), // Rule ID 23856 //
     /*  849202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849270 */     GIR_RootConstrainSelectedInstOperands,
     /*  849271 */     // GIR_Coverage, 23856,
     /*  849271 */     GIR_EraseRootFromParent_Done,
     /*  849272 */   // Label 13037: @849272
     /*  849272 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(849347), // Rule ID 23857 //
     /*  849277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849323 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849345 */     GIR_RootConstrainSelectedInstOperands,
     /*  849346 */     // GIR_Coverage, 23857,
     /*  849346 */     GIR_EraseRootFromParent_Done,
     /*  849347 */   // Label 13038: @849347
     /*  849347 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(849422), // Rule ID 23860 //
     /*  849352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849398 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849420 */     GIR_RootConstrainSelectedInstOperands,
     /*  849421 */     // GIR_Coverage, 23860,
     /*  849421 */     GIR_EraseRootFromParent_Done,
     /*  849422 */   // Label 13039: @849422
     /*  849422 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(849497), // Rule ID 23861 //
     /*  849427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849495 */     GIR_RootConstrainSelectedInstOperands,
     /*  849496 */     // GIR_Coverage, 23861,
     /*  849496 */     GIR_EraseRootFromParent_Done,
     /*  849497 */   // Label 13040: @849497
     /*  849497 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849572), // Rule ID 23864 //
     /*  849502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849570 */     GIR_RootConstrainSelectedInstOperands,
     /*  849571 */     // GIR_Coverage, 23864,
     /*  849571 */     GIR_EraseRootFromParent_Done,
     /*  849572 */   // Label 13041: @849572
     /*  849572 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849647), // Rule ID 23865 //
     /*  849577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849623 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849645 */     GIR_RootConstrainSelectedInstOperands,
     /*  849646 */     // GIR_Coverage, 23865,
     /*  849646 */     GIR_EraseRootFromParent_Done,
     /*  849647 */   // Label 13042: @849647
     /*  849647 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849722), // Rule ID 23868 //
     /*  849652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  849663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  849666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849720 */     GIR_RootConstrainSelectedInstOperands,
     /*  849721 */     // GIR_Coverage, 23868,
     /*  849721 */     GIR_EraseRootFromParent_Done,
     /*  849722 */   // Label 13043: @849722
     /*  849722 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(849797), // Rule ID 23869 //
     /*  849727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  849738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  849741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849795 */     GIR_RootConstrainSelectedInstOperands,
     /*  849796 */     // GIR_Coverage, 23869,
     /*  849796 */     GIR_EraseRootFromParent_Done,
     /*  849797 */   // Label 13044: @849797
     /*  849797 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(849872), // Rule ID 23872 //
     /*  849802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  849813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  849816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  849819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849848 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849870 */     GIR_RootConstrainSelectedInstOperands,
     /*  849871 */     // GIR_Coverage, 23872,
     /*  849871 */     GIR_EraseRootFromParent_Done,
     /*  849872 */   // Label 13045: @849872
     /*  849872 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(849947), // Rule ID 23873 //
     /*  849877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  849888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  849891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  849894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  849926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849945 */     GIR_RootConstrainSelectedInstOperands,
     /*  849946 */     // GIR_Coverage, 23873,
     /*  849946 */     GIR_EraseRootFromParent_Done,
     /*  849947 */   // Label 13046: @849947
     /*  849947 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(850022), // Rule ID 23876 //
     /*  849952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  849969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850020 */     GIR_RootConstrainSelectedInstOperands,
     /*  850021 */     // GIR_Coverage, 23876,
     /*  850021 */     GIR_EraseRootFromParent_Done,
     /*  850022 */   // Label 13047: @850022
     /*  850022 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(850097), // Rule ID 23877 //
     /*  850027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  850044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850073 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850095 */     GIR_RootConstrainSelectedInstOperands,
     /*  850096 */     // GIR_Coverage, 23877,
     /*  850096 */     GIR_EraseRootFromParent_Done,
     /*  850097 */   // Label 13048: @850097
     /*  850097 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(850172), // Rule ID 23880 //
     /*  850102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850170 */     GIR_RootConstrainSelectedInstOperands,
     /*  850171 */     // GIR_Coverage, 23880,
     /*  850171 */     GIR_EraseRootFromParent_Done,
     /*  850172 */   // Label 13049: @850172
     /*  850172 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(850247), // Rule ID 23881 //
     /*  850177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850245 */     GIR_RootConstrainSelectedInstOperands,
     /*  850246 */     // GIR_Coverage, 23881,
     /*  850246 */     GIR_EraseRootFromParent_Done,
     /*  850247 */   // Label 13050: @850247
     /*  850247 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(850322), // Rule ID 23884 //
     /*  850252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850320 */     GIR_RootConstrainSelectedInstOperands,
     /*  850321 */     // GIR_Coverage, 23884,
     /*  850321 */     GIR_EraseRootFromParent_Done,
     /*  850322 */   // Label 13051: @850322
     /*  850322 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(850397), // Rule ID 23885 //
     /*  850327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850395 */     GIR_RootConstrainSelectedInstOperands,
     /*  850396 */     // GIR_Coverage, 23885,
     /*  850396 */     GIR_EraseRootFromParent_Done,
     /*  850397 */   // Label 13052: @850397
     /*  850397 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(850472), // Rule ID 23888 //
     /*  850402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  850405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850470 */     GIR_RootConstrainSelectedInstOperands,
     /*  850471 */     // GIR_Coverage, 23888,
     /*  850471 */     GIR_EraseRootFromParent_Done,
     /*  850472 */   // Label 13053: @850472
     /*  850472 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850547), // Rule ID 23889 //
     /*  850477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  850480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850545 */     GIR_RootConstrainSelectedInstOperands,
     /*  850546 */     // GIR_Coverage, 23889,
     /*  850546 */     GIR_EraseRootFromParent_Done,
     /*  850547 */   // Label 13054: @850547
     /*  850547 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850622), // Rule ID 23892 //
     /*  850552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  850569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  850601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850620 */     GIR_RootConstrainSelectedInstOperands,
     /*  850621 */     // GIR_Coverage, 23892,
     /*  850621 */     GIR_EraseRootFromParent_Done,
     /*  850622 */   // Label 13055: @850622
     /*  850622 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850697), // Rule ID 23893 //
     /*  850627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  850644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850673 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  850676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850695 */     GIR_RootConstrainSelectedInstOperands,
     /*  850696 */     // GIR_Coverage, 23893,
     /*  850696 */     GIR_EraseRootFromParent_Done,
     /*  850697 */   // Label 13056: @850697
     /*  850697 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(850772), // Rule ID 23896 //
     /*  850702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  850719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  850751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850770 */     GIR_RootConstrainSelectedInstOperands,
     /*  850771 */     // GIR_Coverage, 23896,
     /*  850771 */     GIR_EraseRootFromParent_Done,
     /*  850772 */   // Label 13057: @850772
     /*  850772 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(850847), // Rule ID 23897 //
     /*  850777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  850794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850823 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  850826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850845 */     GIR_RootConstrainSelectedInstOperands,
     /*  850846 */     // GIR_Coverage, 23897,
     /*  850846 */     GIR_EraseRootFromParent_Done,
     /*  850847 */   // Label 13058: @850847
     /*  850847 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(850922), // Rule ID 23900 //
     /*  850852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  850863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850898 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  850901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850920 */     GIR_RootConstrainSelectedInstOperands,
     /*  850921 */     // GIR_Coverage, 23900,
     /*  850921 */     GIR_EraseRootFromParent_Done,
     /*  850922 */   // Label 13059: @850922
     /*  850922 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(850997), // Rule ID 23901 //
     /*  850927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  850938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  850941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  850944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850973 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  850976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850995 */     GIR_RootConstrainSelectedInstOperands,
     /*  850996 */     // GIR_Coverage, 23901,
     /*  850996 */     GIR_EraseRootFromParent_Done,
     /*  850997 */   // Label 13060: @850997
     /*  850997 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(851072), // Rule ID 23904 //
     /*  851002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851070 */     GIR_RootConstrainSelectedInstOperands,
     /*  851071 */     // GIR_Coverage, 23904,
     /*  851071 */     GIR_EraseRootFromParent_Done,
     /*  851072 */   // Label 13061: @851072
     /*  851072 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(851147), // Rule ID 23905 //
     /*  851077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851145 */     GIR_RootConstrainSelectedInstOperands,
     /*  851146 */     // GIR_Coverage, 23905,
     /*  851146 */     GIR_EraseRootFromParent_Done,
     /*  851147 */   // Label 13062: @851147
     /*  851147 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(851222), // Rule ID 23908 //
     /*  851152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851220 */     GIR_RootConstrainSelectedInstOperands,
     /*  851221 */     // GIR_Coverage, 23908,
     /*  851221 */     GIR_EraseRootFromParent_Done,
     /*  851222 */   // Label 13063: @851222
     /*  851222 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(851297), // Rule ID 23909 //
     /*  851227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851273 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851295 */     GIR_RootConstrainSelectedInstOperands,
     /*  851296 */     // GIR_Coverage, 23909,
     /*  851296 */     GIR_EraseRootFromParent_Done,
     /*  851297 */   // Label 13064: @851297
     /*  851297 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(851372), // Rule ID 23912 //
     /*  851302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851370 */     GIR_RootConstrainSelectedInstOperands,
     /*  851371 */     // GIR_Coverage, 23912,
     /*  851371 */     GIR_EraseRootFromParent_Done,
     /*  851372 */   // Label 13065: @851372
     /*  851372 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(851447), // Rule ID 23913 //
     /*  851377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851423 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851445 */     GIR_RootConstrainSelectedInstOperands,
     /*  851446 */     // GIR_Coverage, 23913,
     /*  851446 */     GIR_EraseRootFromParent_Done,
     /*  851447 */   // Label 13066: @851447
     /*  851447 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851522), // Rule ID 23916 //
     /*  851452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851520 */     GIR_RootConstrainSelectedInstOperands,
     /*  851521 */     // GIR_Coverage, 23916,
     /*  851521 */     GIR_EraseRootFromParent_Done,
     /*  851522 */   // Label 13067: @851522
     /*  851522 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851597), // Rule ID 23917 //
     /*  851527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851595 */     GIR_RootConstrainSelectedInstOperands,
     /*  851596 */     // GIR_Coverage, 23917,
     /*  851596 */     GIR_EraseRootFromParent_Done,
     /*  851597 */   // Label 13068: @851597
     /*  851597 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851672), // Rule ID 23920 //
     /*  851602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851670 */     GIR_RootConstrainSelectedInstOperands,
     /*  851671 */     // GIR_Coverage, 23920,
     /*  851671 */     GIR_EraseRootFromParent_Done,
     /*  851672 */   // Label 13069: @851672
     /*  851672 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(851747), // Rule ID 23921 //
     /*  851677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851723 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851745 */     GIR_RootConstrainSelectedInstOperands,
     /*  851746 */     // GIR_Coverage, 23921,
     /*  851746 */     GIR_EraseRootFromParent_Done,
     /*  851747 */   // Label 13070: @851747
     /*  851747 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(851822), // Rule ID 23924 //
     /*  851752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  851763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  851766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851820 */     GIR_RootConstrainSelectedInstOperands,
     /*  851821 */     // GIR_Coverage, 23924,
     /*  851821 */     GIR_EraseRootFromParent_Done,
     /*  851822 */   // Label 13071: @851822
     /*  851822 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(851897), // Rule ID 23925 //
     /*  851827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  851838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  851841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851873 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851895 */     GIR_RootConstrainSelectedInstOperands,
     /*  851896 */     // GIR_Coverage, 23925,
     /*  851896 */     GIR_EraseRootFromParent_Done,
     /*  851897 */   // Label 13072: @851897
     /*  851897 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(851972), // Rule ID 23928 //
     /*  851902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851948 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851970 */     GIR_RootConstrainSelectedInstOperands,
     /*  851971 */     // GIR_Coverage, 23928,
     /*  851971 */     GIR_EraseRootFromParent_Done,
     /*  851972 */   // Label 13073: @851972
     /*  851972 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(852047), // Rule ID 23929 //
     /*  851977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852023 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11482:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  852026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852045 */     GIR_RootConstrainSelectedInstOperands,
     /*  852046 */     // GIR_Coverage, 23929,
     /*  852046 */     GIR_EraseRootFromParent_Done,
     /*  852047 */   // Label 13074: @852047
     /*  852047 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(852122), // Rule ID 23932 //
     /*  852052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852120 */     GIR_RootConstrainSelectedInstOperands,
     /*  852121 */     // GIR_Coverage, 23932,
     /*  852121 */     GIR_EraseRootFromParent_Done,
     /*  852122 */   // Label 13075: @852122
     /*  852122 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(852197), // Rule ID 23933 //
     /*  852127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852173 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11482:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852195 */     GIR_RootConstrainSelectedInstOperands,
     /*  852196 */     // GIR_Coverage, 23933,
     /*  852196 */     GIR_EraseRootFromParent_Done,
     /*  852197 */   // Label 13076: @852197
     /*  852197 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(852272), // Rule ID 23936 //
     /*  852202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852248 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852270 */     GIR_RootConstrainSelectedInstOperands,
     /*  852271 */     // GIR_Coverage, 23936,
     /*  852271 */     GIR_EraseRootFromParent_Done,
     /*  852272 */   // Label 13077: @852272
     /*  852272 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(852347), // Rule ID 23937 //
     /*  852277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852323 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11482:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852345 */     GIR_RootConstrainSelectedInstOperands,
     /*  852346 */     // GIR_Coverage, 23937,
     /*  852346 */     GIR_EraseRootFromParent_Done,
     /*  852347 */   // Label 13078: @852347
     /*  852347 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(852422), // Rule ID 23940 //
     /*  852352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  852363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  852366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  852369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  852398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  852401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852420 */     GIR_RootConstrainSelectedInstOperands,
     /*  852421 */     // GIR_Coverage, 23940,
     /*  852421 */     GIR_EraseRootFromParent_Done,
     /*  852422 */   // Label 13079: @852422
     /*  852422 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852497), // Rule ID 23941 //
     /*  852427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  852438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  852441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  852444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852473 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  852473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  852476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852495 */     GIR_RootConstrainSelectedInstOperands,
     /*  852496 */     // GIR_Coverage, 23941,
     /*  852496 */     GIR_EraseRootFromParent_Done,
     /*  852497 */   // Label 13080: @852497
     /*  852497 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852572), // Rule ID 23944 //
     /*  852502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  852513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  852516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  852519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852548 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  852548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  852551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852570 */     GIR_RootConstrainSelectedInstOperands,
     /*  852571 */     // GIR_Coverage, 23944,
     /*  852571 */     GIR_EraseRootFromParent_Done,
     /*  852572 */   // Label 13081: @852572
     /*  852572 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852647), // Rule ID 23945 //
     /*  852577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  852588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  852591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  852594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852623 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  852623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  852626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852645 */     GIR_RootConstrainSelectedInstOperands,
     /*  852646 */     // GIR_Coverage, 23945,
     /*  852646 */     GIR_EraseRootFromParent_Done,
     /*  852647 */   // Label 13082: @852647
     /*  852647 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852722), // Rule ID 23948 //
     /*  852652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  852663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  852666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  852669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  852698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  852701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852720 */     GIR_RootConstrainSelectedInstOperands,
     /*  852721 */     // GIR_Coverage, 23948,
     /*  852721 */     GIR_EraseRootFromParent_Done,
     /*  852722 */   // Label 13083: @852722
     /*  852722 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(852797), // Rule ID 23949 //
     /*  852727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  852738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  852741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  852744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852773 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  852773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  852776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  852792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852795 */     GIR_RootConstrainSelectedInstOperands,
     /*  852796 */     // GIR_Coverage, 23949,
     /*  852796 */     GIR_EraseRootFromParent_Done,
     /*  852797 */   // Label 13084: @852797
     /*  852797 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(852872), // Rule ID 23952 //
     /*  852802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  852813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  852816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  852819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  852851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852870 */     GIR_RootConstrainSelectedInstOperands,
     /*  852871 */     // GIR_Coverage, 23952,
     /*  852871 */     GIR_EraseRootFromParent_Done,
     /*  852872 */   // Label 13085: @852872
     /*  852872 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(852947), // Rule ID 23953 //
     /*  852877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  852888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  852891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  852894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  852926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852945 */     GIR_RootConstrainSelectedInstOperands,
     /*  852946 */     // GIR_Coverage, 23953,
     /*  852946 */     GIR_EraseRootFromParent_Done,
     /*  852947 */   // Label 13086: @852947
     /*  852947 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(853022), // Rule ID 23956 //
     /*  852952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  852960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  852963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  852966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  852969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852998 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853020 */     GIR_RootConstrainSelectedInstOperands,
     /*  853021 */     // GIR_Coverage, 23956,
     /*  853021 */     GIR_EraseRootFromParent_Done,
     /*  853022 */   // Label 13087: @853022
     /*  853022 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(853097), // Rule ID 23957 //
     /*  853027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853073 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853095 */     GIR_RootConstrainSelectedInstOperands,
     /*  853096 */     // GIR_Coverage, 23957,
     /*  853096 */     GIR_EraseRootFromParent_Done,
     /*  853097 */   // Label 13088: @853097
     /*  853097 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(853172), // Rule ID 23960 //
     /*  853102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853170 */     GIR_RootConstrainSelectedInstOperands,
     /*  853171 */     // GIR_Coverage, 23960,
     /*  853171 */     GIR_EraseRootFromParent_Done,
     /*  853172 */   // Label 13089: @853172
     /*  853172 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(853247), // Rule ID 23961 //
     /*  853177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853223 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853245 */     GIR_RootConstrainSelectedInstOperands,
     /*  853246 */     // GIR_Coverage, 23961,
     /*  853246 */     GIR_EraseRootFromParent_Done,
     /*  853247 */   // Label 13090: @853247
     /*  853247 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(853322), // Rule ID 23964 //
     /*  853252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  853263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  853266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  853269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853320 */     GIR_RootConstrainSelectedInstOperands,
     /*  853321 */     // GIR_Coverage, 23964,
     /*  853321 */     GIR_EraseRootFromParent_Done,
     /*  853322 */   // Label 13091: @853322
     /*  853322 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853397), // Rule ID 23965 //
     /*  853327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  853338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  853341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  853344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853395 */     GIR_RootConstrainSelectedInstOperands,
     /*  853396 */     // GIR_Coverage, 23965,
     /*  853396 */     GIR_EraseRootFromParent_Done,
     /*  853397 */   // Label 13092: @853397
     /*  853397 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853472), // Rule ID 23968 //
     /*  853402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853470 */     GIR_RootConstrainSelectedInstOperands,
     /*  853471 */     // GIR_Coverage, 23968,
     /*  853471 */     GIR_EraseRootFromParent_Done,
     /*  853472 */   // Label 13093: @853472
     /*  853472 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853547), // Rule ID 23969 //
     /*  853477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  853488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  853491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  853494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853545 */     GIR_RootConstrainSelectedInstOperands,
     /*  853546 */     // GIR_Coverage, 23969,
     /*  853546 */     GIR_EraseRootFromParent_Done,
     /*  853547 */   // Label 13094: @853547
     /*  853547 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853622), // Rule ID 23972 //
     /*  853552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853598 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853620 */     GIR_RootConstrainSelectedInstOperands,
     /*  853621 */     // GIR_Coverage, 23972,
     /*  853621 */     GIR_EraseRootFromParent_Done,
     /*  853622 */   // Label 13095: @853622
     /*  853622 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853697), // Rule ID 23973 //
     /*  853627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853695 */     GIR_RootConstrainSelectedInstOperands,
     /*  853696 */     // GIR_Coverage, 23973,
     /*  853696 */     GIR_EraseRootFromParent_Done,
     /*  853697 */   // Label 13096: @853697
     /*  853697 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(853772), // Rule ID 23976 //
     /*  853702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  853705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  853716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853770 */     GIR_RootConstrainSelectedInstOperands,
     /*  853771 */     // GIR_Coverage, 23976,
     /*  853771 */     GIR_EraseRootFromParent_Done,
     /*  853772 */   // Label 13097: @853772
     /*  853772 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(853847), // Rule ID 23977 //
     /*  853777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  853780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  853791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853845 */     GIR_RootConstrainSelectedInstOperands,
     /*  853846 */     // GIR_Coverage, 23977,
     /*  853846 */     GIR_EraseRootFromParent_Done,
     /*  853847 */   // Label 13098: @853847
     /*  853847 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(853922), // Rule ID 23980 //
     /*  853852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  853863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  853866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  853869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  853901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853920 */     GIR_RootConstrainSelectedInstOperands,
     /*  853921 */     // GIR_Coverage, 23980,
     /*  853921 */     GIR_EraseRootFromParent_Done,
     /*  853922 */   // Label 13099: @853922
     /*  853922 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(853997), // Rule ID 23981 //
     /*  853927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  853938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  853941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  853944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853973 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  853976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853995 */     GIR_RootConstrainSelectedInstOperands,
     /*  853996 */     // GIR_Coverage, 23981,
     /*  853996 */     GIR_EraseRootFromParent_Done,
     /*  853997 */   // Label 13100: @853997
     /*  853997 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(854072), // Rule ID 23984 //
     /*  854002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854048 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854070 */     GIR_RootConstrainSelectedInstOperands,
     /*  854071 */     // GIR_Coverage, 23984,
     /*  854071 */     GIR_EraseRootFromParent_Done,
     /*  854072 */   // Label 13101: @854072
     /*  854072 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(854147), // Rule ID 23985 //
     /*  854077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854123 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854145 */     GIR_RootConstrainSelectedInstOperands,
     /*  854146 */     // GIR_Coverage, 23985,
     /*  854146 */     GIR_EraseRootFromParent_Done,
     /*  854147 */   // Label 13102: @854147
     /*  854147 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(854222), // Rule ID 23988 //
     /*  854152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854198 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854220 */     GIR_RootConstrainSelectedInstOperands,
     /*  854221 */     // GIR_Coverage, 23988,
     /*  854221 */     GIR_EraseRootFromParent_Done,
     /*  854222 */   // Label 13103: @854222
     /*  854222 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(854297), // Rule ID 23989 //
     /*  854227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854273 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854295 */     GIR_RootConstrainSelectedInstOperands,
     /*  854296 */     // GIR_Coverage, 23989,
     /*  854296 */     GIR_EraseRootFromParent_Done,
     /*  854297 */   // Label 13104: @854297
     /*  854297 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854372), // Rule ID 23992 //
     /*  854302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854370 */     GIR_RootConstrainSelectedInstOperands,
     /*  854371 */     // GIR_Coverage, 23992,
     /*  854371 */     GIR_EraseRootFromParent_Done,
     /*  854372 */   // Label 13105: @854372
     /*  854372 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854447), // Rule ID 23993 //
     /*  854377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854445 */     GIR_RootConstrainSelectedInstOperands,
     /*  854446 */     // GIR_Coverage, 23993,
     /*  854446 */     GIR_EraseRootFromParent_Done,
     /*  854447 */   // Label 13106: @854447
     /*  854447 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854522), // Rule ID 23996 //
     /*  854452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854520 */     GIR_RootConstrainSelectedInstOperands,
     /*  854521 */     // GIR_Coverage, 23996,
     /*  854521 */     GIR_EraseRootFromParent_Done,
     /*  854522 */   // Label 13107: @854522
     /*  854522 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854597), // Rule ID 23997 //
     /*  854527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  854541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854573 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854595 */     GIR_RootConstrainSelectedInstOperands,
     /*  854596 */     // GIR_Coverage, 23997,
     /*  854596 */     GIR_EraseRootFromParent_Done,
     /*  854597 */   // Label 13108: @854597
     /*  854597 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854672), // Rule ID 24000 //
     /*  854602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854648 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854670 */     GIR_RootConstrainSelectedInstOperands,
     /*  854671 */     // GIR_Coverage, 24000,
     /*  854671 */     GIR_EraseRootFromParent_Done,
     /*  854672 */   // Label 13109: @854672
     /*  854672 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(854747), // Rule ID 24001 //
     /*  854677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  854688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  854691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  854694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854745 */     GIR_RootConstrainSelectedInstOperands,
     /*  854746 */     // GIR_Coverage, 24001,
     /*  854746 */     GIR_EraseRootFromParent_Done,
     /*  854747 */   // Label 13110: @854747
     /*  854747 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(854822), // Rule ID 24004 //
     /*  854752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854820 */     GIR_RootConstrainSelectedInstOperands,
     /*  854821 */     // GIR_Coverage, 24004,
     /*  854821 */     GIR_EraseRootFromParent_Done,
     /*  854822 */   // Label 13111: @854822
     /*  854822 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(854897), // Rule ID 24005 //
     /*  854827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854895 */     GIR_RootConstrainSelectedInstOperands,
     /*  854896 */     // GIR_Coverage, 24005,
     /*  854896 */     GIR_EraseRootFromParent_Done,
     /*  854897 */   // Label 13112: @854897
     /*  854897 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(854972), // Rule ID 24008 //
     /*  854902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854970 */     GIR_RootConstrainSelectedInstOperands,
     /*  854971 */     // GIR_Coverage, 24008,
     /*  854971 */     GIR_EraseRootFromParent_Done,
     /*  854972 */   // Label 13113: @854972
     /*  854972 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(855047), // Rule ID 24009 //
     /*  854977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855023 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855045 */     GIR_RootConstrainSelectedInstOperands,
     /*  855046 */     // GIR_Coverage, 24009,
     /*  855046 */     GIR_EraseRootFromParent_Done,
     /*  855047 */   // Label 13114: @855047
     /*  855047 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(855122), // Rule ID 24012 //
     /*  855052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855120 */     GIR_RootConstrainSelectedInstOperands,
     /*  855121 */     // GIR_Coverage, 24012,
     /*  855121 */     GIR_EraseRootFromParent_Done,
     /*  855122 */   // Label 13115: @855122
     /*  855122 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(855197), // Rule ID 24013 //
     /*  855127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855195 */     GIR_RootConstrainSelectedInstOperands,
     /*  855196 */     // GIR_Coverage, 24013,
     /*  855196 */     GIR_EraseRootFromParent_Done,
     /*  855197 */   // Label 13116: @855197
     /*  855197 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(855272), // Rule ID 24016 //
     /*  855202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855248 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855270 */     GIR_RootConstrainSelectedInstOperands,
     /*  855271 */     // GIR_Coverage, 24016,
     /*  855271 */     GIR_EraseRootFromParent_Done,
     /*  855272 */   // Label 13117: @855272
     /*  855272 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(855347), // Rule ID 24017 //
     /*  855277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855345 */     GIR_RootConstrainSelectedInstOperands,
     /*  855346 */     // GIR_Coverage, 24017,
     /*  855346 */     GIR_EraseRootFromParent_Done,
     /*  855347 */   // Label 13118: @855347
     /*  855347 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855422), // Rule ID 24020 //
     /*  855352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855420 */     GIR_RootConstrainSelectedInstOperands,
     /*  855421 */     // GIR_Coverage, 24020,
     /*  855421 */     GIR_EraseRootFromParent_Done,
     /*  855422 */   // Label 13119: @855422
     /*  855422 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855497), // Rule ID 24021 //
     /*  855427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855495 */     GIR_RootConstrainSelectedInstOperands,
     /*  855496 */     // GIR_Coverage, 24021,
     /*  855496 */     GIR_EraseRootFromParent_Done,
     /*  855497 */   // Label 13120: @855497
     /*  855497 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855572), // Rule ID 24024 //
     /*  855502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855570 */     GIR_RootConstrainSelectedInstOperands,
     /*  855571 */     // GIR_Coverage, 24024,
     /*  855571 */     GIR_EraseRootFromParent_Done,
     /*  855572 */   // Label 13121: @855572
     /*  855572 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855647), // Rule ID 24025 //
     /*  855577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855623 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855645 */     GIR_RootConstrainSelectedInstOperands,
     /*  855646 */     // GIR_Coverage, 24025,
     /*  855646 */     GIR_EraseRootFromParent_Done,
     /*  855647 */   // Label 13122: @855647
     /*  855647 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855722), // Rule ID 24268 //
     /*  855652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  855655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  855660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  855663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  855666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  855669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855698 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  855701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855720 */     GIR_RootConstrainSelectedInstOperands,
     /*  855721 */     // GIR_Coverage, 24268,
     /*  855721 */     GIR_EraseRootFromParent_Done,
     /*  855722 */   // Label 13123: @855722
     /*  855722 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(855797), // Rule ID 24269 //
     /*  855727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  855735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  855738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  855741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  855744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855773 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  855776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855795 */     GIR_RootConstrainSelectedInstOperands,
     /*  855796 */     // GIR_Coverage, 24269,
     /*  855796 */     GIR_EraseRootFromParent_Done,
     /*  855797 */   // Label 13124: @855797
     /*  855797 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(855872), // Rule ID 24272 //
     /*  855802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  855805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  855810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  855813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  855816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  855819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  855851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855870 */     GIR_RootConstrainSelectedInstOperands,
     /*  855871 */     // GIR_Coverage, 24272,
     /*  855871 */     GIR_EraseRootFromParent_Done,
     /*  855872 */   // Label 13125: @855872
     /*  855872 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(855947), // Rule ID 24273 //
     /*  855877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  855880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  855885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  855888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  855891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  855894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  855897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855923 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  855926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855945 */     GIR_RootConstrainSelectedInstOperands,
     /*  855946 */     // GIR_Coverage, 24273,
     /*  855946 */     GIR_EraseRootFromParent_Done,
     /*  855947 */   // Label 13126: @855947
     /*  855947 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(856022), // Rule ID 24276 //
     /*  855952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  855955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  855960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  855963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  855966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  855969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  855991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  856001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856020 */     GIR_RootConstrainSelectedInstOperands,
     /*  856021 */     // GIR_Coverage, 24276,
     /*  856021 */     GIR_EraseRootFromParent_Done,
     /*  856022 */   // Label 13127: @856022
     /*  856022 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(856097), // Rule ID 24277 //
     /*  856027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  856030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856073 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  856076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856095 */     GIR_RootConstrainSelectedInstOperands,
     /*  856096 */     // GIR_Coverage, 24277,
     /*  856096 */     GIR_EraseRootFromParent_Done,
     /*  856097 */   // Label 13128: @856097
     /*  856097 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856172), // Rule ID 24280 //
     /*  856102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  856151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856170 */     GIR_RootConstrainSelectedInstOperands,
     /*  856171 */     // GIR_Coverage, 24280,
     /*  856171 */     GIR_EraseRootFromParent_Done,
     /*  856172 */   // Label 13129: @856172
     /*  856172 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856247), // Rule ID 24281 //
     /*  856177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856223 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  856226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856245 */     GIR_RootConstrainSelectedInstOperands,
     /*  856246 */     // GIR_Coverage, 24281,
     /*  856246 */     GIR_EraseRootFromParent_Done,
     /*  856247 */   // Label 13130: @856247
     /*  856247 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(856322), // Rule ID 24284 //
     /*  856252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  856255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856298 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  856301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856320 */     GIR_RootConstrainSelectedInstOperands,
     /*  856321 */     // GIR_Coverage, 24284,
     /*  856321 */     GIR_EraseRootFromParent_Done,
     /*  856322 */   // Label 13131: @856322
     /*  856322 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856397), // Rule ID 24285 //
     /*  856327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  856330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856373 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  856376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856395 */     GIR_RootConstrainSelectedInstOperands,
     /*  856396 */     // GIR_Coverage, 24285,
     /*  856396 */     GIR_EraseRootFromParent_Done,
     /*  856397 */   // Label 13132: @856397
     /*  856397 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856472), // Rule ID 24288 //
     /*  856402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  856405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  856413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  856416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  856419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  856451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856470 */     GIR_RootConstrainSelectedInstOperands,
     /*  856471 */     // GIR_Coverage, 24288,
     /*  856471 */     GIR_EraseRootFromParent_Done,
     /*  856472 */   // Label 13133: @856472
     /*  856472 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856547), // Rule ID 24289 //
     /*  856477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  856480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  856488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  856491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  856494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  856516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  856526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856545 */     GIR_RootConstrainSelectedInstOperands,
     /*  856546 */     // GIR_Coverage, 24289,
     /*  856546 */     GIR_EraseRootFromParent_Done,
     /*  856547 */   // Label 13134: @856547
     /*  856547 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856622), // Rule ID 24292 //
     /*  856552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  856563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  856566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  856569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  856601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856620 */     GIR_RootConstrainSelectedInstOperands,
     /*  856621 */     // GIR_Coverage, 24292,
     /*  856621 */     GIR_EraseRootFromParent_Done,
     /*  856622 */   // Label 13135: @856622
     /*  856622 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856697), // Rule ID 24293 //
     /*  856627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  856638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  856641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  856644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856673 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  856676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856695 */     GIR_RootConstrainSelectedInstOperands,
     /*  856696 */     // GIR_Coverage, 24293,
     /*  856696 */     GIR_EraseRootFromParent_Done,
     /*  856697 */   // Label 13136: @856697
     /*  856697 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(856772), // Rule ID 24296 //
     /*  856702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  856713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  856716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  856719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  856751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856770 */     GIR_RootConstrainSelectedInstOperands,
     /*  856771 */     // GIR_Coverage, 24296,
     /*  856771 */     GIR_EraseRootFromParent_Done,
     /*  856772 */   // Label 13137: @856772
     /*  856772 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(856847), // Rule ID 24297 //
     /*  856777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  856788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  856791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  856794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856823 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  856826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856845 */     GIR_RootConstrainSelectedInstOperands,
     /*  856846 */     // GIR_Coverage, 24297,
     /*  856846 */     GIR_EraseRootFromParent_Done,
     /*  856847 */   // Label 13138: @856847
     /*  856847 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(856922), // Rule ID 24300 //
     /*  856852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  856863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  856866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  856869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856898 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  856901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856920 */     GIR_RootConstrainSelectedInstOperands,
     /*  856921 */     // GIR_Coverage, 24300,
     /*  856921 */     GIR_EraseRootFromParent_Done,
     /*  856922 */   // Label 13139: @856922
     /*  856922 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(856997), // Rule ID 24301 //
     /*  856927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  856938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  856941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  856944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856973 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  856976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856995 */     GIR_RootConstrainSelectedInstOperands,
     /*  856996 */     // GIR_Coverage, 24301,
     /*  856996 */     GIR_EraseRootFromParent_Done,
     /*  856997 */   // Label 13140: @856997
     /*  856997 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(857072), // Rule ID 24304 //
     /*  857002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  857013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  857016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  857019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  857051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857070 */     GIR_RootConstrainSelectedInstOperands,
     /*  857071 */     // GIR_Coverage, 24304,
     /*  857071 */     GIR_EraseRootFromParent_Done,
     /*  857072 */   // Label 13141: @857072
     /*  857072 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857147), // Rule ID 24305 //
     /*  857077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  857088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  857091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  857094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  857126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857145 */     GIR_RootConstrainSelectedInstOperands,
     /*  857146 */     // GIR_Coverage, 24305,
     /*  857146 */     GIR_EraseRootFromParent_Done,
     /*  857147 */   // Label 13142: @857147
     /*  857147 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857222), // Rule ID 24308 //
     /*  857152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  857163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  857166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  857169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857198 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  857201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857220 */     GIR_RootConstrainSelectedInstOperands,
     /*  857221 */     // GIR_Coverage, 24308,
     /*  857221 */     GIR_EraseRootFromParent_Done,
     /*  857222 */   // Label 13143: @857222
     /*  857222 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(857297), // Rule ID 24309 //
     /*  857227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  857238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  857241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  857244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857273 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  857276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857295 */     GIR_RootConstrainSelectedInstOperands,
     /*  857296 */     // GIR_Coverage, 24309,
     /*  857296 */     GIR_EraseRootFromParent_Done,
     /*  857297 */   // Label 13144: @857297
     /*  857297 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857372), // Rule ID 24312 //
     /*  857302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  857316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857348 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  857351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857370 */     GIR_RootConstrainSelectedInstOperands,
     /*  857371 */     // GIR_Coverage, 24312,
     /*  857371 */     GIR_EraseRootFromParent_Done,
     /*  857372 */   // Label 13145: @857372
     /*  857372 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857447), // Rule ID 24313 //
     /*  857377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  857391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  857426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857445 */     GIR_RootConstrainSelectedInstOperands,
     /*  857446 */     // GIR_Coverage, 24313,
     /*  857446 */     GIR_EraseRootFromParent_Done,
     /*  857447 */   // Label 13146: @857447
     /*  857447 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857522), // Rule ID 24316 //
     /*  857452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  857455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  857466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857498 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  857501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857520 */     GIR_RootConstrainSelectedInstOperands,
     /*  857521 */     // GIR_Coverage, 24316,
     /*  857521 */     GIR_EraseRootFromParent_Done,
     /*  857522 */   // Label 13147: @857522
     /*  857522 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857597), // Rule ID 24317 //
     /*  857527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  857530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  857541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857573 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  857576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857595 */     GIR_RootConstrainSelectedInstOperands,
     /*  857596 */     // GIR_Coverage, 24317,
     /*  857596 */     GIR_EraseRootFromParent_Done,
     /*  857597 */   // Label 13148: @857597
     /*  857597 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857672), // Rule ID 24320 //
     /*  857602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  857605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  857616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857648 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  857651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857670 */     GIR_RootConstrainSelectedInstOperands,
     /*  857671 */     // GIR_Coverage, 24320,
     /*  857671 */     GIR_EraseRootFromParent_Done,
     /*  857672 */   // Label 13149: @857672
     /*  857672 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(857747), // Rule ID 24321 //
     /*  857677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  857680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  857691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  857726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857745 */     GIR_RootConstrainSelectedInstOperands,
     /*  857746 */     // GIR_Coverage, 24321,
     /*  857746 */     GIR_EraseRootFromParent_Done,
     /*  857747 */   // Label 13150: @857747
     /*  857747 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(857822), // Rule ID 24324 //
     /*  857752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  857755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  857763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  857766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  857769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  857801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857820 */     GIR_RootConstrainSelectedInstOperands,
     /*  857821 */     // GIR_Coverage, 24324,
     /*  857821 */     GIR_EraseRootFromParent_Done,
     /*  857822 */   // Label 13151: @857822
     /*  857822 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(857897), // Rule ID 24325 //
     /*  857827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  857830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  857838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  857841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  857844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857873 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  857876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857895 */     GIR_RootConstrainSelectedInstOperands,
     /*  857896 */     // GIR_Coverage, 24325,
     /*  857896 */     GIR_EraseRootFromParent_Done,
     /*  857897 */   // Label 13152: @857897
     /*  857897 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(857972), // Rule ID 24328 //
     /*  857902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  857905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  857910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  857913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  857916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  857919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  857951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857970 */     GIR_RootConstrainSelectedInstOperands,
     /*  857971 */     // GIR_Coverage, 24328,
     /*  857971 */     GIR_EraseRootFromParent_Done,
     /*  857972 */   // Label 13153: @857972
     /*  857972 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(858047), // Rule ID 24329 //
     /*  857977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  857980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  857985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  857988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  857991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  857994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858023 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  858026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858045 */     GIR_RootConstrainSelectedInstOperands,
     /*  858046 */     // GIR_Coverage, 24329,
     /*  858046 */     GIR_EraseRootFromParent_Done,
     /*  858047 */   // Label 13154: @858047
     /*  858047 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858122), // Rule ID 24332 //
     /*  858052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858098 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  858101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858120 */     GIR_RootConstrainSelectedInstOperands,
     /*  858121 */     // GIR_Coverage, 24332,
     /*  858121 */     GIR_EraseRootFromParent_Done,
     /*  858122 */   // Label 13155: @858122
     /*  858122 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858197), // Rule ID 24333 //
     /*  858127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858173 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  858176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858195 */     GIR_RootConstrainSelectedInstOperands,
     /*  858196 */     // GIR_Coverage, 24333,
     /*  858196 */     GIR_EraseRootFromParent_Done,
     /*  858197 */   // Label 13156: @858197
     /*  858197 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(858272), // Rule ID 24336 //
     /*  858202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  858205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  858251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858270 */     GIR_RootConstrainSelectedInstOperands,
     /*  858271 */     // GIR_Coverage, 24336,
     /*  858271 */     GIR_EraseRootFromParent_Done,
     /*  858272 */   // Label 13157: @858272
     /*  858272 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(858347), // Rule ID 24337 //
     /*  858277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  858280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858323 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  858326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858345 */     GIR_RootConstrainSelectedInstOperands,
     /*  858346 */     // GIR_Coverage, 24337,
     /*  858346 */     GIR_EraseRootFromParent_Done,
     /*  858347 */   // Label 13158: @858347
     /*  858347 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858422), // Rule ID 24340 //
     /*  858352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  858366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858398 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  858401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858420 */     GIR_RootConstrainSelectedInstOperands,
     /*  858421 */     // GIR_Coverage, 24340,
     /*  858421 */     GIR_EraseRootFromParent_Done,
     /*  858422 */   // Label 13159: @858422
     /*  858422 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858497), // Rule ID 24341 //
     /*  858427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  858441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858473 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  858476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858495 */     GIR_RootConstrainSelectedInstOperands,
     /*  858496 */     // GIR_Coverage, 24341,
     /*  858496 */     GIR_EraseRootFromParent_Done,
     /*  858497 */   // Label 13160: @858497
     /*  858497 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858572), // Rule ID 24344 //
     /*  858502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  858505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  858516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  858551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858570 */     GIR_RootConstrainSelectedInstOperands,
     /*  858571 */     // GIR_Coverage, 24344,
     /*  858571 */     GIR_EraseRootFromParent_Done,
     /*  858572 */   // Label 13161: @858572
     /*  858572 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858647), // Rule ID 24345 //
     /*  858577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  858580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  858591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858623 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  858626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858645 */     GIR_RootConstrainSelectedInstOperands,
     /*  858646 */     // GIR_Coverage, 24345,
     /*  858646 */     GIR_EraseRootFromParent_Done,
     /*  858647 */   // Label 13162: @858647
     /*  858647 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858722), // Rule ID 24348 //
     /*  858652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  858655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  858663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  858666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  858669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858698 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  858701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858720 */     GIR_RootConstrainSelectedInstOperands,
     /*  858721 */     // GIR_Coverage, 24348,
     /*  858721 */     GIR_EraseRootFromParent_Done,
     /*  858722 */   // Label 13163: @858722
     /*  858722 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(858797), // Rule ID 24349 //
     /*  858727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  858730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  858738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  858741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  858744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858773 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  858776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858795 */     GIR_RootConstrainSelectedInstOperands,
     /*  858796 */     // GIR_Coverage, 24349,
     /*  858796 */     GIR_EraseRootFromParent_Done,
     /*  858797 */   // Label 13164: @858797
     /*  858797 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(858872), // Rule ID 24352 //
     /*  858802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858848 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  858851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858870 */     GIR_RootConstrainSelectedInstOperands,
     /*  858871 */     // GIR_Coverage, 24352,
     /*  858871 */     GIR_EraseRootFromParent_Done,
     /*  858872 */   // Label 13165: @858872
     /*  858872 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(858947), // Rule ID 24353 //
     /*  858877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858923 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  858926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858945 */     GIR_RootConstrainSelectedInstOperands,
     /*  858946 */     // GIR_Coverage, 24353,
     /*  858946 */     GIR_EraseRootFromParent_Done,
     /*  858947 */   // Label 13166: @858947
     /*  858947 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(859022), // Rule ID 24356 //
     /*  858952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858998 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  859001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859020 */     GIR_RootConstrainSelectedInstOperands,
     /*  859021 */     // GIR_Coverage, 24356,
     /*  859021 */     GIR_EraseRootFromParent_Done,
     /*  859022 */   // Label 13167: @859022
     /*  859022 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859097), // Rule ID 24357 //
     /*  859027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  859038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  859041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  859044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859073 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  859076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859095 */     GIR_RootConstrainSelectedInstOperands,
     /*  859096 */     // GIR_Coverage, 24357,
     /*  859096 */     GIR_EraseRootFromParent_Done,
     /*  859097 */   // Label 13168: @859097
     /*  859097 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859172), // Rule ID 24360 //
     /*  859102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  859113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859148 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  859151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859170 */     GIR_RootConstrainSelectedInstOperands,
     /*  859171 */     // GIR_Coverage, 24360,
     /*  859171 */     GIR_EraseRootFromParent_Done,
     /*  859172 */   // Label 13169: @859172
     /*  859172 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859247), // Rule ID 24361 //
     /*  859177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  859188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859223 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  859226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859245 */     GIR_RootConstrainSelectedInstOperands,
     /*  859246 */     // GIR_Coverage, 24361,
     /*  859246 */     GIR_EraseRootFromParent_Done,
     /*  859247 */   // Label 13170: @859247
     /*  859247 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(859322), // Rule ID 24364 //
     /*  859252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  859301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859320 */     GIR_RootConstrainSelectedInstOperands,
     /*  859321 */     // GIR_Coverage, 24364,
     /*  859321 */     GIR_EraseRootFromParent_Done,
     /*  859322 */   // Label 13171: @859322
     /*  859322 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859397), // Rule ID 24365 //
     /*  859327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859373 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  859376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859395 */     GIR_RootConstrainSelectedInstOperands,
     /*  859396 */     // GIR_Coverage, 24365,
     /*  859396 */     GIR_EraseRootFromParent_Done,
     /*  859397 */   // Label 13172: @859397
     /*  859397 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859472), // Rule ID 24368 //
     /*  859402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  859413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  859416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  859419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  859451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859470 */     GIR_RootConstrainSelectedInstOperands,
     /*  859471 */     // GIR_Coverage, 24368,
     /*  859471 */     GIR_EraseRootFromParent_Done,
     /*  859472 */   // Label 13173: @859472
     /*  859472 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859547), // Rule ID 24369 //
     /*  859477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  859488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  859491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  859494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859523 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  859526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859545 */     GIR_RootConstrainSelectedInstOperands,
     /*  859546 */     // GIR_Coverage, 24369,
     /*  859546 */     GIR_EraseRootFromParent_Done,
     /*  859547 */   // Label 13174: @859547
     /*  859547 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859622), // Rule ID 24372 //
     /*  859552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  859563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  859566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  859569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859598 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  859601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859620 */     GIR_RootConstrainSelectedInstOperands,
     /*  859621 */     // GIR_Coverage, 24372,
     /*  859621 */     GIR_EraseRootFromParent_Done,
     /*  859622 */   // Label 13175: @859622
     /*  859622 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859697), // Rule ID 24373 //
     /*  859627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  859638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  859641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  859644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859673 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  859676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859695 */     GIR_RootConstrainSelectedInstOperands,
     /*  859696 */     // GIR_Coverage, 24373,
     /*  859696 */     GIR_EraseRootFromParent_Done,
     /*  859697 */   // Label 13176: @859697
     /*  859697 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(859772), // Rule ID 24376 //
     /*  859702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  859705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  859713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  859716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  859719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  859751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859770 */     GIR_RootConstrainSelectedInstOperands,
     /*  859771 */     // GIR_Coverage, 24376,
     /*  859771 */     GIR_EraseRootFromParent_Done,
     /*  859772 */   // Label 13177: @859772
     /*  859772 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(859847), // Rule ID 24377 //
     /*  859777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  859780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  859788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  859791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  859794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859823 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  859826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859845 */     GIR_RootConstrainSelectedInstOperands,
     /*  859846 */     // GIR_Coverage, 24377,
     /*  859846 */     GIR_EraseRootFromParent_Done,
     /*  859847 */   // Label 13178: @859847
     /*  859847 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(859922), // Rule ID 24380 //
     /*  859852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  859855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  859901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859920 */     GIR_RootConstrainSelectedInstOperands,
     /*  859921 */     // GIR_Coverage, 24380,
     /*  859921 */     GIR_EraseRootFromParent_Done,
     /*  859922 */   // Label 13179: @859922
     /*  859922 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(859997), // Rule ID 24381 //
     /*  859927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  859930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859973 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  859976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859995 */     GIR_RootConstrainSelectedInstOperands,
     /*  859996 */     // GIR_Coverage, 24381,
     /*  859996 */     GIR_EraseRootFromParent_Done,
     /*  859997 */   // Label 13180: @859997
     /*  859997 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(860072), // Rule ID 24384 //
     /*  860002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860048 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  860051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860070 */     GIR_RootConstrainSelectedInstOperands,
     /*  860071 */     // GIR_Coverage, 24384,
     /*  860071 */     GIR_EraseRootFromParent_Done,
     /*  860072 */   // Label 13181: @860072
     /*  860072 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860147), // Rule ID 24385 //
     /*  860077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860123 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  860126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860145 */     GIR_RootConstrainSelectedInstOperands,
     /*  860146 */     // GIR_Coverage, 24385,
     /*  860146 */     GIR_EraseRootFromParent_Done,
     /*  860147 */   // Label 13182: @860147
     /*  860147 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860222), // Rule ID 24388 //
     /*  860152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  860172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860198 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  860201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860220 */     GIR_RootConstrainSelectedInstOperands,
     /*  860221 */     // GIR_Coverage, 24388,
     /*  860221 */     GIR_EraseRootFromParent_Done,
     /*  860222 */   // Label 13183: @860222
     /*  860222 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(860297), // Rule ID 24389 //
     /*  860227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  860247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860273 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  860276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860295 */     GIR_RootConstrainSelectedInstOperands,
     /*  860296 */     // GIR_Coverage, 24389,
     /*  860296 */     GIR_EraseRootFromParent_Done,
     /*  860297 */   // Label 13184: @860297
     /*  860297 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860372), // Rule ID 24392 //
     /*  860302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  860313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  860316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  860319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  860322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  860351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860370 */     GIR_RootConstrainSelectedInstOperands,
     /*  860371 */     // GIR_Coverage, 24392,
     /*  860371 */     GIR_EraseRootFromParent_Done,
     /*  860372 */   // Label 13185: @860372
     /*  860372 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860447), // Rule ID 24393 //
     /*  860377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  860388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  860391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  860394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  860397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860423 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  860426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860445 */     GIR_RootConstrainSelectedInstOperands,
     /*  860446 */     // GIR_Coverage, 24393,
     /*  860446 */     GIR_EraseRootFromParent_Done,
     /*  860447 */   // Label 13186: @860447
     /*  860447 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860522), // Rule ID 24396 //
     /*  860452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  860463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  860466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  860469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  860472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860498 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  860501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860520 */     GIR_RootConstrainSelectedInstOperands,
     /*  860521 */     // GIR_Coverage, 24396,
     /*  860521 */     GIR_EraseRootFromParent_Done,
     /*  860522 */   // Label 13187: @860522
     /*  860522 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860597), // Rule ID 24397 //
     /*  860527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  860538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  860541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  860544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  860547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860573 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  860576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860595 */     GIR_RootConstrainSelectedInstOperands,
     /*  860596 */     // GIR_Coverage, 24397,
     /*  860596 */     GIR_EraseRootFromParent_Done,
     /*  860597 */   // Label 13188: @860597
     /*  860597 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860672), // Rule ID 24400 //
     /*  860602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  860613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  860616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  860619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  860651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860670 */     GIR_RootConstrainSelectedInstOperands,
     /*  860671 */     // GIR_Coverage, 24400,
     /*  860671 */     GIR_EraseRootFromParent_Done,
     /*  860672 */   // Label 13189: @860672
     /*  860672 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(860747), // Rule ID 24401 //
     /*  860677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  860688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  860691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  860694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  860726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860745 */     GIR_RootConstrainSelectedInstOperands,
     /*  860746 */     // GIR_Coverage, 24401,
     /*  860746 */     GIR_EraseRootFromParent_Done,
     /*  860747 */   // Label 13190: @860747
     /*  860747 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(860822), // Rule ID 24404 //
     /*  860752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  860763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  860766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  860769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  860772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860798 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  860798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  860801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860820 */     GIR_RootConstrainSelectedInstOperands,
     /*  860821 */     // GIR_Coverage, 24404,
     /*  860821 */     GIR_EraseRootFromParent_Done,
     /*  860822 */   // Label 13191: @860822
     /*  860822 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(860897), // Rule ID 24405 //
     /*  860827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  860838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  860841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  860844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  860847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860873 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  860876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860895 */     GIR_RootConstrainSelectedInstOperands,
     /*  860896 */     // GIR_Coverage, 24405,
     /*  860896 */     GIR_EraseRootFromParent_Done,
     /*  860897 */   // Label 13192: @860897
     /*  860897 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(860972), // Rule ID 24408 //
     /*  860902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  860922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  860951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860970 */     GIR_RootConstrainSelectedInstOperands,
     /*  860971 */     // GIR_Coverage, 24408,
     /*  860971 */     GIR_EraseRootFromParent_Done,
     /*  860972 */   // Label 13193: @860972
     /*  860972 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(861047), // Rule ID 24409 //
     /*  860977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  860997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  861026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861045 */     GIR_RootConstrainSelectedInstOperands,
     /*  861046 */     // GIR_Coverage, 24409,
     /*  861046 */     GIR_EraseRootFromParent_Done,
     /*  861047 */   // Label 13194: @861047
     /*  861047 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861122), // Rule ID 24412 //
     /*  861052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  861072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  861101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861120 */     GIR_RootConstrainSelectedInstOperands,
     /*  861121 */     // GIR_Coverage, 24412,
     /*  861121 */     GIR_EraseRootFromParent_Done,
     /*  861122 */   // Label 13195: @861122
     /*  861122 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861197), // Rule ID 24413 //
     /*  861127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  861147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  861176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861195 */     GIR_RootConstrainSelectedInstOperands,
     /*  861196 */     // GIR_Coverage, 24413,
     /*  861196 */     GIR_EraseRootFromParent_Done,
     /*  861197 */   // Label 13196: @861197
     /*  861197 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(861272), // Rule ID 24416 //
     /*  861202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  861251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861270 */     GIR_RootConstrainSelectedInstOperands,
     /*  861271 */     // GIR_Coverage, 24416,
     /*  861271 */     GIR_EraseRootFromParent_Done,
     /*  861272 */   // Label 13197: @861272
     /*  861272 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(861347), // Rule ID 24417 //
     /*  861277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  861326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861345 */     GIR_RootConstrainSelectedInstOperands,
     /*  861346 */     // GIR_Coverage, 24417,
     /*  861346 */     GIR_EraseRootFromParent_Done,
     /*  861347 */   // Label 13198: @861347
     /*  861347 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861422), // Rule ID 24420 //
     /*  861352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  861366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  861372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  861401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861420 */     GIR_RootConstrainSelectedInstOperands,
     /*  861421 */     // GIR_Coverage, 24420,
     /*  861421 */     GIR_EraseRootFromParent_Done,
     /*  861422 */   // Label 13199: @861422
     /*  861422 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861497), // Rule ID 24421 //
     /*  861427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  861441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  861447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  861476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861495 */     GIR_RootConstrainSelectedInstOperands,
     /*  861496 */     // GIR_Coverage, 24421,
     /*  861496 */     GIR_EraseRootFromParent_Done,
     /*  861497 */   // Label 13200: @861497
     /*  861497 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861572), // Rule ID 24424 //
     /*  861502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  861505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  861522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  861551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861570 */     GIR_RootConstrainSelectedInstOperands,
     /*  861571 */     // GIR_Coverage, 24424,
     /*  861571 */     GIR_EraseRootFromParent_Done,
     /*  861572 */   // Label 13201: @861572
     /*  861572 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861647), // Rule ID 24425 //
     /*  861577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  861580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  861597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  861626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861645 */     GIR_RootConstrainSelectedInstOperands,
     /*  861646 */     // GIR_Coverage, 24425,
     /*  861646 */     GIR_EraseRootFromParent_Done,
     /*  861647 */   // Label 13202: @861647
     /*  861647 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861722), // Rule ID 24428 //
     /*  861652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  861663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  861666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  861669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  861672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861698 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  861701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861720 */     GIR_RootConstrainSelectedInstOperands,
     /*  861721 */     // GIR_Coverage, 24428,
     /*  861721 */     GIR_EraseRootFromParent_Done,
     /*  861722 */   // Label 13203: @861722
     /*  861722 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(861797), // Rule ID 24429 //
     /*  861727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  861738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  861741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  861744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  861747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861773 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  861776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861795 */     GIR_RootConstrainSelectedInstOperands,
     /*  861796 */     // GIR_Coverage, 24429,
     /*  861796 */     GIR_EraseRootFromParent_Done,
     /*  861797 */   // Label 13204: @861797
     /*  861797 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(861872), // Rule ID 24432 //
     /*  861802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  861813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  861816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  861819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  861822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861848 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  861851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861870 */     GIR_RootConstrainSelectedInstOperands,
     /*  861871 */     // GIR_Coverage, 24432,
     /*  861871 */     GIR_EraseRootFromParent_Done,
     /*  861872 */   // Label 13205: @861872
     /*  861872 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(861947), // Rule ID 24433 //
     /*  861877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  861888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  861891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  861894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  861897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861923 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  861926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861945 */     GIR_RootConstrainSelectedInstOperands,
     /*  861946 */     // GIR_Coverage, 24433,
     /*  861946 */     GIR_EraseRootFromParent_Done,
     /*  861947 */   // Label 13206: @861947
     /*  861947 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(862022), // Rule ID 24436 //
     /*  861952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  861963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  861966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  861969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  861972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861998 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  862001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862020 */     GIR_RootConstrainSelectedInstOperands,
     /*  862021 */     // GIR_Coverage, 24436,
     /*  862021 */     GIR_EraseRootFromParent_Done,
     /*  862022 */   // Label 13207: @862022
     /*  862022 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862097), // Rule ID 24437 //
     /*  862027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  862038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  862041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  862044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  862047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862073 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  862076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862095 */     GIR_RootConstrainSelectedInstOperands,
     /*  862096 */     // GIR_Coverage, 24437,
     /*  862096 */     GIR_EraseRootFromParent_Done,
     /*  862097 */   // Label 13208: @862097
     /*  862097 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862172), // Rule ID 24440 //
     /*  862102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862170 */     GIR_RootConstrainSelectedInstOperands,
     /*  862171 */     // GIR_Coverage, 24440,
     /*  862171 */     GIR_EraseRootFromParent_Done,
     /*  862172 */   // Label 13209: @862172
     /*  862172 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862247), // Rule ID 24441 //
     /*  862177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862223 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862245 */     GIR_RootConstrainSelectedInstOperands,
     /*  862246 */     // GIR_Coverage, 24441,
     /*  862246 */     GIR_EraseRootFromParent_Done,
     /*  862247 */   // Label 13210: @862247
     /*  862247 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(862322), // Rule ID 24444 //
     /*  862252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  862301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862320 */     GIR_RootConstrainSelectedInstOperands,
     /*  862321 */     // GIR_Coverage, 24444,
     /*  862321 */     GIR_EraseRootFromParent_Done,
     /*  862322 */   // Label 13211: @862322
     /*  862322 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862397), // Rule ID 24445 //
     /*  862327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862373 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  862376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862395 */     GIR_RootConstrainSelectedInstOperands,
     /*  862396 */     // GIR_Coverage, 24445,
     /*  862396 */     GIR_EraseRootFromParent_Done,
     /*  862397 */   // Label 13212: @862397
     /*  862397 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862472), // Rule ID 24448 //
     /*  862402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  862451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862470 */     GIR_RootConstrainSelectedInstOperands,
     /*  862471 */     // GIR_Coverage, 24448,
     /*  862471 */     GIR_EraseRootFromParent_Done,
     /*  862472 */   // Label 13213: @862472
     /*  862472 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862547), // Rule ID 24449 //
     /*  862477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  862526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862545 */     GIR_RootConstrainSelectedInstOperands,
     /*  862546 */     // GIR_Coverage, 24449,
     /*  862546 */     GIR_EraseRootFromParent_Done,
     /*  862547 */   // Label 13214: @862547
     /*  862547 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862622), // Rule ID 24452 //
     /*  862552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  862566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  862601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862620 */     GIR_RootConstrainSelectedInstOperands,
     /*  862621 */     // GIR_Coverage, 24452,
     /*  862621 */     GIR_EraseRootFromParent_Done,
     /*  862622 */   // Label 13215: @862622
     /*  862622 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862697), // Rule ID 24453 //
     /*  862627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  862641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  862676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862695 */     GIR_RootConstrainSelectedInstOperands,
     /*  862696 */     // GIR_Coverage, 24453,
     /*  862696 */     GIR_EraseRootFromParent_Done,
     /*  862697 */   // Label 13216: @862697
     /*  862697 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(862772), // Rule ID 24456 //
     /*  862702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  862716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  862751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862770 */     GIR_RootConstrainSelectedInstOperands,
     /*  862771 */     // GIR_Coverage, 24456,
     /*  862771 */     GIR_EraseRootFromParent_Done,
     /*  862772 */   // Label 13217: @862772
     /*  862772 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(862847), // Rule ID 24457 //
     /*  862777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  862791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862823 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  862826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862845 */     GIR_RootConstrainSelectedInstOperands,
     /*  862846 */     // GIR_Coverage, 24457,
     /*  862846 */     GIR_EraseRootFromParent_Done,
     /*  862847 */   // Label 13218: @862847
     /*  862847 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(862922), // Rule ID 24460 //
     /*  862852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  862872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  862901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862920 */     GIR_RootConstrainSelectedInstOperands,
     /*  862921 */     // GIR_Coverage, 24460,
     /*  862921 */     GIR_EraseRootFromParent_Done,
     /*  862922 */   // Label 13219: @862922
     /*  862922 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(862997), // Rule ID 24461 //
     /*  862927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  862941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  862947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  862976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862995 */     GIR_RootConstrainSelectedInstOperands,
     /*  862996 */     // GIR_Coverage, 24461,
     /*  862996 */     GIR_EraseRootFromParent_Done,
     /*  862997 */   // Label 13220: @862997
     /*  862997 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(863072), // Rule ID 24464 //
     /*  863002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  863051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863070 */     GIR_RootConstrainSelectedInstOperands,
     /*  863071 */     // GIR_Coverage, 24464,
     /*  863071 */     GIR_EraseRootFromParent_Done,
     /*  863072 */   // Label 13221: @863072
     /*  863072 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863147), // Rule ID 24465 //
     /*  863077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863123 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  863126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863145 */     GIR_RootConstrainSelectedInstOperands,
     /*  863146 */     // GIR_Coverage, 24465,
     /*  863146 */     GIR_EraseRootFromParent_Done,
     /*  863147 */   // Label 13222: @863147
     /*  863147 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863222), // Rule ID 24468 //
     /*  863152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  863201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863220 */     GIR_RootConstrainSelectedInstOperands,
     /*  863221 */     // GIR_Coverage, 24468,
     /*  863221 */     GIR_EraseRootFromParent_Done,
     /*  863222 */   // Label 13223: @863222
     /*  863222 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(863297), // Rule ID 24469 //
     /*  863227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  863276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863295 */     GIR_RootConstrainSelectedInstOperands,
     /*  863296 */     // GIR_Coverage, 24469,
     /*  863296 */     GIR_EraseRootFromParent_Done,
     /*  863297 */   // Label 13224: @863297
     /*  863297 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863372), // Rule ID 24472 //
     /*  863302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  863322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  863351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863370 */     GIR_RootConstrainSelectedInstOperands,
     /*  863371 */     // GIR_Coverage, 24472,
     /*  863371 */     GIR_EraseRootFromParent_Done,
     /*  863372 */   // Label 13225: @863372
     /*  863372 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(863447), // Rule ID 24473 //
     /*  863377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  863397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863423 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  863426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863445 */     GIR_RootConstrainSelectedInstOperands,
     /*  863446 */     // GIR_Coverage, 24473,
     /*  863446 */     GIR_EraseRootFromParent_Done,
     /*  863447 */   // Label 13226: @863447
     /*  863447 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863522), // Rule ID 24476 //
     /*  863452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  863463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  863466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  863469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  863501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863520 */     GIR_RootConstrainSelectedInstOperands,
     /*  863521 */     // GIR_Coverage, 24476,
     /*  863521 */     GIR_EraseRootFromParent_Done,
     /*  863522 */   // Label 13227: @863522
     /*  863522 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863597), // Rule ID 24477 //
     /*  863527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  863538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  863541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  863544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863573 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  863576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863595 */     GIR_RootConstrainSelectedInstOperands,
     /*  863596 */     // GIR_Coverage, 24477,
     /*  863596 */     GIR_EraseRootFromParent_Done,
     /*  863597 */   // Label 13228: @863597
     /*  863597 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863672), // Rule ID 24480 //
     /*  863602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  863613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  863616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  863619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  863651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863670 */     GIR_RootConstrainSelectedInstOperands,
     /*  863671 */     // GIR_Coverage, 24480,
     /*  863671 */     GIR_EraseRootFromParent_Done,
     /*  863672 */   // Label 13229: @863672
     /*  863672 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(863747), // Rule ID 24481 //
     /*  863677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  863688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  863691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  863694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863723 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  863726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863745 */     GIR_RootConstrainSelectedInstOperands,
     /*  863746 */     // GIR_Coverage, 24481,
     /*  863746 */     GIR_EraseRootFromParent_Done,
     /*  863747 */   // Label 13230: @863747
     /*  863747 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(863822), // Rule ID 24484 //
     /*  863752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  863763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  863766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  863769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863798 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  863798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  863801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863820 */     GIR_RootConstrainSelectedInstOperands,
     /*  863821 */     // GIR_Coverage, 24484,
     /*  863821 */     GIR_EraseRootFromParent_Done,
     /*  863822 */   // Label 13231: @863822
     /*  863822 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(863897), // Rule ID 24485 //
     /*  863827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  863838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  863841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  863844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  863873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  863876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  863892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863895 */     GIR_RootConstrainSelectedInstOperands,
     /*  863896 */     // GIR_Coverage, 24485,
     /*  863896 */     GIR_EraseRootFromParent_Done,
     /*  863897 */   // Label 13232: @863897
     /*  863897 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(863972), // Rule ID 24488 //
     /*  863902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  863951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863970 */     GIR_RootConstrainSelectedInstOperands,
     /*  863971 */     // GIR_Coverage, 24488,
     /*  863971 */     GIR_EraseRootFromParent_Done,
     /*  863972 */   // Label 13233: @863972
     /*  863972 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(864047), // Rule ID 24489 //
     /*  863977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864023 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  864026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864045 */     GIR_RootConstrainSelectedInstOperands,
     /*  864046 */     // GIR_Coverage, 24489,
     /*  864046 */     GIR_EraseRootFromParent_Done,
     /*  864047 */   // Label 13234: @864047
     /*  864047 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864122), // Rule ID 24492 //
     /*  864052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864098 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864120 */     GIR_RootConstrainSelectedInstOperands,
     /*  864121 */     // GIR_Coverage, 24492,
     /*  864121 */     GIR_EraseRootFromParent_Done,
     /*  864122 */   // Label 13235: @864122
     /*  864122 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864197), // Rule ID 24493 //
     /*  864127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864195 */     GIR_RootConstrainSelectedInstOperands,
     /*  864196 */     // GIR_Coverage, 24493,
     /*  864196 */     GIR_EraseRootFromParent_Done,
     /*  864197 */   // Label 13236: @864197
     /*  864197 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(864272), // Rule ID 24496 //
     /*  864202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864270 */     GIR_RootConstrainSelectedInstOperands,
     /*  864271 */     // GIR_Coverage, 24496,
     /*  864271 */     GIR_EraseRootFromParent_Done,
     /*  864272 */   // Label 13237: @864272
     /*  864272 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(864347), // Rule ID 24497 //
     /*  864277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864345 */     GIR_RootConstrainSelectedInstOperands,
     /*  864346 */     // GIR_Coverage, 24497,
     /*  864346 */     GIR_EraseRootFromParent_Done,
     /*  864347 */   // Label 13238: @864347
     /*  864347 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(864422), // Rule ID 24500 //
     /*  864352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  864363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  864366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  864369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864420 */     GIR_RootConstrainSelectedInstOperands,
     /*  864421 */     // GIR_Coverage, 24500,
     /*  864421 */     GIR_EraseRootFromParent_Done,
     /*  864422 */   // Label 13239: @864422
     /*  864422 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(864497), // Rule ID 24501 //
     /*  864427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  864438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  864441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  864444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864473 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864495 */     GIR_RootConstrainSelectedInstOperands,
     /*  864496 */     // GIR_Coverage, 24501,
     /*  864496 */     GIR_EraseRootFromParent_Done,
     /*  864497 */   // Label 13240: @864497
     /*  864497 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864572), // Rule ID 24504 //
     /*  864502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864570 */     GIR_RootConstrainSelectedInstOperands,
     /*  864571 */     // GIR_Coverage, 24504,
     /*  864571 */     GIR_EraseRootFromParent_Done,
     /*  864572 */   // Label 13241: @864572
     /*  864572 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864647), // Rule ID 24505 //
     /*  864577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864645 */     GIR_RootConstrainSelectedInstOperands,
     /*  864646 */     // GIR_Coverage, 24505,
     /*  864646 */     GIR_EraseRootFromParent_Done,
     /*  864647 */   // Label 13242: @864647
     /*  864647 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864722), // Rule ID 24508 //
     /*  864652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864720 */     GIR_RootConstrainSelectedInstOperands,
     /*  864721 */     // GIR_Coverage, 24508,
     /*  864721 */     GIR_EraseRootFromParent_Done,
     /*  864722 */   // Label 13243: @864722
     /*  864722 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(864797), // Rule ID 24509 //
     /*  864727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864795 */     GIR_RootConstrainSelectedInstOperands,
     /*  864796 */     // GIR_Coverage, 24509,
     /*  864796 */     GIR_EraseRootFromParent_Done,
     /*  864797 */   // Label 13244: @864797
     /*  864797 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(864872), // Rule ID 24512 //
     /*  864802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  864805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864870 */     GIR_RootConstrainSelectedInstOperands,
     /*  864871 */     // GIR_Coverage, 24512,
     /*  864871 */     GIR_EraseRootFromParent_Done,
     /*  864872 */   // Label 13245: @864872
     /*  864872 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(864947), // Rule ID 24513 //
     /*  864877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  864880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  864926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864945 */     GIR_RootConstrainSelectedInstOperands,
     /*  864946 */     // GIR_Coverage, 24513,
     /*  864946 */     GIR_EraseRootFromParent_Done,
     /*  864947 */   // Label 13246: @864947
     /*  864947 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(865022), // Rule ID 24516 //
     /*  864952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  864963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  864966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  864969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865020 */     GIR_RootConstrainSelectedInstOperands,
     /*  865021 */     // GIR_Coverage, 24516,
     /*  865021 */     GIR_EraseRootFromParent_Done,
     /*  865022 */   // Label 13247: @865022
     /*  865022 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865097), // Rule ID 24517 //
     /*  865027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  865038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  865041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  865044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865073 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865095 */     GIR_RootConstrainSelectedInstOperands,
     /*  865096 */     // GIR_Coverage, 24517,
     /*  865096 */     GIR_EraseRootFromParent_Done,
     /*  865097 */   // Label 13248: @865097
     /*  865097 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865172), // Rule ID 24520 //
     /*  865102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  865113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  865116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  865119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865148 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865170 */     GIR_RootConstrainSelectedInstOperands,
     /*  865171 */     // GIR_Coverage, 24520,
     /*  865171 */     GIR_EraseRootFromParent_Done,
     /*  865172 */   // Label 13249: @865172
     /*  865172 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(865247), // Rule ID 24521 //
     /*  865177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  865188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  865191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  865194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865223 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865245 */     GIR_RootConstrainSelectedInstOperands,
     /*  865246 */     // GIR_Coverage, 24521,
     /*  865246 */     GIR_EraseRootFromParent_Done,
     /*  865247 */   // Label 13250: @865247
     /*  865247 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(865322), // Rule ID 24524 //
     /*  865252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  865263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  865266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  865269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865298 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865320 */     GIR_RootConstrainSelectedInstOperands,
     /*  865321 */     // GIR_Coverage, 24524,
     /*  865321 */     GIR_EraseRootFromParent_Done,
     /*  865322 */   // Label 13251: @865322
     /*  865322 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(865397), // Rule ID 24525 //
     /*  865327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  865338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  865341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  865344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865373 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865395 */     GIR_RootConstrainSelectedInstOperands,
     /*  865396 */     // GIR_Coverage, 24525,
     /*  865396 */     GIR_EraseRootFromParent_Done,
     /*  865397 */   // Label 13252: @865397
     /*  865397 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(865472), // Rule ID 24528 //
     /*  865402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  865416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865470 */     GIR_RootConstrainSelectedInstOperands,
     /*  865471 */     // GIR_Coverage, 24528,
     /*  865471 */     GIR_EraseRootFromParent_Done,
     /*  865472 */   // Label 13253: @865472
     /*  865472 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865547), // Rule ID 24529 //
     /*  865477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  865491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865545 */     GIR_RootConstrainSelectedInstOperands,
     /*  865546 */     // GIR_Coverage, 24529,
     /*  865546 */     GIR_EraseRootFromParent_Done,
     /*  865547 */   // Label 13254: @865547
     /*  865547 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865622), // Rule ID 24532 //
     /*  865552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  865563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  865566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  865569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865598 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865620 */     GIR_RootConstrainSelectedInstOperands,
     /*  865621 */     // GIR_Coverage, 24532,
     /*  865621 */     GIR_EraseRootFromParent_Done,
     /*  865622 */   // Label 13255: @865622
     /*  865622 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865697), // Rule ID 24533 //
     /*  865627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  865638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  865641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  865644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865695 */     GIR_RootConstrainSelectedInstOperands,
     /*  865696 */     // GIR_Coverage, 24533,
     /*  865696 */     GIR_EraseRootFromParent_Done,
     /*  865697 */   // Label 13256: @865697
     /*  865697 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(865772), // Rule ID 24536 //
     /*  865702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865770 */     GIR_RootConstrainSelectedInstOperands,
     /*  865771 */     // GIR_Coverage, 24536,
     /*  865771 */     GIR_EraseRootFromParent_Done,
     /*  865772 */   // Label 13257: @865772
     /*  865772 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(865847), // Rule ID 24537 //
     /*  865777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865823 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865845 */     GIR_RootConstrainSelectedInstOperands,
     /*  865846 */     // GIR_Coverage, 24537,
     /*  865846 */     GIR_EraseRootFromParent_Done,
     /*  865847 */   // Label 13258: @865847
     /*  865847 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(865922), // Rule ID 24540 //
     /*  865852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865920 */     GIR_RootConstrainSelectedInstOperands,
     /*  865921 */     // GIR_Coverage, 24540,
     /*  865921 */     GIR_EraseRootFromParent_Done,
     /*  865922 */   // Label 13259: @865922
     /*  865922 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(865997), // Rule ID 24541 //
     /*  865927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865973 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865995 */     GIR_RootConstrainSelectedInstOperands,
     /*  865996 */     // GIR_Coverage, 24541,
     /*  865996 */     GIR_EraseRootFromParent_Done,
     /*  865997 */   // Label 13260: @865997
     /*  865997 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(866072), // Rule ID 24544 //
     /*  866002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866070 */     GIR_RootConstrainSelectedInstOperands,
     /*  866071 */     // GIR_Coverage, 24544,
     /*  866071 */     GIR_EraseRootFromParent_Done,
     /*  866072 */   // Label 13261: @866072
     /*  866072 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(866147), // Rule ID 24545 //
     /*  866077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866145 */     GIR_RootConstrainSelectedInstOperands,
     /*  866146 */     // GIR_Coverage, 24545,
     /*  866146 */     GIR_EraseRootFromParent_Done,
     /*  866147 */   // Label 13262: @866147
     /*  866147 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(866222), // Rule ID 24548 //
     /*  866152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866220 */     GIR_RootConstrainSelectedInstOperands,
     /*  866221 */     // GIR_Coverage, 24548,
     /*  866221 */     GIR_EraseRootFromParent_Done,
     /*  866222 */   // Label 13263: @866222
     /*  866222 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(866297), // Rule ID 24549 //
     /*  866227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866273 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866295 */     GIR_RootConstrainSelectedInstOperands,
     /*  866296 */     // GIR_Coverage, 24549,
     /*  866296 */     GIR_EraseRootFromParent_Done,
     /*  866297 */   // Label 13264: @866297
     /*  866297 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(866372), // Rule ID 24552 //
     /*  866302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866370 */     GIR_RootConstrainSelectedInstOperands,
     /*  866371 */     // GIR_Coverage, 24552,
     /*  866371 */     GIR_EraseRootFromParent_Done,
     /*  866372 */   // Label 13265: @866372
     /*  866372 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(866447), // Rule ID 24553 //
     /*  866377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  866380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866423 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866445 */     GIR_RootConstrainSelectedInstOperands,
     /*  866446 */     // GIR_Coverage, 24553,
     /*  866446 */     GIR_EraseRootFromParent_Done,
     /*  866447 */   // Label 13266: @866447
     /*  866447 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866522), // Rule ID 24556 //
     /*  866452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866498 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866520 */     GIR_RootConstrainSelectedInstOperands,
     /*  866521 */     // GIR_Coverage, 24556,
     /*  866521 */     GIR_EraseRootFromParent_Done,
     /*  866522 */   // Label 13267: @866522
     /*  866522 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866597), // Rule ID 24557 //
     /*  866527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  866530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866573 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866595 */     GIR_RootConstrainSelectedInstOperands,
     /*  866596 */     // GIR_Coverage, 24557,
     /*  866596 */     GIR_EraseRootFromParent_Done,
     /*  866597 */   // Label 13268: @866597
     /*  866597 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866672), // Rule ID 24560 //
     /*  866602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866670 */     GIR_RootConstrainSelectedInstOperands,
     /*  866671 */     // GIR_Coverage, 24560,
     /*  866671 */     GIR_EraseRootFromParent_Done,
     /*  866672 */   // Label 13269: @866672
     /*  866672 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(866747), // Rule ID 24561 //
     /*  866677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  866680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866745 */     GIR_RootConstrainSelectedInstOperands,
     /*  866746 */     // GIR_Coverage, 24561,
     /*  866746 */     GIR_EraseRootFromParent_Done,
     /*  866747 */   // Label 13270: @866747
     /*  866747 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(866822), // Rule ID 24652 //
     /*  866752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  866763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  866766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  866769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  866798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  866801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866820 */     GIR_RootConstrainSelectedInstOperands,
     /*  866821 */     // GIR_Coverage, 24652,
     /*  866821 */     GIR_EraseRootFromParent_Done,
     /*  866822 */   // Label 13271: @866822
     /*  866822 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(866897), // Rule ID 24653 //
     /*  866827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  866838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  866841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  866844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866873 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  866873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  866876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866895 */     GIR_RootConstrainSelectedInstOperands,
     /*  866896 */     // GIR_Coverage, 24653,
     /*  866896 */     GIR_EraseRootFromParent_Done,
     /*  866897 */   // Label 13272: @866897
     /*  866897 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(866972), // Rule ID 24656 //
     /*  866902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  866913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  866916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  866919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  866922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  866948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  866951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866970 */     GIR_RootConstrainSelectedInstOperands,
     /*  866971 */     // GIR_Coverage, 24656,
     /*  866971 */     GIR_EraseRootFromParent_Done,
     /*  866972 */   // Label 13273: @866972
     /*  866972 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(867047), // Rule ID 24657 //
     /*  866977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  866988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  866991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  866994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  866997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867023 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  867026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867045 */     GIR_RootConstrainSelectedInstOperands,
     /*  867046 */     // GIR_Coverage, 24657,
     /*  867046 */     GIR_EraseRootFromParent_Done,
     /*  867047 */   // Label 13274: @867047
     /*  867047 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(867122), // Rule ID 24660 //
     /*  867052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  867063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  867066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  867069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867098 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  867101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867120 */     GIR_RootConstrainSelectedInstOperands,
     /*  867121 */     // GIR_Coverage, 24660,
     /*  867121 */     GIR_EraseRootFromParent_Done,
     /*  867122 */   // Label 13275: @867122
     /*  867122 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(867197), // Rule ID 24661 //
     /*  867127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  867138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  867141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  867144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867173 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  867176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867195 */     GIR_RootConstrainSelectedInstOperands,
     /*  867196 */     // GIR_Coverage, 24661,
     /*  867196 */     GIR_EraseRootFromParent_Done,
     /*  867197 */   // Label 13276: @867197
     /*  867197 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(867272), // Rule ID 24664 //
     /*  867202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  867251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867270 */     GIR_RootConstrainSelectedInstOperands,
     /*  867271 */     // GIR_Coverage, 24664,
     /*  867271 */     GIR_EraseRootFromParent_Done,
     /*  867272 */   // Label 13277: @867272
     /*  867272 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(867347), // Rule ID 24665 //
     /*  867277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867323 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  867326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867345 */     GIR_RootConstrainSelectedInstOperands,
     /*  867346 */     // GIR_Coverage, 24665,
     /*  867346 */     GIR_EraseRootFromParent_Done,
     /*  867347 */   // Label 13278: @867347
     /*  867347 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(867422), // Rule ID 24668 //
     /*  867352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  867363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  867366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  867369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  867401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867420 */     GIR_RootConstrainSelectedInstOperands,
     /*  867421 */     // GIR_Coverage, 24668,
     /*  867421 */     GIR_EraseRootFromParent_Done,
     /*  867422 */   // Label 13279: @867422
     /*  867422 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(867497), // Rule ID 24669 //
     /*  867427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  867438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  867441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  867444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  867476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867495 */     GIR_RootConstrainSelectedInstOperands,
     /*  867496 */     // GIR_Coverage, 24669,
     /*  867496 */     GIR_EraseRootFromParent_Done,
     /*  867497 */   // Label 13280: @867497
     /*  867497 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867572), // Rule ID 24672 //
     /*  867502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  867551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867570 */     GIR_RootConstrainSelectedInstOperands,
     /*  867571 */     // GIR_Coverage, 24672,
     /*  867571 */     GIR_EraseRootFromParent_Done,
     /*  867572 */   // Label 13281: @867572
     /*  867572 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867647), // Rule ID 24673 //
     /*  867577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  867591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  867623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  867626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867645 */     GIR_RootConstrainSelectedInstOperands,
     /*  867646 */     // GIR_Coverage, 24673,
     /*  867646 */     GIR_EraseRootFromParent_Done,
     /*  867647 */   // Label 13282: @867647
     /*  867647 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867722), // Rule ID 24676 //
     /*  867652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  867663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  867666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  867669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  867701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867720 */     GIR_RootConstrainSelectedInstOperands,
     /*  867721 */     // GIR_Coverage, 24676,
     /*  867721 */     GIR_EraseRootFromParent_Done,
     /*  867722 */   // Label 13283: @867722
     /*  867722 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(867797), // Rule ID 24677 //
     /*  867727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  867738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  867741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  867744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867773 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  867776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867795 */     GIR_RootConstrainSelectedInstOperands,
     /*  867796 */     // GIR_Coverage, 24677,
     /*  867796 */     GIR_EraseRootFromParent_Done,
     /*  867797 */   // Label 13284: @867797
     /*  867797 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(867872), // Rule ID 24680 //
     /*  867802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  867813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  867816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  867819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  867851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867870 */     GIR_RootConstrainSelectedInstOperands,
     /*  867871 */     // GIR_Coverage, 24680,
     /*  867871 */     GIR_EraseRootFromParent_Done,
     /*  867872 */   // Label 13285: @867872
     /*  867872 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(867947), // Rule ID 24681 //
     /*  867877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  867888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  867891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  867894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  867926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867945 */     GIR_RootConstrainSelectedInstOperands,
     /*  867946 */     // GIR_Coverage, 24681,
     /*  867946 */     GIR_EraseRootFromParent_Done,
     /*  867947 */   // Label 13286: @867947
     /*  867947 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(868022), // Rule ID 24684 //
     /*  867952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  867998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  868001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868020 */     GIR_RootConstrainSelectedInstOperands,
     /*  868021 */     // GIR_Coverage, 24684,
     /*  868021 */     GIR_EraseRootFromParent_Done,
     /*  868022 */   // Label 13287: @868022
     /*  868022 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(868097), // Rule ID 24685 //
     /*  868027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  868038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  868041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  868044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  868073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  868076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868095 */     GIR_RootConstrainSelectedInstOperands,
     /*  868096 */     // GIR_Coverage, 24685,
     /*  868096 */     GIR_EraseRootFromParent_Done,
     /*  868097 */   // Label 13288: @868097
     /*  868097 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(868172), // Rule ID 24688 //
     /*  868102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  868105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  868113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  868116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  868119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  868151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868170 */     GIR_RootConstrainSelectedInstOperands,
     /*  868171 */     // GIR_Coverage, 24688,
     /*  868171 */     GIR_EraseRootFromParent_Done,
     /*  868172 */   // Label 13289: @868172
     /*  868172 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(868247), // Rule ID 24689 //
     /*  868177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  868180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  868188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  868191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  868194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  868226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868245 */     GIR_RootConstrainSelectedInstOperands,
     /*  868246 */     // GIR_Coverage, 24689,
     /*  868246 */     GIR_EraseRootFromParent_Done,
     /*  868247 */   // Label 13290: @868247
     /*  868247 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(868322), // Rule ID 24692 //
     /*  868252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  868263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  868266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  868269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868298 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  868298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  868301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868320 */     GIR_RootConstrainSelectedInstOperands,
     /*  868321 */     // GIR_Coverage, 24692,
     /*  868321 */     GIR_EraseRootFromParent_Done,
     /*  868322 */   // Label 13291: @868322
     /*  868322 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(868397), // Rule ID 24693 //
     /*  868327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  868338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  868341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  868344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868373 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  868373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  868376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868395 */     GIR_RootConstrainSelectedInstOperands,
     /*  868396 */     // GIR_Coverage, 24693,
     /*  868396 */     GIR_EraseRootFromParent_Done,
     /*  868397 */   // Label 13292: @868397
     /*  868397 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(868472), // Rule ID 24696 //
     /*  868402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  868413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  868416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  868419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868448 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  868448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  868451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868470 */     GIR_RootConstrainSelectedInstOperands,
     /*  868471 */     // GIR_Coverage, 24696,
     /*  868471 */     GIR_EraseRootFromParent_Done,
     /*  868472 */   // Label 13293: @868472
     /*  868472 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868547), // Rule ID 24697 //
     /*  868477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  868488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  868491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  868494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868523 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  868523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  868526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868545 */     GIR_RootConstrainSelectedInstOperands,
     /*  868546 */     // GIR_Coverage, 24697,
     /*  868546 */     GIR_EraseRootFromParent_Done,
     /*  868547 */   // Label 13294: @868547
     /*  868547 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868622), // Rule ID 24700 //
     /*  868552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  868601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868620 */     GIR_RootConstrainSelectedInstOperands,
     /*  868621 */     // GIR_Coverage, 24700,
     /*  868621 */     GIR_EraseRootFromParent_Done,
     /*  868622 */   // Label 13295: @868622
     /*  868622 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868697), // Rule ID 24701 //
     /*  868627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868673 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  868676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868695 */     GIR_RootConstrainSelectedInstOperands,
     /*  868696 */     // GIR_Coverage, 24701,
     /*  868696 */     GIR_EraseRootFromParent_Done,
     /*  868697 */   // Label 13296: @868697
     /*  868697 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(868772), // Rule ID 24704 //
     /*  868702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  868751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868770 */     GIR_RootConstrainSelectedInstOperands,
     /*  868771 */     // GIR_Coverage, 24704,
     /*  868771 */     GIR_EraseRootFromParent_Done,
     /*  868772 */   // Label 13297: @868772
     /*  868772 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(868847), // Rule ID 24705 //
     /*  868777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868823 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  868826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868845 */     GIR_RootConstrainSelectedInstOperands,
     /*  868846 */     // GIR_Coverage, 24705,
     /*  868846 */     GIR_EraseRootFromParent_Done,
     /*  868847 */   // Label 13298: @868847
     /*  868847 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(868922), // Rule ID 24708 //
     /*  868852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  868901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868920 */     GIR_RootConstrainSelectedInstOperands,
     /*  868921 */     // GIR_Coverage, 24708,
     /*  868921 */     GIR_EraseRootFromParent_Done,
     /*  868922 */   // Label 13299: @868922
     /*  868922 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(868997), // Rule ID 24709 //
     /*  868927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  868947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868973 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  868976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868995 */     GIR_RootConstrainSelectedInstOperands,
     /*  868996 */     // GIR_Coverage, 24709,
     /*  868996 */     GIR_EraseRootFromParent_Done,
     /*  868997 */   // Label 13300: @868997
     /*  868997 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(869072), // Rule ID 24712 //
     /*  869002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869048 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  869051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869070 */     GIR_RootConstrainSelectedInstOperands,
     /*  869071 */     // GIR_Coverage, 24712,
     /*  869071 */     GIR_EraseRootFromParent_Done,
     /*  869072 */   // Label 13301: @869072
     /*  869072 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(869147), // Rule ID 24713 //
     /*  869077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  869126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869145 */     GIR_RootConstrainSelectedInstOperands,
     /*  869146 */     // GIR_Coverage, 24713,
     /*  869146 */     GIR_EraseRootFromParent_Done,
     /*  869147 */   // Label 13302: @869147
     /*  869147 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(869222), // Rule ID 24716 //
     /*  869152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  869201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869220 */     GIR_RootConstrainSelectedInstOperands,
     /*  869221 */     // GIR_Coverage, 24716,
     /*  869221 */     GIR_EraseRootFromParent_Done,
     /*  869222 */   // Label 13303: @869222
     /*  869222 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(869297), // Rule ID 24717 //
     /*  869227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  869276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869295 */     GIR_RootConstrainSelectedInstOperands,
     /*  869296 */     // GIR_Coverage, 24717,
     /*  869296 */     GIR_EraseRootFromParent_Done,
     /*  869297 */   // Label 13304: @869297
     /*  869297 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(869372), // Rule ID 24720 //
     /*  869302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  869316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  869351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869370 */     GIR_RootConstrainSelectedInstOperands,
     /*  869371 */     // GIR_Coverage, 24720,
     /*  869371 */     GIR_EraseRootFromParent_Done,
     /*  869372 */   // Label 13305: @869372
     /*  869372 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(869447), // Rule ID 24721 //
     /*  869377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  869391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  869426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869445 */     GIR_RootConstrainSelectedInstOperands,
     /*  869446 */     // GIR_Coverage, 24721,
     /*  869446 */     GIR_EraseRootFromParent_Done,
     /*  869447 */   // Label 13306: @869447
     /*  869447 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869522), // Rule ID 24724 //
     /*  869452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  869455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  869463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  869466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  869469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  869472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  869498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  869501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869520 */     GIR_RootConstrainSelectedInstOperands,
     /*  869521 */     // GIR_Coverage, 24724,
     /*  869521 */     GIR_EraseRootFromParent_Done,
     /*  869522 */   // Label 13307: @869522
     /*  869522 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869597), // Rule ID 24725 //
     /*  869527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  869530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  869538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  869541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  869544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  869547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869573 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  869573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  869576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869595 */     GIR_RootConstrainSelectedInstOperands,
     /*  869596 */     // GIR_Coverage, 24725,
     /*  869596 */     GIR_EraseRootFromParent_Done,
     /*  869597 */   // Label 13308: @869597
     /*  869597 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869672), // Rule ID 24728 //
     /*  869602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  869605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  869613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  869616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  869619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  869648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  869651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869670 */     GIR_RootConstrainSelectedInstOperands,
     /*  869671 */     // GIR_Coverage, 24728,
     /*  869671 */     GIR_EraseRootFromParent_Done,
     /*  869672 */   // Label 13309: @869672
     /*  869672 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(869747), // Rule ID 24729 //
     /*  869677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  869680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  869688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  869691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  869694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  869723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  869726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869745 */     GIR_RootConstrainSelectedInstOperands,
     /*  869746 */     // GIR_Coverage, 24729,
     /*  869746 */     GIR_EraseRootFromParent_Done,
     /*  869747 */   // Label 13310: @869747
     /*  869747 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(869822), // Rule ID 24732 //
     /*  869752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  869755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  869763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  869766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  869769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  869798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  869801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869820 */     GIR_RootConstrainSelectedInstOperands,
     /*  869821 */     // GIR_Coverage, 24732,
     /*  869821 */     GIR_EraseRootFromParent_Done,
     /*  869822 */   // Label 13311: @869822
     /*  869822 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(869897), // Rule ID 24733 //
     /*  869827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  869830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  869838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  869841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  869844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  869873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  869876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869895 */     GIR_RootConstrainSelectedInstOperands,
     /*  869896 */     // GIR_Coverage, 24733,
     /*  869896 */     GIR_EraseRootFromParent_Done,
     /*  869897 */   // Label 13312: @869897
     /*  869897 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(869972), // Rule ID 24736 //
     /*  869902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  869905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  869913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  869916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  869919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869948 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  869951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869970 */     GIR_RootConstrainSelectedInstOperands,
     /*  869971 */     // GIR_Coverage, 24736,
     /*  869971 */     GIR_EraseRootFromParent_Done,
     /*  869972 */   // Label 13313: @869972
     /*  869972 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(870047), // Rule ID 24737 //
     /*  869977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  869980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  869985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  869988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  869991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  869994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870023 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  870026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870045 */     GIR_RootConstrainSelectedInstOperands,
     /*  870046 */     // GIR_Coverage, 24737,
     /*  870046 */     GIR_EraseRootFromParent_Done,
     /*  870047 */   // Label 13314: @870047
     /*  870047 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(870122), // Rule ID 24740 //
     /*  870052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  870072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  870101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870120 */     GIR_RootConstrainSelectedInstOperands,
     /*  870121 */     // GIR_Coverage, 24740,
     /*  870121 */     GIR_EraseRootFromParent_Done,
     /*  870122 */   // Label 13315: @870122
     /*  870122 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(870197), // Rule ID 24741 //
     /*  870127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  870138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  870141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  870147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870173 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  870176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870195 */     GIR_RootConstrainSelectedInstOperands,
     /*  870196 */     // GIR_Coverage, 24741,
     /*  870196 */     GIR_EraseRootFromParent_Done,
     /*  870197 */   // Label 13316: @870197
     /*  870197 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(870272), // Rule ID 24744 //
     /*  870202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  870205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  870222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  870251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870270 */     GIR_RootConstrainSelectedInstOperands,
     /*  870271 */     // GIR_Coverage, 24744,
     /*  870271 */     GIR_EraseRootFromParent_Done,
     /*  870272 */   // Label 13317: @870272
     /*  870272 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(870347), // Rule ID 24745 //
     /*  870277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  870280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  870288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  870291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  870297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870323 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  870326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870345 */     GIR_RootConstrainSelectedInstOperands,
     /*  870346 */     // GIR_Coverage, 24745,
     /*  870346 */     GIR_EraseRootFromParent_Done,
     /*  870347 */   // Label 13318: @870347
     /*  870347 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(870422), // Rule ID 24748 //
     /*  870352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  870363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  870366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  870369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870398 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  870401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870420 */     GIR_RootConstrainSelectedInstOperands,
     /*  870421 */     // GIR_Coverage, 24748,
     /*  870421 */     GIR_EraseRootFromParent_Done,
     /*  870422 */   // Label 13319: @870422
     /*  870422 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(870497), // Rule ID 24749 //
     /*  870427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  870438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  870441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  870444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870473 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  870476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870495 */     GIR_RootConstrainSelectedInstOperands,
     /*  870496 */     // GIR_Coverage, 24749,
     /*  870496 */     GIR_EraseRootFromParent_Done,
     /*  870497 */   // Label 13320: @870497
     /*  870497 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870572), // Rule ID 24752 //
     /*  870502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  870522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870548 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  870551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870570 */     GIR_RootConstrainSelectedInstOperands,
     /*  870571 */     // GIR_Coverage, 24752,
     /*  870571 */     GIR_EraseRootFromParent_Done,
     /*  870572 */   // Label 13321: @870572
     /*  870572 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870647), // Rule ID 24753 //
     /*  870577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  870597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870623 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  870626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870645 */     GIR_RootConstrainSelectedInstOperands,
     /*  870646 */     // GIR_Coverage, 24753,
     /*  870646 */     GIR_EraseRootFromParent_Done,
     /*  870647 */   // Label 13322: @870647
     /*  870647 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870722), // Rule ID 24756 //
     /*  870652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  870672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  870701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870720 */     GIR_RootConstrainSelectedInstOperands,
     /*  870721 */     // GIR_Coverage, 24756,
     /*  870721 */     GIR_EraseRootFromParent_Done,
     /*  870722 */   // Label 13323: @870722
     /*  870722 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(870797), // Rule ID 24757 //
     /*  870727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  870747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870773 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  870776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870795 */     GIR_RootConstrainSelectedInstOperands,
     /*  870796 */     // GIR_Coverage, 24757,
     /*  870796 */     GIR_EraseRootFromParent_Done,
     /*  870797 */   // Label 13324: @870797
     /*  870797 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(870872), // Rule ID 24760 //
     /*  870802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  870805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  870822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870848 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  870851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870870 */     GIR_RootConstrainSelectedInstOperands,
     /*  870871 */     // GIR_Coverage, 24760,
     /*  870871 */     GIR_EraseRootFromParent_Done,
     /*  870872 */   // Label 13325: @870872
     /*  870872 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(870947), // Rule ID 24761 //
     /*  870877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  870880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  870897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870923 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  870926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870945 */     GIR_RootConstrainSelectedInstOperands,
     /*  870946 */     // GIR_Coverage, 24761,
     /*  870946 */     GIR_EraseRootFromParent_Done,
     /*  870947 */   // Label 13326: @870947
     /*  870947 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(871022), // Rule ID 24764 //
     /*  870952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  870955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  870972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870998 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  871001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871020 */     GIR_RootConstrainSelectedInstOperands,
     /*  871021 */     // GIR_Coverage, 24764,
     /*  871021 */     GIR_EraseRootFromParent_Done,
     /*  871022 */   // Label 13327: @871022
     /*  871022 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(871097), // Rule ID 24765 //
     /*  871027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  871038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  871041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  871044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  871047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871073 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  871076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871095 */     GIR_RootConstrainSelectedInstOperands,
     /*  871096 */     // GIR_Coverage, 24765,
     /*  871096 */     GIR_EraseRootFromParent_Done,
     /*  871097 */   // Label 13328: @871097
     /*  871097 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(871172), // Rule ID 24768 //
     /*  871102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  871105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  871116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  871122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  871151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871170 */     GIR_RootConstrainSelectedInstOperands,
     /*  871171 */     // GIR_Coverage, 24768,
     /*  871171 */     GIR_EraseRootFromParent_Done,
     /*  871172 */   // Label 13329: @871172
     /*  871172 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(871247), // Rule ID 24769 //
     /*  871177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  871191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  871197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871223 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  871226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871245 */     GIR_RootConstrainSelectedInstOperands,
     /*  871246 */     // GIR_Coverage, 24769,
     /*  871246 */     GIR_EraseRootFromParent_Done,
     /*  871247 */   // Label 13330: @871247
     /*  871247 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(871322), // Rule ID 24772 //
     /*  871252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871298 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  871301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871320 */     GIR_RootConstrainSelectedInstOperands,
     /*  871321 */     // GIR_Coverage, 24772,
     /*  871321 */     GIR_EraseRootFromParent_Done,
     /*  871322 */   // Label 13331: @871322
     /*  871322 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(871397), // Rule ID 24773 //
     /*  871327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871373 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  871376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871395 */     GIR_RootConstrainSelectedInstOperands,
     /*  871396 */     // GIR_Coverage, 24773,
     /*  871396 */     GIR_EraseRootFromParent_Done,
     /*  871397 */   // Label 13332: @871397
     /*  871397 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(871472), // Rule ID 24776 //
     /*  871402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871470 */     GIR_RootConstrainSelectedInstOperands,
     /*  871471 */     // GIR_Coverage, 24776,
     /*  871471 */     GIR_EraseRootFromParent_Done,
     /*  871472 */   // Label 13333: @871472
     /*  871472 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(871547), // Rule ID 24777 //
     /*  871477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871523 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871545 */     GIR_RootConstrainSelectedInstOperands,
     /*  871546 */     // GIR_Coverage, 24777,
     /*  871546 */     GIR_EraseRootFromParent_Done,
     /*  871547 */   // Label 13334: @871547
     /*  871547 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871622), // Rule ID 24780 //
     /*  871552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  871555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871598 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871620 */     GIR_RootConstrainSelectedInstOperands,
     /*  871621 */     // GIR_Coverage, 24780,
     /*  871621 */     GIR_EraseRootFromParent_Done,
     /*  871622 */   // Label 13335: @871622
     /*  871622 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871697), // Rule ID 24781 //
     /*  871627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871673 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  871676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871695 */     GIR_RootConstrainSelectedInstOperands,
     /*  871696 */     // GIR_Coverage, 24781,
     /*  871696 */     GIR_EraseRootFromParent_Done,
     /*  871697 */   // Label 13336: @871697
     /*  871697 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(871772), // Rule ID 24784 //
     /*  871702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871748 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  871751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871770 */     GIR_RootConstrainSelectedInstOperands,
     /*  871771 */     // GIR_Coverage, 24784,
     /*  871771 */     GIR_EraseRootFromParent_Done,
     /*  871772 */   // Label 13337: @871772
     /*  871772 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(871847), // Rule ID 24785 //
     /*  871777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871823 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  871826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871845 */     GIR_RootConstrainSelectedInstOperands,
     /*  871846 */     // GIR_Coverage, 24785,
     /*  871846 */     GIR_EraseRootFromParent_Done,
     /*  871847 */   // Label 13338: @871847
     /*  871847 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(871922), // Rule ID 24788 //
     /*  871852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871898 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  871901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871920 */     GIR_RootConstrainSelectedInstOperands,
     /*  871921 */     // GIR_Coverage, 24788,
     /*  871921 */     GIR_EraseRootFromParent_Done,
     /*  871922 */   // Label 13339: @871922
     /*  871922 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(871997), // Rule ID 24789 //
     /*  871927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  871935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  871938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  871941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  871944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  871966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871973 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  871976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871995 */     GIR_RootConstrainSelectedInstOperands,
     /*  871996 */     // GIR_Coverage, 24789,
     /*  871996 */     GIR_EraseRootFromParent_Done,
     /*  871997 */   // Label 13340: @871997
     /*  871997 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(872072), // Rule ID 24792 //
     /*  872002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  872005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872048 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872070 */     GIR_RootConstrainSelectedInstOperands,
     /*  872071 */     // GIR_Coverage, 24792,
     /*  872071 */     GIR_EraseRootFromParent_Done,
     /*  872072 */   // Label 13341: @872072
     /*  872072 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(872147), // Rule ID 24793 //
     /*  872077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  872080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872123 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872145 */     GIR_RootConstrainSelectedInstOperands,
     /*  872146 */     // GIR_Coverage, 24793,
     /*  872146 */     GIR_EraseRootFromParent_Done,
     /*  872147 */   // Label 13342: @872147
     /*  872147 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(872222), // Rule ID 24796 //
     /*  872152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872198 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  872201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872220 */     GIR_RootConstrainSelectedInstOperands,
     /*  872221 */     // GIR_Coverage, 24796,
     /*  872221 */     GIR_EraseRootFromParent_Done,
     /*  872222 */   // Label 13343: @872222
     /*  872222 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(872297), // Rule ID 24797 //
     /*  872227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872273 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  872276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872295 */     GIR_RootConstrainSelectedInstOperands,
     /*  872296 */     // GIR_Coverage, 24797,
     /*  872296 */     GIR_EraseRootFromParent_Done,
     /*  872297 */   // Label 13344: @872297
     /*  872297 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(872372), // Rule ID 24800 //
     /*  872302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  872351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872370 */     GIR_RootConstrainSelectedInstOperands,
     /*  872371 */     // GIR_Coverage, 24800,
     /*  872371 */     GIR_EraseRootFromParent_Done,
     /*  872372 */   // Label 13345: @872372
     /*  872372 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(872447), // Rule ID 24801 //
     /*  872377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872423 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  872426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872445 */     GIR_RootConstrainSelectedInstOperands,
     /*  872446 */     // GIR_Coverage, 24801,
     /*  872446 */     GIR_EraseRootFromParent_Done,
     /*  872447 */   // Label 13346: @872447
     /*  872447 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(872522), // Rule ID 24804 //
     /*  872452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872498 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872520 */     GIR_RootConstrainSelectedInstOperands,
     /*  872521 */     // GIR_Coverage, 24804,
     /*  872521 */     GIR_EraseRootFromParent_Done,
     /*  872522 */   // Label 13347: @872522
     /*  872522 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872597), // Rule ID 24805 //
     /*  872527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872573 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  872576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872595 */     GIR_RootConstrainSelectedInstOperands,
     /*  872596 */     // GIR_Coverage, 24805,
     /*  872596 */     GIR_EraseRootFromParent_Done,
     /*  872597 */   // Label 13348: @872597
     /*  872597 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872672), // Rule ID 24844 //
     /*  872602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  872605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  872622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872648 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  872651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872670 */     GIR_RootConstrainSelectedInstOperands,
     /*  872671 */     // GIR_Coverage, 24844,
     /*  872671 */     GIR_EraseRootFromParent_Done,
     /*  872672 */   // Label 13349: @872672
     /*  872672 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872747), // Rule ID 24845 //
     /*  872677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  872680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  872697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872723 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  872726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872745 */     GIR_RootConstrainSelectedInstOperands,
     /*  872746 */     // GIR_Coverage, 24845,
     /*  872746 */     GIR_EraseRootFromParent_Done,
     /*  872747 */   // Label 13350: @872747
     /*  872747 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(872822), // Rule ID 24848 //
     /*  872752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  872755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872798 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  872801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872820 */     GIR_RootConstrainSelectedInstOperands,
     /*  872821 */     // GIR_Coverage, 24848,
     /*  872821 */     GIR_EraseRootFromParent_Done,
     /*  872822 */   // Label 13351: @872822
     /*  872822 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(872897), // Rule ID 24849 //
     /*  872827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  872830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872873 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  872876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872895 */     GIR_RootConstrainSelectedInstOperands,
     /*  872896 */     // GIR_Coverage, 24849,
     /*  872896 */     GIR_EraseRootFromParent_Done,
     /*  872897 */   // Label 13352: @872897
     /*  872897 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(872972), // Rule ID 24852 //
     /*  872902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  872905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  872913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  872916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872948 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  872951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872970 */     GIR_RootConstrainSelectedInstOperands,
     /*  872971 */     // GIR_Coverage, 24852,
     /*  872971 */     GIR_EraseRootFromParent_Done,
     /*  872972 */   // Label 13353: @872972
     /*  872972 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(873047), // Rule ID 24853 //
     /*  872977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  872980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  872988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  872991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873023 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  873026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873045 */     GIR_RootConstrainSelectedInstOperands,
     /*  873046 */     // GIR_Coverage, 24853,
     /*  873046 */     GIR_EraseRootFromParent_Done,
     /*  873047 */   // Label 13354: @873047
     /*  873047 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(873122), // Rule ID 24856 //
     /*  873052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  873072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873098 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  873101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873120 */     GIR_RootConstrainSelectedInstOperands,
     /*  873121 */     // GIR_Coverage, 24856,
     /*  873121 */     GIR_EraseRootFromParent_Done,
     /*  873122 */   // Label 13355: @873122
     /*  873122 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(873197), // Rule ID 24857 //
     /*  873127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  873147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873173 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11454:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  873176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873195 */     GIR_RootConstrainSelectedInstOperands,
     /*  873196 */     // GIR_Coverage, 24857,
     /*  873196 */     GIR_EraseRootFromParent_Done,
     /*  873197 */   // Label 13356: @873197
     /*  873197 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(873272), // Rule ID 24860 //
     /*  873202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  873222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873248 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  873251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873270 */     GIR_RootConstrainSelectedInstOperands,
     /*  873271 */     // GIR_Coverage, 24860,
     /*  873271 */     GIR_EraseRootFromParent_Done,
     /*  873272 */   // Label 13357: @873272
     /*  873272 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(873347), // Rule ID 24861 //
     /*  873277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  873297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873323 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11454:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  873326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873345 */     GIR_RootConstrainSelectedInstOperands,
     /*  873346 */     // GIR_Coverage, 24861,
     /*  873346 */     GIR_EraseRootFromParent_Done,
     /*  873347 */   // Label 13358: @873347
     /*  873347 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(873422), // Rule ID 24864 //
     /*  873352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  873363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  873366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  873369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  873372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873398 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  873401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873420 */     GIR_RootConstrainSelectedInstOperands,
     /*  873421 */     // GIR_Coverage, 24864,
     /*  873421 */     GIR_EraseRootFromParent_Done,
     /*  873422 */   // Label 13359: @873422
     /*  873422 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(873497), // Rule ID 24865 //
     /*  873427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  873435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  873438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  873441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  873444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  873447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873473 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11454:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  873476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873495 */     GIR_RootConstrainSelectedInstOperands,
     /*  873496 */     // GIR_Coverage, 24865,
     /*  873496 */     GIR_EraseRootFromParent_Done,
     /*  873497 */   // Label 13360: @873497
     /*  873497 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(873572), // Rule ID 24868 //
     /*  873502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  873519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873548 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  873551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873570 */     GIR_RootConstrainSelectedInstOperands,
     /*  873571 */     // GIR_Coverage, 24868,
     /*  873571 */     GIR_EraseRootFromParent_Done,
     /*  873572 */   // Label 13361: @873572
     /*  873572 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873647), // Rule ID 24869 //
     /*  873577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  873594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873623 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  873626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873645 */     GIR_RootConstrainSelectedInstOperands,
     /*  873646 */     // GIR_Coverage, 24869,
     /*  873646 */     GIR_EraseRootFromParent_Done,
     /*  873647 */   // Label 13362: @873647
     /*  873647 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873722), // Rule ID 24872 //
     /*  873652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873698 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873720 */     GIR_RootConstrainSelectedInstOperands,
     /*  873721 */     // GIR_Coverage, 24872,
     /*  873721 */     GIR_EraseRootFromParent_Done,
     /*  873722 */   // Label 13363: @873722
     /*  873722 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(873797), // Rule ID 24873 //
     /*  873727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873773 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873795 */     GIR_RootConstrainSelectedInstOperands,
     /*  873796 */     // GIR_Coverage, 24873,
     /*  873796 */     GIR_EraseRootFromParent_Done,
     /*  873797 */   // Label 13364: @873797
     /*  873797 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(873872), // Rule ID 24876 //
     /*  873802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873848 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873870 */     GIR_RootConstrainSelectedInstOperands,
     /*  873871 */     // GIR_Coverage, 24876,
     /*  873871 */     GIR_EraseRootFromParent_Done,
     /*  873872 */   // Label 13365: @873872
     /*  873872 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(873947), // Rule ID 24877 //
     /*  873877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873923 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873945 */     GIR_RootConstrainSelectedInstOperands,
     /*  873946 */     // GIR_Coverage, 24877,
     /*  873946 */     GIR_EraseRootFromParent_Done,
     /*  873947 */   // Label 13366: @873947
     /*  873947 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(874022), // Rule ID 24880 //
     /*  873952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873998 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874020 */     GIR_RootConstrainSelectedInstOperands,
     /*  874021 */     // GIR_Coverage, 24880,
     /*  874021 */     GIR_EraseRootFromParent_Done,
     /*  874022 */   // Label 13367: @874022
     /*  874022 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(874097), // Rule ID 24881 //
     /*  874027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874073 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874095 */     GIR_RootConstrainSelectedInstOperands,
     /*  874096 */     // GIR_Coverage, 24881,
     /*  874096 */     GIR_EraseRootFromParent_Done,
     /*  874097 */   // Label 13368: @874097
     /*  874097 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(874172), // Rule ID 24884 //
     /*  874102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  874105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874148 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874170 */     GIR_RootConstrainSelectedInstOperands,
     /*  874171 */     // GIR_Coverage, 24884,
     /*  874171 */     GIR_EraseRootFromParent_Done,
     /*  874172 */   // Label 13369: @874172
     /*  874172 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(874247), // Rule ID 24885 //
     /*  874177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874223 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874245 */     GIR_RootConstrainSelectedInstOperands,
     /*  874246 */     // GIR_Coverage, 24885,
     /*  874246 */     GIR_EraseRootFromParent_Done,
     /*  874247 */   // Label 13370: @874247
     /*  874247 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(874322), // Rule ID 24888 //
     /*  874252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  874255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874298 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874320 */     GIR_RootConstrainSelectedInstOperands,
     /*  874321 */     // GIR_Coverage, 24888,
     /*  874321 */     GIR_EraseRootFromParent_Done,
     /*  874322 */   // Label 13371: @874322
     /*  874322 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(874397), // Rule ID 24889 //
     /*  874327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874373 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874395 */     GIR_RootConstrainSelectedInstOperands,
     /*  874396 */     // GIR_Coverage, 24889,
     /*  874396 */     GIR_EraseRootFromParent_Done,
     /*  874397 */   // Label 13372: @874397
     /*  874397 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(874472), // Rule ID 24916 //
     /*  874402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  874405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  874413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  874416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  874419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  874422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  874451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874470 */     GIR_RootConstrainSelectedInstOperands,
     /*  874471 */     // GIR_Coverage, 24916,
     /*  874471 */     GIR_EraseRootFromParent_Done,
     /*  874472 */   // Label 13373: @874472
     /*  874472 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(874547), // Rule ID 24917 //
     /*  874477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  874480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  874488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  874491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  874494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  874497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874523 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  874526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874545 */     GIR_RootConstrainSelectedInstOperands,
     /*  874546 */     // GIR_Coverage, 24917,
     /*  874546 */     GIR_EraseRootFromParent_Done,
     /*  874547 */   // Label 13374: @874547
     /*  874547 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874622), // Rule ID 24920 //
     /*  874552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  874555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  874563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  874566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  874572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  874601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874620 */     GIR_RootConstrainSelectedInstOperands,
     /*  874621 */     // GIR_Coverage, 24920,
     /*  874621 */     GIR_EraseRootFromParent_Done,
     /*  874622 */   // Label 13375: @874622
     /*  874622 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874697), // Rule ID 24921 //
     /*  874627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  874630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  874638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  874641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  874647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874673 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  874676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874695 */     GIR_RootConstrainSelectedInstOperands,
     /*  874696 */     // GIR_Coverage, 24921,
     /*  874696 */     GIR_EraseRootFromParent_Done,
     /*  874697 */   // Label 13376: @874697
     /*  874697 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874772), // Rule ID 24924 //
     /*  874702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  874705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  874713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  874716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  874719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  874722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  874748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  874751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874770 */     GIR_RootConstrainSelectedInstOperands,
     /*  874771 */     // GIR_Coverage, 24924,
     /*  874771 */     GIR_EraseRootFromParent_Done,
     /*  874772 */   // Label 13377: @874772
     /*  874772 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(874847), // Rule ID 24925 //
     /*  874777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  874780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  874788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  874791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  874794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  874797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  874823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  874826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874845 */     GIR_RootConstrainSelectedInstOperands,
     /*  874846 */     // GIR_Coverage, 24925,
     /*  874846 */     GIR_EraseRootFromParent_Done,
     /*  874847 */   // Label 13378: @874847
     /*  874847 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(874922), // Rule ID 24928 //
     /*  874852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  874855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  874872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874898 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  874901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874920 */     GIR_RootConstrainSelectedInstOperands,
     /*  874921 */     // GIR_Coverage, 24928,
     /*  874921 */     GIR_EraseRootFromParent_Done,
     /*  874922 */   // Label 13379: @874922
     /*  874922 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(874997), // Rule ID 24929 //
     /*  874927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  874930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  874935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  874947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874973 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  874976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874995 */     GIR_RootConstrainSelectedInstOperands,
     /*  874996 */     // GIR_Coverage, 24929,
     /*  874996 */     GIR_EraseRootFromParent_Done,
     /*  874997 */   // Label 13380: @874997
     /*  874997 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(875072), // Rule ID 24932 //
     /*  875002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  875005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  875051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875070 */     GIR_RootConstrainSelectedInstOperands,
     /*  875071 */     // GIR_Coverage, 24932,
     /*  875071 */     GIR_EraseRootFromParent_Done,
     /*  875072 */   // Label 13381: @875072
     /*  875072 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(875147), // Rule ID 24933 //
     /*  875077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  875080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875123 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  875126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875145 */     GIR_RootConstrainSelectedInstOperands,
     /*  875146 */     // GIR_Coverage, 24933,
     /*  875146 */     GIR_EraseRootFromParent_Done,
     /*  875147 */   // Label 13382: @875147
     /*  875147 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(875222), // Rule ID 24936 //
     /*  875152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  875155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  875198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  875201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875220 */     GIR_RootConstrainSelectedInstOperands,
     /*  875221 */     // GIR_Coverage, 24936,
     /*  875221 */     GIR_EraseRootFromParent_Done,
     /*  875222 */   // Label 13383: @875222
     /*  875222 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(875297), // Rule ID 24937 //
     /*  875227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  875230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875273 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  875273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  875276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875295 */     GIR_RootConstrainSelectedInstOperands,
     /*  875296 */     // GIR_Coverage, 24937,
     /*  875296 */     GIR_EraseRootFromParent_Done,
     /*  875297 */   // Label 13384: @875297
     /*  875297 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(875372), // Rule ID 24940 //
     /*  875302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  875305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  875313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  875316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  875322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  875351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875370 */     GIR_RootConstrainSelectedInstOperands,
     /*  875371 */     // GIR_Coverage, 24940,
     /*  875371 */     GIR_EraseRootFromParent_Done,
     /*  875372 */   // Label 13385: @875372
     /*  875372 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(875447), // Rule ID 24941 //
     /*  875377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  875380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  875388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  875391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  875397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  875426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875445 */     GIR_RootConstrainSelectedInstOperands,
     /*  875446 */     // GIR_Coverage, 24941,
     /*  875446 */     GIR_EraseRootFromParent_Done,
     /*  875447 */   // Label 13386: @875447
     /*  875447 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(875522), // Rule ID 24944 //
     /*  875452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  875455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  875472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875498 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  875501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875520 */     GIR_RootConstrainSelectedInstOperands,
     /*  875521 */     // GIR_Coverage, 24944,
     /*  875521 */     GIR_EraseRootFromParent_Done,
     /*  875522 */   // Label 13387: @875522
     /*  875522 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875597), // Rule ID 24945 //
     /*  875527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  875530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  875547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875573 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  875576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875595 */     GIR_RootConstrainSelectedInstOperands,
     /*  875596 */     // GIR_Coverage, 24945,
     /*  875596 */     GIR_EraseRootFromParent_Done,
     /*  875597 */   // Label 13388: @875597
     /*  875597 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875672), // Rule ID 24948 //
     /*  875602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  875605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  875622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875648 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  875651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875670 */     GIR_RootConstrainSelectedInstOperands,
     /*  875671 */     // GIR_Coverage, 24948,
     /*  875671 */     GIR_EraseRootFromParent_Done,
     /*  875672 */   // Label 13389: @875672
     /*  875672 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875747), // Rule ID 24949 //
     /*  875677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  875680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  875697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875723 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  875726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875745 */     GIR_RootConstrainSelectedInstOperands,
     /*  875746 */     // GIR_Coverage, 24949,
     /*  875746 */     GIR_EraseRootFromParent_Done,
     /*  875747 */   // Label 13390: @875747
     /*  875747 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875822), // Rule ID 24952 //
     /*  875752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  875755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  875772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875798 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  875801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875820 */     GIR_RootConstrainSelectedInstOperands,
     /*  875821 */     // GIR_Coverage, 24952,
     /*  875821 */     GIR_EraseRootFromParent_Done,
     /*  875822 */   // Label 13391: @875822
     /*  875822 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(875897), // Rule ID 24953 //
     /*  875827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  875830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  875847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  875876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875895 */     GIR_RootConstrainSelectedInstOperands,
     /*  875896 */     // GIR_Coverage, 24953,
     /*  875896 */     GIR_EraseRootFromParent_Done,
     /*  875897 */   // Label 13392: @875897
     /*  875897 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(875972), // Rule ID 24956 //
     /*  875902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  875905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  875922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  875951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875970 */     GIR_RootConstrainSelectedInstOperands,
     /*  875971 */     // GIR_Coverage, 24956,
     /*  875971 */     GIR_EraseRootFromParent_Done,
     /*  875972 */   // Label 13393: @875972
     /*  875972 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(876047), // Rule ID 24957 //
     /*  875977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  875980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  875997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876023 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  876026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876045 */     GIR_RootConstrainSelectedInstOperands,
     /*  876046 */     // GIR_Coverage, 24957,
     /*  876046 */     GIR_EraseRootFromParent_Done,
     /*  876047 */   // Label 13394: @876047
     /*  876047 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(876122), // Rule ID 24960 //
     /*  876052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  876055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876098 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  876101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876120 */     GIR_RootConstrainSelectedInstOperands,
     /*  876121 */     // GIR_Coverage, 24960,
     /*  876121 */     GIR_EraseRootFromParent_Done,
     /*  876122 */   // Label 13395: @876122
     /*  876122 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(876197), // Rule ID 24961 //
     /*  876127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  876130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876173 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  876176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876195 */     GIR_RootConstrainSelectedInstOperands,
     /*  876196 */     // GIR_Coverage, 24961,
     /*  876196 */     GIR_EraseRootFromParent_Done,
     /*  876197 */   // Label 13396: @876197
     /*  876197 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(876272), // Rule ID 24964 //
     /*  876202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  876205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  876222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  876251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876270 */     GIR_RootConstrainSelectedInstOperands,
     /*  876271 */     // GIR_Coverage, 24964,
     /*  876271 */     GIR_EraseRootFromParent_Done,
     /*  876272 */   // Label 13397: @876272
     /*  876272 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(876347), // Rule ID 24965 //
     /*  876277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  876280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  876297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876323 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  876326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876345 */     GIR_RootConstrainSelectedInstOperands,
     /*  876346 */     // GIR_Coverage, 24965,
     /*  876346 */     GIR_EraseRootFromParent_Done,
     /*  876347 */   // Label 13398: @876347
     /*  876347 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(876422), // Rule ID 24968 //
     /*  876352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  876355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  876372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876398 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  876401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876420 */     GIR_RootConstrainSelectedInstOperands,
     /*  876421 */     // GIR_Coverage, 24968,
     /*  876421 */     GIR_EraseRootFromParent_Done,
     /*  876422 */   // Label 13399: @876422
     /*  876422 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(876497), // Rule ID 24969 //
     /*  876427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  876430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  876447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876473 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  876476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876495 */     GIR_RootConstrainSelectedInstOperands,
     /*  876496 */     // GIR_Coverage, 24969,
     /*  876496 */     GIR_EraseRootFromParent_Done,
     /*  876497 */   // Label 13400: @876497
     /*  876497 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(876572), // Rule ID 24972 //
     /*  876502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  876505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  876551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876570 */     GIR_RootConstrainSelectedInstOperands,
     /*  876571 */     // GIR_Coverage, 24972,
     /*  876571 */     GIR_EraseRootFromParent_Done,
     /*  876572 */   // Label 13401: @876572
     /*  876572 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876647), // Rule ID 24973 //
     /*  876577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  876580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876623 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  876626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876645 */     GIR_RootConstrainSelectedInstOperands,
     /*  876646 */     // GIR_Coverage, 24973,
     /*  876646 */     GIR_EraseRootFromParent_Done,
     /*  876647 */   // Label 13402: @876647
     /*  876647 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876719), // Rule ID 24976 //
     /*  876652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  876663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  876666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876698 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  876698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  876701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876717 */     GIR_RootConstrainSelectedInstOperands,
     /*  876718 */     // GIR_Coverage, 24976,
     /*  876718 */     GIR_EraseRootFromParent_Done,
     /*  876719 */   // Label 13403: @876719
     /*  876719 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876791), // Rule ID 24977 //
     /*  876724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  876735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  876738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  876744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  876770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  876773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876789 */     GIR_RootConstrainSelectedInstOperands,
     /*  876790 */     // GIR_Coverage, 24977,
     /*  876790 */     GIR_EraseRootFromParent_Done,
     /*  876791 */   // Label 13404: @876791
     /*  876791 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876863), // Rule ID 24978 //
     /*  876796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  876807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  876810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  876813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  876842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  876845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876861 */     GIR_RootConstrainSelectedInstOperands,
     /*  876862 */     // GIR_Coverage, 24978,
     /*  876862 */     GIR_EraseRootFromParent_Done,
     /*  876863 */   // Label 13405: @876863
     /*  876863 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(876935), // Rule ID 24979 //
     /*  876868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  876879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  876882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  876885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  876888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876914 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  876914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  876917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876933 */     GIR_RootConstrainSelectedInstOperands,
     /*  876934 */     // GIR_Coverage, 24979,
     /*  876934 */     GIR_EraseRootFromParent_Done,
     /*  876935 */   // Label 13406: @876935
     /*  876935 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(877007), // Rule ID 24980 //
     /*  876940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  876948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  876960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  876989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877005 */     GIR_RootConstrainSelectedInstOperands,
     /*  877006 */     // GIR_Coverage, 24980,
     /*  877006 */     GIR_EraseRootFromParent_Done,
     /*  877007 */   // Label 13407: @877007
     /*  877007 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(877079), // Rule ID 24981 //
     /*  877012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  877061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877077 */     GIR_RootConstrainSelectedInstOperands,
     /*  877078 */     // GIR_Coverage, 24981,
     /*  877078 */     GIR_EraseRootFromParent_Done,
     /*  877079 */   // Label 13408: @877079
     /*  877079 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(877151), // Rule ID 24982 //
     /*  877084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877149 */     GIR_RootConstrainSelectedInstOperands,
     /*  877150 */     // GIR_Coverage, 24982,
     /*  877150 */     GIR_EraseRootFromParent_Done,
     /*  877151 */   // Label 13409: @877151
     /*  877151 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(877223), // Rule ID 24983 //
     /*  877156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877221 */     GIR_RootConstrainSelectedInstOperands,
     /*  877222 */     // GIR_Coverage, 24983,
     /*  877222 */     GIR_EraseRootFromParent_Done,
     /*  877223 */   // Label 13410: @877223
     /*  877223 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(877295), // Rule ID 24984 //
     /*  877228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  877277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877293 */     GIR_RootConstrainSelectedInstOperands,
     /*  877294 */     // GIR_Coverage, 24984,
     /*  877294 */     GIR_EraseRootFromParent_Done,
     /*  877295 */   // Label 13411: @877295
     /*  877295 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(877367), // Rule ID 24985 //
     /*  877300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  877349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877365 */     GIR_RootConstrainSelectedInstOperands,
     /*  877366 */     // GIR_Coverage, 24985,
     /*  877366 */     GIR_EraseRootFromParent_Done,
     /*  877367 */   // Label 13412: @877367
     /*  877367 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(877439), // Rule ID 24986 //
     /*  877372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  877383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  877386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  877421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877437 */     GIR_RootConstrainSelectedInstOperands,
     /*  877438 */     // GIR_Coverage, 24986,
     /*  877438 */     GIR_EraseRootFromParent_Done,
     /*  877439 */   // Label 13413: @877439
     /*  877439 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(877511), // Rule ID 24987 //
     /*  877444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  877455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  877458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  877464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  877493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877509 */     GIR_RootConstrainSelectedInstOperands,
     /*  877510 */     // GIR_Coverage, 24987,
     /*  877510 */     GIR_EraseRootFromParent_Done,
     /*  877511 */   // Label 13414: @877511
     /*  877511 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877583), // Rule ID 24988 //
     /*  877516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877581 */     GIR_RootConstrainSelectedInstOperands,
     /*  877582 */     // GIR_Coverage, 24988,
     /*  877582 */     GIR_EraseRootFromParent_Done,
     /*  877583 */   // Label 13415: @877583
     /*  877583 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877655), // Rule ID 24989 //
     /*  877588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  877599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  877602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  877637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877653 */     GIR_RootConstrainSelectedInstOperands,
     /*  877654 */     // GIR_Coverage, 24989,
     /*  877654 */     GIR_EraseRootFromParent_Done,
     /*  877655 */   // Label 13416: @877655
     /*  877655 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877727), // Rule ID 24990 //
     /*  877660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  877671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  877674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  877677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  877709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877725 */     GIR_RootConstrainSelectedInstOperands,
     /*  877726 */     // GIR_Coverage, 24990,
     /*  877726 */     GIR_EraseRootFromParent_Done,
     /*  877727 */   // Label 13417: @877727
     /*  877727 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877799), // Rule ID 24991 //
     /*  877732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  877743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  877746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  877749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  877781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877797 */     GIR_RootConstrainSelectedInstOperands,
     /*  877798 */     // GIR_Coverage, 24991,
     /*  877798 */     GIR_EraseRootFromParent_Done,
     /*  877799 */   // Label 13418: @877799
     /*  877799 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877871), // Rule ID 24992 //
     /*  877804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  877807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  877821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  877850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  877853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877869 */     GIR_RootConstrainSelectedInstOperands,
     /*  877870 */     // GIR_Coverage, 24992,
     /*  877870 */     GIR_EraseRootFromParent_Done,
     /*  877871 */   // Label 13419: @877871
     /*  877871 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(877943), // Rule ID 24993 //
     /*  877876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  877879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  877893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  877922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  877925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877941 */     GIR_RootConstrainSelectedInstOperands,
     /*  877942 */     // GIR_Coverage, 24993,
     /*  877942 */     GIR_EraseRootFromParent_Done,
     /*  877943 */   // Label 13420: @877943
     /*  877943 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(878015), // Rule ID 24994 //
     /*  877948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  877959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  877962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  877965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  877968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877994 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  877997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878013 */     GIR_RootConstrainSelectedInstOperands,
     /*  878014 */     // GIR_Coverage, 24994,
     /*  878014 */     GIR_EraseRootFromParent_Done,
     /*  878015 */   // Label 13421: @878015
     /*  878015 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(878087), // Rule ID 24995 //
     /*  878020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  878031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  878034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878066 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  878069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878085 */     GIR_RootConstrainSelectedInstOperands,
     /*  878086 */     // GIR_Coverage, 24995,
     /*  878086 */     GIR_EraseRootFromParent_Done,
     /*  878087 */   // Label 13422: @878087
     /*  878087 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(878159), // Rule ID 24996 //
     /*  878092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  878103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  878106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878138 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  878141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878157 */     GIR_RootConstrainSelectedInstOperands,
     /*  878158 */     // GIR_Coverage, 24996,
     /*  878158 */     GIR_EraseRootFromParent_Done,
     /*  878159 */   // Label 13423: @878159
     /*  878159 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(878231), // Rule ID 24997 //
     /*  878164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  878175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  878178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878210 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  878213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878229 */     GIR_RootConstrainSelectedInstOperands,
     /*  878230 */     // GIR_Coverage, 24997,
     /*  878230 */     GIR_EraseRootFromParent_Done,
     /*  878231 */   // Label 13424: @878231
     /*  878231 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(878303), // Rule ID 24998 //
     /*  878236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  878247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  878250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  878253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  878256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878282 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  878285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878301 */     GIR_RootConstrainSelectedInstOperands,
     /*  878302 */     // GIR_Coverage, 24998,
     /*  878302 */     GIR_EraseRootFromParent_Done,
     /*  878303 */   // Label 13425: @878303
     /*  878303 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(878375), // Rule ID 24999 //
     /*  878308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  878319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  878322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  878325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  878328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878354 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  878357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878373 */     GIR_RootConstrainSelectedInstOperands,
     /*  878374 */     // GIR_Coverage, 24999,
     /*  878374 */     GIR_EraseRootFromParent_Done,
     /*  878375 */   // Label 13426: @878375
     /*  878375 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(878447), // Rule ID 25000 //
     /*  878380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878426 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  878429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878445 */     GIR_RootConstrainSelectedInstOperands,
     /*  878446 */     // GIR_Coverage, 25000,
     /*  878446 */     GIR_EraseRootFromParent_Done,
     /*  878447 */   // Label 13427: @878447
     /*  878447 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878519), // Rule ID 25001 //
     /*  878452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  878501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878517 */     GIR_RootConstrainSelectedInstOperands,
     /*  878518 */     // GIR_Coverage, 25001,
     /*  878518 */     GIR_EraseRootFromParent_Done,
     /*  878519 */   // Label 13428: @878519
     /*  878519 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878591), // Rule ID 25002 //
     /*  878524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  878541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  878573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878589 */     GIR_RootConstrainSelectedInstOperands,
     /*  878590 */     // GIR_Coverage, 25002,
     /*  878590 */     GIR_EraseRootFromParent_Done,
     /*  878591 */   // Label 13429: @878591
     /*  878591 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878663), // Rule ID 25003 //
     /*  878596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  878607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  878610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  878613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  878645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878661 */     GIR_RootConstrainSelectedInstOperands,
     /*  878662 */     // GIR_Coverage, 25003,
     /*  878662 */     GIR_EraseRootFromParent_Done,
     /*  878663 */   // Label 13430: @878663
     /*  878663 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878735), // Rule ID 25004 //
     /*  878668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  878685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  878717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878733 */     GIR_RootConstrainSelectedInstOperands,
     /*  878734 */     // GIR_Coverage, 25004,
     /*  878734 */     GIR_EraseRootFromParent_Done,
     /*  878735 */   // Label 13431: @878735
     /*  878735 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878807), // Rule ID 25005 //
     /*  878740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  878751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  878754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  878757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  878789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878805 */     GIR_RootConstrainSelectedInstOperands,
     /*  878806 */     // GIR_Coverage, 25005,
     /*  878806 */     GIR_EraseRootFromParent_Done,
     /*  878807 */   // Label 13432: @878807
     /*  878807 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(878879), // Rule ID 25006 //
     /*  878812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  878823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  878826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  878829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  878832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  878858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  878861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878877 */     GIR_RootConstrainSelectedInstOperands,
     /*  878878 */     // GIR_Coverage, 25006,
     /*  878878 */     GIR_EraseRootFromParent_Done,
     /*  878879 */   // Label 13433: @878879
     /*  878879 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(878951), // Rule ID 25007 //
     /*  878884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  878895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  878898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  878901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  878904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  878930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  878933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878949 */     GIR_RootConstrainSelectedInstOperands,
     /*  878950 */     // GIR_Coverage, 25007,
     /*  878950 */     GIR_EraseRootFromParent_Done,
     /*  878951 */   // Label 13434: @878951
     /*  878951 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(879023), // Rule ID 25008 //
     /*  878956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  878967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  878970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  878973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  879005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879021 */     GIR_RootConstrainSelectedInstOperands,
     /*  879022 */     // GIR_Coverage, 25008,
     /*  879022 */     GIR_EraseRootFromParent_Done,
     /*  879023 */   // Label 13435: @879023
     /*  879023 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(879095), // Rule ID 25009 //
     /*  879028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  879077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879093 */     GIR_RootConstrainSelectedInstOperands,
     /*  879094 */     // GIR_Coverage, 25009,
     /*  879094 */     GIR_EraseRootFromParent_Done,
     /*  879095 */   // Label 13436: @879095
     /*  879095 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(879167), // Rule ID 25010 //
     /*  879100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  879117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  879149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879165 */     GIR_RootConstrainSelectedInstOperands,
     /*  879166 */     // GIR_Coverage, 25010,
     /*  879166 */     GIR_EraseRootFromParent_Done,
     /*  879167 */   // Label 13437: @879167
     /*  879167 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(879239), // Rule ID 25011 //
     /*  879172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  879189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879218 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  879221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879237 */     GIR_RootConstrainSelectedInstOperands,
     /*  879238 */     // GIR_Coverage, 25011,
     /*  879238 */     GIR_EraseRootFromParent_Done,
     /*  879239 */   // Label 13438: @879239
     /*  879239 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(879311), // Rule ID 25012 //
     /*  879244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  879261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  879264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  879293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879309 */     GIR_RootConstrainSelectedInstOperands,
     /*  879310 */     // GIR_Coverage, 25012,
     /*  879310 */     GIR_EraseRootFromParent_Done,
     /*  879311 */   // Label 13439: @879311
     /*  879311 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(879383), // Rule ID 25013 //
     /*  879316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  879333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  879336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  879362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  879365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879381 */     GIR_RootConstrainSelectedInstOperands,
     /*  879382 */     // GIR_Coverage, 25013,
     /*  879382 */     GIR_EraseRootFromParent_Done,
     /*  879383 */   // Label 13440: @879383
     /*  879383 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(879455), // Rule ID 25014 //
     /*  879388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  879405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  879437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879453 */     GIR_RootConstrainSelectedInstOperands,
     /*  879454 */     // GIR_Coverage, 25014,
     /*  879454 */     GIR_EraseRootFromParent_Done,
     /*  879455 */   // Label 13441: @879455
     /*  879455 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879527), // Rule ID 25015 //
     /*  879460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  879471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  879474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  879477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  879506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  879509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879525 */     GIR_RootConstrainSelectedInstOperands,
     /*  879526 */     // GIR_Coverage, 25015,
     /*  879526 */     GIR_EraseRootFromParent_Done,
     /*  879527 */   // Label 13442: @879527
     /*  879527 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879599), // Rule ID 25016 //
     /*  879532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  879549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  879581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879597 */     GIR_RootConstrainSelectedInstOperands,
     /*  879598 */     // GIR_Coverage, 25016,
     /*  879598 */     GIR_EraseRootFromParent_Done,
     /*  879599 */   // Label 13443: @879599
     /*  879599 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879671), // Rule ID 25017 //
     /*  879604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  879615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  879618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  879621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  879650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  879653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879669 */     GIR_RootConstrainSelectedInstOperands,
     /*  879670 */     // GIR_Coverage, 25017,
     /*  879670 */     GIR_EraseRootFromParent_Done,
     /*  879671 */   // Label 13444: @879671
     /*  879671 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879743), // Rule ID 25018 //
     /*  879676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  879679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  879696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879722 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  879725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879741 */     GIR_RootConstrainSelectedInstOperands,
     /*  879742 */     // GIR_Coverage, 25018,
     /*  879742 */     GIR_EraseRootFromParent_Done,
     /*  879743 */   // Label 13445: @879743
     /*  879743 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(879815), // Rule ID 25019 //
     /*  879748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  879751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  879768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879794 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  879797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879813 */     GIR_RootConstrainSelectedInstOperands,
     /*  879814 */     // GIR_Coverage, 25019,
     /*  879814 */     GIR_EraseRootFromParent_Done,
     /*  879815 */   // Label 13446: @879815
     /*  879815 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(879887), // Rule ID 25020 //
     /*  879820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  879823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  879840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879866 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  879869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879885 */     GIR_RootConstrainSelectedInstOperands,
     /*  879886 */     // GIR_Coverage, 25020,
     /*  879886 */     GIR_EraseRootFromParent_Done,
     /*  879887 */   // Label 13447: @879887
     /*  879887 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(879959), // Rule ID 25021 //
     /*  879892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  879895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  879912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  879941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879957 */     GIR_RootConstrainSelectedInstOperands,
     /*  879958 */     // GIR_Coverage, 25021,
     /*  879958 */     GIR_EraseRootFromParent_Done,
     /*  879959 */   // Label 13448: @879959
     /*  879959 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(880031), // Rule ID 25022 //
     /*  879964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  879967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  879981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  879984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880010 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  880013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880029 */     GIR_RootConstrainSelectedInstOperands,
     /*  880030 */     // GIR_Coverage, 25022,
     /*  880030 */     GIR_EraseRootFromParent_Done,
     /*  880031 */   // Label 13449: @880031
     /*  880031 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(880103), // Rule ID 25023 //
     /*  880036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  880039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  880053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880082 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  880085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880101 */     GIR_RootConstrainSelectedInstOperands,
     /*  880102 */     // GIR_Coverage, 25023,
     /*  880102 */     GIR_EraseRootFromParent_Done,
     /*  880103 */   // Label 13450: @880103
     /*  880103 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(880175), // Rule ID 25024 //
     /*  880108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880154 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  880157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880173 */     GIR_RootConstrainSelectedInstOperands,
     /*  880174 */     // GIR_Coverage, 25024,
     /*  880174 */     GIR_EraseRootFromParent_Done,
     /*  880175 */   // Label 13451: @880175
     /*  880175 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(880247), // Rule ID 25025 //
     /*  880180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880226 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  880229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880245 */     GIR_RootConstrainSelectedInstOperands,
     /*  880246 */     // GIR_Coverage, 25025,
     /*  880246 */     GIR_EraseRootFromParent_Done,
     /*  880247 */   // Label 13452: @880247
     /*  880247 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(880319), // Rule ID 25026 //
     /*  880252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  880263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  880266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880298 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  880301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880317 */     GIR_RootConstrainSelectedInstOperands,
     /*  880318 */     // GIR_Coverage, 25026,
     /*  880318 */     GIR_EraseRootFromParent_Done,
     /*  880319 */   // Label 13453: @880319
     /*  880319 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(880391), // Rule ID 25027 //
     /*  880324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  880335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  880338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880370 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  880373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880389 */     GIR_RootConstrainSelectedInstOperands,
     /*  880390 */     // GIR_Coverage, 25027,
     /*  880390 */     GIR_EraseRootFromParent_Done,
     /*  880391 */   // Label 13454: @880391
     /*  880391 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(880463), // Rule ID 25028 //
     /*  880396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  880407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  880410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  880416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  880445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880461 */     GIR_RootConstrainSelectedInstOperands,
     /*  880462 */     // GIR_Coverage, 25028,
     /*  880462 */     GIR_EraseRootFromParent_Done,
     /*  880463 */   // Label 13455: @880463
     /*  880463 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880535), // Rule ID 25029 //
     /*  880468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  880479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  880482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  880488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880514 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  880517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880533 */     GIR_RootConstrainSelectedInstOperands,
     /*  880534 */     // GIR_Coverage, 25029,
     /*  880534 */     GIR_EraseRootFromParent_Done,
     /*  880535 */   // Label 13456: @880535
     /*  880535 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880607), // Rule ID 25030 //
     /*  880540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  880543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880586 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  880589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880605 */     GIR_RootConstrainSelectedInstOperands,
     /*  880606 */     // GIR_Coverage, 25030,
     /*  880606 */     GIR_EraseRootFromParent_Done,
     /*  880607 */   // Label 13457: @880607
     /*  880607 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880679), // Rule ID 25031 //
     /*  880612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  880615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880658 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  880661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880677 */     GIR_RootConstrainSelectedInstOperands,
     /*  880678 */     // GIR_Coverage, 25031,
     /*  880678 */     GIR_EraseRootFromParent_Done,
     /*  880679 */   // Label 13458: @880679
     /*  880679 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880751), // Rule ID 25032 //
     /*  880684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  880687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880730 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  880733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880749 */     GIR_RootConstrainSelectedInstOperands,
     /*  880750 */     // GIR_Coverage, 25032,
     /*  880750 */     GIR_EraseRootFromParent_Done,
     /*  880751 */   // Label 13459: @880751
     /*  880751 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(880823), // Rule ID 25033 //
     /*  880756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  880759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880802 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  880805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880821 */     GIR_RootConstrainSelectedInstOperands,
     /*  880822 */     // GIR_Coverage, 25033,
     /*  880822 */     GIR_EraseRootFromParent_Done,
     /*  880823 */   // Label 13460: @880823
     /*  880823 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(880895), // Rule ID 25034 //
     /*  880828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  880831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  880845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880874 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  880877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880893 */     GIR_RootConstrainSelectedInstOperands,
     /*  880894 */     // GIR_Coverage, 25034,
     /*  880894 */     GIR_EraseRootFromParent_Done,
     /*  880895 */   // Label 13461: @880895
     /*  880895 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(880967), // Rule ID 25035 //
     /*  880900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  880903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  880917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880946 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  880949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880965 */     GIR_RootConstrainSelectedInstOperands,
     /*  880966 */     // GIR_Coverage, 25035,
     /*  880966 */     GIR_EraseRootFromParent_Done,
     /*  880967 */   // Label 13462: @880967
     /*  880967 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(881039), // Rule ID 25036 //
     /*  880972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  880975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881018 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  881021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881037 */     GIR_RootConstrainSelectedInstOperands,
     /*  881038 */     // GIR_Coverage, 25036,
     /*  881038 */     GIR_EraseRootFromParent_Done,
     /*  881039 */   // Label 13463: @881039
     /*  881039 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(881111), // Rule ID 25037 //
     /*  881044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  881055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  881058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  881064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881090 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  881093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881109 */     GIR_RootConstrainSelectedInstOperands,
     /*  881110 */     // GIR_Coverage, 25037,
     /*  881110 */     GIR_EraseRootFromParent_Done,
     /*  881111 */   // Label 13464: @881111
     /*  881111 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(881183), // Rule ID 25038 //
     /*  881116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  881127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  881130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  881136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881162 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  881165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881181 */     GIR_RootConstrainSelectedInstOperands,
     /*  881182 */     // GIR_Coverage, 25038,
     /*  881182 */     GIR_EraseRootFromParent_Done,
     /*  881183 */   // Label 13465: @881183
     /*  881183 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(881255), // Rule ID 25039 //
     /*  881188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  881199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  881202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  881208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881234 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  881237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881253 */     GIR_RootConstrainSelectedInstOperands,
     /*  881254 */     // GIR_Coverage, 25039,
     /*  881254 */     GIR_EraseRootFromParent_Done,
     /*  881255 */   // Label 13466: @881255
     /*  881255 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(881327), // Rule ID 25040 //
     /*  881260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  881271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  881274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  881280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881306 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  881309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881325 */     GIR_RootConstrainSelectedInstOperands,
     /*  881326 */     // GIR_Coverage, 25040,
     /*  881326 */     GIR_EraseRootFromParent_Done,
     /*  881327 */   // Label 13467: @881327
     /*  881327 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(881399), // Rule ID 25041 //
     /*  881332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  881343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  881346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  881349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  881352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  881381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881397 */     GIR_RootConstrainSelectedInstOperands,
     /*  881398 */     // GIR_Coverage, 25041,
     /*  881398 */     GIR_EraseRootFromParent_Done,
     /*  881399 */   // Label 13468: @881399
     /*  881399 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(881471), // Rule ID 25042 //
     /*  881404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881450 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  881453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881469 */     GIR_RootConstrainSelectedInstOperands,
     /*  881470 */     // GIR_Coverage, 25042,
     /*  881470 */     GIR_EraseRootFromParent_Done,
     /*  881471 */   // Label 13469: @881471
     /*  881471 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881543), // Rule ID 25043 //
     /*  881476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881522 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  881525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881541 */     GIR_RootConstrainSelectedInstOperands,
     /*  881542 */     // GIR_Coverage, 25043,
     /*  881542 */     GIR_EraseRootFromParent_Done,
     /*  881543 */   // Label 13470: @881543
     /*  881543 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881615), // Rule ID 25044 //
     /*  881548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  881568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881594 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  881597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881613 */     GIR_RootConstrainSelectedInstOperands,
     /*  881614 */     // GIR_Coverage, 25044,
     /*  881614 */     GIR_EraseRootFromParent_Done,
     /*  881615 */   // Label 13471: @881615
     /*  881615 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881687), // Rule ID 25045 //
     /*  881620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  881640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881666 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  881669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881685 */     GIR_RootConstrainSelectedInstOperands,
     /*  881686 */     // GIR_Coverage, 25045,
     /*  881686 */     GIR_EraseRootFromParent_Done,
     /*  881687 */   // Label 13472: @881687
     /*  881687 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(881759), // Rule ID 25046 //
     /*  881692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  881709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  881712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881738 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  881741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881757 */     GIR_RootConstrainSelectedInstOperands,
     /*  881758 */     // GIR_Coverage, 25046,
     /*  881758 */     GIR_EraseRootFromParent_Done,
     /*  881759 */   // Label 13473: @881759
     /*  881759 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(881831), // Rule ID 25047 //
     /*  881764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  881781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  881784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881810 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  881813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881829 */     GIR_RootConstrainSelectedInstOperands,
     /*  881830 */     // GIR_Coverage, 25047,
     /*  881830 */     GIR_EraseRootFromParent_Done,
     /*  881831 */   // Label 13474: @881831
     /*  881831 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(881906), // Rule ID 60502 //
     /*  881836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  881839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  881844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  881847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  881850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  881856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881882 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  881885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881904 */     GIR_RootConstrainSelectedInstOperands,
     /*  881905 */     // GIR_Coverage, 60502,
     /*  881905 */     GIR_EraseRootFromParent_Done,
     /*  881906 */   // Label 13475: @881906
     /*  881906 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(881981), // Rule ID 60503 //
     /*  881911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  881914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  881919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  881922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  881925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  881928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  881931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881957 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  881960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881979 */     GIR_RootConstrainSelectedInstOperands,
     /*  881980 */     // GIR_Coverage, 60503,
     /*  881980 */     GIR_EraseRootFromParent_Done,
     /*  881981 */   // Label 13476: @881981
     /*  881981 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(882056), // Rule ID 60860 //
     /*  881986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  881989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  881994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  881997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  882003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  882006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  882035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882054 */     GIR_RootConstrainSelectedInstOperands,
     /*  882055 */     // GIR_Coverage, 60860,
     /*  882055 */     GIR_EraseRootFromParent_Done,
     /*  882056 */   // Label 13477: @882056
     /*  882056 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(882131), // Rule ID 60861 //
     /*  882061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  882072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  882078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  882081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882107 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  882110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882129 */     GIR_RootConstrainSelectedInstOperands,
     /*  882130 */     // GIR_Coverage, 60861,
     /*  882130 */     GIR_EraseRootFromParent_Done,
     /*  882131 */   // Label 13478: @882131
     /*  882131 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(882206), // Rule ID 60864 //
     /*  882136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  882153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  882156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882182 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  882185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882204 */     GIR_RootConstrainSelectedInstOperands,
     /*  882205 */     // GIR_Coverage, 60864,
     /*  882205 */     GIR_EraseRootFromParent_Done,
     /*  882206 */   // Label 13479: @882206
     /*  882206 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(882281), // Rule ID 60865 //
     /*  882211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  882228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  882231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882257 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  882260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882279 */     GIR_RootConstrainSelectedInstOperands,
     /*  882280 */     // GIR_Coverage, 60865,
     /*  882280 */     GIR_EraseRootFromParent_Done,
     /*  882281 */   // Label 13480: @882281
     /*  882281 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(882356), // Rule ID 60868 //
     /*  882286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  882297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  882300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  882303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  882306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  882335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882354 */     GIR_RootConstrainSelectedInstOperands,
     /*  882355 */     // GIR_Coverage, 60868,
     /*  882355 */     GIR_EraseRootFromParent_Done,
     /*  882356 */   // Label 13481: @882356
     /*  882356 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(882431), // Rule ID 60869 //
     /*  882361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  882372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  882375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  882378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  882381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  882410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882429 */     GIR_RootConstrainSelectedInstOperands,
     /*  882430 */     // GIR_Coverage, 60869,
     /*  882430 */     GIR_EraseRootFromParent_Done,
     /*  882431 */   // Label 13482: @882431
     /*  882431 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882506), // Rule ID 60872 //
     /*  882436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  882447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  882450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  882456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  882485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882504 */     GIR_RootConstrainSelectedInstOperands,
     /*  882505 */     // GIR_Coverage, 60872,
     /*  882505 */     GIR_EraseRootFromParent_Done,
     /*  882506 */   // Label 13483: @882506
     /*  882506 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882581), // Rule ID 60873 //
     /*  882511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  882522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  882525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  882531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  882560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882579 */     GIR_RootConstrainSelectedInstOperands,
     /*  882580 */     // GIR_Coverage, 60873,
     /*  882580 */     GIR_EraseRootFromParent_Done,
     /*  882581 */   // Label 13484: @882581
     /*  882581 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882656), // Rule ID 60876 //
     /*  882586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  882597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  882600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  882603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  882606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882632 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  882635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882654 */     GIR_RootConstrainSelectedInstOperands,
     /*  882655 */     // GIR_Coverage, 60876,
     /*  882655 */     GIR_EraseRootFromParent_Done,
     /*  882656 */   // Label 13485: @882656
     /*  882656 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(882731), // Rule ID 60877 //
     /*  882661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  882672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  882675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  882678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  882681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882707 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  882710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882729 */     GIR_RootConstrainSelectedInstOperands,
     /*  882730 */     // GIR_Coverage, 60877,
     /*  882730 */     GIR_EraseRootFromParent_Done,
     /*  882731 */   // Label 13486: @882731
     /*  882731 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(882806), // Rule ID 60880 //
     /*  882736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  882747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  882750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  882753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  882756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  882785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882804 */     GIR_RootConstrainSelectedInstOperands,
     /*  882805 */     // GIR_Coverage, 60880,
     /*  882805 */     GIR_EraseRootFromParent_Done,
     /*  882806 */   // Label 13487: @882806
     /*  882806 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(882881), // Rule ID 60881 //
     /*  882811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  882822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  882825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  882828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  882831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882857 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  882860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882879 */     GIR_RootConstrainSelectedInstOperands,
     /*  882880 */     // GIR_Coverage, 60881,
     /*  882880 */     GIR_EraseRootFromParent_Done,
     /*  882881 */   // Label 13488: @882881
     /*  882881 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(882956), // Rule ID 60884 //
     /*  882886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  882903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  882906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  882932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  882935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882954 */     GIR_RootConstrainSelectedInstOperands,
     /*  882955 */     // GIR_Coverage, 60884,
     /*  882955 */     GIR_EraseRootFromParent_Done,
     /*  882956 */   // Label 13489: @882956
     /*  882956 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(883031), // Rule ID 60885 //
     /*  882961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  882978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  882981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883007 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  883010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883029 */     GIR_RootConstrainSelectedInstOperands,
     /*  883030 */     // GIR_Coverage, 60885,
     /*  883030 */     GIR_EraseRootFromParent_Done,
     /*  883031 */   // Label 13490: @883031
     /*  883031 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(883106), // Rule ID 60888 //
     /*  883036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  883047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  883050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883082 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883104 */     GIR_RootConstrainSelectedInstOperands,
     /*  883105 */     // GIR_Coverage, 60888,
     /*  883105 */     GIR_EraseRootFromParent_Done,
     /*  883106 */   // Label 13491: @883106
     /*  883106 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(883181), // Rule ID 60889 //
     /*  883111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  883122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  883125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883179 */     GIR_RootConstrainSelectedInstOperands,
     /*  883180 */     // GIR_Coverage, 60889,
     /*  883180 */     GIR_EraseRootFromParent_Done,
     /*  883181 */   // Label 13492: @883181
     /*  883181 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(883256), // Rule ID 60892 //
     /*  883186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  883197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  883200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  883203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  883206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883254 */     GIR_RootConstrainSelectedInstOperands,
     /*  883255 */     // GIR_Coverage, 60892,
     /*  883255 */     GIR_EraseRootFromParent_Done,
     /*  883256 */   // Label 13493: @883256
     /*  883256 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(883331), // Rule ID 60893 //
     /*  883261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  883272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  883275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  883278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  883281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883329 */     GIR_RootConstrainSelectedInstOperands,
     /*  883330 */     // GIR_Coverage, 60893,
     /*  883330 */     GIR_EraseRootFromParent_Done,
     /*  883331 */   // Label 13494: @883331
     /*  883331 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(883406), // Rule ID 60896 //
     /*  883336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  883347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  883350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  883356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  883385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883404 */     GIR_RootConstrainSelectedInstOperands,
     /*  883405 */     // GIR_Coverage, 60896,
     /*  883405 */     GIR_EraseRootFromParent_Done,
     /*  883406 */   // Label 13495: @883406
     /*  883406 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(883481), // Rule ID 60897 //
     /*  883411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  883422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  883425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  883431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  883460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883479 */     GIR_RootConstrainSelectedInstOperands,
     /*  883480 */     // GIR_Coverage, 60897,
     /*  883480 */     GIR_EraseRootFromParent_Done,
     /*  883481 */   // Label 13496: @883481
     /*  883481 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883556), // Rule ID 60900 //
     /*  883486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  883497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  883500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  883503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  883506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  883535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883554 */     GIR_RootConstrainSelectedInstOperands,
     /*  883555 */     // GIR_Coverage, 60900,
     /*  883555 */     GIR_EraseRootFromParent_Done,
     /*  883556 */   // Label 13497: @883556
     /*  883556 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883631), // Rule ID 60901 //
     /*  883561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  883572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  883575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  883578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  883581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883607 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  883610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883629 */     GIR_RootConstrainSelectedInstOperands,
     /*  883630 */     // GIR_Coverage, 60901,
     /*  883630 */     GIR_EraseRootFromParent_Done,
     /*  883631 */   // Label 13498: @883631
     /*  883631 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883706), // Rule ID 60904 //
     /*  883636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  883653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  883656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  883682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883704 */     GIR_RootConstrainSelectedInstOperands,
     /*  883705 */     // GIR_Coverage, 60904,
     /*  883705 */     GIR_EraseRootFromParent_Done,
     /*  883706 */   // Label 13499: @883706
     /*  883706 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(883781), // Rule ID 60905 //
     /*  883711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  883728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  883731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883757 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  883757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883779 */     GIR_RootConstrainSelectedInstOperands,
     /*  883780 */     // GIR_Coverage, 60905,
     /*  883780 */     GIR_EraseRootFromParent_Done,
     /*  883781 */   // Label 13500: @883781
     /*  883781 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(883856), // Rule ID 60908 //
     /*  883786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  883803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  883806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  883832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883854 */     GIR_RootConstrainSelectedInstOperands,
     /*  883855 */     // GIR_Coverage, 60908,
     /*  883855 */     GIR_EraseRootFromParent_Done,
     /*  883856 */   // Label 13501: @883856
     /*  883856 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(883931), // Rule ID 60909 //
     /*  883861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  883872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  883875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  883878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  883881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883907 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  883907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883929 */     GIR_RootConstrainSelectedInstOperands,
     /*  883930 */     // GIR_Coverage, 60909,
     /*  883930 */     GIR_EraseRootFromParent_Done,
     /*  883931 */   // Label 13502: @883931
     /*  883931 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(884006), // Rule ID 60912 //
     /*  883936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  883947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  883950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  883953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  883956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  883982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  883985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884004 */     GIR_RootConstrainSelectedInstOperands,
     /*  884005 */     // GIR_Coverage, 60912,
     /*  884005 */     GIR_EraseRootFromParent_Done,
     /*  884006 */   // Label 13503: @884006
     /*  884006 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(884081), // Rule ID 60913 //
     /*  884011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  884031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884057 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  884060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884079 */     GIR_RootConstrainSelectedInstOperands,
     /*  884080 */     // GIR_Coverage, 60913,
     /*  884080 */     GIR_EraseRootFromParent_Done,
     /*  884081 */   // Label 13504: @884081
     /*  884081 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(884156), // Rule ID 60916 //
     /*  884086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  884106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884154 */     GIR_RootConstrainSelectedInstOperands,
     /*  884155 */     // GIR_Coverage, 60916,
     /*  884155 */     GIR_EraseRootFromParent_Done,
     /*  884156 */   // Label 13505: @884156
     /*  884156 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(884231), // Rule ID 60917 //
     /*  884161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  884181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884207 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884229 */     GIR_RootConstrainSelectedInstOperands,
     /*  884230 */     // GIR_Coverage, 60917,
     /*  884230 */     GIR_EraseRootFromParent_Done,
     /*  884231 */   // Label 13506: @884231
     /*  884231 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(884306), // Rule ID 60920 //
     /*  884236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  884285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884304 */     GIR_RootConstrainSelectedInstOperands,
     /*  884305 */     // GIR_Coverage, 60920,
     /*  884305 */     GIR_EraseRootFromParent_Done,
     /*  884306 */   // Label 13507: @884306
     /*  884306 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(884381), // Rule ID 60921 //
     /*  884311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884357 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  884360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884379 */     GIR_RootConstrainSelectedInstOperands,
     /*  884380 */     // GIR_Coverage, 60921,
     /*  884380 */     GIR_EraseRootFromParent_Done,
     /*  884381 */   // Label 13508: @884381
     /*  884381 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(884456), // Rule ID 60928 //
     /*  884386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  884397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  884400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  884435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884454 */     GIR_RootConstrainSelectedInstOperands,
     /*  884455 */     // GIR_Coverage, 60928,
     /*  884455 */     GIR_EraseRootFromParent_Done,
     /*  884456 */   // Label 13509: @884456
     /*  884456 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884531), // Rule ID 60929 //
     /*  884461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  884472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  884475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  884478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  884510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884529 */     GIR_RootConstrainSelectedInstOperands,
     /*  884530 */     // GIR_Coverage, 60929,
     /*  884530 */     GIR_EraseRootFromParent_Done,
     /*  884531 */   // Label 13510: @884531
     /*  884531 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884606), // Rule ID 60936 //
     /*  884536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  884547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  884550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  884585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884604 */     GIR_RootConstrainSelectedInstOperands,
     /*  884605 */     // GIR_Coverage, 60936,
     /*  884605 */     GIR_EraseRootFromParent_Done,
     /*  884606 */   // Label 13511: @884606
     /*  884606 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884681), // Rule ID 60937 //
     /*  884611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  884622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  884625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  884628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  884660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884679 */     GIR_RootConstrainSelectedInstOperands,
     /*  884680 */     // GIR_Coverage, 60937,
     /*  884680 */     GIR_EraseRootFromParent_Done,
     /*  884681 */   // Label 13512: @884681
     /*  884681 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(884756), // Rule ID 60944 //
     /*  884686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  884697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  884700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  884703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  884735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884754 */     GIR_RootConstrainSelectedInstOperands,
     /*  884755 */     // GIR_Coverage, 60944,
     /*  884755 */     GIR_EraseRootFromParent_Done,
     /*  884756 */   // Label 13513: @884756
     /*  884756 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(884831), // Rule ID 60945 //
     /*  884761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  884772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  884775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  884778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884807 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  884810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884829 */     GIR_RootConstrainSelectedInstOperands,
     /*  884830 */     // GIR_Coverage, 60945,
     /*  884830 */     GIR_EraseRootFromParent_Done,
     /*  884831 */   // Label 13514: @884831
     /*  884831 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(884906), // Rule ID 60952 //
     /*  884836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  884847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  884850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  884853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884882 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  884885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884904 */     GIR_RootConstrainSelectedInstOperands,
     /*  884905 */     // GIR_Coverage, 60952,
     /*  884905 */     GIR_EraseRootFromParent_Done,
     /*  884906 */   // Label 13515: @884906
     /*  884906 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(884981), // Rule ID 60953 //
     /*  884911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  884922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  884925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  884928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  884960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884979 */     GIR_RootConstrainSelectedInstOperands,
     /*  884980 */     // GIR_Coverage, 60953,
     /*  884980 */     GIR_EraseRootFromParent_Done,
     /*  884981 */   // Label 13516: @884981
     /*  884981 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(885056), // Rule ID 60960 //
     /*  884986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  884997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  885003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885054 */     GIR_RootConstrainSelectedInstOperands,
     /*  885055 */     // GIR_Coverage, 60960,
     /*  885055 */     GIR_EraseRootFromParent_Done,
     /*  885056 */   // Label 13517: @885056
     /*  885056 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(885131), // Rule ID 60961 //
     /*  885061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  885072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  885078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885107 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885129 */     GIR_RootConstrainSelectedInstOperands,
     /*  885130 */     // GIR_Coverage, 60961,
     /*  885130 */     GIR_EraseRootFromParent_Done,
     /*  885131 */   // Label 13518: @885131
     /*  885131 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(885206), // Rule ID 60968 //
     /*  885136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885204 */     GIR_RootConstrainSelectedInstOperands,
     /*  885205 */     // GIR_Coverage, 60968,
     /*  885205 */     GIR_EraseRootFromParent_Done,
     /*  885206 */   // Label 13519: @885206
     /*  885206 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(885281), // Rule ID 60969 //
     /*  885211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885279 */     GIR_RootConstrainSelectedInstOperands,
     /*  885280 */     // GIR_Coverage, 60969,
     /*  885280 */     GIR_EraseRootFromParent_Done,
     /*  885281 */   // Label 13520: @885281
     /*  885281 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(885356), // Rule ID 60976 //
     /*  885286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  885335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885354 */     GIR_RootConstrainSelectedInstOperands,
     /*  885355 */     // GIR_Coverage, 60976,
     /*  885355 */     GIR_EraseRootFromParent_Done,
     /*  885356 */   // Label 13521: @885356
     /*  885356 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(885431), // Rule ID 60977 //
     /*  885361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  885410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885429 */     GIR_RootConstrainSelectedInstOperands,
     /*  885430 */     // GIR_Coverage, 60977,
     /*  885430 */     GIR_EraseRootFromParent_Done,
     /*  885431 */   // Label 13522: @885431
     /*  885431 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(885506), // Rule ID 60984 //
     /*  885436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  885447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  885450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  885485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885504 */     GIR_RootConstrainSelectedInstOperands,
     /*  885505 */     // GIR_Coverage, 60984,
     /*  885505 */     GIR_EraseRootFromParent_Done,
     /*  885506 */   // Label 13523: @885506
     /*  885506 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885581), // Rule ID 60985 //
     /*  885511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  885522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  885525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  885528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885557 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  885560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885579 */     GIR_RootConstrainSelectedInstOperands,
     /*  885580 */     // GIR_Coverage, 60985,
     /*  885580 */     GIR_EraseRootFromParent_Done,
     /*  885581 */   // Label 13524: @885581
     /*  885581 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885656), // Rule ID 60992 //
     /*  885586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  885597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  885600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  885603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885654 */     GIR_RootConstrainSelectedInstOperands,
     /*  885655 */     // GIR_Coverage, 60992,
     /*  885655 */     GIR_EraseRootFromParent_Done,
     /*  885656 */   // Label 13525: @885656
     /*  885656 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(885731), // Rule ID 60993 //
     /*  885661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  885672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  885675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  885678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885729 */     GIR_RootConstrainSelectedInstOperands,
     /*  885730 */     // GIR_Coverage, 60993,
     /*  885730 */     GIR_EraseRootFromParent_Done,
     /*  885731 */   // Label 13526: @885731
     /*  885731 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(885806), // Rule ID 61000 //
     /*  885736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  885747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  885750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  885753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885804 */     GIR_RootConstrainSelectedInstOperands,
     /*  885805 */     // GIR_Coverage, 61000,
     /*  885805 */     GIR_EraseRootFromParent_Done,
     /*  885806 */   // Label 13527: @885806
     /*  885806 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(885881), // Rule ID 61001 //
     /*  885811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  885822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  885825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  885828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885857 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885879 */     GIR_RootConstrainSelectedInstOperands,
     /*  885880 */     // GIR_Coverage, 61001,
     /*  885880 */     GIR_EraseRootFromParent_Done,
     /*  885881 */   // Label 13528: @885881
     /*  885881 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(885956), // Rule ID 61008 //
     /*  885886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  885897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  885900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  885935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885954 */     GIR_RootConstrainSelectedInstOperands,
     /*  885955 */     // GIR_Coverage, 61008,
     /*  885955 */     GIR_EraseRootFromParent_Done,
     /*  885956 */   // Label 13529: @885956
     /*  885956 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(886031), // Rule ID 61009 //
     /*  885961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  885972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  885975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  886010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886029 */     GIR_RootConstrainSelectedInstOperands,
     /*  886030 */     // GIR_Coverage, 61009,
     /*  886030 */     GIR_EraseRootFromParent_Done,
     /*  886031 */   // Label 13530: @886031
     /*  886031 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(886106), // Rule ID 61016 //
     /*  886036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886104 */     GIR_RootConstrainSelectedInstOperands,
     /*  886105 */     // GIR_Coverage, 61016,
     /*  886105 */     GIR_EraseRootFromParent_Done,
     /*  886106 */   // Label 13531: @886106
     /*  886106 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(886181), // Rule ID 61017 //
     /*  886111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886179 */     GIR_RootConstrainSelectedInstOperands,
     /*  886180 */     // GIR_Coverage, 61017,
     /*  886180 */     GIR_EraseRootFromParent_Done,
     /*  886181 */   // Label 13532: @886181
     /*  886181 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(886256), // Rule ID 61024 //
     /*  886186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886254 */     GIR_RootConstrainSelectedInstOperands,
     /*  886255 */     // GIR_Coverage, 61024,
     /*  886255 */     GIR_EraseRootFromParent_Done,
     /*  886256 */   // Label 13533: @886256
     /*  886256 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(886331), // Rule ID 61025 //
     /*  886261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886307 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886329 */     GIR_RootConstrainSelectedInstOperands,
     /*  886330 */     // GIR_Coverage, 61025,
     /*  886330 */     GIR_EraseRootFromParent_Done,
     /*  886331 */   // Label 13534: @886331
     /*  886331 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(886406), // Rule ID 61032 //
     /*  886336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  886347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  886350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  886385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886404 */     GIR_RootConstrainSelectedInstOperands,
     /*  886405 */     // GIR_Coverage, 61032,
     /*  886405 */     GIR_EraseRootFromParent_Done,
     /*  886406 */   // Label 13535: @886406
     /*  886406 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(886481), // Rule ID 61033 //
     /*  886411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  886422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  886425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  886428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886457 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  886460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886479 */     GIR_RootConstrainSelectedInstOperands,
     /*  886480 */     // GIR_Coverage, 61033,
     /*  886480 */     GIR_EraseRootFromParent_Done,
     /*  886481 */   // Label 13536: @886481
     /*  886481 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886556), // Rule ID 61040 //
     /*  886486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  886489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  886535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886554 */     GIR_RootConstrainSelectedInstOperands,
     /*  886555 */     // GIR_Coverage, 61040,
     /*  886555 */     GIR_EraseRootFromParent_Done,
     /*  886556 */   // Label 13537: @886556
     /*  886556 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886631), // Rule ID 61041 //
     /*  886561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  886564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  886610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886629 */     GIR_RootConstrainSelectedInstOperands,
     /*  886630 */     // GIR_Coverage, 61041,
     /*  886630 */     GIR_EraseRootFromParent_Done,
     /*  886631 */   // Label 13538: @886631
     /*  886631 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886706), // Rule ID 61044 //
     /*  886636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  886639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  886653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  886656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  886685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886704 */     GIR_RootConstrainSelectedInstOperands,
     /*  886705 */     // GIR_Coverage, 61044,
     /*  886705 */     GIR_EraseRootFromParent_Done,
     /*  886706 */   // Label 13539: @886706
     /*  886706 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(886781), // Rule ID 61045 //
     /*  886711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  886714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  886728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  886731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886757 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  886760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886779 */     GIR_RootConstrainSelectedInstOperands,
     /*  886780 */     // GIR_Coverage, 61045,
     /*  886780 */     GIR_EraseRootFromParent_Done,
     /*  886781 */   // Label 13540: @886781
     /*  886781 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(886856), // Rule ID 61048 //
     /*  886786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  886789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  886803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  886806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  886835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886854 */     GIR_RootConstrainSelectedInstOperands,
     /*  886855 */     // GIR_Coverage, 61048,
     /*  886855 */     GIR_EraseRootFromParent_Done,
     /*  886856 */   // Label 13541: @886856
     /*  886856 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(886931), // Rule ID 61049 //
     /*  886861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  886864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  886878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  886881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  886910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886929 */     GIR_RootConstrainSelectedInstOperands,
     /*  886930 */     // GIR_Coverage, 61049,
     /*  886930 */     GIR_EraseRootFromParent_Done,
     /*  886931 */   // Label 13542: @886931
     /*  886931 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(887006), // Rule ID 61052 //
     /*  886936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  886939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  886944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  886947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  886950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  886953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  886956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  886985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887004 */     GIR_RootConstrainSelectedInstOperands,
     /*  887005 */     // GIR_Coverage, 61052,
     /*  887005 */     GIR_EraseRootFromParent_Done,
     /*  887006 */   // Label 13543: @887006
     /*  887006 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(887081), // Rule ID 61053 //
     /*  887011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  887060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887079 */     GIR_RootConstrainSelectedInstOperands,
     /*  887080 */     // GIR_Coverage, 61053,
     /*  887080 */     GIR_EraseRootFromParent_Done,
     /*  887081 */   // Label 13544: @887081
     /*  887081 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(887156), // Rule ID 61056 //
     /*  887086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  887135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887154 */     GIR_RootConstrainSelectedInstOperands,
     /*  887155 */     // GIR_Coverage, 61056,
     /*  887155 */     GIR_EraseRootFromParent_Done,
     /*  887156 */   // Label 13545: @887156
     /*  887156 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(887231), // Rule ID 61057 //
     /*  887161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  887210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887229 */     GIR_RootConstrainSelectedInstOperands,
     /*  887230 */     // GIR_Coverage, 61057,
     /*  887230 */     GIR_EraseRootFromParent_Done,
     /*  887231 */   // Label 13546: @887231
     /*  887231 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(887306), // Rule ID 61060 //
     /*  887236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887282 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  887285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887304 */     GIR_RootConstrainSelectedInstOperands,
     /*  887305 */     // GIR_Coverage, 61060,
     /*  887305 */     GIR_EraseRootFromParent_Done,
     /*  887306 */   // Label 13547: @887306
     /*  887306 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(887381), // Rule ID 61061 //
     /*  887311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  887360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887379 */     GIR_RootConstrainSelectedInstOperands,
     /*  887380 */     // GIR_Coverage, 61061,
     /*  887380 */     GIR_EraseRootFromParent_Done,
     /*  887381 */   // Label 13548: @887381
     /*  887381 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(887456), // Rule ID 61064 //
     /*  887386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  887435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887454 */     GIR_RootConstrainSelectedInstOperands,
     /*  887455 */     // GIR_Coverage, 61064,
     /*  887455 */     GIR_EraseRootFromParent_Done,
     /*  887456 */   // Label 13549: @887456
     /*  887456 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887531), // Rule ID 61065 //
     /*  887461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  887510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887529 */     GIR_RootConstrainSelectedInstOperands,
     /*  887530 */     // GIR_Coverage, 61065,
     /*  887530 */     GIR_EraseRootFromParent_Done,
     /*  887531 */   // Label 13550: @887531
     /*  887531 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887606), // Rule ID 61068 //
     /*  887536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  887585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887604 */     GIR_RootConstrainSelectedInstOperands,
     /*  887605 */     // GIR_Coverage, 61068,
     /*  887605 */     GIR_EraseRootFromParent_Done,
     /*  887606 */   // Label 13551: @887606
     /*  887606 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887681), // Rule ID 61069 //
     /*  887611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  887660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887679 */     GIR_RootConstrainSelectedInstOperands,
     /*  887680 */     // GIR_Coverage, 61069,
     /*  887680 */     GIR_EraseRootFromParent_Done,
     /*  887681 */   // Label 13552: @887681
     /*  887681 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(887756), // Rule ID 61072 //
     /*  887686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  887694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  887706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  887735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887754 */     GIR_RootConstrainSelectedInstOperands,
     /*  887755 */     // GIR_Coverage, 61072,
     /*  887755 */     GIR_EraseRootFromParent_Done,
     /*  887756 */   // Label 13553: @887756
     /*  887756 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(887831), // Rule ID 61073 //
     /*  887761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  887769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  887781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887807 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  887810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887829 */     GIR_RootConstrainSelectedInstOperands,
     /*  887830 */     // GIR_Coverage, 61073,
     /*  887830 */     GIR_EraseRootFromParent_Done,
     /*  887831 */   // Label 13554: @887831
     /*  887831 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(887906), // Rule ID 61076 //
     /*  887836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  887844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  887885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887904 */     GIR_RootConstrainSelectedInstOperands,
     /*  887905 */     // GIR_Coverage, 61076,
     /*  887905 */     GIR_EraseRootFromParent_Done,
     /*  887906 */   // Label 13555: @887906
     /*  887906 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(887981), // Rule ID 61077 //
     /*  887911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  887919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887957 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  887960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887979 */     GIR_RootConstrainSelectedInstOperands,
     /*  887980 */     // GIR_Coverage, 61077,
     /*  887980 */     GIR_EraseRootFromParent_Done,
     /*  887981 */   // Label 13556: @887981
     /*  887981 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(888056), // Rule ID 61080 //
     /*  887986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  887994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  888035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888054 */     GIR_RootConstrainSelectedInstOperands,
     /*  888055 */     // GIR_Coverage, 61080,
     /*  888055 */     GIR_EraseRootFromParent_Done,
     /*  888056 */   // Label 13557: @888056
     /*  888056 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(888131), // Rule ID 61081 //
     /*  888061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  888110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888129 */     GIR_RootConstrainSelectedInstOperands,
     /*  888130 */     // GIR_Coverage, 61081,
     /*  888130 */     GIR_EraseRootFromParent_Done,
     /*  888131 */   // Label 13558: @888131
     /*  888131 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(888206), // Rule ID 61084 //
     /*  888136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  888185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888204 */     GIR_RootConstrainSelectedInstOperands,
     /*  888205 */     // GIR_Coverage, 61084,
     /*  888205 */     GIR_EraseRootFromParent_Done,
     /*  888206 */   // Label 13559: @888206
     /*  888206 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(888281), // Rule ID 61085 //
     /*  888211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888257 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  888260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888279 */     GIR_RootConstrainSelectedInstOperands,
     /*  888280 */     // GIR_Coverage, 61085,
     /*  888280 */     GIR_EraseRootFromParent_Done,
     /*  888281 */   // Label 13560: @888281
     /*  888281 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(888356), // Rule ID 61088 //
     /*  888286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  888335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888354 */     GIR_RootConstrainSelectedInstOperands,
     /*  888355 */     // GIR_Coverage, 61088,
     /*  888355 */     GIR_EraseRootFromParent_Done,
     /*  888356 */   // Label 13561: @888356
     /*  888356 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(888431), // Rule ID 61089 //
     /*  888361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  888410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888429 */     GIR_RootConstrainSelectedInstOperands,
     /*  888430 */     // GIR_Coverage, 61089,
     /*  888430 */     GIR_EraseRootFromParent_Done,
     /*  888431 */   // Label 13562: @888431
     /*  888431 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(888506), // Rule ID 61092 //
     /*  888436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  888485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888504 */     GIR_RootConstrainSelectedInstOperands,
     /*  888505 */     // GIR_Coverage, 61092,
     /*  888505 */     GIR_EraseRootFromParent_Done,
     /*  888506 */   // Label 13563: @888506
     /*  888506 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888581), // Rule ID 61093 //
     /*  888511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888557 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  888560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888579 */     GIR_RootConstrainSelectedInstOperands,
     /*  888580 */     // GIR_Coverage, 61093,
     /*  888580 */     GIR_EraseRootFromParent_Done,
     /*  888581 */   // Label 13564: @888581
     /*  888581 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888656), // Rule ID 61096 //
     /*  888586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  888635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888654 */     GIR_RootConstrainSelectedInstOperands,
     /*  888655 */     // GIR_Coverage, 61096,
     /*  888655 */     GIR_EraseRootFromParent_Done,
     /*  888656 */   // Label 13565: @888656
     /*  888656 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(888731), // Rule ID 61097 //
     /*  888661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  888710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888729 */     GIR_RootConstrainSelectedInstOperands,
     /*  888730 */     // GIR_Coverage, 61097,
     /*  888730 */     GIR_EraseRootFromParent_Done,
     /*  888731 */   // Label 13566: @888731
     /*  888731 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(888806), // Rule ID 61100 //
     /*  888736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  888785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888804 */     GIR_RootConstrainSelectedInstOperands,
     /*  888805 */     // GIR_Coverage, 61100,
     /*  888805 */     GIR_EraseRootFromParent_Done,
     /*  888806 */   // Label 13567: @888806
     /*  888806 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(888881), // Rule ID 61101 //
     /*  888811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888857 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  888860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888879 */     GIR_RootConstrainSelectedInstOperands,
     /*  888880 */     // GIR_Coverage, 61101,
     /*  888880 */     GIR_EraseRootFromParent_Done,
     /*  888881 */   // Label 13568: @888881
     /*  888881 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(888956), // Rule ID 61104 //
     /*  888886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  888906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888932 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  888935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888954 */     GIR_RootConstrainSelectedInstOperands,
     /*  888955 */     // GIR_Coverage, 61104,
     /*  888955 */     GIR_EraseRootFromParent_Done,
     /*  888956 */   // Label 13569: @888956
     /*  888956 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(889031), // Rule ID 61105 //
     /*  888961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  888981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889007 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  889010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889029 */     GIR_RootConstrainSelectedInstOperands,
     /*  889030 */     // GIR_Coverage, 61105,
     /*  889030 */     GIR_EraseRootFromParent_Done,
     /*  889031 */   // Label 13570: @889031
     /*  889031 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(889106), // Rule ID 61108 //
     /*  889036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889082 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889104 */     GIR_RootConstrainSelectedInstOperands,
     /*  889105 */     // GIR_Coverage, 61108,
     /*  889105 */     GIR_EraseRootFromParent_Done,
     /*  889106 */   // Label 13571: @889106
     /*  889106 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(889181), // Rule ID 61109 //
     /*  889111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889157 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889179 */     GIR_RootConstrainSelectedInstOperands,
     /*  889180 */     // GIR_Coverage, 61109,
     /*  889180 */     GIR_EraseRootFromParent_Done,
     /*  889181 */   // Label 13572: @889181
     /*  889181 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(889256), // Rule ID 61112 //
     /*  889186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  889206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889232 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889254 */     GIR_RootConstrainSelectedInstOperands,
     /*  889255 */     // GIR_Coverage, 61112,
     /*  889255 */     GIR_EraseRootFromParent_Done,
     /*  889256 */   // Label 13573: @889256
     /*  889256 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(889331), // Rule ID 61113 //
     /*  889261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  889281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889329 */     GIR_RootConstrainSelectedInstOperands,
     /*  889330 */     // GIR_Coverage, 61113,
     /*  889330 */     GIR_EraseRootFromParent_Done,
     /*  889331 */   // Label 13574: @889331
     /*  889331 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(889406), // Rule ID 61116 //
     /*  889336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  889347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  889350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  889353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  889356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889404 */     GIR_RootConstrainSelectedInstOperands,
     /*  889405 */     // GIR_Coverage, 61116,
     /*  889405 */     GIR_EraseRootFromParent_Done,
     /*  889406 */   // Label 13575: @889406
     /*  889406 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(889481), // Rule ID 61117 //
     /*  889411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  889422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  889425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  889428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  889431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889457 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889479 */     GIR_RootConstrainSelectedInstOperands,
     /*  889480 */     // GIR_Coverage, 61117,
     /*  889480 */     GIR_EraseRootFromParent_Done,
     /*  889481 */   // Label 13576: @889481
     /*  889481 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889556), // Rule ID 61120 //
     /*  889486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  889497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  889500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  889503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  889506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889554 */     GIR_RootConstrainSelectedInstOperands,
     /*  889555 */     // GIR_Coverage, 61120,
     /*  889555 */     GIR_EraseRootFromParent_Done,
     /*  889556 */   // Label 13577: @889556
     /*  889556 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889631), // Rule ID 61121 //
     /*  889561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  889572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  889575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  889578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  889581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889629 */     GIR_RootConstrainSelectedInstOperands,
     /*  889630 */     // GIR_Coverage, 61121,
     /*  889630 */     GIR_EraseRootFromParent_Done,
     /*  889631 */   // Label 13578: @889631
     /*  889631 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889706), // Rule ID 61124 //
     /*  889636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  889656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889704 */     GIR_RootConstrainSelectedInstOperands,
     /*  889705 */     // GIR_Coverage, 61124,
     /*  889705 */     GIR_EraseRootFromParent_Done,
     /*  889706 */   // Label 13579: @889706
     /*  889706 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(889781), // Rule ID 61125 //
     /*  889711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  889731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889779 */     GIR_RootConstrainSelectedInstOperands,
     /*  889780 */     // GIR_Coverage, 61125,
     /*  889780 */     GIR_EraseRootFromParent_Done,
     /*  889781 */   // Label 13580: @889781
     /*  889781 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(889856), // Rule ID 61128 //
     /*  889786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  889806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  889835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889854 */     GIR_RootConstrainSelectedInstOperands,
     /*  889855 */     // GIR_Coverage, 61128,
     /*  889855 */     GIR_EraseRootFromParent_Done,
     /*  889856 */   // Label 13581: @889856
     /*  889856 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(889931), // Rule ID 61129 //
     /*  889861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  889881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889907 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  889910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889929 */     GIR_RootConstrainSelectedInstOperands,
     /*  889930 */     // GIR_Coverage, 61129,
     /*  889930 */     GIR_EraseRootFromParent_Done,
     /*  889931 */   // Label 13582: @889931
     /*  889931 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(890006), // Rule ID 61132 //
     /*  889936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  889956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  889985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890004 */     GIR_RootConstrainSelectedInstOperands,
     /*  890005 */     // GIR_Coverage, 61132,
     /*  890005 */     GIR_EraseRootFromParent_Done,
     /*  890006 */   // Label 13583: @890006
     /*  890006 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(890081), // Rule ID 61133 //
     /*  890011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  890022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  890025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  890031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890079 */     GIR_RootConstrainSelectedInstOperands,
     /*  890080 */     // GIR_Coverage, 61133,
     /*  890080 */     GIR_EraseRootFromParent_Done,
     /*  890081 */   // Label 13584: @890081
     /*  890081 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(890156), // Rule ID 61136 //
     /*  890086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890154 */     GIR_RootConstrainSelectedInstOperands,
     /*  890155 */     // GIR_Coverage, 61136,
     /*  890155 */     GIR_EraseRootFromParent_Done,
     /*  890156 */   // Label 13585: @890156
     /*  890156 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(890231), // Rule ID 61137 //
     /*  890161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890229 */     GIR_RootConstrainSelectedInstOperands,
     /*  890230 */     // GIR_Coverage, 61137,
     /*  890230 */     GIR_EraseRootFromParent_Done,
     /*  890231 */   // Label 13586: @890231
     /*  890231 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(890306), // Rule ID 61140 //
     /*  890236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  890247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  890250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  890253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  890256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890304 */     GIR_RootConstrainSelectedInstOperands,
     /*  890305 */     // GIR_Coverage, 61140,
     /*  890305 */     GIR_EraseRootFromParent_Done,
     /*  890306 */   // Label 13587: @890306
     /*  890306 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(890381), // Rule ID 61141 //
     /*  890311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  890322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  890325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  890328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  890331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890357 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  890357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890379 */     GIR_RootConstrainSelectedInstOperands,
     /*  890380 */     // GIR_Coverage, 61141,
     /*  890380 */     GIR_EraseRootFromParent_Done,
     /*  890381 */   // Label 13588: @890381
     /*  890381 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(890456), // Rule ID 61144 //
     /*  890386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  890397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  890400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  890403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  890406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890432 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  890435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890454 */     GIR_RootConstrainSelectedInstOperands,
     /*  890455 */     // GIR_Coverage, 61144,
     /*  890455 */     GIR_EraseRootFromParent_Done,
     /*  890456 */   // Label 13589: @890456
     /*  890456 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890531), // Rule ID 61145 //
     /*  890461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  890472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  890475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  890478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  890481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890507 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  890510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890529 */     GIR_RootConstrainSelectedInstOperands,
     /*  890530 */     // GIR_Coverage, 61145,
     /*  890530 */     GIR_EraseRootFromParent_Done,
     /*  890531 */   // Label 13590: @890531
     /*  890531 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890606), // Rule ID 61148 //
     /*  890536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  890547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  890550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  890553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  890556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  890585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890604 */     GIR_RootConstrainSelectedInstOperands,
     /*  890605 */     // GIR_Coverage, 61148,
     /*  890605 */     GIR_EraseRootFromParent_Done,
     /*  890606 */   // Label 13591: @890606
     /*  890606 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890681), // Rule ID 61149 //
     /*  890611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  890622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  890625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  890628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  890631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890657 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  890660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890679 */     GIR_RootConstrainSelectedInstOperands,
     /*  890680 */     // GIR_Coverage, 61149,
     /*  890680 */     GIR_EraseRootFromParent_Done,
     /*  890681 */   // Label 13592: @890681
     /*  890681 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(890756), // Rule ID 61152 //
     /*  890686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  890706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  890735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890754 */     GIR_RootConstrainSelectedInstOperands,
     /*  890755 */     // GIR_Coverage, 61152,
     /*  890755 */     GIR_EraseRootFromParent_Done,
     /*  890756 */   // Label 13593: @890756
     /*  890756 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(890831), // Rule ID 61153 //
     /*  890761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  890781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890807 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  890810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890829 */     GIR_RootConstrainSelectedInstOperands,
     /*  890830 */     // GIR_Coverage, 61153,
     /*  890830 */     GIR_EraseRootFromParent_Done,
     /*  890831 */   // Label 13594: @890831
     /*  890831 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(890906), // Rule ID 61156 //
     /*  890836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  890856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  890885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890904 */     GIR_RootConstrainSelectedInstOperands,
     /*  890905 */     // GIR_Coverage, 61156,
     /*  890905 */     GIR_EraseRootFromParent_Done,
     /*  890906 */   // Label 13595: @890906
     /*  890906 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(890981), // Rule ID 61157 //
     /*  890911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  890931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  890960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890979 */     GIR_RootConstrainSelectedInstOperands,
     /*  890980 */     // GIR_Coverage, 61157,
     /*  890980 */     GIR_EraseRootFromParent_Done,
     /*  890981 */   // Label 13596: @890981
     /*  890981 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(891056), // Rule ID 61160 //
     /*  890986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891054 */     GIR_RootConstrainSelectedInstOperands,
     /*  891055 */     // GIR_Coverage, 61160,
     /*  891055 */     GIR_EraseRootFromParent_Done,
     /*  891056 */   // Label 13597: @891056
     /*  891056 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(891131), // Rule ID 61161 //
     /*  891061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  891072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891129 */     GIR_RootConstrainSelectedInstOperands,
     /*  891130 */     // GIR_Coverage, 61161,
     /*  891130 */     GIR_EraseRootFromParent_Done,
     /*  891131 */   // Label 13598: @891131
     /*  891131 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(891206), // Rule ID 61164 //
     /*  891136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  891156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891204 */     GIR_RootConstrainSelectedInstOperands,
     /*  891205 */     // GIR_Coverage, 61164,
     /*  891205 */     GIR_EraseRootFromParent_Done,
     /*  891206 */   // Label 13599: @891206
     /*  891206 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(891281), // Rule ID 61165 //
     /*  891211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  891231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891257 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891279 */     GIR_RootConstrainSelectedInstOperands,
     /*  891280 */     // GIR_Coverage, 61165,
     /*  891280 */     GIR_EraseRootFromParent_Done,
     /*  891281 */   // Label 13600: @891281
     /*  891281 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(891356), // Rule ID 61168 //
     /*  891286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  891297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  891300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  891303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  891306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891354 */     GIR_RootConstrainSelectedInstOperands,
     /*  891355 */     // GIR_Coverage, 61168,
     /*  891355 */     GIR_EraseRootFromParent_Done,
     /*  891356 */   // Label 13601: @891356
     /*  891356 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(891431), // Rule ID 61169 //
     /*  891361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  891372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  891375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  891378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  891381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891429 */     GIR_RootConstrainSelectedInstOperands,
     /*  891430 */     // GIR_Coverage, 61169,
     /*  891430 */     GIR_EraseRootFromParent_Done,
     /*  891431 */   // Label 13602: @891431
     /*  891431 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(891506), // Rule ID 61172 //
     /*  891436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  891447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  891450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  891453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  891456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891504 */     GIR_RootConstrainSelectedInstOperands,
     /*  891505 */     // GIR_Coverage, 61172,
     /*  891505 */     GIR_EraseRootFromParent_Done,
     /*  891506 */   // Label 13603: @891506
     /*  891506 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891581), // Rule ID 61173 //
     /*  891511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  891522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  891525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  891528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  891531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891557 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891579 */     GIR_RootConstrainSelectedInstOperands,
     /*  891580 */     // GIR_Coverage, 61173,
     /*  891580 */     GIR_EraseRootFromParent_Done,
     /*  891581 */   // Label 13604: @891581
     /*  891581 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891656), // Rule ID 61176 //
     /*  891586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  891606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891654 */     GIR_RootConstrainSelectedInstOperands,
     /*  891655 */     // GIR_Coverage, 61176,
     /*  891655 */     GIR_EraseRootFromParent_Done,
     /*  891656 */   // Label 13605: @891656
     /*  891656 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(891731), // Rule ID 61177 //
     /*  891661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  891681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891729 */     GIR_RootConstrainSelectedInstOperands,
     /*  891730 */     // GIR_Coverage, 61177,
     /*  891730 */     GIR_EraseRootFromParent_Done,
     /*  891731 */   // Label 13606: @891731
     /*  891731 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(891806), // Rule ID 61180 //
     /*  891736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  891747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  891750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  891753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  891756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891804 */     GIR_RootConstrainSelectedInstOperands,
     /*  891805 */     // GIR_Coverage, 61180,
     /*  891805 */     GIR_EraseRootFromParent_Done,
     /*  891806 */   // Label 13607: @891806
     /*  891806 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(891881), // Rule ID 61181 //
     /*  891811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  891822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  891825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  891828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  891831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891879 */     GIR_RootConstrainSelectedInstOperands,
     /*  891880 */     // GIR_Coverage, 61181,
     /*  891880 */     GIR_EraseRootFromParent_Done,
     /*  891881 */   // Label 13608: @891881
     /*  891881 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(891956), // Rule ID 61184 //
     /*  891886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  891906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891954 */     GIR_RootConstrainSelectedInstOperands,
     /*  891955 */     // GIR_Coverage, 61184,
     /*  891955 */     GIR_EraseRootFromParent_Done,
     /*  891956 */   // Label 13609: @891956
     /*  891956 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(892031), // Rule ID 61185 //
     /*  891961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  891981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892007 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  892010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892029 */     GIR_RootConstrainSelectedInstOperands,
     /*  892030 */     // GIR_Coverage, 61185,
     /*  892030 */     GIR_EraseRootFromParent_Done,
     /*  892031 */   // Label 13610: @892031
     /*  892031 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(892106), // Rule ID 61188 //
     /*  892036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892082 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892104 */     GIR_RootConstrainSelectedInstOperands,
     /*  892105 */     // GIR_Coverage, 61188,
     /*  892105 */     GIR_EraseRootFromParent_Done,
     /*  892106 */   // Label 13611: @892106
     /*  892106 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(892181), // Rule ID 61189 //
     /*  892111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892157 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892179 */     GIR_RootConstrainSelectedInstOperands,
     /*  892180 */     // GIR_Coverage, 61189,
     /*  892180 */     GIR_EraseRootFromParent_Done,
     /*  892181 */   // Label 13612: @892181
     /*  892181 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(892256), // Rule ID 61192 //
     /*  892186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892232 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  892235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892254 */     GIR_RootConstrainSelectedInstOperands,
     /*  892255 */     // GIR_Coverage, 61192,
     /*  892255 */     GIR_EraseRootFromParent_Done,
     /*  892256 */   // Label 13613: @892256
     /*  892256 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(892331), // Rule ID 61193 //
     /*  892261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892307 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  892310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892329 */     GIR_RootConstrainSelectedInstOperands,
     /*  892330 */     // GIR_Coverage, 61193,
     /*  892330 */     GIR_EraseRootFromParent_Done,
     /*  892331 */   // Label 13614: @892331
     /*  892331 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(892406), // Rule ID 61196 //
     /*  892336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  892347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  892350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  892353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892404 */     GIR_RootConstrainSelectedInstOperands,
     /*  892405 */     // GIR_Coverage, 61196,
     /*  892405 */     GIR_EraseRootFromParent_Done,
     /*  892406 */   // Label 13615: @892406
     /*  892406 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(892481), // Rule ID 61197 //
     /*  892411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  892422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  892425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  892428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892457 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892479 */     GIR_RootConstrainSelectedInstOperands,
     /*  892480 */     // GIR_Coverage, 61197,
     /*  892480 */     GIR_EraseRootFromParent_Done,
     /*  892481 */   // Label 13616: @892481
     /*  892481 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892556), // Rule ID 61200 //
     /*  892486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  892497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  892500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  892503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892532 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  892535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892554 */     GIR_RootConstrainSelectedInstOperands,
     /*  892555 */     // GIR_Coverage, 61200,
     /*  892555 */     GIR_EraseRootFromParent_Done,
     /*  892556 */   // Label 13617: @892556
     /*  892556 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892631), // Rule ID 61201 //
     /*  892561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  892572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  892575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  892578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892607 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  892610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892629 */     GIR_RootConstrainSelectedInstOperands,
     /*  892630 */     // GIR_Coverage, 61201,
     /*  892630 */     GIR_EraseRootFromParent_Done,
     /*  892631 */   // Label 13618: @892631
     /*  892631 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892706), // Rule ID 61204 //
     /*  892636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892704 */     GIR_RootConstrainSelectedInstOperands,
     /*  892705 */     // GIR_Coverage, 61204,
     /*  892705 */     GIR_EraseRootFromParent_Done,
     /*  892706 */   // Label 13619: @892706
     /*  892706 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(892781), // Rule ID 61205 //
     /*  892711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892757 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  892760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892779 */     GIR_RootConstrainSelectedInstOperands,
     /*  892780 */     // GIR_Coverage, 61205,
     /*  892780 */     GIR_EraseRootFromParent_Done,
     /*  892781 */   // Label 13620: @892781
     /*  892781 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(892856), // Rule ID 61208 //
     /*  892786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  892835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892854 */     GIR_RootConstrainSelectedInstOperands,
     /*  892855 */     // GIR_Coverage, 61208,
     /*  892855 */     GIR_EraseRootFromParent_Done,
     /*  892856 */   // Label 13621: @892856
     /*  892856 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(892931), // Rule ID 61209 //
     /*  892861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892907 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  892910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892929 */     GIR_RootConstrainSelectedInstOperands,
     /*  892930 */     // GIR_Coverage, 61209,
     /*  892930 */     GIR_EraseRootFromParent_Done,
     /*  892931 */   // Label 13622: @892931
     /*  892931 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(893006), // Rule ID 61212 //
     /*  892936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  892985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893004 */     GIR_RootConstrainSelectedInstOperands,
     /*  893005 */     // GIR_Coverage, 61212,
     /*  893005 */     GIR_EraseRootFromParent_Done,
     /*  893006 */   // Label 13623: @893006
     /*  893006 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(893081), // Rule ID 61213 //
     /*  893011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  893022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  893025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  893028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893057 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893079 */     GIR_RootConstrainSelectedInstOperands,
     /*  893080 */     // GIR_Coverage, 61213,
     /*  893080 */     GIR_EraseRootFromParent_Done,
     /*  893081 */   // Label 13624: @893081
     /*  893081 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(893156), // Rule ID 61216 //
     /*  893086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893154 */     GIR_RootConstrainSelectedInstOperands,
     /*  893155 */     // GIR_Coverage, 61216,
     /*  893155 */     GIR_EraseRootFromParent_Done,
     /*  893156 */   // Label 13625: @893156
     /*  893156 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(893231), // Rule ID 61217 //
     /*  893161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893207 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893229 */     GIR_RootConstrainSelectedInstOperands,
     /*  893230 */     // GIR_Coverage, 61217,
     /*  893230 */     GIR_EraseRootFromParent_Done,
     /*  893231 */   // Label 13626: @893231
     /*  893231 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(893306), // Rule ID 61220 //
     /*  893236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  893247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  893250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  893253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893304 */     GIR_RootConstrainSelectedInstOperands,
     /*  893305 */     // GIR_Coverage, 61220,
     /*  893305 */     GIR_EraseRootFromParent_Done,
     /*  893306 */   // Label 13627: @893306
     /*  893306 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(893381), // Rule ID 61221 //
     /*  893311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  893322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  893325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  893328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893379 */     GIR_RootConstrainSelectedInstOperands,
     /*  893380 */     // GIR_Coverage, 61221,
     /*  893380 */     GIR_EraseRootFromParent_Done,
     /*  893381 */   // Label 13628: @893381
     /*  893381 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(893456), // Rule ID 61224 //
     /*  893386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  893397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  893400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  893403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893454 */     GIR_RootConstrainSelectedInstOperands,
     /*  893455 */     // GIR_Coverage, 61224,
     /*  893455 */     GIR_EraseRootFromParent_Done,
     /*  893456 */   // Label 13629: @893456
     /*  893456 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893531), // Rule ID 61225 //
     /*  893461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  893472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  893475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  893478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893529 */     GIR_RootConstrainSelectedInstOperands,
     /*  893530 */     // GIR_Coverage, 61225,
     /*  893530 */     GIR_EraseRootFromParent_Done,
     /*  893531 */   // Label 13630: @893531
     /*  893531 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893606), // Rule ID 61228 //
     /*  893536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  893547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  893550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  893553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  893582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893604 */     GIR_RootConstrainSelectedInstOperands,
     /*  893605 */     // GIR_Coverage, 61228,
     /*  893605 */     GIR_EraseRootFromParent_Done,
     /*  893606 */   // Label 13631: @893606
     /*  893606 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893681), // Rule ID 61229 //
     /*  893611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  893622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  893625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  893628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  893657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893679 */     GIR_RootConstrainSelectedInstOperands,
     /*  893680 */     // GIR_Coverage, 61229,
     /*  893680 */     GIR_EraseRootFromParent_Done,
     /*  893681 */   // Label 13632: @893681
     /*  893681 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(893756), // Rule ID 61232 //
     /*  893686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  893735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893754 */     GIR_RootConstrainSelectedInstOperands,
     /*  893755 */     // GIR_Coverage, 61232,
     /*  893755 */     GIR_EraseRootFromParent_Done,
     /*  893756 */   // Label 13633: @893756
     /*  893756 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(893831), // Rule ID 61233 //
     /*  893761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893807 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  893810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893829 */     GIR_RootConstrainSelectedInstOperands,
     /*  893830 */     // GIR_Coverage, 61233,
     /*  893830 */     GIR_EraseRootFromParent_Done,
     /*  893831 */   // Label 13634: @893831
     /*  893831 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(893906), // Rule ID 61236 //
     /*  893836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  893885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893904 */     GIR_RootConstrainSelectedInstOperands,
     /*  893905 */     // GIR_Coverage, 61236,
     /*  893905 */     GIR_EraseRootFromParent_Done,
     /*  893906 */   // Label 13635: @893906
     /*  893906 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(893981), // Rule ID 61237 //
     /*  893911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893957 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  893960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893979 */     GIR_RootConstrainSelectedInstOperands,
     /*  893980 */     // GIR_Coverage, 61237,
     /*  893980 */     GIR_EraseRootFromParent_Done,
     /*  893981 */   // Label 13636: @893981
     /*  893981 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(894056), // Rule ID 61240 //
     /*  893986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894054 */     GIR_RootConstrainSelectedInstOperands,
     /*  894055 */     // GIR_Coverage, 61240,
     /*  894055 */     GIR_EraseRootFromParent_Done,
     /*  894056 */   // Label 13637: @894056
     /*  894056 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(894131), // Rule ID 61241 //
     /*  894061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  894072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894107 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894129 */     GIR_RootConstrainSelectedInstOperands,
     /*  894130 */     // GIR_Coverage, 61241,
     /*  894130 */     GIR_EraseRootFromParent_Done,
     /*  894131 */   // Label 13638: @894131
     /*  894131 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(894206), // Rule ID 61244 //
     /*  894136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894204 */     GIR_RootConstrainSelectedInstOperands,
     /*  894205 */     // GIR_Coverage, 61244,
     /*  894205 */     GIR_EraseRootFromParent_Done,
     /*  894206 */   // Label 13639: @894206
     /*  894206 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(894281), // Rule ID 61245 //
     /*  894211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894257 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894279 */     GIR_RootConstrainSelectedInstOperands,
     /*  894280 */     // GIR_Coverage, 61245,
     /*  894280 */     GIR_EraseRootFromParent_Done,
     /*  894281 */   // Label 13640: @894281
     /*  894281 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(894356), // Rule ID 61248 //
     /*  894286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  894297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  894300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  894303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894354 */     GIR_RootConstrainSelectedInstOperands,
     /*  894355 */     // GIR_Coverage, 61248,
     /*  894355 */     GIR_EraseRootFromParent_Done,
     /*  894356 */   // Label 13641: @894356
     /*  894356 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(894431), // Rule ID 61249 //
     /*  894361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  894372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  894375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  894378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894407 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894429 */     GIR_RootConstrainSelectedInstOperands,
     /*  894430 */     // GIR_Coverage, 61249,
     /*  894430 */     GIR_EraseRootFromParent_Done,
     /*  894431 */   // Label 13642: @894431
     /*  894431 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(894506), // Rule ID 61252 //
     /*  894436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  894447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  894450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  894453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894504 */     GIR_RootConstrainSelectedInstOperands,
     /*  894505 */     // GIR_Coverage, 61252,
     /*  894505 */     GIR_EraseRootFromParent_Done,
     /*  894506 */   // Label 13643: @894506
     /*  894506 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894581), // Rule ID 61253 //
     /*  894511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  894522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  894525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  894528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894557 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894579 */     GIR_RootConstrainSelectedInstOperands,
     /*  894580 */     // GIR_Coverage, 61253,
     /*  894580 */     GIR_EraseRootFromParent_Done,
     /*  894581 */   // Label 13644: @894581
     /*  894581 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894656), // Rule ID 61256 //
     /*  894586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894654 */     GIR_RootConstrainSelectedInstOperands,
     /*  894655 */     // GIR_Coverage, 61256,
     /*  894655 */     GIR_EraseRootFromParent_Done,
     /*  894656 */   // Label 13645: @894656
     /*  894656 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(894731), // Rule ID 61257 //
     /*  894661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894707 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894729 */     GIR_RootConstrainSelectedInstOperands,
     /*  894730 */     // GIR_Coverage, 61257,
     /*  894730 */     GIR_EraseRootFromParent_Done,
     /*  894731 */   // Label 13646: @894731
     /*  894731 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(894806), // Rule ID 61260 //
     /*  894736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  894747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  894750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894804 */     GIR_RootConstrainSelectedInstOperands,
     /*  894805 */     // GIR_Coverage, 61260,
     /*  894805 */     GIR_EraseRootFromParent_Done,
     /*  894806 */   // Label 13647: @894806
     /*  894806 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(894881), // Rule ID 61261 //
     /*  894811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  894822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  894825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894879 */     GIR_RootConstrainSelectedInstOperands,
     /*  894880 */     // GIR_Coverage, 61261,
     /*  894880 */     GIR_EraseRootFromParent_Done,
     /*  894881 */   // Label 13648: @894881
     /*  894881 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(894956), // Rule ID 61264 //
     /*  894886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894954 */     GIR_RootConstrainSelectedInstOperands,
     /*  894955 */     // GIR_Coverage, 61264,
     /*  894955 */     GIR_EraseRootFromParent_Done,
     /*  894956 */   // Label 13649: @894956
     /*  894956 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(895031), // Rule ID 61265 //
     /*  894961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895007 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895029 */     GIR_RootConstrainSelectedInstOperands,
     /*  895030 */     // GIR_Coverage, 61265,
     /*  895030 */     GIR_EraseRootFromParent_Done,
     /*  895031 */   // Label 13650: @895031
     /*  895031 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(895106), // Rule ID 61268 //
     /*  895036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895104 */     GIR_RootConstrainSelectedInstOperands,
     /*  895105 */     // GIR_Coverage, 61268,
     /*  895105 */     GIR_EraseRootFromParent_Done,
     /*  895106 */   // Label 13651: @895106
     /*  895106 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(895181), // Rule ID 61269 //
     /*  895111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895179 */     GIR_RootConstrainSelectedInstOperands,
     /*  895180 */     // GIR_Coverage, 61269,
     /*  895180 */     GIR_EraseRootFromParent_Done,
     /*  895181 */   // Label 13652: @895181
     /*  895181 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(895256), // Rule ID 61272 //
     /*  895186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895254 */     GIR_RootConstrainSelectedInstOperands,
     /*  895255 */     // GIR_Coverage, 61272,
     /*  895255 */     GIR_EraseRootFromParent_Done,
     /*  895256 */   // Label 13653: @895256
     /*  895256 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(895331), // Rule ID 61273 //
     /*  895261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895307 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895329 */     GIR_RootConstrainSelectedInstOperands,
     /*  895330 */     // GIR_Coverage, 61273,
     /*  895330 */     GIR_EraseRootFromParent_Done,
     /*  895331 */   // Label 13654: @895331
     /*  895331 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(895406), // Rule ID 61276 //
     /*  895336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  895347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  895350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895404 */     GIR_RootConstrainSelectedInstOperands,
     /*  895405 */     // GIR_Coverage, 61276,
     /*  895405 */     GIR_EraseRootFromParent_Done,
     /*  895406 */   // Label 13655: @895406
     /*  895406 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(895481), // Rule ID 61277 //
     /*  895411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  895422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  895425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895457 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895479 */     GIR_RootConstrainSelectedInstOperands,
     /*  895480 */     // GIR_Coverage, 61277,
     /*  895480 */     GIR_EraseRootFromParent_Done,
     /*  895481 */   // Label 13656: @895481
     /*  895481 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895556), // Rule ID 61456 //
     /*  895486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  895497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  895500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  895506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  895535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895554 */     GIR_RootConstrainSelectedInstOperands,
     /*  895555 */     // GIR_Coverage, 61456,
     /*  895555 */     GIR_EraseRootFromParent_Done,
     /*  895556 */   // Label 13657: @895556
     /*  895556 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895631), // Rule ID 61457 //
     /*  895561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  895572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  895575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  895581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895607 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  895610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895629 */     GIR_RootConstrainSelectedInstOperands,
     /*  895630 */     // GIR_Coverage, 61457,
     /*  895630 */     GIR_EraseRootFromParent_Done,
     /*  895631 */   // Label 13658: @895631
     /*  895631 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895706), // Rule ID 61460 //
     /*  895636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  895656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  895685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895704 */     GIR_RootConstrainSelectedInstOperands,
     /*  895705 */     // GIR_Coverage, 61460,
     /*  895705 */     GIR_EraseRootFromParent_Done,
     /*  895706 */   // Label 13659: @895706
     /*  895706 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(895781), // Rule ID 61461 //
     /*  895711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  895731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895757 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  895760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895779 */     GIR_RootConstrainSelectedInstOperands,
     /*  895780 */     // GIR_Coverage, 61461,
     /*  895780 */     GIR_EraseRootFromParent_Done,
     /*  895781 */   // Label 13660: @895781
     /*  895781 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(895856), // Rule ID 61464 //
     /*  895786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  895806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  895835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895854 */     GIR_RootConstrainSelectedInstOperands,
     /*  895855 */     // GIR_Coverage, 61464,
     /*  895855 */     GIR_EraseRootFromParent_Done,
     /*  895856 */   // Label 13661: @895856
     /*  895856 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(895931), // Rule ID 61465 //
     /*  895861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  895881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895907 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  895910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895929 */     GIR_RootConstrainSelectedInstOperands,
     /*  895930 */     // GIR_Coverage, 61465,
     /*  895930 */     GIR_EraseRootFromParent_Done,
     /*  895931 */   // Label 13662: @895931
     /*  895931 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(896006), // Rule ID 61468 //
     /*  895936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  895956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895982 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  895985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896004 */     GIR_RootConstrainSelectedInstOperands,
     /*  896005 */     // GIR_Coverage, 61468,
     /*  896005 */     GIR_EraseRootFromParent_Done,
     /*  896006 */   // Label 13663: @896006
     /*  896006 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(896081), // Rule ID 61469 //
     /*  896011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  896022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  896025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  896031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896057 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  896060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896079 */     GIR_RootConstrainSelectedInstOperands,
     /*  896080 */     // GIR_Coverage, 61469,
     /*  896080 */     GIR_EraseRootFromParent_Done,
     /*  896081 */   // Label 13664: @896081
     /*  896081 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(896156), // Rule ID 61472 //
     /*  896086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896154 */     GIR_RootConstrainSelectedInstOperands,
     /*  896155 */     // GIR_Coverage, 61472,
     /*  896155 */     GIR_EraseRootFromParent_Done,
     /*  896156 */   // Label 13665: @896156
     /*  896156 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(896231), // Rule ID 61473 //
     /*  896161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896207 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896229 */     GIR_RootConstrainSelectedInstOperands,
     /*  896230 */     // GIR_Coverage, 61473,
     /*  896230 */     GIR_EraseRootFromParent_Done,
     /*  896231 */   // Label 13666: @896231
     /*  896231 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(896306), // Rule ID 61476 //
     /*  896236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  896247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  896250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  896256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896304 */     GIR_RootConstrainSelectedInstOperands,
     /*  896305 */     // GIR_Coverage, 61476,
     /*  896305 */     GIR_EraseRootFromParent_Done,
     /*  896306 */   // Label 13667: @896306
     /*  896306 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(896381), // Rule ID 61477 //
     /*  896311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  896322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  896325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  896331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896357 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896379 */     GIR_RootConstrainSelectedInstOperands,
     /*  896380 */     // GIR_Coverage, 61477,
     /*  896380 */     GIR_EraseRootFromParent_Done,
     /*  896381 */   // Label 13668: @896381
     /*  896381 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(896456), // Rule ID 61480 //
     /*  896386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  896397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  896400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  896406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896454 */     GIR_RootConstrainSelectedInstOperands,
     /*  896455 */     // GIR_Coverage, 61480,
     /*  896455 */     GIR_EraseRootFromParent_Done,
     /*  896456 */   // Label 13669: @896456
     /*  896456 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896531), // Rule ID 61481 //
     /*  896461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  896472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  896475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  896481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896529 */     GIR_RootConstrainSelectedInstOperands,
     /*  896530 */     // GIR_Coverage, 61481,
     /*  896530 */     GIR_EraseRootFromParent_Done,
     /*  896531 */   // Label 13670: @896531
     /*  896531 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896606), // Rule ID 61484 //
     /*  896536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  896547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  896550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  896553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  896556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896604 */     GIR_RootConstrainSelectedInstOperands,
     /*  896605 */     // GIR_Coverage, 61484,
     /*  896605 */     GIR_EraseRootFromParent_Done,
     /*  896606 */   // Label 13671: @896606
     /*  896606 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896681), // Rule ID 61485 //
     /*  896611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  896622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  896625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  896628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  896631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896679 */     GIR_RootConstrainSelectedInstOperands,
     /*  896680 */     // GIR_Coverage, 61485,
     /*  896680 */     GIR_EraseRootFromParent_Done,
     /*  896681 */   // Label 13672: @896681
     /*  896681 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(896756), // Rule ID 61488 //
     /*  896686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  896706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896754 */     GIR_RootConstrainSelectedInstOperands,
     /*  896755 */     // GIR_Coverage, 61488,
     /*  896755 */     GIR_EraseRootFromParent_Done,
     /*  896756 */   // Label 13673: @896756
     /*  896756 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(896831), // Rule ID 61489 //
     /*  896761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  896781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896829 */     GIR_RootConstrainSelectedInstOperands,
     /*  896830 */     // GIR_Coverage, 61489,
     /*  896830 */     GIR_EraseRootFromParent_Done,
     /*  896831 */   // Label 13674: @896831
     /*  896831 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(896906), // Rule ID 61492 //
     /*  896836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  896856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896904 */     GIR_RootConstrainSelectedInstOperands,
     /*  896905 */     // GIR_Coverage, 61492,
     /*  896905 */     GIR_EraseRootFromParent_Done,
     /*  896906 */   // Label 13675: @896906
     /*  896906 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(896981), // Rule ID 61493 //
     /*  896911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  896931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  896960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896979 */     GIR_RootConstrainSelectedInstOperands,
     /*  896980 */     // GIR_Coverage, 61493,
     /*  896980 */     GIR_EraseRootFromParent_Done,
     /*  896981 */   // Label 13676: @896981
     /*  896981 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(897056), // Rule ID 61496 //
     /*  896986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897054 */     GIR_RootConstrainSelectedInstOperands,
     /*  897055 */     // GIR_Coverage, 61496,
     /*  897055 */     GIR_EraseRootFromParent_Done,
     /*  897056 */   // Label 13677: @897056
     /*  897056 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(897131), // Rule ID 61497 //
     /*  897061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  897072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897107 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897129 */     GIR_RootConstrainSelectedInstOperands,
     /*  897130 */     // GIR_Coverage, 61497,
     /*  897130 */     GIR_EraseRootFromParent_Done,
     /*  897131 */   // Label 13678: @897131
     /*  897131 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(897206), // Rule ID 61500 //
     /*  897136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  897156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897182 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897204 */     GIR_RootConstrainSelectedInstOperands,
     /*  897205 */     // GIR_Coverage, 61500,
     /*  897205 */     GIR_EraseRootFromParent_Done,
     /*  897206 */   // Label 13679: @897206
     /*  897206 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(897281), // Rule ID 61501 //
     /*  897211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  897231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897257 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897279 */     GIR_RootConstrainSelectedInstOperands,
     /*  897280 */     // GIR_Coverage, 61501,
     /*  897280 */     GIR_EraseRootFromParent_Done,
     /*  897281 */   // Label 13680: @897281
     /*  897281 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(897356), // Rule ID 61504 //
     /*  897286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  897297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  897300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  897303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  897306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897332 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  897335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897354 */     GIR_RootConstrainSelectedInstOperands,
     /*  897355 */     // GIR_Coverage, 61504,
     /*  897355 */     GIR_EraseRootFromParent_Done,
     /*  897356 */   // Label 13681: @897356
     /*  897356 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(897431), // Rule ID 61505 //
     /*  897361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  897372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  897375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  897378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  897381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897407 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  897410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897429 */     GIR_RootConstrainSelectedInstOperands,
     /*  897430 */     // GIR_Coverage, 61505,
     /*  897430 */     GIR_EraseRootFromParent_Done,
     /*  897431 */   // Label 13682: @897431
     /*  897431 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(897506), // Rule ID 61508 //
     /*  897436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  897447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  897450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  897453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  897456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897504 */     GIR_RootConstrainSelectedInstOperands,
     /*  897505 */     // GIR_Coverage, 61508,
     /*  897505 */     GIR_EraseRootFromParent_Done,
     /*  897506 */   // Label 13683: @897506
     /*  897506 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897581), // Rule ID 61509 //
     /*  897511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  897522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  897525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  897528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  897531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897579 */     GIR_RootConstrainSelectedInstOperands,
     /*  897580 */     // GIR_Coverage, 61509,
     /*  897580 */     GIR_EraseRootFromParent_Done,
     /*  897581 */   // Label 13684: @897581
     /*  897581 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897656), // Rule ID 61512 //
     /*  897586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  897606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897632 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897654 */     GIR_RootConstrainSelectedInstOperands,
     /*  897655 */     // GIR_Coverage, 61512,
     /*  897655 */     GIR_EraseRootFromParent_Done,
     /*  897656 */   // Label 13685: @897656
     /*  897656 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(897731), // Rule ID 61513 //
     /*  897661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  897681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897707 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897729 */     GIR_RootConstrainSelectedInstOperands,
     /*  897730 */     // GIR_Coverage, 61513,
     /*  897730 */     GIR_EraseRootFromParent_Done,
     /*  897731 */   // Label 13686: @897731
     /*  897731 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(897806), // Rule ID 61516 //
     /*  897736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  897747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  897750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  897753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  897756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  897785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897804 */     GIR_RootConstrainSelectedInstOperands,
     /*  897805 */     // GIR_Coverage, 61516,
     /*  897805 */     GIR_EraseRootFromParent_Done,
     /*  897806 */   // Label 13687: @897806
     /*  897806 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(897881), // Rule ID 61517 //
     /*  897811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  897822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  897825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  897828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  897831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897857 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  897860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897879 */     GIR_RootConstrainSelectedInstOperands,
     /*  897880 */     // GIR_Coverage, 61517,
     /*  897880 */     GIR_EraseRootFromParent_Done,
     /*  897881 */   // Label 13688: @897881
     /*  897881 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(897956), // Rule ID 61520 //
     /*  897886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  897906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897954 */     GIR_RootConstrainSelectedInstOperands,
     /*  897955 */     // GIR_Coverage, 61520,
     /*  897955 */     GIR_EraseRootFromParent_Done,
     /*  897956 */   // Label 13689: @897956
     /*  897956 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(898031), // Rule ID 61521 //
     /*  897961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  897981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898029 */     GIR_RootConstrainSelectedInstOperands,
     /*  898030 */     // GIR_Coverage, 61521,
     /*  898030 */     GIR_EraseRootFromParent_Done,
     /*  898031 */   // Label 13690: @898031
     /*  898031 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(898106), // Rule ID 61524 //
     /*  898036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898104 */     GIR_RootConstrainSelectedInstOperands,
     /*  898105 */     // GIR_Coverage, 61524,
     /*  898105 */     GIR_EraseRootFromParent_Done,
     /*  898106 */   // Label 13691: @898106
     /*  898106 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(898181), // Rule ID 61525 //
     /*  898111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898157 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898179 */     GIR_RootConstrainSelectedInstOperands,
     /*  898180 */     // GIR_Coverage, 61525,
     /*  898180 */     GIR_EraseRootFromParent_Done,
     /*  898181 */   // Label 13692: @898181
     /*  898181 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(898256), // Rule ID 61528 //
     /*  898186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898254 */     GIR_RootConstrainSelectedInstOperands,
     /*  898255 */     // GIR_Coverage, 61528,
     /*  898255 */     GIR_EraseRootFromParent_Done,
     /*  898256 */   // Label 13693: @898256
     /*  898256 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(898331), // Rule ID 61529 //
     /*  898261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898329 */     GIR_RootConstrainSelectedInstOperands,
     /*  898330 */     // GIR_Coverage, 61529,
     /*  898330 */     GIR_EraseRootFromParent_Done,
     /*  898331 */   // Label 13694: @898331
     /*  898331 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(898406), // Rule ID 61532 //
     /*  898336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  898353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  898356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898404 */     GIR_RootConstrainSelectedInstOperands,
     /*  898405 */     // GIR_Coverage, 61532,
     /*  898405 */     GIR_EraseRootFromParent_Done,
     /*  898406 */   // Label 13695: @898406
     /*  898406 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(898481), // Rule ID 61533 //
     /*  898411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  898428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  898431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898457 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898479 */     GIR_RootConstrainSelectedInstOperands,
     /*  898480 */     // GIR_Coverage, 61533,
     /*  898480 */     GIR_EraseRootFromParent_Done,
     /*  898481 */   // Label 13696: @898481
     /*  898481 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898556), // Rule ID 61536 //
     /*  898486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  898503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  898506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898554 */     GIR_RootConstrainSelectedInstOperands,
     /*  898555 */     // GIR_Coverage, 61536,
     /*  898555 */     GIR_EraseRootFromParent_Done,
     /*  898556 */   // Label 13697: @898556
     /*  898556 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898631), // Rule ID 61537 //
     /*  898561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  898578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  898581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898607 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898629 */     GIR_RootConstrainSelectedInstOperands,
     /*  898630 */     // GIR_Coverage, 61537,
     /*  898630 */     GIR_EraseRootFromParent_Done,
     /*  898631 */   // Label 13698: @898631
     /*  898631 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898706), // Rule ID 61540 //
     /*  898636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  898656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898704 */     GIR_RootConstrainSelectedInstOperands,
     /*  898705 */     // GIR_Coverage, 61540,
     /*  898705 */     GIR_EraseRootFromParent_Done,
     /*  898706 */   // Label 13699: @898706
     /*  898706 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(898781), // Rule ID 61541 //
     /*  898711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  898731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898779 */     GIR_RootConstrainSelectedInstOperands,
     /*  898780 */     // GIR_Coverage, 61541,
     /*  898780 */     GIR_EraseRootFromParent_Done,
     /*  898781 */   // Label 13700: @898781
     /*  898781 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(898856), // Rule ID 61544 //
     /*  898786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  898797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  898800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  898803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898832 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  898835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898854 */     GIR_RootConstrainSelectedInstOperands,
     /*  898855 */     // GIR_Coverage, 61544,
     /*  898855 */     GIR_EraseRootFromParent_Done,
     /*  898856 */   // Label 13701: @898856
     /*  898856 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(898931), // Rule ID 61545 //
     /*  898861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  898872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  898875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  898878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898907 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  898910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898929 */     GIR_RootConstrainSelectedInstOperands,
     /*  898930 */     // GIR_Coverage, 61545,
     /*  898930 */     GIR_EraseRootFromParent_Done,
     /*  898931 */   // Label 13702: @898931
     /*  898931 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(899006), // Rule ID 61548 //
     /*  898936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  898947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  898950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  898953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  898985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899004 */     GIR_RootConstrainSelectedInstOperands,
     /*  899005 */     // GIR_Coverage, 61548,
     /*  899005 */     GIR_EraseRootFromParent_Done,
     /*  899006 */   // Label 13703: @899006
     /*  899006 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(899081), // Rule ID 61549 //
     /*  899011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  899025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899057 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899079 */     GIR_RootConstrainSelectedInstOperands,
     /*  899080 */     // GIR_Coverage, 61549,
     /*  899080 */     GIR_EraseRootFromParent_Done,
     /*  899081 */   // Label 13704: @899081
     /*  899081 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(899156), // Rule ID 61552 //
     /*  899086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899154 */     GIR_RootConstrainSelectedInstOperands,
     /*  899155 */     // GIR_Coverage, 61552,
     /*  899155 */     GIR_EraseRootFromParent_Done,
     /*  899156 */   // Label 13705: @899156
     /*  899156 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(899231), // Rule ID 61553 //
     /*  899161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899207 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899229 */     GIR_RootConstrainSelectedInstOperands,
     /*  899230 */     // GIR_Coverage, 61553,
     /*  899230 */     GIR_EraseRootFromParent_Done,
     /*  899231 */   // Label 13706: @899231
     /*  899231 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(899306), // Rule ID 61556 //
     /*  899236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  899250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899304 */     GIR_RootConstrainSelectedInstOperands,
     /*  899305 */     // GIR_Coverage, 61556,
     /*  899305 */     GIR_EraseRootFromParent_Done,
     /*  899306 */   // Label 13707: @899306
     /*  899306 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(899381), // Rule ID 61557 //
     /*  899311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  899325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899357 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899379 */     GIR_RootConstrainSelectedInstOperands,
     /*  899380 */     // GIR_Coverage, 61557,
     /*  899380 */     GIR_EraseRootFromParent_Done,
     /*  899381 */   // Label 13708: @899381
     /*  899381 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(899456), // Rule ID 61560 //
     /*  899386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  899397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  899400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  899403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899454 */     GIR_RootConstrainSelectedInstOperands,
     /*  899455 */     // GIR_Coverage, 61560,
     /*  899455 */     GIR_EraseRootFromParent_Done,
     /*  899456 */   // Label 13709: @899456
     /*  899456 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899531), // Rule ID 61561 //
     /*  899461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  899472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  899475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  899478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899529 */     GIR_RootConstrainSelectedInstOperands,
     /*  899530 */     // GIR_Coverage, 61561,
     /*  899530 */     GIR_EraseRootFromParent_Done,
     /*  899531 */   // Label 13710: @899531
     /*  899531 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899606), // Rule ID 61564 //
     /*  899536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  899553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899604 */     GIR_RootConstrainSelectedInstOperands,
     /*  899605 */     // GIR_Coverage, 61564,
     /*  899605 */     GIR_EraseRootFromParent_Done,
     /*  899606 */   // Label 13711: @899606
     /*  899606 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899681), // Rule ID 61565 //
     /*  899611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  899628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899657 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899679 */     GIR_RootConstrainSelectedInstOperands,
     /*  899680 */     // GIR_Coverage, 61565,
     /*  899680 */     GIR_EraseRootFromParent_Done,
     /*  899681 */   // Label 13712: @899681
     /*  899681 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(899756), // Rule ID 61568 //
     /*  899686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  899697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  899700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  899703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  899735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899754 */     GIR_RootConstrainSelectedInstOperands,
     /*  899755 */     // GIR_Coverage, 61568,
     /*  899755 */     GIR_EraseRootFromParent_Done,
     /*  899756 */   // Label 13713: @899756
     /*  899756 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(899831), // Rule ID 61569 //
     /*  899761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  899772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  899775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  899778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899807 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  899810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899829 */     GIR_RootConstrainSelectedInstOperands,
     /*  899830 */     // GIR_Coverage, 61569,
     /*  899830 */     GIR_EraseRootFromParent_Done,
     /*  899831 */   // Label 13714: @899831
     /*  899831 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(899906), // Rule ID 61572 //
     /*  899836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  899847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  899850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  899853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  899885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899904 */     GIR_RootConstrainSelectedInstOperands,
     /*  899905 */     // GIR_Coverage, 61572,
     /*  899905 */     GIR_EraseRootFromParent_Done,
     /*  899906 */   // Label 13715: @899906
     /*  899906 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(899981), // Rule ID 61573 //
     /*  899911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  899922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  899925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  899928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  899960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899979 */     GIR_RootConstrainSelectedInstOperands,
     /*  899980 */     // GIR_Coverage, 61573,
     /*  899980 */     GIR_EraseRootFromParent_Done,
     /*  899981 */   // Label 13716: @899981
     /*  899981 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(900056), // Rule ID 61576 //
     /*  899986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900054 */     GIR_RootConstrainSelectedInstOperands,
     /*  900055 */     // GIR_Coverage, 61576,
     /*  900055 */     GIR_EraseRootFromParent_Done,
     /*  900056 */   // Label 13717: @900056
     /*  900056 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(900131), // Rule ID 61577 //
     /*  900061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900129 */     GIR_RootConstrainSelectedInstOperands,
     /*  900130 */     // GIR_Coverage, 61577,
     /*  900130 */     GIR_EraseRootFromParent_Done,
     /*  900131 */   // Label 13718: @900131
     /*  900131 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(900206), // Rule ID 61580 //
     /*  900136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900204 */     GIR_RootConstrainSelectedInstOperands,
     /*  900205 */     // GIR_Coverage, 61580,
     /*  900205 */     GIR_EraseRootFromParent_Done,
     /*  900206 */   // Label 13719: @900206
     /*  900206 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(900281), // Rule ID 61581 //
     /*  900211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900279 */     GIR_RootConstrainSelectedInstOperands,
     /*  900280 */     // GIR_Coverage, 61581,
     /*  900280 */     GIR_EraseRootFromParent_Done,
     /*  900281 */   // Label 13720: @900281
     /*  900281 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(900356), // Rule ID 61584 //
     /*  900286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  900300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  900335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900354 */     GIR_RootConstrainSelectedInstOperands,
     /*  900355 */     // GIR_Coverage, 61584,
     /*  900355 */     GIR_EraseRootFromParent_Done,
     /*  900356 */   // Label 13721: @900356
     /*  900356 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(900431), // Rule ID 61585 //
     /*  900361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  900375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900407 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  900410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900429 */     GIR_RootConstrainSelectedInstOperands,
     /*  900430 */     // GIR_Coverage, 61585,
     /*  900430 */     GIR_EraseRootFromParent_Done,
     /*  900431 */   // Label 13722: @900431
     /*  900431 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(900506), // Rule ID 61588 //
     /*  900436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  900447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  900450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  900453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900482 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  900485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900504 */     GIR_RootConstrainSelectedInstOperands,
     /*  900505 */     // GIR_Coverage, 61588,
     /*  900505 */     GIR_EraseRootFromParent_Done,
     /*  900506 */   // Label 13723: @900506
     /*  900506 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900581), // Rule ID 61589 //
     /*  900511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  900522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  900525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  900528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900557 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  900560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900579 */     GIR_RootConstrainSelectedInstOperands,
     /*  900580 */     // GIR_Coverage, 61589,
     /*  900580 */     GIR_EraseRootFromParent_Done,
     /*  900581 */   // Label 13724: @900581
     /*  900581 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900656), // Rule ID 61592 //
     /*  900586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  900597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  900600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  900603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900632 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  900635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900654 */     GIR_RootConstrainSelectedInstOperands,
     /*  900655 */     // GIR_Coverage, 61592,
     /*  900655 */     GIR_EraseRootFromParent_Done,
     /*  900656 */   // Label 13725: @900656
     /*  900656 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(900731), // Rule ID 61593 //
     /*  900661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  900672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  900675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  900678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900707 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  900710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900729 */     GIR_RootConstrainSelectedInstOperands,
     /*  900730 */     // GIR_Coverage, 61593,
     /*  900730 */     GIR_EraseRootFromParent_Done,
     /*  900731 */   // Label 13726: @900731
     /*  900731 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(900806), // Rule ID 61596 //
     /*  900736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  900747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  900750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  900753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  900785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900804 */     GIR_RootConstrainSelectedInstOperands,
     /*  900805 */     // GIR_Coverage, 61596,
     /*  900805 */     GIR_EraseRootFromParent_Done,
     /*  900806 */   // Label 13727: @900806
     /*  900806 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(900881), // Rule ID 61597 //
     /*  900811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  900822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  900825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  900828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900857 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  900860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900879 */     GIR_RootConstrainSelectedInstOperands,
     /*  900880 */     // GIR_Coverage, 61597,
     /*  900880 */     GIR_EraseRootFromParent_Done,
     /*  900881 */   // Label 13728: @900881
     /*  900881 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(900956), // Rule ID 61600 //
     /*  900886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  900935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900954 */     GIR_RootConstrainSelectedInstOperands,
     /*  900955 */     // GIR_Coverage, 61600,
     /*  900955 */     GIR_EraseRootFromParent_Done,
     /*  900956 */   // Label 13729: @900956
     /*  900956 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(901031), // Rule ID 61601 //
     /*  900961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  900972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  900975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  900978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901029 */     GIR_RootConstrainSelectedInstOperands,
     /*  901030 */     // GIR_Coverage, 61601,
     /*  901030 */     GIR_EraseRootFromParent_Done,
     /*  901031 */   // Label 13730: @901031
     /*  901031 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(901106), // Rule ID 61604 //
     /*  901036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901104 */     GIR_RootConstrainSelectedInstOperands,
     /*  901105 */     // GIR_Coverage, 61604,
     /*  901105 */     GIR_EraseRootFromParent_Done,
     /*  901106 */   // Label 13731: @901106
     /*  901106 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(901181), // Rule ID 61605 //
     /*  901111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901157 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901179 */     GIR_RootConstrainSelectedInstOperands,
     /*  901180 */     // GIR_Coverage, 61605,
     /*  901180 */     GIR_EraseRootFromParent_Done,
     /*  901181 */   // Label 13732: @901181
     /*  901181 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(901256), // Rule ID 61608 //
     /*  901186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901254 */     GIR_RootConstrainSelectedInstOperands,
     /*  901255 */     // GIR_Coverage, 61608,
     /*  901255 */     GIR_EraseRootFromParent_Done,
     /*  901256 */   // Label 13733: @901256
     /*  901256 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(901331), // Rule ID 61609 //
     /*  901261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901329 */     GIR_RootConstrainSelectedInstOperands,
     /*  901330 */     // GIR_Coverage, 61609,
     /*  901330 */     GIR_EraseRootFromParent_Done,
     /*  901331 */   // Label 13734: @901331
     /*  901331 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(901406), // Rule ID 61612 //
     /*  901336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  901347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  901350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  901353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901404 */     GIR_RootConstrainSelectedInstOperands,
     /*  901405 */     // GIR_Coverage, 61612,
     /*  901405 */     GIR_EraseRootFromParent_Done,
     /*  901406 */   // Label 13735: @901406
     /*  901406 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(901481), // Rule ID 61613 //
     /*  901411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  901422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  901425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  901428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901479 */     GIR_RootConstrainSelectedInstOperands,
     /*  901480 */     // GIR_Coverage, 61613,
     /*  901480 */     GIR_EraseRootFromParent_Done,
     /*  901481 */   // Label 13736: @901481
     /*  901481 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901556), // Rule ID 61616 //
     /*  901486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  901497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  901500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  901503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901554 */     GIR_RootConstrainSelectedInstOperands,
     /*  901555 */     // GIR_Coverage, 61616,
     /*  901555 */     GIR_EraseRootFromParent_Done,
     /*  901556 */   // Label 13737: @901556
     /*  901556 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901631), // Rule ID 61617 //
     /*  901561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  901572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  901575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  901578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901607 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901629 */     GIR_RootConstrainSelectedInstOperands,
     /*  901630 */     // GIR_Coverage, 61617,
     /*  901630 */     GIR_EraseRootFromParent_Done,
     /*  901631 */   // Label 13738: @901631
     /*  901631 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901706), // Rule ID 61620 //
     /*  901636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  901647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  901650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  901653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901704 */     GIR_RootConstrainSelectedInstOperands,
     /*  901705 */     // GIR_Coverage, 61620,
     /*  901705 */     GIR_EraseRootFromParent_Done,
     /*  901706 */   // Label 13739: @901706
     /*  901706 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(901781), // Rule ID 61621 //
     /*  901711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  901722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  901725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  901728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901757 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901779 */     GIR_RootConstrainSelectedInstOperands,
     /*  901780 */     // GIR_Coverage, 61621,
     /*  901780 */     GIR_EraseRootFromParent_Done,
     /*  901781 */   // Label 13740: @901781
     /*  901781 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(901856), // Rule ID 61624 //
     /*  901786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  901797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  901800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  901803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901854 */     GIR_RootConstrainSelectedInstOperands,
     /*  901855 */     // GIR_Coverage, 61624,
     /*  901855 */     GIR_EraseRootFromParent_Done,
     /*  901856 */   // Label 13741: @901856
     /*  901856 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(901931), // Rule ID 61625 //
     /*  901861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  901872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  901875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  901878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901929 */     GIR_RootConstrainSelectedInstOperands,
     /*  901930 */     // GIR_Coverage, 61625,
     /*  901930 */     GIR_EraseRootFromParent_Done,
     /*  901931 */   // Label 13742: @901931
     /*  901931 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(902006), // Rule ID 61628 //
     /*  901936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  901947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  901950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  901953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  901982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902004 */     GIR_RootConstrainSelectedInstOperands,
     /*  902005 */     // GIR_Coverage, 61628,
     /*  902005 */     GIR_EraseRootFromParent_Done,
     /*  902006 */   // Label 13743: @902006
     /*  902006 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(902081), // Rule ID 61629 //
     /*  902011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  902025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  902060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902079 */     GIR_RootConstrainSelectedInstOperands,
     /*  902080 */     // GIR_Coverage, 61629,
     /*  902080 */     GIR_EraseRootFromParent_Done,
     /*  902081 */   // Label 13744: @902081
     /*  902081 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(902156), // Rule ID 61716 //
     /*  902086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  902097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  902100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  902103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  902106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  902135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902154 */     GIR_RootConstrainSelectedInstOperands,
     /*  902155 */     // GIR_Coverage, 61716,
     /*  902155 */     GIR_EraseRootFromParent_Done,
     /*  902156 */   // Label 13745: @902156
     /*  902156 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(902231), // Rule ID 61717 //
     /*  902161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  902172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  902175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  902178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  902181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902207 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  902210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902229 */     GIR_RootConstrainSelectedInstOperands,
     /*  902230 */     // GIR_Coverage, 61717,
     /*  902230 */     GIR_EraseRootFromParent_Done,
     /*  902231 */   // Label 13746: @902231
     /*  902231 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(902306), // Rule ID 61720 //
     /*  902236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  902247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  902250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  902253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  902256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902282 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902304 */     GIR_RootConstrainSelectedInstOperands,
     /*  902305 */     // GIR_Coverage, 61720,
     /*  902305 */     GIR_EraseRootFromParent_Done,
     /*  902306 */   // Label 13747: @902306
     /*  902306 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(902381), // Rule ID 61721 //
     /*  902311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  902322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  902325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  902328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  902331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902357 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902379 */     GIR_RootConstrainSelectedInstOperands,
     /*  902380 */     // GIR_Coverage, 61721,
     /*  902380 */     GIR_EraseRootFromParent_Done,
     /*  902381 */   // Label 13748: @902381
     /*  902381 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(902456), // Rule ID 61724 //
     /*  902386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  902397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  902400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  902403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  902406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902454 */     GIR_RootConstrainSelectedInstOperands,
     /*  902455 */     // GIR_Coverage, 61724,
     /*  902455 */     GIR_EraseRootFromParent_Done,
     /*  902456 */   // Label 13749: @902456
     /*  902456 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902531), // Rule ID 61725 //
     /*  902461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  902472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  902475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  902478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  902481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902507 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902529 */     GIR_RootConstrainSelectedInstOperands,
     /*  902530 */     // GIR_Coverage, 61725,
     /*  902530 */     GIR_EraseRootFromParent_Done,
     /*  902531 */   // Label 13750: @902531
     /*  902531 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902606), // Rule ID 61728 //
     /*  902536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  902547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  902550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  902553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  902556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902604 */     GIR_RootConstrainSelectedInstOperands,
     /*  902605 */     // GIR_Coverage, 61728,
     /*  902605 */     GIR_EraseRootFromParent_Done,
     /*  902606 */   // Label 13751: @902606
     /*  902606 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902681), // Rule ID 61729 //
     /*  902611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  902622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  902625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  902628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  902631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902657 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902679 */     GIR_RootConstrainSelectedInstOperands,
     /*  902680 */     // GIR_Coverage, 61729,
     /*  902680 */     GIR_EraseRootFromParent_Done,
     /*  902681 */   // Label 13752: @902681
     /*  902681 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(902756), // Rule ID 61732 //
     /*  902686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  902697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  902700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  902706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902732 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  902732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902754 */     GIR_RootConstrainSelectedInstOperands,
     /*  902755 */     // GIR_Coverage, 61732,
     /*  902755 */     GIR_EraseRootFromParent_Done,
     /*  902756 */   // Label 13753: @902756
     /*  902756 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(902831), // Rule ID 61733 //
     /*  902761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  902772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  902775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  902781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902807 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  902807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902829 */     GIR_RootConstrainSelectedInstOperands,
     /*  902830 */     // GIR_Coverage, 61733,
     /*  902830 */     GIR_EraseRootFromParent_Done,
     /*  902831 */   // Label 13754: @902831
     /*  902831 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(902906), // Rule ID 61736 //
     /*  902836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  902847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  902850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  902856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902882 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902904 */     GIR_RootConstrainSelectedInstOperands,
     /*  902905 */     // GIR_Coverage, 61736,
     /*  902905 */     GIR_EraseRootFromParent_Done,
     /*  902906 */   // Label 13755: @902906
     /*  902906 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(902981), // Rule ID 61737 //
     /*  902911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  902922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  902925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  902931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902957 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  902960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902979 */     GIR_RootConstrainSelectedInstOperands,
     /*  902980 */     // GIR_Coverage, 61737,
     /*  902980 */     GIR_EraseRootFromParent_Done,
     /*  902981 */   // Label 13756: @902981
     /*  902981 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(903056), // Rule ID 61740 //
     /*  902986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  902997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  903000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903054 */     GIR_RootConstrainSelectedInstOperands,
     /*  903055 */     // GIR_Coverage, 61740,
     /*  903055 */     GIR_EraseRootFromParent_Done,
     /*  903056 */   // Label 13757: @903056
     /*  903056 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(903131), // Rule ID 61741 //
     /*  903061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  903072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  903075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903129 */     GIR_RootConstrainSelectedInstOperands,
     /*  903130 */     // GIR_Coverage, 61741,
     /*  903130 */     GIR_EraseRootFromParent_Done,
     /*  903131 */   // Label 13758: @903131
     /*  903131 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903206), // Rule ID 61744 //
     /*  903136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  903150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  903156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903204 */     GIR_RootConstrainSelectedInstOperands,
     /*  903205 */     // GIR_Coverage, 61744,
     /*  903205 */     GIR_EraseRootFromParent_Done,
     /*  903206 */   // Label 13759: @903206
     /*  903206 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903281), // Rule ID 61745 //
     /*  903211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  903225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  903231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903279 */     GIR_RootConstrainSelectedInstOperands,
     /*  903280 */     // GIR_Coverage, 61745,
     /*  903280 */     GIR_EraseRootFromParent_Done,
     /*  903281 */   // Label 13760: @903281
     /*  903281 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(903356), // Rule ID 61748 //
     /*  903286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  903303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  903306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903354 */     GIR_RootConstrainSelectedInstOperands,
     /*  903355 */     // GIR_Coverage, 61748,
     /*  903355 */     GIR_EraseRootFromParent_Done,
     /*  903356 */   // Label 13761: @903356
     /*  903356 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(903431), // Rule ID 61749 //
     /*  903361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  903378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  903381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903429 */     GIR_RootConstrainSelectedInstOperands,
     /*  903430 */     // GIR_Coverage, 61749,
     /*  903430 */     GIR_EraseRootFromParent_Done,
     /*  903431 */   // Label 13762: @903431
     /*  903431 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(903506), // Rule ID 61752 //
     /*  903436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  903447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  903450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  903453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  903456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  903482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903504 */     GIR_RootConstrainSelectedInstOperands,
     /*  903505 */     // GIR_Coverage, 61752,
     /*  903505 */     GIR_EraseRootFromParent_Done,
     /*  903506 */   // Label 13763: @903506
     /*  903506 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903581), // Rule ID 61753 //
     /*  903511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  903522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  903525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  903528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  903531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  903557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903579 */     GIR_RootConstrainSelectedInstOperands,
     /*  903580 */     // GIR_Coverage, 61753,
     /*  903580 */     GIR_EraseRootFromParent_Done,
     /*  903581 */   // Label 13764: @903581
     /*  903581 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903656), // Rule ID 61756 //
     /*  903586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  903597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  903600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  903603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  903606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  903635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903654 */     GIR_RootConstrainSelectedInstOperands,
     /*  903655 */     // GIR_Coverage, 61756,
     /*  903655 */     GIR_EraseRootFromParent_Done,
     /*  903656 */   // Label 13765: @903656
     /*  903656 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(903731), // Rule ID 61757 //
     /*  903661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  903672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  903675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  903678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  903681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  903710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903729 */     GIR_RootConstrainSelectedInstOperands,
     /*  903730 */     // GIR_Coverage, 61757,
     /*  903730 */     GIR_EraseRootFromParent_Done,
     /*  903731 */   // Label 13766: @903731
     /*  903731 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(903806), // Rule ID 61760 //
     /*  903736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  903747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  903750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  903753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  903756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  903785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903804 */     GIR_RootConstrainSelectedInstOperands,
     /*  903805 */     // GIR_Coverage, 61760,
     /*  903805 */     GIR_EraseRootFromParent_Done,
     /*  903806 */   // Label 13767: @903806
     /*  903806 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(903881), // Rule ID 61761 //
     /*  903811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  903822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  903825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  903828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  903831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903857 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  903860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903879 */     GIR_RootConstrainSelectedInstOperands,
     /*  903880 */     // GIR_Coverage, 61761,
     /*  903880 */     GIR_EraseRootFromParent_Done,
     /*  903881 */   // Label 13768: @903881
     /*  903881 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(903956), // Rule ID 61764 //
     /*  903886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  903906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903932 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  903935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903954 */     GIR_RootConstrainSelectedInstOperands,
     /*  903955 */     // GIR_Coverage, 61764,
     /*  903955 */     GIR_EraseRootFromParent_Done,
     /*  903956 */   // Label 13769: @903956
     /*  903956 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(904031), // Rule ID 61765 //
     /*  903961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  903972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  903975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  903981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904007 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  904007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904029 */     GIR_RootConstrainSelectedInstOperands,
     /*  904030 */     // GIR_Coverage, 61765,
     /*  904030 */     GIR_EraseRootFromParent_Done,
     /*  904031 */   // Label 13770: @904031
     /*  904031 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904106), // Rule ID 61768 //
     /*  904036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  904047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  904050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904104 */     GIR_RootConstrainSelectedInstOperands,
     /*  904105 */     // GIR_Coverage, 61768,
     /*  904105 */     GIR_EraseRootFromParent_Done,
     /*  904106 */   // Label 13771: @904106
     /*  904106 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904181), // Rule ID 61769 //
     /*  904111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  904122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  904125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904179 */     GIR_RootConstrainSelectedInstOperands,
     /*  904180 */     // GIR_Coverage, 61769,
     /*  904180 */     GIR_EraseRootFromParent_Done,
     /*  904181 */   // Label 13772: @904181
     /*  904181 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904256), // Rule ID 61772 //
     /*  904186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904254 */     GIR_RootConstrainSelectedInstOperands,
     /*  904255 */     // GIR_Coverage, 61772,
     /*  904255 */     GIR_EraseRootFromParent_Done,
     /*  904256 */   // Label 13773: @904256
     /*  904256 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(904331), // Rule ID 61773 //
     /*  904261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904329 */     GIR_RootConstrainSelectedInstOperands,
     /*  904330 */     // GIR_Coverage, 61773,
     /*  904330 */     GIR_EraseRootFromParent_Done,
     /*  904331 */   // Label 13774: @904331
     /*  904331 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(904406), // Rule ID 61776 //
     /*  904336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  904347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  904350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  904353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  904356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904382 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904404 */     GIR_RootConstrainSelectedInstOperands,
     /*  904405 */     // GIR_Coverage, 61776,
     /*  904405 */     GIR_EraseRootFromParent_Done,
     /*  904406 */   // Label 13775: @904406
     /*  904406 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(904481), // Rule ID 61777 //
     /*  904411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  904422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  904425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  904428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  904431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904457 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904479 */     GIR_RootConstrainSelectedInstOperands,
     /*  904480 */     // GIR_Coverage, 61777,
     /*  904480 */     GIR_EraseRootFromParent_Done,
     /*  904481 */   // Label 13776: @904481
     /*  904481 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904556), // Rule ID 61780 //
     /*  904486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904554 */     GIR_RootConstrainSelectedInstOperands,
     /*  904555 */     // GIR_Coverage, 61780,
     /*  904555 */     GIR_EraseRootFromParent_Done,
     /*  904556 */   // Label 13777: @904556
     /*  904556 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904631), // Rule ID 61781 //
     /*  904561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  904575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  904581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904607 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904629 */     GIR_RootConstrainSelectedInstOperands,
     /*  904630 */     // GIR_Coverage, 61781,
     /*  904630 */     GIR_EraseRootFromParent_Done,
     /*  904631 */   // Label 13778: @904631
     /*  904631 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904706), // Rule ID 61784 //
     /*  904636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904704 */     GIR_RootConstrainSelectedInstOperands,
     /*  904705 */     // GIR_Coverage, 61784,
     /*  904705 */     GIR_EraseRootFromParent_Done,
     /*  904706 */   // Label 13779: @904706
     /*  904706 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(904781), // Rule ID 61785 //
     /*  904711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  904725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  904731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904757 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904779 */     GIR_RootConstrainSelectedInstOperands,
     /*  904780 */     // GIR_Coverage, 61785,
     /*  904780 */     GIR_EraseRootFromParent_Done,
     /*  904781 */   // Label 13780: @904781
     /*  904781 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(904856), // Rule ID 61788 //
     /*  904786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  904806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904854 */     GIR_RootConstrainSelectedInstOperands,
     /*  904855 */     // GIR_Coverage, 61788,
     /*  904855 */     GIR_EraseRootFromParent_Done,
     /*  904856 */   // Label 13781: @904856
     /*  904856 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(904931), // Rule ID 61789 //
     /*  904861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  904875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  904881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904929 */     GIR_RootConstrainSelectedInstOperands,
     /*  904930 */     // GIR_Coverage, 61789,
     /*  904930 */     GIR_EraseRootFromParent_Done,
     /*  904931 */   // Label 13782: @904931
     /*  904931 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(905006), // Rule ID 61792 //
     /*  904936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  904956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905004 */     GIR_RootConstrainSelectedInstOperands,
     /*  905005 */     // GIR_Coverage, 61792,
     /*  905005 */     GIR_EraseRootFromParent_Done,
     /*  905006 */   // Label 13783: @905006
     /*  905006 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(905081), // Rule ID 61793 //
     /*  905011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  905022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  905025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  905028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  905031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  905060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905079 */     GIR_RootConstrainSelectedInstOperands,
     /*  905080 */     // GIR_Coverage, 61793,
     /*  905080 */     GIR_EraseRootFromParent_Done,
     /*  905081 */   // Label 13784: @905081
     /*  905081 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905156), // Rule ID 61796 //
     /*  905086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  905100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  905106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905154 */     GIR_RootConstrainSelectedInstOperands,
     /*  905155 */     // GIR_Coverage, 61796,
     /*  905155 */     GIR_EraseRootFromParent_Done,
     /*  905156 */   // Label 13785: @905156
     /*  905156 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(905231), // Rule ID 61797 //
     /*  905161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  905175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  905181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905207 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905229 */     GIR_RootConstrainSelectedInstOperands,
     /*  905230 */     // GIR_Coverage, 61797,
     /*  905230 */     GIR_EraseRootFromParent_Done,
     /*  905231 */   // Label 13786: @905231
     /*  905231 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(905306), // Rule ID 61800 //
     /*  905236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  905256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905304 */     GIR_RootConstrainSelectedInstOperands,
     /*  905305 */     // GIR_Coverage, 61800,
     /*  905305 */     GIR_EraseRootFromParent_Done,
     /*  905306 */   // Label 13787: @905306
     /*  905306 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(905381), // Rule ID 61801 //
     /*  905311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  905331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905357 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905379 */     GIR_RootConstrainSelectedInstOperands,
     /*  905380 */     // GIR_Coverage, 61801,
     /*  905380 */     GIR_EraseRootFromParent_Done,
     /*  905381 */   // Label 13788: @905381
     /*  905381 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(905456), // Rule ID 61804 //
     /*  905386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  905400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905432 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  905432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  905435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905454 */     GIR_RootConstrainSelectedInstOperands,
     /*  905455 */     // GIR_Coverage, 61804,
     /*  905455 */     GIR_EraseRootFromParent_Done,
     /*  905456 */   // Label 13789: @905456
     /*  905456 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(905531), // Rule ID 61805 //
     /*  905461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  905475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  905507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  905510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905529 */     GIR_RootConstrainSelectedInstOperands,
     /*  905530 */     // GIR_Coverage, 61805,
     /*  905530 */     GIR_EraseRootFromParent_Done,
     /*  905531 */   // Label 13790: @905531
     /*  905531 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905606), // Rule ID 61808 //
     /*  905536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  905550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  905582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  905585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905604 */     GIR_RootConstrainSelectedInstOperands,
     /*  905605 */     // GIR_Coverage, 61808,
     /*  905605 */     GIR_EraseRootFromParent_Done,
     /*  905606 */   // Label 13791: @905606
     /*  905606 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905681), // Rule ID 61809 //
     /*  905611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  905625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905657 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  905657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  905660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905679 */     GIR_RootConstrainSelectedInstOperands,
     /*  905680 */     // GIR_Coverage, 61809,
     /*  905680 */     GIR_EraseRootFromParent_Done,
     /*  905681 */   // Label 13792: @905681
     /*  905681 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905756), // Rule ID 61812 //
     /*  905686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  905700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905732 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  905732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  905735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905754 */     GIR_RootConstrainSelectedInstOperands,
     /*  905755 */     // GIR_Coverage, 61812,
     /*  905755 */     GIR_EraseRootFromParent_Done,
     /*  905756 */   // Label 13793: @905756
     /*  905756 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905831), // Rule ID 61813 //
     /*  905761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  905775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905807 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  905807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  905810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905829 */     GIR_RootConstrainSelectedInstOperands,
     /*  905830 */     // GIR_Coverage, 61813,
     /*  905830 */     GIR_EraseRootFromParent_Done,
     /*  905831 */   // Label 13794: @905831
     /*  905831 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(905906), // Rule ID 61816 //
     /*  905836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  905850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905882 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  905882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  905885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905904 */     GIR_RootConstrainSelectedInstOperands,
     /*  905905 */     // GIR_Coverage, 61816,
     /*  905905 */     GIR_EraseRootFromParent_Done,
     /*  905906 */   // Label 13795: @905906
     /*  905906 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(905981), // Rule ID 61817 //
     /*  905911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  905925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  905950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905957 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  905957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  905960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905979 */     GIR_RootConstrainSelectedInstOperands,
     /*  905980 */     // GIR_Coverage, 61817,
     /*  905980 */     GIR_EraseRootFromParent_Done,
     /*  905981 */   // Label 13796: @905981
     /*  905981 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(906056), // Rule ID 61820 //
     /*  905986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  905997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906032 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  906032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906054 */     GIR_RootConstrainSelectedInstOperands,
     /*  906055 */     // GIR_Coverage, 61820,
     /*  906055 */     GIR_EraseRootFromParent_Done,
     /*  906056 */   // Label 13797: @906056
     /*  906056 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(906131), // Rule ID 61821 //
     /*  906061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  906107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906129 */     GIR_RootConstrainSelectedInstOperands,
     /*  906130 */     // GIR_Coverage, 61821,
     /*  906130 */     GIR_EraseRootFromParent_Done,
     /*  906131 */   // Label 13798: @906131
     /*  906131 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(906206), // Rule ID 61824 //
     /*  906136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  906182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906204 */     GIR_RootConstrainSelectedInstOperands,
     /*  906205 */     // GIR_Coverage, 61824,
     /*  906205 */     GIR_EraseRootFromParent_Done,
     /*  906206 */   // Label 13799: @906206
     /*  906206 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(906281), // Rule ID 61825 //
     /*  906211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  906257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906279 */     GIR_RootConstrainSelectedInstOperands,
     /*  906280 */     // GIR_Coverage, 61825,
     /*  906280 */     GIR_EraseRootFromParent_Done,
     /*  906281 */   // Label 13800: @906281
     /*  906281 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(906356), // Rule ID 61828 //
     /*  906286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  906300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  906332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906354 */     GIR_RootConstrainSelectedInstOperands,
     /*  906355 */     // GIR_Coverage, 61828,
     /*  906355 */     GIR_EraseRootFromParent_Done,
     /*  906356 */   // Label 13801: @906356
     /*  906356 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(906431), // Rule ID 61829 //
     /*  906361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  906375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906407 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  906407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906429 */     GIR_RootConstrainSelectedInstOperands,
     /*  906430 */     // GIR_Coverage, 61829,
     /*  906430 */     GIR_EraseRootFromParent_Done,
     /*  906431 */   // Label 13802: @906431
     /*  906431 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(906506), // Rule ID 61832 //
     /*  906436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  906450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  906482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906504 */     GIR_RootConstrainSelectedInstOperands,
     /*  906505 */     // GIR_Coverage, 61832,
     /*  906505 */     GIR_EraseRootFromParent_Done,
     /*  906506 */   // Label 13803: @906506
     /*  906506 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906581), // Rule ID 61833 //
     /*  906511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  906525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906557 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  906557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906579 */     GIR_RootConstrainSelectedInstOperands,
     /*  906580 */     // GIR_Coverage, 61833,
     /*  906580 */     GIR_EraseRootFromParent_Done,
     /*  906581 */   // Label 13804: @906581
     /*  906581 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906656), // Rule ID 61836 //
     /*  906586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  906632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906654 */     GIR_RootConstrainSelectedInstOperands,
     /*  906655 */     // GIR_Coverage, 61836,
     /*  906655 */     GIR_EraseRootFromParent_Done,
     /*  906656 */   // Label 13805: @906656
     /*  906656 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906731), // Rule ID 61837 //
     /*  906661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  906707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906729 */     GIR_RootConstrainSelectedInstOperands,
     /*  906730 */     // GIR_Coverage, 61837,
     /*  906730 */     GIR_EraseRootFromParent_Done,
     /*  906731 */   // Label 13806: @906731
     /*  906731 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(906806), // Rule ID 61840 //
     /*  906736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  906750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  906753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  906782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  906801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906804 */     GIR_RootConstrainSelectedInstOperands,
     /*  906805 */     // GIR_Coverage, 61840,
     /*  906805 */     GIR_EraseRootFromParent_Done,
     /*  906806 */   // Label 13807: @906806
     /*  906806 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(906881), // Rule ID 61841 //
     /*  906811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  906825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  906828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  906857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  906860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  906876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906879 */     GIR_RootConstrainSelectedInstOperands,
     /*  906880 */     // GIR_Coverage, 61841,
     /*  906880 */     GIR_EraseRootFromParent_Done,
     /*  906881 */   // Label 13808: @906881
     /*  906881 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(906956), // Rule ID 61844 //
     /*  906886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  906897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  906900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  906903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  906932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  906935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906954 */     GIR_RootConstrainSelectedInstOperands,
     /*  906955 */     // GIR_Coverage, 61844,
     /*  906955 */     GIR_EraseRootFromParent_Done,
     /*  906956 */   // Label 13809: @906956
     /*  906956 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(907031), // Rule ID 61845 //
     /*  906961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  906972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  906975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  906978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907007 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907029 */     GIR_RootConstrainSelectedInstOperands,
     /*  907030 */     // GIR_Coverage, 61845,
     /*  907030 */     GIR_EraseRootFromParent_Done,
     /*  907031 */   // Label 13810: @907031
     /*  907031 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(907106), // Rule ID 61848 //
     /*  907036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907104 */     GIR_RootConstrainSelectedInstOperands,
     /*  907105 */     // GIR_Coverage, 61848,
     /*  907105 */     GIR_EraseRootFromParent_Done,
     /*  907106 */   // Label 13811: @907106
     /*  907106 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(907181), // Rule ID 61849 //
     /*  907111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907157 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907179 */     GIR_RootConstrainSelectedInstOperands,
     /*  907180 */     // GIR_Coverage, 61849,
     /*  907180 */     GIR_EraseRootFromParent_Done,
     /*  907181 */   // Label 13812: @907181
     /*  907181 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(907256), // Rule ID 61852 //
     /*  907186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907254 */     GIR_RootConstrainSelectedInstOperands,
     /*  907255 */     // GIR_Coverage, 61852,
     /*  907255 */     GIR_EraseRootFromParent_Done,
     /*  907256 */   // Label 13813: @907256
     /*  907256 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(907331), // Rule ID 61853 //
     /*  907261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907307 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907329 */     GIR_RootConstrainSelectedInstOperands,
     /*  907330 */     // GIR_Coverage, 61853,
     /*  907330 */     GIR_EraseRootFromParent_Done,
     /*  907331 */   // Label 13814: @907331
     /*  907331 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(907406), // Rule ID 61856 //
     /*  907336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  907350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  907382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907404 */     GIR_RootConstrainSelectedInstOperands,
     /*  907405 */     // GIR_Coverage, 61856,
     /*  907405 */     GIR_EraseRootFromParent_Done,
     /*  907406 */   // Label 13815: @907406
     /*  907406 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(907481), // Rule ID 61857 //
     /*  907411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  907422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  907425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  907428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907457 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  907457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907479 */     GIR_RootConstrainSelectedInstOperands,
     /*  907480 */     // GIR_Coverage, 61857,
     /*  907480 */     GIR_EraseRootFromParent_Done,
     /*  907481 */   // Label 13816: @907481
     /*  907481 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907556), // Rule ID 61860 //
     /*  907486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  907500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  907532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907554 */     GIR_RootConstrainSelectedInstOperands,
     /*  907555 */     // GIR_Coverage, 61860,
     /*  907555 */     GIR_EraseRootFromParent_Done,
     /*  907556 */   // Label 13817: @907556
     /*  907556 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907631), // Rule ID 61861 //
     /*  907561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  907572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  907575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  907578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907607 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  907607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907629 */     GIR_RootConstrainSelectedInstOperands,
     /*  907630 */     // GIR_Coverage, 61861,
     /*  907630 */     GIR_EraseRootFromParent_Done,
     /*  907631 */   // Label 13818: @907631
     /*  907631 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(907706), // Rule ID 61864 //
     /*  907636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  907650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907682 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  907682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907704 */     GIR_RootConstrainSelectedInstOperands,
     /*  907705 */     // GIR_Coverage, 61864,
     /*  907705 */     GIR_EraseRootFromParent_Done,
     /*  907706 */   // Label 13819: @907706
     /*  907706 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(907781), // Rule ID 61865 //
     /*  907711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  907722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  907725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  907728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907757 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  907757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907779 */     GIR_RootConstrainSelectedInstOperands,
     /*  907780 */     // GIR_Coverage, 61865,
     /*  907780 */     GIR_EraseRootFromParent_Done,
     /*  907781 */   // Label 13820: @907781
     /*  907781 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(907856), // Rule ID 61868 //
     /*  907786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  907797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  907800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  907803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  907832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907854 */     GIR_RootConstrainSelectedInstOperands,
     /*  907855 */     // GIR_Coverage, 61868,
     /*  907855 */     GIR_EraseRootFromParent_Done,
     /*  907856 */   // Label 13821: @907856
     /*  907856 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(907931), // Rule ID 61869 //
     /*  907861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  907872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  907875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  907878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  907907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907929 */     GIR_RootConstrainSelectedInstOperands,
     /*  907930 */     // GIR_Coverage, 61869,
     /*  907930 */     GIR_EraseRootFromParent_Done,
     /*  907931 */   // Label 13822: @907931
     /*  907931 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(908006), // Rule ID 61872 //
     /*  907936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  907947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  907950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  907953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  907982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908004 */     GIR_RootConstrainSelectedInstOperands,
     /*  908005 */     // GIR_Coverage, 61872,
     /*  908005 */     GIR_EraseRootFromParent_Done,
     /*  908006 */   // Label 13823: @908006
     /*  908006 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(908081), // Rule ID 61873 //
     /*  908011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908057 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908079 */     GIR_RootConstrainSelectedInstOperands,
     /*  908080 */     // GIR_Coverage, 61873,
     /*  908080 */     GIR_EraseRootFromParent_Done,
     /*  908081 */   // Label 13824: @908081
     /*  908081 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(908156), // Rule ID 61876 //
     /*  908086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908154 */     GIR_RootConstrainSelectedInstOperands,
     /*  908155 */     // GIR_Coverage, 61876,
     /*  908155 */     GIR_EraseRootFromParent_Done,
     /*  908156 */   // Label 13825: @908156
     /*  908156 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(908231), // Rule ID 61877 //
     /*  908161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908229 */     GIR_RootConstrainSelectedInstOperands,
     /*  908230 */     // GIR_Coverage, 61877,
     /*  908230 */     GIR_EraseRootFromParent_Done,
     /*  908231 */   // Label 13826: @908231
     /*  908231 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(908306), // Rule ID 61880 //
     /*  908236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  908250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908282 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  908282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908304 */     GIR_RootConstrainSelectedInstOperands,
     /*  908305 */     // GIR_Coverage, 61880,
     /*  908305 */     GIR_EraseRootFromParent_Done,
     /*  908306 */   // Label 13827: @908306
     /*  908306 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(908381), // Rule ID 61881 //
     /*  908311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  908325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11462:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  908357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908379 */     GIR_RootConstrainSelectedInstOperands,
     /*  908380 */     // GIR_Coverage, 61881,
     /*  908380 */     GIR_EraseRootFromParent_Done,
     /*  908381 */   // Label 13828: @908381
     /*  908381 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(908456), // Rule ID 61884 //
     /*  908386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  908400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  908432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908454 */     GIR_RootConstrainSelectedInstOperands,
     /*  908455 */     // GIR_Coverage, 61884,
     /*  908455 */     GIR_EraseRootFromParent_Done,
     /*  908456 */   // Label 13829: @908456
     /*  908456 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908531), // Rule ID 61885 //
     /*  908461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  908475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  908478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11462:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  908507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908529 */     GIR_RootConstrainSelectedInstOperands,
     /*  908530 */     // GIR_Coverage, 61885,
     /*  908530 */     GIR_EraseRootFromParent_Done,
     /*  908531 */   // Label 13830: @908531
     /*  908531 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(908606), // Rule ID 61888 //
     /*  908536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  908550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  908582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908604 */     GIR_RootConstrainSelectedInstOperands,
     /*  908605 */     // GIR_Coverage, 61888,
     /*  908605 */     GIR_EraseRootFromParent_Done,
     /*  908606 */   // Label 13831: @908606
     /*  908606 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(908681), // Rule ID 61889 //
     /*  908611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  908625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  908628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11462:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  908657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908679 */     GIR_RootConstrainSelectedInstOperands,
     /*  908680 */     // GIR_Coverage, 61889,
     /*  908680 */     GIR_EraseRootFromParent_Done,
     /*  908681 */   // Label 13832: @908681
     /*  908681 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(908756), // Rule ID 62332 //
     /*  908686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  908689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  908694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  908700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  908706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  908735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908754 */     GIR_RootConstrainSelectedInstOperands,
     /*  908755 */     // GIR_Coverage, 62332,
     /*  908755 */     GIR_EraseRootFromParent_Done,
     /*  908756 */   // Label 13833: @908756
     /*  908756 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(908831), // Rule ID 62333 //
     /*  908761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  908764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  908769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  908775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  908781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  908810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908829 */     GIR_RootConstrainSelectedInstOperands,
     /*  908830 */     // GIR_Coverage, 62333,
     /*  908830 */     GIR_EraseRootFromParent_Done,
     /*  908831 */   // Label 13834: @908831
     /*  908831 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(908906), // Rule ID 62334 //
     /*  908836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  908839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  908844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  908885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908904 */     GIR_RootConstrainSelectedInstOperands,
     /*  908905 */     // GIR_Coverage, 62334,
     /*  908905 */     GIR_EraseRootFromParent_Done,
     /*  908906 */   // Label 13835: @908906
     /*  908906 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(908981), // Rule ID 62335 //
     /*  908911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  908914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  908919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  908931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  908960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908979 */     GIR_RootConstrainSelectedInstOperands,
     /*  908980 */     // GIR_Coverage, 62335,
     /*  908980 */     GIR_EraseRootFromParent_Done,
     /*  908981 */   // Label 13836: @908981
     /*  908981 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(909056), // Rule ID 62336 //
     /*  908986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  908989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  908994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  909000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  909035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909054 */     GIR_RootConstrainSelectedInstOperands,
     /*  909055 */     // GIR_Coverage, 62336,
     /*  909055 */     GIR_EraseRootFromParent_Done,
     /*  909056 */   // Label 13837: @909056
     /*  909056 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(909131), // Rule ID 62337 //
     /*  909061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  909075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  909110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909129 */     GIR_RootConstrainSelectedInstOperands,
     /*  909130 */     // GIR_Coverage, 62337,
     /*  909130 */     GIR_EraseRootFromParent_Done,
     /*  909131 */   // Label 13838: @909131
     /*  909131 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(909206), // Rule ID 62338 //
     /*  909136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  909185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909204 */     GIR_RootConstrainSelectedInstOperands,
     /*  909205 */     // GIR_Coverage, 62338,
     /*  909205 */     GIR_EraseRootFromParent_Done,
     /*  909206 */   // Label 13839: @909206
     /*  909206 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(909281), // Rule ID 62339 //
     /*  909211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909257 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11492:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  909260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909279 */     GIR_RootConstrainSelectedInstOperands,
     /*  909280 */     // GIR_Coverage, 62339,
     /*  909280 */     GIR_EraseRootFromParent_Done,
     /*  909281 */   // Label 13840: @909281
     /*  909281 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(909345), // Rule ID 64506 //
     /*  909286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  909294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909322 */     // MIs[0] imm5
     /*  909322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909330 */     // (intrinsic_wo_chain:{ *:[i32] } 10943:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  909333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909341 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909343 */     GIR_RootConstrainSelectedInstOperands,
     /*  909344 */     // GIR_Coverage, 64506,
     /*  909344 */     GIR_EraseRootFromParent_Done,
     /*  909345 */   // Label 13841: @909345
     /*  909345 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(909409), // Rule ID 64507 //
     /*  909350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  909358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909386 */     // MIs[0] imm5
     /*  909386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909394 */     // (intrinsic_wo_chain:{ *:[i32] } 10939:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  909397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909405 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909407 */     GIR_RootConstrainSelectedInstOperands,
     /*  909408 */     // GIR_Coverage, 64507,
     /*  909408 */     GIR_EraseRootFromParent_Done,
     /*  909409 */   // Label 13842: @909409
     /*  909409 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(909473), // Rule ID 64508 //
     /*  909414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  909422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909450 */     // MIs[0] imm5
     /*  909450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909458 */     // (intrinsic_wo_chain:{ *:[i32] } 10941:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  909461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909469 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909471 */     GIR_RootConstrainSelectedInstOperands,
     /*  909472 */     // GIR_Coverage, 64508,
     /*  909472 */     GIR_EraseRootFromParent_Done,
     /*  909473 */   // Label 13843: @909473
     /*  909473 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(909537), // Rule ID 64509 //
     /*  909478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  909486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909514 */     // MIs[0] imm5
     /*  909514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909522 */     // (intrinsic_wo_chain:{ *:[i32] } 10937:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  909525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909533 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909535 */     GIR_RootConstrainSelectedInstOperands,
     /*  909536 */     // GIR_Coverage, 64509,
     /*  909536 */     GIR_EraseRootFromParent_Done,
     /*  909537 */   // Label 13844: @909537
     /*  909537 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(909601), // Rule ID 64510 //
     /*  909542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  909550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909578 */     // MIs[0] imm5
     /*  909578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909586 */     // (intrinsic_wo_chain:{ *:[i32] } 10944:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  909589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909597 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909599 */     GIR_RootConstrainSelectedInstOperands,
     /*  909600 */     // GIR_Coverage, 64510,
     /*  909600 */     GIR_EraseRootFromParent_Done,
     /*  909601 */   // Label 13845: @909601
     /*  909601 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(909665), // Rule ID 64511 //
     /*  909606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  909614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909642 */     // MIs[0] imm5
     /*  909642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909650 */     // (intrinsic_wo_chain:{ *:[i32] } 10940:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  909653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909661 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909663 */     GIR_RootConstrainSelectedInstOperands,
     /*  909664 */     // GIR_Coverage, 64511,
     /*  909664 */     GIR_EraseRootFromParent_Done,
     /*  909665 */   // Label 13846: @909665
     /*  909665 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(909729), // Rule ID 64512 //
     /*  909670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  909678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909706 */     // MIs[0] imm5
     /*  909706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909709 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909714 */     // (intrinsic_wo_chain:{ *:[i32] } 10942:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  909717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909725 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909727 */     GIR_RootConstrainSelectedInstOperands,
     /*  909728 */     // GIR_Coverage, 64512,
     /*  909728 */     GIR_EraseRootFromParent_Done,
     /*  909729 */   // Label 13847: @909729
     /*  909729 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(909793), // Rule ID 64513 //
     /*  909734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  909742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909770 */     // MIs[0] imm5
     /*  909770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  909778 */     // (intrinsic_wo_chain:{ *:[i32] } 10938:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  909778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  909781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  909783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  909785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  909787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909789 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  909791 */     GIR_RootConstrainSelectedInstOperands,
     /*  909792 */     // GIR_Coverage, 64513,
     /*  909792 */     GIR_EraseRootFromParent_Done,
     /*  909793 */   // Label 13848: @909793
     /*  909793 */   GIM_Reject,
     /*  909794 */ // Label 7002: @909794
     /*  909794 */ GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(1399267),
     /*  909799 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  909802 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(909885), // Rule ID 62845 //
     /*  909807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  909818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  909821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909831 */     // MIs[0] op1
     /*  909831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909847 */     // MIs[0] op4
     /*  909847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909862 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  909862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  909865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909873 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909883 */     GIR_RootConstrainSelectedInstOperands,
     /*  909884 */     // GIR_Coverage, 62845,
     /*  909884 */     GIR_EraseRootFromParent_Done,
     /*  909885 */   // Label 13850: @909885
     /*  909885 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(909968), // Rule ID 62846 //
     /*  909890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  909901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  909904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  909907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909914 */     // MIs[0] op1
     /*  909914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909930 */     // MIs[0] op4
     /*  909930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909945 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  909945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  909948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909956 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909966 */     GIR_RootConstrainSelectedInstOperands,
     /*  909967 */     // GIR_Coverage, 62846,
     /*  909967 */     GIR_EraseRootFromParent_Done,
     /*  909968 */   // Label 13851: @909968
     /*  909968 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(910051), // Rule ID 62889 //
     /*  909973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  909981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  909984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  909987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909997 */     // MIs[0] op1
     /*  909997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910013 */     // MIs[0] op4
     /*  910013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910039 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910049 */     GIR_RootConstrainSelectedInstOperands,
     /*  910050 */     // GIR_Coverage, 62889,
     /*  910050 */     GIR_EraseRootFromParent_Done,
     /*  910051 */   // Label 13852: @910051
     /*  910051 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(910134), // Rule ID 62890 //
     /*  910056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  910067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  910070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  910073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910080 */     // MIs[0] op1
     /*  910080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910096 */     // MIs[0] op4
     /*  910096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910111 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910122 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910132 */     GIR_RootConstrainSelectedInstOperands,
     /*  910133 */     // GIR_Coverage, 62890,
     /*  910133 */     GIR_EraseRootFromParent_Done,
     /*  910134 */   // Label 13853: @910134
     /*  910134 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(910217), // Rule ID 62933 //
     /*  910139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  910150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  910153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910163 */     // MIs[0] op1
     /*  910163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910179 */     // MIs[0] op4
     /*  910179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910194 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910205 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910215 */     GIR_RootConstrainSelectedInstOperands,
     /*  910216 */     // GIR_Coverage, 62933,
     /*  910216 */     GIR_EraseRootFromParent_Done,
     /*  910217 */   // Label 13854: @910217
     /*  910217 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(910300), // Rule ID 62934 //
     /*  910222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  910233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  910236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910246 */     // MIs[0] op1
     /*  910246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910262 */     // MIs[0] op4
     /*  910262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910282 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910284 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910286 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910288 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910298 */     GIR_RootConstrainSelectedInstOperands,
     /*  910299 */     // GIR_Coverage, 62934,
     /*  910299 */     GIR_EraseRootFromParent_Done,
     /*  910300 */   // Label 13855: @910300
     /*  910300 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(910383), // Rule ID 62977 //
     /*  910305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  910316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  910319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910329 */     // MIs[0] op1
     /*  910329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910345 */     // MIs[0] op4
     /*  910345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910365 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910367 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910369 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910371 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910381 */     GIR_RootConstrainSelectedInstOperands,
     /*  910382 */     // GIR_Coverage, 62977,
     /*  910382 */     GIR_EraseRootFromParent_Done,
     /*  910383 */   // Label 13856: @910383
     /*  910383 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(910466), // Rule ID 62978 //
     /*  910388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  910399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  910402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910412 */     // MIs[0] op1
     /*  910412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910428 */     // MIs[0] op4
     /*  910428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910454 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910464 */     GIR_RootConstrainSelectedInstOperands,
     /*  910465 */     // GIR_Coverage, 62978,
     /*  910465 */     GIR_EraseRootFromParent_Done,
     /*  910466 */   // Label 13857: @910466
     /*  910466 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(910549), // Rule ID 63033 //
     /*  910471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910495 */     // MIs[0] op1
     /*  910495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910511 */     // MIs[0] op4
     /*  910511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  910526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910531 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910533 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910535 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910537 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910547 */     GIR_RootConstrainSelectedInstOperands,
     /*  910548 */     // GIR_Coverage, 63033,
     /*  910548 */     GIR_EraseRootFromParent_Done,
     /*  910549 */   // Label 13858: @910549
     /*  910549 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(910632), // Rule ID 63034 //
     /*  910554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910578 */     // MIs[0] op1
     /*  910578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910594 */     // MIs[0] op4
     /*  910594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  910609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910620 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910630 */     GIR_RootConstrainSelectedInstOperands,
     /*  910631 */     // GIR_Coverage, 63034,
     /*  910631 */     GIR_EraseRootFromParent_Done,
     /*  910632 */   // Label 13859: @910632
     /*  910632 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(910715), // Rule ID 63089 //
     /*  910637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910661 */     // MIs[0] op1
     /*  910661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910677 */     // MIs[0] op4
     /*  910677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  910692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910697 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910699 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910701 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910703 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910713 */     GIR_RootConstrainSelectedInstOperands,
     /*  910714 */     // GIR_Coverage, 63089,
     /*  910714 */     GIR_EraseRootFromParent_Done,
     /*  910715 */   // Label 13860: @910715
     /*  910715 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(910798), // Rule ID 63090 //
     /*  910720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910744 */     // MIs[0] op1
     /*  910744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910760 */     // MIs[0] op4
     /*  910760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  910775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910786 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910796 */     GIR_RootConstrainSelectedInstOperands,
     /*  910797 */     // GIR_Coverage, 63090,
     /*  910797 */     GIR_EraseRootFromParent_Done,
     /*  910798 */   // Label 13861: @910798
     /*  910798 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(910881), // Rule ID 63145 //
     /*  910803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  910814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  910817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  910820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910827 */     // MIs[0] op1
     /*  910827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910843 */     // MIs[0] op4
     /*  910843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  910861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910869 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910879 */     GIR_RootConstrainSelectedInstOperands,
     /*  910880 */     // GIR_Coverage, 63145,
     /*  910880 */     GIR_EraseRootFromParent_Done,
     /*  910881 */   // Label 13862: @910881
     /*  910881 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(910964), // Rule ID 63146 //
     /*  910886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  910897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  910900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  910903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910910 */     // MIs[0] op1
     /*  910910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910926 */     // MIs[0] op4
     /*  910926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910941 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  910944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910946 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910948 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910950 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910952 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910962 */     GIR_RootConstrainSelectedInstOperands,
     /*  910963 */     // GIR_Coverage, 63146,
     /*  910963 */     GIR_EraseRootFromParent_Done,
     /*  910964 */   // Label 13863: @910964
     /*  910964 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(911047), // Rule ID 63189 //
     /*  910969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  910980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  910983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910993 */     // MIs[0] op1
     /*  910993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911009 */     // MIs[0] op4
     /*  911009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911029 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911031 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911033 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911035 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911045 */     GIR_RootConstrainSelectedInstOperands,
     /*  911046 */     // GIR_Coverage, 63189,
     /*  911046 */     GIR_EraseRootFromParent_Done,
     /*  911047 */   // Label 13864: @911047
     /*  911047 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(911130), // Rule ID 63190 //
     /*  911052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  911063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  911066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911076 */     // MIs[0] op1
     /*  911076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911092 */     // MIs[0] op4
     /*  911092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911118 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911128 */     GIR_RootConstrainSelectedInstOperands,
     /*  911129 */     // GIR_Coverage, 63190,
     /*  911129 */     GIR_EraseRootFromParent_Done,
     /*  911130 */   // Label 13865: @911130
     /*  911130 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(911213), // Rule ID 63245 //
     /*  911135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911159 */     // MIs[0] op1
     /*  911159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911175 */     // MIs[0] op4
     /*  911175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911201 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911211 */     GIR_RootConstrainSelectedInstOperands,
     /*  911212 */     // GIR_Coverage, 63245,
     /*  911212 */     GIR_EraseRootFromParent_Done,
     /*  911213 */   // Label 13866: @911213
     /*  911213 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(911296), // Rule ID 63246 //
     /*  911218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911242 */     // MIs[0] op1
     /*  911242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911258 */     // MIs[0] op4
     /*  911258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911284 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911294 */     GIR_RootConstrainSelectedInstOperands,
     /*  911295 */     // GIR_Coverage, 63246,
     /*  911295 */     GIR_EraseRootFromParent_Done,
     /*  911296 */   // Label 13867: @911296
     /*  911296 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(911379), // Rule ID 63301 //
     /*  911301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  911318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911325 */     // MIs[0] op1
     /*  911325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911341 */     // MIs[0] op4
     /*  911341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911356 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  911356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911367 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  911377 */     GIR_RootConstrainSelectedInstOperands,
     /*  911378 */     // GIR_Coverage, 63301,
     /*  911378 */     GIR_EraseRootFromParent_Done,
     /*  911379 */   // Label 13868: @911379
     /*  911379 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(911462), // Rule ID 63302 //
     /*  911384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  911401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911408 */     // MIs[0] op1
     /*  911408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911424 */     // MIs[0] op4
     /*  911424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  911439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911450 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  911460 */     GIR_RootConstrainSelectedInstOperands,
     /*  911461 */     // GIR_Coverage, 63302,
     /*  911461 */     GIR_EraseRootFromParent_Done,
     /*  911462 */   // Label 13869: @911462
     /*  911462 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(911545), // Rule ID 63357 //
     /*  911467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  911478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  911481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  911484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911491 */     // MIs[0] op1
     /*  911491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911507 */     // MIs[0] op4
     /*  911507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911522 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  911522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  911525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911533 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911543 */     GIR_RootConstrainSelectedInstOperands,
     /*  911544 */     // GIR_Coverage, 63357,
     /*  911544 */     GIR_EraseRootFromParent_Done,
     /*  911545 */   // Label 13870: @911545
     /*  911545 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(911628), // Rule ID 63358 //
     /*  911550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  911561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  911564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  911567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911574 */     // MIs[0] op1
     /*  911574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911590 */     // MIs[0] op4
     /*  911590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911605 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  911605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  911608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911610 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911612 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911614 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911616 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911626 */     GIR_RootConstrainSelectedInstOperands,
     /*  911627 */     // GIR_Coverage, 63358,
     /*  911627 */     GIR_EraseRootFromParent_Done,
     /*  911628 */   // Label 13871: @911628
     /*  911628 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(911711), // Rule ID 63401 //
     /*  911633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  911644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  911647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  911650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911657 */     // MIs[0] op1
     /*  911657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911673 */     // MIs[0] op4
     /*  911673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  911688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  911691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911699 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911709 */     GIR_RootConstrainSelectedInstOperands,
     /*  911710 */     // GIR_Coverage, 63401,
     /*  911710 */     GIR_EraseRootFromParent_Done,
     /*  911711 */   // Label 13872: @911711
     /*  911711 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(911794), // Rule ID 63402 //
     /*  911716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  911727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  911730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  911733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911740 */     // MIs[0] op1
     /*  911740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911756 */     // MIs[0] op4
     /*  911756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  911771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  911774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911782 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911792 */     GIR_RootConstrainSelectedInstOperands,
     /*  911793 */     // GIR_Coverage, 63402,
     /*  911793 */     GIR_EraseRootFromParent_Done,
     /*  911794 */   // Label 13873: @911794
     /*  911794 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(911877), // Rule ID 63445 //
     /*  911799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  911810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  911813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  911816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911823 */     // MIs[0] op1
     /*  911823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911839 */     // MIs[0] op4
     /*  911839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911854 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  911854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  911857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911859 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911861 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911863 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911865 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911875 */     GIR_RootConstrainSelectedInstOperands,
     /*  911876 */     // GIR_Coverage, 63445,
     /*  911876 */     GIR_EraseRootFromParent_Done,
     /*  911877 */   // Label 13874: @911877
     /*  911877 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(911960), // Rule ID 63446 //
     /*  911882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  911893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  911896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  911899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911906 */     // MIs[0] op1
     /*  911906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911922 */     // MIs[0] op4
     /*  911922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911937 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  911937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  911940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911948 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911958 */     GIR_RootConstrainSelectedInstOperands,
     /*  911959 */     // GIR_Coverage, 63446,
     /*  911959 */     GIR_EraseRootFromParent_Done,
     /*  911960 */   // Label 13875: @911960
     /*  911960 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(912043), // Rule ID 63489 //
     /*  911965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  911976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  911979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  911982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911989 */     // MIs[0] op1
     /*  911989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912005 */     // MIs[0] op4
     /*  912005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912025 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912027 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912029 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912031 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912041 */     GIR_RootConstrainSelectedInstOperands,
     /*  912042 */     // GIR_Coverage, 63489,
     /*  912042 */     GIR_EraseRootFromParent_Done,
     /*  912043 */   // Label 13876: @912043
     /*  912043 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(912126), // Rule ID 63490 //
     /*  912048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  912059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  912062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  912065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912072 */     // MIs[0] op1
     /*  912072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912088 */     // MIs[0] op4
     /*  912088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912124 */     GIR_RootConstrainSelectedInstOperands,
     /*  912125 */     // GIR_Coverage, 63490,
     /*  912125 */     GIR_EraseRootFromParent_Done,
     /*  912126 */   // Label 13877: @912126
     /*  912126 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(912209), // Rule ID 63545 //
     /*  912131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  912142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  912145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  912148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912155 */     // MIs[0] op1
     /*  912155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912171 */     // MIs[0] op4
     /*  912171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912191 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912193 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912195 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912197 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912207 */     GIR_RootConstrainSelectedInstOperands,
     /*  912208 */     // GIR_Coverage, 63545,
     /*  912208 */     GIR_EraseRootFromParent_Done,
     /*  912209 */   // Label 13878: @912209
     /*  912209 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(912292), // Rule ID 63546 //
     /*  912214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  912225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  912228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  912231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912238 */     // MIs[0] op1
     /*  912238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912254 */     // MIs[0] op4
     /*  912254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912274 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912276 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912278 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912280 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912290 */     GIR_RootConstrainSelectedInstOperands,
     /*  912291 */     // GIR_Coverage, 63546,
     /*  912291 */     GIR_EraseRootFromParent_Done,
     /*  912292 */   // Label 13879: @912292
     /*  912292 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(912375), // Rule ID 63601 //
     /*  912297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  912308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  912311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  912314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912321 */     // MIs[0] op1
     /*  912321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912337 */     // MIs[0] op4
     /*  912337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912357 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912359 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912361 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912363 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912373 */     GIR_RootConstrainSelectedInstOperands,
     /*  912374 */     // GIR_Coverage, 63601,
     /*  912374 */     GIR_EraseRootFromParent_Done,
     /*  912375 */   // Label 13880: @912375
     /*  912375 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(912458), // Rule ID 63602 //
     /*  912380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  912391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  912394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  912397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912404 */     // MIs[0] op1
     /*  912404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912420 */     // MIs[0] op4
     /*  912420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912446 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912456 */     GIR_RootConstrainSelectedInstOperands,
     /*  912457 */     // GIR_Coverage, 63602,
     /*  912457 */     GIR_EraseRootFromParent_Done,
     /*  912458 */   // Label 13881: @912458
     /*  912458 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(912541), // Rule ID 63657 //
     /*  912463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912487 */     // MIs[0] op1
     /*  912487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912503 */     // MIs[0] op4
     /*  912503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912523 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912525 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912527 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912529 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912539 */     GIR_RootConstrainSelectedInstOperands,
     /*  912540 */     // GIR_Coverage, 63657,
     /*  912540 */     GIR_EraseRootFromParent_Done,
     /*  912541 */   // Label 13882: @912541
     /*  912541 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(912624), // Rule ID 63658 //
     /*  912546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912570 */     // MIs[0] op1
     /*  912570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912586 */     // MIs[0] op4
     /*  912586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912606 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912608 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912610 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912612 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912622 */     GIR_RootConstrainSelectedInstOperands,
     /*  912623 */     // GIR_Coverage, 63658,
     /*  912623 */     GIR_EraseRootFromParent_Done,
     /*  912624 */   // Label 13883: @912624
     /*  912624 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(912707), // Rule ID 63713 //
     /*  912629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912653 */     // MIs[0] op1
     /*  912653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912669 */     // MIs[0] op4
     /*  912669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912695 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912705 */     GIR_RootConstrainSelectedInstOperands,
     /*  912706 */     // GIR_Coverage, 63713,
     /*  912706 */     GIR_EraseRootFromParent_Done,
     /*  912707 */   // Label 13884: @912707
     /*  912707 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(912790), // Rule ID 63714 //
     /*  912712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912736 */     // MIs[0] op1
     /*  912736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912752 */     // MIs[0] op4
     /*  912752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912772 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912774 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912776 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912778 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912788 */     GIR_RootConstrainSelectedInstOperands,
     /*  912789 */     // GIR_Coverage, 63714,
     /*  912789 */     GIR_EraseRootFromParent_Done,
     /*  912790 */   // Label 13885: @912790
     /*  912790 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(912873), // Rule ID 63769 //
     /*  912795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  912812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912819 */     // MIs[0] op1
     /*  912819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912835 */     // MIs[0] op4
     /*  912835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  912850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912861 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912871 */     GIR_RootConstrainSelectedInstOperands,
     /*  912872 */     // GIR_Coverage, 63769,
     /*  912872 */     GIR_EraseRootFromParent_Done,
     /*  912873 */   // Label 13886: @912873
     /*  912873 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(912956), // Rule ID 63770 //
     /*  912878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  912895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912902 */     // MIs[0] op1
     /*  912902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912918 */     // MIs[0] op4
     /*  912918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912933 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  912933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912944 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912954 */     GIR_RootConstrainSelectedInstOperands,
     /*  912955 */     // GIR_Coverage, 63770,
     /*  912955 */     GIR_EraseRootFromParent_Done,
     /*  912956 */   // Label 13887: @912956
     /*  912956 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(913039), // Rule ID 63825 //
     /*  912961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  912972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  912975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  912978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912985 */     // MIs[0] op1
     /*  912985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913001 */     // MIs[0] op4
     /*  913001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913027 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913037 */     GIR_RootConstrainSelectedInstOperands,
     /*  913038 */     // GIR_Coverage, 63825,
     /*  913038 */     GIR_EraseRootFromParent_Done,
     /*  913039 */   // Label 13888: @913039
     /*  913039 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(913122), // Rule ID 63826 //
     /*  913044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  913055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  913058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  913061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913068 */     // MIs[0] op1
     /*  913068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913084 */     // MIs[0] op4
     /*  913084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913110 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913120 */     GIR_RootConstrainSelectedInstOperands,
     /*  913121 */     // GIR_Coverage, 63826,
     /*  913121 */     GIR_EraseRootFromParent_Done,
     /*  913122 */   // Label 13889: @913122
     /*  913122 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(913205), // Rule ID 63881 //
     /*  913127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  913138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  913141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  913144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913151 */     // MIs[0] op1
     /*  913151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913167 */     // MIs[0] op4
     /*  913167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913187 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913189 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913191 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913193 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913203 */     GIR_RootConstrainSelectedInstOperands,
     /*  913204 */     // GIR_Coverage, 63881,
     /*  913204 */     GIR_EraseRootFromParent_Done,
     /*  913205 */   // Label 13890: @913205
     /*  913205 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(913288), // Rule ID 63882 //
     /*  913210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  913221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  913224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  913227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913234 */     // MIs[0] op1
     /*  913234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913250 */     // MIs[0] op4
     /*  913250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913265 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913276 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913286 */     GIR_RootConstrainSelectedInstOperands,
     /*  913287 */     // GIR_Coverage, 63882,
     /*  913287 */     GIR_EraseRootFromParent_Done,
     /*  913288 */   // Label 13891: @913288
     /*  913288 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(913371), // Rule ID 63937 //
     /*  913293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  913304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  913307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  913310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913317 */     // MIs[0] op1
     /*  913317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913333 */     // MIs[0] op4
     /*  913333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913353 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913355 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913357 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913359 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913369 */     GIR_RootConstrainSelectedInstOperands,
     /*  913370 */     // GIR_Coverage, 63937,
     /*  913370 */     GIR_EraseRootFromParent_Done,
     /*  913371 */   // Label 13892: @913371
     /*  913371 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(913454), // Rule ID 63938 //
     /*  913376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  913387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  913390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  913393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913400 */     // MIs[0] op1
     /*  913400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913416 */     // MIs[0] op4
     /*  913416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913431 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11006:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913442 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913452 */     GIR_RootConstrainSelectedInstOperands,
     /*  913453 */     // GIR_Coverage, 63938,
     /*  913453 */     GIR_EraseRootFromParent_Done,
     /*  913454 */   // Label 13893: @913454
     /*  913454 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(913537), // Rule ID 63967 //
     /*  913459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  913476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913483 */     // MIs[0] op1
     /*  913483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913499 */     // MIs[0] op4
     /*  913499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  913514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  913517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913519 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913521 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913523 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913525 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913535 */     GIR_RootConstrainSelectedInstOperands,
     /*  913536 */     // GIR_Coverage, 63967,
     /*  913536 */     GIR_EraseRootFromParent_Done,
     /*  913537 */   // Label 13894: @913537
     /*  913537 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(913620), // Rule ID 63968 //
     /*  913542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  913559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913566 */     // MIs[0] op1
     /*  913566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913582 */     // MIs[0] op4
     /*  913582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  913597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  913600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913602 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913604 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913606 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913608 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913618 */     GIR_RootConstrainSelectedInstOperands,
     /*  913619 */     // GIR_Coverage, 63968,
     /*  913619 */     GIR_EraseRootFromParent_Done,
     /*  913620 */   // Label 13895: @913620
     /*  913620 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(913703), // Rule ID 63985 //
     /*  913625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  913642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913649 */     // MIs[0] op1
     /*  913649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913665 */     // MIs[0] op4
     /*  913665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  913680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  913683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913685 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913687 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913689 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913691 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913701 */     GIR_RootConstrainSelectedInstOperands,
     /*  913702 */     // GIR_Coverage, 63985,
     /*  913702 */     GIR_EraseRootFromParent_Done,
     /*  913703 */   // Label 13896: @913703
     /*  913703 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(913786), // Rule ID 63986 //
     /*  913708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  913722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  913725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913732 */     // MIs[0] op1
     /*  913732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913748 */     // MIs[0] op4
     /*  913748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913763 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  913763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  913766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913768 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913770 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913772 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913774 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913784 */     GIR_RootConstrainSelectedInstOperands,
     /*  913785 */     // GIR_Coverage, 63986,
     /*  913785 */     GIR_EraseRootFromParent_Done,
     /*  913786 */   // Label 13897: @913786
     /*  913786 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(913869), // Rule ID 64003 //
     /*  913791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  913802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  913805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  913808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913815 */     // MIs[0] op1
     /*  913815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913831 */     // MIs[0] op4
     /*  913831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  913846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  913849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913851 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913853 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913855 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913857 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913867 */     GIR_RootConstrainSelectedInstOperands,
     /*  913868 */     // GIR_Coverage, 64003,
     /*  913868 */     GIR_EraseRootFromParent_Done,
     /*  913869 */   // Label 13898: @913869
     /*  913869 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(913952), // Rule ID 64004 //
     /*  913874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  913885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  913888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  913891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913898 */     // MIs[0] op1
     /*  913898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913914 */     // MIs[0] op4
     /*  913914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913929 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  913929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  913932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913934 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913936 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913938 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913940 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913950 */     GIR_RootConstrainSelectedInstOperands,
     /*  913951 */     // GIR_Coverage, 64004,
     /*  913951 */     GIR_EraseRootFromParent_Done,
     /*  913952 */   // Label 13899: @913952
     /*  913952 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(914035), // Rule ID 64021 //
     /*  913957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  913965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  913968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  913971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  913974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913981 */     // MIs[0] op1
     /*  913981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913997 */     // MIs[0] op4
     /*  913997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914012 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914017 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914019 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914021 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914023 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914033 */     GIR_RootConstrainSelectedInstOperands,
     /*  914034 */     // GIR_Coverage, 64021,
     /*  914034 */     GIR_EraseRootFromParent_Done,
     /*  914035 */   // Label 13900: @914035
     /*  914035 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(914118), // Rule ID 64022 //
     /*  914040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  914054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  914057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914064 */     // MIs[0] op1
     /*  914064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914080 */     // MIs[0] op4
     /*  914080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914095 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914100 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914102 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914104 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914106 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914116 */     GIR_RootConstrainSelectedInstOperands,
     /*  914117 */     // GIR_Coverage, 64022,
     /*  914117 */     GIR_EraseRootFromParent_Done,
     /*  914118 */   // Label 13901: @914118
     /*  914118 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(914201), // Rule ID 64039 //
     /*  914123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914147 */     // MIs[0] op1
     /*  914147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914163 */     // MIs[0] op4
     /*  914163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  914181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914183 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914185 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914187 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914189 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914199 */     GIR_RootConstrainSelectedInstOperands,
     /*  914200 */     // GIR_Coverage, 64039,
     /*  914200 */     GIR_EraseRootFromParent_Done,
     /*  914201 */   // Label 13902: @914201
     /*  914201 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(914284), // Rule ID 64040 //
     /*  914206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914230 */     // MIs[0] op1
     /*  914230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914233 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914246 */     // MIs[0] op4
     /*  914246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  914264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914272 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914282 */     GIR_RootConstrainSelectedInstOperands,
     /*  914283 */     // GIR_Coverage, 64040,
     /*  914283 */     GIR_EraseRootFromParent_Done,
     /*  914284 */   // Label 13903: @914284
     /*  914284 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(914367), // Rule ID 64057 //
     /*  914289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  914303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  914306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914313 */     // MIs[0] op1
     /*  914313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914329 */     // MIs[0] op4
     /*  914329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  914347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914349 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914351 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914353 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914355 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914365 */     GIR_RootConstrainSelectedInstOperands,
     /*  914366 */     // GIR_Coverage, 64057,
     /*  914366 */     GIR_EraseRootFromParent_Done,
     /*  914367 */   // Label 13904: @914367
     /*  914367 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(914450), // Rule ID 64058 //
     /*  914372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  914386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  914389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914396 */     // MIs[0] op1
     /*  914396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914412 */     // MIs[0] op4
     /*  914412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  914430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914438 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914448 */     GIR_RootConstrainSelectedInstOperands,
     /*  914449 */     // GIR_Coverage, 64058,
     /*  914449 */     GIR_EraseRootFromParent_Done,
     /*  914450 */   // Label 13905: @914450
     /*  914450 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(914533), // Rule ID 64075 //
     /*  914455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  914472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914479 */     // MIs[0] op1
     /*  914479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914495 */     // MIs[0] op4
     /*  914495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  914510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  914513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914515 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914517 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914519 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914521 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914531 */     GIR_RootConstrainSelectedInstOperands,
     /*  914532 */     // GIR_Coverage, 64075,
     /*  914532 */     GIR_EraseRootFromParent_Done,
     /*  914533 */   // Label 13906: @914533
     /*  914533 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(914616), // Rule ID 64076 //
     /*  914538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  914552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  914555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914562 */     // MIs[0] op1
     /*  914562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914578 */     // MIs[0] op4
     /*  914578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  914593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  914596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914604 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914614 */     GIR_RootConstrainSelectedInstOperands,
     /*  914615 */     // GIR_Coverage, 64076,
     /*  914615 */     GIR_EraseRootFromParent_Done,
     /*  914616 */   // Label 13907: @914616
     /*  914616 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(914699), // Rule ID 64099 //
     /*  914621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  914638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914645 */     // MIs[0] op1
     /*  914645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914661 */     // MIs[0] op4
     /*  914661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  914676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914681 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914683 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914685 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914687 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914697 */     GIR_RootConstrainSelectedInstOperands,
     /*  914698 */     // GIR_Coverage, 64099,
     /*  914698 */     GIR_EraseRootFromParent_Done,
     /*  914699 */   // Label 13908: @914699
     /*  914699 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(914782), // Rule ID 64100 //
     /*  914704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  914718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  914721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914728 */     // MIs[0] op1
     /*  914728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914744 */     // MIs[0] op4
     /*  914744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  914759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914770 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914780 */     GIR_RootConstrainSelectedInstOperands,
     /*  914781 */     // GIR_Coverage, 64100,
     /*  914781 */     GIR_EraseRootFromParent_Done,
     /*  914782 */   // Label 13909: @914782
     /*  914782 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(914865), // Rule ID 64123 //
     /*  914787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  914798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  914801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  914804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914811 */     // MIs[0] op1
     /*  914811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914827 */     // MIs[0] op4
     /*  914827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  914842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914847 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914849 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914851 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914853 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914863 */     GIR_RootConstrainSelectedInstOperands,
     /*  914864 */     // GIR_Coverage, 64123,
     /*  914864 */     GIR_EraseRootFromParent_Done,
     /*  914865 */   // Label 13910: @914865
     /*  914865 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(914948), // Rule ID 64124 //
     /*  914870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  914881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  914884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  914887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914894 */     // MIs[0] op1
     /*  914894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914910 */     // MIs[0] op4
     /*  914910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  914925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914930 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914932 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914934 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914936 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914946 */     GIR_RootConstrainSelectedInstOperands,
     /*  914947 */     // GIR_Coverage, 64124,
     /*  914947 */     GIR_EraseRootFromParent_Done,
     /*  914948 */   // Label 13911: @914948
     /*  914948 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(915031), // Rule ID 64147 //
     /*  914953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  914964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  914967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  914970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914977 */     // MIs[0] op1
     /*  914977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914993 */     // MIs[0] op4
     /*  914993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915013 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915015 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915017 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915019 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915029 */     GIR_RootConstrainSelectedInstOperands,
     /*  915030 */     // GIR_Coverage, 64147,
     /*  915030 */     GIR_EraseRootFromParent_Done,
     /*  915031 */   // Label 13912: @915031
     /*  915031 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(915114), // Rule ID 64148 //
     /*  915036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  915050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  915053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915060 */     // MIs[0] op1
     /*  915060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915076 */     // MIs[0] op4
     /*  915076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915096 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915098 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915100 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915102 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915112 */     GIR_RootConstrainSelectedInstOperands,
     /*  915113 */     // GIR_Coverage, 64148,
     /*  915113 */     GIR_EraseRootFromParent_Done,
     /*  915114 */   // Label 13913: @915114
     /*  915114 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(915197), // Rule ID 64171 //
     /*  915119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  915133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915143 */     // MIs[0] op1
     /*  915143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915159 */     // MIs[0] op4
     /*  915159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915179 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915181 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915183 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915185 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915195 */     GIR_RootConstrainSelectedInstOperands,
     /*  915196 */     // GIR_Coverage, 64171,
     /*  915196 */     GIR_EraseRootFromParent_Done,
     /*  915197 */   // Label 13914: @915197
     /*  915197 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(915280), // Rule ID 64172 //
     /*  915202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  915216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915226 */     // MIs[0] op1
     /*  915226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915242 */     // MIs[0] op4
     /*  915242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915257 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915262 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915264 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915266 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915268 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915278 */     GIR_RootConstrainSelectedInstOperands,
     /*  915279 */     // GIR_Coverage, 64172,
     /*  915279 */     GIR_EraseRootFromParent_Done,
     /*  915280 */   // Label 13915: @915280
     /*  915280 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(915363), // Rule ID 64195 //
     /*  915285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  915302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915309 */     // MIs[0] op1
     /*  915309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915325 */     // MIs[0] op4
     /*  915325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  915340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  915343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915351 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915361 */     GIR_RootConstrainSelectedInstOperands,
     /*  915362 */     // GIR_Coverage, 64195,
     /*  915362 */     GIR_EraseRootFromParent_Done,
     /*  915363 */   // Label 13916: @915363
     /*  915363 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(915446), // Rule ID 64196 //
     /*  915368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  915385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915392 */     // MIs[0] op1
     /*  915392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915408 */     // MIs[0] op4
     /*  915408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915423 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  915423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  915426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915428 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915430 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915432 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915434 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915444 */     GIR_RootConstrainSelectedInstOperands,
     /*  915445 */     // GIR_Coverage, 64196,
     /*  915445 */     GIR_EraseRootFromParent_Done,
     /*  915446 */   // Label 13917: @915446
     /*  915446 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(915529), // Rule ID 64219 //
     /*  915451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  915465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  915468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915475 */     // MIs[0] op1
     /*  915475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915491 */     // MIs[0] op4
     /*  915491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  915506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915517 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915527 */     GIR_RootConstrainSelectedInstOperands,
     /*  915528 */     // GIR_Coverage, 64219,
     /*  915528 */     GIR_EraseRootFromParent_Done,
     /*  915529 */   // Label 13918: @915529
     /*  915529 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(915612), // Rule ID 64220 //
     /*  915534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  915548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  915551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915558 */     // MIs[0] op1
     /*  915558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915574 */     // MIs[0] op4
     /*  915574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  915589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915600 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915610 */     GIR_RootConstrainSelectedInstOperands,
     /*  915611 */     // GIR_Coverage, 64220,
     /*  915611 */     GIR_EraseRootFromParent_Done,
     /*  915612 */   // Label 13919: @915612
     /*  915612 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(915695), // Rule ID 64243 //
     /*  915617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  915631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  915634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915641 */     // MIs[0] op1
     /*  915641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915657 */     // MIs[0] op4
     /*  915657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  915672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915677 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915679 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915681 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915683 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915693 */     GIR_RootConstrainSelectedInstOperands,
     /*  915694 */     // GIR_Coverage, 64243,
     /*  915694 */     GIR_EraseRootFromParent_Done,
     /*  915695 */   // Label 13920: @915695
     /*  915695 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(915778), // Rule ID 64244 //
     /*  915700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  915714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  915717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915724 */     // MIs[0] op1
     /*  915724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915740 */     // MIs[0] op4
     /*  915740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915755 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  915755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915760 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915762 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915764 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915766 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915776 */     GIR_RootConstrainSelectedInstOperands,
     /*  915777 */     // GIR_Coverage, 64244,
     /*  915777 */     GIR_EraseRootFromParent_Done,
     /*  915778 */   // Label 13921: @915778
     /*  915778 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(915861), // Rule ID 64267 //
     /*  915783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  915794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  915797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  915800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915807 */     // MIs[0] op1
     /*  915807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915823 */     // MIs[0] op4
     /*  915823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915838 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  915838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915843 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915845 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915847 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915849 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915859 */     GIR_RootConstrainSelectedInstOperands,
     /*  915860 */     // GIR_Coverage, 64267,
     /*  915860 */     GIR_EraseRootFromParent_Done,
     /*  915861 */   // Label 13922: @915861
     /*  915861 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(915944), // Rule ID 64268 //
     /*  915866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  915877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  915880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  915883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915890 */     // MIs[0] op1
     /*  915890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915906 */     // MIs[0] op4
     /*  915906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11008:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  915921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915932 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915942 */     GIR_RootConstrainSelectedInstOperands,
     /*  915943 */     // GIR_Coverage, 64268,
     /*  915943 */     GIR_EraseRootFromParent_Done,
     /*  915944 */   // Label 13923: @915944
     /*  915944 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(916022), // Rule ID 60498 //
     /*  915949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  915952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  915957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  915960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  915963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915981 */     // MIs[0] rs2
     /*  915981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  915984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  915989 */     // MIs[0] policy
     /*  915989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  916002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916020 */     GIR_RootConstrainSelectedInstOperands,
     /*  916021 */     // GIR_Coverage, 60498,
     /*  916021 */     GIR_EraseRootFromParent_Done,
     /*  916022 */   // Label 13924: @916022
     /*  916022 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(916100), // Rule ID 60499 //
     /*  916027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916059 */     // MIs[0] rs2
     /*  916059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916067 */     // MIs[0] policy
     /*  916067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  916080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916098 */     GIR_RootConstrainSelectedInstOperands,
     /*  916099 */     // GIR_Coverage, 60499,
     /*  916099 */     GIR_EraseRootFromParent_Done,
     /*  916100 */   // Label 13925: @916100
     /*  916100 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(916178), // Rule ID 62154 //
     /*  916105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916137 */     // MIs[0] rs2
     /*  916137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916145 */     // MIs[0] policy
     /*  916145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  916158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916176 */     GIR_RootConstrainSelectedInstOperands,
     /*  916177 */     // GIR_Coverage, 62154,
     /*  916177 */     GIR_EraseRootFromParent_Done,
     /*  916178 */   // Label 13926: @916178
     /*  916178 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(916256), // Rule ID 62155 //
     /*  916183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916215 */     // MIs[0] rs2
     /*  916215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916223 */     // MIs[0] policy
     /*  916223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  916236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916254 */     GIR_RootConstrainSelectedInstOperands,
     /*  916255 */     // GIR_Coverage, 62155,
     /*  916255 */     GIR_EraseRootFromParent_Done,
     /*  916256 */   // Label 13927: @916256
     /*  916256 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(916334), // Rule ID 62156 //
     /*  916261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916293 */     // MIs[0] rs2
     /*  916293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916301 */     // MIs[0] policy
     /*  916301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  916314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916332 */     GIR_RootConstrainSelectedInstOperands,
     /*  916333 */     // GIR_Coverage, 62156,
     /*  916333 */     GIR_EraseRootFromParent_Done,
     /*  916334 */   // Label 13928: @916334
     /*  916334 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(916412), // Rule ID 62157 //
     /*  916339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916371 */     // MIs[0] rs2
     /*  916371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916379 */     // MIs[0] policy
     /*  916379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916389 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  916392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916410 */     GIR_RootConstrainSelectedInstOperands,
     /*  916411 */     // GIR_Coverage, 62157,
     /*  916411 */     GIR_EraseRootFromParent_Done,
     /*  916412 */   // Label 13929: @916412
     /*  916412 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(916490), // Rule ID 62158 //
     /*  916417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916449 */     // MIs[0] rs2
     /*  916449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916457 */     // MIs[0] policy
     /*  916457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  916470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916488 */     GIR_RootConstrainSelectedInstOperands,
     /*  916489 */     // GIR_Coverage, 62158,
     /*  916489 */     GIR_EraseRootFromParent_Done,
     /*  916490 */   // Label 13930: @916490
     /*  916490 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(916568), // Rule ID 62159 //
     /*  916495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916527 */     // MIs[0] rs2
     /*  916527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916535 */     // MIs[0] policy
     /*  916535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  916548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916566 */     GIR_RootConstrainSelectedInstOperands,
     /*  916567 */     // GIR_Coverage, 62159,
     /*  916567 */     GIR_EraseRootFromParent_Done,
     /*  916568 */   // Label 13931: @916568
     /*  916568 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(916646), // Rule ID 62160 //
     /*  916573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916605 */     // MIs[0] rs2
     /*  916605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916613 */     // MIs[0] policy
     /*  916613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916623 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  916626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916644 */     GIR_RootConstrainSelectedInstOperands,
     /*  916645 */     // GIR_Coverage, 62160,
     /*  916645 */     GIR_EraseRootFromParent_Done,
     /*  916646 */   // Label 13932: @916646
     /*  916646 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(916724), // Rule ID 62161 //
     /*  916651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916683 */     // MIs[0] rs2
     /*  916683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916691 */     // MIs[0] policy
     /*  916691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916701 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  916704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916722 */     GIR_RootConstrainSelectedInstOperands,
     /*  916723 */     // GIR_Coverage, 62161,
     /*  916723 */     GIR_EraseRootFromParent_Done,
     /*  916724 */   // Label 13933: @916724
     /*  916724 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(916802), // Rule ID 62322 //
     /*  916729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  916732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  916737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916761 */     // MIs[0] rs2
     /*  916761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916764 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916769 */     // MIs[0] policy
     /*  916769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  916782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916800 */     GIR_RootConstrainSelectedInstOperands,
     /*  916801 */     // GIR_Coverage, 62322,
     /*  916801 */     GIR_EraseRootFromParent_Done,
     /*  916802 */   // Label 13934: @916802
     /*  916802 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(916880), // Rule ID 62323 //
     /*  916807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  916810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  916815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916839 */     // MIs[0] rs2
     /*  916839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916847 */     // MIs[0] policy
     /*  916847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916857 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  916860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916878 */     GIR_RootConstrainSelectedInstOperands,
     /*  916879 */     // GIR_Coverage, 62323,
     /*  916879 */     GIR_EraseRootFromParent_Done,
     /*  916880 */   // Label 13935: @916880
     /*  916880 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(916958), // Rule ID 62324 //
     /*  916885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  916888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  916893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916917 */     // MIs[0] rs2
     /*  916917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916925 */     // MIs[0] policy
     /*  916925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  916938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916956 */     GIR_RootConstrainSelectedInstOperands,
     /*  916957 */     // GIR_Coverage, 62324,
     /*  916957 */     GIR_EraseRootFromParent_Done,
     /*  916958 */   // Label 13936: @916958
     /*  916958 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(917036), // Rule ID 62325 //
     /*  916963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  916966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  916971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916995 */     // MIs[0] rs2
     /*  916995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917003 */     // MIs[0] policy
     /*  917003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  917016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917034 */     GIR_RootConstrainSelectedInstOperands,
     /*  917035 */     // GIR_Coverage, 62325,
     /*  917035 */     GIR_EraseRootFromParent_Done,
     /*  917036 */   // Label 13937: @917036
     /*  917036 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(917114), // Rule ID 62326 //
     /*  917041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  917052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  917055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  917058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917073 */     // MIs[0] rs2
     /*  917073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917081 */     // MIs[0] policy
     /*  917081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  917094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917112 */     GIR_RootConstrainSelectedInstOperands,
     /*  917113 */     // GIR_Coverage, 62326,
     /*  917113 */     GIR_EraseRootFromParent_Done,
     /*  917114 */   // Label 13938: @917114
     /*  917114 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(917192), // Rule ID 62327 //
     /*  917119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  917130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  917133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  917136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917151 */     // MIs[0] rs2
     /*  917151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917159 */     // MIs[0] policy
     /*  917159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  917172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917190 */     GIR_RootConstrainSelectedInstOperands,
     /*  917191 */     // GIR_Coverage, 62327,
     /*  917191 */     GIR_EraseRootFromParent_Done,
     /*  917192 */   // Label 13939: @917192
     /*  917192 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(917270), // Rule ID 62328 //
     /*  917197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917229 */     // MIs[0] rs2
     /*  917229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917237 */     // MIs[0] policy
     /*  917237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  917250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917268 */     GIR_RootConstrainSelectedInstOperands,
     /*  917269 */     // GIR_Coverage, 62328,
     /*  917269 */     GIR_EraseRootFromParent_Done,
     /*  917270 */   // Label 13940: @917270
     /*  917270 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(917348), // Rule ID 62329 //
     /*  917275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917307 */     // MIs[0] rs2
     /*  917307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917315 */     // MIs[0] policy
     /*  917315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917325 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  917328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917346 */     GIR_RootConstrainSelectedInstOperands,
     /*  917347 */     // GIR_Coverage, 62329,
     /*  917347 */     GIR_EraseRootFromParent_Done,
     /*  917348 */   // Label 13941: @917348
     /*  917348 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(917426), // Rule ID 62330 //
     /*  917353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917385 */     // MIs[0] rs2
     /*  917385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917393 */     // MIs[0] policy
     /*  917393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  917406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917424 */     GIR_RootConstrainSelectedInstOperands,
     /*  917425 */     // GIR_Coverage, 62330,
     /*  917425 */     GIR_EraseRootFromParent_Done,
     /*  917426 */   // Label 13942: @917426
     /*  917426 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(917504), // Rule ID 62331 //
     /*  917431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917463 */     // MIs[0] rs2
     /*  917463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917471 */     // MIs[0] policy
     /*  917471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917481 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11491:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  917484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917502 */     GIR_RootConstrainSelectedInstOperands,
     /*  917503 */     // GIR_Coverage, 62331,
     /*  917503 */     GIR_EraseRootFromParent_Done,
     /*  917504 */   // Label 13943: @917504
     /*  917504 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(917592), // Rule ID 23588 //
     /*  917509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917556 */     // MIs[1] Operand 1
     /*  917556 */     // No operand predicates
     /*  917556 */     // MIs[0] policy
     /*  917556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  917571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917590 */     GIR_RootConstrainSelectedInstOperands,
     /*  917591 */     // GIR_Coverage, 23588,
     /*  917591 */     GIR_EraseRootFromParent_Done,
     /*  917592 */   // Label 13944: @917592
     /*  917592 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(917680), // Rule ID 23589 //
     /*  917597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  917608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  917611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  917614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917644 */     // MIs[1] Operand 1
     /*  917644 */     // No operand predicates
     /*  917644 */     // MIs[0] policy
     /*  917644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917656 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  917659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917678 */     GIR_RootConstrainSelectedInstOperands,
     /*  917679 */     // GIR_Coverage, 23589,
     /*  917679 */     GIR_EraseRootFromParent_Done,
     /*  917680 */   // Label 13945: @917680
     /*  917680 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(917768), // Rule ID 23592 //
     /*  917685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917732 */     // MIs[1] Operand 1
     /*  917732 */     // No operand predicates
     /*  917732 */     // MIs[0] policy
     /*  917732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  917747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917766 */     GIR_RootConstrainSelectedInstOperands,
     /*  917767 */     // GIR_Coverage, 23592,
     /*  917767 */     GIR_EraseRootFromParent_Done,
     /*  917768 */   // Label 13946: @917768
     /*  917768 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(917856), // Rule ID 23593 //
     /*  917773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  917784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  917787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  917790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917820 */     // MIs[1] Operand 1
     /*  917820 */     // No operand predicates
     /*  917820 */     // MIs[0] policy
     /*  917820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  917835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917854 */     GIR_RootConstrainSelectedInstOperands,
     /*  917855 */     // GIR_Coverage, 23593,
     /*  917855 */     GIR_EraseRootFromParent_Done,
     /*  917856 */   // Label 13947: @917856
     /*  917856 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(917944), // Rule ID 23596 //
     /*  917861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917908 */     // MIs[1] Operand 1
     /*  917908 */     // No operand predicates
     /*  917908 */     // MIs[0] policy
     /*  917908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917920 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  917923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917942 */     GIR_RootConstrainSelectedInstOperands,
     /*  917943 */     // GIR_Coverage, 23596,
     /*  917943 */     GIR_EraseRootFromParent_Done,
     /*  917944 */   // Label 13948: @917944
     /*  917944 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(918032), // Rule ID 23597 //
     /*  917949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  917960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  917963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  917966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917996 */     // MIs[1] Operand 1
     /*  917996 */     // No operand predicates
     /*  917996 */     // MIs[0] policy
     /*  917996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918030 */     GIR_RootConstrainSelectedInstOperands,
     /*  918031 */     // GIR_Coverage, 23597,
     /*  918031 */     GIR_EraseRootFromParent_Done,
     /*  918032 */   // Label 13949: @918032
     /*  918032 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(918120), // Rule ID 23600 //
     /*  918037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918084 */     // MIs[1] Operand 1
     /*  918084 */     // No operand predicates
     /*  918084 */     // MIs[0] policy
     /*  918084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918118 */     GIR_RootConstrainSelectedInstOperands,
     /*  918119 */     // GIR_Coverage, 23600,
     /*  918119 */     GIR_EraseRootFromParent_Done,
     /*  918120 */   // Label 13950: @918120
     /*  918120 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(918208), // Rule ID 23601 //
     /*  918125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918172 */     // MIs[1] Operand 1
     /*  918172 */     // No operand predicates
     /*  918172 */     // MIs[0] policy
     /*  918172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918206 */     GIR_RootConstrainSelectedInstOperands,
     /*  918207 */     // GIR_Coverage, 23601,
     /*  918207 */     GIR_EraseRootFromParent_Done,
     /*  918208 */   // Label 13951: @918208
     /*  918208 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(918296), // Rule ID 23604 //
     /*  918213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918260 */     // MIs[1] Operand 1
     /*  918260 */     // No operand predicates
     /*  918260 */     // MIs[0] policy
     /*  918260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918294 */     GIR_RootConstrainSelectedInstOperands,
     /*  918295 */     // GIR_Coverage, 23604,
     /*  918295 */     GIR_EraseRootFromParent_Done,
     /*  918296 */   // Label 13952: @918296
     /*  918296 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(918384), // Rule ID 23605 //
     /*  918301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918348 */     // MIs[1] Operand 1
     /*  918348 */     // No operand predicates
     /*  918348 */     // MIs[0] policy
     /*  918348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918382 */     GIR_RootConstrainSelectedInstOperands,
     /*  918383 */     // GIR_Coverage, 23605,
     /*  918383 */     GIR_EraseRootFromParent_Done,
     /*  918384 */   // Label 13953: @918384
     /*  918384 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(918472), // Rule ID 23608 //
     /*  918389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918436 */     // MIs[1] Operand 1
     /*  918436 */     // No operand predicates
     /*  918436 */     // MIs[0] policy
     /*  918436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918470 */     GIR_RootConstrainSelectedInstOperands,
     /*  918471 */     // GIR_Coverage, 23608,
     /*  918471 */     GIR_EraseRootFromParent_Done,
     /*  918472 */   // Label 13954: @918472
     /*  918472 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(918560), // Rule ID 23609 //
     /*  918477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  918488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  918491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  918494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918524 */     // MIs[1] Operand 1
     /*  918524 */     // No operand predicates
     /*  918524 */     // MIs[0] policy
     /*  918524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918558 */     GIR_RootConstrainSelectedInstOperands,
     /*  918559 */     // GIR_Coverage, 23609,
     /*  918559 */     GIR_EraseRootFromParent_Done,
     /*  918560 */   // Label 13955: @918560
     /*  918560 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(918648), // Rule ID 23612 //
     /*  918565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918612 */     // MIs[1] Operand 1
     /*  918612 */     // No operand predicates
     /*  918612 */     // MIs[0] policy
     /*  918612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  918627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918646 */     GIR_RootConstrainSelectedInstOperands,
     /*  918647 */     // GIR_Coverage, 23612,
     /*  918647 */     GIR_EraseRootFromParent_Done,
     /*  918648 */   // Label 13956: @918648
     /*  918648 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(918736), // Rule ID 23613 //
     /*  918653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  918664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  918667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918700 */     // MIs[1] Operand 1
     /*  918700 */     // No operand predicates
     /*  918700 */     // MIs[0] policy
     /*  918700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  918715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918734 */     GIR_RootConstrainSelectedInstOperands,
     /*  918735 */     // GIR_Coverage, 23613,
     /*  918735 */     GIR_EraseRootFromParent_Done,
     /*  918736 */   // Label 13957: @918736
     /*  918736 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(918824), // Rule ID 23616 //
     /*  918741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918788 */     // MIs[1] Operand 1
     /*  918788 */     // No operand predicates
     /*  918788 */     // MIs[0] policy
     /*  918788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  918803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918822 */     GIR_RootConstrainSelectedInstOperands,
     /*  918823 */     // GIR_Coverage, 23616,
     /*  918823 */     GIR_EraseRootFromParent_Done,
     /*  918824 */   // Label 13958: @918824
     /*  918824 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(918912), // Rule ID 23617 //
     /*  918829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918876 */     // MIs[1] Operand 1
     /*  918876 */     // No operand predicates
     /*  918876 */     // MIs[0] policy
     /*  918876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  918891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918910 */     GIR_RootConstrainSelectedInstOperands,
     /*  918911 */     // GIR_Coverage, 23617,
     /*  918911 */     GIR_EraseRootFromParent_Done,
     /*  918912 */   // Label 13959: @918912
     /*  918912 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(919000), // Rule ID 23620 //
     /*  918917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918964 */     // MIs[1] Operand 1
     /*  918964 */     // No operand predicates
     /*  918964 */     // MIs[0] policy
     /*  918964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  918979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918998 */     GIR_RootConstrainSelectedInstOperands,
     /*  918999 */     // GIR_Coverage, 23620,
     /*  918999 */     GIR_EraseRootFromParent_Done,
     /*  919000 */   // Label 13960: @919000
     /*  919000 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(919088), // Rule ID 23621 //
     /*  919005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  919016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  919019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  919022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919052 */     // MIs[1] Operand 1
     /*  919052 */     // No operand predicates
     /*  919052 */     // MIs[0] policy
     /*  919052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919086 */     GIR_RootConstrainSelectedInstOperands,
     /*  919087 */     // GIR_Coverage, 23621,
     /*  919087 */     GIR_EraseRootFromParent_Done,
     /*  919088 */   // Label 13961: @919088
     /*  919088 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(919176), // Rule ID 23624 //
     /*  919093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919140 */     // MIs[1] Operand 1
     /*  919140 */     // No operand predicates
     /*  919140 */     // MIs[0] policy
     /*  919140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919174 */     GIR_RootConstrainSelectedInstOperands,
     /*  919175 */     // GIR_Coverage, 23624,
     /*  919175 */     GIR_EraseRootFromParent_Done,
     /*  919176 */   // Label 13962: @919176
     /*  919176 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(919264), // Rule ID 23625 //
     /*  919181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919228 */     // MIs[1] Operand 1
     /*  919228 */     // No operand predicates
     /*  919228 */     // MIs[0] policy
     /*  919228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919262 */     GIR_RootConstrainSelectedInstOperands,
     /*  919263 */     // GIR_Coverage, 23625,
     /*  919263 */     GIR_EraseRootFromParent_Done,
     /*  919264 */   // Label 13963: @919264
     /*  919264 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(919352), // Rule ID 23628 //
     /*  919269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919316 */     // MIs[1] Operand 1
     /*  919316 */     // No operand predicates
     /*  919316 */     // MIs[0] policy
     /*  919316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  919331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919350 */     GIR_RootConstrainSelectedInstOperands,
     /*  919351 */     // GIR_Coverage, 23628,
     /*  919351 */     GIR_EraseRootFromParent_Done,
     /*  919352 */   // Label 13964: @919352
     /*  919352 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(919440), // Rule ID 23629 //
     /*  919357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919404 */     // MIs[1] Operand 1
     /*  919404 */     // No operand predicates
     /*  919404 */     // MIs[0] policy
     /*  919404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  919419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919438 */     GIR_RootConstrainSelectedInstOperands,
     /*  919439 */     // GIR_Coverage, 23629,
     /*  919439 */     GIR_EraseRootFromParent_Done,
     /*  919440 */   // Label 13965: @919440
     /*  919440 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(919528), // Rule ID 23632 //
     /*  919445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919492 */     // MIs[1] Operand 1
     /*  919492 */     // No operand predicates
     /*  919492 */     // MIs[0] policy
     /*  919492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  919507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919526 */     GIR_RootConstrainSelectedInstOperands,
     /*  919527 */     // GIR_Coverage, 23632,
     /*  919527 */     GIR_EraseRootFromParent_Done,
     /*  919528 */   // Label 13966: @919528
     /*  919528 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(919616), // Rule ID 23633 //
     /*  919533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  919544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  919547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919580 */     // MIs[1] Operand 1
     /*  919580 */     // No operand predicates
     /*  919580 */     // MIs[0] policy
     /*  919580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  919595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919614 */     GIR_RootConstrainSelectedInstOperands,
     /*  919615 */     // GIR_Coverage, 23633,
     /*  919615 */     GIR_EraseRootFromParent_Done,
     /*  919616 */   // Label 13967: @919616
     /*  919616 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(919704), // Rule ID 23636 //
     /*  919621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919668 */     // MIs[1] Operand 1
     /*  919668 */     // No operand predicates
     /*  919668 */     // MIs[0] policy
     /*  919668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919680 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  919683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919702 */     GIR_RootConstrainSelectedInstOperands,
     /*  919703 */     // GIR_Coverage, 23636,
     /*  919703 */     GIR_EraseRootFromParent_Done,
     /*  919704 */   // Label 13968: @919704
     /*  919704 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(919792), // Rule ID 23637 //
     /*  919709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  919720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  919723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  919726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919756 */     // MIs[1] Operand 1
     /*  919756 */     // No operand predicates
     /*  919756 */     // MIs[0] policy
     /*  919756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  919771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919790 */     GIR_RootConstrainSelectedInstOperands,
     /*  919791 */     // GIR_Coverage, 23637,
     /*  919791 */     GIR_EraseRootFromParent_Done,
     /*  919792 */   // Label 13969: @919792
     /*  919792 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(919880), // Rule ID 23640 //
     /*  919797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919844 */     // MIs[1] Operand 1
     /*  919844 */     // No operand predicates
     /*  919844 */     // MIs[0] policy
     /*  919844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  919859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919878 */     GIR_RootConstrainSelectedInstOperands,
     /*  919879 */     // GIR_Coverage, 23640,
     /*  919879 */     GIR_EraseRootFromParent_Done,
     /*  919880 */   // Label 13970: @919880
     /*  919880 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(919968), // Rule ID 23641 //
     /*  919885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  919902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919932 */     // MIs[1] Operand 1
     /*  919932 */     // No operand predicates
     /*  919932 */     // MIs[0] policy
     /*  919932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  919947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919966 */     GIR_RootConstrainSelectedInstOperands,
     /*  919967 */     // GIR_Coverage, 23641,
     /*  919967 */     GIR_EraseRootFromParent_Done,
     /*  919968 */   // Label 13971: @919968
     /*  919968 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(920056), // Rule ID 23644 //
     /*  919973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  919990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920020 */     // MIs[1] Operand 1
     /*  920020 */     // No operand predicates
     /*  920020 */     // MIs[0] policy
     /*  920020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920054 */     GIR_RootConstrainSelectedInstOperands,
     /*  920055 */     // GIR_Coverage, 23644,
     /*  920055 */     GIR_EraseRootFromParent_Done,
     /*  920056 */   // Label 13972: @920056
     /*  920056 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(920144), // Rule ID 23645 //
     /*  920061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920108 */     // MIs[1] Operand 1
     /*  920108 */     // No operand predicates
     /*  920108 */     // MIs[0] policy
     /*  920108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920142 */     GIR_RootConstrainSelectedInstOperands,
     /*  920143 */     // GIR_Coverage, 23645,
     /*  920143 */     GIR_EraseRootFromParent_Done,
     /*  920144 */   // Label 13973: @920144
     /*  920144 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(920232), // Rule ID 23648 //
     /*  920149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920196 */     // MIs[1] Operand 1
     /*  920196 */     // No operand predicates
     /*  920196 */     // MIs[0] policy
     /*  920196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920230 */     GIR_RootConstrainSelectedInstOperands,
     /*  920231 */     // GIR_Coverage, 23648,
     /*  920231 */     GIR_EraseRootFromParent_Done,
     /*  920232 */   // Label 13974: @920232
     /*  920232 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(920320), // Rule ID 23649 //
     /*  920237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920284 */     // MIs[1] Operand 1
     /*  920284 */     // No operand predicates
     /*  920284 */     // MIs[0] policy
     /*  920284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920318 */     GIR_RootConstrainSelectedInstOperands,
     /*  920319 */     // GIR_Coverage, 23649,
     /*  920319 */     GIR_EraseRootFromParent_Done,
     /*  920320 */   // Label 13975: @920320
     /*  920320 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(920408), // Rule ID 23652 //
     /*  920325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920372 */     // MIs[1] Operand 1
     /*  920372 */     // No operand predicates
     /*  920372 */     // MIs[0] policy
     /*  920372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920406 */     GIR_RootConstrainSelectedInstOperands,
     /*  920407 */     // GIR_Coverage, 23652,
     /*  920407 */     GIR_EraseRootFromParent_Done,
     /*  920408 */   // Label 13976: @920408
     /*  920408 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(920496), // Rule ID 23653 //
     /*  920413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  920430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920460 */     // MIs[1] Operand 1
     /*  920460 */     // No operand predicates
     /*  920460 */     // MIs[0] policy
     /*  920460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920494 */     GIR_RootConstrainSelectedInstOperands,
     /*  920495 */     // GIR_Coverage, 23653,
     /*  920495 */     GIR_EraseRootFromParent_Done,
     /*  920496 */   // Label 13977: @920496
     /*  920496 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(920584), // Rule ID 23656 //
     /*  920501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920548 */     // MIs[1] Operand 1
     /*  920548 */     // No operand predicates
     /*  920548 */     // MIs[0] policy
     /*  920548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920582 */     GIR_RootConstrainSelectedInstOperands,
     /*  920583 */     // GIR_Coverage, 23656,
     /*  920583 */     GIR_EraseRootFromParent_Done,
     /*  920584 */   // Label 13978: @920584
     /*  920584 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(920672), // Rule ID 23657 //
     /*  920589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  920606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920636 */     // MIs[1] Operand 1
     /*  920636 */     // No operand predicates
     /*  920636 */     // MIs[0] policy
     /*  920636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920670 */     GIR_RootConstrainSelectedInstOperands,
     /*  920671 */     // GIR_Coverage, 23657,
     /*  920671 */     GIR_EraseRootFromParent_Done,
     /*  920672 */   // Label 13979: @920672
     /*  920672 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(920760), // Rule ID 23660 //
     /*  920677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920724 */     // MIs[1] Operand 1
     /*  920724 */     // No operand predicates
     /*  920724 */     // MIs[0] policy
     /*  920724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920758 */     GIR_RootConstrainSelectedInstOperands,
     /*  920759 */     // GIR_Coverage, 23660,
     /*  920759 */     GIR_EraseRootFromParent_Done,
     /*  920760 */   // Label 13980: @920760
     /*  920760 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(920848), // Rule ID 23661 //
     /*  920765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  920782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920812 */     // MIs[1] Operand 1
     /*  920812 */     // No operand predicates
     /*  920812 */     // MIs[0] policy
     /*  920812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920846 */     GIR_RootConstrainSelectedInstOperands,
     /*  920847 */     // GIR_Coverage, 23661,
     /*  920847 */     GIR_EraseRootFromParent_Done,
     /*  920848 */   // Label 13981: @920848
     /*  920848 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(920936), // Rule ID 23664 //
     /*  920853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  920856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920900 */     // MIs[1] Operand 1
     /*  920900 */     // No operand predicates
     /*  920900 */     // MIs[0] policy
     /*  920900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920934 */     GIR_RootConstrainSelectedInstOperands,
     /*  920935 */     // GIR_Coverage, 23664,
     /*  920935 */     GIR_EraseRootFromParent_Done,
     /*  920936 */   // Label 13982: @920936
     /*  920936 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(921024), // Rule ID 23665 //
     /*  920941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  920944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  920952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  920955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  920958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920988 */     // MIs[1] Operand 1
     /*  920988 */     // No operand predicates
     /*  920988 */     // MIs[0] policy
     /*  920988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921022 */     GIR_RootConstrainSelectedInstOperands,
     /*  921023 */     // GIR_Coverage, 23665,
     /*  921023 */     GIR_EraseRootFromParent_Done,
     /*  921024 */   // Label 13983: @921024
     /*  921024 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(921112), // Rule ID 23668 //
     /*  921029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921076 */     // MIs[1] Operand 1
     /*  921076 */     // No operand predicates
     /*  921076 */     // MIs[0] policy
     /*  921076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921110 */     GIR_RootConstrainSelectedInstOperands,
     /*  921111 */     // GIR_Coverage, 23668,
     /*  921111 */     GIR_EraseRootFromParent_Done,
     /*  921112 */   // Label 13984: @921112
     /*  921112 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(921200), // Rule ID 23669 //
     /*  921117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921164 */     // MIs[1] Operand 1
     /*  921164 */     // No operand predicates
     /*  921164 */     // MIs[0] policy
     /*  921164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921198 */     GIR_RootConstrainSelectedInstOperands,
     /*  921199 */     // GIR_Coverage, 23669,
     /*  921199 */     GIR_EraseRootFromParent_Done,
     /*  921200 */   // Label 13985: @921200
     /*  921200 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(921288), // Rule ID 23672 //
     /*  921205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921252 */     // MIs[1] Operand 1
     /*  921252 */     // No operand predicates
     /*  921252 */     // MIs[0] policy
     /*  921252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921286 */     GIR_RootConstrainSelectedInstOperands,
     /*  921287 */     // GIR_Coverage, 23672,
     /*  921287 */     GIR_EraseRootFromParent_Done,
     /*  921288 */   // Label 13986: @921288
     /*  921288 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(921376), // Rule ID 23673 //
     /*  921293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921340 */     // MIs[1] Operand 1
     /*  921340 */     // No operand predicates
     /*  921340 */     // MIs[0] policy
     /*  921340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921374 */     GIR_RootConstrainSelectedInstOperands,
     /*  921375 */     // GIR_Coverage, 23673,
     /*  921375 */     GIR_EraseRootFromParent_Done,
     /*  921376 */   // Label 13987: @921376
     /*  921376 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(921464), // Rule ID 23764 //
     /*  921381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  921392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  921395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  921398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921428 */     // MIs[1] Operand 1
     /*  921428 */     // No operand predicates
     /*  921428 */     // MIs[0] policy
     /*  921428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921440 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  921443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921462 */     GIR_RootConstrainSelectedInstOperands,
     /*  921463 */     // GIR_Coverage, 23764,
     /*  921463 */     GIR_EraseRootFromParent_Done,
     /*  921464 */   // Label 13988: @921464
     /*  921464 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(921552), // Rule ID 23765 //
     /*  921469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  921480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  921483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  921486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921516 */     // MIs[1] Operand 1
     /*  921516 */     // No operand predicates
     /*  921516 */     // MIs[0] policy
     /*  921516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  921531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921550 */     GIR_RootConstrainSelectedInstOperands,
     /*  921551 */     // GIR_Coverage, 23765,
     /*  921551 */     GIR_EraseRootFromParent_Done,
     /*  921552 */   // Label 13989: @921552
     /*  921552 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(921640), // Rule ID 23768 //
     /*  921557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  921568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  921571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  921574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921604 */     // MIs[1] Operand 1
     /*  921604 */     // No operand predicates
     /*  921604 */     // MIs[0] policy
     /*  921604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  921619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921638 */     GIR_RootConstrainSelectedInstOperands,
     /*  921639 */     // GIR_Coverage, 23768,
     /*  921639 */     GIR_EraseRootFromParent_Done,
     /*  921640 */   // Label 13990: @921640
     /*  921640 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(921728), // Rule ID 23769 //
     /*  921645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  921656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  921659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  921662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921692 */     // MIs[1] Operand 1
     /*  921692 */     // No operand predicates
     /*  921692 */     // MIs[0] policy
     /*  921692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  921707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921726 */     GIR_RootConstrainSelectedInstOperands,
     /*  921727 */     // GIR_Coverage, 23769,
     /*  921727 */     GIR_EraseRootFromParent_Done,
     /*  921728 */   // Label 13991: @921728
     /*  921728 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(921816), // Rule ID 23772 //
     /*  921733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  921744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  921747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  921750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921780 */     // MIs[1] Operand 1
     /*  921780 */     // No operand predicates
     /*  921780 */     // MIs[0] policy
     /*  921780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921792 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  921795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921814 */     GIR_RootConstrainSelectedInstOperands,
     /*  921815 */     // GIR_Coverage, 23772,
     /*  921815 */     GIR_EraseRootFromParent_Done,
     /*  921816 */   // Label 13992: @921816
     /*  921816 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(921904), // Rule ID 23773 //
     /*  921821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  921832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  921835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  921838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921868 */     // MIs[1] Operand 1
     /*  921868 */     // No operand predicates
     /*  921868 */     // MIs[0] policy
     /*  921868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921880 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  921883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921902 */     GIR_RootConstrainSelectedInstOperands,
     /*  921903 */     // GIR_Coverage, 23773,
     /*  921903 */     GIR_EraseRootFromParent_Done,
     /*  921904 */   // Label 13993: @921904
     /*  921904 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(921992), // Rule ID 23776 //
     /*  921909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  921917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  921920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  921923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  921926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921956 */     // MIs[1] Operand 1
     /*  921956 */     // No operand predicates
     /*  921956 */     // MIs[0] policy
     /*  921956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  921971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921990 */     GIR_RootConstrainSelectedInstOperands,
     /*  921991 */     // GIR_Coverage, 23776,
     /*  921991 */     GIR_EraseRootFromParent_Done,
     /*  921992 */   // Label 13994: @921992
     /*  921992 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(922080), // Rule ID 23777 //
     /*  921997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  922008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  922011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922044 */     // MIs[1] Operand 1
     /*  922044 */     // No operand predicates
     /*  922044 */     // MIs[0] policy
     /*  922044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922078 */     GIR_RootConstrainSelectedInstOperands,
     /*  922079 */     // GIR_Coverage, 23777,
     /*  922079 */     GIR_EraseRootFromParent_Done,
     /*  922080 */   // Label 13995: @922080
     /*  922080 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(922168), // Rule ID 23780 //
     /*  922085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922132 */     // MIs[1] Operand 1
     /*  922132 */     // No operand predicates
     /*  922132 */     // MIs[0] policy
     /*  922132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922166 */     GIR_RootConstrainSelectedInstOperands,
     /*  922167 */     // GIR_Coverage, 23780,
     /*  922167 */     GIR_EraseRootFromParent_Done,
     /*  922168 */   // Label 13996: @922168
     /*  922168 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(922256), // Rule ID 23781 //
     /*  922173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922220 */     // MIs[1] Operand 1
     /*  922220 */     // No operand predicates
     /*  922220 */     // MIs[0] policy
     /*  922220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922254 */     GIR_RootConstrainSelectedInstOperands,
     /*  922255 */     // GIR_Coverage, 23781,
     /*  922255 */     GIR_EraseRootFromParent_Done,
     /*  922256 */   // Label 13997: @922256
     /*  922256 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(922344), // Rule ID 23784 //
     /*  922261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922308 */     // MIs[1] Operand 1
     /*  922308 */     // No operand predicates
     /*  922308 */     // MIs[0] policy
     /*  922308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922342 */     GIR_RootConstrainSelectedInstOperands,
     /*  922343 */     // GIR_Coverage, 23784,
     /*  922343 */     GIR_EraseRootFromParent_Done,
     /*  922344 */   // Label 13998: @922344
     /*  922344 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(922432), // Rule ID 23785 //
     /*  922349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922396 */     // MIs[1] Operand 1
     /*  922396 */     // No operand predicates
     /*  922396 */     // MIs[0] policy
     /*  922396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922430 */     GIR_RootConstrainSelectedInstOperands,
     /*  922431 */     // GIR_Coverage, 23785,
     /*  922431 */     GIR_EraseRootFromParent_Done,
     /*  922432 */   // Label 13999: @922432
     /*  922432 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(922520), // Rule ID 23788 //
     /*  922437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  922448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  922451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  922454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922484 */     // MIs[1] Operand 1
     /*  922484 */     // No operand predicates
     /*  922484 */     // MIs[0] policy
     /*  922484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922518 */     GIR_RootConstrainSelectedInstOperands,
     /*  922519 */     // GIR_Coverage, 23788,
     /*  922519 */     GIR_EraseRootFromParent_Done,
     /*  922520 */   // Label 14000: @922520
     /*  922520 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(922608), // Rule ID 23789 //
     /*  922525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  922536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  922539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  922542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922572 */     // MIs[1] Operand 1
     /*  922572 */     // No operand predicates
     /*  922572 */     // MIs[0] policy
     /*  922572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922606 */     GIR_RootConstrainSelectedInstOperands,
     /*  922607 */     // GIR_Coverage, 23789,
     /*  922607 */     GIR_EraseRootFromParent_Done,
     /*  922608 */   // Label 14001: @922608
     /*  922608 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(922696), // Rule ID 23792 //
     /*  922613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922660 */     // MIs[1] Operand 1
     /*  922660 */     // No operand predicates
     /*  922660 */     // MIs[0] policy
     /*  922660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922694 */     GIR_RootConstrainSelectedInstOperands,
     /*  922695 */     // GIR_Coverage, 23792,
     /*  922695 */     GIR_EraseRootFromParent_Done,
     /*  922696 */   // Label 14002: @922696
     /*  922696 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(922784), // Rule ID 23793 //
     /*  922701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922748 */     // MIs[1] Operand 1
     /*  922748 */     // No operand predicates
     /*  922748 */     // MIs[0] policy
     /*  922748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922760 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922782 */     GIR_RootConstrainSelectedInstOperands,
     /*  922783 */     // GIR_Coverage, 23793,
     /*  922783 */     GIR_EraseRootFromParent_Done,
     /*  922784 */   // Label 14003: @922784
     /*  922784 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(922872), // Rule ID 23796 //
     /*  922789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  922800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  922803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  922806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922836 */     // MIs[1] Operand 1
     /*  922836 */     // No operand predicates
     /*  922836 */     // MIs[0] policy
     /*  922836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922870 */     GIR_RootConstrainSelectedInstOperands,
     /*  922871 */     // GIR_Coverage, 23796,
     /*  922871 */     GIR_EraseRootFromParent_Done,
     /*  922872 */   // Label 14004: @922872
     /*  922872 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(922960), // Rule ID 23797 //
     /*  922877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  922888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  922891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  922894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922924 */     // MIs[1] Operand 1
     /*  922924 */     // No operand predicates
     /*  922924 */     // MIs[0] policy
     /*  922924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922958 */     GIR_RootConstrainSelectedInstOperands,
     /*  922959 */     // GIR_Coverage, 23797,
     /*  922959 */     GIR_EraseRootFromParent_Done,
     /*  922960 */   // Label 14005: @922960
     /*  922960 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(923048), // Rule ID 23800 //
     /*  922965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  922968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  922976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  922979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  922982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923012 */     // MIs[1] Operand 1
     /*  923012 */     // No operand predicates
     /*  923012 */     // MIs[0] policy
     /*  923012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923046 */     GIR_RootConstrainSelectedInstOperands,
     /*  923047 */     // GIR_Coverage, 23800,
     /*  923047 */     GIR_EraseRootFromParent_Done,
     /*  923048 */   // Label 14006: @923048
     /*  923048 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(923136), // Rule ID 23801 //
     /*  923053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  923056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  923070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923100 */     // MIs[1] Operand 1
     /*  923100 */     // No operand predicates
     /*  923100 */     // MIs[0] policy
     /*  923100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923134 */     GIR_RootConstrainSelectedInstOperands,
     /*  923135 */     // GIR_Coverage, 23801,
     /*  923135 */     GIR_EraseRootFromParent_Done,
     /*  923136 */   // Label 14007: @923136
     /*  923136 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(923224), // Rule ID 23804 //
     /*  923141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  923152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  923155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  923158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923188 */     // MIs[1] Operand 1
     /*  923188 */     // No operand predicates
     /*  923188 */     // MIs[0] policy
     /*  923188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923222 */     GIR_RootConstrainSelectedInstOperands,
     /*  923223 */     // GIR_Coverage, 23804,
     /*  923223 */     GIR_EraseRootFromParent_Done,
     /*  923224 */   // Label 14008: @923224
     /*  923224 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(923312), // Rule ID 23805 //
     /*  923229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  923240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  923243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  923246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923276 */     // MIs[1] Operand 1
     /*  923276 */     // No operand predicates
     /*  923276 */     // MIs[0] policy
     /*  923276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923310 */     GIR_RootConstrainSelectedInstOperands,
     /*  923311 */     // GIR_Coverage, 23805,
     /*  923311 */     GIR_EraseRootFromParent_Done,
     /*  923312 */   // Label 14009: @923312
     /*  923312 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(923400), // Rule ID 23808 //
     /*  923317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  923328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  923331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  923334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923364 */     // MIs[1] Operand 1
     /*  923364 */     // No operand predicates
     /*  923364 */     // MIs[0] policy
     /*  923364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923398 */     GIR_RootConstrainSelectedInstOperands,
     /*  923399 */     // GIR_Coverage, 23808,
     /*  923399 */     GIR_EraseRootFromParent_Done,
     /*  923400 */   // Label 14010: @923400
     /*  923400 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(923488), // Rule ID 23809 //
     /*  923405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  923416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  923419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  923422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923452 */     // MIs[1] Operand 1
     /*  923452 */     // No operand predicates
     /*  923452 */     // MIs[0] policy
     /*  923452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923486 */     GIR_RootConstrainSelectedInstOperands,
     /*  923487 */     // GIR_Coverage, 23809,
     /*  923487 */     GIR_EraseRootFromParent_Done,
     /*  923488 */   // Label 14011: @923488
     /*  923488 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(923576), // Rule ID 23812 //
     /*  923493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  923504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  923507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  923510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923540 */     // MIs[1] Operand 1
     /*  923540 */     // No operand predicates
     /*  923540 */     // MIs[0] policy
     /*  923540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  923555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923574 */     GIR_RootConstrainSelectedInstOperands,
     /*  923575 */     // GIR_Coverage, 23812,
     /*  923575 */     GIR_EraseRootFromParent_Done,
     /*  923576 */   // Label 14012: @923576
     /*  923576 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(923664), // Rule ID 23813 //
     /*  923581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  923592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  923595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  923598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923628 */     // MIs[1] Operand 1
     /*  923628 */     // No operand predicates
     /*  923628 */     // MIs[0] policy
     /*  923628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923640 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  923643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923662 */     GIR_RootConstrainSelectedInstOperands,
     /*  923663 */     // GIR_Coverage, 23813,
     /*  923663 */     GIR_EraseRootFromParent_Done,
     /*  923664 */   // Label 14013: @923664
     /*  923664 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(923752), // Rule ID 23816 //
     /*  923669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  923680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  923683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923716 */     // MIs[1] Operand 1
     /*  923716 */     // No operand predicates
     /*  923716 */     // MIs[0] policy
     /*  923716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923750 */     GIR_RootConstrainSelectedInstOperands,
     /*  923751 */     // GIR_Coverage, 23816,
     /*  923751 */     GIR_EraseRootFromParent_Done,
     /*  923752 */   // Label 14014: @923752
     /*  923752 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(923840), // Rule ID 23817 //
     /*  923757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  923768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  923771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923804 */     // MIs[1] Operand 1
     /*  923804 */     // No operand predicates
     /*  923804 */     // MIs[0] policy
     /*  923804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923838 */     GIR_RootConstrainSelectedInstOperands,
     /*  923839 */     // GIR_Coverage, 23817,
     /*  923839 */     GIR_EraseRootFromParent_Done,
     /*  923840 */   // Label 14015: @923840
     /*  923840 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(923928), // Rule ID 23820 //
     /*  923845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  923856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  923859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  923862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923892 */     // MIs[1] Operand 1
     /*  923892 */     // No operand predicates
     /*  923892 */     // MIs[0] policy
     /*  923892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923926 */     GIR_RootConstrainSelectedInstOperands,
     /*  923927 */     // GIR_Coverage, 23820,
     /*  923927 */     GIR_EraseRootFromParent_Done,
     /*  923928 */   // Label 14016: @923928
     /*  923928 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(924016), // Rule ID 23821 //
     /*  923933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  923944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  923947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  923950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923980 */     // MIs[1] Operand 1
     /*  923980 */     // No operand predicates
     /*  923980 */     // MIs[0] policy
     /*  923980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924014 */     GIR_RootConstrainSelectedInstOperands,
     /*  924015 */     // GIR_Coverage, 23821,
     /*  924015 */     GIR_EraseRootFromParent_Done,
     /*  924016 */   // Label 14017: @924016
     /*  924016 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(924104), // Rule ID 23824 //
     /*  924021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924068 */     // MIs[1] Operand 1
     /*  924068 */     // No operand predicates
     /*  924068 */     // MIs[0] policy
     /*  924068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924102 */     GIR_RootConstrainSelectedInstOperands,
     /*  924103 */     // GIR_Coverage, 23824,
     /*  924103 */     GIR_EraseRootFromParent_Done,
     /*  924104 */   // Label 14018: @924104
     /*  924104 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(924192), // Rule ID 23825 //
     /*  924109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924156 */     // MIs[1] Operand 1
     /*  924156 */     // No operand predicates
     /*  924156 */     // MIs[0] policy
     /*  924156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924190 */     GIR_RootConstrainSelectedInstOperands,
     /*  924191 */     // GIR_Coverage, 23825,
     /*  924191 */     GIR_EraseRootFromParent_Done,
     /*  924192 */   // Label 14019: @924192
     /*  924192 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(924280), // Rule ID 23828 //
     /*  924197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924244 */     // MIs[1] Operand 1
     /*  924244 */     // No operand predicates
     /*  924244 */     // MIs[0] policy
     /*  924244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924278 */     GIR_RootConstrainSelectedInstOperands,
     /*  924279 */     // GIR_Coverage, 23828,
     /*  924279 */     GIR_EraseRootFromParent_Done,
     /*  924280 */   // Label 14020: @924280
     /*  924280 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(924368), // Rule ID 23829 //
     /*  924285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924332 */     // MIs[1] Operand 1
     /*  924332 */     // No operand predicates
     /*  924332 */     // MIs[0] policy
     /*  924332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924366 */     GIR_RootConstrainSelectedInstOperands,
     /*  924367 */     // GIR_Coverage, 23829,
     /*  924367 */     GIR_EraseRootFromParent_Done,
     /*  924368 */   // Label 14021: @924368
     /*  924368 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(924456), // Rule ID 23832 //
     /*  924373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  924384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  924387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  924390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924420 */     // MIs[1] Operand 1
     /*  924420 */     // No operand predicates
     /*  924420 */     // MIs[0] policy
     /*  924420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924454 */     GIR_RootConstrainSelectedInstOperands,
     /*  924455 */     // GIR_Coverage, 23832,
     /*  924455 */     GIR_EraseRootFromParent_Done,
     /*  924456 */   // Label 14022: @924456
     /*  924456 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(924544), // Rule ID 23833 //
     /*  924461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  924472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  924475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  924478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924508 */     // MIs[1] Operand 1
     /*  924508 */     // No operand predicates
     /*  924508 */     // MIs[0] policy
     /*  924508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924542 */     GIR_RootConstrainSelectedInstOperands,
     /*  924543 */     // GIR_Coverage, 23833,
     /*  924543 */     GIR_EraseRootFromParent_Done,
     /*  924544 */   // Label 14023: @924544
     /*  924544 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(924632), // Rule ID 23836 //
     /*  924549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  924560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  924563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  924566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924596 */     // MIs[1] Operand 1
     /*  924596 */     // No operand predicates
     /*  924596 */     // MIs[0] policy
     /*  924596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924630 */     GIR_RootConstrainSelectedInstOperands,
     /*  924631 */     // GIR_Coverage, 23836,
     /*  924631 */     GIR_EraseRootFromParent_Done,
     /*  924632 */   // Label 14024: @924632
     /*  924632 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(924720), // Rule ID 23837 //
     /*  924637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  924648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  924651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  924654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924684 */     // MIs[1] Operand 1
     /*  924684 */     // No operand predicates
     /*  924684 */     // MIs[0] policy
     /*  924684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924718 */     GIR_RootConstrainSelectedInstOperands,
     /*  924719 */     // GIR_Coverage, 23837,
     /*  924719 */     GIR_EraseRootFromParent_Done,
     /*  924720 */   // Label 14025: @924720
     /*  924720 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(924808), // Rule ID 23840 //
     /*  924725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  924728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  924736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  924739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  924742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924772 */     // MIs[1] Operand 1
     /*  924772 */     // No operand predicates
     /*  924772 */     // MIs[0] policy
     /*  924772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924806 */     GIR_RootConstrainSelectedInstOperands,
     /*  924807 */     // GIR_Coverage, 23840,
     /*  924807 */     GIR_EraseRootFromParent_Done,
     /*  924808 */   // Label 14026: @924808
     /*  924808 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(924896), // Rule ID 23841 //
     /*  924813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  924816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  924824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  924827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  924830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924860 */     // MIs[1] Operand 1
     /*  924860 */     // No operand predicates
     /*  924860 */     // MIs[0] policy
     /*  924860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924894 */     GIR_RootConstrainSelectedInstOperands,
     /*  924895 */     // GIR_Coverage, 23841,
     /*  924895 */     GIR_EraseRootFromParent_Done,
     /*  924896 */   // Label 14027: @924896
     /*  924896 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(924984), // Rule ID 23844 //
     /*  924901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  924904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  924912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  924915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  924918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924948 */     // MIs[1] Operand 1
     /*  924948 */     // No operand predicates
     /*  924948 */     // MIs[0] policy
     /*  924948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924960 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924982 */     GIR_RootConstrainSelectedInstOperands,
     /*  924983 */     // GIR_Coverage, 23844,
     /*  924983 */     GIR_EraseRootFromParent_Done,
     /*  924984 */   // Label 14028: @924984
     /*  924984 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(925072), // Rule ID 23845 //
     /*  924989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  924992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925036 */     // MIs[1] Operand 1
     /*  925036 */     // No operand predicates
     /*  925036 */     // MIs[0] policy
     /*  925036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925070 */     GIR_RootConstrainSelectedInstOperands,
     /*  925071 */     // GIR_Coverage, 23845,
     /*  925071 */     GIR_EraseRootFromParent_Done,
     /*  925072 */   // Label 14029: @925072
     /*  925072 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(925160), // Rule ID 23848 //
     /*  925077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925124 */     // MIs[1] Operand 1
     /*  925124 */     // No operand predicates
     /*  925124 */     // MIs[0] policy
     /*  925124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925158 */     GIR_RootConstrainSelectedInstOperands,
     /*  925159 */     // GIR_Coverage, 23848,
     /*  925159 */     GIR_EraseRootFromParent_Done,
     /*  925160 */   // Label 14030: @925160
     /*  925160 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(925248), // Rule ID 23849 //
     /*  925165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925212 */     // MIs[1] Operand 1
     /*  925212 */     // No operand predicates
     /*  925212 */     // MIs[0] policy
     /*  925212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925246 */     GIR_RootConstrainSelectedInstOperands,
     /*  925247 */     // GIR_Coverage, 23849,
     /*  925247 */     GIR_EraseRootFromParent_Done,
     /*  925248 */   // Label 14031: @925248
     /*  925248 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(925336), // Rule ID 24088 //
     /*  925253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  925264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  925267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  925270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925300 */     // MIs[1] Operand 1
     /*  925300 */     // No operand predicates
     /*  925300 */     // MIs[0] policy
     /*  925300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925312 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  925315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925334 */     GIR_RootConstrainSelectedInstOperands,
     /*  925335 */     // GIR_Coverage, 24088,
     /*  925335 */     GIR_EraseRootFromParent_Done,
     /*  925336 */   // Label 14032: @925336
     /*  925336 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(925424), // Rule ID 24089 //
     /*  925341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  925352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  925355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  925358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925388 */     // MIs[1] Operand 1
     /*  925388 */     // No operand predicates
     /*  925388 */     // MIs[0] policy
     /*  925388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925400 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  925403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925422 */     GIR_RootConstrainSelectedInstOperands,
     /*  925423 */     // GIR_Coverage, 24089,
     /*  925423 */     GIR_EraseRootFromParent_Done,
     /*  925424 */   // Label 14033: @925424
     /*  925424 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(925512), // Rule ID 24092 //
     /*  925429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  925440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  925443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  925446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925476 */     // MIs[1] Operand 1
     /*  925476 */     // No operand predicates
     /*  925476 */     // MIs[0] policy
     /*  925476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925488 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925510 */     GIR_RootConstrainSelectedInstOperands,
     /*  925511 */     // GIR_Coverage, 24092,
     /*  925511 */     GIR_EraseRootFromParent_Done,
     /*  925512 */   // Label 14034: @925512
     /*  925512 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(925600), // Rule ID 24093 //
     /*  925517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  925528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  925531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  925534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925564 */     // MIs[1] Operand 1
     /*  925564 */     // No operand predicates
     /*  925564 */     // MIs[0] policy
     /*  925564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925576 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925598 */     GIR_RootConstrainSelectedInstOperands,
     /*  925599 */     // GIR_Coverage, 24093,
     /*  925599 */     GIR_EraseRootFromParent_Done,
     /*  925600 */   // Label 14035: @925600
     /*  925600 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(925688), // Rule ID 24096 //
     /*  925605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  925616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  925619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  925622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925652 */     // MIs[1] Operand 1
     /*  925652 */     // No operand predicates
     /*  925652 */     // MIs[0] policy
     /*  925652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925664 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925686 */     GIR_RootConstrainSelectedInstOperands,
     /*  925687 */     // GIR_Coverage, 24096,
     /*  925687 */     GIR_EraseRootFromParent_Done,
     /*  925688 */   // Label 14036: @925688
     /*  925688 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(925776), // Rule ID 24097 //
     /*  925693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  925696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  925704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  925707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  925710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925740 */     // MIs[1] Operand 1
     /*  925740 */     // No operand predicates
     /*  925740 */     // MIs[0] policy
     /*  925740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  925755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925774 */     GIR_RootConstrainSelectedInstOperands,
     /*  925775 */     // GIR_Coverage, 24097,
     /*  925775 */     GIR_EraseRootFromParent_Done,
     /*  925776 */   // Label 14037: @925776
     /*  925776 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(925864), // Rule ID 24100 //
     /*  925781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  925784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  925798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925828 */     // MIs[1] Operand 1
     /*  925828 */     // No operand predicates
     /*  925828 */     // MIs[0] policy
     /*  925828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  925843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925862 */     GIR_RootConstrainSelectedInstOperands,
     /*  925863 */     // GIR_Coverage, 24100,
     /*  925863 */     GIR_EraseRootFromParent_Done,
     /*  925864 */   // Label 14038: @925864
     /*  925864 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(925952), // Rule ID 24101 //
     /*  925869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  925872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  925886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925916 */     // MIs[1] Operand 1
     /*  925916 */     // No operand predicates
     /*  925916 */     // MIs[0] policy
     /*  925916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  925931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925950 */     GIR_RootConstrainSelectedInstOperands,
     /*  925951 */     // GIR_Coverage, 24101,
     /*  925951 */     GIR_EraseRootFromParent_Done,
     /*  925952 */   // Label 14039: @925952
     /*  925952 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(926040), // Rule ID 24104 //
     /*  925957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  925960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  925968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  925971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  925974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926004 */     // MIs[1] Operand 1
     /*  926004 */     // No operand predicates
     /*  926004 */     // MIs[0] policy
     /*  926004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926038 */     GIR_RootConstrainSelectedInstOperands,
     /*  926039 */     // GIR_Coverage, 24104,
     /*  926039 */     GIR_EraseRootFromParent_Done,
     /*  926040 */   // Label 14040: @926040
     /*  926040 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(926128), // Rule ID 24105 //
     /*  926045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  926048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  926056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  926059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  926062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926092 */     // MIs[1] Operand 1
     /*  926092 */     // No operand predicates
     /*  926092 */     // MIs[0] policy
     /*  926092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926104 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926126 */     GIR_RootConstrainSelectedInstOperands,
     /*  926127 */     // GIR_Coverage, 24105,
     /*  926127 */     GIR_EraseRootFromParent_Done,
     /*  926128 */   // Label 14041: @926128
     /*  926128 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(926216), // Rule ID 24108 //
     /*  926133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  926136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926180 */     // MIs[1] Operand 1
     /*  926180 */     // No operand predicates
     /*  926180 */     // MIs[0] policy
     /*  926180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926192 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926214 */     GIR_RootConstrainSelectedInstOperands,
     /*  926215 */     // GIR_Coverage, 24108,
     /*  926215 */     GIR_EraseRootFromParent_Done,
     /*  926216 */   // Label 14042: @926216
     /*  926216 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(926304), // Rule ID 24109 //
     /*  926221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  926224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926268 */     // MIs[1] Operand 1
     /*  926268 */     // No operand predicates
     /*  926268 */     // MIs[0] policy
     /*  926268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926302 */     GIR_RootConstrainSelectedInstOperands,
     /*  926303 */     // GIR_Coverage, 24109,
     /*  926303 */     GIR_EraseRootFromParent_Done,
     /*  926304 */   // Label 14043: @926304
     /*  926304 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(926392), // Rule ID 24112 //
     /*  926309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  926312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  926320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  926323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  926326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926356 */     // MIs[1] Operand 1
     /*  926356 */     // No operand predicates
     /*  926356 */     // MIs[0] policy
     /*  926356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926368 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  926371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926390 */     GIR_RootConstrainSelectedInstOperands,
     /*  926391 */     // GIR_Coverage, 24112,
     /*  926391 */     GIR_EraseRootFromParent_Done,
     /*  926392 */   // Label 14044: @926392
     /*  926392 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(926480), // Rule ID 24113 //
     /*  926397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  926400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  926408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  926411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  926414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926444 */     // MIs[1] Operand 1
     /*  926444 */     // No operand predicates
     /*  926444 */     // MIs[0] policy
     /*  926444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926456 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  926459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926478 */     GIR_RootConstrainSelectedInstOperands,
     /*  926479 */     // GIR_Coverage, 24113,
     /*  926479 */     GIR_EraseRootFromParent_Done,
     /*  926480 */   // Label 14045: @926480
     /*  926480 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(926568), // Rule ID 24116 //
     /*  926485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  926488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926532 */     // MIs[1] Operand 1
     /*  926532 */     // No operand predicates
     /*  926532 */     // MIs[0] policy
     /*  926532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926544 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  926547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926566 */     GIR_RootConstrainSelectedInstOperands,
     /*  926567 */     // GIR_Coverage, 24116,
     /*  926567 */     GIR_EraseRootFromParent_Done,
     /*  926568 */   // Label 14046: @926568
     /*  926568 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(926656), // Rule ID 24117 //
     /*  926573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  926576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926620 */     // MIs[1] Operand 1
     /*  926620 */     // No operand predicates
     /*  926620 */     // MIs[0] policy
     /*  926620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926632 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  926635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926654 */     GIR_RootConstrainSelectedInstOperands,
     /*  926655 */     // GIR_Coverage, 24117,
     /*  926655 */     GIR_EraseRootFromParent_Done,
     /*  926656 */   // Label 14047: @926656
     /*  926656 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(926744), // Rule ID 24120 //
     /*  926661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  926664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926708 */     // MIs[1] Operand 1
     /*  926708 */     // No operand predicates
     /*  926708 */     // MIs[0] policy
     /*  926708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926720 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  926723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926742 */     GIR_RootConstrainSelectedInstOperands,
     /*  926743 */     // GIR_Coverage, 24120,
     /*  926743 */     GIR_EraseRootFromParent_Done,
     /*  926744 */   // Label 14048: @926744
     /*  926744 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(926832), // Rule ID 24121 //
     /*  926749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  926752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926796 */     // MIs[1] Operand 1
     /*  926796 */     // No operand predicates
     /*  926796 */     // MIs[0] policy
     /*  926796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926808 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  926811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926830 */     GIR_RootConstrainSelectedInstOperands,
     /*  926831 */     // GIR_Coverage, 24121,
     /*  926831 */     GIR_EraseRootFromParent_Done,
     /*  926832 */   // Label 14049: @926832
     /*  926832 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(926920), // Rule ID 24124 //
     /*  926837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  926840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  926848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  926851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  926854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926884 */     // MIs[1] Operand 1
     /*  926884 */     // No operand predicates
     /*  926884 */     // MIs[0] policy
     /*  926884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926896 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  926899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926918 */     GIR_RootConstrainSelectedInstOperands,
     /*  926919 */     // GIR_Coverage, 24124,
     /*  926919 */     GIR_EraseRootFromParent_Done,
     /*  926920 */   // Label 14050: @926920
     /*  926920 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(927008), // Rule ID 24125 //
     /*  926925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  926928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  926936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  926939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  926942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926972 */     // MIs[1] Operand 1
     /*  926972 */     // No operand predicates
     /*  926972 */     // MIs[0] policy
     /*  926972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926984 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  926987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927006 */     GIR_RootConstrainSelectedInstOperands,
     /*  927007 */     // GIR_Coverage, 24125,
     /*  927007 */     GIR_EraseRootFromParent_Done,
     /*  927008 */   // Label 14051: @927008
     /*  927008 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(927096), // Rule ID 24128 //
     /*  927013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927060 */     // MIs[1] Operand 1
     /*  927060 */     // No operand predicates
     /*  927060 */     // MIs[0] policy
     /*  927060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927072 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927094 */     GIR_RootConstrainSelectedInstOperands,
     /*  927095 */     // GIR_Coverage, 24128,
     /*  927095 */     GIR_EraseRootFromParent_Done,
     /*  927096 */   // Label 14052: @927096
     /*  927096 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(927184), // Rule ID 24129 //
     /*  927101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927148 */     // MIs[1] Operand 1
     /*  927148 */     // No operand predicates
     /*  927148 */     // MIs[0] policy
     /*  927148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927182 */     GIR_RootConstrainSelectedInstOperands,
     /*  927183 */     // GIR_Coverage, 24129,
     /*  927183 */     GIR_EraseRootFromParent_Done,
     /*  927184 */   // Label 14053: @927184
     /*  927184 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(927272), // Rule ID 24132 //
     /*  927189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927236 */     // MIs[1] Operand 1
     /*  927236 */     // No operand predicates
     /*  927236 */     // MIs[0] policy
     /*  927236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927270 */     GIR_RootConstrainSelectedInstOperands,
     /*  927271 */     // GIR_Coverage, 24132,
     /*  927271 */     GIR_EraseRootFromParent_Done,
     /*  927272 */   // Label 14054: @927272
     /*  927272 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(927360), // Rule ID 24133 //
     /*  927277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927324 */     // MIs[1] Operand 1
     /*  927324 */     // No operand predicates
     /*  927324 */     // MIs[0] policy
     /*  927324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927336 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927358 */     GIR_RootConstrainSelectedInstOperands,
     /*  927359 */     // GIR_Coverage, 24133,
     /*  927359 */     GIR_EraseRootFromParent_Done,
     /*  927360 */   // Label 14055: @927360
     /*  927360 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(927448), // Rule ID 24136 //
     /*  927365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  927368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  927376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  927379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  927382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927412 */     // MIs[1] Operand 1
     /*  927412 */     // No operand predicates
     /*  927412 */     // MIs[0] policy
     /*  927412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927424 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927446 */     GIR_RootConstrainSelectedInstOperands,
     /*  927447 */     // GIR_Coverage, 24136,
     /*  927447 */     GIR_EraseRootFromParent_Done,
     /*  927448 */   // Label 14056: @927448
     /*  927448 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(927536), // Rule ID 24137 //
     /*  927453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  927456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  927464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  927467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  927470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927500 */     // MIs[1] Operand 1
     /*  927500 */     // No operand predicates
     /*  927500 */     // MIs[0] policy
     /*  927500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927512 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927534 */     GIR_RootConstrainSelectedInstOperands,
     /*  927535 */     // GIR_Coverage, 24137,
     /*  927535 */     GIR_EraseRootFromParent_Done,
     /*  927536 */   // Label 14057: @927536
     /*  927536 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(927624), // Rule ID 24140 //
     /*  927541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  927544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927588 */     // MIs[1] Operand 1
     /*  927588 */     // No operand predicates
     /*  927588 */     // MIs[0] policy
     /*  927588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927600 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927622 */     GIR_RootConstrainSelectedInstOperands,
     /*  927623 */     // GIR_Coverage, 24140,
     /*  927623 */     GIR_EraseRootFromParent_Done,
     /*  927624 */   // Label 14058: @927624
     /*  927624 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(927712), // Rule ID 24141 //
     /*  927629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  927632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927676 */     // MIs[1] Operand 1
     /*  927676 */     // No operand predicates
     /*  927676 */     // MIs[0] policy
     /*  927676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927688 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927710 */     GIR_RootConstrainSelectedInstOperands,
     /*  927711 */     // GIR_Coverage, 24141,
     /*  927711 */     GIR_EraseRootFromParent_Done,
     /*  927712 */   // Label 14059: @927712
     /*  927712 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(927800), // Rule ID 24144 //
     /*  927717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  927720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  927728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  927731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  927734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927764 */     // MIs[1] Operand 1
     /*  927764 */     // No operand predicates
     /*  927764 */     // MIs[0] policy
     /*  927764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927776 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927798 */     GIR_RootConstrainSelectedInstOperands,
     /*  927799 */     // GIR_Coverage, 24144,
     /*  927799 */     GIR_EraseRootFromParent_Done,
     /*  927800 */   // Label 14060: @927800
     /*  927800 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(927888), // Rule ID 24145 //
     /*  927805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  927808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  927816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  927819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  927822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927852 */     // MIs[1] Operand 1
     /*  927852 */     // No operand predicates
     /*  927852 */     // MIs[0] policy
     /*  927852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927864 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927886 */     GIR_RootConstrainSelectedInstOperands,
     /*  927887 */     // GIR_Coverage, 24145,
     /*  927887 */     GIR_EraseRootFromParent_Done,
     /*  927888 */   // Label 14061: @927888
     /*  927888 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(927976), // Rule ID 24208 //
     /*  927893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  927896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  927901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  927910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927940 */     // MIs[1] Operand 1
     /*  927940 */     // No operand predicates
     /*  927940 */     // MIs[0] policy
     /*  927940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  927955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927974 */     GIR_RootConstrainSelectedInstOperands,
     /*  927975 */     // GIR_Coverage, 24208,
     /*  927975 */     GIR_EraseRootFromParent_Done,
     /*  927976 */   // Label 14062: @927976
     /*  927976 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(928064), // Rule ID 24209 //
     /*  927981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  927984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  927989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  927998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928028 */     // MIs[1] Operand 1
     /*  928028 */     // No operand predicates
     /*  928028 */     // MIs[0] policy
     /*  928028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928040 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  928043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928062 */     GIR_RootConstrainSelectedInstOperands,
     /*  928063 */     // GIR_Coverage, 24209,
     /*  928063 */     GIR_EraseRootFromParent_Done,
     /*  928064 */   // Label 14063: @928064
     /*  928064 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(928152), // Rule ID 24212 //
     /*  928069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  928072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  928080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  928083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928116 */     // MIs[1] Operand 1
     /*  928116 */     // No operand predicates
     /*  928116 */     // MIs[0] policy
     /*  928116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928128 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928150 */     GIR_RootConstrainSelectedInstOperands,
     /*  928151 */     // GIR_Coverage, 24212,
     /*  928151 */     GIR_EraseRootFromParent_Done,
     /*  928152 */   // Label 14064: @928152
     /*  928152 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(928240), // Rule ID 24213 //
     /*  928157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  928160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  928168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  928171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928204 */     // MIs[1] Operand 1
     /*  928204 */     // No operand predicates
     /*  928204 */     // MIs[0] policy
     /*  928204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928216 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928238 */     GIR_RootConstrainSelectedInstOperands,
     /*  928239 */     // GIR_Coverage, 24213,
     /*  928239 */     GIR_EraseRootFromParent_Done,
     /*  928240 */   // Label 14065: @928240
     /*  928240 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(928328), // Rule ID 24216 //
     /*  928245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  928248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  928262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928292 */     // MIs[1] Operand 1
     /*  928292 */     // No operand predicates
     /*  928292 */     // MIs[0] policy
     /*  928292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928304 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928326 */     GIR_RootConstrainSelectedInstOperands,
     /*  928327 */     // GIR_Coverage, 24216,
     /*  928327 */     GIR_EraseRootFromParent_Done,
     /*  928328 */   // Label 14066: @928328
     /*  928328 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(928416), // Rule ID 24217 //
     /*  928333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  928336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  928350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928380 */     // MIs[1] Operand 1
     /*  928380 */     // No operand predicates
     /*  928380 */     // MIs[0] policy
     /*  928380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928392 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928414 */     GIR_RootConstrainSelectedInstOperands,
     /*  928415 */     // GIR_Coverage, 24217,
     /*  928415 */     GIR_EraseRootFromParent_Done,
     /*  928416 */   // Label 14067: @928416
     /*  928416 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(928504), // Rule ID 24220 //
     /*  928421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  928424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928468 */     // MIs[1] Operand 1
     /*  928468 */     // No operand predicates
     /*  928468 */     // MIs[0] policy
     /*  928468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928480 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928502 */     GIR_RootConstrainSelectedInstOperands,
     /*  928503 */     // GIR_Coverage, 24220,
     /*  928503 */     GIR_EraseRootFromParent_Done,
     /*  928504 */   // Label 14068: @928504
     /*  928504 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(928592), // Rule ID 24221 //
     /*  928509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  928512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928556 */     // MIs[1] Operand 1
     /*  928556 */     // No operand predicates
     /*  928556 */     // MIs[0] policy
     /*  928556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928568 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928590 */     GIR_RootConstrainSelectedInstOperands,
     /*  928591 */     // GIR_Coverage, 24221,
     /*  928591 */     GIR_EraseRootFromParent_Done,
     /*  928592 */   // Label 14069: @928592
     /*  928592 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(928680), // Rule ID 24224 //
     /*  928597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  928600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  928614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928644 */     // MIs[1] Operand 1
     /*  928644 */     // No operand predicates
     /*  928644 */     // MIs[0] policy
     /*  928644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928678 */     GIR_RootConstrainSelectedInstOperands,
     /*  928679 */     // GIR_Coverage, 24224,
     /*  928679 */     GIR_EraseRootFromParent_Done,
     /*  928680 */   // Label 14070: @928680
     /*  928680 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(928768), // Rule ID 24225 //
     /*  928685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  928688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  928702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928732 */     // MIs[1] Operand 1
     /*  928732 */     // No operand predicates
     /*  928732 */     // MIs[0] policy
     /*  928732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928744 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928766 */     GIR_RootConstrainSelectedInstOperands,
     /*  928767 */     // GIR_Coverage, 24225,
     /*  928767 */     GIR_EraseRootFromParent_Done,
     /*  928768 */   // Label 14071: @928768
     /*  928768 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(928856), // Rule ID 24228 //
     /*  928773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  928776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928820 */     // MIs[1] Operand 1
     /*  928820 */     // No operand predicates
     /*  928820 */     // MIs[0] policy
     /*  928820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928832 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928854 */     GIR_RootConstrainSelectedInstOperands,
     /*  928855 */     // GIR_Coverage, 24228,
     /*  928855 */     GIR_EraseRootFromParent_Done,
     /*  928856 */   // Label 14072: @928856
     /*  928856 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(928944), // Rule ID 24229 //
     /*  928861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  928864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  928878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928908 */     // MIs[1] Operand 1
     /*  928908 */     // No operand predicates
     /*  928908 */     // MIs[0] policy
     /*  928908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  928923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928942 */     GIR_RootConstrainSelectedInstOperands,
     /*  928943 */     // GIR_Coverage, 24229,
     /*  928943 */     GIR_EraseRootFromParent_Done,
     /*  928944 */   // Label 14073: @928944
     /*  928944 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(929032), // Rule ID 24232 //
     /*  928949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  928952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928996 */     // MIs[1] Operand 1
     /*  928996 */     // No operand predicates
     /*  928996 */     // MIs[0] policy
     /*  928996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929008 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929030 */     GIR_RootConstrainSelectedInstOperands,
     /*  929031 */     // GIR_Coverage, 24232,
     /*  929031 */     GIR_EraseRootFromParent_Done,
     /*  929032 */   // Label 14074: @929032
     /*  929032 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(929120), // Rule ID 24233 //
     /*  929037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  929040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  929054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929084 */     // MIs[1] Operand 1
     /*  929084 */     // No operand predicates
     /*  929084 */     // MIs[0] policy
     /*  929084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929096 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929118 */     GIR_RootConstrainSelectedInstOperands,
     /*  929119 */     // GIR_Coverage, 24233,
     /*  929119 */     GIR_EraseRootFromParent_Done,
     /*  929120 */   // Label 14075: @929120
     /*  929120 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(929208), // Rule ID 24236 //
     /*  929125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  929128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929172 */     // MIs[1] Operand 1
     /*  929172 */     // No operand predicates
     /*  929172 */     // MIs[0] policy
     /*  929172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929184 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929206 */     GIR_RootConstrainSelectedInstOperands,
     /*  929207 */     // GIR_Coverage, 24236,
     /*  929207 */     GIR_EraseRootFromParent_Done,
     /*  929208 */   // Label 14076: @929208
     /*  929208 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(929296), // Rule ID 24237 //
     /*  929213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  929216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929260 */     // MIs[1] Operand 1
     /*  929260 */     // No operand predicates
     /*  929260 */     // MIs[0] policy
     /*  929260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929272 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929294 */     GIR_RootConstrainSelectedInstOperands,
     /*  929295 */     // GIR_Coverage, 24237,
     /*  929295 */     GIR_EraseRootFromParent_Done,
     /*  929296 */   // Label 14077: @929296
     /*  929296 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(929384), // Rule ID 24240 //
     /*  929301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  929304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929348 */     // MIs[1] Operand 1
     /*  929348 */     // No operand predicates
     /*  929348 */     // MIs[0] policy
     /*  929348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929360 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  929363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929382 */     GIR_RootConstrainSelectedInstOperands,
     /*  929383 */     // GIR_Coverage, 24240,
     /*  929383 */     GIR_EraseRootFromParent_Done,
     /*  929384 */   // Label 14078: @929384
     /*  929384 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(929472), // Rule ID 24241 //
     /*  929389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  929392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929436 */     // MIs[1] Operand 1
     /*  929436 */     // No operand predicates
     /*  929436 */     // MIs[0] policy
     /*  929436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929448 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  929451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929470 */     GIR_RootConstrainSelectedInstOperands,
     /*  929471 */     // GIR_Coverage, 24241,
     /*  929471 */     GIR_EraseRootFromParent_Done,
     /*  929472 */   // Label 14079: @929472
     /*  929472 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(929560), // Rule ID 24244 //
     /*  929477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  929480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929524 */     // MIs[1] Operand 1
     /*  929524 */     // No operand predicates
     /*  929524 */     // MIs[0] policy
     /*  929524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929558 */     GIR_RootConstrainSelectedInstOperands,
     /*  929559 */     // GIR_Coverage, 24244,
     /*  929559 */     GIR_EraseRootFromParent_Done,
     /*  929560 */   // Label 14080: @929560
     /*  929560 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(929648), // Rule ID 24245 //
     /*  929565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  929568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929612 */     // MIs[1] Operand 1
     /*  929612 */     // No operand predicates
     /*  929612 */     // MIs[0] policy
     /*  929612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929624 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929646 */     GIR_RootConstrainSelectedInstOperands,
     /*  929647 */     // GIR_Coverage, 24245,
     /*  929647 */     GIR_EraseRootFromParent_Done,
     /*  929648 */   // Label 14081: @929648
     /*  929648 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(929736), // Rule ID 24248 //
     /*  929653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  929656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929700 */     // MIs[1] Operand 1
     /*  929700 */     // No operand predicates
     /*  929700 */     // MIs[0] policy
     /*  929700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929712 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929734 */     GIR_RootConstrainSelectedInstOperands,
     /*  929735 */     // GIR_Coverage, 24248,
     /*  929735 */     GIR_EraseRootFromParent_Done,
     /*  929736 */   // Label 14082: @929736
     /*  929736 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(929824), // Rule ID 24249 //
     /*  929741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  929744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929788 */     // MIs[1] Operand 1
     /*  929788 */     // No operand predicates
     /*  929788 */     // MIs[0] policy
     /*  929788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929822 */     GIR_RootConstrainSelectedInstOperands,
     /*  929823 */     // GIR_Coverage, 24249,
     /*  929823 */     GIR_EraseRootFromParent_Done,
     /*  929824 */   // Label 14083: @929824
     /*  929824 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(929912), // Rule ID 24252 //
     /*  929829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  929832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929876 */     // MIs[1] Operand 1
     /*  929876 */     // No operand predicates
     /*  929876 */     // MIs[0] policy
     /*  929876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929888 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  929891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929910 */     GIR_RootConstrainSelectedInstOperands,
     /*  929911 */     // GIR_Coverage, 24252,
     /*  929911 */     GIR_EraseRootFromParent_Done,
     /*  929912 */   // Label 14084: @929912
     /*  929912 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(930000), // Rule ID 24253 //
     /*  929917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  929920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929964 */     // MIs[1] Operand 1
     /*  929964 */     // No operand predicates
     /*  929964 */     // MIs[0] policy
     /*  929964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929976 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  929979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929998 */     GIR_RootConstrainSelectedInstOperands,
     /*  929999 */     // GIR_Coverage, 24253,
     /*  929999 */     GIR_EraseRootFromParent_Done,
     /*  930000 */   // Label 14085: @930000
     /*  930000 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(930088), // Rule ID 24256 //
     /*  930005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930052 */     // MIs[1] Operand 1
     /*  930052 */     // No operand predicates
     /*  930052 */     // MIs[0] policy
     /*  930052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930064 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930086 */     GIR_RootConstrainSelectedInstOperands,
     /*  930087 */     // GIR_Coverage, 24256,
     /*  930087 */     GIR_EraseRootFromParent_Done,
     /*  930088 */   // Label 14086: @930088
     /*  930088 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(930176), // Rule ID 24257 //
     /*  930093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930140 */     // MIs[1] Operand 1
     /*  930140 */     // No operand predicates
     /*  930140 */     // MIs[0] policy
     /*  930140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930152 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930174 */     GIR_RootConstrainSelectedInstOperands,
     /*  930175 */     // GIR_Coverage, 24257,
     /*  930175 */     GIR_EraseRootFromParent_Done,
     /*  930176 */   // Label 14087: @930176
     /*  930176 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(930264), // Rule ID 24260 //
     /*  930181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930228 */     // MIs[1] Operand 1
     /*  930228 */     // No operand predicates
     /*  930228 */     // MIs[0] policy
     /*  930228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930240 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930262 */     GIR_RootConstrainSelectedInstOperands,
     /*  930263 */     // GIR_Coverage, 24260,
     /*  930263 */     GIR_EraseRootFromParent_Done,
     /*  930264 */   // Label 14088: @930264
     /*  930264 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(930352), // Rule ID 24261 //
     /*  930269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930316 */     // MIs[1] Operand 1
     /*  930316 */     // No operand predicates
     /*  930316 */     // MIs[0] policy
     /*  930316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930350 */     GIR_RootConstrainSelectedInstOperands,
     /*  930351 */     // GIR_Coverage, 24261,
     /*  930351 */     GIR_EraseRootFromParent_Done,
     /*  930352 */   // Label 14089: @930352
     /*  930352 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(930440), // Rule ID 24264 //
     /*  930357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930404 */     // MIs[1] Operand 1
     /*  930404 */     // No operand predicates
     /*  930404 */     // MIs[0] policy
     /*  930404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930438 */     GIR_RootConstrainSelectedInstOperands,
     /*  930439 */     // GIR_Coverage, 24264,
     /*  930439 */     GIR_EraseRootFromParent_Done,
     /*  930440 */   // Label 14090: @930440
     /*  930440 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(930528), // Rule ID 24265 //
     /*  930445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930492 */     // MIs[1] Operand 1
     /*  930492 */     // No operand predicates
     /*  930492 */     // MIs[0] policy
     /*  930492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930504 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930526 */     GIR_RootConstrainSelectedInstOperands,
     /*  930527 */     // GIR_Coverage, 24265,
     /*  930527 */     GIR_EraseRootFromParent_Done,
     /*  930528 */   // Label 14091: @930528
     /*  930528 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(930619), // Rule ID 15876 //
     /*  930533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930580 */     // MIs[1] Operand 1
     /*  930580 */     // No operand predicates
     /*  930580 */     // MIs[0] round
     /*  930580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  930595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930617 */     GIR_RootConstrainSelectedInstOperands,
     /*  930618 */     // GIR_Coverage, 15876,
     /*  930618 */     GIR_EraseRootFromParent_Done,
     /*  930619 */   // Label 14092: @930619
     /*  930619 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(930710), // Rule ID 15877 //
     /*  930624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930671 */     // MIs[1] Operand 1
     /*  930671 */     // No operand predicates
     /*  930671 */     // MIs[0] round
     /*  930671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  930686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930708 */     GIR_RootConstrainSelectedInstOperands,
     /*  930709 */     // GIR_Coverage, 15877,
     /*  930709 */     GIR_EraseRootFromParent_Done,
     /*  930710 */   // Label 14093: @930710
     /*  930710 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(930801), // Rule ID 15880 //
     /*  930715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930762 */     // MIs[1] Operand 1
     /*  930762 */     // No operand predicates
     /*  930762 */     // MIs[0] round
     /*  930762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  930777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930799 */     GIR_RootConstrainSelectedInstOperands,
     /*  930800 */     // GIR_Coverage, 15880,
     /*  930800 */     GIR_EraseRootFromParent_Done,
     /*  930801 */   // Label 14094: @930801
     /*  930801 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(930892), // Rule ID 15881 //
     /*  930806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930853 */     // MIs[1] Operand 1
     /*  930853 */     // No operand predicates
     /*  930853 */     // MIs[0] round
     /*  930853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930865 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  930868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930890 */     GIR_RootConstrainSelectedInstOperands,
     /*  930891 */     // GIR_Coverage, 15881,
     /*  930891 */     GIR_EraseRootFromParent_Done,
     /*  930892 */   // Label 14095: @930892
     /*  930892 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(930983), // Rule ID 15884 //
     /*  930897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930944 */     // MIs[1] Operand 1
     /*  930944 */     // No operand predicates
     /*  930944 */     // MIs[0] round
     /*  930944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930956 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  930959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930981 */     GIR_RootConstrainSelectedInstOperands,
     /*  930982 */     // GIR_Coverage, 15884,
     /*  930982 */     GIR_EraseRootFromParent_Done,
     /*  930983 */   // Label 14096: @930983
     /*  930983 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(931074), // Rule ID 15885 //
     /*  930988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  930996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931035 */     // MIs[1] Operand 1
     /*  931035 */     // No operand predicates
     /*  931035 */     // MIs[0] round
     /*  931035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931072 */     GIR_RootConstrainSelectedInstOperands,
     /*  931073 */     // GIR_Coverage, 15885,
     /*  931073 */     GIR_EraseRootFromParent_Done,
     /*  931074 */   // Label 14097: @931074
     /*  931074 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(931165), // Rule ID 15888 //
     /*  931079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931126 */     // MIs[1] Operand 1
     /*  931126 */     // No operand predicates
     /*  931126 */     // MIs[0] round
     /*  931126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931138 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931163 */     GIR_RootConstrainSelectedInstOperands,
     /*  931164 */     // GIR_Coverage, 15888,
     /*  931164 */     GIR_EraseRootFromParent_Done,
     /*  931165 */   // Label 14098: @931165
     /*  931165 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(931256), // Rule ID 15889 //
     /*  931170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931217 */     // MIs[1] Operand 1
     /*  931217 */     // No operand predicates
     /*  931217 */     // MIs[0] round
     /*  931217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931254 */     GIR_RootConstrainSelectedInstOperands,
     /*  931255 */     // GIR_Coverage, 15889,
     /*  931255 */     GIR_EraseRootFromParent_Done,
     /*  931256 */   // Label 14099: @931256
     /*  931256 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(931347), // Rule ID 15892 //
     /*  931261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931308 */     // MIs[1] Operand 1
     /*  931308 */     // No operand predicates
     /*  931308 */     // MIs[0] round
     /*  931308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931345 */     GIR_RootConstrainSelectedInstOperands,
     /*  931346 */     // GIR_Coverage, 15892,
     /*  931346 */     GIR_EraseRootFromParent_Done,
     /*  931347 */   // Label 14100: @931347
     /*  931347 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(931438), // Rule ID 15893 //
     /*  931352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931399 */     // MIs[1] Operand 1
     /*  931399 */     // No operand predicates
     /*  931399 */     // MIs[0] round
     /*  931399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931436 */     GIR_RootConstrainSelectedInstOperands,
     /*  931437 */     // GIR_Coverage, 15893,
     /*  931437 */     GIR_EraseRootFromParent_Done,
     /*  931438 */   // Label 14101: @931438
     /*  931438 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(931529), // Rule ID 15896 //
     /*  931443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931490 */     // MIs[1] Operand 1
     /*  931490 */     // No operand predicates
     /*  931490 */     // MIs[0] round
     /*  931490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931502 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931527 */     GIR_RootConstrainSelectedInstOperands,
     /*  931528 */     // GIR_Coverage, 15896,
     /*  931528 */     GIR_EraseRootFromParent_Done,
     /*  931529 */   // Label 14102: @931529
     /*  931529 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(931620), // Rule ID 15897 //
     /*  931534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931581 */     // MIs[1] Operand 1
     /*  931581 */     // No operand predicates
     /*  931581 */     // MIs[0] round
     /*  931581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931618 */     GIR_RootConstrainSelectedInstOperands,
     /*  931619 */     // GIR_Coverage, 15897,
     /*  931619 */     GIR_EraseRootFromParent_Done,
     /*  931620 */   // Label 14103: @931620
     /*  931620 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(931711), // Rule ID 15900 //
     /*  931625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931672 */     // MIs[1] Operand 1
     /*  931672 */     // No operand predicates
     /*  931672 */     // MIs[0] round
     /*  931672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  931687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931709 */     GIR_RootConstrainSelectedInstOperands,
     /*  931710 */     // GIR_Coverage, 15900,
     /*  931710 */     GIR_EraseRootFromParent_Done,
     /*  931711 */   // Label 14104: @931711
     /*  931711 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(931802), // Rule ID 15901 //
     /*  931716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931763 */     // MIs[1] Operand 1
     /*  931763 */     // No operand predicates
     /*  931763 */     // MIs[0] round
     /*  931763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931775 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  931778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931800 */     GIR_RootConstrainSelectedInstOperands,
     /*  931801 */     // GIR_Coverage, 15901,
     /*  931801 */     GIR_EraseRootFromParent_Done,
     /*  931802 */   // Label 14105: @931802
     /*  931802 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(931893), // Rule ID 15904 //
     /*  931807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931854 */     // MIs[1] Operand 1
     /*  931854 */     // No operand predicates
     /*  931854 */     // MIs[0] round
     /*  931854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  931869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931891 */     GIR_RootConstrainSelectedInstOperands,
     /*  931892 */     // GIR_Coverage, 15904,
     /*  931892 */     GIR_EraseRootFromParent_Done,
     /*  931893 */   // Label 14106: @931893
     /*  931893 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(931984), // Rule ID 15905 //
     /*  931898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931945 */     // MIs[1] Operand 1
     /*  931945 */     // No operand predicates
     /*  931945 */     // MIs[0] round
     /*  931945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  931960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931982 */     GIR_RootConstrainSelectedInstOperands,
     /*  931983 */     // GIR_Coverage, 15905,
     /*  931983 */     GIR_EraseRootFromParent_Done,
     /*  931984 */   // Label 14107: @931984
     /*  931984 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(932075), // Rule ID 15908 //
     /*  931989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932036 */     // MIs[1] Operand 1
     /*  932036 */     // No operand predicates
     /*  932036 */     // MIs[0] round
     /*  932036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932073 */     GIR_RootConstrainSelectedInstOperands,
     /*  932074 */     // GIR_Coverage, 15908,
     /*  932074 */     GIR_EraseRootFromParent_Done,
     /*  932075 */   // Label 14108: @932075
     /*  932075 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(932166), // Rule ID 15909 //
     /*  932080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932127 */     // MIs[1] Operand 1
     /*  932127 */     // No operand predicates
     /*  932127 */     // MIs[0] round
     /*  932127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  932139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932164 */     GIR_RootConstrainSelectedInstOperands,
     /*  932165 */     // GIR_Coverage, 15909,
     /*  932165 */     GIR_EraseRootFromParent_Done,
     /*  932166 */   // Label 14109: @932166
     /*  932166 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(932257), // Rule ID 15912 //
     /*  932171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932218 */     // MIs[1] Operand 1
     /*  932218 */     // No operand predicates
     /*  932218 */     // MIs[0] round
     /*  932218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932230 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932255 */     GIR_RootConstrainSelectedInstOperands,
     /*  932256 */     // GIR_Coverage, 15912,
     /*  932256 */     GIR_EraseRootFromParent_Done,
     /*  932257 */   // Label 14110: @932257
     /*  932257 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(932348), // Rule ID 15913 //
     /*  932262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932309 */     // MIs[1] Operand 1
     /*  932309 */     // No operand predicates
     /*  932309 */     // MIs[0] round
     /*  932309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932346 */     GIR_RootConstrainSelectedInstOperands,
     /*  932347 */     // GIR_Coverage, 15913,
     /*  932347 */     GIR_EraseRootFromParent_Done,
     /*  932348 */   // Label 14111: @932348
     /*  932348 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(932439), // Rule ID 15916 //
     /*  932353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932400 */     // MIs[1] Operand 1
     /*  932400 */     // No operand predicates
     /*  932400 */     // MIs[0] round
     /*  932400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  932415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932437 */     GIR_RootConstrainSelectedInstOperands,
     /*  932438 */     // GIR_Coverage, 15916,
     /*  932438 */     GIR_EraseRootFromParent_Done,
     /*  932439 */   // Label 14112: @932439
     /*  932439 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(932530), // Rule ID 15917 //
     /*  932444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932491 */     // MIs[1] Operand 1
     /*  932491 */     // No operand predicates
     /*  932491 */     // MIs[0] round
     /*  932491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932503 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  932506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932528 */     GIR_RootConstrainSelectedInstOperands,
     /*  932529 */     // GIR_Coverage, 15917,
     /*  932529 */     GIR_EraseRootFromParent_Done,
     /*  932530 */   // Label 14113: @932530
     /*  932530 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(932621), // Rule ID 15920 //
     /*  932535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932582 */     // MIs[1] Operand 1
     /*  932582 */     // No operand predicates
     /*  932582 */     // MIs[0] round
     /*  932582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  932597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932619 */     GIR_RootConstrainSelectedInstOperands,
     /*  932620 */     // GIR_Coverage, 15920,
     /*  932620 */     GIR_EraseRootFromParent_Done,
     /*  932621 */   // Label 14114: @932621
     /*  932621 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(932712), // Rule ID 15921 //
     /*  932626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932673 */     // MIs[1] Operand 1
     /*  932673 */     // No operand predicates
     /*  932673 */     // MIs[0] round
     /*  932673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932685 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  932688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932710 */     GIR_RootConstrainSelectedInstOperands,
     /*  932711 */     // GIR_Coverage, 15921,
     /*  932711 */     GIR_EraseRootFromParent_Done,
     /*  932712 */   // Label 14115: @932712
     /*  932712 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(932803), // Rule ID 15924 //
     /*  932717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932764 */     // MIs[1] Operand 1
     /*  932764 */     // No operand predicates
     /*  932764 */     // MIs[0] round
     /*  932764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  932779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932801 */     GIR_RootConstrainSelectedInstOperands,
     /*  932802 */     // GIR_Coverage, 15924,
     /*  932802 */     GIR_EraseRootFromParent_Done,
     /*  932803 */   // Label 14116: @932803
     /*  932803 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(932894), // Rule ID 15925 //
     /*  932808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932855 */     // MIs[1] Operand 1
     /*  932855 */     // No operand predicates
     /*  932855 */     // MIs[0] round
     /*  932855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  932870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932892 */     GIR_RootConstrainSelectedInstOperands,
     /*  932893 */     // GIR_Coverage, 15925,
     /*  932893 */     GIR_EraseRootFromParent_Done,
     /*  932894 */   // Label 14117: @932894
     /*  932894 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(932985), // Rule ID 15928 //
     /*  932899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932946 */     // MIs[1] Operand 1
     /*  932946 */     // No operand predicates
     /*  932946 */     // MIs[0] round
     /*  932946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  932961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932983 */     GIR_RootConstrainSelectedInstOperands,
     /*  932984 */     // GIR_Coverage, 15928,
     /*  932984 */     GIR_EraseRootFromParent_Done,
     /*  932985 */   // Label 14118: @932985
     /*  932985 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(933076), // Rule ID 15929 //
     /*  932990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  933001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  933004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933037 */     // MIs[1] Operand 1
     /*  933037 */     // No operand predicates
     /*  933037 */     // MIs[0] round
     /*  933037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933074 */     GIR_RootConstrainSelectedInstOperands,
     /*  933075 */     // GIR_Coverage, 15929,
     /*  933075 */     GIR_EraseRootFromParent_Done,
     /*  933076 */   // Label 14119: @933076
     /*  933076 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(933167), // Rule ID 15932 //
     /*  933081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933128 */     // MIs[1] Operand 1
     /*  933128 */     // No operand predicates
     /*  933128 */     // MIs[0] round
     /*  933128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933165 */     GIR_RootConstrainSelectedInstOperands,
     /*  933166 */     // GIR_Coverage, 15932,
     /*  933166 */     GIR_EraseRootFromParent_Done,
     /*  933167 */   // Label 14120: @933167
     /*  933167 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(933258), // Rule ID 15933 //
     /*  933172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933219 */     // MIs[1] Operand 1
     /*  933219 */     // No operand predicates
     /*  933219 */     // MIs[0] round
     /*  933219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933231 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933256 */     GIR_RootConstrainSelectedInstOperands,
     /*  933257 */     // GIR_Coverage, 15933,
     /*  933257 */     GIR_EraseRootFromParent_Done,
     /*  933258 */   // Label 14121: @933258
     /*  933258 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(933349), // Rule ID 15936 //
     /*  933263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933310 */     // MIs[1] Operand 1
     /*  933310 */     // No operand predicates
     /*  933310 */     // MIs[0] round
     /*  933310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933347 */     GIR_RootConstrainSelectedInstOperands,
     /*  933348 */     // GIR_Coverage, 15936,
     /*  933348 */     GIR_EraseRootFromParent_Done,
     /*  933349 */   // Label 14122: @933349
     /*  933349 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(933440), // Rule ID 15937 //
     /*  933354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933401 */     // MIs[1] Operand 1
     /*  933401 */     // No operand predicates
     /*  933401 */     // MIs[0] round
     /*  933401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933413 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933438 */     GIR_RootConstrainSelectedInstOperands,
     /*  933439 */     // GIR_Coverage, 15937,
     /*  933439 */     GIR_EraseRootFromParent_Done,
     /*  933440 */   // Label 14123: @933440
     /*  933440 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(933531), // Rule ID 15940 //
     /*  933445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933492 */     // MIs[1] Operand 1
     /*  933492 */     // No operand predicates
     /*  933492 */     // MIs[0] round
     /*  933492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933529 */     GIR_RootConstrainSelectedInstOperands,
     /*  933530 */     // GIR_Coverage, 15940,
     /*  933530 */     GIR_EraseRootFromParent_Done,
     /*  933531 */   // Label 14124: @933531
     /*  933531 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(933622), // Rule ID 15941 //
     /*  933536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933583 */     // MIs[1] Operand 1
     /*  933583 */     // No operand predicates
     /*  933583 */     // MIs[0] round
     /*  933583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933620 */     GIR_RootConstrainSelectedInstOperands,
     /*  933621 */     // GIR_Coverage, 15941,
     /*  933621 */     GIR_EraseRootFromParent_Done,
     /*  933622 */   // Label 14125: @933622
     /*  933622 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(933713), // Rule ID 15944 //
     /*  933627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933674 */     // MIs[1] Operand 1
     /*  933674 */     // No operand predicates
     /*  933674 */     // MIs[0] round
     /*  933674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933711 */     GIR_RootConstrainSelectedInstOperands,
     /*  933712 */     // GIR_Coverage, 15944,
     /*  933712 */     GIR_EraseRootFromParent_Done,
     /*  933713 */   // Label 14126: @933713
     /*  933713 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(933804), // Rule ID 15945 //
     /*  933718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933765 */     // MIs[1] Operand 1
     /*  933765 */     // No operand predicates
     /*  933765 */     // MIs[0] round
     /*  933765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933802 */     GIR_RootConstrainSelectedInstOperands,
     /*  933803 */     // GIR_Coverage, 15945,
     /*  933803 */     GIR_EraseRootFromParent_Done,
     /*  933804 */   // Label 14127: @933804
     /*  933804 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(933895), // Rule ID 15948 //
     /*  933809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933856 */     // MIs[1] Operand 1
     /*  933856 */     // No operand predicates
     /*  933856 */     // MIs[0] round
     /*  933856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933893 */     GIR_RootConstrainSelectedInstOperands,
     /*  933894 */     // GIR_Coverage, 15948,
     /*  933894 */     GIR_EraseRootFromParent_Done,
     /*  933895 */   // Label 14128: @933895
     /*  933895 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(933986), // Rule ID 15949 //
     /*  933900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933947 */     // MIs[1] Operand 1
     /*  933947 */     // No operand predicates
     /*  933947 */     // MIs[0] round
     /*  933947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933984 */     GIR_RootConstrainSelectedInstOperands,
     /*  933985 */     // GIR_Coverage, 15949,
     /*  933985 */     GIR_EraseRootFromParent_Done,
     /*  933986 */   // Label 14129: @933986
     /*  933986 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(934077), // Rule ID 15952 //
     /*  933991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934038 */     // MIs[1] Operand 1
     /*  934038 */     // No operand predicates
     /*  934038 */     // MIs[0] round
     /*  934038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934075 */     GIR_RootConstrainSelectedInstOperands,
     /*  934076 */     // GIR_Coverage, 15952,
     /*  934076 */     GIR_EraseRootFromParent_Done,
     /*  934077 */   // Label 14130: @934077
     /*  934077 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(934168), // Rule ID 15953 //
     /*  934082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934129 */     // MIs[1] Operand 1
     /*  934129 */     // No operand predicates
     /*  934129 */     // MIs[0] round
     /*  934129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934166 */     GIR_RootConstrainSelectedInstOperands,
     /*  934167 */     // GIR_Coverage, 15953,
     /*  934167 */     GIR_EraseRootFromParent_Done,
     /*  934168 */   // Label 14131: @934168
     /*  934168 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(934259), // Rule ID 15956 //
     /*  934173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934220 */     // MIs[1] Operand 1
     /*  934220 */     // No operand predicates
     /*  934220 */     // MIs[0] round
     /*  934220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  934235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934257 */     GIR_RootConstrainSelectedInstOperands,
     /*  934258 */     // GIR_Coverage, 15956,
     /*  934258 */     GIR_EraseRootFromParent_Done,
     /*  934259 */   // Label 14132: @934259
     /*  934259 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(934350), // Rule ID 15957 //
     /*  934264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934311 */     // MIs[1] Operand 1
     /*  934311 */     // No operand predicates
     /*  934311 */     // MIs[0] round
     /*  934311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  934326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934348 */     GIR_RootConstrainSelectedInstOperands,
     /*  934349 */     // GIR_Coverage, 15957,
     /*  934349 */     GIR_EraseRootFromParent_Done,
     /*  934350 */   // Label 14133: @934350
     /*  934350 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(934441), // Rule ID 15960 //
     /*  934355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934402 */     // MIs[1] Operand 1
     /*  934402 */     // No operand predicates
     /*  934402 */     // MIs[0] round
     /*  934402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934414 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934439 */     GIR_RootConstrainSelectedInstOperands,
     /*  934440 */     // GIR_Coverage, 15960,
     /*  934440 */     GIR_EraseRootFromParent_Done,
     /*  934441 */   // Label 14134: @934441
     /*  934441 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(934532), // Rule ID 15961 //
     /*  934446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934493 */     // MIs[1] Operand 1
     /*  934493 */     // No operand predicates
     /*  934493 */     // MIs[0] round
     /*  934493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934530 */     GIR_RootConstrainSelectedInstOperands,
     /*  934531 */     // GIR_Coverage, 15961,
     /*  934531 */     GIR_EraseRootFromParent_Done,
     /*  934532 */   // Label 14135: @934532
     /*  934532 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(934623), // Rule ID 16140 //
     /*  934537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  934554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934584 */     // MIs[1] Operand 1
     /*  934584 */     // No operand predicates
     /*  934584 */     // MIs[0] round
     /*  934584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  934599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934621 */     GIR_RootConstrainSelectedInstOperands,
     /*  934622 */     // GIR_Coverage, 16140,
     /*  934622 */     GIR_EraseRootFromParent_Done,
     /*  934623 */   // Label 14136: @934623
     /*  934623 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(934714), // Rule ID 16141 //
     /*  934628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  934645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934675 */     // MIs[1] Operand 1
     /*  934675 */     // No operand predicates
     /*  934675 */     // MIs[0] round
     /*  934675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  934690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934712 */     GIR_RootConstrainSelectedInstOperands,
     /*  934713 */     // GIR_Coverage, 16141,
     /*  934713 */     GIR_EraseRootFromParent_Done,
     /*  934714 */   // Label 14137: @934714
     /*  934714 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(934805), // Rule ID 16144 //
     /*  934719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  934736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934766 */     // MIs[1] Operand 1
     /*  934766 */     // No operand predicates
     /*  934766 */     // MIs[0] round
     /*  934766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  934781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934803 */     GIR_RootConstrainSelectedInstOperands,
     /*  934804 */     // GIR_Coverage, 16144,
     /*  934804 */     GIR_EraseRootFromParent_Done,
     /*  934805 */   // Label 14138: @934805
     /*  934805 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(934896), // Rule ID 16145 //
     /*  934810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  934827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934857 */     // MIs[1] Operand 1
     /*  934857 */     // No operand predicates
     /*  934857 */     // MIs[0] round
     /*  934857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934869 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  934869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  934872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934894 */     GIR_RootConstrainSelectedInstOperands,
     /*  934895 */     // GIR_Coverage, 16145,
     /*  934895 */     GIR_EraseRootFromParent_Done,
     /*  934896 */   // Label 14139: @934896
     /*  934896 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(934987), // Rule ID 16148 //
     /*  934901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  934909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  934918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934948 */     // MIs[1] Operand 1
     /*  934948 */     // No operand predicates
     /*  934948 */     // MIs[0] round
     /*  934948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934960 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  934960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  934963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934985 */     GIR_RootConstrainSelectedInstOperands,
     /*  934986 */     // GIR_Coverage, 16148,
     /*  934986 */     GIR_EraseRootFromParent_Done,
     /*  934987 */   // Label 14140: @934987
     /*  934987 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(935078), // Rule ID 16149 //
     /*  934992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  935009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935039 */     // MIs[1] Operand 1
     /*  935039 */     // No operand predicates
     /*  935039 */     // MIs[0] round
     /*  935039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935051 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935076 */     GIR_RootConstrainSelectedInstOperands,
     /*  935077 */     // GIR_Coverage, 16149,
     /*  935077 */     GIR_EraseRootFromParent_Done,
     /*  935078 */   // Label 14141: @935078
     /*  935078 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(935169), // Rule ID 16152 //
     /*  935083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935130 */     // MIs[1] Operand 1
     /*  935130 */     // No operand predicates
     /*  935130 */     // MIs[0] round
     /*  935130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935167 */     GIR_RootConstrainSelectedInstOperands,
     /*  935168 */     // GIR_Coverage, 16152,
     /*  935168 */     GIR_EraseRootFromParent_Done,
     /*  935169 */   // Label 14142: @935169
     /*  935169 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(935260), // Rule ID 16153 //
     /*  935174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935221 */     // MIs[1] Operand 1
     /*  935221 */     // No operand predicates
     /*  935221 */     // MIs[0] round
     /*  935221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935258 */     GIR_RootConstrainSelectedInstOperands,
     /*  935259 */     // GIR_Coverage, 16153,
     /*  935259 */     GIR_EraseRootFromParent_Done,
     /*  935260 */   // Label 14143: @935260
     /*  935260 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(935351), // Rule ID 16156 //
     /*  935265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935312 */     // MIs[1] Operand 1
     /*  935312 */     // No operand predicates
     /*  935312 */     // MIs[0] round
     /*  935312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935349 */     GIR_RootConstrainSelectedInstOperands,
     /*  935350 */     // GIR_Coverage, 16156,
     /*  935350 */     GIR_EraseRootFromParent_Done,
     /*  935351 */   // Label 14144: @935351
     /*  935351 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(935442), // Rule ID 16157 //
     /*  935356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935403 */     // MIs[1] Operand 1
     /*  935403 */     // No operand predicates
     /*  935403 */     // MIs[0] round
     /*  935403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935440 */     GIR_RootConstrainSelectedInstOperands,
     /*  935441 */     // GIR_Coverage, 16157,
     /*  935441 */     GIR_EraseRootFromParent_Done,
     /*  935442 */   // Label 14145: @935442
     /*  935442 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(935533), // Rule ID 16160 //
     /*  935447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  935458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  935461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935494 */     // MIs[1] Operand 1
     /*  935494 */     // No operand predicates
     /*  935494 */     // MIs[0] round
     /*  935494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  935506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935531 */     GIR_RootConstrainSelectedInstOperands,
     /*  935532 */     // GIR_Coverage, 16160,
     /*  935532 */     GIR_EraseRootFromParent_Done,
     /*  935533 */   // Label 14146: @935533
     /*  935533 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(935624), // Rule ID 16161 //
     /*  935538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  935549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  935552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935585 */     // MIs[1] Operand 1
     /*  935585 */     // No operand predicates
     /*  935585 */     // MIs[0] round
     /*  935585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  935597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935622 */     GIR_RootConstrainSelectedInstOperands,
     /*  935623 */     // GIR_Coverage, 16161,
     /*  935623 */     GIR_EraseRootFromParent_Done,
     /*  935624 */   // Label 14147: @935624
     /*  935624 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(935715), // Rule ID 16164 //
     /*  935629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  935646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935676 */     // MIs[1] Operand 1
     /*  935676 */     // No operand predicates
     /*  935676 */     // MIs[0] round
     /*  935676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  935691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935713 */     GIR_RootConstrainSelectedInstOperands,
     /*  935714 */     // GIR_Coverage, 16164,
     /*  935714 */     GIR_EraseRootFromParent_Done,
     /*  935715 */   // Label 14148: @935715
     /*  935715 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(935806), // Rule ID 16165 //
     /*  935720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  935737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935767 */     // MIs[1] Operand 1
     /*  935767 */     // No operand predicates
     /*  935767 */     // MIs[0] round
     /*  935767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935779 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  935782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935804 */     GIR_RootConstrainSelectedInstOperands,
     /*  935805 */     // GIR_Coverage, 16165,
     /*  935805 */     GIR_EraseRootFromParent_Done,
     /*  935806 */   // Label 14149: @935806
     /*  935806 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(935897), // Rule ID 16168 //
     /*  935811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  935828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935858 */     // MIs[1] Operand 1
     /*  935858 */     // No operand predicates
     /*  935858 */     // MIs[0] round
     /*  935858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  935873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935895 */     GIR_RootConstrainSelectedInstOperands,
     /*  935896 */     // GIR_Coverage, 16168,
     /*  935896 */     GIR_EraseRootFromParent_Done,
     /*  935897 */   // Label 14150: @935897
     /*  935897 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(935988), // Rule ID 16169 //
     /*  935902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  935919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935949 */     // MIs[1] Operand 1
     /*  935949 */     // No operand predicates
     /*  935949 */     // MIs[0] round
     /*  935949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  935964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935986 */     GIR_RootConstrainSelectedInstOperands,
     /*  935987 */     // GIR_Coverage, 16169,
     /*  935987 */     GIR_EraseRootFromParent_Done,
     /*  935988 */   // Label 14151: @935988
     /*  935988 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(936079), // Rule ID 16172 //
     /*  935993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936040 */     // MIs[1] Operand 1
     /*  936040 */     // No operand predicates
     /*  936040 */     // MIs[0] round
     /*  936040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936077 */     GIR_RootConstrainSelectedInstOperands,
     /*  936078 */     // GIR_Coverage, 16172,
     /*  936078 */     GIR_EraseRootFromParent_Done,
     /*  936079 */   // Label 14152: @936079
     /*  936079 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(936170), // Rule ID 16173 //
     /*  936084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936131 */     // MIs[1] Operand 1
     /*  936131 */     // No operand predicates
     /*  936131 */     // MIs[0] round
     /*  936131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936168 */     GIR_RootConstrainSelectedInstOperands,
     /*  936169 */     // GIR_Coverage, 16173,
     /*  936169 */     GIR_EraseRootFromParent_Done,
     /*  936170 */   // Label 14153: @936170
     /*  936170 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(936261), // Rule ID 16176 //
     /*  936175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  936178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936222 */     // MIs[1] Operand 1
     /*  936222 */     // No operand predicates
     /*  936222 */     // MIs[0] round
     /*  936222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  936234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936259 */     GIR_RootConstrainSelectedInstOperands,
     /*  936260 */     // GIR_Coverage, 16176,
     /*  936260 */     GIR_EraseRootFromParent_Done,
     /*  936261 */   // Label 14154: @936261
     /*  936261 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(936352), // Rule ID 16177 //
     /*  936266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  936269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936313 */     // MIs[1] Operand 1
     /*  936313 */     // No operand predicates
     /*  936313 */     // MIs[0] round
     /*  936313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  936325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936350 */     GIR_RootConstrainSelectedInstOperands,
     /*  936351 */     // GIR_Coverage, 16177,
     /*  936351 */     GIR_EraseRootFromParent_Done,
     /*  936352 */   // Label 14155: @936352
     /*  936352 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(936443), // Rule ID 16180 //
     /*  936357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  936368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  936371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  936374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936404 */     // MIs[1] Operand 1
     /*  936404 */     // No operand predicates
     /*  936404 */     // MIs[0] round
     /*  936404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  936419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936441 */     GIR_RootConstrainSelectedInstOperands,
     /*  936442 */     // GIR_Coverage, 16180,
     /*  936442 */     GIR_EraseRootFromParent_Done,
     /*  936443 */   // Label 14156: @936443
     /*  936443 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(936534), // Rule ID 16181 //
     /*  936448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  936459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  936462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  936465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936495 */     // MIs[1] Operand 1
     /*  936495 */     // No operand predicates
     /*  936495 */     // MIs[0] round
     /*  936495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936507 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  936510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936532 */     GIR_RootConstrainSelectedInstOperands,
     /*  936533 */     // GIR_Coverage, 16181,
     /*  936533 */     GIR_EraseRootFromParent_Done,
     /*  936534 */   // Label 14157: @936534
     /*  936534 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(936625), // Rule ID 16184 //
     /*  936539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  936556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936586 */     // MIs[1] Operand 1
     /*  936586 */     // No operand predicates
     /*  936586 */     // MIs[0] round
     /*  936586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936598 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  936601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936623 */     GIR_RootConstrainSelectedInstOperands,
     /*  936624 */     // GIR_Coverage, 16184,
     /*  936624 */     GIR_EraseRootFromParent_Done,
     /*  936625 */   // Label 14158: @936625
     /*  936625 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(936716), // Rule ID 16185 //
     /*  936630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  936647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936677 */     // MIs[1] Operand 1
     /*  936677 */     // No operand predicates
     /*  936677 */     // MIs[0] round
     /*  936677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936689 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  936692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936714 */     GIR_RootConstrainSelectedInstOperands,
     /*  936715 */     // GIR_Coverage, 16185,
     /*  936715 */     GIR_EraseRootFromParent_Done,
     /*  936716 */   // Label 14159: @936716
     /*  936716 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(936807), // Rule ID 16188 //
     /*  936721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  936732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  936735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  936738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936768 */     // MIs[1] Operand 1
     /*  936768 */     // No operand predicates
     /*  936768 */     // MIs[0] round
     /*  936768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936780 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  936783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936805 */     GIR_RootConstrainSelectedInstOperands,
     /*  936806 */     // GIR_Coverage, 16188,
     /*  936806 */     GIR_EraseRootFromParent_Done,
     /*  936807 */   // Label 14160: @936807
     /*  936807 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(936898), // Rule ID 16189 //
     /*  936812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  936823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  936826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  936829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936859 */     // MIs[1] Operand 1
     /*  936859 */     // No operand predicates
     /*  936859 */     // MIs[0] round
     /*  936859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936871 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  936874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936896 */     GIR_RootConstrainSelectedInstOperands,
     /*  936897 */     // GIR_Coverage, 16189,
     /*  936897 */     GIR_EraseRootFromParent_Done,
     /*  936898 */   // Label 14161: @936898
     /*  936898 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(936989), // Rule ID 16192 //
     /*  936903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  936920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936950 */     // MIs[1] Operand 1
     /*  936950 */     // No operand predicates
     /*  936950 */     // MIs[0] round
     /*  936950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  936965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936987 */     GIR_RootConstrainSelectedInstOperands,
     /*  936988 */     // GIR_Coverage, 16192,
     /*  936988 */     GIR_EraseRootFromParent_Done,
     /*  936989 */   // Label 14162: @936989
     /*  936989 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(937080), // Rule ID 16193 //
     /*  936994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937041 */     // MIs[1] Operand 1
     /*  937041 */     // No operand predicates
     /*  937041 */     // MIs[0] round
     /*  937041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937053 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937078 */     GIR_RootConstrainSelectedInstOperands,
     /*  937079 */     // GIR_Coverage, 16193,
     /*  937079 */     GIR_EraseRootFromParent_Done,
     /*  937080 */   // Label 14163: @937080
     /*  937080 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(937171), // Rule ID 16196 //
     /*  937085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937132 */     // MIs[1] Operand 1
     /*  937132 */     // No operand predicates
     /*  937132 */     // MIs[0] round
     /*  937132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937169 */     GIR_RootConstrainSelectedInstOperands,
     /*  937170 */     // GIR_Coverage, 16196,
     /*  937170 */     GIR_EraseRootFromParent_Done,
     /*  937171 */   // Label 14164: @937171
     /*  937171 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(937262), // Rule ID 16197 //
     /*  937176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937223 */     // MIs[1] Operand 1
     /*  937223 */     // No operand predicates
     /*  937223 */     // MIs[0] round
     /*  937223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937260 */     GIR_RootConstrainSelectedInstOperands,
     /*  937261 */     // GIR_Coverage, 16197,
     /*  937261 */     GIR_EraseRootFromParent_Done,
     /*  937262 */   // Label 14165: @937262
     /*  937262 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(937353), // Rule ID 16200 //
     /*  937267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  937278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  937281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937314 */     // MIs[1] Operand 1
     /*  937314 */     // No operand predicates
     /*  937314 */     // MIs[0] round
     /*  937314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937351 */     GIR_RootConstrainSelectedInstOperands,
     /*  937352 */     // GIR_Coverage, 16200,
     /*  937352 */     GIR_EraseRootFromParent_Done,
     /*  937353 */   // Label 14166: @937353
     /*  937353 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(937444), // Rule ID 16201 //
     /*  937358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  937369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  937372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937405 */     // MIs[1] Operand 1
     /*  937405 */     // No operand predicates
     /*  937405 */     // MIs[0] round
     /*  937405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937442 */     GIR_RootConstrainSelectedInstOperands,
     /*  937443 */     // GIR_Coverage, 16201,
     /*  937443 */     GIR_EraseRootFromParent_Done,
     /*  937444 */   // Label 14167: @937444
     /*  937444 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(937535), // Rule ID 16204 //
     /*  937449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  937466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937496 */     // MIs[1] Operand 1
     /*  937496 */     // No operand predicates
     /*  937496 */     // MIs[0] round
     /*  937496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937533 */     GIR_RootConstrainSelectedInstOperands,
     /*  937534 */     // GIR_Coverage, 16204,
     /*  937534 */     GIR_EraseRootFromParent_Done,
     /*  937535 */   // Label 14168: @937535
     /*  937535 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(937626), // Rule ID 16205 //
     /*  937540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  937557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937587 */     // MIs[1] Operand 1
     /*  937587 */     // No operand predicates
     /*  937587 */     // MIs[0] round
     /*  937587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937624 */     GIR_RootConstrainSelectedInstOperands,
     /*  937625 */     // GIR_Coverage, 16205,
     /*  937625 */     GIR_EraseRootFromParent_Done,
     /*  937626 */   // Label 14169: @937626
     /*  937626 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(937717), // Rule ID 16208 //
     /*  937631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  937648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937678 */     // MIs[1] Operand 1
     /*  937678 */     // No operand predicates
     /*  937678 */     // MIs[0] round
     /*  937678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937715 */     GIR_RootConstrainSelectedInstOperands,
     /*  937716 */     // GIR_Coverage, 16208,
     /*  937716 */     GIR_EraseRootFromParent_Done,
     /*  937717 */   // Label 14170: @937717
     /*  937717 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(937808), // Rule ID 16209 //
     /*  937722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  937739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937769 */     // MIs[1] Operand 1
     /*  937769 */     // No operand predicates
     /*  937769 */     // MIs[0] round
     /*  937769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937781 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937806 */     GIR_RootConstrainSelectedInstOperands,
     /*  937807 */     // GIR_Coverage, 16209,
     /*  937807 */     GIR_EraseRootFromParent_Done,
     /*  937808 */   // Label 14171: @937808
     /*  937808 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(937899), // Rule ID 16212 //
     /*  937813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  937824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  937827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  937830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937860 */     // MIs[1] Operand 1
     /*  937860 */     // No operand predicates
     /*  937860 */     // MIs[0] round
     /*  937860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937897 */     GIR_RootConstrainSelectedInstOperands,
     /*  937898 */     // GIR_Coverage, 16212,
     /*  937898 */     GIR_EraseRootFromParent_Done,
     /*  937899 */   // Label 14172: @937899
     /*  937899 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(937990), // Rule ID 16213 //
     /*  937904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  937915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  937918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  937921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937951 */     // MIs[1] Operand 1
     /*  937951 */     // No operand predicates
     /*  937951 */     // MIs[0] round
     /*  937951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937963 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937988 */     GIR_RootConstrainSelectedInstOperands,
     /*  937989 */     // GIR_Coverage, 16213,
     /*  937989 */     GIR_EraseRootFromParent_Done,
     /*  937990 */   // Label 14173: @937990
     /*  937990 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(938081), // Rule ID 16216 //
     /*  937995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  937998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  938012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938042 */     // MIs[1] Operand 1
     /*  938042 */     // No operand predicates
     /*  938042 */     // MIs[0] round
     /*  938042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938079 */     GIR_RootConstrainSelectedInstOperands,
     /*  938080 */     // GIR_Coverage, 16216,
     /*  938080 */     GIR_EraseRootFromParent_Done,
     /*  938081 */   // Label 14174: @938081
     /*  938081 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(938172), // Rule ID 16217 //
     /*  938086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  938103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938133 */     // MIs[1] Operand 1
     /*  938133 */     // No operand predicates
     /*  938133 */     // MIs[0] round
     /*  938133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  938145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938170 */     GIR_RootConstrainSelectedInstOperands,
     /*  938171 */     // GIR_Coverage, 16217,
     /*  938171 */     GIR_EraseRootFromParent_Done,
     /*  938172 */   // Label 14175: @938172
     /*  938172 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(938263), // Rule ID 16220 //
     /*  938177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938224 */     // MIs[1] Operand 1
     /*  938224 */     // No operand predicates
     /*  938224 */     // MIs[0] round
     /*  938224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  938239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938261 */     GIR_RootConstrainSelectedInstOperands,
     /*  938262 */     // GIR_Coverage, 16220,
     /*  938262 */     GIR_EraseRootFromParent_Done,
     /*  938263 */   // Label 14176: @938263
     /*  938263 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(938354), // Rule ID 16221 //
     /*  938268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938315 */     // MIs[1] Operand 1
     /*  938315 */     // No operand predicates
     /*  938315 */     // MIs[0] round
     /*  938315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938327 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  938327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  938330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938352 */     GIR_RootConstrainSelectedInstOperands,
     /*  938353 */     // GIR_Coverage, 16221,
     /*  938353 */     GIR_EraseRootFromParent_Done,
     /*  938354 */   // Label 14177: @938354
     /*  938354 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(938445), // Rule ID 16224 //
     /*  938359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  938370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  938373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  938376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938406 */     // MIs[1] Operand 1
     /*  938406 */     // No operand predicates
     /*  938406 */     // MIs[0] round
     /*  938406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938443 */     GIR_RootConstrainSelectedInstOperands,
     /*  938444 */     // GIR_Coverage, 16224,
     /*  938444 */     GIR_EraseRootFromParent_Done,
     /*  938445 */   // Label 14178: @938445
     /*  938445 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(938536), // Rule ID 16225 //
     /*  938450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  938461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  938464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  938467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938497 */     // MIs[1] Operand 1
     /*  938497 */     // No operand predicates
     /*  938497 */     // MIs[0] round
     /*  938497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  938509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938534 */     GIR_RootConstrainSelectedInstOperands,
     /*  938535 */     // GIR_Coverage, 16225,
     /*  938535 */     GIR_EraseRootFromParent_Done,
     /*  938536 */   // Label 14179: @938536
     /*  938536 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(938630), // Rule ID 16348 //
     /*  938541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  938552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  938555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  938558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938588 */     // MIs[1] Operand 1
     /*  938588 */     // No operand predicates
     /*  938588 */     // MIs[0] round
     /*  938588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938600 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  938603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938628 */     GIR_RootConstrainSelectedInstOperands,
     /*  938629 */     // GIR_Coverage, 16348,
     /*  938629 */     GIR_EraseRootFromParent_Done,
     /*  938630 */   // Label 14180: @938630
     /*  938630 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(938724), // Rule ID 16349 //
     /*  938635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  938646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  938649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  938652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938682 */     // MIs[1] Operand 1
     /*  938682 */     // No operand predicates
     /*  938682 */     // MIs[0] round
     /*  938682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938694 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  938697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938722 */     GIR_RootConstrainSelectedInstOperands,
     /*  938723 */     // GIR_Coverage, 16349,
     /*  938723 */     GIR_EraseRootFromParent_Done,
     /*  938724 */   // Label 14181: @938724
     /*  938724 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(938818), // Rule ID 16352 //
     /*  938729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  938740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  938743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938776 */     // MIs[1] Operand 1
     /*  938776 */     // No operand predicates
     /*  938776 */     // MIs[0] round
     /*  938776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938788 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  938791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938816 */     GIR_RootConstrainSelectedInstOperands,
     /*  938817 */     // GIR_Coverage, 16352,
     /*  938817 */     GIR_EraseRootFromParent_Done,
     /*  938818 */   // Label 14182: @938818
     /*  938818 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(938912), // Rule ID 16353 //
     /*  938823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  938834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  938837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938870 */     // MIs[1] Operand 1
     /*  938870 */     // No operand predicates
     /*  938870 */     // MIs[0] round
     /*  938870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938882 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  938882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  938885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938910 */     GIR_RootConstrainSelectedInstOperands,
     /*  938911 */     // GIR_Coverage, 16353,
     /*  938911 */     GIR_EraseRootFromParent_Done,
     /*  938912 */   // Label 14183: @938912
     /*  938912 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(939006), // Rule ID 16356 //
     /*  938917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  938925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  938928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  938931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  938934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938964 */     // MIs[1] Operand 1
     /*  938964 */     // No operand predicates
     /*  938964 */     // MIs[0] round
     /*  938964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938976 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  938976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  938979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939004 */     GIR_RootConstrainSelectedInstOperands,
     /*  939005 */     // GIR_Coverage, 16356,
     /*  939005 */     GIR_EraseRootFromParent_Done,
     /*  939006 */   // Label 14184: @939006
     /*  939006 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(939100), // Rule ID 16357 //
     /*  939011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  939022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  939025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939058 */     // MIs[1] Operand 1
     /*  939058 */     // No operand predicates
     /*  939058 */     // MIs[0] round
     /*  939058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939070 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  939073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939098 */     GIR_RootConstrainSelectedInstOperands,
     /*  939099 */     // GIR_Coverage, 16357,
     /*  939099 */     GIR_EraseRootFromParent_Done,
     /*  939100 */   // Label 14185: @939100
     /*  939100 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(939194), // Rule ID 16360 //
     /*  939105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  939119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939152 */     // MIs[1] Operand 1
     /*  939152 */     // No operand predicates
     /*  939152 */     // MIs[0] round
     /*  939152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  939167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939192 */     GIR_RootConstrainSelectedInstOperands,
     /*  939193 */     // GIR_Coverage, 16360,
     /*  939193 */     GIR_EraseRootFromParent_Done,
     /*  939194 */   // Label 14186: @939194
     /*  939194 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(939288), // Rule ID 16361 //
     /*  939199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  939213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939246 */     // MIs[1] Operand 1
     /*  939246 */     // No operand predicates
     /*  939246 */     // MIs[0] round
     /*  939246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939258 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  939261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939286 */     GIR_RootConstrainSelectedInstOperands,
     /*  939287 */     // GIR_Coverage, 16361,
     /*  939287 */     GIR_EraseRootFromParent_Done,
     /*  939288 */   // Label 14187: @939288
     /*  939288 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(939382), // Rule ID 16364 //
     /*  939293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  939304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  939307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  939310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939340 */     // MIs[1] Operand 1
     /*  939340 */     // No operand predicates
     /*  939340 */     // MIs[0] round
     /*  939340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  939355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939380 */     GIR_RootConstrainSelectedInstOperands,
     /*  939381 */     // GIR_Coverage, 16364,
     /*  939381 */     GIR_EraseRootFromParent_Done,
     /*  939382 */   // Label 14188: @939382
     /*  939382 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(939476), // Rule ID 16365 //
     /*  939387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  939398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  939401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  939404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939434 */     // MIs[1] Operand 1
     /*  939434 */     // No operand predicates
     /*  939434 */     // MIs[0] round
     /*  939434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939446 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  939449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939474 */     GIR_RootConstrainSelectedInstOperands,
     /*  939475 */     // GIR_Coverage, 16365,
     /*  939475 */     GIR_EraseRootFromParent_Done,
     /*  939476 */   // Label 14189: @939476
     /*  939476 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(939570), // Rule ID 16368 //
     /*  939481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  939492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  939495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  939498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939528 */     // MIs[1] Operand 1
     /*  939528 */     // No operand predicates
     /*  939528 */     // MIs[0] round
     /*  939528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939540 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  939543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939568 */     GIR_RootConstrainSelectedInstOperands,
     /*  939569 */     // GIR_Coverage, 16368,
     /*  939569 */     GIR_EraseRootFromParent_Done,
     /*  939570 */   // Label 14190: @939570
     /*  939570 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(939664), // Rule ID 16369 //
     /*  939575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  939586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  939589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  939592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939622 */     // MIs[1] Operand 1
     /*  939622 */     // No operand predicates
     /*  939622 */     // MIs[0] round
     /*  939622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939634 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  939637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939662 */     GIR_RootConstrainSelectedInstOperands,
     /*  939663 */     // GIR_Coverage, 16369,
     /*  939663 */     GIR_EraseRootFromParent_Done,
     /*  939664 */   // Label 14191: @939664
     /*  939664 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(939758), // Rule ID 16372 //
     /*  939669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  939680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  939683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939716 */     // MIs[1] Operand 1
     /*  939716 */     // No operand predicates
     /*  939716 */     // MIs[0] round
     /*  939716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  939731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939756 */     GIR_RootConstrainSelectedInstOperands,
     /*  939757 */     // GIR_Coverage, 16372,
     /*  939757 */     GIR_EraseRootFromParent_Done,
     /*  939758 */   // Label 14192: @939758
     /*  939758 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(939852), // Rule ID 16373 //
     /*  939763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  939774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  939777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939810 */     // MIs[1] Operand 1
     /*  939810 */     // No operand predicates
     /*  939810 */     // MIs[0] round
     /*  939810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  939822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  939825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939850 */     GIR_RootConstrainSelectedInstOperands,
     /*  939851 */     // GIR_Coverage, 16373,
     /*  939851 */     GIR_EraseRootFromParent_Done,
     /*  939852 */   // Label 14193: @939852
     /*  939852 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(939946), // Rule ID 16376 //
     /*  939857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  939868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  939871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939904 */     // MIs[1] Operand 1
     /*  939904 */     // No operand predicates
     /*  939904 */     // MIs[0] round
     /*  939904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  939916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  939919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939944 */     GIR_RootConstrainSelectedInstOperands,
     /*  939945 */     // GIR_Coverage, 16376,
     /*  939945 */     GIR_EraseRootFromParent_Done,
     /*  939946 */   // Label 14194: @939946
     /*  939946 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(940040), // Rule ID 16377 //
     /*  939951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  939962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  939965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  939968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939998 */     // MIs[1] Operand 1
     /*  939998 */     // No operand predicates
     /*  939998 */     // MIs[0] round
     /*  939998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940038 */     GIR_RootConstrainSelectedInstOperands,
     /*  940039 */     // GIR_Coverage, 16377,
     /*  940039 */     GIR_EraseRootFromParent_Done,
     /*  940040 */   // Label 14195: @940040
     /*  940040 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(940134), // Rule ID 16380 //
     /*  940045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  940056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  940059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940092 */     // MIs[1] Operand 1
     /*  940092 */     // No operand predicates
     /*  940092 */     // MIs[0] round
     /*  940092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940132 */     GIR_RootConstrainSelectedInstOperands,
     /*  940133 */     // GIR_Coverage, 16380,
     /*  940133 */     GIR_EraseRootFromParent_Done,
     /*  940134 */   // Label 14196: @940134
     /*  940134 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(940228), // Rule ID 16381 //
     /*  940139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  940150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  940153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940186 */     // MIs[1] Operand 1
     /*  940186 */     // No operand predicates
     /*  940186 */     // MIs[0] round
     /*  940186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940226 */     GIR_RootConstrainSelectedInstOperands,
     /*  940227 */     // GIR_Coverage, 16381,
     /*  940227 */     GIR_EraseRootFromParent_Done,
     /*  940228 */   // Label 14197: @940228
     /*  940228 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(940322), // Rule ID 16384 //
     /*  940233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  940244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  940247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940280 */     // MIs[1] Operand 1
     /*  940280 */     // No operand predicates
     /*  940280 */     // MIs[0] round
     /*  940280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  940295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940320 */     GIR_RootConstrainSelectedInstOperands,
     /*  940321 */     // GIR_Coverage, 16384,
     /*  940321 */     GIR_EraseRootFromParent_Done,
     /*  940322 */   // Label 14198: @940322
     /*  940322 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(940416), // Rule ID 16385 //
     /*  940327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  940338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  940341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940374 */     // MIs[1] Operand 1
     /*  940374 */     // No operand predicates
     /*  940374 */     // MIs[0] round
     /*  940374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  940389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940414 */     GIR_RootConstrainSelectedInstOperands,
     /*  940415 */     // GIR_Coverage, 16385,
     /*  940415 */     GIR_EraseRootFromParent_Done,
     /*  940416 */   // Label 14199: @940416
     /*  940416 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(940510), // Rule ID 16388 //
     /*  940421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  940432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  940435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940468 */     // MIs[1] Operand 1
     /*  940468 */     // No operand predicates
     /*  940468 */     // MIs[0] round
     /*  940468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  940483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940508 */     GIR_RootConstrainSelectedInstOperands,
     /*  940509 */     // GIR_Coverage, 16388,
     /*  940509 */     GIR_EraseRootFromParent_Done,
     /*  940510 */   // Label 14200: @940510
     /*  940510 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(940604), // Rule ID 16389 //
     /*  940515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  940526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  940529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940562 */     // MIs[1] Operand 1
     /*  940562 */     // No operand predicates
     /*  940562 */     // MIs[0] round
     /*  940562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  940577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940602 */     GIR_RootConstrainSelectedInstOperands,
     /*  940603 */     // GIR_Coverage, 16389,
     /*  940603 */     GIR_EraseRootFromParent_Done,
     /*  940604 */   // Label 14201: @940604
     /*  940604 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(940698), // Rule ID 16392 //
     /*  940609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940656 */     // MIs[1] Operand 1
     /*  940656 */     // No operand predicates
     /*  940656 */     // MIs[0] round
     /*  940656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  940668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940696 */     GIR_RootConstrainSelectedInstOperands,
     /*  940697 */     // GIR_Coverage, 16392,
     /*  940697 */     GIR_EraseRootFromParent_Done,
     /*  940698 */   // Label 14202: @940698
     /*  940698 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(940792), // Rule ID 16393 //
     /*  940703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940750 */     // MIs[1] Operand 1
     /*  940750 */     // No operand predicates
     /*  940750 */     // MIs[0] round
     /*  940750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  940762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940790 */     GIR_RootConstrainSelectedInstOperands,
     /*  940791 */     // GIR_Coverage, 16393,
     /*  940791 */     GIR_EraseRootFromParent_Done,
     /*  940792 */   // Label 14203: @940792
     /*  940792 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(940886), // Rule ID 16396 //
     /*  940797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940844 */     // MIs[1] Operand 1
     /*  940844 */     // No operand predicates
     /*  940844 */     // MIs[0] round
     /*  940844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  940856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940884 */     GIR_RootConstrainSelectedInstOperands,
     /*  940885 */     // GIR_Coverage, 16396,
     /*  940885 */     GIR_EraseRootFromParent_Done,
     /*  940886 */   // Label 14204: @940886
     /*  940886 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(940980), // Rule ID 16397 //
     /*  940891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940938 */     // MIs[1] Operand 1
     /*  940938 */     // No operand predicates
     /*  940938 */     // MIs[0] round
     /*  940938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  940950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940978 */     GIR_RootConstrainSelectedInstOperands,
     /*  940979 */     // GIR_Coverage, 16397,
     /*  940979 */     GIR_EraseRootFromParent_Done,
     /*  940980 */   // Label 14205: @940980
     /*  940980 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(941074), // Rule ID 16400 //
     /*  940985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941032 */     // MIs[1] Operand 1
     /*  941032 */     // No operand predicates
     /*  941032 */     // MIs[0] round
     /*  941032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  941047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941072 */     GIR_RootConstrainSelectedInstOperands,
     /*  941073 */     // GIR_Coverage, 16400,
     /*  941073 */     GIR_EraseRootFromParent_Done,
     /*  941074 */   // Label 14206: @941074
     /*  941074 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(941168), // Rule ID 16401 //
     /*  941079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941126 */     // MIs[1] Operand 1
     /*  941126 */     // No operand predicates
     /*  941126 */     // MIs[0] round
     /*  941126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  941141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941166 */     GIR_RootConstrainSelectedInstOperands,
     /*  941167 */     // GIR_Coverage, 16401,
     /*  941167 */     GIR_EraseRootFromParent_Done,
     /*  941168 */   // Label 14207: @941168
     /*  941168 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(941262), // Rule ID 16404 //
     /*  941173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941220 */     // MIs[1] Operand 1
     /*  941220 */     // No operand predicates
     /*  941220 */     // MIs[0] round
     /*  941220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  941235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941260 */     GIR_RootConstrainSelectedInstOperands,
     /*  941261 */     // GIR_Coverage, 16404,
     /*  941261 */     GIR_EraseRootFromParent_Done,
     /*  941262 */   // Label 14208: @941262
     /*  941262 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(941356), // Rule ID 16405 //
     /*  941267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941314 */     // MIs[1] Operand 1
     /*  941314 */     // No operand predicates
     /*  941314 */     // MIs[0] round
     /*  941314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  941329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941354 */     GIR_RootConstrainSelectedInstOperands,
     /*  941355 */     // GIR_Coverage, 16405,
     /*  941355 */     GIR_EraseRootFromParent_Done,
     /*  941356 */   // Label 14209: @941356
     /*  941356 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(941450), // Rule ID 16528 //
     /*  941361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  941375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  941378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941408 */     // MIs[1] Operand 1
     /*  941408 */     // No operand predicates
     /*  941408 */     // MIs[0] round
     /*  941408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  941420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  941423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941448 */     GIR_RootConstrainSelectedInstOperands,
     /*  941449 */     // GIR_Coverage, 16528,
     /*  941449 */     GIR_EraseRootFromParent_Done,
     /*  941450 */   // Label 14210: @941450
     /*  941450 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(941544), // Rule ID 16529 //
     /*  941455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  941469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  941472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941502 */     // MIs[1] Operand 1
     /*  941502 */     // No operand predicates
     /*  941502 */     // MIs[0] round
     /*  941502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941514 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  941514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  941517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941542 */     GIR_RootConstrainSelectedInstOperands,
     /*  941543 */     // GIR_Coverage, 16529,
     /*  941543 */     GIR_EraseRootFromParent_Done,
     /*  941544 */   // Label 14211: @941544
     /*  941544 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(941638), // Rule ID 16532 //
     /*  941549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  941563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  941566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941596 */     // MIs[1] Operand 1
     /*  941596 */     // No operand predicates
     /*  941596 */     // MIs[0] round
     /*  941596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  941608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  941611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941636 */     GIR_RootConstrainSelectedInstOperands,
     /*  941637 */     // GIR_Coverage, 16532,
     /*  941637 */     GIR_EraseRootFromParent_Done,
     /*  941638 */   // Label 14212: @941638
     /*  941638 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(941732), // Rule ID 16533 //
     /*  941643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  941657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  941660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941690 */     // MIs[1] Operand 1
     /*  941690 */     // No operand predicates
     /*  941690 */     // MIs[0] round
     /*  941690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  941702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  941705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941730 */     GIR_RootConstrainSelectedInstOperands,
     /*  941731 */     // GIR_Coverage, 16533,
     /*  941731 */     GIR_EraseRootFromParent_Done,
     /*  941732 */   // Label 14213: @941732
     /*  941732 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(941826), // Rule ID 16536 //
     /*  941737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  941748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  941751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  941754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941784 */     // MIs[1] Operand 1
     /*  941784 */     // No operand predicates
     /*  941784 */     // MIs[0] round
     /*  941784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  941796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  941799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941824 */     GIR_RootConstrainSelectedInstOperands,
     /*  941825 */     // GIR_Coverage, 16536,
     /*  941825 */     GIR_EraseRootFromParent_Done,
     /*  941826 */   // Label 14214: @941826
     /*  941826 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(941920), // Rule ID 16537 //
     /*  941831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  941842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  941845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  941848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941878 */     // MIs[1] Operand 1
     /*  941878 */     // No operand predicates
     /*  941878 */     // MIs[0] round
     /*  941878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  941890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  941893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941918 */     GIR_RootConstrainSelectedInstOperands,
     /*  941919 */     // GIR_Coverage, 16537,
     /*  941919 */     GIR_EraseRootFromParent_Done,
     /*  941920 */   // Label 14215: @941920
     /*  941920 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(942014), // Rule ID 16540 //
     /*  941925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  941933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  941936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  941939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  941942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941972 */     // MIs[1] Operand 1
     /*  941972 */     // No operand predicates
     /*  941972 */     // MIs[0] round
     /*  941972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  941984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  941987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942012 */     GIR_RootConstrainSelectedInstOperands,
     /*  942013 */     // GIR_Coverage, 16540,
     /*  942013 */     GIR_EraseRootFromParent_Done,
     /*  942014 */   // Label 14216: @942014
     /*  942014 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(942108), // Rule ID 16541 //
     /*  942019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  942030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  942033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942066 */     // MIs[1] Operand 1
     /*  942066 */     // No operand predicates
     /*  942066 */     // MIs[0] round
     /*  942066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  942081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942106 */     GIR_RootConstrainSelectedInstOperands,
     /*  942107 */     // GIR_Coverage, 16541,
     /*  942107 */     GIR_EraseRootFromParent_Done,
     /*  942108 */   // Label 14217: @942108
     /*  942108 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(942202), // Rule ID 16544 //
     /*  942113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942160 */     // MIs[1] Operand 1
     /*  942160 */     // No operand predicates
     /*  942160 */     // MIs[0] round
     /*  942160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  942175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942200 */     GIR_RootConstrainSelectedInstOperands,
     /*  942201 */     // GIR_Coverage, 16544,
     /*  942201 */     GIR_EraseRootFromParent_Done,
     /*  942202 */   // Label 14218: @942202
     /*  942202 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(942296), // Rule ID 16545 //
     /*  942207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942254 */     // MIs[1] Operand 1
     /*  942254 */     // No operand predicates
     /*  942254 */     // MIs[0] round
     /*  942254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  942269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942294 */     GIR_RootConstrainSelectedInstOperands,
     /*  942295 */     // GIR_Coverage, 16545,
     /*  942295 */     GIR_EraseRootFromParent_Done,
     /*  942296 */   // Label 14219: @942296
     /*  942296 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(942390), // Rule ID 16548 //
     /*  942301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  942312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  942315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  942318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942348 */     // MIs[1] Operand 1
     /*  942348 */     // No operand predicates
     /*  942348 */     // MIs[0] round
     /*  942348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942360 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  942363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942388 */     GIR_RootConstrainSelectedInstOperands,
     /*  942389 */     // GIR_Coverage, 16548,
     /*  942389 */     GIR_EraseRootFromParent_Done,
     /*  942390 */   // Label 14220: @942390
     /*  942390 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(942484), // Rule ID 16549 //
     /*  942395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  942406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  942409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  942412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942442 */     // MIs[1] Operand 1
     /*  942442 */     // No operand predicates
     /*  942442 */     // MIs[0] round
     /*  942442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942454 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  942457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942482 */     GIR_RootConstrainSelectedInstOperands,
     /*  942483 */     // GIR_Coverage, 16549,
     /*  942483 */     GIR_EraseRootFromParent_Done,
     /*  942484 */   // Label 14221: @942484
     /*  942484 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(942578), // Rule ID 16552 //
     /*  942489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  942503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942536 */     // MIs[1] Operand 1
     /*  942536 */     // No operand predicates
     /*  942536 */     // MIs[0] round
     /*  942536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  942548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  942551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942576 */     GIR_RootConstrainSelectedInstOperands,
     /*  942577 */     // GIR_Coverage, 16552,
     /*  942577 */     GIR_EraseRootFromParent_Done,
     /*  942578 */   // Label 14222: @942578
     /*  942578 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(942672), // Rule ID 16553 //
     /*  942583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  942597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942630 */     // MIs[1] Operand 1
     /*  942630 */     // No operand predicates
     /*  942630 */     // MIs[0] round
     /*  942630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  942642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  942645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942670 */     GIR_RootConstrainSelectedInstOperands,
     /*  942671 */     // GIR_Coverage, 16553,
     /*  942671 */     GIR_EraseRootFromParent_Done,
     /*  942672 */   // Label 14223: @942672
     /*  942672 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(942766), // Rule ID 16556 //
     /*  942677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  942688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  942691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  942694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942724 */     // MIs[1] Operand 1
     /*  942724 */     // No operand predicates
     /*  942724 */     // MIs[0] round
     /*  942724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  942736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  942739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942764 */     GIR_RootConstrainSelectedInstOperands,
     /*  942765 */     // GIR_Coverage, 16556,
     /*  942765 */     GIR_EraseRootFromParent_Done,
     /*  942766 */   // Label 14224: @942766
     /*  942766 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(942860), // Rule ID 16557 //
     /*  942771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  942782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  942785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  942788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942818 */     // MIs[1] Operand 1
     /*  942818 */     // No operand predicates
     /*  942818 */     // MIs[0] round
     /*  942818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  942830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  942833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942858 */     GIR_RootConstrainSelectedInstOperands,
     /*  942859 */     // GIR_Coverage, 16557,
     /*  942859 */     GIR_EraseRootFromParent_Done,
     /*  942860 */   // Label 14225: @942860
     /*  942860 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(942954), // Rule ID 16560 //
     /*  942865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  942876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  942879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  942882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942912 */     // MIs[1] Operand 1
     /*  942912 */     // No operand predicates
     /*  942912 */     // MIs[0] round
     /*  942912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  942924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  942927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942952 */     GIR_RootConstrainSelectedInstOperands,
     /*  942953 */     // GIR_Coverage, 16560,
     /*  942953 */     GIR_EraseRootFromParent_Done,
     /*  942954 */   // Label 14226: @942954
     /*  942954 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(943048), // Rule ID 16561 //
     /*  942959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  942970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  942973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  942976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943006 */     // MIs[1] Operand 1
     /*  943006 */     // No operand predicates
     /*  943006 */     // MIs[0] round
     /*  943006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943046 */     GIR_RootConstrainSelectedInstOperands,
     /*  943047 */     // GIR_Coverage, 16561,
     /*  943047 */     GIR_EraseRootFromParent_Done,
     /*  943048 */   // Label 14227: @943048
     /*  943048 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(943142), // Rule ID 16564 //
     /*  943053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  943064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  943067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943100 */     // MIs[1] Operand 1
     /*  943100 */     // No operand predicates
     /*  943100 */     // MIs[0] round
     /*  943100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943140 */     GIR_RootConstrainSelectedInstOperands,
     /*  943141 */     // GIR_Coverage, 16564,
     /*  943141 */     GIR_EraseRootFromParent_Done,
     /*  943142 */   // Label 14228: @943142
     /*  943142 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(943236), // Rule ID 16565 //
     /*  943147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  943158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  943161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943194 */     // MIs[1] Operand 1
     /*  943194 */     // No operand predicates
     /*  943194 */     // MIs[0] round
     /*  943194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943206 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943234 */     GIR_RootConstrainSelectedInstOperands,
     /*  943235 */     // GIR_Coverage, 16565,
     /*  943235 */     GIR_EraseRootFromParent_Done,
     /*  943236 */   // Label 14229: @943236
     /*  943236 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(943330), // Rule ID 16568 //
     /*  943241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  943252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  943255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  943258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943288 */     // MIs[1] Operand 1
     /*  943288 */     // No operand predicates
     /*  943288 */     // MIs[0] round
     /*  943288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  943303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943328 */     GIR_RootConstrainSelectedInstOperands,
     /*  943329 */     // GIR_Coverage, 16568,
     /*  943329 */     GIR_EraseRootFromParent_Done,
     /*  943330 */   // Label 14230: @943330
     /*  943330 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(943424), // Rule ID 16569 //
     /*  943335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  943346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  943349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  943352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943382 */     // MIs[1] Operand 1
     /*  943382 */     // No operand predicates
     /*  943382 */     // MIs[0] round
     /*  943382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  943397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943422 */     GIR_RootConstrainSelectedInstOperands,
     /*  943423 */     // GIR_Coverage, 16569,
     /*  943423 */     GIR_EraseRootFromParent_Done,
     /*  943424 */   // Label 14231: @943424
     /*  943424 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(943518), // Rule ID 16572 //
     /*  943429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  943443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  943446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943476 */     // MIs[1] Operand 1
     /*  943476 */     // No operand predicates
     /*  943476 */     // MIs[0] round
     /*  943476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  943488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  943491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943516 */     GIR_RootConstrainSelectedInstOperands,
     /*  943517 */     // GIR_Coverage, 16572,
     /*  943517 */     GIR_EraseRootFromParent_Done,
     /*  943518 */   // Label 14232: @943518
     /*  943518 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(943612), // Rule ID 16573 //
     /*  943523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  943537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  943540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943570 */     // MIs[1] Operand 1
     /*  943570 */     // No operand predicates
     /*  943570 */     // MIs[0] round
     /*  943570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  943582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  943585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943610 */     GIR_RootConstrainSelectedInstOperands,
     /*  943611 */     // GIR_Coverage, 16573,
     /*  943611 */     GIR_EraseRootFromParent_Done,
     /*  943612 */   // Label 14233: @943612
     /*  943612 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(943706), // Rule ID 16576 //
     /*  943617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  943628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  943631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  943634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943664 */     // MIs[1] Operand 1
     /*  943664 */     // No operand predicates
     /*  943664 */     // MIs[0] round
     /*  943664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  943676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943704 */     GIR_RootConstrainSelectedInstOperands,
     /*  943705 */     // GIR_Coverage, 16576,
     /*  943705 */     GIR_EraseRootFromParent_Done,
     /*  943706 */   // Label 14234: @943706
     /*  943706 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(943800), // Rule ID 16577 //
     /*  943711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  943722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  943725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  943728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943758 */     // MIs[1] Operand 1
     /*  943758 */     // No operand predicates
     /*  943758 */     // MIs[0] round
     /*  943758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  943770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943798 */     GIR_RootConstrainSelectedInstOperands,
     /*  943799 */     // GIR_Coverage, 16577,
     /*  943799 */     GIR_EraseRootFromParent_Done,
     /*  943800 */   // Label 14235: @943800
     /*  943800 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(943894), // Rule ID 16580 //
     /*  943805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  943819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  943822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943852 */     // MIs[1] Operand 1
     /*  943852 */     // No operand predicates
     /*  943852 */     // MIs[0] round
     /*  943852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  943864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943892 */     GIR_RootConstrainSelectedInstOperands,
     /*  943893 */     // GIR_Coverage, 16580,
     /*  943893 */     GIR_EraseRootFromParent_Done,
     /*  943894 */   // Label 14236: @943894
     /*  943894 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(943988), // Rule ID 16581 //
     /*  943899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  943913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  943916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943946 */     // MIs[1] Operand 1
     /*  943946 */     // No operand predicates
     /*  943946 */     // MIs[0] round
     /*  943946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  943958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943986 */     GIR_RootConstrainSelectedInstOperands,
     /*  943987 */     // GIR_Coverage, 16581,
     /*  943987 */     GIR_EraseRootFromParent_Done,
     /*  943988 */   // Label 14237: @943988
     /*  943988 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(944082), // Rule ID 16584 //
     /*  943993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  944010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  944013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944040 */     // MIs[1] Operand 1
     /*  944040 */     // No operand predicates
     /*  944040 */     // MIs[0] round
     /*  944040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  944052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  944055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944080 */     GIR_RootConstrainSelectedInstOperands,
     /*  944081 */     // GIR_Coverage, 16584,
     /*  944081 */     GIR_EraseRootFromParent_Done,
     /*  944082 */   // Label 14238: @944082
     /*  944082 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(944176), // Rule ID 16585 //
     /*  944087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  944090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  944104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944134 */     // MIs[1] Operand 1
     /*  944134 */     // No operand predicates
     /*  944134 */     // MIs[0] round
     /*  944134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  944146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  944149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944174 */     GIR_RootConstrainSelectedInstOperands,
     /*  944175 */     // GIR_Coverage, 16585,
     /*  944175 */     GIR_EraseRootFromParent_Done,
     /*  944176 */   // Label 14239: @944176
     /*  944176 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(944260), // Rule ID 2652 //
     /*  944181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944224 */     // MIs[0] round
     /*  944224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  944239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944258 */     GIR_RootConstrainSelectedInstOperands,
     /*  944259 */     // GIR_Coverage, 2652,
     /*  944259 */     GIR_EraseRootFromParent_Done,
     /*  944260 */   // Label 14240: @944260
     /*  944260 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(944344), // Rule ID 2653 //
     /*  944265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944308 */     // MIs[0] round
     /*  944308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944320 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  944323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944342 */     GIR_RootConstrainSelectedInstOperands,
     /*  944343 */     // GIR_Coverage, 2653,
     /*  944343 */     GIR_EraseRootFromParent_Done,
     /*  944344 */   // Label 14241: @944344
     /*  944344 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(944428), // Rule ID 17032 //
     /*  944349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944392 */     // MIs[0] round
     /*  944392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944404 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  944407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944426 */     GIR_RootConstrainSelectedInstOperands,
     /*  944427 */     // GIR_Coverage, 17032,
     /*  944427 */     GIR_EraseRootFromParent_Done,
     /*  944428 */   // Label 14242: @944428
     /*  944428 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(944512), // Rule ID 17033 //
     /*  944433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944476 */     // MIs[0] round
     /*  944476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  944491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944510 */     GIR_RootConstrainSelectedInstOperands,
     /*  944511 */     // GIR_Coverage, 17033,
     /*  944511 */     GIR_EraseRootFromParent_Done,
     /*  944512 */   // Label 14243: @944512
     /*  944512 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(944596), // Rule ID 17042 //
     /*  944517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  944534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944560 */     // MIs[0] round
     /*  944560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944572 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  944575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944594 */     GIR_RootConstrainSelectedInstOperands,
     /*  944595 */     // GIR_Coverage, 17042,
     /*  944595 */     GIR_EraseRootFromParent_Done,
     /*  944596 */   // Label 14244: @944596
     /*  944596 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(944680), // Rule ID 17043 //
     /*  944601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  944618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944644 */     // MIs[0] round
     /*  944644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944656 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  944659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944678 */     GIR_RootConstrainSelectedInstOperands,
     /*  944679 */     // GIR_Coverage, 17043,
     /*  944679 */     GIR_EraseRootFromParent_Done,
     /*  944680 */   // Label 14245: @944680
     /*  944680 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(944764), // Rule ID 17052 //
     /*  944685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  944705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944728 */     // MIs[0] round
     /*  944728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944740 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  944743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944762 */     GIR_RootConstrainSelectedInstOperands,
     /*  944763 */     // GIR_Coverage, 17052,
     /*  944763 */     GIR_EraseRootFromParent_Done,
     /*  944764 */   // Label 14246: @944764
     /*  944764 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(944848), // Rule ID 17053 //
     /*  944769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  944789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944812 */     // MIs[0] round
     /*  944812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944824 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  944827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944846 */     GIR_RootConstrainSelectedInstOperands,
     /*  944847 */     // GIR_Coverage, 17053,
     /*  944847 */     GIR_EraseRootFromParent_Done,
     /*  944848 */   // Label 14247: @944848
     /*  944848 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(944932), // Rule ID 17062 //
     /*  944853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  944867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  944873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944896 */     // MIs[0] round
     /*  944896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944908 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  944911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944930 */     GIR_RootConstrainSelectedInstOperands,
     /*  944931 */     // GIR_Coverage, 17062,
     /*  944931 */     GIR_EraseRootFromParent_Done,
     /*  944932 */   // Label 14248: @944932
     /*  944932 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(945016), // Rule ID 17063 //
     /*  944937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  944951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  944957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944980 */     // MIs[0] round
     /*  944980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944992 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  944992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  944995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945014 */     GIR_RootConstrainSelectedInstOperands,
     /*  945015 */     // GIR_Coverage, 17063,
     /*  945015 */     GIR_EraseRootFromParent_Done,
     /*  945016 */   // Label 14249: @945016
     /*  945016 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(945100), // Rule ID 17072 //
     /*  945021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945064 */     // MIs[0] round
     /*  945064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945076 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  945079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945098 */     GIR_RootConstrainSelectedInstOperands,
     /*  945099 */     // GIR_Coverage, 17072,
     /*  945099 */     GIR_EraseRootFromParent_Done,
     /*  945100 */   // Label 14250: @945100
     /*  945100 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(945184), // Rule ID 17073 //
     /*  945105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945148 */     // MIs[0] round
     /*  945148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945160 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  945163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945182 */     GIR_RootConstrainSelectedInstOperands,
     /*  945183 */     // GIR_Coverage, 17073,
     /*  945183 */     GIR_EraseRootFromParent_Done,
     /*  945184 */   // Label 14251: @945184
     /*  945184 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(945268), // Rule ID 17082 //
     /*  945189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945232 */     // MIs[0] round
     /*  945232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945244 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  945247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945266 */     GIR_RootConstrainSelectedInstOperands,
     /*  945267 */     // GIR_Coverage, 17082,
     /*  945267 */     GIR_EraseRootFromParent_Done,
     /*  945268 */   // Label 14252: @945268
     /*  945268 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(945352), // Rule ID 17083 //
     /*  945273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945316 */     // MIs[0] round
     /*  945316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  945331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945350 */     GIR_RootConstrainSelectedInstOperands,
     /*  945351 */     // GIR_Coverage, 17083,
     /*  945351 */     GIR_EraseRootFromParent_Done,
     /*  945352 */   // Label 14253: @945352
     /*  945352 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(945436), // Rule ID 17092 //
     /*  945357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  945371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  945377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945400 */     // MIs[0] round
     /*  945400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945412 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  945415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945434 */     GIR_RootConstrainSelectedInstOperands,
     /*  945435 */     // GIR_Coverage, 17092,
     /*  945435 */     GIR_EraseRootFromParent_Done,
     /*  945436 */   // Label 14254: @945436
     /*  945436 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(945520), // Rule ID 17093 //
     /*  945441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  945455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  945461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945484 */     // MIs[0] round
     /*  945484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  945499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945518 */     GIR_RootConstrainSelectedInstOperands,
     /*  945519 */     // GIR_Coverage, 17093,
     /*  945519 */     GIR_EraseRootFromParent_Done,
     /*  945520 */   // Label 14255: @945520
     /*  945520 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(945604), // Rule ID 17102 //
     /*  945525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  945539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  945542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  945545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945568 */     // MIs[0] round
     /*  945568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  945583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945602 */     GIR_RootConstrainSelectedInstOperands,
     /*  945603 */     // GIR_Coverage, 17102,
     /*  945603 */     GIR_EraseRootFromParent_Done,
     /*  945604 */   // Label 14256: @945604
     /*  945604 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(945688), // Rule ID 17103 //
     /*  945609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  945623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  945626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  945629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945652 */     // MIs[0] round
     /*  945652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945664 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  945667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945686 */     GIR_RootConstrainSelectedInstOperands,
     /*  945687 */     // GIR_Coverage, 17103,
     /*  945687 */     GIR_EraseRootFromParent_Done,
     /*  945688 */   // Label 14257: @945688
     /*  945688 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(945772), // Rule ID 17148 //
     /*  945693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  945701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  945707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  945713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945736 */     // MIs[0] round
     /*  945736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  945751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945770 */     GIR_RootConstrainSelectedInstOperands,
     /*  945771 */     // GIR_Coverage, 17148,
     /*  945771 */     GIR_EraseRootFromParent_Done,
     /*  945772 */   // Label 14258: @945772
     /*  945772 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(945856), // Rule ID 17149 //
     /*  945777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  945785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  945791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  945797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945820 */     // MIs[0] round
     /*  945820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945832 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  945835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945854 */     GIR_RootConstrainSelectedInstOperands,
     /*  945855 */     // GIR_Coverage, 17149,
     /*  945855 */     GIR_EraseRootFromParent_Done,
     /*  945856 */   // Label 14259: @945856
     /*  945856 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(945940), // Rule ID 17158 //
     /*  945861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  945869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  945875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945904 */     // MIs[0] round
     /*  945904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  945919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945938 */     GIR_RootConstrainSelectedInstOperands,
     /*  945939 */     // GIR_Coverage, 17158,
     /*  945939 */     GIR_EraseRootFromParent_Done,
     /*  945940 */   // Label 14260: @945940
     /*  945940 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(946024), // Rule ID 17159 //
     /*  945945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  945953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  945959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945988 */     // MIs[0] round
     /*  945988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  946003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946022 */     GIR_RootConstrainSelectedInstOperands,
     /*  946023 */     // GIR_Coverage, 17159,
     /*  946023 */     GIR_EraseRootFromParent_Done,
     /*  946024 */   // Label 14261: @946024
     /*  946024 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(946108), // Rule ID 17168 //
     /*  946029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946072 */     // MIs[0] round
     /*  946072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946084 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  946087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946106 */     GIR_RootConstrainSelectedInstOperands,
     /*  946107 */     // GIR_Coverage, 17168,
     /*  946107 */     GIR_EraseRootFromParent_Done,
     /*  946108 */   // Label 14262: @946108
     /*  946108 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(946192), // Rule ID 17169 //
     /*  946113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946156 */     // MIs[0] round
     /*  946156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946168 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  946171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946190 */     GIR_RootConstrainSelectedInstOperands,
     /*  946191 */     // GIR_Coverage, 17169,
     /*  946191 */     GIR_EraseRootFromParent_Done,
     /*  946192 */   // Label 14263: @946192
     /*  946192 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(946276), // Rule ID 17178 //
     /*  946197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946240 */     // MIs[0] round
     /*  946240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946252 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  946255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946274 */     GIR_RootConstrainSelectedInstOperands,
     /*  946275 */     // GIR_Coverage, 17178,
     /*  946275 */     GIR_EraseRootFromParent_Done,
     /*  946276 */   // Label 14264: @946276
     /*  946276 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(946360), // Rule ID 17179 //
     /*  946281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946324 */     // MIs[0] round
     /*  946324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946336 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  946339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946358 */     GIR_RootConstrainSelectedInstOperands,
     /*  946359 */     // GIR_Coverage, 17179,
     /*  946359 */     GIR_EraseRootFromParent_Done,
     /*  946360 */   // Label 14265: @946360
     /*  946360 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(946444), // Rule ID 17188 //
     /*  946365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  946376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  946379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  946382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  946385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946408 */     // MIs[0] round
     /*  946408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946420 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  946423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946442 */     GIR_RootConstrainSelectedInstOperands,
     /*  946443 */     // GIR_Coverage, 17188,
     /*  946443 */     GIR_EraseRootFromParent_Done,
     /*  946444 */   // Label 14266: @946444
     /*  946444 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(946528), // Rule ID 17189 //
     /*  946449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  946460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  946463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  946466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  946469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946492 */     // MIs[0] round
     /*  946492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946504 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  946507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946526 */     GIR_RootConstrainSelectedInstOperands,
     /*  946527 */     // GIR_Coverage, 17189,
     /*  946527 */     GIR_EraseRootFromParent_Done,
     /*  946528 */   // Label 14267: @946528
     /*  946528 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(946612), // Rule ID 17198 //
     /*  946533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  946536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  946547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  946553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946576 */     // MIs[0] round
     /*  946576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  946588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  946591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946610 */     GIR_RootConstrainSelectedInstOperands,
     /*  946611 */     // GIR_Coverage, 17198,
     /*  946611 */     GIR_EraseRootFromParent_Done,
     /*  946612 */   // Label 14268: @946612
     /*  946612 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(946696), // Rule ID 17199 //
     /*  946617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  946620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  946628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  946631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  946634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  946637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946660 */     // MIs[0] round
     /*  946660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946672 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  946672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  946675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946694 */     GIR_RootConstrainSelectedInstOperands,
     /*  946695 */     // GIR_Coverage, 17199,
     /*  946695 */     GIR_EraseRootFromParent_Done,
     /*  946696 */   // Label 14269: @946696
     /*  946696 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(946780), // Rule ID 17208 //
     /*  946701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  946704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  946712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  946715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  946718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946744 */     // MIs[0] round
     /*  946744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946756 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  946756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  946759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946778 */     GIR_RootConstrainSelectedInstOperands,
     /*  946779 */     // GIR_Coverage, 17208,
     /*  946779 */     GIR_EraseRootFromParent_Done,
     /*  946780 */   // Label 14270: @946780
     /*  946780 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(946864), // Rule ID 17209 //
     /*  946785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  946788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  946796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  946799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  946802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  946805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946828 */     // MIs[0] round
     /*  946828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946840 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  946840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  946843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946862 */     GIR_RootConstrainSelectedInstOperands,
     /*  946863 */     // GIR_Coverage, 17209,
     /*  946863 */     GIR_EraseRootFromParent_Done,
     /*  946864 */   // Label 14271: @946864
     /*  946864 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(946948), // Rule ID 17218 //
     /*  946869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  946872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  946880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  946883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  946886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  946889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946912 */     // MIs[0] round
     /*  946912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946924 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  946924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  946927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946946 */     GIR_RootConstrainSelectedInstOperands,
     /*  946947 */     // GIR_Coverage, 17218,
     /*  946947 */     GIR_EraseRootFromParent_Done,
     /*  946948 */   // Label 14272: @946948
     /*  946948 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(947032), // Rule ID 17219 //
     /*  946953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  946956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  946964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  946967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  946970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  946973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946996 */     // MIs[0] round
     /*  946996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  947011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947030 */     GIR_RootConstrainSelectedInstOperands,
     /*  947031 */     // GIR_Coverage, 17219,
     /*  947031 */     GIR_EraseRootFromParent_Done,
     /*  947032 */   // Label 14273: @947032
     /*  947032 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(947116), // Rule ID 17228 //
     /*  947037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  947040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  947057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947080 */     // MIs[0] round
     /*  947080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947092 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  947092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  947095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947114 */     GIR_RootConstrainSelectedInstOperands,
     /*  947115 */     // GIR_Coverage, 17228,
     /*  947115 */     GIR_EraseRootFromParent_Done,
     /*  947116 */   // Label 14274: @947116
     /*  947116 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(947200), // Rule ID 17229 //
     /*  947121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  947124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  947141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947164 */     // MIs[0] round
     /*  947164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947176 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  947179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947198 */     GIR_RootConstrainSelectedInstOperands,
     /*  947199 */     // GIR_Coverage, 17229,
     /*  947199 */     GIR_EraseRootFromParent_Done,
     /*  947200 */   // Label 14275: @947200
     /*  947200 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(947282), // Rule ID 62821 //
     /*  947205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947232 */     // MIs[0] op1
     /*  947232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  947262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947270 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947280 */     GIR_RootConstrainSelectedInstOperands,
     /*  947281 */     // GIR_Coverage, 62821,
     /*  947281 */     GIR_EraseRootFromParent_Done,
     /*  947282 */   // Label 14276: @947282
     /*  947282 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(947364), // Rule ID 62822 //
     /*  947287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947314 */     // MIs[0] op1
     /*  947314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947341 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  947344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947346 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947348 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947350 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947352 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947362 */     GIR_RootConstrainSelectedInstOperands,
     /*  947363 */     // GIR_Coverage, 62822,
     /*  947363 */     GIR_EraseRootFromParent_Done,
     /*  947364 */   // Label 14277: @947364
     /*  947364 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(947446), // Rule ID 62851 //
     /*  947369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  947389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947396 */     // MIs[0] op1
     /*  947396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  947426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947428 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947430 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947432 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947434 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947444 */     GIR_RootConstrainSelectedInstOperands,
     /*  947445 */     // GIR_Coverage, 62851,
     /*  947445 */     GIR_EraseRootFromParent_Done,
     /*  947446 */   // Label 14278: @947446
     /*  947446 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(947528), // Rule ID 62852 //
     /*  947451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  947471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947478 */     // MIs[0] op1
     /*  947478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947505 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  947508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947516 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947526 */     GIR_RootConstrainSelectedInstOperands,
     /*  947527 */     // GIR_Coverage, 62852,
     /*  947527 */     GIR_EraseRootFromParent_Done,
     /*  947528 */   // Label 14279: @947528
     /*  947528 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(947610), // Rule ID 62883 //
     /*  947533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947560 */     // MIs[0] op1
     /*  947560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947587 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  947590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947592 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947594 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947596 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947598 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947608 */     GIR_RootConstrainSelectedInstOperands,
     /*  947609 */     // GIR_Coverage, 62883,
     /*  947609 */     GIR_EraseRootFromParent_Done,
     /*  947610 */   // Label 14280: @947610
     /*  947610 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(947692), // Rule ID 62884 //
     /*  947615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947642 */     // MIs[0] op1
     /*  947642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  947672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947674 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947676 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947678 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947680 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947690 */     GIR_RootConstrainSelectedInstOperands,
     /*  947691 */     // GIR_Coverage, 62884,
     /*  947691 */     GIR_EraseRootFromParent_Done,
     /*  947692 */   // Label 14281: @947692
     /*  947692 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(947774), // Rule ID 62895 //
     /*  947697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  947717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947724 */     // MIs[0] op1
     /*  947724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947751 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  947754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947756 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947758 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947760 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947762 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947772 */     GIR_RootConstrainSelectedInstOperands,
     /*  947773 */     // GIR_Coverage, 62895,
     /*  947773 */     GIR_EraseRootFromParent_Done,
     /*  947774 */   // Label 14282: @947774
     /*  947774 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(947856), // Rule ID 62896 //
     /*  947779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  947793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  947799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947806 */     // MIs[0] op1
     /*  947806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  947836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947844 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947854 */     GIR_RootConstrainSelectedInstOperands,
     /*  947855 */     // GIR_Coverage, 62896,
     /*  947855 */     GIR_EraseRootFromParent_Done,
     /*  947856 */   // Label 14283: @947856
     /*  947856 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(947938), // Rule ID 62927 //
     /*  947861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  947872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  947875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  947878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947888 */     // MIs[0] op1
     /*  947888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947915 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  947918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947920 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947922 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947924 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947926 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947936 */     GIR_RootConstrainSelectedInstOperands,
     /*  947937 */     // GIR_Coverage, 62927,
     /*  947937 */     GIR_EraseRootFromParent_Done,
     /*  947938 */   // Label 14284: @947938
     /*  947938 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(948020), // Rule ID 62928 //
     /*  947943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  947954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  947957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  947960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947970 */     // MIs[0] op1
     /*  947970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947973 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947997 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948002 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948004 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948006 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948008 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948018 */     GIR_RootConstrainSelectedInstOperands,
     /*  948019 */     // GIR_Coverage, 62928,
     /*  948019 */     GIR_EraseRootFromParent_Done,
     /*  948020 */   // Label 14285: @948020
     /*  948020 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(948102), // Rule ID 62939 //
     /*  948025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  948045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948052 */     // MIs[0] op1
     /*  948052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948079 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948084 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948086 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948088 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948090 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948100 */     GIR_RootConstrainSelectedInstOperands,
     /*  948101 */     // GIR_Coverage, 62939,
     /*  948101 */     GIR_EraseRootFromParent_Done,
     /*  948102 */   // Label 14286: @948102
     /*  948102 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(948184), // Rule ID 62940 //
     /*  948107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  948127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948134 */     // MIs[0] op1
     /*  948134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948161 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948172 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948182 */     GIR_RootConstrainSelectedInstOperands,
     /*  948183 */     // GIR_Coverage, 62940,
     /*  948183 */     GIR_EraseRootFromParent_Done,
     /*  948184 */   // Label 14287: @948184
     /*  948184 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(948266), // Rule ID 62971 //
     /*  948189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948216 */     // MIs[0] op1
     /*  948216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  948246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948248 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948250 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948252 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948254 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948264 */     GIR_RootConstrainSelectedInstOperands,
     /*  948265 */     // GIR_Coverage, 62971,
     /*  948265 */     GIR_EraseRootFromParent_Done,
     /*  948266 */   // Label 14288: @948266
     /*  948266 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(948348), // Rule ID 62972 //
     /*  948271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948298 */     // MIs[0] op1
     /*  948298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948301 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  948328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948330 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948332 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948334 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948336 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948346 */     GIR_RootConstrainSelectedInstOperands,
     /*  948347 */     // GIR_Coverage, 62972,
     /*  948347 */     GIR_EraseRootFromParent_Done,
     /*  948348 */   // Label 14289: @948348
     /*  948348 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(948430), // Rule ID 62983 //
     /*  948353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  948373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948380 */     // MIs[0] op1
     /*  948380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948407 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  948410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948412 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948414 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948416 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948418 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948428 */     GIR_RootConstrainSelectedInstOperands,
     /*  948429 */     // GIR_Coverage, 62983,
     /*  948429 */     GIR_EraseRootFromParent_Done,
     /*  948430 */   // Label 14290: @948430
     /*  948430 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(948512), // Rule ID 62984 //
     /*  948435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  948455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948462 */     // MIs[0] op1
     /*  948462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  948492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948500 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948510 */     GIR_RootConstrainSelectedInstOperands,
     /*  948511 */     // GIR_Coverage, 62984,
     /*  948511 */     GIR_EraseRootFromParent_Done,
     /*  948512 */   // Label 14291: @948512
     /*  948512 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(948594), // Rule ID 62995 //
     /*  948517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948544 */     // MIs[0] op1
     /*  948544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  948574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948582 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948592 */     GIR_RootConstrainSelectedInstOperands,
     /*  948593 */     // GIR_Coverage, 62995,
     /*  948593 */     GIR_EraseRootFromParent_Done,
     /*  948594 */   // Label 14292: @948594
     /*  948594 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(948676), // Rule ID 62996 //
     /*  948599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948626 */     // MIs[0] op1
     /*  948626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948629 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  948656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948658 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948660 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948662 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948664 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948674 */     GIR_RootConstrainSelectedInstOperands,
     /*  948675 */     // GIR_Coverage, 62996,
     /*  948675 */     GIR_EraseRootFromParent_Done,
     /*  948676 */   // Label 14293: @948676
     /*  948676 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(948758), // Rule ID 63027 //
     /*  948681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  948695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948708 */     // MIs[0] op1
     /*  948708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948740 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948742 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948744 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948746 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948756 */     GIR_RootConstrainSelectedInstOperands,
     /*  948757 */     // GIR_Coverage, 63027,
     /*  948757 */     GIR_EraseRootFromParent_Done,
     /*  948758 */   // Label 14294: @948758
     /*  948758 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(948840), // Rule ID 63028 //
     /*  948763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  948777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948790 */     // MIs[0] op1
     /*  948790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948828 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948838 */     GIR_RootConstrainSelectedInstOperands,
     /*  948839 */     // GIR_Coverage, 63028,
     /*  948839 */     GIR_EraseRootFromParent_Done,
     /*  948840 */   // Label 14295: @948840
     /*  948840 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(948922), // Rule ID 63039 //
     /*  948845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  948859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  948865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948872 */     // MIs[0] op1
     /*  948872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948910 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948920 */     GIR_RootConstrainSelectedInstOperands,
     /*  948921 */     // GIR_Coverage, 63039,
     /*  948921 */     GIR_EraseRootFromParent_Done,
     /*  948922 */   // Label 14296: @948922
     /*  948922 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(949004), // Rule ID 63040 //
     /*  948927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  948941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  948947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948954 */     // MIs[0] op1
     /*  948954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948981 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948986 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948988 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948990 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948992 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949002 */     GIR_RootConstrainSelectedInstOperands,
     /*  949003 */     // GIR_Coverage, 63040,
     /*  949003 */     GIR_EraseRootFromParent_Done,
     /*  949004 */   // Label 14297: @949004
     /*  949004 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(949086), // Rule ID 63051 //
     /*  949009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949036 */     // MIs[0] op1
     /*  949036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949063 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  949066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949068 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949070 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949072 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949074 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949084 */     GIR_RootConstrainSelectedInstOperands,
     /*  949085 */     // GIR_Coverage, 63051,
     /*  949085 */     GIR_EraseRootFromParent_Done,
     /*  949086 */   // Label 14298: @949086
     /*  949086 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(949168), // Rule ID 63052 //
     /*  949091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949118 */     // MIs[0] op1
     /*  949118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949145 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  949148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949156 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949166 */     GIR_RootConstrainSelectedInstOperands,
     /*  949167 */     // GIR_Coverage, 63052,
     /*  949167 */     GIR_EraseRootFromParent_Done,
     /*  949168 */   // Label 14299: @949168
     /*  949168 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(949250), // Rule ID 63083 //
     /*  949173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949200 */     // MIs[0] op1
     /*  949200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949238 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949248 */     GIR_RootConstrainSelectedInstOperands,
     /*  949249 */     // GIR_Coverage, 63083,
     /*  949249 */     GIR_EraseRootFromParent_Done,
     /*  949250 */   // Label 14300: @949250
     /*  949250 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(949332), // Rule ID 63084 //
     /*  949255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949282 */     // MIs[0] op1
     /*  949282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949285 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949309 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949314 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949316 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949318 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949320 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949330 */     GIR_RootConstrainSelectedInstOperands,
     /*  949331 */     // GIR_Coverage, 63084,
     /*  949331 */     GIR_EraseRootFromParent_Done,
     /*  949332 */   // Label 14301: @949332
     /*  949332 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(949414), // Rule ID 63095 //
     /*  949337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  949357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949364 */     // MIs[0] op1
     /*  949364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949391 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949396 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949398 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949400 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949402 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949412 */     GIR_RootConstrainSelectedInstOperands,
     /*  949413 */     // GIR_Coverage, 63095,
     /*  949413 */     GIR_EraseRootFromParent_Done,
     /*  949414 */   // Label 14302: @949414
     /*  949414 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(949496), // Rule ID 63096 //
     /*  949419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  949439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949446 */     // MIs[0] op1
     /*  949446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949484 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949494 */     GIR_RootConstrainSelectedInstOperands,
     /*  949495 */     // GIR_Coverage, 63096,
     /*  949495 */     GIR_EraseRootFromParent_Done,
     /*  949496 */   // Label 14303: @949496
     /*  949496 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(949578), // Rule ID 63107 //
     /*  949501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949528 */     // MIs[0] op1
     /*  949528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949555 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  949558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949560 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949562 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949564 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949566 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949576 */     GIR_RootConstrainSelectedInstOperands,
     /*  949577 */     // GIR_Coverage, 63107,
     /*  949577 */     GIR_EraseRootFromParent_Done,
     /*  949578 */   // Label 14304: @949578
     /*  949578 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(949660), // Rule ID 63108 //
     /*  949583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949610 */     // MIs[0] op1
     /*  949610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949637 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  949640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949642 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949644 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949646 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949648 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949658 */     GIR_RootConstrainSelectedInstOperands,
     /*  949659 */     // GIR_Coverage, 63108,
     /*  949659 */     GIR_EraseRootFromParent_Done,
     /*  949660 */   // Label 14305: @949660
     /*  949660 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(949742), // Rule ID 63139 //
     /*  949665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  949676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  949679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  949682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949692 */     // MIs[0] op1
     /*  949692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949719 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  949719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  949722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949724 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949726 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949728 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949730 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949740 */     GIR_RootConstrainSelectedInstOperands,
     /*  949741 */     // GIR_Coverage, 63139,
     /*  949741 */     GIR_EraseRootFromParent_Done,
     /*  949742 */   // Label 14306: @949742
     /*  949742 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(949824), // Rule ID 63140 //
     /*  949747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  949758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  949761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  949764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949774 */     // MIs[0] op1
     /*  949774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949801 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  949801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  949804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949806 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949808 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949810 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949812 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949822 */     GIR_RootConstrainSelectedInstOperands,
     /*  949823 */     // GIR_Coverage, 63140,
     /*  949823 */     GIR_EraseRootFromParent_Done,
     /*  949824 */   // Label 14307: @949824
     /*  949824 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(949906), // Rule ID 63151 //
     /*  949829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  949840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  949843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  949846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  949849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949856 */     // MIs[0] op1
     /*  949856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949859 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  949883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  949886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949888 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949890 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949892 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949894 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949904 */     GIR_RootConstrainSelectedInstOperands,
     /*  949905 */     // GIR_Coverage, 63151,
     /*  949905 */     GIR_EraseRootFromParent_Done,
     /*  949906 */   // Label 14308: @949906
     /*  949906 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(949988), // Rule ID 63152 //
     /*  949911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  949922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  949925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  949928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  949931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949938 */     // MIs[0] op1
     /*  949938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  949965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  949968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949976 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949986 */     GIR_RootConstrainSelectedInstOperands,
     /*  949987 */     // GIR_Coverage, 63152,
     /*  949987 */     GIR_EraseRootFromParent_Done,
     /*  949988 */   // Label 14309: @949988
     /*  949988 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(950070), // Rule ID 63183 //
     /*  949993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950020 */     // MIs[0] op1
     /*  950020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950052 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950054 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950056 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950058 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950068 */     GIR_RootConstrainSelectedInstOperands,
     /*  950069 */     // GIR_Coverage, 63183,
     /*  950069 */     GIR_EraseRootFromParent_Done,
     /*  950070 */   // Label 14310: @950070
     /*  950070 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(950152), // Rule ID 63184 //
     /*  950075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950102 */     // MIs[0] op1
     /*  950102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950140 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950150 */     GIR_RootConstrainSelectedInstOperands,
     /*  950151 */     // GIR_Coverage, 63184,
     /*  950151 */     GIR_EraseRootFromParent_Done,
     /*  950152 */   // Label 14311: @950152
     /*  950152 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(950234), // Rule ID 63195 //
     /*  950157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  950177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950184 */     // MIs[0] op1
     /*  950184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950216 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950218 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950220 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950222 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950232 */     GIR_RootConstrainSelectedInstOperands,
     /*  950233 */     // GIR_Coverage, 63195,
     /*  950233 */     GIR_EraseRootFromParent_Done,
     /*  950234 */   // Label 14312: @950234
     /*  950234 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(950316), // Rule ID 63196 //
     /*  950239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  950259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950266 */     // MIs[0] op1
     /*  950266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950298 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950300 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950302 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950304 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950314 */     GIR_RootConstrainSelectedInstOperands,
     /*  950315 */     // GIR_Coverage, 63196,
     /*  950315 */     GIR_EraseRootFromParent_Done,
     /*  950316 */   // Label 14313: @950316
     /*  950316 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(950398), // Rule ID 63207 //
     /*  950321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950348 */     // MIs[0] op1
     /*  950348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  950378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950380 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950382 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950384 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950386 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950396 */     GIR_RootConstrainSelectedInstOperands,
     /*  950397 */     // GIR_Coverage, 63207,
     /*  950397 */     GIR_EraseRootFromParent_Done,
     /*  950398 */   // Label 14314: @950398
     /*  950398 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(950480), // Rule ID 63208 //
     /*  950403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950430 */     // MIs[0] op1
     /*  950430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  950460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950462 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950464 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950466 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950468 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950478 */     GIR_RootConstrainSelectedInstOperands,
     /*  950479 */     // GIR_Coverage, 63208,
     /*  950479 */     GIR_EraseRootFromParent_Done,
     /*  950480 */   // Label 14315: @950480
     /*  950480 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(950562), // Rule ID 63239 //
     /*  950485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950512 */     // MIs[0] op1
     /*  950512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950515 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950544 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950546 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950548 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950550 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950560 */     GIR_RootConstrainSelectedInstOperands,
     /*  950561 */     // GIR_Coverage, 63239,
     /*  950561 */     GIR_EraseRootFromParent_Done,
     /*  950562 */   // Label 14316: @950562
     /*  950562 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(950644), // Rule ID 63240 //
     /*  950567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950594 */     // MIs[0] op1
     /*  950594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950632 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950642 */     GIR_RootConstrainSelectedInstOperands,
     /*  950643 */     // GIR_Coverage, 63240,
     /*  950643 */     GIR_EraseRootFromParent_Done,
     /*  950644 */   // Label 14317: @950644
     /*  950644 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(950726), // Rule ID 63251 //
     /*  950649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  950669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950676 */     // MIs[0] op1
     /*  950676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950679 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950708 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950710 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950712 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950714 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950724 */     GIR_RootConstrainSelectedInstOperands,
     /*  950725 */     // GIR_Coverage, 63251,
     /*  950725 */     GIR_EraseRootFromParent_Done,
     /*  950726 */   // Label 14318: @950726
     /*  950726 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(950808), // Rule ID 63252 //
     /*  950731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  950751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950758 */     // MIs[0] op1
     /*  950758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950790 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950792 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950794 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950796 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950806 */     GIR_RootConstrainSelectedInstOperands,
     /*  950807 */     // GIR_Coverage, 63252,
     /*  950807 */     GIR_EraseRootFromParent_Done,
     /*  950808 */   // Label 14319: @950808
     /*  950808 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(950890), // Rule ID 63263 //
     /*  950813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950840 */     // MIs[0] op1
     /*  950840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  950870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950872 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950874 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950876 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950878 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950888 */     GIR_RootConstrainSelectedInstOperands,
     /*  950889 */     // GIR_Coverage, 63263,
     /*  950889 */     GIR_EraseRootFromParent_Done,
     /*  950890 */   // Label 14320: @950890
     /*  950890 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(950972), // Rule ID 63264 //
     /*  950895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  950906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  950909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950922 */     // MIs[0] op1
     /*  950922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  950952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950954 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950956 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950958 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950960 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950970 */     GIR_RootConstrainSelectedInstOperands,
     /*  950971 */     // GIR_Coverage, 63264,
     /*  950971 */     GIR_EraseRootFromParent_Done,
     /*  950972 */   // Label 14321: @950972
     /*  950972 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(951054), // Rule ID 63295 //
     /*  950977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  950988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  950991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  950994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951004 */     // MIs[0] op1
     /*  951004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951036 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951038 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951040 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951042 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951052 */     GIR_RootConstrainSelectedInstOperands,
     /*  951053 */     // GIR_Coverage, 63295,
     /*  951053 */     GIR_EraseRootFromParent_Done,
     /*  951054 */   // Label 14322: @951054
     /*  951054 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(951136), // Rule ID 63296 //
     /*  951059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951086 */     // MIs[0] op1
     /*  951086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951124 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951134 */     GIR_RootConstrainSelectedInstOperands,
     /*  951135 */     // GIR_Coverage, 63296,
     /*  951135 */     GIR_EraseRootFromParent_Done,
     /*  951136 */   // Label 14323: @951136
     /*  951136 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(951218), // Rule ID 63307 //
     /*  951141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  951161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951168 */     // MIs[0] op1
     /*  951168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951200 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951202 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951204 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951206 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951216 */     GIR_RootConstrainSelectedInstOperands,
     /*  951217 */     // GIR_Coverage, 63307,
     /*  951217 */     GIR_EraseRootFromParent_Done,
     /*  951218 */   // Label 14324: @951218
     /*  951218 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(951300), // Rule ID 63308 //
     /*  951223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  951243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951250 */     // MIs[0] op1
     /*  951250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951282 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951284 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951286 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951288 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951298 */     GIR_RootConstrainSelectedInstOperands,
     /*  951299 */     // GIR_Coverage, 63308,
     /*  951299 */     GIR_EraseRootFromParent_Done,
     /*  951300 */   // Label 14325: @951300
     /*  951300 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(951382), // Rule ID 63319 //
     /*  951305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951332 */     // MIs[0] op1
     /*  951332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  951362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951370 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951380 */     GIR_RootConstrainSelectedInstOperands,
     /*  951381 */     // GIR_Coverage, 63319,
     /*  951381 */     GIR_EraseRootFromParent_Done,
     /*  951382 */   // Label 14326: @951382
     /*  951382 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(951464), // Rule ID 63320 //
     /*  951387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951414 */     // MIs[0] op1
     /*  951414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  951444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951452 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951462 */     GIR_RootConstrainSelectedInstOperands,
     /*  951463 */     // GIR_Coverage, 63320,
     /*  951463 */     GIR_EraseRootFromParent_Done,
     /*  951464 */   // Label 14327: @951464
     /*  951464 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(951546), // Rule ID 63351 //
     /*  951469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951496 */     // MIs[0] op1
     /*  951496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951528 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951530 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951532 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951534 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951544 */     GIR_RootConstrainSelectedInstOperands,
     /*  951545 */     // GIR_Coverage, 63351,
     /*  951545 */     GIR_EraseRootFromParent_Done,
     /*  951546 */   // Label 14328: @951546
     /*  951546 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(951628), // Rule ID 63352 //
     /*  951551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951578 */     // MIs[0] op1
     /*  951578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951605 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  951608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951610 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951612 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951614 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951616 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951626 */     GIR_RootConstrainSelectedInstOperands,
     /*  951627 */     // GIR_Coverage, 63352,
     /*  951627 */     GIR_EraseRootFromParent_Done,
     /*  951628 */   // Label 14329: @951628
     /*  951628 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(951710), // Rule ID 63363 //
     /*  951633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  951653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951660 */     // MIs[0] op1
     /*  951660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951687 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951692 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951694 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951696 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951698 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951708 */     GIR_RootConstrainSelectedInstOperands,
     /*  951709 */     // GIR_Coverage, 63363,
     /*  951709 */     GIR_EraseRootFromParent_Done,
     /*  951710 */   // Label 14330: @951710
     /*  951710 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(951792), // Rule ID 63364 //
     /*  951715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  951726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  951735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951742 */     // MIs[0] op1
     /*  951742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951769 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  951772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951780 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951790 */     GIR_RootConstrainSelectedInstOperands,
     /*  951791 */     // GIR_Coverage, 63364,
     /*  951791 */     GIR_EraseRootFromParent_Done,
     /*  951792 */   // Label 14331: @951792
     /*  951792 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(951874), // Rule ID 63395 //
     /*  951797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  951808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  951811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  951814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951824 */     // MIs[0] op1
     /*  951824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951862 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951872 */     GIR_RootConstrainSelectedInstOperands,
     /*  951873 */     // GIR_Coverage, 63395,
     /*  951873 */     GIR_EraseRootFromParent_Done,
     /*  951874 */   // Label 14332: @951874
     /*  951874 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(951956), // Rule ID 63396 //
     /*  951879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  951890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  951893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  951896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951906 */     // MIs[0] op1
     /*  951906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  951936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951944 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951954 */     GIR_RootConstrainSelectedInstOperands,
     /*  951955 */     // GIR_Coverage, 63396,
     /*  951955 */     GIR_EraseRootFromParent_Done,
     /*  951956 */   // Label 14333: @951956
     /*  951956 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(952038), // Rule ID 63407 //
     /*  951961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  951972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  951975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  951978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  951981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951988 */     // MIs[0] op1
     /*  951988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952015 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952026 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952036 */     GIR_RootConstrainSelectedInstOperands,
     /*  952037 */     // GIR_Coverage, 63407,
     /*  952037 */     GIR_EraseRootFromParent_Done,
     /*  952038 */   // Label 14334: @952038
     /*  952038 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(952120), // Rule ID 63408 //
     /*  952043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  952063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952070 */     // MIs[0] op1
     /*  952070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952097 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952102 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952104 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952106 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952108 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952118 */     GIR_RootConstrainSelectedInstOperands,
     /*  952119 */     // GIR_Coverage, 63408,
     /*  952119 */     GIR_EraseRootFromParent_Done,
     /*  952120 */   // Label 14335: @952120
     /*  952120 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(952202), // Rule ID 63439 //
     /*  952125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952152 */     // MIs[0] op1
     /*  952152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952179 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952190 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952200 */     GIR_RootConstrainSelectedInstOperands,
     /*  952201 */     // GIR_Coverage, 63439,
     /*  952201 */     GIR_EraseRootFromParent_Done,
     /*  952202 */   // Label 14336: @952202
     /*  952202 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(952284), // Rule ID 63440 //
     /*  952207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952234 */     // MIs[0] op1
     /*  952234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952272 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952282 */     GIR_RootConstrainSelectedInstOperands,
     /*  952283 */     // GIR_Coverage, 63440,
     /*  952283 */     GIR_EraseRootFromParent_Done,
     /*  952284 */   // Label 14337: @952284
     /*  952284 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(952366), // Rule ID 63451 //
     /*  952289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  952309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952316 */     // MIs[0] op1
     /*  952316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952343 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952348 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952350 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952352 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952354 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952364 */     GIR_RootConstrainSelectedInstOperands,
     /*  952365 */     // GIR_Coverage, 63451,
     /*  952365 */     GIR_EraseRootFromParent_Done,
     /*  952366 */   // Label 14338: @952366
     /*  952366 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(952448), // Rule ID 63452 //
     /*  952371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  952391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952398 */     // MIs[0] op1
     /*  952398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952425 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  952428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952436 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952446 */     GIR_RootConstrainSelectedInstOperands,
     /*  952447 */     // GIR_Coverage, 63452,
     /*  952447 */     GIR_EraseRootFromParent_Done,
     /*  952448 */   // Label 14339: @952448
     /*  952448 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(952530), // Rule ID 63483 //
     /*  952453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952480 */     // MIs[0] op1
     /*  952480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952483 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  952507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  952510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952512 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952514 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952516 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952518 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952528 */     GIR_RootConstrainSelectedInstOperands,
     /*  952529 */     // GIR_Coverage, 63483,
     /*  952529 */     GIR_EraseRootFromParent_Done,
     /*  952530 */   // Label 14340: @952530
     /*  952530 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(952612), // Rule ID 63484 //
     /*  952535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952562 */     // MIs[0] op1
     /*  952562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  952589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  952592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952600 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952610 */     GIR_RootConstrainSelectedInstOperands,
     /*  952611 */     // GIR_Coverage, 63484,
     /*  952611 */     GIR_EraseRootFromParent_Done,
     /*  952612 */   // Label 14341: @952612
     /*  952612 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(952694), // Rule ID 63495 //
     /*  952617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  952637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952644 */     // MIs[0] op1
     /*  952644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  952671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  952674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952676 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952678 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952680 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952682 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952692 */     GIR_RootConstrainSelectedInstOperands,
     /*  952693 */     // GIR_Coverage, 63495,
     /*  952693 */     GIR_EraseRootFromParent_Done,
     /*  952694 */   // Label 14342: @952694
     /*  952694 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(952776), // Rule ID 63496 //
     /*  952699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  952719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952726 */     // MIs[0] op1
     /*  952726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  952753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  952756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952764 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952774 */     GIR_RootConstrainSelectedInstOperands,
     /*  952775 */     // GIR_Coverage, 63496,
     /*  952775 */     GIR_EraseRootFromParent_Done,
     /*  952776 */   // Label 14343: @952776
     /*  952776 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(952858), // Rule ID 63507 //
     /*  952781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  952801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952808 */     // MIs[0] op1
     /*  952808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  952828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  952835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  952838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952840 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952842 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952844 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952846 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952856 */     GIR_RootConstrainSelectedInstOperands,
     /*  952857 */     // GIR_Coverage, 63507,
     /*  952857 */     GIR_EraseRootFromParent_Done,
     /*  952858 */   // Label 14344: @952858
     /*  952858 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(952940), // Rule ID 63508 //
     /*  952863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  952883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952890 */     // MIs[0] op1
     /*  952890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  952910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  952917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  952920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952922 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952924 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952926 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952928 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952938 */     GIR_RootConstrainSelectedInstOperands,
     /*  952939 */     // GIR_Coverage, 63508,
     /*  952939 */     GIR_EraseRootFromParent_Done,
     /*  952940 */   // Label 14345: @952940
     /*  952940 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(953022), // Rule ID 63539 //
     /*  952945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  952956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  952959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  952962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952972 */     // MIs[0] op1
     /*  952972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  952999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  953002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953004 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953006 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953008 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953010 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953020 */     GIR_RootConstrainSelectedInstOperands,
     /*  953021 */     // GIR_Coverage, 63539,
     /*  953021 */     GIR_EraseRootFromParent_Done,
     /*  953022 */   // Label 14346: @953022
     /*  953022 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(953104), // Rule ID 63540 //
     /*  953027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953054 */     // MIs[0] op1
     /*  953054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  953084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953092 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953102 */     GIR_RootConstrainSelectedInstOperands,
     /*  953103 */     // GIR_Coverage, 63540,
     /*  953103 */     GIR_EraseRootFromParent_Done,
     /*  953104 */   // Label 14347: @953104
     /*  953104 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(953186), // Rule ID 63551 //
     /*  953109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  953129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953136 */     // MIs[0] op1
     /*  953136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  953166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953168 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953170 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953172 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953174 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953184 */     GIR_RootConstrainSelectedInstOperands,
     /*  953185 */     // GIR_Coverage, 63551,
     /*  953185 */     GIR_EraseRootFromParent_Done,
     /*  953186 */   // Label 14348: @953186
     /*  953186 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(953268), // Rule ID 63552 //
     /*  953191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  953211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953218 */     // MIs[0] op1
     /*  953218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953221 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  953248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953250 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953252 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953254 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953256 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953266 */     GIR_RootConstrainSelectedInstOperands,
     /*  953267 */     // GIR_Coverage, 63552,
     /*  953267 */     GIR_EraseRootFromParent_Done,
     /*  953268 */   // Label 14349: @953268
     /*  953268 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(953350), // Rule ID 63563 //
     /*  953273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953300 */     // MIs[0] op1
     /*  953300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953327 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  953330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953338 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953348 */     GIR_RootConstrainSelectedInstOperands,
     /*  953349 */     // GIR_Coverage, 63563,
     /*  953349 */     GIR_EraseRootFromParent_Done,
     /*  953350 */   // Label 14350: @953350
     /*  953350 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(953432), // Rule ID 63564 //
     /*  953355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953382 */     // MIs[0] op1
     /*  953382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953385 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  953412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953420 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953430 */     GIR_RootConstrainSelectedInstOperands,
     /*  953431 */     // GIR_Coverage, 63564,
     /*  953431 */     GIR_EraseRootFromParent_Done,
     /*  953432 */   // Label 14351: @953432
     /*  953432 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(953514), // Rule ID 63595 //
     /*  953437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953464 */     // MIs[0] op1
     /*  953464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  953494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953496 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953498 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953500 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953502 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953512 */     GIR_RootConstrainSelectedInstOperands,
     /*  953513 */     // GIR_Coverage, 63595,
     /*  953513 */     GIR_EraseRootFromParent_Done,
     /*  953514 */   // Label 14352: @953514
     /*  953514 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(953596), // Rule ID 63596 //
     /*  953519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953546 */     // MIs[0] op1
     /*  953546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953573 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  953576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953578 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953580 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953582 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953584 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953594 */     GIR_RootConstrainSelectedInstOperands,
     /*  953595 */     // GIR_Coverage, 63596,
     /*  953595 */     GIR_EraseRootFromParent_Done,
     /*  953596 */   // Label 14353: @953596
     /*  953596 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(953678), // Rule ID 63607 //
     /*  953601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  953621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953628 */     // MIs[0] op1
     /*  953628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953655 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  953658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953660 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953662 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953664 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953666 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953676 */     GIR_RootConstrainSelectedInstOperands,
     /*  953677 */     // GIR_Coverage, 63607,
     /*  953677 */     GIR_EraseRootFromParent_Done,
     /*  953678 */   // Label 14354: @953678
     /*  953678 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(953760), // Rule ID 63608 //
     /*  953683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  953703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953710 */     // MIs[0] op1
     /*  953710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953737 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  953740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953742 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953744 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953746 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953748 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953758 */     GIR_RootConstrainSelectedInstOperands,
     /*  953759 */     // GIR_Coverage, 63608,
     /*  953759 */     GIR_EraseRootFromParent_Done,
     /*  953760 */   // Label 14355: @953760
     /*  953760 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(953842), // Rule ID 63619 //
     /*  953765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953792 */     // MIs[0] op1
     /*  953792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  953822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953824 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953826 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953828 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953830 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953840 */     GIR_RootConstrainSelectedInstOperands,
     /*  953841 */     // GIR_Coverage, 63619,
     /*  953841 */     GIR_EraseRootFromParent_Done,
     /*  953842 */   // Label 14356: @953842
     /*  953842 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(953924), // Rule ID 63620 //
     /*  953847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  953864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953874 */     // MIs[0] op1
     /*  953874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953877 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953901 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  953904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953906 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953908 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953910 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953912 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953922 */     GIR_RootConstrainSelectedInstOperands,
     /*  953923 */     // GIR_Coverage, 63620,
     /*  953923 */     GIR_EraseRootFromParent_Done,
     /*  953924 */   // Label 14357: @953924
     /*  953924 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(954006), // Rule ID 63651 //
     /*  953929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  953940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  953943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  953946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953956 */     // MIs[0] op1
     /*  953956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  953983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  953986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953994 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954004 */     GIR_RootConstrainSelectedInstOperands,
     /*  954005 */     // GIR_Coverage, 63651,
     /*  954005 */     GIR_EraseRootFromParent_Done,
     /*  954006 */   // Label 14358: @954006
     /*  954006 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(954088), // Rule ID 63652 //
     /*  954011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954038 */     // MIs[0] op1
     /*  954038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  954068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954070 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954072 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954074 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954076 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954086 */     GIR_RootConstrainSelectedInstOperands,
     /*  954087 */     // GIR_Coverage, 63652,
     /*  954087 */     GIR_EraseRootFromParent_Done,
     /*  954088 */   // Label 14359: @954088
     /*  954088 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(954170), // Rule ID 63663 //
     /*  954093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  954113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954120 */     // MIs[0] op1
     /*  954120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  954150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954158 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954168 */     GIR_RootConstrainSelectedInstOperands,
     /*  954169 */     // GIR_Coverage, 63663,
     /*  954169 */     GIR_EraseRootFromParent_Done,
     /*  954170 */   // Label 14360: @954170
     /*  954170 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(954252), // Rule ID 63664 //
     /*  954175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  954195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954202 */     // MIs[0] op1
     /*  954202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  954232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954234 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954236 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954238 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954240 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954250 */     GIR_RootConstrainSelectedInstOperands,
     /*  954251 */     // GIR_Coverage, 63664,
     /*  954251 */     GIR_EraseRootFromParent_Done,
     /*  954252 */   // Label 14361: @954252
     /*  954252 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(954334), // Rule ID 63675 //
     /*  954257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954284 */     // MIs[0] op1
     /*  954284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  954304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  954314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954322 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954332 */     GIR_RootConstrainSelectedInstOperands,
     /*  954333 */     // GIR_Coverage, 63675,
     /*  954333 */     GIR_EraseRootFromParent_Done,
     /*  954334 */   // Label 14362: @954334
     /*  954334 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(954416), // Rule ID 63676 //
     /*  954339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954366 */     // MIs[0] op1
     /*  954366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954369 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  954386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  954396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954398 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954400 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954402 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954404 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954414 */     GIR_RootConstrainSelectedInstOperands,
     /*  954415 */     // GIR_Coverage, 63676,
     /*  954415 */     GIR_EraseRootFromParent_Done,
     /*  954416 */   // Label 14363: @954416
     /*  954416 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(954498), // Rule ID 63707 //
     /*  954421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954448 */     // MIs[0] op1
     /*  954448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  954478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954486 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954496 */     GIR_RootConstrainSelectedInstOperands,
     /*  954497 */     // GIR_Coverage, 63707,
     /*  954497 */     GIR_EraseRootFromParent_Done,
     /*  954498 */   // Label 14364: @954498
     /*  954498 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(954580), // Rule ID 63708 //
     /*  954503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954530 */     // MIs[0] op1
     /*  954530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954557 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  954560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954562 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954564 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954566 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954568 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954578 */     GIR_RootConstrainSelectedInstOperands,
     /*  954579 */     // GIR_Coverage, 63708,
     /*  954579 */     GIR_EraseRootFromParent_Done,
     /*  954580 */   // Label 14365: @954580
     /*  954580 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(954662), // Rule ID 63719 //
     /*  954585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  954605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954612 */     // MIs[0] op1
     /*  954612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  954642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954660 */     GIR_RootConstrainSelectedInstOperands,
     /*  954661 */     // GIR_Coverage, 63719,
     /*  954661 */     GIR_EraseRootFromParent_Done,
     /*  954662 */   // Label 14366: @954662
     /*  954662 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(954744), // Rule ID 63720 //
     /*  954667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  954687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954694 */     // MIs[0] op1
     /*  954694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  954724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954726 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954728 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954730 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954732 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954742 */     GIR_RootConstrainSelectedInstOperands,
     /*  954743 */     // GIR_Coverage, 63720,
     /*  954743 */     GIR_EraseRootFromParent_Done,
     /*  954744 */   // Label 14367: @954744
     /*  954744 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(954826), // Rule ID 63731 //
     /*  954749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954776 */     // MIs[0] op1
     /*  954776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  954796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  954806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954808 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954810 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954812 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954814 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954824 */     GIR_RootConstrainSelectedInstOperands,
     /*  954825 */     // GIR_Coverage, 63731,
     /*  954825 */     GIR_EraseRootFromParent_Done,
     /*  954826 */   // Label 14368: @954826
     /*  954826 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(954908), // Rule ID 63732 //
     /*  954831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  954848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954858 */     // MIs[0] op1
     /*  954858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  954878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  954888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954896 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954906 */     GIR_RootConstrainSelectedInstOperands,
     /*  954907 */     // GIR_Coverage, 63732,
     /*  954907 */     GIR_EraseRootFromParent_Done,
     /*  954908 */   // Label 14369: @954908
     /*  954908 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(954990), // Rule ID 63763 //
     /*  954913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  954924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  954927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  954930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954940 */     // MIs[0] op1
     /*  954940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  954970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954978 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954988 */     GIR_RootConstrainSelectedInstOperands,
     /*  954989 */     // GIR_Coverage, 63763,
     /*  954989 */     GIR_EraseRootFromParent_Done,
     /*  954990 */   // Label 14370: @954990
     /*  954990 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(955072), // Rule ID 63764 //
     /*  954995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955022 */     // MIs[0] op1
     /*  955022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  955052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955054 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955056 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955058 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955060 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955070 */     GIR_RootConstrainSelectedInstOperands,
     /*  955071 */     // GIR_Coverage, 63764,
     /*  955071 */     GIR_EraseRootFromParent_Done,
     /*  955072 */   // Label 14371: @955072
     /*  955072 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(955154), // Rule ID 63775 //
     /*  955077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  955097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955104 */     // MIs[0] op1
     /*  955104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  955134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955136 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955138 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955140 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955142 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955152 */     GIR_RootConstrainSelectedInstOperands,
     /*  955153 */     // GIR_Coverage, 63775,
     /*  955153 */     GIR_EraseRootFromParent_Done,
     /*  955154 */   // Label 14372: @955154
     /*  955154 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(955236), // Rule ID 63776 //
     /*  955159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  955179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955186 */     // MIs[0] op1
     /*  955186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  955216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955224 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955234 */     GIR_RootConstrainSelectedInstOperands,
     /*  955235 */     // GIR_Coverage, 63776,
     /*  955235 */     GIR_EraseRootFromParent_Done,
     /*  955236 */   // Label 14373: @955236
     /*  955236 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(955318), // Rule ID 63787 //
     /*  955241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955268 */     // MIs[0] op1
     /*  955268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955295 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  955298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955306 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955316 */     GIR_RootConstrainSelectedInstOperands,
     /*  955317 */     // GIR_Coverage, 63787,
     /*  955317 */     GIR_EraseRootFromParent_Done,
     /*  955318 */   // Label 14374: @955318
     /*  955318 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(955400), // Rule ID 63788 //
     /*  955323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955350 */     // MIs[0] op1
     /*  955350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  955380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955382 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955384 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955386 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955388 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955398 */     GIR_RootConstrainSelectedInstOperands,
     /*  955399 */     // GIR_Coverage, 63788,
     /*  955399 */     GIR_EraseRootFromParent_Done,
     /*  955400 */   // Label 14375: @955400
     /*  955400 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(955482), // Rule ID 63819 //
     /*  955405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955432 */     // MIs[0] op1
     /*  955432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  955459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  955462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955464 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955466 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955468 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955470 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955480 */     GIR_RootConstrainSelectedInstOperands,
     /*  955481 */     // GIR_Coverage, 63819,
     /*  955481 */     GIR_EraseRootFromParent_Done,
     /*  955482 */   // Label 14376: @955482
     /*  955482 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(955564), // Rule ID 63820 //
     /*  955487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955514 */     // MIs[0] op1
     /*  955514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955541 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  955541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  955544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955552 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955562 */     GIR_RootConstrainSelectedInstOperands,
     /*  955563 */     // GIR_Coverage, 63820,
     /*  955563 */     GIR_EraseRootFromParent_Done,
     /*  955564 */   // Label 14377: @955564
     /*  955564 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(955646), // Rule ID 63831 //
     /*  955569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  955589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955596 */     // MIs[0] op1
     /*  955596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  955623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  955626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955628 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955630 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955632 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955634 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955644 */     GIR_RootConstrainSelectedInstOperands,
     /*  955645 */     // GIR_Coverage, 63831,
     /*  955645 */     GIR_EraseRootFromParent_Done,
     /*  955646 */   // Label 14378: @955646
     /*  955646 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(955728), // Rule ID 63832 //
     /*  955651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  955671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955678 */     // MIs[0] op1
     /*  955678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  955705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  955708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955716 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955726 */     GIR_RootConstrainSelectedInstOperands,
     /*  955727 */     // GIR_Coverage, 63832,
     /*  955727 */     GIR_EraseRootFromParent_Done,
     /*  955728 */   // Label 14379: @955728
     /*  955728 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(955810), // Rule ID 63843 //
     /*  955733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955760 */     // MIs[0] op1
     /*  955760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  955780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  955787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  955790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955792 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955794 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955796 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955798 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955808 */     GIR_RootConstrainSelectedInstOperands,
     /*  955809 */     // GIR_Coverage, 63843,
     /*  955809 */     GIR_EraseRootFromParent_Done,
     /*  955810 */   // Label 14380: @955810
     /*  955810 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(955892), // Rule ID 63844 //
     /*  955815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  955829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  955832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955842 */     // MIs[0] op1
     /*  955842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  955862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  955869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  955872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955874 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955876 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955878 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955880 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955890 */     GIR_RootConstrainSelectedInstOperands,
     /*  955891 */     // GIR_Coverage, 63844,
     /*  955891 */     GIR_EraseRootFromParent_Done,
     /*  955892 */   // Label 14381: @955892
     /*  955892 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(955974), // Rule ID 63875 //
     /*  955897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  955908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  955911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  955914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955924 */     // MIs[0] op1
     /*  955924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  955951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  955954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955956 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955958 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955960 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955962 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955972 */     GIR_RootConstrainSelectedInstOperands,
     /*  955973 */     // GIR_Coverage, 63875,
     /*  955973 */     GIR_EraseRootFromParent_Done,
     /*  955974 */   // Label 14382: @955974
     /*  955974 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(956056), // Rule ID 63876 //
     /*  955979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  955990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  955993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  955996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956006 */     // MIs[0] op1
     /*  956006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956009 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  956036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956044 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956054 */     GIR_RootConstrainSelectedInstOperands,
     /*  956055 */     // GIR_Coverage, 63876,
     /*  956055 */     GIR_EraseRootFromParent_Done,
     /*  956056 */   // Label 14383: @956056
     /*  956056 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(956138), // Rule ID 63887 //
     /*  956061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  956081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956088 */     // MIs[0] op1
     /*  956088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  956118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956126 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956136 */     GIR_RootConstrainSelectedInstOperands,
     /*  956137 */     // GIR_Coverage, 63887,
     /*  956137 */     GIR_EraseRootFromParent_Done,
     /*  956138 */   // Label 14384: @956138
     /*  956138 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(956220), // Rule ID 63888 //
     /*  956143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  956163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956170 */     // MIs[0] op1
     /*  956170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956173 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  956200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956202 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956204 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956206 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956208 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956218 */     GIR_RootConstrainSelectedInstOperands,
     /*  956219 */     // GIR_Coverage, 63888,
     /*  956219 */     GIR_EraseRootFromParent_Done,
     /*  956220 */   // Label 14385: @956220
     /*  956220 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(956302), // Rule ID 63899 //
     /*  956225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956252 */     // MIs[0] op1
     /*  956252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956279 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  956282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956290 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956300 */     GIR_RootConstrainSelectedInstOperands,
     /*  956301 */     // GIR_Coverage, 63899,
     /*  956301 */     GIR_EraseRootFromParent_Done,
     /*  956302 */   // Label 14386: @956302
     /*  956302 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(956384), // Rule ID 63900 //
     /*  956307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956334 */     // MIs[0] op1
     /*  956334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956361 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  956364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956366 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956368 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956370 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956372 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956382 */     GIR_RootConstrainSelectedInstOperands,
     /*  956383 */     // GIR_Coverage, 63900,
     /*  956383 */     GIR_EraseRootFromParent_Done,
     /*  956384 */   // Label 14387: @956384
     /*  956384 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(956466), // Rule ID 63931 //
     /*  956389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956416 */     // MIs[0] op1
     /*  956416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  956446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956454 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956464 */     GIR_RootConstrainSelectedInstOperands,
     /*  956465 */     // GIR_Coverage, 63931,
     /*  956465 */     GIR_EraseRootFromParent_Done,
     /*  956466 */   // Label 14388: @956466
     /*  956466 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(956548), // Rule ID 63932 //
     /*  956471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956498 */     // MIs[0] op1
     /*  956498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956501 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956525 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  956528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956530 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956532 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956534 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956536 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956546 */     GIR_RootConstrainSelectedInstOperands,
     /*  956547 */     // GIR_Coverage, 63932,
     /*  956547 */     GIR_EraseRootFromParent_Done,
     /*  956548 */   // Label 14389: @956548
     /*  956548 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(956630), // Rule ID 63943 //
     /*  956553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  956573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956580 */     // MIs[0] op1
     /*  956580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  956610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956618 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956628 */     GIR_RootConstrainSelectedInstOperands,
     /*  956629 */     // GIR_Coverage, 63943,
     /*  956629 */     GIR_EraseRootFromParent_Done,
     /*  956630 */   // Label 14390: @956630
     /*  956630 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(956712), // Rule ID 63944 //
     /*  956635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  956655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956662 */     // MIs[0] op1
     /*  956662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956665 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11012:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  956692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956694 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956696 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956698 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956700 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956710 */     GIR_RootConstrainSelectedInstOperands,
     /*  956711 */     // GIR_Coverage, 63944,
     /*  956711 */     GIR_EraseRootFromParent_Done,
     /*  956712 */   // Label 14391: @956712
     /*  956712 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(956794), // Rule ID 63955 //
     /*  956717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956744 */     // MIs[0] op1
     /*  956744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956771 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  956774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956782 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956792 */     GIR_RootConstrainSelectedInstOperands,
     /*  956793 */     // GIR_Coverage, 63955,
     /*  956793 */     GIR_EraseRootFromParent_Done,
     /*  956794 */   // Label 14392: @956794
     /*  956794 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(956876), // Rule ID 63956 //
     /*  956799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  956816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956826 */     // MIs[0] op1
     /*  956826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10998:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  956856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956858 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956860 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956862 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956864 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956874 */     GIR_RootConstrainSelectedInstOperands,
     /*  956875 */     // GIR_Coverage, 63956,
     /*  956875 */     GIR_EraseRootFromParent_Done,
     /*  956876 */   // Label 14393: @956876
     /*  956876 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(956958), // Rule ID 63961 //
     /*  956881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  956892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  956895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  956898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956908 */     // MIs[0] op1
     /*  956908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956935 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  956935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  956938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956946 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956956 */     GIR_RootConstrainSelectedInstOperands,
     /*  956957 */     // GIR_Coverage, 63961,
     /*  956957 */     GIR_EraseRootFromParent_Done,
     /*  956958 */   // Label 14394: @956958
     /*  956958 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(957040), // Rule ID 63962 //
     /*  956963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  956974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  956977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  956980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956990 */     // MIs[0] op1
     /*  956990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  957020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957022 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957024 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957026 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957028 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957038 */     GIR_RootConstrainSelectedInstOperands,
     /*  957039 */     // GIR_Coverage, 63962,
     /*  957039 */     GIR_EraseRootFromParent_Done,
     /*  957040 */   // Label 14395: @957040
     /*  957040 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(957122), // Rule ID 63973 //
     /*  957045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  957065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957072 */     // MIs[0] op1
     /*  957072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  957102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957110 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957120 */     GIR_RootConstrainSelectedInstOperands,
     /*  957121 */     // GIR_Coverage, 63973,
     /*  957121 */     GIR_EraseRootFromParent_Done,
     /*  957122 */   // Label 14396: @957122
     /*  957122 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(957204), // Rule ID 63974 //
     /*  957127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  957147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957154 */     // MIs[0] op1
     /*  957154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957181 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  957184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957186 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957188 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957190 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957192 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957202 */     GIR_RootConstrainSelectedInstOperands,
     /*  957203 */     // GIR_Coverage, 63974,
     /*  957203 */     GIR_EraseRootFromParent_Done,
     /*  957204 */   // Label 14397: @957204
     /*  957204 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(957286), // Rule ID 63979 //
     /*  957209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957236 */     // MIs[0] op1
     /*  957236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957263 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  957266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957274 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957284 */     GIR_RootConstrainSelectedInstOperands,
     /*  957285 */     // GIR_Coverage, 63979,
     /*  957285 */     GIR_EraseRootFromParent_Done,
     /*  957286 */   // Label 14398: @957286
     /*  957286 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(957368), // Rule ID 63980 //
     /*  957291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957318 */     // MIs[0] op1
     /*  957318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  957348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957350 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957352 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957354 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957356 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957366 */     GIR_RootConstrainSelectedInstOperands,
     /*  957367 */     // GIR_Coverage, 63980,
     /*  957367 */     GIR_EraseRootFromParent_Done,
     /*  957368 */   // Label 14399: @957368
     /*  957368 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(957450), // Rule ID 63991 //
     /*  957373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  957393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957400 */     // MIs[0] op1
     /*  957400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  957430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957438 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957448 */     GIR_RootConstrainSelectedInstOperands,
     /*  957449 */     // GIR_Coverage, 63991,
     /*  957449 */     GIR_EraseRootFromParent_Done,
     /*  957450 */   // Label 14400: @957450
     /*  957450 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(957532), // Rule ID 63992 //
     /*  957455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  957475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957482 */     // MIs[0] op1
     /*  957482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957509 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  957512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957514 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957516 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957518 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957520 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957530 */     GIR_RootConstrainSelectedInstOperands,
     /*  957531 */     // GIR_Coverage, 63992,
     /*  957531 */     GIR_EraseRootFromParent_Done,
     /*  957532 */   // Label 14401: @957532
     /*  957532 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(957614), // Rule ID 63997 //
     /*  957537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  957554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957564 */     // MIs[0] op1
     /*  957564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957596 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957598 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957600 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957602 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957612 */     GIR_RootConstrainSelectedInstOperands,
     /*  957613 */     // GIR_Coverage, 63997,
     /*  957613 */     GIR_EraseRootFromParent_Done,
     /*  957614 */   // Label 14402: @957614
     /*  957614 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(957696), // Rule ID 63998 //
     /*  957619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  957636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957646 */     // MIs[0] op1
     /*  957646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  957676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957684 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957694 */     GIR_RootConstrainSelectedInstOperands,
     /*  957695 */     // GIR_Coverage, 63998,
     /*  957695 */     GIR_EraseRootFromParent_Done,
     /*  957696 */   // Label 14403: @957696
     /*  957696 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(957778), // Rule ID 64009 //
     /*  957701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  957718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  957721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957728 */     // MIs[0] op1
     /*  957728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957760 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957762 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957764 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957766 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957776 */     GIR_RootConstrainSelectedInstOperands,
     /*  957777 */     // GIR_Coverage, 64009,
     /*  957777 */     GIR_EraseRootFromParent_Done,
     /*  957778 */   // Label 14404: @957778
     /*  957778 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(957860), // Rule ID 64010 //
     /*  957783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  957800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  957803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957810 */     // MIs[0] op1
     /*  957810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  957840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957842 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957844 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957846 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957848 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957858 */     GIR_RootConstrainSelectedInstOperands,
     /*  957859 */     // GIR_Coverage, 64010,
     /*  957859 */     GIR_EraseRootFromParent_Done,
     /*  957860 */   // Label 14405: @957860
     /*  957860 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(957942), // Rule ID 64015 //
     /*  957865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  957876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  957879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  957882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957892 */     // MIs[0] op1
     /*  957892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  957922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957924 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957926 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957928 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957930 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957940 */     GIR_RootConstrainSelectedInstOperands,
     /*  957941 */     // GIR_Coverage, 64015,
     /*  957941 */     GIR_EraseRootFromParent_Done,
     /*  957942 */   // Label 14406: @957942
     /*  957942 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(958024), // Rule ID 64016 //
     /*  957947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  957958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  957961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  957964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957974 */     // MIs[0] op1
     /*  957974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  958004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958012 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958022 */     GIR_RootConstrainSelectedInstOperands,
     /*  958023 */     // GIR_Coverage, 64016,
     /*  958023 */     GIR_EraseRootFromParent_Done,
     /*  958024 */   // Label 14407: @958024
     /*  958024 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(958106), // Rule ID 64027 //
     /*  958029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  958049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958056 */     // MIs[0] op1
     /*  958056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  958086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958088 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958090 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958092 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958094 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958104 */     GIR_RootConstrainSelectedInstOperands,
     /*  958105 */     // GIR_Coverage, 64027,
     /*  958105 */     GIR_EraseRootFromParent_Done,
     /*  958106 */   // Label 14408: @958106
     /*  958106 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(958188), // Rule ID 64028 //
     /*  958111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  958131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958138 */     // MIs[0] op1
     /*  958138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  958168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958176 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958186 */     GIR_RootConstrainSelectedInstOperands,
     /*  958187 */     // GIR_Coverage, 64028,
     /*  958187 */     GIR_EraseRootFromParent_Done,
     /*  958188 */   // Label 14409: @958188
     /*  958188 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(958270), // Rule ID 64033 //
     /*  958193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958220 */     // MIs[0] op1
     /*  958220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958223 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958252 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958254 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958256 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958258 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958268 */     GIR_RootConstrainSelectedInstOperands,
     /*  958269 */     // GIR_Coverage, 64033,
     /*  958269 */     GIR_EraseRootFromParent_Done,
     /*  958270 */   // Label 14410: @958270
     /*  958270 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(958352), // Rule ID 64034 //
     /*  958275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958302 */     // MIs[0] op1
     /*  958302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958329 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958340 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958350 */     GIR_RootConstrainSelectedInstOperands,
     /*  958351 */     // GIR_Coverage, 64034,
     /*  958351 */     GIR_EraseRootFromParent_Done,
     /*  958352 */   // Label 14411: @958352
     /*  958352 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(958434), // Rule ID 64045 //
     /*  958357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  958377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958384 */     // MIs[0] op1
     /*  958384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958416 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958418 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958420 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958422 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958432 */     GIR_RootConstrainSelectedInstOperands,
     /*  958433 */     // GIR_Coverage, 64045,
     /*  958433 */     GIR_EraseRootFromParent_Done,
     /*  958434 */   // Label 14412: @958434
     /*  958434 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(958516), // Rule ID 64046 //
     /*  958439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  958459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958466 */     // MIs[0] op1
     /*  958466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  958496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958504 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958514 */     GIR_RootConstrainSelectedInstOperands,
     /*  958515 */     // GIR_Coverage, 64046,
     /*  958515 */     GIR_EraseRootFromParent_Done,
     /*  958516 */   // Label 14413: @958516
     /*  958516 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(958598), // Rule ID 64051 //
     /*  958521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958548 */     // MIs[0] op1
     /*  958548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958580 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958582 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958584 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958586 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958596 */     GIR_RootConstrainSelectedInstOperands,
     /*  958597 */     // GIR_Coverage, 64051,
     /*  958597 */     GIR_EraseRootFromParent_Done,
     /*  958598 */   // Label 14414: @958598
     /*  958598 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(958680), // Rule ID 64052 //
     /*  958603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958630 */     // MIs[0] op1
     /*  958630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958657 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  958660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958662 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958664 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958666 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958668 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958678 */     GIR_RootConstrainSelectedInstOperands,
     /*  958679 */     // GIR_Coverage, 64052,
     /*  958679 */     GIR_EraseRootFromParent_Done,
     /*  958680 */   // Label 14415: @958680
     /*  958680 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(958762), // Rule ID 64063 //
     /*  958685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  958705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958712 */     // MIs[0] op1
     /*  958712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958750 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958760 */     GIR_RootConstrainSelectedInstOperands,
     /*  958761 */     // GIR_Coverage, 64063,
     /*  958761 */     GIR_EraseRootFromParent_Done,
     /*  958762 */   // Label 14416: @958762
     /*  958762 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(958844), // Rule ID 64064 //
     /*  958767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  958787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958794 */     // MIs[0] op1
     /*  958794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  958824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958832 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958842 */     GIR_RootConstrainSelectedInstOperands,
     /*  958843 */     // GIR_Coverage, 64064,
     /*  958843 */     GIR_EraseRootFromParent_Done,
     /*  958844 */   // Label 14417: @958844
     /*  958844 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(958926), // Rule ID 64069 //
     /*  958849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  958860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  958863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  958866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958876 */     // MIs[0] op1
     /*  958876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  958903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  958906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958908 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958910 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958912 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958914 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958924 */     GIR_RootConstrainSelectedInstOperands,
     /*  958925 */     // GIR_Coverage, 64069,
     /*  958925 */     GIR_EraseRootFromParent_Done,
     /*  958926 */   // Label 14418: @958926
     /*  958926 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(959008), // Rule ID 64070 //
     /*  958931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  958942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  958945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  958948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958958 */     // MIs[0] op1
     /*  958958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958961 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  958985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  958988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958990 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958992 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958994 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958996 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959006 */     GIR_RootConstrainSelectedInstOperands,
     /*  959007 */     // GIR_Coverage, 64070,
     /*  959007 */     GIR_EraseRootFromParent_Done,
     /*  959008 */   // Label 14419: @959008
     /*  959008 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(959090), // Rule ID 64081 //
     /*  959013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  959033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959040 */     // MIs[0] op1
     /*  959040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  959070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959078 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959088 */     GIR_RootConstrainSelectedInstOperands,
     /*  959089 */     // GIR_Coverage, 64081,
     /*  959089 */     GIR_EraseRootFromParent_Done,
     /*  959090 */   // Label 14420: @959090
     /*  959090 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(959172), // Rule ID 64082 //
     /*  959095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  959115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959122 */     // MIs[0] op1
     /*  959122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  959152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959170 */     GIR_RootConstrainSelectedInstOperands,
     /*  959171 */     // GIR_Coverage, 64082,
     /*  959171 */     GIR_EraseRootFromParent_Done,
     /*  959172 */   // Label 14421: @959172
     /*  959172 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(959254), // Rule ID 64087 //
     /*  959177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959204 */     // MIs[0] op1
     /*  959204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959231 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  959234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959236 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959238 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959240 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959242 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959252 */     GIR_RootConstrainSelectedInstOperands,
     /*  959253 */     // GIR_Coverage, 64087,
     /*  959253 */     GIR_EraseRootFromParent_Done,
     /*  959254 */   // Label 14422: @959254
     /*  959254 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(959336), // Rule ID 64088 //
     /*  959259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959286 */     // MIs[0] op1
     /*  959286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  959316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959318 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959320 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959322 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959324 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959334 */     GIR_RootConstrainSelectedInstOperands,
     /*  959335 */     // GIR_Coverage, 64088,
     /*  959335 */     GIR_EraseRootFromParent_Done,
     /*  959336 */   // Label 14423: @959336
     /*  959336 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(959418), // Rule ID 64093 //
     /*  959341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959368 */     // MIs[0] op1
     /*  959368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  959398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959406 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959416 */     GIR_RootConstrainSelectedInstOperands,
     /*  959417 */     // GIR_Coverage, 64093,
     /*  959417 */     GIR_EraseRootFromParent_Done,
     /*  959418 */   // Label 14424: @959418
     /*  959418 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(959500), // Rule ID 64094 //
     /*  959423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959450 */     // MIs[0] op1
     /*  959450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  959480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959498 */     GIR_RootConstrainSelectedInstOperands,
     /*  959499 */     // GIR_Coverage, 64094,
     /*  959499 */     GIR_EraseRootFromParent_Done,
     /*  959500 */   // Label 14425: @959500
     /*  959500 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(959582), // Rule ID 64105 //
     /*  959505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  959525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959532 */     // MIs[0] op1
     /*  959532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  959562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959570 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959580 */     GIR_RootConstrainSelectedInstOperands,
     /*  959581 */     // GIR_Coverage, 64105,
     /*  959581 */     GIR_EraseRootFromParent_Done,
     /*  959582 */   // Label 14426: @959582
     /*  959582 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(959664), // Rule ID 64106 //
     /*  959587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  959607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959614 */     // MIs[0] op1
     /*  959614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  959644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959646 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959648 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959650 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959652 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959662 */     GIR_RootConstrainSelectedInstOperands,
     /*  959663 */     // GIR_Coverage, 64106,
     /*  959663 */     GIR_EraseRootFromParent_Done,
     /*  959664 */   // Label 14427: @959664
     /*  959664 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(959746), // Rule ID 64111 //
     /*  959669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959696 */     // MIs[0] op1
     /*  959696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  959726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959734 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959744 */     GIR_RootConstrainSelectedInstOperands,
     /*  959745 */     // GIR_Coverage, 64111,
     /*  959745 */     GIR_EraseRootFromParent_Done,
     /*  959746 */   // Label 14428: @959746
     /*  959746 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(959828), // Rule ID 64112 //
     /*  959751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959778 */     // MIs[0] op1
     /*  959778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  959808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959826 */     GIR_RootConstrainSelectedInstOperands,
     /*  959827 */     // GIR_Coverage, 64112,
     /*  959827 */     GIR_EraseRootFromParent_Done,
     /*  959828 */   // Label 14429: @959828
     /*  959828 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(959910), // Rule ID 64117 //
     /*  959833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  959844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  959847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  959850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959860 */     // MIs[0] op1
     /*  959860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  959890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959892 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959894 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959896 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959898 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959908 */     GIR_RootConstrainSelectedInstOperands,
     /*  959909 */     // GIR_Coverage, 64117,
     /*  959909 */     GIR_EraseRootFromParent_Done,
     /*  959910 */   // Label 14430: @959910
     /*  959910 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(959992), // Rule ID 64118 //
     /*  959915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  959926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  959929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  959932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959942 */     // MIs[0] op1
     /*  959942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  959972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959974 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959976 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959978 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959980 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959990 */     GIR_RootConstrainSelectedInstOperands,
     /*  959991 */     // GIR_Coverage, 64118,
     /*  959991 */     GIR_EraseRootFromParent_Done,
     /*  959992 */   // Label 14431: @959992
     /*  959992 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(960074), // Rule ID 64129 //
     /*  959997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  960017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960024 */     // MIs[0] op1
     /*  960024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  960054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960056 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960058 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960060 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960062 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960072 */     GIR_RootConstrainSelectedInstOperands,
     /*  960073 */     // GIR_Coverage, 64129,
     /*  960073 */     GIR_EraseRootFromParent_Done,
     /*  960074 */   // Label 14432: @960074
     /*  960074 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(960156), // Rule ID 64130 //
     /*  960079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  960099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960106 */     // MIs[0] op1
     /*  960106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960133 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  960136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960144 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960154 */     GIR_RootConstrainSelectedInstOperands,
     /*  960155 */     // GIR_Coverage, 64130,
     /*  960155 */     GIR_EraseRootFromParent_Done,
     /*  960156 */   // Label 14433: @960156
     /*  960156 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(960238), // Rule ID 64135 //
     /*  960161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960188 */     // MIs[0] op1
     /*  960188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960215 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  960218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960220 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960222 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960224 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960226 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960236 */     GIR_RootConstrainSelectedInstOperands,
     /*  960237 */     // GIR_Coverage, 64135,
     /*  960237 */     GIR_EraseRootFromParent_Done,
     /*  960238 */   // Label 14434: @960238
     /*  960238 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(960320), // Rule ID 64136 //
     /*  960243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960270 */     // MIs[0] op1
     /*  960270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960297 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  960300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960302 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960304 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960306 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960308 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960318 */     GIR_RootConstrainSelectedInstOperands,
     /*  960319 */     // GIR_Coverage, 64136,
     /*  960319 */     GIR_EraseRootFromParent_Done,
     /*  960320 */   // Label 14435: @960320
     /*  960320 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(960402), // Rule ID 64141 //
     /*  960325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960352 */     // MIs[0] op1
     /*  960352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960379 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  960382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960384 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960386 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960388 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960390 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960400 */     GIR_RootConstrainSelectedInstOperands,
     /*  960401 */     // GIR_Coverage, 64141,
     /*  960401 */     GIR_EraseRootFromParent_Done,
     /*  960402 */   // Label 14436: @960402
     /*  960402 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(960484), // Rule ID 64142 //
     /*  960407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960434 */     // MIs[0] op1
     /*  960434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  960464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960472 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960482 */     GIR_RootConstrainSelectedInstOperands,
     /*  960483 */     // GIR_Coverage, 64142,
     /*  960483 */     GIR_EraseRootFromParent_Done,
     /*  960484 */   // Label 14437: @960484
     /*  960484 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(960566), // Rule ID 64153 //
     /*  960489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  960509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960516 */     // MIs[0] op1
     /*  960516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  960546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960548 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960550 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960552 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960554 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960564 */     GIR_RootConstrainSelectedInstOperands,
     /*  960565 */     // GIR_Coverage, 64153,
     /*  960565 */     GIR_EraseRootFromParent_Done,
     /*  960566 */   // Label 14438: @960566
     /*  960566 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(960648), // Rule ID 64154 //
     /*  960571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  960591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960598 */     // MIs[0] op1
     /*  960598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  960628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960636 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960646 */     GIR_RootConstrainSelectedInstOperands,
     /*  960647 */     // GIR_Coverage, 64154,
     /*  960647 */     GIR_EraseRootFromParent_Done,
     /*  960648 */   // Label 14439: @960648
     /*  960648 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(960730), // Rule ID 64159 //
     /*  960653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960680 */     // MIs[0] op1
     /*  960680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  960710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960712 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960714 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960716 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960718 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960728 */     GIR_RootConstrainSelectedInstOperands,
     /*  960729 */     // GIR_Coverage, 64159,
     /*  960729 */     GIR_EraseRootFromParent_Done,
     /*  960730 */   // Label 14440: @960730
     /*  960730 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(960812), // Rule ID 64160 //
     /*  960735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  960752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960762 */     // MIs[0] op1
     /*  960762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960789 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  960792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960800 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960810 */     GIR_RootConstrainSelectedInstOperands,
     /*  960811 */     // GIR_Coverage, 64160,
     /*  960811 */     GIR_EraseRootFromParent_Done,
     /*  960812 */   // Label 14441: @960812
     /*  960812 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(960894), // Rule ID 64165 //
     /*  960817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  960828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  960831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  960834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960844 */     // MIs[0] op1
     /*  960844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  960874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960876 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960878 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960880 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960882 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960892 */     GIR_RootConstrainSelectedInstOperands,
     /*  960893 */     // GIR_Coverage, 64165,
     /*  960893 */     GIR_EraseRootFromParent_Done,
     /*  960894 */   // Label 14442: @960894
     /*  960894 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(960976), // Rule ID 64166 //
     /*  960899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  960910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  960913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  960916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960926 */     // MIs[0] op1
     /*  960926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  960956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960964 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960974 */     GIR_RootConstrainSelectedInstOperands,
     /*  960975 */     // GIR_Coverage, 64166,
     /*  960975 */     GIR_EraseRootFromParent_Done,
     /*  960976 */   // Label 14443: @960976
     /*  960976 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(961058), // Rule ID 64177 //
     /*  960981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  960992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  960995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  960998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  961001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961008 */     // MIs[0] op1
     /*  961008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  961038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961040 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961042 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961044 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961046 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961056 */     GIR_RootConstrainSelectedInstOperands,
     /*  961057 */     // GIR_Coverage, 64177,
     /*  961057 */     GIR_EraseRootFromParent_Done,
     /*  961058 */   // Label 14444: @961058
     /*  961058 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(961140), // Rule ID 64178 //
     /*  961063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  961083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961090 */     // MIs[0] op1
     /*  961090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  961120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961128 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961138 */     GIR_RootConstrainSelectedInstOperands,
     /*  961139 */     // GIR_Coverage, 64178,
     /*  961139 */     GIR_EraseRootFromParent_Done,
     /*  961140 */   // Label 14445: @961140
     /*  961140 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(961222), // Rule ID 64183 //
     /*  961145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961172 */     // MIs[0] op1
     /*  961172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  961202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961204 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961206 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961208 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961210 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961220 */     GIR_RootConstrainSelectedInstOperands,
     /*  961221 */     // GIR_Coverage, 64183,
     /*  961221 */     GIR_EraseRootFromParent_Done,
     /*  961222 */   // Label 14446: @961222
     /*  961222 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(961304), // Rule ID 64184 //
     /*  961227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961254 */     // MIs[0] op1
     /*  961254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  961284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961292 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961302 */     GIR_RootConstrainSelectedInstOperands,
     /*  961303 */     // GIR_Coverage, 64184,
     /*  961303 */     GIR_EraseRootFromParent_Done,
     /*  961304 */   // Label 14447: @961304
     /*  961304 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(961386), // Rule ID 64189 //
     /*  961309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961336 */     // MIs[0] op1
     /*  961336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  961366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961368 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961370 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961372 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961374 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961384 */     GIR_RootConstrainSelectedInstOperands,
     /*  961385 */     // GIR_Coverage, 64189,
     /*  961385 */     GIR_EraseRootFromParent_Done,
     /*  961386 */   // Label 14448: @961386
     /*  961386 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(961468), // Rule ID 64190 //
     /*  961391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961418 */     // MIs[0] op1
     /*  961418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961445 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  961448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961456 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961466 */     GIR_RootConstrainSelectedInstOperands,
     /*  961467 */     // GIR_Coverage, 64190,
     /*  961467 */     GIR_EraseRootFromParent_Done,
     /*  961468 */   // Label 14449: @961468
     /*  961468 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(961550), // Rule ID 64201 //
     /*  961473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  961493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961500 */     // MIs[0] op1
     /*  961500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  961530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961538 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961548 */     GIR_RootConstrainSelectedInstOperands,
     /*  961549 */     // GIR_Coverage, 64201,
     /*  961549 */     GIR_EraseRootFromParent_Done,
     /*  961550 */   // Label 14450: @961550
     /*  961550 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(961632), // Rule ID 64202 //
     /*  961555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  961575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961582 */     // MIs[0] op1
     /*  961582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  961612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961620 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961630 */     GIR_RootConstrainSelectedInstOperands,
     /*  961631 */     // GIR_Coverage, 64202,
     /*  961631 */     GIR_EraseRootFromParent_Done,
     /*  961632 */   // Label 14451: @961632
     /*  961632 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(961714), // Rule ID 64207 //
     /*  961637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961664 */     // MIs[0] op1
     /*  961664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  961684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  961694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961696 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961698 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961700 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961702 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961712 */     GIR_RootConstrainSelectedInstOperands,
     /*  961713 */     // GIR_Coverage, 64207,
     /*  961713 */     GIR_EraseRootFromParent_Done,
     /*  961714 */   // Label 14452: @961714
     /*  961714 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(961796), // Rule ID 64208 //
     /*  961719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  961733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961746 */     // MIs[0] op1
     /*  961746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  961766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961773 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  961776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961784 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961794 */     GIR_RootConstrainSelectedInstOperands,
     /*  961795 */     // GIR_Coverage, 64208,
     /*  961795 */     GIR_EraseRootFromParent_Done,
     /*  961796 */   // Label 14453: @961796
     /*  961796 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(961878), // Rule ID 64213 //
     /*  961801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  961812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  961815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  961818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961828 */     // MIs[0] op1
     /*  961828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961855 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  961855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  961858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961866 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961876 */     GIR_RootConstrainSelectedInstOperands,
     /*  961877 */     // GIR_Coverage, 64213,
     /*  961877 */     GIR_EraseRootFromParent_Done,
     /*  961878 */   // Label 14454: @961878
     /*  961878 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(961960), // Rule ID 64214 //
     /*  961883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  961894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  961897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  961900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961910 */     // MIs[0] op1
     /*  961910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  961937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  961940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961948 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961958 */     GIR_RootConstrainSelectedInstOperands,
     /*  961959 */     // GIR_Coverage, 64214,
     /*  961959 */     GIR_EraseRootFromParent_Done,
     /*  961960 */   // Label 14455: @961960
     /*  961960 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(962042), // Rule ID 64225 //
     /*  961965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  961976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  961979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  961982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  961985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961992 */     // MIs[0] op1
     /*  961992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  962022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962024 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962026 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962028 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962030 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962040 */     GIR_RootConstrainSelectedInstOperands,
     /*  962041 */     // GIR_Coverage, 64225,
     /*  962041 */     GIR_EraseRootFromParent_Done,
     /*  962042 */   // Label 14456: @962042
     /*  962042 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(962124), // Rule ID 64226 //
     /*  962047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  962067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962074 */     // MIs[0] op1
     /*  962074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  962104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962106 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962108 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962110 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962112 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962122 */     GIR_RootConstrainSelectedInstOperands,
     /*  962123 */     // GIR_Coverage, 64226,
     /*  962123 */     GIR_EraseRootFromParent_Done,
     /*  962124 */   // Label 14457: @962124
     /*  962124 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(962206), // Rule ID 64231 //
     /*  962129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962156 */     // MIs[0] op1
     /*  962156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  962186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962194 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962204 */     GIR_RootConstrainSelectedInstOperands,
     /*  962205 */     // GIR_Coverage, 64231,
     /*  962205 */     GIR_EraseRootFromParent_Done,
     /*  962206 */   // Label 14458: @962206
     /*  962206 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(962288), // Rule ID 64232 //
     /*  962211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962238 */     // MIs[0] op1
     /*  962238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  962268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962276 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962286 */     GIR_RootConstrainSelectedInstOperands,
     /*  962287 */     // GIR_Coverage, 64232,
     /*  962287 */     GIR_EraseRootFromParent_Done,
     /*  962288 */   // Label 14459: @962288
     /*  962288 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(962370), // Rule ID 64237 //
     /*  962293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962320 */     // MIs[0] op1
     /*  962320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962323 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  962350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962352 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962354 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962356 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962358 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962368 */     GIR_RootConstrainSelectedInstOperands,
     /*  962369 */     // GIR_Coverage, 64237,
     /*  962369 */     GIR_EraseRootFromParent_Done,
     /*  962370 */   // Label 14460: @962370
     /*  962370 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(962452), // Rule ID 64238 //
     /*  962375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962402 */     // MIs[0] op1
     /*  962402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962429 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  962432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962440 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962450 */     GIR_RootConstrainSelectedInstOperands,
     /*  962451 */     // GIR_Coverage, 64238,
     /*  962451 */     GIR_EraseRootFromParent_Done,
     /*  962452 */   // Label 14461: @962452
     /*  962452 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(962534), // Rule ID 64249 //
     /*  962457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  962477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962484 */     // MIs[0] op1
     /*  962484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  962514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962516 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962518 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962520 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962522 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962532 */     GIR_RootConstrainSelectedInstOperands,
     /*  962533 */     // GIR_Coverage, 64249,
     /*  962533 */     GIR_EraseRootFromParent_Done,
     /*  962534 */   // Label 14462: @962534
     /*  962534 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(962616), // Rule ID 64250 //
     /*  962539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  962559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962566 */     // MIs[0] op1
     /*  962566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962593 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  962596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962604 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962614 */     GIR_RootConstrainSelectedInstOperands,
     /*  962615 */     // GIR_Coverage, 64250,
     /*  962615 */     GIR_EraseRootFromParent_Done,
     /*  962616 */   // Label 14463: @962616
     /*  962616 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(962698), // Rule ID 64255 //
     /*  962621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962648 */     // MIs[0] op1
     /*  962648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  962678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962680 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962682 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962684 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962686 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962696 */     GIR_RootConstrainSelectedInstOperands,
     /*  962697 */     // GIR_Coverage, 64255,
     /*  962697 */     GIR_EraseRootFromParent_Done,
     /*  962698 */   // Label 14464: @962698
     /*  962698 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(962780), // Rule ID 64256 //
     /*  962703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962730 */     // MIs[0] op1
     /*  962730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962757 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  962760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962768 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962778 */     GIR_RootConstrainSelectedInstOperands,
     /*  962779 */     // GIR_Coverage, 64256,
     /*  962779 */     GIR_EraseRootFromParent_Done,
     /*  962780 */   // Label 14465: @962780
     /*  962780 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(962862), // Rule ID 64261 //
     /*  962785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  962802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962812 */     // MIs[0] op1
     /*  962812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962815 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  962842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962844 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962846 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962848 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962850 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962860 */     GIR_RootConstrainSelectedInstOperands,
     /*  962861 */     // GIR_Coverage, 64261,
     /*  962861 */     GIR_EraseRootFromParent_Done,
     /*  962862 */   // Label 14466: @962862
     /*  962862 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(962944), // Rule ID 64262 //
     /*  962867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  962884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962894 */     // MIs[0] op1
     /*  962894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  962924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962932 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962942 */     GIR_RootConstrainSelectedInstOperands,
     /*  962943 */     // GIR_Coverage, 64262,
     /*  962943 */     GIR_EraseRootFromParent_Done,
     /*  962944 */   // Label 14467: @962944
     /*  962944 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(963026), // Rule ID 64273 //
     /*  962949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  962963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  962966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  962969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962976 */     // MIs[0] op1
     /*  962976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963003 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  963006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963008 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963010 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963012 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963014 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963024 */     GIR_RootConstrainSelectedInstOperands,
     /*  963025 */     // GIR_Coverage, 64273,
     /*  963025 */     GIR_EraseRootFromParent_Done,
     /*  963026 */   // Label 14468: @963026
     /*  963026 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(963108), // Rule ID 64274 //
     /*  963031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  963039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  963051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963058 */     // MIs[0] op1
     /*  963058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  963088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963096 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963106 */     GIR_RootConstrainSelectedInstOperands,
     /*  963107 */     // GIR_Coverage, 64274,
     /*  963107 */     GIR_EraseRootFromParent_Done,
     /*  963108 */   // Label 14469: @963108
     /*  963108 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(963190), // Rule ID 64279 //
     /*  963113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963140 */     // MIs[0] op1
     /*  963140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  963170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963172 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963174 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963176 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963178 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963188 */     GIR_RootConstrainSelectedInstOperands,
     /*  963189 */     // GIR_Coverage, 64279,
     /*  963189 */     GIR_EraseRootFromParent_Done,
     /*  963190 */   // Label 14470: @963190
     /*  963190 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(963272), // Rule ID 64280 //
     /*  963195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963222 */     // MIs[0] op1
     /*  963222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963249 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11000:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  963252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963254 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963256 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963258 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963260 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963270 */     GIR_RootConstrainSelectedInstOperands,
     /*  963271 */     // GIR_Coverage, 64280,
     /*  963271 */     GIR_EraseRootFromParent_Done,
     /*  963272 */   // Label 14471: @963272
     /*  963272 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(963364), // Rule ID 5094 //
     /*  963277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  963288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  963291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963327 */     // MIs[1] Operand 1
     /*  963327 */     // No operand predicates
     /*  963327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963340 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  963340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  963343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963362 */     GIR_RootConstrainSelectedInstOperands,
     /*  963363 */     // GIR_Coverage, 5094,
     /*  963363 */     GIR_EraseRootFromParent_Done,
     /*  963364 */   // Label 14472: @963364
     /*  963364 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(963456), // Rule ID 5095 //
     /*  963369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  963380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  963383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963419 */     // MIs[1] Operand 1
     /*  963419 */     // No operand predicates
     /*  963419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963432 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  963432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  963435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963454 */     GIR_RootConstrainSelectedInstOperands,
     /*  963455 */     // GIR_Coverage, 5095,
     /*  963455 */     GIR_EraseRootFromParent_Done,
     /*  963456 */   // Label 14473: @963456
     /*  963456 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(963548), // Rule ID 5096 //
     /*  963461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  963472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  963475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963511 */     // MIs[1] Operand 1
     /*  963511 */     // No operand predicates
     /*  963511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963524 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  963524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  963527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963546 */     GIR_RootConstrainSelectedInstOperands,
     /*  963547 */     // GIR_Coverage, 5096,
     /*  963547 */     GIR_EraseRootFromParent_Done,
     /*  963548 */   // Label 14474: @963548
     /*  963548 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(963640), // Rule ID 5097 //
     /*  963553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  963564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  963567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  963570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963603 */     // MIs[1] Operand 1
     /*  963603 */     // No operand predicates
     /*  963603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  963616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  963619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963638 */     GIR_RootConstrainSelectedInstOperands,
     /*  963639 */     // GIR_Coverage, 5097,
     /*  963639 */     GIR_EraseRootFromParent_Done,
     /*  963640 */   // Label 14475: @963640
     /*  963640 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(963732), // Rule ID 5098 //
     /*  963645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  963656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  963659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963695 */     // MIs[1] Operand 1
     /*  963695 */     // No operand predicates
     /*  963695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  963708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  963711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963730 */     GIR_RootConstrainSelectedInstOperands,
     /*  963731 */     // GIR_Coverage, 5098,
     /*  963731 */     GIR_EraseRootFromParent_Done,
     /*  963732 */   // Label 14476: @963732
     /*  963732 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(963824), // Rule ID 5099 //
     /*  963737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  963748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  963751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  963754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  963760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963787 */     // MIs[1] Operand 1
     /*  963787 */     // No operand predicates
     /*  963787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  963800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  963803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963822 */     GIR_RootConstrainSelectedInstOperands,
     /*  963823 */     // GIR_Coverage, 5099,
     /*  963823 */     GIR_EraseRootFromParent_Done,
     /*  963824 */   // Label 14477: @963824
     /*  963824 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(963916), // Rule ID 5100 //
     /*  963829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  963840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  963843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963879 */     // MIs[1] Operand 1
     /*  963879 */     // No operand predicates
     /*  963879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  963892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  963895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963914 */     GIR_RootConstrainSelectedInstOperands,
     /*  963915 */     // GIR_Coverage, 5100,
     /*  963915 */     GIR_EraseRootFromParent_Done,
     /*  963916 */   // Label 14478: @963916
     /*  963916 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(964008), // Rule ID 5101 //
     /*  963921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  963932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  963935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963971 */     // MIs[1] Operand 1
     /*  963971 */     // No operand predicates
     /*  963971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  963984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  963987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964006 */     GIR_RootConstrainSelectedInstOperands,
     /*  964007 */     // GIR_Coverage, 5101,
     /*  964007 */     GIR_EraseRootFromParent_Done,
     /*  964008 */   // Label 14479: @964008
     /*  964008 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(964100), // Rule ID 5102 //
     /*  964013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964063 */     // MIs[1] Operand 1
     /*  964063 */     // No operand predicates
     /*  964063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964076 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  964076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964098 */     GIR_RootConstrainSelectedInstOperands,
     /*  964099 */     // GIR_Coverage, 5102,
     /*  964099 */     GIR_EraseRootFromParent_Done,
     /*  964100 */   // Label 14480: @964100
     /*  964100 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(964192), // Rule ID 5103 //
     /*  964105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964155 */     // MIs[1] Operand 1
     /*  964155 */     // No operand predicates
     /*  964155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  964168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964190 */     GIR_RootConstrainSelectedInstOperands,
     /*  964191 */     // GIR_Coverage, 5103,
     /*  964191 */     GIR_EraseRootFromParent_Done,
     /*  964192 */   // Label 14481: @964192
     /*  964192 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(964284), // Rule ID 5104 //
     /*  964197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  964208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  964211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964247 */     // MIs[1] Operand 1
     /*  964247 */     // No operand predicates
     /*  964247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964260 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  964260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964282 */     GIR_RootConstrainSelectedInstOperands,
     /*  964283 */     // GIR_Coverage, 5104,
     /*  964283 */     GIR_EraseRootFromParent_Done,
     /*  964284 */   // Label 14482: @964284
     /*  964284 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(964376), // Rule ID 5105 //
     /*  964289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  964300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  964303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964339 */     // MIs[1] Operand 1
     /*  964339 */     // No operand predicates
     /*  964339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  964352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964374 */     GIR_RootConstrainSelectedInstOperands,
     /*  964375 */     // GIR_Coverage, 5105,
     /*  964375 */     GIR_EraseRootFromParent_Done,
     /*  964376 */   // Label 14483: @964376
     /*  964376 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(964468), // Rule ID 5106 //
     /*  964381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  964392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  964395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964431 */     // MIs[1] Operand 1
     /*  964431 */     // No operand predicates
     /*  964431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  964444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964466 */     GIR_RootConstrainSelectedInstOperands,
     /*  964467 */     // GIR_Coverage, 5106,
     /*  964467 */     GIR_EraseRootFromParent_Done,
     /*  964468 */   // Label 14484: @964468
     /*  964468 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(964560), // Rule ID 5107 //
     /*  964473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  964484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  964487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964523 */     // MIs[1] Operand 1
     /*  964523 */     // No operand predicates
     /*  964523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  964536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964558 */     GIR_RootConstrainSelectedInstOperands,
     /*  964559 */     // GIR_Coverage, 5107,
     /*  964559 */     GIR_EraseRootFromParent_Done,
     /*  964560 */   // Label 14485: @964560
     /*  964560 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(964652), // Rule ID 5108 //
     /*  964565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  964576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  964579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964615 */     // MIs[1] Operand 1
     /*  964615 */     // No operand predicates
     /*  964615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  964628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964650 */     GIR_RootConstrainSelectedInstOperands,
     /*  964651 */     // GIR_Coverage, 5108,
     /*  964651 */     GIR_EraseRootFromParent_Done,
     /*  964652 */   // Label 14486: @964652
     /*  964652 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(964744), // Rule ID 5109 //
     /*  964657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  964668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  964671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  964674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964707 */     // MIs[1] Operand 1
     /*  964707 */     // No operand predicates
     /*  964707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  964720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964742 */     GIR_RootConstrainSelectedInstOperands,
     /*  964743 */     // GIR_Coverage, 5109,
     /*  964743 */     GIR_EraseRootFromParent_Done,
     /*  964744 */   // Label 14487: @964744
     /*  964744 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(964836), // Rule ID 5110 //
     /*  964749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  964760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  964763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964799 */     // MIs[1] Operand 1
     /*  964799 */     // No operand predicates
     /*  964799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  964812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964834 */     GIR_RootConstrainSelectedInstOperands,
     /*  964835 */     // GIR_Coverage, 5110,
     /*  964835 */     GIR_EraseRootFromParent_Done,
     /*  964836 */   // Label 14488: @964836
     /*  964836 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(964928), // Rule ID 5111 //
     /*  964841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  964852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  964855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964891 */     // MIs[1] Operand 1
     /*  964891 */     // No operand predicates
     /*  964891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  964904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964926 */     GIR_RootConstrainSelectedInstOperands,
     /*  964927 */     // GIR_Coverage, 5111,
     /*  964927 */     GIR_EraseRootFromParent_Done,
     /*  964928 */   // Label 14489: @964928
     /*  964928 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(965020), // Rule ID 5112 //
     /*  964933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  964936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  964944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  964947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  964950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964983 */     // MIs[1] Operand 1
     /*  964983 */     // No operand predicates
     /*  964983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  964996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  964999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965018 */     GIR_RootConstrainSelectedInstOperands,
     /*  965019 */     // GIR_Coverage, 5112,
     /*  965019 */     GIR_EraseRootFromParent_Done,
     /*  965020 */   // Label 14490: @965020
     /*  965020 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(965112), // Rule ID 5113 //
     /*  965025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  965036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  965039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  965042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965075 */     // MIs[1] Operand 1
     /*  965075 */     // No operand predicates
     /*  965075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  965088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965110 */     GIR_RootConstrainSelectedInstOperands,
     /*  965111 */     // GIR_Coverage, 5113,
     /*  965111 */     GIR_EraseRootFromParent_Done,
     /*  965112 */   // Label 14491: @965112
     /*  965112 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(965204), // Rule ID 5114 //
     /*  965117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  965128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  965131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965167 */     // MIs[1] Operand 1
     /*  965167 */     // No operand predicates
     /*  965167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965202 */     GIR_RootConstrainSelectedInstOperands,
     /*  965203 */     // GIR_Coverage, 5114,
     /*  965203 */     GIR_EraseRootFromParent_Done,
     /*  965204 */   // Label 14492: @965204
     /*  965204 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(965296), // Rule ID 5115 //
     /*  965209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  965220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  965223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965259 */     // MIs[1] Operand 1
     /*  965259 */     // No operand predicates
     /*  965259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965294 */     GIR_RootConstrainSelectedInstOperands,
     /*  965295 */     // GIR_Coverage, 5115,
     /*  965295 */     GIR_EraseRootFromParent_Done,
     /*  965296 */   // Label 14493: @965296
     /*  965296 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(965388), // Rule ID 5116 //
     /*  965301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  965312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  965315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965351 */     // MIs[1] Operand 1
     /*  965351 */     // No operand predicates
     /*  965351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  965367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965386 */     GIR_RootConstrainSelectedInstOperands,
     /*  965387 */     // GIR_Coverage, 5116,
     /*  965387 */     GIR_EraseRootFromParent_Done,
     /*  965388 */   // Label 14494: @965388
     /*  965388 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(965480), // Rule ID 5117 //
     /*  965393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  965404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  965407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  965416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965443 */     // MIs[1] Operand 1
     /*  965443 */     // No operand predicates
     /*  965443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965456 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  965459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965478 */     GIR_RootConstrainSelectedInstOperands,
     /*  965479 */     // GIR_Coverage, 5117,
     /*  965479 */     GIR_EraseRootFromParent_Done,
     /*  965480 */   // Label 14495: @965480
     /*  965480 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(965572), // Rule ID 5118 //
     /*  965485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  965496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  965499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  965515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965535 */     // MIs[1] Operand 1
     /*  965535 */     // No operand predicates
     /*  965535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965548 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  965551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965570 */     GIR_RootConstrainSelectedInstOperands,
     /*  965571 */     // GIR_Coverage, 5118,
     /*  965571 */     GIR_EraseRootFromParent_Done,
     /*  965572 */   // Label 14496: @965572
     /*  965572 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(965664), // Rule ID 5119 //
     /*  965577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  965588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  965591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  965594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  965600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  965607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965627 */     // MIs[1] Operand 1
     /*  965627 */     // No operand predicates
     /*  965627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965640 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  965643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965662 */     GIR_RootConstrainSelectedInstOperands,
     /*  965663 */     // GIR_Coverage, 5119,
     /*  965663 */     GIR_EraseRootFromParent_Done,
     /*  965664 */   // Label 14497: @965664
     /*  965664 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(965756), // Rule ID 5120 //
     /*  965669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  965680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  965683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965719 */     // MIs[1] Operand 1
     /*  965719 */     // No operand predicates
     /*  965719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  965732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965754 */     GIR_RootConstrainSelectedInstOperands,
     /*  965755 */     // GIR_Coverage, 5120,
     /*  965755 */     GIR_EraseRootFromParent_Done,
     /*  965756 */   // Label 14498: @965756
     /*  965756 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(965848), // Rule ID 5121 //
     /*  965761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  965772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  965775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965811 */     // MIs[1] Operand 1
     /*  965811 */     // No operand predicates
     /*  965811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  965824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965846 */     GIR_RootConstrainSelectedInstOperands,
     /*  965847 */     // GIR_Coverage, 5121,
     /*  965847 */     GIR_EraseRootFromParent_Done,
     /*  965848 */   // Label 14499: @965848
     /*  965848 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(965940), // Rule ID 5122 //
     /*  965853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  965864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  965867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965903 */     // MIs[1] Operand 1
     /*  965903 */     // No operand predicates
     /*  965903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  965916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  965919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965938 */     GIR_RootConstrainSelectedInstOperands,
     /*  965939 */     // GIR_Coverage, 5122,
     /*  965939 */     GIR_EraseRootFromParent_Done,
     /*  965940 */   // Label 14500: @965940
     /*  965940 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(966032), // Rule ID 5123 //
     /*  965945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  965956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  965959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965995 */     // MIs[1] Operand 1
     /*  965995 */     // No operand predicates
     /*  965995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966030 */     GIR_RootConstrainSelectedInstOperands,
     /*  966031 */     // GIR_Coverage, 5123,
     /*  966031 */     GIR_EraseRootFromParent_Done,
     /*  966032 */   // Label 14501: @966032
     /*  966032 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(966124), // Rule ID 5124 //
     /*  966037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  966048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  966051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966087 */     // MIs[1] Operand 1
     /*  966087 */     // No operand predicates
     /*  966087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966100 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  966100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966122 */     GIR_RootConstrainSelectedInstOperands,
     /*  966123 */     // GIR_Coverage, 5124,
     /*  966123 */     GIR_EraseRootFromParent_Done,
     /*  966124 */   // Label 14502: @966124
     /*  966124 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(966216), // Rule ID 5125 //
     /*  966129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  966140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  966143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966179 */     // MIs[1] Operand 1
     /*  966179 */     // No operand predicates
     /*  966179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966214 */     GIR_RootConstrainSelectedInstOperands,
     /*  966215 */     // GIR_Coverage, 5125,
     /*  966215 */     GIR_EraseRootFromParent_Done,
     /*  966216 */   // Label 14503: @966216
     /*  966216 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(966308), // Rule ID 5126 //
     /*  966221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  966232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  966235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966271 */     // MIs[1] Operand 1
     /*  966271 */     // No operand predicates
     /*  966271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  966284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966306 */     GIR_RootConstrainSelectedInstOperands,
     /*  966307 */     // GIR_Coverage, 5126,
     /*  966307 */     GIR_EraseRootFromParent_Done,
     /*  966308 */   // Label 14504: @966308
     /*  966308 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(966400), // Rule ID 5127 //
     /*  966313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  966324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  966327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966363 */     // MIs[1] Operand 1
     /*  966363 */     // No operand predicates
     /*  966363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  966376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966398 */     GIR_RootConstrainSelectedInstOperands,
     /*  966399 */     // GIR_Coverage, 5127,
     /*  966399 */     GIR_EraseRootFromParent_Done,
     /*  966400 */   // Label 14505: @966400
     /*  966400 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(966492), // Rule ID 5128 //
     /*  966405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  966416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  966419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966455 */     // MIs[1] Operand 1
     /*  966455 */     // No operand predicates
     /*  966455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  966468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966490 */     GIR_RootConstrainSelectedInstOperands,
     /*  966491 */     // GIR_Coverage, 5128,
     /*  966491 */     GIR_EraseRootFromParent_Done,
     /*  966492 */   // Label 14506: @966492
     /*  966492 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(966584), // Rule ID 5129 //
     /*  966497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  966508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  966511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966547 */     // MIs[1] Operand 1
     /*  966547 */     // No operand predicates
     /*  966547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  966560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966582 */     GIR_RootConstrainSelectedInstOperands,
     /*  966583 */     // GIR_Coverage, 5129,
     /*  966583 */     GIR_EraseRootFromParent_Done,
     /*  966584 */   // Label 14507: @966584
     /*  966584 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(966676), // Rule ID 5130 //
     /*  966589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  966600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  966603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966639 */     // MIs[1] Operand 1
     /*  966639 */     // No operand predicates
     /*  966639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  966652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966674 */     GIR_RootConstrainSelectedInstOperands,
     /*  966675 */     // GIR_Coverage, 5130,
     /*  966675 */     GIR_EraseRootFromParent_Done,
     /*  966676 */   // Label 14508: @966676
     /*  966676 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(966768), // Rule ID 5131 //
     /*  966681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  966692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  966695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  966698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966731 */     // MIs[1] Operand 1
     /*  966731 */     // No operand predicates
     /*  966731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  966744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966766 */     GIR_RootConstrainSelectedInstOperands,
     /*  966767 */     // GIR_Coverage, 5131,
     /*  966767 */     GIR_EraseRootFromParent_Done,
     /*  966768 */   // Label 14509: @966768
     /*  966768 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(966860), // Rule ID 5132 //
     /*  966773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  966784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  966787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966823 */     // MIs[1] Operand 1
     /*  966823 */     // No operand predicates
     /*  966823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  966836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966858 */     GIR_RootConstrainSelectedInstOperands,
     /*  966859 */     // GIR_Coverage, 5132,
     /*  966859 */     GIR_EraseRootFromParent_Done,
     /*  966860 */   // Label 14510: @966860
     /*  966860 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(966952), // Rule ID 5133 //
     /*  966865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  966876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  966879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  966882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966915 */     // MIs[1] Operand 1
     /*  966915 */     // No operand predicates
     /*  966915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  966928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966950 */     GIR_RootConstrainSelectedInstOperands,
     /*  966951 */     // GIR_Coverage, 5133,
     /*  966951 */     GIR_EraseRootFromParent_Done,
     /*  966952 */   // Label 14511: @966952
     /*  966952 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(967044), // Rule ID 5134 //
     /*  966957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  966968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  966971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  966974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967007 */     // MIs[1] Operand 1
     /*  967007 */     // No operand predicates
     /*  967007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967042 */     GIR_RootConstrainSelectedInstOperands,
     /*  967043 */     // GIR_Coverage, 5134,
     /*  967043 */     GIR_EraseRootFromParent_Done,
     /*  967044 */   // Label 14512: @967044
     /*  967044 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(967136), // Rule ID 5135 //
     /*  967049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  967060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  967063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967099 */     // MIs[1] Operand 1
     /*  967099 */     // No operand predicates
     /*  967099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967134 */     GIR_RootConstrainSelectedInstOperands,
     /*  967135 */     // GIR_Coverage, 5135,
     /*  967135 */     GIR_EraseRootFromParent_Done,
     /*  967136 */   // Label 14513: @967136
     /*  967136 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(967228), // Rule ID 5136 //
     /*  967141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967191 */     // MIs[1] Operand 1
     /*  967191 */     // No operand predicates
     /*  967191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967226 */     GIR_RootConstrainSelectedInstOperands,
     /*  967227 */     // GIR_Coverage, 5136,
     /*  967227 */     GIR_EraseRootFromParent_Done,
     /*  967228 */   // Label 14514: @967228
     /*  967228 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(967320), // Rule ID 5137 //
     /*  967233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967283 */     // MIs[1] Operand 1
     /*  967283 */     // No operand predicates
     /*  967283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967318 */     GIR_RootConstrainSelectedInstOperands,
     /*  967319 */     // GIR_Coverage, 5137,
     /*  967319 */     GIR_EraseRootFromParent_Done,
     /*  967320 */   // Label 14515: @967320
     /*  967320 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(967415), // Rule ID 7868 //
     /*  967325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967375 */     // MIs[1] Operand 1
     /*  967375 */     // No operand predicates
     /*  967375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  967391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967413 */     GIR_RootConstrainSelectedInstOperands,
     /*  967414 */     // GIR_Coverage, 7868,
     /*  967414 */     GIR_EraseRootFromParent_Done,
     /*  967415 */   // Label 14516: @967415
     /*  967415 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(967510), // Rule ID 7869 //
     /*  967420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  967437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967470 */     // MIs[1] Operand 1
     /*  967470 */     // No operand predicates
     /*  967470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967483 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  967486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967508 */     GIR_RootConstrainSelectedInstOperands,
     /*  967509 */     // GIR_Coverage, 7869,
     /*  967509 */     GIR_EraseRootFromParent_Done,
     /*  967510 */   // Label 14517: @967510
     /*  967510 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(967605), // Rule ID 7872 //
     /*  967515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967565 */     // MIs[1] Operand 1
     /*  967565 */     // No operand predicates
     /*  967565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967578 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  967581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967603 */     GIR_RootConstrainSelectedInstOperands,
     /*  967604 */     // GIR_Coverage, 7872,
     /*  967604 */     GIR_EraseRootFromParent_Done,
     /*  967605 */   // Label 14518: @967605
     /*  967605 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(967700), // Rule ID 7873 //
     /*  967610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  967627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967660 */     // MIs[1] Operand 1
     /*  967660 */     // No operand predicates
     /*  967660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967673 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  967676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967698 */     GIR_RootConstrainSelectedInstOperands,
     /*  967699 */     // GIR_Coverage, 7873,
     /*  967699 */     GIR_EraseRootFromParent_Done,
     /*  967700 */   // Label 14519: @967700
     /*  967700 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(967795), // Rule ID 7876 //
     /*  967705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967755 */     // MIs[1] Operand 1
     /*  967755 */     // No operand predicates
     /*  967755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  967771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967793 */     GIR_RootConstrainSelectedInstOperands,
     /*  967794 */     // GIR_Coverage, 7876,
     /*  967794 */     GIR_EraseRootFromParent_Done,
     /*  967795 */   // Label 14520: @967795
     /*  967795 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(967890), // Rule ID 7877 //
     /*  967800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967850 */     // MIs[1] Operand 1
     /*  967850 */     // No operand predicates
     /*  967850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  967866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967888 */     GIR_RootConstrainSelectedInstOperands,
     /*  967889 */     // GIR_Coverage, 7877,
     /*  967889 */     GIR_EraseRootFromParent_Done,
     /*  967890 */   // Label 14521: @967890
     /*  967890 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(967985), // Rule ID 7880 //
     /*  967895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967945 */     // MIs[1] Operand 1
     /*  967945 */     // No operand predicates
     /*  967945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  967961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967983 */     GIR_RootConstrainSelectedInstOperands,
     /*  967984 */     // GIR_Coverage, 7880,
     /*  967984 */     GIR_EraseRootFromParent_Done,
     /*  967985 */   // Label 14522: @967985
     /*  967985 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(968080), // Rule ID 7881 //
     /*  967990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  967998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968040 */     // MIs[1] Operand 1
     /*  968040 */     // No operand predicates
     /*  968040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968053 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  968056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968078 */     GIR_RootConstrainSelectedInstOperands,
     /*  968079 */     // GIR_Coverage, 7881,
     /*  968079 */     GIR_EraseRootFromParent_Done,
     /*  968080 */   // Label 14523: @968080
     /*  968080 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(968175), // Rule ID 7884 //
     /*  968085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968135 */     // MIs[1] Operand 1
     /*  968135 */     // No operand predicates
     /*  968135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968173 */     GIR_RootConstrainSelectedInstOperands,
     /*  968174 */     // GIR_Coverage, 7884,
     /*  968174 */     GIR_EraseRootFromParent_Done,
     /*  968175 */   // Label 14524: @968175
     /*  968175 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(968270), // Rule ID 7885 //
     /*  968180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968230 */     // MIs[1] Operand 1
     /*  968230 */     // No operand predicates
     /*  968230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968243 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968268 */     GIR_RootConstrainSelectedInstOperands,
     /*  968269 */     // GIR_Coverage, 7885,
     /*  968269 */     GIR_EraseRootFromParent_Done,
     /*  968270 */   // Label 14525: @968270
     /*  968270 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(968365), // Rule ID 7888 //
     /*  968275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968325 */     // MIs[1] Operand 1
     /*  968325 */     // No operand predicates
     /*  968325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968338 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968363 */     GIR_RootConstrainSelectedInstOperands,
     /*  968364 */     // GIR_Coverage, 7888,
     /*  968364 */     GIR_EraseRootFromParent_Done,
     /*  968365 */   // Label 14526: @968365
     /*  968365 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(968460), // Rule ID 7889 //
     /*  968370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968420 */     // MIs[1] Operand 1
     /*  968420 */     // No operand predicates
     /*  968420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968433 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968458 */     GIR_RootConstrainSelectedInstOperands,
     /*  968459 */     // GIR_Coverage, 7889,
     /*  968459 */     GIR_EraseRootFromParent_Done,
     /*  968460 */   // Label 14527: @968460
     /*  968460 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(968555), // Rule ID 7892 //
     /*  968465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968515 */     // MIs[1] Operand 1
     /*  968515 */     // No operand predicates
     /*  968515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968553 */     GIR_RootConstrainSelectedInstOperands,
     /*  968554 */     // GIR_Coverage, 7892,
     /*  968554 */     GIR_EraseRootFromParent_Done,
     /*  968555 */   // Label 14528: @968555
     /*  968555 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(968650), // Rule ID 7893 //
     /*  968560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  968577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968610 */     // MIs[1] Operand 1
     /*  968610 */     // No operand predicates
     /*  968610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968623 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968648 */     GIR_RootConstrainSelectedInstOperands,
     /*  968649 */     // GIR_Coverage, 7893,
     /*  968649 */     GIR_EraseRootFromParent_Done,
     /*  968650 */   // Label 14529: @968650
     /*  968650 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(968745), // Rule ID 7896 //
     /*  968655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968705 */     // MIs[1] Operand 1
     /*  968705 */     // No operand predicates
     /*  968705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968718 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968743 */     GIR_RootConstrainSelectedInstOperands,
     /*  968744 */     // GIR_Coverage, 7896,
     /*  968744 */     GIR_EraseRootFromParent_Done,
     /*  968745 */   // Label 14530: @968745
     /*  968745 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(968840), // Rule ID 7897 //
     /*  968750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968800 */     // MIs[1] Operand 1
     /*  968800 */     // No operand predicates
     /*  968800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968813 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968838 */     GIR_RootConstrainSelectedInstOperands,
     /*  968839 */     // GIR_Coverage, 7897,
     /*  968839 */     GIR_EraseRootFromParent_Done,
     /*  968840 */   // Label 14531: @968840
     /*  968840 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(968935), // Rule ID 7900 //
     /*  968845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968895 */     // MIs[1] Operand 1
     /*  968895 */     // No operand predicates
     /*  968895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  968911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968933 */     GIR_RootConstrainSelectedInstOperands,
     /*  968934 */     // GIR_Coverage, 7900,
     /*  968934 */     GIR_EraseRootFromParent_Done,
     /*  968935 */   // Label 14532: @968935
     /*  968935 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(969030), // Rule ID 7901 //
     /*  968940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968990 */     // MIs[1] Operand 1
     /*  968990 */     // No operand predicates
     /*  968990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969003 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969028 */     GIR_RootConstrainSelectedInstOperands,
     /*  969029 */     // GIR_Coverage, 7901,
     /*  969029 */     GIR_EraseRootFromParent_Done,
     /*  969030 */   // Label 14533: @969030
     /*  969030 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(969125), // Rule ID 7904 //
     /*  969035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969085 */     // MIs[1] Operand 1
     /*  969085 */     // No operand predicates
     /*  969085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969123 */     GIR_RootConstrainSelectedInstOperands,
     /*  969124 */     // GIR_Coverage, 7904,
     /*  969124 */     GIR_EraseRootFromParent_Done,
     /*  969125 */   // Label 14534: @969125
     /*  969125 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(969220), // Rule ID 7905 //
     /*  969130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969180 */     // MIs[1] Operand 1
     /*  969180 */     // No operand predicates
     /*  969180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969218 */     GIR_RootConstrainSelectedInstOperands,
     /*  969219 */     // GIR_Coverage, 7905,
     /*  969219 */     GIR_EraseRootFromParent_Done,
     /*  969220 */   // Label 14535: @969220
     /*  969220 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(969315), // Rule ID 7908 //
     /*  969225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969275 */     // MIs[1] Operand 1
     /*  969275 */     // No operand predicates
     /*  969275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  969291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969313 */     GIR_RootConstrainSelectedInstOperands,
     /*  969314 */     // GIR_Coverage, 7908,
     /*  969314 */     GIR_EraseRootFromParent_Done,
     /*  969315 */   // Label 14536: @969315
     /*  969315 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(969410), // Rule ID 7909 //
     /*  969320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969370 */     // MIs[1] Operand 1
     /*  969370 */     // No operand predicates
     /*  969370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969383 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  969386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969408 */     GIR_RootConstrainSelectedInstOperands,
     /*  969409 */     // GIR_Coverage, 7909,
     /*  969409 */     GIR_EraseRootFromParent_Done,
     /*  969410 */   // Label 14537: @969410
     /*  969410 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(969505), // Rule ID 7912 //
     /*  969415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969465 */     // MIs[1] Operand 1
     /*  969465 */     // No operand predicates
     /*  969465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969478 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  969481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969503 */     GIR_RootConstrainSelectedInstOperands,
     /*  969504 */     // GIR_Coverage, 7912,
     /*  969504 */     GIR_EraseRootFromParent_Done,
     /*  969505 */   // Label 14538: @969505
     /*  969505 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(969600), // Rule ID 7913 //
     /*  969510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  969521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  969524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  969527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  969533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969560 */     // MIs[1] Operand 1
     /*  969560 */     // No operand predicates
     /*  969560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  969576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969598 */     GIR_RootConstrainSelectedInstOperands,
     /*  969599 */     // GIR_Coverage, 7913,
     /*  969599 */     GIR_EraseRootFromParent_Done,
     /*  969600 */   // Label 14539: @969600
     /*  969600 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(969695), // Rule ID 7916 //
     /*  969605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969655 */     // MIs[1] Operand 1
     /*  969655 */     // No operand predicates
     /*  969655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969668 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  969671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969693 */     GIR_RootConstrainSelectedInstOperands,
     /*  969694 */     // GIR_Coverage, 7916,
     /*  969694 */     GIR_EraseRootFromParent_Done,
     /*  969695 */   // Label 14540: @969695
     /*  969695 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(969790), // Rule ID 7917 //
     /*  969700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  969711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  969714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  969717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  969723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969750 */     // MIs[1] Operand 1
     /*  969750 */     // No operand predicates
     /*  969750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969763 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  969766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969788 */     GIR_RootConstrainSelectedInstOperands,
     /*  969789 */     // GIR_Coverage, 7917,
     /*  969789 */     GIR_EraseRootFromParent_Done,
     /*  969790 */   // Label 14541: @969790
     /*  969790 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(969885), // Rule ID 7920 //
     /*  969795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969845 */     // MIs[1] Operand 1
     /*  969845 */     // No operand predicates
     /*  969845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969858 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  969861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969883 */     GIR_RootConstrainSelectedInstOperands,
     /*  969884 */     // GIR_Coverage, 7920,
     /*  969884 */     GIR_EraseRootFromParent_Done,
     /*  969885 */   // Label 14542: @969885
     /*  969885 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(969980), // Rule ID 7921 //
     /*  969890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969940 */     // MIs[1] Operand 1
     /*  969940 */     // No operand predicates
     /*  969940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  969956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969978 */     GIR_RootConstrainSelectedInstOperands,
     /*  969979 */     // GIR_Coverage, 7921,
     /*  969979 */     GIR_EraseRootFromParent_Done,
     /*  969980 */   // Label 14543: @969980
     /*  969980 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(970075), // Rule ID 7924 //
     /*  969985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970035 */     // MIs[1] Operand 1
     /*  970035 */     // No operand predicates
     /*  970035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970048 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970073 */     GIR_RootConstrainSelectedInstOperands,
     /*  970074 */     // GIR_Coverage, 7924,
     /*  970074 */     GIR_EraseRootFromParent_Done,
     /*  970075 */   // Label 14544: @970075
     /*  970075 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(970170), // Rule ID 7925 //
     /*  970080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970130 */     // MIs[1] Operand 1
     /*  970130 */     // No operand predicates
     /*  970130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970143 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970168 */     GIR_RootConstrainSelectedInstOperands,
     /*  970169 */     // GIR_Coverage, 7925,
     /*  970169 */     GIR_EraseRootFromParent_Done,
     /*  970170 */   // Label 14545: @970170
     /*  970170 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(970265), // Rule ID 7928 //
     /*  970175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970225 */     // MIs[1] Operand 1
     /*  970225 */     // No operand predicates
     /*  970225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970238 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970263 */     GIR_RootConstrainSelectedInstOperands,
     /*  970264 */     // GIR_Coverage, 7928,
     /*  970264 */     GIR_EraseRootFromParent_Done,
     /*  970265 */   // Label 14546: @970265
     /*  970265 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(970360), // Rule ID 7929 //
     /*  970270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970320 */     // MIs[1] Operand 1
     /*  970320 */     // No operand predicates
     /*  970320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970333 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970358 */     GIR_RootConstrainSelectedInstOperands,
     /*  970359 */     // GIR_Coverage, 7929,
     /*  970359 */     GIR_EraseRootFromParent_Done,
     /*  970360 */   // Label 14547: @970360
     /*  970360 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(970455), // Rule ID 7932 //
     /*  970365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970415 */     // MIs[1] Operand 1
     /*  970415 */     // No operand predicates
     /*  970415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970428 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970453 */     GIR_RootConstrainSelectedInstOperands,
     /*  970454 */     // GIR_Coverage, 7932,
     /*  970454 */     GIR_EraseRootFromParent_Done,
     /*  970455 */   // Label 14548: @970455
     /*  970455 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(970550), // Rule ID 7933 //
     /*  970460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970510 */     // MIs[1] Operand 1
     /*  970510 */     // No operand predicates
     /*  970510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970523 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970548 */     GIR_RootConstrainSelectedInstOperands,
     /*  970549 */     // GIR_Coverage, 7933,
     /*  970549 */     GIR_EraseRootFromParent_Done,
     /*  970550 */   // Label 14549: @970550
     /*  970550 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(970645), // Rule ID 7936 //
     /*  970555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970605 */     // MIs[1] Operand 1
     /*  970605 */     // No operand predicates
     /*  970605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970618 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970643 */     GIR_RootConstrainSelectedInstOperands,
     /*  970644 */     // GIR_Coverage, 7936,
     /*  970644 */     GIR_EraseRootFromParent_Done,
     /*  970645 */   // Label 14550: @970645
     /*  970645 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(970740), // Rule ID 7937 //
     /*  970650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970700 */     // MIs[1] Operand 1
     /*  970700 */     // No operand predicates
     /*  970700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970713 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970738 */     GIR_RootConstrainSelectedInstOperands,
     /*  970739 */     // GIR_Coverage, 7937,
     /*  970739 */     GIR_EraseRootFromParent_Done,
     /*  970740 */   // Label 14551: @970740
     /*  970740 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(970835), // Rule ID 7940 //
     /*  970745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970795 */     // MIs[1] Operand 1
     /*  970795 */     // No operand predicates
     /*  970795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970833 */     GIR_RootConstrainSelectedInstOperands,
     /*  970834 */     // GIR_Coverage, 7940,
     /*  970834 */     GIR_EraseRootFromParent_Done,
     /*  970835 */   // Label 14552: @970835
     /*  970835 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(970930), // Rule ID 7941 //
     /*  970840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  970857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970890 */     // MIs[1] Operand 1
     /*  970890 */     // No operand predicates
     /*  970890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970903 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970928 */     GIR_RootConstrainSelectedInstOperands,
     /*  970929 */     // GIR_Coverage, 7941,
     /*  970929 */     GIR_EraseRootFromParent_Done,
     /*  970930 */   // Label 14553: @970930
     /*  970930 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(971025), // Rule ID 7944 //
     /*  970935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  970938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  970952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970985 */     // MIs[1] Operand 1
     /*  970985 */     // No operand predicates
     /*  970985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970998 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  970998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971023 */     GIR_RootConstrainSelectedInstOperands,
     /*  971024 */     // GIR_Coverage, 7944,
     /*  971024 */     GIR_EraseRootFromParent_Done,
     /*  971025 */   // Label 14554: @971025
     /*  971025 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(971120), // Rule ID 7945 //
     /*  971030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971080 */     // MIs[1] Operand 1
     /*  971080 */     // No operand predicates
     /*  971080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971118 */     GIR_RootConstrainSelectedInstOperands,
     /*  971119 */     // GIR_Coverage, 7945,
     /*  971119 */     GIR_EraseRootFromParent_Done,
     /*  971120 */   // Label 14555: @971120
     /*  971120 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(971215), // Rule ID 7948 //
     /*  971125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971175 */     // MIs[1] Operand 1
     /*  971175 */     // No operand predicates
     /*  971175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971213 */     GIR_RootConstrainSelectedInstOperands,
     /*  971214 */     // GIR_Coverage, 7948,
     /*  971214 */     GIR_EraseRootFromParent_Done,
     /*  971215 */   // Label 14556: @971215
     /*  971215 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(971310), // Rule ID 7949 //
     /*  971220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971270 */     // MIs[1] Operand 1
     /*  971270 */     // No operand predicates
     /*  971270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971283 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971308 */     GIR_RootConstrainSelectedInstOperands,
     /*  971309 */     // GIR_Coverage, 7949,
     /*  971309 */     GIR_EraseRootFromParent_Done,
     /*  971310 */   // Label 14557: @971310
     /*  971310 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(971405), // Rule ID 7952 //
     /*  971315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971365 */     // MIs[1] Operand 1
     /*  971365 */     // No operand predicates
     /*  971365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971403 */     GIR_RootConstrainSelectedInstOperands,
     /*  971404 */     // GIR_Coverage, 7952,
     /*  971404 */     GIR_EraseRootFromParent_Done,
     /*  971405 */   // Label 14558: @971405
     /*  971405 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(971500), // Rule ID 7953 //
     /*  971410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  971427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971460 */     // MIs[1] Operand 1
     /*  971460 */     // No operand predicates
     /*  971460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971498 */     GIR_RootConstrainSelectedInstOperands,
     /*  971499 */     // GIR_Coverage, 7953,
     /*  971499 */     GIR_EraseRootFromParent_Done,
     /*  971500 */   // Label 14559: @971500
     /*  971500 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(971595), // Rule ID 8132 //
     /*  971505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971555 */     // MIs[1] Operand 1
     /*  971555 */     // No operand predicates
     /*  971555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  971571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971593 */     GIR_RootConstrainSelectedInstOperands,
     /*  971594 */     // GIR_Coverage, 8132,
     /*  971594 */     GIR_EraseRootFromParent_Done,
     /*  971595 */   // Label 14560: @971595
     /*  971595 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(971690), // Rule ID 8133 //
     /*  971600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  971617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971650 */     // MIs[1] Operand 1
     /*  971650 */     // No operand predicates
     /*  971650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971663 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  971666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971688 */     GIR_RootConstrainSelectedInstOperands,
     /*  971689 */     // GIR_Coverage, 8133,
     /*  971689 */     GIR_EraseRootFromParent_Done,
     /*  971690 */   // Label 14561: @971690
     /*  971690 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(971785), // Rule ID 8136 //
     /*  971695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971745 */     // MIs[1] Operand 1
     /*  971745 */     // No operand predicates
     /*  971745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971758 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  971761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971783 */     GIR_RootConstrainSelectedInstOperands,
     /*  971784 */     // GIR_Coverage, 8136,
     /*  971784 */     GIR_EraseRootFromParent_Done,
     /*  971785 */   // Label 14562: @971785
     /*  971785 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(971880), // Rule ID 8137 //
     /*  971790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  971807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971840 */     // MIs[1] Operand 1
     /*  971840 */     // No operand predicates
     /*  971840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  971856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971878 */     GIR_RootConstrainSelectedInstOperands,
     /*  971879 */     // GIR_Coverage, 8137,
     /*  971879 */     GIR_EraseRootFromParent_Done,
     /*  971880 */   // Label 14563: @971880
     /*  971880 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(971975), // Rule ID 8140 //
     /*  971885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971935 */     // MIs[1] Operand 1
     /*  971935 */     // No operand predicates
     /*  971935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  971951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971973 */     GIR_RootConstrainSelectedInstOperands,
     /*  971974 */     // GIR_Coverage, 8140,
     /*  971974 */     GIR_EraseRootFromParent_Done,
     /*  971975 */   // Label 14564: @971975
     /*  971975 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(972070), // Rule ID 8141 //
     /*  971980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  971988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  971997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972030 */     // MIs[1] Operand 1
     /*  972030 */     // No operand predicates
     /*  972030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972043 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972068 */     GIR_RootConstrainSelectedInstOperands,
     /*  972069 */     // GIR_Coverage, 8141,
     /*  972069 */     GIR_EraseRootFromParent_Done,
     /*  972070 */   // Label 14565: @972070
     /*  972070 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(972165), // Rule ID 8144 //
     /*  972075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972125 */     // MIs[1] Operand 1
     /*  972125 */     // No operand predicates
     /*  972125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972163 */     GIR_RootConstrainSelectedInstOperands,
     /*  972164 */     // GIR_Coverage, 8144,
     /*  972164 */     GIR_EraseRootFromParent_Done,
     /*  972165 */   // Label 14566: @972165
     /*  972165 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(972260), // Rule ID 8145 //
     /*  972170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972220 */     // MIs[1] Operand 1
     /*  972220 */     // No operand predicates
     /*  972220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972233 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972258 */     GIR_RootConstrainSelectedInstOperands,
     /*  972259 */     // GIR_Coverage, 8145,
     /*  972259 */     GIR_EraseRootFromParent_Done,
     /*  972260 */   // Label 14567: @972260
     /*  972260 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(972355), // Rule ID 8148 //
     /*  972265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972315 */     // MIs[1] Operand 1
     /*  972315 */     // No operand predicates
     /*  972315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972353 */     GIR_RootConstrainSelectedInstOperands,
     /*  972354 */     // GIR_Coverage, 8148,
     /*  972354 */     GIR_EraseRootFromParent_Done,
     /*  972355 */   // Label 14568: @972355
     /*  972355 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(972450), // Rule ID 8149 //
     /*  972360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972410 */     // MIs[1] Operand 1
     /*  972410 */     // No operand predicates
     /*  972410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972423 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972448 */     GIR_RootConstrainSelectedInstOperands,
     /*  972449 */     // GIR_Coverage, 8149,
     /*  972449 */     GIR_EraseRootFromParent_Done,
     /*  972450 */   // Label 14569: @972450
     /*  972450 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(972545), // Rule ID 8152 //
     /*  972455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972505 */     // MIs[1] Operand 1
     /*  972505 */     // No operand predicates
     /*  972505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972543 */     GIR_RootConstrainSelectedInstOperands,
     /*  972544 */     // GIR_Coverage, 8152,
     /*  972544 */     GIR_EraseRootFromParent_Done,
     /*  972545 */   // Label 14570: @972545
     /*  972545 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(972640), // Rule ID 8153 //
     /*  972550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972600 */     // MIs[1] Operand 1
     /*  972600 */     // No operand predicates
     /*  972600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972613 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972638 */     GIR_RootConstrainSelectedInstOperands,
     /*  972639 */     // GIR_Coverage, 8153,
     /*  972639 */     GIR_EraseRootFromParent_Done,
     /*  972640 */   // Label 14571: @972640
     /*  972640 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(972735), // Rule ID 8156 //
     /*  972645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972695 */     // MIs[1] Operand 1
     /*  972695 */     // No operand predicates
     /*  972695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  972711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972733 */     GIR_RootConstrainSelectedInstOperands,
     /*  972734 */     // GIR_Coverage, 8156,
     /*  972734 */     GIR_EraseRootFromParent_Done,
     /*  972735 */   // Label 14572: @972735
     /*  972735 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(972830), // Rule ID 8157 //
     /*  972740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  972757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972790 */     // MIs[1] Operand 1
     /*  972790 */     // No operand predicates
     /*  972790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  972806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972828 */     GIR_RootConstrainSelectedInstOperands,
     /*  972829 */     // GIR_Coverage, 8157,
     /*  972829 */     GIR_EraseRootFromParent_Done,
     /*  972830 */   // Label 14573: @972830
     /*  972830 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(972925), // Rule ID 8160 //
     /*  972835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972885 */     // MIs[1] Operand 1
     /*  972885 */     // No operand predicates
     /*  972885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  972901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972923 */     GIR_RootConstrainSelectedInstOperands,
     /*  972924 */     // GIR_Coverage, 8160,
     /*  972924 */     GIR_EraseRootFromParent_Done,
     /*  972925 */   // Label 14574: @972925
     /*  972925 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(973020), // Rule ID 8161 //
     /*  972930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  972947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972980 */     // MIs[1] Operand 1
     /*  972980 */     // No operand predicates
     /*  972980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972993 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  972996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973018 */     GIR_RootConstrainSelectedInstOperands,
     /*  973019 */     // GIR_Coverage, 8161,
     /*  973019 */     GIR_EraseRootFromParent_Done,
     /*  973020 */   // Label 14575: @973020
     /*  973020 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(973115), // Rule ID 8164 //
     /*  973025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973075 */     // MIs[1] Operand 1
     /*  973075 */     // No operand predicates
     /*  973075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973113 */     GIR_RootConstrainSelectedInstOperands,
     /*  973114 */     // GIR_Coverage, 8164,
     /*  973114 */     GIR_EraseRootFromParent_Done,
     /*  973115 */   // Label 14576: @973115
     /*  973115 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(973210), // Rule ID 8165 //
     /*  973120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973170 */     // MIs[1] Operand 1
     /*  973170 */     // No operand predicates
     /*  973170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973183 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973208 */     GIR_RootConstrainSelectedInstOperands,
     /*  973209 */     // GIR_Coverage, 8165,
     /*  973209 */     GIR_EraseRootFromParent_Done,
     /*  973210 */   // Label 14577: @973210
     /*  973210 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(973305), // Rule ID 8168 //
     /*  973215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973265 */     // MIs[1] Operand 1
     /*  973265 */     // No operand predicates
     /*  973265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973303 */     GIR_RootConstrainSelectedInstOperands,
     /*  973304 */     // GIR_Coverage, 8168,
     /*  973304 */     GIR_EraseRootFromParent_Done,
     /*  973305 */   // Label 14578: @973305
     /*  973305 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(973400), // Rule ID 8169 //
     /*  973310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973360 */     // MIs[1] Operand 1
     /*  973360 */     // No operand predicates
     /*  973360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973373 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973398 */     GIR_RootConstrainSelectedInstOperands,
     /*  973399 */     // GIR_Coverage, 8169,
     /*  973399 */     GIR_EraseRootFromParent_Done,
     /*  973400 */   // Label 14579: @973400
     /*  973400 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(973495), // Rule ID 8172 //
     /*  973405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973455 */     // MIs[1] Operand 1
     /*  973455 */     // No operand predicates
     /*  973455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  973471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973493 */     GIR_RootConstrainSelectedInstOperands,
     /*  973494 */     // GIR_Coverage, 8172,
     /*  973494 */     GIR_EraseRootFromParent_Done,
     /*  973495 */   // Label 14580: @973495
     /*  973495 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(973590), // Rule ID 8173 //
     /*  973500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  973517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973550 */     // MIs[1] Operand 1
     /*  973550 */     // No operand predicates
     /*  973550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973563 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  973566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973588 */     GIR_RootConstrainSelectedInstOperands,
     /*  973589 */     // GIR_Coverage, 8173,
     /*  973589 */     GIR_EraseRootFromParent_Done,
     /*  973590 */   // Label 14581: @973590
     /*  973590 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(973685), // Rule ID 8176 //
     /*  973595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973645 */     // MIs[1] Operand 1
     /*  973645 */     // No operand predicates
     /*  973645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973658 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  973661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973683 */     GIR_RootConstrainSelectedInstOperands,
     /*  973684 */     // GIR_Coverage, 8176,
     /*  973684 */     GIR_EraseRootFromParent_Done,
     /*  973685 */   // Label 14582: @973685
     /*  973685 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(973780), // Rule ID 8177 //
     /*  973690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  973701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  973704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  973707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  973713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973740 */     // MIs[1] Operand 1
     /*  973740 */     // No operand predicates
     /*  973740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973753 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  973756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973778 */     GIR_RootConstrainSelectedInstOperands,
     /*  973779 */     // GIR_Coverage, 8177,
     /*  973779 */     GIR_EraseRootFromParent_Done,
     /*  973780 */   // Label 14583: @973780
     /*  973780 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(973875), // Rule ID 8180 //
     /*  973785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973835 */     // MIs[1] Operand 1
     /*  973835 */     // No operand predicates
     /*  973835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973848 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  973851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973873 */     GIR_RootConstrainSelectedInstOperands,
     /*  973874 */     // GIR_Coverage, 8180,
     /*  973874 */     GIR_EraseRootFromParent_Done,
     /*  973875 */   // Label 14584: @973875
     /*  973875 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(973970), // Rule ID 8181 //
     /*  973880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  973891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  973894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  973897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  973903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973930 */     // MIs[1] Operand 1
     /*  973930 */     // No operand predicates
     /*  973930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973943 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  973946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973968 */     GIR_RootConstrainSelectedInstOperands,
     /*  973969 */     // GIR_Coverage, 8181,
     /*  973969 */     GIR_EraseRootFromParent_Done,
     /*  973970 */   // Label 14585: @973970
     /*  973970 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(974065), // Rule ID 8184 //
     /*  973975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974025 */     // MIs[1] Operand 1
     /*  974025 */     // No operand predicates
     /*  974025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974063 */     GIR_RootConstrainSelectedInstOperands,
     /*  974064 */     // GIR_Coverage, 8184,
     /*  974064 */     GIR_EraseRootFromParent_Done,
     /*  974065 */   // Label 14586: @974065
     /*  974065 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(974160), // Rule ID 8185 //
     /*  974070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974120 */     // MIs[1] Operand 1
     /*  974120 */     // No operand predicates
     /*  974120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974133 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974158 */     GIR_RootConstrainSelectedInstOperands,
     /*  974159 */     // GIR_Coverage, 8185,
     /*  974159 */     GIR_EraseRootFromParent_Done,
     /*  974160 */   // Label 14587: @974160
     /*  974160 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(974255), // Rule ID 8188 //
     /*  974165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974215 */     // MIs[1] Operand 1
     /*  974215 */     // No operand predicates
     /*  974215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974253 */     GIR_RootConstrainSelectedInstOperands,
     /*  974254 */     // GIR_Coverage, 8188,
     /*  974254 */     GIR_EraseRootFromParent_Done,
     /*  974255 */   // Label 14588: @974255
     /*  974255 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(974350), // Rule ID 8189 //
     /*  974260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974310 */     // MIs[1] Operand 1
     /*  974310 */     // No operand predicates
     /*  974310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974323 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974348 */     GIR_RootConstrainSelectedInstOperands,
     /*  974349 */     // GIR_Coverage, 8189,
     /*  974349 */     GIR_EraseRootFromParent_Done,
     /*  974350 */   // Label 14589: @974350
     /*  974350 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(974445), // Rule ID 8192 //
     /*  974355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974405 */     // MIs[1] Operand 1
     /*  974405 */     // No operand predicates
     /*  974405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974418 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974443 */     GIR_RootConstrainSelectedInstOperands,
     /*  974444 */     // GIR_Coverage, 8192,
     /*  974444 */     GIR_EraseRootFromParent_Done,
     /*  974445 */   // Label 14590: @974445
     /*  974445 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(974540), // Rule ID 8193 //
     /*  974450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974500 */     // MIs[1] Operand 1
     /*  974500 */     // No operand predicates
     /*  974500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974513 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974538 */     GIR_RootConstrainSelectedInstOperands,
     /*  974539 */     // GIR_Coverage, 8193,
     /*  974539 */     GIR_EraseRootFromParent_Done,
     /*  974540 */   // Label 14591: @974540
     /*  974540 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(974635), // Rule ID 8196 //
     /*  974545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974595 */     // MIs[1] Operand 1
     /*  974595 */     // No operand predicates
     /*  974595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974633 */     GIR_RootConstrainSelectedInstOperands,
     /*  974634 */     // GIR_Coverage, 8196,
     /*  974634 */     GIR_EraseRootFromParent_Done,
     /*  974635 */   // Label 14592: @974635
     /*  974635 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(974730), // Rule ID 8197 //
     /*  974640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974690 */     // MIs[1] Operand 1
     /*  974690 */     // No operand predicates
     /*  974690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974703 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974728 */     GIR_RootConstrainSelectedInstOperands,
     /*  974729 */     // GIR_Coverage, 8197,
     /*  974729 */     GIR_EraseRootFromParent_Done,
     /*  974730 */   // Label 14593: @974730
     /*  974730 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(974825), // Rule ID 8200 //
     /*  974735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974785 */     // MIs[1] Operand 1
     /*  974785 */     // No operand predicates
     /*  974785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974798 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974823 */     GIR_RootConstrainSelectedInstOperands,
     /*  974824 */     // GIR_Coverage, 8200,
     /*  974824 */     GIR_EraseRootFromParent_Done,
     /*  974825 */   // Label 14594: @974825
     /*  974825 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(974920), // Rule ID 8201 //
     /*  974830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974880 */     // MIs[1] Operand 1
     /*  974880 */     // No operand predicates
     /*  974880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974893 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974918 */     GIR_RootConstrainSelectedInstOperands,
     /*  974919 */     // GIR_Coverage, 8201,
     /*  974919 */     GIR_EraseRootFromParent_Done,
     /*  974920 */   // Label 14595: @974920
     /*  974920 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(975015), // Rule ID 8204 //
     /*  974925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974975 */     // MIs[1] Operand 1
     /*  974975 */     // No operand predicates
     /*  974975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975013 */     GIR_RootConstrainSelectedInstOperands,
     /*  975014 */     // GIR_Coverage, 8204,
     /*  975014 */     GIR_EraseRootFromParent_Done,
     /*  975015 */   // Label 14596: @975015
     /*  975015 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(975110), // Rule ID 8205 //
     /*  975020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975070 */     // MIs[1] Operand 1
     /*  975070 */     // No operand predicates
     /*  975070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975083 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975108 */     GIR_RootConstrainSelectedInstOperands,
     /*  975109 */     // GIR_Coverage, 8205,
     /*  975109 */     GIR_EraseRootFromParent_Done,
     /*  975110 */   // Label 14597: @975110
     /*  975110 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(975205), // Rule ID 8208 //
     /*  975115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975165 */     // MIs[1] Operand 1
     /*  975165 */     // No operand predicates
     /*  975165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975203 */     GIR_RootConstrainSelectedInstOperands,
     /*  975204 */     // GIR_Coverage, 8208,
     /*  975204 */     GIR_EraseRootFromParent_Done,
     /*  975205 */   // Label 14598: @975205
     /*  975205 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(975300), // Rule ID 8209 //
     /*  975210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975260 */     // MIs[1] Operand 1
     /*  975260 */     // No operand predicates
     /*  975260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975273 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975298 */     GIR_RootConstrainSelectedInstOperands,
     /*  975299 */     // GIR_Coverage, 8209,
     /*  975299 */     GIR_EraseRootFromParent_Done,
     /*  975300 */   // Label 14599: @975300
     /*  975300 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(975395), // Rule ID 8212 //
     /*  975305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975355 */     // MIs[1] Operand 1
     /*  975355 */     // No operand predicates
     /*  975355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975393 */     GIR_RootConstrainSelectedInstOperands,
     /*  975394 */     // GIR_Coverage, 8212,
     /*  975394 */     GIR_EraseRootFromParent_Done,
     /*  975395 */   // Label 14600: @975395
     /*  975395 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(975490), // Rule ID 8213 //
     /*  975400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975450 */     // MIs[1] Operand 1
     /*  975450 */     // No operand predicates
     /*  975450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975463 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975488 */     GIR_RootConstrainSelectedInstOperands,
     /*  975489 */     // GIR_Coverage, 8213,
     /*  975489 */     GIR_EraseRootFromParent_Done,
     /*  975490 */   // Label 14601: @975490
     /*  975490 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(975585), // Rule ID 8216 //
     /*  975495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975545 */     // MIs[1] Operand 1
     /*  975545 */     // No operand predicates
     /*  975545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975583 */     GIR_RootConstrainSelectedInstOperands,
     /*  975584 */     // GIR_Coverage, 8216,
     /*  975584 */     GIR_EraseRootFromParent_Done,
     /*  975585 */   // Label 14602: @975585
     /*  975585 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(975680), // Rule ID 8217 //
     /*  975590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975640 */     // MIs[1] Operand 1
     /*  975640 */     // No operand predicates
     /*  975640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975678 */     GIR_RootConstrainSelectedInstOperands,
     /*  975679 */     // GIR_Coverage, 8217,
     /*  975679 */     GIR_EraseRootFromParent_Done,
     /*  975680 */   // Label 14603: @975680
     /*  975680 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(975775), // Rule ID 8748 //
     /*  975685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975735 */     // MIs[1] Operand 1
     /*  975735 */     // No operand predicates
     /*  975735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  975751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975773 */     GIR_RootConstrainSelectedInstOperands,
     /*  975774 */     // GIR_Coverage, 8748,
     /*  975774 */     GIR_EraseRootFromParent_Done,
     /*  975775 */   // Label 14604: @975775
     /*  975775 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(975870), // Rule ID 8749 //
     /*  975780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  975797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975830 */     // MIs[1] Operand 1
     /*  975830 */     // No operand predicates
     /*  975830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  975846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975868 */     GIR_RootConstrainSelectedInstOperands,
     /*  975869 */     // GIR_Coverage, 8749,
     /*  975869 */     GIR_EraseRootFromParent_Done,
     /*  975870 */   // Label 14605: @975870
     /*  975870 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(975965), // Rule ID 8752 //
     /*  975875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975925 */     // MIs[1] Operand 1
     /*  975925 */     // No operand predicates
     /*  975925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975938 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  975941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975963 */     GIR_RootConstrainSelectedInstOperands,
     /*  975964 */     // GIR_Coverage, 8752,
     /*  975964 */     GIR_EraseRootFromParent_Done,
     /*  975965 */   // Label 14606: @975965
     /*  975965 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(976060), // Rule ID 8753 //
     /*  975970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  975978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  975987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976020 */     // MIs[1] Operand 1
     /*  976020 */     // No operand predicates
     /*  976020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976058 */     GIR_RootConstrainSelectedInstOperands,
     /*  976059 */     // GIR_Coverage, 8753,
     /*  976059 */     GIR_EraseRootFromParent_Done,
     /*  976060 */   // Label 14607: @976060
     /*  976060 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(976155), // Rule ID 8756 //
     /*  976065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976115 */     // MIs[1] Operand 1
     /*  976115 */     // No operand predicates
     /*  976115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976153 */     GIR_RootConstrainSelectedInstOperands,
     /*  976154 */     // GIR_Coverage, 8756,
     /*  976154 */     GIR_EraseRootFromParent_Done,
     /*  976155 */   // Label 14608: @976155
     /*  976155 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(976250), // Rule ID 8757 //
     /*  976160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976210 */     // MIs[1] Operand 1
     /*  976210 */     // No operand predicates
     /*  976210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976223 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976248 */     GIR_RootConstrainSelectedInstOperands,
     /*  976249 */     // GIR_Coverage, 8757,
     /*  976249 */     GIR_EraseRootFromParent_Done,
     /*  976250 */   // Label 14609: @976250
     /*  976250 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(976345), // Rule ID 8760 //
     /*  976255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976305 */     // MIs[1] Operand 1
     /*  976305 */     // No operand predicates
     /*  976305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976318 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976343 */     GIR_RootConstrainSelectedInstOperands,
     /*  976344 */     // GIR_Coverage, 8760,
     /*  976344 */     GIR_EraseRootFromParent_Done,
     /*  976345 */   // Label 14610: @976345
     /*  976345 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(976440), // Rule ID 8761 //
     /*  976350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976400 */     // MIs[1] Operand 1
     /*  976400 */     // No operand predicates
     /*  976400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976413 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976438 */     GIR_RootConstrainSelectedInstOperands,
     /*  976439 */     // GIR_Coverage, 8761,
     /*  976439 */     GIR_EraseRootFromParent_Done,
     /*  976440 */   // Label 14611: @976440
     /*  976440 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(976535), // Rule ID 8764 //
     /*  976445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976495 */     // MIs[1] Operand 1
     /*  976495 */     // No operand predicates
     /*  976495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976533 */     GIR_RootConstrainSelectedInstOperands,
     /*  976534 */     // GIR_Coverage, 8764,
     /*  976534 */     GIR_EraseRootFromParent_Done,
     /*  976535 */   // Label 14612: @976535
     /*  976535 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(976630), // Rule ID 8765 //
     /*  976540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  976557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976590 */     // MIs[1] Operand 1
     /*  976590 */     // No operand predicates
     /*  976590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976603 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976628 */     GIR_RootConstrainSelectedInstOperands,
     /*  976629 */     // GIR_Coverage, 8765,
     /*  976629 */     GIR_EraseRootFromParent_Done,
     /*  976630 */   // Label 14613: @976630
     /*  976630 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(976725), // Rule ID 8768 //
     /*  976635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976685 */     // MIs[1] Operand 1
     /*  976685 */     // No operand predicates
     /*  976685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976723 */     GIR_RootConstrainSelectedInstOperands,
     /*  976724 */     // GIR_Coverage, 8768,
     /*  976724 */     GIR_EraseRootFromParent_Done,
     /*  976725 */   // Label 14614: @976725
     /*  976725 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(976820), // Rule ID 8769 //
     /*  976730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  976747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976780 */     // MIs[1] Operand 1
     /*  976780 */     // No operand predicates
     /*  976780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976818 */     GIR_RootConstrainSelectedInstOperands,
     /*  976819 */     // GIR_Coverage, 8769,
     /*  976819 */     GIR_EraseRootFromParent_Done,
     /*  976820 */   // Label 14615: @976820
     /*  976820 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(976915), // Rule ID 8772 //
     /*  976825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976875 */     // MIs[1] Operand 1
     /*  976875 */     // No operand predicates
     /*  976875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  976891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976913 */     GIR_RootConstrainSelectedInstOperands,
     /*  976914 */     // GIR_Coverage, 8772,
     /*  976914 */     GIR_EraseRootFromParent_Done,
     /*  976915 */   // Label 14616: @976915
     /*  976915 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(977010), // Rule ID 8773 //
     /*  976920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  976937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976970 */     // MIs[1] Operand 1
     /*  976970 */     // No operand predicates
     /*  976970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976983 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  976986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977008 */     GIR_RootConstrainSelectedInstOperands,
     /*  977009 */     // GIR_Coverage, 8773,
     /*  977009 */     GIR_EraseRootFromParent_Done,
     /*  977010 */   // Label 14617: @977010
     /*  977010 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(977105), // Rule ID 8776 //
     /*  977015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977065 */     // MIs[1] Operand 1
     /*  977065 */     // No operand predicates
     /*  977065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977103 */     GIR_RootConstrainSelectedInstOperands,
     /*  977104 */     // GIR_Coverage, 8776,
     /*  977104 */     GIR_EraseRootFromParent_Done,
     /*  977105 */   // Label 14618: @977105
     /*  977105 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(977200), // Rule ID 8777 //
     /*  977110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977160 */     // MIs[1] Operand 1
     /*  977160 */     // No operand predicates
     /*  977160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977198 */     GIR_RootConstrainSelectedInstOperands,
     /*  977199 */     // GIR_Coverage, 8777,
     /*  977199 */     GIR_EraseRootFromParent_Done,
     /*  977200 */   // Label 14619: @977200
     /*  977200 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(977295), // Rule ID 8780 //
     /*  977205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977255 */     // MIs[1] Operand 1
     /*  977255 */     // No operand predicates
     /*  977255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977293 */     GIR_RootConstrainSelectedInstOperands,
     /*  977294 */     // GIR_Coverage, 8780,
     /*  977294 */     GIR_EraseRootFromParent_Done,
     /*  977295 */   // Label 14620: @977295
     /*  977295 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(977390), // Rule ID 8781 //
     /*  977300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977350 */     // MIs[1] Operand 1
     /*  977350 */     // No operand predicates
     /*  977350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977388 */     GIR_RootConstrainSelectedInstOperands,
     /*  977389 */     // GIR_Coverage, 8781,
     /*  977389 */     GIR_EraseRootFromParent_Done,
     /*  977390 */   // Label 14621: @977390
     /*  977390 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(977485), // Rule ID 8784 //
     /*  977395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977445 */     // MIs[1] Operand 1
     /*  977445 */     // No operand predicates
     /*  977445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977458 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977483 */     GIR_RootConstrainSelectedInstOperands,
     /*  977484 */     // GIR_Coverage, 8784,
     /*  977484 */     GIR_EraseRootFromParent_Done,
     /*  977485 */   // Label 14622: @977485
     /*  977485 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(977580), // Rule ID 8785 //
     /*  977490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  977507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977540 */     // MIs[1] Operand 1
     /*  977540 */     // No operand predicates
     /*  977540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977553 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977578 */     GIR_RootConstrainSelectedInstOperands,
     /*  977579 */     // GIR_Coverage, 8785,
     /*  977579 */     GIR_EraseRootFromParent_Done,
     /*  977580 */   // Label 14623: @977580
     /*  977580 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(977675), // Rule ID 8788 //
     /*  977585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977635 */     // MIs[1] Operand 1
     /*  977635 */     // No operand predicates
     /*  977635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  977651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977673 */     GIR_RootConstrainSelectedInstOperands,
     /*  977674 */     // GIR_Coverage, 8788,
     /*  977674 */     GIR_EraseRootFromParent_Done,
     /*  977675 */   // Label 14624: @977675
     /*  977675 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(977770), // Rule ID 8789 //
     /*  977680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  977697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977730 */     // MIs[1] Operand 1
     /*  977730 */     // No operand predicates
     /*  977730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977743 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  977746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977768 */     GIR_RootConstrainSelectedInstOperands,
     /*  977769 */     // GIR_Coverage, 8789,
     /*  977769 */     GIR_EraseRootFromParent_Done,
     /*  977770 */   // Label 14625: @977770
     /*  977770 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(977865), // Rule ID 8792 //
     /*  977775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977825 */     // MIs[1] Operand 1
     /*  977825 */     // No operand predicates
     /*  977825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977838 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  977841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977863 */     GIR_RootConstrainSelectedInstOperands,
     /*  977864 */     // GIR_Coverage, 8792,
     /*  977864 */     GIR_EraseRootFromParent_Done,
     /*  977865 */   // Label 14626: @977865
     /*  977865 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(977960), // Rule ID 8793 //
     /*  977870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  977887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977920 */     // MIs[1] Operand 1
     /*  977920 */     // No operand predicates
     /*  977920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977933 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  977936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977958 */     GIR_RootConstrainSelectedInstOperands,
     /*  977959 */     // GIR_Coverage, 8793,
     /*  977959 */     GIR_EraseRootFromParent_Done,
     /*  977960 */   // Label 14627: @977960
     /*  977960 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(978055), // Rule ID 8796 //
     /*  977965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  977976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  977979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  977982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  977988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978015 */     // MIs[1] Operand 1
     /*  978015 */     // No operand predicates
     /*  978015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978028 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978053 */     GIR_RootConstrainSelectedInstOperands,
     /*  978054 */     // GIR_Coverage, 8796,
     /*  978054 */     GIR_EraseRootFromParent_Done,
     /*  978055 */   // Label 14628: @978055
     /*  978055 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(978150), // Rule ID 8797 //
     /*  978060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978110 */     // MIs[1] Operand 1
     /*  978110 */     // No operand predicates
     /*  978110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978123 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978148 */     GIR_RootConstrainSelectedInstOperands,
     /*  978149 */     // GIR_Coverage, 8797,
     /*  978149 */     GIR_EraseRootFromParent_Done,
     /*  978150 */   // Label 14629: @978150
     /*  978150 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(978245), // Rule ID 8800 //
     /*  978155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978205 */     // MIs[1] Operand 1
     /*  978205 */     // No operand predicates
     /*  978205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978243 */     GIR_RootConstrainSelectedInstOperands,
     /*  978244 */     // GIR_Coverage, 8800,
     /*  978244 */     GIR_EraseRootFromParent_Done,
     /*  978245 */   // Label 14630: @978245
     /*  978245 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(978340), // Rule ID 8801 //
     /*  978250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978300 */     // MIs[1] Operand 1
     /*  978300 */     // No operand predicates
     /*  978300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978313 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978338 */     GIR_RootConstrainSelectedInstOperands,
     /*  978339 */     // GIR_Coverage, 8801,
     /*  978339 */     GIR_EraseRootFromParent_Done,
     /*  978340 */   // Label 14631: @978340
     /*  978340 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(978435), // Rule ID 8804 //
     /*  978345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978395 */     // MIs[1] Operand 1
     /*  978395 */     // No operand predicates
     /*  978395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978433 */     GIR_RootConstrainSelectedInstOperands,
     /*  978434 */     // GIR_Coverage, 8804,
     /*  978434 */     GIR_EraseRootFromParent_Done,
     /*  978435 */   // Label 14632: @978435
     /*  978435 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(978530), // Rule ID 8805 //
     /*  978440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978490 */     // MIs[1] Operand 1
     /*  978490 */     // No operand predicates
     /*  978490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978503 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978528 */     GIR_RootConstrainSelectedInstOperands,
     /*  978529 */     // GIR_Coverage, 8805,
     /*  978529 */     GIR_EraseRootFromParent_Done,
     /*  978530 */   // Label 14633: @978530
     /*  978530 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(978625), // Rule ID 8808 //
     /*  978535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978585 */     // MIs[1] Operand 1
     /*  978585 */     // No operand predicates
     /*  978585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978598 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978623 */     GIR_RootConstrainSelectedInstOperands,
     /*  978624 */     // GIR_Coverage, 8808,
     /*  978624 */     GIR_EraseRootFromParent_Done,
     /*  978625 */   // Label 14634: @978625
     /*  978625 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(978720), // Rule ID 8809 //
     /*  978630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  978647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978680 */     // MIs[1] Operand 1
     /*  978680 */     // No operand predicates
     /*  978680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978693 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978718 */     GIR_RootConstrainSelectedInstOperands,
     /*  978719 */     // GIR_Coverage, 8809,
     /*  978719 */     GIR_EraseRootFromParent_Done,
     /*  978720 */   // Label 14635: @978720
     /*  978720 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(978815), // Rule ID 8812 //
     /*  978725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978775 */     // MIs[1] Operand 1
     /*  978775 */     // No operand predicates
     /*  978775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978788 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978813 */     GIR_RootConstrainSelectedInstOperands,
     /*  978814 */     // GIR_Coverage, 8812,
     /*  978814 */     GIR_EraseRootFromParent_Done,
     /*  978815 */   // Label 14636: @978815
     /*  978815 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(978910), // Rule ID 8813 //
     /*  978820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  978837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978870 */     // MIs[1] Operand 1
     /*  978870 */     // No operand predicates
     /*  978870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978883 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978908 */     GIR_RootConstrainSelectedInstOperands,
     /*  978909 */     // GIR_Coverage, 8813,
     /*  978909 */     GIR_EraseRootFromParent_Done,
     /*  978910 */   // Label 14637: @978910
     /*  978910 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(979005), // Rule ID 8816 //
     /*  978915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  978932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978965 */     // MIs[1] Operand 1
     /*  978965 */     // No operand predicates
     /*  978965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979003 */     GIR_RootConstrainSelectedInstOperands,
     /*  979004 */     // GIR_Coverage, 8816,
     /*  979004 */     GIR_EraseRootFromParent_Done,
     /*  979005 */   // Label 14638: @979005
     /*  979005 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(979100), // Rule ID 8817 //
     /*  979010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979060 */     // MIs[1] Operand 1
     /*  979060 */     // No operand predicates
     /*  979060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979073 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979098 */     GIR_RootConstrainSelectedInstOperands,
     /*  979099 */     // GIR_Coverage, 8817,
     /*  979099 */     GIR_EraseRootFromParent_Done,
     /*  979100 */   // Label 14639: @979100
     /*  979100 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(979195), // Rule ID 8820 //
     /*  979105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979155 */     // MIs[1] Operand 1
     /*  979155 */     // No operand predicates
     /*  979155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979193 */     GIR_RootConstrainSelectedInstOperands,
     /*  979194 */     // GIR_Coverage, 8820,
     /*  979194 */     GIR_EraseRootFromParent_Done,
     /*  979195 */   // Label 14640: @979195
     /*  979195 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(979290), // Rule ID 8821 //
     /*  979200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979250 */     // MIs[1] Operand 1
     /*  979250 */     // No operand predicates
     /*  979250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979263 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979288 */     GIR_RootConstrainSelectedInstOperands,
     /*  979289 */     // GIR_Coverage, 8821,
     /*  979289 */     GIR_EraseRootFromParent_Done,
     /*  979290 */   // Label 14641: @979290
     /*  979290 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(979385), // Rule ID 8824 //
     /*  979295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979345 */     // MIs[1] Operand 1
     /*  979345 */     // No operand predicates
     /*  979345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  979361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979383 */     GIR_RootConstrainSelectedInstOperands,
     /*  979384 */     // GIR_Coverage, 8824,
     /*  979384 */     GIR_EraseRootFromParent_Done,
     /*  979385 */   // Label 14642: @979385
     /*  979385 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(979480), // Rule ID 8825 //
     /*  979390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979440 */     // MIs[1] Operand 1
     /*  979440 */     // No operand predicates
     /*  979440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  979456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979478 */     GIR_RootConstrainSelectedInstOperands,
     /*  979479 */     // GIR_Coverage, 8825,
     /*  979479 */     GIR_EraseRootFromParent_Done,
     /*  979480 */   // Label 14643: @979480
     /*  979480 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(979575), // Rule ID 8828 //
     /*  979485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979535 */     // MIs[1] Operand 1
     /*  979535 */     // No operand predicates
     /*  979535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979573 */     GIR_RootConstrainSelectedInstOperands,
     /*  979574 */     // GIR_Coverage, 8828,
     /*  979574 */     GIR_EraseRootFromParent_Done,
     /*  979575 */   // Label 14644: @979575
     /*  979575 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(979670), // Rule ID 8829 //
     /*  979580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  979597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979630 */     // MIs[1] Operand 1
     /*  979630 */     // No operand predicates
     /*  979630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979668 */     GIR_RootConstrainSelectedInstOperands,
     /*  979669 */     // GIR_Coverage, 8829,
     /*  979669 */     GIR_EraseRootFromParent_Done,
     /*  979670 */   // Label 14645: @979670
     /*  979670 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(979765), // Rule ID 8832 //
     /*  979675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979725 */     // MIs[1] Operand 1
     /*  979725 */     // No operand predicates
     /*  979725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979763 */     GIR_RootConstrainSelectedInstOperands,
     /*  979764 */     // GIR_Coverage, 8832,
     /*  979764 */     GIR_EraseRootFromParent_Done,
     /*  979765 */   // Label 14646: @979765
     /*  979765 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(979860), // Rule ID 8833 //
     /*  979770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  979787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979820 */     // MIs[1] Operand 1
     /*  979820 */     // No operand predicates
     /*  979820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979858 */     GIR_RootConstrainSelectedInstOperands,
     /*  979859 */     // GIR_Coverage, 8833,
     /*  979859 */     GIR_EraseRootFromParent_Done,
     /*  979860 */   // Label 14647: @979860
     /*  979860 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(979955), // Rule ID 9012 //
     /*  979865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979915 */     // MIs[1] Operand 1
     /*  979915 */     // No operand predicates
     /*  979915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  979931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979953 */     GIR_RootConstrainSelectedInstOperands,
     /*  979954 */     // GIR_Coverage, 9012,
     /*  979954 */     GIR_EraseRootFromParent_Done,
     /*  979955 */   // Label 14648: @979955
     /*  979955 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(980050), // Rule ID 9013 //
     /*  979960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  979968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980010 */     // MIs[1] Operand 1
     /*  980010 */     // No operand predicates
     /*  980010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980023 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  980026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980048 */     GIR_RootConstrainSelectedInstOperands,
     /*  980049 */     // GIR_Coverage, 9013,
     /*  980049 */     GIR_EraseRootFromParent_Done,
     /*  980050 */   // Label 14649: @980050
     /*  980050 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(980145), // Rule ID 9016 //
     /*  980055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980105 */     // MIs[1] Operand 1
     /*  980105 */     // No operand predicates
     /*  980105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980118 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980143 */     GIR_RootConstrainSelectedInstOperands,
     /*  980144 */     // GIR_Coverage, 9016,
     /*  980144 */     GIR_EraseRootFromParent_Done,
     /*  980145 */   // Label 14650: @980145
     /*  980145 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(980240), // Rule ID 9017 //
     /*  980150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980200 */     // MIs[1] Operand 1
     /*  980200 */     // No operand predicates
     /*  980200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980238 */     GIR_RootConstrainSelectedInstOperands,
     /*  980239 */     // GIR_Coverage, 9017,
     /*  980239 */     GIR_EraseRootFromParent_Done,
     /*  980240 */   // Label 14651: @980240
     /*  980240 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(980335), // Rule ID 9020 //
     /*  980245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980295 */     // MIs[1] Operand 1
     /*  980295 */     // No operand predicates
     /*  980295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980333 */     GIR_RootConstrainSelectedInstOperands,
     /*  980334 */     // GIR_Coverage, 9020,
     /*  980334 */     GIR_EraseRootFromParent_Done,
     /*  980335 */   // Label 14652: @980335
     /*  980335 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(980430), // Rule ID 9021 //
     /*  980340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980390 */     // MIs[1] Operand 1
     /*  980390 */     // No operand predicates
     /*  980390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980403 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980428 */     GIR_RootConstrainSelectedInstOperands,
     /*  980429 */     // GIR_Coverage, 9021,
     /*  980429 */     GIR_EraseRootFromParent_Done,
     /*  980430 */   // Label 14653: @980430
     /*  980430 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(980525), // Rule ID 9024 //
     /*  980435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980485 */     // MIs[1] Operand 1
     /*  980485 */     // No operand predicates
     /*  980485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980523 */     GIR_RootConstrainSelectedInstOperands,
     /*  980524 */     // GIR_Coverage, 9024,
     /*  980524 */     GIR_EraseRootFromParent_Done,
     /*  980525 */   // Label 14654: @980525
     /*  980525 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(980620), // Rule ID 9025 //
     /*  980530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980580 */     // MIs[1] Operand 1
     /*  980580 */     // No operand predicates
     /*  980580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980618 */     GIR_RootConstrainSelectedInstOperands,
     /*  980619 */     // GIR_Coverage, 9025,
     /*  980619 */     GIR_EraseRootFromParent_Done,
     /*  980620 */   // Label 14655: @980620
     /*  980620 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(980715), // Rule ID 9028 //
     /*  980625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980675 */     // MIs[1] Operand 1
     /*  980675 */     // No operand predicates
     /*  980675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980713 */     GIR_RootConstrainSelectedInstOperands,
     /*  980714 */     // GIR_Coverage, 9028,
     /*  980714 */     GIR_EraseRootFromParent_Done,
     /*  980715 */   // Label 14656: @980715
     /*  980715 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(980810), // Rule ID 9029 //
     /*  980720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980770 */     // MIs[1] Operand 1
     /*  980770 */     // No operand predicates
     /*  980770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980783 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980808 */     GIR_RootConstrainSelectedInstOperands,
     /*  980809 */     // GIR_Coverage, 9029,
     /*  980809 */     GIR_EraseRootFromParent_Done,
     /*  980810 */   // Label 14657: @980810
     /*  980810 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(980905), // Rule ID 9032 //
     /*  980815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980865 */     // MIs[1] Operand 1
     /*  980865 */     // No operand predicates
     /*  980865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980878 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  980878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980903 */     GIR_RootConstrainSelectedInstOperands,
     /*  980904 */     // GIR_Coverage, 9032,
     /*  980904 */     GIR_EraseRootFromParent_Done,
     /*  980905 */   // Label 14658: @980905
     /*  980905 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(981000), // Rule ID 9033 //
     /*  980910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980960 */     // MIs[1] Operand 1
     /*  980960 */     // No operand predicates
     /*  980960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980973 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  980973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980998 */     GIR_RootConstrainSelectedInstOperands,
     /*  980999 */     // GIR_Coverage, 9033,
     /*  980999 */     GIR_EraseRootFromParent_Done,
     /*  981000 */   // Label 14659: @981000
     /*  981000 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(981095), // Rule ID 9036 //
     /*  981005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981055 */     // MIs[1] Operand 1
     /*  981055 */     // No operand predicates
     /*  981055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981093 */     GIR_RootConstrainSelectedInstOperands,
     /*  981094 */     // GIR_Coverage, 9036,
     /*  981094 */     GIR_EraseRootFromParent_Done,
     /*  981095 */   // Label 14660: @981095
     /*  981095 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(981190), // Rule ID 9037 //
     /*  981100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981150 */     // MIs[1] Operand 1
     /*  981150 */     // No operand predicates
     /*  981150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981163 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981188 */     GIR_RootConstrainSelectedInstOperands,
     /*  981189 */     // GIR_Coverage, 9037,
     /*  981189 */     GIR_EraseRootFromParent_Done,
     /*  981190 */   // Label 14661: @981190
     /*  981190 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(981285), // Rule ID 9040 //
     /*  981195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981245 */     // MIs[1] Operand 1
     /*  981245 */     // No operand predicates
     /*  981245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981283 */     GIR_RootConstrainSelectedInstOperands,
     /*  981284 */     // GIR_Coverage, 9040,
     /*  981284 */     GIR_EraseRootFromParent_Done,
     /*  981285 */   // Label 14662: @981285
     /*  981285 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(981380), // Rule ID 9041 //
     /*  981290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981340 */     // MIs[1] Operand 1
     /*  981340 */     // No operand predicates
     /*  981340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981378 */     GIR_RootConstrainSelectedInstOperands,
     /*  981379 */     // GIR_Coverage, 9041,
     /*  981379 */     GIR_EraseRootFromParent_Done,
     /*  981380 */   // Label 14663: @981380
     /*  981380 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(981475), // Rule ID 9044 //
     /*  981385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981435 */     // MIs[1] Operand 1
     /*  981435 */     // No operand predicates
     /*  981435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981473 */     GIR_RootConstrainSelectedInstOperands,
     /*  981474 */     // GIR_Coverage, 9044,
     /*  981474 */     GIR_EraseRootFromParent_Done,
     /*  981475 */   // Label 14664: @981475
     /*  981475 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(981570), // Rule ID 9045 //
     /*  981480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981530 */     // MIs[1] Operand 1
     /*  981530 */     // No operand predicates
     /*  981530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981543 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981568 */     GIR_RootConstrainSelectedInstOperands,
     /*  981569 */     // GIR_Coverage, 9045,
     /*  981569 */     GIR_EraseRootFromParent_Done,
     /*  981570 */   // Label 14665: @981570
     /*  981570 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(981665), // Rule ID 9048 //
     /*  981575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981625 */     // MIs[1] Operand 1
     /*  981625 */     // No operand predicates
     /*  981625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981638 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981663 */     GIR_RootConstrainSelectedInstOperands,
     /*  981664 */     // GIR_Coverage, 9048,
     /*  981664 */     GIR_EraseRootFromParent_Done,
     /*  981665 */   // Label 14666: @981665
     /*  981665 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(981760), // Rule ID 9049 //
     /*  981670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981720 */     // MIs[1] Operand 1
     /*  981720 */     // No operand predicates
     /*  981720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981758 */     GIR_RootConstrainSelectedInstOperands,
     /*  981759 */     // GIR_Coverage, 9049,
     /*  981759 */     GIR_EraseRootFromParent_Done,
     /*  981760 */   // Label 14667: @981760
     /*  981760 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(981855), // Rule ID 9052 //
     /*  981765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981815 */     // MIs[1] Operand 1
     /*  981815 */     // No operand predicates
     /*  981815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  981831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981853 */     GIR_RootConstrainSelectedInstOperands,
     /*  981854 */     // GIR_Coverage, 9052,
     /*  981854 */     GIR_EraseRootFromParent_Done,
     /*  981855 */   // Label 14668: @981855
     /*  981855 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(981950), // Rule ID 9053 //
     /*  981860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981910 */     // MIs[1] Operand 1
     /*  981910 */     // No operand predicates
     /*  981910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981923 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  981926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981948 */     GIR_RootConstrainSelectedInstOperands,
     /*  981949 */     // GIR_Coverage, 9053,
     /*  981949 */     GIR_EraseRootFromParent_Done,
     /*  981950 */   // Label 14669: @981950
     /*  981950 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(982045), // Rule ID 9056 //
     /*  981955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982005 */     // MIs[1] Operand 1
     /*  982005 */     // No operand predicates
     /*  982005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982018 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982043 */     GIR_RootConstrainSelectedInstOperands,
     /*  982044 */     // GIR_Coverage, 9056,
     /*  982044 */     GIR_EraseRootFromParent_Done,
     /*  982045 */   // Label 14670: @982045
     /*  982045 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(982140), // Rule ID 9057 //
     /*  982050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982100 */     // MIs[1] Operand 1
     /*  982100 */     // No operand predicates
     /*  982100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982113 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982138 */     GIR_RootConstrainSelectedInstOperands,
     /*  982139 */     // GIR_Coverage, 9057,
     /*  982139 */     GIR_EraseRootFromParent_Done,
     /*  982140 */   // Label 14671: @982140
     /*  982140 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(982235), // Rule ID 9060 //
     /*  982145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982195 */     // MIs[1] Operand 1
     /*  982195 */     // No operand predicates
     /*  982195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982208 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982233 */     GIR_RootConstrainSelectedInstOperands,
     /*  982234 */     // GIR_Coverage, 9060,
     /*  982234 */     GIR_EraseRootFromParent_Done,
     /*  982235 */   // Label 14672: @982235
     /*  982235 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(982330), // Rule ID 9061 //
     /*  982240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982290 */     // MIs[1] Operand 1
     /*  982290 */     // No operand predicates
     /*  982290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982303 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982328 */     GIR_RootConstrainSelectedInstOperands,
     /*  982329 */     // GIR_Coverage, 9061,
     /*  982329 */     GIR_EraseRootFromParent_Done,
     /*  982330 */   // Label 14673: @982330
     /*  982330 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(982425), // Rule ID 9064 //
     /*  982335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982385 */     // MIs[1] Operand 1
     /*  982385 */     // No operand predicates
     /*  982385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982398 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982423 */     GIR_RootConstrainSelectedInstOperands,
     /*  982424 */     // GIR_Coverage, 9064,
     /*  982424 */     GIR_EraseRootFromParent_Done,
     /*  982425 */   // Label 14674: @982425
     /*  982425 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(982520), // Rule ID 9065 //
     /*  982430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  982447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982480 */     // MIs[1] Operand 1
     /*  982480 */     // No operand predicates
     /*  982480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982518 */     GIR_RootConstrainSelectedInstOperands,
     /*  982519 */     // GIR_Coverage, 9065,
     /*  982519 */     GIR_EraseRootFromParent_Done,
     /*  982520 */   // Label 14675: @982520
     /*  982520 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(982615), // Rule ID 9068 //
     /*  982525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982575 */     // MIs[1] Operand 1
     /*  982575 */     // No operand predicates
     /*  982575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982613 */     GIR_RootConstrainSelectedInstOperands,
     /*  982614 */     // GIR_Coverage, 9068,
     /*  982614 */     GIR_EraseRootFromParent_Done,
     /*  982615 */   // Label 14676: @982615
     /*  982615 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(982710), // Rule ID 9069 //
     /*  982620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  982637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982670 */     // MIs[1] Operand 1
     /*  982670 */     // No operand predicates
     /*  982670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982683 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982708 */     GIR_RootConstrainSelectedInstOperands,
     /*  982709 */     // GIR_Coverage, 9069,
     /*  982709 */     GIR_EraseRootFromParent_Done,
     /*  982710 */   // Label 14677: @982710
     /*  982710 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(982805), // Rule ID 9072 //
     /*  982715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982765 */     // MIs[1] Operand 1
     /*  982765 */     // No operand predicates
     /*  982765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982778 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  982778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982803 */     GIR_RootConstrainSelectedInstOperands,
     /*  982804 */     // GIR_Coverage, 9072,
     /*  982804 */     GIR_EraseRootFromParent_Done,
     /*  982805 */   // Label 14678: @982805
     /*  982805 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(982900), // Rule ID 9073 //
     /*  982810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982860 */     // MIs[1] Operand 1
     /*  982860 */     // No operand predicates
     /*  982860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982873 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982898 */     GIR_RootConstrainSelectedInstOperands,
     /*  982899 */     // GIR_Coverage, 9073,
     /*  982899 */     GIR_EraseRootFromParent_Done,
     /*  982900 */   // Label 14679: @982900
     /*  982900 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(982995), // Rule ID 9076 //
     /*  982905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982955 */     // MIs[1] Operand 1
     /*  982955 */     // No operand predicates
     /*  982955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982993 */     GIR_RootConstrainSelectedInstOperands,
     /*  982994 */     // GIR_Coverage, 9076,
     /*  982994 */     GIR_EraseRootFromParent_Done,
     /*  982995 */   // Label 14680: @982995
     /*  982995 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(983090), // Rule ID 9077 //
     /*  983000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983050 */     // MIs[1] Operand 1
     /*  983050 */     // No operand predicates
     /*  983050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983088 */     GIR_RootConstrainSelectedInstOperands,
     /*  983089 */     // GIR_Coverage, 9077,
     /*  983089 */     GIR_EraseRootFromParent_Done,
     /*  983090 */   // Label 14681: @983090
     /*  983090 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(983185), // Rule ID 9080 //
     /*  983095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983145 */     // MIs[1] Operand 1
     /*  983145 */     // No operand predicates
     /*  983145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983183 */     GIR_RootConstrainSelectedInstOperands,
     /*  983184 */     // GIR_Coverage, 9080,
     /*  983184 */     GIR_EraseRootFromParent_Done,
     /*  983185 */   // Label 14682: @983185
     /*  983185 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(983280), // Rule ID 9081 //
     /*  983190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983240 */     // MIs[1] Operand 1
     /*  983240 */     // No operand predicates
     /*  983240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983253 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983278 */     GIR_RootConstrainSelectedInstOperands,
     /*  983279 */     // GIR_Coverage, 9081,
     /*  983279 */     GIR_EraseRootFromParent_Done,
     /*  983280 */   // Label 14683: @983280
     /*  983280 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(983375), // Rule ID 9084 //
     /*  983285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983335 */     // MIs[1] Operand 1
     /*  983335 */     // No operand predicates
     /*  983335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983373 */     GIR_RootConstrainSelectedInstOperands,
     /*  983374 */     // GIR_Coverage, 9084,
     /*  983374 */     GIR_EraseRootFromParent_Done,
     /*  983375 */   // Label 14684: @983375
     /*  983375 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(983470), // Rule ID 9085 //
     /*  983380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983430 */     // MIs[1] Operand 1
     /*  983430 */     // No operand predicates
     /*  983430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983443 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983468 */     GIR_RootConstrainSelectedInstOperands,
     /*  983469 */     // GIR_Coverage, 9085,
     /*  983469 */     GIR_EraseRootFromParent_Done,
     /*  983470 */   // Label 14685: @983470
     /*  983470 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(983565), // Rule ID 9088 //
     /*  983475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983525 */     // MIs[1] Operand 1
     /*  983525 */     // No operand predicates
     /*  983525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983563 */     GIR_RootConstrainSelectedInstOperands,
     /*  983564 */     // GIR_Coverage, 9088,
     /*  983564 */     GIR_EraseRootFromParent_Done,
     /*  983565 */   // Label 14686: @983565
     /*  983565 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(983660), // Rule ID 9089 //
     /*  983570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  983587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983620 */     // MIs[1] Operand 1
     /*  983620 */     // No operand predicates
     /*  983620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983633 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983658 */     GIR_RootConstrainSelectedInstOperands,
     /*  983659 */     // GIR_Coverage, 9089,
     /*  983659 */     GIR_EraseRootFromParent_Done,
     /*  983660 */   // Label 14687: @983660
     /*  983660 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(983755), // Rule ID 9092 //
     /*  983665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983715 */     // MIs[1] Operand 1
     /*  983715 */     // No operand predicates
     /*  983715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983753 */     GIR_RootConstrainSelectedInstOperands,
     /*  983754 */     // GIR_Coverage, 9092,
     /*  983754 */     GIR_EraseRootFromParent_Done,
     /*  983755 */   // Label 14688: @983755
     /*  983755 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(983850), // Rule ID 9093 //
     /*  983760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  983777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983810 */     // MIs[1] Operand 1
     /*  983810 */     // No operand predicates
     /*  983810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983823 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  983823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983848 */     GIR_RootConstrainSelectedInstOperands,
     /*  983849 */     // GIR_Coverage, 9093,
     /*  983849 */     GIR_EraseRootFromParent_Done,
     /*  983850 */   // Label 14689: @983850
     /*  983850 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(983945), // Rule ID 9096 //
     /*  983855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983905 */     // MIs[1] Operand 1
     /*  983905 */     // No operand predicates
     /*  983905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  983918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983943 */     GIR_RootConstrainSelectedInstOperands,
     /*  983944 */     // GIR_Coverage, 9096,
     /*  983944 */     GIR_EraseRootFromParent_Done,
     /*  983945 */   // Label 14690: @983945
     /*  983945 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(984040), // Rule ID 9097 //
     /*  983950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984000 */     // MIs[1] Operand 1
     /*  984000 */     // No operand predicates
     /*  984000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984013 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  984016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984038 */     GIR_RootConstrainSelectedInstOperands,
     /*  984039 */     // GIR_Coverage, 9097,
     /*  984039 */     GIR_EraseRootFromParent_Done,
     /*  984040 */   // Label 14691: @984040
     /*  984040 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(984135), // Rule ID 9188 //
     /*  984045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984095 */     // MIs[1] Operand 1
     /*  984095 */     // No operand predicates
     /*  984095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  984111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984133 */     GIR_RootConstrainSelectedInstOperands,
     /*  984134 */     // GIR_Coverage, 9188,
     /*  984134 */     GIR_EraseRootFromParent_Done,
     /*  984135 */   // Label 14692: @984135
     /*  984135 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(984230), // Rule ID 9189 //
     /*  984140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984190 */     // MIs[1] Operand 1
     /*  984190 */     // No operand predicates
     /*  984190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984203 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  984206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984228 */     GIR_RootConstrainSelectedInstOperands,
     /*  984229 */     // GIR_Coverage, 9189,
     /*  984229 */     GIR_EraseRootFromParent_Done,
     /*  984230 */   // Label 14693: @984230
     /*  984230 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(984325), // Rule ID 9192 //
     /*  984235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984285 */     // MIs[1] Operand 1
     /*  984285 */     // No operand predicates
     /*  984285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984298 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984323 */     GIR_RootConstrainSelectedInstOperands,
     /*  984324 */     // GIR_Coverage, 9192,
     /*  984324 */     GIR_EraseRootFromParent_Done,
     /*  984325 */   // Label 14694: @984325
     /*  984325 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(984420), // Rule ID 9193 //
     /*  984330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984380 */     // MIs[1] Operand 1
     /*  984380 */     // No operand predicates
     /*  984380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984393 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984418 */     GIR_RootConstrainSelectedInstOperands,
     /*  984419 */     // GIR_Coverage, 9193,
     /*  984419 */     GIR_EraseRootFromParent_Done,
     /*  984420 */   // Label 14695: @984420
     /*  984420 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(984515), // Rule ID 9196 //
     /*  984425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984475 */     // MIs[1] Operand 1
     /*  984475 */     // No operand predicates
     /*  984475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  984491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984513 */     GIR_RootConstrainSelectedInstOperands,
     /*  984514 */     // GIR_Coverage, 9196,
     /*  984514 */     GIR_EraseRootFromParent_Done,
     /*  984515 */   // Label 14696: @984515
     /*  984515 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(984610), // Rule ID 9197 //
     /*  984520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984570 */     // MIs[1] Operand 1
     /*  984570 */     // No operand predicates
     /*  984570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984583 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  984586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984608 */     GIR_RootConstrainSelectedInstOperands,
     /*  984609 */     // GIR_Coverage, 9197,
     /*  984609 */     GIR_EraseRootFromParent_Done,
     /*  984610 */   // Label 14697: @984610
     /*  984610 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(984705), // Rule ID 9200 //
     /*  984615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984665 */     // MIs[1] Operand 1
     /*  984665 */     // No operand predicates
     /*  984665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984678 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984703 */     GIR_RootConstrainSelectedInstOperands,
     /*  984704 */     // GIR_Coverage, 9200,
     /*  984704 */     GIR_EraseRootFromParent_Done,
     /*  984705 */   // Label 14698: @984705
     /*  984705 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(984800), // Rule ID 9201 //
     /*  984710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  984727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984760 */     // MIs[1] Operand 1
     /*  984760 */     // No operand predicates
     /*  984760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984798 */     GIR_RootConstrainSelectedInstOperands,
     /*  984799 */     // GIR_Coverage, 9201,
     /*  984799 */     GIR_EraseRootFromParent_Done,
     /*  984800 */   // Label 14699: @984800
     /*  984800 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(984895), // Rule ID 9204 //
     /*  984805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984855 */     // MIs[1] Operand 1
     /*  984855 */     // No operand predicates
     /*  984855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  984871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984893 */     GIR_RootConstrainSelectedInstOperands,
     /*  984894 */     // GIR_Coverage, 9204,
     /*  984894 */     GIR_EraseRootFromParent_Done,
     /*  984895 */   // Label 14700: @984895
     /*  984895 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(984990), // Rule ID 9205 //
     /*  984900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  984917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984950 */     // MIs[1] Operand 1
     /*  984950 */     // No operand predicates
     /*  984950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  984963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  984966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984988 */     GIR_RootConstrainSelectedInstOperands,
     /*  984989 */     // GIR_Coverage, 9205,
     /*  984989 */     GIR_EraseRootFromParent_Done,
     /*  984990 */   // Label 14701: @984990
     /*  984990 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(985085), // Rule ID 9208 //
     /*  984995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985045 */     // MIs[1] Operand 1
     /*  985045 */     // No operand predicates
     /*  985045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985058 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985083 */     GIR_RootConstrainSelectedInstOperands,
     /*  985084 */     // GIR_Coverage, 9208,
     /*  985084 */     GIR_EraseRootFromParent_Done,
     /*  985085 */   // Label 14702: @985085
     /*  985085 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(985180), // Rule ID 9209 //
     /*  985090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985140 */     // MIs[1] Operand 1
     /*  985140 */     // No operand predicates
     /*  985140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985153 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985178 */     GIR_RootConstrainSelectedInstOperands,
     /*  985179 */     // GIR_Coverage, 9209,
     /*  985179 */     GIR_EraseRootFromParent_Done,
     /*  985180 */   // Label 14703: @985180
     /*  985180 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(985275), // Rule ID 9212 //
     /*  985185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985235 */     // MIs[1] Operand 1
     /*  985235 */     // No operand predicates
     /*  985235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985273 */     GIR_RootConstrainSelectedInstOperands,
     /*  985274 */     // GIR_Coverage, 9212,
     /*  985274 */     GIR_EraseRootFromParent_Done,
     /*  985275 */   // Label 14704: @985275
     /*  985275 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(985370), // Rule ID 9213 //
     /*  985280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985330 */     // MIs[1] Operand 1
     /*  985330 */     // No operand predicates
     /*  985330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985343 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985368 */     GIR_RootConstrainSelectedInstOperands,
     /*  985369 */     // GIR_Coverage, 9213,
     /*  985369 */     GIR_EraseRootFromParent_Done,
     /*  985370 */   // Label 14705: @985370
     /*  985370 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(985465), // Rule ID 9216 //
     /*  985375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985425 */     // MIs[1] Operand 1
     /*  985425 */     // No operand predicates
     /*  985425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985438 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985463 */     GIR_RootConstrainSelectedInstOperands,
     /*  985464 */     // GIR_Coverage, 9216,
     /*  985464 */     GIR_EraseRootFromParent_Done,
     /*  985465 */   // Label 14706: @985465
     /*  985465 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(985560), // Rule ID 9217 //
     /*  985470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  985487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985520 */     // MIs[1] Operand 1
     /*  985520 */     // No operand predicates
     /*  985520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985558 */     GIR_RootConstrainSelectedInstOperands,
     /*  985559 */     // GIR_Coverage, 9217,
     /*  985559 */     GIR_EraseRootFromParent_Done,
     /*  985560 */   // Label 14707: @985560
     /*  985560 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(985655), // Rule ID 9220 //
     /*  985565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985615 */     // MIs[1] Operand 1
     /*  985615 */     // No operand predicates
     /*  985615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985653 */     GIR_RootConstrainSelectedInstOperands,
     /*  985654 */     // GIR_Coverage, 9220,
     /*  985654 */     GIR_EraseRootFromParent_Done,
     /*  985655 */   // Label 14708: @985655
     /*  985655 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(985750), // Rule ID 9221 //
     /*  985660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  985677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985710 */     // MIs[1] Operand 1
     /*  985710 */     // No operand predicates
     /*  985710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985723 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985748 */     GIR_RootConstrainSelectedInstOperands,
     /*  985749 */     // GIR_Coverage, 9221,
     /*  985749 */     GIR_EraseRootFromParent_Done,
     /*  985750 */   // Label 14709: @985750
     /*  985750 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(985845), // Rule ID 9224 //
     /*  985755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985805 */     // MIs[1] Operand 1
     /*  985805 */     // No operand predicates
     /*  985805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985818 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  985818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985843 */     GIR_RootConstrainSelectedInstOperands,
     /*  985844 */     // GIR_Coverage, 9224,
     /*  985844 */     GIR_EraseRootFromParent_Done,
     /*  985845 */   // Label 14710: @985845
     /*  985845 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(985940), // Rule ID 9225 //
     /*  985850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  985867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985900 */     // MIs[1] Operand 1
     /*  985900 */     // No operand predicates
     /*  985900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  985913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985938 */     GIR_RootConstrainSelectedInstOperands,
     /*  985939 */     // GIR_Coverage, 9225,
     /*  985939 */     GIR_EraseRootFromParent_Done,
     /*  985940 */   // Label 14711: @985940
     /*  985940 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(986035), // Rule ID 9228 //
     /*  985945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985995 */     // MIs[1] Operand 1
     /*  985995 */     // No operand predicates
     /*  985995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986033 */     GIR_RootConstrainSelectedInstOperands,
     /*  986034 */     // GIR_Coverage, 9228,
     /*  986034 */     GIR_EraseRootFromParent_Done,
     /*  986035 */   // Label 14712: @986035
     /*  986035 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(986130), // Rule ID 9229 //
     /*  986040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986090 */     // MIs[1] Operand 1
     /*  986090 */     // No operand predicates
     /*  986090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986103 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986128 */     GIR_RootConstrainSelectedInstOperands,
     /*  986129 */     // GIR_Coverage, 9229,
     /*  986129 */     GIR_EraseRootFromParent_Done,
     /*  986130 */   // Label 14713: @986130
     /*  986130 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(986225), // Rule ID 9232 //
     /*  986135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986185 */     // MIs[1] Operand 1
     /*  986185 */     // No operand predicates
     /*  986185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986198 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986223 */     GIR_RootConstrainSelectedInstOperands,
     /*  986224 */     // GIR_Coverage, 9232,
     /*  986224 */     GIR_EraseRootFromParent_Done,
     /*  986225 */   // Label 14714: @986225
     /*  986225 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(986320), // Rule ID 9233 //
     /*  986230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986280 */     // MIs[1] Operand 1
     /*  986280 */     // No operand predicates
     /*  986280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986293 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986318 */     GIR_RootConstrainSelectedInstOperands,
     /*  986319 */     // GIR_Coverage, 9233,
     /*  986319 */     GIR_EraseRootFromParent_Done,
     /*  986320 */   // Label 14715: @986320
     /*  986320 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(986415), // Rule ID 9236 //
     /*  986325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986375 */     // MIs[1] Operand 1
     /*  986375 */     // No operand predicates
     /*  986375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986388 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  986391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986413 */     GIR_RootConstrainSelectedInstOperands,
     /*  986414 */     // GIR_Coverage, 9236,
     /*  986414 */     GIR_EraseRootFromParent_Done,
     /*  986415 */   // Label 14716: @986415
     /*  986415 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(986510), // Rule ID 9237 //
     /*  986420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  986431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  986434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  986437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  986443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986470 */     // MIs[1] Operand 1
     /*  986470 */     // No operand predicates
     /*  986470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986483 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  986486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986508 */     GIR_RootConstrainSelectedInstOperands,
     /*  986509 */     // GIR_Coverage, 9237,
     /*  986509 */     GIR_EraseRootFromParent_Done,
     /*  986510 */   // Label 14717: @986510
     /*  986510 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(986605), // Rule ID 9240 //
     /*  986515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986565 */     // MIs[1] Operand 1
     /*  986565 */     // No operand predicates
     /*  986565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986578 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986603 */     GIR_RootConstrainSelectedInstOperands,
     /*  986604 */     // GIR_Coverage, 9240,
     /*  986604 */     GIR_EraseRootFromParent_Done,
     /*  986605 */   // Label 14718: @986605
     /*  986605 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(986700), // Rule ID 9241 //
     /*  986610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986660 */     // MIs[1] Operand 1
     /*  986660 */     // No operand predicates
     /*  986660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986673 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986698 */     GIR_RootConstrainSelectedInstOperands,
     /*  986699 */     // GIR_Coverage, 9241,
     /*  986699 */     GIR_EraseRootFromParent_Done,
     /*  986700 */   // Label 14719: @986700
     /*  986700 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(986795), // Rule ID 9244 //
     /*  986705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986755 */     // MIs[1] Operand 1
     /*  986755 */     // No operand predicates
     /*  986755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986793 */     GIR_RootConstrainSelectedInstOperands,
     /*  986794 */     // GIR_Coverage, 9244,
     /*  986794 */     GIR_EraseRootFromParent_Done,
     /*  986795 */   // Label 14720: @986795
     /*  986795 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(986890), // Rule ID 9245 //
     /*  986800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986850 */     // MIs[1] Operand 1
     /*  986850 */     // No operand predicates
     /*  986850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986863 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986888 */     GIR_RootConstrainSelectedInstOperands,
     /*  986889 */     // GIR_Coverage, 9245,
     /*  986889 */     GIR_EraseRootFromParent_Done,
     /*  986890 */   // Label 14721: @986890
     /*  986890 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(986985), // Rule ID 9248 //
     /*  986895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  986912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986945 */     // MIs[1] Operand 1
     /*  986945 */     // No operand predicates
     /*  986945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986958 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  986961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986983 */     GIR_RootConstrainSelectedInstOperands,
     /*  986984 */     // GIR_Coverage, 9248,
     /*  986984 */     GIR_EraseRootFromParent_Done,
     /*  986985 */   // Label 14722: @986985
     /*  986985 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(987080), // Rule ID 9249 //
     /*  986990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987040 */     // MIs[1] Operand 1
     /*  987040 */     // No operand predicates
     /*  987040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987053 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987078 */     GIR_RootConstrainSelectedInstOperands,
     /*  987079 */     // GIR_Coverage, 9249,
     /*  987079 */     GIR_EraseRootFromParent_Done,
     /*  987080 */   // Label 14723: @987080
     /*  987080 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(987175), // Rule ID 9252 //
     /*  987085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987135 */     // MIs[1] Operand 1
     /*  987135 */     // No operand predicates
     /*  987135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987173 */     GIR_RootConstrainSelectedInstOperands,
     /*  987174 */     // GIR_Coverage, 9252,
     /*  987174 */     GIR_EraseRootFromParent_Done,
     /*  987175 */   // Label 14724: @987175
     /*  987175 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(987270), // Rule ID 9253 //
     /*  987180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987230 */     // MIs[1] Operand 1
     /*  987230 */     // No operand predicates
     /*  987230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987243 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987268 */     GIR_RootConstrainSelectedInstOperands,
     /*  987269 */     // GIR_Coverage, 9253,
     /*  987269 */     GIR_EraseRootFromParent_Done,
     /*  987270 */   // Label 14725: @987270
     /*  987270 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(987365), // Rule ID 9256 //
     /*  987275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987325 */     // MIs[1] Operand 1
     /*  987325 */     // No operand predicates
     /*  987325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987363 */     GIR_RootConstrainSelectedInstOperands,
     /*  987364 */     // GIR_Coverage, 9256,
     /*  987364 */     GIR_EraseRootFromParent_Done,
     /*  987365 */   // Label 14726: @987365
     /*  987365 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(987460), // Rule ID 9257 //
     /*  987370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987420 */     // MIs[1] Operand 1
     /*  987420 */     // No operand predicates
     /*  987420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987433 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987458 */     GIR_RootConstrainSelectedInstOperands,
     /*  987459 */     // GIR_Coverage, 9257,
     /*  987459 */     GIR_EraseRootFromParent_Done,
     /*  987460 */   // Label 14727: @987460
     /*  987460 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(987555), // Rule ID 9260 //
     /*  987465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987515 */     // MIs[1] Operand 1
     /*  987515 */     // No operand predicates
     /*  987515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987528 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987553 */     GIR_RootConstrainSelectedInstOperands,
     /*  987554 */     // GIR_Coverage, 9260,
     /*  987554 */     GIR_EraseRootFromParent_Done,
     /*  987555 */   // Label 14728: @987555
     /*  987555 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(987650), // Rule ID 9261 //
     /*  987560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  987577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987610 */     // MIs[1] Operand 1
     /*  987610 */     // No operand predicates
     /*  987610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987648 */     GIR_RootConstrainSelectedInstOperands,
     /*  987649 */     // GIR_Coverage, 9261,
     /*  987649 */     GIR_EraseRootFromParent_Done,
     /*  987650 */   // Label 14729: @987650
     /*  987650 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(987745), // Rule ID 9264 //
     /*  987655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987705 */     // MIs[1] Operand 1
     /*  987705 */     // No operand predicates
     /*  987705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987718 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987743 */     GIR_RootConstrainSelectedInstOperands,
     /*  987744 */     // GIR_Coverage, 9264,
     /*  987744 */     GIR_EraseRootFromParent_Done,
     /*  987745 */   // Label 14730: @987745
     /*  987745 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(987840), // Rule ID 9265 //
     /*  987750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  987761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  987764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  987767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987800 */     // MIs[1] Operand 1
     /*  987800 */     // No operand predicates
     /*  987800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  987813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987838 */     GIR_RootConstrainSelectedInstOperands,
     /*  987839 */     // GIR_Coverage, 9265,
     /*  987839 */     GIR_EraseRootFromParent_Done,
     /*  987840 */   // Label 14731: @987840
     /*  987840 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(987935), // Rule ID 9268 //
     /*  987845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  987848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987895 */     // MIs[1] Operand 1
     /*  987895 */     // No operand predicates
     /*  987895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  987908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987933 */     GIR_RootConstrainSelectedInstOperands,
     /*  987934 */     // GIR_Coverage, 9268,
     /*  987934 */     GIR_EraseRootFromParent_Done,
     /*  987935 */   // Label 14732: @987935
     /*  987935 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(988030), // Rule ID 9269 //
     /*  987940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  987943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  987957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987990 */     // MIs[1] Operand 1
     /*  987990 */     // No operand predicates
     /*  987990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  988006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988028 */     GIR_RootConstrainSelectedInstOperands,
     /*  988029 */     // GIR_Coverage, 9269,
     /*  988029 */     GIR_EraseRootFromParent_Done,
     /*  988030 */   // Label 14733: @988030
     /*  988030 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(988125), // Rule ID 9272 //
     /*  988035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988085 */     // MIs[1] Operand 1
     /*  988085 */     // No operand predicates
     /*  988085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988098 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988123 */     GIR_RootConstrainSelectedInstOperands,
     /*  988124 */     // GIR_Coverage, 9272,
     /*  988124 */     GIR_EraseRootFromParent_Done,
     /*  988125 */   // Label 14734: @988125
     /*  988125 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(988220), // Rule ID 9273 //
     /*  988130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988180 */     // MIs[1] Operand 1
     /*  988180 */     // No operand predicates
     /*  988180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988218 */     GIR_RootConstrainSelectedInstOperands,
     /*  988219 */     // GIR_Coverage, 9273,
     /*  988219 */     GIR_EraseRootFromParent_Done,
     /*  988220 */   // Label 14735: @988220
     /*  988220 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(988315), // Rule ID 9364 //
     /*  988225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  988236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  988239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988275 */     // MIs[1] Operand 1
     /*  988275 */     // No operand predicates
     /*  988275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  988288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  988291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988313 */     GIR_RootConstrainSelectedInstOperands,
     /*  988314 */     // GIR_Coverage, 9364,
     /*  988314 */     GIR_EraseRootFromParent_Done,
     /*  988315 */   // Label 14736: @988315
     /*  988315 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(988410), // Rule ID 9365 //
     /*  988320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  988331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  988334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988370 */     // MIs[1] Operand 1
     /*  988370 */     // No operand predicates
     /*  988370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988383 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  988383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  988386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988408 */     GIR_RootConstrainSelectedInstOperands,
     /*  988409 */     // GIR_Coverage, 9365,
     /*  988409 */     GIR_EraseRootFromParent_Done,
     /*  988410 */   // Label 14737: @988410
     /*  988410 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(988505), // Rule ID 9368 //
     /*  988415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988465 */     // MIs[1] Operand 1
     /*  988465 */     // No operand predicates
     /*  988465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  988478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  988481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988503 */     GIR_RootConstrainSelectedInstOperands,
     /*  988504 */     // GIR_Coverage, 9368,
     /*  988504 */     GIR_EraseRootFromParent_Done,
     /*  988505 */   // Label 14738: @988505
     /*  988505 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(988600), // Rule ID 9369 //
     /*  988510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  988527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988560 */     // MIs[1] Operand 1
     /*  988560 */     // No operand predicates
     /*  988560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988573 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  988573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  988576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988598 */     GIR_RootConstrainSelectedInstOperands,
     /*  988599 */     // GIR_Coverage, 9369,
     /*  988599 */     GIR_EraseRootFromParent_Done,
     /*  988600 */   // Label 14739: @988600
     /*  988600 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(988695), // Rule ID 9372 //
     /*  988605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988655 */     // MIs[1] Operand 1
     /*  988655 */     // No operand predicates
     /*  988655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  988668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  988671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988693 */     GIR_RootConstrainSelectedInstOperands,
     /*  988694 */     // GIR_Coverage, 9372,
     /*  988694 */     GIR_EraseRootFromParent_Done,
     /*  988695 */   // Label 14740: @988695
     /*  988695 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(988790), // Rule ID 9373 //
     /*  988700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  988717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988750 */     // MIs[1] Operand 1
     /*  988750 */     // No operand predicates
     /*  988750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  988763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  988766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988788 */     GIR_RootConstrainSelectedInstOperands,
     /*  988789 */     // GIR_Coverage, 9373,
     /*  988789 */     GIR_EraseRootFromParent_Done,
     /*  988790 */   // Label 14741: @988790
     /*  988790 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(988885), // Rule ID 9376 //
     /*  988795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  988806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  988809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988845 */     // MIs[1] Operand 1
     /*  988845 */     // No operand predicates
     /*  988845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  988858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  988861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988883 */     GIR_RootConstrainSelectedInstOperands,
     /*  988884 */     // GIR_Coverage, 9376,
     /*  988884 */     GIR_EraseRootFromParent_Done,
     /*  988885 */   // Label 14742: @988885
     /*  988885 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(988980), // Rule ID 9377 //
     /*  988890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  988901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  988904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988940 */     // MIs[1] Operand 1
     /*  988940 */     // No operand predicates
     /*  988940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988953 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  988953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  988956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988978 */     GIR_RootConstrainSelectedInstOperands,
     /*  988979 */     // GIR_Coverage, 9377,
     /*  988979 */     GIR_EraseRootFromParent_Done,
     /*  988980 */   // Label 14743: @988980
     /*  988980 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(989075), // Rule ID 9380 //
     /*  988985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989035 */     // MIs[1] Operand 1
     /*  989035 */     // No operand predicates
     /*  989035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  989048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989073 */     GIR_RootConstrainSelectedInstOperands,
     /*  989074 */     // GIR_Coverage, 9380,
     /*  989074 */     GIR_EraseRootFromParent_Done,
     /*  989075 */   // Label 14744: @989075
     /*  989075 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(989170), // Rule ID 9381 //
     /*  989080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989130 */     // MIs[1] Operand 1
     /*  989130 */     // No operand predicates
     /*  989130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989143 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  989143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989168 */     GIR_RootConstrainSelectedInstOperands,
     /*  989169 */     // GIR_Coverage, 9381,
     /*  989169 */     GIR_EraseRootFromParent_Done,
     /*  989170 */   // Label 14745: @989170
     /*  989170 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(989265), // Rule ID 9384 //
     /*  989175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989225 */     // MIs[1] Operand 1
     /*  989225 */     // No operand predicates
     /*  989225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989238 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  989238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989263 */     GIR_RootConstrainSelectedInstOperands,
     /*  989264 */     // GIR_Coverage, 9384,
     /*  989264 */     GIR_EraseRootFromParent_Done,
     /*  989265 */   // Label 14746: @989265
     /*  989265 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(989360), // Rule ID 9385 //
     /*  989270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989320 */     // MIs[1] Operand 1
     /*  989320 */     // No operand predicates
     /*  989320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989333 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  989333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989358 */     GIR_RootConstrainSelectedInstOperands,
     /*  989359 */     // GIR_Coverage, 9385,
     /*  989359 */     GIR_EraseRootFromParent_Done,
     /*  989360 */   // Label 14747: @989360
     /*  989360 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(989455), // Rule ID 9388 //
     /*  989365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  989376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  989379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989415 */     // MIs[1] Operand 1
     /*  989415 */     // No operand predicates
     /*  989415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  989428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989453 */     GIR_RootConstrainSelectedInstOperands,
     /*  989454 */     // GIR_Coverage, 9388,
     /*  989454 */     GIR_EraseRootFromParent_Done,
     /*  989455 */   // Label 14748: @989455
     /*  989455 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(989550), // Rule ID 9389 //
     /*  989460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  989471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  989474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989510 */     // MIs[1] Operand 1
     /*  989510 */     // No operand predicates
     /*  989510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989523 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  989523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989548 */     GIR_RootConstrainSelectedInstOperands,
     /*  989549 */     // GIR_Coverage, 9389,
     /*  989549 */     GIR_EraseRootFromParent_Done,
     /*  989550 */   // Label 14749: @989550
     /*  989550 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(989645), // Rule ID 9392 //
     /*  989555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  989566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  989569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989605 */     // MIs[1] Operand 1
     /*  989605 */     // No operand predicates
     /*  989605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989618 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  989618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989643 */     GIR_RootConstrainSelectedInstOperands,
     /*  989644 */     // GIR_Coverage, 9392,
     /*  989644 */     GIR_EraseRootFromParent_Done,
     /*  989645 */   // Label 14750: @989645
     /*  989645 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(989740), // Rule ID 9393 //
     /*  989650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  989661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  989664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989700 */     // MIs[1] Operand 1
     /*  989700 */     // No operand predicates
     /*  989700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  989713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989738 */     GIR_RootConstrainSelectedInstOperands,
     /*  989739 */     // GIR_Coverage, 9393,
     /*  989739 */     GIR_EraseRootFromParent_Done,
     /*  989740 */   // Label 14751: @989740
     /*  989740 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(989835), // Rule ID 9396 //
     /*  989745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989795 */     // MIs[1] Operand 1
     /*  989795 */     // No operand predicates
     /*  989795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  989808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989833 */     GIR_RootConstrainSelectedInstOperands,
     /*  989834 */     // GIR_Coverage, 9396,
     /*  989834 */     GIR_EraseRootFromParent_Done,
     /*  989835 */   // Label 14752: @989835
     /*  989835 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(989930), // Rule ID 9397 //
     /*  989840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989890 */     // MIs[1] Operand 1
     /*  989890 */     // No operand predicates
     /*  989890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  989903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  989906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989928 */     GIR_RootConstrainSelectedInstOperands,
     /*  989929 */     // GIR_Coverage, 9397,
     /*  989929 */     GIR_EraseRootFromParent_Done,
     /*  989930 */   // Label 14753: @989930
     /*  989930 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(990025), // Rule ID 9400 //
     /*  989935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  989938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989985 */     // MIs[1] Operand 1
     /*  989985 */     // No operand predicates
     /*  989985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  989998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990023 */     GIR_RootConstrainSelectedInstOperands,
     /*  990024 */     // GIR_Coverage, 9400,
     /*  990024 */     GIR_EraseRootFromParent_Done,
     /*  990025 */   // Label 14754: @990025
     /*  990025 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(990120), // Rule ID 9401 //
     /*  990030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  990041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  990044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990080 */     // MIs[1] Operand 1
     /*  990080 */     // No operand predicates
     /*  990080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990093 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  990093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990118 */     GIR_RootConstrainSelectedInstOperands,
     /*  990119 */     // GIR_Coverage, 9401,
     /*  990119 */     GIR_EraseRootFromParent_Done,
     /*  990120 */   // Label 14755: @990120
     /*  990120 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(990215), // Rule ID 9404 //
     /*  990125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990175 */     // MIs[1] Operand 1
     /*  990175 */     // No operand predicates
     /*  990175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990213 */     GIR_RootConstrainSelectedInstOperands,
     /*  990214 */     // GIR_Coverage, 9404,
     /*  990214 */     GIR_EraseRootFromParent_Done,
     /*  990215 */   // Label 14756: @990215
     /*  990215 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(990310), // Rule ID 9405 //
     /*  990220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990270 */     // MIs[1] Operand 1
     /*  990270 */     // No operand predicates
     /*  990270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990308 */     GIR_RootConstrainSelectedInstOperands,
     /*  990309 */     // GIR_Coverage, 9405,
     /*  990309 */     GIR_EraseRootFromParent_Done,
     /*  990310 */   // Label 14757: @990310
     /*  990310 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(990405), // Rule ID 9408 //
     /*  990315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  990326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  990329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990365 */     // MIs[1] Operand 1
     /*  990365 */     // No operand predicates
     /*  990365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990378 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  990381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990403 */     GIR_RootConstrainSelectedInstOperands,
     /*  990404 */     // GIR_Coverage, 9408,
     /*  990404 */     GIR_EraseRootFromParent_Done,
     /*  990405 */   // Label 14758: @990405
     /*  990405 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(990500), // Rule ID 9409 //
     /*  990410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  990421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  990424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  990433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990460 */     // MIs[1] Operand 1
     /*  990460 */     // No operand predicates
     /*  990460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990473 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  990476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990498 */     GIR_RootConstrainSelectedInstOperands,
     /*  990499 */     // GIR_Coverage, 9409,
     /*  990499 */     GIR_EraseRootFromParent_Done,
     /*  990500 */   // Label 14759: @990500
     /*  990500 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(990595), // Rule ID 9412 //
     /*  990505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  990516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  990519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990555 */     // MIs[1] Operand 1
     /*  990555 */     // No operand predicates
     /*  990555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990568 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  990571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990593 */     GIR_RootConstrainSelectedInstOperands,
     /*  990594 */     // GIR_Coverage, 9412,
     /*  990594 */     GIR_EraseRootFromParent_Done,
     /*  990595 */   // Label 14760: @990595
     /*  990595 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(990690), // Rule ID 9413 //
     /*  990600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  990611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  990614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  990617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  990623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990650 */     // MIs[1] Operand 1
     /*  990650 */     // No operand predicates
     /*  990650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990663 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  990666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990688 */     GIR_RootConstrainSelectedInstOperands,
     /*  990689 */     // GIR_Coverage, 9413,
     /*  990689 */     GIR_EraseRootFromParent_Done,
     /*  990690 */   // Label 14761: @990690
     /*  990690 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(990785), // Rule ID 9416 //
     /*  990695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  990706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  990709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990745 */     // MIs[1] Operand 1
     /*  990745 */     // No operand predicates
     /*  990745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990758 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  990758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990783 */     GIR_RootConstrainSelectedInstOperands,
     /*  990784 */     // GIR_Coverage, 9416,
     /*  990784 */     GIR_EraseRootFromParent_Done,
     /*  990785 */   // Label 14762: @990785
     /*  990785 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(990880), // Rule ID 9417 //
     /*  990790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  990801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  990804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990840 */     // MIs[1] Operand 1
     /*  990840 */     // No operand predicates
     /*  990840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  990853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990878 */     GIR_RootConstrainSelectedInstOperands,
     /*  990879 */     // GIR_Coverage, 9417,
     /*  990879 */     GIR_EraseRootFromParent_Done,
     /*  990880 */   // Label 14763: @990880
     /*  990880 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(990975), // Rule ID 9420 //
     /*  990885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990935 */     // MIs[1] Operand 1
     /*  990935 */     // No operand predicates
     /*  990935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  990948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  990951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990973 */     GIR_RootConstrainSelectedInstOperands,
     /*  990974 */     // GIR_Coverage, 9420,
     /*  990974 */     GIR_EraseRootFromParent_Done,
     /*  990975 */   // Label 14764: @990975
     /*  990975 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(991070), // Rule ID 9421 //
     /*  990980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991030 */     // MIs[1] Operand 1
     /*  991030 */     // No operand predicates
     /*  991030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991043 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991068 */     GIR_RootConstrainSelectedInstOperands,
     /*  991069 */     // GIR_Coverage, 9421,
     /*  991069 */     GIR_EraseRootFromParent_Done,
     /*  991070 */   // Label 14765: @991070
     /*  991070 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(991165), // Rule ID 9424 //
     /*  991075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991125 */     // MIs[1] Operand 1
     /*  991125 */     // No operand predicates
     /*  991125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991138 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  991138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991163 */     GIR_RootConstrainSelectedInstOperands,
     /*  991164 */     // GIR_Coverage, 9424,
     /*  991164 */     GIR_EraseRootFromParent_Done,
     /*  991165 */   // Label 14766: @991165
     /*  991165 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(991260), // Rule ID 9425 //
     /*  991170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991220 */     // MIs[1] Operand 1
     /*  991220 */     // No operand predicates
     /*  991220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991233 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991258 */     GIR_RootConstrainSelectedInstOperands,
     /*  991259 */     // GIR_Coverage, 9425,
     /*  991259 */     GIR_EraseRootFromParent_Done,
     /*  991260 */   // Label 14767: @991260
     /*  991260 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(991355), // Rule ID 9428 //
     /*  991265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  991276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  991279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991315 */     // MIs[1] Operand 1
     /*  991315 */     // No operand predicates
     /*  991315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  991328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991353 */     GIR_RootConstrainSelectedInstOperands,
     /*  991354 */     // GIR_Coverage, 9428,
     /*  991354 */     GIR_EraseRootFromParent_Done,
     /*  991355 */   // Label 14768: @991355
     /*  991355 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(991450), // Rule ID 9429 //
     /*  991360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  991371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  991374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991410 */     // MIs[1] Operand 1
     /*  991410 */     // No operand predicates
     /*  991410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  991423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991448 */     GIR_RootConstrainSelectedInstOperands,
     /*  991449 */     // GIR_Coverage, 9429,
     /*  991449 */     GIR_EraseRootFromParent_Done,
     /*  991450 */   // Label 14769: @991450
     /*  991450 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(991545), // Rule ID 9432 //
     /*  991455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  991466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  991469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991505 */     // MIs[1] Operand 1
     /*  991505 */     // No operand predicates
     /*  991505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991518 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  991518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991543 */     GIR_RootConstrainSelectedInstOperands,
     /*  991544 */     // GIR_Coverage, 9432,
     /*  991544 */     GIR_EraseRootFromParent_Done,
     /*  991545 */   // Label 14770: @991545
     /*  991545 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(991640), // Rule ID 9433 //
     /*  991550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  991561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  991564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991600 */     // MIs[1] Operand 1
     /*  991600 */     // No operand predicates
     /*  991600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991613 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  991613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991638 */     GIR_RootConstrainSelectedInstOperands,
     /*  991639 */     // GIR_Coverage, 9433,
     /*  991639 */     GIR_EraseRootFromParent_Done,
     /*  991640 */   // Label 14771: @991640
     /*  991640 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(991735), // Rule ID 9436 //
     /*  991645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991695 */     // MIs[1] Operand 1
     /*  991695 */     // No operand predicates
     /*  991695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  991708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991733 */     GIR_RootConstrainSelectedInstOperands,
     /*  991734 */     // GIR_Coverage, 9436,
     /*  991734 */     GIR_EraseRootFromParent_Done,
     /*  991735 */   // Label 14772: @991735
     /*  991735 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(991830), // Rule ID 9437 //
     /*  991740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991790 */     // MIs[1] Operand 1
     /*  991790 */     // No operand predicates
     /*  991790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991803 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  991803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991828 */     GIR_RootConstrainSelectedInstOperands,
     /*  991829 */     // GIR_Coverage, 9437,
     /*  991829 */     GIR_EraseRootFromParent_Done,
     /*  991830 */   // Label 14773: @991830
     /*  991830 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(991925), // Rule ID 9440 //
     /*  991835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  991838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  991846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  991849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991885 */     // MIs[1] Operand 1
     /*  991885 */     // No operand predicates
     /*  991885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991898 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  991898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991923 */     GIR_RootConstrainSelectedInstOperands,
     /*  991924 */     // GIR_Coverage, 9440,
     /*  991924 */     GIR_EraseRootFromParent_Done,
     /*  991925 */   // Label 14774: @991925
     /*  991925 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(992020), // Rule ID 9441 //
     /*  991930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  991933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  991941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  991944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  991953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991980 */     // MIs[1] Operand 1
     /*  991980 */     // No operand predicates
     /*  991980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991993 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  991993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992018 */     GIR_RootConstrainSelectedInstOperands,
     /*  992019 */     // GIR_Coverage, 9441,
     /*  992019 */     GIR_EraseRootFromParent_Done,
     /*  992020 */   // Label 14775: @992020
     /*  992020 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(992115), // Rule ID 9444 //
     /*  992025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  992036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  992039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992075 */     // MIs[1] Operand 1
     /*  992075 */     // No operand predicates
     /*  992075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992113 */     GIR_RootConstrainSelectedInstOperands,
     /*  992114 */     // GIR_Coverage, 9444,
     /*  992114 */     GIR_EraseRootFromParent_Done,
     /*  992115 */   // Label 14776: @992115
     /*  992115 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(992210), // Rule ID 9445 //
     /*  992120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  992131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  992134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992170 */     // MIs[1] Operand 1
     /*  992170 */     // No operand predicates
     /*  992170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992183 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  992183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992208 */     GIR_RootConstrainSelectedInstOperands,
     /*  992209 */     // GIR_Coverage, 9445,
     /*  992209 */     GIR_EraseRootFromParent_Done,
     /*  992210 */   // Label 14777: @992210
     /*  992210 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(992305), // Rule ID 9448 //
     /*  992215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  992226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  992229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992265 */     // MIs[1] Operand 1
     /*  992265 */     // No operand predicates
     /*  992265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992303 */     GIR_RootConstrainSelectedInstOperands,
     /*  992304 */     // GIR_Coverage, 9448,
     /*  992304 */     GIR_EraseRootFromParent_Done,
     /*  992305 */   // Label 14778: @992305
     /*  992305 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(992400), // Rule ID 9449 //
     /*  992310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  992321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  992324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992360 */     // MIs[1] Operand 1
     /*  992360 */     // No operand predicates
     /*  992360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992373 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  992373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992398 */     GIR_RootConstrainSelectedInstOperands,
     /*  992399 */     // GIR_Coverage, 9449,
     /*  992399 */     GIR_EraseRootFromParent_Done,
     /*  992400 */   // Label 14779: @992400
     /*  992400 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(992492), // Rule ID 13826 //
     /*  992405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  992416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  992419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  992422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  992428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992455 */     // MIs[1] Operand 1
     /*  992455 */     // No operand predicates
     /*  992455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  992468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  992471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992490 */     GIR_RootConstrainSelectedInstOperands,
     /*  992491 */     // GIR_Coverage, 13826,
     /*  992491 */     GIR_EraseRootFromParent_Done,
     /*  992492 */   // Label 14780: @992492
     /*  992492 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(992584), // Rule ID 13827 //
     /*  992497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  992508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  992511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  992514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  992520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992547 */     // MIs[1] Operand 1
     /*  992547 */     // No operand predicates
     /*  992547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992560 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  992560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  992563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992582 */     GIR_RootConstrainSelectedInstOperands,
     /*  992583 */     // GIR_Coverage, 13827,
     /*  992583 */     GIR_EraseRootFromParent_Done,
     /*  992584 */   // Label 14781: @992584
     /*  992584 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(992676), // Rule ID 13828 //
     /*  992589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  992600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  992603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  992606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992639 */     // MIs[1] Operand 1
     /*  992639 */     // No operand predicates
     /*  992639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  992652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  992655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992674 */     GIR_RootConstrainSelectedInstOperands,
     /*  992675 */     // GIR_Coverage, 13828,
     /*  992675 */     GIR_EraseRootFromParent_Done,
     /*  992676 */   // Label 14782: @992676
     /*  992676 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(992768), // Rule ID 13829 //
     /*  992681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  992692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  992695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  992698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992731 */     // MIs[1] Operand 1
     /*  992731 */     // No operand predicates
     /*  992731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  992744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  992747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992766 */     GIR_RootConstrainSelectedInstOperands,
     /*  992767 */     // GIR_Coverage, 13829,
     /*  992767 */     GIR_EraseRootFromParent_Done,
     /*  992768 */   // Label 14783: @992768
     /*  992768 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(992860), // Rule ID 13830 //
     /*  992773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  992784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  992787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  992790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992823 */     // MIs[1] Operand 1
     /*  992823 */     // No operand predicates
     /*  992823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  992836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  992839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992858 */     GIR_RootConstrainSelectedInstOperands,
     /*  992859 */     // GIR_Coverage, 13830,
     /*  992859 */     GIR_EraseRootFromParent_Done,
     /*  992860 */   // Label 14784: @992860
     /*  992860 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(992952), // Rule ID 13831 //
     /*  992865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  992876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  992879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  992882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992915 */     // MIs[1] Operand 1
     /*  992915 */     // No operand predicates
     /*  992915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992928 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  992928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  992931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992950 */     GIR_RootConstrainSelectedInstOperands,
     /*  992951 */     // GIR_Coverage, 13831,
     /*  992951 */     GIR_EraseRootFromParent_Done,
     /*  992952 */   // Label 14785: @992952
     /*  992952 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(993044), // Rule ID 13832 //
     /*  992957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  992965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  992968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  992971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  992974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  992980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993007 */     // MIs[1] Operand 1
     /*  993007 */     // No operand predicates
     /*  993007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993042 */     GIR_RootConstrainSelectedInstOperands,
     /*  993043 */     // GIR_Coverage, 13832,
     /*  993043 */     GIR_EraseRootFromParent_Done,
     /*  993044 */   // Label 14786: @993044
     /*  993044 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(993136), // Rule ID 13833 //
     /*  993049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993099 */     // MIs[1] Operand 1
     /*  993099 */     // No operand predicates
     /*  993099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  993112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993134 */     GIR_RootConstrainSelectedInstOperands,
     /*  993135 */     // GIR_Coverage, 13833,
     /*  993135 */     GIR_EraseRootFromParent_Done,
     /*  993136 */   // Label 14787: @993136
     /*  993136 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(993228), // Rule ID 13834 //
     /*  993141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  993158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993191 */     // MIs[1] Operand 1
     /*  993191 */     // No operand predicates
     /*  993191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993226 */     GIR_RootConstrainSelectedInstOperands,
     /*  993227 */     // GIR_Coverage, 13834,
     /*  993227 */     GIR_EraseRootFromParent_Done,
     /*  993228 */   // Label 14788: @993228
     /*  993228 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(993320), // Rule ID 13835 //
     /*  993233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  993250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993283 */     // MIs[1] Operand 1
     /*  993283 */     // No operand predicates
     /*  993283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  993296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993318 */     GIR_RootConstrainSelectedInstOperands,
     /*  993319 */     // GIR_Coverage, 13835,
     /*  993319 */     GIR_EraseRootFromParent_Done,
     /*  993320 */   // Label 14789: @993320
     /*  993320 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(993412), // Rule ID 13836 //
     /*  993325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  993342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993375 */     // MIs[1] Operand 1
     /*  993375 */     // No operand predicates
     /*  993375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  993388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993410 */     GIR_RootConstrainSelectedInstOperands,
     /*  993411 */     // GIR_Coverage, 13836,
     /*  993411 */     GIR_EraseRootFromParent_Done,
     /*  993412 */   // Label 14790: @993412
     /*  993412 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(993504), // Rule ID 13837 //
     /*  993417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  993431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  993434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993467 */     // MIs[1] Operand 1
     /*  993467 */     // No operand predicates
     /*  993467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  993480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993502 */     GIR_RootConstrainSelectedInstOperands,
     /*  993503 */     // GIR_Coverage, 13837,
     /*  993503 */     GIR_EraseRootFromParent_Done,
     /*  993504 */   // Label 14791: @993504
     /*  993504 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(993596), // Rule ID 13838 //
     /*  993509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  993520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  993523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  993526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  993532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993559 */     // MIs[1] Operand 1
     /*  993559 */     // No operand predicates
     /*  993559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  993572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993594 */     GIR_RootConstrainSelectedInstOperands,
     /*  993595 */     // GIR_Coverage, 13838,
     /*  993595 */     GIR_EraseRootFromParent_Done,
     /*  993596 */   // Label 14792: @993596
     /*  993596 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(993688), // Rule ID 13839 //
     /*  993601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  993612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  993615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  993618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  993624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993651 */     // MIs[1] Operand 1
     /*  993651 */     // No operand predicates
     /*  993651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  993664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993686 */     GIR_RootConstrainSelectedInstOperands,
     /*  993687 */     // GIR_Coverage, 13839,
     /*  993687 */     GIR_EraseRootFromParent_Done,
     /*  993688 */   // Label 14793: @993688
     /*  993688 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(993780), // Rule ID 13840 //
     /*  993693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  993704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  993707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  993710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  993716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993743 */     // MIs[1] Operand 1
     /*  993743 */     // No operand predicates
     /*  993743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993778 */     GIR_RootConstrainSelectedInstOperands,
     /*  993779 */     // GIR_Coverage, 13840,
     /*  993779 */     GIR_EraseRootFromParent_Done,
     /*  993780 */   // Label 14794: @993780
     /*  993780 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(993872), // Rule ID 13841 //
     /*  993785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  993796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  993799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  993802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  993808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993835 */     // MIs[1] Operand 1
     /*  993835 */     // No operand predicates
     /*  993835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  993848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993870 */     GIR_RootConstrainSelectedInstOperands,
     /*  993871 */     // GIR_Coverage, 13841,
     /*  993871 */     GIR_EraseRootFromParent_Done,
     /*  993872 */   // Label 14795: @993872
     /*  993872 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(993964), // Rule ID 13842 //
     /*  993877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  993894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993927 */     // MIs[1] Operand 1
     /*  993927 */     // No operand predicates
     /*  993927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  993940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  993943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993962 */     GIR_RootConstrainSelectedInstOperands,
     /*  993963 */     // GIR_Coverage, 13842,
     /*  993963 */     GIR_EraseRootFromParent_Done,
     /*  993964 */   // Label 14796: @993964
     /*  993964 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(994056), // Rule ID 13843 //
     /*  993969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  993980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  993983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  993986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994019 */     // MIs[1] Operand 1
     /*  994019 */     // No operand predicates
     /*  994019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  994032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994054 */     GIR_RootConstrainSelectedInstOperands,
     /*  994055 */     // GIR_Coverage, 13843,
     /*  994055 */     GIR_EraseRootFromParent_Done,
     /*  994056 */   // Label 14797: @994056
     /*  994056 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(994148), // Rule ID 13844 //
     /*  994061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  994064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994111 */     // MIs[1] Operand 1
     /*  994111 */     // No operand predicates
     /*  994111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994124 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  994124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994146 */     GIR_RootConstrainSelectedInstOperands,
     /*  994147 */     // GIR_Coverage, 13844,
     /*  994147 */     GIR_EraseRootFromParent_Done,
     /*  994148 */   // Label 14798: @994148
     /*  994148 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(994240), // Rule ID 13845 //
     /*  994153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  994156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994203 */     // MIs[1] Operand 1
     /*  994203 */     // No operand predicates
     /*  994203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  994216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994238 */     GIR_RootConstrainSelectedInstOperands,
     /*  994239 */     // GIR_Coverage, 13845,
     /*  994239 */     GIR_EraseRootFromParent_Done,
     /*  994240 */   // Label 14799: @994240
     /*  994240 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(994332), // Rule ID 13846 //
     /*  994245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  994256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  994259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  994268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994295 */     // MIs[1] Operand 1
     /*  994295 */     // No operand predicates
     /*  994295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  994311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994330 */     GIR_RootConstrainSelectedInstOperands,
     /*  994331 */     // GIR_Coverage, 13846,
     /*  994331 */     GIR_EraseRootFromParent_Done,
     /*  994332 */   // Label 14800: @994332
     /*  994332 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(994424), // Rule ID 13847 //
     /*  994337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  994348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  994351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  994360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994387 */     // MIs[1] Operand 1
     /*  994387 */     // No operand predicates
     /*  994387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994400 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  994400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  994403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994422 */     GIR_RootConstrainSelectedInstOperands,
     /*  994423 */     // GIR_Coverage, 13847,
     /*  994423 */     GIR_EraseRootFromParent_Done,
     /*  994424 */   // Label 14801: @994424
     /*  994424 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(994516), // Rule ID 13848 //
     /*  994429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  994440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  994443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  994452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994479 */     // MIs[1] Operand 1
     /*  994479 */     // No operand predicates
     /*  994479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  994495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994514 */     GIR_RootConstrainSelectedInstOperands,
     /*  994515 */     // GIR_Coverage, 13848,
     /*  994515 */     GIR_EraseRootFromParent_Done,
     /*  994516 */   // Label 14802: @994516
     /*  994516 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(994608), // Rule ID 13849 //
     /*  994521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  994532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  994535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  994544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994571 */     // MIs[1] Operand 1
     /*  994571 */     // No operand predicates
     /*  994571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  994584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  994587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994606 */     GIR_RootConstrainSelectedInstOperands,
     /*  994607 */     // GIR_Coverage, 13849,
     /*  994607 */     GIR_EraseRootFromParent_Done,
     /*  994608 */   // Label 14803: @994608
     /*  994608 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(994700), // Rule ID 13850 //
     /*  994613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  994624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  994627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  994630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  994636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994663 */     // MIs[1] Operand 1
     /*  994663 */     // No operand predicates
     /*  994663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  994679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994698 */     GIR_RootConstrainSelectedInstOperands,
     /*  994699 */     // GIR_Coverage, 13850,
     /*  994699 */     GIR_EraseRootFromParent_Done,
     /*  994700 */   // Label 14804: @994700
     /*  994700 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(994792), // Rule ID 13851 //
     /*  994705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  994716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  994719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  994722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  994728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994755 */     // MIs[1] Operand 1
     /*  994755 */     // No operand predicates
     /*  994755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  994768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  994771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994790 */     GIR_RootConstrainSelectedInstOperands,
     /*  994791 */     // GIR_Coverage, 13851,
     /*  994791 */     GIR_EraseRootFromParent_Done,
     /*  994792 */   // Label 14805: @994792
     /*  994792 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(994884), // Rule ID 13852 //
     /*  994797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  994808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  994811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  994814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  994820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994847 */     // MIs[1] Operand 1
     /*  994847 */     // No operand predicates
     /*  994847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  994860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  994863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994882 */     GIR_RootConstrainSelectedInstOperands,
     /*  994883 */     // GIR_Coverage, 13852,
     /*  994883 */     GIR_EraseRootFromParent_Done,
     /*  994884 */   // Label 14806: @994884
     /*  994884 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(994976), // Rule ID 13853 //
     /*  994889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  994900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  994903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  994906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  994912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994939 */     // MIs[1] Operand 1
     /*  994939 */     // No operand predicates
     /*  994939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  994952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  994955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994974 */     GIR_RootConstrainSelectedInstOperands,
     /*  994975 */     // GIR_Coverage, 13853,
     /*  994975 */     GIR_EraseRootFromParent_Done,
     /*  994976 */   // Label 14807: @994976
     /*  994976 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(995068), // Rule ID 13854 //
     /*  994981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  994992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  994995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  994998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995031 */     // MIs[1] Operand 1
     /*  995031 */     // No operand predicates
     /*  995031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995066 */     GIR_RootConstrainSelectedInstOperands,
     /*  995067 */     // GIR_Coverage, 13854,
     /*  995067 */     GIR_EraseRootFromParent_Done,
     /*  995068 */   // Label 14808: @995068
     /*  995068 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(995160), // Rule ID 13855 //
     /*  995073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995123 */     // MIs[1] Operand 1
     /*  995123 */     // No operand predicates
     /*  995123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  995136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995158 */     GIR_RootConstrainSelectedInstOperands,
     /*  995159 */     // GIR_Coverage, 13855,
     /*  995159 */     GIR_EraseRootFromParent_Done,
     /*  995160 */   // Label 14809: @995160
     /*  995160 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(995252), // Rule ID 13856 //
     /*  995165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  995176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  995179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  995182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995215 */     // MIs[1] Operand 1
     /*  995215 */     // No operand predicates
     /*  995215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995228 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995250 */     GIR_RootConstrainSelectedInstOperands,
     /*  995251 */     // GIR_Coverage, 13856,
     /*  995251 */     GIR_EraseRootFromParent_Done,
     /*  995252 */   // Label 14810: @995252
     /*  995252 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(995344), // Rule ID 13857 //
     /*  995257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  995268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  995271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  995274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995307 */     // MIs[1] Operand 1
     /*  995307 */     // No operand predicates
     /*  995307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995320 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  995320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995342 */     GIR_RootConstrainSelectedInstOperands,
     /*  995343 */     // GIR_Coverage, 13857,
     /*  995343 */     GIR_EraseRootFromParent_Done,
     /*  995344 */   // Label 14811: @995344
     /*  995344 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(995436), // Rule ID 13858 //
     /*  995349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  995360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  995363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  995372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995399 */     // MIs[1] Operand 1
     /*  995399 */     // No operand predicates
     /*  995399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  995412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995434 */     GIR_RootConstrainSelectedInstOperands,
     /*  995435 */     // GIR_Coverage, 13858,
     /*  995435 */     GIR_EraseRootFromParent_Done,
     /*  995436 */   // Label 14812: @995436
     /*  995436 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(995528), // Rule ID 13859 //
     /*  995441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  995452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  995455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  995464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995491 */     // MIs[1] Operand 1
     /*  995491 */     // No operand predicates
     /*  995491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  995504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995526 */     GIR_RootConstrainSelectedInstOperands,
     /*  995527 */     // GIR_Coverage, 13859,
     /*  995527 */     GIR_EraseRootFromParent_Done,
     /*  995528 */   // Label 14813: @995528
     /*  995528 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(995620), // Rule ID 13860 //
     /*  995533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995583 */     // MIs[1] Operand 1
     /*  995583 */     // No operand predicates
     /*  995583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  995596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995618 */     GIR_RootConstrainSelectedInstOperands,
     /*  995619 */     // GIR_Coverage, 13860,
     /*  995619 */     GIR_EraseRootFromParent_Done,
     /*  995620 */   // Label 14814: @995620
     /*  995620 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(995712), // Rule ID 13861 //
     /*  995625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995675 */     // MIs[1] Operand 1
     /*  995675 */     // No operand predicates
     /*  995675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  995688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995710 */     GIR_RootConstrainSelectedInstOperands,
     /*  995711 */     // GIR_Coverage, 13861,
     /*  995711 */     GIR_EraseRootFromParent_Done,
     /*  995712 */   // Label 14815: @995712
     /*  995712 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(995804), // Rule ID 13862 //
     /*  995717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  995734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995767 */     // MIs[1] Operand 1
     /*  995767 */     // No operand predicates
     /*  995767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  995780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995802 */     GIR_RootConstrainSelectedInstOperands,
     /*  995803 */     // GIR_Coverage, 13862,
     /*  995803 */     GIR_EraseRootFromParent_Done,
     /*  995804 */   // Label 14816: @995804
     /*  995804 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(995896), // Rule ID 13863 //
     /*  995809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  995826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995859 */     // MIs[1] Operand 1
     /*  995859 */     // No operand predicates
     /*  995859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  995872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995894 */     GIR_RootConstrainSelectedInstOperands,
     /*  995895 */     // GIR_Coverage, 13863,
     /*  995895 */     GIR_EraseRootFromParent_Done,
     /*  995896 */   // Label 14817: @995896
     /*  995896 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(995988), // Rule ID 13864 //
     /*  995901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  995904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  995912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  995915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  995918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  995924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995951 */     // MIs[1] Operand 1
     /*  995951 */     // No operand predicates
     /*  995951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  995964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995986 */     GIR_RootConstrainSelectedInstOperands,
     /*  995987 */     // GIR_Coverage, 13864,
     /*  995987 */     GIR_EraseRootFromParent_Done,
     /*  995988 */   // Label 14818: @995988
     /*  995988 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(996080), // Rule ID 13865 //
     /*  995993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  995996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  996004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  996007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  996010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  996016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996043 */     // MIs[1] Operand 1
     /*  996043 */     // No operand predicates
     /*  996043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  996059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996078 */     GIR_RootConstrainSelectedInstOperands,
     /*  996079 */     // GIR_Coverage, 13865,
     /*  996079 */     GIR_EraseRootFromParent_Done,
     /*  996080 */   // Label 14819: @996080
     /*  996080 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(996172), // Rule ID 13866 //
     /*  996085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996135 */     // MIs[1] Operand 1
     /*  996135 */     // No operand predicates
     /*  996135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  996148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996170 */     GIR_RootConstrainSelectedInstOperands,
     /*  996171 */     // GIR_Coverage, 13866,
     /*  996171 */     GIR_EraseRootFromParent_Done,
     /*  996172 */   // Label 14820: @996172
     /*  996172 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(996264), // Rule ID 13867 //
     /*  996177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  996180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996227 */     // MIs[1] Operand 1
     /*  996227 */     // No operand predicates
     /*  996227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996262 */     GIR_RootConstrainSelectedInstOperands,
     /*  996263 */     // GIR_Coverage, 13867,
     /*  996263 */     GIR_EraseRootFromParent_Done,
     /*  996264 */   // Label 14821: @996264
     /*  996264 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(996356), // Rule ID 13868 //
     /*  996269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  996280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  996283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  996286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  996292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996319 */     // MIs[1] Operand 1
     /*  996319 */     // No operand predicates
     /*  996319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  996332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996354 */     GIR_RootConstrainSelectedInstOperands,
     /*  996355 */     // GIR_Coverage, 13868,
     /*  996355 */     GIR_EraseRootFromParent_Done,
     /*  996356 */   // Label 14822: @996356
     /*  996356 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(996448), // Rule ID 13869 //
     /*  996361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  996364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  996372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  996375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  996378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  996384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996411 */     // MIs[1] Operand 1
     /*  996411 */     // No operand predicates
     /*  996411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996446 */     GIR_RootConstrainSelectedInstOperands,
     /*  996447 */     // GIR_Coverage, 13869,
     /*  996447 */     GIR_EraseRootFromParent_Done,
     /*  996448 */   // Label 14823: @996448
     /*  996448 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(996524), // Rule ID 2656 //
     /*  996453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  996456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  996470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996481 */     // MIs[0] passthru
     /*  996481 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996490 */     // MIs[0] round
     /*  996490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996500 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  996500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  996503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996522 */     GIR_RootConstrainSelectedInstOperands,
     /*  996523 */     // GIR_Coverage, 2656,
     /*  996523 */     GIR_EraseRootFromParent_Done,
     /*  996524 */   // Label 14824: @996524
     /*  996524 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(996600), // Rule ID 2657 //
     /*  996529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  996532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  996546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996557 */     // MIs[0] passthru
     /*  996557 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996566 */     // MIs[0] round
     /*  996566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996576 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  996576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  996579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996598 */     GIR_RootConstrainSelectedInstOperands,
     /*  996599 */     // GIR_Coverage, 2657,
     /*  996599 */     GIR_EraseRootFromParent_Done,
     /*  996600 */   // Label 14825: @996600
     /*  996600 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(996676), // Rule ID 17036 //
     /*  996605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  996608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  996622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996633 */     // MIs[0] passthru
     /*  996633 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996642 */     // MIs[0] round
     /*  996642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  996652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  996655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996674 */     GIR_RootConstrainSelectedInstOperands,
     /*  996675 */     // GIR_Coverage, 17036,
     /*  996675 */     GIR_EraseRootFromParent_Done,
     /*  996676 */   // Label 14826: @996676
     /*  996676 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(996752), // Rule ID 17037 //
     /*  996681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  996684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  996698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996709 */     // MIs[0] passthru
     /*  996709 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996718 */     // MIs[0] round
     /*  996718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  996728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  996731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996750 */     GIR_RootConstrainSelectedInstOperands,
     /*  996751 */     // GIR_Coverage, 17037,
     /*  996751 */     GIR_EraseRootFromParent_Done,
     /*  996752 */   // Label 14827: @996752
     /*  996752 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(996828), // Rule ID 17046 //
     /*  996757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  996760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  996774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996785 */     // MIs[0] passthru
     /*  996785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996794 */     // MIs[0] round
     /*  996794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996804 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  996804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  996807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996826 */     GIR_RootConstrainSelectedInstOperands,
     /*  996827 */     // GIR_Coverage, 17046,
     /*  996827 */     GIR_EraseRootFromParent_Done,
     /*  996828 */   // Label 14828: @996828
     /*  996828 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(996904), // Rule ID 17047 //
     /*  996833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  996836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  996850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996861 */     // MIs[0] passthru
     /*  996861 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996870 */     // MIs[0] round
     /*  996870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996880 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  996880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  996883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996902 */     GIR_RootConstrainSelectedInstOperands,
     /*  996903 */     // GIR_Coverage, 17047,
     /*  996903 */     GIR_EraseRootFromParent_Done,
     /*  996904 */   // Label 14829: @996904
     /*  996904 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(996980), // Rule ID 17056 //
     /*  996909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  996912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  996926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996937 */     // MIs[0] passthru
     /*  996937 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  996942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996946 */     // MIs[0] round
     /*  996946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  996949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996956 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  996956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  996959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  996965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  996967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  996978 */     GIR_RootConstrainSelectedInstOperands,
     /*  996979 */     // GIR_Coverage, 17056,
     /*  996979 */     GIR_EraseRootFromParent_Done,
     /*  996980 */   // Label 14830: @996980
     /*  996980 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(997056), // Rule ID 17057 //
     /*  996985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  996988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  996993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  997002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997013 */     // MIs[0] passthru
     /*  997013 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997022 */     // MIs[0] round
     /*  997022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997032 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  997035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997054 */     GIR_RootConstrainSelectedInstOperands,
     /*  997055 */     // GIR_Coverage, 17057,
     /*  997055 */     GIR_EraseRootFromParent_Done,
     /*  997056 */   // Label 14831: @997056
     /*  997056 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(997132), // Rule ID 17066 //
     /*  997061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  997078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997089 */     // MIs[0] passthru
     /*  997089 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997098 */     // MIs[0] round
     /*  997098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  997111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997130 */     GIR_RootConstrainSelectedInstOperands,
     /*  997131 */     // GIR_Coverage, 17066,
     /*  997131 */     GIR_EraseRootFromParent_Done,
     /*  997132 */   // Label 14832: @997132
     /*  997132 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(997208), // Rule ID 17067 //
     /*  997137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  997154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997165 */     // MIs[0] passthru
     /*  997165 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997174 */     // MIs[0] round
     /*  997174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  997187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997206 */     GIR_RootConstrainSelectedInstOperands,
     /*  997207 */     // GIR_Coverage, 17067,
     /*  997207 */     GIR_EraseRootFromParent_Done,
     /*  997208 */   // Label 14833: @997208
     /*  997208 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(997284), // Rule ID 17076 //
     /*  997213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  997230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997241 */     // MIs[0] passthru
     /*  997241 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997250 */     // MIs[0] round
     /*  997250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  997263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997282 */     GIR_RootConstrainSelectedInstOperands,
     /*  997283 */     // GIR_Coverage, 17076,
     /*  997283 */     GIR_EraseRootFromParent_Done,
     /*  997284 */   // Label 14834: @997284
     /*  997284 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(997360), // Rule ID 17077 //
     /*  997289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  997306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997317 */     // MIs[0] passthru
     /*  997317 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997326 */     // MIs[0] round
     /*  997326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  997339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997358 */     GIR_RootConstrainSelectedInstOperands,
     /*  997359 */     // GIR_Coverage, 17077,
     /*  997359 */     GIR_EraseRootFromParent_Done,
     /*  997360 */   // Label 14835: @997360
     /*  997360 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(997436), // Rule ID 17086 //
     /*  997365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  997382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997393 */     // MIs[0] passthru
     /*  997393 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997402 */     // MIs[0] round
     /*  997402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  997415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997434 */     GIR_RootConstrainSelectedInstOperands,
     /*  997435 */     // GIR_Coverage, 17086,
     /*  997435 */     GIR_EraseRootFromParent_Done,
     /*  997436 */   // Label 14836: @997436
     /*  997436 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(997512), // Rule ID 17087 //
     /*  997441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  997458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997469 */     // MIs[0] passthru
     /*  997469 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997478 */     // MIs[0] round
     /*  997478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997488 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  997491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997510 */     GIR_RootConstrainSelectedInstOperands,
     /*  997511 */     // GIR_Coverage, 17087,
     /*  997511 */     GIR_EraseRootFromParent_Done,
     /*  997512 */   // Label 14837: @997512
     /*  997512 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997588), // Rule ID 17096 //
     /*  997517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  997534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997545 */     // MIs[0] passthru
     /*  997545 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997554 */     // MIs[0] round
     /*  997554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997564 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  997567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997586 */     GIR_RootConstrainSelectedInstOperands,
     /*  997587 */     // GIR_Coverage, 17096,
     /*  997587 */     GIR_EraseRootFromParent_Done,
     /*  997588 */   // Label 14838: @997588
     /*  997588 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(997664), // Rule ID 17097 //
     /*  997593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  997610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997621 */     // MIs[0] passthru
     /*  997621 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997630 */     // MIs[0] round
     /*  997630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997640 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  997643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997662 */     GIR_RootConstrainSelectedInstOperands,
     /*  997663 */     // GIR_Coverage, 17097,
     /*  997663 */     GIR_EraseRootFromParent_Done,
     /*  997664 */   // Label 14839: @997664
     /*  997664 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(997740), // Rule ID 17106 //
     /*  997669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  997686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997697 */     // MIs[0] passthru
     /*  997697 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997706 */     // MIs[0] round
     /*  997706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997716 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  997719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997738 */     GIR_RootConstrainSelectedInstOperands,
     /*  997739 */     // GIR_Coverage, 17106,
     /*  997739 */     GIR_EraseRootFromParent_Done,
     /*  997740 */   // Label 14840: @997740
     /*  997740 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(997816), // Rule ID 17107 //
     /*  997745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  997762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997773 */     // MIs[0] passthru
     /*  997773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997782 */     // MIs[0] round
     /*  997782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997792 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  997792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  997795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997814 */     GIR_RootConstrainSelectedInstOperands,
     /*  997815 */     // GIR_Coverage, 17107,
     /*  997815 */     GIR_EraseRootFromParent_Done,
     /*  997816 */   // Label 14841: @997816
     /*  997816 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(997892), // Rule ID 17152 //
     /*  997821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  997829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  997838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997849 */     // MIs[0] passthru
     /*  997849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997858 */     // MIs[0] round
     /*  997858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997868 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  997871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997890 */     GIR_RootConstrainSelectedInstOperands,
     /*  997891 */     // GIR_Coverage, 17152,
     /*  997891 */     GIR_EraseRootFromParent_Done,
     /*  997892 */   // Label 14842: @997892
     /*  997892 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(997968), // Rule ID 17153 //
     /*  997897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  997905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  997914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997925 */     // MIs[0] passthru
     /*  997925 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997934 */     // MIs[0] round
     /*  997934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997944 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  997947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997966 */     GIR_RootConstrainSelectedInstOperands,
     /*  997967 */     // GIR_Coverage, 17153,
     /*  997967 */     GIR_EraseRootFromParent_Done,
     /*  997968 */   // Label 14843: @997968
     /*  997968 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(998044), // Rule ID 17162 //
     /*  997973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  997981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  997990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998001 */     // MIs[0] passthru
     /*  998001 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998010 */     // MIs[0] round
     /*  998010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998020 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  998023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998042 */     GIR_RootConstrainSelectedInstOperands,
     /*  998043 */     // GIR_Coverage, 17162,
     /*  998043 */     GIR_EraseRootFromParent_Done,
     /*  998044 */   // Label 14844: @998044
     /*  998044 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(998120), // Rule ID 17163 //
     /*  998049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  998066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998077 */     // MIs[0] passthru
     /*  998077 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998086 */     // MIs[0] round
     /*  998086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  998099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998118 */     GIR_RootConstrainSelectedInstOperands,
     /*  998119 */     // GIR_Coverage, 17163,
     /*  998119 */     GIR_EraseRootFromParent_Done,
     /*  998120 */   // Label 14845: @998120
     /*  998120 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(998196), // Rule ID 17172 //
     /*  998125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998153 */     // MIs[0] passthru
     /*  998153 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998162 */     // MIs[0] round
     /*  998162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998172 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  998175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998194 */     GIR_RootConstrainSelectedInstOperands,
     /*  998195 */     // GIR_Coverage, 17172,
     /*  998195 */     GIR_EraseRootFromParent_Done,
     /*  998196 */   // Label 14846: @998196
     /*  998196 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(998272), // Rule ID 17173 //
     /*  998201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998229 */     // MIs[0] passthru
     /*  998229 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998238 */     // MIs[0] round
     /*  998238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998248 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  998251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998270 */     GIR_RootConstrainSelectedInstOperands,
     /*  998271 */     // GIR_Coverage, 17173,
     /*  998271 */     GIR_EraseRootFromParent_Done,
     /*  998272 */   // Label 14847: @998272
     /*  998272 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(998348), // Rule ID 17182 //
     /*  998277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  998294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998305 */     // MIs[0] passthru
     /*  998305 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998314 */     // MIs[0] round
     /*  998314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  998327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998346 */     GIR_RootConstrainSelectedInstOperands,
     /*  998347 */     // GIR_Coverage, 17182,
     /*  998347 */     GIR_EraseRootFromParent_Done,
     /*  998348 */   // Label 14848: @998348
     /*  998348 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(998424), // Rule ID 17183 //
     /*  998353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  998370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998381 */     // MIs[0] passthru
     /*  998381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998390 */     // MIs[0] round
     /*  998390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998400 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  998403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998422 */     GIR_RootConstrainSelectedInstOperands,
     /*  998423 */     // GIR_Coverage, 17183,
     /*  998423 */     GIR_EraseRootFromParent_Done,
     /*  998424 */   // Label 14849: @998424
     /*  998424 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(998500), // Rule ID 17192 //
     /*  998429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  998446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998457 */     // MIs[0] passthru
     /*  998457 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998466 */     // MIs[0] round
     /*  998466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  998479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998498 */     GIR_RootConstrainSelectedInstOperands,
     /*  998499 */     // GIR_Coverage, 17192,
     /*  998499 */     GIR_EraseRootFromParent_Done,
     /*  998500 */   // Label 14850: @998500
     /*  998500 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998576), // Rule ID 17193 //
     /*  998505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  998516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  998519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  998522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998533 */     // MIs[0] passthru
     /*  998533 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998542 */     // MIs[0] round
     /*  998542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  998555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998574 */     GIR_RootConstrainSelectedInstOperands,
     /*  998575 */     // GIR_Coverage, 17193,
     /*  998575 */     GIR_EraseRootFromParent_Done,
     /*  998576 */   // Label 14851: @998576
     /*  998576 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(998652), // Rule ID 17202 //
     /*  998581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  998598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998609 */     // MIs[0] passthru
     /*  998609 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998618 */     // MIs[0] round
     /*  998618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  998631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998650 */     GIR_RootConstrainSelectedInstOperands,
     /*  998651 */     // GIR_Coverage, 17202,
     /*  998651 */     GIR_EraseRootFromParent_Done,
     /*  998652 */   // Label 14852: @998652
     /*  998652 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(998728), // Rule ID 17203 //
     /*  998657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  998660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  998674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998685 */     // MIs[0] passthru
     /*  998685 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998694 */     // MIs[0] round
     /*  998694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998704 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  998704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  998707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998726 */     GIR_RootConstrainSelectedInstOperands,
     /*  998727 */     // GIR_Coverage, 17203,
     /*  998727 */     GIR_EraseRootFromParent_Done,
     /*  998728 */   // Label 14853: @998728
     /*  998728 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(998804), // Rule ID 17212 //
     /*  998733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  998750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998761 */     // MIs[0] passthru
     /*  998761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998770 */     // MIs[0] round
     /*  998770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998780 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  998783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998802 */     GIR_RootConstrainSelectedInstOperands,
     /*  998803 */     // GIR_Coverage, 17212,
     /*  998803 */     GIR_EraseRootFromParent_Done,
     /*  998804 */   // Label 14854: @998804
     /*  998804 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(998880), // Rule ID 17213 //
     /*  998809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  998812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  998826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998837 */     // MIs[0] passthru
     /*  998837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998846 */     // MIs[0] round
     /*  998846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  998856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  998859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998878 */     GIR_RootConstrainSelectedInstOperands,
     /*  998879 */     // GIR_Coverage, 17213,
     /*  998879 */     GIR_EraseRootFromParent_Done,
     /*  998880 */   // Label 14855: @998880
     /*  998880 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(998956), // Rule ID 17222 //
     /*  998885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  998902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998913 */     // MIs[0] passthru
     /*  998913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998922 */     // MIs[0] round
     /*  998922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998932 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  998935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998954 */     GIR_RootConstrainSelectedInstOperands,
     /*  998955 */     // GIR_Coverage, 17222,
     /*  998955 */     GIR_EraseRootFromParent_Done,
     /*  998956 */   // Label 14856: @998956
     /*  998956 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(999032), // Rule ID 17223 //
     /*  998961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  998964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  998978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998989 */     // MIs[0] passthru
     /*  998989 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998998 */     // MIs[0] round
     /*  998998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  999011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999030 */     GIR_RootConstrainSelectedInstOperands,
     /*  999031 */     // GIR_Coverage, 17223,
     /*  999031 */     GIR_EraseRootFromParent_Done,
     /*  999032 */   // Label 14857: @999032
     /*  999032 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(999108), // Rule ID 17232 //
     /*  999037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  999040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  999054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999065 */     // MIs[0] passthru
     /*  999065 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999074 */     // MIs[0] round
     /*  999074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999084 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  999084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  999087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999106 */     GIR_RootConstrainSelectedInstOperands,
     /*  999107 */     // GIR_Coverage, 17232,
     /*  999107 */     GIR_EraseRootFromParent_Done,
     /*  999108 */   // Label 14858: @999108
     /*  999108 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(999184), // Rule ID 17233 //
     /*  999113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  999130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999141 */     // MIs[0] passthru
     /*  999141 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999150 */     // MIs[0] round
     /*  999150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999160 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  999163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999182 */     GIR_RootConstrainSelectedInstOperands,
     /*  999183 */     // GIR_Coverage, 17233,
     /*  999183 */     GIR_EraseRootFromParent_Done,
     /*  999184 */   // Label 14859: @999184
     /*  999184 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(999261), // Rule ID 2586 //
     /*  999189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  999206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999228 */     // MIs[0] policy
     /*  999228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999238 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  999241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999259 */     GIR_RootConstrainSelectedInstOperands,
     /*  999260 */     // GIR_Coverage, 2586,
     /*  999260 */     GIR_EraseRootFromParent_Done,
     /*  999261 */   // Label 14860: @999261
     /*  999261 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(999338), // Rule ID 2587 //
     /*  999266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  999283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999305 */     // MIs[0] policy
     /*  999305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999315 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  999318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999336 */     GIR_RootConstrainSelectedInstOperands,
     /*  999337 */     // GIR_Coverage, 2587,
     /*  999337 */     GIR_EraseRootFromParent_Done,
     /*  999338 */   // Label 14861: @999338
     /*  999338 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(999415), // Rule ID 2590 //
     /*  999343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999382 */     // MIs[0] policy
     /*  999382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  999395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999413 */     GIR_RootConstrainSelectedInstOperands,
     /*  999414 */     // GIR_Coverage, 2590,
     /*  999414 */     GIR_EraseRootFromParent_Done,
     /*  999415 */   // Label 14862: @999415
     /*  999415 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(999492), // Rule ID 2591 //
     /*  999420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999459 */     // MIs[0] policy
     /*  999459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999469 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  999472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999490 */     GIR_RootConstrainSelectedInstOperands,
     /*  999491 */     // GIR_Coverage, 2591,
     /*  999491 */     GIR_EraseRootFromParent_Done,
     /*  999492 */   // Label 14863: @999492
     /*  999492 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999569), // Rule ID 2594 //
     /*  999497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  999500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  999505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999536 */     // MIs[0] policy
     /*  999536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999546 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  999549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999567 */     GIR_RootConstrainSelectedInstOperands,
     /*  999568 */     // GIR_Coverage, 2594,
     /*  999568 */     GIR_EraseRootFromParent_Done,
     /*  999569 */   // Label 14864: @999569
     /*  999569 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(999646), // Rule ID 2595 //
     /*  999574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  999577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  999582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999613 */     // MIs[0] policy
     /*  999613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999623 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  999626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999644 */     GIR_RootConstrainSelectedInstOperands,
     /*  999645 */     // GIR_Coverage, 2595,
     /*  999645 */     GIR_EraseRootFromParent_Done,
     /*  999646 */   // Label 14865: @999646
     /*  999646 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(999723), // Rule ID 2630 //
     /*  999651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  999654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  999659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999690 */     // MIs[0] policy
     /*  999690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  999703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999721 */     GIR_RootConstrainSelectedInstOperands,
     /*  999722 */     // GIR_Coverage, 2630,
     /*  999722 */     GIR_EraseRootFromParent_Done,
     /*  999723 */   // Label 14866: @999723
     /*  999723 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(999800), // Rule ID 2631 //
     /*  999728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  999731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  999736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  999739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  999742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999767 */     // MIs[0] policy
     /*  999767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999777 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  999780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999798 */     GIR_RootConstrainSelectedInstOperands,
     /*  999799 */     // GIR_Coverage, 2631,
     /*  999799 */     GIR_EraseRootFromParent_Done,
     /*  999800 */   // Label 14867: @999800
     /*  999800 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(999877), // Rule ID 2662 //
     /*  999805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  999825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999844 */     // MIs[0] policy
     /*  999844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  999857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999875 */     GIR_RootConstrainSelectedInstOperands,
     /*  999876 */     // GIR_Coverage, 2662,
     /*  999876 */     GIR_EraseRootFromParent_Done,
     /*  999877 */   // Label 14868: @999877
     /*  999877 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(999954), // Rule ID 2663 //
     /*  999882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  999899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  999902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999921 */     // MIs[0] policy
     /*  999921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  999934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999952 */     GIR_RootConstrainSelectedInstOperands,
     /*  999953 */     // GIR_Coverage, 2663,
     /*  999953 */     GIR_EraseRootFromParent_Done,
     /*  999954 */   // Label 14869: @999954
     /*  999954 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(1000031), // Rule ID 4790 //
     /*  999959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  999967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  999970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  999973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  999976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999998 */     // MIs[0] policy
     /*  999998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000030 */     // GIR_Coverage, 4790,
     /* 1000030 */     GIR_EraseRootFromParent_Done,
     /* 1000031 */   // Label 14870: @1000031
     /* 1000031 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1000108), // Rule ID 4791 //
     /* 1000036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000075 */     // MIs[0] policy
     /* 1000075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000085 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000107 */     // GIR_Coverage, 4791,
     /* 1000107 */     GIR_EraseRootFromParent_Done,
     /* 1000108 */   // Label 14871: @1000108
     /* 1000108 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1000185), // Rule ID 4794 //
     /* 1000113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000152 */     // MIs[0] policy
     /* 1000152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1000165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000184 */     // GIR_Coverage, 4794,
     /* 1000184 */     GIR_EraseRootFromParent_Done,
     /* 1000185 */   // Label 14872: @1000185
     /* 1000185 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1000262), // Rule ID 4795 //
     /* 1000190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000229 */     // MIs[0] policy
     /* 1000229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000239 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11613:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1000242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000261 */     // GIR_Coverage, 4795,
     /* 1000261 */     GIR_EraseRootFromParent_Done,
     /* 1000262 */   // Label 14873: @1000262
     /* 1000262 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1000339), // Rule ID 4798 //
     /* 1000267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000306 */     // MIs[0] policy
     /* 1000306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1000319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000338 */     // GIR_Coverage, 4798,
     /* 1000338 */     GIR_EraseRootFromParent_Done,
     /* 1000339 */   // Label 14874: @1000339
     /* 1000339 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1000416), // Rule ID 4799 //
     /* 1000344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000383 */     // MIs[0] policy
     /* 1000383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1000396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000415 */     // GIR_Coverage, 4799,
     /* 1000415 */     GIR_EraseRootFromParent_Done,
     /* 1000416 */   // Label 14875: @1000416
     /* 1000416 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1000493), // Rule ID 4802 //
     /* 1000421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000460 */     // MIs[0] policy
     /* 1000460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1000473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000492 */     // GIR_Coverage, 4802,
     /* 1000492 */     GIR_EraseRootFromParent_Done,
     /* 1000493 */   // Label 14876: @1000493
     /* 1000493 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000570), // Rule ID 4803 //
     /* 1000498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1000515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000537 */     // MIs[0] policy
     /* 1000537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1000550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000569 */     // GIR_Coverage, 4803,
     /* 1000569 */     GIR_EraseRootFromParent_Done,
     /* 1000570 */   // Label 14877: @1000570
     /* 1000570 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1000647), // Rule ID 4806 //
     /* 1000575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000614 */     // MIs[0] policy
     /* 1000614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1000627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000646 */     // GIR_Coverage, 4806,
     /* 1000646 */     GIR_EraseRootFromParent_Done,
     /* 1000647 */   // Label 14878: @1000647
     /* 1000647 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1000724), // Rule ID 4807 //
     /* 1000652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1000669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000691 */     // MIs[0] policy
     /* 1000691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1000704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000723 */     // GIR_Coverage, 4807,
     /* 1000723 */     GIR_EraseRootFromParent_Done,
     /* 1000724 */   // Label 14879: @1000724
     /* 1000724 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1000801), // Rule ID 4810 //
     /* 1000729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000768 */     // MIs[0] policy
     /* 1000768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000800 */     // GIR_Coverage, 4810,
     /* 1000800 */     GIR_EraseRootFromParent_Done,
     /* 1000801 */   // Label 14880: @1000801
     /* 1000801 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1000878), // Rule ID 4811 //
     /* 1000806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000845 */     // MIs[0] policy
     /* 1000845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000855 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000877 */     // GIR_Coverage, 4811,
     /* 1000877 */     GIR_EraseRootFromParent_Done,
     /* 1000878 */   // Label 14881: @1000878
     /* 1000878 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1000955), // Rule ID 4814 //
     /* 1000883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1000900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000922 */     // MIs[0] policy
     /* 1000922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1000935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000954 */     // GIR_Coverage, 4814,
     /* 1000954 */     GIR_EraseRootFromParent_Done,
     /* 1000955 */   // Label 14882: @1000955
     /* 1000955 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1001032), // Rule ID 4815 //
     /* 1000960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1000977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000999 */     // MIs[0] policy
     /* 1000999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001031 */     // GIR_Coverage, 4815,
     /* 1001031 */     GIR_EraseRootFromParent_Done,
     /* 1001032 */   // Label 14883: @1001032
     /* 1001032 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1001109), // Rule ID 4818 //
     /* 1001037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001076 */     // MIs[0] policy
     /* 1001076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001108 */     // GIR_Coverage, 4818,
     /* 1001108 */     GIR_EraseRootFromParent_Done,
     /* 1001109 */   // Label 14884: @1001109
     /* 1001109 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1001186), // Rule ID 4819 //
     /* 1001114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001153 */     // MIs[0] policy
     /* 1001153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001185 */     // GIR_Coverage, 4819,
     /* 1001185 */     GIR_EraseRootFromParent_Done,
     /* 1001186 */   // Label 14885: @1001186
     /* 1001186 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1001263), // Rule ID 4822 //
     /* 1001191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001230 */     // MIs[0] policy
     /* 1001230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001262 */     // GIR_Coverage, 4822,
     /* 1001262 */     GIR_EraseRootFromParent_Done,
     /* 1001263 */   // Label 14886: @1001263
     /* 1001263 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1001340), // Rule ID 4823 //
     /* 1001268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001307 */     // MIs[0] policy
     /* 1001307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001339 */     // GIR_Coverage, 4823,
     /* 1001339 */     GIR_EraseRootFromParent_Done,
     /* 1001340 */   // Label 14887: @1001340
     /* 1001340 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1001417), // Rule ID 4826 //
     /* 1001345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001384 */     // MIs[0] policy
     /* 1001384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1001397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001416 */     // GIR_Coverage, 4826,
     /* 1001416 */     GIR_EraseRootFromParent_Done,
     /* 1001417 */   // Label 14888: @1001417
     /* 1001417 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1001494), // Rule ID 4827 //
     /* 1001422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1001439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001461 */     // MIs[0] policy
     /* 1001461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1001474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001493 */     // GIR_Coverage, 4827,
     /* 1001493 */     GIR_EraseRootFromParent_Done,
     /* 1001494 */   // Label 14889: @1001494
     /* 1001494 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001571), // Rule ID 4830 //
     /* 1001499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001538 */     // MIs[0] policy
     /* 1001538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001570 */     // GIR_Coverage, 4830,
     /* 1001570 */     GIR_EraseRootFromParent_Done,
     /* 1001571 */   // Label 14890: @1001571
     /* 1001571 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1001648), // Rule ID 4831 //
     /* 1001576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001615 */     // MIs[0] policy
     /* 1001615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001647 */     // GIR_Coverage, 4831,
     /* 1001647 */     GIR_EraseRootFromParent_Done,
     /* 1001648 */   // Label 14891: @1001648
     /* 1001648 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1001725), // Rule ID 4834 //
     /* 1001653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001692 */     // MIs[0] policy
     /* 1001692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001702 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001724 */     // GIR_Coverage, 4834,
     /* 1001724 */     GIR_EraseRootFromParent_Done,
     /* 1001725 */   // Label 14892: @1001725
     /* 1001725 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1001802), // Rule ID 4835 //
     /* 1001730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001769 */     // MIs[0] policy
     /* 1001769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001801 */     // GIR_Coverage, 4835,
     /* 1001801 */     GIR_EraseRootFromParent_Done,
     /* 1001802 */   // Label 14893: @1001802
     /* 1001802 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1001879), // Rule ID 4838 //
     /* 1001807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001846 */     // MIs[0] policy
     /* 1001846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001878 */     // GIR_Coverage, 4838,
     /* 1001878 */     GIR_EraseRootFromParent_Done,
     /* 1001879 */   // Label 14894: @1001879
     /* 1001879 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1001956), // Rule ID 4839 //
     /* 1001884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1001901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001923 */     // MIs[0] policy
     /* 1001923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001955 */     // GIR_Coverage, 4839,
     /* 1001955 */     GIR_EraseRootFromParent_Done,
     /* 1001956 */   // Label 14895: @1001956
     /* 1001956 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1002033), // Rule ID 4842 //
     /* 1001961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1001978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002000 */     // MIs[0] policy
     /* 1002000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002032 */     // GIR_Coverage, 4842,
     /* 1002032 */     GIR_EraseRootFromParent_Done,
     /* 1002033 */   // Label 14896: @1002033
     /* 1002033 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1002110), // Rule ID 4843 //
     /* 1002038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002077 */     // MIs[0] policy
     /* 1002077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002087 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002109 */     // GIR_Coverage, 4843,
     /* 1002109 */     GIR_EraseRootFromParent_Done,
     /* 1002110 */   // Label 14897: @1002110
     /* 1002110 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1002187), // Rule ID 4846 //
     /* 1002115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002154 */     // MIs[0] policy
     /* 1002154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /* 1002167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002186 */     // GIR_Coverage, 4846,
     /* 1002186 */     GIR_EraseRootFromParent_Done,
     /* 1002187 */   // Label 14898: @1002187
     /* 1002187 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1002264), // Rule ID 4847 //
     /* 1002192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002231 */     // MIs[0] policy
     /* 1002231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002241 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /* 1002244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002263 */     // GIR_Coverage, 4847,
     /* 1002263 */     GIR_EraseRootFromParent_Done,
     /* 1002264 */   // Label 14899: @1002264
     /* 1002264 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1002341), // Rule ID 4850 //
     /* 1002269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002308 */     // MIs[0] policy
     /* 1002308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1002321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002340 */     // GIR_Coverage, 4850,
     /* 1002340 */     GIR_EraseRootFromParent_Done,
     /* 1002341 */   // Label 14900: @1002341
     /* 1002341 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1002418), // Rule ID 4851 //
     /* 1002346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002385 */     // MIs[0] policy
     /* 1002385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11613:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1002398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002417 */     // GIR_Coverage, 4851,
     /* 1002417 */     GIR_EraseRootFromParent_Done,
     /* 1002418 */   // Label 14901: @1002418
     /* 1002418 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1002495), // Rule ID 4854 //
     /* 1002423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002462 */     // MIs[0] policy
     /* 1002462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1002475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002494 */     // GIR_Coverage, 4854,
     /* 1002494 */     GIR_EraseRootFromParent_Done,
     /* 1002495 */   // Label 14902: @1002495
     /* 1002495 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002572), // Rule ID 4855 //
     /* 1002500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002539 */     // MIs[0] policy
     /* 1002539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1002552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002571 */     // GIR_Coverage, 4855,
     /* 1002571 */     GIR_EraseRootFromParent_Done,
     /* 1002572 */   // Label 14903: @1002572
     /* 1002572 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1002649), // Rule ID 4858 //
     /* 1002577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002616 */     // MIs[0] policy
     /* 1002616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002626 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1002629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002648 */     // GIR_Coverage, 4858,
     /* 1002648 */     GIR_EraseRootFromParent_Done,
     /* 1002649 */   // Label 14904: @1002649
     /* 1002649 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1002726), // Rule ID 4859 //
     /* 1002654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1002665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1002668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002693 */     // MIs[0] policy
     /* 1002693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1002706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002725 */     // GIR_Coverage, 4859,
     /* 1002725 */     GIR_EraseRootFromParent_Done,
     /* 1002726 */   // Label 14905: @1002726
     /* 1002726 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1002803), // Rule ID 4862 //
     /* 1002731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002770 */     // MIs[0] policy
     /* 1002770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1002783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002802 */     // GIR_Coverage, 4862,
     /* 1002802 */     GIR_EraseRootFromParent_Done,
     /* 1002803 */   // Label 14906: @1002803
     /* 1002803 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1002880), // Rule ID 4863 //
     /* 1002808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002847 */     // MIs[0] policy
     /* 1002847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002857 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1002860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002879 */     // GIR_Coverage, 4863,
     /* 1002879 */     GIR_EraseRootFromParent_Done,
     /* 1002880 */   // Label 14907: @1002880
     /* 1002880 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1002957), // Rule ID 4866 //
     /* 1002885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1002902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002924 */     // MIs[0] policy
     /* 1002924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1002937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002956 */     // GIR_Coverage, 4866,
     /* 1002956 */     GIR_EraseRootFromParent_Done,
     /* 1002957 */   // Label 14908: @1002957
     /* 1002957 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1003034), // Rule ID 4867 //
     /* 1002962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1002979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003001 */     // MIs[0] policy
     /* 1003001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1003014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003033 */     // GIR_Coverage, 4867,
     /* 1003033 */     GIR_EraseRootFromParent_Done,
     /* 1003034 */   // Label 14909: @1003034
     /* 1003034 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1003111), // Rule ID 4870 //
     /* 1003039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003078 */     // MIs[0] policy
     /* 1003078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003110 */     // GIR_Coverage, 4870,
     /* 1003110 */     GIR_EraseRootFromParent_Done,
     /* 1003111 */   // Label 14910: @1003111
     /* 1003111 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1003188), // Rule ID 4871 //
     /* 1003116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003155 */     // MIs[0] policy
     /* 1003155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003165 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003187 */     // GIR_Coverage, 4871,
     /* 1003187 */     GIR_EraseRootFromParent_Done,
     /* 1003188 */   // Label 14911: @1003188
     /* 1003188 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1003265), // Rule ID 4874 //
     /* 1003193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003232 */     // MIs[0] policy
     /* 1003232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003242 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1003245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003264 */     // GIR_Coverage, 4874,
     /* 1003264 */     GIR_EraseRootFromParent_Done,
     /* 1003265 */   // Label 14912: @1003265
     /* 1003265 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1003342), // Rule ID 4875 //
     /* 1003270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003309 */     // MIs[0] policy
     /* 1003309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003319 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1003322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003341 */     // GIR_Coverage, 4875,
     /* 1003341 */     GIR_EraseRootFromParent_Done,
     /* 1003342 */   // Label 14913: @1003342
     /* 1003342 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1003419), // Rule ID 4878 //
     /* 1003347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003386 */     // MIs[0] policy
     /* 1003386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1003399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003418 */     // GIR_Coverage, 4878,
     /* 1003418 */     GIR_EraseRootFromParent_Done,
     /* 1003419 */   // Label 14914: @1003419
     /* 1003419 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1003496), // Rule ID 4879 //
     /* 1003424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003463 */     // MIs[0] policy
     /* 1003463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1003476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003495 */     // GIR_Coverage, 4879,
     /* 1003495 */     GIR_EraseRootFromParent_Done,
     /* 1003496 */   // Label 14915: @1003496
     /* 1003496 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003573), // Rule ID 4882 //
     /* 1003501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003540 */     // MIs[0] policy
     /* 1003540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1003553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003572 */     // GIR_Coverage, 4882,
     /* 1003572 */     GIR_EraseRootFromParent_Done,
     /* 1003573 */   // Label 14916: @1003573
     /* 1003573 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1003650), // Rule ID 4883 //
     /* 1003578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003617 */     // MIs[0] policy
     /* 1003617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11613:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1003630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003649 */     // GIR_Coverage, 4883,
     /* 1003649 */     GIR_EraseRootFromParent_Done,
     /* 1003650 */   // Label 14917: @1003650
     /* 1003650 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1003727), // Rule ID 4886 //
     /* 1003655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003694 */     // MIs[0] policy
     /* 1003694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1003707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003726 */     // GIR_Coverage, 4886,
     /* 1003726 */     GIR_EraseRootFromParent_Done,
     /* 1003727 */   // Label 14918: @1003727
     /* 1003727 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1003804), // Rule ID 4887 //
     /* 1003732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003771 */     // MIs[0] policy
     /* 1003771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11613:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1003784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003803 */     // GIR_Coverage, 4887,
     /* 1003803 */     GIR_EraseRootFromParent_Done,
     /* 1003804 */   // Label 14919: @1003804
     /* 1003804 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1003881), // Rule ID 4890 //
     /* 1003809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003848 */     // MIs[0] policy
     /* 1003848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1003861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003880 */     // GIR_Coverage, 4890,
     /* 1003880 */     GIR_EraseRootFromParent_Done,
     /* 1003881 */   // Label 14920: @1003881
     /* 1003881 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1003958), // Rule ID 4891 //
     /* 1003886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003925 */     // MIs[0] policy
     /* 1003925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003935 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11613:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1003938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003957 */     // GIR_Coverage, 4891,
     /* 1003957 */     GIR_EraseRootFromParent_Done,
     /* 1003958 */   // Label 14921: @1003958
     /* 1003958 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1004035), // Rule ID 4894 //
     /* 1003963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004002 */     // MIs[0] policy
     /* 1004002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1004015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004034 */     // GIR_Coverage, 4894,
     /* 1004034 */     GIR_EraseRootFromParent_Done,
     /* 1004035 */   // Label 14922: @1004035
     /* 1004035 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1004112), // Rule ID 4895 //
     /* 1004040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004079 */     // MIs[0] policy
     /* 1004079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11613:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1004092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004111 */     // GIR_Coverage, 4895,
     /* 1004111 */     GIR_EraseRootFromParent_Done,
     /* 1004112 */   // Label 14923: @1004112
     /* 1004112 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1004189), // Rule ID 4898 //
     /* 1004117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004156 */     // MIs[0] policy
     /* 1004156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004166 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1004169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004188 */     // GIR_Coverage, 4898,
     /* 1004188 */     GIR_EraseRootFromParent_Done,
     /* 1004189 */   // Label 14924: @1004189
     /* 1004189 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1004266), // Rule ID 4899 //
     /* 1004194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004233 */     // MIs[0] policy
     /* 1004233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1004246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004265 */     // GIR_Coverage, 4899,
     /* 1004265 */     GIR_EraseRootFromParent_Done,
     /* 1004266 */   // Label 14925: @1004266
     /* 1004266 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1004343), // Rule ID 4902 //
     /* 1004271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004310 */     // MIs[0] policy
     /* 1004310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1004323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004342 */     // GIR_Coverage, 4902,
     /* 1004342 */     GIR_EraseRootFromParent_Done,
     /* 1004343 */   // Label 14926: @1004343
     /* 1004343 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1004420), // Rule ID 4903 //
     /* 1004348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004387 */     // MIs[0] policy
     /* 1004387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1004400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004419 */     // GIR_Coverage, 4903,
     /* 1004419 */     GIR_EraseRootFromParent_Done,
     /* 1004420 */   // Label 14927: @1004420
     /* 1004420 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1004497), // Rule ID 4906 //
     /* 1004425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004464 */     // MIs[0] policy
     /* 1004464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1004477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004496 */     // GIR_Coverage, 4906,
     /* 1004496 */     GIR_EraseRootFromParent_Done,
     /* 1004497 */   // Label 14928: @1004497
     /* 1004497 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004574), // Rule ID 4907 //
     /* 1004502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004541 */     // MIs[0] policy
     /* 1004541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1004554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004573 */     // GIR_Coverage, 4907,
     /* 1004573 */     GIR_EraseRootFromParent_Done,
     /* 1004574 */   // Label 14929: @1004574
     /* 1004574 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1004651), // Rule ID 4910 //
     /* 1004579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1004590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1004593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004618 */     // MIs[0] policy
     /* 1004618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1004631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004650 */     // GIR_Coverage, 4910,
     /* 1004650 */     GIR_EraseRootFromParent_Done,
     /* 1004651 */   // Label 14930: @1004651
     /* 1004651 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1004728), // Rule ID 4911 //
     /* 1004656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1004667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1004670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004695 */     // MIs[0] policy
     /* 1004695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004705 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1004708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004727 */     // GIR_Coverage, 4911,
     /* 1004727 */     GIR_EraseRootFromParent_Done,
     /* 1004728 */   // Label 14931: @1004728
     /* 1004728 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1004805), // Rule ID 4914 //
     /* 1004733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1004744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1004747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1004750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1004753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004772 */     // MIs[0] policy
     /* 1004772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1004785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004804 */     // GIR_Coverage, 4914,
     /* 1004804 */     GIR_EraseRootFromParent_Done,
     /* 1004805 */   // Label 14932: @1004805
     /* 1004805 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1004882), // Rule ID 4915 //
     /* 1004810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1004821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1004824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1004827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1004830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004849 */     // MIs[0] policy
     /* 1004849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1004862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004881 */     // GIR_Coverage, 4915,
     /* 1004881 */     GIR_EraseRootFromParent_Done,
     /* 1004882 */   // Label 14933: @1004882
     /* 1004882 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1004959), // Rule ID 4918 //
     /* 1004887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1004898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1004901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1004904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1004907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004926 */     // MIs[0] policy
     /* 1004926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1004939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004958 */     // GIR_Coverage, 4918,
     /* 1004958 */     GIR_EraseRootFromParent_Done,
     /* 1004959 */   // Label 14934: @1004959
     /* 1004959 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1005036), // Rule ID 4919 //
     /* 1004964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1004975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1004978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1004981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1004984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005003 */     // MIs[0] policy
     /* 1005003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005013 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005035 */     // GIR_Coverage, 4919,
     /* 1005035 */     GIR_EraseRootFromParent_Done,
     /* 1005036 */   // Label 14935: @1005036
     /* 1005036 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1005113), // Rule ID 4922 //
     /* 1005041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005080 */     // MIs[0] policy
     /* 1005080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005112 */     // GIR_Coverage, 4922,
     /* 1005112 */     GIR_EraseRootFromParent_Done,
     /* 1005113 */   // Label 14936: @1005113
     /* 1005113 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1005190), // Rule ID 4923 //
     /* 1005118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005157 */     // MIs[0] policy
     /* 1005157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005189 */     // GIR_Coverage, 4923,
     /* 1005189 */     GIR_EraseRootFromParent_Done,
     /* 1005190 */   // Label 14937: @1005190
     /* 1005190 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1005267), // Rule ID 4926 //
     /* 1005195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005234 */     // MIs[0] policy
     /* 1005234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005266 */     // GIR_Coverage, 4926,
     /* 1005266 */     GIR_EraseRootFromParent_Done,
     /* 1005267 */   // Label 14938: @1005267
     /* 1005267 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1005344), // Rule ID 4927 //
     /* 1005272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005311 */     // MIs[0] policy
     /* 1005311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005343 */     // GIR_Coverage, 4927,
     /* 1005343 */     GIR_EraseRootFromParent_Done,
     /* 1005344 */   // Label 14939: @1005344
     /* 1005344 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1005421), // Rule ID 4930 //
     /* 1005349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1005360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1005363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1005376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005388 */     // MIs[0] policy
     /* 1005388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1005401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005420 */     // GIR_Coverage, 4930,
     /* 1005420 */     GIR_EraseRootFromParent_Done,
     /* 1005421 */   // Label 14940: @1005421
     /* 1005421 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1005498), // Rule ID 4931 //
     /* 1005426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1005437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1005440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1005453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005465 */     // MIs[0] policy
     /* 1005465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1005478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005497 */     // GIR_Coverage, 4931,
     /* 1005497 */     GIR_EraseRootFromParent_Done,
     /* 1005498 */   // Label 14941: @1005498
     /* 1005498 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005575), // Rule ID 4934 //
     /* 1005503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1005514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1005517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1005530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005542 */     // MIs[0] policy
     /* 1005542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1005555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005574 */     // GIR_Coverage, 4934,
     /* 1005574 */     GIR_EraseRootFromParent_Done,
     /* 1005575 */   // Label 14942: @1005575
     /* 1005575 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1005652), // Rule ID 4935 //
     /* 1005580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1005591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1005594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1005607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005619 */     // MIs[0] policy
     /* 1005619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1005632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005651 */     // GIR_Coverage, 4935,
     /* 1005651 */     GIR_EraseRootFromParent_Done,
     /* 1005652 */   // Label 14943: @1005652
     /* 1005652 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1005729), // Rule ID 4938 //
     /* 1005657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1005668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1005671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1005677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005696 */     // MIs[0] policy
     /* 1005696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005728 */     // GIR_Coverage, 4938,
     /* 1005728 */     GIR_EraseRootFromParent_Done,
     /* 1005729 */   // Label 14944: @1005729
     /* 1005729 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1005806), // Rule ID 4939 //
     /* 1005734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1005745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1005748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1005751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1005754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005773 */     // MIs[0] policy
     /* 1005773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005805 */     // GIR_Coverage, 4939,
     /* 1005805 */     GIR_EraseRootFromParent_Done,
     /* 1005806 */   // Label 14945: @1005806
     /* 1005806 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1005883), // Rule ID 4942 //
     /* 1005811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1005814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005850 */     // MIs[0] policy
     /* 1005850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005882 */     // GIR_Coverage, 4942,
     /* 1005882 */     GIR_EraseRootFromParent_Done,
     /* 1005883 */   // Label 14946: @1005883
     /* 1005883 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1005960), // Rule ID 4943 //
     /* 1005888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1005891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005927 */     // MIs[0] policy
     /* 1005927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005937 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005959 */     // GIR_Coverage, 4943,
     /* 1005959 */     GIR_EraseRootFromParent_Done,
     /* 1005960 */   // Label 14947: @1005960
     /* 1005960 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1006037), // Rule ID 4946 //
     /* 1005965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1005968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1005976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1005979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1005992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006004 */     // MIs[0] policy
     /* 1006004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006036 */     // GIR_Coverage, 4946,
     /* 1006036 */     GIR_EraseRootFromParent_Done,
     /* 1006037 */   // Label 14948: @1006037
     /* 1006037 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1006114), // Rule ID 4947 //
     /* 1006042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006081 */     // MIs[0] policy
     /* 1006081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006113 */     // GIR_Coverage, 4947,
     /* 1006113 */     GIR_EraseRootFromParent_Done,
     /* 1006114 */   // Label 14949: @1006114
     /* 1006114 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1006191), // Rule ID 4950 //
     /* 1006119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006158 */     // MIs[0] policy
     /* 1006158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006168 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006190 */     // GIR_Coverage, 4950,
     /* 1006190 */     GIR_EraseRootFromParent_Done,
     /* 1006191 */   // Label 14950: @1006191
     /* 1006191 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1006268), // Rule ID 4951 //
     /* 1006196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006235 */     // MIs[0] policy
     /* 1006235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006245 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006267 */     // GIR_Coverage, 4951,
     /* 1006267 */     GIR_EraseRootFromParent_Done,
     /* 1006268 */   // Label 14951: @1006268
     /* 1006268 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1006345), // Rule ID 4954 //
     /* 1006273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1006284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1006287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006312 */     // MIs[0] policy
     /* 1006312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1006325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006344 */     // GIR_Coverage, 4954,
     /* 1006344 */     GIR_EraseRootFromParent_Done,
     /* 1006345 */   // Label 14952: @1006345
     /* 1006345 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1006422), // Rule ID 4955 //
     /* 1006350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1006361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1006364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006389 */     // MIs[0] policy
     /* 1006389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1006402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006421 */     // GIR_Coverage, 4955,
     /* 1006421 */     GIR_EraseRootFromParent_Done,
     /* 1006422 */   // Label 14953: @1006422
     /* 1006422 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1006499), // Rule ID 4958 //
     /* 1006427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1006438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1006441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1006444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006466 */     // MIs[0] policy
     /* 1006466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1006479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006498 */     // GIR_Coverage, 4958,
     /* 1006498 */     GIR_EraseRootFromParent_Done,
     /* 1006499 */   // Label 14954: @1006499
     /* 1006499 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006576), // Rule ID 4959 //
     /* 1006504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1006515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1006518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1006521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006543 */     // MIs[0] policy
     /* 1006543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1006556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006575 */     // GIR_Coverage, 4959,
     /* 1006575 */     GIR_EraseRootFromParent_Done,
     /* 1006576 */   // Label 14955: @1006576
     /* 1006576 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1006653), // Rule ID 4962 //
     /* 1006581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1006598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006620 */     // MIs[0] policy
     /* 1006620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1006633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006652 */     // GIR_Coverage, 4962,
     /* 1006652 */     GIR_EraseRootFromParent_Done,
     /* 1006653 */   // Label 14956: @1006653
     /* 1006653 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1006730), // Rule ID 4963 //
     /* 1006658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1006675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006697 */     // MIs[0] policy
     /* 1006697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1006710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006729 */     // GIR_Coverage, 4963,
     /* 1006729 */     GIR_EraseRootFromParent_Done,
     /* 1006730 */   // Label 14957: @1006730
     /* 1006730 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1006807), // Rule ID 4966 //
     /* 1006735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1006752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006774 */     // MIs[0] policy
     /* 1006774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1006787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006806 */     // GIR_Coverage, 4966,
     /* 1006806 */     GIR_EraseRootFromParent_Done,
     /* 1006807 */   // Label 14958: @1006807
     /* 1006807 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1006884), // Rule ID 4967 //
     /* 1006812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1006829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006851 */     // MIs[0] policy
     /* 1006851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1006864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006883 */     // GIR_Coverage, 4967,
     /* 1006883 */     GIR_EraseRootFromParent_Done,
     /* 1006884 */   // Label 14959: @1006884
     /* 1006884 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1006961), // Rule ID 4970 //
     /* 1006889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1006906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006928 */     // MIs[0] policy
     /* 1006928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1006941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006960 */     // GIR_Coverage, 4970,
     /* 1006960 */     GIR_EraseRootFromParent_Done,
     /* 1006961 */   // Label 14960: @1006961
     /* 1006961 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1007038), // Rule ID 4971 //
     /* 1006966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1006983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007005 */     // MIs[0] policy
     /* 1007005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007037 */     // GIR_Coverage, 4971,
     /* 1007037 */     GIR_EraseRootFromParent_Done,
     /* 1007038 */   // Label 14961: @1007038
     /* 1007038 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1007115), // Rule ID 4974 //
     /* 1007043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1007060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007082 */     // MIs[0] policy
     /* 1007082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007114 */     // GIR_Coverage, 4974,
     /* 1007114 */     GIR_EraseRootFromParent_Done,
     /* 1007115 */   // Label 14962: @1007115
     /* 1007115 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1007192), // Rule ID 4975 //
     /* 1007120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1007137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007159 */     // MIs[0] policy
     /* 1007159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007191 */     // GIR_Coverage, 4975,
     /* 1007191 */     GIR_EraseRootFromParent_Done,
     /* 1007192 */   // Label 14963: @1007192
     /* 1007192 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1007269), // Rule ID 4978 //
     /* 1007197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007236 */     // MIs[0] policy
     /* 1007236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1007249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007268 */     // GIR_Coverage, 4978,
     /* 1007268 */     GIR_EraseRootFromParent_Done,
     /* 1007269 */   // Label 14964: @1007269
     /* 1007269 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1007346), // Rule ID 4979 //
     /* 1007274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007313 */     // MIs[0] policy
     /* 1007313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1007326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007345 */     // GIR_Coverage, 4979,
     /* 1007345 */     GIR_EraseRootFromParent_Done,
     /* 1007346 */   // Label 14965: @1007346
     /* 1007346 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1007423), // Rule ID 4982 //
     /* 1007351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1007368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007390 */     // MIs[0] policy
     /* 1007390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1007403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007422 */     // GIR_Coverage, 4982,
     /* 1007422 */     GIR_EraseRootFromParent_Done,
     /* 1007423 */   // Label 14966: @1007423
     /* 1007423 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1007500), // Rule ID 4983 //
     /* 1007428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1007445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007467 */     // MIs[0] policy
     /* 1007467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1007480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007499 */     // GIR_Coverage, 4983,
     /* 1007499 */     GIR_EraseRootFromParent_Done,
     /* 1007500 */   // Label 14967: @1007500
     /* 1007500 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007577), // Rule ID 4986 //
     /* 1007505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1007522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007544 */     // MIs[0] policy
     /* 1007544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007576 */     // GIR_Coverage, 4986,
     /* 1007576 */     GIR_EraseRootFromParent_Done,
     /* 1007577 */   // Label 14968: @1007577
     /* 1007577 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1007654), // Rule ID 4987 //
     /* 1007582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1007599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007621 */     // MIs[0] policy
     /* 1007621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007631 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007653 */     // GIR_Coverage, 4987,
     /* 1007653 */     GIR_EraseRootFromParent_Done,
     /* 1007654 */   // Label 14969: @1007654
     /* 1007654 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1007731), // Rule ID 4990 //
     /* 1007659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1007676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007698 */     // MIs[0] policy
     /* 1007698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007730 */     // GIR_Coverage, 4990,
     /* 1007730 */     GIR_EraseRootFromParent_Done,
     /* 1007731 */   // Label 14970: @1007731
     /* 1007731 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1007808), // Rule ID 4991 //
     /* 1007736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1007753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007775 */     // MIs[0] policy
     /* 1007775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007785 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007807 */     // GIR_Coverage, 4991,
     /* 1007807 */     GIR_EraseRootFromParent_Done,
     /* 1007808 */   // Label 14971: @1007808
     /* 1007808 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1007885), // Rule ID 4994 //
     /* 1007813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1007830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007852 */     // MIs[0] policy
     /* 1007852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1007865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007884 */     // GIR_Coverage, 4994,
     /* 1007884 */     GIR_EraseRootFromParent_Done,
     /* 1007885 */   // Label 14972: @1007885
     /* 1007885 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1007962), // Rule ID 4995 //
     /* 1007890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1007907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007929 */     // MIs[0] policy
     /* 1007929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1007942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007961 */     // GIR_Coverage, 4995,
     /* 1007961 */     GIR_EraseRootFromParent_Done,
     /* 1007962 */   // Label 14973: @1007962
     /* 1007962 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1008039), // Rule ID 4998 //
     /* 1007967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1007984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008006 */     // MIs[0] policy
     /* 1008006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1008019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008038 */     // GIR_Coverage, 4998,
     /* 1008038 */     GIR_EraseRootFromParent_Done,
     /* 1008039 */   // Label 14974: @1008039
     /* 1008039 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1008116), // Rule ID 4999 //
     /* 1008044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1008071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008083 */     // MIs[0] policy
     /* 1008083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1008096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008115 */     // GIR_Coverage, 4999,
     /* 1008115 */     GIR_EraseRootFromParent_Done,
     /* 1008116 */   // Label 14975: @1008116
     /* 1008116 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1008193), // Rule ID 5002 //
     /* 1008121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008160 */     // MIs[0] policy
     /* 1008160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1008173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008192 */     // GIR_Coverage, 5002,
     /* 1008192 */     GIR_EraseRootFromParent_Done,
     /* 1008193 */   // Label 14976: @1008193
     /* 1008193 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1008270), // Rule ID 5003 //
     /* 1008198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008237 */     // MIs[0] policy
     /* 1008237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1008250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008269 */     // GIR_Coverage, 5003,
     /* 1008269 */     GIR_EraseRootFromParent_Done,
     /* 1008270 */   // Label 14977: @1008270
     /* 1008270 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1008347), // Rule ID 5006 //
     /* 1008275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1008292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008314 */     // MIs[0] policy
     /* 1008314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1008327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008346 */     // GIR_Coverage, 5006,
     /* 1008346 */     GIR_EraseRootFromParent_Done,
     /* 1008347 */   // Label 14978: @1008347
     /* 1008347 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1008424), // Rule ID 5007 //
     /* 1008352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1008369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008391 */     // MIs[0] policy
     /* 1008391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1008404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008423 */     // GIR_Coverage, 5007,
     /* 1008423 */     GIR_EraseRootFromParent_Done,
     /* 1008424 */   // Label 14979: @1008424
     /* 1008424 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1008501), // Rule ID 12618 //
     /* 1008429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008468 */     // MIs[0] policy
     /* 1008468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1008481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008500 */     // GIR_Coverage, 12618,
     /* 1008500 */     GIR_EraseRootFromParent_Done,
     /* 1008501 */   // Label 14980: @1008501
     /* 1008501 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008578), // Rule ID 12619 //
     /* 1008506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008545 */     // MIs[0] policy
     /* 1008545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1008558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008577 */     // GIR_Coverage, 12619,
     /* 1008577 */     GIR_EraseRootFromParent_Done,
     /* 1008578 */   // Label 14981: @1008578
     /* 1008578 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1008655), // Rule ID 12622 //
     /* 1008583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008622 */     // MIs[0] policy
     /* 1008622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1008635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008654 */     // GIR_Coverage, 12622,
     /* 1008654 */     GIR_EraseRootFromParent_Done,
     /* 1008655 */   // Label 14982: @1008655
     /* 1008655 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1008732), // Rule ID 12623 //
     /* 1008660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008699 */     // MIs[0] policy
     /* 1008699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1008712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008731 */     // GIR_Coverage, 12623,
     /* 1008731 */     GIR_EraseRootFromParent_Done,
     /* 1008732 */   // Label 14983: @1008732
     /* 1008732 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1008809), // Rule ID 12626 //
     /* 1008737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1008754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008776 */     // MIs[0] policy
     /* 1008776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1008789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008808 */     // GIR_Coverage, 12626,
     /* 1008808 */     GIR_EraseRootFromParent_Done,
     /* 1008809 */   // Label 14984: @1008809
     /* 1008809 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1008886), // Rule ID 12627 //
     /* 1008814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1008831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008853 */     // MIs[0] policy
     /* 1008853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008863 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1008866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008885 */     // GIR_Coverage, 12627,
     /* 1008885 */     GIR_EraseRootFromParent_Done,
     /* 1008886 */   // Label 14985: @1008886
     /* 1008886 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1008963), // Rule ID 12630 //
     /* 1008891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1008908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008930 */     // MIs[0] policy
     /* 1008930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1008943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008962 */     // GIR_Coverage, 12630,
     /* 1008962 */     GIR_EraseRootFromParent_Done,
     /* 1008963 */   // Label 14986: @1008963
     /* 1008963 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1009040), // Rule ID 12631 //
     /* 1008968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1008985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009007 */     // MIs[0] policy
     /* 1009007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009039 */     // GIR_Coverage, 12631,
     /* 1009039 */     GIR_EraseRootFromParent_Done,
     /* 1009040 */   // Label 14987: @1009040
     /* 1009040 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1009117), // Rule ID 12634 //
     /* 1009045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1009065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009084 */     // MIs[0] policy
     /* 1009084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009094 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009116 */     // GIR_Coverage, 12634,
     /* 1009116 */     GIR_EraseRootFromParent_Done,
     /* 1009117 */   // Label 14988: @1009117
     /* 1009117 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1009194), // Rule ID 12635 //
     /* 1009122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1009142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009161 */     // MIs[0] policy
     /* 1009161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009193 */     // GIR_Coverage, 12635,
     /* 1009193 */     GIR_EraseRootFromParent_Done,
     /* 1009194 */   // Label 14989: @1009194
     /* 1009194 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1009271), // Rule ID 12638 //
     /* 1009199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009238 */     // MIs[0] policy
     /* 1009238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009270 */     // GIR_Coverage, 12638,
     /* 1009270 */     GIR_EraseRootFromParent_Done,
     /* 1009271 */   // Label 14990: @1009271
     /* 1009271 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1009348), // Rule ID 12639 //
     /* 1009276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009315 */     // MIs[0] policy
     /* 1009315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009325 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009347 */     // GIR_Coverage, 12639,
     /* 1009347 */     GIR_EraseRootFromParent_Done,
     /* 1009348 */   // Label 14991: @1009348
     /* 1009348 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1009425), // Rule ID 12642 //
     /* 1009353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1009370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009392 */     // MIs[0] policy
     /* 1009392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009424 */     // GIR_Coverage, 12642,
     /* 1009424 */     GIR_EraseRootFromParent_Done,
     /* 1009425 */   // Label 14992: @1009425
     /* 1009425 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1009502), // Rule ID 12643 //
     /* 1009430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1009447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009469 */     // MIs[0] policy
     /* 1009469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009479 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009501 */     // GIR_Coverage, 12643,
     /* 1009501 */     GIR_EraseRootFromParent_Done,
     /* 1009502 */   // Label 14993: @1009502
     /* 1009502 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009579), // Rule ID 12646 //
     /* 1009507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1009524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009546 */     // MIs[0] policy
     /* 1009546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009578 */     // GIR_Coverage, 12646,
     /* 1009578 */     GIR_EraseRootFromParent_Done,
     /* 1009579 */   // Label 14994: @1009579
     /* 1009579 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1009656), // Rule ID 12647 //
     /* 1009584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1009601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009623 */     // MIs[0] policy
     /* 1009623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009655 */     // GIR_Coverage, 12647,
     /* 1009655 */     GIR_EraseRootFromParent_Done,
     /* 1009656 */   // Label 14995: @1009656
     /* 1009656 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1009733), // Rule ID 12650 //
     /* 1009661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1009664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1009678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009700 */     // MIs[0] policy
     /* 1009700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009732 */     // GIR_Coverage, 12650,
     /* 1009732 */     GIR_EraseRootFromParent_Done,
     /* 1009733 */   // Label 14996: @1009733
     /* 1009733 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1009810), // Rule ID 12651 //
     /* 1009738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1009741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1009755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009777 */     // MIs[0] policy
     /* 1009777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009809 */     // GIR_Coverage, 12651,
     /* 1009809 */     GIR_EraseRootFromParent_Done,
     /* 1009810 */   // Label 14997: @1009810
     /* 1009810 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1009887), // Rule ID 12654 //
     /* 1009815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1009832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009854 */     // MIs[0] policy
     /* 1009854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1009867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009886 */     // GIR_Coverage, 12654,
     /* 1009886 */     GIR_EraseRootFromParent_Done,
     /* 1009887 */   // Label 14998: @1009887
     /* 1009887 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1009964), // Rule ID 12655 //
     /* 1009892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1009909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009931 */     // MIs[0] policy
     /* 1009931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009941 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1009944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009963 */     // GIR_Coverage, 12655,
     /* 1009963 */     GIR_EraseRootFromParent_Done,
     /* 1009964 */   // Label 14999: @1009964
     /* 1009964 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1010041), // Rule ID 12658 //
     /* 1009969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1009986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010008 */     // MIs[0] policy
     /* 1010008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010040 */     // GIR_Coverage, 12658,
     /* 1010040 */     GIR_EraseRootFromParent_Done,
     /* 1010041 */   // Label 15000: @1010041
     /* 1010041 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1010118), // Rule ID 12659 //
     /* 1010046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1010057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1010060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1010063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1010066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010085 */     // MIs[0] policy
     /* 1010085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010095 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010117 */     // GIR_Coverage, 12659,
     /* 1010117 */     GIR_EraseRootFromParent_Done,
     /* 1010118 */   // Label 15001: @1010118
     /* 1010118 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1010195), // Rule ID 12662 //
     /* 1010123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010162 */     // MIs[0] policy
     /* 1010162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010194 */     // GIR_Coverage, 12662,
     /* 1010194 */     GIR_EraseRootFromParent_Done,
     /* 1010195 */   // Label 15002: @1010195
     /* 1010195 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1010272), // Rule ID 12663 //
     /* 1010200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010239 */     // MIs[0] policy
     /* 1010239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010271 */     // GIR_Coverage, 12663,
     /* 1010271 */     GIR_EraseRootFromParent_Done,
     /* 1010272 */   // Label 15003: @1010272
     /* 1010272 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1010349), // Rule ID 12666 //
     /* 1010277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010316 */     // MIs[0] policy
     /* 1010316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010348 */     // GIR_Coverage, 12666,
     /* 1010348 */     GIR_EraseRootFromParent_Done,
     /* 1010349 */   // Label 15004: @1010349
     /* 1010349 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1010426), // Rule ID 12667 //
     /* 1010354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010393 */     // MIs[0] policy
     /* 1010393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010425 */     // GIR_Coverage, 12667,
     /* 1010425 */     GIR_EraseRootFromParent_Done,
     /* 1010426 */   // Label 15005: @1010426
     /* 1010426 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1010503), // Rule ID 12670 //
     /* 1010431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010470 */     // MIs[0] policy
     /* 1010470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010502 */     // GIR_Coverage, 12670,
     /* 1010502 */     GIR_EraseRootFromParent_Done,
     /* 1010503 */   // Label 15006: @1010503
     /* 1010503 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010580), // Rule ID 12671 //
     /* 1010508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010547 */     // MIs[0] policy
     /* 1010547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010557 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010579 */     // GIR_Coverage, 12671,
     /* 1010579 */     GIR_EraseRootFromParent_Done,
     /* 1010580 */   // Label 15007: @1010580
     /* 1010580 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1010657), // Rule ID 12674 //
     /* 1010585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010624 */     // MIs[0] policy
     /* 1010624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010634 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010656 */     // GIR_Coverage, 12674,
     /* 1010656 */     GIR_EraseRootFromParent_Done,
     /* 1010657 */   // Label 15008: @1010657
     /* 1010657 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1010734), // Rule ID 12675 //
     /* 1010662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010701 */     // MIs[0] policy
     /* 1010701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010733 */     // GIR_Coverage, 12675,
     /* 1010733 */     GIR_EraseRootFromParent_Done,
     /* 1010734 */   // Label 15009: @1010734
     /* 1010734 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1010811), // Rule ID 12678 //
     /* 1010739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1010756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010778 */     // MIs[0] policy
     /* 1010778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010810 */     // GIR_Coverage, 12678,
     /* 1010810 */     GIR_EraseRootFromParent_Done,
     /* 1010811 */   // Label 15010: @1010811
     /* 1010811 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1010888), // Rule ID 12679 //
     /* 1010816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1010833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010855 */     // MIs[0] policy
     /* 1010855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010865 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010887 */     // GIR_Coverage, 12679,
     /* 1010887 */     GIR_EraseRootFromParent_Done,
     /* 1010888 */   // Label 15011: @1010888
     /* 1010888 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1010965), // Rule ID 12682 //
     /* 1010893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1010910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010932 */     // MIs[0] policy
     /* 1010932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010964 */     // GIR_Coverage, 12682,
     /* 1010964 */     GIR_EraseRootFromParent_Done,
     /* 1010965 */   // Label 15012: @1010965
     /* 1010965 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1011042), // Rule ID 12683 //
     /* 1010970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1010987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011009 */     // MIs[0] policy
     /* 1011009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011041 */     // GIR_Coverage, 12683,
     /* 1011041 */     GIR_EraseRootFromParent_Done,
     /* 1011042 */   // Label 15013: @1011042
     /* 1011042 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1011119), // Rule ID 12686 //
     /* 1011047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1011067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011086 */     // MIs[0] policy
     /* 1011086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011118 */     // GIR_Coverage, 12686,
     /* 1011118 */     GIR_EraseRootFromParent_Done,
     /* 1011119 */   // Label 15014: @1011119
     /* 1011119 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1011196), // Rule ID 12687 //
     /* 1011124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1011144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011163 */     // MIs[0] policy
     /* 1011163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011195 */     // GIR_Coverage, 12687,
     /* 1011195 */     GIR_EraseRootFromParent_Done,
     /* 1011196 */   // Label 15015: @1011196
     /* 1011196 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1011273), // Rule ID 12690 //
     /* 1011201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011240 */     // MIs[0] policy
     /* 1011240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011272 */     // GIR_Coverage, 12690,
     /* 1011272 */     GIR_EraseRootFromParent_Done,
     /* 1011273 */   // Label 15016: @1011273
     /* 1011273 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1011350), // Rule ID 12691 //
     /* 1011278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011317 */     // MIs[0] policy
     /* 1011317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011349 */     // GIR_Coverage, 12691,
     /* 1011349 */     GIR_EraseRootFromParent_Done,
     /* 1011350 */   // Label 15017: @1011350
     /* 1011350 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1011427), // Rule ID 12694 //
     /* 1011355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011394 */     // MIs[0] policy
     /* 1011394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011426 */     // GIR_Coverage, 12694,
     /* 1011426 */     GIR_EraseRootFromParent_Done,
     /* 1011427 */   // Label 15018: @1011427
     /* 1011427 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1011504), // Rule ID 12695 //
     /* 1011432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011471 */     // MIs[0] policy
     /* 1011471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011481 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011503 */     // GIR_Coverage, 12695,
     /* 1011503 */     GIR_EraseRootFromParent_Done,
     /* 1011504 */   // Label 15019: @1011504
     /* 1011504 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011581), // Rule ID 12698 //
     /* 1011509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011548 */     // MIs[0] policy
     /* 1011548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011580 */     // GIR_Coverage, 12698,
     /* 1011580 */     GIR_EraseRootFromParent_Done,
     /* 1011581 */   // Label 15020: @1011581
     /* 1011581 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1011658), // Rule ID 12699 //
     /* 1011586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011625 */     // MIs[0] policy
     /* 1011625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011657 */     // GIR_Coverage, 12699,
     /* 1011657 */     GIR_EraseRootFromParent_Done,
     /* 1011658 */   // Label 15021: @1011658
     /* 1011658 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1011735), // Rule ID 12702 //
     /* 1011663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011702 */     // MIs[0] policy
     /* 1011702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011712 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1011715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011734 */     // GIR_Coverage, 12702,
     /* 1011734 */     GIR_EraseRootFromParent_Done,
     /* 1011735 */   // Label 15022: @1011735
     /* 1011735 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1011812), // Rule ID 12703 //
     /* 1011740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011779 */     // MIs[0] policy
     /* 1011779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011789 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1011792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011811 */     // GIR_Coverage, 12703,
     /* 1011811 */     GIR_EraseRootFromParent_Done,
     /* 1011812 */   // Label 15023: @1011812
     /* 1011812 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1011889), // Rule ID 12706 //
     /* 1011817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011856 */     // MIs[0] policy
     /* 1011856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011866 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1011869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011888 */     // GIR_Coverage, 12706,
     /* 1011888 */     GIR_EraseRootFromParent_Done,
     /* 1011889 */   // Label 15024: @1011889
     /* 1011889 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1011966), // Rule ID 12707 //
     /* 1011894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011933 */     // MIs[0] policy
     /* 1011933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011943 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1011946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011965 */     // GIR_Coverage, 12707,
     /* 1011965 */     GIR_EraseRootFromParent_Done,
     /* 1011966 */   // Label 15025: @1011966
     /* 1011966 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1012043), // Rule ID 12710 //
     /* 1011971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012010 */     // MIs[0] policy
     /* 1012010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012020 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012042 */     // GIR_Coverage, 12710,
     /* 1012042 */     GIR_EraseRootFromParent_Done,
     /* 1012043 */   // Label 15026: @1012043
     /* 1012043 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1012120), // Rule ID 12711 //
     /* 1012048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1012068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012087 */     // MIs[0] policy
     /* 1012087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012119 */     // GIR_Coverage, 12711,
     /* 1012119 */     GIR_EraseRootFromParent_Done,
     /* 1012120 */   // Label 15027: @1012120
     /* 1012120 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1012197), // Rule ID 12714 //
     /* 1012125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012164 */     // MIs[0] policy
     /* 1012164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012196 */     // GIR_Coverage, 12714,
     /* 1012196 */     GIR_EraseRootFromParent_Done,
     /* 1012197 */   // Label 15028: @1012197
     /* 1012197 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1012274), // Rule ID 12715 //
     /* 1012202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012241 */     // MIs[0] policy
     /* 1012241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012273 */     // GIR_Coverage, 12715,
     /* 1012273 */     GIR_EraseRootFromParent_Done,
     /* 1012274 */   // Label 15029: @1012274
     /* 1012274 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1012351), // Rule ID 12718 //
     /* 1012279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012318 */     // MIs[0] policy
     /* 1012318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012350 */     // GIR_Coverage, 12718,
     /* 1012350 */     GIR_EraseRootFromParent_Done,
     /* 1012351 */   // Label 15030: @1012351
     /* 1012351 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1012428), // Rule ID 12719 //
     /* 1012356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012395 */     // MIs[0] policy
     /* 1012395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012405 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012427 */     // GIR_Coverage, 12719,
     /* 1012427 */     GIR_EraseRootFromParent_Done,
     /* 1012428 */   // Label 15031: @1012428
     /* 1012428 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1012505), // Rule ID 12722 //
     /* 1012433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012472 */     // MIs[0] policy
     /* 1012472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012504 */     // GIR_Coverage, 12722,
     /* 1012504 */     GIR_EraseRootFromParent_Done,
     /* 1012505 */   // Label 15032: @1012505
     /* 1012505 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012582), // Rule ID 12723 //
     /* 1012510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012549 */     // MIs[0] policy
     /* 1012549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012559 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012581 */     // GIR_Coverage, 12723,
     /* 1012581 */     GIR_EraseRootFromParent_Done,
     /* 1012582 */   // Label 15033: @1012582
     /* 1012582 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1012659), // Rule ID 12726 //
     /* 1012587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012626 */     // MIs[0] policy
     /* 1012626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012658 */     // GIR_Coverage, 12726,
     /* 1012658 */     GIR_EraseRootFromParent_Done,
     /* 1012659 */   // Label 15034: @1012659
     /* 1012659 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1012736), // Rule ID 12727 //
     /* 1012664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012703 */     // MIs[0] policy
     /* 1012703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012713 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012735 */     // GIR_Coverage, 12727,
     /* 1012735 */     GIR_EraseRootFromParent_Done,
     /* 1012736 */   // Label 15035: @1012736
     /* 1012736 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1012813), // Rule ID 12730 //
     /* 1012741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012780 */     // MIs[0] policy
     /* 1012780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012812 */     // GIR_Coverage, 12730,
     /* 1012812 */     GIR_EraseRootFromParent_Done,
     /* 1012813 */   // Label 15036: @1012813
     /* 1012813 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1012890), // Rule ID 12731 //
     /* 1012818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012857 */     // MIs[0] policy
     /* 1012857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012889 */     // GIR_Coverage, 12731,
     /* 1012889 */     GIR_EraseRootFromParent_Done,
     /* 1012890 */   // Label 15037: @1012890
     /* 1012890 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1012967), // Rule ID 12734 //
     /* 1012895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012934 */     // MIs[0] policy
     /* 1012934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1012947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012966 */     // GIR_Coverage, 12734,
     /* 1012966 */     GIR_EraseRootFromParent_Done,
     /* 1012967 */   // Label 15038: @1012967
     /* 1012967 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1013044), // Rule ID 12735 //
     /* 1012972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013011 */     // MIs[0] policy
     /* 1013011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013043 */     // GIR_Coverage, 12735,
     /* 1013043 */     GIR_EraseRootFromParent_Done,
     /* 1013044 */   // Label 15039: @1013044
     /* 1013044 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1013121), // Rule ID 12738 //
     /* 1013049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1013069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013088 */     // MIs[0] policy
     /* 1013088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013120 */     // GIR_Coverage, 12738,
     /* 1013120 */     GIR_EraseRootFromParent_Done,
     /* 1013121 */   // Label 15040: @1013121
     /* 1013121 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1013198), // Rule ID 12739 //
     /* 1013126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1013146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013165 */     // MIs[0] policy
     /* 1013165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013175 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013197 */     // GIR_Coverage, 12739,
     /* 1013197 */     GIR_EraseRootFromParent_Done,
     /* 1013198 */   // Label 15041: @1013198
     /* 1013198 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1013275), // Rule ID 12742 //
     /* 1013203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013242 */     // MIs[0] policy
     /* 1013242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013274 */     // GIR_Coverage, 12742,
     /* 1013274 */     GIR_EraseRootFromParent_Done,
     /* 1013275 */   // Label 15042: @1013275
     /* 1013275 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1013352), // Rule ID 12743 //
     /* 1013280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013319 */     // MIs[0] policy
     /* 1013319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013329 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013351 */     // GIR_Coverage, 12743,
     /* 1013351 */     GIR_EraseRootFromParent_Done,
     /* 1013352 */   // Label 15043: @1013352
     /* 1013352 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1013429), // Rule ID 12746 //
     /* 1013357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013396 */     // MIs[0] policy
     /* 1013396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013406 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1013409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013428 */     // GIR_Coverage, 12746,
     /* 1013428 */     GIR_EraseRootFromParent_Done,
     /* 1013429 */   // Label 15044: @1013429
     /* 1013429 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1013506), // Rule ID 12747 //
     /* 1013434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013473 */     // MIs[0] policy
     /* 1013473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013483 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1013486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013505 */     // GIR_Coverage, 12747,
     /* 1013505 */     GIR_EraseRootFromParent_Done,
     /* 1013506 */   // Label 15045: @1013506
     /* 1013506 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013583), // Rule ID 12750 //
     /* 1013511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013550 */     // MIs[0] policy
     /* 1013550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013560 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1013563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013582 */     // GIR_Coverage, 12750,
     /* 1013582 */     GIR_EraseRootFromParent_Done,
     /* 1013583 */   // Label 15046: @1013583
     /* 1013583 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1013660), // Rule ID 12751 //
     /* 1013588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013627 */     // MIs[0] policy
     /* 1013627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013637 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1013640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013659 */     // GIR_Coverage, 12751,
     /* 1013659 */     GIR_EraseRootFromParent_Done,
     /* 1013660 */   // Label 15047: @1013660
     /* 1013660 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1013737), // Rule ID 12754 //
     /* 1013665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013704 */     // MIs[0] policy
     /* 1013704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013736 */     // GIR_Coverage, 12754,
     /* 1013736 */     GIR_EraseRootFromParent_Done,
     /* 1013737 */   // Label 15048: @1013737
     /* 1013737 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1013814), // Rule ID 12755 //
     /* 1013742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013781 */     // MIs[0] policy
     /* 1013781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013813 */     // GIR_Coverage, 12755,
     /* 1013813 */     GIR_EraseRootFromParent_Done,
     /* 1013814 */   // Label 15049: @1013814
     /* 1013814 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1013891), // Rule ID 12758 //
     /* 1013819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013858 */     // MIs[0] policy
     /* 1013858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1013871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013890 */     // GIR_Coverage, 12758,
     /* 1013890 */     GIR_EraseRootFromParent_Done,
     /* 1013891 */   // Label 15050: @1013891
     /* 1013891 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1013968), // Rule ID 12759 //
     /* 1013896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013935 */     // MIs[0] policy
     /* 1013935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013945 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1013948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013967 */     // GIR_Coverage, 12759,
     /* 1013967 */     GIR_EraseRootFromParent_Done,
     /* 1013968 */   // Label 15051: @1013968
     /* 1013968 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1014045), // Rule ID 12762 //
     /* 1013973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014012 */     // MIs[0] policy
     /* 1014012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014044 */     // GIR_Coverage, 12762,
     /* 1014044 */     GIR_EraseRootFromParent_Done,
     /* 1014045 */   // Label 15052: @1014045
     /* 1014045 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1014122), // Rule ID 12763 //
     /* 1014050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1014070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014089 */     // MIs[0] policy
     /* 1014089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014121 */     // GIR_Coverage, 12763,
     /* 1014121 */     GIR_EraseRootFromParent_Done,
     /* 1014122 */   // Label 15053: @1014122
     /* 1014122 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1014199), // Rule ID 12766 //
     /* 1014127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014166 */     // MIs[0] policy
     /* 1014166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014198 */     // GIR_Coverage, 12766,
     /* 1014198 */     GIR_EraseRootFromParent_Done,
     /* 1014199 */   // Label 15054: @1014199
     /* 1014199 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1014276), // Rule ID 12767 //
     /* 1014204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014243 */     // MIs[0] policy
     /* 1014243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014253 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014275 */     // GIR_Coverage, 12767,
     /* 1014275 */     GIR_EraseRootFromParent_Done,
     /* 1014276 */   // Label 15055: @1014276
     /* 1014276 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1014353), // Rule ID 12770 //
     /* 1014281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014320 */     // MIs[0] policy
     /* 1014320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014352 */     // GIR_Coverage, 12770,
     /* 1014352 */     GIR_EraseRootFromParent_Done,
     /* 1014353 */   // Label 15056: @1014353
     /* 1014353 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1014430), // Rule ID 12771 //
     /* 1014358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014397 */     // MIs[0] policy
     /* 1014397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014407 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014429 */     // GIR_Coverage, 12771,
     /* 1014429 */     GIR_EraseRootFromParent_Done,
     /* 1014430 */   // Label 15057: @1014430
     /* 1014430 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1014507), // Rule ID 12774 //
     /* 1014435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014474 */     // MIs[0] policy
     /* 1014474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014506 */     // GIR_Coverage, 12774,
     /* 1014506 */     GIR_EraseRootFromParent_Done,
     /* 1014507 */   // Label 15058: @1014507
     /* 1014507 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014584), // Rule ID 12775 //
     /* 1014512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014551 */     // MIs[0] policy
     /* 1014551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014561 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014583 */     // GIR_Coverage, 12775,
     /* 1014583 */     GIR_EraseRootFromParent_Done,
     /* 1014584 */   // Label 15059: @1014584
     /* 1014584 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1014661), // Rule ID 12778 //
     /* 1014589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014628 */     // MIs[0] policy
     /* 1014628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014660 */     // GIR_Coverage, 12778,
     /* 1014660 */     GIR_EraseRootFromParent_Done,
     /* 1014661 */   // Label 15060: @1014661
     /* 1014661 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1014738), // Rule ID 12779 //
     /* 1014666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014705 */     // MIs[0] policy
     /* 1014705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014715 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014737 */     // GIR_Coverage, 12779,
     /* 1014737 */     GIR_EraseRootFromParent_Done,
     /* 1014738 */   // Label 15061: @1014738
     /* 1014738 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1014815), // Rule ID 12782 //
     /* 1014743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014782 */     // MIs[0] policy
     /* 1014782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014814 */     // GIR_Coverage, 12782,
     /* 1014814 */     GIR_EraseRootFromParent_Done,
     /* 1014815 */   // Label 15062: @1014815
     /* 1014815 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1014892), // Rule ID 12783 //
     /* 1014820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014859 */     // MIs[0] policy
     /* 1014859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014891 */     // GIR_Coverage, 12783,
     /* 1014891 */     GIR_EraseRootFromParent_Done,
     /* 1014892 */   // Label 15063: @1014892
     /* 1014892 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1014969), // Rule ID 12786 //
     /* 1014897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014936 */     // MIs[0] policy
     /* 1014936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014968 */     // GIR_Coverage, 12786,
     /* 1014968 */     GIR_EraseRootFromParent_Done,
     /* 1014969 */   // Label 15064: @1014969
     /* 1014969 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1015046), // Rule ID 12787 //
     /* 1014974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015013 */     // MIs[0] policy
     /* 1015013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015023 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1015026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015045 */     // GIR_Coverage, 12787,
     /* 1015045 */     GIR_EraseRootFromParent_Done,
     /* 1015046 */   // Label 15065: @1015046
     /* 1015046 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1015123), // Rule ID 12790 //
     /* 1015051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1015062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1015065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1015068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1015071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015090 */     // MIs[0] policy
     /* 1015090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1015103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015122 */     // GIR_Coverage, 12790,
     /* 1015122 */     GIR_EraseRootFromParent_Done,
     /* 1015123 */   // Label 15066: @1015123
     /* 1015123 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1015200), // Rule ID 12791 //
     /* 1015128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1015139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1015142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1015145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1015148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015167 */     // MIs[0] policy
     /* 1015167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1015180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015199 */     // GIR_Coverage, 12791,
     /* 1015199 */     GIR_EraseRootFromParent_Done,
     /* 1015200 */   // Label 15067: @1015200
     /* 1015200 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1015277), // Rule ID 12794 //
     /* 1015205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1015222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015244 */     // MIs[0] policy
     /* 1015244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015276 */     // GIR_Coverage, 12794,
     /* 1015276 */     GIR_EraseRootFromParent_Done,
     /* 1015277 */   // Label 15068: @1015277
     /* 1015277 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1015354), // Rule ID 12795 //
     /* 1015282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1015299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015321 */     // MIs[0] policy
     /* 1015321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015331 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015353 */     // GIR_Coverage, 12795,
     /* 1015353 */     GIR_EraseRootFromParent_Done,
     /* 1015354 */   // Label 15069: @1015354
     /* 1015354 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1015431), // Rule ID 12798 //
     /* 1015359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1015376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015398 */     // MIs[0] policy
     /* 1015398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015430 */     // GIR_Coverage, 12798,
     /* 1015430 */     GIR_EraseRootFromParent_Done,
     /* 1015431 */   // Label 15070: @1015431
     /* 1015431 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1015508), // Rule ID 12799 //
     /* 1015436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1015453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015475 */     // MIs[0] policy
     /* 1015475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015485 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015507 */     // GIR_Coverage, 12799,
     /* 1015507 */     GIR_EraseRootFromParent_Done,
     /* 1015508 */   // Label 15071: @1015508
     /* 1015508 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015585), // Rule ID 12802 //
     /* 1015513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1015530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015552 */     // MIs[0] policy
     /* 1015552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015584 */     // GIR_Coverage, 12802,
     /* 1015584 */     GIR_EraseRootFromParent_Done,
     /* 1015585 */   // Label 15072: @1015585
     /* 1015585 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1015662), // Rule ID 12803 //
     /* 1015590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1015607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015629 */     // MIs[0] policy
     /* 1015629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015661 */     // GIR_Coverage, 12803,
     /* 1015661 */     GIR_EraseRootFromParent_Done,
     /* 1015662 */   // Label 15073: @1015662
     /* 1015662 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1015739), // Rule ID 12806 //
     /* 1015667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1015684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015706 */     // MIs[0] policy
     /* 1015706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015738 */     // GIR_Coverage, 12806,
     /* 1015738 */     GIR_EraseRootFromParent_Done,
     /* 1015739 */   // Label 15074: @1015739
     /* 1015739 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1015816), // Rule ID 12807 //
     /* 1015744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1015761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015783 */     // MIs[0] policy
     /* 1015783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015815 */     // GIR_Coverage, 12807,
     /* 1015815 */     GIR_EraseRootFromParent_Done,
     /* 1015816 */   // Label 15075: @1015816
     /* 1015816 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1015893), // Rule ID 12810 //
     /* 1015821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1015838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015860 */     // MIs[0] policy
     /* 1015860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015892 */     // GIR_Coverage, 12810,
     /* 1015892 */     GIR_EraseRootFromParent_Done,
     /* 1015893 */   // Label 15076: @1015893
     /* 1015893 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1015970), // Rule ID 12811 //
     /* 1015898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1015915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015937 */     // MIs[0] policy
     /* 1015937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1015950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015969 */     // GIR_Coverage, 12811,
     /* 1015969 */     GIR_EraseRootFromParent_Done,
     /* 1015970 */   // Label 15077: @1015970
     /* 1015970 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1016047), // Rule ID 12814 //
     /* 1015975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1015992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016014 */     // MIs[0] policy
     /* 1016014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016046 */     // GIR_Coverage, 12814,
     /* 1016046 */     GIR_EraseRootFromParent_Done,
     /* 1016047 */   // Label 15078: @1016047
     /* 1016047 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1016124), // Rule ID 12815 //
     /* 1016052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1016063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1016066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1016069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1016072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016091 */     // MIs[0] policy
     /* 1016091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016101 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016123 */     // GIR_Coverage, 12815,
     /* 1016123 */     GIR_EraseRootFromParent_Done,
     /* 1016124 */   // Label 15079: @1016124
     /* 1016124 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1016201), // Rule ID 12818 //
     /* 1016129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1016146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016168 */     // MIs[0] policy
     /* 1016168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016200 */     // GIR_Coverage, 12818,
     /* 1016200 */     GIR_EraseRootFromParent_Done,
     /* 1016201 */   // Label 15080: @1016201
     /* 1016201 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1016278), // Rule ID 12819 //
     /* 1016206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1016223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016245 */     // MIs[0] policy
     /* 1016245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016277 */     // GIR_Coverage, 12819,
     /* 1016277 */     GIR_EraseRootFromParent_Done,
     /* 1016278 */   // Label 15081: @1016278
     /* 1016278 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1016355), // Rule ID 12822 //
     /* 1016283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1016300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016322 */     // MIs[0] policy
     /* 1016322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016354 */     // GIR_Coverage, 12822,
     /* 1016354 */     GIR_EraseRootFromParent_Done,
     /* 1016355 */   // Label 15082: @1016355
     /* 1016355 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1016432), // Rule ID 12823 //
     /* 1016360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1016377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016399 */     // MIs[0] policy
     /* 1016399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016431 */     // GIR_Coverage, 12823,
     /* 1016431 */     GIR_EraseRootFromParent_Done,
     /* 1016432 */   // Label 15083: @1016432
     /* 1016432 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1016509), // Rule ID 12826 //
     /* 1016437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1016454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016476 */     // MIs[0] policy
     /* 1016476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016508 */     // GIR_Coverage, 12826,
     /* 1016508 */     GIR_EraseRootFromParent_Done,
     /* 1016509 */   // Label 15084: @1016509
     /* 1016509 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016586), // Rule ID 12827 //
     /* 1016514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1016517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1016531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016553 */     // MIs[0] policy
     /* 1016553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016563 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016585 */     // GIR_Coverage, 12827,
     /* 1016585 */     GIR_EraseRootFromParent_Done,
     /* 1016586 */   // Label 15085: @1016586
     /* 1016586 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1016663), // Rule ID 12830 //
     /* 1016591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1016608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016630 */     // MIs[0] policy
     /* 1016630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1016643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016662 */     // GIR_Coverage, 12830,
     /* 1016662 */     GIR_EraseRootFromParent_Done,
     /* 1016663 */   // Label 15086: @1016663
     /* 1016663 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1016740), // Rule ID 12831 //
     /* 1016668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1016685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016707 */     // MIs[0] policy
     /* 1016707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1016720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016739 */     // GIR_Coverage, 12831,
     /* 1016739 */     GIR_EraseRootFromParent_Done,
     /* 1016740 */   // Label 15087: @1016740
     /* 1016740 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1016817), // Rule ID 12834 //
     /* 1016745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1016762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016784 */     // MIs[0] policy
     /* 1016784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1016797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016816 */     // GIR_Coverage, 12834,
     /* 1016816 */     GIR_EraseRootFromParent_Done,
     /* 1016817 */   // Label 15088: @1016817
     /* 1016817 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1016894), // Rule ID 12835 //
     /* 1016822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1016839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016861 */     // MIs[0] policy
     /* 1016861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1016874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016893 */     // GIR_Coverage, 12835,
     /* 1016893 */     GIR_EraseRootFromParent_Done,
     /* 1016894 */   // Label 15089: @1016894
     /* 1016894 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1016971), // Rule ID 12838 //
     /* 1016899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1016916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016938 */     // MIs[0] policy
     /* 1016938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1016951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016970 */     // GIR_Coverage, 12838,
     /* 1016970 */     GIR_EraseRootFromParent_Done,
     /* 1016971 */   // Label 15090: @1016971
     /* 1016971 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1017048), // Rule ID 12839 //
     /* 1016976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1016993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017015 */     // MIs[0] policy
     /* 1017015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017025 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017047 */     // GIR_Coverage, 12839,
     /* 1017047 */     GIR_EraseRootFromParent_Done,
     /* 1017048 */   // Label 15091: @1017048
     /* 1017048 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1017125), // Rule ID 12842 //
     /* 1017053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1017064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1017067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1017070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1017073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017092 */     // MIs[0] policy
     /* 1017092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017124 */     // GIR_Coverage, 12842,
     /* 1017124 */     GIR_EraseRootFromParent_Done,
     /* 1017125 */   // Label 15092: @1017125
     /* 1017125 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1017202), // Rule ID 12843 //
     /* 1017130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1017141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1017144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1017147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1017150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017169 */     // MIs[0] policy
     /* 1017169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017201 */     // GIR_Coverage, 12843,
     /* 1017201 */     GIR_EraseRootFromParent_Done,
     /* 1017202 */   // Label 15093: @1017202
     /* 1017202 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1017279), // Rule ID 12846 //
     /* 1017207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1017224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017246 */     // MIs[0] policy
     /* 1017246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017278 */     // GIR_Coverage, 12846,
     /* 1017278 */     GIR_EraseRootFromParent_Done,
     /* 1017279 */   // Label 15094: @1017279
     /* 1017279 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1017356), // Rule ID 12847 //
     /* 1017284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1017301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017323 */     // MIs[0] policy
     /* 1017323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017355 */     // GIR_Coverage, 12847,
     /* 1017355 */     GIR_EraseRootFromParent_Done,
     /* 1017356 */   // Label 15095: @1017356
     /* 1017356 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1017433), // Rule ID 12850 //
     /* 1017361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1017378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017400 */     // MIs[0] policy
     /* 1017400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017432 */     // GIR_Coverage, 12850,
     /* 1017432 */     GIR_EraseRootFromParent_Done,
     /* 1017433 */   // Label 15096: @1017433
     /* 1017433 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1017510), // Rule ID 12851 //
     /* 1017438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1017455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017477 */     // MIs[0] policy
     /* 1017477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017487 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017509 */     // GIR_Coverage, 12851,
     /* 1017509 */     GIR_EraseRootFromParent_Done,
     /* 1017510 */   // Label 15097: @1017510
     /* 1017510 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017587), // Rule ID 12854 //
     /* 1017515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1017532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017554 */     // MIs[0] policy
     /* 1017554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017586 */     // GIR_Coverage, 12854,
     /* 1017586 */     GIR_EraseRootFromParent_Done,
     /* 1017587 */   // Label 15098: @1017587
     /* 1017587 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1017664), // Rule ID 12855 //
     /* 1017592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1017609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017631 */     // MIs[0] policy
     /* 1017631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017641 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017663 */     // GIR_Coverage, 12855,
     /* 1017663 */     GIR_EraseRootFromParent_Done,
     /* 1017664 */   // Label 15099: @1017664
     /* 1017664 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1017741), // Rule ID 12858 //
     /* 1017669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1017686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017708 */     // MIs[0] policy
     /* 1017708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017740 */     // GIR_Coverage, 12858,
     /* 1017740 */     GIR_EraseRootFromParent_Done,
     /* 1017741 */   // Label 15100: @1017741
     /* 1017741 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1017818), // Rule ID 12859 //
     /* 1017746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1017763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017785 */     // MIs[0] policy
     /* 1017785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017795 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017817 */     // GIR_Coverage, 12859,
     /* 1017817 */     GIR_EraseRootFromParent_Done,
     /* 1017818 */   // Label 15101: @1017818
     /* 1017818 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1017895), // Rule ID 12862 //
     /* 1017823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1017840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017862 */     // MIs[0] policy
     /* 1017862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017894 */     // GIR_Coverage, 12862,
     /* 1017894 */     GIR_EraseRootFromParent_Done,
     /* 1017895 */   // Label 15102: @1017895
     /* 1017895 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1017972), // Rule ID 12863 //
     /* 1017900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1017917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017939 */     // MIs[0] policy
     /* 1017939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017971 */     // GIR_Coverage, 12863,
     /* 1017971 */     GIR_EraseRootFromParent_Done,
     /* 1017972 */   // Label 15103: @1017972
     /* 1017972 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1018049), // Rule ID 12866 //
     /* 1017977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1017994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018016 */     // MIs[0] policy
     /* 1018016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018048 */     // GIR_Coverage, 12866,
     /* 1018048 */     GIR_EraseRootFromParent_Done,
     /* 1018049 */   // Label 15104: @1018049
     /* 1018049 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1018126), // Rule ID 12867 //
     /* 1018054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018093 */     // MIs[0] policy
     /* 1018093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018125 */     // GIR_Coverage, 12867,
     /* 1018125 */     GIR_EraseRootFromParent_Done,
     /* 1018126 */   // Label 15105: @1018126
     /* 1018126 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1018203), // Rule ID 12870 //
     /* 1018131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018170 */     // MIs[0] policy
     /* 1018170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018202 */     // GIR_Coverage, 12870,
     /* 1018202 */     GIR_EraseRootFromParent_Done,
     /* 1018203 */   // Label 15106: @1018203
     /* 1018203 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1018280), // Rule ID 12871 //
     /* 1018208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018247 */     // MIs[0] policy
     /* 1018247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018257 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018279 */     // GIR_Coverage, 12871,
     /* 1018279 */     GIR_EraseRootFromParent_Done,
     /* 1018280 */   // Label 15107: @1018280
     /* 1018280 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1018357), // Rule ID 12874 //
     /* 1018285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1018302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018324 */     // MIs[0] policy
     /* 1018324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018356 */     // GIR_Coverage, 12874,
     /* 1018356 */     GIR_EraseRootFromParent_Done,
     /* 1018357 */   // Label 15108: @1018357
     /* 1018357 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1018434), // Rule ID 12875 //
     /* 1018362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1018379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018401 */     // MIs[0] policy
     /* 1018401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018433 */     // GIR_Coverage, 12875,
     /* 1018433 */     GIR_EraseRootFromParent_Done,
     /* 1018434 */   // Label 15109: @1018434
     /* 1018434 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1018511), // Rule ID 12878 //
     /* 1018439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018478 */     // MIs[0] policy
     /* 1018478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018488 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1018491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018510 */     // GIR_Coverage, 12878,
     /* 1018510 */     GIR_EraseRootFromParent_Done,
     /* 1018511 */   // Label 15110: @1018511
     /* 1018511 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018588), // Rule ID 12879 //
     /* 1018516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018555 */     // MIs[0] policy
     /* 1018555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018565 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1018568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018587 */     // GIR_Coverage, 12879,
     /* 1018587 */     GIR_EraseRootFromParent_Done,
     /* 1018588 */   // Label 15111: @1018588
     /* 1018588 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1018665), // Rule ID 12882 //
     /* 1018593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018632 */     // MIs[0] policy
     /* 1018632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018642 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1018645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018664 */     // GIR_Coverage, 12882,
     /* 1018664 */     GIR_EraseRootFromParent_Done,
     /* 1018665 */   // Label 15112: @1018665
     /* 1018665 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1018742), // Rule ID 12883 //
     /* 1018670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018709 */     // MIs[0] policy
     /* 1018709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018719 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1018722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018741 */     // GIR_Coverage, 12883,
     /* 1018741 */     GIR_EraseRootFromParent_Done,
     /* 1018742 */   // Label 15113: @1018742
     /* 1018742 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1018819), // Rule ID 12886 //
     /* 1018747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018786 */     // MIs[0] policy
     /* 1018786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1018799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018818 */     // GIR_Coverage, 12886,
     /* 1018818 */     GIR_EraseRootFromParent_Done,
     /* 1018819 */   // Label 15114: @1018819
     /* 1018819 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1018896), // Rule ID 12887 //
     /* 1018824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018863 */     // MIs[0] policy
     /* 1018863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1018876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018895 */     // GIR_Coverage, 12887,
     /* 1018895 */     GIR_EraseRootFromParent_Done,
     /* 1018896 */   // Label 15115: @1018896
     /* 1018896 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1018973), // Rule ID 12890 //
     /* 1018901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1018918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018940 */     // MIs[0] policy
     /* 1018940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1018953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018972 */     // GIR_Coverage, 12890,
     /* 1018972 */     GIR_EraseRootFromParent_Done,
     /* 1018973 */   // Label 15116: @1018973
     /* 1018973 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1019050), // Rule ID 12891 //
     /* 1018978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019017 */     // MIs[0] policy
     /* 1019017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1019030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019049 */     // GIR_Coverage, 12891,
     /* 1019049 */     GIR_EraseRootFromParent_Done,
     /* 1019050 */   // Label 15117: @1019050
     /* 1019050 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1019127), // Rule ID 12894 //
     /* 1019055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1019066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1019069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1019075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019094 */     // MIs[0] policy
     /* 1019094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019104 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019126 */     // GIR_Coverage, 12894,
     /* 1019126 */     GIR_EraseRootFromParent_Done,
     /* 1019127 */   // Label 15118: @1019127
     /* 1019127 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1019204), // Rule ID 12895 //
     /* 1019132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1019143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1019146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1019152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019171 */     // MIs[0] policy
     /* 1019171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019203 */     // GIR_Coverage, 12895,
     /* 1019203 */     GIR_EraseRootFromParent_Done,
     /* 1019204 */   // Label 15119: @1019204
     /* 1019204 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1019281), // Rule ID 12898 //
     /* 1019209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019248 */     // MIs[0] policy
     /* 1019248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019280 */     // GIR_Coverage, 12898,
     /* 1019280 */     GIR_EraseRootFromParent_Done,
     /* 1019281 */   // Label 15120: @1019281
     /* 1019281 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1019358), // Rule ID 12899 //
     /* 1019286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019325 */     // MIs[0] policy
     /* 1019325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019357 */     // GIR_Coverage, 12899,
     /* 1019357 */     GIR_EraseRootFromParent_Done,
     /* 1019358 */   // Label 15121: @1019358
     /* 1019358 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1019435), // Rule ID 12902 //
     /* 1019363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019402 */     // MIs[0] policy
     /* 1019402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019434 */     // GIR_Coverage, 12902,
     /* 1019434 */     GIR_EraseRootFromParent_Done,
     /* 1019435 */   // Label 15122: @1019435
     /* 1019435 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1019512), // Rule ID 12903 //
     /* 1019440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019479 */     // MIs[0] policy
     /* 1019479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019511 */     // GIR_Coverage, 12903,
     /* 1019511 */     GIR_EraseRootFromParent_Done,
     /* 1019512 */   // Label 15123: @1019512
     /* 1019512 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019589), // Rule ID 12906 //
     /* 1019517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019556 */     // MIs[0] policy
     /* 1019556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019588 */     // GIR_Coverage, 12906,
     /* 1019588 */     GIR_EraseRootFromParent_Done,
     /* 1019589 */   // Label 15124: @1019589
     /* 1019589 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1019666), // Rule ID 12907 //
     /* 1019594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019633 */     // MIs[0] policy
     /* 1019633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019665 */     // GIR_Coverage, 12907,
     /* 1019665 */     GIR_EraseRootFromParent_Done,
     /* 1019666 */   // Label 15125: @1019666
     /* 1019666 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1019743), // Rule ID 12910 //
     /* 1019671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019710 */     // MIs[0] policy
     /* 1019710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019742 */     // GIR_Coverage, 12910,
     /* 1019742 */     GIR_EraseRootFromParent_Done,
     /* 1019743 */   // Label 15126: @1019743
     /* 1019743 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1019820), // Rule ID 12911 //
     /* 1019748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019787 */     // MIs[0] policy
     /* 1019787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019819 */     // GIR_Coverage, 12911,
     /* 1019819 */     GIR_EraseRootFromParent_Done,
     /* 1019820 */   // Label 15127: @1019820
     /* 1019820 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1019897), // Rule ID 12914 //
     /* 1019825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1019828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019864 */     // MIs[0] policy
     /* 1019864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019896 */     // GIR_Coverage, 12914,
     /* 1019896 */     GIR_EraseRootFromParent_Done,
     /* 1019897 */   // Label 15128: @1019897
     /* 1019897 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1019974), // Rule ID 12915 //
     /* 1019902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019941 */     // MIs[0] policy
     /* 1019941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1019954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019973 */     // GIR_Coverage, 12915,
     /* 1019973 */     GIR_EraseRootFromParent_Done,
     /* 1019974 */   // Label 15129: @1019974
     /* 1019974 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1020051), // Rule ID 12918 //
     /* 1019979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020018 */     // MIs[0] policy
     /* 1020018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020050 */     // GIR_Coverage, 12918,
     /* 1020050 */     GIR_EraseRootFromParent_Done,
     /* 1020051 */   // Label 15130: @1020051
     /* 1020051 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1020128), // Rule ID 12919 //
     /* 1020056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1020067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1020070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020095 */     // MIs[0] policy
     /* 1020095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020105 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020127 */     // GIR_Coverage, 12919,
     /* 1020127 */     GIR_EraseRootFromParent_Done,
     /* 1020128 */   // Label 15131: @1020128
     /* 1020128 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1020205), // Rule ID 12922 //
     /* 1020133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020172 */     // MIs[0] policy
     /* 1020172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020182 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020204 */     // GIR_Coverage, 12922,
     /* 1020204 */     GIR_EraseRootFromParent_Done,
     /* 1020205 */   // Label 15132: @1020205
     /* 1020205 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1020282), // Rule ID 12923 //
     /* 1020210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020249 */     // MIs[0] policy
     /* 1020249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020281 */     // GIR_Coverage, 12923,
     /* 1020281 */     GIR_EraseRootFromParent_Done,
     /* 1020282 */   // Label 15133: @1020282
     /* 1020282 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1020359), // Rule ID 12926 //
     /* 1020287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020326 */     // MIs[0] policy
     /* 1020326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1020339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020358 */     // GIR_Coverage, 12926,
     /* 1020358 */     GIR_EraseRootFromParent_Done,
     /* 1020359 */   // Label 15134: @1020359
     /* 1020359 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1020436), // Rule ID 12927 //
     /* 1020364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020403 */     // MIs[0] policy
     /* 1020403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020413 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1020416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020435 */     // GIR_Coverage, 12927,
     /* 1020435 */     GIR_EraseRootFromParent_Done,
     /* 1020436 */   // Label 15135: @1020436
     /* 1020436 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1020513), // Rule ID 12930 //
     /* 1020441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020480 */     // MIs[0] policy
     /* 1020480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020512 */     // GIR_Coverage, 12930,
     /* 1020512 */     GIR_EraseRootFromParent_Done,
     /* 1020513 */   // Label 15136: @1020513
     /* 1020513 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020590), // Rule ID 12931 //
     /* 1020518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020557 */     // MIs[0] policy
     /* 1020557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020589 */     // GIR_Coverage, 12931,
     /* 1020589 */     GIR_EraseRootFromParent_Done,
     /* 1020590 */   // Label 15137: @1020590
     /* 1020590 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1020667), // Rule ID 12934 //
     /* 1020595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020634 */     // MIs[0] policy
     /* 1020634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020666 */     // GIR_Coverage, 12934,
     /* 1020666 */     GIR_EraseRootFromParent_Done,
     /* 1020667 */   // Label 15138: @1020667
     /* 1020667 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1020744), // Rule ID 12935 //
     /* 1020672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020711 */     // MIs[0] policy
     /* 1020711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020721 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020743 */     // GIR_Coverage, 12935,
     /* 1020743 */     GIR_EraseRootFromParent_Done,
     /* 1020744 */   // Label 15139: @1020744
     /* 1020744 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1020821), // Rule ID 12938 //
     /* 1020749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020788 */     // MIs[0] policy
     /* 1020788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1020801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020820 */     // GIR_Coverage, 12938,
     /* 1020820 */     GIR_EraseRootFromParent_Done,
     /* 1020821 */   // Label 15140: @1020821
     /* 1020821 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1020898), // Rule ID 12939 //
     /* 1020826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020865 */     // MIs[0] policy
     /* 1020865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1020878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020897 */     // GIR_Coverage, 12939,
     /* 1020897 */     GIR_EraseRootFromParent_Done,
     /* 1020898 */   // Label 15141: @1020898
     /* 1020898 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1020975), // Rule ID 12942 //
     /* 1020903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020942 */     // MIs[0] policy
     /* 1020942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020974 */     // GIR_Coverage, 12942,
     /* 1020974 */     GIR_EraseRootFromParent_Done,
     /* 1020975 */   // Label 15142: @1020975
     /* 1020975 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1021052), // Rule ID 12943 //
     /* 1020980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1021000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021019 */     // MIs[0] policy
     /* 1021019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021051 */     // GIR_Coverage, 12943,
     /* 1021051 */     GIR_EraseRootFromParent_Done,
     /* 1021052 */   // Label 15143: @1021052
     /* 1021052 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1021129), // Rule ID 12946 //
     /* 1021057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1021077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021096 */     // MIs[0] policy
     /* 1021096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021128 */     // GIR_Coverage, 12946,
     /* 1021128 */     GIR_EraseRootFromParent_Done,
     /* 1021129 */   // Label 15144: @1021129
     /* 1021129 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1021206), // Rule ID 12947 //
     /* 1021134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1021154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021173 */     // MIs[0] policy
     /* 1021173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021205 */     // GIR_Coverage, 12947,
     /* 1021205 */     GIR_EraseRootFromParent_Done,
     /* 1021206 */   // Label 15145: @1021206
     /* 1021206 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1021283), // Rule ID 12950 //
     /* 1021211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021250 */     // MIs[0] policy
     /* 1021250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021282 */     // GIR_Coverage, 12950,
     /* 1021282 */     GIR_EraseRootFromParent_Done,
     /* 1021283 */   // Label 15146: @1021283
     /* 1021283 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1021360), // Rule ID 12951 //
     /* 1021288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021327 */     // MIs[0] policy
     /* 1021327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021337 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021359 */     // GIR_Coverage, 12951,
     /* 1021359 */     GIR_EraseRootFromParent_Done,
     /* 1021360 */   // Label 15147: @1021360
     /* 1021360 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1021437), // Rule ID 12954 //
     /* 1021365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021404 */     // MIs[0] policy
     /* 1021404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021436 */     // GIR_Coverage, 12954,
     /* 1021436 */     GIR_EraseRootFromParent_Done,
     /* 1021437 */   // Label 15148: @1021437
     /* 1021437 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1021514), // Rule ID 12955 //
     /* 1021442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021481 */     // MIs[0] policy
     /* 1021481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021513 */     // GIR_Coverage, 12955,
     /* 1021513 */     GIR_EraseRootFromParent_Done,
     /* 1021514 */   // Label 15149: @1021514
     /* 1021514 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021591), // Rule ID 12958 //
     /* 1021519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021558 */     // MIs[0] policy
     /* 1021558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021590 */     // GIR_Coverage, 12958,
     /* 1021590 */     GIR_EraseRootFromParent_Done,
     /* 1021591 */   // Label 15150: @1021591
     /* 1021591 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1021668), // Rule ID 12959 //
     /* 1021596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021635 */     // MIs[0] policy
     /* 1021635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021645 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021667 */     // GIR_Coverage, 12959,
     /* 1021667 */     GIR_EraseRootFromParent_Done,
     /* 1021668 */   // Label 15151: @1021668
     /* 1021668 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1021745), // Rule ID 12962 //
     /* 1021673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021712 */     // MIs[0] policy
     /* 1021712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021744 */     // GIR_Coverage, 12962,
     /* 1021744 */     GIR_EraseRootFromParent_Done,
     /* 1021745 */   // Label 15152: @1021745
     /* 1021745 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1021822), // Rule ID 12963 //
     /* 1021750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021789 */     // MIs[0] policy
     /* 1021789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021821 */     // GIR_Coverage, 12963,
     /* 1021821 */     GIR_EraseRootFromParent_Done,
     /* 1021822 */   // Label 15153: @1021822
     /* 1021822 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1021899), // Rule ID 12966 //
     /* 1021827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1021844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021866 */     // MIs[0] policy
     /* 1021866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1021879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021898 */     // GIR_Coverage, 12966,
     /* 1021898 */     GIR_EraseRootFromParent_Done,
     /* 1021899 */   // Label 15154: @1021899
     /* 1021899 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1021976), // Rule ID 12967 //
     /* 1021904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1021921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021943 */     // MIs[0] policy
     /* 1021943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1021956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021975 */     // GIR_Coverage, 12967,
     /* 1021975 */     GIR_EraseRootFromParent_Done,
     /* 1021976 */   // Label 15155: @1021976
     /* 1021976 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1022053), // Rule ID 12970 //
     /* 1021981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1021998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1022001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022020 */     // MIs[0] policy
     /* 1022020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022030 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022052 */     // GIR_Coverage, 12970,
     /* 1022052 */     GIR_EraseRootFromParent_Done,
     /* 1022053 */   // Label 15156: @1022053
     /* 1022053 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1022130), // Rule ID 12971 //
     /* 1022058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1022069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1022072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1022075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1022078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022097 */     // MIs[0] policy
     /* 1022097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022129 */     // GIR_Coverage, 12971,
     /* 1022129 */     GIR_EraseRootFromParent_Done,
     /* 1022130 */   // Label 15157: @1022130
     /* 1022130 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1022207), // Rule ID 12974 //
     /* 1022135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1022152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022174 */     // MIs[0] policy
     /* 1022174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022206 */     // GIR_Coverage, 12974,
     /* 1022206 */     GIR_EraseRootFromParent_Done,
     /* 1022207 */   // Label 15158: @1022207
     /* 1022207 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1022284), // Rule ID 12975 //
     /* 1022212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1022229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022251 */     // MIs[0] policy
     /* 1022251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022261 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022283 */     // GIR_Coverage, 12975,
     /* 1022283 */     GIR_EraseRootFromParent_Done,
     /* 1022284 */   // Label 15159: @1022284
     /* 1022284 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1022361), // Rule ID 12978 //
     /* 1022289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1022306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022328 */     // MIs[0] policy
     /* 1022328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022360 */     // GIR_Coverage, 12978,
     /* 1022360 */     GIR_EraseRootFromParent_Done,
     /* 1022361 */   // Label 15160: @1022361
     /* 1022361 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1022438), // Rule ID 12979 //
     /* 1022366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1022383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022405 */     // MIs[0] policy
     /* 1022405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022437 */     // GIR_Coverage, 12979,
     /* 1022437 */     GIR_EraseRootFromParent_Done,
     /* 1022438 */   // Label 15161: @1022438
     /* 1022438 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1022515), // Rule ID 12982 //
     /* 1022443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1022460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022482 */     // MIs[0] policy
     /* 1022482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022514 */     // GIR_Coverage, 12982,
     /* 1022514 */     GIR_EraseRootFromParent_Done,
     /* 1022515 */   // Label 15162: @1022515
     /* 1022515 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022592), // Rule ID 12983 //
     /* 1022520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1022537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022559 */     // MIs[0] policy
     /* 1022559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022591 */     // GIR_Coverage, 12983,
     /* 1022591 */     GIR_EraseRootFromParent_Done,
     /* 1022592 */   // Label 15163: @1022592
     /* 1022592 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1022669), // Rule ID 12986 //
     /* 1022597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1022614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022636 */     // MIs[0] policy
     /* 1022636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022668 */     // GIR_Coverage, 12986,
     /* 1022668 */     GIR_EraseRootFromParent_Done,
     /* 1022669 */   // Label 15164: @1022669
     /* 1022669 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1022746), // Rule ID 12987 //
     /* 1022674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1022691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022713 */     // MIs[0] policy
     /* 1022713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022745 */     // GIR_Coverage, 12987,
     /* 1022745 */     GIR_EraseRootFromParent_Done,
     /* 1022746 */   // Label 15165: @1022746
     /* 1022746 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1022823), // Rule ID 12990 //
     /* 1022751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1022768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022790 */     // MIs[0] policy
     /* 1022790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1022803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022822 */     // GIR_Coverage, 12990,
     /* 1022822 */     GIR_EraseRootFromParent_Done,
     /* 1022823 */   // Label 15166: @1022823
     /* 1022823 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1022900), // Rule ID 12991 //
     /* 1022828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1022845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022867 */     // MIs[0] policy
     /* 1022867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1022880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022899 */     // GIR_Coverage, 12991,
     /* 1022899 */     GIR_EraseRootFromParent_Done,
     /* 1022900 */   // Label 15167: @1022900
     /* 1022900 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1022977), // Rule ID 12994 //
     /* 1022905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1022922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022944 */     // MIs[0] policy
     /* 1022944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1022957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022976 */     // GIR_Coverage, 12994,
     /* 1022976 */     GIR_EraseRootFromParent_Done,
     /* 1022977 */   // Label 15168: @1022977
     /* 1022977 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1023054), // Rule ID 12995 //
     /* 1022982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1022999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1023002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023021 */     // MIs[0] policy
     /* 1023021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023053 */     // GIR_Coverage, 12995,
     /* 1023053 */     GIR_EraseRootFromParent_Done,
     /* 1023054 */   // Label 15169: @1023054
     /* 1023054 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1023131), // Rule ID 12998 //
     /* 1023059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1023076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1023079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023098 */     // MIs[0] policy
     /* 1023098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023130 */     // GIR_Coverage, 12998,
     /* 1023130 */     GIR_EraseRootFromParent_Done,
     /* 1023131 */   // Label 15170: @1023131
     /* 1023131 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1023208), // Rule ID 12999 //
     /* 1023136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1023153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1023156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023175 */     // MIs[0] policy
     /* 1023175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023207 */     // GIR_Coverage, 12999,
     /* 1023207 */     GIR_EraseRootFromParent_Done,
     /* 1023208 */   // Label 15171: @1023208
     /* 1023208 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1023285), // Rule ID 13002 //
     /* 1023213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1023230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023252 */     // MIs[0] policy
     /* 1023252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023284 */     // GIR_Coverage, 13002,
     /* 1023284 */     GIR_EraseRootFromParent_Done,
     /* 1023285 */   // Label 15172: @1023285
     /* 1023285 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1023362), // Rule ID 13003 //
     /* 1023290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1023307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023329 */     // MIs[0] policy
     /* 1023329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023361 */     // GIR_Coverage, 13003,
     /* 1023361 */     GIR_EraseRootFromParent_Done,
     /* 1023362 */   // Label 15173: @1023362
     /* 1023362 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1023439), // Rule ID 13006 //
     /* 1023367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1023384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023406 */     // MIs[0] policy
     /* 1023406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1023419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023438 */     // GIR_Coverage, 13006,
     /* 1023438 */     GIR_EraseRootFromParent_Done,
     /* 1023439 */   // Label 15174: @1023439
     /* 1023439 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1023516), // Rule ID 13007 //
     /* 1023444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1023461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023483 */     // MIs[0] policy
     /* 1023483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1023496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023515 */     // GIR_Coverage, 13007,
     /* 1023515 */     GIR_EraseRootFromParent_Done,
     /* 1023516 */   // Label 15175: @1023516
     /* 1023516 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023593), // Rule ID 13010 //
     /* 1023521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1023538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023560 */     // MIs[0] policy
     /* 1023560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023570 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1023573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023592 */     // GIR_Coverage, 13010,
     /* 1023592 */     GIR_EraseRootFromParent_Done,
     /* 1023593 */   // Label 15176: @1023593
     /* 1023593 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1023670), // Rule ID 13011 //
     /* 1023598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1023615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023637 */     // MIs[0] policy
     /* 1023637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1023650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023669 */     // GIR_Coverage, 13011,
     /* 1023669 */     GIR_EraseRootFromParent_Done,
     /* 1023670 */   // Label 15177: @1023670
     /* 1023670 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1023747), // Rule ID 13014 //
     /* 1023675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1023692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023714 */     // MIs[0] policy
     /* 1023714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1023727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023746 */     // GIR_Coverage, 13014,
     /* 1023746 */     GIR_EraseRootFromParent_Done,
     /* 1023747 */   // Label 15178: @1023747
     /* 1023747 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1023824), // Rule ID 13015 //
     /* 1023752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1023769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023791 */     // MIs[0] policy
     /* 1023791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023801 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1023804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023823 */     // GIR_Coverage, 13015,
     /* 1023823 */     GIR_EraseRootFromParent_Done,
     /* 1023824 */   // Label 15179: @1023824
     /* 1023824 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1023901), // Rule ID 13018 //
     /* 1023829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1023846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023868 */     // MIs[0] policy
     /* 1023868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1023881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023900 */     // GIR_Coverage, 13018,
     /* 1023900 */     GIR_EraseRootFromParent_Done,
     /* 1023901 */   // Label 15180: @1023901
     /* 1023901 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1023978), // Rule ID 13019 //
     /* 1023906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1023923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023945 */     // MIs[0] policy
     /* 1023945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1023958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023977 */     // GIR_Coverage, 13019,
     /* 1023977 */     GIR_EraseRootFromParent_Done,
     /* 1023978 */   // Label 15181: @1023978
     /* 1023978 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1024055), // Rule ID 13022 //
     /* 1023983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1024000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1024003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024022 */     // MIs[0] policy
     /* 1024022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024054 */     // GIR_Coverage, 13022,
     /* 1024054 */     GIR_EraseRootFromParent_Done,
     /* 1024055 */   // Label 15182: @1024055
     /* 1024055 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1024132), // Rule ID 13023 //
     /* 1024060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1024071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1024074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1024077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1024080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024099 */     // MIs[0] policy
     /* 1024099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024131 */     // GIR_Coverage, 13023,
     /* 1024131 */     GIR_EraseRootFromParent_Done,
     /* 1024132 */   // Label 15183: @1024132
     /* 1024132 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1024209), // Rule ID 13026 //
     /* 1024137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1024154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024176 */     // MIs[0] policy
     /* 1024176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024208 */     // GIR_Coverage, 13026,
     /* 1024208 */     GIR_EraseRootFromParent_Done,
     /* 1024209 */   // Label 15184: @1024209
     /* 1024209 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1024286), // Rule ID 13027 //
     /* 1024214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1024231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024253 */     // MIs[0] policy
     /* 1024253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024285 */     // GIR_Coverage, 13027,
     /* 1024285 */     GIR_EraseRootFromParent_Done,
     /* 1024286 */   // Label 15185: @1024286
     /* 1024286 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1024363), // Rule ID 13030 //
     /* 1024291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1024308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024330 */     // MIs[0] policy
     /* 1024330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024362 */     // GIR_Coverage, 13030,
     /* 1024362 */     GIR_EraseRootFromParent_Done,
     /* 1024363 */   // Label 15186: @1024363
     /* 1024363 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1024440), // Rule ID 13031 //
     /* 1024368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1024385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024407 */     // MIs[0] policy
     /* 1024407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024439 */     // GIR_Coverage, 13031,
     /* 1024439 */     GIR_EraseRootFromParent_Done,
     /* 1024440 */   // Label 15187: @1024440
     /* 1024440 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1024517), // Rule ID 13034 //
     /* 1024445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1024462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024484 */     // MIs[0] policy
     /* 1024484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024516 */     // GIR_Coverage, 13034,
     /* 1024516 */     GIR_EraseRootFromParent_Done,
     /* 1024517 */   // Label 15188: @1024517
     /* 1024517 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024594), // Rule ID 13035 //
     /* 1024522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1024539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024561 */     // MIs[0] policy
     /* 1024561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024593 */     // GIR_Coverage, 13035,
     /* 1024593 */     GIR_EraseRootFromParent_Done,
     /* 1024594 */   // Label 15189: @1024594
     /* 1024594 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1024671), // Rule ID 13038 //
     /* 1024599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1024616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024638 */     // MIs[0] policy
     /* 1024638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024670 */     // GIR_Coverage, 13038,
     /* 1024670 */     GIR_EraseRootFromParent_Done,
     /* 1024671 */   // Label 15190: @1024671
     /* 1024671 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1024748), // Rule ID 13039 //
     /* 1024676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1024693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024715 */     // MIs[0] policy
     /* 1024715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024747 */     // GIR_Coverage, 13039,
     /* 1024747 */     GIR_EraseRootFromParent_Done,
     /* 1024748 */   // Label 15191: @1024748
     /* 1024748 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1024825), // Rule ID 13042 //
     /* 1024753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1024770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024792 */     // MIs[0] policy
     /* 1024792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024824 */     // GIR_Coverage, 13042,
     /* 1024824 */     GIR_EraseRootFromParent_Done,
     /* 1024825 */   // Label 15192: @1024825
     /* 1024825 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1024902), // Rule ID 13043 //
     /* 1024830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1024847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024869 */     // MIs[0] policy
     /* 1024869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024901 */     // GIR_Coverage, 13043,
     /* 1024901 */     GIR_EraseRootFromParent_Done,
     /* 1024902 */   // Label 15193: @1024902
     /* 1024902 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1024979), // Rule ID 13046 //
     /* 1024907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1024924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024946 */     // MIs[0] policy
     /* 1024946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024978 */     // GIR_Coverage, 13046,
     /* 1024978 */     GIR_EraseRootFromParent_Done,
     /* 1024979 */   // Label 15194: @1024979
     /* 1024979 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1025056), // Rule ID 13047 //
     /* 1024984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1025001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1025004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025023 */     // MIs[0] policy
     /* 1025023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1025036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025055 */     // GIR_Coverage, 13047,
     /* 1025055 */     GIR_EraseRootFromParent_Done,
     /* 1025056 */   // Label 15195: @1025056
     /* 1025056 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1025133), // Rule ID 13050 //
     /* 1025061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1025072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1025075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1025078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1025081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025100 */     // MIs[0] policy
     /* 1025100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025132 */     // GIR_Coverage, 13050,
     /* 1025132 */     GIR_EraseRootFromParent_Done,
     /* 1025133 */   // Label 15196: @1025133
     /* 1025133 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1025210), // Rule ID 13051 //
     /* 1025138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1025149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1025152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1025155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1025158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025177 */     // MIs[0] policy
     /* 1025177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025209 */     // GIR_Coverage, 13051,
     /* 1025209 */     GIR_EraseRootFromParent_Done,
     /* 1025210 */   // Label 15197: @1025210
     /* 1025210 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1025287), // Rule ID 13054 //
     /* 1025215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025254 */     // MIs[0] policy
     /* 1025254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1025267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025286 */     // GIR_Coverage, 13054,
     /* 1025286 */     GIR_EraseRootFromParent_Done,
     /* 1025287 */   // Label 15198: @1025287
     /* 1025287 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1025364), // Rule ID 13055 //
     /* 1025292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025331 */     // MIs[0] policy
     /* 1025331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025341 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1025344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025363 */     // GIR_Coverage, 13055,
     /* 1025363 */     GIR_EraseRootFromParent_Done,
     /* 1025364 */   // Label 15199: @1025364
     /* 1025364 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1025441), // Rule ID 13058 //
     /* 1025369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1025380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1025383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025408 */     // MIs[0] policy
     /* 1025408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025418 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1025421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025440 */     // GIR_Coverage, 13058,
     /* 1025440 */     GIR_EraseRootFromParent_Done,
     /* 1025441 */   // Label 15200: @1025441
     /* 1025441 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1025518), // Rule ID 13059 //
     /* 1025446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1025457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1025460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025485 */     // MIs[0] policy
     /* 1025485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025495 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1025498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025517 */     // GIR_Coverage, 13059,
     /* 1025517 */     GIR_EraseRootFromParent_Done,
     /* 1025518 */   // Label 15201: @1025518
     /* 1025518 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025595), // Rule ID 13062 //
     /* 1025523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1025534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1025537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025562 */     // MIs[0] policy
     /* 1025562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1025575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025594 */     // GIR_Coverage, 13062,
     /* 1025594 */     GIR_EraseRootFromParent_Done,
     /* 1025595 */   // Label 15202: @1025595
     /* 1025595 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1025672), // Rule ID 13063 //
     /* 1025600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1025611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1025614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025639 */     // MIs[0] policy
     /* 1025639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1025652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025671 */     // GIR_Coverage, 13063,
     /* 1025671 */     GIR_EraseRootFromParent_Done,
     /* 1025672 */   // Label 15203: @1025672
     /* 1025672 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1025749), // Rule ID 13066 //
     /* 1025677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025716 */     // MIs[0] policy
     /* 1025716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025726 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1025729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025748 */     // GIR_Coverage, 13066,
     /* 1025748 */     GIR_EraseRootFromParent_Done,
     /* 1025749 */   // Label 15204: @1025749
     /* 1025749 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1025826), // Rule ID 13067 //
     /* 1025754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025793 */     // MIs[0] policy
     /* 1025793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1025806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025825 */     // GIR_Coverage, 13067,
     /* 1025825 */     GIR_EraseRootFromParent_Done,
     /* 1025826 */   // Label 15205: @1025826
     /* 1025826 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1025903), // Rule ID 13070 //
     /* 1025831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025870 */     // MIs[0] policy
     /* 1025870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1025883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025902 */     // GIR_Coverage, 13070,
     /* 1025902 */     GIR_EraseRootFromParent_Done,
     /* 1025903 */   // Label 15206: @1025903
     /* 1025903 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1025980), // Rule ID 13071 //
     /* 1025908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025947 */     // MIs[0] policy
     /* 1025947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025957 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1025960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025979 */     // GIR_Coverage, 13071,
     /* 1025979 */     GIR_EraseRootFromParent_Done,
     /* 1025980 */   // Label 15207: @1025980
     /* 1025980 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1026057), // Rule ID 13074 //
     /* 1025985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026024 */     // MIs[0] policy
     /* 1026024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026056 */     // GIR_Coverage, 13074,
     /* 1026056 */     GIR_EraseRootFromParent_Done,
     /* 1026057 */   // Label 15208: @1026057
     /* 1026057 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1026134), // Rule ID 13075 //
     /* 1026062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1026073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1026076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026101 */     // MIs[0] policy
     /* 1026101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026133 */     // GIR_Coverage, 13075,
     /* 1026133 */     GIR_EraseRootFromParent_Done,
     /* 1026134 */   // Label 15209: @1026134
     /* 1026134 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1026211), // Rule ID 13078 //
     /* 1026139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026178 */     // MIs[0] policy
     /* 1026178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026210 */     // GIR_Coverage, 13078,
     /* 1026210 */     GIR_EraseRootFromParent_Done,
     /* 1026211 */   // Label 15210: @1026211
     /* 1026211 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1026288), // Rule ID 13079 //
     /* 1026216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026255 */     // MIs[0] policy
     /* 1026255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026287 */     // GIR_Coverage, 13079,
     /* 1026287 */     GIR_EraseRootFromParent_Done,
     /* 1026288 */   // Label 15211: @1026288
     /* 1026288 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1026365), // Rule ID 13082 //
     /* 1026293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1026304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1026307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026332 */     // MIs[0] policy
     /* 1026332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026364 */     // GIR_Coverage, 13082,
     /* 1026364 */     GIR_EraseRootFromParent_Done,
     /* 1026365 */   // Label 15212: @1026365
     /* 1026365 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1026442), // Rule ID 13083 //
     /* 1026370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1026381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1026384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026409 */     // MIs[0] policy
     /* 1026409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026441 */     // GIR_Coverage, 13083,
     /* 1026441 */     GIR_EraseRootFromParent_Done,
     /* 1026442 */   // Label 15213: @1026442
     /* 1026442 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1026519), // Rule ID 13086 //
     /* 1026447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026486 */     // MIs[0] policy
     /* 1026486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026518 */     // GIR_Coverage, 13086,
     /* 1026518 */     GIR_EraseRootFromParent_Done,
     /* 1026519 */   // Label 15214: @1026519
     /* 1026519 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026596), // Rule ID 13087 //
     /* 1026524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026563 */     // MIs[0] policy
     /* 1026563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026595 */     // GIR_Coverage, 13087,
     /* 1026595 */     GIR_EraseRootFromParent_Done,
     /* 1026596 */   // Label 15215: @1026596
     /* 1026596 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1026673), // Rule ID 13090 //
     /* 1026601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1026604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1026621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026640 */     // MIs[0] policy
     /* 1026640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026650 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026672 */     // GIR_Coverage, 13090,
     /* 1026672 */     GIR_EraseRootFromParent_Done,
     /* 1026673 */   // Label 15216: @1026673
     /* 1026673 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1026750), // Rule ID 13091 //
     /* 1026678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1026681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1026698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026717 */     // MIs[0] policy
     /* 1026717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026749 */     // GIR_Coverage, 13091,
     /* 1026749 */     GIR_EraseRootFromParent_Done,
     /* 1026750 */   // Label 15217: @1026750
     /* 1026750 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1026827), // Rule ID 13094 //
     /* 1026755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026794 */     // MIs[0] policy
     /* 1026794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1026807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026826 */     // GIR_Coverage, 13094,
     /* 1026826 */     GIR_EraseRootFromParent_Done,
     /* 1026827 */   // Label 15218: @1026827
     /* 1026827 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1026904), // Rule ID 13095 //
     /* 1026832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026871 */     // MIs[0] policy
     /* 1026871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026881 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1026884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026903 */     // GIR_Coverage, 13095,
     /* 1026903 */     GIR_EraseRootFromParent_Done,
     /* 1026904 */   // Label 15219: @1026904
     /* 1026904 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1026981), // Rule ID 13098 //
     /* 1026909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026948 */     // MIs[0] policy
     /* 1026948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1026961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026980 */     // GIR_Coverage, 13098,
     /* 1026980 */     GIR_EraseRootFromParent_Done,
     /* 1026981 */   // Label 15220: @1026981
     /* 1026981 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1027058), // Rule ID 13099 //
     /* 1026986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1027000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027025 */     // MIs[0] policy
     /* 1027025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027057 */     // GIR_Coverage, 13099,
     /* 1027057 */     GIR_EraseRootFromParent_Done,
     /* 1027058 */   // Label 15221: @1027058
     /* 1027058 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1027135), // Rule ID 13102 //
     /* 1027063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1027074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1027077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1027083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027102 */     // MIs[0] policy
     /* 1027102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027112 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027134 */     // GIR_Coverage, 13102,
     /* 1027134 */     GIR_EraseRootFromParent_Done,
     /* 1027135 */   // Label 15222: @1027135
     /* 1027135 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1027212), // Rule ID 13103 //
     /* 1027140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1027151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1027154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1027160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027179 */     // MIs[0] policy
     /* 1027179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027189 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027211 */     // GIR_Coverage, 13103,
     /* 1027211 */     GIR_EraseRootFromParent_Done,
     /* 1027212 */   // Label 15223: @1027212
     /* 1027212 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1027289), // Rule ID 13106 //
     /* 1027217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027256 */     // MIs[0] policy
     /* 1027256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027288 */     // GIR_Coverage, 13106,
     /* 1027288 */     GIR_EraseRootFromParent_Done,
     /* 1027289 */   // Label 15224: @1027289
     /* 1027289 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1027366), // Rule ID 13107 //
     /* 1027294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027333 */     // MIs[0] policy
     /* 1027333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027365 */     // GIR_Coverage, 13107,
     /* 1027365 */     GIR_EraseRootFromParent_Done,
     /* 1027366 */   // Label 15225: @1027366
     /* 1027366 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1027443), // Rule ID 13110 //
     /* 1027371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1027391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027410 */     // MIs[0] policy
     /* 1027410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027442 */     // GIR_Coverage, 13110,
     /* 1027442 */     GIR_EraseRootFromParent_Done,
     /* 1027443 */   // Label 15226: @1027443
     /* 1027443 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1027520), // Rule ID 13111 //
     /* 1027448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1027468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027487 */     // MIs[0] policy
     /* 1027487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027519 */     // GIR_Coverage, 13111,
     /* 1027519 */     GIR_EraseRootFromParent_Done,
     /* 1027520 */   // Label 15227: @1027520
     /* 1027520 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027597), // Rule ID 13114 //
     /* 1027525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1027545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027564 */     // MIs[0] policy
     /* 1027564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027596 */     // GIR_Coverage, 13114,
     /* 1027596 */     GIR_EraseRootFromParent_Done,
     /* 1027597 */   // Label 15228: @1027597
     /* 1027597 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1027674), // Rule ID 13115 //
     /* 1027602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1027622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027641 */     // MIs[0] policy
     /* 1027641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027673 */     // GIR_Coverage, 13115,
     /* 1027673 */     GIR_EraseRootFromParent_Done,
     /* 1027674 */   // Label 15229: @1027674
     /* 1027674 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1027751), // Rule ID 13118 //
     /* 1027679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027718 */     // MIs[0] policy
     /* 1027718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027750 */     // GIR_Coverage, 13118,
     /* 1027750 */     GIR_EraseRootFromParent_Done,
     /* 1027751 */   // Label 15230: @1027751
     /* 1027751 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1027828), // Rule ID 13119 //
     /* 1027756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1027776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027795 */     // MIs[0] policy
     /* 1027795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027827 */     // GIR_Coverage, 13119,
     /* 1027827 */     GIR_EraseRootFromParent_Done,
     /* 1027828 */   // Label 15231: @1027828
     /* 1027828 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1027905), // Rule ID 13122 //
     /* 1027833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027872 */     // MIs[0] policy
     /* 1027872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027904 */     // GIR_Coverage, 13122,
     /* 1027904 */     GIR_EraseRootFromParent_Done,
     /* 1027905 */   // Label 15232: @1027905
     /* 1027905 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1027982), // Rule ID 13123 //
     /* 1027910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027949 */     // MIs[0] policy
     /* 1027949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027981 */     // GIR_Coverage, 13123,
     /* 1027981 */     GIR_EraseRootFromParent_Done,
     /* 1027982 */   // Label 15233: @1027982
     /* 1027982 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1028059), // Rule ID 13126 //
     /* 1027987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1028007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028026 */     // MIs[0] policy
     /* 1028026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028058 */     // GIR_Coverage, 13126,
     /* 1028058 */     GIR_EraseRootFromParent_Done,
     /* 1028059 */   // Label 15234: @1028059
     /* 1028059 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1028136), // Rule ID 13127 //
     /* 1028064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1028084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028103 */     // MIs[0] policy
     /* 1028103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028113 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028135 */     // GIR_Coverage, 13127,
     /* 1028135 */     GIR_EraseRootFromParent_Done,
     /* 1028136 */   // Label 15235: @1028136
     /* 1028136 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1028213), // Rule ID 13130 //
     /* 1028141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028180 */     // MIs[0] policy
     /* 1028180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028190 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028212 */     // GIR_Coverage, 13130,
     /* 1028212 */     GIR_EraseRootFromParent_Done,
     /* 1028213 */   // Label 15236: @1028213
     /* 1028213 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1028290), // Rule ID 13131 //
     /* 1028218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028257 */     // MIs[0] policy
     /* 1028257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028289 */     // GIR_Coverage, 13131,
     /* 1028289 */     GIR_EraseRootFromParent_Done,
     /* 1028290 */   // Label 15237: @1028290
     /* 1028290 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1028367), // Rule ID 13134 //
     /* 1028295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1028315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028334 */     // MIs[0] policy
     /* 1028334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028366 */     // GIR_Coverage, 13134,
     /* 1028366 */     GIR_EraseRootFromParent_Done,
     /* 1028367 */   // Label 15238: @1028367
     /* 1028367 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1028444), // Rule ID 13135 //
     /* 1028372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1028392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028411 */     // MIs[0] policy
     /* 1028411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028443 */     // GIR_Coverage, 13135,
     /* 1028443 */     GIR_EraseRootFromParent_Done,
     /* 1028444 */   // Label 15239: @1028444
     /* 1028444 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1028521), // Rule ID 13138 //
     /* 1028449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1028469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028488 */     // MIs[0] policy
     /* 1028488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028520 */     // GIR_Coverage, 13138,
     /* 1028520 */     GIR_EraseRootFromParent_Done,
     /* 1028521 */   // Label 15240: @1028521
     /* 1028521 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028598), // Rule ID 13139 //
     /* 1028526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1028546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028565 */     // MIs[0] policy
     /* 1028565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028597 */     // GIR_Coverage, 13139,
     /* 1028597 */     GIR_EraseRootFromParent_Done,
     /* 1028598 */   // Label 15241: @1028598
     /* 1028598 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1028675), // Rule ID 13142 //
     /* 1028603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1028620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1028623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028642 */     // MIs[0] policy
     /* 1028642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1028655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028674 */     // GIR_Coverage, 13142,
     /* 1028674 */     GIR_EraseRootFromParent_Done,
     /* 1028675 */   // Label 15242: @1028675
     /* 1028675 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1028752), // Rule ID 13143 //
     /* 1028680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1028697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1028700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028719 */     // MIs[0] policy
     /* 1028719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028729 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1028732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028751 */     // GIR_Coverage, 13143,
     /* 1028751 */     GIR_EraseRootFromParent_Done,
     /* 1028752 */   // Label 15243: @1028752
     /* 1028752 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1028829), // Rule ID 13146 //
     /* 1028757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1028774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028796 */     // MIs[0] policy
     /* 1028796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028806 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1028809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028828 */     // GIR_Coverage, 13146,
     /* 1028828 */     GIR_EraseRootFromParent_Done,
     /* 1028829 */   // Label 15244: @1028829
     /* 1028829 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1028906), // Rule ID 13147 //
     /* 1028834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1028851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1028854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028873 */     // MIs[0] policy
     /* 1028873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1028886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028905 */     // GIR_Coverage, 13147,
     /* 1028905 */     GIR_EraseRootFromParent_Done,
     /* 1028906 */   // Label 15245: @1028906
     /* 1028906 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1028983), // Rule ID 13150 //
     /* 1028911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1028925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1028928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028950 */     // MIs[0] policy
     /* 1028950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028960 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1028963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028982 */     // GIR_Coverage, 13150,
     /* 1028982 */     GIR_EraseRootFromParent_Done,
     /* 1028983 */   // Label 15246: @1028983
     /* 1028983 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1029060), // Rule ID 13151 //
     /* 1028988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1028999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029027 */     // MIs[0] policy
     /* 1029027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029037 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029059 */     // GIR_Coverage, 13151,
     /* 1029059 */     GIR_EraseRootFromParent_Done,
     /* 1029060 */   // Label 15247: @1029060
     /* 1029060 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1029137), // Rule ID 13154 //
     /* 1029065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029104 */     // MIs[0] policy
     /* 1029104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029136 */     // GIR_Coverage, 13154,
     /* 1029136 */     GIR_EraseRootFromParent_Done,
     /* 1029137 */   // Label 15248: @1029137
     /* 1029137 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1029214), // Rule ID 13155 //
     /* 1029142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029181 */     // MIs[0] policy
     /* 1029181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029213 */     // GIR_Coverage, 13155,
     /* 1029213 */     GIR_EraseRootFromParent_Done,
     /* 1029214 */   // Label 15249: @1029214
     /* 1029214 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1029291), // Rule ID 13158 //
     /* 1029219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029258 */     // MIs[0] policy
     /* 1029258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029290 */     // GIR_Coverage, 13158,
     /* 1029290 */     GIR_EraseRootFromParent_Done,
     /* 1029291 */   // Label 15250: @1029291
     /* 1029291 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1029368), // Rule ID 13159 //
     /* 1029296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029335 */     // MIs[0] policy
     /* 1029335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029367 */     // GIR_Coverage, 13159,
     /* 1029367 */     GIR_EraseRootFromParent_Done,
     /* 1029368 */   // Label 15251: @1029368
     /* 1029368 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1029445), // Rule ID 13162 //
     /* 1029373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1029393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029412 */     // MIs[0] policy
     /* 1029412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029444 */     // GIR_Coverage, 13162,
     /* 1029444 */     GIR_EraseRootFromParent_Done,
     /* 1029445 */   // Label 15252: @1029445
     /* 1029445 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1029522), // Rule ID 13163 //
     /* 1029450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1029470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029489 */     // MIs[0] policy
     /* 1029489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029521 */     // GIR_Coverage, 13163,
     /* 1029521 */     GIR_EraseRootFromParent_Done,
     /* 1029522 */   // Label 15253: @1029522
     /* 1029522 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029599), // Rule ID 13166 //
     /* 1029527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1029544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1029547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029566 */     // MIs[0] policy
     /* 1029566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029598 */     // GIR_Coverage, 13166,
     /* 1029598 */     GIR_EraseRootFromParent_Done,
     /* 1029599 */   // Label 15254: @1029599
     /* 1029599 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1029676), // Rule ID 13167 //
     /* 1029604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1029621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1029624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029643 */     // MIs[0] policy
     /* 1029643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029675 */     // GIR_Coverage, 13167,
     /* 1029675 */     GIR_EraseRootFromParent_Done,
     /* 1029676 */   // Label 15255: @1029676
     /* 1029676 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1029753), // Rule ID 13170 //
     /* 1029681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1029698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029720 */     // MIs[0] policy
     /* 1029720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029752 */     // GIR_Coverage, 13170,
     /* 1029752 */     GIR_EraseRootFromParent_Done,
     /* 1029753 */   // Label 15256: @1029753
     /* 1029753 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1029830), // Rule ID 13171 //
     /* 1029758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1029775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029797 */     // MIs[0] policy
     /* 1029797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029829 */     // GIR_Coverage, 13171,
     /* 1029829 */     GIR_EraseRootFromParent_Done,
     /* 1029830 */   // Label 15257: @1029830
     /* 1029830 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1029907), // Rule ID 13174 //
     /* 1029835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1029852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029874 */     // MIs[0] policy
     /* 1029874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029906 */     // GIR_Coverage, 13174,
     /* 1029906 */     GIR_EraseRootFromParent_Done,
     /* 1029907 */   // Label 15258: @1029907
     /* 1029907 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1029984), // Rule ID 13175 //
     /* 1029912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1029923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1029926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1029929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029951 */     // MIs[0] policy
     /* 1029951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029961 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1029964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029983 */     // GIR_Coverage, 13175,
     /* 1029983 */     GIR_EraseRootFromParent_Done,
     /* 1029984 */   // Label 15259: @1029984
     /* 1029984 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1030061), // Rule ID 13178 //
     /* 1029989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030028 */     // MIs[0] policy
     /* 1030028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030060 */     // GIR_Coverage, 13178,
     /* 1030060 */     GIR_EraseRootFromParent_Done,
     /* 1030061 */   // Label 15260: @1030061
     /* 1030061 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1030138), // Rule ID 13179 //
     /* 1030066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030105 */     // MIs[0] policy
     /* 1030105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030137 */     // GIR_Coverage, 13179,
     /* 1030137 */     GIR_EraseRootFromParent_Done,
     /* 1030138 */   // Label 15261: @1030138
     /* 1030138 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1030215), // Rule ID 13182 //
     /* 1030143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030182 */     // MIs[0] policy
     /* 1030182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030214 */     // GIR_Coverage, 13182,
     /* 1030214 */     GIR_EraseRootFromParent_Done,
     /* 1030215 */   // Label 15262: @1030215
     /* 1030215 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1030292), // Rule ID 13183 //
     /* 1030220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030259 */     // MIs[0] policy
     /* 1030259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030269 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030291 */     // GIR_Coverage, 13183,
     /* 1030291 */     GIR_EraseRootFromParent_Done,
     /* 1030292 */   // Label 15263: @1030292
     /* 1030292 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1030369), // Rule ID 13186 //
     /* 1030297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030336 */     // MIs[0] policy
     /* 1030336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1030349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030368 */     // GIR_Coverage, 13186,
     /* 1030368 */     GIR_EraseRootFromParent_Done,
     /* 1030369 */   // Label 15264: @1030369
     /* 1030369 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1030446), // Rule ID 13187 //
     /* 1030374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030413 */     // MIs[0] policy
     /* 1030413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1030426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030445 */     // GIR_Coverage, 13187,
     /* 1030445 */     GIR_EraseRootFromParent_Done,
     /* 1030446 */   // Label 15265: @1030446
     /* 1030446 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1030523), // Rule ID 13190 //
     /* 1030451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1030462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1030465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1030468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1030471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030490 */     // MIs[0] policy
     /* 1030490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030500 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1030503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030522 */     // GIR_Coverage, 13190,
     /* 1030522 */     GIR_EraseRootFromParent_Done,
     /* 1030523 */   // Label 15266: @1030523
     /* 1030523 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030600), // Rule ID 13191 //
     /* 1030528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1030539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1030542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1030545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1030548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030567 */     // MIs[0] policy
     /* 1030567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1030580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030599 */     // GIR_Coverage, 13191,
     /* 1030599 */     GIR_EraseRootFromParent_Done,
     /* 1030600 */   // Label 15267: @1030600
     /* 1030600 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1030677), // Rule ID 13194 //
     /* 1030605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1030622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030644 */     // MIs[0] policy
     /* 1030644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030676 */     // GIR_Coverage, 13194,
     /* 1030676 */     GIR_EraseRootFromParent_Done,
     /* 1030677 */   // Label 15268: @1030677
     /* 1030677 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1030754), // Rule ID 13195 //
     /* 1030682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1030699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030721 */     // MIs[0] policy
     /* 1030721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030731 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030753 */     // GIR_Coverage, 13195,
     /* 1030753 */     GIR_EraseRootFromParent_Done,
     /* 1030754 */   // Label 15269: @1030754
     /* 1030754 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1030831), // Rule ID 13198 //
     /* 1030759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1030776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030798 */     // MIs[0] policy
     /* 1030798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1030811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030830 */     // GIR_Coverage, 13198,
     /* 1030830 */     GIR_EraseRootFromParent_Done,
     /* 1030831 */   // Label 15270: @1030831
     /* 1030831 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1030908), // Rule ID 13199 //
     /* 1030836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1030853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1030856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030875 */     // MIs[0] policy
     /* 1030875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1030888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030907 */     // GIR_Coverage, 13199,
     /* 1030907 */     GIR_EraseRootFromParent_Done,
     /* 1030908 */   // Label 15271: @1030908
     /* 1030908 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1030985), // Rule ID 13202 //
     /* 1030913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1030930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1030933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030952 */     // MIs[0] policy
     /* 1030952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030962 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1030965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030984 */     // GIR_Coverage, 13202,
     /* 1030984 */     GIR_EraseRootFromParent_Done,
     /* 1030985 */   // Label 15272: @1030985
     /* 1030985 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1031062), // Rule ID 13203 //
     /* 1030990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1031010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031029 */     // MIs[0] policy
     /* 1031029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031039 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031061 */     // GIR_Coverage, 13203,
     /* 1031061 */     GIR_EraseRootFromParent_Done,
     /* 1031062 */   // Label 15273: @1031062
     /* 1031062 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1031139), // Rule ID 13206 //
     /* 1031067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031106 */     // MIs[0] policy
     /* 1031106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031138 */     // GIR_Coverage, 13206,
     /* 1031138 */     GIR_EraseRootFromParent_Done,
     /* 1031139 */   // Label 15274: @1031139
     /* 1031139 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1031216), // Rule ID 13207 //
     /* 1031144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031183 */     // MIs[0] policy
     /* 1031183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031215 */     // GIR_Coverage, 13207,
     /* 1031215 */     GIR_EraseRootFromParent_Done,
     /* 1031216 */   // Label 15275: @1031216
     /* 1031216 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1031293), // Rule ID 13210 //
     /* 1031221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031260 */     // MIs[0] policy
     /* 1031260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031292 */     // GIR_Coverage, 13210,
     /* 1031292 */     GIR_EraseRootFromParent_Done,
     /* 1031293 */   // Label 15276: @1031293
     /* 1031293 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1031370), // Rule ID 13211 //
     /* 1031298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031337 */     // MIs[0] policy
     /* 1031337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031369 */     // GIR_Coverage, 13211,
     /* 1031369 */     GIR_EraseRootFromParent_Done,
     /* 1031370 */   // Label 15277: @1031370
     /* 1031370 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1031447), // Rule ID 13214 //
     /* 1031375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1031392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1031395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031414 */     // MIs[0] policy
     /* 1031414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031446 */     // GIR_Coverage, 13214,
     /* 1031446 */     GIR_EraseRootFromParent_Done,
     /* 1031447 */   // Label 15278: @1031447
     /* 1031447 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1031524), // Rule ID 13215 //
     /* 1031452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1031469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1031472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031491 */     // MIs[0] policy
     /* 1031491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031523 */     // GIR_Coverage, 13215,
     /* 1031523 */     GIR_EraseRootFromParent_Done,
     /* 1031524 */   // Label 15279: @1031524
     /* 1031524 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031601), // Rule ID 13218 //
     /* 1031529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1031546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1031549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031568 */     // MIs[0] policy
     /* 1031568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031600 */     // GIR_Coverage, 13218,
     /* 1031600 */     GIR_EraseRootFromParent_Done,
     /* 1031601 */   // Label 15280: @1031601
     /* 1031601 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1031678), // Rule ID 13219 //
     /* 1031606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1031623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1031626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031645 */     // MIs[0] policy
     /* 1031645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031677 */     // GIR_Coverage, 13219,
     /* 1031677 */     GIR_EraseRootFromParent_Done,
     /* 1031678 */   // Label 15281: @1031678
     /* 1031678 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1031755), // Rule ID 13222 //
     /* 1031683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1031700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031722 */     // MIs[0] policy
     /* 1031722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031754 */     // GIR_Coverage, 13222,
     /* 1031754 */     GIR_EraseRootFromParent_Done,
     /* 1031755 */   // Label 15282: @1031755
     /* 1031755 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1031832), // Rule ID 13223 //
     /* 1031760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1031777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1031780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031799 */     // MIs[0] policy
     /* 1031799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031831 */     // GIR_Coverage, 13223,
     /* 1031831 */     GIR_EraseRootFromParent_Done,
     /* 1031832 */   // Label 15283: @1031832
     /* 1031832 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1031909), // Rule ID 13226 //
     /* 1031837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1031840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1031854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031876 */     // MIs[0] policy
     /* 1031876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031908 */     // GIR_Coverage, 13226,
     /* 1031908 */     GIR_EraseRootFromParent_Done,
     /* 1031909 */   // Label 15284: @1031909
     /* 1031909 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1031986), // Rule ID 13227 //
     /* 1031914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1031917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1031931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1031934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031953 */     // MIs[0] policy
     /* 1031953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1031982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031985 */     // GIR_Coverage, 13227,
     /* 1031985 */     GIR_EraseRootFromParent_Done,
     /* 1031986 */   // Label 15285: @1031986
     /* 1031986 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1032063), // Rule ID 13230 //
     /* 1031991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1032011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032030 */     // MIs[0] policy
     /* 1032030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032040 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1032043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032062 */     // GIR_Coverage, 13230,
     /* 1032062 */     GIR_EraseRootFromParent_Done,
     /* 1032063 */   // Label 15286: @1032063
     /* 1032063 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1032140), // Rule ID 13231 //
     /* 1032068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1032088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032107 */     // MIs[0] policy
     /* 1032107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1032120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032139 */     // GIR_Coverage, 13231,
     /* 1032139 */     GIR_EraseRootFromParent_Done,
     /* 1032140 */   // Label 15287: @1032140
     /* 1032140 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1032217), // Rule ID 13234 //
     /* 1032145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1032156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1032159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032184 */     // MIs[0] policy
     /* 1032184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032194 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032216 */     // GIR_Coverage, 13234,
     /* 1032216 */     GIR_EraseRootFromParent_Done,
     /* 1032217 */   // Label 15288: @1032217
     /* 1032217 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1032294), // Rule ID 13235 //
     /* 1032222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1032233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1032236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032261 */     // MIs[0] policy
     /* 1032261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032293 */     // GIR_Coverage, 13235,
     /* 1032293 */     GIR_EraseRootFromParent_Done,
     /* 1032294 */   // Label 15289: @1032294
     /* 1032294 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1032371), // Rule ID 13238 //
     /* 1032299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1032310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1032313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032338 */     // MIs[0] policy
     /* 1032338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032370 */     // GIR_Coverage, 13238,
     /* 1032370 */     GIR_EraseRootFromParent_Done,
     /* 1032371 */   // Label 15290: @1032371
     /* 1032371 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1032448), // Rule ID 13239 //
     /* 1032376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1032387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1032390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032415 */     // MIs[0] policy
     /* 1032415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032425 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032447 */     // GIR_Coverage, 13239,
     /* 1032447 */     GIR_EraseRootFromParent_Done,
     /* 1032448 */   // Label 15291: @1032448
     /* 1032448 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1032525), // Rule ID 13242 //
     /* 1032453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1032464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1032467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032492 */     // MIs[0] policy
     /* 1032492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032524 */     // GIR_Coverage, 13242,
     /* 1032524 */     GIR_EraseRootFromParent_Done,
     /* 1032525 */   // Label 15292: @1032525
     /* 1032525 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032602), // Rule ID 13243 //
     /* 1032530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1032541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1032544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032569 */     // MIs[0] policy
     /* 1032569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032579 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032601 */     // GIR_Coverage, 13243,
     /* 1032601 */     GIR_EraseRootFromParent_Done,
     /* 1032602 */   // Label 15293: @1032602
     /* 1032602 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1032679), // Rule ID 13246 //
     /* 1032607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032646 */     // MIs[0] policy
     /* 1032646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032678 */     // GIR_Coverage, 13246,
     /* 1032678 */     GIR_EraseRootFromParent_Done,
     /* 1032679 */   // Label 15294: @1032679
     /* 1032679 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1032756), // Rule ID 13247 //
     /* 1032684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032723 */     // MIs[0] policy
     /* 1032723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032755 */     // GIR_Coverage, 13247,
     /* 1032755 */     GIR_EraseRootFromParent_Done,
     /* 1032756 */   // Label 15295: @1032756
     /* 1032756 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1032833), // Rule ID 13250 //
     /* 1032761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032800 */     // MIs[0] policy
     /* 1032800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032832 */     // GIR_Coverage, 13250,
     /* 1032832 */     GIR_EraseRootFromParent_Done,
     /* 1032833 */   // Label 15296: @1032833
     /* 1032833 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1032910), // Rule ID 13251 //
     /* 1032838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1032858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032877 */     // MIs[0] policy
     /* 1032877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1032890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032909 */     // GIR_Coverage, 13251,
     /* 1032909 */     GIR_EraseRootFromParent_Done,
     /* 1032910 */   // Label 15297: @1032910
     /* 1032910 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1032987), // Rule ID 13254 //
     /* 1032915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1032926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1032929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1032935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032954 */     // MIs[0] policy
     /* 1032954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1032967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032986 */     // GIR_Coverage, 13254,
     /* 1032986 */     GIR_EraseRootFromParent_Done,
     /* 1032987 */   // Label 15298: @1032987
     /* 1032987 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1033064), // Rule ID 13255 //
     /* 1032992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1033003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1033006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033031 */     // MIs[0] policy
     /* 1033031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033063 */     // GIR_Coverage, 13255,
     /* 1033063 */     GIR_EraseRootFromParent_Done,
     /* 1033064 */   // Label 15299: @1033064
     /* 1033064 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1033141), // Rule ID 13258 //
     /* 1033069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033108 */     // MIs[0] policy
     /* 1033108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033140 */     // GIR_Coverage, 13258,
     /* 1033140 */     GIR_EraseRootFromParent_Done,
     /* 1033141 */   // Label 15300: @1033141
     /* 1033141 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1033218), // Rule ID 13259 //
     /* 1033146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033185 */     // MIs[0] policy
     /* 1033185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033195 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033217 */     // GIR_Coverage, 13259,
     /* 1033217 */     GIR_EraseRootFromParent_Done,
     /* 1033218 */   // Label 15301: @1033218
     /* 1033218 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1033295), // Rule ID 13262 //
     /* 1033223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033262 */     // MIs[0] policy
     /* 1033262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033294 */     // GIR_Coverage, 13262,
     /* 1033294 */     GIR_EraseRootFromParent_Done,
     /* 1033295 */   // Label 15302: @1033295
     /* 1033295 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1033372), // Rule ID 13263 //
     /* 1033300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033339 */     // MIs[0] policy
     /* 1033339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033371 */     // GIR_Coverage, 13263,
     /* 1033371 */     GIR_EraseRootFromParent_Done,
     /* 1033372 */   // Label 15303: @1033372
     /* 1033372 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1033449), // Rule ID 13266 //
     /* 1033377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1033380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1033397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033416 */     // MIs[0] policy
     /* 1033416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1033445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033448 */     // GIR_Coverage, 13266,
     /* 1033448 */     GIR_EraseRootFromParent_Done,
     /* 1033449 */   // Label 15304: @1033449
     /* 1033449 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1033526), // Rule ID 13267 //
     /* 1033454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1033457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1033474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033493 */     // MIs[0] policy
     /* 1033493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1033522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033525 */     // GIR_Coverage, 13267,
     /* 1033525 */     GIR_EraseRootFromParent_Done,
     /* 1033526 */   // Label 15305: @1033526
     /* 1033526 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033603), // Rule ID 13270 //
     /* 1033531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1033542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1033545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033570 */     // MIs[0] policy
     /* 1033570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033580 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1033583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033602 */     // GIR_Coverage, 13270,
     /* 1033602 */     GIR_EraseRootFromParent_Done,
     /* 1033603 */   // Label 15306: @1033603
     /* 1033603 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1033680), // Rule ID 13271 //
     /* 1033608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1033619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1033622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1033628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033647 */     // MIs[0] policy
     /* 1033647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033657 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1033660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033679 */     // GIR_Coverage, 13271,
     /* 1033679 */     GIR_EraseRootFromParent_Done,
     /* 1033680 */   // Label 15307: @1033680
     /* 1033680 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1033757), // Rule ID 13274 //
     /* 1033685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1033696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1033699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1033705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033724 */     // MIs[0] policy
     /* 1033724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033734 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1033737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033756 */     // GIR_Coverage, 13274,
     /* 1033756 */     GIR_EraseRootFromParent_Done,
     /* 1033757 */   // Label 15308: @1033757
     /* 1033757 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1033834), // Rule ID 13275 //
     /* 1033762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1033773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1033776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1033782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033801 */     // MIs[0] policy
     /* 1033801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1033814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033833 */     // GIR_Coverage, 13275,
     /* 1033833 */     GIR_EraseRootFromParent_Done,
     /* 1033834 */   // Label 15309: @1033834
     /* 1033834 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1033911), // Rule ID 13278 //
     /* 1033839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1033850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1033853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1033859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033878 */     // MIs[0] policy
     /* 1033878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1033891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033910 */     // GIR_Coverage, 13278,
     /* 1033910 */     GIR_EraseRootFromParent_Done,
     /* 1033911 */   // Label 15310: @1033911
     /* 1033911 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1033988), // Rule ID 13279 //
     /* 1033916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1033927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1033930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1033936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033955 */     // MIs[0] policy
     /* 1033955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033965 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1033968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033987 */     // GIR_Coverage, 13279,
     /* 1033987 */     GIR_EraseRootFromParent_Done,
     /* 1033988 */   // Label 15311: @1033988
     /* 1033988 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1034065), // Rule ID 13282 //
     /* 1033993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034032 */     // MIs[0] policy
     /* 1034032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034064 */     // GIR_Coverage, 13282,
     /* 1034064 */     GIR_EraseRootFromParent_Done,
     /* 1034065 */   // Label 15312: @1034065
     /* 1034065 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1034142), // Rule ID 13283 //
     /* 1034070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034109 */     // MIs[0] policy
     /* 1034109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034141 */     // GIR_Coverage, 13283,
     /* 1034141 */     GIR_EraseRootFromParent_Done,
     /* 1034142 */   // Label 15313: @1034142
     /* 1034142 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1034219), // Rule ID 13286 //
     /* 1034147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034186 */     // MIs[0] policy
     /* 1034186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034218 */     // GIR_Coverage, 13286,
     /* 1034218 */     GIR_EraseRootFromParent_Done,
     /* 1034219 */   // Label 15314: @1034219
     /* 1034219 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1034296), // Rule ID 13287 //
     /* 1034224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034263 */     // MIs[0] policy
     /* 1034263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034273 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034295 */     // GIR_Coverage, 13287,
     /* 1034295 */     GIR_EraseRootFromParent_Done,
     /* 1034296 */   // Label 15315: @1034296
     /* 1034296 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1034373), // Rule ID 13290 //
     /* 1034301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1034321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034340 */     // MIs[0] policy
     /* 1034340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034372 */     // GIR_Coverage, 13290,
     /* 1034372 */     GIR_EraseRootFromParent_Done,
     /* 1034373 */   // Label 15316: @1034373
     /* 1034373 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1034450), // Rule ID 13291 //
     /* 1034378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1034398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034417 */     // MIs[0] policy
     /* 1034417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034449 */     // GIR_Coverage, 13291,
     /* 1034449 */     GIR_EraseRootFromParent_Done,
     /* 1034450 */   // Label 15317: @1034450
     /* 1034450 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1034527), // Rule ID 13294 //
     /* 1034455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1034475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034494 */     // MIs[0] policy
     /* 1034494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034526 */     // GIR_Coverage, 13294,
     /* 1034526 */     GIR_EraseRootFromParent_Done,
     /* 1034527 */   // Label 15318: @1034527
     /* 1034527 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034604), // Rule ID 13295 //
     /* 1034532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1034543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1034546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1034552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034571 */     // MIs[0] policy
     /* 1034571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034603 */     // GIR_Coverage, 13295,
     /* 1034603 */     GIR_EraseRootFromParent_Done,
     /* 1034604 */   // Label 15319: @1034604
     /* 1034604 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1034681), // Rule ID 13298 //
     /* 1034609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034648 */     // MIs[0] policy
     /* 1034648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034680 */     // GIR_Coverage, 13298,
     /* 1034680 */     GIR_EraseRootFromParent_Done,
     /* 1034681 */   // Label 15320: @1034681
     /* 1034681 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1034758), // Rule ID 13299 //
     /* 1034686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1034697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1034700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034725 */     // MIs[0] policy
     /* 1034725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034735 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034757 */     // GIR_Coverage, 13299,
     /* 1034757 */     GIR_EraseRootFromParent_Done,
     /* 1034758 */   // Label 15321: @1034758
     /* 1034758 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1034835), // Rule ID 13302 //
     /* 1034763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1034774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1034777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1034783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034802 */     // MIs[0] policy
     /* 1034802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034834 */     // GIR_Coverage, 13302,
     /* 1034834 */     GIR_EraseRootFromParent_Done,
     /* 1034835 */   // Label 15322: @1034835
     /* 1034835 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1034912), // Rule ID 13303 //
     /* 1034840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1034851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1034854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1034860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034879 */     // MIs[0] policy
     /* 1034879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034911 */     // GIR_Coverage, 13303,
     /* 1034911 */     GIR_EraseRootFromParent_Done,
     /* 1034912 */   // Label 15323: @1034912
     /* 1034912 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1034989), // Rule ID 13306 //
     /* 1034917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1034920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1034928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1034931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1034937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034956 */     // MIs[0] policy
     /* 1034956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1034985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034988 */     // GIR_Coverage, 13306,
     /* 1034988 */     GIR_EraseRootFromParent_Done,
     /* 1034989 */   // Label 15324: @1034989
     /* 1034989 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1035066), // Rule ID 13307 //
     /* 1034994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1034997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1035014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035033 */     // MIs[0] policy
     /* 1035033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1035046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035065 */     // GIR_Coverage, 13307,
     /* 1035065 */     GIR_EraseRootFromParent_Done,
     /* 1035066 */   // Label 15325: @1035066
     /* 1035066 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1035143), // Rule ID 13310 //
     /* 1035071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1035091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035110 */     // MIs[0] policy
     /* 1035110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035142 */     // GIR_Coverage, 13310,
     /* 1035142 */     GIR_EraseRootFromParent_Done,
     /* 1035143 */   // Label 15326: @1035143
     /* 1035143 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1035220), // Rule ID 13311 //
     /* 1035148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1035168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035187 */     // MIs[0] policy
     /* 1035187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035219 */     // GIR_Coverage, 13311,
     /* 1035219 */     GIR_EraseRootFromParent_Done,
     /* 1035220 */   // Label 15327: @1035220
     /* 1035220 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1035297), // Rule ID 13314 //
     /* 1035225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1035245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035264 */     // MIs[0] policy
     /* 1035264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035296 */     // GIR_Coverage, 13314,
     /* 1035296 */     GIR_EraseRootFromParent_Done,
     /* 1035297 */   // Label 15328: @1035297
     /* 1035297 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1035374), // Rule ID 13315 //
     /* 1035302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1035322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035341 */     // MIs[0] policy
     /* 1035341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035373 */     // GIR_Coverage, 13315,
     /* 1035373 */     GIR_EraseRootFromParent_Done,
     /* 1035374 */   // Label 15329: @1035374
     /* 1035374 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1035451), // Rule ID 13318 //
     /* 1035379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035418 */     // MIs[0] policy
     /* 1035418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1035431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035450 */     // GIR_Coverage, 13318,
     /* 1035450 */     GIR_EraseRootFromParent_Done,
     /* 1035451 */   // Label 15330: @1035451
     /* 1035451 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1035528), // Rule ID 13319 //
     /* 1035456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1035467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1035470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1035473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1035476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035495 */     // MIs[0] policy
     /* 1035495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035505 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1035508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035527 */     // GIR_Coverage, 13319,
     /* 1035527 */     GIR_EraseRootFromParent_Done,
     /* 1035528 */   // Label 15331: @1035528
     /* 1035528 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035605), // Rule ID 13322 //
     /* 1035533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035572 */     // MIs[0] policy
     /* 1035572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035582 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1035585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035604 */     // GIR_Coverage, 13322,
     /* 1035604 */     GIR_EraseRootFromParent_Done,
     /* 1035605 */   // Label 15332: @1035605
     /* 1035605 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1035682), // Rule ID 13323 //
     /* 1035610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1035621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1035624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1035627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1035630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035649 */     // MIs[0] policy
     /* 1035649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1035662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035681 */     // GIR_Coverage, 13323,
     /* 1035681 */     GIR_EraseRootFromParent_Done,
     /* 1035682 */   // Label 15333: @1035682
     /* 1035682 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1035759), // Rule ID 13326 //
     /* 1035687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035726 */     // MIs[0] policy
     /* 1035726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1035739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035758 */     // GIR_Coverage, 13326,
     /* 1035758 */     GIR_EraseRootFromParent_Done,
     /* 1035759 */   // Label 15334: @1035759
     /* 1035759 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1035836), // Rule ID 13327 //
     /* 1035764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1035775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1035778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1035781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1035784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035803 */     // MIs[0] policy
     /* 1035803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035813 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1035816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035835 */     // GIR_Coverage, 13327,
     /* 1035835 */     GIR_EraseRootFromParent_Done,
     /* 1035836 */   // Label 15335: @1035836
     /* 1035836 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1035913), // Rule ID 13330 //
     /* 1035841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1035852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1035855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1035858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1035861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035880 */     // MIs[0] policy
     /* 1035880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035890 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1035893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035912 */     // GIR_Coverage, 13330,
     /* 1035912 */     GIR_EraseRootFromParent_Done,
     /* 1035913 */   // Label 15336: @1035913
     /* 1035913 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1035990), // Rule ID 13331 //
     /* 1035918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1035926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1035929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1035932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1035935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1035938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035957 */     // MIs[0] policy
     /* 1035957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1035970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035989 */     // GIR_Coverage, 13331,
     /* 1035989 */     GIR_EraseRootFromParent_Done,
     /* 1035990 */   // Label 15337: @1035990
     /* 1035990 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1036067), // Rule ID 13334 //
     /* 1035995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036034 */     // MIs[0] policy
     /* 1036034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036066 */     // GIR_Coverage, 13334,
     /* 1036066 */     GIR_EraseRootFromParent_Done,
     /* 1036067 */   // Label 15338: @1036067
     /* 1036067 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1036144), // Rule ID 13335 //
     /* 1036072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036111 */     // MIs[0] policy
     /* 1036111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036143 */     // GIR_Coverage, 13335,
     /* 1036143 */     GIR_EraseRootFromParent_Done,
     /* 1036144 */   // Label 15339: @1036144
     /* 1036144 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1036221), // Rule ID 13338 //
     /* 1036149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036188 */     // MIs[0] policy
     /* 1036188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036198 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1036201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036220 */     // GIR_Coverage, 13338,
     /* 1036220 */     GIR_EraseRootFromParent_Done,
     /* 1036221 */   // Label 15340: @1036221
     /* 1036221 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1036298), // Rule ID 13339 //
     /* 1036226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036265 */     // MIs[0] policy
     /* 1036265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1036278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036297 */     // GIR_Coverage, 13339,
     /* 1036297 */     GIR_EraseRootFromParent_Done,
     /* 1036298 */   // Label 15341: @1036298
     /* 1036298 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1036375), // Rule ID 13342 //
     /* 1036303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036342 */     // MIs[0] policy
     /* 1036342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1036355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036374 */     // GIR_Coverage, 13342,
     /* 1036374 */     GIR_EraseRootFromParent_Done,
     /* 1036375 */   // Label 15342: @1036375
     /* 1036375 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1036452), // Rule ID 13343 //
     /* 1036380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036419 */     // MIs[0] policy
     /* 1036419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1036432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036451 */     // GIR_Coverage, 13343,
     /* 1036451 */     GIR_EraseRootFromParent_Done,
     /* 1036452 */   // Label 15343: @1036452
     /* 1036452 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1036529), // Rule ID 13346 //
     /* 1036457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036496 */     // MIs[0] policy
     /* 1036496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1036509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036528 */     // GIR_Coverage, 13346,
     /* 1036528 */     GIR_EraseRootFromParent_Done,
     /* 1036529 */   // Label 15344: @1036529
     /* 1036529 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036606), // Rule ID 13347 //
     /* 1036534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1036545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1036548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036573 */     // MIs[0] policy
     /* 1036573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1036586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036605 */     // GIR_Coverage, 13347,
     /* 1036605 */     GIR_EraseRootFromParent_Done,
     /* 1036606 */   // Label 15345: @1036606
     /* 1036606 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1036683), // Rule ID 13350 //
     /* 1036611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036650 */     // MIs[0] policy
     /* 1036650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036682 */     // GIR_Coverage, 13350,
     /* 1036682 */     GIR_EraseRootFromParent_Done,
     /* 1036683 */   // Label 15346: @1036683
     /* 1036683 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1036760), // Rule ID 13351 //
     /* 1036688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1036705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1036708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036727 */     // MIs[0] policy
     /* 1036727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036759 */     // GIR_Coverage, 13351,
     /* 1036759 */     GIR_EraseRootFromParent_Done,
     /* 1036760 */   // Label 15347: @1036760
     /* 1036760 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1036837), // Rule ID 13354 //
     /* 1036765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1036782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1036785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036804 */     // MIs[0] policy
     /* 1036804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036836 */     // GIR_Coverage, 13354,
     /* 1036836 */     GIR_EraseRootFromParent_Done,
     /* 1036837 */   // Label 15348: @1036837
     /* 1036837 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1036914), // Rule ID 13355 //
     /* 1036842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1036859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1036862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036881 */     // MIs[0] policy
     /* 1036881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036913 */     // GIR_Coverage, 13355,
     /* 1036913 */     GIR_EraseRootFromParent_Done,
     /* 1036914 */   // Label 15349: @1036914
     /* 1036914 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1036991), // Rule ID 13358 //
     /* 1036919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1036930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1036933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1036936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1036939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036958 */     // MIs[0] policy
     /* 1036958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036968 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1036971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036990 */     // GIR_Coverage, 13358,
     /* 1036990 */     GIR_EraseRootFromParent_Done,
     /* 1036991 */   // Label 15350: @1036991
     /* 1036991 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1037068), // Rule ID 13359 //
     /* 1036996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037035 */     // MIs[0] policy
     /* 1037035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037067 */     // GIR_Coverage, 13359,
     /* 1037067 */     GIR_EraseRootFromParent_Done,
     /* 1037068 */   // Label 15351: @1037068
     /* 1037068 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1037145), // Rule ID 13362 //
     /* 1037073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037112 */     // MIs[0] policy
     /* 1037112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037144 */     // GIR_Coverage, 13362,
     /* 1037144 */     GIR_EraseRootFromParent_Done,
     /* 1037145 */   // Label 15352: @1037145
     /* 1037145 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1037222), // Rule ID 13363 //
     /* 1037150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037189 */     // MIs[0] policy
     /* 1037189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037221 */     // GIR_Coverage, 13363,
     /* 1037221 */     GIR_EraseRootFromParent_Done,
     /* 1037222 */   // Label 15353: @1037222
     /* 1037222 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1037299), // Rule ID 13366 //
     /* 1037227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037266 */     // MIs[0] policy
     /* 1037266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1037279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037298 */     // GIR_Coverage, 13366,
     /* 1037298 */     GIR_EraseRootFromParent_Done,
     /* 1037299 */   // Label 15354: @1037299
     /* 1037299 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1037376), // Rule ID 13367 //
     /* 1037304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037343 */     // MIs[0] policy
     /* 1037343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1037356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037375 */     // GIR_Coverage, 13367,
     /* 1037375 */     GIR_EraseRootFromParent_Done,
     /* 1037376 */   // Label 15355: @1037376
     /* 1037376 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1037453), // Rule ID 13370 //
     /* 1037381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037420 */     // MIs[0] policy
     /* 1037420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037452 */     // GIR_Coverage, 13370,
     /* 1037452 */     GIR_EraseRootFromParent_Done,
     /* 1037453 */   // Label 15356: @1037453
     /* 1037453 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1037530), // Rule ID 13371 //
     /* 1037458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1037469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1037472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037497 */     // MIs[0] policy
     /* 1037497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037529 */     // GIR_Coverage, 13371,
     /* 1037529 */     GIR_EraseRootFromParent_Done,
     /* 1037530 */   // Label 15357: @1037530
     /* 1037530 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037607), // Rule ID 13374 //
     /* 1037535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037574 */     // MIs[0] policy
     /* 1037574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037606 */     // GIR_Coverage, 13374,
     /* 1037606 */     GIR_EraseRootFromParent_Done,
     /* 1037607 */   // Label 15358: @1037607
     /* 1037607 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1037684), // Rule ID 13375 //
     /* 1037612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1037623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1037626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037651 */     // MIs[0] policy
     /* 1037651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037683 */     // GIR_Coverage, 13375,
     /* 1037683 */     GIR_EraseRootFromParent_Done,
     /* 1037684 */   // Label 15359: @1037684
     /* 1037684 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1037761), // Rule ID 13378 //
     /* 1037689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037728 */     // MIs[0] policy
     /* 1037728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037738 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1037741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037760 */     // GIR_Coverage, 13378,
     /* 1037760 */     GIR_EraseRootFromParent_Done,
     /* 1037761 */   // Label 15360: @1037761
     /* 1037761 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1037838), // Rule ID 13379 //
     /* 1037766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1037777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1037780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1037786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037805 */     // MIs[0] policy
     /* 1037805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037815 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1037818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037837 */     // GIR_Coverage, 13379,
     /* 1037837 */     GIR_EraseRootFromParent_Done,
     /* 1037838 */   // Label 15361: @1037838
     /* 1037838 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1037915), // Rule ID 13382 //
     /* 1037843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1037854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1037857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1037863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037882 */     // MIs[0] policy
     /* 1037882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1037895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037914 */     // GIR_Coverage, 13382,
     /* 1037914 */     GIR_EraseRootFromParent_Done,
     /* 1037915 */   // Label 15362: @1037915
     /* 1037915 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1037992), // Rule ID 13383 //
     /* 1037920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1037931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1037934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1037940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037959 */     // MIs[0] policy
     /* 1037959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1037972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037991 */     // GIR_Coverage, 13383,
     /* 1037991 */     GIR_EraseRootFromParent_Done,
     /* 1037992 */   // Label 15363: @1037992
     /* 1037992 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1038069), // Rule ID 13386 //
     /* 1037997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038036 */     // MIs[0] policy
     /* 1038036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038068 */     // GIR_Coverage, 13386,
     /* 1038068 */     GIR_EraseRootFromParent_Done,
     /* 1038069 */   // Label 15364: @1038069
     /* 1038069 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1038146), // Rule ID 13387 //
     /* 1038074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038113 */     // MIs[0] policy
     /* 1038113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11586:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038145 */     // GIR_Coverage, 13387,
     /* 1038145 */     GIR_EraseRootFromParent_Done,
     /* 1038146 */   // Label 15365: @1038146
     /* 1038146 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1038223), // Rule ID 13390 //
     /* 1038151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038190 */     // MIs[0] policy
     /* 1038190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1038203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038222 */     // GIR_Coverage, 13390,
     /* 1038222 */     GIR_EraseRootFromParent_Done,
     /* 1038223 */   // Label 15366: @1038223
     /* 1038223 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1038300), // Rule ID 13391 //
     /* 1038228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038267 */     // MIs[0] policy
     /* 1038267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1038280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038299 */     // GIR_Coverage, 13391,
     /* 1038299 */     GIR_EraseRootFromParent_Done,
     /* 1038300 */   // Label 15367: @1038300
     /* 1038300 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1038377), // Rule ID 13394 //
     /* 1038305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038344 */     // MIs[0] policy
     /* 1038344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1038357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038376 */     // GIR_Coverage, 13394,
     /* 1038376 */     GIR_EraseRootFromParent_Done,
     /* 1038377 */   // Label 15368: @1038377
     /* 1038377 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1038454), // Rule ID 13395 //
     /* 1038382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038421 */     // MIs[0] policy
     /* 1038421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038431 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1038434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038453 */     // GIR_Coverage, 13395,
     /* 1038453 */     GIR_EraseRootFromParent_Done,
     /* 1038454 */   // Label 15369: @1038454
     /* 1038454 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1038531), // Rule ID 13398 //
     /* 1038459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038498 */     // MIs[0] policy
     /* 1038498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038508 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1038511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038530 */     // GIR_Coverage, 13398,
     /* 1038530 */     GIR_EraseRootFromParent_Done,
     /* 1038531 */   // Label 15370: @1038531
     /* 1038531 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038608), // Rule ID 13399 //
     /* 1038536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038575 */     // MIs[0] policy
     /* 1038575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038585 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1038588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038607 */     // GIR_Coverage, 13399,
     /* 1038607 */     GIR_EraseRootFromParent_Done,
     /* 1038608 */   // Label 15371: @1038608
     /* 1038608 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1038685), // Rule ID 13402 //
     /* 1038613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038652 */     // MIs[0] policy
     /* 1038652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038684 */     // GIR_Coverage, 13402,
     /* 1038684 */     GIR_EraseRootFromParent_Done,
     /* 1038685 */   // Label 15372: @1038685
     /* 1038685 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1038762), // Rule ID 13403 //
     /* 1038690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1038710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038729 */     // MIs[0] policy
     /* 1038729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038761 */     // GIR_Coverage, 13403,
     /* 1038761 */     GIR_EraseRootFromParent_Done,
     /* 1038762 */   // Label 15373: @1038762
     /* 1038762 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1038839), // Rule ID 13406 //
     /* 1038767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1038787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038806 */     // MIs[0] policy
     /* 1038806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038838 */     // GIR_Coverage, 13406,
     /* 1038838 */     GIR_EraseRootFromParent_Done,
     /* 1038839 */   // Label 15374: @1038839
     /* 1038839 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1038916), // Rule ID 13407 //
     /* 1038844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1038864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038883 */     // MIs[0] policy
     /* 1038883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11586:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038915 */     // GIR_Coverage, 13407,
     /* 1038915 */     GIR_EraseRootFromParent_Done,
     /* 1038916 */   // Label 15375: @1038916
     /* 1038916 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1038993), // Rule ID 13410 //
     /* 1038921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1038941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038960 */     // MIs[0] policy
     /* 1038960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1038973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038992 */     // GIR_Coverage, 13410,
     /* 1038992 */     GIR_EraseRootFromParent_Done,
     /* 1038993 */   // Label 15376: @1038993
     /* 1038993 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1039070), // Rule ID 13411 //
     /* 1038998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039037 */     // MIs[0] policy
     /* 1039037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039069 */     // GIR_Coverage, 13411,
     /* 1039069 */     GIR_EraseRootFromParent_Done,
     /* 1039070 */   // Label 15377: @1039070
     /* 1039070 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1039147), // Rule ID 13414 //
     /* 1039075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039114 */     // MIs[0] policy
     /* 1039114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039146 */     // GIR_Coverage, 13414,
     /* 1039146 */     GIR_EraseRootFromParent_Done,
     /* 1039147 */   // Label 15378: @1039147
     /* 1039147 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1039224), // Rule ID 13415 //
     /* 1039152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039191 */     // MIs[0] policy
     /* 1039191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039223 */     // GIR_Coverage, 13415,
     /* 1039223 */     GIR_EraseRootFromParent_Done,
     /* 1039224 */   // Label 15379: @1039224
     /* 1039224 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1039301), // Rule ID 13418 //
     /* 1039229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039268 */     // MIs[0] policy
     /* 1039268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039300 */     // GIR_Coverage, 13418,
     /* 1039300 */     GIR_EraseRootFromParent_Done,
     /* 1039301 */   // Label 15380: @1039301
     /* 1039301 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1039378), // Rule ID 13419 //
     /* 1039306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039345 */     // MIs[0] policy
     /* 1039345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039377 */     // GIR_Coverage, 13419,
     /* 1039377 */     GIR_EraseRootFromParent_Done,
     /* 1039378 */   // Label 15381: @1039378
     /* 1039378 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1039455), // Rule ID 13422 //
     /* 1039383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039422 */     // MIs[0] policy
     /* 1039422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039454 */     // GIR_Coverage, 13422,
     /* 1039454 */     GIR_EraseRootFromParent_Done,
     /* 1039455 */   // Label 15382: @1039455
     /* 1039455 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1039532), // Rule ID 13423 //
     /* 1039460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1039471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1039474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039499 */     // MIs[0] policy
     /* 1039499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11586:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039531 */     // GIR_Coverage, 13423,
     /* 1039531 */     GIR_EraseRootFromParent_Done,
     /* 1039532 */   // Label 15383: @1039532
     /* 1039532 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039609), // Rule ID 13426 //
     /* 1039537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039576 */     // MIs[0] policy
     /* 1039576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039608 */     // GIR_Coverage, 13426,
     /* 1039608 */     GIR_EraseRootFromParent_Done,
     /* 1039609 */   // Label 15384: @1039609
     /* 1039609 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1039686), // Rule ID 13427 //
     /* 1039614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039653 */     // MIs[0] policy
     /* 1039653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11586:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039685 */     // GIR_Coverage, 13427,
     /* 1039685 */     GIR_EraseRootFromParent_Done,
     /* 1039686 */   // Label 15385: @1039686
     /* 1039686 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1039763), // Rule ID 13430 //
     /* 1039691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039730 */     // MIs[0] policy
     /* 1039730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039762 */     // GIR_Coverage, 13430,
     /* 1039762 */     GIR_EraseRootFromParent_Done,
     /* 1039763 */   // Label 15386: @1039763
     /* 1039763 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1039840), // Rule ID 13431 //
     /* 1039768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039807 */     // MIs[0] policy
     /* 1039807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039817 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11586:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039839 */     // GIR_Coverage, 13431,
     /* 1039839 */     GIR_EraseRootFromParent_Done,
     /* 1039840 */   // Label 15387: @1039840
     /* 1039840 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1039917), // Rule ID 13434 //
     /* 1039845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1039848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1039856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1039859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039884 */     // MIs[0] policy
     /* 1039884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039894 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039916 */     // GIR_Coverage, 13434,
     /* 1039916 */     GIR_EraseRootFromParent_Done,
     /* 1039917 */   // Label 15388: @1039917
     /* 1039917 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1039994), // Rule ID 13435 //
     /* 1039922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1039925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1039933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1039936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039961 */     // MIs[0] policy
     /* 1039961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11586:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039993 */     // GIR_Coverage, 13435,
     /* 1039993 */     GIR_EraseRootFromParent_Done,
     /* 1039994 */   // Label 15389: @1039994
     /* 1039994 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1040071), // Rule ID 13438 //
     /* 1039999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040038 */     // MIs[0] policy
     /* 1040038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1040051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040070 */     // GIR_Coverage, 13438,
     /* 1040070 */     GIR_EraseRootFromParent_Done,
     /* 1040071 */   // Label 15390: @1040071
     /* 1040071 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1040148), // Rule ID 13439 //
     /* 1040076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040115 */     // MIs[0] policy
     /* 1040115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040125 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1040128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040147 */     // GIR_Coverage, 13439,
     /* 1040147 */     GIR_EraseRootFromParent_Done,
     /* 1040148 */   // Label 15391: @1040148
     /* 1040148 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1040225), // Rule ID 13442 //
     /* 1040153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040192 */     // MIs[0] policy
     /* 1040192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1040205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040224 */     // GIR_Coverage, 13442,
     /* 1040224 */     GIR_EraseRootFromParent_Done,
     /* 1040225 */   // Label 15392: @1040225
     /* 1040225 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1040302), // Rule ID 13443 //
     /* 1040230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040269 */     // MIs[0] policy
     /* 1040269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040279 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1040282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040301 */     // GIR_Coverage, 13443,
     /* 1040301 */     GIR_EraseRootFromParent_Done,
     /* 1040302 */   // Label 15393: @1040302
     /* 1040302 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1040379), // Rule ID 13446 //
     /* 1040307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040346 */     // MIs[0] policy
     /* 1040346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1040359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040378 */     // GIR_Coverage, 13446,
     /* 1040378 */     GIR_EraseRootFromParent_Done,
     /* 1040379 */   // Label 15394: @1040379
     /* 1040379 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1040456), // Rule ID 13447 //
     /* 1040384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1040404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040423 */     // MIs[0] policy
     /* 1040423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1040436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040455 */     // GIR_Coverage, 13447,
     /* 1040455 */     GIR_EraseRootFromParent_Done,
     /* 1040456 */   // Label 15395: @1040456
     /* 1040456 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1040533), // Rule ID 13450 //
     /* 1040461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040500 */     // MIs[0] policy
     /* 1040500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040510 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1040513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040532 */     // GIR_Coverage, 13450,
     /* 1040532 */     GIR_EraseRootFromParent_Done,
     /* 1040533 */   // Label 15396: @1040533
     /* 1040533 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040610), // Rule ID 13451 //
     /* 1040538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1040549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1040552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1040558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040577 */     // MIs[0] policy
     /* 1040577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1040590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040609 */     // GIR_Coverage, 13451,
     /* 1040609 */     GIR_EraseRootFromParent_Done,
     /* 1040610 */   // Label 15397: @1040610
     /* 1040610 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1040687), // Rule ID 13454 //
     /* 1040615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040654 */     // MIs[0] policy
     /* 1040654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1040667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040686 */     // GIR_Coverage, 13454,
     /* 1040686 */     GIR_EraseRootFromParent_Done,
     /* 1040687 */   // Label 15398: @1040687
     /* 1040687 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1040764), // Rule ID 13455 //
     /* 1040692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1040703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1040706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1040709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1040712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040731 */     // MIs[0] policy
     /* 1040731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1040744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040763 */     // GIR_Coverage, 13455,
     /* 1040763 */     GIR_EraseRootFromParent_Done,
     /* 1040764 */   // Label 15399: @1040764
     /* 1040764 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1040841), // Rule ID 13458 //
     /* 1040769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1040780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1040783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1040786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1040789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040808 */     // MIs[0] policy
     /* 1040808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1040821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040840 */     // GIR_Coverage, 13458,
     /* 1040840 */     GIR_EraseRootFromParent_Done,
     /* 1040841 */   // Label 15400: @1040841
     /* 1040841 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1040918), // Rule ID 13459 //
     /* 1040846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1040857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1040860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1040863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1040866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040885 */     // MIs[0] policy
     /* 1040885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1040898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040917 */     // GIR_Coverage, 13459,
     /* 1040917 */     GIR_EraseRootFromParent_Done,
     /* 1040918 */   // Label 15401: @1040918
     /* 1040918 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1040995), // Rule ID 13462 //
     /* 1040923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1040934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1040937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1040940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1040943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040962 */     // MIs[0] policy
     /* 1040962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1040975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040994 */     // GIR_Coverage, 13462,
     /* 1040994 */     GIR_EraseRootFromParent_Done,
     /* 1040995 */   // Label 15402: @1040995
     /* 1040995 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1041072), // Rule ID 13463 //
     /* 1041000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041039 */     // MIs[0] policy
     /* 1041039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1041052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041071 */     // GIR_Coverage, 13463,
     /* 1041071 */     GIR_EraseRootFromParent_Done,
     /* 1041072 */   // Label 15403: @1041072
     /* 1041072 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1041149), // Rule ID 13466 //
     /* 1041077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041116 */     // MIs[0] policy
     /* 1041116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041148 */     // GIR_Coverage, 13466,
     /* 1041148 */     GIR_EraseRootFromParent_Done,
     /* 1041149 */   // Label 15404: @1041149
     /* 1041149 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1041226), // Rule ID 13467 //
     /* 1041154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041193 */     // MIs[0] policy
     /* 1041193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041225 */     // GIR_Coverage, 13467,
     /* 1041225 */     GIR_EraseRootFromParent_Done,
     /* 1041226 */   // Label 15405: @1041226
     /* 1041226 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1041303), // Rule ID 13470 //
     /* 1041231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041270 */     // MIs[0] policy
     /* 1041270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041302 */     // GIR_Coverage, 13470,
     /* 1041302 */     GIR_EraseRootFromParent_Done,
     /* 1041303 */   // Label 15406: @1041303
     /* 1041303 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1041380), // Rule ID 13471 //
     /* 1041308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041347 */     // MIs[0] policy
     /* 1041347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041379 */     // GIR_Coverage, 13471,
     /* 1041379 */     GIR_EraseRootFromParent_Done,
     /* 1041380 */   // Label 15407: @1041380
     /* 1041380 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1041457), // Rule ID 13474 //
     /* 1041385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041424 */     // MIs[0] policy
     /* 1041424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1041437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041456 */     // GIR_Coverage, 13474,
     /* 1041456 */     GIR_EraseRootFromParent_Done,
     /* 1041457 */   // Label 15408: @1041457
     /* 1041457 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1041534), // Rule ID 13475 //
     /* 1041462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1041473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1041476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1041482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041501 */     // MIs[0] policy
     /* 1041501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041511 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1041514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041533 */     // GIR_Coverage, 13475,
     /* 1041533 */     GIR_EraseRootFromParent_Done,
     /* 1041534 */   // Label 15409: @1041534
     /* 1041534 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041611), // Rule ID 13478 //
     /* 1041539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041578 */     // MIs[0] policy
     /* 1041578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041610 */     // GIR_Coverage, 13478,
     /* 1041610 */     GIR_EraseRootFromParent_Done,
     /* 1041611 */   // Label 15410: @1041611
     /* 1041611 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1041688), // Rule ID 13479 //
     /* 1041616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1041627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1041630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1041636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041655 */     // MIs[0] policy
     /* 1041655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041665 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041687 */     // GIR_Coverage, 13479,
     /* 1041687 */     GIR_EraseRootFromParent_Done,
     /* 1041688 */   // Label 15411: @1041688
     /* 1041688 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1041765), // Rule ID 13482 //
     /* 1041693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1041696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041732 */     // MIs[0] policy
     /* 1041732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041764 */     // GIR_Coverage, 13482,
     /* 1041764 */     GIR_EraseRootFromParent_Done,
     /* 1041765 */   // Label 15412: @1041765
     /* 1041765 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1041842), // Rule ID 13483 //
     /* 1041770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041809 */     // MIs[0] policy
     /* 1041809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041841 */     // GIR_Coverage, 13483,
     /* 1041841 */     GIR_EraseRootFromParent_Done,
     /* 1041842 */   // Label 15413: @1041842
     /* 1041842 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1041919), // Rule ID 13486 //
     /* 1041847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1041850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1041858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1041861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1041867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041886 */     // MIs[0] policy
     /* 1041886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041918 */     // GIR_Coverage, 13486,
     /* 1041918 */     GIR_EraseRootFromParent_Done,
     /* 1041919 */   // Label 15414: @1041919
     /* 1041919 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1041996), // Rule ID 13487 //
     /* 1041924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1041935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1041938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1041944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041963 */     // MIs[0] policy
     /* 1041963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041995 */     // GIR_Coverage, 13487,
     /* 1041995 */     GIR_EraseRootFromParent_Done,
     /* 1041996 */   // Label 15415: @1041996
     /* 1041996 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1042073), // Rule ID 13490 //
     /* 1042001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042040 */     // MIs[0] policy
     /* 1042040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042072 */     // GIR_Coverage, 13490,
     /* 1042072 */     GIR_EraseRootFromParent_Done,
     /* 1042073 */   // Label 15416: @1042073
     /* 1042073 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1042150), // Rule ID 13491 //
     /* 1042078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042117 */     // MIs[0] policy
     /* 1042117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042149 */     // GIR_Coverage, 13491,
     /* 1042149 */     GIR_EraseRootFromParent_Done,
     /* 1042150 */   // Label 15417: @1042150
     /* 1042150 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1042227), // Rule ID 13494 //
     /* 1042155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042194 */     // MIs[0] policy
     /* 1042194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042226 */     // GIR_Coverage, 13494,
     /* 1042226 */     GIR_EraseRootFromParent_Done,
     /* 1042227 */   // Label 15418: @1042227
     /* 1042227 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1042304), // Rule ID 13495 //
     /* 1042232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042271 */     // MIs[0] policy
     /* 1042271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042281 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042303 */     // GIR_Coverage, 13495,
     /* 1042303 */     GIR_EraseRootFromParent_Done,
     /* 1042304 */   // Label 15419: @1042304
     /* 1042304 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1042381), // Rule ID 13498 //
     /* 1042309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042348 */     // MIs[0] policy
     /* 1042348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1042361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042380 */     // GIR_Coverage, 13498,
     /* 1042380 */     GIR_EraseRootFromParent_Done,
     /* 1042381 */   // Label 15420: @1042381
     /* 1042381 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1042458), // Rule ID 13499 //
     /* 1042386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1042397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1042400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1042406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042425 */     // MIs[0] policy
     /* 1042425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1042438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042457 */     // GIR_Coverage, 13499,
     /* 1042457 */     GIR_EraseRootFromParent_Done,
     /* 1042458 */   // Label 15421: @1042458
     /* 1042458 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1042535), // Rule ID 13502 //
     /* 1042463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042502 */     // MIs[0] policy
     /* 1042502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1042515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042534 */     // GIR_Coverage, 13502,
     /* 1042534 */     GIR_EraseRootFromParent_Done,
     /* 1042535 */   // Label 15422: @1042535
     /* 1042535 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042612), // Rule ID 13503 //
     /* 1042540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1042551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1042554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1042560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042579 */     // MIs[0] policy
     /* 1042579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042589 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1042592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042611 */     // GIR_Coverage, 13503,
     /* 1042611 */     GIR_EraseRootFromParent_Done,
     /* 1042612 */   // Label 15423: @1042612
     /* 1042612 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1042689), // Rule ID 13506 //
     /* 1042617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042656 */     // MIs[0] policy
     /* 1042656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1042669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042688 */     // GIR_Coverage, 13506,
     /* 1042688 */     GIR_EraseRootFromParent_Done,
     /* 1042689 */   // Label 15424: @1042689
     /* 1042689 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1042766), // Rule ID 13507 //
     /* 1042694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1042705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1042708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1042714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042733 */     // MIs[0] policy
     /* 1042733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1042746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042765 */     // GIR_Coverage, 13507,
     /* 1042765 */     GIR_EraseRootFromParent_Done,
     /* 1042766 */   // Label 15425: @1042766
     /* 1042766 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1042843), // Rule ID 13510 //
     /* 1042771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1042791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042810 */     // MIs[0] policy
     /* 1042810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042820 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1042823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042842 */     // GIR_Coverage, 13510,
     /* 1042842 */     GIR_EraseRootFromParent_Done,
     /* 1042843 */   // Label 15426: @1042843
     /* 1042843 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1042920), // Rule ID 13511 //
     /* 1042848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1042868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042887 */     // MIs[0] policy
     /* 1042887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1042900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042919 */     // GIR_Coverage, 13511,
     /* 1042919 */     GIR_EraseRootFromParent_Done,
     /* 1042920 */   // Label 15427: @1042920
     /* 1042920 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1042997), // Rule ID 13514 //
     /* 1042925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1042936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1042939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1042945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042964 */     // MIs[0] policy
     /* 1042964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1042977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042996 */     // GIR_Coverage, 13514,
     /* 1042996 */     GIR_EraseRootFromParent_Done,
     /* 1042997 */   // Label 15428: @1042997
     /* 1042997 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1043074), // Rule ID 13515 //
     /* 1043002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043041 */     // MIs[0] policy
     /* 1043041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043073 */     // GIR_Coverage, 13515,
     /* 1043073 */     GIR_EraseRootFromParent_Done,
     /* 1043074 */   // Label 15429: @1043074
     /* 1043074 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1043151), // Rule ID 13518 //
     /* 1043079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043118 */     // MIs[0] policy
     /* 1043118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043150 */     // GIR_Coverage, 13518,
     /* 1043150 */     GIR_EraseRootFromParent_Done,
     /* 1043151 */   // Label 15430: @1043151
     /* 1043151 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1043228), // Rule ID 13519 //
     /* 1043156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043195 */     // MIs[0] policy
     /* 1043195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043227 */     // GIR_Coverage, 13519,
     /* 1043227 */     GIR_EraseRootFromParent_Done,
     /* 1043228 */   // Label 15431: @1043228
     /* 1043228 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1043305), // Rule ID 13522 //
     /* 1043233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043272 */     // MIs[0] policy
     /* 1043272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1043285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043304 */     // GIR_Coverage, 13522,
     /* 1043304 */     GIR_EraseRootFromParent_Done,
     /* 1043305 */   // Label 15432: @1043305
     /* 1043305 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1043382), // Rule ID 13523 //
     /* 1043310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043349 */     // MIs[0] policy
     /* 1043349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1043362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043381 */     // GIR_Coverage, 13523,
     /* 1043381 */     GIR_EraseRootFromParent_Done,
     /* 1043382 */   // Label 15433: @1043382
     /* 1043382 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1043459), // Rule ID 13526 //
     /* 1043387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043426 */     // MIs[0] policy
     /* 1043426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1043439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043458 */     // GIR_Coverage, 13526,
     /* 1043458 */     GIR_EraseRootFromParent_Done,
     /* 1043459 */   // Label 15434: @1043459
     /* 1043459 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1043536), // Rule ID 13527 //
     /* 1043464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1043484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043503 */     // MIs[0] policy
     /* 1043503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1043516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043535 */     // GIR_Coverage, 13527,
     /* 1043535 */     GIR_EraseRootFromParent_Done,
     /* 1043536 */   // Label 15435: @1043536
     /* 1043536 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1043613), // Rule ID 13530 //
     /* 1043541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043580 */     // MIs[0] policy
     /* 1043580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043612 */     // GIR_Coverage, 13530,
     /* 1043612 */     GIR_EraseRootFromParent_Done,
     /* 1043613 */   // Label 15436: @1043613
     /* 1043613 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1043690), // Rule ID 13531 //
     /* 1043618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1043638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043657 */     // MIs[0] policy
     /* 1043657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043689 */     // GIR_Coverage, 13531,
     /* 1043689 */     GIR_EraseRootFromParent_Done,
     /* 1043690 */   // Label 15437: @1043690
     /* 1043690 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1043767), // Rule ID 13534 //
     /* 1043695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043734 */     // MIs[0] policy
     /* 1043734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043766 */     // GIR_Coverage, 13534,
     /* 1043766 */     GIR_EraseRootFromParent_Done,
     /* 1043767 */   // Label 15438: @1043767
     /* 1043767 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1043844), // Rule ID 13535 //
     /* 1043772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1043792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043811 */     // MIs[0] policy
     /* 1043811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043843 */     // GIR_Coverage, 13535,
     /* 1043843 */     GIR_EraseRootFromParent_Done,
     /* 1043844 */   // Label 15439: @1043844
     /* 1043844 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1043921), // Rule ID 13538 //
     /* 1043849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1043860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1043863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1043869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043888 */     // MIs[0] policy
     /* 1043888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043920 */     // GIR_Coverage, 13538,
     /* 1043920 */     GIR_EraseRootFromParent_Done,
     /* 1043921 */   // Label 15440: @1043921
     /* 1043921 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1043998), // Rule ID 13539 //
     /* 1043926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1043937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1043940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1043946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043965 */     // MIs[0] policy
     /* 1043965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043997 */     // GIR_Coverage, 13539,
     /* 1043997 */     GIR_EraseRootFromParent_Done,
     /* 1043998 */   // Label 15441: @1043998
     /* 1043998 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1044075), // Rule ID 13542 //
     /* 1044003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044042 */     // MIs[0] policy
     /* 1044042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044074 */     // GIR_Coverage, 13542,
     /* 1044074 */     GIR_EraseRootFromParent_Done,
     /* 1044075 */   // Label 15442: @1044075
     /* 1044075 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1044152), // Rule ID 13543 //
     /* 1044080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044119 */     // MIs[0] policy
     /* 1044119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044151 */     // GIR_Coverage, 13543,
     /* 1044151 */     GIR_EraseRootFromParent_Done,
     /* 1044152 */   // Label 15443: @1044152
     /* 1044152 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1044229), // Rule ID 13546 //
     /* 1044157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044196 */     // MIs[0] policy
     /* 1044196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044206 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044228 */     // GIR_Coverage, 13546,
     /* 1044228 */     GIR_EraseRootFromParent_Done,
     /* 1044229 */   // Label 15444: @1044229
     /* 1044229 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1044306), // Rule ID 13547 //
     /* 1044234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044273 */     // MIs[0] policy
     /* 1044273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044305 */     // GIR_Coverage, 13547,
     /* 1044305 */     GIR_EraseRootFromParent_Done,
     /* 1044306 */   // Label 15445: @1044306
     /* 1044306 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1044383), // Rule ID 13550 //
     /* 1044311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044350 */     // MIs[0] policy
     /* 1044350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1044363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044382 */     // GIR_Coverage, 13550,
     /* 1044382 */     GIR_EraseRootFromParent_Done,
     /* 1044383 */   // Label 15446: @1044383
     /* 1044383 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1044460), // Rule ID 13551 //
     /* 1044388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1044399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1044402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1044408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044427 */     // MIs[0] policy
     /* 1044427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1044440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044459 */     // GIR_Coverage, 13551,
     /* 1044459 */     GIR_EraseRootFromParent_Done,
     /* 1044460 */   // Label 15447: @1044460
     /* 1044460 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1044537), // Rule ID 13554 //
     /* 1044465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044504 */     // MIs[0] policy
     /* 1044504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044536 */     // GIR_Coverage, 13554,
     /* 1044536 */     GIR_EraseRootFromParent_Done,
     /* 1044537 */   // Label 15448: @1044537
     /* 1044537 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1044614), // Rule ID 13555 //
     /* 1044542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1044562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044581 */     // MIs[0] policy
     /* 1044581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044591 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044613 */     // GIR_Coverage, 13555,
     /* 1044613 */     GIR_EraseRootFromParent_Done,
     /* 1044614 */   // Label 15449: @1044614
     /* 1044614 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1044691), // Rule ID 13558 //
     /* 1044619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1044636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044658 */     // MIs[0] policy
     /* 1044658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1044671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044690 */     // GIR_Coverage, 13558,
     /* 1044690 */     GIR_EraseRootFromParent_Done,
     /* 1044691 */   // Label 15450: @1044691
     /* 1044691 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1044768), // Rule ID 13559 //
     /* 1044696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1044707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1044710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1044713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1044716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044735 */     // MIs[0] policy
     /* 1044735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1044748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044767 */     // GIR_Coverage, 13559,
     /* 1044767 */     GIR_EraseRootFromParent_Done,
     /* 1044768 */   // Label 15451: @1044768
     /* 1044768 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1044845), // Rule ID 13562 //
     /* 1044773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1044790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1044793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044812 */     // MIs[0] policy
     /* 1044812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1044825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044844 */     // GIR_Coverage, 13562,
     /* 1044844 */     GIR_EraseRootFromParent_Done,
     /* 1044845 */   // Label 15452: @1044845
     /* 1044845 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1044922), // Rule ID 13563 //
     /* 1044850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1044867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1044870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044889 */     // MIs[0] policy
     /* 1044889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1044902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044921 */     // GIR_Coverage, 13563,
     /* 1044921 */     GIR_EraseRootFromParent_Done,
     /* 1044922 */   // Label 15453: @1044922
     /* 1044922 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1044999), // Rule ID 13566 //
     /* 1044927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1044935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1044938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1044941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1044944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1044947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044966 */     // MIs[0] policy
     /* 1044966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1044979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044998 */     // GIR_Coverage, 13566,
     /* 1044998 */     GIR_EraseRootFromParent_Done,
     /* 1044999 */   // Label 15454: @1044999
     /* 1044999 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1045076), // Rule ID 13567 //
     /* 1045004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1045021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045043 */     // MIs[0] policy
     /* 1045043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045075 */     // GIR_Coverage, 13567,
     /* 1045075 */     GIR_EraseRootFromParent_Done,
     /* 1045076 */   // Label 15455: @1045076
     /* 1045076 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1045153), // Rule ID 13570 //
     /* 1045081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045120 */     // MIs[0] policy
     /* 1045120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045152 */     // GIR_Coverage, 13570,
     /* 1045152 */     GIR_EraseRootFromParent_Done,
     /* 1045153 */   // Label 15456: @1045153
     /* 1045153 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1045230), // Rule ID 13571 //
     /* 1045158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045197 */     // MIs[0] policy
     /* 1045197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045207 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045229 */     // GIR_Coverage, 13571,
     /* 1045229 */     GIR_EraseRootFromParent_Done,
     /* 1045230 */   // Label 15457: @1045230
     /* 1045230 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1045307), // Rule ID 13574 //
     /* 1045235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1045252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045274 */     // MIs[0] policy
     /* 1045274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1045287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045306 */     // GIR_Coverage, 13574,
     /* 1045306 */     GIR_EraseRootFromParent_Done,
     /* 1045307 */   // Label 15458: @1045307
     /* 1045307 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1045384), // Rule ID 13575 //
     /* 1045312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1045329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045351 */     // MIs[0] policy
     /* 1045351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045361 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1045364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045383 */     // GIR_Coverage, 13575,
     /* 1045383 */     GIR_EraseRootFromParent_Done,
     /* 1045384 */   // Label 15459: @1045384
     /* 1045384 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1045461), // Rule ID 13578 //
     /* 1045389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1045406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045428 */     // MIs[0] policy
     /* 1045428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1045441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045460 */     // GIR_Coverage, 13578,
     /* 1045460 */     GIR_EraseRootFromParent_Done,
     /* 1045461 */   // Label 15460: @1045461
     /* 1045461 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1045538), // Rule ID 13579 //
     /* 1045466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1045483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045505 */     // MIs[0] policy
     /* 1045505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1045518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045537 */     // GIR_Coverage, 13579,
     /* 1045537 */     GIR_EraseRootFromParent_Done,
     /* 1045538 */   // Label 15461: @1045538
     /* 1045538 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1045615), // Rule ID 13582 //
     /* 1045543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1045560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045582 */     // MIs[0] policy
     /* 1045582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045592 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045614 */     // GIR_Coverage, 13582,
     /* 1045614 */     GIR_EraseRootFromParent_Done,
     /* 1045615 */   // Label 15462: @1045615
     /* 1045615 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1045692), // Rule ID 13583 //
     /* 1045620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1045637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1045640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045659 */     // MIs[0] policy
     /* 1045659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045669 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045691 */     // GIR_Coverage, 13583,
     /* 1045691 */     GIR_EraseRootFromParent_Done,
     /* 1045692 */   // Label 15463: @1045692
     /* 1045692 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1045769), // Rule ID 13586 //
     /* 1045697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045736 */     // MIs[0] policy
     /* 1045736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045768 */     // GIR_Coverage, 13586,
     /* 1045768 */     GIR_EraseRootFromParent_Done,
     /* 1045769 */   // Label 15464: @1045769
     /* 1045769 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1045846), // Rule ID 13587 //
     /* 1045774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1045794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045813 */     // MIs[0] policy
     /* 1045813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045845 */     // GIR_Coverage, 13587,
     /* 1045845 */     GIR_EraseRootFromParent_Done,
     /* 1045846 */   // Label 15465: @1045846
     /* 1045846 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1045923), // Rule ID 13590 //
     /* 1045851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1045868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1045871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045890 */     // MIs[0] policy
     /* 1045890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045922 */     // GIR_Coverage, 13590,
     /* 1045922 */     GIR_EraseRootFromParent_Done,
     /* 1045923 */   // Label 15466: @1045923
     /* 1045923 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1046000), // Rule ID 13591 //
     /* 1045928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1045945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1045948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045967 */     // MIs[0] policy
     /* 1045967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045999 */     // GIR_Coverage, 13591,
     /* 1045999 */     GIR_EraseRootFromParent_Done,
     /* 1046000 */   // Label 15467: @1046000
     /* 1046000 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1046077), // Rule ID 13594 //
     /* 1046005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046044 */     // MIs[0] policy
     /* 1046044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046076 */     // GIR_Coverage, 13594,
     /* 1046076 */     GIR_EraseRootFromParent_Done,
     /* 1046077 */   // Label 15468: @1046077
     /* 1046077 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1046154), // Rule ID 13595 //
     /* 1046082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046121 */     // MIs[0] policy
     /* 1046121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046153 */     // GIR_Coverage, 13595,
     /* 1046153 */     GIR_EraseRootFromParent_Done,
     /* 1046154 */   // Label 15469: @1046154
     /* 1046154 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1046231), // Rule ID 13598 //
     /* 1046159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046198 */     // MIs[0] policy
     /* 1046198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046230 */     // GIR_Coverage, 13598,
     /* 1046230 */     GIR_EraseRootFromParent_Done,
     /* 1046231 */   // Label 15470: @1046231
     /* 1046231 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1046308), // Rule ID 13599 //
     /* 1046236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046275 */     // MIs[0] policy
     /* 1046275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046285 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046307 */     // GIR_Coverage, 13599,
     /* 1046307 */     GIR_EraseRootFromParent_Done,
     /* 1046308 */   // Label 15471: @1046308
     /* 1046308 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1046385), // Rule ID 13602 //
     /* 1046313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1046330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046352 */     // MIs[0] policy
     /* 1046352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046362 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1046365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046384 */     // GIR_Coverage, 13602,
     /* 1046384 */     GIR_EraseRootFromParent_Done,
     /* 1046385 */   // Label 15472: @1046385
     /* 1046385 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1046462), // Rule ID 13603 //
     /* 1046390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1046407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1046410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046429 */     // MIs[0] policy
     /* 1046429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1046442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046461 */     // GIR_Coverage, 13603,
     /* 1046461 */     GIR_EraseRootFromParent_Done,
     /* 1046462 */   // Label 15473: @1046462
     /* 1046462 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1046539), // Rule ID 13606 //
     /* 1046467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1046484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046506 */     // MIs[0] policy
     /* 1046506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046538 */     // GIR_Coverage, 13606,
     /* 1046538 */     GIR_EraseRootFromParent_Done,
     /* 1046539 */   // Label 15474: @1046539
     /* 1046539 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1046616), // Rule ID 13607 //
     /* 1046544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1046561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1046564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046583 */     // MIs[0] policy
     /* 1046583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046615 */     // GIR_Coverage, 13607,
     /* 1046615 */     GIR_EraseRootFromParent_Done,
     /* 1046616 */   // Label 15475: @1046616
     /* 1046616 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1046693), // Rule ID 13610 //
     /* 1046621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1046638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046660 */     // MIs[0] policy
     /* 1046660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046692 */     // GIR_Coverage, 13610,
     /* 1046692 */     GIR_EraseRootFromParent_Done,
     /* 1046693 */   // Label 15476: @1046693
     /* 1046693 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1046770), // Rule ID 13611 //
     /* 1046698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1046715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046737 */     // MIs[0] policy
     /* 1046737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046769 */     // GIR_Coverage, 13611,
     /* 1046769 */     GIR_EraseRootFromParent_Done,
     /* 1046770 */   // Label 15477: @1046770
     /* 1046770 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1046847), // Rule ID 13614 //
     /* 1046775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1046792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046814 */     // MIs[0] policy
     /* 1046814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046824 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046846 */     // GIR_Coverage, 13614,
     /* 1046846 */     GIR_EraseRootFromParent_Done,
     /* 1046847 */   // Label 15478: @1046847
     /* 1046847 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1046924), // Rule ID 13615 //
     /* 1046852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1046855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1046869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046891 */     // MIs[0] policy
     /* 1046891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046923 */     // GIR_Coverage, 13615,
     /* 1046923 */     GIR_EraseRootFromParent_Done,
     /* 1046924 */   // Label 15479: @1046924
     /* 1046924 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1047001), // Rule ID 13618 //
     /* 1046929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1046940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1046943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1046949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046968 */     // MIs[0] policy
     /* 1046968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1046981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047000 */     // GIR_Coverage, 13618,
     /* 1047000 */     GIR_EraseRootFromParent_Done,
     /* 1047001 */   // Label 15480: @1047001
     /* 1047001 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1047078), // Rule ID 13619 //
     /* 1047006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1047026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047045 */     // MIs[0] policy
     /* 1047045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047055 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1047058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047077 */     // GIR_Coverage, 13619,
     /* 1047077 */     GIR_EraseRootFromParent_Done,
     /* 1047078 */   // Label 15481: @1047078
     /* 1047078 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1047155), // Rule ID 13622 //
     /* 1047083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1047103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047122 */     // MIs[0] policy
     /* 1047122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047154 */     // GIR_Coverage, 13622,
     /* 1047154 */     GIR_EraseRootFromParent_Done,
     /* 1047155 */   // Label 15482: @1047155
     /* 1047155 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1047232), // Rule ID 13623 //
     /* 1047160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1047180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047199 */     // MIs[0] policy
     /* 1047199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047209 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047231 */     // GIR_Coverage, 13623,
     /* 1047231 */     GIR_EraseRootFromParent_Done,
     /* 1047232 */   // Label 15483: @1047232
     /* 1047232 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1047309), // Rule ID 13626 //
     /* 1047237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1047257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047276 */     // MIs[0] policy
     /* 1047276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1047289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047308 */     // GIR_Coverage, 13626,
     /* 1047308 */     GIR_EraseRootFromParent_Done,
     /* 1047309 */   // Label 15484: @1047309
     /* 1047309 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1047386), // Rule ID 13627 //
     /* 1047314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1047334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047353 */     // MIs[0] policy
     /* 1047353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047363 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11584:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1047366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047385 */     // GIR_Coverage, 13627,
     /* 1047385 */     GIR_EraseRootFromParent_Done,
     /* 1047386 */   // Label 15485: @1047386
     /* 1047386 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1047463), // Rule ID 13630 //
     /* 1047391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1047411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047430 */     // MIs[0] policy
     /* 1047430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047440 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1047443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047462 */     // GIR_Coverage, 13630,
     /* 1047462 */     GIR_EraseRootFromParent_Done,
     /* 1047463 */   // Label 15486: @1047463
     /* 1047463 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1047540), // Rule ID 13631 //
     /* 1047468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1047479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1047482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1047488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047507 */     // MIs[0] policy
     /* 1047507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1047520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047539 */     // GIR_Coverage, 13631,
     /* 1047539 */     GIR_EraseRootFromParent_Done,
     /* 1047540 */   // Label 15487: @1047540
     /* 1047540 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1047617), // Rule ID 13634 //
     /* 1047545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1047556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1047559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1047565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047584 */     // MIs[0] policy
     /* 1047584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1047597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047616 */     // GIR_Coverage, 13634,
     /* 1047616 */     GIR_EraseRootFromParent_Done,
     /* 1047617 */   // Label 15488: @1047617
     /* 1047617 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1047694), // Rule ID 13635 //
     /* 1047622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1047633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1047636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1047642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047661 */     // MIs[0] policy
     /* 1047661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1047674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047693 */     // GIR_Coverage, 13635,
     /* 1047693 */     GIR_EraseRootFromParent_Done,
     /* 1047694 */   // Label 15489: @1047694
     /* 1047694 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1047771), // Rule ID 13638 //
     /* 1047699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1047710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1047713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1047719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047738 */     // MIs[0] policy
     /* 1047738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1047751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047770 */     // GIR_Coverage, 13638,
     /* 1047770 */     GIR_EraseRootFromParent_Done,
     /* 1047771 */   // Label 15490: @1047771
     /* 1047771 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1047848), // Rule ID 13639 //
     /* 1047776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1047787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1047790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1047796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047815 */     // MIs[0] policy
     /* 1047815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047825 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1047828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047847 */     // GIR_Coverage, 13639,
     /* 1047847 */     GIR_EraseRootFromParent_Done,
     /* 1047848 */   // Label 15491: @1047848
     /* 1047848 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1047925), // Rule ID 13642 //
     /* 1047853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1047873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047892 */     // MIs[0] policy
     /* 1047892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047924 */     // GIR_Coverage, 13642,
     /* 1047924 */     GIR_EraseRootFromParent_Done,
     /* 1047925 */   // Label 15492: @1047925
     /* 1047925 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1048002), // Rule ID 13643 //
     /* 1047930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1047950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047969 */     // MIs[0] policy
     /* 1047969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047979 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048001 */     // GIR_Coverage, 13643,
     /* 1048001 */     GIR_EraseRootFromParent_Done,
     /* 1048002 */   // Label 15493: @1048002
     /* 1048002 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1048079), // Rule ID 13646 //
     /* 1048007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1048027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048046 */     // MIs[0] policy
     /* 1048046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048078 */     // GIR_Coverage, 13646,
     /* 1048078 */     GIR_EraseRootFromParent_Done,
     /* 1048079 */   // Label 15494: @1048079
     /* 1048079 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1048156), // Rule ID 13647 //
     /* 1048084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1048104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048123 */     // MIs[0] policy
     /* 1048123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11584:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048155 */     // GIR_Coverage, 13647,
     /* 1048155 */     GIR_EraseRootFromParent_Done,
     /* 1048156 */   // Label 15495: @1048156
     /* 1048156 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1048233), // Rule ID 13650 //
     /* 1048161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1048181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048200 */     // MIs[0] policy
     /* 1048200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048232 */     // GIR_Coverage, 13650,
     /* 1048232 */     GIR_EraseRootFromParent_Done,
     /* 1048233 */   // Label 15496: @1048233
     /* 1048233 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1048310), // Rule ID 13651 //
     /* 1048238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1048258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048277 */     // MIs[0] policy
     /* 1048277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048309 */     // GIR_Coverage, 13651,
     /* 1048309 */     GIR_EraseRootFromParent_Done,
     /* 1048310 */   // Label 15497: @1048310
     /* 1048310 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1048387), // Rule ID 13654 //
     /* 1048315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1048335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048354 */     // MIs[0] policy
     /* 1048354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1048367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048386 */     // GIR_Coverage, 13654,
     /* 1048386 */     GIR_EraseRootFromParent_Done,
     /* 1048387 */   // Label 15498: @1048387
     /* 1048387 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1048464), // Rule ID 13655 //
     /* 1048392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1048412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048431 */     // MIs[0] policy
     /* 1048431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048441 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1048444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048463 */     // GIR_Coverage, 13655,
     /* 1048463 */     GIR_EraseRootFromParent_Done,
     /* 1048464 */   // Label 15499: @1048464
     /* 1048464 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1048541), // Rule ID 13658 //
     /* 1048469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1048489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048508 */     // MIs[0] policy
     /* 1048508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1048521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048540 */     // GIR_Coverage, 13658,
     /* 1048540 */     GIR_EraseRootFromParent_Done,
     /* 1048541 */   // Label 15500: @1048541
     /* 1048541 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1048618), // Rule ID 13659 //
     /* 1048546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1048566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048585 */     // MIs[0] policy
     /* 1048585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048595 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1048598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048617 */     // GIR_Coverage, 13659,
     /* 1048617 */     GIR_EraseRootFromParent_Done,
     /* 1048618 */   // Label 15501: @1048618
     /* 1048618 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1048695), // Rule ID 13662 //
     /* 1048623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1048626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1048643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048662 */     // MIs[0] policy
     /* 1048662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048694 */     // GIR_Coverage, 13662,
     /* 1048694 */     GIR_EraseRootFromParent_Done,
     /* 1048695 */   // Label 15502: @1048695
     /* 1048695 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1048772), // Rule ID 13663 //
     /* 1048700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1048703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1048720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048739 */     // MIs[0] policy
     /* 1048739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048749 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11584:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048771 */     // GIR_Coverage, 13663,
     /* 1048771 */     GIR_EraseRootFromParent_Done,
     /* 1048772 */   // Label 15503: @1048772
     /* 1048772 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1048849), // Rule ID 13666 //
     /* 1048777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1048780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1048788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1048791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1048797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048816 */     // MIs[0] policy
     /* 1048816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048848 */     // GIR_Coverage, 13666,
     /* 1048848 */     GIR_EraseRootFromParent_Done,
     /* 1048849 */   // Label 15504: @1048849
     /* 1048849 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1048926), // Rule ID 13667 //
     /* 1048854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1048857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1048865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1048868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1048874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048893 */     // MIs[0] policy
     /* 1048893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11584:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048925 */     // GIR_Coverage, 13667,
     /* 1048925 */     GIR_EraseRootFromParent_Done,
     /* 1048926 */   // Label 15505: @1048926
     /* 1048926 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1049003), // Rule ID 13670 //
     /* 1048931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1048934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1048942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1048945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1048951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048970 */     // MIs[0] policy
     /* 1048970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1048983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049002 */     // GIR_Coverage, 13670,
     /* 1049002 */     GIR_EraseRootFromParent_Done,
     /* 1049003 */   // Label 15506: @1049003
     /* 1049003 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1049080), // Rule ID 13671 //
     /* 1049008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1049028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049047 */     // MIs[0] policy
     /* 1049047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049057 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11584:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1049060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049079 */     // GIR_Coverage, 13671,
     /* 1049079 */     GIR_EraseRootFromParent_Done,
     /* 1049080 */   // Label 15507: @1049080
     /* 1049080 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1049157), // Rule ID 13674 //
     /* 1049085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1049088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1049105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049124 */     // MIs[0] policy
     /* 1049124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049156 */     // GIR_Coverage, 13674,
     /* 1049156 */     GIR_EraseRootFromParent_Done,
     /* 1049157 */   // Label 15508: @1049157
     /* 1049157 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1049234), // Rule ID 13675 //
     /* 1049162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1049182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049201 */     // MIs[0] policy
     /* 1049201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049211 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11584:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049233 */     // GIR_Coverage, 13675,
     /* 1049233 */     GIR_EraseRootFromParent_Done,
     /* 1049234 */   // Label 15509: @1049234
     /* 1049234 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1049311), // Rule ID 13678 //
     /* 1049239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1049250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1049253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1049259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049278 */     // MIs[0] policy
     /* 1049278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049288 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1049291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049310 */     // GIR_Coverage, 13678,
     /* 1049310 */     GIR_EraseRootFromParent_Done,
     /* 1049311 */   // Label 15510: @1049311
     /* 1049311 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1049388), // Rule ID 13679 //
     /* 1049316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1049327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1049330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1049336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049355 */     // MIs[0] policy
     /* 1049355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049365 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1049368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049387 */     // GIR_Coverage, 13679,
     /* 1049387 */     GIR_EraseRootFromParent_Done,
     /* 1049388 */   // Label 15511: @1049388
     /* 1049388 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1049465), // Rule ID 13682 //
     /* 1049393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1049413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049432 */     // MIs[0] policy
     /* 1049432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1049445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049464 */     // GIR_Coverage, 13682,
     /* 1049464 */     GIR_EraseRootFromParent_Done,
     /* 1049465 */   // Label 15512: @1049465
     /* 1049465 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1049542), // Rule ID 13683 //
     /* 1049470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1049481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1049484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1049490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049509 */     // MIs[0] policy
     /* 1049509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049519 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1049522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049541 */     // GIR_Coverage, 13683,
     /* 1049541 */     GIR_EraseRootFromParent_Done,
     /* 1049542 */   // Label 15513: @1049542
     /* 1049542 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1049619), // Rule ID 13686 //
     /* 1049547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1049567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049586 */     // MIs[0] policy
     /* 1049586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1049599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049618 */     // GIR_Coverage, 13686,
     /* 1049618 */     GIR_EraseRootFromParent_Done,
     /* 1049619 */   // Label 15514: @1049619
     /* 1049619 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1049696), // Rule ID 13687 //
     /* 1049624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1049635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1049638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1049644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049663 */     // MIs[0] policy
     /* 1049663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11588:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1049676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049695 */     // GIR_Coverage, 13687,
     /* 1049695 */     GIR_EraseRootFromParent_Done,
     /* 1049696 */   // Label 15515: @1049696
     /* 1049696 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1049773), // Rule ID 13690 //
     /* 1049701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1049721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049740 */     // MIs[0] policy
     /* 1049740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049750 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1049753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049772 */     // GIR_Coverage, 13690,
     /* 1049772 */     GIR_EraseRootFromParent_Done,
     /* 1049773 */   // Label 15516: @1049773
     /* 1049773 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1049850), // Rule ID 13691 //
     /* 1049778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1049798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049817 */     // MIs[0] policy
     /* 1049817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1049830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049849 */     // GIR_Coverage, 13691,
     /* 1049849 */     GIR_EraseRootFromParent_Done,
     /* 1049850 */   // Label 15517: @1049850
     /* 1049850 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1049927), // Rule ID 13694 //
     /* 1049855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1049866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1049869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1049875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049894 */     // MIs[0] policy
     /* 1049894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1049907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049926 */     // GIR_Coverage, 13694,
     /* 1049926 */     GIR_EraseRootFromParent_Done,
     /* 1049927 */   // Label 15518: @1049927
     /* 1049927 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1050004), // Rule ID 13695 //
     /* 1049932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1049943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1049946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1049952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049971 */     // MIs[0] policy
     /* 1049971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049981 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1049984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050003 */     // GIR_Coverage, 13695,
     /* 1050003 */     GIR_EraseRootFromParent_Done,
     /* 1050004 */   // Label 15519: @1050004
     /* 1050004 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1050081), // Rule ID 13698 //
     /* 1050009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050048 */     // MIs[0] policy
     /* 1050048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050080 */     // GIR_Coverage, 13698,
     /* 1050080 */     GIR_EraseRootFromParent_Done,
     /* 1050081 */   // Label 15520: @1050081
     /* 1050081 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1050158), // Rule ID 13699 //
     /* 1050086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050125 */     // MIs[0] policy
     /* 1050125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050135 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050157 */     // GIR_Coverage, 13699,
     /* 1050157 */     GIR_EraseRootFromParent_Done,
     /* 1050158 */   // Label 15521: @1050158
     /* 1050158 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1050235), // Rule ID 13702 //
     /* 1050163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050202 */     // MIs[0] policy
     /* 1050202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050234 */     // GIR_Coverage, 13702,
     /* 1050234 */     GIR_EraseRootFromParent_Done,
     /* 1050235 */   // Label 15522: @1050235
     /* 1050235 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1050312), // Rule ID 13703 //
     /* 1050240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050279 */     // MIs[0] policy
     /* 1050279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050311 */     // GIR_Coverage, 13703,
     /* 1050311 */     GIR_EraseRootFromParent_Done,
     /* 1050312 */   // Label 15523: @1050312
     /* 1050312 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1050389), // Rule ID 13706 //
     /* 1050317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1050337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050356 */     // MIs[0] policy
     /* 1050356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1050369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050388 */     // GIR_Coverage, 13706,
     /* 1050388 */     GIR_EraseRootFromParent_Done,
     /* 1050389 */   // Label 15524: @1050389
     /* 1050389 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1050466), // Rule ID 13707 //
     /* 1050394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1050414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050433 */     // MIs[0] policy
     /* 1050433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11588:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1050446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050465 */     // GIR_Coverage, 13707,
     /* 1050465 */     GIR_EraseRootFromParent_Done,
     /* 1050466 */   // Label 15525: @1050466
     /* 1050466 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1050543), // Rule ID 13710 //
     /* 1050471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1050491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050510 */     // MIs[0] policy
     /* 1050510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1050523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050542 */     // GIR_Coverage, 13710,
     /* 1050542 */     GIR_EraseRootFromParent_Done,
     /* 1050543 */   // Label 15526: @1050543
     /* 1050543 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1050620), // Rule ID 13711 //
     /* 1050548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1050568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050587 */     // MIs[0] policy
     /* 1050587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1050600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050619 */     // GIR_Coverage, 13711,
     /* 1050619 */     GIR_EraseRootFromParent_Done,
     /* 1050620 */   // Label 15527: @1050620
     /* 1050620 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1050697), // Rule ID 13714 //
     /* 1050625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1050645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050664 */     // MIs[0] policy
     /* 1050664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050696 */     // GIR_Coverage, 13714,
     /* 1050696 */     GIR_EraseRootFromParent_Done,
     /* 1050697 */   // Label 15528: @1050697
     /* 1050697 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1050774), // Rule ID 13715 //
     /* 1050702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1050722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050741 */     // MIs[0] policy
     /* 1050741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050773 */     // GIR_Coverage, 13715,
     /* 1050773 */     GIR_EraseRootFromParent_Done,
     /* 1050774 */   // Label 15529: @1050774
     /* 1050774 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1050851), // Rule ID 13718 //
     /* 1050779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1050799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050818 */     // MIs[0] policy
     /* 1050818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050850 */     // GIR_Coverage, 13718,
     /* 1050850 */     GIR_EraseRootFromParent_Done,
     /* 1050851 */   // Label 15530: @1050851
     /* 1050851 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1050928), // Rule ID 13719 //
     /* 1050856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1050876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050895 */     // MIs[0] policy
     /* 1050895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050905 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050927 */     // GIR_Coverage, 13719,
     /* 1050927 */     GIR_EraseRootFromParent_Done,
     /* 1050928 */   // Label 15531: @1050928
     /* 1050928 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1051005), // Rule ID 13722 //
     /* 1050933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1050936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1050953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050972 */     // MIs[0] policy
     /* 1050972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1050985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051004 */     // GIR_Coverage, 13722,
     /* 1051004 */     GIR_EraseRootFromParent_Done,
     /* 1051005 */   // Label 15532: @1051005
     /* 1051005 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1051082), // Rule ID 13723 //
     /* 1051010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1051021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1051024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1051030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051049 */     // MIs[0] policy
     /* 1051049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11588:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1051062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051081 */     // GIR_Coverage, 13723,
     /* 1051081 */     GIR_EraseRootFromParent_Done,
     /* 1051082 */   // Label 15533: @1051082
     /* 1051082 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1051159), // Rule ID 13726 //
     /* 1051087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051126 */     // MIs[0] policy
     /* 1051126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051158 */     // GIR_Coverage, 13726,
     /* 1051158 */     GIR_EraseRootFromParent_Done,
     /* 1051159 */   // Label 15534: @1051159
     /* 1051159 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1051236), // Rule ID 13727 //
     /* 1051164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051203 */     // MIs[0] policy
     /* 1051203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051213 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11588:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051235 */     // GIR_Coverage, 13727,
     /* 1051235 */     GIR_EraseRootFromParent_Done,
     /* 1051236 */   // Label 15535: @1051236
     /* 1051236 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1051313), // Rule ID 13730 //
     /* 1051241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1051261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051280 */     // MIs[0] policy
     /* 1051280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1051293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051312 */     // GIR_Coverage, 13730,
     /* 1051312 */     GIR_EraseRootFromParent_Done,
     /* 1051313 */   // Label 15536: @1051313
     /* 1051313 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1051390), // Rule ID 13731 //
     /* 1051318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1051338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051357 */     // MIs[0] policy
     /* 1051357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11588:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1051370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051389 */     // GIR_Coverage, 13731,
     /* 1051389 */     GIR_EraseRootFromParent_Done,
     /* 1051390 */   // Label 15537: @1051390
     /* 1051390 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1051467), // Rule ID 13734 //
     /* 1051395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1051415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051434 */     // MIs[0] policy
     /* 1051434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051466 */     // GIR_Coverage, 13734,
     /* 1051466 */     GIR_EraseRootFromParent_Done,
     /* 1051467 */   // Label 15538: @1051467
     /* 1051467 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1051544), // Rule ID 13735 //
     /* 1051472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1051492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051511 */     // MIs[0] policy
     /* 1051511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11588:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051543 */     // GIR_Coverage, 13735,
     /* 1051543 */     GIR_EraseRootFromParent_Done,
     /* 1051544 */   // Label 15539: @1051544
     /* 1051544 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1051621), // Rule ID 18948 //
     /* 1051549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1051552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051588 */     // MIs[0] policy
     /* 1051588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1051601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051620 */     // GIR_Coverage, 18948,
     /* 1051620 */     GIR_EraseRootFromParent_Done,
     /* 1051621 */   // Label 15540: @1051621
     /* 1051621 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1051698), // Rule ID 18949 //
     /* 1051626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1051629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051665 */     // MIs[0] policy
     /* 1051665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051675 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1051678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051697 */     // GIR_Coverage, 18949,
     /* 1051697 */     GIR_EraseRootFromParent_Done,
     /* 1051698 */   // Label 15541: @1051698
     /* 1051698 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1051775), // Rule ID 18952 //
     /* 1051703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1051706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051742 */     // MIs[0] policy
     /* 1051742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1051755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051774 */     // GIR_Coverage, 18952,
     /* 1051774 */     GIR_EraseRootFromParent_Done,
     /* 1051775 */   // Label 15542: @1051775
     /* 1051775 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1051852), // Rule ID 18953 //
     /* 1051780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1051783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051819 */     // MIs[0] policy
     /* 1051819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051829 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1051832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051851 */     // GIR_Coverage, 18953,
     /* 1051851 */     GIR_EraseRootFromParent_Done,
     /* 1051852 */   // Label 15543: @1051852
     /* 1051852 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1051929), // Rule ID 18956 //
     /* 1051857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1051860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051896 */     // MIs[0] policy
     /* 1051896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051906 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1051909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051928 */     // GIR_Coverage, 18956,
     /* 1051928 */     GIR_EraseRootFromParent_Done,
     /* 1051929 */   // Label 15544: @1051929
     /* 1051929 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1052006), // Rule ID 18957 //
     /* 1051934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1051937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1051942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051973 */     // MIs[0] policy
     /* 1051973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051983 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1051986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052005 */     // GIR_Coverage, 18957,
     /* 1052005 */     GIR_EraseRootFromParent_Done,
     /* 1052006 */   // Label 15545: @1052006
     /* 1052006 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1052083), // Rule ID 18960 //
     /* 1052011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1052014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052050 */     // MIs[0] policy
     /* 1052050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1052063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052082 */     // GIR_Coverage, 18960,
     /* 1052082 */     GIR_EraseRootFromParent_Done,
     /* 1052083 */   // Label 15546: @1052083
     /* 1052083 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1052160), // Rule ID 18961 //
     /* 1052088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1052091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052127 */     // MIs[0] policy
     /* 1052127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052137 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1052140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052159 */     // GIR_Coverage, 18961,
     /* 1052159 */     GIR_EraseRootFromParent_Done,
     /* 1052160 */   // Label 15547: @1052160
     /* 1052160 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1052237), // Rule ID 18964 //
     /* 1052165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1052168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052204 */     // MIs[0] policy
     /* 1052204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052214 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1052217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052236 */     // GIR_Coverage, 18964,
     /* 1052236 */     GIR_EraseRootFromParent_Done,
     /* 1052237 */   // Label 15548: @1052237
     /* 1052237 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1052314), // Rule ID 18965 //
     /* 1052242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1052245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052281 */     // MIs[0] policy
     /* 1052281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052291 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1052294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052313 */     // GIR_Coverage, 18965,
     /* 1052313 */     GIR_EraseRootFromParent_Done,
     /* 1052314 */   // Label 15549: @1052314
     /* 1052314 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1052391), // Rule ID 18968 //
     /* 1052319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052358 */     // MIs[0] policy
     /* 1052358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052368 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1052371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052390 */     // GIR_Coverage, 18968,
     /* 1052390 */     GIR_EraseRootFromParent_Done,
     /* 1052391 */   // Label 15550: @1052391
     /* 1052391 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1052468), // Rule ID 18969 //
     /* 1052396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052435 */     // MIs[0] policy
     /* 1052435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052445 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1052448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052467 */     // GIR_Coverage, 18969,
     /* 1052467 */     GIR_EraseRootFromParent_Done,
     /* 1052468 */   // Label 15551: @1052468
     /* 1052468 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1052545), // Rule ID 18972 //
     /* 1052473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052512 */     // MIs[0] policy
     /* 1052512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052522 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1052525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052544 */     // GIR_Coverage, 18972,
     /* 1052544 */     GIR_EraseRootFromParent_Done,
     /* 1052545 */   // Label 15552: @1052545
     /* 1052545 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1052622), // Rule ID 18973 //
     /* 1052550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052589 */     // MIs[0] policy
     /* 1052589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052599 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1052602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052621 */     // GIR_Coverage, 18973,
     /* 1052621 */     GIR_EraseRootFromParent_Done,
     /* 1052622 */   // Label 15553: @1052622
     /* 1052622 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1052699), // Rule ID 18976 //
     /* 1052627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052666 */     // MIs[0] policy
     /* 1052666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052676 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1052679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052698 */     // GIR_Coverage, 18976,
     /* 1052698 */     GIR_EraseRootFromParent_Done,
     /* 1052699 */   // Label 15554: @1052699
     /* 1052699 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1052776), // Rule ID 18977 //
     /* 1052704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1052724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052743 */     // MIs[0] policy
     /* 1052743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052753 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1052756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052775 */     // GIR_Coverage, 18977,
     /* 1052775 */     GIR_EraseRootFromParent_Done,
     /* 1052776 */   // Label 15555: @1052776
     /* 1052776 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1052853), // Rule ID 18980 //
     /* 1052781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1052784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052820 */     // MIs[0] policy
     /* 1052820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1052833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052852 */     // GIR_Coverage, 18980,
     /* 1052852 */     GIR_EraseRootFromParent_Done,
     /* 1052853 */   // Label 15556: @1052853
     /* 1052853 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1052930), // Rule ID 18981 //
     /* 1052858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1052861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052897 */     // MIs[0] policy
     /* 1052897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052907 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1052910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052929 */     // GIR_Coverage, 18981,
     /* 1052929 */     GIR_EraseRootFromParent_Done,
     /* 1052930 */   // Label 15557: @1052930
     /* 1052930 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1053007), // Rule ID 18984 //
     /* 1052935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1052938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1052952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052974 */     // MIs[0] policy
     /* 1052974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052984 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1052987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053006 */     // GIR_Coverage, 18984,
     /* 1053006 */     GIR_EraseRootFromParent_Done,
     /* 1053007 */   // Label 15558: @1053007
     /* 1053007 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1053084), // Rule ID 18985 //
     /* 1053012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053051 */     // MIs[0] policy
     /* 1053051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053061 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1053064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053083 */     // GIR_Coverage, 18985,
     /* 1053083 */     GIR_EraseRootFromParent_Done,
     /* 1053084 */   // Label 15559: @1053084
     /* 1053084 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1053161), // Rule ID 18988 //
     /* 1053089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1053092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053128 */     // MIs[0] policy
     /* 1053128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053138 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1053141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053160 */     // GIR_Coverage, 18988,
     /* 1053160 */     GIR_EraseRootFromParent_Done,
     /* 1053161 */   // Label 15560: @1053161
     /* 1053161 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1053238), // Rule ID 18989 //
     /* 1053166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053205 */     // MIs[0] policy
     /* 1053205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053215 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1053218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053237 */     // GIR_Coverage, 18989,
     /* 1053237 */     GIR_EraseRootFromParent_Done,
     /* 1053238 */   // Label 15561: @1053238
     /* 1053238 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1053315), // Rule ID 18992 //
     /* 1053243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1053246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053282 */     // MIs[0] policy
     /* 1053282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053292 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1053295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053314 */     // GIR_Coverage, 18992,
     /* 1053314 */     GIR_EraseRootFromParent_Done,
     /* 1053315 */   // Label 15562: @1053315
     /* 1053315 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1053392), // Rule ID 18993 //
     /* 1053320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1053323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053359 */     // MIs[0] policy
     /* 1053359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053369 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1053372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053391 */     // GIR_Coverage, 18993,
     /* 1053391 */     GIR_EraseRootFromParent_Done,
     /* 1053392 */   // Label 15563: @1053392
     /* 1053392 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1053469), // Rule ID 18996 //
     /* 1053397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1053400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053436 */     // MIs[0] policy
     /* 1053436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053446 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1053449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053468 */     // GIR_Coverage, 18996,
     /* 1053468 */     GIR_EraseRootFromParent_Done,
     /* 1053469 */   // Label 15564: @1053469
     /* 1053469 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1053546), // Rule ID 18997 //
     /* 1053474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1053477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053513 */     // MIs[0] policy
     /* 1053513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053523 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1053526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053545 */     // GIR_Coverage, 18997,
     /* 1053545 */     GIR_EraseRootFromParent_Done,
     /* 1053546 */   // Label 15565: @1053546
     /* 1053546 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1053623), // Rule ID 19000 //
     /* 1053551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1053554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053590 */     // MIs[0] policy
     /* 1053590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053600 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1053603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053622 */     // GIR_Coverage, 19000,
     /* 1053622 */     GIR_EraseRootFromParent_Done,
     /* 1053623 */   // Label 15566: @1053623
     /* 1053623 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1053700), // Rule ID 19001 //
     /* 1053628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1053631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053667 */     // MIs[0] policy
     /* 1053667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053677 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1053680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053699 */     // GIR_Coverage, 19001,
     /* 1053699 */     GIR_EraseRootFromParent_Done,
     /* 1053700 */   // Label 15567: @1053700
     /* 1053700 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1053777), // Rule ID 20384 //
     /* 1053705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1053713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053744 */     // MIs[0] policy
     /* 1053744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1053757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053776 */     // GIR_Coverage, 20384,
     /* 1053776 */     GIR_EraseRootFromParent_Done,
     /* 1053777 */   // Label 15568: @1053777
     /* 1053777 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1053854), // Rule ID 20385 //
     /* 1053782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1053790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1053793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053821 */     // MIs[0] policy
     /* 1053821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1053834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053853 */     // GIR_Coverage, 20385,
     /* 1053853 */     GIR_EraseRootFromParent_Done,
     /* 1053854 */   // Label 15569: @1053854
     /* 1053854 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1053931), // Rule ID 20388 //
     /* 1053859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1053867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1053870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1053873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1053876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053898 */     // MIs[0] policy
     /* 1053898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1053911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053930 */     // GIR_Coverage, 20388,
     /* 1053930 */     GIR_EraseRootFromParent_Done,
     /* 1053931 */   // Label 15570: @1053931
     /* 1053931 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1054008), // Rule ID 20389 //
     /* 1053936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1053944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1053947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1053950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1053953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053975 */     // MIs[0] policy
     /* 1053975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1053988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054007 */     // GIR_Coverage, 20389,
     /* 1054007 */     GIR_EraseRootFromParent_Done,
     /* 1054008 */   // Label 15571: @1054008
     /* 1054008 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1054085), // Rule ID 20392 //
     /* 1054013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054052 */     // MIs[0] policy
     /* 1054052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054084 */     // GIR_Coverage, 20392,
     /* 1054084 */     GIR_EraseRootFromParent_Done,
     /* 1054085 */   // Label 15572: @1054085
     /* 1054085 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1054162), // Rule ID 20393 //
     /* 1054090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054129 */     // MIs[0] policy
     /* 1054129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054161 */     // GIR_Coverage, 20393,
     /* 1054161 */     GIR_EraseRootFromParent_Done,
     /* 1054162 */   // Label 15573: @1054162
     /* 1054162 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1054239), // Rule ID 20396 //
     /* 1054167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054206 */     // MIs[0] policy
     /* 1054206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054238 */     // GIR_Coverage, 20396,
     /* 1054238 */     GIR_EraseRootFromParent_Done,
     /* 1054239 */   // Label 15574: @1054239
     /* 1054239 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1054316), // Rule ID 20397 //
     /* 1054244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054283 */     // MIs[0] policy
     /* 1054283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054315 */     // GIR_Coverage, 20397,
     /* 1054315 */     GIR_EraseRootFromParent_Done,
     /* 1054316 */   // Label 15575: @1054316
     /* 1054316 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1054393), // Rule ID 20400 //
     /* 1054321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054360 */     // MIs[0] policy
     /* 1054360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054370 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054392 */     // GIR_Coverage, 20400,
     /* 1054392 */     GIR_EraseRootFromParent_Done,
     /* 1054393 */   // Label 15576: @1054393
     /* 1054393 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1054470), // Rule ID 20401 //
     /* 1054398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1054415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054437 */     // MIs[0] policy
     /* 1054437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054469 */     // GIR_Coverage, 20401,
     /* 1054469 */     GIR_EraseRootFromParent_Done,
     /* 1054470 */   // Label 15577: @1054470
     /* 1054470 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1054547), // Rule ID 20404 //
     /* 1054475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054514 */     // MIs[0] policy
     /* 1054514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1054527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054546 */     // GIR_Coverage, 20404,
     /* 1054546 */     GIR_EraseRootFromParent_Done,
     /* 1054547 */   // Label 15578: @1054547
     /* 1054547 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1054624), // Rule ID 20405 //
     /* 1054552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1054563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1054566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054591 */     // MIs[0] policy
     /* 1054591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1054604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054623 */     // GIR_Coverage, 20405,
     /* 1054623 */     GIR_EraseRootFromParent_Done,
     /* 1054624 */   // Label 15579: @1054624
     /* 1054624 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1054701), // Rule ID 20408 //
     /* 1054629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054668 */     // MIs[0] policy
     /* 1054668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054678 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1054681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054700 */     // GIR_Coverage, 20408,
     /* 1054700 */     GIR_EraseRootFromParent_Done,
     /* 1054701 */   // Label 15580: @1054701
     /* 1054701 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1054778), // Rule ID 20409 //
     /* 1054706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1054717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1054720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054745 */     // MIs[0] policy
     /* 1054745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1054758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054777 */     // GIR_Coverage, 20409,
     /* 1054777 */     GIR_EraseRootFromParent_Done,
     /* 1054778 */   // Label 15581: @1054778
     /* 1054778 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1054855), // Rule ID 20412 //
     /* 1054783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1054794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1054797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1054800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1054803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054822 */     // MIs[0] policy
     /* 1054822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1054835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054854 */     // GIR_Coverage, 20412,
     /* 1054854 */     GIR_EraseRootFromParent_Done,
     /* 1054855 */   // Label 15582: @1054855
     /* 1054855 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1054932), // Rule ID 20413 //
     /* 1054860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1054871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1054874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1054877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1054880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054899 */     // MIs[0] policy
     /* 1054899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1054912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054931 */     // GIR_Coverage, 20413,
     /* 1054931 */     GIR_EraseRootFromParent_Done,
     /* 1054932 */   // Label 15583: @1054932
     /* 1054932 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1055009), // Rule ID 20416 //
     /* 1054937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1054948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1054951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1054954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054976 */     // MIs[0] policy
     /* 1054976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1054989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055008 */     // GIR_Coverage, 20416,
     /* 1055008 */     GIR_EraseRootFromParent_Done,
     /* 1055009 */   // Label 15584: @1055009
     /* 1055009 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1055086), // Rule ID 20417 //
     /* 1055014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055053 */     // MIs[0] policy
     /* 1055053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055085 */     // GIR_Coverage, 20417,
     /* 1055085 */     GIR_EraseRootFromParent_Done,
     /* 1055086 */   // Label 15585: @1055086
     /* 1055086 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1055163), // Rule ID 20420 //
     /* 1055091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055130 */     // MIs[0] policy
     /* 1055130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055162 */     // GIR_Coverage, 20420,
     /* 1055162 */     GIR_EraseRootFromParent_Done,
     /* 1055163 */   // Label 15586: @1055163
     /* 1055163 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1055240), // Rule ID 20421 //
     /* 1055168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055207 */     // MIs[0] policy
     /* 1055207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055239 */     // GIR_Coverage, 20421,
     /* 1055239 */     GIR_EraseRootFromParent_Done,
     /* 1055240 */   // Label 15587: @1055240
     /* 1055240 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1055317), // Rule ID 20424 //
     /* 1055245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055284 */     // MIs[0] policy
     /* 1055284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055316 */     // GIR_Coverage, 20424,
     /* 1055316 */     GIR_EraseRootFromParent_Done,
     /* 1055317 */   // Label 15588: @1055317
     /* 1055317 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1055394), // Rule ID 20425 //
     /* 1055322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055361 */     // MIs[0] policy
     /* 1055361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055393 */     // GIR_Coverage, 20425,
     /* 1055393 */     GIR_EraseRootFromParent_Done,
     /* 1055394 */   // Label 15589: @1055394
     /* 1055394 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1055471), // Rule ID 20428 //
     /* 1055399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055438 */     // MIs[0] policy
     /* 1055438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055470 */     // GIR_Coverage, 20428,
     /* 1055470 */     GIR_EraseRootFromParent_Done,
     /* 1055471 */   // Label 15590: @1055471
     /* 1055471 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1055548), // Rule ID 20429 //
     /* 1055476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1055493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055515 */     // MIs[0] policy
     /* 1055515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055547 */     // GIR_Coverage, 20429,
     /* 1055547 */     GIR_EraseRootFromParent_Done,
     /* 1055548 */   // Label 15591: @1055548
     /* 1055548 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1055625), // Rule ID 20432 //
     /* 1055553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055592 */     // MIs[0] policy
     /* 1055592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055624 */     // GIR_Coverage, 20432,
     /* 1055624 */     GIR_EraseRootFromParent_Done,
     /* 1055625 */   // Label 15592: @1055625
     /* 1055625 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1055702), // Rule ID 20433 //
     /* 1055630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1055647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055669 */     // MIs[0] policy
     /* 1055669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055679 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055701 */     // GIR_Coverage, 20433,
     /* 1055701 */     GIR_EraseRootFromParent_Done,
     /* 1055702 */   // Label 15593: @1055702
     /* 1055702 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1055779), // Rule ID 20436 //
     /* 1055707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1055724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055746 */     // MIs[0] policy
     /* 1055746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055778 */     // GIR_Coverage, 20436,
     /* 1055778 */     GIR_EraseRootFromParent_Done,
     /* 1055779 */   // Label 15594: @1055779
     /* 1055779 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1055856), // Rule ID 20437 //
     /* 1055784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1055801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055823 */     // MIs[0] policy
     /* 1055823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055855 */     // GIR_Coverage, 20437,
     /* 1055855 */     GIR_EraseRootFromParent_Done,
     /* 1055856 */   // Label 15595: @1055856
     /* 1055856 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1055933), // Rule ID 20762 //
     /* 1055861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1055869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1055872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1055875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1055878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055900 */     // MIs[0] policy
     /* 1055900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055910 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1055913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055932 */     // GIR_Coverage, 20762,
     /* 1055932 */     GIR_EraseRootFromParent_Done,
     /* 1055933 */   // Label 15596: @1055933
     /* 1055933 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1056010), // Rule ID 20763 //
     /* 1055938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1055946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1055949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1055952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1055955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055977 */     // MIs[0] policy
     /* 1055977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055987 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1055990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056009 */     // GIR_Coverage, 20763,
     /* 1056009 */     GIR_EraseRootFromParent_Done,
     /* 1056010 */   // Label 15597: @1056010
     /* 1056010 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1056087), // Rule ID 20766 //
     /* 1056015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1056026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1056029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056054 */     // MIs[0] policy
     /* 1056054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056086 */     // GIR_Coverage, 20766,
     /* 1056086 */     GIR_EraseRootFromParent_Done,
     /* 1056087 */   // Label 15598: @1056087
     /* 1056087 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1056164), // Rule ID 20767 //
     /* 1056092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1056103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1056106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056131 */     // MIs[0] policy
     /* 1056131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056163 */     // GIR_Coverage, 20767,
     /* 1056163 */     GIR_EraseRootFromParent_Done,
     /* 1056164 */   // Label 15599: @1056164
     /* 1056164 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1056241), // Rule ID 20770 //
     /* 1056169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056208 */     // MIs[0] policy
     /* 1056208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056240 */     // GIR_Coverage, 20770,
     /* 1056240 */     GIR_EraseRootFromParent_Done,
     /* 1056241 */   // Label 15600: @1056241
     /* 1056241 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1056318), // Rule ID 20771 //
     /* 1056246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056285 */     // MIs[0] policy
     /* 1056285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056295 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056317 */     // GIR_Coverage, 20771,
     /* 1056317 */     GIR_EraseRootFromParent_Done,
     /* 1056318 */   // Label 15601: @1056318
     /* 1056318 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1056395), // Rule ID 20774 //
     /* 1056323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1056334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1056337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056362 */     // MIs[0] policy
     /* 1056362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056394 */     // GIR_Coverage, 20774,
     /* 1056394 */     GIR_EraseRootFromParent_Done,
     /* 1056395 */   // Label 15602: @1056395
     /* 1056395 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1056472), // Rule ID 20775 //
     /* 1056400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1056411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1056414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056439 */     // MIs[0] policy
     /* 1056439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056471 */     // GIR_Coverage, 20775,
     /* 1056471 */     GIR_EraseRootFromParent_Done,
     /* 1056472 */   // Label 15603: @1056472
     /* 1056472 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1056549), // Rule ID 20778 //
     /* 1056477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056516 */     // MIs[0] policy
     /* 1056516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056548 */     // GIR_Coverage, 20778,
     /* 1056548 */     GIR_EraseRootFromParent_Done,
     /* 1056549 */   // Label 15604: @1056549
     /* 1056549 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1056626), // Rule ID 20779 //
     /* 1056554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056593 */     // MIs[0] policy
     /* 1056593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056625 */     // GIR_Coverage, 20779,
     /* 1056625 */     GIR_EraseRootFromParent_Done,
     /* 1056626 */   // Label 15605: @1056626
     /* 1056626 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1056703), // Rule ID 20782 //
     /* 1056631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1056648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056670 */     // MIs[0] policy
     /* 1056670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056702 */     // GIR_Coverage, 20782,
     /* 1056702 */     GIR_EraseRootFromParent_Done,
     /* 1056703 */   // Label 15606: @1056703
     /* 1056703 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1056780), // Rule ID 20783 //
     /* 1056708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1056725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056747 */     // MIs[0] policy
     /* 1056747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056757 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1056760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056779 */     // GIR_Coverage, 20783,
     /* 1056779 */     GIR_EraseRootFromParent_Done,
     /* 1056780 */   // Label 15607: @1056780
     /* 1056780 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1056857), // Rule ID 20786 //
     /* 1056785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1056796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1056799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056824 */     // MIs[0] policy
     /* 1056824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056856 */     // GIR_Coverage, 20786,
     /* 1056856 */     GIR_EraseRootFromParent_Done,
     /* 1056857 */   // Label 15608: @1056857
     /* 1056857 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1056934), // Rule ID 20787 //
     /* 1056862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1056873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1056876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056901 */     // MIs[0] policy
     /* 1056901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1056914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056933 */     // GIR_Coverage, 20787,
     /* 1056933 */     GIR_EraseRootFromParent_Done,
     /* 1056934 */   // Label 15609: @1056934
     /* 1056934 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1057011), // Rule ID 20790 //
     /* 1056939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1056950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1056953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056978 */     // MIs[0] policy
     /* 1056978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057010 */     // GIR_Coverage, 20790,
     /* 1057010 */     GIR_EraseRootFromParent_Done,
     /* 1057011 */   // Label 15610: @1057011
     /* 1057011 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1057088), // Rule ID 20791 //
     /* 1057016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1057027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1057030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057055 */     // MIs[0] policy
     /* 1057055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057065 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057087 */     // GIR_Coverage, 20791,
     /* 1057087 */     GIR_EraseRootFromParent_Done,
     /* 1057088 */   // Label 15611: @1057088
     /* 1057088 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1057165), // Rule ID 20794 //
     /* 1057093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1057113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057132 */     // MIs[0] policy
     /* 1057132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057142 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057164 */     // GIR_Coverage, 20794,
     /* 1057164 */     GIR_EraseRootFromParent_Done,
     /* 1057165 */   // Label 15612: @1057165
     /* 1057165 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1057242), // Rule ID 20795 //
     /* 1057170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1057190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057209 */     // MIs[0] policy
     /* 1057209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057241 */     // GIR_Coverage, 20795,
     /* 1057241 */     GIR_EraseRootFromParent_Done,
     /* 1057242 */   // Label 15613: @1057242
     /* 1057242 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1057319), // Rule ID 20798 //
     /* 1057247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057286 */     // MIs[0] policy
     /* 1057286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057318 */     // GIR_Coverage, 20798,
     /* 1057318 */     GIR_EraseRootFromParent_Done,
     /* 1057319 */   // Label 15614: @1057319
     /* 1057319 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1057396), // Rule ID 20799 //
     /* 1057324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1057327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057363 */     // MIs[0] policy
     /* 1057363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057395 */     // GIR_Coverage, 20799,
     /* 1057395 */     GIR_EraseRootFromParent_Done,
     /* 1057396 */   // Label 15615: @1057396
     /* 1057396 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1057473), // Rule ID 20802 //
     /* 1057401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057440 */     // MIs[0] policy
     /* 1057440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057472 */     // GIR_Coverage, 20802,
     /* 1057472 */     GIR_EraseRootFromParent_Done,
     /* 1057473 */   // Label 15616: @1057473
     /* 1057473 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1057550), // Rule ID 20803 //
     /* 1057478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1057481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057517 */     // MIs[0] policy
     /* 1057517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057549 */     // GIR_Coverage, 20803,
     /* 1057549 */     GIR_EraseRootFromParent_Done,
     /* 1057550 */   // Label 15617: @1057550
     /* 1057550 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1057627), // Rule ID 20806 //
     /* 1057555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1057572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057594 */     // MIs[0] policy
     /* 1057594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057626 */     // GIR_Coverage, 20806,
     /* 1057626 */     GIR_EraseRootFromParent_Done,
     /* 1057627 */   // Label 15618: @1057627
     /* 1057627 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1057704), // Rule ID 20807 //
     /* 1057632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1057635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1057649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057671 */     // MIs[0] policy
     /* 1057671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057681 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057703 */     // GIR_Coverage, 20807,
     /* 1057703 */     GIR_EraseRootFromParent_Done,
     /* 1057704 */   // Label 15619: @1057704
     /* 1057704 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1057781), // Rule ID 20810 //
     /* 1057709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1057712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1057726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057748 */     // MIs[0] policy
     /* 1057748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057780 */     // GIR_Coverage, 20810,
     /* 1057780 */     GIR_EraseRootFromParent_Done,
     /* 1057781 */   // Label 15620: @1057781
     /* 1057781 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1057858), // Rule ID 20811 //
     /* 1057786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1057789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1057803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057825 */     // MIs[0] policy
     /* 1057825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057835 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057857 */     // GIR_Coverage, 20811,
     /* 1057857 */     GIR_EraseRootFromParent_Done,
     /* 1057858 */   // Label 15621: @1057858
     /* 1057858 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1057935), // Rule ID 20814 //
     /* 1057863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1057866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1057880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057902 */     // MIs[0] policy
     /* 1057902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057934 */     // GIR_Coverage, 20814,
     /* 1057934 */     GIR_EraseRootFromParent_Done,
     /* 1057935 */   // Label 15622: @1057935
     /* 1057935 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1058012), // Rule ID 20815 //
     /* 1057940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1057943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1057957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057979 */     // MIs[0] policy
     /* 1057979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058011 */     // GIR_Coverage, 20815,
     /* 1058011 */     GIR_EraseRootFromParent_Done,
     /* 1058012 */   // Label 15623: @1058012
     /* 1058012 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1058089), // Rule ID 20818 //
     /* 1058017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1058020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058056 */     // MIs[0] policy
     /* 1058056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058088 */     // GIR_Coverage, 20818,
     /* 1058088 */     GIR_EraseRootFromParent_Done,
     /* 1058089 */   // Label 15624: @1058089
     /* 1058089 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1058166), // Rule ID 20819 //
     /* 1058094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1058097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058133 */     // MIs[0] policy
     /* 1058133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058143 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058165 */     // GIR_Coverage, 20819,
     /* 1058165 */     GIR_EraseRootFromParent_Done,
     /* 1058166 */   // Label 15625: @1058166
     /* 1058166 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1058243), // Rule ID 20822 //
     /* 1058171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058210 */     // MIs[0] policy
     /* 1058210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058242 */     // GIR_Coverage, 20822,
     /* 1058242 */     GIR_EraseRootFromParent_Done,
     /* 1058243 */   // Label 15626: @1058243
     /* 1058243 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1058320), // Rule ID 20823 //
     /* 1058248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058287 */     // MIs[0] policy
     /* 1058287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058319 */     // GIR_Coverage, 20823,
     /* 1058319 */     GIR_EraseRootFromParent_Done,
     /* 1058320 */   // Label 15627: @1058320
     /* 1058320 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1058397), // Rule ID 20826 //
     /* 1058325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058364 */     // MIs[0] policy
     /* 1058364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058396 */     // GIR_Coverage, 20826,
     /* 1058396 */     GIR_EraseRootFromParent_Done,
     /* 1058397 */   // Label 15628: @1058397
     /* 1058397 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1058474), // Rule ID 20827 //
     /* 1058402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058441 */     // MIs[0] policy
     /* 1058441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058473 */     // GIR_Coverage, 20827,
     /* 1058473 */     GIR_EraseRootFromParent_Done,
     /* 1058474 */   // Label 15629: @1058474
     /* 1058474 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1058551), // Rule ID 20830 //
     /* 1058479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058518 */     // MIs[0] policy
     /* 1058518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058550 */     // GIR_Coverage, 20830,
     /* 1058550 */     GIR_EraseRootFromParent_Done,
     /* 1058551 */   // Label 15630: @1058551
     /* 1058551 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1058628), // Rule ID 20831 //
     /* 1058556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058595 */     // MIs[0] policy
     /* 1058595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1058608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058627 */     // GIR_Coverage, 20831,
     /* 1058627 */     GIR_EraseRootFromParent_Done,
     /* 1058628 */   // Label 15631: @1058628
     /* 1058628 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1058705), // Rule ID 20834 //
     /* 1058633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1058644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1058647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058672 */     // MIs[0] policy
     /* 1058672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1058685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058704 */     // GIR_Coverage, 20834,
     /* 1058704 */     GIR_EraseRootFromParent_Done,
     /* 1058705 */   // Label 15632: @1058705
     /* 1058705 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1058782), // Rule ID 20835 //
     /* 1058710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1058721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1058724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058749 */     // MIs[0] policy
     /* 1058749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1058762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058781 */     // GIR_Coverage, 20835,
     /* 1058781 */     GIR_EraseRootFromParent_Done,
     /* 1058782 */   // Label 15633: @1058782
     /* 1058782 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1058859), // Rule ID 20838 //
     /* 1058787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058826 */     // MIs[0] policy
     /* 1058826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1058839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058858 */     // GIR_Coverage, 20838,
     /* 1058858 */     GIR_EraseRootFromParent_Done,
     /* 1058859 */   // Label 15634: @1058859
     /* 1058859 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1058936), // Rule ID 20839 //
     /* 1058864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058903 */     // MIs[0] policy
     /* 1058903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1058916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058935 */     // GIR_Coverage, 20839,
     /* 1058935 */     GIR_EraseRootFromParent_Done,
     /* 1058936 */   // Label 15635: @1058936
     /* 1058936 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1059013), // Rule ID 20842 //
     /* 1058941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1058944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1058958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058980 */     // MIs[0] policy
     /* 1058980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1058993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059012 */     // GIR_Coverage, 20842,
     /* 1059012 */     GIR_EraseRootFromParent_Done,
     /* 1059013 */   // Label 15636: @1059013
     /* 1059013 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1059090), // Rule ID 20843 //
     /* 1059018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1059021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1059035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059057 */     // MIs[0] policy
     /* 1059057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059089 */     // GIR_Coverage, 20843,
     /* 1059089 */     GIR_EraseRootFromParent_Done,
     /* 1059090 */   // Label 15637: @1059090
     /* 1059090 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1059167), // Rule ID 20846 //
     /* 1059095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059134 */     // MIs[0] policy
     /* 1059134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059166 */     // GIR_Coverage, 20846,
     /* 1059166 */     GIR_EraseRootFromParent_Done,
     /* 1059167 */   // Label 15638: @1059167
     /* 1059167 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1059244), // Rule ID 20847 //
     /* 1059172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059211 */     // MIs[0] policy
     /* 1059211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059243 */     // GIR_Coverage, 20847,
     /* 1059243 */     GIR_EraseRootFromParent_Done,
     /* 1059244 */   // Label 15639: @1059244
     /* 1059244 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1059321), // Rule ID 20850 //
     /* 1059249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059288 */     // MIs[0] policy
     /* 1059288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059320 */     // GIR_Coverage, 20850,
     /* 1059320 */     GIR_EraseRootFromParent_Done,
     /* 1059321 */   // Label 15640: @1059321
     /* 1059321 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1059398), // Rule ID 20851 //
     /* 1059326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059365 */     // MIs[0] policy
     /* 1059365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059375 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059397 */     // GIR_Coverage, 20851,
     /* 1059397 */     GIR_EraseRootFromParent_Done,
     /* 1059398 */   // Label 15641: @1059398
     /* 1059398 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1059475), // Rule ID 20854 //
     /* 1059403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059442 */     // MIs[0] policy
     /* 1059442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1059455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059474 */     // GIR_Coverage, 20854,
     /* 1059474 */     GIR_EraseRootFromParent_Done,
     /* 1059475 */   // Label 15642: @1059475
     /* 1059475 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059552), // Rule ID 20855 //
     /* 1059480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059519 */     // MIs[0] policy
     /* 1059519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059529 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1059532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059551 */     // GIR_Coverage, 20855,
     /* 1059551 */     GIR_EraseRootFromParent_Done,
     /* 1059552 */   // Label 15643: @1059552
     /* 1059552 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1059629), // Rule ID 20858 //
     /* 1059557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059596 */     // MIs[0] policy
     /* 1059596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059628 */     // GIR_Coverage, 20858,
     /* 1059628 */     GIR_EraseRootFromParent_Done,
     /* 1059629 */   // Label 15644: @1059629
     /* 1059629 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1059706), // Rule ID 20859 //
     /* 1059634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059673 */     // MIs[0] policy
     /* 1059673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059705 */     // GIR_Coverage, 20859,
     /* 1059705 */     GIR_EraseRootFromParent_Done,
     /* 1059706 */   // Label 15645: @1059706
     /* 1059706 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1059783), // Rule ID 20862 //
     /* 1059711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1059722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1059725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059750 */     // MIs[0] policy
     /* 1059750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059760 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059782 */     // GIR_Coverage, 20862,
     /* 1059782 */     GIR_EraseRootFromParent_Done,
     /* 1059783 */   // Label 15646: @1059783
     /* 1059783 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1059860), // Rule ID 20863 //
     /* 1059788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1059799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1059802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059827 */     // MIs[0] policy
     /* 1059827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059859 */     // GIR_Coverage, 20863,
     /* 1059859 */     GIR_EraseRootFromParent_Done,
     /* 1059860 */   // Label 15647: @1059860
     /* 1059860 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1059937), // Rule ID 20866 //
     /* 1059865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1059876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1059879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1059882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059904 */     // MIs[0] policy
     /* 1059904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1059917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059936 */     // GIR_Coverage, 20866,
     /* 1059936 */     GIR_EraseRootFromParent_Done,
     /* 1059937 */   // Label 15648: @1059937
     /* 1059937 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1060014), // Rule ID 20867 //
     /* 1059942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1059953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1059956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1059959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059981 */     // MIs[0] policy
     /* 1059981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059991 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1059994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060013 */     // GIR_Coverage, 20867,
     /* 1060013 */     GIR_EraseRootFromParent_Done,
     /* 1060014 */   // Label 15649: @1060014
     /* 1060014 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1060091), // Rule ID 20870 //
     /* 1060019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060058 */     // MIs[0] policy
     /* 1060058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060090 */     // GIR_Coverage, 20870,
     /* 1060090 */     GIR_EraseRootFromParent_Done,
     /* 1060091 */   // Label 15650: @1060091
     /* 1060091 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1060168), // Rule ID 20871 //
     /* 1060096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060135 */     // MIs[0] policy
     /* 1060135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060167 */     // GIR_Coverage, 20871,
     /* 1060167 */     GIR_EraseRootFromParent_Done,
     /* 1060168 */   // Label 15651: @1060168
     /* 1060168 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1060245), // Rule ID 20874 //
     /* 1060173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060212 */     // MIs[0] policy
     /* 1060212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060222 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060244 */     // GIR_Coverage, 20874,
     /* 1060244 */     GIR_EraseRootFromParent_Done,
     /* 1060245 */   // Label 15652: @1060245
     /* 1060245 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1060322), // Rule ID 20875 //
     /* 1060250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060289 */     // MIs[0] policy
     /* 1060289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060299 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060321 */     // GIR_Coverage, 20875,
     /* 1060321 */     GIR_EraseRootFromParent_Done,
     /* 1060322 */   // Label 15653: @1060322
     /* 1060322 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1060399), // Rule ID 20878 //
     /* 1060327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1060344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060366 */     // MIs[0] policy
     /* 1060366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060398 */     // GIR_Coverage, 20878,
     /* 1060398 */     GIR_EraseRootFromParent_Done,
     /* 1060399 */   // Label 15654: @1060399
     /* 1060399 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1060476), // Rule ID 20879 //
     /* 1060404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1060415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1060418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1060421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060443 */     // MIs[0] policy
     /* 1060443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060475 */     // GIR_Coverage, 20879,
     /* 1060475 */     GIR_EraseRootFromParent_Done,
     /* 1060476 */   // Label 15655: @1060476
     /* 1060476 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060553), // Rule ID 21146 //
     /* 1060481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060520 */     // MIs[0] policy
     /* 1060520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1060533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060552 */     // GIR_Coverage, 21146,
     /* 1060552 */     GIR_EraseRootFromParent_Done,
     /* 1060553 */   // Label 15656: @1060553
     /* 1060553 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1060630), // Rule ID 21147 //
     /* 1060558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060597 */     // MIs[0] policy
     /* 1060597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060607 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1060610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060616 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060629 */     // GIR_Coverage, 21147,
     /* 1060629 */     GIR_EraseRootFromParent_Done,
     /* 1060630 */   // Label 15657: @1060630
     /* 1060630 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1060707), // Rule ID 21150 //
     /* 1060635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060674 */     // MIs[0] policy
     /* 1060674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1060687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060706 */     // GIR_Coverage, 21150,
     /* 1060706 */     GIR_EraseRootFromParent_Done,
     /* 1060707 */   // Label 15658: @1060707
     /* 1060707 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1060784), // Rule ID 21151 //
     /* 1060712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060751 */     // MIs[0] policy
     /* 1060751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1060764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060783 */     // GIR_Coverage, 21151,
     /* 1060783 */     GIR_EraseRootFromParent_Done,
     /* 1060784 */   // Label 15659: @1060784
     /* 1060784 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1060861), // Rule ID 21154 //
     /* 1060789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1060806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060828 */     // MIs[0] policy
     /* 1060828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1060841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060860 */     // GIR_Coverage, 21154,
     /* 1060860 */     GIR_EraseRootFromParent_Done,
     /* 1060861 */   // Label 15660: @1060861
     /* 1060861 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1060938), // Rule ID 21155 //
     /* 1060866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1060883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060905 */     // MIs[0] policy
     /* 1060905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1060918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060937 */     // GIR_Coverage, 21155,
     /* 1060937 */     GIR_EraseRootFromParent_Done,
     /* 1060938 */   // Label 15661: @1060938
     /* 1060938 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1061015), // Rule ID 21158 //
     /* 1060943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1060951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060982 */     // MIs[0] policy
     /* 1060982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1060995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061014 */     // GIR_Coverage, 21158,
     /* 1061014 */     GIR_EraseRootFromParent_Done,
     /* 1061015 */   // Label 15662: @1061015
     /* 1061015 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1061092), // Rule ID 21159 //
     /* 1061020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061059 */     // MIs[0] policy
     /* 1061059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061069 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061091 */     // GIR_Coverage, 21159,
     /* 1061091 */     GIR_EraseRootFromParent_Done,
     /* 1061092 */   // Label 15663: @1061092
     /* 1061092 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1061169), // Rule ID 21162 //
     /* 1061097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061136 */     // MIs[0] policy
     /* 1061136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061168 */     // GIR_Coverage, 21162,
     /* 1061168 */     GIR_EraseRootFromParent_Done,
     /* 1061169 */   // Label 15664: @1061169
     /* 1061169 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1061246), // Rule ID 21163 //
     /* 1061174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061213 */     // MIs[0] policy
     /* 1061213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061223 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061245 */     // GIR_Coverage, 21163,
     /* 1061245 */     GIR_EraseRootFromParent_Done,
     /* 1061246 */   // Label 15665: @1061246
     /* 1061246 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1061323), // Rule ID 21166 //
     /* 1061251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061290 */     // MIs[0] policy
     /* 1061290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1061303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061322 */     // GIR_Coverage, 21166,
     /* 1061322 */     GIR_EraseRootFromParent_Done,
     /* 1061323 */   // Label 15666: @1061323
     /* 1061323 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1061400), // Rule ID 21167 //
     /* 1061328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061367 */     // MIs[0] policy
     /* 1061367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1061380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061399 */     // GIR_Coverage, 21167,
     /* 1061399 */     GIR_EraseRootFromParent_Done,
     /* 1061400 */   // Label 15667: @1061400
     /* 1061400 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1061477), // Rule ID 21170 //
     /* 1061405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061444 */     // MIs[0] policy
     /* 1061444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061476 */     // GIR_Coverage, 21170,
     /* 1061476 */     GIR_EraseRootFromParent_Done,
     /* 1061477 */   // Label 15668: @1061477
     /* 1061477 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061554), // Rule ID 21171 //
     /* 1061482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061521 */     // MIs[0] policy
     /* 1061521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061553 */     // GIR_Coverage, 21171,
     /* 1061553 */     GIR_EraseRootFromParent_Done,
     /* 1061554 */   // Label 15669: @1061554
     /* 1061554 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1061631), // Rule ID 21174 //
     /* 1061559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061598 */     // MIs[0] policy
     /* 1061598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061630 */     // GIR_Coverage, 21174,
     /* 1061630 */     GIR_EraseRootFromParent_Done,
     /* 1061631 */   // Label 15670: @1061631
     /* 1061631 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1061708), // Rule ID 21175 //
     /* 1061636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061675 */     // MIs[0] policy
     /* 1061675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061685 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061707 */     // GIR_Coverage, 21175,
     /* 1061707 */     GIR_EraseRootFromParent_Done,
     /* 1061708 */   // Label 15671: @1061708
     /* 1061708 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1061785), // Rule ID 21178 //
     /* 1061713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061752 */     // MIs[0] policy
     /* 1061752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061784 */     // GIR_Coverage, 21178,
     /* 1061784 */     GIR_EraseRootFromParent_Done,
     /* 1061785 */   // Label 15672: @1061785
     /* 1061785 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1061862), // Rule ID 21179 //
     /* 1061790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1061793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061829 */     // MIs[0] policy
     /* 1061829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11227:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061861 */     // GIR_Coverage, 21179,
     /* 1061861 */     GIR_EraseRootFromParent_Done,
     /* 1061862 */   // Label 15673: @1061862
     /* 1061862 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1061939), // Rule ID 21182 //
     /* 1061867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1061875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061906 */     // MIs[0] policy
     /* 1061906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1061919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061938 */     // GIR_Coverage, 21182,
     /* 1061938 */     GIR_EraseRootFromParent_Done,
     /* 1061939 */   // Label 15674: @1061939
     /* 1061939 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1062016), // Rule ID 21183 //
     /* 1061944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1061952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061983 */     // MIs[0] policy
     /* 1061983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1061996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062015 */     // GIR_Coverage, 21183,
     /* 1062015 */     GIR_EraseRootFromParent_Done,
     /* 1062016 */   // Label 15675: @1062016
     /* 1062016 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1062093), // Rule ID 21186 //
     /* 1062021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062060 */     // MIs[0] policy
     /* 1062060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062092 */     // GIR_Coverage, 21186,
     /* 1062092 */     GIR_EraseRootFromParent_Done,
     /* 1062093 */   // Label 15676: @1062093
     /* 1062093 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1062170), // Rule ID 21187 //
     /* 1062098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062137 */     // MIs[0] policy
     /* 1062137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062169 */     // GIR_Coverage, 21187,
     /* 1062169 */     GIR_EraseRootFromParent_Done,
     /* 1062170 */   // Label 15677: @1062170
     /* 1062170 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1062247), // Rule ID 21190 //
     /* 1062175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062214 */     // MIs[0] policy
     /* 1062214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062246 */     // GIR_Coverage, 21190,
     /* 1062246 */     GIR_EraseRootFromParent_Done,
     /* 1062247 */   // Label 15678: @1062247
     /* 1062247 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1062324), // Rule ID 21191 //
     /* 1062252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062291 */     // MIs[0] policy
     /* 1062291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062301 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062323 */     // GIR_Coverage, 21191,
     /* 1062323 */     GIR_EraseRootFromParent_Done,
     /* 1062324 */   // Label 15679: @1062324
     /* 1062324 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1062401), // Rule ID 21194 //
     /* 1062329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062368 */     // MIs[0] policy
     /* 1062368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1062381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062400 */     // GIR_Coverage, 21194,
     /* 1062400 */     GIR_EraseRootFromParent_Done,
     /* 1062401 */   // Label 15680: @1062401
     /* 1062401 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1062478), // Rule ID 21195 //
     /* 1062406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062445 */     // MIs[0] policy
     /* 1062445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1062458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062477 */     // GIR_Coverage, 21195,
     /* 1062477 */     GIR_EraseRootFromParent_Done,
     /* 1062478 */   // Label 15681: @1062478
     /* 1062478 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062555), // Rule ID 21198 //
     /* 1062483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062522 */     // MIs[0] policy
     /* 1062522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1062535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062554 */     // GIR_Coverage, 21198,
     /* 1062554 */     GIR_EraseRootFromParent_Done,
     /* 1062555 */   // Label 15682: @1062555
     /* 1062555 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1062632), // Rule ID 21199 //
     /* 1062560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062599 */     // MIs[0] policy
     /* 1062599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062609 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1062612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062631 */     // GIR_Coverage, 21199,
     /* 1062631 */     GIR_EraseRootFromParent_Done,
     /* 1062632 */   // Label 15683: @1062632
     /* 1062632 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1062709), // Rule ID 21202 //
     /* 1062637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062676 */     // MIs[0] policy
     /* 1062676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062708 */     // GIR_Coverage, 21202,
     /* 1062708 */     GIR_EraseRootFromParent_Done,
     /* 1062709 */   // Label 15684: @1062709
     /* 1062709 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1062786), // Rule ID 21203 //
     /* 1062714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1062717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062753 */     // MIs[0] policy
     /* 1062753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062785 */     // GIR_Coverage, 21203,
     /* 1062785 */     GIR_EraseRootFromParent_Done,
     /* 1062786 */   // Label 15685: @1062786
     /* 1062786 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1062863), // Rule ID 21206 //
     /* 1062791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062830 */     // MIs[0] policy
     /* 1062830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062862 */     // GIR_Coverage, 21206,
     /* 1062862 */     GIR_EraseRootFromParent_Done,
     /* 1062863 */   // Label 15686: @1062863
     /* 1062863 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1062940), // Rule ID 21207 //
     /* 1062868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1062871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062907 */     // MIs[0] policy
     /* 1062907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062939 */     // GIR_Coverage, 21207,
     /* 1062939 */     GIR_EraseRootFromParent_Done,
     /* 1062940 */   // Label 15687: @1062940
     /* 1062940 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1063017), // Rule ID 21210 //
     /* 1062945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1062956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1062959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1062962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062984 */     // MIs[0] policy
     /* 1062984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1062997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063016 */     // GIR_Coverage, 21210,
     /* 1063016 */     GIR_EraseRootFromParent_Done,
     /* 1063017 */   // Label 15688: @1063017
     /* 1063017 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1063094), // Rule ID 21211 //
     /* 1063022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063061 */     // MIs[0] policy
     /* 1063061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1063074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063093 */     // GIR_Coverage, 21211,
     /* 1063093 */     GIR_EraseRootFromParent_Done,
     /* 1063094 */   // Label 15689: @1063094
     /* 1063094 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1063171), // Rule ID 21214 //
     /* 1063099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1063102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063138 */     // MIs[0] policy
     /* 1063138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063148 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063170 */     // GIR_Coverage, 21214,
     /* 1063170 */     GIR_EraseRootFromParent_Done,
     /* 1063171 */   // Label 15690: @1063171
     /* 1063171 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1063248), // Rule ID 21215 //
     /* 1063176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063215 */     // MIs[0] policy
     /* 1063215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063225 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11225:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063247 */     // GIR_Coverage, 21215,
     /* 1063247 */     GIR_EraseRootFromParent_Done,
     /* 1063248 */   // Label 15691: @1063248
     /* 1063248 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1063325), // Rule ID 21218 //
     /* 1063253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1063264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1063267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1063270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063292 */     // MIs[0] policy
     /* 1063292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063302 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1063305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063324 */     // GIR_Coverage, 21218,
     /* 1063324 */     GIR_EraseRootFromParent_Done,
     /* 1063325 */   // Label 15692: @1063325
     /* 1063325 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1063402), // Rule ID 21219 //
     /* 1063330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1063341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1063344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1063347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063369 */     // MIs[0] policy
     /* 1063369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063379 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1063382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063401 */     // GIR_Coverage, 21219,
     /* 1063401 */     GIR_EraseRootFromParent_Done,
     /* 1063402 */   // Label 15693: @1063402
     /* 1063402 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1063479), // Rule ID 21222 //
     /* 1063407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1063418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1063421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1063424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063446 */     // MIs[0] policy
     /* 1063446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063456 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1063459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063478 */     // GIR_Coverage, 21222,
     /* 1063478 */     GIR_EraseRootFromParent_Done,
     /* 1063479 */   // Label 15694: @1063479
     /* 1063479 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063556), // Rule ID 21223 //
     /* 1063484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1063495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1063498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1063501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063523 */     // MIs[0] policy
     /* 1063523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063533 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1063536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063555 */     // GIR_Coverage, 21223,
     /* 1063555 */     GIR_EraseRootFromParent_Done,
     /* 1063556 */   // Label 15695: @1063556
     /* 1063556 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1063633), // Rule ID 21226 //
     /* 1063561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1063572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1063575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1063578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063600 */     // MIs[0] policy
     /* 1063600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063610 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1063613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063632 */     // GIR_Coverage, 21226,
     /* 1063632 */     GIR_EraseRootFromParent_Done,
     /* 1063633 */   // Label 15696: @1063633
     /* 1063633 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1063710), // Rule ID 21227 //
     /* 1063638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1063649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1063652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1063655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063677 */     // MIs[0] policy
     /* 1063677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063687 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1063690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063709 */     // GIR_Coverage, 21227,
     /* 1063709 */     GIR_EraseRootFromParent_Done,
     /* 1063710 */   // Label 15697: @1063710
     /* 1063710 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1063787), // Rule ID 21230 //
     /* 1063715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1063726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1063729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1063732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063754 */     // MIs[0] policy
     /* 1063754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063764 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1063767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063786 */     // GIR_Coverage, 21230,
     /* 1063786 */     GIR_EraseRootFromParent_Done,
     /* 1063787 */   // Label 15698: @1063787
     /* 1063787 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1063864), // Rule ID 21231 //
     /* 1063792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1063803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1063806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1063809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063831 */     // MIs[0] policy
     /* 1063831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063841 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1063844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063863 */     // GIR_Coverage, 21231,
     /* 1063863 */     GIR_EraseRootFromParent_Done,
     /* 1063864 */   // Label 15699: @1063864
     /* 1063864 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1063941), // Rule ID 21234 //
     /* 1063869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1063880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1063883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1063886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063908 */     // MIs[0] policy
     /* 1063908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063918 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1063921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063940 */     // GIR_Coverage, 21234,
     /* 1063940 */     GIR_EraseRootFromParent_Done,
     /* 1063941 */   // Label 15700: @1063941
     /* 1063941 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1064018), // Rule ID 21235 //
     /* 1063946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1063957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1063960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1063963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063985 */     // MIs[0] policy
     /* 1063985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063995 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1063998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064017 */     // GIR_Coverage, 21235,
     /* 1064017 */     GIR_EraseRootFromParent_Done,
     /* 1064018 */   // Label 15701: @1064018
     /* 1064018 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1064095), // Rule ID 21238 //
     /* 1064023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1064040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064062 */     // MIs[0] policy
     /* 1064062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064072 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1064075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064094 */     // GIR_Coverage, 21238,
     /* 1064094 */     GIR_EraseRootFromParent_Done,
     /* 1064095 */   // Label 15702: @1064095
     /* 1064095 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1064172), // Rule ID 21239 //
     /* 1064100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1064117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064139 */     // MIs[0] policy
     /* 1064139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064149 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1064152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064171 */     // GIR_Coverage, 21239,
     /* 1064171 */     GIR_EraseRootFromParent_Done,
     /* 1064172 */   // Label 15703: @1064172
     /* 1064172 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1064249), // Rule ID 21242 //
     /* 1064177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064216 */     // MIs[0] policy
     /* 1064216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064226 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1064229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064248 */     // GIR_Coverage, 21242,
     /* 1064248 */     GIR_EraseRootFromParent_Done,
     /* 1064249 */   // Label 15704: @1064249
     /* 1064249 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1064326), // Rule ID 21243 //
     /* 1064254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064293 */     // MIs[0] policy
     /* 1064293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064303 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1064306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064325 */     // GIR_Coverage, 21243,
     /* 1064325 */     GIR_EraseRootFromParent_Done,
     /* 1064326 */   // Label 15705: @1064326
     /* 1064326 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1064403), // Rule ID 21246 //
     /* 1064331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064370 */     // MIs[0] policy
     /* 1064370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064380 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1064383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064402 */     // GIR_Coverage, 21246,
     /* 1064402 */     GIR_EraseRootFromParent_Done,
     /* 1064403 */   // Label 15706: @1064403
     /* 1064403 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1064480), // Rule ID 21247 //
     /* 1064408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1064425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064447 */     // MIs[0] policy
     /* 1064447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1064460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064479 */     // GIR_Coverage, 21247,
     /* 1064479 */     GIR_EraseRootFromParent_Done,
     /* 1064480 */   // Label 15707: @1064480
     /* 1064480 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064557), // Rule ID 21250 //
     /* 1064485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064524 */     // MIs[0] policy
     /* 1064524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064534 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1064537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064556 */     // GIR_Coverage, 21250,
     /* 1064556 */     GIR_EraseRootFromParent_Done,
     /* 1064557 */   // Label 15708: @1064557
     /* 1064557 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1064634), // Rule ID 21251 //
     /* 1064562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1064579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064601 */     // MIs[0] policy
     /* 1064601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1064614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064633 */     // GIR_Coverage, 21251,
     /* 1064633 */     GIR_EraseRootFromParent_Done,
     /* 1064634 */   // Label 15709: @1064634
     /* 1064634 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1064711), // Rule ID 21254 //
     /* 1064639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064678 */     // MIs[0] policy
     /* 1064678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064688 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1064691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064710 */     // GIR_Coverage, 21254,
     /* 1064710 */     GIR_EraseRootFromParent_Done,
     /* 1064711 */   // Label 15710: @1064711
     /* 1064711 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1064788), // Rule ID 21255 //
     /* 1064716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064755 */     // MIs[0] policy
     /* 1064755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064765 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1064768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064787 */     // GIR_Coverage, 21255,
     /* 1064787 */     GIR_EraseRootFromParent_Done,
     /* 1064788 */   // Label 15711: @1064788
     /* 1064788 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1064865), // Rule ID 21258 //
     /* 1064793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064832 */     // MIs[0] policy
     /* 1064832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064842 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1064845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064864 */     // GIR_Coverage, 21258,
     /* 1064864 */     GIR_EraseRootFromParent_Done,
     /* 1064865 */   // Label 15712: @1064865
     /* 1064865 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1064942), // Rule ID 21259 //
     /* 1064870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064909 */     // MIs[0] policy
     /* 1064909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064919 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1064922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064941 */     // GIR_Coverage, 21259,
     /* 1064941 */     GIR_EraseRootFromParent_Done,
     /* 1064942 */   // Label 15713: @1064942
     /* 1064942 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1065019), // Rule ID 21262 //
     /* 1064947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1064950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064986 */     // MIs[0] policy
     /* 1064986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064996 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1064999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065018 */     // GIR_Coverage, 21262,
     /* 1065018 */     GIR_EraseRootFromParent_Done,
     /* 1065019 */   // Label 15714: @1065019
     /* 1065019 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1065096), // Rule ID 21263 //
     /* 1065024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1065035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1065038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065063 */     // MIs[0] policy
     /* 1065063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065073 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1065076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065095 */     // GIR_Coverage, 21263,
     /* 1065095 */     GIR_EraseRootFromParent_Done,
     /* 1065096 */   // Label 15715: @1065096
     /* 1065096 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1065173), // Rule ID 21266 //
     /* 1065101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065140 */     // MIs[0] policy
     /* 1065140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065150 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1065153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065172 */     // GIR_Coverage, 21266,
     /* 1065172 */     GIR_EraseRootFromParent_Done,
     /* 1065173 */   // Label 15716: @1065173
     /* 1065173 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1065250), // Rule ID 21267 //
     /* 1065178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065217 */     // MIs[0] policy
     /* 1065217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065227 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1065230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065249 */     // GIR_Coverage, 21267,
     /* 1065249 */     GIR_EraseRootFromParent_Done,
     /* 1065250 */   // Label 15717: @1065250
     /* 1065250 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1065327), // Rule ID 21270 //
     /* 1065255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065294 */     // MIs[0] policy
     /* 1065294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065304 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1065307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065326 */     // GIR_Coverage, 21270,
     /* 1065326 */     GIR_EraseRootFromParent_Done,
     /* 1065327 */   // Label 15718: @1065327
     /* 1065327 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1065404), // Rule ID 21271 //
     /* 1065332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065371 */     // MIs[0] policy
     /* 1065371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065381 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1065384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065403 */     // GIR_Coverage, 21271,
     /* 1065403 */     GIR_EraseRootFromParent_Done,
     /* 1065404 */   // Label 15719: @1065404
     /* 1065404 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1065481), // Rule ID 21274 //
     /* 1065409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065448 */     // MIs[0] policy
     /* 1065448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065458 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1065461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065480 */     // GIR_Coverage, 21274,
     /* 1065480 */     GIR_EraseRootFromParent_Done,
     /* 1065481 */   // Label 15720: @1065481
     /* 1065481 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065558), // Rule ID 21275 //
     /* 1065486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1065503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065525 */     // MIs[0] policy
     /* 1065525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065535 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1065538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065557 */     // GIR_Coverage, 21275,
     /* 1065557 */     GIR_EraseRootFromParent_Done,
     /* 1065558 */   // Label 15721: @1065558
     /* 1065558 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1065635), // Rule ID 21278 //
     /* 1065563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1065580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065602 */     // MIs[0] policy
     /* 1065602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065612 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1065615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065634 */     // GIR_Coverage, 21278,
     /* 1065634 */     GIR_EraseRootFromParent_Done,
     /* 1065635 */   // Label 15722: @1065635
     /* 1065635 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1065712), // Rule ID 21279 //
     /* 1065640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1065657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065679 */     // MIs[0] policy
     /* 1065679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065689 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1065692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065711 */     // GIR_Coverage, 21279,
     /* 1065711 */     GIR_EraseRootFromParent_Done,
     /* 1065712 */   // Label 15723: @1065712
     /* 1065712 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1065789), // Rule ID 21282 //
     /* 1065717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1065734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065756 */     // MIs[0] policy
     /* 1065756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065766 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1065769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065788 */     // GIR_Coverage, 21282,
     /* 1065788 */     GIR_EraseRootFromParent_Done,
     /* 1065789 */   // Label 15724: @1065789
     /* 1065789 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1065866), // Rule ID 21283 //
     /* 1065794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1065811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065833 */     // MIs[0] policy
     /* 1065833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065843 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1065846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065865 */     // GIR_Coverage, 21283,
     /* 1065865 */     GIR_EraseRootFromParent_Done,
     /* 1065866 */   // Label 15725: @1065866
     /* 1065866 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1065943), // Rule ID 21286 //
     /* 1065871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1065888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065910 */     // MIs[0] policy
     /* 1065910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065920 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1065923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065942 */     // GIR_Coverage, 21286,
     /* 1065942 */     GIR_EraseRootFromParent_Done,
     /* 1065943 */   // Label 15726: @1065943
     /* 1065943 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1066020), // Rule ID 21287 //
     /* 1065948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1065956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1065965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065987 */     // MIs[0] policy
     /* 1065987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065997 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1066000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066019 */     // GIR_Coverage, 21287,
     /* 1066019 */     GIR_EraseRootFromParent_Done,
     /* 1066020 */   // Label 15727: @1066020
     /* 1066020 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1066097), // Rule ID 21290 //
     /* 1066025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066064 */     // MIs[0] policy
     /* 1066064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066074 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1066077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066096 */     // GIR_Coverage, 21290,
     /* 1066096 */     GIR_EraseRootFromParent_Done,
     /* 1066097 */   // Label 15728: @1066097
     /* 1066097 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1066174), // Rule ID 21291 //
     /* 1066102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066141 */     // MIs[0] policy
     /* 1066141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066151 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1066154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066173 */     // GIR_Coverage, 21291,
     /* 1066173 */     GIR_EraseRootFromParent_Done,
     /* 1066174 */   // Label 15729: @1066174
     /* 1066174 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1066251), // Rule ID 21294 //
     /* 1066179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066218 */     // MIs[0] policy
     /* 1066218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066228 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1066231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066250 */     // GIR_Coverage, 21294,
     /* 1066250 */     GIR_EraseRootFromParent_Done,
     /* 1066251 */   // Label 15730: @1066251
     /* 1066251 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1066328), // Rule ID 21295 //
     /* 1066256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066295 */     // MIs[0] policy
     /* 1066295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066305 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1066308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066327 */     // GIR_Coverage, 21295,
     /* 1066327 */     GIR_EraseRootFromParent_Done,
     /* 1066328 */   // Label 15731: @1066328
     /* 1066328 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1066405), // Rule ID 21298 //
     /* 1066333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1066344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1066347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1066350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066372 */     // MIs[0] policy
     /* 1066372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066382 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1066385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066404 */     // GIR_Coverage, 21298,
     /* 1066404 */     GIR_EraseRootFromParent_Done,
     /* 1066405 */   // Label 15732: @1066405
     /* 1066405 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1066482), // Rule ID 21299 //
     /* 1066410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1066421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1066424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1066427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066449 */     // MIs[0] policy
     /* 1066449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066459 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1066462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066481 */     // GIR_Coverage, 21299,
     /* 1066481 */     GIR_EraseRootFromParent_Done,
     /* 1066482 */   // Label 15733: @1066482
     /* 1066482 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066559), // Rule ID 21302 //
     /* 1066487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1066504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066526 */     // MIs[0] policy
     /* 1066526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066536 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1066539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066558 */     // GIR_Coverage, 21302,
     /* 1066558 */     GIR_EraseRootFromParent_Done,
     /* 1066559 */   // Label 15734: @1066559
     /* 1066559 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1066636), // Rule ID 21303 //
     /* 1066564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1066581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066603 */     // MIs[0] policy
     /* 1066603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066613 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1066616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066635 */     // GIR_Coverage, 21303,
     /* 1066635 */     GIR_EraseRootFromParent_Done,
     /* 1066636 */   // Label 15735: @1066636
     /* 1066636 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1066713), // Rule ID 21306 //
     /* 1066641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066680 */     // MIs[0] policy
     /* 1066680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066690 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1066693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066712 */     // GIR_Coverage, 21306,
     /* 1066712 */     GIR_EraseRootFromParent_Done,
     /* 1066713 */   // Label 15736: @1066713
     /* 1066713 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1066790), // Rule ID 21307 //
     /* 1066718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066757 */     // MIs[0] policy
     /* 1066757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066767 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1066770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066789 */     // GIR_Coverage, 21307,
     /* 1066789 */     GIR_EraseRootFromParent_Done,
     /* 1066790 */   // Label 15737: @1066790
     /* 1066790 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1066867), // Rule ID 21310 //
     /* 1066795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1066806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1066809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066834 */     // MIs[0] policy
     /* 1066834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066844 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1066847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066866 */     // GIR_Coverage, 21310,
     /* 1066866 */     GIR_EraseRootFromParent_Done,
     /* 1066867 */   // Label 15738: @1066867
     /* 1066867 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1066944), // Rule ID 21311 //
     /* 1066872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1066883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1066886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066911 */     // MIs[0] policy
     /* 1066911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066921 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1066924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066943 */     // GIR_Coverage, 21311,
     /* 1066943 */     GIR_EraseRootFromParent_Done,
     /* 1066944 */   // Label 15739: @1066944
     /* 1066944 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1067021), // Rule ID 21314 //
     /* 1066949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1066960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1066963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1066966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066988 */     // MIs[0] policy
     /* 1066988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066998 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1067001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067020 */     // GIR_Coverage, 21314,
     /* 1067020 */     GIR_EraseRootFromParent_Done,
     /* 1067021 */   // Label 15740: @1067021
     /* 1067021 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1067098), // Rule ID 21315 //
     /* 1067026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067065 */     // MIs[0] policy
     /* 1067065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067075 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1067078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067097 */     // GIR_Coverage, 21315,
     /* 1067097 */     GIR_EraseRootFromParent_Done,
     /* 1067098 */   // Label 15741: @1067098
     /* 1067098 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1067175), // Rule ID 21318 //
     /* 1067103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067142 */     // MIs[0] policy
     /* 1067142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067152 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1067155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067174 */     // GIR_Coverage, 21318,
     /* 1067174 */     GIR_EraseRootFromParent_Done,
     /* 1067175 */   // Label 15742: @1067175
     /* 1067175 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1067252), // Rule ID 21319 //
     /* 1067180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067219 */     // MIs[0] policy
     /* 1067219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067229 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1067232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067251 */     // GIR_Coverage, 21319,
     /* 1067251 */     GIR_EraseRootFromParent_Done,
     /* 1067252 */   // Label 15743: @1067252
     /* 1067252 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1067329), // Rule ID 21322 //
     /* 1067257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1067268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1067271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067296 */     // MIs[0] policy
     /* 1067296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067306 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1067309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067328 */     // GIR_Coverage, 21322,
     /* 1067328 */     GIR_EraseRootFromParent_Done,
     /* 1067329 */   // Label 15744: @1067329
     /* 1067329 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1067406), // Rule ID 21323 //
     /* 1067334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1067345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1067348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067373 */     // MIs[0] policy
     /* 1067373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067383 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1067386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067405 */     // GIR_Coverage, 21323,
     /* 1067405 */     GIR_EraseRootFromParent_Done,
     /* 1067406 */   // Label 15745: @1067406
     /* 1067406 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1067483), // Rule ID 21326 //
     /* 1067411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1067428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067450 */     // MIs[0] policy
     /* 1067450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067460 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1067463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067482 */     // GIR_Coverage, 21326,
     /* 1067482 */     GIR_EraseRootFromParent_Done,
     /* 1067483 */   // Label 15746: @1067483
     /* 1067483 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067560), // Rule ID 21327 //
     /* 1067488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1067505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067527 */     // MIs[0] policy
     /* 1067527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067537 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1067540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067559 */     // GIR_Coverage, 21327,
     /* 1067559 */     GIR_EraseRootFromParent_Done,
     /* 1067560 */   // Label 15747: @1067560
     /* 1067560 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1067637), // Rule ID 21330 //
     /* 1067565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1067576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1067579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067604 */     // MIs[0] policy
     /* 1067604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067614 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1067617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067636 */     // GIR_Coverage, 21330,
     /* 1067636 */     GIR_EraseRootFromParent_Done,
     /* 1067637 */   // Label 15748: @1067637
     /* 1067637 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1067714), // Rule ID 21331 //
     /* 1067642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1067653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1067656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067681 */     // MIs[0] policy
     /* 1067681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067691 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1067694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067713 */     // GIR_Coverage, 21331,
     /* 1067713 */     GIR_EraseRootFromParent_Done,
     /* 1067714 */   // Label 15749: @1067714
     /* 1067714 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1067791), // Rule ID 21334 //
     /* 1067719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1067730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1067733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067758 */     // MIs[0] policy
     /* 1067758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067768 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1067771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067790 */     // GIR_Coverage, 21334,
     /* 1067790 */     GIR_EraseRootFromParent_Done,
     /* 1067791 */   // Label 15750: @1067791
     /* 1067791 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1067868), // Rule ID 21335 //
     /* 1067796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1067807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1067810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067835 */     // MIs[0] policy
     /* 1067835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067845 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1067848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067867 */     // GIR_Coverage, 21335,
     /* 1067867 */     GIR_EraseRootFromParent_Done,
     /* 1067868 */   // Label 15751: @1067868
     /* 1067868 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1067945), // Rule ID 21338 //
     /* 1067873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1067876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1067881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067912 */     // MIs[0] policy
     /* 1067912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067922 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1067925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067944 */     // GIR_Coverage, 21338,
     /* 1067944 */     GIR_EraseRootFromParent_Done,
     /* 1067945 */   // Label 15752: @1067945
     /* 1067945 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1068022), // Rule ID 21339 //
     /* 1067950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1067953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1067958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067989 */     // MIs[0] policy
     /* 1067989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067999 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1068002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068021 */     // GIR_Coverage, 21339,
     /* 1068021 */     GIR_EraseRootFromParent_Done,
     /* 1068022 */   // Label 15753: @1068022
     /* 1068022 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1068099), // Rule ID 21342 //
     /* 1068027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068066 */     // MIs[0] policy
     /* 1068066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1068079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068098 */     // GIR_Coverage, 21342,
     /* 1068098 */     GIR_EraseRootFromParent_Done,
     /* 1068099 */   // Label 15754: @1068099
     /* 1068099 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1068176), // Rule ID 21343 //
     /* 1068104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068143 */     // MIs[0] policy
     /* 1068143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068153 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1068156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068175 */     // GIR_Coverage, 21343,
     /* 1068175 */     GIR_EraseRootFromParent_Done,
     /* 1068176 */   // Label 15755: @1068176
     /* 1068176 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1068253), // Rule ID 21346 //
     /* 1068181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068220 */     // MIs[0] policy
     /* 1068220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068230 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1068233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068252 */     // GIR_Coverage, 21346,
     /* 1068252 */     GIR_EraseRootFromParent_Done,
     /* 1068253 */   // Label 15756: @1068253
     /* 1068253 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1068330), // Rule ID 21347 //
     /* 1068258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068297 */     // MIs[0] policy
     /* 1068297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1068310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068329 */     // GIR_Coverage, 21347,
     /* 1068329 */     GIR_EraseRootFromParent_Done,
     /* 1068330 */   // Label 15757: @1068330
     /* 1068330 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1068407), // Rule ID 21350 //
     /* 1068335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1068352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068374 */     // MIs[0] policy
     /* 1068374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1068387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068406 */     // GIR_Coverage, 21350,
     /* 1068406 */     GIR_EraseRootFromParent_Done,
     /* 1068407 */   // Label 15758: @1068407
     /* 1068407 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1068484), // Rule ID 21351 //
     /* 1068412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1068429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068451 */     // MIs[0] policy
     /* 1068451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068461 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1068464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068483 */     // GIR_Coverage, 21351,
     /* 1068483 */     GIR_EraseRootFromParent_Done,
     /* 1068484 */   // Label 15759: @1068484
     /* 1068484 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068561), // Rule ID 21354 //
     /* 1068489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1068492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1068500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1068503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1068516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068528 */     // MIs[0] policy
     /* 1068528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068538 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1068541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068560 */     // GIR_Coverage, 21354,
     /* 1068560 */     GIR_EraseRootFromParent_Done,
     /* 1068561 */   // Label 15760: @1068561
     /* 1068561 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1068638), // Rule ID 21355 //
     /* 1068566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1068569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1068577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1068580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1068583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1068593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068605 */     // MIs[0] policy
     /* 1068605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068615 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1068618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068637 */     // GIR_Coverage, 21355,
     /* 1068637 */     GIR_EraseRootFromParent_Done,
     /* 1068638 */   // Label 15761: @1068638
     /* 1068638 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1068715), // Rule ID 21358 //
     /* 1068643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1068646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1068654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1068657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068682 */     // MIs[0] policy
     /* 1068682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068692 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1068695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068714 */     // GIR_Coverage, 21358,
     /* 1068714 */     GIR_EraseRootFromParent_Done,
     /* 1068715 */   // Label 15762: @1068715
     /* 1068715 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1068792), // Rule ID 21359 //
     /* 1068720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1068723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1068731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1068734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068759 */     // MIs[0] policy
     /* 1068759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068769 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1068772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068791 */     // GIR_Coverage, 21359,
     /* 1068791 */     GIR_EraseRootFromParent_Done,
     /* 1068792 */   // Label 15763: @1068792
     /* 1068792 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1068869), // Rule ID 21362 //
     /* 1068797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1068800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1068808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1068811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068836 */     // MIs[0] policy
     /* 1068836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068846 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1068849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068868 */     // GIR_Coverage, 21362,
     /* 1068868 */     GIR_EraseRootFromParent_Done,
     /* 1068869 */   // Label 15764: @1068869
     /* 1068869 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1068946), // Rule ID 21363 //
     /* 1068874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1068877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1068885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1068888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068913 */     // MIs[0] policy
     /* 1068913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068923 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1068926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068945 */     // GIR_Coverage, 21363,
     /* 1068945 */     GIR_EraseRootFromParent_Done,
     /* 1068946 */   // Label 15765: @1068946
     /* 1068946 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1069023), // Rule ID 21366 //
     /* 1068951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1068954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1068962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1068965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068990 */     // MIs[0] policy
     /* 1068990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069000 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1069003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069022 */     // GIR_Coverage, 21366,
     /* 1069022 */     GIR_EraseRootFromParent_Done,
     /* 1069023 */   // Label 15766: @1069023
     /* 1069023 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1069100), // Rule ID 21367 //
     /* 1069028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1069039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1069042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069067 */     // MIs[0] policy
     /* 1069067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069077 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1069080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069099 */     // GIR_Coverage, 21367,
     /* 1069099 */     GIR_EraseRootFromParent_Done,
     /* 1069100 */   // Label 15767: @1069100
     /* 1069100 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1069177), // Rule ID 21370 //
     /* 1069105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1069116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1069119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069144 */     // MIs[0] policy
     /* 1069144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069154 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1069157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069176 */     // GIR_Coverage, 21370,
     /* 1069176 */     GIR_EraseRootFromParent_Done,
     /* 1069177 */   // Label 15768: @1069177
     /* 1069177 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1069254), // Rule ID 21371 //
     /* 1069182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1069193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1069196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069221 */     // MIs[0] policy
     /* 1069221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069231 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1069234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069253 */     // GIR_Coverage, 21371,
     /* 1069253 */     GIR_EraseRootFromParent_Done,
     /* 1069254 */   // Label 15769: @1069254
     /* 1069254 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1069331), // Rule ID 21614 //
     /* 1069259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1069270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1069273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1069276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069298 */     // MIs[0] policy
     /* 1069298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1069311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069330 */     // GIR_Coverage, 21614,
     /* 1069330 */     GIR_EraseRootFromParent_Done,
     /* 1069331 */   // Label 15770: @1069331
     /* 1069331 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1069408), // Rule ID 21615 //
     /* 1069336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1069347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1069350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1069353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069375 */     // MIs[0] policy
     /* 1069375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069385 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1069388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069407 */     // GIR_Coverage, 21615,
     /* 1069407 */     GIR_EraseRootFromParent_Done,
     /* 1069408 */   // Label 15771: @1069408
     /* 1069408 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1069485), // Rule ID 21618 //
     /* 1069413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1069430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069452 */     // MIs[0] policy
     /* 1069452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1069465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069484 */     // GIR_Coverage, 21618,
     /* 1069484 */     GIR_EraseRootFromParent_Done,
     /* 1069485 */   // Label 15772: @1069485
     /* 1069485 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069562), // Rule ID 21619 //
     /* 1069490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1069507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069529 */     // MIs[0] policy
     /* 1069529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1069542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069561 */     // GIR_Coverage, 21619,
     /* 1069561 */     GIR_EraseRootFromParent_Done,
     /* 1069562 */   // Label 15773: @1069562
     /* 1069562 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1069639), // Rule ID 21622 //
     /* 1069567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069606 */     // MIs[0] policy
     /* 1069606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069616 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1069619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069638 */     // GIR_Coverage, 21622,
     /* 1069638 */     GIR_EraseRootFromParent_Done,
     /* 1069639 */   // Label 15774: @1069639
     /* 1069639 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1069716), // Rule ID 21623 //
     /* 1069644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069683 */     // MIs[0] policy
     /* 1069683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069693 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1069696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069715 */     // GIR_Coverage, 21623,
     /* 1069715 */     GIR_EraseRootFromParent_Done,
     /* 1069716 */   // Label 15775: @1069716
     /* 1069716 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1069793), // Rule ID 21626 //
     /* 1069721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1069738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069760 */     // MIs[0] policy
     /* 1069760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1069773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069792 */     // GIR_Coverage, 21626,
     /* 1069792 */     GIR_EraseRootFromParent_Done,
     /* 1069793 */   // Label 15776: @1069793
     /* 1069793 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1069870), // Rule ID 21627 //
     /* 1069798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1069815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069837 */     // MIs[0] policy
     /* 1069837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1069850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069869 */     // GIR_Coverage, 21627,
     /* 1069869 */     GIR_EraseRootFromParent_Done,
     /* 1069870 */   // Label 15777: @1069870
     /* 1069870 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1069947), // Rule ID 21630 //
     /* 1069875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1069886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1069889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1069892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069914 */     // MIs[0] policy
     /* 1069914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069924 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1069927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069946 */     // GIR_Coverage, 21630,
     /* 1069946 */     GIR_EraseRootFromParent_Done,
     /* 1069947 */   // Label 15778: @1069947
     /* 1069947 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1070024), // Rule ID 21631 //
     /* 1069952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1069955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1069963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1069966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1069969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069991 */     // MIs[0] policy
     /* 1069991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070023 */     // GIR_Coverage, 21631,
     /* 1070023 */     GIR_EraseRootFromParent_Done,
     /* 1070024 */   // Label 15779: @1070024
     /* 1070024 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1070101), // Rule ID 21634 //
     /* 1070029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1070049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070068 */     // MIs[0] policy
     /* 1070068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070100 */     // GIR_Coverage, 21634,
     /* 1070100 */     GIR_EraseRootFromParent_Done,
     /* 1070101 */   // Label 15780: @1070101
     /* 1070101 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1070178), // Rule ID 21635 //
     /* 1070106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1070126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070145 */     // MIs[0] policy
     /* 1070145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070155 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070177 */     // GIR_Coverage, 21635,
     /* 1070177 */     GIR_EraseRootFromParent_Done,
     /* 1070178 */   // Label 15781: @1070178
     /* 1070178 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1070255), // Rule ID 21638 //
     /* 1070183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070222 */     // MIs[0] policy
     /* 1070222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070232 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070254 */     // GIR_Coverage, 21638,
     /* 1070254 */     GIR_EraseRootFromParent_Done,
     /* 1070255 */   // Label 15782: @1070255
     /* 1070255 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1070332), // Rule ID 21639 //
     /* 1070260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070299 */     // MIs[0] policy
     /* 1070299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070331 */     // GIR_Coverage, 21639,
     /* 1070331 */     GIR_EraseRootFromParent_Done,
     /* 1070332 */   // Label 15783: @1070332
     /* 1070332 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1070409), // Rule ID 21642 //
     /* 1070337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1070348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1070351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070376 */     // MIs[0] policy
     /* 1070376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070386 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1070389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070408 */     // GIR_Coverage, 21642,
     /* 1070408 */     GIR_EraseRootFromParent_Done,
     /* 1070409 */   // Label 15784: @1070409
     /* 1070409 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1070486), // Rule ID 21643 //
     /* 1070414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1070425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1070428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070453 */     // MIs[0] policy
     /* 1070453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070463 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1070466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070485 */     // GIR_Coverage, 21643,
     /* 1070485 */     GIR_EraseRootFromParent_Done,
     /* 1070486 */   // Label 15785: @1070486
     /* 1070486 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070563), // Rule ID 21646 //
     /* 1070491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070530 */     // MIs[0] policy
     /* 1070530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1070543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070562 */     // GIR_Coverage, 21646,
     /* 1070562 */     GIR_EraseRootFromParent_Done,
     /* 1070563 */   // Label 15786: @1070563
     /* 1070563 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1070640), // Rule ID 21647 //
     /* 1070568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070607 */     // MIs[0] policy
     /* 1070607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1070620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070639 */     // GIR_Coverage, 21647,
     /* 1070639 */     GIR_EraseRootFromParent_Done,
     /* 1070640 */   // Label 15787: @1070640
     /* 1070640 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1070717), // Rule ID 21650 //
     /* 1070645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070684 */     // MIs[0] policy
     /* 1070684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070716 */     // GIR_Coverage, 21650,
     /* 1070716 */     GIR_EraseRootFromParent_Done,
     /* 1070717 */   // Label 15788: @1070717
     /* 1070717 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1070794), // Rule ID 21651 //
     /* 1070722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070761 */     // MIs[0] policy
     /* 1070761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070793 */     // GIR_Coverage, 21651,
     /* 1070793 */     GIR_EraseRootFromParent_Done,
     /* 1070794 */   // Label 15789: @1070794
     /* 1070794 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1070871), // Rule ID 21654 //
     /* 1070799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070838 */     // MIs[0] policy
     /* 1070838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070848 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070870 */     // GIR_Coverage, 21654,
     /* 1070870 */     GIR_EraseRootFromParent_Done,
     /* 1070871 */   // Label 15790: @1070871
     /* 1070871 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1070948), // Rule ID 21655 //
     /* 1070876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070915 */     // MIs[0] policy
     /* 1070915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070947 */     // GIR_Coverage, 21655,
     /* 1070947 */     GIR_EraseRootFromParent_Done,
     /* 1070948 */   // Label 15791: @1070948
     /* 1070948 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1071025), // Rule ID 21658 //
     /* 1070953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1070956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070992 */     // MIs[0] policy
     /* 1070992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071024 */     // GIR_Coverage, 21658,
     /* 1071024 */     GIR_EraseRootFromParent_Done,
     /* 1071025 */   // Label 15792: @1071025
     /* 1071025 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1071102), // Rule ID 21659 //
     /* 1071030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1071047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071069 */     // MIs[0] policy
     /* 1071069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071079 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071101 */     // GIR_Coverage, 21659,
     /* 1071101 */     GIR_EraseRootFromParent_Done,
     /* 1071102 */   // Label 15793: @1071102
     /* 1071102 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1071179), // Rule ID 21662 //
     /* 1071107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071146 */     // MIs[0] policy
     /* 1071146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071178 */     // GIR_Coverage, 21662,
     /* 1071178 */     GIR_EraseRootFromParent_Done,
     /* 1071179 */   // Label 15794: @1071179
     /* 1071179 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1071256), // Rule ID 21663 //
     /* 1071184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071223 */     // MIs[0] policy
     /* 1071223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071255 */     // GIR_Coverage, 21663,
     /* 1071255 */     GIR_EraseRootFromParent_Done,
     /* 1071256 */   // Label 15795: @1071256
     /* 1071256 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1071333), // Rule ID 21666 //
     /* 1071261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071300 */     // MIs[0] policy
     /* 1071300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1071313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071332 */     // GIR_Coverage, 21666,
     /* 1071332 */     GIR_EraseRootFromParent_Done,
     /* 1071333 */   // Label 15796: @1071333
     /* 1071333 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1071410), // Rule ID 21667 //
     /* 1071338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071377 */     // MIs[0] policy
     /* 1071377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071387 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1071390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071409 */     // GIR_Coverage, 21667,
     /* 1071409 */     GIR_EraseRootFromParent_Done,
     /* 1071410 */   // Label 15797: @1071410
     /* 1071410 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1071487), // Rule ID 21670 //
     /* 1071415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071454 */     // MIs[0] policy
     /* 1071454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071464 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071486 */     // GIR_Coverage, 21670,
     /* 1071486 */     GIR_EraseRootFromParent_Done,
     /* 1071487 */   // Label 15798: @1071487
     /* 1071487 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071564), // Rule ID 21671 //
     /* 1071492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071531 */     // MIs[0] policy
     /* 1071531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071563 */     // GIR_Coverage, 21671,
     /* 1071563 */     GIR_EraseRootFromParent_Done,
     /* 1071564 */   // Label 15799: @1071564
     /* 1071564 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1071641), // Rule ID 21674 //
     /* 1071569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1071572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1071586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071608 */     // MIs[0] policy
     /* 1071608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071618 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1071621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071640 */     // GIR_Coverage, 21674,
     /* 1071640 */     GIR_EraseRootFromParent_Done,
     /* 1071641 */   // Label 15800: @1071641
     /* 1071641 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1071718), // Rule ID 21675 //
     /* 1071646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1071649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1071663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071685 */     // MIs[0] policy
     /* 1071685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071695 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1071698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071717 */     // GIR_Coverage, 21675,
     /* 1071717 */     GIR_EraseRootFromParent_Done,
     /* 1071718 */   // Label 15801: @1071718
     /* 1071718 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1071795), // Rule ID 21678 //
     /* 1071723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1071726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1071740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071762 */     // MIs[0] policy
     /* 1071762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1071775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071794 */     // GIR_Coverage, 21678,
     /* 1071794 */     GIR_EraseRootFromParent_Done,
     /* 1071795 */   // Label 15802: @1071795
     /* 1071795 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1071872), // Rule ID 21679 //
     /* 1071800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1071803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1071817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071839 */     // MIs[0] policy
     /* 1071839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071849 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1071852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071871 */     // GIR_Coverage, 21679,
     /* 1071871 */     GIR_EraseRootFromParent_Done,
     /* 1071872 */   // Label 15803: @1071872
     /* 1071872 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1071949), // Rule ID 21682 //
     /* 1071877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1071880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1071894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071916 */     // MIs[0] policy
     /* 1071916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1071929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071948 */     // GIR_Coverage, 21682,
     /* 1071948 */     GIR_EraseRootFromParent_Done,
     /* 1071949 */   // Label 15804: @1071949
     /* 1071949 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1072026), // Rule ID 21683 //
     /* 1071954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1071957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1071962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1071971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071993 */     // MIs[0] policy
     /* 1071993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072025 */     // GIR_Coverage, 21683,
     /* 1072025 */     GIR_EraseRootFromParent_Done,
     /* 1072026 */   // Label 15805: @1072026
     /* 1072026 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1072103), // Rule ID 21686 //
     /* 1072031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1072048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072070 */     // MIs[0] policy
     /* 1072070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072102 */     // GIR_Coverage, 21686,
     /* 1072102 */     GIR_EraseRootFromParent_Done,
     /* 1072103 */   // Label 15806: @1072103
     /* 1072103 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1072180), // Rule ID 21687 //
     /* 1072108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1072125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072147 */     // MIs[0] policy
     /* 1072147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072179 */     // GIR_Coverage, 21687,
     /* 1072179 */     GIR_EraseRootFromParent_Done,
     /* 1072180 */   // Label 15807: @1072180
     /* 1072180 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1072257), // Rule ID 21690 //
     /* 1072185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1072202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072224 */     // MIs[0] policy
     /* 1072224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1072237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072256 */     // GIR_Coverage, 21690,
     /* 1072256 */     GIR_EraseRootFromParent_Done,
     /* 1072257 */   // Label 15808: @1072257
     /* 1072257 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1072334), // Rule ID 21691 //
     /* 1072262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1072279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072301 */     // MIs[0] policy
     /* 1072301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1072314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072333 */     // GIR_Coverage, 21691,
     /* 1072333 */     GIR_EraseRootFromParent_Done,
     /* 1072334 */   // Label 15809: @1072334
     /* 1072334 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1072411), // Rule ID 21694 //
     /* 1072339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1072356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072378 */     // MIs[0] policy
     /* 1072378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1072391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072410 */     // GIR_Coverage, 21694,
     /* 1072410 */     GIR_EraseRootFromParent_Done,
     /* 1072411 */   // Label 15810: @1072411
     /* 1072411 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1072488), // Rule ID 21695 //
     /* 1072416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1072427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1072430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1072433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1072436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072455 */     // MIs[0] policy
     /* 1072455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072465 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1072468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072487 */     // GIR_Coverage, 21695,
     /* 1072487 */     GIR_EraseRootFromParent_Done,
     /* 1072488 */   // Label 15811: @1072488
     /* 1072488 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072565), // Rule ID 21698 //
     /* 1072493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1072496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072532 */     // MIs[0] policy
     /* 1072532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1072545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072564 */     // GIR_Coverage, 21698,
     /* 1072564 */     GIR_EraseRootFromParent_Done,
     /* 1072565 */   // Label 15812: @1072565
     /* 1072565 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1072642), // Rule ID 21699 //
     /* 1072570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1072573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072609 */     // MIs[0] policy
     /* 1072609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072619 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1072622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072641 */     // GIR_Coverage, 21699,
     /* 1072641 */     GIR_EraseRootFromParent_Done,
     /* 1072642 */   // Label 15813: @1072642
     /* 1072642 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1072719), // Rule ID 21702 //
     /* 1072647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1072650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1072664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072686 */     // MIs[0] policy
     /* 1072686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072718 */     // GIR_Coverage, 21702,
     /* 1072718 */     GIR_EraseRootFromParent_Done,
     /* 1072719 */   // Label 15814: @1072719
     /* 1072719 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1072796), // Rule ID 21703 //
     /* 1072724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1072727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1072741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072763 */     // MIs[0] policy
     /* 1072763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072795 */     // GIR_Coverage, 21703,
     /* 1072795 */     GIR_EraseRootFromParent_Done,
     /* 1072796 */   // Label 15815: @1072796
     /* 1072796 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1072873), // Rule ID 21706 //
     /* 1072801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1072804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1072818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072840 */     // MIs[0] policy
     /* 1072840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072872 */     // GIR_Coverage, 21706,
     /* 1072872 */     GIR_EraseRootFromParent_Done,
     /* 1072873 */   // Label 15816: @1072873
     /* 1072873 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1072950), // Rule ID 21707 //
     /* 1072878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1072881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1072895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072917 */     // MIs[0] policy
     /* 1072917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072949 */     // GIR_Coverage, 21707,
     /* 1072949 */     GIR_EraseRootFromParent_Done,
     /* 1072950 */   // Label 15817: @1072950
     /* 1072950 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1073027), // Rule ID 21710 //
     /* 1072955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1072958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1072966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1072969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1072972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072994 */     // MIs[0] policy
     /* 1072994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073026 */     // GIR_Coverage, 21710,
     /* 1073026 */     GIR_EraseRootFromParent_Done,
     /* 1073027 */   // Label 15818: @1073027
     /* 1073027 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1073104), // Rule ID 21711 //
     /* 1073032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1073049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073071 */     // MIs[0] policy
     /* 1073071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073103 */     // GIR_Coverage, 21711,
     /* 1073103 */     GIR_EraseRootFromParent_Done,
     /* 1073104 */   // Label 15819: @1073104
     /* 1073104 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1073181), // Rule ID 21714 //
     /* 1073109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1073126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073148 */     // MIs[0] policy
     /* 1073148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073158 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073180 */     // GIR_Coverage, 21714,
     /* 1073180 */     GIR_EraseRootFromParent_Done,
     /* 1073181 */   // Label 15820: @1073181
     /* 1073181 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1073258), // Rule ID 21715 //
     /* 1073186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1073203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073225 */     // MIs[0] policy
     /* 1073225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073257 */     // GIR_Coverage, 21715,
     /* 1073257 */     GIR_EraseRootFromParent_Done,
     /* 1073258 */   // Label 15821: @1073258
     /* 1073258 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1073335), // Rule ID 21718 //
     /* 1073263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073302 */     // MIs[0] policy
     /* 1073302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1073315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073334 */     // GIR_Coverage, 21718,
     /* 1073334 */     GIR_EraseRootFromParent_Done,
     /* 1073335 */   // Label 15822: @1073335
     /* 1073335 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1073412), // Rule ID 21719 //
     /* 1073340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1073343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073379 */     // MIs[0] policy
     /* 1073379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1073392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073411 */     // GIR_Coverage, 21719,
     /* 1073411 */     GIR_EraseRootFromParent_Done,
     /* 1073412 */   // Label 15823: @1073412
     /* 1073412 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1073489), // Rule ID 21722 //
     /* 1073417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1073434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073456 */     // MIs[0] policy
     /* 1073456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073488 */     // GIR_Coverage, 21722,
     /* 1073488 */     GIR_EraseRootFromParent_Done,
     /* 1073489 */   // Label 15824: @1073489
     /* 1073489 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073566), // Rule ID 21723 //
     /* 1073494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1073497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1073511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073533 */     // MIs[0] policy
     /* 1073533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073565 */     // GIR_Coverage, 21723,
     /* 1073565 */     GIR_EraseRootFromParent_Done,
     /* 1073566 */   // Label 15825: @1073566
     /* 1073566 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1073643), // Rule ID 21726 //
     /* 1073571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1073588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073610 */     // MIs[0] policy
     /* 1073610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073642 */     // GIR_Coverage, 21726,
     /* 1073642 */     GIR_EraseRootFromParent_Done,
     /* 1073643 */   // Label 15826: @1073643
     /* 1073643 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1073720), // Rule ID 21727 //
     /* 1073648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1073651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1073665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073687 */     // MIs[0] policy
     /* 1073687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073719 */     // GIR_Coverage, 21727,
     /* 1073719 */     GIR_EraseRootFromParent_Done,
     /* 1073720 */   // Label 15827: @1073720
     /* 1073720 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1073797), // Rule ID 21730 //
     /* 1073725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1073742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073764 */     // MIs[0] policy
     /* 1073764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073796 */     // GIR_Coverage, 21730,
     /* 1073796 */     GIR_EraseRootFromParent_Done,
     /* 1073797 */   // Label 15828: @1073797
     /* 1073797 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1073874), // Rule ID 21731 //
     /* 1073802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1073805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1073813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1073816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1073819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073841 */     // MIs[0] policy
     /* 1073841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073873 */     // GIR_Coverage, 21731,
     /* 1073873 */     GIR_EraseRootFromParent_Done,
     /* 1073874 */   // Label 15829: @1073874
     /* 1073874 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1073951), // Rule ID 21842 //
     /* 1073879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1073882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1073887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1073890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1073893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073918 */     // MIs[0] policy
     /* 1073918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1073931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073950 */     // GIR_Coverage, 21842,
     /* 1073950 */     GIR_EraseRootFromParent_Done,
     /* 1073951 */   // Label 15830: @1073951
     /* 1073951 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1074028), // Rule ID 21843 //
     /* 1073956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1073959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1073964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1073967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1073970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073995 */     // MIs[0] policy
     /* 1073995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074005 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1074008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074027 */     // GIR_Coverage, 21843,
     /* 1074027 */     GIR_EraseRootFromParent_Done,
     /* 1074028 */   // Label 15831: @1074028
     /* 1074028 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1074105), // Rule ID 21846 //
     /* 1074033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1074050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074072 */     // MIs[0] policy
     /* 1074072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074082 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1074085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074104 */     // GIR_Coverage, 21846,
     /* 1074104 */     GIR_EraseRootFromParent_Done,
     /* 1074105 */   // Label 15832: @1074105
     /* 1074105 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1074182), // Rule ID 21847 //
     /* 1074110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1074127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074149 */     // MIs[0] policy
     /* 1074149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074159 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1074162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074181 */     // GIR_Coverage, 21847,
     /* 1074181 */     GIR_EraseRootFromParent_Done,
     /* 1074182 */   // Label 15833: @1074182
     /* 1074182 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1074259), // Rule ID 21850 //
     /* 1074187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1074198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1074201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074226 */     // MIs[0] policy
     /* 1074226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074236 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1074239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074258 */     // GIR_Coverage, 21850,
     /* 1074258 */     GIR_EraseRootFromParent_Done,
     /* 1074259 */   // Label 15834: @1074259
     /* 1074259 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1074336), // Rule ID 21851 //
     /* 1074264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1074275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1074278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074303 */     // MIs[0] policy
     /* 1074303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074313 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1074316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074335 */     // GIR_Coverage, 21851,
     /* 1074335 */     GIR_EraseRootFromParent_Done,
     /* 1074336 */   // Label 15835: @1074336
     /* 1074336 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1074413), // Rule ID 21854 //
     /* 1074341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074380 */     // MIs[0] policy
     /* 1074380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074390 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1074393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074412 */     // GIR_Coverage, 21854,
     /* 1074412 */     GIR_EraseRootFromParent_Done,
     /* 1074413 */   // Label 15836: @1074413
     /* 1074413 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1074490), // Rule ID 21855 //
     /* 1074418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074457 */     // MIs[0] policy
     /* 1074457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074467 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1074470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074489 */     // GIR_Coverage, 21855,
     /* 1074489 */     GIR_EraseRootFromParent_Done,
     /* 1074490 */   // Label 15837: @1074490
     /* 1074490 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074567), // Rule ID 21858 //
     /* 1074495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1074515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074534 */     // MIs[0] policy
     /* 1074534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074544 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1074547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074566 */     // GIR_Coverage, 21858,
     /* 1074566 */     GIR_EraseRootFromParent_Done,
     /* 1074567 */   // Label 15838: @1074567
     /* 1074567 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1074644), // Rule ID 21859 //
     /* 1074572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1074592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074611 */     // MIs[0] policy
     /* 1074611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074621 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1074624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074643 */     // GIR_Coverage, 21859,
     /* 1074643 */     GIR_EraseRootFromParent_Done,
     /* 1074644 */   // Label 15839: @1074644
     /* 1074644 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1074721), // Rule ID 21862 //
     /* 1074649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1074652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1074666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074688 */     // MIs[0] policy
     /* 1074688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074698 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1074701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074720 */     // GIR_Coverage, 21862,
     /* 1074720 */     GIR_EraseRootFromParent_Done,
     /* 1074721 */   // Label 15840: @1074721
     /* 1074721 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1074798), // Rule ID 21863 //
     /* 1074726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1074729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1074743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074765 */     // MIs[0] policy
     /* 1074765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074775 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1074778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074797 */     // GIR_Coverage, 21863,
     /* 1074797 */     GIR_EraseRootFromParent_Done,
     /* 1074798 */   // Label 15841: @1074798
     /* 1074798 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1074875), // Rule ID 21866 //
     /* 1074803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1074806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1074814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1074817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074842 */     // MIs[0] policy
     /* 1074842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1074855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074874 */     // GIR_Coverage, 21866,
     /* 1074874 */     GIR_EraseRootFromParent_Done,
     /* 1074875 */   // Label 15842: @1074875
     /* 1074875 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1074952), // Rule ID 21867 //
     /* 1074880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1074883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1074891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1074894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074919 */     // MIs[0] policy
     /* 1074919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074929 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1074932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074951 */     // GIR_Coverage, 21867,
     /* 1074951 */     GIR_EraseRootFromParent_Done,
     /* 1074952 */   // Label 15843: @1074952
     /* 1074952 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1075029), // Rule ID 21870 //
     /* 1074957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1074960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1074974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074996 */     // MIs[0] policy
     /* 1074996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075006 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1075009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075028 */     // GIR_Coverage, 21870,
     /* 1075028 */     GIR_EraseRootFromParent_Done,
     /* 1075029 */   // Label 15844: @1075029
     /* 1075029 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1075106), // Rule ID 21871 //
     /* 1075034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1075061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075073 */     // MIs[0] policy
     /* 1075073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075083 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1075086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075105 */     // GIR_Coverage, 21871,
     /* 1075105 */     GIR_EraseRootFromParent_Done,
     /* 1075106 */   // Label 15845: @1075106
     /* 1075106 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1075183), // Rule ID 21874 //
     /* 1075111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075150 */     // MIs[0] policy
     /* 1075150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1075163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075182 */     // GIR_Coverage, 21874,
     /* 1075182 */     GIR_EraseRootFromParent_Done,
     /* 1075183 */   // Label 15846: @1075183
     /* 1075183 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1075260), // Rule ID 21875 //
     /* 1075188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075227 */     // MIs[0] policy
     /* 1075227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075237 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1075240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075259 */     // GIR_Coverage, 21875,
     /* 1075259 */     GIR_EraseRootFromParent_Done,
     /* 1075260 */   // Label 15847: @1075260
     /* 1075260 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1075337), // Rule ID 23314 //
     /* 1075265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075304 */     // MIs[0] policy
     /* 1075304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075336 */     // GIR_Coverage, 23314,
     /* 1075336 */     GIR_EraseRootFromParent_Done,
     /* 1075337 */   // Label 15848: @1075337
     /* 1075337 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1075414), // Rule ID 23315 //
     /* 1075342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075381 */     // MIs[0] policy
     /* 1075381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075391 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075413 */     // GIR_Coverage, 23315,
     /* 1075413 */     GIR_EraseRootFromParent_Done,
     /* 1075414 */   // Label 15849: @1075414
     /* 1075414 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1075491), // Rule ID 23318 //
     /* 1075419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1075436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075458 */     // MIs[0] policy
     /* 1075458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075490 */     // GIR_Coverage, 23318,
     /* 1075490 */     GIR_EraseRootFromParent_Done,
     /* 1075491 */   // Label 15850: @1075491
     /* 1075491 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075568), // Rule ID 23319 //
     /* 1075496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1075513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075535 */     // MIs[0] policy
     /* 1075535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075545 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075567 */     // GIR_Coverage, 23319,
     /* 1075567 */     GIR_EraseRootFromParent_Done,
     /* 1075568 */   // Label 15851: @1075568
     /* 1075568 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1075645), // Rule ID 23322 //
     /* 1075573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1075590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075612 */     // MIs[0] policy
     /* 1075612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075644 */     // GIR_Coverage, 23322,
     /* 1075644 */     GIR_EraseRootFromParent_Done,
     /* 1075645 */   // Label 15852: @1075645
     /* 1075645 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1075722), // Rule ID 23323 //
     /* 1075650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1075667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075689 */     // MIs[0] policy
     /* 1075689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075721 */     // GIR_Coverage, 23323,
     /* 1075721 */     GIR_EraseRootFromParent_Done,
     /* 1075722 */   // Label 15853: @1075722
     /* 1075722 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1075799), // Rule ID 23326 //
     /* 1075727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075766 */     // MIs[0] policy
     /* 1075766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075798 */     // GIR_Coverage, 23326,
     /* 1075798 */     GIR_EraseRootFromParent_Done,
     /* 1075799 */   // Label 15854: @1075799
     /* 1075799 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1075876), // Rule ID 23327 //
     /* 1075804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075843 */     // MIs[0] policy
     /* 1075843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075875 */     // GIR_Coverage, 23327,
     /* 1075875 */     GIR_EraseRootFromParent_Done,
     /* 1075876 */   // Label 15855: @1075876
     /* 1075876 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1075953), // Rule ID 23330 //
     /* 1075881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1075898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075920 */     // MIs[0] policy
     /* 1075920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1075933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075952 */     // GIR_Coverage, 23330,
     /* 1075952 */     GIR_EraseRootFromParent_Done,
     /* 1075953 */   // Label 15856: @1075953
     /* 1075953 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1076030), // Rule ID 23331 //
     /* 1075958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1075975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075997 */     // MIs[0] policy
     /* 1075997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076007 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076029 */     // GIR_Coverage, 23331,
     /* 1076029 */     GIR_EraseRootFromParent_Done,
     /* 1076030 */   // Label 15857: @1076030
     /* 1076030 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1076107), // Rule ID 23334 //
     /* 1076035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1076052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1076055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076074 */     // MIs[0] policy
     /* 1076074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076106 */     // GIR_Coverage, 23334,
     /* 1076106 */     GIR_EraseRootFromParent_Done,
     /* 1076107 */   // Label 15858: @1076107
     /* 1076107 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1076184), // Rule ID 23335 //
     /* 1076112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1076129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1076132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076151 */     // MIs[0] policy
     /* 1076151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11259:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076183 */     // GIR_Coverage, 23335,
     /* 1076183 */     GIR_EraseRootFromParent_Done,
     /* 1076184 */   // Label 15859: @1076184
     /* 1076184 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1076261), // Rule ID 23338 //
     /* 1076189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076228 */     // MIs[0] policy
     /* 1076228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076238 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076260 */     // GIR_Coverage, 23338,
     /* 1076260 */     GIR_EraseRootFromParent_Done,
     /* 1076261 */   // Label 15860: @1076261
     /* 1076261 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1076338), // Rule ID 23339 //
     /* 1076266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076305 */     // MIs[0] policy
     /* 1076305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076337 */     // GIR_Coverage, 23339,
     /* 1076337 */     GIR_EraseRootFromParent_Done,
     /* 1076338 */   // Label 15861: @1076338
     /* 1076338 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1076415), // Rule ID 23342 //
     /* 1076343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076382 */     // MIs[0] policy
     /* 1076382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076414 */     // GIR_Coverage, 23342,
     /* 1076414 */     GIR_EraseRootFromParent_Done,
     /* 1076415 */   // Label 15862: @1076415
     /* 1076415 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1076492), // Rule ID 23343 //
     /* 1076420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076459 */     // MIs[0] policy
     /* 1076459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076491 */     // GIR_Coverage, 23343,
     /* 1076491 */     GIR_EraseRootFromParent_Done,
     /* 1076492 */   // Label 15863: @1076492
     /* 1076492 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076569), // Rule ID 23346 //
     /* 1076497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1076500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076536 */     // MIs[0] policy
     /* 1076536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076568 */     // GIR_Coverage, 23346,
     /* 1076568 */     GIR_EraseRootFromParent_Done,
     /* 1076569 */   // Label 15864: @1076569
     /* 1076569 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1076646), // Rule ID 23347 //
     /* 1076574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1076577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076613 */     // MIs[0] policy
     /* 1076613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076645 */     // GIR_Coverage, 23347,
     /* 1076645 */     GIR_EraseRootFromParent_Done,
     /* 1076646 */   // Label 15865: @1076646
     /* 1076646 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1076723), // Rule ID 23350 //
     /* 1076651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1076668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1076671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1076678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076690 */     // MIs[0] policy
     /* 1076690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076700 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1076703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076722 */     // GIR_Coverage, 23350,
     /* 1076722 */     GIR_EraseRootFromParent_Done,
     /* 1076723 */   // Label 15866: @1076723
     /* 1076723 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1076800), // Rule ID 23351 //
     /* 1076728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1076745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1076748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1076755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076767 */     // MIs[0] policy
     /* 1076767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1076780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076799 */     // GIR_Coverage, 23351,
     /* 1076799 */     GIR_EraseRootFromParent_Done,
     /* 1076800 */   // Label 15867: @1076800
     /* 1076800 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1076877), // Rule ID 23354 //
     /* 1076805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1076822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1076825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1076832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076844 */     // MIs[0] policy
     /* 1076844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1076857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076876 */     // GIR_Coverage, 23354,
     /* 1076876 */     GIR_EraseRootFromParent_Done,
     /* 1076877 */   // Label 15868: @1076877
     /* 1076877 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1076954), // Rule ID 23355 //
     /* 1076882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1076893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1076896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1076899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1076902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1076909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076921 */     // MIs[0] policy
     /* 1076921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076931 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1076934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076953 */     // GIR_Coverage, 23355,
     /* 1076953 */     GIR_EraseRootFromParent_Done,
     /* 1076954 */   // Label 15869: @1076954
     /* 1076954 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1077031), // Rule ID 23358 //
     /* 1076959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1076970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1076973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1076976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1076979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1076986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076998 */     // MIs[0] policy
     /* 1076998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077030 */     // GIR_Coverage, 23358,
     /* 1077030 */     GIR_EraseRootFromParent_Done,
     /* 1077031 */   // Label 15870: @1077031
     /* 1077031 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1077108), // Rule ID 23359 //
     /* 1077036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1077053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1077056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077075 */     // MIs[0] policy
     /* 1077075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077085 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077107 */     // GIR_Coverage, 23359,
     /* 1077107 */     GIR_EraseRootFromParent_Done,
     /* 1077108 */   // Label 15871: @1077108
     /* 1077108 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1077185), // Rule ID 23362 //
     /* 1077113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077152 */     // MIs[0] policy
     /* 1077152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077184 */     // GIR_Coverage, 23362,
     /* 1077184 */     GIR_EraseRootFromParent_Done,
     /* 1077185 */   // Label 15872: @1077185
     /* 1077185 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1077262), // Rule ID 23363 //
     /* 1077190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077229 */     // MIs[0] policy
     /* 1077229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077261 */     // GIR_Coverage, 23363,
     /* 1077261 */     GIR_EraseRootFromParent_Done,
     /* 1077262 */   // Label 15873: @1077262
     /* 1077262 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1077339), // Rule ID 23366 //
     /* 1077267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077306 */     // MIs[0] policy
     /* 1077306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077338 */     // GIR_Coverage, 23366,
     /* 1077338 */     GIR_EraseRootFromParent_Done,
     /* 1077339 */   // Label 15874: @1077339
     /* 1077339 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1077416), // Rule ID 23367 //
     /* 1077344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077383 */     // MIs[0] policy
     /* 1077383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077415 */     // GIR_Coverage, 23367,
     /* 1077415 */     GIR_EraseRootFromParent_Done,
     /* 1077416 */   // Label 15875: @1077416
     /* 1077416 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1077493), // Rule ID 23370 //
     /* 1077421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077460 */     // MIs[0] policy
     /* 1077460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077492 */     // GIR_Coverage, 23370,
     /* 1077492 */     GIR_EraseRootFromParent_Done,
     /* 1077493 */   // Label 15876: @1077493
     /* 1077493 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077570), // Rule ID 23371 //
     /* 1077498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077537 */     // MIs[0] policy
     /* 1077537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077569 */     // GIR_Coverage, 23371,
     /* 1077569 */     GIR_EraseRootFromParent_Done,
     /* 1077570 */   // Label 15877: @1077570
     /* 1077570 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1077647), // Rule ID 23374 //
     /* 1077575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1077592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1077595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077614 */     // MIs[0] policy
     /* 1077614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077646 */     // GIR_Coverage, 23374,
     /* 1077646 */     GIR_EraseRootFromParent_Done,
     /* 1077647 */   // Label 15878: @1077647
     /* 1077647 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1077724), // Rule ID 23375 //
     /* 1077652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1077669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1077672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077691 */     // MIs[0] policy
     /* 1077691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077723 */     // GIR_Coverage, 23375,
     /* 1077723 */     GIR_EraseRootFromParent_Done,
     /* 1077724 */   // Label 15879: @1077724
     /* 1077724 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1077801), // Rule ID 23378 //
     /* 1077729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1077740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1077743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077768 */     // MIs[0] policy
     /* 1077768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077800 */     // GIR_Coverage, 23378,
     /* 1077800 */     GIR_EraseRootFromParent_Done,
     /* 1077801 */   // Label 15880: @1077801
     /* 1077801 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1077878), // Rule ID 23379 //
     /* 1077806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1077817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1077820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077845 */     // MIs[0] policy
     /* 1077845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077877 */     // GIR_Coverage, 23379,
     /* 1077877 */     GIR_EraseRootFromParent_Done,
     /* 1077878 */   // Label 15881: @1077878
     /* 1077878 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1077955), // Rule ID 23382 //
     /* 1077883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077922 */     // MIs[0] policy
     /* 1077922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077954 */     // GIR_Coverage, 23382,
     /* 1077954 */     GIR_EraseRootFromParent_Done,
     /* 1077955 */   // Label 15882: @1077955
     /* 1077955 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1078032), // Rule ID 23383 //
     /* 1077960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1077971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1077974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077999 */     // MIs[0] policy
     /* 1077999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078031 */     // GIR_Coverage, 23383,
     /* 1078031 */     GIR_EraseRootFromParent_Done,
     /* 1078032 */   // Label 15883: @1078032
     /* 1078032 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1078109), // Rule ID 23386 //
     /* 1078037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1078054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1078057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078076 */     // MIs[0] policy
     /* 1078076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078108 */     // GIR_Coverage, 23386,
     /* 1078108 */     GIR_EraseRootFromParent_Done,
     /* 1078109 */   // Label 15884: @1078109
     /* 1078109 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1078186), // Rule ID 23387 //
     /* 1078114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1078131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1078134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078153 */     // MIs[0] policy
     /* 1078153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11259:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078185 */     // GIR_Coverage, 23387,
     /* 1078185 */     GIR_EraseRootFromParent_Done,
     /* 1078186 */   // Label 15885: @1078186
     /* 1078186 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1078263), // Rule ID 23390 //
     /* 1078191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078230 */     // MIs[0] policy
     /* 1078230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078262 */     // GIR_Coverage, 23390,
     /* 1078262 */     GIR_EraseRootFromParent_Done,
     /* 1078263 */   // Label 15886: @1078263
     /* 1078263 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1078340), // Rule ID 23391 //
     /* 1078268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078307 */     // MIs[0] policy
     /* 1078307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11259:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078339 */     // GIR_Coverage, 23391,
     /* 1078339 */     GIR_EraseRootFromParent_Done,
     /* 1078340 */   // Label 15887: @1078340
     /* 1078340 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1078417), // Rule ID 23394 //
     /* 1078345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1078362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1078365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078384 */     // MIs[0] policy
     /* 1078384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078416 */     // GIR_Coverage, 23394,
     /* 1078416 */     GIR_EraseRootFromParent_Done,
     /* 1078417 */   // Label 15888: @1078417
     /* 1078417 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1078494), // Rule ID 23395 //
     /* 1078422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1078439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1078442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078461 */     // MIs[0] policy
     /* 1078461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078471 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11259:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078493 */     // GIR_Coverage, 23395,
     /* 1078493 */     GIR_EraseRootFromParent_Done,
     /* 1078494 */   // Label 15889: @1078494
     /* 1078494 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078571), // Rule ID 23500 //
     /* 1078499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1078516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078538 */     // MIs[0] policy
     /* 1078538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078548 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1078551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078570 */     // GIR_Coverage, 23500,
     /* 1078570 */     GIR_EraseRootFromParent_Done,
     /* 1078571 */   // Label 15890: @1078571
     /* 1078571 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1078648), // Rule ID 23501 //
     /* 1078576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1078593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078615 */     // MIs[0] policy
     /* 1078615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1078628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078647 */     // GIR_Coverage, 23501,
     /* 1078647 */     GIR_EraseRootFromParent_Done,
     /* 1078648 */   // Label 15891: @1078648
     /* 1078648 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1078725), // Rule ID 23504 //
     /* 1078653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1078664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1078667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1078670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078692 */     // MIs[0] policy
     /* 1078692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1078705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078724 */     // GIR_Coverage, 23504,
     /* 1078724 */     GIR_EraseRootFromParent_Done,
     /* 1078725 */   // Label 15892: @1078725
     /* 1078725 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1078802), // Rule ID 23505 //
     /* 1078730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1078741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1078744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1078747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078769 */     // MIs[0] policy
     /* 1078769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1078782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078801 */     // GIR_Coverage, 23505,
     /* 1078801 */     GIR_EraseRootFromParent_Done,
     /* 1078802 */   // Label 15893: @1078802
     /* 1078802 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1078879), // Rule ID 23508 //
     /* 1078807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078846 */     // MIs[0] policy
     /* 1078846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1078859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078878 */     // GIR_Coverage, 23508,
     /* 1078878 */     GIR_EraseRootFromParent_Done,
     /* 1078879 */   // Label 15894: @1078879
     /* 1078879 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1078956), // Rule ID 23509 //
     /* 1078884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1078895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1078898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1078901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078923 */     // MIs[0] policy
     /* 1078923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078933 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1078936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078955 */     // GIR_Coverage, 23509,
     /* 1078955 */     GIR_EraseRootFromParent_Done,
     /* 1078956 */   // Label 15895: @1078956
     /* 1078956 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1079033), // Rule ID 23512 //
     /* 1078961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1078969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1078972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1078975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079000 */     // MIs[0] policy
     /* 1079000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079032 */     // GIR_Coverage, 23512,
     /* 1079032 */     GIR_EraseRootFromParent_Done,
     /* 1079033 */   // Label 15896: @1079033
     /* 1079033 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1079110), // Rule ID 23513 //
     /* 1079038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079077 */     // MIs[0] policy
     /* 1079077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079109 */     // GIR_Coverage, 23513,
     /* 1079109 */     GIR_EraseRootFromParent_Done,
     /* 1079110 */   // Label 15897: @1079110
     /* 1079110 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1079187), // Rule ID 23516 //
     /* 1079115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079154 */     // MIs[0] policy
     /* 1079154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079186 */     // GIR_Coverage, 23516,
     /* 1079186 */     GIR_EraseRootFromParent_Done,
     /* 1079187 */   // Label 15898: @1079187
     /* 1079187 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1079264), // Rule ID 23517 //
     /* 1079192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079231 */     // MIs[0] policy
     /* 1079231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079241 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079263 */     // GIR_Coverage, 23517,
     /* 1079263 */     GIR_EraseRootFromParent_Done,
     /* 1079264 */   // Label 15899: @1079264
     /* 1079264 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1079341), // Rule ID 23520 //
     /* 1079269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079308 */     // MIs[0] policy
     /* 1079308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079340 */     // GIR_Coverage, 23520,
     /* 1079340 */     GIR_EraseRootFromParent_Done,
     /* 1079341 */   // Label 15900: @1079341
     /* 1079341 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1079418), // Rule ID 23521 //
     /* 1079346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079385 */     // MIs[0] policy
     /* 1079385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079417 */     // GIR_Coverage, 23521,
     /* 1079417 */     GIR_EraseRootFromParent_Done,
     /* 1079418 */   // Label 15901: @1079418
     /* 1079418 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1079495), // Rule ID 23524 //
     /* 1079423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1079440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079462 */     // MIs[0] policy
     /* 1079462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079494 */     // GIR_Coverage, 23524,
     /* 1079494 */     GIR_EraseRootFromParent_Done,
     /* 1079495 */   // Label 15902: @1079495
     /* 1079495 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079572), // Rule ID 23525 //
     /* 1079500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1079517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079539 */     // MIs[0] policy
     /* 1079539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079571 */     // GIR_Coverage, 23525,
     /* 1079571 */     GIR_EraseRootFromParent_Done,
     /* 1079572 */   // Label 15903: @1079572
     /* 1079572 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1079649), // Rule ID 23528 //
     /* 1079577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1079588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1079591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079616 */     // MIs[0] policy
     /* 1079616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079648 */     // GIR_Coverage, 23528,
     /* 1079648 */     GIR_EraseRootFromParent_Done,
     /* 1079649 */   // Label 15904: @1079649
     /* 1079649 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1079726), // Rule ID 23529 //
     /* 1079654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1079665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1079668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079693 */     // MIs[0] policy
     /* 1079693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079725 */     // GIR_Coverage, 23529,
     /* 1079725 */     GIR_EraseRootFromParent_Done,
     /* 1079726 */   // Label 15905: @1079726
     /* 1079726 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1079803), // Rule ID 23532 //
     /* 1079731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1079742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1079745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079770 */     // MIs[0] policy
     /* 1079770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079802 */     // GIR_Coverage, 23532,
     /* 1079802 */     GIR_EraseRootFromParent_Done,
     /* 1079803 */   // Label 15906: @1079803
     /* 1079803 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1079880), // Rule ID 23533 //
     /* 1079808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1079819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1079822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079847 */     // MIs[0] policy
     /* 1079847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079879 */     // GIR_Coverage, 23533,
     /* 1079879 */     GIR_EraseRootFromParent_Done,
     /* 1079880 */   // Label 15907: @1079880
     /* 1079880 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1079957), // Rule ID 23536 //
     /* 1079885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079924 */     // MIs[0] policy
     /* 1079924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1079937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079956 */     // GIR_Coverage, 23536,
     /* 1079956 */     GIR_EraseRootFromParent_Done,
     /* 1079957 */   // Label 15908: @1079957
     /* 1079957 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1080034), // Rule ID 23537 //
     /* 1079962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1079973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1079976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1079979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080001 */     // MIs[0] policy
     /* 1080001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080033 */     // GIR_Coverage, 23537,
     /* 1080033 */     GIR_EraseRootFromParent_Done,
     /* 1080034 */   // Label 15909: @1080034
     /* 1080034 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1080111), // Rule ID 23540 //
     /* 1080039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1080050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1080053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1080056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080078 */     // MIs[0] policy
     /* 1080078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080110 */     // GIR_Coverage, 23540,
     /* 1080110 */     GIR_EraseRootFromParent_Done,
     /* 1080111 */   // Label 15910: @1080111
     /* 1080111 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1080188), // Rule ID 23541 //
     /* 1080116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1080127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1080130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1080133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080155 */     // MIs[0] policy
     /* 1080155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080165 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080187 */     // GIR_Coverage, 23541,
     /* 1080187 */     GIR_EraseRootFromParent_Done,
     /* 1080188 */   // Label 15911: @1080188
     /* 1080188 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1080265), // Rule ID 23544 //
     /* 1080193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080232 */     // MIs[0] policy
     /* 1080232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080264 */     // GIR_Coverage, 23544,
     /* 1080264 */     GIR_EraseRootFromParent_Done,
     /* 1080265 */   // Label 15912: @1080265
     /* 1080265 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1080342), // Rule ID 23545 //
     /* 1080270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080309 */     // MIs[0] policy
     /* 1080309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080319 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080341 */     // GIR_Coverage, 23545,
     /* 1080341 */     GIR_EraseRootFromParent_Done,
     /* 1080342 */   // Label 15913: @1080342
     /* 1080342 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1080419), // Rule ID 23548 //
     /* 1080347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1080358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1080361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1080364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080386 */     // MIs[0] policy
     /* 1080386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080418 */     // GIR_Coverage, 23548,
     /* 1080418 */     GIR_EraseRootFromParent_Done,
     /* 1080419 */   // Label 15914: @1080419
     /* 1080419 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1080496), // Rule ID 23549 //
     /* 1080424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1080435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1080438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1080441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080463 */     // MIs[0] policy
     /* 1080463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080473 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080495 */     // GIR_Coverage, 23549,
     /* 1080495 */     GIR_EraseRootFromParent_Done,
     /* 1080496 */   // Label 15915: @1080496
     /* 1080496 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080573), // Rule ID 23552 //
     /* 1080501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080540 */     // MIs[0] policy
     /* 1080540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080572 */     // GIR_Coverage, 23552,
     /* 1080572 */     GIR_EraseRootFromParent_Done,
     /* 1080573 */   // Label 15916: @1080573
     /* 1080573 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1080650), // Rule ID 23553 //
     /* 1080578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080617 */     // MIs[0] policy
     /* 1080617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080649 */     // GIR_Coverage, 23553,
     /* 1080649 */     GIR_EraseRootFromParent_Done,
     /* 1080650 */   // Label 15917: @1080650
     /* 1080650 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1080727), // Rule ID 23556 //
     /* 1080655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080694 */     // MIs[0] policy
     /* 1080694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080726 */     // GIR_Coverage, 23556,
     /* 1080726 */     GIR_EraseRootFromParent_Done,
     /* 1080727 */   // Label 15918: @1080727
     /* 1080727 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1080804), // Rule ID 23557 //
     /* 1080732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080771 */     // MIs[0] policy
     /* 1080771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080781 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080803 */     // GIR_Coverage, 23557,
     /* 1080803 */     GIR_EraseRootFromParent_Done,
     /* 1080804 */   // Label 15919: @1080804
     /* 1080804 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1080881), // Rule ID 23560 //
     /* 1080809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080848 */     // MIs[0] policy
     /* 1080848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080880 */     // GIR_Coverage, 23560,
     /* 1080880 */     GIR_EraseRootFromParent_Done,
     /* 1080881 */   // Label 15920: @1080881
     /* 1080881 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1080958), // Rule ID 23561 //
     /* 1080886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080925 */     // MIs[0] policy
     /* 1080925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080935 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080957 */     // GIR_Coverage, 23561,
     /* 1080957 */     GIR_EraseRootFromParent_Done,
     /* 1080958 */   // Label 15921: @1080958
     /* 1080958 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1081035), // Rule ID 23564 //
     /* 1080963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081002 */     // MIs[0] policy
     /* 1081002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081034 */     // GIR_Coverage, 23564,
     /* 1081034 */     GIR_EraseRootFromParent_Done,
     /* 1081035 */   // Label 15922: @1081035
     /* 1081035 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1081112), // Rule ID 23565 //
     /* 1081040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1081051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1081054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1081057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081079 */     // MIs[0] policy
     /* 1081079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081111 */     // GIR_Coverage, 23565,
     /* 1081111 */     GIR_EraseRootFromParent_Done,
     /* 1081112 */   // Label 15923: @1081112
     /* 1081112 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1081189), // Rule ID 23568 //
     /* 1081117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081156 */     // MIs[0] policy
     /* 1081156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081188 */     // GIR_Coverage, 23568,
     /* 1081188 */     GIR_EraseRootFromParent_Done,
     /* 1081189 */   // Label 15924: @1081189
     /* 1081189 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1081266), // Rule ID 23569 //
     /* 1081194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081233 */     // MIs[0] policy
     /* 1081233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081265 */     // GIR_Coverage, 23569,
     /* 1081265 */     GIR_EraseRootFromParent_Done,
     /* 1081266 */   // Label 15925: @1081266
     /* 1081266 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1081343), // Rule ID 23572 //
     /* 1081271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081310 */     // MIs[0] policy
     /* 1081310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081342 */     // GIR_Coverage, 23572,
     /* 1081342 */     GIR_EraseRootFromParent_Done,
     /* 1081343 */   // Label 15926: @1081343
     /* 1081343 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1081420), // Rule ID 23573 //
     /* 1081348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081387 */     // MIs[0] policy
     /* 1081387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081419 */     // GIR_Coverage, 23573,
     /* 1081419 */     GIR_EraseRootFromParent_Done,
     /* 1081420 */   // Label 15927: @1081420
     /* 1081420 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1081497), // Rule ID 23576 //
     /* 1081425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081464 */     // MIs[0] policy
     /* 1081464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081496 */     // GIR_Coverage, 23576,
     /* 1081496 */     GIR_EraseRootFromParent_Done,
     /* 1081497 */   // Label 15928: @1081497
     /* 1081497 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081574), // Rule ID 23577 //
     /* 1081502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081541 */     // MIs[0] policy
     /* 1081541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081573 */     // GIR_Coverage, 23577,
     /* 1081573 */     GIR_EraseRootFromParent_Done,
     /* 1081574 */   // Label 15929: @1081574
     /* 1081574 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1081651), // Rule ID 23580 //
     /* 1081579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081618 */     // MIs[0] policy
     /* 1081618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081650 */     // GIR_Coverage, 23580,
     /* 1081650 */     GIR_EraseRootFromParent_Done,
     /* 1081651 */   // Label 15930: @1081651
     /* 1081651 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1081728), // Rule ID 23581 //
     /* 1081656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081695 */     // MIs[0] policy
     /* 1081695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081705 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081727 */     // GIR_Coverage, 23581,
     /* 1081727 */     GIR_EraseRootFromParent_Done,
     /* 1081728 */   // Label 15931: @1081728
     /* 1081728 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1081805), // Rule ID 23584 //
     /* 1081733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1081736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081772 */     // MIs[0] policy
     /* 1081772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081804 */     // GIR_Coverage, 23584,
     /* 1081804 */     GIR_EraseRootFromParent_Done,
     /* 1081805 */   // Label 15932: @1081805
     /* 1081805 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1081882), // Rule ID 23585 //
     /* 1081810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1081813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081849 */     // MIs[0] policy
     /* 1081849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081881 */     // GIR_Coverage, 23585,
     /* 1081881 */     GIR_EraseRootFromParent_Done,
     /* 1081882 */   // Label 15933: @1081882
     /* 1081882 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1081959), // Rule ID 23676 //
     /* 1081887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1081898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1081901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1081904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081926 */     // MIs[0] policy
     /* 1081926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1081939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081958 */     // GIR_Coverage, 23676,
     /* 1081958 */     GIR_EraseRootFromParent_Done,
     /* 1081959 */   // Label 15934: @1081959
     /* 1081959 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1082036), // Rule ID 23677 //
     /* 1081964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1081975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1081978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1081981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082003 */     // MIs[0] policy
     /* 1082003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1082016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082035 */     // GIR_Coverage, 23677,
     /* 1082035 */     GIR_EraseRootFromParent_Done,
     /* 1082036 */   // Label 15935: @1082036
     /* 1082036 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1082113), // Rule ID 23680 //
     /* 1082041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1082052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1082055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1082058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082080 */     // MIs[0] policy
     /* 1082080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082090 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082112 */     // GIR_Coverage, 23680,
     /* 1082112 */     GIR_EraseRootFromParent_Done,
     /* 1082113 */   // Label 15936: @1082113
     /* 1082113 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1082190), // Rule ID 23681 //
     /* 1082118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1082129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1082132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1082135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082157 */     // MIs[0] policy
     /* 1082157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082189 */     // GIR_Coverage, 23681,
     /* 1082189 */     GIR_EraseRootFromParent_Done,
     /* 1082190 */   // Label 15937: @1082190
     /* 1082190 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1082267), // Rule ID 23684 //
     /* 1082195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1082206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1082209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1082212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082234 */     // MIs[0] policy
     /* 1082234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082266 */     // GIR_Coverage, 23684,
     /* 1082266 */     GIR_EraseRootFromParent_Done,
     /* 1082267 */   // Label 15938: @1082267
     /* 1082267 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1082344), // Rule ID 23685 //
     /* 1082272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1082283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1082286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1082289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082311 */     // MIs[0] policy
     /* 1082311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082321 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082343 */     // GIR_Coverage, 23685,
     /* 1082343 */     GIR_EraseRootFromParent_Done,
     /* 1082344 */   // Label 15939: @1082344
     /* 1082344 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1082421), // Rule ID 23688 //
     /* 1082349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1082360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1082363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1082366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082388 */     // MIs[0] policy
     /* 1082388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082398 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082420 */     // GIR_Coverage, 23688,
     /* 1082420 */     GIR_EraseRootFromParent_Done,
     /* 1082421 */   // Label 15940: @1082421
     /* 1082421 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1082498), // Rule ID 23689 //
     /* 1082426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1082437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1082440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1082443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082465 */     // MIs[0] policy
     /* 1082465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082497 */     // GIR_Coverage, 23689,
     /* 1082497 */     GIR_EraseRootFromParent_Done,
     /* 1082498 */   // Label 15941: @1082498
     /* 1082498 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082575), // Rule ID 23692 //
     /* 1082503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1082520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082542 */     // MIs[0] policy
     /* 1082542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082574 */     // GIR_Coverage, 23692,
     /* 1082574 */     GIR_EraseRootFromParent_Done,
     /* 1082575 */   // Label 15942: @1082575
     /* 1082575 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1082652), // Rule ID 23693 //
     /* 1082580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1082597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082619 */     // MIs[0] policy
     /* 1082619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082629 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082651 */     // GIR_Coverage, 23693,
     /* 1082651 */     GIR_EraseRootFromParent_Done,
     /* 1082652 */   // Label 15943: @1082652
     /* 1082652 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1082729), // Rule ID 23696 //
     /* 1082657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082696 */     // MIs[0] policy
     /* 1082696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082728 */     // GIR_Coverage, 23696,
     /* 1082728 */     GIR_EraseRootFromParent_Done,
     /* 1082729 */   // Label 15944: @1082729
     /* 1082729 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1082806), // Rule ID 23697 //
     /* 1082734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082773 */     // MIs[0] policy
     /* 1082773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082805 */     // GIR_Coverage, 23697,
     /* 1082805 */     GIR_EraseRootFromParent_Done,
     /* 1082806 */   // Label 15945: @1082806
     /* 1082806 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1082883), // Rule ID 23700 //
     /* 1082811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1082822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1082825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1082828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082850 */     // MIs[0] policy
     /* 1082850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082882 */     // GIR_Coverage, 23700,
     /* 1082882 */     GIR_EraseRootFromParent_Done,
     /* 1082883 */   // Label 15946: @1082883
     /* 1082883 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1082960), // Rule ID 23701 //
     /* 1082888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1082899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1082902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1082905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082927 */     // MIs[0] policy
     /* 1082927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082937 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082959 */     // GIR_Coverage, 23701,
     /* 1082959 */     GIR_EraseRootFromParent_Done,
     /* 1082960 */   // Label 15947: @1082960
     /* 1082960 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1083037), // Rule ID 23704 //
     /* 1082965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1082976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1082979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1082982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083004 */     // MIs[0] policy
     /* 1083004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083036 */     // GIR_Coverage, 23704,
     /* 1083036 */     GIR_EraseRootFromParent_Done,
     /* 1083037 */   // Label 15948: @1083037
     /* 1083037 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1083114), // Rule ID 23705 //
     /* 1083042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083081 */     // MIs[0] policy
     /* 1083081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083113 */     // GIR_Coverage, 23705,
     /* 1083113 */     GIR_EraseRootFromParent_Done,
     /* 1083114 */   // Label 15949: @1083114
     /* 1083114 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1083191), // Rule ID 23708 //
     /* 1083119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083158 */     // MIs[0] policy
     /* 1083158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083190 */     // GIR_Coverage, 23708,
     /* 1083190 */     GIR_EraseRootFromParent_Done,
     /* 1083191 */   // Label 15950: @1083191
     /* 1083191 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1083268), // Rule ID 23709 //
     /* 1083196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083235 */     // MIs[0] policy
     /* 1083235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083267 */     // GIR_Coverage, 23709,
     /* 1083267 */     GIR_EraseRootFromParent_Done,
     /* 1083268 */   // Label 15951: @1083268
     /* 1083268 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1083345), // Rule ID 23712 //
     /* 1083273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1083276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083312 */     // MIs[0] policy
     /* 1083312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083344 */     // GIR_Coverage, 23712,
     /* 1083344 */     GIR_EraseRootFromParent_Done,
     /* 1083345 */   // Label 15952: @1083345
     /* 1083345 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1083422), // Rule ID 23713 //
     /* 1083350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1083353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083389 */     // MIs[0] policy
     /* 1083389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083421 */     // GIR_Coverage, 23713,
     /* 1083421 */     GIR_EraseRootFromParent_Done,
     /* 1083422 */   // Label 15953: @1083422
     /* 1083422 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1083499), // Rule ID 23716 //
     /* 1083427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1083438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1083441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1083444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083466 */     // MIs[0] policy
     /* 1083466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083498 */     // GIR_Coverage, 23716,
     /* 1083498 */     GIR_EraseRootFromParent_Done,
     /* 1083499 */   // Label 15954: @1083499
     /* 1083499 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083576), // Rule ID 23717 //
     /* 1083504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1083515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1083518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1083521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083543 */     // MIs[0] policy
     /* 1083543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083575 */     // GIR_Coverage, 23717,
     /* 1083575 */     GIR_EraseRootFromParent_Done,
     /* 1083576 */   // Label 15955: @1083576
     /* 1083576 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1083653), // Rule ID 23720 //
     /* 1083581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1083592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1083595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1083598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083620 */     // MIs[0] policy
     /* 1083620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083652 */     // GIR_Coverage, 23720,
     /* 1083652 */     GIR_EraseRootFromParent_Done,
     /* 1083653 */   // Label 15956: @1083653
     /* 1083653 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1083730), // Rule ID 23721 //
     /* 1083658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1083669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1083672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1083675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083697 */     // MIs[0] policy
     /* 1083697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083707 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083729 */     // GIR_Coverage, 23721,
     /* 1083729 */     GIR_EraseRootFromParent_Done,
     /* 1083730 */   // Label 15957: @1083730
     /* 1083730 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1083807), // Rule ID 23724 //
     /* 1083735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1083746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1083749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1083752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083774 */     // MIs[0] policy
     /* 1083774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1083787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083806 */     // GIR_Coverage, 23724,
     /* 1083806 */     GIR_EraseRootFromParent_Done,
     /* 1083807 */   // Label 15958: @1083807
     /* 1083807 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1083884), // Rule ID 23725 //
     /* 1083812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1083823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1083826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1083829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083851 */     // MIs[0] policy
     /* 1083851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083861 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1083864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083883 */     // GIR_Coverage, 23725,
     /* 1083883 */     GIR_EraseRootFromParent_Done,
     /* 1083884 */   // Label 15959: @1083884
     /* 1083884 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1083961), // Rule ID 23728 //
     /* 1083889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1083900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1083903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1083906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083928 */     // MIs[0] policy
     /* 1083928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083960 */     // GIR_Coverage, 23728,
     /* 1083960 */     GIR_EraseRootFromParent_Done,
     /* 1083961 */   // Label 15960: @1083961
     /* 1083961 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1084038), // Rule ID 23729 //
     /* 1083966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1083977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1083980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1083983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084005 */     // MIs[0] policy
     /* 1084005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084037 */     // GIR_Coverage, 23729,
     /* 1084037 */     GIR_EraseRootFromParent_Done,
     /* 1084038 */   // Label 15961: @1084038
     /* 1084038 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1084115), // Rule ID 23732 //
     /* 1084043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084082 */     // MIs[0] policy
     /* 1084082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084114 */     // GIR_Coverage, 23732,
     /* 1084114 */     GIR_EraseRootFromParent_Done,
     /* 1084115 */   // Label 15962: @1084115
     /* 1084115 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1084192), // Rule ID 23733 //
     /* 1084120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084159 */     // MIs[0] policy
     /* 1084159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084191 */     // GIR_Coverage, 23733,
     /* 1084191 */     GIR_EraseRootFromParent_Done,
     /* 1084192 */   // Label 15963: @1084192
     /* 1084192 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1084269), // Rule ID 23736 //
     /* 1084197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084236 */     // MIs[0] policy
     /* 1084236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084268 */     // GIR_Coverage, 23736,
     /* 1084268 */     GIR_EraseRootFromParent_Done,
     /* 1084269 */   // Label 15964: @1084269
     /* 1084269 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1084346), // Rule ID 23737 //
     /* 1084274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084313 */     // MIs[0] policy
     /* 1084313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084345 */     // GIR_Coverage, 23737,
     /* 1084345 */     GIR_EraseRootFromParent_Done,
     /* 1084346 */   // Label 15965: @1084346
     /* 1084346 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1084423), // Rule ID 23740 //
     /* 1084351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084390 */     // MIs[0] policy
     /* 1084390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084422 */     // GIR_Coverage, 23740,
     /* 1084422 */     GIR_EraseRootFromParent_Done,
     /* 1084423 */   // Label 15966: @1084423
     /* 1084423 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1084500), // Rule ID 23741 //
     /* 1084428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1084439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1084442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1084445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084467 */     // MIs[0] policy
     /* 1084467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084499 */     // GIR_Coverage, 23741,
     /* 1084499 */     GIR_EraseRootFromParent_Done,
     /* 1084500 */   // Label 15967: @1084500
     /* 1084500 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084577), // Rule ID 23744 //
     /* 1084505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084544 */     // MIs[0] policy
     /* 1084544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084576 */     // GIR_Coverage, 23744,
     /* 1084576 */     GIR_EraseRootFromParent_Done,
     /* 1084577 */   // Label 15968: @1084577
     /* 1084577 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1084654), // Rule ID 23745 //
     /* 1084582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1084593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1084596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1084599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084621 */     // MIs[0] policy
     /* 1084621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084653 */     // GIR_Coverage, 23745,
     /* 1084653 */     GIR_EraseRootFromParent_Done,
     /* 1084654 */   // Label 15969: @1084654
     /* 1084654 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1084731), // Rule ID 23748 //
     /* 1084659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084698 */     // MIs[0] policy
     /* 1084698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084730 */     // GIR_Coverage, 23748,
     /* 1084730 */     GIR_EraseRootFromParent_Done,
     /* 1084731 */   // Label 15970: @1084731
     /* 1084731 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1084808), // Rule ID 23749 //
     /* 1084736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1084747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1084750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1084753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084775 */     // MIs[0] policy
     /* 1084775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084785 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084807 */     // GIR_Coverage, 23749,
     /* 1084807 */     GIR_EraseRootFromParent_Done,
     /* 1084808 */   // Label 15971: @1084808
     /* 1084808 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1084885), // Rule ID 23752 //
     /* 1084813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1084816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1084824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1084827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1084830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084852 */     // MIs[0] policy
     /* 1084852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084884 */     // GIR_Coverage, 23752,
     /* 1084884 */     GIR_EraseRootFromParent_Done,
     /* 1084885 */   // Label 15972: @1084885
     /* 1084885 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1084962), // Rule ID 23753 //
     /* 1084890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1084893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1084901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1084904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1084907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084929 */     // MIs[0] policy
     /* 1084929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084961 */     // GIR_Coverage, 23753,
     /* 1084961 */     GIR_EraseRootFromParent_Done,
     /* 1084962 */   // Label 15973: @1084962
     /* 1084962 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1085039), // Rule ID 23756 //
     /* 1084967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1084970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1084978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1084981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1084984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085006 */     // MIs[0] policy
     /* 1085006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085038 */     // GIR_Coverage, 23756,
     /* 1085038 */     GIR_EraseRootFromParent_Done,
     /* 1085039 */   // Label 15974: @1085039
     /* 1085039 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1085116), // Rule ID 23757 //
     /* 1085044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085083 */     // MIs[0] policy
     /* 1085083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085093 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085115 */     // GIR_Coverage, 23757,
     /* 1085115 */     GIR_EraseRootFromParent_Done,
     /* 1085116 */   // Label 15975: @1085116
     /* 1085116 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1085193), // Rule ID 23760 //
     /* 1085121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085160 */     // MIs[0] policy
     /* 1085160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085192 */     // GIR_Coverage, 23760,
     /* 1085192 */     GIR_EraseRootFromParent_Done,
     /* 1085193 */   // Label 15976: @1085193
     /* 1085193 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1085270), // Rule ID 23761 //
     /* 1085198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085237 */     // MIs[0] policy
     /* 1085237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085269 */     // GIR_Coverage, 23761,
     /* 1085269 */     GIR_EraseRootFromParent_Done,
     /* 1085270 */   // Label 15977: @1085270
     /* 1085270 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1085347), // Rule ID 24028 //
     /* 1085275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1085278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1085286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1085289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1085292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085314 */     // MIs[0] policy
     /* 1085314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085324 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1085327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085346 */     // GIR_Coverage, 24028,
     /* 1085346 */     GIR_EraseRootFromParent_Done,
     /* 1085347 */   // Label 15978: @1085347
     /* 1085347 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1085424), // Rule ID 24029 //
     /* 1085352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1085355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1085363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1085366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1085369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085391 */     // MIs[0] policy
     /* 1085391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085401 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1085404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085423 */     // GIR_Coverage, 24029,
     /* 1085423 */     GIR_EraseRootFromParent_Done,
     /* 1085424 */   // Label 15979: @1085424
     /* 1085424 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1085501), // Rule ID 24032 //
     /* 1085429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1085432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1085440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1085443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1085446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085468 */     // MIs[0] policy
     /* 1085468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085478 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085500 */     // GIR_Coverage, 24032,
     /* 1085500 */     GIR_EraseRootFromParent_Done,
     /* 1085501 */   // Label 15980: @1085501
     /* 1085501 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085578), // Rule ID 24033 //
     /* 1085506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1085509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1085517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1085520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1085523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085545 */     // MIs[0] policy
     /* 1085545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085577 */     // GIR_Coverage, 24033,
     /* 1085577 */     GIR_EraseRootFromParent_Done,
     /* 1085578 */   // Label 15981: @1085578
     /* 1085578 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1085655), // Rule ID 24036 //
     /* 1085583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1085586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085622 */     // MIs[0] policy
     /* 1085622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085632 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085654 */     // GIR_Coverage, 24036,
     /* 1085654 */     GIR_EraseRootFromParent_Done,
     /* 1085655 */   // Label 15982: @1085655
     /* 1085655 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1085732), // Rule ID 24037 //
     /* 1085660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1085663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085699 */     // MIs[0] policy
     /* 1085699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085709 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1085712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085731 */     // GIR_Coverage, 24037,
     /* 1085731 */     GIR_EraseRootFromParent_Done,
     /* 1085732 */   // Label 15983: @1085732
     /* 1085732 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1085809), // Rule ID 24040 //
     /* 1085737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1085740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1085748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1085751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1085754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085776 */     // MIs[0] policy
     /* 1085776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085786 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1085789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085808 */     // GIR_Coverage, 24040,
     /* 1085808 */     GIR_EraseRootFromParent_Done,
     /* 1085809 */   // Label 15984: @1085809
     /* 1085809 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1085886), // Rule ID 24041 //
     /* 1085814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1085817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1085825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1085828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1085831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085853 */     // MIs[0] policy
     /* 1085853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085863 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1085866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085885 */     // GIR_Coverage, 24041,
     /* 1085885 */     GIR_EraseRootFromParent_Done,
     /* 1085886 */   // Label 15985: @1085886
     /* 1085886 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1085963), // Rule ID 24044 //
     /* 1085891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1085894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1085902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1085905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1085908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085930 */     // MIs[0] policy
     /* 1085930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1085943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085962 */     // GIR_Coverage, 24044,
     /* 1085962 */     GIR_EraseRootFromParent_Done,
     /* 1085963 */   // Label 15986: @1085963
     /* 1085963 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1086040), // Rule ID 24045 //
     /* 1085968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1085971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1085979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1085982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1085985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086007 */     // MIs[0] policy
     /* 1086007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086039 */     // GIR_Coverage, 24045,
     /* 1086039 */     GIR_EraseRootFromParent_Done,
     /* 1086040 */   // Label 15987: @1086040
     /* 1086040 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1086117), // Rule ID 24048 //
     /* 1086045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1086048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086084 */     // MIs[0] policy
     /* 1086084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086094 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086116 */     // GIR_Coverage, 24048,
     /* 1086116 */     GIR_EraseRootFromParent_Done,
     /* 1086117 */   // Label 15988: @1086117
     /* 1086117 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1086194), // Rule ID 24049 //
     /* 1086122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1086125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086161 */     // MIs[0] policy
     /* 1086161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086171 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086193 */     // GIR_Coverage, 24049,
     /* 1086193 */     GIR_EraseRootFromParent_Done,
     /* 1086194 */   // Label 15989: @1086194
     /* 1086194 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1086271), // Rule ID 24052 //
     /* 1086199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1086202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086238 */     // MIs[0] policy
     /* 1086238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086248 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086270 */     // GIR_Coverage, 24052,
     /* 1086270 */     GIR_EraseRootFromParent_Done,
     /* 1086271 */   // Label 15990: @1086271
     /* 1086271 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1086348), // Rule ID 24053 //
     /* 1086276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1086279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086315 */     // MIs[0] policy
     /* 1086315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086325 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086347 */     // GIR_Coverage, 24053,
     /* 1086347 */     GIR_EraseRootFromParent_Done,
     /* 1086348 */   // Label 15991: @1086348
     /* 1086348 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1086425), // Rule ID 24056 //
     /* 1086353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1086356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1086364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1086367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1086370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086392 */     // MIs[0] policy
     /* 1086392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086402 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1086405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086424 */     // GIR_Coverage, 24056,
     /* 1086424 */     GIR_EraseRootFromParent_Done,
     /* 1086425 */   // Label 15992: @1086425
     /* 1086425 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1086502), // Rule ID 24057 //
     /* 1086430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1086433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1086441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1086444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1086447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086469 */     // MIs[0] policy
     /* 1086469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086479 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1086482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086501 */     // GIR_Coverage, 24057,
     /* 1086501 */     GIR_EraseRootFromParent_Done,
     /* 1086502 */   // Label 15993: @1086502
     /* 1086502 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086579), // Rule ID 24060 //
     /* 1086507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1086510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1086518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1086521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1086524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086546 */     // MIs[0] policy
     /* 1086546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086556 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1086559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086578 */     // GIR_Coverage, 24060,
     /* 1086578 */     GIR_EraseRootFromParent_Done,
     /* 1086579 */   // Label 15994: @1086579
     /* 1086579 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1086656), // Rule ID 24061 //
     /* 1086584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1086587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1086595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1086598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1086601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086623 */     // MIs[0] policy
     /* 1086623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086633 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1086636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086655 */     // GIR_Coverage, 24061,
     /* 1086655 */     GIR_EraseRootFromParent_Done,
     /* 1086656 */   // Label 15995: @1086656
     /* 1086656 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1086733), // Rule ID 24064 //
     /* 1086661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1086664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1086672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1086675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1086678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086700 */     // MIs[0] policy
     /* 1086700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086710 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086732 */     // GIR_Coverage, 24064,
     /* 1086732 */     GIR_EraseRootFromParent_Done,
     /* 1086733 */   // Label 15996: @1086733
     /* 1086733 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1086810), // Rule ID 24065 //
     /* 1086738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1086741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1086749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1086752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1086755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086777 */     // MIs[0] policy
     /* 1086777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086787 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086809 */     // GIR_Coverage, 24065,
     /* 1086809 */     GIR_EraseRootFromParent_Done,
     /* 1086810 */   // Label 15997: @1086810
     /* 1086810 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1086887), // Rule ID 24068 //
     /* 1086815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1086818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1086826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1086829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1086832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086854 */     // MIs[0] policy
     /* 1086854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086864 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1086867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086886 */     // GIR_Coverage, 24068,
     /* 1086886 */     GIR_EraseRootFromParent_Done,
     /* 1086887 */   // Label 15998: @1086887
     /* 1086887 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1086964), // Rule ID 24069 //
     /* 1086892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1086895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1086903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1086906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1086909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086931 */     // MIs[0] policy
     /* 1086931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086941 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1086944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086963 */     // GIR_Coverage, 24069,
     /* 1086963 */     GIR_EraseRootFromParent_Done,
     /* 1086964 */   // Label 15999: @1086964
     /* 1086964 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1087041), // Rule ID 24072 //
     /* 1086969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1086972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1086980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1086983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1086986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087008 */     // MIs[0] policy
     /* 1087008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087018 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087040 */     // GIR_Coverage, 24072,
     /* 1087040 */     GIR_EraseRootFromParent_Done,
     /* 1087041 */   // Label 16000: @1087041
     /* 1087041 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1087118), // Rule ID 24073 //
     /* 1087046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1087049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1087057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1087060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087085 */     // MIs[0] policy
     /* 1087085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087095 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087117 */     // GIR_Coverage, 24073,
     /* 1087117 */     GIR_EraseRootFromParent_Done,
     /* 1087118 */   // Label 16001: @1087118
     /* 1087118 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1087195), // Rule ID 24076 //
     /* 1087123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087162 */     // MIs[0] policy
     /* 1087162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087194 */     // GIR_Coverage, 24076,
     /* 1087194 */     GIR_EraseRootFromParent_Done,
     /* 1087195 */   // Label 16002: @1087195
     /* 1087195 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1087272), // Rule ID 24077 //
     /* 1087200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1087203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087239 */     // MIs[0] policy
     /* 1087239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087249 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087271 */     // GIR_Coverage, 24077,
     /* 1087271 */     GIR_EraseRootFromParent_Done,
     /* 1087272 */   // Label 16003: @1087272
     /* 1087272 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1087349), // Rule ID 24080 //
     /* 1087277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1087288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1087291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1087294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087316 */     // MIs[0] policy
     /* 1087316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087326 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087348 */     // GIR_Coverage, 24080,
     /* 1087348 */     GIR_EraseRootFromParent_Done,
     /* 1087349 */   // Label 16004: @1087349
     /* 1087349 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1087426), // Rule ID 24081 //
     /* 1087354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1087357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1087365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1087368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1087371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087393 */     // MIs[0] policy
     /* 1087393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087425 */     // GIR_Coverage, 24081,
     /* 1087425 */     GIR_EraseRootFromParent_Done,
     /* 1087426 */   // Label 16005: @1087426
     /* 1087426 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1087503), // Rule ID 24084 //
     /* 1087431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1087442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1087445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1087448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087470 */     // MIs[0] policy
     /* 1087470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087480 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087502 */     // GIR_Coverage, 24084,
     /* 1087502 */     GIR_EraseRootFromParent_Done,
     /* 1087503 */   // Label 16006: @1087503
     /* 1087503 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087580), // Rule ID 24085 //
     /* 1087508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1087511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1087519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1087522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1087525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087547 */     // MIs[0] policy
     /* 1087547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087557 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11486:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087579 */     // GIR_Coverage, 24085,
     /* 1087579 */     GIR_EraseRootFromParent_Done,
     /* 1087580 */   // Label 16007: @1087580
     /* 1087580 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1087657), // Rule ID 24148 //
     /* 1087585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1087588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1087602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087624 */     // MIs[0] policy
     /* 1087624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087634 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1087637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087656 */     // GIR_Coverage, 24148,
     /* 1087656 */     GIR_EraseRootFromParent_Done,
     /* 1087657 */   // Label 16008: @1087657
     /* 1087657 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1087734), // Rule ID 24149 //
     /* 1087662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1087665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1087679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087701 */     // MIs[0] policy
     /* 1087701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087711 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1087714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087733 */     // GIR_Coverage, 24149,
     /* 1087733 */     GIR_EraseRootFromParent_Done,
     /* 1087734 */   // Label 16009: @1087734
     /* 1087734 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1087811), // Rule ID 24152 //
     /* 1087739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1087742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1087756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087778 */     // MIs[0] policy
     /* 1087778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087788 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1087791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087810 */     // GIR_Coverage, 24152,
     /* 1087810 */     GIR_EraseRootFromParent_Done,
     /* 1087811 */   // Label 16010: @1087811
     /* 1087811 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1087888), // Rule ID 24153 //
     /* 1087816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1087819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1087833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087855 */     // MIs[0] policy
     /* 1087855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087865 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1087868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087887 */     // GIR_Coverage, 24153,
     /* 1087887 */     GIR_EraseRootFromParent_Done,
     /* 1087888 */   // Label 16011: @1087888
     /* 1087888 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1087965), // Rule ID 24156 //
     /* 1087893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1087896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1087904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1087907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087932 */     // MIs[0] policy
     /* 1087932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087942 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1087945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087964 */     // GIR_Coverage, 24156,
     /* 1087964 */     GIR_EraseRootFromParent_Done,
     /* 1087965 */   // Label 16012: @1087965
     /* 1087965 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1088042), // Rule ID 24157 //
     /* 1087970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1087973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1087978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1087981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1087984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088009 */     // MIs[0] policy
     /* 1088009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088019 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088041 */     // GIR_Coverage, 24157,
     /* 1088041 */     GIR_EraseRootFromParent_Done,
     /* 1088042 */   // Label 16013: @1088042
     /* 1088042 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1088119), // Rule ID 24160 //
     /* 1088047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088086 */     // MIs[0] policy
     /* 1088086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088118 */     // GIR_Coverage, 24160,
     /* 1088118 */     GIR_EraseRootFromParent_Done,
     /* 1088119 */   // Label 16014: @1088119
     /* 1088119 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1088196), // Rule ID 24161 //
     /* 1088124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088163 */     // MIs[0] policy
     /* 1088163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088173 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088195 */     // GIR_Coverage, 24161,
     /* 1088195 */     GIR_EraseRootFromParent_Done,
     /* 1088196 */   // Label 16015: @1088196
     /* 1088196 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1088273), // Rule ID 24164 //
     /* 1088201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1088204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088240 */     // MIs[0] policy
     /* 1088240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088272 */     // GIR_Coverage, 24164,
     /* 1088272 */     GIR_EraseRootFromParent_Done,
     /* 1088273 */   // Label 16016: @1088273
     /* 1088273 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1088350), // Rule ID 24165 //
     /* 1088278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1088281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088317 */     // MIs[0] policy
     /* 1088317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088349 */     // GIR_Coverage, 24165,
     /* 1088349 */     GIR_EraseRootFromParent_Done,
     /* 1088350 */   // Label 16017: @1088350
     /* 1088350 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1088427), // Rule ID 24168 //
     /* 1088355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1088358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1088366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1088369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088394 */     // MIs[0] policy
     /* 1088394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088404 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088426 */     // GIR_Coverage, 24168,
     /* 1088426 */     GIR_EraseRootFromParent_Done,
     /* 1088427 */   // Label 16018: @1088427
     /* 1088427 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1088504), // Rule ID 24169 //
     /* 1088432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1088435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1088443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1088446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088471 */     // MIs[0] policy
     /* 1088471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088481 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088503 */     // GIR_Coverage, 24169,
     /* 1088503 */     GIR_EraseRootFromParent_Done,
     /* 1088504 */   // Label 16019: @1088504
     /* 1088504 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088581), // Rule ID 24172 //
     /* 1088509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088548 */     // MIs[0] policy
     /* 1088548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088558 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1088561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088580 */     // GIR_Coverage, 24172,
     /* 1088580 */     GIR_EraseRootFromParent_Done,
     /* 1088581 */   // Label 16020: @1088581
     /* 1088581 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1088658), // Rule ID 24173 //
     /* 1088586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088625 */     // MIs[0] policy
     /* 1088625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088635 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1088638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088657 */     // GIR_Coverage, 24173,
     /* 1088657 */     GIR_EraseRootFromParent_Done,
     /* 1088658 */   // Label 16021: @1088658
     /* 1088658 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1088735), // Rule ID 24176 //
     /* 1088663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088702 */     // MIs[0] policy
     /* 1088702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088712 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1088715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088734 */     // GIR_Coverage, 24176,
     /* 1088734 */     GIR_EraseRootFromParent_Done,
     /* 1088735 */   // Label 16022: @1088735
     /* 1088735 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1088812), // Rule ID 24177 //
     /* 1088740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088779 */     // MIs[0] policy
     /* 1088779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088789 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1088792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088811 */     // GIR_Coverage, 24177,
     /* 1088811 */     GIR_EraseRootFromParent_Done,
     /* 1088812 */   // Label 16023: @1088812
     /* 1088812 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1088889), // Rule ID 24180 //
     /* 1088817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088856 */     // MIs[0] policy
     /* 1088856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088866 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1088869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088888 */     // GIR_Coverage, 24180,
     /* 1088888 */     GIR_EraseRootFromParent_Done,
     /* 1088889 */   // Label 16024: @1088889
     /* 1088889 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1088966), // Rule ID 24181 //
     /* 1088894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088933 */     // MIs[0] policy
     /* 1088933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088943 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1088946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088965 */     // GIR_Coverage, 24181,
     /* 1088965 */     GIR_EraseRootFromParent_Done,
     /* 1088966 */   // Label 16025: @1088966
     /* 1088966 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1089043), // Rule ID 24184 //
     /* 1088971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1088974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089010 */     // MIs[0] policy
     /* 1089010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089020 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089042 */     // GIR_Coverage, 24184,
     /* 1089042 */     GIR_EraseRootFromParent_Done,
     /* 1089043 */   // Label 16026: @1089043
     /* 1089043 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1089120), // Rule ID 24185 //
     /* 1089048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1089059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1089062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1089065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089087 */     // MIs[0] policy
     /* 1089087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089097 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089119 */     // GIR_Coverage, 24185,
     /* 1089119 */     GIR_EraseRootFromParent_Done,
     /* 1089120 */   // Label 16027: @1089120
     /* 1089120 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1089197), // Rule ID 24188 //
     /* 1089125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089164 */     // MIs[0] policy
     /* 1089164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089174 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089196 */     // GIR_Coverage, 24188,
     /* 1089196 */     GIR_EraseRootFromParent_Done,
     /* 1089197 */   // Label 16028: @1089197
     /* 1089197 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1089274), // Rule ID 24189 //
     /* 1089202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089241 */     // MIs[0] policy
     /* 1089241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089251 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089273 */     // GIR_Coverage, 24189,
     /* 1089273 */     GIR_EraseRootFromParent_Done,
     /* 1089274 */   // Label 16029: @1089274
     /* 1089274 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1089351), // Rule ID 24192 //
     /* 1089279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089318 */     // MIs[0] policy
     /* 1089318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089350 */     // GIR_Coverage, 24192,
     /* 1089350 */     GIR_EraseRootFromParent_Done,
     /* 1089351 */   // Label 16030: @1089351
     /* 1089351 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1089428), // Rule ID 24193 //
     /* 1089356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089395 */     // MIs[0] policy
     /* 1089395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089405 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089427 */     // GIR_Coverage, 24193,
     /* 1089427 */     GIR_EraseRootFromParent_Done,
     /* 1089428 */   // Label 16031: @1089428
     /* 1089428 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1089505), // Rule ID 24196 //
     /* 1089433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089472 */     // MIs[0] policy
     /* 1089472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089482 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089504 */     // GIR_Coverage, 24196,
     /* 1089504 */     GIR_EraseRootFromParent_Done,
     /* 1089505 */   // Label 16032: @1089505
     /* 1089505 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089582), // Rule ID 24197 //
     /* 1089510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1089513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089549 */     // MIs[0] policy
     /* 1089549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089559 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089581 */     // GIR_Coverage, 24197,
     /* 1089581 */     GIR_EraseRootFromParent_Done,
     /* 1089582 */   // Label 16033: @1089582
     /* 1089582 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1089659), // Rule ID 24200 //
     /* 1089587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089626 */     // MIs[0] policy
     /* 1089626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089658 */     // GIR_Coverage, 24200,
     /* 1089658 */     GIR_EraseRootFromParent_Done,
     /* 1089659 */   // Label 16034: @1089659
     /* 1089659 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1089736), // Rule ID 24201 //
     /* 1089664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1089667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089703 */     // MIs[0] policy
     /* 1089703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089713 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089735 */     // GIR_Coverage, 24201,
     /* 1089735 */     GIR_EraseRootFromParent_Done,
     /* 1089736 */   // Label 16035: @1089736
     /* 1089736 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1089813), // Rule ID 24204 //
     /* 1089741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089780 */     // MIs[0] policy
     /* 1089780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089790 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089812 */     // GIR_Coverage, 24204,
     /* 1089812 */     GIR_EraseRootFromParent_Done,
     /* 1089813 */   // Label 16036: @1089813
     /* 1089813 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1089890), // Rule ID 24205 //
     /* 1089818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1089821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089857 */     // MIs[0] policy
     /* 1089857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089867 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11484:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089889 */     // GIR_Coverage, 24205,
     /* 1089889 */     GIR_EraseRootFromParent_Done,
     /* 1089890 */   // Label 16037: @1089890
     /* 1089890 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1089967), // Rule ID 60496 //
     /* 1089895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1089898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1089903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1089915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089934 */     // MIs[0] policy
     /* 1089934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1089947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1089949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089966 */     // GIR_Coverage, 60496,
     /* 1089966 */     GIR_EraseRootFromParent_Done,
     /* 1089967 */   // Label 16038: @1089967
     /* 1089967 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1090044), // Rule ID 60497 //
     /* 1089972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1089975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1089980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1089992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090011 */     // MIs[0] policy
     /* 1090011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1090024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1090026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090043 */     // GIR_Coverage, 60497,
     /* 1090043 */     GIR_EraseRootFromParent_Done,
     /* 1090044 */   // Label 16039: @1090044
     /* 1090044 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1090121), // Rule ID 60510 //
     /* 1090049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090088 */     // MIs[0] policy
     /* 1090088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1090101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090120 */     // GIR_Coverage, 60510,
     /* 1090120 */     GIR_EraseRootFromParent_Done,
     /* 1090121 */   // Label 16040: @1090121
     /* 1090121 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1090198), // Rule ID 60511 //
     /* 1090126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090165 */     // MIs[0] policy
     /* 1090165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090175 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1090178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090197 */     // GIR_Coverage, 60511,
     /* 1090197 */     GIR_EraseRootFromParent_Done,
     /* 1090198 */   // Label 16041: @1090198
     /* 1090198 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1090275), // Rule ID 60514 //
     /* 1090203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090242 */     // MIs[0] policy
     /* 1090242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090274 */     // GIR_Coverage, 60514,
     /* 1090274 */     GIR_EraseRootFromParent_Done,
     /* 1090275 */   // Label 16042: @1090275
     /* 1090275 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1090352), // Rule ID 60515 //
     /* 1090280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090319 */     // MIs[0] policy
     /* 1090319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090351 */     // GIR_Coverage, 60515,
     /* 1090351 */     GIR_EraseRootFromParent_Done,
     /* 1090352 */   // Label 16043: @1090352
     /* 1090352 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1090429), // Rule ID 60518 //
     /* 1090357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090396 */     // MIs[0] policy
     /* 1090396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090428 */     // GIR_Coverage, 60518,
     /* 1090428 */     GIR_EraseRootFromParent_Done,
     /* 1090429 */   // Label 16044: @1090429
     /* 1090429 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1090506), // Rule ID 60519 //
     /* 1090434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090473 */     // MIs[0] policy
     /* 1090473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090505 */     // GIR_Coverage, 60519,
     /* 1090505 */     GIR_EraseRootFromParent_Done,
     /* 1090506 */   // Label 16045: @1090506
     /* 1090506 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090583), // Rule ID 60522 //
     /* 1090511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090550 */     // MIs[0] policy
     /* 1090550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090582 */     // GIR_Coverage, 60522,
     /* 1090582 */     GIR_EraseRootFromParent_Done,
     /* 1090583 */   // Label 16046: @1090583
     /* 1090583 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1090660), // Rule ID 60523 //
     /* 1090588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090627 */     // MIs[0] policy
     /* 1090627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090637 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090659 */     // GIR_Coverage, 60523,
     /* 1090659 */     GIR_EraseRootFromParent_Done,
     /* 1090660 */   // Label 16047: @1090660
     /* 1090660 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1090737), // Rule ID 60526 //
     /* 1090665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090704 */     // MIs[0] policy
     /* 1090704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090736 */     // GIR_Coverage, 60526,
     /* 1090736 */     GIR_EraseRootFromParent_Done,
     /* 1090737 */   // Label 16048: @1090737
     /* 1090737 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1090814), // Rule ID 60527 //
     /* 1090742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090781 */     // MIs[0] policy
     /* 1090781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090791 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090813 */     // GIR_Coverage, 60527,
     /* 1090813 */     GIR_EraseRootFromParent_Done,
     /* 1090814 */   // Label 16049: @1090814
     /* 1090814 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1090891), // Rule ID 60530 //
     /* 1090819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090858 */     // MIs[0] policy
     /* 1090858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090868 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090890 */     // GIR_Coverage, 60530,
     /* 1090890 */     GIR_EraseRootFromParent_Done,
     /* 1090891 */   // Label 16050: @1090891
     /* 1090891 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1090968), // Rule ID 60531 //
     /* 1090896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090935 */     // MIs[0] policy
     /* 1090935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1090948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090967 */     // GIR_Coverage, 60531,
     /* 1090967 */     GIR_EraseRootFromParent_Done,
     /* 1090968 */   // Label 16051: @1090968
     /* 1090968 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1091045), // Rule ID 60534 //
     /* 1090973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091012 */     // MIs[0] policy
     /* 1091012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091044 */     // GIR_Coverage, 60534,
     /* 1091044 */     GIR_EraseRootFromParent_Done,
     /* 1091045 */   // Label 16052: @1091045
     /* 1091045 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1091122), // Rule ID 60535 //
     /* 1091050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091089 */     // MIs[0] policy
     /* 1091089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091121 */     // GIR_Coverage, 60535,
     /* 1091121 */     GIR_EraseRootFromParent_Done,
     /* 1091122 */   // Label 16053: @1091122
     /* 1091122 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1091199), // Rule ID 60538 //
     /* 1091127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091166 */     // MIs[0] policy
     /* 1091166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091198 */     // GIR_Coverage, 60538,
     /* 1091198 */     GIR_EraseRootFromParent_Done,
     /* 1091199 */   // Label 16054: @1091199
     /* 1091199 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1091276), // Rule ID 60539 //
     /* 1091204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091243 */     // MIs[0] policy
     /* 1091243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091275 */     // GIR_Coverage, 60539,
     /* 1091275 */     GIR_EraseRootFromParent_Done,
     /* 1091276 */   // Label 16055: @1091276
     /* 1091276 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1091353), // Rule ID 60542 //
     /* 1091281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091320 */     // MIs[0] policy
     /* 1091320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091352 */     // GIR_Coverage, 60542,
     /* 1091352 */     GIR_EraseRootFromParent_Done,
     /* 1091353 */   // Label 16056: @1091353
     /* 1091353 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1091430), // Rule ID 60543 //
     /* 1091358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091397 */     // MIs[0] policy
     /* 1091397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091429 */     // GIR_Coverage, 60543,
     /* 1091429 */     GIR_EraseRootFromParent_Done,
     /* 1091430 */   // Label 16057: @1091430
     /* 1091430 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1091507), // Rule ID 60546 //
     /* 1091435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091474 */     // MIs[0] policy
     /* 1091474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091506 */     // GIR_Coverage, 60546,
     /* 1091506 */     GIR_EraseRootFromParent_Done,
     /* 1091507 */   // Label 16058: @1091507
     /* 1091507 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091584), // Rule ID 60547 //
     /* 1091512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091551 */     // MIs[0] policy
     /* 1091551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091583 */     // GIR_Coverage, 60547,
     /* 1091583 */     GIR_EraseRootFromParent_Done,
     /* 1091584 */   // Label 16059: @1091584
     /* 1091584 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1091661), // Rule ID 60550 //
     /* 1091589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091628 */     // MIs[0] policy
     /* 1091628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1091641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091660 */     // GIR_Coverage, 60550,
     /* 1091660 */     GIR_EraseRootFromParent_Done,
     /* 1091661 */   // Label 16060: @1091661
     /* 1091661 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1091738), // Rule ID 60551 //
     /* 1091666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091705 */     // MIs[0] policy
     /* 1091705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1091718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091737 */     // GIR_Coverage, 60551,
     /* 1091737 */     GIR_EraseRootFromParent_Done,
     /* 1091738 */   // Label 16061: @1091738
     /* 1091738 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1091815), // Rule ID 60554 //
     /* 1091743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091782 */     // MIs[0] policy
     /* 1091782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1091795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091814 */     // GIR_Coverage, 60554,
     /* 1091814 */     GIR_EraseRootFromParent_Done,
     /* 1091815 */   // Label 16062: @1091815
     /* 1091815 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1091892), // Rule ID 60555 //
     /* 1091820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091859 */     // MIs[0] policy
     /* 1091859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1091872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091891 */     // GIR_Coverage, 60555,
     /* 1091891 */     GIR_EraseRootFromParent_Done,
     /* 1091892 */   // Label 16063: @1091892
     /* 1091892 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1091969), // Rule ID 60558 //
     /* 1091897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091936 */     // MIs[0] policy
     /* 1091936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1091949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091968 */     // GIR_Coverage, 60558,
     /* 1091968 */     GIR_EraseRootFromParent_Done,
     /* 1091969 */   // Label 16064: @1091969
     /* 1091969 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1092046), // Rule ID 60559 //
     /* 1091974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092013 */     // MIs[0] policy
     /* 1092013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092023 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092045 */     // GIR_Coverage, 60559,
     /* 1092045 */     GIR_EraseRootFromParent_Done,
     /* 1092046 */   // Label 16065: @1092046
     /* 1092046 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1092123), // Rule ID 60562 //
     /* 1092051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092090 */     // MIs[0] policy
     /* 1092090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092122 */     // GIR_Coverage, 60562,
     /* 1092122 */     GIR_EraseRootFromParent_Done,
     /* 1092123 */   // Label 16066: @1092123
     /* 1092123 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1092200), // Rule ID 60563 //
     /* 1092128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092167 */     // MIs[0] policy
     /* 1092167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092177 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092199 */     // GIR_Coverage, 60563,
     /* 1092199 */     GIR_EraseRootFromParent_Done,
     /* 1092200 */   // Label 16067: @1092200
     /* 1092200 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1092277), // Rule ID 60566 //
     /* 1092205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092244 */     // MIs[0] policy
     /* 1092244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092276 */     // GIR_Coverage, 60566,
     /* 1092276 */     GIR_EraseRootFromParent_Done,
     /* 1092277 */   // Label 16068: @1092277
     /* 1092277 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1092354), // Rule ID 60567 //
     /* 1092282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092321 */     // MIs[0] policy
     /* 1092321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092331 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092353 */     // GIR_Coverage, 60567,
     /* 1092353 */     GIR_EraseRootFromParent_Done,
     /* 1092354 */   // Label 16069: @1092354
     /* 1092354 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1092431), // Rule ID 60570 //
     /* 1092359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092398 */     // MIs[0] policy
     /* 1092398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092430 */     // GIR_Coverage, 60570,
     /* 1092430 */     GIR_EraseRootFromParent_Done,
     /* 1092431 */   // Label 16070: @1092431
     /* 1092431 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1092508), // Rule ID 60571 //
     /* 1092436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092475 */     // MIs[0] policy
     /* 1092475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092485 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092507 */     // GIR_Coverage, 60571,
     /* 1092507 */     GIR_EraseRootFromParent_Done,
     /* 1092508 */   // Label 16071: @1092508
     /* 1092508 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092585), // Rule ID 60574 //
     /* 1092513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092552 */     // MIs[0] policy
     /* 1092552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092584 */     // GIR_Coverage, 60574,
     /* 1092584 */     GIR_EraseRootFromParent_Done,
     /* 1092585 */   // Label 16072: @1092585
     /* 1092585 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1092662), // Rule ID 60575 //
     /* 1092590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092629 */     // MIs[0] policy
     /* 1092629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092661 */     // GIR_Coverage, 60575,
     /* 1092661 */     GIR_EraseRootFromParent_Done,
     /* 1092662 */   // Label 16073: @1092662
     /* 1092662 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1092739), // Rule ID 60578 //
     /* 1092667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092706 */     // MIs[0] policy
     /* 1092706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092738 */     // GIR_Coverage, 60578,
     /* 1092738 */     GIR_EraseRootFromParent_Done,
     /* 1092739 */   // Label 16074: @1092739
     /* 1092739 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1092816), // Rule ID 60579 //
     /* 1092744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092783 */     // MIs[0] policy
     /* 1092783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092815 */     // GIR_Coverage, 60579,
     /* 1092815 */     GIR_EraseRootFromParent_Done,
     /* 1092816 */   // Label 16075: @1092816
     /* 1092816 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1092893), // Rule ID 60582 //
     /* 1092821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092860 */     // MIs[0] policy
     /* 1092860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092892 */     // GIR_Coverage, 60582,
     /* 1092892 */     GIR_EraseRootFromParent_Done,
     /* 1092893 */   // Label 16076: @1092893
     /* 1092893 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1092970), // Rule ID 60583 //
     /* 1092898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092937 */     // MIs[0] policy
     /* 1092937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092969 */     // GIR_Coverage, 60583,
     /* 1092969 */     GIR_EraseRootFromParent_Done,
     /* 1092970 */   // Label 16077: @1092970
     /* 1092970 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1093047), // Rule ID 60586 //
     /* 1092975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093014 */     // MIs[0] policy
     /* 1093014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093046 */     // GIR_Coverage, 60586,
     /* 1093046 */     GIR_EraseRootFromParent_Done,
     /* 1093047 */   // Label 16078: @1093047
     /* 1093047 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1093124), // Rule ID 60587 //
     /* 1093052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093091 */     // MIs[0] policy
     /* 1093091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093123 */     // GIR_Coverage, 60587,
     /* 1093123 */     GIR_EraseRootFromParent_Done,
     /* 1093124 */   // Label 16079: @1093124
     /* 1093124 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1093201), // Rule ID 60590 //
     /* 1093129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093168 */     // MIs[0] policy
     /* 1093168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093200 */     // GIR_Coverage, 60590,
     /* 1093200 */     GIR_EraseRootFromParent_Done,
     /* 1093201 */   // Label 16080: @1093201
     /* 1093201 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1093278), // Rule ID 60591 //
     /* 1093206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093245 */     // MIs[0] policy
     /* 1093245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093277 */     // GIR_Coverage, 60591,
     /* 1093277 */     GIR_EraseRootFromParent_Done,
     /* 1093278 */   // Label 16081: @1093278
     /* 1093278 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1093355), // Rule ID 60594 //
     /* 1093283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093322 */     // MIs[0] policy
     /* 1093322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093354 */     // GIR_Coverage, 60594,
     /* 1093354 */     GIR_EraseRootFromParent_Done,
     /* 1093355 */   // Label 16082: @1093355
     /* 1093355 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1093432), // Rule ID 60595 //
     /* 1093360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093399 */     // MIs[0] policy
     /* 1093399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093431 */     // GIR_Coverage, 60595,
     /* 1093431 */     GIR_EraseRootFromParent_Done,
     /* 1093432 */   // Label 16083: @1093432
     /* 1093432 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1093509), // Rule ID 60598 //
     /* 1093437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093476 */     // MIs[0] policy
     /* 1093476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093486 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1093489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093508 */     // GIR_Coverage, 60598,
     /* 1093508 */     GIR_EraseRootFromParent_Done,
     /* 1093509 */   // Label 16084: @1093509
     /* 1093509 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093586), // Rule ID 60599 //
     /* 1093514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093553 */     // MIs[0] policy
     /* 1093553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1093566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093585 */     // GIR_Coverage, 60599,
     /* 1093585 */     GIR_EraseRootFromParent_Done,
     /* 1093586 */   // Label 16085: @1093586
     /* 1093586 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1093663), // Rule ID 60602 //
     /* 1093591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093630 */     // MIs[0] policy
     /* 1093630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093640 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1093643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093662 */     // GIR_Coverage, 60602,
     /* 1093662 */     GIR_EraseRootFromParent_Done,
     /* 1093663 */   // Label 16086: @1093663
     /* 1093663 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1093740), // Rule ID 60603 //
     /* 1093668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093707 */     // MIs[0] policy
     /* 1093707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093717 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1093720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093739 */     // GIR_Coverage, 60603,
     /* 1093739 */     GIR_EraseRootFromParent_Done,
     /* 1093740 */   // Label 16087: @1093740
     /* 1093740 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1093817), // Rule ID 60606 //
     /* 1093745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093784 */     // MIs[0] policy
     /* 1093784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1093797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093816 */     // GIR_Coverage, 60606,
     /* 1093816 */     GIR_EraseRootFromParent_Done,
     /* 1093817 */   // Label 16088: @1093817
     /* 1093817 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1093894), // Rule ID 60607 //
     /* 1093822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093861 */     // MIs[0] policy
     /* 1093861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1093874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093893 */     // GIR_Coverage, 60607,
     /* 1093893 */     GIR_EraseRootFromParent_Done,
     /* 1093894 */   // Label 16089: @1093894
     /* 1093894 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1093971), // Rule ID 60610 //
     /* 1093899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093938 */     // MIs[0] policy
     /* 1093938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1093951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093970 */     // GIR_Coverage, 60610,
     /* 1093970 */     GIR_EraseRootFromParent_Done,
     /* 1093971 */   // Label 16090: @1093971
     /* 1093971 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1094048), // Rule ID 60611 //
     /* 1093976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1093984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094015 */     // MIs[0] policy
     /* 1094015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1094028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094047 */     // GIR_Coverage, 60611,
     /* 1094047 */     GIR_EraseRootFromParent_Done,
     /* 1094048 */   // Label 16091: @1094048
     /* 1094048 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1094125), // Rule ID 60614 //
     /* 1094053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094092 */     // MIs[0] policy
     /* 1094092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094124 */     // GIR_Coverage, 60614,
     /* 1094124 */     GIR_EraseRootFromParent_Done,
     /* 1094125 */   // Label 16092: @1094125
     /* 1094125 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1094202), // Rule ID 60615 //
     /* 1094130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094169 */     // MIs[0] policy
     /* 1094169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094179 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094201 */     // GIR_Coverage, 60615,
     /* 1094201 */     GIR_EraseRootFromParent_Done,
     /* 1094202 */   // Label 16093: @1094202
     /* 1094202 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1094279), // Rule ID 60618 //
     /* 1094207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094246 */     // MIs[0] policy
     /* 1094246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094278 */     // GIR_Coverage, 60618,
     /* 1094278 */     GIR_EraseRootFromParent_Done,
     /* 1094279 */   // Label 16094: @1094279
     /* 1094279 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1094356), // Rule ID 60619 //
     /* 1094284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094323 */     // MIs[0] policy
     /* 1094323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094355 */     // GIR_Coverage, 60619,
     /* 1094355 */     GIR_EraseRootFromParent_Done,
     /* 1094356 */   // Label 16095: @1094356
     /* 1094356 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1094433), // Rule ID 60622 //
     /* 1094361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094400 */     // MIs[0] policy
     /* 1094400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094432 */     // GIR_Coverage, 60622,
     /* 1094432 */     GIR_EraseRootFromParent_Done,
     /* 1094433 */   // Label 16096: @1094433
     /* 1094433 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1094510), // Rule ID 60623 //
     /* 1094438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094477 */     // MIs[0] policy
     /* 1094477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094509 */     // GIR_Coverage, 60623,
     /* 1094509 */     GIR_EraseRootFromParent_Done,
     /* 1094510 */   // Label 16097: @1094510
     /* 1094510 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094587), // Rule ID 60626 //
     /* 1094515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094554 */     // MIs[0] policy
     /* 1094554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094586 */     // GIR_Coverage, 60626,
     /* 1094586 */     GIR_EraseRootFromParent_Done,
     /* 1094587 */   // Label 16098: @1094587
     /* 1094587 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1094664), // Rule ID 60627 //
     /* 1094592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094631 */     // MIs[0] policy
     /* 1094631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094663 */     // GIR_Coverage, 60627,
     /* 1094663 */     GIR_EraseRootFromParent_Done,
     /* 1094664 */   // Label 16099: @1094664
     /* 1094664 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1094741), // Rule ID 60630 //
     /* 1094669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094708 */     // MIs[0] policy
     /* 1094708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094740 */     // GIR_Coverage, 60630,
     /* 1094740 */     GIR_EraseRootFromParent_Done,
     /* 1094741 */   // Label 16100: @1094741
     /* 1094741 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1094818), // Rule ID 60631 //
     /* 1094746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094785 */     // MIs[0] policy
     /* 1094785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094817 */     // GIR_Coverage, 60631,
     /* 1094817 */     GIR_EraseRootFromParent_Done,
     /* 1094818 */   // Label 16101: @1094818
     /* 1094818 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1094895), // Rule ID 60634 //
     /* 1094823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094862 */     // MIs[0] policy
     /* 1094862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094894 */     // GIR_Coverage, 60634,
     /* 1094894 */     GIR_EraseRootFromParent_Done,
     /* 1094895 */   // Label 16102: @1094895
     /* 1094895 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1094972), // Rule ID 60635 //
     /* 1094900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094939 */     // MIs[0] policy
     /* 1094939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1094952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094971 */     // GIR_Coverage, 60635,
     /* 1094971 */     GIR_EraseRootFromParent_Done,
     /* 1094972 */   // Label 16103: @1094972
     /* 1094972 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1095049), // Rule ID 60638 //
     /* 1094977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095016 */     // MIs[0] policy
     /* 1095016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095048 */     // GIR_Coverage, 60638,
     /* 1095048 */     GIR_EraseRootFromParent_Done,
     /* 1095049 */   // Label 16104: @1095049
     /* 1095049 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1095126), // Rule ID 60639 //
     /* 1095054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095093 */     // MIs[0] policy
     /* 1095093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095125 */     // GIR_Coverage, 60639,
     /* 1095125 */     GIR_EraseRootFromParent_Done,
     /* 1095126 */   // Label 16105: @1095126
     /* 1095126 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1095203), // Rule ID 60642 //
     /* 1095131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095170 */     // MIs[0] policy
     /* 1095170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095202 */     // GIR_Coverage, 60642,
     /* 1095202 */     GIR_EraseRootFromParent_Done,
     /* 1095203 */   // Label 16106: @1095203
     /* 1095203 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1095280), // Rule ID 60643 //
     /* 1095208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095247 */     // MIs[0] policy
     /* 1095247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095257 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095279 */     // GIR_Coverage, 60643,
     /* 1095279 */     GIR_EraseRootFromParent_Done,
     /* 1095280 */   // Label 16107: @1095280
     /* 1095280 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1095357), // Rule ID 60646 //
     /* 1095285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095324 */     // MIs[0] policy
     /* 1095324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095334 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1095337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095356 */     // GIR_Coverage, 60646,
     /* 1095356 */     GIR_EraseRootFromParent_Done,
     /* 1095357 */   // Label 16108: @1095357
     /* 1095357 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1095434), // Rule ID 60647 //
     /* 1095362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095401 */     // MIs[0] policy
     /* 1095401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1095414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095433 */     // GIR_Coverage, 60647,
     /* 1095433 */     GIR_EraseRootFromParent_Done,
     /* 1095434 */   // Label 16109: @1095434
     /* 1095434 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1095511), // Rule ID 60650 //
     /* 1095439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095478 */     // MIs[0] policy
     /* 1095478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095510 */     // GIR_Coverage, 60650,
     /* 1095510 */     GIR_EraseRootFromParent_Done,
     /* 1095511 */   // Label 16110: @1095511
     /* 1095511 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095588), // Rule ID 60651 //
     /* 1095516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095555 */     // MIs[0] policy
     /* 1095555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095565 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095587 */     // GIR_Coverage, 60651,
     /* 1095587 */     GIR_EraseRootFromParent_Done,
     /* 1095588 */   // Label 16111: @1095588
     /* 1095588 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1095665), // Rule ID 60654 //
     /* 1095593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095632 */     // MIs[0] policy
     /* 1095632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095664 */     // GIR_Coverage, 60654,
     /* 1095664 */     GIR_EraseRootFromParent_Done,
     /* 1095665 */   // Label 16112: @1095665
     /* 1095665 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1095742), // Rule ID 60655 //
     /* 1095670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095709 */     // MIs[0] policy
     /* 1095709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095719 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095741 */     // GIR_Coverage, 60655,
     /* 1095741 */     GIR_EraseRootFromParent_Done,
     /* 1095742 */   // Label 16113: @1095742
     /* 1095742 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1095819), // Rule ID 60658 //
     /* 1095747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095786 */     // MIs[0] policy
     /* 1095786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1095799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095818 */     // GIR_Coverage, 60658,
     /* 1095818 */     GIR_EraseRootFromParent_Done,
     /* 1095819 */   // Label 16114: @1095819
     /* 1095819 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1095896), // Rule ID 60659 //
     /* 1095824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095863 */     // MIs[0] policy
     /* 1095863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095873 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1095876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095895 */     // GIR_Coverage, 60659,
     /* 1095895 */     GIR_EraseRootFromParent_Done,
     /* 1095896 */   // Label 16115: @1095896
     /* 1095896 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1095973), // Rule ID 60662 //
     /* 1095901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095940 */     // MIs[0] policy
     /* 1095940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095972 */     // GIR_Coverage, 60662,
     /* 1095972 */     GIR_EraseRootFromParent_Done,
     /* 1095973 */   // Label 16116: @1095973
     /* 1095973 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1096050), // Rule ID 60663 //
     /* 1095978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096017 */     // MIs[0] policy
     /* 1096017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096049 */     // GIR_Coverage, 60663,
     /* 1096049 */     GIR_EraseRootFromParent_Done,
     /* 1096050 */   // Label 16117: @1096050
     /* 1096050 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1096127), // Rule ID 60666 //
     /* 1096055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096094 */     // MIs[0] policy
     /* 1096094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096126 */     // GIR_Coverage, 60666,
     /* 1096126 */     GIR_EraseRootFromParent_Done,
     /* 1096127 */   // Label 16118: @1096127
     /* 1096127 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1096204), // Rule ID 60667 //
     /* 1096132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096171 */     // MIs[0] policy
     /* 1096171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096203 */     // GIR_Coverage, 60667,
     /* 1096203 */     GIR_EraseRootFromParent_Done,
     /* 1096204 */   // Label 16119: @1096204
     /* 1096204 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1096281), // Rule ID 60670 //
     /* 1096209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096248 */     // MIs[0] policy
     /* 1096248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096280 */     // GIR_Coverage, 60670,
     /* 1096280 */     GIR_EraseRootFromParent_Done,
     /* 1096281 */   // Label 16120: @1096281
     /* 1096281 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1096358), // Rule ID 60671 //
     /* 1096286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096325 */     // MIs[0] policy
     /* 1096325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096335 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096357 */     // GIR_Coverage, 60671,
     /* 1096357 */     GIR_EraseRootFromParent_Done,
     /* 1096358 */   // Label 16121: @1096358
     /* 1096358 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1096435), // Rule ID 60674 //
     /* 1096363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096402 */     // MIs[0] policy
     /* 1096402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096434 */     // GIR_Coverage, 60674,
     /* 1096434 */     GIR_EraseRootFromParent_Done,
     /* 1096435 */   // Label 16122: @1096435
     /* 1096435 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1096512), // Rule ID 60675 //
     /* 1096440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096479 */     // MIs[0] policy
     /* 1096479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096511 */     // GIR_Coverage, 60675,
     /* 1096511 */     GIR_EraseRootFromParent_Done,
     /* 1096512 */   // Label 16123: @1096512
     /* 1096512 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096589), // Rule ID 60678 //
     /* 1096517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096556 */     // MIs[0] policy
     /* 1096556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096588 */     // GIR_Coverage, 60678,
     /* 1096588 */     GIR_EraseRootFromParent_Done,
     /* 1096589 */   // Label 16124: @1096589
     /* 1096589 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1096666), // Rule ID 60679 //
     /* 1096594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096633 */     // MIs[0] policy
     /* 1096633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096665 */     // GIR_Coverage, 60679,
     /* 1096665 */     GIR_EraseRootFromParent_Done,
     /* 1096666 */   // Label 16125: @1096666
     /* 1096666 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1096743), // Rule ID 60682 //
     /* 1096671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096710 */     // MIs[0] policy
     /* 1096710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096742 */     // GIR_Coverage, 60682,
     /* 1096742 */     GIR_EraseRootFromParent_Done,
     /* 1096743 */   // Label 16126: @1096743
     /* 1096743 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1096820), // Rule ID 60683 //
     /* 1096748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096787 */     // MIs[0] policy
     /* 1096787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096819 */     // GIR_Coverage, 60683,
     /* 1096819 */     GIR_EraseRootFromParent_Done,
     /* 1096820 */   // Label 16127: @1096820
     /* 1096820 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1096897), // Rule ID 60686 //
     /* 1096825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096864 */     // MIs[0] policy
     /* 1096864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1096877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096896 */     // GIR_Coverage, 60686,
     /* 1096896 */     GIR_EraseRootFromParent_Done,
     /* 1096897 */   // Label 16128: @1096897
     /* 1096897 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1096974), // Rule ID 60687 //
     /* 1096902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096941 */     // MIs[0] policy
     /* 1096941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1096954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096973 */     // GIR_Coverage, 60687,
     /* 1096973 */     GIR_EraseRootFromParent_Done,
     /* 1096974 */   // Label 16129: @1096974
     /* 1096974 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1097051), // Rule ID 60690 //
     /* 1096979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1096987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097018 */     // MIs[0] policy
     /* 1097018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097050 */     // GIR_Coverage, 60690,
     /* 1097050 */     GIR_EraseRootFromParent_Done,
     /* 1097051 */   // Label 16130: @1097051
     /* 1097051 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1097128), // Rule ID 60691 //
     /* 1097056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097095 */     // MIs[0] policy
     /* 1097095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097105 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097127 */     // GIR_Coverage, 60691,
     /* 1097127 */     GIR_EraseRootFromParent_Done,
     /* 1097128 */   // Label 16131: @1097128
     /* 1097128 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1097205), // Rule ID 60694 //
     /* 1097133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097172 */     // MIs[0] policy
     /* 1097172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097204 */     // GIR_Coverage, 60694,
     /* 1097204 */     GIR_EraseRootFromParent_Done,
     /* 1097205 */   // Label 16132: @1097205
     /* 1097205 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1097282), // Rule ID 60695 //
     /* 1097210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097249 */     // MIs[0] policy
     /* 1097249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097281 */     // GIR_Coverage, 60695,
     /* 1097281 */     GIR_EraseRootFromParent_Done,
     /* 1097282 */   // Label 16133: @1097282
     /* 1097282 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1097359), // Rule ID 60698 //
     /* 1097287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097326 */     // MIs[0] policy
     /* 1097326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097358 */     // GIR_Coverage, 60698,
     /* 1097358 */     GIR_EraseRootFromParent_Done,
     /* 1097359 */   // Label 16134: @1097359
     /* 1097359 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1097436), // Rule ID 60699 //
     /* 1097364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097403 */     // MIs[0] policy
     /* 1097403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097413 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097435 */     // GIR_Coverage, 60699,
     /* 1097435 */     GIR_EraseRootFromParent_Done,
     /* 1097436 */   // Label 16135: @1097436
     /* 1097436 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1097513), // Rule ID 60702 //
     /* 1097441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097480 */     // MIs[0] policy
     /* 1097480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097490 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097512 */     // GIR_Coverage, 60702,
     /* 1097512 */     GIR_EraseRootFromParent_Done,
     /* 1097513 */   // Label 16136: @1097513
     /* 1097513 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097590), // Rule ID 60703 //
     /* 1097518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097557 */     // MIs[0] policy
     /* 1097557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097589 */     // GIR_Coverage, 60703,
     /* 1097589 */     GIR_EraseRootFromParent_Done,
     /* 1097590 */   // Label 16137: @1097590
     /* 1097590 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1097667), // Rule ID 60706 //
     /* 1097595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097634 */     // MIs[0] policy
     /* 1097634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097666 */     // GIR_Coverage, 60706,
     /* 1097666 */     GIR_EraseRootFromParent_Done,
     /* 1097667 */   // Label 16138: @1097667
     /* 1097667 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1097744), // Rule ID 60707 //
     /* 1097672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097711 */     // MIs[0] policy
     /* 1097711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097743 */     // GIR_Coverage, 60707,
     /* 1097743 */     GIR_EraseRootFromParent_Done,
     /* 1097744 */   // Label 16139: @1097744
     /* 1097744 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1097821), // Rule ID 60710 //
     /* 1097749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097788 */     // MIs[0] policy
     /* 1097788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1097801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097820 */     // GIR_Coverage, 60710,
     /* 1097820 */     GIR_EraseRootFromParent_Done,
     /* 1097821 */   // Label 16140: @1097821
     /* 1097821 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1097898), // Rule ID 60711 //
     /* 1097826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097865 */     // MIs[0] policy
     /* 1097865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097875 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1097878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097897 */     // GIR_Coverage, 60711,
     /* 1097897 */     GIR_EraseRootFromParent_Done,
     /* 1097898 */   // Label 16141: @1097898
     /* 1097898 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1097975), // Rule ID 60714 //
     /* 1097903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097942 */     // MIs[0] policy
     /* 1097942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1097955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097974 */     // GIR_Coverage, 60714,
     /* 1097974 */     GIR_EraseRootFromParent_Done,
     /* 1097975 */   // Label 16142: @1097975
     /* 1097975 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1098052), // Rule ID 60715 //
     /* 1097980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098019 */     // MIs[0] policy
     /* 1098019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098029 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098051 */     // GIR_Coverage, 60715,
     /* 1098051 */     GIR_EraseRootFromParent_Done,
     /* 1098052 */   // Label 16143: @1098052
     /* 1098052 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1098129), // Rule ID 60718 //
     /* 1098057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098096 */     // MIs[0] policy
     /* 1098096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098128 */     // GIR_Coverage, 60718,
     /* 1098128 */     GIR_EraseRootFromParent_Done,
     /* 1098129 */   // Label 16144: @1098129
     /* 1098129 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1098206), // Rule ID 60719 //
     /* 1098134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098173 */     // MIs[0] policy
     /* 1098173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098205 */     // GIR_Coverage, 60719,
     /* 1098205 */     GIR_EraseRootFromParent_Done,
     /* 1098206 */   // Label 16145: @1098206
     /* 1098206 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1098283), // Rule ID 60722 //
     /* 1098211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098250 */     // MIs[0] policy
     /* 1098250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098282 */     // GIR_Coverage, 60722,
     /* 1098282 */     GIR_EraseRootFromParent_Done,
     /* 1098283 */   // Label 16146: @1098283
     /* 1098283 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1098360), // Rule ID 60723 //
     /* 1098288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098327 */     // MIs[0] policy
     /* 1098327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098337 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098359 */     // GIR_Coverage, 60723,
     /* 1098359 */     GIR_EraseRootFromParent_Done,
     /* 1098360 */   // Label 16147: @1098360
     /* 1098360 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1098437), // Rule ID 60726 //
     /* 1098365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098404 */     // MIs[0] policy
     /* 1098404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098414 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1098417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098436 */     // GIR_Coverage, 60726,
     /* 1098436 */     GIR_EraseRootFromParent_Done,
     /* 1098437 */   // Label 16148: @1098437
     /* 1098437 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1098514), // Rule ID 60727 //
     /* 1098442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098481 */     // MIs[0] policy
     /* 1098481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1098494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098513 */     // GIR_Coverage, 60727,
     /* 1098513 */     GIR_EraseRootFromParent_Done,
     /* 1098514 */   // Label 16149: @1098514
     /* 1098514 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098591), // Rule ID 60730 //
     /* 1098519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098558 */     // MIs[0] policy
     /* 1098558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1098571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098590 */     // GIR_Coverage, 60730,
     /* 1098590 */     GIR_EraseRootFromParent_Done,
     /* 1098591 */   // Label 16150: @1098591
     /* 1098591 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1098668), // Rule ID 60731 //
     /* 1098596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098635 */     // MIs[0] policy
     /* 1098635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098645 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1098648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098667 */     // GIR_Coverage, 60731,
     /* 1098667 */     GIR_EraseRootFromParent_Done,
     /* 1098668 */   // Label 16151: @1098668
     /* 1098668 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1098745), // Rule ID 60734 //
     /* 1098673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098712 */     // MIs[0] policy
     /* 1098712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098722 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1098725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098744 */     // GIR_Coverage, 60734,
     /* 1098744 */     GIR_EraseRootFromParent_Done,
     /* 1098745 */   // Label 16152: @1098745
     /* 1098745 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1098822), // Rule ID 60735 //
     /* 1098750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098789 */     // MIs[0] policy
     /* 1098789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098799 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1098802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098821 */     // GIR_Coverage, 60735,
     /* 1098821 */     GIR_EraseRootFromParent_Done,
     /* 1098822 */   // Label 16153: @1098822
     /* 1098822 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1098899), // Rule ID 60738 //
     /* 1098827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098866 */     // MIs[0] policy
     /* 1098866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1098879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098898 */     // GIR_Coverage, 60738,
     /* 1098898 */     GIR_EraseRootFromParent_Done,
     /* 1098899 */   // Label 16154: @1098899
     /* 1098899 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1098976), // Rule ID 60739 //
     /* 1098904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098943 */     // MIs[0] policy
     /* 1098943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1098956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098975 */     // GIR_Coverage, 60739,
     /* 1098975 */     GIR_EraseRootFromParent_Done,
     /* 1098976 */   // Label 16155: @1098976
     /* 1098976 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1099053), // Rule ID 60742 //
     /* 1098981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099020 */     // MIs[0] policy
     /* 1099020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099052 */     // GIR_Coverage, 60742,
     /* 1099052 */     GIR_EraseRootFromParent_Done,
     /* 1099053 */   // Label 16156: @1099053
     /* 1099053 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1099130), // Rule ID 60743 //
     /* 1099058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099097 */     // MIs[0] policy
     /* 1099097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099129 */     // GIR_Coverage, 60743,
     /* 1099129 */     GIR_EraseRootFromParent_Done,
     /* 1099130 */   // Label 16157: @1099130
     /* 1099130 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1099207), // Rule ID 60746 //
     /* 1099135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099174 */     // MIs[0] policy
     /* 1099174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099206 */     // GIR_Coverage, 60746,
     /* 1099206 */     GIR_EraseRootFromParent_Done,
     /* 1099207 */   // Label 16158: @1099207
     /* 1099207 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1099284), // Rule ID 60747 //
     /* 1099212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099251 */     // MIs[0] policy
     /* 1099251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099283 */     // GIR_Coverage, 60747,
     /* 1099283 */     GIR_EraseRootFromParent_Done,
     /* 1099284 */   // Label 16159: @1099284
     /* 1099284 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1099361), // Rule ID 60750 //
     /* 1099289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099328 */     // MIs[0] policy
     /* 1099328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099360 */     // GIR_Coverage, 60750,
     /* 1099360 */     GIR_EraseRootFromParent_Done,
     /* 1099361 */   // Label 16160: @1099361
     /* 1099361 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1099438), // Rule ID 60751 //
     /* 1099366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099405 */     // MIs[0] policy
     /* 1099405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099437 */     // GIR_Coverage, 60751,
     /* 1099437 */     GIR_EraseRootFromParent_Done,
     /* 1099438 */   // Label 16161: @1099438
     /* 1099438 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1099515), // Rule ID 60754 //
     /* 1099443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099482 */     // MIs[0] policy
     /* 1099482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099514 */     // GIR_Coverage, 60754,
     /* 1099514 */     GIR_EraseRootFromParent_Done,
     /* 1099515 */   // Label 16162: @1099515
     /* 1099515 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099592), // Rule ID 60755 //
     /* 1099520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099559 */     // MIs[0] policy
     /* 1099559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099591 */     // GIR_Coverage, 60755,
     /* 1099591 */     GIR_EraseRootFromParent_Done,
     /* 1099592 */   // Label 16163: @1099592
     /* 1099592 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1099669), // Rule ID 60758 //
     /* 1099597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099636 */     // MIs[0] policy
     /* 1099636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099668 */     // GIR_Coverage, 60758,
     /* 1099668 */     GIR_EraseRootFromParent_Done,
     /* 1099669 */   // Label 16164: @1099669
     /* 1099669 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1099746), // Rule ID 60759 //
     /* 1099674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099713 */     // MIs[0] policy
     /* 1099713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099745 */     // GIR_Coverage, 60759,
     /* 1099745 */     GIR_EraseRootFromParent_Done,
     /* 1099746 */   // Label 16165: @1099746
     /* 1099746 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1099823), // Rule ID 60762 //
     /* 1099751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099790 */     // MIs[0] policy
     /* 1099790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099822 */     // GIR_Coverage, 60762,
     /* 1099822 */     GIR_EraseRootFromParent_Done,
     /* 1099823 */   // Label 16166: @1099823
     /* 1099823 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1099900), // Rule ID 60763 //
     /* 1099828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099867 */     // MIs[0] policy
     /* 1099867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099877 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099899 */     // GIR_Coverage, 60763,
     /* 1099899 */     GIR_EraseRootFromParent_Done,
     /* 1099900 */   // Label 16167: @1099900
     /* 1099900 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1099977), // Rule ID 60766 //
     /* 1099905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099944 */     // MIs[0] policy
     /* 1099944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099954 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099976 */     // GIR_Coverage, 60766,
     /* 1099976 */     GIR_EraseRootFromParent_Done,
     /* 1099977 */   // Label 16168: @1099977
     /* 1099977 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1100054), // Rule ID 60767 //
     /* 1099982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100021 */     // MIs[0] policy
     /* 1100021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100031 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1100034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100053 */     // GIR_Coverage, 60767,
     /* 1100053 */     GIR_EraseRootFromParent_Done,
     /* 1100054 */   // Label 16169: @1100054
     /* 1100054 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1100131), // Rule ID 60770 //
     /* 1100059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100098 */     // MIs[0] policy
     /* 1100098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100130 */     // GIR_Coverage, 60770,
     /* 1100130 */     GIR_EraseRootFromParent_Done,
     /* 1100131 */   // Label 16170: @1100131
     /* 1100131 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1100208), // Rule ID 60771 //
     /* 1100136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100175 */     // MIs[0] policy
     /* 1100175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100185 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100207 */     // GIR_Coverage, 60771,
     /* 1100207 */     GIR_EraseRootFromParent_Done,
     /* 1100208 */   // Label 16171: @1100208
     /* 1100208 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1100285), // Rule ID 60774 //
     /* 1100213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100252 */     // MIs[0] policy
     /* 1100252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1100265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100284 */     // GIR_Coverage, 60774,
     /* 1100284 */     GIR_EraseRootFromParent_Done,
     /* 1100285 */   // Label 16172: @1100285
     /* 1100285 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1100362), // Rule ID 60775 //
     /* 1100290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100329 */     // MIs[0] policy
     /* 1100329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100339 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1100342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100361 */     // GIR_Coverage, 60775,
     /* 1100361 */     GIR_EraseRootFromParent_Done,
     /* 1100362 */   // Label 16173: @1100362
     /* 1100362 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1100439), // Rule ID 60778 //
     /* 1100367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1100378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1100381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1100384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100406 */     // MIs[0] policy
     /* 1100406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100416 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1100419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100438 */     // GIR_Coverage, 60778,
     /* 1100438 */     GIR_EraseRootFromParent_Done,
     /* 1100439 */   // Label 16174: @1100439
     /* 1100439 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1100516), // Rule ID 60779 //
     /* 1100444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1100455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1100458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1100461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100483 */     // MIs[0] policy
     /* 1100483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100493 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1100496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100515 */     // GIR_Coverage, 60779,
     /* 1100515 */     GIR_EraseRootFromParent_Done,
     /* 1100516 */   // Label 16175: @1100516
     /* 1100516 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100593), // Rule ID 60782 //
     /* 1100521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1100532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1100535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1100538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100560 */     // MIs[0] policy
     /* 1100560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100570 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1100573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100592 */     // GIR_Coverage, 60782,
     /* 1100592 */     GIR_EraseRootFromParent_Done,
     /* 1100593 */   // Label 16176: @1100593
     /* 1100593 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1100670), // Rule ID 60783 //
     /* 1100598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1100609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1100612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1100615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100637 */     // MIs[0] policy
     /* 1100637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100647 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1100650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100669 */     // GIR_Coverage, 60783,
     /* 1100669 */     GIR_EraseRootFromParent_Done,
     /* 1100670 */   // Label 16177: @1100670
     /* 1100670 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1100747), // Rule ID 60786 //
     /* 1100675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1100686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1100689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100714 */     // MIs[0] policy
     /* 1100714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1100727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100746 */     // GIR_Coverage, 60786,
     /* 1100746 */     GIR_EraseRootFromParent_Done,
     /* 1100747 */   // Label 16178: @1100747
     /* 1100747 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1100824), // Rule ID 60787 //
     /* 1100752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1100763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1100766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100791 */     // MIs[0] policy
     /* 1100791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1100804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100823 */     // GIR_Coverage, 60787,
     /* 1100823 */     GIR_EraseRootFromParent_Done,
     /* 1100824 */   // Label 16179: @1100824
     /* 1100824 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1100901), // Rule ID 60790 //
     /* 1100829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100868 */     // MIs[0] policy
     /* 1100868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1100881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100900 */     // GIR_Coverage, 60790,
     /* 1100900 */     GIR_EraseRootFromParent_Done,
     /* 1100901 */   // Label 16180: @1100901
     /* 1100901 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1100978), // Rule ID 60791 //
     /* 1100906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1100917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1100920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100945 */     // MIs[0] policy
     /* 1100945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1100958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100977 */     // GIR_Coverage, 60791,
     /* 1100977 */     GIR_EraseRootFromParent_Done,
     /* 1100978 */   // Label 16181: @1100978
     /* 1100978 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1101055), // Rule ID 60794 //
     /* 1100983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101022 */     // MIs[0] policy
     /* 1101022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101054 */     // GIR_Coverage, 60794,
     /* 1101054 */     GIR_EraseRootFromParent_Done,
     /* 1101055 */   // Label 16182: @1101055
     /* 1101055 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1101132), // Rule ID 60795 //
     /* 1101060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101099 */     // MIs[0] policy
     /* 1101099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101131 */     // GIR_Coverage, 60795,
     /* 1101131 */     GIR_EraseRootFromParent_Done,
     /* 1101132 */   // Label 16183: @1101132
     /* 1101132 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1101209), // Rule ID 60798 //
     /* 1101137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101176 */     // MIs[0] policy
     /* 1101176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101186 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101208 */     // GIR_Coverage, 60798,
     /* 1101208 */     GIR_EraseRootFromParent_Done,
     /* 1101209 */   // Label 16184: @1101209
     /* 1101209 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1101286), // Rule ID 60799 //
     /* 1101214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101253 */     // MIs[0] policy
     /* 1101253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101263 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101285 */     // GIR_Coverage, 60799,
     /* 1101285 */     GIR_EraseRootFromParent_Done,
     /* 1101286 */   // Label 16185: @1101286
     /* 1101286 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1101363), // Rule ID 60802 //
     /* 1101291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101330 */     // MIs[0] policy
     /* 1101330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101362 */     // GIR_Coverage, 60802,
     /* 1101362 */     GIR_EraseRootFromParent_Done,
     /* 1101363 */   // Label 16186: @1101363
     /* 1101363 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1101440), // Rule ID 60803 //
     /* 1101368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101407 */     // MIs[0] policy
     /* 1101407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101439 */     // GIR_Coverage, 60803,
     /* 1101439 */     GIR_EraseRootFromParent_Done,
     /* 1101440 */   // Label 16187: @1101440
     /* 1101440 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1101517), // Rule ID 60806 //
     /* 1101445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101484 */     // MIs[0] policy
     /* 1101484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101516 */     // GIR_Coverage, 60806,
     /* 1101516 */     GIR_EraseRootFromParent_Done,
     /* 1101517 */   // Label 16188: @1101517
     /* 1101517 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101594), // Rule ID 60807 //
     /* 1101522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101561 */     // MIs[0] policy
     /* 1101561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101593 */     // GIR_Coverage, 60807,
     /* 1101593 */     GIR_EraseRootFromParent_Done,
     /* 1101594 */   // Label 16189: @1101594
     /* 1101594 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1101671), // Rule ID 60810 //
     /* 1101599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1101616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101638 */     // MIs[0] policy
     /* 1101638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101670 */     // GIR_Coverage, 60810,
     /* 1101670 */     GIR_EraseRootFromParent_Done,
     /* 1101671 */   // Label 16190: @1101671
     /* 1101671 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1101748), // Rule ID 60811 //
     /* 1101676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1101693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101715 */     // MIs[0] policy
     /* 1101715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101747 */     // GIR_Coverage, 60811,
     /* 1101747 */     GIR_EraseRootFromParent_Done,
     /* 1101748 */   // Label 16191: @1101748
     /* 1101748 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1101825), // Rule ID 60814 //
     /* 1101753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1101764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1101767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101792 */     // MIs[0] policy
     /* 1101792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1101805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101824 */     // GIR_Coverage, 60814,
     /* 1101824 */     GIR_EraseRootFromParent_Done,
     /* 1101825 */   // Label 16192: @1101825
     /* 1101825 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1101902), // Rule ID 60815 //
     /* 1101830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1101841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1101844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1101847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1101850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1101857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101869 */     // MIs[0] policy
     /* 1101869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101879 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1101882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101901 */     // GIR_Coverage, 60815,
     /* 1101901 */     GIR_EraseRootFromParent_Done,
     /* 1101902 */   // Label 16193: @1101902
     /* 1101902 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1101979), // Rule ID 60818 //
     /* 1101907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1101924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1101927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101946 */     // MIs[0] policy
     /* 1101946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1101959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101978 */     // GIR_Coverage, 60818,
     /* 1101978 */     GIR_EraseRootFromParent_Done,
     /* 1101979 */   // Label 16194: @1101979
     /* 1101979 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1102056), // Rule ID 60819 //
     /* 1101984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1101995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1101998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102023 */     // MIs[0] policy
     /* 1102023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102055 */     // GIR_Coverage, 60819,
     /* 1102055 */     GIR_EraseRootFromParent_Done,
     /* 1102056 */   // Label 16195: @1102056
     /* 1102056 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1102133), // Rule ID 60822 //
     /* 1102061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1102081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102100 */     // MIs[0] policy
     /* 1102100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102110 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102132 */     // GIR_Coverage, 60822,
     /* 1102132 */     GIR_EraseRootFromParent_Done,
     /* 1102133 */   // Label 16196: @1102133
     /* 1102133 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1102210), // Rule ID 60823 //
     /* 1102138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1102158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102177 */     // MIs[0] policy
     /* 1102177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102187 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102209 */     // GIR_Coverage, 60823,
     /* 1102209 */     GIR_EraseRootFromParent_Done,
     /* 1102210 */   // Label 16197: @1102210
     /* 1102210 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1102287), // Rule ID 60826 //
     /* 1102215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102254 */     // MIs[0] policy
     /* 1102254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102286 */     // GIR_Coverage, 60826,
     /* 1102286 */     GIR_EraseRootFromParent_Done,
     /* 1102287 */   // Label 16198: @1102287
     /* 1102287 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1102364), // Rule ID 60827 //
     /* 1102292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102331 */     // MIs[0] policy
     /* 1102331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102341 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102363 */     // GIR_Coverage, 60827,
     /* 1102363 */     GIR_EraseRootFromParent_Done,
     /* 1102364 */   // Label 16199: @1102364
     /* 1102364 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1102441), // Rule ID 60830 //
     /* 1102369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1102380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1102383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102408 */     // MIs[0] policy
     /* 1102408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102440 */     // GIR_Coverage, 60830,
     /* 1102440 */     GIR_EraseRootFromParent_Done,
     /* 1102441 */   // Label 16200: @1102441
     /* 1102441 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1102518), // Rule ID 60831 //
     /* 1102446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1102457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1102460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102485 */     // MIs[0] policy
     /* 1102485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102495 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102517 */     // GIR_Coverage, 60831,
     /* 1102517 */     GIR_EraseRootFromParent_Done,
     /* 1102518 */   // Label 16201: @1102518
     /* 1102518 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102595), // Rule ID 60834 //
     /* 1102523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1102534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1102537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1102540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102562 */     // MIs[0] policy
     /* 1102562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102594 */     // GIR_Coverage, 60834,
     /* 1102594 */     GIR_EraseRootFromParent_Done,
     /* 1102595 */   // Label 16202: @1102595
     /* 1102595 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1102672), // Rule ID 60835 //
     /* 1102600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1102611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1102614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1102617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102639 */     // MIs[0] policy
     /* 1102639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102671 */     // GIR_Coverage, 60835,
     /* 1102671 */     GIR_EraseRootFromParent_Done,
     /* 1102672 */   // Label 16203: @1102672
     /* 1102672 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1102749), // Rule ID 60838 //
     /* 1102677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102716 */     // MIs[0] policy
     /* 1102716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102748 */     // GIR_Coverage, 60838,
     /* 1102748 */     GIR_EraseRootFromParent_Done,
     /* 1102749 */   // Label 16204: @1102749
     /* 1102749 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1102826), // Rule ID 60839 //
     /* 1102754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102793 */     // MIs[0] policy
     /* 1102793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102825 */     // GIR_Coverage, 60839,
     /* 1102825 */     GIR_EraseRootFromParent_Done,
     /* 1102826 */   // Label 16205: @1102826
     /* 1102826 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1102903), // Rule ID 60842 //
     /* 1102831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102870 */     // MIs[0] policy
     /* 1102870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102902 */     // GIR_Coverage, 60842,
     /* 1102902 */     GIR_EraseRootFromParent_Done,
     /* 1102903 */   // Label 16206: @1102903
     /* 1102903 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1102980), // Rule ID 60843 //
     /* 1102908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102947 */     // MIs[0] policy
     /* 1102947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102979 */     // GIR_Coverage, 60843,
     /* 1102979 */     GIR_EraseRootFromParent_Done,
     /* 1102980 */   // Label 16207: @1102980
     /* 1102980 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1103057), // Rule ID 60846 //
     /* 1102985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103024 */     // MIs[0] policy
     /* 1103024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103056 */     // GIR_Coverage, 60846,
     /* 1103056 */     GIR_EraseRootFromParent_Done,
     /* 1103057 */   // Label 16208: @1103057
     /* 1103057 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1103134), // Rule ID 60847 //
     /* 1103062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103101 */     // MIs[0] policy
     /* 1103101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103133 */     // GIR_Coverage, 60847,
     /* 1103133 */     GIR_EraseRootFromParent_Done,
     /* 1103134 */   // Label 16209: @1103134
     /* 1103134 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1103211), // Rule ID 60850 //
     /* 1103139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103178 */     // MIs[0] policy
     /* 1103178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103210 */     // GIR_Coverage, 60850,
     /* 1103210 */     GIR_EraseRootFromParent_Done,
     /* 1103211 */   // Label 16210: @1103211
     /* 1103211 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1103288), // Rule ID 60851 //
     /* 1103216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103255 */     // MIs[0] policy
     /* 1103255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103287 */     // GIR_Coverage, 60851,
     /* 1103287 */     GIR_EraseRootFromParent_Done,
     /* 1103288 */   // Label 16211: @1103288
     /* 1103288 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1103365), // Rule ID 60854 //
     /* 1103293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103332 */     // MIs[0] policy
     /* 1103332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103364 */     // GIR_Coverage, 60854,
     /* 1103364 */     GIR_EraseRootFromParent_Done,
     /* 1103365 */   // Label 16212: @1103365
     /* 1103365 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1103442), // Rule ID 60855 //
     /* 1103370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103409 */     // MIs[0] policy
     /* 1103409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103441 */     // GIR_Coverage, 60855,
     /* 1103441 */     GIR_EraseRootFromParent_Done,
     /* 1103442 */   // Label 16213: @1103442
     /* 1103442 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1103519), // Rule ID 60858 //
     /* 1103447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1103464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103486 */     // MIs[0] policy
     /* 1103486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103518 */     // GIR_Coverage, 60858,
     /* 1103518 */     GIR_EraseRootFromParent_Done,
     /* 1103519 */   // Label 16214: @1103519
     /* 1103519 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103596), // Rule ID 60859 //
     /* 1103524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1103541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103563 */     // MIs[0] policy
     /* 1103563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103573 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103595 */     // GIR_Coverage, 60859,
     /* 1103595 */     GIR_EraseRootFromParent_Done,
     /* 1103596 */   // Label 16215: @1103596
     /* 1103596 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1103673), // Rule ID 61282 //
     /* 1103601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1103612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1103615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1103618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103640 */     // MIs[0] policy
     /* 1103640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103650 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1103653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103672 */     // GIR_Coverage, 61282,
     /* 1103672 */     GIR_EraseRootFromParent_Done,
     /* 1103673 */   // Label 16216: @1103673
     /* 1103673 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1103750), // Rule ID 61283 //
     /* 1103678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1103689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1103692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1103695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1103698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103717 */     // MIs[0] policy
     /* 1103717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103727 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1103730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103749 */     // GIR_Coverage, 61283,
     /* 1103749 */     GIR_EraseRootFromParent_Done,
     /* 1103750 */   // Label 16217: @1103750
     /* 1103750 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1103827), // Rule ID 61286 //
     /* 1103755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1103766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103794 */     // MIs[0] policy
     /* 1103794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103804 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1103807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103826 */     // GIR_Coverage, 61286,
     /* 1103826 */     GIR_EraseRootFromParent_Done,
     /* 1103827 */   // Label 16218: @1103827
     /* 1103827 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1103904), // Rule ID 61287 //
     /* 1103832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1103843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1103846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1103849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103871 */     // MIs[0] policy
     /* 1103871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103881 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1103884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103903 */     // GIR_Coverage, 61287,
     /* 1103903 */     GIR_EraseRootFromParent_Done,
     /* 1103904 */   // Label 16219: @1103904
     /* 1103904 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1103981), // Rule ID 61290 //
     /* 1103909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1103923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1103926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1103936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103948 */     // MIs[0] policy
     /* 1103948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1103961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103980 */     // GIR_Coverage, 61290,
     /* 1103980 */     GIR_EraseRootFromParent_Done,
     /* 1103981 */   // Label 16220: @1103981
     /* 1103981 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1104058), // Rule ID 61291 //
     /* 1103986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1103994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1103997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1104000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1104003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104025 */     // MIs[0] policy
     /* 1104025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104035 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104057 */     // GIR_Coverage, 61291,
     /* 1104057 */     GIR_EraseRootFromParent_Done,
     /* 1104058 */   // Label 16221: @1104058
     /* 1104058 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1104135), // Rule ID 61294 //
     /* 1104063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1104074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1104077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104102 */     // MIs[0] policy
     /* 1104102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104134 */     // GIR_Coverage, 61294,
     /* 1104134 */     GIR_EraseRootFromParent_Done,
     /* 1104135 */   // Label 16222: @1104135
     /* 1104135 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1104212), // Rule ID 61295 //
     /* 1104140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1104151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1104154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104179 */     // MIs[0] policy
     /* 1104179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104211 */     // GIR_Coverage, 61295,
     /* 1104211 */     GIR_EraseRootFromParent_Done,
     /* 1104212 */   // Label 16223: @1104212
     /* 1104212 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1104289), // Rule ID 61298 //
     /* 1104217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104256 */     // MIs[0] policy
     /* 1104256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104288 */     // GIR_Coverage, 61298,
     /* 1104288 */     GIR_EraseRootFromParent_Done,
     /* 1104289 */   // Label 16224: @1104289
     /* 1104289 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1104366), // Rule ID 61299 //
     /* 1104294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104333 */     // MIs[0] policy
     /* 1104333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104343 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104365 */     // GIR_Coverage, 61299,
     /* 1104365 */     GIR_EraseRootFromParent_Done,
     /* 1104366 */   // Label 16225: @1104366
     /* 1104366 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1104443), // Rule ID 61302 //
     /* 1104371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104410 */     // MIs[0] policy
     /* 1104410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104442 */     // GIR_Coverage, 61302,
     /* 1104442 */     GIR_EraseRootFromParent_Done,
     /* 1104443 */   // Label 16226: @1104443
     /* 1104443 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1104520), // Rule ID 61303 //
     /* 1104448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104487 */     // MIs[0] policy
     /* 1104487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104519 */     // GIR_Coverage, 61303,
     /* 1104519 */     GIR_EraseRootFromParent_Done,
     /* 1104520 */   // Label 16227: @1104520
     /* 1104520 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104597), // Rule ID 61306 //
     /* 1104525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1104542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104564 */     // MIs[0] policy
     /* 1104564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104596 */     // GIR_Coverage, 61306,
     /* 1104596 */     GIR_EraseRootFromParent_Done,
     /* 1104597 */   // Label 16228: @1104597
     /* 1104597 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1104674), // Rule ID 61307 //
     /* 1104602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1104619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104641 */     // MIs[0] policy
     /* 1104641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104673 */     // GIR_Coverage, 61307,
     /* 1104673 */     GIR_EraseRootFromParent_Done,
     /* 1104674 */   // Label 16229: @1104674
     /* 1104674 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1104751), // Rule ID 61310 //
     /* 1104679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1104690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1104693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104718 */     // MIs[0] policy
     /* 1104718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104750 */     // GIR_Coverage, 61310,
     /* 1104750 */     GIR_EraseRootFromParent_Done,
     /* 1104751 */   // Label 16230: @1104751
     /* 1104751 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1104828), // Rule ID 61311 //
     /* 1104756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1104767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1104770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104795 */     // MIs[0] policy
     /* 1104795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104827 */     // GIR_Coverage, 61311,
     /* 1104827 */     GIR_EraseRootFromParent_Done,
     /* 1104828 */   // Label 16231: @1104828
     /* 1104828 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1104905), // Rule ID 61314 //
     /* 1104833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104872 */     // MIs[0] policy
     /* 1104872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104904 */     // GIR_Coverage, 61314,
     /* 1104904 */     GIR_EraseRootFromParent_Done,
     /* 1104905 */   // Label 16232: @1104905
     /* 1104905 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1104982), // Rule ID 61315 //
     /* 1104910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104949 */     // MIs[0] policy
     /* 1104949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1104962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104981 */     // GIR_Coverage, 61315,
     /* 1104981 */     GIR_EraseRootFromParent_Done,
     /* 1104982 */   // Label 16233: @1104982
     /* 1104982 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1105059), // Rule ID 61318 //
     /* 1104987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105026 */     // MIs[0] policy
     /* 1105026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105058 */     // GIR_Coverage, 61318,
     /* 1105058 */     GIR_EraseRootFromParent_Done,
     /* 1105059 */   // Label 16234: @1105059
     /* 1105059 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1105136), // Rule ID 61319 //
     /* 1105064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105103 */     // MIs[0] policy
     /* 1105103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105135 */     // GIR_Coverage, 61319,
     /* 1105135 */     GIR_EraseRootFromParent_Done,
     /* 1105136 */   // Label 16235: @1105136
     /* 1105136 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1105213), // Rule ID 61322 //
     /* 1105141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105180 */     // MIs[0] policy
     /* 1105180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105190 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105212 */     // GIR_Coverage, 61322,
     /* 1105212 */     GIR_EraseRootFromParent_Done,
     /* 1105213 */   // Label 16236: @1105213
     /* 1105213 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1105290), // Rule ID 61323 //
     /* 1105218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105257 */     // MIs[0] policy
     /* 1105257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105289 */     // GIR_Coverage, 61323,
     /* 1105289 */     GIR_EraseRootFromParent_Done,
     /* 1105290 */   // Label 16237: @1105290
     /* 1105290 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1105367), // Rule ID 61326 //
     /* 1105295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1105312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105334 */     // MIs[0] policy
     /* 1105334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1105347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105366 */     // GIR_Coverage, 61326,
     /* 1105366 */     GIR_EraseRootFromParent_Done,
     /* 1105367 */   // Label 16238: @1105367
     /* 1105367 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1105444), // Rule ID 61327 //
     /* 1105372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1105389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105411 */     // MIs[0] policy
     /* 1105411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1105424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105443 */     // GIR_Coverage, 61327,
     /* 1105443 */     GIR_EraseRootFromParent_Done,
     /* 1105444 */   // Label 16239: @1105444
     /* 1105444 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1105521), // Rule ID 61330 //
     /* 1105449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1105460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1105463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1105466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1105469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105488 */     // MIs[0] policy
     /* 1105488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1105501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105520 */     // GIR_Coverage, 61330,
     /* 1105520 */     GIR_EraseRootFromParent_Done,
     /* 1105521 */   // Label 16240: @1105521
     /* 1105521 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105598), // Rule ID 61331 //
     /* 1105526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1105537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1105540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1105543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1105546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105565 */     // MIs[0] policy
     /* 1105565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105575 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1105578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105597 */     // GIR_Coverage, 61331,
     /* 1105597 */     GIR_EraseRootFromParent_Done,
     /* 1105598 */   // Label 16241: @1105598
     /* 1105598 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1105675), // Rule ID 61334 //
     /* 1105603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105642 */     // MIs[0] policy
     /* 1105642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105674 */     // GIR_Coverage, 61334,
     /* 1105674 */     GIR_EraseRootFromParent_Done,
     /* 1105675 */   // Label 16242: @1105675
     /* 1105675 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1105752), // Rule ID 61335 //
     /* 1105680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105719 */     // MIs[0] policy
     /* 1105719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105751 */     // GIR_Coverage, 61335,
     /* 1105751 */     GIR_EraseRootFromParent_Done,
     /* 1105752 */   // Label 16243: @1105752
     /* 1105752 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1105829), // Rule ID 61338 //
     /* 1105757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105796 */     // MIs[0] policy
     /* 1105796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1105809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105828 */     // GIR_Coverage, 61338,
     /* 1105828 */     GIR_EraseRootFromParent_Done,
     /* 1105829 */   // Label 16244: @1105829
     /* 1105829 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1105906), // Rule ID 61339 //
     /* 1105834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1105845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1105848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1105861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105873 */     // MIs[0] policy
     /* 1105873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1105886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105905 */     // GIR_Coverage, 61339,
     /* 1105905 */     GIR_EraseRootFromParent_Done,
     /* 1105906 */   // Label 16245: @1105906
     /* 1105906 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1105983), // Rule ID 61342 //
     /* 1105911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1105925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1105938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105950 */     // MIs[0] policy
     /* 1105950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105960 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1105963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105982 */     // GIR_Coverage, 61342,
     /* 1105982 */     GIR_EraseRootFromParent_Done,
     /* 1105983 */   // Label 16246: @1105983
     /* 1105983 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1106060), // Rule ID 61343 //
     /* 1105988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1105999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1106002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1106005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1106008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106027 */     // MIs[0] policy
     /* 1106027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106037 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106059 */     // GIR_Coverage, 61343,
     /* 1106059 */     GIR_EraseRootFromParent_Done,
     /* 1106060 */   // Label 16247: @1106060
     /* 1106060 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1106137), // Rule ID 61346 //
     /* 1106065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106104 */     // MIs[0] policy
     /* 1106104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106136 */     // GIR_Coverage, 61346,
     /* 1106136 */     GIR_EraseRootFromParent_Done,
     /* 1106137 */   // Label 16248: @1106137
     /* 1106137 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1106214), // Rule ID 61347 //
     /* 1106142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106181 */     // MIs[0] policy
     /* 1106181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106213 */     // GIR_Coverage, 61347,
     /* 1106213 */     GIR_EraseRootFromParent_Done,
     /* 1106214 */   // Label 16249: @1106214
     /* 1106214 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1106291), // Rule ID 61350 //
     /* 1106219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106258 */     // MIs[0] policy
     /* 1106258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106290 */     // GIR_Coverage, 61350,
     /* 1106290 */     GIR_EraseRootFromParent_Done,
     /* 1106291 */   // Label 16250: @1106291
     /* 1106291 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1106368), // Rule ID 61351 //
     /* 1106296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106335 */     // MIs[0] policy
     /* 1106335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106345 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106367 */     // GIR_Coverage, 61351,
     /* 1106367 */     GIR_EraseRootFromParent_Done,
     /* 1106368 */   // Label 16251: @1106368
     /* 1106368 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1106445), // Rule ID 61354 //
     /* 1106373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106412 */     // MIs[0] policy
     /* 1106412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106444 */     // GIR_Coverage, 61354,
     /* 1106444 */     GIR_EraseRootFromParent_Done,
     /* 1106445 */   // Label 16252: @1106445
     /* 1106445 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1106522), // Rule ID 61355 //
     /* 1106450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106489 */     // MIs[0] policy
     /* 1106489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106521 */     // GIR_Coverage, 61355,
     /* 1106521 */     GIR_EraseRootFromParent_Done,
     /* 1106522 */   // Label 16253: @1106522
     /* 1106522 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106599), // Rule ID 61358 //
     /* 1106527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1106547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106566 */     // MIs[0] policy
     /* 1106566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106598 */     // GIR_Coverage, 61358,
     /* 1106598 */     GIR_EraseRootFromParent_Done,
     /* 1106599 */   // Label 16254: @1106599
     /* 1106599 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1106676), // Rule ID 61359 //
     /* 1106604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1106624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106643 */     // MIs[0] policy
     /* 1106643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106675 */     // GIR_Coverage, 61359,
     /* 1106675 */     GIR_EraseRootFromParent_Done,
     /* 1106676 */   // Label 16255: @1106676
     /* 1106676 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1106753), // Rule ID 61362 //
     /* 1106681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106720 */     // MIs[0] policy
     /* 1106720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106730 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106752 */     // GIR_Coverage, 61362,
     /* 1106752 */     GIR_EraseRootFromParent_Done,
     /* 1106753 */   // Label 16256: @1106753
     /* 1106753 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1106830), // Rule ID 61363 //
     /* 1106758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106797 */     // MIs[0] policy
     /* 1106797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106829 */     // GIR_Coverage, 61363,
     /* 1106829 */     GIR_EraseRootFromParent_Done,
     /* 1106830 */   // Label 16257: @1106830
     /* 1106830 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1106907), // Rule ID 61366 //
     /* 1106835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106874 */     // MIs[0] policy
     /* 1106874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106906 */     // GIR_Coverage, 61366,
     /* 1106906 */     GIR_EraseRootFromParent_Done,
     /* 1106907 */   // Label 16258: @1106907
     /* 1106907 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1106984), // Rule ID 61367 //
     /* 1106912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106951 */     // MIs[0] policy
     /* 1106951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106983 */     // GIR_Coverage, 61367,
     /* 1106983 */     GIR_EraseRootFromParent_Done,
     /* 1106984 */   // Label 16259: @1106984
     /* 1106984 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1107061), // Rule ID 61370 //
     /* 1106989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1106997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1107000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1107003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1107006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107028 */     // MIs[0] policy
     /* 1107028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107038 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1107041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107060 */     // GIR_Coverage, 61370,
     /* 1107060 */     GIR_EraseRootFromParent_Done,
     /* 1107061 */   // Label 16260: @1107061
     /* 1107061 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1107138), // Rule ID 61371 //
     /* 1107066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1107077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1107080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1107083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107105 */     // MIs[0] policy
     /* 1107105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107115 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1107118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107137 */     // GIR_Coverage, 61371,
     /* 1107137 */     GIR_EraseRootFromParent_Done,
     /* 1107138 */   // Label 16261: @1107138
     /* 1107138 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1107215), // Rule ID 61374 //
     /* 1107143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1107160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107182 */     // MIs[0] policy
     /* 1107182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107214 */     // GIR_Coverage, 61374,
     /* 1107214 */     GIR_EraseRootFromParent_Done,
     /* 1107215 */   // Label 16262: @1107215
     /* 1107215 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1107292), // Rule ID 61375 //
     /* 1107220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1107237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107259 */     // MIs[0] policy
     /* 1107259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107269 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107291 */     // GIR_Coverage, 61375,
     /* 1107291 */     GIR_EraseRootFromParent_Done,
     /* 1107292 */   // Label 16263: @1107292
     /* 1107292 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1107369), // Rule ID 61378 //
     /* 1107297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1107308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1107311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1107314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1107317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107336 */     // MIs[0] policy
     /* 1107336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107368 */     // GIR_Coverage, 61378,
     /* 1107368 */     GIR_EraseRootFromParent_Done,
     /* 1107369 */   // Label 16264: @1107369
     /* 1107369 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1107446), // Rule ID 61379 //
     /* 1107374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1107385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1107388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1107391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1107394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107413 */     // MIs[0] policy
     /* 1107413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107423 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107445 */     // GIR_Coverage, 61379,
     /* 1107445 */     GIR_EraseRootFromParent_Done,
     /* 1107446 */   // Label 16265: @1107446
     /* 1107446 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1107523), // Rule ID 61382 //
     /* 1107451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1107462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1107465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1107468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107490 */     // MIs[0] policy
     /* 1107490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107522 */     // GIR_Coverage, 61382,
     /* 1107522 */     GIR_EraseRootFromParent_Done,
     /* 1107523 */   // Label 16266: @1107523
     /* 1107523 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107600), // Rule ID 61383 //
     /* 1107528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1107539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1107542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1107545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107567 */     // MIs[0] policy
     /* 1107567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107577 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107599 */     // GIR_Coverage, 61383,
     /* 1107599 */     GIR_EraseRootFromParent_Done,
     /* 1107600 */   // Label 16267: @1107600
     /* 1107600 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1107677), // Rule ID 61386 //
     /* 1107605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1107616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1107619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1107622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107644 */     // MIs[0] policy
     /* 1107644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107676 */     // GIR_Coverage, 61386,
     /* 1107676 */     GIR_EraseRootFromParent_Done,
     /* 1107677 */   // Label 16268: @1107677
     /* 1107677 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1107754), // Rule ID 61387 //
     /* 1107682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1107693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1107696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1107699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107721 */     // MIs[0] policy
     /* 1107721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107731 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107753 */     // GIR_Coverage, 61387,
     /* 1107753 */     GIR_EraseRootFromParent_Done,
     /* 1107754 */   // Label 16269: @1107754
     /* 1107754 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1107831), // Rule ID 61390 //
     /* 1107759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107798 */     // MIs[0] policy
     /* 1107798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107830 */     // GIR_Coverage, 61390,
     /* 1107830 */     GIR_EraseRootFromParent_Done,
     /* 1107831 */   // Label 16270: @1107831
     /* 1107831 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1107908), // Rule ID 61391 //
     /* 1107836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107875 */     // MIs[0] policy
     /* 1107875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1107888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107907 */     // GIR_Coverage, 61391,
     /* 1107907 */     GIR_EraseRootFromParent_Done,
     /* 1107908 */   // Label 16271: @1107908
     /* 1107908 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1107985), // Rule ID 61394 //
     /* 1107913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1107924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1107927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1107930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1107933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107952 */     // MIs[0] policy
     /* 1107952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107962 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1107965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107984 */     // GIR_Coverage, 61394,
     /* 1107984 */     GIR_EraseRootFromParent_Done,
     /* 1107985 */   // Label 16272: @1107985
     /* 1107985 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1108062), // Rule ID 61395 //
     /* 1107990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1108001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1108004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1108007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1108010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108029 */     // MIs[0] policy
     /* 1108029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108039 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108061 */     // GIR_Coverage, 61395,
     /* 1108061 */     GIR_EraseRootFromParent_Done,
     /* 1108062 */   // Label 16273: @1108062
     /* 1108062 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1108139), // Rule ID 61398 //
     /* 1108067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1108084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1108087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108106 */     // MIs[0] policy
     /* 1108106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108138 */     // GIR_Coverage, 61398,
     /* 1108138 */     GIR_EraseRootFromParent_Done,
     /* 1108139 */   // Label 16274: @1108139
     /* 1108139 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1108216), // Rule ID 61399 //
     /* 1108144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1108161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1108164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108183 */     // MIs[0] policy
     /* 1108183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108215 */     // GIR_Coverage, 61399,
     /* 1108215 */     GIR_EraseRootFromParent_Done,
     /* 1108216 */   // Label 16275: @1108216
     /* 1108216 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1108293), // Rule ID 61402 //
     /* 1108221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108260 */     // MIs[0] policy
     /* 1108260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108292 */     // GIR_Coverage, 61402,
     /* 1108292 */     GIR_EraseRootFromParent_Done,
     /* 1108293 */   // Label 16276: @1108293
     /* 1108293 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1108370), // Rule ID 61403 //
     /* 1108298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108337 */     // MIs[0] policy
     /* 1108337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108369 */     // GIR_Coverage, 61403,
     /* 1108369 */     GIR_EraseRootFromParent_Done,
     /* 1108370 */   // Label 16277: @1108370
     /* 1108370 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1108447), // Rule ID 61406 //
     /* 1108375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1108386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1108389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108414 */     // MIs[0] policy
     /* 1108414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108446 */     // GIR_Coverage, 61406,
     /* 1108446 */     GIR_EraseRootFromParent_Done,
     /* 1108447 */   // Label 16278: @1108447
     /* 1108447 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1108524), // Rule ID 61407 //
     /* 1108452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1108463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1108466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108491 */     // MIs[0] policy
     /* 1108491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108523 */     // GIR_Coverage, 61407,
     /* 1108523 */     GIR_EraseRootFromParent_Done,
     /* 1108524 */   // Label 16279: @1108524
     /* 1108524 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108601), // Rule ID 61410 //
     /* 1108529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1108540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1108543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1108546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1108549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1108556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108568 */     // MIs[0] policy
     /* 1108568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1108581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108600 */     // GIR_Coverage, 61410,
     /* 1108600 */     GIR_EraseRootFromParent_Done,
     /* 1108601 */   // Label 16280: @1108601
     /* 1108601 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1108678), // Rule ID 61411 //
     /* 1108606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1108617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1108620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1108623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1108626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1108633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108645 */     // MIs[0] policy
     /* 1108645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108655 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1108658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108677 */     // GIR_Coverage, 61411,
     /* 1108677 */     GIR_EraseRootFromParent_Done,
     /* 1108678 */   // Label 16281: @1108678
     /* 1108678 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1108755), // Rule ID 61414 //
     /* 1108683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1108694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1108697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1108700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1108703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1108710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108722 */     // MIs[0] policy
     /* 1108722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108732 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1108735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108754 */     // GIR_Coverage, 61414,
     /* 1108754 */     GIR_EraseRootFromParent_Done,
     /* 1108755 */   // Label 16282: @1108755
     /* 1108755 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1108832), // Rule ID 61415 //
     /* 1108760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1108771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1108774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1108777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1108780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1108787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108799 */     // MIs[0] policy
     /* 1108799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108809 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1108812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108831 */     // GIR_Coverage, 61415,
     /* 1108831 */     GIR_EraseRootFromParent_Done,
     /* 1108832 */   // Label 16283: @1108832
     /* 1108832 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1108909), // Rule ID 61418 //
     /* 1108837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1108848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1108851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1108854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1108857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1108864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108876 */     // MIs[0] policy
     /* 1108876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108886 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1108889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108908 */     // GIR_Coverage, 61418,
     /* 1108908 */     GIR_EraseRootFromParent_Done,
     /* 1108909 */   // Label 16284: @1108909
     /* 1108909 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1108986), // Rule ID 61419 //
     /* 1108914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1108925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1108928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1108931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1108934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1108941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108953 */     // MIs[0] policy
     /* 1108953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108963 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1108966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108985 */     // GIR_Coverage, 61419,
     /* 1108985 */     GIR_EraseRootFromParent_Done,
     /* 1108986 */   // Label 16285: @1108986
     /* 1108986 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1109063), // Rule ID 61422 //
     /* 1108991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1109002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1109005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109030 */     // MIs[0] policy
     /* 1109030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109062 */     // GIR_Coverage, 61422,
     /* 1109062 */     GIR_EraseRootFromParent_Done,
     /* 1109063 */   // Label 16286: @1109063
     /* 1109063 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1109140), // Rule ID 61423 //
     /* 1109068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1109079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1109082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109107 */     // MIs[0] policy
     /* 1109107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109126 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109139 */     // GIR_Coverage, 61423,
     /* 1109139 */     GIR_EraseRootFromParent_Done,
     /* 1109140 */   // Label 16287: @1109140
     /* 1109140 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1109217), // Rule ID 61426 //
     /* 1109145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1109156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1109159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1109162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109184 */     // MIs[0] policy
     /* 1109184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109216 */     // GIR_Coverage, 61426,
     /* 1109216 */     GIR_EraseRootFromParent_Done,
     /* 1109217 */   // Label 16288: @1109217
     /* 1109217 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1109294), // Rule ID 61427 //
     /* 1109222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1109233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1109236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1109239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109261 */     // MIs[0] policy
     /* 1109261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109293 */     // GIR_Coverage, 61427,
     /* 1109293 */     GIR_EraseRootFromParent_Done,
     /* 1109294 */   // Label 16289: @1109294
     /* 1109294 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1109371), // Rule ID 61430 //
     /* 1109299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1109310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1109313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1109316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1109319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109338 */     // MIs[0] policy
     /* 1109338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109370 */     // GIR_Coverage, 61430,
     /* 1109370 */     GIR_EraseRootFromParent_Done,
     /* 1109371 */   // Label 16290: @1109371
     /* 1109371 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1109448), // Rule ID 61431 //
     /* 1109376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1109387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1109390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1109393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1109396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109415 */     // MIs[0] policy
     /* 1109415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109425 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109447 */     // GIR_Coverage, 61431,
     /* 1109447 */     GIR_EraseRootFromParent_Done,
     /* 1109448 */   // Label 16291: @1109448
     /* 1109448 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109525), // Rule ID 61434 //
     /* 1109453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1109473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109492 */     // MIs[0] policy
     /* 1109492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109524 */     // GIR_Coverage, 61434,
     /* 1109524 */     GIR_EraseRootFromParent_Done,
     /* 1109525 */   // Label 16292: @1109525
     /* 1109525 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109602), // Rule ID 61435 //
     /* 1109530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1109550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109569 */     // MIs[0] policy
     /* 1109569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109601 */     // GIR_Coverage, 61435,
     /* 1109601 */     GIR_EraseRootFromParent_Done,
     /* 1109602 */   // Label 16293: @1109602
     /* 1109602 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1109679), // Rule ID 61438 //
     /* 1109607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109646 */     // MIs[0] policy
     /* 1109646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109678 */     // GIR_Coverage, 61438,
     /* 1109678 */     GIR_EraseRootFromParent_Done,
     /* 1109679 */   // Label 16294: @1109679
     /* 1109679 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1109756), // Rule ID 61439 //
     /* 1109684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109723 */     // MIs[0] policy
     /* 1109723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109755 */     // GIR_Coverage, 61439,
     /* 1109755 */     GIR_EraseRootFromParent_Done,
     /* 1109756 */   // Label 16295: @1109756
     /* 1109756 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1109833), // Rule ID 61442 //
     /* 1109761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109800 */     // MIs[0] policy
     /* 1109800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109832 */     // GIR_Coverage, 61442,
     /* 1109832 */     GIR_EraseRootFromParent_Done,
     /* 1109833 */   // Label 16296: @1109833
     /* 1109833 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1109910), // Rule ID 61443 //
     /* 1109838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109877 */     // MIs[0] policy
     /* 1109877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109896 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109909 */     // GIR_Coverage, 61443,
     /* 1109909 */     GIR_EraseRootFromParent_Done,
     /* 1109910 */   // Label 16297: @1109910
     /* 1109910 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1109987), // Rule ID 61446 //
     /* 1109915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1109926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1109929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1109932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1109935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109954 */     // MIs[0] policy
     /* 1109954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109986 */     // GIR_Coverage, 61446,
     /* 1109986 */     GIR_EraseRootFromParent_Done,
     /* 1109987 */   // Label 16298: @1109987
     /* 1109987 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1110064), // Rule ID 61447 //
     /* 1109992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1110012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1110019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110031 */     // MIs[0] policy
     /* 1110031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1110044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110063 */     // GIR_Coverage, 61447,
     /* 1110063 */     GIR_EraseRootFromParent_Done,
     /* 1110064 */   // Label 16299: @1110064
     /* 1110064 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1110141), // Rule ID 61450 //
     /* 1110069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110108 */     // MIs[0] policy
     /* 1110108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110140 */     // GIR_Coverage, 61450,
     /* 1110140 */     GIR_EraseRootFromParent_Done,
     /* 1110141 */   // Label 16300: @1110141
     /* 1110141 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1110218), // Rule ID 61451 //
     /* 1110146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110185 */     // MIs[0] policy
     /* 1110185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110217 */     // GIR_Coverage, 61451,
     /* 1110217 */     GIR_EraseRootFromParent_Done,
     /* 1110218 */   // Label 16301: @1110218
     /* 1110218 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1110295), // Rule ID 61454 //
     /* 1110223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1110243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110262 */     // MIs[0] policy
     /* 1110262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110294 */     // GIR_Coverage, 61454,
     /* 1110294 */     GIR_EraseRootFromParent_Done,
     /* 1110295 */   // Label 16302: @1110295
     /* 1110295 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1110372), // Rule ID 61455 //
     /* 1110300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1110320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110339 */     // MIs[0] policy
     /* 1110339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110371 */     // GIR_Coverage, 61455,
     /* 1110371 */     GIR_EraseRootFromParent_Done,
     /* 1110372 */   // Label 16303: @1110372
     /* 1110372 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1110449), // Rule ID 61980 //
     /* 1110377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1110380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110416 */     // MIs[0] policy
     /* 1110416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1110429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110448 */     // GIR_Coverage, 61980,
     /* 1110448 */     GIR_EraseRootFromParent_Done,
     /* 1110449 */   // Label 16304: @1110449
     /* 1110449 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110526), // Rule ID 61981 //
     /* 1110454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1110457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110493 */     // MIs[0] policy
     /* 1110493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1110506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110525 */     // GIR_Coverage, 61981,
     /* 1110525 */     GIR_EraseRootFromParent_Done,
     /* 1110526 */   // Label 16305: @1110526
     /* 1110526 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110603), // Rule ID 61982 //
     /* 1110531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1110534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110570 */     // MIs[0] policy
     /* 1110570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1110583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110602 */     // GIR_Coverage, 61982,
     /* 1110602 */     GIR_EraseRootFromParent_Done,
     /* 1110603 */   // Label 16306: @1110603
     /* 1110603 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1110680), // Rule ID 61983 //
     /* 1110608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1110611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110647 */     // MIs[0] policy
     /* 1110647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1110660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110679 */     // GIR_Coverage, 61983,
     /* 1110679 */     GIR_EraseRootFromParent_Done,
     /* 1110680 */   // Label 16307: @1110680
     /* 1110680 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1110757), // Rule ID 61984 //
     /* 1110685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1110688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110724 */     // MIs[0] policy
     /* 1110724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1110737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110756 */     // GIR_Coverage, 61984,
     /* 1110756 */     GIR_EraseRootFromParent_Done,
     /* 1110757 */   // Label 16308: @1110757
     /* 1110757 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1110834), // Rule ID 61985 //
     /* 1110762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1110765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110801 */     // MIs[0] policy
     /* 1110801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1110814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110833 */     // GIR_Coverage, 61985,
     /* 1110833 */     GIR_EraseRootFromParent_Done,
     /* 1110834 */   // Label 16309: @1110834
     /* 1110834 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1110911), // Rule ID 61986 //
     /* 1110839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1110842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110878 */     // MIs[0] policy
     /* 1110878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1110891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110910 */     // GIR_Coverage, 61986,
     /* 1110910 */     GIR_EraseRootFromParent_Done,
     /* 1110911 */   // Label 16310: @1110911
     /* 1110911 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1110988), // Rule ID 61987 //
     /* 1110916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1110919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1110924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1110936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110955 */     // MIs[0] policy
     /* 1110955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110965 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1110968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110987 */     // GIR_Coverage, 61987,
     /* 1110987 */     GIR_EraseRootFromParent_Done,
     /* 1110988 */   // Label 16311: @1110988
     /* 1110988 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1111065), // Rule ID 62190 //
     /* 1110993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1110996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111032 */     // MIs[0] policy
     /* 1111032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111064 */     // GIR_Coverage, 62190,
     /* 1111064 */     GIR_EraseRootFromParent_Done,
     /* 1111065 */   // Label 16312: @1111065
     /* 1111065 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1111142), // Rule ID 62191 //
     /* 1111070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111109 */     // MIs[0] policy
     /* 1111109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111141 */     // GIR_Coverage, 62191,
     /* 1111141 */     GIR_EraseRootFromParent_Done,
     /* 1111142 */   // Label 16313: @1111142
     /* 1111142 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1111219), // Rule ID 62192 //
     /* 1111147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111186 */     // MIs[0] policy
     /* 1111186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111218 */     // GIR_Coverage, 62192,
     /* 1111218 */     GIR_EraseRootFromParent_Done,
     /* 1111219 */   // Label 16314: @1111219
     /* 1111219 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1111296), // Rule ID 62193 //
     /* 1111224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111263 */     // MIs[0] policy
     /* 1111263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111295 */     // GIR_Coverage, 62193,
     /* 1111295 */     GIR_EraseRootFromParent_Done,
     /* 1111296 */   // Label 16315: @1111296
     /* 1111296 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1111373), // Rule ID 62194 //
     /* 1111301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111340 */     // MIs[0] policy
     /* 1111340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111372 */     // GIR_Coverage, 62194,
     /* 1111372 */     GIR_EraseRootFromParent_Done,
     /* 1111373 */   // Label 16316: @1111373
     /* 1111373 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111450), // Rule ID 62195 //
     /* 1111378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111417 */     // MIs[0] policy
     /* 1111417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1111430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111449 */     // GIR_Coverage, 62195,
     /* 1111449 */     GIR_EraseRootFromParent_Done,
     /* 1111450 */   // Label 16317: @1111450
     /* 1111450 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111527), // Rule ID 62196 //
     /* 1111455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111494 */     // MIs[0] policy
     /* 1111494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111526 */     // GIR_Coverage, 62196,
     /* 1111526 */     GIR_EraseRootFromParent_Done,
     /* 1111527 */   // Label 16318: @1111527
     /* 1111527 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111604), // Rule ID 62197 //
     /* 1111532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111571 */     // MIs[0] policy
     /* 1111571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1111584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111603 */     // GIR_Coverage, 62197,
     /* 1111603 */     GIR_EraseRootFromParent_Done,
     /* 1111604 */   // Label 16319: @1111604
     /* 1111604 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1111681), // Rule ID 62198 //
     /* 1111609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111648 */     // MIs[0] policy
     /* 1111648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111680 */     // GIR_Coverage, 62198,
     /* 1111680 */     GIR_EraseRootFromParent_Done,
     /* 1111681 */   // Label 16320: @1111681
     /* 1111681 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1111758), // Rule ID 62199 //
     /* 1111686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111725 */     // MIs[0] policy
     /* 1111725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1111738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111757 */     // GIR_Coverage, 62199,
     /* 1111757 */     GIR_EraseRootFromParent_Done,
     /* 1111758 */   // Label 16321: @1111758
     /* 1111758 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1111835), // Rule ID 62200 //
     /* 1111763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111802 */     // MIs[0] policy
     /* 1111802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111834 */     // GIR_Coverage, 62200,
     /* 1111834 */     GIR_EraseRootFromParent_Done,
     /* 1111835 */   // Label 16322: @1111835
     /* 1111835 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1111912), // Rule ID 62201 //
     /* 1111840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111879 */     // MIs[0] policy
     /* 1111879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111911 */     // GIR_Coverage, 62201,
     /* 1111911 */     GIR_EraseRootFromParent_Done,
     /* 1111912 */   // Label 16323: @1111912
     /* 1111912 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1111989), // Rule ID 62202 //
     /* 1111917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1111925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111956 */     // MIs[0] policy
     /* 1111956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111988 */     // GIR_Coverage, 62202,
     /* 1111988 */     GIR_EraseRootFromParent_Done,
     /* 1111989 */   // Label 16324: @1111989
     /* 1111989 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1112066), // Rule ID 62203 //
     /* 1111994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112033 */     // MIs[0] policy
     /* 1112033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1112046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112065 */     // GIR_Coverage, 62203,
     /* 1112065 */     GIR_EraseRootFromParent_Done,
     /* 1112066 */   // Label 16325: @1112066
     /* 1112066 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1112143), // Rule ID 62204 //
     /* 1112071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112110 */     // MIs[0] policy
     /* 1112110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112142 */     // GIR_Coverage, 62204,
     /* 1112142 */     GIR_EraseRootFromParent_Done,
     /* 1112143 */   // Label 16326: @1112143
     /* 1112143 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1112220), // Rule ID 62205 //
     /* 1112148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112187 */     // MIs[0] policy
     /* 1112187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112219 */     // GIR_Coverage, 62205,
     /* 1112219 */     GIR_EraseRootFromParent_Done,
     /* 1112220 */   // Label 16327: @1112220
     /* 1112220 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1112297), // Rule ID 62206 //
     /* 1112225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112264 */     // MIs[0] policy
     /* 1112264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112296 */     // GIR_Coverage, 62206,
     /* 1112296 */     GIR_EraseRootFromParent_Done,
     /* 1112297 */   // Label 16328: @1112297
     /* 1112297 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1112374), // Rule ID 62207 //
     /* 1112302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112341 */     // MIs[0] policy
     /* 1112341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112373 */     // GIR_Coverage, 62207,
     /* 1112373 */     GIR_EraseRootFromParent_Done,
     /* 1112374 */   // Label 16329: @1112374
     /* 1112374 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112451), // Rule ID 62208 //
     /* 1112379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112418 */     // MIs[0] policy
     /* 1112418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112450 */     // GIR_Coverage, 62208,
     /* 1112450 */     GIR_EraseRootFromParent_Done,
     /* 1112451 */   // Label 16330: @1112451
     /* 1112451 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112528), // Rule ID 62209 //
     /* 1112456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112495 */     // MIs[0] policy
     /* 1112495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112505 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112527 */     // GIR_Coverage, 62209,
     /* 1112527 */     GIR_EraseRootFromParent_Done,
     /* 1112528 */   // Label 16331: @1112528
     /* 1112528 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112605), // Rule ID 62210 //
     /* 1112533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112572 */     // MIs[0] policy
     /* 1112572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112604 */     // GIR_Coverage, 62210,
     /* 1112604 */     GIR_EraseRootFromParent_Done,
     /* 1112605 */   // Label 16332: @1112605
     /* 1112605 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1112682), // Rule ID 62211 //
     /* 1112610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112649 */     // MIs[0] policy
     /* 1112649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1112662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112681 */     // GIR_Coverage, 62211,
     /* 1112681 */     GIR_EraseRootFromParent_Done,
     /* 1112682 */   // Label 16333: @1112682
     /* 1112682 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1112759), // Rule ID 62212 //
     /* 1112687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112726 */     // MIs[0] policy
     /* 1112726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112758 */     // GIR_Coverage, 62212,
     /* 1112758 */     GIR_EraseRootFromParent_Done,
     /* 1112759 */   // Label 16334: @1112759
     /* 1112759 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1112836), // Rule ID 62213 //
     /* 1112764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112803 */     // MIs[0] policy
     /* 1112803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1112816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112835 */     // GIR_Coverage, 62213,
     /* 1112835 */     GIR_EraseRootFromParent_Done,
     /* 1112836 */   // Label 16335: @1112836
     /* 1112836 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1112913), // Rule ID 62214 //
     /* 1112841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112880 */     // MIs[0] policy
     /* 1112880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112912 */     // GIR_Coverage, 62214,
     /* 1112912 */     GIR_EraseRootFromParent_Done,
     /* 1112913 */   // Label 16336: @1112913
     /* 1112913 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1112990), // Rule ID 62215 //
     /* 1112918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1112926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112957 */     // MIs[0] policy
     /* 1112957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1112970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112989 */     // GIR_Coverage, 62215,
     /* 1112989 */     GIR_EraseRootFromParent_Done,
     /* 1112990 */   // Label 16337: @1112990
     /* 1112990 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1113067), // Rule ID 62216 //
     /* 1112995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113034 */     // MIs[0] policy
     /* 1113034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113066 */     // GIR_Coverage, 62216,
     /* 1113066 */     GIR_EraseRootFromParent_Done,
     /* 1113067 */   // Label 16338: @1113067
     /* 1113067 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1113144), // Rule ID 62217 //
     /* 1113072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113111 */     // MIs[0] policy
     /* 1113111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113143 */     // GIR_Coverage, 62217,
     /* 1113143 */     GIR_EraseRootFromParent_Done,
     /* 1113144 */   // Label 16339: @1113144
     /* 1113144 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1113221), // Rule ID 62218 //
     /* 1113149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113188 */     // MIs[0] policy
     /* 1113188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113220 */     // GIR_Coverage, 62218,
     /* 1113220 */     GIR_EraseRootFromParent_Done,
     /* 1113221 */   // Label 16340: @1113221
     /* 1113221 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1113298), // Rule ID 62219 //
     /* 1113226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113265 */     // MIs[0] policy
     /* 1113265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113297 */     // GIR_Coverage, 62219,
     /* 1113297 */     GIR_EraseRootFromParent_Done,
     /* 1113298 */   // Label 16341: @1113298
     /* 1113298 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113375), // Rule ID 62220 //
     /* 1113303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1113320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1113323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113342 */     // MIs[0] policy
     /* 1113342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1113355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113374 */     // GIR_Coverage, 62220,
     /* 1113374 */     GIR_EraseRootFromParent_Done,
     /* 1113375 */   // Label 16342: @1113375
     /* 1113375 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113452), // Rule ID 62221 //
     /* 1113380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1113397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1113400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113419 */     // MIs[0] policy
     /* 1113419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1113432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113451 */     // GIR_Coverage, 62221,
     /* 1113451 */     GIR_EraseRootFromParent_Done,
     /* 1113452 */   // Label 16343: @1113452
     /* 1113452 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113529), // Rule ID 62222 //
     /* 1113457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1113474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1113477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113496 */     // MIs[0] policy
     /* 1113496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113528 */     // GIR_Coverage, 62222,
     /* 1113528 */     GIR_EraseRootFromParent_Done,
     /* 1113529 */   // Label 16344: @1113529
     /* 1113529 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113606), // Rule ID 62223 //
     /* 1113534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1113551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1113554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113573 */     // MIs[0] policy
     /* 1113573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113605 */     // GIR_Coverage, 62223,
     /* 1113605 */     GIR_EraseRootFromParent_Done,
     /* 1113606 */   // Label 16345: @1113606
     /* 1113606 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1113683), // Rule ID 62224 //
     /* 1113611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1113622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1113625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1113628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1113631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113650 */     // MIs[0] policy
     /* 1113650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113682 */     // GIR_Coverage, 62224,
     /* 1113682 */     GIR_EraseRootFromParent_Done,
     /* 1113683 */   // Label 16346: @1113683
     /* 1113683 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1113760), // Rule ID 62225 //
     /* 1113688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1113699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1113702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1113705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1113708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113727 */     // MIs[0] policy
     /* 1113727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1113740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113759 */     // GIR_Coverage, 62225,
     /* 1113759 */     GIR_EraseRootFromParent_Done,
     /* 1113760 */   // Label 16347: @1113760
     /* 1113760 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1113837), // Rule ID 62226 //
     /* 1113765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113804 */     // MIs[0] policy
     /* 1113804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1113817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113836 */     // GIR_Coverage, 62226,
     /* 1113836 */     GIR_EraseRootFromParent_Done,
     /* 1113837 */   // Label 16348: @1113837
     /* 1113837 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1113914), // Rule ID 62227 //
     /* 1113842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113881 */     // MIs[0] policy
     /* 1113881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1113894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113913 */     // GIR_Coverage, 62227,
     /* 1113913 */     GIR_EraseRootFromParent_Done,
     /* 1113914 */   // Label 16349: @1113914
     /* 1113914 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1113991), // Rule ID 62228 //
     /* 1113919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113958 */     // MIs[0] policy
     /* 1113958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1113971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113990 */     // GIR_Coverage, 62228,
     /* 1113990 */     GIR_EraseRootFromParent_Done,
     /* 1113991 */   // Label 16350: @1113991
     /* 1113991 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1114068), // Rule ID 62229 //
     /* 1113996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1113999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1114013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1114016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114035 */     // MIs[0] policy
     /* 1114035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114067 */     // GIR_Coverage, 62229,
     /* 1114067 */     GIR_EraseRootFromParent_Done,
     /* 1114068 */   // Label 16351: @1114068
     /* 1114068 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1114145), // Rule ID 62230 //
     /* 1114073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1114090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1114093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114112 */     // MIs[0] policy
     /* 1114112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114144 */     // GIR_Coverage, 62230,
     /* 1114144 */     GIR_EraseRootFromParent_Done,
     /* 1114145 */   // Label 16352: @1114145
     /* 1114145 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1114222), // Rule ID 62231 //
     /* 1114150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1114167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1114170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114189 */     // MIs[0] policy
     /* 1114189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114221 */     // GIR_Coverage, 62231,
     /* 1114221 */     GIR_EraseRootFromParent_Done,
     /* 1114222 */   // Label 16353: @1114222
     /* 1114222 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1114299), // Rule ID 62232 //
     /* 1114227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1114244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1114247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114266 */     // MIs[0] policy
     /* 1114266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114298 */     // GIR_Coverage, 62232,
     /* 1114298 */     GIR_EraseRootFromParent_Done,
     /* 1114299 */   // Label 16354: @1114299
     /* 1114299 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114376), // Rule ID 62233 //
     /* 1114304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1114321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1114324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114343 */     // MIs[0] policy
     /* 1114343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114353 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114375 */     // GIR_Coverage, 62233,
     /* 1114375 */     GIR_EraseRootFromParent_Done,
     /* 1114376 */   // Label 16355: @1114376
     /* 1114376 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114453), // Rule ID 62234 //
     /* 1114381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1114392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1114395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1114398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1114401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114420 */     // MIs[0] policy
     /* 1114420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114452 */     // GIR_Coverage, 62234,
     /* 1114452 */     GIR_EraseRootFromParent_Done,
     /* 1114453 */   // Label 16356: @1114453
     /* 1114453 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114530), // Rule ID 62235 //
     /* 1114458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1114469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1114472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1114475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1114478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114497 */     // MIs[0] policy
     /* 1114497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114529 */     // GIR_Coverage, 62235,
     /* 1114529 */     GIR_EraseRootFromParent_Done,
     /* 1114530 */   // Label 16357: @1114530
     /* 1114530 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114607), // Rule ID 62236 //
     /* 1114535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1114546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1114549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1114555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114574 */     // MIs[0] policy
     /* 1114574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114606 */     // GIR_Coverage, 62236,
     /* 1114606 */     GIR_EraseRootFromParent_Done,
     /* 1114607 */   // Label 16358: @1114607
     /* 1114607 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1114684), // Rule ID 62237 //
     /* 1114612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1114623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1114626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1114632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114651 */     // MIs[0] policy
     /* 1114651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114683 */     // GIR_Coverage, 62237,
     /* 1114683 */     GIR_EraseRootFromParent_Done,
     /* 1114684 */   // Label 16359: @1114684
     /* 1114684 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1114761), // Rule ID 62238 //
     /* 1114689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1114697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114728 */     // MIs[0] policy
     /* 1114728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1114741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114760 */     // GIR_Coverage, 62238,
     /* 1114760 */     GIR_EraseRootFromParent_Done,
     /* 1114761 */   // Label 16360: @1114761
     /* 1114761 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1114838), // Rule ID 62239 //
     /* 1114766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1114774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114805 */     // MIs[0] policy
     /* 1114805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114815 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1114818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114837 */     // GIR_Coverage, 62239,
     /* 1114837 */     GIR_EraseRootFromParent_Done,
     /* 1114838 */   // Label 16361: @1114838
     /* 1114838 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1114915), // Rule ID 62240 //
     /* 1114843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1114851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1114860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1114863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114882 */     // MIs[0] policy
     /* 1114882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1114895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114914 */     // GIR_Coverage, 62240,
     /* 1114914 */     GIR_EraseRootFromParent_Done,
     /* 1114915 */   // Label 16362: @1114915
     /* 1114915 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1114992), // Rule ID 62241 //
     /* 1114920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1114928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1114937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1114940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114959 */     // MIs[0] policy
     /* 1114959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1114972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114991 */     // GIR_Coverage, 62241,
     /* 1114991 */     GIR_EraseRootFromParent_Done,
     /* 1114992 */   // Label 16363: @1114992
     /* 1114992 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1115069), // Rule ID 62242 //
     /* 1114997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115036 */     // MIs[0] policy
     /* 1115036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115068 */     // GIR_Coverage, 62242,
     /* 1115068 */     GIR_EraseRootFromParent_Done,
     /* 1115069 */   // Label 16364: @1115069
     /* 1115069 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1115146), // Rule ID 62243 //
     /* 1115074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115113 */     // MIs[0] policy
     /* 1115113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115145 */     // GIR_Coverage, 62243,
     /* 1115145 */     GIR_EraseRootFromParent_Done,
     /* 1115146 */   // Label 16365: @1115146
     /* 1115146 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1115223), // Rule ID 62244 //
     /* 1115151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115190 */     // MIs[0] policy
     /* 1115190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115222 */     // GIR_Coverage, 62244,
     /* 1115222 */     GIR_EraseRootFromParent_Done,
     /* 1115223 */   // Label 16366: @1115223
     /* 1115223 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115300), // Rule ID 62245 //
     /* 1115228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115267 */     // MIs[0] policy
     /* 1115267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115299 */     // GIR_Coverage, 62245,
     /* 1115299 */     GIR_EraseRootFromParent_Done,
     /* 1115300 */   // Label 16367: @1115300
     /* 1115300 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115377), // Rule ID 62246 //
     /* 1115305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1115322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1115325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115344 */     // MIs[0] policy
     /* 1115344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115376 */     // GIR_Coverage, 62246,
     /* 1115376 */     GIR_EraseRootFromParent_Done,
     /* 1115377 */   // Label 16368: @1115377
     /* 1115377 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115454), // Rule ID 62247 //
     /* 1115382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1115399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1115402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115421 */     // MIs[0] policy
     /* 1115421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115431 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115453 */     // GIR_Coverage, 62247,
     /* 1115453 */     GIR_EraseRootFromParent_Done,
     /* 1115454 */   // Label 16369: @1115454
     /* 1115454 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115531), // Rule ID 62248 //
     /* 1115459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1115476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1115479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115498 */     // MIs[0] policy
     /* 1115498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1115511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115530 */     // GIR_Coverage, 62248,
     /* 1115530 */     GIR_EraseRootFromParent_Done,
     /* 1115531 */   // Label 16370: @1115531
     /* 1115531 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115608), // Rule ID 62249 //
     /* 1115536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1115553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1115556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115575 */     // MIs[0] policy
     /* 1115575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115585 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1115588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115607 */     // GIR_Coverage, 62249,
     /* 1115607 */     GIR_EraseRootFromParent_Done,
     /* 1115608 */   // Label 16371: @1115608
     /* 1115608 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1115685), // Rule ID 62250 //
     /* 1115613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1115624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1115627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1115630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1115633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115652 */     // MIs[0] policy
     /* 1115652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115684 */     // GIR_Coverage, 62250,
     /* 1115684 */     GIR_EraseRootFromParent_Done,
     /* 1115685 */   // Label 16372: @1115685
     /* 1115685 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1115762), // Rule ID 62251 //
     /* 1115690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1115701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1115704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1115707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1115710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115729 */     // MIs[0] policy
     /* 1115729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115761 */     // GIR_Coverage, 62251,
     /* 1115761 */     GIR_EraseRootFromParent_Done,
     /* 1115762 */   // Label 16373: @1115762
     /* 1115762 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1115839), // Rule ID 62252 //
     /* 1115767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1115778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1115781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1115784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1115787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115806 */     // MIs[0] policy
     /* 1115806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115838 */     // GIR_Coverage, 62252,
     /* 1115838 */     GIR_EraseRootFromParent_Done,
     /* 1115839 */   // Label 16374: @1115839
     /* 1115839 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1115916), // Rule ID 62253 //
     /* 1115844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1115855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1115858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1115861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1115864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115883 */     // MIs[0] policy
     /* 1115883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115893 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115915 */     // GIR_Coverage, 62253,
     /* 1115915 */     GIR_EraseRootFromParent_Done,
     /* 1115916 */   // Label 16375: @1115916
     /* 1115916 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1115993), // Rule ID 62254 //
     /* 1115921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1115932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1115935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1115938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1115941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115960 */     // MIs[0] policy
     /* 1115960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115970 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1115973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115992 */     // GIR_Coverage, 62254,
     /* 1115992 */     GIR_EraseRootFromParent_Done,
     /* 1115993 */   // Label 16376: @1115993
     /* 1115993 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1116070), // Rule ID 62255 //
     /* 1115998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1116018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116037 */     // MIs[0] policy
     /* 1116037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116047 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1116050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116069 */     // GIR_Coverage, 62255,
     /* 1116069 */     GIR_EraseRootFromParent_Done,
     /* 1116070 */   // Label 16377: @1116070
     /* 1116070 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1116147), // Rule ID 62256 //
     /* 1116075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1116092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1116095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116114 */     // MIs[0] policy
     /* 1116114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1116127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116146 */     // GIR_Coverage, 62256,
     /* 1116146 */     GIR_EraseRootFromParent_Done,
     /* 1116147 */   // Label 16378: @1116147
     /* 1116147 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1116224), // Rule ID 62257 //
     /* 1116152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1116169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1116172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116191 */     // MIs[0] policy
     /* 1116191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1116204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116223 */     // GIR_Coverage, 62257,
     /* 1116223 */     GIR_EraseRootFromParent_Done,
     /* 1116224 */   // Label 16379: @1116224
     /* 1116224 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116301), // Rule ID 62258 //
     /* 1116229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1116246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1116249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116268 */     // MIs[0] policy
     /* 1116268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1116281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116300 */     // GIR_Coverage, 62258,
     /* 1116300 */     GIR_EraseRootFromParent_Done,
     /* 1116301 */   // Label 16380: @1116301
     /* 1116301 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116378), // Rule ID 62259 //
     /* 1116306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1116323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1116326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116345 */     // MIs[0] policy
     /* 1116345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1116358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116377 */     // GIR_Coverage, 62259,
     /* 1116377 */     GIR_EraseRootFromParent_Done,
     /* 1116378 */   // Label 16381: @1116378
     /* 1116378 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116455), // Rule ID 62260 //
     /* 1116383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1116394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1116397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1116400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1116403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116422 */     // MIs[0] policy
     /* 1116422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1116435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116454 */     // GIR_Coverage, 62260,
     /* 1116454 */     GIR_EraseRootFromParent_Done,
     /* 1116455 */   // Label 16382: @1116455
     /* 1116455 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116532), // Rule ID 62261 //
     /* 1116460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1116471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1116474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1116477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1116480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116499 */     // MIs[0] policy
     /* 1116499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1116512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116531 */     // GIR_Coverage, 62261,
     /* 1116531 */     GIR_EraseRootFromParent_Done,
     /* 1116532 */   // Label 16383: @1116532
     /* 1116532 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116609), // Rule ID 62262 //
     /* 1116537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1116554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1116557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116576 */     // MIs[0] policy
     /* 1116576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1116589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116608 */     // GIR_Coverage, 62262,
     /* 1116608 */     GIR_EraseRootFromParent_Done,
     /* 1116609 */   // Label 16384: @1116609
     /* 1116609 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1116686), // Rule ID 62263 //
     /* 1116614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1116631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1116634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116653 */     // MIs[0] policy
     /* 1116653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1116666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116685 */     // GIR_Coverage, 62263,
     /* 1116685 */     GIR_EraseRootFromParent_Done,
     /* 1116686 */   // Label 16385: @1116686
     /* 1116686 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1116763), // Rule ID 62264 //
     /* 1116691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1116711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116730 */     // MIs[0] policy
     /* 1116730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1116743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116762 */     // GIR_Coverage, 62264,
     /* 1116762 */     GIR_EraseRootFromParent_Done,
     /* 1116763 */   // Label 16386: @1116763
     /* 1116763 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1116840), // Rule ID 62265 //
     /* 1116768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1116788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116807 */     // MIs[0] policy
     /* 1116807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1116820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116839 */     // GIR_Coverage, 62265,
     /* 1116839 */     GIR_EraseRootFromParent_Done,
     /* 1116840 */   // Label 16387: @1116840
     /* 1116840 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1116917), // Rule ID 62266 //
     /* 1116845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1116865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116884 */     // MIs[0] policy
     /* 1116884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1116897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116916 */     // GIR_Coverage, 62266,
     /* 1116916 */     GIR_EraseRootFromParent_Done,
     /* 1116917 */   // Label 16388: @1116917
     /* 1116917 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1116994), // Rule ID 62267 //
     /* 1116922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1116942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116961 */     // MIs[0] policy
     /* 1116961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1116974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116993 */     // GIR_Coverage, 62267,
     /* 1116993 */     GIR_EraseRootFromParent_Done,
     /* 1116994 */   // Label 16389: @1116994
     /* 1116994 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1117071), // Rule ID 62268 //
     /* 1116999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1117010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1117013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1117016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1117019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117038 */     // MIs[0] policy
     /* 1117038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1117051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117070 */     // GIR_Coverage, 62268,
     /* 1117070 */     GIR_EraseRootFromParent_Done,
     /* 1117071 */   // Label 16390: @1117071
     /* 1117071 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1117148), // Rule ID 62269 //
     /* 1117076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1117087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1117090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1117093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1117096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117115 */     // MIs[0] policy
     /* 1117115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1117128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117147 */     // GIR_Coverage, 62269,
     /* 1117147 */     GIR_EraseRootFromParent_Done,
     /* 1117148 */   // Label 16391: @1117148
     /* 1117148 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117225), // Rule ID 62270 //
     /* 1117153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1117164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1117167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1117170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1117173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117192 */     // MIs[0] policy
     /* 1117192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1117205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117224 */     // GIR_Coverage, 62270,
     /* 1117224 */     GIR_EraseRootFromParent_Done,
     /* 1117225 */   // Label 16392: @1117225
     /* 1117225 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117302), // Rule ID 62271 //
     /* 1117230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1117241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1117244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1117247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1117250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117269 */     // MIs[0] policy
     /* 1117269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117279 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1117282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117301 */     // GIR_Coverage, 62271,
     /* 1117301 */     GIR_EraseRootFromParent_Done,
     /* 1117302 */   // Label 16393: @1117302
     /* 1117302 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117379), // Rule ID 62272 //
     /* 1117307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1117318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1117321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1117324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1117327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117346 */     // MIs[0] policy
     /* 1117346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117356 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1117359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117378 */     // GIR_Coverage, 62272,
     /* 1117378 */     GIR_EraseRootFromParent_Done,
     /* 1117379 */   // Label 16394: @1117379
     /* 1117379 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117456), // Rule ID 62273 //
     /* 1117384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1117395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1117398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1117401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1117404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117423 */     // MIs[0] policy
     /* 1117423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1117436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117455 */     // GIR_Coverage, 62273,
     /* 1117455 */     GIR_EraseRootFromParent_Done,
     /* 1117456 */   // Label 16395: @1117456
     /* 1117456 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117533), // Rule ID 62592 //
     /* 1117461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1117478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117500 */     // MIs[0] policy
     /* 1117500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1117513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117532 */     // GIR_Coverage, 62592,
     /* 1117532 */     GIR_EraseRootFromParent_Done,
     /* 1117533 */   // Label 16396: @1117533
     /* 1117533 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117610), // Rule ID 62593 //
     /* 1117538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1117555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117577 */     // MIs[0] policy
     /* 1117577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1117590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117609 */     // GIR_Coverage, 62593,
     /* 1117609 */     GIR_EraseRootFromParent_Done,
     /* 1117610 */   // Label 16397: @1117610
     /* 1117610 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1117687), // Rule ID 62596 //
     /* 1117615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117654 */     // MIs[0] policy
     /* 1117654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1117667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117686 */     // GIR_Coverage, 62596,
     /* 1117686 */     GIR_EraseRootFromParent_Done,
     /* 1117687 */   // Label 16398: @1117687
     /* 1117687 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1117764), // Rule ID 62597 //
     /* 1117692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117731 */     // MIs[0] policy
     /* 1117731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1117744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117763 */     // GIR_Coverage, 62597,
     /* 1117763 */     GIR_EraseRootFromParent_Done,
     /* 1117764 */   // Label 16399: @1117764
     /* 1117764 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1117841), // Rule ID 62600 //
     /* 1117769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1117786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117808 */     // MIs[0] policy
     /* 1117808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1117821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117840 */     // GIR_Coverage, 62600,
     /* 1117840 */     GIR_EraseRootFromParent_Done,
     /* 1117841 */   // Label 16400: @1117841
     /* 1117841 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1117918), // Rule ID 62601 //
     /* 1117846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1117849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1117863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117885 */     // MIs[0] policy
     /* 1117885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1117898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117917 */     // GIR_Coverage, 62601,
     /* 1117917 */     GIR_EraseRootFromParent_Done,
     /* 1117918 */   // Label 16401: @1117918
     /* 1117918 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1117995), // Rule ID 62604 //
     /* 1117923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1117926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1117931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1117940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117962 */     // MIs[0] policy
     /* 1117962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1117975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117994 */     // GIR_Coverage, 62604,
     /* 1117994 */     GIR_EraseRootFromParent_Done,
     /* 1117995 */   // Label 16402: @1117995
     /* 1117995 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1118072), // Rule ID 62605 //
     /* 1118000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1118017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118039 */     // MIs[0] policy
     /* 1118039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1118052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118071 */     // GIR_Coverage, 62605,
     /* 1118071 */     GIR_EraseRootFromParent_Done,
     /* 1118072 */   // Label 16403: @1118072
     /* 1118072 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1118149), // Rule ID 62608 //
     /* 1118077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1118094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118116 */     // MIs[0] policy
     /* 1118116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1118129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118148 */     // GIR_Coverage, 62608,
     /* 1118148 */     GIR_EraseRootFromParent_Done,
     /* 1118149 */   // Label 16404: @1118149
     /* 1118149 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118226), // Rule ID 62609 //
     /* 1118154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1118171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118193 */     // MIs[0] policy
     /* 1118193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1118206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118225 */     // GIR_Coverage, 62609,
     /* 1118225 */     GIR_EraseRootFromParent_Done,
     /* 1118226 */   // Label 16405: @1118226
     /* 1118226 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118303), // Rule ID 62612 //
     /* 1118231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118270 */     // MIs[0] policy
     /* 1118270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1118283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118302 */     // GIR_Coverage, 62612,
     /* 1118302 */     GIR_EraseRootFromParent_Done,
     /* 1118303 */   // Label 16406: @1118303
     /* 1118303 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118380), // Rule ID 62613 //
     /* 1118308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118347 */     // MIs[0] policy
     /* 1118347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118357 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1118360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118379 */     // GIR_Coverage, 62613,
     /* 1118379 */     GIR_EraseRootFromParent_Done,
     /* 1118380 */   // Label 16407: @1118380
     /* 1118380 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118457), // Rule ID 62616 //
     /* 1118385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118424 */     // MIs[0] policy
     /* 1118424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1118437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118456 */     // GIR_Coverage, 62616,
     /* 1118456 */     GIR_EraseRootFromParent_Done,
     /* 1118457 */   // Label 16408: @1118457
     /* 1118457 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118534), // Rule ID 62617 //
     /* 1118462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118501 */     // MIs[0] policy
     /* 1118501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1118514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118533 */     // GIR_Coverage, 62617,
     /* 1118533 */     GIR_EraseRootFromParent_Done,
     /* 1118534 */   // Label 16409: @1118534
     /* 1118534 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118611), // Rule ID 62620 //
     /* 1118539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118578 */     // MIs[0] policy
     /* 1118578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1118591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118610 */     // GIR_Coverage, 62620,
     /* 1118610 */     GIR_EraseRootFromParent_Done,
     /* 1118611 */   // Label 16410: @1118611
     /* 1118611 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1118688), // Rule ID 62621 //
     /* 1118616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118655 */     // MIs[0] policy
     /* 1118655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1118668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118687 */     // GIR_Coverage, 62621,
     /* 1118687 */     GIR_EraseRootFromParent_Done,
     /* 1118688 */   // Label 16411: @1118688
     /* 1118688 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1118765), // Rule ID 62624 //
     /* 1118693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118732 */     // MIs[0] policy
     /* 1118732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1118745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118764 */     // GIR_Coverage, 62624,
     /* 1118764 */     GIR_EraseRootFromParent_Done,
     /* 1118765 */   // Label 16412: @1118765
     /* 1118765 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1118842), // Rule ID 62625 //
     /* 1118770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118809 */     // MIs[0] policy
     /* 1118809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1118822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118841 */     // GIR_Coverage, 62625,
     /* 1118841 */     GIR_EraseRootFromParent_Done,
     /* 1118842 */   // Label 16413: @1118842
     /* 1118842 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1118919), // Rule ID 62628 //
     /* 1118847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118886 */     // MIs[0] policy
     /* 1118886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1118899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118918 */     // GIR_Coverage, 62628,
     /* 1118918 */     GIR_EraseRootFromParent_Done,
     /* 1118919 */   // Label 16414: @1118919
     /* 1118919 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1118996), // Rule ID 62629 //
     /* 1118924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1118941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118963 */     // MIs[0] policy
     /* 1118963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1118976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118995 */     // GIR_Coverage, 62629,
     /* 1118995 */     GIR_EraseRootFromParent_Done,
     /* 1118996 */   // Label 16415: @1118996
     /* 1118996 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1119073), // Rule ID 62632 //
     /* 1119001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1119018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119040 */     // MIs[0] policy
     /* 1119040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119050 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1119053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119072 */     // GIR_Coverage, 62632,
     /* 1119072 */     GIR_EraseRootFromParent_Done,
     /* 1119073 */   // Label 16416: @1119073
     /* 1119073 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119150), // Rule ID 62633 //
     /* 1119078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1119095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119117 */     // MIs[0] policy
     /* 1119117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1119130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119149 */     // GIR_Coverage, 62633,
     /* 1119149 */     GIR_EraseRootFromParent_Done,
     /* 1119150 */   // Label 16417: @1119150
     /* 1119150 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119227), // Rule ID 62636 //
     /* 1119155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119194 */     // MIs[0] policy
     /* 1119194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1119207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119226 */     // GIR_Coverage, 62636,
     /* 1119226 */     GIR_EraseRootFromParent_Done,
     /* 1119227 */   // Label 16418: @1119227
     /* 1119227 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119304), // Rule ID 62637 //
     /* 1119232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119271 */     // MIs[0] policy
     /* 1119271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119281 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1119284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119303 */     // GIR_Coverage, 62637,
     /* 1119303 */     GIR_EraseRootFromParent_Done,
     /* 1119304 */   // Label 16419: @1119304
     /* 1119304 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119381), // Rule ID 62640 //
     /* 1119309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1119326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119348 */     // MIs[0] policy
     /* 1119348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1119361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119380 */     // GIR_Coverage, 62640,
     /* 1119380 */     GIR_EraseRootFromParent_Done,
     /* 1119381 */   // Label 16420: @1119381
     /* 1119381 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119458), // Rule ID 62641 //
     /* 1119386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1119403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119425 */     // MIs[0] policy
     /* 1119425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1119438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119457 */     // GIR_Coverage, 62641,
     /* 1119457 */     GIR_EraseRootFromParent_Done,
     /* 1119458 */   // Label 16421: @1119458
     /* 1119458 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119535), // Rule ID 62644 //
     /* 1119463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1119480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119502 */     // MIs[0] policy
     /* 1119502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1119515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119534 */     // GIR_Coverage, 62644,
     /* 1119534 */     GIR_EraseRootFromParent_Done,
     /* 1119535 */   // Label 16422: @1119535
     /* 1119535 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119612), // Rule ID 62645 //
     /* 1119540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1119557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119579 */     // MIs[0] policy
     /* 1119579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1119592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119611 */     // GIR_Coverage, 62645,
     /* 1119611 */     GIR_EraseRootFromParent_Done,
     /* 1119612 */   // Label 16423: @1119612
     /* 1119612 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1119689), // Rule ID 62648 //
     /* 1119617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1119634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119656 */     // MIs[0] policy
     /* 1119656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1119669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119688 */     // GIR_Coverage, 62648,
     /* 1119688 */     GIR_EraseRootFromParent_Done,
     /* 1119689 */   // Label 16424: @1119689
     /* 1119689 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1119766), // Rule ID 62649 //
     /* 1119694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1119711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119733 */     // MIs[0] policy
     /* 1119733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119743 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1119746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119765 */     // GIR_Coverage, 62649,
     /* 1119765 */     GIR_EraseRootFromParent_Done,
     /* 1119766 */   // Label 16425: @1119766
     /* 1119766 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1119843), // Rule ID 62652 //
     /* 1119771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119810 */     // MIs[0] policy
     /* 1119810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1119823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119842 */     // GIR_Coverage, 62652,
     /* 1119842 */     GIR_EraseRootFromParent_Done,
     /* 1119843 */   // Label 16426: @1119843
     /* 1119843 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1119920), // Rule ID 62653 //
     /* 1119848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119887 */     // MIs[0] policy
     /* 1119887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1119900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119919 */     // GIR_Coverage, 62653,
     /* 1119919 */     GIR_EraseRootFromParent_Done,
     /* 1119920 */   // Label 16427: @1119920
     /* 1119920 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1119997), // Rule ID 62656 //
     /* 1119925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119964 */     // MIs[0] policy
     /* 1119964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1119977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119996 */     // GIR_Coverage, 62656,
     /* 1119996 */     GIR_EraseRootFromParent_Done,
     /* 1119997 */   // Label 16428: @1119997
     /* 1119997 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1120074), // Rule ID 62657 //
     /* 1120002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120041 */     // MIs[0] policy
     /* 1120041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1120054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120073 */     // GIR_Coverage, 62657,
     /* 1120073 */     GIR_EraseRootFromParent_Done,
     /* 1120074 */   // Label 16429: @1120074
     /* 1120074 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120151), // Rule ID 62660 //
     /* 1120079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120118 */     // MIs[0] policy
     /* 1120118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1120131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120150 */     // GIR_Coverage, 62660,
     /* 1120150 */     GIR_EraseRootFromParent_Done,
     /* 1120151 */   // Label 16430: @1120151
     /* 1120151 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120228), // Rule ID 62661 //
     /* 1120156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120195 */     // MIs[0] policy
     /* 1120195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1120208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120227 */     // GIR_Coverage, 62661,
     /* 1120227 */     GIR_EraseRootFromParent_Done,
     /* 1120228 */   // Label 16431: @1120228
     /* 1120228 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120305), // Rule ID 62664 //
     /* 1120233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120272 */     // MIs[0] policy
     /* 1120272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1120285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120304 */     // GIR_Coverage, 62664,
     /* 1120304 */     GIR_EraseRootFromParent_Done,
     /* 1120305 */   // Label 16432: @1120305
     /* 1120305 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120382), // Rule ID 62665 //
     /* 1120310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120349 */     // MIs[0] policy
     /* 1120349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120359 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1120362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120381 */     // GIR_Coverage, 62665,
     /* 1120381 */     GIR_EraseRootFromParent_Done,
     /* 1120382 */   // Label 16433: @1120382
     /* 1120382 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120459), // Rule ID 62668 //
     /* 1120387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120426 */     // MIs[0] policy
     /* 1120426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1120439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120458 */     // GIR_Coverage, 62668,
     /* 1120458 */     GIR_EraseRootFromParent_Done,
     /* 1120459 */   // Label 16434: @1120459
     /* 1120459 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120536), // Rule ID 62669 //
     /* 1120464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120503 */     // MIs[0] policy
     /* 1120503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1120516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120535 */     // GIR_Coverage, 62669,
     /* 1120535 */     GIR_EraseRootFromParent_Done,
     /* 1120536 */   // Label 16435: @1120536
     /* 1120536 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120613), // Rule ID 62672 //
     /* 1120541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1120552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1120555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1120558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120580 */     // MIs[0] policy
     /* 1120580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1120593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120612 */     // GIR_Coverage, 62672,
     /* 1120612 */     GIR_EraseRootFromParent_Done,
     /* 1120613 */   // Label 16436: @1120613
     /* 1120613 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1120690), // Rule ID 62673 //
     /* 1120618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1120629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1120632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1120635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120657 */     // MIs[0] policy
     /* 1120657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1120670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120689 */     // GIR_Coverage, 62673,
     /* 1120689 */     GIR_EraseRootFromParent_Done,
     /* 1120690 */   // Label 16437: @1120690
     /* 1120690 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1120767), // Rule ID 62676 //
     /* 1120695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120734 */     // MIs[0] policy
     /* 1120734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1120747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120766 */     // GIR_Coverage, 62676,
     /* 1120766 */     GIR_EraseRootFromParent_Done,
     /* 1120767 */   // Label 16438: @1120767
     /* 1120767 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1120844), // Rule ID 62677 //
     /* 1120772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120811 */     // MIs[0] policy
     /* 1120811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1120824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120843 */     // GIR_Coverage, 62677,
     /* 1120843 */     GIR_EraseRootFromParent_Done,
     /* 1120844 */   // Label 16439: @1120844
     /* 1120844 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1120921), // Rule ID 62680 //
     /* 1120849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1120866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120888 */     // MIs[0] policy
     /* 1120888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1120901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120920 */     // GIR_Coverage, 62680,
     /* 1120920 */     GIR_EraseRootFromParent_Done,
     /* 1120921 */   // Label 16440: @1120921
     /* 1120921 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1120998), // Rule ID 62681 //
     /* 1120926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1120934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1120943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120965 */     // MIs[0] policy
     /* 1120965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1120978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120997 */     // GIR_Coverage, 62681,
     /* 1120997 */     GIR_EraseRootFromParent_Done,
     /* 1120998 */   // Label 16441: @1120998
     /* 1120998 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121075), // Rule ID 62684 //
     /* 1121003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1121020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121042 */     // MIs[0] policy
     /* 1121042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1121055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121074 */     // GIR_Coverage, 62684,
     /* 1121074 */     GIR_EraseRootFromParent_Done,
     /* 1121075 */   // Label 16442: @1121075
     /* 1121075 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121152), // Rule ID 62685 //
     /* 1121080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1121097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121119 */     // MIs[0] policy
     /* 1121119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121129 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1121132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121151 */     // GIR_Coverage, 62685,
     /* 1121151 */     GIR_EraseRootFromParent_Done,
     /* 1121152 */   // Label 16443: @1121152
     /* 1121152 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121229), // Rule ID 62688 //
     /* 1121157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1121174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121196 */     // MIs[0] policy
     /* 1121196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1121209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121228 */     // GIR_Coverage, 62688,
     /* 1121228 */     GIR_EraseRootFromParent_Done,
     /* 1121229 */   // Label 16444: @1121229
     /* 1121229 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121306), // Rule ID 62689 //
     /* 1121234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1121251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121273 */     // MIs[0] policy
     /* 1121273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1121286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121305 */     // GIR_Coverage, 62689,
     /* 1121305 */     GIR_EraseRootFromParent_Done,
     /* 1121306 */   // Label 16445: @1121306
     /* 1121306 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121383), // Rule ID 62692 //
     /* 1121311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121350 */     // MIs[0] policy
     /* 1121350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1121363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121382 */     // GIR_Coverage, 62692,
     /* 1121382 */     GIR_EraseRootFromParent_Done,
     /* 1121383 */   // Label 16446: @1121383
     /* 1121383 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121460), // Rule ID 62693 //
     /* 1121388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121427 */     // MIs[0] policy
     /* 1121427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1121440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121459 */     // GIR_Coverage, 62693,
     /* 1121459 */     GIR_EraseRootFromParent_Done,
     /* 1121460 */   // Label 16447: @1121460
     /* 1121460 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121537), // Rule ID 62696 //
     /* 1121465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121504 */     // MIs[0] policy
     /* 1121504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1121517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121536 */     // GIR_Coverage, 62696,
     /* 1121536 */     GIR_EraseRootFromParent_Done,
     /* 1121537 */   // Label 16448: @1121537
     /* 1121537 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121614), // Rule ID 62697 //
     /* 1121542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121581 */     // MIs[0] policy
     /* 1121581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1121594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121613 */     // GIR_Coverage, 62697,
     /* 1121613 */     GIR_EraseRootFromParent_Done,
     /* 1121614 */   // Label 16449: @1121614
     /* 1121614 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1121691), // Rule ID 62700 //
     /* 1121619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121658 */     // MIs[0] policy
     /* 1121658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1121671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121690 */     // GIR_Coverage, 62700,
     /* 1121690 */     GIR_EraseRootFromParent_Done,
     /* 1121691 */   // Label 16450: @1121691
     /* 1121691 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1121768), // Rule ID 62701 //
     /* 1121696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121735 */     // MIs[0] policy
     /* 1121735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1121748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121767 */     // GIR_Coverage, 62701,
     /* 1121767 */     GIR_EraseRootFromParent_Done,
     /* 1121768 */   // Label 16451: @1121768
     /* 1121768 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1121845), // Rule ID 62704 //
     /* 1121773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121812 */     // MIs[0] policy
     /* 1121812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1121825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121844 */     // GIR_Coverage, 62704,
     /* 1121844 */     GIR_EraseRootFromParent_Done,
     /* 1121845 */   // Label 16452: @1121845
     /* 1121845 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1121922), // Rule ID 62705 //
     /* 1121850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121889 */     // MIs[0] policy
     /* 1121889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1121902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121921 */     // GIR_Coverage, 62705,
     /* 1121921 */     GIR_EraseRootFromParent_Done,
     /* 1121922 */   // Label 16453: @1121922
     /* 1121922 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1121999), // Rule ID 62708 //
     /* 1121927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121966 */     // MIs[0] policy
     /* 1121966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1121979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121998 */     // GIR_Coverage, 62708,
     /* 1121998 */     GIR_EraseRootFromParent_Done,
     /* 1121999 */   // Label 16454: @1121999
     /* 1121999 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1122076), // Rule ID 62709 //
     /* 1122004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122043 */     // MIs[0] policy
     /* 1122043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1122056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122075 */     // GIR_Coverage, 62709,
     /* 1122075 */     GIR_EraseRootFromParent_Done,
     /* 1122076 */   // Label 16455: @1122076
     /* 1122076 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122153), // Rule ID 62712 //
     /* 1122081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122120 */     // MIs[0] policy
     /* 1122120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1122133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122152 */     // GIR_Coverage, 62712,
     /* 1122152 */     GIR_EraseRootFromParent_Done,
     /* 1122153 */   // Label 16456: @1122153
     /* 1122153 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122230), // Rule ID 62713 //
     /* 1122158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122197 */     // MIs[0] policy
     /* 1122197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1122210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122229 */     // GIR_Coverage, 62713,
     /* 1122229 */     GIR_EraseRootFromParent_Done,
     /* 1122230 */   // Label 16457: @1122230
     /* 1122230 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122307), // Rule ID 62716 //
     /* 1122235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122274 */     // MIs[0] policy
     /* 1122274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1122287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122306 */     // GIR_Coverage, 62716,
     /* 1122306 */     GIR_EraseRootFromParent_Done,
     /* 1122307 */   // Label 16458: @1122307
     /* 1122307 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122384), // Rule ID 62717 //
     /* 1122312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122351 */     // MIs[0] policy
     /* 1122351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1122364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122383 */     // GIR_Coverage, 62717,
     /* 1122383 */     GIR_EraseRootFromParent_Done,
     /* 1122384 */   // Label 16459: @1122384
     /* 1122384 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122461), // Rule ID 62720 //
     /* 1122389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122428 */     // MIs[0] policy
     /* 1122428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1122441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122460 */     // GIR_Coverage, 62720,
     /* 1122460 */     GIR_EraseRootFromParent_Done,
     /* 1122461 */   // Label 16460: @1122461
     /* 1122461 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122538), // Rule ID 62721 //
     /* 1122466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122505 */     // MIs[0] policy
     /* 1122505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1122518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122537 */     // GIR_Coverage, 62721,
     /* 1122537 */     GIR_EraseRootFromParent_Done,
     /* 1122538 */   // Label 16461: @1122538
     /* 1122538 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122615), // Rule ID 62724 //
     /* 1122543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122582 */     // MIs[0] policy
     /* 1122582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1122595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122614 */     // GIR_Coverage, 62724,
     /* 1122614 */     GIR_EraseRootFromParent_Done,
     /* 1122615 */   // Label 16462: @1122615
     /* 1122615 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1122692), // Rule ID 62725 //
     /* 1122620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122659 */     // MIs[0] policy
     /* 1122659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1122672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122691 */     // GIR_Coverage, 62725,
     /* 1122691 */     GIR_EraseRootFromParent_Done,
     /* 1122692 */   // Label 16463: @1122692
     /* 1122692 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1122769), // Rule ID 62728 //
     /* 1122697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122736 */     // MIs[0] policy
     /* 1122736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1122749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122768 */     // GIR_Coverage, 62728,
     /* 1122768 */     GIR_EraseRootFromParent_Done,
     /* 1122769 */   // Label 16464: @1122769
     /* 1122769 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1122846), // Rule ID 62729 //
     /* 1122774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122813 */     // MIs[0] policy
     /* 1122813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122823 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1122826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122845 */     // GIR_Coverage, 62729,
     /* 1122845 */     GIR_EraseRootFromParent_Done,
     /* 1122846 */   // Label 16465: @1122846
     /* 1122846 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1122923), // Rule ID 62823 //
     /* 1122851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1122854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1122859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122890 */     // MIs[0] policy
     /* 1122890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1122903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122922 */     // GIR_Coverage, 62823,
     /* 1122922 */     GIR_EraseRootFromParent_Done,
     /* 1122923 */   // Label 16466: @1122923
     /* 1122923 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123000), // Rule ID 62824 //
     /* 1122928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1122931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1122936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122967 */     // MIs[0] policy
     /* 1122967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1122980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122999 */     // GIR_Coverage, 62824,
     /* 1122999 */     GIR_EraseRootFromParent_Done,
     /* 1123000 */   // Label 16467: @1123000
     /* 1123000 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1123077), // Rule ID 64281 //
     /* 1123005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123044 */     // MIs[0] policy
     /* 1123044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1123057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123076 */     // GIR_Coverage, 64281,
     /* 1123076 */     GIR_EraseRootFromParent_Done,
     /* 1123077 */   // Label 16468: @1123077
     /* 1123077 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123154), // Rule ID 64282 //
     /* 1123082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123121 */     // MIs[0] policy
     /* 1123121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1123134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123153 */     // GIR_Coverage, 64282,
     /* 1123153 */     GIR_EraseRootFromParent_Done,
     /* 1123154 */   // Label 16469: @1123154
     /* 1123154 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123231), // Rule ID 64283 //
     /* 1123159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123198 */     // MIs[0] policy
     /* 1123198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1123211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123230 */     // GIR_Coverage, 64283,
     /* 1123230 */     GIR_EraseRootFromParent_Done,
     /* 1123231 */   // Label 16470: @1123231
     /* 1123231 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123308), // Rule ID 64284 //
     /* 1123236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123275 */     // MIs[0] policy
     /* 1123275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1123288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123307 */     // GIR_Coverage, 64284,
     /* 1123307 */     GIR_EraseRootFromParent_Done,
     /* 1123308 */   // Label 16471: @1123308
     /* 1123308 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123385), // Rule ID 64285 //
     /* 1123313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1123333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123352 */     // MIs[0] policy
     /* 1123352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1123365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123384 */     // GIR_Coverage, 64285,
     /* 1123384 */     GIR_EraseRootFromParent_Done,
     /* 1123385 */   // Label 16472: @1123385
     /* 1123385 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123462), // Rule ID 64286 //
     /* 1123390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1123410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123429 */     // MIs[0] policy
     /* 1123429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1123442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123461 */     // GIR_Coverage, 64286,
     /* 1123461 */     GIR_EraseRootFromParent_Done,
     /* 1123462 */   // Label 16473: @1123462
     /* 1123462 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123539), // Rule ID 64287 //
     /* 1123467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123506 */     // MIs[0] policy
     /* 1123506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1123519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123538 */     // GIR_Coverage, 64287,
     /* 1123538 */     GIR_EraseRootFromParent_Done,
     /* 1123539 */   // Label 16474: @1123539
     /* 1123539 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1123616), // Rule ID 64288 //
     /* 1123544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123583 */     // MIs[0] policy
     /* 1123583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1123596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123615 */     // GIR_Coverage, 64288,
     /* 1123615 */     GIR_EraseRootFromParent_Done,
     /* 1123616 */   // Label 16475: @1123616
     /* 1123616 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1123693), // Rule ID 64289 //
     /* 1123621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123660 */     // MIs[0] policy
     /* 1123660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1123673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123692 */     // GIR_Coverage, 64289,
     /* 1123692 */     GIR_EraseRootFromParent_Done,
     /* 1123693 */   // Label 16476: @1123693
     /* 1123693 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1123770), // Rule ID 64290 //
     /* 1123698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123737 */     // MIs[0] policy
     /* 1123737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1123750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123769 */     // GIR_Coverage, 64290,
     /* 1123769 */     GIR_EraseRootFromParent_Done,
     /* 1123770 */   // Label 16477: @1123770
     /* 1123770 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1123847), // Rule ID 64291 //
     /* 1123775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123814 */     // MIs[0] policy
     /* 1123814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1123827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123846 */     // GIR_Coverage, 64291,
     /* 1123846 */     GIR_EraseRootFromParent_Done,
     /* 1123847 */   // Label 16478: @1123847
     /* 1123847 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1123924), // Rule ID 64292 //
     /* 1123852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123891 */     // MIs[0] policy
     /* 1123891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1123904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123923 */     // GIR_Coverage, 64292,
     /* 1123923 */     GIR_EraseRootFromParent_Done,
     /* 1123924 */   // Label 16479: @1123924
     /* 1123924 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1124001), // Rule ID 64293 //
     /* 1123929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1123937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1123949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123968 */     // MIs[0] policy
     /* 1123968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1123981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124000 */     // GIR_Coverage, 64293,
     /* 1124000 */     GIR_EraseRootFromParent_Done,
     /* 1124001 */   // Label 16480: @1124001
     /* 1124001 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1124078), // Rule ID 64294 //
     /* 1124006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124045 */     // MIs[0] policy
     /* 1124045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124055 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1124058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124077 */     // GIR_Coverage, 64294,
     /* 1124077 */     GIR_EraseRootFromParent_Done,
     /* 1124078 */   // Label 16481: @1124078
     /* 1124078 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124155), // Rule ID 64295 //
     /* 1124083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124122 */     // MIs[0] policy
     /* 1124122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1124135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124154 */     // GIR_Coverage, 64295,
     /* 1124154 */     GIR_EraseRootFromParent_Done,
     /* 1124155 */   // Label 16482: @1124155
     /* 1124155 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124232), // Rule ID 64296 //
     /* 1124160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124199 */     // MIs[0] policy
     /* 1124199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1124212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124231 */     // GIR_Coverage, 64296,
     /* 1124231 */     GIR_EraseRootFromParent_Done,
     /* 1124232 */   // Label 16483: @1124232
     /* 1124232 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124309), // Rule ID 64297 //
     /* 1124237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124276 */     // MIs[0] policy
     /* 1124276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1124289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124308 */     // GIR_Coverage, 64297,
     /* 1124308 */     GIR_EraseRootFromParent_Done,
     /* 1124309 */   // Label 16484: @1124309
     /* 1124309 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124386), // Rule ID 64298 //
     /* 1124314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124353 */     // MIs[0] policy
     /* 1124353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1124366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124385 */     // GIR_Coverage, 64298,
     /* 1124385 */     GIR_EraseRootFromParent_Done,
     /* 1124386 */   // Label 16485: @1124386
     /* 1124386 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124463), // Rule ID 64299 //
     /* 1124391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124430 */     // MIs[0] policy
     /* 1124430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1124443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124462 */     // GIR_Coverage, 64299,
     /* 1124462 */     GIR_EraseRootFromParent_Done,
     /* 1124463 */   // Label 16486: @1124463
     /* 1124463 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124540), // Rule ID 64300 //
     /* 1124468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124507 */     // MIs[0] policy
     /* 1124507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124517 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1124520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124539 */     // GIR_Coverage, 64300,
     /* 1124539 */     GIR_EraseRootFromParent_Done,
     /* 1124540 */   // Label 16487: @1124540
     /* 1124540 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1124617), // Rule ID 64301 //
     /* 1124545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124584 */     // MIs[0] policy
     /* 1124584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1124597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124616 */     // GIR_Coverage, 64301,
     /* 1124616 */     GIR_EraseRootFromParent_Done,
     /* 1124617 */   // Label 16488: @1124617
     /* 1124617 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1124694), // Rule ID 64302 //
     /* 1124622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124661 */     // MIs[0] policy
     /* 1124661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1124674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124693 */     // GIR_Coverage, 64302,
     /* 1124693 */     GIR_EraseRootFromParent_Done,
     /* 1124694 */   // Label 16489: @1124694
     /* 1124694 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1124771), // Rule ID 64303 //
     /* 1124699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1124707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124738 */     // MIs[0] policy
     /* 1124738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1124751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124770 */     // GIR_Coverage, 64303,
     /* 1124770 */     GIR_EraseRootFromParent_Done,
     /* 1124771 */   // Label 16490: @1124771
     /* 1124771 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1124848), // Rule ID 64304 //
     /* 1124776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1124784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124815 */     // MIs[0] policy
     /* 1124815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1124828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124847 */     // GIR_Coverage, 64304,
     /* 1124847 */     GIR_EraseRootFromParent_Done,
     /* 1124848 */   // Label 16491: @1124848
     /* 1124848 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1124925), // Rule ID 64305 //
     /* 1124853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1124861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124892 */     // MIs[0] policy
     /* 1124892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1124905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124924 */     // GIR_Coverage, 64305,
     /* 1124924 */     GIR_EraseRootFromParent_Done,
     /* 1124925 */   // Label 16492: @1124925
     /* 1124925 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1125002), // Rule ID 64306 //
     /* 1124930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1124938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124969 */     // MIs[0] policy
     /* 1124969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1124982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125001 */     // GIR_Coverage, 64306,
     /* 1125001 */     GIR_EraseRootFromParent_Done,
     /* 1125002 */   // Label 16493: @1125002
     /* 1125002 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1125079), // Rule ID 64307 //
     /* 1125007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125046 */     // MIs[0] policy
     /* 1125046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1125059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125078 */     // GIR_Coverage, 64307,
     /* 1125078 */     GIR_EraseRootFromParent_Done,
     /* 1125079 */   // Label 16494: @1125079
     /* 1125079 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125156), // Rule ID 64308 //
     /* 1125084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125123 */     // MIs[0] policy
     /* 1125123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1125136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125155 */     // GIR_Coverage, 64308,
     /* 1125155 */     GIR_EraseRootFromParent_Done,
     /* 1125156 */   // Label 16495: @1125156
     /* 1125156 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125233), // Rule ID 64309 //
     /* 1125161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125200 */     // MIs[0] policy
     /* 1125200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1125213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125232 */     // GIR_Coverage, 64309,
     /* 1125232 */     GIR_EraseRootFromParent_Done,
     /* 1125233 */   // Label 16496: @1125233
     /* 1125233 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125310), // Rule ID 64310 //
     /* 1125238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125277 */     // MIs[0] policy
     /* 1125277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1125290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125309 */     // GIR_Coverage, 64310,
     /* 1125309 */     GIR_EraseRootFromParent_Done,
     /* 1125310 */   // Label 16497: @1125310
     /* 1125310 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125387), // Rule ID 64311 //
     /* 1125315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125354 */     // MIs[0] policy
     /* 1125354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1125367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125386 */     // GIR_Coverage, 64311,
     /* 1125386 */     GIR_EraseRootFromParent_Done,
     /* 1125387 */   // Label 16498: @1125387
     /* 1125387 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125464), // Rule ID 64312 //
     /* 1125392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1125395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125431 */     // MIs[0] policy
     /* 1125431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1125444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125463 */     // GIR_Coverage, 64312,
     /* 1125463 */     GIR_EraseRootFromParent_Done,
     /* 1125464 */   // Label 16499: @1125464
     /* 1125464 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1125541), // Rule ID 64313 //
     /* 1125469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125508 */     // MIs[0] policy
     /* 1125508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1125521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125540 */     // GIR_Coverage, 64313,
     /* 1125540 */     GIR_EraseRootFromParent_Done,
     /* 1125541 */   // Label 16500: @1125541
     /* 1125541 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1125618), // Rule ID 64314 //
     /* 1125546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1125549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125585 */     // MIs[0] policy
     /* 1125585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1125598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125617 */     // GIR_Coverage, 64314,
     /* 1125617 */     GIR_EraseRootFromParent_Done,
     /* 1125618 */   // Label 16501: @1125618
     /* 1125618 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1125695), // Rule ID 64315 //
     /* 1125623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125662 */     // MIs[0] policy
     /* 1125662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1125675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125694 */     // GIR_Coverage, 64315,
     /* 1125694 */     GIR_EraseRootFromParent_Done,
     /* 1125695 */   // Label 16502: @1125695
     /* 1125695 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1125772), // Rule ID 64316 //
     /* 1125700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1125703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125739 */     // MIs[0] policy
     /* 1125739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1125752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125771 */     // GIR_Coverage, 64316,
     /* 1125771 */     GIR_EraseRootFromParent_Done,
     /* 1125772 */   // Label 16503: @1125772
     /* 1125772 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1125849), // Rule ID 64317 //
     /* 1125777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125816 */     // MIs[0] policy
     /* 1125816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1125829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125848 */     // GIR_Coverage, 64317,
     /* 1125848 */     GIR_EraseRootFromParent_Done,
     /* 1125849 */   // Label 16504: @1125849
     /* 1125849 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1125926), // Rule ID 64318 //
     /* 1125854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1125857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1125862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125893 */     // MIs[0] policy
     /* 1125893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1125906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125925 */     // GIR_Coverage, 64318,
     /* 1125925 */     GIR_EraseRootFromParent_Done,
     /* 1125926 */   // Label 16505: @1125926
     /* 1125926 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1126003), // Rule ID 64319 //
     /* 1125931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1125939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125970 */     // MIs[0] policy
     /* 1125970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1125983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126002 */     // GIR_Coverage, 64319,
     /* 1126002 */     GIR_EraseRootFromParent_Done,
     /* 1126003 */   // Label 16506: @1126003
     /* 1126003 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1126080), // Rule ID 64320 //
     /* 1126008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126047 */     // MIs[0] policy
     /* 1126047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1126060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126079 */     // GIR_Coverage, 64320,
     /* 1126079 */     GIR_EraseRootFromParent_Done,
     /* 1126080 */   // Label 16507: @1126080
     /* 1126080 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126157), // Rule ID 64321 //
     /* 1126085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126124 */     // MIs[0] policy
     /* 1126124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1126137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126156 */     // GIR_Coverage, 64321,
     /* 1126156 */     GIR_EraseRootFromParent_Done,
     /* 1126157 */   // Label 16508: @1126157
     /* 1126157 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126234), // Rule ID 64322 //
     /* 1126162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126201 */     // MIs[0] policy
     /* 1126201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1126214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126233 */     // GIR_Coverage, 64322,
     /* 1126233 */     GIR_EraseRootFromParent_Done,
     /* 1126234 */   // Label 16509: @1126234
     /* 1126234 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126311), // Rule ID 64323 //
     /* 1126239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126278 */     // MIs[0] policy
     /* 1126278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1126291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126310 */     // GIR_Coverage, 64323,
     /* 1126310 */     GIR_EraseRootFromParent_Done,
     /* 1126311 */   // Label 16510: @1126311
     /* 1126311 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126388), // Rule ID 64324 //
     /* 1126316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126355 */     // MIs[0] policy
     /* 1126355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126365 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1126368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126387 */     // GIR_Coverage, 64324,
     /* 1126387 */     GIR_EraseRootFromParent_Done,
     /* 1126388 */   // Label 16511: @1126388
     /* 1126388 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126465), // Rule ID 64325 //
     /* 1126393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126432 */     // MIs[0] policy
     /* 1126432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1126445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126464 */     // GIR_Coverage, 64325,
     /* 1126464 */     GIR_EraseRootFromParent_Done,
     /* 1126465 */   // Label 16512: @1126465
     /* 1126465 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1126542), // Rule ID 64326 //
     /* 1126470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126509 */     // MIs[0] policy
     /* 1126509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1126522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126541 */     // GIR_Coverage, 64326,
     /* 1126541 */     GIR_EraseRootFromParent_Done,
     /* 1126542 */   // Label 16513: @1126542
     /* 1126542 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1126619), // Rule ID 64327 //
     /* 1126547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126586 */     // MIs[0] policy
     /* 1126586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1126599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126618 */     // GIR_Coverage, 64327,
     /* 1126618 */     GIR_EraseRootFromParent_Done,
     /* 1126619 */   // Label 16514: @1126619
     /* 1126619 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1126696), // Rule ID 64328 //
     /* 1126624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126663 */     // MIs[0] policy
     /* 1126663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1126676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126695 */     // GIR_Coverage, 64328,
     /* 1126695 */     GIR_EraseRootFromParent_Done,
     /* 1126696 */   // Label 16515: @1126696
     /* 1126696 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1126773), // Rule ID 64329 //
     /* 1126701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126740 */     // MIs[0] policy
     /* 1126740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126750 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1126753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126772 */     // GIR_Coverage, 64329,
     /* 1126772 */     GIR_EraseRootFromParent_Done,
     /* 1126773 */   // Label 16516: @1126773
     /* 1126773 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1126850), // Rule ID 64330 //
     /* 1126778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126817 */     // MIs[0] policy
     /* 1126817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1126830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126849 */     // GIR_Coverage, 64330,
     /* 1126849 */     GIR_EraseRootFromParent_Done,
     /* 1126850 */   // Label 16517: @1126850
     /* 1126850 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1126927), // Rule ID 64331 //
     /* 1126855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126894 */     // MIs[0] policy
     /* 1126894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1126907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126926 */     // GIR_Coverage, 64331,
     /* 1126926 */     GIR_EraseRootFromParent_Done,
     /* 1126927 */   // Label 16518: @1126927
     /* 1126927 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1127004), // Rule ID 64332 //
     /* 1126932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1126940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126971 */     // MIs[0] policy
     /* 1126971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1126984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127003 */     // GIR_Coverage, 64332,
     /* 1127003 */     GIR_EraseRootFromParent_Done,
     /* 1127004 */   // Label 16519: @1127004
     /* 1127004 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1127081), // Rule ID 64333 //
     /* 1127009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127048 */     // MIs[0] policy
     /* 1127048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1127061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127080 */     // GIR_Coverage, 64333,
     /* 1127080 */     GIR_EraseRootFromParent_Done,
     /* 1127081 */   // Label 16520: @1127081
     /* 1127081 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127158), // Rule ID 64334 //
     /* 1127086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127125 */     // MIs[0] policy
     /* 1127125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127135 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1127138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127157 */     // GIR_Coverage, 64334,
     /* 1127157 */     GIR_EraseRootFromParent_Done,
     /* 1127158 */   // Label 16521: @1127158
     /* 1127158 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127235), // Rule ID 64335 //
     /* 1127163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127202 */     // MIs[0] policy
     /* 1127202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1127215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127234 */     // GIR_Coverage, 64335,
     /* 1127234 */     GIR_EraseRootFromParent_Done,
     /* 1127235 */   // Label 16522: @1127235
     /* 1127235 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127312), // Rule ID 64336 //
     /* 1127240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127279 */     // MIs[0] policy
     /* 1127279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1127292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127311 */     // GIR_Coverage, 64336,
     /* 1127311 */     GIR_EraseRootFromParent_Done,
     /* 1127312 */   // Label 16523: @1127312
     /* 1127312 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127389), // Rule ID 64337 //
     /* 1127317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127356 */     // MIs[0] policy
     /* 1127356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1127369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127388 */     // GIR_Coverage, 64337,
     /* 1127388 */     GIR_EraseRootFromParent_Done,
     /* 1127389 */   // Label 16524: @1127389
     /* 1127389 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1127466), // Rule ID 64338 //
     /* 1127394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127433 */     // MIs[0] policy
     /* 1127433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1127446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127465 */     // GIR_Coverage, 64338,
     /* 1127465 */     GIR_EraseRootFromParent_Done,
     /* 1127466 */   // Label 16525: @1127466
     /* 1127466 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1127543), // Rule ID 64339 //
     /* 1127471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127510 */     // MIs[0] policy
     /* 1127510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1127523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127542 */     // GIR_Coverage, 64339,
     /* 1127542 */     GIR_EraseRootFromParent_Done,
     /* 1127543 */   // Label 16526: @1127543
     /* 1127543 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1127620), // Rule ID 64340 //
     /* 1127548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127587 */     // MIs[0] policy
     /* 1127587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1127600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127619 */     // GIR_Coverage, 64340,
     /* 1127619 */     GIR_EraseRootFromParent_Done,
     /* 1127620 */   // Label 16527: @1127620
     /* 1127620 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1127697), // Rule ID 64341 //
     /* 1127625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127664 */     // MIs[0] policy
     /* 1127664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1127677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127696 */     // GIR_Coverage, 64341,
     /* 1127696 */     GIR_EraseRootFromParent_Done,
     /* 1127697 */   // Label 16528: @1127697
     /* 1127697 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1127774), // Rule ID 64342 //
     /* 1127702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127741 */     // MIs[0] policy
     /* 1127741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1127754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127773 */     // GIR_Coverage, 64342,
     /* 1127773 */     GIR_EraseRootFromParent_Done,
     /* 1127774 */   // Label 16529: @1127774
     /* 1127774 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1127854), // Rule ID 2614 //
     /* 1127779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1127799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127818 */     // MIs[0] round
     /* 1127818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1127831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127853 */     // GIR_Coverage, 2614,
     /* 1127853 */     GIR_EraseRootFromParent_Done,
     /* 1127854 */   // Label 16530: @1127854
     /* 1127854 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1127934), // Rule ID 2615 //
     /* 1127859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1127870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1127873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1127876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1127879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127898 */     // MIs[0] round
     /* 1127898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1127911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127933 */     // GIR_Coverage, 2615,
     /* 1127933 */     GIR_EraseRootFromParent_Done,
     /* 1127934 */   // Label 16531: @1127934
     /* 1127934 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1128014), // Rule ID 2654 //
     /* 1127939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1127942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1127947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1127959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127978 */     // MIs[0] round
     /* 1127978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1127991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128013 */     // GIR_Coverage, 2654,
     /* 1128013 */     GIR_EraseRootFromParent_Done,
     /* 1128014 */   // Label 16532: @1128014
     /* 1128014 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1128094), // Rule ID 2655 //
     /* 1128019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1128022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1128027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128058 */     // MIs[0] round
     /* 1128058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128068 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1128071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128093 */     // GIR_Coverage, 2655,
     /* 1128093 */     GIR_EraseRootFromParent_Done,
     /* 1128094 */   // Label 16533: @1128094
     /* 1128094 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128174), // Rule ID 2674 //
     /* 1128099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1128102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128138 */     // MIs[0] round
     /* 1128138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1128151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128173 */     // GIR_Coverage, 2674,
     /* 1128173 */     GIR_EraseRootFromParent_Done,
     /* 1128174 */   // Label 16534: @1128174
     /* 1128174 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128254), // Rule ID 2675 //
     /* 1128179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1128182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128218 */     // MIs[0] round
     /* 1128218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1128231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128253 */     // GIR_Coverage, 2675,
     /* 1128253 */     GIR_EraseRootFromParent_Done,
     /* 1128254 */   // Label 16535: @1128254
     /* 1128254 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128334), // Rule ID 14824 //
     /* 1128259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1128270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1128273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1128276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1128279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128298 */     // MIs[0] round
     /* 1128298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128333 */     // GIR_Coverage, 14824,
     /* 1128333 */     GIR_EraseRootFromParent_Done,
     /* 1128334 */   // Label 16536: @1128334
     /* 1128334 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128414), // Rule ID 14825 //
     /* 1128339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1128350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1128353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1128356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1128359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128378 */     // MIs[0] round
     /* 1128378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128413 */     // GIR_Coverage, 14825,
     /* 1128413 */     GIR_EraseRootFromParent_Done,
     /* 1128414 */   // Label 16537: @1128414
     /* 1128414 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1128494), // Rule ID 14828 //
     /* 1128419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1128430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1128433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1128439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128458 */     // MIs[0] round
     /* 1128458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128493 */     // GIR_Coverage, 14828,
     /* 1128493 */     GIR_EraseRootFromParent_Done,
     /* 1128494 */   // Label 16538: @1128494
     /* 1128494 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1128574), // Rule ID 14829 //
     /* 1128499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1128510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1128513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1128519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128538 */     // MIs[0] round
     /* 1128538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128548 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128573 */     // GIR_Coverage, 14829,
     /* 1128573 */     GIR_EraseRootFromParent_Done,
     /* 1128574 */   // Label 16539: @1128574
     /* 1128574 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1128654), // Rule ID 14832 //
     /* 1128579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128618 */     // MIs[0] round
     /* 1128618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128653 */     // GIR_Coverage, 14832,
     /* 1128653 */     GIR_EraseRootFromParent_Done,
     /* 1128654 */   // Label 16540: @1128654
     /* 1128654 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1128734), // Rule ID 14833 //
     /* 1128659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1128679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128698 */     // MIs[0] round
     /* 1128698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1128711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128733 */     // GIR_Coverage, 14833,
     /* 1128733 */     GIR_EraseRootFromParent_Done,
     /* 1128734 */   // Label 16541: @1128734
     /* 1128734 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1128814), // Rule ID 14836 //
     /* 1128739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1128759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128778 */     // MIs[0] round
     /* 1128778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128813 */     // GIR_Coverage, 14836,
     /* 1128813 */     GIR_EraseRootFromParent_Done,
     /* 1128814 */   // Label 16542: @1128814
     /* 1128814 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1128894), // Rule ID 14837 //
     /* 1128819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1128839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128858 */     // MIs[0] round
     /* 1128858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128893 */     // GIR_Coverage, 14837,
     /* 1128893 */     GIR_EraseRootFromParent_Done,
     /* 1128894 */   // Label 16543: @1128894
     /* 1128894 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1128974), // Rule ID 14840 //
     /* 1128899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1128919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128938 */     // MIs[0] round
     /* 1128938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1128951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128973 */     // GIR_Coverage, 14840,
     /* 1128973 */     GIR_EraseRootFromParent_Done,
     /* 1128974 */   // Label 16544: @1128974
     /* 1128974 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1129054), // Rule ID 14841 //
     /* 1128979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1128999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129018 */     // MIs[0] round
     /* 1129018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1129031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129053 */     // GIR_Coverage, 14841,
     /* 1129053 */     GIR_EraseRootFromParent_Done,
     /* 1129054 */   // Label 16545: @1129054
     /* 1129054 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129134), // Rule ID 14844 //
     /* 1129059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1129079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129098 */     // MIs[0] round
     /* 1129098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129133 */     // GIR_Coverage, 14844,
     /* 1129133 */     GIR_EraseRootFromParent_Done,
     /* 1129134 */   // Label 16546: @1129134
     /* 1129134 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129214), // Rule ID 14845 //
     /* 1129139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1129159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129178 */     // MIs[0] round
     /* 1129178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129213 */     // GIR_Coverage, 14845,
     /* 1129213 */     GIR_EraseRootFromParent_Done,
     /* 1129214 */   // Label 16547: @1129214
     /* 1129214 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129294), // Rule ID 14848 //
     /* 1129219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129258 */     // MIs[0] round
     /* 1129258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129293 */     // GIR_Coverage, 14848,
     /* 1129293 */     GIR_EraseRootFromParent_Done,
     /* 1129294 */   // Label 16548: @1129294
     /* 1129294 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129374), // Rule ID 14849 //
     /* 1129299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129338 */     // MIs[0] round
     /* 1129338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129373 */     // GIR_Coverage, 14849,
     /* 1129373 */     GIR_EraseRootFromParent_Done,
     /* 1129374 */   // Label 16549: @1129374
     /* 1129374 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1129454), // Rule ID 14852 //
     /* 1129379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129418 */     // MIs[0] round
     /* 1129418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129453 */     // GIR_Coverage, 14852,
     /* 1129453 */     GIR_EraseRootFromParent_Done,
     /* 1129454 */   // Label 16550: @1129454
     /* 1129454 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1129534), // Rule ID 14853 //
     /* 1129459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129498 */     // MIs[0] round
     /* 1129498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129533 */     // GIR_Coverage, 14853,
     /* 1129533 */     GIR_EraseRootFromParent_Done,
     /* 1129534 */   // Label 16551: @1129534
     /* 1129534 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1129614), // Rule ID 14856 //
     /* 1129539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1129556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1129559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129578 */     // MIs[0] round
     /* 1129578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129613 */     // GIR_Coverage, 14856,
     /* 1129613 */     GIR_EraseRootFromParent_Done,
     /* 1129614 */   // Label 16552: @1129614
     /* 1129614 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1129694), // Rule ID 14857 //
     /* 1129619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1129636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1129639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129658 */     // MIs[0] round
     /* 1129658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1129671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129693 */     // GIR_Coverage, 14857,
     /* 1129693 */     GIR_EraseRootFromParent_Done,
     /* 1129694 */   // Label 16553: @1129694
     /* 1129694 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1129774), // Rule ID 14860 //
     /* 1129699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1129719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129738 */     // MIs[0] round
     /* 1129738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1129751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129773 */     // GIR_Coverage, 14860,
     /* 1129773 */     GIR_EraseRootFromParent_Done,
     /* 1129774 */   // Label 16554: @1129774
     /* 1129774 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1129854), // Rule ID 14861 //
     /* 1129779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1129799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129818 */     // MIs[0] round
     /* 1129818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1129831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129853 */     // GIR_Coverage, 14861,
     /* 1129853 */     GIR_EraseRootFromParent_Done,
     /* 1129854 */   // Label 16555: @1129854
     /* 1129854 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1129934), // Rule ID 14864 //
     /* 1129859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1129870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1129873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1129879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129898 */     // MIs[0] round
     /* 1129898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129908 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1129911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129933 */     // GIR_Coverage, 14864,
     /* 1129933 */     GIR_EraseRootFromParent_Done,
     /* 1129934 */   // Label 16556: @1129934
     /* 1129934 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1130014), // Rule ID 14865 //
     /* 1129939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1129950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1129953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1129959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129978 */     // MIs[0] round
     /* 1129978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129988 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1129991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130013 */     // GIR_Coverage, 14865,
     /* 1130013 */     GIR_EraseRootFromParent_Done,
     /* 1130014 */   // Label 16557: @1130014
     /* 1130014 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1130094), // Rule ID 14868 //
     /* 1130019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130058 */     // MIs[0] round
     /* 1130058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130093 */     // GIR_Coverage, 14868,
     /* 1130093 */     GIR_EraseRootFromParent_Done,
     /* 1130094 */   // Label 16558: @1130094
     /* 1130094 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130174), // Rule ID 14869 //
     /* 1130099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130138 */     // MIs[0] round
     /* 1130138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130148 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130173 */     // GIR_Coverage, 14869,
     /* 1130173 */     GIR_EraseRootFromParent_Done,
     /* 1130174 */   // Label 16559: @1130174
     /* 1130174 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130254), // Rule ID 14872 //
     /* 1130179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130218 */     // MIs[0] round
     /* 1130218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130253 */     // GIR_Coverage, 14872,
     /* 1130253 */     GIR_EraseRootFromParent_Done,
     /* 1130254 */   // Label 16560: @1130254
     /* 1130254 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130334), // Rule ID 14873 //
     /* 1130259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130298 */     // MIs[0] round
     /* 1130298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130333 */     // GIR_Coverage, 14873,
     /* 1130333 */     GIR_EraseRootFromParent_Done,
     /* 1130334 */   // Label 16561: @1130334
     /* 1130334 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130414), // Rule ID 14876 //
     /* 1130339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1130350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1130353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1130359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130378 */     // MIs[0] round
     /* 1130378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130413 */     // GIR_Coverage, 14876,
     /* 1130413 */     GIR_EraseRootFromParent_Done,
     /* 1130414 */   // Label 16562: @1130414
     /* 1130414 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1130494), // Rule ID 14877 //
     /* 1130419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1130430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1130433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1130439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130458 */     // MIs[0] round
     /* 1130458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130493 */     // GIR_Coverage, 14877,
     /* 1130493 */     GIR_EraseRootFromParent_Done,
     /* 1130494 */   // Label 16563: @1130494
     /* 1130494 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1130574), // Rule ID 14880 //
     /* 1130499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1130510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1130513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1130519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130538 */     // MIs[0] round
     /* 1130538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130573 */     // GIR_Coverage, 14880,
     /* 1130573 */     GIR_EraseRootFromParent_Done,
     /* 1130574 */   // Label 16564: @1130574
     /* 1130574 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1130654), // Rule ID 14881 //
     /* 1130579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1130590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1130593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1130599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130618 */     // MIs[0] round
     /* 1130618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1130631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130653 */     // GIR_Coverage, 14881,
     /* 1130653 */     GIR_EraseRootFromParent_Done,
     /* 1130654 */   // Label 16565: @1130654
     /* 1130654 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1130734), // Rule ID 14884 //
     /* 1130659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1130679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130698 */     // MIs[0] round
     /* 1130698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130733 */     // GIR_Coverage, 14884,
     /* 1130733 */     GIR_EraseRootFromParent_Done,
     /* 1130734 */   // Label 16566: @1130734
     /* 1130734 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1130814), // Rule ID 14885 //
     /* 1130739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1130759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130778 */     // MIs[0] round
     /* 1130778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1130791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130813 */     // GIR_Coverage, 14885,
     /* 1130813 */     GIR_EraseRootFromParent_Done,
     /* 1130814 */   // Label 16567: @1130814
     /* 1130814 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1130894), // Rule ID 14888 //
     /* 1130819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1130839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130858 */     // MIs[0] round
     /* 1130858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130893 */     // GIR_Coverage, 14888,
     /* 1130893 */     GIR_EraseRootFromParent_Done,
     /* 1130894 */   // Label 16568: @1130894
     /* 1130894 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1130974), // Rule ID 14889 //
     /* 1130899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1130919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130938 */     // MIs[0] round
     /* 1130938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1130951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130973 */     // GIR_Coverage, 14889,
     /* 1130973 */     GIR_EraseRootFromParent_Done,
     /* 1130974 */   // Label 16569: @1130974
     /* 1130974 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1131054), // Rule ID 14892 //
     /* 1130979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1130987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1130996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1130999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131018 */     // MIs[0] round
     /* 1131018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131053 */     // GIR_Coverage, 14892,
     /* 1131053 */     GIR_EraseRootFromParent_Done,
     /* 1131054 */   // Label 16570: @1131054
     /* 1131054 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131134), // Rule ID 14893 //
     /* 1131059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1131079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131098 */     // MIs[0] round
     /* 1131098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131133 */     // GIR_Coverage, 14893,
     /* 1131133 */     GIR_EraseRootFromParent_Done,
     /* 1131134 */   // Label 16571: @1131134
     /* 1131134 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131214), // Rule ID 14896 //
     /* 1131139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1131159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131178 */     // MIs[0] round
     /* 1131178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131213 */     // GIR_Coverage, 14896,
     /* 1131213 */     GIR_EraseRootFromParent_Done,
     /* 1131214 */   // Label 16572: @1131214
     /* 1131214 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131294), // Rule ID 14897 //
     /* 1131219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1131239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131258 */     // MIs[0] round
     /* 1131258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131268 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1131271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131293 */     // GIR_Coverage, 14897,
     /* 1131293 */     GIR_EraseRootFromParent_Done,
     /* 1131294 */   // Label 16573: @1131294
     /* 1131294 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131374), // Rule ID 14900 //
     /* 1131299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1131319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131338 */     // MIs[0] round
     /* 1131338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131373 */     // GIR_Coverage, 14900,
     /* 1131373 */     GIR_EraseRootFromParent_Done,
     /* 1131374 */   // Label 16574: @1131374
     /* 1131374 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1131454), // Rule ID 14901 //
     /* 1131379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1131399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131418 */     // MIs[0] round
     /* 1131418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1131431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131453 */     // GIR_Coverage, 14901,
     /* 1131453 */     GIR_EraseRootFromParent_Done,
     /* 1131454 */   // Label 16575: @1131454
     /* 1131454 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1131534), // Rule ID 14904 //
     /* 1131459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1131479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131498 */     // MIs[0] round
     /* 1131498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131533 */     // GIR_Coverage, 14904,
     /* 1131533 */     GIR_EraseRootFromParent_Done,
     /* 1131534 */   // Label 16576: @1131534
     /* 1131534 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1131614), // Rule ID 14905 //
     /* 1131539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1131559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131578 */     // MIs[0] round
     /* 1131578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1131591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131613 */     // GIR_Coverage, 14905,
     /* 1131613 */     GIR_EraseRootFromParent_Done,
     /* 1131614 */   // Label 16577: @1131614
     /* 1131614 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1131694), // Rule ID 14908 //
     /* 1131619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131658 */     // MIs[0] round
     /* 1131658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131668 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1131671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131693 */     // GIR_Coverage, 14908,
     /* 1131693 */     GIR_EraseRootFromParent_Done,
     /* 1131694 */   // Label 16578: @1131694
     /* 1131694 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1131774), // Rule ID 14909 //
     /* 1131699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131738 */     // MIs[0] round
     /* 1131738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1131751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131773 */     // GIR_Coverage, 14909,
     /* 1131773 */     GIR_EraseRootFromParent_Done,
     /* 1131774 */   // Label 16579: @1131774
     /* 1131774 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1131854), // Rule ID 14912 //
     /* 1131779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131818 */     // MIs[0] round
     /* 1131818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131828 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1131831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131853 */     // GIR_Coverage, 14912,
     /* 1131853 */     GIR_EraseRootFromParent_Done,
     /* 1131854 */   // Label 16580: @1131854
     /* 1131854 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1131934), // Rule ID 14913 //
     /* 1131859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131898 */     // MIs[0] round
     /* 1131898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1131911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131933 */     // GIR_Coverage, 14913,
     /* 1131933 */     GIR_EraseRootFromParent_Done,
     /* 1131934 */   // Label 16581: @1131934
     /* 1131934 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1132014), // Rule ID 14916 //
     /* 1131939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1131947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1131950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1131953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131978 */     // MIs[0] round
     /* 1131978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131988 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1131991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132013 */     // GIR_Coverage, 14916,
     /* 1132013 */     GIR_EraseRootFromParent_Done,
     /* 1132014 */   // Label 16582: @1132014
     /* 1132014 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1132094), // Rule ID 14917 //
     /* 1132019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1132030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1132033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1132036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132058 */     // MIs[0] round
     /* 1132058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132093 */     // GIR_Coverage, 14917,
     /* 1132093 */     GIR_EraseRootFromParent_Done,
     /* 1132094 */   // Label 16583: @1132094
     /* 1132094 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132174), // Rule ID 14920 //
     /* 1132099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132138 */     // MIs[0] round
     /* 1132138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132173 */     // GIR_Coverage, 14920,
     /* 1132173 */     GIR_EraseRootFromParent_Done,
     /* 1132174 */   // Label 16584: @1132174
     /* 1132174 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132254), // Rule ID 14921 //
     /* 1132179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132218 */     // MIs[0] round
     /* 1132218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1132231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132253 */     // GIR_Coverage, 14921,
     /* 1132253 */     GIR_EraseRootFromParent_Done,
     /* 1132254 */   // Label 16585: @1132254
     /* 1132254 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132334), // Rule ID 14924 //
     /* 1132259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1132270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1132273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1132276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132298 */     // MIs[0] round
     /* 1132298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132333 */     // GIR_Coverage, 14924,
     /* 1132333 */     GIR_EraseRootFromParent_Done,
     /* 1132334 */   // Label 16586: @1132334
     /* 1132334 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132414), // Rule ID 14925 //
     /* 1132339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1132350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1132353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1132356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132378 */     // MIs[0] round
     /* 1132378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132413 */     // GIR_Coverage, 14925,
     /* 1132413 */     GIR_EraseRootFromParent_Done,
     /* 1132414 */   // Label 16587: @1132414
     /* 1132414 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1132494), // Rule ID 14928 //
     /* 1132419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132458 */     // MIs[0] round
     /* 1132458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132493 */     // GIR_Coverage, 14928,
     /* 1132493 */     GIR_EraseRootFromParent_Done,
     /* 1132494 */   // Label 16588: @1132494
     /* 1132494 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1132574), // Rule ID 14929 //
     /* 1132499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132538 */     // MIs[0] round
     /* 1132538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1132551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132573 */     // GIR_Coverage, 14929,
     /* 1132573 */     GIR_EraseRootFromParent_Done,
     /* 1132574 */   // Label 16589: @1132574
     /* 1132574 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1132654), // Rule ID 14932 //
     /* 1132579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132618 */     // MIs[0] round
     /* 1132618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132653 */     // GIR_Coverage, 14932,
     /* 1132653 */     GIR_EraseRootFromParent_Done,
     /* 1132654 */   // Label 16590: @1132654
     /* 1132654 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1132734), // Rule ID 14933 //
     /* 1132659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132698 */     // MIs[0] round
     /* 1132698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132733 */     // GIR_Coverage, 14933,
     /* 1132733 */     GIR_EraseRootFromParent_Done,
     /* 1132734 */   // Label 16591: @1132734
     /* 1132734 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1132814), // Rule ID 14936 //
     /* 1132739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132778 */     // MIs[0] round
     /* 1132778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132813 */     // GIR_Coverage, 14936,
     /* 1132813 */     GIR_EraseRootFromParent_Done,
     /* 1132814 */   // Label 16592: @1132814
     /* 1132814 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1132894), // Rule ID 14937 //
     /* 1132819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132858 */     // MIs[0] round
     /* 1132858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132893 */     // GIR_Coverage, 14937,
     /* 1132893 */     GIR_EraseRootFromParent_Done,
     /* 1132894 */   // Label 16593: @1132894
     /* 1132894 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1132974), // Rule ID 14940 //
     /* 1132899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132938 */     // MIs[0] round
     /* 1132938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1132951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132973 */     // GIR_Coverage, 14940,
     /* 1132973 */     GIR_EraseRootFromParent_Done,
     /* 1132974 */   // Label 16594: @1132974
     /* 1132974 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1133054), // Rule ID 14941 //
     /* 1132979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133018 */     // MIs[0] round
     /* 1133018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133053 */     // GIR_Coverage, 14941,
     /* 1133053 */     GIR_EraseRootFromParent_Done,
     /* 1133054 */   // Label 16595: @1133054
     /* 1133054 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133134), // Rule ID 14944 //
     /* 1133059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133098 */     // MIs[0] round
     /* 1133098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133133 */     // GIR_Coverage, 14944,
     /* 1133133 */     GIR_EraseRootFromParent_Done,
     /* 1133134 */   // Label 16596: @1133134
     /* 1133134 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133214), // Rule ID 14945 //
     /* 1133139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133178 */     // MIs[0] round
     /* 1133178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1133191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133213 */     // GIR_Coverage, 14945,
     /* 1133213 */     GIR_EraseRootFromParent_Done,
     /* 1133214 */   // Label 16597: @1133214
     /* 1133214 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133294), // Rule ID 14948 //
     /* 1133219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133258 */     // MIs[0] round
     /* 1133258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133293 */     // GIR_Coverage, 14948,
     /* 1133293 */     GIR_EraseRootFromParent_Done,
     /* 1133294 */   // Label 16598: @1133294
     /* 1133294 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133374), // Rule ID 14949 //
     /* 1133299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133338 */     // MIs[0] round
     /* 1133338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133373 */     // GIR_Coverage, 14949,
     /* 1133373 */     GIR_EraseRootFromParent_Done,
     /* 1133374 */   // Label 16599: @1133374
     /* 1133374 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1133454), // Rule ID 14952 //
     /* 1133379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1133390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1133393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1133396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133418 */     // MIs[0] round
     /* 1133418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133428 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1133431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133453 */     // GIR_Coverage, 14952,
     /* 1133453 */     GIR_EraseRootFromParent_Done,
     /* 1133454 */   // Label 16600: @1133454
     /* 1133454 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1133534), // Rule ID 14953 //
     /* 1133459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1133470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1133473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1133476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133498 */     // MIs[0] round
     /* 1133498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1133511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133533 */     // GIR_Coverage, 14953,
     /* 1133533 */     GIR_EraseRootFromParent_Done,
     /* 1133534 */   // Label 16601: @1133534
     /* 1133534 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1133614), // Rule ID 14956 //
     /* 1133539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1133550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1133553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1133556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133578 */     // MIs[0] round
     /* 1133578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133588 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1133591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133613 */     // GIR_Coverage, 14956,
     /* 1133613 */     GIR_EraseRootFromParent_Done,
     /* 1133614 */   // Label 16602: @1133614
     /* 1133614 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1133694), // Rule ID 14957 //
     /* 1133619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1133630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1133633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1133636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133658 */     // MIs[0] round
     /* 1133658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133668 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1133671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133693 */     // GIR_Coverage, 14957,
     /* 1133693 */     GIR_EraseRootFromParent_Done,
     /* 1133694 */   // Label 16603: @1133694
     /* 1133694 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1133774), // Rule ID 14960 //
     /* 1133699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133738 */     // MIs[0] round
     /* 1133738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133773 */     // GIR_Coverage, 14960,
     /* 1133773 */     GIR_EraseRootFromParent_Done,
     /* 1133774 */   // Label 16604: @1133774
     /* 1133774 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1133854), // Rule ID 14961 //
     /* 1133779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133818 */     // MIs[0] round
     /* 1133818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1133831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133853 */     // GIR_Coverage, 14961,
     /* 1133853 */     GIR_EraseRootFromParent_Done,
     /* 1133854 */   // Label 16605: @1133854
     /* 1133854 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1133934), // Rule ID 14964 //
     /* 1133859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1133870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1133873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1133876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133898 */     // MIs[0] round
     /* 1133898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1133911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133933 */     // GIR_Coverage, 14964,
     /* 1133933 */     GIR_EraseRootFromParent_Done,
     /* 1133934 */   // Label 16606: @1133934
     /* 1133934 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1134014), // Rule ID 14965 //
     /* 1133939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1133950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1133953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1133956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133978 */     // MIs[0] round
     /* 1133978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1133991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134013 */     // GIR_Coverage, 14965,
     /* 1134013 */     GIR_EraseRootFromParent_Done,
     /* 1134014 */   // Label 16607: @1134014
     /* 1134014 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1134094), // Rule ID 14968 //
     /* 1134019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134058 */     // MIs[0] round
     /* 1134058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134068 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134093 */     // GIR_Coverage, 14968,
     /* 1134093 */     GIR_EraseRootFromParent_Done,
     /* 1134094 */   // Label 16608: @1134094
     /* 1134094 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134174), // Rule ID 14969 //
     /* 1134099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134138 */     // MIs[0] round
     /* 1134138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134148 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134173 */     // GIR_Coverage, 14969,
     /* 1134173 */     GIR_EraseRootFromParent_Done,
     /* 1134174 */   // Label 16609: @1134174
     /* 1134174 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134254), // Rule ID 14972 //
     /* 1134179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134218 */     // MIs[0] round
     /* 1134218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134253 */     // GIR_Coverage, 14972,
     /* 1134253 */     GIR_EraseRootFromParent_Done,
     /* 1134254 */   // Label 16610: @1134254
     /* 1134254 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134334), // Rule ID 14973 //
     /* 1134259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134298 */     // MIs[0] round
     /* 1134298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134333 */     // GIR_Coverage, 14973,
     /* 1134333 */     GIR_EraseRootFromParent_Done,
     /* 1134334 */   // Label 16611: @1134334
     /* 1134334 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134414), // Rule ID 14976 //
     /* 1134339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1134350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1134353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134378 */     // MIs[0] round
     /* 1134378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134413 */     // GIR_Coverage, 14976,
     /* 1134413 */     GIR_EraseRootFromParent_Done,
     /* 1134414 */   // Label 16612: @1134414
     /* 1134414 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1134494), // Rule ID 14977 //
     /* 1134419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1134430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1134433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134458 */     // MIs[0] round
     /* 1134458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134493 */     // GIR_Coverage, 14977,
     /* 1134493 */     GIR_EraseRootFromParent_Done,
     /* 1134494 */   // Label 16613: @1134494
     /* 1134494 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1134574), // Rule ID 14980 //
     /* 1134499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1134510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1134513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1134516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134538 */     // MIs[0] round
     /* 1134538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134573 */     // GIR_Coverage, 14980,
     /* 1134573 */     GIR_EraseRootFromParent_Done,
     /* 1134574 */   // Label 16614: @1134574
     /* 1134574 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1134654), // Rule ID 14981 //
     /* 1134579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1134590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1134593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1134596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134618 */     // MIs[0] round
     /* 1134618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1134631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134653 */     // GIR_Coverage, 14981,
     /* 1134653 */     GIR_EraseRootFromParent_Done,
     /* 1134654 */   // Label 16615: @1134654
     /* 1134654 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1134734), // Rule ID 14984 //
     /* 1134659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134698 */     // MIs[0] round
     /* 1134698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134733 */     // GIR_Coverage, 14984,
     /* 1134733 */     GIR_EraseRootFromParent_Done,
     /* 1134734 */   // Label 16616: @1134734
     /* 1134734 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1134814), // Rule ID 14985 //
     /* 1134739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134778 */     // MIs[0] round
     /* 1134778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1134791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134813 */     // GIR_Coverage, 14985,
     /* 1134813 */     GIR_EraseRootFromParent_Done,
     /* 1134814 */   // Label 16617: @1134814
     /* 1134814 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1134894), // Rule ID 14988 //
     /* 1134819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134858 */     // MIs[0] round
     /* 1134858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134893 */     // GIR_Coverage, 14988,
     /* 1134893 */     GIR_EraseRootFromParent_Done,
     /* 1134894 */   // Label 16618: @1134894
     /* 1134894 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1134974), // Rule ID 14989 //
     /* 1134899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134938 */     // MIs[0] round
     /* 1134938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1134951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134973 */     // GIR_Coverage, 14989,
     /* 1134973 */     GIR_EraseRootFromParent_Done,
     /* 1134974 */   // Label 16619: @1134974
     /* 1134974 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1135054), // Rule ID 14992 //
     /* 1134979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135018 */     // MIs[0] round
     /* 1135018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135053 */     // GIR_Coverage, 14992,
     /* 1135053 */     GIR_EraseRootFromParent_Done,
     /* 1135054 */   // Label 16620: @1135054
     /* 1135054 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135134), // Rule ID 14993 //
     /* 1135059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1135070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1135073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1135076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135098 */     // MIs[0] round
     /* 1135098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1135111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135133 */     // GIR_Coverage, 14993,
     /* 1135133 */     GIR_EraseRootFromParent_Done,
     /* 1135134 */   // Label 16621: @1135134
     /* 1135134 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135214), // Rule ID 14996 //
     /* 1135139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1135159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135178 */     // MIs[0] round
     /* 1135178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135188 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1135191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135213 */     // GIR_Coverage, 14996,
     /* 1135213 */     GIR_EraseRootFromParent_Done,
     /* 1135214 */   // Label 16622: @1135214
     /* 1135214 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135294), // Rule ID 14997 //
     /* 1135219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1135239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135258 */     // MIs[0] round
     /* 1135258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1135271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135293 */     // GIR_Coverage, 14997,
     /* 1135293 */     GIR_EraseRootFromParent_Done,
     /* 1135294 */   // Label 16623: @1135294
     /* 1135294 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135374), // Rule ID 15000 //
     /* 1135299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1135316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1135319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135338 */     // MIs[0] round
     /* 1135338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135373 */     // GIR_Coverage, 15000,
     /* 1135373 */     GIR_EraseRootFromParent_Done,
     /* 1135374 */   // Label 16624: @1135374
     /* 1135374 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1135454), // Rule ID 15001 //
     /* 1135379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1135396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1135399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135418 */     // MIs[0] round
     /* 1135418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135428 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135453 */     // GIR_Coverage, 15001,
     /* 1135453 */     GIR_EraseRootFromParent_Done,
     /* 1135454 */   // Label 16625: @1135454
     /* 1135454 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1135534), // Rule ID 15004 //
     /* 1135459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1135476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1135479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135498 */     // MIs[0] round
     /* 1135498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1135511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135533 */     // GIR_Coverage, 15004,
     /* 1135533 */     GIR_EraseRootFromParent_Done,
     /* 1135534 */   // Label 16626: @1135534
     /* 1135534 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1135614), // Rule ID 15005 //
     /* 1135539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1135556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1135559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135578 */     // MIs[0] round
     /* 1135578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135588 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1135591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135613 */     // GIR_Coverage, 15005,
     /* 1135613 */     GIR_EraseRootFromParent_Done,
     /* 1135614 */   // Label 16627: @1135614
     /* 1135614 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1135694), // Rule ID 15008 //
     /* 1135619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1135639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135658 */     // MIs[0] round
     /* 1135658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135693 */     // GIR_Coverage, 15008,
     /* 1135693 */     GIR_EraseRootFromParent_Done,
     /* 1135694 */   // Label 16628: @1135694
     /* 1135694 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1135774), // Rule ID 15009 //
     /* 1135699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1135719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135738 */     // MIs[0] round
     /* 1135738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135748 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1135751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135773 */     // GIR_Coverage, 15009,
     /* 1135773 */     GIR_EraseRootFromParent_Done,
     /* 1135774 */   // Label 16629: @1135774
     /* 1135774 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1135854), // Rule ID 15012 //
     /* 1135779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1135799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135818 */     // MIs[0] round
     /* 1135818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1135831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135853 */     // GIR_Coverage, 15012,
     /* 1135853 */     GIR_EraseRootFromParent_Done,
     /* 1135854 */   // Label 16630: @1135854
     /* 1135854 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1135934), // Rule ID 15013 //
     /* 1135859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1135879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135898 */     // MIs[0] round
     /* 1135898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1135911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135933 */     // GIR_Coverage, 15013,
     /* 1135933 */     GIR_EraseRootFromParent_Done,
     /* 1135934 */   // Label 16631: @1135934
     /* 1135934 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1136014), // Rule ID 15016 //
     /* 1135939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1135950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1135953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1135959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135978 */     // MIs[0] round
     /* 1135978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1135991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136013 */     // GIR_Coverage, 15016,
     /* 1136013 */     GIR_EraseRootFromParent_Done,
     /* 1136014 */   // Label 16632: @1136014
     /* 1136014 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1136094), // Rule ID 15017 //
     /* 1136019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1136039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136058 */     // MIs[0] round
     /* 1136058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1136071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136093 */     // GIR_Coverage, 15017,
     /* 1136093 */     GIR_EraseRootFromParent_Done,
     /* 1136094 */   // Label 16633: @1136094
     /* 1136094 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136174), // Rule ID 15020 //
     /* 1136099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1136119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136138 */     // MIs[0] round
     /* 1136138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136173 */     // GIR_Coverage, 15020,
     /* 1136173 */     GIR_EraseRootFromParent_Done,
     /* 1136174 */   // Label 16634: @1136174
     /* 1136174 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136254), // Rule ID 15021 //
     /* 1136179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1136199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136218 */     // MIs[0] round
     /* 1136218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136253 */     // GIR_Coverage, 15021,
     /* 1136253 */     GIR_EraseRootFromParent_Done,
     /* 1136254 */   // Label 16635: @1136254
     /* 1136254 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136334), // Rule ID 15024 //
     /* 1136259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1136270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1136273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1136276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1136279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136298 */     // MIs[0] round
     /* 1136298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136333 */     // GIR_Coverage, 15024,
     /* 1136333 */     GIR_EraseRootFromParent_Done,
     /* 1136334 */   // Label 16636: @1136334
     /* 1136334 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136414), // Rule ID 15025 //
     /* 1136339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1136350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1136353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1136356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1136359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136378 */     // MIs[0] round
     /* 1136378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136413 */     // GIR_Coverage, 15025,
     /* 1136413 */     GIR_EraseRootFromParent_Done,
     /* 1136414 */   // Label 16637: @1136414
     /* 1136414 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1136494), // Rule ID 15028 //
     /* 1136419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1136439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136458 */     // MIs[0] round
     /* 1136458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136493 */     // GIR_Coverage, 15028,
     /* 1136493 */     GIR_EraseRootFromParent_Done,
     /* 1136494 */   // Label 16638: @1136494
     /* 1136494 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1136574), // Rule ID 15029 //
     /* 1136499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1136519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136538 */     // MIs[0] round
     /* 1136538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136573 */     // GIR_Coverage, 15029,
     /* 1136573 */     GIR_EraseRootFromParent_Done,
     /* 1136574 */   // Label 16639: @1136574
     /* 1136574 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1136654), // Rule ID 15032 //
     /* 1136579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1136582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1136599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136618 */     // MIs[0] round
     /* 1136618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136653 */     // GIR_Coverage, 15032,
     /* 1136653 */     GIR_EraseRootFromParent_Done,
     /* 1136654 */   // Label 16640: @1136654
     /* 1136654 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1136734), // Rule ID 15033 //
     /* 1136659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1136679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136698 */     // MIs[0] round
     /* 1136698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1136711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136733 */     // GIR_Coverage, 15033,
     /* 1136733 */     GIR_EraseRootFromParent_Done,
     /* 1136734 */   // Label 16641: @1136734
     /* 1136734 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1136814), // Rule ID 15036 //
     /* 1136739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1136759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136778 */     // MIs[0] round
     /* 1136778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136788 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1136791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136813 */     // GIR_Coverage, 15036,
     /* 1136813 */     GIR_EraseRootFromParent_Done,
     /* 1136814 */   // Label 16642: @1136814
     /* 1136814 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1136894), // Rule ID 15037 //
     /* 1136819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1136839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136858 */     // MIs[0] round
     /* 1136858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1136871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136893 */     // GIR_Coverage, 15037,
     /* 1136893 */     GIR_EraseRootFromParent_Done,
     /* 1136894 */   // Label 16643: @1136894
     /* 1136894 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1136974), // Rule ID 15040 //
     /* 1136899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1136910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1136913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1136916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1136919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136938 */     // MIs[0] round
     /* 1136938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136948 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1136951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136973 */     // GIR_Coverage, 15040,
     /* 1136973 */     GIR_EraseRootFromParent_Done,
     /* 1136974 */   // Label 16644: @1136974
     /* 1136974 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1137054), // Rule ID 15041 //
     /* 1136979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1136990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1136993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1136996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1136999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137018 */     // MIs[0] round
     /* 1137018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137028 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137053 */     // GIR_Coverage, 15041,
     /* 1137053 */     GIR_EraseRootFromParent_Done,
     /* 1137054 */   // Label 16645: @1137054
     /* 1137054 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137134), // Rule ID 15044 //
     /* 1137059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1137079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137098 */     // MIs[0] round
     /* 1137098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137133 */     // GIR_Coverage, 15044,
     /* 1137133 */     GIR_EraseRootFromParent_Done,
     /* 1137134 */   // Label 16646: @1137134
     /* 1137134 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137214), // Rule ID 15045 //
     /* 1137139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1137159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137178 */     // MIs[0] round
     /* 1137178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137188 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137213 */     // GIR_Coverage, 15045,
     /* 1137213 */     GIR_EraseRootFromParent_Done,
     /* 1137214 */   // Label 16647: @1137214
     /* 1137214 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137294), // Rule ID 15048 //
     /* 1137219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1137239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137258 */     // MIs[0] round
     /* 1137258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137293 */     // GIR_Coverage, 15048,
     /* 1137293 */     GIR_EraseRootFromParent_Done,
     /* 1137294 */   // Label 16648: @1137294
     /* 1137294 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137374), // Rule ID 15049 //
     /* 1137299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1137319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137338 */     // MIs[0] round
     /* 1137338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137373 */     // GIR_Coverage, 15049,
     /* 1137373 */     GIR_EraseRootFromParent_Done,
     /* 1137374 */   // Label 16649: @1137374
     /* 1137374 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1137454), // Rule ID 15052 //
     /* 1137379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1137390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1137393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1137396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1137399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137418 */     // MIs[0] round
     /* 1137418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137453 */     // GIR_Coverage, 15052,
     /* 1137453 */     GIR_EraseRootFromParent_Done,
     /* 1137454 */   // Label 16650: @1137454
     /* 1137454 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1137534), // Rule ID 15053 //
     /* 1137459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1137470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1137473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1137476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1137479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137498 */     // MIs[0] round
     /* 1137498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137533 */     // GIR_Coverage, 15053,
     /* 1137533 */     GIR_EraseRootFromParent_Done,
     /* 1137534 */   // Label 16651: @1137534
     /* 1137534 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1137614), // Rule ID 15056 //
     /* 1137539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1137550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1137553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1137556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1137559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137578 */     // MIs[0] round
     /* 1137578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137588 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137613 */     // GIR_Coverage, 15056,
     /* 1137613 */     GIR_EraseRootFromParent_Done,
     /* 1137614 */   // Label 16652: @1137614
     /* 1137614 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1137694), // Rule ID 15057 //
     /* 1137619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1137630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1137633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1137636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1137639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137658 */     // MIs[0] round
     /* 1137658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1137671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137693 */     // GIR_Coverage, 15057,
     /* 1137693 */     GIR_EraseRootFromParent_Done,
     /* 1137694 */   // Label 16653: @1137694
     /* 1137694 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1137774), // Rule ID 15060 //
     /* 1137699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1137719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137738 */     // MIs[0] round
     /* 1137738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137773 */     // GIR_Coverage, 15060,
     /* 1137773 */     GIR_EraseRootFromParent_Done,
     /* 1137774 */   // Label 16654: @1137774
     /* 1137774 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1137854), // Rule ID 15061 //
     /* 1137779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1137799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137818 */     // MIs[0] round
     /* 1137818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1137831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137853 */     // GIR_Coverage, 15061,
     /* 1137853 */     GIR_EraseRootFromParent_Done,
     /* 1137854 */   // Label 16655: @1137854
     /* 1137854 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1137934), // Rule ID 15064 //
     /* 1137859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1137870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1137873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1137876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1137879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137898 */     // MIs[0] round
     /* 1137898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137933 */     // GIR_Coverage, 15064,
     /* 1137933 */     GIR_EraseRootFromParent_Done,
     /* 1137934 */   // Label 16656: @1137934
     /* 1137934 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1138014), // Rule ID 15065 //
     /* 1137939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1137947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1137950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1137953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1137956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1137959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137978 */     // MIs[0] round
     /* 1137978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137988 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1137991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138013 */     // GIR_Coverage, 15065,
     /* 1138013 */     GIR_EraseRootFromParent_Done,
     /* 1138014 */   // Label 16657: @1138014
     /* 1138014 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1138094), // Rule ID 15068 //
     /* 1138019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1138039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138058 */     // MIs[0] round
     /* 1138058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138093 */     // GIR_Coverage, 15068,
     /* 1138093 */     GIR_EraseRootFromParent_Done,
     /* 1138094 */   // Label 16658: @1138094
     /* 1138094 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138174), // Rule ID 15069 //
     /* 1138099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1138119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138138 */     // MIs[0] round
     /* 1138138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138173 */     // GIR_Coverage, 15069,
     /* 1138173 */     GIR_EraseRootFromParent_Done,
     /* 1138174 */   // Label 16659: @1138174
     /* 1138174 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138254), // Rule ID 15072 //
     /* 1138179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1138199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138218 */     // MIs[0] round
     /* 1138218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138253 */     // GIR_Coverage, 15072,
     /* 1138253 */     GIR_EraseRootFromParent_Done,
     /* 1138254 */   // Label 16660: @1138254
     /* 1138254 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138334), // Rule ID 15073 //
     /* 1138259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1138279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138298 */     // MIs[0] round
     /* 1138298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1138311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138333 */     // GIR_Coverage, 15073,
     /* 1138333 */     GIR_EraseRootFromParent_Done,
     /* 1138334 */   // Label 16661: @1138334
     /* 1138334 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138414), // Rule ID 15076 //
     /* 1138339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1138350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1138353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1138356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1138359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138378 */     // MIs[0] round
     /* 1138378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138413 */     // GIR_Coverage, 15076,
     /* 1138413 */     GIR_EraseRootFromParent_Done,
     /* 1138414 */   // Label 16662: @1138414
     /* 1138414 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1138494), // Rule ID 15077 //
     /* 1138419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1138430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1138433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1138436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1138439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138458 */     // MIs[0] round
     /* 1138458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1138471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138493 */     // GIR_Coverage, 15077,
     /* 1138493 */     GIR_EraseRootFromParent_Done,
     /* 1138494 */   // Label 16663: @1138494
     /* 1138494 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1138574), // Rule ID 15080 //
     /* 1138499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1138510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1138513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1138516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1138519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138538 */     // MIs[0] round
     /* 1138538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138573 */     // GIR_Coverage, 15080,
     /* 1138573 */     GIR_EraseRootFromParent_Done,
     /* 1138574 */   // Label 16664: @1138574
     /* 1138574 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1138654), // Rule ID 15081 //
     /* 1138579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1138590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1138593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1138596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1138599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138618 */     // MIs[0] round
     /* 1138618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1138631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138653 */     // GIR_Coverage, 15081,
     /* 1138653 */     GIR_EraseRootFromParent_Done,
     /* 1138654 */   // Label 16665: @1138654
     /* 1138654 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1138734), // Rule ID 15084 //
     /* 1138659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138698 */     // MIs[0] round
     /* 1138698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1138711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138733 */     // GIR_Coverage, 15084,
     /* 1138733 */     GIR_EraseRootFromParent_Done,
     /* 1138734 */   // Label 16666: @1138734
     /* 1138734 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1138814), // Rule ID 15085 //
     /* 1138739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138778 */     // MIs[0] round
     /* 1138778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1138791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138813 */     // GIR_Coverage, 15085,
     /* 1138813 */     GIR_EraseRootFromParent_Done,
     /* 1138814 */   // Label 16667: @1138814
     /* 1138814 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1138894), // Rule ID 15088 //
     /* 1138819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138858 */     // MIs[0] round
     /* 1138858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138868 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1138871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138893 */     // GIR_Coverage, 15088,
     /* 1138893 */     GIR_EraseRootFromParent_Done,
     /* 1138894 */   // Label 16668: @1138894
     /* 1138894 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1138974), // Rule ID 15089 //
     /* 1138899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138938 */     // MIs[0] round
     /* 1138938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1138951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138973 */     // GIR_Coverage, 15089,
     /* 1138973 */     GIR_EraseRootFromParent_Done,
     /* 1138974 */   // Label 16669: @1138974
     /* 1138974 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1139054), // Rule ID 15092 //
     /* 1138979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1138987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1138990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1138993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1138996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139018 */     // MIs[0] round
     /* 1139018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139053 */     // GIR_Coverage, 15092,
     /* 1139053 */     GIR_EraseRootFromParent_Done,
     /* 1139054 */   // Label 16670: @1139054
     /* 1139054 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139134), // Rule ID 15093 //
     /* 1139059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1139070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1139073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1139076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139098 */     // MIs[0] round
     /* 1139098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139133 */     // GIR_Coverage, 15093,
     /* 1139133 */     GIR_EraseRootFromParent_Done,
     /* 1139134 */   // Label 16671: @1139134
     /* 1139134 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139214), // Rule ID 15096 //
     /* 1139139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139178 */     // MIs[0] round
     /* 1139178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139213 */     // GIR_Coverage, 15096,
     /* 1139213 */     GIR_EraseRootFromParent_Done,
     /* 1139214 */   // Label 16672: @1139214
     /* 1139214 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139294), // Rule ID 15097 //
     /* 1139219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139258 */     // MIs[0] round
     /* 1139258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1139271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139293 */     // GIR_Coverage, 15097,
     /* 1139293 */     GIR_EraseRootFromParent_Done,
     /* 1139294 */   // Label 16673: @1139294
     /* 1139294 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139374), // Rule ID 15100 //
     /* 1139299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1139310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1139313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1139316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139338 */     // MIs[0] round
     /* 1139338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139373 */     // GIR_Coverage, 15100,
     /* 1139373 */     GIR_EraseRootFromParent_Done,
     /* 1139374 */   // Label 16674: @1139374
     /* 1139374 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1139454), // Rule ID 15101 //
     /* 1139379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1139390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1139393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1139396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139418 */     // MIs[0] round
     /* 1139418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139453 */     // GIR_Coverage, 15101,
     /* 1139453 */     GIR_EraseRootFromParent_Done,
     /* 1139454 */   // Label 16675: @1139454
     /* 1139454 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1139534), // Rule ID 15104 //
     /* 1139459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1139470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1139473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1139476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139498 */     // MIs[0] round
     /* 1139498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139508 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139533 */     // GIR_Coverage, 15104,
     /* 1139533 */     GIR_EraseRootFromParent_Done,
     /* 1139534 */   // Label 16676: @1139534
     /* 1139534 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1139614), // Rule ID 15105 //
     /* 1139539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1139550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1139553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1139556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139578 */     // MIs[0] round
     /* 1139578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1139591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139613 */     // GIR_Coverage, 15105,
     /* 1139613 */     GIR_EraseRootFromParent_Done,
     /* 1139614 */   // Label 16677: @1139614
     /* 1139614 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1139694), // Rule ID 15108 //
     /* 1139619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139658 */     // MIs[0] round
     /* 1139658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1139671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139693 */     // GIR_Coverage, 15108,
     /* 1139693 */     GIR_EraseRootFromParent_Done,
     /* 1139694 */   // Label 16678: @1139694
     /* 1139694 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1139774), // Rule ID 15109 //
     /* 1139699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139738 */     // MIs[0] round
     /* 1139738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1139751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139773 */     // GIR_Coverage, 15109,
     /* 1139773 */     GIR_EraseRootFromParent_Done,
     /* 1139774 */   // Label 16679: @1139774
     /* 1139774 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1139854), // Rule ID 15112 //
     /* 1139779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139818 */     // MIs[0] round
     /* 1139818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1139831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139853 */     // GIR_Coverage, 15112,
     /* 1139853 */     GIR_EraseRootFromParent_Done,
     /* 1139854 */   // Label 16680: @1139854
     /* 1139854 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1139934), // Rule ID 15113 //
     /* 1139859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139898 */     // MIs[0] round
     /* 1139898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1139911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139933 */     // GIR_Coverage, 15113,
     /* 1139933 */     GIR_EraseRootFromParent_Done,
     /* 1139934 */   // Label 16681: @1139934
     /* 1139934 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1140014), // Rule ID 15116 //
     /* 1139939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1139950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1139953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1139956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139978 */     // MIs[0] round
     /* 1139978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1139991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140013 */     // GIR_Coverage, 15116,
     /* 1140013 */     GIR_EraseRootFromParent_Done,
     /* 1140014 */   // Label 16682: @1140014
     /* 1140014 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1140094), // Rule ID 15117 //
     /* 1140019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140058 */     // MIs[0] round
     /* 1140058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140093 */     // GIR_Coverage, 15117,
     /* 1140093 */     GIR_EraseRootFromParent_Done,
     /* 1140094 */   // Label 16683: @1140094
     /* 1140094 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140174), // Rule ID 15120 //
     /* 1140099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140138 */     // MIs[0] round
     /* 1140138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140173 */     // GIR_Coverage, 15120,
     /* 1140173 */     GIR_EraseRootFromParent_Done,
     /* 1140174 */   // Label 16684: @1140174
     /* 1140174 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140254), // Rule ID 15121 //
     /* 1140179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140218 */     // MIs[0] round
     /* 1140218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1140231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140253 */     // GIR_Coverage, 15121,
     /* 1140253 */     GIR_EraseRootFromParent_Done,
     /* 1140254 */   // Label 16685: @1140254
     /* 1140254 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140334), // Rule ID 15124 //
     /* 1140259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1140270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1140273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1140276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140298 */     // MIs[0] round
     /* 1140298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140333 */     // GIR_Coverage, 15124,
     /* 1140333 */     GIR_EraseRootFromParent_Done,
     /* 1140334 */   // Label 16686: @1140334
     /* 1140334 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140414), // Rule ID 15125 //
     /* 1140339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1140350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1140353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1140356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140378 */     // MIs[0] round
     /* 1140378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140388 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140413 */     // GIR_Coverage, 15125,
     /* 1140413 */     GIR_EraseRootFromParent_Done,
     /* 1140414 */   // Label 16687: @1140414
     /* 1140414 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1140494), // Rule ID 15128 //
     /* 1140419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1140430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1140433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1140436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140458 */     // MIs[0] round
     /* 1140458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140468 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1140471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140493 */     // GIR_Coverage, 15128,
     /* 1140493 */     GIR_EraseRootFromParent_Done,
     /* 1140494 */   // Label 16688: @1140494
     /* 1140494 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1140574), // Rule ID 15129 //
     /* 1140499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1140510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1140513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1140516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140538 */     // MIs[0] round
     /* 1140538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140548 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1140551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140573 */     // GIR_Coverage, 15129,
     /* 1140573 */     GIR_EraseRootFromParent_Done,
     /* 1140574 */   // Label 16689: @1140574
     /* 1140574 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1140654), // Rule ID 15132 //
     /* 1140579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140618 */     // MIs[0] round
     /* 1140618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1140631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140653 */     // GIR_Coverage, 15132,
     /* 1140653 */     GIR_EraseRootFromParent_Done,
     /* 1140654 */   // Label 16690: @1140654
     /* 1140654 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1140734), // Rule ID 15133 //
     /* 1140659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140698 */     // MIs[0] round
     /* 1140698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1140711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140733 */     // GIR_Coverage, 15133,
     /* 1140733 */     GIR_EraseRootFromParent_Done,
     /* 1140734 */   // Label 16691: @1140734
     /* 1140734 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1140814), // Rule ID 15136 //
     /* 1140739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140778 */     // MIs[0] round
     /* 1140778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140813 */     // GIR_Coverage, 15136,
     /* 1140813 */     GIR_EraseRootFromParent_Done,
     /* 1140814 */   // Label 16692: @1140814
     /* 1140814 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1140894), // Rule ID 15137 //
     /* 1140819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140858 */     // MIs[0] round
     /* 1140858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1140871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140893 */     // GIR_Coverage, 15137,
     /* 1140893 */     GIR_EraseRootFromParent_Done,
     /* 1140894 */   // Label 16693: @1140894
     /* 1140894 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1140974), // Rule ID 15140 //
     /* 1140899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1140910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1140913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1140916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140938 */     // MIs[0] round
     /* 1140938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1140951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140973 */     // GIR_Coverage, 15140,
     /* 1140973 */     GIR_EraseRootFromParent_Done,
     /* 1140974 */   // Label 16694: @1140974
     /* 1140974 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1141054), // Rule ID 15141 //
     /* 1140979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1140990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1140993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1140996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141018 */     // MIs[0] round
     /* 1141018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141053 */     // GIR_Coverage, 15141,
     /* 1141053 */     GIR_EraseRootFromParent_Done,
     /* 1141054 */   // Label 16695: @1141054
     /* 1141054 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141134), // Rule ID 15144 //
     /* 1141059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141098 */     // MIs[0] round
     /* 1141098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141133 */     // GIR_Coverage, 15144,
     /* 1141133 */     GIR_EraseRootFromParent_Done,
     /* 1141134 */   // Label 16696: @1141134
     /* 1141134 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141214), // Rule ID 15145 //
     /* 1141139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141178 */     // MIs[0] round
     /* 1141178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141213 */     // GIR_Coverage, 15145,
     /* 1141213 */     GIR_EraseRootFromParent_Done,
     /* 1141214 */   // Label 16697: @1141214
     /* 1141214 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141294), // Rule ID 15148 //
     /* 1141219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141258 */     // MIs[0] round
     /* 1141258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141293 */     // GIR_Coverage, 15148,
     /* 1141293 */     GIR_EraseRootFromParent_Done,
     /* 1141294 */   // Label 16698: @1141294
     /* 1141294 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141374), // Rule ID 15149 //
     /* 1141299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141338 */     // MIs[0] round
     /* 1141338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141373 */     // GIR_Coverage, 15149,
     /* 1141373 */     GIR_EraseRootFromParent_Done,
     /* 1141374 */   // Label 16699: @1141374
     /* 1141374 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1141454), // Rule ID 15152 //
     /* 1141379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141418 */     // MIs[0] round
     /* 1141418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141453 */     // GIR_Coverage, 15152,
     /* 1141453 */     GIR_EraseRootFromParent_Done,
     /* 1141454 */   // Label 16700: @1141454
     /* 1141454 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1141534), // Rule ID 15153 //
     /* 1141459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141498 */     // MIs[0] round
     /* 1141498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141533 */     // GIR_Coverage, 15153,
     /* 1141533 */     GIR_EraseRootFromParent_Done,
     /* 1141534 */   // Label 16701: @1141534
     /* 1141534 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1141614), // Rule ID 15156 //
     /* 1141539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141578 */     // MIs[0] round
     /* 1141578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141613 */     // GIR_Coverage, 15156,
     /* 1141613 */     GIR_EraseRootFromParent_Done,
     /* 1141614 */   // Label 16702: @1141614
     /* 1141614 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1141694), // Rule ID 15157 //
     /* 1141619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141658 */     // MIs[0] round
     /* 1141658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1141671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141693 */     // GIR_Coverage, 15157,
     /* 1141693 */     GIR_EraseRootFromParent_Done,
     /* 1141694 */   // Label 16703: @1141694
     /* 1141694 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1141774), // Rule ID 15160 //
     /* 1141699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141738 */     // MIs[0] round
     /* 1141738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141748 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141773 */     // GIR_Coverage, 15160,
     /* 1141773 */     GIR_EraseRootFromParent_Done,
     /* 1141774 */   // Label 16704: @1141774
     /* 1141774 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1141854), // Rule ID 15161 //
     /* 1141779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141818 */     // MIs[0] round
     /* 1141818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1141831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141853 */     // GIR_Coverage, 15161,
     /* 1141853 */     GIR_EraseRootFromParent_Done,
     /* 1141854 */   // Label 16705: @1141854
     /* 1141854 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1141934), // Rule ID 15164 //
     /* 1141859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1141870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1141873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1141876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141898 */     // MIs[0] round
     /* 1141898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141933 */     // GIR_Coverage, 15164,
     /* 1141933 */     GIR_EraseRootFromParent_Done,
     /* 1141934 */   // Label 16706: @1141934
     /* 1141934 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1142014), // Rule ID 15165 //
     /* 1141939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1141950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1141953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1141956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141978 */     // MIs[0] round
     /* 1141978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1141991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142013 */     // GIR_Coverage, 15165,
     /* 1142013 */     GIR_EraseRootFromParent_Done,
     /* 1142014 */   // Label 16707: @1142014
     /* 1142014 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1142094), // Rule ID 15168 //
     /* 1142019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142058 */     // MIs[0] round
     /* 1142058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142093 */     // GIR_Coverage, 15168,
     /* 1142093 */     GIR_EraseRootFromParent_Done,
     /* 1142094 */   // Label 16708: @1142094
     /* 1142094 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142174), // Rule ID 15169 //
     /* 1142099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142138 */     // MIs[0] round
     /* 1142138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142148 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1142151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142173 */     // GIR_Coverage, 15169,
     /* 1142173 */     GIR_EraseRootFromParent_Done,
     /* 1142174 */   // Label 16709: @1142174
     /* 1142174 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142254), // Rule ID 15172 //
     /* 1142179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1142199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142218 */     // MIs[0] round
     /* 1142218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1142231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142253 */     // GIR_Coverage, 15172,
     /* 1142253 */     GIR_EraseRootFromParent_Done,
     /* 1142254 */   // Label 16710: @1142254
     /* 1142254 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142334), // Rule ID 15173 //
     /* 1142259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1142279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142298 */     // MIs[0] round
     /* 1142298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1142311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142333 */     // GIR_Coverage, 15173,
     /* 1142333 */     GIR_EraseRootFromParent_Done,
     /* 1142334 */   // Label 16711: @1142334
     /* 1142334 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142414), // Rule ID 15176 //
     /* 1142339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1142350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1142353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1142356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1142359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142378 */     // MIs[0] round
     /* 1142378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142413 */     // GIR_Coverage, 15176,
     /* 1142413 */     GIR_EraseRootFromParent_Done,
     /* 1142414 */   // Label 16712: @1142414
     /* 1142414 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1142494), // Rule ID 15177 //
     /* 1142419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1142430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1142433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1142436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1142439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142458 */     // MIs[0] round
     /* 1142458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142493 */     // GIR_Coverage, 15177,
     /* 1142493 */     GIR_EraseRootFromParent_Done,
     /* 1142494 */   // Label 16713: @1142494
     /* 1142494 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1142574), // Rule ID 15180 //
     /* 1142499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1142510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1142513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1142516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1142519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142538 */     // MIs[0] round
     /* 1142538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142548 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1142551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142573 */     // GIR_Coverage, 15180,
     /* 1142573 */     GIR_EraseRootFromParent_Done,
     /* 1142574 */   // Label 16714: @1142574
     /* 1142574 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1142654), // Rule ID 15181 //
     /* 1142579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1142590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1142593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1142596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1142599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142618 */     // MIs[0] round
     /* 1142618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1142631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142653 */     // GIR_Coverage, 15181,
     /* 1142653 */     GIR_EraseRootFromParent_Done,
     /* 1142654 */   // Label 16715: @1142654
     /* 1142654 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1142734), // Rule ID 15184 //
     /* 1142659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1142679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142698 */     // MIs[0] round
     /* 1142698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142733 */     // GIR_Coverage, 15184,
     /* 1142733 */     GIR_EraseRootFromParent_Done,
     /* 1142734 */   // Label 16716: @1142734
     /* 1142734 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1142814), // Rule ID 15185 //
     /* 1142739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1142759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142778 */     // MIs[0] round
     /* 1142778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142788 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1142791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142813 */     // GIR_Coverage, 15185,
     /* 1142813 */     GIR_EraseRootFromParent_Done,
     /* 1142814 */   // Label 16717: @1142814
     /* 1142814 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1142894), // Rule ID 15188 //
     /* 1142819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1142839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142858 */     // MIs[0] round
     /* 1142858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1142871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142893 */     // GIR_Coverage, 15188,
     /* 1142893 */     GIR_EraseRootFromParent_Done,
     /* 1142894 */   // Label 16718: @1142894
     /* 1142894 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1142974), // Rule ID 15189 //
     /* 1142899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1142919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142938 */     // MIs[0] round
     /* 1142938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1142951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142973 */     // GIR_Coverage, 15189,
     /* 1142973 */     GIR_EraseRootFromParent_Done,
     /* 1142974 */   // Label 16719: @1142974
     /* 1142974 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1143054), // Rule ID 15192 //
     /* 1142979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1142999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143018 */     // MIs[0] round
     /* 1143018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143053 */     // GIR_Coverage, 15192,
     /* 1143053 */     GIR_EraseRootFromParent_Done,
     /* 1143054 */   // Label 16720: @1143054
     /* 1143054 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143134), // Rule ID 15193 //
     /* 1143059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1143070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1143073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1143076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1143079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143098 */     // MIs[0] round
     /* 1143098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1143111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143133 */     // GIR_Coverage, 15193,
     /* 1143133 */     GIR_EraseRootFromParent_Done,
     /* 1143134 */   // Label 16721: @1143134
     /* 1143134 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143214), // Rule ID 15196 //
     /* 1143139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1143159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143178 */     // MIs[0] round
     /* 1143178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143213 */     // GIR_Coverage, 15196,
     /* 1143213 */     GIR_EraseRootFromParent_Done,
     /* 1143214 */   // Label 16722: @1143214
     /* 1143214 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143294), // Rule ID 15197 //
     /* 1143219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1143239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143258 */     // MIs[0] round
     /* 1143258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143293 */     // GIR_Coverage, 15197,
     /* 1143293 */     GIR_EraseRootFromParent_Done,
     /* 1143294 */   // Label 16723: @1143294
     /* 1143294 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143374), // Rule ID 15200 //
     /* 1143299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1143319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143338 */     // MIs[0] round
     /* 1143338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143373 */     // GIR_Coverage, 15200,
     /* 1143373 */     GIR_EraseRootFromParent_Done,
     /* 1143374 */   // Label 16724: @1143374
     /* 1143374 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1143454), // Rule ID 15201 //
     /* 1143379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1143399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143418 */     // MIs[0] round
     /* 1143418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143453 */     // GIR_Coverage, 15201,
     /* 1143453 */     GIR_EraseRootFromParent_Done,
     /* 1143454 */   // Label 16725: @1143454
     /* 1143454 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1143534), // Rule ID 15204 //
     /* 1143459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1143479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143498 */     // MIs[0] round
     /* 1143498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143533 */     // GIR_Coverage, 15204,
     /* 1143533 */     GIR_EraseRootFromParent_Done,
     /* 1143534 */   // Label 16726: @1143534
     /* 1143534 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1143614), // Rule ID 15205 //
     /* 1143539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1143559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143578 */     // MIs[0] round
     /* 1143578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143613 */     // GIR_Coverage, 15205,
     /* 1143613 */     GIR_EraseRootFromParent_Done,
     /* 1143614 */   // Label 16727: @1143614
     /* 1143614 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1143694), // Rule ID 15208 //
     /* 1143619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1143639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143658 */     // MIs[0] round
     /* 1143658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143693 */     // GIR_Coverage, 15208,
     /* 1143693 */     GIR_EraseRootFromParent_Done,
     /* 1143694 */   // Label 16728: @1143694
     /* 1143694 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1143774), // Rule ID 15209 //
     /* 1143699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1143719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143738 */     // MIs[0] round
     /* 1143738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1143751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143773 */     // GIR_Coverage, 15209,
     /* 1143773 */     GIR_EraseRootFromParent_Done,
     /* 1143774 */   // Label 16729: @1143774
     /* 1143774 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1143854), // Rule ID 15212 //
     /* 1143779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1143799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143818 */     // MIs[0] round
     /* 1143818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1143831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143853 */     // GIR_Coverage, 15212,
     /* 1143853 */     GIR_EraseRootFromParent_Done,
     /* 1143854 */   // Label 16730: @1143854
     /* 1143854 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1143934), // Rule ID 15213 //
     /* 1143859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1143879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143898 */     // MIs[0] round
     /* 1143898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1143911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143933 */     // GIR_Coverage, 15213,
     /* 1143933 */     GIR_EraseRootFromParent_Done,
     /* 1143934 */   // Label 16731: @1143934
     /* 1143934 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1144014), // Rule ID 15216 //
     /* 1143939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1143950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1143953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1143956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1143959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143978 */     // MIs[0] round
     /* 1143978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143988 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1143991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144013 */     // GIR_Coverage, 15216,
     /* 1144013 */     GIR_EraseRootFromParent_Done,
     /* 1144014 */   // Label 16732: @1144014
     /* 1144014 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1144094), // Rule ID 15217 //
     /* 1144019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1144030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1144033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1144036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1144039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144058 */     // MIs[0] round
     /* 1144058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144093 */     // GIR_Coverage, 15217,
     /* 1144093 */     GIR_EraseRootFromParent_Done,
     /* 1144094 */   // Label 16733: @1144094
     /* 1144094 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144174), // Rule ID 15220 //
     /* 1144099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1144119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144138 */     // MIs[0] round
     /* 1144138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144148 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144173 */     // GIR_Coverage, 15220,
     /* 1144173 */     GIR_EraseRootFromParent_Done,
     /* 1144174 */   // Label 16734: @1144174
     /* 1144174 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144254), // Rule ID 15221 //
     /* 1144179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1144199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144218 */     // MIs[0] round
     /* 1144218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144253 */     // GIR_Coverage, 15221,
     /* 1144253 */     GIR_EraseRootFromParent_Done,
     /* 1144254 */   // Label 16735: @1144254
     /* 1144254 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144334), // Rule ID 15224 //
     /* 1144259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1144270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1144273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1144276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1144279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144298 */     // MIs[0] round
     /* 1144298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144333 */     // GIR_Coverage, 15224,
     /* 1144333 */     GIR_EraseRootFromParent_Done,
     /* 1144334 */   // Label 16736: @1144334
     /* 1144334 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144414), // Rule ID 15225 //
     /* 1144339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1144350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1144353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1144356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1144359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144378 */     // MIs[0] round
     /* 1144378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144413 */     // GIR_Coverage, 15225,
     /* 1144413 */     GIR_EraseRootFromParent_Done,
     /* 1144414 */   // Label 16737: @1144414
     /* 1144414 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1144494), // Rule ID 15228 //
     /* 1144419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1144430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1144433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1144436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1144439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144458 */     // MIs[0] round
     /* 1144458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144493 */     // GIR_Coverage, 15228,
     /* 1144493 */     GIR_EraseRootFromParent_Done,
     /* 1144494 */   // Label 16738: @1144494
     /* 1144494 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1144574), // Rule ID 15229 //
     /* 1144499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1144510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1144513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1144516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1144519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144538 */     // MIs[0] round
     /* 1144538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144573 */     // GIR_Coverage, 15229,
     /* 1144573 */     GIR_EraseRootFromParent_Done,
     /* 1144574 */   // Label 16739: @1144574
     /* 1144574 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1144654), // Rule ID 15232 //
     /* 1144579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1144599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144618 */     // MIs[0] round
     /* 1144618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144653 */     // GIR_Coverage, 15232,
     /* 1144653 */     GIR_EraseRootFromParent_Done,
     /* 1144654 */   // Label 16740: @1144654
     /* 1144654 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1144734), // Rule ID 15233 //
     /* 1144659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1144679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144698 */     // MIs[0] round
     /* 1144698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1144711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144733 */     // GIR_Coverage, 15233,
     /* 1144733 */     GIR_EraseRootFromParent_Done,
     /* 1144734 */   // Label 16741: @1144734
     /* 1144734 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1144814), // Rule ID 15236 //
     /* 1144739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1144759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144778 */     // MIs[0] round
     /* 1144778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144813 */     // GIR_Coverage, 15236,
     /* 1144813 */     GIR_EraseRootFromParent_Done,
     /* 1144814 */   // Label 16742: @1144814
     /* 1144814 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1144894), // Rule ID 15237 //
     /* 1144819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1144839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144858 */     // MIs[0] round
     /* 1144858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1144871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144893 */     // GIR_Coverage, 15237,
     /* 1144893 */     GIR_EraseRootFromParent_Done,
     /* 1144894 */   // Label 16743: @1144894
     /* 1144894 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1144974), // Rule ID 15240 //
     /* 1144899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1144919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144938 */     // MIs[0] round
     /* 1144938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1144951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144973 */     // GIR_Coverage, 15240,
     /* 1144973 */     GIR_EraseRootFromParent_Done,
     /* 1144974 */   // Label 16744: @1144974
     /* 1144974 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1145054), // Rule ID 15241 //
     /* 1144979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1144987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1144999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145018 */     // MIs[0] round
     /* 1145018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145053 */     // GIR_Coverage, 15241,
     /* 1145053 */     GIR_EraseRootFromParent_Done,
     /* 1145054 */   // Label 16745: @1145054
     /* 1145054 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145134), // Rule ID 15244 //
     /* 1145059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1145079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145098 */     // MIs[0] round
     /* 1145098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145133 */     // GIR_Coverage, 15244,
     /* 1145133 */     GIR_EraseRootFromParent_Done,
     /* 1145134 */   // Label 16746: @1145134
     /* 1145134 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145214), // Rule ID 15245 //
     /* 1145139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1145159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145178 */     // MIs[0] round
     /* 1145178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145213 */     // GIR_Coverage, 15245,
     /* 1145213 */     GIR_EraseRootFromParent_Done,
     /* 1145214 */   // Label 16747: @1145214
     /* 1145214 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145294), // Rule ID 15248 //
     /* 1145219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1145239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145258 */     // MIs[0] round
     /* 1145258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145268 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145293 */     // GIR_Coverage, 15248,
     /* 1145293 */     GIR_EraseRootFromParent_Done,
     /* 1145294 */   // Label 16748: @1145294
     /* 1145294 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145374), // Rule ID 15249 //
     /* 1145299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1145319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145338 */     // MIs[0] round
     /* 1145338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1145351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145373 */     // GIR_Coverage, 15249,
     /* 1145373 */     GIR_EraseRootFromParent_Done,
     /* 1145374 */   // Label 16749: @1145374
     /* 1145374 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1145454), // Rule ID 15252 //
     /* 1145379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1145390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1145393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1145396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1145399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145418 */     // MIs[0] round
     /* 1145418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145453 */     // GIR_Coverage, 15252,
     /* 1145453 */     GIR_EraseRootFromParent_Done,
     /* 1145454 */   // Label 16750: @1145454
     /* 1145454 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1145534), // Rule ID 15253 //
     /* 1145459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1145470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1145473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1145476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1145479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145498 */     // MIs[0] round
     /* 1145498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1145511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145533 */     // GIR_Coverage, 15253,
     /* 1145533 */     GIR_EraseRootFromParent_Done,
     /* 1145534 */   // Label 16751: @1145534
     /* 1145534 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1145614), // Rule ID 15256 //
     /* 1145539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1145550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1145553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1145556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1145559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145578 */     // MIs[0] round
     /* 1145578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145613 */     // GIR_Coverage, 15256,
     /* 1145613 */     GIR_EraseRootFromParent_Done,
     /* 1145614 */   // Label 16752: @1145614
     /* 1145614 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1145694), // Rule ID 15257 //
     /* 1145619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1145630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1145633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1145636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1145639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145658 */     // MIs[0] round
     /* 1145658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1145671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145693 */     // GIR_Coverage, 15257,
     /* 1145693 */     GIR_EraseRootFromParent_Done,
     /* 1145694 */   // Label 16753: @1145694
     /* 1145694 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1145774), // Rule ID 15260 //
     /* 1145699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145738 */     // MIs[0] round
     /* 1145738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1145751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145773 */     // GIR_Coverage, 15260,
     /* 1145773 */     GIR_EraseRootFromParent_Done,
     /* 1145774 */   // Label 16754: @1145774
     /* 1145774 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1145854), // Rule ID 15261 //
     /* 1145779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145818 */     // MIs[0] round
     /* 1145818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1145831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145853 */     // GIR_Coverage, 15261,
     /* 1145853 */     GIR_EraseRootFromParent_Done,
     /* 1145854 */   // Label 16755: @1145854
     /* 1145854 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1145934), // Rule ID 15264 //
     /* 1145859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1145870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1145873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1145876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145898 */     // MIs[0] round
     /* 1145898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1145911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145933 */     // GIR_Coverage, 15264,
     /* 1145933 */     GIR_EraseRootFromParent_Done,
     /* 1145934 */   // Label 16756: @1145934
     /* 1145934 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1146014), // Rule ID 15265 //
     /* 1145939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1145947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1145950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1145953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1145956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145978 */     // MIs[0] round
     /* 1145978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1145991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146013 */     // GIR_Coverage, 15265,
     /* 1146013 */     GIR_EraseRootFromParent_Done,
     /* 1146014 */   // Label 16757: @1146014
     /* 1146014 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1146094), // Rule ID 15268 //
     /* 1146019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146058 */     // MIs[0] round
     /* 1146058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146093 */     // GIR_Coverage, 15268,
     /* 1146093 */     GIR_EraseRootFromParent_Done,
     /* 1146094 */   // Label 16758: @1146094
     /* 1146094 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146174), // Rule ID 15269 //
     /* 1146099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146138 */     // MIs[0] round
     /* 1146138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146173 */     // GIR_Coverage, 15269,
     /* 1146173 */     GIR_EraseRootFromParent_Done,
     /* 1146174 */   // Label 16759: @1146174
     /* 1146174 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146254), // Rule ID 15272 //
     /* 1146179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146218 */     // MIs[0] round
     /* 1146218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146253 */     // GIR_Coverage, 15272,
     /* 1146253 */     GIR_EraseRootFromParent_Done,
     /* 1146254 */   // Label 16760: @1146254
     /* 1146254 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146334), // Rule ID 15273 //
     /* 1146259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146298 */     // MIs[0] round
     /* 1146298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146308 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1146311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146333 */     // GIR_Coverage, 15273,
     /* 1146333 */     GIR_EraseRootFromParent_Done,
     /* 1146334 */   // Label 16761: @1146334
     /* 1146334 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146414), // Rule ID 15276 //
     /* 1146339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1146350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1146353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1146356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146378 */     // MIs[0] round
     /* 1146378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146413 */     // GIR_Coverage, 15276,
     /* 1146413 */     GIR_EraseRootFromParent_Done,
     /* 1146414 */   // Label 16762: @1146414
     /* 1146414 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1146494), // Rule ID 15277 //
     /* 1146419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1146430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1146433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1146436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146458 */     // MIs[0] round
     /* 1146458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146493 */     // GIR_Coverage, 15277,
     /* 1146493 */     GIR_EraseRootFromParent_Done,
     /* 1146494 */   // Label 16763: @1146494
     /* 1146494 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1146574), // Rule ID 15280 //
     /* 1146499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1146510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1146513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1146516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146538 */     // MIs[0] round
     /* 1146538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146573 */     // GIR_Coverage, 15280,
     /* 1146573 */     GIR_EraseRootFromParent_Done,
     /* 1146574 */   // Label 16764: @1146574
     /* 1146574 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1146654), // Rule ID 15281 //
     /* 1146579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1146590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1146593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1146596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146618 */     // MIs[0] round
     /* 1146618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1146631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146653 */     // GIR_Coverage, 15281,
     /* 1146653 */     GIR_EraseRootFromParent_Done,
     /* 1146654 */   // Label 16765: @1146654
     /* 1146654 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1146734), // Rule ID 15284 //
     /* 1146659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146698 */     // MIs[0] round
     /* 1146698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1146711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146733 */     // GIR_Coverage, 15284,
     /* 1146733 */     GIR_EraseRootFromParent_Done,
     /* 1146734 */   // Label 16766: @1146734
     /* 1146734 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1146814), // Rule ID 15285 //
     /* 1146739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146778 */     // MIs[0] round
     /* 1146778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1146791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146813 */     // GIR_Coverage, 15285,
     /* 1146813 */     GIR_EraseRootFromParent_Done,
     /* 1146814 */   // Label 16767: @1146814
     /* 1146814 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1146894), // Rule ID 15288 //
     /* 1146819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1146830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1146833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1146836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146858 */     // MIs[0] round
     /* 1146858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1146871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146893 */     // GIR_Coverage, 15288,
     /* 1146893 */     GIR_EraseRootFromParent_Done,
     /* 1146894 */   // Label 16768: @1146894
     /* 1146894 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1146974), // Rule ID 15289 //
     /* 1146899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1146910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1146913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1146916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146938 */     // MIs[0] round
     /* 1146938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1146951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146973 */     // GIR_Coverage, 15289,
     /* 1146973 */     GIR_EraseRootFromParent_Done,
     /* 1146974 */   // Label 16769: @1146974
     /* 1146974 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1147054), // Rule ID 15292 //
     /* 1146979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1146987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1146990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1146993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1146996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147018 */     // MIs[0] round
     /* 1147018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147053 */     // GIR_Coverage, 15292,
     /* 1147053 */     GIR_EraseRootFromParent_Done,
     /* 1147054 */   // Label 16770: @1147054
     /* 1147054 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147134), // Rule ID 15293 //
     /* 1147059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147098 */     // MIs[0] round
     /* 1147098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147133 */     // GIR_Coverage, 15293,
     /* 1147133 */     GIR_EraseRootFromParent_Done,
     /* 1147134 */   // Label 16771: @1147134
     /* 1147134 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147214), // Rule ID 15296 //
     /* 1147139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1147150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1147153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1147156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147178 */     // MIs[0] round
     /* 1147178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147213 */     // GIR_Coverage, 15296,
     /* 1147213 */     GIR_EraseRootFromParent_Done,
     /* 1147214 */   // Label 16772: @1147214
     /* 1147214 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147294), // Rule ID 15297 //
     /* 1147219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1147230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1147233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1147236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147258 */     // MIs[0] round
     /* 1147258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1147271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147293 */     // GIR_Coverage, 15297,
     /* 1147293 */     GIR_EraseRootFromParent_Done,
     /* 1147294 */   // Label 16773: @1147294
     /* 1147294 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147374), // Rule ID 15300 //
     /* 1147299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1147310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1147313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1147316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147338 */     // MIs[0] round
     /* 1147338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1147351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147373 */     // GIR_Coverage, 15300,
     /* 1147373 */     GIR_EraseRootFromParent_Done,
     /* 1147374 */   // Label 16774: @1147374
     /* 1147374 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1147454), // Rule ID 15301 //
     /* 1147379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1147390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1147393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1147396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147418 */     // MIs[0] round
     /* 1147418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1147431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147453 */     // GIR_Coverage, 15301,
     /* 1147453 */     GIR_EraseRootFromParent_Done,
     /* 1147454 */   // Label 16775: @1147454
     /* 1147454 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1147534), // Rule ID 15304 //
     /* 1147459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1147470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1147473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1147476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147498 */     // MIs[0] round
     /* 1147498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1147511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147533 */     // GIR_Coverage, 15304,
     /* 1147533 */     GIR_EraseRootFromParent_Done,
     /* 1147534 */   // Label 16776: @1147534
     /* 1147534 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1147614), // Rule ID 15305 //
     /* 1147539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1147550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1147553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1147556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147578 */     // MIs[0] round
     /* 1147578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147588 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1147591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147613 */     // GIR_Coverage, 15305,
     /* 1147613 */     GIR_EraseRootFromParent_Done,
     /* 1147614 */   // Label 16777: @1147614
     /* 1147614 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1147694), // Rule ID 15308 //
     /* 1147619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147658 */     // MIs[0] round
     /* 1147658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147668 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1147671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147693 */     // GIR_Coverage, 15308,
     /* 1147693 */     GIR_EraseRootFromParent_Done,
     /* 1147694 */   // Label 16778: @1147694
     /* 1147694 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1147774), // Rule ID 15309 //
     /* 1147699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147738 */     // MIs[0] round
     /* 1147738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1147751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147773 */     // GIR_Coverage, 15309,
     /* 1147773 */     GIR_EraseRootFromParent_Done,
     /* 1147774 */   // Label 16779: @1147774
     /* 1147774 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1147854), // Rule ID 15312 //
     /* 1147779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147818 */     // MIs[0] round
     /* 1147818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1147831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147853 */     // GIR_Coverage, 15312,
     /* 1147853 */     GIR_EraseRootFromParent_Done,
     /* 1147854 */   // Label 16780: @1147854
     /* 1147854 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1147934), // Rule ID 15313 //
     /* 1147859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147898 */     // MIs[0] round
     /* 1147898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1147911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147933 */     // GIR_Coverage, 15313,
     /* 1147933 */     GIR_EraseRootFromParent_Done,
     /* 1147934 */   // Label 16781: @1147934
     /* 1147934 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1148014), // Rule ID 15316 //
     /* 1147939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1147950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1147953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1147956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147978 */     // MIs[0] round
     /* 1147978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1147991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148013 */     // GIR_Coverage, 15316,
     /* 1148013 */     GIR_EraseRootFromParent_Done,
     /* 1148014 */   // Label 16782: @1148014
     /* 1148014 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1148094), // Rule ID 15317 //
     /* 1148019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148058 */     // MIs[0] round
     /* 1148058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148093 */     // GIR_Coverage, 15317,
     /* 1148093 */     GIR_EraseRootFromParent_Done,
     /* 1148094 */   // Label 16783: @1148094
     /* 1148094 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148174), // Rule ID 15320 //
     /* 1148099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148138 */     // MIs[0] round
     /* 1148138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148148 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148173 */     // GIR_Coverage, 15320,
     /* 1148173 */     GIR_EraseRootFromParent_Done,
     /* 1148174 */   // Label 16784: @1148174
     /* 1148174 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148254), // Rule ID 15321 //
     /* 1148179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148218 */     // MIs[0] round
     /* 1148218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148228 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148253 */     // GIR_Coverage, 15321,
     /* 1148253 */     GIR_EraseRootFromParent_Done,
     /* 1148254 */   // Label 16785: @1148254
     /* 1148254 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148334), // Rule ID 15324 //
     /* 1148259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148298 */     // MIs[0] round
     /* 1148298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148333 */     // GIR_Coverage, 15324,
     /* 1148333 */     GIR_EraseRootFromParent_Done,
     /* 1148334 */   // Label 16786: @1148334
     /* 1148334 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148414), // Rule ID 15325 //
     /* 1148339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148378 */     // MIs[0] round
     /* 1148378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148413 */     // GIR_Coverage, 15325,
     /* 1148413 */     GIR_EraseRootFromParent_Done,
     /* 1148414 */   // Label 16787: @1148414
     /* 1148414 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1148494), // Rule ID 15328 //
     /* 1148419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148458 */     // MIs[0] round
     /* 1148458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148493 */     // GIR_Coverage, 15328,
     /* 1148493 */     GIR_EraseRootFromParent_Done,
     /* 1148494 */   // Label 16788: @1148494
     /* 1148494 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1148574), // Rule ID 15329 //
     /* 1148499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148538 */     // MIs[0] round
     /* 1148538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148573 */     // GIR_Coverage, 15329,
     /* 1148573 */     GIR_EraseRootFromParent_Done,
     /* 1148574 */   // Label 16789: @1148574
     /* 1148574 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1148654), // Rule ID 15332 //
     /* 1148579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148618 */     // MIs[0] round
     /* 1148618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148653 */     // GIR_Coverage, 15332,
     /* 1148653 */     GIR_EraseRootFromParent_Done,
     /* 1148654 */   // Label 16790: @1148654
     /* 1148654 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1148734), // Rule ID 15333 //
     /* 1148659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148698 */     // MIs[0] round
     /* 1148698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1148711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148733 */     // GIR_Coverage, 15333,
     /* 1148733 */     GIR_EraseRootFromParent_Done,
     /* 1148734 */   // Label 16791: @1148734
     /* 1148734 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1148814), // Rule ID 15336 //
     /* 1148739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1148750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1148753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1148756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148778 */     // MIs[0] round
     /* 1148778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148813 */     // GIR_Coverage, 15336,
     /* 1148813 */     GIR_EraseRootFromParent_Done,
     /* 1148814 */   // Label 16792: @1148814
     /* 1148814 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1148894), // Rule ID 15337 //
     /* 1148819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1148830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1148833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1148836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148858 */     // MIs[0] round
     /* 1148858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1148871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148893 */     // GIR_Coverage, 15337,
     /* 1148893 */     GIR_EraseRootFromParent_Done,
     /* 1148894 */   // Label 16793: @1148894
     /* 1148894 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1148974), // Rule ID 15340 //
     /* 1148899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1148910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1148913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1148916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148938 */     // MIs[0] round
     /* 1148938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1148951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148973 */     // GIR_Coverage, 15340,
     /* 1148973 */     GIR_EraseRootFromParent_Done,
     /* 1148974 */   // Label 16794: @1148974
     /* 1148974 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1149054), // Rule ID 15341 //
     /* 1148979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1148990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1148993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1148996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149018 */     // MIs[0] round
     /* 1149018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1149031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149053 */     // GIR_Coverage, 15341,
     /* 1149053 */     GIR_EraseRootFromParent_Done,
     /* 1149054 */   // Label 16795: @1149054
     /* 1149054 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149134), // Rule ID 15344 //
     /* 1149059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149098 */     // MIs[0] round
     /* 1149098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149133 */     // GIR_Coverage, 15344,
     /* 1149133 */     GIR_EraseRootFromParent_Done,
     /* 1149134 */   // Label 16796: @1149134
     /* 1149134 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149214), // Rule ID 15345 //
     /* 1149139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149178 */     // MIs[0] round
     /* 1149178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149188 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1149191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149213 */     // GIR_Coverage, 15345,
     /* 1149213 */     GIR_EraseRootFromParent_Done,
     /* 1149214 */   // Label 16797: @1149214
     /* 1149214 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149294), // Rule ID 15348 //
     /* 1149219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1149230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1149233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1149236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1149239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149258 */     // MIs[0] round
     /* 1149258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1149271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149293 */     // GIR_Coverage, 15348,
     /* 1149293 */     GIR_EraseRootFromParent_Done,
     /* 1149294 */   // Label 16798: @1149294
     /* 1149294 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149374), // Rule ID 15349 //
     /* 1149299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1149310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1149313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1149316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1149319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149338 */     // MIs[0] round
     /* 1149338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1149351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149373 */     // GIR_Coverage, 15349,
     /* 1149373 */     GIR_EraseRootFromParent_Done,
     /* 1149374 */   // Label 16799: @1149374
     /* 1149374 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1149454), // Rule ID 15352 //
     /* 1149379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1149390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1149393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1149396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1149399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149418 */     // MIs[0] round
     /* 1149418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149428 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1149431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149453 */     // GIR_Coverage, 15352,
     /* 1149453 */     GIR_EraseRootFromParent_Done,
     /* 1149454 */   // Label 16800: @1149454
     /* 1149454 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1149534), // Rule ID 15353 //
     /* 1149459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1149470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1149473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1149476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1149479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149498 */     // MIs[0] round
     /* 1149498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1149511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149533 */     // GIR_Coverage, 15353,
     /* 1149533 */     GIR_EraseRootFromParent_Done,
     /* 1149534 */   // Label 16801: @1149534
     /* 1149534 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1149614), // Rule ID 15356 //
     /* 1149539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1149550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1149553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1149556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1149559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149578 */     // MIs[0] round
     /* 1149578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149588 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1149591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149613 */     // GIR_Coverage, 15356,
     /* 1149613 */     GIR_EraseRootFromParent_Done,
     /* 1149614 */   // Label 16802: @1149614
     /* 1149614 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1149694), // Rule ID 15357 //
     /* 1149619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1149630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1149633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1149636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1149639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149658 */     // MIs[0] round
     /* 1149658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1149671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149693 */     // GIR_Coverage, 15357,
     /* 1149693 */     GIR_EraseRootFromParent_Done,
     /* 1149694 */   // Label 16803: @1149694
     /* 1149694 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1149774), // Rule ID 15360 //
     /* 1149699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1149719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149738 */     // MIs[0] round
     /* 1149738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149748 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1149751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149773 */     // GIR_Coverage, 15360,
     /* 1149773 */     GIR_EraseRootFromParent_Done,
     /* 1149774 */   // Label 16804: @1149774
     /* 1149774 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1149854), // Rule ID 15361 //
     /* 1149779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1149799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149818 */     // MIs[0] round
     /* 1149818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1149831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149853 */     // GIR_Coverage, 15361,
     /* 1149853 */     GIR_EraseRootFromParent_Done,
     /* 1149854 */   // Label 16805: @1149854
     /* 1149854 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1149934), // Rule ID 15364 //
     /* 1149859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1149879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149898 */     // MIs[0] round
     /* 1149898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1149911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149933 */     // GIR_Coverage, 15364,
     /* 1149933 */     GIR_EraseRootFromParent_Done,
     /* 1149934 */   // Label 16806: @1149934
     /* 1149934 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1150014), // Rule ID 15365 //
     /* 1149939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1149959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149978 */     // MIs[0] round
     /* 1149978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1149991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150013 */     // GIR_Coverage, 15365,
     /* 1150013 */     GIR_EraseRootFromParent_Done,
     /* 1150014 */   // Label 16807: @1150014
     /* 1150014 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1150094), // Rule ID 15368 //
     /* 1150019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1150030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1150033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150058 */     // MIs[0] round
     /* 1150058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150093 */     // GIR_Coverage, 15368,
     /* 1150093 */     GIR_EraseRootFromParent_Done,
     /* 1150094 */   // Label 16808: @1150094
     /* 1150094 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150174), // Rule ID 15369 //
     /* 1150099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1150110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1150113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150138 */     // MIs[0] round
     /* 1150138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1150151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150173 */     // GIR_Coverage, 15369,
     /* 1150173 */     GIR_EraseRootFromParent_Done,
     /* 1150174 */   // Label 16809: @1150174
     /* 1150174 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150254), // Rule ID 15372 //
     /* 1150179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1150190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1150193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1150196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1150199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150218 */     // MIs[0] round
     /* 1150218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150253 */     // GIR_Coverage, 15372,
     /* 1150253 */     GIR_EraseRootFromParent_Done,
     /* 1150254 */   // Label 16810: @1150254
     /* 1150254 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150334), // Rule ID 15373 //
     /* 1150259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1150270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1150273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1150276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1150279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150298 */     // MIs[0] round
     /* 1150298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150333 */     // GIR_Coverage, 15373,
     /* 1150333 */     GIR_EraseRootFromParent_Done,
     /* 1150334 */   // Label 16811: @1150334
     /* 1150334 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150414), // Rule ID 15376 //
     /* 1150339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1150350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1150353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1150356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1150359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150378 */     // MIs[0] round
     /* 1150378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150413 */     // GIR_Coverage, 15376,
     /* 1150413 */     GIR_EraseRootFromParent_Done,
     /* 1150414 */   // Label 16812: @1150414
     /* 1150414 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1150494), // Rule ID 15377 //
     /* 1150419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1150430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1150433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1150436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1150439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150458 */     // MIs[0] round
     /* 1150458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150493 */     // GIR_Coverage, 15377,
     /* 1150493 */     GIR_EraseRootFromParent_Done,
     /* 1150494 */   // Label 16813: @1150494
     /* 1150494 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1150574), // Rule ID 15380 //
     /* 1150499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1150510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1150513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1150519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150538 */     // MIs[0] round
     /* 1150538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150573 */     // GIR_Coverage, 15380,
     /* 1150573 */     GIR_EraseRootFromParent_Done,
     /* 1150574 */   // Label 16814: @1150574
     /* 1150574 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1150654), // Rule ID 15381 //
     /* 1150579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1150590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1150593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1150599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150618 */     // MIs[0] round
     /* 1150618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150653 */     // GIR_Coverage, 15381,
     /* 1150653 */     GIR_EraseRootFromParent_Done,
     /* 1150654 */   // Label 16815: @1150654
     /* 1150654 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1150734), // Rule ID 15384 //
     /* 1150659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1150679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150698 */     // MIs[0] round
     /* 1150698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150733 */     // GIR_Coverage, 15384,
     /* 1150733 */     GIR_EraseRootFromParent_Done,
     /* 1150734 */   // Label 16816: @1150734
     /* 1150734 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1150814), // Rule ID 15385 //
     /* 1150739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1150756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1150759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150778 */     // MIs[0] round
     /* 1150778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1150791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150813 */     // GIR_Coverage, 15385,
     /* 1150813 */     GIR_EraseRootFromParent_Done,
     /* 1150814 */   // Label 16817: @1150814
     /* 1150814 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1150894), // Rule ID 15388 //
     /* 1150819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1150839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150858 */     // MIs[0] round
     /* 1150858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1150871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150893 */     // GIR_Coverage, 15388,
     /* 1150893 */     GIR_EraseRootFromParent_Done,
     /* 1150894 */   // Label 16818: @1150894
     /* 1150894 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1150974), // Rule ID 15389 //
     /* 1150899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1150919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150938 */     // MIs[0] round
     /* 1150938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1150951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150973 */     // GIR_Coverage, 15389,
     /* 1150973 */     GIR_EraseRootFromParent_Done,
     /* 1150974 */   // Label 16819: @1150974
     /* 1150974 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1151054), // Rule ID 15392 //
     /* 1150979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1150999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151018 */     // MIs[0] round
     /* 1151018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151028 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151053 */     // GIR_Coverage, 15392,
     /* 1151053 */     GIR_EraseRootFromParent_Done,
     /* 1151054 */   // Label 16820: @1151054
     /* 1151054 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151134), // Rule ID 15393 //
     /* 1151059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1151070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1151073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1151076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1151079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151098 */     // MIs[0] round
     /* 1151098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151108 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151133 */     // GIR_Coverage, 15393,
     /* 1151133 */     GIR_EraseRootFromParent_Done,
     /* 1151134 */   // Label 16821: @1151134
     /* 1151134 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151214), // Rule ID 15396 //
     /* 1151139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1151150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1151153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1151156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1151159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151178 */     // MIs[0] round
     /* 1151178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151188 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151213 */     // GIR_Coverage, 15396,
     /* 1151213 */     GIR_EraseRootFromParent_Done,
     /* 1151214 */   // Label 16822: @1151214
     /* 1151214 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151294), // Rule ID 15397 //
     /* 1151219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1151230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1151233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1151236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1151239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151258 */     // MIs[0] round
     /* 1151258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151268 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151293 */     // GIR_Coverage, 15397,
     /* 1151293 */     GIR_EraseRootFromParent_Done,
     /* 1151294 */   // Label 16823: @1151294
     /* 1151294 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151374), // Rule ID 15400 //
     /* 1151299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1151310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1151313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1151316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1151319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151338 */     // MIs[0] round
     /* 1151338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151373 */     // GIR_Coverage, 15400,
     /* 1151373 */     GIR_EraseRootFromParent_Done,
     /* 1151374 */   // Label 16824: @1151374
     /* 1151374 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1151454), // Rule ID 15401 //
     /* 1151379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1151390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1151393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1151396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1151399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151418 */     // MIs[0] round
     /* 1151418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151453 */     // GIR_Coverage, 15401,
     /* 1151453 */     GIR_EraseRootFromParent_Done,
     /* 1151454 */   // Label 16825: @1151454
     /* 1151454 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1151534), // Rule ID 15404 //
     /* 1151459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1151470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1151473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1151476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1151479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151498 */     // MIs[0] round
     /* 1151498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151533 */     // GIR_Coverage, 15404,
     /* 1151533 */     GIR_EraseRootFromParent_Done,
     /* 1151534 */   // Label 16826: @1151534
     /* 1151534 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1151614), // Rule ID 15405 //
     /* 1151539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1151550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1151553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1151556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1151559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151578 */     // MIs[0] round
     /* 1151578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151613 */     // GIR_Coverage, 15405,
     /* 1151613 */     GIR_EraseRootFromParent_Done,
     /* 1151614 */   // Label 16827: @1151614
     /* 1151614 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1151694), // Rule ID 15408 //
     /* 1151619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1151639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151658 */     // MIs[0] round
     /* 1151658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151693 */     // GIR_Coverage, 15408,
     /* 1151693 */     GIR_EraseRootFromParent_Done,
     /* 1151694 */   // Label 16828: @1151694
     /* 1151694 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1151774), // Rule ID 15409 //
     /* 1151699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1151719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151738 */     // MIs[0] round
     /* 1151738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1151751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151773 */     // GIR_Coverage, 15409,
     /* 1151773 */     GIR_EraseRootFromParent_Done,
     /* 1151774 */   // Label 16829: @1151774
     /* 1151774 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1151854), // Rule ID 15412 //
     /* 1151779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1151799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151818 */     // MIs[0] round
     /* 1151818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151853 */     // GIR_Coverage, 15412,
     /* 1151853 */     GIR_EraseRootFromParent_Done,
     /* 1151854 */   // Label 16830: @1151854
     /* 1151854 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1151934), // Rule ID 15413 //
     /* 1151859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1151879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151898 */     // MIs[0] round
     /* 1151898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1151911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151933 */     // GIR_Coverage, 15413,
     /* 1151933 */     GIR_EraseRootFromParent_Done,
     /* 1151934 */   // Label 16831: @1151934
     /* 1151934 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1152014), // Rule ID 15416 //
     /* 1151939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1151947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1151959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151978 */     // MIs[0] round
     /* 1151978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151988 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1151991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152013 */     // GIR_Coverage, 15416,
     /* 1152013 */     GIR_EraseRootFromParent_Done,
     /* 1152014 */   // Label 16832: @1152014
     /* 1152014 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1152094), // Rule ID 15417 //
     /* 1152019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1152030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1152033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1152036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1152039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152058 */     // MIs[0] round
     /* 1152058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152093 */     // GIR_Coverage, 15417,
     /* 1152093 */     GIR_EraseRootFromParent_Done,
     /* 1152094 */   // Label 16833: @1152094
     /* 1152094 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152174), // Rule ID 15420 //
     /* 1152099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1152110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1152113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1152116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1152119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152138 */     // MIs[0] round
     /* 1152138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152173 */     // GIR_Coverage, 15420,
     /* 1152173 */     GIR_EraseRootFromParent_Done,
     /* 1152174 */   // Label 16834: @1152174
     /* 1152174 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152254), // Rule ID 15421 //
     /* 1152179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1152190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1152193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1152196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1152199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152218 */     // MIs[0] round
     /* 1152218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152253 */     // GIR_Coverage, 15421,
     /* 1152253 */     GIR_EraseRootFromParent_Done,
     /* 1152254 */   // Label 16835: @1152254
     /* 1152254 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152334), // Rule ID 15424 //
     /* 1152259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1152279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152298 */     // MIs[0] round
     /* 1152298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152333 */     // GIR_Coverage, 15424,
     /* 1152333 */     GIR_EraseRootFromParent_Done,
     /* 1152334 */   // Label 16836: @1152334
     /* 1152334 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1152414), // Rule ID 15425 //
     /* 1152339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1152359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152378 */     // MIs[0] round
     /* 1152378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1152391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152413 */     // GIR_Coverage, 15425,
     /* 1152413 */     GIR_EraseRootFromParent_Done,
     /* 1152414 */   // Label 16837: @1152414
     /* 1152414 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1152494), // Rule ID 15428 //
     /* 1152419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1152439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152458 */     // MIs[0] round
     /* 1152458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152493 */     // GIR_Coverage, 15428,
     /* 1152493 */     GIR_EraseRootFromParent_Done,
     /* 1152494 */   // Label 16838: @1152494
     /* 1152494 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1152574), // Rule ID 15429 //
     /* 1152499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1152519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152538 */     // MIs[0] round
     /* 1152538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1152551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152573 */     // GIR_Coverage, 15429,
     /* 1152573 */     GIR_EraseRootFromParent_Done,
     /* 1152574 */   // Label 16839: @1152574
     /* 1152574 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1152654), // Rule ID 15432 //
     /* 1152579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1152599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152618 */     // MIs[0] round
     /* 1152618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152653 */     // GIR_Coverage, 15432,
     /* 1152653 */     GIR_EraseRootFromParent_Done,
     /* 1152654 */   // Label 16840: @1152654
     /* 1152654 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1152734), // Rule ID 15433 //
     /* 1152659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1152679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152698 */     // MIs[0] round
     /* 1152698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1152711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152733 */     // GIR_Coverage, 15433,
     /* 1152733 */     GIR_EraseRootFromParent_Done,
     /* 1152734 */   // Label 16841: @1152734
     /* 1152734 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1152814), // Rule ID 15436 //
     /* 1152739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1152750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1152753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1152756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152778 */     // MIs[0] round
     /* 1152778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1152791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152813 */     // GIR_Coverage, 15436,
     /* 1152813 */     GIR_EraseRootFromParent_Done,
     /* 1152814 */   // Label 16842: @1152814
     /* 1152814 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1152894), // Rule ID 15437 //
     /* 1152819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1152830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1152833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1152836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152858 */     // MIs[0] round
     /* 1152858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1152871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152893 */     // GIR_Coverage, 15437,
     /* 1152893 */     GIR_EraseRootFromParent_Done,
     /* 1152894 */   // Label 16843: @1152894
     /* 1152894 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1152974), // Rule ID 15440 //
     /* 1152899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1152910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1152913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1152916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152938 */     // MIs[0] round
     /* 1152938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1152951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152973 */     // GIR_Coverage, 15440,
     /* 1152973 */     GIR_EraseRootFromParent_Done,
     /* 1152974 */   // Label 16844: @1152974
     /* 1152974 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1153054), // Rule ID 15441 //
     /* 1152979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1152987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1152990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1152993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1152996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153018 */     // MIs[0] round
     /* 1153018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153053 */     // GIR_Coverage, 15441,
     /* 1153053 */     GIR_EraseRootFromParent_Done,
     /* 1153054 */   // Label 16845: @1153054
     /* 1153054 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153134), // Rule ID 15444 //
     /* 1153059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153098 */     // MIs[0] round
     /* 1153098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153133 */     // GIR_Coverage, 15444,
     /* 1153133 */     GIR_EraseRootFromParent_Done,
     /* 1153134 */   // Label 16846: @1153134
     /* 1153134 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153214), // Rule ID 15445 //
     /* 1153139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153178 */     // MIs[0] round
     /* 1153178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153213 */     // GIR_Coverage, 15445,
     /* 1153213 */     GIR_EraseRootFromParent_Done,
     /* 1153214 */   // Label 16847: @1153214
     /* 1153214 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153294), // Rule ID 15448 //
     /* 1153219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153258 */     // MIs[0] round
     /* 1153258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153293 */     // GIR_Coverage, 15448,
     /* 1153293 */     GIR_EraseRootFromParent_Done,
     /* 1153294 */   // Label 16848: @1153294
     /* 1153294 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1153374), // Rule ID 15449 //
     /* 1153299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153338 */     // MIs[0] round
     /* 1153338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1153351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153373 */     // GIR_Coverage, 15449,
     /* 1153373 */     GIR_EraseRootFromParent_Done,
     /* 1153374 */   // Label 16849: @1153374
     /* 1153374 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1153454), // Rule ID 15452 //
     /* 1153379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1153390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1153393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1153396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153418 */     // MIs[0] round
     /* 1153418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153453 */     // GIR_Coverage, 15452,
     /* 1153453 */     GIR_EraseRootFromParent_Done,
     /* 1153454 */   // Label 16850: @1153454
     /* 1153454 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1153534), // Rule ID 15453 //
     /* 1153459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1153470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1153473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1153476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153498 */     // MIs[0] round
     /* 1153498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153533 */     // GIR_Coverage, 15453,
     /* 1153533 */     GIR_EraseRootFromParent_Done,
     /* 1153534 */   // Label 16851: @1153534
     /* 1153534 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1153614), // Rule ID 15456 //
     /* 1153539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153578 */     // MIs[0] round
     /* 1153578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153613 */     // GIR_Coverage, 15456,
     /* 1153613 */     GIR_EraseRootFromParent_Done,
     /* 1153614 */   // Label 16852: @1153614
     /* 1153614 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1153694), // Rule ID 15457 //
     /* 1153619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153658 */     // MIs[0] round
     /* 1153658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1153671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153693 */     // GIR_Coverage, 15457,
     /* 1153693 */     GIR_EraseRootFromParent_Done,
     /* 1153694 */   // Label 16853: @1153694
     /* 1153694 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1153774), // Rule ID 15460 //
     /* 1153699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1153716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153738 */     // MIs[0] round
     /* 1153738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1153751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153773 */     // GIR_Coverage, 15460,
     /* 1153773 */     GIR_EraseRootFromParent_Done,
     /* 1153774 */   // Label 16854: @1153774
     /* 1153774 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1153854), // Rule ID 15461 //
     /* 1153779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1153790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1153793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1153796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153818 */     // MIs[0] round
     /* 1153818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1153831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153853 */     // GIR_Coverage, 15461,
     /* 1153853 */     GIR_EraseRootFromParent_Done,
     /* 1153854 */   // Label 16855: @1153854
     /* 1153854 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1153934), // Rule ID 15464 //
     /* 1153859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1153876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153898 */     // MIs[0] round
     /* 1153898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1153911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153933 */     // GIR_Coverage, 15464,
     /* 1153933 */     GIR_EraseRootFromParent_Done,
     /* 1153934 */   // Label 16856: @1153934
     /* 1153934 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1154014), // Rule ID 15465 //
     /* 1153939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1153947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1153956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153978 */     // MIs[0] round
     /* 1153978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1153991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154013 */     // GIR_Coverage, 15465,
     /* 1154013 */     GIR_EraseRootFromParent_Done,
     /* 1154014 */   // Label 16857: @1154014
     /* 1154014 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1154094), // Rule ID 15468 //
     /* 1154019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154058 */     // MIs[0] round
     /* 1154058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154093 */     // GIR_Coverage, 15468,
     /* 1154093 */     GIR_EraseRootFromParent_Done,
     /* 1154094 */   // Label 16858: @1154094
     /* 1154094 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154174), // Rule ID 15469 //
     /* 1154099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154138 */     // MIs[0] round
     /* 1154138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154173 */     // GIR_Coverage, 15469,
     /* 1154173 */     GIR_EraseRootFromParent_Done,
     /* 1154174 */   // Label 16859: @1154174
     /* 1154174 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154254), // Rule ID 15472 //
     /* 1154179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1154182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154218 */     // MIs[0] round
     /* 1154218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154253 */     // GIR_Coverage, 15472,
     /* 1154253 */     GIR_EraseRootFromParent_Done,
     /* 1154254 */   // Label 16860: @1154254
     /* 1154254 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1154334), // Rule ID 15473 //
     /* 1154259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1154262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154298 */     // MIs[0] round
     /* 1154298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1154311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154333 */     // GIR_Coverage, 15473,
     /* 1154333 */     GIR_EraseRootFromParent_Done,
     /* 1154334 */   // Label 16861: @1154334
     /* 1154334 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1154414), // Rule ID 15476 //
     /* 1154339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1154350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1154353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1154356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154378 */     // MIs[0] round
     /* 1154378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154388 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1154391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154413 */     // GIR_Coverage, 15476,
     /* 1154413 */     GIR_EraseRootFromParent_Done,
     /* 1154414 */   // Label 16862: @1154414
     /* 1154414 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1154494), // Rule ID 15477 //
     /* 1154419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1154430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1154433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1154436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154458 */     // MIs[0] round
     /* 1154458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1154471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154493 */     // GIR_Coverage, 15477,
     /* 1154493 */     GIR_EraseRootFromParent_Done,
     /* 1154494 */   // Label 16863: @1154494
     /* 1154494 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1154574), // Rule ID 15480 //
     /* 1154499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1154510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1154513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1154516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154538 */     // MIs[0] round
     /* 1154538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154548 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1154551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154573 */     // GIR_Coverage, 15480,
     /* 1154573 */     GIR_EraseRootFromParent_Done,
     /* 1154574 */   // Label 16864: @1154574
     /* 1154574 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1154654), // Rule ID 15481 //
     /* 1154579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1154590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1154593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1154596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154618 */     // MIs[0] round
     /* 1154618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1154631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154653 */     // GIR_Coverage, 15481,
     /* 1154653 */     GIR_EraseRootFromParent_Done,
     /* 1154654 */   // Label 16865: @1154654
     /* 1154654 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1154734), // Rule ID 15484 //
     /* 1154659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1154670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1154673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1154676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154698 */     // MIs[0] round
     /* 1154698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1154711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154733 */     // GIR_Coverage, 15484,
     /* 1154733 */     GIR_EraseRootFromParent_Done,
     /* 1154734 */   // Label 16866: @1154734
     /* 1154734 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1154814), // Rule ID 15485 //
     /* 1154739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1154750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1154753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1154756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154778 */     // MIs[0] round
     /* 1154778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1154791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154813 */     // GIR_Coverage, 15485,
     /* 1154813 */     GIR_EraseRootFromParent_Done,
     /* 1154814 */   // Label 16867: @1154814
     /* 1154814 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1154894), // Rule ID 15488 //
     /* 1154819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1154830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1154833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1154836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154858 */     // MIs[0] round
     /* 1154858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1154871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154893 */     // GIR_Coverage, 15488,
     /* 1154893 */     GIR_EraseRootFromParent_Done,
     /* 1154894 */   // Label 16868: @1154894
     /* 1154894 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1154974), // Rule ID 15489 //
     /* 1154899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1154910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1154913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1154916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154938 */     // MIs[0] round
     /* 1154938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1154951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154973 */     // GIR_Coverage, 15489,
     /* 1154973 */     GIR_EraseRootFromParent_Done,
     /* 1154974 */   // Label 16869: @1154974
     /* 1154974 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1155054), // Rule ID 15492 //
     /* 1154979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1154990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1154993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1154996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155018 */     // MIs[0] round
     /* 1155018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155053 */     // GIR_Coverage, 15492,
     /* 1155053 */     GIR_EraseRootFromParent_Done,
     /* 1155054 */   // Label 16870: @1155054
     /* 1155054 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155134), // Rule ID 15493 //
     /* 1155059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155098 */     // MIs[0] round
     /* 1155098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155133 */     // GIR_Coverage, 15493,
     /* 1155133 */     GIR_EraseRootFromParent_Done,
     /* 1155134 */   // Label 16871: @1155134
     /* 1155134 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155214), // Rule ID 15496 //
     /* 1155139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155178 */     // MIs[0] round
     /* 1155178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155213 */     // GIR_Coverage, 15496,
     /* 1155213 */     GIR_EraseRootFromParent_Done,
     /* 1155214 */   // Label 16872: @1155214
     /* 1155214 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155294), // Rule ID 15497 //
     /* 1155219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155258 */     // MIs[0] round
     /* 1155258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155293 */     // GIR_Coverage, 15497,
     /* 1155293 */     GIR_EraseRootFromParent_Done,
     /* 1155294 */   // Label 16873: @1155294
     /* 1155294 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1155374), // Rule ID 15500 //
     /* 1155299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155338 */     // MIs[0] round
     /* 1155338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155373 */     // GIR_Coverage, 15500,
     /* 1155373 */     GIR_EraseRootFromParent_Done,
     /* 1155374 */   // Label 16874: @1155374
     /* 1155374 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1155454), // Rule ID 15501 //
     /* 1155379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155418 */     // MIs[0] round
     /* 1155418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155453 */     // GIR_Coverage, 15501,
     /* 1155453 */     GIR_EraseRootFromParent_Done,
     /* 1155454 */   // Label 16875: @1155454
     /* 1155454 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1155534), // Rule ID 15504 //
     /* 1155459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1155470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1155473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1155476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155498 */     // MIs[0] round
     /* 1155498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155533 */     // GIR_Coverage, 15504,
     /* 1155533 */     GIR_EraseRootFromParent_Done,
     /* 1155534 */   // Label 16876: @1155534
     /* 1155534 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1155614), // Rule ID 15505 //
     /* 1155539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1155550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1155553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1155556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155578 */     // MIs[0] round
     /* 1155578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155613 */     // GIR_Coverage, 15505,
     /* 1155613 */     GIR_EraseRootFromParent_Done,
     /* 1155614 */   // Label 16877: @1155614
     /* 1155614 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1155694), // Rule ID 15508 //
     /* 1155619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1155630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1155633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1155636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155658 */     // MIs[0] round
     /* 1155658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155693 */     // GIR_Coverage, 15508,
     /* 1155693 */     GIR_EraseRootFromParent_Done,
     /* 1155694 */   // Label 16878: @1155694
     /* 1155694 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1155774), // Rule ID 15509 //
     /* 1155699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1155710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1155713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1155716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155738 */     // MIs[0] round
     /* 1155738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1155751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155773 */     // GIR_Coverage, 15509,
     /* 1155773 */     GIR_EraseRootFromParent_Done,
     /* 1155774 */   // Label 16879: @1155774
     /* 1155774 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1155854), // Rule ID 15512 //
     /* 1155779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1155782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1155790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1155793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1155796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155818 */     // MIs[0] round
     /* 1155818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1155849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155853 */     // GIR_Coverage, 15512,
     /* 1155853 */     GIR_EraseRootFromParent_Done,
     /* 1155854 */   // Label 16880: @1155854
     /* 1155854 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1155934), // Rule ID 15513 //
     /* 1155859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1155862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1155870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1155873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1155876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155898 */     // MIs[0] round
     /* 1155898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1155911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1155929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155933 */     // GIR_Coverage, 15513,
     /* 1155933 */     GIR_EraseRootFromParent_Done,
     /* 1155934 */   // Label 16881: @1155934
     /* 1155934 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1156014), // Rule ID 15516 //
     /* 1155939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1155942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1155950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1155953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1155956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155978 */     // MIs[0] round
     /* 1155978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1155991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156013 */     // GIR_Coverage, 15516,
     /* 1156013 */     GIR_EraseRootFromParent_Done,
     /* 1156014 */   // Label 16882: @1156014
     /* 1156014 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1156094), // Rule ID 15517 //
     /* 1156019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156058 */     // MIs[0] round
     /* 1156058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1156071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156093 */     // GIR_Coverage, 15517,
     /* 1156093 */     GIR_EraseRootFromParent_Done,
     /* 1156094 */   // Label 16883: @1156094
     /* 1156094 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156174), // Rule ID 15520 //
     /* 1156099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156138 */     // MIs[0] round
     /* 1156138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156148 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156173 */     // GIR_Coverage, 15520,
     /* 1156173 */     GIR_EraseRootFromParent_Done,
     /* 1156174 */   // Label 16884: @1156174
     /* 1156174 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156254), // Rule ID 15521 //
     /* 1156179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156218 */     // MIs[0] round
     /* 1156218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1156231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156253 */     // GIR_Coverage, 15521,
     /* 1156253 */     GIR_EraseRootFromParent_Done,
     /* 1156254 */   // Label 16885: @1156254
     /* 1156254 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1156337), // Rule ID 15524 //
     /* 1156259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1156270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1156273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1156276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1156279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156298 */     // MIs[0] round
     /* 1156298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1156311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156336 */     // GIR_Coverage, 15524,
     /* 1156336 */     GIR_EraseRootFromParent_Done,
     /* 1156337 */   // Label 16886: @1156337
     /* 1156337 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1156420), // Rule ID 15525 //
     /* 1156342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1156353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1156356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1156359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1156362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156381 */     // MIs[0] round
     /* 1156381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1156394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156419 */     // GIR_Coverage, 15525,
     /* 1156419 */     GIR_EraseRootFromParent_Done,
     /* 1156420 */   // Label 16887: @1156420
     /* 1156420 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1156503), // Rule ID 15528 //
     /* 1156425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1156436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1156439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1156442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1156445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156464 */     // MIs[0] round
     /* 1156464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1156477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156502 */     // GIR_Coverage, 15528,
     /* 1156502 */     GIR_EraseRootFromParent_Done,
     /* 1156503 */   // Label 16888: @1156503
     /* 1156503 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1156586), // Rule ID 15529 //
     /* 1156508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1156519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1156522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1156525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1156528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156547 */     // MIs[0] round
     /* 1156547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156557 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1156560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156585 */     // GIR_Coverage, 15529,
     /* 1156585 */     GIR_EraseRootFromParent_Done,
     /* 1156586 */   // Label 16889: @1156586
     /* 1156586 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1156669), // Rule ID 15532 //
     /* 1156591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1156602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1156605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1156608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1156611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156630 */     // MIs[0] round
     /* 1156630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1156643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156668 */     // GIR_Coverage, 15532,
     /* 1156668 */     GIR_EraseRootFromParent_Done,
     /* 1156669 */   // Label 16890: @1156669
     /* 1156669 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1156752), // Rule ID 15533 //
     /* 1156674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1156685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1156688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1156691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1156694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156713 */     // MIs[0] round
     /* 1156713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1156726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156751 */     // GIR_Coverage, 15533,
     /* 1156751 */     GIR_EraseRootFromParent_Done,
     /* 1156752 */   // Label 16891: @1156752
     /* 1156752 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1156835), // Rule ID 15536 //
     /* 1156757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1156768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1156771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1156774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1156777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156796 */     // MIs[0] round
     /* 1156796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156806 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1156809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156834 */     // GIR_Coverage, 15536,
     /* 1156834 */     GIR_EraseRootFromParent_Done,
     /* 1156835 */   // Label 16892: @1156835
     /* 1156835 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1156918), // Rule ID 15537 //
     /* 1156840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1156851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1156854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1156857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1156860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156879 */     // MIs[0] round
     /* 1156879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1156892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156917 */     // GIR_Coverage, 15537,
     /* 1156917 */     GIR_EraseRootFromParent_Done,
     /* 1156918 */   // Label 16893: @1156918
     /* 1156918 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1157001), // Rule ID 15540 //
     /* 1156923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1156934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1156937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1156940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1156943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156962 */     // MIs[0] round
     /* 1156962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1156975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157000 */     // GIR_Coverage, 15540,
     /* 1157000 */     GIR_EraseRootFromParent_Done,
     /* 1157001 */   // Label 16894: @1157001
     /* 1157001 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1157084), // Rule ID 15541 //
     /* 1157006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1157017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1157020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1157026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157045 */     // MIs[0] round
     /* 1157045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157083 */     // GIR_Coverage, 15541,
     /* 1157083 */     GIR_EraseRootFromParent_Done,
     /* 1157084 */   // Label 16895: @1157084
     /* 1157084 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157167), // Rule ID 15544 //
     /* 1157089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1157109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157128 */     // MIs[0] round
     /* 1157128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157166 */     // GIR_Coverage, 15544,
     /* 1157166 */     GIR_EraseRootFromParent_Done,
     /* 1157167 */   // Label 16896: @1157167
     /* 1157167 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157250), // Rule ID 15545 //
     /* 1157172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1157192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157211 */     // MIs[0] round
     /* 1157211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1157224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157249 */     // GIR_Coverage, 15545,
     /* 1157249 */     GIR_EraseRootFromParent_Done,
     /* 1157250 */   // Label 16897: @1157250
     /* 1157250 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1157333), // Rule ID 15548 //
     /* 1157255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1157266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1157269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1157272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1157275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157294 */     // MIs[0] round
     /* 1157294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157332 */     // GIR_Coverage, 15548,
     /* 1157332 */     GIR_EraseRootFromParent_Done,
     /* 1157333 */   // Label 16898: @1157333
     /* 1157333 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1157416), // Rule ID 15549 //
     /* 1157338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1157349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1157352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1157355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1157358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157377 */     // MIs[0] round
     /* 1157377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157387 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157415 */     // GIR_Coverage, 15549,
     /* 1157415 */     GIR_EraseRootFromParent_Done,
     /* 1157416 */   // Label 16899: @1157416
     /* 1157416 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1157499), // Rule ID 15552 //
     /* 1157421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1157432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1157435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1157441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157460 */     // MIs[0] round
     /* 1157460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157498 */     // GIR_Coverage, 15552,
     /* 1157498 */     GIR_EraseRootFromParent_Done,
     /* 1157499 */   // Label 16900: @1157499
     /* 1157499 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1157582), // Rule ID 15553 //
     /* 1157504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1157515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1157518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1157524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157543 */     // MIs[0] round
     /* 1157543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157581 */     // GIR_Coverage, 15553,
     /* 1157581 */     GIR_EraseRootFromParent_Done,
     /* 1157582 */   // Label 16901: @1157582
     /* 1157582 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1157665), // Rule ID 15556 //
     /* 1157587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157626 */     // MIs[0] round
     /* 1157626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157664 */     // GIR_Coverage, 15556,
     /* 1157664 */     GIR_EraseRootFromParent_Done,
     /* 1157665 */   // Label 16902: @1157665
     /* 1157665 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1157748), // Rule ID 15557 //
     /* 1157670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157709 */     // MIs[0] round
     /* 1157709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1157722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157747 */     // GIR_Coverage, 15557,
     /* 1157747 */     GIR_EraseRootFromParent_Done,
     /* 1157748 */   // Label 16903: @1157748
     /* 1157748 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1157831), // Rule ID 15560 //
     /* 1157753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1157764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1157767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1157770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1157773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157792 */     // MIs[0] round
     /* 1157792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1157805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157830 */     // GIR_Coverage, 15560,
     /* 1157830 */     GIR_EraseRootFromParent_Done,
     /* 1157831 */   // Label 16904: @1157831
     /* 1157831 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1157914), // Rule ID 15561 //
     /* 1157836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1157847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1157850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1157853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1157856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157875 */     // MIs[0] round
     /* 1157875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157885 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1157888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157913 */     // GIR_Coverage, 15561,
     /* 1157913 */     GIR_EraseRootFromParent_Done,
     /* 1157914 */   // Label 16905: @1157914
     /* 1157914 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1157997), // Rule ID 15564 //
     /* 1157919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1157930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1157933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1157936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1157939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157958 */     // MIs[0] round
     /* 1157958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1157971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157996 */     // GIR_Coverage, 15564,
     /* 1157996 */     GIR_EraseRootFromParent_Done,
     /* 1157997 */   // Label 16906: @1157997
     /* 1157997 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1158080), // Rule ID 15565 //
     /* 1158002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1158013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1158016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1158019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1158022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158041 */     // MIs[0] round
     /* 1158041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158079 */     // GIR_Coverage, 15565,
     /* 1158079 */     GIR_EraseRootFromParent_Done,
     /* 1158080 */   // Label 16907: @1158080
     /* 1158080 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158163), // Rule ID 15568 //
     /* 1158085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1158105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158124 */     // MIs[0] round
     /* 1158124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158162 */     // GIR_Coverage, 15568,
     /* 1158162 */     GIR_EraseRootFromParent_Done,
     /* 1158163 */   // Label 16908: @1158163
     /* 1158163 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158246), // Rule ID 15569 //
     /* 1158168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1158188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158207 */     // MIs[0] round
     /* 1158207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158217 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158245 */     // GIR_Coverage, 15569,
     /* 1158245 */     GIR_EraseRootFromParent_Done,
     /* 1158246 */   // Label 16909: @1158246
     /* 1158246 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1158329), // Rule ID 15572 //
     /* 1158251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1158262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1158265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1158271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158290 */     // MIs[0] round
     /* 1158290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158300 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158328 */     // GIR_Coverage, 15572,
     /* 1158328 */     GIR_EraseRootFromParent_Done,
     /* 1158329 */   // Label 16910: @1158329
     /* 1158329 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1158412), // Rule ID 15573 //
     /* 1158334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1158345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1158348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1158354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158373 */     // MIs[0] round
     /* 1158373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158411 */     // GIR_Coverage, 15573,
     /* 1158411 */     GIR_EraseRootFromParent_Done,
     /* 1158412 */   // Label 16911: @1158412
     /* 1158412 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1158495), // Rule ID 15576 //
     /* 1158417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1158428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1158431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1158437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158456 */     // MIs[0] round
     /* 1158456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158494 */     // GIR_Coverage, 15576,
     /* 1158494 */     GIR_EraseRootFromParent_Done,
     /* 1158495 */   // Label 16912: @1158495
     /* 1158495 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1158578), // Rule ID 15577 //
     /* 1158500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1158511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1158514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1158520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158539 */     // MIs[0] round
     /* 1158539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158577 */     // GIR_Coverage, 15577,
     /* 1158577 */     GIR_EraseRootFromParent_Done,
     /* 1158578 */   // Label 16913: @1158578
     /* 1158578 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1158661), // Rule ID 15580 //
     /* 1158583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1158594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1158597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1158600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1158603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158622 */     // MIs[0] round
     /* 1158622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158660 */     // GIR_Coverage, 15580,
     /* 1158660 */     GIR_EraseRootFromParent_Done,
     /* 1158661 */   // Label 16914: @1158661
     /* 1158661 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1158744), // Rule ID 15581 //
     /* 1158666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1158677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1158680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1158683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1158686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158705 */     // MIs[0] round
     /* 1158705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158715 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1158718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158743 */     // GIR_Coverage, 15581,
     /* 1158743 */     GIR_EraseRootFromParent_Done,
     /* 1158744 */   // Label 16915: @1158744
     /* 1158744 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1158827), // Rule ID 15584 //
     /* 1158749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1158760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1158763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1158766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1158769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158788 */     // MIs[0] round
     /* 1158788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158826 */     // GIR_Coverage, 15584,
     /* 1158826 */     GIR_EraseRootFromParent_Done,
     /* 1158827 */   // Label 16916: @1158827
     /* 1158827 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1158910), // Rule ID 15585 //
     /* 1158832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1158843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1158846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1158849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1158852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158871 */     // MIs[0] round
     /* 1158871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1158884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158909 */     // GIR_Coverage, 15585,
     /* 1158909 */     GIR_EraseRootFromParent_Done,
     /* 1158910 */   // Label 16917: @1158910
     /* 1158910 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1158993), // Rule ID 15588 //
     /* 1158915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1158923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1158926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1158929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1158932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1158935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158954 */     // MIs[0] round
     /* 1158954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1158967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1158991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158992 */     // GIR_Coverage, 15588,
     /* 1158992 */     GIR_EraseRootFromParent_Done,
     /* 1158993 */   // Label 16918: @1158993
     /* 1158993 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1159076), // Rule ID 15589 //
     /* 1158998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1159009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1159012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1159015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1159018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159037 */     // MIs[0] round
     /* 1159037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1159050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159075 */     // GIR_Coverage, 15589,
     /* 1159075 */     GIR_EraseRootFromParent_Done,
     /* 1159076 */   // Label 16919: @1159076
     /* 1159076 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159159), // Rule ID 15592 //
     /* 1159081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1159101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159120 */     // MIs[0] round
     /* 1159120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159158 */     // GIR_Coverage, 15592,
     /* 1159158 */     GIR_EraseRootFromParent_Done,
     /* 1159159 */   // Label 16920: @1159159
     /* 1159159 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159242), // Rule ID 15593 //
     /* 1159164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1159184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159203 */     // MIs[0] round
     /* 1159203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1159216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159241 */     // GIR_Coverage, 15593,
     /* 1159241 */     GIR_EraseRootFromParent_Done,
     /* 1159242 */   // Label 16921: @1159242
     /* 1159242 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1159325), // Rule ID 15596 //
     /* 1159247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159286 */     // MIs[0] round
     /* 1159286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1159299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159324 */     // GIR_Coverage, 15596,
     /* 1159324 */     GIR_EraseRootFromParent_Done,
     /* 1159325 */   // Label 16922: @1159325
     /* 1159325 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1159408), // Rule ID 15597 //
     /* 1159330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1159341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1159344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1159347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159369 */     // MIs[0] round
     /* 1159369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159379 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1159382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159407 */     // GIR_Coverage, 15597,
     /* 1159407 */     GIR_EraseRootFromParent_Done,
     /* 1159408 */   // Label 16923: @1159408
     /* 1159408 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1159491), // Rule ID 15600 //
     /* 1159413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159452 */     // MIs[0] round
     /* 1159452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1159465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159490 */     // GIR_Coverage, 15600,
     /* 1159490 */     GIR_EraseRootFromParent_Done,
     /* 1159491 */   // Label 16924: @1159491
     /* 1159491 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1159574), // Rule ID 15601 //
     /* 1159496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1159507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1159510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1159513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159535 */     // MIs[0] round
     /* 1159535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159545 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1159548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159573 */     // GIR_Coverage, 15601,
     /* 1159573 */     GIR_EraseRootFromParent_Done,
     /* 1159574 */   // Label 16925: @1159574
     /* 1159574 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1159657), // Rule ID 15604 //
     /* 1159579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159618 */     // MIs[0] round
     /* 1159618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1159631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159656 */     // GIR_Coverage, 15604,
     /* 1159656 */     GIR_EraseRootFromParent_Done,
     /* 1159657 */   // Label 16926: @1159657
     /* 1159657 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1159740), // Rule ID 15605 //
     /* 1159662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1159673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1159676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1159679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159701 */     // MIs[0] round
     /* 1159701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1159714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159739 */     // GIR_Coverage, 15605,
     /* 1159739 */     GIR_EraseRootFromParent_Done,
     /* 1159740 */   // Label 16927: @1159740
     /* 1159740 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1159823), // Rule ID 15608 //
     /* 1159745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159784 */     // MIs[0] round
     /* 1159784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1159797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159822 */     // GIR_Coverage, 15608,
     /* 1159822 */     GIR_EraseRootFromParent_Done,
     /* 1159823 */   // Label 16928: @1159823
     /* 1159823 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1159906), // Rule ID 15609 //
     /* 1159828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1159839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1159842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159867 */     // MIs[0] round
     /* 1159867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159877 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1159880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159905 */     // GIR_Coverage, 15609,
     /* 1159905 */     GIR_EraseRootFromParent_Done,
     /* 1159906 */   // Label 16929: @1159906
     /* 1159906 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1159989), // Rule ID 15612 //
     /* 1159911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1159919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1159922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1159925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159950 */     // MIs[0] round
     /* 1159950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1159963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1159987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159988 */     // GIR_Coverage, 15612,
     /* 1159988 */     GIR_EraseRootFromParent_Done,
     /* 1159989 */   // Label 16930: @1159989
     /* 1159989 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1160072), // Rule ID 15613 //
     /* 1159994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160033 */     // MIs[0] round
     /* 1160033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160071 */     // GIR_Coverage, 15613,
     /* 1160071 */     GIR_EraseRootFromParent_Done,
     /* 1160072 */   // Label 16931: @1160072
     /* 1160072 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160155), // Rule ID 15616 //
     /* 1160077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160116 */     // MIs[0] round
     /* 1160116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160154 */     // GIR_Coverage, 15616,
     /* 1160154 */     GIR_EraseRootFromParent_Done,
     /* 1160155 */   // Label 16932: @1160155
     /* 1160155 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160238), // Rule ID 15617 //
     /* 1160160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160199 */     // MIs[0] round
     /* 1160199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1160212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160237 */     // GIR_Coverage, 15617,
     /* 1160237 */     GIR_EraseRootFromParent_Done,
     /* 1160238 */   // Label 16933: @1160238
     /* 1160238 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1160321), // Rule ID 15620 //
     /* 1160243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160282 */     // MIs[0] round
     /* 1160282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160320 */     // GIR_Coverage, 15620,
     /* 1160320 */     GIR_EraseRootFromParent_Done,
     /* 1160321 */   // Label 16934: @1160321
     /* 1160321 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1160404), // Rule ID 15621 //
     /* 1160326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1160337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1160340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1160343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160365 */     // MIs[0] round
     /* 1160365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160375 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160403 */     // GIR_Coverage, 15621,
     /* 1160403 */     GIR_EraseRootFromParent_Done,
     /* 1160404 */   // Label 16935: @1160404
     /* 1160404 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1160487), // Rule ID 15624 //
     /* 1160409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160448 */     // MIs[0] round
     /* 1160448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160486 */     // GIR_Coverage, 15624,
     /* 1160486 */     GIR_EraseRootFromParent_Done,
     /* 1160487 */   // Label 16936: @1160487
     /* 1160487 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1160570), // Rule ID 15625 //
     /* 1160492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1160503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1160506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1160509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160531 */     // MIs[0] round
     /* 1160531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160569 */     // GIR_Coverage, 15625,
     /* 1160569 */     GIR_EraseRootFromParent_Done,
     /* 1160570 */   // Label 16937: @1160570
     /* 1160570 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1160653), // Rule ID 15628 //
     /* 1160575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160614 */     // MIs[0] round
     /* 1160614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160652 */     // GIR_Coverage, 15628,
     /* 1160652 */     GIR_EraseRootFromParent_Done,
     /* 1160653 */   // Label 16938: @1160653
     /* 1160653 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1160736), // Rule ID 15629 //
     /* 1160658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160697 */     // MIs[0] round
     /* 1160697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1160710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160735 */     // GIR_Coverage, 15629,
     /* 1160735 */     GIR_EraseRootFromParent_Done,
     /* 1160736 */   // Label 16939: @1160736
     /* 1160736 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1160819), // Rule ID 15632 //
     /* 1160741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1160752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1160755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160780 */     // MIs[0] round
     /* 1160780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1160793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160818 */     // GIR_Coverage, 15632,
     /* 1160818 */     GIR_EraseRootFromParent_Done,
     /* 1160819 */   // Label 16940: @1160819
     /* 1160819 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1160902), // Rule ID 15633 //
     /* 1160824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1160835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1160838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160863 */     // MIs[0] round
     /* 1160863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1160876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160901 */     // GIR_Coverage, 15633,
     /* 1160901 */     GIR_EraseRootFromParent_Done,
     /* 1160902 */   // Label 16941: @1160902
     /* 1160902 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1160985), // Rule ID 15636 //
     /* 1160907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1160918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1160921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1160924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160946 */     // MIs[0] round
     /* 1160946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1160959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1160983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160984 */     // GIR_Coverage, 15636,
     /* 1160984 */     GIR_EraseRootFromParent_Done,
     /* 1160985 */   // Label 16942: @1160985
     /* 1160985 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1161068), // Rule ID 15637 //
     /* 1160990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1160998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161029 */     // MIs[0] round
     /* 1161029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161039 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161067 */     // GIR_Coverage, 15637,
     /* 1161067 */     GIR_EraseRootFromParent_Done,
     /* 1161068 */   // Label 16943: @1161068
     /* 1161068 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161151), // Rule ID 15640 //
     /* 1161073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161112 */     // MIs[0] round
     /* 1161112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161122 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161150 */     // GIR_Coverage, 15640,
     /* 1161150 */     GIR_EraseRootFromParent_Done,
     /* 1161151 */   // Label 16944: @1161151
     /* 1161151 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161234), // Rule ID 15641 //
     /* 1161156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1161167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1161170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1161173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161195 */     // MIs[0] round
     /* 1161195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161233 */     // GIR_Coverage, 15641,
     /* 1161233 */     GIR_EraseRootFromParent_Done,
     /* 1161234 */   // Label 16945: @1161234
     /* 1161234 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161317), // Rule ID 15644 //
     /* 1161239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161278 */     // MIs[0] round
     /* 1161278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161288 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161316 */     // GIR_Coverage, 15644,
     /* 1161316 */     GIR_EraseRootFromParent_Done,
     /* 1161317 */   // Label 16946: @1161317
     /* 1161317 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1161400), // Rule ID 15645 //
     /* 1161322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1161333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1161336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1161339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161361 */     // MIs[0] round
     /* 1161361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161371 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161399 */     // GIR_Coverage, 15645,
     /* 1161399 */     GIR_EraseRootFromParent_Done,
     /* 1161400 */   // Label 16947: @1161400
     /* 1161400 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1161483), // Rule ID 15648 //
     /* 1161405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161444 */     // MIs[0] round
     /* 1161444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161482 */     // GIR_Coverage, 15648,
     /* 1161482 */     GIR_EraseRootFromParent_Done,
     /* 1161483 */   // Label 16948: @1161483
     /* 1161483 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1161566), // Rule ID 15649 //
     /* 1161488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1161499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1161502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1161505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161527 */     // MIs[0] round
     /* 1161527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161565 */     // GIR_Coverage, 15649,
     /* 1161565 */     GIR_EraseRootFromParent_Done,
     /* 1161566 */   // Label 16949: @1161566
     /* 1161566 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1161649), // Rule ID 15652 //
     /* 1161571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161610 */     // MIs[0] round
     /* 1161610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161620 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161648 */     // GIR_Coverage, 15652,
     /* 1161648 */     GIR_EraseRootFromParent_Done,
     /* 1161649 */   // Label 16950: @1161649
     /* 1161649 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1161732), // Rule ID 15653 //
     /* 1161654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1161665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1161668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161693 */     // MIs[0] round
     /* 1161693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161703 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1161706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161731 */     // GIR_Coverage, 15653,
     /* 1161731 */     GIR_EraseRootFromParent_Done,
     /* 1161732 */   // Label 16951: @1161732
     /* 1161732 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1161815), // Rule ID 15656 //
     /* 1161737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161776 */     // MIs[0] round
     /* 1161776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161814 */     // GIR_Coverage, 15656,
     /* 1161814 */     GIR_EraseRootFromParent_Done,
     /* 1161815 */   // Label 16952: @1161815
     /* 1161815 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1161898), // Rule ID 15657 //
     /* 1161820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1161831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1161834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161859 */     // MIs[0] round
     /* 1161859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1161872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161897 */     // GIR_Coverage, 15657,
     /* 1161897 */     GIR_EraseRootFromParent_Done,
     /* 1161898 */   // Label 16953: @1161898
     /* 1161898 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1161981), // Rule ID 15660 //
     /* 1161903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1161914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1161917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161942 */     // MIs[0] round
     /* 1161942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1161955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161980 */     // GIR_Coverage, 15660,
     /* 1161980 */     GIR_EraseRootFromParent_Done,
     /* 1161981 */   // Label 16954: @1161981
     /* 1161981 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1162064), // Rule ID 15661 //
     /* 1161986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1161997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162025 */     // MIs[0] round
     /* 1162025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1162038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162063 */     // GIR_Coverage, 15661,
     /* 1162063 */     GIR_EraseRootFromParent_Done,
     /* 1162064 */   // Label 16955: @1162064
     /* 1162064 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162147), // Rule ID 15664 //
     /* 1162069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162108 */     // MIs[0] round
     /* 1162108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162146 */     // GIR_Coverage, 15664,
     /* 1162146 */     GIR_EraseRootFromParent_Done,
     /* 1162147 */   // Label 16956: @1162147
     /* 1162147 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162230), // Rule ID 15665 //
     /* 1162152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1162166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162191 */     // MIs[0] round
     /* 1162191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162201 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1162204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162229 */     // GIR_Coverage, 15665,
     /* 1162229 */     GIR_EraseRootFromParent_Done,
     /* 1162230 */   // Label 16957: @1162230
     /* 1162230 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162313), // Rule ID 15668 //
     /* 1162235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1162255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162274 */     // MIs[0] round
     /* 1162274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162312 */     // GIR_Coverage, 15668,
     /* 1162312 */     GIR_EraseRootFromParent_Done,
     /* 1162313 */   // Label 16958: @1162313
     /* 1162313 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1162396), // Rule ID 15669 //
     /* 1162318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1162338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162357 */     // MIs[0] round
     /* 1162357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162395 */     // GIR_Coverage, 15669,
     /* 1162395 */     GIR_EraseRootFromParent_Done,
     /* 1162396 */   // Label 16959: @1162396
     /* 1162396 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1162479), // Rule ID 15672 //
     /* 1162401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162440 */     // MIs[0] round
     /* 1162440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1162453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162478 */     // GIR_Coverage, 15672,
     /* 1162478 */     GIR_EraseRootFromParent_Done,
     /* 1162479 */   // Label 16960: @1162479
     /* 1162479 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1162562), // Rule ID 15673 //
     /* 1162484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1162495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1162498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1162501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1162504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162523 */     // MIs[0] round
     /* 1162523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1162536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162561 */     // GIR_Coverage, 15673,
     /* 1162561 */     GIR_EraseRootFromParent_Done,
     /* 1162562 */   // Label 16961: @1162562
     /* 1162562 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1162645), // Rule ID 15676 //
     /* 1162567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162606 */     // MIs[0] round
     /* 1162606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1162619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162644 */     // GIR_Coverage, 15676,
     /* 1162644 */     GIR_EraseRootFromParent_Done,
     /* 1162645 */   // Label 16962: @1162645
     /* 1162645 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1162728), // Rule ID 15677 //
     /* 1162650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1162661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1162664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1162667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1162670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162689 */     // MIs[0] round
     /* 1162689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1162702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162727 */     // GIR_Coverage, 15677,
     /* 1162727 */     GIR_EraseRootFromParent_Done,
     /* 1162728 */   // Label 16963: @1162728
     /* 1162728 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1162811), // Rule ID 15680 //
     /* 1162733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162772 */     // MIs[0] round
     /* 1162772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1162785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162810 */     // GIR_Coverage, 15680,
     /* 1162810 */     GIR_EraseRootFromParent_Done,
     /* 1162811 */   // Label 16964: @1162811
     /* 1162811 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1162894), // Rule ID 15681 //
     /* 1162816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1162827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1162830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1162833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1162836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162855 */     // MIs[0] round
     /* 1162855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162865 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1162868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162893 */     // GIR_Coverage, 15681,
     /* 1162893 */     GIR_EraseRootFromParent_Done,
     /* 1162894 */   // Label 16965: @1162894
     /* 1162894 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1162977), // Rule ID 15684 //
     /* 1162899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1162902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162938 */     // MIs[0] round
     /* 1162938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1162951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162976 */     // GIR_Coverage, 15684,
     /* 1162976 */     GIR_EraseRootFromParent_Done,
     /* 1162977 */   // Label 16966: @1162977
     /* 1162977 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1163060), // Rule ID 15685 //
     /* 1162982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1162985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163021 */     // MIs[0] round
     /* 1163021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1163034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163059 */     // GIR_Coverage, 15685,
     /* 1163059 */     GIR_EraseRootFromParent_Done,
     /* 1163060 */   // Label 16967: @1163060
     /* 1163060 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163143), // Rule ID 15688 //
     /* 1163065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163104 */     // MIs[0] round
     /* 1163104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1163117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163142 */     // GIR_Coverage, 15688,
     /* 1163142 */     GIR_EraseRootFromParent_Done,
     /* 1163143 */   // Label 16968: @1163143
     /* 1163143 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163226), // Rule ID 15689 //
     /* 1163148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163187 */     // MIs[0] round
     /* 1163187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1163200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163225 */     // GIR_Coverage, 15689,
     /* 1163225 */     GIR_EraseRootFromParent_Done,
     /* 1163226 */   // Label 16969: @1163226
     /* 1163226 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163309), // Rule ID 15692 //
     /* 1163231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163270 */     // MIs[0] round
     /* 1163270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1163283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163308 */     // GIR_Coverage, 15692,
     /* 1163308 */     GIR_EraseRootFromParent_Done,
     /* 1163309 */   // Label 16970: @1163309
     /* 1163309 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163392), // Rule ID 15693 //
     /* 1163314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163353 */     // MIs[0] round
     /* 1163353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163363 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1163366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163391 */     // GIR_Coverage, 15693,
     /* 1163391 */     GIR_EraseRootFromParent_Done,
     /* 1163392 */   // Label 16971: @1163392
     /* 1163392 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1163475), // Rule ID 15696 //
     /* 1163397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1163400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163436 */     // MIs[0] round
     /* 1163436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1163449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163474 */     // GIR_Coverage, 15696,
     /* 1163474 */     GIR_EraseRootFromParent_Done,
     /* 1163475 */   // Label 16972: @1163475
     /* 1163475 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1163558), // Rule ID 15697 //
     /* 1163480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1163483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163519 */     // MIs[0] round
     /* 1163519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163529 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1163532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163557 */     // GIR_Coverage, 15697,
     /* 1163557 */     GIR_EraseRootFromParent_Done,
     /* 1163558 */   // Label 16973: @1163558
     /* 1163558 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1163638), // Rule ID 15700 //
     /* 1163563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1163583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163602 */     // MIs[0] round
     /* 1163602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1163615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163637 */     // GIR_Coverage, 15700,
     /* 1163637 */     GIR_EraseRootFromParent_Done,
     /* 1163638 */   // Label 16974: @1163638
     /* 1163638 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1163718), // Rule ID 15701 //
     /* 1163643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1163663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163682 */     // MIs[0] round
     /* 1163682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1163695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163717 */     // GIR_Coverage, 15701,
     /* 1163717 */     GIR_EraseRootFromParent_Done,
     /* 1163718 */   // Label 16975: @1163718
     /* 1163718 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1163798), // Rule ID 15704 //
     /* 1163723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1163743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163762 */     // MIs[0] round
     /* 1163762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1163775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163797 */     // GIR_Coverage, 15704,
     /* 1163797 */     GIR_EraseRootFromParent_Done,
     /* 1163798 */   // Label 16976: @1163798
     /* 1163798 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1163878), // Rule ID 15705 //
     /* 1163803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1163823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163842 */     // MIs[0] round
     /* 1163842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1163855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163877 */     // GIR_Coverage, 15705,
     /* 1163877 */     GIR_EraseRootFromParent_Done,
     /* 1163878 */   // Label 16977: @1163878
     /* 1163878 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1163958), // Rule ID 15708 //
     /* 1163883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1163903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163922 */     // MIs[0] round
     /* 1163922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1163935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163957 */     // GIR_Coverage, 15708,
     /* 1163957 */     GIR_EraseRootFromParent_Done,
     /* 1163958 */   // Label 16978: @1163958
     /* 1163958 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1164038), // Rule ID 15709 //
     /* 1163963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1163983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164002 */     // MIs[0] round
     /* 1164002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164037 */     // GIR_Coverage, 15709,
     /* 1164037 */     GIR_EraseRootFromParent_Done,
     /* 1164038 */   // Label 16979: @1164038
     /* 1164038 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164118), // Rule ID 15712 //
     /* 1164043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1164063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164082 */     // MIs[0] round
     /* 1164082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164092 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164117 */     // GIR_Coverage, 15712,
     /* 1164117 */     GIR_EraseRootFromParent_Done,
     /* 1164118 */   // Label 16980: @1164118
     /* 1164118 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164198), // Rule ID 15713 //
     /* 1164123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1164143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164162 */     // MIs[0] round
     /* 1164162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1164175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164197 */     // GIR_Coverage, 15713,
     /* 1164197 */     GIR_EraseRootFromParent_Done,
     /* 1164198 */   // Label 16981: @1164198
     /* 1164198 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164278), // Rule ID 15716 //
     /* 1164203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1164223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164242 */     // MIs[0] round
     /* 1164242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164252 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164277 */     // GIR_Coverage, 15716,
     /* 1164277 */     GIR_EraseRootFromParent_Done,
     /* 1164278 */   // Label 16982: @1164278
     /* 1164278 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164358), // Rule ID 15717 //
     /* 1164283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1164303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164322 */     // MIs[0] round
     /* 1164322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164332 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164357 */     // GIR_Coverage, 15717,
     /* 1164357 */     GIR_EraseRootFromParent_Done,
     /* 1164358 */   // Label 16983: @1164358
     /* 1164358 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1164438), // Rule ID 15720 //
     /* 1164363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1164383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164402 */     // MIs[0] round
     /* 1164402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164437 */     // GIR_Coverage, 15720,
     /* 1164437 */     GIR_EraseRootFromParent_Done,
     /* 1164438 */   // Label 16984: @1164438
     /* 1164438 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1164518), // Rule ID 15721 //
     /* 1164443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1164463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164482 */     // MIs[0] round
     /* 1164482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1164495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164517 */     // GIR_Coverage, 15721,
     /* 1164517 */     GIR_EraseRootFromParent_Done,
     /* 1164518 */   // Label 16985: @1164518
     /* 1164518 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1164598), // Rule ID 15724 //
     /* 1164523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1164543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164562 */     // MIs[0] round
     /* 1164562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164597 */     // GIR_Coverage, 15724,
     /* 1164597 */     GIR_EraseRootFromParent_Done,
     /* 1164598 */   // Label 16986: @1164598
     /* 1164598 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1164678), // Rule ID 15725 //
     /* 1164603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1164623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164642 */     // MIs[0] round
     /* 1164642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164677 */     // GIR_Coverage, 15725,
     /* 1164677 */     GIR_EraseRootFromParent_Done,
     /* 1164678 */   // Label 16987: @1164678
     /* 1164678 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1164758), // Rule ID 15728 //
     /* 1164683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1164703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164722 */     // MIs[0] round
     /* 1164722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164757 */     // GIR_Coverage, 15728,
     /* 1164757 */     GIR_EraseRootFromParent_Done,
     /* 1164758 */   // Label 16988: @1164758
     /* 1164758 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1164838), // Rule ID 15729 //
     /* 1164763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1164783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164802 */     // MIs[0] round
     /* 1164802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164837 */     // GIR_Coverage, 15729,
     /* 1164837 */     GIR_EraseRootFromParent_Done,
     /* 1164838 */   // Label 16989: @1164838
     /* 1164838 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1164918), // Rule ID 15732 //
     /* 1164843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1164863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164882 */     // MIs[0] round
     /* 1164882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164917 */     // GIR_Coverage, 15732,
     /* 1164917 */     GIR_EraseRootFromParent_Done,
     /* 1164918 */   // Label 16990: @1164918
     /* 1164918 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1164998), // Rule ID 15733 //
     /* 1164923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1164943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164962 */     // MIs[0] round
     /* 1164962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1164975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164997 */     // GIR_Coverage, 15733,
     /* 1164997 */     GIR_EraseRootFromParent_Done,
     /* 1164998 */   // Label 16991: @1164998
     /* 1164998 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1165078), // Rule ID 15736 //
     /* 1165003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1165023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165042 */     // MIs[0] round
     /* 1165042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165077 */     // GIR_Coverage, 15736,
     /* 1165077 */     GIR_EraseRootFromParent_Done,
     /* 1165078 */   // Label 16992: @1165078
     /* 1165078 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165158), // Rule ID 15737 //
     /* 1165083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1165103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165122 */     // MIs[0] round
     /* 1165122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1165135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165157 */     // GIR_Coverage, 15737,
     /* 1165157 */     GIR_EraseRootFromParent_Done,
     /* 1165158 */   // Label 16993: @1165158
     /* 1165158 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165238), // Rule ID 15740 //
     /* 1165163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1165183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165202 */     // MIs[0] round
     /* 1165202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165237 */     // GIR_Coverage, 15740,
     /* 1165237 */     GIR_EraseRootFromParent_Done,
     /* 1165238 */   // Label 16994: @1165238
     /* 1165238 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165318), // Rule ID 15741 //
     /* 1165243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1165263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165282 */     // MIs[0] round
     /* 1165282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165317 */     // GIR_Coverage, 15741,
     /* 1165317 */     GIR_EraseRootFromParent_Done,
     /* 1165318 */   // Label 16995: @1165318
     /* 1165318 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165398), // Rule ID 15744 //
     /* 1165323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1165343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165362 */     // MIs[0] round
     /* 1165362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1165375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165397 */     // GIR_Coverage, 15744,
     /* 1165397 */     GIR_EraseRootFromParent_Done,
     /* 1165398 */   // Label 16996: @1165398
     /* 1165398 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1165478), // Rule ID 15745 //
     /* 1165403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1165423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165442 */     // MIs[0] round
     /* 1165442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1165455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165477 */     // GIR_Coverage, 15745,
     /* 1165477 */     GIR_EraseRootFromParent_Done,
     /* 1165478 */   // Label 16997: @1165478
     /* 1165478 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1165558), // Rule ID 15748 //
     /* 1165483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1165503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165522 */     // MIs[0] round
     /* 1165522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165532 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1165535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165557 */     // GIR_Coverage, 15748,
     /* 1165557 */     GIR_EraseRootFromParent_Done,
     /* 1165558 */   // Label 16998: @1165558
     /* 1165558 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1165638), // Rule ID 15749 //
     /* 1165563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1165583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165602 */     // MIs[0] round
     /* 1165602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1165615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165637 */     // GIR_Coverage, 15749,
     /* 1165637 */     GIR_EraseRootFromParent_Done,
     /* 1165638 */   // Label 16999: @1165638
     /* 1165638 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1165718), // Rule ID 15752 //
     /* 1165643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1165663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165682 */     // MIs[0] round
     /* 1165682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165717 */     // GIR_Coverage, 15752,
     /* 1165717 */     GIR_EraseRootFromParent_Done,
     /* 1165718 */   // Label 17000: @1165718
     /* 1165718 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1165798), // Rule ID 15753 //
     /* 1165723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1165743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165762 */     // MIs[0] round
     /* 1165762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1165775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165797 */     // GIR_Coverage, 15753,
     /* 1165797 */     GIR_EraseRootFromParent_Done,
     /* 1165798 */   // Label 17001: @1165798
     /* 1165798 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1165878), // Rule ID 15756 //
     /* 1165803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1165823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165842 */     // MIs[0] round
     /* 1165842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1165855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165877 */     // GIR_Coverage, 15756,
     /* 1165877 */     GIR_EraseRootFromParent_Done,
     /* 1165878 */   // Label 17002: @1165878
     /* 1165878 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1165958), // Rule ID 15757 //
     /* 1165883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1165903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165922 */     // MIs[0] round
     /* 1165922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1165935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165957 */     // GIR_Coverage, 15757,
     /* 1165957 */     GIR_EraseRootFromParent_Done,
     /* 1165958 */   // Label 17003: @1165958
     /* 1165958 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1166038), // Rule ID 15760 //
     /* 1165963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1165971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1165983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166002 */     // MIs[0] round
     /* 1166002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166037 */     // GIR_Coverage, 15760,
     /* 1166037 */     GIR_EraseRootFromParent_Done,
     /* 1166038 */   // Label 17004: @1166038
     /* 1166038 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166118), // Rule ID 15761 //
     /* 1166043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1166063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166082 */     // MIs[0] round
     /* 1166082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166092 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166117 */     // GIR_Coverage, 15761,
     /* 1166117 */     GIR_EraseRootFromParent_Done,
     /* 1166118 */   // Label 17005: @1166118
     /* 1166118 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166198), // Rule ID 15764 //
     /* 1166123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166162 */     // MIs[0] round
     /* 1166162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166197 */     // GIR_Coverage, 15764,
     /* 1166197 */     GIR_EraseRootFromParent_Done,
     /* 1166198 */   // Label 17006: @1166198
     /* 1166198 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166278), // Rule ID 15765 //
     /* 1166203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166242 */     // MIs[0] round
     /* 1166242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166277 */     // GIR_Coverage, 15765,
     /* 1166277 */     GIR_EraseRootFromParent_Done,
     /* 1166278 */   // Label 17007: @1166278
     /* 1166278 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166358), // Rule ID 15768 //
     /* 1166283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1166303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166322 */     // MIs[0] round
     /* 1166322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166357 */     // GIR_Coverage, 15768,
     /* 1166357 */     GIR_EraseRootFromParent_Done,
     /* 1166358 */   // Label 17008: @1166358
     /* 1166358 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1166438), // Rule ID 15769 //
     /* 1166363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1166383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166402 */     // MIs[0] round
     /* 1166402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166437 */     // GIR_Coverage, 15769,
     /* 1166437 */     GIR_EraseRootFromParent_Done,
     /* 1166438 */   // Label 17009: @1166438
     /* 1166438 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1166518), // Rule ID 15772 //
     /* 1166443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1166463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166482 */     // MIs[0] round
     /* 1166482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166517 */     // GIR_Coverage, 15772,
     /* 1166517 */     GIR_EraseRootFromParent_Done,
     /* 1166518 */   // Label 17010: @1166518
     /* 1166518 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1166598), // Rule ID 15773 //
     /* 1166523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1166543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166562 */     // MIs[0] round
     /* 1166562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166597 */     // GIR_Coverage, 15773,
     /* 1166597 */     GIR_EraseRootFromParent_Done,
     /* 1166598 */   // Label 17011: @1166598
     /* 1166598 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1166678), // Rule ID 15776 //
     /* 1166603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1166623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166642 */     // MIs[0] round
     /* 1166642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166677 */     // GIR_Coverage, 15776,
     /* 1166677 */     GIR_EraseRootFromParent_Done,
     /* 1166678 */   // Label 17012: @1166678
     /* 1166678 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1166758), // Rule ID 15777 //
     /* 1166683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1166703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166722 */     // MIs[0] round
     /* 1166722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1166735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166757 */     // GIR_Coverage, 15777,
     /* 1166757 */     GIR_EraseRootFromParent_Done,
     /* 1166758 */   // Label 17013: @1166758
     /* 1166758 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1166838), // Rule ID 15780 //
     /* 1166763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1166783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166802 */     // MIs[0] round
     /* 1166802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166837 */     // GIR_Coverage, 15780,
     /* 1166837 */     GIR_EraseRootFromParent_Done,
     /* 1166838 */   // Label 17014: @1166838
     /* 1166838 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1166918), // Rule ID 15781 //
     /* 1166843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1166863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166882 */     // MIs[0] round
     /* 1166882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1166895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166917 */     // GIR_Coverage, 15781,
     /* 1166917 */     GIR_EraseRootFromParent_Done,
     /* 1166918 */   // Label 17015: @1166918
     /* 1166918 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1166998), // Rule ID 15784 //
     /* 1166923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1166931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1166934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1166937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1166940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1166943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166962 */     // MIs[0] round
     /* 1166962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1166975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166997 */     // GIR_Coverage, 15784,
     /* 1166997 */     GIR_EraseRootFromParent_Done,
     /* 1166998 */   // Label 17016: @1166998
     /* 1166998 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1167078), // Rule ID 15785 //
     /* 1167003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167042 */     // MIs[0] round
     /* 1167042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1167055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167077 */     // GIR_Coverage, 15785,
     /* 1167077 */     GIR_EraseRootFromParent_Done,
     /* 1167078 */   // Label 17017: @1167078
     /* 1167078 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167158), // Rule ID 15788 //
     /* 1167083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167122 */     // MIs[0] round
     /* 1167122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1167135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167157 */     // GIR_Coverage, 15788,
     /* 1167157 */     GIR_EraseRootFromParent_Done,
     /* 1167158 */   // Label 17018: @1167158
     /* 1167158 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167238), // Rule ID 15789 //
     /* 1167163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167202 */     // MIs[0] round
     /* 1167202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1167215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167237 */     // GIR_Coverage, 15789,
     /* 1167237 */     GIR_EraseRootFromParent_Done,
     /* 1167238 */   // Label 17019: @1167238
     /* 1167238 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167318), // Rule ID 15792 //
     /* 1167243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1167260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167282 */     // MIs[0] round
     /* 1167282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167317 */     // GIR_Coverage, 15792,
     /* 1167317 */     GIR_EraseRootFromParent_Done,
     /* 1167318 */   // Label 17020: @1167318
     /* 1167318 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167398), // Rule ID 15793 //
     /* 1167323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1167340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167362 */     // MIs[0] round
     /* 1167362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167397 */     // GIR_Coverage, 15793,
     /* 1167397 */     GIR_EraseRootFromParent_Done,
     /* 1167398 */   // Label 17021: @1167398
     /* 1167398 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1167478), // Rule ID 15796 //
     /* 1167403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1167420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167442 */     // MIs[0] round
     /* 1167442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167477 */     // GIR_Coverage, 15796,
     /* 1167477 */     GIR_EraseRootFromParent_Done,
     /* 1167478 */   // Label 17022: @1167478
     /* 1167478 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1167558), // Rule ID 15797 //
     /* 1167483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1167500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167522 */     // MIs[0] round
     /* 1167522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167532 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167557 */     // GIR_Coverage, 15797,
     /* 1167557 */     GIR_EraseRootFromParent_Done,
     /* 1167558 */   // Label 17023: @1167558
     /* 1167558 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1167638), // Rule ID 15800 //
     /* 1167563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167602 */     // MIs[0] round
     /* 1167602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167637 */     // GIR_Coverage, 15800,
     /* 1167637 */     GIR_EraseRootFromParent_Done,
     /* 1167638 */   // Label 17024: @1167638
     /* 1167638 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1167718), // Rule ID 15801 //
     /* 1167643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167682 */     // MIs[0] round
     /* 1167682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1167695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167717 */     // GIR_Coverage, 15801,
     /* 1167717 */     GIR_EraseRootFromParent_Done,
     /* 1167718 */   // Label 17025: @1167718
     /* 1167718 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1167798), // Rule ID 15804 //
     /* 1167723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1167734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1167737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167762 */     // MIs[0] round
     /* 1167762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167797 */     // GIR_Coverage, 15804,
     /* 1167797 */     GIR_EraseRootFromParent_Done,
     /* 1167798 */   // Label 17026: @1167798
     /* 1167798 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1167878), // Rule ID 15805 //
     /* 1167803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1167814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1167817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167842 */     // MIs[0] round
     /* 1167842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167877 */     // GIR_Coverage, 15805,
     /* 1167877 */     GIR_EraseRootFromParent_Done,
     /* 1167878 */   // Label 17027: @1167878
     /* 1167878 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1167958), // Rule ID 15808 //
     /* 1167883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1167894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1167897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1167900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167922 */     // MIs[0] round
     /* 1167922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1167935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167957 */     // GIR_Coverage, 15808,
     /* 1167957 */     GIR_EraseRootFromParent_Done,
     /* 1167958 */   // Label 17028: @1167958
     /* 1167958 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1168038), // Rule ID 15809 //
     /* 1167963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1167971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1167974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1167977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1167980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168002 */     // MIs[0] round
     /* 1168002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1168015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168037 */     // GIR_Coverage, 15809,
     /* 1168037 */     GIR_EraseRootFromParent_Done,
     /* 1168038 */   // Label 17029: @1168038
     /* 1168038 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168118), // Rule ID 15812 //
     /* 1168043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168082 */     // MIs[0] round
     /* 1168082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168117 */     // GIR_Coverage, 15812,
     /* 1168117 */     GIR_EraseRootFromParent_Done,
     /* 1168118 */   // Label 17030: @1168118
     /* 1168118 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168198), // Rule ID 15813 //
     /* 1168123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168162 */     // MIs[0] round
     /* 1168162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11536:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168197 */     // GIR_Coverage, 15813,
     /* 1168197 */     GIR_EraseRootFromParent_Done,
     /* 1168198 */   // Label 17031: @1168198
     /* 1168198 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168278), // Rule ID 15816 //
     /* 1168203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168242 */     // MIs[0] round
     /* 1168242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168277 */     // GIR_Coverage, 15816,
     /* 1168277 */     GIR_EraseRootFromParent_Done,
     /* 1168278 */   // Label 17032: @1168278
     /* 1168278 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168358), // Rule ID 15817 //
     /* 1168283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168322 */     // MIs[0] round
     /* 1168322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168357 */     // GIR_Coverage, 15817,
     /* 1168357 */     GIR_EraseRootFromParent_Done,
     /* 1168358 */   // Label 17033: @1168358
     /* 1168358 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1168438), // Rule ID 15820 //
     /* 1168363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1168374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1168377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168402 */     // MIs[0] round
     /* 1168402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168437 */     // GIR_Coverage, 15820,
     /* 1168437 */     GIR_EraseRootFromParent_Done,
     /* 1168438 */   // Label 17034: @1168438
     /* 1168438 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1168518), // Rule ID 15821 //
     /* 1168443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1168454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1168457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168482 */     // MIs[0] round
     /* 1168482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168517 */     // GIR_Coverage, 15821,
     /* 1168517 */     GIR_EraseRootFromParent_Done,
     /* 1168518 */   // Label 17035: @1168518
     /* 1168518 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1168598), // Rule ID 15824 //
     /* 1168523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1168526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1168534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1168537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1168540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168562 */     // MIs[0] round
     /* 1168562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168597 */     // GIR_Coverage, 15824,
     /* 1168597 */     GIR_EraseRootFromParent_Done,
     /* 1168598 */   // Label 17036: @1168598
     /* 1168598 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1168678), // Rule ID 15825 //
     /* 1168603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1168606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1168614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1168617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1168620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168642 */     // MIs[0] round
     /* 1168642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1168655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168677 */     // GIR_Coverage, 15825,
     /* 1168677 */     GIR_EraseRootFromParent_Done,
     /* 1168678 */   // Label 17037: @1168678
     /* 1168678 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1168758), // Rule ID 15828 //
     /* 1168683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168722 */     // MIs[0] round
     /* 1168722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1168735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168757 */     // GIR_Coverage, 15828,
     /* 1168757 */     GIR_EraseRootFromParent_Done,
     /* 1168758 */   // Label 17038: @1168758
     /* 1168758 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1168838), // Rule ID 15829 //
     /* 1168763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1168774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1168777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1168780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168802 */     // MIs[0] round
     /* 1168802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1168815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168837 */     // GIR_Coverage, 15829,
     /* 1168837 */     GIR_EraseRootFromParent_Done,
     /* 1168838 */   // Label 17039: @1168838
     /* 1168838 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1168918), // Rule ID 15832 //
     /* 1168843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1168854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1168857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1168860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168882 */     // MIs[0] round
     /* 1168882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1168895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168917 */     // GIR_Coverage, 15832,
     /* 1168917 */     GIR_EraseRootFromParent_Done,
     /* 1168918 */   // Label 17040: @1168918
     /* 1168918 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1168998), // Rule ID 15833 //
     /* 1168923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1168934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1168937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1168940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168962 */     // MIs[0] round
     /* 1168962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1168975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168997 */     // GIR_Coverage, 15833,
     /* 1168997 */     GIR_EraseRootFromParent_Done,
     /* 1168998 */   // Label 17041: @1168998
     /* 1168998 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1169078), // Rule ID 15836 //
     /* 1169003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169042 */     // MIs[0] round
     /* 1169042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169052 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169077 */     // GIR_Coverage, 15836,
     /* 1169077 */     GIR_EraseRootFromParent_Done,
     /* 1169078 */   // Label 17042: @1169078
     /* 1169078 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169158), // Rule ID 15837 //
     /* 1169083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169122 */     // MIs[0] round
     /* 1169122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169132 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169157 */     // GIR_Coverage, 15837,
     /* 1169157 */     GIR_EraseRootFromParent_Done,
     /* 1169158 */   // Label 17043: @1169158
     /* 1169158 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169238), // Rule ID 15840 //
     /* 1169163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169202 */     // MIs[0] round
     /* 1169202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169212 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169237 */     // GIR_Coverage, 15840,
     /* 1169237 */     GIR_EraseRootFromParent_Done,
     /* 1169238 */   // Label 17044: @1169238
     /* 1169238 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169318), // Rule ID 15841 //
     /* 1169243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169282 */     // MIs[0] round
     /* 1169282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169317 */     // GIR_Coverage, 15841,
     /* 1169317 */     GIR_EraseRootFromParent_Done,
     /* 1169318 */   // Label 17045: @1169318
     /* 1169318 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169398), // Rule ID 15844 //
     /* 1169323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1169334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1169337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1169340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169362 */     // MIs[0] round
     /* 1169362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169397 */     // GIR_Coverage, 15844,
     /* 1169397 */     GIR_EraseRootFromParent_Done,
     /* 1169398 */   // Label 17046: @1169398
     /* 1169398 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1169478), // Rule ID 15845 //
     /* 1169403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1169414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1169417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1169420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169442 */     // MIs[0] round
     /* 1169442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169477 */     // GIR_Coverage, 15845,
     /* 1169477 */     GIR_EraseRootFromParent_Done,
     /* 1169478 */   // Label 17047: @1169478
     /* 1169478 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1169558), // Rule ID 15848 //
     /* 1169483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1169494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1169497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1169500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169522 */     // MIs[0] round
     /* 1169522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169532 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169557 */     // GIR_Coverage, 15848,
     /* 1169557 */     GIR_EraseRootFromParent_Done,
     /* 1169558 */   // Label 17048: @1169558
     /* 1169558 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1169638), // Rule ID 15849 //
     /* 1169563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1169574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1169577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1169580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169602 */     // MIs[0] round
     /* 1169602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1169615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169637 */     // GIR_Coverage, 15849,
     /* 1169637 */     GIR_EraseRootFromParent_Done,
     /* 1169638 */   // Label 17049: @1169638
     /* 1169638 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1169718), // Rule ID 15852 //
     /* 1169643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169682 */     // MIs[0] round
     /* 1169682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169717 */     // GIR_Coverage, 15852,
     /* 1169717 */     GIR_EraseRootFromParent_Done,
     /* 1169718 */   // Label 17050: @1169718
     /* 1169718 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1169798), // Rule ID 15853 //
     /* 1169723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1169740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169762 */     // MIs[0] round
     /* 1169762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1169775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169797 */     // GIR_Coverage, 15853,
     /* 1169797 */     GIR_EraseRootFromParent_Done,
     /* 1169798 */   // Label 17051: @1169798
     /* 1169798 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1169878), // Rule ID 15856 //
     /* 1169803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1169820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169842 */     // MIs[0] round
     /* 1169842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169877 */     // GIR_Coverage, 15856,
     /* 1169877 */     GIR_EraseRootFromParent_Done,
     /* 1169878 */   // Label 17052: @1169878
     /* 1169878 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1169958), // Rule ID 15857 //
     /* 1169883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1169900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169922 */     // MIs[0] round
     /* 1169922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1169935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169957 */     // GIR_Coverage, 15857,
     /* 1169957 */     GIR_EraseRootFromParent_Done,
     /* 1169958 */   // Label 17053: @1169958
     /* 1169958 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1170038), // Rule ID 15860 //
     /* 1169963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1169974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1169977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1169980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170002 */     // MIs[0] round
     /* 1170002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170037 */     // GIR_Coverage, 15860,
     /* 1170037 */     GIR_EraseRootFromParent_Done,
     /* 1170038 */   // Label 17054: @1170038
     /* 1170038 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170118), // Rule ID 15861 //
     /* 1170043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1170054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1170057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1170060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170082 */     // MIs[0] round
     /* 1170082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170117 */     // GIR_Coverage, 15861,
     /* 1170117 */     GIR_EraseRootFromParent_Done,
     /* 1170118 */   // Label 17055: @1170118
     /* 1170118 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170198), // Rule ID 15864 //
     /* 1170123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1170134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1170137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1170140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170162 */     // MIs[0] round
     /* 1170162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170197 */     // GIR_Coverage, 15864,
     /* 1170197 */     GIR_EraseRootFromParent_Done,
     /* 1170198 */   // Label 17056: @1170198
     /* 1170198 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170278), // Rule ID 15865 //
     /* 1170203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1170214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1170217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1170220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170242 */     // MIs[0] round
     /* 1170242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1170255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170277 */     // GIR_Coverage, 15865,
     /* 1170277 */     GIR_EraseRootFromParent_Done,
     /* 1170278 */   // Label 17057: @1170278
     /* 1170278 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170358), // Rule ID 15868 //
     /* 1170283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1170294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1170297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1170300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170322 */     // MIs[0] round
     /* 1170322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170332 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170357 */     // GIR_Coverage, 15868,
     /* 1170357 */     GIR_EraseRootFromParent_Done,
     /* 1170358 */   // Label 17058: @1170358
     /* 1170358 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1170438), // Rule ID 15869 //
     /* 1170363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1170374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1170377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1170380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170402 */     // MIs[0] round
     /* 1170402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1170415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170437 */     // GIR_Coverage, 15869,
     /* 1170437 */     GIR_EraseRootFromParent_Done,
     /* 1170438 */   // Label 17059: @1170438
     /* 1170438 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1170518), // Rule ID 15872 //
     /* 1170443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1170454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1170457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1170460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170482 */     // MIs[0] round
     /* 1170482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170517 */     // GIR_Coverage, 15872,
     /* 1170517 */     GIR_EraseRootFromParent_Done,
     /* 1170518 */   // Label 17060: @1170518
     /* 1170518 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1170598), // Rule ID 15873 //
     /* 1170523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1170534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1170537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1170540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170562 */     // MIs[0] round
     /* 1170562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1170575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170597 */     // GIR_Coverage, 15873,
     /* 1170597 */     GIR_EraseRootFromParent_Done,
     /* 1170598 */   // Label 17061: @1170598
     /* 1170598 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1170678), // Rule ID 15964 //
     /* 1170603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1170614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1170617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1170620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1170623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170642 */     // MIs[0] round
     /* 1170642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1170655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170677 */     // GIR_Coverage, 15964,
     /* 1170677 */     GIR_EraseRootFromParent_Done,
     /* 1170678 */   // Label 17062: @1170678
     /* 1170678 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1170758), // Rule ID 15965 //
     /* 1170683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1170694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1170697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1170700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1170703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170722 */     // MIs[0] round
     /* 1170722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1170735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170757 */     // GIR_Coverage, 15965,
     /* 1170757 */     GIR_EraseRootFromParent_Done,
     /* 1170758 */   // Label 17063: @1170758
     /* 1170758 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1170838), // Rule ID 15968 //
     /* 1170763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1170774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1170777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1170780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1170783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170802 */     // MIs[0] round
     /* 1170802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1170815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170837 */     // GIR_Coverage, 15968,
     /* 1170837 */     GIR_EraseRootFromParent_Done,
     /* 1170838 */   // Label 17064: @1170838
     /* 1170838 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1170918), // Rule ID 15969 //
     /* 1170843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1170854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1170857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1170860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1170863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170882 */     // MIs[0] round
     /* 1170882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1170895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170917 */     // GIR_Coverage, 15969,
     /* 1170917 */     GIR_EraseRootFromParent_Done,
     /* 1170918 */   // Label 17065: @1170918
     /* 1170918 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1170998), // Rule ID 15972 //
     /* 1170923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1170934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1170937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1170940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1170943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170962 */     // MIs[0] round
     /* 1170962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1170975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170997 */     // GIR_Coverage, 15972,
     /* 1170997 */     GIR_EraseRootFromParent_Done,
     /* 1170998 */   // Label 17066: @1170998
     /* 1170998 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1171078), // Rule ID 15973 //
     /* 1171003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1171014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1171017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1171020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1171023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171042 */     // MIs[0] round
     /* 1171042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171077 */     // GIR_Coverage, 15973,
     /* 1171077 */     GIR_EraseRootFromParent_Done,
     /* 1171078 */   // Label 17067: @1171078
     /* 1171078 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171158), // Rule ID 15976 //
     /* 1171083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1171094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1171097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1171103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171122 */     // MIs[0] round
     /* 1171122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171157 */     // GIR_Coverage, 15976,
     /* 1171157 */     GIR_EraseRootFromParent_Done,
     /* 1171158 */   // Label 17068: @1171158
     /* 1171158 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171238), // Rule ID 15977 //
     /* 1171163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1171174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1171177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1171183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171202 */     // MIs[0] round
     /* 1171202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1171215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171237 */     // GIR_Coverage, 15977,
     /* 1171237 */     GIR_EraseRootFromParent_Done,
     /* 1171238 */   // Label 17069: @1171238
     /* 1171238 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171318), // Rule ID 15980 //
     /* 1171243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1171254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1171257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1171260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1171263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171282 */     // MIs[0] round
     /* 1171282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171317 */     // GIR_Coverage, 15980,
     /* 1171317 */     GIR_EraseRootFromParent_Done,
     /* 1171318 */   // Label 17070: @1171318
     /* 1171318 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171398), // Rule ID 15981 //
     /* 1171323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1171334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1171337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1171340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1171343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171362 */     // MIs[0] round
     /* 1171362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171397 */     // GIR_Coverage, 15981,
     /* 1171397 */     GIR_EraseRootFromParent_Done,
     /* 1171398 */   // Label 17071: @1171398
     /* 1171398 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1171478), // Rule ID 15984 //
     /* 1171403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1171414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1171417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1171420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1171423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171442 */     // MIs[0] round
     /* 1171442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171477 */     // GIR_Coverage, 15984,
     /* 1171477 */     GIR_EraseRootFromParent_Done,
     /* 1171478 */   // Label 17072: @1171478
     /* 1171478 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1171558), // Rule ID 15985 //
     /* 1171483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1171494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1171497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1171500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1171503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171522 */     // MIs[0] round
     /* 1171522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1171535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171557 */     // GIR_Coverage, 15985,
     /* 1171557 */     GIR_EraseRootFromParent_Done,
     /* 1171558 */   // Label 17073: @1171558
     /* 1171558 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1171638), // Rule ID 15988 //
     /* 1171563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1171574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1171577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1171580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1171583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171602 */     // MIs[0] round
     /* 1171602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171637 */     // GIR_Coverage, 15988,
     /* 1171637 */     GIR_EraseRootFromParent_Done,
     /* 1171638 */   // Label 17074: @1171638
     /* 1171638 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1171718), // Rule ID 15989 //
     /* 1171643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1171654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1171657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1171660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1171663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171682 */     // MIs[0] round
     /* 1171682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171717 */     // GIR_Coverage, 15989,
     /* 1171717 */     GIR_EraseRootFromParent_Done,
     /* 1171718 */   // Label 17075: @1171718
     /* 1171718 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1171798), // Rule ID 15992 //
     /* 1171723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1171740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1171743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171762 */     // MIs[0] round
     /* 1171762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171797 */     // GIR_Coverage, 15992,
     /* 1171797 */     GIR_EraseRootFromParent_Done,
     /* 1171798 */   // Label 17076: @1171798
     /* 1171798 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1171878), // Rule ID 15993 //
     /* 1171803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1171820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1171823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171842 */     // MIs[0] round
     /* 1171842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171877 */     // GIR_Coverage, 15993,
     /* 1171877 */     GIR_EraseRootFromParent_Done,
     /* 1171878 */   // Label 17077: @1171878
     /* 1171878 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1171958), // Rule ID 15996 //
     /* 1171883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1171900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1171903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171922 */     // MIs[0] round
     /* 1171922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1171935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171957 */     // GIR_Coverage, 15996,
     /* 1171957 */     GIR_EraseRootFromParent_Done,
     /* 1171958 */   // Label 17078: @1171958
     /* 1171958 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1172038), // Rule ID 15997 //
     /* 1171963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1171980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1171983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172002 */     // MIs[0] round
     /* 1172002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172037 */     // GIR_Coverage, 15997,
     /* 1172037 */     GIR_EraseRootFromParent_Done,
     /* 1172038 */   // Label 17079: @1172038
     /* 1172038 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172118), // Rule ID 16000 //
     /* 1172043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1172054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1172057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1172060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1172063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172082 */     // MIs[0] round
     /* 1172082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172117 */     // GIR_Coverage, 16000,
     /* 1172117 */     GIR_EraseRootFromParent_Done,
     /* 1172118 */   // Label 17080: @1172118
     /* 1172118 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172198), // Rule ID 16001 //
     /* 1172123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1172134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1172137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1172140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1172143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172162 */     // MIs[0] round
     /* 1172162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1172175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172197 */     // GIR_Coverage, 16001,
     /* 1172197 */     GIR_EraseRootFromParent_Done,
     /* 1172198 */   // Label 17081: @1172198
     /* 1172198 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172278), // Rule ID 16004 //
     /* 1172203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1172220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172242 */     // MIs[0] round
     /* 1172242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172277 */     // GIR_Coverage, 16004,
     /* 1172277 */     GIR_EraseRootFromParent_Done,
     /* 1172278 */   // Label 17082: @1172278
     /* 1172278 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172358), // Rule ID 16005 //
     /* 1172283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1172300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172322 */     // MIs[0] round
     /* 1172322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172357 */     // GIR_Coverage, 16005,
     /* 1172357 */     GIR_EraseRootFromParent_Done,
     /* 1172358 */   // Label 17083: @1172358
     /* 1172358 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1172438), // Rule ID 16008 //
     /* 1172363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1172374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1172377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1172380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1172383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172402 */     // MIs[0] round
     /* 1172402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1172415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172437 */     // GIR_Coverage, 16008,
     /* 1172437 */     GIR_EraseRootFromParent_Done,
     /* 1172438 */   // Label 17084: @1172438
     /* 1172438 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1172518), // Rule ID 16009 //
     /* 1172443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1172454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1172457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1172460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1172463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172482 */     // MIs[0] round
     /* 1172482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1172495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172517 */     // GIR_Coverage, 16009,
     /* 1172517 */     GIR_EraseRootFromParent_Done,
     /* 1172518 */   // Label 17085: @1172518
     /* 1172518 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1172598), // Rule ID 16012 //
     /* 1172523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1172534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1172537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1172540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1172543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172562 */     // MIs[0] round
     /* 1172562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1172575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172597 */     // GIR_Coverage, 16012,
     /* 1172597 */     GIR_EraseRootFromParent_Done,
     /* 1172598 */   // Label 17086: @1172598
     /* 1172598 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1172678), // Rule ID 16013 //
     /* 1172603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1172614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1172617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1172620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1172623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172642 */     // MIs[0] round
     /* 1172642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1172655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172677 */     // GIR_Coverage, 16013,
     /* 1172677 */     GIR_EraseRootFromParent_Done,
     /* 1172678 */   // Label 17087: @1172678
     /* 1172678 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1172758), // Rule ID 16016 //
     /* 1172683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1172703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172722 */     // MIs[0] round
     /* 1172722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172757 */     // GIR_Coverage, 16016,
     /* 1172757 */     GIR_EraseRootFromParent_Done,
     /* 1172758 */   // Label 17088: @1172758
     /* 1172758 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1172838), // Rule ID 16017 //
     /* 1172763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1172774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1172777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1172783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172802 */     // MIs[0] round
     /* 1172802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1172815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172837 */     // GIR_Coverage, 16017,
     /* 1172837 */     GIR_EraseRootFromParent_Done,
     /* 1172838 */   // Label 17089: @1172838
     /* 1172838 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1172918), // Rule ID 16020 //
     /* 1172843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1172854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1172857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1172863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172882 */     // MIs[0] round
     /* 1172882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1172895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172917 */     // GIR_Coverage, 16020,
     /* 1172917 */     GIR_EraseRootFromParent_Done,
     /* 1172918 */   // Label 17090: @1172918
     /* 1172918 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1172998), // Rule ID 16021 //
     /* 1172923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1172931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1172934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1172937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1172943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172962 */     // MIs[0] round
     /* 1172962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1172975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172997 */     // GIR_Coverage, 16021,
     /* 1172997 */     GIR_EraseRootFromParent_Done,
     /* 1172998 */   // Label 17091: @1172998
     /* 1172998 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1173078), // Rule ID 16024 //
     /* 1173003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1173014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1173017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1173023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173042 */     // MIs[0] round
     /* 1173042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173077 */     // GIR_Coverage, 16024,
     /* 1173077 */     GIR_EraseRootFromParent_Done,
     /* 1173078 */   // Label 17092: @1173078
     /* 1173078 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173158), // Rule ID 16025 //
     /* 1173083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1173094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1173097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1173103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173122 */     // MIs[0] round
     /* 1173122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173157 */     // GIR_Coverage, 16025,
     /* 1173157 */     GIR_EraseRootFromParent_Done,
     /* 1173158 */   // Label 17093: @1173158
     /* 1173158 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173238), // Rule ID 16028 //
     /* 1173163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1173174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1173177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1173183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173202 */     // MIs[0] round
     /* 1173202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173237 */     // GIR_Coverage, 16028,
     /* 1173237 */     GIR_EraseRootFromParent_Done,
     /* 1173238 */   // Label 17094: @1173238
     /* 1173238 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173318), // Rule ID 16029 //
     /* 1173243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1173254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1173257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1173263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173282 */     // MIs[0] round
     /* 1173282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173317 */     // GIR_Coverage, 16029,
     /* 1173317 */     GIR_EraseRootFromParent_Done,
     /* 1173318 */   // Label 17095: @1173318
     /* 1173318 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173398), // Rule ID 16032 //
     /* 1173323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1173334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1173337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1173343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173362 */     // MIs[0] round
     /* 1173362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173397 */     // GIR_Coverage, 16032,
     /* 1173397 */     GIR_EraseRootFromParent_Done,
     /* 1173398 */   // Label 17096: @1173398
     /* 1173398 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1173478), // Rule ID 16033 //
     /* 1173403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1173414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1173417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1173423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173442 */     // MIs[0] round
     /* 1173442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173477 */     // GIR_Coverage, 16033,
     /* 1173477 */     GIR_EraseRootFromParent_Done,
     /* 1173478 */   // Label 17097: @1173478
     /* 1173478 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1173558), // Rule ID 16036 //
     /* 1173483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1173494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1173497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1173503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173522 */     // MIs[0] round
     /* 1173522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173557 */     // GIR_Coverage, 16036,
     /* 1173557 */     GIR_EraseRootFromParent_Done,
     /* 1173558 */   // Label 17098: @1173558
     /* 1173558 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1173638), // Rule ID 16037 //
     /* 1173563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1173574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1173577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1173583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173602 */     // MIs[0] round
     /* 1173602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1173615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173637 */     // GIR_Coverage, 16037,
     /* 1173637 */     GIR_EraseRootFromParent_Done,
     /* 1173638 */   // Label 17099: @1173638
     /* 1173638 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1173718), // Rule ID 16040 //
     /* 1173643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1173663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173682 */     // MIs[0] round
     /* 1173682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173692 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173717 */     // GIR_Coverage, 16040,
     /* 1173717 */     GIR_EraseRootFromParent_Done,
     /* 1173718 */   // Label 17100: @1173718
     /* 1173718 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1173798), // Rule ID 16041 //
     /* 1173723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1173734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1173737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1173743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173762 */     // MIs[0] round
     /* 1173762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1173775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173797 */     // GIR_Coverage, 16041,
     /* 1173797 */     GIR_EraseRootFromParent_Done,
     /* 1173798 */   // Label 17101: @1173798
     /* 1173798 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1173878), // Rule ID 16044 //
     /* 1173803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1173814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1173817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1173820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1173823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173842 */     // MIs[0] round
     /* 1173842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173877 */     // GIR_Coverage, 16044,
     /* 1173877 */     GIR_EraseRootFromParent_Done,
     /* 1173878 */   // Label 17102: @1173878
     /* 1173878 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1173958), // Rule ID 16045 //
     /* 1173883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1173894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1173897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1173900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1173903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173922 */     // MIs[0] round
     /* 1173922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1173935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173957 */     // GIR_Coverage, 16045,
     /* 1173957 */     GIR_EraseRootFromParent_Done,
     /* 1173958 */   // Label 17103: @1173958
     /* 1173958 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1174038), // Rule ID 16048 //
     /* 1173963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1173971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1173974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1173977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1173980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1173983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174002 */     // MIs[0] round
     /* 1174002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174037 */     // GIR_Coverage, 16048,
     /* 1174037 */     GIR_EraseRootFromParent_Done,
     /* 1174038 */   // Label 17104: @1174038
     /* 1174038 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174118), // Rule ID 16049 //
     /* 1174043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1174046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1174054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1174057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1174063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174082 */     // MIs[0] round
     /* 1174082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1174095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174117 */     // GIR_Coverage, 16049,
     /* 1174117 */     GIR_EraseRootFromParent_Done,
     /* 1174118 */   // Label 17105: @1174118
     /* 1174118 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174198), // Rule ID 16052 //
     /* 1174123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1174140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174162 */     // MIs[0] round
     /* 1174162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1174175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174197 */     // GIR_Coverage, 16052,
     /* 1174197 */     GIR_EraseRootFromParent_Done,
     /* 1174198 */   // Label 17106: @1174198
     /* 1174198 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174278), // Rule ID 16053 //
     /* 1174203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1174220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174242 */     // MIs[0] round
     /* 1174242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1174255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174277 */     // GIR_Coverage, 16053,
     /* 1174277 */     GIR_EraseRootFromParent_Done,
     /* 1174278 */   // Label 17107: @1174278
     /* 1174278 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174358), // Rule ID 16056 //
     /* 1174283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1174300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174322 */     // MIs[0] round
     /* 1174322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174332 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174357 */     // GIR_Coverage, 16056,
     /* 1174357 */     GIR_EraseRootFromParent_Done,
     /* 1174358 */   // Label 17108: @1174358
     /* 1174358 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1174438), // Rule ID 16057 //
     /* 1174363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1174380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174402 */     // MIs[0] round
     /* 1174402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174412 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174437 */     // GIR_Coverage, 16057,
     /* 1174437 */     GIR_EraseRootFromParent_Done,
     /* 1174438 */   // Label 17109: @1174438
     /* 1174438 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1174518), // Rule ID 16060 //
     /* 1174443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1174454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1174457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1174460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174482 */     // MIs[0] round
     /* 1174482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1174495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174517 */     // GIR_Coverage, 16060,
     /* 1174517 */     GIR_EraseRootFromParent_Done,
     /* 1174518 */   // Label 17110: @1174518
     /* 1174518 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1174598), // Rule ID 16061 //
     /* 1174523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1174534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1174537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1174540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174562 */     // MIs[0] round
     /* 1174562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1174575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174597 */     // GIR_Coverage, 16061,
     /* 1174597 */     GIR_EraseRootFromParent_Done,
     /* 1174598 */   // Label 17111: @1174598
     /* 1174598 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1174678), // Rule ID 16064 //
     /* 1174603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174642 */     // MIs[0] round
     /* 1174642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174677 */     // GIR_Coverage, 16064,
     /* 1174677 */     GIR_EraseRootFromParent_Done,
     /* 1174678 */   // Label 17112: @1174678
     /* 1174678 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1174758), // Rule ID 16065 //
     /* 1174683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1174694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1174697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174722 */     // MIs[0] round
     /* 1174722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1174735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174757 */     // GIR_Coverage, 16065,
     /* 1174757 */     GIR_EraseRootFromParent_Done,
     /* 1174758 */   // Label 17113: @1174758
     /* 1174758 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1174838), // Rule ID 16068 //
     /* 1174763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1174780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174802 */     // MIs[0] round
     /* 1174802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1174815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174837 */     // GIR_Coverage, 16068,
     /* 1174837 */     GIR_EraseRootFromParent_Done,
     /* 1174838 */   // Label 17114: @1174838
     /* 1174838 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1174918), // Rule ID 16069 //
     /* 1174843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1174854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1174857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1174860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174882 */     // MIs[0] round
     /* 1174882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1174895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174917 */     // GIR_Coverage, 16069,
     /* 1174917 */     GIR_EraseRootFromParent_Done,
     /* 1174918 */   // Label 17115: @1174918
     /* 1174918 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1174998), // Rule ID 16072 //
     /* 1174923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1174931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1174934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1174937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1174940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174962 */     // MIs[0] round
     /* 1174962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1174975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174997 */     // GIR_Coverage, 16072,
     /* 1174997 */     GIR_EraseRootFromParent_Done,
     /* 1174998 */   // Label 17116: @1174998
     /* 1174998 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1175078), // Rule ID 16073 //
     /* 1175003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1175014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1175017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175042 */     // MIs[0] round
     /* 1175042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1175055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175077 */     // GIR_Coverage, 16073,
     /* 1175077 */     GIR_EraseRootFromParent_Done,
     /* 1175078 */   // Label 17117: @1175078
     /* 1175078 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175158), // Rule ID 16076 //
     /* 1175083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1175100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175122 */     // MIs[0] round
     /* 1175122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175157 */     // GIR_Coverage, 16076,
     /* 1175157 */     GIR_EraseRootFromParent_Done,
     /* 1175158 */   // Label 17118: @1175158
     /* 1175158 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175238), // Rule ID 16077 //
     /* 1175163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1175180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175202 */     // MIs[0] round
     /* 1175202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175237 */     // GIR_Coverage, 16077,
     /* 1175237 */     GIR_EraseRootFromParent_Done,
     /* 1175238 */   // Label 17119: @1175238
     /* 1175238 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175318), // Rule ID 16080 //
     /* 1175243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175282 */     // MIs[0] round
     /* 1175282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175317 */     // GIR_Coverage, 16080,
     /* 1175317 */     GIR_EraseRootFromParent_Done,
     /* 1175318 */   // Label 17120: @1175318
     /* 1175318 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1175398), // Rule ID 16081 //
     /* 1175323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175362 */     // MIs[0] round
     /* 1175362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175397 */     // GIR_Coverage, 16081,
     /* 1175397 */     GIR_EraseRootFromParent_Done,
     /* 1175398 */   // Label 17121: @1175398
     /* 1175398 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1175478), // Rule ID 16084 //
     /* 1175403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175442 */     // MIs[0] round
     /* 1175442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175477 */     // GIR_Coverage, 16084,
     /* 1175477 */     GIR_EraseRootFromParent_Done,
     /* 1175478 */   // Label 17122: @1175478
     /* 1175478 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1175558), // Rule ID 16085 //
     /* 1175483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1175494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1175497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175522 */     // MIs[0] round
     /* 1175522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175557 */     // GIR_Coverage, 16085,
     /* 1175557 */     GIR_EraseRootFromParent_Done,
     /* 1175558 */   // Label 17123: @1175558
     /* 1175558 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1175638), // Rule ID 16088 //
     /* 1175563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1175574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1175577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175602 */     // MIs[0] round
     /* 1175602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175637 */     // GIR_Coverage, 16088,
     /* 1175637 */     GIR_EraseRootFromParent_Done,
     /* 1175638 */   // Label 17124: @1175638
     /* 1175638 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1175718), // Rule ID 16089 //
     /* 1175643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1175654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1175657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1175660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175682 */     // MIs[0] round
     /* 1175682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1175695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175717 */     // GIR_Coverage, 16089,
     /* 1175717 */     GIR_EraseRootFromParent_Done,
     /* 1175718 */   // Label 17125: @1175718
     /* 1175718 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1175798), // Rule ID 16092 //
     /* 1175723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1175734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1175737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1175740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175762 */     // MIs[0] round
     /* 1175762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1175775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175797 */     // GIR_Coverage, 16092,
     /* 1175797 */     GIR_EraseRootFromParent_Done,
     /* 1175798 */   // Label 17126: @1175798
     /* 1175798 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1175878), // Rule ID 16093 //
     /* 1175803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1175814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1175817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1175820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175842 */     // MIs[0] round
     /* 1175842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1175855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175877 */     // GIR_Coverage, 16093,
     /* 1175877 */     GIR_EraseRootFromParent_Done,
     /* 1175878 */   // Label 17127: @1175878
     /* 1175878 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1175958), // Rule ID 16096 //
     /* 1175883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1175894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1175897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1175900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175922 */     // MIs[0] round
     /* 1175922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175932 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1175935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175957 */     // GIR_Coverage, 16096,
     /* 1175957 */     GIR_EraseRootFromParent_Done,
     /* 1175958 */   // Label 17128: @1175958
     /* 1175958 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1176038), // Rule ID 16097 //
     /* 1175963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1175974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1175977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1175980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176002 */     // MIs[0] round
     /* 1176002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176037 */     // GIR_Coverage, 16097,
     /* 1176037 */     GIR_EraseRootFromParent_Done,
     /* 1176038 */   // Label 17129: @1176038
     /* 1176038 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176118), // Rule ID 16100 //
     /* 1176043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1176054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1176057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1176060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176082 */     // MIs[0] round
     /* 1176082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176117 */     // GIR_Coverage, 16100,
     /* 1176117 */     GIR_EraseRootFromParent_Done,
     /* 1176118 */   // Label 17130: @1176118
     /* 1176118 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176198), // Rule ID 16101 //
     /* 1176123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1176134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1176137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1176140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176162 */     // MIs[0] round
     /* 1176162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176197 */     // GIR_Coverage, 16101,
     /* 1176197 */     GIR_EraseRootFromParent_Done,
     /* 1176198 */   // Label 17131: @1176198
     /* 1176198 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176278), // Rule ID 16104 //
     /* 1176203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176242 */     // MIs[0] round
     /* 1176242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176277 */     // GIR_Coverage, 16104,
     /* 1176277 */     GIR_EraseRootFromParent_Done,
     /* 1176278 */   // Label 17132: @1176278
     /* 1176278 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1176358), // Rule ID 16105 //
     /* 1176283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1176300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176322 */     // MIs[0] round
     /* 1176322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176357 */     // GIR_Coverage, 16105,
     /* 1176357 */     GIR_EraseRootFromParent_Done,
     /* 1176358 */   // Label 17133: @1176358
     /* 1176358 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1176438), // Rule ID 16108 //
     /* 1176363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176402 */     // MIs[0] round
     /* 1176402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176437 */     // GIR_Coverage, 16108,
     /* 1176437 */     GIR_EraseRootFromParent_Done,
     /* 1176438 */   // Label 17134: @1176438
     /* 1176438 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1176518), // Rule ID 16109 //
     /* 1176443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1176460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176482 */     // MIs[0] round
     /* 1176482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176517 */     // GIR_Coverage, 16109,
     /* 1176517 */     GIR_EraseRootFromParent_Done,
     /* 1176518 */   // Label 17135: @1176518
     /* 1176518 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1176598), // Rule ID 16112 //
     /* 1176523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1176534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1176537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176562 */     // MIs[0] round
     /* 1176562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176597 */     // GIR_Coverage, 16112,
     /* 1176597 */     GIR_EraseRootFromParent_Done,
     /* 1176598 */   // Label 17136: @1176598
     /* 1176598 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1176678), // Rule ID 16113 //
     /* 1176603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1176614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1176617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1176620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176642 */     // MIs[0] round
     /* 1176642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1176655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176677 */     // GIR_Coverage, 16113,
     /* 1176677 */     GIR_EraseRootFromParent_Done,
     /* 1176678 */   // Label 17137: @1176678
     /* 1176678 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1176758), // Rule ID 16116 //
     /* 1176683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176722 */     // MIs[0] round
     /* 1176722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176757 */     // GIR_Coverage, 16116,
     /* 1176757 */     GIR_EraseRootFromParent_Done,
     /* 1176758 */   // Label 17138: @1176758
     /* 1176758 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1176838), // Rule ID 16117 //
     /* 1176763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176802 */     // MIs[0] round
     /* 1176802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1176815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176837 */     // GIR_Coverage, 16117,
     /* 1176837 */     GIR_EraseRootFromParent_Done,
     /* 1176838 */   // Label 17139: @1176838
     /* 1176838 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1176918), // Rule ID 16120 //
     /* 1176843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1176854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1176857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1176860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176882 */     // MIs[0] round
     /* 1176882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176917 */     // GIR_Coverage, 16120,
     /* 1176917 */     GIR_EraseRootFromParent_Done,
     /* 1176918 */   // Label 17140: @1176918
     /* 1176918 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1176998), // Rule ID 16121 //
     /* 1176923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1176934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1176937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1176940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176962 */     // MIs[0] round
     /* 1176962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1176975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176997 */     // GIR_Coverage, 16121,
     /* 1176997 */     GIR_EraseRootFromParent_Done,
     /* 1176998 */   // Label 17141: @1176998
     /* 1176998 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1177078), // Rule ID 16124 //
     /* 1177003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1177014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1177017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177042 */     // MIs[0] round
     /* 1177042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177077 */     // GIR_Coverage, 16124,
     /* 1177077 */     GIR_EraseRootFromParent_Done,
     /* 1177078 */   // Label 17142: @1177078
     /* 1177078 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177158), // Rule ID 16125 //
     /* 1177083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1177094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1177097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1177100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177122 */     // MIs[0] round
     /* 1177122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177157 */     // GIR_Coverage, 16125,
     /* 1177157 */     GIR_EraseRootFromParent_Done,
     /* 1177158 */   // Label 17143: @1177158
     /* 1177158 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177238), // Rule ID 16128 //
     /* 1177163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1177174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1177177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177202 */     // MIs[0] round
     /* 1177202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177212 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177237 */     // GIR_Coverage, 16128,
     /* 1177237 */     GIR_EraseRootFromParent_Done,
     /* 1177238 */   // Label 17144: @1177238
     /* 1177238 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1177318), // Rule ID 16129 //
     /* 1177243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1177254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1177257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1177260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177282 */     // MIs[0] round
     /* 1177282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1177295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177317 */     // GIR_Coverage, 16129,
     /* 1177317 */     GIR_EraseRootFromParent_Done,
     /* 1177318 */   // Label 17145: @1177318
     /* 1177318 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1177398), // Rule ID 16132 //
     /* 1177323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1177334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1177337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177362 */     // MIs[0] round
     /* 1177362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177397 */     // GIR_Coverage, 16132,
     /* 1177397 */     GIR_EraseRootFromParent_Done,
     /* 1177398 */   // Label 17146: @1177398
     /* 1177398 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1177478), // Rule ID 16133 //
     /* 1177403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1177414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1177417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1177420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177442 */     // MIs[0] round
     /* 1177442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1177455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177477 */     // GIR_Coverage, 16133,
     /* 1177477 */     GIR_EraseRootFromParent_Done,
     /* 1177478 */   // Label 17147: @1177478
     /* 1177478 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1177558), // Rule ID 16136 //
     /* 1177483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1177494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1177497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177522 */     // MIs[0] round
     /* 1177522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177557 */     // GIR_Coverage, 16136,
     /* 1177557 */     GIR_EraseRootFromParent_Done,
     /* 1177558 */   // Label 17148: @1177558
     /* 1177558 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1177638), // Rule ID 16137 //
     /* 1177563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1177574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1177577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177602 */     // MIs[0] round
     /* 1177602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1177615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177637 */     // GIR_Coverage, 16137,
     /* 1177637 */     GIR_EraseRootFromParent_Done,
     /* 1177638 */   // Label 17149: @1177638
     /* 1177638 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1177721), // Rule ID 16228 //
     /* 1177643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1177654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1177657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1177660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1177663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177682 */     // MIs[0] round
     /* 1177682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1177695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177720 */     // GIR_Coverage, 16228,
     /* 1177720 */     GIR_EraseRootFromParent_Done,
     /* 1177721 */   // Label 17150: @1177721
     /* 1177721 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1177804), // Rule ID 16229 //
     /* 1177726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1177737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1177740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1177743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1177746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177765 */     // MIs[0] round
     /* 1177765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177775 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1177778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177803 */     // GIR_Coverage, 16229,
     /* 1177803 */     GIR_EraseRootFromParent_Done,
     /* 1177804 */   // Label 17151: @1177804
     /* 1177804 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1177887), // Rule ID 16232 //
     /* 1177809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1177820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1177823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1177826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1177829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177848 */     // MIs[0] round
     /* 1177848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1177861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177886 */     // GIR_Coverage, 16232,
     /* 1177886 */     GIR_EraseRootFromParent_Done,
     /* 1177887 */   // Label 17152: @1177887
     /* 1177887 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1177970), // Rule ID 16233 //
     /* 1177892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1177903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1177906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1177909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1177912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177931 */     // MIs[0] round
     /* 1177931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177941 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1177944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177969 */     // GIR_Coverage, 16233,
     /* 1177969 */     GIR_EraseRootFromParent_Done,
     /* 1177970 */   // Label 17153: @1177970
     /* 1177970 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1178053), // Rule ID 16236 //
     /* 1177975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1177983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1177986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1177989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1177995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178014 */     // MIs[0] round
     /* 1178014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178052 */     // GIR_Coverage, 16236,
     /* 1178052 */     GIR_EraseRootFromParent_Done,
     /* 1178053 */   // Label 17154: @1178053
     /* 1178053 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178136), // Rule ID 16237 //
     /* 1178058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1178069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1178072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1178075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1178078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178097 */     // MIs[0] round
     /* 1178097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178107 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178135 */     // GIR_Coverage, 16237,
     /* 1178135 */     GIR_EraseRootFromParent_Done,
     /* 1178136 */   // Label 17155: @1178136
     /* 1178136 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178219), // Rule ID 16240 //
     /* 1178141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178180 */     // MIs[0] round
     /* 1178180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1178193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178218 */     // GIR_Coverage, 16240,
     /* 1178218 */     GIR_EraseRootFromParent_Done,
     /* 1178219 */   // Label 17156: @1178219
     /* 1178219 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1178302), // Rule ID 16241 //
     /* 1178224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1178235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1178238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1178244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178263 */     // MIs[0] round
     /* 1178263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1178276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178301 */     // GIR_Coverage, 16241,
     /* 1178301 */     GIR_EraseRootFromParent_Done,
     /* 1178302 */   // Label 17157: @1178302
     /* 1178302 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1178385), // Rule ID 16244 //
     /* 1178307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178346 */     // MIs[0] round
     /* 1178346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178356 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1178359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178384 */     // GIR_Coverage, 16244,
     /* 1178384 */     GIR_EraseRootFromParent_Done,
     /* 1178385 */   // Label 17158: @1178385
     /* 1178385 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1178468), // Rule ID 16245 //
     /* 1178390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1178410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178429 */     // MIs[0] round
     /* 1178429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178439 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1178442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178467 */     // GIR_Coverage, 16245,
     /* 1178467 */     GIR_EraseRootFromParent_Done,
     /* 1178468 */   // Label 17159: @1178468
     /* 1178468 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1178551), // Rule ID 16248 //
     /* 1178473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1178493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178512 */     // MIs[0] round
     /* 1178512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1178525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178550 */     // GIR_Coverage, 16248,
     /* 1178550 */     GIR_EraseRootFromParent_Done,
     /* 1178551 */   // Label 17160: @1178551
     /* 1178551 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1178634), // Rule ID 16249 //
     /* 1178556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1178576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178595 */     // MIs[0] round
     /* 1178595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1178608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178633 */     // GIR_Coverage, 16249,
     /* 1178633 */     GIR_EraseRootFromParent_Done,
     /* 1178634 */   // Label 17161: @1178634
     /* 1178634 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1178717), // Rule ID 16252 //
     /* 1178639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1178650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1178653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1178656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1178659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178678 */     // MIs[0] round
     /* 1178678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178716 */     // GIR_Coverage, 16252,
     /* 1178716 */     GIR_EraseRootFromParent_Done,
     /* 1178717 */   // Label 17162: @1178717
     /* 1178717 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1178800), // Rule ID 16253 //
     /* 1178722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1178733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1178736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1178739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1178742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178761 */     // MIs[0] round
     /* 1178761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1178774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178799 */     // GIR_Coverage, 16253,
     /* 1178799 */     GIR_EraseRootFromParent_Done,
     /* 1178800 */   // Label 17163: @1178800
     /* 1178800 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1178883), // Rule ID 16256 //
     /* 1178805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1178816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1178819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1178822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1178825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178844 */     // MIs[0] round
     /* 1178844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178882 */     // GIR_Coverage, 16256,
     /* 1178882 */     GIR_EraseRootFromParent_Done,
     /* 1178883 */   // Label 17164: @1178883
     /* 1178883 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1178966), // Rule ID 16257 //
     /* 1178888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1178899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1178902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1178905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1178908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178927 */     // MIs[0] round
     /* 1178927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1178940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178965 */     // GIR_Coverage, 16257,
     /* 1178965 */     GIR_EraseRootFromParent_Done,
     /* 1178966 */   // Label 17165: @1178966
     /* 1178966 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1179049), // Rule ID 16260 //
     /* 1178971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1178979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1178982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1178985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1178991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179010 */     // MIs[0] round
     /* 1179010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179048 */     // GIR_Coverage, 16260,
     /* 1179048 */     GIR_EraseRootFromParent_Done,
     /* 1179049 */   // Label 17166: @1179049
     /* 1179049 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179132), // Rule ID 16261 //
     /* 1179054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1179068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1179074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179093 */     // MIs[0] round
     /* 1179093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179131 */     // GIR_Coverage, 16261,
     /* 1179131 */     GIR_EraseRootFromParent_Done,
     /* 1179132 */   // Label 17167: @1179132
     /* 1179132 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179215), // Rule ID 16264 //
     /* 1179137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179176 */     // MIs[0] round
     /* 1179176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179214 */     // GIR_Coverage, 16264,
     /* 1179214 */     GIR_EraseRootFromParent_Done,
     /* 1179215 */   // Label 17168: @1179215
     /* 1179215 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1179298), // Rule ID 16265 //
     /* 1179220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1179231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1179234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1179240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179259 */     // MIs[0] round
     /* 1179259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179297 */     // GIR_Coverage, 16265,
     /* 1179297 */     GIR_EraseRootFromParent_Done,
     /* 1179298 */   // Label 17169: @1179298
     /* 1179298 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1179381), // Rule ID 16268 //
     /* 1179303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179342 */     // MIs[0] round
     /* 1179342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1179355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179380 */     // GIR_Coverage, 16268,
     /* 1179380 */     GIR_EraseRootFromParent_Done,
     /* 1179381 */   // Label 17170: @1179381
     /* 1179381 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1179464), // Rule ID 16269 //
     /* 1179386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1179397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1179400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1179406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179425 */     // MIs[0] round
     /* 1179425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1179438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179463 */     // GIR_Coverage, 16269,
     /* 1179463 */     GIR_EraseRootFromParent_Done,
     /* 1179464 */   // Label 17171: @1179464
     /* 1179464 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1179547), // Rule ID 16272 //
     /* 1179469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1179486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1179489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179508 */     // MIs[0] round
     /* 1179508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179546 */     // GIR_Coverage, 16272,
     /* 1179546 */     GIR_EraseRootFromParent_Done,
     /* 1179547 */   // Label 17172: @1179547
     /* 1179547 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1179630), // Rule ID 16273 //
     /* 1179552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1179569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1179572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179591 */     // MIs[0] round
     /* 1179591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1179604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179629 */     // GIR_Coverage, 16273,
     /* 1179629 */     GIR_EraseRootFromParent_Done,
     /* 1179630 */   // Label 17173: @1179630
     /* 1179630 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1179713), // Rule ID 16276 //
     /* 1179635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1179646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1179649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1179655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179674 */     // MIs[0] round
     /* 1179674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179712 */     // GIR_Coverage, 16276,
     /* 1179712 */     GIR_EraseRootFromParent_Done,
     /* 1179713 */   // Label 17174: @1179713
     /* 1179713 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1179796), // Rule ID 16277 //
     /* 1179718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1179729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1179732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1179738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179757 */     // MIs[0] round
     /* 1179757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1179770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179795 */     // GIR_Coverage, 16277,
     /* 1179795 */     GIR_EraseRootFromParent_Done,
     /* 1179796 */   // Label 17175: @1179796
     /* 1179796 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1179879), // Rule ID 16280 //
     /* 1179801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1179812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1179815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1179821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179840 */     // MIs[0] round
     /* 1179840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179878 */     // GIR_Coverage, 16280,
     /* 1179878 */     GIR_EraseRootFromParent_Done,
     /* 1179879 */   // Label 17176: @1179879
     /* 1179879 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1179962), // Rule ID 16281 //
     /* 1179884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1179895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1179898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1179904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179923 */     // MIs[0] round
     /* 1179923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1179936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179961 */     // GIR_Coverage, 16281,
     /* 1179961 */     GIR_EraseRootFromParent_Done,
     /* 1179962 */   // Label 17177: @1179962
     /* 1179962 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1180045), // Rule ID 16284 //
     /* 1179967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1179975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1179978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1179981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1179984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1179987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180006 */     // MIs[0] round
     /* 1180006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180044 */     // GIR_Coverage, 16284,
     /* 1180044 */     GIR_EraseRootFromParent_Done,
     /* 1180045 */   // Label 17178: @1180045
     /* 1180045 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180128), // Rule ID 16285 //
     /* 1180050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1180053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1180061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1180064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1180070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180089 */     // MIs[0] round
     /* 1180089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1180102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180127 */     // GIR_Coverage, 16285,
     /* 1180127 */     GIR_EraseRootFromParent_Done,
     /* 1180128 */   // Label 17179: @1180128
     /* 1180128 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180211), // Rule ID 16288 //
     /* 1180133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180172 */     // MIs[0] round
     /* 1180172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180182 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1180185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180210 */     // GIR_Coverage, 16288,
     /* 1180210 */     GIR_EraseRootFromParent_Done,
     /* 1180211 */   // Label 17180: @1180211
     /* 1180211 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1180294), // Rule ID 16289 //
     /* 1180216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1180227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1180230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180255 */     // MIs[0] round
     /* 1180255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180265 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1180268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180293 */     // GIR_Coverage, 16289,
     /* 1180293 */     GIR_EraseRootFromParent_Done,
     /* 1180294 */   // Label 17181: @1180294
     /* 1180294 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1180377), // Rule ID 16292 //
     /* 1180299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180338 */     // MIs[0] round
     /* 1180338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1180351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180376 */     // GIR_Coverage, 16292,
     /* 1180376 */     GIR_EraseRootFromParent_Done,
     /* 1180377 */   // Label 17182: @1180377
     /* 1180377 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1180460), // Rule ID 16293 //
     /* 1180382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1180393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1180396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180421 */     // MIs[0] round
     /* 1180421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180431 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1180434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180459 */     // GIR_Coverage, 16293,
     /* 1180459 */     GIR_EraseRootFromParent_Done,
     /* 1180460 */   // Label 17183: @1180460
     /* 1180460 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1180543), // Rule ID 16296 //
     /* 1180465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180504 */     // MIs[0] round
     /* 1180504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1180517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180542 */     // GIR_Coverage, 16296,
     /* 1180542 */     GIR_EraseRootFromParent_Done,
     /* 1180543 */   // Label 17184: @1180543
     /* 1180543 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1180626), // Rule ID 16297 //
     /* 1180548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1180559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1180562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180587 */     // MIs[0] round
     /* 1180587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1180600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180625 */     // GIR_Coverage, 16297,
     /* 1180625 */     GIR_EraseRootFromParent_Done,
     /* 1180626 */   // Label 17185: @1180626
     /* 1180626 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1180709), // Rule ID 16300 //
     /* 1180631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1180642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1180645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1180648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180670 */     // MIs[0] round
     /* 1180670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1180683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180708 */     // GIR_Coverage, 16300,
     /* 1180708 */     GIR_EraseRootFromParent_Done,
     /* 1180709 */   // Label 17186: @1180709
     /* 1180709 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1180792), // Rule ID 16301 //
     /* 1180714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1180725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1180728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1180731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180753 */     // MIs[0] round
     /* 1180753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180763 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1180766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180791 */     // GIR_Coverage, 16301,
     /* 1180791 */     GIR_EraseRootFromParent_Done,
     /* 1180792 */   // Label 17187: @1180792
     /* 1180792 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1180875), // Rule ID 16304 //
     /* 1180797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1180808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1180811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1180814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180836 */     // MIs[0] round
     /* 1180836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1180849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180874 */     // GIR_Coverage, 16304,
     /* 1180874 */     GIR_EraseRootFromParent_Done,
     /* 1180875 */   // Label 17188: @1180875
     /* 1180875 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1180958), // Rule ID 16305 //
     /* 1180880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1180891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1180894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1180897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180919 */     // MIs[0] round
     /* 1180919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1180932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180957 */     // GIR_Coverage, 16305,
     /* 1180957 */     GIR_EraseRootFromParent_Done,
     /* 1180958 */   // Label 17189: @1180958
     /* 1180958 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1181041), // Rule ID 16308 //
     /* 1180963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1180971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1180974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1180977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1180980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181002 */     // MIs[0] round
     /* 1181002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181040 */     // GIR_Coverage, 16308,
     /* 1181040 */     GIR_EraseRootFromParent_Done,
     /* 1181041 */   // Label 17190: @1181041
     /* 1181041 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1181124), // Rule ID 16309 //
     /* 1181046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1181057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1181060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181085 */     // MIs[0] round
     /* 1181085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181095 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181123 */     // GIR_Coverage, 16309,
     /* 1181123 */     GIR_EraseRootFromParent_Done,
     /* 1181124 */   // Label 17191: @1181124
     /* 1181124 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181207), // Rule ID 16312 //
     /* 1181129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181168 */     // MIs[0] round
     /* 1181168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181206 */     // GIR_Coverage, 16312,
     /* 1181206 */     GIR_EraseRootFromParent_Done,
     /* 1181207 */   // Label 17192: @1181207
     /* 1181207 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1181290), // Rule ID 16313 //
     /* 1181212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181251 */     // MIs[0] round
     /* 1181251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1181264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181289 */     // GIR_Coverage, 16313,
     /* 1181289 */     GIR_EraseRootFromParent_Done,
     /* 1181290 */   // Label 17193: @1181290
     /* 1181290 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1181373), // Rule ID 16316 //
     /* 1181295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181334 */     // MIs[0] round
     /* 1181334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1181347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181372 */     // GIR_Coverage, 16316,
     /* 1181372 */     GIR_EraseRootFromParent_Done,
     /* 1181373 */   // Label 17194: @1181373
     /* 1181373 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1181456), // Rule ID 16317 //
     /* 1181378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181417 */     // MIs[0] round
     /* 1181417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1181430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181455 */     // GIR_Coverage, 16317,
     /* 1181455 */     GIR_EraseRootFromParent_Done,
     /* 1181456 */   // Label 17195: @1181456
     /* 1181456 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1181539), // Rule ID 16320 //
     /* 1181461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181500 */     // MIs[0] round
     /* 1181500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1181513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181538 */     // GIR_Coverage, 16320,
     /* 1181538 */     GIR_EraseRootFromParent_Done,
     /* 1181539 */   // Label 17196: @1181539
     /* 1181539 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1181622), // Rule ID 16321 //
     /* 1181544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1181555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1181558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181583 */     // MIs[0] round
     /* 1181583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181593 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1181596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181621 */     // GIR_Coverage, 16321,
     /* 1181621 */     GIR_EraseRootFromParent_Done,
     /* 1181622 */   // Label 17197: @1181622
     /* 1181622 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1181705), // Rule ID 16324 //
     /* 1181627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1181638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1181641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181666 */     // MIs[0] round
     /* 1181666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181676 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181704 */     // GIR_Coverage, 16324,
     /* 1181704 */     GIR_EraseRootFromParent_Done,
     /* 1181705 */   // Label 17198: @1181705
     /* 1181705 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1181788), // Rule ID 16325 //
     /* 1181710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1181721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1181724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181749 */     // MIs[0] round
     /* 1181749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181759 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1181762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181787 */     // GIR_Coverage, 16325,
     /* 1181787 */     GIR_EraseRootFromParent_Done,
     /* 1181788 */   // Label 17199: @1181788
     /* 1181788 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1181871), // Rule ID 16328 //
     /* 1181793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1181804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1181807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181832 */     // MIs[0] round
     /* 1181832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181870 */     // GIR_Coverage, 16328,
     /* 1181870 */     GIR_EraseRootFromParent_Done,
     /* 1181871 */   // Label 17200: @1181871
     /* 1181871 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1181954), // Rule ID 16329 //
     /* 1181876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1181887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1181890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181915 */     // MIs[0] round
     /* 1181915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1181928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181953 */     // GIR_Coverage, 16329,
     /* 1181953 */     GIR_EraseRootFromParent_Done,
     /* 1181954 */   // Label 17201: @1181954
     /* 1181954 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1182037), // Rule ID 16332 //
     /* 1181959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1181962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1181967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1181970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1181973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1181976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181998 */     // MIs[0] round
     /* 1181998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182036 */     // GIR_Coverage, 16332,
     /* 1182036 */     GIR_EraseRootFromParent_Done,
     /* 1182037 */   // Label 17202: @1182037
     /* 1182037 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1182120), // Rule ID 16333 //
     /* 1182042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182081 */     // MIs[0] round
     /* 1182081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1182094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182119 */     // GIR_Coverage, 16333,
     /* 1182119 */     GIR_EraseRootFromParent_Done,
     /* 1182120 */   // Label 17203: @1182120
     /* 1182120 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182203), // Rule ID 16336 //
     /* 1182125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182164 */     // MIs[0] round
     /* 1182164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182202 */     // GIR_Coverage, 16336,
     /* 1182202 */     GIR_EraseRootFromParent_Done,
     /* 1182203 */   // Label 17204: @1182203
     /* 1182203 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1182286), // Rule ID 16337 //
     /* 1182208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182247 */     // MIs[0] round
     /* 1182247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1182260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182285 */     // GIR_Coverage, 16337,
     /* 1182285 */     GIR_EraseRootFromParent_Done,
     /* 1182286 */   // Label 17205: @1182286
     /* 1182286 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1182369), // Rule ID 16340 //
     /* 1182291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182330 */     // MIs[0] round
     /* 1182330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1182343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182368 */     // GIR_Coverage, 16340,
     /* 1182368 */     GIR_EraseRootFromParent_Done,
     /* 1182369 */   // Label 17206: @1182369
     /* 1182369 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1182452), // Rule ID 16341 //
     /* 1182374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1182385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1182388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182413 */     // MIs[0] round
     /* 1182413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182423 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1182426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182451 */     // GIR_Coverage, 16341,
     /* 1182451 */     GIR_EraseRootFromParent_Done,
     /* 1182452 */   // Label 17207: @1182452
     /* 1182452 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1182535), // Rule ID 16344 //
     /* 1182457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1182460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182496 */     // MIs[0] round
     /* 1182496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182534 */     // GIR_Coverage, 16344,
     /* 1182534 */     GIR_EraseRootFromParent_Done,
     /* 1182535 */   // Label 17208: @1182535
     /* 1182535 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1182618), // Rule ID 16345 //
     /* 1182540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1182543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1182551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1182554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182579 */     // MIs[0] round
     /* 1182579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1182592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182617 */     // GIR_Coverage, 16345,
     /* 1182617 */     GIR_EraseRootFromParent_Done,
     /* 1182618 */   // Label 17209: @1182618
     /* 1182618 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1182701), // Rule ID 16408 //
     /* 1182623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1182634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1182637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1182640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1182643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182662 */     // MIs[0] round
     /* 1182662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1182675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182700 */     // GIR_Coverage, 16408,
     /* 1182700 */     GIR_EraseRootFromParent_Done,
     /* 1182701 */   // Label 17210: @1182701
     /* 1182701 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1182784), // Rule ID 16409 //
     /* 1182706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1182717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1182720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1182723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1182726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182745 */     // MIs[0] round
     /* 1182745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182755 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1182758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182783 */     // GIR_Coverage, 16409,
     /* 1182783 */     GIR_EraseRootFromParent_Done,
     /* 1182784 */   // Label 17211: @1182784
     /* 1182784 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1182867), // Rule ID 16412 //
     /* 1182789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1182800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1182803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1182806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1182809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182828 */     // MIs[0] round
     /* 1182828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182838 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1182841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182866 */     // GIR_Coverage, 16412,
     /* 1182866 */     GIR_EraseRootFromParent_Done,
     /* 1182867 */   // Label 17212: @1182867
     /* 1182867 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1182950), // Rule ID 16413 //
     /* 1182872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1182883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1182886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1182889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1182892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182911 */     // MIs[0] round
     /* 1182911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1182924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182949 */     // GIR_Coverage, 16413,
     /* 1182949 */     GIR_EraseRootFromParent_Done,
     /* 1182950 */   // Label 17213: @1182950
     /* 1182950 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1183033), // Rule ID 16416 //
     /* 1182955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1182963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1182966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1182969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1182972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1182975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182994 */     // MIs[0] round
     /* 1182994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183032 */     // GIR_Coverage, 16416,
     /* 1183032 */     GIR_EraseRootFromParent_Done,
     /* 1183033 */   // Label 17214: @1183033
     /* 1183033 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1183116), // Rule ID 16417 //
     /* 1183038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1183049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1183052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1183055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1183058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183077 */     // MIs[0] round
     /* 1183077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183087 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183115 */     // GIR_Coverage, 16417,
     /* 1183115 */     GIR_EraseRootFromParent_Done,
     /* 1183116 */   // Label 17215: @1183116
     /* 1183116 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183199), // Rule ID 16420 //
     /* 1183121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1183132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1183135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1183141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183160 */     // MIs[0] round
     /* 1183160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183170 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1183173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183198 */     // GIR_Coverage, 16420,
     /* 1183198 */     GIR_EraseRootFromParent_Done,
     /* 1183199 */   // Label 17216: @1183199
     /* 1183199 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1183282), // Rule ID 16421 //
     /* 1183204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1183215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1183218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1183224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183243 */     // MIs[0] round
     /* 1183243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1183256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183281 */     // GIR_Coverage, 16421,
     /* 1183281 */     GIR_EraseRootFromParent_Done,
     /* 1183282 */   // Label 17217: @1183282
     /* 1183282 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1183365), // Rule ID 16424 //
     /* 1183287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1183298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1183301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1183307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183326 */     // MIs[0] round
     /* 1183326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1183339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183364 */     // GIR_Coverage, 16424,
     /* 1183364 */     GIR_EraseRootFromParent_Done,
     /* 1183365 */   // Label 17218: @1183365
     /* 1183365 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1183448), // Rule ID 16425 //
     /* 1183370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1183381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1183384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1183390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183409 */     // MIs[0] round
     /* 1183409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1183422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183447 */     // GIR_Coverage, 16425,
     /* 1183447 */     GIR_EraseRootFromParent_Done,
     /* 1183448 */   // Label 17219: @1183448
     /* 1183448 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1183531), // Rule ID 16428 //
     /* 1183453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1183464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1183467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1183473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183492 */     // MIs[0] round
     /* 1183492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1183505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183530 */     // GIR_Coverage, 16428,
     /* 1183530 */     GIR_EraseRootFromParent_Done,
     /* 1183531 */   // Label 17220: @1183531
     /* 1183531 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1183614), // Rule ID 16429 //
     /* 1183536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1183547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1183550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1183556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183575 */     // MIs[0] round
     /* 1183575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183585 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1183588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183613 */     // GIR_Coverage, 16429,
     /* 1183613 */     GIR_EraseRootFromParent_Done,
     /* 1183614 */   // Label 17221: @1183614
     /* 1183614 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1183697), // Rule ID 16432 //
     /* 1183619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183658 */     // MIs[0] round
     /* 1183658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183696 */     // GIR_Coverage, 16432,
     /* 1183696 */     GIR_EraseRootFromParent_Done,
     /* 1183697 */   // Label 17222: @1183697
     /* 1183697 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1183780), // Rule ID 16433 //
     /* 1183702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183741 */     // MIs[0] round
     /* 1183741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1183754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183779 */     // GIR_Coverage, 16433,
     /* 1183779 */     GIR_EraseRootFromParent_Done,
     /* 1183780 */   // Label 17223: @1183780
     /* 1183780 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1183863), // Rule ID 16436 //
     /* 1183785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183824 */     // MIs[0] round
     /* 1183824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183862 */     // GIR_Coverage, 16436,
     /* 1183862 */     GIR_EraseRootFromParent_Done,
     /* 1183863 */   // Label 17224: @1183863
     /* 1183863 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1183946), // Rule ID 16437 //
     /* 1183868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183907 */     // MIs[0] round
     /* 1183907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1183920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183945 */     // GIR_Coverage, 16437,
     /* 1183945 */     GIR_EraseRootFromParent_Done,
     /* 1183946 */   // Label 17225: @1183946
     /* 1183946 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1184029), // Rule ID 16440 //
     /* 1183951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1183959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183990 */     // MIs[0] round
     /* 1183990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184028 */     // GIR_Coverage, 16440,
     /* 1184028 */     GIR_EraseRootFromParent_Done,
     /* 1184029 */   // Label 17226: @1184029
     /* 1184029 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1184112), // Rule ID 16441 //
     /* 1184034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1184051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1184054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184073 */     // MIs[0] round
     /* 1184073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184111 */     // GIR_Coverage, 16441,
     /* 1184111 */     GIR_EraseRootFromParent_Done,
     /* 1184112 */   // Label 17227: @1184112
     /* 1184112 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184195), // Rule ID 16444 //
     /* 1184117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184156 */     // MIs[0] round
     /* 1184156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184194 */     // GIR_Coverage, 16444,
     /* 1184194 */     GIR_EraseRootFromParent_Done,
     /* 1184195 */   // Label 17228: @1184195
     /* 1184195 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184278), // Rule ID 16445 //
     /* 1184200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184239 */     // MIs[0] round
     /* 1184239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184277 */     // GIR_Coverage, 16445,
     /* 1184277 */     GIR_EraseRootFromParent_Done,
     /* 1184278 */   // Label 17229: @1184278
     /* 1184278 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1184361), // Rule ID 16448 //
     /* 1184283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184322 */     // MIs[0] round
     /* 1184322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1184335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184360 */     // GIR_Coverage, 16448,
     /* 1184360 */     GIR_EraseRootFromParent_Done,
     /* 1184361 */   // Label 17230: @1184361
     /* 1184361 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1184444), // Rule ID 16449 //
     /* 1184366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184405 */     // MIs[0] round
     /* 1184405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184415 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1184418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184443 */     // GIR_Coverage, 16449,
     /* 1184443 */     GIR_EraseRootFromParent_Done,
     /* 1184444 */   // Label 17231: @1184444
     /* 1184444 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1184527), // Rule ID 16452 //
     /* 1184449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1184469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184488 */     // MIs[0] round
     /* 1184488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184526 */     // GIR_Coverage, 16452,
     /* 1184526 */     GIR_EraseRootFromParent_Done,
     /* 1184527 */   // Label 17232: @1184527
     /* 1184527 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1184610), // Rule ID 16453 //
     /* 1184532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1184552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184571 */     // MIs[0] round
     /* 1184571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184581 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1184584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184609 */     // GIR_Coverage, 16453,
     /* 1184609 */     GIR_EraseRootFromParent_Done,
     /* 1184610 */   // Label 17233: @1184610
     /* 1184610 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1184693), // Rule ID 16456 //
     /* 1184615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184654 */     // MIs[0] round
     /* 1184654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184692 */     // GIR_Coverage, 16456,
     /* 1184692 */     GIR_EraseRootFromParent_Done,
     /* 1184693 */   // Label 17234: @1184693
     /* 1184693 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1184776), // Rule ID 16457 //
     /* 1184698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184737 */     // MIs[0] round
     /* 1184737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1184750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184775 */     // GIR_Coverage, 16457,
     /* 1184775 */     GIR_EraseRootFromParent_Done,
     /* 1184776 */   // Label 17235: @1184776
     /* 1184776 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1184859), // Rule ID 16460 //
     /* 1184781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184820 */     // MIs[0] round
     /* 1184820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184858 */     // GIR_Coverage, 16460,
     /* 1184858 */     GIR_EraseRootFromParent_Done,
     /* 1184859 */   // Label 17236: @1184859
     /* 1184859 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1184942), // Rule ID 16461 //
     /* 1184864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184903 */     // MIs[0] round
     /* 1184903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184913 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1184916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184941 */     // GIR_Coverage, 16461,
     /* 1184941 */     GIR_EraseRootFromParent_Done,
     /* 1184942 */   // Label 17237: @1184942
     /* 1184942 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1185025), // Rule ID 16464 //
     /* 1184947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1184955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1184958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1184961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1184967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184986 */     // MIs[0] round
     /* 1184986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1184999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185024 */     // GIR_Coverage, 16464,
     /* 1185024 */     GIR_EraseRootFromParent_Done,
     /* 1185025 */   // Label 17238: @1185025
     /* 1185025 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1185108), // Rule ID 16465 //
     /* 1185030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1185033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1185047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1185050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185069 */     // MIs[0] round
     /* 1185069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1185082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185107 */     // GIR_Coverage, 16465,
     /* 1185107 */     GIR_EraseRootFromParent_Done,
     /* 1185108 */   // Label 17239: @1185108
     /* 1185108 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185191), // Rule ID 16468 //
     /* 1185113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1185124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1185127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185152 */     // MIs[0] round
     /* 1185152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1185165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185190 */     // GIR_Coverage, 16468,
     /* 1185190 */     GIR_EraseRootFromParent_Done,
     /* 1185191 */   // Label 17240: @1185191
     /* 1185191 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185274), // Rule ID 16469 //
     /* 1185196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1185207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1185210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185235 */     // MIs[0] round
     /* 1185235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185245 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1185248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185273 */     // GIR_Coverage, 16469,
     /* 1185273 */     GIR_EraseRootFromParent_Done,
     /* 1185274 */   // Label 17241: @1185274
     /* 1185274 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1185357), // Rule ID 16472 //
     /* 1185279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1185290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1185293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185318 */     // MIs[0] round
     /* 1185318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1185331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185356 */     // GIR_Coverage, 16472,
     /* 1185356 */     GIR_EraseRootFromParent_Done,
     /* 1185357 */   // Label 17242: @1185357
     /* 1185357 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1185440), // Rule ID 16473 //
     /* 1185362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1185373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1185376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185401 */     // MIs[0] round
     /* 1185401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185411 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1185414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185439 */     // GIR_Coverage, 16473,
     /* 1185439 */     GIR_EraseRootFromParent_Done,
     /* 1185440 */   // Label 17243: @1185440
     /* 1185440 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1185523), // Rule ID 16476 //
     /* 1185445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1185456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1185459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185484 */     // MIs[0] round
     /* 1185484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185494 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1185497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185522 */     // GIR_Coverage, 16476,
     /* 1185522 */     GIR_EraseRootFromParent_Done,
     /* 1185523 */   // Label 17244: @1185523
     /* 1185523 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1185606), // Rule ID 16477 //
     /* 1185528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1185539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1185542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185567 */     // MIs[0] round
     /* 1185567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1185580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185605 */     // GIR_Coverage, 16477,
     /* 1185605 */     GIR_EraseRootFromParent_Done,
     /* 1185606 */   // Label 17245: @1185606
     /* 1185606 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1185689), // Rule ID 16480 //
     /* 1185611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1185622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1185625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185650 */     // MIs[0] round
     /* 1185650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1185663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185688 */     // GIR_Coverage, 16480,
     /* 1185688 */     GIR_EraseRootFromParent_Done,
     /* 1185689 */   // Label 17246: @1185689
     /* 1185689 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1185772), // Rule ID 16481 //
     /* 1185694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1185705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1185708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185733 */     // MIs[0] round
     /* 1185733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185743 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1185746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185771 */     // GIR_Coverage, 16481,
     /* 1185771 */     GIR_EraseRootFromParent_Done,
     /* 1185772 */   // Label 17247: @1185772
     /* 1185772 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1185855), // Rule ID 16484 //
     /* 1185777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1185788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1185791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185816 */     // MIs[0] round
     /* 1185816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1185829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185854 */     // GIR_Coverage, 16484,
     /* 1185854 */     GIR_EraseRootFromParent_Done,
     /* 1185855 */   // Label 17248: @1185855
     /* 1185855 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1185938), // Rule ID 16485 //
     /* 1185860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1185871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1185874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185899 */     // MIs[0] round
     /* 1185899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185909 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1185912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185937 */     // GIR_Coverage, 16485,
     /* 1185937 */     GIR_EraseRootFromParent_Done,
     /* 1185938 */   // Label 17249: @1185938
     /* 1185938 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1186021), // Rule ID 16488 //
     /* 1185943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1185951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1185954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1185957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185982 */     // MIs[0] round
     /* 1185982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1185995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186020 */     // GIR_Coverage, 16488,
     /* 1186020 */     GIR_EraseRootFromParent_Done,
     /* 1186021 */   // Label 17250: @1186021
     /* 1186021 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1186104), // Rule ID 16489 //
     /* 1186026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1186037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1186040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1186043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186065 */     // MIs[0] round
     /* 1186065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186075 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1186078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186103 */     // GIR_Coverage, 16489,
     /* 1186103 */     GIR_EraseRootFromParent_Done,
     /* 1186104 */   // Label 17251: @1186104
     /* 1186104 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186187), // Rule ID 16492 //
     /* 1186109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186148 */     // MIs[0] round
     /* 1186148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1186161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186186 */     // GIR_Coverage, 16492,
     /* 1186186 */     GIR_EraseRootFromParent_Done,
     /* 1186187 */   // Label 17252: @1186187
     /* 1186187 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186270), // Rule ID 16493 //
     /* 1186192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186231 */     // MIs[0] round
     /* 1186231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186241 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1186244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186269 */     // GIR_Coverage, 16493,
     /* 1186269 */     GIR_EraseRootFromParent_Done,
     /* 1186270 */   // Label 17253: @1186270
     /* 1186270 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186353), // Rule ID 16496 //
     /* 1186275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186314 */     // MIs[0] round
     /* 1186314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186352 */     // GIR_Coverage, 16496,
     /* 1186352 */     GIR_EraseRootFromParent_Done,
     /* 1186353 */   // Label 17254: @1186353
     /* 1186353 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1186436), // Rule ID 16497 //
     /* 1186358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186397 */     // MIs[0] round
     /* 1186397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186435 */     // GIR_Coverage, 16497,
     /* 1186435 */     GIR_EraseRootFromParent_Done,
     /* 1186436 */   // Label 17255: @1186436
     /* 1186436 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1186519), // Rule ID 16500 //
     /* 1186441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186480 */     // MIs[0] round
     /* 1186480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1186493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186518 */     // GIR_Coverage, 16500,
     /* 1186518 */     GIR_EraseRootFromParent_Done,
     /* 1186519 */   // Label 17256: @1186519
     /* 1186519 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1186602), // Rule ID 16501 //
     /* 1186524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186563 */     // MIs[0] round
     /* 1186563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1186576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186601 */     // GIR_Coverage, 16501,
     /* 1186601 */     GIR_EraseRootFromParent_Done,
     /* 1186602 */   // Label 17257: @1186602
     /* 1186602 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1186685), // Rule ID 16504 //
     /* 1186607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186646 */     // MIs[0] round
     /* 1186646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186684 */     // GIR_Coverage, 16504,
     /* 1186684 */     GIR_EraseRootFromParent_Done,
     /* 1186685 */   // Label 17258: @1186685
     /* 1186685 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1186768), // Rule ID 16505 //
     /* 1186690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186729 */     // MIs[0] round
     /* 1186729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1186742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186767 */     // GIR_Coverage, 16505,
     /* 1186767 */     GIR_EraseRootFromParent_Done,
     /* 1186768 */   // Label 17259: @1186768
     /* 1186768 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1186851), // Rule ID 16508 //
     /* 1186773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186812 */     // MIs[0] round
     /* 1186812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1186825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186850 */     // GIR_Coverage, 16508,
     /* 1186850 */     GIR_EraseRootFromParent_Done,
     /* 1186851 */   // Label 17260: @1186851
     /* 1186851 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1186934), // Rule ID 16509 //
     /* 1186856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186895 */     // MIs[0] round
     /* 1186895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186905 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1186908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186933 */     // GIR_Coverage, 16509,
     /* 1186933 */     GIR_EraseRootFromParent_Done,
     /* 1186934 */   // Label 17261: @1186934
     /* 1186934 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1187017), // Rule ID 16512 //
     /* 1186939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1186942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1186947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186978 */     // MIs[0] round
     /* 1186978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1186991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187016 */     // GIR_Coverage, 16512,
     /* 1187016 */     GIR_EraseRootFromParent_Done,
     /* 1187017 */   // Label 17262: @1187017
     /* 1187017 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1187100), // Rule ID 16513 //
     /* 1187022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187061 */     // MIs[0] round
     /* 1187061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1187074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187099 */     // GIR_Coverage, 16513,
     /* 1187099 */     GIR_EraseRootFromParent_Done,
     /* 1187100 */   // Label 17263: @1187100
     /* 1187100 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187183), // Rule ID 16516 //
     /* 1187105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187144 */     // MIs[0] round
     /* 1187144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187182 */     // GIR_Coverage, 16516,
     /* 1187182 */     GIR_EraseRootFromParent_Done,
     /* 1187183 */   // Label 17264: @1187183
     /* 1187183 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187266), // Rule ID 16517 //
     /* 1187188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187227 */     // MIs[0] round
     /* 1187227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1187240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187265 */     // GIR_Coverage, 16517,
     /* 1187265 */     GIR_EraseRootFromParent_Done,
     /* 1187266 */   // Label 17265: @1187266
     /* 1187266 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187349), // Rule ID 16520 //
     /* 1187271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187310 */     // MIs[0] round
     /* 1187310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1187323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187348 */     // GIR_Coverage, 16520,
     /* 1187348 */     GIR_EraseRootFromParent_Done,
     /* 1187349 */   // Label 17266: @1187349
     /* 1187349 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1187432), // Rule ID 16521 //
     /* 1187354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187393 */     // MIs[0] round
     /* 1187393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1187406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187431 */     // GIR_Coverage, 16521,
     /* 1187431 */     GIR_EraseRootFromParent_Done,
     /* 1187432 */   // Label 17267: @1187432
     /* 1187432 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1187515), // Rule ID 16524 //
     /* 1187437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187476 */     // MIs[0] round
     /* 1187476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187514 */     // GIR_Coverage, 16524,
     /* 1187514 */     GIR_EraseRootFromParent_Done,
     /* 1187515 */   // Label 17268: @1187515
     /* 1187515 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1187598), // Rule ID 16525 //
     /* 1187520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187559 */     // MIs[0] round
     /* 1187559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1187572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187597 */     // GIR_Coverage, 16525,
     /* 1187597 */     GIR_EraseRootFromParent_Done,
     /* 1187598 */   // Label 17269: @1187598
     /* 1187598 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1187678), // Rule ID 16588 //
     /* 1187603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187642 */     // MIs[0] round
     /* 1187642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187652 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1187655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187677 */     // GIR_Coverage, 16588,
     /* 1187677 */     GIR_EraseRootFromParent_Done,
     /* 1187678 */   // Label 17270: @1187678
     /* 1187678 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1187758), // Rule ID 16589 //
     /* 1187683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1187694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1187697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187722 */     // MIs[0] round
     /* 1187722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187732 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1187735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187757 */     // GIR_Coverage, 16589,
     /* 1187757 */     GIR_EraseRootFromParent_Done,
     /* 1187758 */   // Label 17271: @1187758
     /* 1187758 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1187838), // Rule ID 16592 //
     /* 1187763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1187774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1187777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1187783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187802 */     // MIs[0] round
     /* 1187802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187812 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1187815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187837 */     // GIR_Coverage, 16592,
     /* 1187837 */     GIR_EraseRootFromParent_Done,
     /* 1187838 */   // Label 17272: @1187838
     /* 1187838 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1187918), // Rule ID 16593 //
     /* 1187843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1187854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1187857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1187863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187882 */     // MIs[0] round
     /* 1187882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187892 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1187895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187917 */     // GIR_Coverage, 16593,
     /* 1187917 */     GIR_EraseRootFromParent_Done,
     /* 1187918 */   // Label 17273: @1187918
     /* 1187918 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1187998), // Rule ID 16596 //
     /* 1187923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1187931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1187940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1187943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187962 */     // MIs[0] round
     /* 1187962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187972 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1187975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187997 */     // GIR_Coverage, 16596,
     /* 1187997 */     GIR_EraseRootFromParent_Done,
     /* 1187998 */   // Label 17274: @1187998
     /* 1187998 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1188078), // Rule ID 16597 //
     /* 1188003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1188014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1188017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1188023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188042 */     // MIs[0] round
     /* 1188042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188052 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1188055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188077 */     // GIR_Coverage, 16597,
     /* 1188077 */     GIR_EraseRootFromParent_Done,
     /* 1188078 */   // Label 17275: @1188078
     /* 1188078 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188158), // Rule ID 16600 //
     /* 1188083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188122 */     // MIs[0] round
     /* 1188122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1188135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188157 */     // GIR_Coverage, 16600,
     /* 1188157 */     GIR_EraseRootFromParent_Done,
     /* 1188158 */   // Label 17276: @1188158
     /* 1188158 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188238), // Rule ID 16601 //
     /* 1188163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188202 */     // MIs[0] round
     /* 1188202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1188215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188237 */     // GIR_Coverage, 16601,
     /* 1188237 */     GIR_EraseRootFromParent_Done,
     /* 1188238 */   // Label 17277: @1188238
     /* 1188238 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188318), // Rule ID 16604 //
     /* 1188243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188282 */     // MIs[0] round
     /* 1188282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1188295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188317 */     // GIR_Coverage, 16604,
     /* 1188317 */     GIR_EraseRootFromParent_Done,
     /* 1188318 */   // Label 17278: @1188318
     /* 1188318 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188398), // Rule ID 16605 //
     /* 1188323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1188334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1188337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188362 */     // MIs[0] round
     /* 1188362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1188375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188397 */     // GIR_Coverage, 16605,
     /* 1188397 */     GIR_EraseRootFromParent_Done,
     /* 1188398 */   // Label 17279: @1188398
     /* 1188398 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1188478), // Rule ID 16608 //
     /* 1188403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188442 */     // MIs[0] round
     /* 1188442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1188455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188477 */     // GIR_Coverage, 16608,
     /* 1188477 */     GIR_EraseRootFromParent_Done,
     /* 1188478 */   // Label 17280: @1188478
     /* 1188478 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1188558), // Rule ID 16609 //
     /* 1188483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1188494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1188497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188522 */     // MIs[0] round
     /* 1188522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188532 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1188535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188557 */     // GIR_Coverage, 16609,
     /* 1188557 */     GIR_EraseRootFromParent_Done,
     /* 1188558 */   // Label 17281: @1188558
     /* 1188558 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1188638), // Rule ID 16612 //
     /* 1188563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188602 */     // MIs[0] round
     /* 1188602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188612 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1188615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188637 */     // GIR_Coverage, 16612,
     /* 1188637 */     GIR_EraseRootFromParent_Done,
     /* 1188638 */   // Label 17282: @1188638
     /* 1188638 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1188718), // Rule ID 16613 //
     /* 1188643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188682 */     // MIs[0] round
     /* 1188682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188692 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1188695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188717 */     // GIR_Coverage, 16613,
     /* 1188717 */     GIR_EraseRootFromParent_Done,
     /* 1188718 */   // Label 17283: @1188718
     /* 1188718 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1188798), // Rule ID 16616 //
     /* 1188723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1188734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1188737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1188740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1188743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188762 */     // MIs[0] round
     /* 1188762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188772 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1188775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188797 */     // GIR_Coverage, 16616,
     /* 1188797 */     GIR_EraseRootFromParent_Done,
     /* 1188798 */   // Label 17284: @1188798
     /* 1188798 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1188878), // Rule ID 16617 //
     /* 1188803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1188814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1188817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1188820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1188823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188842 */     // MIs[0] round
     /* 1188842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188852 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1188855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188877 */     // GIR_Coverage, 16617,
     /* 1188877 */     GIR_EraseRootFromParent_Done,
     /* 1188878 */   // Label 17285: @1188878
     /* 1188878 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1188958), // Rule ID 16620 //
     /* 1188883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1188886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1188894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1188897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1188900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1188903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188922 */     // MIs[0] round
     /* 1188922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188932 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1188935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188957 */     // GIR_Coverage, 16620,
     /* 1188957 */     GIR_EraseRootFromParent_Done,
     /* 1188958 */   // Label 17286: @1188958
     /* 1188958 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1189038), // Rule ID 16621 //
     /* 1188963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1188971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1188974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1188977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1188980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1188983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189002 */     // MIs[0] round
     /* 1189002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189012 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1189015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189037 */     // GIR_Coverage, 16621,
     /* 1189037 */     GIR_EraseRootFromParent_Done,
     /* 1189038 */   // Label 17287: @1189038
     /* 1189038 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189118), // Rule ID 16624 //
     /* 1189043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189082 */     // MIs[0] round
     /* 1189082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189092 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1189095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189117 */     // GIR_Coverage, 16624,
     /* 1189117 */     GIR_EraseRootFromParent_Done,
     /* 1189118 */   // Label 17288: @1189118
     /* 1189118 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189198), // Rule ID 16625 //
     /* 1189123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189162 */     // MIs[0] round
     /* 1189162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189172 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1189175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189197 */     // GIR_Coverage, 16625,
     /* 1189197 */     GIR_EraseRootFromParent_Done,
     /* 1189198 */   // Label 17289: @1189198
     /* 1189198 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189278), // Rule ID 16628 //
     /* 1189203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189242 */     // MIs[0] round
     /* 1189242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189252 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1189255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189277 */     // GIR_Coverage, 16628,
     /* 1189277 */     GIR_EraseRootFromParent_Done,
     /* 1189278 */   // Label 17290: @1189278
     /* 1189278 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189358), // Rule ID 16629 //
     /* 1189283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189322 */     // MIs[0] round
     /* 1189322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189332 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1189335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189357 */     // GIR_Coverage, 16629,
     /* 1189357 */     GIR_EraseRootFromParent_Done,
     /* 1189358 */   // Label 17291: @1189358
     /* 1189358 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1189438), // Rule ID 16632 //
     /* 1189363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189402 */     // MIs[0] round
     /* 1189402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189412 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1189415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189437 */     // GIR_Coverage, 16632,
     /* 1189437 */     GIR_EraseRootFromParent_Done,
     /* 1189438 */   // Label 17292: @1189438
     /* 1189438 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1189518), // Rule ID 16633 //
     /* 1189443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189482 */     // MIs[0] round
     /* 1189482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189492 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1189495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189517 */     // GIR_Coverage, 16633,
     /* 1189517 */     GIR_EraseRootFromParent_Done,
     /* 1189518 */   // Label 17293: @1189518
     /* 1189518 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1189598), // Rule ID 16636 //
     /* 1189523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189562 */     // MIs[0] round
     /* 1189562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189572 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1189575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189597 */     // GIR_Coverage, 16636,
     /* 1189597 */     GIR_EraseRootFromParent_Done,
     /* 1189598 */   // Label 17294: @1189598
     /* 1189598 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1189678), // Rule ID 16637 //
     /* 1189603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1189614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1189617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1189623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189642 */     // MIs[0] round
     /* 1189642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189652 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1189655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189677 */     // GIR_Coverage, 16637,
     /* 1189677 */     GIR_EraseRootFromParent_Done,
     /* 1189678 */   // Label 17295: @1189678
     /* 1189678 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1189758), // Rule ID 16640 //
     /* 1189683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1189694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1189697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1189703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189722 */     // MIs[0] round
     /* 1189722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1189735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189757 */     // GIR_Coverage, 16640,
     /* 1189757 */     GIR_EraseRootFromParent_Done,
     /* 1189758 */   // Label 17296: @1189758
     /* 1189758 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1189838), // Rule ID 16641 //
     /* 1189763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1189774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1189777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1189783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189802 */     // MIs[0] round
     /* 1189802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1189815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189837 */     // GIR_Coverage, 16641,
     /* 1189837 */     GIR_EraseRootFromParent_Done,
     /* 1189838 */   // Label 17297: @1189838
     /* 1189838 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1189918), // Rule ID 16644 //
     /* 1189843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1189854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1189857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1189860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1189863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189882 */     // MIs[0] round
     /* 1189882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1189895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189917 */     // GIR_Coverage, 16644,
     /* 1189917 */     GIR_EraseRootFromParent_Done,
     /* 1189918 */   // Label 17298: @1189918
     /* 1189918 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1189998), // Rule ID 16645 //
     /* 1189923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1189931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1189934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1189937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1189940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1189943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189962 */     // MIs[0] round
     /* 1189962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189972 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1189975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189997 */     // GIR_Coverage, 16645,
     /* 1189997 */     GIR_EraseRootFromParent_Done,
     /* 1189998 */   // Label 17299: @1189998
     /* 1189998 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1190078), // Rule ID 16648 //
     /* 1190003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190042 */     // MIs[0] round
     /* 1190042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190052 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1190055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190077 */     // GIR_Coverage, 16648,
     /* 1190077 */     GIR_EraseRootFromParent_Done,
     /* 1190078 */   // Label 17300: @1190078
     /* 1190078 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190158), // Rule ID 16649 //
     /* 1190083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190122 */     // MIs[0] round
     /* 1190122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190132 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1190135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190157 */     // GIR_Coverage, 16649,
     /* 1190157 */     GIR_EraseRootFromParent_Done,
     /* 1190158 */   // Label 17301: @1190158
     /* 1190158 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190238), // Rule ID 16652 //
     /* 1190163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190202 */     // MIs[0] round
     /* 1190202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190212 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1190215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190237 */     // GIR_Coverage, 16652,
     /* 1190237 */     GIR_EraseRootFromParent_Done,
     /* 1190238 */   // Label 17302: @1190238
     /* 1190238 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190318), // Rule ID 16653 //
     /* 1190243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1190254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1190257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190282 */     // MIs[0] round
     /* 1190282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190292 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1190295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190317 */     // GIR_Coverage, 16653,
     /* 1190317 */     GIR_EraseRootFromParent_Done,
     /* 1190318 */   // Label 17303: @1190318
     /* 1190318 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190398), // Rule ID 16656 //
     /* 1190323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190362 */     // MIs[0] round
     /* 1190362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190372 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1190375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190397 */     // GIR_Coverage, 16656,
     /* 1190397 */     GIR_EraseRootFromParent_Done,
     /* 1190398 */   // Label 17304: @1190398
     /* 1190398 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1190478), // Rule ID 16657 //
     /* 1190403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190442 */     // MIs[0] round
     /* 1190442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1190455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190477 */     // GIR_Coverage, 16657,
     /* 1190477 */     GIR_EraseRootFromParent_Done,
     /* 1190478 */   // Label 17305: @1190478
     /* 1190478 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1190558), // Rule ID 16660 //
     /* 1190483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190522 */     // MIs[0] round
     /* 1190522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190532 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1190535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190557 */     // GIR_Coverage, 16660,
     /* 1190557 */     GIR_EraseRootFromParent_Done,
     /* 1190558 */   // Label 17306: @1190558
     /* 1190558 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1190638), // Rule ID 16661 //
     /* 1190563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1190574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1190577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190602 */     // MIs[0] round
     /* 1190602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190612 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1190615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190637 */     // GIR_Coverage, 16661,
     /* 1190637 */     GIR_EraseRootFromParent_Done,
     /* 1190638 */   // Label 17307: @1190638
     /* 1190638 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1190718), // Rule ID 16664 //
     /* 1190643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190682 */     // MIs[0] round
     /* 1190682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1190695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190717 */     // GIR_Coverage, 16664,
     /* 1190717 */     GIR_EraseRootFromParent_Done,
     /* 1190718 */   // Label 17308: @1190718
     /* 1190718 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1190798), // Rule ID 16665 //
     /* 1190723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190762 */     // MIs[0] round
     /* 1190762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1190775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190797 */     // GIR_Coverage, 16665,
     /* 1190797 */     GIR_EraseRootFromParent_Done,
     /* 1190798 */   // Label 17309: @1190798
     /* 1190798 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1190878), // Rule ID 16668 //
     /* 1190803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1190814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1190817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1190820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1190842 */     // MIs[0] round
     /* 1190842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1190855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190877 */     // GIR_Coverage, 16668,
     /* 1190877 */     GIR_EraseRootFromParent_Done,
     /* 1190878 */   // Label 17310: @1190878
     /* 1190878 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1190958), // Rule ID 16669 //
     /* 1190883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1190886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1190894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1190897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1190900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1190922 */     // MIs[0] round
     /* 1190922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1190935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190957 */     // GIR_Coverage, 16669,
     /* 1190957 */     GIR_EraseRootFromParent_Done,
     /* 1190958 */   // Label 17311: @1190958
     /* 1190958 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1191038), // Rule ID 16672 //
     /* 1190963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1190971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1190974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1190977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1190980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191002 */     // MIs[0] round
     /* 1191002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191012 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1191015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191037 */     // GIR_Coverage, 16672,
     /* 1191037 */     GIR_EraseRootFromParent_Done,
     /* 1191038 */   // Label 17312: @1191038
     /* 1191038 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191118), // Rule ID 16673 //
     /* 1191043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191082 */     // MIs[0] round
     /* 1191082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1191095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191117 */     // GIR_Coverage, 16673,
     /* 1191117 */     GIR_EraseRootFromParent_Done,
     /* 1191118 */   // Label 17313: @1191118
     /* 1191118 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191198), // Rule ID 16676 //
     /* 1191123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191162 */     // MIs[0] round
     /* 1191162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191172 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1191175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191197 */     // GIR_Coverage, 16676,
     /* 1191197 */     GIR_EraseRootFromParent_Done,
     /* 1191198 */   // Label 17314: @1191198
     /* 1191198 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191278), // Rule ID 16677 //
     /* 1191203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191242 */     // MIs[0] round
     /* 1191242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191252 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1191255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191277 */     // GIR_Coverage, 16677,
     /* 1191277 */     GIR_EraseRootFromParent_Done,
     /* 1191278 */   // Label 17315: @1191278
     /* 1191278 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191358), // Rule ID 16680 //
     /* 1191283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191322 */     // MIs[0] round
     /* 1191322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191332 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1191335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191357 */     // GIR_Coverage, 16680,
     /* 1191357 */     GIR_EraseRootFromParent_Done,
     /* 1191358 */   // Label 17316: @1191358
     /* 1191358 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1191438), // Rule ID 16681 //
     /* 1191363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1191374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1191377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191402 */     // MIs[0] round
     /* 1191402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191412 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1191415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191437 */     // GIR_Coverage, 16681,
     /* 1191437 */     GIR_EraseRootFromParent_Done,
     /* 1191438 */   // Label 17317: @1191438
     /* 1191438 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1191518), // Rule ID 16684 //
     /* 1191443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191482 */     // MIs[0] round
     /* 1191482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191492 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1191495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191517 */     // GIR_Coverage, 16684,
     /* 1191517 */     GIR_EraseRootFromParent_Done,
     /* 1191518 */   // Label 17318: @1191518
     /* 1191518 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1191598), // Rule ID 16685 //
     /* 1191523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1191534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1191537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191562 */     // MIs[0] round
     /* 1191562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191572 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1191575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191597 */     // GIR_Coverage, 16685,
     /* 1191597 */     GIR_EraseRootFromParent_Done,
     /* 1191598 */   // Label 17319: @1191598
     /* 1191598 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1191678), // Rule ID 16688 //
     /* 1191603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191642 */     // MIs[0] round
     /* 1191642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1191655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191677 */     // GIR_Coverage, 16688,
     /* 1191677 */     GIR_EraseRootFromParent_Done,
     /* 1191678 */   // Label 17320: @1191678
     /* 1191678 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1191758), // Rule ID 16689 //
     /* 1191683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191722 */     // MIs[0] round
     /* 1191722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191732 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1191735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191757 */     // GIR_Coverage, 16689,
     /* 1191757 */     GIR_EraseRootFromParent_Done,
     /* 1191758 */   // Label 17321: @1191758
     /* 1191758 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1191838), // Rule ID 16692 //
     /* 1191763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1191774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1191777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1191780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191802 */     // MIs[0] round
     /* 1191802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191812 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1191815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191837 */     // GIR_Coverage, 16692,
     /* 1191837 */     GIR_EraseRootFromParent_Done,
     /* 1191838 */   // Label 17322: @1191838
     /* 1191838 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1191918), // Rule ID 16693 //
     /* 1191843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1191854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1191857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1191860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191882 */     // MIs[0] round
     /* 1191882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191892 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1191895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191917 */     // GIR_Coverage, 16693,
     /* 1191917 */     GIR_EraseRootFromParent_Done,
     /* 1191918 */   // Label 17323: @1191918
     /* 1191918 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1191998), // Rule ID 16696 //
     /* 1191923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1191931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1191934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1191937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1191940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191962 */     // MIs[0] round
     /* 1191962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191972 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1191975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191997 */     // GIR_Coverage, 16696,
     /* 1191997 */     GIR_EraseRootFromParent_Done,
     /* 1191998 */   // Label 17324: @1191998
     /* 1191998 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1192078), // Rule ID 16697 //
     /* 1192003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192042 */     // MIs[0] round
     /* 1192042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1192055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192077 */     // GIR_Coverage, 16697,
     /* 1192077 */     GIR_EraseRootFromParent_Done,
     /* 1192078 */   // Label 17325: @1192078
     /* 1192078 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192158), // Rule ID 16700 //
     /* 1192083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192122 */     // MIs[0] round
     /* 1192122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192132 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1192135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192157 */     // GIR_Coverage, 16700,
     /* 1192157 */     GIR_EraseRootFromParent_Done,
     /* 1192158 */   // Label 17326: @1192158
     /* 1192158 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192238), // Rule ID 16701 //
     /* 1192163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1192174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1192177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192202 */     // MIs[0] round
     /* 1192202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192212 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1192215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192237 */     // GIR_Coverage, 16701,
     /* 1192237 */     GIR_EraseRootFromParent_Done,
     /* 1192238 */   // Label 17327: @1192238
     /* 1192238 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192318), // Rule ID 16704 //
     /* 1192243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192282 */     // MIs[0] round
     /* 1192282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192292 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1192295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192317 */     // GIR_Coverage, 16704,
     /* 1192317 */     GIR_EraseRootFromParent_Done,
     /* 1192318 */   // Label 17328: @1192318
     /* 1192318 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192398), // Rule ID 16705 //
     /* 1192323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1192334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1192337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192362 */     // MIs[0] round
     /* 1192362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192372 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1192375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192397 */     // GIR_Coverage, 16705,
     /* 1192397 */     GIR_EraseRootFromParent_Done,
     /* 1192398 */   // Label 17329: @1192398
     /* 1192398 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1192478), // Rule ID 16708 //
     /* 1192403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192442 */     // MIs[0] round
     /* 1192442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192452 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1192455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192477 */     // GIR_Coverage, 16708,
     /* 1192477 */     GIR_EraseRootFromParent_Done,
     /* 1192478 */   // Label 17330: @1192478
     /* 1192478 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1192558), // Rule ID 16709 //
     /* 1192483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192522 */     // MIs[0] round
     /* 1192522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192532 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1192535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192557 */     // GIR_Coverage, 16709,
     /* 1192557 */     GIR_EraseRootFromParent_Done,
     /* 1192558 */   // Label 17331: @1192558
     /* 1192558 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1192638), // Rule ID 16712 //
     /* 1192563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192602 */     // MIs[0] round
     /* 1192602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192612 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1192615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192637 */     // GIR_Coverage, 16712,
     /* 1192637 */     GIR_EraseRootFromParent_Done,
     /* 1192638 */   // Label 17332: @1192638
     /* 1192638 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1192718), // Rule ID 16713 //
     /* 1192643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192682 */     // MIs[0] round
     /* 1192682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1192695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192717 */     // GIR_Coverage, 16713,
     /* 1192717 */     GIR_EraseRootFromParent_Done,
     /* 1192718 */   // Label 17333: @1192718
     /* 1192718 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1192798), // Rule ID 16716 //
     /* 1192723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1192743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192762 */     // MIs[0] round
     /* 1192762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1192775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192797 */     // GIR_Coverage, 16716,
     /* 1192797 */     GIR_EraseRootFromParent_Done,
     /* 1192798 */   // Label 17334: @1192798
     /* 1192798 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1192878), // Rule ID 16717 //
     /* 1192803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1192823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192842 */     // MIs[0] round
     /* 1192842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192852 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1192855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192877 */     // GIR_Coverage, 16717,
     /* 1192877 */     GIR_EraseRootFromParent_Done,
     /* 1192878 */   // Label 17335: @1192878
     /* 1192878 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1192958), // Rule ID 16720 //
     /* 1192883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1192894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1192897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1192900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1192903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192922 */     // MIs[0] round
     /* 1192922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1192935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192957 */     // GIR_Coverage, 16720,
     /* 1192957 */     GIR_EraseRootFromParent_Done,
     /* 1192958 */   // Label 17336: @1192958
     /* 1192958 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1193038), // Rule ID 16721 //
     /* 1192963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1192971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1192974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1192977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1192980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1192983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193002 */     // MIs[0] round
     /* 1193002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1193015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193037 */     // GIR_Coverage, 16721,
     /* 1193037 */     GIR_EraseRootFromParent_Done,
     /* 1193038 */   // Label 17337: @1193038
     /* 1193038 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193118), // Rule ID 16724 //
     /* 1193043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193082 */     // MIs[0] round
     /* 1193082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193092 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1193095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193117 */     // GIR_Coverage, 16724,
     /* 1193117 */     GIR_EraseRootFromParent_Done,
     /* 1193118 */   // Label 17338: @1193118
     /* 1193118 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193198), // Rule ID 16725 //
     /* 1193123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193162 */     // MIs[0] round
     /* 1193162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1193175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193197 */     // GIR_Coverage, 16725,
     /* 1193197 */     GIR_EraseRootFromParent_Done,
     /* 1193198 */   // Label 17339: @1193198
     /* 1193198 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193278), // Rule ID 16728 //
     /* 1193203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193242 */     // MIs[0] round
     /* 1193242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1193255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193277 */     // GIR_Coverage, 16728,
     /* 1193277 */     GIR_EraseRootFromParent_Done,
     /* 1193278 */   // Label 17340: @1193278
     /* 1193278 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193358), // Rule ID 16729 //
     /* 1193283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193322 */     // MIs[0] round
     /* 1193322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1193335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193357 */     // GIR_Coverage, 16729,
     /* 1193357 */     GIR_EraseRootFromParent_Done,
     /* 1193358 */   // Label 17341: @1193358
     /* 1193358 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1193438), // Rule ID 16732 //
     /* 1193363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1193383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193402 */     // MIs[0] round
     /* 1193402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193412 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1193415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193437 */     // GIR_Coverage, 16732,
     /* 1193437 */     GIR_EraseRootFromParent_Done,
     /* 1193438 */   // Label 17342: @1193438
     /* 1193438 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1193518), // Rule ID 16733 //
     /* 1193443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1193463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193482 */     // MIs[0] round
     /* 1193482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193492 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1193495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193517 */     // GIR_Coverage, 16733,
     /* 1193517 */     GIR_EraseRootFromParent_Done,
     /* 1193518 */   // Label 17343: @1193518
     /* 1193518 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1193598), // Rule ID 16736 //
     /* 1193523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1193543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193562 */     // MIs[0] round
     /* 1193562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193572 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1193575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193597 */     // GIR_Coverage, 16736,
     /* 1193597 */     GIR_EraseRootFromParent_Done,
     /* 1193598 */   // Label 17344: @1193598
     /* 1193598 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1193678), // Rule ID 16737 //
     /* 1193603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1193623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193642 */     // MIs[0] round
     /* 1193642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193652 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1193655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193677 */     // GIR_Coverage, 16737,
     /* 1193677 */     GIR_EraseRootFromParent_Done,
     /* 1193678 */   // Label 17345: @1193678
     /* 1193678 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1193758), // Rule ID 16740 //
     /* 1193683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1193703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193722 */     // MIs[0] round
     /* 1193722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193732 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1193735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193757 */     // GIR_Coverage, 16740,
     /* 1193757 */     GIR_EraseRootFromParent_Done,
     /* 1193758 */   // Label 17346: @1193758
     /* 1193758 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1193838), // Rule ID 16741 //
     /* 1193763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1193783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193802 */     // MIs[0] round
     /* 1193802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193812 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1193815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193837 */     // GIR_Coverage, 16741,
     /* 1193837 */     GIR_EraseRootFromParent_Done,
     /* 1193838 */   // Label 17347: @1193838
     /* 1193838 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1193918), // Rule ID 16744 //
     /* 1193843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1193854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1193857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1193863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193882 */     // MIs[0] round
     /* 1193882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1193895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193917 */     // GIR_Coverage, 16744,
     /* 1193917 */     GIR_EraseRootFromParent_Done,
     /* 1193918 */   // Label 17348: @1193918
     /* 1193918 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1193998), // Rule ID 16745 //
     /* 1193923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1193931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1193934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1193937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1193943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193962 */     // MIs[0] round
     /* 1193962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193972 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1193975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193997 */     // GIR_Coverage, 16745,
     /* 1193997 */     GIR_EraseRootFromParent_Done,
     /* 1193998 */   // Label 17349: @1193998
     /* 1193998 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1194078), // Rule ID 16748 //
     /* 1194003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194042 */     // MIs[0] round
     /* 1194042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194052 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1194055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194077 */     // GIR_Coverage, 16748,
     /* 1194077 */     GIR_EraseRootFromParent_Done,
     /* 1194078 */   // Label 17350: @1194078
     /* 1194078 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194158), // Rule ID 16749 //
     /* 1194083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194122 */     // MIs[0] round
     /* 1194122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194132 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1194135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194157 */     // GIR_Coverage, 16749,
     /* 1194157 */     GIR_EraseRootFromParent_Done,
     /* 1194158 */   // Label 17351: @1194158
     /* 1194158 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194238), // Rule ID 16752 //
     /* 1194163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194202 */     // MIs[0] round
     /* 1194202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194212 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1194215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194237 */     // GIR_Coverage, 16752,
     /* 1194237 */     GIR_EraseRootFromParent_Done,
     /* 1194238 */   // Label 17352: @1194238
     /* 1194238 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194318), // Rule ID 16753 //
     /* 1194243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194282 */     // MIs[0] round
     /* 1194282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1194295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194317 */     // GIR_Coverage, 16753,
     /* 1194317 */     GIR_EraseRootFromParent_Done,
     /* 1194318 */   // Label 17353: @1194318
     /* 1194318 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194398), // Rule ID 16756 //
     /* 1194323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1194343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194362 */     // MIs[0] round
     /* 1194362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194372 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1194375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194397 */     // GIR_Coverage, 16756,
     /* 1194397 */     GIR_EraseRootFromParent_Done,
     /* 1194398 */   // Label 17354: @1194398
     /* 1194398 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1194478), // Rule ID 16757 //
     /* 1194403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1194423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194442 */     // MIs[0] round
     /* 1194442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1194455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194477 */     // GIR_Coverage, 16757,
     /* 1194477 */     GIR_EraseRootFromParent_Done,
     /* 1194478 */   // Label 17355: @1194478
     /* 1194478 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1194558), // Rule ID 16760 //
     /* 1194483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1194503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194522 */     // MIs[0] round
     /* 1194522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194532 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1194535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194557 */     // GIR_Coverage, 16760,
     /* 1194557 */     GIR_EraseRootFromParent_Done,
     /* 1194558 */   // Label 17356: @1194558
     /* 1194558 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1194638), // Rule ID 16761 //
     /* 1194563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1194583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194602 */     // MIs[0] round
     /* 1194602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194612 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1194615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194637 */     // GIR_Coverage, 16761,
     /* 1194637 */     GIR_EraseRootFromParent_Done,
     /* 1194638 */   // Label 17357: @1194638
     /* 1194638 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1194718), // Rule ID 16764 //
     /* 1194643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1194663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194682 */     // MIs[0] round
     /* 1194682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194692 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1194695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194717 */     // GIR_Coverage, 16764,
     /* 1194717 */     GIR_EraseRootFromParent_Done,
     /* 1194718 */   // Label 17358: @1194718
     /* 1194718 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1194798), // Rule ID 16765 //
     /* 1194723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1194743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194762 */     // MIs[0] round
     /* 1194762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194772 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1194775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194797 */     // GIR_Coverage, 16765,
     /* 1194797 */     GIR_EraseRootFromParent_Done,
     /* 1194798 */   // Label 17359: @1194798
     /* 1194798 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1194878), // Rule ID 16768 //
     /* 1194803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1194814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1194817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1194820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194842 */     // MIs[0] round
     /* 1194842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194852 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1194855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194877 */     // GIR_Coverage, 16768,
     /* 1194877 */     GIR_EraseRootFromParent_Done,
     /* 1194878 */   // Label 17360: @1194878
     /* 1194878 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1194958), // Rule ID 16769 //
     /* 1194883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1194894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1194897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1194900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194922 */     // MIs[0] round
     /* 1194922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194932 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1194935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194957 */     // GIR_Coverage, 16769,
     /* 1194957 */     GIR_EraseRootFromParent_Done,
     /* 1194958 */   // Label 17361: @1194958
     /* 1194958 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1195038), // Rule ID 16772 //
     /* 1194963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1194971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1194974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1194977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1194980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195002 */     // MIs[0] round
     /* 1195002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1195015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195037 */     // GIR_Coverage, 16772,
     /* 1195037 */     GIR_EraseRootFromParent_Done,
     /* 1195038 */   // Label 17362: @1195038
     /* 1195038 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195118), // Rule ID 16773 //
     /* 1195043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1195054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1195057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195082 */     // MIs[0] round
     /* 1195082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195092 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1195095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195117 */     // GIR_Coverage, 16773,
     /* 1195117 */     GIR_EraseRootFromParent_Done,
     /* 1195118 */   // Label 17363: @1195118
     /* 1195118 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195198), // Rule ID 16776 //
     /* 1195123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1195126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195162 */     // MIs[0] round
     /* 1195162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1195175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195197 */     // GIR_Coverage, 16776,
     /* 1195197 */     GIR_EraseRootFromParent_Done,
     /* 1195198 */   // Label 17364: @1195198
     /* 1195198 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195278), // Rule ID 16777 //
     /* 1195203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1195206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195242 */     // MIs[0] round
     /* 1195242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1195255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195277 */     // GIR_Coverage, 16777,
     /* 1195277 */     GIR_EraseRootFromParent_Done,
     /* 1195278 */   // Label 17365: @1195278
     /* 1195278 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195358), // Rule ID 16780 //
     /* 1195283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1195294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1195297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195322 */     // MIs[0] round
     /* 1195322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195332 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1195335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195357 */     // GIR_Coverage, 16780,
     /* 1195357 */     GIR_EraseRootFromParent_Done,
     /* 1195358 */   // Label 17366: @1195358
     /* 1195358 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1195438), // Rule ID 16781 //
     /* 1195363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1195374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1195377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195402 */     // MIs[0] round
     /* 1195402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195412 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1195415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195437 */     // GIR_Coverage, 16781,
     /* 1195437 */     GIR_EraseRootFromParent_Done,
     /* 1195438 */   // Label 17367: @1195438
     /* 1195438 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1195518), // Rule ID 16784 //
     /* 1195443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1195446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195482 */     // MIs[0] round
     /* 1195482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195492 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1195495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195517 */     // GIR_Coverage, 16784,
     /* 1195517 */     GIR_EraseRootFromParent_Done,
     /* 1195518 */   // Label 17368: @1195518
     /* 1195518 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1195598), // Rule ID 16785 //
     /* 1195523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1195526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195562 */     // MIs[0] round
     /* 1195562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195572 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1195575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195597 */     // GIR_Coverage, 16785,
     /* 1195597 */     GIR_EraseRootFromParent_Done,
     /* 1195598 */   // Label 17369: @1195598
     /* 1195598 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1195678), // Rule ID 16788 //
     /* 1195603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195642 */     // MIs[0] round
     /* 1195642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1195655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195677 */     // GIR_Coverage, 16788,
     /* 1195677 */     GIR_EraseRootFromParent_Done,
     /* 1195678 */   // Label 17370: @1195678
     /* 1195678 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1195758), // Rule ID 16789 //
     /* 1195683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195722 */     // MIs[0] round
     /* 1195722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1195735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195757 */     // GIR_Coverage, 16789,
     /* 1195757 */     GIR_EraseRootFromParent_Done,
     /* 1195758 */   // Label 17371: @1195758
     /* 1195758 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1195838), // Rule ID 16792 //
     /* 1195763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1195774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1195777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195802 */     // MIs[0] round
     /* 1195802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195812 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1195815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195837 */     // GIR_Coverage, 16792,
     /* 1195837 */     GIR_EraseRootFromParent_Done,
     /* 1195838 */   // Label 17372: @1195838
     /* 1195838 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1195918), // Rule ID 16793 //
     /* 1195843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1195854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1195857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195882 */     // MIs[0] round
     /* 1195882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195892 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1195895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195917 */     // GIR_Coverage, 16793,
     /* 1195917 */     GIR_EraseRootFromParent_Done,
     /* 1195918 */   // Label 17373: @1195918
     /* 1195918 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1195998), // Rule ID 16796 //
     /* 1195923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1195931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1195934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1195937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195962 */     // MIs[0] round
     /* 1195962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195972 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1195975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195997 */     // GIR_Coverage, 16796,
     /* 1195997 */     GIR_EraseRootFromParent_Done,
     /* 1195998 */   // Label 17374: @1195998
     /* 1195998 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1196078), // Rule ID 16797 //
     /* 1196003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1196014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1196017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196042 */     // MIs[0] round
     /* 1196042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196052 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1196055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196077 */     // GIR_Coverage, 16797,
     /* 1196077 */     GIR_EraseRootFromParent_Done,
     /* 1196078 */   // Label 17375: @1196078
     /* 1196078 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196158), // Rule ID 16800 //
     /* 1196083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1196086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196122 */     // MIs[0] round
     /* 1196122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196132 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1196135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196157 */     // GIR_Coverage, 16800,
     /* 1196157 */     GIR_EraseRootFromParent_Done,
     /* 1196158 */   // Label 17376: @1196158
     /* 1196158 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196238), // Rule ID 16801 //
     /* 1196163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196202 */     // MIs[0] round
     /* 1196202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196212 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1196215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196237 */     // GIR_Coverage, 16801,
     /* 1196237 */     GIR_EraseRootFromParent_Done,
     /* 1196238 */   // Label 17377: @1196238
     /* 1196238 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196318), // Rule ID 16804 //
     /* 1196243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196282 */     // MIs[0] round
     /* 1196282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1196295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196317 */     // GIR_Coverage, 16804,
     /* 1196317 */     GIR_EraseRootFromParent_Done,
     /* 1196318 */   // Label 17378: @1196318
     /* 1196318 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196398), // Rule ID 16805 //
     /* 1196323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196362 */     // MIs[0] round
     /* 1196362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196372 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1196375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196397 */     // GIR_Coverage, 16805,
     /* 1196397 */     GIR_EraseRootFromParent_Done,
     /* 1196398 */   // Label 17379: @1196398
     /* 1196398 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1196478), // Rule ID 16808 //
     /* 1196403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196442 */     // MIs[0] round
     /* 1196442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1196455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196477 */     // GIR_Coverage, 16808,
     /* 1196477 */     GIR_EraseRootFromParent_Done,
     /* 1196478 */   // Label 17380: @1196478
     /* 1196478 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1196558), // Rule ID 16809 //
     /* 1196483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196522 */     // MIs[0] round
     /* 1196522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1196535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196557 */     // GIR_Coverage, 16809,
     /* 1196557 */     GIR_EraseRootFromParent_Done,
     /* 1196558 */   // Label 17381: @1196558
     /* 1196558 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1196638), // Rule ID 16812 //
     /* 1196563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196602 */     // MIs[0] round
     /* 1196602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1196615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196637 */     // GIR_Coverage, 16812,
     /* 1196637 */     GIR_EraseRootFromParent_Done,
     /* 1196638 */   // Label 17382: @1196638
     /* 1196638 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1196718), // Rule ID 16813 //
     /* 1196643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196682 */     // MIs[0] round
     /* 1196682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1196695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196717 */     // GIR_Coverage, 16813,
     /* 1196717 */     GIR_EraseRootFromParent_Done,
     /* 1196718 */   // Label 17383: @1196718
     /* 1196718 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1196798), // Rule ID 16816 //
     /* 1196723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1196726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1196740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196762 */     // MIs[0] round
     /* 1196762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196772 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1196775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196797 */     // GIR_Coverage, 16816,
     /* 1196797 */     GIR_EraseRootFromParent_Done,
     /* 1196798 */   // Label 17384: @1196798
     /* 1196798 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1196878), // Rule ID 16817 //
     /* 1196803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1196806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1196820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196842 */     // MIs[0] round
     /* 1196842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196852 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1196855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196877 */     // GIR_Coverage, 16817,
     /* 1196877 */     GIR_EraseRootFromParent_Done,
     /* 1196878 */   // Label 17385: @1196878
     /* 1196878 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1196958), // Rule ID 16820 //
     /* 1196883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1196886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1196900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196922 */     // MIs[0] round
     /* 1196922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196932 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1196935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196957 */     // GIR_Coverage, 16820,
     /* 1196957 */     GIR_EraseRootFromParent_Done,
     /* 1196958 */   // Label 17386: @1196958
     /* 1196958 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1197038), // Rule ID 16821 //
     /* 1196963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1196966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1196971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1196980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197002 */     // MIs[0] round
     /* 1197002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197012 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1197015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197037 */     // GIR_Coverage, 16821,
     /* 1197037 */     GIR_EraseRootFromParent_Done,
     /* 1197038 */   // Label 17387: @1197038
     /* 1197038 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197118), // Rule ID 16824 //
     /* 1197043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1197046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197082 */     // MIs[0] round
     /* 1197082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197092 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1197095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197117 */     // GIR_Coverage, 16824,
     /* 1197117 */     GIR_EraseRootFromParent_Done,
     /* 1197118 */   // Label 17388: @1197118
     /* 1197118 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197198), // Rule ID 16825 //
     /* 1197123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197162 */     // MIs[0] round
     /* 1197162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197172 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1197175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197197 */     // GIR_Coverage, 16825,
     /* 1197197 */     GIR_EraseRootFromParent_Done,
     /* 1197198 */   // Label 17389: @1197198
     /* 1197198 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197278), // Rule ID 16828 //
     /* 1197203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197242 */     // MIs[0] round
     /* 1197242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197252 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1197255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197277 */     // GIR_Coverage, 16828,
     /* 1197277 */     GIR_EraseRootFromParent_Done,
     /* 1197278 */   // Label 17390: @1197278
     /* 1197278 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197358), // Rule ID 16829 //
     /* 1197283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197322 */     // MIs[0] round
     /* 1197322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197332 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1197335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197357 */     // GIR_Coverage, 16829,
     /* 1197357 */     GIR_EraseRootFromParent_Done,
     /* 1197358 */   // Label 17391: @1197358
     /* 1197358 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1197438), // Rule ID 16832 //
     /* 1197363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1197374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1197377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197402 */     // MIs[0] round
     /* 1197402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197412 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1197415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197437 */     // GIR_Coverage, 16832,
     /* 1197437 */     GIR_EraseRootFromParent_Done,
     /* 1197438 */   // Label 17392: @1197438
     /* 1197438 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1197518), // Rule ID 16833 //
     /* 1197443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1197454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1197457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197482 */     // MIs[0] round
     /* 1197482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197492 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1197495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197517 */     // GIR_Coverage, 16833,
     /* 1197517 */     GIR_EraseRootFromParent_Done,
     /* 1197518 */   // Label 17393: @1197518
     /* 1197518 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1197598), // Rule ID 16836 //
     /* 1197523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1197526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197562 */     // MIs[0] round
     /* 1197562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197572 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1197575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197597 */     // GIR_Coverage, 16836,
     /* 1197597 */     GIR_EraseRootFromParent_Done,
     /* 1197598 */   // Label 17394: @1197598
     /* 1197598 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1197678), // Rule ID 16837 //
     /* 1197603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1197606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197642 */     // MIs[0] round
     /* 1197642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197652 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1197655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197677 */     // GIR_Coverage, 16837,
     /* 1197677 */     GIR_EraseRootFromParent_Done,
     /* 1197678 */   // Label 17395: @1197678
     /* 1197678 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1197758), // Rule ID 16840 //
     /* 1197683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1197694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1197697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197722 */     // MIs[0] round
     /* 1197722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1197735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197757 */     // GIR_Coverage, 16840,
     /* 1197757 */     GIR_EraseRootFromParent_Done,
     /* 1197758 */   // Label 17396: @1197758
     /* 1197758 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1197838), // Rule ID 16841 //
     /* 1197763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1197774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1197777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1197783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1197802 */     // MIs[0] round
     /* 1197802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197812 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1197815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197837 */     // GIR_Coverage, 16841,
     /* 1197837 */     GIR_EraseRootFromParent_Done,
     /* 1197838 */   // Label 17397: @1197838
     /* 1197838 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1197918), // Rule ID 16844 //
     /* 1197843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1197846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197882 */     // MIs[0] round
     /* 1197882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1197895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197917 */     // GIR_Coverage, 16844,
     /* 1197917 */     GIR_EraseRootFromParent_Done,
     /* 1197918 */   // Label 17398: @1197918
     /* 1197918 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1197998), // Rule ID 16845 //
     /* 1197923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1197926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1197931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197962 */     // MIs[0] round
     /* 1197962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197972 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1197975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197997 */     // GIR_Coverage, 16845,
     /* 1197997 */     GIR_EraseRootFromParent_Done,
     /* 1197998 */   // Label 17399: @1197998
     /* 1197998 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1198078), // Rule ID 16848 //
     /* 1198003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1198006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1198042 */     // MIs[0] round
     /* 1198042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1198055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198077 */     // GIR_Coverage, 16848,
     /* 1198077 */     GIR_EraseRootFromParent_Done,
     /* 1198078 */   // Label 17400: @1198078
     /* 1198078 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198158), // Rule ID 16849 //
     /* 1198083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1198086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1198122 */     // MIs[0] round
     /* 1198122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1198135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198157 */     // GIR_Coverage, 16849,
     /* 1198157 */     GIR_EraseRootFromParent_Done,
     /* 1198158 */   // Label 17401: @1198158
     /* 1198158 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198238), // Rule ID 16852 //
     /* 1198163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198202 */     // MIs[0] round
     /* 1198202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198212 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1198215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198237 */     // GIR_Coverage, 16852,
     /* 1198237 */     GIR_EraseRootFromParent_Done,
     /* 1198238 */   // Label 17402: @1198238
     /* 1198238 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198318), // Rule ID 16853 //
     /* 1198243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198282 */     // MIs[0] round
     /* 1198282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198292 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1198295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198317 */     // GIR_Coverage, 16853,
     /* 1198317 */     GIR_EraseRootFromParent_Done,
     /* 1198318 */   // Label 17403: @1198318
     /* 1198318 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198398), // Rule ID 16856 //
     /* 1198323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1198334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1198337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198362 */     // MIs[0] round
     /* 1198362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198372 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1198375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198397 */     // GIR_Coverage, 16856,
     /* 1198397 */     GIR_EraseRootFromParent_Done,
     /* 1198398 */   // Label 17404: @1198398
     /* 1198398 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1198478), // Rule ID 16857 //
     /* 1198403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1198414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1198417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198442 */     // MIs[0] round
     /* 1198442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1198455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198477 */     // GIR_Coverage, 16857,
     /* 1198477 */     GIR_EraseRootFromParent_Done,
     /* 1198478 */   // Label 17405: @1198478
     /* 1198478 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1198558), // Rule ID 16860 //
     /* 1198483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1198494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1198497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1198500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198522 */     // MIs[0] round
     /* 1198522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198532 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1198535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198557 */     // GIR_Coverage, 16860,
     /* 1198557 */     GIR_EraseRootFromParent_Done,
     /* 1198558 */   // Label 17406: @1198558
     /* 1198558 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1198638), // Rule ID 16861 //
     /* 1198563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1198574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1198577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1198580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198602 */     // MIs[0] round
     /* 1198602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198612 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1198615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198637 */     // GIR_Coverage, 16861,
     /* 1198637 */     GIR_EraseRootFromParent_Done,
     /* 1198638 */   // Label 17407: @1198638
     /* 1198638 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1198718), // Rule ID 16864 //
     /* 1198643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198682 */     // MIs[0] round
     /* 1198682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198692 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1198695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198717 */     // GIR_Coverage, 16864,
     /* 1198717 */     GIR_EraseRootFromParent_Done,
     /* 1198718 */   // Label 17408: @1198718
     /* 1198718 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1198798), // Rule ID 16865 //
     /* 1198723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198762 */     // MIs[0] round
     /* 1198762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198772 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1198775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198797 */     // GIR_Coverage, 16865,
     /* 1198797 */     GIR_EraseRootFromParent_Done,
     /* 1198798 */   // Label 17409: @1198798
     /* 1198798 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1198878), // Rule ID 16868 //
     /* 1198803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198842 */     // MIs[0] round
     /* 1198842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198852 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1198855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198877 */     // GIR_Coverage, 16868,
     /* 1198877 */     GIR_EraseRootFromParent_Done,
     /* 1198878 */   // Label 17410: @1198878
     /* 1198878 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1198958), // Rule ID 16869 //
     /* 1198883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198922 */     // MIs[0] round
     /* 1198922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1198935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198957 */     // GIR_Coverage, 16869,
     /* 1198957 */     GIR_EraseRootFromParent_Done,
     /* 1198958 */   // Label 17411: @1198958
     /* 1198958 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1199038), // Rule ID 16872 //
     /* 1198963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1198971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1198980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199002 */     // MIs[0] round
     /* 1199002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199012 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1199015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199037 */     // GIR_Coverage, 16872,
     /* 1199037 */     GIR_EraseRootFromParent_Done,
     /* 1199038 */   // Label 17412: @1199038
     /* 1199038 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199118), // Rule ID 16873 //
     /* 1199043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1199046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199082 */     // MIs[0] round
     /* 1199082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199092 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1199095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199117 */     // GIR_Coverage, 16873,
     /* 1199117 */     GIR_EraseRootFromParent_Done,
     /* 1199118 */   // Label 17413: @1199118
     /* 1199118 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199198), // Rule ID 16876 //
     /* 1199123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199162 */     // MIs[0] round
     /* 1199162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1199175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199197 */     // GIR_Coverage, 16876,
     /* 1199197 */     GIR_EraseRootFromParent_Done,
     /* 1199198 */   // Label 17414: @1199198
     /* 1199198 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199278), // Rule ID 16877 //
     /* 1199203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199242 */     // MIs[0] round
     /* 1199242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1199255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199277 */     // GIR_Coverage, 16877,
     /* 1199277 */     GIR_EraseRootFromParent_Done,
     /* 1199278 */   // Label 17415: @1199278
     /* 1199278 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199358), // Rule ID 16880 //
     /* 1199283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1199300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199322 */     // MIs[0] round
     /* 1199322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199332 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1199335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199357 */     // GIR_Coverage, 16880,
     /* 1199357 */     GIR_EraseRootFromParent_Done,
     /* 1199358 */   // Label 17416: @1199358
     /* 1199358 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1199438), // Rule ID 16881 //
     /* 1199363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1199380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199402 */     // MIs[0] round
     /* 1199402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199412 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1199415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199437 */     // GIR_Coverage, 16881,
     /* 1199437 */     GIR_EraseRootFromParent_Done,
     /* 1199438 */   // Label 17417: @1199438
     /* 1199438 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1199518), // Rule ID 16884 //
     /* 1199443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1199460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199482 */     // MIs[0] round
     /* 1199482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199492 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1199495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199517 */     // GIR_Coverage, 16884,
     /* 1199517 */     GIR_EraseRootFromParent_Done,
     /* 1199518 */   // Label 17418: @1199518
     /* 1199518 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1199598), // Rule ID 16885 //
     /* 1199523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1199531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1199540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1199562 */     // MIs[0] round
     /* 1199562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199572 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1199575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199597 */     // GIR_Coverage, 16885,
     /* 1199597 */     GIR_EraseRootFromParent_Done,
     /* 1199598 */   // Label 17419: @1199598
     /* 1199598 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1199678), // Rule ID 16888 //
     /* 1199603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1199623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199642 */     // MIs[0] round
     /* 1199642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199652 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1199655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199677 */     // GIR_Coverage, 16888,
     /* 1199677 */     GIR_EraseRootFromParent_Done,
     /* 1199678 */   // Label 17420: @1199678
     /* 1199678 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1199758), // Rule ID 16889 //
     /* 1199683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1199703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199722 */     // MIs[0] round
     /* 1199722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199732 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1199735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199757 */     // GIR_Coverage, 16889,
     /* 1199757 */     GIR_EraseRootFromParent_Done,
     /* 1199758 */   // Label 17421: @1199758
     /* 1199758 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1199838), // Rule ID 16892 //
     /* 1199763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1199783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199802 */     // MIs[0] round
     /* 1199802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199812 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1199815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199837 */     // GIR_Coverage, 16892,
     /* 1199837 */     GIR_EraseRootFromParent_Done,
     /* 1199838 */   // Label 17422: @1199838
     /* 1199838 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1199918), // Rule ID 16893 //
     /* 1199843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1199863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199882 */     // MIs[0] round
     /* 1199882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1199895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199917 */     // GIR_Coverage, 16893,
     /* 1199917 */     GIR_EraseRootFromParent_Done,
     /* 1199918 */   // Label 17423: @1199918
     /* 1199918 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1199998), // Rule ID 16896 //
     /* 1199923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1199931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1199940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1199943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199962 */     // MIs[0] round
     /* 1199962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199972 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1199975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199997 */     // GIR_Coverage, 16896,
     /* 1199997 */     GIR_EraseRootFromParent_Done,
     /* 1199998 */   // Label 17424: @1199998
     /* 1199998 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1200078), // Rule ID 16897 //
     /* 1200003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1200014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1200017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1200023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200042 */     // MIs[0] round
     /* 1200042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1200055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200077 */     // GIR_Coverage, 16897,
     /* 1200077 */     GIR_EraseRootFromParent_Done,
     /* 1200078 */   // Label 17425: @1200078
     /* 1200078 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200158), // Rule ID 16900 //
     /* 1200083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200122 */     // MIs[0] round
     /* 1200122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200132 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1200135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200157 */     // GIR_Coverage, 16900,
     /* 1200157 */     GIR_EraseRootFromParent_Done,
     /* 1200158 */   // Label 17426: @1200158
     /* 1200158 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200238), // Rule ID 16901 //
     /* 1200163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1200174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1200177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200202 */     // MIs[0] round
     /* 1200202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200212 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1200215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200237 */     // GIR_Coverage, 16901,
     /* 1200237 */     GIR_EraseRootFromParent_Done,
     /* 1200238 */   // Label 17427: @1200238
     /* 1200238 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200318), // Rule ID 16904 //
     /* 1200243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200282 */     // MIs[0] round
     /* 1200282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1200295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200317 */     // GIR_Coverage, 16904,
     /* 1200317 */     GIR_EraseRootFromParent_Done,
     /* 1200318 */   // Label 17428: @1200318
     /* 1200318 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200398), // Rule ID 16905 //
     /* 1200323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200362 */     // MIs[0] round
     /* 1200362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200372 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1200375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200397 */     // GIR_Coverage, 16905,
     /* 1200397 */     GIR_EraseRootFromParent_Done,
     /* 1200398 */   // Label 17429: @1200398
     /* 1200398 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1200478), // Rule ID 16908 //
     /* 1200403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200442 */     // MIs[0] round
     /* 1200442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1200455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200477 */     // GIR_Coverage, 16908,
     /* 1200477 */     GIR_EraseRootFromParent_Done,
     /* 1200478 */   // Label 17430: @1200478
     /* 1200478 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1200558), // Rule ID 16909 //
     /* 1200483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200522 */     // MIs[0] round
     /* 1200522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200532 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1200535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200557 */     // GIR_Coverage, 16909,
     /* 1200557 */     GIR_EraseRootFromParent_Done,
     /* 1200558 */   // Label 17431: @1200558
     /* 1200558 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1200638), // Rule ID 16912 //
     /* 1200563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1200583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200602 */     // MIs[0] round
     /* 1200602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200612 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1200615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200637 */     // GIR_Coverage, 16912,
     /* 1200637 */     GIR_EraseRootFromParent_Done,
     /* 1200638 */   // Label 17432: @1200638
     /* 1200638 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1200718), // Rule ID 16913 //
     /* 1200643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1200663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200682 */     // MIs[0] round
     /* 1200682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200692 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1200695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200717 */     // GIR_Coverage, 16913,
     /* 1200717 */     GIR_EraseRootFromParent_Done,
     /* 1200718 */   // Label 17433: @1200718
     /* 1200718 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1200798), // Rule ID 16916 //
     /* 1200723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1200743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200762 */     // MIs[0] round
     /* 1200762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200772 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1200775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200797 */     // GIR_Coverage, 16916,
     /* 1200797 */     GIR_EraseRootFromParent_Done,
     /* 1200798 */   // Label 17434: @1200798
     /* 1200798 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1200878), // Rule ID 16917 //
     /* 1200803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1200823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200842 */     // MIs[0] round
     /* 1200842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1200855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200877 */     // GIR_Coverage, 16917,
     /* 1200877 */     GIR_EraseRootFromParent_Done,
     /* 1200878 */   // Label 17435: @1200878
     /* 1200878 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1200958), // Rule ID 16920 //
     /* 1200883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1200903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200922 */     // MIs[0] round
     /* 1200922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200932 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1200935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200957 */     // GIR_Coverage, 16920,
     /* 1200957 */     GIR_EraseRootFromParent_Done,
     /* 1200958 */   // Label 17436: @1200958
     /* 1200958 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1201038), // Rule ID 16921 //
     /* 1200963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1200971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1200983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201002 */     // MIs[0] round
     /* 1201002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201012 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1201015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201037 */     // GIR_Coverage, 16921,
     /* 1201037 */     GIR_EraseRootFromParent_Done,
     /* 1201038 */   // Label 17437: @1201038
     /* 1201038 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201118), // Rule ID 16924 //
     /* 1201043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1201054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1201057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201082 */     // MIs[0] round
     /* 1201082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1201095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201117 */     // GIR_Coverage, 16924,
     /* 1201117 */     GIR_EraseRootFromParent_Done,
     /* 1201118 */   // Label 17438: @1201118
     /* 1201118 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201198), // Rule ID 16925 //
     /* 1201123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1201134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1201137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201162 */     // MIs[0] round
     /* 1201162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1201175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201197 */     // GIR_Coverage, 16925,
     /* 1201197 */     GIR_EraseRootFromParent_Done,
     /* 1201198 */   // Label 17439: @1201198
     /* 1201198 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201278), // Rule ID 16928 //
     /* 1201203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201242 */     // MIs[0] round
     /* 1201242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1201255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201277 */     // GIR_Coverage, 16928,
     /* 1201277 */     GIR_EraseRootFromParent_Done,
     /* 1201278 */   // Label 17440: @1201278
     /* 1201278 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201358), // Rule ID 16929 //
     /* 1201283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201322 */     // MIs[0] round
     /* 1201322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1201335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201357 */     // GIR_Coverage, 16929,
     /* 1201357 */     GIR_EraseRootFromParent_Done,
     /* 1201358 */   // Label 17441: @1201358
     /* 1201358 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1201438), // Rule ID 16932 //
     /* 1201363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1201380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201402 */     // MIs[0] round
     /* 1201402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201412 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1201415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201437 */     // GIR_Coverage, 16932,
     /* 1201437 */     GIR_EraseRootFromParent_Done,
     /* 1201438 */   // Label 17442: @1201438
     /* 1201438 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1201518), // Rule ID 16933 //
     /* 1201443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1201460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201482 */     // MIs[0] round
     /* 1201482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201492 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1201495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201517 */     // GIR_Coverage, 16933,
     /* 1201517 */     GIR_EraseRootFromParent_Done,
     /* 1201518 */   // Label 17443: @1201518
     /* 1201518 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1201598), // Rule ID 16936 //
     /* 1201523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1201540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201562 */     // MIs[0] round
     /* 1201562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201572 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1201575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201597 */     // GIR_Coverage, 16936,
     /* 1201597 */     GIR_EraseRootFromParent_Done,
     /* 1201598 */   // Label 17444: @1201598
     /* 1201598 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1201678), // Rule ID 16937 //
     /* 1201603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1201620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201642 */     // MIs[0] round
     /* 1201642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1201655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201677 */     // GIR_Coverage, 16937,
     /* 1201677 */     GIR_EraseRootFromParent_Done,
     /* 1201678 */   // Label 17445: @1201678
     /* 1201678 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1201758), // Rule ID 16940 //
     /* 1201683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1201700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201722 */     // MIs[0] round
     /* 1201722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201732 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1201735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201757 */     // GIR_Coverage, 16940,
     /* 1201757 */     GIR_EraseRootFromParent_Done,
     /* 1201758 */   // Label 17446: @1201758
     /* 1201758 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1201838), // Rule ID 16941 //
     /* 1201763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1201780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201802 */     // MIs[0] round
     /* 1201802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201812 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1201815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201837 */     // GIR_Coverage, 16941,
     /* 1201837 */     GIR_EraseRootFromParent_Done,
     /* 1201838 */   // Label 17447: @1201838
     /* 1201838 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1201918), // Rule ID 16944 //
     /* 1201843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1201860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201882 */     // MIs[0] round
     /* 1201882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201892 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1201895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201917 */     // GIR_Coverage, 16944,
     /* 1201917 */     GIR_EraseRootFromParent_Done,
     /* 1201918 */   // Label 17448: @1201918
     /* 1201918 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1201998), // Rule ID 16945 //
     /* 1201923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1201931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1201940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201962 */     // MIs[0] round
     /* 1201962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1201975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201997 */     // GIR_Coverage, 16945,
     /* 1201997 */     GIR_EraseRootFromParent_Done,
     /* 1201998 */   // Label 17449: @1201998
     /* 1201998 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1202078), // Rule ID 16948 //
     /* 1202003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202042 */     // MIs[0] round
     /* 1202042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1202055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202077 */     // GIR_Coverage, 16948,
     /* 1202077 */     GIR_EraseRootFromParent_Done,
     /* 1202078 */   // Label 17450: @1202078
     /* 1202078 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202158), // Rule ID 16949 //
     /* 1202083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202122 */     // MIs[0] round
     /* 1202122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202132 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1202135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202157 */     // GIR_Coverage, 16949,
     /* 1202157 */     GIR_EraseRootFromParent_Done,
     /* 1202158 */   // Label 17451: @1202158
     /* 1202158 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202238), // Rule ID 16952 //
     /* 1202163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202202 */     // MIs[0] round
     /* 1202202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202212 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1202215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202237 */     // GIR_Coverage, 16952,
     /* 1202237 */     GIR_EraseRootFromParent_Done,
     /* 1202238 */   // Label 17452: @1202238
     /* 1202238 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202318), // Rule ID 16953 //
     /* 1202243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202282 */     // MIs[0] round
     /* 1202282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202292 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1202295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202317 */     // GIR_Coverage, 16953,
     /* 1202317 */     GIR_EraseRootFromParent_Done,
     /* 1202318 */   // Label 17453: @1202318
     /* 1202318 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202398), // Rule ID 16956 //
     /* 1202323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202362 */     // MIs[0] round
     /* 1202362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202372 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1202375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202397 */     // GIR_Coverage, 16956,
     /* 1202397 */     GIR_EraseRootFromParent_Done,
     /* 1202398 */   // Label 17454: @1202398
     /* 1202398 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1202478), // Rule ID 16957 //
     /* 1202403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1202411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202442 */     // MIs[0] round
     /* 1202442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202452 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1202455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202477 */     // GIR_Coverage, 16957,
     /* 1202477 */     GIR_EraseRootFromParent_Done,
     /* 1202478 */   // Label 17455: @1202478
     /* 1202478 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1202558), // Rule ID 16960 //
     /* 1202483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1202503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202522 */     // MIs[0] round
     /* 1202522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202532 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1202535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202557 */     // GIR_Coverage, 16960,
     /* 1202557 */     GIR_EraseRootFromParent_Done,
     /* 1202558 */   // Label 17456: @1202558
     /* 1202558 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1202638), // Rule ID 16961 //
     /* 1202563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1202583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202602 */     // MIs[0] round
     /* 1202602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202612 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1202615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202637 */     // GIR_Coverage, 16961,
     /* 1202637 */     GIR_EraseRootFromParent_Done,
     /* 1202638 */   // Label 17457: @1202638
     /* 1202638 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1202718), // Rule ID 16964 //
     /* 1202643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1202663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202682 */     // MIs[0] round
     /* 1202682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1202695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202717 */     // GIR_Coverage, 16964,
     /* 1202717 */     GIR_EraseRootFromParent_Done,
     /* 1202718 */   // Label 17458: @1202718
     /* 1202718 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1202798), // Rule ID 16965 //
     /* 1202723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1202743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202762 */     // MIs[0] round
     /* 1202762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1202775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202797 */     // GIR_Coverage, 16965,
     /* 1202797 */     GIR_EraseRootFromParent_Done,
     /* 1202798 */   // Label 17459: @1202798
     /* 1202798 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1202878), // Rule ID 16968 //
     /* 1202803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1202823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202842 */     // MIs[0] round
     /* 1202842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202852 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1202855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202877 */     // GIR_Coverage, 16968,
     /* 1202877 */     GIR_EraseRootFromParent_Done,
     /* 1202878 */   // Label 17460: @1202878
     /* 1202878 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1202958), // Rule ID 16969 //
     /* 1202883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1202903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202922 */     // MIs[0] round
     /* 1202922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202932 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1202935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202957 */     // GIR_Coverage, 16969,
     /* 1202957 */     GIR_EraseRootFromParent_Done,
     /* 1202958 */   // Label 17461: @1202958
     /* 1202958 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1203038), // Rule ID 16972 //
     /* 1202963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1202971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1202980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1202983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203002 */     // MIs[0] round
     /* 1203002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203012 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1203015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203037 */     // GIR_Coverage, 16972,
     /* 1203037 */     GIR_EraseRootFromParent_Done,
     /* 1203038 */   // Label 17462: @1203038
     /* 1203038 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203118), // Rule ID 16973 //
     /* 1203043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203082 */     // MIs[0] round
     /* 1203082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203092 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1203095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203117 */     // GIR_Coverage, 16973,
     /* 1203117 */     GIR_EraseRootFromParent_Done,
     /* 1203118 */   // Label 17463: @1203118
     /* 1203118 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203198), // Rule ID 16976 //
     /* 1203123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203162 */     // MIs[0] round
     /* 1203162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1203175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203197 */     // GIR_Coverage, 16976,
     /* 1203197 */     GIR_EraseRootFromParent_Done,
     /* 1203198 */   // Label 17464: @1203198
     /* 1203198 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203278), // Rule ID 16977 //
     /* 1203203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203242 */     // MIs[0] round
     /* 1203242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203252 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1203255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203277 */     // GIR_Coverage, 16977,
     /* 1203277 */     GIR_EraseRootFromParent_Done,
     /* 1203278 */   // Label 17465: @1203278
     /* 1203278 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203358), // Rule ID 16980 //
     /* 1203283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1203303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203322 */     // MIs[0] round
     /* 1203322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1203335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203357 */     // GIR_Coverage, 16980,
     /* 1203357 */     GIR_EraseRootFromParent_Done,
     /* 1203358 */   // Label 17466: @1203358
     /* 1203358 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1203438), // Rule ID 16981 //
     /* 1203363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1203383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203402 */     // MIs[0] round
     /* 1203402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203412 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1203415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203437 */     // GIR_Coverage, 16981,
     /* 1203437 */     GIR_EraseRootFromParent_Done,
     /* 1203438 */   // Label 17467: @1203438
     /* 1203438 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1203518), // Rule ID 16984 //
     /* 1203443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1203463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203482 */     // MIs[0] round
     /* 1203482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203492 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1203495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203517 */     // GIR_Coverage, 16984,
     /* 1203517 */     GIR_EraseRootFromParent_Done,
     /* 1203518 */   // Label 17468: @1203518
     /* 1203518 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1203598), // Rule ID 16985 //
     /* 1203523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1203543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203562 */     // MIs[0] round
     /* 1203562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203572 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1203575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203597 */     // GIR_Coverage, 16985,
     /* 1203597 */     GIR_EraseRootFromParent_Done,
     /* 1203598 */   // Label 17469: @1203598
     /* 1203598 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1203678), // Rule ID 16988 //
     /* 1203603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203642 */     // MIs[0] round
     /* 1203642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1203655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203677 */     // GIR_Coverage, 16988,
     /* 1203677 */     GIR_EraseRootFromParent_Done,
     /* 1203678 */   // Label 17470: @1203678
     /* 1203678 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1203758), // Rule ID 16989 //
     /* 1203683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203722 */     // MIs[0] round
     /* 1203722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1203735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203757 */     // GIR_Coverage, 16989,
     /* 1203757 */     GIR_EraseRootFromParent_Done,
     /* 1203758 */   // Label 17471: @1203758
     /* 1203758 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1203838), // Rule ID 16992 //
     /* 1203763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1203783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203802 */     // MIs[0] round
     /* 1203802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203812 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1203815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203837 */     // GIR_Coverage, 16992,
     /* 1203837 */     GIR_EraseRootFromParent_Done,
     /* 1203838 */   // Label 17472: @1203838
     /* 1203838 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1203918), // Rule ID 16993 //
     /* 1203843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1203863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203882 */     // MIs[0] round
     /* 1203882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1203895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203917 */     // GIR_Coverage, 16993,
     /* 1203917 */     GIR_EraseRootFromParent_Done,
     /* 1203918 */   // Label 17473: @1203918
     /* 1203918 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1203998), // Rule ID 16996 //
     /* 1203923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1203931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1203940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203962 */     // MIs[0] round
     /* 1203962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203972 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1203975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203997 */     // GIR_Coverage, 16996,
     /* 1203997 */     GIR_EraseRootFromParent_Done,
     /* 1203998 */   // Label 17474: @1203998
     /* 1203998 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1204078), // Rule ID 16997 //
     /* 1204003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1204020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204042 */     // MIs[0] round
     /* 1204042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204052 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1204055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204077 */     // GIR_Coverage, 16997,
     /* 1204077 */     GIR_EraseRootFromParent_Done,
     /* 1204078 */   // Label 17475: @1204078
     /* 1204078 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204158), // Rule ID 17000 //
     /* 1204083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204122 */     // MIs[0] round
     /* 1204122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1204135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204157 */     // GIR_Coverage, 17000,
     /* 1204157 */     GIR_EraseRootFromParent_Done,
     /* 1204158 */   // Label 17476: @1204158
     /* 1204158 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204238), // Rule ID 17001 //
     /* 1204163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204202 */     // MIs[0] round
     /* 1204202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204212 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1204215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204237 */     // GIR_Coverage, 17001,
     /* 1204237 */     GIR_EraseRootFromParent_Done,
     /* 1204238 */   // Label 17477: @1204238
     /* 1204238 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204318), // Rule ID 17004 //
     /* 1204243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1204260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204282 */     // MIs[0] round
     /* 1204282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1204295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204317 */     // GIR_Coverage, 17004,
     /* 1204317 */     GIR_EraseRootFromParent_Done,
     /* 1204318 */   // Label 17478: @1204318
     /* 1204318 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204398), // Rule ID 17005 //
     /* 1204323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1204340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204362 */     // MIs[0] round
     /* 1204362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204372 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1204375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204397 */     // GIR_Coverage, 17005,
     /* 1204397 */     GIR_EraseRootFromParent_Done,
     /* 1204398 */   // Label 17479: @1204398
     /* 1204398 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1204478), // Rule ID 17008 //
     /* 1204403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1204420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204442 */     // MIs[0] round
     /* 1204442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1204455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204477 */     // GIR_Coverage, 17008,
     /* 1204477 */     GIR_EraseRootFromParent_Done,
     /* 1204478 */   // Label 17480: @1204478
     /* 1204478 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1204558), // Rule ID 17009 //
     /* 1204483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1204500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204522 */     // MIs[0] round
     /* 1204522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1204535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204557 */     // GIR_Coverage, 17009,
     /* 1204557 */     GIR_EraseRootFromParent_Done,
     /* 1204558 */   // Label 17481: @1204558
     /* 1204558 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1204638), // Rule ID 17012 //
     /* 1204563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204602 */     // MIs[0] round
     /* 1204602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1204615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204637 */     // GIR_Coverage, 17012,
     /* 1204637 */     GIR_EraseRootFromParent_Done,
     /* 1204638 */   // Label 17482: @1204638
     /* 1204638 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1204718), // Rule ID 17013 //
     /* 1204643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204682 */     // MIs[0] round
     /* 1204682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1204695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204717 */     // GIR_Coverage, 17013,
     /* 1204717 */     GIR_EraseRootFromParent_Done,
     /* 1204718 */   // Label 17483: @1204718
     /* 1204718 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1204798), // Rule ID 17016 //
     /* 1204723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204762 */     // MIs[0] round
     /* 1204762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204772 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1204775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204797 */     // GIR_Coverage, 17016,
     /* 1204797 */     GIR_EraseRootFromParent_Done,
     /* 1204798 */   // Label 17484: @1204798
     /* 1204798 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1204878), // Rule ID 17017 //
     /* 1204803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1204820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204842 */     // MIs[0] round
     /* 1204842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1204855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204877 */     // GIR_Coverage, 17017,
     /* 1204877 */     GIR_EraseRootFromParent_Done,
     /* 1204878 */   // Label 17485: @1204878
     /* 1204878 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1204958), // Rule ID 17020 //
     /* 1204883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204922 */     // MIs[0] round
     /* 1204922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204932 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1204935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204957 */     // GIR_Coverage, 17020,
     /* 1204957 */     GIR_EraseRootFromParent_Done,
     /* 1204958 */   // Label 17486: @1204958
     /* 1204958 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1205038), // Rule ID 17021 //
     /* 1204963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1204971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1204980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205002 */     // MIs[0] round
     /* 1205002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205012 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1205015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205037 */     // GIR_Coverage, 17021,
     /* 1205037 */     GIR_EraseRootFromParent_Done,
     /* 1205038 */   // Label 17487: @1205038
     /* 1205038 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205118), // Rule ID 17024 //
     /* 1205043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205082 */     // MIs[0] round
     /* 1205082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1205095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205117 */     // GIR_Coverage, 17024,
     /* 1205117 */     GIR_EraseRootFromParent_Done,
     /* 1205118 */   // Label 17488: @1205118
     /* 1205118 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205198), // Rule ID 17025 //
     /* 1205123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205162 */     // MIs[0] round
     /* 1205162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1205175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205197 */     // GIR_Coverage, 17025,
     /* 1205197 */     GIR_EraseRootFromParent_Done,
     /* 1205198 */   // Label 17489: @1205198
     /* 1205198 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205278), // Rule ID 17028 //
     /* 1205203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205242 */     // MIs[0] round
     /* 1205242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205252 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1205255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205277 */     // GIR_Coverage, 17028,
     /* 1205277 */     GIR_EraseRootFromParent_Done,
     /* 1205278 */   // Label 17490: @1205278
     /* 1205278 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205358), // Rule ID 17029 //
     /* 1205283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1205291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205322 */     // MIs[0] round
     /* 1205322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205332 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1205335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205357 */     // GIR_Coverage, 17029,
     /* 1205357 */     GIR_EraseRootFromParent_Done,
     /* 1205358 */   // Label 17491: @1205358
     /* 1205358 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1205438), // Rule ID 17034 //
     /* 1205363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205402 */     // MIs[0] round
     /* 1205402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205412 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1205415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205437 */     // GIR_Coverage, 17034,
     /* 1205437 */     GIR_EraseRootFromParent_Done,
     /* 1205438 */   // Label 17492: @1205438
     /* 1205438 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1205518), // Rule ID 17035 //
     /* 1205443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205482 */     // MIs[0] round
     /* 1205482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205492 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1205495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205517 */     // GIR_Coverage, 17035,
     /* 1205517 */     GIR_EraseRootFromParent_Done,
     /* 1205518 */   // Label 17493: @1205518
     /* 1205518 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1205598), // Rule ID 17044 //
     /* 1205523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205562 */     // MIs[0] round
     /* 1205562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205572 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1205575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205597 */     // GIR_Coverage, 17044,
     /* 1205597 */     GIR_EraseRootFromParent_Done,
     /* 1205598 */   // Label 17494: @1205598
     /* 1205598 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1205678), // Rule ID 17045 //
     /* 1205603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1205614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1205617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205642 */     // MIs[0] round
     /* 1205642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205652 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1205655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205677 */     // GIR_Coverage, 17045,
     /* 1205677 */     GIR_EraseRootFromParent_Done,
     /* 1205678 */   // Label 17495: @1205678
     /* 1205678 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1205758), // Rule ID 17054 //
     /* 1205683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1205703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205722 */     // MIs[0] round
     /* 1205722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205732 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1205735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205757 */     // GIR_Coverage, 17054,
     /* 1205757 */     GIR_EraseRootFromParent_Done,
     /* 1205758 */   // Label 17496: @1205758
     /* 1205758 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1205838), // Rule ID 17055 //
     /* 1205763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1205783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205802 */     // MIs[0] round
     /* 1205802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205812 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1205815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205837 */     // GIR_Coverage, 17055,
     /* 1205837 */     GIR_EraseRootFromParent_Done,
     /* 1205838 */   // Label 17497: @1205838
     /* 1205838 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1205918), // Rule ID 17064 //
     /* 1205843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1205863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205882 */     // MIs[0] round
     /* 1205882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205892 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1205895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205917 */     // GIR_Coverage, 17064,
     /* 1205917 */     GIR_EraseRootFromParent_Done,
     /* 1205918 */   // Label 17498: @1205918
     /* 1205918 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1205998), // Rule ID 17065 //
     /* 1205923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1205931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1205943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205962 */     // MIs[0] round
     /* 1205962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205972 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1205975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205997 */     // GIR_Coverage, 17065,
     /* 1205997 */     GIR_EraseRootFromParent_Done,
     /* 1205998 */   // Label 17499: @1205998
     /* 1205998 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1206078), // Rule ID 17074 //
     /* 1206003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206042 */     // MIs[0] round
     /* 1206042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1206055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206077 */     // GIR_Coverage, 17074,
     /* 1206077 */     GIR_EraseRootFromParent_Done,
     /* 1206078 */   // Label 17500: @1206078
     /* 1206078 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206158), // Rule ID 17075 //
     /* 1206083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1206103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206122 */     // MIs[0] round
     /* 1206122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1206135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206157 */     // GIR_Coverage, 17075,
     /* 1206157 */     GIR_EraseRootFromParent_Done,
     /* 1206158 */   // Label 17501: @1206158
     /* 1206158 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206238), // Rule ID 17084 //
     /* 1206163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206202 */     // MIs[0] round
     /* 1206202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206212 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1206215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206237 */     // GIR_Coverage, 17084,
     /* 1206237 */     GIR_EraseRootFromParent_Done,
     /* 1206238 */   // Label 17502: @1206238
     /* 1206238 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206318), // Rule ID 17085 //
     /* 1206243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1206260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206282 */     // MIs[0] round
     /* 1206282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206292 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1206295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206317 */     // GIR_Coverage, 17085,
     /* 1206317 */     GIR_EraseRootFromParent_Done,
     /* 1206318 */   // Label 17503: @1206318
     /* 1206318 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206398), // Rule ID 17094 //
     /* 1206323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206362 */     // MIs[0] round
     /* 1206362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206372 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1206375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206397 */     // GIR_Coverage, 17094,
     /* 1206397 */     GIR_EraseRootFromParent_Done,
     /* 1206398 */   // Label 17504: @1206398
     /* 1206398 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1206478), // Rule ID 17095 //
     /* 1206403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1206414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1206417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1206420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206442 */     // MIs[0] round
     /* 1206442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206452 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1206455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206477 */     // GIR_Coverage, 17095,
     /* 1206477 */     GIR_EraseRootFromParent_Done,
     /* 1206478 */   // Label 17505: @1206478
     /* 1206478 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1206558), // Rule ID 17104 //
     /* 1206483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206522 */     // MIs[0] round
     /* 1206522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206532 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1206535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206557 */     // GIR_Coverage, 17104,
     /* 1206557 */     GIR_EraseRootFromParent_Done,
     /* 1206558 */   // Label 17506: @1206558
     /* 1206558 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1206638), // Rule ID 17105 //
     /* 1206563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1206574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1206577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206602 */     // MIs[0] round
     /* 1206602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206612 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1206615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206637 */     // GIR_Coverage, 17105,
     /* 1206637 */     GIR_EraseRootFromParent_Done,
     /* 1206638 */   // Label 17507: @1206638
     /* 1206638 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1206718), // Rule ID 17112 //
     /* 1206643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206682 */     // MIs[0] round
     /* 1206682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206692 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1206695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206717 */     // GIR_Coverage, 17112,
     /* 1206717 */     GIR_EraseRootFromParent_Done,
     /* 1206718 */   // Label 17508: @1206718
     /* 1206718 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1206798), // Rule ID 17113 //
     /* 1206723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1206734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1206737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206762 */     // MIs[0] round
     /* 1206762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1206775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206797 */     // GIR_Coverage, 17113,
     /* 1206797 */     GIR_EraseRootFromParent_Done,
     /* 1206798 */   // Label 17509: @1206798
     /* 1206798 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1206878), // Rule ID 17116 //
     /* 1206803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1206814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1206817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206842 */     // MIs[0] round
     /* 1206842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1206855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206877 */     // GIR_Coverage, 17116,
     /* 1206877 */     GIR_EraseRootFromParent_Done,
     /* 1206878 */   // Label 17510: @1206878
     /* 1206878 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1206958), // Rule ID 17117 //
     /* 1206883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1206894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1206897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206922 */     // MIs[0] round
     /* 1206922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1206935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206957 */     // GIR_Coverage, 17117,
     /* 1206957 */     GIR_EraseRootFromParent_Done,
     /* 1206958 */   // Label 17511: @1206958
     /* 1206958 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1207038), // Rule ID 17120 //
     /* 1206963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1206971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1206980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207002 */     // MIs[0] round
     /* 1207002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207012 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1207015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207037 */     // GIR_Coverage, 17120,
     /* 1207037 */     GIR_EraseRootFromParent_Done,
     /* 1207038 */   // Label 17512: @1207038
     /* 1207038 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207118), // Rule ID 17121 //
     /* 1207043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207082 */     // MIs[0] round
     /* 1207082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207092 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1207095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207117 */     // GIR_Coverage, 17121,
     /* 1207117 */     GIR_EraseRootFromParent_Done,
     /* 1207118 */   // Label 17513: @1207118
     /* 1207118 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207198), // Rule ID 17124 //
     /* 1207123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207162 */     // MIs[0] round
     /* 1207162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207172 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1207175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207197 */     // GIR_Coverage, 17124,
     /* 1207197 */     GIR_EraseRootFromParent_Done,
     /* 1207198 */   // Label 17514: @1207198
     /* 1207198 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207278), // Rule ID 17125 //
     /* 1207203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207242 */     // MIs[0] round
     /* 1207242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207252 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1207255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207277 */     // GIR_Coverage, 17125,
     /* 1207277 */     GIR_EraseRootFromParent_Done,
     /* 1207278 */   // Label 17515: @1207278
     /* 1207278 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207358), // Rule ID 17128 //
     /* 1207283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207322 */     // MIs[0] round
     /* 1207322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1207335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207357 */     // GIR_Coverage, 17128,
     /* 1207357 */     GIR_EraseRootFromParent_Done,
     /* 1207358 */   // Label 17516: @1207358
     /* 1207358 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1207438), // Rule ID 17129 //
     /* 1207363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207402 */     // MIs[0] round
     /* 1207402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207412 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1207415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207437 */     // GIR_Coverage, 17129,
     /* 1207437 */     GIR_EraseRootFromParent_Done,
     /* 1207438 */   // Label 17517: @1207438
     /* 1207438 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1207518), // Rule ID 17132 //
     /* 1207443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207482 */     // MIs[0] round
     /* 1207482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207492 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1207495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207517 */     // GIR_Coverage, 17132,
     /* 1207517 */     GIR_EraseRootFromParent_Done,
     /* 1207518 */   // Label 17518: @1207518
     /* 1207518 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1207598), // Rule ID 17133 //
     /* 1207523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1207534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1207537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1207540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207562 */     // MIs[0] round
     /* 1207562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207572 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1207575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207597 */     // GIR_Coverage, 17133,
     /* 1207597 */     GIR_EraseRootFromParent_Done,
     /* 1207598 */   // Label 17519: @1207598
     /* 1207598 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1207678), // Rule ID 17136 //
     /* 1207603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207642 */     // MIs[0] round
     /* 1207642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207652 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1207655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207677 */     // GIR_Coverage, 17136,
     /* 1207677 */     GIR_EraseRootFromParent_Done,
     /* 1207678 */   // Label 17520: @1207678
     /* 1207678 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1207758), // Rule ID 17137 //
     /* 1207683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207722 */     // MIs[0] round
     /* 1207722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207732 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1207735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207757 */     // GIR_Coverage, 17137,
     /* 1207757 */     GIR_EraseRootFromParent_Done,
     /* 1207758 */   // Label 17521: @1207758
     /* 1207758 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1207838), // Rule ID 17140 //
     /* 1207763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207802 */     // MIs[0] round
     /* 1207802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1207815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207837 */     // GIR_Coverage, 17140,
     /* 1207837 */     GIR_EraseRootFromParent_Done,
     /* 1207838 */   // Label 17522: @1207838
     /* 1207838 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1207918), // Rule ID 17141 //
     /* 1207843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207882 */     // MIs[0] round
     /* 1207882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207892 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1207895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207917 */     // GIR_Coverage, 17141,
     /* 1207917 */     GIR_EraseRootFromParent_Done,
     /* 1207918 */   // Label 17523: @1207918
     /* 1207918 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1207998), // Rule ID 17144 //
     /* 1207923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1207931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1207940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207962 */     // MIs[0] round
     /* 1207962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207972 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1207975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207997 */     // GIR_Coverage, 17144,
     /* 1207997 */     GIR_EraseRootFromParent_Done,
     /* 1207998 */   // Label 17524: @1207998
     /* 1207998 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1208078), // Rule ID 17145 //
     /* 1208003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1208011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208042 */     // MIs[0] round
     /* 1208042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208052 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1208055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208077 */     // GIR_Coverage, 17145,
     /* 1208077 */     GIR_EraseRootFromParent_Done,
     /* 1208078 */   // Label 17525: @1208078
     /* 1208078 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208158), // Rule ID 17150 //
     /* 1208083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208122 */     // MIs[0] round
     /* 1208122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208132 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1208135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208157 */     // GIR_Coverage, 17150,
     /* 1208157 */     GIR_EraseRootFromParent_Done,
     /* 1208158 */   // Label 17526: @1208158
     /* 1208158 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208238), // Rule ID 17151 //
     /* 1208163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208202 */     // MIs[0] round
     /* 1208202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208212 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1208215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208237 */     // GIR_Coverage, 17151,
     /* 1208237 */     GIR_EraseRootFromParent_Done,
     /* 1208238 */   // Label 17527: @1208238
     /* 1208238 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208318), // Rule ID 17160 //
     /* 1208243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1208263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208282 */     // MIs[0] round
     /* 1208282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1208295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208317 */     // GIR_Coverage, 17160,
     /* 1208317 */     GIR_EraseRootFromParent_Done,
     /* 1208318 */   // Label 17528: @1208318
     /* 1208318 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208398), // Rule ID 17161 //
     /* 1208323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1208343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208362 */     // MIs[0] round
     /* 1208362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1208375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208397 */     // GIR_Coverage, 17161,
     /* 1208397 */     GIR_EraseRootFromParent_Done,
     /* 1208398 */   // Label 17529: @1208398
     /* 1208398 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1208478), // Rule ID 17170 //
     /* 1208403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1208423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208442 */     // MIs[0] round
     /* 1208442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208452 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1208455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208477 */     // GIR_Coverage, 17170,
     /* 1208477 */     GIR_EraseRootFromParent_Done,
     /* 1208478 */   // Label 17530: @1208478
     /* 1208478 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1208558), // Rule ID 17171 //
     /* 1208483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1208494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1208497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1208503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208522 */     // MIs[0] round
     /* 1208522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1208535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208557 */     // GIR_Coverage, 17171,
     /* 1208557 */     GIR_EraseRootFromParent_Done,
     /* 1208558 */   // Label 17531: @1208558
     /* 1208558 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1208638), // Rule ID 17180 //
     /* 1208563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1208583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208602 */     // MIs[0] round
     /* 1208602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208612 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1208615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208637 */     // GIR_Coverage, 17180,
     /* 1208637 */     GIR_EraseRootFromParent_Done,
     /* 1208638 */   // Label 17532: @1208638
     /* 1208638 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1208718), // Rule ID 17181 //
     /* 1208643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1208654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1208657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1208663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208682 */     // MIs[0] round
     /* 1208682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208692 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1208695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208717 */     // GIR_Coverage, 17181,
     /* 1208717 */     GIR_EraseRootFromParent_Done,
     /* 1208718 */   // Label 17533: @1208718
     /* 1208718 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1208798), // Rule ID 17190 //
     /* 1208723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1208743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208762 */     // MIs[0] round
     /* 1208762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208772 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1208775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208797 */     // GIR_Coverage, 17190,
     /* 1208797 */     GIR_EraseRootFromParent_Done,
     /* 1208798 */   // Label 17534: @1208798
     /* 1208798 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1208878), // Rule ID 17191 //
     /* 1208803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1208820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1208823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208842 */     // MIs[0] round
     /* 1208842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208852 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1208855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208877 */     // GIR_Coverage, 17191,
     /* 1208877 */     GIR_EraseRootFromParent_Done,
     /* 1208878 */   // Label 17535: @1208878
     /* 1208878 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1208958), // Rule ID 17200 //
     /* 1208883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1208903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208922 */     // MIs[0] round
     /* 1208922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1208935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208957 */     // GIR_Coverage, 17200,
     /* 1208957 */     GIR_EraseRootFromParent_Done,
     /* 1208958 */   // Label 17536: @1208958
     /* 1208958 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1209038), // Rule ID 17201 //
     /* 1208963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1208971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1208983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209002 */     // MIs[0] round
     /* 1209002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1209015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209037 */     // GIR_Coverage, 17201,
     /* 1209037 */     GIR_EraseRootFromParent_Done,
     /* 1209038 */   // Label 17537: @1209038
     /* 1209038 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209118), // Rule ID 17210 //
     /* 1209043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209082 */     // MIs[0] round
     /* 1209082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1209095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209117 */     // GIR_Coverage, 17210,
     /* 1209117 */     GIR_EraseRootFromParent_Done,
     /* 1209118 */   // Label 17538: @1209118
     /* 1209118 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209198), // Rule ID 17211 //
     /* 1209123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209162 */     // MIs[0] round
     /* 1209162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1209175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209197 */     // GIR_Coverage, 17211,
     /* 1209197 */     GIR_EraseRootFromParent_Done,
     /* 1209198 */   // Label 17539: @1209198
     /* 1209198 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209278), // Rule ID 17220 //
     /* 1209203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209242 */     // MIs[0] round
     /* 1209242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209252 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1209255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209277 */     // GIR_Coverage, 17220,
     /* 1209277 */     GIR_EraseRootFromParent_Done,
     /* 1209278 */   // Label 17540: @1209278
     /* 1209278 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209358), // Rule ID 17221 //
     /* 1209283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209322 */     // MIs[0] round
     /* 1209322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209332 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1209335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209357 */     // GIR_Coverage, 17221,
     /* 1209357 */     GIR_EraseRootFromParent_Done,
     /* 1209358 */   // Label 17541: @1209358
     /* 1209358 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1209438), // Rule ID 17230 //
     /* 1209363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1209383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209402 */     // MIs[0] round
     /* 1209402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209412 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1209415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209437 */     // GIR_Coverage, 17230,
     /* 1209437 */     GIR_EraseRootFromParent_Done,
     /* 1209438 */   // Label 17542: @1209438
     /* 1209438 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1209518), // Rule ID 17231 //
     /* 1209443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1209463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209482 */     // MIs[0] round
     /* 1209482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209492 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1209495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209517 */     // GIR_Coverage, 17231,
     /* 1209517 */     GIR_EraseRootFromParent_Done,
     /* 1209518 */   // Label 17543: @1209518
     /* 1209518 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1209598), // Rule ID 17238 //
     /* 1209523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209562 */     // MIs[0] round
     /* 1209562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209572 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1209575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209597 */     // GIR_Coverage, 17238,
     /* 1209597 */     GIR_EraseRootFromParent_Done,
     /* 1209598 */   // Label 17544: @1209598
     /* 1209598 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1209678), // Rule ID 17239 //
     /* 1209603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1209614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1209617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209642 */     // MIs[0] round
     /* 1209642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209652 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1209655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209677 */     // GIR_Coverage, 17239,
     /* 1209677 */     GIR_EraseRootFromParent_Done,
     /* 1209678 */   // Label 17545: @1209678
     /* 1209678 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1209758), // Rule ID 17242 //
     /* 1209683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209722 */     // MIs[0] round
     /* 1209722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1209735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209757 */     // GIR_Coverage, 17242,
     /* 1209757 */     GIR_EraseRootFromParent_Done,
     /* 1209758 */   // Label 17546: @1209758
     /* 1209758 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1209838), // Rule ID 17243 //
     /* 1209763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209802 */     // MIs[0] round
     /* 1209802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209812 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1209815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209837 */     // GIR_Coverage, 17243,
     /* 1209837 */     GIR_EraseRootFromParent_Done,
     /* 1209838 */   // Label 17547: @1209838
     /* 1209838 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1209918), // Rule ID 17246 //
     /* 1209843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209882 */     // MIs[0] round
     /* 1209882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1209895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209917 */     // GIR_Coverage, 17246,
     /* 1209917 */     GIR_EraseRootFromParent_Done,
     /* 1209918 */   // Label 17548: @1209918
     /* 1209918 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1209998), // Rule ID 17247 //
     /* 1209923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1209931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209962 */     // MIs[0] round
     /* 1209962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209972 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1209975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209997 */     // GIR_Coverage, 17247,
     /* 1209997 */     GIR_EraseRootFromParent_Done,
     /* 1209998 */   // Label 17549: @1209998
     /* 1209998 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1210078), // Rule ID 17250 //
     /* 1210003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210042 */     // MIs[0] round
     /* 1210042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210052 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1210055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210077 */     // GIR_Coverage, 17250,
     /* 1210077 */     GIR_EraseRootFromParent_Done,
     /* 1210078 */   // Label 17550: @1210078
     /* 1210078 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210158), // Rule ID 17251 //
     /* 1210083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210122 */     // MIs[0] round
     /* 1210122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210132 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1210135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210157 */     // GIR_Coverage, 17251,
     /* 1210157 */     GIR_EraseRootFromParent_Done,
     /* 1210158 */   // Label 17551: @1210158
     /* 1210158 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210238), // Rule ID 17254 //
     /* 1210163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210202 */     // MIs[0] round
     /* 1210202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210212 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1210215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210237 */     // GIR_Coverage, 17254,
     /* 1210237 */     GIR_EraseRootFromParent_Done,
     /* 1210238 */   // Label 17552: @1210238
     /* 1210238 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210318), // Rule ID 17255 //
     /* 1210243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210282 */     // MIs[0] round
     /* 1210282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1210295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210317 */     // GIR_Coverage, 17255,
     /* 1210317 */     GIR_EraseRootFromParent_Done,
     /* 1210318 */   // Label 17553: @1210318
     /* 1210318 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210398), // Rule ID 17258 //
     /* 1210323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210362 */     // MIs[0] round
     /* 1210362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210372 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1210375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210397 */     // GIR_Coverage, 17258,
     /* 1210397 */     GIR_EraseRootFromParent_Done,
     /* 1210398 */   // Label 17554: @1210398
     /* 1210398 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1210478), // Rule ID 17259 //
     /* 1210403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210442 */     // MIs[0] round
     /* 1210442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1210455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210477 */     // GIR_Coverage, 17259,
     /* 1210477 */     GIR_EraseRootFromParent_Done,
     /* 1210478 */   // Label 17555: @1210478
     /* 1210478 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1210558), // Rule ID 17262 //
     /* 1210483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210522 */     // MIs[0] round
     /* 1210522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210532 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1210535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210557 */     // GIR_Coverage, 17262,
     /* 1210557 */     GIR_EraseRootFromParent_Done,
     /* 1210558 */   // Label 17556: @1210558
     /* 1210558 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1210638), // Rule ID 17263 //
     /* 1210563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1210574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1210577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210602 */     // MIs[0] round
     /* 1210602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210612 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1210615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210637 */     // GIR_Coverage, 17263,
     /* 1210637 */     GIR_EraseRootFromParent_Done,
     /* 1210638 */   // Label 17557: @1210638
     /* 1210638 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1210718), // Rule ID 17266 //
     /* 1210643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210682 */     // MIs[0] round
     /* 1210682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210692 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1210695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210717 */     // GIR_Coverage, 17266,
     /* 1210717 */     GIR_EraseRootFromParent_Done,
     /* 1210718 */   // Label 17558: @1210718
     /* 1210718 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1210798), // Rule ID 17267 //
     /* 1210723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1210734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1210737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210762 */     // MIs[0] round
     /* 1210762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210772 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1210775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210797 */     // GIR_Coverage, 17267,
     /* 1210797 */     GIR_EraseRootFromParent_Done,
     /* 1210798 */   // Label 17559: @1210798
     /* 1210798 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1210878), // Rule ID 17270 //
     /* 1210803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1210814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1210817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1210820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210842 */     // MIs[0] round
     /* 1210842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1210855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210877 */     // GIR_Coverage, 17270,
     /* 1210877 */     GIR_EraseRootFromParent_Done,
     /* 1210878 */   // Label 17560: @1210878
     /* 1210878 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1210958), // Rule ID 17271 //
     /* 1210883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1210891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1210894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1210897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1210900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210922 */     // MIs[0] round
     /* 1210922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210932 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1210935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210957 */     // GIR_Coverage, 17271,
     /* 1210957 */     GIR_EraseRootFromParent_Done,
     /* 1210958 */   // Label 17561: @1210958
     /* 1210958 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1211038), // Rule ID 17274 //
     /* 1210963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1210971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1210974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1210977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1210980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1210983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211002 */     // MIs[0] round
     /* 1211002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211012 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1211015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211037 */     // GIR_Coverage, 17274,
     /* 1211037 */     GIR_EraseRootFromParent_Done,
     /* 1211038 */   // Label 17562: @1211038
     /* 1211038 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211118), // Rule ID 17275 //
     /* 1211043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1211054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1211057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1211063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211082 */     // MIs[0] round
     /* 1211082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211092 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1211095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211117 */     // GIR_Coverage, 17275,
     /* 1211117 */     GIR_EraseRootFromParent_Done,
     /* 1211118 */   // Label 17563: @1211118
     /* 1211118 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211198), // Rule ID 17278 //
     /* 1211123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211162 */     // MIs[0] round
     /* 1211162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211172 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1211175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211197 */     // GIR_Coverage, 17278,
     /* 1211197 */     GIR_EraseRootFromParent_Done,
     /* 1211198 */   // Label 17564: @1211198
     /* 1211198 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211278), // Rule ID 17279 //
     /* 1211203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1211214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1211217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1211223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211242 */     // MIs[0] round
     /* 1211242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211252 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1211255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211277 */     // GIR_Coverage, 17279,
     /* 1211277 */     GIR_EraseRootFromParent_Done,
     /* 1211278 */   // Label 17565: @1211278
     /* 1211278 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211358), // Rule ID 17282 //
     /* 1211283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211322 */     // MIs[0] round
     /* 1211322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211332 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1211335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211357 */     // GIR_Coverage, 17282,
     /* 1211357 */     GIR_EraseRootFromParent_Done,
     /* 1211358 */   // Label 17566: @1211358
     /* 1211358 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1211438), // Rule ID 17283 //
     /* 1211363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1211383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211402 */     // MIs[0] round
     /* 1211402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211412 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1211415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211437 */     // GIR_Coverage, 17283,
     /* 1211437 */     GIR_EraseRootFromParent_Done,
     /* 1211438 */   // Label 17567: @1211438
     /* 1211438 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1211518), // Rule ID 17286 //
     /* 1211443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211482 */     // MIs[0] round
     /* 1211482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211492 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1211495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211517 */     // GIR_Coverage, 17286,
     /* 1211517 */     GIR_EraseRootFromParent_Done,
     /* 1211518 */   // Label 17568: @1211518
     /* 1211518 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1211598), // Rule ID 17287 //
     /* 1211523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1211534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1211537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1211540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1211543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211562 */     // MIs[0] round
     /* 1211562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211572 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1211575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211597 */     // GIR_Coverage, 17287,
     /* 1211597 */     GIR_EraseRootFromParent_Done,
     /* 1211598 */   // Label 17569: @1211598
     /* 1211598 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1211678), // Rule ID 17290 //
     /* 1211603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211642 */     // MIs[0] round
     /* 1211642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1211655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211677 */     // GIR_Coverage, 17290,
     /* 1211677 */     GIR_EraseRootFromParent_Done,
     /* 1211678 */   // Label 17570: @1211678
     /* 1211678 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1211758), // Rule ID 17291 //
     /* 1211683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211722 */     // MIs[0] round
     /* 1211722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1211735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211757 */     // GIR_Coverage, 17291,
     /* 1211757 */     GIR_EraseRootFromParent_Done,
     /* 1211758 */   // Label 17571: @1211758
     /* 1211758 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1211838), // Rule ID 17294 //
     /* 1211763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1211774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1211777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1211780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1211783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211802 */     // MIs[0] round
     /* 1211802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1211815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211837 */     // GIR_Coverage, 17294,
     /* 1211837 */     GIR_EraseRootFromParent_Done,
     /* 1211838 */   // Label 17572: @1211838
     /* 1211838 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1211918), // Rule ID 17295 //
     /* 1211843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1211854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1211857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1211860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1211863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211882 */     // MIs[0] round
     /* 1211882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211892 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1211895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211917 */     // GIR_Coverage, 17295,
     /* 1211917 */     GIR_EraseRootFromParent_Done,
     /* 1211918 */   // Label 17573: @1211918
     /* 1211918 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1211998), // Rule ID 17298 //
     /* 1211923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1211931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1211934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1211937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1211940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1211943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211962 */     // MIs[0] round
     /* 1211962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211972 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1211975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211997 */     // GIR_Coverage, 17298,
     /* 1211997 */     GIR_EraseRootFromParent_Done,
     /* 1211998 */   // Label 17574: @1211998
     /* 1211998 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1212078), // Rule ID 17299 //
     /* 1212003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1212014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1212017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212042 */     // MIs[0] round
     /* 1212042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1212055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212077 */     // GIR_Coverage, 17299,
     /* 1212077 */     GIR_EraseRootFromParent_Done,
     /* 1212078 */   // Label 17575: @1212078
     /* 1212078 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212158), // Rule ID 17302 //
     /* 1212083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212122 */     // MIs[0] round
     /* 1212122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212132 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1212135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212157 */     // GIR_Coverage, 17302,
     /* 1212157 */     GIR_EraseRootFromParent_Done,
     /* 1212158 */   // Label 17576: @1212158
     /* 1212158 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212238), // Rule ID 17303 //
     /* 1212163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1212174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1212177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1212180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1212183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212202 */     // MIs[0] round
     /* 1212202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212212 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1212215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212237 */     // GIR_Coverage, 17303,
     /* 1212237 */     GIR_EraseRootFromParent_Done,
     /* 1212238 */   // Label 17577: @1212238
     /* 1212238 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212318), // Rule ID 17306 //
     /* 1212243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212282 */     // MIs[0] round
     /* 1212282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212292 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1212295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212317 */     // GIR_Coverage, 17306,
     /* 1212317 */     GIR_EraseRootFromParent_Done,
     /* 1212318 */   // Label 17578: @1212318
     /* 1212318 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212398), // Rule ID 17307 //
     /* 1212323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1212334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1212337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1212340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1212343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212362 */     // MIs[0] round
     /* 1212362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212372 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1212375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212397 */     // GIR_Coverage, 17307,
     /* 1212397 */     GIR_EraseRootFromParent_Done,
     /* 1212398 */   // Label 17579: @1212398
     /* 1212398 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1212478), // Rule ID 17310 //
     /* 1212403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212442 */     // MIs[0] round
     /* 1212442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212452 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1212455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212477 */     // GIR_Coverage, 17310,
     /* 1212477 */     GIR_EraseRootFromParent_Done,
     /* 1212478 */   // Label 17580: @1212478
     /* 1212478 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1212558), // Rule ID 17311 //
     /* 1212483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1212500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1212503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212522 */     // MIs[0] round
     /* 1212522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1212535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212557 */     // GIR_Coverage, 17311,
     /* 1212557 */     GIR_EraseRootFromParent_Done,
     /* 1212558 */   // Label 17581: @1212558
     /* 1212558 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1212638), // Rule ID 17314 //
     /* 1212563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212602 */     // MIs[0] round
     /* 1212602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212612 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1212615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212637 */     // GIR_Coverage, 17314,
     /* 1212637 */     GIR_EraseRootFromParent_Done,
     /* 1212638 */   // Label 17582: @1212638
     /* 1212638 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1212718), // Rule ID 17315 //
     /* 1212643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1212663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212682 */     // MIs[0] round
     /* 1212682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212692 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1212695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212717 */     // GIR_Coverage, 17315,
     /* 1212717 */     GIR_EraseRootFromParent_Done,
     /* 1212718 */   // Label 17583: @1212718
     /* 1212718 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1212798), // Rule ID 17318 //
     /* 1212723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1212734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1212737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1212740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1212743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212762 */     // MIs[0] round
     /* 1212762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212772 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1212775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212797 */     // GIR_Coverage, 17318,
     /* 1212797 */     GIR_EraseRootFromParent_Done,
     /* 1212798 */   // Label 17584: @1212798
     /* 1212798 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1212878), // Rule ID 17319 //
     /* 1212803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1212814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1212817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1212820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1212823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212842 */     // MIs[0] round
     /* 1212842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212852 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1212855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212877 */     // GIR_Coverage, 17319,
     /* 1212877 */     GIR_EraseRootFromParent_Done,
     /* 1212878 */   // Label 17585: @1212878
     /* 1212878 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1212958), // Rule ID 17322 //
     /* 1212883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1212894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1212897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1212900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1212903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212922 */     // MIs[0] round
     /* 1212922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212932 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1212935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212957 */     // GIR_Coverage, 17322,
     /* 1212957 */     GIR_EraseRootFromParent_Done,
     /* 1212958 */   // Label 17586: @1212958
     /* 1212958 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1213038), // Rule ID 17323 //
     /* 1212963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1212971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1212974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1212977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1212980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1212983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213002 */     // MIs[0] round
     /* 1213002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213012 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1213015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213037 */     // GIR_Coverage, 17323,
     /* 1213037 */     GIR_EraseRootFromParent_Done,
     /* 1213038 */   // Label 17587: @1213038
     /* 1213038 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213118), // Rule ID 17326 //
     /* 1213043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213082 */     // MIs[0] round
     /* 1213082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1213095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213117 */     // GIR_Coverage, 17326,
     /* 1213117 */     GIR_EraseRootFromParent_Done,
     /* 1213118 */   // Label 17588: @1213118
     /* 1213118 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213198), // Rule ID 17327 //
     /* 1213123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1213140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1213143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213162 */     // MIs[0] round
     /* 1213162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1213175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213197 */     // GIR_Coverage, 17327,
     /* 1213197 */     GIR_EraseRootFromParent_Done,
     /* 1213198 */   // Label 17589: @1213198
     /* 1213198 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213278), // Rule ID 17330 //
     /* 1213203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213242 */     // MIs[0] round
     /* 1213242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213252 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1213255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213277 */     // GIR_Coverage, 17330,
     /* 1213277 */     GIR_EraseRootFromParent_Done,
     /* 1213278 */   // Label 17590: @1213278
     /* 1213278 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213358), // Rule ID 17331 //
     /* 1213283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1213300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1213303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213322 */     // MIs[0] round
     /* 1213322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213332 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1213335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213357 */     // GIR_Coverage, 17331,
     /* 1213357 */     GIR_EraseRootFromParent_Done,
     /* 1213358 */   // Label 17591: @1213358
     /* 1213358 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1213438), // Rule ID 17334 //
     /* 1213363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213402 */     // MIs[0] round
     /* 1213402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213412 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1213415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213437 */     // GIR_Coverage, 17334,
     /* 1213437 */     GIR_EraseRootFromParent_Done,
     /* 1213438 */   // Label 17592: @1213438
     /* 1213438 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1213518), // Rule ID 17335 //
     /* 1213443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1213454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1213457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213482 */     // MIs[0] round
     /* 1213482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213492 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1213495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213517 */     // GIR_Coverage, 17335,
     /* 1213517 */     GIR_EraseRootFromParent_Done,
     /* 1213518 */   // Label 17593: @1213518
     /* 1213518 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1213598), // Rule ID 17338 //
     /* 1213523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213562 */     // MIs[0] round
     /* 1213562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213572 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1213575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213597 */     // GIR_Coverage, 17338,
     /* 1213597 */     GIR_EraseRootFromParent_Done,
     /* 1213598 */   // Label 17594: @1213598
     /* 1213598 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1213678), // Rule ID 17339 //
     /* 1213603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1213614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1213617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1213620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213642 */     // MIs[0] round
     /* 1213642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213652 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1213655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213677 */     // GIR_Coverage, 17339,
     /* 1213677 */     GIR_EraseRootFromParent_Done,
     /* 1213678 */   // Label 17595: @1213678
     /* 1213678 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1213758), // Rule ID 17342 //
     /* 1213683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213722 */     // MIs[0] round
     /* 1213722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213732 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1213735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213757 */     // GIR_Coverage, 17342,
     /* 1213757 */     GIR_EraseRootFromParent_Done,
     /* 1213758 */   // Label 17596: @1213758
     /* 1213758 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1213838), // Rule ID 17343 //
     /* 1213763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213802 */     // MIs[0] round
     /* 1213802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213812 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1213815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213837 */     // GIR_Coverage, 17343,
     /* 1213837 */     GIR_EraseRootFromParent_Done,
     /* 1213838 */   // Label 17597: @1213838
     /* 1213838 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1213918), // Rule ID 17346 //
     /* 1213843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1213854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1213857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1213860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213882 */     // MIs[0] round
     /* 1213882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213892 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1213895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213917 */     // GIR_Coverage, 17346,
     /* 1213917 */     GIR_EraseRootFromParent_Done,
     /* 1213918 */   // Label 17598: @1213918
     /* 1213918 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1213998), // Rule ID 17347 //
     /* 1213923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1213931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1213934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1213937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1213940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213962 */     // MIs[0] round
     /* 1213962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213972 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1213975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213997 */     // GIR_Coverage, 17347,
     /* 1213997 */     GIR_EraseRootFromParent_Done,
     /* 1213998 */   // Label 17599: @1213998
     /* 1213998 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1214078), // Rule ID 17350 //
     /* 1214003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214042 */     // MIs[0] round
     /* 1214042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214052 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1214055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214077 */     // GIR_Coverage, 17350,
     /* 1214077 */     GIR_EraseRootFromParent_Done,
     /* 1214078 */   // Label 17600: @1214078
     /* 1214078 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214158), // Rule ID 17351 //
     /* 1214083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214122 */     // MIs[0] round
     /* 1214122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1214135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214157 */     // GIR_Coverage, 17351,
     /* 1214157 */     GIR_EraseRootFromParent_Done,
     /* 1214158 */   // Label 17601: @1214158
     /* 1214158 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214238), // Rule ID 17354 //
     /* 1214163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214202 */     // MIs[0] round
     /* 1214202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1214215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214237 */     // GIR_Coverage, 17354,
     /* 1214237 */     GIR_EraseRootFromParent_Done,
     /* 1214238 */   // Label 17602: @1214238
     /* 1214238 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214318), // Rule ID 17355 //
     /* 1214243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1214260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214282 */     // MIs[0] round
     /* 1214282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1214295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214317 */     // GIR_Coverage, 17355,
     /* 1214317 */     GIR_EraseRootFromParent_Done,
     /* 1214318 */   // Label 17603: @1214318
     /* 1214318 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214398), // Rule ID 17358 //
     /* 1214323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214362 */     // MIs[0] round
     /* 1214362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214372 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1214375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214397 */     // GIR_Coverage, 17358,
     /* 1214397 */     GIR_EraseRootFromParent_Done,
     /* 1214398 */   // Label 17604: @1214398
     /* 1214398 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1214478), // Rule ID 17359 //
     /* 1214403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1214414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1214417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214442 */     // MIs[0] round
     /* 1214442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214452 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1214455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214477 */     // GIR_Coverage, 17359,
     /* 1214477 */     GIR_EraseRootFromParent_Done,
     /* 1214478 */   // Label 17605: @1214478
     /* 1214478 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1214558), // Rule ID 17362 //
     /* 1214483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214522 */     // MIs[0] round
     /* 1214522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214532 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1214535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214557 */     // GIR_Coverage, 17362,
     /* 1214557 */     GIR_EraseRootFromParent_Done,
     /* 1214558 */   // Label 17606: @1214558
     /* 1214558 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1214638), // Rule ID 17363 //
     /* 1214563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1214574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1214577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214602 */     // MIs[0] round
     /* 1214602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214612 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1214615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214637 */     // GIR_Coverage, 17363,
     /* 1214637 */     GIR_EraseRootFromParent_Done,
     /* 1214638 */   // Label 17607: @1214638
     /* 1214638 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1214718), // Rule ID 17366 //
     /* 1214643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214682 */     // MIs[0] round
     /* 1214682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214692 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1214695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214717 */     // GIR_Coverage, 17366,
     /* 1214717 */     GIR_EraseRootFromParent_Done,
     /* 1214718 */   // Label 17608: @1214718
     /* 1214718 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1214798), // Rule ID 17367 //
     /* 1214723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1214734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1214737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214762 */     // MIs[0] round
     /* 1214762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214772 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1214775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214797 */     // GIR_Coverage, 17367,
     /* 1214797 */     GIR_EraseRootFromParent_Done,
     /* 1214798 */   // Label 17609: @1214798
     /* 1214798 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1214878), // Rule ID 17370 //
     /* 1214803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1214814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1214817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1214820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214842 */     // MIs[0] round
     /* 1214842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214852 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1214855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214877 */     // GIR_Coverage, 17370,
     /* 1214877 */     GIR_EraseRootFromParent_Done,
     /* 1214878 */   // Label 17610: @1214878
     /* 1214878 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1214958), // Rule ID 17371 //
     /* 1214883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1214894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1214897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1214900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214922 */     // MIs[0] round
     /* 1214922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214932 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1214935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214957 */     // GIR_Coverage, 17371,
     /* 1214957 */     GIR_EraseRootFromParent_Done,
     /* 1214958 */   // Label 17611: @1214958
     /* 1214958 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1215038), // Rule ID 17374 //
     /* 1214963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1214971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1214974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1214977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215002 */     // MIs[0] round
     /* 1215002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215012 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1215015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215037 */     // GIR_Coverage, 17374,
     /* 1215037 */     GIR_EraseRootFromParent_Done,
     /* 1215038 */   // Label 17612: @1215038
     /* 1215038 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215118), // Rule ID 17375 //
     /* 1215043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1215054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1215057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215082 */     // MIs[0] round
     /* 1215082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215092 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1215095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215117 */     // GIR_Coverage, 17375,
     /* 1215117 */     GIR_EraseRootFromParent_Done,
     /* 1215118 */   // Label 17613: @1215118
     /* 1215118 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215198), // Rule ID 17378 //
     /* 1215123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215162 */     // MIs[0] round
     /* 1215162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1215175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215197 */     // GIR_Coverage, 17378,
     /* 1215197 */     GIR_EraseRootFromParent_Done,
     /* 1215198 */   // Label 17614: @1215198
     /* 1215198 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215278), // Rule ID 17379 //
     /* 1215203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215242 */     // MIs[0] round
     /* 1215242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215252 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1215255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215277 */     // GIR_Coverage, 17379,
     /* 1215277 */     GIR_EraseRootFromParent_Done,
     /* 1215278 */   // Label 17615: @1215278
     /* 1215278 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215358), // Rule ID 17382 //
     /* 1215283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215322 */     // MIs[0] round
     /* 1215322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1215335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215357 */     // GIR_Coverage, 17382,
     /* 1215357 */     GIR_EraseRootFromParent_Done,
     /* 1215358 */   // Label 17616: @1215358
     /* 1215358 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1215438), // Rule ID 17383 //
     /* 1215363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215402 */     // MIs[0] round
     /* 1215402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1215415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215437 */     // GIR_Coverage, 17383,
     /* 1215437 */     GIR_EraseRootFromParent_Done,
     /* 1215438 */   // Label 17617: @1215438
     /* 1215438 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1215518), // Rule ID 17386 //
     /* 1215443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215482 */     // MIs[0] round
     /* 1215482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1215495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215517 */     // GIR_Coverage, 17386,
     /* 1215517 */     GIR_EraseRootFromParent_Done,
     /* 1215518 */   // Label 17618: @1215518
     /* 1215518 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1215598), // Rule ID 17387 //
     /* 1215523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215562 */     // MIs[0] round
     /* 1215562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215572 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1215575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215597 */     // GIR_Coverage, 17387,
     /* 1215597 */     GIR_EraseRootFromParent_Done,
     /* 1215598 */   // Label 17619: @1215598
     /* 1215598 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1215678), // Rule ID 17390 //
     /* 1215603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215642 */     // MIs[0] round
     /* 1215642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215652 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1215655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215677 */     // GIR_Coverage, 17390,
     /* 1215677 */     GIR_EraseRootFromParent_Done,
     /* 1215678 */   // Label 17620: @1215678
     /* 1215678 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1215758), // Rule ID 17391 //
     /* 1215683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215722 */     // MIs[0] round
     /* 1215722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1215735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215757 */     // GIR_Coverage, 17391,
     /* 1215757 */     GIR_EraseRootFromParent_Done,
     /* 1215758 */   // Label 17621: @1215758
     /* 1215758 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1215838), // Rule ID 17394 //
     /* 1215763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215802 */     // MIs[0] round
     /* 1215802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215812 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1215815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215837 */     // GIR_Coverage, 17394,
     /* 1215837 */     GIR_EraseRootFromParent_Done,
     /* 1215838 */   // Label 17622: @1215838
     /* 1215838 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1215918), // Rule ID 17395 //
     /* 1215843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215882 */     // MIs[0] round
     /* 1215882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215892 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1215895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215917 */     // GIR_Coverage, 17395,
     /* 1215917 */     GIR_EraseRootFromParent_Done,
     /* 1215918 */   // Label 17623: @1215918
     /* 1215918 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1215998), // Rule ID 17398 //
     /* 1215923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1215931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1215934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1215937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1215940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1215943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215962 */     // MIs[0] round
     /* 1215962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215972 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1215975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215997 */     // GIR_Coverage, 17398,
     /* 1215997 */     GIR_EraseRootFromParent_Done,
     /* 1215998 */   // Label 17624: @1215998
     /* 1215998 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1216078), // Rule ID 17399 //
     /* 1216003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216042 */     // MIs[0] round
     /* 1216042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1216055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216077 */     // GIR_Coverage, 17399,
     /* 1216077 */     GIR_EraseRootFromParent_Done,
     /* 1216078 */   // Label 17625: @1216078
     /* 1216078 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216158), // Rule ID 17402 //
     /* 1216083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216122 */     // MIs[0] round
     /* 1216122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216132 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1216135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216157 */     // GIR_Coverage, 17402,
     /* 1216157 */     GIR_EraseRootFromParent_Done,
     /* 1216158 */   // Label 17626: @1216158
     /* 1216158 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216238), // Rule ID 17403 //
     /* 1216163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216202 */     // MIs[0] round
     /* 1216202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216212 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1216215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216237 */     // GIR_Coverage, 17403,
     /* 1216237 */     GIR_EraseRootFromParent_Done,
     /* 1216238 */   // Label 17627: @1216238
     /* 1216238 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216318), // Rule ID 17406 //
     /* 1216243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216282 */     // MIs[0] round
     /* 1216282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1216295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216317 */     // GIR_Coverage, 17406,
     /* 1216317 */     GIR_EraseRootFromParent_Done,
     /* 1216318 */   // Label 17628: @1216318
     /* 1216318 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216398), // Rule ID 17407 //
     /* 1216323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216362 */     // MIs[0] round
     /* 1216362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216372 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1216375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216397 */     // GIR_Coverage, 17407,
     /* 1216397 */     GIR_EraseRootFromParent_Done,
     /* 1216398 */   // Label 17629: @1216398
     /* 1216398 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1216478), // Rule ID 17410 //
     /* 1216403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216442 */     // MIs[0] round
     /* 1216442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1216455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216477 */     // GIR_Coverage, 17410,
     /* 1216477 */     GIR_EraseRootFromParent_Done,
     /* 1216478 */   // Label 17630: @1216478
     /* 1216478 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1216558), // Rule ID 17411 //
     /* 1216483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216522 */     // MIs[0] round
     /* 1216522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1216535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216557 */     // GIR_Coverage, 17411,
     /* 1216557 */     GIR_EraseRootFromParent_Done,
     /* 1216558 */   // Label 17631: @1216558
     /* 1216558 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1216638), // Rule ID 17414 //
     /* 1216563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216602 */     // MIs[0] round
     /* 1216602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216612 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1216615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216637 */     // GIR_Coverage, 17414,
     /* 1216637 */     GIR_EraseRootFromParent_Done,
     /* 1216638 */   // Label 17632: @1216638
     /* 1216638 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1216718), // Rule ID 17415 //
     /* 1216643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216682 */     // MIs[0] round
     /* 1216682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216692 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1216695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216717 */     // GIR_Coverage, 17415,
     /* 1216717 */     GIR_EraseRootFromParent_Done,
     /* 1216718 */   // Label 17633: @1216718
     /* 1216718 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1216798), // Rule ID 17418 //
     /* 1216723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1216734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1216737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1216743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216762 */     // MIs[0] round
     /* 1216762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216772 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1216775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216797 */     // GIR_Coverage, 17418,
     /* 1216797 */     GIR_EraseRootFromParent_Done,
     /* 1216798 */   // Label 17634: @1216798
     /* 1216798 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1216878), // Rule ID 17419 //
     /* 1216803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1216814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1216817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1216823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216842 */     // MIs[0] round
     /* 1216842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1216855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216877 */     // GIR_Coverage, 17419,
     /* 1216877 */     GIR_EraseRootFromParent_Done,
     /* 1216878 */   // Label 17635: @1216878
     /* 1216878 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1216958), // Rule ID 17422 //
     /* 1216883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1216894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1216897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1216900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1216903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216922 */     // MIs[0] round
     /* 1216922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216932 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1216935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216957 */     // GIR_Coverage, 17422,
     /* 1216957 */     GIR_EraseRootFromParent_Done,
     /* 1216958 */   // Label 17636: @1216958
     /* 1216958 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1217038), // Rule ID 17423 //
     /* 1216963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1216971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1216974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1216977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1216980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1216983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217002 */     // MIs[0] round
     /* 1217002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217012 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1217015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217037 */     // GIR_Coverage, 17423,
     /* 1217037 */     GIR_EraseRootFromParent_Done,
     /* 1217038 */   // Label 17637: @1217038
     /* 1217038 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217118), // Rule ID 17426 //
     /* 1217043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217082 */     // MIs[0] round
     /* 1217082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217092 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1217095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217117 */     // GIR_Coverage, 17426,
     /* 1217117 */     GIR_EraseRootFromParent_Done,
     /* 1217118 */   // Label 17638: @1217118
     /* 1217118 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217198), // Rule ID 17427 //
     /* 1217123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217162 */     // MIs[0] round
     /* 1217162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217172 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1217175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217197 */     // GIR_Coverage, 17427,
     /* 1217197 */     GIR_EraseRootFromParent_Done,
     /* 1217198 */   // Label 17639: @1217198
     /* 1217198 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217278), // Rule ID 17430 //
     /* 1217203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217242 */     // MIs[0] round
     /* 1217242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1217255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217277 */     // GIR_Coverage, 17430,
     /* 1217277 */     GIR_EraseRootFromParent_Done,
     /* 1217278 */   // Label 17640: @1217278
     /* 1217278 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217358), // Rule ID 17431 //
     /* 1217283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217322 */     // MIs[0] round
     /* 1217322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217332 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1217335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217357 */     // GIR_Coverage, 17431,
     /* 1217357 */     GIR_EraseRootFromParent_Done,
     /* 1217358 */   // Label 17641: @1217358
     /* 1217358 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1217438), // Rule ID 17434 //
     /* 1217363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1217383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217402 */     // MIs[0] round
     /* 1217402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217412 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1217415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217437 */     // GIR_Coverage, 17434,
     /* 1217437 */     GIR_EraseRootFromParent_Done,
     /* 1217438 */   // Label 17642: @1217438
     /* 1217438 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1217518), // Rule ID 17435 //
     /* 1217443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1217463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217482 */     // MIs[0] round
     /* 1217482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217492 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1217495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217517 */     // GIR_Coverage, 17435,
     /* 1217517 */     GIR_EraseRootFromParent_Done,
     /* 1217518 */   // Label 17643: @1217518
     /* 1217518 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1217598), // Rule ID 17438 //
     /* 1217523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1217543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217562 */     // MIs[0] round
     /* 1217562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217572 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1217575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217597 */     // GIR_Coverage, 17438,
     /* 1217597 */     GIR_EraseRootFromParent_Done,
     /* 1217598 */   // Label 17644: @1217598
     /* 1217598 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1217678), // Rule ID 17439 //
     /* 1217603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1217623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217642 */     // MIs[0] round
     /* 1217642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1217655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217677 */     // GIR_Coverage, 17439,
     /* 1217677 */     GIR_EraseRootFromParent_Done,
     /* 1217678 */   // Label 17645: @1217678
     /* 1217678 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1217758), // Rule ID 17442 //
     /* 1217683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1217703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217722 */     // MIs[0] round
     /* 1217722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217732 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1217735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217757 */     // GIR_Coverage, 17442,
     /* 1217757 */     GIR_EraseRootFromParent_Done,
     /* 1217758 */   // Label 17646: @1217758
     /* 1217758 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1217838), // Rule ID 17443 //
     /* 1217763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1217783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217802 */     // MIs[0] round
     /* 1217802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217812 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1217815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217837 */     // GIR_Coverage, 17443,
     /* 1217837 */     GIR_EraseRootFromParent_Done,
     /* 1217838 */   // Label 17647: @1217838
     /* 1217838 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1217918), // Rule ID 17446 //
     /* 1217843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1217854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1217857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1217860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1217863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217882 */     // MIs[0] round
     /* 1217882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217892 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1217895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217917 */     // GIR_Coverage, 17446,
     /* 1217917 */     GIR_EraseRootFromParent_Done,
     /* 1217918 */   // Label 17648: @1217918
     /* 1217918 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1217998), // Rule ID 17447 //
     /* 1217923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1217931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1217934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1217937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1217940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1217943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217962 */     // MIs[0] round
     /* 1217962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217972 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1217975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217997 */     // GIR_Coverage, 17447,
     /* 1217997 */     GIR_EraseRootFromParent_Done,
     /* 1217998 */   // Label 17649: @1217998
     /* 1217998 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1218078), // Rule ID 17450 //
     /* 1218003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218042 */     // MIs[0] round
     /* 1218042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218052 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1218055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218077 */     // GIR_Coverage, 17450,
     /* 1218077 */     GIR_EraseRootFromParent_Done,
     /* 1218078 */   // Label 17650: @1218078
     /* 1218078 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218158), // Rule ID 17451 //
     /* 1218083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218122 */     // MIs[0] round
     /* 1218122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218132 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1218135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218157 */     // GIR_Coverage, 17451,
     /* 1218157 */     GIR_EraseRootFromParent_Done,
     /* 1218158 */   // Label 17651: @1218158
     /* 1218158 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218238), // Rule ID 17454 //
     /* 1218163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218202 */     // MIs[0] round
     /* 1218202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218212 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1218215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218237 */     // GIR_Coverage, 17454,
     /* 1218237 */     GIR_EraseRootFromParent_Done,
     /* 1218238 */   // Label 17652: @1218238
     /* 1218238 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218318), // Rule ID 17455 //
     /* 1218243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218282 */     // MIs[0] round
     /* 1218282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1218295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218317 */     // GIR_Coverage, 17455,
     /* 1218317 */     GIR_EraseRootFromParent_Done,
     /* 1218318 */   // Label 17653: @1218318
     /* 1218318 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218398), // Rule ID 17458 //
     /* 1218323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1218334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1218337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218362 */     // MIs[0] round
     /* 1218362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218372 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1218375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218397 */     // GIR_Coverage, 17458,
     /* 1218397 */     GIR_EraseRootFromParent_Done,
     /* 1218398 */   // Label 17654: @1218398
     /* 1218398 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1218478), // Rule ID 17459 //
     /* 1218403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1218414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1218417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218442 */     // MIs[0] round
     /* 1218442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218452 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1218455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218477 */     // GIR_Coverage, 17459,
     /* 1218477 */     GIR_EraseRootFromParent_Done,
     /* 1218478 */   // Label 17655: @1218478
     /* 1218478 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1218558), // Rule ID 17462 //
     /* 1218483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218522 */     // MIs[0] round
     /* 1218522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218532 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1218535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218557 */     // GIR_Coverage, 17462,
     /* 1218557 */     GIR_EraseRootFromParent_Done,
     /* 1218558 */   // Label 17656: @1218558
     /* 1218558 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1218638), // Rule ID 17463 //
     /* 1218563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218602 */     // MIs[0] round
     /* 1218602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218612 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1218615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218637 */     // GIR_Coverage, 17463,
     /* 1218637 */     GIR_EraseRootFromParent_Done,
     /* 1218638 */   // Label 17657: @1218638
     /* 1218638 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1218718), // Rule ID 17466 //
     /* 1218643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218682 */     // MIs[0] round
     /* 1218682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1218695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218717 */     // GIR_Coverage, 17466,
     /* 1218717 */     GIR_EraseRootFromParent_Done,
     /* 1218718 */   // Label 17658: @1218718
     /* 1218718 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1218798), // Rule ID 17467 //
     /* 1218723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218762 */     // MIs[0] round
     /* 1218762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218772 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1218775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218797 */     // GIR_Coverage, 17467,
     /* 1218797 */     GIR_EraseRootFromParent_Done,
     /* 1218798 */   // Label 17659: @1218798
     /* 1218798 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1218878), // Rule ID 17470 //
     /* 1218803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218842 */     // MIs[0] round
     /* 1218842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1218855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218877 */     // GIR_Coverage, 17470,
     /* 1218877 */     GIR_EraseRootFromParent_Done,
     /* 1218878 */   // Label 17660: @1218878
     /* 1218878 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1218958), // Rule ID 17471 //
     /* 1218883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218922 */     // MIs[0] round
     /* 1218922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1218935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218957 */     // GIR_Coverage, 17471,
     /* 1218957 */     GIR_EraseRootFromParent_Done,
     /* 1218958 */   // Label 17661: @1218958
     /* 1218958 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1219038), // Rule ID 17474 //
     /* 1218963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1218971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1218974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1218977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1218980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219002 */     // MIs[0] round
     /* 1219002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1219015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219037 */     // GIR_Coverage, 17474,
     /* 1219037 */     GIR_EraseRootFromParent_Done,
     /* 1219038 */   // Label 17662: @1219038
     /* 1219038 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219118), // Rule ID 17475 //
     /* 1219043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1219046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1219060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219082 */     // MIs[0] round
     /* 1219082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219092 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1219095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219117 */     // GIR_Coverage, 17475,
     /* 1219117 */     GIR_EraseRootFromParent_Done,
     /* 1219118 */   // Label 17663: @1219118
     /* 1219118 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219198), // Rule ID 17478 //
     /* 1219123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219162 */     // MIs[0] round
     /* 1219162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219172 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1219175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219197 */     // GIR_Coverage, 17478,
     /* 1219197 */     GIR_EraseRootFromParent_Done,
     /* 1219198 */   // Label 17664: @1219198
     /* 1219198 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219278), // Rule ID 17479 //
     /* 1219203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219242 */     // MIs[0] round
     /* 1219242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219252 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1219255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219277 */     // GIR_Coverage, 17479,
     /* 1219277 */     GIR_EraseRootFromParent_Done,
     /* 1219278 */   // Label 17665: @1219278
     /* 1219278 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219358), // Rule ID 17482 //
     /* 1219283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1219294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1219297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219322 */     // MIs[0] round
     /* 1219322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219332 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1219335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219357 */     // GIR_Coverage, 17482,
     /* 1219357 */     GIR_EraseRootFromParent_Done,
     /* 1219358 */   // Label 17666: @1219358
     /* 1219358 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1219438), // Rule ID 17483 //
     /* 1219363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1219374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1219377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219402 */     // MIs[0] round
     /* 1219402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219412 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1219415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219437 */     // GIR_Coverage, 17483,
     /* 1219437 */     GIR_EraseRootFromParent_Done,
     /* 1219438 */   // Label 17667: @1219438
     /* 1219438 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1219518), // Rule ID 17486 //
     /* 1219443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1219454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1219457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1219460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219482 */     // MIs[0] round
     /* 1219482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219492 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1219495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219517 */     // GIR_Coverage, 17486,
     /* 1219517 */     GIR_EraseRootFromParent_Done,
     /* 1219518 */   // Label 17668: @1219518
     /* 1219518 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1219598), // Rule ID 17487 //
     /* 1219523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1219534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1219537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1219540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219562 */     // MIs[0] round
     /* 1219562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219572 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1219575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219597 */     // GIR_Coverage, 17487,
     /* 1219597 */     GIR_EraseRootFromParent_Done,
     /* 1219598 */   // Label 17669: @1219598
     /* 1219598 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1219678), // Rule ID 17490 //
     /* 1219603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219642 */     // MIs[0] round
     /* 1219642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219652 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1219655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219677 */     // GIR_Coverage, 17490,
     /* 1219677 */     GIR_EraseRootFromParent_Done,
     /* 1219678 */   // Label 17670: @1219678
     /* 1219678 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1219758), // Rule ID 17491 //
     /* 1219683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219722 */     // MIs[0] round
     /* 1219722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219732 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1219735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219757 */     // GIR_Coverage, 17491,
     /* 1219757 */     GIR_EraseRootFromParent_Done,
     /* 1219758 */   // Label 17671: @1219758
     /* 1219758 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1219838), // Rule ID 17494 //
     /* 1219763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219802 */     // MIs[0] round
     /* 1219802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219812 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1219815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219837 */     // GIR_Coverage, 17494,
     /* 1219837 */     GIR_EraseRootFromParent_Done,
     /* 1219838 */   // Label 17672: @1219838
     /* 1219838 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1219918), // Rule ID 17495 //
     /* 1219843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219882 */     // MIs[0] round
     /* 1219882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219892 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1219895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219917 */     // GIR_Coverage, 17495,
     /* 1219917 */     GIR_EraseRootFromParent_Done,
     /* 1219918 */   // Label 17673: @1219918
     /* 1219918 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1219998), // Rule ID 17498 //
     /* 1219923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1219931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1219940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219962 */     // MIs[0] round
     /* 1219962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219972 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1219975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219997 */     // GIR_Coverage, 17498,
     /* 1219997 */     GIR_EraseRootFromParent_Done,
     /* 1219998 */   // Label 17674: @1219998
     /* 1219998 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1220078), // Rule ID 17499 //
     /* 1220003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1220020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220042 */     // MIs[0] round
     /* 1220042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220052 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1220055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220077 */     // GIR_Coverage, 17499,
     /* 1220077 */     GIR_EraseRootFromParent_Done,
     /* 1220078 */   // Label 17675: @1220078
     /* 1220078 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220158), // Rule ID 17502 //
     /* 1220083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220122 */     // MIs[0] round
     /* 1220122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220132 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1220135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220157 */     // GIR_Coverage, 17502,
     /* 1220157 */     GIR_EraseRootFromParent_Done,
     /* 1220158 */   // Label 17676: @1220158
     /* 1220158 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220238), // Rule ID 17503 //
     /* 1220163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220202 */     // MIs[0] round
     /* 1220202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220212 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1220215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220237 */     // GIR_Coverage, 17503,
     /* 1220237 */     GIR_EraseRootFromParent_Done,
     /* 1220238 */   // Label 17677: @1220238
     /* 1220238 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220318), // Rule ID 17506 //
     /* 1220243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1220260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220282 */     // MIs[0] round
     /* 1220282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220292 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1220295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220317 */     // GIR_Coverage, 17506,
     /* 1220317 */     GIR_EraseRootFromParent_Done,
     /* 1220318 */   // Label 17678: @1220318
     /* 1220318 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1220398), // Rule ID 17507 //
     /* 1220323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1220340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220362 */     // MIs[0] round
     /* 1220362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220372 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1220375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220397 */     // GIR_Coverage, 17507,
     /* 1220397 */     GIR_EraseRootFromParent_Done,
     /* 1220398 */   // Label 17679: @1220398
     /* 1220398 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1220478), // Rule ID 17510 //
     /* 1220403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1220420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220442 */     // MIs[0] round
     /* 1220442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220452 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1220455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220477 */     // GIR_Coverage, 17510,
     /* 1220477 */     GIR_EraseRootFromParent_Done,
     /* 1220478 */   // Label 17680: @1220478
     /* 1220478 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1220558), // Rule ID 17511 //
     /* 1220483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1220500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220522 */     // MIs[0] round
     /* 1220522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220532 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11136:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1220535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220557 */     // GIR_Coverage, 17511,
     /* 1220557 */     GIR_EraseRootFromParent_Done,
     /* 1220558 */   // Label 17681: @1220558
     /* 1220558 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1220638), // Rule ID 17514 //
     /* 1220563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1220574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1220577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220602 */     // MIs[0] round
     /* 1220602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220612 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1220615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220637 */     // GIR_Coverage, 17514,
     /* 1220637 */     GIR_EraseRootFromParent_Done,
     /* 1220638 */   // Label 17682: @1220638
     /* 1220638 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1220718), // Rule ID 17515 //
     /* 1220643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1220654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1220657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220682 */     // MIs[0] round
     /* 1220682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220692 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1220695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220717 */     // GIR_Coverage, 17515,
     /* 1220717 */     GIR_EraseRootFromParent_Done,
     /* 1220718 */   // Label 17683: @1220718
     /* 1220718 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1220798), // Rule ID 17518 //
     /* 1220723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1220734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1220737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220762 */     // MIs[0] round
     /* 1220762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220772 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1220775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220797 */     // GIR_Coverage, 17518,
     /* 1220797 */     GIR_EraseRootFromParent_Done,
     /* 1220798 */   // Label 17684: @1220798
     /* 1220798 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1220878), // Rule ID 17519 //
     /* 1220803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1220814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1220817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1220823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1220842 */     // MIs[0] round
     /* 1220842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1220855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220877 */     // GIR_Coverage, 17519,
     /* 1220877 */     GIR_EraseRootFromParent_Done,
     /* 1220878 */   // Label 17685: @1220878
     /* 1220878 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1220958), // Rule ID 17522 //
     /* 1220883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1220894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1220897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220922 */     // MIs[0] round
     /* 1220922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220932 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1220935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220957 */     // GIR_Coverage, 17522,
     /* 1220957 */     GIR_EraseRootFromParent_Done,
     /* 1220958 */   // Label 17686: @1220958
     /* 1220958 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1221038), // Rule ID 17523 //
     /* 1220963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1220971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1220974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1220977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221002 */     // MIs[0] round
     /* 1221002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221012 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1221015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221037 */     // GIR_Coverage, 17523,
     /* 1221037 */     GIR_EraseRootFromParent_Done,
     /* 1221038 */   // Label 17687: @1221038
     /* 1221038 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221118), // Rule ID 17526 //
     /* 1221043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221082 */     // MIs[0] round
     /* 1221082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1221095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221117 */     // GIR_Coverage, 17526,
     /* 1221117 */     GIR_EraseRootFromParent_Done,
     /* 1221118 */   // Label 17688: @1221118
     /* 1221118 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221198), // Rule ID 17527 //
     /* 1221123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221162 */     // MIs[0] round
     /* 1221162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221172 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1221175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221197 */     // GIR_Coverage, 17527,
     /* 1221197 */     GIR_EraseRootFromParent_Done,
     /* 1221198 */   // Label 17689: @1221198
     /* 1221198 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221278), // Rule ID 17530 //
     /* 1221203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221242 */     // MIs[0] round
     /* 1221242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1221255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221277 */     // GIR_Coverage, 17530,
     /* 1221277 */     GIR_EraseRootFromParent_Done,
     /* 1221278 */   // Label 17690: @1221278
     /* 1221278 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221358), // Rule ID 17531 //
     /* 1221283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1221322 */     // MIs[0] round
     /* 1221322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1221335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221357 */     // GIR_Coverage, 17531,
     /* 1221357 */     GIR_EraseRootFromParent_Done,
     /* 1221358 */   // Label 17691: @1221358
     /* 1221358 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1221438), // Rule ID 17534 //
     /* 1221363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1221402 */     // MIs[0] round
     /* 1221402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221412 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1221415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221437 */     // GIR_Coverage, 17534,
     /* 1221437 */     GIR_EraseRootFromParent_Done,
     /* 1221438 */   // Label 17692: @1221438
     /* 1221438 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1221518), // Rule ID 17535 //
     /* 1221443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1221446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1221482 */     // MIs[0] round
     /* 1221482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221492 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1221495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221517 */     // GIR_Coverage, 17535,
     /* 1221517 */     GIR_EraseRootFromParent_Done,
     /* 1221518 */   // Label 17693: @1221518
     /* 1221518 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1221598), // Rule ID 17538 //
     /* 1221523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221562 */     // MIs[0] round
     /* 1221562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221572 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1221575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221597 */     // GIR_Coverage, 17538,
     /* 1221597 */     GIR_EraseRootFromParent_Done,
     /* 1221598 */   // Label 17694: @1221598
     /* 1221598 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1221678), // Rule ID 17539 //
     /* 1221603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221642 */     // MIs[0] round
     /* 1221642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221652 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1221655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221677 */     // GIR_Coverage, 17539,
     /* 1221677 */     GIR_EraseRootFromParent_Done,
     /* 1221678 */   // Label 17695: @1221678
     /* 1221678 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1221758), // Rule ID 17542 //
     /* 1221683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221722 */     // MIs[0] round
     /* 1221722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221732 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1221735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221757 */     // GIR_Coverage, 17542,
     /* 1221757 */     GIR_EraseRootFromParent_Done,
     /* 1221758 */   // Label 17696: @1221758
     /* 1221758 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1221838), // Rule ID 17543 //
     /* 1221763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221802 */     // MIs[0] round
     /* 1221802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221812 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1221815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221837 */     // GIR_Coverage, 17543,
     /* 1221837 */     GIR_EraseRootFromParent_Done,
     /* 1221838 */   // Label 17697: @1221838
     /* 1221838 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1221918), // Rule ID 17546 //
     /* 1221843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1221854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1221857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221882 */     // MIs[0] round
     /* 1221882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221892 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1221895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221917 */     // GIR_Coverage, 17546,
     /* 1221917 */     GIR_EraseRootFromParent_Done,
     /* 1221918 */   // Label 17698: @1221918
     /* 1221918 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1221998), // Rule ID 17547 //
     /* 1221923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1221931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1221934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1221937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1221943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1221962 */     // MIs[0] round
     /* 1221962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221972 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1221975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221997 */     // GIR_Coverage, 17547,
     /* 1221997 */     GIR_EraseRootFromParent_Done,
     /* 1221998 */   // Label 17699: @1221998
     /* 1221998 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1222078), // Rule ID 17550 //
     /* 1222003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222042 */     // MIs[0] round
     /* 1222042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1222055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222077 */     // GIR_Coverage, 17550,
     /* 1222077 */     GIR_EraseRootFromParent_Done,
     /* 1222078 */   // Label 17700: @1222078
     /* 1222078 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222158), // Rule ID 17551 //
     /* 1222083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222122 */     // MIs[0] round
     /* 1222122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222132 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1222135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222157 */     // GIR_Coverage, 17551,
     /* 1222157 */     GIR_EraseRootFromParent_Done,
     /* 1222158 */   // Label 17701: @1222158
     /* 1222158 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222238), // Rule ID 17554 //
     /* 1222163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222202 */     // MIs[0] round
     /* 1222202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222212 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1222215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222237 */     // GIR_Coverage, 17554,
     /* 1222237 */     GIR_EraseRootFromParent_Done,
     /* 1222238 */   // Label 17702: @1222238
     /* 1222238 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222318), // Rule ID 17555 //
     /* 1222243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222282 */     // MIs[0] round
     /* 1222282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1222295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222317 */     // GIR_Coverage, 17555,
     /* 1222317 */     GIR_EraseRootFromParent_Done,
     /* 1222318 */   // Label 17703: @1222318
     /* 1222318 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1222398), // Rule ID 17558 //
     /* 1222323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1222334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1222337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222362 */     // MIs[0] round
     /* 1222362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222372 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1222375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222397 */     // GIR_Coverage, 17558,
     /* 1222397 */     GIR_EraseRootFromParent_Done,
     /* 1222398 */   // Label 17704: @1222398
     /* 1222398 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1222478), // Rule ID 17559 //
     /* 1222403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1222414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1222417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1222442 */     // MIs[0] round
     /* 1222442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222452 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1222455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222477 */     // GIR_Coverage, 17559,
     /* 1222477 */     GIR_EraseRootFromParent_Done,
     /* 1222478 */   // Label 17705: @1222478
     /* 1222478 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1222558), // Rule ID 17562 //
     /* 1222483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222522 */     // MIs[0] round
     /* 1222522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222532 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1222535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222557 */     // GIR_Coverage, 17562,
     /* 1222557 */     GIR_EraseRootFromParent_Done,
     /* 1222558 */   // Label 17706: @1222558
     /* 1222558 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1222638), // Rule ID 17563 //
     /* 1222563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222602 */     // MIs[0] round
     /* 1222602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222612 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1222615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222637 */     // GIR_Coverage, 17563,
     /* 1222637 */     GIR_EraseRootFromParent_Done,
     /* 1222638 */   // Label 17707: @1222638
     /* 1222638 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1222718), // Rule ID 17566 //
     /* 1222643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222682 */     // MIs[0] round
     /* 1222682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222692 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1222695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222717 */     // GIR_Coverage, 17566,
     /* 1222717 */     GIR_EraseRootFromParent_Done,
     /* 1222718 */   // Label 17708: @1222718
     /* 1222718 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1222798), // Rule ID 17567 //
     /* 1222723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222762 */     // MIs[0] round
     /* 1222762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222772 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1222775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222797 */     // GIR_Coverage, 17567,
     /* 1222797 */     GIR_EraseRootFromParent_Done,
     /* 1222798 */   // Label 17709: @1222798
     /* 1222798 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1222878), // Rule ID 17570 //
     /* 1222803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1222814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1222817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222842 */     // MIs[0] round
     /* 1222842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1222855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222877 */     // GIR_Coverage, 17570,
     /* 1222877 */     GIR_EraseRootFromParent_Done,
     /* 1222878 */   // Label 17710: @1222878
     /* 1222878 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1222958), // Rule ID 17571 //
     /* 1222883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1222891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1222894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1222897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1222922 */     // MIs[0] round
     /* 1222922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222932 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1222935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222957 */     // GIR_Coverage, 17571,
     /* 1222957 */     GIR_EraseRootFromParent_Done,
     /* 1222958 */   // Label 17711: @1222958
     /* 1222958 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1223038), // Rule ID 17574 //
     /* 1222963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1222966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1222971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1222974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1222977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1222980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1222983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223002 */     // MIs[0] round
     /* 1223002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223012 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1223015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223037 */     // GIR_Coverage, 17574,
     /* 1223037 */     GIR_EraseRootFromParent_Done,
     /* 1223038 */   // Label 17712: @1223038
     /* 1223038 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223118), // Rule ID 17575 //
     /* 1223043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1223054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1223057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1223063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223082 */     // MIs[0] round
     /* 1223082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1223095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223117 */     // GIR_Coverage, 17575,
     /* 1223117 */     GIR_EraseRootFromParent_Done,
     /* 1223118 */   // Label 17713: @1223118
     /* 1223118 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223198), // Rule ID 17578 //
     /* 1223123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1223143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223162 */     // MIs[0] round
     /* 1223162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1223175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223197 */     // GIR_Coverage, 17578,
     /* 1223197 */     GIR_EraseRootFromParent_Done,
     /* 1223198 */   // Label 17714: @1223198
     /* 1223198 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223278), // Rule ID 17579 //
     /* 1223203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1223223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223242 */     // MIs[0] round
     /* 1223242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1223255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223277 */     // GIR_Coverage, 17579,
     /* 1223277 */     GIR_EraseRootFromParent_Done,
     /* 1223278 */   // Label 17715: @1223278
     /* 1223278 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1223358), // Rule ID 17582 //
     /* 1223283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1223294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1223297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223322 */     // MIs[0] round
     /* 1223322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223332 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1223335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223357 */     // GIR_Coverage, 17582,
     /* 1223357 */     GIR_EraseRootFromParent_Done,
     /* 1223358 */   // Label 17716: @1223358
     /* 1223358 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1223438), // Rule ID 17583 //
     /* 1223363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1223374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1223377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223402 */     // MIs[0] round
     /* 1223402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223412 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1223415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223437 */     // GIR_Coverage, 17583,
     /* 1223437 */     GIR_EraseRootFromParent_Done,
     /* 1223438 */   // Label 17717: @1223438
     /* 1223438 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1223518), // Rule ID 17586 //
     /* 1223443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1223454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1223457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1223463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223482 */     // MIs[0] round
     /* 1223482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223492 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1223495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223517 */     // GIR_Coverage, 17586,
     /* 1223517 */     GIR_EraseRootFromParent_Done,
     /* 1223518 */   // Label 17718: @1223518
     /* 1223518 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1223598), // Rule ID 17587 //
     /* 1223523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1223534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1223537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1223543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223562 */     // MIs[0] round
     /* 1223562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223572 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1223575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223597 */     // GIR_Coverage, 17587,
     /* 1223597 */     GIR_EraseRootFromParent_Done,
     /* 1223598 */   // Label 17719: @1223598
     /* 1223598 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1223678), // Rule ID 17590 //
     /* 1223603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1223606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1223614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1223617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1223623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223642 */     // MIs[0] round
     /* 1223642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1223655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223677 */     // GIR_Coverage, 17590,
     /* 1223677 */     GIR_EraseRootFromParent_Done,
     /* 1223678 */   // Label 17720: @1223678
     /* 1223678 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1223758), // Rule ID 17591 //
     /* 1223683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1223686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1223694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1223697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1223703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223722 */     // MIs[0] round
     /* 1223722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223732 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1223735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223757 */     // GIR_Coverage, 17591,
     /* 1223757 */     GIR_EraseRootFromParent_Done,
     /* 1223758 */   // Label 17721: @1223758
     /* 1223758 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1223838), // Rule ID 17594 //
     /* 1223763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1223766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1223783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223802 */     // MIs[0] round
     /* 1223802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1223815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223837 */     // GIR_Coverage, 17594,
     /* 1223837 */     GIR_EraseRootFromParent_Done,
     /* 1223838 */   // Label 17722: @1223838
     /* 1223838 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1223918), // Rule ID 17595 //
     /* 1223843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1223846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1223863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223882 */     // MIs[0] round
     /* 1223882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223892 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1223895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223917 */     // GIR_Coverage, 17595,
     /* 1223917 */     GIR_EraseRootFromParent_Done,
     /* 1223918 */   // Label 17723: @1223918
     /* 1223918 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1223998), // Rule ID 17598 //
     /* 1223923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1223926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1223931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1223934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1223937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223962 */     // MIs[0] round
     /* 1223962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223972 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1223975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223997 */     // GIR_Coverage, 17598,
     /* 1223997 */     GIR_EraseRootFromParent_Done,
     /* 1223998 */   // Label 17724: @1223998
     /* 1223998 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1224078), // Rule ID 17599 //
     /* 1224003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1224014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1224017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224042 */     // MIs[0] round
     /* 1224042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1224055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224077 */     // GIR_Coverage, 17599,
     /* 1224077 */     GIR_EraseRootFromParent_Done,
     /* 1224078 */   // Label 17725: @1224078
     /* 1224078 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224158), // Rule ID 17602 //
     /* 1224083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1224094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1224097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1224103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224122 */     // MIs[0] round
     /* 1224122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224132 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1224135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224157 */     // GIR_Coverage, 17602,
     /* 1224157 */     GIR_EraseRootFromParent_Done,
     /* 1224158 */   // Label 17726: @1224158
     /* 1224158 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224238), // Rule ID 17603 //
     /* 1224163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1224174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1224177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1224183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224202 */     // MIs[0] round
     /* 1224202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224212 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1224215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224237 */     // GIR_Coverage, 17603,
     /* 1224237 */     GIR_EraseRootFromParent_Done,
     /* 1224238 */   // Label 17727: @1224238
     /* 1224238 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224318), // Rule ID 17606 //
     /* 1224243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1224246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1224254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1224257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1224263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224282 */     // MIs[0] round
     /* 1224282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224292 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1224295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224317 */     // GIR_Coverage, 17606,
     /* 1224317 */     GIR_EraseRootFromParent_Done,
     /* 1224318 */   // Label 17728: @1224318
     /* 1224318 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1224398), // Rule ID 17607 //
     /* 1224323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1224326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1224334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1224337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1224343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224362 */     // MIs[0] round
     /* 1224362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224372 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1224375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224397 */     // GIR_Coverage, 17607,
     /* 1224397 */     GIR_EraseRootFromParent_Done,
     /* 1224398 */   // Label 17729: @1224398
     /* 1224398 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1224478), // Rule ID 17610 //
     /* 1224403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1224414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1224417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224442 */     // MIs[0] round
     /* 1224442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1224455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224477 */     // GIR_Coverage, 17610,
     /* 1224477 */     GIR_EraseRootFromParent_Done,
     /* 1224478 */   // Label 17730: @1224478
     /* 1224478 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1224558), // Rule ID 17611 //
     /* 1224483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1224494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1224497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224522 */     // MIs[0] round
     /* 1224522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224532 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1224535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224557 */     // GIR_Coverage, 17611,
     /* 1224557 */     GIR_EraseRootFromParent_Done,
     /* 1224558 */   // Label 17731: @1224558
     /* 1224558 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1224638), // Rule ID 17614 //
     /* 1224563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224602 */     // MIs[0] round
     /* 1224602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224612 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1224615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224637 */     // GIR_Coverage, 17614,
     /* 1224637 */     GIR_EraseRootFromParent_Done,
     /* 1224638 */   // Label 17732: @1224638
     /* 1224638 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1224718), // Rule ID 17615 //
     /* 1224643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224682 */     // MIs[0] round
     /* 1224682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11240:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1224695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224717 */     // GIR_Coverage, 17615,
     /* 1224717 */     GIR_EraseRootFromParent_Done,
     /* 1224718 */   // Label 17733: @1224718
     /* 1224718 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1224798), // Rule ID 17618 //
     /* 1224723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1224734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1224737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224762 */     // MIs[0] round
     /* 1224762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224772 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1224775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224797 */     // GIR_Coverage, 17618,
     /* 1224797 */     GIR_EraseRootFromParent_Done,
     /* 1224798 */   // Label 17734: @1224798
     /* 1224798 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1224878), // Rule ID 17619 //
     /* 1224803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1224814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1224817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1224820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224842 */     // MIs[0] round
     /* 1224842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224852 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1224855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224877 */     // GIR_Coverage, 17619,
     /* 1224877 */     GIR_EraseRootFromParent_Done,
     /* 1224878 */   // Label 17735: @1224878
     /* 1224878 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1224958), // Rule ID 17622 //
     /* 1224883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1224886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1224894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1224897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224922 */     // MIs[0] round
     /* 1224922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1224935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224957 */     // GIR_Coverage, 17622,
     /* 1224957 */     GIR_EraseRootFromParent_Done,
     /* 1224958 */   // Label 17736: @1224958
     /* 1224958 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1225038), // Rule ID 17623 //
     /* 1224963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1224966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1224971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1224974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1224977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225002 */     // MIs[0] round
     /* 1225002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225012 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1225015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225037 */     // GIR_Coverage, 17623,
     /* 1225037 */     GIR_EraseRootFromParent_Done,
     /* 1225038 */   // Label 17737: @1225038
     /* 1225038 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225118), // Rule ID 17626 //
     /* 1225043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1225046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1225054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1225057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225082 */     // MIs[0] round
     /* 1225082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225092 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1225095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225117 */     // GIR_Coverage, 17626,
     /* 1225117 */     GIR_EraseRootFromParent_Done,
     /* 1225118 */   // Label 17738: @1225118
     /* 1225118 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225198), // Rule ID 17627 //
     /* 1225123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1225126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1225134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1225137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225162 */     // MIs[0] round
     /* 1225162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1225175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225197 */     // GIR_Coverage, 17627,
     /* 1225197 */     GIR_EraseRootFromParent_Done,
     /* 1225198 */   // Label 17739: @1225198
     /* 1225198 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225278), // Rule ID 17630 //
     /* 1225203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225242 */     // MIs[0] round
     /* 1225242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1225255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225277 */     // GIR_Coverage, 17630,
     /* 1225277 */     GIR_EraseRootFromParent_Done,
     /* 1225278 */   // Label 17740: @1225278
     /* 1225278 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1225358), // Rule ID 17631 //
     /* 1225283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225322 */     // MIs[0] round
     /* 1225322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11240:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1225335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225357 */     // GIR_Coverage, 17631,
     /* 1225357 */     GIR_EraseRootFromParent_Done,
     /* 1225358 */   // Label 17741: @1225358
     /* 1225358 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1225438), // Rule ID 17634 //
     /* 1225363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1225374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1225377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225402 */     // MIs[0] round
     /* 1225402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1225415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225437 */     // GIR_Coverage, 17634,
     /* 1225437 */     GIR_EraseRootFromParent_Done,
     /* 1225438 */   // Label 17742: @1225438
     /* 1225438 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1225518), // Rule ID 17635 //
     /* 1225443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1225454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1225457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225482 */     // MIs[0] round
     /* 1225482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225492 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11240:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1225495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225517 */     // GIR_Coverage, 17635,
     /* 1225517 */     GIR_EraseRootFromParent_Done,
     /* 1225518 */   // Label 17743: @1225518
     /* 1225518 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1225598), // Rule ID 17638 //
     /* 1225523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1225534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1225537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225562 */     // MIs[0] round
     /* 1225562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225572 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1225575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225597 */     // GIR_Coverage, 17638,
     /* 1225597 */     GIR_EraseRootFromParent_Done,
     /* 1225598 */   // Label 17744: @1225598
     /* 1225598 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1225678), // Rule ID 17639 //
     /* 1225603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1225614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1225617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225642 */     // MIs[0] round
     /* 1225642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11240:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1225655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225677 */     // GIR_Coverage, 17639,
     /* 1225677 */     GIR_EraseRootFromParent_Done,
     /* 1225678 */   // Label 17745: @1225678
     /* 1225678 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1225758), // Rule ID 17642 //
     /* 1225683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1225686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1225694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1225697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225722 */     // MIs[0] round
     /* 1225722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1225735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225757 */     // GIR_Coverage, 17642,
     /* 1225757 */     GIR_EraseRootFromParent_Done,
     /* 1225758 */   // Label 17746: @1225758
     /* 1225758 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1225838), // Rule ID 17643 //
     /* 1225763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1225766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1225771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1225774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1225777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1225780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225802 */     // MIs[0] round
     /* 1225802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225812 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11240:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1225815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225837 */     // GIR_Coverage, 17643,
     /* 1225837 */     GIR_EraseRootFromParent_Done,
     /* 1225838 */   // Label 17747: @1225838
     /* 1225838 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1225918), // Rule ID 22720 //
     /* 1225843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1225851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225882 */     // MIs[0] round
     /* 1225882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225892 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1225895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225917 */     // GIR_Coverage, 22720,
     /* 1225917 */     GIR_EraseRootFromParent_Done,
     /* 1225918 */   // Label 17748: @1225918
     /* 1225918 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1225998), // Rule ID 22721 //
     /* 1225923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1225931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225962 */     // MIs[0] round
     /* 1225962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225972 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1225975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225997 */     // GIR_Coverage, 22721,
     /* 1225997 */     GIR_EraseRootFromParent_Done,
     /* 1225998 */   // Label 17749: @1225998
     /* 1225998 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1226078), // Rule ID 22724 //
     /* 1226003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226042 */     // MIs[0] round
     /* 1226042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226052 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1226055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226077 */     // GIR_Coverage, 22724,
     /* 1226077 */     GIR_EraseRootFromParent_Done,
     /* 1226078 */   // Label 17750: @1226078
     /* 1226078 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226158), // Rule ID 22725 //
     /* 1226083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226122 */     // MIs[0] round
     /* 1226122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1226135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226157 */     // GIR_Coverage, 22725,
     /* 1226157 */     GIR_EraseRootFromParent_Done,
     /* 1226158 */   // Label 17751: @1226158
     /* 1226158 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226238), // Rule ID 22728 //
     /* 1226163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226202 */     // MIs[0] round
     /* 1226202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1226215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226237 */     // GIR_Coverage, 22728,
     /* 1226237 */     GIR_EraseRootFromParent_Done,
     /* 1226238 */   // Label 17752: @1226238
     /* 1226238 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1226318), // Rule ID 22729 //
     /* 1226243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226282 */     // MIs[0] round
     /* 1226282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1226295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226317 */     // GIR_Coverage, 22729,
     /* 1226317 */     GIR_EraseRootFromParent_Done,
     /* 1226318 */   // Label 17753: @1226318
     /* 1226318 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1226398), // Rule ID 22732 //
     /* 1226323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226362 */     // MIs[0] round
     /* 1226362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1226375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226397 */     // GIR_Coverage, 22732,
     /* 1226397 */     GIR_EraseRootFromParent_Done,
     /* 1226398 */   // Label 17754: @1226398
     /* 1226398 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1226478), // Rule ID 22733 //
     /* 1226403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226442 */     // MIs[0] round
     /* 1226442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1226455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226477 */     // GIR_Coverage, 22733,
     /* 1226477 */     GIR_EraseRootFromParent_Done,
     /* 1226478 */   // Label 17755: @1226478
     /* 1226478 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1226558), // Rule ID 22736 //
     /* 1226483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1226500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226522 */     // MIs[0] round
     /* 1226522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226532 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1226535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226557 */     // GIR_Coverage, 22736,
     /* 1226557 */     GIR_EraseRootFromParent_Done,
     /* 1226558 */   // Label 17756: @1226558
     /* 1226558 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1226638), // Rule ID 22737 //
     /* 1226563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1226580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226602 */     // MIs[0] round
     /* 1226602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226612 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1226615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226637 */     // GIR_Coverage, 22737,
     /* 1226637 */     GIR_EraseRootFromParent_Done,
     /* 1226638 */   // Label 17757: @1226638
     /* 1226638 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1226718), // Rule ID 22740 //
     /* 1226643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226682 */     // MIs[0] round
     /* 1226682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1226695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226717 */     // GIR_Coverage, 22740,
     /* 1226717 */     GIR_EraseRootFromParent_Done,
     /* 1226718 */   // Label 17758: @1226718
     /* 1226718 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1226798), // Rule ID 22741 //
     /* 1226723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226762 */     // MIs[0] round
     /* 1226762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226772 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1226775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226797 */     // GIR_Coverage, 22741,
     /* 1226797 */     GIR_EraseRootFromParent_Done,
     /* 1226798 */   // Label 17759: @1226798
     /* 1226798 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1226878), // Rule ID 22744 //
     /* 1226803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226842 */     // MIs[0] round
     /* 1226842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226852 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1226855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226877 */     // GIR_Coverage, 22744,
     /* 1226877 */     GIR_EraseRootFromParent_Done,
     /* 1226878 */   // Label 17760: @1226878
     /* 1226878 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1226958), // Rule ID 22745 //
     /* 1226883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226922 */     // MIs[0] round
     /* 1226922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1226935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226957 */     // GIR_Coverage, 22745,
     /* 1226957 */     GIR_EraseRootFromParent_Done,
     /* 1226958 */   // Label 17761: @1226958
     /* 1226958 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1227038), // Rule ID 22748 //
     /* 1226963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1226971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1226980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227002 */     // MIs[0] round
     /* 1227002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1227015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227037 */     // GIR_Coverage, 22748,
     /* 1227037 */     GIR_EraseRootFromParent_Done,
     /* 1227038 */   // Label 17762: @1227038
     /* 1227038 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227118), // Rule ID 22749 //
     /* 1227043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1227054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1227057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227082 */     // MIs[0] round
     /* 1227082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1227095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227117 */     // GIR_Coverage, 22749,
     /* 1227117 */     GIR_EraseRootFromParent_Done,
     /* 1227118 */   // Label 17763: @1227118
     /* 1227118 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227198), // Rule ID 22752 //
     /* 1227123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227162 */     // MIs[0] round
     /* 1227162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1227175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227197 */     // GIR_Coverage, 22752,
     /* 1227197 */     GIR_EraseRootFromParent_Done,
     /* 1227198 */   // Label 17764: @1227198
     /* 1227198 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227278), // Rule ID 22753 //
     /* 1227203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227242 */     // MIs[0] round
     /* 1227242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1227255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227277 */     // GIR_Coverage, 22753,
     /* 1227277 */     GIR_EraseRootFromParent_Done,
     /* 1227278 */   // Label 17765: @1227278
     /* 1227278 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1227358), // Rule ID 22756 //
     /* 1227283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227322 */     // MIs[0] round
     /* 1227322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1227335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227357 */     // GIR_Coverage, 22756,
     /* 1227357 */     GIR_EraseRootFromParent_Done,
     /* 1227358 */   // Label 17766: @1227358
     /* 1227358 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1227438), // Rule ID 22757 //
     /* 1227363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227402 */     // MIs[0] round
     /* 1227402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227412 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1227415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227437 */     // GIR_Coverage, 22757,
     /* 1227437 */     GIR_EraseRootFromParent_Done,
     /* 1227438 */   // Label 17767: @1227438
     /* 1227438 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1227518), // Rule ID 22760 //
     /* 1227443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227482 */     // MIs[0] round
     /* 1227482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227492 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1227495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227517 */     // GIR_Coverage, 22760,
     /* 1227517 */     GIR_EraseRootFromParent_Done,
     /* 1227518 */   // Label 17768: @1227518
     /* 1227518 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1227598), // Rule ID 22761 //
     /* 1227523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227562 */     // MIs[0] round
     /* 1227562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227572 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1227575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227597 */     // GIR_Coverage, 22761,
     /* 1227597 */     GIR_EraseRootFromParent_Done,
     /* 1227598 */   // Label 17769: @1227598
     /* 1227598 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1227678), // Rule ID 22764 //
     /* 1227603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227642 */     // MIs[0] round
     /* 1227642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1227655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227677 */     // GIR_Coverage, 22764,
     /* 1227677 */     GIR_EraseRootFromParent_Done,
     /* 1227678 */   // Label 17770: @1227678
     /* 1227678 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1227758), // Rule ID 22765 //
     /* 1227683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227722 */     // MIs[0] round
     /* 1227722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1227735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227757 */     // GIR_Coverage, 22765,
     /* 1227757 */     GIR_EraseRootFromParent_Done,
     /* 1227758 */   // Label 17771: @1227758
     /* 1227758 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1227838), // Rule ID 22768 //
     /* 1227763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227802 */     // MIs[0] round
     /* 1227802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1227815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227837 */     // GIR_Coverage, 22768,
     /* 1227837 */     GIR_EraseRootFromParent_Done,
     /* 1227838 */   // Label 17772: @1227838
     /* 1227838 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1227918), // Rule ID 22769 //
     /* 1227843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227882 */     // MIs[0] round
     /* 1227882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227892 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1227895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227917 */     // GIR_Coverage, 22769,
     /* 1227917 */     GIR_EraseRootFromParent_Done,
     /* 1227918 */   // Label 17773: @1227918
     /* 1227918 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1227998), // Rule ID 22772 //
     /* 1227923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1227931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1227940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227962 */     // MIs[0] round
     /* 1227962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1227975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227997 */     // GIR_Coverage, 22772,
     /* 1227997 */     GIR_EraseRootFromParent_Done,
     /* 1227998 */   // Label 17774: @1227998
     /* 1227998 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1228078), // Rule ID 22773 //
     /* 1228003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1228011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1228020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228042 */     // MIs[0] round
     /* 1228042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1228055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228077 */     // GIR_Coverage, 22773,
     /* 1228077 */     GIR_EraseRootFromParent_Done,
     /* 1228078 */   // Label 17775: @1228078
     /* 1228078 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228158), // Rule ID 22776 //
     /* 1228083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228122 */     // MIs[0] round
     /* 1228122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1228135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228157 */     // GIR_Coverage, 22776,
     /* 1228157 */     GIR_EraseRootFromParent_Done,
     /* 1228158 */   // Label 17776: @1228158
     /* 1228158 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228238), // Rule ID 22777 //
     /* 1228163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228202 */     // MIs[0] round
     /* 1228202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1228215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228237 */     // GIR_Coverage, 22777,
     /* 1228237 */     GIR_EraseRootFromParent_Done,
     /* 1228238 */   // Label 17777: @1228238
     /* 1228238 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1228318), // Rule ID 22780 //
     /* 1228243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228282 */     // MIs[0] round
     /* 1228282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1228295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228317 */     // GIR_Coverage, 22780,
     /* 1228317 */     GIR_EraseRootFromParent_Done,
     /* 1228318 */   // Label 17778: @1228318
     /* 1228318 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1228398), // Rule ID 22781 //
     /* 1228323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228362 */     // MIs[0] round
     /* 1228362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228372 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1228375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228397 */     // GIR_Coverage, 22781,
     /* 1228397 */     GIR_EraseRootFromParent_Done,
     /* 1228398 */   // Label 17779: @1228398
     /* 1228398 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1228478), // Rule ID 22784 //
     /* 1228403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228442 */     // MIs[0] round
     /* 1228442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1228455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228477 */     // GIR_Coverage, 22784,
     /* 1228477 */     GIR_EraseRootFromParent_Done,
     /* 1228478 */   // Label 17780: @1228478
     /* 1228478 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1228558), // Rule ID 22785 //
     /* 1228483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228522 */     // MIs[0] round
     /* 1228522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1228535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228557 */     // GIR_Coverage, 22785,
     /* 1228557 */     GIR_EraseRootFromParent_Done,
     /* 1228558 */   // Label 17781: @1228558
     /* 1228558 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1228638), // Rule ID 22788 //
     /* 1228563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228602 */     // MIs[0] round
     /* 1228602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228612 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1228615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228637 */     // GIR_Coverage, 22788,
     /* 1228637 */     GIR_EraseRootFromParent_Done,
     /* 1228638 */   // Label 17782: @1228638
     /* 1228638 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1228718), // Rule ID 22789 //
     /* 1228643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1228654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1228657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228682 */     // MIs[0] round
     /* 1228682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1228695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228717 */     // GIR_Coverage, 22789,
     /* 1228717 */     GIR_EraseRootFromParent_Done,
     /* 1228718 */   // Label 17783: @1228718
     /* 1228718 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1228798), // Rule ID 22792 //
     /* 1228723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228762 */     // MIs[0] round
     /* 1228762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1228775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228797 */     // GIR_Coverage, 22792,
     /* 1228797 */     GIR_EraseRootFromParent_Done,
     /* 1228798 */   // Label 17784: @1228798
     /* 1228798 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1228878), // Rule ID 22793 //
     /* 1228803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228842 */     // MIs[0] round
     /* 1228842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1228855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228877 */     // GIR_Coverage, 22793,
     /* 1228877 */     GIR_EraseRootFromParent_Done,
     /* 1228878 */   // Label 17785: @1228878
     /* 1228878 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1228958), // Rule ID 22796 //
     /* 1228883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1228886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1228900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228922 */     // MIs[0] round
     /* 1228922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1228935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228957 */     // GIR_Coverage, 22796,
     /* 1228957 */     GIR_EraseRootFromParent_Done,
     /* 1228958 */   // Label 17786: @1228958
     /* 1228958 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1229038), // Rule ID 22797 //
     /* 1228963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1228971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1228980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229002 */     // MIs[0] round
     /* 1229002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1229015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229037 */     // GIR_Coverage, 22797,
     /* 1229037 */     GIR_EraseRootFromParent_Done,
     /* 1229038 */   // Label 17787: @1229038
     /* 1229038 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229118), // Rule ID 22800 //
     /* 1229043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229082 */     // MIs[0] round
     /* 1229082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1229095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229117 */     // GIR_Coverage, 22800,
     /* 1229117 */     GIR_EraseRootFromParent_Done,
     /* 1229118 */   // Label 17788: @1229118
     /* 1229118 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229198), // Rule ID 22801 //
     /* 1229123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229162 */     // MIs[0] round
     /* 1229162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229172 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1229175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229197 */     // GIR_Coverage, 22801,
     /* 1229197 */     GIR_EraseRootFromParent_Done,
     /* 1229198 */   // Label 17789: @1229198
     /* 1229198 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1229278), // Rule ID 22804 //
     /* 1229203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229242 */     // MIs[0] round
     /* 1229242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229252 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1229255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229277 */     // GIR_Coverage, 22804,
     /* 1229277 */     GIR_EraseRootFromParent_Done,
     /* 1229278 */   // Label 17790: @1229278
     /* 1229278 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1229358), // Rule ID 22805 //
     /* 1229283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229322 */     // MIs[0] round
     /* 1229322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229332 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1229335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229357 */     // GIR_Coverage, 22805,
     /* 1229357 */     GIR_EraseRootFromParent_Done,
     /* 1229358 */   // Label 17791: @1229358
     /* 1229358 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1229438), // Rule ID 22808 //
     /* 1229363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229402 */     // MIs[0] round
     /* 1229402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229412 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1229415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229437 */     // GIR_Coverage, 22808,
     /* 1229437 */     GIR_EraseRootFromParent_Done,
     /* 1229438 */   // Label 17792: @1229438
     /* 1229438 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1229518), // Rule ID 22809 //
     /* 1229443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1229454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1229457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1229460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1229463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229482 */     // MIs[0] round
     /* 1229482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229492 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1229495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229517 */     // GIR_Coverage, 22809,
     /* 1229517 */     GIR_EraseRootFromParent_Done,
     /* 1229518 */   // Label 17793: @1229518
     /* 1229518 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1229598), // Rule ID 22812 //
     /* 1229523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229562 */     // MIs[0] round
     /* 1229562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229572 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1229575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229597 */     // GIR_Coverage, 22812,
     /* 1229597 */     GIR_EraseRootFromParent_Done,
     /* 1229598 */   // Label 17794: @1229598
     /* 1229598 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1229678), // Rule ID 22813 //
     /* 1229603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229642 */     // MIs[0] round
     /* 1229642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1229655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229677 */     // GIR_Coverage, 22813,
     /* 1229677 */     GIR_EraseRootFromParent_Done,
     /* 1229678 */   // Label 17795: @1229678
     /* 1229678 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1229758), // Rule ID 22816 //
     /* 1229683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229722 */     // MIs[0] round
     /* 1229722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1229735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229757 */     // GIR_Coverage, 22816,
     /* 1229757 */     GIR_EraseRootFromParent_Done,
     /* 1229758 */   // Label 17796: @1229758
     /* 1229758 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1229838), // Rule ID 22817 //
     /* 1229763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229802 */     // MIs[0] round
     /* 1229802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229812 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1229815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229837 */     // GIR_Coverage, 22817,
     /* 1229837 */     GIR_EraseRootFromParent_Done,
     /* 1229838 */   // Label 17797: @1229838
     /* 1229838 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1229918), // Rule ID 22820 //
     /* 1229843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229882 */     // MIs[0] round
     /* 1229882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229892 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1229895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229917 */     // GIR_Coverage, 22820,
     /* 1229917 */     GIR_EraseRootFromParent_Done,
     /* 1229918 */   // Label 17798: @1229918
     /* 1229918 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1229998), // Rule ID 22821 //
     /* 1229923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1229931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1229943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229962 */     // MIs[0] round
     /* 1229962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229972 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1229975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1229979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229997 */     // GIR_Coverage, 22821,
     /* 1229997 */     GIR_EraseRootFromParent_Done,
     /* 1229998 */   // Label 17799: @1229998
     /* 1229998 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1230078), // Rule ID 22824 //
     /* 1230003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1230020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230042 */     // MIs[0] round
     /* 1230042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1230055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230077 */     // GIR_Coverage, 22824,
     /* 1230077 */     GIR_EraseRootFromParent_Done,
     /* 1230078 */   // Label 17800: @1230078
     /* 1230078 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230158), // Rule ID 22825 //
     /* 1230083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1230100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230122 */     // MIs[0] round
     /* 1230122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1230135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230157 */     // GIR_Coverage, 22825,
     /* 1230157 */     GIR_EraseRootFromParent_Done,
     /* 1230158 */   // Label 17801: @1230158
     /* 1230158 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230238), // Rule ID 22828 //
     /* 1230163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1230180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230202 */     // MIs[0] round
     /* 1230202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1230215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230237 */     // GIR_Coverage, 22828,
     /* 1230237 */     GIR_EraseRootFromParent_Done,
     /* 1230238 */   // Label 17802: @1230238
     /* 1230238 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1230318), // Rule ID 22829 //
     /* 1230243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1230260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230282 */     // MIs[0] round
     /* 1230282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1230295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230317 */     // GIR_Coverage, 22829,
     /* 1230317 */     GIR_EraseRootFromParent_Done,
     /* 1230318 */   // Label 17803: @1230318
     /* 1230318 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1230398), // Rule ID 22832 //
     /* 1230323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1230340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230362 */     // MIs[0] round
     /* 1230362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230372 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1230375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230397 */     // GIR_Coverage, 22832,
     /* 1230397 */     GIR_EraseRootFromParent_Done,
     /* 1230398 */   // Label 17804: @1230398
     /* 1230398 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1230478), // Rule ID 22833 //
     /* 1230403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1230411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1230420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230442 */     // MIs[0] round
     /* 1230442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1230455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230477 */     // GIR_Coverage, 22833,
     /* 1230477 */     GIR_EraseRootFromParent_Done,
     /* 1230478 */   // Label 17805: @1230478
     /* 1230478 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1230558), // Rule ID 22956 //
     /* 1230483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1230500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230522 */     // MIs[0] round
     /* 1230522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1230535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230557 */     // GIR_Coverage, 22956,
     /* 1230557 */     GIR_EraseRootFromParent_Done,
     /* 1230558 */   // Label 17806: @1230558
     /* 1230558 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1230638), // Rule ID 22957 //
     /* 1230563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1230580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230602 */     // MIs[0] round
     /* 1230602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230612 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1230615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230637 */     // GIR_Coverage, 22957,
     /* 1230637 */     GIR_EraseRootFromParent_Done,
     /* 1230638 */   // Label 17807: @1230638
     /* 1230638 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1230718), // Rule ID 22960 //
     /* 1230643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230682 */     // MIs[0] round
     /* 1230682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1230695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230717 */     // GIR_Coverage, 22960,
     /* 1230717 */     GIR_EraseRootFromParent_Done,
     /* 1230718 */   // Label 17808: @1230718
     /* 1230718 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1230798), // Rule ID 22961 //
     /* 1230723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230762 */     // MIs[0] round
     /* 1230762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1230775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230797 */     // GIR_Coverage, 22961,
     /* 1230797 */     GIR_EraseRootFromParent_Done,
     /* 1230798 */   // Label 17809: @1230798
     /* 1230798 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1230878), // Rule ID 22964 //
     /* 1230803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230842 */     // MIs[0] round
     /* 1230842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1230855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230877 */     // GIR_Coverage, 22964,
     /* 1230877 */     GIR_EraseRootFromParent_Done,
     /* 1230878 */   // Label 17810: @1230878
     /* 1230878 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1230958), // Rule ID 22965 //
     /* 1230883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1230903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230922 */     // MIs[0] round
     /* 1230922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1230935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230957 */     // GIR_Coverage, 22965,
     /* 1230957 */     GIR_EraseRootFromParent_Done,
     /* 1230958 */   // Label 17811: @1230958
     /* 1230958 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1231038), // Rule ID 22968 //
     /* 1230963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1230971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1230980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231002 */     // MIs[0] round
     /* 1231002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231012 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1231015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231037 */     // GIR_Coverage, 22968,
     /* 1231037 */     GIR_EraseRootFromParent_Done,
     /* 1231038 */   // Label 17812: @1231038
     /* 1231038 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231118), // Rule ID 22969 //
     /* 1231043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231082 */     // MIs[0] round
     /* 1231082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231092 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1231095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231117 */     // GIR_Coverage, 22969,
     /* 1231117 */     GIR_EraseRootFromParent_Done,
     /* 1231118 */   // Label 17813: @1231118
     /* 1231118 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231198), // Rule ID 22972 //
     /* 1231123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231162 */     // MIs[0] round
     /* 1231162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231172 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1231175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231197 */     // GIR_Coverage, 22972,
     /* 1231197 */     GIR_EraseRootFromParent_Done,
     /* 1231198 */   // Label 17814: @1231198
     /* 1231198 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1231278), // Rule ID 22973 //
     /* 1231203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231242 */     // MIs[0] round
     /* 1231242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1231255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231277 */     // GIR_Coverage, 22973,
     /* 1231277 */     GIR_EraseRootFromParent_Done,
     /* 1231278 */   // Label 17815: @1231278
     /* 1231278 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1231358), // Rule ID 22976 //
     /* 1231283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231322 */     // MIs[0] round
     /* 1231322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1231335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231357 */     // GIR_Coverage, 22976,
     /* 1231357 */     GIR_EraseRootFromParent_Done,
     /* 1231358 */   // Label 17816: @1231358
     /* 1231358 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1231438), // Rule ID 22977 //
     /* 1231363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231402 */     // MIs[0] round
     /* 1231402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231412 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1231415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231437 */     // GIR_Coverage, 22977,
     /* 1231437 */     GIR_EraseRootFromParent_Done,
     /* 1231438 */   // Label 17817: @1231438
     /* 1231438 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1231518), // Rule ID 22980 //
     /* 1231443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231482 */     // MIs[0] round
     /* 1231482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231492 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1231495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231517 */     // GIR_Coverage, 22980,
     /* 1231517 */     GIR_EraseRootFromParent_Done,
     /* 1231518 */   // Label 17818: @1231518
     /* 1231518 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1231598), // Rule ID 22981 //
     /* 1231523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231562 */     // MIs[0] round
     /* 1231562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231572 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1231575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231597 */     // GIR_Coverage, 22981,
     /* 1231597 */     GIR_EraseRootFromParent_Done,
     /* 1231598 */   // Label 17819: @1231598
     /* 1231598 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1231678), // Rule ID 22984 //
     /* 1231603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231642 */     // MIs[0] round
     /* 1231642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1231655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231677 */     // GIR_Coverage, 22984,
     /* 1231677 */     GIR_EraseRootFromParent_Done,
     /* 1231678 */   // Label 17820: @1231678
     /* 1231678 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1231758), // Rule ID 22985 //
     /* 1231683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231722 */     // MIs[0] round
     /* 1231722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1231735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231757 */     // GIR_Coverage, 22985,
     /* 1231757 */     GIR_EraseRootFromParent_Done,
     /* 1231758 */   // Label 17821: @1231758
     /* 1231758 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1231838), // Rule ID 22988 //
     /* 1231763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231802 */     // MIs[0] round
     /* 1231802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1231815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231837 */     // GIR_Coverage, 22988,
     /* 1231837 */     GIR_EraseRootFromParent_Done,
     /* 1231838 */   // Label 17822: @1231838
     /* 1231838 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1231918), // Rule ID 22989 //
     /* 1231843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231882 */     // MIs[0] round
     /* 1231882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231892 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1231895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231917 */     // GIR_Coverage, 22989,
     /* 1231917 */     GIR_EraseRootFromParent_Done,
     /* 1231918 */   // Label 17823: @1231918
     /* 1231918 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1231998), // Rule ID 22992 //
     /* 1231923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1231931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231962 */     // MIs[0] round
     /* 1231962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1231975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231997 */     // GIR_Coverage, 22992,
     /* 1231997 */     GIR_EraseRootFromParent_Done,
     /* 1231998 */   // Label 17824: @1231998
     /* 1231998 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1232078), // Rule ID 22993 //
     /* 1232003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232042 */     // MIs[0] round
     /* 1232042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1232055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232077 */     // GIR_Coverage, 22993,
     /* 1232077 */     GIR_EraseRootFromParent_Done,
     /* 1232078 */   // Label 17825: @1232078
     /* 1232078 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232158), // Rule ID 22996 //
     /* 1232083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232122 */     // MIs[0] round
     /* 1232122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1232135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232157 */     // GIR_Coverage, 22996,
     /* 1232157 */     GIR_EraseRootFromParent_Done,
     /* 1232158 */   // Label 17826: @1232158
     /* 1232158 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1232238), // Rule ID 22997 //
     /* 1232163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1232171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232202 */     // MIs[0] round
     /* 1232202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1232215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232237 */     // GIR_Coverage, 22997,
     /* 1232237 */     GIR_EraseRootFromParent_Done,
     /* 1232238 */   // Label 17827: @1232238
     /* 1232238 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1232318), // Rule ID 23000 //
     /* 1232243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232282 */     // MIs[0] round
     /* 1232282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1232295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232317 */     // GIR_Coverage, 23000,
     /* 1232317 */     GIR_EraseRootFromParent_Done,
     /* 1232318 */   // Label 17828: @1232318
     /* 1232318 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1232398), // Rule ID 23001 //
     /* 1232323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232362 */     // MIs[0] round
     /* 1232362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1232375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232397 */     // GIR_Coverage, 23001,
     /* 1232397 */     GIR_EraseRootFromParent_Done,
     /* 1232398 */   // Label 17829: @1232398
     /* 1232398 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1232478), // Rule ID 23004 //
     /* 1232403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232442 */     // MIs[0] round
     /* 1232442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1232455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232477 */     // GIR_Coverage, 23004,
     /* 1232477 */     GIR_EraseRootFromParent_Done,
     /* 1232478 */   // Label 17830: @1232478
     /* 1232478 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1232558), // Rule ID 23005 //
     /* 1232483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232522 */     // MIs[0] round
     /* 1232522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1232535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232557 */     // GIR_Coverage, 23005,
     /* 1232557 */     GIR_EraseRootFromParent_Done,
     /* 1232558 */   // Label 17831: @1232558
     /* 1232558 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1232638), // Rule ID 23008 //
     /* 1232563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232602 */     // MIs[0] round
     /* 1232602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232612 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1232615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232637 */     // GIR_Coverage, 23008,
     /* 1232637 */     GIR_EraseRootFromParent_Done,
     /* 1232638 */   // Label 17832: @1232638
     /* 1232638 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1232718), // Rule ID 23009 //
     /* 1232643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232682 */     // MIs[0] round
     /* 1232682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232692 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1232695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232717 */     // GIR_Coverage, 23009,
     /* 1232717 */     GIR_EraseRootFromParent_Done,
     /* 1232718 */   // Label 17833: @1232718
     /* 1232718 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1232798), // Rule ID 23012 //
     /* 1232723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232762 */     // MIs[0] round
     /* 1232762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1232775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232797 */     // GIR_Coverage, 23012,
     /* 1232797 */     GIR_EraseRootFromParent_Done,
     /* 1232798 */   // Label 17834: @1232798
     /* 1232798 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1232878), // Rule ID 23013 //
     /* 1232803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232842 */     // MIs[0] round
     /* 1232842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1232855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232877 */     // GIR_Coverage, 23013,
     /* 1232877 */     GIR_EraseRootFromParent_Done,
     /* 1232878 */   // Label 17835: @1232878
     /* 1232878 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1232958), // Rule ID 23016 //
     /* 1232883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232922 */     // MIs[0] round
     /* 1232922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1232935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232957 */     // GIR_Coverage, 23016,
     /* 1232957 */     GIR_EraseRootFromParent_Done,
     /* 1232958 */   // Label 17836: @1232958
     /* 1232958 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1233038), // Rule ID 23017 //
     /* 1232963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1232971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233002 */     // MIs[0] round
     /* 1233002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1233015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233037 */     // GIR_Coverage, 23017,
     /* 1233037 */     GIR_EraseRootFromParent_Done,
     /* 1233038 */   // Label 17837: @1233038
     /* 1233038 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233118), // Rule ID 23020 //
     /* 1233043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233082 */     // MIs[0] round
     /* 1233082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233092 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1233095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233117 */     // GIR_Coverage, 23020,
     /* 1233117 */     GIR_EraseRootFromParent_Done,
     /* 1233118 */   // Label 17838: @1233118
     /* 1233118 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233198), // Rule ID 23021 //
     /* 1233123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233162 */     // MIs[0] round
     /* 1233162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1233175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233197 */     // GIR_Coverage, 23021,
     /* 1233197 */     GIR_EraseRootFromParent_Done,
     /* 1233198 */   // Label 17839: @1233198
     /* 1233198 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1233278), // Rule ID 23024 //
     /* 1233203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233242 */     // MIs[0] round
     /* 1233242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1233255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233277 */     // GIR_Coverage, 23024,
     /* 1233277 */     GIR_EraseRootFromParent_Done,
     /* 1233278 */   // Label 17840: @1233278
     /* 1233278 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1233358), // Rule ID 23025 //
     /* 1233283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233322 */     // MIs[0] round
     /* 1233322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1233335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233357 */     // GIR_Coverage, 23025,
     /* 1233357 */     GIR_EraseRootFromParent_Done,
     /* 1233358 */   // Label 17841: @1233358
     /* 1233358 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1233438), // Rule ID 23028 //
     /* 1233363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1233380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233402 */     // MIs[0] round
     /* 1233402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233412 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1233415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233437 */     // GIR_Coverage, 23028,
     /* 1233437 */     GIR_EraseRootFromParent_Done,
     /* 1233438 */   // Label 17842: @1233438
     /* 1233438 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1233518), // Rule ID 23029 //
     /* 1233443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1233460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233482 */     // MIs[0] round
     /* 1233482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233492 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1233495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233517 */     // GIR_Coverage, 23029,
     /* 1233517 */     GIR_EraseRootFromParent_Done,
     /* 1233518 */   // Label 17843: @1233518
     /* 1233518 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1233598), // Rule ID 23032 //
     /* 1233523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1233540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233562 */     // MIs[0] round
     /* 1233562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233572 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1233575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233597 */     // GIR_Coverage, 23032,
     /* 1233597 */     GIR_EraseRootFromParent_Done,
     /* 1233598 */   // Label 17844: @1233598
     /* 1233598 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1233678), // Rule ID 23033 //
     /* 1233603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1233620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233642 */     // MIs[0] round
     /* 1233642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1233655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233677 */     // GIR_Coverage, 23033,
     /* 1233677 */     GIR_EraseRootFromParent_Done,
     /* 1233678 */   // Label 17845: @1233678
     /* 1233678 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1233758), // Rule ID 23036 //
     /* 1233683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233722 */     // MIs[0] round
     /* 1233722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1233735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233757 */     // GIR_Coverage, 23036,
     /* 1233757 */     GIR_EraseRootFromParent_Done,
     /* 1233758 */   // Label 17846: @1233758
     /* 1233758 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1233838), // Rule ID 23037 //
     /* 1233763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233802 */     // MIs[0] round
     /* 1233802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1233815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233837 */     // GIR_Coverage, 23037,
     /* 1233837 */     GIR_EraseRootFromParent_Done,
     /* 1233838 */   // Label 17847: @1233838
     /* 1233838 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1233918), // Rule ID 23040 //
     /* 1233843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1233860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233882 */     // MIs[0] round
     /* 1233882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233892 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1233895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233917 */     // GIR_Coverage, 23040,
     /* 1233917 */     GIR_EraseRootFromParent_Done,
     /* 1233918 */   // Label 17848: @1233918
     /* 1233918 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1233998), // Rule ID 23041 //
     /* 1233923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1233931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1233940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233962 */     // MIs[0] round
     /* 1233962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1233975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233997 */     // GIR_Coverage, 23041,
     /* 1233997 */     GIR_EraseRootFromParent_Done,
     /* 1233998 */   // Label 17849: @1233998
     /* 1233998 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1234078), // Rule ID 64343 //
     /* 1234003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234042 */     // MIs[0] round
     /* 1234042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1234055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234077 */     // GIR_Coverage, 64343,
     /* 1234077 */     GIR_EraseRootFromParent_Done,
     /* 1234078 */   // Label 17850: @1234078
     /* 1234078 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234158), // Rule ID 64344 //
     /* 1234083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234122 */     // MIs[0] round
     /* 1234122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1234135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234157 */     // GIR_Coverage, 64344,
     /* 1234157 */     GIR_EraseRootFromParent_Done,
     /* 1234158 */   // Label 17851: @1234158
     /* 1234158 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1234238), // Rule ID 64347 //
     /* 1234163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234202 */     // MIs[0] round
     /* 1234202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234212 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1234215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234237 */     // GIR_Coverage, 64347,
     /* 1234237 */     GIR_EraseRootFromParent_Done,
     /* 1234238 */   // Label 17852: @1234238
     /* 1234238 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1234318), // Rule ID 64348 //
     /* 1234243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234282 */     // MIs[0] round
     /* 1234282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1234295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234317 */     // GIR_Coverage, 64348,
     /* 1234317 */     GIR_EraseRootFromParent_Done,
     /* 1234318 */   // Label 17853: @1234318
     /* 1234318 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1234398), // Rule ID 64351 //
     /* 1234323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1234334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1234337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234362 */     // MIs[0] round
     /* 1234362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1234375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234397 */     // GIR_Coverage, 64351,
     /* 1234397 */     GIR_EraseRootFromParent_Done,
     /* 1234398 */   // Label 17854: @1234398
     /* 1234398 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1234478), // Rule ID 64352 //
     /* 1234403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1234414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1234417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234442 */     // MIs[0] round
     /* 1234442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1234455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234477 */     // GIR_Coverage, 64352,
     /* 1234477 */     GIR_EraseRootFromParent_Done,
     /* 1234478 */   // Label 17855: @1234478
     /* 1234478 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1234558), // Rule ID 64355 //
     /* 1234483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1234494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1234497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234522 */     // MIs[0] round
     /* 1234522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1234535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234557 */     // GIR_Coverage, 64355,
     /* 1234557 */     GIR_EraseRootFromParent_Done,
     /* 1234558 */   // Label 17856: @1234558
     /* 1234558 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1234638), // Rule ID 64356 //
     /* 1234563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1234574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1234577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234602 */     // MIs[0] round
     /* 1234602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1234615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234637 */     // GIR_Coverage, 64356,
     /* 1234637 */     GIR_EraseRootFromParent_Done,
     /* 1234638 */   // Label 17857: @1234638
     /* 1234638 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1234718), // Rule ID 64359 //
     /* 1234643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1234654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1234657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234682 */     // MIs[0] round
     /* 1234682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1234695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234717 */     // GIR_Coverage, 64359,
     /* 1234717 */     GIR_EraseRootFromParent_Done,
     /* 1234718 */   // Label 17858: @1234718
     /* 1234718 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1234798), // Rule ID 64360 //
     /* 1234723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1234731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1234734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1234737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234762 */     // MIs[0] round
     /* 1234762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1234775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234797 */     // GIR_Coverage, 64360,
     /* 1234797 */     GIR_EraseRootFromParent_Done,
     /* 1234798 */   // Label 17859: @1234798
     /* 1234798 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1234878), // Rule ID 64363 //
     /* 1234803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1234811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234842 */     // MIs[0] round
     /* 1234842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1234855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234877 */     // GIR_Coverage, 64363,
     /* 1234877 */     GIR_EraseRootFromParent_Done,
     /* 1234878 */   // Label 17860: @1234878
     /* 1234878 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1234958), // Rule ID 64364 //
     /* 1234883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1234886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1234891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1234894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1234897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234922 */     // MIs[0] round
     /* 1234922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234932 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1234935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234957 */     // GIR_Coverage, 64364,
     /* 1234957 */     GIR_EraseRootFromParent_Done,
     /* 1234958 */   // Label 17861: @1234958
     /* 1234958 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1235038), // Rule ID 64367 //
     /* 1234963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1234966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1234971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235002 */     // MIs[0] round
     /* 1235002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1235015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235037 */     // GIR_Coverage, 64367,
     /* 1235037 */     GIR_EraseRootFromParent_Done,
     /* 1235038 */   // Label 17862: @1235038
     /* 1235038 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235118), // Rule ID 64368 //
     /* 1235043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1235054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1235057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235082 */     // MIs[0] round
     /* 1235082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1235095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235117 */     // GIR_Coverage, 64368,
     /* 1235117 */     GIR_EraseRootFromParent_Done,
     /* 1235118 */   // Label 17863: @1235118
     /* 1235118 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1235198), // Rule ID 64371 //
     /* 1235123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235162 */     // MIs[0] round
     /* 1235162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1235175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235197 */     // GIR_Coverage, 64371,
     /* 1235197 */     GIR_EraseRootFromParent_Done,
     /* 1235198 */   // Label 17864: @1235198
     /* 1235198 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1235278), // Rule ID 64372 //
     /* 1235203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1235214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1235217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235242 */     // MIs[0] round
     /* 1235242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1235255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235277 */     // GIR_Coverage, 64372,
     /* 1235277 */     GIR_EraseRootFromParent_Done,
     /* 1235278 */   // Label 17865: @1235278
     /* 1235278 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1235358), // Rule ID 64375 //
     /* 1235283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1235294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1235297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235322 */     // MIs[0] round
     /* 1235322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1235335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235357 */     // GIR_Coverage, 64375,
     /* 1235357 */     GIR_EraseRootFromParent_Done,
     /* 1235358 */   // Label 17866: @1235358
     /* 1235358 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1235438), // Rule ID 64376 //
     /* 1235363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1235374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1235377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235402 */     // MIs[0] round
     /* 1235402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11031:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1235415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235437 */     // GIR_Coverage, 64376,
     /* 1235437 */     GIR_EraseRootFromParent_Done,
     /* 1235438 */   // Label 17867: @1235438
     /* 1235438 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1235518), // Rule ID 64379 //
     /* 1235443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1235446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235482 */     // MIs[0] round
     /* 1235482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1235495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235517 */     // GIR_Coverage, 64379,
     /* 1235517 */     GIR_EraseRootFromParent_Done,
     /* 1235518 */   // Label 17868: @1235518
     /* 1235518 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1235598), // Rule ID 64380 //
     /* 1235523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1235526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1235531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235562 */     // MIs[0] round
     /* 1235562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1235575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235597 */     // GIR_Coverage, 64380,
     /* 1235597 */     GIR_EraseRootFromParent_Done,
     /* 1235598 */   // Label 17869: @1235598
     /* 1235598 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1235682), // Rule ID 2608 //
     /* 1235603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1235611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1235614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1235617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1235623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1235656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1235659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1235680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235681 */     // GIR_Coverage, 2608,
     /* 1235681 */     GIR_EraseRootFromParent_Done,
     /* 1235682 */   // Label 17870: @1235682
     /* 1235682 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1235766), // Rule ID 2609 //
     /* 1235687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1235695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1235698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1235701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1235707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1235740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1235743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1235764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235765 */     // GIR_Coverage, 2609,
     /* 1235765 */     GIR_EraseRootFromParent_Done,
     /* 1235766 */   // Label 17871: @1235766
     /* 1235766 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1235850), // Rule ID 2620 //
     /* 1235771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1235782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1235785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1235791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1235824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1235827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1235833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1235835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1235848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235849 */     // GIR_Coverage, 2620,
     /* 1235849 */     GIR_EraseRootFromParent_Done,
     /* 1235850 */   // Label 17872: @1235850
     /* 1235850 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1235934), // Rule ID 2621 //
     /* 1235855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1235866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1235869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1235875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1235908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1235911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1235917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1235919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1235932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235933 */     // GIR_Coverage, 2621,
     /* 1235933 */     GIR_EraseRootFromParent_Done,
     /* 1235934 */   // Label 17873: @1235934
     /* 1235934 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1236015), // Rule ID 2622 //
     /* 1235939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1235950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1235953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1235956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1235959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1235995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236014 */     // GIR_Coverage, 2622,
     /* 1236014 */     GIR_EraseRootFromParent_Done,
     /* 1236015 */   // Label 17874: @1236015
     /* 1236015 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1236096), // Rule ID 2623 //
     /* 1236020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1236031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1236034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1236037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1236040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236073 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1236076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236095 */     // GIR_Coverage, 2623,
     /* 1236095 */     GIR_EraseRootFromParent_Done,
     /* 1236096 */   // Label 17875: @1236096
     /* 1236096 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236180), // Rule ID 2672 //
     /* 1236101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1236109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1236118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1236121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236154 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1236157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236179 */     // GIR_Coverage, 2672,
     /* 1236179 */     GIR_EraseRootFromParent_Done,
     /* 1236180 */   // Label 17876: @1236180
     /* 1236180 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1236264), // Rule ID 2673 //
     /* 1236185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1236193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1236196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1236199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1236202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1236205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236238 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1236241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236263 */     // GIR_Coverage, 2673,
     /* 1236263 */     GIR_EraseRootFromParent_Done,
     /* 1236264 */   // Label 17877: @1236264
     /* 1236264 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1236345), // Rule ID 5008 //
     /* 1236269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1236280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1236283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1236286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1236289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1236325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236344 */     // GIR_Coverage, 5008,
     /* 1236344 */     GIR_EraseRootFromParent_Done,
     /* 1236345 */   // Label 17878: @1236345
     /* 1236345 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1236426), // Rule ID 5009 //
     /* 1236350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1236361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1236364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1236367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1236370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236403 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1236406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236425 */     // GIR_Coverage, 5009,
     /* 1236425 */     GIR_EraseRootFromParent_Done,
     /* 1236426 */   // Label 17879: @1236426
     /* 1236426 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1236507), // Rule ID 5010 //
     /* 1236431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1236442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1236445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1236448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1236451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236484 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1236487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236506 */     // GIR_Coverage, 5010,
     /* 1236506 */     GIR_EraseRootFromParent_Done,
     /* 1236507 */   // Label 17880: @1236507
     /* 1236507 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1236588), // Rule ID 5011 //
     /* 1236512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1236523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1236526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1236529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1236532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1236568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236587 */     // GIR_Coverage, 5011,
     /* 1236587 */     GIR_EraseRootFromParent_Done,
     /* 1236588 */   // Label 17881: @1236588
     /* 1236588 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1236669), // Rule ID 5012 //
     /* 1236593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1236613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1236649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236668 */     // GIR_Coverage, 5012,
     /* 1236668 */     GIR_EraseRootFromParent_Done,
     /* 1236669 */   // Label 17882: @1236669
     /* 1236669 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1236750), // Rule ID 5013 //
     /* 1236674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1236694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1236730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236749 */     // GIR_Coverage, 5013,
     /* 1236749 */     GIR_EraseRootFromParent_Done,
     /* 1236750 */   // Label 17883: @1236750
     /* 1236750 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1236831), // Rule ID 5014 //
     /* 1236755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1236775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1236811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236830 */     // GIR_Coverage, 5014,
     /* 1236830 */     GIR_EraseRootFromParent_Done,
     /* 1236831 */   // Label 17884: @1236831
     /* 1236831 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1236912), // Rule ID 5015 //
     /* 1236836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1236856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1236892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236911 */     // GIR_Coverage, 5015,
     /* 1236911 */     GIR_EraseRootFromParent_Done,
     /* 1236912 */   // Label 17885: @1236912
     /* 1236912 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1236993), // Rule ID 5016 //
     /* 1236917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1236928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1236931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1236934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1236937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236970 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1236973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236992 */     // GIR_Coverage, 5016,
     /* 1236992 */     GIR_EraseRootFromParent_Done,
     /* 1236993 */   // Label 17886: @1236993
     /* 1236993 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1237074), // Rule ID 5017 //
     /* 1236998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1237009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1237012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1237018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1237054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237073 */     // GIR_Coverage, 5017,
     /* 1237073 */     GIR_EraseRootFromParent_Done,
     /* 1237074 */   // Label 17887: @1237074
     /* 1237074 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237155), // Rule ID 5018 //
     /* 1237079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1237090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1237093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1237096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1237099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237154 */     // GIR_Coverage, 5018,
     /* 1237154 */     GIR_EraseRootFromParent_Done,
     /* 1237155 */   // Label 17888: @1237155
     /* 1237155 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1237236), // Rule ID 5019 //
     /* 1237160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1237171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1237174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1237177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1237180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237213 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237235 */     // GIR_Coverage, 5019,
     /* 1237235 */     GIR_EraseRootFromParent_Done,
     /* 1237236 */   // Label 17889: @1237236
     /* 1237236 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1237317), // Rule ID 5020 //
     /* 1237241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1237261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237316 */     // GIR_Coverage, 5020,
     /* 1237316 */     GIR_EraseRootFromParent_Done,
     /* 1237317 */   // Label 17890: @1237317
     /* 1237317 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1237398), // Rule ID 5021 //
     /* 1237322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1237342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237397 */     // GIR_Coverage, 5021,
     /* 1237397 */     GIR_EraseRootFromParent_Done,
     /* 1237398 */   // Label 17891: @1237398
     /* 1237398 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1237479), // Rule ID 5022 //
     /* 1237403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237478 */     // GIR_Coverage, 5022,
     /* 1237478 */     GIR_EraseRootFromParent_Done,
     /* 1237479 */   // Label 17892: @1237479
     /* 1237479 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1237560), // Rule ID 5023 //
     /* 1237484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237559 */     // GIR_Coverage, 5023,
     /* 1237559 */     GIR_EraseRootFromParent_Done,
     /* 1237560 */   // Label 17893: @1237560
     /* 1237560 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1237641), // Rule ID 5024 //
     /* 1237565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1237568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237640 */     // GIR_Coverage, 5024,
     /* 1237640 */     GIR_EraseRootFromParent_Done,
     /* 1237641 */   // Label 17894: @1237641
     /* 1237641 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1237722), // Rule ID 5025 //
     /* 1237646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1237649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1237702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237721 */     // GIR_Coverage, 5025,
     /* 1237721 */     GIR_EraseRootFromParent_Done,
     /* 1237722 */   // Label 17895: @1237722
     /* 1237722 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1237803), // Rule ID 5026 //
     /* 1237727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1237738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1237741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1237744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1237747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1237783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237802 */     // GIR_Coverage, 5026,
     /* 1237802 */     GIR_EraseRootFromParent_Done,
     /* 1237803 */   // Label 17896: @1237803
     /* 1237803 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1237884), // Rule ID 5027 //
     /* 1237808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1237819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1237822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1237825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1237828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1237864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237883 */     // GIR_Coverage, 5027,
     /* 1237883 */     GIR_EraseRootFromParent_Done,
     /* 1237884 */   // Label 17897: @1237884
     /* 1237884 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1237965), // Rule ID 5028 //
     /* 1237889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1237900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1237903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1237906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1237909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1237945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237964 */     // GIR_Coverage, 5028,
     /* 1237964 */     GIR_EraseRootFromParent_Done,
     /* 1237965 */   // Label 17898: @1237965
     /* 1237965 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1238046), // Rule ID 5029 //
     /* 1237970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1237981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1237984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1237987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1237990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1237993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238023 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1238026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238045 */     // GIR_Coverage, 5029,
     /* 1238045 */     GIR_EraseRootFromParent_Done,
     /* 1238046 */   // Label 17899: @1238046
     /* 1238046 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1238127), // Rule ID 5030 //
     /* 1238051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1238062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1238065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1238068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1238071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1238074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1238107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238126 */     // GIR_Coverage, 5030,
     /* 1238126 */     GIR_EraseRootFromParent_Done,
     /* 1238127 */   // Label 17900: @1238127
     /* 1238127 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1238208), // Rule ID 5031 //
     /* 1238132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1238143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1238146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1238149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1238152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1238155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238185 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1238188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238207 */     // GIR_Coverage, 5031,
     /* 1238207 */     GIR_EraseRootFromParent_Done,
     /* 1238208 */   // Label 17901: @1238208
     /* 1238208 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1238289), // Rule ID 5032 //
     /* 1238213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1238224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1238227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1238230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1238233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1238269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238288 */     // GIR_Coverage, 5032,
     /* 1238288 */     GIR_EraseRootFromParent_Done,
     /* 1238289 */   // Label 17902: @1238289
     /* 1238289 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1238370), // Rule ID 5033 //
     /* 1238294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1238305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1238308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1238311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1238314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1238350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238369 */     // GIR_Coverage, 5033,
     /* 1238369 */     GIR_EraseRootFromParent_Done,
     /* 1238370 */   // Label 17903: @1238370
     /* 1238370 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1238451), // Rule ID 5034 //
     /* 1238375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1238386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1238389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1238395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1238431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238450 */     // GIR_Coverage, 5034,
     /* 1238450 */     GIR_EraseRootFromParent_Done,
     /* 1238451 */   // Label 17904: @1238451
     /* 1238451 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1238532), // Rule ID 5035 //
     /* 1238456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1238467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1238470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1238476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238509 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1238512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238531 */     // GIR_Coverage, 5035,
     /* 1238531 */     GIR_EraseRootFromParent_Done,
     /* 1238532 */   // Label 17905: @1238532
     /* 1238532 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1238613), // Rule ID 5036 //
     /* 1238537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1238557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238590 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1238593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238612 */     // GIR_Coverage, 5036,
     /* 1238612 */     GIR_EraseRootFromParent_Done,
     /* 1238613 */   // Label 17906: @1238613
     /* 1238613 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1238694), // Rule ID 5037 //
     /* 1238618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1238638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238671 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1238674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238693 */     // GIR_Coverage, 5037,
     /* 1238693 */     GIR_EraseRootFromParent_Done,
     /* 1238694 */   // Label 17907: @1238694
     /* 1238694 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1238775), // Rule ID 5038 //
     /* 1238699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1238719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1238755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238774 */     // GIR_Coverage, 5038,
     /* 1238774 */     GIR_EraseRootFromParent_Done,
     /* 1238775 */   // Label 17908: @1238775
     /* 1238775 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1238856), // Rule ID 5039 //
     /* 1238780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1238800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1238836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238855 */     // GIR_Coverage, 5039,
     /* 1238855 */     GIR_EraseRootFromParent_Done,
     /* 1238856 */   // Label 17909: @1238856
     /* 1238856 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1238937), // Rule ID 5040 //
     /* 1238861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1238872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1238875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1238881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1238917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238936 */     // GIR_Coverage, 5040,
     /* 1238936 */     GIR_EraseRootFromParent_Done,
     /* 1238937 */   // Label 17910: @1238937
     /* 1238937 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1239018), // Rule ID 5041 //
     /* 1238942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1238950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1238953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1238956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1238962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1238998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239017 */     // GIR_Coverage, 5041,
     /* 1239017 */     GIR_EraseRootFromParent_Done,
     /* 1239018 */   // Label 17911: @1239018
     /* 1239018 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1239099), // Rule ID 5042 //
     /* 1239023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1239034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1239037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1239040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1239043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1239079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239098 */     // GIR_Coverage, 5042,
     /* 1239098 */     GIR_EraseRootFromParent_Done,
     /* 1239099 */   // Label 17912: @1239099
     /* 1239099 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239180), // Rule ID 5043 //
     /* 1239104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1239115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1239118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1239121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1239124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239157 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1239160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239179 */     // GIR_Coverage, 5043,
     /* 1239179 */     GIR_EraseRootFromParent_Done,
     /* 1239180 */   // Label 17913: @1239180
     /* 1239180 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1239261), // Rule ID 5044 //
     /* 1239185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1239188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1239196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1239199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1239202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1239205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1239241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239260 */     // GIR_Coverage, 5044,
     /* 1239260 */     GIR_EraseRootFromParent_Done,
     /* 1239261 */   // Label 17914: @1239261
     /* 1239261 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1239342), // Rule ID 5045 //
     /* 1239266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1239277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1239280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1239283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1239286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1239322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239341 */     // GIR_Coverage, 5045,
     /* 1239341 */     GIR_EraseRootFromParent_Done,
     /* 1239342 */   // Label 17915: @1239342
     /* 1239342 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1239423), // Rule ID 5046 //
     /* 1239347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1239350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1239358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1239361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1239364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1239367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1239403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239422 */     // GIR_Coverage, 5046,
     /* 1239422 */     GIR_EraseRootFromParent_Done,
     /* 1239423 */   // Label 17916: @1239423
     /* 1239423 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1239504), // Rule ID 5047 //
     /* 1239428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1239439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1239442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1239445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1239448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239481 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1239484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239503 */     // GIR_Coverage, 5047,
     /* 1239503 */     GIR_EraseRootFromParent_Done,
     /* 1239504 */   // Label 17917: @1239504
     /* 1239504 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1239585), // Rule ID 5048 //
     /* 1239509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1239512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1239520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1239523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1239529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239562 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1239565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239584 */     // GIR_Coverage, 5048,
     /* 1239584 */     GIR_EraseRootFromParent_Done,
     /* 1239585 */   // Label 17918: @1239585
     /* 1239585 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1239666), // Rule ID 5049 //
     /* 1239590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1239601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1239604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1239610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1239646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239665 */     // GIR_Coverage, 5049,
     /* 1239665 */     GIR_EraseRootFromParent_Done,
     /* 1239666 */   // Label 17919: @1239666
     /* 1239666 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1239747), // Rule ID 5050 //
     /* 1239671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1239688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1239727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239746 */     // GIR_Coverage, 5050,
     /* 1239746 */     GIR_EraseRootFromParent_Done,
     /* 1239747 */   // Label 17920: @1239747
     /* 1239747 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1239828), // Rule ID 5051 //
     /* 1239752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1239769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239805 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1239808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239827 */     // GIR_Coverage, 5051,
     /* 1239827 */     GIR_EraseRootFromParent_Done,
     /* 1239828 */   // Label 17921: @1239828
     /* 1239828 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1239909), // Rule ID 5052 //
     /* 1239833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1239889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239908 */     // GIR_Coverage, 5052,
     /* 1239908 */     GIR_EraseRootFromParent_Done,
     /* 1239909 */   // Label 17922: @1239909
     /* 1239909 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1239990), // Rule ID 5053 //
     /* 1239914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1239922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1239970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239989 */     // GIR_Coverage, 5053,
     /* 1239989 */     GIR_EraseRootFromParent_Done,
     /* 1239990 */   // Label 17923: @1239990
     /* 1239990 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1240071), // Rule ID 5054 //
     /* 1239995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1240006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1240009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1240012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240048 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1240051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240070 */     // GIR_Coverage, 5054,
     /* 1240070 */     GIR_EraseRootFromParent_Done,
     /* 1240071 */   // Label 17924: @1240071
     /* 1240071 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240152), // Rule ID 5055 //
     /* 1240076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1240087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1240090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1240093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240129 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1240132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240151 */     // GIR_Coverage, 5055,
     /* 1240151 */     GIR_EraseRootFromParent_Done,
     /* 1240152 */   // Label 17925: @1240152
     /* 1240152 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1240233), // Rule ID 5056 //
     /* 1240157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1240168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1240171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1240174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1240213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240232 */     // GIR_Coverage, 5056,
     /* 1240232 */     GIR_EraseRootFromParent_Done,
     /* 1240233 */   // Label 17926: @1240233
     /* 1240233 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1240314), // Rule ID 5057 //
     /* 1240238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1240249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1240252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1240255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1240294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240313 */     // GIR_Coverage, 5057,
     /* 1240313 */     GIR_EraseRootFromParent_Done,
     /* 1240314 */   // Label 17927: @1240314
     /* 1240314 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1240395), // Rule ID 5058 //
     /* 1240319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1240330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1240333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1240336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1240375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240394 */     // GIR_Coverage, 5058,
     /* 1240394 */     GIR_EraseRootFromParent_Done,
     /* 1240395 */   // Label 17928: @1240395
     /* 1240395 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1240476), // Rule ID 5059 //
     /* 1240400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1240411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1240414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1240417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1240456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240475 */     // GIR_Coverage, 5059,
     /* 1240475 */     GIR_EraseRootFromParent_Done,
     /* 1240476 */   // Label 17929: @1240476
     /* 1240476 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1240557), // Rule ID 5060 //
     /* 1240481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1240492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1240495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1240498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1240537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240556 */     // GIR_Coverage, 5060,
     /* 1240556 */     GIR_EraseRootFromParent_Done,
     /* 1240557 */   // Label 17930: @1240557
     /* 1240557 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1240638), // Rule ID 5061 //
     /* 1240562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1240573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1240576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1240579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240615 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1240618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240637 */     // GIR_Coverage, 5061,
     /* 1240637 */     GIR_EraseRootFromParent_Done,
     /* 1240638 */   // Label 17931: @1240638
     /* 1240638 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1240719), // Rule ID 5062 //
     /* 1240643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1240696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1240699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240718 */     // GIR_Coverage, 5062,
     /* 1240718 */     GIR_EraseRootFromParent_Done,
     /* 1240719 */   // Label 17932: @1240719
     /* 1240719 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1240800), // Rule ID 5063 //
     /* 1240724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1240777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1240780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240799 */     // GIR_Coverage, 5063,
     /* 1240799 */     GIR_EraseRootFromParent_Done,
     /* 1240800 */   // Label 17933: @1240800
     /* 1240800 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1240881), // Rule ID 5064 //
     /* 1240805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1240861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240880 */     // GIR_Coverage, 5064,
     /* 1240880 */     GIR_EraseRootFromParent_Done,
     /* 1240881 */   // Label 17934: @1240881
     /* 1240881 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1240962), // Rule ID 5065 //
     /* 1240886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1240942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240961 */     // GIR_Coverage, 5065,
     /* 1240961 */     GIR_EraseRootFromParent_Done,
     /* 1240962 */   // Label 17935: @1240962
     /* 1240962 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1241043), // Rule ID 5066 //
     /* 1240967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1240975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1240978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1240981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1240997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1241023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241042 */     // GIR_Coverage, 5066,
     /* 1241042 */     GIR_EraseRootFromParent_Done,
     /* 1241043 */   // Label 17936: @1241043
     /* 1241043 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1241124), // Rule ID 5067 //
     /* 1241048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1241059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1241062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1241065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1241104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241123 */     // GIR_Coverage, 5067,
     /* 1241123 */     GIR_EraseRootFromParent_Done,
     /* 1241124 */   // Label 17937: @1241124
     /* 1241124 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241205), // Rule ID 5068 //
     /* 1241129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1241140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1241143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1241146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1241185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241204 */     // GIR_Coverage, 5068,
     /* 1241204 */     GIR_EraseRootFromParent_Done,
     /* 1241205 */   // Label 17938: @1241205
     /* 1241205 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1241286), // Rule ID 5069 //
     /* 1241210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1241221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1241224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1241227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241263 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1241266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241285 */     // GIR_Coverage, 5069,
     /* 1241285 */     GIR_EraseRootFromParent_Done,
     /* 1241286 */   // Label 17939: @1241286
     /* 1241286 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1241367), // Rule ID 5070 //
     /* 1241291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1241302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1241305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1241308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241344 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1241347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241366 */     // GIR_Coverage, 5070,
     /* 1241366 */     GIR_EraseRootFromParent_Done,
     /* 1241367 */   // Label 17940: @1241367
     /* 1241367 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1241448), // Rule ID 5071 //
     /* 1241372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1241383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1241386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1241389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1241428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241447 */     // GIR_Coverage, 5071,
     /* 1241447 */     GIR_EraseRootFromParent_Done,
     /* 1241448 */   // Label 17941: @1241448
     /* 1241448 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1241529), // Rule ID 5072 //
     /* 1241453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1241464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1241467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1241470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1241509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241528 */     // GIR_Coverage, 5072,
     /* 1241528 */     GIR_EraseRootFromParent_Done,
     /* 1241529 */   // Label 17942: @1241529
     /* 1241529 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1241610), // Rule ID 5073 //
     /* 1241534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1241545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1241548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1241551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241587 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1241590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241609 */     // GIR_Coverage, 5073,
     /* 1241609 */     GIR_EraseRootFromParent_Done,
     /* 1241610 */   // Label 17943: @1241610
     /* 1241610 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1241691), // Rule ID 5074 //
     /* 1241615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1241626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1241629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241668 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1241671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241690 */     // GIR_Coverage, 5074,
     /* 1241690 */     GIR_EraseRootFromParent_Done,
     /* 1241691 */   // Label 17944: @1241691
     /* 1241691 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1241772), // Rule ID 5075 //
     /* 1241696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1241707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1241710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1241726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241749 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1241752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241771 */     // GIR_Coverage, 5075,
     /* 1241771 */     GIR_EraseRootFromParent_Done,
     /* 1241772 */   // Label 17945: @1241772
     /* 1241772 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1241853), // Rule ID 5076 //
     /* 1241777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1241833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241852 */     // GIR_Coverage, 5076,
     /* 1241852 */     GIR_EraseRootFromParent_Done,
     /* 1241853 */   // Label 17946: @1241853
     /* 1241853 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1241934), // Rule ID 5077 //
     /* 1241858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1241888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1241914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241933 */     // GIR_Coverage, 5077,
     /* 1241933 */     GIR_EraseRootFromParent_Done,
     /* 1241934 */   // Label 17947: @1241934
     /* 1241934 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1242015), // Rule ID 5078 //
     /* 1241939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1241947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1241969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1241995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242014 */     // GIR_Coverage, 5078,
     /* 1242014 */     GIR_EraseRootFromParent_Done,
     /* 1242015 */   // Label 17948: @1242015
     /* 1242015 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1242096), // Rule ID 5079 //
     /* 1242020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1242031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1242034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1242037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242073 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1242076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242095 */     // GIR_Coverage, 5079,
     /* 1242095 */     GIR_EraseRootFromParent_Done,
     /* 1242096 */   // Label 17949: @1242096
     /* 1242096 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242177), // Rule ID 5080 //
     /* 1242101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1242112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1242115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1242118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1242124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242154 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1242157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242176 */     // GIR_Coverage, 5080,
     /* 1242176 */     GIR_EraseRootFromParent_Done,
     /* 1242177 */   // Label 17950: @1242177
     /* 1242177 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1242258), // Rule ID 5081 //
     /* 1242182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1242193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1242196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1242199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1242205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242235 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1242238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242257 */     // GIR_Coverage, 5081,
     /* 1242257 */     GIR_EraseRootFromParent_Done,
     /* 1242258 */   // Label 17951: @1242258
     /* 1242258 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1242339), // Rule ID 5082 //
     /* 1242263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1242274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1242277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1242280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1242319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242338 */     // GIR_Coverage, 5082,
     /* 1242338 */     GIR_EraseRootFromParent_Done,
     /* 1242339 */   // Label 17952: @1242339
     /* 1242339 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1242420), // Rule ID 5083 //
     /* 1242344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1242355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1242358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1242361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1242400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242419 */     // GIR_Coverage, 5083,
     /* 1242419 */     GIR_EraseRootFromParent_Done,
     /* 1242420 */   // Label 17953: @1242420
     /* 1242420 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1242501), // Rule ID 5084 //
     /* 1242425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1242436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1242439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1242442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1242481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242500 */     // GIR_Coverage, 5084,
     /* 1242500 */     GIR_EraseRootFromParent_Done,
     /* 1242501 */   // Label 17954: @1242501
     /* 1242501 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1242582), // Rule ID 5085 //
     /* 1242506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1242517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1242520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1242523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242559 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1242562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242581 */     // GIR_Coverage, 5085,
     /* 1242581 */     GIR_EraseRootFromParent_Done,
     /* 1242582 */   // Label 17955: @1242582
     /* 1242582 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1242663), // Rule ID 5086 //
     /* 1242587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1242598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1242601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1242643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242662 */     // GIR_Coverage, 5086,
     /* 1242662 */     GIR_EraseRootFromParent_Done,
     /* 1242663 */   // Label 17956: @1242663
     /* 1242663 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1242744), // Rule ID 5087 //
     /* 1242668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1242679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1242682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1242724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242743 */     // GIR_Coverage, 5087,
     /* 1242743 */     GIR_EraseRootFromParent_Done,
     /* 1242744 */   // Label 17957: @1242744
     /* 1242744 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1242825), // Rule ID 5088 //
     /* 1242749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1242760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1242763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1242805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242824 */     // GIR_Coverage, 5088,
     /* 1242824 */     GIR_EraseRootFromParent_Done,
     /* 1242825 */   // Label 17958: @1242825
     /* 1242825 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1242906), // Rule ID 5089 //
     /* 1242830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1242841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1242844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1242886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242905 */     // GIR_Coverage, 5089,
     /* 1242905 */     GIR_EraseRootFromParent_Done,
     /* 1242906 */   // Label 17959: @1242906
     /* 1242906 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1242987), // Rule ID 5090 //
     /* 1242911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1242922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1242925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1242928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1242967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242986 */     // GIR_Coverage, 5090,
     /* 1242986 */     GIR_EraseRootFromParent_Done,
     /* 1242987 */   // Label 17960: @1242987
     /* 1242987 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1243068), // Rule ID 5091 //
     /* 1242992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1243003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1243006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1243009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1243022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243045 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1243045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1243048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243067 */     // GIR_Coverage, 5091,
     /* 1243067 */     GIR_EraseRootFromParent_Done,
     /* 1243068 */   // Label 17961: @1243068
     /* 1243068 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243149), // Rule ID 5092 //
     /* 1243073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1243076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1243084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1243087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1243090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1243126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1243129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243148 */     // GIR_Coverage, 5092,
     /* 1243148 */     GIR_EraseRootFromParent_Done,
     /* 1243149 */   // Label 17962: @1243149
     /* 1243149 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1243230), // Rule ID 5093 //
     /* 1243154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1243157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1243165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1243168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1243171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243207 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1243207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1243210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243229 */     // GIR_Coverage, 5093,
     /* 1243229 */     GIR_EraseRootFromParent_Done,
     /* 1243230 */   // Label 17963: @1243230
     /* 1243230 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1243311), // Rule ID 5398 //
     /* 1243235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1243246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1243249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1243252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1243255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1243291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243310 */     // GIR_Coverage, 5398,
     /* 1243310 */     GIR_EraseRootFromParent_Done,
     /* 1243311 */   // Label 17964: @1243311
     /* 1243311 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1243392), // Rule ID 5399 //
     /* 1243316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1243327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1243330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1243333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1243336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243369 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1243372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243391 */     // GIR_Coverage, 5399,
     /* 1243391 */     GIR_EraseRootFromParent_Done,
     /* 1243392 */   // Label 17965: @1243392
     /* 1243392 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1243473), // Rule ID 5400 //
     /* 1243397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1243408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1243411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1243414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1243417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1243453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243472 */     // GIR_Coverage, 5400,
     /* 1243472 */     GIR_EraseRootFromParent_Done,
     /* 1243473 */   // Label 17966: @1243473
     /* 1243473 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1243554), // Rule ID 5401 //
     /* 1243478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1243489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1243492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1243495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1243498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243531 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1243534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243553 */     // GIR_Coverage, 5401,
     /* 1243553 */     GIR_EraseRootFromParent_Done,
     /* 1243554 */   // Label 17967: @1243554
     /* 1243554 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1243635), // Rule ID 5402 //
     /* 1243559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1243570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1243573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1243579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1243615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243634 */     // GIR_Coverage, 5402,
     /* 1243634 */     GIR_EraseRootFromParent_Done,
     /* 1243635 */   // Label 17968: @1243635
     /* 1243635 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1243716), // Rule ID 5403 //
     /* 1243640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1243651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1243654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1243660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243693 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1243696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243715 */     // GIR_Coverage, 5403,
     /* 1243715 */     GIR_EraseRootFromParent_Done,
     /* 1243716 */   // Label 17969: @1243716
     /* 1243716 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1243797), // Rule ID 5404 //
     /* 1243721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1243741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1243777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243796 */     // GIR_Coverage, 5404,
     /* 1243796 */     GIR_EraseRootFromParent_Done,
     /* 1243797 */   // Label 17970: @1243797
     /* 1243797 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1243878), // Rule ID 5405 //
     /* 1243802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1243822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1243858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243877 */     // GIR_Coverage, 5405,
     /* 1243877 */     GIR_EraseRootFromParent_Done,
     /* 1243878 */   // Label 17971: @1243878
     /* 1243878 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1243959), // Rule ID 5406 //
     /* 1243883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1243903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1243939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243958 */     // GIR_Coverage, 5406,
     /* 1243958 */     GIR_EraseRootFromParent_Done,
     /* 1243959 */   // Label 17972: @1243959
     /* 1243959 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1244040), // Rule ID 5407 //
     /* 1243964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1243984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1244020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244039 */     // GIR_Coverage, 5407,
     /* 1244039 */     GIR_EraseRootFromParent_Done,
     /* 1244040 */   // Label 17973: @1244040
     /* 1244040 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1244121), // Rule ID 5408 //
     /* 1244045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1244056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1244059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1244062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1244065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244098 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1244101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244120 */     // GIR_Coverage, 5408,
     /* 1244120 */     GIR_EraseRootFromParent_Done,
     /* 1244121 */   // Label 17974: @1244121
     /* 1244121 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244202), // Rule ID 5409 //
     /* 1244126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1244137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1244140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1244143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1244146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244179 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1244182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244201 */     // GIR_Coverage, 5409,
     /* 1244201 */     GIR_EraseRootFromParent_Done,
     /* 1244202 */   // Label 17975: @1244202
     /* 1244202 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1244283), // Rule ID 5410 //
     /* 1244207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1244218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1244221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1244224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1244227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244282 */     // GIR_Coverage, 5410,
     /* 1244282 */     GIR_EraseRootFromParent_Done,
     /* 1244283 */   // Label 17976: @1244283
     /* 1244283 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1244364), // Rule ID 5411 //
     /* 1244288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1244299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1244302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1244305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1244308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244341 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244363 */     // GIR_Coverage, 5411,
     /* 1244363 */     GIR_EraseRootFromParent_Done,
     /* 1244364 */   // Label 17977: @1244364
     /* 1244364 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1244445), // Rule ID 5412 //
     /* 1244369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1244380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1244383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1244389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244444 */     // GIR_Coverage, 5412,
     /* 1244444 */     GIR_EraseRootFromParent_Done,
     /* 1244445 */   // Label 17978: @1244445
     /* 1244445 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1244526), // Rule ID 5413 //
     /* 1244450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1244461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1244464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1244470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244525 */     // GIR_Coverage, 5413,
     /* 1244525 */     GIR_EraseRootFromParent_Done,
     /* 1244526 */   // Label 17979: @1244526
     /* 1244526 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1244607), // Rule ID 5414 //
     /* 1244531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1244542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1244545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1244551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244606 */     // GIR_Coverage, 5414,
     /* 1244606 */     GIR_EraseRootFromParent_Done,
     /* 1244607 */   // Label 17980: @1244607
     /* 1244607 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1244688), // Rule ID 5415 //
     /* 1244612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1244623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1244626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1244632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244687 */     // GIR_Coverage, 5415,
     /* 1244687 */     GIR_EraseRootFromParent_Done,
     /* 1244688 */   // Label 17981: @1244688
     /* 1244688 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1244769), // Rule ID 5416 //
     /* 1244693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1244713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244768 */     // GIR_Coverage, 5416,
     /* 1244768 */     GIR_EraseRootFromParent_Done,
     /* 1244769 */   // Label 17982: @1244769
     /* 1244769 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1244850), // Rule ID 5417 //
     /* 1244774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1244794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1244830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244849 */     // GIR_Coverage, 5417,
     /* 1244849 */     GIR_EraseRootFromParent_Done,
     /* 1244850 */   // Label 17983: @1244850
     /* 1244850 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1244931), // Rule ID 5418 //
     /* 1244855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1244875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1244911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244930 */     // GIR_Coverage, 5418,
     /* 1244930 */     GIR_EraseRootFromParent_Done,
     /* 1244931 */   // Label 17984: @1244931
     /* 1244931 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1245012), // Rule ID 5419 //
     /* 1244936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1244956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244989 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1244992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245011 */     // GIR_Coverage, 5419,
     /* 1245011 */     GIR_EraseRootFromParent_Done,
     /* 1245012 */   // Label 17985: @1245012
     /* 1245012 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1245093), // Rule ID 5420 //
     /* 1245017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1245028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1245031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1245034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1245037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1245073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245092 */     // GIR_Coverage, 5420,
     /* 1245092 */     GIR_EraseRootFromParent_Done,
     /* 1245093 */   // Label 17986: @1245093
     /* 1245093 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245174), // Rule ID 5421 //
     /* 1245098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1245109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1245112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1245115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1245118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245151 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1245154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245173 */     // GIR_Coverage, 5421,
     /* 1245173 */     GIR_EraseRootFromParent_Done,
     /* 1245174 */   // Label 17987: @1245174
     /* 1245174 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1245255), // Rule ID 5422 //
     /* 1245179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1245190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1245193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1245196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1245199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1245202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1245235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245254 */     // GIR_Coverage, 5422,
     /* 1245254 */     GIR_EraseRootFromParent_Done,
     /* 1245255 */   // Label 17988: @1245255
     /* 1245255 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1245336), // Rule ID 5423 //
     /* 1245260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1245271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1245274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1245277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1245280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1245283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245313 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1245316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245335 */     // GIR_Coverage, 5423,
     /* 1245335 */     GIR_EraseRootFromParent_Done,
     /* 1245336 */   // Label 17989: @1245336
     /* 1245336 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1245417), // Rule ID 5424 //
     /* 1245341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1245352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1245355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1245358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1245361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1245397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245416 */     // GIR_Coverage, 5424,
     /* 1245416 */     GIR_EraseRootFromParent_Done,
     /* 1245417 */   // Label 17990: @1245417
     /* 1245417 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1245498), // Rule ID 5425 //
     /* 1245422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1245433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1245436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1245439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1245442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245475 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1245478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245497 */     // GIR_Coverage, 5425,
     /* 1245497 */     GIR_EraseRootFromParent_Done,
     /* 1245498 */   // Label 17991: @1245498
     /* 1245498 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1245579), // Rule ID 5426 //
     /* 1245503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1245514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1245517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1245523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1245559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245578 */     // GIR_Coverage, 5426,
     /* 1245578 */     GIR_EraseRootFromParent_Done,
     /* 1245579 */   // Label 17992: @1245579
     /* 1245579 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1245660), // Rule ID 5427 //
     /* 1245584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1245595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1245598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1245604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245637 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1245640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245659 */     // GIR_Coverage, 5427,
     /* 1245659 */     GIR_EraseRootFromParent_Done,
     /* 1245660 */   // Label 17993: @1245660
     /* 1245660 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1245741), // Rule ID 5428 //
     /* 1245665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1245685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245718 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1245721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245740 */     // GIR_Coverage, 5428,
     /* 1245740 */     GIR_EraseRootFromParent_Done,
     /* 1245741 */   // Label 17994: @1245741
     /* 1245741 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1245822), // Rule ID 5429 //
     /* 1245746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1245766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1245802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245821 */     // GIR_Coverage, 5429,
     /* 1245821 */     GIR_EraseRootFromParent_Done,
     /* 1245822 */   // Label 17995: @1245822
     /* 1245822 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1245903), // Rule ID 5430 //
     /* 1245827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1245847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1245883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245902 */     // GIR_Coverage, 5430,
     /* 1245902 */     GIR_EraseRootFromParent_Done,
     /* 1245903 */   // Label 17996: @1245903
     /* 1245903 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1245984), // Rule ID 5431 //
     /* 1245908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1245928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1245964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245983 */     // GIR_Coverage, 5431,
     /* 1245983 */     GIR_EraseRootFromParent_Done,
     /* 1245984 */   // Label 17997: @1245984
     /* 1245984 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1246065), // Rule ID 5432 //
     /* 1245989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1245997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1246000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1246003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1246006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1246009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1246019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1246045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246064 */     // GIR_Coverage, 5432,
     /* 1246064 */     GIR_EraseRootFromParent_Done,
     /* 1246065 */   // Label 17998: @1246065
     /* 1246065 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246146), // Rule ID 5433 //
     /* 1246070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1246081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1246084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1246087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1246090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1246100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1246126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246145 */     // GIR_Coverage, 5433,
     /* 1246145 */     GIR_EraseRootFromParent_Done,
     /* 1246146 */   // Label 17999: @1246146
     /* 1246146 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1246227), // Rule ID 5434 //
     /* 1246151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1246162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1246165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1246168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1246171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1246207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246226 */     // GIR_Coverage, 5434,
     /* 1246226 */     GIR_EraseRootFromParent_Done,
     /* 1246227 */   // Label 18000: @1246227
     /* 1246227 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1246308), // Rule ID 5435 //
     /* 1246232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1246243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1246246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1246249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1246252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246285 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1246288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246307 */     // GIR_Coverage, 5435,
     /* 1246307 */     GIR_EraseRootFromParent_Done,
     /* 1246308 */   // Label 18001: @1246308
     /* 1246308 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1246389), // Rule ID 5436 //
     /* 1246313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1246324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1246327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1246330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1246333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1246343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1246369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246388 */     // GIR_Coverage, 5436,
     /* 1246388 */     GIR_EraseRootFromParent_Done,
     /* 1246389 */   // Label 18002: @1246389
     /* 1246389 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1246470), // Rule ID 5437 //
     /* 1246394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1246405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1246408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1246411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1246414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1246424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1246450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246469 */     // GIR_Coverage, 5437,
     /* 1246469 */     GIR_EraseRootFromParent_Done,
     /* 1246470 */   // Label 18003: @1246470
     /* 1246470 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1246551), // Rule ID 5438 //
     /* 1246475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1246486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1246489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1246495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1246505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1246531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246550 */     // GIR_Coverage, 5438,
     /* 1246550 */     GIR_EraseRootFromParent_Done,
     /* 1246551 */   // Label 18004: @1246551
     /* 1246551 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1246632), // Rule ID 5439 //
     /* 1246556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1246567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1246570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1246576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1246586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246609 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1246612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246631 */     // GIR_Coverage, 5439,
     /* 1246631 */     GIR_EraseRootFromParent_Done,
     /* 1246632 */   // Label 18005: @1246632
     /* 1246632 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1246713), // Rule ID 5440 //
     /* 1246637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1246657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1246693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246712 */     // GIR_Coverage, 5440,
     /* 1246712 */     GIR_EraseRootFromParent_Done,
     /* 1246713 */   // Label 18006: @1246713
     /* 1246713 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1246794), // Rule ID 5441 //
     /* 1246718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1246738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246771 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1246774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246793 */     // GIR_Coverage, 5441,
     /* 1246793 */     GIR_EraseRootFromParent_Done,
     /* 1246794 */   // Label 18007: @1246794
     /* 1246794 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1246875), // Rule ID 5442 //
     /* 1246799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1246810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1246813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1246816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1246855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246874 */     // GIR_Coverage, 5442,
     /* 1246874 */     GIR_EraseRootFromParent_Done,
     /* 1246875 */   // Label 18008: @1246875
     /* 1246875 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1246956), // Rule ID 5443 //
     /* 1246880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1246891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1246894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1246897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1246936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246955 */     // GIR_Coverage, 5443,
     /* 1246955 */     GIR_EraseRootFromParent_Done,
     /* 1246956 */   // Label 18009: @1246956
     /* 1246956 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1247037), // Rule ID 5444 //
     /* 1246961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1246969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1246972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1246975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1247017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247036 */     // GIR_Coverage, 5444,
     /* 1247036 */     GIR_EraseRootFromParent_Done,
     /* 1247037 */   // Label 18010: @1247037
     /* 1247037 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1247118), // Rule ID 5445 //
     /* 1247042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1247053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1247056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1247059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247095 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1247098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247117 */     // GIR_Coverage, 5445,
     /* 1247117 */     GIR_EraseRootFromParent_Done,
     /* 1247118 */   // Label 18011: @1247118
     /* 1247118 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247199), // Rule ID 5446 //
     /* 1247123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1247134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1247137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1247140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1247179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247198 */     // GIR_Coverage, 5446,
     /* 1247198 */     GIR_EraseRootFromParent_Done,
     /* 1247199 */   // Label 18012: @1247199
     /* 1247199 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1247280), // Rule ID 5447 //
     /* 1247204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1247215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1247218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1247221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247257 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1247260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247279 */     // GIR_Coverage, 5447,
     /* 1247279 */     GIR_EraseRootFromParent_Done,
     /* 1247280 */   // Label 18013: @1247280
     /* 1247280 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1247361), // Rule ID 5448 //
     /* 1247285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1247296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1247299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1247302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1247341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247360 */     // GIR_Coverage, 5448,
     /* 1247360 */     GIR_EraseRootFromParent_Done,
     /* 1247361 */   // Label 18014: @1247361
     /* 1247361 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1247442), // Rule ID 5449 //
     /* 1247366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1247377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1247380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1247383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247419 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1247422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247441 */     // GIR_Coverage, 5449,
     /* 1247441 */     GIR_EraseRootFromParent_Done,
     /* 1247442 */   // Label 18015: @1247442
     /* 1247442 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1247523), // Rule ID 5450 //
     /* 1247447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1247458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1247461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1247464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1247503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247522 */     // GIR_Coverage, 5450,
     /* 1247522 */     GIR_EraseRootFromParent_Done,
     /* 1247523 */   // Label 18016: @1247523
     /* 1247523 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1247604), // Rule ID 5451 //
     /* 1247528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1247539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1247542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1247545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247581 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1247584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247603 */     // GIR_Coverage, 5451,
     /* 1247603 */     GIR_EraseRootFromParent_Done,
     /* 1247604 */   // Label 18017: @1247604
     /* 1247604 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1247685), // Rule ID 5452 //
     /* 1247609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1247620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1247623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1247626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1247662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1247665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247684 */     // GIR_Coverage, 5452,
     /* 1247684 */     GIR_EraseRootFromParent_Done,
     /* 1247685 */   // Label 18018: @1247685
     /* 1247685 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1247766), // Rule ID 5453 //
     /* 1247690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1247701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1247704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1247707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247743 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1247743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1247746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247765 */     // GIR_Coverage, 5453,
     /* 1247765 */     GIR_EraseRootFromParent_Done,
     /* 1247766 */   // Label 18019: @1247766
     /* 1247766 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1247847), // Rule ID 5454 //
     /* 1247771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1247782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1247785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1247827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247846 */     // GIR_Coverage, 5454,
     /* 1247846 */     GIR_EraseRootFromParent_Done,
     /* 1247847 */   // Label 18020: @1247847
     /* 1247847 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1247928), // Rule ID 5455 //
     /* 1247852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1247863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1247866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247905 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1247908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247927 */     // GIR_Coverage, 5455,
     /* 1247927 */     GIR_EraseRootFromParent_Done,
     /* 1247928 */   // Label 18021: @1247928
     /* 1247928 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1248009), // Rule ID 5456 //
     /* 1247933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1247941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1247944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1247947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1247989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248008 */     // GIR_Coverage, 5456,
     /* 1248008 */     GIR_EraseRootFromParent_Done,
     /* 1248009 */   // Label 18022: @1248009
     /* 1248009 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1248090), // Rule ID 5457 //
     /* 1248014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1248025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1248028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1248031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1248044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1248070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248089 */     // GIR_Coverage, 5457,
     /* 1248089 */     GIR_EraseRootFromParent_Done,
     /* 1248090 */   // Label 18023: @1248090
     /* 1248090 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248171), // Rule ID 5458 //
     /* 1248095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1248106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1248109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1248112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1248125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1248151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248170 */     // GIR_Coverage, 5458,
     /* 1248170 */     GIR_EraseRootFromParent_Done,
     /* 1248171 */   // Label 18024: @1248171
     /* 1248171 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1248252), // Rule ID 5459 //
     /* 1248176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1248187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1248190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1248193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1248206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1248232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248251 */     // GIR_Coverage, 5459,
     /* 1248251 */     GIR_EraseRootFromParent_Done,
     /* 1248252 */   // Label 18025: @1248252
     /* 1248252 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1248333), // Rule ID 5460 //
     /* 1248257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1248268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1248271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1248274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1248287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1248310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1248313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248332 */     // GIR_Coverage, 5460,
     /* 1248332 */     GIR_EraseRootFromParent_Done,
     /* 1248333 */   // Label 18026: @1248333
     /* 1248333 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1248414), // Rule ID 5461 //
     /* 1248338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1248349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1248352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1248355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1248368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1248391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1248394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248413 */     // GIR_Coverage, 5461,
     /* 1248413 */     GIR_EraseRootFromParent_Done,
     /* 1248414 */   // Label 18027: @1248414
     /* 1248414 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1248495), // Rule ID 5462 //
     /* 1248419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1248430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1248433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1248436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1248472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1248475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248494 */     // GIR_Coverage, 5462,
     /* 1248494 */     GIR_EraseRootFromParent_Done,
     /* 1248495 */   // Label 18028: @1248495
     /* 1248495 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1248576), // Rule ID 5463 //
     /* 1248500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1248511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1248514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1248517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248553 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1248553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1248556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248575 */     // GIR_Coverage, 5463,
     /* 1248575 */     GIR_EraseRootFromParent_Done,
     /* 1248576 */   // Label 18029: @1248576
     /* 1248576 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1248657), // Rule ID 5464 //
     /* 1248581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1248592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1248595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1248598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248634 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1248634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1248637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248656 */     // GIR_Coverage, 5464,
     /* 1248656 */     GIR_EraseRootFromParent_Done,
     /* 1248657 */   // Label 18030: @1248657
     /* 1248657 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1248738), // Rule ID 5465 //
     /* 1248662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1248673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1248676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1248679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248715 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1248715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1248718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248737 */     // GIR_Coverage, 5465,
     /* 1248737 */     GIR_EraseRootFromParent_Done,
     /* 1248738 */   // Label 18031: @1248738
     /* 1248738 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1248819), // Rule ID 5466 //
     /* 1248743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1248754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1248757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1248796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1248799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248818 */     // GIR_Coverage, 5466,
     /* 1248818 */     GIR_EraseRootFromParent_Done,
     /* 1248819 */   // Label 18032: @1248819
     /* 1248819 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1248900), // Rule ID 5467 //
     /* 1248824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1248835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1248838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248877 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1248877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1248880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248899 */     // GIR_Coverage, 5467,
     /* 1248899 */     GIR_EraseRootFromParent_Done,
     /* 1248900 */   // Label 18033: @1248900
     /* 1248900 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1248981), // Rule ID 5468 //
     /* 1248905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1248916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1248919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1248961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248980 */     // GIR_Coverage, 5468,
     /* 1248980 */     GIR_EraseRootFromParent_Done,
     /* 1248981 */   // Label 18034: @1248981
     /* 1248981 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1249062), // Rule ID 5469 //
     /* 1248986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1248994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1248997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1249000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1249003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249039 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1249042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249061 */     // GIR_Coverage, 5469,
     /* 1249061 */     GIR_EraseRootFromParent_Done,
     /* 1249062 */   // Label 18035: @1249062
     /* 1249062 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1249143), // Rule ID 5470 //
     /* 1249067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1249078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1249081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1249084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1249123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249142 */     // GIR_Coverage, 5470,
     /* 1249142 */     GIR_EraseRootFromParent_Done,
     /* 1249143 */   // Label 18036: @1249143
     /* 1249143 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1249224), // Rule ID 5471 //
     /* 1249148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1249159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1249162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1249165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249201 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1249204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249223 */     // GIR_Coverage, 5471,
     /* 1249223 */     GIR_EraseRootFromParent_Done,
     /* 1249224 */   // Label 18037: @1249224
     /* 1249224 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1249305), // Rule ID 5472 //
     /* 1249229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1249240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1249243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1249246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1249252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1249285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249304 */     // GIR_Coverage, 5472,
     /* 1249304 */     GIR_EraseRootFromParent_Done,
     /* 1249305 */   // Label 18038: @1249305
     /* 1249305 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1249386), // Rule ID 5473 //
     /* 1249310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1249321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1249324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1249327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1249333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249363 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1249366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249385 */     // GIR_Coverage, 5473,
     /* 1249385 */     GIR_EraseRootFromParent_Done,
     /* 1249386 */   // Label 18039: @1249386
     /* 1249386 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1249467), // Rule ID 5474 //
     /* 1249391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1249402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1249405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1249408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1249447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249466 */     // GIR_Coverage, 5474,
     /* 1249466 */     GIR_EraseRootFromParent_Done,
     /* 1249467 */   // Label 18040: @1249467
     /* 1249467 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1249548), // Rule ID 5475 //
     /* 1249472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1249483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1249486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1249489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1249528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249547 */     // GIR_Coverage, 5475,
     /* 1249547 */     GIR_EraseRootFromParent_Done,
     /* 1249548 */   // Label 18041: @1249548
     /* 1249548 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1249629), // Rule ID 5476 //
     /* 1249553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1249564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1249567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1249570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1249609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249628 */     // GIR_Coverage, 5476,
     /* 1249628 */     GIR_EraseRootFromParent_Done,
     /* 1249629 */   // Label 18042: @1249629
     /* 1249629 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1249710), // Rule ID 5477 //
     /* 1249634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1249645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1249648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1249651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1249690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249709 */     // GIR_Coverage, 5477,
     /* 1249709 */     GIR_EraseRootFromParent_Done,
     /* 1249710 */   // Label 18043: @1249710
     /* 1249710 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1249791), // Rule ID 5478 //
     /* 1249715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1249726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1249729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1249771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249790 */     // GIR_Coverage, 5478,
     /* 1249790 */     GIR_EraseRootFromParent_Done,
     /* 1249791 */   // Label 18044: @1249791
     /* 1249791 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1249872), // Rule ID 5479 //
     /* 1249796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1249807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1249810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1249852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249871 */     // GIR_Coverage, 5479,
     /* 1249871 */     GIR_EraseRootFromParent_Done,
     /* 1249872 */   // Label 18045: @1249872
     /* 1249872 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1249953), // Rule ID 5480 //
     /* 1249877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1249888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1249891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1249933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249952 */     // GIR_Coverage, 5480,
     /* 1249952 */     GIR_EraseRootFromParent_Done,
     /* 1249953 */   // Label 18046: @1249953
     /* 1249953 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1250034), // Rule ID 5481 //
     /* 1249958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1249966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1249969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1249972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250011 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1250011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1250014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250033 */     // GIR_Coverage, 5481,
     /* 1250033 */     GIR_EraseRootFromParent_Done,
     /* 1250034 */   // Label 18047: @1250034
     /* 1250034 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1250115), // Rule ID 5482 //
     /* 1250039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1250050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1250053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1250056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1250069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1250092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1250095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250114 */     // GIR_Coverage, 5482,
     /* 1250114 */     GIR_EraseRootFromParent_Done,
     /* 1250115 */   // Label 18048: @1250115
     /* 1250115 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1250196), // Rule ID 5483 //
     /* 1250120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1250131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1250134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1250137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1250150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250173 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1250173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1250176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250195 */     // GIR_Coverage, 5483,
     /* 1250195 */     GIR_EraseRootFromParent_Done,
     /* 1250196 */   // Label 18049: @1250196
     /* 1250196 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1250277), // Rule ID 5484 //
     /* 1250201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1250212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1250215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1250218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1250231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1250254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1250257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250276 */     // GIR_Coverage, 5484,
     /* 1250276 */     GIR_EraseRootFromParent_Done,
     /* 1250277 */   // Label 18050: @1250277
     /* 1250277 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1250358), // Rule ID 5485 //
     /* 1250282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1250293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1250296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1250299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1250312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250335 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1250335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1250338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250357 */     // GIR_Coverage, 5485,
     /* 1250357 */     GIR_EraseRootFromParent_Done,
     /* 1250358 */   // Label 18051: @1250358
     /* 1250358 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1250442), // Rule ID 7696 //
     /* 1250363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1250380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1250383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1250419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250441 */     // GIR_Coverage, 7696,
     /* 1250441 */     GIR_EraseRootFromParent_Done,
     /* 1250442 */   // Label 18052: @1250442
     /* 1250442 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1250526), // Rule ID 7697 //
     /* 1250447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1250464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1250467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1250503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250525 */     // GIR_Coverage, 7697,
     /* 1250525 */     GIR_EraseRootFromParent_Done,
     /* 1250526 */   // Label 18053: @1250526
     /* 1250526 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1250610), // Rule ID 7700 //
     /* 1250531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1250551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1250587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250609 */     // GIR_Coverage, 7700,
     /* 1250609 */     GIR_EraseRootFromParent_Done,
     /* 1250610 */   // Label 18054: @1250610
     /* 1250610 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1250694), // Rule ID 7701 //
     /* 1250615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1250635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1250671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250693 */     // GIR_Coverage, 7701,
     /* 1250693 */     GIR_EraseRootFromParent_Done,
     /* 1250694 */   // Label 18055: @1250694
     /* 1250694 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1250778), // Rule ID 7704 //
     /* 1250699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1250719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1250755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250777 */     // GIR_Coverage, 7704,
     /* 1250777 */     GIR_EraseRootFromParent_Done,
     /* 1250778 */   // Label 18056: @1250778
     /* 1250778 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1250862), // Rule ID 7705 //
     /* 1250783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1250803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1250839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250861 */     // GIR_Coverage, 7705,
     /* 1250861 */     GIR_EraseRootFromParent_Done,
     /* 1250862 */   // Label 18057: @1250862
     /* 1250862 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1250946), // Rule ID 7708 //
     /* 1250867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1250887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1250923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250945 */     // GIR_Coverage, 7708,
     /* 1250945 */     GIR_EraseRootFromParent_Done,
     /* 1250946 */   // Label 18058: @1250946
     /* 1250946 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1251030), // Rule ID 7709 //
     /* 1250951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1250971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1251007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251029 */     // GIR_Coverage, 7709,
     /* 1251029 */     GIR_EraseRootFromParent_Done,
     /* 1251030 */   // Label 18059: @1251030
     /* 1251030 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1251114), // Rule ID 7712 //
     /* 1251035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1251052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1251055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1251091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251113 */     // GIR_Coverage, 7712,
     /* 1251113 */     GIR_EraseRootFromParent_Done,
     /* 1251114 */   // Label 18060: @1251114
     /* 1251114 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1251198), // Rule ID 7713 //
     /* 1251119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1251136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1251139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1251175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251197 */     // GIR_Coverage, 7713,
     /* 1251197 */     GIR_EraseRootFromParent_Done,
     /* 1251198 */   // Label 18061: @1251198
     /* 1251198 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1251282), // Rule ID 7716 //
     /* 1251203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1251220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1251223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251281 */     // GIR_Coverage, 7716,
     /* 1251281 */     GIR_EraseRootFromParent_Done,
     /* 1251282 */   // Label 18062: @1251282
     /* 1251282 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1251366), // Rule ID 7717 //
     /* 1251287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1251304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1251307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251365 */     // GIR_Coverage, 7717,
     /* 1251365 */     GIR_EraseRootFromParent_Done,
     /* 1251366 */   // Label 18063: @1251366
     /* 1251366 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1251450), // Rule ID 7720 //
     /* 1251371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1251391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251449 */     // GIR_Coverage, 7720,
     /* 1251449 */     GIR_EraseRootFromParent_Done,
     /* 1251450 */   // Label 18064: @1251450
     /* 1251450 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1251534), // Rule ID 7721 //
     /* 1251455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1251475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251533 */     // GIR_Coverage, 7721,
     /* 1251533 */     GIR_EraseRootFromParent_Done,
     /* 1251534 */   // Label 18065: @1251534
     /* 1251534 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1251618), // Rule ID 7724 //
     /* 1251539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1251559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251617 */     // GIR_Coverage, 7724,
     /* 1251617 */     GIR_EraseRootFromParent_Done,
     /* 1251618 */   // Label 18066: @1251618
     /* 1251618 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1251702), // Rule ID 7725 //
     /* 1251623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1251643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251701 */     // GIR_Coverage, 7725,
     /* 1251701 */     GIR_EraseRootFromParent_Done,
     /* 1251702 */   // Label 18067: @1251702
     /* 1251702 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1251786), // Rule ID 7728 //
     /* 1251707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1251727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251785 */     // GIR_Coverage, 7728,
     /* 1251785 */     GIR_EraseRootFromParent_Done,
     /* 1251786 */   // Label 18068: @1251786
     /* 1251786 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1251870), // Rule ID 7729 //
     /* 1251791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1251811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1251847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251869 */     // GIR_Coverage, 7729,
     /* 1251869 */     GIR_EraseRootFromParent_Done,
     /* 1251870 */   // Label 18069: @1251870
     /* 1251870 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1251954), // Rule ID 7732 //
     /* 1251875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1251895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1251931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251953 */     // GIR_Coverage, 7732,
     /* 1251953 */     GIR_EraseRootFromParent_Done,
     /* 1251954 */   // Label 18070: @1251954
     /* 1251954 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1252038), // Rule ID 7733 //
     /* 1251959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1251979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1252015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252037 */     // GIR_Coverage, 7733,
     /* 1252037 */     GIR_EraseRootFromParent_Done,
     /* 1252038 */   // Label 18071: @1252038
     /* 1252038 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1252122), // Rule ID 7736 //
     /* 1252043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1252060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1252063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252096 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1252099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252121 */     // GIR_Coverage, 7736,
     /* 1252121 */     GIR_EraseRootFromParent_Done,
     /* 1252122 */   // Label 18072: @1252122
     /* 1252122 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1252206), // Rule ID 7737 //
     /* 1252127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1252144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1252147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1252183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252205 */     // GIR_Coverage, 7737,
     /* 1252205 */     GIR_EraseRootFromParent_Done,
     /* 1252206 */   // Label 18073: @1252206
     /* 1252206 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1252290), // Rule ID 7740 //
     /* 1252211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1252222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1252225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1252228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1252231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1252234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252264 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1252267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252289 */     // GIR_Coverage, 7740,
     /* 1252289 */     GIR_EraseRootFromParent_Done,
     /* 1252290 */   // Label 18074: @1252290
     /* 1252290 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1252374), // Rule ID 7741 //
     /* 1252295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1252306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1252309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1252312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1252315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1252318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252348 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1252351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252373 */     // GIR_Coverage, 7741,
     /* 1252373 */     GIR_EraseRootFromParent_Done,
     /* 1252374 */   // Label 18075: @1252374
     /* 1252374 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1252458), // Rule ID 7744 //
     /* 1252379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1252399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1252435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252457 */     // GIR_Coverage, 7744,
     /* 1252457 */     GIR_EraseRootFromParent_Done,
     /* 1252458 */   // Label 18076: @1252458
     /* 1252458 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1252542), // Rule ID 7745 //
     /* 1252463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1252483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1252519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252541 */     // GIR_Coverage, 7745,
     /* 1252541 */     GIR_EraseRootFromParent_Done,
     /* 1252542 */   // Label 18077: @1252542
     /* 1252542 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1252626), // Rule ID 7748 //
     /* 1252547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1252567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1252603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252625 */     // GIR_Coverage, 7748,
     /* 1252625 */     GIR_EraseRootFromParent_Done,
     /* 1252626 */   // Label 18078: @1252626
     /* 1252626 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1252710), // Rule ID 7749 //
     /* 1252631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1252651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1252687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252709 */     // GIR_Coverage, 7749,
     /* 1252709 */     GIR_EraseRootFromParent_Done,
     /* 1252710 */   // Label 18079: @1252710
     /* 1252710 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1252794), // Rule ID 7752 //
     /* 1252715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1252735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252768 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1252771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252793 */     // GIR_Coverage, 7752,
     /* 1252793 */     GIR_EraseRootFromParent_Done,
     /* 1252794 */   // Label 18080: @1252794
     /* 1252794 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1252878), // Rule ID 7753 //
     /* 1252799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1252819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1252855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252877 */     // GIR_Coverage, 7753,
     /* 1252877 */     GIR_EraseRootFromParent_Done,
     /* 1252878 */   // Label 18081: @1252878
     /* 1252878 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1252962), // Rule ID 7756 //
     /* 1252883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1252903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1252939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252961 */     // GIR_Coverage, 7756,
     /* 1252961 */     GIR_EraseRootFromParent_Done,
     /* 1252962 */   // Label 18082: @1252962
     /* 1252962 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1253046), // Rule ID 7757 //
     /* 1252967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1252975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1252987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1253023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253045 */     // GIR_Coverage, 7757,
     /* 1253045 */     GIR_EraseRootFromParent_Done,
     /* 1253046 */   // Label 18083: @1253046
     /* 1253046 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1253130), // Rule ID 7760 //
     /* 1253051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1253068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1253071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1253107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253129 */     // GIR_Coverage, 7760,
     /* 1253129 */     GIR_EraseRootFromParent_Done,
     /* 1253130 */   // Label 18084: @1253130
     /* 1253130 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1253214), // Rule ID 7761 //
     /* 1253135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1253152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1253155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1253191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253213 */     // GIR_Coverage, 7761,
     /* 1253213 */     GIR_EraseRootFromParent_Done,
     /* 1253214 */   // Label 18085: @1253214
     /* 1253214 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1253298), // Rule ID 7764 //
     /* 1253219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1253236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1253239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253272 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1253275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253297 */     // GIR_Coverage, 7764,
     /* 1253297 */     GIR_EraseRootFromParent_Done,
     /* 1253298 */   // Label 18086: @1253298
     /* 1253298 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1253382), // Rule ID 7765 //
     /* 1253303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1253320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1253323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253356 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1253359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253381 */     // GIR_Coverage, 7765,
     /* 1253381 */     GIR_EraseRootFromParent_Done,
     /* 1253382 */   // Label 18087: @1253382
     /* 1253382 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1253466), // Rule ID 7768 //
     /* 1253387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1253407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1253443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253465 */     // GIR_Coverage, 7768,
     /* 1253465 */     GIR_EraseRootFromParent_Done,
     /* 1253466 */   // Label 18088: @1253466
     /* 1253466 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1253550), // Rule ID 7769 //
     /* 1253471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1253491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1253527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253549 */     // GIR_Coverage, 7769,
     /* 1253549 */     GIR_EraseRootFromParent_Done,
     /* 1253550 */   // Label 18089: @1253550
     /* 1253550 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1253634), // Rule ID 7772 //
     /* 1253555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1253575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1253611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253633 */     // GIR_Coverage, 7772,
     /* 1253633 */     GIR_EraseRootFromParent_Done,
     /* 1253634 */   // Label 18090: @1253634
     /* 1253634 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1253718), // Rule ID 7773 //
     /* 1253639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1253659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1253695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253717 */     // GIR_Coverage, 7773,
     /* 1253717 */     GIR_EraseRootFromParent_Done,
     /* 1253718 */   // Label 18091: @1253718
     /* 1253718 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1253802), // Rule ID 7776 //
     /* 1253723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1253743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253776 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1253779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253801 */     // GIR_Coverage, 7776,
     /* 1253801 */     GIR_EraseRootFromParent_Done,
     /* 1253802 */   // Label 18092: @1253802
     /* 1253802 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1253886), // Rule ID 7777 //
     /* 1253807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1253827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1253863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253885 */     // GIR_Coverage, 7777,
     /* 1253885 */     GIR_EraseRootFromParent_Done,
     /* 1253886 */   // Label 18093: @1253886
     /* 1253886 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1253970), // Rule ID 7780 //
     /* 1253891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1253947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253969 */     // GIR_Coverage, 7780,
     /* 1253969 */     GIR_EraseRootFromParent_Done,
     /* 1253970 */   // Label 18094: @1253970
     /* 1253970 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1254054), // Rule ID 7781 //
     /* 1253975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1253983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1254031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254053 */     // GIR_Coverage, 7781,
     /* 1254053 */     GIR_EraseRootFromParent_Done,
     /* 1254054 */   // Label 18095: @1254054
     /* 1254054 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1254138), // Rule ID 7784 //
     /* 1254059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1254076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1254115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254137 */     // GIR_Coverage, 7784,
     /* 1254137 */     GIR_EraseRootFromParent_Done,
     /* 1254138 */   // Label 18096: @1254138
     /* 1254138 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1254222), // Rule ID 7785 //
     /* 1254143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1254160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1254199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254221 */     // GIR_Coverage, 7785,
     /* 1254221 */     GIR_EraseRootFromParent_Done,
     /* 1254222 */   // Label 18097: @1254222
     /* 1254222 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1254306), // Rule ID 7788 //
     /* 1254227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1254244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1254283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254305 */     // GIR_Coverage, 7788,
     /* 1254305 */     GIR_EraseRootFromParent_Done,
     /* 1254306 */   // Label 18098: @1254306
     /* 1254306 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1254390), // Rule ID 7789 //
     /* 1254311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1254328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1254367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254389 */     // GIR_Coverage, 7789,
     /* 1254389 */     GIR_EraseRootFromParent_Done,
     /* 1254390 */   // Label 18099: @1254390
     /* 1254390 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1254474), // Rule ID 7792 //
     /* 1254395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1254451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254473 */     // GIR_Coverage, 7792,
     /* 1254473 */     GIR_EraseRootFromParent_Done,
     /* 1254474 */   // Label 18100: @1254474
     /* 1254474 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1254558), // Rule ID 7793 //
     /* 1254479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1254535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254557 */     // GIR_Coverage, 7793,
     /* 1254557 */     GIR_EraseRootFromParent_Done,
     /* 1254558 */   // Label 18101: @1254558
     /* 1254558 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1254642), // Rule ID 7796 //
     /* 1254563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1254619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254641 */     // GIR_Coverage, 7796,
     /* 1254641 */     GIR_EraseRootFromParent_Done,
     /* 1254642 */   // Label 18102: @1254642
     /* 1254642 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1254726), // Rule ID 7797 //
     /* 1254647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1254703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254725 */     // GIR_Coverage, 7797,
     /* 1254725 */     GIR_EraseRootFromParent_Done,
     /* 1254726 */   // Label 18103: @1254726
     /* 1254726 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1254810), // Rule ID 7800 //
     /* 1254731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1254787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254809 */     // GIR_Coverage, 7800,
     /* 1254809 */     GIR_EraseRootFromParent_Done,
     /* 1254810 */   // Label 18104: @1254810
     /* 1254810 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1254894), // Rule ID 7801 //
     /* 1254815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1254871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254893 */     // GIR_Coverage, 7801,
     /* 1254893 */     GIR_EraseRootFromParent_Done,
     /* 1254894 */   // Label 18105: @1254894
     /* 1254894 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1254978), // Rule ID 7804 //
     /* 1254899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1254955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254977 */     // GIR_Coverage, 7804,
     /* 1254977 */     GIR_EraseRootFromParent_Done,
     /* 1254978 */   // Label 18106: @1254978
     /* 1254978 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1255062), // Rule ID 7805 //
     /* 1254983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1254991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1255000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1255039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255061 */     // GIR_Coverage, 7805,
     /* 1255061 */     GIR_EraseRootFromParent_Done,
     /* 1255062 */   // Label 18107: @1255062
     /* 1255062 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1255146), // Rule ID 7808 //
     /* 1255067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1255084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1255123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255145 */     // GIR_Coverage, 7808,
     /* 1255145 */     GIR_EraseRootFromParent_Done,
     /* 1255146 */   // Label 18108: @1255146
     /* 1255146 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1255230), // Rule ID 7809 //
     /* 1255151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1255168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1255207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255229 */     // GIR_Coverage, 7809,
     /* 1255229 */     GIR_EraseRootFromParent_Done,
     /* 1255230 */   // Label 18109: @1255230
     /* 1255230 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1255314), // Rule ID 7812 //
     /* 1255235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1255252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1255291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255313 */     // GIR_Coverage, 7812,
     /* 1255313 */     GIR_EraseRootFromParent_Done,
     /* 1255314 */   // Label 18110: @1255314
     /* 1255314 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1255398), // Rule ID 7813 //
     /* 1255319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1255336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1255375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255397 */     // GIR_Coverage, 7813,
     /* 1255397 */     GIR_EraseRootFromParent_Done,
     /* 1255398 */   // Label 18111: @1255398
     /* 1255398 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1255482), // Rule ID 7816 //
     /* 1255403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255456 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1255459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255481 */     // GIR_Coverage, 7816,
     /* 1255481 */     GIR_EraseRootFromParent_Done,
     /* 1255482 */   // Label 18112: @1255482
     /* 1255482 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1255566), // Rule ID 7817 //
     /* 1255487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1255543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255565 */     // GIR_Coverage, 7817,
     /* 1255565 */     GIR_EraseRootFromParent_Done,
     /* 1255566 */   // Label 18113: @1255566
     /* 1255566 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1255650), // Rule ID 7820 //
     /* 1255571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1255627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255649 */     // GIR_Coverage, 7820,
     /* 1255649 */     GIR_EraseRootFromParent_Done,
     /* 1255650 */   // Label 18114: @1255650
     /* 1255650 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1255734), // Rule ID 7821 //
     /* 1255655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1255711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255733 */     // GIR_Coverage, 7821,
     /* 1255733 */     GIR_EraseRootFromParent_Done,
     /* 1255734 */   // Label 18115: @1255734
     /* 1255734 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1255818), // Rule ID 7824 //
     /* 1255739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255792 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1255795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255817 */     // GIR_Coverage, 7824,
     /* 1255817 */     GIR_EraseRootFromParent_Done,
     /* 1255818 */   // Label 18116: @1255818
     /* 1255818 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1255902), // Rule ID 7825 //
     /* 1255823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1255834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1255837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1255879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255901 */     // GIR_Coverage, 7825,
     /* 1255901 */     GIR_EraseRootFromParent_Done,
     /* 1255902 */   // Label 18117: @1255902
     /* 1255902 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1255986), // Rule ID 7828 //
     /* 1255907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1255918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1255921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255960 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1255963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255985 */     // GIR_Coverage, 7828,
     /* 1255985 */     GIR_EraseRootFromParent_Done,
     /* 1255986 */   // Label 18118: @1255986
     /* 1255986 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1256070), // Rule ID 7829 //
     /* 1255991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1255999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1256002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1256005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1256008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1256014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256044 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1256047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256069 */     // GIR_Coverage, 7829,
     /* 1256069 */     GIR_EraseRootFromParent_Done,
     /* 1256070 */   // Label 18119: @1256070
     /* 1256070 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1256154), // Rule ID 7832 //
     /* 1256075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1256092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1256131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256153 */     // GIR_Coverage, 7832,
     /* 1256153 */     GIR_EraseRootFromParent_Done,
     /* 1256154 */   // Label 18120: @1256154
     /* 1256154 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1256238), // Rule ID 7833 //
     /* 1256159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1256176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1256215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256237 */     // GIR_Coverage, 7833,
     /* 1256237 */     GIR_EraseRootFromParent_Done,
     /* 1256238 */   // Label 18121: @1256238
     /* 1256238 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1256322), // Rule ID 7836 //
     /* 1256243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1256260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256296 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1256299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256321 */     // GIR_Coverage, 7836,
     /* 1256321 */     GIR_EraseRootFromParent_Done,
     /* 1256322 */   // Label 18122: @1256322
     /* 1256322 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1256406), // Rule ID 7837 //
     /* 1256327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1256344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1256383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256405 */     // GIR_Coverage, 7837,
     /* 1256405 */     GIR_EraseRootFromParent_Done,
     /* 1256406 */   // Label 18123: @1256406
     /* 1256406 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1256490), // Rule ID 7840 //
     /* 1256411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1256428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256464 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1256467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256489 */     // GIR_Coverage, 7840,
     /* 1256489 */     GIR_EraseRootFromParent_Done,
     /* 1256490 */   // Label 18124: @1256490
     /* 1256490 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1256574), // Rule ID 7841 //
     /* 1256495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1256512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256548 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1256551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256573 */     // GIR_Coverage, 7841,
     /* 1256573 */     GIR_EraseRootFromParent_Done,
     /* 1256574 */   // Label 18125: @1256574
     /* 1256574 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1256658), // Rule ID 7844 //
     /* 1256579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1256635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256657 */     // GIR_Coverage, 7844,
     /* 1256657 */     GIR_EraseRootFromParent_Done,
     /* 1256658 */   // Label 18126: @1256658
     /* 1256658 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1256742), // Rule ID 7845 //
     /* 1256663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1256719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256741 */     // GIR_Coverage, 7845,
     /* 1256741 */     GIR_EraseRootFromParent_Done,
     /* 1256742 */   // Label 18127: @1256742
     /* 1256742 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1256826), // Rule ID 7848 //
     /* 1256747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1256803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256825 */     // GIR_Coverage, 7848,
     /* 1256825 */     GIR_EraseRootFromParent_Done,
     /* 1256826 */   // Label 18128: @1256826
     /* 1256826 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1256910), // Rule ID 7849 //
     /* 1256831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1256887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256909 */     // GIR_Coverage, 7849,
     /* 1256909 */     GIR_EraseRootFromParent_Done,
     /* 1256910 */   // Label 18129: @1256910
     /* 1256910 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1256994), // Rule ID 7852 //
     /* 1256915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1256923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1256971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256993 */     // GIR_Coverage, 7852,
     /* 1256993 */     GIR_EraseRootFromParent_Done,
     /* 1256994 */   // Label 18130: @1256994
     /* 1256994 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1257078), // Rule ID 7853 //
     /* 1256999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1257016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1257055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257077 */     // GIR_Coverage, 7853,
     /* 1257077 */     GIR_EraseRootFromParent_Done,
     /* 1257078 */   // Label 18131: @1257078
     /* 1257078 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1257162), // Rule ID 7856 //
     /* 1257083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1257100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1257139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257161 */     // GIR_Coverage, 7856,
     /* 1257161 */     GIR_EraseRootFromParent_Done,
     /* 1257162 */   // Label 18132: @1257162
     /* 1257162 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1257246), // Rule ID 7857 //
     /* 1257167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1257184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1257223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257245 */     // GIR_Coverage, 7857,
     /* 1257245 */     GIR_EraseRootFromParent_Done,
     /* 1257246 */   // Label 18133: @1257246
     /* 1257246 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1257330), // Rule ID 7860 //
     /* 1257251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1257268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1257307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257329 */     // GIR_Coverage, 7860,
     /* 1257329 */     GIR_EraseRootFromParent_Done,
     /* 1257330 */   // Label 18134: @1257330
     /* 1257330 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1257414), // Rule ID 7861 //
     /* 1257335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1257352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1257391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257413 */     // GIR_Coverage, 7861,
     /* 1257413 */     GIR_EraseRootFromParent_Done,
     /* 1257414 */   // Label 18135: @1257414
     /* 1257414 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1257498), // Rule ID 7864 //
     /* 1257419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1257436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1257475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257497 */     // GIR_Coverage, 7864,
     /* 1257497 */     GIR_EraseRootFromParent_Done,
     /* 1257498 */   // Label 18136: @1257498
     /* 1257498 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1257582), // Rule ID 7865 //
     /* 1257503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1257520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1257559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257581 */     // GIR_Coverage, 7865,
     /* 1257581 */     GIR_EraseRootFromParent_Done,
     /* 1257582 */   // Label 18137: @1257582
     /* 1257582 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1257666), // Rule ID 7956 //
     /* 1257587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1257604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1257607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1257643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257665 */     // GIR_Coverage, 7956,
     /* 1257665 */     GIR_EraseRootFromParent_Done,
     /* 1257666 */   // Label 18138: @1257666
     /* 1257666 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1257750), // Rule ID 7957 //
     /* 1257671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1257688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1257691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1257727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257749 */     // GIR_Coverage, 7957,
     /* 1257749 */     GIR_EraseRootFromParent_Done,
     /* 1257750 */   // Label 18139: @1257750
     /* 1257750 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1257834), // Rule ID 7960 //
     /* 1257755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1257775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1257811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257833 */     // GIR_Coverage, 7960,
     /* 1257833 */     GIR_EraseRootFromParent_Done,
     /* 1257834 */   // Label 18140: @1257834
     /* 1257834 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1257918), // Rule ID 7961 //
     /* 1257839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1257859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1257895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257917 */     // GIR_Coverage, 7961,
     /* 1257917 */     GIR_EraseRootFromParent_Done,
     /* 1257918 */   // Label 18141: @1257918
     /* 1257918 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1258002), // Rule ID 7964 //
     /* 1257923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1257943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1257979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258001 */     // GIR_Coverage, 7964,
     /* 1258001 */     GIR_EraseRootFromParent_Done,
     /* 1258002 */   // Label 18142: @1258002
     /* 1258002 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1258086), // Rule ID 7965 //
     /* 1258007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1258024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1258027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1258063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258085 */     // GIR_Coverage, 7965,
     /* 1258085 */     GIR_EraseRootFromParent_Done,
     /* 1258086 */   // Label 18143: @1258086
     /* 1258086 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1258170), // Rule ID 7968 //
     /* 1258091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1258108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1258111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1258147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258169 */     // GIR_Coverage, 7968,
     /* 1258169 */     GIR_EraseRootFromParent_Done,
     /* 1258170 */   // Label 18144: @1258170
     /* 1258170 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1258254), // Rule ID 7969 //
     /* 1258175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1258192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1258195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1258231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258253 */     // GIR_Coverage, 7969,
     /* 1258253 */     GIR_EraseRootFromParent_Done,
     /* 1258254 */   // Label 18145: @1258254
     /* 1258254 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1258338), // Rule ID 7972 //
     /* 1258259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1258276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1258279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1258315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258337 */     // GIR_Coverage, 7972,
     /* 1258337 */     GIR_EraseRootFromParent_Done,
     /* 1258338 */   // Label 18146: @1258338
     /* 1258338 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1258422), // Rule ID 7973 //
     /* 1258343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1258360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1258363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1258399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258421 */     // GIR_Coverage, 7973,
     /* 1258421 */     GIR_EraseRootFromParent_Done,
     /* 1258422 */   // Label 18147: @1258422
     /* 1258422 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1258506), // Rule ID 7976 //
     /* 1258427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1258444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1258447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1258483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258505 */     // GIR_Coverage, 7976,
     /* 1258505 */     GIR_EraseRootFromParent_Done,
     /* 1258506 */   // Label 18148: @1258506
     /* 1258506 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1258590), // Rule ID 7977 //
     /* 1258511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1258528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1258531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1258567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258589 */     // GIR_Coverage, 7977,
     /* 1258589 */     GIR_EraseRootFromParent_Done,
     /* 1258590 */   // Label 18149: @1258590
     /* 1258590 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1258674), // Rule ID 7980 //
     /* 1258595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1258612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1258651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258673 */     // GIR_Coverage, 7980,
     /* 1258673 */     GIR_EraseRootFromParent_Done,
     /* 1258674 */   // Label 18150: @1258674
     /* 1258674 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1258758), // Rule ID 7981 //
     /* 1258679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1258696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1258735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258757 */     // GIR_Coverage, 7981,
     /* 1258757 */     GIR_EraseRootFromParent_Done,
     /* 1258758 */   // Label 18151: @1258758
     /* 1258758 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1258842), // Rule ID 7984 //
     /* 1258763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1258819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258841 */     // GIR_Coverage, 7984,
     /* 1258841 */     GIR_EraseRootFromParent_Done,
     /* 1258842 */   // Label 18152: @1258842
     /* 1258842 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1258926), // Rule ID 7985 //
     /* 1258847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1258903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258925 */     // GIR_Coverage, 7985,
     /* 1258925 */     GIR_EraseRootFromParent_Done,
     /* 1258926 */   // Label 18153: @1258926
     /* 1258926 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1259010), // Rule ID 7988 //
     /* 1258931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1258951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1258987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259009 */     // GIR_Coverage, 7988,
     /* 1259009 */     GIR_EraseRootFromParent_Done,
     /* 1259010 */   // Label 18154: @1259010
     /* 1259010 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1259094), // Rule ID 7989 //
     /* 1259015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1259032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1259071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259093 */     // GIR_Coverage, 7989,
     /* 1259093 */     GIR_EraseRootFromParent_Done,
     /* 1259094 */   // Label 18155: @1259094
     /* 1259094 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1259178), // Rule ID 7992 //
     /* 1259099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1259116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1259155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259177 */     // GIR_Coverage, 7992,
     /* 1259177 */     GIR_EraseRootFromParent_Done,
     /* 1259178 */   // Label 18156: @1259178
     /* 1259178 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1259262), // Rule ID 7993 //
     /* 1259183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1259200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1259239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259261 */     // GIR_Coverage, 7993,
     /* 1259261 */     GIR_EraseRootFromParent_Done,
     /* 1259262 */   // Label 18157: @1259262
     /* 1259262 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1259346), // Rule ID 7996 //
     /* 1259267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1259284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1259287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1259323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259345 */     // GIR_Coverage, 7996,
     /* 1259345 */     GIR_EraseRootFromParent_Done,
     /* 1259346 */   // Label 18158: @1259346
     /* 1259346 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1259430), // Rule ID 7997 //
     /* 1259351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1259368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1259371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1259407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259429 */     // GIR_Coverage, 7997,
     /* 1259429 */     GIR_EraseRootFromParent_Done,
     /* 1259430 */   // Label 18159: @1259430
     /* 1259430 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1259514), // Rule ID 8000 //
     /* 1259435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1259452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1259455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1259491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259513 */     // GIR_Coverage, 8000,
     /* 1259513 */     GIR_EraseRootFromParent_Done,
     /* 1259514 */   // Label 18160: @1259514
     /* 1259514 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1259598), // Rule ID 8001 //
     /* 1259519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1259536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1259539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259572 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1259575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259597 */     // GIR_Coverage, 8001,
     /* 1259597 */     GIR_EraseRootFromParent_Done,
     /* 1259598 */   // Label 18161: @1259598
     /* 1259598 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1259682), // Rule ID 8004 //
     /* 1259603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1259614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1259617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1259620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1259623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1259626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259656 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1259659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259681 */     // GIR_Coverage, 8004,
     /* 1259681 */     GIR_EraseRootFromParent_Done,
     /* 1259682 */   // Label 18162: @1259682
     /* 1259682 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1259766), // Rule ID 8005 //
     /* 1259687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1259698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1259701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1259704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1259707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1259710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259740 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1259743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259765 */     // GIR_Coverage, 8005,
     /* 1259765 */     GIR_EraseRootFromParent_Done,
     /* 1259766 */   // Label 18163: @1259766
     /* 1259766 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1259850), // Rule ID 8008 //
     /* 1259771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1259791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1259827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259849 */     // GIR_Coverage, 8008,
     /* 1259849 */     GIR_EraseRootFromParent_Done,
     /* 1259850 */   // Label 18164: @1259850
     /* 1259850 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1259934), // Rule ID 8009 //
     /* 1259855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1259875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1259911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259933 */     // GIR_Coverage, 8009,
     /* 1259933 */     GIR_EraseRootFromParent_Done,
     /* 1259934 */   // Label 18165: @1259934
     /* 1259934 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1260018), // Rule ID 8012 //
     /* 1259939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1259959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1259995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260017 */     // GIR_Coverage, 8012,
     /* 1260017 */     GIR_EraseRootFromParent_Done,
     /* 1260018 */   // Label 18166: @1260018
     /* 1260018 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1260102), // Rule ID 8013 //
     /* 1260023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1260040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1260043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1260079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260101 */     // GIR_Coverage, 8013,
     /* 1260101 */     GIR_EraseRootFromParent_Done,
     /* 1260102 */   // Label 18167: @1260102
     /* 1260102 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1260186), // Rule ID 8016 //
     /* 1260107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1260118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1260121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1260124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1260127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1260163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260185 */     // GIR_Coverage, 8016,
     /* 1260185 */     GIR_EraseRootFromParent_Done,
     /* 1260186 */   // Label 18168: @1260186
     /* 1260186 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1260270), // Rule ID 8017 //
     /* 1260191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1260202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1260205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1260208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1260211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1260247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260269 */     // GIR_Coverage, 8017,
     /* 1260269 */     GIR_EraseRootFromParent_Done,
     /* 1260270 */   // Label 18169: @1260270
     /* 1260270 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1260354), // Rule ID 8020 //
     /* 1260275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1260292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1260295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1260331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260353 */     // GIR_Coverage, 8020,
     /* 1260353 */     GIR_EraseRootFromParent_Done,
     /* 1260354 */   // Label 18170: @1260354
     /* 1260354 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1260438), // Rule ID 8021 //
     /* 1260359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1260376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1260379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1260415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260437 */     // GIR_Coverage, 8021,
     /* 1260437 */     GIR_EraseRootFromParent_Done,
     /* 1260438 */   // Label 18171: @1260438
     /* 1260438 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1260522), // Rule ID 8024 //
     /* 1260443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1260460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1260463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1260499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260521 */     // GIR_Coverage, 8024,
     /* 1260521 */     GIR_EraseRootFromParent_Done,
     /* 1260522 */   // Label 18172: @1260522
     /* 1260522 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1260606), // Rule ID 8025 //
     /* 1260527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1260544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1260547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1260583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260605 */     // GIR_Coverage, 8025,
     /* 1260605 */     GIR_EraseRootFromParent_Done,
     /* 1260606 */   // Label 18173: @1260606
     /* 1260606 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1260690), // Rule ID 8028 //
     /* 1260611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1260628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1260631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1260667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260689 */     // GIR_Coverage, 8028,
     /* 1260689 */     GIR_EraseRootFromParent_Done,
     /* 1260690 */   // Label 18174: @1260690
     /* 1260690 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1260774), // Rule ID 8029 //
     /* 1260695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1260712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1260715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1260751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260773 */     // GIR_Coverage, 8029,
     /* 1260773 */     GIR_EraseRootFromParent_Done,
     /* 1260774 */   // Label 18175: @1260774
     /* 1260774 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1260858), // Rule ID 8032 //
     /* 1260779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1260799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1260835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260857 */     // GIR_Coverage, 8032,
     /* 1260857 */     GIR_EraseRootFromParent_Done,
     /* 1260858 */   // Label 18176: @1260858
     /* 1260858 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1260942), // Rule ID 8033 //
     /* 1260863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1260883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1260919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260941 */     // GIR_Coverage, 8033,
     /* 1260941 */     GIR_EraseRootFromParent_Done,
     /* 1260942 */   // Label 18177: @1260942
     /* 1260942 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1261026), // Rule ID 8036 //
     /* 1260947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1260955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1260967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1261003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261025 */     // GIR_Coverage, 8036,
     /* 1261025 */     GIR_EraseRootFromParent_Done,
     /* 1261026 */   // Label 18178: @1261026
     /* 1261026 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1261110), // Rule ID 8037 //
     /* 1261031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1261048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1261051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1261087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261109 */     // GIR_Coverage, 8037,
     /* 1261109 */     GIR_EraseRootFromParent_Done,
     /* 1261110 */   // Label 18179: @1261110
     /* 1261110 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1261194), // Rule ID 8040 //
     /* 1261115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1261132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1261135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1261171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261193 */     // GIR_Coverage, 8040,
     /* 1261193 */     GIR_EraseRootFromParent_Done,
     /* 1261194 */   // Label 18180: @1261194
     /* 1261194 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1261278), // Rule ID 8041 //
     /* 1261199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1261216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1261219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1261255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261277 */     // GIR_Coverage, 8041,
     /* 1261277 */     GIR_EraseRootFromParent_Done,
     /* 1261278 */   // Label 18181: @1261278
     /* 1261278 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1261362), // Rule ID 8044 //
     /* 1261283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1261300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1261339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261361 */     // GIR_Coverage, 8044,
     /* 1261361 */     GIR_EraseRootFromParent_Done,
     /* 1261362 */   // Label 18182: @1261362
     /* 1261362 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1261446), // Rule ID 8045 //
     /* 1261367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1261384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1261423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261445 */     // GIR_Coverage, 8045,
     /* 1261445 */     GIR_EraseRootFromParent_Done,
     /* 1261446 */   // Label 18183: @1261446
     /* 1261446 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1261530), // Rule ID 8048 //
     /* 1261451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1261468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1261507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261529 */     // GIR_Coverage, 8048,
     /* 1261529 */     GIR_EraseRootFromParent_Done,
     /* 1261530 */   // Label 18184: @1261530
     /* 1261530 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1261614), // Rule ID 8049 //
     /* 1261535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1261552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1261591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261613 */     // GIR_Coverage, 8049,
     /* 1261613 */     GIR_EraseRootFromParent_Done,
     /* 1261614 */   // Label 18185: @1261614
     /* 1261614 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1261698), // Rule ID 8052 //
     /* 1261619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1261675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261697 */     // GIR_Coverage, 8052,
     /* 1261697 */     GIR_EraseRootFromParent_Done,
     /* 1261698 */   // Label 18186: @1261698
     /* 1261698 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1261782), // Rule ID 8053 //
     /* 1261703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1261759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261781 */     // GIR_Coverage, 8053,
     /* 1261781 */     GIR_EraseRootFromParent_Done,
     /* 1261782 */   // Label 18187: @1261782
     /* 1261782 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1261866), // Rule ID 8056 //
     /* 1261787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1261843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261865 */     // GIR_Coverage, 8056,
     /* 1261865 */     GIR_EraseRootFromParent_Done,
     /* 1261866 */   // Label 18188: @1261866
     /* 1261866 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1261950), // Rule ID 8057 //
     /* 1261871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1261927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261949 */     // GIR_Coverage, 8057,
     /* 1261949 */     GIR_EraseRootFromParent_Done,
     /* 1261950 */   // Label 18189: @1261950
     /* 1261950 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1262034), // Rule ID 8060 //
     /* 1261955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1261963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1262011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262033 */     // GIR_Coverage, 8060,
     /* 1262033 */     GIR_EraseRootFromParent_Done,
     /* 1262034 */   // Label 18190: @1262034
     /* 1262034 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1262118), // Rule ID 8061 //
     /* 1262039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1262056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1262095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262117 */     // GIR_Coverage, 8061,
     /* 1262117 */     GIR_EraseRootFromParent_Done,
     /* 1262118 */   // Label 18191: @1262118
     /* 1262118 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1262202), // Rule ID 8064 //
     /* 1262123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1262140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1262179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262201 */     // GIR_Coverage, 8064,
     /* 1262201 */     GIR_EraseRootFromParent_Done,
     /* 1262202 */   // Label 18192: @1262202
     /* 1262202 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1262286), // Rule ID 8065 //
     /* 1262207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1262224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1262263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262285 */     // GIR_Coverage, 8065,
     /* 1262285 */     GIR_EraseRootFromParent_Done,
     /* 1262286 */   // Label 18193: @1262286
     /* 1262286 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1262370), // Rule ID 8068 //
     /* 1262291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1262308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262369 */     // GIR_Coverage, 8068,
     /* 1262369 */     GIR_EraseRootFromParent_Done,
     /* 1262370 */   // Label 18194: @1262370
     /* 1262370 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1262454), // Rule ID 8069 //
     /* 1262375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1262392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262453 */     // GIR_Coverage, 8069,
     /* 1262453 */     GIR_EraseRootFromParent_Done,
     /* 1262454 */   // Label 18195: @1262454
     /* 1262454 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1262538), // Rule ID 8072 //
     /* 1262459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1262476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262537 */     // GIR_Coverage, 8072,
     /* 1262537 */     GIR_EraseRootFromParent_Done,
     /* 1262538 */   // Label 18196: @1262538
     /* 1262538 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1262622), // Rule ID 8073 //
     /* 1262543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1262560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262621 */     // GIR_Coverage, 8073,
     /* 1262621 */     GIR_EraseRootFromParent_Done,
     /* 1262622 */   // Label 18197: @1262622
     /* 1262622 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1262706), // Rule ID 8076 //
     /* 1262627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262705 */     // GIR_Coverage, 8076,
     /* 1262705 */     GIR_EraseRootFromParent_Done,
     /* 1262706 */   // Label 18198: @1262706
     /* 1262706 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1262790), // Rule ID 8077 //
     /* 1262711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262789 */     // GIR_Coverage, 8077,
     /* 1262789 */     GIR_EraseRootFromParent_Done,
     /* 1262790 */   // Label 18199: @1262790
     /* 1262790 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1262874), // Rule ID 8080 //
     /* 1262795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262873 */     // GIR_Coverage, 8080,
     /* 1262873 */     GIR_EraseRootFromParent_Done,
     /* 1262874 */   // Label 18200: @1262874
     /* 1262874 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1262958), // Rule ID 8081 //
     /* 1262879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1262935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262957 */     // GIR_Coverage, 8081,
     /* 1262957 */     GIR_EraseRootFromParent_Done,
     /* 1262958 */   // Label 18201: @1262958
     /* 1262958 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1263042), // Rule ID 8084 //
     /* 1262963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1262971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263016 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1263019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263041 */     // GIR_Coverage, 8084,
     /* 1263041 */     GIR_EraseRootFromParent_Done,
     /* 1263042 */   // Label 18202: @1263042
     /* 1263042 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1263126), // Rule ID 8085 //
     /* 1263047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1263064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1263103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263125 */     // GIR_Coverage, 8085,
     /* 1263125 */     GIR_EraseRootFromParent_Done,
     /* 1263126 */   // Label 18203: @1263126
     /* 1263126 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1263210), // Rule ID 8088 //
     /* 1263131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1263148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1263187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263209 */     // GIR_Coverage, 8088,
     /* 1263209 */     GIR_EraseRootFromParent_Done,
     /* 1263210 */   // Label 18204: @1263210
     /* 1263210 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1263294), // Rule ID 8089 //
     /* 1263215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1263232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1263271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263293 */     // GIR_Coverage, 8089,
     /* 1263293 */     GIR_EraseRootFromParent_Done,
     /* 1263294 */   // Label 18205: @1263294
     /* 1263294 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1263378), // Rule ID 8092 //
     /* 1263299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1263310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1263313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1263316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1263322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263352 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1263355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263377 */     // GIR_Coverage, 8092,
     /* 1263377 */     GIR_EraseRootFromParent_Done,
     /* 1263378 */   // Label 18206: @1263378
     /* 1263378 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1263462), // Rule ID 8093 //
     /* 1263383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1263394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1263397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1263400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1263406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263436 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1263439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263461 */     // GIR_Coverage, 8093,
     /* 1263461 */     GIR_EraseRootFromParent_Done,
     /* 1263462 */   // Label 18207: @1263462
     /* 1263462 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1263546), // Rule ID 8096 //
     /* 1263467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1263484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1263523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263545 */     // GIR_Coverage, 8096,
     /* 1263545 */     GIR_EraseRootFromParent_Done,
     /* 1263546 */   // Label 18208: @1263546
     /* 1263546 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1263630), // Rule ID 8097 //
     /* 1263551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1263568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1263607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263629 */     // GIR_Coverage, 8097,
     /* 1263629 */     GIR_EraseRootFromParent_Done,
     /* 1263630 */   // Label 18209: @1263630
     /* 1263630 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1263714), // Rule ID 8100 //
     /* 1263635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1263691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263713 */     // GIR_Coverage, 8100,
     /* 1263713 */     GIR_EraseRootFromParent_Done,
     /* 1263714 */   // Label 18210: @1263714
     /* 1263714 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1263798), // Rule ID 8101 //
     /* 1263719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1263775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263797 */     // GIR_Coverage, 8101,
     /* 1263797 */     GIR_EraseRootFromParent_Done,
     /* 1263798 */   // Label 18211: @1263798
     /* 1263798 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1263882), // Rule ID 8104 //
     /* 1263803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263856 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1263859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263881 */     // GIR_Coverage, 8104,
     /* 1263881 */     GIR_EraseRootFromParent_Done,
     /* 1263882 */   // Label 18212: @1263882
     /* 1263882 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1263966), // Rule ID 8105 //
     /* 1263887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1263943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263965 */     // GIR_Coverage, 8105,
     /* 1263965 */     GIR_EraseRootFromParent_Done,
     /* 1263966 */   // Label 18213: @1263966
     /* 1263966 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1264050), // Rule ID 8108 //
     /* 1263971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1263979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1264027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264049 */     // GIR_Coverage, 8108,
     /* 1264049 */     GIR_EraseRootFromParent_Done,
     /* 1264050 */   // Label 18214: @1264050
     /* 1264050 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1264134), // Rule ID 8109 //
     /* 1264055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1264072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1264111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264133 */     // GIR_Coverage, 8109,
     /* 1264133 */     GIR_EraseRootFromParent_Done,
     /* 1264134 */   // Label 18215: @1264134
     /* 1264134 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1264218), // Rule ID 8112 //
     /* 1264139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1264156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1264195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264217 */     // GIR_Coverage, 8112,
     /* 1264217 */     GIR_EraseRootFromParent_Done,
     /* 1264218 */   // Label 18216: @1264218
     /* 1264218 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1264302), // Rule ID 8113 //
     /* 1264223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1264240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1264279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264301 */     // GIR_Coverage, 8113,
     /* 1264301 */     GIR_EraseRootFromParent_Done,
     /* 1264302 */   // Label 18217: @1264302
     /* 1264302 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1264386), // Rule ID 8116 //
     /* 1264307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1264324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1264363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264385 */     // GIR_Coverage, 8116,
     /* 1264385 */     GIR_EraseRootFromParent_Done,
     /* 1264386 */   // Label 18218: @1264386
     /* 1264386 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1264470), // Rule ID 8117 //
     /* 1264391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1264408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1264447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264469 */     // GIR_Coverage, 8117,
     /* 1264469 */     GIR_EraseRootFromParent_Done,
     /* 1264470 */   // Label 18219: @1264470
     /* 1264470 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1264554), // Rule ID 8120 //
     /* 1264475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1264492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1264531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264553 */     // GIR_Coverage, 8120,
     /* 1264553 */     GIR_EraseRootFromParent_Done,
     /* 1264554 */   // Label 18220: @1264554
     /* 1264554 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1264638), // Rule ID 8121 //
     /* 1264559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1264576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1264615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264637 */     // GIR_Coverage, 8121,
     /* 1264637 */     GIR_EraseRootFromParent_Done,
     /* 1264638 */   // Label 18221: @1264638
     /* 1264638 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1264722), // Rule ID 8124 //
     /* 1264643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1264699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264721 */     // GIR_Coverage, 8124,
     /* 1264721 */     GIR_EraseRootFromParent_Done,
     /* 1264722 */   // Label 18222: @1264722
     /* 1264722 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1264806), // Rule ID 8125 //
     /* 1264727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1264783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264805 */     // GIR_Coverage, 8125,
     /* 1264805 */     GIR_EraseRootFromParent_Done,
     /* 1264806 */   // Label 18223: @1264806
     /* 1264806 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1264890), // Rule ID 8128 //
     /* 1264811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1264867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264889 */     // GIR_Coverage, 8128,
     /* 1264889 */     GIR_EraseRootFromParent_Done,
     /* 1264890 */   // Label 18224: @1264890
     /* 1264890 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1264974), // Rule ID 8129 //
     /* 1264895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1264951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264973 */     // GIR_Coverage, 8129,
     /* 1264973 */     GIR_EraseRootFromParent_Done,
     /* 1264974 */   // Label 18225: @1264974
     /* 1264974 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1265058), // Rule ID 8220 //
     /* 1264979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1264999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1265035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265057 */     // GIR_Coverage, 8220,
     /* 1265057 */     GIR_EraseRootFromParent_Done,
     /* 1265058 */   // Label 18226: @1265058
     /* 1265058 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1265142), // Rule ID 8221 //
     /* 1265063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1265080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1265083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1265119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265141 */     // GIR_Coverage, 8221,
     /* 1265141 */     GIR_EraseRootFromParent_Done,
     /* 1265142 */   // Label 18227: @1265142
     /* 1265142 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1265226), // Rule ID 8224 //
     /* 1265147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1265164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1265167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1265203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265225 */     // GIR_Coverage, 8224,
     /* 1265225 */     GIR_EraseRootFromParent_Done,
     /* 1265226 */   // Label 18228: @1265226
     /* 1265226 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1265310), // Rule ID 8225 //
     /* 1265231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1265248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1265251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1265287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265309 */     // GIR_Coverage, 8225,
     /* 1265309 */     GIR_EraseRootFromParent_Done,
     /* 1265310 */   // Label 18229: @1265310
     /* 1265310 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1265394), // Rule ID 8228 //
     /* 1265315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1265332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1265335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1265371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265393 */     // GIR_Coverage, 8228,
     /* 1265393 */     GIR_EraseRootFromParent_Done,
     /* 1265394 */   // Label 18230: @1265394
     /* 1265394 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1265478), // Rule ID 8229 //
     /* 1265399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1265416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1265419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1265455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265477 */     // GIR_Coverage, 8229,
     /* 1265477 */     GIR_EraseRootFromParent_Done,
     /* 1265478 */   // Label 18231: @1265478
     /* 1265478 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1265562), // Rule ID 8232 //
     /* 1265483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1265500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1265503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1265539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265561 */     // GIR_Coverage, 8232,
     /* 1265561 */     GIR_EraseRootFromParent_Done,
     /* 1265562 */   // Label 18232: @1265562
     /* 1265562 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1265646), // Rule ID 8233 //
     /* 1265567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1265584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1265587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1265623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265645 */     // GIR_Coverage, 8233,
     /* 1265645 */     GIR_EraseRootFromParent_Done,
     /* 1265646 */   // Label 18233: @1265646
     /* 1265646 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1265730), // Rule ID 8236 //
     /* 1265651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1265671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1265707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265729 */     // GIR_Coverage, 8236,
     /* 1265729 */     GIR_EraseRootFromParent_Done,
     /* 1265730 */   // Label 18234: @1265730
     /* 1265730 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1265814), // Rule ID 8237 //
     /* 1265735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1265755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1265791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265813 */     // GIR_Coverage, 8237,
     /* 1265813 */     GIR_EraseRootFromParent_Done,
     /* 1265814 */   // Label 18235: @1265814
     /* 1265814 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1265898), // Rule ID 8240 //
     /* 1265819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1265839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1265875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265897 */     // GIR_Coverage, 8240,
     /* 1265897 */     GIR_EraseRootFromParent_Done,
     /* 1265898 */   // Label 18236: @1265898
     /* 1265898 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1265982), // Rule ID 8241 //
     /* 1265903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1265923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1265959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265981 */     // GIR_Coverage, 8241,
     /* 1265981 */     GIR_EraseRootFromParent_Done,
     /* 1265982 */   // Label 18237: @1265982
     /* 1265982 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1266066), // Rule ID 8244 //
     /* 1265987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1266004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1266007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266065 */     // GIR_Coverage, 8244,
     /* 1266065 */     GIR_EraseRootFromParent_Done,
     /* 1266066 */   // Label 18238: @1266066
     /* 1266066 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1266150), // Rule ID 8245 //
     /* 1266071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1266088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1266091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266149 */     // GIR_Coverage, 8245,
     /* 1266149 */     GIR_EraseRootFromParent_Done,
     /* 1266150 */   // Label 18239: @1266150
     /* 1266150 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1266234), // Rule ID 8248 //
     /* 1266155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1266172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1266175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266233 */     // GIR_Coverage, 8248,
     /* 1266233 */     GIR_EraseRootFromParent_Done,
     /* 1266234 */   // Label 18240: @1266234
     /* 1266234 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1266318), // Rule ID 8249 //
     /* 1266239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1266256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1266259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266317 */     // GIR_Coverage, 8249,
     /* 1266317 */     GIR_EraseRootFromParent_Done,
     /* 1266318 */   // Label 18241: @1266318
     /* 1266318 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1266402), // Rule ID 8252 //
     /* 1266323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1266340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266401 */     // GIR_Coverage, 8252,
     /* 1266401 */     GIR_EraseRootFromParent_Done,
     /* 1266402 */   // Label 18242: @1266402
     /* 1266402 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1266486), // Rule ID 8253 //
     /* 1266407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1266424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266485 */     // GIR_Coverage, 8253,
     /* 1266485 */     GIR_EraseRootFromParent_Done,
     /* 1266486 */   // Label 18243: @1266486
     /* 1266486 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1266570), // Rule ID 8256 //
     /* 1266491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1266508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1266511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266569 */     // GIR_Coverage, 8256,
     /* 1266569 */     GIR_EraseRootFromParent_Done,
     /* 1266570 */   // Label 18244: @1266570
     /* 1266570 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1266654), // Rule ID 8257 //
     /* 1266575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1266592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1266595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1266631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266653 */     // GIR_Coverage, 8257,
     /* 1266653 */     GIR_EraseRootFromParent_Done,
     /* 1266654 */   // Label 18245: @1266654
     /* 1266654 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1266738), // Rule ID 8260 //
     /* 1266659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1266679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1266715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266737 */     // GIR_Coverage, 8260,
     /* 1266737 */     GIR_EraseRootFromParent_Done,
     /* 1266738 */   // Label 18246: @1266738
     /* 1266738 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1266822), // Rule ID 8261 //
     /* 1266743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1266763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1266799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266821 */     // GIR_Coverage, 8261,
     /* 1266821 */     GIR_EraseRootFromParent_Done,
     /* 1266822 */   // Label 18247: @1266822
     /* 1266822 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1266906), // Rule ID 8264 //
     /* 1266827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1266847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266880 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1266883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266905 */     // GIR_Coverage, 8264,
     /* 1266905 */     GIR_EraseRootFromParent_Done,
     /* 1266906 */   // Label 18248: @1266906
     /* 1266906 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1266990), // Rule ID 8265 //
     /* 1266911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1266931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266964 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1266967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266989 */     // GIR_Coverage, 8265,
     /* 1266989 */     GIR_EraseRootFromParent_Done,
     /* 1266990 */   // Label 18249: @1266990
     /* 1266990 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1267074), // Rule ID 8268 //
     /* 1266995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1267006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1267009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1267012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1267015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1267018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267048 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1267051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267073 */     // GIR_Coverage, 8268,
     /* 1267073 */     GIR_EraseRootFromParent_Done,
     /* 1267074 */   // Label 18250: @1267074
     /* 1267074 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1267158), // Rule ID 8269 //
     /* 1267079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1267090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1267093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1267096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1267099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1267102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267132 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1267135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267157 */     // GIR_Coverage, 8269,
     /* 1267157 */     GIR_EraseRootFromParent_Done,
     /* 1267158 */   // Label 18251: @1267158
     /* 1267158 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1267242), // Rule ID 8272 //
     /* 1267163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1267180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1267183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1267219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267241 */     // GIR_Coverage, 8272,
     /* 1267241 */     GIR_EraseRootFromParent_Done,
     /* 1267242 */   // Label 18252: @1267242
     /* 1267242 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1267326), // Rule ID 8273 //
     /* 1267247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1267264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1267267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1267303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267325 */     // GIR_Coverage, 8273,
     /* 1267325 */     GIR_EraseRootFromParent_Done,
     /* 1267326 */   // Label 18253: @1267326
     /* 1267326 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1267410), // Rule ID 8276 //
     /* 1267331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1267348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1267351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1267387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267409 */     // GIR_Coverage, 8276,
     /* 1267409 */     GIR_EraseRootFromParent_Done,
     /* 1267410 */   // Label 18254: @1267410
     /* 1267410 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1267494), // Rule ID 8277 //
     /* 1267415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1267432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1267435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1267471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267493 */     // GIR_Coverage, 8277,
     /* 1267493 */     GIR_EraseRootFromParent_Done,
     /* 1267494 */   // Label 18255: @1267494
     /* 1267494 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1267578), // Rule ID 8280 //
     /* 1267499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1267516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1267519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267552 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1267555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267577 */     // GIR_Coverage, 8280,
     /* 1267577 */     GIR_EraseRootFromParent_Done,
     /* 1267578 */   // Label 18256: @1267578
     /* 1267578 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1267662), // Rule ID 8281 //
     /* 1267583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1267600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1267603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1267639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267661 */     // GIR_Coverage, 8281,
     /* 1267661 */     GIR_EraseRootFromParent_Done,
     /* 1267662 */   // Label 18257: @1267662
     /* 1267662 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1267746), // Rule ID 8284 //
     /* 1267667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1267687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1267723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267745 */     // GIR_Coverage, 8284,
     /* 1267745 */     GIR_EraseRootFromParent_Done,
     /* 1267746 */   // Label 18258: @1267746
     /* 1267746 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1267830), // Rule ID 8285 //
     /* 1267751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1267771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1267807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267829 */     // GIR_Coverage, 8285,
     /* 1267829 */     GIR_EraseRootFromParent_Done,
     /* 1267830 */   // Label 18259: @1267830
     /* 1267830 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1267914), // Rule ID 8288 //
     /* 1267835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1267855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1267891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267913 */     // GIR_Coverage, 8288,
     /* 1267913 */     GIR_EraseRootFromParent_Done,
     /* 1267914 */   // Label 18260: @1267914
     /* 1267914 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1267998), // Rule ID 8289 //
     /* 1267919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1267927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1267939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1267975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267997 */     // GIR_Coverage, 8289,
     /* 1267997 */     GIR_EraseRootFromParent_Done,
     /* 1267998 */   // Label 18261: @1267998
     /* 1267998 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1268082), // Rule ID 8292 //
     /* 1268003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1268020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1268023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1268059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268081 */     // GIR_Coverage, 8292,
     /* 1268081 */     GIR_EraseRootFromParent_Done,
     /* 1268082 */   // Label 18262: @1268082
     /* 1268082 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1268166), // Rule ID 8293 //
     /* 1268087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1268104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1268107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1268143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268165 */     // GIR_Coverage, 8293,
     /* 1268165 */     GIR_EraseRootFromParent_Done,
     /* 1268166 */   // Label 18263: @1268166
     /* 1268166 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1268250), // Rule ID 8296 //
     /* 1268171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1268188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1268191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1268227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268249 */     // GIR_Coverage, 8296,
     /* 1268249 */     GIR_EraseRootFromParent_Done,
     /* 1268250 */   // Label 18264: @1268250
     /* 1268250 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1268334), // Rule ID 8297 //
     /* 1268255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1268272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1268275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1268311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268333 */     // GIR_Coverage, 8297,
     /* 1268333 */     GIR_EraseRootFromParent_Done,
     /* 1268334 */   // Label 18265: @1268334
     /* 1268334 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1268418), // Rule ID 8300 //
     /* 1268339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1268356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1268359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1268395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268417 */     // GIR_Coverage, 8300,
     /* 1268417 */     GIR_EraseRootFromParent_Done,
     /* 1268418 */   // Label 18266: @1268418
     /* 1268418 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1268502), // Rule ID 8301 //
     /* 1268423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1268440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1268443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1268479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268501 */     // GIR_Coverage, 8301,
     /* 1268501 */     GIR_EraseRootFromParent_Done,
     /* 1268502 */   // Label 18267: @1268502
     /* 1268502 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1268586), // Rule ID 8304 //
     /* 1268507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1268524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1268527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1268563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268585 */     // GIR_Coverage, 8304,
     /* 1268585 */     GIR_EraseRootFromParent_Done,
     /* 1268586 */   // Label 18268: @1268586
     /* 1268586 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1268670), // Rule ID 8305 //
     /* 1268591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1268608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1268611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1268647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268669 */     // GIR_Coverage, 8305,
     /* 1268669 */     GIR_EraseRootFromParent_Done,
     /* 1268670 */   // Label 18269: @1268670
     /* 1268670 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1268754), // Rule ID 8308 //
     /* 1268675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1268731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268753 */     // GIR_Coverage, 8308,
     /* 1268753 */     GIR_EraseRootFromParent_Done,
     /* 1268754 */   // Label 18270: @1268754
     /* 1268754 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1268838), // Rule ID 8309 //
     /* 1268759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268812 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1268815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268837 */     // GIR_Coverage, 8309,
     /* 1268837 */     GIR_EraseRootFromParent_Done,
     /* 1268838 */   // Label 18271: @1268838
     /* 1268838 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1268922), // Rule ID 8312 //
     /* 1268843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1268899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268921 */     // GIR_Coverage, 8312,
     /* 1268921 */     GIR_EraseRootFromParent_Done,
     /* 1268922 */   // Label 18272: @1268922
     /* 1268922 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1269006), // Rule ID 8313 //
     /* 1268927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1268935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1268983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269005 */     // GIR_Coverage, 8313,
     /* 1269005 */     GIR_EraseRootFromParent_Done,
     /* 1269006 */   // Label 18273: @1269006
     /* 1269006 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1269090), // Rule ID 8316 //
     /* 1269011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1269028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1269067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269089 */     // GIR_Coverage, 8316,
     /* 1269089 */     GIR_EraseRootFromParent_Done,
     /* 1269090 */   // Label 18274: @1269090
     /* 1269090 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1269174), // Rule ID 8317 //
     /* 1269095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1269112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1269151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269173 */     // GIR_Coverage, 8317,
     /* 1269173 */     GIR_EraseRootFromParent_Done,
     /* 1269174 */   // Label 18275: @1269174
     /* 1269174 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1269258), // Rule ID 8320 //
     /* 1269179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1269196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1269235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269257 */     // GIR_Coverage, 8320,
     /* 1269257 */     GIR_EraseRootFromParent_Done,
     /* 1269258 */   // Label 18276: @1269258
     /* 1269258 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1269342), // Rule ID 8321 //
     /* 1269263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1269280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1269319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269341 */     // GIR_Coverage, 8321,
     /* 1269341 */     GIR_EraseRootFromParent_Done,
     /* 1269342 */   // Label 18277: @1269342
     /* 1269342 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1269426), // Rule ID 8324 //
     /* 1269347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1269364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1269403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269425 */     // GIR_Coverage, 8324,
     /* 1269425 */     GIR_EraseRootFromParent_Done,
     /* 1269426 */   // Label 18278: @1269426
     /* 1269426 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1269510), // Rule ID 8325 //
     /* 1269431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1269448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1269487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269509 */     // GIR_Coverage, 8325,
     /* 1269509 */     GIR_EraseRootFromParent_Done,
     /* 1269510 */   // Label 18279: @1269510
     /* 1269510 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1269594), // Rule ID 8328 //
     /* 1269515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1269532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1269571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269593 */     // GIR_Coverage, 8328,
     /* 1269593 */     GIR_EraseRootFromParent_Done,
     /* 1269594 */   // Label 18280: @1269594
     /* 1269594 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1269678), // Rule ID 8329 //
     /* 1269599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1269616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1269655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269677 */     // GIR_Coverage, 8329,
     /* 1269677 */     GIR_EraseRootFromParent_Done,
     /* 1269678 */   // Label 18281: @1269678
     /* 1269678 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1269762), // Rule ID 8332 //
     /* 1269683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1269739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269761 */     // GIR_Coverage, 8332,
     /* 1269761 */     GIR_EraseRootFromParent_Done,
     /* 1269762 */   // Label 18282: @1269762
     /* 1269762 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1269846), // Rule ID 8333 //
     /* 1269767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1269823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269845 */     // GIR_Coverage, 8333,
     /* 1269845 */     GIR_EraseRootFromParent_Done,
     /* 1269846 */   // Label 18283: @1269846
     /* 1269846 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1269930), // Rule ID 8336 //
     /* 1269851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1269907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269929 */     // GIR_Coverage, 8336,
     /* 1269929 */     GIR_EraseRootFromParent_Done,
     /* 1269930 */   // Label 18284: @1269930
     /* 1269930 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1270014), // Rule ID 8337 //
     /* 1269935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1269943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1269991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270013 */     // GIR_Coverage, 8337,
     /* 1270013 */     GIR_EraseRootFromParent_Done,
     /* 1270014 */   // Label 18285: @1270014
     /* 1270014 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1270098), // Rule ID 8340 //
     /* 1270019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1270036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1270075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270097 */     // GIR_Coverage, 8340,
     /* 1270097 */     GIR_EraseRootFromParent_Done,
     /* 1270098 */   // Label 18286: @1270098
     /* 1270098 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1270182), // Rule ID 8341 //
     /* 1270103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1270120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1270159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270181 */     // GIR_Coverage, 8341,
     /* 1270181 */     GIR_EraseRootFromParent_Done,
     /* 1270182 */   // Label 18287: @1270182
     /* 1270182 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1270266), // Rule ID 8344 //
     /* 1270187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1270204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1270243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270265 */     // GIR_Coverage, 8344,
     /* 1270265 */     GIR_EraseRootFromParent_Done,
     /* 1270266 */   // Label 18288: @1270266
     /* 1270266 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1270350), // Rule ID 8345 //
     /* 1270271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1270288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1270327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270349 */     // GIR_Coverage, 8345,
     /* 1270349 */     GIR_EraseRootFromParent_Done,
     /* 1270350 */   // Label 18289: @1270350
     /* 1270350 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1270434), // Rule ID 8348 //
     /* 1270355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1270372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1270411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270433 */     // GIR_Coverage, 8348,
     /* 1270433 */     GIR_EraseRootFromParent_Done,
     /* 1270434 */   // Label 18290: @1270434
     /* 1270434 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1270518), // Rule ID 8349 //
     /* 1270439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1270456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1270495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270517 */     // GIR_Coverage, 8349,
     /* 1270517 */     GIR_EraseRootFromParent_Done,
     /* 1270518 */   // Label 18291: @1270518
     /* 1270518 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1270602), // Rule ID 8352 //
     /* 1270523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1270540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1270579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270601 */     // GIR_Coverage, 8352,
     /* 1270601 */     GIR_EraseRootFromParent_Done,
     /* 1270602 */   // Label 18292: @1270602
     /* 1270602 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1270686), // Rule ID 8353 //
     /* 1270607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1270624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270660 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1270663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270685 */     // GIR_Coverage, 8353,
     /* 1270685 */     GIR_EraseRootFromParent_Done,
     /* 1270686 */   // Label 18293: @1270686
     /* 1270686 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1270770), // Rule ID 8356 //
     /* 1270691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270744 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1270747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270769 */     // GIR_Coverage, 8356,
     /* 1270769 */     GIR_EraseRootFromParent_Done,
     /* 1270770 */   // Label 18294: @1270770
     /* 1270770 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1270854), // Rule ID 8357 //
     /* 1270775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270828 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1270831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270853 */     // GIR_Coverage, 8357,
     /* 1270853 */     GIR_EraseRootFromParent_Done,
     /* 1270854 */   // Label 18295: @1270854
     /* 1270854 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1270938), // Rule ID 8360 //
     /* 1270859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1270915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270937 */     // GIR_Coverage, 8360,
     /* 1270937 */     GIR_EraseRootFromParent_Done,
     /* 1270938 */   // Label 18296: @1270938
     /* 1270938 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1271022), // Rule ID 8361 //
     /* 1270943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1270951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1270999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271021 */     // GIR_Coverage, 8361,
     /* 1271021 */     GIR_EraseRootFromParent_Done,
     /* 1271022 */   // Label 18297: @1271022
     /* 1271022 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1271106), // Rule ID 8364 //
     /* 1271027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1271044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1271083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271105 */     // GIR_Coverage, 8364,
     /* 1271105 */     GIR_EraseRootFromParent_Done,
     /* 1271106 */   // Label 18298: @1271106
     /* 1271106 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1271190), // Rule ID 8365 //
     /* 1271111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1271128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1271167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271189 */     // GIR_Coverage, 8365,
     /* 1271189 */     GIR_EraseRootFromParent_Done,
     /* 1271190 */   // Label 18299: @1271190
     /* 1271190 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1271274), // Rule ID 8368 //
     /* 1271195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1271212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271248 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1271251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271273 */     // GIR_Coverage, 8368,
     /* 1271273 */     GIR_EraseRootFromParent_Done,
     /* 1271274 */   // Label 18300: @1271274
     /* 1271274 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1271358), // Rule ID 8369 //
     /* 1271279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1271296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271332 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1271335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271357 */     // GIR_Coverage, 8369,
     /* 1271357 */     GIR_EraseRootFromParent_Done,
     /* 1271358 */   // Label 18301: @1271358
     /* 1271358 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1271442), // Rule ID 8372 //
     /* 1271363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1271380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1271419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271441 */     // GIR_Coverage, 8372,
     /* 1271441 */     GIR_EraseRootFromParent_Done,
     /* 1271442 */   // Label 18302: @1271442
     /* 1271442 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1271526), // Rule ID 8373 //
     /* 1271447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1271464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271500 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1271503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271525 */     // GIR_Coverage, 8373,
     /* 1271525 */     GIR_EraseRootFromParent_Done,
     /* 1271526 */   // Label 18303: @1271526
     /* 1271526 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1271610), // Rule ID 8376 //
     /* 1271531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1271548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1271587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271609 */     // GIR_Coverage, 8376,
     /* 1271609 */     GIR_EraseRootFromParent_Done,
     /* 1271610 */   // Label 18304: @1271610
     /* 1271610 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1271694), // Rule ID 8377 //
     /* 1271615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1271632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1271671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271693 */     // GIR_Coverage, 8377,
     /* 1271693 */     GIR_EraseRootFromParent_Done,
     /* 1271694 */   // Label 18305: @1271694
     /* 1271694 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1271778), // Rule ID 8380 //
     /* 1271699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1271755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271777 */     // GIR_Coverage, 8380,
     /* 1271777 */     GIR_EraseRootFromParent_Done,
     /* 1271778 */   // Label 18306: @1271778
     /* 1271778 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1271862), // Rule ID 8381 //
     /* 1271783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271836 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1271839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271861 */     // GIR_Coverage, 8381,
     /* 1271861 */     GIR_EraseRootFromParent_Done,
     /* 1271862 */   // Label 18307: @1271862
     /* 1271862 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1271946), // Rule ID 8384 //
     /* 1271867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1271923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271945 */     // GIR_Coverage, 8384,
     /* 1271945 */     GIR_EraseRootFromParent_Done,
     /* 1271946 */   // Label 18308: @1271946
     /* 1271946 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1272030), // Rule ID 8385 //
     /* 1271951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1272007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272029 */     // GIR_Coverage, 8385,
     /* 1272029 */     GIR_EraseRootFromParent_Done,
     /* 1272030 */   // Label 18309: @1272030
     /* 1272030 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1272114), // Rule ID 8388 //
     /* 1272035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1272052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1272091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272113 */     // GIR_Coverage, 8388,
     /* 1272113 */     GIR_EraseRootFromParent_Done,
     /* 1272114 */   // Label 18310: @1272114
     /* 1272114 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1272198), // Rule ID 8389 //
     /* 1272119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1272136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1272175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272197 */     // GIR_Coverage, 8389,
     /* 1272197 */     GIR_EraseRootFromParent_Done,
     /* 1272198 */   // Label 18311: @1272198
     /* 1272198 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1272282), // Rule ID 8392 //
     /* 1272203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1272220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1272259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272281 */     // GIR_Coverage, 8392,
     /* 1272281 */     GIR_EraseRootFromParent_Done,
     /* 1272282 */   // Label 18312: @1272282
     /* 1272282 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1272366), // Rule ID 8393 //
     /* 1272287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1272304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1272343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272365 */     // GIR_Coverage, 8393,
     /* 1272365 */     GIR_EraseRootFromParent_Done,
     /* 1272366 */   // Label 18313: @1272366
     /* 1272366 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1272450), // Rule ID 8396 //
     /* 1272371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1272388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1272391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1272427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272449 */     // GIR_Coverage, 8396,
     /* 1272449 */     GIR_EraseRootFromParent_Done,
     /* 1272450 */   // Label 18314: @1272450
     /* 1272450 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1272534), // Rule ID 8397 //
     /* 1272455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1272472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1272475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1272511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272533 */     // GIR_Coverage, 8397,
     /* 1272533 */     GIR_EraseRootFromParent_Done,
     /* 1272534 */   // Label 18315: @1272534
     /* 1272534 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1272618), // Rule ID 8400 //
     /* 1272539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1272556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1272559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1272595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272617 */     // GIR_Coverage, 8400,
     /* 1272617 */     GIR_EraseRootFromParent_Done,
     /* 1272618 */   // Label 18316: @1272618
     /* 1272618 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1272702), // Rule ID 8401 //
     /* 1272623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1272640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1272643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1272679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272701 */     // GIR_Coverage, 8401,
     /* 1272701 */     GIR_EraseRootFromParent_Done,
     /* 1272702 */   // Label 18317: @1272702
     /* 1272702 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1272786), // Rule ID 8404 //
     /* 1272707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1272727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1272763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272785 */     // GIR_Coverage, 8404,
     /* 1272785 */     GIR_EraseRootFromParent_Done,
     /* 1272786 */   // Label 18318: @1272786
     /* 1272786 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1272870), // Rule ID 8405 //
     /* 1272791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1272811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1272847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272869 */     // GIR_Coverage, 8405,
     /* 1272869 */     GIR_EraseRootFromParent_Done,
     /* 1272870 */   // Label 18319: @1272870
     /* 1272870 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1272954), // Rule ID 8408 //
     /* 1272875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1272895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1272931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272953 */     // GIR_Coverage, 8408,
     /* 1272953 */     GIR_EraseRootFromParent_Done,
     /* 1272954 */   // Label 18320: @1272954
     /* 1272954 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1273038), // Rule ID 8409 //
     /* 1272959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1272979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1273015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273037 */     // GIR_Coverage, 8409,
     /* 1273037 */     GIR_EraseRootFromParent_Done,
     /* 1273038 */   // Label 18321: @1273038
     /* 1273038 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1273122), // Rule ID 8412 //
     /* 1273043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1273060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1273063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1273099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273121 */     // GIR_Coverage, 8412,
     /* 1273121 */     GIR_EraseRootFromParent_Done,
     /* 1273122 */   // Label 18322: @1273122
     /* 1273122 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1273206), // Rule ID 8413 //
     /* 1273127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1273144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1273147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1273183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273205 */     // GIR_Coverage, 8413,
     /* 1273205 */     GIR_EraseRootFromParent_Done,
     /* 1273206 */   // Label 18323: @1273206
     /* 1273206 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1273290), // Rule ID 8416 //
     /* 1273211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1273228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1273231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1273267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273289 */     // GIR_Coverage, 8416,
     /* 1273289 */     GIR_EraseRootFromParent_Done,
     /* 1273290 */   // Label 18324: @1273290
     /* 1273290 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1273374), // Rule ID 8417 //
     /* 1273295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1273312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1273315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1273351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273373 */     // GIR_Coverage, 8417,
     /* 1273373 */     GIR_EraseRootFromParent_Done,
     /* 1273374 */   // Label 18325: @1273374
     /* 1273374 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1273458), // Rule ID 8420 //
     /* 1273379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1273396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1273399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1273435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273457 */     // GIR_Coverage, 8420,
     /* 1273457 */     GIR_EraseRootFromParent_Done,
     /* 1273458 */   // Label 18326: @1273458
     /* 1273458 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1273542), // Rule ID 8421 //
     /* 1273463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1273480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1273483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1273519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273541 */     // GIR_Coverage, 8421,
     /* 1273541 */     GIR_EraseRootFromParent_Done,
     /* 1273542 */   // Label 18327: @1273542
     /* 1273542 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1273626), // Rule ID 8424 //
     /* 1273547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1273603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273625 */     // GIR_Coverage, 8424,
     /* 1273625 */     GIR_EraseRootFromParent_Done,
     /* 1273626 */   // Label 18328: @1273626
     /* 1273626 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1273710), // Rule ID 8425 //
     /* 1273631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1273687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273709 */     // GIR_Coverage, 8425,
     /* 1273709 */     GIR_EraseRootFromParent_Done,
     /* 1273710 */   // Label 18329: @1273710
     /* 1273710 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1273794), // Rule ID 8428 //
     /* 1273715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1273771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273793 */     // GIR_Coverage, 8428,
     /* 1273793 */     GIR_EraseRootFromParent_Done,
     /* 1273794 */   // Label 18330: @1273794
     /* 1273794 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1273878), // Rule ID 8429 //
     /* 1273799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1273855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273877 */     // GIR_Coverage, 8429,
     /* 1273877 */     GIR_EraseRootFromParent_Done,
     /* 1273878 */   // Label 18331: @1273878
     /* 1273878 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1273962), // Rule ID 8432 //
     /* 1273883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1273903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1273939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273961 */     // GIR_Coverage, 8432,
     /* 1273961 */     GIR_EraseRootFromParent_Done,
     /* 1273962 */   // Label 18332: @1273962
     /* 1273962 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1274046), // Rule ID 8433 //
     /* 1273967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1273987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1274023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274045 */     // GIR_Coverage, 8433,
     /* 1274045 */     GIR_EraseRootFromParent_Done,
     /* 1274046 */   // Label 18333: @1274046
     /* 1274046 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1274130), // Rule ID 8436 //
     /* 1274051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1274068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1274071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1274107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274129 */     // GIR_Coverage, 8436,
     /* 1274129 */     GIR_EraseRootFromParent_Done,
     /* 1274130 */   // Label 18334: @1274130
     /* 1274130 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1274214), // Rule ID 8437 //
     /* 1274135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1274152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1274155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1274191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274213 */     // GIR_Coverage, 8437,
     /* 1274213 */     GIR_EraseRootFromParent_Done,
     /* 1274214 */   // Label 18335: @1274214
     /* 1274214 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1274298), // Rule ID 8440 //
     /* 1274219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1274236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1274239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274272 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1274275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274297 */     // GIR_Coverage, 8440,
     /* 1274297 */     GIR_EraseRootFromParent_Done,
     /* 1274298 */   // Label 18336: @1274298
     /* 1274298 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1274382), // Rule ID 8441 //
     /* 1274303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1274320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1274323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1274359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274381 */     // GIR_Coverage, 8441,
     /* 1274381 */     GIR_EraseRootFromParent_Done,
     /* 1274382 */   // Label 18337: @1274382
     /* 1274382 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1274466), // Rule ID 8444 //
     /* 1274387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1274398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1274401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1274404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1274407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1274410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274440 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1274443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274465 */     // GIR_Coverage, 8444,
     /* 1274465 */     GIR_EraseRootFromParent_Done,
     /* 1274466 */   // Label 18338: @1274466
     /* 1274466 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1274550), // Rule ID 8445 //
     /* 1274471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1274482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1274485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1274488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1274491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1274494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274524 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1274527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274549 */     // GIR_Coverage, 8445,
     /* 1274549 */     GIR_EraseRootFromParent_Done,
     /* 1274550 */   // Label 18339: @1274550
     /* 1274550 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1274634), // Rule ID 8448 //
     /* 1274555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1274575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1274611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274633 */     // GIR_Coverage, 8448,
     /* 1274633 */     GIR_EraseRootFromParent_Done,
     /* 1274634 */   // Label 18340: @1274634
     /* 1274634 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1274718), // Rule ID 8449 //
     /* 1274639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1274659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1274695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274717 */     // GIR_Coverage, 8449,
     /* 1274717 */     GIR_EraseRootFromParent_Done,
     /* 1274718 */   // Label 18341: @1274718
     /* 1274718 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1274802), // Rule ID 8452 //
     /* 1274723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1274743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1274779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274801 */     // GIR_Coverage, 8452,
     /* 1274801 */     GIR_EraseRootFromParent_Done,
     /* 1274802 */   // Label 18342: @1274802
     /* 1274802 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1274886), // Rule ID 8453 //
     /* 1274807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1274827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274860 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1274863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274885 */     // GIR_Coverage, 8453,
     /* 1274885 */     GIR_EraseRootFromParent_Done,
     /* 1274886 */   // Label 18343: @1274886
     /* 1274886 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1274970), // Rule ID 8456 //
     /* 1274891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1274911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1274947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274969 */     // GIR_Coverage, 8456,
     /* 1274969 */     GIR_EraseRootFromParent_Done,
     /* 1274970 */   // Label 18344: @1274970
     /* 1274970 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1275054), // Rule ID 8457 //
     /* 1274975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1274983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1274995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275028 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1275031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275053 */     // GIR_Coverage, 8457,
     /* 1275053 */     GIR_EraseRootFromParent_Done,
     /* 1275054 */   // Label 18345: @1275054
     /* 1275054 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1275138), // Rule ID 8460 //
     /* 1275059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1275076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1275079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1275115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275137 */     // GIR_Coverage, 8460,
     /* 1275137 */     GIR_EraseRootFromParent_Done,
     /* 1275138 */   // Label 18346: @1275138
     /* 1275138 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1275222), // Rule ID 8461 //
     /* 1275143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1275160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1275163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1275199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275221 */     // GIR_Coverage, 8461,
     /* 1275221 */     GIR_EraseRootFromParent_Done,
     /* 1275222 */   // Label 18347: @1275222
     /* 1275222 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1275306), // Rule ID 8464 //
     /* 1275227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1275244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1275247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1275283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275305 */     // GIR_Coverage, 8464,
     /* 1275305 */     GIR_EraseRootFromParent_Done,
     /* 1275306 */   // Label 18348: @1275306
     /* 1275306 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1275390), // Rule ID 8465 //
     /* 1275311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1275328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1275331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1275367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275389 */     // GIR_Coverage, 8465,
     /* 1275389 */     GIR_EraseRootFromParent_Done,
     /* 1275390 */   // Label 18349: @1275390
     /* 1275390 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1275474), // Rule ID 8468 //
     /* 1275395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1275412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1275415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1275451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275473 */     // GIR_Coverage, 8468,
     /* 1275473 */     GIR_EraseRootFromParent_Done,
     /* 1275474 */   // Label 18350: @1275474
     /* 1275474 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1275558), // Rule ID 8469 //
     /* 1275479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1275496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1275499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1275535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275557 */     // GIR_Coverage, 8469,
     /* 1275557 */     GIR_EraseRootFromParent_Done,
     /* 1275558 */   // Label 18351: @1275558
     /* 1275558 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1275642), // Rule ID 8472 //
     /* 1275563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1275583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1275619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275641 */     // GIR_Coverage, 8472,
     /* 1275641 */     GIR_EraseRootFromParent_Done,
     /* 1275642 */   // Label 18352: @1275642
     /* 1275642 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1275726), // Rule ID 8473 //
     /* 1275647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1275667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1275703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275725 */     // GIR_Coverage, 8473,
     /* 1275725 */     GIR_EraseRootFromParent_Done,
     /* 1275726 */   // Label 18353: @1275726
     /* 1275726 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1275810), // Rule ID 8476 //
     /* 1275731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1275751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1275787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275809 */     // GIR_Coverage, 8476,
     /* 1275809 */     GIR_EraseRootFromParent_Done,
     /* 1275810 */   // Label 18354: @1275810
     /* 1275810 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1275894), // Rule ID 8477 //
     /* 1275815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1275835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1275871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275893 */     // GIR_Coverage, 8477,
     /* 1275893 */     GIR_EraseRootFromParent_Done,
     /* 1275894 */   // Label 18355: @1275894
     /* 1275894 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1275978), // Rule ID 8480 //
     /* 1275899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1275919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1275955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275977 */     // GIR_Coverage, 8480,
     /* 1275977 */     GIR_EraseRootFromParent_Done,
     /* 1275978 */   // Label 18356: @1275978
     /* 1275978 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1276062), // Rule ID 8481 //
     /* 1275983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1275991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1276000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1276003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1276039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276061 */     // GIR_Coverage, 8481,
     /* 1276061 */     GIR_EraseRootFromParent_Done,
     /* 1276062 */   // Label 18357: @1276062
     /* 1276062 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1276146), // Rule ID 8484 //
     /* 1276067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1276084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1276123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276145 */     // GIR_Coverage, 8484,
     /* 1276145 */     GIR_EraseRootFromParent_Done,
     /* 1276146 */   // Label 18358: @1276146
     /* 1276146 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1276230), // Rule ID 8485 //
     /* 1276151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1276168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1276207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276229 */     // GIR_Coverage, 8485,
     /* 1276229 */     GIR_EraseRootFromParent_Done,
     /* 1276230 */   // Label 18359: @1276230
     /* 1276230 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1276314), // Rule ID 8488 //
     /* 1276235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1276252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1276291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276313 */     // GIR_Coverage, 8488,
     /* 1276313 */     GIR_EraseRootFromParent_Done,
     /* 1276314 */   // Label 18360: @1276314
     /* 1276314 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1276398), // Rule ID 8489 //
     /* 1276319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1276336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1276375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276397 */     // GIR_Coverage, 8489,
     /* 1276397 */     GIR_EraseRootFromParent_Done,
     /* 1276398 */   // Label 18361: @1276398
     /* 1276398 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1276482), // Rule ID 8492 //
     /* 1276403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1276420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1276459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276481 */     // GIR_Coverage, 8492,
     /* 1276481 */     GIR_EraseRootFromParent_Done,
     /* 1276482 */   // Label 18362: @1276482
     /* 1276482 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1276566), // Rule ID 8493 //
     /* 1276487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1276504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1276543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276565 */     // GIR_Coverage, 8493,
     /* 1276565 */     GIR_EraseRootFromParent_Done,
     /* 1276566 */   // Label 18363: @1276566
     /* 1276566 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1276650), // Rule ID 8496 //
     /* 1276571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1276627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276649 */     // GIR_Coverage, 8496,
     /* 1276649 */     GIR_EraseRootFromParent_Done,
     /* 1276650 */   // Label 18364: @1276650
     /* 1276650 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1276734), // Rule ID 8497 //
     /* 1276655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1276711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276733 */     // GIR_Coverage, 8497,
     /* 1276733 */     GIR_EraseRootFromParent_Done,
     /* 1276734 */   // Label 18365: @1276734
     /* 1276734 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1276818), // Rule ID 8500 //
     /* 1276739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1276795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276817 */     // GIR_Coverage, 8500,
     /* 1276817 */     GIR_EraseRootFromParent_Done,
     /* 1276818 */   // Label 18366: @1276818
     /* 1276818 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1276902), // Rule ID 8501 //
     /* 1276823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1276879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276901 */     // GIR_Coverage, 8501,
     /* 1276901 */     GIR_EraseRootFromParent_Done,
     /* 1276902 */   // Label 18367: @1276902
     /* 1276902 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1276986), // Rule ID 8504 //
     /* 1276907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1276963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276985 */     // GIR_Coverage, 8504,
     /* 1276985 */     GIR_EraseRootFromParent_Done,
     /* 1276986 */   // Label 18368: @1276986
     /* 1276986 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1277070), // Rule ID 8505 //
     /* 1276991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1276999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1277008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1277047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277069 */     // GIR_Coverage, 8505,
     /* 1277069 */     GIR_EraseRootFromParent_Done,
     /* 1277070 */   // Label 18369: @1277070
     /* 1277070 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1277154), // Rule ID 8508 //
     /* 1277075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1277092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277153 */     // GIR_Coverage, 8508,
     /* 1277153 */     GIR_EraseRootFromParent_Done,
     /* 1277154 */   // Label 18370: @1277154
     /* 1277154 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1277238), // Rule ID 8509 //
     /* 1277159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1277176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277237 */     // GIR_Coverage, 8509,
     /* 1277237 */     GIR_EraseRootFromParent_Done,
     /* 1277238 */   // Label 18371: @1277238
     /* 1277238 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1277322), // Rule ID 8512 //
     /* 1277243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1277260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277321 */     // GIR_Coverage, 8512,
     /* 1277321 */     GIR_EraseRootFromParent_Done,
     /* 1277322 */   // Label 18372: @1277322
     /* 1277322 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1277406), // Rule ID 8513 //
     /* 1277327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1277344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277405 */     // GIR_Coverage, 8513,
     /* 1277405 */     GIR_EraseRootFromParent_Done,
     /* 1277406 */   // Label 18373: @1277406
     /* 1277406 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1277490), // Rule ID 8516 //
     /* 1277411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1277428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277489 */     // GIR_Coverage, 8516,
     /* 1277489 */     GIR_EraseRootFromParent_Done,
     /* 1277490 */   // Label 18374: @1277490
     /* 1277490 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1277574), // Rule ID 8517 //
     /* 1277495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1277512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277573 */     // GIR_Coverage, 8517,
     /* 1277573 */     GIR_EraseRootFromParent_Done,
     /* 1277574 */   // Label 18375: @1277574
     /* 1277574 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1277658), // Rule ID 8520 //
     /* 1277579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277657 */     // GIR_Coverage, 8520,
     /* 1277657 */     GIR_EraseRootFromParent_Done,
     /* 1277658 */   // Label 18376: @1277658
     /* 1277658 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1277742), // Rule ID 8521 //
     /* 1277663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1277719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277741 */     // GIR_Coverage, 8521,
     /* 1277741 */     GIR_EraseRootFromParent_Done,
     /* 1277742 */   // Label 18377: @1277742
     /* 1277742 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1277826), // Rule ID 8524 //
     /* 1277747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1277803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277825 */     // GIR_Coverage, 8524,
     /* 1277825 */     GIR_EraseRootFromParent_Done,
     /* 1277826 */   // Label 18378: @1277826
     /* 1277826 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1277910), // Rule ID 8525 //
     /* 1277831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1277887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277909 */     // GIR_Coverage, 8525,
     /* 1277909 */     GIR_EraseRootFromParent_Done,
     /* 1277910 */   // Label 18379: @1277910
     /* 1277910 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1277994), // Rule ID 8528 //
     /* 1277915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1277923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1277971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277993 */     // GIR_Coverage, 8528,
     /* 1277993 */     GIR_EraseRootFromParent_Done,
     /* 1277994 */   // Label 18380: @1277994
     /* 1277994 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1278078), // Rule ID 8529 //
     /* 1277999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1278016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278052 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1278055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278077 */     // GIR_Coverage, 8529,
     /* 1278077 */     GIR_EraseRootFromParent_Done,
     /* 1278078 */   // Label 18381: @1278078
     /* 1278078 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1278162), // Rule ID 8532 //
     /* 1278083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1278094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1278097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1278100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1278106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278136 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1278139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278161 */     // GIR_Coverage, 8532,
     /* 1278161 */     GIR_EraseRootFromParent_Done,
     /* 1278162 */   // Label 18382: @1278162
     /* 1278162 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1278246), // Rule ID 8533 //
     /* 1278167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1278178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1278181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1278184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1278190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278220 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1278223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278245 */     // GIR_Coverage, 8533,
     /* 1278245 */     GIR_EraseRootFromParent_Done,
     /* 1278246 */   // Label 18383: @1278246
     /* 1278246 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1278330), // Rule ID 8536 //
     /* 1278251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1278268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1278307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278329 */     // GIR_Coverage, 8536,
     /* 1278329 */     GIR_EraseRootFromParent_Done,
     /* 1278330 */   // Label 18384: @1278330
     /* 1278330 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1278414), // Rule ID 8537 //
     /* 1278335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1278352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1278391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278413 */     // GIR_Coverage, 8537,
     /* 1278413 */     GIR_EraseRootFromParent_Done,
     /* 1278414 */   // Label 18385: @1278414
     /* 1278414 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1278498), // Rule ID 8540 //
     /* 1278419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1278436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1278475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278497 */     // GIR_Coverage, 8540,
     /* 1278497 */     GIR_EraseRootFromParent_Done,
     /* 1278498 */   // Label 18386: @1278498
     /* 1278498 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1278582), // Rule ID 8541 //
     /* 1278503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1278520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1278559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278581 */     // GIR_Coverage, 8541,
     /* 1278581 */     GIR_EraseRootFromParent_Done,
     /* 1278582 */   // Label 18387: @1278582
     /* 1278582 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1278666), // Rule ID 8544 //
     /* 1278587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1278604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1278643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278665 */     // GIR_Coverage, 8544,
     /* 1278665 */     GIR_EraseRootFromParent_Done,
     /* 1278666 */   // Label 18388: @1278666
     /* 1278666 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1278750), // Rule ID 8545 //
     /* 1278671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1278688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278724 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1278727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278749 */     // GIR_Coverage, 8545,
     /* 1278749 */     GIR_EraseRootFromParent_Done,
     /* 1278750 */   // Label 18389: @1278750
     /* 1278750 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1278834), // Rule ID 8548 //
     /* 1278755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1278811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278833 */     // GIR_Coverage, 8548,
     /* 1278833 */     GIR_EraseRootFromParent_Done,
     /* 1278834 */   // Label 18390: @1278834
     /* 1278834 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1278918), // Rule ID 8549 //
     /* 1278839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1278895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278917 */     // GIR_Coverage, 8549,
     /* 1278917 */     GIR_EraseRootFromParent_Done,
     /* 1278918 */   // Label 18391: @1278918
     /* 1278918 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1279002), // Rule ID 8552 //
     /* 1278923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1278931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1278979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279001 */     // GIR_Coverage, 8552,
     /* 1279001 */     GIR_EraseRootFromParent_Done,
     /* 1279002 */   // Label 18392: @1279002
     /* 1279002 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1279086), // Rule ID 8553 //
     /* 1279007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1279024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1279063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279085 */     // GIR_Coverage, 8553,
     /* 1279085 */     GIR_EraseRootFromParent_Done,
     /* 1279086 */   // Label 18393: @1279086
     /* 1279086 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1279170), // Rule ID 8556 //
     /* 1279091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1279108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1279147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279169 */     // GIR_Coverage, 8556,
     /* 1279169 */     GIR_EraseRootFromParent_Done,
     /* 1279170 */   // Label 18394: @1279170
     /* 1279170 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1279254), // Rule ID 8557 //
     /* 1279175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1279192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1279231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279253 */     // GIR_Coverage, 8557,
     /* 1279253 */     GIR_EraseRootFromParent_Done,
     /* 1279254 */   // Label 18395: @1279254
     /* 1279254 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1279338), // Rule ID 8560 //
     /* 1279259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1279276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1279315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279337 */     // GIR_Coverage, 8560,
     /* 1279337 */     GIR_EraseRootFromParent_Done,
     /* 1279338 */   // Label 18396: @1279338
     /* 1279338 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1279422), // Rule ID 8561 //
     /* 1279343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1279360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1279399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279421 */     // GIR_Coverage, 8561,
     /* 1279421 */     GIR_EraseRootFromParent_Done,
     /* 1279422 */   // Label 18397: @1279422
     /* 1279422 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1279506), // Rule ID 8564 //
     /* 1279427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1279444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1279483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279505 */     // GIR_Coverage, 8564,
     /* 1279505 */     GIR_EraseRootFromParent_Done,
     /* 1279506 */   // Label 18398: @1279506
     /* 1279506 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1279590), // Rule ID 8565 //
     /* 1279511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1279528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1279567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279589 */     // GIR_Coverage, 8565,
     /* 1279589 */     GIR_EraseRootFromParent_Done,
     /* 1279590 */   // Label 18399: @1279590
     /* 1279590 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1279674), // Rule ID 8568 //
     /* 1279595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1279612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1279651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279673 */     // GIR_Coverage, 8568,
     /* 1279673 */     GIR_EraseRootFromParent_Done,
     /* 1279674 */   // Label 18400: @1279674
     /* 1279674 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1279758), // Rule ID 8569 //
     /* 1279679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1279696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1279735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279757 */     // GIR_Coverage, 8569,
     /* 1279757 */     GIR_EraseRootFromParent_Done,
     /* 1279758 */   // Label 18401: @1279758
     /* 1279758 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1279842), // Rule ID 8572 //
     /* 1279763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1279783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1279819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279841 */     // GIR_Coverage, 8572,
     /* 1279841 */     GIR_EraseRootFromParent_Done,
     /* 1279842 */   // Label 18402: @1279842
     /* 1279842 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1279926), // Rule ID 8573 //
     /* 1279847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1279867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1279903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279925 */     // GIR_Coverage, 8573,
     /* 1279925 */     GIR_EraseRootFromParent_Done,
     /* 1279926 */   // Label 18403: @1279926
     /* 1279926 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1280010), // Rule ID 8576 //
     /* 1279931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1279951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1279987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280009 */     // GIR_Coverage, 8576,
     /* 1280009 */     GIR_EraseRootFromParent_Done,
     /* 1280010 */   // Label 18404: @1280010
     /* 1280010 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1280094), // Rule ID 8577 //
     /* 1280015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1280032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1280035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1280071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280093 */     // GIR_Coverage, 8577,
     /* 1280093 */     GIR_EraseRootFromParent_Done,
     /* 1280094 */   // Label 18405: @1280094
     /* 1280094 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1280178), // Rule ID 8580 //
     /* 1280099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1280116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1280119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1280155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280177 */     // GIR_Coverage, 8580,
     /* 1280177 */     GIR_EraseRootFromParent_Done,
     /* 1280178 */   // Label 18406: @1280178
     /* 1280178 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1280262), // Rule ID 8581 //
     /* 1280183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1280200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1280203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1280239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280261 */     // GIR_Coverage, 8581,
     /* 1280261 */     GIR_EraseRootFromParent_Done,
     /* 1280262 */   // Label 18407: @1280262
     /* 1280262 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1280346), // Rule ID 8584 //
     /* 1280267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1280284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1280287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1280323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280345 */     // GIR_Coverage, 8584,
     /* 1280345 */     GIR_EraseRootFromParent_Done,
     /* 1280346 */   // Label 18408: @1280346
     /* 1280346 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1280430), // Rule ID 8585 //
     /* 1280351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1280368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1280371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1280407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280429 */     // GIR_Coverage, 8585,
     /* 1280429 */     GIR_EraseRootFromParent_Done,
     /* 1280430 */   // Label 18409: @1280430
     /* 1280430 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1280514), // Rule ID 8588 //
     /* 1280435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1280452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1280455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1280491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280513 */     // GIR_Coverage, 8588,
     /* 1280513 */     GIR_EraseRootFromParent_Done,
     /* 1280514 */   // Label 18410: @1280514
     /* 1280514 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1280598), // Rule ID 8589 //
     /* 1280519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1280536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1280539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1280575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280597 */     // GIR_Coverage, 8589,
     /* 1280597 */     GIR_EraseRootFromParent_Done,
     /* 1280598 */   // Label 18411: @1280598
     /* 1280598 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1280682), // Rule ID 8592 //
     /* 1280603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1280620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1280623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1280659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280681 */     // GIR_Coverage, 8592,
     /* 1280681 */     GIR_EraseRootFromParent_Done,
     /* 1280682 */   // Label 18412: @1280682
     /* 1280682 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1280766), // Rule ID 8593 //
     /* 1280687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1280704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1280707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1280743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280765 */     // GIR_Coverage, 8593,
     /* 1280765 */     GIR_EraseRootFromParent_Done,
     /* 1280766 */   // Label 18413: @1280766
     /* 1280766 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1280850), // Rule ID 8596 //
     /* 1280771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1280827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280849 */     // GIR_Coverage, 8596,
     /* 1280849 */     GIR_EraseRootFromParent_Done,
     /* 1280850 */   // Label 18414: @1280850
     /* 1280850 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1280934), // Rule ID 8597 //
     /* 1280855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1280911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280933 */     // GIR_Coverage, 8597,
     /* 1280933 */     GIR_EraseRootFromParent_Done,
     /* 1280934 */   // Label 18415: @1280934
     /* 1280934 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1281018), // Rule ID 8600 //
     /* 1280939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1280959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1280995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281017 */     // GIR_Coverage, 8600,
     /* 1281017 */     GIR_EraseRootFromParent_Done,
     /* 1281018 */   // Label 18416: @1281018
     /* 1281018 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1281102), // Rule ID 8601 //
     /* 1281023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1281040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1281043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1281079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281101 */     // GIR_Coverage, 8601,
     /* 1281101 */     GIR_EraseRootFromParent_Done,
     /* 1281102 */   // Label 18417: @1281102
     /* 1281102 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1281186), // Rule ID 8604 //
     /* 1281107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1281124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1281163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281185 */     // GIR_Coverage, 8604,
     /* 1281185 */     GIR_EraseRootFromParent_Done,
     /* 1281186 */   // Label 18418: @1281186
     /* 1281186 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1281270), // Rule ID 8605 //
     /* 1281191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1281208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1281247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281269 */     // GIR_Coverage, 8605,
     /* 1281269 */     GIR_EraseRootFromParent_Done,
     /* 1281270 */   // Label 18419: @1281270
     /* 1281270 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1281354), // Rule ID 8608 //
     /* 1281275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1281292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1281295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1281331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281353 */     // GIR_Coverage, 8608,
     /* 1281353 */     GIR_EraseRootFromParent_Done,
     /* 1281354 */   // Label 18420: @1281354
     /* 1281354 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1281438), // Rule ID 8609 //
     /* 1281359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1281376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1281379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1281415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281437 */     // GIR_Coverage, 8609,
     /* 1281437 */     GIR_EraseRootFromParent_Done,
     /* 1281438 */   // Label 18421: @1281438
     /* 1281438 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1281522), // Rule ID 8612 //
     /* 1281443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1281460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1281463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1281499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281521 */     // GIR_Coverage, 8612,
     /* 1281521 */     GIR_EraseRootFromParent_Done,
     /* 1281522 */   // Label 18422: @1281522
     /* 1281522 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1281606), // Rule ID 8613 //
     /* 1281527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1281544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1281547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1281583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281605 */     // GIR_Coverage, 8613,
     /* 1281605 */     GIR_EraseRootFromParent_Done,
     /* 1281606 */   // Label 18423: @1281606
     /* 1281606 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1281690), // Rule ID 8616 //
     /* 1281611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1281628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1281631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1281667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281689 */     // GIR_Coverage, 8616,
     /* 1281689 */     GIR_EraseRootFromParent_Done,
     /* 1281690 */   // Label 18424: @1281690
     /* 1281690 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1281774), // Rule ID 8617 //
     /* 1281695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1281712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1281715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1281751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281773 */     // GIR_Coverage, 8617,
     /* 1281773 */     GIR_EraseRootFromParent_Done,
     /* 1281774 */   // Label 18425: @1281774
     /* 1281774 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1281858), // Rule ID 8620 //
     /* 1281779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1281799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281832 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1281835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281857 */     // GIR_Coverage, 8620,
     /* 1281857 */     GIR_EraseRootFromParent_Done,
     /* 1281858 */   // Label 18426: @1281858
     /* 1281858 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1281942), // Rule ID 8621 //
     /* 1281863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1281883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281916 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1281919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281941 */     // GIR_Coverage, 8621,
     /* 1281941 */     GIR_EraseRootFromParent_Done,
     /* 1281942 */   // Label 18427: @1281942
     /* 1281942 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1282026), // Rule ID 8624 //
     /* 1281947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1281967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1282003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282025 */     // GIR_Coverage, 8624,
     /* 1282025 */     GIR_EraseRootFromParent_Done,
     /* 1282026 */   // Label 18428: @1282026
     /* 1282026 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1282110), // Rule ID 8625 //
     /* 1282031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1282048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1282051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1282087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282109 */     // GIR_Coverage, 8625,
     /* 1282109 */     GIR_EraseRootFromParent_Done,
     /* 1282110 */   // Label 18429: @1282110
     /* 1282110 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1282194), // Rule ID 8628 //
     /* 1282115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1282132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1282135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1282171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282193 */     // GIR_Coverage, 8628,
     /* 1282193 */     GIR_EraseRootFromParent_Done,
     /* 1282194 */   // Label 18430: @1282194
     /* 1282194 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1282278), // Rule ID 8629 //
     /* 1282199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1282216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1282219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1282255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282277 */     // GIR_Coverage, 8629,
     /* 1282277 */     GIR_EraseRootFromParent_Done,
     /* 1282278 */   // Label 18431: @1282278
     /* 1282278 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1282362), // Rule ID 8632 //
     /* 1282283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1282294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1282297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1282300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1282303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1282306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1282339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282361 */     // GIR_Coverage, 8632,
     /* 1282361 */     GIR_EraseRootFromParent_Done,
     /* 1282362 */   // Label 18432: @1282362
     /* 1282362 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1282446), // Rule ID 8633 //
     /* 1282367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1282378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1282381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1282384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1282387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1282390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1282423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282445 */     // GIR_Coverage, 8633,
     /* 1282445 */     GIR_EraseRootFromParent_Done,
     /* 1282446 */   // Label 18433: @1282446
     /* 1282446 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1282530), // Rule ID 8636 //
     /* 1282451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1282468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1282471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1282507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282529 */     // GIR_Coverage, 8636,
     /* 1282529 */     GIR_EraseRootFromParent_Done,
     /* 1282530 */   // Label 18434: @1282530
     /* 1282530 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1282614), // Rule ID 8637 //
     /* 1282535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1282552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1282555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1282591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282613 */     // GIR_Coverage, 8637,
     /* 1282613 */     GIR_EraseRootFromParent_Done,
     /* 1282614 */   // Label 18435: @1282614
     /* 1282614 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1282698), // Rule ID 8640 //
     /* 1282619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1282639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1282675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282697 */     // GIR_Coverage, 8640,
     /* 1282697 */     GIR_EraseRootFromParent_Done,
     /* 1282698 */   // Label 18436: @1282698
     /* 1282698 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1282782), // Rule ID 8641 //
     /* 1282703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1282723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1282759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282781 */     // GIR_Coverage, 8641,
     /* 1282781 */     GIR_EraseRootFromParent_Done,
     /* 1282782 */   // Label 18437: @1282782
     /* 1282782 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1282866), // Rule ID 8644 //
     /* 1282787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1282807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1282843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282865 */     // GIR_Coverage, 8644,
     /* 1282865 */     GIR_EraseRootFromParent_Done,
     /* 1282866 */   // Label 18438: @1282866
     /* 1282866 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1282950), // Rule ID 8645 //
     /* 1282871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1282891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1282927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282949 */     // GIR_Coverage, 8645,
     /* 1282949 */     GIR_EraseRootFromParent_Done,
     /* 1282950 */   // Label 18439: @1282950
     /* 1282950 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1283034), // Rule ID 8648 //
     /* 1282955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1282963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1282975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1283011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283033 */     // GIR_Coverage, 8648,
     /* 1283033 */     GIR_EraseRootFromParent_Done,
     /* 1283034 */   // Label 18440: @1283034
     /* 1283034 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1283118), // Rule ID 8649 //
     /* 1283039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1283056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1283059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1283095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283117 */     // GIR_Coverage, 8649,
     /* 1283117 */     GIR_EraseRootFromParent_Done,
     /* 1283118 */   // Label 18441: @1283118
     /* 1283118 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1283202), // Rule ID 8652 //
     /* 1283123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1283140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1283143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1283179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283201 */     // GIR_Coverage, 8652,
     /* 1283201 */     GIR_EraseRootFromParent_Done,
     /* 1283202 */   // Label 18442: @1283202
     /* 1283202 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1283286), // Rule ID 8653 //
     /* 1283207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1283224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1283227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1283263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283285 */     // GIR_Coverage, 8653,
     /* 1283285 */     GIR_EraseRootFromParent_Done,
     /* 1283286 */   // Label 18443: @1283286
     /* 1283286 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1283370), // Rule ID 8656 //
     /* 1283291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1283308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1283311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1283347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283369 */     // GIR_Coverage, 8656,
     /* 1283369 */     GIR_EraseRootFromParent_Done,
     /* 1283370 */   // Label 18444: @1283370
     /* 1283370 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1283454), // Rule ID 8657 //
     /* 1283375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1283392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1283395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1283431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283453 */     // GIR_Coverage, 8657,
     /* 1283453 */     GIR_EraseRootFromParent_Done,
     /* 1283454 */   // Label 18445: @1283454
     /* 1283454 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1283538), // Rule ID 8660 //
     /* 1283459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1283476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1283515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283537 */     // GIR_Coverage, 8660,
     /* 1283537 */     GIR_EraseRootFromParent_Done,
     /* 1283538 */   // Label 18446: @1283538
     /* 1283538 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1283622), // Rule ID 8661 //
     /* 1283543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1283560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1283599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283621 */     // GIR_Coverage, 8661,
     /* 1283621 */     GIR_EraseRootFromParent_Done,
     /* 1283622 */   // Label 18447: @1283622
     /* 1283622 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1283706), // Rule ID 8664 //
     /* 1283627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1283683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283705 */     // GIR_Coverage, 8664,
     /* 1283705 */     GIR_EraseRootFromParent_Done,
     /* 1283706 */   // Label 18448: @1283706
     /* 1283706 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1283790), // Rule ID 8665 //
     /* 1283711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1283767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283789 */     // GIR_Coverage, 8665,
     /* 1283789 */     GIR_EraseRootFromParent_Done,
     /* 1283790 */   // Label 18449: @1283790
     /* 1283790 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1283874), // Rule ID 8668 //
     /* 1283795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1283851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283873 */     // GIR_Coverage, 8668,
     /* 1283873 */     GIR_EraseRootFromParent_Done,
     /* 1283874 */   // Label 18450: @1283874
     /* 1283874 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1283958), // Rule ID 8669 //
     /* 1283879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1283935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283957 */     // GIR_Coverage, 8669,
     /* 1283957 */     GIR_EraseRootFromParent_Done,
     /* 1283958 */   // Label 18451: @1283958
     /* 1283958 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1284042), // Rule ID 8672 //
     /* 1283963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1283971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1284019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284041 */     // GIR_Coverage, 8672,
     /* 1284041 */     GIR_EraseRootFromParent_Done,
     /* 1284042 */   // Label 18452: @1284042
     /* 1284042 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1284126), // Rule ID 8673 //
     /* 1284047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1284064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1284103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284125 */     // GIR_Coverage, 8673,
     /* 1284125 */     GIR_EraseRootFromParent_Done,
     /* 1284126 */   // Label 18453: @1284126
     /* 1284126 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1284210), // Rule ID 8676 //
     /* 1284131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1284148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1284187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284209 */     // GIR_Coverage, 8676,
     /* 1284209 */     GIR_EraseRootFromParent_Done,
     /* 1284210 */   // Label 18454: @1284210
     /* 1284210 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1284294), // Rule ID 8677 //
     /* 1284215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1284232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1284271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284293 */     // GIR_Coverage, 8677,
     /* 1284293 */     GIR_EraseRootFromParent_Done,
     /* 1284294 */   // Label 18455: @1284294
     /* 1284294 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1284378), // Rule ID 8680 //
     /* 1284299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1284316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1284355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284377 */     // GIR_Coverage, 8680,
     /* 1284377 */     GIR_EraseRootFromParent_Done,
     /* 1284378 */   // Label 18456: @1284378
     /* 1284378 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1284462), // Rule ID 8681 //
     /* 1284383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1284400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1284439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284461 */     // GIR_Coverage, 8681,
     /* 1284461 */     GIR_EraseRootFromParent_Done,
     /* 1284462 */   // Label 18457: @1284462
     /* 1284462 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1284546), // Rule ID 8684 //
     /* 1284467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1284484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1284523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284545 */     // GIR_Coverage, 8684,
     /* 1284545 */     GIR_EraseRootFromParent_Done,
     /* 1284546 */   // Label 18458: @1284546
     /* 1284546 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1284630), // Rule ID 8685 //
     /* 1284551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1284568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1284607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284629 */     // GIR_Coverage, 8685,
     /* 1284629 */     GIR_EraseRootFromParent_Done,
     /* 1284630 */   // Label 18459: @1284630
     /* 1284630 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1284714), // Rule ID 8688 //
     /* 1284635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1284691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284713 */     // GIR_Coverage, 8688,
     /* 1284713 */     GIR_EraseRootFromParent_Done,
     /* 1284714 */   // Label 18460: @1284714
     /* 1284714 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1284798), // Rule ID 8689 //
     /* 1284719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1284775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284797 */     // GIR_Coverage, 8689,
     /* 1284797 */     GIR_EraseRootFromParent_Done,
     /* 1284798 */   // Label 18461: @1284798
     /* 1284798 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1284882), // Rule ID 8692 //
     /* 1284803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1284859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284881 */     // GIR_Coverage, 8692,
     /* 1284881 */     GIR_EraseRootFromParent_Done,
     /* 1284882 */   // Label 18462: @1284882
     /* 1284882 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1284966), // Rule ID 8693 //
     /* 1284887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1284943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284965 */     // GIR_Coverage, 8693,
     /* 1284965 */     GIR_EraseRootFromParent_Done,
     /* 1284966 */   // Label 18463: @1284966
     /* 1284966 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1285050), // Rule ID 8696 //
     /* 1284971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1284979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1285027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285049 */     // GIR_Coverage, 8696,
     /* 1285049 */     GIR_EraseRootFromParent_Done,
     /* 1285050 */   // Label 18464: @1285050
     /* 1285050 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1285134), // Rule ID 8697 //
     /* 1285055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1285072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1285111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285133 */     // GIR_Coverage, 8697,
     /* 1285133 */     GIR_EraseRootFromParent_Done,
     /* 1285134 */   // Label 18465: @1285134
     /* 1285134 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1285218), // Rule ID 8700 //
     /* 1285139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1285156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1285195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285217 */     // GIR_Coverage, 8700,
     /* 1285217 */     GIR_EraseRootFromParent_Done,
     /* 1285218 */   // Label 18466: @1285218
     /* 1285218 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1285302), // Rule ID 8701 //
     /* 1285223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1285240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1285279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285301 */     // GIR_Coverage, 8701,
     /* 1285301 */     GIR_EraseRootFromParent_Done,
     /* 1285302 */   // Label 18467: @1285302
     /* 1285302 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1285386), // Rule ID 8704 //
     /* 1285307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1285324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1285363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285385 */     // GIR_Coverage, 8704,
     /* 1285385 */     GIR_EraseRootFromParent_Done,
     /* 1285386 */   // Label 18468: @1285386
     /* 1285386 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1285470), // Rule ID 8705 //
     /* 1285391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1285408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285444 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1285447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285469 */     // GIR_Coverage, 8705,
     /* 1285469 */     GIR_EraseRootFromParent_Done,
     /* 1285470 */   // Label 18469: @1285470
     /* 1285470 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1285554), // Rule ID 8708 //
     /* 1285475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1285486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1285489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1285492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1285498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1285531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285553 */     // GIR_Coverage, 8708,
     /* 1285553 */     GIR_EraseRootFromParent_Done,
     /* 1285554 */   // Label 18470: @1285554
     /* 1285554 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1285638), // Rule ID 8709 //
     /* 1285559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1285570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1285573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1285576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1285582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285612 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1285615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285637 */     // GIR_Coverage, 8709,
     /* 1285637 */     GIR_EraseRootFromParent_Done,
     /* 1285638 */   // Label 18471: @1285638
     /* 1285638 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1285722), // Rule ID 8712 //
     /* 1285643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1285699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285721 */     // GIR_Coverage, 8712,
     /* 1285721 */     GIR_EraseRootFromParent_Done,
     /* 1285722 */   // Label 18472: @1285722
     /* 1285722 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1285806), // Rule ID 8713 //
     /* 1285727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1285783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285805 */     // GIR_Coverage, 8713,
     /* 1285805 */     GIR_EraseRootFromParent_Done,
     /* 1285806 */   // Label 18473: @1285806
     /* 1285806 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1285890), // Rule ID 8716 //
     /* 1285811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1285867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285889 */     // GIR_Coverage, 8716,
     /* 1285889 */     GIR_EraseRootFromParent_Done,
     /* 1285890 */   // Label 18474: @1285890
     /* 1285890 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1285974), // Rule ID 8717 //
     /* 1285895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1285951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285973 */     // GIR_Coverage, 8717,
     /* 1285973 */     GIR_EraseRootFromParent_Done,
     /* 1285974 */   // Label 18475: @1285974
     /* 1285974 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1286058), // Rule ID 8720 //
     /* 1285979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1285987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1286035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286057 */     // GIR_Coverage, 8720,
     /* 1286057 */     GIR_EraseRootFromParent_Done,
     /* 1286058 */   // Label 18476: @1286058
     /* 1286058 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1286142), // Rule ID 8721 //
     /* 1286063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1286074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1286077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1286080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1286119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286141 */     // GIR_Coverage, 8721,
     /* 1286141 */     GIR_EraseRootFromParent_Done,
     /* 1286142 */   // Label 18477: @1286142
     /* 1286142 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1286226), // Rule ID 8724 //
     /* 1286147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1286164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1286203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286225 */     // GIR_Coverage, 8724,
     /* 1286225 */     GIR_EraseRootFromParent_Done,
     /* 1286226 */   // Label 18478: @1286226
     /* 1286226 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1286310), // Rule ID 8725 //
     /* 1286231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1286248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1286287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286309 */     // GIR_Coverage, 8725,
     /* 1286309 */     GIR_EraseRootFromParent_Done,
     /* 1286310 */   // Label 18479: @1286310
     /* 1286310 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1286394), // Rule ID 8728 //
     /* 1286315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1286332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1286371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286393 */     // GIR_Coverage, 8728,
     /* 1286393 */     GIR_EraseRootFromParent_Done,
     /* 1286394 */   // Label 18480: @1286394
     /* 1286394 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1286478), // Rule ID 8729 //
     /* 1286399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1286416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1286455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286477 */     // GIR_Coverage, 8729,
     /* 1286477 */     GIR_EraseRootFromParent_Done,
     /* 1286478 */   // Label 18481: @1286478
     /* 1286478 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1286562), // Rule ID 8732 //
     /* 1286483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1286500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1286539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286561 */     // GIR_Coverage, 8732,
     /* 1286561 */     GIR_EraseRootFromParent_Done,
     /* 1286562 */   // Label 18482: @1286562
     /* 1286562 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1286646), // Rule ID 8733 //
     /* 1286567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1286584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1286623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286645 */     // GIR_Coverage, 8733,
     /* 1286645 */     GIR_EraseRootFromParent_Done,
     /* 1286646 */   // Label 18483: @1286646
     /* 1286646 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1286730), // Rule ID 8736 //
     /* 1286651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1286707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286729 */     // GIR_Coverage, 8736,
     /* 1286729 */     GIR_EraseRootFromParent_Done,
     /* 1286730 */   // Label 18484: @1286730
     /* 1286730 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1286814), // Rule ID 8737 //
     /* 1286735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1286791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286813 */     // GIR_Coverage, 8737,
     /* 1286813 */     GIR_EraseRootFromParent_Done,
     /* 1286814 */   // Label 18485: @1286814
     /* 1286814 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1286898), // Rule ID 8740 //
     /* 1286819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1286875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286897 */     // GIR_Coverage, 8740,
     /* 1286897 */     GIR_EraseRootFromParent_Done,
     /* 1286898 */   // Label 18486: @1286898
     /* 1286898 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1286982), // Rule ID 8741 //
     /* 1286903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1286959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286981 */     // GIR_Coverage, 8741,
     /* 1286981 */     GIR_EraseRootFromParent_Done,
     /* 1286982 */   // Label 18487: @1286982
     /* 1286982 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1287066), // Rule ID 8744 //
     /* 1286987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1287004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1287043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287065 */     // GIR_Coverage, 8744,
     /* 1287065 */     GIR_EraseRootFromParent_Done,
     /* 1287066 */   // Label 18488: @1287066
     /* 1287066 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1287150), // Rule ID 8745 //
     /* 1287071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1287088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1287127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287149 */     // GIR_Coverage, 8745,
     /* 1287149 */     GIR_EraseRootFromParent_Done,
     /* 1287150 */   // Label 18489: @1287150
     /* 1287150 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1287234), // Rule ID 8836 //
     /* 1287155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1287172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1287175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287208 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1287211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287233 */     // GIR_Coverage, 8836,
     /* 1287233 */     GIR_EraseRootFromParent_Done,
     /* 1287234 */   // Label 18490: @1287234
     /* 1287234 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1287318), // Rule ID 8837 //
     /* 1287239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1287256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1287259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1287295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287317 */     // GIR_Coverage, 8837,
     /* 1287317 */     GIR_EraseRootFromParent_Done,
     /* 1287318 */   // Label 18491: @1287318
     /* 1287318 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1287402), // Rule ID 8840 //
     /* 1287323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1287340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1287343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1287379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287401 */     // GIR_Coverage, 8840,
     /* 1287401 */     GIR_EraseRootFromParent_Done,
     /* 1287402 */   // Label 18492: @1287402
     /* 1287402 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1287486), // Rule ID 8841 //
     /* 1287407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1287424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1287427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1287463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287485 */     // GIR_Coverage, 8841,
     /* 1287485 */     GIR_EraseRootFromParent_Done,
     /* 1287486 */   // Label 18493: @1287486
     /* 1287486 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1287570), // Rule ID 8844 //
     /* 1287491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1287508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1287511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1287547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287569 */     // GIR_Coverage, 8844,
     /* 1287569 */     GIR_EraseRootFromParent_Done,
     /* 1287570 */   // Label 18494: @1287570
     /* 1287570 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1287654), // Rule ID 8845 //
     /* 1287575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1287592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1287595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1287631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287653 */     // GIR_Coverage, 8845,
     /* 1287653 */     GIR_EraseRootFromParent_Done,
     /* 1287654 */   // Label 18495: @1287654
     /* 1287654 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1287738), // Rule ID 8848 //
     /* 1287659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1287679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287712 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1287715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287737 */     // GIR_Coverage, 8848,
     /* 1287737 */     GIR_EraseRootFromParent_Done,
     /* 1287738 */   // Label 18496: @1287738
     /* 1287738 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1287822), // Rule ID 8849 //
     /* 1287743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1287763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1287799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287821 */     // GIR_Coverage, 8849,
     /* 1287821 */     GIR_EraseRootFromParent_Done,
     /* 1287822 */   // Label 18497: @1287822
     /* 1287822 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1287906), // Rule ID 8852 //
     /* 1287827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1287847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1287883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287905 */     // GIR_Coverage, 8852,
     /* 1287905 */     GIR_EraseRootFromParent_Done,
     /* 1287906 */   // Label 18498: @1287906
     /* 1287906 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1287990), // Rule ID 8853 //
     /* 1287911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1287931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1287967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287989 */     // GIR_Coverage, 8853,
     /* 1287989 */     GIR_EraseRootFromParent_Done,
     /* 1287990 */   // Label 18499: @1287990
     /* 1287990 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1288074), // Rule ID 8856 //
     /* 1287995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1288012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1288015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1288051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288073 */     // GIR_Coverage, 8856,
     /* 1288073 */     GIR_EraseRootFromParent_Done,
     /* 1288074 */   // Label 18500: @1288074
     /* 1288074 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1288158), // Rule ID 8857 //
     /* 1288079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1288096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1288099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1288135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288157 */     // GIR_Coverage, 8857,
     /* 1288157 */     GIR_EraseRootFromParent_Done,
     /* 1288158 */   // Label 18501: @1288158
     /* 1288158 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1288242), // Rule ID 8860 //
     /* 1288163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1288180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1288183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288241 */     // GIR_Coverage, 8860,
     /* 1288241 */     GIR_EraseRootFromParent_Done,
     /* 1288242 */   // Label 18502: @1288242
     /* 1288242 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1288326), // Rule ID 8861 //
     /* 1288247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1288264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1288267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288325 */     // GIR_Coverage, 8861,
     /* 1288325 */     GIR_EraseRootFromParent_Done,
     /* 1288326 */   // Label 18503: @1288326
     /* 1288326 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1288410), // Rule ID 8864 //
     /* 1288331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1288348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1288351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288409 */     // GIR_Coverage, 8864,
     /* 1288409 */     GIR_EraseRootFromParent_Done,
     /* 1288410 */   // Label 18504: @1288410
     /* 1288410 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1288494), // Rule ID 8865 //
     /* 1288415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1288432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1288435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288493 */     // GIR_Coverage, 8865,
     /* 1288493 */     GIR_EraseRootFromParent_Done,
     /* 1288494 */   // Label 18505: @1288494
     /* 1288494 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1288578), // Rule ID 8868 //
     /* 1288499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1288519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288577 */     // GIR_Coverage, 8868,
     /* 1288577 */     GIR_EraseRootFromParent_Done,
     /* 1288578 */   // Label 18506: @1288578
     /* 1288578 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1288662), // Rule ID 8869 //
     /* 1288583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1288603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288661 */     // GIR_Coverage, 8869,
     /* 1288661 */     GIR_EraseRootFromParent_Done,
     /* 1288662 */   // Label 18507: @1288662
     /* 1288662 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1288746), // Rule ID 8872 //
     /* 1288667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288745 */     // GIR_Coverage, 8872,
     /* 1288745 */     GIR_EraseRootFromParent_Done,
     /* 1288746 */   // Label 18508: @1288746
     /* 1288746 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1288830), // Rule ID 8873 //
     /* 1288751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1288807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288829 */     // GIR_Coverage, 8873,
     /* 1288829 */     GIR_EraseRootFromParent_Done,
     /* 1288830 */   // Label 18509: @1288830
     /* 1288830 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1288914), // Rule ID 8876 //
     /* 1288835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1288855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1288891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288913 */     // GIR_Coverage, 8876,
     /* 1288913 */     GIR_EraseRootFromParent_Done,
     /* 1288914 */   // Label 18510: @1288914
     /* 1288914 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1288998), // Rule ID 8877 //
     /* 1288919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1288939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1288975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288997 */     // GIR_Coverage, 8877,
     /* 1288997 */     GIR_EraseRootFromParent_Done,
     /* 1288998 */   // Label 18511: @1288998
     /* 1288998 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1289082), // Rule ID 8880 //
     /* 1289003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1289020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1289023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289056 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1289059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289081 */     // GIR_Coverage, 8880,
     /* 1289081 */     GIR_EraseRootFromParent_Done,
     /* 1289082 */   // Label 18512: @1289082
     /* 1289082 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1289166), // Rule ID 8881 //
     /* 1289087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1289104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1289107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289140 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1289143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289165 */     // GIR_Coverage, 8881,
     /* 1289165 */     GIR_EraseRootFromParent_Done,
     /* 1289166 */   // Label 18513: @1289166
     /* 1289166 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1289250), // Rule ID 8884 //
     /* 1289171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1289182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1289185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1289188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1289191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1289194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289224 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1289227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289249 */     // GIR_Coverage, 8884,
     /* 1289249 */     GIR_EraseRootFromParent_Done,
     /* 1289250 */   // Label 18514: @1289250
     /* 1289250 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1289334), // Rule ID 8885 //
     /* 1289255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1289266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1289269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1289272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1289275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1289278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289308 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1289311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289333 */     // GIR_Coverage, 8885,
     /* 1289333 */     GIR_EraseRootFromParent_Done,
     /* 1289334 */   // Label 18515: @1289334
     /* 1289334 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1289418), // Rule ID 8888 //
     /* 1289339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1289356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1289359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1289395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289417 */     // GIR_Coverage, 8888,
     /* 1289417 */     GIR_EraseRootFromParent_Done,
     /* 1289418 */   // Label 18516: @1289418
     /* 1289418 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1289502), // Rule ID 8889 //
     /* 1289423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1289440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1289443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1289479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289501 */     // GIR_Coverage, 8889,
     /* 1289501 */     GIR_EraseRootFromParent_Done,
     /* 1289502 */   // Label 18517: @1289502
     /* 1289502 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1289586), // Rule ID 8892 //
     /* 1289507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1289527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1289563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289585 */     // GIR_Coverage, 8892,
     /* 1289585 */     GIR_EraseRootFromParent_Done,
     /* 1289586 */   // Label 18518: @1289586
     /* 1289586 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1289670), // Rule ID 8893 //
     /* 1289591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1289611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1289647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289669 */     // GIR_Coverage, 8893,
     /* 1289669 */     GIR_EraseRootFromParent_Done,
     /* 1289670 */   // Label 18519: @1289670
     /* 1289670 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1289754), // Rule ID 8896 //
     /* 1289675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1289695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289728 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1289731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289753 */     // GIR_Coverage, 8896,
     /* 1289753 */     GIR_EraseRootFromParent_Done,
     /* 1289754 */   // Label 18520: @1289754
     /* 1289754 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1289838), // Rule ID 8897 //
     /* 1289759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1289779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289812 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1289815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289837 */     // GIR_Coverage, 8897,
     /* 1289837 */     GIR_EraseRootFromParent_Done,
     /* 1289838 */   // Label 18521: @1289838
     /* 1289838 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1289922), // Rule ID 8900 //
     /* 1289843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1289863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1289899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289921 */     // GIR_Coverage, 8900,
     /* 1289921 */     GIR_EraseRootFromParent_Done,
     /* 1289922 */   // Label 18522: @1289922
     /* 1289922 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1290006), // Rule ID 8901 //
     /* 1289927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1289935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1289947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1289983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290005 */     // GIR_Coverage, 8901,
     /* 1290005 */     GIR_EraseRootFromParent_Done,
     /* 1290006 */   // Label 18523: @1290006
     /* 1290006 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1290090), // Rule ID 8904 //
     /* 1290011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1290028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1290031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1290067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290089 */     // GIR_Coverage, 8904,
     /* 1290089 */     GIR_EraseRootFromParent_Done,
     /* 1290090 */   // Label 18524: @1290090
     /* 1290090 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1290174), // Rule ID 8905 //
     /* 1290095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1290112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1290115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1290151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290173 */     // GIR_Coverage, 8905,
     /* 1290173 */     GIR_EraseRootFromParent_Done,
     /* 1290174 */   // Label 18525: @1290174
     /* 1290174 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1290258), // Rule ID 8908 //
     /* 1290179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1290196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1290199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1290235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290257 */     // GIR_Coverage, 8908,
     /* 1290257 */     GIR_EraseRootFromParent_Done,
     /* 1290258 */   // Label 18526: @1290258
     /* 1290258 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1290342), // Rule ID 8909 //
     /* 1290263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1290280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1290283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1290319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290341 */     // GIR_Coverage, 8909,
     /* 1290341 */     GIR_EraseRootFromParent_Done,
     /* 1290342 */   // Label 18527: @1290342
     /* 1290342 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1290426), // Rule ID 8912 //
     /* 1290347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1290364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1290367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1290403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290425 */     // GIR_Coverage, 8912,
     /* 1290425 */     GIR_EraseRootFromParent_Done,
     /* 1290426 */   // Label 18528: @1290426
     /* 1290426 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1290510), // Rule ID 8913 //
     /* 1290431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1290448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1290451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1290487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290509 */     // GIR_Coverage, 8913,
     /* 1290509 */     GIR_EraseRootFromParent_Done,
     /* 1290510 */   // Label 18529: @1290510
     /* 1290510 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1290594), // Rule ID 8916 //
     /* 1290515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1290535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1290571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290593 */     // GIR_Coverage, 8916,
     /* 1290593 */     GIR_EraseRootFromParent_Done,
     /* 1290594 */   // Label 18530: @1290594
     /* 1290594 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1290678), // Rule ID 8917 //
     /* 1290599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1290619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1290655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290677 */     // GIR_Coverage, 8917,
     /* 1290677 */     GIR_EraseRootFromParent_Done,
     /* 1290678 */   // Label 18531: @1290678
     /* 1290678 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1290762), // Rule ID 8920 //
     /* 1290683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1290703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1290739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290761 */     // GIR_Coverage, 8920,
     /* 1290761 */     GIR_EraseRootFromParent_Done,
     /* 1290762 */   // Label 18532: @1290762
     /* 1290762 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1290846), // Rule ID 8921 //
     /* 1290767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1290787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1290823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290845 */     // GIR_Coverage, 8921,
     /* 1290845 */     GIR_EraseRootFromParent_Done,
     /* 1290846 */   // Label 18533: @1290846
     /* 1290846 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1290930), // Rule ID 8924 //
     /* 1290851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1290907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290929 */     // GIR_Coverage, 8924,
     /* 1290929 */     GIR_EraseRootFromParent_Done,
     /* 1290930 */   // Label 18534: @1290930
     /* 1290930 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1291014), // Rule ID 8925 //
     /* 1290935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1290943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1290991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291013 */     // GIR_Coverage, 8925,
     /* 1291013 */     GIR_EraseRootFromParent_Done,
     /* 1291014 */   // Label 18535: @1291014
     /* 1291014 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1291098), // Rule ID 8928 //
     /* 1291019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1291036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1291075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291097 */     // GIR_Coverage, 8928,
     /* 1291097 */     GIR_EraseRootFromParent_Done,
     /* 1291098 */   // Label 18536: @1291098
     /* 1291098 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1291182), // Rule ID 8929 //
     /* 1291103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1291120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1291159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291181 */     // GIR_Coverage, 8929,
     /* 1291181 */     GIR_EraseRootFromParent_Done,
     /* 1291182 */   // Label 18537: @1291182
     /* 1291182 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1291266), // Rule ID 8932 //
     /* 1291187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1291204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1291243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291265 */     // GIR_Coverage, 8932,
     /* 1291265 */     GIR_EraseRootFromParent_Done,
     /* 1291266 */   // Label 18538: @1291266
     /* 1291266 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1291350), // Rule ID 8933 //
     /* 1291271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1291288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1291327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291349 */     // GIR_Coverage, 8933,
     /* 1291349 */     GIR_EraseRootFromParent_Done,
     /* 1291350 */   // Label 18539: @1291350
     /* 1291350 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1291434), // Rule ID 8936 //
     /* 1291355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1291372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1291411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291433 */     // GIR_Coverage, 8936,
     /* 1291433 */     GIR_EraseRootFromParent_Done,
     /* 1291434 */   // Label 18540: @1291434
     /* 1291434 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1291518), // Rule ID 8937 //
     /* 1291439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1291456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1291495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291517 */     // GIR_Coverage, 8937,
     /* 1291517 */     GIR_EraseRootFromParent_Done,
     /* 1291518 */   // Label 18541: @1291518
     /* 1291518 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1291602), // Rule ID 8940 //
     /* 1291523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1291579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291601 */     // GIR_Coverage, 8940,
     /* 1291601 */     GIR_EraseRootFromParent_Done,
     /* 1291602 */   // Label 18542: @1291602
     /* 1291602 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1291686), // Rule ID 8941 //
     /* 1291607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1291663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291685 */     // GIR_Coverage, 8941,
     /* 1291685 */     GIR_EraseRootFromParent_Done,
     /* 1291686 */   // Label 18543: @1291686
     /* 1291686 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1291770), // Rule ID 8944 //
     /* 1291691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1291747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291769 */     // GIR_Coverage, 8944,
     /* 1291769 */     GIR_EraseRootFromParent_Done,
     /* 1291770 */   // Label 18544: @1291770
     /* 1291770 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1291854), // Rule ID 8945 //
     /* 1291775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1291831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291853 */     // GIR_Coverage, 8945,
     /* 1291853 */     GIR_EraseRootFromParent_Done,
     /* 1291854 */   // Label 18545: @1291854
     /* 1291854 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1291938), // Rule ID 8948 //
     /* 1291859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1291915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291937 */     // GIR_Coverage, 8948,
     /* 1291937 */     GIR_EraseRootFromParent_Done,
     /* 1291938 */   // Label 18546: @1291938
     /* 1291938 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1292022), // Rule ID 8949 //
     /* 1291943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1291951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1291999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292021 */     // GIR_Coverage, 8949,
     /* 1292021 */     GIR_EraseRootFromParent_Done,
     /* 1292022 */   // Label 18547: @1292022
     /* 1292022 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1292106), // Rule ID 8952 //
     /* 1292027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1292044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1292083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292105 */     // GIR_Coverage, 8952,
     /* 1292105 */     GIR_EraseRootFromParent_Done,
     /* 1292106 */   // Label 18548: @1292106
     /* 1292106 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1292190), // Rule ID 8953 //
     /* 1292111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1292128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1292167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292189 */     // GIR_Coverage, 8953,
     /* 1292189 */     GIR_EraseRootFromParent_Done,
     /* 1292190 */   // Label 18549: @1292190
     /* 1292190 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1292274), // Rule ID 8956 //
     /* 1292195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1292212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1292251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292273 */     // GIR_Coverage, 8956,
     /* 1292273 */     GIR_EraseRootFromParent_Done,
     /* 1292274 */   // Label 18550: @1292274
     /* 1292274 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1292358), // Rule ID 8957 //
     /* 1292279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1292296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1292335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292357 */     // GIR_Coverage, 8957,
     /* 1292357 */     GIR_EraseRootFromParent_Done,
     /* 1292358 */   // Label 18551: @1292358
     /* 1292358 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1292442), // Rule ID 8960 //
     /* 1292363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1292380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1292419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292441 */     // GIR_Coverage, 8960,
     /* 1292441 */     GIR_EraseRootFromParent_Done,
     /* 1292442 */   // Label 18552: @1292442
     /* 1292442 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1292526), // Rule ID 8961 //
     /* 1292447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1292464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1292503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292525 */     // GIR_Coverage, 8961,
     /* 1292525 */     GIR_EraseRootFromParent_Done,
     /* 1292526 */   // Label 18553: @1292526
     /* 1292526 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1292610), // Rule ID 8964 //
     /* 1292531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1292548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292584 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1292587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292609 */     // GIR_Coverage, 8964,
     /* 1292609 */     GIR_EraseRootFromParent_Done,
     /* 1292610 */   // Label 18554: @1292610
     /* 1292610 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1292694), // Rule ID 8965 //
     /* 1292615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1292632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1292671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292693 */     // GIR_Coverage, 8965,
     /* 1292693 */     GIR_EraseRootFromParent_Done,
     /* 1292694 */   // Label 18555: @1292694
     /* 1292694 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1292778), // Rule ID 8968 //
     /* 1292699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292752 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1292755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292777 */     // GIR_Coverage, 8968,
     /* 1292777 */     GIR_EraseRootFromParent_Done,
     /* 1292778 */   // Label 18556: @1292778
     /* 1292778 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1292862), // Rule ID 8969 //
     /* 1292783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292836 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1292839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292861 */     // GIR_Coverage, 8969,
     /* 1292861 */     GIR_EraseRootFromParent_Done,
     /* 1292862 */   // Label 18557: @1292862
     /* 1292862 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1292946), // Rule ID 8972 //
     /* 1292867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292920 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1292923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292945 */     // GIR_Coverage, 8972,
     /* 1292945 */     GIR_EraseRootFromParent_Done,
     /* 1292946 */   // Label 18558: @1292946
     /* 1292946 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1293030), // Rule ID 8973 //
     /* 1292951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1292959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293004 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1293007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293029 */     // GIR_Coverage, 8973,
     /* 1293029 */     GIR_EraseRootFromParent_Done,
     /* 1293030 */   // Label 18559: @1293030
     /* 1293030 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1293114), // Rule ID 8976 //
     /* 1293035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1293052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1293091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293113 */     // GIR_Coverage, 8976,
     /* 1293113 */     GIR_EraseRootFromParent_Done,
     /* 1293114 */   // Label 18560: @1293114
     /* 1293114 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1293198), // Rule ID 8977 //
     /* 1293119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1293136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1293175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293197 */     // GIR_Coverage, 8977,
     /* 1293197 */     GIR_EraseRootFromParent_Done,
     /* 1293198 */   // Label 18561: @1293198
     /* 1293198 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1293282), // Rule ID 8980 //
     /* 1293203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1293220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1293259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293281 */     // GIR_Coverage, 8980,
     /* 1293281 */     GIR_EraseRootFromParent_Done,
     /* 1293282 */   // Label 18562: @1293282
     /* 1293282 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1293366), // Rule ID 8981 //
     /* 1293287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1293304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1293343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293365 */     // GIR_Coverage, 8981,
     /* 1293365 */     GIR_EraseRootFromParent_Done,
     /* 1293366 */   // Label 18563: @1293366
     /* 1293366 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1293450), // Rule ID 8984 //
     /* 1293371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1293382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293424 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1293427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293449 */     // GIR_Coverage, 8984,
     /* 1293449 */     GIR_EraseRootFromParent_Done,
     /* 1293450 */   // Label 18564: @1293450
     /* 1293450 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1293534), // Rule ID 8985 //
     /* 1293455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1293466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293508 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1293511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293533 */     // GIR_Coverage, 8985,
     /* 1293533 */     GIR_EraseRootFromParent_Done,
     /* 1293534 */   // Label 18565: @1293534
     /* 1293534 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1293618), // Rule ID 8988 //
     /* 1293539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1293595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293617 */     // GIR_Coverage, 8988,
     /* 1293617 */     GIR_EraseRootFromParent_Done,
     /* 1293618 */   // Label 18566: @1293618
     /* 1293618 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1293702), // Rule ID 8989 //
     /* 1293623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1293679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293701 */     // GIR_Coverage, 8989,
     /* 1293701 */     GIR_EraseRootFromParent_Done,
     /* 1293702 */   // Label 18567: @1293702
     /* 1293702 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1293786), // Rule ID 8992 //
     /* 1293707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1293763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293785 */     // GIR_Coverage, 8992,
     /* 1293785 */     GIR_EraseRootFromParent_Done,
     /* 1293786 */   // Label 18568: @1293786
     /* 1293786 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1293870), // Rule ID 8993 //
     /* 1293791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1293847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293869 */     // GIR_Coverage, 8993,
     /* 1293869 */     GIR_EraseRootFromParent_Done,
     /* 1293870 */   // Label 18569: @1293870
     /* 1293870 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1293954), // Rule ID 8996 //
     /* 1293875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1293931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293953 */     // GIR_Coverage, 8996,
     /* 1293953 */     GIR_EraseRootFromParent_Done,
     /* 1293954 */   // Label 18570: @1293954
     /* 1293954 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1294038), // Rule ID 8997 //
     /* 1293959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1294015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294037 */     // GIR_Coverage, 8997,
     /* 1294037 */     GIR_EraseRootFromParent_Done,
     /* 1294038 */   // Label 18571: @1294038
     /* 1294038 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1294122), // Rule ID 9000 //
     /* 1294043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1294060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1294099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294121 */     // GIR_Coverage, 9000,
     /* 1294121 */     GIR_EraseRootFromParent_Done,
     /* 1294122 */   // Label 18572: @1294122
     /* 1294122 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1294206), // Rule ID 9001 //
     /* 1294127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1294144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1294183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294205 */     // GIR_Coverage, 9001,
     /* 1294205 */     GIR_EraseRootFromParent_Done,
     /* 1294206 */   // Label 18573: @1294206
     /* 1294206 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1294290), // Rule ID 9004 //
     /* 1294211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1294228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294264 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1294267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294289 */     // GIR_Coverage, 9004,
     /* 1294289 */     GIR_EraseRootFromParent_Done,
     /* 1294290 */   // Label 18574: @1294290
     /* 1294290 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1294374), // Rule ID 9005 //
     /* 1294295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1294312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1294351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294373 */     // GIR_Coverage, 9005,
     /* 1294373 */     GIR_EraseRootFromParent_Done,
     /* 1294374 */   // Label 18575: @1294374
     /* 1294374 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1294458), // Rule ID 9008 //
     /* 1294379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1294435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294457 */     // GIR_Coverage, 9008,
     /* 1294457 */     GIR_EraseRootFromParent_Done,
     /* 1294458 */   // Label 18576: @1294458
     /* 1294458 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1294542), // Rule ID 9009 //
     /* 1294463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1294519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294541 */     // GIR_Coverage, 9009,
     /* 1294541 */     GIR_EraseRootFromParent_Done,
     /* 1294542 */   // Label 18577: @1294542
     /* 1294542 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1294626), // Rule ID 9100 //
     /* 1294547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1294603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294625 */     // GIR_Coverage, 9100,
     /* 1294625 */     GIR_EraseRootFromParent_Done,
     /* 1294626 */   // Label 18578: @1294626
     /* 1294626 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1294710), // Rule ID 9101 //
     /* 1294631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1294687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294709 */     // GIR_Coverage, 9101,
     /* 1294709 */     GIR_EraseRootFromParent_Done,
     /* 1294710 */   // Label 18579: @1294710
     /* 1294710 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1294794), // Rule ID 9104 //
     /* 1294715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1294771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294793 */     // GIR_Coverage, 9104,
     /* 1294793 */     GIR_EraseRootFromParent_Done,
     /* 1294794 */   // Label 18580: @1294794
     /* 1294794 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1294878), // Rule ID 9105 //
     /* 1294799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1294855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294877 */     // GIR_Coverage, 9105,
     /* 1294877 */     GIR_EraseRootFromParent_Done,
     /* 1294878 */   // Label 18581: @1294878
     /* 1294878 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1294962), // Rule ID 9108 //
     /* 1294883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1294939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294961 */     // GIR_Coverage, 9108,
     /* 1294961 */     GIR_EraseRootFromParent_Done,
     /* 1294962 */   // Label 18582: @1294962
     /* 1294962 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1295046), // Rule ID 9109 //
     /* 1294967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1295023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295045 */     // GIR_Coverage, 9109,
     /* 1295045 */     GIR_EraseRootFromParent_Done,
     /* 1295046 */   // Label 18583: @1295046
     /* 1295046 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1295130), // Rule ID 9112 //
     /* 1295051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1295068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1295107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295129 */     // GIR_Coverage, 9112,
     /* 1295129 */     GIR_EraseRootFromParent_Done,
     /* 1295130 */   // Label 18584: @1295130
     /* 1295130 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1295214), // Rule ID 9113 //
     /* 1295135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1295152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1295191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295213 */     // GIR_Coverage, 9113,
     /* 1295213 */     GIR_EraseRootFromParent_Done,
     /* 1295214 */   // Label 18585: @1295214
     /* 1295214 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1295298), // Rule ID 9116 //
     /* 1295219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1295236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1295275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295297 */     // GIR_Coverage, 9116,
     /* 1295297 */     GIR_EraseRootFromParent_Done,
     /* 1295298 */   // Label 18586: @1295298
     /* 1295298 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1295382), // Rule ID 9117 //
     /* 1295303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1295320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1295359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295381 */     // GIR_Coverage, 9117,
     /* 1295381 */     GIR_EraseRootFromParent_Done,
     /* 1295382 */   // Label 18587: @1295382
     /* 1295382 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1295466), // Rule ID 9120 //
     /* 1295387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1295404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1295443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295465 */     // GIR_Coverage, 9120,
     /* 1295465 */     GIR_EraseRootFromParent_Done,
     /* 1295466 */   // Label 18588: @1295466
     /* 1295466 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1295550), // Rule ID 9121 //
     /* 1295471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1295488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1295527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295549 */     // GIR_Coverage, 9121,
     /* 1295549 */     GIR_EraseRootFromParent_Done,
     /* 1295550 */   // Label 18589: @1295550
     /* 1295550 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1295634), // Rule ID 9124 //
     /* 1295555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1295611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295633 */     // GIR_Coverage, 9124,
     /* 1295633 */     GIR_EraseRootFromParent_Done,
     /* 1295634 */   // Label 18590: @1295634
     /* 1295634 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1295718), // Rule ID 9125 //
     /* 1295639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1295695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295717 */     // GIR_Coverage, 9125,
     /* 1295717 */     GIR_EraseRootFromParent_Done,
     /* 1295718 */   // Label 18591: @1295718
     /* 1295718 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1295802), // Rule ID 9128 //
     /* 1295723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1295779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295801 */     // GIR_Coverage, 9128,
     /* 1295801 */     GIR_EraseRootFromParent_Done,
     /* 1295802 */   // Label 18592: @1295802
     /* 1295802 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1295886), // Rule ID 9129 //
     /* 1295807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1295863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295885 */     // GIR_Coverage, 9129,
     /* 1295885 */     GIR_EraseRootFromParent_Done,
     /* 1295886 */   // Label 18593: @1295886
     /* 1295886 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1295970), // Rule ID 9132 //
     /* 1295891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1295947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295969 */     // GIR_Coverage, 9132,
     /* 1295969 */     GIR_EraseRootFromParent_Done,
     /* 1295970 */   // Label 18594: @1295970
     /* 1295970 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1296054), // Rule ID 9133 //
     /* 1295975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1295983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1296031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296053 */     // GIR_Coverage, 9133,
     /* 1296053 */     GIR_EraseRootFromParent_Done,
     /* 1296054 */   // Label 18595: @1296054
     /* 1296054 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1296138), // Rule ID 9136 //
     /* 1296059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1296076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1296115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296137 */     // GIR_Coverage, 9136,
     /* 1296137 */     GIR_EraseRootFromParent_Done,
     /* 1296138 */   // Label 18596: @1296138
     /* 1296138 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1296222), // Rule ID 9137 //
     /* 1296143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1296160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1296199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296221 */     // GIR_Coverage, 9137,
     /* 1296221 */     GIR_EraseRootFromParent_Done,
     /* 1296222 */   // Label 18597: @1296222
     /* 1296222 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1296306), // Rule ID 9140 //
     /* 1296227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1296244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1296283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296305 */     // GIR_Coverage, 9140,
     /* 1296305 */     GIR_EraseRootFromParent_Done,
     /* 1296306 */   // Label 18598: @1296306
     /* 1296306 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1296390), // Rule ID 9141 //
     /* 1296311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1296328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1296367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296389 */     // GIR_Coverage, 9141,
     /* 1296389 */     GIR_EraseRootFromParent_Done,
     /* 1296390 */   // Label 18599: @1296390
     /* 1296390 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1296474), // Rule ID 9144 //
     /* 1296395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1296412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296448 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1296451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296473 */     // GIR_Coverage, 9144,
     /* 1296473 */     GIR_EraseRootFromParent_Done,
     /* 1296474 */   // Label 18600: @1296474
     /* 1296474 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1296558), // Rule ID 9145 //
     /* 1296479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1296496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296532 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1296535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296557 */     // GIR_Coverage, 9145,
     /* 1296557 */     GIR_EraseRootFromParent_Done,
     /* 1296558 */   // Label 18601: @1296558
     /* 1296558 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1296642), // Rule ID 9148 //
     /* 1296563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1296577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1296580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1296586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296616 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1296619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296641 */     // GIR_Coverage, 9148,
     /* 1296641 */     GIR_EraseRootFromParent_Done,
     /* 1296642 */   // Label 18602: @1296642
     /* 1296642 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1296726), // Rule ID 9149 //
     /* 1296647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1296661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1296664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1296670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296700 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1296703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296725 */     // GIR_Coverage, 9149,
     /* 1296725 */     GIR_EraseRootFromParent_Done,
     /* 1296726 */   // Label 18603: @1296726
     /* 1296726 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1296810), // Rule ID 9152 //
     /* 1296731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1296787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296809 */     // GIR_Coverage, 9152,
     /* 1296809 */     GIR_EraseRootFromParent_Done,
     /* 1296810 */   // Label 18604: @1296810
     /* 1296810 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1296894), // Rule ID 9153 //
     /* 1296815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1296871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296893 */     // GIR_Coverage, 9153,
     /* 1296893 */     GIR_EraseRootFromParent_Done,
     /* 1296894 */   // Label 18605: @1296894
     /* 1296894 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1296978), // Rule ID 9156 //
     /* 1296899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1296955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296977 */     // GIR_Coverage, 9156,
     /* 1296977 */     GIR_EraseRootFromParent_Done,
     /* 1296978 */   // Label 18606: @1296978
     /* 1296978 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1297062), // Rule ID 9157 //
     /* 1296983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1297000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1297039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297061 */     // GIR_Coverage, 9157,
     /* 1297061 */     GIR_EraseRootFromParent_Done,
     /* 1297062 */   // Label 18607: @1297062
     /* 1297062 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1297146), // Rule ID 9160 //
     /* 1297067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1297078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1297081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1297084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1297090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1297123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297145 */     // GIR_Coverage, 9160,
     /* 1297145 */     GIR_EraseRootFromParent_Done,
     /* 1297146 */   // Label 18608: @1297146
     /* 1297146 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1297230), // Rule ID 9161 //
     /* 1297151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1297162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1297165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1297168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1297174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297204 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1297207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297229 */     // GIR_Coverage, 9161,
     /* 1297229 */     GIR_EraseRootFromParent_Done,
     /* 1297230 */   // Label 18609: @1297230
     /* 1297230 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1297314), // Rule ID 9164 //
     /* 1297235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1297252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1297291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297313 */     // GIR_Coverage, 9164,
     /* 1297313 */     GIR_EraseRootFromParent_Done,
     /* 1297314 */   // Label 18610: @1297314
     /* 1297314 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1297398), // Rule ID 9165 //
     /* 1297319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1297336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1297375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297397 */     // GIR_Coverage, 9165,
     /* 1297397 */     GIR_EraseRootFromParent_Done,
     /* 1297398 */   // Label 18611: @1297398
     /* 1297398 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1297482), // Rule ID 9168 //
     /* 1297403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1297420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1297459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297481 */     // GIR_Coverage, 9168,
     /* 1297481 */     GIR_EraseRootFromParent_Done,
     /* 1297482 */   // Label 18612: @1297482
     /* 1297482 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1297566), // Rule ID 9169 //
     /* 1297487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1297504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1297543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297565 */     // GIR_Coverage, 9169,
     /* 1297565 */     GIR_EraseRootFromParent_Done,
     /* 1297566 */   // Label 18613: @1297566
     /* 1297566 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1297650), // Rule ID 9172 //
     /* 1297571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1297588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1297627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297649 */     // GIR_Coverage, 9172,
     /* 1297649 */     GIR_EraseRootFromParent_Done,
     /* 1297650 */   // Label 18614: @1297650
     /* 1297650 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1297734), // Rule ID 9173 //
     /* 1297655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1297672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1297711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297733 */     // GIR_Coverage, 9173,
     /* 1297733 */     GIR_EraseRootFromParent_Done,
     /* 1297734 */   // Label 18615: @1297734
     /* 1297734 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1297818), // Rule ID 9176 //
     /* 1297739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1297795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297817 */     // GIR_Coverage, 9176,
     /* 1297817 */     GIR_EraseRootFromParent_Done,
     /* 1297818 */   // Label 18616: @1297818
     /* 1297818 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1297902), // Rule ID 9177 //
     /* 1297823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1297879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297901 */     // GIR_Coverage, 9177,
     /* 1297901 */     GIR_EraseRootFromParent_Done,
     /* 1297902 */   // Label 18617: @1297902
     /* 1297902 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1297986), // Rule ID 9180 //
     /* 1297907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1297963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297985 */     // GIR_Coverage, 9180,
     /* 1297985 */     GIR_EraseRootFromParent_Done,
     /* 1297986 */   // Label 18618: @1297986
     /* 1297986 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1298070), // Rule ID 9181 //
     /* 1297991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1298008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1298047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298069 */     // GIR_Coverage, 9181,
     /* 1298069 */     GIR_EraseRootFromParent_Done,
     /* 1298070 */   // Label 18619: @1298070
     /* 1298070 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1298154), // Rule ID 9184 //
     /* 1298075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1298092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1298131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298153 */     // GIR_Coverage, 9184,
     /* 1298153 */     GIR_EraseRootFromParent_Done,
     /* 1298154 */   // Label 18620: @1298154
     /* 1298154 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1298238), // Rule ID 9185 //
     /* 1298159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1298176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1298215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298237 */     // GIR_Coverage, 9185,
     /* 1298237 */     GIR_EraseRootFromParent_Done,
     /* 1298238 */   // Label 18621: @1298238
     /* 1298238 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1298322), // Rule ID 9276 //
     /* 1298243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1298260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1298299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298321 */     // GIR_Coverage, 9276,
     /* 1298321 */     GIR_EraseRootFromParent_Done,
     /* 1298322 */   // Label 18622: @1298322
     /* 1298322 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1298406), // Rule ID 9277 //
     /* 1298327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1298344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1298383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298405 */     // GIR_Coverage, 9277,
     /* 1298405 */     GIR_EraseRootFromParent_Done,
     /* 1298406 */   // Label 18623: @1298406
     /* 1298406 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1298490), // Rule ID 9280 //
     /* 1298411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1298428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1298467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298489 */     // GIR_Coverage, 9280,
     /* 1298489 */     GIR_EraseRootFromParent_Done,
     /* 1298490 */   // Label 18624: @1298490
     /* 1298490 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1298574), // Rule ID 9281 //
     /* 1298495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1298512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1298551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298573 */     // GIR_Coverage, 9281,
     /* 1298573 */     GIR_EraseRootFromParent_Done,
     /* 1298574 */   // Label 18625: @1298574
     /* 1298574 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1298658), // Rule ID 9284 //
     /* 1298579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1298596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1298635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298657 */     // GIR_Coverage, 9284,
     /* 1298657 */     GIR_EraseRootFromParent_Done,
     /* 1298658 */   // Label 18626: @1298658
     /* 1298658 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1298742), // Rule ID 9285 //
     /* 1298663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1298680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1298719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298741 */     // GIR_Coverage, 9285,
     /* 1298741 */     GIR_EraseRootFromParent_Done,
     /* 1298742 */   // Label 18627: @1298742
     /* 1298742 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1298826), // Rule ID 9288 //
     /* 1298747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1298803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298825 */     // GIR_Coverage, 9288,
     /* 1298825 */     GIR_EraseRootFromParent_Done,
     /* 1298826 */   // Label 18628: @1298826
     /* 1298826 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1298910), // Rule ID 9289 //
     /* 1298831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1298887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298909 */     // GIR_Coverage, 9289,
     /* 1298909 */     GIR_EraseRootFromParent_Done,
     /* 1298910 */   // Label 18629: @1298910
     /* 1298910 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1298994), // Rule ID 9292 //
     /* 1298915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1298971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298993 */     // GIR_Coverage, 9292,
     /* 1298993 */     GIR_EraseRootFromParent_Done,
     /* 1298994 */   // Label 18630: @1298994
     /* 1298994 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1299078), // Rule ID 9293 //
     /* 1298999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1299016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1299055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299077 */     // GIR_Coverage, 9293,
     /* 1299077 */     GIR_EraseRootFromParent_Done,
     /* 1299078 */   // Label 18631: @1299078
     /* 1299078 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1299162), // Rule ID 9296 //
     /* 1299083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1299100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1299139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299161 */     // GIR_Coverage, 9296,
     /* 1299161 */     GIR_EraseRootFromParent_Done,
     /* 1299162 */   // Label 18632: @1299162
     /* 1299162 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1299246), // Rule ID 9297 //
     /* 1299167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1299184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1299223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299245 */     // GIR_Coverage, 9297,
     /* 1299245 */     GIR_EraseRootFromParent_Done,
     /* 1299246 */   // Label 18633: @1299246
     /* 1299246 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1299330), // Rule ID 9300 //
     /* 1299251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1299268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299329 */     // GIR_Coverage, 9300,
     /* 1299329 */     GIR_EraseRootFromParent_Done,
     /* 1299330 */   // Label 18634: @1299330
     /* 1299330 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1299414), // Rule ID 9301 //
     /* 1299335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1299352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299413 */     // GIR_Coverage, 9301,
     /* 1299413 */     GIR_EraseRootFromParent_Done,
     /* 1299414 */   // Label 18635: @1299414
     /* 1299414 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1299498), // Rule ID 9304 //
     /* 1299419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1299436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299497 */     // GIR_Coverage, 9304,
     /* 1299497 */     GIR_EraseRootFromParent_Done,
     /* 1299498 */   // Label 18636: @1299498
     /* 1299498 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1299582), // Rule ID 9305 //
     /* 1299503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1299520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299581 */     // GIR_Coverage, 9305,
     /* 1299581 */     GIR_EraseRootFromParent_Done,
     /* 1299582 */   // Label 18637: @1299582
     /* 1299582 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1299666), // Rule ID 9308 //
     /* 1299587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1299604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299665 */     // GIR_Coverage, 9308,
     /* 1299665 */     GIR_EraseRootFromParent_Done,
     /* 1299666 */   // Label 18638: @1299666
     /* 1299666 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1299750), // Rule ID 9309 //
     /* 1299671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1299688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299749 */     // GIR_Coverage, 9309,
     /* 1299749 */     GIR_EraseRootFromParent_Done,
     /* 1299750 */   // Label 18639: @1299750
     /* 1299750 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1299834), // Rule ID 9312 //
     /* 1299755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299833 */     // GIR_Coverage, 9312,
     /* 1299833 */     GIR_EraseRootFromParent_Done,
     /* 1299834 */   // Label 18640: @1299834
     /* 1299834 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1299918), // Rule ID 9313 //
     /* 1299839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1299895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299917 */     // GIR_Coverage, 9313,
     /* 1299917 */     GIR_EraseRootFromParent_Done,
     /* 1299918 */   // Label 18641: @1299918
     /* 1299918 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1300002), // Rule ID 9316 //
     /* 1299923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299976 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1299979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300001 */     // GIR_Coverage, 9316,
     /* 1300001 */     GIR_EraseRootFromParent_Done,
     /* 1300002 */   // Label 18642: @1300002
     /* 1300002 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1300086), // Rule ID 9317 //
     /* 1300007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1300024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1300063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300085 */     // GIR_Coverage, 9317,
     /* 1300085 */     GIR_EraseRootFromParent_Done,
     /* 1300086 */   // Label 18643: @1300086
     /* 1300086 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1300170), // Rule ID 9320 //
     /* 1300091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1300108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1300147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300169 */     // GIR_Coverage, 9320,
     /* 1300169 */     GIR_EraseRootFromParent_Done,
     /* 1300170 */   // Label 18644: @1300170
     /* 1300170 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1300254), // Rule ID 9321 //
     /* 1300175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1300192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1300231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300253 */     // GIR_Coverage, 9321,
     /* 1300253 */     GIR_EraseRootFromParent_Done,
     /* 1300254 */   // Label 18645: @1300254
     /* 1300254 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1300338), // Rule ID 9324 //
     /* 1300259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1300270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1300273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1300276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1300282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300312 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1300315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300337 */     // GIR_Coverage, 9324,
     /* 1300337 */     GIR_EraseRootFromParent_Done,
     /* 1300338 */   // Label 18646: @1300338
     /* 1300338 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1300422), // Rule ID 9325 //
     /* 1300343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1300354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1300357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1300360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1300366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300396 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1300399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300421 */     // GIR_Coverage, 9325,
     /* 1300421 */     GIR_EraseRootFromParent_Done,
     /* 1300422 */   // Label 18647: @1300422
     /* 1300422 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1300506), // Rule ID 9328 //
     /* 1300427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1300444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1300483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300505 */     // GIR_Coverage, 9328,
     /* 1300505 */     GIR_EraseRootFromParent_Done,
     /* 1300506 */   // Label 18648: @1300506
     /* 1300506 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1300590), // Rule ID 9329 //
     /* 1300511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1300528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1300567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300589 */     // GIR_Coverage, 9329,
     /* 1300589 */     GIR_EraseRootFromParent_Done,
     /* 1300590 */   // Label 18649: @1300590
     /* 1300590 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1300674), // Rule ID 9332 //
     /* 1300595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1300612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1300651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300673 */     // GIR_Coverage, 9332,
     /* 1300673 */     GIR_EraseRootFromParent_Done,
     /* 1300674 */   // Label 18650: @1300674
     /* 1300674 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1300758), // Rule ID 9333 //
     /* 1300679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1300696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1300735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300757 */     // GIR_Coverage, 9333,
     /* 1300757 */     GIR_EraseRootFromParent_Done,
     /* 1300758 */   // Label 18651: @1300758
     /* 1300758 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1300842), // Rule ID 9336 //
     /* 1300763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300816 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1300819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300841 */     // GIR_Coverage, 9336,
     /* 1300841 */     GIR_EraseRootFromParent_Done,
     /* 1300842 */   // Label 18652: @1300842
     /* 1300842 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1300926), // Rule ID 9337 //
     /* 1300847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1300903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300925 */     // GIR_Coverage, 9337,
     /* 1300925 */     GIR_EraseRootFromParent_Done,
     /* 1300926 */   // Label 18653: @1300926
     /* 1300926 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1301010), // Rule ID 9340 //
     /* 1300931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1300987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301009 */     // GIR_Coverage, 9340,
     /* 1301009 */     GIR_EraseRootFromParent_Done,
     /* 1301010 */   // Label 18654: @1301010
     /* 1301010 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1301094), // Rule ID 9341 //
     /* 1301015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1301032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1301071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301093 */     // GIR_Coverage, 9341,
     /* 1301093 */     GIR_EraseRootFromParent_Done,
     /* 1301094 */   // Label 18655: @1301094
     /* 1301094 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1301178), // Rule ID 9344 //
     /* 1301099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1301116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1301155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301177 */     // GIR_Coverage, 9344,
     /* 1301177 */     GIR_EraseRootFromParent_Done,
     /* 1301178 */   // Label 18656: @1301178
     /* 1301178 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1301262), // Rule ID 9345 //
     /* 1301183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1301200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1301239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301261 */     // GIR_Coverage, 9345,
     /* 1301261 */     GIR_EraseRootFromParent_Done,
     /* 1301262 */   // Label 18657: @1301262
     /* 1301262 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1301346), // Rule ID 9348 //
     /* 1301267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1301284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1301323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301345 */     // GIR_Coverage, 9348,
     /* 1301345 */     GIR_EraseRootFromParent_Done,
     /* 1301346 */   // Label 18658: @1301346
     /* 1301346 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1301430), // Rule ID 9349 //
     /* 1301351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1301368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1301407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301429 */     // GIR_Coverage, 9349,
     /* 1301429 */     GIR_EraseRootFromParent_Done,
     /* 1301430 */   // Label 18659: @1301430
     /* 1301430 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1301514), // Rule ID 9352 //
     /* 1301435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1301452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1301491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301513 */     // GIR_Coverage, 9352,
     /* 1301513 */     GIR_EraseRootFromParent_Done,
     /* 1301514 */   // Label 18660: @1301514
     /* 1301514 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1301598), // Rule ID 9353 //
     /* 1301519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1301536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1301575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301597 */     // GIR_Coverage, 9353,
     /* 1301597 */     GIR_EraseRootFromParent_Done,
     /* 1301598 */   // Label 18661: @1301598
     /* 1301598 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1301682), // Rule ID 9356 //
     /* 1301603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1301620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1301659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301681 */     // GIR_Coverage, 9356,
     /* 1301681 */     GIR_EraseRootFromParent_Done,
     /* 1301682 */   // Label 18662: @1301682
     /* 1301682 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1301766), // Rule ID 9357 //
     /* 1301687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1301704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1301743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301765 */     // GIR_Coverage, 9357,
     /* 1301765 */     GIR_EraseRootFromParent_Done,
     /* 1301766 */   // Label 18663: @1301766
     /* 1301766 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1301850), // Rule ID 9360 //
     /* 1301771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1301827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301849 */     // GIR_Coverage, 9360,
     /* 1301849 */     GIR_EraseRootFromParent_Done,
     /* 1301850 */   // Label 18664: @1301850
     /* 1301850 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1301934), // Rule ID 9361 //
     /* 1301855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1301911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301933 */     // GIR_Coverage, 9361,
     /* 1301933 */     GIR_EraseRootFromParent_Done,
     /* 1301934 */   // Label 18665: @1301934
     /* 1301934 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1302018), // Rule ID 9452 //
     /* 1301939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1301959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1301995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302017 */     // GIR_Coverage, 9452,
     /* 1302017 */     GIR_EraseRootFromParent_Done,
     /* 1302018 */   // Label 18666: @1302018
     /* 1302018 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1302102), // Rule ID 9453 //
     /* 1302023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1302040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1302043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1302079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302101 */     // GIR_Coverage, 9453,
     /* 1302101 */     GIR_EraseRootFromParent_Done,
     /* 1302102 */   // Label 18667: @1302102
     /* 1302102 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1302186), // Rule ID 9456 //
     /* 1302107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1302124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1302127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1302163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302185 */     // GIR_Coverage, 9456,
     /* 1302185 */     GIR_EraseRootFromParent_Done,
     /* 1302186 */   // Label 18668: @1302186
     /* 1302186 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1302270), // Rule ID 9457 //
     /* 1302191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1302208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1302211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1302247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302269 */     // GIR_Coverage, 9457,
     /* 1302269 */     GIR_EraseRootFromParent_Done,
     /* 1302270 */   // Label 18669: @1302270
     /* 1302270 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1302354), // Rule ID 9460 //
     /* 1302275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1302292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1302295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1302331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302353 */     // GIR_Coverage, 9460,
     /* 1302353 */     GIR_EraseRootFromParent_Done,
     /* 1302354 */   // Label 18670: @1302354
     /* 1302354 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1302438), // Rule ID 9461 //
     /* 1302359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1302376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1302379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1302415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302437 */     // GIR_Coverage, 9461,
     /* 1302437 */     GIR_EraseRootFromParent_Done,
     /* 1302438 */   // Label 18671: @1302438
     /* 1302438 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1302522), // Rule ID 9464 //
     /* 1302443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1302460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1302463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1302499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302521 */     // GIR_Coverage, 9464,
     /* 1302521 */     GIR_EraseRootFromParent_Done,
     /* 1302522 */   // Label 18672: @1302522
     /* 1302522 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1302606), // Rule ID 9465 //
     /* 1302527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1302544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1302547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1302583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302605 */     // GIR_Coverage, 9465,
     /* 1302605 */     GIR_EraseRootFromParent_Done,
     /* 1302606 */   // Label 18673: @1302606
     /* 1302606 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1302690), // Rule ID 9468 //
     /* 1302611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1302631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1302667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302689 */     // GIR_Coverage, 9468,
     /* 1302689 */     GIR_EraseRootFromParent_Done,
     /* 1302690 */   // Label 18674: @1302690
     /* 1302690 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1302774), // Rule ID 9469 //
     /* 1302695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1302715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1302751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302773 */     // GIR_Coverage, 9469,
     /* 1302773 */     GIR_EraseRootFromParent_Done,
     /* 1302774 */   // Label 18675: @1302774
     /* 1302774 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1302858), // Rule ID 9472 //
     /* 1302779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1302799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1302835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302857 */     // GIR_Coverage, 9472,
     /* 1302857 */     GIR_EraseRootFromParent_Done,
     /* 1302858 */   // Label 18676: @1302858
     /* 1302858 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1302942), // Rule ID 9473 //
     /* 1302863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1302883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302916 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1302919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302941 */     // GIR_Coverage, 9473,
     /* 1302941 */     GIR_EraseRootFromParent_Done,
     /* 1302942 */   // Label 18677: @1302942
     /* 1302942 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1303026), // Rule ID 9476 //
     /* 1302947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1302967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1303003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303025 */     // GIR_Coverage, 9476,
     /* 1303025 */     GIR_EraseRootFromParent_Done,
     /* 1303026 */   // Label 18678: @1303026
     /* 1303026 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1303110), // Rule ID 9477 //
     /* 1303031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1303048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1303051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1303087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303109 */     // GIR_Coverage, 9477,
     /* 1303109 */     GIR_EraseRootFromParent_Done,
     /* 1303110 */   // Label 18679: @1303110
     /* 1303110 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1303194), // Rule ID 9480 //
     /* 1303115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1303132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1303135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1303171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303193 */     // GIR_Coverage, 9480,
     /* 1303193 */     GIR_EraseRootFromParent_Done,
     /* 1303194 */   // Label 18680: @1303194
     /* 1303194 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1303278), // Rule ID 9481 //
     /* 1303199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1303216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1303219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1303255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303277 */     // GIR_Coverage, 9481,
     /* 1303277 */     GIR_EraseRootFromParent_Done,
     /* 1303278 */   // Label 18681: @1303278
     /* 1303278 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1303362), // Rule ID 9484 //
     /* 1303283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1303286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1303300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1303303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1303339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303361 */     // GIR_Coverage, 9484,
     /* 1303361 */     GIR_EraseRootFromParent_Done,
     /* 1303362 */   // Label 18682: @1303362
     /* 1303362 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1303446), // Rule ID 9485 //
     /* 1303367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1303370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1303384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1303387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1303423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303445 */     // GIR_Coverage, 9485,
     /* 1303445 */     GIR_EraseRootFromParent_Done,
     /* 1303446 */   // Label 18683: @1303446
     /* 1303446 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1303530), // Rule ID 9488 //
     /* 1303451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1303471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1303507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303529 */     // GIR_Coverage, 9488,
     /* 1303529 */     GIR_EraseRootFromParent_Done,
     /* 1303530 */   // Label 18684: @1303530
     /* 1303530 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1303614), // Rule ID 9489 //
     /* 1303535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1303555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1303591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303613 */     // GIR_Coverage, 9489,
     /* 1303613 */     GIR_EraseRootFromParent_Done,
     /* 1303614 */   // Label 18685: @1303614
     /* 1303614 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1303698), // Rule ID 9492 //
     /* 1303619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1303639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303672 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1303675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303697 */     // GIR_Coverage, 9492,
     /* 1303697 */     GIR_EraseRootFromParent_Done,
     /* 1303698 */   // Label 18686: @1303698
     /* 1303698 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1303782), // Rule ID 9493 //
     /* 1303703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1303723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303756 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1303759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303781 */     // GIR_Coverage, 9493,
     /* 1303781 */     GIR_EraseRootFromParent_Done,
     /* 1303782 */   // Label 18687: @1303782
     /* 1303782 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1303866), // Rule ID 9496 //
     /* 1303787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1303807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303840 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1303843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303865 */     // GIR_Coverage, 9496,
     /* 1303865 */     GIR_EraseRootFromParent_Done,
     /* 1303866 */   // Label 18688: @1303866
     /* 1303866 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1303950), // Rule ID 9497 //
     /* 1303871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1303891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303924 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1303927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303949 */     // GIR_Coverage, 9497,
     /* 1303949 */     GIR_EraseRootFromParent_Done,
     /* 1303950 */   // Label 18689: @1303950
     /* 1303950 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1304034), // Rule ID 9500 //
     /* 1303955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1303975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1304011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304033 */     // GIR_Coverage, 9500,
     /* 1304033 */     GIR_EraseRootFromParent_Done,
     /* 1304034 */   // Label 18690: @1304034
     /* 1304034 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1304118), // Rule ID 9501 //
     /* 1304039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1304056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1304059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1304095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304117 */     // GIR_Coverage, 9501,
     /* 1304117 */     GIR_EraseRootFromParent_Done,
     /* 1304118 */   // Label 18691: @1304118
     /* 1304118 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1304202), // Rule ID 9504 //
     /* 1304123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1304140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1304143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304176 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1304179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304201 */     // GIR_Coverage, 9504,
     /* 1304201 */     GIR_EraseRootFromParent_Done,
     /* 1304202 */   // Label 18692: @1304202
     /* 1304202 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1304286), // Rule ID 9505 //
     /* 1304207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1304224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1304227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304260 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1304263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304285 */     // GIR_Coverage, 9505,
     /* 1304285 */     GIR_EraseRootFromParent_Done,
     /* 1304286 */   // Label 18693: @1304286
     /* 1304286 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1304370), // Rule ID 9508 //
     /* 1304291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1304302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1304305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1304308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1304311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1304314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304344 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1304347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304369 */     // GIR_Coverage, 9508,
     /* 1304369 */     GIR_EraseRootFromParent_Done,
     /* 1304370 */   // Label 18694: @1304370
     /* 1304370 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1304454), // Rule ID 9509 //
     /* 1304375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1304386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1304389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1304392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1304395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1304398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304428 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1304431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304453 */     // GIR_Coverage, 9509,
     /* 1304453 */     GIR_EraseRootFromParent_Done,
     /* 1304454 */   // Label 18695: @1304454
     /* 1304454 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1304538), // Rule ID 9512 //
     /* 1304459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1304479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1304515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304537 */     // GIR_Coverage, 9512,
     /* 1304537 */     GIR_EraseRootFromParent_Done,
     /* 1304538 */   // Label 18696: @1304538
     /* 1304538 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1304622), // Rule ID 9513 //
     /* 1304543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1304563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1304599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304621 */     // GIR_Coverage, 9513,
     /* 1304621 */     GIR_EraseRootFromParent_Done,
     /* 1304622 */   // Label 18697: @1304622
     /* 1304622 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1304706), // Rule ID 9516 //
     /* 1304627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1304647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1304683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304705 */     // GIR_Coverage, 9516,
     /* 1304705 */     GIR_EraseRootFromParent_Done,
     /* 1304706 */   // Label 18698: @1304706
     /* 1304706 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1304790), // Rule ID 9517 //
     /* 1304711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1304731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1304767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304789 */     // GIR_Coverage, 9517,
     /* 1304789 */     GIR_EraseRootFromParent_Done,
     /* 1304790 */   // Label 18699: @1304790
     /* 1304790 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1304874), // Rule ID 9520 //
     /* 1304795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1304851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304873 */     // GIR_Coverage, 9520,
     /* 1304873 */     GIR_EraseRootFromParent_Done,
     /* 1304874 */   // Label 18700: @1304874
     /* 1304874 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1304958), // Rule ID 9521 //
     /* 1304879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1304899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304932 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1304935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304957 */     // GIR_Coverage, 9521,
     /* 1304957 */     GIR_EraseRootFromParent_Done,
     /* 1304958 */   // Label 18701: @1304958
     /* 1304958 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1305042), // Rule ID 9524 //
     /* 1304963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1304983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1305019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305041 */     // GIR_Coverage, 9524,
     /* 1305041 */     GIR_EraseRootFromParent_Done,
     /* 1305042 */   // Label 18702: @1305042
     /* 1305042 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1305126), // Rule ID 9525 //
     /* 1305047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1305064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1305067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1305103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305125 */     // GIR_Coverage, 9525,
     /* 1305125 */     GIR_EraseRootFromParent_Done,
     /* 1305126 */   // Label 18703: @1305126
     /* 1305126 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1305210), // Rule ID 9528 //
     /* 1305131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1305134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1305148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1305151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1305187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305209 */     // GIR_Coverage, 9528,
     /* 1305209 */     GIR_EraseRootFromParent_Done,
     /* 1305210 */   // Label 18704: @1305210
     /* 1305210 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1305294), // Rule ID 9529 //
     /* 1305215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1305232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1305235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305268 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1305271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305293 */     // GIR_Coverage, 9529,
     /* 1305293 */     GIR_EraseRootFromParent_Done,
     /* 1305294 */   // Label 18705: @1305294
     /* 1305294 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1305378), // Rule ID 9532 //
     /* 1305299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1305302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1305316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1305319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1305355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305377 */     // GIR_Coverage, 9532,
     /* 1305377 */     GIR_EraseRootFromParent_Done,
     /* 1305378 */   // Label 18706: @1305378
     /* 1305378 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1305462), // Rule ID 9533 //
     /* 1305383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1305391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1305400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1305403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305436 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1305439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305461 */     // GIR_Coverage, 9533,
     /* 1305461 */     GIR_EraseRootFromParent_Done,
     /* 1305462 */   // Label 18707: @1305462
     /* 1305462 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1305546), // Rule ID 9536 //
     /* 1305467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1305487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1305523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305545 */     // GIR_Coverage, 9536,
     /* 1305545 */     GIR_EraseRootFromParent_Done,
     /* 1305546 */   // Label 18708: @1305546
     /* 1305546 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1305630), // Rule ID 9537 //
     /* 1305551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1305571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1305607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305629 */     // GIR_Coverage, 9537,
     /* 1305629 */     GIR_EraseRootFromParent_Done,
     /* 1305630 */   // Label 18709: @1305630
     /* 1305630 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1305714), // Rule ID 9540 //
     /* 1305635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1305655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1305691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305713 */     // GIR_Coverage, 9540,
     /* 1305713 */     GIR_EraseRootFromParent_Done,
     /* 1305714 */   // Label 18710: @1305714
     /* 1305714 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1305798), // Rule ID 9541 //
     /* 1305719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1305739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1305775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305797 */     // GIR_Coverage, 9541,
     /* 1305797 */     GIR_EraseRootFromParent_Done,
     /* 1305798 */   // Label 18711: @1305798
     /* 1305798 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1305882), // Rule ID 9544 //
     /* 1305803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1305859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305881 */     // GIR_Coverage, 9544,
     /* 1305881 */     GIR_EraseRootFromParent_Done,
     /* 1305882 */   // Label 18712: @1305882
     /* 1305882 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1305966), // Rule ID 9545 //
     /* 1305887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1305907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1305943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305965 */     // GIR_Coverage, 9545,
     /* 1305965 */     GIR_EraseRootFromParent_Done,
     /* 1305966 */   // Label 18713: @1305966
     /* 1305966 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1306050), // Rule ID 9548 //
     /* 1305971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1305991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1306027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306049 */     // GIR_Coverage, 9548,
     /* 1306049 */     GIR_EraseRootFromParent_Done,
     /* 1306050 */   // Label 18714: @1306050
     /* 1306050 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1306134), // Rule ID 9549 //
     /* 1306055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1306072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1306075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1306111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306133 */     // GIR_Coverage, 9549,
     /* 1306133 */     GIR_EraseRootFromParent_Done,
     /* 1306134 */   // Label 18715: @1306134
     /* 1306134 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1306218), // Rule ID 9552 //
     /* 1306139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1306156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1306159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1306195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306217 */     // GIR_Coverage, 9552,
     /* 1306217 */     GIR_EraseRootFromParent_Done,
     /* 1306218 */   // Label 18716: @1306218
     /* 1306218 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1306302), // Rule ID 9553 //
     /* 1306223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1306240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1306243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1306279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306301 */     // GIR_Coverage, 9553,
     /* 1306301 */     GIR_EraseRootFromParent_Done,
     /* 1306302 */   // Label 18717: @1306302
     /* 1306302 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1306386), // Rule ID 9556 //
     /* 1306307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1306324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1306327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1306363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306385 */     // GIR_Coverage, 9556,
     /* 1306385 */     GIR_EraseRootFromParent_Done,
     /* 1306386 */   // Label 18718: @1306386
     /* 1306386 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1306470), // Rule ID 9557 //
     /* 1306391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1306408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1306411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1306447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306469 */     // GIR_Coverage, 9557,
     /* 1306469 */     GIR_EraseRootFromParent_Done,
     /* 1306470 */   // Label 18719: @1306470
     /* 1306470 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1306554), // Rule ID 9560 //
     /* 1306475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1306495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1306531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306553 */     // GIR_Coverage, 9560,
     /* 1306553 */     GIR_EraseRootFromParent_Done,
     /* 1306554 */   // Label 18720: @1306554
     /* 1306554 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1306638), // Rule ID 9561 //
     /* 1306559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1306579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1306615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306637 */     // GIR_Coverage, 9561,
     /* 1306637 */     GIR_EraseRootFromParent_Done,
     /* 1306638 */   // Label 18721: @1306638
     /* 1306638 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1306722), // Rule ID 9564 //
     /* 1306643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1306663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1306699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306721 */     // GIR_Coverage, 9564,
     /* 1306721 */     GIR_EraseRootFromParent_Done,
     /* 1306722 */   // Label 18722: @1306722
     /* 1306722 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1306806), // Rule ID 9565 //
     /* 1306727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1306747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1306783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306805 */     // GIR_Coverage, 9565,
     /* 1306805 */     GIR_EraseRootFromParent_Done,
     /* 1306806 */   // Label 18723: @1306806
     /* 1306806 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1306890), // Rule ID 9568 //
     /* 1306811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1306867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306889 */     // GIR_Coverage, 9568,
     /* 1306889 */     GIR_EraseRootFromParent_Done,
     /* 1306890 */   // Label 18724: @1306890
     /* 1306890 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1306974), // Rule ID 9569 //
     /* 1306895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1306915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1306951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306973 */     // GIR_Coverage, 9569,
     /* 1306973 */     GIR_EraseRootFromParent_Done,
     /* 1306974 */   // Label 18725: @1306974
     /* 1306974 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1307058), // Rule ID 9572 //
     /* 1306979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1306999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1307035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307057 */     // GIR_Coverage, 9572,
     /* 1307057 */     GIR_EraseRootFromParent_Done,
     /* 1307058 */   // Label 18726: @1307058
     /* 1307058 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1307142), // Rule ID 9573 //
     /* 1307063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1307080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1307083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1307119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307141 */     // GIR_Coverage, 9573,
     /* 1307141 */     GIR_EraseRootFromParent_Done,
     /* 1307142 */   // Label 18727: @1307142
     /* 1307142 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1307226), // Rule ID 9576 //
     /* 1307147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1307164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1307167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1307203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307225 */     // GIR_Coverage, 9576,
     /* 1307225 */     GIR_EraseRootFromParent_Done,
     /* 1307226 */   // Label 18728: @1307226
     /* 1307226 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1307310), // Rule ID 9577 //
     /* 1307231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1307248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1307251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1307287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307309 */     // GIR_Coverage, 9577,
     /* 1307309 */     GIR_EraseRootFromParent_Done,
     /* 1307310 */   // Label 18729: @1307310
     /* 1307310 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1307394), // Rule ID 9580 //
     /* 1307315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1307332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1307335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307368 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1307371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307393 */     // GIR_Coverage, 9580,
     /* 1307393 */     GIR_EraseRootFromParent_Done,
     /* 1307394 */   // Label 18730: @1307394
     /* 1307394 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1307478), // Rule ID 9581 //
     /* 1307399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1307416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1307419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307452 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1307455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307477 */     // GIR_Coverage, 9581,
     /* 1307477 */     GIR_EraseRootFromParent_Done,
     /* 1307478 */   // Label 18731: @1307478
     /* 1307478 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1307562), // Rule ID 9584 //
     /* 1307483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1307503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307536 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1307539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307561 */     // GIR_Coverage, 9584,
     /* 1307561 */     GIR_EraseRootFromParent_Done,
     /* 1307562 */   // Label 18732: @1307562
     /* 1307562 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1307646), // Rule ID 9585 //
     /* 1307567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1307587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307620 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1307623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307645 */     // GIR_Coverage, 9585,
     /* 1307645 */     GIR_EraseRootFromParent_Done,
     /* 1307646 */   // Label 18733: @1307646
     /* 1307646 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1307730), // Rule ID 9588 //
     /* 1307651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1307671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1307707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307729 */     // GIR_Coverage, 9588,
     /* 1307729 */     GIR_EraseRootFromParent_Done,
     /* 1307730 */   // Label 18734: @1307730
     /* 1307730 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1307814), // Rule ID 9589 //
     /* 1307735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1307755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1307791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307813 */     // GIR_Coverage, 9589,
     /* 1307813 */     GIR_EraseRootFromParent_Done,
     /* 1307814 */   // Label 18735: @1307814
     /* 1307814 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1307898), // Rule ID 9592 //
     /* 1307819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1307875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307897 */     // GIR_Coverage, 9592,
     /* 1307897 */     GIR_EraseRootFromParent_Done,
     /* 1307898 */   // Label 18736: @1307898
     /* 1307898 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1307982), // Rule ID 9593 //
     /* 1307903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1307923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307956 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1307959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307981 */     // GIR_Coverage, 9593,
     /* 1307981 */     GIR_EraseRootFromParent_Done,
     /* 1307982 */   // Label 18737: @1307982
     /* 1307982 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1308066), // Rule ID 9596 //
     /* 1307987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1308001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1308004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1308007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1308010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308040 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1308043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308065 */     // GIR_Coverage, 9596,
     /* 1308065 */     GIR_EraseRootFromParent_Done,
     /* 1308066 */   // Label 18738: @1308066
     /* 1308066 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1308150), // Rule ID 9597 //
     /* 1308071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1308082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1308085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1308088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1308091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1308094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308124 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1308127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308149 */     // GIR_Coverage, 9597,
     /* 1308149 */     GIR_EraseRootFromParent_Done,
     /* 1308150 */   // Label 18739: @1308150
     /* 1308150 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1308234), // Rule ID 9600 //
     /* 1308155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1308172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1308175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1308211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308233 */     // GIR_Coverage, 9600,
     /* 1308233 */     GIR_EraseRootFromParent_Done,
     /* 1308234 */   // Label 18740: @1308234
     /* 1308234 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1308318), // Rule ID 9601 //
     /* 1308239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1308256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1308259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1308295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308317 */     // GIR_Coverage, 9601,
     /* 1308317 */     GIR_EraseRootFromParent_Done,
     /* 1308318 */   // Label 18741: @1308318
     /* 1308318 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1308402), // Rule ID 9604 //
     /* 1308323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1308340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1308343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1308379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308401 */     // GIR_Coverage, 9604,
     /* 1308401 */     GIR_EraseRootFromParent_Done,
     /* 1308402 */   // Label 18742: @1308402
     /* 1308402 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1308486), // Rule ID 9605 //
     /* 1308407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1308424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1308427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1308463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308485 */     // GIR_Coverage, 9605,
     /* 1308485 */     GIR_EraseRootFromParent_Done,
     /* 1308486 */   // Label 18743: @1308486
     /* 1308486 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1308570), // Rule ID 9608 //
     /* 1308491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1308511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1308547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308569 */     // GIR_Coverage, 9608,
     /* 1308569 */     GIR_EraseRootFromParent_Done,
     /* 1308570 */   // Label 18744: @1308570
     /* 1308570 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1308654), // Rule ID 9609 //
     /* 1308575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1308595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1308631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308653 */     // GIR_Coverage, 9609,
     /* 1308653 */     GIR_EraseRootFromParent_Done,
     /* 1308654 */   // Label 18745: @1308654
     /* 1308654 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1308738), // Rule ID 9612 //
     /* 1308659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1308679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1308715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308737 */     // GIR_Coverage, 9612,
     /* 1308737 */     GIR_EraseRootFromParent_Done,
     /* 1308738 */   // Label 18746: @1308738
     /* 1308738 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1308822), // Rule ID 9613 //
     /* 1308743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1308763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1308799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308821 */     // GIR_Coverage, 9613,
     /* 1308821 */     GIR_EraseRootFromParent_Done,
     /* 1308822 */   // Label 18747: @1308822
     /* 1308822 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1308906), // Rule ID 9616 //
     /* 1308827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1308883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308905 */     // GIR_Coverage, 9616,
     /* 1308905 */     GIR_EraseRootFromParent_Done,
     /* 1308906 */   // Label 18748: @1308906
     /* 1308906 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1308990), // Rule ID 9617 //
     /* 1308911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1308931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1308967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308989 */     // GIR_Coverage, 9617,
     /* 1308989 */     GIR_EraseRootFromParent_Done,
     /* 1308990 */   // Label 18749: @1308990
     /* 1308990 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1309074), // Rule ID 9620 //
     /* 1308995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1309012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1309015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1309051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309073 */     // GIR_Coverage, 9620,
     /* 1309073 */     GIR_EraseRootFromParent_Done,
     /* 1309074 */   // Label 18750: @1309074
     /* 1309074 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1309158), // Rule ID 9621 //
     /* 1309079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1309087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1309096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1309099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1309135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309157 */     // GIR_Coverage, 9621,
     /* 1309157 */     GIR_EraseRootFromParent_Done,
     /* 1309158 */   // Label 18751: @1309158
     /* 1309158 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1309242), // Rule ID 9624 //
     /* 1309163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1309180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1309183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1309219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309241 */     // GIR_Coverage, 9624,
     /* 1309241 */     GIR_EraseRootFromParent_Done,
     /* 1309242 */   // Label 18752: @1309242
     /* 1309242 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1309326), // Rule ID 9625 //
     /* 1309247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1309264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1309267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1309303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309325 */     // GIR_Coverage, 9625,
     /* 1309325 */     GIR_EraseRootFromParent_Done,
     /* 1309326 */   // Label 18753: @1309326
     /* 1309326 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1309410), // Rule ID 9628 //
     /* 1309331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1309348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1309351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1309387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309409 */     // GIR_Coverage, 9628,
     /* 1309409 */     GIR_EraseRootFromParent_Done,
     /* 1309410 */   // Label 18754: @1309410
     /* 1309410 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1309494), // Rule ID 9629 //
     /* 1309415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1309432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1309435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309468 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1309471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309493 */     // GIR_Coverage, 9629,
     /* 1309493 */     GIR_EraseRootFromParent_Done,
     /* 1309494 */   // Label 18755: @1309494
     /* 1309494 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1309578), // Rule ID 9632 //
     /* 1309499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1309516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1309519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1309555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309577 */     // GIR_Coverage, 9632,
     /* 1309577 */     GIR_EraseRootFromParent_Done,
     /* 1309578 */   // Label 18756: @1309578
     /* 1309578 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1309662), // Rule ID 9633 //
     /* 1309583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1309600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1309603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1309639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309661 */     // GIR_Coverage, 9633,
     /* 1309661 */     GIR_EraseRootFromParent_Done,
     /* 1309662 */   // Label 18757: @1309662
     /* 1309662 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1309746), // Rule ID 9636 //
     /* 1309667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1309723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309745 */     // GIR_Coverage, 9636,
     /* 1309745 */     GIR_EraseRootFromParent_Done,
     /* 1309746 */   // Label 18758: @1309746
     /* 1309746 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1309830), // Rule ID 9637 //
     /* 1309751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1309807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309829 */     // GIR_Coverage, 9637,
     /* 1309829 */     GIR_EraseRootFromParent_Done,
     /* 1309830 */   // Label 18759: @1309830
     /* 1309830 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1309914), // Rule ID 9640 //
     /* 1309835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1309891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309913 */     // GIR_Coverage, 9640,
     /* 1309913 */     GIR_EraseRootFromParent_Done,
     /* 1309914 */   // Label 18760: @1309914
     /* 1309914 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1309998), // Rule ID 9641 //
     /* 1309919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1309927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1309975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309997 */     // GIR_Coverage, 9641,
     /* 1309997 */     GIR_EraseRootFromParent_Done,
     /* 1309998 */   // Label 18761: @1309998
     /* 1309998 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1310082), // Rule ID 9644 //
     /* 1310003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1310020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1310023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1310059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310081 */     // GIR_Coverage, 9644,
     /* 1310081 */     GIR_EraseRootFromParent_Done,
     /* 1310082 */   // Label 18762: @1310082
     /* 1310082 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1310166), // Rule ID 9645 //
     /* 1310087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1310104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1310107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1310143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310165 */     // GIR_Coverage, 9645,
     /* 1310165 */     GIR_EraseRootFromParent_Done,
     /* 1310166 */   // Label 18763: @1310166
     /* 1310166 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1310250), // Rule ID 9648 //
     /* 1310171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1310188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310249 */     // GIR_Coverage, 9648,
     /* 1310249 */     GIR_EraseRootFromParent_Done,
     /* 1310250 */   // Label 18764: @1310250
     /* 1310250 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1310334), // Rule ID 9649 //
     /* 1310255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1310272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310333 */     // GIR_Coverage, 9649,
     /* 1310333 */     GIR_EraseRootFromParent_Done,
     /* 1310334 */   // Label 18765: @1310334
     /* 1310334 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1310418), // Rule ID 9652 //
     /* 1310339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1310356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1310359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310417 */     // GIR_Coverage, 9652,
     /* 1310417 */     GIR_EraseRootFromParent_Done,
     /* 1310418 */   // Label 18766: @1310418
     /* 1310418 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1310502), // Rule ID 9653 //
     /* 1310423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1310440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1310443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310501 */     // GIR_Coverage, 9653,
     /* 1310501 */     GIR_EraseRootFromParent_Done,
     /* 1310502 */   // Label 18767: @1310502
     /* 1310502 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1310586), // Rule ID 9656 //
     /* 1310507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310560 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310585 */     // GIR_Coverage, 9656,
     /* 1310585 */     GIR_EraseRootFromParent_Done,
     /* 1310586 */   // Label 18768: @1310586
     /* 1310586 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1310670), // Rule ID 9657 //
     /* 1310591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310669 */     // GIR_Coverage, 9657,
     /* 1310669 */     GIR_EraseRootFromParent_Done,
     /* 1310670 */   // Label 18769: @1310670
     /* 1310670 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1310754), // Rule ID 9660 //
     /* 1310675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310753 */     // GIR_Coverage, 9660,
     /* 1310753 */     GIR_EraseRootFromParent_Done,
     /* 1310754 */   // Label 18770: @1310754
     /* 1310754 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1310838), // Rule ID 9661 //
     /* 1310759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310812 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1310815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310837 */     // GIR_Coverage, 9661,
     /* 1310837 */     GIR_EraseRootFromParent_Done,
     /* 1310838 */   // Label 18771: @1310838
     /* 1310838 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1310922), // Rule ID 9664 //
     /* 1310843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1310899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310921 */     // GIR_Coverage, 9664,
     /* 1310921 */     GIR_EraseRootFromParent_Done,
     /* 1310922 */   // Label 18772: @1310922
     /* 1310922 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1311006), // Rule ID 9665 //
     /* 1310927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1310935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310980 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1310983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311005 */     // GIR_Coverage, 9665,
     /* 1311005 */     GIR_EraseRootFromParent_Done,
     /* 1311006 */   // Label 18773: @1311006
     /* 1311006 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1311090), // Rule ID 9668 //
     /* 1311011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1311028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1311031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311064 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1311067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311089 */     // GIR_Coverage, 9668,
     /* 1311089 */     GIR_EraseRootFromParent_Done,
     /* 1311090 */   // Label 18774: @1311090
     /* 1311090 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1311174), // Rule ID 9669 //
     /* 1311095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1311112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1311115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311148 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1311151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311173 */     // GIR_Coverage, 9669,
     /* 1311173 */     GIR_EraseRootFromParent_Done,
     /* 1311174 */   // Label 18775: @1311174
     /* 1311174 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1311258), // Rule ID 9672 //
     /* 1311179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1311190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1311193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1311196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1311199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1311202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311232 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1311235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311257 */     // GIR_Coverage, 9672,
     /* 1311257 */     GIR_EraseRootFromParent_Done,
     /* 1311258 */   // Label 18776: @1311258
     /* 1311258 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1311342), // Rule ID 9673 //
     /* 1311263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1311274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1311277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1311280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1311283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1311286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311316 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1311319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311341 */     // GIR_Coverage, 9673,
     /* 1311341 */     GIR_EraseRootFromParent_Done,
     /* 1311342 */   // Label 18777: @1311342
     /* 1311342 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1311426), // Rule ID 9676 //
     /* 1311347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1311364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1311367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311400 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1311403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311425 */     // GIR_Coverage, 9676,
     /* 1311425 */     GIR_EraseRootFromParent_Done,
     /* 1311426 */   // Label 18778: @1311426
     /* 1311426 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1311510), // Rule ID 9677 //
     /* 1311431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1311448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1311451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1311487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311509 */     // GIR_Coverage, 9677,
     /* 1311509 */     GIR_EraseRootFromParent_Done,
     /* 1311510 */   // Label 18779: @1311510
     /* 1311510 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1311594), // Rule ID 9680 //
     /* 1311515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1311535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311568 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1311571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311593 */     // GIR_Coverage, 9680,
     /* 1311593 */     GIR_EraseRootFromParent_Done,
     /* 1311594 */   // Label 18780: @1311594
     /* 1311594 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1311678), // Rule ID 9681 //
     /* 1311599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1311619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311652 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1311655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311677 */     // GIR_Coverage, 9681,
     /* 1311677 */     GIR_EraseRootFromParent_Done,
     /* 1311678 */   // Label 18781: @1311678
     /* 1311678 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1311762), // Rule ID 9684 //
     /* 1311683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311736 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1311739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311761 */     // GIR_Coverage, 9684,
     /* 1311761 */     GIR_EraseRootFromParent_Done,
     /* 1311762 */   // Label 18782: @1311762
     /* 1311762 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1311846), // Rule ID 9685 //
     /* 1311767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311820 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1311823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311845 */     // GIR_Coverage, 9685,
     /* 1311845 */     GIR_EraseRootFromParent_Done,
     /* 1311846 */   // Label 18783: @1311846
     /* 1311846 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1311930), // Rule ID 9688 //
     /* 1311851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1311907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311929 */     // GIR_Coverage, 9688,
     /* 1311929 */     GIR_EraseRootFromParent_Done,
     /* 1311930 */   // Label 18784: @1311930
     /* 1311930 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1312014), // Rule ID 9689 //
     /* 1311935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1311943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1311991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312013 */     // GIR_Coverage, 9689,
     /* 1312013 */     GIR_EraseRootFromParent_Done,
     /* 1312014 */   // Label 18785: @1312014
     /* 1312014 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1312098), // Rule ID 9692 //
     /* 1312019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1312036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1312039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1312075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312097 */     // GIR_Coverage, 9692,
     /* 1312097 */     GIR_EraseRootFromParent_Done,
     /* 1312098 */   // Label 18786: @1312098
     /* 1312098 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1312182), // Rule ID 9693 //
     /* 1312103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1312120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1312123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1312159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312181 */     // GIR_Coverage, 9693,
     /* 1312181 */     GIR_EraseRootFromParent_Done,
     /* 1312182 */   // Label 18787: @1312182
     /* 1312182 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1312266), // Rule ID 9696 //
     /* 1312187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1312198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1312201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1312204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1312207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1312243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312265 */     // GIR_Coverage, 9696,
     /* 1312265 */     GIR_EraseRootFromParent_Done,
     /* 1312266 */   // Label 18788: @1312266
     /* 1312266 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1312350), // Rule ID 9697 //
     /* 1312271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1312282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1312285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1312288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1312291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312324 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1312327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312349 */     // GIR_Coverage, 9697,
     /* 1312349 */     GIR_EraseRootFromParent_Done,
     /* 1312350 */   // Label 18789: @1312350
     /* 1312350 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1312434), // Rule ID 9700 //
     /* 1312355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1312372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1312375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1312411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312433 */     // GIR_Coverage, 9700,
     /* 1312433 */     GIR_EraseRootFromParent_Done,
     /* 1312434 */   // Label 18790: @1312434
     /* 1312434 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1312518), // Rule ID 9701 //
     /* 1312439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1312456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1312459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1312495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312517 */     // GIR_Coverage, 9701,
     /* 1312517 */     GIR_EraseRootFromParent_Done,
     /* 1312518 */   // Label 18791: @1312518
     /* 1312518 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1312602), // Rule ID 9704 //
     /* 1312523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1312543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1312579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312601 */     // GIR_Coverage, 9704,
     /* 1312601 */     GIR_EraseRootFromParent_Done,
     /* 1312602 */   // Label 18792: @1312602
     /* 1312602 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1312686), // Rule ID 9705 //
     /* 1312607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1312627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1312663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312685 */     // GIR_Coverage, 9705,
     /* 1312685 */     GIR_EraseRootFromParent_Done,
     /* 1312686 */   // Label 18793: @1312686
     /* 1312686 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1312770), // Rule ID 9708 //
     /* 1312691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1312747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312769 */     // GIR_Coverage, 9708,
     /* 1312769 */     GIR_EraseRootFromParent_Done,
     /* 1312770 */   // Label 18794: @1312770
     /* 1312770 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1312854), // Rule ID 9709 //
     /* 1312775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1312783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1312831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312853 */     // GIR_Coverage, 9709,
     /* 1312853 */     GIR_EraseRootFromParent_Done,
     /* 1312854 */   // Label 18795: @1312854
     /* 1312854 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1312938), // Rule ID 9712 //
     /* 1312859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1312915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312937 */     // GIR_Coverage, 9712,
     /* 1312937 */     GIR_EraseRootFromParent_Done,
     /* 1312938 */   // Label 18796: @1312938
     /* 1312938 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1313022), // Rule ID 9713 //
     /* 1312943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1312951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1312999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313021 */     // GIR_Coverage, 9713,
     /* 1313021 */     GIR_EraseRootFromParent_Done,
     /* 1313022 */   // Label 18797: @1313022
     /* 1313022 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1313106), // Rule ID 9716 //
     /* 1313027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1313044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1313047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1313083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313105 */     // GIR_Coverage, 9716,
     /* 1313105 */     GIR_EraseRootFromParent_Done,
     /* 1313106 */   // Label 18798: @1313106
     /* 1313106 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1313190), // Rule ID 9717 //
     /* 1313111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1313128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1313131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1313167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313189 */     // GIR_Coverage, 9717,
     /* 1313189 */     GIR_EraseRootFromParent_Done,
     /* 1313190 */   // Label 18799: @1313190
     /* 1313190 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1313274), // Rule ID 9720 //
     /* 1313195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1313212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1313215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1313251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313273 */     // GIR_Coverage, 9720,
     /* 1313273 */     GIR_EraseRootFromParent_Done,
     /* 1313274 */   // Label 18800: @1313274
     /* 1313274 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1313358), // Rule ID 9721 //
     /* 1313279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1313296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1313299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1313335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313357 */     // GIR_Coverage, 9721,
     /* 1313357 */     GIR_EraseRootFromParent_Done,
     /* 1313358 */   // Label 18801: @1313358
     /* 1313358 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1313442), // Rule ID 9724 //
     /* 1313363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1313380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1313383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1313419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313441 */     // GIR_Coverage, 9724,
     /* 1313441 */     GIR_EraseRootFromParent_Done,
     /* 1313442 */   // Label 18802: @1313442
     /* 1313442 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1313526), // Rule ID 9725 //
     /* 1313447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1313464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1313467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1313503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313525 */     // GIR_Coverage, 9725,
     /* 1313525 */     GIR_EraseRootFromParent_Done,
     /* 1313526 */   // Label 18803: @1313526
     /* 1313526 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1313610), // Rule ID 9728 //
     /* 1313531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1313587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313609 */     // GIR_Coverage, 9728,
     /* 1313609 */     GIR_EraseRootFromParent_Done,
     /* 1313610 */   // Label 18804: @1313610
     /* 1313610 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1313694), // Rule ID 9729 //
     /* 1313615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1313671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313693 */     // GIR_Coverage, 9729,
     /* 1313693 */     GIR_EraseRootFromParent_Done,
     /* 1313694 */   // Label 18805: @1313694
     /* 1313694 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1313778), // Rule ID 9732 //
     /* 1313699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1313755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313777 */     // GIR_Coverage, 9732,
     /* 1313777 */     GIR_EraseRootFromParent_Done,
     /* 1313778 */   // Label 18806: @1313778
     /* 1313778 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1313862), // Rule ID 9733 //
     /* 1313783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1313839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313861 */     // GIR_Coverage, 9733,
     /* 1313861 */     GIR_EraseRootFromParent_Done,
     /* 1313862 */   // Label 18807: @1313862
     /* 1313862 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1313946), // Rule ID 9736 //
     /* 1313867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1313878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1313881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1313923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313945 */     // GIR_Coverage, 9736,
     /* 1313945 */     GIR_EraseRootFromParent_Done,
     /* 1313946 */   // Label 18808: @1313946
     /* 1313946 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1314030), // Rule ID 9737 //
     /* 1313951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1313959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1313962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1313965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1314007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314029 */     // GIR_Coverage, 9737,
     /* 1314029 */     GIR_EraseRootFromParent_Done,
     /* 1314030 */   // Label 18809: @1314030
     /* 1314030 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1314114), // Rule ID 9740 //
     /* 1314035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1314052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1314055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1314091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314113 */     // GIR_Coverage, 9740,
     /* 1314113 */     GIR_EraseRootFromParent_Done,
     /* 1314114 */   // Label 18810: @1314114
     /* 1314114 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1314198), // Rule ID 9741 //
     /* 1314119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1314136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1314139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1314175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314197 */     // GIR_Coverage, 9741,
     /* 1314197 */     GIR_EraseRootFromParent_Done,
     /* 1314198 */   // Label 18811: @1314198
     /* 1314198 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1314282), // Rule ID 9744 //
     /* 1314203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1314214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1314217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1314220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1314223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1314259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314281 */     // GIR_Coverage, 9744,
     /* 1314281 */     GIR_EraseRootFromParent_Done,
     /* 1314282 */   // Label 18812: @1314282
     /* 1314282 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1314366), // Rule ID 9745 //
     /* 1314287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1314298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1314301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1314304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1314307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1314343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314365 */     // GIR_Coverage, 9745,
     /* 1314365 */     GIR_EraseRootFromParent_Done,
     /* 1314366 */   // Label 18813: @1314366
     /* 1314366 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1314450), // Rule ID 9748 //
     /* 1314371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1314382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1314385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1314388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1314391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1314427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314449 */     // GIR_Coverage, 9748,
     /* 1314449 */     GIR_EraseRootFromParent_Done,
     /* 1314450 */   // Label 18814: @1314450
     /* 1314450 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1314534), // Rule ID 9749 //
     /* 1314455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1314458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1314466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1314469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1314472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1314475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1314511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314533 */     // GIR_Coverage, 9749,
     /* 1314533 */     GIR_EraseRootFromParent_Done,
     /* 1314534 */   // Label 18815: @1314534
     /* 1314534 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1314618), // Rule ID 9752 //
     /* 1314539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1314559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1314595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314617 */     // GIR_Coverage, 9752,
     /* 1314617 */     GIR_EraseRootFromParent_Done,
     /* 1314618 */   // Label 18816: @1314618
     /* 1314618 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1314702), // Rule ID 9753 //
     /* 1314623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1314643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1314679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314701 */     // GIR_Coverage, 9753,
     /* 1314701 */     GIR_EraseRootFromParent_Done,
     /* 1314702 */   // Label 18817: @1314702
     /* 1314702 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1314786), // Rule ID 9756 //
     /* 1314707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314760 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1314763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314785 */     // GIR_Coverage, 9756,
     /* 1314785 */     GIR_EraseRootFromParent_Done,
     /* 1314786 */   // Label 18818: @1314786
     /* 1314786 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1314870), // Rule ID 9757 //
     /* 1314791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314844 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1314847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314869 */     // GIR_Coverage, 9757,
     /* 1314869 */     GIR_EraseRootFromParent_Done,
     /* 1314870 */   // Label 18819: @1314870
     /* 1314870 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1314954), // Rule ID 9760 //
     /* 1314875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1314886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1314889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314928 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1314931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314953 */     // GIR_Coverage, 9760,
     /* 1314953 */     GIR_EraseRootFromParent_Done,
     /* 1314954 */   // Label 18820: @1314954
     /* 1314954 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1315038), // Rule ID 9761 //
     /* 1314959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1314967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1314970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1314973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315012 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1315015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315037 */     // GIR_Coverage, 9761,
     /* 1315037 */     GIR_EraseRootFromParent_Done,
     /* 1315038 */   // Label 18821: @1315038
     /* 1315038 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1315122), // Rule ID 9764 //
     /* 1315043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1315060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1315063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1315099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315121 */     // GIR_Coverage, 9764,
     /* 1315121 */     GIR_EraseRootFromParent_Done,
     /* 1315122 */   // Label 18822: @1315122
     /* 1315122 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1315206), // Rule ID 9765 //
     /* 1315127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1315144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1315147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1315183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315205 */     // GIR_Coverage, 9765,
     /* 1315205 */     GIR_EraseRootFromParent_Done,
     /* 1315206 */   // Label 18823: @1315206
     /* 1315206 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1315290), // Rule ID 9768 //
     /* 1315211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1315228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1315231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1315267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315289 */     // GIR_Coverage, 9768,
     /* 1315289 */     GIR_EraseRootFromParent_Done,
     /* 1315290 */   // Label 18824: @1315290
     /* 1315290 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1315374), // Rule ID 9769 //
     /* 1315295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1315312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1315315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1315351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315373 */     // GIR_Coverage, 9769,
     /* 1315373 */     GIR_EraseRootFromParent_Done,
     /* 1315374 */   // Label 18825: @1315374
     /* 1315374 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1315458), // Rule ID 9772 //
     /* 1315379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1315390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1315393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1315396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1315399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1315402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315432 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1315435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315457 */     // GIR_Coverage, 9772,
     /* 1315457 */     GIR_EraseRootFromParent_Done,
     /* 1315458 */   // Label 18826: @1315458
     /* 1315458 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1315542), // Rule ID 9773 //
     /* 1315463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1315474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1315477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1315480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1315483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1315486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1315519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315541 */     // GIR_Coverage, 9773,
     /* 1315541 */     GIR_EraseRootFromParent_Done,
     /* 1315542 */   // Label 18827: @1315542
     /* 1315542 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1315626), // Rule ID 9776 //
     /* 1315547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1315564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1315567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1315603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315625 */     // GIR_Coverage, 9776,
     /* 1315625 */     GIR_EraseRootFromParent_Done,
     /* 1315626 */   // Label 18828: @1315626
     /* 1315626 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1315710), // Rule ID 9777 //
     /* 1315631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1315648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1315651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1315687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315709 */     // GIR_Coverage, 9777,
     /* 1315709 */     GIR_EraseRootFromParent_Done,
     /* 1315710 */   // Label 18829: @1315710
     /* 1315710 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1315794), // Rule ID 9780 //
     /* 1315715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1315771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315793 */     // GIR_Coverage, 9780,
     /* 1315793 */     GIR_EraseRootFromParent_Done,
     /* 1315794 */   // Label 18830: @1315794
     /* 1315794 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1315878), // Rule ID 9781 //
     /* 1315799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1315855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315877 */     // GIR_Coverage, 9781,
     /* 1315877 */     GIR_EraseRootFromParent_Done,
     /* 1315878 */   // Label 18831: @1315878
     /* 1315878 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1315962), // Rule ID 9784 //
     /* 1315883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1315939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315961 */     // GIR_Coverage, 9784,
     /* 1315961 */     GIR_EraseRootFromParent_Done,
     /* 1315962 */   // Label 18832: @1315962
     /* 1315962 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1316046), // Rule ID 9785 //
     /* 1315967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1315975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1316023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316045 */     // GIR_Coverage, 9785,
     /* 1316045 */     GIR_EraseRootFromParent_Done,
     /* 1316046 */   // Label 18833: @1316046
     /* 1316046 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1316130), // Rule ID 9788 //
     /* 1316051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1316068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1316071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1316107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316129 */     // GIR_Coverage, 9788,
     /* 1316129 */     GIR_EraseRootFromParent_Done,
     /* 1316130 */   // Label 18834: @1316130
     /* 1316130 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1316214), // Rule ID 9789 //
     /* 1316135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1316138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1316152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1316155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1316191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316213 */     // GIR_Coverage, 9789,
     /* 1316213 */     GIR_EraseRootFromParent_Done,
     /* 1316214 */   // Label 18835: @1316214
     /* 1316214 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1316298), // Rule ID 9792 //
     /* 1316219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1316236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1316239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1316275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316297 */     // GIR_Coverage, 9792,
     /* 1316297 */     GIR_EraseRootFromParent_Done,
     /* 1316298 */   // Label 18836: @1316298
     /* 1316298 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1316382), // Rule ID 9793 //
     /* 1316303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1316306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1316320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1316323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1316359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316381 */     // GIR_Coverage, 9793,
     /* 1316381 */     GIR_EraseRootFromParent_Done,
     /* 1316382 */   // Label 18837: @1316382
     /* 1316382 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1316466), // Rule ID 9796 //
     /* 1316387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1316404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1316407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1316443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316465 */     // GIR_Coverage, 9796,
     /* 1316465 */     GIR_EraseRootFromParent_Done,
     /* 1316466 */   // Label 18838: @1316466
     /* 1316466 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1316550), // Rule ID 9797 //
     /* 1316471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1316474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1316479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1316488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1316491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1316527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316549 */     // GIR_Coverage, 9797,
     /* 1316549 */     GIR_EraseRootFromParent_Done,
     /* 1316550 */   // Label 18839: @1316550
     /* 1316550 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1316631), // Rule ID 13738 //
     /* 1316555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1316566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1316569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1316572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1316575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1316611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316630 */     // GIR_Coverage, 13738,
     /* 1316630 */     GIR_EraseRootFromParent_Done,
     /* 1316631 */   // Label 18840: @1316631
     /* 1316631 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1316712), // Rule ID 13739 //
     /* 1316636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1316647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1316650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1316653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1316656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316689 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1316692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316711 */     // GIR_Coverage, 13739,
     /* 1316711 */     GIR_EraseRootFromParent_Done,
     /* 1316712 */   // Label 18841: @1316712
     /* 1316712 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1316793), // Rule ID 13740 //
     /* 1316717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1316728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1316731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1316737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1316773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316792 */     // GIR_Coverage, 13740,
     /* 1316792 */     GIR_EraseRootFromParent_Done,
     /* 1316793 */   // Label 18842: @1316793
     /* 1316793 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1316874), // Rule ID 13741 //
     /* 1316798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1316809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1316812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1316818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316851 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1316854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316873 */     // GIR_Coverage, 13741,
     /* 1316873 */     GIR_EraseRootFromParent_Done,
     /* 1316874 */   // Label 18843: @1316874
     /* 1316874 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1316955), // Rule ID 13742 //
     /* 1316879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1316890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1316893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1316899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1316935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316954 */     // GIR_Coverage, 13742,
     /* 1316954 */     GIR_EraseRootFromParent_Done,
     /* 1316955 */   // Label 18844: @1316955
     /* 1316955 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1317036), // Rule ID 13743 //
     /* 1316960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1316971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1316974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1316980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317013 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1317016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317035 */     // GIR_Coverage, 13743,
     /* 1317035 */     GIR_EraseRootFromParent_Done,
     /* 1317036 */   // Label 18845: @1317036
     /* 1317036 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1317117), // Rule ID 13744 //
     /* 1317041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1317052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1317055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1317058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1317061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1317097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317116 */     // GIR_Coverage, 13744,
     /* 1317116 */     GIR_EraseRootFromParent_Done,
     /* 1317117 */   // Label 18846: @1317117
     /* 1317117 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1317198), // Rule ID 13745 //
     /* 1317122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1317133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1317136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1317139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1317142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317175 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1317178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317197 */     // GIR_Coverage, 13745,
     /* 1317197 */     GIR_EraseRootFromParent_Done,
     /* 1317198 */   // Label 18847: @1317198
     /* 1317198 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1317279), // Rule ID 13746 //
     /* 1317203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1317214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1317217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1317220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1317223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1317259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317278 */     // GIR_Coverage, 13746,
     /* 1317278 */     GIR_EraseRootFromParent_Done,
     /* 1317279 */   // Label 18848: @1317279
     /* 1317279 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1317360), // Rule ID 13747 //
     /* 1317284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1317295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1317298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1317301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1317304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1317340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317359 */     // GIR_Coverage, 13747,
     /* 1317359 */     GIR_EraseRootFromParent_Done,
     /* 1317360 */   // Label 18849: @1317360
     /* 1317360 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1317441), // Rule ID 13748 //
     /* 1317365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1317376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1317379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1317382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1317385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1317418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1317421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317440 */     // GIR_Coverage, 13748,
     /* 1317440 */     GIR_EraseRootFromParent_Done,
     /* 1317441 */   // Label 18850: @1317441
     /* 1317441 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1317522), // Rule ID 13749 //
     /* 1317446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1317457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1317460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1317463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1317466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1317502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317521 */     // GIR_Coverage, 13749,
     /* 1317521 */     GIR_EraseRootFromParent_Done,
     /* 1317522 */   // Label 18851: @1317522
     /* 1317522 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1317603), // Rule ID 13750 //
     /* 1317527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1317544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1317580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1317583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317602 */     // GIR_Coverage, 13750,
     /* 1317602 */     GIR_EraseRootFromParent_Done,
     /* 1317603 */   // Label 18852: @1317603
     /* 1317603 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1317684), // Rule ID 13751 //
     /* 1317608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1317625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317661 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1317661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1317664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317683 */     // GIR_Coverage, 13751,
     /* 1317683 */     GIR_EraseRootFromParent_Done,
     /* 1317684 */   // Label 18853: @1317684
     /* 1317684 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1317765), // Rule ID 13752 //
     /* 1317689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1317700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1317703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1317709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1317742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1317745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317764 */     // GIR_Coverage, 13752,
     /* 1317764 */     GIR_EraseRootFromParent_Done,
     /* 1317765 */   // Label 18854: @1317765
     /* 1317765 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1317846), // Rule ID 13753 //
     /* 1317770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1317781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1317784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1317790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1317823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1317826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317845 */     // GIR_Coverage, 13753,
     /* 1317845 */     GIR_EraseRootFromParent_Done,
     /* 1317846 */   // Label 18855: @1317846
     /* 1317846 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1317927), // Rule ID 13754 //
     /* 1317851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1317862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1317865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1317871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1317904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1317907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317926 */     // GIR_Coverage, 13754,
     /* 1317926 */     GIR_EraseRootFromParent_Done,
     /* 1317927 */   // Label 18856: @1317927
     /* 1317927 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1318008), // Rule ID 13755 //
     /* 1317932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1317943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1317946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1317952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1317988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318007 */     // GIR_Coverage, 13755,
     /* 1318007 */     GIR_EraseRootFromParent_Done,
     /* 1318008 */   // Label 18857: @1318008
     /* 1318008 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1318089), // Rule ID 13756 //
     /* 1318013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1318024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1318027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1318030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1318033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1318066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1318069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318088 */     // GIR_Coverage, 13756,
     /* 1318088 */     GIR_EraseRootFromParent_Done,
     /* 1318089 */   // Label 18858: @1318089
     /* 1318089 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1318170), // Rule ID 13757 //
     /* 1318094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1318105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1318108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1318111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1318114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1318147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1318150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318169 */     // GIR_Coverage, 13757,
     /* 1318169 */     GIR_EraseRootFromParent_Done,
     /* 1318170 */   // Label 18859: @1318170
     /* 1318170 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1318251), // Rule ID 13758 //
     /* 1318175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1318186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1318189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1318192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1318195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1318228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1318231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318250 */     // GIR_Coverage, 13758,
     /* 1318250 */     GIR_EraseRootFromParent_Done,
     /* 1318251 */   // Label 18860: @1318251
     /* 1318251 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1318332), // Rule ID 13759 //
     /* 1318256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1318267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1318270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1318273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1318276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1318309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1318312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318331 */     // GIR_Coverage, 13759,
     /* 1318331 */     GIR_EraseRootFromParent_Done,
     /* 1318332 */   // Label 18861: @1318332
     /* 1318332 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1318413), // Rule ID 13760 //
     /* 1318337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1318348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1318351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1318354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1318357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1318390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1318393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318412 */     // GIR_Coverage, 13760,
     /* 1318412 */     GIR_EraseRootFromParent_Done,
     /* 1318413 */   // Label 18862: @1318413
     /* 1318413 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1318494), // Rule ID 13761 //
     /* 1318418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1318429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1318432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1318435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1318438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1318471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1318474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318493 */     // GIR_Coverage, 13761,
     /* 1318493 */     GIR_EraseRootFromParent_Done,
     /* 1318494 */   // Label 18863: @1318494
     /* 1318494 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1318575), // Rule ID 13762 //
     /* 1318499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1318510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1318513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1318516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1318519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1318522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1318552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1318555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318574 */     // GIR_Coverage, 13762,
     /* 1318574 */     GIR_EraseRootFromParent_Done,
     /* 1318575 */   // Label 18864: @1318575
     /* 1318575 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1318656), // Rule ID 13763 //
     /* 1318580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1318591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1318594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1318597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1318600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1318603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318633 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1318633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1318636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318655 */     // GIR_Coverage, 13763,
     /* 1318655 */     GIR_EraseRootFromParent_Done,
     /* 1318656 */   // Label 18865: @1318656
     /* 1318656 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1318737), // Rule ID 13764 //
     /* 1318661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1318672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1318675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1318681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1318717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318736 */     // GIR_Coverage, 13764,
     /* 1318736 */     GIR_EraseRootFromParent_Done,
     /* 1318737 */   // Label 18866: @1318737
     /* 1318737 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1318818), // Rule ID 13765 //
     /* 1318742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1318753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1318756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1318762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318795 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1318798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318817 */     // GIR_Coverage, 13765,
     /* 1318817 */     GIR_EraseRootFromParent_Done,
     /* 1318818 */   // Label 18867: @1318818
     /* 1318818 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1318899), // Rule ID 13766 //
     /* 1318823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1318834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1318837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1318843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1318876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1318879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318898 */     // GIR_Coverage, 13766,
     /* 1318898 */     GIR_EraseRootFromParent_Done,
     /* 1318899 */   // Label 18868: @1318899
     /* 1318899 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1318980), // Rule ID 13767 //
     /* 1318904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1318915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1318918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1318924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1318957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1318960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318979 */     // GIR_Coverage, 13767,
     /* 1318979 */     GIR_EraseRootFromParent_Done,
     /* 1318980 */   // Label 18869: @1318980
     /* 1318980 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1319061), // Rule ID 13768 //
     /* 1318985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1318993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1318996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1318999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1319002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1319005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319038 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1319038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1319041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319060 */     // GIR_Coverage, 13768,
     /* 1319060 */     GIR_EraseRootFromParent_Done,
     /* 1319061 */   // Label 18870: @1319061
     /* 1319061 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1319142), // Rule ID 13769 //
     /* 1319066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1319077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1319080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1319083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1319086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1319119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1319122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319141 */     // GIR_Coverage, 13769,
     /* 1319141 */     GIR_EraseRootFromParent_Done,
     /* 1319142 */   // Label 18871: @1319142
     /* 1319142 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1319223), // Rule ID 13770 //
     /* 1319147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1319158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1319161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1319164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1319167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1319200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1319203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319222 */     // GIR_Coverage, 13770,
     /* 1319222 */     GIR_EraseRootFromParent_Done,
     /* 1319223 */   // Label 18872: @1319223
     /* 1319223 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1319304), // Rule ID 13771 //
     /* 1319228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1319239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1319242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1319245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1319248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1319281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1319284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319303 */     // GIR_Coverage, 13771,
     /* 1319303 */     GIR_EraseRootFromParent_Done,
     /* 1319304 */   // Label 18873: @1319304
     /* 1319304 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1319385), // Rule ID 13772 //
     /* 1319309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1319320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1319323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1319326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1319329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1319362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1319365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319384 */     // GIR_Coverage, 13772,
     /* 1319384 */     GIR_EraseRootFromParent_Done,
     /* 1319385 */   // Label 18874: @1319385
     /* 1319385 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1319466), // Rule ID 13773 //
     /* 1319390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1319401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1319404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1319407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1319410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319443 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1319443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1319446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319465 */     // GIR_Coverage, 13773,
     /* 1319465 */     GIR_EraseRootFromParent_Done,
     /* 1319466 */   // Label 18875: @1319466
     /* 1319466 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1319547), // Rule ID 13774 //
     /* 1319471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1319482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1319485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1319488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1319491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1319524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1319527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319546 */     // GIR_Coverage, 13774,
     /* 1319546 */     GIR_EraseRootFromParent_Done,
     /* 1319547 */   // Label 18876: @1319547
     /* 1319547 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1319628), // Rule ID 13775 //
     /* 1319552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1319563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1319566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1319569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1319572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319605 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1319605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1319608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319627 */     // GIR_Coverage, 13775,
     /* 1319627 */     GIR_EraseRootFromParent_Done,
     /* 1319628 */   // Label 18877: @1319628
     /* 1319628 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1319709), // Rule ID 13776 //
     /* 1319633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1319644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1319647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1319653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1319689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319708 */     // GIR_Coverage, 13776,
     /* 1319708 */     GIR_EraseRootFromParent_Done,
     /* 1319709 */   // Label 18878: @1319709
     /* 1319709 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1319790), // Rule ID 13777 //
     /* 1319714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1319725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1319728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1319734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1319744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319767 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1319770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319789 */     // GIR_Coverage, 13777,
     /* 1319789 */     GIR_EraseRootFromParent_Done,
     /* 1319790 */   // Label 18879: @1319790
     /* 1319790 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1319871), // Rule ID 13778 //
     /* 1319795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1319806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1319809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1319815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1319848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1319851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319870 */     // GIR_Coverage, 13778,
     /* 1319870 */     GIR_EraseRootFromParent_Done,
     /* 1319871 */   // Label 18880: @1319871
     /* 1319871 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1319952), // Rule ID 13779 //
     /* 1319876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1319887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1319890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1319896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1319906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1319929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1319932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319951 */     // GIR_Coverage, 13779,
     /* 1319951 */     GIR_EraseRootFromParent_Done,
     /* 1319952 */   // Label 18881: @1319952
     /* 1319952 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1320033), // Rule ID 13780 //
     /* 1319957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1319965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1319968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1319971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1319977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1319987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1320010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1320013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320032 */     // GIR_Coverage, 13780,
     /* 1320032 */     GIR_EraseRootFromParent_Done,
     /* 1320033 */   // Label 18882: @1320033
     /* 1320033 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1320114), // Rule ID 13781 //
     /* 1320038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1320041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1320049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1320052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1320055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1320058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1320068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1320091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1320094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320113 */     // GIR_Coverage, 13781,
     /* 1320113 */     GIR_EraseRootFromParent_Done,
     /* 1320114 */   // Label 18883: @1320114
     /* 1320114 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1320195), // Rule ID 13782 //
     /* 1320119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1320130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1320133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1320136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1320175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320194 */     // GIR_Coverage, 13782,
     /* 1320194 */     GIR_EraseRootFromParent_Done,
     /* 1320195 */   // Label 18884: @1320195
     /* 1320195 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1320276), // Rule ID 13783 //
     /* 1320200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1320211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1320214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1320217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320253 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1320256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320275 */     // GIR_Coverage, 13783,
     /* 1320275 */     GIR_EraseRootFromParent_Done,
     /* 1320276 */   // Label 18885: @1320276
     /* 1320276 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1320357), // Rule ID 13784 //
     /* 1320281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1320292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1320295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1320298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320334 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1320337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320356 */     // GIR_Coverage, 13784,
     /* 1320356 */     GIR_EraseRootFromParent_Done,
     /* 1320357 */   // Label 18886: @1320357
     /* 1320357 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1320438), // Rule ID 13785 //
     /* 1320362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1320373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1320376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1320379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320415 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1320418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320437 */     // GIR_Coverage, 13785,
     /* 1320437 */     GIR_EraseRootFromParent_Done,
     /* 1320438 */   // Label 18887: @1320438
     /* 1320438 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1320519), // Rule ID 13786 //
     /* 1320443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1320454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1320457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1320460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1320496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1320499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320518 */     // GIR_Coverage, 13786,
     /* 1320518 */     GIR_EraseRootFromParent_Done,
     /* 1320519 */   // Label 18888: @1320519
     /* 1320519 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1320600), // Rule ID 13787 //
     /* 1320524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1320535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1320538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1320541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1320577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1320580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320599 */     // GIR_Coverage, 13787,
     /* 1320599 */     GIR_EraseRootFromParent_Done,
     /* 1320600 */   // Label 18889: @1320600
     /* 1320600 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1320681), // Rule ID 13788 //
     /* 1320605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1320616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1320619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1320658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1320661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320680 */     // GIR_Coverage, 13788,
     /* 1320680 */     GIR_EraseRootFromParent_Done,
     /* 1320681 */   // Label 18890: @1320681
     /* 1320681 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1320762), // Rule ID 13789 //
     /* 1320686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1320697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1320700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1320739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1320742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320761 */     // GIR_Coverage, 13789,
     /* 1320761 */     GIR_EraseRootFromParent_Done,
     /* 1320762 */   // Label 18891: @1320762
     /* 1320762 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1320843), // Rule ID 13790 //
     /* 1320767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1320778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1320781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1320784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1320820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1320823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320842 */     // GIR_Coverage, 13790,
     /* 1320842 */     GIR_EraseRootFromParent_Done,
     /* 1320843 */   // Label 18892: @1320843
     /* 1320843 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1320924), // Rule ID 13791 //
     /* 1320848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1320859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1320862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1320865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1320901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1320904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320923 */     // GIR_Coverage, 13791,
     /* 1320923 */     GIR_EraseRootFromParent_Done,
     /* 1320924 */   // Label 18893: @1320924
     /* 1320924 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1321005), // Rule ID 13792 //
     /* 1320929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1320937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1320940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1320943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1320946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1320971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1320982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1320985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321004 */     // GIR_Coverage, 13792,
     /* 1321004 */     GIR_EraseRootFromParent_Done,
     /* 1321005 */   // Label 18894: @1321005
     /* 1321005 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1321086), // Rule ID 13793 //
     /* 1321010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1321021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1321024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1321027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1321063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1321066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321085 */     // GIR_Coverage, 13793,
     /* 1321085 */     GIR_EraseRootFromParent_Done,
     /* 1321086 */   // Label 18895: @1321086
     /* 1321086 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1321167), // Rule ID 13794 //
     /* 1321091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1321102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1321105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1321108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1321144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321166 */     // GIR_Coverage, 13794,
     /* 1321166 */     GIR_EraseRootFromParent_Done,
     /* 1321167 */   // Label 18896: @1321167
     /* 1321167 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1321248), // Rule ID 13795 //
     /* 1321172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1321183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1321186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1321189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1321225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321247 */     // GIR_Coverage, 13795,
     /* 1321247 */     GIR_EraseRootFromParent_Done,
     /* 1321248 */   // Label 18897: @1321248
     /* 1321248 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1321329), // Rule ID 13796 //
     /* 1321253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1321264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1321267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1321270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321306 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1321306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321328 */     // GIR_Coverage, 13796,
     /* 1321328 */     GIR_EraseRootFromParent_Done,
     /* 1321329 */   // Label 18898: @1321329
     /* 1321329 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1321410), // Rule ID 13797 //
     /* 1321334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1321345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1321348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1321351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1321387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321409 */     // GIR_Coverage, 13797,
     /* 1321409 */     GIR_EraseRootFromParent_Done,
     /* 1321410 */   // Label 18899: @1321410
     /* 1321410 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1321491), // Rule ID 13798 //
     /* 1321415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1321426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1321429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1321432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1321468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321490 */     // GIR_Coverage, 13798,
     /* 1321490 */     GIR_EraseRootFromParent_Done,
     /* 1321491 */   // Label 18900: @1321491
     /* 1321491 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1321572), // Rule ID 13799 //
     /* 1321496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1321507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1321510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1321513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321549 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1321549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321571 */     // GIR_Coverage, 13799,
     /* 1321571 */     GIR_EraseRootFromParent_Done,
     /* 1321572 */   // Label 18901: @1321572
     /* 1321572 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1321653), // Rule ID 13800 //
     /* 1321577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1321580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1321630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321652 */     // GIR_Coverage, 13800,
     /* 1321652 */     GIR_EraseRootFromParent_Done,
     /* 1321653 */   // Label 18902: @1321653
     /* 1321653 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1321734), // Rule ID 13801 //
     /* 1321658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1321661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1321711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1321714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321733 */     // GIR_Coverage, 13801,
     /* 1321733 */     GIR_EraseRootFromParent_Done,
     /* 1321734 */   // Label 18903: @1321734
     /* 1321734 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1321815), // Rule ID 13802 //
     /* 1321739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1321750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1321753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1321756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1321792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1321795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321814 */     // GIR_Coverage, 13802,
     /* 1321814 */     GIR_EraseRootFromParent_Done,
     /* 1321815 */   // Label 18904: @1321815
     /* 1321815 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1321896), // Rule ID 13803 //
     /* 1321820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1321831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1321834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1321837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1321873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1321876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321895 */     // GIR_Coverage, 13803,
     /* 1321895 */     GIR_EraseRootFromParent_Done,
     /* 1321896 */   // Label 18905: @1321896
     /* 1321896 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1321977), // Rule ID 13804 //
     /* 1321901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1321912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1321915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1321918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1321943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321954 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1321954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1321957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321976 */     // GIR_Coverage, 13804,
     /* 1321976 */     GIR_EraseRootFromParent_Done,
     /* 1321977 */   // Label 18906: @1321977
     /* 1321977 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1322058), // Rule ID 13805 //
     /* 1321982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1321990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1321993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1321996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1321999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1322035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1322038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322057 */     // GIR_Coverage, 13805,
     /* 1322057 */     GIR_EraseRootFromParent_Done,
     /* 1322058 */   // Label 18907: @1322058
     /* 1322058 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1322139), // Rule ID 13806 //
     /* 1322063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1322074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1322077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1322080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1322086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322116 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1322116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1322119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322138 */     // GIR_Coverage, 13806,
     /* 1322138 */     GIR_EraseRootFromParent_Done,
     /* 1322139 */   // Label 18908: @1322139
     /* 1322139 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1322220), // Rule ID 13807 //
     /* 1322144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1322155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1322158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1322161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1322167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1322197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1322200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322219 */     // GIR_Coverage, 13807,
     /* 1322219 */     GIR_EraseRootFromParent_Done,
     /* 1322220 */   // Label 18909: @1322220
     /* 1322220 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1322301), // Rule ID 13808 //
     /* 1322225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1322236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1322239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1322242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1322278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1322281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322300 */     // GIR_Coverage, 13808,
     /* 1322300 */     GIR_EraseRootFromParent_Done,
     /* 1322301 */   // Label 18910: @1322301
     /* 1322301 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1322382), // Rule ID 13809 //
     /* 1322306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1322317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1322320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1322323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1322359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1322362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322381 */     // GIR_Coverage, 13809,
     /* 1322381 */     GIR_EraseRootFromParent_Done,
     /* 1322382 */   // Label 18911: @1322382
     /* 1322382 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1322463), // Rule ID 13810 //
     /* 1322387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1322398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1322401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1322440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1322443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322462 */     // GIR_Coverage, 13810,
     /* 1322462 */     GIR_EraseRootFromParent_Done,
     /* 1322463 */   // Label 18912: @1322463
     /* 1322463 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1322544), // Rule ID 13811 //
     /* 1322468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1322479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1322482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1322521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1322524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322543 */     // GIR_Coverage, 13811,
     /* 1322543 */     GIR_EraseRootFromParent_Done,
     /* 1322544 */   // Label 18913: @1322544
     /* 1322544 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1322625), // Rule ID 13812 //
     /* 1322549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1322560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1322563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1322566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322602 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1322602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1322605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322624 */     // GIR_Coverage, 13812,
     /* 1322624 */     GIR_EraseRootFromParent_Done,
     /* 1322625 */   // Label 18914: @1322625
     /* 1322625 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1322706), // Rule ID 13813 //
     /* 1322630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1322641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1322644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1322647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322683 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1322683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1322686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322705 */     // GIR_Coverage, 13813,
     /* 1322705 */     GIR_EraseRootFromParent_Done,
     /* 1322706 */   // Label 18915: @1322706
     /* 1322706 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1322787), // Rule ID 13814 //
     /* 1322711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1322722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1322725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1322764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1322767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322786 */     // GIR_Coverage, 13814,
     /* 1322786 */     GIR_EraseRootFromParent_Done,
     /* 1322787 */   // Label 18916: @1322787
     /* 1322787 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1322868), // Rule ID 13815 //
     /* 1322792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1322803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1322806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1322845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1322848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322867 */     // GIR_Coverage, 13815,
     /* 1322867 */     GIR_EraseRootFromParent_Done,
     /* 1322868 */   // Label 18917: @1322868
     /* 1322868 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1322949), // Rule ID 13816 //
     /* 1322873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1322884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1322887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1322926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1322929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322948 */     // GIR_Coverage, 13816,
     /* 1322948 */     GIR_EraseRootFromParent_Done,
     /* 1322949 */   // Label 18918: @1322949
     /* 1322949 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1323030), // Rule ID 13817 //
     /* 1322954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1322962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1322965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1322968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1322996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323007 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1323007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1323010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323029 */     // GIR_Coverage, 13817,
     /* 1323029 */     GIR_EraseRootFromParent_Done,
     /* 1323030 */   // Label 18919: @1323030
     /* 1323030 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1323111), // Rule ID 13818 //
     /* 1323035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1323046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1323049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1323065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1323088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1323091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323110 */     // GIR_Coverage, 13818,
     /* 1323110 */     GIR_EraseRootFromParent_Done,
     /* 1323111 */   // Label 18920: @1323111
     /* 1323111 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1323192), // Rule ID 13819 //
     /* 1323116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1323127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1323130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1323133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1323146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1323169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1323172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323191 */     // GIR_Coverage, 13819,
     /* 1323191 */     GIR_EraseRootFromParent_Done,
     /* 1323192 */   // Label 18921: @1323192
     /* 1323192 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1323273), // Rule ID 13820 //
     /* 1323197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1323200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1323208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1323211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1323214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1323227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1323250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1323253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323272 */     // GIR_Coverage, 13820,
     /* 1323272 */     GIR_EraseRootFromParent_Done,
     /* 1323273 */   // Label 18922: @1323273
     /* 1323273 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1323354), // Rule ID 13821 //
     /* 1323278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1323289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1323292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1323295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1323308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1323331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1323334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323353 */     // GIR_Coverage, 13821,
     /* 1323353 */     GIR_EraseRootFromParent_Done,
     /* 1323354 */   // Label 18923: @1323354
     /* 1323354 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1323435), // Rule ID 13822 //
     /* 1323359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1323362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1323370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1323373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1323389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1323412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1323415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323434 */     // GIR_Coverage, 13822,
     /* 1323434 */     GIR_EraseRootFromParent_Done,
     /* 1323435 */   // Label 18924: @1323435
     /* 1323435 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1323516), // Rule ID 13823 //
     /* 1323440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1323451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1323454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1323470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323493 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1323493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1323496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323515 */     // GIR_Coverage, 13823,
     /* 1323515 */     GIR_EraseRootFromParent_Done,
     /* 1323516 */   // Label 18925: @1323516
     /* 1323516 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1323597), // Rule ID 13824 //
     /* 1323521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1323524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1323532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1323535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1323551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1323574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1323577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323596 */     // GIR_Coverage, 13824,
     /* 1323596 */     GIR_EraseRootFromParent_Done,
     /* 1323597 */   // Label 18926: @1323597
     /* 1323597 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1323678), // Rule ID 13825 //
     /* 1323602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1323613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1323616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1323632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1323644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323655 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1323655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1323658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323677 */     // GIR_Coverage, 13825,
     /* 1323677 */     GIR_EraseRootFromParent_Done,
     /* 1323678 */   // Label 18927: @1323678
     /* 1323678 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1323762), // Rule ID 19664 //
     /* 1323683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1323703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1323739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323761 */     // GIR_Coverage, 19664,
     /* 1323761 */     GIR_EraseRootFromParent_Done,
     /* 1323762 */   // Label 18928: @1323762
     /* 1323762 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1323846), // Rule ID 19665 //
     /* 1323767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1323787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1323823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323845 */     // GIR_Coverage, 19665,
     /* 1323845 */     GIR_EraseRootFromParent_Done,
     /* 1323846 */   // Label 18929: @1323846
     /* 1323846 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1323930), // Rule ID 19668 //
     /* 1323851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1323871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1323907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323929 */     // GIR_Coverage, 19668,
     /* 1323929 */     GIR_EraseRootFromParent_Done,
     /* 1323930 */   // Label 18930: @1323930
     /* 1323930 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1324014), // Rule ID 19669 //
     /* 1323935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1323943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1323955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1323991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324013 */     // GIR_Coverage, 19669,
     /* 1324013 */     GIR_EraseRootFromParent_Done,
     /* 1324014 */   // Label 18931: @1324014
     /* 1324014 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1324098), // Rule ID 19672 //
     /* 1324019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1324075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324097 */     // GIR_Coverage, 19672,
     /* 1324097 */     GIR_EraseRootFromParent_Done,
     /* 1324098 */   // Label 18932: @1324098
     /* 1324098 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1324182), // Rule ID 19673 //
     /* 1324103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1324159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324181 */     // GIR_Coverage, 19673,
     /* 1324181 */     GIR_EraseRootFromParent_Done,
     /* 1324182 */   // Label 18933: @1324182
     /* 1324182 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1324266), // Rule ID 19676 //
     /* 1324187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1324243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324265 */     // GIR_Coverage, 19676,
     /* 1324265 */     GIR_EraseRootFromParent_Done,
     /* 1324266 */   // Label 18934: @1324266
     /* 1324266 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1324350), // Rule ID 19677 //
     /* 1324271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1324327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324349 */     // GIR_Coverage, 19677,
     /* 1324349 */     GIR_EraseRootFromParent_Done,
     /* 1324350 */   // Label 18935: @1324350
     /* 1324350 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1324434), // Rule ID 19680 //
     /* 1324355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1324411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324433 */     // GIR_Coverage, 19680,
     /* 1324433 */     GIR_EraseRootFromParent_Done,
     /* 1324434 */   // Label 18936: @1324434
     /* 1324434 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1324518), // Rule ID 19681 //
     /* 1324439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1324495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324517 */     // GIR_Coverage, 19681,
     /* 1324517 */     GIR_EraseRootFromParent_Done,
     /* 1324518 */   // Label 18937: @1324518
     /* 1324518 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1324602), // Rule ID 19684 //
     /* 1324523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1324543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1324579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324601 */     // GIR_Coverage, 19684,
     /* 1324601 */     GIR_EraseRootFromParent_Done,
     /* 1324602 */   // Label 18938: @1324602
     /* 1324602 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1324686), // Rule ID 19685 //
     /* 1324607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1324627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1324663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324685 */     // GIR_Coverage, 19685,
     /* 1324685 */     GIR_EraseRootFromParent_Done,
     /* 1324686 */   // Label 18939: @1324686
     /* 1324686 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1324770), // Rule ID 19688 //
     /* 1324691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1324711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1324747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324769 */     // GIR_Coverage, 19688,
     /* 1324769 */     GIR_EraseRootFromParent_Done,
     /* 1324770 */   // Label 18940: @1324770
     /* 1324770 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1324854), // Rule ID 19689 //
     /* 1324775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1324795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1324831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324853 */     // GIR_Coverage, 19689,
     /* 1324853 */     GIR_EraseRootFromParent_Done,
     /* 1324854 */   // Label 18941: @1324854
     /* 1324854 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1324938), // Rule ID 19692 //
     /* 1324859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1324879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1324915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324937 */     // GIR_Coverage, 19692,
     /* 1324937 */     GIR_EraseRootFromParent_Done,
     /* 1324938 */   // Label 18942: @1324938
     /* 1324938 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1325022), // Rule ID 19693 //
     /* 1324943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1324951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1324963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324996 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1324999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325021 */     // GIR_Coverage, 19693,
     /* 1325021 */     GIR_EraseRootFromParent_Done,
     /* 1325022 */   // Label 18943: @1325022
     /* 1325022 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1325106), // Rule ID 19696 //
     /* 1325027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1325083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325105 */     // GIR_Coverage, 19696,
     /* 1325105 */     GIR_EraseRootFromParent_Done,
     /* 1325106 */   // Label 18944: @1325106
     /* 1325106 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1325190), // Rule ID 19697 //
     /* 1325111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1325122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1325125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325164 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1325167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325189 */     // GIR_Coverage, 19697,
     /* 1325189 */     GIR_EraseRootFromParent_Done,
     /* 1325190 */   // Label 18945: @1325190
     /* 1325190 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1325274), // Rule ID 19700 //
     /* 1325195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1325215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1325251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325273 */     // GIR_Coverage, 19700,
     /* 1325273 */     GIR_EraseRootFromParent_Done,
     /* 1325274 */   // Label 18946: @1325274
     /* 1325274 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1325358), // Rule ID 19701 //
     /* 1325279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1325299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1325335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325357 */     // GIR_Coverage, 19701,
     /* 1325357 */     GIR_EraseRootFromParent_Done,
     /* 1325358 */   // Label 18947: @1325358
     /* 1325358 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1325442), // Rule ID 19704 //
     /* 1325363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1325383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1325419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325441 */     // GIR_Coverage, 19704,
     /* 1325441 */     GIR_EraseRootFromParent_Done,
     /* 1325442 */   // Label 18948: @1325442
     /* 1325442 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1325526), // Rule ID 19705 //
     /* 1325447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1325467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1325503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325525 */     // GIR_Coverage, 19705,
     /* 1325525 */     GIR_EraseRootFromParent_Done,
     /* 1325526 */   // Label 18949: @1325526
     /* 1325526 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1325610), // Rule ID 19708 //
     /* 1325531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1325551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325584 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1325587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325609 */     // GIR_Coverage, 19708,
     /* 1325609 */     GIR_EraseRootFromParent_Done,
     /* 1325610 */   // Label 18950: @1325610
     /* 1325610 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1325694), // Rule ID 19709 //
     /* 1325615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1325635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1325671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325693 */     // GIR_Coverage, 19709,
     /* 1325693 */     GIR_EraseRootFromParent_Done,
     /* 1325694 */   // Label 18951: @1325694
     /* 1325694 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1325778), // Rule ID 19712 //
     /* 1325699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1325719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1325755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325777 */     // GIR_Coverage, 19712,
     /* 1325777 */     GIR_EraseRootFromParent_Done,
     /* 1325778 */   // Label 18952: @1325778
     /* 1325778 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1325862), // Rule ID 19713 //
     /* 1325783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1325803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1325839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325861 */     // GIR_Coverage, 19713,
     /* 1325861 */     GIR_EraseRootFromParent_Done,
     /* 1325862 */   // Label 18953: @1325862
     /* 1325862 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1325946), // Rule ID 19716 //
     /* 1325867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1325887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1325923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325945 */     // GIR_Coverage, 19716,
     /* 1325945 */     GIR_EraseRootFromParent_Done,
     /* 1325946 */   // Label 18954: @1325946
     /* 1325946 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1326030), // Rule ID 19717 //
     /* 1325951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1325959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1325971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1326007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326029 */     // GIR_Coverage, 19717,
     /* 1326029 */     GIR_EraseRootFromParent_Done,
     /* 1326030 */   // Label 18955: @1326030
     /* 1326030 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1326114), // Rule ID 19720 //
     /* 1326035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1326091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326113 */     // GIR_Coverage, 19720,
     /* 1326113 */     GIR_EraseRootFromParent_Done,
     /* 1326114 */   // Label 18956: @1326114
     /* 1326114 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1326198), // Rule ID 19721 //
     /* 1326119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1326175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326197 */     // GIR_Coverage, 19721,
     /* 1326197 */     GIR_EraseRootFromParent_Done,
     /* 1326198 */   // Label 18957: @1326198
     /* 1326198 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1326282), // Rule ID 19724 //
     /* 1326203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1326259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326281 */     // GIR_Coverage, 19724,
     /* 1326281 */     GIR_EraseRootFromParent_Done,
     /* 1326282 */   // Label 18958: @1326282
     /* 1326282 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1326366), // Rule ID 19725 //
     /* 1326287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1326304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1326343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326365 */     // GIR_Coverage, 19725,
     /* 1326365 */     GIR_EraseRootFromParent_Done,
     /* 1326366 */   // Label 18959: @1326366
     /* 1326366 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1326450), // Rule ID 19728 //
     /* 1326371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1326427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326449 */     // GIR_Coverage, 19728,
     /* 1326449 */     GIR_EraseRootFromParent_Done,
     /* 1326450 */   // Label 18960: @1326450
     /* 1326450 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1326534), // Rule ID 19729 //
     /* 1326455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1326511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326533 */     // GIR_Coverage, 19729,
     /* 1326533 */     GIR_EraseRootFromParent_Done,
     /* 1326534 */   // Label 18961: @1326534
     /* 1326534 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1326618), // Rule ID 19732 //
     /* 1326539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1326595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326617 */     // GIR_Coverage, 19732,
     /* 1326617 */     GIR_EraseRootFromParent_Done,
     /* 1326618 */   // Label 18962: @1326618
     /* 1326618 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1326702), // Rule ID 19733 //
     /* 1326623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1326679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326701 */     // GIR_Coverage, 19733,
     /* 1326701 */     GIR_EraseRootFromParent_Done,
     /* 1326702 */   // Label 18963: @1326702
     /* 1326702 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1326786), // Rule ID 19736 //
     /* 1326707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1326763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326785 */     // GIR_Coverage, 19736,
     /* 1326785 */     GIR_EraseRootFromParent_Done,
     /* 1326786 */   // Label 18964: @1326786
     /* 1326786 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1326870), // Rule ID 19737 //
     /* 1326791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1326847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326869 */     // GIR_Coverage, 19737,
     /* 1326869 */     GIR_EraseRootFromParent_Done,
     /* 1326870 */   // Label 18965: @1326870
     /* 1326870 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1326954), // Rule ID 19740 //
     /* 1326875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1326931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326953 */     // GIR_Coverage, 19740,
     /* 1326953 */     GIR_EraseRootFromParent_Done,
     /* 1326954 */   // Label 18966: @1326954
     /* 1326954 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1327038), // Rule ID 19741 //
     /* 1326959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1326967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1327015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327037 */     // GIR_Coverage, 19741,
     /* 1327037 */     GIR_EraseRootFromParent_Done,
     /* 1327038 */   // Label 18967: @1327038
     /* 1327038 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1327122), // Rule ID 19744 //
     /* 1327043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1327099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327121 */     // GIR_Coverage, 19744,
     /* 1327121 */     GIR_EraseRootFromParent_Done,
     /* 1327122 */   // Label 18968: @1327122
     /* 1327122 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1327206), // Rule ID 19745 //
     /* 1327127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1327144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1327183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327205 */     // GIR_Coverage, 19745,
     /* 1327205 */     GIR_EraseRootFromParent_Done,
     /* 1327206 */   // Label 18969: @1327206
     /* 1327206 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1327290), // Rule ID 19748 //
     /* 1327211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1327267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327289 */     // GIR_Coverage, 19748,
     /* 1327289 */     GIR_EraseRootFromParent_Done,
     /* 1327290 */   // Label 18970: @1327290
     /* 1327290 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1327374), // Rule ID 19749 //
     /* 1327295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1327312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327348 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1327351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327373 */     // GIR_Coverage, 19749,
     /* 1327373 */     GIR_EraseRootFromParent_Done,
     /* 1327374 */   // Label 18971: @1327374
     /* 1327374 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1327458), // Rule ID 19752 //
     /* 1327379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1327435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327457 */     // GIR_Coverage, 19752,
     /* 1327457 */     GIR_EraseRootFromParent_Done,
     /* 1327458 */   // Label 18972: @1327458
     /* 1327458 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1327542), // Rule ID 19753 //
     /* 1327463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327516 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1327519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327541 */     // GIR_Coverage, 19753,
     /* 1327541 */     GIR_EraseRootFromParent_Done,
     /* 1327542 */   // Label 18973: @1327542
     /* 1327542 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1327626), // Rule ID 19756 //
     /* 1327547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327600 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1327603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327625 */     // GIR_Coverage, 19756,
     /* 1327625 */     GIR_EraseRootFromParent_Done,
     /* 1327626 */   // Label 18974: @1327626
     /* 1327626 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1327710), // Rule ID 19757 //
     /* 1327631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1327687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327709 */     // GIR_Coverage, 19757,
     /* 1327709 */     GIR_EraseRootFromParent_Done,
     /* 1327710 */   // Label 18975: @1327710
     /* 1327710 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1327794), // Rule ID 19760 //
     /* 1327715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1327771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327793 */     // GIR_Coverage, 19760,
     /* 1327793 */     GIR_EraseRootFromParent_Done,
     /* 1327794 */   // Label 18976: @1327794
     /* 1327794 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1327878), // Rule ID 19761 //
     /* 1327799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1327855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327877 */     // GIR_Coverage, 19761,
     /* 1327877 */     GIR_EraseRootFromParent_Done,
     /* 1327878 */   // Label 18977: @1327878
     /* 1327878 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1327962), // Rule ID 19764 //
     /* 1327883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1327939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327961 */     // GIR_Coverage, 19764,
     /* 1327961 */     GIR_EraseRootFromParent_Done,
     /* 1327962 */   // Label 18978: @1327962
     /* 1327962 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1328046), // Rule ID 19765 //
     /* 1327967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1327975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1328023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328045 */     // GIR_Coverage, 19765,
     /* 1328045 */     GIR_EraseRootFromParent_Done,
     /* 1328046 */   // Label 18979: @1328046
     /* 1328046 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1328130), // Rule ID 19768 //
     /* 1328051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1328107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328129 */     // GIR_Coverage, 19768,
     /* 1328129 */     GIR_EraseRootFromParent_Done,
     /* 1328130 */   // Label 18980: @1328130
     /* 1328130 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1328214), // Rule ID 19769 //
     /* 1328135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1328146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1328149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1328152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1328177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1328191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328213 */     // GIR_Coverage, 19769,
     /* 1328213 */     GIR_EraseRootFromParent_Done,
     /* 1328214 */   // Label 18981: @1328214
     /* 1328214 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1328298), // Rule ID 19772 //
     /* 1328219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1328275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328297 */     // GIR_Coverage, 19772,
     /* 1328297 */     GIR_EraseRootFromParent_Done,
     /* 1328298 */   // Label 18982: @1328298
     /* 1328298 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1328382), // Rule ID 19773 //
     /* 1328303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1328320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1328359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328381 */     // GIR_Coverage, 19773,
     /* 1328381 */     GIR_EraseRootFromParent_Done,
     /* 1328382 */   // Label 18983: @1328382
     /* 1328382 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1328466), // Rule ID 19776 //
     /* 1328387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1328443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328465 */     // GIR_Coverage, 19776,
     /* 1328465 */     GIR_EraseRootFromParent_Done,
     /* 1328466 */   // Label 18984: @1328466
     /* 1328466 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1328550), // Rule ID 19777 //
     /* 1328471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1328527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328549 */     // GIR_Coverage, 19777,
     /* 1328549 */     GIR_EraseRootFromParent_Done,
     /* 1328550 */   // Label 18985: @1328550
     /* 1328550 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1328634), // Rule ID 19780 //
     /* 1328555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1328611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328633 */     // GIR_Coverage, 19780,
     /* 1328633 */     GIR_EraseRootFromParent_Done,
     /* 1328634 */   // Label 18986: @1328634
     /* 1328634 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1328718), // Rule ID 19781 //
     /* 1328639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1328647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1328695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328717 */     // GIR_Coverage, 19781,
     /* 1328717 */     GIR_EraseRootFromParent_Done,
     /* 1328718 */   // Label 18987: @1328718
     /* 1328718 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1328802), // Rule ID 19784 //
     /* 1328723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1328743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1328779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328801 */     // GIR_Coverage, 19784,
     /* 1328801 */     GIR_EraseRootFromParent_Done,
     /* 1328802 */   // Label 18988: @1328802
     /* 1328802 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1328886), // Rule ID 19785 //
     /* 1328807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1328827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1328863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328885 */     // GIR_Coverage, 19785,
     /* 1328885 */     GIR_EraseRootFromParent_Done,
     /* 1328886 */   // Label 18989: @1328886
     /* 1328886 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1328970), // Rule ID 19788 //
     /* 1328891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1328911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1328947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328969 */     // GIR_Coverage, 19788,
     /* 1328969 */     GIR_EraseRootFromParent_Done,
     /* 1328970 */   // Label 18990: @1328970
     /* 1328970 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1329054), // Rule ID 19789 //
     /* 1328975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1328983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1328995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1329031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329053 */     // GIR_Coverage, 19789,
     /* 1329053 */     GIR_EraseRootFromParent_Done,
     /* 1329054 */   // Label 18991: @1329054
     /* 1329054 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1329138), // Rule ID 19792 //
     /* 1329059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1329115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329137 */     // GIR_Coverage, 19792,
     /* 1329137 */     GIR_EraseRootFromParent_Done,
     /* 1329138 */   // Label 18992: @1329138
     /* 1329138 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1329222), // Rule ID 19793 //
     /* 1329143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1329160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1329163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1329199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329221 */     // GIR_Coverage, 19793,
     /* 1329221 */     GIR_EraseRootFromParent_Done,
     /* 1329222 */   // Label 18993: @1329222
     /* 1329222 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1329306), // Rule ID 19796 //
     /* 1329227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1329283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329305 */     // GIR_Coverage, 19796,
     /* 1329305 */     GIR_EraseRootFromParent_Done,
     /* 1329306 */   // Label 18994: @1329306
     /* 1329306 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1329390), // Rule ID 19797 //
     /* 1329311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1329328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1329367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329389 */     // GIR_Coverage, 19797,
     /* 1329389 */     GIR_EraseRootFromParent_Done,
     /* 1329390 */   // Label 18995: @1329390
     /* 1329390 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1329474), // Rule ID 19800 //
     /* 1329395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1329451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329473 */     // GIR_Coverage, 19800,
     /* 1329473 */     GIR_EraseRootFromParent_Done,
     /* 1329474 */   // Label 18996: @1329474
     /* 1329474 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1329558), // Rule ID 19801 //
     /* 1329479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1329535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329557 */     // GIR_Coverage, 19801,
     /* 1329557 */     GIR_EraseRootFromParent_Done,
     /* 1329558 */   // Label 18997: @1329558
     /* 1329558 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1329642), // Rule ID 19804 //
     /* 1329563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1329583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1329619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329641 */     // GIR_Coverage, 19804,
     /* 1329641 */     GIR_EraseRootFromParent_Done,
     /* 1329642 */   // Label 18998: @1329642
     /* 1329642 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1329726), // Rule ID 19805 //
     /* 1329647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1329667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1329703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329725 */     // GIR_Coverage, 19805,
     /* 1329725 */     GIR_EraseRootFromParent_Done,
     /* 1329726 */   // Label 18999: @1329726
     /* 1329726 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1329810), // Rule ID 19808 //
     /* 1329731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1329751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1329787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329809 */     // GIR_Coverage, 19808,
     /* 1329809 */     GIR_EraseRootFromParent_Done,
     /* 1329810 */   // Label 19000: @1329810
     /* 1329810 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1329894), // Rule ID 19809 //
     /* 1329815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1329835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1329871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329893 */     // GIR_Coverage, 19809,
     /* 1329893 */     GIR_EraseRootFromParent_Done,
     /* 1329894 */   // Label 19001: @1329894
     /* 1329894 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1329978), // Rule ID 19812 //
     /* 1329899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1329919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1329955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329977 */     // GIR_Coverage, 19812,
     /* 1329977 */     GIR_EraseRootFromParent_Done,
     /* 1329978 */   // Label 19002: @1329978
     /* 1329978 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1330062), // Rule ID 19813 //
     /* 1329983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1329991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1330003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1330039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330061 */     // GIR_Coverage, 19813,
     /* 1330061 */     GIR_EraseRootFromParent_Done,
     /* 1330062 */   // Label 19003: @1330062
     /* 1330062 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1330146), // Rule ID 19816 //
     /* 1330067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330120 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1330123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330145 */     // GIR_Coverage, 19816,
     /* 1330145 */     GIR_EraseRootFromParent_Done,
     /* 1330146 */   // Label 19004: @1330146
     /* 1330146 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1330230), // Rule ID 19817 //
     /* 1330151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1330162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1330165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1330171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330204 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1330207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330229 */     // GIR_Coverage, 19817,
     /* 1330229 */     GIR_EraseRootFromParent_Done,
     /* 1330230 */   // Label 19005: @1330230
     /* 1330230 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1330314), // Rule ID 19820 //
     /* 1330235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1330255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1330291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330313 */     // GIR_Coverage, 19820,
     /* 1330313 */     GIR_EraseRootFromParent_Done,
     /* 1330314 */   // Label 19006: @1330314
     /* 1330314 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1330398), // Rule ID 19821 //
     /* 1330319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1330339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1330375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330397 */     // GIR_Coverage, 19821,
     /* 1330397 */     GIR_EraseRootFromParent_Done,
     /* 1330398 */   // Label 19007: @1330398
     /* 1330398 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1330482), // Rule ID 19824 //
     /* 1330403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1330423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1330459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330481 */     // GIR_Coverage, 19824,
     /* 1330481 */     GIR_EraseRootFromParent_Done,
     /* 1330482 */   // Label 19008: @1330482
     /* 1330482 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1330566), // Rule ID 19825 //
     /* 1330487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1330507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1330543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330565 */     // GIR_Coverage, 19825,
     /* 1330565 */     GIR_EraseRootFromParent_Done,
     /* 1330566 */   // Label 19009: @1330566
     /* 1330566 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1330650), // Rule ID 19828 //
     /* 1330571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1330591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1330627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330649 */     // GIR_Coverage, 19828,
     /* 1330649 */     GIR_EraseRootFromParent_Done,
     /* 1330650 */   // Label 19010: @1330650
     /* 1330650 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1330734), // Rule ID 19829 //
     /* 1330655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1330675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1330711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330733 */     // GIR_Coverage, 19829,
     /* 1330733 */     GIR_EraseRootFromParent_Done,
     /* 1330734 */   // Label 19011: @1330734
     /* 1330734 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1330818), // Rule ID 19832 //
     /* 1330739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1330759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1330795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330817 */     // GIR_Coverage, 19832,
     /* 1330817 */     GIR_EraseRootFromParent_Done,
     /* 1330818 */   // Label 19012: @1330818
     /* 1330818 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1330902), // Rule ID 19833 //
     /* 1330823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1330843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1330879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330901 */     // GIR_Coverage, 19833,
     /* 1330901 */     GIR_EraseRootFromParent_Done,
     /* 1330902 */   // Label 19013: @1330902
     /* 1330902 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1330986), // Rule ID 19836 //
     /* 1330907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1330927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1330963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330985 */     // GIR_Coverage, 19836,
     /* 1330985 */     GIR_EraseRootFromParent_Done,
     /* 1330986 */   // Label 19014: @1330986
     /* 1330986 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1331070), // Rule ID 19837 //
     /* 1330991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1330999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1331011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1331047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331069 */     // GIR_Coverage, 19837,
     /* 1331069 */     GIR_EraseRootFromParent_Done,
     /* 1331070 */   // Label 19015: @1331070
     /* 1331070 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1331154), // Rule ID 19840 //
     /* 1331075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1331131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331153 */     // GIR_Coverage, 19840,
     /* 1331153 */     GIR_EraseRootFromParent_Done,
     /* 1331154 */   // Label 19016: @1331154
     /* 1331154 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1331238), // Rule ID 19841 //
     /* 1331159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1331179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1331215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331237 */     // GIR_Coverage, 19841,
     /* 1331237 */     GIR_EraseRootFromParent_Done,
     /* 1331238 */   // Label 19017: @1331238
     /* 1331238 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1331322), // Rule ID 19844 //
     /* 1331243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1331299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331321 */     // GIR_Coverage, 19844,
     /* 1331321 */     GIR_EraseRootFromParent_Done,
     /* 1331322 */   // Label 19018: @1331322
     /* 1331322 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1331406), // Rule ID 19845 //
     /* 1331327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1331383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331405 */     // GIR_Coverage, 19845,
     /* 1331405 */     GIR_EraseRootFromParent_Done,
     /* 1331406 */   // Label 19019: @1331406
     /* 1331406 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1331490), // Rule ID 19848 //
     /* 1331411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1331467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331489 */     // GIR_Coverage, 19848,
     /* 1331489 */     GIR_EraseRootFromParent_Done,
     /* 1331490 */   // Label 19020: @1331490
     /* 1331490 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1331574), // Rule ID 19849 //
     /* 1331495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1331551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331573 */     // GIR_Coverage, 19849,
     /* 1331573 */     GIR_EraseRootFromParent_Done,
     /* 1331574 */   // Label 19021: @1331574
     /* 1331574 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1331658), // Rule ID 19852 //
     /* 1331579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1331635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331657 */     // GIR_Coverage, 19852,
     /* 1331657 */     GIR_EraseRootFromParent_Done,
     /* 1331658 */   // Label 19022: @1331658
     /* 1331658 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1331742), // Rule ID 19853 //
     /* 1331663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1331719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331741 */     // GIR_Coverage, 19853,
     /* 1331741 */     GIR_EraseRootFromParent_Done,
     /* 1331742 */   // Label 19023: @1331742
     /* 1331742 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1331826), // Rule ID 19856 //
     /* 1331747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1331803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331825 */     // GIR_Coverage, 19856,
     /* 1331825 */     GIR_EraseRootFromParent_Done,
     /* 1331826 */   // Label 19024: @1331826
     /* 1331826 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1331910), // Rule ID 19857 //
     /* 1331831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1331887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331909 */     // GIR_Coverage, 19857,
     /* 1331909 */     GIR_EraseRootFromParent_Done,
     /* 1331910 */   // Label 19025: @1331910
     /* 1331910 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1331994), // Rule ID 19860 //
     /* 1331915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1331923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1331971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331993 */     // GIR_Coverage, 19860,
     /* 1331993 */     GIR_EraseRootFromParent_Done,
     /* 1331994 */   // Label 19026: @1331994
     /* 1331994 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1332078), // Rule ID 19861 //
     /* 1331999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1332055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332077 */     // GIR_Coverage, 19861,
     /* 1332077 */     GIR_EraseRootFromParent_Done,
     /* 1332078 */   // Label 19027: @1332078
     /* 1332078 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1332162), // Rule ID 19864 //
     /* 1332083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1332139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332161 */     // GIR_Coverage, 19864,
     /* 1332161 */     GIR_EraseRootFromParent_Done,
     /* 1332162 */   // Label 19028: @1332162
     /* 1332162 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1332246), // Rule ID 19865 //
     /* 1332167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1332223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332245 */     // GIR_Coverage, 19865,
     /* 1332245 */     GIR_EraseRootFromParent_Done,
     /* 1332246 */   // Label 19029: @1332246
     /* 1332246 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1332330), // Rule ID 19868 //
     /* 1332251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1332307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332329 */     // GIR_Coverage, 19868,
     /* 1332329 */     GIR_EraseRootFromParent_Done,
     /* 1332330 */   // Label 19030: @1332330
     /* 1332330 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1332414), // Rule ID 19869 //
     /* 1332335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1332352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1332391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332413 */     // GIR_Coverage, 19869,
     /* 1332413 */     GIR_EraseRootFromParent_Done,
     /* 1332414 */   // Label 19031: @1332414
     /* 1332414 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1332498), // Rule ID 19872 //
     /* 1332419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1332475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332497 */     // GIR_Coverage, 19872,
     /* 1332497 */     GIR_EraseRootFromParent_Done,
     /* 1332498 */   // Label 19032: @1332498
     /* 1332498 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1332582), // Rule ID 19873 //
     /* 1332503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1332559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332581 */     // GIR_Coverage, 19873,
     /* 1332581 */     GIR_EraseRootFromParent_Done,
     /* 1332582 */   // Label 19033: @1332582
     /* 1332582 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1332666), // Rule ID 19876 //
     /* 1332587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1332643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332665 */     // GIR_Coverage, 19876,
     /* 1332665 */     GIR_EraseRootFromParent_Done,
     /* 1332666 */   // Label 19034: @1332666
     /* 1332666 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1332750), // Rule ID 19877 //
     /* 1332671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332724 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1332727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332749 */     // GIR_Coverage, 19877,
     /* 1332749 */     GIR_EraseRootFromParent_Done,
     /* 1332750 */   // Label 19035: @1332750
     /* 1332750 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1332834), // Rule ID 19880 //
     /* 1332755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1332811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332833 */     // GIR_Coverage, 19880,
     /* 1332833 */     GIR_EraseRootFromParent_Done,
     /* 1332834 */   // Label 19036: @1332834
     /* 1332834 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1332918), // Rule ID 19881 //
     /* 1332839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1332895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332917 */     // GIR_Coverage, 19881,
     /* 1332917 */     GIR_EraseRootFromParent_Done,
     /* 1332918 */   // Label 19037: @1332918
     /* 1332918 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1333002), // Rule ID 19884 //
     /* 1332923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1332931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1332979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333001 */     // GIR_Coverage, 19884,
     /* 1333001 */     GIR_EraseRootFromParent_Done,
     /* 1333002 */   // Label 19038: @1333002
     /* 1333002 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1333086), // Rule ID 19885 //
     /* 1333007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1333024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1333063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333085 */     // GIR_Coverage, 19885,
     /* 1333085 */     GIR_EraseRootFromParent_Done,
     /* 1333086 */   // Label 19039: @1333086
     /* 1333086 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1333170), // Rule ID 19888 //
     /* 1333091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1333147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333169 */     // GIR_Coverage, 19888,
     /* 1333169 */     GIR_EraseRootFromParent_Done,
     /* 1333170 */   // Label 19040: @1333170
     /* 1333170 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1333254), // Rule ID 19889 //
     /* 1333175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1333186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1333189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1333192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1333231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333253 */     // GIR_Coverage, 19889,
     /* 1333253 */     GIR_EraseRootFromParent_Done,
     /* 1333254 */   // Label 19041: @1333254
     /* 1333254 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1333338), // Rule ID 19892 //
     /* 1333259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1333315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333337 */     // GIR_Coverage, 19892,
     /* 1333337 */     GIR_EraseRootFromParent_Done,
     /* 1333338 */   // Label 19042: @1333338
     /* 1333338 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1333422), // Rule ID 19893 //
     /* 1333343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1333360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1333399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333421 */     // GIR_Coverage, 19893,
     /* 1333421 */     GIR_EraseRootFromParent_Done,
     /* 1333422 */   // Label 19043: @1333422
     /* 1333422 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1333506), // Rule ID 19896 //
     /* 1333427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1333483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333505 */     // GIR_Coverage, 19896,
     /* 1333505 */     GIR_EraseRootFromParent_Done,
     /* 1333506 */   // Label 19044: @1333506
     /* 1333506 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1333590), // Rule ID 19897 //
     /* 1333511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1333567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333589 */     // GIR_Coverage, 19897,
     /* 1333589 */     GIR_EraseRootFromParent_Done,
     /* 1333590 */   // Label 19045: @1333590
     /* 1333590 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1333674), // Rule ID 19900 //
     /* 1333595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1333651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333673 */     // GIR_Coverage, 19900,
     /* 1333673 */     GIR_EraseRootFromParent_Done,
     /* 1333674 */   // Label 19046: @1333674
     /* 1333674 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1333758), // Rule ID 19901 //
     /* 1333679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1333687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1333735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333757 */     // GIR_Coverage, 19901,
     /* 1333757 */     GIR_EraseRootFromParent_Done,
     /* 1333758 */   // Label 19047: @1333758
     /* 1333758 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1333842), // Rule ID 19904 //
     /* 1333763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1333783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1333819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333841 */     // GIR_Coverage, 19904,
     /* 1333841 */     GIR_EraseRootFromParent_Done,
     /* 1333842 */   // Label 19048: @1333842
     /* 1333842 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1333926), // Rule ID 19905 //
     /* 1333847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1333867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1333903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333925 */     // GIR_Coverage, 19905,
     /* 1333925 */     GIR_EraseRootFromParent_Done,
     /* 1333926 */   // Label 19049: @1333926
     /* 1333926 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1334010), // Rule ID 19908 //
     /* 1333931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1333939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1333951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1333987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334009 */     // GIR_Coverage, 19908,
     /* 1334009 */     GIR_EraseRootFromParent_Done,
     /* 1334010 */   // Label 19050: @1334010
     /* 1334010 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1334094), // Rule ID 19909 //
     /* 1334015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1334032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1334035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1334071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334093 */     // GIR_Coverage, 19909,
     /* 1334093 */     GIR_EraseRootFromParent_Done,
     /* 1334094 */   // Label 19051: @1334094
     /* 1334094 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1334178), // Rule ID 19912 //
     /* 1334099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1334119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1334155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334177 */     // GIR_Coverage, 19912,
     /* 1334177 */     GIR_EraseRootFromParent_Done,
     /* 1334178 */   // Label 19052: @1334178
     /* 1334178 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1334262), // Rule ID 19913 //
     /* 1334183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1334200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1334203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1334239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334261 */     // GIR_Coverage, 19913,
     /* 1334261 */     GIR_EraseRootFromParent_Done,
     /* 1334262 */   // Label 19053: @1334262
     /* 1334262 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1334346), // Rule ID 19916 //
     /* 1334267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1334287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1334323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334345 */     // GIR_Coverage, 19916,
     /* 1334345 */     GIR_EraseRootFromParent_Done,
     /* 1334346 */   // Label 19054: @1334346
     /* 1334346 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1334430), // Rule ID 19917 //
     /* 1334351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1334368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1334371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1334407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334429 */     // GIR_Coverage, 19917,
     /* 1334429 */     GIR_EraseRootFromParent_Done,
     /* 1334430 */   // Label 19055: @1334430
     /* 1334430 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1334514), // Rule ID 19920 //
     /* 1334435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1334491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334513 */     // GIR_Coverage, 19920,
     /* 1334513 */     GIR_EraseRootFromParent_Done,
     /* 1334514 */   // Label 19056: @1334514
     /* 1334514 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1334598), // Rule ID 19921 //
     /* 1334519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1334575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334597 */     // GIR_Coverage, 19921,
     /* 1334597 */     GIR_EraseRootFromParent_Done,
     /* 1334598 */   // Label 19057: @1334598
     /* 1334598 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1334682), // Rule ID 19924 //
     /* 1334603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1334623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1334659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334681 */     // GIR_Coverage, 19924,
     /* 1334681 */     GIR_EraseRootFromParent_Done,
     /* 1334682 */   // Label 19058: @1334682
     /* 1334682 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1334766), // Rule ID 19925 //
     /* 1334687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1334707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1334743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334765 */     // GIR_Coverage, 19925,
     /* 1334765 */     GIR_EraseRootFromParent_Done,
     /* 1334766 */   // Label 19059: @1334766
     /* 1334766 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1334850), // Rule ID 19928 //
     /* 1334771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1334791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1334827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334849 */     // GIR_Coverage, 19928,
     /* 1334849 */     GIR_EraseRootFromParent_Done,
     /* 1334850 */   // Label 19060: @1334850
     /* 1334850 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1334934), // Rule ID 19929 //
     /* 1334855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1334875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1334911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334933 */     // GIR_Coverage, 19929,
     /* 1334933 */     GIR_EraseRootFromParent_Done,
     /* 1334934 */   // Label 19061: @1334934
     /* 1334934 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1335018), // Rule ID 19932 //
     /* 1334939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1334947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1334959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1334995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335017 */     // GIR_Coverage, 19932,
     /* 1335017 */     GIR_EraseRootFromParent_Done,
     /* 1335018 */   // Label 19062: @1335018
     /* 1335018 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1335102), // Rule ID 19933 //
     /* 1335023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1335040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1335043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1335079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335101 */     // GIR_Coverage, 19933,
     /* 1335101 */     GIR_EraseRootFromParent_Done,
     /* 1335102 */   // Label 19063: @1335102
     /* 1335102 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1335186), // Rule ID 19936 //
     /* 1335107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1335127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1335163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335185 */     // GIR_Coverage, 19936,
     /* 1335185 */     GIR_EraseRootFromParent_Done,
     /* 1335186 */   // Label 19064: @1335186
     /* 1335186 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1335270), // Rule ID 19937 //
     /* 1335191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1335202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1335205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1335208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1335211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1335214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1335247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335269 */     // GIR_Coverage, 19937,
     /* 1335269 */     GIR_EraseRootFromParent_Done,
     /* 1335270 */   // Label 19065: @1335270
     /* 1335270 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1335354), // Rule ID 19940 //
     /* 1335275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1335295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1335331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335353 */     // GIR_Coverage, 19940,
     /* 1335353 */     GIR_EraseRootFromParent_Done,
     /* 1335354 */   // Label 19066: @1335354
     /* 1335354 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1335438), // Rule ID 19941 //
     /* 1335359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1335376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1335379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1335415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335437 */     // GIR_Coverage, 19941,
     /* 1335437 */     GIR_EraseRootFromParent_Done,
     /* 1335438 */   // Label 19067: @1335438
     /* 1335438 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1335522), // Rule ID 19944 //
     /* 1335443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1335463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1335499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335521 */     // GIR_Coverage, 19944,
     /* 1335521 */     GIR_EraseRootFromParent_Done,
     /* 1335522 */   // Label 19068: @1335522
     /* 1335522 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1335606), // Rule ID 19945 //
     /* 1335527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1335547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1335583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335605 */     // GIR_Coverage, 19945,
     /* 1335605 */     GIR_EraseRootFromParent_Done,
     /* 1335606 */   // Label 19069: @1335606
     /* 1335606 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1335690), // Rule ID 19948 //
     /* 1335611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1335631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1335667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335689 */     // GIR_Coverage, 19948,
     /* 1335689 */     GIR_EraseRootFromParent_Done,
     /* 1335690 */   // Label 19070: @1335690
     /* 1335690 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1335774), // Rule ID 19949 //
     /* 1335695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1335715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1335751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335773 */     // GIR_Coverage, 19949,
     /* 1335773 */     GIR_EraseRootFromParent_Done,
     /* 1335774 */   // Label 19071: @1335774
     /* 1335774 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1335858), // Rule ID 19952 //
     /* 1335779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1335799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1335835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335857 */     // GIR_Coverage, 19952,
     /* 1335857 */     GIR_EraseRootFromParent_Done,
     /* 1335858 */   // Label 19072: @1335858
     /* 1335858 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1335942), // Rule ID 19953 //
     /* 1335863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1335883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1335919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335941 */     // GIR_Coverage, 19953,
     /* 1335941 */     GIR_EraseRootFromParent_Done,
     /* 1335942 */   // Label 19073: @1335942
     /* 1335942 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1336026), // Rule ID 19956 //
     /* 1335947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1335955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1335967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1336003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336025 */     // GIR_Coverage, 19956,
     /* 1336025 */     GIR_EraseRootFromParent_Done,
     /* 1336026 */   // Label 19074: @1336026
     /* 1336026 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1336110), // Rule ID 19957 //
     /* 1336031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1336048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1336051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1336087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336109 */     // GIR_Coverage, 19957,
     /* 1336109 */     GIR_EraseRootFromParent_Done,
     /* 1336110 */   // Label 19075: @1336110
     /* 1336110 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1336194), // Rule ID 19960 //
     /* 1336115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1336135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1336171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336193 */     // GIR_Coverage, 19960,
     /* 1336193 */     GIR_EraseRootFromParent_Done,
     /* 1336194 */   // Label 19076: @1336194
     /* 1336194 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1336278), // Rule ID 19961 //
     /* 1336199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1336216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1336219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1336255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336277 */     // GIR_Coverage, 19961,
     /* 1336277 */     GIR_EraseRootFromParent_Done,
     /* 1336278 */   // Label 19077: @1336278
     /* 1336278 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1336362), // Rule ID 19964 //
     /* 1336283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1336339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336361 */     // GIR_Coverage, 19964,
     /* 1336361 */     GIR_EraseRootFromParent_Done,
     /* 1336362 */   // Label 19078: @1336362
     /* 1336362 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1336446), // Rule ID 19965 //
     /* 1336367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1336423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336445 */     // GIR_Coverage, 19965,
     /* 1336445 */     GIR_EraseRootFromParent_Done,
     /* 1336446 */   // Label 19079: @1336446
     /* 1336446 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1336530), // Rule ID 19968 //
     /* 1336451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1336507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336529 */     // GIR_Coverage, 19968,
     /* 1336529 */     GIR_EraseRootFromParent_Done,
     /* 1336530 */   // Label 19080: @1336530
     /* 1336530 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1336614), // Rule ID 19969 //
     /* 1336535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1336591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336613 */     // GIR_Coverage, 19969,
     /* 1336613 */     GIR_EraseRootFromParent_Done,
     /* 1336614 */   // Label 19081: @1336614
     /* 1336614 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1336698), // Rule ID 19972 //
     /* 1336619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1336675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336697 */     // GIR_Coverage, 19972,
     /* 1336697 */     GIR_EraseRootFromParent_Done,
     /* 1336698 */   // Label 19082: @1336698
     /* 1336698 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1336782), // Rule ID 19973 //
     /* 1336703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1336759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336781 */     // GIR_Coverage, 19973,
     /* 1336781 */     GIR_EraseRootFromParent_Done,
     /* 1336782 */   // Label 19083: @1336782
     /* 1336782 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1336866), // Rule ID 19976 //
     /* 1336787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1336843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336865 */     // GIR_Coverage, 19976,
     /* 1336865 */     GIR_EraseRootFromParent_Done,
     /* 1336866 */   // Label 19084: @1336866
     /* 1336866 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1336950), // Rule ID 19977 //
     /* 1336871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1336927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336949 */     // GIR_Coverage, 19977,
     /* 1336949 */     GIR_EraseRootFromParent_Done,
     /* 1336950 */   // Label 19085: @1336950
     /* 1336950 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1337034), // Rule ID 19980 //
     /* 1336955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1336963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1337011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337033 */     // GIR_Coverage, 19980,
     /* 1337033 */     GIR_EraseRootFromParent_Done,
     /* 1337034 */   // Label 19086: @1337034
     /* 1337034 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1337118), // Rule ID 19981 //
     /* 1337039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1337095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337117 */     // GIR_Coverage, 19981,
     /* 1337117 */     GIR_EraseRootFromParent_Done,
     /* 1337118 */   // Label 19087: @1337118
     /* 1337118 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1337202), // Rule ID 19984 //
     /* 1337123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1337179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337201 */     // GIR_Coverage, 19984,
     /* 1337201 */     GIR_EraseRootFromParent_Done,
     /* 1337202 */   // Label 19088: @1337202
     /* 1337202 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1337286), // Rule ID 19985 //
     /* 1337207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1337218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1337221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1337263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337285 */     // GIR_Coverage, 19985,
     /* 1337285 */     GIR_EraseRootFromParent_Done,
     /* 1337286 */   // Label 19089: @1337286
     /* 1337286 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1337370), // Rule ID 19988 //
     /* 1337291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1337347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337369 */     // GIR_Coverage, 19988,
     /* 1337369 */     GIR_EraseRootFromParent_Done,
     /* 1337370 */   // Label 19090: @1337370
     /* 1337370 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1337454), // Rule ID 19989 //
     /* 1337375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1337392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1337431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337453 */     // GIR_Coverage, 19989,
     /* 1337453 */     GIR_EraseRootFromParent_Done,
     /* 1337454 */   // Label 19091: @1337454
     /* 1337454 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1337538), // Rule ID 19992 //
     /* 1337459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1337515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337537 */     // GIR_Coverage, 19992,
     /* 1337537 */     GIR_EraseRootFromParent_Done,
     /* 1337538 */   // Label 19092: @1337538
     /* 1337538 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1337622), // Rule ID 19993 //
     /* 1337543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1337599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337621 */     // GIR_Coverage, 19993,
     /* 1337621 */     GIR_EraseRootFromParent_Done,
     /* 1337622 */   // Label 19093: @1337622
     /* 1337622 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1337706), // Rule ID 19996 //
     /* 1337627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337680 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1337683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337705 */     // GIR_Coverage, 19996,
     /* 1337705 */     GIR_EraseRootFromParent_Done,
     /* 1337706 */   // Label 19094: @1337706
     /* 1337706 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1337790), // Rule ID 19997 //
     /* 1337711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337764 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1337767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337789 */     // GIR_Coverage, 19997,
     /* 1337789 */     GIR_EraseRootFromParent_Done,
     /* 1337790 */   // Label 19095: @1337790
     /* 1337790 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1337874), // Rule ID 20000 //
     /* 1337795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1337851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337873 */     // GIR_Coverage, 20000,
     /* 1337873 */     GIR_EraseRootFromParent_Done,
     /* 1337874 */   // Label 19096: @1337874
     /* 1337874 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1337958), // Rule ID 20001 //
     /* 1337879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1337935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337957 */     // GIR_Coverage, 20001,
     /* 1337957 */     GIR_EraseRootFromParent_Done,
     /* 1337958 */   // Label 19097: @1337958
     /* 1337958 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1338042), // Rule ID 20004 //
     /* 1337963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1337971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1338019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338041 */     // GIR_Coverage, 20004,
     /* 1338041 */     GIR_EraseRootFromParent_Done,
     /* 1338042 */   // Label 19098: @1338042
     /* 1338042 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1338126), // Rule ID 20005 //
     /* 1338047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1338103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338125 */     // GIR_Coverage, 20005,
     /* 1338125 */     GIR_EraseRootFromParent_Done,
     /* 1338126 */   // Label 19099: @1338126
     /* 1338126 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1338210), // Rule ID 20008 //
     /* 1338131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1338187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338209 */     // GIR_Coverage, 20008,
     /* 1338209 */     GIR_EraseRootFromParent_Done,
     /* 1338210 */   // Label 19100: @1338210
     /* 1338210 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1338294), // Rule ID 20009 //
     /* 1338215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1338226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1338229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1338232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1338271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338293 */     // GIR_Coverage, 20009,
     /* 1338293 */     GIR_EraseRootFromParent_Done,
     /* 1338294 */   // Label 19101: @1338294
     /* 1338294 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1338378), // Rule ID 20012 //
     /* 1338299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1338355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338377 */     // GIR_Coverage, 20012,
     /* 1338377 */     GIR_EraseRootFromParent_Done,
     /* 1338378 */   // Label 19102: @1338378
     /* 1338378 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1338462), // Rule ID 20013 //
     /* 1338383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1338400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1338439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338461 */     // GIR_Coverage, 20013,
     /* 1338461 */     GIR_EraseRootFromParent_Done,
     /* 1338462 */   // Label 19103: @1338462
     /* 1338462 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1338546), // Rule ID 20016 //
     /* 1338467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1338523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338545 */     // GIR_Coverage, 20016,
     /* 1338545 */     GIR_EraseRootFromParent_Done,
     /* 1338546 */   // Label 19104: @1338546
     /* 1338546 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1338630), // Rule ID 20017 //
     /* 1338551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1338607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338629 */     // GIR_Coverage, 20017,
     /* 1338629 */     GIR_EraseRootFromParent_Done,
     /* 1338630 */   // Label 19105: @1338630
     /* 1338630 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1338714), // Rule ID 20020 //
     /* 1338635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1338691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338713 */     // GIR_Coverage, 20020,
     /* 1338713 */     GIR_EraseRootFromParent_Done,
     /* 1338714 */   // Label 19106: @1338714
     /* 1338714 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1338798), // Rule ID 20021 //
     /* 1338719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1338727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1338775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338797 */     // GIR_Coverage, 20021,
     /* 1338797 */     GIR_EraseRootFromParent_Done,
     /* 1338798 */   // Label 19107: @1338798
     /* 1338798 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1338882), // Rule ID 20024 //
     /* 1338803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1338823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1338859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338881 */     // GIR_Coverage, 20024,
     /* 1338881 */     GIR_EraseRootFromParent_Done,
     /* 1338882 */   // Label 19108: @1338882
     /* 1338882 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1338966), // Rule ID 20025 //
     /* 1338887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1338907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1338943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338965 */     // GIR_Coverage, 20025,
     /* 1338965 */     GIR_EraseRootFromParent_Done,
     /* 1338966 */   // Label 19109: @1338966
     /* 1338966 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1339050), // Rule ID 20028 //
     /* 1338971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1338979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1338991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1339027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339049 */     // GIR_Coverage, 20028,
     /* 1339049 */     GIR_EraseRootFromParent_Done,
     /* 1339050 */   // Label 19110: @1339050
     /* 1339050 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1339134), // Rule ID 20029 //
     /* 1339055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1339072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1339075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1339111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339133 */     // GIR_Coverage, 20029,
     /* 1339133 */     GIR_EraseRootFromParent_Done,
     /* 1339134 */   // Label 19111: @1339134
     /* 1339134 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1339218), // Rule ID 20032 //
     /* 1339139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1339159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1339195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339217 */     // GIR_Coverage, 20032,
     /* 1339217 */     GIR_EraseRootFromParent_Done,
     /* 1339218 */   // Label 19112: @1339218
     /* 1339218 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1339302), // Rule ID 20033 //
     /* 1339223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1339240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1339243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1339279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339301 */     // GIR_Coverage, 20033,
     /* 1339301 */     GIR_EraseRootFromParent_Done,
     /* 1339302 */   // Label 19113: @1339302
     /* 1339302 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1339386), // Rule ID 20036 //
     /* 1339307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1339327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1339363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339385 */     // GIR_Coverage, 20036,
     /* 1339385 */     GIR_EraseRootFromParent_Done,
     /* 1339386 */   // Label 19114: @1339386
     /* 1339386 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1339470), // Rule ID 20037 //
     /* 1339391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1339408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1339411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1339447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339469 */     // GIR_Coverage, 20037,
     /* 1339469 */     GIR_EraseRootFromParent_Done,
     /* 1339470 */   // Label 19115: @1339470
     /* 1339470 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1339554), // Rule ID 20040 //
     /* 1339475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1339495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1339531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339553 */     // GIR_Coverage, 20040,
     /* 1339553 */     GIR_EraseRootFromParent_Done,
     /* 1339554 */   // Label 19116: @1339554
     /* 1339554 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1339638), // Rule ID 20041 //
     /* 1339559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1339579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1339615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339637 */     // GIR_Coverage, 20041,
     /* 1339637 */     GIR_EraseRootFromParent_Done,
     /* 1339638 */   // Label 19117: @1339638
     /* 1339638 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1339722), // Rule ID 20044 //
     /* 1339643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1339699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339721 */     // GIR_Coverage, 20044,
     /* 1339721 */     GIR_EraseRootFromParent_Done,
     /* 1339722 */   // Label 19118: @1339722
     /* 1339722 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1339806), // Rule ID 20045 //
     /* 1339727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1339783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339805 */     // GIR_Coverage, 20045,
     /* 1339805 */     GIR_EraseRootFromParent_Done,
     /* 1339806 */   // Label 19119: @1339806
     /* 1339806 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1339890), // Rule ID 20048 //
     /* 1339811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1339831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1339867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339889 */     // GIR_Coverage, 20048,
     /* 1339889 */     GIR_EraseRootFromParent_Done,
     /* 1339890 */   // Label 19120: @1339890
     /* 1339890 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1339974), // Rule ID 20049 //
     /* 1339895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1339915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1339951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339973 */     // GIR_Coverage, 20049,
     /* 1339973 */     GIR_EraseRootFromParent_Done,
     /* 1339974 */   // Label 19121: @1339974
     /* 1339974 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1340058), // Rule ID 20052 //
     /* 1339979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1339987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1339999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1340035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340057 */     // GIR_Coverage, 20052,
     /* 1340057 */     GIR_EraseRootFromParent_Done,
     /* 1340058 */   // Label 19122: @1340058
     /* 1340058 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1340142), // Rule ID 20053 //
     /* 1340063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1340080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1340083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1340119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340141 */     // GIR_Coverage, 20053,
     /* 1340141 */     GIR_EraseRootFromParent_Done,
     /* 1340142 */   // Label 19123: @1340142
     /* 1340142 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1340226), // Rule ID 20056 //
     /* 1340147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1340167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340200 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1340203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340225 */     // GIR_Coverage, 20056,
     /* 1340225 */     GIR_EraseRootFromParent_Done,
     /* 1340226 */   // Label 19124: @1340226
     /* 1340226 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1340310), // Rule ID 20057 //
     /* 1340231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1340242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1340245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1340248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1340251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1340254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340284 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1340287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340309 */     // GIR_Coverage, 20057,
     /* 1340309 */     GIR_EraseRootFromParent_Done,
     /* 1340310 */   // Label 19125: @1340310
     /* 1340310 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1340394), // Rule ID 20060 //
     /* 1340315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1340335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1340371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340393 */     // GIR_Coverage, 20060,
     /* 1340393 */     GIR_EraseRootFromParent_Done,
     /* 1340394 */   // Label 19126: @1340394
     /* 1340394 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1340478), // Rule ID 20061 //
     /* 1340399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1340419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1340455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340477 */     // GIR_Coverage, 20061,
     /* 1340477 */     GIR_EraseRootFromParent_Done,
     /* 1340478 */   // Label 19127: @1340478
     /* 1340478 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1340562), // Rule ID 20064 //
     /* 1340483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1340503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1340539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340561 */     // GIR_Coverage, 20064,
     /* 1340561 */     GIR_EraseRootFromParent_Done,
     /* 1340562 */   // Label 19128: @1340562
     /* 1340562 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1340646), // Rule ID 20065 //
     /* 1340567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1340587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1340623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340645 */     // GIR_Coverage, 20065,
     /* 1340645 */     GIR_EraseRootFromParent_Done,
     /* 1340646 */   // Label 19129: @1340646
     /* 1340646 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1340730), // Rule ID 20068 //
     /* 1340651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1340671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1340707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340729 */     // GIR_Coverage, 20068,
     /* 1340729 */     GIR_EraseRootFromParent_Done,
     /* 1340730 */   // Label 19130: @1340730
     /* 1340730 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1340814), // Rule ID 20069 //
     /* 1340735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1340755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1340791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340813 */     // GIR_Coverage, 20069,
     /* 1340813 */     GIR_EraseRootFromParent_Done,
     /* 1340814 */   // Label 19131: @1340814
     /* 1340814 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1340898), // Rule ID 20072 //
     /* 1340819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1340839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1340875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340897 */     // GIR_Coverage, 20072,
     /* 1340897 */     GIR_EraseRootFromParent_Done,
     /* 1340898 */   // Label 19132: @1340898
     /* 1340898 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1340982), // Rule ID 20073 //
     /* 1340903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1340923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1340959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340981 */     // GIR_Coverage, 20073,
     /* 1340981 */     GIR_EraseRootFromParent_Done,
     /* 1340982 */   // Label 19133: @1340982
     /* 1340982 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1341066), // Rule ID 20076 //
     /* 1340987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1340995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1341007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1341043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341065 */     // GIR_Coverage, 20076,
     /* 1341065 */     GIR_EraseRootFromParent_Done,
     /* 1341066 */   // Label 19134: @1341066
     /* 1341066 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1341150), // Rule ID 20077 //
     /* 1341071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1341088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1341091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1341127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341149 */     // GIR_Coverage, 20077,
     /* 1341149 */     GIR_EraseRootFromParent_Done,
     /* 1341150 */   // Label 19135: @1341150
     /* 1341150 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1341234), // Rule ID 20080 //
     /* 1341155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1341175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1341211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341233 */     // GIR_Coverage, 20080,
     /* 1341233 */     GIR_EraseRootFromParent_Done,
     /* 1341234 */   // Label 19136: @1341234
     /* 1341234 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1341318), // Rule ID 20081 //
     /* 1341239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1341256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1341259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1341295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341317 */     // GIR_Coverage, 20081,
     /* 1341317 */     GIR_EraseRootFromParent_Done,
     /* 1341318 */   // Label 19137: @1341318
     /* 1341318 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1341402), // Rule ID 20084 //
     /* 1341323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1341379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341401 */     // GIR_Coverage, 20084,
     /* 1341401 */     GIR_EraseRootFromParent_Done,
     /* 1341402 */   // Label 19138: @1341402
     /* 1341402 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1341486), // Rule ID 20085 //
     /* 1341407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1341463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341485 */     // GIR_Coverage, 20085,
     /* 1341485 */     GIR_EraseRootFromParent_Done,
     /* 1341486 */   // Label 19139: @1341486
     /* 1341486 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1341570), // Rule ID 20088 //
     /* 1341491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1341547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341569 */     // GIR_Coverage, 20088,
     /* 1341569 */     GIR_EraseRootFromParent_Done,
     /* 1341570 */   // Label 19140: @1341570
     /* 1341570 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1341654), // Rule ID 20089 //
     /* 1341575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1341631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341653 */     // GIR_Coverage, 20089,
     /* 1341653 */     GIR_EraseRootFromParent_Done,
     /* 1341654 */   // Label 19141: @1341654
     /* 1341654 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1341738), // Rule ID 20092 //
     /* 1341659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341712 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1341715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341737 */     // GIR_Coverage, 20092,
     /* 1341737 */     GIR_EraseRootFromParent_Done,
     /* 1341738 */   // Label 19142: @1341738
     /* 1341738 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1341822), // Rule ID 20093 //
     /* 1341743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1341799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341821 */     // GIR_Coverage, 20093,
     /* 1341821 */     GIR_EraseRootFromParent_Done,
     /* 1341822 */   // Label 19143: @1341822
     /* 1341822 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1341906), // Rule ID 20096 //
     /* 1341827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1341883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341905 */     // GIR_Coverage, 20096,
     /* 1341905 */     GIR_EraseRootFromParent_Done,
     /* 1341906 */   // Label 19144: @1341906
     /* 1341906 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1341990), // Rule ID 20097 //
     /* 1341911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1341919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1341967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341989 */     // GIR_Coverage, 20097,
     /* 1341989 */     GIR_EraseRootFromParent_Done,
     /* 1341990 */   // Label 19145: @1341990
     /* 1341990 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1342074), // Rule ID 20100 //
     /* 1341995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1342051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342073 */     // GIR_Coverage, 20100,
     /* 1342073 */     GIR_EraseRootFromParent_Done,
     /* 1342074 */   // Label 19146: @1342074
     /* 1342074 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1342158), // Rule ID 20101 //
     /* 1342079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1342096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1342135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342157 */     // GIR_Coverage, 20101,
     /* 1342157 */     GIR_EraseRootFromParent_Done,
     /* 1342158 */   // Label 19147: @1342158
     /* 1342158 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1342242), // Rule ID 20104 //
     /* 1342163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1342219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342241 */     // GIR_Coverage, 20104,
     /* 1342241 */     GIR_EraseRootFromParent_Done,
     /* 1342242 */   // Label 19148: @1342242
     /* 1342242 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1342326), // Rule ID 20105 //
     /* 1342247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1342258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1342261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1342303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342325 */     // GIR_Coverage, 20105,
     /* 1342325 */     GIR_EraseRootFromParent_Done,
     /* 1342326 */   // Label 19149: @1342326
     /* 1342326 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1342410), // Rule ID 20108 //
     /* 1342331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1342387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342409 */     // GIR_Coverage, 20108,
     /* 1342409 */     GIR_EraseRootFromParent_Done,
     /* 1342410 */   // Label 19150: @1342410
     /* 1342410 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1342494), // Rule ID 20109 //
     /* 1342415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1342471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342493 */     // GIR_Coverage, 20109,
     /* 1342493 */     GIR_EraseRootFromParent_Done,
     /* 1342494 */   // Label 19151: @1342494
     /* 1342494 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1342578), // Rule ID 20112 //
     /* 1342499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1342555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342577 */     // GIR_Coverage, 20112,
     /* 1342577 */     GIR_EraseRootFromParent_Done,
     /* 1342578 */   // Label 19152: @1342578
     /* 1342578 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1342662), // Rule ID 20113 //
     /* 1342583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342636 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1342639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342661 */     // GIR_Coverage, 20113,
     /* 1342661 */     GIR_EraseRootFromParent_Done,
     /* 1342662 */   // Label 19153: @1342662
     /* 1342662 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1342746), // Rule ID 20116 //
     /* 1342667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342720 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1342723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342745 */     // GIR_Coverage, 20116,
     /* 1342745 */     GIR_EraseRootFromParent_Done,
     /* 1342746 */   // Label 19154: @1342746
     /* 1342746 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1342830), // Rule ID 20117 //
     /* 1342751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1342807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342829 */     // GIR_Coverage, 20117,
     /* 1342829 */     GIR_EraseRootFromParent_Done,
     /* 1342830 */   // Label 19155: @1342830
     /* 1342830 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1342914), // Rule ID 20120 //
     /* 1342835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1342891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342913 */     // GIR_Coverage, 20120,
     /* 1342913 */     GIR_EraseRootFromParent_Done,
     /* 1342914 */   // Label 19156: @1342914
     /* 1342914 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1342998), // Rule ID 20121 //
     /* 1342919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1342927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1342975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342997 */     // GIR_Coverage, 20121,
     /* 1342997 */     GIR_EraseRootFromParent_Done,
     /* 1342998 */   // Label 19157: @1342998
     /* 1342998 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1343082), // Rule ID 20124 //
     /* 1343003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1343059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343081 */     // GIR_Coverage, 20124,
     /* 1343081 */     GIR_EraseRootFromParent_Done,
     /* 1343082 */   // Label 19158: @1343082
     /* 1343082 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1343166), // Rule ID 20125 //
     /* 1343087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1343143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343165 */     // GIR_Coverage, 20125,
     /* 1343165 */     GIR_EraseRootFromParent_Done,
     /* 1343166 */   // Label 19159: @1343166
     /* 1343166 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1343250), // Rule ID 20128 //
     /* 1343171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1343227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343249 */     // GIR_Coverage, 20128,
     /* 1343249 */     GIR_EraseRootFromParent_Done,
     /* 1343250 */   // Label 19160: @1343250
     /* 1343250 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1343334), // Rule ID 20129 //
     /* 1343255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1343266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1343269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1343311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343333 */     // GIR_Coverage, 20129,
     /* 1343333 */     GIR_EraseRootFromParent_Done,
     /* 1343334 */   // Label 19161: @1343334
     /* 1343334 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1343418), // Rule ID 20132 //
     /* 1343339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1343395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343417 */     // GIR_Coverage, 20132,
     /* 1343417 */     GIR_EraseRootFromParent_Done,
     /* 1343418 */   // Label 19162: @1343418
     /* 1343418 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1343502), // Rule ID 20133 //
     /* 1343423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1343479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343501 */     // GIR_Coverage, 20133,
     /* 1343501 */     GIR_EraseRootFromParent_Done,
     /* 1343502 */   // Label 19163: @1343502
     /* 1343502 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1343586), // Rule ID 20136 //
     /* 1343507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1343563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343585 */     // GIR_Coverage, 20136,
     /* 1343585 */     GIR_EraseRootFromParent_Done,
     /* 1343586 */   // Label 19164: @1343586
     /* 1343586 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1343670), // Rule ID 20137 //
     /* 1343591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1343647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343669 */     // GIR_Coverage, 20137,
     /* 1343669 */     GIR_EraseRootFromParent_Done,
     /* 1343670 */   // Label 19165: @1343670
     /* 1343670 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1343754), // Rule ID 20140 //
     /* 1343675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1343731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343753 */     // GIR_Coverage, 20140,
     /* 1343753 */     GIR_EraseRootFromParent_Done,
     /* 1343754 */   // Label 19166: @1343754
     /* 1343754 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1343838), // Rule ID 20141 //
     /* 1343759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1343767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1343815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343837 */     // GIR_Coverage, 20141,
     /* 1343837 */     GIR_EraseRootFromParent_Done,
     /* 1343838 */   // Label 19167: @1343838
     /* 1343838 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1343922), // Rule ID 20144 //
     /* 1343843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343896 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1343899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343921 */     // GIR_Coverage, 20144,
     /* 1343921 */     GIR_EraseRootFromParent_Done,
     /* 1343922 */   // Label 19168: @1343922
     /* 1343922 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1344006), // Rule ID 20145 //
     /* 1343927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1343983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344005 */     // GIR_Coverage, 20145,
     /* 1344005 */     GIR_EraseRootFromParent_Done,
     /* 1344006 */   // Label 19169: @1344006
     /* 1344006 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1344090), // Rule ID 20148 //
     /* 1344011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1344067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344089 */     // GIR_Coverage, 20148,
     /* 1344089 */     GIR_EraseRootFromParent_Done,
     /* 1344090 */   // Label 19170: @1344090
     /* 1344090 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1344174), // Rule ID 20149 //
     /* 1344095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1344151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344173 */     // GIR_Coverage, 20149,
     /* 1344173 */     GIR_EraseRootFromParent_Done,
     /* 1344174 */   // Label 19171: @1344174
     /* 1344174 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1344258), // Rule ID 20152 //
     /* 1344179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1344235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344257 */     // GIR_Coverage, 20152,
     /* 1344257 */     GIR_EraseRootFromParent_Done,
     /* 1344258 */   // Label 19172: @1344258
     /* 1344258 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1344342), // Rule ID 20153 //
     /* 1344263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1344319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344341 */     // GIR_Coverage, 20153,
     /* 1344341 */     GIR_EraseRootFromParent_Done,
     /* 1344342 */   // Label 19173: @1344342
     /* 1344342 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1344426), // Rule ID 20156 //
     /* 1344347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1344403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344425 */     // GIR_Coverage, 20156,
     /* 1344425 */     GIR_EraseRootFromParent_Done,
     /* 1344426 */   // Label 19174: @1344426
     /* 1344426 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1344510), // Rule ID 20157 //
     /* 1344431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1344487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344509 */     // GIR_Coverage, 20157,
     /* 1344509 */     GIR_EraseRootFromParent_Done,
     /* 1344510 */   // Label 19175: @1344510
     /* 1344510 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1344594), // Rule ID 20160 //
     /* 1344515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1344571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344593 */     // GIR_Coverage, 20160,
     /* 1344593 */     GIR_EraseRootFromParent_Done,
     /* 1344594 */   // Label 19176: @1344594
     /* 1344594 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1344678), // Rule ID 20161 //
     /* 1344599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1344610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1344613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1344655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344677 */     // GIR_Coverage, 20161,
     /* 1344677 */     GIR_EraseRootFromParent_Done,
     /* 1344678 */   // Label 19177: @1344678
     /* 1344678 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1344762), // Rule ID 20164 //
     /* 1344683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1344686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1344700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1344739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344761 */     // GIR_Coverage, 20164,
     /* 1344761 */     GIR_EraseRootFromParent_Done,
     /* 1344762 */   // Label 19178: @1344762
     /* 1344762 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1344846), // Rule ID 20165 //
     /* 1344767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1344784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1344823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344845 */     // GIR_Coverage, 20165,
     /* 1344845 */     GIR_EraseRootFromParent_Done,
     /* 1344846 */   // Label 19179: @1344846
     /* 1344846 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1344930), // Rule ID 20168 //
     /* 1344851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1344907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344929 */     // GIR_Coverage, 20168,
     /* 1344929 */     GIR_EraseRootFromParent_Done,
     /* 1344930 */   // Label 19180: @1344930
     /* 1344930 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1345014), // Rule ID 20169 //
     /* 1344935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1344991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345013 */     // GIR_Coverage, 20169,
     /* 1345013 */     GIR_EraseRootFromParent_Done,
     /* 1345014 */   // Label 19181: @1345014
     /* 1345014 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1345098), // Rule ID 20172 //
     /* 1345019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1345075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345097 */     // GIR_Coverage, 20172,
     /* 1345097 */     GIR_EraseRootFromParent_Done,
     /* 1345098 */   // Label 19182: @1345098
     /* 1345098 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1345182), // Rule ID 20173 //
     /* 1345103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1345159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345181 */     // GIR_Coverage, 20173,
     /* 1345181 */     GIR_EraseRootFromParent_Done,
     /* 1345182 */   // Label 19183: @1345182
     /* 1345182 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1345266), // Rule ID 20176 //
     /* 1345187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345240 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1345243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345265 */     // GIR_Coverage, 20176,
     /* 1345265 */     GIR_EraseRootFromParent_Done,
     /* 1345266 */   // Label 19184: @1345266
     /* 1345266 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1345350), // Rule ID 20177 //
     /* 1345271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1345282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1345285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1345288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1345294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345324 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1345327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345349 */     // GIR_Coverage, 20177,
     /* 1345349 */     GIR_EraseRootFromParent_Done,
     /* 1345350 */   // Label 19185: @1345350
     /* 1345350 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1345434), // Rule ID 20180 //
     /* 1345355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1345411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345433 */     // GIR_Coverage, 20180,
     /* 1345433 */     GIR_EraseRootFromParent_Done,
     /* 1345434 */   // Label 19186: @1345434
     /* 1345434 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1345518), // Rule ID 20181 //
     /* 1345439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1345456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1345495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345517 */     // GIR_Coverage, 20181,
     /* 1345517 */     GIR_EraseRootFromParent_Done,
     /* 1345518 */   // Label 19187: @1345518
     /* 1345518 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1345602), // Rule ID 20184 //
     /* 1345523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1345540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345576 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1345579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345601 */     // GIR_Coverage, 20184,
     /* 1345601 */     GIR_EraseRootFromParent_Done,
     /* 1345602 */   // Label 19188: @1345602
     /* 1345602 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1345686), // Rule ID 20185 //
     /* 1345607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1345624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1345663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345685 */     // GIR_Coverage, 20185,
     /* 1345685 */     GIR_EraseRootFromParent_Done,
     /* 1345686 */   // Label 19189: @1345686
     /* 1345686 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1345770), // Rule ID 20188 //
     /* 1345691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1345708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1345747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345769 */     // GIR_Coverage, 20188,
     /* 1345769 */     GIR_EraseRootFromParent_Done,
     /* 1345770 */   // Label 19190: @1345770
     /* 1345770 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1345854), // Rule ID 20189 //
     /* 1345775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1345792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1345831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345853 */     // GIR_Coverage, 20189,
     /* 1345853 */     GIR_EraseRootFromParent_Done,
     /* 1345854 */   // Label 19191: @1345854
     /* 1345854 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1345938), // Rule ID 20192 //
     /* 1345859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1345915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345937 */     // GIR_Coverage, 20192,
     /* 1345937 */     GIR_EraseRootFromParent_Done,
     /* 1345938 */   // Label 19192: @1345938
     /* 1345938 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1346022), // Rule ID 20193 //
     /* 1345943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1345999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346021 */     // GIR_Coverage, 20193,
     /* 1346021 */     GIR_EraseRootFromParent_Done,
     /* 1346022 */   // Label 19193: @1346022
     /* 1346022 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1346106), // Rule ID 20196 //
     /* 1346027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1346083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346105 */     // GIR_Coverage, 20196,
     /* 1346105 */     GIR_EraseRootFromParent_Done,
     /* 1346106 */   // Label 19194: @1346106
     /* 1346106 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1346190), // Rule ID 20197 //
     /* 1346111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1346128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1346167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346189 */     // GIR_Coverage, 20197,
     /* 1346189 */     GIR_EraseRootFromParent_Done,
     /* 1346190 */   // Label 19195: @1346190
     /* 1346190 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1346274), // Rule ID 20200 //
     /* 1346195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1346251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346273 */     // GIR_Coverage, 20200,
     /* 1346273 */     GIR_EraseRootFromParent_Done,
     /* 1346274 */   // Label 19196: @1346274
     /* 1346274 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1346358), // Rule ID 20201 //
     /* 1346279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1346287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1346296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1346321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1346335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346357 */     // GIR_Coverage, 20201,
     /* 1346357 */     GIR_EraseRootFromParent_Done,
     /* 1346358 */   // Label 19197: @1346358
     /* 1346358 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1346442), // Rule ID 20204 //
     /* 1346363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1346419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346441 */     // GIR_Coverage, 20204,
     /* 1346441 */     GIR_EraseRootFromParent_Done,
     /* 1346442 */   // Label 19198: @1346442
     /* 1346442 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1346526), // Rule ID 20205 //
     /* 1346447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1346464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1346503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346525 */     // GIR_Coverage, 20205,
     /* 1346525 */     GIR_EraseRootFromParent_Done,
     /* 1346526 */   // Label 19199: @1346526
     /* 1346526 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1346610), // Rule ID 20208 //
     /* 1346531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1346548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1346587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346609 */     // GIR_Coverage, 20208,
     /* 1346609 */     GIR_EraseRootFromParent_Done,
     /* 1346610 */   // Label 19200: @1346610
     /* 1346610 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1346694), // Rule ID 20209 //
     /* 1346615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1346632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1346671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346693 */     // GIR_Coverage, 20209,
     /* 1346693 */     GIR_EraseRootFromParent_Done,
     /* 1346694 */   // Label 19201: @1346694
     /* 1346694 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1346778), // Rule ID 20212 //
     /* 1346699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1346716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1346755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346777 */     // GIR_Coverage, 20212,
     /* 1346777 */     GIR_EraseRootFromParent_Done,
     /* 1346778 */   // Label 19202: @1346778
     /* 1346778 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1346862), // Rule ID 20213 //
     /* 1346783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1346800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1346839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346861 */     // GIR_Coverage, 20213,
     /* 1346861 */     GIR_EraseRootFromParent_Done,
     /* 1346862 */   // Label 19203: @1346862
     /* 1346862 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1346946), // Rule ID 20216 //
     /* 1346867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1346923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346945 */     // GIR_Coverage, 20216,
     /* 1346945 */     GIR_EraseRootFromParent_Done,
     /* 1346946 */   // Label 19204: @1346946
     /* 1346946 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1347030), // Rule ID 20217 //
     /* 1346951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1347007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347029 */     // GIR_Coverage, 20217,
     /* 1347029 */     GIR_EraseRootFromParent_Done,
     /* 1347030 */   // Label 19205: @1347030
     /* 1347030 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1347114), // Rule ID 20220 //
     /* 1347035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1347091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347113 */     // GIR_Coverage, 20220,
     /* 1347113 */     GIR_EraseRootFromParent_Done,
     /* 1347114 */   // Label 19206: @1347114
     /* 1347114 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1347198), // Rule ID 20221 //
     /* 1347119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1347136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1347175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347197 */     // GIR_Coverage, 20221,
     /* 1347197 */     GIR_EraseRootFromParent_Done,
     /* 1347198 */   // Label 19207: @1347198
     /* 1347198 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1347282), // Rule ID 20224 //
     /* 1347203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1347259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347281 */     // GIR_Coverage, 20224,
     /* 1347281 */     GIR_EraseRootFromParent_Done,
     /* 1347282 */   // Label 19208: @1347282
     /* 1347282 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1347366), // Rule ID 20225 //
     /* 1347287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1347298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1347301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1347304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1347310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1347343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347365 */     // GIR_Coverage, 20225,
     /* 1347365 */     GIR_EraseRootFromParent_Done,
     /* 1347366 */   // Label 19209: @1347366
     /* 1347366 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1347450), // Rule ID 20228 //
     /* 1347371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1347427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347449 */     // GIR_Coverage, 20228,
     /* 1347449 */     GIR_EraseRootFromParent_Done,
     /* 1347450 */   // Label 19210: @1347450
     /* 1347450 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1347534), // Rule ID 20229 //
     /* 1347455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1347511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347533 */     // GIR_Coverage, 20229,
     /* 1347533 */     GIR_EraseRootFromParent_Done,
     /* 1347534 */   // Label 19211: @1347534
     /* 1347534 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1347618), // Rule ID 20232 //
     /* 1347539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1347595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347617 */     // GIR_Coverage, 20232,
     /* 1347617 */     GIR_EraseRootFromParent_Done,
     /* 1347618 */   // Label 19212: @1347618
     /* 1347618 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1347702), // Rule ID 20233 //
     /* 1347623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1347679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347701 */     // GIR_Coverage, 20233,
     /* 1347701 */     GIR_EraseRootFromParent_Done,
     /* 1347702 */   // Label 19213: @1347702
     /* 1347702 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1347786), // Rule ID 20236 //
     /* 1347707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1347710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347760 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1347763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347785 */     // GIR_Coverage, 20236,
     /* 1347785 */     GIR_EraseRootFromParent_Done,
     /* 1347786 */   // Label 19214: @1347786
     /* 1347786 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1347870), // Rule ID 20237 //
     /* 1347791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1347811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1347833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347844 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1347847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347869 */     // GIR_Coverage, 20237,
     /* 1347869 */     GIR_EraseRootFromParent_Done,
     /* 1347870 */   // Label 19215: @1347870
     /* 1347870 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1347954), // Rule ID 20240 //
     /* 1347875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1347931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347953 */     // GIR_Coverage, 20240,
     /* 1347953 */     GIR_EraseRootFromParent_Done,
     /* 1347954 */   // Label 19216: @1347954
     /* 1347954 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1348038), // Rule ID 20241 //
     /* 1347959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1348015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348037 */     // GIR_Coverage, 20241,
     /* 1348037 */     GIR_EraseRootFromParent_Done,
     /* 1348038 */   // Label 19217: @1348038
     /* 1348038 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1348122), // Rule ID 20244 //
     /* 1348043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1348099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348121 */     // GIR_Coverage, 20244,
     /* 1348121 */     GIR_EraseRootFromParent_Done,
     /* 1348122 */   // Label 19218: @1348122
     /* 1348122 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1348206), // Rule ID 20245 //
     /* 1348127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1348144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1348183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348205 */     // GIR_Coverage, 20245,
     /* 1348205 */     GIR_EraseRootFromParent_Done,
     /* 1348206 */   // Label 19219: @1348206
     /* 1348206 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1348290), // Rule ID 20248 //
     /* 1348211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1348267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348289 */     // GIR_Coverage, 20248,
     /* 1348289 */     GIR_EraseRootFromParent_Done,
     /* 1348290 */   // Label 19220: @1348290
     /* 1348290 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1348374), // Rule ID 20249 //
     /* 1348295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1348306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1348309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1348351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348373 */     // GIR_Coverage, 20249,
     /* 1348373 */     GIR_EraseRootFromParent_Done,
     /* 1348374 */   // Label 19221: @1348374
     /* 1348374 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1348458), // Rule ID 20252 //
     /* 1348379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1348435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348457 */     // GIR_Coverage, 20252,
     /* 1348457 */     GIR_EraseRootFromParent_Done,
     /* 1348458 */   // Label 19222: @1348458
     /* 1348458 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1348542), // Rule ID 20253 //
     /* 1348463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1348519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348541 */     // GIR_Coverage, 20253,
     /* 1348541 */     GIR_EraseRootFromParent_Done,
     /* 1348542 */   // Label 19223: @1348542
     /* 1348542 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1348626), // Rule ID 20256 //
     /* 1348547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1348603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348625 */     // GIR_Coverage, 20256,
     /* 1348625 */     GIR_EraseRootFromParent_Done,
     /* 1348626 */   // Label 19224: @1348626
     /* 1348626 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1348710), // Rule ID 20257 //
     /* 1348631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1348687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348709 */     // GIR_Coverage, 20257,
     /* 1348709 */     GIR_EraseRootFromParent_Done,
     /* 1348710 */   // Label 19225: @1348710
     /* 1348710 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1348794), // Rule ID 20260 //
     /* 1348715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1348771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348793 */     // GIR_Coverage, 20260,
     /* 1348793 */     GIR_EraseRootFromParent_Done,
     /* 1348794 */   // Label 19226: @1348794
     /* 1348794 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1348878), // Rule ID 20261 //
     /* 1348799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1348855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348877 */     // GIR_Coverage, 20261,
     /* 1348877 */     GIR_EraseRootFromParent_Done,
     /* 1348878 */   // Label 19227: @1348878
     /* 1348878 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1348962), // Rule ID 20264 //
     /* 1348883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1348903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1348939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348961 */     // GIR_Coverage, 20264,
     /* 1348961 */     GIR_EraseRootFromParent_Done,
     /* 1348962 */   // Label 19228: @1348962
     /* 1348962 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1349046), // Rule ID 20265 //
     /* 1348967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1348975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1348987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1349023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349045 */     // GIR_Coverage, 20265,
     /* 1349045 */     GIR_EraseRootFromParent_Done,
     /* 1349046 */   // Label 19229: @1349046
     /* 1349046 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1349130), // Rule ID 20268 //
     /* 1349051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1349071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1349107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349129 */     // GIR_Coverage, 20268,
     /* 1349129 */     GIR_EraseRootFromParent_Done,
     /* 1349130 */   // Label 19230: @1349130
     /* 1349130 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1349214), // Rule ID 20269 //
     /* 1349135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1349155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1349191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349213 */     // GIR_Coverage, 20269,
     /* 1349213 */     GIR_EraseRootFromParent_Done,
     /* 1349214 */   // Label 19231: @1349214
     /* 1349214 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1349298), // Rule ID 20272 //
     /* 1349219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1349239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1349275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349297 */     // GIR_Coverage, 20272,
     /* 1349297 */     GIR_EraseRootFromParent_Done,
     /* 1349298 */   // Label 19232: @1349298
     /* 1349298 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1349382), // Rule ID 20273 //
     /* 1349303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1349323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1349359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349381 */     // GIR_Coverage, 20273,
     /* 1349381 */     GIR_EraseRootFromParent_Done,
     /* 1349382 */   // Label 19233: @1349382
     /* 1349382 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1349466), // Rule ID 20276 //
     /* 1349387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1349443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349465 */     // GIR_Coverage, 20276,
     /* 1349465 */     GIR_EraseRootFromParent_Done,
     /* 1349466 */   // Label 19234: @1349466
     /* 1349466 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1349550), // Rule ID 20277 //
     /* 1349471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1349527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349549 */     // GIR_Coverage, 20277,
     /* 1349549 */     GIR_EraseRootFromParent_Done,
     /* 1349550 */   // Label 19235: @1349550
     /* 1349550 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1349634), // Rule ID 20280 //
     /* 1349555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1349611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349633 */     // GIR_Coverage, 20280,
     /* 1349633 */     GIR_EraseRootFromParent_Done,
     /* 1349634 */   // Label 19236: @1349634
     /* 1349634 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1349718), // Rule ID 20281 //
     /* 1349639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1349650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1349653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1349695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349717 */     // GIR_Coverage, 20281,
     /* 1349717 */     GIR_EraseRootFromParent_Done,
     /* 1349718 */   // Label 19237: @1349718
     /* 1349718 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1349802), // Rule ID 20284 //
     /* 1349723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1349779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349801 */     // GIR_Coverage, 20284,
     /* 1349801 */     GIR_EraseRootFromParent_Done,
     /* 1349802 */   // Label 19238: @1349802
     /* 1349802 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1349886), // Rule ID 20285 //
     /* 1349807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1349863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349885 */     // GIR_Coverage, 20285,
     /* 1349885 */     GIR_EraseRootFromParent_Done,
     /* 1349886 */   // Label 19239: @1349886
     /* 1349886 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1349970), // Rule ID 20288 //
     /* 1349891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1349908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1349911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1349947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1349953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1349955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349969 */     // GIR_Coverage, 20288,
     /* 1349969 */     GIR_EraseRootFromParent_Done,
     /* 1349970 */   // Label 19240: @1349970
     /* 1349970 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1350054), // Rule ID 20289 //
     /* 1349975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1349983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1349992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1349995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1350031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350053 */     // GIR_Coverage, 20289,
     /* 1350053 */     GIR_EraseRootFromParent_Done,
     /* 1350054 */   // Label 19241: @1350054
     /* 1350054 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1350138), // Rule ID 20292 //
     /* 1350059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1350079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350112 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1350115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350137 */     // GIR_Coverage, 20292,
     /* 1350137 */     GIR_EraseRootFromParent_Done,
     /* 1350138 */   // Label 19242: @1350138
     /* 1350138 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1350222), // Rule ID 20293 //
     /* 1350143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1350163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350196 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1350199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350221 */     // GIR_Coverage, 20293,
     /* 1350221 */     GIR_EraseRootFromParent_Done,
     /* 1350222 */   // Label 19243: @1350222
     /* 1350222 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1350306), // Rule ID 20296 //
     /* 1350227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1350238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1350241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1350247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350280 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1350283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350305 */     // GIR_Coverage, 20296,
     /* 1350305 */     GIR_EraseRootFromParent_Done,
     /* 1350306 */   // Label 19244: @1350306
     /* 1350306 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1350390), // Rule ID 20297 //
     /* 1350311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1350322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1350325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1350331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350364 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1350367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350389 */     // GIR_Coverage, 20297,
     /* 1350389 */     GIR_EraseRootFromParent_Done,
     /* 1350390 */   // Label 19245: @1350390
     /* 1350390 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1350474), // Rule ID 20300 //
     /* 1350395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1350415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1350451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350473 */     // GIR_Coverage, 20300,
     /* 1350473 */     GIR_EraseRootFromParent_Done,
     /* 1350474 */   // Label 19246: @1350474
     /* 1350474 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1350558), // Rule ID 20301 //
     /* 1350479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1350499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1350535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350557 */     // GIR_Coverage, 20301,
     /* 1350557 */     GIR_EraseRootFromParent_Done,
     /* 1350558 */   // Label 19247: @1350558
     /* 1350558 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1350642), // Rule ID 20304 //
     /* 1350563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1350580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1350583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1350619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350641 */     // GIR_Coverage, 20304,
     /* 1350641 */     GIR_EraseRootFromParent_Done,
     /* 1350642 */   // Label 19248: @1350642
     /* 1350642 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1350726), // Rule ID 20305 //
     /* 1350647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1350664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1350667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1350703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350725 */     // GIR_Coverage, 20305,
     /* 1350725 */     GIR_EraseRootFromParent_Done,
     /* 1350726 */   // Label 19249: @1350726
     /* 1350726 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1350810), // Rule ID 20308 //
     /* 1350731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1350748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1350751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1350787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350809 */     // GIR_Coverage, 20308,
     /* 1350809 */     GIR_EraseRootFromParent_Done,
     /* 1350810 */   // Label 19250: @1350810
     /* 1350810 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1350894), // Rule ID 20309 //
     /* 1350815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1350832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1350835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1350871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350893 */     // GIR_Coverage, 20309,
     /* 1350893 */     GIR_EraseRootFromParent_Done,
     /* 1350894 */   // Label 19251: @1350894
     /* 1350894 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1350978), // Rule ID 20312 //
     /* 1350899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1350916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1350919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1350955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1350961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1350963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350977 */     // GIR_Coverage, 20312,
     /* 1350977 */     GIR_EraseRootFromParent_Done,
     /* 1350978 */   // Label 19252: @1350978
     /* 1350978 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1351062), // Rule ID 20313 //
     /* 1350983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1351000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1351003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1351039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351061 */     // GIR_Coverage, 20313,
     /* 1351061 */     GIR_EraseRootFromParent_Done,
     /* 1351062 */   // Label 19253: @1351062
     /* 1351062 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1351146), // Rule ID 20316 //
     /* 1351067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1351084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1351087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1351123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351145 */     // GIR_Coverage, 20316,
     /* 1351145 */     GIR_EraseRootFromParent_Done,
     /* 1351146 */   // Label 19254: @1351146
     /* 1351146 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1351230), // Rule ID 20317 //
     /* 1351151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1351168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1351171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1351207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351229 */     // GIR_Coverage, 20317,
     /* 1351229 */     GIR_EraseRootFromParent_Done,
     /* 1351230 */   // Label 19255: @1351230
     /* 1351230 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1351314), // Rule ID 20320 //
     /* 1351235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1351246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1351249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1351252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1351255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1351291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351313 */     // GIR_Coverage, 20320,
     /* 1351313 */     GIR_EraseRootFromParent_Done,
     /* 1351314 */   // Label 19256: @1351314
     /* 1351314 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1351398), // Rule ID 20321 //
     /* 1351319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1351330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1351333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1351336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1351339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1351375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351397 */     // GIR_Coverage, 20321,
     /* 1351397 */     GIR_EraseRootFromParent_Done,
     /* 1351398 */   // Label 19257: @1351398
     /* 1351398 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1351482), // Rule ID 20324 //
     /* 1351403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1351423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351456 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1351459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351481 */     // GIR_Coverage, 20324,
     /* 1351481 */     GIR_EraseRootFromParent_Done,
     /* 1351482 */   // Label 19258: @1351482
     /* 1351482 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1351566), // Rule ID 20325 //
     /* 1351487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1351507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1351543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351565 */     // GIR_Coverage, 20325,
     /* 1351565 */     GIR_EraseRootFromParent_Done,
     /* 1351566 */   // Label 19259: @1351566
     /* 1351566 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1351650), // Rule ID 20328 //
     /* 1351571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1351591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1351627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351649 */     // GIR_Coverage, 20328,
     /* 1351649 */     GIR_EraseRootFromParent_Done,
     /* 1351650 */   // Label 19260: @1351650
     /* 1351650 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1351734), // Rule ID 20329 //
     /* 1351655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1351675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1351711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351733 */     // GIR_Coverage, 20329,
     /* 1351733 */     GIR_EraseRootFromParent_Done,
     /* 1351734 */   // Label 19261: @1351734
     /* 1351734 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1351818), // Rule ID 20332 //
     /* 1351739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1351756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1351759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1351795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351817 */     // GIR_Coverage, 20332,
     /* 1351817 */     GIR_EraseRootFromParent_Done,
     /* 1351818 */   // Label 19262: @1351818
     /* 1351818 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1351902), // Rule ID 20333 //
     /* 1351823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1351840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1351843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1351879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351901 */     // GIR_Coverage, 20333,
     /* 1351901 */     GIR_EraseRootFromParent_Done,
     /* 1351902 */   // Label 19263: @1351902
     /* 1351902 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1351986), // Rule ID 20336 //
     /* 1351907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1351924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1351927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1351963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1351969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1351971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351985 */     // GIR_Coverage, 20336,
     /* 1351985 */     GIR_EraseRootFromParent_Done,
     /* 1351986 */   // Label 19264: @1351986
     /* 1351986 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1352070), // Rule ID 20337 //
     /* 1351991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1351999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1352008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1352047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352069 */     // GIR_Coverage, 20337,
     /* 1352069 */     GIR_EraseRootFromParent_Done,
     /* 1352070 */   // Label 19265: @1352070
     /* 1352070 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1352154), // Rule ID 20340 //
     /* 1352075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1352086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1352089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1352092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1352131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352153 */     // GIR_Coverage, 20340,
     /* 1352153 */     GIR_EraseRootFromParent_Done,
     /* 1352154 */   // Label 19266: @1352154
     /* 1352154 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1352238), // Rule ID 20341 //
     /* 1352159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1352170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1352173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1352176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1352215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352237 */     // GIR_Coverage, 20341,
     /* 1352237 */     GIR_EraseRootFromParent_Done,
     /* 1352238 */   // Label 19267: @1352238
     /* 1352238 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1352322), // Rule ID 20344 //
     /* 1352243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1352254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1352257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1352260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1352263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1352299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352321 */     // GIR_Coverage, 20344,
     /* 1352321 */     GIR_EraseRootFromParent_Done,
     /* 1352322 */   // Label 19268: @1352322
     /* 1352322 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1352406), // Rule ID 20345 //
     /* 1352327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1352338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1352341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1352344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1352347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1352383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352405 */     // GIR_Coverage, 20345,
     /* 1352405 */     GIR_EraseRootFromParent_Done,
     /* 1352406 */   // Label 19269: @1352406
     /* 1352406 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1352490), // Rule ID 20348 //
     /* 1352411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1352428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1352431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1352467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352489 */     // GIR_Coverage, 20348,
     /* 1352489 */     GIR_EraseRootFromParent_Done,
     /* 1352490 */   // Label 19270: @1352490
     /* 1352490 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1352574), // Rule ID 20349 //
     /* 1352495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1352512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1352515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1352551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352573 */     // GIR_Coverage, 20349,
     /* 1352573 */     GIR_EraseRootFromParent_Done,
     /* 1352574 */   // Label 19271: @1352574
     /* 1352574 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1352658), // Rule ID 20352 //
     /* 1352579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352632 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1352635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352657 */     // GIR_Coverage, 20352,
     /* 1352657 */     GIR_EraseRootFromParent_Done,
     /* 1352658 */   // Label 19272: @1352658
     /* 1352658 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1352742), // Rule ID 20353 //
     /* 1352663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1352680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1352683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1352719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352741 */     // GIR_Coverage, 20353,
     /* 1352741 */     GIR_EraseRootFromParent_Done,
     /* 1352742 */   // Label 19273: @1352742
     /* 1352742 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1352826), // Rule ID 20356 //
     /* 1352747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1352758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1352761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352800 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1352803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352825 */     // GIR_Coverage, 20356,
     /* 1352825 */     GIR_EraseRootFromParent_Done,
     /* 1352826 */   // Label 19274: @1352826
     /* 1352826 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1352910), // Rule ID 20357 //
     /* 1352831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1352842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1352845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1352851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352884 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1352887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352909 */     // GIR_Coverage, 20357,
     /* 1352909 */     GIR_EraseRootFromParent_Done,
     /* 1352910 */   // Label 19275: @1352910
     /* 1352910 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1352994), // Rule ID 20360 //
     /* 1352915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1352923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1352935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1352971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1352977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1352979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352993 */     // GIR_Coverage, 20360,
     /* 1352993 */     GIR_EraseRootFromParent_Done,
     /* 1352994 */   // Label 19276: @1352994
     /* 1352994 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1353078), // Rule ID 20361 //
     /* 1352999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1353016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1353019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1353055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353077 */     // GIR_Coverage, 20361,
     /* 1353077 */     GIR_EraseRootFromParent_Done,
     /* 1353078 */   // Label 19277: @1353078
     /* 1353078 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1353162), // Rule ID 20364 //
     /* 1353083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1353139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353161 */     // GIR_Coverage, 20364,
     /* 1353161 */     GIR_EraseRootFromParent_Done,
     /* 1353162 */   // Label 19278: @1353162
     /* 1353162 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1353246), // Rule ID 20365 //
     /* 1353167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1353187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1353223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353245 */     // GIR_Coverage, 20365,
     /* 1353245 */     GIR_EraseRootFromParent_Done,
     /* 1353246 */   // Label 19279: @1353246
     /* 1353246 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1353330), // Rule ID 20368 //
     /* 1353251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1353262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1353265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1353307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353329 */     // GIR_Coverage, 20368,
     /* 1353329 */     GIR_EraseRootFromParent_Done,
     /* 1353330 */   // Label 19280: @1353330
     /* 1353330 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1353414), // Rule ID 20369 //
     /* 1353335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1353346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1353349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1353355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1353391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353413 */     // GIR_Coverage, 20369,
     /* 1353413 */     GIR_EraseRootFromParent_Done,
     /* 1353414 */   // Label 19281: @1353414
     /* 1353414 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1353498), // Rule ID 20372 //
     /* 1353419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1353475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353497 */     // GIR_Coverage, 20372,
     /* 1353497 */     GIR_EraseRootFromParent_Done,
     /* 1353498 */   // Label 19282: @1353498
     /* 1353498 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1353582), // Rule ID 20373 //
     /* 1353503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1353520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1353523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1353559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353581 */     // GIR_Coverage, 20373,
     /* 1353581 */     GIR_EraseRootFromParent_Done,
     /* 1353582 */   // Label 19283: @1353582
     /* 1353582 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1353666), // Rule ID 20376 //
     /* 1353587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1353643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353665 */     // GIR_Coverage, 20376,
     /* 1353665 */     GIR_EraseRootFromParent_Done,
     /* 1353666 */   // Label 19284: @1353666
     /* 1353666 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1353750), // Rule ID 20377 //
     /* 1353671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1353688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1353691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1353727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353749 */     // GIR_Coverage, 20377,
     /* 1353749 */     GIR_EraseRootFromParent_Done,
     /* 1353750 */   // Label 19285: @1353750
     /* 1353750 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1353834), // Rule ID 20380 //
     /* 1353755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1353811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353833 */     // GIR_Coverage, 20380,
     /* 1353833 */     GIR_EraseRootFromParent_Done,
     /* 1353834 */   // Label 19286: @1353834
     /* 1353834 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1353918), // Rule ID 20381 //
     /* 1353839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1353859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1353895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1353901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1353903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353917 */     // GIR_Coverage, 20381,
     /* 1353917 */     GIR_EraseRootFromParent_Done,
     /* 1353918 */   // Label 19287: @1353918
     /* 1353918 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1353999), // Rule ID 20438 //
     /* 1353923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1353926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1353931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1353934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1353937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1353943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353976 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1353976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1353979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353998 */     // GIR_Coverage, 20438,
     /* 1353998 */     GIR_EraseRootFromParent_Done,
     /* 1353999 */   // Label 19288: @1353999
     /* 1353999 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1354080), // Rule ID 20439 //
     /* 1354004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1354007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1354015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1354018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1354024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354057 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1354057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1354060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354079 */     // GIR_Coverage, 20439,
     /* 1354079 */     GIR_EraseRootFromParent_Done,
     /* 1354080 */   // Label 19289: @1354080
     /* 1354080 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1354161), // Rule ID 20440 //
     /* 1354085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1354096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1354099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354138 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1354138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1354141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354160 */     // GIR_Coverage, 20440,
     /* 1354160 */     GIR_EraseRootFromParent_Done,
     /* 1354161 */   // Label 19290: @1354161
     /* 1354161 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1354242), // Rule ID 20441 //
     /* 1354166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1354177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1354180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354219 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1354219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1354222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354241 */     // GIR_Coverage, 20441,
     /* 1354241 */     GIR_EraseRootFromParent_Done,
     /* 1354242 */   // Label 19291: @1354242
     /* 1354242 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1354323), // Rule ID 20442 //
     /* 1354247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1354250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1354258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1354261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1354267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354300 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1354300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1354303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354322 */     // GIR_Coverage, 20442,
     /* 1354322 */     GIR_EraseRootFromParent_Done,
     /* 1354323 */   // Label 19292: @1354323
     /* 1354323 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1354404), // Rule ID 20443 //
     /* 1354328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1354331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1354339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1354342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1354348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354381 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1354381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1354384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354403 */     // GIR_Coverage, 20443,
     /* 1354403 */     GIR_EraseRootFromParent_Done,
     /* 1354404 */   // Label 19293: @1354404
     /* 1354404 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1354485), // Rule ID 20444 //
     /* 1354409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1354420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1354423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354462 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1354462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1354465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354484 */     // GIR_Coverage, 20444,
     /* 1354484 */     GIR_EraseRootFromParent_Done,
     /* 1354485 */   // Label 19294: @1354485
     /* 1354485 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1354566), // Rule ID 20445 //
     /* 1354490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1354501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1354504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354543 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1354543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1354546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354565 */     // GIR_Coverage, 20445,
     /* 1354565 */     GIR_EraseRootFromParent_Done,
     /* 1354566 */   // Label 19295: @1354566
     /* 1354566 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1354647), // Rule ID 20446 //
     /* 1354571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1354582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1354585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1354591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354624 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1354624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1354627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354646 */     // GIR_Coverage, 20446,
     /* 1354646 */     GIR_EraseRootFromParent_Done,
     /* 1354647 */   // Label 19296: @1354647
     /* 1354647 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1354728), // Rule ID 20447 //
     /* 1354652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1354663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1354666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1354672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354705 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1354705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1354708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354727 */     // GIR_Coverage, 20447,
     /* 1354727 */     GIR_EraseRootFromParent_Done,
     /* 1354728 */   // Label 19297: @1354728
     /* 1354728 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1354809), // Rule ID 20448 //
     /* 1354733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1354744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1354747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1354775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354786 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1354786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1354789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354808 */     // GIR_Coverage, 20448,
     /* 1354808 */     GIR_EraseRootFromParent_Done,
     /* 1354809 */   // Label 19298: @1354809
     /* 1354809 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1354890), // Rule ID 20449 //
     /* 1354814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1354822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1354825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1354828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1354856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354867 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1354867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1354870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354889 */     // GIR_Coverage, 20449,
     /* 1354889 */     GIR_EraseRootFromParent_Done,
     /* 1354890 */   // Label 19299: @1354890
     /* 1354890 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1354971), // Rule ID 20450 //
     /* 1354895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1354898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354948 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1354948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1354951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354970 */     // GIR_Coverage, 20450,
     /* 1354970 */     GIR_EraseRootFromParent_Done,
     /* 1354971 */   // Label 19300: @1354971
     /* 1354971 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1355052), // Rule ID 20451 //
     /* 1354976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1354979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1354984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355029 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1355029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1355032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355051 */     // GIR_Coverage, 20451,
     /* 1355051 */     GIR_EraseRootFromParent_Done,
     /* 1355052 */   // Label 19301: @1355052
     /* 1355052 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1355133), // Rule ID 20452 //
     /* 1355057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1355065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1355077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1355099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355110 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1355110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1355113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355132 */     // GIR_Coverage, 20452,
     /* 1355132 */     GIR_EraseRootFromParent_Done,
     /* 1355133 */   // Label 19302: @1355133
     /* 1355133 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1355214), // Rule ID 20453 //
     /* 1355138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1355146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1355158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1355180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355191 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1355191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1355194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355213 */     // GIR_Coverage, 20453,
     /* 1355213 */     GIR_EraseRootFromParent_Done,
     /* 1355214 */   // Label 19303: @1355214
     /* 1355214 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1355295), // Rule ID 20454 //
     /* 1355219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1355227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355272 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1355272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1355275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355294 */     // GIR_Coverage, 20454,
     /* 1355294 */     GIR_EraseRootFromParent_Done,
     /* 1355295 */   // Label 19304: @1355295
     /* 1355295 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1355376), // Rule ID 20455 //
     /* 1355300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1355308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355353 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1355353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1355356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355375 */     // GIR_Coverage, 20455,
     /* 1355375 */     GIR_EraseRootFromParent_Done,
     /* 1355376 */   // Label 19305: @1355376
     /* 1355376 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1355457), // Rule ID 20456 //
     /* 1355381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1355389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1355423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355434 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1355434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1355437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355456 */     // GIR_Coverage, 20456,
     /* 1355456 */     GIR_EraseRootFromParent_Done,
     /* 1355457 */   // Label 19306: @1355457
     /* 1355457 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1355538), // Rule ID 20457 //
     /* 1355462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1355470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1355504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1355515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1355518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355537 */     // GIR_Coverage, 20457,
     /* 1355537 */     GIR_EraseRootFromParent_Done,
     /* 1355538 */   // Label 19307: @1355538
     /* 1355538 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1355619), // Rule ID 20458 //
     /* 1355543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1355551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355596 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1355596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1355599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355618 */     // GIR_Coverage, 20458,
     /* 1355618 */     GIR_EraseRootFromParent_Done,
     /* 1355619 */   // Label 19308: @1355619
     /* 1355619 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1355700), // Rule ID 20459 //
     /* 1355624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1355632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355677 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1355677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1355680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355699 */     // GIR_Coverage, 20459,
     /* 1355699 */     GIR_EraseRootFromParent_Done,
     /* 1355700 */   // Label 19309: @1355700
     /* 1355700 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1355781), // Rule ID 20460 //
     /* 1355705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1355713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355758 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1355758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1355761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355780 */     // GIR_Coverage, 20460,
     /* 1355780 */     GIR_EraseRootFromParent_Done,
     /* 1355781 */   // Label 19310: @1355781
     /* 1355781 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1355862), // Rule ID 20461 //
     /* 1355786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1355794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355839 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1355839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1355842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355861 */     // GIR_Coverage, 20461,
     /* 1355861 */     GIR_EraseRootFromParent_Done,
     /* 1355862 */   // Label 19311: @1355862
     /* 1355862 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1355943), // Rule ID 20462 //
     /* 1355867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1355870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1355875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1355878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1355881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1355884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1355887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1355897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355920 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1355920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1355923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355942 */     // GIR_Coverage, 20462,
     /* 1355942 */     GIR_EraseRootFromParent_Done,
     /* 1355943 */   // Label 19312: @1355943
     /* 1355943 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1356024), // Rule ID 20463 //
     /* 1355948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1355951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1355956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1355959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1355962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1355965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1355968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1355978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356001 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1356004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356023 */     // GIR_Coverage, 20463,
     /* 1356023 */     GIR_EraseRootFromParent_Done,
     /* 1356024 */   // Label 19313: @1356024
     /* 1356024 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1356105), // Rule ID 20464 //
     /* 1356029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1356040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1356043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1356059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356082 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1356085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356104 */     // GIR_Coverage, 20464,
     /* 1356104 */     GIR_EraseRootFromParent_Done,
     /* 1356105 */   // Label 19314: @1356105
     /* 1356105 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1356186), // Rule ID 20465 //
     /* 1356110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1356121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1356124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1356140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356163 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1356166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356185 */     // GIR_Coverage, 20465,
     /* 1356185 */     GIR_EraseRootFromParent_Done,
     /* 1356186 */   // Label 19315: @1356186
     /* 1356186 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1356267), // Rule ID 20466 //
     /* 1356191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1356194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1356202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1356205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1356211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1356221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356244 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1356247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356266 */     // GIR_Coverage, 20466,
     /* 1356266 */     GIR_EraseRootFromParent_Done,
     /* 1356267 */   // Label 19316: @1356267
     /* 1356267 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1356348), // Rule ID 20467 //
     /* 1356272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1356275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1356283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1356286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1356292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1356302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356325 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1356328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356347 */     // GIR_Coverage, 20467,
     /* 1356347 */     GIR_EraseRootFromParent_Done,
     /* 1356348 */   // Label 19317: @1356348
     /* 1356348 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1356429), // Rule ID 20468 //
     /* 1356353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1356364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1356367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1356383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356406 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1356409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356428 */     // GIR_Coverage, 20468,
     /* 1356428 */     GIR_EraseRootFromParent_Done,
     /* 1356429 */   // Label 19318: @1356429
     /* 1356429 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1356510), // Rule ID 20469 //
     /* 1356434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1356445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1356448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1356464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356487 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1356490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356509 */     // GIR_Coverage, 20469,
     /* 1356509 */     GIR_EraseRootFromParent_Done,
     /* 1356510 */   // Label 19319: @1356510
     /* 1356510 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1356591), // Rule ID 20470 //
     /* 1356515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1356518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1356526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1356529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1356535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1356545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356568 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1356571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356590 */     // GIR_Coverage, 20470,
     /* 1356590 */     GIR_EraseRootFromParent_Done,
     /* 1356591 */   // Label 19320: @1356591
     /* 1356591 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1356672), // Rule ID 20471 //
     /* 1356596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1356599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1356607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1356610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1356616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1356626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356649 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1356652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356671 */     // GIR_Coverage, 20471,
     /* 1356671 */     GIR_EraseRootFromParent_Done,
     /* 1356672 */   // Label 19321: @1356672
     /* 1356672 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1356753), // Rule ID 20472 //
     /* 1356677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1356688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1356691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1356707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356730 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1356730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1356733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356752 */     // GIR_Coverage, 20472,
     /* 1356752 */     GIR_EraseRootFromParent_Done,
     /* 1356753 */   // Label 19322: @1356753
     /* 1356753 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1356834), // Rule ID 20473 //
     /* 1356758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1356766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1356769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1356772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1356778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1356788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1356800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356811 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1356811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1356814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356833 */     // GIR_Coverage, 20473,
     /* 1356833 */     GIR_EraseRootFromParent_Done,
     /* 1356834 */   // Label 19323: @1356834
     /* 1356834 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1356915), // Rule ID 20474 //
     /* 1356839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1356842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1356850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1356853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1356859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1356869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356892 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1356892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1356895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356914 */     // GIR_Coverage, 20474,
     /* 1356914 */     GIR_EraseRootFromParent_Done,
     /* 1356915 */   // Label 19324: @1356915
     /* 1356915 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1356996), // Rule ID 20475 //
     /* 1356920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1356923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1356928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1356931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1356934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1356940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1356950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356973 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1356973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1356976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356995 */     // GIR_Coverage, 20475,
     /* 1356995 */     GIR_EraseRootFromParent_Done,
     /* 1356996 */   // Label 19325: @1356996
     /* 1356996 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1357077), // Rule ID 20476 //
     /* 1357001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1357012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1357015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1357031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357054 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1357057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357076 */     // GIR_Coverage, 20476,
     /* 1357076 */     GIR_EraseRootFromParent_Done,
     /* 1357077 */   // Label 19326: @1357077
     /* 1357077 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1357158), // Rule ID 20477 //
     /* 1357082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1357093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1357096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1357112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357135 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1357138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357157 */     // GIR_Coverage, 20477,
     /* 1357157 */     GIR_EraseRootFromParent_Done,
     /* 1357158 */   // Label 19327: @1357158
     /* 1357158 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1357239), // Rule ID 20478 //
     /* 1357163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1357174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1357177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1357183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1357193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357216 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1357219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357238 */     // GIR_Coverage, 20478,
     /* 1357238 */     GIR_EraseRootFromParent_Done,
     /* 1357239 */   // Label 19328: @1357239
     /* 1357239 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1357320), // Rule ID 20479 //
     /* 1357244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1357255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1357258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1357264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1357274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357297 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1357300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357319 */     // GIR_Coverage, 20479,
     /* 1357319 */     GIR_EraseRootFromParent_Done,
     /* 1357320 */   // Label 19329: @1357320
     /* 1357320 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1357401), // Rule ID 20480 //
     /* 1357325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1357336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1357339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1357355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1357381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357400 */     // GIR_Coverage, 20480,
     /* 1357400 */     GIR_EraseRootFromParent_Done,
     /* 1357401 */   // Label 19330: @1357401
     /* 1357401 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1357482), // Rule ID 20481 //
     /* 1357406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1357417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1357420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1357436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357459 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1357462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357481 */     // GIR_Coverage, 20481,
     /* 1357481 */     GIR_EraseRootFromParent_Done,
     /* 1357482 */   // Label 19331: @1357482
     /* 1357482 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1357563), // Rule ID 20482 //
     /* 1357487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1357498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1357501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1357507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1357517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357540 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1357543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357562 */     // GIR_Coverage, 20482,
     /* 1357562 */     GIR_EraseRootFromParent_Done,
     /* 1357563 */   // Label 19332: @1357563
     /* 1357563 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1357644), // Rule ID 20483 //
     /* 1357568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1357579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1357582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1357588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1357598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357621 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1357624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357643 */     // GIR_Coverage, 20483,
     /* 1357643 */     GIR_EraseRootFromParent_Done,
     /* 1357644 */   // Label 19333: @1357644
     /* 1357644 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1357725), // Rule ID 20484 //
     /* 1357649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1357660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1357663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1357679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357702 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1357702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1357705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357724 */     // GIR_Coverage, 20484,
     /* 1357724 */     GIR_EraseRootFromParent_Done,
     /* 1357725 */   // Label 19334: @1357725
     /* 1357725 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1357806), // Rule ID 20485 //
     /* 1357730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1357741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1357744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1357760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1357772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357783 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1357783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1357786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357805 */     // GIR_Coverage, 20485,
     /* 1357805 */     GIR_EraseRootFromParent_Done,
     /* 1357806 */   // Label 19335: @1357806
     /* 1357806 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1357887), // Rule ID 20486 //
     /* 1357811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1357822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1357825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1357831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1357841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357864 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1357864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1357867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357886 */     // GIR_Coverage, 20486,
     /* 1357886 */     GIR_EraseRootFromParent_Done,
     /* 1357887 */   // Label 19336: @1357887
     /* 1357887 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1357968), // Rule ID 20487 //
     /* 1357892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1357900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1357903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1357906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1357912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1357922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357945 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1357945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1357948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357967 */     // GIR_Coverage, 20487,
     /* 1357967 */     GIR_EraseRootFromParent_Done,
     /* 1357968 */   // Label 19337: @1357968
     /* 1357968 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1358049), // Rule ID 20488 //
     /* 1357973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1357981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1357984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1357987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358026 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1358026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1358029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358048 */     // GIR_Coverage, 20488,
     /* 1358048 */     GIR_EraseRootFromParent_Done,
     /* 1358049 */   // Label 19338: @1358049
     /* 1358049 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1358130), // Rule ID 20489 //
     /* 1358054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1358065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1358068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1358071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358107 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1358107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1358110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358129 */     // GIR_Coverage, 20489,
     /* 1358129 */     GIR_EraseRootFromParent_Done,
     /* 1358130 */   // Label 19339: @1358130
     /* 1358130 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1358211), // Rule ID 20490 //
     /* 1358135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1358138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1358146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1358149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1358155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358188 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1358188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1358191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358210 */     // GIR_Coverage, 20490,
     /* 1358210 */     GIR_EraseRootFromParent_Done,
     /* 1358211 */   // Label 19340: @1358211
     /* 1358211 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1358292), // Rule ID 20491 //
     /* 1358216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1358227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1358230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1358236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358269 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1358269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1358272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358291 */     // GIR_Coverage, 20491,
     /* 1358291 */     GIR_EraseRootFromParent_Done,
     /* 1358292 */   // Label 19341: @1358292
     /* 1358292 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1358373), // Rule ID 20492 //
     /* 1358297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1358300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1358308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1358311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358350 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1358350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1358353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358372 */     // GIR_Coverage, 20492,
     /* 1358372 */     GIR_EraseRootFromParent_Done,
     /* 1358373 */   // Label 19342: @1358373
     /* 1358373 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1358454), // Rule ID 20493 //
     /* 1358378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1358389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1358392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358431 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1358431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1358434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358453 */     // GIR_Coverage, 20493,
     /* 1358453 */     GIR_EraseRootFromParent_Done,
     /* 1358454 */   // Label 19343: @1358454
     /* 1358454 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1358535), // Rule ID 20494 //
     /* 1358459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1358462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1358470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1358473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1358479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358512 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1358512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1358515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358534 */     // GIR_Coverage, 20494,
     /* 1358534 */     GIR_EraseRootFromParent_Done,
     /* 1358535 */   // Label 19344: @1358535
     /* 1358535 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1358616), // Rule ID 20495 //
     /* 1358540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1358548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1358551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1358554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1358560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358593 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1358593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1358596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358615 */     // GIR_Coverage, 20495,
     /* 1358615 */     GIR_EraseRootFromParent_Done,
     /* 1358616 */   // Label 19345: @1358616
     /* 1358616 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1358697), // Rule ID 20496 //
     /* 1358621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1358624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1358632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1358635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358674 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1358674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1358677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358696 */     // GIR_Coverage, 20496,
     /* 1358696 */     GIR_EraseRootFromParent_Done,
     /* 1358697 */   // Label 19346: @1358697
     /* 1358697 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1358778), // Rule ID 20497 //
     /* 1358702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1358710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1358713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1358716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1358732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1358744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1358755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1358758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358777 */     // GIR_Coverage, 20497,
     /* 1358777 */     GIR_EraseRootFromParent_Done,
     /* 1358778 */   // Label 19347: @1358778
     /* 1358778 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1358862), // Rule ID 21878 //
     /* 1358783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1358791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1358839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358861 */     // GIR_Coverage, 21878,
     /* 1358861 */     GIR_EraseRootFromParent_Done,
     /* 1358862 */   // Label 19348: @1358862
     /* 1358862 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1358946), // Rule ID 21879 //
     /* 1358867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1358875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1358923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358945 */     // GIR_Coverage, 21879,
     /* 1358945 */     GIR_EraseRootFromParent_Done,
     /* 1358946 */   // Label 19349: @1358946
     /* 1358946 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1359030), // Rule ID 21882 //
     /* 1358951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1358959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1359007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359029 */     // GIR_Coverage, 21882,
     /* 1359029 */     GIR_EraseRootFromParent_Done,
     /* 1359030 */   // Label 19350: @1359030
     /* 1359030 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1359114), // Rule ID 21883 //
     /* 1359035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1359052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1359091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359113 */     // GIR_Coverage, 21883,
     /* 1359113 */     GIR_EraseRootFromParent_Done,
     /* 1359114 */   // Label 19351: @1359114
     /* 1359114 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1359198), // Rule ID 21886 //
     /* 1359119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1359136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1359175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359197 */     // GIR_Coverage, 21886,
     /* 1359197 */     GIR_EraseRootFromParent_Done,
     /* 1359198 */   // Label 19352: @1359198
     /* 1359198 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1359282), // Rule ID 21887 //
     /* 1359203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1359220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1359259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359281 */     // GIR_Coverage, 21887,
     /* 1359281 */     GIR_EraseRootFromParent_Done,
     /* 1359282 */   // Label 19353: @1359282
     /* 1359282 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1359366), // Rule ID 21890 //
     /* 1359287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1359304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1359343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359365 */     // GIR_Coverage, 21890,
     /* 1359365 */     GIR_EraseRootFromParent_Done,
     /* 1359366 */   // Label 19354: @1359366
     /* 1359366 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1359450), // Rule ID 21891 //
     /* 1359371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1359388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1359427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359449 */     // GIR_Coverage, 21891,
     /* 1359449 */     GIR_EraseRootFromParent_Done,
     /* 1359450 */   // Label 19355: @1359450
     /* 1359450 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1359534), // Rule ID 21894 //
     /* 1359455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1359511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359533 */     // GIR_Coverage, 21894,
     /* 1359533 */     GIR_EraseRootFromParent_Done,
     /* 1359534 */   // Label 19356: @1359534
     /* 1359534 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1359618), // Rule ID 21895 //
     /* 1359539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1359595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359617 */     // GIR_Coverage, 21895,
     /* 1359617 */     GIR_EraseRootFromParent_Done,
     /* 1359618 */   // Label 19357: @1359618
     /* 1359618 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1359702), // Rule ID 21898 //
     /* 1359623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1359679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359701 */     // GIR_Coverage, 21898,
     /* 1359701 */     GIR_EraseRootFromParent_Done,
     /* 1359702 */   // Label 19358: @1359702
     /* 1359702 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1359786), // Rule ID 21899 //
     /* 1359707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1359763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359785 */     // GIR_Coverage, 21899,
     /* 1359785 */     GIR_EraseRootFromParent_Done,
     /* 1359786 */   // Label 19359: @1359786
     /* 1359786 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1359870), // Rule ID 21902 //
     /* 1359791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1359847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359869 */     // GIR_Coverage, 21902,
     /* 1359869 */     GIR_EraseRootFromParent_Done,
     /* 1359870 */   // Label 19360: @1359870
     /* 1359870 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1359954), // Rule ID 21903 //
     /* 1359875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1359931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359953 */     // GIR_Coverage, 21903,
     /* 1359953 */     GIR_EraseRootFromParent_Done,
     /* 1359954 */   // Label 19361: @1359954
     /* 1359954 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1360038), // Rule ID 21906 //
     /* 1359959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1359967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1360015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360037 */     // GIR_Coverage, 21906,
     /* 1360037 */     GIR_EraseRootFromParent_Done,
     /* 1360038 */   // Label 19362: @1360038
     /* 1360038 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1360122), // Rule ID 21907 //
     /* 1360043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1360060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1360099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360121 */     // GIR_Coverage, 21907,
     /* 1360121 */     GIR_EraseRootFromParent_Done,
     /* 1360122 */   // Label 19363: @1360122
     /* 1360122 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1360206), // Rule ID 21910 //
     /* 1360127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1360130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1360144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1360183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360205 */     // GIR_Coverage, 21910,
     /* 1360205 */     GIR_EraseRootFromParent_Done,
     /* 1360206 */   // Label 19364: @1360206
     /* 1360206 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1360290), // Rule ID 21911 //
     /* 1360211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1360214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1360228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1360267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360289 */     // GIR_Coverage, 21911,
     /* 1360289 */     GIR_EraseRootFromParent_Done,
     /* 1360290 */   // Label 19365: @1360290
     /* 1360290 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1360374), // Rule ID 21914 //
     /* 1360295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1360312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1360351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360373 */     // GIR_Coverage, 21914,
     /* 1360373 */     GIR_EraseRootFromParent_Done,
     /* 1360374 */   // Label 19366: @1360374
     /* 1360374 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1360458), // Rule ID 21915 //
     /* 1360379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1360396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1360435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360457 */     // GIR_Coverage, 21915,
     /* 1360457 */     GIR_EraseRootFromParent_Done,
     /* 1360458 */   // Label 19367: @1360458
     /* 1360458 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1360542), // Rule ID 21918 //
     /* 1360463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1360519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360541 */     // GIR_Coverage, 21918,
     /* 1360541 */     GIR_EraseRootFromParent_Done,
     /* 1360542 */   // Label 19368: @1360542
     /* 1360542 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1360626), // Rule ID 21919 //
     /* 1360547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1360603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360625 */     // GIR_Coverage, 21919,
     /* 1360625 */     GIR_EraseRootFromParent_Done,
     /* 1360626 */   // Label 19369: @1360626
     /* 1360626 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1360710), // Rule ID 21922 //
     /* 1360631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1360687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360709 */     // GIR_Coverage, 21922,
     /* 1360709 */     GIR_EraseRootFromParent_Done,
     /* 1360710 */   // Label 19370: @1360710
     /* 1360710 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1360794), // Rule ID 21923 //
     /* 1360715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1360771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360793 */     // GIR_Coverage, 21923,
     /* 1360793 */     GIR_EraseRootFromParent_Done,
     /* 1360794 */   // Label 19371: @1360794
     /* 1360794 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1360878), // Rule ID 21926 //
     /* 1360799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1360855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360877 */     // GIR_Coverage, 21926,
     /* 1360877 */     GIR_EraseRootFromParent_Done,
     /* 1360878 */   // Label 19372: @1360878
     /* 1360878 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1360962), // Rule ID 21927 //
     /* 1360883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1360939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360961 */     // GIR_Coverage, 21927,
     /* 1360961 */     GIR_EraseRootFromParent_Done,
     /* 1360962 */   // Label 19373: @1360962
     /* 1360962 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1361046), // Rule ID 21930 //
     /* 1360967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1360975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1361023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361045 */     // GIR_Coverage, 21930,
     /* 1361045 */     GIR_EraseRootFromParent_Done,
     /* 1361046 */   // Label 19374: @1361046
     /* 1361046 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1361130), // Rule ID 21931 //
     /* 1361051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1361068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1361107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361129 */     // GIR_Coverage, 21931,
     /* 1361129 */     GIR_EraseRootFromParent_Done,
     /* 1361130 */   // Label 19375: @1361130
     /* 1361130 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1361214), // Rule ID 21934 //
     /* 1361135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1361152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1361191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361213 */     // GIR_Coverage, 21934,
     /* 1361213 */     GIR_EraseRootFromParent_Done,
     /* 1361214 */   // Label 19376: @1361214
     /* 1361214 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1361298), // Rule ID 21935 //
     /* 1361219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1361236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1361275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361297 */     // GIR_Coverage, 21935,
     /* 1361297 */     GIR_EraseRootFromParent_Done,
     /* 1361298 */   // Label 19377: @1361298
     /* 1361298 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1361382), // Rule ID 21938 //
     /* 1361303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1361320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1361359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361381 */     // GIR_Coverage, 21938,
     /* 1361381 */     GIR_EraseRootFromParent_Done,
     /* 1361382 */   // Label 19378: @1361382
     /* 1361382 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1361466), // Rule ID 21939 //
     /* 1361387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1361404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1361443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361465 */     // GIR_Coverage, 21939,
     /* 1361465 */     GIR_EraseRootFromParent_Done,
     /* 1361466 */   // Label 19379: @1361466
     /* 1361466 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1361550), // Rule ID 21942 //
     /* 1361471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1361527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361549 */     // GIR_Coverage, 21942,
     /* 1361549 */     GIR_EraseRootFromParent_Done,
     /* 1361550 */   // Label 19380: @1361550
     /* 1361550 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1361634), // Rule ID 21943 //
     /* 1361555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1361611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361633 */     // GIR_Coverage, 21943,
     /* 1361633 */     GIR_EraseRootFromParent_Done,
     /* 1361634 */   // Label 19381: @1361634
     /* 1361634 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1361718), // Rule ID 21946 //
     /* 1361639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1361695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361717 */     // GIR_Coverage, 21946,
     /* 1361717 */     GIR_EraseRootFromParent_Done,
     /* 1361718 */   // Label 19382: @1361718
     /* 1361718 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1361802), // Rule ID 21947 //
     /* 1361723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1361779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361801 */     // GIR_Coverage, 21947,
     /* 1361801 */     GIR_EraseRootFromParent_Done,
     /* 1361802 */   // Label 19383: @1361802
     /* 1361802 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1361886), // Rule ID 21950 //
     /* 1361807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1361863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361885 */     // GIR_Coverage, 21950,
     /* 1361885 */     GIR_EraseRootFromParent_Done,
     /* 1361886 */   // Label 19384: @1361886
     /* 1361886 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1361970), // Rule ID 21951 //
     /* 1361891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1361947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361969 */     // GIR_Coverage, 21951,
     /* 1361969 */     GIR_EraseRootFromParent_Done,
     /* 1361970 */   // Label 19385: @1361970
     /* 1361970 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1362054), // Rule ID 21954 //
     /* 1361975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1361983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1362031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362053 */     // GIR_Coverage, 21954,
     /* 1362053 */     GIR_EraseRootFromParent_Done,
     /* 1362054 */   // Label 19386: @1362054
     /* 1362054 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1362138), // Rule ID 21955 //
     /* 1362059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1362076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1362115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362137 */     // GIR_Coverage, 21955,
     /* 1362137 */     GIR_EraseRootFromParent_Done,
     /* 1362138 */   // Label 19387: @1362138
     /* 1362138 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1362222), // Rule ID 21958 //
     /* 1362143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1362160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1362199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362221 */     // GIR_Coverage, 21958,
     /* 1362221 */     GIR_EraseRootFromParent_Done,
     /* 1362222 */   // Label 19388: @1362222
     /* 1362222 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1362306), // Rule ID 21959 //
     /* 1362227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1362235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1362244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1362283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362305 */     // GIR_Coverage, 21959,
     /* 1362305 */     GIR_EraseRootFromParent_Done,
     /* 1362306 */   // Label 19389: @1362306
     /* 1362306 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1362390), // Rule ID 21962 //
     /* 1362311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1362328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1362367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362389 */     // GIR_Coverage, 21962,
     /* 1362389 */     GIR_EraseRootFromParent_Done,
     /* 1362390 */   // Label 19390: @1362390
     /* 1362390 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1362474), // Rule ID 21963 //
     /* 1362395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1362412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1362451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362473 */     // GIR_Coverage, 21963,
     /* 1362473 */     GIR_EraseRootFromParent_Done,
     /* 1362474 */   // Label 19391: @1362474
     /* 1362474 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1362558), // Rule ID 21966 //
     /* 1362479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1362496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1362535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362557 */     // GIR_Coverage, 21966,
     /* 1362557 */     GIR_EraseRootFromParent_Done,
     /* 1362558 */   // Label 19392: @1362558
     /* 1362558 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1362642), // Rule ID 21967 //
     /* 1362563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1362580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1362619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362641 */     // GIR_Coverage, 21967,
     /* 1362641 */     GIR_EraseRootFromParent_Done,
     /* 1362642 */   // Label 19393: @1362642
     /* 1362642 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1362726), // Rule ID 21970 //
     /* 1362647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1362664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362700 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1362703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362725 */     // GIR_Coverage, 21970,
     /* 1362725 */     GIR_EraseRootFromParent_Done,
     /* 1362726 */   // Label 19394: @1362726
     /* 1362726 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1362810), // Rule ID 21971 //
     /* 1362731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1362748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1362787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362809 */     // GIR_Coverage, 21971,
     /* 1362809 */     GIR_EraseRootFromParent_Done,
     /* 1362810 */   // Label 19395: @1362810
     /* 1362810 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1362894), // Rule ID 21974 //
     /* 1362815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1362871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362893 */     // GIR_Coverage, 21974,
     /* 1362893 */     GIR_EraseRootFromParent_Done,
     /* 1362894 */   // Label 19396: @1362894
     /* 1362894 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1362978), // Rule ID 21975 //
     /* 1362899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1362955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362977 */     // GIR_Coverage, 21975,
     /* 1362977 */     GIR_EraseRootFromParent_Done,
     /* 1362978 */   // Label 19397: @1362978
     /* 1362978 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1363062), // Rule ID 21978 //
     /* 1362983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1362991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1363000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1363039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363061 */     // GIR_Coverage, 21978,
     /* 1363061 */     GIR_EraseRootFromParent_Done,
     /* 1363062 */   // Label 19398: @1363062
     /* 1363062 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1363146), // Rule ID 21979 //
     /* 1363067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1363084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1363123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363145 */     // GIR_Coverage, 21979,
     /* 1363145 */     GIR_EraseRootFromParent_Done,
     /* 1363146 */   // Label 19399: @1363146
     /* 1363146 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1363230), // Rule ID 21982 //
     /* 1363151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1363168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1363207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363229 */     // GIR_Coverage, 21982,
     /* 1363229 */     GIR_EraseRootFromParent_Done,
     /* 1363230 */   // Label 19400: @1363230
     /* 1363230 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1363314), // Rule ID 21983 //
     /* 1363235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1363252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1363291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363313 */     // GIR_Coverage, 21983,
     /* 1363313 */     GIR_EraseRootFromParent_Done,
     /* 1363314 */   // Label 19401: @1363314
     /* 1363314 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1363398), // Rule ID 21986 //
     /* 1363319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1363336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1363375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363397 */     // GIR_Coverage, 21986,
     /* 1363397 */     GIR_EraseRootFromParent_Done,
     /* 1363398 */   // Label 19402: @1363398
     /* 1363398 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1363482), // Rule ID 21987 //
     /* 1363403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1363420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1363459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363481 */     // GIR_Coverage, 21987,
     /* 1363481 */     GIR_EraseRootFromParent_Done,
     /* 1363482 */   // Label 19403: @1363482
     /* 1363482 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1363566), // Rule ID 21990 //
     /* 1363487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1363543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363565 */     // GIR_Coverage, 21990,
     /* 1363565 */     GIR_EraseRootFromParent_Done,
     /* 1363566 */   // Label 19404: @1363566
     /* 1363566 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1363650), // Rule ID 21991 //
     /* 1363571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1363627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363649 */     // GIR_Coverage, 21991,
     /* 1363649 */     GIR_EraseRootFromParent_Done,
     /* 1363650 */   // Label 19405: @1363650
     /* 1363650 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1363734), // Rule ID 21994 //
     /* 1363655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1363711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363733 */     // GIR_Coverage, 21994,
     /* 1363733 */     GIR_EraseRootFromParent_Done,
     /* 1363734 */   // Label 19406: @1363734
     /* 1363734 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1363818), // Rule ID 21995 //
     /* 1363739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1363795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363817 */     // GIR_Coverage, 21995,
     /* 1363817 */     GIR_EraseRootFromParent_Done,
     /* 1363818 */   // Label 19407: @1363818
     /* 1363818 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1363902), // Rule ID 21998 //
     /* 1363823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1363879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363901 */     // GIR_Coverage, 21998,
     /* 1363901 */     GIR_EraseRootFromParent_Done,
     /* 1363902 */   // Label 19408: @1363902
     /* 1363902 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1363986), // Rule ID 21999 //
     /* 1363907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1363963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363985 */     // GIR_Coverage, 21999,
     /* 1363985 */     GIR_EraseRootFromParent_Done,
     /* 1363986 */   // Label 19409: @1363986
     /* 1363986 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1364070), // Rule ID 22002 //
     /* 1363991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1363999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1364008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1364047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364069 */     // GIR_Coverage, 22002,
     /* 1364069 */     GIR_EraseRootFromParent_Done,
     /* 1364070 */   // Label 19410: @1364070
     /* 1364070 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1364154), // Rule ID 22003 //
     /* 1364075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1364092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1364131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364153 */     // GIR_Coverage, 22003,
     /* 1364153 */     GIR_EraseRootFromParent_Done,
     /* 1364154 */   // Label 19411: @1364154
     /* 1364154 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1364238), // Rule ID 22006 //
     /* 1364159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1364176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1364215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364237 */     // GIR_Coverage, 22006,
     /* 1364237 */     GIR_EraseRootFromParent_Done,
     /* 1364238 */   // Label 19412: @1364238
     /* 1364238 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1364322), // Rule ID 22007 //
     /* 1364243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1364260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1364299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364321 */     // GIR_Coverage, 22007,
     /* 1364321 */     GIR_EraseRootFromParent_Done,
     /* 1364322 */   // Label 19413: @1364322
     /* 1364322 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1364406), // Rule ID 22010 //
     /* 1364327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1364344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1364350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1364383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364405 */     // GIR_Coverage, 22010,
     /* 1364405 */     GIR_EraseRootFromParent_Done,
     /* 1364406 */   // Label 19414: @1364406
     /* 1364406 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1364490), // Rule ID 22011 //
     /* 1364411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1364428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1364434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1364467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364489 */     // GIR_Coverage, 22011,
     /* 1364489 */     GIR_EraseRootFromParent_Done,
     /* 1364490 */   // Label 19415: @1364490
     /* 1364490 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1364574), // Rule ID 22014 //
     /* 1364495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1364512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1364551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364573 */     // GIR_Coverage, 22014,
     /* 1364573 */     GIR_EraseRootFromParent_Done,
     /* 1364574 */   // Label 19416: @1364574
     /* 1364574 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1364658), // Rule ID 22015 //
     /* 1364579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1364596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1364635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364657 */     // GIR_Coverage, 22015,
     /* 1364657 */     GIR_EraseRootFromParent_Done,
     /* 1364658 */   // Label 19417: @1364658
     /* 1364658 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1364742), // Rule ID 22018 //
     /* 1364663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1364680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1364719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364741 */     // GIR_Coverage, 22018,
     /* 1364741 */     GIR_EraseRootFromParent_Done,
     /* 1364742 */   // Label 19418: @1364742
     /* 1364742 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1364826), // Rule ID 22019 //
     /* 1364747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1364764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1364803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364825 */     // GIR_Coverage, 22019,
     /* 1364825 */     GIR_EraseRootFromParent_Done,
     /* 1364826 */   // Label 19419: @1364826
     /* 1364826 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1364910), // Rule ID 22022 //
     /* 1364831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1364887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364909 */     // GIR_Coverage, 22022,
     /* 1364909 */     GIR_EraseRootFromParent_Done,
     /* 1364910 */   // Label 19420: @1364910
     /* 1364910 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1364994), // Rule ID 22023 //
     /* 1364915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1364923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1364971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364993 */     // GIR_Coverage, 22023,
     /* 1364993 */     GIR_EraseRootFromParent_Done,
     /* 1364994 */   // Label 19421: @1364994
     /* 1364994 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1365078), // Rule ID 22026 //
     /* 1364999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1365016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1365055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365077 */     // GIR_Coverage, 22026,
     /* 1365077 */     GIR_EraseRootFromParent_Done,
     /* 1365078 */   // Label 19422: @1365078
     /* 1365078 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1365162), // Rule ID 22027 //
     /* 1365083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1365100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1365139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365161 */     // GIR_Coverage, 22027,
     /* 1365161 */     GIR_EraseRootFromParent_Done,
     /* 1365162 */   // Label 19423: @1365162
     /* 1365162 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1365246), // Rule ID 22030 //
     /* 1365167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1365184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1365223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365245 */     // GIR_Coverage, 22030,
     /* 1365245 */     GIR_EraseRootFromParent_Done,
     /* 1365246 */   // Label 19424: @1365246
     /* 1365246 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1365330), // Rule ID 22031 //
     /* 1365251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1365268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1365307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365329 */     // GIR_Coverage, 22031,
     /* 1365329 */     GIR_EraseRootFromParent_Done,
     /* 1365330 */   // Label 19425: @1365330
     /* 1365330 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1365414), // Rule ID 22034 //
     /* 1365335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1365352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1365391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365413 */     // GIR_Coverage, 22034,
     /* 1365413 */     GIR_EraseRootFromParent_Done,
     /* 1365414 */   // Label 19426: @1365414
     /* 1365414 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1365498), // Rule ID 22035 //
     /* 1365419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1365436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1365475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365497 */     // GIR_Coverage, 22035,
     /* 1365497 */     GIR_EraseRootFromParent_Done,
     /* 1365498 */   // Label 19427: @1365498
     /* 1365498 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1365582), // Rule ID 22038 //
     /* 1365503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1365520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1365559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365581 */     // GIR_Coverage, 22038,
     /* 1365581 */     GIR_EraseRootFromParent_Done,
     /* 1365582 */   // Label 19428: @1365582
     /* 1365582 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1365666), // Rule ID 22039 //
     /* 1365587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1365604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1365643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365665 */     // GIR_Coverage, 22039,
     /* 1365665 */     GIR_EraseRootFromParent_Done,
     /* 1365666 */   // Label 19429: @1365666
     /* 1365666 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1365750), // Rule ID 22042 //
     /* 1365671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1365727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365749 */     // GIR_Coverage, 22042,
     /* 1365749 */     GIR_EraseRootFromParent_Done,
     /* 1365750 */   // Label 19430: @1365750
     /* 1365750 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1365834), // Rule ID 22043 //
     /* 1365755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1365811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365833 */     // GIR_Coverage, 22043,
     /* 1365833 */     GIR_EraseRootFromParent_Done,
     /* 1365834 */   // Label 19431: @1365834
     /* 1365834 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1365918), // Rule ID 22046 //
     /* 1365839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1365895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365917 */     // GIR_Coverage, 22046,
     /* 1365917 */     GIR_EraseRootFromParent_Done,
     /* 1365918 */   // Label 19432: @1365918
     /* 1365918 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1366002), // Rule ID 22047 //
     /* 1365923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1365931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1365979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366001 */     // GIR_Coverage, 22047,
     /* 1366001 */     GIR_EraseRootFromParent_Done,
     /* 1366002 */   // Label 19433: @1366002
     /* 1366002 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1366086), // Rule ID 22050 //
     /* 1366007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1366024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1366063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366085 */     // GIR_Coverage, 22050,
     /* 1366085 */     GIR_EraseRootFromParent_Done,
     /* 1366086 */   // Label 19434: @1366086
     /* 1366086 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1366170), // Rule ID 22051 //
     /* 1366091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1366108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1366147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366169 */     // GIR_Coverage, 22051,
     /* 1366169 */     GIR_EraseRootFromParent_Done,
     /* 1366170 */   // Label 19435: @1366170
     /* 1366170 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1366254), // Rule ID 22054 //
     /* 1366175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1366192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1366231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366253 */     // GIR_Coverage, 22054,
     /* 1366253 */     GIR_EraseRootFromParent_Done,
     /* 1366254 */   // Label 19436: @1366254
     /* 1366254 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1366338), // Rule ID 22055 //
     /* 1366259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1366276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1366315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366337 */     // GIR_Coverage, 22055,
     /* 1366337 */     GIR_EraseRootFromParent_Done,
     /* 1366338 */   // Label 19437: @1366338
     /* 1366338 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1366422), // Rule ID 22058 //
     /* 1366343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1366360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1366399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366421 */     // GIR_Coverage, 22058,
     /* 1366421 */     GIR_EraseRootFromParent_Done,
     /* 1366422 */   // Label 19438: @1366422
     /* 1366422 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1366506), // Rule ID 22059 //
     /* 1366427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1366444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366480 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1366483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366505 */     // GIR_Coverage, 22059,
     /* 1366505 */     GIR_EraseRootFromParent_Done,
     /* 1366506 */   // Label 19439: @1366506
     /* 1366506 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1366590), // Rule ID 22062 //
     /* 1366511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1366528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1366567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366589 */     // GIR_Coverage, 22062,
     /* 1366589 */     GIR_EraseRootFromParent_Done,
     /* 1366590 */   // Label 19440: @1366590
     /* 1366590 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1366674), // Rule ID 22063 //
     /* 1366595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1366612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1366651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366673 */     // GIR_Coverage, 22063,
     /* 1366673 */     GIR_EraseRootFromParent_Done,
     /* 1366674 */   // Label 19441: @1366674
     /* 1366674 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1366758), // Rule ID 22066 //
     /* 1366679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1366735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366757 */     // GIR_Coverage, 22066,
     /* 1366757 */     GIR_EraseRootFromParent_Done,
     /* 1366758 */   // Label 19442: @1366758
     /* 1366758 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1366842), // Rule ID 22067 //
     /* 1366763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1366819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366841 */     // GIR_Coverage, 22067,
     /* 1366841 */     GIR_EraseRootFromParent_Done,
     /* 1366842 */   // Label 19443: @1366842
     /* 1366842 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1366926), // Rule ID 22070 //
     /* 1366847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1366903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366925 */     // GIR_Coverage, 22070,
     /* 1366925 */     GIR_EraseRootFromParent_Done,
     /* 1366926 */   // Label 19444: @1366926
     /* 1366926 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1367010), // Rule ID 22071 //
     /* 1366931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1366939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1366987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367009 */     // GIR_Coverage, 22071,
     /* 1367009 */     GIR_EraseRootFromParent_Done,
     /* 1367010 */   // Label 19445: @1367010
     /* 1367010 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1367094), // Rule ID 22074 //
     /* 1367015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1367032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1367071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367093 */     // GIR_Coverage, 22074,
     /* 1367093 */     GIR_EraseRootFromParent_Done,
     /* 1367094 */   // Label 19446: @1367094
     /* 1367094 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1367178), // Rule ID 22075 //
     /* 1367099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1367116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1367155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367177 */     // GIR_Coverage, 22075,
     /* 1367177 */     GIR_EraseRootFromParent_Done,
     /* 1367178 */   // Label 19447: @1367178
     /* 1367178 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1367262), // Rule ID 22078 //
     /* 1367183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1367200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1367239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367261 */     // GIR_Coverage, 22078,
     /* 1367261 */     GIR_EraseRootFromParent_Done,
     /* 1367262 */   // Label 19448: @1367262
     /* 1367262 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1367346), // Rule ID 22079 //
     /* 1367267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1367284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1367323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367345 */     // GIR_Coverage, 22079,
     /* 1367345 */     GIR_EraseRootFromParent_Done,
     /* 1367346 */   // Label 19449: @1367346
     /* 1367346 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1367430), // Rule ID 22082 //
     /* 1367351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1367368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1367407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367429 */     // GIR_Coverage, 22082,
     /* 1367429 */     GIR_EraseRootFromParent_Done,
     /* 1367430 */   // Label 19450: @1367430
     /* 1367430 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1367514), // Rule ID 22083 //
     /* 1367435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1367452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1367491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367513 */     // GIR_Coverage, 22083,
     /* 1367513 */     GIR_EraseRootFromParent_Done,
     /* 1367514 */   // Label 19451: @1367514
     /* 1367514 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1367598), // Rule ID 22086 //
     /* 1367519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1367536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1367575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367597 */     // GIR_Coverage, 22086,
     /* 1367597 */     GIR_EraseRootFromParent_Done,
     /* 1367598 */   // Label 19452: @1367598
     /* 1367598 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1367682), // Rule ID 22087 //
     /* 1367603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1367620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1367659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367681 */     // GIR_Coverage, 22087,
     /* 1367681 */     GIR_EraseRootFromParent_Done,
     /* 1367682 */   // Label 19453: @1367682
     /* 1367682 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1367766), // Rule ID 22090 //
     /* 1367687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1367743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367765 */     // GIR_Coverage, 22090,
     /* 1367765 */     GIR_EraseRootFromParent_Done,
     /* 1367766 */   // Label 19454: @1367766
     /* 1367766 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1367850), // Rule ID 22091 //
     /* 1367771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1367827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367849 */     // GIR_Coverage, 22091,
     /* 1367849 */     GIR_EraseRootFromParent_Done,
     /* 1367850 */   // Label 19455: @1367850
     /* 1367850 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1367934), // Rule ID 22094 //
     /* 1367855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1367911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367933 */     // GIR_Coverage, 22094,
     /* 1367933 */     GIR_EraseRootFromParent_Done,
     /* 1367934 */   // Label 19456: @1367934
     /* 1367934 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1368018), // Rule ID 22095 //
     /* 1367939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1367947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1367995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368017 */     // GIR_Coverage, 22095,
     /* 1368017 */     GIR_EraseRootFromParent_Done,
     /* 1368018 */   // Label 19457: @1368018
     /* 1368018 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1368102), // Rule ID 22098 //
     /* 1368023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1368040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1368046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1368079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368101 */     // GIR_Coverage, 22098,
     /* 1368101 */     GIR_EraseRootFromParent_Done,
     /* 1368102 */   // Label 19458: @1368102
     /* 1368102 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1368186), // Rule ID 22099 //
     /* 1368107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1368124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1368130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368160 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1368163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368185 */     // GIR_Coverage, 22099,
     /* 1368185 */     GIR_EraseRootFromParent_Done,
     /* 1368186 */   // Label 19459: @1368186
     /* 1368186 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1368270), // Rule ID 22102 //
     /* 1368191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1368208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1368247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368269 */     // GIR_Coverage, 22102,
     /* 1368269 */     GIR_EraseRootFromParent_Done,
     /* 1368270 */   // Label 19460: @1368270
     /* 1368270 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1368354), // Rule ID 22103 //
     /* 1368275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1368292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1368331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368353 */     // GIR_Coverage, 22103,
     /* 1368353 */     GIR_EraseRootFromParent_Done,
     /* 1368354 */   // Label 19461: @1368354
     /* 1368354 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1368438), // Rule ID 22106 //
     /* 1368359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1368376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1368415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368437 */     // GIR_Coverage, 22106,
     /* 1368437 */     GIR_EraseRootFromParent_Done,
     /* 1368438 */   // Label 19462: @1368438
     /* 1368438 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1368522), // Rule ID 22107 //
     /* 1368443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1368460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1368499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368521 */     // GIR_Coverage, 22107,
     /* 1368521 */     GIR_EraseRootFromParent_Done,
     /* 1368522 */   // Label 19463: @1368522
     /* 1368522 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1368606), // Rule ID 22110 //
     /* 1368527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1368544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1368583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368605 */     // GIR_Coverage, 22110,
     /* 1368605 */     GIR_EraseRootFromParent_Done,
     /* 1368606 */   // Label 19464: @1368606
     /* 1368606 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1368690), // Rule ID 22111 //
     /* 1368611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1368628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1368667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368689 */     // GIR_Coverage, 22111,
     /* 1368689 */     GIR_EraseRootFromParent_Done,
     /* 1368690 */   // Label 19465: @1368690
     /* 1368690 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1368774), // Rule ID 22114 //
     /* 1368695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1368751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368773 */     // GIR_Coverage, 22114,
     /* 1368773 */     GIR_EraseRootFromParent_Done,
     /* 1368774 */   // Label 19466: @1368774
     /* 1368774 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1368858), // Rule ID 22115 //
     /* 1368779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1368835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368857 */     // GIR_Coverage, 22115,
     /* 1368857 */     GIR_EraseRootFromParent_Done,
     /* 1368858 */   // Label 19467: @1368858
     /* 1368858 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1368942), // Rule ID 22118 //
     /* 1368863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1368919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368941 */     // GIR_Coverage, 22118,
     /* 1368941 */     GIR_EraseRootFromParent_Done,
     /* 1368942 */   // Label 19468: @1368942
     /* 1368942 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1369026), // Rule ID 22119 //
     /* 1368947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1368955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1369003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369025 */     // GIR_Coverage, 22119,
     /* 1369025 */     GIR_EraseRootFromParent_Done,
     /* 1369026 */   // Label 19469: @1369026
     /* 1369026 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1369110), // Rule ID 22122 //
     /* 1369031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1369048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1369087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369109 */     // GIR_Coverage, 22122,
     /* 1369109 */     GIR_EraseRootFromParent_Done,
     /* 1369110 */   // Label 19470: @1369110
     /* 1369110 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1369194), // Rule ID 22123 //
     /* 1369115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1369132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1369171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369193 */     // GIR_Coverage, 22123,
     /* 1369193 */     GIR_EraseRootFromParent_Done,
     /* 1369194 */   // Label 19471: @1369194
     /* 1369194 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1369278), // Rule ID 22126 //
     /* 1369199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1369216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1369255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369277 */     // GIR_Coverage, 22126,
     /* 1369277 */     GIR_EraseRootFromParent_Done,
     /* 1369278 */   // Label 19472: @1369278
     /* 1369278 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1369362), // Rule ID 22127 //
     /* 1369283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1369300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1369339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369361 */     // GIR_Coverage, 22127,
     /* 1369361 */     GIR_EraseRootFromParent_Done,
     /* 1369362 */   // Label 19473: @1369362
     /* 1369362 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1369446), // Rule ID 22130 //
     /* 1369367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1369384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369420 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1369423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369445 */     // GIR_Coverage, 22130,
     /* 1369445 */     GIR_EraseRootFromParent_Done,
     /* 1369446 */   // Label 19474: @1369446
     /* 1369446 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1369530), // Rule ID 22131 //
     /* 1369451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1369468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1369507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369529 */     // GIR_Coverage, 22131,
     /* 1369529 */     GIR_EraseRootFromParent_Done,
     /* 1369530 */   // Label 19475: @1369530
     /* 1369530 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1369614), // Rule ID 22134 //
     /* 1369535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1369552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1369591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369613 */     // GIR_Coverage, 22134,
     /* 1369613 */     GIR_EraseRootFromParent_Done,
     /* 1369614 */   // Label 19476: @1369614
     /* 1369614 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1369698), // Rule ID 22135 //
     /* 1369619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1369627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1369636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1369675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369697 */     // GIR_Coverage, 22135,
     /* 1369697 */     GIR_EraseRootFromParent_Done,
     /* 1369698 */   // Label 19477: @1369698
     /* 1369698 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1369782), // Rule ID 22138 //
     /* 1369703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1369759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369781 */     // GIR_Coverage, 22138,
     /* 1369781 */     GIR_EraseRootFromParent_Done,
     /* 1369782 */   // Label 19478: @1369782
     /* 1369782 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1369866), // Rule ID 22139 //
     /* 1369787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1369843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369865 */     // GIR_Coverage, 22139,
     /* 1369865 */     GIR_EraseRootFromParent_Done,
     /* 1369866 */   // Label 19479: @1369866
     /* 1369866 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1369950), // Rule ID 22142 //
     /* 1369871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1369927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369949 */     // GIR_Coverage, 22142,
     /* 1369949 */     GIR_EraseRootFromParent_Done,
     /* 1369950 */   // Label 19480: @1369950
     /* 1369950 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1370034), // Rule ID 22143 //
     /* 1369955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1369963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1370011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370033 */     // GIR_Coverage, 22143,
     /* 1370033 */     GIR_EraseRootFromParent_Done,
     /* 1370034 */   // Label 19481: @1370034
     /* 1370034 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1370118), // Rule ID 22146 //
     /* 1370039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1370056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1370095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370117 */     // GIR_Coverage, 22146,
     /* 1370117 */     GIR_EraseRootFromParent_Done,
     /* 1370118 */   // Label 19482: @1370118
     /* 1370118 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1370202), // Rule ID 22147 //
     /* 1370123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1370140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1370179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370201 */     // GIR_Coverage, 22147,
     /* 1370201 */     GIR_EraseRootFromParent_Done,
     /* 1370202 */   // Label 19483: @1370202
     /* 1370202 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1370286), // Rule ID 22150 //
     /* 1370207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1370224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1370263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370285 */     // GIR_Coverage, 22150,
     /* 1370285 */     GIR_EraseRootFromParent_Done,
     /* 1370286 */   // Label 19484: @1370286
     /* 1370286 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1370370), // Rule ID 22151 //
     /* 1370291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1370308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1370347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370369 */     // GIR_Coverage, 22151,
     /* 1370369 */     GIR_EraseRootFromParent_Done,
     /* 1370370 */   // Label 19485: @1370370
     /* 1370370 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1370454), // Rule ID 22154 //
     /* 1370375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1370392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1370431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370453 */     // GIR_Coverage, 22154,
     /* 1370453 */     GIR_EraseRootFromParent_Done,
     /* 1370454 */   // Label 19486: @1370454
     /* 1370454 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1370538), // Rule ID 22155 //
     /* 1370459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1370476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1370515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370537 */     // GIR_Coverage, 22155,
     /* 1370537 */     GIR_EraseRootFromParent_Done,
     /* 1370538 */   // Label 19487: @1370538
     /* 1370538 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1370622), // Rule ID 22158 //
     /* 1370543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1370560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1370599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370621 */     // GIR_Coverage, 22158,
     /* 1370621 */     GIR_EraseRootFromParent_Done,
     /* 1370622 */   // Label 19488: @1370622
     /* 1370622 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1370706), // Rule ID 22159 //
     /* 1370627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1370644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1370683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370705 */     // GIR_Coverage, 22159,
     /* 1370705 */     GIR_EraseRootFromParent_Done,
     /* 1370706 */   // Label 19489: @1370706
     /* 1370706 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1370790), // Rule ID 22162 //
     /* 1370711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1370767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370789 */     // GIR_Coverage, 22162,
     /* 1370789 */     GIR_EraseRootFromParent_Done,
     /* 1370790 */   // Label 19490: @1370790
     /* 1370790 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1370874), // Rule ID 22163 //
     /* 1370795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1370851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370873 */     // GIR_Coverage, 22163,
     /* 1370873 */     GIR_EraseRootFromParent_Done,
     /* 1370874 */   // Label 19491: @1370874
     /* 1370874 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1370958), // Rule ID 22166 //
     /* 1370879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1370935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370957 */     // GIR_Coverage, 22166,
     /* 1370957 */     GIR_EraseRootFromParent_Done,
     /* 1370958 */   // Label 19492: @1370958
     /* 1370958 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1371042), // Rule ID 22167 //
     /* 1370963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1370971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1371019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371041 */     // GIR_Coverage, 22167,
     /* 1371041 */     GIR_EraseRootFromParent_Done,
     /* 1371042 */   // Label 19493: @1371042
     /* 1371042 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1371126), // Rule ID 22170 //
     /* 1371047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1371064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1371103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371125 */     // GIR_Coverage, 22170,
     /* 1371125 */     GIR_EraseRootFromParent_Done,
     /* 1371126 */   // Label 19494: @1371126
     /* 1371126 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1371210), // Rule ID 22171 //
     /* 1371131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1371148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1371187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371209 */     // GIR_Coverage, 22171,
     /* 1371209 */     GIR_EraseRootFromParent_Done,
     /* 1371210 */   // Label 19495: @1371210
     /* 1371210 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1371294), // Rule ID 22174 //
     /* 1371215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1371232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1371271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371293 */     // GIR_Coverage, 22174,
     /* 1371293 */     GIR_EraseRootFromParent_Done,
     /* 1371294 */   // Label 19496: @1371294
     /* 1371294 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1371378), // Rule ID 22175 //
     /* 1371299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1371316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1371355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371377 */     // GIR_Coverage, 22175,
     /* 1371377 */     GIR_EraseRootFromParent_Done,
     /* 1371378 */   // Label 19497: @1371378
     /* 1371378 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1371462), // Rule ID 22178 //
     /* 1371383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1371400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1371439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371461 */     // GIR_Coverage, 22178,
     /* 1371461 */     GIR_EraseRootFromParent_Done,
     /* 1371462 */   // Label 19498: @1371462
     /* 1371462 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1371546), // Rule ID 22179 //
     /* 1371467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1371484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1371523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371545 */     // GIR_Coverage, 22179,
     /* 1371545 */     GIR_EraseRootFromParent_Done,
     /* 1371546 */   // Label 19499: @1371546
     /* 1371546 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1371630), // Rule ID 22182 //
     /* 1371551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1371568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1371607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371629 */     // GIR_Coverage, 22182,
     /* 1371629 */     GIR_EraseRootFromParent_Done,
     /* 1371630 */   // Label 19500: @1371630
     /* 1371630 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1371714), // Rule ID 22183 //
     /* 1371635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1371652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1371691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371713 */     // GIR_Coverage, 22183,
     /* 1371713 */     GIR_EraseRootFromParent_Done,
     /* 1371714 */   // Label 19501: @1371714
     /* 1371714 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1371798), // Rule ID 22186 //
     /* 1371719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1371775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371797 */     // GIR_Coverage, 22186,
     /* 1371797 */     GIR_EraseRootFromParent_Done,
     /* 1371798 */   // Label 19502: @1371798
     /* 1371798 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1371882), // Rule ID 22187 //
     /* 1371803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1371859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371881 */     // GIR_Coverage, 22187,
     /* 1371881 */     GIR_EraseRootFromParent_Done,
     /* 1371882 */   // Label 19503: @1371882
     /* 1371882 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1371966), // Rule ID 22190 //
     /* 1371887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1371943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371965 */     // GIR_Coverage, 22190,
     /* 1371965 */     GIR_EraseRootFromParent_Done,
     /* 1371966 */   // Label 19504: @1371966
     /* 1371966 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1372050), // Rule ID 22191 //
     /* 1371971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1371979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1372027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372049 */     // GIR_Coverage, 22191,
     /* 1372049 */     GIR_EraseRootFromParent_Done,
     /* 1372050 */   // Label 19505: @1372050
     /* 1372050 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1372134), // Rule ID 22194 //
     /* 1372055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1372072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1372111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372133 */     // GIR_Coverage, 22194,
     /* 1372133 */     GIR_EraseRootFromParent_Done,
     /* 1372134 */   // Label 19506: @1372134
     /* 1372134 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1372218), // Rule ID 22195 //
     /* 1372139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1372156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1372195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372217 */     // GIR_Coverage, 22195,
     /* 1372217 */     GIR_EraseRootFromParent_Done,
     /* 1372218 */   // Label 19507: @1372218
     /* 1372218 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1372302), // Rule ID 22198 //
     /* 1372223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1372240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1372246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1372279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372301 */     // GIR_Coverage, 22198,
     /* 1372301 */     GIR_EraseRootFromParent_Done,
     /* 1372302 */   // Label 19508: @1372302
     /* 1372302 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1372386), // Rule ID 22199 //
     /* 1372307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1372324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1372330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1372363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372385 */     // GIR_Coverage, 22199,
     /* 1372385 */     GIR_EraseRootFromParent_Done,
     /* 1372386 */   // Label 19509: @1372386
     /* 1372386 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1372470), // Rule ID 22202 //
     /* 1372391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1372408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1372447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372469 */     // GIR_Coverage, 22202,
     /* 1372469 */     GIR_EraseRootFromParent_Done,
     /* 1372470 */   // Label 19510: @1372470
     /* 1372470 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1372554), // Rule ID 22203 //
     /* 1372475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1372492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1372531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372553 */     // GIR_Coverage, 22203,
     /* 1372553 */     GIR_EraseRootFromParent_Done,
     /* 1372554 */   // Label 19511: @1372554
     /* 1372554 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1372638), // Rule ID 22206 //
     /* 1372559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1372615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372637 */     // GIR_Coverage, 22206,
     /* 1372637 */     GIR_EraseRootFromParent_Done,
     /* 1372638 */   // Label 19512: @1372638
     /* 1372638 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1372722), // Rule ID 22207 //
     /* 1372643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1372699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372721 */     // GIR_Coverage, 22207,
     /* 1372721 */     GIR_EraseRootFromParent_Done,
     /* 1372722 */   // Label 19513: @1372722
     /* 1372722 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1372806), // Rule ID 22210 //
     /* 1372727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1372783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372805 */     // GIR_Coverage, 22210,
     /* 1372805 */     GIR_EraseRootFromParent_Done,
     /* 1372806 */   // Label 19514: @1372806
     /* 1372806 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1372890), // Rule ID 22211 //
     /* 1372811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1372867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372889 */     // GIR_Coverage, 22211,
     /* 1372889 */     GIR_EraseRootFromParent_Done,
     /* 1372890 */   // Label 19515: @1372890
     /* 1372890 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1372974), // Rule ID 22214 //
     /* 1372895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1372951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372973 */     // GIR_Coverage, 22214,
     /* 1372973 */     GIR_EraseRootFromParent_Done,
     /* 1372974 */   // Label 19516: @1372974
     /* 1372974 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1373058), // Rule ID 22215 //
     /* 1372979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1372987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1373035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373057 */     // GIR_Coverage, 22215,
     /* 1373057 */     GIR_EraseRootFromParent_Done,
     /* 1373058 */   // Label 19517: @1373058
     /* 1373058 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1373142), // Rule ID 22218 //
     /* 1373063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1373080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1373119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373141 */     // GIR_Coverage, 22218,
     /* 1373141 */     GIR_EraseRootFromParent_Done,
     /* 1373142 */   // Label 19518: @1373142
     /* 1373142 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1373226), // Rule ID 22219 //
     /* 1373147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1373164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1373203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373225 */     // GIR_Coverage, 22219,
     /* 1373225 */     GIR_EraseRootFromParent_Done,
     /* 1373226 */   // Label 19519: @1373226
     /* 1373226 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1373310), // Rule ID 22222 //
     /* 1373231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1373248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1373287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373309 */     // GIR_Coverage, 22222,
     /* 1373309 */     GIR_EraseRootFromParent_Done,
     /* 1373310 */   // Label 19520: @1373310
     /* 1373310 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1373394), // Rule ID 22223 //
     /* 1373315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1373323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1373332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1373371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373393 */     // GIR_Coverage, 22223,
     /* 1373393 */     GIR_EraseRootFromParent_Done,
     /* 1373394 */   // Label 19521: @1373394
     /* 1373394 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1373478), // Rule ID 22226 //
     /* 1373399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1373416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1373455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373477 */     // GIR_Coverage, 22226,
     /* 1373477 */     GIR_EraseRootFromParent_Done,
     /* 1373478 */   // Label 19522: @1373478
     /* 1373478 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1373562), // Rule ID 22227 //
     /* 1373483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1373500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1373539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373561 */     // GIR_Coverage, 22227,
     /* 1373561 */     GIR_EraseRootFromParent_Done,
     /* 1373562 */   // Label 19523: @1373562
     /* 1373562 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1373646), // Rule ID 22230 //
     /* 1373567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1373584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1373623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373645 */     // GIR_Coverage, 22230,
     /* 1373645 */     GIR_EraseRootFromParent_Done,
     /* 1373646 */   // Label 19524: @1373646
     /* 1373646 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1373730), // Rule ID 22231 //
     /* 1373651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1373668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1373707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373729 */     // GIR_Coverage, 22231,
     /* 1373729 */     GIR_EraseRootFromParent_Done,
     /* 1373730 */   // Label 19525: @1373730
     /* 1373730 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1373814), // Rule ID 22234 //
     /* 1373735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1373791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373813 */     // GIR_Coverage, 22234,
     /* 1373813 */     GIR_EraseRootFromParent_Done,
     /* 1373814 */   // Label 19526: @1373814
     /* 1373814 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1373898), // Rule ID 22235 //
     /* 1373819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1373875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373897 */     // GIR_Coverage, 22235,
     /* 1373897 */     GIR_EraseRootFromParent_Done,
     /* 1373898 */   // Label 19527: @1373898
     /* 1373898 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1373982), // Rule ID 22238 //
     /* 1373903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1373959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373981 */     // GIR_Coverage, 22238,
     /* 1373981 */     GIR_EraseRootFromParent_Done,
     /* 1373982 */   // Label 19528: @1373982
     /* 1373982 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1374066), // Rule ID 22239 //
     /* 1373987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1373995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1374004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1374043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374065 */     // GIR_Coverage, 22239,
     /* 1374065 */     GIR_EraseRootFromParent_Done,
     /* 1374066 */   // Label 19529: @1374066
     /* 1374066 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1374150), // Rule ID 22242 //
     /* 1374071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1374088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1374127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374149 */     // GIR_Coverage, 22242,
     /* 1374149 */     GIR_EraseRootFromParent_Done,
     /* 1374150 */   // Label 19530: @1374150
     /* 1374150 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1374234), // Rule ID 22243 //
     /* 1374155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1374172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1374211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374233 */     // GIR_Coverage, 22243,
     /* 1374233 */     GIR_EraseRootFromParent_Done,
     /* 1374234 */   // Label 19531: @1374234
     /* 1374234 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1374318), // Rule ID 22246 //
     /* 1374239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1374256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1374295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374317 */     // GIR_Coverage, 22246,
     /* 1374317 */     GIR_EraseRootFromParent_Done,
     /* 1374318 */   // Label 19532: @1374318
     /* 1374318 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1374402), // Rule ID 22247 //
     /* 1374323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1374340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1374379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374401 */     // GIR_Coverage, 22247,
     /* 1374401 */     GIR_EraseRootFromParent_Done,
     /* 1374402 */   // Label 19533: @1374402
     /* 1374402 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1374486), // Rule ID 22250 //
     /* 1374407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1374424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1374463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374485 */     // GIR_Coverage, 22250,
     /* 1374485 */     GIR_EraseRootFromParent_Done,
     /* 1374486 */   // Label 19534: @1374486
     /* 1374486 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1374570), // Rule ID 22251 //
     /* 1374491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1374508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1374547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374569 */     // GIR_Coverage, 22251,
     /* 1374569 */     GIR_EraseRootFromParent_Done,
     /* 1374570 */   // Label 19535: @1374570
     /* 1374570 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1374654), // Rule ID 22254 //
     /* 1374575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1374592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1374631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374653 */     // GIR_Coverage, 22254,
     /* 1374653 */     GIR_EraseRootFromParent_Done,
     /* 1374654 */   // Label 19536: @1374654
     /* 1374654 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1374738), // Rule ID 22255 //
     /* 1374659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1374676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1374715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374737 */     // GIR_Coverage, 22255,
     /* 1374737 */     GIR_EraseRootFromParent_Done,
     /* 1374738 */   // Label 19537: @1374738
     /* 1374738 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1374822), // Rule ID 22258 //
     /* 1374743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1374799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374821 */     // GIR_Coverage, 22258,
     /* 1374821 */     GIR_EraseRootFromParent_Done,
     /* 1374822 */   // Label 19538: @1374822
     /* 1374822 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1374906), // Rule ID 22259 //
     /* 1374827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1374883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374905 */     // GIR_Coverage, 22259,
     /* 1374905 */     GIR_EraseRootFromParent_Done,
     /* 1374906 */   // Label 19539: @1374906
     /* 1374906 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1374990), // Rule ID 22262 //
     /* 1374911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1374919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1374967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374989 */     // GIR_Coverage, 22262,
     /* 1374989 */     GIR_EraseRootFromParent_Done,
     /* 1374990 */   // Label 19540: @1374990
     /* 1374990 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1375074), // Rule ID 22263 //
     /* 1374995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1375012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1375051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375073 */     // GIR_Coverage, 22263,
     /* 1375073 */     GIR_EraseRootFromParent_Done,
     /* 1375074 */   // Label 19541: @1375074
     /* 1375074 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1375158), // Rule ID 22266 //
     /* 1375079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1375096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1375135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375157 */     // GIR_Coverage, 22266,
     /* 1375157 */     GIR_EraseRootFromParent_Done,
     /* 1375158 */   // Label 19542: @1375158
     /* 1375158 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1375242), // Rule ID 22267 //
     /* 1375163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1375180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1375219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375241 */     // GIR_Coverage, 22267,
     /* 1375241 */     GIR_EraseRootFromParent_Done,
     /* 1375242 */   // Label 19543: @1375242
     /* 1375242 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1375326), // Rule ID 22270 //
     /* 1375247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1375264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1375303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375325 */     // GIR_Coverage, 22270,
     /* 1375325 */     GIR_EraseRootFromParent_Done,
     /* 1375326 */   // Label 19544: @1375326
     /* 1375326 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1375410), // Rule ID 22271 //
     /* 1375331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1375348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1375387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375409 */     // GIR_Coverage, 22271,
     /* 1375409 */     GIR_EraseRootFromParent_Done,
     /* 1375410 */   // Label 19545: @1375410
     /* 1375410 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1375494), // Rule ID 22274 //
     /* 1375415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1375432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1375438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1375471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375493 */     // GIR_Coverage, 22274,
     /* 1375493 */     GIR_EraseRootFromParent_Done,
     /* 1375494 */   // Label 19546: @1375494
     /* 1375494 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1375578), // Rule ID 22275 //
     /* 1375499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1375516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1375522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1375555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375577 */     // GIR_Coverage, 22275,
     /* 1375577 */     GIR_EraseRootFromParent_Done,
     /* 1375578 */   // Label 19547: @1375578
     /* 1375578 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1375662), // Rule ID 22278 //
     /* 1375583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1375600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1375639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375661 */     // GIR_Coverage, 22278,
     /* 1375661 */     GIR_EraseRootFromParent_Done,
     /* 1375662 */   // Label 19548: @1375662
     /* 1375662 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1375746), // Rule ID 22279 //
     /* 1375667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1375684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1375723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375745 */     // GIR_Coverage, 22279,
     /* 1375745 */     GIR_EraseRootFromParent_Done,
     /* 1375746 */   // Label 19549: @1375746
     /* 1375746 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1375830), // Rule ID 22282 //
     /* 1375751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1375807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375829 */     // GIR_Coverage, 22282,
     /* 1375829 */     GIR_EraseRootFromParent_Done,
     /* 1375830 */   // Label 19550: @1375830
     /* 1375830 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1375914), // Rule ID 22283 //
     /* 1375835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1375891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375913 */     // GIR_Coverage, 22283,
     /* 1375913 */     GIR_EraseRootFromParent_Done,
     /* 1375914 */   // Label 19551: @1375914
     /* 1375914 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1375998), // Rule ID 22286 //
     /* 1375919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1375927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1375975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375997 */     // GIR_Coverage, 22286,
     /* 1375997 */     GIR_EraseRootFromParent_Done,
     /* 1375998 */   // Label 19552: @1375998
     /* 1375998 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1376082), // Rule ID 22287 //
     /* 1376003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1376020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1376026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1376059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376081 */     // GIR_Coverage, 22287,
     /* 1376081 */     GIR_EraseRootFromParent_Done,
     /* 1376082 */   // Label 19553: @1376082
     /* 1376082 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1376166), // Rule ID 22290 //
     /* 1376087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1376104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1376143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376165 */     // GIR_Coverage, 22290,
     /* 1376165 */     GIR_EraseRootFromParent_Done,
     /* 1376166 */   // Label 19554: @1376166
     /* 1376166 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1376250), // Rule ID 22291 //
     /* 1376171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1376188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1376227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376249 */     // GIR_Coverage, 22291,
     /* 1376249 */     GIR_EraseRootFromParent_Done,
     /* 1376250 */   // Label 19555: @1376250
     /* 1376250 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1376334), // Rule ID 22294 //
     /* 1376255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1376272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1376311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376333 */     // GIR_Coverage, 22294,
     /* 1376333 */     GIR_EraseRootFromParent_Done,
     /* 1376334 */   // Label 19556: @1376334
     /* 1376334 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1376418), // Rule ID 22295 //
     /* 1376339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1376356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1376395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376417 */     // GIR_Coverage, 22295,
     /* 1376417 */     GIR_EraseRootFromParent_Done,
     /* 1376418 */   // Label 19557: @1376418
     /* 1376418 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1376502), // Rule ID 22298 //
     /* 1376423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1376440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1376479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376501 */     // GIR_Coverage, 22298,
     /* 1376501 */     GIR_EraseRootFromParent_Done,
     /* 1376502 */   // Label 19558: @1376502
     /* 1376502 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1376586), // Rule ID 22299 //
     /* 1376507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1376524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1376563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376585 */     // GIR_Coverage, 22299,
     /* 1376585 */     GIR_EraseRootFromParent_Done,
     /* 1376586 */   // Label 19559: @1376586
     /* 1376586 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1376670), // Rule ID 22302 //
     /* 1376591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1376608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1376647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376669 */     // GIR_Coverage, 22302,
     /* 1376669 */     GIR_EraseRootFromParent_Done,
     /* 1376670 */   // Label 19560: @1376670
     /* 1376670 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1376754), // Rule ID 22303 //
     /* 1376675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1376692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1376731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376753 */     // GIR_Coverage, 22303,
     /* 1376753 */     GIR_EraseRootFromParent_Done,
     /* 1376754 */   // Label 19561: @1376754
     /* 1376754 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1376838), // Rule ID 22306 //
     /* 1376759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1376815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376837 */     // GIR_Coverage, 22306,
     /* 1376837 */     GIR_EraseRootFromParent_Done,
     /* 1376838 */   // Label 19562: @1376838
     /* 1376838 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1376922), // Rule ID 22307 //
     /* 1376843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1376899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376921 */     // GIR_Coverage, 22307,
     /* 1376921 */     GIR_EraseRootFromParent_Done,
     /* 1376922 */   // Label 19563: @1376922
     /* 1376922 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1377006), // Rule ID 22310 //
     /* 1376927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1376935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1376983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377005 */     // GIR_Coverage, 22310,
     /* 1377005 */     GIR_EraseRootFromParent_Done,
     /* 1377006 */   // Label 19564: @1377006
     /* 1377006 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1377090), // Rule ID 22311 //
     /* 1377011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1377019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1377028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1377067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377089 */     // GIR_Coverage, 22311,
     /* 1377089 */     GIR_EraseRootFromParent_Done,
     /* 1377090 */   // Label 19565: @1377090
     /* 1377090 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1377174), // Rule ID 22314 //
     /* 1377095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1377112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1377151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377173 */     // GIR_Coverage, 22314,
     /* 1377173 */     GIR_EraseRootFromParent_Done,
     /* 1377174 */   // Label 19566: @1377174
     /* 1377174 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1377258), // Rule ID 22315 //
     /* 1377179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1377196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1377235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377257 */     // GIR_Coverage, 22315,
     /* 1377257 */     GIR_EraseRootFromParent_Done,
     /* 1377258 */   // Label 19567: @1377258
     /* 1377258 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1377342), // Rule ID 22318 //
     /* 1377263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1377280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377316 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1377319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377341 */     // GIR_Coverage, 22318,
     /* 1377341 */     GIR_EraseRootFromParent_Done,
     /* 1377342 */   // Label 19568: @1377342
     /* 1377342 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1377426), // Rule ID 22319 //
     /* 1377347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1377364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377400 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1377403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377425 */     // GIR_Coverage, 22319,
     /* 1377425 */     GIR_EraseRootFromParent_Done,
     /* 1377426 */   // Label 19569: @1377426
     /* 1377426 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1377510), // Rule ID 22322 //
     /* 1377431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1377448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377484 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1377487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377509 */     // GIR_Coverage, 22322,
     /* 1377509 */     GIR_EraseRootFromParent_Done,
     /* 1377510 */   // Label 19570: @1377510
     /* 1377510 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1377594), // Rule ID 22323 //
     /* 1377515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1377532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377568 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1377571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377593 */     // GIR_Coverage, 22323,
     /* 1377593 */     GIR_EraseRootFromParent_Done,
     /* 1377594 */   // Label 19571: @1377594
     /* 1377594 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1377678), // Rule ID 22326 //
     /* 1377599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1377616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1377655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377677 */     // GIR_Coverage, 22326,
     /* 1377677 */     GIR_EraseRootFromParent_Done,
     /* 1377678 */   // Label 19572: @1377678
     /* 1377678 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1377762), // Rule ID 22327 //
     /* 1377683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1377700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1377739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377761 */     // GIR_Coverage, 22327,
     /* 1377761 */     GIR_EraseRootFromParent_Done,
     /* 1377762 */   // Label 19573: @1377762
     /* 1377762 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1377846), // Rule ID 22330 //
     /* 1377767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1377823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377845 */     // GIR_Coverage, 22330,
     /* 1377845 */     GIR_EraseRootFromParent_Done,
     /* 1377846 */   // Label 19574: @1377846
     /* 1377846 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1377930), // Rule ID 22331 //
     /* 1377851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1377907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377929 */     // GIR_Coverage, 22331,
     /* 1377929 */     GIR_EraseRootFromParent_Done,
     /* 1377930 */   // Label 19575: @1377930
     /* 1377930 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1378014), // Rule ID 22334 //
     /* 1377935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1377943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1377991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378013 */     // GIR_Coverage, 22334,
     /* 1378013 */     GIR_EraseRootFromParent_Done,
     /* 1378014 */   // Label 19576: @1378014
     /* 1378014 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1378098), // Rule ID 22335 //
     /* 1378019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1378036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1378075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378097 */     // GIR_Coverage, 22335,
     /* 1378097 */     GIR_EraseRootFromParent_Done,
     /* 1378098 */   // Label 19577: @1378098
     /* 1378098 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1378182), // Rule ID 22338 //
     /* 1378103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1378120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1378159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378181 */     // GIR_Coverage, 22338,
     /* 1378181 */     GIR_EraseRootFromParent_Done,
     /* 1378182 */   // Label 19578: @1378182
     /* 1378182 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1378266), // Rule ID 22339 //
     /* 1378187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1378204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1378243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378265 */     // GIR_Coverage, 22339,
     /* 1378265 */     GIR_EraseRootFromParent_Done,
     /* 1378266 */   // Label 19579: @1378266
     /* 1378266 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1378350), // Rule ID 22342 //
     /* 1378271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1378288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1378327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378349 */     // GIR_Coverage, 22342,
     /* 1378349 */     GIR_EraseRootFromParent_Done,
     /* 1378350 */   // Label 19580: @1378350
     /* 1378350 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1378434), // Rule ID 22343 //
     /* 1378355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1378372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1378411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378433 */     // GIR_Coverage, 22343,
     /* 1378433 */     GIR_EraseRootFromParent_Done,
     /* 1378434 */   // Label 19581: @1378434
     /* 1378434 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1378518), // Rule ID 22346 //
     /* 1378439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1378456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1378495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378517 */     // GIR_Coverage, 22346,
     /* 1378517 */     GIR_EraseRootFromParent_Done,
     /* 1378518 */   // Label 19582: @1378518
     /* 1378518 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1378602), // Rule ID 22347 //
     /* 1378523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1378540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1378579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378601 */     // GIR_Coverage, 22347,
     /* 1378601 */     GIR_EraseRootFromParent_Done,
     /* 1378602 */   // Label 19583: @1378602
     /* 1378602 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1378686), // Rule ID 22350 //
     /* 1378607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1378663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378685 */     // GIR_Coverage, 22350,
     /* 1378685 */     GIR_EraseRootFromParent_Done,
     /* 1378686 */   // Label 19584: @1378686
     /* 1378686 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1378770), // Rule ID 22351 //
     /* 1378691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1378747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378769 */     // GIR_Coverage, 22351,
     /* 1378769 */     GIR_EraseRootFromParent_Done,
     /* 1378770 */   // Label 19585: @1378770
     /* 1378770 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1378854), // Rule ID 22354 //
     /* 1378775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1378831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378853 */     // GIR_Coverage, 22354,
     /* 1378853 */     GIR_EraseRootFromParent_Done,
     /* 1378854 */   // Label 19586: @1378854
     /* 1378854 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1378938), // Rule ID 22355 //
     /* 1378859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1378915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378937 */     // GIR_Coverage, 22355,
     /* 1378937 */     GIR_EraseRootFromParent_Done,
     /* 1378938 */   // Label 19587: @1378938
     /* 1378938 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1379022), // Rule ID 22358 //
     /* 1378943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1378951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1378999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379021 */     // GIR_Coverage, 22358,
     /* 1379021 */     GIR_EraseRootFromParent_Done,
     /* 1379022 */   // Label 19588: @1379022
     /* 1379022 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1379106), // Rule ID 22359 //
     /* 1379027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1379044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1379083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379105 */     // GIR_Coverage, 22359,
     /* 1379105 */     GIR_EraseRootFromParent_Done,
     /* 1379106 */   // Label 19589: @1379106
     /* 1379106 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1379190), // Rule ID 22362 //
     /* 1379111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1379128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1379134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1379167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379189 */     // GIR_Coverage, 22362,
     /* 1379189 */     GIR_EraseRootFromParent_Done,
     /* 1379190 */   // Label 19590: @1379190
     /* 1379190 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1379274), // Rule ID 22363 //
     /* 1379195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1379212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1379218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1379251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379273 */     // GIR_Coverage, 22363,
     /* 1379273 */     GIR_EraseRootFromParent_Done,
     /* 1379274 */   // Label 19591: @1379274
     /* 1379274 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1379358), // Rule ID 22366 //
     /* 1379279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1379296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1379335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379357 */     // GIR_Coverage, 22366,
     /* 1379357 */     GIR_EraseRootFromParent_Done,
     /* 1379358 */   // Label 19592: @1379358
     /* 1379358 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1379442), // Rule ID 22367 //
     /* 1379363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1379380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1379419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379441 */     // GIR_Coverage, 22367,
     /* 1379441 */     GIR_EraseRootFromParent_Done,
     /* 1379442 */   // Label 19593: @1379442
     /* 1379442 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1379526), // Rule ID 22370 //
     /* 1379447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1379464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379500 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1379503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379525 */     // GIR_Coverage, 22370,
     /* 1379525 */     GIR_EraseRootFromParent_Done,
     /* 1379526 */   // Label 19594: @1379526
     /* 1379526 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1379610), // Rule ID 22371 //
     /* 1379531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1379548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1379587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379609 */     // GIR_Coverage, 22371,
     /* 1379609 */     GIR_EraseRootFromParent_Done,
     /* 1379610 */   // Label 19595: @1379610
     /* 1379610 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1379694), // Rule ID 22374 //
     /* 1379615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1379632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1379671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379693 */     // GIR_Coverage, 22374,
     /* 1379693 */     GIR_EraseRootFromParent_Done,
     /* 1379694 */   // Label 19596: @1379694
     /* 1379694 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1379778), // Rule ID 22375 //
     /* 1379699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1379716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1379755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379777 */     // GIR_Coverage, 22375,
     /* 1379777 */     GIR_EraseRootFromParent_Done,
     /* 1379778 */   // Label 19597: @1379778
     /* 1379778 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1379862), // Rule ID 22378 //
     /* 1379783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1379839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379861 */     // GIR_Coverage, 22378,
     /* 1379861 */     GIR_EraseRootFromParent_Done,
     /* 1379862 */   // Label 19598: @1379862
     /* 1379862 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1379946), // Rule ID 22379 //
     /* 1379867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379920 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1379923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379945 */     // GIR_Coverage, 22379,
     /* 1379945 */     GIR_EraseRootFromParent_Done,
     /* 1379946 */   // Label 19599: @1379946
     /* 1379946 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1380030), // Rule ID 22382 //
     /* 1379951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1379959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1380007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380029 */     // GIR_Coverage, 22382,
     /* 1380029 */     GIR_EraseRootFromParent_Done,
     /* 1380030 */   // Label 19600: @1380030
     /* 1380030 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1380114), // Rule ID 22383 //
     /* 1380035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1380052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1380091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380113 */     // GIR_Coverage, 22383,
     /* 1380113 */     GIR_EraseRootFromParent_Done,
     /* 1380114 */   // Label 19601: @1380114
     /* 1380114 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1380198), // Rule ID 22386 //
     /* 1380119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1380136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1380175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380197 */     // GIR_Coverage, 22386,
     /* 1380197 */     GIR_EraseRootFromParent_Done,
     /* 1380198 */   // Label 19602: @1380198
     /* 1380198 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1380282), // Rule ID 22387 //
     /* 1380203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1380220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1380259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380281 */     // GIR_Coverage, 22387,
     /* 1380281 */     GIR_EraseRootFromParent_Done,
     /* 1380282 */   // Label 19603: @1380282
     /* 1380282 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1380366), // Rule ID 22390 //
     /* 1380287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1380290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1380304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1380343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380365 */     // GIR_Coverage, 22390,
     /* 1380365 */     GIR_EraseRootFromParent_Done,
     /* 1380366 */   // Label 19604: @1380366
     /* 1380366 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1380450), // Rule ID 22391 //
     /* 1380371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1380388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1380427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380449 */     // GIR_Coverage, 22391,
     /* 1380449 */     GIR_EraseRootFromParent_Done,
     /* 1380450 */   // Label 19605: @1380450
     /* 1380450 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1380534), // Rule ID 22394 //
     /* 1380455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1380458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1380472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1380511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380533 */     // GIR_Coverage, 22394,
     /* 1380533 */     GIR_EraseRootFromParent_Done,
     /* 1380534 */   // Label 19606: @1380534
     /* 1380534 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1380618), // Rule ID 22395 //
     /* 1380539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1380556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1380595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380617 */     // GIR_Coverage, 22395,
     /* 1380617 */     GIR_EraseRootFromParent_Done,
     /* 1380618 */   // Label 19607: @1380618
     /* 1380618 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1380702), // Rule ID 22398 //
     /* 1380623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1380626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1380679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380701 */     // GIR_Coverage, 22398,
     /* 1380701 */     GIR_EraseRootFromParent_Done,
     /* 1380702 */   // Label 19608: @1380702
     /* 1380702 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1380786), // Rule ID 22399 //
     /* 1380707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1380715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1380763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380785 */     // GIR_Coverage, 22399,
     /* 1380785 */     GIR_EraseRootFromParent_Done,
     /* 1380786 */   // Label 19609: @1380786
     /* 1380786 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1380870), // Rule ID 22402 //
     /* 1380791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1380847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380869 */     // GIR_Coverage, 22402,
     /* 1380869 */     GIR_EraseRootFromParent_Done,
     /* 1380870 */   // Label 19610: @1380870
     /* 1380870 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1380954), // Rule ID 22403 //
     /* 1380875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1380931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380953 */     // GIR_Coverage, 22403,
     /* 1380953 */     GIR_EraseRootFromParent_Done,
     /* 1380954 */   // Label 19611: @1380954
     /* 1380954 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1381038), // Rule ID 22406 //
     /* 1380959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1380967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1381015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381037 */     // GIR_Coverage, 22406,
     /* 1381037 */     GIR_EraseRootFromParent_Done,
     /* 1381038 */   // Label 19612: @1381038
     /* 1381038 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1381122), // Rule ID 22407 //
     /* 1381043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1381060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1381099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381121 */     // GIR_Coverage, 22407,
     /* 1381121 */     GIR_EraseRootFromParent_Done,
     /* 1381122 */   // Label 19613: @1381122
     /* 1381122 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1381206), // Rule ID 22410 //
     /* 1381127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1381144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1381183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381205 */     // GIR_Coverage, 22410,
     /* 1381205 */     GIR_EraseRootFromParent_Done,
     /* 1381206 */   // Label 19614: @1381206
     /* 1381206 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1381290), // Rule ID 22411 //
     /* 1381211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1381228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1381267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381289 */     // GIR_Coverage, 22411,
     /* 1381289 */     GIR_EraseRootFromParent_Done,
     /* 1381290 */   // Label 19615: @1381290
     /* 1381290 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1381374), // Rule ID 22414 //
     /* 1381295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1381312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1381351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381373 */     // GIR_Coverage, 22414,
     /* 1381373 */     GIR_EraseRootFromParent_Done,
     /* 1381374 */   // Label 19616: @1381374
     /* 1381374 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1381458), // Rule ID 22415 //
     /* 1381379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1381396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1381435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381457 */     // GIR_Coverage, 22415,
     /* 1381457 */     GIR_EraseRootFromParent_Done,
     /* 1381458 */   // Label 19617: @1381458
     /* 1381458 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1381542), // Rule ID 22418 //
     /* 1381463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1381519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381541 */     // GIR_Coverage, 22418,
     /* 1381541 */     GIR_EraseRootFromParent_Done,
     /* 1381542 */   // Label 19618: @1381542
     /* 1381542 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1381626), // Rule ID 22419 //
     /* 1381547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1381603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381625 */     // GIR_Coverage, 22419,
     /* 1381625 */     GIR_EraseRootFromParent_Done,
     /* 1381626 */   // Label 19619: @1381626
     /* 1381626 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1381710), // Rule ID 22422 //
     /* 1381631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1381687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381709 */     // GIR_Coverage, 22422,
     /* 1381709 */     GIR_EraseRootFromParent_Done,
     /* 1381710 */   // Label 19620: @1381710
     /* 1381710 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1381794), // Rule ID 22423 //
     /* 1381715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1381771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381793 */     // GIR_Coverage, 22423,
     /* 1381793 */     GIR_EraseRootFromParent_Done,
     /* 1381794 */   // Label 19621: @1381794
     /* 1381794 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1381878), // Rule ID 22426 //
     /* 1381799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1381855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381877 */     // GIR_Coverage, 22426,
     /* 1381877 */     GIR_EraseRootFromParent_Done,
     /* 1381878 */   // Label 19622: @1381878
     /* 1381878 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1381962), // Rule ID 22427 //
     /* 1381883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1381939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381961 */     // GIR_Coverage, 22427,
     /* 1381961 */     GIR_EraseRootFromParent_Done,
     /* 1381962 */   // Label 19623: @1381962
     /* 1381962 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1382046), // Rule ID 22430 //
     /* 1381967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1381975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1382023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382045 */     // GIR_Coverage, 22430,
     /* 1382045 */     GIR_EraseRootFromParent_Done,
     /* 1382046 */   // Label 19624: @1382046
     /* 1382046 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1382130), // Rule ID 22431 //
     /* 1382051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1382068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1382107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382129 */     // GIR_Coverage, 22431,
     /* 1382129 */     GIR_EraseRootFromParent_Done,
     /* 1382130 */   // Label 19625: @1382130
     /* 1382130 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1382214), // Rule ID 22434 //
     /* 1382135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1382152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1382191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382213 */     // GIR_Coverage, 22434,
     /* 1382213 */     GIR_EraseRootFromParent_Done,
     /* 1382214 */   // Label 19626: @1382214
     /* 1382214 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1382298), // Rule ID 22435 //
     /* 1382219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1382236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1382275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382297 */     // GIR_Coverage, 22435,
     /* 1382297 */     GIR_EraseRootFromParent_Done,
     /* 1382298 */   // Label 19627: @1382298
     /* 1382298 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1382382), // Rule ID 22438 //
     /* 1382303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1382306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1382320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382356 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1382359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382381 */     // GIR_Coverage, 22438,
     /* 1382381 */     GIR_EraseRootFromParent_Done,
     /* 1382382 */   // Label 19628: @1382382
     /* 1382382 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1382466), // Rule ID 22439 //
     /* 1382387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1382390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1382404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1382443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382465 */     // GIR_Coverage, 22439,
     /* 1382465 */     GIR_EraseRootFromParent_Done,
     /* 1382466 */   // Label 19629: @1382466
     /* 1382466 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1382550), // Rule ID 22442 //
     /* 1382471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1382527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382549 */     // GIR_Coverage, 22442,
     /* 1382549 */     GIR_EraseRootFromParent_Done,
     /* 1382550 */   // Label 19630: @1382550
     /* 1382550 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1382634), // Rule ID 22443 //
     /* 1382555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1382611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382633 */     // GIR_Coverage, 22443,
     /* 1382633 */     GIR_EraseRootFromParent_Done,
     /* 1382634 */   // Label 19631: @1382634
     /* 1382634 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1382718), // Rule ID 22446 //
     /* 1382639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1382695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382717 */     // GIR_Coverage, 22446,
     /* 1382717 */     GIR_EraseRootFromParent_Done,
     /* 1382718 */   // Label 19632: @1382718
     /* 1382718 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1382802), // Rule ID 22447 //
     /* 1382723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1382779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382801 */     // GIR_Coverage, 22447,
     /* 1382801 */     GIR_EraseRootFromParent_Done,
     /* 1382802 */   // Label 19633: @1382802
     /* 1382802 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1382886), // Rule ID 22450 //
     /* 1382807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1382863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382885 */     // GIR_Coverage, 22450,
     /* 1382885 */     GIR_EraseRootFromParent_Done,
     /* 1382886 */   // Label 19634: @1382886
     /* 1382886 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1382970), // Rule ID 22451 //
     /* 1382891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1382947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382969 */     // GIR_Coverage, 22451,
     /* 1382969 */     GIR_EraseRootFromParent_Done,
     /* 1382970 */   // Label 19635: @1382970
     /* 1382970 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1383054), // Rule ID 22454 //
     /* 1382975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1382983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1383031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383053 */     // GIR_Coverage, 22454,
     /* 1383053 */     GIR_EraseRootFromParent_Done,
     /* 1383054 */   // Label 19636: @1383054
     /* 1383054 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1383138), // Rule ID 22455 //
     /* 1383059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1383076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1383115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383137 */     // GIR_Coverage, 22455,
     /* 1383137 */     GIR_EraseRootFromParent_Done,
     /* 1383138 */   // Label 19637: @1383138
     /* 1383138 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1383222), // Rule ID 22458 //
     /* 1383143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1383160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1383199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383221 */     // GIR_Coverage, 22458,
     /* 1383221 */     GIR_EraseRootFromParent_Done,
     /* 1383222 */   // Label 19638: @1383222
     /* 1383222 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1383306), // Rule ID 22459 //
     /* 1383227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1383244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1383283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383305 */     // GIR_Coverage, 22459,
     /* 1383305 */     GIR_EraseRootFromParent_Done,
     /* 1383306 */   // Label 19639: @1383306
     /* 1383306 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1383390), // Rule ID 22462 //
     /* 1383311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1383328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1383334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1383367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383389 */     // GIR_Coverage, 22462,
     /* 1383389 */     GIR_EraseRootFromParent_Done,
     /* 1383390 */   // Label 19640: @1383390
     /* 1383390 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1383474), // Rule ID 22463 //
     /* 1383395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1383412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1383418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1383451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383473 */     // GIR_Coverage, 22463,
     /* 1383473 */     GIR_EraseRootFromParent_Done,
     /* 1383474 */   // Label 19641: @1383474
     /* 1383474 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1383558), // Rule ID 22466 //
     /* 1383479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1383535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383557 */     // GIR_Coverage, 22466,
     /* 1383557 */     GIR_EraseRootFromParent_Done,
     /* 1383558 */   // Label 19642: @1383558
     /* 1383558 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1383642), // Rule ID 22467 //
     /* 1383563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1383619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383641 */     // GIR_Coverage, 22467,
     /* 1383641 */     GIR_EraseRootFromParent_Done,
     /* 1383642 */   // Label 19643: @1383642
     /* 1383642 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1383726), // Rule ID 22470 //
     /* 1383647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1383703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383725 */     // GIR_Coverage, 22470,
     /* 1383725 */     GIR_EraseRootFromParent_Done,
     /* 1383726 */   // Label 19644: @1383726
     /* 1383726 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1383810), // Rule ID 22471 //
     /* 1383731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1383787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383809 */     // GIR_Coverage, 22471,
     /* 1383809 */     GIR_EraseRootFromParent_Done,
     /* 1383810 */   // Label 19645: @1383810
     /* 1383810 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1383894), // Rule ID 22474 //
     /* 1383815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1383871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383893 */     // GIR_Coverage, 22474,
     /* 1383893 */     GIR_EraseRootFromParent_Done,
     /* 1383894 */   // Label 19646: @1383894
     /* 1383894 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1383978), // Rule ID 22475 //
     /* 1383899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1383955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383977 */     // GIR_Coverage, 22475,
     /* 1383977 */     GIR_EraseRootFromParent_Done,
     /* 1383978 */   // Label 19647: @1383978
     /* 1383978 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1384062), // Rule ID 22478 //
     /* 1383983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1383991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1384000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1384039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384061 */     // GIR_Coverage, 22478,
     /* 1384061 */     GIR_EraseRootFromParent_Done,
     /* 1384062 */   // Label 19648: @1384062
     /* 1384062 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1384146), // Rule ID 22479 //
     /* 1384067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1384070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1384084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1384123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384145 */     // GIR_Coverage, 22479,
     /* 1384145 */     GIR_EraseRootFromParent_Done,
     /* 1384146 */   // Label 19649: @1384146
     /* 1384146 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1384230), // Rule ID 22482 //
     /* 1384151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1384154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1384168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1384207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384229 */     // GIR_Coverage, 22482,
     /* 1384229 */     GIR_EraseRootFromParent_Done,
     /* 1384230 */   // Label 19650: @1384230
     /* 1384230 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1384314), // Rule ID 22483 //
     /* 1384235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1384238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1384252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1384291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384313 */     // GIR_Coverage, 22483,
     /* 1384313 */     GIR_EraseRootFromParent_Done,
     /* 1384314 */   // Label 19651: @1384314
     /* 1384314 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1384398), // Rule ID 22486 //
     /* 1384319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1384322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1384336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1384375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384397 */     // GIR_Coverage, 22486,
     /* 1384397 */     GIR_EraseRootFromParent_Done,
     /* 1384398 */   // Label 19652: @1384398
     /* 1384398 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1384482), // Rule ID 22487 //
     /* 1384403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1384406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1384411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1384420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1384459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384481 */     // GIR_Coverage, 22487,
     /* 1384481 */     GIR_EraseRootFromParent_Done,
     /* 1384482 */   // Label 19653: @1384482
     /* 1384482 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1384566), // Rule ID 22490 //
     /* 1384487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1384495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1384543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384565 */     // GIR_Coverage, 22490,
     /* 1384565 */     GIR_EraseRootFromParent_Done,
     /* 1384566 */   // Label 19654: @1384566
     /* 1384566 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1384650), // Rule ID 22491 //
     /* 1384571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1384579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1384627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384649 */     // GIR_Coverage, 22491,
     /* 1384649 */     GIR_EraseRootFromParent_Done,
     /* 1384650 */   // Label 19655: @1384650
     /* 1384650 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1384734), // Rule ID 22494 //
     /* 1384655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1384663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1384711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384733 */     // GIR_Coverage, 22494,
     /* 1384733 */     GIR_EraseRootFromParent_Done,
     /* 1384734 */   // Label 19656: @1384734
     /* 1384734 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1384818), // Rule ID 22495 //
     /* 1384739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1384747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1384795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384817 */     // GIR_Coverage, 22495,
     /* 1384817 */     GIR_EraseRootFromParent_Done,
     /* 1384818 */   // Label 19657: @1384818
     /* 1384818 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1384902), // Rule ID 22498 //
     /* 1384823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1384831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1384879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384901 */     // GIR_Coverage, 22498,
     /* 1384901 */     GIR_EraseRootFromParent_Done,
     /* 1384902 */   // Label 19658: @1384902
     /* 1384902 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1384986), // Rule ID 22499 //
     /* 1384907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1384915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384960 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1384963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384985 */     // GIR_Coverage, 22499,
     /* 1384985 */     GIR_EraseRootFromParent_Done,
     /* 1384986 */   // Label 19659: @1384986
     /* 1384986 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1385070), // Rule ID 22502 //
     /* 1384991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1384999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1385008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1385047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385069 */     // GIR_Coverage, 22502,
     /* 1385069 */     GIR_EraseRootFromParent_Done,
     /* 1385070 */   // Label 19660: @1385070
     /* 1385070 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1385154), // Rule ID 22503 //
     /* 1385075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1385092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1385131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385153 */     // GIR_Coverage, 22503,
     /* 1385153 */     GIR_EraseRootFromParent_Done,
     /* 1385154 */   // Label 19661: @1385154
     /* 1385154 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1385238), // Rule ID 22506 //
     /* 1385159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1385176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1385215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385237 */     // GIR_Coverage, 22506,
     /* 1385237 */     GIR_EraseRootFromParent_Done,
     /* 1385238 */   // Label 19662: @1385238
     /* 1385238 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1385322), // Rule ID 22507 //
     /* 1385243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1385260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1385299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385321 */     // GIR_Coverage, 22507,
     /* 1385321 */     GIR_EraseRootFromParent_Done,
     /* 1385322 */   // Label 19663: @1385322
     /* 1385322 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1385406), // Rule ID 22510 //
     /* 1385327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1385344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1385383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385405 */     // GIR_Coverage, 22510,
     /* 1385405 */     GIR_EraseRootFromParent_Done,
     /* 1385406 */   // Label 19664: @1385406
     /* 1385406 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1385490), // Rule ID 22511 //
     /* 1385411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1385428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1385467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385489 */     // GIR_Coverage, 22511,
     /* 1385489 */     GIR_EraseRootFromParent_Done,
     /* 1385490 */   // Label 19665: @1385490
     /* 1385490 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1385574), // Rule ID 22514 //
     /* 1385495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1385551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385573 */     // GIR_Coverage, 22514,
     /* 1385573 */     GIR_EraseRootFromParent_Done,
     /* 1385574 */   // Label 19666: @1385574
     /* 1385574 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1385658), // Rule ID 22515 //
     /* 1385579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1385635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385657 */     // GIR_Coverage, 22515,
     /* 1385657 */     GIR_EraseRootFromParent_Done,
     /* 1385658 */   // Label 19667: @1385658
     /* 1385658 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1385742), // Rule ID 22518 //
     /* 1385663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1385719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385741 */     // GIR_Coverage, 22518,
     /* 1385741 */     GIR_EraseRootFromParent_Done,
     /* 1385742 */   // Label 19668: @1385742
     /* 1385742 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1385826), // Rule ID 22519 //
     /* 1385747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1385803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385825 */     // GIR_Coverage, 22519,
     /* 1385825 */     GIR_EraseRootFromParent_Done,
     /* 1385826 */   // Label 19669: @1385826
     /* 1385826 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1385910), // Rule ID 22522 //
     /* 1385831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1385887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385909 */     // GIR_Coverage, 22522,
     /* 1385909 */     GIR_EraseRootFromParent_Done,
     /* 1385910 */   // Label 19670: @1385910
     /* 1385910 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1385994), // Rule ID 22523 //
     /* 1385915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1385923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1385971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385993 */     // GIR_Coverage, 22523,
     /* 1385993 */     GIR_EraseRootFromParent_Done,
     /* 1385994 */   // Label 19671: @1385994
     /* 1385994 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1386078), // Rule ID 22526 //
     /* 1385999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1386016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1386055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386077 */     // GIR_Coverage, 22526,
     /* 1386077 */     GIR_EraseRootFromParent_Done,
     /* 1386078 */   // Label 19672: @1386078
     /* 1386078 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1386162), // Rule ID 22527 //
     /* 1386083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1386100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1386139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386161 */     // GIR_Coverage, 22527,
     /* 1386161 */     GIR_EraseRootFromParent_Done,
     /* 1386162 */   // Label 19673: @1386162
     /* 1386162 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1386246), // Rule ID 22530 //
     /* 1386167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1386184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1386223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386245 */     // GIR_Coverage, 22530,
     /* 1386245 */     GIR_EraseRootFromParent_Done,
     /* 1386246 */   // Label 19674: @1386246
     /* 1386246 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1386330), // Rule ID 22531 //
     /* 1386251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1386268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1386307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386329 */     // GIR_Coverage, 22531,
     /* 1386329 */     GIR_EraseRootFromParent_Done,
     /* 1386330 */   // Label 19675: @1386330
     /* 1386330 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1386414), // Rule ID 22534 //
     /* 1386335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1386352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1386391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386413 */     // GIR_Coverage, 22534,
     /* 1386413 */     GIR_EraseRootFromParent_Done,
     /* 1386414 */   // Label 19676: @1386414
     /* 1386414 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1386498), // Rule ID 22535 //
     /* 1386419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1386436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1386475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386497 */     // GIR_Coverage, 22535,
     /* 1386497 */     GIR_EraseRootFromParent_Done,
     /* 1386498 */   // Label 19677: @1386498
     /* 1386498 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1386582), // Rule ID 22538 //
     /* 1386503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1386520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1386526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1386559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386581 */     // GIR_Coverage, 22538,
     /* 1386581 */     GIR_EraseRootFromParent_Done,
     /* 1386582 */   // Label 19678: @1386582
     /* 1386582 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1386666), // Rule ID 22539 //
     /* 1386587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1386598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1386601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1386604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1386607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1386610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1386643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386665 */     // GIR_Coverage, 22539,
     /* 1386665 */     GIR_EraseRootFromParent_Done,
     /* 1386666 */   // Label 19679: @1386666
     /* 1386666 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1386750), // Rule ID 22542 //
     /* 1386671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1386727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386749 */     // GIR_Coverage, 22542,
     /* 1386749 */     GIR_EraseRootFromParent_Done,
     /* 1386750 */   // Label 19680: @1386750
     /* 1386750 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1386834), // Rule ID 22543 //
     /* 1386755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1386811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386833 */     // GIR_Coverage, 22543,
     /* 1386833 */     GIR_EraseRootFromParent_Done,
     /* 1386834 */   // Label 19681: @1386834
     /* 1386834 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1386918), // Rule ID 22546 //
     /* 1386839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1386895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386917 */     // GIR_Coverage, 22546,
     /* 1386917 */     GIR_EraseRootFromParent_Done,
     /* 1386918 */   // Label 19682: @1386918
     /* 1386918 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1387002), // Rule ID 22547 //
     /* 1386923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1386931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1386979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387001 */     // GIR_Coverage, 22547,
     /* 1387001 */     GIR_EraseRootFromParent_Done,
     /* 1387002 */   // Label 19683: @1387002
     /* 1387002 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1387086), // Rule ID 22550 //
     /* 1387007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1387063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387085 */     // GIR_Coverage, 22550,
     /* 1387085 */     GIR_EraseRootFromParent_Done,
     /* 1387086 */   // Label 19684: @1387086
     /* 1387086 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1387170), // Rule ID 22551 //
     /* 1387091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1387147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387169 */     // GIR_Coverage, 22551,
     /* 1387169 */     GIR_EraseRootFromParent_Done,
     /* 1387170 */   // Label 19685: @1387170
     /* 1387170 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1387254), // Rule ID 22554 //
     /* 1387175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1387192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1387231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387253 */     // GIR_Coverage, 22554,
     /* 1387253 */     GIR_EraseRootFromParent_Done,
     /* 1387254 */   // Label 19686: @1387254
     /* 1387254 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1387338), // Rule ID 22555 //
     /* 1387259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1387276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1387315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387337 */     // GIR_Coverage, 22555,
     /* 1387337 */     GIR_EraseRootFromParent_Done,
     /* 1387338 */   // Label 19687: @1387338
     /* 1387338 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1387422), // Rule ID 22558 //
     /* 1387343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1387360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1387399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387421 */     // GIR_Coverage, 22558,
     /* 1387421 */     GIR_EraseRootFromParent_Done,
     /* 1387422 */   // Label 19688: @1387422
     /* 1387422 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1387506), // Rule ID 22559 //
     /* 1387427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1387444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1387483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387505 */     // GIR_Coverage, 22559,
     /* 1387505 */     GIR_EraseRootFromParent_Done,
     /* 1387506 */   // Label 19689: @1387506
     /* 1387506 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1387590), // Rule ID 22562 //
     /* 1387511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1387528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1387567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387589 */     // GIR_Coverage, 22562,
     /* 1387589 */     GIR_EraseRootFromParent_Done,
     /* 1387590 */   // Label 19690: @1387590
     /* 1387590 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1387674), // Rule ID 22563 //
     /* 1387595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1387612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1387651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387673 */     // GIR_Coverage, 22563,
     /* 1387673 */     GIR_EraseRootFromParent_Done,
     /* 1387674 */   // Label 19691: @1387674
     /* 1387674 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1387758), // Rule ID 22566 //
     /* 1387679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1387682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1387696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1387735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387757 */     // GIR_Coverage, 22566,
     /* 1387757 */     GIR_EraseRootFromParent_Done,
     /* 1387758 */   // Label 19692: @1387758
     /* 1387758 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1387842), // Rule ID 22567 //
     /* 1387763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1387766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1387780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1387819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387841 */     // GIR_Coverage, 22567,
     /* 1387841 */     GIR_EraseRootFromParent_Done,
     /* 1387842 */   // Label 19693: @1387842
     /* 1387842 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1387926), // Rule ID 22570 //
     /* 1387847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1387850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1387864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1387903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387925 */     // GIR_Coverage, 22570,
     /* 1387925 */     GIR_EraseRootFromParent_Done,
     /* 1387926 */   // Label 19694: @1387926
     /* 1387926 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1388010), // Rule ID 22571 //
     /* 1387931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1387934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1387939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1387948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1387987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388009 */     // GIR_Coverage, 22571,
     /* 1388009 */     GIR_EraseRootFromParent_Done,
     /* 1388010 */   // Label 19695: @1388010
     /* 1388010 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1388094), // Rule ID 22574 //
     /* 1388015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1388018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1388032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1388071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388093 */     // GIR_Coverage, 22574,
     /* 1388093 */     GIR_EraseRootFromParent_Done,
     /* 1388094 */   // Label 19696: @1388094
     /* 1388094 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1388178), // Rule ID 22575 //
     /* 1388099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1388102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1388107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1388116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1388155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388177 */     // GIR_Coverage, 22575,
     /* 1388177 */     GIR_EraseRootFromParent_Done,
     /* 1388178 */   // Label 19697: @1388178
     /* 1388178 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1388262), // Rule ID 22578 //
     /* 1388183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1388200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1388239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388261 */     // GIR_Coverage, 22578,
     /* 1388261 */     GIR_EraseRootFromParent_Done,
     /* 1388262 */   // Label 19698: @1388262
     /* 1388262 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1388346), // Rule ID 22579 //
     /* 1388267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1388284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1388323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388345 */     // GIR_Coverage, 22579,
     /* 1388345 */     GIR_EraseRootFromParent_Done,
     /* 1388346 */   // Label 19699: @1388346
     /* 1388346 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1388430), // Rule ID 22582 //
     /* 1388351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1388368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1388407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388429 */     // GIR_Coverage, 22582,
     /* 1388429 */     GIR_EraseRootFromParent_Done,
     /* 1388430 */   // Label 19700: @1388430
     /* 1388430 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1388514), // Rule ID 22583 //
     /* 1388435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1388452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1388491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388513 */     // GIR_Coverage, 22583,
     /* 1388513 */     GIR_EraseRootFromParent_Done,
     /* 1388514 */   // Label 19701: @1388514
     /* 1388514 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1388598), // Rule ID 22586 //
     /* 1388519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1388536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1388575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388597 */     // GIR_Coverage, 22586,
     /* 1388597 */     GIR_EraseRootFromParent_Done,
     /* 1388598 */   // Label 19702: @1388598
     /* 1388598 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1388682), // Rule ID 22587 //
     /* 1388603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1388620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1388659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388681 */     // GIR_Coverage, 22587,
     /* 1388681 */     GIR_EraseRootFromParent_Done,
     /* 1388682 */   // Label 19703: @1388682
     /* 1388682 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1388766), // Rule ID 22590 //
     /* 1388687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1388743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388765 */     // GIR_Coverage, 22590,
     /* 1388765 */     GIR_EraseRootFromParent_Done,
     /* 1388766 */   // Label 19704: @1388766
     /* 1388766 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1388850), // Rule ID 22591 //
     /* 1388771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1388827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388849 */     // GIR_Coverage, 22591,
     /* 1388849 */     GIR_EraseRootFromParent_Done,
     /* 1388850 */   // Label 19705: @1388850
     /* 1388850 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1388934), // Rule ID 22594 //
     /* 1388855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1388911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388933 */     // GIR_Coverage, 22594,
     /* 1388933 */     GIR_EraseRootFromParent_Done,
     /* 1388934 */   // Label 19706: @1388934
     /* 1388934 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1389018), // Rule ID 22595 //
     /* 1388939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1388947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1388995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389017 */     // GIR_Coverage, 22595,
     /* 1389017 */     GIR_EraseRootFromParent_Done,
     /* 1389018 */   // Label 19707: @1389018
     /* 1389018 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1389102), // Rule ID 22598 //
     /* 1389023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1389040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1389079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389101 */     // GIR_Coverage, 22598,
     /* 1389101 */     GIR_EraseRootFromParent_Done,
     /* 1389102 */   // Label 19708: @1389102
     /* 1389102 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1389186), // Rule ID 22599 //
     /* 1389107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1389124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1389163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389185 */     // GIR_Coverage, 22599,
     /* 1389185 */     GIR_EraseRootFromParent_Done,
     /* 1389186 */   // Label 19709: @1389186
     /* 1389186 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1389270), // Rule ID 22602 //
     /* 1389191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1389208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1389247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389269 */     // GIR_Coverage, 22602,
     /* 1389269 */     GIR_EraseRootFromParent_Done,
     /* 1389270 */   // Label 19710: @1389270
     /* 1389270 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1389354), // Rule ID 22603 //
     /* 1389275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1389292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1389331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389353 */     // GIR_Coverage, 22603,
     /* 1389353 */     GIR_EraseRootFromParent_Done,
     /* 1389354 */   // Label 19711: @1389354
     /* 1389354 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1389438), // Rule ID 22606 //
     /* 1389359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1389376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1389415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389437 */     // GIR_Coverage, 22606,
     /* 1389437 */     GIR_EraseRootFromParent_Done,
     /* 1389438 */   // Label 19712: @1389438
     /* 1389438 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1389522), // Rule ID 22607 //
     /* 1389443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1389460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1389499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389521 */     // GIR_Coverage, 22607,
     /* 1389521 */     GIR_EraseRootFromParent_Done,
     /* 1389522 */   // Label 19713: @1389522
     /* 1389522 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1389606), // Rule ID 22610 //
     /* 1389527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1389544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1389583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389605 */     // GIR_Coverage, 22610,
     /* 1389605 */     GIR_EraseRootFromParent_Done,
     /* 1389606 */   // Label 19714: @1389606
     /* 1389606 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1389690), // Rule ID 22611 //
     /* 1389611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1389628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1389667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389689 */     // GIR_Coverage, 22611,
     /* 1389689 */     GIR_EraseRootFromParent_Done,
     /* 1389690 */   // Label 19715: @1389690
     /* 1389690 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1389774), // Rule ID 22614 //
     /* 1389695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1389712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1389751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389773 */     // GIR_Coverage, 22614,
     /* 1389773 */     GIR_EraseRootFromParent_Done,
     /* 1389774 */   // Label 19716: @1389774
     /* 1389774 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1389858), // Rule ID 22615 //
     /* 1389779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1389796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1389835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389857 */     // GIR_Coverage, 22615,
     /* 1389857 */     GIR_EraseRootFromParent_Done,
     /* 1389858 */   // Label 19717: @1389858
     /* 1389858 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1389942), // Rule ID 22618 //
     /* 1389863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1389880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1389919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389941 */     // GIR_Coverage, 22618,
     /* 1389941 */     GIR_EraseRootFromParent_Done,
     /* 1389942 */   // Label 19718: @1389942
     /* 1389942 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1390026), // Rule ID 22619 //
     /* 1389947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1389955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1389964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1390003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390025 */     // GIR_Coverage, 22619,
     /* 1390025 */     GIR_EraseRootFromParent_Done,
     /* 1390026 */   // Label 19719: @1390026
     /* 1390026 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1390110), // Rule ID 22622 //
     /* 1390031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1390048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1390054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1390087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390109 */     // GIR_Coverage, 22622,
     /* 1390109 */     GIR_EraseRootFromParent_Done,
     /* 1390110 */   // Label 19720: @1390110
     /* 1390110 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1390194), // Rule ID 22623 //
     /* 1390115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1390132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1390138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1390171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390193 */     // GIR_Coverage, 22623,
     /* 1390193 */     GIR_EraseRootFromParent_Done,
     /* 1390194 */   // Label 19721: @1390194
     /* 1390194 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1390278), // Rule ID 22626 //
     /* 1390199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1390216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1390255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390277 */     // GIR_Coverage, 22626,
     /* 1390277 */     GIR_EraseRootFromParent_Done,
     /* 1390278 */   // Label 19722: @1390278
     /* 1390278 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1390362), // Rule ID 22627 //
     /* 1390283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1390300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1390339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390361 */     // GIR_Coverage, 22627,
     /* 1390361 */     GIR_EraseRootFromParent_Done,
     /* 1390362 */   // Label 19723: @1390362
     /* 1390362 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1390446), // Rule ID 22630 //
     /* 1390367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1390384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1390423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390445 */     // GIR_Coverage, 22630,
     /* 1390445 */     GIR_EraseRootFromParent_Done,
     /* 1390446 */   // Label 19724: @1390446
     /* 1390446 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1390530), // Rule ID 22631 //
     /* 1390451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1390468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1390507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390529 */     // GIR_Coverage, 22631,
     /* 1390529 */     GIR_EraseRootFromParent_Done,
     /* 1390530 */   // Label 19725: @1390530
     /* 1390530 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1390614), // Rule ID 22634 //
     /* 1390535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1390552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1390591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390613 */     // GIR_Coverage, 22634,
     /* 1390613 */     GIR_EraseRootFromParent_Done,
     /* 1390614 */   // Label 19726: @1390614
     /* 1390614 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1390698), // Rule ID 22635 //
     /* 1390619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1390636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1390675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390697 */     // GIR_Coverage, 22635,
     /* 1390697 */     GIR_EraseRootFromParent_Done,
     /* 1390698 */   // Label 19727: @1390698
     /* 1390698 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1390782), // Rule ID 22638 //
     /* 1390703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1390720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1390759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390781 */     // GIR_Coverage, 22638,
     /* 1390781 */     GIR_EraseRootFromParent_Done,
     /* 1390782 */   // Label 19728: @1390782
     /* 1390782 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1390866), // Rule ID 22639 //
     /* 1390787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1390804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1390843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390865 */     // GIR_Coverage, 22639,
     /* 1390865 */     GIR_EraseRootFromParent_Done,
     /* 1390866 */   // Label 19729: @1390866
     /* 1390866 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1390950), // Rule ID 22642 //
     /* 1390871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1390888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1390927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390949 */     // GIR_Coverage, 22642,
     /* 1390949 */     GIR_EraseRootFromParent_Done,
     /* 1390950 */   // Label 19730: @1390950
     /* 1390950 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1391034), // Rule ID 22643 //
     /* 1390955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1390963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1390972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1391011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391033 */     // GIR_Coverage, 22643,
     /* 1391033 */     GIR_EraseRootFromParent_Done,
     /* 1391034 */   // Label 19731: @1391034
     /* 1391034 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1391118), // Rule ID 22646 //
     /* 1391039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1391095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391117 */     // GIR_Coverage, 22646,
     /* 1391117 */     GIR_EraseRootFromParent_Done,
     /* 1391118 */   // Label 19732: @1391118
     /* 1391118 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1391202), // Rule ID 22647 //
     /* 1391123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1391131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1391179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391201 */     // GIR_Coverage, 22647,
     /* 1391201 */     GIR_EraseRootFromParent_Done,
     /* 1391202 */   // Label 19733: @1391202
     /* 1391202 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1391286), // Rule ID 22650 //
     /* 1391207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1391224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1391263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391285 */     // GIR_Coverage, 22650,
     /* 1391285 */     GIR_EraseRootFromParent_Done,
     /* 1391286 */   // Label 19734: @1391286
     /* 1391286 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1391370), // Rule ID 22651 //
     /* 1391291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1391308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1391347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391369 */     // GIR_Coverage, 22651,
     /* 1391369 */     GIR_EraseRootFromParent_Done,
     /* 1391370 */   // Label 19735: @1391370
     /* 1391370 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1391454), // Rule ID 22654 //
     /* 1391375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1391392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1391431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391453 */     // GIR_Coverage, 22654,
     /* 1391453 */     GIR_EraseRootFromParent_Done,
     /* 1391454 */   // Label 19736: @1391454
     /* 1391454 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1391538), // Rule ID 22655 //
     /* 1391459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1391476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1391515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391537 */     // GIR_Coverage, 22655,
     /* 1391537 */     GIR_EraseRootFromParent_Done,
     /* 1391538 */   // Label 19737: @1391538
     /* 1391538 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1391622), // Rule ID 22658 //
     /* 1391543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1391560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1391599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391621 */     // GIR_Coverage, 22658,
     /* 1391621 */     GIR_EraseRootFromParent_Done,
     /* 1391622 */   // Label 19738: @1391622
     /* 1391622 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1391706), // Rule ID 22659 //
     /* 1391627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1391644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1391683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391705 */     // GIR_Coverage, 22659,
     /* 1391705 */     GIR_EraseRootFromParent_Done,
     /* 1391706 */   // Label 19739: @1391706
     /* 1391706 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1391790), // Rule ID 22662 //
     /* 1391711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1391728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1391767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391789 */     // GIR_Coverage, 22662,
     /* 1391789 */     GIR_EraseRootFromParent_Done,
     /* 1391790 */   // Label 19740: @1391790
     /* 1391790 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1391874), // Rule ID 22663 //
     /* 1391795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1391812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1391851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391873 */     // GIR_Coverage, 22663,
     /* 1391873 */     GIR_EraseRootFromParent_Done,
     /* 1391874 */   // Label 19741: @1391874
     /* 1391874 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1391958), // Rule ID 22666 //
     /* 1391879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1391935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391957 */     // GIR_Coverage, 22666,
     /* 1391957 */     GIR_EraseRootFromParent_Done,
     /* 1391958 */   // Label 19742: @1391958
     /* 1391958 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1392042), // Rule ID 22667 //
     /* 1391963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1391971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1392019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392041 */     // GIR_Coverage, 22667,
     /* 1392041 */     GIR_EraseRootFromParent_Done,
     /* 1392042 */   // Label 19743: @1392042
     /* 1392042 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1392126), // Rule ID 22670 //
     /* 1392047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1392103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392125 */     // GIR_Coverage, 22670,
     /* 1392125 */     GIR_EraseRootFromParent_Done,
     /* 1392126 */   // Label 19744: @1392126
     /* 1392126 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1392210), // Rule ID 22671 //
     /* 1392131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1392187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392209 */     // GIR_Coverage, 22671,
     /* 1392209 */     GIR_EraseRootFromParent_Done,
     /* 1392210 */   // Label 19745: @1392210
     /* 1392210 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1392294), // Rule ID 22674 //
     /* 1392215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1392232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1392271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392293 */     // GIR_Coverage, 22674,
     /* 1392293 */     GIR_EraseRootFromParent_Done,
     /* 1392294 */   // Label 19746: @1392294
     /* 1392294 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1392378), // Rule ID 22675 //
     /* 1392299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1392316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1392355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392377 */     // GIR_Coverage, 22675,
     /* 1392377 */     GIR_EraseRootFromParent_Done,
     /* 1392378 */   // Label 19747: @1392378
     /* 1392378 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1392462), // Rule ID 22678 //
     /* 1392383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1392439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392461 */     // GIR_Coverage, 22678,
     /* 1392461 */     GIR_EraseRootFromParent_Done,
     /* 1392462 */   // Label 19748: @1392462
     /* 1392462 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1392546), // Rule ID 22679 //
     /* 1392467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1392523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392545 */     // GIR_Coverage, 22679,
     /* 1392545 */     GIR_EraseRootFromParent_Done,
     /* 1392546 */   // Label 19749: @1392546
     /* 1392546 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1392630), // Rule ID 22682 //
     /* 1392551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1392607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392629 */     // GIR_Coverage, 22682,
     /* 1392629 */     GIR_EraseRootFromParent_Done,
     /* 1392630 */   // Label 19750: @1392630
     /* 1392630 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1392714), // Rule ID 22683 //
     /* 1392635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392688 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1392691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392713 */     // GIR_Coverage, 22683,
     /* 1392713 */     GIR_EraseRootFromParent_Done,
     /* 1392714 */   // Label 19751: @1392714
     /* 1392714 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1392798), // Rule ID 22686 //
     /* 1392719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1392736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1392775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392797 */     // GIR_Coverage, 22686,
     /* 1392797 */     GIR_EraseRootFromParent_Done,
     /* 1392798 */   // Label 19752: @1392798
     /* 1392798 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1392882), // Rule ID 22687 //
     /* 1392803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1392820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1392859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392881 */     // GIR_Coverage, 22687,
     /* 1392881 */     GIR_EraseRootFromParent_Done,
     /* 1392882 */   // Label 19753: @1392882
     /* 1392882 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1392966), // Rule ID 22690 //
     /* 1392887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1392904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1392943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392965 */     // GIR_Coverage, 22690,
     /* 1392965 */     GIR_EraseRootFromParent_Done,
     /* 1392966 */   // Label 19754: @1392966
     /* 1392966 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1393050), // Rule ID 22691 //
     /* 1392971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1392979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1392988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1393027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393049 */     // GIR_Coverage, 22691,
     /* 1393049 */     GIR_EraseRootFromParent_Done,
     /* 1393050 */   // Label 19755: @1393050
     /* 1393050 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1393134), // Rule ID 22694 //
     /* 1393055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1393072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1393078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1393111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393133 */     // GIR_Coverage, 22694,
     /* 1393133 */     GIR_EraseRootFromParent_Done,
     /* 1393134 */   // Label 19756: @1393134
     /* 1393134 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1393218), // Rule ID 22695 //
     /* 1393139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1393156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1393162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11597:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1393195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393217 */     // GIR_Coverage, 22695,
     /* 1393217 */     GIR_EraseRootFromParent_Done,
     /* 1393218 */   // Label 19757: @1393218
     /* 1393218 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1393302), // Rule ID 22698 //
     /* 1393223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1393279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393301 */     // GIR_Coverage, 22698,
     /* 1393301 */     GIR_EraseRootFromParent_Done,
     /* 1393302 */   // Label 19758: @1393302
     /* 1393302 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1393386), // Rule ID 22699 //
     /* 1393307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1393363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393385 */     // GIR_Coverage, 22699,
     /* 1393385 */     GIR_EraseRootFromParent_Done,
     /* 1393386 */   // Label 19759: @1393386
     /* 1393386 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1393470), // Rule ID 22702 //
     /* 1393391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1393447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393469 */     // GIR_Coverage, 22702,
     /* 1393469 */     GIR_EraseRootFromParent_Done,
     /* 1393470 */   // Label 19760: @1393470
     /* 1393470 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1393554), // Rule ID 22703 //
     /* 1393475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1393531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393553 */     // GIR_Coverage, 22703,
     /* 1393553 */     GIR_EraseRootFromParent_Done,
     /* 1393554 */   // Label 19761: @1393554
     /* 1393554 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1393638), // Rule ID 22706 //
     /* 1393559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1393615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393637 */     // GIR_Coverage, 22706,
     /* 1393637 */     GIR_EraseRootFromParent_Done,
     /* 1393638 */   // Label 19762: @1393638
     /* 1393638 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1393722), // Rule ID 22707 //
     /* 1393643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11597:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1393699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393721 */     // GIR_Coverage, 22707,
     /* 1393721 */     GIR_EraseRootFromParent_Done,
     /* 1393722 */   // Label 19763: @1393722
     /* 1393722 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1393806), // Rule ID 22710 //
     /* 1393727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1393783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393805 */     // GIR_Coverage, 22710,
     /* 1393805 */     GIR_EraseRootFromParent_Done,
     /* 1393806 */   // Label 19764: @1393806
     /* 1393806 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1393890), // Rule ID 22711 //
     /* 1393811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1393867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393889 */     // GIR_Coverage, 22711,
     /* 1393889 */     GIR_EraseRootFromParent_Done,
     /* 1393890 */   // Label 19765: @1393890
     /* 1393890 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1393974), // Rule ID 22714 //
     /* 1393895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1393951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393973 */     // GIR_Coverage, 22714,
     /* 1393973 */     GIR_EraseRootFromParent_Done,
     /* 1393974 */   // Label 19766: @1393974
     /* 1393974 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1394058), // Rule ID 22715 //
     /* 1393979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1393987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1394035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394057 */     // GIR_Coverage, 22715,
     /* 1394057 */     GIR_EraseRootFromParent_Done,
     /* 1394058 */   // Label 19767: @1394058
     /* 1394058 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1394142), // Rule ID 22718 //
     /* 1394063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1394119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394141 */     // GIR_Coverage, 22718,
     /* 1394141 */     GIR_EraseRootFromParent_Done,
     /* 1394142 */   // Label 19768: @1394142
     /* 1394142 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1394226), // Rule ID 22719 //
     /* 1394147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1394155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11597:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1394203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394225 */     // GIR_Coverage, 22719,
     /* 1394225 */     GIR_EraseRootFromParent_Done,
     /* 1394226 */   // Label 19769: @1394226
     /* 1394226 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1394310), // Rule ID 22838 //
     /* 1394231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1394234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1394248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394284 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1394287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394309 */     // GIR_Coverage, 22838,
     /* 1394309 */     GIR_EraseRootFromParent_Done,
     /* 1394310 */   // Label 19770: @1394310
     /* 1394310 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1394394), // Rule ID 22839 //
     /* 1394315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1394318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1394332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394368 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1394371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394393 */     // GIR_Coverage, 22839,
     /* 1394393 */     GIR_EraseRootFromParent_Done,
     /* 1394394 */   // Label 19771: @1394394
     /* 1394394 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1394478), // Rule ID 22842 //
     /* 1394399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1394402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1394455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394477 */     // GIR_Coverage, 22842,
     /* 1394477 */     GIR_EraseRootFromParent_Done,
     /* 1394478 */   // Label 19772: @1394478
     /* 1394478 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1394562), // Rule ID 22843 //
     /* 1394483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1394486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394536 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1394539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394561 */     // GIR_Coverage, 22843,
     /* 1394561 */     GIR_EraseRootFromParent_Done,
     /* 1394562 */   // Label 19773: @1394562
     /* 1394562 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1394646), // Rule ID 22846 //
     /* 1394567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394620 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1394623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394645 */     // GIR_Coverage, 22846,
     /* 1394645 */     GIR_EraseRootFromParent_Done,
     /* 1394646 */   // Label 19774: @1394646
     /* 1394646 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1394730), // Rule ID 22847 //
     /* 1394651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394704 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1394707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394729 */     // GIR_Coverage, 22847,
     /* 1394729 */     GIR_EraseRootFromParent_Done,
     /* 1394730 */   // Label 19775: @1394730
     /* 1394730 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1394814), // Rule ID 22850 //
     /* 1394735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1394738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1394752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394788 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1394791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394813 */     // GIR_Coverage, 22850,
     /* 1394813 */     GIR_EraseRootFromParent_Done,
     /* 1394814 */   // Label 19776: @1394814
     /* 1394814 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1394898), // Rule ID 22851 //
     /* 1394819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1394822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1394836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394872 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1394875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394897 */     // GIR_Coverage, 22851,
     /* 1394897 */     GIR_EraseRootFromParent_Done,
     /* 1394898 */   // Label 19777: @1394898
     /* 1394898 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1394982), // Rule ID 22854 //
     /* 1394903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1394906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1394920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1394959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394981 */     // GIR_Coverage, 22854,
     /* 1394981 */     GIR_EraseRootFromParent_Done,
     /* 1394982 */   // Label 19778: @1394982
     /* 1394982 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1395066), // Rule ID 22855 //
     /* 1394987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1394990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1394995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1395004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1395043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395065 */     // GIR_Coverage, 22855,
     /* 1395065 */     GIR_EraseRootFromParent_Done,
     /* 1395066 */   // Label 19779: @1395066
     /* 1395066 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1395150), // Rule ID 22858 //
     /* 1395071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1395074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1395088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1395127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395149 */     // GIR_Coverage, 22858,
     /* 1395149 */     GIR_EraseRootFromParent_Done,
     /* 1395150 */   // Label 19780: @1395150
     /* 1395150 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1395234), // Rule ID 22859 //
     /* 1395155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1395158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1395172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1395211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395233 */     // GIR_Coverage, 22859,
     /* 1395233 */     GIR_EraseRootFromParent_Done,
     /* 1395234 */   // Label 19781: @1395234
     /* 1395234 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1395318), // Rule ID 22862 //
     /* 1395239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1395242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1395295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395317 */     // GIR_Coverage, 22862,
     /* 1395317 */     GIR_EraseRootFromParent_Done,
     /* 1395318 */   // Label 19782: @1395318
     /* 1395318 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1395402), // Rule ID 22863 //
     /* 1395323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1395326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1395379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395401 */     // GIR_Coverage, 22863,
     /* 1395401 */     GIR_EraseRootFromParent_Done,
     /* 1395402 */   // Label 19783: @1395402
     /* 1395402 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1395486), // Rule ID 22866 //
     /* 1395407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1395410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1395424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1395463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395485 */     // GIR_Coverage, 22866,
     /* 1395485 */     GIR_EraseRootFromParent_Done,
     /* 1395486 */   // Label 19784: @1395486
     /* 1395486 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1395570), // Rule ID 22867 //
     /* 1395491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1395494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1395508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395544 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1395547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395569 */     // GIR_Coverage, 22867,
     /* 1395569 */     GIR_EraseRootFromParent_Done,
     /* 1395570 */   // Label 19785: @1395570
     /* 1395570 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1395654), // Rule ID 22870 //
     /* 1395575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1395578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1395592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1395631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395653 */     // GIR_Coverage, 22870,
     /* 1395653 */     GIR_EraseRootFromParent_Done,
     /* 1395654 */   // Label 19786: @1395654
     /* 1395654 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1395738), // Rule ID 22871 //
     /* 1395659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1395662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1395676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395712 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1395715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395737 */     // GIR_Coverage, 22871,
     /* 1395737 */     GIR_EraseRootFromParent_Done,
     /* 1395738 */   // Label 19787: @1395738
     /* 1395738 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1395822), // Rule ID 22874 //
     /* 1395743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1395746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1395760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1395799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395821 */     // GIR_Coverage, 22874,
     /* 1395821 */     GIR_EraseRootFromParent_Done,
     /* 1395822 */   // Label 19788: @1395822
     /* 1395822 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1395906), // Rule ID 22875 //
     /* 1395827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1395830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1395844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1395883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395905 */     // GIR_Coverage, 22875,
     /* 1395905 */     GIR_EraseRootFromParent_Done,
     /* 1395906 */   // Label 19789: @1395906
     /* 1395906 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1395990), // Rule ID 22878 //
     /* 1395911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1395914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1395919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1395928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395964 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1395967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395989 */     // GIR_Coverage, 22878,
     /* 1395989 */     GIR_EraseRootFromParent_Done,
     /* 1395990 */   // Label 19790: @1395990
     /* 1395990 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1396074), // Rule ID 22879 //
     /* 1395995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1395998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1396051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396073 */     // GIR_Coverage, 22879,
     /* 1396073 */     GIR_EraseRootFromParent_Done,
     /* 1396074 */   // Label 19791: @1396074
     /* 1396074 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1396158), // Rule ID 22882 //
     /* 1396079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1396082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1396135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396157 */     // GIR_Coverage, 22882,
     /* 1396157 */     GIR_EraseRootFromParent_Done,
     /* 1396158 */   // Label 19792: @1396158
     /* 1396158 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1396242), // Rule ID 22883 //
     /* 1396163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1396166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1396219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396241 */     // GIR_Coverage, 22883,
     /* 1396241 */     GIR_EraseRootFromParent_Done,
     /* 1396242 */   // Label 19793: @1396242
     /* 1396242 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1396326), // Rule ID 22886 //
     /* 1396247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1396250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1396264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396300 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1396303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396325 */     // GIR_Coverage, 22886,
     /* 1396325 */     GIR_EraseRootFromParent_Done,
     /* 1396326 */   // Label 19794: @1396326
     /* 1396326 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1396410), // Rule ID 22887 //
     /* 1396331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1396334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1396348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396384 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1396387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396409 */     // GIR_Coverage, 22887,
     /* 1396409 */     GIR_EraseRootFromParent_Done,
     /* 1396410 */   // Label 19795: @1396410
     /* 1396410 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1396494), // Rule ID 22890 //
     /* 1396415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1396418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1396432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1396471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396493 */     // GIR_Coverage, 22890,
     /* 1396493 */     GIR_EraseRootFromParent_Done,
     /* 1396494 */   // Label 19796: @1396494
     /* 1396494 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1396578), // Rule ID 22891 //
     /* 1396499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1396502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1396516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396552 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1396555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396577 */     // GIR_Coverage, 22891,
     /* 1396577 */     GIR_EraseRootFromParent_Done,
     /* 1396578 */   // Label 19797: @1396578
     /* 1396578 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1396662), // Rule ID 22894 //
     /* 1396583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1396586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1396600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396636 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1396639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396661 */     // GIR_Coverage, 22894,
     /* 1396661 */     GIR_EraseRootFromParent_Done,
     /* 1396662 */   // Label 19798: @1396662
     /* 1396662 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1396746), // Rule ID 22895 //
     /* 1396667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1396670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1396675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1396684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1396723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396745 */     // GIR_Coverage, 22895,
     /* 1396745 */     GIR_EraseRootFromParent_Done,
     /* 1396746 */   // Label 19799: @1396746
     /* 1396746 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1396830), // Rule ID 22898 //
     /* 1396751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1396759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396804 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1396807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396829 */     // GIR_Coverage, 22898,
     /* 1396829 */     GIR_EraseRootFromParent_Done,
     /* 1396830 */   // Label 19800: @1396830
     /* 1396830 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1396914), // Rule ID 22899 //
     /* 1396835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1396843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396888 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1396891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396913 */     // GIR_Coverage, 22899,
     /* 1396913 */     GIR_EraseRootFromParent_Done,
     /* 1396914 */   // Label 19801: @1396914
     /* 1396914 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1396998), // Rule ID 22902 //
     /* 1396919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1396927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1396936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396972 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1396975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396997 */     // GIR_Coverage, 22902,
     /* 1396997 */     GIR_EraseRootFromParent_Done,
     /* 1396998 */   // Label 19802: @1396998
     /* 1396998 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1397082), // Rule ID 22903 //
     /* 1397003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1397020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1397059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397081 */     // GIR_Coverage, 22903,
     /* 1397081 */     GIR_EraseRootFromParent_Done,
     /* 1397082 */   // Label 19803: @1397082
     /* 1397082 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1397166), // Rule ID 22906 //
     /* 1397087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397140 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1397143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397165 */     // GIR_Coverage, 22906,
     /* 1397165 */     GIR_EraseRootFromParent_Done,
     /* 1397166 */   // Label 19804: @1397166
     /* 1397166 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1397250), // Rule ID 22907 //
     /* 1397171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1397227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397249 */     // GIR_Coverage, 22907,
     /* 1397249 */     GIR_EraseRootFromParent_Done,
     /* 1397250 */   // Label 19805: @1397250
     /* 1397250 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1397334), // Rule ID 22910 //
     /* 1397255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1397311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397333 */     // GIR_Coverage, 22910,
     /* 1397333 */     GIR_EraseRootFromParent_Done,
     /* 1397334 */   // Label 19806: @1397334
     /* 1397334 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1397418), // Rule ID 22911 //
     /* 1397339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1397395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397417 */     // GIR_Coverage, 22911,
     /* 1397417 */     GIR_EraseRootFromParent_Done,
     /* 1397418 */   // Label 19807: @1397418
     /* 1397418 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1397502), // Rule ID 22914 //
     /* 1397423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397476 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1397479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397501 */     // GIR_Coverage, 22914,
     /* 1397501 */     GIR_EraseRootFromParent_Done,
     /* 1397502 */   // Label 19808: @1397502
     /* 1397502 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1397586), // Rule ID 22915 //
     /* 1397507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1397530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1397563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397585 */     // GIR_Coverage, 22915,
     /* 1397585 */     GIR_EraseRootFromParent_Done,
     /* 1397586 */   // Label 19809: @1397586
     /* 1397586 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1397670), // Rule ID 22918 //
     /* 1397591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1397594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397644 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1397647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397669 */     // GIR_Coverage, 22918,
     /* 1397669 */     GIR_EraseRootFromParent_Done,
     /* 1397670 */   // Label 19810: @1397670
     /* 1397670 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1397754), // Rule ID 22919 //
     /* 1397675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1397678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1397731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397753 */     // GIR_Coverage, 22919,
     /* 1397753 */     GIR_EraseRootFromParent_Done,
     /* 1397754 */   // Label 19811: @1397754
     /* 1397754 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1397838), // Rule ID 22922 //
     /* 1397759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397812 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1397815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397837 */     // GIR_Coverage, 22922,
     /* 1397837 */     GIR_EraseRootFromParent_Done,
     /* 1397838 */   // Label 19812: @1397838
     /* 1397838 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1397922), // Rule ID 22923 //
     /* 1397843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1397899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397921 */     // GIR_Coverage, 22923,
     /* 1397921 */     GIR_EraseRootFromParent_Done,
     /* 1397922 */   // Label 19813: @1397922
     /* 1397922 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1398006), // Rule ID 22926 //
     /* 1397927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1397935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397980 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1397983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398005 */     // GIR_Coverage, 22926,
     /* 1398005 */     GIR_EraseRootFromParent_Done,
     /* 1398006 */   // Label 19814: @1398006
     /* 1398006 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1398090), // Rule ID 22927 //
     /* 1398011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1398014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1398028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398064 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1398067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398089 */     // GIR_Coverage, 22927,
     /* 1398089 */     GIR_EraseRootFromParent_Done,
     /* 1398090 */   // Label 19815: @1398090
     /* 1398090 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1398174), // Rule ID 22930 //
     /* 1398095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1398098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1398118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1398151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398173 */     // GIR_Coverage, 22930,
     /* 1398173 */     GIR_EraseRootFromParent_Done,
     /* 1398174 */   // Label 19816: @1398174
     /* 1398174 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1398258), // Rule ID 22931 //
     /* 1398179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1398182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1398202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398232 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1398235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398257 */     // GIR_Coverage, 22931,
     /* 1398257 */     GIR_EraseRootFromParent_Done,
     /* 1398258 */   // Label 19817: @1398258
     /* 1398258 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1398342), // Rule ID 22934 //
     /* 1398263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1398319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398341 */     // GIR_Coverage, 22934,
     /* 1398341 */     GIR_EraseRootFromParent_Done,
     /* 1398342 */   // Label 19818: @1398342
     /* 1398342 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1398426), // Rule ID 22935 //
     /* 1398347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1398403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398425 */     // GIR_Coverage, 22935,
     /* 1398425 */     GIR_EraseRootFromParent_Done,
     /* 1398426 */   // Label 19819: @1398426
     /* 1398426 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1398510), // Rule ID 22938 //
     /* 1398431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398484 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1398487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398509 */     // GIR_Coverage, 22938,
     /* 1398509 */     GIR_EraseRootFromParent_Done,
     /* 1398510 */   // Label 19820: @1398510
     /* 1398510 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1398594), // Rule ID 22939 //
     /* 1398515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1398571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398593 */     // GIR_Coverage, 22939,
     /* 1398593 */     GIR_EraseRootFromParent_Done,
     /* 1398594 */   // Label 19821: @1398594
     /* 1398594 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1398678), // Rule ID 22942 //
     /* 1398599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1398655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398677 */     // GIR_Coverage, 22942,
     /* 1398677 */     GIR_EraseRootFromParent_Done,
     /* 1398678 */   // Label 19822: @1398678
     /* 1398678 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1398762), // Rule ID 22943 //
     /* 1398683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398736 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1398739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398761 */     // GIR_Coverage, 22943,
     /* 1398761 */     GIR_EraseRootFromParent_Done,
     /* 1398762 */   // Label 19823: @1398762
     /* 1398762 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1398846), // Rule ID 22946 //
     /* 1398767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398820 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1398823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398845 */     // GIR_Coverage, 22946,
     /* 1398845 */     GIR_EraseRootFromParent_Done,
     /* 1398846 */   // Label 19824: @1398846
     /* 1398846 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1398930), // Rule ID 22947 //
     /* 1398851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1398854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398904 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1398907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398929 */     // GIR_Coverage, 22947,
     /* 1398929 */     GIR_EraseRootFromParent_Done,
     /* 1398930 */   // Label 19825: @1398930
     /* 1398930 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1399014), // Rule ID 22950 //
     /* 1398935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1398943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398988 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1398991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399013 */     // GIR_Coverage, 22950,
     /* 1399013 */     GIR_EraseRootFromParent_Done,
     /* 1399014 */   // Label 19826: @1399014
     /* 1399014 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1399098), // Rule ID 22951 //
     /* 1399019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1399022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1399036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399072 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1399075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399097 */     // GIR_Coverage, 22951,
     /* 1399097 */     GIR_EraseRootFromParent_Done,
     /* 1399098 */   // Label 19827: @1399098
     /* 1399098 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1399182), // Rule ID 22954 //
     /* 1399103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1399106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399156 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1399159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399181 */     // GIR_Coverage, 22954,
     /* 1399181 */     GIR_EraseRootFromParent_Done,
     /* 1399182 */   // Label 19828: @1399182
     /* 1399182 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1399266), // Rule ID 22955 //
     /* 1399187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1399190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1399195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1399243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399265 */     // GIR_Coverage, 22955,
     /* 1399265 */     GIR_EraseRootFromParent_Done,
     /* 1399266 */   // Label 19829: @1399266
     /* 1399266 */   GIM_Reject,
     /* 1399267 */ // Label 13849: @1399267
     /* 1399267 */ GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(2008424),
     /* 1399272 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1399275 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1399361), // Rule ID 7248 //
     /* 1399280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1399291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1399294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1399297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399326 */     // MIs[0] policy
     /* 1399326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1399339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399360 */     // GIR_Coverage, 7248,
     /* 1399360 */     GIR_EraseRootFromParent_Done,
     /* 1399361 */   // Label 19831: @1399361
     /* 1399361 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1399447), // Rule ID 7249 //
     /* 1399366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1399377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1399380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1399383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399404 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399412 */     // MIs[0] policy
     /* 1399412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1399425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399446 */     // GIR_Coverage, 7249,
     /* 1399446 */     GIR_EraseRootFromParent_Done,
     /* 1399447 */   // Label 19832: @1399447
     /* 1399447 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1399533), // Rule ID 7252 //
     /* 1399452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1399463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1399466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1399469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399490 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399498 */     // MIs[0] policy
     /* 1399498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1399511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399532 */     // GIR_Coverage, 7252,
     /* 1399532 */     GIR_EraseRootFromParent_Done,
     /* 1399533 */   // Label 19833: @1399533
     /* 1399533 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1399619), // Rule ID 7253 //
     /* 1399538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1399549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1399552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1399555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399576 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399584 */     // MIs[0] policy
     /* 1399584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1399597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399618 */     // GIR_Coverage, 7253,
     /* 1399618 */     GIR_EraseRootFromParent_Done,
     /* 1399619 */   // Label 19834: @1399619
     /* 1399619 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1399705), // Rule ID 7256 //
     /* 1399624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1399635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1399638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1399641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399662 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399670 */     // MIs[0] policy
     /* 1399670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1399683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399704 */     // GIR_Coverage, 7256,
     /* 1399704 */     GIR_EraseRootFromParent_Done,
     /* 1399705 */   // Label 19835: @1399705
     /* 1399705 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1399791), // Rule ID 7257 //
     /* 1399710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1399721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1399724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1399727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399748 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399756 */     // MIs[0] policy
     /* 1399756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399766 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1399769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399790 */     // GIR_Coverage, 7257,
     /* 1399790 */     GIR_EraseRootFromParent_Done,
     /* 1399791 */   // Label 19836: @1399791
     /* 1399791 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1399877), // Rule ID 7260 //
     /* 1399796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1399807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399834 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399842 */     // MIs[0] policy
     /* 1399842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1399855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399876 */     // GIR_Coverage, 7260,
     /* 1399876 */     GIR_EraseRootFromParent_Done,
     /* 1399877 */   // Label 19837: @1399877
     /* 1399877 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1399963), // Rule ID 7261 //
     /* 1399882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1399893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399920 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1399924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399928 */     // MIs[0] policy
     /* 1399928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1399941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399962 */     // GIR_Coverage, 7261,
     /* 1399962 */     GIR_EraseRootFromParent_Done,
     /* 1399963 */   // Label 19838: @1399963
     /* 1399963 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1400049), // Rule ID 7264 //
     /* 1399968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1399976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1399979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1399982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400006 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400014 */     // MIs[0] policy
     /* 1400014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1400027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400048 */     // GIR_Coverage, 7264,
     /* 1400048 */     GIR_EraseRootFromParent_Done,
     /* 1400049 */   // Label 19839: @1400049
     /* 1400049 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1400135), // Rule ID 7265 //
     /* 1400054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1400065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1400068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1400071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400092 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400100 */     // MIs[0] policy
     /* 1400100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1400113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400134 */     // GIR_Coverage, 7265,
     /* 1400134 */     GIR_EraseRootFromParent_Done,
     /* 1400135 */   // Label 19840: @1400135
     /* 1400135 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1400221), // Rule ID 7268 //
     /* 1400140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1400151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1400154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400186 */     // MIs[0] policy
     /* 1400186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1400199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400220 */     // GIR_Coverage, 7268,
     /* 1400220 */     GIR_EraseRootFromParent_Done,
     /* 1400221 */   // Label 19841: @1400221
     /* 1400221 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1400307), // Rule ID 7269 //
     /* 1400226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1400237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1400240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400272 */     // MIs[0] policy
     /* 1400272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1400285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400306 */     // GIR_Coverage, 7269,
     /* 1400306 */     GIR_EraseRootFromParent_Done,
     /* 1400307 */   // Label 19842: @1400307
     /* 1400307 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1400393), // Rule ID 7272 //
     /* 1400312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1400323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1400326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1400329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400350 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400358 */     // MIs[0] policy
     /* 1400358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1400389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400392 */     // GIR_Coverage, 7272,
     /* 1400392 */     GIR_EraseRootFromParent_Done,
     /* 1400393 */   // Label 19843: @1400393
     /* 1400393 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1400479), // Rule ID 7273 //
     /* 1400398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1400409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1400412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1400415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400436 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400444 */     // MIs[0] policy
     /* 1400444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1400475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400478 */     // GIR_Coverage, 7273,
     /* 1400478 */     GIR_EraseRootFromParent_Done,
     /* 1400479 */   // Label 19844: @1400479
     /* 1400479 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1400565), // Rule ID 7276 //
     /* 1400484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1400501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400522 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400530 */     // MIs[0] policy
     /* 1400530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400564 */     // GIR_Coverage, 7276,
     /* 1400564 */     GIR_EraseRootFromParent_Done,
     /* 1400565 */   // Label 19845: @1400565
     /* 1400565 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1400651), // Rule ID 7277 //
     /* 1400570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1400587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400608 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400616 */     // MIs[0] policy
     /* 1400616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400650 */     // GIR_Coverage, 7277,
     /* 1400650 */     GIR_EraseRootFromParent_Done,
     /* 1400651 */   // Label 19846: @1400651
     /* 1400651 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1400737), // Rule ID 7280 //
     /* 1400656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400694 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400702 */     // MIs[0] policy
     /* 1400702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400736 */     // GIR_Coverage, 7280,
     /* 1400736 */     GIR_EraseRootFromParent_Done,
     /* 1400737 */   // Label 19847: @1400737
     /* 1400737 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1400823), // Rule ID 7281 //
     /* 1400742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400780 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400788 */     // MIs[0] policy
     /* 1400788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400822 */     // GIR_Coverage, 7281,
     /* 1400822 */     GIR_EraseRootFromParent_Done,
     /* 1400823 */   // Label 19848: @1400823
     /* 1400823 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1400909), // Rule ID 7284 //
     /* 1400828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1400831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1400845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400874 */     // MIs[0] policy
     /* 1400874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400908 */     // GIR_Coverage, 7284,
     /* 1400908 */     GIR_EraseRootFromParent_Done,
     /* 1400909 */   // Label 19849: @1400909
     /* 1400909 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1400995), // Rule ID 7285 //
     /* 1400914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1400917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1400922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1400931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400952 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1400956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400960 */     // MIs[0] policy
     /* 1400960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1400973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400994 */     // GIR_Coverage, 7285,
     /* 1400994 */     GIR_EraseRootFromParent_Done,
     /* 1400995 */   // Label 19850: @1400995
     /* 1400995 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1401081), // Rule ID 7288 //
     /* 1401000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1401011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1401014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1401017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401038 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401046 */     // MIs[0] policy
     /* 1401046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1401059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401080 */     // GIR_Coverage, 7288,
     /* 1401080 */     GIR_EraseRootFromParent_Done,
     /* 1401081 */   // Label 19851: @1401081
     /* 1401081 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1401167), // Rule ID 7289 //
     /* 1401086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1401097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1401100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1401103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401124 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401132 */     // MIs[0] policy
     /* 1401132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1401145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401166 */     // GIR_Coverage, 7289,
     /* 1401166 */     GIR_EraseRootFromParent_Done,
     /* 1401167 */   // Label 19852: @1401167
     /* 1401167 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1401253), // Rule ID 7292 //
     /* 1401172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1401183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1401186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1401189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1401195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401210 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401218 */     // MIs[0] policy
     /* 1401218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1401231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401252 */     // GIR_Coverage, 7292,
     /* 1401252 */     GIR_EraseRootFromParent_Done,
     /* 1401253 */   // Label 19853: @1401253
     /* 1401253 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1401339), // Rule ID 7293 //
     /* 1401258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1401269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1401272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1401275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1401281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401296 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401304 */     // MIs[0] policy
     /* 1401304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1401317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401338 */     // GIR_Coverage, 7293,
     /* 1401338 */     GIR_EraseRootFromParent_Done,
     /* 1401339 */   // Label 19854: @1401339
     /* 1401339 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1401425), // Rule ID 7296 //
     /* 1401344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1401355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1401358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1401361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1401367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401382 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401390 */     // MIs[0] policy
     /* 1401390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1401403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401424 */     // GIR_Coverage, 7296,
     /* 1401424 */     GIR_EraseRootFromParent_Done,
     /* 1401425 */   // Label 19855: @1401425
     /* 1401425 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1401511), // Rule ID 7297 //
     /* 1401430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1401441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1401444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1401447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1401453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401476 */     // MIs[0] policy
     /* 1401476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1401489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401510 */     // GIR_Coverage, 7297,
     /* 1401510 */     GIR_EraseRootFromParent_Done,
     /* 1401511 */   // Label 19856: @1401511
     /* 1401511 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1401597), // Rule ID 7300 //
     /* 1401516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1401527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1401530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1401533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401554 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401562 */     // MIs[0] policy
     /* 1401562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1401575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401596 */     // GIR_Coverage, 7300,
     /* 1401596 */     GIR_EraseRootFromParent_Done,
     /* 1401597 */   // Label 19857: @1401597
     /* 1401597 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1401683), // Rule ID 7301 //
     /* 1401602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1401613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1401616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1401619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1401625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401648 */     // MIs[0] policy
     /* 1401648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1401661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401682 */     // GIR_Coverage, 7301,
     /* 1401682 */     GIR_EraseRootFromParent_Done,
     /* 1401683 */   // Label 19858: @1401683
     /* 1401683 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1401769), // Rule ID 7304 //
     /* 1401688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1401699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1401702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1401705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401726 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401734 */     // MIs[0] policy
     /* 1401734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1401747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401768 */     // GIR_Coverage, 7304,
     /* 1401768 */     GIR_EraseRootFromParent_Done,
     /* 1401769 */   // Label 19859: @1401769
     /* 1401769 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1401855), // Rule ID 7305 //
     /* 1401774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1401785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1401788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1401791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401812 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401820 */     // MIs[0] policy
     /* 1401820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1401833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401854 */     // GIR_Coverage, 7305,
     /* 1401854 */     GIR_EraseRootFromParent_Done,
     /* 1401855 */   // Label 19860: @1401855
     /* 1401855 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1401941), // Rule ID 7308 //
     /* 1401860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1401871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1401874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1401877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1401883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401898 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401906 */     // MIs[0] policy
     /* 1401906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1401919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401940 */     // GIR_Coverage, 7308,
     /* 1401940 */     GIR_EraseRootFromParent_Done,
     /* 1401941 */   // Label 19861: @1401941
     /* 1401941 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1402027), // Rule ID 7309 //
     /* 1401946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1401954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1401957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1401960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1401963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1401969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1401988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401992 */     // MIs[0] policy
     /* 1401992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1402005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402026 */     // GIR_Coverage, 7309,
     /* 1402026 */     GIR_EraseRootFromParent_Done,
     /* 1402027 */   // Label 19862: @1402027
     /* 1402027 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1402113), // Rule ID 7312 //
     /* 1402032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402070 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402078 */     // MIs[0] policy
     /* 1402078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1402091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402112 */     // GIR_Coverage, 7312,
     /* 1402112 */     GIR_EraseRootFromParent_Done,
     /* 1402113 */   // Label 19863: @1402113
     /* 1402113 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1402199), // Rule ID 7313 //
     /* 1402118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402156 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402164 */     // MIs[0] policy
     /* 1402164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1402177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402198 */     // GIR_Coverage, 7313,
     /* 1402198 */     GIR_EraseRootFromParent_Done,
     /* 1402199 */   // Label 19864: @1402199
     /* 1402199 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1402285), // Rule ID 7316 //
     /* 1402204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1402215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1402218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402242 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402250 */     // MIs[0] policy
     /* 1402250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1402263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402284 */     // GIR_Coverage, 7316,
     /* 1402284 */     GIR_EraseRootFromParent_Done,
     /* 1402285 */   // Label 19865: @1402285
     /* 1402285 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1402371), // Rule ID 7317 //
     /* 1402290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1402301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1402304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402328 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402336 */     // MIs[0] policy
     /* 1402336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1402349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402370 */     // GIR_Coverage, 7317,
     /* 1402370 */     GIR_EraseRootFromParent_Done,
     /* 1402371 */   // Label 19866: @1402371
     /* 1402371 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1402457), // Rule ID 7320 //
     /* 1402376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1402387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1402390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1402393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402414 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402422 */     // MIs[0] policy
     /* 1402422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1402435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402456 */     // GIR_Coverage, 7320,
     /* 1402456 */     GIR_EraseRootFromParent_Done,
     /* 1402457 */   // Label 19867: @1402457
     /* 1402457 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1402543), // Rule ID 7321 //
     /* 1402462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1402473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1402476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1402479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402508 */     // MIs[0] policy
     /* 1402508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1402521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402542 */     // GIR_Coverage, 7321,
     /* 1402542 */     GIR_EraseRootFromParent_Done,
     /* 1402543 */   // Label 19868: @1402543
     /* 1402543 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1402629), // Rule ID 7324 //
     /* 1402548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1402551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1402559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1402562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1402565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402586 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402594 */     // MIs[0] policy
     /* 1402594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1402607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402628 */     // GIR_Coverage, 7324,
     /* 1402628 */     GIR_EraseRootFromParent_Done,
     /* 1402629 */   // Label 19869: @1402629
     /* 1402629 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1402715), // Rule ID 7325 //
     /* 1402634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1402637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1402645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1402648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1402651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1402657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402672 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402680 */     // MIs[0] policy
     /* 1402680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1402693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402714 */     // GIR_Coverage, 7325,
     /* 1402714 */     GIR_EraseRootFromParent_Done,
     /* 1402715 */   // Label 19870: @1402715
     /* 1402715 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1402801), // Rule ID 7328 //
     /* 1402720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1402723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1402731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1402734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1402737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402758 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402766 */     // MIs[0] policy
     /* 1402766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1402779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402800 */     // GIR_Coverage, 7328,
     /* 1402800 */     GIR_EraseRootFromParent_Done,
     /* 1402801 */   // Label 19871: @1402801
     /* 1402801 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1402887), // Rule ID 7329 //
     /* 1402806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1402809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1402817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1402820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1402823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402852 */     // MIs[0] policy
     /* 1402852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1402865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402886 */     // GIR_Coverage, 7329,
     /* 1402886 */     GIR_EraseRootFromParent_Done,
     /* 1402887 */   // Label 19872: @1402887
     /* 1402887 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1402973), // Rule ID 7332 //
     /* 1402892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1402895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1402903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1402906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1402909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402930 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1402934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402938 */     // MIs[0] policy
     /* 1402938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1402951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402972 */     // GIR_Coverage, 7332,
     /* 1402972 */     GIR_EraseRootFromParent_Done,
     /* 1402973 */   // Label 19873: @1402973
     /* 1402973 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1403059), // Rule ID 7333 //
     /* 1402978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1402981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1402986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1402989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1402992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1402995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403016 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1403020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403024 */     // MIs[0] policy
     /* 1403024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1403037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403058 */     // GIR_Coverage, 7333,
     /* 1403058 */     GIR_EraseRootFromParent_Done,
     /* 1403059 */   // Label 19874: @1403059
     /* 1403059 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1403147), // Rule ID 2638 //
     /* 1403064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1403075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1403078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403103 */     // MIs[0] Operand 5
     /* 1403103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403114 */     // MIs[0] policy
     /* 1403114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1403127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403146 */     // GIR_Coverage, 2638,
     /* 1403146 */     GIR_EraseRootFromParent_Done,
     /* 1403147 */   // Label 19875: @1403147
     /* 1403147 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1403235), // Rule ID 2639 //
     /* 1403152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1403163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1403166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403191 */     // MIs[0] Operand 5
     /* 1403191 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403202 */     // MIs[0] policy
     /* 1403202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1403215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403234 */     // GIR_Coverage, 2639,
     /* 1403234 */     GIR_EraseRootFromParent_Done,
     /* 1403235 */   // Label 19876: @1403235
     /* 1403235 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1403323), // Rule ID 20530 //
     /* 1403240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1403251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1403254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403279 */     // MIs[0] Operand 5
     /* 1403279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403290 */     // MIs[0] policy
     /* 1403290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1403303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403322 */     // GIR_Coverage, 20530,
     /* 1403322 */     GIR_EraseRootFromParent_Done,
     /* 1403323 */   // Label 19877: @1403323
     /* 1403323 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1403411), // Rule ID 20531 //
     /* 1403328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1403339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1403342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403367 */     // MIs[0] Operand 5
     /* 1403367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403378 */     // MIs[0] policy
     /* 1403378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1403391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403410 */     // GIR_Coverage, 20531,
     /* 1403410 */     GIR_EraseRootFromParent_Done,
     /* 1403411 */   // Label 19878: @1403411
     /* 1403411 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1403499), // Rule ID 20534 //
     /* 1403416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1403427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1403430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1403433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403455 */     // MIs[0] Operand 5
     /* 1403455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403466 */     // MIs[0] policy
     /* 1403466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1403479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403498 */     // GIR_Coverage, 20534,
     /* 1403498 */     GIR_EraseRootFromParent_Done,
     /* 1403499 */   // Label 19879: @1403499
     /* 1403499 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1403587), // Rule ID 20535 //
     /* 1403504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1403515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1403518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1403521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403543 */     // MIs[0] Operand 5
     /* 1403543 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403554 */     // MIs[0] policy
     /* 1403554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1403567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403586 */     // GIR_Coverage, 20535,
     /* 1403586 */     GIR_EraseRootFromParent_Done,
     /* 1403587 */   // Label 19880: @1403587
     /* 1403587 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1403675), // Rule ID 20538 //
     /* 1403592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1403609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403631 */     // MIs[0] Operand 5
     /* 1403631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403642 */     // MIs[0] policy
     /* 1403642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1403655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403674 */     // GIR_Coverage, 20538,
     /* 1403674 */     GIR_EraseRootFromParent_Done,
     /* 1403675 */   // Label 19881: @1403675
     /* 1403675 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1403763), // Rule ID 20539 //
     /* 1403680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1403697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403719 */     // MIs[0] Operand 5
     /* 1403719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403730 */     // MIs[0] policy
     /* 1403730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1403743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403762 */     // GIR_Coverage, 20539,
     /* 1403762 */     GIR_EraseRootFromParent_Done,
     /* 1403763 */   // Label 19882: @1403763
     /* 1403763 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1403851), // Rule ID 20542 //
     /* 1403768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1403771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1403785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403807 */     // MIs[0] Operand 5
     /* 1403807 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403818 */     // MIs[0] policy
     /* 1403818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1403831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403850 */     // GIR_Coverage, 20542,
     /* 1403850 */     GIR_EraseRootFromParent_Done,
     /* 1403851 */   // Label 19883: @1403851
     /* 1403851 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1403939), // Rule ID 20543 //
     /* 1403856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1403859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1403873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403895 */     // MIs[0] Operand 5
     /* 1403895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403906 */     // MIs[0] policy
     /* 1403906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1403919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403938 */     // GIR_Coverage, 20543,
     /* 1403938 */     GIR_EraseRootFromParent_Done,
     /* 1403939 */   // Label 19884: @1403939
     /* 1403939 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1404027), // Rule ID 20546 //
     /* 1403944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1403947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1403952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1403961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403983 */     // MIs[0] Operand 5
     /* 1403983 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403994 */     // MIs[0] policy
     /* 1403994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1404007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404026 */     // GIR_Coverage, 20546,
     /* 1404026 */     GIR_EraseRootFromParent_Done,
     /* 1404027 */   // Label 19885: @1404027
     /* 1404027 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1404115), // Rule ID 20547 //
     /* 1404032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1404035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1404049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404071 */     // MIs[0] Operand 5
     /* 1404071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404082 */     // MIs[0] policy
     /* 1404082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1404095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404114 */     // GIR_Coverage, 20547,
     /* 1404114 */     GIR_EraseRootFromParent_Done,
     /* 1404115 */   // Label 19886: @1404115
     /* 1404115 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1404203), // Rule ID 20550 //
     /* 1404120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1404131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1404134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404159 */     // MIs[0] Operand 5
     /* 1404159 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404170 */     // MIs[0] policy
     /* 1404170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1404183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404202 */     // GIR_Coverage, 20550,
     /* 1404202 */     GIR_EraseRootFromParent_Done,
     /* 1404203 */   // Label 19887: @1404203
     /* 1404203 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1404291), // Rule ID 20551 //
     /* 1404208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1404219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1404222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404247 */     // MIs[0] Operand 5
     /* 1404247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404258 */     // MIs[0] policy
     /* 1404258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1404271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404290 */     // GIR_Coverage, 20551,
     /* 1404290 */     GIR_EraseRootFromParent_Done,
     /* 1404291 */   // Label 19888: @1404291
     /* 1404291 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1404379), // Rule ID 20554 //
     /* 1404296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1404307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1404310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404335 */     // MIs[0] Operand 5
     /* 1404335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404346 */     // MIs[0] policy
     /* 1404346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1404359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404378 */     // GIR_Coverage, 20554,
     /* 1404378 */     GIR_EraseRootFromParent_Done,
     /* 1404379 */   // Label 19889: @1404379
     /* 1404379 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1404467), // Rule ID 20555 //
     /* 1404384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1404395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1404398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404423 */     // MIs[0] Operand 5
     /* 1404423 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404434 */     // MIs[0] policy
     /* 1404434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1404447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404466 */     // GIR_Coverage, 20555,
     /* 1404466 */     GIR_EraseRootFromParent_Done,
     /* 1404467 */   // Label 19890: @1404467
     /* 1404467 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1404555), // Rule ID 20558 //
     /* 1404472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1404483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1404486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1404492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404511 */     // MIs[0] Operand 5
     /* 1404511 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404522 */     // MIs[0] policy
     /* 1404522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404532 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1404535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404554 */     // GIR_Coverage, 20558,
     /* 1404554 */     GIR_EraseRootFromParent_Done,
     /* 1404555 */   // Label 19891: @1404555
     /* 1404555 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1404643), // Rule ID 20559 //
     /* 1404560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1404571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1404574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1404580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404599 */     // MIs[0] Operand 5
     /* 1404599 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404610 */     // MIs[0] policy
     /* 1404610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404620 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1404623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404642 */     // GIR_Coverage, 20559,
     /* 1404642 */     GIR_EraseRootFromParent_Done,
     /* 1404643 */   // Label 19892: @1404643
     /* 1404643 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1404731), // Rule ID 20562 //
     /* 1404648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1404651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1404665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404687 */     // MIs[0] Operand 5
     /* 1404687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404698 */     // MIs[0] policy
     /* 1404698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1404711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404730 */     // GIR_Coverage, 20562,
     /* 1404730 */     GIR_EraseRootFromParent_Done,
     /* 1404731 */   // Label 19893: @1404731
     /* 1404731 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1404819), // Rule ID 20563 //
     /* 1404736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1404739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1404753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404775 */     // MIs[0] Operand 5
     /* 1404775 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404786 */     // MIs[0] policy
     /* 1404786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1404799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404818 */     // GIR_Coverage, 20563,
     /* 1404818 */     GIR_EraseRootFromParent_Done,
     /* 1404819 */   // Label 19894: @1404819
     /* 1404819 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1404907), // Rule ID 20566 //
     /* 1404824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1404827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1404841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404863 */     // MIs[0] Operand 5
     /* 1404863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404874 */     // MIs[0] policy
     /* 1404874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1404887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404906 */     // GIR_Coverage, 20566,
     /* 1404906 */     GIR_EraseRootFromParent_Done,
     /* 1404907 */   // Label 19895: @1404907
     /* 1404907 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1404995), // Rule ID 20567 //
     /* 1404912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1404915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1404920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1404929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404951 */     // MIs[0] Operand 5
     /* 1404951 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404962 */     // MIs[0] policy
     /* 1404962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1404975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404994 */     // GIR_Coverage, 20567,
     /* 1404994 */     GIR_EraseRootFromParent_Done,
     /* 1404995 */   // Label 19896: @1404995
     /* 1404995 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1405083), // Rule ID 20570 //
     /* 1405000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1405003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1405011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1405014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1405017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1405020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405039 */     // MIs[0] Operand 5
     /* 1405039 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405050 */     // MIs[0] policy
     /* 1405050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1405063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405082 */     // GIR_Coverage, 20570,
     /* 1405082 */     GIR_EraseRootFromParent_Done,
     /* 1405083 */   // Label 19897: @1405083
     /* 1405083 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1405171), // Rule ID 20571 //
     /* 1405088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1405091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1405099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1405102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1405105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1405108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405127 */     // MIs[0] Operand 5
     /* 1405127 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405138 */     // MIs[0] policy
     /* 1405138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1405151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405170 */     // GIR_Coverage, 20571,
     /* 1405170 */     GIR_EraseRootFromParent_Done,
     /* 1405171 */   // Label 19898: @1405171
     /* 1405171 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1405259), // Rule ID 20574 //
     /* 1405176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1405179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405215 */     // MIs[0] Operand 5
     /* 1405215 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405226 */     // MIs[0] policy
     /* 1405226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1405239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405258 */     // GIR_Coverage, 20574,
     /* 1405258 */     GIR_EraseRootFromParent_Done,
     /* 1405259 */   // Label 19899: @1405259
     /* 1405259 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1405347), // Rule ID 20575 //
     /* 1405264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1405267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405303 */     // MIs[0] Operand 5
     /* 1405303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405314 */     // MIs[0] policy
     /* 1405314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1405327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405346 */     // GIR_Coverage, 20575,
     /* 1405346 */     GIR_EraseRootFromParent_Done,
     /* 1405347 */   // Label 19900: @1405347
     /* 1405347 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1405435), // Rule ID 20578 //
     /* 1405352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1405355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1405369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405391 */     // MIs[0] Operand 5
     /* 1405391 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405402 */     // MIs[0] policy
     /* 1405402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1405415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405434 */     // GIR_Coverage, 20578,
     /* 1405434 */     GIR_EraseRootFromParent_Done,
     /* 1405435 */   // Label 19901: @1405435
     /* 1405435 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1405523), // Rule ID 20579 //
     /* 1405440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1405443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1405457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405479 */     // MIs[0] Operand 5
     /* 1405479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405490 */     // MIs[0] policy
     /* 1405490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1405503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405522 */     // GIR_Coverage, 20579,
     /* 1405522 */     GIR_EraseRootFromParent_Done,
     /* 1405523 */   // Label 19902: @1405523
     /* 1405523 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1405611), // Rule ID 20582 //
     /* 1405528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1405531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405567 */     // MIs[0] Operand 5
     /* 1405567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405578 */     // MIs[0] policy
     /* 1405578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1405591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405610 */     // GIR_Coverage, 20582,
     /* 1405610 */     GIR_EraseRootFromParent_Done,
     /* 1405611 */   // Label 19903: @1405611
     /* 1405611 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1405699), // Rule ID 20583 //
     /* 1405616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1405619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1405624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405655 */     // MIs[0] Operand 5
     /* 1405655 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405666 */     // MIs[0] policy
     /* 1405666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1405679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405698 */     // GIR_Coverage, 20583,
     /* 1405698 */     GIR_EraseRootFromParent_Done,
     /* 1405699 */   // Label 19904: @1405699
     /* 1405699 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1405787), // Rule ID 20586 //
     /* 1405704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1405712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405743 */     // MIs[0] Operand 5
     /* 1405743 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405754 */     // MIs[0] policy
     /* 1405754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1405767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405786 */     // GIR_Coverage, 20586,
     /* 1405786 */     GIR_EraseRootFromParent_Done,
     /* 1405787 */   // Label 19905: @1405787
     /* 1405787 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1405875), // Rule ID 20587 //
     /* 1405792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1405800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405831 */     // MIs[0] Operand 5
     /* 1405831 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405842 */     // MIs[0] policy
     /* 1405842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1405855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405874 */     // GIR_Coverage, 20587,
     /* 1405874 */     GIR_EraseRootFromParent_Done,
     /* 1405875 */   // Label 19906: @1405875
     /* 1405875 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1405963), // Rule ID 20590 //
     /* 1405880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1405888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405919 */     // MIs[0] Operand 5
     /* 1405919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405930 */     // MIs[0] policy
     /* 1405930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1405943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405962 */     // GIR_Coverage, 20590,
     /* 1405962 */     GIR_EraseRootFromParent_Done,
     /* 1405963 */   // Label 19907: @1405963
     /* 1405963 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1406051), // Rule ID 20591 //
     /* 1405968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1405976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406007 */     // MIs[0] Operand 5
     /* 1406007 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406018 */     // MIs[0] policy
     /* 1406018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1406031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406050 */     // GIR_Coverage, 20591,
     /* 1406050 */     GIR_EraseRootFromParent_Done,
     /* 1406051 */   // Label 19908: @1406051
     /* 1406051 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1406139), // Rule ID 20594 //
     /* 1406056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406095 */     // MIs[0] Operand 5
     /* 1406095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406106 */     // MIs[0] policy
     /* 1406106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1406119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406138 */     // GIR_Coverage, 20594,
     /* 1406138 */     GIR_EraseRootFromParent_Done,
     /* 1406139 */   // Label 19909: @1406139
     /* 1406139 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1406227), // Rule ID 20595 //
     /* 1406144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1406147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406183 */     // MIs[0] Operand 5
     /* 1406183 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406194 */     // MIs[0] policy
     /* 1406194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1406207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406226 */     // GIR_Coverage, 20595,
     /* 1406226 */     GIR_EraseRootFromParent_Done,
     /* 1406227 */   // Label 19910: @1406227
     /* 1406227 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1406315), // Rule ID 20598 //
     /* 1406232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1406243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1406246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406271 */     // MIs[0] Operand 5
     /* 1406271 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406282 */     // MIs[0] policy
     /* 1406282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1406295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406314 */     // GIR_Coverage, 20598,
     /* 1406314 */     GIR_EraseRootFromParent_Done,
     /* 1406315 */   // Label 19911: @1406315
     /* 1406315 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1406403), // Rule ID 20599 //
     /* 1406320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1406331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1406334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406359 */     // MIs[0] Operand 5
     /* 1406359 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406370 */     // MIs[0] policy
     /* 1406370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1406383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406402 */     // GIR_Coverage, 20599,
     /* 1406402 */     GIR_EraseRootFromParent_Done,
     /* 1406403 */   // Label 19912: @1406403
     /* 1406403 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1406491), // Rule ID 20602 //
     /* 1406408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406447 */     // MIs[0] Operand 5
     /* 1406447 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406458 */     // MIs[0] policy
     /* 1406458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1406471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406490 */     // GIR_Coverage, 20602,
     /* 1406490 */     GIR_EraseRootFromParent_Done,
     /* 1406491 */   // Label 19913: @1406491
     /* 1406491 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1406579), // Rule ID 20603 //
     /* 1406496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1406499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406535 */     // MIs[0] Operand 5
     /* 1406535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406546 */     // MIs[0] policy
     /* 1406546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1406559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406578 */     // GIR_Coverage, 20603,
     /* 1406578 */     GIR_EraseRootFromParent_Done,
     /* 1406579 */   // Label 19914: @1406579
     /* 1406579 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1406667), // Rule ID 20606 //
     /* 1406584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1406587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406623 */     // MIs[0] Operand 5
     /* 1406623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406634 */     // MIs[0] policy
     /* 1406634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1406647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406666 */     // GIR_Coverage, 20606,
     /* 1406666 */     GIR_EraseRootFromParent_Done,
     /* 1406667 */   // Label 19915: @1406667
     /* 1406667 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1406755), // Rule ID 20607 //
     /* 1406672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1406675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406711 */     // MIs[0] Operand 5
     /* 1406711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406722 */     // MIs[0] policy
     /* 1406722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1406735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406754 */     // GIR_Coverage, 20607,
     /* 1406754 */     GIR_EraseRootFromParent_Done,
     /* 1406755 */   // Label 19916: @1406755
     /* 1406755 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1406843), // Rule ID 20610 //
     /* 1406760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1406771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1406774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406799 */     // MIs[0] Operand 5
     /* 1406799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406810 */     // MIs[0] policy
     /* 1406810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406820 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1406823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406842 */     // GIR_Coverage, 20610,
     /* 1406842 */     GIR_EraseRootFromParent_Done,
     /* 1406843 */   // Label 19917: @1406843
     /* 1406843 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1406931), // Rule ID 20611 //
     /* 1406848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1406859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1406862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406887 */     // MIs[0] Operand 5
     /* 1406887 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406898 */     // MIs[0] policy
     /* 1406898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1406911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406930 */     // GIR_Coverage, 20611,
     /* 1406930 */     GIR_EraseRootFromParent_Done,
     /* 1406931 */   // Label 19918: @1406931
     /* 1406931 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1407019), // Rule ID 20614 //
     /* 1406936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1406944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1406947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1406950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406975 */     // MIs[0] Operand 5
     /* 1406975 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406986 */     // MIs[0] policy
     /* 1406986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1406999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407018 */     // GIR_Coverage, 20614,
     /* 1407018 */     GIR_EraseRootFromParent_Done,
     /* 1407019 */   // Label 19919: @1407019
     /* 1407019 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1407107), // Rule ID 20615 //
     /* 1407024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1407035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1407038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407063 */     // MIs[0] Operand 5
     /* 1407063 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407074 */     // MIs[0] policy
     /* 1407074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1407087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407106 */     // GIR_Coverage, 20615,
     /* 1407106 */     GIR_EraseRootFromParent_Done,
     /* 1407107 */   // Label 19920: @1407107
     /* 1407107 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1407195), // Rule ID 20618 //
     /* 1407112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1407115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407151 */     // MIs[0] Operand 5
     /* 1407151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407162 */     // MIs[0] policy
     /* 1407162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1407175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407194 */     // GIR_Coverage, 20618,
     /* 1407194 */     GIR_EraseRootFromParent_Done,
     /* 1407195 */   // Label 19921: @1407195
     /* 1407195 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1407283), // Rule ID 20619 //
     /* 1407200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1407203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1407220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407239 */     // MIs[0] Operand 5
     /* 1407239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407250 */     // MIs[0] policy
     /* 1407250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1407263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407282 */     // GIR_Coverage, 20619,
     /* 1407282 */     GIR_EraseRootFromParent_Done,
     /* 1407283 */   // Label 19922: @1407283
     /* 1407283 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1407371), // Rule ID 20622 //
     /* 1407288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1407299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1407302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407327 */     // MIs[0] Operand 5
     /* 1407327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407338 */     // MIs[0] policy
     /* 1407338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1407351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407370 */     // GIR_Coverage, 20622,
     /* 1407370 */     GIR_EraseRootFromParent_Done,
     /* 1407371 */   // Label 19923: @1407371
     /* 1407371 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1407459), // Rule ID 20623 //
     /* 1407376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1407387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1407390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407415 */     // MIs[0] Operand 5
     /* 1407415 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407426 */     // MIs[0] policy
     /* 1407426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1407439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407458 */     // GIR_Coverage, 20623,
     /* 1407458 */     GIR_EraseRootFromParent_Done,
     /* 1407459 */   // Label 19924: @1407459
     /* 1407459 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1407547), // Rule ID 20626 //
     /* 1407464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1407475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1407478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407503 */     // MIs[0] Operand 5
     /* 1407503 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407514 */     // MIs[0] policy
     /* 1407514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1407527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407546 */     // GIR_Coverage, 20626,
     /* 1407546 */     GIR_EraseRootFromParent_Done,
     /* 1407547 */   // Label 19925: @1407547
     /* 1407547 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1407635), // Rule ID 20627 //
     /* 1407552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1407563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1407566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407591 */     // MIs[0] Operand 5
     /* 1407591 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407602 */     // MIs[0] policy
     /* 1407602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407612 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1407615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407634 */     // GIR_Coverage, 20627,
     /* 1407634 */     GIR_EraseRootFromParent_Done,
     /* 1407635 */   // Label 19926: @1407635
     /* 1407635 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1407723), // Rule ID 20630 //
     /* 1407640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1407651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1407654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407679 */     // MIs[0] Operand 5
     /* 1407679 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407690 */     // MIs[0] policy
     /* 1407690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1407703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407722 */     // GIR_Coverage, 20630,
     /* 1407722 */     GIR_EraseRootFromParent_Done,
     /* 1407723 */   // Label 19927: @1407723
     /* 1407723 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1407811), // Rule ID 20631 //
     /* 1407728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1407739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1407742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407767 */     // MIs[0] Operand 5
     /* 1407767 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407778 */     // MIs[0] policy
     /* 1407778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1407791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407810 */     // GIR_Coverage, 20631,
     /* 1407810 */     GIR_EraseRootFromParent_Done,
     /* 1407811 */   // Label 19928: @1407811
     /* 1407811 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1407899), // Rule ID 20634 //
     /* 1407816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1407819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1407827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1407830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407855 */     // MIs[0] Operand 5
     /* 1407855 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407866 */     // MIs[0] policy
     /* 1407866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1407879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407898 */     // GIR_Coverage, 20634,
     /* 1407898 */     GIR_EraseRootFromParent_Done,
     /* 1407899 */   // Label 19929: @1407899
     /* 1407899 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1407987), // Rule ID 20635 //
     /* 1407904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1407907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1407912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1407915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1407918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407943 */     // MIs[0] Operand 5
     /* 1407943 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407954 */     // MIs[0] policy
     /* 1407954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1407967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407986 */     // GIR_Coverage, 20635,
     /* 1407986 */     GIR_EraseRootFromParent_Done,
     /* 1407987 */   // Label 19930: @1407987
     /* 1407987 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1408075), // Rule ID 20638 //
     /* 1407992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1407995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1408003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1408006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408031 */     // MIs[0] Operand 5
     /* 1408031 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408042 */     // MIs[0] policy
     /* 1408042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1408055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408074 */     // GIR_Coverage, 20638,
     /* 1408074 */     GIR_EraseRootFromParent_Done,
     /* 1408075 */   // Label 19931: @1408075
     /* 1408075 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1408163), // Rule ID 20639 //
     /* 1408080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1408083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1408091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1408094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408119 */     // MIs[0] Operand 5
     /* 1408119 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408130 */     // MIs[0] policy
     /* 1408130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1408143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408162 */     // GIR_Coverage, 20639,
     /* 1408162 */     GIR_EraseRootFromParent_Done,
     /* 1408163 */   // Label 19932: @1408163
     /* 1408163 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1408251), // Rule ID 20642 //
     /* 1408168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1408171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1408179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1408182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408207 */     // MIs[0] Operand 5
     /* 1408207 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408218 */     // MIs[0] policy
     /* 1408218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1408231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408250 */     // GIR_Coverage, 20642,
     /* 1408250 */     GIR_EraseRootFromParent_Done,
     /* 1408251 */   // Label 19933: @1408251
     /* 1408251 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1408339), // Rule ID 20643 //
     /* 1408256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1408259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1408264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1408267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1408270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408295 */     // MIs[0] Operand 5
     /* 1408295 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408306 */     // MIs[0] policy
     /* 1408306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408316 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1408319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408338 */     // GIR_Coverage, 20643,
     /* 1408338 */     GIR_EraseRootFromParent_Done,
     /* 1408339 */   // Label 19934: @1408339
     /* 1408339 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1408427), // Rule ID 21002 //
     /* 1408344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1408361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408383 */     // MIs[0] Operand 5
     /* 1408383 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408394 */     // MIs[0] policy
     /* 1408394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1408407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408426 */     // GIR_Coverage, 21002,
     /* 1408426 */     GIR_EraseRootFromParent_Done,
     /* 1408427 */   // Label 19935: @1408427
     /* 1408427 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1408515), // Rule ID 21003 //
     /* 1408432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1408443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1408446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1408449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408471 */     // MIs[0] Operand 5
     /* 1408471 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408482 */     // MIs[0] policy
     /* 1408482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1408495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408514 */     // GIR_Coverage, 21003,
     /* 1408514 */     GIR_EraseRootFromParent_Done,
     /* 1408515 */   // Label 19936: @1408515
     /* 1408515 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1408603), // Rule ID 21006 //
     /* 1408520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1408531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1408534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408559 */     // MIs[0] Operand 5
     /* 1408559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408570 */     // MIs[0] policy
     /* 1408570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408602 */     // GIR_Coverage, 21006,
     /* 1408602 */     GIR_EraseRootFromParent_Done,
     /* 1408603 */   // Label 19937: @1408603
     /* 1408603 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1408691), // Rule ID 21007 //
     /* 1408608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1408619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1408622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408647 */     // MIs[0] Operand 5
     /* 1408647 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408658 */     // MIs[0] policy
     /* 1408658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1408671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408690 */     // GIR_Coverage, 21007,
     /* 1408690 */     GIR_EraseRootFromParent_Done,
     /* 1408691 */   // Label 19938: @1408691
     /* 1408691 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1408779), // Rule ID 21010 //
     /* 1408696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408735 */     // MIs[0] Operand 5
     /* 1408735 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408746 */     // MIs[0] policy
     /* 1408746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408778 */     // GIR_Coverage, 21010,
     /* 1408778 */     GIR_EraseRootFromParent_Done,
     /* 1408779 */   // Label 19939: @1408779
     /* 1408779 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1408867), // Rule ID 21011 //
     /* 1408784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408823 */     // MIs[0] Operand 5
     /* 1408823 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408834 */     // MIs[0] policy
     /* 1408834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1408847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408866 */     // GIR_Coverage, 21011,
     /* 1408866 */     GIR_EraseRootFromParent_Done,
     /* 1408867 */   // Label 19940: @1408867
     /* 1408867 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1408955), // Rule ID 21014 //
     /* 1408872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408911 */     // MIs[0] Operand 5
     /* 1408911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408922 */     // MIs[0] policy
     /* 1408922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1408935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408954 */     // GIR_Coverage, 21014,
     /* 1408954 */     GIR_EraseRootFromParent_Done,
     /* 1408955 */   // Label 19941: @1408955
     /* 1408955 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1409043), // Rule ID 21015 //
     /* 1408960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1408968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408999 */     // MIs[0] Operand 5
     /* 1408999 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409010 */     // MIs[0] policy
     /* 1409010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409042 */     // GIR_Coverage, 21015,
     /* 1409042 */     GIR_EraseRootFromParent_Done,
     /* 1409043 */   // Label 19942: @1409043
     /* 1409043 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1409131), // Rule ID 21018 //
     /* 1409048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409087 */     // MIs[0] Operand 5
     /* 1409087 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409098 */     // MIs[0] policy
     /* 1409098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409130 */     // GIR_Coverage, 21018,
     /* 1409130 */     GIR_EraseRootFromParent_Done,
     /* 1409131 */   // Label 19943: @1409131
     /* 1409131 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1409219), // Rule ID 21019 //
     /* 1409136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409175 */     // MIs[0] Operand 5
     /* 1409175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409186 */     // MIs[0] policy
     /* 1409186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409218 */     // GIR_Coverage, 21019,
     /* 1409218 */     GIR_EraseRootFromParent_Done,
     /* 1409219 */   // Label 19944: @1409219
     /* 1409219 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1409307), // Rule ID 21022 //
     /* 1409224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1409227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1409235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1409238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1409241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409263 */     // MIs[0] Operand 5
     /* 1409263 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409274 */     // MIs[0] policy
     /* 1409274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1409287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409306 */     // GIR_Coverage, 21022,
     /* 1409306 */     GIR_EraseRootFromParent_Done,
     /* 1409307 */   // Label 19945: @1409307
     /* 1409307 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1409395), // Rule ID 21023 //
     /* 1409312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1409315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1409323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1409326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1409329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409351 */     // MIs[0] Operand 5
     /* 1409351 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409362 */     // MIs[0] policy
     /* 1409362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1409375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409394 */     // GIR_Coverage, 21023,
     /* 1409394 */     GIR_EraseRootFromParent_Done,
     /* 1409395 */   // Label 19946: @1409395
     /* 1409395 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1409483), // Rule ID 21026 //
     /* 1409400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1409403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1409411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1409414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1409417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409439 */     // MIs[0] Operand 5
     /* 1409439 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409450 */     // MIs[0] policy
     /* 1409450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1409463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409482 */     // GIR_Coverage, 21026,
     /* 1409482 */     GIR_EraseRootFromParent_Done,
     /* 1409483 */   // Label 19947: @1409483
     /* 1409483 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1409571), // Rule ID 21027 //
     /* 1409488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1409491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1409499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1409502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1409505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409527 */     // MIs[0] Operand 5
     /* 1409527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409538 */     // MIs[0] policy
     /* 1409538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1409551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409570 */     // GIR_Coverage, 21027,
     /* 1409570 */     GIR_EraseRootFromParent_Done,
     /* 1409571 */   // Label 19948: @1409571
     /* 1409571 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1409659), // Rule ID 21030 //
     /* 1409576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1409579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1409587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1409590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409615 */     // MIs[0] Operand 5
     /* 1409615 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409626 */     // MIs[0] policy
     /* 1409626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409658 */     // GIR_Coverage, 21030,
     /* 1409658 */     GIR_EraseRootFromParent_Done,
     /* 1409659 */   // Label 19949: @1409659
     /* 1409659 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1409747), // Rule ID 21031 //
     /* 1409664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1409667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1409675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1409678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409703 */     // MIs[0] Operand 5
     /* 1409703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409714 */     // MIs[0] policy
     /* 1409714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1409727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409746 */     // GIR_Coverage, 21031,
     /* 1409746 */     GIR_EraseRootFromParent_Done,
     /* 1409747 */   // Label 19950: @1409747
     /* 1409747 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1409835), // Rule ID 21034 //
     /* 1409752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1409755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1409763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1409766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409791 */     // MIs[0] Operand 5
     /* 1409791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409802 */     // MIs[0] policy
     /* 1409802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409834 */     // GIR_Coverage, 21034,
     /* 1409834 */     GIR_EraseRootFromParent_Done,
     /* 1409835 */   // Label 19951: @1409835
     /* 1409835 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1409923), // Rule ID 21035 //
     /* 1409840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1409843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1409848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1409851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1409854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409879 */     // MIs[0] Operand 5
     /* 1409879 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409890 */     // MIs[0] policy
     /* 1409890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1409903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409922 */     // GIR_Coverage, 21035,
     /* 1409922 */     GIR_EraseRootFromParent_Done,
     /* 1409923 */   // Label 19952: @1409923
     /* 1409923 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1410011), // Rule ID 21038 //
     /* 1409928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1409936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1409945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409967 */     // MIs[0] Operand 5
     /* 1409967 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409978 */     // MIs[0] policy
     /* 1409978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1409991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410010 */     // GIR_Coverage, 21038,
     /* 1410010 */     GIR_EraseRootFromParent_Done,
     /* 1410011 */   // Label 19953: @1410011
     /* 1410011 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1410099), // Rule ID 21039 //
     /* 1410016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410055 */     // MIs[0] Operand 5
     /* 1410055 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410066 */     // MIs[0] policy
     /* 1410066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1410079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410098 */     // GIR_Coverage, 21039,
     /* 1410098 */     GIR_EraseRootFromParent_Done,
     /* 1410099 */   // Label 19954: @1410099
     /* 1410099 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1410187), // Rule ID 21042 //
     /* 1410104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410143 */     // MIs[0] Operand 5
     /* 1410143 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410154 */     // MIs[0] policy
     /* 1410154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410186 */     // GIR_Coverage, 21042,
     /* 1410186 */     GIR_EraseRootFromParent_Done,
     /* 1410187 */   // Label 19955: @1410187
     /* 1410187 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1410275), // Rule ID 21043 //
     /* 1410192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410231 */     // MIs[0] Operand 5
     /* 1410231 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410242 */     // MIs[0] policy
     /* 1410242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410274 */     // GIR_Coverage, 21043,
     /* 1410274 */     GIR_EraseRootFromParent_Done,
     /* 1410275 */   // Label 19956: @1410275
     /* 1410275 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1410363), // Rule ID 21046 //
     /* 1410280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410319 */     // MIs[0] Operand 5
     /* 1410319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410330 */     // MIs[0] policy
     /* 1410330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1410343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410362 */     // GIR_Coverage, 21046,
     /* 1410362 */     GIR_EraseRootFromParent_Done,
     /* 1410363 */   // Label 19957: @1410363
     /* 1410363 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1410451), // Rule ID 21047 //
     /* 1410368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410407 */     // MIs[0] Operand 5
     /* 1410407 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410418 */     // MIs[0] policy
     /* 1410418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1410431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410450 */     // GIR_Coverage, 21047,
     /* 1410450 */     GIR_EraseRootFromParent_Done,
     /* 1410451 */   // Label 19958: @1410451
     /* 1410451 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1410539), // Rule ID 21050 //
     /* 1410456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410495 */     // MIs[0] Operand 5
     /* 1410495 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410506 */     // MIs[0] policy
     /* 1410506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1410519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410538 */     // GIR_Coverage, 21050,
     /* 1410538 */     GIR_EraseRootFromParent_Done,
     /* 1410539 */   // Label 19959: @1410539
     /* 1410539 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1410627), // Rule ID 21051 //
     /* 1410544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410583 */     // MIs[0] Operand 5
     /* 1410583 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410594 */     // MIs[0] policy
     /* 1410594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1410607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410626 */     // GIR_Coverage, 21051,
     /* 1410626 */     GIR_EraseRootFromParent_Done,
     /* 1410627 */   // Label 19960: @1410627
     /* 1410627 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1410715), // Rule ID 21054 //
     /* 1410632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1410643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1410646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410671 */     // MIs[0] Operand 5
     /* 1410671 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410682 */     // MIs[0] policy
     /* 1410682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1410695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410714 */     // GIR_Coverage, 21054,
     /* 1410714 */     GIR_EraseRootFromParent_Done,
     /* 1410715 */   // Label 19961: @1410715
     /* 1410715 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1410803), // Rule ID 21055 //
     /* 1410720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1410731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1410734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1410737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410759 */     // MIs[0] Operand 5
     /* 1410759 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410770 */     // MIs[0] policy
     /* 1410770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1410783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410802 */     // GIR_Coverage, 21055,
     /* 1410802 */     GIR_EraseRootFromParent_Done,
     /* 1410803 */   // Label 19962: @1410803
     /* 1410803 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1410891), // Rule ID 21058 //
     /* 1410808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1410811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1410819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1410822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410847 */     // MIs[0] Operand 5
     /* 1410847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410858 */     // MIs[0] policy
     /* 1410858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410890 */     // GIR_Coverage, 21058,
     /* 1410890 */     GIR_EraseRootFromParent_Done,
     /* 1410891 */   // Label 19963: @1410891
     /* 1410891 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1410979), // Rule ID 21059 //
     /* 1410896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1410899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1410907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1410910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410935 */     // MIs[0] Operand 5
     /* 1410935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410946 */     // MIs[0] policy
     /* 1410946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410978 */     // GIR_Coverage, 21059,
     /* 1410978 */     GIR_EraseRootFromParent_Done,
     /* 1410979 */   // Label 19964: @1410979
     /* 1410979 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1411067), // Rule ID 21062 //
     /* 1410984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1410987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1410992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1410995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1410998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411023 */     // MIs[0] Operand 5
     /* 1411023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411034 */     // MIs[0] policy
     /* 1411034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1411047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411066 */     // GIR_Coverage, 21062,
     /* 1411066 */     GIR_EraseRootFromParent_Done,
     /* 1411067 */   // Label 19965: @1411067
     /* 1411067 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1411155), // Rule ID 21063 //
     /* 1411072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1411080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1411083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1411086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411111 */     // MIs[0] Operand 5
     /* 1411111 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411122 */     // MIs[0] policy
     /* 1411122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1411135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411154 */     // GIR_Coverage, 21063,
     /* 1411154 */     GIR_EraseRootFromParent_Done,
     /* 1411155 */   // Label 19966: @1411155
     /* 1411155 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1411243), // Rule ID 21066 //
     /* 1411160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1411168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1411171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1411174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411199 */     // MIs[0] Operand 5
     /* 1411199 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411210 */     // MIs[0] policy
     /* 1411210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1411223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411242 */     // GIR_Coverage, 21066,
     /* 1411242 */     GIR_EraseRootFromParent_Done,
     /* 1411243 */   // Label 19967: @1411243
     /* 1411243 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1411331), // Rule ID 21067 //
     /* 1411248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1411256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1411259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1411262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411287 */     // MIs[0] Operand 5
     /* 1411287 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411298 */     // MIs[0] policy
     /* 1411298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1411311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411330 */     // GIR_Coverage, 21067,
     /* 1411330 */     GIR_EraseRootFromParent_Done,
     /* 1411331 */   // Label 19968: @1411331
     /* 1411331 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1411419), // Rule ID 21070 //
     /* 1411336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1411339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1411344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1411347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1411350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411375 */     // MIs[0] Operand 5
     /* 1411375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411386 */     // MIs[0] policy
     /* 1411386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1411399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411418 */     // GIR_Coverage, 21070,
     /* 1411418 */     GIR_EraseRootFromParent_Done,
     /* 1411419 */   // Label 19969: @1411419
     /* 1411419 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1411507), // Rule ID 21071 //
     /* 1411424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1411427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1411432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1411435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1411438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411463 */     // MIs[0] Operand 5
     /* 1411463 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411474 */     // MIs[0] policy
     /* 1411474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1411487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411506 */     // GIR_Coverage, 21071,
     /* 1411506 */     GIR_EraseRootFromParent_Done,
     /* 1411507 */   // Label 19970: @1411507
     /* 1411507 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1411595), // Rule ID 21374 //
     /* 1411512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1411520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1411523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1411526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411551 */     // MIs[0] Operand 5
     /* 1411551 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411562 */     // MIs[0] policy
     /* 1411562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1411575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411594 */     // GIR_Coverage, 21374,
     /* 1411594 */     GIR_EraseRootFromParent_Done,
     /* 1411595 */   // Label 19971: @1411595
     /* 1411595 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1411683), // Rule ID 21375 //
     /* 1411600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1411608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1411611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1411614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1411620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411639 */     // MIs[0] Operand 5
     /* 1411639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411650 */     // MIs[0] policy
     /* 1411650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411660 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1411663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411682 */     // GIR_Coverage, 21375,
     /* 1411682 */     GIR_EraseRootFromParent_Done,
     /* 1411683 */   // Label 19972: @1411683
     /* 1411683 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1411771), // Rule ID 21378 //
     /* 1411688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1411696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1411699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1411702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411727 */     // MIs[0] Operand 5
     /* 1411727 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411738 */     // MIs[0] policy
     /* 1411738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411748 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1411751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411770 */     // GIR_Coverage, 21378,
     /* 1411770 */     GIR_EraseRootFromParent_Done,
     /* 1411771 */   // Label 19973: @1411771
     /* 1411771 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1411859), // Rule ID 21379 //
     /* 1411776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1411784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1411787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1411790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411815 */     // MIs[0] Operand 5
     /* 1411815 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411826 */     // MIs[0] policy
     /* 1411826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411836 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1411839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411858 */     // GIR_Coverage, 21379,
     /* 1411858 */     GIR_EraseRootFromParent_Done,
     /* 1411859 */   // Label 19974: @1411859
     /* 1411859 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1411947), // Rule ID 21382 //
     /* 1411864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1411872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1411875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1411878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1411881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411903 */     // MIs[0] Operand 5
     /* 1411903 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411914 */     // MIs[0] policy
     /* 1411914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1411927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411946 */     // GIR_Coverage, 21382,
     /* 1411946 */     GIR_EraseRootFromParent_Done,
     /* 1411947 */   // Label 19975: @1411947
     /* 1411947 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1412035), // Rule ID 21383 //
     /* 1411952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1411960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1411963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1411966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1411969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411991 */     // MIs[0] Operand 5
     /* 1411991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412002 */     // MIs[0] policy
     /* 1412002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1412015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412034 */     // GIR_Coverage, 21383,
     /* 1412034 */     GIR_EraseRootFromParent_Done,
     /* 1412035 */   // Label 19976: @1412035
     /* 1412035 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1412123), // Rule ID 21386 //
     /* 1412040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1412051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1412054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412079 */     // MIs[0] Operand 5
     /* 1412079 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412090 */     // MIs[0] policy
     /* 1412090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412100 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1412103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412122 */     // GIR_Coverage, 21386,
     /* 1412122 */     GIR_EraseRootFromParent_Done,
     /* 1412123 */   // Label 19977: @1412123
     /* 1412123 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1412211), // Rule ID 21387 //
     /* 1412128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1412139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1412142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412167 */     // MIs[0] Operand 5
     /* 1412167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412178 */     // MIs[0] policy
     /* 1412178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1412191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412210 */     // GIR_Coverage, 21387,
     /* 1412210 */     GIR_EraseRootFromParent_Done,
     /* 1412211 */   // Label 19978: @1412211
     /* 1412211 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1412299), // Rule ID 21390 //
     /* 1412216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1412227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1412230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1412236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412255 */     // MIs[0] Operand 5
     /* 1412255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412266 */     // MIs[0] policy
     /* 1412266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412276 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1412279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412298 */     // GIR_Coverage, 21390,
     /* 1412298 */     GIR_EraseRootFromParent_Done,
     /* 1412299 */   // Label 19979: @1412299
     /* 1412299 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1412387), // Rule ID 21391 //
     /* 1412304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1412315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1412318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1412324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412343 */     // MIs[0] Operand 5
     /* 1412343 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412354 */     // MIs[0] policy
     /* 1412354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412364 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1412367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412386 */     // GIR_Coverage, 21391,
     /* 1412386 */     GIR_EraseRootFromParent_Done,
     /* 1412387 */   // Label 19980: @1412387
     /* 1412387 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1412475), // Rule ID 21394 //
     /* 1412392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1412403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1412406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1412409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1412412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412431 */     // MIs[0] Operand 5
     /* 1412431 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412442 */     // MIs[0] policy
     /* 1412442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1412455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412474 */     // GIR_Coverage, 21394,
     /* 1412474 */     GIR_EraseRootFromParent_Done,
     /* 1412475 */   // Label 19981: @1412475
     /* 1412475 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1412563), // Rule ID 21395 //
     /* 1412480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1412491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1412494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1412497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1412500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412519 */     // MIs[0] Operand 5
     /* 1412519 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412530 */     // MIs[0] policy
     /* 1412530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412540 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1412543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412562 */     // GIR_Coverage, 21395,
     /* 1412562 */     GIR_EraseRootFromParent_Done,
     /* 1412563 */   // Label 19982: @1412563
     /* 1412563 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1412651), // Rule ID 21398 //
     /* 1412568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1412571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1412585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412607 */     // MIs[0] Operand 5
     /* 1412607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412618 */     // MIs[0] policy
     /* 1412618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1412631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412650 */     // GIR_Coverage, 21398,
     /* 1412650 */     GIR_EraseRootFromParent_Done,
     /* 1412651 */   // Label 19983: @1412651
     /* 1412651 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1412739), // Rule ID 21399 //
     /* 1412656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1412659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1412673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412695 */     // MIs[0] Operand 5
     /* 1412695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412706 */     // MIs[0] policy
     /* 1412706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1412719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412738 */     // GIR_Coverage, 21399,
     /* 1412738 */     GIR_EraseRootFromParent_Done,
     /* 1412739 */   // Label 19984: @1412739
     /* 1412739 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1412827), // Rule ID 21402 //
     /* 1412744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1412747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1412755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1412758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412783 */     // MIs[0] Operand 5
     /* 1412783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412794 */     // MIs[0] policy
     /* 1412794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1412807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412826 */     // GIR_Coverage, 21402,
     /* 1412826 */     GIR_EraseRootFromParent_Done,
     /* 1412827 */   // Label 19985: @1412827
     /* 1412827 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1412915), // Rule ID 21403 //
     /* 1412832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1412835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1412843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1412846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412871 */     // MIs[0] Operand 5
     /* 1412871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412882 */     // MIs[0] policy
     /* 1412882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1412895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412914 */     // GIR_Coverage, 21403,
     /* 1412914 */     GIR_EraseRootFromParent_Done,
     /* 1412915 */   // Label 19986: @1412915
     /* 1412915 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1413003), // Rule ID 21406 //
     /* 1412920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1412923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1412928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1412931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1412934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1412937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412959 */     // MIs[0] Operand 5
     /* 1412959 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412970 */     // MIs[0] policy
     /* 1412970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1412983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413002 */     // GIR_Coverage, 21406,
     /* 1413002 */     GIR_EraseRootFromParent_Done,
     /* 1413003 */   // Label 19987: @1413003
     /* 1413003 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1413091), // Rule ID 21407 //
     /* 1413008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1413011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1413019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1413022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413047 */     // MIs[0] Operand 5
     /* 1413047 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413058 */     // MIs[0] policy
     /* 1413058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1413071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413090 */     // GIR_Coverage, 21407,
     /* 1413090 */     GIR_EraseRootFromParent_Done,
     /* 1413091 */   // Label 19988: @1413091
     /* 1413091 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1413179), // Rule ID 21410 //
     /* 1413096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1413099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413135 */     // MIs[0] Operand 5
     /* 1413135 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413146 */     // MIs[0] policy
     /* 1413146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1413159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413178 */     // GIR_Coverage, 21410,
     /* 1413178 */     GIR_EraseRootFromParent_Done,
     /* 1413179 */   // Label 19989: @1413179
     /* 1413179 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1413267), // Rule ID 21411 //
     /* 1413184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1413187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413223 */     // MIs[0] Operand 5
     /* 1413223 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413234 */     // MIs[0] policy
     /* 1413234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1413247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413266 */     // GIR_Coverage, 21411,
     /* 1413266 */     GIR_EraseRootFromParent_Done,
     /* 1413267 */   // Label 19990: @1413267
     /* 1413267 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1413355), // Rule ID 21414 //
     /* 1413272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1413275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1413289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1413292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413311 */     // MIs[0] Operand 5
     /* 1413311 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413322 */     // MIs[0] policy
     /* 1413322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1413335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413354 */     // GIR_Coverage, 21414,
     /* 1413354 */     GIR_EraseRootFromParent_Done,
     /* 1413355 */   // Label 19991: @1413355
     /* 1413355 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1413443), // Rule ID 21415 //
     /* 1413360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1413363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1413377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1413380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413399 */     // MIs[0] Operand 5
     /* 1413399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413410 */     // MIs[0] policy
     /* 1413410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1413423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413442 */     // GIR_Coverage, 21415,
     /* 1413442 */     GIR_EraseRootFromParent_Done,
     /* 1413443 */   // Label 19992: @1413443
     /* 1413443 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1413531), // Rule ID 21418 //
     /* 1413448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1413451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1413465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413487 */     // MIs[0] Operand 5
     /* 1413487 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413498 */     // MIs[0] policy
     /* 1413498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413508 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1413511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413530 */     // GIR_Coverage, 21418,
     /* 1413530 */     GIR_EraseRootFromParent_Done,
     /* 1413531 */   // Label 19993: @1413531
     /* 1413531 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1413619), // Rule ID 21419 //
     /* 1413536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1413539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1413547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1413550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1413553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413575 */     // MIs[0] Operand 5
     /* 1413575 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413586 */     // MIs[0] policy
     /* 1413586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1413599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413618 */     // GIR_Coverage, 21419,
     /* 1413618 */     GIR_EraseRootFromParent_Done,
     /* 1413619 */   // Label 19994: @1413619
     /* 1413619 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1413707), // Rule ID 21422 //
     /* 1413624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1413627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1413641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413663 */     // MIs[0] Operand 5
     /* 1413663 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413674 */     // MIs[0] policy
     /* 1413674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1413687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413706 */     // GIR_Coverage, 21422,
     /* 1413706 */     GIR_EraseRootFromParent_Done,
     /* 1413707 */   // Label 19995: @1413707
     /* 1413707 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1413795), // Rule ID 21423 //
     /* 1413712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1413715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1413729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413751 */     // MIs[0] Operand 5
     /* 1413751 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413762 */     // MIs[0] policy
     /* 1413762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1413775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413794 */     // GIR_Coverage, 21423,
     /* 1413794 */     GIR_EraseRootFromParent_Done,
     /* 1413795 */   // Label 19996: @1413795
     /* 1413795 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1413883), // Rule ID 21426 //
     /* 1413800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1413803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1413811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1413814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1413817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413839 */     // MIs[0] Operand 5
     /* 1413839 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413850 */     // MIs[0] policy
     /* 1413850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1413863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413882 */     // GIR_Coverage, 21426,
     /* 1413882 */     GIR_EraseRootFromParent_Done,
     /* 1413883 */   // Label 19997: @1413883
     /* 1413883 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1413971), // Rule ID 21427 //
     /* 1413888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1413891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1413899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1413902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1413905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413927 */     // MIs[0] Operand 5
     /* 1413927 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413938 */     // MIs[0] policy
     /* 1413938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1413951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413970 */     // GIR_Coverage, 21427,
     /* 1413970 */     GIR_EraseRootFromParent_Done,
     /* 1413971 */   // Label 19998: @1413971
     /* 1413971 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1414059), // Rule ID 21430 //
     /* 1413976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1413979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1413984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1413993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414015 */     // MIs[0] Operand 5
     /* 1414015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414026 */     // MIs[0] policy
     /* 1414026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414036 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1414039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414058 */     // GIR_Coverage, 21430,
     /* 1414058 */     GIR_EraseRootFromParent_Done,
     /* 1414059 */   // Label 19999: @1414059
     /* 1414059 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1414147), // Rule ID 21431 //
     /* 1414064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1414067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1414072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1414075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1414078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1414081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414103 */     // MIs[0] Operand 5
     /* 1414103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414114 */     // MIs[0] policy
     /* 1414114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1414127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414146 */     // GIR_Coverage, 21431,
     /* 1414146 */     GIR_EraseRootFromParent_Done,
     /* 1414147 */   // Label 20000: @1414147
     /* 1414147 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1414235), // Rule ID 21434 //
     /* 1414152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1414163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1414166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1414169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1414172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414191 */     // MIs[0] Operand 5
     /* 1414191 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414202 */     // MIs[0] policy
     /* 1414202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1414215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414234 */     // GIR_Coverage, 21434,
     /* 1414234 */     GIR_EraseRootFromParent_Done,
     /* 1414235 */   // Label 20001: @1414235
     /* 1414235 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1414323), // Rule ID 21435 //
     /* 1414240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1414251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1414254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1414257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1414260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414279 */     // MIs[0] Operand 5
     /* 1414279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414290 */     // MIs[0] policy
     /* 1414290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1414303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414322 */     // GIR_Coverage, 21435,
     /* 1414322 */     GIR_EraseRootFromParent_Done,
     /* 1414323 */   // Label 20002: @1414323
     /* 1414323 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1414411), // Rule ID 21438 //
     /* 1414328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1414339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1414342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1414345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414367 */     // MIs[0] Operand 5
     /* 1414367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414378 */     // MIs[0] policy
     /* 1414378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1414391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414410 */     // GIR_Coverage, 21438,
     /* 1414410 */     GIR_EraseRootFromParent_Done,
     /* 1414411 */   // Label 20003: @1414411
     /* 1414411 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1414499), // Rule ID 21439 //
     /* 1414416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1414427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1414430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1414433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414455 */     // MIs[0] Operand 5
     /* 1414455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414466 */     // MIs[0] policy
     /* 1414466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1414479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414498 */     // GIR_Coverage, 21439,
     /* 1414498 */     GIR_EraseRootFromParent_Done,
     /* 1414499 */   // Label 20004: @1414499
     /* 1414499 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1414587), // Rule ID 21442 //
     /* 1414504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1414515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1414518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414543 */     // MIs[0] Operand 5
     /* 1414543 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414554 */     // MIs[0] policy
     /* 1414554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1414567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414586 */     // GIR_Coverage, 21442,
     /* 1414586 */     GIR_EraseRootFromParent_Done,
     /* 1414587 */   // Label 20005: @1414587
     /* 1414587 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1414675), // Rule ID 21443 //
     /* 1414592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1414603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1414606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1414609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414631 */     // MIs[0] Operand 5
     /* 1414631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414642 */     // MIs[0] policy
     /* 1414642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1414655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414674 */     // GIR_Coverage, 21443,
     /* 1414674 */     GIR_EraseRootFromParent_Done,
     /* 1414675 */   // Label 20006: @1414675
     /* 1414675 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1414763), // Rule ID 21446 //
     /* 1414680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1414691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1414694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414719 */     // MIs[0] Operand 5
     /* 1414719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414730 */     // MIs[0] policy
     /* 1414730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1414743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414762 */     // GIR_Coverage, 21446,
     /* 1414762 */     GIR_EraseRootFromParent_Done,
     /* 1414763 */   // Label 20007: @1414763
     /* 1414763 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1414851), // Rule ID 21447 //
     /* 1414768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1414779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1414782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1414785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414807 */     // MIs[0] Operand 5
     /* 1414807 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414818 */     // MIs[0] policy
     /* 1414818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1414831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414850 */     // GIR_Coverage, 21447,
     /* 1414850 */     GIR_EraseRootFromParent_Done,
     /* 1414851 */   // Label 20008: @1414851
     /* 1414851 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1414939), // Rule ID 21450 //
     /* 1414856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1414859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1414873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414895 */     // MIs[0] Operand 5
     /* 1414895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414906 */     // MIs[0] policy
     /* 1414906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1414919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414938 */     // GIR_Coverage, 21450,
     /* 1414938 */     GIR_EraseRootFromParent_Done,
     /* 1414939 */   // Label 20009: @1414939
     /* 1414939 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1415027), // Rule ID 21451 //
     /* 1414944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1414947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1414952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1414955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1414958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1414961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414983 */     // MIs[0] Operand 5
     /* 1414983 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414994 */     // MIs[0] policy
     /* 1414994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1415007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415026 */     // GIR_Coverage, 21451,
     /* 1415026 */     GIR_EraseRootFromParent_Done,
     /* 1415027 */   // Label 20010: @1415027
     /* 1415027 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1415115), // Rule ID 21454 //
     /* 1415032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1415035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1415043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1415046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1415052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415071 */     // MIs[0] Operand 5
     /* 1415071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415082 */     // MIs[0] policy
     /* 1415082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415092 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1415095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415114 */     // GIR_Coverage, 21454,
     /* 1415114 */     GIR_EraseRootFromParent_Done,
     /* 1415115 */   // Label 20011: @1415115
     /* 1415115 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1415203), // Rule ID 21455 //
     /* 1415120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1415123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1415131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1415134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1415137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1415140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415159 */     // MIs[0] Operand 5
     /* 1415159 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415170 */     // MIs[0] policy
     /* 1415170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1415183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415202 */     // GIR_Coverage, 21455,
     /* 1415202 */     GIR_EraseRootFromParent_Done,
     /* 1415203 */   // Label 20012: @1415203
     /* 1415203 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1415291), // Rule ID 21458 //
     /* 1415208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415247 */     // MIs[0] Operand 5
     /* 1415247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415258 */     // MIs[0] policy
     /* 1415258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1415271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415290 */     // GIR_Coverage, 21458,
     /* 1415290 */     GIR_EraseRootFromParent_Done,
     /* 1415291 */   // Label 20013: @1415291
     /* 1415291 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1415379), // Rule ID 21459 //
     /* 1415296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415335 */     // MIs[0] Operand 5
     /* 1415335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415346 */     // MIs[0] policy
     /* 1415346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1415359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415378 */     // GIR_Coverage, 21459,
     /* 1415378 */     GIR_EraseRootFromParent_Done,
     /* 1415379 */   // Label 20014: @1415379
     /* 1415379 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1415467), // Rule ID 21462 //
     /* 1415384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1415401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415423 */     // MIs[0] Operand 5
     /* 1415423 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415434 */     // MIs[0] policy
     /* 1415434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1415447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415466 */     // GIR_Coverage, 21462,
     /* 1415466 */     GIR_EraseRootFromParent_Done,
     /* 1415467 */   // Label 20015: @1415467
     /* 1415467 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1415555), // Rule ID 21463 //
     /* 1415472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1415489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415511 */     // MIs[0] Operand 5
     /* 1415511 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415522 */     // MIs[0] policy
     /* 1415522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1415535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415554 */     // GIR_Coverage, 21463,
     /* 1415554 */     GIR_EraseRootFromParent_Done,
     /* 1415555 */   // Label 20016: @1415555
     /* 1415555 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1415643), // Rule ID 21466 //
     /* 1415560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1415571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1415574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415599 */     // MIs[0] Operand 5
     /* 1415599 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415610 */     // MIs[0] policy
     /* 1415610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1415623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415642 */     // GIR_Coverage, 21466,
     /* 1415642 */     GIR_EraseRootFromParent_Done,
     /* 1415643 */   // Label 20017: @1415643
     /* 1415643 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1415731), // Rule ID 21467 //
     /* 1415648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1415659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1415662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1415665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415687 */     // MIs[0] Operand 5
     /* 1415687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415698 */     // MIs[0] policy
     /* 1415698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1415711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415730 */     // GIR_Coverage, 21467,
     /* 1415730 */     GIR_EraseRootFromParent_Done,
     /* 1415731 */   // Label 20018: @1415731
     /* 1415731 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1415819), // Rule ID 21470 //
     /* 1415736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415775 */     // MIs[0] Operand 5
     /* 1415775 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415786 */     // MIs[0] policy
     /* 1415786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1415799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415818 */     // GIR_Coverage, 21470,
     /* 1415818 */     GIR_EraseRootFromParent_Done,
     /* 1415819 */   // Label 20019: @1415819
     /* 1415819 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1415907), // Rule ID 21471 //
     /* 1415824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1415827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1415835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1415838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1415841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415863 */     // MIs[0] Operand 5
     /* 1415863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415874 */     // MIs[0] policy
     /* 1415874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1415887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415906 */     // GIR_Coverage, 21471,
     /* 1415906 */     GIR_EraseRootFromParent_Done,
     /* 1415907 */   // Label 20020: @1415907
     /* 1415907 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1415995), // Rule ID 21474 //
     /* 1415912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1415915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1415920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1415929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1415932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415951 */     // MIs[0] Operand 5
     /* 1415951 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415962 */     // MIs[0] policy
     /* 1415962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1415975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415994 */     // GIR_Coverage, 21474,
     /* 1415994 */     GIR_EraseRootFromParent_Done,
     /* 1415995 */   // Label 20021: @1415995
     /* 1415995 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1416083), // Rule ID 21475 //
     /* 1416000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1416003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1416011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1416014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1416017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1416020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416039 */     // MIs[0] Operand 5
     /* 1416039 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416050 */     // MIs[0] policy
     /* 1416050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1416063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416082 */     // GIR_Coverage, 21475,
     /* 1416082 */     GIR_EraseRootFromParent_Done,
     /* 1416083 */   // Label 20022: @1416083
     /* 1416083 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1416171), // Rule ID 21478 //
     /* 1416088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416127 */     // MIs[0] Operand 5
     /* 1416127 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416138 */     // MIs[0] policy
     /* 1416138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1416151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416170 */     // GIR_Coverage, 21478,
     /* 1416170 */     GIR_EraseRootFromParent_Done,
     /* 1416171 */   // Label 20023: @1416171
     /* 1416171 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1416259), // Rule ID 21479 //
     /* 1416176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416215 */     // MIs[0] Operand 5
     /* 1416215 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416226 */     // MIs[0] policy
     /* 1416226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1416239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416258 */     // GIR_Coverage, 21479,
     /* 1416258 */     GIR_EraseRootFromParent_Done,
     /* 1416259 */   // Label 20024: @1416259
     /* 1416259 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1416347), // Rule ID 21482 //
     /* 1416264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416303 */     // MIs[0] Operand 5
     /* 1416303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416314 */     // MIs[0] policy
     /* 1416314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1416327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416346 */     // GIR_Coverage, 21482,
     /* 1416346 */     GIR_EraseRootFromParent_Done,
     /* 1416347 */   // Label 20025: @1416347
     /* 1416347 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1416435), // Rule ID 21483 //
     /* 1416352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1416369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416391 */     // MIs[0] Operand 5
     /* 1416391 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416402 */     // MIs[0] policy
     /* 1416402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1416415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416434 */     // GIR_Coverage, 21483,
     /* 1416434 */     GIR_EraseRootFromParent_Done,
     /* 1416435 */   // Label 20026: @1416435
     /* 1416435 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1416523), // Rule ID 21486 //
     /* 1416440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1416451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1416454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416479 */     // MIs[0] Operand 5
     /* 1416479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416490 */     // MIs[0] policy
     /* 1416490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1416503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416522 */     // GIR_Coverage, 21486,
     /* 1416522 */     GIR_EraseRootFromParent_Done,
     /* 1416523 */   // Label 20027: @1416523
     /* 1416523 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1416611), // Rule ID 21487 //
     /* 1416528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1416539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1416542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1416545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416567 */     // MIs[0] Operand 5
     /* 1416567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416578 */     // MIs[0] policy
     /* 1416578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1416591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416610 */     // GIR_Coverage, 21487,
     /* 1416610 */     GIR_EraseRootFromParent_Done,
     /* 1416611 */   // Label 20028: @1416611
     /* 1416611 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1416699), // Rule ID 21490 //
     /* 1416616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1416619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416655 */     // MIs[0] Operand 5
     /* 1416655 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416666 */     // MIs[0] policy
     /* 1416666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1416679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416698 */     // GIR_Coverage, 21490,
     /* 1416698 */     GIR_EraseRootFromParent_Done,
     /* 1416699 */   // Label 20029: @1416699
     /* 1416699 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1416787), // Rule ID 21491 //
     /* 1416704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1416707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1416712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1416715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1416718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1416721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416743 */     // MIs[0] Operand 5
     /* 1416743 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416754 */     // MIs[0] policy
     /* 1416754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1416767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416786 */     // GIR_Coverage, 21491,
     /* 1416786 */     GIR_EraseRootFromParent_Done,
     /* 1416787 */   // Label 20030: @1416787
     /* 1416787 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1416886), // Rule ID 2688 //
     /* 1416792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1416809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416842 */     // MIs[1] Operand 1
     /* 1416842 */     // No operand predicates
     /* 1416842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416846 */     // MIs[0] policy
     /* 1416846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416858 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1416861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416867 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416885 */     // GIR_Coverage, 2688,
     /* 1416885 */     GIR_EraseRootFromParent_Done,
     /* 1416886 */   // Label 20031: @1416886
     /* 1416886 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1416985), // Rule ID 2689 //
     /* 1416891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1416902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1416905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1416908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1416941 */     // MIs[1] Operand 1
     /* 1416941 */     // No operand predicates
     /* 1416941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416945 */     // MIs[0] policy
     /* 1416945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416957 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1416960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416966 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1416971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416984 */     // GIR_Coverage, 2689,
     /* 1416984 */     GIR_EraseRootFromParent_Done,
     /* 1416985 */   // Label 20032: @1416985
     /* 1416985 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1417084), // Rule ID 2696 //
     /* 1416990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1416998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1417001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1417004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1417007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417040 */     // MIs[1] Operand 1
     /* 1417040 */     // No operand predicates
     /* 1417040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417044 */     // MIs[0] policy
     /* 1417044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417065 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417083 */     // GIR_Coverage, 2696,
     /* 1417083 */     GIR_EraseRootFromParent_Done,
     /* 1417084 */   // Label 20033: @1417084
     /* 1417084 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1417183), // Rule ID 2697 //
     /* 1417089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1417100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1417103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1417106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417139 */     // MIs[1] Operand 1
     /* 1417139 */     // No operand predicates
     /* 1417139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417143 */     // MIs[0] policy
     /* 1417143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417164 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417182 */     // GIR_Coverage, 2697,
     /* 1417182 */     GIR_EraseRootFromParent_Done,
     /* 1417183 */   // Label 20034: @1417183
     /* 1417183 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1417282), // Rule ID 2704 //
     /* 1417188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417238 */     // MIs[1] Operand 1
     /* 1417238 */     // No operand predicates
     /* 1417238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417242 */     // MIs[0] policy
     /* 1417242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417254 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417263 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417281 */     // GIR_Coverage, 2704,
     /* 1417281 */     GIR_EraseRootFromParent_Done,
     /* 1417282 */   // Label 20035: @1417282
     /* 1417282 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1417381), // Rule ID 2705 //
     /* 1417287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1417298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1417301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1417304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1417310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417337 */     // MIs[1] Operand 1
     /* 1417337 */     // No operand predicates
     /* 1417337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417341 */     // MIs[0] policy
     /* 1417341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417353 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417362 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417380 */     // GIR_Coverage, 2705,
     /* 1417380 */     GIR_EraseRootFromParent_Done,
     /* 1417381 */   // Label 20036: @1417381
     /* 1417381 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1417480), // Rule ID 2712 //
     /* 1417386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417436 */     // MIs[1] Operand 1
     /* 1417436 */     // No operand predicates
     /* 1417436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417440 */     // MIs[0] policy
     /* 1417440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417461 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417479 */     // GIR_Coverage, 2712,
     /* 1417479 */     GIR_EraseRootFromParent_Done,
     /* 1417480 */   // Label 20037: @1417480
     /* 1417480 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1417579), // Rule ID 2713 //
     /* 1417485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1417496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1417499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1417502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417535 */     // MIs[1] Operand 1
     /* 1417535 */     // No operand predicates
     /* 1417535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417539 */     // MIs[0] policy
     /* 1417539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417551 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1417554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417560 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417578 */     // GIR_Coverage, 2713,
     /* 1417578 */     GIR_EraseRootFromParent_Done,
     /* 1417579 */   // Label 20038: @1417579
     /* 1417579 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1417678), // Rule ID 2720 //
     /* 1417584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417634 */     // MIs[1] Operand 1
     /* 1417634 */     // No operand predicates
     /* 1417634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417638 */     // MIs[0] policy
     /* 1417638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417659 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417677 */     // GIR_Coverage, 2720,
     /* 1417677 */     GIR_EraseRootFromParent_Done,
     /* 1417678 */   // Label 20039: @1417678
     /* 1417678 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1417777), // Rule ID 2721 //
     /* 1417683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1417694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1417697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1417700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417733 */     // MIs[1] Operand 1
     /* 1417733 */     // No operand predicates
     /* 1417733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417737 */     // MIs[0] policy
     /* 1417737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417758 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417776 */     // GIR_Coverage, 2721,
     /* 1417776 */     GIR_EraseRootFromParent_Done,
     /* 1417777 */   // Label 20040: @1417777
     /* 1417777 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1417876), // Rule ID 2728 //
     /* 1417782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417832 */     // MIs[1] Operand 1
     /* 1417832 */     // No operand predicates
     /* 1417832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417836 */     // MIs[0] policy
     /* 1417836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417848 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417857 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417875 */     // GIR_Coverage, 2728,
     /* 1417875 */     GIR_EraseRootFromParent_Done,
     /* 1417876 */   // Label 20041: @1417876
     /* 1417876 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1417975), // Rule ID 2729 //
     /* 1417881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1417892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1417895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1417931 */     // MIs[1] Operand 1
     /* 1417931 */     // No operand predicates
     /* 1417931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417935 */     // MIs[0] policy
     /* 1417935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1417950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417956 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1417961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417974 */     // GIR_Coverage, 2729,
     /* 1417974 */     GIR_EraseRootFromParent_Done,
     /* 1417975 */   // Label 20042: @1417975
     /* 1417975 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1418074), // Rule ID 2736 //
     /* 1417980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1417988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1417991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1417994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1417997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418030 */     // MIs[1] Operand 1
     /* 1418030 */     // No operand predicates
     /* 1418030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418034 */     // MIs[0] policy
     /* 1418034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418046 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418055 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418073 */     // GIR_Coverage, 2736,
     /* 1418073 */     GIR_EraseRootFromParent_Done,
     /* 1418074 */   // Label 20043: @1418074
     /* 1418074 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1418173), // Rule ID 2737 //
     /* 1418079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1418090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1418093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1418096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418129 */     // MIs[1] Operand 1
     /* 1418129 */     // No operand predicates
     /* 1418129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418133 */     // MIs[0] policy
     /* 1418133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418145 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418154 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418172 */     // GIR_Coverage, 2737,
     /* 1418172 */     GIR_EraseRootFromParent_Done,
     /* 1418173 */   // Label 20044: @1418173
     /* 1418173 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1418272), // Rule ID 2744 //
     /* 1418178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418228 */     // MIs[1] Operand 1
     /* 1418228 */     // No operand predicates
     /* 1418228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418232 */     // MIs[0] policy
     /* 1418232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418253 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418271 */     // GIR_Coverage, 2744,
     /* 1418271 */     GIR_EraseRootFromParent_Done,
     /* 1418272 */   // Label 20045: @1418272
     /* 1418272 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1418371), // Rule ID 2745 //
     /* 1418277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1418288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1418291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418327 */     // MIs[1] Operand 1
     /* 1418327 */     // No operand predicates
     /* 1418327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418331 */     // MIs[0] policy
     /* 1418331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418352 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418370 */     // GIR_Coverage, 2745,
     /* 1418370 */     GIR_EraseRootFromParent_Done,
     /* 1418371 */   // Label 20046: @1418371
     /* 1418371 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1418470), // Rule ID 2752 //
     /* 1418376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418426 */     // MIs[1] Operand 1
     /* 1418426 */     // No operand predicates
     /* 1418426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418430 */     // MIs[0] policy
     /* 1418430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418451 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418469 */     // GIR_Coverage, 2752,
     /* 1418469 */     GIR_EraseRootFromParent_Done,
     /* 1418470 */   // Label 20047: @1418470
     /* 1418470 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1418569), // Rule ID 2753 //
     /* 1418475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1418486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1418489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1418492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418525 */     // MIs[1] Operand 1
     /* 1418525 */     // No operand predicates
     /* 1418525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418529 */     // MIs[0] policy
     /* 1418529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418541 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418550 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418568 */     // GIR_Coverage, 2753,
     /* 1418568 */     GIR_EraseRootFromParent_Done,
     /* 1418569 */   // Label 20048: @1418569
     /* 1418569 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1418668), // Rule ID 2760 //
     /* 1418574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418624 */     // MIs[1] Operand 1
     /* 1418624 */     // No operand predicates
     /* 1418624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418628 */     // MIs[0] policy
     /* 1418628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418649 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418667 */     // GIR_Coverage, 2760,
     /* 1418667 */     GIR_EraseRootFromParent_Done,
     /* 1418668 */   // Label 20049: @1418668
     /* 1418668 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1418767), // Rule ID 2761 //
     /* 1418673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1418684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1418687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1418690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1418696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418723 */     // MIs[1] Operand 1
     /* 1418723 */     // No operand predicates
     /* 1418723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418727 */     // MIs[0] policy
     /* 1418727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1418742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418748 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418766 */     // GIR_Coverage, 2761,
     /* 1418766 */     GIR_EraseRootFromParent_Done,
     /* 1418767 */   // Label 20050: @1418767
     /* 1418767 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1418866), // Rule ID 2768 //
     /* 1418772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418822 */     // MIs[1] Operand 1
     /* 1418822 */     // No operand predicates
     /* 1418822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418826 */     // MIs[0] policy
     /* 1418826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418838 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418847 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418865 */     // GIR_Coverage, 2768,
     /* 1418865 */     GIR_EraseRootFromParent_Done,
     /* 1418866 */   // Label 20051: @1418866
     /* 1418866 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1418965), // Rule ID 2769 //
     /* 1418871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1418888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1418921 */     // MIs[1] Operand 1
     /* 1418921 */     // No operand predicates
     /* 1418921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418925 */     // MIs[0] policy
     /* 1418925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418937 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418946 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1418951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418964 */     // GIR_Coverage, 2769,
     /* 1418964 */     GIR_EraseRootFromParent_Done,
     /* 1418965 */   // Label 20052: @1418965
     /* 1418965 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1419064), // Rule ID 2776 //
     /* 1418970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1418978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1418981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1418984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1418987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419020 */     // MIs[1] Operand 1
     /* 1419020 */     // No operand predicates
     /* 1419020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419024 */     // MIs[0] policy
     /* 1419024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419045 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419063 */     // GIR_Coverage, 2776,
     /* 1419063 */     GIR_EraseRootFromParent_Done,
     /* 1419064 */   // Label 20053: @1419064
     /* 1419064 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1419163), // Rule ID 2777 //
     /* 1419069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1419080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1419083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1419086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419119 */     // MIs[1] Operand 1
     /* 1419119 */     // No operand predicates
     /* 1419119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419123 */     // MIs[0] policy
     /* 1419123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419135 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419144 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419162 */     // GIR_Coverage, 2777,
     /* 1419162 */     GIR_EraseRootFromParent_Done,
     /* 1419163 */   // Label 20054: @1419163
     /* 1419163 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1419262), // Rule ID 2784 //
     /* 1419168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1419179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1419182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1419185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419218 */     // MIs[1] Operand 1
     /* 1419218 */     // No operand predicates
     /* 1419218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419222 */     // MIs[0] policy
     /* 1419222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419243 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419261 */     // GIR_Coverage, 2784,
     /* 1419261 */     GIR_EraseRootFromParent_Done,
     /* 1419262 */   // Label 20055: @1419262
     /* 1419262 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1419361), // Rule ID 2785 //
     /* 1419267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1419278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1419281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1419284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1419290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419317 */     // MIs[1] Operand 1
     /* 1419317 */     // No operand predicates
     /* 1419317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419321 */     // MIs[0] policy
     /* 1419321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419333 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419342 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419360 */     // GIR_Coverage, 2785,
     /* 1419360 */     GIR_EraseRootFromParent_Done,
     /* 1419361 */   // Label 20056: @1419361
     /* 1419361 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1419460), // Rule ID 2792 //
     /* 1419366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419416 */     // MIs[1] Operand 1
     /* 1419416 */     // No operand predicates
     /* 1419416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419420 */     // MIs[0] policy
     /* 1419420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419432 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419441 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419459 */     // GIR_Coverage, 2792,
     /* 1419459 */     GIR_EraseRootFromParent_Done,
     /* 1419460 */   // Label 20057: @1419460
     /* 1419460 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1419559), // Rule ID 2793 //
     /* 1419465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1419482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419515 */     // MIs[1] Operand 1
     /* 1419515 */     // No operand predicates
     /* 1419515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419519 */     // MIs[0] policy
     /* 1419519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419531 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419540 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419558 */     // GIR_Coverage, 2793,
     /* 1419558 */     GIR_EraseRootFromParent_Done,
     /* 1419559 */   // Label 20058: @1419559
     /* 1419559 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1419658), // Rule ID 2800 //
     /* 1419564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419614 */     // MIs[1] Operand 1
     /* 1419614 */     // No operand predicates
     /* 1419614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419618 */     // MIs[0] policy
     /* 1419618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419639 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419657 */     // GIR_Coverage, 2800,
     /* 1419657 */     GIR_EraseRootFromParent_Done,
     /* 1419658 */   // Label 20059: @1419658
     /* 1419658 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1419757), // Rule ID 2801 //
     /* 1419663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1419686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419713 */     // MIs[1] Operand 1
     /* 1419713 */     // No operand predicates
     /* 1419713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419717 */     // MIs[0] policy
     /* 1419717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419729 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419738 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419756 */     // GIR_Coverage, 2801,
     /* 1419756 */     GIR_EraseRootFromParent_Done,
     /* 1419757 */   // Label 20060: @1419757
     /* 1419757 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1419856), // Rule ID 2808 //
     /* 1419762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419812 */     // MIs[1] Operand 1
     /* 1419812 */     // No operand predicates
     /* 1419812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419816 */     // MIs[0] policy
     /* 1419816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419837 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419855 */     // GIR_Coverage, 2808,
     /* 1419855 */     GIR_EraseRootFromParent_Done,
     /* 1419856 */   // Label 20061: @1419856
     /* 1419856 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1419955), // Rule ID 2809 //
     /* 1419861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1419872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1419875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1419884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1419911 */     // MIs[1] Operand 1
     /* 1419911 */     // No operand predicates
     /* 1419911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419915 */     // MIs[0] policy
     /* 1419915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419936 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1419941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419954 */     // GIR_Coverage, 2809,
     /* 1419954 */     GIR_EraseRootFromParent_Done,
     /* 1419955 */   // Label 20062: @1419955
     /* 1419955 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1420054), // Rule ID 2816 //
     /* 1419960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1419968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1419971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1419974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1419977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420010 */     // MIs[1] Operand 1
     /* 1420010 */     // No operand predicates
     /* 1420010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420014 */     // MIs[0] policy
     /* 1420014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420035 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420053 */     // GIR_Coverage, 2816,
     /* 1420053 */     GIR_EraseRootFromParent_Done,
     /* 1420054 */   // Label 20063: @1420054
     /* 1420054 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1420153), // Rule ID 2817 //
     /* 1420059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1420076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420109 */     // MIs[1] Operand 1
     /* 1420109 */     // No operand predicates
     /* 1420109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420113 */     // MIs[0] policy
     /* 1420113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420134 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420152 */     // GIR_Coverage, 2817,
     /* 1420152 */     GIR_EraseRootFromParent_Done,
     /* 1420153 */   // Label 20064: @1420153
     /* 1420153 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1420252), // Rule ID 2824 //
     /* 1420158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1420175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420208 */     // MIs[1] Operand 1
     /* 1420208 */     // No operand predicates
     /* 1420208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420212 */     // MIs[0] policy
     /* 1420212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420233 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420251 */     // GIR_Coverage, 2824,
     /* 1420251 */     GIR_EraseRootFromParent_Done,
     /* 1420252 */   // Label 20065: @1420252
     /* 1420252 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1420351), // Rule ID 2825 //
     /* 1420257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1420274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420307 */     // MIs[1] Operand 1
     /* 1420307 */     // No operand predicates
     /* 1420307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420311 */     // MIs[0] policy
     /* 1420311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420323 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420332 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420350 */     // GIR_Coverage, 2825,
     /* 1420350 */     GIR_EraseRootFromParent_Done,
     /* 1420351 */   // Label 20066: @1420351
     /* 1420351 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1420450), // Rule ID 2832 //
     /* 1420356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420406 */     // MIs[1] Operand 1
     /* 1420406 */     // No operand predicates
     /* 1420406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420410 */     // MIs[0] policy
     /* 1420410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420431 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420449 */     // GIR_Coverage, 2832,
     /* 1420449 */     GIR_EraseRootFromParent_Done,
     /* 1420450 */   // Label 20067: @1420450
     /* 1420450 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1420549), // Rule ID 2833 //
     /* 1420455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1420478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420505 */     // MIs[1] Operand 1
     /* 1420505 */     // No operand predicates
     /* 1420505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420509 */     // MIs[0] policy
     /* 1420509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1420524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420530 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420548 */     // GIR_Coverage, 2833,
     /* 1420548 */     GIR_EraseRootFromParent_Done,
     /* 1420549 */   // Label 20068: @1420549
     /* 1420549 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1420648), // Rule ID 2840 //
     /* 1420554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420604 */     // MIs[1] Operand 1
     /* 1420604 */     // No operand predicates
     /* 1420604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420608 */     // MIs[0] policy
     /* 1420608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420629 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420647 */     // GIR_Coverage, 2840,
     /* 1420647 */     GIR_EraseRootFromParent_Done,
     /* 1420648 */   // Label 20069: @1420648
     /* 1420648 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1420747), // Rule ID 2841 //
     /* 1420653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420703 */     // MIs[1] Operand 1
     /* 1420703 */     // No operand predicates
     /* 1420703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420707 */     // MIs[0] policy
     /* 1420707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1420722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420728 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420746 */     // GIR_Coverage, 2841,
     /* 1420746 */     GIR_EraseRootFromParent_Done,
     /* 1420747 */   // Label 20070: @1420747
     /* 1420747 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1420846), // Rule ID 2848 //
     /* 1420752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420802 */     // MIs[1] Operand 1
     /* 1420802 */     // No operand predicates
     /* 1420802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420806 */     // MIs[0] policy
     /* 1420806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420827 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420845 */     // GIR_Coverage, 2848,
     /* 1420845 */     GIR_EraseRootFromParent_Done,
     /* 1420846 */   // Label 20071: @1420846
     /* 1420846 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1420945), // Rule ID 2849 //
     /* 1420851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1420854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1420901 */     // MIs[1] Operand 1
     /* 1420901 */     // No operand predicates
     /* 1420901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420905 */     // MIs[0] policy
     /* 1420905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420917 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1420920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420926 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1420931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420944 */     // GIR_Coverage, 2849,
     /* 1420944 */     GIR_EraseRootFromParent_Done,
     /* 1420945 */   // Label 20072: @1420945
     /* 1420945 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1421044), // Rule ID 2856 //
     /* 1420950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1420958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1420961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1420964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1420967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1420980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421000 */     // MIs[1] Operand 1
     /* 1421000 */     // No operand predicates
     /* 1421000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421004 */     // MIs[0] policy
     /* 1421004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421025 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421043 */     // GIR_Coverage, 2856,
     /* 1421043 */     GIR_EraseRootFromParent_Done,
     /* 1421044 */   // Label 20073: @1421044
     /* 1421044 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1421143), // Rule ID 2857 //
     /* 1421049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1421052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1421057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1421060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1421063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1421066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1421099 */     // MIs[1] Operand 1
     /* 1421099 */     // No operand predicates
     /* 1421099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421103 */     // MIs[0] policy
     /* 1421103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1421118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421124 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1421129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421142 */     // GIR_Coverage, 2857,
     /* 1421142 */     GIR_EraseRootFromParent_Done,
     /* 1421143 */   // Label 20074: @1421143
     /* 1421143 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1421240), // Rule ID 3040 //
     /* 1421148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1421159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1421162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1421165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421198 */     // MIs[1] Operand 1
     /* 1421198 */     // No operand predicates
     /* 1421198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421202 */     // MIs[0] policy
     /* 1421202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421214 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1421217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421239 */     // GIR_Coverage, 3040,
     /* 1421239 */     GIR_EraseRootFromParent_Done,
     /* 1421240 */   // Label 20075: @1421240
     /* 1421240 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1421337), // Rule ID 3041 //
     /* 1421245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1421256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1421259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1421262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421295 */     // MIs[1] Operand 1
     /* 1421295 */     // No operand predicates
     /* 1421295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421299 */     // MIs[0] policy
     /* 1421299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1421314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421336 */     // GIR_Coverage, 3041,
     /* 1421336 */     GIR_EraseRootFromParent_Done,
     /* 1421337 */   // Label 20076: @1421337
     /* 1421337 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1421434), // Rule ID 3044 //
     /* 1421342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421392 */     // MIs[1] Operand 1
     /* 1421392 */     // No operand predicates
     /* 1421392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421396 */     // MIs[0] policy
     /* 1421396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421408 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1421411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421433 */     // GIR_Coverage, 3044,
     /* 1421433 */     GIR_EraseRootFromParent_Done,
     /* 1421434 */   // Label 20077: @1421434
     /* 1421434 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1421531), // Rule ID 3045 //
     /* 1421439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1421456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421489 */     // MIs[1] Operand 1
     /* 1421489 */     // No operand predicates
     /* 1421489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421493 */     // MIs[0] policy
     /* 1421493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1421508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421530 */     // GIR_Coverage, 3045,
     /* 1421530 */     GIR_EraseRootFromParent_Done,
     /* 1421531 */   // Label 20078: @1421531
     /* 1421531 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1421628), // Rule ID 3048 //
     /* 1421536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421586 */     // MIs[1] Operand 1
     /* 1421586 */     // No operand predicates
     /* 1421586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421590 */     // MIs[0] policy
     /* 1421590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1421605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421627 */     // GIR_Coverage, 3048,
     /* 1421627 */     GIR_EraseRootFromParent_Done,
     /* 1421628 */   // Label 20079: @1421628
     /* 1421628 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1421725), // Rule ID 3049 //
     /* 1421633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1421650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421683 */     // MIs[1] Operand 1
     /* 1421683 */     // No operand predicates
     /* 1421683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421687 */     // MIs[0] policy
     /* 1421687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1421702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421724 */     // GIR_Coverage, 3049,
     /* 1421724 */     GIR_EraseRootFromParent_Done,
     /* 1421725 */   // Label 20080: @1421725
     /* 1421725 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1421822), // Rule ID 3052 //
     /* 1421730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421780 */     // MIs[1] Operand 1
     /* 1421780 */     // No operand predicates
     /* 1421780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421784 */     // MIs[0] policy
     /* 1421784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421796 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1421799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421821 */     // GIR_Coverage, 3052,
     /* 1421821 */     GIR_EraseRootFromParent_Done,
     /* 1421822 */   // Label 20081: @1421822
     /* 1421822 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1421919), // Rule ID 3053 //
     /* 1421827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421877 */     // MIs[1] Operand 1
     /* 1421877 */     // No operand predicates
     /* 1421877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421881 */     // MIs[0] policy
     /* 1421881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421893 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1421896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421918 */     // GIR_Coverage, 3053,
     /* 1421918 */     GIR_EraseRootFromParent_Done,
     /* 1421919 */   // Label 20082: @1421919
     /* 1421919 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1422016), // Rule ID 3056 //
     /* 1421924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1421932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1421935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1421938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421974 */     // MIs[1] Operand 1
     /* 1421974 */     // No operand predicates
     /* 1421974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421978 */     // MIs[0] policy
     /* 1421978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1421993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422015 */     // GIR_Coverage, 3056,
     /* 1422015 */     GIR_EraseRootFromParent_Done,
     /* 1422016 */   // Label 20083: @1422016
     /* 1422016 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1422113), // Rule ID 3057 //
     /* 1422021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1422032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1422035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1422038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422071 */     // MIs[1] Operand 1
     /* 1422071 */     // No operand predicates
     /* 1422071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422075 */     // MIs[0] policy
     /* 1422075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1422090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422112 */     // GIR_Coverage, 3057,
     /* 1422112 */     GIR_EraseRootFromParent_Done,
     /* 1422113 */   // Label 20084: @1422113
     /* 1422113 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1422210), // Rule ID 3060 //
     /* 1422118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1422135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422168 */     // MIs[1] Operand 1
     /* 1422168 */     // No operand predicates
     /* 1422168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422172 */     // MIs[0] policy
     /* 1422172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1422187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422209 */     // GIR_Coverage, 3060,
     /* 1422209 */     GIR_EraseRootFromParent_Done,
     /* 1422210 */   // Label 20085: @1422210
     /* 1422210 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1422307), // Rule ID 3061 //
     /* 1422215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1422232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422265 */     // MIs[1] Operand 1
     /* 1422265 */     // No operand predicates
     /* 1422265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422269 */     // MIs[0] policy
     /* 1422269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1422284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422306 */     // GIR_Coverage, 3061,
     /* 1422306 */     GIR_EraseRootFromParent_Done,
     /* 1422307 */   // Label 20086: @1422307
     /* 1422307 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1422404), // Rule ID 3064 //
     /* 1422312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422362 */     // MIs[1] Operand 1
     /* 1422362 */     // No operand predicates
     /* 1422362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422366 */     // MIs[0] policy
     /* 1422366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1422381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422403 */     // GIR_Coverage, 3064,
     /* 1422403 */     GIR_EraseRootFromParent_Done,
     /* 1422404 */   // Label 20087: @1422404
     /* 1422404 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1422501), // Rule ID 3065 //
     /* 1422409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1422420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1422423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1422426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422459 */     // MIs[1] Operand 1
     /* 1422459 */     // No operand predicates
     /* 1422459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422463 */     // MIs[0] policy
     /* 1422463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1422478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422500 */     // GIR_Coverage, 3065,
     /* 1422500 */     GIR_EraseRootFromParent_Done,
     /* 1422501 */   // Label 20088: @1422501
     /* 1422501 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1422598), // Rule ID 3068 //
     /* 1422506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422556 */     // MIs[1] Operand 1
     /* 1422556 */     // No operand predicates
     /* 1422556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422560 */     // MIs[0] policy
     /* 1422560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1422575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422597 */     // GIR_Coverage, 3068,
     /* 1422597 */     GIR_EraseRootFromParent_Done,
     /* 1422598 */   // Label 20089: @1422598
     /* 1422598 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1422695), // Rule ID 3069 //
     /* 1422603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1422620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422653 */     // MIs[1] Operand 1
     /* 1422653 */     // No operand predicates
     /* 1422653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422657 */     // MIs[0] policy
     /* 1422657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422669 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1422672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422694 */     // GIR_Coverage, 3069,
     /* 1422694 */     GIR_EraseRootFromParent_Done,
     /* 1422695 */   // Label 20090: @1422695
     /* 1422695 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1422792), // Rule ID 3072 //
     /* 1422700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422750 */     // MIs[1] Operand 1
     /* 1422750 */     // No operand predicates
     /* 1422750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422754 */     // MIs[0] policy
     /* 1422754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1422769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422791 */     // GIR_Coverage, 3072,
     /* 1422791 */     GIR_EraseRootFromParent_Done,
     /* 1422792 */   // Label 20091: @1422792
     /* 1422792 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1422889), // Rule ID 3073 //
     /* 1422797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422847 */     // MIs[1] Operand 1
     /* 1422847 */     // No operand predicates
     /* 1422847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422851 */     // MIs[0] policy
     /* 1422851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422863 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1422866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422888 */     // GIR_Coverage, 3073,
     /* 1422888 */     GIR_EraseRootFromParent_Done,
     /* 1422889 */   // Label 20092: @1422889
     /* 1422889 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1422986), // Rule ID 3076 //
     /* 1422894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1422897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1422905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1422908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1422917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422944 */     // MIs[1] Operand 1
     /* 1422944 */     // No operand predicates
     /* 1422944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422948 */     // MIs[0] policy
     /* 1422948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1422963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422985 */     // GIR_Coverage, 3076,
     /* 1422985 */     GIR_EraseRootFromParent_Done,
     /* 1422986 */   // Label 20093: @1422986
     /* 1422986 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1423083), // Rule ID 3077 //
     /* 1422991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1422994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1422999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1423002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1423005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1423008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423041 */     // MIs[1] Operand 1
     /* 1423041 */     // No operand predicates
     /* 1423041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423045 */     // MIs[0] policy
     /* 1423045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423057 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1423060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423082 */     // GIR_Coverage, 3077,
     /* 1423082 */     GIR_EraseRootFromParent_Done,
     /* 1423083 */   // Label 20094: @1423083
     /* 1423083 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1423180), // Rule ID 3080 //
     /* 1423088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1423099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1423102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1423105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423138 */     // MIs[1] Operand 1
     /* 1423138 */     // No operand predicates
     /* 1423138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423142 */     // MIs[0] policy
     /* 1423142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423154 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1423157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423179 */     // GIR_Coverage, 3080,
     /* 1423179 */     GIR_EraseRootFromParent_Done,
     /* 1423180 */   // Label 20095: @1423180
     /* 1423180 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1423277), // Rule ID 3081 //
     /* 1423185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1423196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1423199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1423202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423235 */     // MIs[1] Operand 1
     /* 1423235 */     // No operand predicates
     /* 1423235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423239 */     // MIs[0] policy
     /* 1423239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1423254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423276 */     // GIR_Coverage, 3081,
     /* 1423276 */     GIR_EraseRootFromParent_Done,
     /* 1423277 */   // Label 20096: @1423277
     /* 1423277 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1423374), // Rule ID 3084 //
     /* 1423282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423332 */     // MIs[1] Operand 1
     /* 1423332 */     // No operand predicates
     /* 1423332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423336 */     // MIs[0] policy
     /* 1423336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423348 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1423351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423373 */     // GIR_Coverage, 3084,
     /* 1423373 */     GIR_EraseRootFromParent_Done,
     /* 1423374 */   // Label 20097: @1423374
     /* 1423374 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1423471), // Rule ID 3085 //
     /* 1423379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1423390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1423393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1423396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423429 */     // MIs[1] Operand 1
     /* 1423429 */     // No operand predicates
     /* 1423429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423433 */     // MIs[0] policy
     /* 1423433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423445 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1423448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423470 */     // GIR_Coverage, 3085,
     /* 1423470 */     GIR_EraseRootFromParent_Done,
     /* 1423471 */   // Label 20098: @1423471
     /* 1423471 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1423568), // Rule ID 3088 //
     /* 1423476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423526 */     // MIs[1] Operand 1
     /* 1423526 */     // No operand predicates
     /* 1423526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423530 */     // MIs[0] policy
     /* 1423530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423542 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423567 */     // GIR_Coverage, 3088,
     /* 1423567 */     GIR_EraseRootFromParent_Done,
     /* 1423568 */   // Label 20099: @1423568
     /* 1423568 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1423665), // Rule ID 3089 //
     /* 1423573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1423584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1423587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1423590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1423596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423623 */     // MIs[1] Operand 1
     /* 1423623 */     // No operand predicates
     /* 1423623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423627 */     // MIs[0] policy
     /* 1423627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423639 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1423642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423664 */     // GIR_Coverage, 3089,
     /* 1423664 */     GIR_EraseRootFromParent_Done,
     /* 1423665 */   // Label 20100: @1423665
     /* 1423665 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1423762), // Rule ID 3092 //
     /* 1423670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423720 */     // MIs[1] Operand 1
     /* 1423720 */     // No operand predicates
     /* 1423720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423724 */     // MIs[0] policy
     /* 1423724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1423739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423761 */     // GIR_Coverage, 3092,
     /* 1423761 */     GIR_EraseRootFromParent_Done,
     /* 1423762 */   // Label 20101: @1423762
     /* 1423762 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1423859), // Rule ID 3093 //
     /* 1423767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1423778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1423781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1423784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423817 */     // MIs[1] Operand 1
     /* 1423817 */     // No operand predicates
     /* 1423817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423821 */     // MIs[0] policy
     /* 1423821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1423836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423858 */     // GIR_Coverage, 3093,
     /* 1423858 */     GIR_EraseRootFromParent_Done,
     /* 1423859 */   // Label 20102: @1423859
     /* 1423859 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1423956), // Rule ID 3096 //
     /* 1423864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423914 */     // MIs[1] Operand 1
     /* 1423914 */     // No operand predicates
     /* 1423914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423918 */     // MIs[0] policy
     /* 1423918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1423933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423955 */     // GIR_Coverage, 3096,
     /* 1423955 */     GIR_EraseRootFromParent_Done,
     /* 1423956 */   // Label 20103: @1423956
     /* 1423956 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1424053), // Rule ID 3097 //
     /* 1423961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1423969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1423972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1423975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1423978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424011 */     // MIs[1] Operand 1
     /* 1424011 */     // No operand predicates
     /* 1424011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424015 */     // MIs[0] policy
     /* 1424015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1424030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424052 */     // GIR_Coverage, 3097,
     /* 1424052 */     GIR_EraseRootFromParent_Done,
     /* 1424053 */   // Label 20104: @1424053
     /* 1424053 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1424150), // Rule ID 3100 //
     /* 1424058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1424069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1424072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1424075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1424081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424108 */     // MIs[1] Operand 1
     /* 1424108 */     // No operand predicates
     /* 1424108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424112 */     // MIs[0] policy
     /* 1424112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1424127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424149 */     // GIR_Coverage, 3100,
     /* 1424149 */     GIR_EraseRootFromParent_Done,
     /* 1424150 */   // Label 20105: @1424150
     /* 1424150 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1424247), // Rule ID 3101 //
     /* 1424155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1424166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1424169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1424172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1424178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424205 */     // MIs[1] Operand 1
     /* 1424205 */     // No operand predicates
     /* 1424205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424209 */     // MIs[0] policy
     /* 1424209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1424224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424246 */     // GIR_Coverage, 3101,
     /* 1424246 */     GIR_EraseRootFromParent_Done,
     /* 1424247 */   // Label 20106: @1424247
     /* 1424247 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1424344), // Rule ID 3104 //
     /* 1424252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424302 */     // MIs[1] Operand 1
     /* 1424302 */     // No operand predicates
     /* 1424302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424306 */     // MIs[0] policy
     /* 1424306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1424321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424343 */     // GIR_Coverage, 3104,
     /* 1424343 */     GIR_EraseRootFromParent_Done,
     /* 1424344 */   // Label 20107: @1424344
     /* 1424344 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1424441), // Rule ID 3105 //
     /* 1424349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1424360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1424363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1424366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424399 */     // MIs[1] Operand 1
     /* 1424399 */     // No operand predicates
     /* 1424399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424403 */     // MIs[0] policy
     /* 1424403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1424418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424440 */     // GIR_Coverage, 3105,
     /* 1424440 */     GIR_EraseRootFromParent_Done,
     /* 1424441 */   // Label 20108: @1424441
     /* 1424441 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1424538), // Rule ID 3108 //
     /* 1424446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424496 */     // MIs[1] Operand 1
     /* 1424496 */     // No operand predicates
     /* 1424496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424500 */     // MIs[0] policy
     /* 1424500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1424515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424537 */     // GIR_Coverage, 3108,
     /* 1424537 */     GIR_EraseRootFromParent_Done,
     /* 1424538 */   // Label 20109: @1424538
     /* 1424538 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1424635), // Rule ID 3109 //
     /* 1424543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1424554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1424557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1424560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424593 */     // MIs[1] Operand 1
     /* 1424593 */     // No operand predicates
     /* 1424593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424597 */     // MIs[0] policy
     /* 1424597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1424612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424634 */     // GIR_Coverage, 3109,
     /* 1424634 */     GIR_EraseRootFromParent_Done,
     /* 1424635 */   // Label 20110: @1424635
     /* 1424635 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1424732), // Rule ID 3112 //
     /* 1424640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424690 */     // MIs[1] Operand 1
     /* 1424690 */     // No operand predicates
     /* 1424690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424694 */     // MIs[0] policy
     /* 1424694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1424709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424731 */     // GIR_Coverage, 3112,
     /* 1424731 */     GIR_EraseRootFromParent_Done,
     /* 1424732 */   // Label 20111: @1424732
     /* 1424732 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1424829), // Rule ID 3113 //
     /* 1424737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1424748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1424751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1424754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1424760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424787 */     // MIs[1] Operand 1
     /* 1424787 */     // No operand predicates
     /* 1424787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424791 */     // MIs[0] policy
     /* 1424791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1424806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424828 */     // GIR_Coverage, 3113,
     /* 1424828 */     GIR_EraseRootFromParent_Done,
     /* 1424829 */   // Label 20112: @1424829
     /* 1424829 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1424926), // Rule ID 3116 //
     /* 1424834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424884 */     // MIs[1] Operand 1
     /* 1424884 */     // No operand predicates
     /* 1424884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424888 */     // MIs[0] policy
     /* 1424888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1424903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424925 */     // GIR_Coverage, 3116,
     /* 1424925 */     GIR_EraseRootFromParent_Done,
     /* 1424926 */   // Label 20113: @1424926
     /* 1424926 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1425023), // Rule ID 3117 //
     /* 1424931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1424939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1424942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1424945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1424948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1424961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424981 */     // MIs[1] Operand 1
     /* 1424981 */     // No operand predicates
     /* 1424981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424985 */     // MIs[0] policy
     /* 1424985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425022 */     // GIR_Coverage, 3117,
     /* 1425022 */     GIR_EraseRootFromParent_Done,
     /* 1425023 */   // Label 20114: @1425023
     /* 1425023 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1425120), // Rule ID 3120 //
     /* 1425028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1425045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425078 */     // MIs[1] Operand 1
     /* 1425078 */     // No operand predicates
     /* 1425078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425082 */     // MIs[0] policy
     /* 1425082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1425097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425119 */     // GIR_Coverage, 3120,
     /* 1425119 */     GIR_EraseRootFromParent_Done,
     /* 1425120 */   // Label 20115: @1425120
     /* 1425120 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1425217), // Rule ID 3121 //
     /* 1425125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1425142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425175 */     // MIs[1] Operand 1
     /* 1425175 */     // No operand predicates
     /* 1425175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425179 */     // MIs[0] policy
     /* 1425179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425191 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1425194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425216 */     // GIR_Coverage, 3121,
     /* 1425216 */     GIR_EraseRootFromParent_Done,
     /* 1425217 */   // Label 20116: @1425217
     /* 1425217 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1425314), // Rule ID 3124 //
     /* 1425222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425272 */     // MIs[1] Operand 1
     /* 1425272 */     // No operand predicates
     /* 1425272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425276 */     // MIs[0] policy
     /* 1425276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1425291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425313 */     // GIR_Coverage, 3124,
     /* 1425313 */     GIR_EraseRootFromParent_Done,
     /* 1425314 */   // Label 20117: @1425314
     /* 1425314 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1425411), // Rule ID 3125 //
     /* 1425319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1425327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1425330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1425333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1425336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425369 */     // MIs[1] Operand 1
     /* 1425369 */     // No operand predicates
     /* 1425369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425373 */     // MIs[0] policy
     /* 1425373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425385 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1425388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425410 */     // GIR_Coverage, 3125,
     /* 1425410 */     GIR_EraseRootFromParent_Done,
     /* 1425411 */   // Label 20118: @1425411
     /* 1425411 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1425508), // Rule ID 3392 //
     /* 1425416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425466 */     // MIs[1] Operand 1
     /* 1425466 */     // No operand predicates
     /* 1425466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425470 */     // MIs[0] policy
     /* 1425470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1425485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425507 */     // GIR_Coverage, 3392,
     /* 1425507 */     GIR_EraseRootFromParent_Done,
     /* 1425508 */   // Label 20119: @1425508
     /* 1425508 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1425605), // Rule ID 3393 //
     /* 1425513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1425524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1425527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1425530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425563 */     // MIs[1] Operand 1
     /* 1425563 */     // No operand predicates
     /* 1425563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425567 */     // MIs[0] policy
     /* 1425567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425579 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1425582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425604 */     // GIR_Coverage, 3393,
     /* 1425604 */     GIR_EraseRootFromParent_Done,
     /* 1425605 */   // Label 20120: @1425605
     /* 1425605 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1425702), // Rule ID 3396 //
     /* 1425610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425660 */     // MIs[1] Operand 1
     /* 1425660 */     // No operand predicates
     /* 1425660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425664 */     // MIs[0] policy
     /* 1425664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1425679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425701 */     // GIR_Coverage, 3396,
     /* 1425701 */     GIR_EraseRootFromParent_Done,
     /* 1425702 */   // Label 20121: @1425702
     /* 1425702 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1425799), // Rule ID 3397 //
     /* 1425707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1425718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1425721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1425724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425757 */     // MIs[1] Operand 1
     /* 1425757 */     // No operand predicates
     /* 1425757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425761 */     // MIs[0] policy
     /* 1425761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1425776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425798 */     // GIR_Coverage, 3397,
     /* 1425798 */     GIR_EraseRootFromParent_Done,
     /* 1425799 */   // Label 20122: @1425799
     /* 1425799 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1425896), // Rule ID 3400 //
     /* 1425804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425854 */     // MIs[1] Operand 1
     /* 1425854 */     // No operand predicates
     /* 1425854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425858 */     // MIs[0] policy
     /* 1425858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425870 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1425873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425895 */     // GIR_Coverage, 3400,
     /* 1425895 */     GIR_EraseRootFromParent_Done,
     /* 1425896 */   // Label 20123: @1425896
     /* 1425896 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1425993), // Rule ID 3401 //
     /* 1425901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1425909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1425918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425951 */     // MIs[1] Operand 1
     /* 1425951 */     // No operand predicates
     /* 1425951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425955 */     // MIs[0] policy
     /* 1425955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1425970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425992 */     // GIR_Coverage, 3401,
     /* 1425992 */     GIR_EraseRootFromParent_Done,
     /* 1425993 */   // Label 20124: @1425993
     /* 1425993 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1426090), // Rule ID 3404 //
     /* 1425998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426048 */     // MIs[1] Operand 1
     /* 1426048 */     // No operand predicates
     /* 1426048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426052 */     // MIs[0] policy
     /* 1426052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1426067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426089 */     // GIR_Coverage, 3404,
     /* 1426089 */     GIR_EraseRootFromParent_Done,
     /* 1426090 */   // Label 20125: @1426090
     /* 1426090 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1426187), // Rule ID 3405 //
     /* 1426095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426145 */     // MIs[1] Operand 1
     /* 1426145 */     // No operand predicates
     /* 1426145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426149 */     // MIs[0] policy
     /* 1426149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1426164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426186 */     // GIR_Coverage, 3405,
     /* 1426186 */     GIR_EraseRootFromParent_Done,
     /* 1426187 */   // Label 20126: @1426187
     /* 1426187 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1426284), // Rule ID 3408 //
     /* 1426192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426242 */     // MIs[1] Operand 1
     /* 1426242 */     // No operand predicates
     /* 1426242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426246 */     // MIs[0] policy
     /* 1426246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1426261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426283 */     // GIR_Coverage, 3408,
     /* 1426283 */     GIR_EraseRootFromParent_Done,
     /* 1426284 */   // Label 20127: @1426284
     /* 1426284 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1426381), // Rule ID 3409 //
     /* 1426289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426339 */     // MIs[1] Operand 1
     /* 1426339 */     // No operand predicates
     /* 1426339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426343 */     // MIs[0] policy
     /* 1426343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1426358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426380 */     // GIR_Coverage, 3409,
     /* 1426380 */     GIR_EraseRootFromParent_Done,
     /* 1426381 */   // Label 20128: @1426381
     /* 1426381 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1426478), // Rule ID 3412 //
     /* 1426386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426436 */     // MIs[1] Operand 1
     /* 1426436 */     // No operand predicates
     /* 1426436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426440 */     // MIs[0] policy
     /* 1426440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1426455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426477 */     // GIR_Coverage, 3412,
     /* 1426477 */     GIR_EraseRootFromParent_Done,
     /* 1426478 */   // Label 20129: @1426478
     /* 1426478 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1426575), // Rule ID 3413 //
     /* 1426483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426533 */     // MIs[1] Operand 1
     /* 1426533 */     // No operand predicates
     /* 1426533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426537 */     // MIs[0] policy
     /* 1426537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1426552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426574 */     // GIR_Coverage, 3413,
     /* 1426574 */     GIR_EraseRootFromParent_Done,
     /* 1426575 */   // Label 20130: @1426575
     /* 1426575 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1426672), // Rule ID 3416 //
     /* 1426580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426630 */     // MIs[1] Operand 1
     /* 1426630 */     // No operand predicates
     /* 1426630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426634 */     // MIs[0] policy
     /* 1426634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1426649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426671 */     // GIR_Coverage, 3416,
     /* 1426671 */     GIR_EraseRootFromParent_Done,
     /* 1426672 */   // Label 20131: @1426672
     /* 1426672 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1426769), // Rule ID 3417 //
     /* 1426677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1426688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1426691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1426694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426727 */     // MIs[1] Operand 1
     /* 1426727 */     // No operand predicates
     /* 1426727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426731 */     // MIs[0] policy
     /* 1426731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426743 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1426746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426768 */     // GIR_Coverage, 3417,
     /* 1426768 */     GIR_EraseRootFromParent_Done,
     /* 1426769 */   // Label 20132: @1426769
     /* 1426769 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1426866), // Rule ID 3420 //
     /* 1426774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426824 */     // MIs[1] Operand 1
     /* 1426824 */     // No operand predicates
     /* 1426824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426828 */     // MIs[0] policy
     /* 1426828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1426843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426865 */     // GIR_Coverage, 3420,
     /* 1426865 */     GIR_EraseRootFromParent_Done,
     /* 1426866 */   // Label 20133: @1426866
     /* 1426866 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1426963), // Rule ID 3421 //
     /* 1426871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426921 */     // MIs[1] Operand 1
     /* 1426921 */     // No operand predicates
     /* 1426921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426925 */     // MIs[0] policy
     /* 1426925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1426940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426962 */     // GIR_Coverage, 3421,
     /* 1426962 */     GIR_EraseRootFromParent_Done,
     /* 1426963 */   // Label 20134: @1426963
     /* 1426963 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1427060), // Rule ID 3424 //
     /* 1426968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1426976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1426979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1426982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427018 */     // MIs[1] Operand 1
     /* 1427018 */     // No operand predicates
     /* 1427018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427022 */     // MIs[0] policy
     /* 1427022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1427037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427059 */     // GIR_Coverage, 3424,
     /* 1427059 */     GIR_EraseRootFromParent_Done,
     /* 1427060 */   // Label 20135: @1427060
     /* 1427060 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1427157), // Rule ID 3425 //
     /* 1427065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1427076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1427079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1427082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427115 */     // MIs[1] Operand 1
     /* 1427115 */     // No operand predicates
     /* 1427115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427119 */     // MIs[0] policy
     /* 1427119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1427134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427156 */     // GIR_Coverage, 3425,
     /* 1427156 */     GIR_EraseRootFromParent_Done,
     /* 1427157 */   // Label 20136: @1427157
     /* 1427157 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1427254), // Rule ID 3428 //
     /* 1427162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427212 */     // MIs[1] Operand 1
     /* 1427212 */     // No operand predicates
     /* 1427212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427216 */     // MIs[0] policy
     /* 1427216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1427231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427253 */     // GIR_Coverage, 3428,
     /* 1427253 */     GIR_EraseRootFromParent_Done,
     /* 1427254 */   // Label 20137: @1427254
     /* 1427254 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1427351), // Rule ID 3429 //
     /* 1427259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427309 */     // MIs[1] Operand 1
     /* 1427309 */     // No operand predicates
     /* 1427309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427313 */     // MIs[0] policy
     /* 1427313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1427328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427350 */     // GIR_Coverage, 3429,
     /* 1427350 */     GIR_EraseRootFromParent_Done,
     /* 1427351 */   // Label 20138: @1427351
     /* 1427351 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1427448), // Rule ID 3432 //
     /* 1427356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427406 */     // MIs[1] Operand 1
     /* 1427406 */     // No operand predicates
     /* 1427406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427410 */     // MIs[0] policy
     /* 1427410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1427425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427447 */     // GIR_Coverage, 3432,
     /* 1427447 */     GIR_EraseRootFromParent_Done,
     /* 1427448 */   // Label 20139: @1427448
     /* 1427448 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1427545), // Rule ID 3433 //
     /* 1427453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1427464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1427467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1427470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427503 */     // MIs[1] Operand 1
     /* 1427503 */     // No operand predicates
     /* 1427503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427507 */     // MIs[0] policy
     /* 1427507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1427522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427544 */     // GIR_Coverage, 3433,
     /* 1427544 */     GIR_EraseRootFromParent_Done,
     /* 1427545 */   // Label 20140: @1427545
     /* 1427545 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1427642), // Rule ID 3436 //
     /* 1427550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427600 */     // MIs[1] Operand 1
     /* 1427600 */     // No operand predicates
     /* 1427600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427604 */     // MIs[0] policy
     /* 1427604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427616 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1427619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427641 */     // GIR_Coverage, 3436,
     /* 1427641 */     GIR_EraseRootFromParent_Done,
     /* 1427642 */   // Label 20141: @1427642
     /* 1427642 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1427739), // Rule ID 3437 //
     /* 1427647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1427658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1427661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1427664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1427670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427697 */     // MIs[1] Operand 1
     /* 1427697 */     // No operand predicates
     /* 1427697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427701 */     // MIs[0] policy
     /* 1427701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427713 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1427716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427738 */     // GIR_Coverage, 3437,
     /* 1427738 */     GIR_EraseRootFromParent_Done,
     /* 1427739 */   // Label 20142: @1427739
     /* 1427739 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1427836), // Rule ID 3440 //
     /* 1427744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427794 */     // MIs[1] Operand 1
     /* 1427794 */     // No operand predicates
     /* 1427794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427798 */     // MIs[0] policy
     /* 1427798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427810 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1427813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427835 */     // GIR_Coverage, 3440,
     /* 1427835 */     GIR_EraseRootFromParent_Done,
     /* 1427836 */   // Label 20143: @1427836
     /* 1427836 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1427933), // Rule ID 3441 //
     /* 1427841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1427852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1427855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1427858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1427864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427891 */     // MIs[1] Operand 1
     /* 1427891 */     // No operand predicates
     /* 1427891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427895 */     // MIs[0] policy
     /* 1427895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427907 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1427910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427932 */     // GIR_Coverage, 3441,
     /* 1427932 */     GIR_EraseRootFromParent_Done,
     /* 1427933 */   // Label 20144: @1427933
     /* 1427933 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1428030), // Rule ID 3444 //
     /* 1427938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1427946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1427949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1427952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1427955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427988 */     // MIs[1] Operand 1
     /* 1427988 */     // No operand predicates
     /* 1427988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427992 */     // MIs[0] policy
     /* 1427992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1428007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428029 */     // GIR_Coverage, 3444,
     /* 1428029 */     GIR_EraseRootFromParent_Done,
     /* 1428030 */   // Label 20145: @1428030
     /* 1428030 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1428127), // Rule ID 3445 //
     /* 1428035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1428046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1428049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1428052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428085 */     // MIs[1] Operand 1
     /* 1428085 */     // No operand predicates
     /* 1428085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428089 */     // MIs[0] policy
     /* 1428089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1428104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428126 */     // GIR_Coverage, 3445,
     /* 1428126 */     GIR_EraseRootFromParent_Done,
     /* 1428127 */   // Label 20146: @1428127
     /* 1428127 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1428224), // Rule ID 3448 //
     /* 1428132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1428143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1428146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1428149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428182 */     // MIs[1] Operand 1
     /* 1428182 */     // No operand predicates
     /* 1428182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428186 */     // MIs[0] policy
     /* 1428186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1428201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428223 */     // GIR_Coverage, 3448,
     /* 1428223 */     GIR_EraseRootFromParent_Done,
     /* 1428224 */   // Label 20147: @1428224
     /* 1428224 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1428321), // Rule ID 3449 //
     /* 1428229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1428240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1428243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1428246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428279 */     // MIs[1] Operand 1
     /* 1428279 */     // No operand predicates
     /* 1428279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428283 */     // MIs[0] policy
     /* 1428283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428295 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1428298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428320 */     // GIR_Coverage, 3449,
     /* 1428320 */     GIR_EraseRootFromParent_Done,
     /* 1428321 */   // Label 20148: @1428321
     /* 1428321 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1428418), // Rule ID 3452 //
     /* 1428326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428376 */     // MIs[1] Operand 1
     /* 1428376 */     // No operand predicates
     /* 1428376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428380 */     // MIs[0] policy
     /* 1428380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1428395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428417 */     // GIR_Coverage, 3452,
     /* 1428417 */     GIR_EraseRootFromParent_Done,
     /* 1428418 */   // Label 20149: @1428418
     /* 1428418 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1428515), // Rule ID 3453 //
     /* 1428423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1428434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1428437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1428440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1428446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428473 */     // MIs[1] Operand 1
     /* 1428473 */     // No operand predicates
     /* 1428473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428477 */     // MIs[0] policy
     /* 1428477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428489 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1428492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428514 */     // GIR_Coverage, 3453,
     /* 1428514 */     GIR_EraseRootFromParent_Done,
     /* 1428515 */   // Label 20150: @1428515
     /* 1428515 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1428612), // Rule ID 3456 //
     /* 1428520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428570 */     // MIs[1] Operand 1
     /* 1428570 */     // No operand predicates
     /* 1428570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428574 */     // MIs[0] policy
     /* 1428574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1428589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428611 */     // GIR_Coverage, 3456,
     /* 1428611 */     GIR_EraseRootFromParent_Done,
     /* 1428612 */   // Label 20151: @1428612
     /* 1428612 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1428709), // Rule ID 3457 //
     /* 1428617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1428628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1428631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1428634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428667 */     // MIs[1] Operand 1
     /* 1428667 */     // No operand predicates
     /* 1428667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428671 */     // MIs[0] policy
     /* 1428671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1428686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428708 */     // GIR_Coverage, 3457,
     /* 1428708 */     GIR_EraseRootFromParent_Done,
     /* 1428709 */   // Label 20152: @1428709
     /* 1428709 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1428806), // Rule ID 3460 //
     /* 1428714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428764 */     // MIs[1] Operand 1
     /* 1428764 */     // No operand predicates
     /* 1428764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428768 */     // MIs[0] policy
     /* 1428768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1428783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428805 */     // GIR_Coverage, 3460,
     /* 1428805 */     GIR_EraseRootFromParent_Done,
     /* 1428806 */   // Label 20153: @1428806
     /* 1428806 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1428903), // Rule ID 3461 //
     /* 1428811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1428822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1428825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1428828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1428841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428861 */     // MIs[1] Operand 1
     /* 1428861 */     // No operand predicates
     /* 1428861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428865 */     // MIs[0] policy
     /* 1428865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428877 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1428880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428902 */     // GIR_Coverage, 3461,
     /* 1428902 */     GIR_EraseRootFromParent_Done,
     /* 1428903 */   // Label 20154: @1428903
     /* 1428903 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1429000), // Rule ID 3464 //
     /* 1428908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1428916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1428919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1428922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1428925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428958 */     // MIs[1] Operand 1
     /* 1428958 */     // No operand predicates
     /* 1428958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428962 */     // MIs[0] policy
     /* 1428962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1428977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428999 */     // GIR_Coverage, 3464,
     /* 1428999 */     GIR_EraseRootFromParent_Done,
     /* 1429000 */   // Label 20155: @1429000
     /* 1429000 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1429097), // Rule ID 3465 //
     /* 1429005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1429016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1429019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1429022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429055 */     // MIs[1] Operand 1
     /* 1429055 */     // No operand predicates
     /* 1429055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429059 */     // MIs[0] policy
     /* 1429059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1429074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429096 */     // GIR_Coverage, 3465,
     /* 1429096 */     GIR_EraseRootFromParent_Done,
     /* 1429097 */   // Label 20156: @1429097
     /* 1429097 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1429194), // Rule ID 3468 //
     /* 1429102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1429113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1429116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1429119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429152 */     // MIs[1] Operand 1
     /* 1429152 */     // No operand predicates
     /* 1429152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429156 */     // MIs[0] policy
     /* 1429156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1429171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429193 */     // GIR_Coverage, 3468,
     /* 1429193 */     GIR_EraseRootFromParent_Done,
     /* 1429194 */   // Label 20157: @1429194
     /* 1429194 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1429291), // Rule ID 3469 //
     /* 1429199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1429210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1429213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1429216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429249 */     // MIs[1] Operand 1
     /* 1429249 */     // No operand predicates
     /* 1429249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429253 */     // MIs[0] policy
     /* 1429253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1429268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429290 */     // GIR_Coverage, 3469,
     /* 1429290 */     GIR_EraseRootFromParent_Done,
     /* 1429291 */   // Label 20158: @1429291
     /* 1429291 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1429388), // Rule ID 3472 //
     /* 1429296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429346 */     // MIs[1] Operand 1
     /* 1429346 */     // No operand predicates
     /* 1429346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429350 */     // MIs[0] policy
     /* 1429350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1429365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429387 */     // GIR_Coverage, 3472,
     /* 1429387 */     GIR_EraseRootFromParent_Done,
     /* 1429388 */   // Label 20159: @1429388
     /* 1429388 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1429485), // Rule ID 3473 //
     /* 1429393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1429404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1429407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1429410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429443 */     // MIs[1] Operand 1
     /* 1429443 */     // No operand predicates
     /* 1429443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429447 */     // MIs[0] policy
     /* 1429447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1429462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429484 */     // GIR_Coverage, 3473,
     /* 1429484 */     GIR_EraseRootFromParent_Done,
     /* 1429485 */   // Label 20160: @1429485
     /* 1429485 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1429582), // Rule ID 3476 //
     /* 1429490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429540 */     // MIs[1] Operand 1
     /* 1429540 */     // No operand predicates
     /* 1429540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429544 */     // MIs[0] policy
     /* 1429544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1429559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429581 */     // GIR_Coverage, 3476,
     /* 1429581 */     GIR_EraseRootFromParent_Done,
     /* 1429582 */   // Label 20161: @1429582
     /* 1429582 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1429679), // Rule ID 3477 //
     /* 1429587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1429595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1429598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1429601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1429604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1429617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429637 */     // MIs[1] Operand 1
     /* 1429637 */     // No operand predicates
     /* 1429637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429641 */     // MIs[0] policy
     /* 1429641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1429656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429678 */     // GIR_Coverage, 3477,
     /* 1429678 */     GIR_EraseRootFromParent_Done,
     /* 1429679 */   // Label 20162: @1429679
     /* 1429679 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1429776), // Rule ID 5840 //
     /* 1429684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429734 */     // MIs[1] Operand 1
     /* 1429734 */     // No operand predicates
     /* 1429734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429738 */     // MIs[0] policy
     /* 1429738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1429753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429775 */     // GIR_Coverage, 5840,
     /* 1429775 */     GIR_EraseRootFromParent_Done,
     /* 1429776 */   // Label 20163: @1429776
     /* 1429776 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1429873), // Rule ID 5841 //
     /* 1429781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1429792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1429795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1429798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429831 */     // MIs[1] Operand 1
     /* 1429831 */     // No operand predicates
     /* 1429831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429835 */     // MIs[0] policy
     /* 1429835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1429850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429872 */     // GIR_Coverage, 5841,
     /* 1429872 */     GIR_EraseRootFromParent_Done,
     /* 1429873 */   // Label 20164: @1429873
     /* 1429873 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1429970), // Rule ID 5844 //
     /* 1429878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1429889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1429892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1429895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429928 */     // MIs[1] Operand 1
     /* 1429928 */     // No operand predicates
     /* 1429928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429932 */     // MIs[0] policy
     /* 1429932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429944 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1429947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429969 */     // GIR_Coverage, 5844,
     /* 1429969 */     GIR_EraseRootFromParent_Done,
     /* 1429970 */   // Label 20165: @1429970
     /* 1429970 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1430067), // Rule ID 5845 //
     /* 1429975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1429983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1429986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1429989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1429992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430025 */     // MIs[1] Operand 1
     /* 1430025 */     // No operand predicates
     /* 1430025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430029 */     // MIs[0] policy
     /* 1430029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430041 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1430044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430066 */     // GIR_Coverage, 5845,
     /* 1430066 */     GIR_EraseRootFromParent_Done,
     /* 1430067 */   // Label 20166: @1430067
     /* 1430067 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1430164), // Rule ID 5848 //
     /* 1430072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1430083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1430086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1430089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430122 */     // MIs[1] Operand 1
     /* 1430122 */     // No operand predicates
     /* 1430122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430126 */     // MIs[0] policy
     /* 1430126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430138 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1430141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430163 */     // GIR_Coverage, 5848,
     /* 1430163 */     GIR_EraseRootFromParent_Done,
     /* 1430164 */   // Label 20167: @1430164
     /* 1430164 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1430261), // Rule ID 5849 //
     /* 1430169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1430180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1430183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1430186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430219 */     // MIs[1] Operand 1
     /* 1430219 */     // No operand predicates
     /* 1430219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430223 */     // MIs[0] policy
     /* 1430223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430235 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1430238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430260 */     // GIR_Coverage, 5849,
     /* 1430260 */     GIR_EraseRootFromParent_Done,
     /* 1430261 */   // Label 20168: @1430261
     /* 1430261 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1430358), // Rule ID 5852 //
     /* 1430266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430316 */     // MIs[1] Operand 1
     /* 1430316 */     // No operand predicates
     /* 1430316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430320 */     // MIs[0] policy
     /* 1430320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1430335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430357 */     // GIR_Coverage, 5852,
     /* 1430357 */     GIR_EraseRootFromParent_Done,
     /* 1430358 */   // Label 20169: @1430358
     /* 1430358 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1430455), // Rule ID 5853 //
     /* 1430363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1430374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1430377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1430380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430413 */     // MIs[1] Operand 1
     /* 1430413 */     // No operand predicates
     /* 1430413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430417 */     // MIs[0] policy
     /* 1430417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1430432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430454 */     // GIR_Coverage, 5853,
     /* 1430454 */     GIR_EraseRootFromParent_Done,
     /* 1430455 */   // Label 20170: @1430455
     /* 1430455 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1430552), // Rule ID 5856 //
     /* 1430460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430510 */     // MIs[1] Operand 1
     /* 1430510 */     // No operand predicates
     /* 1430510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430514 */     // MIs[0] policy
     /* 1430514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1430529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430551 */     // GIR_Coverage, 5856,
     /* 1430551 */     GIR_EraseRootFromParent_Done,
     /* 1430552 */   // Label 20171: @1430552
     /* 1430552 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1430649), // Rule ID 5857 //
     /* 1430557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1430568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1430571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1430574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430607 */     // MIs[1] Operand 1
     /* 1430607 */     // No operand predicates
     /* 1430607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430611 */     // MIs[0] policy
     /* 1430611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1430626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430648 */     // GIR_Coverage, 5857,
     /* 1430648 */     GIR_EraseRootFromParent_Done,
     /* 1430649 */   // Label 20172: @1430649
     /* 1430649 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1430746), // Rule ID 5860 //
     /* 1430654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430704 */     // MIs[1] Operand 1
     /* 1430704 */     // No operand predicates
     /* 1430704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430708 */     // MIs[0] policy
     /* 1430708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1430723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430745 */     // GIR_Coverage, 5860,
     /* 1430745 */     GIR_EraseRootFromParent_Done,
     /* 1430746 */   // Label 20173: @1430746
     /* 1430746 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1430843), // Rule ID 5861 //
     /* 1430751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1430768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430801 */     // MIs[1] Operand 1
     /* 1430801 */     // No operand predicates
     /* 1430801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430805 */     // MIs[0] policy
     /* 1430805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1430820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430842 */     // GIR_Coverage, 5861,
     /* 1430842 */     GIR_EraseRootFromParent_Done,
     /* 1430843 */   // Label 20174: @1430843
     /* 1430843 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1430940), // Rule ID 5864 //
     /* 1430848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430898 */     // MIs[1] Operand 1
     /* 1430898 */     // No operand predicates
     /* 1430898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430902 */     // MIs[0] policy
     /* 1430902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1430917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430939 */     // GIR_Coverage, 5864,
     /* 1430939 */     GIR_EraseRootFromParent_Done,
     /* 1430940 */   // Label 20175: @1430940
     /* 1430940 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1431037), // Rule ID 5865 //
     /* 1430945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1430953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1430956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1430959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1430962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430995 */     // MIs[1] Operand 1
     /* 1430995 */     // No operand predicates
     /* 1430995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430999 */     // MIs[0] policy
     /* 1430999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1431014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431036 */     // GIR_Coverage, 5865,
     /* 1431036 */     GIR_EraseRootFromParent_Done,
     /* 1431037 */   // Label 20176: @1431037
     /* 1431037 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1431134), // Rule ID 5868 //
     /* 1431042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431092 */     // MIs[1] Operand 1
     /* 1431092 */     // No operand predicates
     /* 1431092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431096 */     // MIs[0] policy
     /* 1431096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1431111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431133 */     // GIR_Coverage, 5868,
     /* 1431133 */     GIR_EraseRootFromParent_Done,
     /* 1431134 */   // Label 20177: @1431134
     /* 1431134 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1431231), // Rule ID 5869 //
     /* 1431139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431189 */     // MIs[1] Operand 1
     /* 1431189 */     // No operand predicates
     /* 1431189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431193 */     // MIs[0] policy
     /* 1431193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1431208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431230 */     // GIR_Coverage, 5869,
     /* 1431230 */     GIR_EraseRootFromParent_Done,
     /* 1431231 */   // Label 20178: @1431231
     /* 1431231 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1431328), // Rule ID 5872 //
     /* 1431236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431286 */     // MIs[1] Operand 1
     /* 1431286 */     // No operand predicates
     /* 1431286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431290 */     // MIs[0] policy
     /* 1431290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1431305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431327 */     // GIR_Coverage, 5872,
     /* 1431327 */     GIR_EraseRootFromParent_Done,
     /* 1431328 */   // Label 20179: @1431328
     /* 1431328 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1431425), // Rule ID 5873 //
     /* 1431333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431383 */     // MIs[1] Operand 1
     /* 1431383 */     // No operand predicates
     /* 1431383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431387 */     // MIs[0] policy
     /* 1431387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1431402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431424 */     // GIR_Coverage, 5873,
     /* 1431424 */     GIR_EraseRootFromParent_Done,
     /* 1431425 */   // Label 20180: @1431425
     /* 1431425 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1431522), // Rule ID 5876 //
     /* 1431430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431480 */     // MIs[1] Operand 1
     /* 1431480 */     // No operand predicates
     /* 1431480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431484 */     // MIs[0] policy
     /* 1431484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1431499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431521 */     // GIR_Coverage, 5876,
     /* 1431521 */     GIR_EraseRootFromParent_Done,
     /* 1431522 */   // Label 20181: @1431522
     /* 1431522 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1431619), // Rule ID 5877 //
     /* 1431527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431577 */     // MIs[1] Operand 1
     /* 1431577 */     // No operand predicates
     /* 1431577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431581 */     // MIs[0] policy
     /* 1431581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1431596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431618 */     // GIR_Coverage, 5877,
     /* 1431618 */     GIR_EraseRootFromParent_Done,
     /* 1431619 */   // Label 20182: @1431619
     /* 1431619 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1431716), // Rule ID 5880 //
     /* 1431624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431674 */     // MIs[1] Operand 1
     /* 1431674 */     // No operand predicates
     /* 1431674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431678 */     // MIs[0] policy
     /* 1431678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1431693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431715 */     // GIR_Coverage, 5880,
     /* 1431715 */     GIR_EraseRootFromParent_Done,
     /* 1431716 */   // Label 20183: @1431716
     /* 1431716 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1431813), // Rule ID 5881 //
     /* 1431721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1431732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1431735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1431738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431771 */     // MIs[1] Operand 1
     /* 1431771 */     // No operand predicates
     /* 1431771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431775 */     // MIs[0] policy
     /* 1431775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1431790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431812 */     // GIR_Coverage, 5881,
     /* 1431812 */     GIR_EraseRootFromParent_Done,
     /* 1431813 */   // Label 20184: @1431813
     /* 1431813 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1431910), // Rule ID 5884 //
     /* 1431818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431868 */     // MIs[1] Operand 1
     /* 1431868 */     // No operand predicates
     /* 1431868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431872 */     // MIs[0] policy
     /* 1431872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431884 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1431887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431909 */     // GIR_Coverage, 5884,
     /* 1431909 */     GIR_EraseRootFromParent_Done,
     /* 1431910 */   // Label 20185: @1431910
     /* 1431910 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1432007), // Rule ID 5885 //
     /* 1431915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1431923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1431926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1431929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1431932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431965 */     // MIs[1] Operand 1
     /* 1431965 */     // No operand predicates
     /* 1431965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431969 */     // MIs[0] policy
     /* 1431969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431981 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1431984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432006 */     // GIR_Coverage, 5885,
     /* 1432006 */     GIR_EraseRootFromParent_Done,
     /* 1432007 */   // Label 20186: @1432007
     /* 1432007 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1432104), // Rule ID 5888 //
     /* 1432012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1432023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1432026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1432029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1432035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432062 */     // MIs[1] Operand 1
     /* 1432062 */     // No operand predicates
     /* 1432062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432066 */     // MIs[0] policy
     /* 1432066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1432081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432103 */     // GIR_Coverage, 5888,
     /* 1432103 */     GIR_EraseRootFromParent_Done,
     /* 1432104 */   // Label 20187: @1432104
     /* 1432104 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1432201), // Rule ID 5889 //
     /* 1432109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1432120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1432123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1432126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1432132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432159 */     // MIs[1] Operand 1
     /* 1432159 */     // No operand predicates
     /* 1432159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432163 */     // MIs[0] policy
     /* 1432163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432175 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1432178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432200 */     // GIR_Coverage, 5889,
     /* 1432200 */     GIR_EraseRootFromParent_Done,
     /* 1432201 */   // Label 20188: @1432201
     /* 1432201 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1432298), // Rule ID 5892 //
     /* 1432206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432256 */     // MIs[1] Operand 1
     /* 1432256 */     // No operand predicates
     /* 1432256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432260 */     // MIs[0] policy
     /* 1432260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1432275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432297 */     // GIR_Coverage, 5892,
     /* 1432297 */     GIR_EraseRootFromParent_Done,
     /* 1432298 */   // Label 20189: @1432298
     /* 1432298 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1432395), // Rule ID 5893 //
     /* 1432303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432353 */     // MIs[1] Operand 1
     /* 1432353 */     // No operand predicates
     /* 1432353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432357 */     // MIs[0] policy
     /* 1432357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1432372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432394 */     // GIR_Coverage, 5893,
     /* 1432394 */     GIR_EraseRootFromParent_Done,
     /* 1432395 */   // Label 20190: @1432395
     /* 1432395 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1432492), // Rule ID 5896 //
     /* 1432400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432450 */     // MIs[1] Operand 1
     /* 1432450 */     // No operand predicates
     /* 1432450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432454 */     // MIs[0] policy
     /* 1432454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1432469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432491 */     // GIR_Coverage, 5896,
     /* 1432491 */     GIR_EraseRootFromParent_Done,
     /* 1432492 */   // Label 20191: @1432492
     /* 1432492 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1432589), // Rule ID 5897 //
     /* 1432497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1432520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432547 */     // MIs[1] Operand 1
     /* 1432547 */     // No operand predicates
     /* 1432547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432551 */     // MIs[0] policy
     /* 1432551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1432566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432588 */     // GIR_Coverage, 5897,
     /* 1432588 */     GIR_EraseRootFromParent_Done,
     /* 1432589 */   // Label 20192: @1432589
     /* 1432589 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1432686), // Rule ID 5900 //
     /* 1432594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432644 */     // MIs[1] Operand 1
     /* 1432644 */     // No operand predicates
     /* 1432644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432648 */     // MIs[0] policy
     /* 1432648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1432663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432685 */     // GIR_Coverage, 5900,
     /* 1432685 */     GIR_EraseRootFromParent_Done,
     /* 1432686 */   // Label 20193: @1432686
     /* 1432686 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1432783), // Rule ID 5901 //
     /* 1432691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1432714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432741 */     // MIs[1] Operand 1
     /* 1432741 */     // No operand predicates
     /* 1432741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432745 */     // MIs[0] policy
     /* 1432745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432757 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1432760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432782 */     // GIR_Coverage, 5901,
     /* 1432782 */     GIR_EraseRootFromParent_Done,
     /* 1432783 */   // Label 20194: @1432783
     /* 1432783 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1432880), // Rule ID 5904 //
     /* 1432788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432838 */     // MIs[1] Operand 1
     /* 1432838 */     // No operand predicates
     /* 1432838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432842 */     // MIs[0] policy
     /* 1432842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1432857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432879 */     // GIR_Coverage, 5904,
     /* 1432879 */     GIR_EraseRootFromParent_Done,
     /* 1432880 */   // Label 20195: @1432880
     /* 1432880 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1432977), // Rule ID 5905 //
     /* 1432885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1432915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432935 */     // MIs[1] Operand 1
     /* 1432935 */     // No operand predicates
     /* 1432935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432939 */     // MIs[0] policy
     /* 1432939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1432954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432976 */     // GIR_Coverage, 5905,
     /* 1432976 */     GIR_EraseRootFromParent_Done,
     /* 1432977 */   // Label 20196: @1432977
     /* 1432977 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1433074), // Rule ID 5908 //
     /* 1432982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1432990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1432993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1432996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1432999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433032 */     // MIs[1] Operand 1
     /* 1433032 */     // No operand predicates
     /* 1433032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433036 */     // MIs[0] policy
     /* 1433036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1433051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433073 */     // GIR_Coverage, 5908,
     /* 1433073 */     GIR_EraseRootFromParent_Done,
     /* 1433074 */   // Label 20197: @1433074
     /* 1433074 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1433171), // Rule ID 5909 //
     /* 1433079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1433090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1433093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1433096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433129 */     // MIs[1] Operand 1
     /* 1433129 */     // No operand predicates
     /* 1433129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433133 */     // MIs[0] policy
     /* 1433133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433145 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1433148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433170 */     // GIR_Coverage, 5909,
     /* 1433170 */     GIR_EraseRootFromParent_Done,
     /* 1433171 */   // Label 20198: @1433171
     /* 1433171 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1433268), // Rule ID 5912 //
     /* 1433176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433226 */     // MIs[1] Operand 1
     /* 1433226 */     // No operand predicates
     /* 1433226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433230 */     // MIs[0] policy
     /* 1433230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1433245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433267 */     // GIR_Coverage, 5912,
     /* 1433267 */     GIR_EraseRootFromParent_Done,
     /* 1433268 */   // Label 20199: @1433268
     /* 1433268 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1433365), // Rule ID 5913 //
     /* 1433273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433323 */     // MIs[1] Operand 1
     /* 1433323 */     // No operand predicates
     /* 1433323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433327 */     // MIs[0] policy
     /* 1433327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1433342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433364 */     // GIR_Coverage, 5913,
     /* 1433364 */     GIR_EraseRootFromParent_Done,
     /* 1433365 */   // Label 20200: @1433365
     /* 1433365 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1433462), // Rule ID 5916 //
     /* 1433370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433420 */     // MIs[1] Operand 1
     /* 1433420 */     // No operand predicates
     /* 1433420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433424 */     // MIs[0] policy
     /* 1433424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1433439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433461 */     // GIR_Coverage, 5916,
     /* 1433461 */     GIR_EraseRootFromParent_Done,
     /* 1433462 */   // Label 20201: @1433462
     /* 1433462 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1433559), // Rule ID 5917 //
     /* 1433467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433517 */     // MIs[1] Operand 1
     /* 1433517 */     // No operand predicates
     /* 1433517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433521 */     // MIs[0] policy
     /* 1433521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1433536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433558 */     // GIR_Coverage, 5917,
     /* 1433558 */     GIR_EraseRootFromParent_Done,
     /* 1433559 */   // Label 20202: @1433559
     /* 1433559 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1433656), // Rule ID 5920 //
     /* 1433564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433614 */     // MIs[1] Operand 1
     /* 1433614 */     // No operand predicates
     /* 1433614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433618 */     // MIs[0] policy
     /* 1433618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433630 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1433633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433655 */     // GIR_Coverage, 5920,
     /* 1433655 */     GIR_EraseRootFromParent_Done,
     /* 1433656 */   // Label 20203: @1433656
     /* 1433656 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1433753), // Rule ID 5921 //
     /* 1433661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1433691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433711 */     // MIs[1] Operand 1
     /* 1433711 */     // No operand predicates
     /* 1433711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433715 */     // MIs[0] policy
     /* 1433715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1433730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433752 */     // GIR_Coverage, 5921,
     /* 1433752 */     GIR_EraseRootFromParent_Done,
     /* 1433753 */   // Label 20204: @1433753
     /* 1433753 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1433850), // Rule ID 5924 //
     /* 1433758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433808 */     // MIs[1] Operand 1
     /* 1433808 */     // No operand predicates
     /* 1433808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433812 */     // MIs[0] policy
     /* 1433812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433824 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1433827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433849 */     // GIR_Coverage, 5924,
     /* 1433849 */     GIR_EraseRootFromParent_Done,
     /* 1433850 */   // Label 20205: @1433850
     /* 1433850 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1433947), // Rule ID 5925 //
     /* 1433855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1433863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1433885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433905 */     // MIs[1] Operand 1
     /* 1433905 */     // No operand predicates
     /* 1433905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433909 */     // MIs[0] policy
     /* 1433909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1433924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433946 */     // GIR_Coverage, 5925,
     /* 1433946 */     GIR_EraseRootFromParent_Done,
     /* 1433947 */   // Label 20206: @1433947
     /* 1433947 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1434044), // Rule ID 6104 //
     /* 1433952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1433960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1433963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1433966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1433969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434002 */     // MIs[1] Operand 1
     /* 1434002 */     // No operand predicates
     /* 1434002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434006 */     // MIs[0] policy
     /* 1434006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434018 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1434021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434043 */     // GIR_Coverage, 6104,
     /* 1434043 */     GIR_EraseRootFromParent_Done,
     /* 1434044 */   // Label 20207: @1434044
     /* 1434044 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1434141), // Rule ID 6105 //
     /* 1434049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1434060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1434063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1434066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434099 */     // MIs[1] Operand 1
     /* 1434099 */     // No operand predicates
     /* 1434099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434103 */     // MIs[0] policy
     /* 1434103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434115 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1434118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434140 */     // GIR_Coverage, 6105,
     /* 1434140 */     GIR_EraseRootFromParent_Done,
     /* 1434141 */   // Label 20208: @1434141
     /* 1434141 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1434238), // Rule ID 6108 //
     /* 1434146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1434157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1434160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1434163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434196 */     // MIs[1] Operand 1
     /* 1434196 */     // No operand predicates
     /* 1434196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434200 */     // MIs[0] policy
     /* 1434200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434212 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1434215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434237 */     // GIR_Coverage, 6108,
     /* 1434237 */     GIR_EraseRootFromParent_Done,
     /* 1434238 */   // Label 20209: @1434238
     /* 1434238 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1434335), // Rule ID 6109 //
     /* 1434243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1434254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1434257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1434260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434293 */     // MIs[1] Operand 1
     /* 1434293 */     // No operand predicates
     /* 1434293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434297 */     // MIs[0] policy
     /* 1434297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434309 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1434312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434334 */     // GIR_Coverage, 6109,
     /* 1434334 */     GIR_EraseRootFromParent_Done,
     /* 1434335 */   // Label 20210: @1434335
     /* 1434335 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1434432), // Rule ID 6112 //
     /* 1434340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434390 */     // MIs[1] Operand 1
     /* 1434390 */     // No operand predicates
     /* 1434390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434394 */     // MIs[0] policy
     /* 1434394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1434409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434431 */     // GIR_Coverage, 6112,
     /* 1434431 */     GIR_EraseRootFromParent_Done,
     /* 1434432 */   // Label 20211: @1434432
     /* 1434432 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1434529), // Rule ID 6113 //
     /* 1434437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1434448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1434451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1434454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1434460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434487 */     // MIs[1] Operand 1
     /* 1434487 */     // No operand predicates
     /* 1434487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434491 */     // MIs[0] policy
     /* 1434491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1434506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434528 */     // GIR_Coverage, 6113,
     /* 1434528 */     GIR_EraseRootFromParent_Done,
     /* 1434529 */   // Label 20212: @1434529
     /* 1434529 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1434626), // Rule ID 6116 //
     /* 1434534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434584 */     // MIs[1] Operand 1
     /* 1434584 */     // No operand predicates
     /* 1434584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434588 */     // MIs[0] policy
     /* 1434588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1434603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434625 */     // GIR_Coverage, 6116,
     /* 1434625 */     GIR_EraseRootFromParent_Done,
     /* 1434626 */   // Label 20213: @1434626
     /* 1434626 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1434723), // Rule ID 6117 //
     /* 1434631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1434642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1434645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1434648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434681 */     // MIs[1] Operand 1
     /* 1434681 */     // No operand predicates
     /* 1434681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434685 */     // MIs[0] policy
     /* 1434685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434697 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1434700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434722 */     // GIR_Coverage, 6117,
     /* 1434722 */     GIR_EraseRootFromParent_Done,
     /* 1434723 */   // Label 20214: @1434723
     /* 1434723 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1434820), // Rule ID 6120 //
     /* 1434728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434778 */     // MIs[1] Operand 1
     /* 1434778 */     // No operand predicates
     /* 1434778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434782 */     // MIs[0] policy
     /* 1434782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1434797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434819 */     // GIR_Coverage, 6120,
     /* 1434819 */     GIR_EraseRootFromParent_Done,
     /* 1434820 */   // Label 20215: @1434820
     /* 1434820 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1434917), // Rule ID 6121 //
     /* 1434825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1434836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1434839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1434842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434875 */     // MIs[1] Operand 1
     /* 1434875 */     // No operand predicates
     /* 1434875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434879 */     // MIs[0] policy
     /* 1434879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434891 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1434894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434916 */     // GIR_Coverage, 6121,
     /* 1434916 */     GIR_EraseRootFromParent_Done,
     /* 1434917 */   // Label 20216: @1434917
     /* 1434917 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1435014), // Rule ID 6124 //
     /* 1434922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1434930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1434933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1434936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1434939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434972 */     // MIs[1] Operand 1
     /* 1434972 */     // No operand predicates
     /* 1434972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434976 */     // MIs[0] policy
     /* 1434976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1434991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435013 */     // GIR_Coverage, 6124,
     /* 1435013 */     GIR_EraseRootFromParent_Done,
     /* 1435014 */   // Label 20217: @1435014
     /* 1435014 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1435111), // Rule ID 6125 //
     /* 1435019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1435030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1435033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1435036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435069 */     // MIs[1] Operand 1
     /* 1435069 */     // No operand predicates
     /* 1435069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435073 */     // MIs[0] policy
     /* 1435073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1435088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435110 */     // GIR_Coverage, 6125,
     /* 1435110 */     GIR_EraseRootFromParent_Done,
     /* 1435111 */   // Label 20218: @1435111
     /* 1435111 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1435208), // Rule ID 6128 //
     /* 1435116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1435127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1435130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1435133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435166 */     // MIs[1] Operand 1
     /* 1435166 */     // No operand predicates
     /* 1435166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435170 */     // MIs[0] policy
     /* 1435170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435182 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435207 */     // GIR_Coverage, 6128,
     /* 1435207 */     GIR_EraseRootFromParent_Done,
     /* 1435208 */   // Label 20219: @1435208
     /* 1435208 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1435305), // Rule ID 6129 //
     /* 1435213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1435224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1435227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1435230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435263 */     // MIs[1] Operand 1
     /* 1435263 */     // No operand predicates
     /* 1435263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435267 */     // MIs[0] policy
     /* 1435267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435279 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435304 */     // GIR_Coverage, 6129,
     /* 1435304 */     GIR_EraseRootFromParent_Done,
     /* 1435305 */   // Label 20220: @1435305
     /* 1435305 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1435402), // Rule ID 6132 //
     /* 1435310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435360 */     // MIs[1] Operand 1
     /* 1435360 */     // No operand predicates
     /* 1435360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435364 */     // MIs[0] policy
     /* 1435364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435401 */     // GIR_Coverage, 6132,
     /* 1435401 */     GIR_EraseRootFromParent_Done,
     /* 1435402 */   // Label 20221: @1435402
     /* 1435402 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1435499), // Rule ID 6133 //
     /* 1435407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1435418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1435421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1435424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435457 */     // MIs[1] Operand 1
     /* 1435457 */     // No operand predicates
     /* 1435457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435461 */     // MIs[0] policy
     /* 1435461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435498 */     // GIR_Coverage, 6133,
     /* 1435498 */     GIR_EraseRootFromParent_Done,
     /* 1435499 */   // Label 20222: @1435499
     /* 1435499 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1435596), // Rule ID 6136 //
     /* 1435504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435554 */     // MIs[1] Operand 1
     /* 1435554 */     // No operand predicates
     /* 1435554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435558 */     // MIs[0] policy
     /* 1435558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435595 */     // GIR_Coverage, 6136,
     /* 1435595 */     GIR_EraseRootFromParent_Done,
     /* 1435596 */   // Label 20223: @1435596
     /* 1435596 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1435693), // Rule ID 6137 //
     /* 1435601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1435612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1435615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1435618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435651 */     // MIs[1] Operand 1
     /* 1435651 */     // No operand predicates
     /* 1435651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435655 */     // MIs[0] policy
     /* 1435655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435692 */     // GIR_Coverage, 6137,
     /* 1435692 */     GIR_EraseRootFromParent_Done,
     /* 1435693 */   // Label 20224: @1435693
     /* 1435693 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1435790), // Rule ID 6140 //
     /* 1435698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435748 */     // MIs[1] Operand 1
     /* 1435748 */     // No operand predicates
     /* 1435748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435752 */     // MIs[0] policy
     /* 1435752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435789 */     // GIR_Coverage, 6140,
     /* 1435789 */     GIR_EraseRootFromParent_Done,
     /* 1435790 */   // Label 20225: @1435790
     /* 1435790 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1435887), // Rule ID 6141 //
     /* 1435795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1435806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1435809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1435812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1435818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1435825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1435833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435845 */     // MIs[1] Operand 1
     /* 1435845 */     // No operand predicates
     /* 1435845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435849 */     // MIs[0] policy
     /* 1435849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1435864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435886 */     // GIR_Coverage, 6141,
     /* 1435886 */     GIR_EraseRootFromParent_Done,
     /* 1435887 */   // Label 20226: @1435887
     /* 1435887 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1435984), // Rule ID 6144 //
     /* 1435892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1435903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1435906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1435909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435942 */     // MIs[1] Operand 1
     /* 1435942 */     // No operand predicates
     /* 1435942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435946 */     // MIs[0] policy
     /* 1435946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435958 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1435961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1435980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435983 */     // GIR_Coverage, 6144,
     /* 1435983 */     GIR_EraseRootFromParent_Done,
     /* 1435984 */   // Label 20227: @1435984
     /* 1435984 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1436081), // Rule ID 6145 //
     /* 1435989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1435997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1436000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1436003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1436006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436039 */     // MIs[1] Operand 1
     /* 1436039 */     // No operand predicates
     /* 1436039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436043 */     // MIs[0] policy
     /* 1436043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436055 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1436058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436080 */     // GIR_Coverage, 6145,
     /* 1436080 */     GIR_EraseRootFromParent_Done,
     /* 1436081 */   // Label 20228: @1436081
     /* 1436081 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1436178), // Rule ID 6148 //
     /* 1436086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1436097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1436100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1436103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436136 */     // MIs[1] Operand 1
     /* 1436136 */     // No operand predicates
     /* 1436136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436140 */     // MIs[0] policy
     /* 1436140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1436155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436177 */     // GIR_Coverage, 6148,
     /* 1436177 */     GIR_EraseRootFromParent_Done,
     /* 1436178 */   // Label 20229: @1436178
     /* 1436178 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1436275), // Rule ID 6149 //
     /* 1436183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1436194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1436197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1436200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436233 */     // MIs[1] Operand 1
     /* 1436233 */     // No operand predicates
     /* 1436233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436237 */     // MIs[0] policy
     /* 1436237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436249 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1436252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436274 */     // GIR_Coverage, 6149,
     /* 1436274 */     GIR_EraseRootFromParent_Done,
     /* 1436275 */   // Label 20230: @1436275
     /* 1436275 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1436372), // Rule ID 6152 //
     /* 1436280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436330 */     // MIs[1] Operand 1
     /* 1436330 */     // No operand predicates
     /* 1436330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436334 */     // MIs[0] policy
     /* 1436334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436346 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1436349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436371 */     // GIR_Coverage, 6152,
     /* 1436371 */     GIR_EraseRootFromParent_Done,
     /* 1436372 */   // Label 20231: @1436372
     /* 1436372 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1436469), // Rule ID 6153 //
     /* 1436377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1436388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1436391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1436394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1436400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436427 */     // MIs[1] Operand 1
     /* 1436427 */     // No operand predicates
     /* 1436427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436431 */     // MIs[0] policy
     /* 1436431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436443 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1436446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436468 */     // GIR_Coverage, 6153,
     /* 1436468 */     GIR_EraseRootFromParent_Done,
     /* 1436469 */   // Label 20232: @1436469
     /* 1436469 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1436566), // Rule ID 6156 //
     /* 1436474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436524 */     // MIs[1] Operand 1
     /* 1436524 */     // No operand predicates
     /* 1436524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436528 */     // MIs[0] policy
     /* 1436528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1436543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436565 */     // GIR_Coverage, 6156,
     /* 1436565 */     GIR_EraseRootFromParent_Done,
     /* 1436566 */   // Label 20233: @1436566
     /* 1436566 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1436663), // Rule ID 6157 //
     /* 1436571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1436582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1436585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436621 */     // MIs[1] Operand 1
     /* 1436621 */     // No operand predicates
     /* 1436621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436625 */     // MIs[0] policy
     /* 1436625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436637 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1436640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436662 */     // GIR_Coverage, 6157,
     /* 1436662 */     GIR_EraseRootFromParent_Done,
     /* 1436663 */   // Label 20234: @1436663
     /* 1436663 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1436760), // Rule ID 6160 //
     /* 1436668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436718 */     // MIs[1] Operand 1
     /* 1436718 */     // No operand predicates
     /* 1436718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436722 */     // MIs[0] policy
     /* 1436722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1436737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436759 */     // GIR_Coverage, 6160,
     /* 1436759 */     GIR_EraseRootFromParent_Done,
     /* 1436760 */   // Label 20235: @1436760
     /* 1436760 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1436857), // Rule ID 6161 //
     /* 1436765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1436776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1436779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436815 */     // MIs[1] Operand 1
     /* 1436815 */     // No operand predicates
     /* 1436815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436819 */     // MIs[0] policy
     /* 1436819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436831 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1436834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436856 */     // GIR_Coverage, 6161,
     /* 1436856 */     GIR_EraseRootFromParent_Done,
     /* 1436857 */   // Label 20236: @1436857
     /* 1436857 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1436954), // Rule ID 6164 //
     /* 1436862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436912 */     // MIs[1] Operand 1
     /* 1436912 */     // No operand predicates
     /* 1436912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436916 */     // MIs[0] policy
     /* 1436916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1436931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436953 */     // GIR_Coverage, 6164,
     /* 1436953 */     GIR_EraseRootFromParent_Done,
     /* 1436954 */   // Label 20237: @1436954
     /* 1436954 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1437051), // Rule ID 6165 //
     /* 1436959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1436967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1436970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1436973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1436976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1436982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437009 */     // MIs[1] Operand 1
     /* 1437009 */     // No operand predicates
     /* 1437009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437013 */     // MIs[0] policy
     /* 1437013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1437028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437050 */     // GIR_Coverage, 6165,
     /* 1437050 */     GIR_EraseRootFromParent_Done,
     /* 1437051 */   // Label 20238: @1437051
     /* 1437051 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1437148), // Rule ID 6168 //
     /* 1437056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437106 */     // MIs[1] Operand 1
     /* 1437106 */     // No operand predicates
     /* 1437106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437110 */     // MIs[0] policy
     /* 1437110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1437125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437147 */     // GIR_Coverage, 6168,
     /* 1437147 */     GIR_EraseRootFromParent_Done,
     /* 1437148 */   // Label 20239: @1437148
     /* 1437148 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1437245), // Rule ID 6169 //
     /* 1437153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437203 */     // MIs[1] Operand 1
     /* 1437203 */     // No operand predicates
     /* 1437203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437207 */     // MIs[0] policy
     /* 1437207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437219 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1437222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437244 */     // GIR_Coverage, 6169,
     /* 1437244 */     GIR_EraseRootFromParent_Done,
     /* 1437245 */   // Label 20240: @1437245
     /* 1437245 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1437342), // Rule ID 6172 //
     /* 1437250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437300 */     // MIs[1] Operand 1
     /* 1437300 */     // No operand predicates
     /* 1437300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437304 */     // MIs[0] policy
     /* 1437304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1437319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437341 */     // GIR_Coverage, 6172,
     /* 1437341 */     GIR_EraseRootFromParent_Done,
     /* 1437342 */   // Label 20241: @1437342
     /* 1437342 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1437439), // Rule ID 6173 //
     /* 1437347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1437358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1437361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437397 */     // MIs[1] Operand 1
     /* 1437397 */     // No operand predicates
     /* 1437397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437401 */     // MIs[0] policy
     /* 1437401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1437416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437438 */     // GIR_Coverage, 6173,
     /* 1437438 */     GIR_EraseRootFromParent_Done,
     /* 1437439 */   // Label 20242: @1437439
     /* 1437439 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1437536), // Rule ID 6176 //
     /* 1437444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437494 */     // MIs[1] Operand 1
     /* 1437494 */     // No operand predicates
     /* 1437494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437498 */     // MIs[0] policy
     /* 1437498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1437513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437535 */     // GIR_Coverage, 6176,
     /* 1437535 */     GIR_EraseRootFromParent_Done,
     /* 1437536 */   // Label 20243: @1437536
     /* 1437536 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1437633), // Rule ID 6177 //
     /* 1437541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1437552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1437555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1437558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1437564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1437571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437591 */     // MIs[1] Operand 1
     /* 1437591 */     // No operand predicates
     /* 1437591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437595 */     // MIs[0] policy
     /* 1437595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437607 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1437610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437632 */     // GIR_Coverage, 6177,
     /* 1437632 */     GIR_EraseRootFromParent_Done,
     /* 1437633 */   // Label 20244: @1437633
     /* 1437633 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1437730), // Rule ID 6180 //
     /* 1437638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437688 */     // MIs[1] Operand 1
     /* 1437688 */     // No operand predicates
     /* 1437688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437692 */     // MIs[0] policy
     /* 1437692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1437707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437729 */     // GIR_Coverage, 6180,
     /* 1437729 */     GIR_EraseRootFromParent_Done,
     /* 1437730 */   // Label 20245: @1437730
     /* 1437730 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1437827), // Rule ID 6181 //
     /* 1437735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1437752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1437765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437785 */     // MIs[1] Operand 1
     /* 1437785 */     // No operand predicates
     /* 1437785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437789 */     // MIs[0] policy
     /* 1437789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1437804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437826 */     // GIR_Coverage, 6181,
     /* 1437826 */     GIR_EraseRootFromParent_Done,
     /* 1437827 */   // Label 20246: @1437827
     /* 1437827 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1437924), // Rule ID 6184 //
     /* 1437832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1437835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437882 */     // MIs[1] Operand 1
     /* 1437882 */     // No operand predicates
     /* 1437882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437886 */     // MIs[0] policy
     /* 1437886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1437901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1437920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437923 */     // GIR_Coverage, 6184,
     /* 1437923 */     GIR_EraseRootFromParent_Done,
     /* 1437924 */   // Label 20247: @1437924
     /* 1437924 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1438021), // Rule ID 6185 //
     /* 1437929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1437932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1437937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1437946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1437959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437979 */     // MIs[1] Operand 1
     /* 1437979 */     // No operand predicates
     /* 1437979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437983 */     // MIs[0] policy
     /* 1437983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437995 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1437998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438020 */     // GIR_Coverage, 6185,
     /* 1438020 */     GIR_EraseRootFromParent_Done,
     /* 1438021 */   // Label 20248: @1438021
     /* 1438021 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1438118), // Rule ID 6188 //
     /* 1438026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1438043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438076 */     // MIs[1] Operand 1
     /* 1438076 */     // No operand predicates
     /* 1438076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438080 */     // MIs[0] policy
     /* 1438080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1438095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438117 */     // GIR_Coverage, 6188,
     /* 1438117 */     GIR_EraseRootFromParent_Done,
     /* 1438118 */   // Label 20249: @1438118
     /* 1438118 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1438215), // Rule ID 6189 //
     /* 1438123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1438131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1438140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438173 */     // MIs[1] Operand 1
     /* 1438173 */     // No operand predicates
     /* 1438173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438177 */     // MIs[0] policy
     /* 1438177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438189 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1438192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438214 */     // GIR_Coverage, 6189,
     /* 1438214 */     GIR_EraseRootFromParent_Done,
     /* 1438215 */   // Label 20250: @1438215
     /* 1438215 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1438312), // Rule ID 6368 //
     /* 1438220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438270 */     // MIs[1] Operand 1
     /* 1438270 */     // No operand predicates
     /* 1438270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438274 */     // MIs[0] policy
     /* 1438274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1438289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438311 */     // GIR_Coverage, 6368,
     /* 1438311 */     GIR_EraseRootFromParent_Done,
     /* 1438312 */   // Label 20251: @1438312
     /* 1438312 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1438409), // Rule ID 6369 //
     /* 1438317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1438328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1438331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1438334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438367 */     // MIs[1] Operand 1
     /* 1438367 */     // No operand predicates
     /* 1438367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438371 */     // MIs[0] policy
     /* 1438371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1438386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438408 */     // GIR_Coverage, 6369,
     /* 1438408 */     GIR_EraseRootFromParent_Done,
     /* 1438409 */   // Label 20252: @1438409
     /* 1438409 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1438506), // Rule ID 6372 //
     /* 1438414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438464 */     // MIs[1] Operand 1
     /* 1438464 */     // No operand predicates
     /* 1438464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438468 */     // MIs[0] policy
     /* 1438468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438480 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1438483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438505 */     // GIR_Coverage, 6372,
     /* 1438505 */     GIR_EraseRootFromParent_Done,
     /* 1438506 */   // Label 20253: @1438506
     /* 1438506 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1438603), // Rule ID 6373 //
     /* 1438511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1438522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1438525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1438528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438561 */     // MIs[1] Operand 1
     /* 1438561 */     // No operand predicates
     /* 1438561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438565 */     // MIs[0] policy
     /* 1438565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438577 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1438580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438602 */     // GIR_Coverage, 6373,
     /* 1438602 */     GIR_EraseRootFromParent_Done,
     /* 1438603 */   // Label 20254: @1438603
     /* 1438603 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1438700), // Rule ID 6376 //
     /* 1438608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438658 */     // MIs[1] Operand 1
     /* 1438658 */     // No operand predicates
     /* 1438658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438662 */     // MIs[0] policy
     /* 1438662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438674 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1438677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438699 */     // GIR_Coverage, 6376,
     /* 1438699 */     GIR_EraseRootFromParent_Done,
     /* 1438700 */   // Label 20255: @1438700
     /* 1438700 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1438797), // Rule ID 6377 //
     /* 1438705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1438716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1438719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1438722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438755 */     // MIs[1] Operand 1
     /* 1438755 */     // No operand predicates
     /* 1438755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438759 */     // MIs[0] policy
     /* 1438759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1438774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438796 */     // GIR_Coverage, 6377,
     /* 1438796 */     GIR_EraseRootFromParent_Done,
     /* 1438797 */   // Label 20256: @1438797
     /* 1438797 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1438894), // Rule ID 6380 //
     /* 1438802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438852 */     // MIs[1] Operand 1
     /* 1438852 */     // No operand predicates
     /* 1438852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438856 */     // MIs[0] policy
     /* 1438856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1438871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438893 */     // GIR_Coverage, 6380,
     /* 1438893 */     GIR_EraseRootFromParent_Done,
     /* 1438894 */   // Label 20257: @1438894
     /* 1438894 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1438991), // Rule ID 6381 //
     /* 1438899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1438907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1438910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1438913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1438916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438949 */     // MIs[1] Operand 1
     /* 1438949 */     // No operand predicates
     /* 1438949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438953 */     // MIs[0] policy
     /* 1438953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1438968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438990 */     // GIR_Coverage, 6381,
     /* 1438990 */     GIR_EraseRootFromParent_Done,
     /* 1438991 */   // Label 20258: @1438991
     /* 1438991 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1439088), // Rule ID 6384 //
     /* 1438996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1439007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1439010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439046 */     // MIs[1] Operand 1
     /* 1439046 */     // No operand predicates
     /* 1439046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439050 */     // MIs[0] policy
     /* 1439050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1439065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439087 */     // GIR_Coverage, 6384,
     /* 1439087 */     GIR_EraseRootFromParent_Done,
     /* 1439088 */   // Label 20259: @1439088
     /* 1439088 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1439185), // Rule ID 6385 //
     /* 1439093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1439104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1439107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439143 */     // MIs[1] Operand 1
     /* 1439143 */     // No operand predicates
     /* 1439143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439147 */     // MIs[0] policy
     /* 1439147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1439162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439184 */     // GIR_Coverage, 6385,
     /* 1439184 */     GIR_EraseRootFromParent_Done,
     /* 1439185 */   // Label 20260: @1439185
     /* 1439185 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1439282), // Rule ID 6388 //
     /* 1439190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439240 */     // MIs[1] Operand 1
     /* 1439240 */     // No operand predicates
     /* 1439240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439244 */     // MIs[0] policy
     /* 1439244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1439259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439281 */     // GIR_Coverage, 6388,
     /* 1439281 */     GIR_EraseRootFromParent_Done,
     /* 1439282 */   // Label 20261: @1439282
     /* 1439282 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1439379), // Rule ID 6389 //
     /* 1439287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439337 */     // MIs[1] Operand 1
     /* 1439337 */     // No operand predicates
     /* 1439337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439341 */     // MIs[0] policy
     /* 1439341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1439356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439378 */     // GIR_Coverage, 6389,
     /* 1439378 */     GIR_EraseRootFromParent_Done,
     /* 1439379 */   // Label 20262: @1439379
     /* 1439379 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1439476), // Rule ID 6392 //
     /* 1439384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439434 */     // MIs[1] Operand 1
     /* 1439434 */     // No operand predicates
     /* 1439434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439438 */     // MIs[0] policy
     /* 1439438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1439453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439475 */     // GIR_Coverage, 6392,
     /* 1439475 */     GIR_EraseRootFromParent_Done,
     /* 1439476 */   // Label 20263: @1439476
     /* 1439476 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1439573), // Rule ID 6393 //
     /* 1439481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1439492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1439495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1439498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439531 */     // MIs[1] Operand 1
     /* 1439531 */     // No operand predicates
     /* 1439531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439535 */     // MIs[0] policy
     /* 1439535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1439550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439572 */     // GIR_Coverage, 6393,
     /* 1439572 */     GIR_EraseRootFromParent_Done,
     /* 1439573 */   // Label 20264: @1439573
     /* 1439573 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1439670), // Rule ID 6396 //
     /* 1439578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439628 */     // MIs[1] Operand 1
     /* 1439628 */     // No operand predicates
     /* 1439628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439632 */     // MIs[0] policy
     /* 1439632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1439647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439669 */     // GIR_Coverage, 6396,
     /* 1439669 */     GIR_EraseRootFromParent_Done,
     /* 1439670 */   // Label 20265: @1439670
     /* 1439670 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1439767), // Rule ID 6397 //
     /* 1439675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1439686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1439689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439725 */     // MIs[1] Operand 1
     /* 1439725 */     // No operand predicates
     /* 1439725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439729 */     // MIs[0] policy
     /* 1439729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1439744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439766 */     // GIR_Coverage, 6397,
     /* 1439766 */     GIR_EraseRootFromParent_Done,
     /* 1439767 */   // Label 20266: @1439767
     /* 1439767 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1439864), // Rule ID 6400 //
     /* 1439772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439822 */     // MIs[1] Operand 1
     /* 1439822 */     // No operand predicates
     /* 1439822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439826 */     // MIs[0] policy
     /* 1439826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1439841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439863 */     // GIR_Coverage, 6400,
     /* 1439863 */     GIR_EraseRootFromParent_Done,
     /* 1439864 */   // Label 20267: @1439864
     /* 1439864 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1439961), // Rule ID 6401 //
     /* 1439869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439919 */     // MIs[1] Operand 1
     /* 1439919 */     // No operand predicates
     /* 1439919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439923 */     // MIs[0] policy
     /* 1439923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1439938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439960 */     // GIR_Coverage, 6401,
     /* 1439960 */     GIR_EraseRootFromParent_Done,
     /* 1439961 */   // Label 20268: @1439961
     /* 1439961 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1440058), // Rule ID 6404 //
     /* 1439966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1439969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1439974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1439977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1439980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1439983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1439989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1439996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440016 */     // MIs[1] Operand 1
     /* 1440016 */     // No operand predicates
     /* 1440016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440020 */     // MIs[0] policy
     /* 1440020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1440035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440057 */     // GIR_Coverage, 6404,
     /* 1440057 */     GIR_EraseRootFromParent_Done,
     /* 1440058 */   // Label 20269: @1440058
     /* 1440058 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1440155), // Rule ID 6405 //
     /* 1440063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1440074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1440077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1440080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440113 */     // MIs[1] Operand 1
     /* 1440113 */     // No operand predicates
     /* 1440113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440117 */     // MIs[0] policy
     /* 1440117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1440132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440154 */     // GIR_Coverage, 6405,
     /* 1440154 */     GIR_EraseRootFromParent_Done,
     /* 1440155 */   // Label 20270: @1440155
     /* 1440155 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1440252), // Rule ID 6408 //
     /* 1440160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1440171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1440174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1440177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440210 */     // MIs[1] Operand 1
     /* 1440210 */     // No operand predicates
     /* 1440210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440214 */     // MIs[0] policy
     /* 1440214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1440229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440251 */     // GIR_Coverage, 6408,
     /* 1440251 */     GIR_EraseRootFromParent_Done,
     /* 1440252 */   // Label 20271: @1440252
     /* 1440252 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1440349), // Rule ID 6409 //
     /* 1440257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1440268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1440271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1440274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440307 */     // MIs[1] Operand 1
     /* 1440307 */     // No operand predicates
     /* 1440307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440311 */     // MIs[0] policy
     /* 1440311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1440326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440348 */     // GIR_Coverage, 6409,
     /* 1440348 */     GIR_EraseRootFromParent_Done,
     /* 1440349 */   // Label 20272: @1440349
     /* 1440349 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1440446), // Rule ID 6412 //
     /* 1440354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440404 */     // MIs[1] Operand 1
     /* 1440404 */     // No operand predicates
     /* 1440404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440408 */     // MIs[0] policy
     /* 1440408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1440423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440445 */     // GIR_Coverage, 6412,
     /* 1440445 */     GIR_EraseRootFromParent_Done,
     /* 1440446 */   // Label 20273: @1440446
     /* 1440446 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1440543), // Rule ID 6413 //
     /* 1440451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1440462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1440465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1440468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440501 */     // MIs[1] Operand 1
     /* 1440501 */     // No operand predicates
     /* 1440501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440505 */     // MIs[0] policy
     /* 1440505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440517 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1440520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440542 */     // GIR_Coverage, 6413,
     /* 1440542 */     GIR_EraseRootFromParent_Done,
     /* 1440543 */   // Label 20274: @1440543
     /* 1440543 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1440640), // Rule ID 6416 //
     /* 1440548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440598 */     // MIs[1] Operand 1
     /* 1440598 */     // No operand predicates
     /* 1440598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440602 */     // MIs[0] policy
     /* 1440602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440614 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1440617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440639 */     // GIR_Coverage, 6416,
     /* 1440639 */     GIR_EraseRootFromParent_Done,
     /* 1440640 */   // Label 20275: @1440640
     /* 1440640 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1440737), // Rule ID 6417 //
     /* 1440645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1440656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1440659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1440662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1440668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440695 */     // MIs[1] Operand 1
     /* 1440695 */     // No operand predicates
     /* 1440695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440699 */     // MIs[0] policy
     /* 1440699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1440714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440736 */     // GIR_Coverage, 6417,
     /* 1440736 */     GIR_EraseRootFromParent_Done,
     /* 1440737 */   // Label 20276: @1440737
     /* 1440737 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1440834), // Rule ID 6420 //
     /* 1440742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440792 */     // MIs[1] Operand 1
     /* 1440792 */     // No operand predicates
     /* 1440792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440796 */     // MIs[0] policy
     /* 1440796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1440811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440833 */     // GIR_Coverage, 6420,
     /* 1440833 */     GIR_EraseRootFromParent_Done,
     /* 1440834 */   // Label 20277: @1440834
     /* 1440834 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1440931), // Rule ID 6421 //
     /* 1440839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1440850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1440853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1440856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440889 */     // MIs[1] Operand 1
     /* 1440889 */     // No operand predicates
     /* 1440889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440893 */     // MIs[0] policy
     /* 1440893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1440908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440930 */     // GIR_Coverage, 6421,
     /* 1440930 */     GIR_EraseRootFromParent_Done,
     /* 1440931 */   // Label 20278: @1440931
     /* 1440931 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1441028), // Rule ID 6424 //
     /* 1440936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1440944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1440947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1440950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1440953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440986 */     // MIs[1] Operand 1
     /* 1440986 */     // No operand predicates
     /* 1440986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440990 */     // MIs[0] policy
     /* 1440990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1441005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441027 */     // GIR_Coverage, 6424,
     /* 1441027 */     GIR_EraseRootFromParent_Done,
     /* 1441028 */   // Label 20279: @1441028
     /* 1441028 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1441125), // Rule ID 6425 //
     /* 1441033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1441044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1441047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1441050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441083 */     // MIs[1] Operand 1
     /* 1441083 */     // No operand predicates
     /* 1441083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441087 */     // MIs[0] policy
     /* 1441087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1441102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441124 */     // GIR_Coverage, 6425,
     /* 1441124 */     GIR_EraseRootFromParent_Done,
     /* 1441125 */   // Label 20280: @1441125
     /* 1441125 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1441222), // Rule ID 6428 //
     /* 1441130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1441141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1441144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1441147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1441153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441180 */     // MIs[1] Operand 1
     /* 1441180 */     // No operand predicates
     /* 1441180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441184 */     // MIs[0] policy
     /* 1441184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441196 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1441199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441221 */     // GIR_Coverage, 6428,
     /* 1441221 */     GIR_EraseRootFromParent_Done,
     /* 1441222 */   // Label 20281: @1441222
     /* 1441222 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1441319), // Rule ID 6429 //
     /* 1441227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1441238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1441241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1441244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1441250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441277 */     // MIs[1] Operand 1
     /* 1441277 */     // No operand predicates
     /* 1441277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441281 */     // MIs[0] policy
     /* 1441281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1441296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441318 */     // GIR_Coverage, 6429,
     /* 1441318 */     GIR_EraseRootFromParent_Done,
     /* 1441319 */   // Label 20282: @1441319
     /* 1441319 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1441416), // Rule ID 6432 //
     /* 1441324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441374 */     // MIs[1] Operand 1
     /* 1441374 */     // No operand predicates
     /* 1441374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441378 */     // MIs[0] policy
     /* 1441378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1441393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441415 */     // GIR_Coverage, 6432,
     /* 1441415 */     GIR_EraseRootFromParent_Done,
     /* 1441416 */   // Label 20283: @1441416
     /* 1441416 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1441513), // Rule ID 6433 //
     /* 1441421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1441432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1441435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1441438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441471 */     // MIs[1] Operand 1
     /* 1441471 */     // No operand predicates
     /* 1441471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441475 */     // MIs[0] policy
     /* 1441475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1441490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441512 */     // GIR_Coverage, 6433,
     /* 1441512 */     GIR_EraseRootFromParent_Done,
     /* 1441513 */   // Label 20284: @1441513
     /* 1441513 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1441610), // Rule ID 6436 //
     /* 1441518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441568 */     // MIs[1] Operand 1
     /* 1441568 */     // No operand predicates
     /* 1441568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441572 */     // MIs[0] policy
     /* 1441572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1441587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441609 */     // GIR_Coverage, 6436,
     /* 1441609 */     GIR_EraseRootFromParent_Done,
     /* 1441610 */   // Label 20285: @1441610
     /* 1441610 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1441707), // Rule ID 6437 //
     /* 1441615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1441632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441665 */     // MIs[1] Operand 1
     /* 1441665 */     // No operand predicates
     /* 1441665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441669 */     // MIs[0] policy
     /* 1441669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1441684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441706 */     // GIR_Coverage, 6437,
     /* 1441706 */     GIR_EraseRootFromParent_Done,
     /* 1441707 */   // Label 20286: @1441707
     /* 1441707 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1441804), // Rule ID 6440 //
     /* 1441712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441762 */     // MIs[1] Operand 1
     /* 1441762 */     // No operand predicates
     /* 1441762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441766 */     // MIs[0] policy
     /* 1441766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1441781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441803 */     // GIR_Coverage, 6440,
     /* 1441803 */     GIR_EraseRootFromParent_Done,
     /* 1441804 */   // Label 20287: @1441804
     /* 1441804 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1441901), // Rule ID 6441 //
     /* 1441809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441859 */     // MIs[1] Operand 1
     /* 1441859 */     // No operand predicates
     /* 1441859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441863 */     // MIs[0] policy
     /* 1441863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1441878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441900 */     // GIR_Coverage, 6441,
     /* 1441900 */     GIR_EraseRootFromParent_Done,
     /* 1441901 */   // Label 20288: @1441901
     /* 1441901 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1441998), // Rule ID 6444 //
     /* 1441906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1441914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1441923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441956 */     // MIs[1] Operand 1
     /* 1441956 */     // No operand predicates
     /* 1441956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441960 */     // MIs[0] policy
     /* 1441960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1441975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441997 */     // GIR_Coverage, 6444,
     /* 1441997 */     GIR_EraseRootFromParent_Done,
     /* 1441998 */   // Label 20289: @1441998
     /* 1441998 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1442095), // Rule ID 6445 //
     /* 1442003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1442014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1442017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1442020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442053 */     // MIs[1] Operand 1
     /* 1442053 */     // No operand predicates
     /* 1442053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442057 */     // MIs[0] policy
     /* 1442057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442069 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1442072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442094 */     // GIR_Coverage, 6445,
     /* 1442094 */     GIR_EraseRootFromParent_Done,
     /* 1442095 */   // Label 20290: @1442095
     /* 1442095 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1442192), // Rule ID 6448 //
     /* 1442100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1442111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1442114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1442117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442150 */     // MIs[1] Operand 1
     /* 1442150 */     // No operand predicates
     /* 1442150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442154 */     // MIs[0] policy
     /* 1442154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1442169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442191 */     // GIR_Coverage, 6448,
     /* 1442191 */     GIR_EraseRootFromParent_Done,
     /* 1442192 */   // Label 20291: @1442192
     /* 1442192 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1442289), // Rule ID 6449 //
     /* 1442197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1442208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1442211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1442214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442247 */     // MIs[1] Operand 1
     /* 1442247 */     // No operand predicates
     /* 1442247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442251 */     // MIs[0] policy
     /* 1442251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442263 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1442266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442288 */     // GIR_Coverage, 6449,
     /* 1442288 */     GIR_EraseRootFromParent_Done,
     /* 1442289 */   // Label 20292: @1442289
     /* 1442289 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1442386), // Rule ID 6452 //
     /* 1442294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442344 */     // MIs[1] Operand 1
     /* 1442344 */     // No operand predicates
     /* 1442344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442348 */     // MIs[0] policy
     /* 1442348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1442363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442385 */     // GIR_Coverage, 6452,
     /* 1442385 */     GIR_EraseRootFromParent_Done,
     /* 1442386 */   // Label 20293: @1442386
     /* 1442386 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1442483), // Rule ID 6453 //
     /* 1442391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1442399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1442402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1442405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1442408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442441 */     // MIs[1] Operand 1
     /* 1442441 */     // No operand predicates
     /* 1442441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442445 */     // MIs[0] policy
     /* 1442445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442457 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1442460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442482 */     // GIR_Coverage, 6453,
     /* 1442482 */     GIR_EraseRootFromParent_Done,
     /* 1442483 */   // Label 20294: @1442483
     /* 1442483 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1442580), // Rule ID 6632 //
     /* 1442488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442538 */     // MIs[1] Operand 1
     /* 1442538 */     // No operand predicates
     /* 1442538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442542 */     // MIs[0] policy
     /* 1442542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442554 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1442557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442579 */     // GIR_Coverage, 6632,
     /* 1442579 */     GIR_EraseRootFromParent_Done,
     /* 1442580 */   // Label 20295: @1442580
     /* 1442580 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1442677), // Rule ID 6633 //
     /* 1442585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1442596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1442599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1442602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442635 */     // MIs[1] Operand 1
     /* 1442635 */     // No operand predicates
     /* 1442635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442639 */     // MIs[0] policy
     /* 1442639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1442654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442676 */     // GIR_Coverage, 6633,
     /* 1442676 */     GIR_EraseRootFromParent_Done,
     /* 1442677 */   // Label 20296: @1442677
     /* 1442677 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1442774), // Rule ID 6636 //
     /* 1442682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442732 */     // MIs[1] Operand 1
     /* 1442732 */     // No operand predicates
     /* 1442732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442736 */     // MIs[0] policy
     /* 1442736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442748 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1442751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442773 */     // GIR_Coverage, 6636,
     /* 1442773 */     GIR_EraseRootFromParent_Done,
     /* 1442774 */   // Label 20297: @1442774
     /* 1442774 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1442871), // Rule ID 6637 //
     /* 1442779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442829 */     // MIs[1] Operand 1
     /* 1442829 */     // No operand predicates
     /* 1442829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442833 */     // MIs[0] policy
     /* 1442833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442845 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1442848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442870 */     // GIR_Coverage, 6637,
     /* 1442870 */     GIR_EraseRootFromParent_Done,
     /* 1442871 */   // Label 20298: @1442871
     /* 1442871 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1442968), // Rule ID 6640 //
     /* 1442876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442926 */     // MIs[1] Operand 1
     /* 1442926 */     // No operand predicates
     /* 1442926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442930 */     // MIs[0] policy
     /* 1442930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442942 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1442945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442967 */     // GIR_Coverage, 6640,
     /* 1442967 */     GIR_EraseRootFromParent_Done,
     /* 1442968 */   // Label 20299: @1442968
     /* 1442968 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1443065), // Rule ID 6641 //
     /* 1442973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1442981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443023 */     // MIs[1] Operand 1
     /* 1443023 */     // No operand predicates
     /* 1443023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443027 */     // MIs[0] policy
     /* 1443027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443039 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1443042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443064 */     // GIR_Coverage, 6641,
     /* 1443064 */     GIR_EraseRootFromParent_Done,
     /* 1443065 */   // Label 20300: @1443065
     /* 1443065 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1443162), // Rule ID 6644 //
     /* 1443070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1443081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1443084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1443087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443120 */     // MIs[1] Operand 1
     /* 1443120 */     // No operand predicates
     /* 1443120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443124 */     // MIs[0] policy
     /* 1443124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443136 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1443139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443161 */     // GIR_Coverage, 6644,
     /* 1443161 */     GIR_EraseRootFromParent_Done,
     /* 1443162 */   // Label 20301: @1443162
     /* 1443162 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1443259), // Rule ID 6645 //
     /* 1443167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1443178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1443181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1443184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443217 */     // MIs[1] Operand 1
     /* 1443217 */     // No operand predicates
     /* 1443217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443221 */     // MIs[0] policy
     /* 1443221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1443236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443258 */     // GIR_Coverage, 6645,
     /* 1443258 */     GIR_EraseRootFromParent_Done,
     /* 1443259 */   // Label 20302: @1443259
     /* 1443259 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1443356), // Rule ID 6648 //
     /* 1443264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443314 */     // MIs[1] Operand 1
     /* 1443314 */     // No operand predicates
     /* 1443314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443318 */     // MIs[0] policy
     /* 1443318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443330 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1443333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443355 */     // GIR_Coverage, 6648,
     /* 1443355 */     GIR_EraseRootFromParent_Done,
     /* 1443356 */   // Label 20303: @1443356
     /* 1443356 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1443453), // Rule ID 6649 //
     /* 1443361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1443372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1443375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1443378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443411 */     // MIs[1] Operand 1
     /* 1443411 */     // No operand predicates
     /* 1443411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443415 */     // MIs[0] policy
     /* 1443415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1443430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443452 */     // GIR_Coverage, 6649,
     /* 1443452 */     GIR_EraseRootFromParent_Done,
     /* 1443453 */   // Label 20304: @1443453
     /* 1443453 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1443550), // Rule ID 6652 //
     /* 1443458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443508 */     // MIs[1] Operand 1
     /* 1443508 */     // No operand predicates
     /* 1443508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443512 */     // MIs[0] policy
     /* 1443512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1443527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443549 */     // GIR_Coverage, 6652,
     /* 1443549 */     GIR_EraseRootFromParent_Done,
     /* 1443550 */   // Label 20305: @1443550
     /* 1443550 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1443647), // Rule ID 6653 //
     /* 1443555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443605 */     // MIs[1] Operand 1
     /* 1443605 */     // No operand predicates
     /* 1443605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443609 */     // MIs[0] policy
     /* 1443609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1443624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443646 */     // GIR_Coverage, 6653,
     /* 1443646 */     GIR_EraseRootFromParent_Done,
     /* 1443647 */   // Label 20306: @1443647
     /* 1443647 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1443744), // Rule ID 6656 //
     /* 1443652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443702 */     // MIs[1] Operand 1
     /* 1443702 */     // No operand predicates
     /* 1443702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443706 */     // MIs[0] policy
     /* 1443706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443718 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1443721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443743 */     // GIR_Coverage, 6656,
     /* 1443743 */     GIR_EraseRootFromParent_Done,
     /* 1443744 */   // Label 20307: @1443744
     /* 1443744 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1443841), // Rule ID 6657 //
     /* 1443749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443799 */     // MIs[1] Operand 1
     /* 1443799 */     // No operand predicates
     /* 1443799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443803 */     // MIs[0] policy
     /* 1443803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1443818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443840 */     // GIR_Coverage, 6657,
     /* 1443840 */     GIR_EraseRootFromParent_Done,
     /* 1443841 */   // Label 20308: @1443841
     /* 1443841 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1443938), // Rule ID 6660 //
     /* 1443846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443896 */     // MIs[1] Operand 1
     /* 1443896 */     // No operand predicates
     /* 1443896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443900 */     // MIs[0] policy
     /* 1443900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1443915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443937 */     // GIR_Coverage, 6660,
     /* 1443937 */     GIR_EraseRootFromParent_Done,
     /* 1443938 */   // Label 20309: @1443938
     /* 1443938 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1444035), // Rule ID 6661 //
     /* 1443943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1443951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443993 */     // MIs[1] Operand 1
     /* 1443993 */     // No operand predicates
     /* 1443993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443997 */     // MIs[0] policy
     /* 1443997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1444012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444034 */     // GIR_Coverage, 6661,
     /* 1444034 */     GIR_EraseRootFromParent_Done,
     /* 1444035 */   // Label 20310: @1444035
     /* 1444035 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1444132), // Rule ID 6664 //
     /* 1444040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1444051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1444054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1444057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444090 */     // MIs[1] Operand 1
     /* 1444090 */     // No operand predicates
     /* 1444090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444094 */     // MIs[0] policy
     /* 1444094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1444109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444131 */     // GIR_Coverage, 6664,
     /* 1444131 */     GIR_EraseRootFromParent_Done,
     /* 1444132 */   // Label 20311: @1444132
     /* 1444132 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1444229), // Rule ID 6665 //
     /* 1444137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1444148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1444151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1444154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444187 */     // MIs[1] Operand 1
     /* 1444187 */     // No operand predicates
     /* 1444187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444191 */     // MIs[0] policy
     /* 1444191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1444206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444228 */     // GIR_Coverage, 6665,
     /* 1444228 */     GIR_EraseRootFromParent_Done,
     /* 1444229 */   // Label 20312: @1444229
     /* 1444229 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1444326), // Rule ID 6668 //
     /* 1444234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444284 */     // MIs[1] Operand 1
     /* 1444284 */     // No operand predicates
     /* 1444284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444288 */     // MIs[0] policy
     /* 1444288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1444303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444325 */     // GIR_Coverage, 6668,
     /* 1444325 */     GIR_EraseRootFromParent_Done,
     /* 1444326 */   // Label 20313: @1444326
     /* 1444326 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1444423), // Rule ID 6669 //
     /* 1444331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444381 */     // MIs[1] Operand 1
     /* 1444381 */     // No operand predicates
     /* 1444381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444385 */     // MIs[0] policy
     /* 1444385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1444400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444422 */     // GIR_Coverage, 6669,
     /* 1444422 */     GIR_EraseRootFromParent_Done,
     /* 1444423 */   // Label 20314: @1444423
     /* 1444423 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1444520), // Rule ID 6672 //
     /* 1444428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444478 */     // MIs[1] Operand 1
     /* 1444478 */     // No operand predicates
     /* 1444478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444482 */     // MIs[0] policy
     /* 1444482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1444497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444519 */     // GIR_Coverage, 6672,
     /* 1444519 */     GIR_EraseRootFromParent_Done,
     /* 1444520 */   // Label 20315: @1444520
     /* 1444520 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1444617), // Rule ID 6673 //
     /* 1444525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444575 */     // MIs[1] Operand 1
     /* 1444575 */     // No operand predicates
     /* 1444575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444579 */     // MIs[0] policy
     /* 1444579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444591 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1444594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444616 */     // GIR_Coverage, 6673,
     /* 1444616 */     GIR_EraseRootFromParent_Done,
     /* 1444617 */   // Label 20316: @1444617
     /* 1444617 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1444714), // Rule ID 6676 //
     /* 1444622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444672 */     // MIs[1] Operand 1
     /* 1444672 */     // No operand predicates
     /* 1444672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444676 */     // MIs[0] policy
     /* 1444676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1444691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444713 */     // GIR_Coverage, 6676,
     /* 1444713 */     GIR_EraseRootFromParent_Done,
     /* 1444714 */   // Label 20317: @1444714
     /* 1444714 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1444811), // Rule ID 6677 //
     /* 1444719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444769 */     // MIs[1] Operand 1
     /* 1444769 */     // No operand predicates
     /* 1444769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444773 */     // MIs[0] policy
     /* 1444773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444785 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1444788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444810 */     // GIR_Coverage, 6677,
     /* 1444810 */     GIR_EraseRootFromParent_Done,
     /* 1444811 */   // Label 20318: @1444811
     /* 1444811 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1444908), // Rule ID 6680 //
     /* 1444816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444866 */     // MIs[1] Operand 1
     /* 1444866 */     // No operand predicates
     /* 1444866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444870 */     // MIs[0] policy
     /* 1444870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444882 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1444885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444907 */     // GIR_Coverage, 6680,
     /* 1444907 */     GIR_EraseRootFromParent_Done,
     /* 1444908 */   // Label 20319: @1444908
     /* 1444908 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1445005), // Rule ID 6681 //
     /* 1444913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1444921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444963 */     // MIs[1] Operand 1
     /* 1444963 */     // No operand predicates
     /* 1444963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444967 */     // MIs[0] policy
     /* 1444967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444979 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1444982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445004 */     // GIR_Coverage, 6681,
     /* 1445004 */     GIR_EraseRootFromParent_Done,
     /* 1445005 */   // Label 20320: @1445005
     /* 1445005 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1445102), // Rule ID 6684 //
     /* 1445010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1445021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1445024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445060 */     // MIs[1] Operand 1
     /* 1445060 */     // No operand predicates
     /* 1445060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445064 */     // MIs[0] policy
     /* 1445064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1445079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445101 */     // GIR_Coverage, 6684,
     /* 1445101 */     GIR_EraseRootFromParent_Done,
     /* 1445102 */   // Label 20321: @1445102
     /* 1445102 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1445199), // Rule ID 6685 //
     /* 1445107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1445118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1445121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445157 */     // MIs[1] Operand 1
     /* 1445157 */     // No operand predicates
     /* 1445157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445161 */     // MIs[0] policy
     /* 1445161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445173 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1445176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445198 */     // GIR_Coverage, 6685,
     /* 1445198 */     GIR_EraseRootFromParent_Done,
     /* 1445199 */   // Label 20322: @1445199
     /* 1445199 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1445296), // Rule ID 6688 //
     /* 1445204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445254 */     // MIs[1] Operand 1
     /* 1445254 */     // No operand predicates
     /* 1445254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445258 */     // MIs[0] policy
     /* 1445258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445270 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1445273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445295 */     // GIR_Coverage, 6688,
     /* 1445295 */     GIR_EraseRootFromParent_Done,
     /* 1445296 */   // Label 20323: @1445296
     /* 1445296 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1445393), // Rule ID 6689 //
     /* 1445301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445351 */     // MIs[1] Operand 1
     /* 1445351 */     // No operand predicates
     /* 1445351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445355 */     // MIs[0] policy
     /* 1445355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445367 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1445370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445392 */     // GIR_Coverage, 6689,
     /* 1445392 */     GIR_EraseRootFromParent_Done,
     /* 1445393 */   // Label 20324: @1445393
     /* 1445393 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1445490), // Rule ID 6692 //
     /* 1445398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445448 */     // MIs[1] Operand 1
     /* 1445448 */     // No operand predicates
     /* 1445448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445452 */     // MIs[0] policy
     /* 1445452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1445467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445489 */     // GIR_Coverage, 6692,
     /* 1445489 */     GIR_EraseRootFromParent_Done,
     /* 1445490 */   // Label 20325: @1445490
     /* 1445490 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1445587), // Rule ID 6693 //
     /* 1445495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445545 */     // MIs[1] Operand 1
     /* 1445545 */     // No operand predicates
     /* 1445545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445549 */     // MIs[0] policy
     /* 1445549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1445564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445586 */     // GIR_Coverage, 6693,
     /* 1445586 */     GIR_EraseRootFromParent_Done,
     /* 1445587 */   // Label 20326: @1445587
     /* 1445587 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1445684), // Rule ID 6696 //
     /* 1445592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445642 */     // MIs[1] Operand 1
     /* 1445642 */     // No operand predicates
     /* 1445642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445646 */     // MIs[0] policy
     /* 1445646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1445661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445683 */     // GIR_Coverage, 6696,
     /* 1445683 */     GIR_EraseRootFromParent_Done,
     /* 1445684 */   // Label 20327: @1445684
     /* 1445684 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1445781), // Rule ID 6697 //
     /* 1445689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445739 */     // MIs[1] Operand 1
     /* 1445739 */     // No operand predicates
     /* 1445739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445743 */     // MIs[0] policy
     /* 1445743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1445758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445780 */     // GIR_Coverage, 6697,
     /* 1445780 */     GIR_EraseRootFromParent_Done,
     /* 1445781 */   // Label 20328: @1445781
     /* 1445781 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1445878), // Rule ID 6700 //
     /* 1445786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445836 */     // MIs[1] Operand 1
     /* 1445836 */     // No operand predicates
     /* 1445836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445840 */     // MIs[0] policy
     /* 1445840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1445855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445877 */     // GIR_Coverage, 6700,
     /* 1445877 */     GIR_EraseRootFromParent_Done,
     /* 1445878 */   // Label 20329: @1445878
     /* 1445878 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1445975), // Rule ID 6701 //
     /* 1445883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445933 */     // MIs[1] Operand 1
     /* 1445933 */     // No operand predicates
     /* 1445933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445937 */     // MIs[0] policy
     /* 1445937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1445952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445974 */     // GIR_Coverage, 6701,
     /* 1445974 */     GIR_EraseRootFromParent_Done,
     /* 1445975 */   // Label 20330: @1445975
     /* 1445975 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1446072), // Rule ID 6704 //
     /* 1445980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1445988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1445997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446030 */     // MIs[1] Operand 1
     /* 1446030 */     // No operand predicates
     /* 1446030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446034 */     // MIs[0] policy
     /* 1446034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1446049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446071 */     // GIR_Coverage, 6704,
     /* 1446071 */     GIR_EraseRootFromParent_Done,
     /* 1446072 */   // Label 20331: @1446072
     /* 1446072 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1446169), // Rule ID 6705 //
     /* 1446077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1446088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1446091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446127 */     // MIs[1] Operand 1
     /* 1446127 */     // No operand predicates
     /* 1446127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446131 */     // MIs[0] policy
     /* 1446131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1446146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446168 */     // GIR_Coverage, 6705,
     /* 1446168 */     GIR_EraseRootFromParent_Done,
     /* 1446169 */   // Label 20332: @1446169
     /* 1446169 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1446266), // Rule ID 6708 //
     /* 1446174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446224 */     // MIs[1] Operand 1
     /* 1446224 */     // No operand predicates
     /* 1446224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446228 */     // MIs[0] policy
     /* 1446228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1446243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446265 */     // GIR_Coverage, 6708,
     /* 1446265 */     GIR_EraseRootFromParent_Done,
     /* 1446266 */   // Label 20333: @1446266
     /* 1446266 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1446363), // Rule ID 6709 //
     /* 1446271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446321 */     // MIs[1] Operand 1
     /* 1446321 */     // No operand predicates
     /* 1446321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446325 */     // MIs[0] policy
     /* 1446325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1446340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446362 */     // GIR_Coverage, 6709,
     /* 1446362 */     GIR_EraseRootFromParent_Done,
     /* 1446363 */   // Label 20334: @1446363
     /* 1446363 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1446460), // Rule ID 6712 //
     /* 1446368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446418 */     // MIs[1] Operand 1
     /* 1446418 */     // No operand predicates
     /* 1446418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446422 */     // MIs[0] policy
     /* 1446422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1446437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446459 */     // GIR_Coverage, 6712,
     /* 1446459 */     GIR_EraseRootFromParent_Done,
     /* 1446460 */   // Label 20335: @1446460
     /* 1446460 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1446557), // Rule ID 6713 //
     /* 1446465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446515 */     // MIs[1] Operand 1
     /* 1446515 */     // No operand predicates
     /* 1446515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446519 */     // MIs[0] policy
     /* 1446519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1446534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446556 */     // GIR_Coverage, 6713,
     /* 1446556 */     GIR_EraseRootFromParent_Done,
     /* 1446557 */   // Label 20336: @1446557
     /* 1446557 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1446654), // Rule ID 6716 //
     /* 1446562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446612 */     // MIs[1] Operand 1
     /* 1446612 */     // No operand predicates
     /* 1446612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446616 */     // MIs[0] policy
     /* 1446616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1446631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446653 */     // GIR_Coverage, 6716,
     /* 1446653 */     GIR_EraseRootFromParent_Done,
     /* 1446654 */   // Label 20337: @1446654
     /* 1446654 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1446751), // Rule ID 6717 //
     /* 1446659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1446667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446709 */     // MIs[1] Operand 1
     /* 1446709 */     // No operand predicates
     /* 1446709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446713 */     // MIs[0] policy
     /* 1446713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1446728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446750 */     // GIR_Coverage, 6717,
     /* 1446750 */     GIR_EraseRootFromParent_Done,
     /* 1446751 */   // Label 20338: @1446751
     /* 1446751 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1446848), // Rule ID 6896 //
     /* 1446756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446806 */     // MIs[1] Operand 1
     /* 1446806 */     // No operand predicates
     /* 1446806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446810 */     // MIs[0] policy
     /* 1446810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1446825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446847 */     // GIR_Coverage, 6896,
     /* 1446847 */     GIR_EraseRootFromParent_Done,
     /* 1446848 */   // Label 20339: @1446848
     /* 1446848 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1446945), // Rule ID 6897 //
     /* 1446853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446903 */     // MIs[1] Operand 1
     /* 1446903 */     // No operand predicates
     /* 1446903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446907 */     // MIs[0] policy
     /* 1446907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446919 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1446922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446944 */     // GIR_Coverage, 6897,
     /* 1446944 */     GIR_EraseRootFromParent_Done,
     /* 1446945 */   // Label 20340: @1446945
     /* 1446945 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1447042), // Rule ID 6900 //
     /* 1446950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1446958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1446961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1446964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1446967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447000 */     // MIs[1] Operand 1
     /* 1447000 */     // No operand predicates
     /* 1447000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447004 */     // MIs[0] policy
     /* 1447004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1447019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447041 */     // GIR_Coverage, 6900,
     /* 1447041 */     GIR_EraseRootFromParent_Done,
     /* 1447042 */   // Label 20341: @1447042
     /* 1447042 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1447139), // Rule ID 6901 //
     /* 1447047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1447064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447097 */     // MIs[1] Operand 1
     /* 1447097 */     // No operand predicates
     /* 1447097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447101 */     // MIs[0] policy
     /* 1447101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447113 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1447116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447138 */     // GIR_Coverage, 6901,
     /* 1447138 */     GIR_EraseRootFromParent_Done,
     /* 1447139 */   // Label 20342: @1447139
     /* 1447139 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1447236), // Rule ID 6904 //
     /* 1447144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447194 */     // MIs[1] Operand 1
     /* 1447194 */     // No operand predicates
     /* 1447194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447198 */     // MIs[0] policy
     /* 1447198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1447213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447235 */     // GIR_Coverage, 6904,
     /* 1447235 */     GIR_EraseRootFromParent_Done,
     /* 1447236 */   // Label 20343: @1447236
     /* 1447236 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1447333), // Rule ID 6905 //
     /* 1447241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447291 */     // MIs[1] Operand 1
     /* 1447291 */     // No operand predicates
     /* 1447291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447295 */     // MIs[0] policy
     /* 1447295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1447310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447332 */     // GIR_Coverage, 6905,
     /* 1447332 */     GIR_EraseRootFromParent_Done,
     /* 1447333 */   // Label 20344: @1447333
     /* 1447333 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1447430), // Rule ID 6908 //
     /* 1447338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447388 */     // MIs[1] Operand 1
     /* 1447388 */     // No operand predicates
     /* 1447388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447392 */     // MIs[0] policy
     /* 1447392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1447407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447429 */     // GIR_Coverage, 6908,
     /* 1447429 */     GIR_EraseRootFromParent_Done,
     /* 1447430 */   // Label 20345: @1447430
     /* 1447430 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1447527), // Rule ID 6909 //
     /* 1447435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447485 */     // MIs[1] Operand 1
     /* 1447485 */     // No operand predicates
     /* 1447485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447489 */     // MIs[0] policy
     /* 1447489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1447504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447526 */     // GIR_Coverage, 6909,
     /* 1447526 */     GIR_EraseRootFromParent_Done,
     /* 1447527 */   // Label 20346: @1447527
     /* 1447527 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1447624), // Rule ID 6912 //
     /* 1447532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447582 */     // MIs[1] Operand 1
     /* 1447582 */     // No operand predicates
     /* 1447582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447586 */     // MIs[0] policy
     /* 1447586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1447601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447623 */     // GIR_Coverage, 6912,
     /* 1447623 */     GIR_EraseRootFromParent_Done,
     /* 1447624 */   // Label 20347: @1447624
     /* 1447624 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1447721), // Rule ID 6913 //
     /* 1447629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447679 */     // MIs[1] Operand 1
     /* 1447679 */     // No operand predicates
     /* 1447679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447683 */     // MIs[0] policy
     /* 1447683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447695 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1447698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447720 */     // GIR_Coverage, 6913,
     /* 1447720 */     GIR_EraseRootFromParent_Done,
     /* 1447721 */   // Label 20348: @1447721
     /* 1447721 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1447818), // Rule ID 6916 //
     /* 1447726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447776 */     // MIs[1] Operand 1
     /* 1447776 */     // No operand predicates
     /* 1447776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447780 */     // MIs[0] policy
     /* 1447780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1447795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447817 */     // GIR_Coverage, 6916,
     /* 1447817 */     GIR_EraseRootFromParent_Done,
     /* 1447818 */   // Label 20349: @1447818
     /* 1447818 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1447915), // Rule ID 6917 //
     /* 1447823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1447840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447873 */     // MIs[1] Operand 1
     /* 1447873 */     // No operand predicates
     /* 1447873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447877 */     // MIs[0] policy
     /* 1447877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1447892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447914 */     // GIR_Coverage, 6917,
     /* 1447914 */     GIR_EraseRootFromParent_Done,
     /* 1447915 */   // Label 20350: @1447915
     /* 1447915 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1448012), // Rule ID 6920 //
     /* 1447920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1447928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1447931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1447934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1447937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447970 */     // MIs[1] Operand 1
     /* 1447970 */     // No operand predicates
     /* 1447970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447974 */     // MIs[0] policy
     /* 1447974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1447989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448011 */     // GIR_Coverage, 6920,
     /* 1448011 */     GIR_EraseRootFromParent_Done,
     /* 1448012 */   // Label 20351: @1448012
     /* 1448012 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1448109), // Rule ID 6921 //
     /* 1448017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1448034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448067 */     // MIs[1] Operand 1
     /* 1448067 */     // No operand predicates
     /* 1448067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448071 */     // MIs[0] policy
     /* 1448071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1448086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448108 */     // GIR_Coverage, 6921,
     /* 1448108 */     GIR_EraseRootFromParent_Done,
     /* 1448109 */   // Label 20352: @1448109
     /* 1448109 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1448206), // Rule ID 6924 //
     /* 1448114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448164 */     // MIs[1] Operand 1
     /* 1448164 */     // No operand predicates
     /* 1448164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448168 */     // MIs[0] policy
     /* 1448168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1448183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448205 */     // GIR_Coverage, 6924,
     /* 1448205 */     GIR_EraseRootFromParent_Done,
     /* 1448206 */   // Label 20353: @1448206
     /* 1448206 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1448303), // Rule ID 6925 //
     /* 1448211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448261 */     // MIs[1] Operand 1
     /* 1448261 */     // No operand predicates
     /* 1448261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448265 */     // MIs[0] policy
     /* 1448265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1448280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448302 */     // GIR_Coverage, 6925,
     /* 1448302 */     GIR_EraseRootFromParent_Done,
     /* 1448303 */   // Label 20354: @1448303
     /* 1448303 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1448400), // Rule ID 6928 //
     /* 1448308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448358 */     // MIs[1] Operand 1
     /* 1448358 */     // No operand predicates
     /* 1448358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448362 */     // MIs[0] policy
     /* 1448362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1448377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448399 */     // GIR_Coverage, 6928,
     /* 1448399 */     GIR_EraseRootFromParent_Done,
     /* 1448400 */   // Label 20355: @1448400
     /* 1448400 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1448497), // Rule ID 6929 //
     /* 1448405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448455 */     // MIs[1] Operand 1
     /* 1448455 */     // No operand predicates
     /* 1448455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448459 */     // MIs[0] policy
     /* 1448459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1448474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448496 */     // GIR_Coverage, 6929,
     /* 1448496 */     GIR_EraseRootFromParent_Done,
     /* 1448497 */   // Label 20356: @1448497
     /* 1448497 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1448594), // Rule ID 6932 //
     /* 1448502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448552 */     // MIs[1] Operand 1
     /* 1448552 */     // No operand predicates
     /* 1448552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448556 */     // MIs[0] policy
     /* 1448556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1448571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448593 */     // GIR_Coverage, 6932,
     /* 1448593 */     GIR_EraseRootFromParent_Done,
     /* 1448594 */   // Label 20357: @1448594
     /* 1448594 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1448691), // Rule ID 6933 //
     /* 1448599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448649 */     // MIs[1] Operand 1
     /* 1448649 */     // No operand predicates
     /* 1448649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448653 */     // MIs[0] policy
     /* 1448653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1448668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448690 */     // GIR_Coverage, 6933,
     /* 1448690 */     GIR_EraseRootFromParent_Done,
     /* 1448691 */   // Label 20358: @1448691
     /* 1448691 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1448788), // Rule ID 6936 //
     /* 1448696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448746 */     // MIs[1] Operand 1
     /* 1448746 */     // No operand predicates
     /* 1448746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448750 */     // MIs[0] policy
     /* 1448750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1448765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448787 */     // GIR_Coverage, 6936,
     /* 1448787 */     GIR_EraseRootFromParent_Done,
     /* 1448788 */   // Label 20359: @1448788
     /* 1448788 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1448885), // Rule ID 6937 //
     /* 1448793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1448810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448843 */     // MIs[1] Operand 1
     /* 1448843 */     // No operand predicates
     /* 1448843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448847 */     // MIs[0] policy
     /* 1448847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1448862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448884 */     // GIR_Coverage, 6937,
     /* 1448884 */     GIR_EraseRootFromParent_Done,
     /* 1448885 */   // Label 20360: @1448885
     /* 1448885 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1448982), // Rule ID 6940 //
     /* 1448890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1448904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1448907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448940 */     // MIs[1] Operand 1
     /* 1448940 */     // No operand predicates
     /* 1448940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448944 */     // MIs[0] policy
     /* 1448944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1448959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448981 */     // GIR_Coverage, 6940,
     /* 1448981 */     GIR_EraseRootFromParent_Done,
     /* 1448982 */   // Label 20361: @1448982
     /* 1448982 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1449079), // Rule ID 6941 //
     /* 1448987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1448995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1449001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1449004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449037 */     // MIs[1] Operand 1
     /* 1449037 */     // No operand predicates
     /* 1449037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449041 */     // MIs[0] policy
     /* 1449041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1449056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449078 */     // GIR_Coverage, 6941,
     /* 1449078 */     GIR_EraseRootFromParent_Done,
     /* 1449079 */   // Label 20362: @1449079
     /* 1449079 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1449176), // Rule ID 6944 //
     /* 1449084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449134 */     // MIs[1] Operand 1
     /* 1449134 */     // No operand predicates
     /* 1449134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449138 */     // MIs[0] policy
     /* 1449138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1449153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449175 */     // GIR_Coverage, 6944,
     /* 1449175 */     GIR_EraseRootFromParent_Done,
     /* 1449176 */   // Label 20363: @1449176
     /* 1449176 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1449273), // Rule ID 6945 //
     /* 1449181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449231 */     // MIs[1] Operand 1
     /* 1449231 */     // No operand predicates
     /* 1449231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449235 */     // MIs[0] policy
     /* 1449235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1449250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449272 */     // GIR_Coverage, 6945,
     /* 1449272 */     GIR_EraseRootFromParent_Done,
     /* 1449273 */   // Label 20364: @1449273
     /* 1449273 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1449370), // Rule ID 6948 //
     /* 1449278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449328 */     // MIs[1] Operand 1
     /* 1449328 */     // No operand predicates
     /* 1449328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449332 */     // MIs[0] policy
     /* 1449332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1449347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449369 */     // GIR_Coverage, 6948,
     /* 1449369 */     GIR_EraseRootFromParent_Done,
     /* 1449370 */   // Label 20365: @1449370
     /* 1449370 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1449467), // Rule ID 6949 //
     /* 1449375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449425 */     // MIs[1] Operand 1
     /* 1449425 */     // No operand predicates
     /* 1449425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449429 */     // MIs[0] policy
     /* 1449429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449441 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1449444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449466 */     // GIR_Coverage, 6949,
     /* 1449466 */     GIR_EraseRootFromParent_Done,
     /* 1449467 */   // Label 20366: @1449467
     /* 1449467 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1449564), // Rule ID 6952 //
     /* 1449472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449522 */     // MIs[1] Operand 1
     /* 1449522 */     // No operand predicates
     /* 1449522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449526 */     // MIs[0] policy
     /* 1449526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1449541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449563 */     // GIR_Coverage, 6952,
     /* 1449563 */     GIR_EraseRootFromParent_Done,
     /* 1449564 */   // Label 20367: @1449564
     /* 1449564 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1449661), // Rule ID 6953 //
     /* 1449569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1449586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449619 */     // MIs[1] Operand 1
     /* 1449619 */     // No operand predicates
     /* 1449619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449623 */     // MIs[0] policy
     /* 1449623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1449638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449660 */     // GIR_Coverage, 6953,
     /* 1449660 */     GIR_EraseRootFromParent_Done,
     /* 1449661 */   // Label 20368: @1449661
     /* 1449661 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1449758), // Rule ID 6956 //
     /* 1449666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449716 */     // MIs[1] Operand 1
     /* 1449716 */     // No operand predicates
     /* 1449716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449720 */     // MIs[0] policy
     /* 1449720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1449735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449757 */     // GIR_Coverage, 6956,
     /* 1449757 */     GIR_EraseRootFromParent_Done,
     /* 1449758 */   // Label 20369: @1449758
     /* 1449758 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1449855), // Rule ID 6957 //
     /* 1449763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449813 */     // MIs[1] Operand 1
     /* 1449813 */     // No operand predicates
     /* 1449813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449817 */     // MIs[0] policy
     /* 1449817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449829 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1449832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449854 */     // GIR_Coverage, 6957,
     /* 1449854 */     GIR_EraseRootFromParent_Done,
     /* 1449855 */   // Label 20370: @1449855
     /* 1449855 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1449952), // Rule ID 6960 //
     /* 1449860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449910 */     // MIs[1] Operand 1
     /* 1449910 */     // No operand predicates
     /* 1449910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449914 */     // MIs[0] policy
     /* 1449914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1449929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449951 */     // GIR_Coverage, 6960,
     /* 1449951 */     GIR_EraseRootFromParent_Done,
     /* 1449952 */   // Label 20371: @1449952
     /* 1449952 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1450049), // Rule ID 6961 //
     /* 1449957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1449965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450007 */     // MIs[1] Operand 1
     /* 1450007 */     // No operand predicates
     /* 1450007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450011 */     // MIs[0] policy
     /* 1450011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1450026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450048 */     // GIR_Coverage, 6961,
     /* 1450048 */     GIR_EraseRootFromParent_Done,
     /* 1450049 */   // Label 20372: @1450049
     /* 1450049 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1450146), // Rule ID 6964 //
     /* 1450054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450104 */     // MIs[1] Operand 1
     /* 1450104 */     // No operand predicates
     /* 1450104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450108 */     // MIs[0] policy
     /* 1450108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1450123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450145 */     // GIR_Coverage, 6964,
     /* 1450145 */     GIR_EraseRootFromParent_Done,
     /* 1450146 */   // Label 20373: @1450146
     /* 1450146 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1450243), // Rule ID 6965 //
     /* 1450151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450201 */     // MIs[1] Operand 1
     /* 1450201 */     // No operand predicates
     /* 1450201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450205 */     // MIs[0] policy
     /* 1450205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450217 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1450220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450242 */     // GIR_Coverage, 6965,
     /* 1450242 */     GIR_EraseRootFromParent_Done,
     /* 1450243 */   // Label 20374: @1450243
     /* 1450243 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1450340), // Rule ID 6968 //
     /* 1450248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450298 */     // MIs[1] Operand 1
     /* 1450298 */     // No operand predicates
     /* 1450298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450302 */     // MIs[0] policy
     /* 1450302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1450317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450339 */     // GIR_Coverage, 6968,
     /* 1450339 */     GIR_EraseRootFromParent_Done,
     /* 1450340 */   // Label 20375: @1450340
     /* 1450340 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1450437), // Rule ID 6969 //
     /* 1450345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1450356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1450359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1450362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450395 */     // MIs[1] Operand 1
     /* 1450395 */     // No operand predicates
     /* 1450395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450399 */     // MIs[0] policy
     /* 1450399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1450414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450436 */     // GIR_Coverage, 6969,
     /* 1450436 */     GIR_EraseRootFromParent_Done,
     /* 1450437 */   // Label 20376: @1450437
     /* 1450437 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1450534), // Rule ID 6972 //
     /* 1450442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450492 */     // MIs[1] Operand 1
     /* 1450492 */     // No operand predicates
     /* 1450492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450496 */     // MIs[0] policy
     /* 1450496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1450511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450533 */     // GIR_Coverage, 6972,
     /* 1450533 */     GIR_EraseRootFromParent_Done,
     /* 1450534 */   // Label 20377: @1450534
     /* 1450534 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1450631), // Rule ID 6973 //
     /* 1450539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1450550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1450553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450589 */     // MIs[1] Operand 1
     /* 1450589 */     // No operand predicates
     /* 1450589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450593 */     // MIs[0] policy
     /* 1450593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450605 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1450608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450630 */     // GIR_Coverage, 6973,
     /* 1450630 */     GIR_EraseRootFromParent_Done,
     /* 1450631 */   // Label 20378: @1450631
     /* 1450631 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1450728), // Rule ID 6976 //
     /* 1450636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450686 */     // MIs[1] Operand 1
     /* 1450686 */     // No operand predicates
     /* 1450686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450690 */     // MIs[0] policy
     /* 1450690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1450705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450727 */     // GIR_Coverage, 6976,
     /* 1450727 */     GIR_EraseRootFromParent_Done,
     /* 1450728 */   // Label 20379: @1450728
     /* 1450728 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1450825), // Rule ID 6977 //
     /* 1450733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1450744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1450747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450783 */     // MIs[1] Operand 1
     /* 1450783 */     // No operand predicates
     /* 1450783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450787 */     // MIs[0] policy
     /* 1450787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1450802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450824 */     // GIR_Coverage, 6977,
     /* 1450824 */     GIR_EraseRootFromParent_Done,
     /* 1450825 */   // Label 20380: @1450825
     /* 1450825 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1450922), // Rule ID 6980 //
     /* 1450830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450880 */     // MIs[1] Operand 1
     /* 1450880 */     // No operand predicates
     /* 1450880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450884 */     // MIs[0] policy
     /* 1450884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1450899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450921 */     // GIR_Coverage, 6980,
     /* 1450921 */     GIR_EraseRootFromParent_Done,
     /* 1450922 */   // Label 20381: @1450922
     /* 1450922 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1451019), // Rule ID 6981 //
     /* 1450927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1450930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1450935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450977 */     // MIs[1] Operand 1
     /* 1450977 */     // No operand predicates
     /* 1450977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450981 */     // MIs[0] policy
     /* 1450981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1450996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451018 */     // GIR_Coverage, 6981,
     /* 1451018 */     GIR_EraseRootFromParent_Done,
     /* 1451019 */   // Label 20382: @1451019
     /* 1451019 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1451116), // Rule ID 7160 //
     /* 1451024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1451035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1451038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1451041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451074 */     // MIs[1] Operand 1
     /* 1451074 */     // No operand predicates
     /* 1451074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451078 */     // MIs[0] policy
     /* 1451078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1451093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451115 */     // GIR_Coverage, 7160,
     /* 1451115 */     GIR_EraseRootFromParent_Done,
     /* 1451116 */   // Label 20383: @1451116
     /* 1451116 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1451213), // Rule ID 7161 //
     /* 1451121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1451132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1451135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1451138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451171 */     // MIs[1] Operand 1
     /* 1451171 */     // No operand predicates
     /* 1451171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451175 */     // MIs[0] policy
     /* 1451175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451187 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1451190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451212 */     // GIR_Coverage, 7161,
     /* 1451212 */     GIR_EraseRootFromParent_Done,
     /* 1451213 */   // Label 20384: @1451213
     /* 1451213 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1451310), // Rule ID 7164 //
     /* 1451218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1451229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1451235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451268 */     // MIs[1] Operand 1
     /* 1451268 */     // No operand predicates
     /* 1451268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451272 */     // MIs[0] policy
     /* 1451272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1451287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451309 */     // GIR_Coverage, 7164,
     /* 1451309 */     GIR_EraseRootFromParent_Done,
     /* 1451310 */   // Label 20385: @1451310
     /* 1451310 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1451407), // Rule ID 7165 //
     /* 1451315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1451326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1451329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1451332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451365 */     // MIs[1] Operand 1
     /* 1451365 */     // No operand predicates
     /* 1451365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451369 */     // MIs[0] policy
     /* 1451369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451381 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1451384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451406 */     // GIR_Coverage, 7165,
     /* 1451406 */     GIR_EraseRootFromParent_Done,
     /* 1451407 */   // Label 20386: @1451407
     /* 1451407 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1451504), // Rule ID 7168 //
     /* 1451412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1451429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451462 */     // MIs[1] Operand 1
     /* 1451462 */     // No operand predicates
     /* 1451462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451466 */     // MIs[0] policy
     /* 1451466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451478 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1451481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451503 */     // GIR_Coverage, 7168,
     /* 1451503 */     GIR_EraseRootFromParent_Done,
     /* 1451504 */   // Label 20387: @1451504
     /* 1451504 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1451601), // Rule ID 7169 //
     /* 1451509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1451526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451559 */     // MIs[1] Operand 1
     /* 1451559 */     // No operand predicates
     /* 1451559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451563 */     // MIs[0] policy
     /* 1451563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1451578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451600 */     // GIR_Coverage, 7169,
     /* 1451600 */     GIR_EraseRootFromParent_Done,
     /* 1451601 */   // Label 20388: @1451601
     /* 1451601 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1451698), // Rule ID 7172 //
     /* 1451606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451656 */     // MIs[1] Operand 1
     /* 1451656 */     // No operand predicates
     /* 1451656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451660 */     // MIs[0] policy
     /* 1451660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1451675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451697 */     // GIR_Coverage, 7172,
     /* 1451697 */     GIR_EraseRootFromParent_Done,
     /* 1451698 */   // Label 20389: @1451698
     /* 1451698 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1451795), // Rule ID 7173 //
     /* 1451703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451753 */     // MIs[1] Operand 1
     /* 1451753 */     // No operand predicates
     /* 1451753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451757 */     // MIs[0] policy
     /* 1451757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451769 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1451772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451794 */     // GIR_Coverage, 7173,
     /* 1451794 */     GIR_EraseRootFromParent_Done,
     /* 1451795 */   // Label 20390: @1451795
     /* 1451795 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1451892), // Rule ID 7176 //
     /* 1451800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1451811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1451814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451850 */     // MIs[1] Operand 1
     /* 1451850 */     // No operand predicates
     /* 1451850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451854 */     // MIs[0] policy
     /* 1451854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1451869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451891 */     // GIR_Coverage, 7176,
     /* 1451891 */     GIR_EraseRootFromParent_Done,
     /* 1451892 */   // Label 20391: @1451892
     /* 1451892 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1451989), // Rule ID 7177 //
     /* 1451897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1451905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1451908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1451911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451947 */     // MIs[1] Operand 1
     /* 1451947 */     // No operand predicates
     /* 1451947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451951 */     // MIs[0] policy
     /* 1451951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1451966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451988 */     // GIR_Coverage, 7177,
     /* 1451988 */     GIR_EraseRootFromParent_Done,
     /* 1451989 */   // Label 20392: @1451989
     /* 1451989 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1452086), // Rule ID 7180 //
     /* 1451994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452044 */     // MIs[1] Operand 1
     /* 1452044 */     // No operand predicates
     /* 1452044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452048 */     // MIs[0] policy
     /* 1452048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1452063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452085 */     // GIR_Coverage, 7180,
     /* 1452085 */     GIR_EraseRootFromParent_Done,
     /* 1452086 */   // Label 20393: @1452086
     /* 1452086 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1452183), // Rule ID 7181 //
     /* 1452091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452141 */     // MIs[1] Operand 1
     /* 1452141 */     // No operand predicates
     /* 1452141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452145 */     // MIs[0] policy
     /* 1452145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452157 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1452160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452182 */     // GIR_Coverage, 7181,
     /* 1452182 */     GIR_EraseRootFromParent_Done,
     /* 1452183 */   // Label 20394: @1452183
     /* 1452183 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1452280), // Rule ID 7184 //
     /* 1452188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1452199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1452202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1452205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452238 */     // MIs[1] Operand 1
     /* 1452238 */     // No operand predicates
     /* 1452238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452242 */     // MIs[0] policy
     /* 1452242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452279 */     // GIR_Coverage, 7184,
     /* 1452279 */     GIR_EraseRootFromParent_Done,
     /* 1452280 */   // Label 20395: @1452280
     /* 1452280 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1452377), // Rule ID 7185 //
     /* 1452285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1452296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1452299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1452302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452335 */     // MIs[1] Operand 1
     /* 1452335 */     // No operand predicates
     /* 1452335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452339 */     // MIs[0] policy
     /* 1452339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452376 */     // GIR_Coverage, 7185,
     /* 1452376 */     GIR_EraseRootFromParent_Done,
     /* 1452377 */   // Label 20396: @1452377
     /* 1452377 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1452474), // Rule ID 7188 //
     /* 1452382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452432 */     // MIs[1] Operand 1
     /* 1452432 */     // No operand predicates
     /* 1452432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452436 */     // MIs[0] policy
     /* 1452436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452473 */     // GIR_Coverage, 7188,
     /* 1452473 */     GIR_EraseRootFromParent_Done,
     /* 1452474 */   // Label 20397: @1452474
     /* 1452474 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1452571), // Rule ID 7189 //
     /* 1452479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452529 */     // MIs[1] Operand 1
     /* 1452529 */     // No operand predicates
     /* 1452529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452533 */     // MIs[0] policy
     /* 1452533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452570 */     // GIR_Coverage, 7189,
     /* 1452570 */     GIR_EraseRootFromParent_Done,
     /* 1452571 */   // Label 20398: @1452571
     /* 1452571 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1452668), // Rule ID 7192 //
     /* 1452576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1452587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1452590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452626 */     // MIs[1] Operand 1
     /* 1452626 */     // No operand predicates
     /* 1452626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452630 */     // MIs[0] policy
     /* 1452630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452667 */     // GIR_Coverage, 7192,
     /* 1452667 */     GIR_EraseRootFromParent_Done,
     /* 1452668 */   // Label 20399: @1452668
     /* 1452668 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1452765), // Rule ID 7193 //
     /* 1452673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1452684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1452687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452723 */     // MIs[1] Operand 1
     /* 1452723 */     // No operand predicates
     /* 1452723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452727 */     // MIs[0] policy
     /* 1452727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452739 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452764 */     // GIR_Coverage, 7193,
     /* 1452764 */     GIR_EraseRootFromParent_Done,
     /* 1452765 */   // Label 20400: @1452765
     /* 1452765 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1452862), // Rule ID 7196 //
     /* 1452770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1452773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1452781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1452784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452820 */     // MIs[1] Operand 1
     /* 1452820 */     // No operand predicates
     /* 1452820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452824 */     // MIs[0] policy
     /* 1452824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452861 */     // GIR_Coverage, 7196,
     /* 1452861 */     GIR_EraseRootFromParent_Done,
     /* 1452862 */   // Label 20401: @1452862
     /* 1452862 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1452959), // Rule ID 7197 //
     /* 1452867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1452870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1452878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1452881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452917 */     // MIs[1] Operand 1
     /* 1452917 */     // No operand predicates
     /* 1452917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452921 */     // MIs[0] policy
     /* 1452921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1452936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452958 */     // GIR_Coverage, 7197,
     /* 1452958 */     GIR_EraseRootFromParent_Done,
     /* 1452959 */   // Label 20402: @1452959
     /* 1452959 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1453056), // Rule ID 7200 //
     /* 1452964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1452972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1452975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1452978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1452981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453014 */     // MIs[1] Operand 1
     /* 1453014 */     // No operand predicates
     /* 1453014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453018 */     // MIs[0] policy
     /* 1453018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453030 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1453033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453055 */     // GIR_Coverage, 7200,
     /* 1453055 */     GIR_EraseRootFromParent_Done,
     /* 1453056 */   // Label 20403: @1453056
     /* 1453056 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1453153), // Rule ID 7201 //
     /* 1453061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1453072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1453075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1453078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453111 */     // MIs[1] Operand 1
     /* 1453111 */     // No operand predicates
     /* 1453111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453115 */     // MIs[0] policy
     /* 1453115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453127 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1453130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453152 */     // GIR_Coverage, 7201,
     /* 1453152 */     GIR_EraseRootFromParent_Done,
     /* 1453153 */   // Label 20404: @1453153
     /* 1453153 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1453250), // Rule ID 7204 //
     /* 1453158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1453169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1453172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1453175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453208 */     // MIs[1] Operand 1
     /* 1453208 */     // No operand predicates
     /* 1453208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453212 */     // MIs[0] policy
     /* 1453212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1453227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453249 */     // GIR_Coverage, 7204,
     /* 1453249 */     GIR_EraseRootFromParent_Done,
     /* 1453250 */   // Label 20405: @1453250
     /* 1453250 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1453347), // Rule ID 7205 //
     /* 1453255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1453266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1453269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1453272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453305 */     // MIs[1] Operand 1
     /* 1453305 */     // No operand predicates
     /* 1453305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453309 */     // MIs[0] policy
     /* 1453309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1453324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453346 */     // GIR_Coverage, 7205,
     /* 1453346 */     GIR_EraseRootFromParent_Done,
     /* 1453347 */   // Label 20406: @1453347
     /* 1453347 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1453444), // Rule ID 7208 //
     /* 1453352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1453363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1453366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1453369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1453375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453402 */     // MIs[1] Operand 1
     /* 1453402 */     // No operand predicates
     /* 1453402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453406 */     // MIs[0] policy
     /* 1453406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453418 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1453421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453443 */     // GIR_Coverage, 7208,
     /* 1453443 */     GIR_EraseRootFromParent_Done,
     /* 1453444 */   // Label 20407: @1453444
     /* 1453444 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1453541), // Rule ID 7209 //
     /* 1453449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1453460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1453463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1453466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1453472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453499 */     // MIs[1] Operand 1
     /* 1453499 */     // No operand predicates
     /* 1453499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453503 */     // MIs[0] policy
     /* 1453503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453515 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1453518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453540 */     // GIR_Coverage, 7209,
     /* 1453540 */     GIR_EraseRootFromParent_Done,
     /* 1453541 */   // Label 20408: @1453541
     /* 1453541 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1453638), // Rule ID 7212 //
     /* 1453546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453596 */     // MIs[1] Operand 1
     /* 1453596 */     // No operand predicates
     /* 1453596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453600 */     // MIs[0] policy
     /* 1453600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1453615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453637 */     // GIR_Coverage, 7212,
     /* 1453637 */     GIR_EraseRootFromParent_Done,
     /* 1453638 */   // Label 20409: @1453638
     /* 1453638 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1453735), // Rule ID 7213 //
     /* 1453643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453693 */     // MIs[1] Operand 1
     /* 1453693 */     // No operand predicates
     /* 1453693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453697 */     // MIs[0] policy
     /* 1453697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1453712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453734 */     // GIR_Coverage, 7213,
     /* 1453734 */     GIR_EraseRootFromParent_Done,
     /* 1453735 */   // Label 20410: @1453735
     /* 1453735 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1453832), // Rule ID 7216 //
     /* 1453740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453790 */     // MIs[1] Operand 1
     /* 1453790 */     // No operand predicates
     /* 1453790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453794 */     // MIs[0] policy
     /* 1453794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1453809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453831 */     // GIR_Coverage, 7216,
     /* 1453831 */     GIR_EraseRootFromParent_Done,
     /* 1453832 */   // Label 20411: @1453832
     /* 1453832 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1453929), // Rule ID 7217 //
     /* 1453837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453887 */     // MIs[1] Operand 1
     /* 1453887 */     // No operand predicates
     /* 1453887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453891 */     // MIs[0] policy
     /* 1453891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1453906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453928 */     // GIR_Coverage, 7217,
     /* 1453928 */     GIR_EraseRootFromParent_Done,
     /* 1453929 */   // Label 20412: @1453929
     /* 1453929 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1454026), // Rule ID 7220 //
     /* 1453934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1453942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1453945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1453948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453984 */     // MIs[1] Operand 1
     /* 1453984 */     // No operand predicates
     /* 1453984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453988 */     // MIs[0] policy
     /* 1453988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1454003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454025 */     // GIR_Coverage, 7220,
     /* 1454025 */     GIR_EraseRootFromParent_Done,
     /* 1454026 */   // Label 20413: @1454026
     /* 1454026 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1454123), // Rule ID 7221 //
     /* 1454031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1454042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1454045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1454048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1454054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454081 */     // MIs[1] Operand 1
     /* 1454081 */     // No operand predicates
     /* 1454081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454085 */     // MIs[0] policy
     /* 1454085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1454100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454122 */     // GIR_Coverage, 7221,
     /* 1454122 */     GIR_EraseRootFromParent_Done,
     /* 1454123 */   // Label 20414: @1454123
     /* 1454123 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1454220), // Rule ID 7224 //
     /* 1454128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1454139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1454142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1454145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454178 */     // MIs[1] Operand 1
     /* 1454178 */     // No operand predicates
     /* 1454178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454182 */     // MIs[0] policy
     /* 1454182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1454197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454219 */     // GIR_Coverage, 7224,
     /* 1454219 */     GIR_EraseRootFromParent_Done,
     /* 1454220 */   // Label 20415: @1454220
     /* 1454220 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1454317), // Rule ID 7225 //
     /* 1454225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1454236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1454239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1454242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454275 */     // MIs[1] Operand 1
     /* 1454275 */     // No operand predicates
     /* 1454275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454279 */     // MIs[0] policy
     /* 1454279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1454294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454316 */     // GIR_Coverage, 7225,
     /* 1454316 */     GIR_EraseRootFromParent_Done,
     /* 1454317 */   // Label 20416: @1454317
     /* 1454317 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1454414), // Rule ID 7228 //
     /* 1454322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454372 */     // MIs[1] Operand 1
     /* 1454372 */     // No operand predicates
     /* 1454372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454376 */     // MIs[0] policy
     /* 1454376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1454391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454413 */     // GIR_Coverage, 7228,
     /* 1454413 */     GIR_EraseRootFromParent_Done,
     /* 1454414 */   // Label 20417: @1454414
     /* 1454414 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1454511), // Rule ID 7229 //
     /* 1454419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454469 */     // MIs[1] Operand 1
     /* 1454469 */     // No operand predicates
     /* 1454469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454473 */     // MIs[0] policy
     /* 1454473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454485 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1454488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454510 */     // GIR_Coverage, 7229,
     /* 1454510 */     GIR_EraseRootFromParent_Done,
     /* 1454511 */   // Label 20418: @1454511
     /* 1454511 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1454608), // Rule ID 7232 //
     /* 1454516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454566 */     // MIs[1] Operand 1
     /* 1454566 */     // No operand predicates
     /* 1454566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454570 */     // MIs[0] policy
     /* 1454570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1454585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454607 */     // GIR_Coverage, 7232,
     /* 1454607 */     GIR_EraseRootFromParent_Done,
     /* 1454608 */   // Label 20419: @1454608
     /* 1454608 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1454705), // Rule ID 7233 //
     /* 1454613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454663 */     // MIs[1] Operand 1
     /* 1454663 */     // No operand predicates
     /* 1454663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454667 */     // MIs[0] policy
     /* 1454667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454679 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1454682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454704 */     // GIR_Coverage, 7233,
     /* 1454704 */     GIR_EraseRootFromParent_Done,
     /* 1454705 */   // Label 20420: @1454705
     /* 1454705 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1454802), // Rule ID 7236 //
     /* 1454710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1454713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454760 */     // MIs[1] Operand 1
     /* 1454760 */     // No operand predicates
     /* 1454760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454764 */     // MIs[0] policy
     /* 1454764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1454779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454801 */     // GIR_Coverage, 7236,
     /* 1454801 */     GIR_EraseRootFromParent_Done,
     /* 1454802 */   // Label 20421: @1454802
     /* 1454802 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1454899), // Rule ID 7237 //
     /* 1454807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1454810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454857 */     // MIs[1] Operand 1
     /* 1454857 */     // No operand predicates
     /* 1454857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454861 */     // MIs[0] policy
     /* 1454861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454873 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1454876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454898 */     // GIR_Coverage, 7237,
     /* 1454898 */     GIR_EraseRootFromParent_Done,
     /* 1454899 */   // Label 20422: @1454899
     /* 1454899 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1454996), // Rule ID 7240 //
     /* 1454904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1454907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1454912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1454915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1454918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1454921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454954 */     // MIs[1] Operand 1
     /* 1454954 */     // No operand predicates
     /* 1454954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454958 */     // MIs[0] policy
     /* 1454958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1454973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454995 */     // GIR_Coverage, 7240,
     /* 1454995 */     GIR_EraseRootFromParent_Done,
     /* 1454996 */   // Label 20423: @1454996
     /* 1454996 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1455093), // Rule ID 7241 //
     /* 1455001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1455004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1455012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1455015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1455018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455051 */     // MIs[1] Operand 1
     /* 1455051 */     // No operand predicates
     /* 1455051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455055 */     // MIs[0] policy
     /* 1455055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1455070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455092 */     // GIR_Coverage, 7241,
     /* 1455092 */     GIR_EraseRootFromParent_Done,
     /* 1455093 */   // Label 20424: @1455093
     /* 1455093 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1455190), // Rule ID 7244 //
     /* 1455098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1455101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1455109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1455112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1455115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455148 */     // MIs[1] Operand 1
     /* 1455148 */     // No operand predicates
     /* 1455148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455152 */     // MIs[0] policy
     /* 1455152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1455167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455189 */     // GIR_Coverage, 7244,
     /* 1455189 */     GIR_EraseRootFromParent_Done,
     /* 1455190 */   // Label 20425: @1455190
     /* 1455190 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1455287), // Rule ID 7245 //
     /* 1455195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1455198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1455203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1455206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1455209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1455212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455245 */     // MIs[1] Operand 1
     /* 1455245 */     // No operand predicates
     /* 1455245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455249 */     // MIs[0] policy
     /* 1455249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1455264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455286 */     // GIR_Coverage, 7245,
     /* 1455286 */     GIR_EraseRootFromParent_Done,
     /* 1455287 */   // Label 20426: @1455287
     /* 1455287 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1455384), // Rule ID 7456 //
     /* 1455292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1455303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1455306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1455309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455342 */     // MIs[1] Operand 1
     /* 1455342 */     // No operand predicates
     /* 1455342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455346 */     // MIs[0] policy
     /* 1455346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1455361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455383 */     // GIR_Coverage, 7456,
     /* 1455383 */     GIR_EraseRootFromParent_Done,
     /* 1455384 */   // Label 20427: @1455384
     /* 1455384 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1455481), // Rule ID 7457 //
     /* 1455389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1455400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1455403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1455406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455439 */     // MIs[1] Operand 1
     /* 1455439 */     // No operand predicates
     /* 1455439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455443 */     // MIs[0] policy
     /* 1455443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455455 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1455458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455480 */     // GIR_Coverage, 7457,
     /* 1455480 */     GIR_EraseRootFromParent_Done,
     /* 1455481 */   // Label 20428: @1455481
     /* 1455481 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1455578), // Rule ID 7460 //
     /* 1455486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1455497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1455500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455536 */     // MIs[1] Operand 1
     /* 1455536 */     // No operand predicates
     /* 1455536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455540 */     // MIs[0] policy
     /* 1455540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1455555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455577 */     // GIR_Coverage, 7460,
     /* 1455577 */     GIR_EraseRootFromParent_Done,
     /* 1455578 */   // Label 20429: @1455578
     /* 1455578 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1455675), // Rule ID 7461 //
     /* 1455583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1455594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1455597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455633 */     // MIs[1] Operand 1
     /* 1455633 */     // No operand predicates
     /* 1455633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455637 */     // MIs[0] policy
     /* 1455637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1455652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455674 */     // GIR_Coverage, 7461,
     /* 1455674 */     GIR_EraseRootFromParent_Done,
     /* 1455675 */   // Label 20430: @1455675
     /* 1455675 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1455772), // Rule ID 7464 //
     /* 1455680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1455691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1455694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1455697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455730 */     // MIs[1] Operand 1
     /* 1455730 */     // No operand predicates
     /* 1455730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455734 */     // MIs[0] policy
     /* 1455734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1455749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455771 */     // GIR_Coverage, 7464,
     /* 1455771 */     GIR_EraseRootFromParent_Done,
     /* 1455772 */   // Label 20431: @1455772
     /* 1455772 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1455869), // Rule ID 7465 //
     /* 1455777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1455788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1455791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1455794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455827 */     // MIs[1] Operand 1
     /* 1455827 */     // No operand predicates
     /* 1455827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455831 */     // MIs[0] policy
     /* 1455831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455843 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1455846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455868 */     // GIR_Coverage, 7465,
     /* 1455868 */     GIR_EraseRootFromParent_Done,
     /* 1455869 */   // Label 20432: @1455869
     /* 1455869 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1455966), // Rule ID 7468 //
     /* 1455874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1455885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1455888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1455891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455924 */     // MIs[1] Operand 1
     /* 1455924 */     // No operand predicates
     /* 1455924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455928 */     // MIs[0] policy
     /* 1455928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1455943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455965 */     // GIR_Coverage, 7468,
     /* 1455965 */     GIR_EraseRootFromParent_Done,
     /* 1455966 */   // Label 20433: @1455966
     /* 1455966 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1456063), // Rule ID 7469 //
     /* 1455971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1455979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1455982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1455985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1455988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456021 */     // MIs[1] Operand 1
     /* 1456021 */     // No operand predicates
     /* 1456021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456025 */     // MIs[0] policy
     /* 1456025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456037 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1456040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456062 */     // GIR_Coverage, 7469,
     /* 1456062 */     GIR_EraseRootFromParent_Done,
     /* 1456063 */   // Label 20434: @1456063
     /* 1456063 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1456160), // Rule ID 7472 //
     /* 1456068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1456079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1456082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456118 */     // MIs[1] Operand 1
     /* 1456118 */     // No operand predicates
     /* 1456118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456122 */     // MIs[0] policy
     /* 1456122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1456137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456159 */     // GIR_Coverage, 7472,
     /* 1456159 */     GIR_EraseRootFromParent_Done,
     /* 1456160 */   // Label 20435: @1456160
     /* 1456160 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1456257), // Rule ID 7473 //
     /* 1456165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1456176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1456179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456215 */     // MIs[1] Operand 1
     /* 1456215 */     // No operand predicates
     /* 1456215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456219 */     // MIs[0] policy
     /* 1456219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456231 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1456234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456256 */     // GIR_Coverage, 7473,
     /* 1456256 */     GIR_EraseRootFromParent_Done,
     /* 1456257 */   // Label 20436: @1456257
     /* 1456257 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1456354), // Rule ID 7476 //
     /* 1456262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1456273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1456276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456312 */     // MIs[1] Operand 1
     /* 1456312 */     // No operand predicates
     /* 1456312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456316 */     // MIs[0] policy
     /* 1456316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1456331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456353 */     // GIR_Coverage, 7476,
     /* 1456353 */     GIR_EraseRootFromParent_Done,
     /* 1456354 */   // Label 20437: @1456354
     /* 1456354 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1456451), // Rule ID 7477 //
     /* 1456359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1456370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1456373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456409 */     // MIs[1] Operand 1
     /* 1456409 */     // No operand predicates
     /* 1456409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456413 */     // MIs[0] policy
     /* 1456413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456425 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1456428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456450 */     // GIR_Coverage, 7477,
     /* 1456450 */     GIR_EraseRootFromParent_Done,
     /* 1456451 */   // Label 20438: @1456451
     /* 1456451 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1456548), // Rule ID 7480 //
     /* 1456456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1456467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1456470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1456473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456506 */     // MIs[1] Operand 1
     /* 1456506 */     // No operand predicates
     /* 1456506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456510 */     // MIs[0] policy
     /* 1456510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1456525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456547 */     // GIR_Coverage, 7480,
     /* 1456547 */     GIR_EraseRootFromParent_Done,
     /* 1456548 */   // Label 20439: @1456548
     /* 1456548 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1456645), // Rule ID 7481 //
     /* 1456553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1456564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1456567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1456570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456603 */     // MIs[1] Operand 1
     /* 1456603 */     // No operand predicates
     /* 1456603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456607 */     // MIs[0] policy
     /* 1456607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456619 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1456622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456644 */     // GIR_Coverage, 7481,
     /* 1456644 */     GIR_EraseRootFromParent_Done,
     /* 1456645 */   // Label 20440: @1456645
     /* 1456645 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1456742), // Rule ID 7484 //
     /* 1456650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1456661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1456664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1456667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456700 */     // MIs[1] Operand 1
     /* 1456700 */     // No operand predicates
     /* 1456700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456704 */     // MIs[0] policy
     /* 1456704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1456719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456741 */     // GIR_Coverage, 7484,
     /* 1456741 */     GIR_EraseRootFromParent_Done,
     /* 1456742 */   // Label 20441: @1456742
     /* 1456742 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1456839), // Rule ID 7485 //
     /* 1456747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1456758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1456761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1456764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456797 */     // MIs[1] Operand 1
     /* 1456797 */     // No operand predicates
     /* 1456797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456801 */     // MIs[0] policy
     /* 1456801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456813 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1456816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456838 */     // GIR_Coverage, 7485,
     /* 1456838 */     GIR_EraseRootFromParent_Done,
     /* 1456839 */   // Label 20442: @1456839
     /* 1456839 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1456936), // Rule ID 7488 //
     /* 1456844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456894 */     // MIs[1] Operand 1
     /* 1456894 */     // No operand predicates
     /* 1456894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456898 */     // MIs[0] policy
     /* 1456898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456910 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1456913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456935 */     // GIR_Coverage, 7488,
     /* 1456935 */     GIR_EraseRootFromParent_Done,
     /* 1456936 */   // Label 20443: @1456936
     /* 1456936 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1457033), // Rule ID 7489 //
     /* 1456941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1456949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456991 */     // MIs[1] Operand 1
     /* 1456991 */     // No operand predicates
     /* 1456991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456995 */     // MIs[0] policy
     /* 1456995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1457010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457032 */     // GIR_Coverage, 7489,
     /* 1457032 */     GIR_EraseRootFromParent_Done,
     /* 1457033 */   // Label 20444: @1457033
     /* 1457033 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1457130), // Rule ID 7492 //
     /* 1457038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1457049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1457052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1457055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457088 */     // MIs[1] Operand 1
     /* 1457088 */     // No operand predicates
     /* 1457088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457092 */     // MIs[0] policy
     /* 1457092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1457107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457129 */     // GIR_Coverage, 7492,
     /* 1457129 */     GIR_EraseRootFromParent_Done,
     /* 1457130 */   // Label 20445: @1457130
     /* 1457130 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1457227), // Rule ID 7493 //
     /* 1457135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1457146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1457149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1457152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457185 */     // MIs[1] Operand 1
     /* 1457185 */     // No operand predicates
     /* 1457185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457189 */     // MIs[0] policy
     /* 1457189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1457204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457226 */     // GIR_Coverage, 7493,
     /* 1457226 */     GIR_EraseRootFromParent_Done,
     /* 1457227 */   // Label 20446: @1457227
     /* 1457227 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1457324), // Rule ID 7496 //
     /* 1457232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1457243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1457246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1457249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457282 */     // MIs[1] Operand 1
     /* 1457282 */     // No operand predicates
     /* 1457282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457286 */     // MIs[0] policy
     /* 1457286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1457301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457323 */     // GIR_Coverage, 7496,
     /* 1457323 */     GIR_EraseRootFromParent_Done,
     /* 1457324 */   // Label 20447: @1457324
     /* 1457324 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1457421), // Rule ID 7497 //
     /* 1457329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1457340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1457343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1457346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457379 */     // MIs[1] Operand 1
     /* 1457379 */     // No operand predicates
     /* 1457379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457383 */     // MIs[0] policy
     /* 1457383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1457398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457420 */     // GIR_Coverage, 7497,
     /* 1457420 */     GIR_EraseRootFromParent_Done,
     /* 1457421 */   // Label 20448: @1457421
     /* 1457421 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1457518), // Rule ID 7500 //
     /* 1457426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1457429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1457443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457476 */     // MIs[1] Operand 1
     /* 1457476 */     // No operand predicates
     /* 1457476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457480 */     // MIs[0] policy
     /* 1457480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1457495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457517 */     // GIR_Coverage, 7500,
     /* 1457517 */     GIR_EraseRootFromParent_Done,
     /* 1457518 */   // Label 20449: @1457518
     /* 1457518 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1457615), // Rule ID 7501 //
     /* 1457523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1457526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1457540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457573 */     // MIs[1] Operand 1
     /* 1457573 */     // No operand predicates
     /* 1457573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457577 */     // MIs[0] policy
     /* 1457577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1457592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457614 */     // GIR_Coverage, 7501,
     /* 1457614 */     GIR_EraseRootFromParent_Done,
     /* 1457615 */   // Label 20450: @1457615
     /* 1457615 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1457712), // Rule ID 7504 //
     /* 1457620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1457623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1457631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1457634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1457637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457670 */     // MIs[1] Operand 1
     /* 1457670 */     // No operand predicates
     /* 1457670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457674 */     // MIs[0] policy
     /* 1457674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1457689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457711 */     // GIR_Coverage, 7504,
     /* 1457711 */     GIR_EraseRootFromParent_Done,
     /* 1457712 */   // Label 20451: @1457712
     /* 1457712 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1457809), // Rule ID 7505 //
     /* 1457717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1457720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1457728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1457731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1457734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457767 */     // MIs[1] Operand 1
     /* 1457767 */     // No operand predicates
     /* 1457767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457771 */     // MIs[0] policy
     /* 1457771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1457786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457808 */     // GIR_Coverage, 7505,
     /* 1457808 */     GIR_EraseRootFromParent_Done,
     /* 1457809 */   // Label 20452: @1457809
     /* 1457809 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1457906), // Rule ID 7508 //
     /* 1457814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1457817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1457825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1457828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457864 */     // MIs[1] Operand 1
     /* 1457864 */     // No operand predicates
     /* 1457864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457868 */     // MIs[0] policy
     /* 1457868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1457883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457905 */     // GIR_Coverage, 7508,
     /* 1457905 */     GIR_EraseRootFromParent_Done,
     /* 1457906 */   // Label 20453: @1457906
     /* 1457906 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1458003), // Rule ID 7509 //
     /* 1457911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1457914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1457919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1457922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1457925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457961 */     // MIs[1] Operand 1
     /* 1457961 */     // No operand predicates
     /* 1457961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457965 */     // MIs[0] policy
     /* 1457965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1457980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458002 */     // GIR_Coverage, 7509,
     /* 1458002 */     GIR_EraseRootFromParent_Done,
     /* 1458003 */   // Label 20454: @1458003
     /* 1458003 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1458100), // Rule ID 7512 //
     /* 1458008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1458011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1458019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1458022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1458025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458058 */     // MIs[1] Operand 1
     /* 1458058 */     // No operand predicates
     /* 1458058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458062 */     // MIs[0] policy
     /* 1458062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1458077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458099 */     // GIR_Coverage, 7512,
     /* 1458099 */     GIR_EraseRootFromParent_Done,
     /* 1458100 */   // Label 20455: @1458100
     /* 1458100 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1458197), // Rule ID 7513 //
     /* 1458105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1458108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1458113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1458116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1458119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1458122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458155 */     // MIs[1] Operand 1
     /* 1458155 */     // No operand predicates
     /* 1458155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458159 */     // MIs[0] policy
     /* 1458159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1458174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458196 */     // GIR_Coverage, 7513,
     /* 1458196 */     GIR_EraseRootFromParent_Done,
     /* 1458197 */   // Label 20456: @1458197
     /* 1458197 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1458294), // Rule ID 7636 //
     /* 1458202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1458213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1458216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1458219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458252 */     // MIs[1] Operand 1
     /* 1458252 */     // No operand predicates
     /* 1458252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458256 */     // MIs[0] policy
     /* 1458256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1458271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458293 */     // GIR_Coverage, 7636,
     /* 1458293 */     GIR_EraseRootFromParent_Done,
     /* 1458294 */   // Label 20457: @1458294
     /* 1458294 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1458391), // Rule ID 7637 //
     /* 1458299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1458310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1458313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1458316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458349 */     // MIs[1] Operand 1
     /* 1458349 */     // No operand predicates
     /* 1458349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458353 */     // MIs[0] policy
     /* 1458353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458365 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1458368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458390 */     // GIR_Coverage, 7637,
     /* 1458390 */     GIR_EraseRootFromParent_Done,
     /* 1458391 */   // Label 20458: @1458391
     /* 1458391 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1458488), // Rule ID 7640 //
     /* 1458396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1458407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1458410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1458413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458446 */     // MIs[1] Operand 1
     /* 1458446 */     // No operand predicates
     /* 1458446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458450 */     // MIs[0] policy
     /* 1458450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1458465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458487 */     // GIR_Coverage, 7640,
     /* 1458487 */     GIR_EraseRootFromParent_Done,
     /* 1458488 */   // Label 20459: @1458488
     /* 1458488 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1458585), // Rule ID 7641 //
     /* 1458493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1458504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1458507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1458510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458543 */     // MIs[1] Operand 1
     /* 1458543 */     // No operand predicates
     /* 1458543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458547 */     // MIs[0] policy
     /* 1458547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458559 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1458562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458584 */     // GIR_Coverage, 7641,
     /* 1458584 */     GIR_EraseRootFromParent_Done,
     /* 1458585 */   // Label 20460: @1458585
     /* 1458585 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1458682), // Rule ID 7644 //
     /* 1458590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1458601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1458604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458640 */     // MIs[1] Operand 1
     /* 1458640 */     // No operand predicates
     /* 1458640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458644 */     // MIs[0] policy
     /* 1458644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1458659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458681 */     // GIR_Coverage, 7644,
     /* 1458681 */     GIR_EraseRootFromParent_Done,
     /* 1458682 */   // Label 20461: @1458682
     /* 1458682 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1458779), // Rule ID 7645 //
     /* 1458687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1458698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1458701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1458704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458737 */     // MIs[1] Operand 1
     /* 1458737 */     // No operand predicates
     /* 1458737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458741 */     // MIs[0] policy
     /* 1458741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458753 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1458756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458778 */     // GIR_Coverage, 7645,
     /* 1458778 */     GIR_EraseRootFromParent_Done,
     /* 1458779 */   // Label 20462: @1458779
     /* 1458779 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1458876), // Rule ID 7648 //
     /* 1458784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458834 */     // MIs[1] Operand 1
     /* 1458834 */     // No operand predicates
     /* 1458834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458838 */     // MIs[0] policy
     /* 1458838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1458853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458875 */     // GIR_Coverage, 7648,
     /* 1458875 */     GIR_EraseRootFromParent_Done,
     /* 1458876 */   // Label 20463: @1458876
     /* 1458876 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1458973), // Rule ID 7649 //
     /* 1458881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458931 */     // MIs[1] Operand 1
     /* 1458931 */     // No operand predicates
     /* 1458931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458935 */     // MIs[0] policy
     /* 1458935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1458950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458972 */     // GIR_Coverage, 7649,
     /* 1458972 */     GIR_EraseRootFromParent_Done,
     /* 1458973 */   // Label 20464: @1458973
     /* 1458973 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1459070), // Rule ID 7652 //
     /* 1458978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1458986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1458989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1458992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459028 */     // MIs[1] Operand 1
     /* 1459028 */     // No operand predicates
     /* 1459028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459032 */     // MIs[0] policy
     /* 1459032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1459047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459069 */     // GIR_Coverage, 7652,
     /* 1459069 */     GIR_EraseRootFromParent_Done,
     /* 1459070 */   // Label 20465: @1459070
     /* 1459070 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1459167), // Rule ID 7653 //
     /* 1459075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1459086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1459089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1459092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459125 */     // MIs[1] Operand 1
     /* 1459125 */     // No operand predicates
     /* 1459125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459129 */     // MIs[0] policy
     /* 1459129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459141 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1459144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459166 */     // GIR_Coverage, 7653,
     /* 1459166 */     GIR_EraseRootFromParent_Done,
     /* 1459167 */   // Label 20466: @1459167
     /* 1459167 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1459264), // Rule ID 7656 //
     /* 1459172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1459183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1459186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459222 */     // MIs[1] Operand 1
     /* 1459222 */     // No operand predicates
     /* 1459222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459226 */     // MIs[0] policy
     /* 1459226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1459241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459263 */     // GIR_Coverage, 7656,
     /* 1459263 */     GIR_EraseRootFromParent_Done,
     /* 1459264 */   // Label 20467: @1459264
     /* 1459264 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1459361), // Rule ID 7657 //
     /* 1459269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1459280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1459283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1459286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459319 */     // MIs[1] Operand 1
     /* 1459319 */     // No operand predicates
     /* 1459319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459323 */     // MIs[0] policy
     /* 1459323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459335 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1459338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459360 */     // GIR_Coverage, 7657,
     /* 1459360 */     GIR_EraseRootFromParent_Done,
     /* 1459361 */   // Label 20468: @1459361
     /* 1459361 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1459458), // Rule ID 7660 //
     /* 1459366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1459383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459416 */     // MIs[1] Operand 1
     /* 1459416 */     // No operand predicates
     /* 1459416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459420 */     // MIs[0] policy
     /* 1459420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1459435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459457 */     // GIR_Coverage, 7660,
     /* 1459457 */     GIR_EraseRootFromParent_Done,
     /* 1459458 */   // Label 20469: @1459458
     /* 1459458 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1459555), // Rule ID 7661 //
     /* 1459463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1459480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459513 */     // MIs[1] Operand 1
     /* 1459513 */     // No operand predicates
     /* 1459513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459517 */     // MIs[0] policy
     /* 1459517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1459532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459554 */     // GIR_Coverage, 7661,
     /* 1459554 */     GIR_EraseRootFromParent_Done,
     /* 1459555 */   // Label 20470: @1459555
     /* 1459555 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1459652), // Rule ID 7664 //
     /* 1459560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1459571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1459574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1459577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459610 */     // MIs[1] Operand 1
     /* 1459610 */     // No operand predicates
     /* 1459610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459614 */     // MIs[0] policy
     /* 1459614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1459629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459651 */     // GIR_Coverage, 7664,
     /* 1459651 */     GIR_EraseRootFromParent_Done,
     /* 1459652 */   // Label 20471: @1459652
     /* 1459652 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1459749), // Rule ID 7665 //
     /* 1459657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1459668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1459671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1459674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459707 */     // MIs[1] Operand 1
     /* 1459707 */     // No operand predicates
     /* 1459707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459711 */     // MIs[0] policy
     /* 1459711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459723 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1459726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459748 */     // GIR_Coverage, 7665,
     /* 1459748 */     GIR_EraseRootFromParent_Done,
     /* 1459749 */   // Label 20472: @1459749
     /* 1459749 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1459846), // Rule ID 7668 //
     /* 1459754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1459765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1459768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459804 */     // MIs[1] Operand 1
     /* 1459804 */     // No operand predicates
     /* 1459804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459808 */     // MIs[0] policy
     /* 1459808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1459823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459845 */     // GIR_Coverage, 7668,
     /* 1459845 */     GIR_EraseRootFromParent_Done,
     /* 1459846 */   // Label 20473: @1459846
     /* 1459846 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1459943), // Rule ID 7669 //
     /* 1459851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1459862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1459865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1459868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459901 */     // MIs[1] Operand 1
     /* 1459901 */     // No operand predicates
     /* 1459901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459905 */     // MIs[0] policy
     /* 1459905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1459920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459942 */     // GIR_Coverage, 7669,
     /* 1459942 */     GIR_EraseRootFromParent_Done,
     /* 1459943 */   // Label 20474: @1459943
     /* 1459943 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1460040), // Rule ID 7672 //
     /* 1459948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1459956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1459959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1459962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459998 */     // MIs[1] Operand 1
     /* 1459998 */     // No operand predicates
     /* 1459998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460002 */     // MIs[0] policy
     /* 1460002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1460017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460039 */     // GIR_Coverage, 7672,
     /* 1460039 */     GIR_EraseRootFromParent_Done,
     /* 1460040 */   // Label 20475: @1460040
     /* 1460040 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1460137), // Rule ID 7673 //
     /* 1460045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1460056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1460059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1460062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460095 */     // MIs[1] Operand 1
     /* 1460095 */     // No operand predicates
     /* 1460095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460099 */     // MIs[0] policy
     /* 1460099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1460114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460136 */     // GIR_Coverage, 7673,
     /* 1460136 */     GIR_EraseRootFromParent_Done,
     /* 1460137 */   // Label 20476: @1460137
     /* 1460137 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1460234), // Rule ID 7676 //
     /* 1460142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1460153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1460156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460192 */     // MIs[1] Operand 1
     /* 1460192 */     // No operand predicates
     /* 1460192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460196 */     // MIs[0] policy
     /* 1460196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1460211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460233 */     // GIR_Coverage, 7676,
     /* 1460233 */     GIR_EraseRootFromParent_Done,
     /* 1460234 */   // Label 20477: @1460234
     /* 1460234 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1460331), // Rule ID 7677 //
     /* 1460239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1460250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1460253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1460256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460289 */     // MIs[1] Operand 1
     /* 1460289 */     // No operand predicates
     /* 1460289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460293 */     // MIs[0] policy
     /* 1460293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460305 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1460308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460330 */     // GIR_Coverage, 7677,
     /* 1460330 */     GIR_EraseRootFromParent_Done,
     /* 1460331 */   // Label 20478: @1460331
     /* 1460331 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1460428), // Rule ID 7680 //
     /* 1460336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1460353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460386 */     // MIs[1] Operand 1
     /* 1460386 */     // No operand predicates
     /* 1460386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460390 */     // MIs[0] policy
     /* 1460390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1460405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460427 */     // GIR_Coverage, 7680,
     /* 1460427 */     GIR_EraseRootFromParent_Done,
     /* 1460428 */   // Label 20479: @1460428
     /* 1460428 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1460525), // Rule ID 7681 //
     /* 1460433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1460450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460483 */     // MIs[1] Operand 1
     /* 1460483 */     // No operand predicates
     /* 1460483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460487 */     // MIs[0] policy
     /* 1460487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1460502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460524 */     // GIR_Coverage, 7681,
     /* 1460524 */     GIR_EraseRootFromParent_Done,
     /* 1460525 */   // Label 20480: @1460525
     /* 1460525 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1460622), // Rule ID 7684 //
     /* 1460530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460580 */     // MIs[1] Operand 1
     /* 1460580 */     // No operand predicates
     /* 1460580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460584 */     // MIs[0] policy
     /* 1460584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1460599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460621 */     // GIR_Coverage, 7684,
     /* 1460621 */     GIR_EraseRootFromParent_Done,
     /* 1460622 */   // Label 20481: @1460622
     /* 1460622 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1460719), // Rule ID 7685 //
     /* 1460627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1460644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460677 */     // MIs[1] Operand 1
     /* 1460677 */     // No operand predicates
     /* 1460677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460681 */     // MIs[0] policy
     /* 1460681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1460696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460718 */     // GIR_Coverage, 7685,
     /* 1460718 */     GIR_EraseRootFromParent_Done,
     /* 1460719 */   // Label 20482: @1460719
     /* 1460719 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1460816), // Rule ID 7688 //
     /* 1460724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460774 */     // MIs[1] Operand 1
     /* 1460774 */     // No operand predicates
     /* 1460774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460778 */     // MIs[0] policy
     /* 1460778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1460793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460815 */     // GIR_Coverage, 7688,
     /* 1460815 */     GIR_EraseRootFromParent_Done,
     /* 1460816 */   // Label 20483: @1460816
     /* 1460816 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1460913), // Rule ID 7689 //
     /* 1460821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1460824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1460838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460871 */     // MIs[1] Operand 1
     /* 1460871 */     // No operand predicates
     /* 1460871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460875 */     // MIs[0] policy
     /* 1460875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1460890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460912 */     // GIR_Coverage, 7689,
     /* 1460912 */     GIR_EraseRootFromParent_Done,
     /* 1460913 */   // Label 20484: @1460913
     /* 1460913 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1461010), // Rule ID 7692 //
     /* 1460918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1460921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1460926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1460929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1460932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1460935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460968 */     // MIs[1] Operand 1
     /* 1460968 */     // No operand predicates
     /* 1460968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460972 */     // MIs[0] policy
     /* 1460972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1460987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461009 */     // GIR_Coverage, 7692,
     /* 1461009 */     GIR_EraseRootFromParent_Done,
     /* 1461010 */   // Label 20485: @1461010
     /* 1461010 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1461107), // Rule ID 7693 //
     /* 1461015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1461018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1461023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1461026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1461029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1461032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461065 */     // MIs[1] Operand 1
     /* 1461065 */     // No operand predicates
     /* 1461065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461069 */     // MIs[0] policy
     /* 1461069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461081 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1461084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461106 */     // GIR_Coverage, 7693,
     /* 1461106 */     GIR_EraseRootFromParent_Done,
     /* 1461107 */   // Label 20486: @1461107
     /* 1461107 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1461207), // Rule ID 14122 //
     /* 1461112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461162 */     // MIs[1] Operand 1
     /* 1461162 */     // No operand predicates
     /* 1461162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461166 */     // MIs[0] policy
     /* 1461166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461178 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1461181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461206 */     // GIR_Coverage, 14122,
     /* 1461206 */     GIR_EraseRootFromParent_Done,
     /* 1461207 */   // Label 20487: @1461207
     /* 1461207 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1461307), // Rule ID 14123 //
     /* 1461212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1461223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1461226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1461229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461262 */     // MIs[1] Operand 1
     /* 1461262 */     // No operand predicates
     /* 1461262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461266 */     // MIs[0] policy
     /* 1461266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461278 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1461281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461306 */     // GIR_Coverage, 14123,
     /* 1461306 */     GIR_EraseRootFromParent_Done,
     /* 1461307 */   // Label 20488: @1461307
     /* 1461307 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1461407), // Rule ID 14126 //
     /* 1461312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461362 */     // MIs[1] Operand 1
     /* 1461362 */     // No operand predicates
     /* 1461362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461366 */     // MIs[0] policy
     /* 1461366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1461381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461406 */     // GIR_Coverage, 14126,
     /* 1461406 */     GIR_EraseRootFromParent_Done,
     /* 1461407 */   // Label 20489: @1461407
     /* 1461407 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1461507), // Rule ID 14127 //
     /* 1461412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1461423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1461426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1461429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461462 */     // MIs[1] Operand 1
     /* 1461462 */     // No operand predicates
     /* 1461462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461466 */     // MIs[0] policy
     /* 1461466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1461481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461506 */     // GIR_Coverage, 14127,
     /* 1461506 */     GIR_EraseRootFromParent_Done,
     /* 1461507 */   // Label 20490: @1461507
     /* 1461507 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1461607), // Rule ID 14130 //
     /* 1461512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461562 */     // MIs[1] Operand 1
     /* 1461562 */     // No operand predicates
     /* 1461562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461566 */     // MIs[0] policy
     /* 1461566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461578 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1461581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461606 */     // GIR_Coverage, 14130,
     /* 1461606 */     GIR_EraseRootFromParent_Done,
     /* 1461607 */   // Label 20491: @1461607
     /* 1461607 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1461707), // Rule ID 14131 //
     /* 1461612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1461623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1461626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1461629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461662 */     // MIs[1] Operand 1
     /* 1461662 */     // No operand predicates
     /* 1461662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461666 */     // MIs[0] policy
     /* 1461666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1461681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461706 */     // GIR_Coverage, 14131,
     /* 1461706 */     GIR_EraseRootFromParent_Done,
     /* 1461707 */   // Label 20492: @1461707
     /* 1461707 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1461807), // Rule ID 14134 //
     /* 1461712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461762 */     // MIs[1] Operand 1
     /* 1461762 */     // No operand predicates
     /* 1461762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461766 */     // MIs[0] policy
     /* 1461766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1461781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461806 */     // GIR_Coverage, 14134,
     /* 1461806 */     GIR_EraseRootFromParent_Done,
     /* 1461807 */   // Label 20493: @1461807
     /* 1461807 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1461907), // Rule ID 14135 //
     /* 1461812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1461823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1461826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1461829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461862 */     // MIs[1] Operand 1
     /* 1461862 */     // No operand predicates
     /* 1461862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461866 */     // MIs[0] policy
     /* 1461866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461878 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1461881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461906 */     // GIR_Coverage, 14135,
     /* 1461906 */     GIR_EraseRootFromParent_Done,
     /* 1461907 */   // Label 20494: @1461907
     /* 1461907 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1462007), // Rule ID 14138 //
     /* 1461912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1461920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1461923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1461926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1461929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461962 */     // MIs[1] Operand 1
     /* 1461962 */     // No operand predicates
     /* 1461962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461966 */     // MIs[0] policy
     /* 1461966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461978 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1461981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462006 */     // GIR_Coverage, 14138,
     /* 1462006 */     GIR_EraseRootFromParent_Done,
     /* 1462007 */   // Label 20495: @1462007
     /* 1462007 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1462107), // Rule ID 14139 //
     /* 1462012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1462023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1462026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462062 */     // MIs[1] Operand 1
     /* 1462062 */     // No operand predicates
     /* 1462062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462066 */     // MIs[0] policy
     /* 1462066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462078 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1462081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462106 */     // GIR_Coverage, 14139,
     /* 1462106 */     GIR_EraseRootFromParent_Done,
     /* 1462107 */   // Label 20496: @1462107
     /* 1462107 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1462207), // Rule ID 14142 //
     /* 1462112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462162 */     // MIs[1] Operand 1
     /* 1462162 */     // No operand predicates
     /* 1462162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462166 */     // MIs[0] policy
     /* 1462166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1462181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462206 */     // GIR_Coverage, 14142,
     /* 1462206 */     GIR_EraseRootFromParent_Done,
     /* 1462207 */   // Label 20497: @1462207
     /* 1462207 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1462307), // Rule ID 14143 //
     /* 1462212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1462229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462262 */     // MIs[1] Operand 1
     /* 1462262 */     // No operand predicates
     /* 1462262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462266 */     // MIs[0] policy
     /* 1462266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1462281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462306 */     // GIR_Coverage, 14143,
     /* 1462306 */     GIR_EraseRootFromParent_Done,
     /* 1462307 */   // Label 20498: @1462307
     /* 1462307 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1462407), // Rule ID 14146 //
     /* 1462312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462362 */     // MIs[1] Operand 1
     /* 1462362 */     // No operand predicates
     /* 1462362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462366 */     // MIs[0] policy
     /* 1462366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1462381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462406 */     // GIR_Coverage, 14146,
     /* 1462406 */     GIR_EraseRootFromParent_Done,
     /* 1462407 */   // Label 20499: @1462407
     /* 1462407 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1462507), // Rule ID 14147 //
     /* 1462412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1462429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462462 */     // MIs[1] Operand 1
     /* 1462462 */     // No operand predicates
     /* 1462462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462466 */     // MIs[0] policy
     /* 1462466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1462481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462506 */     // GIR_Coverage, 14147,
     /* 1462506 */     GIR_EraseRootFromParent_Done,
     /* 1462507 */   // Label 20500: @1462507
     /* 1462507 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1462607), // Rule ID 14150 //
     /* 1462512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462562 */     // MIs[1] Operand 1
     /* 1462562 */     // No operand predicates
     /* 1462562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462566 */     // MIs[0] policy
     /* 1462566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1462581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462606 */     // GIR_Coverage, 14150,
     /* 1462606 */     GIR_EraseRootFromParent_Done,
     /* 1462607 */   // Label 20501: @1462607
     /* 1462607 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1462707), // Rule ID 14151 //
     /* 1462612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1462623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1462626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462662 */     // MIs[1] Operand 1
     /* 1462662 */     // No operand predicates
     /* 1462662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462666 */     // MIs[0] policy
     /* 1462666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1462681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462706 */     // GIR_Coverage, 14151,
     /* 1462706 */     GIR_EraseRootFromParent_Done,
     /* 1462707 */   // Label 20502: @1462707
     /* 1462707 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1462807), // Rule ID 14154 //
     /* 1462712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462762 */     // MIs[1] Operand 1
     /* 1462762 */     // No operand predicates
     /* 1462762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462766 */     // MIs[0] policy
     /* 1462766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1462781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462806 */     // GIR_Coverage, 14154,
     /* 1462806 */     GIR_EraseRootFromParent_Done,
     /* 1462807 */   // Label 20503: @1462807
     /* 1462807 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1462907), // Rule ID 14155 //
     /* 1462812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1462829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462862 */     // MIs[1] Operand 1
     /* 1462862 */     // No operand predicates
     /* 1462862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462866 */     // MIs[0] policy
     /* 1462866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1462881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462906 */     // GIR_Coverage, 14155,
     /* 1462906 */     GIR_EraseRootFromParent_Done,
     /* 1462907 */   // Label 20504: @1462907
     /* 1462907 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1463007), // Rule ID 14158 //
     /* 1462912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1462915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1462920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1462923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1462926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1462929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462962 */     // MIs[1] Operand 1
     /* 1462962 */     // No operand predicates
     /* 1462962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462966 */     // MIs[0] policy
     /* 1462966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1462981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463006 */     // GIR_Coverage, 14158,
     /* 1463006 */     GIR_EraseRootFromParent_Done,
     /* 1463007 */   // Label 20505: @1463007
     /* 1463007 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1463107), // Rule ID 14159 //
     /* 1463012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1463023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1463026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1463029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463062 */     // MIs[1] Operand 1
     /* 1463062 */     // No operand predicates
     /* 1463062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463066 */     // MIs[0] policy
     /* 1463066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1463081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463106 */     // GIR_Coverage, 14159,
     /* 1463106 */     GIR_EraseRootFromParent_Done,
     /* 1463107 */   // Label 20506: @1463107
     /* 1463107 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1463207), // Rule ID 14162 //
     /* 1463112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463162 */     // MIs[1] Operand 1
     /* 1463162 */     // No operand predicates
     /* 1463162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463166 */     // MIs[0] policy
     /* 1463166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1463181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463206 */     // GIR_Coverage, 14162,
     /* 1463206 */     GIR_EraseRootFromParent_Done,
     /* 1463207 */   // Label 20507: @1463207
     /* 1463207 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1463307), // Rule ID 14163 //
     /* 1463212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1463223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1463226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1463229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463262 */     // MIs[1] Operand 1
     /* 1463262 */     // No operand predicates
     /* 1463262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463266 */     // MIs[0] policy
     /* 1463266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1463281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463306 */     // GIR_Coverage, 14163,
     /* 1463306 */     GIR_EraseRootFromParent_Done,
     /* 1463307 */   // Label 20508: @1463307
     /* 1463307 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1463407), // Rule ID 14166 //
     /* 1463312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463362 */     // MIs[1] Operand 1
     /* 1463362 */     // No operand predicates
     /* 1463362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463366 */     // MIs[0] policy
     /* 1463366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463378 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1463381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463406 */     // GIR_Coverage, 14166,
     /* 1463406 */     GIR_EraseRootFromParent_Done,
     /* 1463407 */   // Label 20509: @1463407
     /* 1463407 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1463507), // Rule ID 14167 //
     /* 1463412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1463429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463462 */     // MIs[1] Operand 1
     /* 1463462 */     // No operand predicates
     /* 1463462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463466 */     // MIs[0] policy
     /* 1463466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1463481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463506 */     // GIR_Coverage, 14167,
     /* 1463506 */     GIR_EraseRootFromParent_Done,
     /* 1463507 */   // Label 20510: @1463507
     /* 1463507 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1463607), // Rule ID 14170 //
     /* 1463512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463562 */     // MIs[1] Operand 1
     /* 1463562 */     // No operand predicates
     /* 1463562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463566 */     // MIs[0] policy
     /* 1463566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1463581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463606 */     // GIR_Coverage, 14170,
     /* 1463606 */     GIR_EraseRootFromParent_Done,
     /* 1463607 */   // Label 20511: @1463607
     /* 1463607 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1463707), // Rule ID 14171 //
     /* 1463612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1463623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1463626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1463629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1463635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463662 */     // MIs[1] Operand 1
     /* 1463662 */     // No operand predicates
     /* 1463662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463666 */     // MIs[0] policy
     /* 1463666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1463681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463706 */     // GIR_Coverage, 14171,
     /* 1463706 */     GIR_EraseRootFromParent_Done,
     /* 1463707 */   // Label 20512: @1463707
     /* 1463707 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1463807), // Rule ID 14174 //
     /* 1463712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463762 */     // MIs[1] Operand 1
     /* 1463762 */     // No operand predicates
     /* 1463762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463766 */     // MIs[0] policy
     /* 1463766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1463781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463806 */     // GIR_Coverage, 14174,
     /* 1463806 */     GIR_EraseRootFromParent_Done,
     /* 1463807 */   // Label 20513: @1463807
     /* 1463807 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1463907), // Rule ID 14175 //
     /* 1463812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1463829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463862 */     // MIs[1] Operand 1
     /* 1463862 */     // No operand predicates
     /* 1463862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463866 */     // MIs[0] policy
     /* 1463866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1463881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463906 */     // GIR_Coverage, 14175,
     /* 1463906 */     GIR_EraseRootFromParent_Done,
     /* 1463907 */   // Label 20514: @1463907
     /* 1463907 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1464007), // Rule ID 14178 //
     /* 1463912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1463920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1463923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1463926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1463929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463962 */     // MIs[1] Operand 1
     /* 1463962 */     // No operand predicates
     /* 1463962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463966 */     // MIs[0] policy
     /* 1463966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1463981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464006 */     // GIR_Coverage, 14178,
     /* 1464006 */     GIR_EraseRootFromParent_Done,
     /* 1464007 */   // Label 20515: @1464007
     /* 1464007 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1464107), // Rule ID 14179 //
     /* 1464012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1464023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1464026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1464029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464062 */     // MIs[1] Operand 1
     /* 1464062 */     // No operand predicates
     /* 1464062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464066 */     // MIs[0] policy
     /* 1464066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1464081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464106 */     // GIR_Coverage, 14179,
     /* 1464106 */     GIR_EraseRootFromParent_Done,
     /* 1464107 */   // Label 20516: @1464107
     /* 1464107 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1464207), // Rule ID 14182 //
     /* 1464112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464162 */     // MIs[1] Operand 1
     /* 1464162 */     // No operand predicates
     /* 1464162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464166 */     // MIs[0] policy
     /* 1464166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1464181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464206 */     // GIR_Coverage, 14182,
     /* 1464206 */     GIR_EraseRootFromParent_Done,
     /* 1464207 */   // Label 20517: @1464207
     /* 1464207 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1464307), // Rule ID 14183 //
     /* 1464212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1464223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1464226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1464229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1464235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464262 */     // MIs[1] Operand 1
     /* 1464262 */     // No operand predicates
     /* 1464262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464266 */     // MIs[0] policy
     /* 1464266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1464281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464306 */     // GIR_Coverage, 14183,
     /* 1464306 */     GIR_EraseRootFromParent_Done,
     /* 1464307 */   // Label 20518: @1464307
     /* 1464307 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1464407), // Rule ID 14186 //
     /* 1464312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464362 */     // MIs[1] Operand 1
     /* 1464362 */     // No operand predicates
     /* 1464362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464366 */     // MIs[0] policy
     /* 1464366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1464381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464406 */     // GIR_Coverage, 14186,
     /* 1464406 */     GIR_EraseRootFromParent_Done,
     /* 1464407 */   // Label 20519: @1464407
     /* 1464407 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1464507), // Rule ID 14187 //
     /* 1464412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464462 */     // MIs[1] Operand 1
     /* 1464462 */     // No operand predicates
     /* 1464462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464466 */     // MIs[0] policy
     /* 1464466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1464481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464506 */     // GIR_Coverage, 14187,
     /* 1464506 */     GIR_EraseRootFromParent_Done,
     /* 1464507 */   // Label 20520: @1464507
     /* 1464507 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1464607), // Rule ID 14190 //
     /* 1464512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464562 */     // MIs[1] Operand 1
     /* 1464562 */     // No operand predicates
     /* 1464562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464566 */     // MIs[0] policy
     /* 1464566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1464581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464606 */     // GIR_Coverage, 14190,
     /* 1464606 */     GIR_EraseRootFromParent_Done,
     /* 1464607 */   // Label 20521: @1464607
     /* 1464607 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1464707), // Rule ID 14191 //
     /* 1464612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464662 */     // MIs[1] Operand 1
     /* 1464662 */     // No operand predicates
     /* 1464662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464666 */     // MIs[0] policy
     /* 1464666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1464681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464706 */     // GIR_Coverage, 14191,
     /* 1464706 */     GIR_EraseRootFromParent_Done,
     /* 1464707 */   // Label 20522: @1464707
     /* 1464707 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1464807), // Rule ID 14194 //
     /* 1464712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464762 */     // MIs[1] Operand 1
     /* 1464762 */     // No operand predicates
     /* 1464762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464766 */     // MIs[0] policy
     /* 1464766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1464781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464806 */     // GIR_Coverage, 14194,
     /* 1464806 */     GIR_EraseRootFromParent_Done,
     /* 1464807 */   // Label 20523: @1464807
     /* 1464807 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1464907), // Rule ID 14195 //
     /* 1464812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464862 */     // MIs[1] Operand 1
     /* 1464862 */     // No operand predicates
     /* 1464862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464866 */     // MIs[0] policy
     /* 1464866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1464881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464906 */     // GIR_Coverage, 14195,
     /* 1464906 */     GIR_EraseRootFromParent_Done,
     /* 1464907 */   // Label 20524: @1464907
     /* 1464907 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1465007), // Rule ID 14198 //
     /* 1464912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1464915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1464920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1464923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1464926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1464929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464962 */     // MIs[1] Operand 1
     /* 1464962 */     // No operand predicates
     /* 1464962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464966 */     // MIs[0] policy
     /* 1464966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1464981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465006 */     // GIR_Coverage, 14198,
     /* 1465006 */     GIR_EraseRootFromParent_Done,
     /* 1465007 */   // Label 20525: @1465007
     /* 1465007 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1465107), // Rule ID 14199 //
     /* 1465012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1465023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1465026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1465029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465062 */     // MIs[1] Operand 1
     /* 1465062 */     // No operand predicates
     /* 1465062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465066 */     // MIs[0] policy
     /* 1465066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1465081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465106 */     // GIR_Coverage, 14199,
     /* 1465106 */     GIR_EraseRootFromParent_Done,
     /* 1465107 */   // Label 20526: @1465107
     /* 1465107 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1465207), // Rule ID 14202 //
     /* 1465112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465162 */     // MIs[1] Operand 1
     /* 1465162 */     // No operand predicates
     /* 1465162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465166 */     // MIs[0] policy
     /* 1465166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1465181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465206 */     // GIR_Coverage, 14202,
     /* 1465206 */     GIR_EraseRootFromParent_Done,
     /* 1465207 */   // Label 20527: @1465207
     /* 1465207 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1465307), // Rule ID 14203 //
     /* 1465212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465262 */     // MIs[1] Operand 1
     /* 1465262 */     // No operand predicates
     /* 1465262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465266 */     // MIs[0] policy
     /* 1465266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465278 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1465281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465306 */     // GIR_Coverage, 14203,
     /* 1465306 */     GIR_EraseRootFromParent_Done,
     /* 1465307 */   // Label 20528: @1465307
     /* 1465307 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1465407), // Rule ID 14206 //
     /* 1465312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465362 */     // MIs[1] Operand 1
     /* 1465362 */     // No operand predicates
     /* 1465362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465366 */     // MIs[0] policy
     /* 1465366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1465381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465406 */     // GIR_Coverage, 14206,
     /* 1465406 */     GIR_EraseRootFromParent_Done,
     /* 1465407 */   // Label 20529: @1465407
     /* 1465407 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1465507), // Rule ID 14207 //
     /* 1465412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1465420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465462 */     // MIs[1] Operand 1
     /* 1465462 */     // No operand predicates
     /* 1465462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465466 */     // MIs[0] policy
     /* 1465466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1465481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465506 */     // GIR_Coverage, 14207,
     /* 1465506 */     GIR_EraseRootFromParent_Done,
     /* 1465507 */   // Label 20530: @1465507
     /* 1465507 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1465607), // Rule ID 14386 //
     /* 1465512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465562 */     // MIs[1] Operand 1
     /* 1465562 */     // No operand predicates
     /* 1465562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465566 */     // MIs[0] policy
     /* 1465566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465578 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1465581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465606 */     // GIR_Coverage, 14386,
     /* 1465606 */     GIR_EraseRootFromParent_Done,
     /* 1465607 */   // Label 20531: @1465607
     /* 1465607 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1465707), // Rule ID 14387 //
     /* 1465612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1465629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465662 */     // MIs[1] Operand 1
     /* 1465662 */     // No operand predicates
     /* 1465662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465666 */     // MIs[0] policy
     /* 1465666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465678 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1465681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465706 */     // GIR_Coverage, 14387,
     /* 1465706 */     GIR_EraseRootFromParent_Done,
     /* 1465707 */   // Label 20532: @1465707
     /* 1465707 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1465807), // Rule ID 14390 //
     /* 1465712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465762 */     // MIs[1] Operand 1
     /* 1465762 */     // No operand predicates
     /* 1465762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465766 */     // MIs[0] policy
     /* 1465766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1465781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465806 */     // GIR_Coverage, 14390,
     /* 1465806 */     GIR_EraseRootFromParent_Done,
     /* 1465807 */   // Label 20533: @1465807
     /* 1465807 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1465907), // Rule ID 14391 //
     /* 1465812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1465829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465862 */     // MIs[1] Operand 1
     /* 1465862 */     // No operand predicates
     /* 1465862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465866 */     // MIs[0] policy
     /* 1465866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465878 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1465881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1465905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465906 */     // GIR_Coverage, 14391,
     /* 1465906 */     GIR_EraseRootFromParent_Done,
     /* 1465907 */   // Label 20534: @1465907
     /* 1465907 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1466007), // Rule ID 14394 //
     /* 1465912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1465920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1465929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1465962 */     // MIs[1] Operand 1
     /* 1465962 */     // No operand predicates
     /* 1465962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465966 */     // MIs[0] policy
     /* 1465966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1465981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466006 */     // GIR_Coverage, 14394,
     /* 1466006 */     GIR_EraseRootFromParent_Done,
     /* 1466007 */   // Label 20535: @1466007
     /* 1466007 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1466107), // Rule ID 14395 //
     /* 1466012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1466023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1466026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1466029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466062 */     // MIs[1] Operand 1
     /* 1466062 */     // No operand predicates
     /* 1466062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466066 */     // MIs[0] policy
     /* 1466066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466078 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1466081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466106 */     // GIR_Coverage, 14395,
     /* 1466106 */     GIR_EraseRootFromParent_Done,
     /* 1466107 */   // Label 20536: @1466107
     /* 1466107 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1466207), // Rule ID 14398 //
     /* 1466112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466162 */     // MIs[1] Operand 1
     /* 1466162 */     // No operand predicates
     /* 1466162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466166 */     // MIs[0] policy
     /* 1466166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1466181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466206 */     // GIR_Coverage, 14398,
     /* 1466206 */     GIR_EraseRootFromParent_Done,
     /* 1466207 */   // Label 20537: @1466207
     /* 1466207 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1466307), // Rule ID 14399 //
     /* 1466212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466262 */     // MIs[1] Operand 1
     /* 1466262 */     // No operand predicates
     /* 1466262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466266 */     // MIs[0] policy
     /* 1466266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1466281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466306 */     // GIR_Coverage, 14399,
     /* 1466306 */     GIR_EraseRootFromParent_Done,
     /* 1466307 */   // Label 20538: @1466307
     /* 1466307 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1466407), // Rule ID 14402 //
     /* 1466312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466362 */     // MIs[1] Operand 1
     /* 1466362 */     // No operand predicates
     /* 1466362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466366 */     // MIs[0] policy
     /* 1466366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1466381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466406 */     // GIR_Coverage, 14402,
     /* 1466406 */     GIR_EraseRootFromParent_Done,
     /* 1466407 */   // Label 20539: @1466407
     /* 1466407 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1466507), // Rule ID 14403 //
     /* 1466412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466462 */     // MIs[1] Operand 1
     /* 1466462 */     // No operand predicates
     /* 1466462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466466 */     // MIs[0] policy
     /* 1466466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1466481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466506 */     // GIR_Coverage, 14403,
     /* 1466506 */     GIR_EraseRootFromParent_Done,
     /* 1466507 */   // Label 20540: @1466507
     /* 1466507 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1466607), // Rule ID 14406 //
     /* 1466512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466562 */     // MIs[1] Operand 1
     /* 1466562 */     // No operand predicates
     /* 1466562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466566 */     // MIs[0] policy
     /* 1466566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1466581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466606 */     // GIR_Coverage, 14406,
     /* 1466606 */     GIR_EraseRootFromParent_Done,
     /* 1466607 */   // Label 20541: @1466607
     /* 1466607 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1466707), // Rule ID 14407 //
     /* 1466612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1466623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1466626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466662 */     // MIs[1] Operand 1
     /* 1466662 */     // No operand predicates
     /* 1466662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466666 */     // MIs[0] policy
     /* 1466666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1466681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466706 */     // GIR_Coverage, 14407,
     /* 1466706 */     GIR_EraseRootFromParent_Done,
     /* 1466707 */   // Label 20542: @1466707
     /* 1466707 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1466807), // Rule ID 14410 //
     /* 1466712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466762 */     // MIs[1] Operand 1
     /* 1466762 */     // No operand predicates
     /* 1466762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466766 */     // MIs[0] policy
     /* 1466766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1466781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466806 */     // GIR_Coverage, 14410,
     /* 1466806 */     GIR_EraseRootFromParent_Done,
     /* 1466807 */   // Label 20543: @1466807
     /* 1466807 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1466907), // Rule ID 14411 //
     /* 1466812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1466823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1466826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1466829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466862 */     // MIs[1] Operand 1
     /* 1466862 */     // No operand predicates
     /* 1466862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466866 */     // MIs[0] policy
     /* 1466866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1466881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1466905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466906 */     // GIR_Coverage, 14411,
     /* 1466906 */     GIR_EraseRootFromParent_Done,
     /* 1466907 */   // Label 20544: @1466907
     /* 1466907 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1467007), // Rule ID 14414 //
     /* 1466912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1466920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1466929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1466962 */     // MIs[1] Operand 1
     /* 1466962 */     // No operand predicates
     /* 1466962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466966 */     // MIs[0] policy
     /* 1466966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1466981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467006 */     // GIR_Coverage, 14414,
     /* 1467006 */     GIR_EraseRootFromParent_Done,
     /* 1467007 */   // Label 20545: @1467007
     /* 1467007 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1467107), // Rule ID 14415 //
     /* 1467012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1467023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1467026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1467029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467062 */     // MIs[1] Operand 1
     /* 1467062 */     // No operand predicates
     /* 1467062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467066 */     // MIs[0] policy
     /* 1467066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1467081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467106 */     // GIR_Coverage, 14415,
     /* 1467106 */     GIR_EraseRootFromParent_Done,
     /* 1467107 */   // Label 20546: @1467107
     /* 1467107 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1467207), // Rule ID 14418 //
     /* 1467112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1467129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467162 */     // MIs[1] Operand 1
     /* 1467162 */     // No operand predicates
     /* 1467162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467166 */     // MIs[0] policy
     /* 1467166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1467181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467206 */     // GIR_Coverage, 14418,
     /* 1467206 */     GIR_EraseRootFromParent_Done,
     /* 1467207 */   // Label 20547: @1467207
     /* 1467207 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1467307), // Rule ID 14419 //
     /* 1467212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1467229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467262 */     // MIs[1] Operand 1
     /* 1467262 */     // No operand predicates
     /* 1467262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467266 */     // MIs[0] policy
     /* 1467266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1467281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467306 */     // GIR_Coverage, 14419,
     /* 1467306 */     GIR_EraseRootFromParent_Done,
     /* 1467307 */   // Label 20548: @1467307
     /* 1467307 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1467407), // Rule ID 14422 //
     /* 1467312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467362 */     // MIs[1] Operand 1
     /* 1467362 */     // No operand predicates
     /* 1467362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467366 */     // MIs[0] policy
     /* 1467366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1467381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467406 */     // GIR_Coverage, 14422,
     /* 1467406 */     GIR_EraseRootFromParent_Done,
     /* 1467407 */   // Label 20549: @1467407
     /* 1467407 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1467507), // Rule ID 14423 //
     /* 1467412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1467423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1467426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467462 */     // MIs[1] Operand 1
     /* 1467462 */     // No operand predicates
     /* 1467462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467466 */     // MIs[0] policy
     /* 1467466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1467481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467506 */     // GIR_Coverage, 14423,
     /* 1467506 */     GIR_EraseRootFromParent_Done,
     /* 1467507 */   // Label 20550: @1467507
     /* 1467507 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1467607), // Rule ID 14426 //
     /* 1467512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467562 */     // MIs[1] Operand 1
     /* 1467562 */     // No operand predicates
     /* 1467562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467566 */     // MIs[0] policy
     /* 1467566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1467581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467606 */     // GIR_Coverage, 14426,
     /* 1467606 */     GIR_EraseRootFromParent_Done,
     /* 1467607 */   // Label 20551: @1467607
     /* 1467607 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1467707), // Rule ID 14427 //
     /* 1467612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1467623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1467626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1467629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467662 */     // MIs[1] Operand 1
     /* 1467662 */     // No operand predicates
     /* 1467662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467666 */     // MIs[0] policy
     /* 1467666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467678 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1467681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467706 */     // GIR_Coverage, 14427,
     /* 1467706 */     GIR_EraseRootFromParent_Done,
     /* 1467707 */   // Label 20552: @1467707
     /* 1467707 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1467807), // Rule ID 14430 //
     /* 1467712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467762 */     // MIs[1] Operand 1
     /* 1467762 */     // No operand predicates
     /* 1467762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467766 */     // MIs[0] policy
     /* 1467766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1467781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467806 */     // GIR_Coverage, 14430,
     /* 1467806 */     GIR_EraseRootFromParent_Done,
     /* 1467807 */   // Label 20553: @1467807
     /* 1467807 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1467907), // Rule ID 14431 //
     /* 1467812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1467823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1467826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1467829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467862 */     // MIs[1] Operand 1
     /* 1467862 */     // No operand predicates
     /* 1467862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467866 */     // MIs[0] policy
     /* 1467866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1467881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467906 */     // GIR_Coverage, 14431,
     /* 1467906 */     GIR_EraseRootFromParent_Done,
     /* 1467907 */   // Label 20554: @1467907
     /* 1467907 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1468007), // Rule ID 14434 //
     /* 1467912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1467920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1467923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1467926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1467929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1467935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467962 */     // MIs[1] Operand 1
     /* 1467962 */     // No operand predicates
     /* 1467962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467966 */     // MIs[0] policy
     /* 1467966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467978 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1467981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468006 */     // GIR_Coverage, 14434,
     /* 1468006 */     GIR_EraseRootFromParent_Done,
     /* 1468007 */   // Label 20555: @1468007
     /* 1468007 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1468107), // Rule ID 14435 //
     /* 1468012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1468023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1468026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1468029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1468035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468062 */     // MIs[1] Operand 1
     /* 1468062 */     // No operand predicates
     /* 1468062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468066 */     // MIs[0] policy
     /* 1468066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1468081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468106 */     // GIR_Coverage, 14435,
     /* 1468106 */     GIR_EraseRootFromParent_Done,
     /* 1468107 */   // Label 20556: @1468107
     /* 1468107 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1468207), // Rule ID 14438 //
     /* 1468112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468162 */     // MIs[1] Operand 1
     /* 1468162 */     // No operand predicates
     /* 1468162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468166 */     // MIs[0] policy
     /* 1468166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1468181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468206 */     // GIR_Coverage, 14438,
     /* 1468206 */     GIR_EraseRootFromParent_Done,
     /* 1468207 */   // Label 20557: @1468207
     /* 1468207 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1468307), // Rule ID 14439 //
     /* 1468212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468262 */     // MIs[1] Operand 1
     /* 1468262 */     // No operand predicates
     /* 1468262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468266 */     // MIs[0] policy
     /* 1468266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1468281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468306 */     // GIR_Coverage, 14439,
     /* 1468306 */     GIR_EraseRootFromParent_Done,
     /* 1468307 */   // Label 20558: @1468307
     /* 1468307 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1468407), // Rule ID 14442 //
     /* 1468312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468362 */     // MIs[1] Operand 1
     /* 1468362 */     // No operand predicates
     /* 1468362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468366 */     // MIs[0] policy
     /* 1468366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468378 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1468381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468406 */     // GIR_Coverage, 14442,
     /* 1468406 */     GIR_EraseRootFromParent_Done,
     /* 1468407 */   // Label 20559: @1468407
     /* 1468407 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1468507), // Rule ID 14443 //
     /* 1468412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468462 */     // MIs[1] Operand 1
     /* 1468462 */     // No operand predicates
     /* 1468462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468466 */     // MIs[0] policy
     /* 1468466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1468481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468506 */     // GIR_Coverage, 14443,
     /* 1468506 */     GIR_EraseRootFromParent_Done,
     /* 1468507 */   // Label 20560: @1468507
     /* 1468507 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1468607), // Rule ID 14446 //
     /* 1468512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468562 */     // MIs[1] Operand 1
     /* 1468562 */     // No operand predicates
     /* 1468562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468566 */     // MIs[0] policy
     /* 1468566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1468581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468606 */     // GIR_Coverage, 14446,
     /* 1468606 */     GIR_EraseRootFromParent_Done,
     /* 1468607 */   // Label 20561: @1468607
     /* 1468607 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1468707), // Rule ID 14447 //
     /* 1468612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468662 */     // MIs[1] Operand 1
     /* 1468662 */     // No operand predicates
     /* 1468662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468666 */     // MIs[0] policy
     /* 1468666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1468681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468706 */     // GIR_Coverage, 14447,
     /* 1468706 */     GIR_EraseRootFromParent_Done,
     /* 1468707 */   // Label 20562: @1468707
     /* 1468707 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1468807), // Rule ID 14450 //
     /* 1468712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468762 */     // MIs[1] Operand 1
     /* 1468762 */     // No operand predicates
     /* 1468762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468766 */     // MIs[0] policy
     /* 1468766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1468781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468806 */     // GIR_Coverage, 14450,
     /* 1468806 */     GIR_EraseRootFromParent_Done,
     /* 1468807 */   // Label 20563: @1468807
     /* 1468807 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1468907), // Rule ID 14451 //
     /* 1468812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1468823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1468826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1468829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468862 */     // MIs[1] Operand 1
     /* 1468862 */     // No operand predicates
     /* 1468862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468866 */     // MIs[0] policy
     /* 1468866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1468881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468906 */     // GIR_Coverage, 14451,
     /* 1468906 */     GIR_EraseRootFromParent_Done,
     /* 1468907 */   // Label 20564: @1468907
     /* 1468907 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1469007), // Rule ID 14454 //
     /* 1468912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1468920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1468923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1468926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1468929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468962 */     // MIs[1] Operand 1
     /* 1468962 */     // No operand predicates
     /* 1468962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468966 */     // MIs[0] policy
     /* 1468966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1468981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469006 */     // GIR_Coverage, 14454,
     /* 1469006 */     GIR_EraseRootFromParent_Done,
     /* 1469007 */   // Label 20565: @1469007
     /* 1469007 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1469107), // Rule ID 14455 //
     /* 1469012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469062 */     // MIs[1] Operand 1
     /* 1469062 */     // No operand predicates
     /* 1469062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469066 */     // MIs[0] policy
     /* 1469066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1469081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469106 */     // GIR_Coverage, 14455,
     /* 1469106 */     GIR_EraseRootFromParent_Done,
     /* 1469107 */   // Label 20566: @1469107
     /* 1469107 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1469207), // Rule ID 14458 //
     /* 1469112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469162 */     // MIs[1] Operand 1
     /* 1469162 */     // No operand predicates
     /* 1469162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469166 */     // MIs[0] policy
     /* 1469166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1469181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469206 */     // GIR_Coverage, 14458,
     /* 1469206 */     GIR_EraseRootFromParent_Done,
     /* 1469207 */   // Label 20567: @1469207
     /* 1469207 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1469307), // Rule ID 14459 //
     /* 1469212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469262 */     // MIs[1] Operand 1
     /* 1469262 */     // No operand predicates
     /* 1469262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469266 */     // MIs[0] policy
     /* 1469266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1469281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469306 */     // GIR_Coverage, 14459,
     /* 1469306 */     GIR_EraseRootFromParent_Done,
     /* 1469307 */   // Label 20568: @1469307
     /* 1469307 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1469407), // Rule ID 14462 //
     /* 1469312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469362 */     // MIs[1] Operand 1
     /* 1469362 */     // No operand predicates
     /* 1469362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469366 */     // MIs[0] policy
     /* 1469366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1469381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469406 */     // GIR_Coverage, 14462,
     /* 1469406 */     GIR_EraseRootFromParent_Done,
     /* 1469407 */   // Label 20569: @1469407
     /* 1469407 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1469507), // Rule ID 14463 //
     /* 1469412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1469423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1469426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469462 */     // MIs[1] Operand 1
     /* 1469462 */     // No operand predicates
     /* 1469462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469466 */     // MIs[0] policy
     /* 1469466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469478 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1469481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469506 */     // GIR_Coverage, 14463,
     /* 1469506 */     GIR_EraseRootFromParent_Done,
     /* 1469507 */   // Label 20570: @1469507
     /* 1469507 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1469607), // Rule ID 14466 //
     /* 1469512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469562 */     // MIs[1] Operand 1
     /* 1469562 */     // No operand predicates
     /* 1469562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469566 */     // MIs[0] policy
     /* 1469566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1469581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469606 */     // GIR_Coverage, 14466,
     /* 1469606 */     GIR_EraseRootFromParent_Done,
     /* 1469607 */   // Label 20571: @1469607
     /* 1469607 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1469707), // Rule ID 14467 //
     /* 1469612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1469623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1469626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469662 */     // MIs[1] Operand 1
     /* 1469662 */     // No operand predicates
     /* 1469662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469666 */     // MIs[0] policy
     /* 1469666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469678 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1469681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469706 */     // GIR_Coverage, 14467,
     /* 1469706 */     GIR_EraseRootFromParent_Done,
     /* 1469707 */   // Label 20572: @1469707
     /* 1469707 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1469807), // Rule ID 14470 //
     /* 1469712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469762 */     // MIs[1] Operand 1
     /* 1469762 */     // No operand predicates
     /* 1469762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469766 */     // MIs[0] policy
     /* 1469766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1469781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469806 */     // GIR_Coverage, 14470,
     /* 1469806 */     GIR_EraseRootFromParent_Done,
     /* 1469807 */   // Label 20573: @1469807
     /* 1469807 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1469907), // Rule ID 14471 //
     /* 1469812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1469820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1469823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1469826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469862 */     // MIs[1] Operand 1
     /* 1469862 */     // No operand predicates
     /* 1469862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469866 */     // MIs[0] policy
     /* 1469866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1469881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469906 */     // GIR_Coverage, 14471,
     /* 1469906 */     GIR_EraseRootFromParent_Done,
     /* 1469907 */   // Label 20574: @1469907
     /* 1469907 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1470004), // Rule ID 23590 //
     /* 1469912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1469923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1469926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1469929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469962 */     // MIs[1] Operand 1
     /* 1469962 */     // No operand predicates
     /* 1469962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469966 */     // MIs[0] policy
     /* 1469966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1469981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470003 */     // GIR_Coverage, 23590,
     /* 1470003 */     GIR_EraseRootFromParent_Done,
     /* 1470004 */   // Label 20575: @1470004
     /* 1470004 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1470101), // Rule ID 23591 //
     /* 1470009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1470020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1470023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1470026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470059 */     // MIs[1] Operand 1
     /* 1470059 */     // No operand predicates
     /* 1470059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470063 */     // MIs[0] policy
     /* 1470063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470075 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1470078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470100 */     // GIR_Coverage, 23591,
     /* 1470100 */     GIR_EraseRootFromParent_Done,
     /* 1470101 */   // Label 20576: @1470101
     /* 1470101 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1470198), // Rule ID 23594 //
     /* 1470106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1470117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1470120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1470123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470156 */     // MIs[1] Operand 1
     /* 1470156 */     // No operand predicates
     /* 1470156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470160 */     // MIs[0] policy
     /* 1470160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1470175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470197 */     // GIR_Coverage, 23594,
     /* 1470197 */     GIR_EraseRootFromParent_Done,
     /* 1470198 */   // Label 20577: @1470198
     /* 1470198 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1470295), // Rule ID 23595 //
     /* 1470203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1470214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1470217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1470220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470253 */     // MIs[1] Operand 1
     /* 1470253 */     // No operand predicates
     /* 1470253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470257 */     // MIs[0] policy
     /* 1470257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470269 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1470272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470294 */     // GIR_Coverage, 23595,
     /* 1470294 */     GIR_EraseRootFromParent_Done,
     /* 1470295 */   // Label 20578: @1470295
     /* 1470295 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1470392), // Rule ID 23598 //
     /* 1470300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470350 */     // MIs[1] Operand 1
     /* 1470350 */     // No operand predicates
     /* 1470350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470354 */     // MIs[0] policy
     /* 1470354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470366 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1470369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470391 */     // GIR_Coverage, 23598,
     /* 1470391 */     GIR_EraseRootFromParent_Done,
     /* 1470392 */   // Label 20579: @1470392
     /* 1470392 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1470489), // Rule ID 23599 //
     /* 1470397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1470408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1470411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1470414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470447 */     // MIs[1] Operand 1
     /* 1470447 */     // No operand predicates
     /* 1470447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470451 */     // MIs[0] policy
     /* 1470451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470463 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1470466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470488 */     // GIR_Coverage, 23599,
     /* 1470488 */     GIR_EraseRootFromParent_Done,
     /* 1470489 */   // Label 20580: @1470489
     /* 1470489 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1470586), // Rule ID 23602 //
     /* 1470494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470544 */     // MIs[1] Operand 1
     /* 1470544 */     // No operand predicates
     /* 1470544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470548 */     // MIs[0] policy
     /* 1470548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1470563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470585 */     // GIR_Coverage, 23602,
     /* 1470585 */     GIR_EraseRootFromParent_Done,
     /* 1470586 */   // Label 20581: @1470586
     /* 1470586 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1470683), // Rule ID 23603 //
     /* 1470591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470641 */     // MIs[1] Operand 1
     /* 1470641 */     // No operand predicates
     /* 1470641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470645 */     // MIs[0] policy
     /* 1470645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470657 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1470660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470682 */     // GIR_Coverage, 23603,
     /* 1470682 */     GIR_EraseRootFromParent_Done,
     /* 1470683 */   // Label 20582: @1470683
     /* 1470683 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1470780), // Rule ID 23606 //
     /* 1470688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470738 */     // MIs[1] Operand 1
     /* 1470738 */     // No operand predicates
     /* 1470738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470742 */     // MIs[0] policy
     /* 1470742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1470757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470779 */     // GIR_Coverage, 23606,
     /* 1470779 */     GIR_EraseRootFromParent_Done,
     /* 1470780 */   // Label 20583: @1470780
     /* 1470780 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1470877), // Rule ID 23607 //
     /* 1470785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1470802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470835 */     // MIs[1] Operand 1
     /* 1470835 */     // No operand predicates
     /* 1470835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470839 */     // MIs[0] policy
     /* 1470839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1470854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470876 */     // GIR_Coverage, 23607,
     /* 1470876 */     GIR_EraseRootFromParent_Done,
     /* 1470877 */   // Label 20584: @1470877
     /* 1470877 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1470974), // Rule ID 23610 //
     /* 1470882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1470896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470932 */     // MIs[1] Operand 1
     /* 1470932 */     // No operand predicates
     /* 1470932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470936 */     // MIs[0] policy
     /* 1470936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1470951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470973 */     // GIR_Coverage, 23610,
     /* 1470973 */     GIR_EraseRootFromParent_Done,
     /* 1470974 */   // Label 20585: @1470974
     /* 1470974 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1471071), // Rule ID 23611 //
     /* 1470979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1470993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471029 */     // MIs[1] Operand 1
     /* 1471029 */     // No operand predicates
     /* 1471029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471033 */     // MIs[0] policy
     /* 1471033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1471048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471070 */     // GIR_Coverage, 23611,
     /* 1471070 */     GIR_EraseRootFromParent_Done,
     /* 1471071 */   // Label 20586: @1471071
     /* 1471071 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1471168), // Rule ID 23614 //
     /* 1471076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1471087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1471090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1471093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471126 */     // MIs[1] Operand 1
     /* 1471126 */     // No operand predicates
     /* 1471126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471130 */     // MIs[0] policy
     /* 1471130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471167 */     // GIR_Coverage, 23614,
     /* 1471167 */     GIR_EraseRootFromParent_Done,
     /* 1471168 */   // Label 20587: @1471168
     /* 1471168 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1471265), // Rule ID 23615 //
     /* 1471173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1471184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1471187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1471190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471223 */     // MIs[1] Operand 1
     /* 1471223 */     // No operand predicates
     /* 1471223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471227 */     // MIs[0] policy
     /* 1471227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471239 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471264 */     // GIR_Coverage, 23615,
     /* 1471264 */     GIR_EraseRootFromParent_Done,
     /* 1471265 */   // Label 20588: @1471265
     /* 1471265 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1471362), // Rule ID 23618 //
     /* 1471270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471320 */     // MIs[1] Operand 1
     /* 1471320 */     // No operand predicates
     /* 1471320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471324 */     // MIs[0] policy
     /* 1471324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471361 */     // GIR_Coverage, 23618,
     /* 1471361 */     GIR_EraseRootFromParent_Done,
     /* 1471362 */   // Label 20589: @1471362
     /* 1471362 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1471459), // Rule ID 23619 //
     /* 1471367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471417 */     // MIs[1] Operand 1
     /* 1471417 */     // No operand predicates
     /* 1471417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471421 */     // MIs[0] policy
     /* 1471421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471458 */     // GIR_Coverage, 23619,
     /* 1471458 */     GIR_EraseRootFromParent_Done,
     /* 1471459 */   // Label 20590: @1471459
     /* 1471459 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1471556), // Rule ID 23622 //
     /* 1471464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471514 */     // MIs[1] Operand 1
     /* 1471514 */     // No operand predicates
     /* 1471514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471518 */     // MIs[0] policy
     /* 1471518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471555 */     // GIR_Coverage, 23622,
     /* 1471555 */     GIR_EraseRootFromParent_Done,
     /* 1471556 */   // Label 20591: @1471556
     /* 1471556 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1471653), // Rule ID 23623 //
     /* 1471561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471611 */     // MIs[1] Operand 1
     /* 1471611 */     // No operand predicates
     /* 1471611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471615 */     // MIs[0] policy
     /* 1471615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471652 */     // GIR_Coverage, 23623,
     /* 1471652 */     GIR_EraseRootFromParent_Done,
     /* 1471653 */   // Label 20592: @1471653
     /* 1471653 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1471750), // Rule ID 23626 //
     /* 1471658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471708 */     // MIs[1] Operand 1
     /* 1471708 */     // No operand predicates
     /* 1471708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471712 */     // MIs[0] policy
     /* 1471712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471749 */     // GIR_Coverage, 23626,
     /* 1471749 */     GIR_EraseRootFromParent_Done,
     /* 1471750 */   // Label 20593: @1471750
     /* 1471750 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1471847), // Rule ID 23627 //
     /* 1471755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471805 */     // MIs[1] Operand 1
     /* 1471805 */     // No operand predicates
     /* 1471805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471809 */     // MIs[0] policy
     /* 1471809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1471824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471846 */     // GIR_Coverage, 23627,
     /* 1471846 */     GIR_EraseRootFromParent_Done,
     /* 1471847 */   // Label 20594: @1471847
     /* 1471847 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1471944), // Rule ID 23630 //
     /* 1471852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471902 */     // MIs[1] Operand 1
     /* 1471902 */     // No operand predicates
     /* 1471902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471906 */     // MIs[0] policy
     /* 1471906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471918 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1471921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471943 */     // GIR_Coverage, 23630,
     /* 1471943 */     GIR_EraseRootFromParent_Done,
     /* 1471944 */   // Label 20595: @1471944
     /* 1471944 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1472041), // Rule ID 23631 //
     /* 1471949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1471957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1471960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1471963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1471966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471999 */     // MIs[1] Operand 1
     /* 1471999 */     // No operand predicates
     /* 1471999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472003 */     // MIs[0] policy
     /* 1472003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472015 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1472018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472040 */     // GIR_Coverage, 23631,
     /* 1472040 */     GIR_EraseRootFromParent_Done,
     /* 1472041 */   // Label 20596: @1472041
     /* 1472041 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1472138), // Rule ID 23634 //
     /* 1472046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1472057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1472060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1472063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472096 */     // MIs[1] Operand 1
     /* 1472096 */     // No operand predicates
     /* 1472096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472100 */     // MIs[0] policy
     /* 1472100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1472115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472137 */     // GIR_Coverage, 23634,
     /* 1472137 */     GIR_EraseRootFromParent_Done,
     /* 1472138 */   // Label 20597: @1472138
     /* 1472138 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1472235), // Rule ID 23635 //
     /* 1472143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1472154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1472157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1472160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472193 */     // MIs[1] Operand 1
     /* 1472193 */     // No operand predicates
     /* 1472193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472197 */     // MIs[0] policy
     /* 1472197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1472212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472234 */     // GIR_Coverage, 23635,
     /* 1472234 */     GIR_EraseRootFromParent_Done,
     /* 1472235 */   // Label 20598: @1472235
     /* 1472235 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1472332), // Rule ID 23638 //
     /* 1472240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472290 */     // MIs[1] Operand 1
     /* 1472290 */     // No operand predicates
     /* 1472290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472294 */     // MIs[0] policy
     /* 1472294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472306 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1472309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472331 */     // GIR_Coverage, 23638,
     /* 1472331 */     GIR_EraseRootFromParent_Done,
     /* 1472332 */   // Label 20599: @1472332
     /* 1472332 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1472429), // Rule ID 23639 //
     /* 1472337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1472348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1472351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1472354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1472360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472387 */     // MIs[1] Operand 1
     /* 1472387 */     // No operand predicates
     /* 1472387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472391 */     // MIs[0] policy
     /* 1472391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1472406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472428 */     // GIR_Coverage, 23639,
     /* 1472428 */     GIR_EraseRootFromParent_Done,
     /* 1472429 */   // Label 20600: @1472429
     /* 1472429 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1472526), // Rule ID 23642 //
     /* 1472434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472484 */     // MIs[1] Operand 1
     /* 1472484 */     // No operand predicates
     /* 1472484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472488 */     // MIs[0] policy
     /* 1472488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1472503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472525 */     // GIR_Coverage, 23642,
     /* 1472525 */     GIR_EraseRootFromParent_Done,
     /* 1472526 */   // Label 20601: @1472526
     /* 1472526 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1472623), // Rule ID 23643 //
     /* 1472531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472581 */     // MIs[1] Operand 1
     /* 1472581 */     // No operand predicates
     /* 1472581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472585 */     // MIs[0] policy
     /* 1472585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1472600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472622 */     // GIR_Coverage, 23643,
     /* 1472622 */     GIR_EraseRootFromParent_Done,
     /* 1472623 */   // Label 20602: @1472623
     /* 1472623 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1472720), // Rule ID 23646 //
     /* 1472628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472678 */     // MIs[1] Operand 1
     /* 1472678 */     // No operand predicates
     /* 1472678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472682 */     // MIs[0] policy
     /* 1472682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1472697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472719 */     // GIR_Coverage, 23646,
     /* 1472719 */     GIR_EraseRootFromParent_Done,
     /* 1472720 */   // Label 20603: @1472720
     /* 1472720 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1472817), // Rule ID 23647 //
     /* 1472725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472775 */     // MIs[1] Operand 1
     /* 1472775 */     // No operand predicates
     /* 1472775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472779 */     // MIs[0] policy
     /* 1472779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472791 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1472794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472816 */     // GIR_Coverage, 23647,
     /* 1472816 */     GIR_EraseRootFromParent_Done,
     /* 1472817 */   // Label 20604: @1472817
     /* 1472817 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1472914), // Rule ID 23650 //
     /* 1472822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472872 */     // MIs[1] Operand 1
     /* 1472872 */     // No operand predicates
     /* 1472872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472876 */     // MIs[0] policy
     /* 1472876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472888 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1472891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472913 */     // GIR_Coverage, 23650,
     /* 1472913 */     GIR_EraseRootFromParent_Done,
     /* 1472914 */   // Label 20605: @1472914
     /* 1472914 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1473011), // Rule ID 23651 //
     /* 1472919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472969 */     // MIs[1] Operand 1
     /* 1472969 */     // No operand predicates
     /* 1472969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472973 */     // MIs[0] policy
     /* 1472973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472985 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1472988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473010 */     // GIR_Coverage, 23651,
     /* 1473010 */     GIR_EraseRootFromParent_Done,
     /* 1473011 */   // Label 20606: @1473011
     /* 1473011 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1473108), // Rule ID 23654 //
     /* 1473016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1473033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473066 */     // MIs[1] Operand 1
     /* 1473066 */     // No operand predicates
     /* 1473066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473070 */     // MIs[0] policy
     /* 1473070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1473085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473107 */     // GIR_Coverage, 23654,
     /* 1473107 */     GIR_EraseRootFromParent_Done,
     /* 1473108 */   // Label 20607: @1473108
     /* 1473108 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1473205), // Rule ID 23655 //
     /* 1473113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1473130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473163 */     // MIs[1] Operand 1
     /* 1473163 */     // No operand predicates
     /* 1473163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473167 */     // MIs[0] policy
     /* 1473167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473179 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1473182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473204 */     // GIR_Coverage, 23655,
     /* 1473204 */     GIR_EraseRootFromParent_Done,
     /* 1473205 */   // Label 20608: @1473205
     /* 1473205 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1473302), // Rule ID 23658 //
     /* 1473210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1473227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473260 */     // MIs[1] Operand 1
     /* 1473260 */     // No operand predicates
     /* 1473260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473264 */     // MIs[0] policy
     /* 1473264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1473279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473301 */     // GIR_Coverage, 23658,
     /* 1473301 */     GIR_EraseRootFromParent_Done,
     /* 1473302 */   // Label 20609: @1473302
     /* 1473302 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1473399), // Rule ID 23659 //
     /* 1473307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1473324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473357 */     // MIs[1] Operand 1
     /* 1473357 */     // No operand predicates
     /* 1473357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473361 */     // MIs[0] policy
     /* 1473361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473373 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1473376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473398 */     // GIR_Coverage, 23659,
     /* 1473398 */     GIR_EraseRootFromParent_Done,
     /* 1473399 */   // Label 20610: @1473399
     /* 1473399 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1473496), // Rule ID 23662 //
     /* 1473404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473454 */     // MIs[1] Operand 1
     /* 1473454 */     // No operand predicates
     /* 1473454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473458 */     // MIs[0] policy
     /* 1473458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1473473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473495 */     // GIR_Coverage, 23662,
     /* 1473495 */     GIR_EraseRootFromParent_Done,
     /* 1473496 */   // Label 20611: @1473496
     /* 1473496 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1473593), // Rule ID 23663 //
     /* 1473501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473551 */     // MIs[1] Operand 1
     /* 1473551 */     // No operand predicates
     /* 1473551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473555 */     // MIs[0] policy
     /* 1473555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1473570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473592 */     // GIR_Coverage, 23663,
     /* 1473592 */     GIR_EraseRootFromParent_Done,
     /* 1473593 */   // Label 20612: @1473593
     /* 1473593 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1473690), // Rule ID 23666 //
     /* 1473598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473648 */     // MIs[1] Operand 1
     /* 1473648 */     // No operand predicates
     /* 1473648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473652 */     // MIs[0] policy
     /* 1473652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1473667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473689 */     // GIR_Coverage, 23666,
     /* 1473689 */     GIR_EraseRootFromParent_Done,
     /* 1473690 */   // Label 20613: @1473690
     /* 1473690 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1473787), // Rule ID 23667 //
     /* 1473695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473745 */     // MIs[1] Operand 1
     /* 1473745 */     // No operand predicates
     /* 1473745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473749 */     // MIs[0] policy
     /* 1473749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1473764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473786 */     // GIR_Coverage, 23667,
     /* 1473786 */     GIR_EraseRootFromParent_Done,
     /* 1473787 */   // Label 20614: @1473787
     /* 1473787 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1473884), // Rule ID 23670 //
     /* 1473792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473842 */     // MIs[1] Operand 1
     /* 1473842 */     // No operand predicates
     /* 1473842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473846 */     // MIs[0] policy
     /* 1473846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1473861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473883 */     // GIR_Coverage, 23670,
     /* 1473883 */     GIR_EraseRootFromParent_Done,
     /* 1473884 */   // Label 20615: @1473884
     /* 1473884 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1473981), // Rule ID 23671 //
     /* 1473889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1473892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473939 */     // MIs[1] Operand 1
     /* 1473939 */     // No operand predicates
     /* 1473939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473943 */     // MIs[0] policy
     /* 1473943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1473958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473980 */     // GIR_Coverage, 23671,
     /* 1473980 */     GIR_EraseRootFromParent_Done,
     /* 1473981 */   // Label 20616: @1473981
     /* 1473981 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1474078), // Rule ID 23674 //
     /* 1473986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1473989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1473997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1474000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1474003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474036 */     // MIs[1] Operand 1
     /* 1474036 */     // No operand predicates
     /* 1474036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474040 */     // MIs[0] policy
     /* 1474040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474077 */     // GIR_Coverage, 23674,
     /* 1474077 */     GIR_EraseRootFromParent_Done,
     /* 1474078 */   // Label 20617: @1474078
     /* 1474078 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1474175), // Rule ID 23675 //
     /* 1474083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1474086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1474094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1474097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1474100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474133 */     // MIs[1] Operand 1
     /* 1474133 */     // No operand predicates
     /* 1474133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474137 */     // MIs[0] policy
     /* 1474137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474174 */     // GIR_Coverage, 23675,
     /* 1474174 */     GIR_EraseRootFromParent_Done,
     /* 1474175 */   // Label 20618: @1474175
     /* 1474175 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1474272), // Rule ID 23766 //
     /* 1474180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1474191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1474194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1474197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474230 */     // MIs[1] Operand 1
     /* 1474230 */     // No operand predicates
     /* 1474230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474234 */     // MIs[0] policy
     /* 1474234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474246 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1474249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474271 */     // GIR_Coverage, 23766,
     /* 1474271 */     GIR_EraseRootFromParent_Done,
     /* 1474272 */   // Label 20619: @1474272
     /* 1474272 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1474369), // Rule ID 23767 //
     /* 1474277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1474288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1474291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1474294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474327 */     // MIs[1] Operand 1
     /* 1474327 */     // No operand predicates
     /* 1474327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474331 */     // MIs[0] policy
     /* 1474331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474343 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1474346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474368 */     // GIR_Coverage, 23767,
     /* 1474368 */     GIR_EraseRootFromParent_Done,
     /* 1474369 */   // Label 20620: @1474369
     /* 1474369 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1474466), // Rule ID 23770 //
     /* 1474374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1474385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1474388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1474391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474424 */     // MIs[1] Operand 1
     /* 1474424 */     // No operand predicates
     /* 1474424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474428 */     // MIs[0] policy
     /* 1474428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474440 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1474443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474465 */     // GIR_Coverage, 23770,
     /* 1474465 */     GIR_EraseRootFromParent_Done,
     /* 1474466 */   // Label 20621: @1474466
     /* 1474466 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1474563), // Rule ID 23771 //
     /* 1474471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1474482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1474485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1474488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474521 */     // MIs[1] Operand 1
     /* 1474521 */     // No operand predicates
     /* 1474521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474525 */     // MIs[0] policy
     /* 1474525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474537 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1474540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474562 */     // GIR_Coverage, 23771,
     /* 1474562 */     GIR_EraseRootFromParent_Done,
     /* 1474563 */   // Label 20622: @1474563
     /* 1474563 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1474660), // Rule ID 23774 //
     /* 1474568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1474579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1474582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1474585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474618 */     // MIs[1] Operand 1
     /* 1474618 */     // No operand predicates
     /* 1474618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474622 */     // MIs[0] policy
     /* 1474622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1474637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474659 */     // GIR_Coverage, 23774,
     /* 1474659 */     GIR_EraseRootFromParent_Done,
     /* 1474660 */   // Label 20623: @1474660
     /* 1474660 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1474757), // Rule ID 23775 //
     /* 1474665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1474676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1474679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1474682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474715 */     // MIs[1] Operand 1
     /* 1474715 */     // No operand predicates
     /* 1474715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474719 */     // MIs[0] policy
     /* 1474719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474731 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1474734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474756 */     // GIR_Coverage, 23775,
     /* 1474756 */     GIR_EraseRootFromParent_Done,
     /* 1474757 */   // Label 20624: @1474757
     /* 1474757 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1474854), // Rule ID 23778 //
     /* 1474762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474812 */     // MIs[1] Operand 1
     /* 1474812 */     // No operand predicates
     /* 1474812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474816 */     // MIs[0] policy
     /* 1474816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1474831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474853 */     // GIR_Coverage, 23778,
     /* 1474853 */     GIR_EraseRootFromParent_Done,
     /* 1474854 */   // Label 20625: @1474854
     /* 1474854 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1474951), // Rule ID 23779 //
     /* 1474859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474909 */     // MIs[1] Operand 1
     /* 1474909 */     // No operand predicates
     /* 1474909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474913 */     // MIs[0] policy
     /* 1474913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474925 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1474928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474950 */     // GIR_Coverage, 23779,
     /* 1474950 */     GIR_EraseRootFromParent_Done,
     /* 1474951 */   // Label 20626: @1474951
     /* 1474951 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1475048), // Rule ID 23782 //
     /* 1474956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1474964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475006 */     // MIs[1] Operand 1
     /* 1475006 */     // No operand predicates
     /* 1475006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475010 */     // MIs[0] policy
     /* 1475010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475022 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1475025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475047 */     // GIR_Coverage, 23782,
     /* 1475047 */     GIR_EraseRootFromParent_Done,
     /* 1475048 */   // Label 20627: @1475048
     /* 1475048 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1475145), // Rule ID 23783 //
     /* 1475053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1475064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1475067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1475070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475103 */     // MIs[1] Operand 1
     /* 1475103 */     // No operand predicates
     /* 1475103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475107 */     // MIs[0] policy
     /* 1475107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1475122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475144 */     // GIR_Coverage, 23783,
     /* 1475144 */     GIR_EraseRootFromParent_Done,
     /* 1475145 */   // Label 20628: @1475145
     /* 1475145 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1475242), // Rule ID 23786 //
     /* 1475150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1475161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1475164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1475167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475200 */     // MIs[1] Operand 1
     /* 1475200 */     // No operand predicates
     /* 1475200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475204 */     // MIs[0] policy
     /* 1475204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1475219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475241 */     // GIR_Coverage, 23786,
     /* 1475241 */     GIR_EraseRootFromParent_Done,
     /* 1475242 */   // Label 20629: @1475242
     /* 1475242 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1475339), // Rule ID 23787 //
     /* 1475247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1475258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1475261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1475264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475297 */     // MIs[1] Operand 1
     /* 1475297 */     // No operand predicates
     /* 1475297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475301 */     // MIs[0] policy
     /* 1475301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1475316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475338 */     // GIR_Coverage, 23787,
     /* 1475338 */     GIR_EraseRootFromParent_Done,
     /* 1475339 */   // Label 20630: @1475339
     /* 1475339 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1475436), // Rule ID 23790 //
     /* 1475344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1475355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1475358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1475361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475394 */     // MIs[1] Operand 1
     /* 1475394 */     // No operand predicates
     /* 1475394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475398 */     // MIs[0] policy
     /* 1475398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1475413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475435 */     // GIR_Coverage, 23790,
     /* 1475435 */     GIR_EraseRootFromParent_Done,
     /* 1475436 */   // Label 20631: @1475436
     /* 1475436 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1475533), // Rule ID 23791 //
     /* 1475441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1475452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1475455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1475458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475491 */     // MIs[1] Operand 1
     /* 1475491 */     // No operand predicates
     /* 1475491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475495 */     // MIs[0] policy
     /* 1475495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1475510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475532 */     // GIR_Coverage, 23791,
     /* 1475532 */     GIR_EraseRootFromParent_Done,
     /* 1475533 */   // Label 20632: @1475533
     /* 1475533 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1475630), // Rule ID 23794 //
     /* 1475538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1475549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1475552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1475555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475588 */     // MIs[1] Operand 1
     /* 1475588 */     // No operand predicates
     /* 1475588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475592 */     // MIs[0] policy
     /* 1475592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475604 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1475607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475629 */     // GIR_Coverage, 23794,
     /* 1475629 */     GIR_EraseRootFromParent_Done,
     /* 1475630 */   // Label 20633: @1475630
     /* 1475630 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1475727), // Rule ID 23795 //
     /* 1475635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1475646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1475649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1475652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475685 */     // MIs[1] Operand 1
     /* 1475685 */     // No operand predicates
     /* 1475685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475689 */     // MIs[0] policy
     /* 1475689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1475704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475726 */     // GIR_Coverage, 23795,
     /* 1475726 */     GIR_EraseRootFromParent_Done,
     /* 1475727 */   // Label 20634: @1475727
     /* 1475727 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1475824), // Rule ID 23798 //
     /* 1475732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475782 */     // MIs[1] Operand 1
     /* 1475782 */     // No operand predicates
     /* 1475782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475786 */     // MIs[0] policy
     /* 1475786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1475801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475823 */     // GIR_Coverage, 23798,
     /* 1475823 */     GIR_EraseRootFromParent_Done,
     /* 1475824 */   // Label 20635: @1475824
     /* 1475824 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1475921), // Rule ID 23799 //
     /* 1475829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475879 */     // MIs[1] Operand 1
     /* 1475879 */     // No operand predicates
     /* 1475879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475883 */     // MIs[0] policy
     /* 1475883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475895 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1475898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475920 */     // GIR_Coverage, 23799,
     /* 1475920 */     GIR_EraseRootFromParent_Done,
     /* 1475921 */   // Label 20636: @1475921
     /* 1475921 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1476018), // Rule ID 23802 //
     /* 1475926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1475929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1475937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1475940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1475943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475976 */     // MIs[1] Operand 1
     /* 1475976 */     // No operand predicates
     /* 1475976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475980 */     // MIs[0] policy
     /* 1475980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1475995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476017 */     // GIR_Coverage, 23802,
     /* 1476017 */     GIR_EraseRootFromParent_Done,
     /* 1476018 */   // Label 20637: @1476018
     /* 1476018 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1476115), // Rule ID 23803 //
     /* 1476023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1476034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1476037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1476040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476073 */     // MIs[1] Operand 1
     /* 1476073 */     // No operand predicates
     /* 1476073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476077 */     // MIs[0] policy
     /* 1476077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476089 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1476092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476114 */     // GIR_Coverage, 23803,
     /* 1476114 */     GIR_EraseRootFromParent_Done,
     /* 1476115 */   // Label 20638: @1476115
     /* 1476115 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1476212), // Rule ID 23806 //
     /* 1476120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1476131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1476134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1476137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476170 */     // MIs[1] Operand 1
     /* 1476170 */     // No operand predicates
     /* 1476170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476174 */     // MIs[0] policy
     /* 1476174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476186 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1476189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476211 */     // GIR_Coverage, 23806,
     /* 1476211 */     GIR_EraseRootFromParent_Done,
     /* 1476212 */   // Label 20639: @1476212
     /* 1476212 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1476309), // Rule ID 23807 //
     /* 1476217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1476228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1476231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1476234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476267 */     // MIs[1] Operand 1
     /* 1476267 */     // No operand predicates
     /* 1476267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476271 */     // MIs[0] policy
     /* 1476271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1476286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476308 */     // GIR_Coverage, 23807,
     /* 1476308 */     GIR_EraseRootFromParent_Done,
     /* 1476309 */   // Label 20640: @1476309
     /* 1476309 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1476406), // Rule ID 23810 //
     /* 1476314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1476325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1476328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1476331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1476337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476364 */     // MIs[1] Operand 1
     /* 1476364 */     // No operand predicates
     /* 1476364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476368 */     // MIs[0] policy
     /* 1476368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476380 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1476383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476405 */     // GIR_Coverage, 23810,
     /* 1476405 */     GIR_EraseRootFromParent_Done,
     /* 1476406 */   // Label 20641: @1476406
     /* 1476406 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1476503), // Rule ID 23811 //
     /* 1476411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1476422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1476425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1476428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1476434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476461 */     // MIs[1] Operand 1
     /* 1476461 */     // No operand predicates
     /* 1476461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476465 */     // MIs[0] policy
     /* 1476465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476477 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1476480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476502 */     // GIR_Coverage, 23811,
     /* 1476502 */     GIR_EraseRootFromParent_Done,
     /* 1476503 */   // Label 20642: @1476503
     /* 1476503 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1476600), // Rule ID 23814 //
     /* 1476508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1476519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1476522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1476525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1476531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476558 */     // MIs[1] Operand 1
     /* 1476558 */     // No operand predicates
     /* 1476558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476562 */     // MIs[0] policy
     /* 1476562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476574 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1476577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476599 */     // GIR_Coverage, 23814,
     /* 1476599 */     GIR_EraseRootFromParent_Done,
     /* 1476600 */   // Label 20643: @1476600
     /* 1476600 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1476697), // Rule ID 23815 //
     /* 1476605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1476616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1476619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1476622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1476628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476655 */     // MIs[1] Operand 1
     /* 1476655 */     // No operand predicates
     /* 1476655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476659 */     // MIs[0] policy
     /* 1476659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1476674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476696 */     // GIR_Coverage, 23815,
     /* 1476696 */     GIR_EraseRootFromParent_Done,
     /* 1476697 */   // Label 20644: @1476697
     /* 1476697 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1476794), // Rule ID 23818 //
     /* 1476702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1476713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1476716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1476719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476752 */     // MIs[1] Operand 1
     /* 1476752 */     // No operand predicates
     /* 1476752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476756 */     // MIs[0] policy
     /* 1476756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1476771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476793 */     // GIR_Coverage, 23818,
     /* 1476793 */     GIR_EraseRootFromParent_Done,
     /* 1476794 */   // Label 20645: @1476794
     /* 1476794 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1476891), // Rule ID 23819 //
     /* 1476799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1476810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1476813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1476816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476849 */     // MIs[1] Operand 1
     /* 1476849 */     // No operand predicates
     /* 1476849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476853 */     // MIs[0] policy
     /* 1476853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1476868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476890 */     // GIR_Coverage, 23819,
     /* 1476890 */     GIR_EraseRootFromParent_Done,
     /* 1476891 */   // Label 20646: @1476891
     /* 1476891 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1476988), // Rule ID 23822 //
     /* 1476896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1476907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1476910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1476913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476946 */     // MIs[1] Operand 1
     /* 1476946 */     // No operand predicates
     /* 1476946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476950 */     // MIs[0] policy
     /* 1476950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1476965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476987 */     // GIR_Coverage, 23822,
     /* 1476987 */     GIR_EraseRootFromParent_Done,
     /* 1476988 */   // Label 20647: @1476988
     /* 1476988 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1477085), // Rule ID 23823 //
     /* 1476993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1477004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1477007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1477010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477043 */     // MIs[1] Operand 1
     /* 1477043 */     // No operand predicates
     /* 1477043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477047 */     // MIs[0] policy
     /* 1477047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1477062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477084 */     // GIR_Coverage, 23823,
     /* 1477084 */     GIR_EraseRootFromParent_Done,
     /* 1477085 */   // Label 20648: @1477085
     /* 1477085 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1477182), // Rule ID 23826 //
     /* 1477090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1477107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1477113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477140 */     // MIs[1] Operand 1
     /* 1477140 */     // No operand predicates
     /* 1477140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477144 */     // MIs[0] policy
     /* 1477144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477156 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477181 */     // GIR_Coverage, 23826,
     /* 1477181 */     GIR_EraseRootFromParent_Done,
     /* 1477182 */   // Label 20649: @1477182
     /* 1477182 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1477279), // Rule ID 23827 //
     /* 1477187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1477204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1477210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477237 */     // MIs[1] Operand 1
     /* 1477237 */     // No operand predicates
     /* 1477237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477241 */     // MIs[0] policy
     /* 1477241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477278 */     // GIR_Coverage, 23827,
     /* 1477278 */     GIR_EraseRootFromParent_Done,
     /* 1477279 */   // Label 20650: @1477279
     /* 1477279 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1477376), // Rule ID 23830 //
     /* 1477284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1477295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1477298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1477301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477334 */     // MIs[1] Operand 1
     /* 1477334 */     // No operand predicates
     /* 1477334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477338 */     // MIs[0] policy
     /* 1477338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1477353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477375 */     // GIR_Coverage, 23830,
     /* 1477375 */     GIR_EraseRootFromParent_Done,
     /* 1477376 */   // Label 20651: @1477376
     /* 1477376 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1477473), // Rule ID 23831 //
     /* 1477381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1477392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1477395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1477398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477431 */     // MIs[1] Operand 1
     /* 1477431 */     // No operand predicates
     /* 1477431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477435 */     // MIs[0] policy
     /* 1477435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1477450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477472 */     // GIR_Coverage, 23831,
     /* 1477472 */     GIR_EraseRootFromParent_Done,
     /* 1477473 */   // Label 20652: @1477473
     /* 1477473 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1477570), // Rule ID 23834 //
     /* 1477478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1477489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1477492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1477495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477528 */     // MIs[1] Operand 1
     /* 1477528 */     // No operand predicates
     /* 1477528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477532 */     // MIs[0] policy
     /* 1477532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477544 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1477547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477569 */     // GIR_Coverage, 23834,
     /* 1477569 */     GIR_EraseRootFromParent_Done,
     /* 1477570 */   // Label 20653: @1477570
     /* 1477570 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1477667), // Rule ID 23835 //
     /* 1477575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1477586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1477589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1477592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477625 */     // MIs[1] Operand 1
     /* 1477625 */     // No operand predicates
     /* 1477625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477629 */     // MIs[0] policy
     /* 1477629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1477644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477666 */     // GIR_Coverage, 23835,
     /* 1477666 */     GIR_EraseRootFromParent_Done,
     /* 1477667 */   // Label 20654: @1477667
     /* 1477667 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1477764), // Rule ID 23838 //
     /* 1477672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1477683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1477686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1477689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477722 */     // MIs[1] Operand 1
     /* 1477722 */     // No operand predicates
     /* 1477722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477726 */     // MIs[0] policy
     /* 1477726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477738 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477763 */     // GIR_Coverage, 23838,
     /* 1477763 */     GIR_EraseRootFromParent_Done,
     /* 1477764 */   // Label 20655: @1477764
     /* 1477764 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1477861), // Rule ID 23839 //
     /* 1477769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1477780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1477783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1477786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477819 */     // MIs[1] Operand 1
     /* 1477819 */     // No operand predicates
     /* 1477819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477823 */     // MIs[0] policy
     /* 1477823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477835 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477860 */     // GIR_Coverage, 23839,
     /* 1477860 */     GIR_EraseRootFromParent_Done,
     /* 1477861 */   // Label 20656: @1477861
     /* 1477861 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1477958), // Rule ID 23842 //
     /* 1477866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1477869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1477877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1477880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1477883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477916 */     // MIs[1] Operand 1
     /* 1477916 */     // No operand predicates
     /* 1477916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477920 */     // MIs[0] policy
     /* 1477920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1477935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477957 */     // GIR_Coverage, 23842,
     /* 1477957 */     GIR_EraseRootFromParent_Done,
     /* 1477958 */   // Label 20657: @1477958
     /* 1477958 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1478055), // Rule ID 23843 //
     /* 1477963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1477966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1477974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1477977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1477980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478013 */     // MIs[1] Operand 1
     /* 1478013 */     // No operand predicates
     /* 1478013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478017 */     // MIs[0] policy
     /* 1478017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478054 */     // GIR_Coverage, 23843,
     /* 1478054 */     GIR_EraseRootFromParent_Done,
     /* 1478055 */   // Label 20658: @1478055
     /* 1478055 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1478152), // Rule ID 23846 //
     /* 1478060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1478063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1478071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1478074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1478077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478110 */     // MIs[1] Operand 1
     /* 1478110 */     // No operand predicates
     /* 1478110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478114 */     // MIs[0] policy
     /* 1478114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478151 */     // GIR_Coverage, 23846,
     /* 1478151 */     GIR_EraseRootFromParent_Done,
     /* 1478152 */   // Label 20659: @1478152
     /* 1478152 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1478249), // Rule ID 23847 //
     /* 1478157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1478160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1478168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1478171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1478174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478207 */     // MIs[1] Operand 1
     /* 1478207 */     // No operand predicates
     /* 1478207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478211 */     // MIs[0] policy
     /* 1478211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478223 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478248 */     // GIR_Coverage, 23847,
     /* 1478248 */     GIR_EraseRootFromParent_Done,
     /* 1478249 */   // Label 20660: @1478249
     /* 1478249 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1478346), // Rule ID 23850 //
     /* 1478254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1478257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1478265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1478268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1478271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478304 */     // MIs[1] Operand 1
     /* 1478304 */     // No operand predicates
     /* 1478304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478308 */     // MIs[0] policy
     /* 1478308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478345 */     // GIR_Coverage, 23850,
     /* 1478345 */     GIR_EraseRootFromParent_Done,
     /* 1478346 */   // Label 20661: @1478346
     /* 1478346 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1478443), // Rule ID 23851 //
     /* 1478351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1478354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1478362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1478365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1478368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478401 */     // MIs[1] Operand 1
     /* 1478401 */     // No operand predicates
     /* 1478401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478405 */     // MIs[0] policy
     /* 1478405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478442 */     // GIR_Coverage, 23851,
     /* 1478442 */     GIR_EraseRootFromParent_Done,
     /* 1478443 */   // Label 20662: @1478443
     /* 1478443 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1478540), // Rule ID 24090 //
     /* 1478448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1478459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1478462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1478465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478498 */     // MIs[1] Operand 1
     /* 1478498 */     // No operand predicates
     /* 1478498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478502 */     // MIs[0] policy
     /* 1478502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478514 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1478517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478539 */     // GIR_Coverage, 24090,
     /* 1478539 */     GIR_EraseRootFromParent_Done,
     /* 1478540 */   // Label 20663: @1478540
     /* 1478540 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1478637), // Rule ID 24091 //
     /* 1478545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1478556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1478559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1478562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478595 */     // MIs[1] Operand 1
     /* 1478595 */     // No operand predicates
     /* 1478595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478599 */     // MIs[0] policy
     /* 1478599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478611 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1478614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478636 */     // GIR_Coverage, 24091,
     /* 1478636 */     GIR_EraseRootFromParent_Done,
     /* 1478637 */   // Label 20664: @1478637
     /* 1478637 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1478734), // Rule ID 24094 //
     /* 1478642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1478653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1478656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1478659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478692 */     // MIs[1] Operand 1
     /* 1478692 */     // No operand predicates
     /* 1478692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478696 */     // MIs[0] policy
     /* 1478696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478708 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1478711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478733 */     // GIR_Coverage, 24094,
     /* 1478733 */     GIR_EraseRootFromParent_Done,
     /* 1478734 */   // Label 20665: @1478734
     /* 1478734 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1478831), // Rule ID 24095 //
     /* 1478739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1478750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1478753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1478756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478789 */     // MIs[1] Operand 1
     /* 1478789 */     // No operand predicates
     /* 1478789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478793 */     // MIs[0] policy
     /* 1478793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478805 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1478808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478830 */     // GIR_Coverage, 24095,
     /* 1478830 */     GIR_EraseRootFromParent_Done,
     /* 1478831 */   // Label 20666: @1478831
     /* 1478831 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1478928), // Rule ID 24098 //
     /* 1478836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1478847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1478850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1478853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478886 */     // MIs[1] Operand 1
     /* 1478886 */     // No operand predicates
     /* 1478886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478890 */     // MIs[0] policy
     /* 1478890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1478905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478927 */     // GIR_Coverage, 24098,
     /* 1478927 */     GIR_EraseRootFromParent_Done,
     /* 1478928 */   // Label 20667: @1478928
     /* 1478928 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1479025), // Rule ID 24099 //
     /* 1478933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1478944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1478947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1478950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478983 */     // MIs[1] Operand 1
     /* 1478983 */     // No operand predicates
     /* 1478983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478987 */     // MIs[0] policy
     /* 1478987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478999 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1479002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479024 */     // GIR_Coverage, 24099,
     /* 1479024 */     GIR_EraseRootFromParent_Done,
     /* 1479025 */   // Label 20668: @1479025
     /* 1479025 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1479122), // Rule ID 24102 //
     /* 1479030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1479033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1479047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479080 */     // MIs[1] Operand 1
     /* 1479080 */     // No operand predicates
     /* 1479080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479084 */     // MIs[0] policy
     /* 1479084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1479099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479121 */     // GIR_Coverage, 24102,
     /* 1479121 */     GIR_EraseRootFromParent_Done,
     /* 1479122 */   // Label 20669: @1479122
     /* 1479122 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1479219), // Rule ID 24103 //
     /* 1479127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1479130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1479144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479177 */     // MIs[1] Operand 1
     /* 1479177 */     // No operand predicates
     /* 1479177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479181 */     // MIs[0] policy
     /* 1479181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479193 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1479196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479218 */     // GIR_Coverage, 24103,
     /* 1479218 */     GIR_EraseRootFromParent_Done,
     /* 1479219 */   // Label 20670: @1479219
     /* 1479219 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1479316), // Rule ID 24106 //
     /* 1479224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1479235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1479238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1479241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479274 */     // MIs[1] Operand 1
     /* 1479274 */     // No operand predicates
     /* 1479274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479278 */     // MIs[0] policy
     /* 1479278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1479293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479315 */     // GIR_Coverage, 24106,
     /* 1479315 */     GIR_EraseRootFromParent_Done,
     /* 1479316 */   // Label 20671: @1479316
     /* 1479316 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1479413), // Rule ID 24107 //
     /* 1479321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1479332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1479335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1479338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479371 */     // MIs[1] Operand 1
     /* 1479371 */     // No operand predicates
     /* 1479371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479375 */     // MIs[0] policy
     /* 1479375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479387 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1479390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479412 */     // GIR_Coverage, 24107,
     /* 1479412 */     GIR_EraseRootFromParent_Done,
     /* 1479413 */   // Label 20672: @1479413
     /* 1479413 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1479510), // Rule ID 24110 //
     /* 1479418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1479429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1479432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1479435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479468 */     // MIs[1] Operand 1
     /* 1479468 */     // No operand predicates
     /* 1479468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479472 */     // MIs[0] policy
     /* 1479472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479484 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1479487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479509 */     // GIR_Coverage, 24110,
     /* 1479509 */     GIR_EraseRootFromParent_Done,
     /* 1479510 */   // Label 20673: @1479510
     /* 1479510 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1479607), // Rule ID 24111 //
     /* 1479515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1479526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1479529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1479532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479565 */     // MIs[1] Operand 1
     /* 1479565 */     // No operand predicates
     /* 1479565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479569 */     // MIs[0] policy
     /* 1479569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1479584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479606 */     // GIR_Coverage, 24111,
     /* 1479606 */     GIR_EraseRootFromParent_Done,
     /* 1479607 */   // Label 20674: @1479607
     /* 1479607 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1479704), // Rule ID 24114 //
     /* 1479612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1479615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1479629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479662 */     // MIs[1] Operand 1
     /* 1479662 */     // No operand predicates
     /* 1479662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479666 */     // MIs[0] policy
     /* 1479666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479678 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1479681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479703 */     // GIR_Coverage, 24114,
     /* 1479703 */     GIR_EraseRootFromParent_Done,
     /* 1479704 */   // Label 20675: @1479704
     /* 1479704 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1479801), // Rule ID 24115 //
     /* 1479709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1479712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1479726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479759 */     // MIs[1] Operand 1
     /* 1479759 */     // No operand predicates
     /* 1479759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479763 */     // MIs[0] policy
     /* 1479763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479775 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1479778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479800 */     // GIR_Coverage, 24115,
     /* 1479800 */     GIR_EraseRootFromParent_Done,
     /* 1479801 */   // Label 20676: @1479801
     /* 1479801 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1479898), // Rule ID 24118 //
     /* 1479806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1479809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479856 */     // MIs[1] Operand 1
     /* 1479856 */     // No operand predicates
     /* 1479856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479860 */     // MIs[0] policy
     /* 1479860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479872 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1479875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479897 */     // GIR_Coverage, 24118,
     /* 1479897 */     GIR_EraseRootFromParent_Done,
     /* 1479898 */   // Label 20677: @1479898
     /* 1479898 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1479995), // Rule ID 24119 //
     /* 1479903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1479906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479953 */     // MIs[1] Operand 1
     /* 1479953 */     // No operand predicates
     /* 1479953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479957 */     // MIs[0] policy
     /* 1479957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479969 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1479972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479994 */     // GIR_Coverage, 24119,
     /* 1479994 */     GIR_EraseRootFromParent_Done,
     /* 1479995 */   // Label 20678: @1479995
     /* 1479995 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1480092), // Rule ID 24122 //
     /* 1480000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1480003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1480017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480050 */     // MIs[1] Operand 1
     /* 1480050 */     // No operand predicates
     /* 1480050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480054 */     // MIs[0] policy
     /* 1480054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480066 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480091 */     // GIR_Coverage, 24122,
     /* 1480091 */     GIR_EraseRootFromParent_Done,
     /* 1480092 */   // Label 20679: @1480092
     /* 1480092 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1480189), // Rule ID 24123 //
     /* 1480097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1480100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1480114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480147 */     // MIs[1] Operand 1
     /* 1480147 */     // No operand predicates
     /* 1480147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480151 */     // MIs[0] policy
     /* 1480151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480163 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480188 */     // GIR_Coverage, 24123,
     /* 1480188 */     GIR_EraseRootFromParent_Done,
     /* 1480189 */   // Label 20680: @1480189
     /* 1480189 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1480286), // Rule ID 24126 //
     /* 1480194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1480197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1480205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1480208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1480211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480244 */     // MIs[1] Operand 1
     /* 1480244 */     // No operand predicates
     /* 1480244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480248 */     // MIs[0] policy
     /* 1480248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480260 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1480263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480285 */     // GIR_Coverage, 24126,
     /* 1480285 */     GIR_EraseRootFromParent_Done,
     /* 1480286 */   // Label 20681: @1480286
     /* 1480286 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1480383), // Rule ID 24127 //
     /* 1480291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1480294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1480302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1480305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1480308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480341 */     // MIs[1] Operand 1
     /* 1480341 */     // No operand predicates
     /* 1480341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480345 */     // MIs[0] policy
     /* 1480345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480357 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1480360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480382 */     // GIR_Coverage, 24127,
     /* 1480382 */     GIR_EraseRootFromParent_Done,
     /* 1480383 */   // Label 20682: @1480383
     /* 1480383 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1480480), // Rule ID 24130 //
     /* 1480388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1480391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1480405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480438 */     // MIs[1] Operand 1
     /* 1480438 */     // No operand predicates
     /* 1480438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480442 */     // MIs[0] policy
     /* 1480442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480454 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1480457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480479 */     // GIR_Coverage, 24130,
     /* 1480479 */     GIR_EraseRootFromParent_Done,
     /* 1480480 */   // Label 20683: @1480480
     /* 1480480 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1480577), // Rule ID 24131 //
     /* 1480485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1480488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1480502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480535 */     // MIs[1] Operand 1
     /* 1480535 */     // No operand predicates
     /* 1480535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480539 */     // MIs[0] policy
     /* 1480539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480551 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1480554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480576 */     // GIR_Coverage, 24131,
     /* 1480576 */     GIR_EraseRootFromParent_Done,
     /* 1480577 */   // Label 20684: @1480577
     /* 1480577 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1480674), // Rule ID 24134 //
     /* 1480582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1480585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1480599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480632 */     // MIs[1] Operand 1
     /* 1480632 */     // No operand predicates
     /* 1480632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480636 */     // MIs[0] policy
     /* 1480636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480673 */     // GIR_Coverage, 24134,
     /* 1480673 */     GIR_EraseRootFromParent_Done,
     /* 1480674 */   // Label 20685: @1480674
     /* 1480674 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1480771), // Rule ID 24135 //
     /* 1480679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1480682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1480696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480729 */     // MIs[1] Operand 1
     /* 1480729 */     // No operand predicates
     /* 1480729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480733 */     // MIs[0] policy
     /* 1480733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480745 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480770 */     // GIR_Coverage, 24135,
     /* 1480770 */     GIR_EraseRootFromParent_Done,
     /* 1480771 */   // Label 20686: @1480771
     /* 1480771 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1480868), // Rule ID 24138 //
     /* 1480776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1480779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480826 */     // MIs[1] Operand 1
     /* 1480826 */     // No operand predicates
     /* 1480826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480830 */     // MIs[0] policy
     /* 1480830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480842 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1480845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480867 */     // GIR_Coverage, 24138,
     /* 1480867 */     GIR_EraseRootFromParent_Done,
     /* 1480868 */   // Label 20687: @1480868
     /* 1480868 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1480965), // Rule ID 24139 //
     /* 1480873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1480876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480923 */     // MIs[1] Operand 1
     /* 1480923 */     // No operand predicates
     /* 1480923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480927 */     // MIs[0] policy
     /* 1480927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480939 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1480942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480964 */     // GIR_Coverage, 24139,
     /* 1480964 */     GIR_EraseRootFromParent_Done,
     /* 1480965 */   // Label 20688: @1480965
     /* 1480965 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1481062), // Rule ID 24142 //
     /* 1480970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1480973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1480987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481020 */     // MIs[1] Operand 1
     /* 1481020 */     // No operand predicates
     /* 1481020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481024 */     // MIs[0] policy
     /* 1481024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481036 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1481039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481061 */     // GIR_Coverage, 24142,
     /* 1481061 */     GIR_EraseRootFromParent_Done,
     /* 1481062 */   // Label 20689: @1481062
     /* 1481062 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1481159), // Rule ID 24143 //
     /* 1481067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1481070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1481078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1481081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1481084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481117 */     // MIs[1] Operand 1
     /* 1481117 */     // No operand predicates
     /* 1481117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481121 */     // MIs[0] policy
     /* 1481121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481133 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1481136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481158 */     // GIR_Coverage, 24143,
     /* 1481158 */     GIR_EraseRootFromParent_Done,
     /* 1481159 */   // Label 20690: @1481159
     /* 1481159 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1481256), // Rule ID 24146 //
     /* 1481164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1481167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1481175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1481178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1481181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481214 */     // MIs[1] Operand 1
     /* 1481214 */     // No operand predicates
     /* 1481214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481218 */     // MIs[0] policy
     /* 1481218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481230 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1481233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481255 */     // GIR_Coverage, 24146,
     /* 1481255 */     GIR_EraseRootFromParent_Done,
     /* 1481256 */   // Label 20691: @1481256
     /* 1481256 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1481353), // Rule ID 24147 //
     /* 1481261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1481264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1481269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1481272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1481275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1481278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481311 */     // MIs[1] Operand 1
     /* 1481311 */     // No operand predicates
     /* 1481311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481315 */     // MIs[0] policy
     /* 1481315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481327 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1481330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481352 */     // GIR_Coverage, 24147,
     /* 1481352 */     GIR_EraseRootFromParent_Done,
     /* 1481353 */   // Label 20692: @1481353
     /* 1481353 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1481450), // Rule ID 24210 //
     /* 1481358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481408 */     // MIs[1] Operand 1
     /* 1481408 */     // No operand predicates
     /* 1481408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481412 */     // MIs[0] policy
     /* 1481412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481424 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1481427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481449 */     // GIR_Coverage, 24210,
     /* 1481449 */     GIR_EraseRootFromParent_Done,
     /* 1481450 */   // Label 20693: @1481450
     /* 1481450 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1481547), // Rule ID 24211 //
     /* 1481455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1481458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481505 */     // MIs[1] Operand 1
     /* 1481505 */     // No operand predicates
     /* 1481505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481509 */     // MIs[0] policy
     /* 1481509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481521 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1481524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481546 */     // GIR_Coverage, 24211,
     /* 1481546 */     GIR_EraseRootFromParent_Done,
     /* 1481547 */   // Label 20694: @1481547
     /* 1481547 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1481644), // Rule ID 24214 //
     /* 1481552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481602 */     // MIs[1] Operand 1
     /* 1481602 */     // No operand predicates
     /* 1481602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481606 */     // MIs[0] policy
     /* 1481606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481618 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481643 */     // GIR_Coverage, 24214,
     /* 1481643 */     GIR_EraseRootFromParent_Done,
     /* 1481644 */   // Label 20695: @1481644
     /* 1481644 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1481741), // Rule ID 24215 //
     /* 1481649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1481652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481699 */     // MIs[1] Operand 1
     /* 1481699 */     // No operand predicates
     /* 1481699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481703 */     // MIs[0] policy
     /* 1481703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481715 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481740 */     // GIR_Coverage, 24215,
     /* 1481740 */     GIR_EraseRootFromParent_Done,
     /* 1481741 */   // Label 20696: @1481741
     /* 1481741 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1481838), // Rule ID 24218 //
     /* 1481746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1481749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481796 */     // MIs[1] Operand 1
     /* 1481796 */     // No operand predicates
     /* 1481796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481800 */     // MIs[0] policy
     /* 1481800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481812 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481837 */     // GIR_Coverage, 24218,
     /* 1481837 */     GIR_EraseRootFromParent_Done,
     /* 1481838 */   // Label 20697: @1481838
     /* 1481838 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1481935), // Rule ID 24219 //
     /* 1481843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1481846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481893 */     // MIs[1] Operand 1
     /* 1481893 */     // No operand predicates
     /* 1481893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481897 */     // MIs[0] policy
     /* 1481897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481934 */     // GIR_Coverage, 24219,
     /* 1481934 */     GIR_EraseRootFromParent_Done,
     /* 1481935 */   // Label 20698: @1481935
     /* 1481935 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1482032), // Rule ID 24222 //
     /* 1481940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481990 */     // MIs[1] Operand 1
     /* 1481990 */     // No operand predicates
     /* 1481990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481994 */     // MIs[0] policy
     /* 1481994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482006 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482031 */     // GIR_Coverage, 24222,
     /* 1482031 */     GIR_EraseRootFromParent_Done,
     /* 1482032 */   // Label 20699: @1482032
     /* 1482032 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1482129), // Rule ID 24223 //
     /* 1482037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1482048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1482051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1482054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482087 */     // MIs[1] Operand 1
     /* 1482087 */     // No operand predicates
     /* 1482087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482091 */     // MIs[0] policy
     /* 1482091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482103 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482128 */     // GIR_Coverage, 24223,
     /* 1482128 */     GIR_EraseRootFromParent_Done,
     /* 1482129 */   // Label 20700: @1482129
     /* 1482129 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1482226), // Rule ID 24226 //
     /* 1482134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1482145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1482148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1482151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482184 */     // MIs[1] Operand 1
     /* 1482184 */     // No operand predicates
     /* 1482184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482188 */     // MIs[0] policy
     /* 1482188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482225 */     // GIR_Coverage, 24226,
     /* 1482225 */     GIR_EraseRootFromParent_Done,
     /* 1482226 */   // Label 20701: @1482226
     /* 1482226 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1482323), // Rule ID 24227 //
     /* 1482231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1482234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1482242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1482245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1482248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482281 */     // MIs[1] Operand 1
     /* 1482281 */     // No operand predicates
     /* 1482281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482285 */     // MIs[0] policy
     /* 1482285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482297 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482322 */     // GIR_Coverage, 24227,
     /* 1482322 */     GIR_EraseRootFromParent_Done,
     /* 1482323 */   // Label 20702: @1482323
     /* 1482323 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1482420), // Rule ID 24230 //
     /* 1482328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1482331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482378 */     // MIs[1] Operand 1
     /* 1482378 */     // No operand predicates
     /* 1482378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482382 */     // MIs[0] policy
     /* 1482382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482419 */     // GIR_Coverage, 24230,
     /* 1482419 */     GIR_EraseRootFromParent_Done,
     /* 1482420 */   // Label 20703: @1482420
     /* 1482420 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1482517), // Rule ID 24231 //
     /* 1482425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1482428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482475 */     // MIs[1] Operand 1
     /* 1482475 */     // No operand predicates
     /* 1482475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482479 */     // MIs[0] policy
     /* 1482479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482491 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482516 */     // GIR_Coverage, 24231,
     /* 1482516 */     GIR_EraseRootFromParent_Done,
     /* 1482517 */   // Label 20704: @1482517
     /* 1482517 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1482614), // Rule ID 24234 //
     /* 1482522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1482525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482572 */     // MIs[1] Operand 1
     /* 1482572 */     // No operand predicates
     /* 1482572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482576 */     // MIs[0] policy
     /* 1482576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482588 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1482591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482613 */     // GIR_Coverage, 24234,
     /* 1482613 */     GIR_EraseRootFromParent_Done,
     /* 1482614 */   // Label 20705: @1482614
     /* 1482614 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1482711), // Rule ID 24235 //
     /* 1482619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482669 */     // MIs[1] Operand 1
     /* 1482669 */     // No operand predicates
     /* 1482669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482673 */     // MIs[0] policy
     /* 1482673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482685 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1482688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482710 */     // GIR_Coverage, 24235,
     /* 1482710 */     GIR_EraseRootFromParent_Done,
     /* 1482711 */   // Label 20706: @1482711
     /* 1482711 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1482808), // Rule ID 24238 //
     /* 1482716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1482719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482766 */     // MIs[1] Operand 1
     /* 1482766 */     // No operand predicates
     /* 1482766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482770 */     // MIs[0] policy
     /* 1482770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482782 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1482785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482807 */     // GIR_Coverage, 24238,
     /* 1482807 */     GIR_EraseRootFromParent_Done,
     /* 1482808 */   // Label 20707: @1482808
     /* 1482808 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1482905), // Rule ID 24239 //
     /* 1482813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482863 */     // MIs[1] Operand 1
     /* 1482863 */     // No operand predicates
     /* 1482863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482867 */     // MIs[0] policy
     /* 1482867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482879 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1482882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482904 */     // GIR_Coverage, 24239,
     /* 1482904 */     GIR_EraseRootFromParent_Done,
     /* 1482905 */   // Label 20708: @1482905
     /* 1482905 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1483002), // Rule ID 24242 //
     /* 1482910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1482913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482960 */     // MIs[1] Operand 1
     /* 1482960 */     // No operand predicates
     /* 1482960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482964 */     // MIs[0] policy
     /* 1482964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482976 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1482979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483001 */     // GIR_Coverage, 24242,
     /* 1483001 */     GIR_EraseRootFromParent_Done,
     /* 1483002 */   // Label 20709: @1483002
     /* 1483002 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1483099), // Rule ID 24243 //
     /* 1483007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1483010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1483018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1483021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1483024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483057 */     // MIs[1] Operand 1
     /* 1483057 */     // No operand predicates
     /* 1483057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483061 */     // MIs[0] policy
     /* 1483061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483073 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1483076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483098 */     // GIR_Coverage, 24243,
     /* 1483098 */     GIR_EraseRootFromParent_Done,
     /* 1483099 */   // Label 20710: @1483099
     /* 1483099 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1483196), // Rule ID 24246 //
     /* 1483104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483154 */     // MIs[1] Operand 1
     /* 1483154 */     // No operand predicates
     /* 1483154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483158 */     // MIs[0] policy
     /* 1483158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483170 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1483173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483195 */     // GIR_Coverage, 24246,
     /* 1483195 */     GIR_EraseRootFromParent_Done,
     /* 1483196 */   // Label 20711: @1483196
     /* 1483196 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1483293), // Rule ID 24247 //
     /* 1483201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483251 */     // MIs[1] Operand 1
     /* 1483251 */     // No operand predicates
     /* 1483251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483255 */     // MIs[0] policy
     /* 1483255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483267 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1483270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483292 */     // GIR_Coverage, 24247,
     /* 1483292 */     GIR_EraseRootFromParent_Done,
     /* 1483293 */   // Label 20712: @1483293
     /* 1483293 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1483390), // Rule ID 24250 //
     /* 1483298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483348 */     // MIs[1] Operand 1
     /* 1483348 */     // No operand predicates
     /* 1483348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483352 */     // MIs[0] policy
     /* 1483352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483364 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1483367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483389 */     // GIR_Coverage, 24250,
     /* 1483389 */     GIR_EraseRootFromParent_Done,
     /* 1483390 */   // Label 20713: @1483390
     /* 1483390 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1483487), // Rule ID 24251 //
     /* 1483395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483445 */     // MIs[1] Operand 1
     /* 1483445 */     // No operand predicates
     /* 1483445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483449 */     // MIs[0] policy
     /* 1483449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483461 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1483464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483486 */     // GIR_Coverage, 24251,
     /* 1483486 */     GIR_EraseRootFromParent_Done,
     /* 1483487 */   // Label 20714: @1483487
     /* 1483487 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1483584), // Rule ID 24254 //
     /* 1483492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483542 */     // MIs[1] Operand 1
     /* 1483542 */     // No operand predicates
     /* 1483542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483546 */     // MIs[0] policy
     /* 1483546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483558 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1483561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483583 */     // GIR_Coverage, 24254,
     /* 1483583 */     GIR_EraseRootFromParent_Done,
     /* 1483584 */   // Label 20715: @1483584
     /* 1483584 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1483681), // Rule ID 24255 //
     /* 1483589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483639 */     // MIs[1] Operand 1
     /* 1483639 */     // No operand predicates
     /* 1483639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483643 */     // MIs[0] policy
     /* 1483643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483655 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1483658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483680 */     // GIR_Coverage, 24255,
     /* 1483680 */     GIR_EraseRootFromParent_Done,
     /* 1483681 */   // Label 20716: @1483681
     /* 1483681 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1483778), // Rule ID 24258 //
     /* 1483686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483736 */     // MIs[1] Operand 1
     /* 1483736 */     // No operand predicates
     /* 1483736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483740 */     // MIs[0] policy
     /* 1483740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1483755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483777 */     // GIR_Coverage, 24258,
     /* 1483777 */     GIR_EraseRootFromParent_Done,
     /* 1483778 */   // Label 20717: @1483778
     /* 1483778 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1483875), // Rule ID 24259 //
     /* 1483783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483833 */     // MIs[1] Operand 1
     /* 1483833 */     // No operand predicates
     /* 1483833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483837 */     // MIs[0] policy
     /* 1483837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483849 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1483852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483874 */     // GIR_Coverage, 24259,
     /* 1483874 */     GIR_EraseRootFromParent_Done,
     /* 1483875 */   // Label 20718: @1483875
     /* 1483875 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1483972), // Rule ID 24262 //
     /* 1483880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483930 */     // MIs[1] Operand 1
     /* 1483930 */     // No operand predicates
     /* 1483930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483934 */     // MIs[0] policy
     /* 1483934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483946 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1483949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483971 */     // GIR_Coverage, 24262,
     /* 1483971 */     GIR_EraseRootFromParent_Done,
     /* 1483972 */   // Label 20719: @1483972
     /* 1483972 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1484069), // Rule ID 24263 //
     /* 1483977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484027 */     // MIs[1] Operand 1
     /* 1484027 */     // No operand predicates
     /* 1484027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484031 */     // MIs[0] policy
     /* 1484031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484043 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1484046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484068 */     // GIR_Coverage, 24263,
     /* 1484068 */     GIR_EraseRootFromParent_Done,
     /* 1484069 */   // Label 20720: @1484069
     /* 1484069 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1484166), // Rule ID 24266 //
     /* 1484074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484124 */     // MIs[1] Operand 1
     /* 1484124 */     // No operand predicates
     /* 1484124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484128 */     // MIs[0] policy
     /* 1484128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1484143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484165 */     // GIR_Coverage, 24266,
     /* 1484165 */     GIR_EraseRootFromParent_Done,
     /* 1484166 */   // Label 20721: @1484166
     /* 1484166 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1484263), // Rule ID 24267 //
     /* 1484171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484221 */     // MIs[1] Operand 1
     /* 1484221 */     // No operand predicates
     /* 1484221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484225 */     // MIs[0] policy
     /* 1484225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484237 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1484240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484262 */     // GIR_Coverage, 24267,
     /* 1484262 */     GIR_EraseRootFromParent_Done,
     /* 1484263 */   // Label 20722: @1484263
     /* 1484263 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1484360), // Rule ID 24566 //
     /* 1484268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1484279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1484282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1484285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484318 */     // MIs[1] Operand 1
     /* 1484318 */     // No operand predicates
     /* 1484318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484322 */     // MIs[0] policy
     /* 1484322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1484337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484359 */     // GIR_Coverage, 24566,
     /* 1484359 */     GIR_EraseRootFromParent_Done,
     /* 1484360 */   // Label 20723: @1484360
     /* 1484360 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1484457), // Rule ID 24567 //
     /* 1484365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1484376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1484379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1484382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484415 */     // MIs[1] Operand 1
     /* 1484415 */     // No operand predicates
     /* 1484415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484419 */     // MIs[0] policy
     /* 1484419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484431 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1484434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484456 */     // GIR_Coverage, 24567,
     /* 1484456 */     GIR_EraseRootFromParent_Done,
     /* 1484457 */   // Label 20724: @1484457
     /* 1484457 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1484554), // Rule ID 24570 //
     /* 1484462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1484473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1484476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1484479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484512 */     // MIs[1] Operand 1
     /* 1484512 */     // No operand predicates
     /* 1484512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484516 */     // MIs[0] policy
     /* 1484516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484528 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1484531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484553 */     // GIR_Coverage, 24570,
     /* 1484553 */     GIR_EraseRootFromParent_Done,
     /* 1484554 */   // Label 20725: @1484554
     /* 1484554 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1484651), // Rule ID 24571 //
     /* 1484559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1484570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1484573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1484576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484609 */     // MIs[1] Operand 1
     /* 1484609 */     // No operand predicates
     /* 1484609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484613 */     // MIs[0] policy
     /* 1484613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484625 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1484628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484650 */     // GIR_Coverage, 24571,
     /* 1484650 */     GIR_EraseRootFromParent_Done,
     /* 1484651 */   // Label 20726: @1484651
     /* 1484651 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1484748), // Rule ID 24574 //
     /* 1484656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1484667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1484670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1484673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484706 */     // MIs[1] Operand 1
     /* 1484706 */     // No operand predicates
     /* 1484706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484710 */     // MIs[0] policy
     /* 1484710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484722 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484747 */     // GIR_Coverage, 24574,
     /* 1484747 */     GIR_EraseRootFromParent_Done,
     /* 1484748 */   // Label 20727: @1484748
     /* 1484748 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1484845), // Rule ID 24575 //
     /* 1484753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1484764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1484767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1484770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484803 */     // MIs[1] Operand 1
     /* 1484803 */     // No operand predicates
     /* 1484803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484807 */     // MIs[0] policy
     /* 1484807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484819 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484844 */     // GIR_Coverage, 24575,
     /* 1484844 */     GIR_EraseRootFromParent_Done,
     /* 1484845 */   // Label 20728: @1484845
     /* 1484845 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1484942), // Rule ID 24578 //
     /* 1484850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484900 */     // MIs[1] Operand 1
     /* 1484900 */     // No operand predicates
     /* 1484900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484904 */     // MIs[0] policy
     /* 1484904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484916 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1484919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484941 */     // GIR_Coverage, 24578,
     /* 1484941 */     GIR_EraseRootFromParent_Done,
     /* 1484942 */   // Label 20729: @1484942
     /* 1484942 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1485039), // Rule ID 24579 //
     /* 1484947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484997 */     // MIs[1] Operand 1
     /* 1484997 */     // No operand predicates
     /* 1484997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485001 */     // MIs[0] policy
     /* 1485001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485013 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1485016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485038 */     // GIR_Coverage, 24579,
     /* 1485038 */     GIR_EraseRootFromParent_Done,
     /* 1485039 */   // Label 20730: @1485039
     /* 1485039 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1485136), // Rule ID 24582 //
     /* 1485044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485094 */     // MIs[1] Operand 1
     /* 1485094 */     // No operand predicates
     /* 1485094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485098 */     // MIs[0] policy
     /* 1485098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1485113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485135 */     // GIR_Coverage, 24582,
     /* 1485135 */     GIR_EraseRootFromParent_Done,
     /* 1485136 */   // Label 20731: @1485136
     /* 1485136 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1485233), // Rule ID 24583 //
     /* 1485141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485191 */     // MIs[1] Operand 1
     /* 1485191 */     // No operand predicates
     /* 1485191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485195 */     // MIs[0] policy
     /* 1485195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485207 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1485210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485232 */     // GIR_Coverage, 24583,
     /* 1485232 */     GIR_EraseRootFromParent_Done,
     /* 1485233 */   // Label 20732: @1485233
     /* 1485233 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1485330), // Rule ID 24586 //
     /* 1485238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1485249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1485252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1485255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485288 */     // MIs[1] Operand 1
     /* 1485288 */     // No operand predicates
     /* 1485288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485292 */     // MIs[0] policy
     /* 1485292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1485307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485329 */     // GIR_Coverage, 24586,
     /* 1485329 */     GIR_EraseRootFromParent_Done,
     /* 1485330 */   // Label 20733: @1485330
     /* 1485330 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1485427), // Rule ID 24587 //
     /* 1485335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1485346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1485349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1485352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485385 */     // MIs[1] Operand 1
     /* 1485385 */     // No operand predicates
     /* 1485385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485389 */     // MIs[0] policy
     /* 1485389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1485404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485426 */     // GIR_Coverage, 24587,
     /* 1485426 */     GIR_EraseRootFromParent_Done,
     /* 1485427 */   // Label 20734: @1485427
     /* 1485427 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1485524), // Rule ID 24590 //
     /* 1485432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1485443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1485446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1485449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485482 */     // MIs[1] Operand 1
     /* 1485482 */     // No operand predicates
     /* 1485482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485486 */     // MIs[0] policy
     /* 1485486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1485501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485523 */     // GIR_Coverage, 24590,
     /* 1485523 */     GIR_EraseRootFromParent_Done,
     /* 1485524 */   // Label 20735: @1485524
     /* 1485524 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1485621), // Rule ID 24591 //
     /* 1485529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1485540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1485543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1485546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485579 */     // MIs[1] Operand 1
     /* 1485579 */     // No operand predicates
     /* 1485579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485583 */     // MIs[0] policy
     /* 1485583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485595 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1485598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485620 */     // GIR_Coverage, 24591,
     /* 1485620 */     GIR_EraseRootFromParent_Done,
     /* 1485621 */   // Label 20736: @1485621
     /* 1485621 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1485718), // Rule ID 24594 //
     /* 1485626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1485637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1485640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1485643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485676 */     // MIs[1] Operand 1
     /* 1485676 */     // No operand predicates
     /* 1485676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485680 */     // MIs[0] policy
     /* 1485680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1485695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485717 */     // GIR_Coverage, 24594,
     /* 1485717 */     GIR_EraseRootFromParent_Done,
     /* 1485718 */   // Label 20737: @1485718
     /* 1485718 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1485815), // Rule ID 24595 //
     /* 1485723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1485734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1485737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1485740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485773 */     // MIs[1] Operand 1
     /* 1485773 */     // No operand predicates
     /* 1485773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485777 */     // MIs[0] policy
     /* 1485777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1485792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485814 */     // GIR_Coverage, 24595,
     /* 1485814 */     GIR_EraseRootFromParent_Done,
     /* 1485815 */   // Label 20738: @1485815
     /* 1485815 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1485912), // Rule ID 24598 //
     /* 1485820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1485831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1485834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1485837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485870 */     // MIs[1] Operand 1
     /* 1485870 */     // No operand predicates
     /* 1485870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485874 */     // MIs[0] policy
     /* 1485874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1485889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485911 */     // GIR_Coverage, 24598,
     /* 1485911 */     GIR_EraseRootFromParent_Done,
     /* 1485912 */   // Label 20739: @1485912
     /* 1485912 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1486009), // Rule ID 24599 //
     /* 1485917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1485928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1485931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1485934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485967 */     // MIs[1] Operand 1
     /* 1485967 */     // No operand predicates
     /* 1485967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485971 */     // MIs[0] policy
     /* 1485971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1485986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486008 */     // GIR_Coverage, 24599,
     /* 1486008 */     GIR_EraseRootFromParent_Done,
     /* 1486009 */   // Label 20740: @1486009
     /* 1486009 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1486106), // Rule ID 24602 //
     /* 1486014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1486017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1486025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1486028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1486031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486064 */     // MIs[1] Operand 1
     /* 1486064 */     // No operand predicates
     /* 1486064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486068 */     // MIs[0] policy
     /* 1486068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486105 */     // GIR_Coverage, 24602,
     /* 1486105 */     GIR_EraseRootFromParent_Done,
     /* 1486106 */   // Label 20741: @1486106
     /* 1486106 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1486203), // Rule ID 24603 //
     /* 1486111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1486114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1486122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1486125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1486128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486161 */     // MIs[1] Operand 1
     /* 1486161 */     // No operand predicates
     /* 1486161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486165 */     // MIs[0] policy
     /* 1486165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486177 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1486180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486202 */     // GIR_Coverage, 24603,
     /* 1486202 */     GIR_EraseRootFromParent_Done,
     /* 1486203 */   // Label 20742: @1486203
     /* 1486203 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1486300), // Rule ID 24606 //
     /* 1486208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1486219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1486222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1486225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486258 */     // MIs[1] Operand 1
     /* 1486258 */     // No operand predicates
     /* 1486258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486262 */     // MIs[0] policy
     /* 1486262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486274 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486299 */     // GIR_Coverage, 24606,
     /* 1486299 */     GIR_EraseRootFromParent_Done,
     /* 1486300 */   // Label 20743: @1486300
     /* 1486300 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1486397), // Rule ID 24607 //
     /* 1486305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1486316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1486319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1486322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486355 */     // MIs[1] Operand 1
     /* 1486355 */     // No operand predicates
     /* 1486355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486359 */     // MIs[0] policy
     /* 1486359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486396 */     // GIR_Coverage, 24607,
     /* 1486396 */     GIR_EraseRootFromParent_Done,
     /* 1486397 */   // Label 20744: @1486397
     /* 1486397 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1486494), // Rule ID 24610 //
     /* 1486402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1486413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1486416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486452 */     // MIs[1] Operand 1
     /* 1486452 */     // No operand predicates
     /* 1486452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486456 */     // MIs[0] policy
     /* 1486456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486468 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486493 */     // GIR_Coverage, 24610,
     /* 1486493 */     GIR_EraseRootFromParent_Done,
     /* 1486494 */   // Label 20745: @1486494
     /* 1486494 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1486591), // Rule ID 24611 //
     /* 1486499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1486510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1486513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486549 */     // MIs[1] Operand 1
     /* 1486549 */     // No operand predicates
     /* 1486549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486553 */     // MIs[0] policy
     /* 1486553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486565 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1486568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486590 */     // GIR_Coverage, 24611,
     /* 1486590 */     GIR_EraseRootFromParent_Done,
     /* 1486591 */   // Label 20746: @1486591
     /* 1486591 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1486688), // Rule ID 24614 //
     /* 1486596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1486607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1486610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1486613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1486619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486646 */     // MIs[1] Operand 1
     /* 1486646 */     // No operand predicates
     /* 1486646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486650 */     // MIs[0] policy
     /* 1486650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486662 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486687 */     // GIR_Coverage, 24614,
     /* 1486687 */     GIR_EraseRootFromParent_Done,
     /* 1486688 */   // Label 20747: @1486688
     /* 1486688 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1486785), // Rule ID 24615 //
     /* 1486693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1486704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1486707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1486710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1486716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486743 */     // MIs[1] Operand 1
     /* 1486743 */     // No operand predicates
     /* 1486743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486747 */     // MIs[0] policy
     /* 1486747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1486762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486784 */     // GIR_Coverage, 24615,
     /* 1486784 */     GIR_EraseRootFromParent_Done,
     /* 1486785 */   // Label 20748: @1486785
     /* 1486785 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1486882), // Rule ID 24618 //
     /* 1486790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486840 */     // MIs[1] Operand 1
     /* 1486840 */     // No operand predicates
     /* 1486840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486844 */     // MIs[0] policy
     /* 1486844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486856 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486881 */     // GIR_Coverage, 24618,
     /* 1486881 */     GIR_EraseRootFromParent_Done,
     /* 1486882 */   // Label 20749: @1486882
     /* 1486882 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1486979), // Rule ID 24619 //
     /* 1486887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486937 */     // MIs[1] Operand 1
     /* 1486937 */     // No operand predicates
     /* 1486937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486941 */     // MIs[0] policy
     /* 1486941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1486956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486978 */     // GIR_Coverage, 24619,
     /* 1486978 */     GIR_EraseRootFromParent_Done,
     /* 1486979 */   // Label 20750: @1486979
     /* 1486979 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1487076), // Rule ID 24622 //
     /* 1486984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1486992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487034 */     // MIs[1] Operand 1
     /* 1487034 */     // No operand predicates
     /* 1487034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487038 */     // MIs[0] policy
     /* 1487038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487050 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1487053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487075 */     // GIR_Coverage, 24622,
     /* 1487075 */     GIR_EraseRootFromParent_Done,
     /* 1487076 */   // Label 20751: @1487076
     /* 1487076 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1487173), // Rule ID 24623 //
     /* 1487081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487131 */     // MIs[1] Operand 1
     /* 1487131 */     // No operand predicates
     /* 1487131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487135 */     // MIs[0] policy
     /* 1487135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1487150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487172 */     // GIR_Coverage, 24623,
     /* 1487172 */     GIR_EraseRootFromParent_Done,
     /* 1487173 */   // Label 20752: @1487173
     /* 1487173 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1487270), // Rule ID 24626 //
     /* 1487178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487228 */     // MIs[1] Operand 1
     /* 1487228 */     // No operand predicates
     /* 1487228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487232 */     // MIs[0] policy
     /* 1487232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487269 */     // GIR_Coverage, 24626,
     /* 1487269 */     GIR_EraseRootFromParent_Done,
     /* 1487270 */   // Label 20753: @1487270
     /* 1487270 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1487367), // Rule ID 24627 //
     /* 1487275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487325 */     // MIs[1] Operand 1
     /* 1487325 */     // No operand predicates
     /* 1487325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487329 */     // MIs[0] policy
     /* 1487329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487341 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487366 */     // GIR_Coverage, 24627,
     /* 1487366 */     GIR_EraseRootFromParent_Done,
     /* 1487367 */   // Label 20754: @1487367
     /* 1487367 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1487464), // Rule ID 24630 //
     /* 1487372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487422 */     // MIs[1] Operand 1
     /* 1487422 */     // No operand predicates
     /* 1487422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487426 */     // MIs[0] policy
     /* 1487426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1487441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487463 */     // GIR_Coverage, 24630,
     /* 1487463 */     GIR_EraseRootFromParent_Done,
     /* 1487464 */   // Label 20755: @1487464
     /* 1487464 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1487561), // Rule ID 24631 //
     /* 1487469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487519 */     // MIs[1] Operand 1
     /* 1487519 */     // No operand predicates
     /* 1487519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487523 */     // MIs[0] policy
     /* 1487523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487535 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1487538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487560 */     // GIR_Coverage, 24631,
     /* 1487560 */     GIR_EraseRootFromParent_Done,
     /* 1487561 */   // Label 20756: @1487561
     /* 1487561 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1487658), // Rule ID 24634 //
     /* 1487566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487616 */     // MIs[1] Operand 1
     /* 1487616 */     // No operand predicates
     /* 1487616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487620 */     // MIs[0] policy
     /* 1487620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1487635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487657 */     // GIR_Coverage, 24634,
     /* 1487657 */     GIR_EraseRootFromParent_Done,
     /* 1487658 */   // Label 20757: @1487658
     /* 1487658 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1487755), // Rule ID 24635 //
     /* 1487663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487713 */     // MIs[1] Operand 1
     /* 1487713 */     // No operand predicates
     /* 1487713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487717 */     // MIs[0] policy
     /* 1487717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487729 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1487732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487754 */     // GIR_Coverage, 24635,
     /* 1487754 */     GIR_EraseRootFromParent_Done,
     /* 1487755 */   // Label 20758: @1487755
     /* 1487755 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1487852), // Rule ID 24638 //
     /* 1487760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1487777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487810 */     // MIs[1] Operand 1
     /* 1487810 */     // No operand predicates
     /* 1487810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487814 */     // MIs[0] policy
     /* 1487814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487851 */     // GIR_Coverage, 24638,
     /* 1487851 */     GIR_EraseRootFromParent_Done,
     /* 1487852 */   // Label 20759: @1487852
     /* 1487852 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1487949), // Rule ID 24639 //
     /* 1487857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1487874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487907 */     // MIs[1] Operand 1
     /* 1487907 */     // No operand predicates
     /* 1487907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487911 */     // MIs[0] policy
     /* 1487911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1487926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487948 */     // GIR_Coverage, 24639,
     /* 1487948 */     GIR_EraseRootFromParent_Done,
     /* 1487949 */   // Label 20760: @1487949
     /* 1487949 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1488046), // Rule ID 24642 //
     /* 1487954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1487957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1487962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1487965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1487968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1487971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488004 */     // MIs[1] Operand 1
     /* 1488004 */     // No operand predicates
     /* 1488004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488008 */     // MIs[0] policy
     /* 1488008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488020 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1488023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488045 */     // GIR_Coverage, 24642,
     /* 1488045 */     GIR_EraseRootFromParent_Done,
     /* 1488046 */   // Label 20761: @1488046
     /* 1488046 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1488143), // Rule ID 24643 //
     /* 1488051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1488062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1488065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1488068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488101 */     // MIs[1] Operand 1
     /* 1488101 */     // No operand predicates
     /* 1488101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488105 */     // MIs[0] policy
     /* 1488105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1488120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488142 */     // GIR_Coverage, 24643,
     /* 1488142 */     GIR_EraseRootFromParent_Done,
     /* 1488143 */   // Label 20762: @1488143
     /* 1488143 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1488240), // Rule ID 24646 //
     /* 1488148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1488151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1488165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488198 */     // MIs[1] Operand 1
     /* 1488198 */     // No operand predicates
     /* 1488198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488202 */     // MIs[0] policy
     /* 1488202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1488217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488239 */     // GIR_Coverage, 24646,
     /* 1488239 */     GIR_EraseRootFromParent_Done,
     /* 1488240 */   // Label 20763: @1488240
     /* 1488240 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1488337), // Rule ID 24647 //
     /* 1488245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1488262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488295 */     // MIs[1] Operand 1
     /* 1488295 */     // No operand predicates
     /* 1488295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488299 */     // MIs[0] policy
     /* 1488299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1488314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488336 */     // GIR_Coverage, 24647,
     /* 1488336 */     GIR_EraseRootFromParent_Done,
     /* 1488337 */   // Label 20764: @1488337
     /* 1488337 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1488434), // Rule ID 24650 //
     /* 1488342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1488345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488392 */     // MIs[1] Operand 1
     /* 1488392 */     // No operand predicates
     /* 1488392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488396 */     // MIs[0] policy
     /* 1488396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1488411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488433 */     // GIR_Coverage, 24650,
     /* 1488433 */     GIR_EraseRootFromParent_Done,
     /* 1488434 */   // Label 20765: @1488434
     /* 1488434 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1488531), // Rule ID 24651 //
     /* 1488439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488489 */     // MIs[1] Operand 1
     /* 1488489 */     // No operand predicates
     /* 1488489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488493 */     // MIs[0] policy
     /* 1488493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1488508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488530 */     // GIR_Coverage, 24651,
     /* 1488530 */     GIR_EraseRootFromParent_Done,
     /* 1488531 */   // Label 20766: @1488531
     /* 1488531 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1488628), // Rule ID 24810 //
     /* 1488536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1488539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1488553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488586 */     // MIs[1] Operand 1
     /* 1488586 */     // No operand predicates
     /* 1488586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488590 */     // MIs[0] policy
     /* 1488590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488602 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1488605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488627 */     // GIR_Coverage, 24810,
     /* 1488627 */     GIR_EraseRootFromParent_Done,
     /* 1488628 */   // Label 20767: @1488628
     /* 1488628 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1488725), // Rule ID 24811 //
     /* 1488633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1488636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1488650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488683 */     // MIs[1] Operand 1
     /* 1488683 */     // No operand predicates
     /* 1488683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488687 */     // MIs[0] policy
     /* 1488687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488699 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1488702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488724 */     // GIR_Coverage, 24811,
     /* 1488724 */     GIR_EraseRootFromParent_Done,
     /* 1488725 */   // Label 20768: @1488725
     /* 1488725 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1488822), // Rule ID 24814 //
     /* 1488730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1488733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488780 */     // MIs[1] Operand 1
     /* 1488780 */     // No operand predicates
     /* 1488780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488784 */     // MIs[0] policy
     /* 1488784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488821 */     // GIR_Coverage, 24814,
     /* 1488821 */     GIR_EraseRootFromParent_Done,
     /* 1488822 */   // Label 20769: @1488822
     /* 1488822 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1488919), // Rule ID 24815 //
     /* 1488827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1488830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488877 */     // MIs[1] Operand 1
     /* 1488877 */     // No operand predicates
     /* 1488877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488881 */     // MIs[0] policy
     /* 1488881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488893 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488918 */     // GIR_Coverage, 24815,
     /* 1488918 */     GIR_EraseRootFromParent_Done,
     /* 1488919 */   // Label 20770: @1488919
     /* 1488919 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1489016), // Rule ID 24818 //
     /* 1488924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1488927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1488932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1488935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1488938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1488941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488974 */     // MIs[1] Operand 1
     /* 1488974 */     // No operand predicates
     /* 1488974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488978 */     // MIs[0] policy
     /* 1488978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488990 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1488993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489015 */     // GIR_Coverage, 24818,
     /* 1489015 */     GIR_EraseRootFromParent_Done,
     /* 1489016 */   // Label 20771: @1489016
     /* 1489016 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1489113), // Rule ID 24819 //
     /* 1489021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1489024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1489038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489071 */     // MIs[1] Operand 1
     /* 1489071 */     // No operand predicates
     /* 1489071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489075 */     // MIs[0] policy
     /* 1489075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489087 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1489090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489112 */     // GIR_Coverage, 24819,
     /* 1489112 */     GIR_EraseRootFromParent_Done,
     /* 1489113 */   // Label 20772: @1489113
     /* 1489113 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1489210), // Rule ID 24822 //
     /* 1489118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1489121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489168 */     // MIs[1] Operand 1
     /* 1489168 */     // No operand predicates
     /* 1489168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489172 */     // MIs[0] policy
     /* 1489172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489184 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489209 */     // GIR_Coverage, 24822,
     /* 1489209 */     GIR_EraseRootFromParent_Done,
     /* 1489210 */   // Label 20773: @1489210
     /* 1489210 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1489307), // Rule ID 24823 //
     /* 1489215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1489218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489265 */     // MIs[1] Operand 1
     /* 1489265 */     // No operand predicates
     /* 1489265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489269 */     // MIs[0] policy
     /* 1489269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489281 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489306 */     // GIR_Coverage, 24823,
     /* 1489306 */     GIR_EraseRootFromParent_Done,
     /* 1489307 */   // Label 20774: @1489307
     /* 1489307 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1489404), // Rule ID 24826 //
     /* 1489312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1489315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489362 */     // MIs[1] Operand 1
     /* 1489362 */     // No operand predicates
     /* 1489362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489366 */     // MIs[0] policy
     /* 1489366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489403 */     // GIR_Coverage, 24826,
     /* 1489403 */     GIR_EraseRootFromParent_Done,
     /* 1489404 */   // Label 20775: @1489404
     /* 1489404 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1489501), // Rule ID 24827 //
     /* 1489409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1489412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1489420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1489423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1489426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489459 */     // MIs[1] Operand 1
     /* 1489459 */     // No operand predicates
     /* 1489459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489463 */     // MIs[0] policy
     /* 1489463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489475 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489500 */     // GIR_Coverage, 24827,
     /* 1489500 */     GIR_EraseRootFromParent_Done,
     /* 1489501 */   // Label 20776: @1489501
     /* 1489501 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1489598), // Rule ID 24830 //
     /* 1489506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1489509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1489523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489556 */     // MIs[1] Operand 1
     /* 1489556 */     // No operand predicates
     /* 1489556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489560 */     // MIs[0] policy
     /* 1489560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489572 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489597 */     // GIR_Coverage, 24830,
     /* 1489597 */     GIR_EraseRootFromParent_Done,
     /* 1489598 */   // Label 20777: @1489598
     /* 1489598 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1489695), // Rule ID 24831 //
     /* 1489603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1489606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1489614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1489617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1489620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489653 */     // MIs[1] Operand 1
     /* 1489653 */     // No operand predicates
     /* 1489653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489657 */     // MIs[0] policy
     /* 1489657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489669 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1489672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489694 */     // GIR_Coverage, 24831,
     /* 1489694 */     GIR_EraseRootFromParent_Done,
     /* 1489695 */   // Label 20778: @1489695
     /* 1489695 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1489792), // Rule ID 24834 //
     /* 1489700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1489703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1489717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489750 */     // MIs[1] Operand 1
     /* 1489750 */     // No operand predicates
     /* 1489750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489754 */     // MIs[0] policy
     /* 1489754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489766 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489791 */     // GIR_Coverage, 24834,
     /* 1489791 */     GIR_EraseRootFromParent_Done,
     /* 1489792 */   // Label 20779: @1489792
     /* 1489792 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1489889), // Rule ID 24835 //
     /* 1489797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1489800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1489808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1489811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1489814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489847 */     // MIs[1] Operand 1
     /* 1489847 */     // No operand predicates
     /* 1489847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489851 */     // MIs[0] policy
     /* 1489851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489863 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1489866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489888 */     // GIR_Coverage, 24835,
     /* 1489888 */     GIR_EraseRootFromParent_Done,
     /* 1489889 */   // Label 20780: @1489889
     /* 1489889 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1489986), // Rule ID 24838 //
     /* 1489894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1489897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1489905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1489908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1489911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489944 */     // MIs[1] Operand 1
     /* 1489944 */     // No operand predicates
     /* 1489944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489948 */     // MIs[0] policy
     /* 1489948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489960 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1489963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489985 */     // GIR_Coverage, 24838,
     /* 1489985 */     GIR_EraseRootFromParent_Done,
     /* 1489986 */   // Label 20781: @1489986
     /* 1489986 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1490083), // Rule ID 24839 //
     /* 1489991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1489994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1489999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490041 */     // MIs[1] Operand 1
     /* 1490041 */     // No operand predicates
     /* 1490041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490045 */     // MIs[0] policy
     /* 1490045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490057 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1490060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490082 */     // GIR_Coverage, 24839,
     /* 1490082 */     GIR_EraseRootFromParent_Done,
     /* 1490083 */   // Label 20782: @1490083
     /* 1490083 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1490180), // Rule ID 24842 //
     /* 1490088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490138 */     // MIs[1] Operand 1
     /* 1490138 */     // No operand predicates
     /* 1490138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490142 */     // MIs[0] policy
     /* 1490142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490154 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490179 */     // GIR_Coverage, 24842,
     /* 1490179 */     GIR_EraseRootFromParent_Done,
     /* 1490180 */   // Label 20783: @1490180
     /* 1490180 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1490277), // Rule ID 24843 //
     /* 1490185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490235 */     // MIs[1] Operand 1
     /* 1490235 */     // No operand predicates
     /* 1490235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490239 */     // MIs[0] policy
     /* 1490239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490251 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1490254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490276 */     // GIR_Coverage, 24843,
     /* 1490276 */     GIR_EraseRootFromParent_Done,
     /* 1490277 */   // Label 20784: @1490277
     /* 1490277 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1490374), // Rule ID 24894 //
     /* 1490282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1490285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490332 */     // MIs[1] Operand 1
     /* 1490332 */     // No operand predicates
     /* 1490332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490336 */     // MIs[0] policy
     /* 1490336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490348 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1490351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490373 */     // GIR_Coverage, 24894,
     /* 1490373 */     GIR_EraseRootFromParent_Done,
     /* 1490374 */   // Label 20785: @1490374
     /* 1490374 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1490471), // Rule ID 24895 //
     /* 1490379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1490382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1490396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490429 */     // MIs[1] Operand 1
     /* 1490429 */     // No operand predicates
     /* 1490429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490433 */     // MIs[0] policy
     /* 1490433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490445 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1490448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490470 */     // GIR_Coverage, 24895,
     /* 1490470 */     GIR_EraseRootFromParent_Done,
     /* 1490471 */   // Label 20786: @1490471
     /* 1490471 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1490568), // Rule ID 24898 //
     /* 1490476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1490479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490526 */     // MIs[1] Operand 1
     /* 1490526 */     // No operand predicates
     /* 1490526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490530 */     // MIs[0] policy
     /* 1490530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490542 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1490545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490567 */     // GIR_Coverage, 24898,
     /* 1490567 */     GIR_EraseRootFromParent_Done,
     /* 1490568 */   // Label 20787: @1490568
     /* 1490568 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1490665), // Rule ID 24899 //
     /* 1490573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1490576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1490584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1490587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1490590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490623 */     // MIs[1] Operand 1
     /* 1490623 */     // No operand predicates
     /* 1490623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490627 */     // MIs[0] policy
     /* 1490627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490639 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1490642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490664 */     // GIR_Coverage, 24899,
     /* 1490664 */     GIR_EraseRootFromParent_Done,
     /* 1490665 */   // Label 20788: @1490665
     /* 1490665 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1490762), // Rule ID 24902 //
     /* 1490670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1490673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1490681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1490684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1490687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490720 */     // MIs[1] Operand 1
     /* 1490720 */     // No operand predicates
     /* 1490720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490724 */     // MIs[0] policy
     /* 1490724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1490739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490761 */     // GIR_Coverage, 24902,
     /* 1490761 */     GIR_EraseRootFromParent_Done,
     /* 1490762 */   // Label 20789: @1490762
     /* 1490762 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1490859), // Rule ID 24903 //
     /* 1490767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1490770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1490778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1490781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1490784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490817 */     // MIs[1] Operand 1
     /* 1490817 */     // No operand predicates
     /* 1490817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490821 */     // MIs[0] policy
     /* 1490821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490833 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1490836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490858 */     // GIR_Coverage, 24903,
     /* 1490858 */     GIR_EraseRootFromParent_Done,
     /* 1490859 */   // Label 20790: @1490859
     /* 1490859 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1490956), // Rule ID 24906 //
     /* 1490864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1490867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1490875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1490878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1490881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490914 */     // MIs[1] Operand 1
     /* 1490914 */     // No operand predicates
     /* 1490914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490918 */     // MIs[0] policy
     /* 1490918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490930 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1490933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490955 */     // GIR_Coverage, 24906,
     /* 1490955 */     GIR_EraseRootFromParent_Done,
     /* 1490956 */   // Label 20791: @1490956
     /* 1490956 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1491053), // Rule ID 24907 //
     /* 1490961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1490964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1490969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1490972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1490975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1490978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491011 */     // MIs[1] Operand 1
     /* 1491011 */     // No operand predicates
     /* 1491011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491015 */     // MIs[0] policy
     /* 1491015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491027 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1491030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491052 */     // GIR_Coverage, 24907,
     /* 1491052 */     GIR_EraseRootFromParent_Done,
     /* 1491053 */   // Label 20792: @1491053
     /* 1491053 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1491150), // Rule ID 24910 //
     /* 1491058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1491061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1491069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1491072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1491075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491108 */     // MIs[1] Operand 1
     /* 1491108 */     // No operand predicates
     /* 1491108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491112 */     // MIs[0] policy
     /* 1491112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491124 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1491127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491149 */     // GIR_Coverage, 24910,
     /* 1491149 */     GIR_EraseRootFromParent_Done,
     /* 1491150 */   // Label 20793: @1491150
     /* 1491150 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1491247), // Rule ID 24911 //
     /* 1491155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1491158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1491166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1491169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1491172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491205 */     // MIs[1] Operand 1
     /* 1491205 */     // No operand predicates
     /* 1491205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491209 */     // MIs[0] policy
     /* 1491209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491221 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1491224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491246 */     // GIR_Coverage, 24911,
     /* 1491246 */     GIR_EraseRootFromParent_Done,
     /* 1491247 */   // Label 20794: @1491247
     /* 1491247 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1491344), // Rule ID 24914 //
     /* 1491252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1491255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1491263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1491266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1491269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491302 */     // MIs[1] Operand 1
     /* 1491302 */     // No operand predicates
     /* 1491302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491306 */     // MIs[0] policy
     /* 1491306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1491321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491343 */     // GIR_Coverage, 24914,
     /* 1491343 */     GIR_EraseRootFromParent_Done,
     /* 1491344 */   // Label 20795: @1491344
     /* 1491344 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1491441), // Rule ID 24915 //
     /* 1491349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1491352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1491360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1491363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1491366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491399 */     // MIs[1] Operand 1
     /* 1491399 */     // No operand predicates
     /* 1491399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491403 */     // MIs[0] policy
     /* 1491403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491415 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1491418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491440 */     // GIR_Coverage, 24915,
     /* 1491440 */     GIR_EraseRootFromParent_Done,
     /* 1491441 */   // Label 20796: @1491441
     /* 1491441 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1491538), // Rule ID 60926 //
     /* 1491446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1491449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1491454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1491463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491496 */     // MIs[1] Operand 1
     /* 1491496 */     // No operand predicates
     /* 1491496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491500 */     // MIs[0] policy
     /* 1491500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1491515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491537 */     // GIR_Coverage, 60926,
     /* 1491537 */     GIR_EraseRootFromParent_Done,
     /* 1491538 */   // Label 20797: @1491538
     /* 1491538 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1491635), // Rule ID 60927 //
     /* 1491543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1491546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1491551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1491560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491593 */     // MIs[1] Operand 1
     /* 1491593 */     // No operand predicates
     /* 1491593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491597 */     // MIs[0] policy
     /* 1491597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1491612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491634 */     // GIR_Coverage, 60927,
     /* 1491634 */     GIR_EraseRootFromParent_Done,
     /* 1491635 */   // Label 20798: @1491635
     /* 1491635 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1491732), // Rule ID 60934 //
     /* 1491640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1491643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1491648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1491657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491690 */     // MIs[1] Operand 1
     /* 1491690 */     // No operand predicates
     /* 1491690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491694 */     // MIs[0] policy
     /* 1491694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1491709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491731 */     // GIR_Coverage, 60934,
     /* 1491731 */     GIR_EraseRootFromParent_Done,
     /* 1491732 */   // Label 20799: @1491732
     /* 1491732 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1491829), // Rule ID 60935 //
     /* 1491737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1491740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1491745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1491754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491787 */     // MIs[1] Operand 1
     /* 1491787 */     // No operand predicates
     /* 1491787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491791 */     // MIs[0] policy
     /* 1491791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1491806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491828 */     // GIR_Coverage, 60935,
     /* 1491828 */     GIR_EraseRootFromParent_Done,
     /* 1491829 */   // Label 20800: @1491829
     /* 1491829 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1491926), // Rule ID 60942 //
     /* 1491834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1491837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1491842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1491851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491884 */     // MIs[1] Operand 1
     /* 1491884 */     // No operand predicates
     /* 1491884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491888 */     // MIs[0] policy
     /* 1491888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491900 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1491903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491925 */     // GIR_Coverage, 60942,
     /* 1491925 */     GIR_EraseRootFromParent_Done,
     /* 1491926 */   // Label 20801: @1491926
     /* 1491926 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1492023), // Rule ID 60943 //
     /* 1491931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1491934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1491939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1491948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491981 */     // MIs[1] Operand 1
     /* 1491981 */     // No operand predicates
     /* 1491981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491985 */     // MIs[0] policy
     /* 1491985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1492000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492022 */     // GIR_Coverage, 60943,
     /* 1492022 */     GIR_EraseRootFromParent_Done,
     /* 1492023 */   // Label 20802: @1492023
     /* 1492023 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1492120), // Rule ID 60950 //
     /* 1492028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1492031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1492045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492078 */     // MIs[1] Operand 1
     /* 1492078 */     // No operand predicates
     /* 1492078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492082 */     // MIs[0] policy
     /* 1492082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1492097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492119 */     // GIR_Coverage, 60950,
     /* 1492119 */     GIR_EraseRootFromParent_Done,
     /* 1492120 */   // Label 20803: @1492120
     /* 1492120 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1492217), // Rule ID 60951 //
     /* 1492125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1492128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1492142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492175 */     // MIs[1] Operand 1
     /* 1492175 */     // No operand predicates
     /* 1492175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492179 */     // MIs[0] policy
     /* 1492179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492191 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1492194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492216 */     // GIR_Coverage, 60951,
     /* 1492216 */     GIR_EraseRootFromParent_Done,
     /* 1492217 */   // Label 20804: @1492217
     /* 1492217 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1492314), // Rule ID 60958 //
     /* 1492222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1492225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1492239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492272 */     // MIs[1] Operand 1
     /* 1492272 */     // No operand predicates
     /* 1492272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492276 */     // MIs[0] policy
     /* 1492276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1492291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492313 */     // GIR_Coverage, 60958,
     /* 1492313 */     GIR_EraseRootFromParent_Done,
     /* 1492314 */   // Label 20805: @1492314
     /* 1492314 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1492411), // Rule ID 60959 //
     /* 1492319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1492322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1492336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492369 */     // MIs[1] Operand 1
     /* 1492369 */     // No operand predicates
     /* 1492369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492373 */     // MIs[0] policy
     /* 1492373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492385 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1492388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492410 */     // GIR_Coverage, 60959,
     /* 1492410 */     GIR_EraseRootFromParent_Done,
     /* 1492411 */   // Label 20806: @1492411
     /* 1492411 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1492508), // Rule ID 60966 //
     /* 1492416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1492419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492466 */     // MIs[1] Operand 1
     /* 1492466 */     // No operand predicates
     /* 1492466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492470 */     // MIs[0] policy
     /* 1492470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1492485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492507 */     // GIR_Coverage, 60966,
     /* 1492507 */     GIR_EraseRootFromParent_Done,
     /* 1492508 */   // Label 20807: @1492508
     /* 1492508 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1492605), // Rule ID 60967 //
     /* 1492513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1492516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1492530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1492536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492563 */     // MIs[1] Operand 1
     /* 1492563 */     // No operand predicates
     /* 1492563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492567 */     // MIs[0] policy
     /* 1492567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492579 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1492582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492604 */     // GIR_Coverage, 60967,
     /* 1492604 */     GIR_EraseRootFromParent_Done,
     /* 1492605 */   // Label 20808: @1492605
     /* 1492605 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1492702), // Rule ID 60974 //
     /* 1492610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1492613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1492621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1492624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492660 */     // MIs[1] Operand 1
     /* 1492660 */     // No operand predicates
     /* 1492660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492664 */     // MIs[0] policy
     /* 1492664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1492679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492701 */     // GIR_Coverage, 60974,
     /* 1492701 */     GIR_EraseRootFromParent_Done,
     /* 1492702 */   // Label 20809: @1492702
     /* 1492702 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1492799), // Rule ID 60975 //
     /* 1492707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1492710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1492718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1492721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492757 */     // MIs[1] Operand 1
     /* 1492757 */     // No operand predicates
     /* 1492757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492761 */     // MIs[0] policy
     /* 1492761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492773 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1492776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492798 */     // GIR_Coverage, 60975,
     /* 1492798 */     GIR_EraseRootFromParent_Done,
     /* 1492799 */   // Label 20810: @1492799
     /* 1492799 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1492896), // Rule ID 60982 //
     /* 1492804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1492807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1492815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1492818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1492821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492854 */     // MIs[1] Operand 1
     /* 1492854 */     // No operand predicates
     /* 1492854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492858 */     // MIs[0] policy
     /* 1492858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1492873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492895 */     // GIR_Coverage, 60982,
     /* 1492895 */     GIR_EraseRootFromParent_Done,
     /* 1492896 */   // Label 20811: @1492896
     /* 1492896 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1492993), // Rule ID 60983 //
     /* 1492901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1492904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1492909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1492912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1492915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1492918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492951 */     // MIs[1] Operand 1
     /* 1492951 */     // No operand predicates
     /* 1492951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492955 */     // MIs[0] policy
     /* 1492955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492967 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1492970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492992 */     // GIR_Coverage, 60983,
     /* 1492992 */     GIR_EraseRootFromParent_Done,
     /* 1492993 */   // Label 20812: @1492993
     /* 1492993 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1493090), // Rule ID 60990 //
     /* 1492998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1493009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1493012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493048 */     // MIs[1] Operand 1
     /* 1493048 */     // No operand predicates
     /* 1493048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493052 */     // MIs[0] policy
     /* 1493052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1493067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493089 */     // GIR_Coverage, 60990,
     /* 1493089 */     GIR_EraseRootFromParent_Done,
     /* 1493090 */   // Label 20813: @1493090
     /* 1493090 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1493187), // Rule ID 60991 //
     /* 1493095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1493098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1493106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1493109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493145 */     // MIs[1] Operand 1
     /* 1493145 */     // No operand predicates
     /* 1493145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493149 */     // MIs[0] policy
     /* 1493149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1493164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493186 */     // GIR_Coverage, 60991,
     /* 1493186 */     GIR_EraseRootFromParent_Done,
     /* 1493187 */   // Label 20814: @1493187
     /* 1493187 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1493284), // Rule ID 60998 //
     /* 1493192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1493209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493242 */     // MIs[1] Operand 1
     /* 1493242 */     // No operand predicates
     /* 1493242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493246 */     // MIs[0] policy
     /* 1493246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1493261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493283 */     // GIR_Coverage, 60998,
     /* 1493283 */     GIR_EraseRootFromParent_Done,
     /* 1493284 */   // Label 20815: @1493284
     /* 1493284 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1493381), // Rule ID 60999 //
     /* 1493289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1493292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1493300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1493303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1493306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493339 */     // MIs[1] Operand 1
     /* 1493339 */     // No operand predicates
     /* 1493339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493343 */     // MIs[0] policy
     /* 1493343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1493358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493380 */     // GIR_Coverage, 60999,
     /* 1493380 */     GIR_EraseRootFromParent_Done,
     /* 1493381 */   // Label 20816: @1493381
     /* 1493381 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1493478), // Rule ID 61006 //
     /* 1493386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493436 */     // MIs[1] Operand 1
     /* 1493436 */     // No operand predicates
     /* 1493436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493440 */     // MIs[0] policy
     /* 1493440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493452 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1493455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493477 */     // GIR_Coverage, 61006,
     /* 1493477 */     GIR_EraseRootFromParent_Done,
     /* 1493478 */   // Label 20817: @1493478
     /* 1493478 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1493575), // Rule ID 61007 //
     /* 1493483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1493486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1493494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1493497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493533 */     // MIs[1] Operand 1
     /* 1493533 */     // No operand predicates
     /* 1493533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493537 */     // MIs[0] policy
     /* 1493537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1493552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493574 */     // GIR_Coverage, 61007,
     /* 1493574 */     GIR_EraseRootFromParent_Done,
     /* 1493575 */   // Label 20818: @1493575
     /* 1493575 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1493672), // Rule ID 61014 //
     /* 1493580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1493591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1493594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493630 */     // MIs[1] Operand 1
     /* 1493630 */     // No operand predicates
     /* 1493630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493634 */     // MIs[0] policy
     /* 1493634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1493649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493671 */     // GIR_Coverage, 61014,
     /* 1493671 */     GIR_EraseRootFromParent_Done,
     /* 1493672 */   // Label 20819: @1493672
     /* 1493672 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1493769), // Rule ID 61015 //
     /* 1493677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1493680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1493688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1493691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493727 */     // MIs[1] Operand 1
     /* 1493727 */     // No operand predicates
     /* 1493727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493731 */     // MIs[0] policy
     /* 1493731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1493746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493768 */     // GIR_Coverage, 61015,
     /* 1493768 */     GIR_EraseRootFromParent_Done,
     /* 1493769 */   // Label 20820: @1493769
     /* 1493769 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1493866), // Rule ID 61022 //
     /* 1493774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1493791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493824 */     // MIs[1] Operand 1
     /* 1493824 */     // No operand predicates
     /* 1493824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493828 */     // MIs[0] policy
     /* 1493828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1493843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493865 */     // GIR_Coverage, 61022,
     /* 1493865 */     GIR_EraseRootFromParent_Done,
     /* 1493866 */   // Label 20821: @1493866
     /* 1493866 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1493963), // Rule ID 61023 //
     /* 1493871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1493874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1493888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493921 */     // MIs[1] Operand 1
     /* 1493921 */     // No operand predicates
     /* 1493921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493925 */     // MIs[0] policy
     /* 1493925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1493940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493962 */     // GIR_Coverage, 61023,
     /* 1493962 */     GIR_EraseRootFromParent_Done,
     /* 1493963 */   // Label 20822: @1493963
     /* 1493963 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1494060), // Rule ID 61030 //
     /* 1493968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1493971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1493976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1493985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494018 */     // MIs[1] Operand 1
     /* 1494018 */     // No operand predicates
     /* 1494018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494022 */     // MIs[0] policy
     /* 1494022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1494037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494059 */     // GIR_Coverage, 61030,
     /* 1494059 */     GIR_EraseRootFromParent_Done,
     /* 1494060 */   // Label 20823: @1494060
     /* 1494060 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1494157), // Rule ID 61031 //
     /* 1494065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1494076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1494079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1494082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494115 */     // MIs[1] Operand 1
     /* 1494115 */     // No operand predicates
     /* 1494115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494119 */     // MIs[0] policy
     /* 1494119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1494134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494156 */     // GIR_Coverage, 61031,
     /* 1494156 */     GIR_EraseRootFromParent_Done,
     /* 1494157 */   // Label 20824: @1494157
     /* 1494157 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1494254), // Rule ID 61038 //
     /* 1494162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1494165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1494173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1494176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1494179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494212 */     // MIs[1] Operand 1
     /* 1494212 */     // No operand predicates
     /* 1494212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494216 */     // MIs[0] policy
     /* 1494216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1494231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494253 */     // GIR_Coverage, 61038,
     /* 1494253 */     GIR_EraseRootFromParent_Done,
     /* 1494254 */   // Label 20825: @1494254
     /* 1494254 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1494351), // Rule ID 61039 //
     /* 1494259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1494262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1494267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1494270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1494273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1494276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494309 */     // MIs[1] Operand 1
     /* 1494309 */     // No operand predicates
     /* 1494309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494313 */     // MIs[0] policy
     /* 1494313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494325 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1494328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494350 */     // GIR_Coverage, 61039,
     /* 1494350 */     GIR_EraseRootFromParent_Done,
     /* 1494351 */   // Label 20826: @1494351
     /* 1494351 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1494448), // Rule ID 61894 //
     /* 1494356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1494367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1494370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1494373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1494379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494406 */     // MIs[1] Operand 1
     /* 1494406 */     // No operand predicates
     /* 1494406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494410 */     // MIs[0] policy
     /* 1494410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1494425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494447 */     // GIR_Coverage, 61894,
     /* 1494447 */     GIR_EraseRootFromParent_Done,
     /* 1494448 */   // Label 20827: @1494448
     /* 1494448 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1494545), // Rule ID 61895 //
     /* 1494453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1494456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1494464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1494467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1494470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1494476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494503 */     // MIs[1] Operand 1
     /* 1494503 */     // No operand predicates
     /* 1494503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494507 */     // MIs[0] policy
     /* 1494507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494519 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1494522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494544 */     // GIR_Coverage, 61895,
     /* 1494544 */     GIR_EraseRootFromParent_Done,
     /* 1494545 */   // Label 20828: @1494545
     /* 1494545 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1494642), // Rule ID 61898 //
     /* 1494550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1494561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1494564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1494567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494600 */     // MIs[1] Operand 1
     /* 1494600 */     // No operand predicates
     /* 1494600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494604 */     // MIs[0] policy
     /* 1494604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1494619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494641 */     // GIR_Coverage, 61898,
     /* 1494641 */     GIR_EraseRootFromParent_Done,
     /* 1494642 */   // Label 20829: @1494642
     /* 1494642 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1494739), // Rule ID 61899 //
     /* 1494647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1494650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1494658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1494661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1494664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494697 */     // MIs[1] Operand 1
     /* 1494697 */     // No operand predicates
     /* 1494697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494701 */     // MIs[0] policy
     /* 1494701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494713 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1494716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494738 */     // GIR_Coverage, 61899,
     /* 1494738 */     GIR_EraseRootFromParent_Done,
     /* 1494739 */   // Label 20830: @1494739
     /* 1494739 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1494836), // Rule ID 61902 //
     /* 1494744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1494755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1494758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1494761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494794 */     // MIs[1] Operand 1
     /* 1494794 */     // No operand predicates
     /* 1494794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494798 */     // MIs[0] policy
     /* 1494798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1494813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494835 */     // GIR_Coverage, 61902,
     /* 1494835 */     GIR_EraseRootFromParent_Done,
     /* 1494836 */   // Label 20831: @1494836
     /* 1494836 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1494933), // Rule ID 61903 //
     /* 1494841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1494844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1494852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1494855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1494858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494891 */     // MIs[1] Operand 1
     /* 1494891 */     // No operand predicates
     /* 1494891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494895 */     // MIs[0] policy
     /* 1494895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494907 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1494910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494932 */     // GIR_Coverage, 61903,
     /* 1494932 */     GIR_EraseRootFromParent_Done,
     /* 1494933 */   // Label 20832: @1494933
     /* 1494933 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1495030), // Rule ID 61906 //
     /* 1494938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1494941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1494946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1494949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1494952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1494955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1494961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1494968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1494988 */     // MIs[1] Operand 1
     /* 1494988 */     // No operand predicates
     /* 1494988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494992 */     // MIs[0] policy
     /* 1494992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1495007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495029 */     // GIR_Coverage, 61906,
     /* 1495029 */     GIR_EraseRootFromParent_Done,
     /* 1495030 */   // Label 20833: @1495030
     /* 1495030 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1495127), // Rule ID 61907 //
     /* 1495035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1495038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1495052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495085 */     // MIs[1] Operand 1
     /* 1495085 */     // No operand predicates
     /* 1495085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495089 */     // MIs[0] policy
     /* 1495089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1495104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495126 */     // GIR_Coverage, 61907,
     /* 1495126 */     GIR_EraseRootFromParent_Done,
     /* 1495127 */   // Label 20834: @1495127
     /* 1495127 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1495224), // Rule ID 61910 //
     /* 1495132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1495135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495182 */     // MIs[1] Operand 1
     /* 1495182 */     // No operand predicates
     /* 1495182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495186 */     // MIs[0] policy
     /* 1495186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495198 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1495201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495223 */     // GIR_Coverage, 61910,
     /* 1495223 */     GIR_EraseRootFromParent_Done,
     /* 1495224 */   // Label 20835: @1495224
     /* 1495224 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1495321), // Rule ID 61911 //
     /* 1495229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1495232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495279 */     // MIs[1] Operand 1
     /* 1495279 */     // No operand predicates
     /* 1495279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495283 */     // MIs[0] policy
     /* 1495283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495295 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1495298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495320 */     // GIR_Coverage, 61911,
     /* 1495320 */     GIR_EraseRootFromParent_Done,
     /* 1495321 */   // Label 20836: @1495321
     /* 1495321 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1495418), // Rule ID 61914 //
     /* 1495326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1495329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495376 */     // MIs[1] Operand 1
     /* 1495376 */     // No operand predicates
     /* 1495376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495380 */     // MIs[0] policy
     /* 1495380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1495395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495417 */     // GIR_Coverage, 61914,
     /* 1495417 */     GIR_EraseRootFromParent_Done,
     /* 1495418 */   // Label 20837: @1495418
     /* 1495418 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1495515), // Rule ID 61915 //
     /* 1495423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1495426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495473 */     // MIs[1] Operand 1
     /* 1495473 */     // No operand predicates
     /* 1495473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495477 */     // MIs[0] policy
     /* 1495477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1495492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495514 */     // GIR_Coverage, 61915,
     /* 1495514 */     GIR_EraseRootFromParent_Done,
     /* 1495515 */   // Label 20838: @1495515
     /* 1495515 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1495612), // Rule ID 61918 //
     /* 1495520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1495523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1495531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1495534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1495537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495570 */     // MIs[1] Operand 1
     /* 1495570 */     // No operand predicates
     /* 1495570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495574 */     // MIs[0] policy
     /* 1495574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1495589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1495608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495611 */     // GIR_Coverage, 61918,
     /* 1495611 */     GIR_EraseRootFromParent_Done,
     /* 1495612 */   // Label 20839: @1495612
     /* 1495612 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1495709), // Rule ID 61919 //
     /* 1495617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1495620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1495628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1495631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1495634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495667 */     // MIs[1] Operand 1
     /* 1495667 */     // No operand predicates
     /* 1495667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495671 */     // MIs[0] policy
     /* 1495671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1495686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1495705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495708 */     // GIR_Coverage, 61919,
     /* 1495708 */     GIR_EraseRootFromParent_Done,
     /* 1495709 */   // Label 20840: @1495709
     /* 1495709 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1495806), // Rule ID 61922 //
     /* 1495714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1495717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495764 */     // MIs[1] Operand 1
     /* 1495764 */     // No operand predicates
     /* 1495764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495768 */     // MIs[0] policy
     /* 1495768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1495783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495805 */     // GIR_Coverage, 61922,
     /* 1495805 */     GIR_EraseRootFromParent_Done,
     /* 1495806 */   // Label 20841: @1495806
     /* 1495806 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1495903), // Rule ID 61923 //
     /* 1495811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1495814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495861 */     // MIs[1] Operand 1
     /* 1495861 */     // No operand predicates
     /* 1495861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495865 */     // MIs[0] policy
     /* 1495865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1495880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495902 */     // GIR_Coverage, 61923,
     /* 1495902 */     GIR_EraseRootFromParent_Done,
     /* 1495903 */   // Label 20842: @1495903
     /* 1495903 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1496000), // Rule ID 61926 //
     /* 1495908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1495911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1495916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1495919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1495922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1495925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1495958 */     // MIs[1] Operand 1
     /* 1495958 */     // No operand predicates
     /* 1495958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495962 */     // MIs[0] policy
     /* 1495962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1495977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495999 */     // GIR_Coverage, 61926,
     /* 1495999 */     GIR_EraseRootFromParent_Done,
     /* 1496000 */   // Label 20843: @1496000
     /* 1496000 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1496097), // Rule ID 61927 //
     /* 1496005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496055 */     // MIs[1] Operand 1
     /* 1496055 */     // No operand predicates
     /* 1496055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496059 */     // MIs[0] policy
     /* 1496059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1496074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496096 */     // GIR_Coverage, 61927,
     /* 1496096 */     GIR_EraseRootFromParent_Done,
     /* 1496097 */   // Label 20844: @1496097
     /* 1496097 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1496194), // Rule ID 61930 //
     /* 1496102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1496119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496152 */     // MIs[1] Operand 1
     /* 1496152 */     // No operand predicates
     /* 1496152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496156 */     // MIs[0] policy
     /* 1496156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1496171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496193 */     // GIR_Coverage, 61930,
     /* 1496193 */     GIR_EraseRootFromParent_Done,
     /* 1496194 */   // Label 20845: @1496194
     /* 1496194 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1496291), // Rule ID 61931 //
     /* 1496199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1496216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496249 */     // MIs[1] Operand 1
     /* 1496249 */     // No operand predicates
     /* 1496249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496253 */     // MIs[0] policy
     /* 1496253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1496268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496290 */     // GIR_Coverage, 61931,
     /* 1496290 */     GIR_EraseRootFromParent_Done,
     /* 1496291 */   // Label 20846: @1496291
     /* 1496291 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1496388), // Rule ID 61934 //
     /* 1496296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1496307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1496310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1496313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1496319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496346 */     // MIs[1] Operand 1
     /* 1496346 */     // No operand predicates
     /* 1496346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496350 */     // MIs[0] policy
     /* 1496350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496362 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1496365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496387 */     // GIR_Coverage, 61934,
     /* 1496387 */     GIR_EraseRootFromParent_Done,
     /* 1496388 */   // Label 20847: @1496388
     /* 1496388 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1496485), // Rule ID 61935 //
     /* 1496393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1496404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1496407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1496410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1496416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496443 */     // MIs[1] Operand 1
     /* 1496443 */     // No operand predicates
     /* 1496443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496447 */     // MIs[0] policy
     /* 1496447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1496462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496484 */     // GIR_Coverage, 61935,
     /* 1496484 */     GIR_EraseRootFromParent_Done,
     /* 1496485 */   // Label 20848: @1496485
     /* 1496485 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1496582), // Rule ID 61938 //
     /* 1496490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1496501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1496504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1496507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1496513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496540 */     // MIs[1] Operand 1
     /* 1496540 */     // No operand predicates
     /* 1496540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496544 */     // MIs[0] policy
     /* 1496544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496556 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1496559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496581 */     // GIR_Coverage, 61938,
     /* 1496581 */     GIR_EraseRootFromParent_Done,
     /* 1496582 */   // Label 20849: @1496582
     /* 1496582 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1496679), // Rule ID 61939 //
     /* 1496587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1496598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1496601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1496604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1496610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496637 */     // MIs[1] Operand 1
     /* 1496637 */     // No operand predicates
     /* 1496637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496641 */     // MIs[0] policy
     /* 1496641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496653 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1496656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496678 */     // GIR_Coverage, 61939,
     /* 1496678 */     GIR_EraseRootFromParent_Done,
     /* 1496679 */   // Label 20850: @1496679
     /* 1496679 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1496776), // Rule ID 61942 //
     /* 1496684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1496695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1496698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1496701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1496707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496734 */     // MIs[1] Operand 1
     /* 1496734 */     // No operand predicates
     /* 1496734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496738 */     // MIs[0] policy
     /* 1496738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1496753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496775 */     // GIR_Coverage, 61942,
     /* 1496775 */     GIR_EraseRootFromParent_Done,
     /* 1496776 */   // Label 20851: @1496776
     /* 1496776 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1496873), // Rule ID 61943 //
     /* 1496781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1496792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1496795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1496798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1496804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496831 */     // MIs[1] Operand 1
     /* 1496831 */     // No operand predicates
     /* 1496831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496835 */     // MIs[0] policy
     /* 1496835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1496850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496872 */     // GIR_Coverage, 61943,
     /* 1496872 */     GIR_EraseRootFromParent_Done,
     /* 1496873 */   // Label 20852: @1496873
     /* 1496873 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1496970), // Rule ID 61946 //
     /* 1496878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1496881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1496895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1496928 */     // MIs[1] Operand 1
     /* 1496928 */     // No operand predicates
     /* 1496928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496932 */     // MIs[0] policy
     /* 1496932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1496947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496969 */     // GIR_Coverage, 61946,
     /* 1496969 */     GIR_EraseRootFromParent_Done,
     /* 1496970 */   // Label 20853: @1496970
     /* 1496970 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1497067), // Rule ID 61947 //
     /* 1496975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1496978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1496983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1496992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497025 */     // MIs[1] Operand 1
     /* 1497025 */     // No operand predicates
     /* 1497025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497029 */     // MIs[0] policy
     /* 1497029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497041 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1497044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497066 */     // GIR_Coverage, 61947,
     /* 1497066 */     GIR_EraseRootFromParent_Done,
     /* 1497067 */   // Label 20854: @1497067
     /* 1497067 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1497164), // Rule ID 61950 //
     /* 1497072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1497083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1497086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1497089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497122 */     // MIs[1] Operand 1
     /* 1497122 */     // No operand predicates
     /* 1497122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497126 */     // MIs[0] policy
     /* 1497126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497138 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1497141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497163 */     // GIR_Coverage, 61950,
     /* 1497163 */     GIR_EraseRootFromParent_Done,
     /* 1497164 */   // Label 20855: @1497164
     /* 1497164 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1497261), // Rule ID 61951 //
     /* 1497169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1497180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1497183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1497186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497219 */     // MIs[1] Operand 1
     /* 1497219 */     // No operand predicates
     /* 1497219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497223 */     // MIs[0] policy
     /* 1497223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1497238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497260 */     // GIR_Coverage, 61951,
     /* 1497260 */     GIR_EraseRootFromParent_Done,
     /* 1497261 */   // Label 20856: @1497261
     /* 1497261 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1497358), // Rule ID 61954 //
     /* 1497266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1497277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1497280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1497283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1497289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1497296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497316 */     // MIs[1] Operand 1
     /* 1497316 */     // No operand predicates
     /* 1497316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497320 */     // MIs[0] policy
     /* 1497320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1497335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497357 */     // GIR_Coverage, 61954,
     /* 1497357 */     GIR_EraseRootFromParent_Done,
     /* 1497358 */   // Label 20857: @1497358
     /* 1497358 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1497455), // Rule ID 61955 //
     /* 1497363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1497374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1497377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1497380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1497386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1497393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497413 */     // MIs[1] Operand 1
     /* 1497413 */     // No operand predicates
     /* 1497413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497417 */     // MIs[0] policy
     /* 1497417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1497432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497454 */     // GIR_Coverage, 61955,
     /* 1497454 */     GIR_EraseRootFromParent_Done,
     /* 1497455 */   // Label 20858: @1497455
     /* 1497455 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1497552), // Rule ID 61958 //
     /* 1497460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1497477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497510 */     // MIs[1] Operand 1
     /* 1497510 */     // No operand predicates
     /* 1497510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497514 */     // MIs[0] policy
     /* 1497514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1497529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497551 */     // GIR_Coverage, 61958,
     /* 1497551 */     GIR_EraseRootFromParent_Done,
     /* 1497552 */   // Label 20859: @1497552
     /* 1497552 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1497649), // Rule ID 61959 //
     /* 1497557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1497574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497607 */     // MIs[1] Operand 1
     /* 1497607 */     // No operand predicates
     /* 1497607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497611 */     // MIs[0] policy
     /* 1497611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497623 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1497626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497648 */     // GIR_Coverage, 61959,
     /* 1497648 */     GIR_EraseRootFromParent_Done,
     /* 1497649 */   // Label 20860: @1497649
     /* 1497649 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1497746), // Rule ID 61962 //
     /* 1497654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1497671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497704 */     // MIs[1] Operand 1
     /* 1497704 */     // No operand predicates
     /* 1497704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497708 */     // MIs[0] policy
     /* 1497708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1497723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497745 */     // GIR_Coverage, 61962,
     /* 1497745 */     GIR_EraseRootFromParent_Done,
     /* 1497746 */   // Label 20861: @1497746
     /* 1497746 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1497843), // Rule ID 61963 //
     /* 1497751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1497768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497801 */     // MIs[1] Operand 1
     /* 1497801 */     // No operand predicates
     /* 1497801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497805 */     // MIs[0] policy
     /* 1497805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497817 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1497820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497842 */     // GIR_Coverage, 61963,
     /* 1497842 */     GIR_EraseRootFromParent_Done,
     /* 1497843 */   // Label 20862: @1497843
     /* 1497843 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1497940), // Rule ID 61966 //
     /* 1497848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1497851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1497865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1497878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497898 */     // MIs[1] Operand 1
     /* 1497898 */     // No operand predicates
     /* 1497898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497902 */     // MIs[0] policy
     /* 1497902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1497917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497939 */     // GIR_Coverage, 61966,
     /* 1497939 */     GIR_EraseRootFromParent_Done,
     /* 1497940 */   // Label 20863: @1497940
     /* 1497940 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1498037), // Rule ID 61967 //
     /* 1497945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1497948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1497953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1497962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1497975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1497995 */     // MIs[1] Operand 1
     /* 1497995 */     // No operand predicates
     /* 1497995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497999 */     // MIs[0] policy
     /* 1497999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1498014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498036 */     // GIR_Coverage, 61967,
     /* 1498036 */     GIR_EraseRootFromParent_Done,
     /* 1498037 */   // Label 20864: @1498037
     /* 1498037 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1498134), // Rule ID 61970 //
     /* 1498042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1498053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1498056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1498059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498092 */     // MIs[1] Operand 1
     /* 1498092 */     // No operand predicates
     /* 1498092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498096 */     // MIs[0] policy
     /* 1498096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1498111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498133 */     // GIR_Coverage, 61970,
     /* 1498133 */     GIR_EraseRootFromParent_Done,
     /* 1498134 */   // Label 20865: @1498134
     /* 1498134 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1498231), // Rule ID 61971 //
     /* 1498139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1498150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1498153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1498156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498189 */     // MIs[1] Operand 1
     /* 1498189 */     // No operand predicates
     /* 1498189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498193 */     // MIs[0] policy
     /* 1498193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1498208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498230 */     // GIR_Coverage, 61971,
     /* 1498230 */     GIR_EraseRootFromParent_Done,
     /* 1498231 */   // Label 20866: @1498231
     /* 1498231 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1498328), // Rule ID 61974 //
     /* 1498236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1498247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1498250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1498253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498286 */     // MIs[1] Operand 1
     /* 1498286 */     // No operand predicates
     /* 1498286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498290 */     // MIs[0] policy
     /* 1498290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1498305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498327 */     // GIR_Coverage, 61974,
     /* 1498327 */     GIR_EraseRootFromParent_Done,
     /* 1498328 */   // Label 20867: @1498328
     /* 1498328 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1498425), // Rule ID 61975 //
     /* 1498333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1498344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1498347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1498350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498383 */     // MIs[1] Operand 1
     /* 1498383 */     // No operand predicates
     /* 1498383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498387 */     // MIs[0] policy
     /* 1498387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1498402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498424 */     // GIR_Coverage, 61975,
     /* 1498424 */     GIR_EraseRootFromParent_Done,
     /* 1498425 */   // Label 20868: @1498425
     /* 1498425 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1498522), // Rule ID 61978 //
     /* 1498430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1498433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1498447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498480 */     // MIs[1] Operand 1
     /* 1498480 */     // No operand predicates
     /* 1498480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498484 */     // MIs[0] policy
     /* 1498484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1498499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498521 */     // GIR_Coverage, 61978,
     /* 1498521 */     GIR_EraseRootFromParent_Done,
     /* 1498522 */   // Label 20869: @1498522
     /* 1498522 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1498619), // Rule ID 61979 //
     /* 1498527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1498530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1498535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1498544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1498577 */     // MIs[1] Operand 1
     /* 1498577 */     // No operand predicates
     /* 1498577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498581 */     // MIs[0] policy
     /* 1498581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1498596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498618 */     // GIR_Coverage, 61979,
     /* 1498618 */     GIR_EraseRootFromParent_Done,
     /* 1498619 */   // Label 20870: @1498619
     /* 1498619 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1498701), // Rule ID 2598 //
     /* 1498624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1498632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1498644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498663 */     // MIs[0] round
     /* 1498663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498666 */     // MIs[0] policy
     /* 1498666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498676 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1498679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1498685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1498687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498700 */     // GIR_Coverage, 2598,
     /* 1498700 */     GIR_EraseRootFromParent_Done,
     /* 1498701 */   // Label 20871: @1498701
     /* 1498701 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1498783), // Rule ID 2599 //
     /* 1498706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1498714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1498726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498745 */     // MIs[0] round
     /* 1498745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498748 */     // MIs[0] policy
     /* 1498748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498758 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1498761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1498767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1498769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498782 */     // GIR_Coverage, 2599,
     /* 1498782 */     GIR_EraseRootFromParent_Done,
     /* 1498783 */   // Label 20872: @1498783
     /* 1498783 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1498865), // Rule ID 2634 //
     /* 1498788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1498791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1498796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1498808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498827 */     // MIs[0] round
     /* 1498827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498830 */     // MIs[0] policy
     /* 1498830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1498843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1498849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1498851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498864 */     // GIR_Coverage, 2634,
     /* 1498864 */     GIR_EraseRootFromParent_Done,
     /* 1498865 */   // Label 20873: @1498865
     /* 1498865 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1498947), // Rule ID 2635 //
     /* 1498870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1498873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1498878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1498890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498909 */     // MIs[0] round
     /* 1498909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498912 */     // MIs[0] policy
     /* 1498912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1498925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1498931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1498933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498946 */     // GIR_Coverage, 2635,
     /* 1498946 */     GIR_EraseRootFromParent_Done,
     /* 1498947 */   // Label 20874: @1498947
     /* 1498947 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1499029), // Rule ID 2666 //
     /* 1498952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1498972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498991 */     // MIs[0] round
     /* 1498991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498994 */     // MIs[0] policy
     /* 1498994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499004 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1499007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499028 */     // GIR_Coverage, 2666,
     /* 1499028 */     GIR_EraseRootFromParent_Done,
     /* 1499029 */   // Label 20875: @1499029
     /* 1499029 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1499111), // Rule ID 2667 //
     /* 1499034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1499045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1499048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1499054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499073 */     // MIs[0] round
     /* 1499073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499076 */     // MIs[0] policy
     /* 1499076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499086 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1499089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499110 */     // GIR_Coverage, 2667,
     /* 1499110 */     GIR_EraseRootFromParent_Done,
     /* 1499111 */   // Label 20876: @1499111
     /* 1499111 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1499193), // Rule ID 17646 //
     /* 1499116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499155 */     // MIs[0] round
     /* 1499155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499158 */     // MIs[0] policy
     /* 1499158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499168 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1499171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499192 */     // GIR_Coverage, 17646,
     /* 1499192 */     GIR_EraseRootFromParent_Done,
     /* 1499193 */   // Label 20877: @1499193
     /* 1499193 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1499275), // Rule ID 17647 //
     /* 1499198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1499209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1499212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1499218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499237 */     // MIs[0] round
     /* 1499237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499240 */     // MIs[0] policy
     /* 1499240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499250 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1499253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499274 */     // GIR_Coverage, 17647,
     /* 1499274 */     GIR_EraseRootFromParent_Done,
     /* 1499275 */   // Label 20878: @1499275
     /* 1499275 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1499357), // Rule ID 17650 //
     /* 1499280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1499297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1499300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499319 */     // MIs[0] round
     /* 1499319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499322 */     // MIs[0] policy
     /* 1499322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499332 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1499335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499356 */     // GIR_Coverage, 17650,
     /* 1499356 */     GIR_EraseRootFromParent_Done,
     /* 1499357 */   // Label 20879: @1499357
     /* 1499357 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1499439), // Rule ID 17651 //
     /* 1499362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1499379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1499382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499401 */     // MIs[0] round
     /* 1499401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499404 */     // MIs[0] policy
     /* 1499404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499414 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1499417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499438 */     // GIR_Coverage, 17651,
     /* 1499438 */     GIR_EraseRootFromParent_Done,
     /* 1499439 */   // Label 20880: @1499439
     /* 1499439 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1499521), // Rule ID 17654 //
     /* 1499444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1499455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1499458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1499464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499483 */     // MIs[0] round
     /* 1499483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499486 */     // MIs[0] policy
     /* 1499486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1499499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499520 */     // GIR_Coverage, 17654,
     /* 1499520 */     GIR_EraseRootFromParent_Done,
     /* 1499521 */   // Label 20881: @1499521
     /* 1499521 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1499603), // Rule ID 17655 //
     /* 1499526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1499537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1499540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1499546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499565 */     // MIs[0] round
     /* 1499565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499568 */     // MIs[0] policy
     /* 1499568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1499581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499602 */     // GIR_Coverage, 17655,
     /* 1499602 */     GIR_EraseRootFromParent_Done,
     /* 1499603 */   // Label 20882: @1499603
     /* 1499603 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1499685), // Rule ID 17658 //
     /* 1499608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1499625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1499628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499647 */     // MIs[0] round
     /* 1499647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499650 */     // MIs[0] policy
     /* 1499650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499660 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1499663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499684 */     // GIR_Coverage, 17658,
     /* 1499684 */     GIR_EraseRootFromParent_Done,
     /* 1499685 */   // Label 20883: @1499685
     /* 1499685 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1499767), // Rule ID 17659 //
     /* 1499690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1499707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1499710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499729 */     // MIs[0] round
     /* 1499729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499732 */     // MIs[0] policy
     /* 1499732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499742 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1499745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499766 */     // GIR_Coverage, 17659,
     /* 1499766 */     GIR_EraseRootFromParent_Done,
     /* 1499767 */   // Label 20884: @1499767
     /* 1499767 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1499849), // Rule ID 17662 //
     /* 1499772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1499783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1499786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1499789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1499792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499811 */     // MIs[0] round
     /* 1499811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499814 */     // MIs[0] policy
     /* 1499814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499824 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1499827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499848 */     // GIR_Coverage, 17662,
     /* 1499848 */     GIR_EraseRootFromParent_Done,
     /* 1499849 */   // Label 20885: @1499849
     /* 1499849 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1499931), // Rule ID 17663 //
     /* 1499854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1499865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1499868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1499871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1499874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499893 */     // MIs[0] round
     /* 1499893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499896 */     // MIs[0] policy
     /* 1499896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499906 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1499909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499930 */     // GIR_Coverage, 17663,
     /* 1499930 */     GIR_EraseRootFromParent_Done,
     /* 1499931 */   // Label 20886: @1499931
     /* 1499931 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1500013), // Rule ID 17666 //
     /* 1499936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1499944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1499956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499975 */     // MIs[0] round
     /* 1499975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499978 */     // MIs[0] policy
     /* 1499978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499988 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1499991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500012 */     // GIR_Coverage, 17666,
     /* 1500012 */     GIR_EraseRootFromParent_Done,
     /* 1500013 */   // Label 20887: @1500013
     /* 1500013 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1500095), // Rule ID 17667 //
     /* 1500018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1500029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1500032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1500038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500057 */     // MIs[0] round
     /* 1500057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500060 */     // MIs[0] policy
     /* 1500060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500070 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1500073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500094 */     // GIR_Coverage, 17667,
     /* 1500094 */     GIR_EraseRootFromParent_Done,
     /* 1500095 */   // Label 20888: @1500095
     /* 1500095 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1500177), // Rule ID 17670 //
     /* 1500100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500139 */     // MIs[0] round
     /* 1500139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500142 */     // MIs[0] policy
     /* 1500142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500152 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1500155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500176 */     // GIR_Coverage, 17670,
     /* 1500176 */     GIR_EraseRootFromParent_Done,
     /* 1500177 */   // Label 20889: @1500177
     /* 1500177 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1500259), // Rule ID 17671 //
     /* 1500182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1500193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1500196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1500202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500221 */     // MIs[0] round
     /* 1500221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500224 */     // MIs[0] policy
     /* 1500224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500234 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1500237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500258 */     // GIR_Coverage, 17671,
     /* 1500258 */     GIR_EraseRootFromParent_Done,
     /* 1500259 */   // Label 20890: @1500259
     /* 1500259 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1500341), // Rule ID 17674 //
     /* 1500264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1500275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1500278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1500281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1500284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500303 */     // MIs[0] round
     /* 1500303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500306 */     // MIs[0] policy
     /* 1500306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500316 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1500319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500340 */     // GIR_Coverage, 17674,
     /* 1500340 */     GIR_EraseRootFromParent_Done,
     /* 1500341 */   // Label 20891: @1500341
     /* 1500341 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1500423), // Rule ID 17675 //
     /* 1500346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1500357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1500360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1500363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1500366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500385 */     // MIs[0] round
     /* 1500385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500388 */     // MIs[0] policy
     /* 1500388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500398 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1500401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500422 */     // GIR_Coverage, 17675,
     /* 1500422 */     GIR_EraseRootFromParent_Done,
     /* 1500423 */   // Label 20892: @1500423
     /* 1500423 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1500505), // Rule ID 17678 //
     /* 1500428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1500448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500467 */     // MIs[0] round
     /* 1500467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500470 */     // MIs[0] policy
     /* 1500470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1500483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500504 */     // GIR_Coverage, 17678,
     /* 1500504 */     GIR_EraseRootFromParent_Done,
     /* 1500505 */   // Label 20893: @1500505
     /* 1500505 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1500587), // Rule ID 17679 //
     /* 1500510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1500521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1500524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1500530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500549 */     // MIs[0] round
     /* 1500549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500552 */     // MIs[0] policy
     /* 1500552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500562 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1500565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500586 */     // GIR_Coverage, 17679,
     /* 1500586 */     GIR_EraseRootFromParent_Done,
     /* 1500587 */   // Label 20894: @1500587
     /* 1500587 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1500669), // Rule ID 17682 //
     /* 1500592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1500612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500631 */     // MIs[0] round
     /* 1500631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500634 */     // MIs[0] policy
     /* 1500634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500644 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1500647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500668 */     // GIR_Coverage, 17682,
     /* 1500668 */     GIR_EraseRootFromParent_Done,
     /* 1500669 */   // Label 20895: @1500669
     /* 1500669 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1500751), // Rule ID 17683 //
     /* 1500674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1500694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500713 */     // MIs[0] round
     /* 1500713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500716 */     // MIs[0] policy
     /* 1500716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500726 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1500729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500750 */     // GIR_Coverage, 17683,
     /* 1500750 */     GIR_EraseRootFromParent_Done,
     /* 1500751 */   // Label 20896: @1500751
     /* 1500751 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1500833), // Rule ID 17686 //
     /* 1500756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1500773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1500776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500795 */     // MIs[0] round
     /* 1500795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500798 */     // MIs[0] policy
     /* 1500798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500808 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1500811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500832 */     // GIR_Coverage, 17686,
     /* 1500832 */     GIR_EraseRootFromParent_Done,
     /* 1500833 */   // Label 20897: @1500833
     /* 1500833 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1500915), // Rule ID 17687 //
     /* 1500838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1500855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1500858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500877 */     // MIs[0] round
     /* 1500877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500880 */     // MIs[0] policy
     /* 1500880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500890 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1500893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500914 */     // GIR_Coverage, 17687,
     /* 1500914 */     GIR_EraseRootFromParent_Done,
     /* 1500915 */   // Label 20898: @1500915
     /* 1500915 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1500997), // Rule ID 17690 //
     /* 1500920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1500928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1500940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500959 */     // MIs[0] round
     /* 1500959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500962 */     // MIs[0] policy
     /* 1500962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500972 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1500975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500996 */     // GIR_Coverage, 17690,
     /* 1500996 */     GIR_EraseRootFromParent_Done,
     /* 1500997 */   // Label 20899: @1500997
     /* 1500997 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1501079), // Rule ID 17691 //
     /* 1501002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1501013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1501016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1501019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1501022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501041 */     // MIs[0] round
     /* 1501041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501044 */     // MIs[0] policy
     /* 1501044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501054 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1501057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501078 */     // GIR_Coverage, 17691,
     /* 1501078 */     GIR_EraseRootFromParent_Done,
     /* 1501079 */   // Label 20900: @1501079
     /* 1501079 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1501161), // Rule ID 17694 //
     /* 1501084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501123 */     // MIs[0] round
     /* 1501123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501126 */     // MIs[0] policy
     /* 1501126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501136 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1501139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501160 */     // GIR_Coverage, 17694,
     /* 1501160 */     GIR_EraseRootFromParent_Done,
     /* 1501161 */   // Label 20901: @1501161
     /* 1501161 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1501243), // Rule ID 17695 //
     /* 1501166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1501177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1501180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1501183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1501186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501205 */     // MIs[0] round
     /* 1501205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501208 */     // MIs[0] policy
     /* 1501208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501218 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1501221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501242 */     // GIR_Coverage, 17695,
     /* 1501242 */     GIR_EraseRootFromParent_Done,
     /* 1501243 */   // Label 20902: @1501243
     /* 1501243 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1501325), // Rule ID 17698 //
     /* 1501248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1501268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501287 */     // MIs[0] round
     /* 1501287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501290 */     // MIs[0] policy
     /* 1501290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501300 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1501303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501324 */     // GIR_Coverage, 17698,
     /* 1501324 */     GIR_EraseRootFromParent_Done,
     /* 1501325 */   // Label 20903: @1501325
     /* 1501325 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1501407), // Rule ID 17699 //
     /* 1501330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1501347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1501350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501369 */     // MIs[0] round
     /* 1501369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501372 */     // MIs[0] policy
     /* 1501372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1501385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501406 */     // GIR_Coverage, 17699,
     /* 1501406 */     GIR_EraseRootFromParent_Done,
     /* 1501407 */   // Label 20904: @1501407
     /* 1501407 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1501489), // Rule ID 17702 //
     /* 1501412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501451 */     // MIs[0] round
     /* 1501451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501454 */     // MIs[0] policy
     /* 1501454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501464 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1501467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501488 */     // GIR_Coverage, 17702,
     /* 1501488 */     GIR_EraseRootFromParent_Done,
     /* 1501489 */   // Label 20905: @1501489
     /* 1501489 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1501571), // Rule ID 17703 //
     /* 1501494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1501514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501533 */     // MIs[0] round
     /* 1501533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501536 */     // MIs[0] policy
     /* 1501536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501546 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1501549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501570 */     // GIR_Coverage, 17703,
     /* 1501570 */     GIR_EraseRootFromParent_Done,
     /* 1501571 */   // Label 20906: @1501571
     /* 1501571 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1501653), // Rule ID 17706 //
     /* 1501576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501615 */     // MIs[0] round
     /* 1501615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501618 */     // MIs[0] policy
     /* 1501618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501628 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1501631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501652 */     // GIR_Coverage, 17706,
     /* 1501652 */     GIR_EraseRootFromParent_Done,
     /* 1501653 */   // Label 20907: @1501653
     /* 1501653 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1501735), // Rule ID 17707 //
     /* 1501658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501697 */     // MIs[0] round
     /* 1501697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501700 */     // MIs[0] policy
     /* 1501700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501710 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1501713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501734 */     // GIR_Coverage, 17707,
     /* 1501734 */     GIR_EraseRootFromParent_Done,
     /* 1501735 */   // Label 20908: @1501735
     /* 1501735 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1501817), // Rule ID 17710 //
     /* 1501740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501779 */     // MIs[0] round
     /* 1501779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501782 */     // MIs[0] policy
     /* 1501782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501792 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1501795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501816 */     // GIR_Coverage, 17710,
     /* 1501816 */     GIR_EraseRootFromParent_Done,
     /* 1501817 */   // Label 20909: @1501817
     /* 1501817 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1501899), // Rule ID 17711 //
     /* 1501822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501861 */     // MIs[0] round
     /* 1501861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501864 */     // MIs[0] policy
     /* 1501864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501874 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1501877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501898 */     // GIR_Coverage, 17711,
     /* 1501898 */     GIR_EraseRootFromParent_Done,
     /* 1501899 */   // Label 20910: @1501899
     /* 1501899 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1501981), // Rule ID 17714 //
     /* 1501904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501943 */     // MIs[0] round
     /* 1501943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501946 */     // MIs[0] policy
     /* 1501946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501956 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1501959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501980 */     // GIR_Coverage, 17714,
     /* 1501980 */     GIR_EraseRootFromParent_Done,
     /* 1501981 */   // Label 20911: @1501981
     /* 1501981 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1502063), // Rule ID 17715 //
     /* 1501986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1501994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1502006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502025 */     // MIs[0] round
     /* 1502025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502028 */     // MIs[0] policy
     /* 1502028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502038 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1502041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502062 */     // GIR_Coverage, 17715,
     /* 1502062 */     GIR_EraseRootFromParent_Done,
     /* 1502063 */   // Label 20912: @1502063
     /* 1502063 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1502145), // Rule ID 17718 //
     /* 1502068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502107 */     // MIs[0] round
     /* 1502107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502110 */     // MIs[0] policy
     /* 1502110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502120 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1502123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502144 */     // GIR_Coverage, 17718,
     /* 1502144 */     GIR_EraseRootFromParent_Done,
     /* 1502145 */   // Label 20913: @1502145
     /* 1502145 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1502227), // Rule ID 17719 //
     /* 1502150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1502170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502189 */     // MIs[0] round
     /* 1502189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502192 */     // MIs[0] policy
     /* 1502192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502202 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1502205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502226 */     // GIR_Coverage, 17719,
     /* 1502226 */     GIR_EraseRootFromParent_Done,
     /* 1502227 */   // Label 20914: @1502227
     /* 1502227 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1502309), // Rule ID 17722 //
     /* 1502232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502271 */     // MIs[0] round
     /* 1502271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502274 */     // MIs[0] policy
     /* 1502274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1502287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502308 */     // GIR_Coverage, 17722,
     /* 1502308 */     GIR_EraseRootFromParent_Done,
     /* 1502309 */   // Label 20915: @1502309
     /* 1502309 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1502391), // Rule ID 17723 //
     /* 1502314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1502334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502353 */     // MIs[0] round
     /* 1502353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502356 */     // MIs[0] policy
     /* 1502356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502366 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1502369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502390 */     // GIR_Coverage, 17723,
     /* 1502390 */     GIR_EraseRootFromParent_Done,
     /* 1502391 */   // Label 20916: @1502391
     /* 1502391 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1502473), // Rule ID 17726 //
     /* 1502396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502435 */     // MIs[0] round
     /* 1502435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502438 */     // MIs[0] policy
     /* 1502438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502448 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1502451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502472 */     // GIR_Coverage, 17726,
     /* 1502472 */     GIR_EraseRootFromParent_Done,
     /* 1502473 */   // Label 20917: @1502473
     /* 1502473 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1502555), // Rule ID 17727 //
     /* 1502478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1502498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502517 */     // MIs[0] round
     /* 1502517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502520 */     // MIs[0] policy
     /* 1502520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502530 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1502533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502554 */     // GIR_Coverage, 17727,
     /* 1502554 */     GIR_EraseRootFromParent_Done,
     /* 1502555 */   // Label 20918: @1502555
     /* 1502555 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1502637), // Rule ID 17730 //
     /* 1502560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502599 */     // MIs[0] round
     /* 1502599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502602 */     // MIs[0] policy
     /* 1502602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502612 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1502615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502636 */     // GIR_Coverage, 17730,
     /* 1502636 */     GIR_EraseRootFromParent_Done,
     /* 1502637 */   // Label 20919: @1502637
     /* 1502637 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1502719), // Rule ID 17731 //
     /* 1502642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502681 */     // MIs[0] round
     /* 1502681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502684 */     // MIs[0] policy
     /* 1502684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502694 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1502697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502718 */     // GIR_Coverage, 17731,
     /* 1502718 */     GIR_EraseRootFromParent_Done,
     /* 1502719 */   // Label 20920: @1502719
     /* 1502719 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1502801), // Rule ID 17734 //
     /* 1502724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502763 */     // MIs[0] round
     /* 1502763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502766 */     // MIs[0] policy
     /* 1502766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502776 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1502779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502800 */     // GIR_Coverage, 17734,
     /* 1502800 */     GIR_EraseRootFromParent_Done,
     /* 1502801 */   // Label 20921: @1502801
     /* 1502801 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1502883), // Rule ID 17735 //
     /* 1502806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502845 */     // MIs[0] round
     /* 1502845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502848 */     // MIs[0] policy
     /* 1502848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502858 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1502861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502882 */     // GIR_Coverage, 17735,
     /* 1502882 */     GIR_EraseRootFromParent_Done,
     /* 1502883 */   // Label 20922: @1502883
     /* 1502883 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1502965), // Rule ID 17738 //
     /* 1502888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502927 */     // MIs[0] round
     /* 1502927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502930 */     // MIs[0] policy
     /* 1502930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502940 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1502943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502964 */     // GIR_Coverage, 17738,
     /* 1502964 */     GIR_EraseRootFromParent_Done,
     /* 1502965 */   // Label 20923: @1502965
     /* 1502965 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1503047), // Rule ID 17739 //
     /* 1502970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1502978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503009 */     // MIs[0] round
     /* 1503009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503012 */     // MIs[0] policy
     /* 1503012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503022 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1503025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503046 */     // GIR_Coverage, 17739,
     /* 1503046 */     GIR_EraseRootFromParent_Done,
     /* 1503047 */   // Label 20924: @1503047
     /* 1503047 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1503129), // Rule ID 17742 //
     /* 1503052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503091 */     // MIs[0] round
     /* 1503091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503094 */     // MIs[0] policy
     /* 1503094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503104 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1503107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503128 */     // GIR_Coverage, 17742,
     /* 1503128 */     GIR_EraseRootFromParent_Done,
     /* 1503129 */   // Label 20925: @1503129
     /* 1503129 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1503211), // Rule ID 17743 //
     /* 1503134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1503145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1503148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1503154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503173 */     // MIs[0] round
     /* 1503173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503176 */     // MIs[0] policy
     /* 1503176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503186 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1503189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503210 */     // GIR_Coverage, 17743,
     /* 1503210 */     GIR_EraseRootFromParent_Done,
     /* 1503211 */   // Label 20926: @1503211
     /* 1503211 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1503293), // Rule ID 17746 //
     /* 1503216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503255 */     // MIs[0] round
     /* 1503255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503258 */     // MIs[0] policy
     /* 1503258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503268 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1503271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503292 */     // GIR_Coverage, 17746,
     /* 1503292 */     GIR_EraseRootFromParent_Done,
     /* 1503293 */   // Label 20927: @1503293
     /* 1503293 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1503375), // Rule ID 17747 //
     /* 1503298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1503318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503337 */     // MIs[0] round
     /* 1503337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503340 */     // MIs[0] policy
     /* 1503340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503350 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1503353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503374 */     // GIR_Coverage, 17747,
     /* 1503374 */     GIR_EraseRootFromParent_Done,
     /* 1503375 */   // Label 20928: @1503375
     /* 1503375 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1503457), // Rule ID 17750 //
     /* 1503380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503419 */     // MIs[0] round
     /* 1503419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503422 */     // MIs[0] policy
     /* 1503422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503432 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1503435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503456 */     // GIR_Coverage, 17750,
     /* 1503456 */     GIR_EraseRootFromParent_Done,
     /* 1503457 */   // Label 20929: @1503457
     /* 1503457 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1503539), // Rule ID 17751 //
     /* 1503462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1503482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503501 */     // MIs[0] round
     /* 1503501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503504 */     // MIs[0] policy
     /* 1503504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503514 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1503517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503538 */     // GIR_Coverage, 17751,
     /* 1503538 */     GIR_EraseRootFromParent_Done,
     /* 1503539 */   // Label 20930: @1503539
     /* 1503539 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1503621), // Rule ID 17754 //
     /* 1503544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503583 */     // MIs[0] round
     /* 1503583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503586 */     // MIs[0] policy
     /* 1503586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503596 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1503599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503620 */     // GIR_Coverage, 17754,
     /* 1503620 */     GIR_EraseRootFromParent_Done,
     /* 1503621 */   // Label 20931: @1503621
     /* 1503621 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1503703), // Rule ID 17755 //
     /* 1503626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503665 */     // MIs[0] round
     /* 1503665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503668 */     // MIs[0] policy
     /* 1503668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503678 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1503681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503702 */     // GIR_Coverage, 17755,
     /* 1503702 */     GIR_EraseRootFromParent_Done,
     /* 1503703 */   // Label 20932: @1503703
     /* 1503703 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1503785), // Rule ID 17758 //
     /* 1503708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503747 */     // MIs[0] round
     /* 1503747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503750 */     // MIs[0] policy
     /* 1503750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503760 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1503763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503784 */     // GIR_Coverage, 17758,
     /* 1503784 */     GIR_EraseRootFromParent_Done,
     /* 1503785 */   // Label 20933: @1503785
     /* 1503785 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1503867), // Rule ID 17759 //
     /* 1503790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1503798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503829 */     // MIs[0] round
     /* 1503829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503832 */     // MIs[0] policy
     /* 1503832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503842 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1503845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503866 */     // GIR_Coverage, 17759,
     /* 1503866 */     GIR_EraseRootFromParent_Done,
     /* 1503867 */   // Label 20934: @1503867
     /* 1503867 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1503949), // Rule ID 17762 //
     /* 1503872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1503889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503911 */     // MIs[0] round
     /* 1503911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503914 */     // MIs[0] policy
     /* 1503914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503924 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1503927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503948 */     // GIR_Coverage, 17762,
     /* 1503948 */     GIR_EraseRootFromParent_Done,
     /* 1503949 */   // Label 20935: @1503949
     /* 1503949 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1504031), // Rule ID 17763 //
     /* 1503954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1503962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1503971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503993 */     // MIs[0] round
     /* 1503993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503996 */     // MIs[0] policy
     /* 1503996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504006 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1504009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504030 */     // GIR_Coverage, 17763,
     /* 1504030 */     GIR_EraseRootFromParent_Done,
     /* 1504031 */   // Label 20936: @1504031
     /* 1504031 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1504113), // Rule ID 17766 //
     /* 1504036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504075 */     // MIs[0] round
     /* 1504075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504078 */     // MIs[0] policy
     /* 1504078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504088 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1504091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504112 */     // GIR_Coverage, 17766,
     /* 1504112 */     GIR_EraseRootFromParent_Done,
     /* 1504113 */   // Label 20937: @1504113
     /* 1504113 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1504195), // Rule ID 17767 //
     /* 1504118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1504138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504157 */     // MIs[0] round
     /* 1504157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504160 */     // MIs[0] policy
     /* 1504160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504170 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1504173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504194 */     // GIR_Coverage, 17767,
     /* 1504194 */     GIR_EraseRootFromParent_Done,
     /* 1504195 */   // Label 20938: @1504195
     /* 1504195 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1504277), // Rule ID 17770 //
     /* 1504200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504239 */     // MIs[0] round
     /* 1504239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504242 */     // MIs[0] policy
     /* 1504242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1504255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504276 */     // GIR_Coverage, 17770,
     /* 1504276 */     GIR_EraseRootFromParent_Done,
     /* 1504277 */   // Label 20939: @1504277
     /* 1504277 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1504359), // Rule ID 17771 //
     /* 1504282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1504302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504321 */     // MIs[0] round
     /* 1504321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504324 */     // MIs[0] policy
     /* 1504324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1504337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504358 */     // GIR_Coverage, 17771,
     /* 1504358 */     GIR_EraseRootFromParent_Done,
     /* 1504359 */   // Label 20940: @1504359
     /* 1504359 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1504441), // Rule ID 17774 //
     /* 1504364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504403 */     // MIs[0] round
     /* 1504403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504406 */     // MIs[0] policy
     /* 1504406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1504419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504440 */     // GIR_Coverage, 17774,
     /* 1504440 */     GIR_EraseRootFromParent_Done,
     /* 1504441 */   // Label 20941: @1504441
     /* 1504441 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1504523), // Rule ID 17775 //
     /* 1504446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1504466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504485 */     // MIs[0] round
     /* 1504485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504488 */     // MIs[0] policy
     /* 1504488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504498 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1504501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504522 */     // GIR_Coverage, 17775,
     /* 1504522 */     GIR_EraseRootFromParent_Done,
     /* 1504523 */   // Label 20942: @1504523
     /* 1504523 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1504605), // Rule ID 17778 //
     /* 1504528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1504545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504567 */     // MIs[0] round
     /* 1504567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504570 */     // MIs[0] policy
     /* 1504570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1504583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504604 */     // GIR_Coverage, 17778,
     /* 1504604 */     GIR_EraseRootFromParent_Done,
     /* 1504605 */   // Label 20943: @1504605
     /* 1504605 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1504687), // Rule ID 17779 //
     /* 1504610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1504627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504649 */     // MIs[0] round
     /* 1504649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504652 */     // MIs[0] policy
     /* 1504652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504662 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1504665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504686 */     // GIR_Coverage, 17779,
     /* 1504686 */     GIR_EraseRootFromParent_Done,
     /* 1504687 */   // Label 20944: @1504687
     /* 1504687 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1504769), // Rule ID 17782 //
     /* 1504692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1504709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504731 */     // MIs[0] round
     /* 1504731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504734 */     // MIs[0] policy
     /* 1504734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1504747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504768 */     // GIR_Coverage, 17782,
     /* 1504768 */     GIR_EraseRootFromParent_Done,
     /* 1504769 */   // Label 20945: @1504769
     /* 1504769 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1504851), // Rule ID 17783 //
     /* 1504774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1504791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504813 */     // MIs[0] round
     /* 1504813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504816 */     // MIs[0] policy
     /* 1504816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504826 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1504829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504850 */     // GIR_Coverage, 17783,
     /* 1504850 */     GIR_EraseRootFromParent_Done,
     /* 1504851 */   // Label 20946: @1504851
     /* 1504851 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1504933), // Rule ID 17786 //
     /* 1504856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1504873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504895 */     // MIs[0] round
     /* 1504895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504898 */     // MIs[0] policy
     /* 1504898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504908 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1504911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504932 */     // GIR_Coverage, 17786,
     /* 1504932 */     GIR_EraseRootFromParent_Done,
     /* 1504933 */   // Label 20947: @1504933
     /* 1504933 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1505015), // Rule ID 17787 //
     /* 1504938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1504946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1504955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504977 */     // MIs[0] round
     /* 1504977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504980 */     // MIs[0] policy
     /* 1504980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504990 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1504993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505014 */     // GIR_Coverage, 17787,
     /* 1505014 */     GIR_EraseRootFromParent_Done,
     /* 1505015 */   // Label 20948: @1505015
     /* 1505015 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1505097), // Rule ID 17790 //
     /* 1505020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505059 */     // MIs[0] round
     /* 1505059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505062 */     // MIs[0] policy
     /* 1505062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505072 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1505075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505096 */     // GIR_Coverage, 17790,
     /* 1505096 */     GIR_EraseRootFromParent_Done,
     /* 1505097 */   // Label 20949: @1505097
     /* 1505097 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1505179), // Rule ID 17791 //
     /* 1505102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1505113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1505116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1505119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1505122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505141 */     // MIs[0] round
     /* 1505141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505144 */     // MIs[0] policy
     /* 1505144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505154 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1505157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505178 */     // GIR_Coverage, 17791,
     /* 1505178 */     GIR_EraseRootFromParent_Done,
     /* 1505179 */   // Label 20950: @1505179
     /* 1505179 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1505261), // Rule ID 17794 //
     /* 1505184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505223 */     // MIs[0] round
     /* 1505223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505226 */     // MIs[0] policy
     /* 1505226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505236 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1505239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505260 */     // GIR_Coverage, 17794,
     /* 1505260 */     GIR_EraseRootFromParent_Done,
     /* 1505261 */   // Label 20951: @1505261
     /* 1505261 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1505343), // Rule ID 17795 //
     /* 1505266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1505277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1505280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1505283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1505286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505305 */     // MIs[0] round
     /* 1505305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505308 */     // MIs[0] policy
     /* 1505308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1505321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505342 */     // GIR_Coverage, 17795,
     /* 1505342 */     GIR_EraseRootFromParent_Done,
     /* 1505343 */   // Label 20952: @1505343
     /* 1505343 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1505425), // Rule ID 17798 //
     /* 1505348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1505365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505387 */     // MIs[0] round
     /* 1505387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505390 */     // MIs[0] policy
     /* 1505390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1505403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505424 */     // GIR_Coverage, 17798,
     /* 1505424 */     GIR_EraseRootFromParent_Done,
     /* 1505425 */   // Label 20953: @1505425
     /* 1505425 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1505507), // Rule ID 17799 //
     /* 1505430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1505441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1505444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1505447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1505450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505469 */     // MIs[0] round
     /* 1505469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505472 */     // MIs[0] policy
     /* 1505472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505482 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1505485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505506 */     // GIR_Coverage, 17799,
     /* 1505506 */     GIR_EraseRootFromParent_Done,
     /* 1505507 */   // Label 20954: @1505507
     /* 1505507 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1505589), // Rule ID 17802 //
     /* 1505512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1505529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505551 */     // MIs[0] round
     /* 1505551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505554 */     // MIs[0] policy
     /* 1505554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505564 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1505567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505588 */     // GIR_Coverage, 17802,
     /* 1505588 */     GIR_EraseRootFromParent_Done,
     /* 1505589 */   // Label 20955: @1505589
     /* 1505589 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1505671), // Rule ID 17803 //
     /* 1505594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1505611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505633 */     // MIs[0] round
     /* 1505633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505636 */     // MIs[0] policy
     /* 1505636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505646 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1505649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505670 */     // GIR_Coverage, 17803,
     /* 1505670 */     GIR_EraseRootFromParent_Done,
     /* 1505671 */   // Label 20956: @1505671
     /* 1505671 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1505753), // Rule ID 17806 //
     /* 1505676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1505693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505715 */     // MIs[0] round
     /* 1505715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505718 */     // MIs[0] policy
     /* 1505718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505728 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1505731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505752 */     // GIR_Coverage, 17806,
     /* 1505752 */     GIR_EraseRootFromParent_Done,
     /* 1505753 */   // Label 20957: @1505753
     /* 1505753 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1505835), // Rule ID 17807 //
     /* 1505758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1505775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505797 */     // MIs[0] round
     /* 1505797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505800 */     // MIs[0] policy
     /* 1505800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505810 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1505813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505834 */     // GIR_Coverage, 17807,
     /* 1505834 */     GIR_EraseRootFromParent_Done,
     /* 1505835 */   // Label 20958: @1505835
     /* 1505835 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1505917), // Rule ID 17810 //
     /* 1505840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1505857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505879 */     // MIs[0] round
     /* 1505879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505882 */     // MIs[0] policy
     /* 1505882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505892 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1505895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505916 */     // GIR_Coverage, 17810,
     /* 1505916 */     GIR_EraseRootFromParent_Done,
     /* 1505917 */   // Label 20959: @1505917
     /* 1505917 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1505999), // Rule ID 17811 //
     /* 1505922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1505930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1505939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505961 */     // MIs[0] round
     /* 1505961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505964 */     // MIs[0] policy
     /* 1505964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505974 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1505977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505998 */     // GIR_Coverage, 17811,
     /* 1505998 */     GIR_EraseRootFromParent_Done,
     /* 1505999 */   // Label 20960: @1505999
     /* 1505999 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1506081), // Rule ID 17814 //
     /* 1506004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506043 */     // MIs[0] round
     /* 1506043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506046 */     // MIs[0] policy
     /* 1506046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506056 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1506059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506080 */     // GIR_Coverage, 17814,
     /* 1506080 */     GIR_EraseRootFromParent_Done,
     /* 1506081 */   // Label 20961: @1506081
     /* 1506081 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1506163), // Rule ID 17815 //
     /* 1506086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1506097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1506100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1506103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1506106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506125 */     // MIs[0] round
     /* 1506125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506128 */     // MIs[0] policy
     /* 1506128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506138 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1506141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506162 */     // GIR_Coverage, 17815,
     /* 1506162 */     GIR_EraseRootFromParent_Done,
     /* 1506163 */   // Label 20962: @1506163
     /* 1506163 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1506245), // Rule ID 17818 //
     /* 1506168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506207 */     // MIs[0] round
     /* 1506207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506210 */     // MIs[0] policy
     /* 1506210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506220 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1506223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506244 */     // GIR_Coverage, 17818,
     /* 1506244 */     GIR_EraseRootFromParent_Done,
     /* 1506245 */   // Label 20963: @1506245
     /* 1506245 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1506327), // Rule ID 17819 //
     /* 1506250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1506261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1506264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1506267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1506270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506289 */     // MIs[0] round
     /* 1506289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506292 */     // MIs[0] policy
     /* 1506292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1506305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506326 */     // GIR_Coverage, 17819,
     /* 1506326 */     GIR_EraseRootFromParent_Done,
     /* 1506327 */   // Label 20964: @1506327
     /* 1506327 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1506409), // Rule ID 17822 //
     /* 1506332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506371 */     // MIs[0] round
     /* 1506371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506374 */     // MIs[0] policy
     /* 1506374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506384 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1506387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506408 */     // GIR_Coverage, 17822,
     /* 1506408 */     GIR_EraseRootFromParent_Done,
     /* 1506409 */   // Label 20965: @1506409
     /* 1506409 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1506491), // Rule ID 17823 //
     /* 1506414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1506425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1506428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1506434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506453 */     // MIs[0] round
     /* 1506453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506456 */     // MIs[0] policy
     /* 1506456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506466 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1506469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506490 */     // GIR_Coverage, 17823,
     /* 1506490 */     GIR_EraseRootFromParent_Done,
     /* 1506491 */   // Label 20966: @1506491
     /* 1506491 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1506573), // Rule ID 17826 //
     /* 1506496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506535 */     // MIs[0] round
     /* 1506535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506538 */     // MIs[0] policy
     /* 1506538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506548 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1506551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506572 */     // GIR_Coverage, 17826,
     /* 1506572 */     GIR_EraseRootFromParent_Done,
     /* 1506573 */   // Label 20967: @1506573
     /* 1506573 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1506655), // Rule ID 17827 //
     /* 1506578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506617 */     // MIs[0] round
     /* 1506617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506620 */     // MIs[0] policy
     /* 1506620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506630 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1506633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506654 */     // GIR_Coverage, 17827,
     /* 1506654 */     GIR_EraseRootFromParent_Done,
     /* 1506655 */   // Label 20968: @1506655
     /* 1506655 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1506737), // Rule ID 17830 //
     /* 1506660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506699 */     // MIs[0] round
     /* 1506699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506702 */     // MIs[0] policy
     /* 1506702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506712 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1506715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506736 */     // GIR_Coverage, 17830,
     /* 1506736 */     GIR_EraseRootFromParent_Done,
     /* 1506737 */   // Label 20969: @1506737
     /* 1506737 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1506819), // Rule ID 17831 //
     /* 1506742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506781 */     // MIs[0] round
     /* 1506781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506784 */     // MIs[0] policy
     /* 1506784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506794 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1506797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506818 */     // GIR_Coverage, 17831,
     /* 1506818 */     GIR_EraseRootFromParent_Done,
     /* 1506819 */   // Label 20970: @1506819
     /* 1506819 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1506901), // Rule ID 17834 //
     /* 1506824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506863 */     // MIs[0] round
     /* 1506863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506866 */     // MIs[0] policy
     /* 1506866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506876 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1506879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506900 */     // GIR_Coverage, 17834,
     /* 1506900 */     GIR_EraseRootFromParent_Done,
     /* 1506901 */   // Label 20971: @1506901
     /* 1506901 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1506983), // Rule ID 17835 //
     /* 1506906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506945 */     // MIs[0] round
     /* 1506945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506948 */     // MIs[0] policy
     /* 1506948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506958 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1506961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506982 */     // GIR_Coverage, 17835,
     /* 1506982 */     GIR_EraseRootFromParent_Done,
     /* 1506983 */   // Label 20972: @1506983
     /* 1506983 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1507065), // Rule ID 17838 //
     /* 1506988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1506996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507027 */     // MIs[0] round
     /* 1507027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507030 */     // MIs[0] policy
     /* 1507030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1507043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507064 */     // GIR_Coverage, 17838,
     /* 1507064 */     GIR_EraseRootFromParent_Done,
     /* 1507065 */   // Label 20973: @1507065
     /* 1507065 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1507147), // Rule ID 17839 //
     /* 1507070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1507081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1507084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1507090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507109 */     // MIs[0] round
     /* 1507109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507112 */     // MIs[0] policy
     /* 1507112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507122 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1507125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507146 */     // GIR_Coverage, 17839,
     /* 1507146 */     GIR_EraseRootFromParent_Done,
     /* 1507147 */   // Label 20974: @1507147
     /* 1507147 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1507229), // Rule ID 17842 //
     /* 1507152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507191 */     // MIs[0] round
     /* 1507191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507194 */     // MIs[0] policy
     /* 1507194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507204 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1507207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507228 */     // GIR_Coverage, 17842,
     /* 1507228 */     GIR_EraseRootFromParent_Done,
     /* 1507229 */   // Label 20975: @1507229
     /* 1507229 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1507311), // Rule ID 17843 //
     /* 1507234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1507245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1507248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1507254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507273 */     // MIs[0] round
     /* 1507273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507276 */     // MIs[0] policy
     /* 1507276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507286 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1507289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507310 */     // GIR_Coverage, 17843,
     /* 1507310 */     GIR_EraseRootFromParent_Done,
     /* 1507311 */   // Label 20976: @1507311
     /* 1507311 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1507393), // Rule ID 17846 //
     /* 1507316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507355 */     // MIs[0] round
     /* 1507355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507358 */     // MIs[0] policy
     /* 1507358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507368 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1507371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507392 */     // GIR_Coverage, 17846,
     /* 1507392 */     GIR_EraseRootFromParent_Done,
     /* 1507393 */   // Label 20977: @1507393
     /* 1507393 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1507475), // Rule ID 17847 //
     /* 1507398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1507418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507437 */     // MIs[0] round
     /* 1507437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507440 */     // MIs[0] policy
     /* 1507440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507450 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1507453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507474 */     // GIR_Coverage, 17847,
     /* 1507474 */     GIR_EraseRootFromParent_Done,
     /* 1507475 */   // Label 20978: @1507475
     /* 1507475 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1507557), // Rule ID 17850 //
     /* 1507480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507519 */     // MIs[0] round
     /* 1507519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507522 */     // MIs[0] policy
     /* 1507522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507532 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1507535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507556 */     // GIR_Coverage, 17850,
     /* 1507556 */     GIR_EraseRootFromParent_Done,
     /* 1507557 */   // Label 20979: @1507557
     /* 1507557 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1507639), // Rule ID 17851 //
     /* 1507562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507601 */     // MIs[0] round
     /* 1507601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507604 */     // MIs[0] policy
     /* 1507604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507614 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1507617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507638 */     // GIR_Coverage, 17851,
     /* 1507638 */     GIR_EraseRootFromParent_Done,
     /* 1507639 */   // Label 20980: @1507639
     /* 1507639 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1507721), // Rule ID 17854 //
     /* 1507644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507683 */     // MIs[0] round
     /* 1507683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507686 */     // MIs[0] policy
     /* 1507686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507696 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1507699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507720 */     // GIR_Coverage, 17854,
     /* 1507720 */     GIR_EraseRootFromParent_Done,
     /* 1507721 */   // Label 20981: @1507721
     /* 1507721 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1507803), // Rule ID 17855 //
     /* 1507726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507765 */     // MIs[0] round
     /* 1507765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507768 */     // MIs[0] policy
     /* 1507768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507778 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1507781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507802 */     // GIR_Coverage, 17855,
     /* 1507802 */     GIR_EraseRootFromParent_Done,
     /* 1507803 */   // Label 20982: @1507803
     /* 1507803 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1507885), // Rule ID 17858 //
     /* 1507808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507847 */     // MIs[0] round
     /* 1507847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507850 */     // MIs[0] policy
     /* 1507850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1507863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507884 */     // GIR_Coverage, 17858,
     /* 1507884 */     GIR_EraseRootFromParent_Done,
     /* 1507885 */   // Label 20983: @1507885
     /* 1507885 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1507967), // Rule ID 17859 //
     /* 1507890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507929 */     // MIs[0] round
     /* 1507929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507932 */     // MIs[0] policy
     /* 1507932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507942 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1507945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507966 */     // GIR_Coverage, 17859,
     /* 1507966 */     GIR_EraseRootFromParent_Done,
     /* 1507967 */   // Label 20984: @1507967
     /* 1507967 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1508049), // Rule ID 17862 //
     /* 1507972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1507980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508011 */     // MIs[0] round
     /* 1508011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508014 */     // MIs[0] policy
     /* 1508014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508024 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1508027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508048 */     // GIR_Coverage, 17862,
     /* 1508048 */     GIR_EraseRootFromParent_Done,
     /* 1508049 */   // Label 20985: @1508049
     /* 1508049 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1508131), // Rule ID 17863 //
     /* 1508054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1508065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1508068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1508074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508093 */     // MIs[0] round
     /* 1508093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508096 */     // MIs[0] policy
     /* 1508096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508106 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1508109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508130 */     // GIR_Coverage, 17863,
     /* 1508130 */     GIR_EraseRootFromParent_Done,
     /* 1508131 */   // Label 20986: @1508131
     /* 1508131 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1508213), // Rule ID 17866 //
     /* 1508136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508175 */     // MIs[0] round
     /* 1508175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508178 */     // MIs[0] policy
     /* 1508178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508188 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1508191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508212 */     // GIR_Coverage, 17866,
     /* 1508212 */     GIR_EraseRootFromParent_Done,
     /* 1508213 */   // Label 20987: @1508213
     /* 1508213 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1508295), // Rule ID 17867 //
     /* 1508218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1508229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1508232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1508238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508257 */     // MIs[0] round
     /* 1508257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508260 */     // MIs[0] policy
     /* 1508260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508270 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1508273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508294 */     // GIR_Coverage, 17867,
     /* 1508294 */     GIR_EraseRootFromParent_Done,
     /* 1508295 */   // Label 20988: @1508295
     /* 1508295 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1508377), // Rule ID 17870 //
     /* 1508300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508339 */     // MIs[0] round
     /* 1508339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508342 */     // MIs[0] policy
     /* 1508342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508352 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1508355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508376 */     // GIR_Coverage, 17870,
     /* 1508376 */     GIR_EraseRootFromParent_Done,
     /* 1508377 */   // Label 20989: @1508377
     /* 1508377 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1508459), // Rule ID 17871 //
     /* 1508382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1508393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1508396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1508402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508421 */     // MIs[0] round
     /* 1508421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508424 */     // MIs[0] policy
     /* 1508424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508434 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1508437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508458 */     // GIR_Coverage, 17871,
     /* 1508458 */     GIR_EraseRootFromParent_Done,
     /* 1508459 */   // Label 20990: @1508459
     /* 1508459 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1508541), // Rule ID 17874 //
     /* 1508464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508503 */     // MIs[0] round
     /* 1508503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508506 */     // MIs[0] policy
     /* 1508506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508516 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1508519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508540 */     // GIR_Coverage, 17874,
     /* 1508540 */     GIR_EraseRootFromParent_Done,
     /* 1508541 */   // Label 20991: @1508541
     /* 1508541 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1508623), // Rule ID 17875 //
     /* 1508546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508585 */     // MIs[0] round
     /* 1508585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508588 */     // MIs[0] policy
     /* 1508588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508598 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1508601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508622 */     // GIR_Coverage, 17875,
     /* 1508622 */     GIR_EraseRootFromParent_Done,
     /* 1508623 */   // Label 20992: @1508623
     /* 1508623 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1508705), // Rule ID 17878 //
     /* 1508628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508667 */     // MIs[0] round
     /* 1508667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508670 */     // MIs[0] policy
     /* 1508670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508680 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1508683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508704 */     // GIR_Coverage, 17878,
     /* 1508704 */     GIR_EraseRootFromParent_Done,
     /* 1508705 */   // Label 20993: @1508705
     /* 1508705 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1508787), // Rule ID 17879 //
     /* 1508710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1508718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508749 */     // MIs[0] round
     /* 1508749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508752 */     // MIs[0] policy
     /* 1508752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1508765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508786 */     // GIR_Coverage, 17879,
     /* 1508786 */     GIR_EraseRootFromParent_Done,
     /* 1508787 */   // Label 20994: @1508787
     /* 1508787 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1508869), // Rule ID 17882 //
     /* 1508792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1508809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508831 */     // MIs[0] round
     /* 1508831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508834 */     // MIs[0] policy
     /* 1508834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508844 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1508847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508868 */     // GIR_Coverage, 17882,
     /* 1508868 */     GIR_EraseRootFromParent_Done,
     /* 1508869 */   // Label 20995: @1508869
     /* 1508869 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1508951), // Rule ID 17883 //
     /* 1508874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1508891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508913 */     // MIs[0] round
     /* 1508913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508916 */     // MIs[0] policy
     /* 1508916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508926 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1508929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508950 */     // GIR_Coverage, 17883,
     /* 1508950 */     GIR_EraseRootFromParent_Done,
     /* 1508951 */   // Label 20996: @1508951
     /* 1508951 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1509033), // Rule ID 17886 //
     /* 1508956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1508964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1508973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508995 */     // MIs[0] round
     /* 1508995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508998 */     // MIs[0] policy
     /* 1508998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509008 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1509011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509032 */     // GIR_Coverage, 17886,
     /* 1509032 */     GIR_EraseRootFromParent_Done,
     /* 1509033 */   // Label 20997: @1509033
     /* 1509033 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1509115), // Rule ID 17887 //
     /* 1509038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1509049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1509052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1509055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1509058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509077 */     // MIs[0] round
     /* 1509077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509080 */     // MIs[0] policy
     /* 1509080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509090 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1509093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509114 */     // GIR_Coverage, 17887,
     /* 1509114 */     GIR_EraseRootFromParent_Done,
     /* 1509115 */   // Label 20998: @1509115
     /* 1509115 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1509197), // Rule ID 17890 //
     /* 1509120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509159 */     // MIs[0] round
     /* 1509159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509162 */     // MIs[0] policy
     /* 1509162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1509175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509196 */     // GIR_Coverage, 17890,
     /* 1509196 */     GIR_EraseRootFromParent_Done,
     /* 1509197 */   // Label 20999: @1509197
     /* 1509197 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509279), // Rule ID 17891 //
     /* 1509202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1509213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1509216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509241 */     // MIs[0] round
     /* 1509241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509244 */     // MIs[0] policy
     /* 1509244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509254 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1509257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509278 */     // GIR_Coverage, 17891,
     /* 1509278 */     GIR_EraseRootFromParent_Done,
     /* 1509279 */   // Label 21000: @1509279
     /* 1509279 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1509361), // Rule ID 17894 //
     /* 1509284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1509301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509323 */     // MIs[0] round
     /* 1509323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509326 */     // MIs[0] policy
     /* 1509326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1509339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509360 */     // GIR_Coverage, 17894,
     /* 1509360 */     GIR_EraseRootFromParent_Done,
     /* 1509361 */   // Label 21001: @1509361
     /* 1509361 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1509443), // Rule ID 17895 //
     /* 1509366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1509377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1509380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1509383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1509386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509405 */     // MIs[0] round
     /* 1509405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509408 */     // MIs[0] policy
     /* 1509408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509418 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1509421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509442 */     // GIR_Coverage, 17895,
     /* 1509442 */     GIR_EraseRootFromParent_Done,
     /* 1509443 */   // Label 21002: @1509443
     /* 1509443 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1509525), // Rule ID 17898 //
     /* 1509448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509487 */     // MIs[0] round
     /* 1509487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509490 */     // MIs[0] policy
     /* 1509490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509500 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1509503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509524 */     // GIR_Coverage, 17898,
     /* 1509524 */     GIR_EraseRootFromParent_Done,
     /* 1509525 */   // Label 21003: @1509525
     /* 1509525 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1509607), // Rule ID 17899 //
     /* 1509530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1509541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1509544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509569 */     // MIs[0] round
     /* 1509569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509572 */     // MIs[0] policy
     /* 1509572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509582 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1509585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509606 */     // GIR_Coverage, 17899,
     /* 1509606 */     GIR_EraseRootFromParent_Done,
     /* 1509607 */   // Label 21004: @1509607
     /* 1509607 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1509689), // Rule ID 17902 //
     /* 1509612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1509629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509651 */     // MIs[0] round
     /* 1509651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509654 */     // MIs[0] policy
     /* 1509654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1509667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509688 */     // GIR_Coverage, 17902,
     /* 1509688 */     GIR_EraseRootFromParent_Done,
     /* 1509689 */   // Label 21005: @1509689
     /* 1509689 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1509771), // Rule ID 17903 //
     /* 1509694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1509711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509733 */     // MIs[0] round
     /* 1509733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509736 */     // MIs[0] policy
     /* 1509736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509746 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1509749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509770 */     // GIR_Coverage, 17903,
     /* 1509770 */     GIR_EraseRootFromParent_Done,
     /* 1509771 */   // Label 21006: @1509771
     /* 1509771 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1509853), // Rule ID 17906 //
     /* 1509776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1509793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509815 */     // MIs[0] round
     /* 1509815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509818 */     // MIs[0] policy
     /* 1509818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1509831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509852 */     // GIR_Coverage, 17906,
     /* 1509852 */     GIR_EraseRootFromParent_Done,
     /* 1509853 */   // Label 21007: @1509853
     /* 1509853 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1509935), // Rule ID 17907 //
     /* 1509858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1509875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509897 */     // MIs[0] round
     /* 1509897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509900 */     // MIs[0] policy
     /* 1509900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1509913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509934 */     // GIR_Coverage, 17907,
     /* 1509934 */     GIR_EraseRootFromParent_Done,
     /* 1509935 */   // Label 21008: @1509935
     /* 1509935 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1510017), // Rule ID 17910 //
     /* 1509940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1509948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1509957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509979 */     // MIs[0] round
     /* 1509979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509982 */     // MIs[0] policy
     /* 1509982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509992 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1509995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510016 */     // GIR_Coverage, 17910,
     /* 1510016 */     GIR_EraseRootFromParent_Done,
     /* 1510017 */   // Label 21009: @1510017
     /* 1510017 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1510099), // Rule ID 17911 //
     /* 1510022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1510039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1510042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510061 */     // MIs[0] round
     /* 1510061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510064 */     // MIs[0] policy
     /* 1510064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510074 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1510077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510098 */     // GIR_Coverage, 17911,
     /* 1510098 */     GIR_EraseRootFromParent_Done,
     /* 1510099 */   // Label 21010: @1510099
     /* 1510099 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1510181), // Rule ID 17914 //
     /* 1510104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510143 */     // MIs[0] round
     /* 1510143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510146 */     // MIs[0] policy
     /* 1510146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510156 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1510159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510180 */     // GIR_Coverage, 17914,
     /* 1510180 */     GIR_EraseRootFromParent_Done,
     /* 1510181 */   // Label 21011: @1510181
     /* 1510181 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510263), // Rule ID 17915 //
     /* 1510186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1510203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1510206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510225 */     // MIs[0] round
     /* 1510225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510228 */     // MIs[0] policy
     /* 1510228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510238 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1510241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510262 */     // GIR_Coverage, 17915,
     /* 1510262 */     GIR_EraseRootFromParent_Done,
     /* 1510263 */   // Label 21012: @1510263
     /* 1510263 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1510345), // Rule ID 17918 //
     /* 1510268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1510285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510307 */     // MIs[0] round
     /* 1510307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510310 */     // MIs[0] policy
     /* 1510310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1510323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510344 */     // GIR_Coverage, 17918,
     /* 1510344 */     GIR_EraseRootFromParent_Done,
     /* 1510345 */   // Label 21013: @1510345
     /* 1510345 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1510427), // Rule ID 17919 //
     /* 1510350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1510361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1510364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1510367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1510370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510389 */     // MIs[0] round
     /* 1510389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510392 */     // MIs[0] policy
     /* 1510392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510402 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1510405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510426 */     // GIR_Coverage, 17919,
     /* 1510426 */     GIR_EraseRootFromParent_Done,
     /* 1510427 */   // Label 21014: @1510427
     /* 1510427 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1510509), // Rule ID 17922 //
     /* 1510432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1510449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510471 */     // MIs[0] round
     /* 1510471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510474 */     // MIs[0] policy
     /* 1510474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510484 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1510487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510508 */     // GIR_Coverage, 17922,
     /* 1510508 */     GIR_EraseRootFromParent_Done,
     /* 1510509 */   // Label 21015: @1510509
     /* 1510509 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1510591), // Rule ID 17923 //
     /* 1510514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1510525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1510528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1510531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1510534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510553 */     // MIs[0] round
     /* 1510553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510556 */     // MIs[0] policy
     /* 1510556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510566 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1510569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510590 */     // GIR_Coverage, 17923,
     /* 1510590 */     GIR_EraseRootFromParent_Done,
     /* 1510591 */   // Label 21016: @1510591
     /* 1510591 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1510673), // Rule ID 17926 //
     /* 1510596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1510613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510635 */     // MIs[0] round
     /* 1510635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510638 */     // MIs[0] policy
     /* 1510638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1510651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510672 */     // GIR_Coverage, 17926,
     /* 1510672 */     GIR_EraseRootFromParent_Done,
     /* 1510673 */   // Label 21017: @1510673
     /* 1510673 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1510755), // Rule ID 17927 //
     /* 1510678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1510695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510717 */     // MIs[0] round
     /* 1510717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510720 */     // MIs[0] policy
     /* 1510720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510730 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1510733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510754 */     // GIR_Coverage, 17927,
     /* 1510754 */     GIR_EraseRootFromParent_Done,
     /* 1510755 */   // Label 21018: @1510755
     /* 1510755 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1510837), // Rule ID 17930 //
     /* 1510760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1510777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510799 */     // MIs[0] round
     /* 1510799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510802 */     // MIs[0] policy
     /* 1510802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510812 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1510815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510836 */     // GIR_Coverage, 17930,
     /* 1510836 */     GIR_EraseRootFromParent_Done,
     /* 1510837 */   // Label 21019: @1510837
     /* 1510837 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1510919), // Rule ID 17931 //
     /* 1510842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1510859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510881 */     // MIs[0] round
     /* 1510881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510884 */     // MIs[0] policy
     /* 1510884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510894 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1510897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510918 */     // GIR_Coverage, 17931,
     /* 1510918 */     GIR_EraseRootFromParent_Done,
     /* 1510919 */   // Label 21020: @1510919
     /* 1510919 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1511001), // Rule ID 17934 //
     /* 1510924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1510932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1510941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510963 */     // MIs[0] round
     /* 1510963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510966 */     // MIs[0] policy
     /* 1510966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1510979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511000 */     // GIR_Coverage, 17934,
     /* 1511000 */     GIR_EraseRootFromParent_Done,
     /* 1511001 */   // Label 21021: @1511001
     /* 1511001 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1511083), // Rule ID 17935 //
     /* 1511006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1511017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1511020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1511023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1511026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511045 */     // MIs[0] round
     /* 1511045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511048 */     // MIs[0] policy
     /* 1511048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511058 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1511061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511082 */     // GIR_Coverage, 17935,
     /* 1511082 */     GIR_EraseRootFromParent_Done,
     /* 1511083 */   // Label 21022: @1511083
     /* 1511083 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1511165), // Rule ID 17938 //
     /* 1511088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511127 */     // MIs[0] round
     /* 1511127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511130 */     // MIs[0] policy
     /* 1511130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1511143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511164 */     // GIR_Coverage, 17938,
     /* 1511164 */     GIR_EraseRootFromParent_Done,
     /* 1511165 */   // Label 21023: @1511165
     /* 1511165 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511247), // Rule ID 17939 //
     /* 1511170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1511181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1511184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1511187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1511190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511209 */     // MIs[0] round
     /* 1511209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511212 */     // MIs[0] policy
     /* 1511212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1511225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511246 */     // GIR_Coverage, 17939,
     /* 1511246 */     GIR_EraseRootFromParent_Done,
     /* 1511247 */   // Label 21024: @1511247
     /* 1511247 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1511329), // Rule ID 17942 //
     /* 1511252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511291 */     // MIs[0] round
     /* 1511291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511294 */     // MIs[0] policy
     /* 1511294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511304 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1511307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511328 */     // GIR_Coverage, 17942,
     /* 1511328 */     GIR_EraseRootFromParent_Done,
     /* 1511329 */   // Label 21025: @1511329
     /* 1511329 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1511411), // Rule ID 17943 //
     /* 1511334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1511345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1511348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1511354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511373 */     // MIs[0] round
     /* 1511373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511376 */     // MIs[0] policy
     /* 1511376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511386 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1511389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511410 */     // GIR_Coverage, 17943,
     /* 1511410 */     GIR_EraseRootFromParent_Done,
     /* 1511411 */   // Label 21026: @1511411
     /* 1511411 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1511493), // Rule ID 17946 //
     /* 1511416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511455 */     // MIs[0] round
     /* 1511455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511458 */     // MIs[0] policy
     /* 1511458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511468 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1511471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511492 */     // GIR_Coverage, 17946,
     /* 1511492 */     GIR_EraseRootFromParent_Done,
     /* 1511493 */   // Label 21027: @1511493
     /* 1511493 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1511575), // Rule ID 17947 //
     /* 1511498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1511509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1511512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1511518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511537 */     // MIs[0] round
     /* 1511537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511540 */     // MIs[0] policy
     /* 1511540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511550 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1511553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511574 */     // GIR_Coverage, 17947,
     /* 1511574 */     GIR_EraseRootFromParent_Done,
     /* 1511575 */   // Label 21028: @1511575
     /* 1511575 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1511657), // Rule ID 17950 //
     /* 1511580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511619 */     // MIs[0] round
     /* 1511619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511622 */     // MIs[0] policy
     /* 1511622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511632 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1511635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511656 */     // GIR_Coverage, 17950,
     /* 1511656 */     GIR_EraseRootFromParent_Done,
     /* 1511657 */   // Label 21029: @1511657
     /* 1511657 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1511739), // Rule ID 17951 //
     /* 1511662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511701 */     // MIs[0] round
     /* 1511701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511704 */     // MIs[0] policy
     /* 1511704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511714 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1511717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511738 */     // GIR_Coverage, 17951,
     /* 1511738 */     GIR_EraseRootFromParent_Done,
     /* 1511739 */   // Label 21030: @1511739
     /* 1511739 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1511821), // Rule ID 17954 //
     /* 1511744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511783 */     // MIs[0] round
     /* 1511783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511786 */     // MIs[0] policy
     /* 1511786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1511799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511820 */     // GIR_Coverage, 17954,
     /* 1511820 */     GIR_EraseRootFromParent_Done,
     /* 1511821 */   // Label 21031: @1511821
     /* 1511821 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1511903), // Rule ID 17955 //
     /* 1511826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511865 */     // MIs[0] round
     /* 1511865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511868 */     // MIs[0] policy
     /* 1511868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511878 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1511881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511902 */     // GIR_Coverage, 17955,
     /* 1511902 */     GIR_EraseRootFromParent_Done,
     /* 1511903 */   // Label 21032: @1511903
     /* 1511903 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1511985), // Rule ID 17958 //
     /* 1511908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511947 */     // MIs[0] round
     /* 1511947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511950 */     // MIs[0] policy
     /* 1511950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1511963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511984 */     // GIR_Coverage, 17958,
     /* 1511984 */     GIR_EraseRootFromParent_Done,
     /* 1511985 */   // Label 21033: @1511985
     /* 1511985 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1512067), // Rule ID 17959 //
     /* 1511990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1511998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1512001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1512004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1512010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512029 */     // MIs[0] round
     /* 1512029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512032 */     // MIs[0] policy
     /* 1512032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512042 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1512045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512066 */     // GIR_Coverage, 17959,
     /* 1512066 */     GIR_EraseRootFromParent_Done,
     /* 1512067 */   // Label 21034: @1512067
     /* 1512067 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1512149), // Rule ID 17962 //
     /* 1512072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512111 */     // MIs[0] round
     /* 1512111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512114 */     // MIs[0] policy
     /* 1512114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1512127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512148 */     // GIR_Coverage, 17962,
     /* 1512148 */     GIR_EraseRootFromParent_Done,
     /* 1512149 */   // Label 21035: @1512149
     /* 1512149 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512231), // Rule ID 17963 //
     /* 1512154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1512174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512193 */     // MIs[0] round
     /* 1512193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512196 */     // MIs[0] policy
     /* 1512196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512206 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1512209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512230 */     // GIR_Coverage, 17963,
     /* 1512230 */     GIR_EraseRootFromParent_Done,
     /* 1512231 */   // Label 21036: @1512231
     /* 1512231 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512313), // Rule ID 17966 //
     /* 1512236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512275 */     // MIs[0] round
     /* 1512275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512278 */     // MIs[0] policy
     /* 1512278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512288 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1512291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512312 */     // GIR_Coverage, 17966,
     /* 1512312 */     GIR_EraseRootFromParent_Done,
     /* 1512313 */   // Label 21037: @1512313
     /* 1512313 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1512395), // Rule ID 17967 //
     /* 1512318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1512329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1512332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1512338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512357 */     // MIs[0] round
     /* 1512357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512360 */     // MIs[0] policy
     /* 1512360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512370 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1512373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512394 */     // GIR_Coverage, 17967,
     /* 1512394 */     GIR_EraseRootFromParent_Done,
     /* 1512395 */   // Label 21038: @1512395
     /* 1512395 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1512477), // Rule ID 17970 //
     /* 1512400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512439 */     // MIs[0] round
     /* 1512439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512442 */     // MIs[0] policy
     /* 1512442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1512455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512476 */     // GIR_Coverage, 17970,
     /* 1512476 */     GIR_EraseRootFromParent_Done,
     /* 1512477 */   // Label 21039: @1512477
     /* 1512477 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1512559), // Rule ID 17971 //
     /* 1512482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1512493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1512496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1512502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512521 */     // MIs[0] round
     /* 1512521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512524 */     // MIs[0] policy
     /* 1512524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512534 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1512537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512558 */     // GIR_Coverage, 17971,
     /* 1512558 */     GIR_EraseRootFromParent_Done,
     /* 1512559 */   // Label 21040: @1512559
     /* 1512559 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1512641), // Rule ID 17974 //
     /* 1512564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512603 */     // MIs[0] round
     /* 1512603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512606 */     // MIs[0] policy
     /* 1512606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1512619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512640 */     // GIR_Coverage, 17974,
     /* 1512640 */     GIR_EraseRootFromParent_Done,
     /* 1512641 */   // Label 21041: @1512641
     /* 1512641 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1512723), // Rule ID 17975 //
     /* 1512646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512685 */     // MIs[0] round
     /* 1512685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512688 */     // MIs[0] policy
     /* 1512688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512698 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1512701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512722 */     // GIR_Coverage, 17975,
     /* 1512722 */     GIR_EraseRootFromParent_Done,
     /* 1512723 */   // Label 21042: @1512723
     /* 1512723 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1512805), // Rule ID 17978 //
     /* 1512728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512767 */     // MIs[0] round
     /* 1512767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512770 */     // MIs[0] policy
     /* 1512770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512780 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1512783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512804 */     // GIR_Coverage, 17978,
     /* 1512804 */     GIR_EraseRootFromParent_Done,
     /* 1512805 */   // Label 21043: @1512805
     /* 1512805 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1512887), // Rule ID 17979 //
     /* 1512810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512849 */     // MIs[0] round
     /* 1512849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512852 */     // MIs[0] policy
     /* 1512852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512862 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1512865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512886 */     // GIR_Coverage, 17979,
     /* 1512886 */     GIR_EraseRootFromParent_Done,
     /* 1512887 */   // Label 21044: @1512887
     /* 1512887 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1512969), // Rule ID 17982 //
     /* 1512892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512931 */     // MIs[0] round
     /* 1512931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512934 */     // MIs[0] policy
     /* 1512934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512944 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1512947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512968 */     // GIR_Coverage, 17982,
     /* 1512968 */     GIR_EraseRootFromParent_Done,
     /* 1512969 */   // Label 21045: @1512969
     /* 1512969 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1513051), // Rule ID 17983 //
     /* 1512974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1512982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513013 */     // MIs[0] round
     /* 1513013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513016 */     // MIs[0] policy
     /* 1513016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513026 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1513029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513050 */     // GIR_Coverage, 17983,
     /* 1513050 */     GIR_EraseRootFromParent_Done,
     /* 1513051 */   // Label 21046: @1513051
     /* 1513051 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1513133), // Rule ID 17986 //
     /* 1513056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513095 */     // MIs[0] round
     /* 1513095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513098 */     // MIs[0] policy
     /* 1513098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1513111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513132 */     // GIR_Coverage, 17986,
     /* 1513132 */     GIR_EraseRootFromParent_Done,
     /* 1513133 */   // Label 21047: @1513133
     /* 1513133 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513215), // Rule ID 17987 //
     /* 1513138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1513149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1513152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1513158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513177 */     // MIs[0] round
     /* 1513177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513180 */     // MIs[0] policy
     /* 1513180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513190 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1513193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513214 */     // GIR_Coverage, 17987,
     /* 1513214 */     GIR_EraseRootFromParent_Done,
     /* 1513215 */   // Label 21048: @1513215
     /* 1513215 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513297), // Rule ID 17990 //
     /* 1513220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513259 */     // MIs[0] round
     /* 1513259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513262 */     // MIs[0] policy
     /* 1513262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513272 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1513275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513296 */     // GIR_Coverage, 17990,
     /* 1513296 */     GIR_EraseRootFromParent_Done,
     /* 1513297 */   // Label 21049: @1513297
     /* 1513297 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1513379), // Rule ID 17991 //
     /* 1513302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1513313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1513316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1513322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513341 */     // MIs[0] round
     /* 1513341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513344 */     // MIs[0] policy
     /* 1513344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1513357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513378 */     // GIR_Coverage, 17991,
     /* 1513378 */     GIR_EraseRootFromParent_Done,
     /* 1513379 */   // Label 21050: @1513379
     /* 1513379 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1513461), // Rule ID 17994 //
     /* 1513384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513423 */     // MIs[0] round
     /* 1513423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513426 */     // MIs[0] policy
     /* 1513426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513436 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1513439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513460 */     // GIR_Coverage, 17994,
     /* 1513460 */     GIR_EraseRootFromParent_Done,
     /* 1513461 */   // Label 21051: @1513461
     /* 1513461 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1513543), // Rule ID 17995 //
     /* 1513466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1513477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1513480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1513486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513505 */     // MIs[0] round
     /* 1513505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513508 */     // MIs[0] policy
     /* 1513508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513518 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1513521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513542 */     // GIR_Coverage, 17995,
     /* 1513542 */     GIR_EraseRootFromParent_Done,
     /* 1513543 */   // Label 21052: @1513543
     /* 1513543 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1513625), // Rule ID 17998 //
     /* 1513548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513587 */     // MIs[0] round
     /* 1513587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513590 */     // MIs[0] policy
     /* 1513590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513600 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1513603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513624 */     // GIR_Coverage, 17998,
     /* 1513624 */     GIR_EraseRootFromParent_Done,
     /* 1513625 */   // Label 21053: @1513625
     /* 1513625 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1513707), // Rule ID 17999 //
     /* 1513630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1513638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513669 */     // MIs[0] round
     /* 1513669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513672 */     // MIs[0] policy
     /* 1513672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513682 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1513685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513706 */     // GIR_Coverage, 17999,
     /* 1513706 */     GIR_EraseRootFromParent_Done,
     /* 1513707 */   // Label 21054: @1513707
     /* 1513707 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1513789), // Rule ID 18002 //
     /* 1513712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1513729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513751 */     // MIs[0] round
     /* 1513751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513754 */     // MIs[0] policy
     /* 1513754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513764 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1513767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513788 */     // GIR_Coverage, 18002,
     /* 1513788 */     GIR_EraseRootFromParent_Done,
     /* 1513789 */   // Label 21055: @1513789
     /* 1513789 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1513871), // Rule ID 18003 //
     /* 1513794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1513811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513833 */     // MIs[0] round
     /* 1513833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513836 */     // MIs[0] policy
     /* 1513836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513846 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1513849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513870 */     // GIR_Coverage, 18003,
     /* 1513870 */     GIR_EraseRootFromParent_Done,
     /* 1513871 */   // Label 21056: @1513871
     /* 1513871 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1513953), // Rule ID 18006 //
     /* 1513876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513915 */     // MIs[0] round
     /* 1513915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513918 */     // MIs[0] policy
     /* 1513918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513928 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1513931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513952 */     // GIR_Coverage, 18006,
     /* 1513952 */     GIR_EraseRootFromParent_Done,
     /* 1513953 */   // Label 21057: @1513953
     /* 1513953 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1514035), // Rule ID 18007 //
     /* 1513958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1513966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513997 */     // MIs[0] round
     /* 1513997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514000 */     // MIs[0] policy
     /* 1514000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514010 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1514013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514034 */     // GIR_Coverage, 18007,
     /* 1514034 */     GIR_EraseRootFromParent_Done,
     /* 1514035 */   // Label 21058: @1514035
     /* 1514035 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1514117), // Rule ID 18010 //
     /* 1514040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514079 */     // MIs[0] round
     /* 1514079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514082 */     // MIs[0] policy
     /* 1514082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1514095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514116 */     // GIR_Coverage, 18010,
     /* 1514116 */     GIR_EraseRootFromParent_Done,
     /* 1514117 */   // Label 21059: @1514117
     /* 1514117 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514199), // Rule ID 18011 //
     /* 1514122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1514133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1514136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514161 */     // MIs[0] round
     /* 1514161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514164 */     // MIs[0] policy
     /* 1514164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514174 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1514177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514198 */     // GIR_Coverage, 18011,
     /* 1514198 */     GIR_EraseRootFromParent_Done,
     /* 1514199 */   // Label 21060: @1514199
     /* 1514199 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514281), // Rule ID 18014 //
     /* 1514204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514243 */     // MIs[0] round
     /* 1514243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514246 */     // MIs[0] policy
     /* 1514246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1514259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514280 */     // GIR_Coverage, 18014,
     /* 1514280 */     GIR_EraseRootFromParent_Done,
     /* 1514281 */   // Label 21061: @1514281
     /* 1514281 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1514363), // Rule ID 18015 //
     /* 1514286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1514297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1514300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514325 */     // MIs[0] round
     /* 1514325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514328 */     // MIs[0] policy
     /* 1514328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514338 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1514341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514362 */     // GIR_Coverage, 18015,
     /* 1514362 */     GIR_EraseRootFromParent_Done,
     /* 1514363 */   // Label 21062: @1514363
     /* 1514363 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1514445), // Rule ID 18018 //
     /* 1514368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514407 */     // MIs[0] round
     /* 1514407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514410 */     // MIs[0] policy
     /* 1514410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514420 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1514423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514444 */     // GIR_Coverage, 18018,
     /* 1514444 */     GIR_EraseRootFromParent_Done,
     /* 1514445 */   // Label 21063: @1514445
     /* 1514445 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1514527), // Rule ID 18019 //
     /* 1514450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1514461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1514464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514489 */     // MIs[0] round
     /* 1514489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514492 */     // MIs[0] policy
     /* 1514492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1514505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514526 */     // GIR_Coverage, 18019,
     /* 1514526 */     GIR_EraseRootFromParent_Done,
     /* 1514527 */   // Label 21064: @1514527
     /* 1514527 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1514609), // Rule ID 18022 //
     /* 1514532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1514549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514571 */     // MIs[0] round
     /* 1514571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514574 */     // MIs[0] policy
     /* 1514574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514584 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1514587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514608 */     // GIR_Coverage, 18022,
     /* 1514608 */     GIR_EraseRootFromParent_Done,
     /* 1514609 */   // Label 21065: @1514609
     /* 1514609 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1514691), // Rule ID 18023 //
     /* 1514614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1514631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514653 */     // MIs[0] round
     /* 1514653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514656 */     // MIs[0] policy
     /* 1514656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514666 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1514669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514690 */     // GIR_Coverage, 18023,
     /* 1514690 */     GIR_EraseRootFromParent_Done,
     /* 1514691 */   // Label 21066: @1514691
     /* 1514691 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1514773), // Rule ID 18026 //
     /* 1514696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1514713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514735 */     // MIs[0] round
     /* 1514735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514738 */     // MIs[0] policy
     /* 1514738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514748 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1514751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514772 */     // GIR_Coverage, 18026,
     /* 1514772 */     GIR_EraseRootFromParent_Done,
     /* 1514773 */   // Label 21067: @1514773
     /* 1514773 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1514855), // Rule ID 18027 //
     /* 1514778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1514795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514817 */     // MIs[0] round
     /* 1514817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514820 */     // MIs[0] policy
     /* 1514820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514830 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1514833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514854 */     // GIR_Coverage, 18027,
     /* 1514854 */     GIR_EraseRootFromParent_Done,
     /* 1514855 */   // Label 21068: @1514855
     /* 1514855 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1514937), // Rule ID 18030 //
     /* 1514860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514899 */     // MIs[0] round
     /* 1514899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514902 */     // MIs[0] policy
     /* 1514902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514912 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1514915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514936 */     // GIR_Coverage, 18030,
     /* 1514936 */     GIR_EraseRootFromParent_Done,
     /* 1514937 */   // Label 21069: @1514937
     /* 1514937 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1515019), // Rule ID 18031 //
     /* 1514942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1514950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514981 */     // MIs[0] round
     /* 1514981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514984 */     // MIs[0] policy
     /* 1514984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514994 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1514997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515018 */     // GIR_Coverage, 18031,
     /* 1515018 */     GIR_EraseRootFromParent_Done,
     /* 1515019 */   // Label 21070: @1515019
     /* 1515019 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1515101), // Rule ID 18034 //
     /* 1515024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515063 */     // MIs[0] round
     /* 1515063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515066 */     // MIs[0] policy
     /* 1515066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515076 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1515079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515100 */     // GIR_Coverage, 18034,
     /* 1515100 */     GIR_EraseRootFromParent_Done,
     /* 1515101 */   // Label 21071: @1515101
     /* 1515101 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515183), // Rule ID 18035 //
     /* 1515106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1515117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1515120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1515123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1515126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515145 */     // MIs[0] round
     /* 1515145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515148 */     // MIs[0] policy
     /* 1515148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515158 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1515161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515182 */     // GIR_Coverage, 18035,
     /* 1515182 */     GIR_EraseRootFromParent_Done,
     /* 1515183 */   // Label 21072: @1515183
     /* 1515183 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515265), // Rule ID 18038 //
     /* 1515188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515227 */     // MIs[0] round
     /* 1515227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515230 */     // MIs[0] policy
     /* 1515230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515240 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1515243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515264 */     // GIR_Coverage, 18038,
     /* 1515264 */     GIR_EraseRootFromParent_Done,
     /* 1515265 */   // Label 21073: @1515265
     /* 1515265 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1515347), // Rule ID 18039 //
     /* 1515270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1515287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1515290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515309 */     // MIs[0] round
     /* 1515309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515312 */     // MIs[0] policy
     /* 1515312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515322 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1515325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515346 */     // GIR_Coverage, 18039,
     /* 1515346 */     GIR_EraseRootFromParent_Done,
     /* 1515347 */   // Label 21074: @1515347
     /* 1515347 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1515429), // Rule ID 18042 //
     /* 1515352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515391 */     // MIs[0] round
     /* 1515391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515394 */     // MIs[0] policy
     /* 1515394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515404 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1515407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515428 */     // GIR_Coverage, 18042,
     /* 1515428 */     GIR_EraseRootFromParent_Done,
     /* 1515429 */   // Label 21075: @1515429
     /* 1515429 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1515511), // Rule ID 18043 //
     /* 1515434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1515445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1515448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515473 */     // MIs[0] round
     /* 1515473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515476 */     // MIs[0] policy
     /* 1515476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515486 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1515489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515510 */     // GIR_Coverage, 18043,
     /* 1515510 */     GIR_EraseRootFromParent_Done,
     /* 1515511 */   // Label 21076: @1515511
     /* 1515511 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1515593), // Rule ID 18046 //
     /* 1515516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1515533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515555 */     // MIs[0] round
     /* 1515555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515558 */     // MIs[0] policy
     /* 1515558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515568 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1515571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515592 */     // GIR_Coverage, 18046,
     /* 1515592 */     GIR_EraseRootFromParent_Done,
     /* 1515593 */   // Label 21077: @1515593
     /* 1515593 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1515675), // Rule ID 18047 //
     /* 1515598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1515615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515637 */     // MIs[0] round
     /* 1515637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515640 */     // MIs[0] policy
     /* 1515640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515650 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1515653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515674 */     // GIR_Coverage, 18047,
     /* 1515674 */     GIR_EraseRootFromParent_Done,
     /* 1515675 */   // Label 21078: @1515675
     /* 1515675 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1515757), // Rule ID 18050 //
     /* 1515680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1515697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515719 */     // MIs[0] round
     /* 1515719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515722 */     // MIs[0] policy
     /* 1515722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515732 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1515735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515756 */     // GIR_Coverage, 18050,
     /* 1515756 */     GIR_EraseRootFromParent_Done,
     /* 1515757 */   // Label 21079: @1515757
     /* 1515757 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1515839), // Rule ID 18051 //
     /* 1515762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1515779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515801 */     // MIs[0] round
     /* 1515801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515804 */     // MIs[0] policy
     /* 1515804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515814 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1515817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515838 */     // GIR_Coverage, 18051,
     /* 1515838 */     GIR_EraseRootFromParent_Done,
     /* 1515839 */   // Label 21080: @1515839
     /* 1515839 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1515921), // Rule ID 18054 //
     /* 1515844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1515861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515883 */     // MIs[0] round
     /* 1515883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515886 */     // MIs[0] policy
     /* 1515886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515896 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1515899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515920 */     // GIR_Coverage, 18054,
     /* 1515920 */     GIR_EraseRootFromParent_Done,
     /* 1515921 */   // Label 21081: @1515921
     /* 1515921 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1516003), // Rule ID 18055 //
     /* 1515926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1515934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1515943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515965 */     // MIs[0] round
     /* 1515965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515968 */     // MIs[0] policy
     /* 1515968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515978 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1515981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516002 */     // GIR_Coverage, 18055,
     /* 1516002 */     GIR_EraseRootFromParent_Done,
     /* 1516003 */   // Label 21082: @1516003
     /* 1516003 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1516085), // Rule ID 18058 //
     /* 1516008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516047 */     // MIs[0] round
     /* 1516047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516050 */     // MIs[0] policy
     /* 1516050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516060 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1516063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516084 */     // GIR_Coverage, 18058,
     /* 1516084 */     GIR_EraseRootFromParent_Done,
     /* 1516085 */   // Label 21083: @1516085
     /* 1516085 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1516167), // Rule ID 18059 //
     /* 1516090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1516107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1516110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516129 */     // MIs[0] round
     /* 1516129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516132 */     // MIs[0] policy
     /* 1516132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516142 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1516145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516166 */     // GIR_Coverage, 18059,
     /* 1516166 */     GIR_EraseRootFromParent_Done,
     /* 1516167 */   // Label 21084: @1516167
     /* 1516167 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516249), // Rule ID 18062 //
     /* 1516172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516211 */     // MIs[0] round
     /* 1516211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516214 */     // MIs[0] policy
     /* 1516214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516224 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1516227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516248 */     // GIR_Coverage, 18062,
     /* 1516248 */     GIR_EraseRootFromParent_Done,
     /* 1516249 */   // Label 21085: @1516249
     /* 1516249 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1516331), // Rule ID 18063 //
     /* 1516254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1516265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1516268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1516274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516293 */     // MIs[0] round
     /* 1516293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516296 */     // MIs[0] policy
     /* 1516296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516306 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1516309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516330 */     // GIR_Coverage, 18063,
     /* 1516330 */     GIR_EraseRootFromParent_Done,
     /* 1516331 */   // Label 21086: @1516331
     /* 1516331 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1516413), // Rule ID 18066 //
     /* 1516336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516375 */     // MIs[0] round
     /* 1516375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516378 */     // MIs[0] policy
     /* 1516378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516388 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1516391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516412 */     // GIR_Coverage, 18066,
     /* 1516412 */     GIR_EraseRootFromParent_Done,
     /* 1516413 */   // Label 21087: @1516413
     /* 1516413 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1516495), // Rule ID 18067 //
     /* 1516418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1516429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1516432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1516438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516457 */     // MIs[0] round
     /* 1516457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516460 */     // MIs[0] policy
     /* 1516460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516470 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1516473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516494 */     // GIR_Coverage, 18067,
     /* 1516494 */     GIR_EraseRootFromParent_Done,
     /* 1516495 */   // Label 21088: @1516495
     /* 1516495 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1516577), // Rule ID 18070 //
     /* 1516500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516539 */     // MIs[0] round
     /* 1516539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516542 */     // MIs[0] policy
     /* 1516542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516552 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1516555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516576 */     // GIR_Coverage, 18070,
     /* 1516576 */     GIR_EraseRootFromParent_Done,
     /* 1516577 */   // Label 21089: @1516577
     /* 1516577 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1516659), // Rule ID 18071 //
     /* 1516582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516621 */     // MIs[0] round
     /* 1516621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516624 */     // MIs[0] policy
     /* 1516624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516634 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1516637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516658 */     // GIR_Coverage, 18071,
     /* 1516658 */     GIR_EraseRootFromParent_Done,
     /* 1516659 */   // Label 21090: @1516659
     /* 1516659 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1516741), // Rule ID 18074 //
     /* 1516664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516703 */     // MIs[0] round
     /* 1516703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516706 */     // MIs[0] policy
     /* 1516706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1516719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516740 */     // GIR_Coverage, 18074,
     /* 1516740 */     GIR_EraseRootFromParent_Done,
     /* 1516741 */   // Label 21091: @1516741
     /* 1516741 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1516823), // Rule ID 18075 //
     /* 1516746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516785 */     // MIs[0] round
     /* 1516785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516788 */     // MIs[0] policy
     /* 1516788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516798 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1516801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516822 */     // GIR_Coverage, 18075,
     /* 1516822 */     GIR_EraseRootFromParent_Done,
     /* 1516823 */   // Label 21092: @1516823
     /* 1516823 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1516905), // Rule ID 18078 //
     /* 1516828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516867 */     // MIs[0] round
     /* 1516867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516870 */     // MIs[0] policy
     /* 1516870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1516883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516904 */     // GIR_Coverage, 18078,
     /* 1516904 */     GIR_EraseRootFromParent_Done,
     /* 1516905 */   // Label 21093: @1516905
     /* 1516905 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1516987), // Rule ID 18079 //
     /* 1516910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1516918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516949 */     // MIs[0] round
     /* 1516949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516952 */     // MIs[0] policy
     /* 1516952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516962 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1516965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516986 */     // GIR_Coverage, 18079,
     /* 1516986 */     GIR_EraseRootFromParent_Done,
     /* 1516987 */   // Label 21094: @1516987
     /* 1516987 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1517069), // Rule ID 18082 //
     /* 1516992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517031 */     // MIs[0] round
     /* 1517031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517034 */     // MIs[0] policy
     /* 1517034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517044 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1517047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517068 */     // GIR_Coverage, 18082,
     /* 1517068 */     GIR_EraseRootFromParent_Done,
     /* 1517069 */   // Label 21095: @1517069
     /* 1517069 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1517151), // Rule ID 18083 //
     /* 1517074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1517094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517113 */     // MIs[0] round
     /* 1517113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517116 */     // MIs[0] policy
     /* 1517116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517126 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1517129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517150 */     // GIR_Coverage, 18083,
     /* 1517150 */     GIR_EraseRootFromParent_Done,
     /* 1517151 */   // Label 21096: @1517151
     /* 1517151 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517233), // Rule ID 18086 //
     /* 1517156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517195 */     // MIs[0] round
     /* 1517195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517198 */     // MIs[0] policy
     /* 1517198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517208 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1517211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517232 */     // GIR_Coverage, 18086,
     /* 1517232 */     GIR_EraseRootFromParent_Done,
     /* 1517233 */   // Label 21097: @1517233
     /* 1517233 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517315), // Rule ID 18087 //
     /* 1517238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1517249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1517252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517277 */     // MIs[0] round
     /* 1517277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517280 */     // MIs[0] policy
     /* 1517280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517290 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1517293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517314 */     // GIR_Coverage, 18087,
     /* 1517314 */     GIR_EraseRootFromParent_Done,
     /* 1517315 */   // Label 21098: @1517315
     /* 1517315 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1517397), // Rule ID 18090 //
     /* 1517320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517359 */     // MIs[0] round
     /* 1517359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517362 */     // MIs[0] policy
     /* 1517362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517372 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1517375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517396 */     // GIR_Coverage, 18090,
     /* 1517396 */     GIR_EraseRootFromParent_Done,
     /* 1517397 */   // Label 21099: @1517397
     /* 1517397 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1517479), // Rule ID 18091 //
     /* 1517402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1517413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1517416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517441 */     // MIs[0] round
     /* 1517441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517444 */     // MIs[0] policy
     /* 1517444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517454 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1517457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517478 */     // GIR_Coverage, 18091,
     /* 1517478 */     GIR_EraseRootFromParent_Done,
     /* 1517479 */   // Label 21100: @1517479
     /* 1517479 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1517561), // Rule ID 18094 //
     /* 1517484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517523 */     // MIs[0] round
     /* 1517523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517526 */     // MIs[0] policy
     /* 1517526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517536 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1517539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517560 */     // GIR_Coverage, 18094,
     /* 1517560 */     GIR_EraseRootFromParent_Done,
     /* 1517561 */   // Label 21101: @1517561
     /* 1517561 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1517643), // Rule ID 18095 //
     /* 1517566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1517577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1517580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1517586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517605 */     // MIs[0] round
     /* 1517605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517608 */     // MIs[0] policy
     /* 1517608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517618 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1517621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517642 */     // GIR_Coverage, 18095,
     /* 1517642 */     GIR_EraseRootFromParent_Done,
     /* 1517643 */   // Label 21102: @1517643
     /* 1517643 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1517725), // Rule ID 18098 //
     /* 1517648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517687 */     // MIs[0] round
     /* 1517687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517690 */     // MIs[0] policy
     /* 1517690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517700 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1517703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517724 */     // GIR_Coverage, 18098,
     /* 1517724 */     GIR_EraseRootFromParent_Done,
     /* 1517725 */   // Label 21103: @1517725
     /* 1517725 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1517807), // Rule ID 18099 //
     /* 1517730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517769 */     // MIs[0] round
     /* 1517769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517772 */     // MIs[0] policy
     /* 1517772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517782 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1517785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517806 */     // GIR_Coverage, 18099,
     /* 1517806 */     GIR_EraseRootFromParent_Done,
     /* 1517807 */   // Label 21104: @1517807
     /* 1517807 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1517889), // Rule ID 18102 //
     /* 1517812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517851 */     // MIs[0] round
     /* 1517851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517854 */     // MIs[0] policy
     /* 1517854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517864 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1517867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517888 */     // GIR_Coverage, 18102,
     /* 1517888 */     GIR_EraseRootFromParent_Done,
     /* 1517889 */   // Label 21105: @1517889
     /* 1517889 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1517971), // Rule ID 18103 //
     /* 1517894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517933 */     // MIs[0] round
     /* 1517933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517936 */     // MIs[0] policy
     /* 1517936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517946 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1517949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517970 */     // GIR_Coverage, 18103,
     /* 1517970 */     GIR_EraseRootFromParent_Done,
     /* 1517971 */   // Label 21106: @1517971
     /* 1517971 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1518053), // Rule ID 18106 //
     /* 1517976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1517984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518015 */     // MIs[0] round
     /* 1518015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518018 */     // MIs[0] policy
     /* 1518018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1518031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518052 */     // GIR_Coverage, 18106,
     /* 1518052 */     GIR_EraseRootFromParent_Done,
     /* 1518053 */   // Label 21107: @1518053
     /* 1518053 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1518135), // Rule ID 18107 //
     /* 1518058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1518069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1518072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1518078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518097 */     // MIs[0] round
     /* 1518097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518100 */     // MIs[0] policy
     /* 1518100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518110 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1518113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518134 */     // GIR_Coverage, 18107,
     /* 1518134 */     GIR_EraseRootFromParent_Done,
     /* 1518135 */   // Label 21108: @1518135
     /* 1518135 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518217), // Rule ID 18110 //
     /* 1518140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518179 */     // MIs[0] round
     /* 1518179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518182 */     // MIs[0] policy
     /* 1518182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518192 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1518195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518216 */     // GIR_Coverage, 18110,
     /* 1518216 */     GIR_EraseRootFromParent_Done,
     /* 1518217 */   // Label 21109: @1518217
     /* 1518217 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518299), // Rule ID 18111 //
     /* 1518222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1518242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518261 */     // MIs[0] round
     /* 1518261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518264 */     // MIs[0] policy
     /* 1518264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518274 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1518277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518298 */     // GIR_Coverage, 18111,
     /* 1518298 */     GIR_EraseRootFromParent_Done,
     /* 1518299 */   // Label 21110: @1518299
     /* 1518299 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1518381), // Rule ID 18114 //
     /* 1518304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518343 */     // MIs[0] round
     /* 1518343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518346 */     // MIs[0] policy
     /* 1518346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518356 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1518359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518380 */     // GIR_Coverage, 18114,
     /* 1518380 */     GIR_EraseRootFromParent_Done,
     /* 1518381 */   // Label 21111: @1518381
     /* 1518381 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1518463), // Rule ID 18115 //
     /* 1518386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1518406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518425 */     // MIs[0] round
     /* 1518425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518428 */     // MIs[0] policy
     /* 1518428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518438 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1518441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518462 */     // GIR_Coverage, 18115,
     /* 1518462 */     GIR_EraseRootFromParent_Done,
     /* 1518463 */   // Label 21112: @1518463
     /* 1518463 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1518545), // Rule ID 18118 //
     /* 1518468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518507 */     // MIs[0] round
     /* 1518507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518510 */     // MIs[0] policy
     /* 1518510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518520 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1518523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518544 */     // GIR_Coverage, 18118,
     /* 1518544 */     GIR_EraseRootFromParent_Done,
     /* 1518545 */   // Label 21113: @1518545
     /* 1518545 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1518627), // Rule ID 18119 //
     /* 1518550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1518558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1518570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518589 */     // MIs[0] round
     /* 1518589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518592 */     // MIs[0] policy
     /* 1518592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518602 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1518605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518626 */     // GIR_Coverage, 18119,
     /* 1518626 */     GIR_EraseRootFromParent_Done,
     /* 1518627 */   // Label 21114: @1518627
     /* 1518627 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1518709), // Rule ID 18122 //
     /* 1518632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518671 */     // MIs[0] round
     /* 1518671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518674 */     // MIs[0] policy
     /* 1518674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518684 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1518687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518708 */     // GIR_Coverage, 18122,
     /* 1518708 */     GIR_EraseRootFromParent_Done,
     /* 1518709 */   // Label 21115: @1518709
     /* 1518709 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1518791), // Rule ID 18123 //
     /* 1518714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518753 */     // MIs[0] round
     /* 1518753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518756 */     // MIs[0] policy
     /* 1518756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518766 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1518769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518790 */     // GIR_Coverage, 18123,
     /* 1518790 */     GIR_EraseRootFromParent_Done,
     /* 1518791 */   // Label 21116: @1518791
     /* 1518791 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1518873), // Rule ID 18126 //
     /* 1518796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1518813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518835 */     // MIs[0] round
     /* 1518835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518838 */     // MIs[0] policy
     /* 1518838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1518851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518872 */     // GIR_Coverage, 18126,
     /* 1518872 */     GIR_EraseRootFromParent_Done,
     /* 1518873 */   // Label 21117: @1518873
     /* 1518873 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1518955), // Rule ID 18127 //
     /* 1518878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1518895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518917 */     // MIs[0] round
     /* 1518917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518920 */     // MIs[0] policy
     /* 1518920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518930 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1518933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518954 */     // GIR_Coverage, 18127,
     /* 1518954 */     GIR_EraseRootFromParent_Done,
     /* 1518955 */   // Label 21118: @1518955
     /* 1518955 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1519037), // Rule ID 18130 //
     /* 1518960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1518968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1518977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518999 */     // MIs[0] round
     /* 1518999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519002 */     // MIs[0] policy
     /* 1519002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519012 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1519015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519036 */     // GIR_Coverage, 18130,
     /* 1519036 */     GIR_EraseRootFromParent_Done,
     /* 1519037 */   // Label 21119: @1519037
     /* 1519037 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1519119), // Rule ID 18131 //
     /* 1519042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1519053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1519056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519081 */     // MIs[0] round
     /* 1519081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519084 */     // MIs[0] policy
     /* 1519084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519094 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1519097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519118 */     // GIR_Coverage, 18131,
     /* 1519118 */     GIR_EraseRootFromParent_Done,
     /* 1519119 */   // Label 21120: @1519119
     /* 1519119 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519201), // Rule ID 18134 //
     /* 1519124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519163 */     // MIs[0] round
     /* 1519163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519166 */     // MIs[0] policy
     /* 1519166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1519179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519200 */     // GIR_Coverage, 18134,
     /* 1519200 */     GIR_EraseRootFromParent_Done,
     /* 1519201 */   // Label 21121: @1519201
     /* 1519201 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519283), // Rule ID 18135 //
     /* 1519206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1519217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1519220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519245 */     // MIs[0] round
     /* 1519245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519248 */     // MIs[0] policy
     /* 1519248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519258 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1519261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519282 */     // GIR_Coverage, 18135,
     /* 1519282 */     GIR_EraseRootFromParent_Done,
     /* 1519283 */   // Label 21122: @1519283
     /* 1519283 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1519365), // Rule ID 18138 //
     /* 1519288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519327 */     // MIs[0] round
     /* 1519327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519330 */     // MIs[0] policy
     /* 1519330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1519343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519364 */     // GIR_Coverage, 18138,
     /* 1519364 */     GIR_EraseRootFromParent_Done,
     /* 1519365 */   // Label 21123: @1519365
     /* 1519365 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1519447), // Rule ID 18139 //
     /* 1519370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519409 */     // MIs[0] round
     /* 1519409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519412 */     // MIs[0] policy
     /* 1519412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519422 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1519425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519446 */     // GIR_Coverage, 18139,
     /* 1519446 */     GIR_EraseRootFromParent_Done,
     /* 1519447 */   // Label 21124: @1519447
     /* 1519447 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1519529), // Rule ID 18142 //
     /* 1519452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1519469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519491 */     // MIs[0] round
     /* 1519491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519494 */     // MIs[0] policy
     /* 1519494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519504 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1519507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519528 */     // GIR_Coverage, 18142,
     /* 1519528 */     GIR_EraseRootFromParent_Done,
     /* 1519529 */   // Label 21125: @1519529
     /* 1519529 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1519611), // Rule ID 18143 //
     /* 1519534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1519551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1519554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519573 */     // MIs[0] round
     /* 1519573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519576 */     // MIs[0] policy
     /* 1519576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519586 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1519589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519610 */     // GIR_Coverage, 18143,
     /* 1519610 */     GIR_EraseRootFromParent_Done,
     /* 1519611 */   // Label 21126: @1519611
     /* 1519611 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1519693), // Rule ID 18146 //
     /* 1519616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519655 */     // MIs[0] round
     /* 1519655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519658 */     // MIs[0] policy
     /* 1519658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1519671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519692 */     // GIR_Coverage, 18146,
     /* 1519692 */     GIR_EraseRootFromParent_Done,
     /* 1519693 */   // Label 21127: @1519693
     /* 1519693 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1519775), // Rule ID 18147 //
     /* 1519698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519737 */     // MIs[0] round
     /* 1519737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519740 */     // MIs[0] policy
     /* 1519740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519750 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1519753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519774 */     // GIR_Coverage, 18147,
     /* 1519774 */     GIR_EraseRootFromParent_Done,
     /* 1519775 */   // Label 21128: @1519775
     /* 1519775 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1519857), // Rule ID 18150 //
     /* 1519780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519819 */     // MIs[0] round
     /* 1519819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519822 */     // MIs[0] policy
     /* 1519822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1519835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519856 */     // GIR_Coverage, 18150,
     /* 1519856 */     GIR_EraseRootFromParent_Done,
     /* 1519857 */   // Label 21129: @1519857
     /* 1519857 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1519939), // Rule ID 18151 //
     /* 1519862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519901 */     // MIs[0] round
     /* 1519901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519904 */     // MIs[0] policy
     /* 1519904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519914 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1519917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519938 */     // GIR_Coverage, 18151,
     /* 1519938 */     GIR_EraseRootFromParent_Done,
     /* 1519939 */   // Label 21130: @1519939
     /* 1519939 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1520021), // Rule ID 18154 //
     /* 1519944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1519952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1519961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519983 */     // MIs[0] round
     /* 1519983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519986 */     // MIs[0] policy
     /* 1519986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519996 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1519999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520020 */     // GIR_Coverage, 18154,
     /* 1520020 */     GIR_EraseRootFromParent_Done,
     /* 1520021 */   // Label 21131: @1520021
     /* 1520021 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1520103), // Rule ID 18155 //
     /* 1520026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1520037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1520040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1520043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1520046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520065 */     // MIs[0] round
     /* 1520065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520068 */     // MIs[0] policy
     /* 1520068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520078 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1520081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520102 */     // GIR_Coverage, 18155,
     /* 1520102 */     GIR_EraseRootFromParent_Done,
     /* 1520103 */   // Label 21132: @1520103
     /* 1520103 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520185), // Rule ID 18158 //
     /* 1520108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520147 */     // MIs[0] round
     /* 1520147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520150 */     // MIs[0] policy
     /* 1520150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520160 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1520163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520184 */     // GIR_Coverage, 18158,
     /* 1520184 */     GIR_EraseRootFromParent_Done,
     /* 1520185 */   // Label 21133: @1520185
     /* 1520185 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520267), // Rule ID 18159 //
     /* 1520190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520229 */     // MIs[0] round
     /* 1520229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520232 */     // MIs[0] policy
     /* 1520232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1520245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520266 */     // GIR_Coverage, 18159,
     /* 1520266 */     GIR_EraseRootFromParent_Done,
     /* 1520267 */   // Label 21134: @1520267
     /* 1520267 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1520349), // Rule ID 18162 //
     /* 1520272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520311 */     // MIs[0] round
     /* 1520311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520314 */     // MIs[0] policy
     /* 1520314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1520327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520348 */     // GIR_Coverage, 18162,
     /* 1520348 */     GIR_EraseRootFromParent_Done,
     /* 1520349 */   // Label 21135: @1520349
     /* 1520349 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1520431), // Rule ID 18163 //
     /* 1520354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520393 */     // MIs[0] round
     /* 1520393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520396 */     // MIs[0] policy
     /* 1520396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520406 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1520409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520430 */     // GIR_Coverage, 18163,
     /* 1520430 */     GIR_EraseRootFromParent_Done,
     /* 1520431 */   // Label 21136: @1520431
     /* 1520431 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1520513), // Rule ID 18166 //
     /* 1520436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1520453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520475 */     // MIs[0] round
     /* 1520475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520478 */     // MIs[0] policy
     /* 1520478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1520491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520512 */     // GIR_Coverage, 18166,
     /* 1520512 */     GIR_EraseRootFromParent_Done,
     /* 1520513 */   // Label 21137: @1520513
     /* 1520513 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1520595), // Rule ID 18167 //
     /* 1520518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1520535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1520538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520557 */     // MIs[0] round
     /* 1520557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520560 */     // MIs[0] policy
     /* 1520560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520570 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1520573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520594 */     // GIR_Coverage, 18167,
     /* 1520594 */     GIR_EraseRootFromParent_Done,
     /* 1520595 */   // Label 21138: @1520595
     /* 1520595 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1520677), // Rule ID 18170 //
     /* 1520600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1520617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520639 */     // MIs[0] round
     /* 1520639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520642 */     // MIs[0] policy
     /* 1520642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520652 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1520655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520676 */     // GIR_Coverage, 18170,
     /* 1520676 */     GIR_EraseRootFromParent_Done,
     /* 1520677 */   // Label 21139: @1520677
     /* 1520677 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1520759), // Rule ID 18171 //
     /* 1520682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1520699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520721 */     // MIs[0] round
     /* 1520721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520724 */     // MIs[0] policy
     /* 1520724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1520737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520758 */     // GIR_Coverage, 18171,
     /* 1520758 */     GIR_EraseRootFromParent_Done,
     /* 1520759 */   // Label 21140: @1520759
     /* 1520759 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1520841), // Rule ID 18174 //
     /* 1520764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1520781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520803 */     // MIs[0] round
     /* 1520803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520806 */     // MIs[0] policy
     /* 1520806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1520819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520840 */     // GIR_Coverage, 18174,
     /* 1520840 */     GIR_EraseRootFromParent_Done,
     /* 1520841 */   // Label 21141: @1520841
     /* 1520841 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1520923), // Rule ID 18175 //
     /* 1520846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1520863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520885 */     // MIs[0] round
     /* 1520885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520888 */     // MIs[0] policy
     /* 1520888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1520901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520922 */     // GIR_Coverage, 18175,
     /* 1520922 */     GIR_EraseRootFromParent_Done,
     /* 1520923 */   // Label 21142: @1520923
     /* 1520923 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1521005), // Rule ID 18178 //
     /* 1520928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1520936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1520945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520967 */     // MIs[0] round
     /* 1520967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520970 */     // MIs[0] policy
     /* 1520970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520980 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1520983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521004 */     // GIR_Coverage, 18178,
     /* 1521004 */     GIR_EraseRootFromParent_Done,
     /* 1521005 */   // Label 21143: @1521005
     /* 1521005 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1521087), // Rule ID 18179 //
     /* 1521010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1521027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1521030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521049 */     // MIs[0] round
     /* 1521049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521052 */     // MIs[0] policy
     /* 1521052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521062 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1521065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521086 */     // GIR_Coverage, 18179,
     /* 1521086 */     GIR_EraseRootFromParent_Done,
     /* 1521087 */   // Label 21144: @1521087
     /* 1521087 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1521169), // Rule ID 18182 //
     /* 1521092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521131 */     // MIs[0] round
     /* 1521131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521134 */     // MIs[0] policy
     /* 1521134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521144 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1521147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521168 */     // GIR_Coverage, 18182,
     /* 1521168 */     GIR_EraseRootFromParent_Done,
     /* 1521169 */   // Label 21145: @1521169
     /* 1521169 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521251), // Rule ID 18183 //
     /* 1521174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1521185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1521188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521213 */     // MIs[0] round
     /* 1521213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521216 */     // MIs[0] policy
     /* 1521216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521226 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1521229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521250 */     // GIR_Coverage, 18183,
     /* 1521250 */     GIR_EraseRootFromParent_Done,
     /* 1521251 */   // Label 21146: @1521251
     /* 1521251 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1521333), // Rule ID 18186 //
     /* 1521256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521295 */     // MIs[0] round
     /* 1521295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521298 */     // MIs[0] policy
     /* 1521298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521308 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1521311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521332 */     // GIR_Coverage, 18186,
     /* 1521332 */     GIR_EraseRootFromParent_Done,
     /* 1521333 */   // Label 21147: @1521333
     /* 1521333 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1521415), // Rule ID 18187 //
     /* 1521338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1521349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1521352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521377 */     // MIs[0] round
     /* 1521377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521380 */     // MIs[0] policy
     /* 1521380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521390 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1521393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521414 */     // GIR_Coverage, 18187,
     /* 1521414 */     GIR_EraseRootFromParent_Done,
     /* 1521415 */   // Label 21148: @1521415
     /* 1521415 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1521497), // Rule ID 18190 //
     /* 1521420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521459 */     // MIs[0] round
     /* 1521459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521462 */     // MIs[0] policy
     /* 1521462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521472 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1521475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521496 */     // GIR_Coverage, 18190,
     /* 1521496 */     GIR_EraseRootFromParent_Done,
     /* 1521497 */   // Label 21149: @1521497
     /* 1521497 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1521579), // Rule ID 18191 //
     /* 1521502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1521522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521541 */     // MIs[0] round
     /* 1521541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521544 */     // MIs[0] policy
     /* 1521544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521554 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1521557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521578 */     // GIR_Coverage, 18191,
     /* 1521578 */     GIR_EraseRootFromParent_Done,
     /* 1521579 */   // Label 21150: @1521579
     /* 1521579 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1521661), // Rule ID 18194 //
     /* 1521584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521623 */     // MIs[0] round
     /* 1521623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521626 */     // MIs[0] policy
     /* 1521626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521636 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1521639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521660 */     // GIR_Coverage, 18194,
     /* 1521660 */     GIR_EraseRootFromParent_Done,
     /* 1521661 */   // Label 21151: @1521661
     /* 1521661 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1521743), // Rule ID 18195 //
     /* 1521666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521705 */     // MIs[0] round
     /* 1521705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521708 */     // MIs[0] policy
     /* 1521708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521718 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1521721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521742 */     // GIR_Coverage, 18195,
     /* 1521742 */     GIR_EraseRootFromParent_Done,
     /* 1521743 */   // Label 21152: @1521743
     /* 1521743 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1521825), // Rule ID 18198 //
     /* 1521748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521787 */     // MIs[0] round
     /* 1521787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521790 */     // MIs[0] policy
     /* 1521790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1521803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521824 */     // GIR_Coverage, 18198,
     /* 1521824 */     GIR_EraseRootFromParent_Done,
     /* 1521825 */   // Label 21153: @1521825
     /* 1521825 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1521907), // Rule ID 18199 //
     /* 1521830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521869 */     // MIs[0] round
     /* 1521869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521872 */     // MIs[0] policy
     /* 1521872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521882 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1521885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521906 */     // GIR_Coverage, 18199,
     /* 1521906 */     GIR_EraseRootFromParent_Done,
     /* 1521907 */   // Label 21154: @1521907
     /* 1521907 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1521989), // Rule ID 18202 //
     /* 1521912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1521920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1521929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521951 */     // MIs[0] round
     /* 1521951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521954 */     // MIs[0] policy
     /* 1521954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521964 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1521967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521988 */     // GIR_Coverage, 18202,
     /* 1521988 */     GIR_EraseRootFromParent_Done,
     /* 1521989 */   // Label 21155: @1521989
     /* 1521989 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1522071), // Rule ID 18203 //
     /* 1521994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1522014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522033 */     // MIs[0] round
     /* 1522033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522036 */     // MIs[0] policy
     /* 1522036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522046 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1522049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522070 */     // GIR_Coverage, 18203,
     /* 1522070 */     GIR_EraseRootFromParent_Done,
     /* 1522071 */   // Label 21156: @1522071
     /* 1522071 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1522153), // Rule ID 18206 //
     /* 1522076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522115 */     // MIs[0] round
     /* 1522115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522118 */     // MIs[0] policy
     /* 1522118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522128 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1522131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522152 */     // GIR_Coverage, 18206,
     /* 1522152 */     GIR_EraseRootFromParent_Done,
     /* 1522153 */   // Label 21157: @1522153
     /* 1522153 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522235), // Rule ID 18207 //
     /* 1522158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1522169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1522172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522197 */     // MIs[0] round
     /* 1522197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522200 */     // MIs[0] policy
     /* 1522200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522210 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1522213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522234 */     // GIR_Coverage, 18207,
     /* 1522234 */     GIR_EraseRootFromParent_Done,
     /* 1522235 */   // Label 21158: @1522235
     /* 1522235 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522317), // Rule ID 18210 //
     /* 1522240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522279 */     // MIs[0] round
     /* 1522279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522282 */     // MIs[0] policy
     /* 1522282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522292 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1522295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522316 */     // GIR_Coverage, 18210,
     /* 1522316 */     GIR_EraseRootFromParent_Done,
     /* 1522317 */   // Label 21159: @1522317
     /* 1522317 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1522399), // Rule ID 18211 //
     /* 1522322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1522333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1522336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522361 */     // MIs[0] round
     /* 1522361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522364 */     // MIs[0] policy
     /* 1522364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522374 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1522377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522398 */     // GIR_Coverage, 18211,
     /* 1522398 */     GIR_EraseRootFromParent_Done,
     /* 1522399 */   // Label 21160: @1522399
     /* 1522399 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1522481), // Rule ID 18214 //
     /* 1522404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522443 */     // MIs[0] round
     /* 1522443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522446 */     // MIs[0] policy
     /* 1522446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522456 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1522459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522480 */     // GIR_Coverage, 18214,
     /* 1522480 */     GIR_EraseRootFromParent_Done,
     /* 1522481 */   // Label 21161: @1522481
     /* 1522481 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1522563), // Rule ID 18215 //
     /* 1522486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1522497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1522500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1522506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522525 */     // MIs[0] round
     /* 1522525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522528 */     // MIs[0] policy
     /* 1522528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522538 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1522541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522562 */     // GIR_Coverage, 18215,
     /* 1522562 */     GIR_EraseRootFromParent_Done,
     /* 1522563 */   // Label 21162: @1522563
     /* 1522563 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1522645), // Rule ID 18218 //
     /* 1522568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522607 */     // MIs[0] round
     /* 1522607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522610 */     // MIs[0] policy
     /* 1522610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522620 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1522623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522644 */     // GIR_Coverage, 18218,
     /* 1522644 */     GIR_EraseRootFromParent_Done,
     /* 1522645 */   // Label 21163: @1522645
     /* 1522645 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1522727), // Rule ID 18219 //
     /* 1522650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522689 */     // MIs[0] round
     /* 1522689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522692 */     // MIs[0] policy
     /* 1522692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522702 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1522705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522726 */     // GIR_Coverage, 18219,
     /* 1522726 */     GIR_EraseRootFromParent_Done,
     /* 1522727 */   // Label 21164: @1522727
     /* 1522727 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1522809), // Rule ID 18222 //
     /* 1522732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522771 */     // MIs[0] round
     /* 1522771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522774 */     // MIs[0] policy
     /* 1522774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1522787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522808 */     // GIR_Coverage, 18222,
     /* 1522808 */     GIR_EraseRootFromParent_Done,
     /* 1522809 */   // Label 21165: @1522809
     /* 1522809 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1522891), // Rule ID 18223 //
     /* 1522814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522853 */     // MIs[0] round
     /* 1522853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522856 */     // MIs[0] policy
     /* 1522856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522866 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1522869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522890 */     // GIR_Coverage, 18223,
     /* 1522890 */     GIR_EraseRootFromParent_Done,
     /* 1522891 */   // Label 21166: @1522891
     /* 1522891 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1522973), // Rule ID 18226 //
     /* 1522896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522935 */     // MIs[0] round
     /* 1522935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522938 */     // MIs[0] policy
     /* 1522938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1522951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522972 */     // GIR_Coverage, 18226,
     /* 1522972 */     GIR_EraseRootFromParent_Done,
     /* 1522973 */   // Label 21167: @1522973
     /* 1522973 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1523055), // Rule ID 18227 //
     /* 1522978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1522986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523017 */     // MIs[0] round
     /* 1523017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523020 */     // MIs[0] policy
     /* 1523020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523030 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1523033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523054 */     // GIR_Coverage, 18227,
     /* 1523054 */     GIR_EraseRootFromParent_Done,
     /* 1523055 */   // Label 21168: @1523055
     /* 1523055 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1523137), // Rule ID 18230 //
     /* 1523060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523099 */     // MIs[0] round
     /* 1523099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523102 */     // MIs[0] policy
     /* 1523102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523112 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1523115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523136 */     // GIR_Coverage, 18230,
     /* 1523136 */     GIR_EraseRootFromParent_Done,
     /* 1523137 */   // Label 21169: @1523137
     /* 1523137 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523219), // Rule ID 18231 //
     /* 1523142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1523153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1523156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1523162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523181 */     // MIs[0] round
     /* 1523181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523184 */     // MIs[0] policy
     /* 1523184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523194 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1523197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523218 */     // GIR_Coverage, 18231,
     /* 1523218 */     GIR_EraseRootFromParent_Done,
     /* 1523219 */   // Label 21170: @1523219
     /* 1523219 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523301), // Rule ID 18234 //
     /* 1523224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523263 */     // MIs[0] round
     /* 1523263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523266 */     // MIs[0] policy
     /* 1523266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523276 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1523279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523300 */     // GIR_Coverage, 18234,
     /* 1523300 */     GIR_EraseRootFromParent_Done,
     /* 1523301 */   // Label 21171: @1523301
     /* 1523301 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1523383), // Rule ID 18235 //
     /* 1523306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1523317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1523320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1523326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523345 */     // MIs[0] round
     /* 1523345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523348 */     // MIs[0] policy
     /* 1523348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523358 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1523361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523382 */     // GIR_Coverage, 18235,
     /* 1523382 */     GIR_EraseRootFromParent_Done,
     /* 1523383 */   // Label 21172: @1523383
     /* 1523383 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1523465), // Rule ID 18238 //
     /* 1523388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523427 */     // MIs[0] round
     /* 1523427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523430 */     // MIs[0] policy
     /* 1523430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523440 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1523443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523464 */     // GIR_Coverage, 18238,
     /* 1523464 */     GIR_EraseRootFromParent_Done,
     /* 1523465 */   // Label 21173: @1523465
     /* 1523465 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1523547), // Rule ID 18239 //
     /* 1523470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1523478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1523481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1523484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1523490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523509 */     // MIs[0] round
     /* 1523509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523512 */     // MIs[0] policy
     /* 1523512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523522 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1523525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523546 */     // GIR_Coverage, 18239,
     /* 1523546 */     GIR_EraseRootFromParent_Done,
     /* 1523547 */   // Label 21174: @1523547
     /* 1523547 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1523629), // Rule ID 18242 //
     /* 1523552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1523569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523591 */     // MIs[0] round
     /* 1523591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523594 */     // MIs[0] policy
     /* 1523594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523604 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1523607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523628 */     // GIR_Coverage, 18242,
     /* 1523628 */     GIR_EraseRootFromParent_Done,
     /* 1523629 */   // Label 21175: @1523629
     /* 1523629 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1523711), // Rule ID 18243 //
     /* 1523634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1523651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523673 */     // MIs[0] round
     /* 1523673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523676 */     // MIs[0] policy
     /* 1523676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523686 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1523689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523710 */     // GIR_Coverage, 18243,
     /* 1523710 */     GIR_EraseRootFromParent_Done,
     /* 1523711 */   // Label 21176: @1523711
     /* 1523711 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1523793), // Rule ID 18246 //
     /* 1523716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1523733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523755 */     // MIs[0] round
     /* 1523755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523758 */     // MIs[0] policy
     /* 1523758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523768 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1523771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523792 */     // GIR_Coverage, 18246,
     /* 1523792 */     GIR_EraseRootFromParent_Done,
     /* 1523793 */   // Label 21177: @1523793
     /* 1523793 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1523875), // Rule ID 18247 //
     /* 1523798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1523815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523837 */     // MIs[0] round
     /* 1523837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523840 */     // MIs[0] policy
     /* 1523840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523850 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1523853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523874 */     // GIR_Coverage, 18247,
     /* 1523874 */     GIR_EraseRootFromParent_Done,
     /* 1523875 */   // Label 21178: @1523875
     /* 1523875 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1523957), // Rule ID 18250 //
     /* 1523880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1523897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523919 */     // MIs[0] round
     /* 1523919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523922 */     // MIs[0] policy
     /* 1523922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523932 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1523935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523956 */     // GIR_Coverage, 18250,
     /* 1523956 */     GIR_EraseRootFromParent_Done,
     /* 1523957 */   // Label 21179: @1523957
     /* 1523957 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1524039), // Rule ID 18251 //
     /* 1523962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1523970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1523979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524001 */     // MIs[0] round
     /* 1524001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524004 */     // MIs[0] policy
     /* 1524004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524014 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1524017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524038 */     // GIR_Coverage, 18251,
     /* 1524038 */     GIR_EraseRootFromParent_Done,
     /* 1524039 */   // Label 21180: @1524039
     /* 1524039 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1524121), // Rule ID 18254 //
     /* 1524044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524083 */     // MIs[0] round
     /* 1524083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524086 */     // MIs[0] policy
     /* 1524086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1524099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524120 */     // GIR_Coverage, 18254,
     /* 1524120 */     GIR_EraseRootFromParent_Done,
     /* 1524121 */   // Label 21181: @1524121
     /* 1524121 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524203), // Rule ID 18255 //
     /* 1524126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1524137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1524140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524165 */     // MIs[0] round
     /* 1524165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524168 */     // MIs[0] policy
     /* 1524168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524178 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1524181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524202 */     // GIR_Coverage, 18255,
     /* 1524202 */     GIR_EraseRootFromParent_Done,
     /* 1524203 */   // Label 21182: @1524203
     /* 1524203 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524285), // Rule ID 18258 //
     /* 1524208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524247 */     // MIs[0] round
     /* 1524247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524250 */     // MIs[0] policy
     /* 1524250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524260 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1524263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524284 */     // GIR_Coverage, 18258,
     /* 1524284 */     GIR_EraseRootFromParent_Done,
     /* 1524285 */   // Label 21183: @1524285
     /* 1524285 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1524367), // Rule ID 18259 //
     /* 1524290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1524307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524329 */     // MIs[0] round
     /* 1524329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524332 */     // MIs[0] policy
     /* 1524332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524342 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1524345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524366 */     // GIR_Coverage, 18259,
     /* 1524366 */     GIR_EraseRootFromParent_Done,
     /* 1524367 */   // Label 21184: @1524367
     /* 1524367 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1524449), // Rule ID 18262 //
     /* 1524372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1524389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524411 */     // MIs[0] round
     /* 1524411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524414 */     // MIs[0] policy
     /* 1524414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524424 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1524427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524448 */     // GIR_Coverage, 18262,
     /* 1524448 */     GIR_EraseRootFromParent_Done,
     /* 1524449 */   // Label 21185: @1524449
     /* 1524449 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1524531), // Rule ID 18263 //
     /* 1524454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1524471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1524474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524493 */     // MIs[0] round
     /* 1524493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524496 */     // MIs[0] policy
     /* 1524496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524506 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1524509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524530 */     // GIR_Coverage, 18263,
     /* 1524530 */     GIR_EraseRootFromParent_Done,
     /* 1524531 */   // Label 21186: @1524531
     /* 1524531 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1524613), // Rule ID 18266 //
     /* 1524536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524575 */     // MIs[0] round
     /* 1524575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524578 */     // MIs[0] policy
     /* 1524578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524588 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1524591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524612 */     // GIR_Coverage, 18266,
     /* 1524612 */     GIR_EraseRootFromParent_Done,
     /* 1524613 */   // Label 21187: @1524613
     /* 1524613 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1524695), // Rule ID 18267 //
     /* 1524618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524657 */     // MIs[0] round
     /* 1524657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524660 */     // MIs[0] policy
     /* 1524660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524670 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1524673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524694 */     // GIR_Coverage, 18267,
     /* 1524694 */     GIR_EraseRootFromParent_Done,
     /* 1524695 */   // Label 21188: @1524695
     /* 1524695 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1524777), // Rule ID 18270 //
     /* 1524700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1524717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524739 */     // MIs[0] round
     /* 1524739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524742 */     // MIs[0] policy
     /* 1524742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524752 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1524755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524776 */     // GIR_Coverage, 18270,
     /* 1524776 */     GIR_EraseRootFromParent_Done,
     /* 1524777 */   // Label 21189: @1524777
     /* 1524777 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1524859), // Rule ID 18271 //
     /* 1524782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1524799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524821 */     // MIs[0] round
     /* 1524821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524824 */     // MIs[0] policy
     /* 1524824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524834 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1524837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524858 */     // GIR_Coverage, 18271,
     /* 1524858 */     GIR_EraseRootFromParent_Done,
     /* 1524859 */   // Label 21190: @1524859
     /* 1524859 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1524941), // Rule ID 18274 //
     /* 1524864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1524881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524903 */     // MIs[0] round
     /* 1524903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524906 */     // MIs[0] policy
     /* 1524906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524916 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1524919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524940 */     // GIR_Coverage, 18274,
     /* 1524940 */     GIR_EraseRootFromParent_Done,
     /* 1524941 */   // Label 21191: @1524941
     /* 1524941 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1525023), // Rule ID 18275 //
     /* 1524946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1524954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1524963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524985 */     // MIs[0] round
     /* 1524985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524988 */     // MIs[0] policy
     /* 1524988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524998 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1525001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525022 */     // GIR_Coverage, 18275,
     /* 1525022 */     GIR_EraseRootFromParent_Done,
     /* 1525023 */   // Label 21192: @1525023
     /* 1525023 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1525105), // Rule ID 18278 //
     /* 1525028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525067 */     // MIs[0] round
     /* 1525067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525070 */     // MIs[0] policy
     /* 1525070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1525083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525104 */     // GIR_Coverage, 18278,
     /* 1525104 */     GIR_EraseRootFromParent_Done,
     /* 1525105 */   // Label 21193: @1525105
     /* 1525105 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525187), // Rule ID 18279 //
     /* 1525110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1525121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1525124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525149 */     // MIs[0] round
     /* 1525149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525152 */     // MIs[0] policy
     /* 1525152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525162 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1525165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525186 */     // GIR_Coverage, 18279,
     /* 1525186 */     GIR_EraseRootFromParent_Done,
     /* 1525187 */   // Label 21194: @1525187
     /* 1525187 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525269), // Rule ID 18282 //
     /* 1525192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525231 */     // MIs[0] round
     /* 1525231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525234 */     // MIs[0] policy
     /* 1525234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525244 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1525247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525268 */     // GIR_Coverage, 18282,
     /* 1525268 */     GIR_EraseRootFromParent_Done,
     /* 1525269 */   // Label 21195: @1525269
     /* 1525269 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1525351), // Rule ID 18283 //
     /* 1525274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525313 */     // MIs[0] round
     /* 1525313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525316 */     // MIs[0] policy
     /* 1525316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525326 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1525329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525350 */     // GIR_Coverage, 18283,
     /* 1525350 */     GIR_EraseRootFromParent_Done,
     /* 1525351 */   // Label 21196: @1525351
     /* 1525351 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1525433), // Rule ID 18286 //
     /* 1525356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1525373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525395 */     // MIs[0] round
     /* 1525395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525398 */     // MIs[0] policy
     /* 1525398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525408 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1525411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525432 */     // GIR_Coverage, 18286,
     /* 1525432 */     GIR_EraseRootFromParent_Done,
     /* 1525433 */   // Label 21197: @1525433
     /* 1525433 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1525515), // Rule ID 18287 //
     /* 1525438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1525455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1525458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525477 */     // MIs[0] round
     /* 1525477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525480 */     // MIs[0] policy
     /* 1525480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525490 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1525493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525514 */     // GIR_Coverage, 18287,
     /* 1525514 */     GIR_EraseRootFromParent_Done,
     /* 1525515 */   // Label 21198: @1525515
     /* 1525515 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1525597), // Rule ID 18290 //
     /* 1525520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1525537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525559 */     // MIs[0] round
     /* 1525559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525562 */     // MIs[0] policy
     /* 1525562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525572 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1525575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525596 */     // GIR_Coverage, 18290,
     /* 1525596 */     GIR_EraseRootFromParent_Done,
     /* 1525597 */   // Label 21199: @1525597
     /* 1525597 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1525679), // Rule ID 18291 //
     /* 1525602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1525619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525641 */     // MIs[0] round
     /* 1525641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525644 */     // MIs[0] policy
     /* 1525644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525654 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1525657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525678 */     // GIR_Coverage, 18291,
     /* 1525678 */     GIR_EraseRootFromParent_Done,
     /* 1525679 */   // Label 21200: @1525679
     /* 1525679 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1525761), // Rule ID 18294 //
     /* 1525684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1525701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525723 */     // MIs[0] round
     /* 1525723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525726 */     // MIs[0] policy
     /* 1525726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1525739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525760 */     // GIR_Coverage, 18294,
     /* 1525760 */     GIR_EraseRootFromParent_Done,
     /* 1525761 */   // Label 21201: @1525761
     /* 1525761 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1525843), // Rule ID 18295 //
     /* 1525766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1525783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525805 */     // MIs[0] round
     /* 1525805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525808 */     // MIs[0] policy
     /* 1525808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525818 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1525821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525842 */     // GIR_Coverage, 18295,
     /* 1525842 */     GIR_EraseRootFromParent_Done,
     /* 1525843 */   // Label 21202: @1525843
     /* 1525843 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1525925), // Rule ID 18298 //
     /* 1525848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1525865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525887 */     // MIs[0] round
     /* 1525887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525890 */     // MIs[0] policy
     /* 1525890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525900 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1525903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525924 */     // GIR_Coverage, 18298,
     /* 1525924 */     GIR_EraseRootFromParent_Done,
     /* 1525925 */   // Label 21203: @1525925
     /* 1525925 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1526007), // Rule ID 18299 //
     /* 1525930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1525938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1525947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525969 */     // MIs[0] round
     /* 1525969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525972 */     // MIs[0] policy
     /* 1525972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525982 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1525985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526006 */     // GIR_Coverage, 18299,
     /* 1526006 */     GIR_EraseRootFromParent_Done,
     /* 1526007 */   // Label 21204: @1526007
     /* 1526007 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1526089), // Rule ID 18302 //
     /* 1526012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526051 */     // MIs[0] round
     /* 1526051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526054 */     // MIs[0] policy
     /* 1526054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526064 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1526067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526088 */     // GIR_Coverage, 18302,
     /* 1526088 */     GIR_EraseRootFromParent_Done,
     /* 1526089 */   // Label 21205: @1526089
     /* 1526089 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1526171), // Rule ID 18303 //
     /* 1526094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1526105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1526108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526133 */     // MIs[0] round
     /* 1526133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526136 */     // MIs[0] policy
     /* 1526136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526146 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1526149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526170 */     // GIR_Coverage, 18303,
     /* 1526170 */     GIR_EraseRootFromParent_Done,
     /* 1526171 */   // Label 21206: @1526171
     /* 1526171 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526253), // Rule ID 18306 //
     /* 1526176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526215 */     // MIs[0] round
     /* 1526215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526218 */     // MIs[0] policy
     /* 1526218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526228 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1526231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526252 */     // GIR_Coverage, 18306,
     /* 1526252 */     GIR_EraseRootFromParent_Done,
     /* 1526253 */   // Label 21207: @1526253
     /* 1526253 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1526335), // Rule ID 18307 //
     /* 1526258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1526269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1526272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526297 */     // MIs[0] round
     /* 1526297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526300 */     // MIs[0] policy
     /* 1526300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526310 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1526313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526334 */     // GIR_Coverage, 18307,
     /* 1526334 */     GIR_EraseRootFromParent_Done,
     /* 1526335 */   // Label 21208: @1526335
     /* 1526335 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1526417), // Rule ID 18310 //
     /* 1526340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526379 */     // MIs[0] round
     /* 1526379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526382 */     // MIs[0] policy
     /* 1526382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526392 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1526395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526416 */     // GIR_Coverage, 18310,
     /* 1526416 */     GIR_EraseRootFromParent_Done,
     /* 1526417 */   // Label 21209: @1526417
     /* 1526417 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1526499), // Rule ID 18311 //
     /* 1526422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526461 */     // MIs[0] round
     /* 1526461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526464 */     // MIs[0] policy
     /* 1526464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526474 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1526477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526498 */     // GIR_Coverage, 18311,
     /* 1526498 */     GIR_EraseRootFromParent_Done,
     /* 1526499 */   // Label 21210: @1526499
     /* 1526499 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1526581), // Rule ID 18314 //
     /* 1526504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526543 */     // MIs[0] round
     /* 1526543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526546 */     // MIs[0] policy
     /* 1526546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526556 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1526559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526580 */     // GIR_Coverage, 18314,
     /* 1526580 */     GIR_EraseRootFromParent_Done,
     /* 1526581 */   // Label 21211: @1526581
     /* 1526581 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1526663), // Rule ID 18315 //
     /* 1526586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1526597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1526600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526625 */     // MIs[0] round
     /* 1526625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526628 */     // MIs[0] policy
     /* 1526628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526638 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1526641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526662 */     // GIR_Coverage, 18315,
     /* 1526662 */     GIR_EraseRootFromParent_Done,
     /* 1526663 */   // Label 21212: @1526663
     /* 1526663 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1526745), // Rule ID 18318 //
     /* 1526668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526707 */     // MIs[0] round
     /* 1526707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526710 */     // MIs[0] policy
     /* 1526710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1526723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526744 */     // GIR_Coverage, 18318,
     /* 1526744 */     GIR_EraseRootFromParent_Done,
     /* 1526745 */   // Label 21213: @1526745
     /* 1526745 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1526827), // Rule ID 18319 //
     /* 1526750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526789 */     // MIs[0] round
     /* 1526789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526792 */     // MIs[0] policy
     /* 1526792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526802 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1526805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526826 */     // GIR_Coverage, 18319,
     /* 1526826 */     GIR_EraseRootFromParent_Done,
     /* 1526827 */   // Label 21214: @1526827
     /* 1526827 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1526909), // Rule ID 18322 //
     /* 1526832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1526849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526871 */     // MIs[0] round
     /* 1526871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526874 */     // MIs[0] policy
     /* 1526874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526884 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1526887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526908 */     // GIR_Coverage, 18322,
     /* 1526908 */     GIR_EraseRootFromParent_Done,
     /* 1526909 */   // Label 21215: @1526909
     /* 1526909 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1526991), // Rule ID 18323 //
     /* 1526914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1526922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1526931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526953 */     // MIs[0] round
     /* 1526953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526956 */     // MIs[0] policy
     /* 1526956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526966 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1526969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526990 */     // GIR_Coverage, 18323,
     /* 1526990 */     GIR_EraseRootFromParent_Done,
     /* 1526991 */   // Label 21216: @1526991
     /* 1526991 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1527073), // Rule ID 18326 //
     /* 1526996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527035 */     // MIs[0] round
     /* 1527035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527038 */     // MIs[0] policy
     /* 1527038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527048 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1527051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527072 */     // GIR_Coverage, 18326,
     /* 1527072 */     GIR_EraseRootFromParent_Done,
     /* 1527073 */   // Label 21217: @1527073
     /* 1527073 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1527155), // Rule ID 18327 //
     /* 1527078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1527089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1527092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1527098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527117 */     // MIs[0] round
     /* 1527117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527120 */     // MIs[0] policy
     /* 1527120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1527133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527154 */     // GIR_Coverage, 18327,
     /* 1527154 */     GIR_EraseRootFromParent_Done,
     /* 1527155 */   // Label 21218: @1527155
     /* 1527155 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527237), // Rule ID 18330 //
     /* 1527160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527199 */     // MIs[0] round
     /* 1527199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527202 */     // MIs[0] policy
     /* 1527202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527212 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1527215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527236 */     // GIR_Coverage, 18330,
     /* 1527236 */     GIR_EraseRootFromParent_Done,
     /* 1527237 */   // Label 21219: @1527237
     /* 1527237 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1527319), // Rule ID 18331 //
     /* 1527242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1527253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1527256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1527262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527281 */     // MIs[0] round
     /* 1527281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527284 */     // MIs[0] policy
     /* 1527284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527294 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1527297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527318 */     // GIR_Coverage, 18331,
     /* 1527318 */     GIR_EraseRootFromParent_Done,
     /* 1527319 */   // Label 21220: @1527319
     /* 1527319 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1527401), // Rule ID 18334 //
     /* 1527324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527363 */     // MIs[0] round
     /* 1527363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527366 */     // MIs[0] policy
     /* 1527366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527376 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1527379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527400 */     // GIR_Coverage, 18334,
     /* 1527400 */     GIR_EraseRootFromParent_Done,
     /* 1527401 */   // Label 21221: @1527401
     /* 1527401 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1527483), // Rule ID 18335 //
     /* 1527406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1527417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1527420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1527426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527445 */     // MIs[0] round
     /* 1527445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527448 */     // MIs[0] policy
     /* 1527448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527458 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1527461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527482 */     // GIR_Coverage, 18335,
     /* 1527482 */     GIR_EraseRootFromParent_Done,
     /* 1527483 */   // Label 21222: @1527483
     /* 1527483 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1527565), // Rule ID 18338 //
     /* 1527488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527527 */     // MIs[0] round
     /* 1527527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527530 */     // MIs[0] policy
     /* 1527530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527540 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1527543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527564 */     // GIR_Coverage, 18338,
     /* 1527564 */     GIR_EraseRootFromParent_Done,
     /* 1527565 */   // Label 21223: @1527565
     /* 1527565 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1527647), // Rule ID 18339 //
     /* 1527570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1527581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1527584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527609 */     // MIs[0] round
     /* 1527609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527612 */     // MIs[0] policy
     /* 1527612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527622 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1527625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527646 */     // GIR_Coverage, 18339,
     /* 1527646 */     GIR_EraseRootFromParent_Done,
     /* 1527647 */   // Label 21224: @1527647
     /* 1527647 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1527729), // Rule ID 18342 //
     /* 1527652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527691 */     // MIs[0] round
     /* 1527691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527694 */     // MIs[0] policy
     /* 1527694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527704 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1527707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527728 */     // GIR_Coverage, 18342,
     /* 1527728 */     GIR_EraseRootFromParent_Done,
     /* 1527729 */   // Label 21225: @1527729
     /* 1527729 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1527811), // Rule ID 18343 //
     /* 1527734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527773 */     // MIs[0] round
     /* 1527773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527776 */     // MIs[0] policy
     /* 1527776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527786 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1527789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527810 */     // GIR_Coverage, 18343,
     /* 1527810 */     GIR_EraseRootFromParent_Done,
     /* 1527811 */   // Label 21226: @1527811
     /* 1527811 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1527893), // Rule ID 18346 //
     /* 1527816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527855 */     // MIs[0] round
     /* 1527855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527858 */     // MIs[0] policy
     /* 1527858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1527871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527892 */     // GIR_Coverage, 18346,
     /* 1527892 */     GIR_EraseRootFromParent_Done,
     /* 1527893 */   // Label 21227: @1527893
     /* 1527893 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1527975), // Rule ID 18347 //
     /* 1527898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527937 */     // MIs[0] round
     /* 1527937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527940 */     // MIs[0] policy
     /* 1527940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527950 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1527953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527974 */     // GIR_Coverage, 18347,
     /* 1527974 */     GIR_EraseRootFromParent_Done,
     /* 1527975 */   // Label 21228: @1527975
     /* 1527975 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1528057), // Rule ID 18350 //
     /* 1527980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1527988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528019 */     // MIs[0] round
     /* 1528019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528022 */     // MIs[0] policy
     /* 1528022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528032 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1528035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528056 */     // GIR_Coverage, 18350,
     /* 1528056 */     GIR_EraseRootFromParent_Done,
     /* 1528057 */   // Label 21229: @1528057
     /* 1528057 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1528139), // Rule ID 18351 //
     /* 1528062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1528082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528101 */     // MIs[0] round
     /* 1528101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528104 */     // MIs[0] policy
     /* 1528104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528114 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1528117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528138 */     // GIR_Coverage, 18351,
     /* 1528138 */     GIR_EraseRootFromParent_Done,
     /* 1528139 */   // Label 21230: @1528139
     /* 1528139 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528221), // Rule ID 18354 //
     /* 1528144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528183 */     // MIs[0] round
     /* 1528183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528186 */     // MIs[0] policy
     /* 1528186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528196 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1528199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528220 */     // GIR_Coverage, 18354,
     /* 1528220 */     GIR_EraseRootFromParent_Done,
     /* 1528221 */   // Label 21231: @1528221
     /* 1528221 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528303), // Rule ID 18355 //
     /* 1528226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1528246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528265 */     // MIs[0] round
     /* 1528265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528268 */     // MIs[0] policy
     /* 1528268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528278 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1528281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528302 */     // GIR_Coverage, 18355,
     /* 1528302 */     GIR_EraseRootFromParent_Done,
     /* 1528303 */   // Label 21232: @1528303
     /* 1528303 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1528385), // Rule ID 18358 //
     /* 1528308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528347 */     // MIs[0] round
     /* 1528347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528350 */     // MIs[0] policy
     /* 1528350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528360 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1528363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528384 */     // GIR_Coverage, 18358,
     /* 1528384 */     GIR_EraseRootFromParent_Done,
     /* 1528385 */   // Label 21233: @1528385
     /* 1528385 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1528467), // Rule ID 18359 //
     /* 1528390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1528398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1528410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528429 */     // MIs[0] round
     /* 1528429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528432 */     // MIs[0] policy
     /* 1528432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528442 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1528445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528466 */     // GIR_Coverage, 18359,
     /* 1528466 */     GIR_EraseRootFromParent_Done,
     /* 1528467 */   // Label 21234: @1528467
     /* 1528467 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1528549), // Rule ID 18362 //
     /* 1528472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1528489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528511 */     // MIs[0] round
     /* 1528511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528514 */     // MIs[0] policy
     /* 1528514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528524 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1528527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528548 */     // GIR_Coverage, 18362,
     /* 1528548 */     GIR_EraseRootFromParent_Done,
     /* 1528549 */   // Label 21235: @1528549
     /* 1528549 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1528631), // Rule ID 18363 //
     /* 1528554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1528565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1528568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1528571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528593 */     // MIs[0] round
     /* 1528593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528596 */     // MIs[0] policy
     /* 1528596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528606 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1528609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528630 */     // GIR_Coverage, 18363,
     /* 1528630 */     GIR_EraseRootFromParent_Done,
     /* 1528631 */   // Label 21236: @1528631
     /* 1528631 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1528713), // Rule ID 18366 //
     /* 1528636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1528653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528675 */     // MIs[0] round
     /* 1528675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528678 */     // MIs[0] policy
     /* 1528678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528688 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1528691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528712 */     // GIR_Coverage, 18366,
     /* 1528712 */     GIR_EraseRootFromParent_Done,
     /* 1528713 */   // Label 21237: @1528713
     /* 1528713 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1528795), // Rule ID 18367 //
     /* 1528718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1528735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528757 */     // MIs[0] round
     /* 1528757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528760 */     // MIs[0] policy
     /* 1528760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528770 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1528773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528794 */     // GIR_Coverage, 18367,
     /* 1528794 */     GIR_EraseRootFromParent_Done,
     /* 1528795 */   // Label 21238: @1528795
     /* 1528795 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1528877), // Rule ID 18370 //
     /* 1528800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1528817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528839 */     // MIs[0] round
     /* 1528839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528842 */     // MIs[0] policy
     /* 1528842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528852 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1528855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528876 */     // GIR_Coverage, 18370,
     /* 1528876 */     GIR_EraseRootFromParent_Done,
     /* 1528877 */   // Label 21239: @1528877
     /* 1528877 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1528959), // Rule ID 18371 //
     /* 1528882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1528899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528921 */     // MIs[0] round
     /* 1528921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528924 */     // MIs[0] policy
     /* 1528924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528934 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1528937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528958 */     // GIR_Coverage, 18371,
     /* 1528958 */     GIR_EraseRootFromParent_Done,
     /* 1528959 */   // Label 21240: @1528959
     /* 1528959 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1529041), // Rule ID 18374 //
     /* 1528964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1528972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1528981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529003 */     // MIs[0] round
     /* 1529003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529006 */     // MIs[0] policy
     /* 1529006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1529019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529040 */     // GIR_Coverage, 18374,
     /* 1529040 */     GIR_EraseRootFromParent_Done,
     /* 1529041 */   // Label 21241: @1529041
     /* 1529041 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1529123), // Rule ID 18375 //
     /* 1529046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1529057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1529060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1529063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529085 */     // MIs[0] round
     /* 1529085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529088 */     // MIs[0] policy
     /* 1529088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529098 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1529101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529122 */     // GIR_Coverage, 18375,
     /* 1529122 */     GIR_EraseRootFromParent_Done,
     /* 1529123 */   // Label 21242: @1529123
     /* 1529123 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529205), // Rule ID 18378 //
     /* 1529128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529167 */     // MIs[0] round
     /* 1529167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529170 */     // MIs[0] policy
     /* 1529170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529180 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1529183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529204 */     // GIR_Coverage, 18378,
     /* 1529204 */     GIR_EraseRootFromParent_Done,
     /* 1529205 */   // Label 21243: @1529205
     /* 1529205 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529287), // Rule ID 18379 //
     /* 1529210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1529230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529249 */     // MIs[0] round
     /* 1529249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529252 */     // MIs[0] policy
     /* 1529252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529262 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1529265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529286 */     // GIR_Coverage, 18379,
     /* 1529286 */     GIR_EraseRootFromParent_Done,
     /* 1529287 */   // Label 21244: @1529287
     /* 1529287 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1529369), // Rule ID 18382 //
     /* 1529292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529331 */     // MIs[0] round
     /* 1529331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529334 */     // MIs[0] policy
     /* 1529334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529344 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1529347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529368 */     // GIR_Coverage, 18382,
     /* 1529368 */     GIR_EraseRootFromParent_Done,
     /* 1529369 */   // Label 21245: @1529369
     /* 1529369 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1529451), // Rule ID 18383 //
     /* 1529374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1529394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529413 */     // MIs[0] round
     /* 1529413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529416 */     // MIs[0] policy
     /* 1529416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529426 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1529429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529450 */     // GIR_Coverage, 18383,
     /* 1529450 */     GIR_EraseRootFromParent_Done,
     /* 1529451 */   // Label 21246: @1529451
     /* 1529451 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1529533), // Rule ID 18386 //
     /* 1529456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1529473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529495 */     // MIs[0] round
     /* 1529495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529498 */     // MIs[0] policy
     /* 1529498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1529511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529532 */     // GIR_Coverage, 18386,
     /* 1529532 */     GIR_EraseRootFromParent_Done,
     /* 1529533 */   // Label 21247: @1529533
     /* 1529533 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1529615), // Rule ID 18387 //
     /* 1529538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1529549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1529552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1529555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529577 */     // MIs[0] round
     /* 1529577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529580 */     // MIs[0] policy
     /* 1529580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529590 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1529593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529614 */     // GIR_Coverage, 18387,
     /* 1529614 */     GIR_EraseRootFromParent_Done,
     /* 1529615 */   // Label 21248: @1529615
     /* 1529615 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1529697), // Rule ID 18390 //
     /* 1529620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1529637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529659 */     // MIs[0] round
     /* 1529659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529662 */     // MIs[0] policy
     /* 1529662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529672 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1529675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529696 */     // GIR_Coverage, 18390,
     /* 1529696 */     GIR_EraseRootFromParent_Done,
     /* 1529697 */   // Label 21249: @1529697
     /* 1529697 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1529779), // Rule ID 18391 //
     /* 1529702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1529719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529741 */     // MIs[0] round
     /* 1529741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529744 */     // MIs[0] policy
     /* 1529744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529754 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1529757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529778 */     // GIR_Coverage, 18391,
     /* 1529778 */     GIR_EraseRootFromParent_Done,
     /* 1529779 */   // Label 21250: @1529779
     /* 1529779 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1529861), // Rule ID 18394 //
     /* 1529784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1529801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529823 */     // MIs[0] round
     /* 1529823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529826 */     // MIs[0] policy
     /* 1529826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529836 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1529839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529860 */     // GIR_Coverage, 18394,
     /* 1529860 */     GIR_EraseRootFromParent_Done,
     /* 1529861 */   // Label 21251: @1529861
     /* 1529861 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1529943), // Rule ID 18395 //
     /* 1529866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1529883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529905 */     // MIs[0] round
     /* 1529905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529908 */     // MIs[0] policy
     /* 1529908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529918 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1529921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529942 */     // GIR_Coverage, 18395,
     /* 1529942 */     GIR_EraseRootFromParent_Done,
     /* 1529943 */   // Label 21252: @1529943
     /* 1529943 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1530025), // Rule ID 18398 //
     /* 1529948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1529956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529987 */     // MIs[0] round
     /* 1529987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529990 */     // MIs[0] policy
     /* 1529990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530000 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1530003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530024 */     // GIR_Coverage, 18398,
     /* 1530024 */     GIR_EraseRootFromParent_Done,
     /* 1530025 */   // Label 21253: @1530025
     /* 1530025 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1530107), // Rule ID 18399 //
     /* 1530030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1530041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1530044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1530047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530069 */     // MIs[0] round
     /* 1530069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530072 */     // MIs[0] policy
     /* 1530072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530082 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1530085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530106 */     // GIR_Coverage, 18399,
     /* 1530106 */     GIR_EraseRootFromParent_Done,
     /* 1530107 */   // Label 21254: @1530107
     /* 1530107 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530189), // Rule ID 18402 //
     /* 1530112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530151 */     // MIs[0] round
     /* 1530151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530154 */     // MIs[0] policy
     /* 1530154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530164 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1530167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530188 */     // GIR_Coverage, 18402,
     /* 1530188 */     GIR_EraseRootFromParent_Done,
     /* 1530189 */   // Label 21255: @1530189
     /* 1530189 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1530271), // Rule ID 18403 //
     /* 1530194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1530205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1530208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1530211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530233 */     // MIs[0] round
     /* 1530233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530236 */     // MIs[0] policy
     /* 1530236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530246 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1530249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530270 */     // GIR_Coverage, 18403,
     /* 1530270 */     GIR_EraseRootFromParent_Done,
     /* 1530271 */   // Label 21256: @1530271
     /* 1530271 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1530353), // Rule ID 18406 //
     /* 1530276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1530293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530315 */     // MIs[0] round
     /* 1530315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530318 */     // MIs[0] policy
     /* 1530318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1530331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530352 */     // GIR_Coverage, 18406,
     /* 1530352 */     GIR_EraseRootFromParent_Done,
     /* 1530353 */   // Label 21257: @1530353
     /* 1530353 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1530435), // Rule ID 18407 //
     /* 1530358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1530375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1530378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530397 */     // MIs[0] round
     /* 1530397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530400 */     // MIs[0] policy
     /* 1530400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530410 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1530413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530434 */     // GIR_Coverage, 18407,
     /* 1530434 */     GIR_EraseRootFromParent_Done,
     /* 1530435 */   // Label 21258: @1530435
     /* 1530435 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1530517), // Rule ID 18410 //
     /* 1530440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530479 */     // MIs[0] round
     /* 1530479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530482 */     // MIs[0] policy
     /* 1530482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530492 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1530495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530516 */     // GIR_Coverage, 18410,
     /* 1530516 */     GIR_EraseRootFromParent_Done,
     /* 1530517 */   // Label 21259: @1530517
     /* 1530517 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1530599), // Rule ID 18411 //
     /* 1530522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1530542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530561 */     // MIs[0] round
     /* 1530561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530564 */     // MIs[0] policy
     /* 1530564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530574 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1530577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530598 */     // GIR_Coverage, 18411,
     /* 1530598 */     GIR_EraseRootFromParent_Done,
     /* 1530599 */   // Label 21260: @1530599
     /* 1530599 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1530681), // Rule ID 18414 //
     /* 1530604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1530621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530643 */     // MIs[0] round
     /* 1530643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530646 */     // MIs[0] policy
     /* 1530646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1530659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530680 */     // GIR_Coverage, 18414,
     /* 1530680 */     GIR_EraseRootFromParent_Done,
     /* 1530681 */   // Label 21261: @1530681
     /* 1530681 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1530763), // Rule ID 18415 //
     /* 1530686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1530703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530725 */     // MIs[0] round
     /* 1530725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530728 */     // MIs[0] policy
     /* 1530728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530738 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1530741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530762 */     // GIR_Coverage, 18415,
     /* 1530762 */     GIR_EraseRootFromParent_Done,
     /* 1530763 */   // Label 21262: @1530763
     /* 1530763 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1530845), // Rule ID 18418 //
     /* 1530768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1530785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530807 */     // MIs[0] round
     /* 1530807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530810 */     // MIs[0] policy
     /* 1530810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530820 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1530823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530844 */     // GIR_Coverage, 18418,
     /* 1530844 */     GIR_EraseRootFromParent_Done,
     /* 1530845 */   // Label 21263: @1530845
     /* 1530845 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1530927), // Rule ID 18419 //
     /* 1530850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1530867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530889 */     // MIs[0] round
     /* 1530889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530892 */     // MIs[0] policy
     /* 1530892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530902 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1530905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530926 */     // GIR_Coverage, 18419,
     /* 1530926 */     GIR_EraseRootFromParent_Done,
     /* 1530927 */   // Label 21264: @1530927
     /* 1530927 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1531009), // Rule ID 18422 //
     /* 1530932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1530940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530971 */     // MIs[0] round
     /* 1530971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530974 */     // MIs[0] policy
     /* 1530974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530984 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1530987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531008 */     // GIR_Coverage, 18422,
     /* 1531008 */     GIR_EraseRootFromParent_Done,
     /* 1531009 */   // Label 21265: @1531009
     /* 1531009 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1531091), // Rule ID 18423 //
     /* 1531014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1531025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1531028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1531034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531053 */     // MIs[0] round
     /* 1531053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531056 */     // MIs[0] policy
     /* 1531056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531066 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1531069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531090 */     // GIR_Coverage, 18423,
     /* 1531090 */     GIR_EraseRootFromParent_Done,
     /* 1531091 */   // Label 21266: @1531091
     /* 1531091 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531173), // Rule ID 18426 //
     /* 1531096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531135 */     // MIs[0] round
     /* 1531135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531138 */     // MIs[0] policy
     /* 1531138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531148 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1531151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531172 */     // GIR_Coverage, 18426,
     /* 1531172 */     GIR_EraseRootFromParent_Done,
     /* 1531173 */   // Label 21267: @1531173
     /* 1531173 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1531255), // Rule ID 18427 //
     /* 1531178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1531189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1531192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531217 */     // MIs[0] round
     /* 1531217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531220 */     // MIs[0] policy
     /* 1531220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531230 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1531233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531254 */     // GIR_Coverage, 18427,
     /* 1531254 */     GIR_EraseRootFromParent_Done,
     /* 1531255 */   // Label 21268: @1531255
     /* 1531255 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1531337), // Rule ID 18430 //
     /* 1531260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531299 */     // MIs[0] round
     /* 1531299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531302 */     // MIs[0] policy
     /* 1531302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531312 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1531315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531336 */     // GIR_Coverage, 18430,
     /* 1531336 */     GIR_EraseRootFromParent_Done,
     /* 1531337 */   // Label 21269: @1531337
     /* 1531337 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1531419), // Rule ID 18431 //
     /* 1531342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531381 */     // MIs[0] round
     /* 1531381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531384 */     // MIs[0] policy
     /* 1531384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531394 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1531397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531418 */     // GIR_Coverage, 18431,
     /* 1531418 */     GIR_EraseRootFromParent_Done,
     /* 1531419 */   // Label 21270: @1531419
     /* 1531419 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1531501), // Rule ID 18434 //
     /* 1531424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531463 */     // MIs[0] round
     /* 1531463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531466 */     // MIs[0] policy
     /* 1531466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1531479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531500 */     // GIR_Coverage, 18434,
     /* 1531500 */     GIR_EraseRootFromParent_Done,
     /* 1531501 */   // Label 21271: @1531501
     /* 1531501 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1531583), // Rule ID 18435 //
     /* 1531506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1531517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1531520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531545 */     // MIs[0] round
     /* 1531545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531548 */     // MIs[0] policy
     /* 1531548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531558 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1531561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531582 */     // GIR_Coverage, 18435,
     /* 1531582 */     GIR_EraseRootFromParent_Done,
     /* 1531583 */   // Label 21272: @1531583
     /* 1531583 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1531665), // Rule ID 18438 //
     /* 1531588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531627 */     // MIs[0] round
     /* 1531627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531630 */     // MIs[0] policy
     /* 1531630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1531643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531664 */     // GIR_Coverage, 18438,
     /* 1531664 */     GIR_EraseRootFromParent_Done,
     /* 1531665 */   // Label 21273: @1531665
     /* 1531665 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1531747), // Rule ID 18439 //
     /* 1531670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531709 */     // MIs[0] round
     /* 1531709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531712 */     // MIs[0] policy
     /* 1531712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531722 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1531725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531746 */     // GIR_Coverage, 18439,
     /* 1531746 */     GIR_EraseRootFromParent_Done,
     /* 1531747 */   // Label 21274: @1531747
     /* 1531747 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1531829), // Rule ID 18442 //
     /* 1531752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1531769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1531787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531791 */     // MIs[0] round
     /* 1531791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531794 */     // MIs[0] policy
     /* 1531794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1531807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531828 */     // GIR_Coverage, 18442,
     /* 1531828 */     GIR_EraseRootFromParent_Done,
     /* 1531829 */   // Label 21275: @1531829
     /* 1531829 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1531911), // Rule ID 18443 //
     /* 1531834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1531851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1531869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531873 */     // MIs[0] round
     /* 1531873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531876 */     // MIs[0] policy
     /* 1531876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531886 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1531889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531910 */     // GIR_Coverage, 18443,
     /* 1531910 */     GIR_EraseRootFromParent_Done,
     /* 1531911 */   // Label 21276: @1531911
     /* 1531911 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1531993), // Rule ID 18446 //
     /* 1531916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1531924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531955 */     // MIs[0] round
     /* 1531955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531958 */     // MIs[0] policy
     /* 1531958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1531971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531992 */     // GIR_Coverage, 18446,
     /* 1531992 */     GIR_EraseRootFromParent_Done,
     /* 1531993 */   // Label 21277: @1531993
     /* 1531993 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1532075), // Rule ID 18447 //
     /* 1531998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1532009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1532012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532037 */     // MIs[0] round
     /* 1532037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532040 */     // MIs[0] policy
     /* 1532040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532050 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1532053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532074 */     // GIR_Coverage, 18447,
     /* 1532074 */     GIR_EraseRootFromParent_Done,
     /* 1532075 */   // Label 21278: @1532075
     /* 1532075 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1532157), // Rule ID 18450 //
     /* 1532080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532119 */     // MIs[0] round
     /* 1532119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532122 */     // MIs[0] policy
     /* 1532122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532132 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1532135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532156 */     // GIR_Coverage, 18450,
     /* 1532156 */     GIR_EraseRootFromParent_Done,
     /* 1532157 */   // Label 21279: @1532157
     /* 1532157 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1532239), // Rule ID 18451 //
     /* 1532162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1532173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1532176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532201 */     // MIs[0] round
     /* 1532201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532204 */     // MIs[0] policy
     /* 1532204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532214 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1532217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532238 */     // GIR_Coverage, 18451,
     /* 1532238 */     GIR_EraseRootFromParent_Done,
     /* 1532239 */   // Label 21280: @1532239
     /* 1532239 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1532321), // Rule ID 18454 //
     /* 1532244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532283 */     // MIs[0] round
     /* 1532283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532286 */     // MIs[0] policy
     /* 1532286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532296 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1532299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532320 */     // GIR_Coverage, 18454,
     /* 1532320 */     GIR_EraseRootFromParent_Done,
     /* 1532321 */   // Label 21281: @1532321
     /* 1532321 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1532403), // Rule ID 18455 //
     /* 1532326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1532337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1532340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1532346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532365 */     // MIs[0] round
     /* 1532365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532368 */     // MIs[0] policy
     /* 1532368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532378 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1532381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532402 */     // GIR_Coverage, 18455,
     /* 1532402 */     GIR_EraseRootFromParent_Done,
     /* 1532403 */   // Label 21282: @1532403
     /* 1532403 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1532485), // Rule ID 18458 //
     /* 1532408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532447 */     // MIs[0] round
     /* 1532447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532450 */     // MIs[0] policy
     /* 1532450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532460 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1532463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532484 */     // GIR_Coverage, 18458,
     /* 1532484 */     GIR_EraseRootFromParent_Done,
     /* 1532485 */   // Label 21283: @1532485
     /* 1532485 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1532567), // Rule ID 18459 //
     /* 1532490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532529 */     // MIs[0] round
     /* 1532529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532532 */     // MIs[0] policy
     /* 1532532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532542 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1532545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532566 */     // GIR_Coverage, 18459,
     /* 1532566 */     GIR_EraseRootFromParent_Done,
     /* 1532567 */   // Label 21284: @1532567
     /* 1532567 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1532649), // Rule ID 18462 //
     /* 1532572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532611 */     // MIs[0] round
     /* 1532611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532614 */     // MIs[0] policy
     /* 1532614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532624 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1532627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532648 */     // GIR_Coverage, 18462,
     /* 1532648 */     GIR_EraseRootFromParent_Done,
     /* 1532649 */   // Label 21285: @1532649
     /* 1532649 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1532731), // Rule ID 18463 //
     /* 1532654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532693 */     // MIs[0] round
     /* 1532693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532696 */     // MIs[0] policy
     /* 1532696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532706 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1532709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532730 */     // GIR_Coverage, 18463,
     /* 1532730 */     GIR_EraseRootFromParent_Done,
     /* 1532731 */   // Label 21286: @1532731
     /* 1532731 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1532813), // Rule ID 18466 //
     /* 1532736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532775 */     // MIs[0] round
     /* 1532775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532778 */     // MIs[0] policy
     /* 1532778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1532791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532812 */     // GIR_Coverage, 18466,
     /* 1532812 */     GIR_EraseRootFromParent_Done,
     /* 1532813 */   // Label 21287: @1532813
     /* 1532813 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1532895), // Rule ID 18467 //
     /* 1532818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1532835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1532853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532857 */     // MIs[0] round
     /* 1532857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532860 */     // MIs[0] policy
     /* 1532860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532870 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1532873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532894 */     // GIR_Coverage, 18467,
     /* 1532894 */     GIR_EraseRootFromParent_Done,
     /* 1532895 */   // Label 21288: @1532895
     /* 1532895 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1532977), // Rule ID 18470 //
     /* 1532900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1532920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532939 */     // MIs[0] round
     /* 1532939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532942 */     // MIs[0] policy
     /* 1532942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532952 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1532955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532976 */     // GIR_Coverage, 18470,
     /* 1532976 */     GIR_EraseRootFromParent_Done,
     /* 1532977 */   // Label 21289: @1532977
     /* 1532977 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1533059), // Rule ID 18471 //
     /* 1532982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1532990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1533002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533021 */     // MIs[0] round
     /* 1533021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533024 */     // MIs[0] policy
     /* 1533024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533034 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1533037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533058 */     // GIR_Coverage, 18471,
     /* 1533058 */     GIR_EraseRootFromParent_Done,
     /* 1533059 */   // Label 21290: @1533059
     /* 1533059 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1533141), // Rule ID 18474 //
     /* 1533064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533103 */     // MIs[0] round
     /* 1533103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533106 */     // MIs[0] policy
     /* 1533106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533116 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1533119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533140 */     // GIR_Coverage, 18474,
     /* 1533140 */     GIR_EraseRootFromParent_Done,
     /* 1533141 */   // Label 21291: @1533141
     /* 1533141 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1533223), // Rule ID 18475 //
     /* 1533146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1533166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533185 */     // MIs[0] round
     /* 1533185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533188 */     // MIs[0] policy
     /* 1533188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533198 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1533201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533222 */     // GIR_Coverage, 18475,
     /* 1533222 */     GIR_EraseRootFromParent_Done,
     /* 1533223 */   // Label 21292: @1533223
     /* 1533223 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1533305), // Rule ID 18478 //
     /* 1533228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533267 */     // MIs[0] round
     /* 1533267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533270 */     // MIs[0] policy
     /* 1533270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1533283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533304 */     // GIR_Coverage, 18478,
     /* 1533304 */     GIR_EraseRootFromParent_Done,
     /* 1533305 */   // Label 21293: @1533305
     /* 1533305 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1533387), // Rule ID 18479 //
     /* 1533310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1533318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1533330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533349 */     // MIs[0] round
     /* 1533349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533352 */     // MIs[0] policy
     /* 1533352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533362 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1533365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533386 */     // GIR_Coverage, 18479,
     /* 1533386 */     GIR_EraseRootFromParent_Done,
     /* 1533387 */   // Label 21294: @1533387
     /* 1533387 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1533469), // Rule ID 18482 //
     /* 1533392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533431 */     // MIs[0] round
     /* 1533431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533434 */     // MIs[0] policy
     /* 1533434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533444 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1533447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533468 */     // GIR_Coverage, 18482,
     /* 1533468 */     GIR_EraseRootFromParent_Done,
     /* 1533469 */   // Label 21295: @1533469
     /* 1533469 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1533551), // Rule ID 18483 //
     /* 1533474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533513 */     // MIs[0] round
     /* 1533513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533516 */     // MIs[0] policy
     /* 1533516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533526 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1533529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533550 */     // GIR_Coverage, 18483,
     /* 1533550 */     GIR_EraseRootFromParent_Done,
     /* 1533551 */   // Label 21296: @1533551
     /* 1533551 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1533633), // Rule ID 18486 //
     /* 1533556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533595 */     // MIs[0] round
     /* 1533595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533598 */     // MIs[0] policy
     /* 1533598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1533611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533632 */     // GIR_Coverage, 18486,
     /* 1533632 */     GIR_EraseRootFromParent_Done,
     /* 1533633 */   // Label 21297: @1533633
     /* 1533633 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1533715), // Rule ID 18487 //
     /* 1533638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533677 */     // MIs[0] round
     /* 1533677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533680 */     // MIs[0] policy
     /* 1533680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533690 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1533693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533714 */     // GIR_Coverage, 18487,
     /* 1533714 */     GIR_EraseRootFromParent_Done,
     /* 1533715 */   // Label 21298: @1533715
     /* 1533715 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1533797), // Rule ID 18490 //
     /* 1533720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1533737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533759 */     // MIs[0] round
     /* 1533759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533762 */     // MIs[0] policy
     /* 1533762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1533775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533796 */     // GIR_Coverage, 18490,
     /* 1533796 */     GIR_EraseRootFromParent_Done,
     /* 1533797 */   // Label 21299: @1533797
     /* 1533797 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1533879), // Rule ID 18491 //
     /* 1533802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1533819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533841 */     // MIs[0] round
     /* 1533841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533844 */     // MIs[0] policy
     /* 1533844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533854 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1533857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533878 */     // GIR_Coverage, 18491,
     /* 1533878 */     GIR_EraseRootFromParent_Done,
     /* 1533879 */   // Label 21300: @1533879
     /* 1533879 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1533961), // Rule ID 18494 //
     /* 1533884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1533901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1533904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533923 */     // MIs[0] round
     /* 1533923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533926 */     // MIs[0] policy
     /* 1533926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1533939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533960 */     // GIR_Coverage, 18494,
     /* 1533960 */     GIR_EraseRootFromParent_Done,
     /* 1533961 */   // Label 21301: @1533961
     /* 1533961 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1534043), // Rule ID 18495 //
     /* 1533966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1533974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1533983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1533986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534005 */     // MIs[0] round
     /* 1534005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534008 */     // MIs[0] policy
     /* 1534008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534018 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1534021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534042 */     // GIR_Coverage, 18495,
     /* 1534042 */     GIR_EraseRootFromParent_Done,
     /* 1534043 */   // Label 21302: @1534043
     /* 1534043 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1534125), // Rule ID 18498 //
     /* 1534048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534087 */     // MIs[0] round
     /* 1534087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534090 */     // MIs[0] policy
     /* 1534090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534100 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1534103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534124 */     // GIR_Coverage, 18498,
     /* 1534124 */     GIR_EraseRootFromParent_Done,
     /* 1534125 */   // Label 21303: @1534125
     /* 1534125 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1534207), // Rule ID 18499 //
     /* 1534130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534169 */     // MIs[0] round
     /* 1534169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534172 */     // MIs[0] policy
     /* 1534172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534182 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1534185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534206 */     // GIR_Coverage, 18499,
     /* 1534206 */     GIR_EraseRootFromParent_Done,
     /* 1534207 */   // Label 21304: @1534207
     /* 1534207 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1534289), // Rule ID 18502 //
     /* 1534212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1534215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1534229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1534232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534251 */     // MIs[0] round
     /* 1534251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534254 */     // MIs[0] policy
     /* 1534254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534264 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1534267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534288 */     // GIR_Coverage, 18502,
     /* 1534288 */     GIR_EraseRootFromParent_Done,
     /* 1534289 */   // Label 21305: @1534289
     /* 1534289 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1534371), // Rule ID 18503 //
     /* 1534294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1534297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1534311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1534314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534333 */     // MIs[0] round
     /* 1534333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534336 */     // MIs[0] policy
     /* 1534336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1534349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534370 */     // GIR_Coverage, 18503,
     /* 1534370 */     GIR_EraseRootFromParent_Done,
     /* 1534371 */   // Label 21306: @1534371
     /* 1534371 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1534453), // Rule ID 18506 //
     /* 1534376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534415 */     // MIs[0] round
     /* 1534415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534418 */     // MIs[0] policy
     /* 1534418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534428 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1534431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534452 */     // GIR_Coverage, 18506,
     /* 1534452 */     GIR_EraseRootFromParent_Done,
     /* 1534453 */   // Label 21307: @1534453
     /* 1534453 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1534535), // Rule ID 18507 //
     /* 1534458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534497 */     // MIs[0] round
     /* 1534497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534500 */     // MIs[0] policy
     /* 1534500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534510 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1534513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534534 */     // GIR_Coverage, 18507,
     /* 1534534 */     GIR_EraseRootFromParent_Done,
     /* 1534535 */   // Label 21308: @1534535
     /* 1534535 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1534617), // Rule ID 18510 //
     /* 1534540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534579 */     // MIs[0] round
     /* 1534579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534582 */     // MIs[0] policy
     /* 1534582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1534595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534616 */     // GIR_Coverage, 18510,
     /* 1534616 */     GIR_EraseRootFromParent_Done,
     /* 1534617 */   // Label 21309: @1534617
     /* 1534617 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1534699), // Rule ID 18511 //
     /* 1534622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534661 */     // MIs[0] round
     /* 1534661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534664 */     // MIs[0] policy
     /* 1534664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534674 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1534677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534698 */     // GIR_Coverage, 18511,
     /* 1534698 */     GIR_EraseRootFromParent_Done,
     /* 1534699 */   // Label 21310: @1534699
     /* 1534699 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1534781), // Rule ID 18514 //
     /* 1534704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1534721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534743 */     // MIs[0] round
     /* 1534743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534746 */     // MIs[0] policy
     /* 1534746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534756 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1534759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534780 */     // GIR_Coverage, 18514,
     /* 1534780 */     GIR_EraseRootFromParent_Done,
     /* 1534781 */   // Label 21311: @1534781
     /* 1534781 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1534863), // Rule ID 18515 //
     /* 1534786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1534803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534825 */     // MIs[0] round
     /* 1534825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534828 */     // MIs[0] policy
     /* 1534828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534838 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1534841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534862 */     // GIR_Coverage, 18515,
     /* 1534862 */     GIR_EraseRootFromParent_Done,
     /* 1534863 */   // Label 21312: @1534863
     /* 1534863 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1534945), // Rule ID 18518 //
     /* 1534868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534907 */     // MIs[0] round
     /* 1534907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534910 */     // MIs[0] policy
     /* 1534910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534920 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1534923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534944 */     // GIR_Coverage, 18518,
     /* 1534944 */     GIR_EraseRootFromParent_Done,
     /* 1534945 */   // Label 21313: @1534945
     /* 1534945 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1535027), // Rule ID 18519 //
     /* 1534950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1534958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534989 */     // MIs[0] round
     /* 1534989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534992 */     // MIs[0] policy
     /* 1534992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1535005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535026 */     // GIR_Coverage, 18519,
     /* 1535026 */     GIR_EraseRootFromParent_Done,
     /* 1535027 */   // Label 21314: @1535027
     /* 1535027 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1535109), // Rule ID 18522 //
     /* 1535032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1535035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535071 */     // MIs[0] round
     /* 1535071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535074 */     // MIs[0] policy
     /* 1535074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535084 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1535087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535108 */     // GIR_Coverage, 18522,
     /* 1535108 */     GIR_EraseRootFromParent_Done,
     /* 1535109 */   // Label 21315: @1535109
     /* 1535109 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1535191), // Rule ID 18523 //
     /* 1535114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535153 */     // MIs[0] round
     /* 1535153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535156 */     // MIs[0] policy
     /* 1535156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535166 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1535169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535190 */     // GIR_Coverage, 18523,
     /* 1535190 */     GIR_EraseRootFromParent_Done,
     /* 1535191 */   // Label 21316: @1535191
     /* 1535191 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1535273), // Rule ID 18526 //
     /* 1535196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1535199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1535213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1535216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535235 */     // MIs[0] round
     /* 1535235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535238 */     // MIs[0] policy
     /* 1535238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1535251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535272 */     // GIR_Coverage, 18526,
     /* 1535272 */     GIR_EraseRootFromParent_Done,
     /* 1535273 */   // Label 21317: @1535273
     /* 1535273 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1535355), // Rule ID 18527 //
     /* 1535278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1535295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1535298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535317 */     // MIs[0] round
     /* 1535317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535320 */     // MIs[0] policy
     /* 1535320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535330 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1535333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535354 */     // GIR_Coverage, 18527,
     /* 1535354 */     GIR_EraseRootFromParent_Done,
     /* 1535355 */   // Label 21318: @1535355
     /* 1535355 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1535437), // Rule ID 18530 //
     /* 1535360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1535377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1535380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535399 */     // MIs[0] round
     /* 1535399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535402 */     // MIs[0] policy
     /* 1535402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1535415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535436 */     // GIR_Coverage, 18530,
     /* 1535436 */     GIR_EraseRootFromParent_Done,
     /* 1535437 */   // Label 21319: @1535437
     /* 1535437 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1535519), // Rule ID 18531 //
     /* 1535442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1535459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1535462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535481 */     // MIs[0] round
     /* 1535481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535484 */     // MIs[0] policy
     /* 1535484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535494 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1535497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535518 */     // GIR_Coverage, 18531,
     /* 1535518 */     GIR_EraseRootFromParent_Done,
     /* 1535519 */   // Label 21320: @1535519
     /* 1535519 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1535601), // Rule ID 18534 //
     /* 1535524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1535541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1535544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535563 */     // MIs[0] round
     /* 1535563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535566 */     // MIs[0] policy
     /* 1535566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1535579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535600 */     // GIR_Coverage, 18534,
     /* 1535600 */     GIR_EraseRootFromParent_Done,
     /* 1535601 */   // Label 21321: @1535601
     /* 1535601 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1535683), // Rule ID 18535 //
     /* 1535606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1535623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1535626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535645 */     // MIs[0] round
     /* 1535645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535648 */     // MIs[0] policy
     /* 1535648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535658 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1535661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535682 */     // GIR_Coverage, 18535,
     /* 1535682 */     GIR_EraseRootFromParent_Done,
     /* 1535683 */   // Label 21322: @1535683
     /* 1535683 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1535765), // Rule ID 18538 //
     /* 1535688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1535705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535727 */     // MIs[0] round
     /* 1535727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535730 */     // MIs[0] policy
     /* 1535730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535740 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1535743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535764 */     // GIR_Coverage, 18538,
     /* 1535764 */     GIR_EraseRootFromParent_Done,
     /* 1535765 */   // Label 21323: @1535765
     /* 1535765 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1535847), // Rule ID 18539 //
     /* 1535770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1535787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535809 */     // MIs[0] round
     /* 1535809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535812 */     // MIs[0] policy
     /* 1535812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535822 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1535825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535846 */     // GIR_Coverage, 18539,
     /* 1535846 */     GIR_EraseRootFromParent_Done,
     /* 1535847 */   // Label 21324: @1535847
     /* 1535847 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1535929), // Rule ID 18542 //
     /* 1535852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1535855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535891 */     // MIs[0] round
     /* 1535891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535894 */     // MIs[0] policy
     /* 1535894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535904 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1535907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535928 */     // GIR_Coverage, 18542,
     /* 1535928 */     GIR_EraseRootFromParent_Done,
     /* 1535929 */   // Label 21325: @1535929
     /* 1535929 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1536011), // Rule ID 18543 //
     /* 1535934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1535937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1535942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535973 */     // MIs[0] round
     /* 1535973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535976 */     // MIs[0] policy
     /* 1535976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535986 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1535989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536010 */     // GIR_Coverage, 18543,
     /* 1536010 */     GIR_EraseRootFromParent_Done,
     /* 1536011 */   // Label 21326: @1536011
     /* 1536011 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1536093), // Rule ID 18546 //
     /* 1536016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1536027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1536030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536055 */     // MIs[0] round
     /* 1536055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536058 */     // MIs[0] policy
     /* 1536058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536068 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1536071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536092 */     // GIR_Coverage, 18546,
     /* 1536092 */     GIR_EraseRootFromParent_Done,
     /* 1536093 */   // Label 21327: @1536093
     /* 1536093 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1536175), // Rule ID 18547 //
     /* 1536098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1536109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1536112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536137 */     // MIs[0] round
     /* 1536137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536140 */     // MIs[0] policy
     /* 1536140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536150 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1536153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536174 */     // GIR_Coverage, 18547,
     /* 1536174 */     GIR_EraseRootFromParent_Done,
     /* 1536175 */   // Label 21328: @1536175
     /* 1536175 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1536257), // Rule ID 18550 //
     /* 1536180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536219 */     // MIs[0] round
     /* 1536219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536222 */     // MIs[0] policy
     /* 1536222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1536235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536256 */     // GIR_Coverage, 18550,
     /* 1536256 */     GIR_EraseRootFromParent_Done,
     /* 1536257 */   // Label 21329: @1536257
     /* 1536257 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1536339), // Rule ID 18551 //
     /* 1536262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1536265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536301 */     // MIs[0] round
     /* 1536301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536304 */     // MIs[0] policy
     /* 1536304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536314 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1536317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536338 */     // GIR_Coverage, 18551,
     /* 1536338 */     GIR_EraseRootFromParent_Done,
     /* 1536339 */   // Label 21330: @1536339
     /* 1536339 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1536421), // Rule ID 18554 //
     /* 1536344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536383 */     // MIs[0] round
     /* 1536383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536386 */     // MIs[0] policy
     /* 1536386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536396 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1536399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536420 */     // GIR_Coverage, 18554,
     /* 1536420 */     GIR_EraseRootFromParent_Done,
     /* 1536421 */   // Label 21331: @1536421
     /* 1536421 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1536503), // Rule ID 18555 //
     /* 1536426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1536446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536465 */     // MIs[0] round
     /* 1536465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536468 */     // MIs[0] policy
     /* 1536468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536478 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1536481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536502 */     // GIR_Coverage, 18555,
     /* 1536502 */     GIR_EraseRootFromParent_Done,
     /* 1536503 */   // Label 21332: @1536503
     /* 1536503 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1536585), // Rule ID 18558 //
     /* 1536508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536547 */     // MIs[0] round
     /* 1536547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536550 */     // MIs[0] policy
     /* 1536550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1536563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536584 */     // GIR_Coverage, 18558,
     /* 1536584 */     GIR_EraseRootFromParent_Done,
     /* 1536585 */   // Label 21333: @1536585
     /* 1536585 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1536667), // Rule ID 18559 //
     /* 1536590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1536593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536629 */     // MIs[0] round
     /* 1536629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536632 */     // MIs[0] policy
     /* 1536632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536642 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1536645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536666 */     // GIR_Coverage, 18559,
     /* 1536666 */     GIR_EraseRootFromParent_Done,
     /* 1536667 */   // Label 21334: @1536667
     /* 1536667 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1536749), // Rule ID 18562 //
     /* 1536672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1536675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1536689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1536707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536711 */     // MIs[0] round
     /* 1536711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536714 */     // MIs[0] policy
     /* 1536714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536724 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1536727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536748 */     // GIR_Coverage, 18562,
     /* 1536748 */     GIR_EraseRootFromParent_Done,
     /* 1536749 */   // Label 21335: @1536749
     /* 1536749 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1536831), // Rule ID 18563 //
     /* 1536754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1536757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1536771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1536789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536793 */     // MIs[0] round
     /* 1536793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536796 */     // MIs[0] policy
     /* 1536796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536806 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1536809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536830 */     // GIR_Coverage, 18563,
     /* 1536830 */     GIR_EraseRootFromParent_Done,
     /* 1536831 */   // Label 21336: @1536831
     /* 1536831 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1536913), // Rule ID 18566 //
     /* 1536836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536875 */     // MIs[0] round
     /* 1536875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536878 */     // MIs[0] policy
     /* 1536878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536888 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1536891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536912 */     // GIR_Coverage, 18566,
     /* 1536912 */     GIR_EraseRootFromParent_Done,
     /* 1536913 */   // Label 21337: @1536913
     /* 1536913 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1536995), // Rule ID 18567 //
     /* 1536918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1536926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536957 */     // MIs[0] round
     /* 1536957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536960 */     // MIs[0] policy
     /* 1536960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536970 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1536973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536994 */     // GIR_Coverage, 18567,
     /* 1536994 */     GIR_EraseRootFromParent_Done,
     /* 1536995 */   // Label 21338: @1536995
     /* 1536995 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1537077), // Rule ID 18570 //
     /* 1537000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1537003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1537011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1537014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537039 */     // MIs[0] round
     /* 1537039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537042 */     // MIs[0] policy
     /* 1537042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537052 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1537055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537076 */     // GIR_Coverage, 18570,
     /* 1537076 */     GIR_EraseRootFromParent_Done,
     /* 1537077 */   // Label 21339: @1537077
     /* 1537077 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1537159), // Rule ID 18571 //
     /* 1537082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1537085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1537093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1537096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537121 */     // MIs[0] round
     /* 1537121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537124 */     // MIs[0] policy
     /* 1537124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537134 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1537137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537158 */     // GIR_Coverage, 18571,
     /* 1537158 */     GIR_EraseRootFromParent_Done,
     /* 1537159 */   // Label 21340: @1537159
     /* 1537159 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1537241), // Rule ID 18574 //
     /* 1537164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1537167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1537175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1537178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1537184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537203 */     // MIs[0] round
     /* 1537203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537206 */     // MIs[0] policy
     /* 1537206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537216 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1537219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537240 */     // GIR_Coverage, 18574,
     /* 1537240 */     GIR_EraseRootFromParent_Done,
     /* 1537241 */   // Label 21341: @1537241
     /* 1537241 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1537323), // Rule ID 18575 //
     /* 1537246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1537249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1537257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1537260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1537266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537285 */     // MIs[0] round
     /* 1537285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537288 */     // MIs[0] policy
     /* 1537288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537298 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1537301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537322 */     // GIR_Coverage, 18575,
     /* 1537322 */     GIR_EraseRootFromParent_Done,
     /* 1537323 */   // Label 21342: @1537323
     /* 1537323 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1537405), // Rule ID 18578 //
     /* 1537328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537367 */     // MIs[0] round
     /* 1537367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537370 */     // MIs[0] policy
     /* 1537370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537380 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1537383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537404 */     // GIR_Coverage, 18578,
     /* 1537404 */     GIR_EraseRootFromParent_Done,
     /* 1537405 */   // Label 21343: @1537405
     /* 1537405 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1537487), // Rule ID 18579 //
     /* 1537410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537449 */     // MIs[0] round
     /* 1537449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537452 */     // MIs[0] policy
     /* 1537452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537462 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1537465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537486 */     // GIR_Coverage, 18579,
     /* 1537486 */     GIR_EraseRootFromParent_Done,
     /* 1537487 */   // Label 21344: @1537487
     /* 1537487 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1537569), // Rule ID 18582 //
     /* 1537492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537531 */     // MIs[0] round
     /* 1537531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537534 */     // MIs[0] policy
     /* 1537534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537544 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1537547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537568 */     // GIR_Coverage, 18582,
     /* 1537568 */     GIR_EraseRootFromParent_Done,
     /* 1537569 */   // Label 21345: @1537569
     /* 1537569 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1537651), // Rule ID 18583 //
     /* 1537574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1537594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537613 */     // MIs[0] round
     /* 1537613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537616 */     // MIs[0] policy
     /* 1537616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537626 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1537629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537650 */     // GIR_Coverage, 18583,
     /* 1537650 */     GIR_EraseRootFromParent_Done,
     /* 1537651 */   // Label 21346: @1537651
     /* 1537651 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1537733), // Rule ID 18586 //
     /* 1537656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537695 */     // MIs[0] round
     /* 1537695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537698 */     // MIs[0] policy
     /* 1537698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537708 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1537711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537732 */     // GIR_Coverage, 18586,
     /* 1537732 */     GIR_EraseRootFromParent_Done,
     /* 1537733 */   // Label 21347: @1537733
     /* 1537733 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1537815), // Rule ID 18587 //
     /* 1537738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537777 */     // MIs[0] round
     /* 1537777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537780 */     // MIs[0] policy
     /* 1537780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537790 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1537793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537814 */     // GIR_Coverage, 18587,
     /* 1537814 */     GIR_EraseRootFromParent_Done,
     /* 1537815 */   // Label 21348: @1537815
     /* 1537815 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1537897), // Rule ID 18590 //
     /* 1537820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1537837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1537840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1537855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537859 */     // MIs[0] round
     /* 1537859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537862 */     // MIs[0] policy
     /* 1537862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537872 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1537875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537896 */     // GIR_Coverage, 18590,
     /* 1537896 */     GIR_EraseRootFromParent_Done,
     /* 1537897 */   // Label 21349: @1537897
     /* 1537897 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1537979), // Rule ID 18591 //
     /* 1537902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1537905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1537919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1537922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1537937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537941 */     // MIs[0] round
     /* 1537941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537944 */     // MIs[0] policy
     /* 1537944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537954 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1537957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537978 */     // GIR_Coverage, 18591,
     /* 1537978 */     GIR_EraseRootFromParent_Done,
     /* 1537979 */   // Label 21350: @1537979
     /* 1537979 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1538061), // Rule ID 18594 //
     /* 1537984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1537992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1538004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538023 */     // MIs[0] round
     /* 1538023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538026 */     // MIs[0] policy
     /* 1538026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538036 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1538039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538060 */     // GIR_Coverage, 18594,
     /* 1538060 */     GIR_EraseRootFromParent_Done,
     /* 1538061 */   // Label 21351: @1538061
     /* 1538061 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1538143), // Rule ID 18595 //
     /* 1538066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1538069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1538086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538105 */     // MIs[0] round
     /* 1538105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538108 */     // MIs[0] policy
     /* 1538108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538118 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1538121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538142 */     // GIR_Coverage, 18595,
     /* 1538142 */     GIR_EraseRootFromParent_Done,
     /* 1538143 */   // Label 21352: @1538143
     /* 1538143 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1538225), // Rule ID 18598 //
     /* 1538148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1538151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1538168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538187 */     // MIs[0] round
     /* 1538187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538190 */     // MIs[0] policy
     /* 1538190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538200 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1538203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538224 */     // GIR_Coverage, 18598,
     /* 1538224 */     GIR_EraseRootFromParent_Done,
     /* 1538225 */   // Label 21353: @1538225
     /* 1538225 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1538307), // Rule ID 18599 //
     /* 1538230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1538233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1538238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1538250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538269 */     // MIs[0] round
     /* 1538269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538272 */     // MIs[0] policy
     /* 1538272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538282 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1538285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538306 */     // GIR_Coverage, 18599,
     /* 1538306 */     GIR_EraseRootFromParent_Done,
     /* 1538307 */   // Label 21354: @1538307
     /* 1538307 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1538389), // Rule ID 18602 //
     /* 1538312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1538329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538351 */     // MIs[0] round
     /* 1538351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538354 */     // MIs[0] policy
     /* 1538354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538364 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1538367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538388 */     // GIR_Coverage, 18602,
     /* 1538388 */     GIR_EraseRootFromParent_Done,
     /* 1538389 */   // Label 21355: @1538389
     /* 1538389 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1538471), // Rule ID 18603 //
     /* 1538394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1538411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538433 */     // MIs[0] round
     /* 1538433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538436 */     // MIs[0] policy
     /* 1538436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538446 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1538449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538470 */     // GIR_Coverage, 18603,
     /* 1538470 */     GIR_EraseRootFromParent_Done,
     /* 1538471 */   // Label 21356: @1538471
     /* 1538471 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1538553), // Rule ID 18606 //
     /* 1538476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1538493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538515 */     // MIs[0] round
     /* 1538515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538518 */     // MIs[0] policy
     /* 1538518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1538531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538552 */     // GIR_Coverage, 18606,
     /* 1538552 */     GIR_EraseRootFromParent_Done,
     /* 1538553 */   // Label 21357: @1538553
     /* 1538553 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1538635), // Rule ID 18607 //
     /* 1538558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1538575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538597 */     // MIs[0] round
     /* 1538597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538600 */     // MIs[0] policy
     /* 1538600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1538613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538634 */     // GIR_Coverage, 18607,
     /* 1538634 */     GIR_EraseRootFromParent_Done,
     /* 1538635 */   // Label 21358: @1538635
     /* 1538635 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1538717), // Rule ID 18610 //
     /* 1538640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1538657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538679 */     // MIs[0] round
     /* 1538679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538682 */     // MIs[0] policy
     /* 1538682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538692 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1538695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538716 */     // GIR_Coverage, 18610,
     /* 1538716 */     GIR_EraseRootFromParent_Done,
     /* 1538717 */   // Label 21359: @1538717
     /* 1538717 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1538799), // Rule ID 18611 //
     /* 1538722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1538739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538761 */     // MIs[0] round
     /* 1538761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538764 */     // MIs[0] policy
     /* 1538764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538774 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1538777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538798 */     // GIR_Coverage, 18611,
     /* 1538798 */     GIR_EraseRootFromParent_Done,
     /* 1538799 */   // Label 21360: @1538799
     /* 1538799 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1538881), // Rule ID 18614 //
     /* 1538804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1538821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538843 */     // MIs[0] round
     /* 1538843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538846 */     // MIs[0] policy
     /* 1538846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538856 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1538859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538880 */     // GIR_Coverage, 18614,
     /* 1538880 */     GIR_EraseRootFromParent_Done,
     /* 1538881 */   // Label 21361: @1538881
     /* 1538881 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1538963), // Rule ID 18615 //
     /* 1538886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1538903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538925 */     // MIs[0] round
     /* 1538925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538928 */     // MIs[0] policy
     /* 1538928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538938 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1538941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538962 */     // GIR_Coverage, 18615,
     /* 1538962 */     GIR_EraseRootFromParent_Done,
     /* 1538963 */   // Label 21362: @1538963
     /* 1538963 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1539045), // Rule ID 18618 //
     /* 1538968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1538976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1538985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539007 */     // MIs[0] round
     /* 1539007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539010 */     // MIs[0] policy
     /* 1539010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539020 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1539023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539044 */     // GIR_Coverage, 18618,
     /* 1539044 */     GIR_EraseRootFromParent_Done,
     /* 1539045 */   // Label 21363: @1539045
     /* 1539045 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1539127), // Rule ID 18619 //
     /* 1539050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1539067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539089 */     // MIs[0] round
     /* 1539089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539092 */     // MIs[0] policy
     /* 1539092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539102 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1539105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539126 */     // GIR_Coverage, 18619,
     /* 1539126 */     GIR_EraseRootFromParent_Done,
     /* 1539127 */   // Label 21364: @1539127
     /* 1539127 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1539209), // Rule ID 18622 //
     /* 1539132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539171 */     // MIs[0] round
     /* 1539171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539174 */     // MIs[0] policy
     /* 1539174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1539187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539208 */     // GIR_Coverage, 18622,
     /* 1539208 */     GIR_EraseRootFromParent_Done,
     /* 1539209 */   // Label 21365: @1539209
     /* 1539209 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1539291), // Rule ID 18623 //
     /* 1539214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539253 */     // MIs[0] round
     /* 1539253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539256 */     // MIs[0] policy
     /* 1539256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539266 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1539269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539290 */     // GIR_Coverage, 18623,
     /* 1539290 */     GIR_EraseRootFromParent_Done,
     /* 1539291 */   // Label 21366: @1539291
     /* 1539291 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1539373), // Rule ID 18626 //
     /* 1539296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539335 */     // MIs[0] round
     /* 1539335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539338 */     // MIs[0] policy
     /* 1539338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539348 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1539351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539372 */     // GIR_Coverage, 18626,
     /* 1539372 */     GIR_EraseRootFromParent_Done,
     /* 1539373 */   // Label 21367: @1539373
     /* 1539373 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1539455), // Rule ID 18627 //
     /* 1539378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539417 */     // MIs[0] round
     /* 1539417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539420 */     // MIs[0] policy
     /* 1539420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539430 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1539433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539454 */     // GIR_Coverage, 18627,
     /* 1539454 */     GIR_EraseRootFromParent_Done,
     /* 1539455 */   // Label 21368: @1539455
     /* 1539455 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1539537), // Rule ID 18630 //
     /* 1539460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1539477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539499 */     // MIs[0] round
     /* 1539499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539502 */     // MIs[0] policy
     /* 1539502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539512 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1539515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539536 */     // GIR_Coverage, 18630,
     /* 1539536 */     GIR_EraseRootFromParent_Done,
     /* 1539537 */   // Label 21369: @1539537
     /* 1539537 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1539619), // Rule ID 18631 //
     /* 1539542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1539559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539581 */     // MIs[0] round
     /* 1539581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539584 */     // MIs[0] policy
     /* 1539584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539594 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1539597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539618 */     // GIR_Coverage, 18631,
     /* 1539618 */     GIR_EraseRootFromParent_Done,
     /* 1539619 */   // Label 21370: @1539619
     /* 1539619 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1539701), // Rule ID 18634 //
     /* 1539624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1539641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539663 */     // MIs[0] round
     /* 1539663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539666 */     // MIs[0] policy
     /* 1539666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539676 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1539679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539700 */     // GIR_Coverage, 18634,
     /* 1539700 */     GIR_EraseRootFromParent_Done,
     /* 1539701 */   // Label 21371: @1539701
     /* 1539701 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1539783), // Rule ID 18635 //
     /* 1539706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1539723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539745 */     // MIs[0] round
     /* 1539745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539748 */     // MIs[0] policy
     /* 1539748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539758 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1539761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539782 */     // GIR_Coverage, 18635,
     /* 1539782 */     GIR_EraseRootFromParent_Done,
     /* 1539783 */   // Label 21372: @1539783
     /* 1539783 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1539865), // Rule ID 18638 //
     /* 1539788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539827 */     // MIs[0] round
     /* 1539827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539830 */     // MIs[0] policy
     /* 1539830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1539843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539864 */     // GIR_Coverage, 18638,
     /* 1539864 */     GIR_EraseRootFromParent_Done,
     /* 1539865 */   // Label 21373: @1539865
     /* 1539865 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1539947), // Rule ID 18639 //
     /* 1539870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539909 */     // MIs[0] round
     /* 1539909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539912 */     // MIs[0] policy
     /* 1539912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539922 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1539925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539946 */     // GIR_Coverage, 18639,
     /* 1539946 */     GIR_EraseRootFromParent_Done,
     /* 1539947 */   // Label 21374: @1539947
     /* 1539947 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1540029), // Rule ID 18642 //
     /* 1539952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1539960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1539972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539991 */     // MIs[0] round
     /* 1539991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539994 */     // MIs[0] policy
     /* 1539994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1540007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540028 */     // GIR_Coverage, 18642,
     /* 1540028 */     GIR_EraseRootFromParent_Done,
     /* 1540029 */   // Label 21375: @1540029
     /* 1540029 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1540111), // Rule ID 18643 //
     /* 1540034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540073 */     // MIs[0] round
     /* 1540073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540076 */     // MIs[0] policy
     /* 1540076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540086 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1540089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540110 */     // GIR_Coverage, 18643,
     /* 1540110 */     GIR_EraseRootFromParent_Done,
     /* 1540111 */   // Label 21376: @1540111
     /* 1540111 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1540193), // Rule ID 18646 //
     /* 1540116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540155 */     // MIs[0] round
     /* 1540155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540158 */     // MIs[0] policy
     /* 1540158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540168 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1540171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540192 */     // GIR_Coverage, 18646,
     /* 1540192 */     GIR_EraseRootFromParent_Done,
     /* 1540193 */   // Label 21377: @1540193
     /* 1540193 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1540275), // Rule ID 18647 //
     /* 1540198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540237 */     // MIs[0] round
     /* 1540237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540240 */     // MIs[0] policy
     /* 1540240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540250 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1540253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540274 */     // GIR_Coverage, 18647,
     /* 1540274 */     GIR_EraseRootFromParent_Done,
     /* 1540275 */   // Label 21378: @1540275
     /* 1540275 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1540357), // Rule ID 18650 //
     /* 1540280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540319 */     // MIs[0] round
     /* 1540319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540322 */     // MIs[0] policy
     /* 1540322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540332 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1540335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540356 */     // GIR_Coverage, 18650,
     /* 1540356 */     GIR_EraseRootFromParent_Done,
     /* 1540357 */   // Label 21379: @1540357
     /* 1540357 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1540439), // Rule ID 18651 //
     /* 1540362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540401 */     // MIs[0] round
     /* 1540401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540404 */     // MIs[0] policy
     /* 1540404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540414 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1540417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540438 */     // GIR_Coverage, 18651,
     /* 1540438 */     GIR_EraseRootFromParent_Done,
     /* 1540439 */   // Label 21380: @1540439
     /* 1540439 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1540521), // Rule ID 18654 //
     /* 1540444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540483 */     // MIs[0] round
     /* 1540483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540486 */     // MIs[0] policy
     /* 1540486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540496 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1540499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540520 */     // GIR_Coverage, 18654,
     /* 1540520 */     GIR_EraseRootFromParent_Done,
     /* 1540521 */   // Label 21381: @1540521
     /* 1540521 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1540603), // Rule ID 18655 //
     /* 1540526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540565 */     // MIs[0] round
     /* 1540565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540568 */     // MIs[0] policy
     /* 1540568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1540581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540602 */     // GIR_Coverage, 18655,
     /* 1540602 */     GIR_EraseRootFromParent_Done,
     /* 1540603 */   // Label 21382: @1540603
     /* 1540603 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1540685), // Rule ID 18658 //
     /* 1540608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540647 */     // MIs[0] round
     /* 1540647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540650 */     // MIs[0] policy
     /* 1540650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540660 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1540663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540684 */     // GIR_Coverage, 18658,
     /* 1540684 */     GIR_EraseRootFromParent_Done,
     /* 1540685 */   // Label 21383: @1540685
     /* 1540685 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1540767), // Rule ID 18659 //
     /* 1540690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540729 */     // MIs[0] round
     /* 1540729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540732 */     // MIs[0] policy
     /* 1540732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540742 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1540745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540766 */     // GIR_Coverage, 18659,
     /* 1540766 */     GIR_EraseRootFromParent_Done,
     /* 1540767 */   // Label 21384: @1540767
     /* 1540767 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1540849), // Rule ID 18662 //
     /* 1540772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540811 */     // MIs[0] round
     /* 1540811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540814 */     // MIs[0] policy
     /* 1540814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540824 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1540827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540848 */     // GIR_Coverage, 18662,
     /* 1540848 */     GIR_EraseRootFromParent_Done,
     /* 1540849 */   // Label 21385: @1540849
     /* 1540849 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1540931), // Rule ID 18663 //
     /* 1540854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540893 */     // MIs[0] round
     /* 1540893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540896 */     // MIs[0] policy
     /* 1540896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540906 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1540909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540930 */     // GIR_Coverage, 18663,
     /* 1540930 */     GIR_EraseRootFromParent_Done,
     /* 1540931 */   // Label 21386: @1540931
     /* 1540931 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1541013), // Rule ID 18666 //
     /* 1540936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1540944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540975 */     // MIs[0] round
     /* 1540975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540978 */     // MIs[0] policy
     /* 1540978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540988 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1540991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541012 */     // GIR_Coverage, 18666,
     /* 1541012 */     GIR_EraseRootFromParent_Done,
     /* 1541013 */   // Label 21387: @1541013
     /* 1541013 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1541095), // Rule ID 18667 //
     /* 1541018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541057 */     // MIs[0] round
     /* 1541057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541060 */     // MIs[0] policy
     /* 1541060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541070 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1541073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541094 */     // GIR_Coverage, 18667,
     /* 1541094 */     GIR_EraseRootFromParent_Done,
     /* 1541095 */   // Label 21388: @1541095
     /* 1541095 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1541177), // Rule ID 18670 //
     /* 1541100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541139 */     // MIs[0] round
     /* 1541139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541142 */     // MIs[0] policy
     /* 1541142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541152 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1541155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541176 */     // GIR_Coverage, 18670,
     /* 1541176 */     GIR_EraseRootFromParent_Done,
     /* 1541177 */   // Label 21389: @1541177
     /* 1541177 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1541259), // Rule ID 18671 //
     /* 1541182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1541190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541221 */     // MIs[0] round
     /* 1541221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541224 */     // MIs[0] policy
     /* 1541224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541234 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1541237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541258 */     // GIR_Coverage, 18671,
     /* 1541258 */     GIR_EraseRootFromParent_Done,
     /* 1541259 */   // Label 21390: @1541259
     /* 1541259 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1541341), // Rule ID 18674 //
     /* 1541264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1541281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541303 */     // MIs[0] round
     /* 1541303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541306 */     // MIs[0] policy
     /* 1541306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541316 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1541319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541340 */     // GIR_Coverage, 18674,
     /* 1541340 */     GIR_EraseRootFromParent_Done,
     /* 1541341 */   // Label 21391: @1541341
     /* 1541341 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1541423), // Rule ID 18675 //
     /* 1541346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1541363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541385 */     // MIs[0] round
     /* 1541385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541388 */     // MIs[0] policy
     /* 1541388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541398 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1541401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541422 */     // GIR_Coverage, 18675,
     /* 1541422 */     GIR_EraseRootFromParent_Done,
     /* 1541423 */   // Label 21392: @1541423
     /* 1541423 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1541505), // Rule ID 18678 //
     /* 1541428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541467 */     // MIs[0] round
     /* 1541467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541470 */     // MIs[0] policy
     /* 1541470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1541483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541504 */     // GIR_Coverage, 18678,
     /* 1541504 */     GIR_EraseRootFromParent_Done,
     /* 1541505 */   // Label 21393: @1541505
     /* 1541505 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1541587), // Rule ID 18679 //
     /* 1541510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541549 */     // MIs[0] round
     /* 1541549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541552 */     // MIs[0] policy
     /* 1541552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541562 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1541565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541586 */     // GIR_Coverage, 18679,
     /* 1541586 */     GIR_EraseRootFromParent_Done,
     /* 1541587 */   // Label 21394: @1541587
     /* 1541587 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1541669), // Rule ID 18682 //
     /* 1541592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541631 */     // MIs[0] round
     /* 1541631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541634 */     // MIs[0] policy
     /* 1541634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541644 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1541647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541668 */     // GIR_Coverage, 18682,
     /* 1541668 */     GIR_EraseRootFromParent_Done,
     /* 1541669 */   // Label 21395: @1541669
     /* 1541669 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1541751), // Rule ID 18683 //
     /* 1541674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541713 */     // MIs[0] round
     /* 1541713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541716 */     // MIs[0] policy
     /* 1541716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541726 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1541729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541750 */     // GIR_Coverage, 18683,
     /* 1541750 */     GIR_EraseRootFromParent_Done,
     /* 1541751 */   // Label 21396: @1541751
     /* 1541751 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1541833), // Rule ID 18686 //
     /* 1541756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541795 */     // MIs[0] round
     /* 1541795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541798 */     // MIs[0] policy
     /* 1541798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541808 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1541811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541832 */     // GIR_Coverage, 18686,
     /* 1541832 */     GIR_EraseRootFromParent_Done,
     /* 1541833 */   // Label 21397: @1541833
     /* 1541833 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1541915), // Rule ID 18687 //
     /* 1541838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541877 */     // MIs[0] round
     /* 1541877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541880 */     // MIs[0] policy
     /* 1541880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541890 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1541893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541914 */     // GIR_Coverage, 18687,
     /* 1541914 */     GIR_EraseRootFromParent_Done,
     /* 1541915 */   // Label 21398: @1541915
     /* 1541915 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1541997), // Rule ID 18690 //
     /* 1541920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1541928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541959 */     // MIs[0] round
     /* 1541959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541962 */     // MIs[0] policy
     /* 1541962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541972 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1541975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541996 */     // GIR_Coverage, 18690,
     /* 1541996 */     GIR_EraseRootFromParent_Done,
     /* 1541997 */   // Label 21399: @1541997
     /* 1541997 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1542079), // Rule ID 18691 //
     /* 1542002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1542019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542041 */     // MIs[0] round
     /* 1542041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542044 */     // MIs[0] policy
     /* 1542044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542054 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1542057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542078 */     // GIR_Coverage, 18691,
     /* 1542078 */     GIR_EraseRootFromParent_Done,
     /* 1542079 */   // Label 21400: @1542079
     /* 1542079 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1542161), // Rule ID 18694 //
     /* 1542084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542123 */     // MIs[0] round
     /* 1542123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542126 */     // MIs[0] policy
     /* 1542126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1542139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542160 */     // GIR_Coverage, 18694,
     /* 1542160 */     GIR_EraseRootFromParent_Done,
     /* 1542161 */   // Label 21401: @1542161
     /* 1542161 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1542243), // Rule ID 18695 //
     /* 1542166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542205 */     // MIs[0] round
     /* 1542205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542208 */     // MIs[0] policy
     /* 1542208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542218 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1542221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542242 */     // GIR_Coverage, 18695,
     /* 1542242 */     GIR_EraseRootFromParent_Done,
     /* 1542243 */   // Label 21402: @1542243
     /* 1542243 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1542325), // Rule ID 18698 //
     /* 1542248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542287 */     // MIs[0] round
     /* 1542287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542290 */     // MIs[0] policy
     /* 1542290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542300 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1542303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542324 */     // GIR_Coverage, 18698,
     /* 1542324 */     GIR_EraseRootFromParent_Done,
     /* 1542325 */   // Label 21403: @1542325
     /* 1542325 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1542407), // Rule ID 18699 //
     /* 1542330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542369 */     // MIs[0] round
     /* 1542369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542372 */     // MIs[0] policy
     /* 1542372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542382 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1542385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542406 */     // GIR_Coverage, 18699,
     /* 1542406 */     GIR_EraseRootFromParent_Done,
     /* 1542407 */   // Label 21404: @1542407
     /* 1542407 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1542489), // Rule ID 18702 //
     /* 1542412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542451 */     // MIs[0] round
     /* 1542451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542454 */     // MIs[0] policy
     /* 1542454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542464 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1542467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542488 */     // GIR_Coverage, 18702,
     /* 1542488 */     GIR_EraseRootFromParent_Done,
     /* 1542489 */   // Label 21405: @1542489
     /* 1542489 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1542571), // Rule ID 18703 //
     /* 1542494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542533 */     // MIs[0] round
     /* 1542533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542536 */     // MIs[0] policy
     /* 1542536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542546 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1542549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542570 */     // GIR_Coverage, 18703,
     /* 1542570 */     GIR_EraseRootFromParent_Done,
     /* 1542571 */   // Label 21406: @1542571
     /* 1542571 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1542653), // Rule ID 18706 //
     /* 1542576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542615 */     // MIs[0] round
     /* 1542615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542618 */     // MIs[0] policy
     /* 1542618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542628 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1542631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542652 */     // GIR_Coverage, 18706,
     /* 1542652 */     GIR_EraseRootFromParent_Done,
     /* 1542653 */   // Label 21407: @1542653
     /* 1542653 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1542735), // Rule ID 18707 //
     /* 1542658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542697 */     // MIs[0] round
     /* 1542697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542700 */     // MIs[0] policy
     /* 1542700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542710 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1542713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542734 */     // GIR_Coverage, 18707,
     /* 1542734 */     GIR_EraseRootFromParent_Done,
     /* 1542735 */   // Label 21408: @1542735
     /* 1542735 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1542817), // Rule ID 18710 //
     /* 1542740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542779 */     // MIs[0] round
     /* 1542779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542782 */     // MIs[0] policy
     /* 1542782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542792 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1542795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542816 */     // GIR_Coverage, 18710,
     /* 1542816 */     GIR_EraseRootFromParent_Done,
     /* 1542817 */   // Label 21409: @1542817
     /* 1542817 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1542899), // Rule ID 18711 //
     /* 1542822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542861 */     // MIs[0] round
     /* 1542861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542864 */     // MIs[0] policy
     /* 1542864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542874 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1542877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542898 */     // GIR_Coverage, 18711,
     /* 1542898 */     GIR_EraseRootFromParent_Done,
     /* 1542899 */   // Label 21410: @1542899
     /* 1542899 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1542981), // Rule ID 18714 //
     /* 1542904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542943 */     // MIs[0] round
     /* 1542943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542946 */     // MIs[0] policy
     /* 1542946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1542959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542980 */     // GIR_Coverage, 18714,
     /* 1542980 */     GIR_EraseRootFromParent_Done,
     /* 1542981 */   // Label 21411: @1542981
     /* 1542981 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1543063), // Rule ID 18715 //
     /* 1542986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1542994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543025 */     // MIs[0] round
     /* 1543025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543028 */     // MIs[0] policy
     /* 1543028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543038 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1543041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543062 */     // GIR_Coverage, 18715,
     /* 1543062 */     GIR_EraseRootFromParent_Done,
     /* 1543063 */   // Label 21412: @1543063
     /* 1543063 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1543145), // Rule ID 18718 //
     /* 1543068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543107 */     // MIs[0] round
     /* 1543107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543110 */     // MIs[0] policy
     /* 1543110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543120 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1543123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543144 */     // GIR_Coverage, 18718,
     /* 1543144 */     GIR_EraseRootFromParent_Done,
     /* 1543145 */   // Label 21413: @1543145
     /* 1543145 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1543227), // Rule ID 18719 //
     /* 1543150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543189 */     // MIs[0] round
     /* 1543189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543192 */     // MIs[0] policy
     /* 1543192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543202 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1543205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543226 */     // GIR_Coverage, 18719,
     /* 1543226 */     GIR_EraseRootFromParent_Done,
     /* 1543227 */   // Label 21414: @1543227
     /* 1543227 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1543309), // Rule ID 18722 //
     /* 1543232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543271 */     // MIs[0] round
     /* 1543271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543274 */     // MIs[0] policy
     /* 1543274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543284 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1543287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543308 */     // GIR_Coverage, 18722,
     /* 1543308 */     GIR_EraseRootFromParent_Done,
     /* 1543309 */   // Label 21415: @1543309
     /* 1543309 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1543391), // Rule ID 18723 //
     /* 1543314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543353 */     // MIs[0] round
     /* 1543353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543356 */     // MIs[0] policy
     /* 1543356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543366 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1543369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543390 */     // GIR_Coverage, 18723,
     /* 1543390 */     GIR_EraseRootFromParent_Done,
     /* 1543391 */   // Label 21416: @1543391
     /* 1543391 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1543473), // Rule ID 18726 //
     /* 1543396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543435 */     // MIs[0] round
     /* 1543435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543438 */     // MIs[0] policy
     /* 1543438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543448 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1543451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543472 */     // GIR_Coverage, 18726,
     /* 1543472 */     GIR_EraseRootFromParent_Done,
     /* 1543473 */   // Label 21417: @1543473
     /* 1543473 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1543555), // Rule ID 18727 //
     /* 1543478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543517 */     // MIs[0] round
     /* 1543517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543520 */     // MIs[0] policy
     /* 1543520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543530 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1543533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543554 */     // GIR_Coverage, 18727,
     /* 1543554 */     GIR_EraseRootFromParent_Done,
     /* 1543555 */   // Label 21418: @1543555
     /* 1543555 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1543637), // Rule ID 18730 //
     /* 1543560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543599 */     // MIs[0] round
     /* 1543599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543602 */     // MIs[0] policy
     /* 1543602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543612 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1543615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543636 */     // GIR_Coverage, 18730,
     /* 1543636 */     GIR_EraseRootFromParent_Done,
     /* 1543637 */   // Label 21419: @1543637
     /* 1543637 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1543719), // Rule ID 18731 //
     /* 1543642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543681 */     // MIs[0] round
     /* 1543681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543684 */     // MIs[0] policy
     /* 1543684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543694 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1543697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543718 */     // GIR_Coverage, 18731,
     /* 1543718 */     GIR_EraseRootFromParent_Done,
     /* 1543719 */   // Label 21420: @1543719
     /* 1543719 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1543801), // Rule ID 18734 //
     /* 1543724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543763 */     // MIs[0] round
     /* 1543763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543766 */     // MIs[0] policy
     /* 1543766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1543779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543800 */     // GIR_Coverage, 18734,
     /* 1543800 */     GIR_EraseRootFromParent_Done,
     /* 1543801 */   // Label 21421: @1543801
     /* 1543801 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1543883), // Rule ID 18735 //
     /* 1543806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543845 */     // MIs[0] round
     /* 1543845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543848 */     // MIs[0] policy
     /* 1543848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543858 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1543861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543882 */     // GIR_Coverage, 18735,
     /* 1543882 */     GIR_EraseRootFromParent_Done,
     /* 1543883 */   // Label 21422: @1543883
     /* 1543883 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1543965), // Rule ID 18738 //
     /* 1543888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543927 */     // MIs[0] round
     /* 1543927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543930 */     // MIs[0] policy
     /* 1543930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1543943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543964 */     // GIR_Coverage, 18738,
     /* 1543964 */     GIR_EraseRootFromParent_Done,
     /* 1543965 */   // Label 21423: @1543965
     /* 1543965 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1544047), // Rule ID 18739 //
     /* 1543970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1543978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1543990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544009 */     // MIs[0] round
     /* 1544009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544012 */     // MIs[0] policy
     /* 1544012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544022 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1544025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544046 */     // GIR_Coverage, 18739,
     /* 1544046 */     GIR_EraseRootFromParent_Done,
     /* 1544047 */   // Label 21424: @1544047
     /* 1544047 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1544129), // Rule ID 18742 //
     /* 1544052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544091 */     // MIs[0] round
     /* 1544091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544094 */     // MIs[0] policy
     /* 1544094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1544107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544128 */     // GIR_Coverage, 18742,
     /* 1544128 */     GIR_EraseRootFromParent_Done,
     /* 1544129 */   // Label 21425: @1544129
     /* 1544129 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1544211), // Rule ID 18743 //
     /* 1544134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1544142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544173 */     // MIs[0] round
     /* 1544173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544176 */     // MIs[0] policy
     /* 1544176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544186 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1544189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544210 */     // GIR_Coverage, 18743,
     /* 1544210 */     GIR_EraseRootFromParent_Done,
     /* 1544211 */   // Label 21426: @1544211
     /* 1544211 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1544293), // Rule ID 18746 //
     /* 1544216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1544233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544255 */     // MIs[0] round
     /* 1544255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544258 */     // MIs[0] policy
     /* 1544258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544268 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1544271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544292 */     // GIR_Coverage, 18746,
     /* 1544292 */     GIR_EraseRootFromParent_Done,
     /* 1544293 */   // Label 21427: @1544293
     /* 1544293 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1544375), // Rule ID 18747 //
     /* 1544298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1544315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544337 */     // MIs[0] round
     /* 1544337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544340 */     // MIs[0] policy
     /* 1544340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544350 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1544353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544374 */     // GIR_Coverage, 18747,
     /* 1544374 */     GIR_EraseRootFromParent_Done,
     /* 1544375 */   // Label 21428: @1544375
     /* 1544375 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1544457), // Rule ID 18750 //
     /* 1544380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544419 */     // MIs[0] round
     /* 1544419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544422 */     // MIs[0] policy
     /* 1544422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544432 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1544435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544456 */     // GIR_Coverage, 18750,
     /* 1544456 */     GIR_EraseRootFromParent_Done,
     /* 1544457 */   // Label 21429: @1544457
     /* 1544457 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1544539), // Rule ID 18751 //
     /* 1544462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544501 */     // MIs[0] round
     /* 1544501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544504 */     // MIs[0] policy
     /* 1544504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544514 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1544517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544538 */     // GIR_Coverage, 18751,
     /* 1544538 */     GIR_EraseRootFromParent_Done,
     /* 1544539 */   // Label 21430: @1544539
     /* 1544539 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1544621), // Rule ID 18754 //
     /* 1544544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544583 */     // MIs[0] round
     /* 1544583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544586 */     // MIs[0] policy
     /* 1544586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544596 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1544599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544620 */     // GIR_Coverage, 18754,
     /* 1544620 */     GIR_EraseRootFromParent_Done,
     /* 1544621 */   // Label 21431: @1544621
     /* 1544621 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1544703), // Rule ID 18755 //
     /* 1544626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544665 */     // MIs[0] round
     /* 1544665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544668 */     // MIs[0] policy
     /* 1544668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544678 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1544681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544702 */     // GIR_Coverage, 18755,
     /* 1544702 */     GIR_EraseRootFromParent_Done,
     /* 1544703 */   // Label 21432: @1544703
     /* 1544703 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1544785), // Rule ID 18758 //
     /* 1544708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1544725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544747 */     // MIs[0] round
     /* 1544747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544750 */     // MIs[0] policy
     /* 1544750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544760 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1544763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544784 */     // GIR_Coverage, 18758,
     /* 1544784 */     GIR_EraseRootFromParent_Done,
     /* 1544785 */   // Label 21433: @1544785
     /* 1544785 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1544867), // Rule ID 18759 //
     /* 1544790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1544807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544829 */     // MIs[0] round
     /* 1544829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544832 */     // MIs[0] policy
     /* 1544832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544842 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1544845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544866 */     // GIR_Coverage, 18759,
     /* 1544866 */     GIR_EraseRootFromParent_Done,
     /* 1544867 */   // Label 21434: @1544867
     /* 1544867 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1544949), // Rule ID 18762 //
     /* 1544872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1544875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544911 */     // MIs[0] round
     /* 1544911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544914 */     // MIs[0] policy
     /* 1544914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544924 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1544927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544948 */     // GIR_Coverage, 18762,
     /* 1544948 */     GIR_EraseRootFromParent_Done,
     /* 1544949 */   // Label 21435: @1544949
     /* 1544949 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1545031), // Rule ID 18763 //
     /* 1544954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1544957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1544962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1544974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544993 */     // MIs[0] round
     /* 1544993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544996 */     // MIs[0] policy
     /* 1544996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545006 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1545009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545030 */     // GIR_Coverage, 18763,
     /* 1545030 */     GIR_EraseRootFromParent_Done,
     /* 1545031 */   // Label 21436: @1545031
     /* 1545031 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1545113), // Rule ID 18766 //
     /* 1545036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545075 */     // MIs[0] round
     /* 1545075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545078 */     // MIs[0] policy
     /* 1545078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1545091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545112 */     // GIR_Coverage, 18766,
     /* 1545112 */     GIR_EraseRootFromParent_Done,
     /* 1545113 */   // Label 21437: @1545113
     /* 1545113 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1545195), // Rule ID 18767 //
     /* 1545118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545157 */     // MIs[0] round
     /* 1545157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545160 */     // MIs[0] policy
     /* 1545160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1545173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545194 */     // GIR_Coverage, 18767,
     /* 1545194 */     GIR_EraseRootFromParent_Done,
     /* 1545195 */   // Label 21438: @1545195
     /* 1545195 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1545277), // Rule ID 18770 //
     /* 1545200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1545217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545239 */     // MIs[0] round
     /* 1545239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545242 */     // MIs[0] policy
     /* 1545242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1545255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545276 */     // GIR_Coverage, 18770,
     /* 1545276 */     GIR_EraseRootFromParent_Done,
     /* 1545277 */   // Label 21439: @1545277
     /* 1545277 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1545359), // Rule ID 18771 //
     /* 1545282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1545299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545321 */     // MIs[0] round
     /* 1545321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545324 */     // MIs[0] policy
     /* 1545324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1545337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545358 */     // GIR_Coverage, 18771,
     /* 1545358 */     GIR_EraseRootFromParent_Done,
     /* 1545359 */   // Label 21440: @1545359
     /* 1545359 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1545441), // Rule ID 18774 //
     /* 1545364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545403 */     // MIs[0] round
     /* 1545403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545406 */     // MIs[0] policy
     /* 1545406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1545419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545440 */     // GIR_Coverage, 18774,
     /* 1545440 */     GIR_EraseRootFromParent_Done,
     /* 1545441 */   // Label 21441: @1545441
     /* 1545441 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1545523), // Rule ID 18775 //
     /* 1545446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545485 */     // MIs[0] round
     /* 1545485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545488 */     // MIs[0] policy
     /* 1545488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545498 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1545501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545522 */     // GIR_Coverage, 18775,
     /* 1545522 */     GIR_EraseRootFromParent_Done,
     /* 1545523 */   // Label 21442: @1545523
     /* 1545523 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1545605), // Rule ID 18778 //
     /* 1545528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545567 */     // MIs[0] round
     /* 1545567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545570 */     // MIs[0] policy
     /* 1545570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1545583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545604 */     // GIR_Coverage, 18778,
     /* 1545604 */     GIR_EraseRootFromParent_Done,
     /* 1545605 */   // Label 21443: @1545605
     /* 1545605 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1545687), // Rule ID 18779 //
     /* 1545610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545649 */     // MIs[0] round
     /* 1545649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545652 */     // MIs[0] policy
     /* 1545652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545662 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1545665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545686 */     // GIR_Coverage, 18779,
     /* 1545686 */     GIR_EraseRootFromParent_Done,
     /* 1545687 */   // Label 21444: @1545687
     /* 1545687 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1545769), // Rule ID 18782 //
     /* 1545692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1545712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545731 */     // MIs[0] round
     /* 1545731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545734 */     // MIs[0] policy
     /* 1545734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545744 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1545747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545768 */     // GIR_Coverage, 18782,
     /* 1545768 */     GIR_EraseRootFromParent_Done,
     /* 1545769 */   // Label 21445: @1545769
     /* 1545769 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1545851), // Rule ID 18783 //
     /* 1545774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1545794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545813 */     // MIs[0] round
     /* 1545813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545816 */     // MIs[0] policy
     /* 1545816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545826 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1545829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545850 */     // GIR_Coverage, 18783,
     /* 1545850 */     GIR_EraseRootFromParent_Done,
     /* 1545851 */   // Label 21446: @1545851
     /* 1545851 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1545933), // Rule ID 18786 //
     /* 1545856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545895 */     // MIs[0] round
     /* 1545895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545898 */     // MIs[0] policy
     /* 1545898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545908 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1545911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545932 */     // GIR_Coverage, 18786,
     /* 1545932 */     GIR_EraseRootFromParent_Done,
     /* 1545933 */   // Label 21447: @1545933
     /* 1545933 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1546015), // Rule ID 18787 //
     /* 1545938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1545946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1545955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1545973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545977 */     // MIs[0] round
     /* 1545977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545980 */     // MIs[0] policy
     /* 1545980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545990 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1545993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546014 */     // GIR_Coverage, 18787,
     /* 1546014 */     GIR_EraseRootFromParent_Done,
     /* 1546015 */   // Label 21448: @1546015
     /* 1546015 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1546097), // Rule ID 18790 //
     /* 1546020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1546040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546059 */     // MIs[0] round
     /* 1546059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546062 */     // MIs[0] policy
     /* 1546062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546072 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1546075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546096 */     // GIR_Coverage, 18790,
     /* 1546096 */     GIR_EraseRootFromParent_Done,
     /* 1546097 */   // Label 21449: @1546097
     /* 1546097 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1546179), // Rule ID 18791 //
     /* 1546102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1546122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546141 */     // MIs[0] round
     /* 1546141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546144 */     // MIs[0] policy
     /* 1546144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546154 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1546157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546178 */     // GIR_Coverage, 18791,
     /* 1546178 */     GIR_EraseRootFromParent_Done,
     /* 1546179 */   // Label 21450: @1546179
     /* 1546179 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1546261), // Rule ID 18794 //
     /* 1546184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1546195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1546198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1546204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546223 */     // MIs[0] round
     /* 1546223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546226 */     // MIs[0] policy
     /* 1546226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1546239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546260 */     // GIR_Coverage, 18794,
     /* 1546260 */     GIR_EraseRootFromParent_Done,
     /* 1546261 */   // Label 21451: @1546261
     /* 1546261 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1546343), // Rule ID 18795 //
     /* 1546266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1546277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1546280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1546286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546305 */     // MIs[0] round
     /* 1546305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546308 */     // MIs[0] policy
     /* 1546308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546318 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1546321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546342 */     // GIR_Coverage, 18795,
     /* 1546342 */     GIR_EraseRootFromParent_Done,
     /* 1546343 */   // Label 21452: @1546343
     /* 1546343 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1546425), // Rule ID 18798 //
     /* 1546348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1546359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1546362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1546368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546387 */     // MIs[0] round
     /* 1546387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546390 */     // MIs[0] policy
     /* 1546390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546400 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1546403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546424 */     // GIR_Coverage, 18798,
     /* 1546424 */     GIR_EraseRootFromParent_Done,
     /* 1546425 */   // Label 21453: @1546425
     /* 1546425 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1546507), // Rule ID 18799 //
     /* 1546430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1546441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1546444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1546450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546469 */     // MIs[0] round
     /* 1546469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546472 */     // MIs[0] policy
     /* 1546472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546482 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1546485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546506 */     // GIR_Coverage, 18799,
     /* 1546506 */     GIR_EraseRootFromParent_Done,
     /* 1546507 */   // Label 21454: @1546507
     /* 1546507 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1546589), // Rule ID 18802 //
     /* 1546512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1546532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546551 */     // MIs[0] round
     /* 1546551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546554 */     // MIs[0] policy
     /* 1546554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546564 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1546567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546588 */     // GIR_Coverage, 18802,
     /* 1546588 */     GIR_EraseRootFromParent_Done,
     /* 1546589 */   // Label 21455: @1546589
     /* 1546589 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1546671), // Rule ID 18803 //
     /* 1546594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1546614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546633 */     // MIs[0] round
     /* 1546633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546636 */     // MIs[0] policy
     /* 1546636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546646 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1546649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546670 */     // GIR_Coverage, 18803,
     /* 1546670 */     GIR_EraseRootFromParent_Done,
     /* 1546671 */   // Label 21456: @1546671
     /* 1546671 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1546753), // Rule ID 18806 //
     /* 1546676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1546696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546715 */     // MIs[0] round
     /* 1546715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546718 */     // MIs[0] policy
     /* 1546718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1546731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546752 */     // GIR_Coverage, 18806,
     /* 1546752 */     GIR_EraseRootFromParent_Done,
     /* 1546753 */   // Label 21457: @1546753
     /* 1546753 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1546835), // Rule ID 18807 //
     /* 1546758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1546778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546797 */     // MIs[0] round
     /* 1546797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546800 */     // MIs[0] policy
     /* 1546800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546810 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1546813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546834 */     // GIR_Coverage, 18807,
     /* 1546834 */     GIR_EraseRootFromParent_Done,
     /* 1546835 */   // Label 21458: @1546835
     /* 1546835 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1546917), // Rule ID 18810 //
     /* 1546840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546879 */     // MIs[0] round
     /* 1546879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546882 */     // MIs[0] policy
     /* 1546882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546892 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1546895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546916 */     // GIR_Coverage, 18810,
     /* 1546916 */     GIR_EraseRootFromParent_Done,
     /* 1546917 */   // Label 21459: @1546917
     /* 1546917 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1546999), // Rule ID 18811 //
     /* 1546922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1546930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1546939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1546957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546961 */     // MIs[0] round
     /* 1546961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546964 */     // MIs[0] policy
     /* 1546964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546974 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1546977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546998 */     // GIR_Coverage, 18811,
     /* 1546998 */     GIR_EraseRootFromParent_Done,
     /* 1546999 */   // Label 21460: @1546999
     /* 1546999 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1547081), // Rule ID 18814 //
     /* 1547004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1547024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547043 */     // MIs[0] round
     /* 1547043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547046 */     // MIs[0] policy
     /* 1547046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547056 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1547059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547080 */     // GIR_Coverage, 18814,
     /* 1547080 */     GIR_EraseRootFromParent_Done,
     /* 1547081 */   // Label 21461: @1547081
     /* 1547081 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1547163), // Rule ID 18815 //
     /* 1547086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1547094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1547106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547125 */     // MIs[0] round
     /* 1547125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547128 */     // MIs[0] policy
     /* 1547128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547138 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11238:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1547141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547162 */     // GIR_Coverage, 18815,
     /* 1547162 */     GIR_EraseRootFromParent_Done,
     /* 1547163 */   // Label 21462: @1547163
     /* 1547163 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1547245), // Rule ID 18818 //
     /* 1547168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1547185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1547188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547207 */     // MIs[0] round
     /* 1547207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547210 */     // MIs[0] policy
     /* 1547210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547220 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1547223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547244 */     // GIR_Coverage, 18818,
     /* 1547244 */     GIR_EraseRootFromParent_Done,
     /* 1547245 */   // Label 21463: @1547245
     /* 1547245 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1547327), // Rule ID 18819 //
     /* 1547250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1547267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1547270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547289 */     // MIs[0] round
     /* 1547289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547292 */     // MIs[0] policy
     /* 1547292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547302 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1547305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547326 */     // GIR_Coverage, 18819,
     /* 1547326 */     GIR_EraseRootFromParent_Done,
     /* 1547327 */   // Label 21464: @1547327
     /* 1547327 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1547409), // Rule ID 18822 //
     /* 1547332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1547349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1547352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547371 */     // MIs[0] round
     /* 1547371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547374 */     // MIs[0] policy
     /* 1547374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1547387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547408 */     // GIR_Coverage, 18822,
     /* 1547408 */     GIR_EraseRootFromParent_Done,
     /* 1547409 */   // Label 21465: @1547409
     /* 1547409 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1547491), // Rule ID 18823 //
     /* 1547414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1547431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1547434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547453 */     // MIs[0] round
     /* 1547453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547456 */     // MIs[0] policy
     /* 1547456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547466 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1547469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547490 */     // GIR_Coverage, 18823,
     /* 1547490 */     GIR_EraseRootFromParent_Done,
     /* 1547491 */   // Label 21466: @1547491
     /* 1547491 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1547573), // Rule ID 18826 //
     /* 1547496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1547516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547535 */     // MIs[0] round
     /* 1547535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547538 */     // MIs[0] policy
     /* 1547538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1547551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547572 */     // GIR_Coverage, 18826,
     /* 1547572 */     GIR_EraseRootFromParent_Done,
     /* 1547573 */   // Label 21467: @1547573
     /* 1547573 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1547655), // Rule ID 18827 //
     /* 1547578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1547598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547617 */     // MIs[0] round
     /* 1547617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547620 */     // MIs[0] policy
     /* 1547620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547630 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1547633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547654 */     // GIR_Coverage, 18827,
     /* 1547654 */     GIR_EraseRootFromParent_Done,
     /* 1547655 */   // Label 21468: @1547655
     /* 1547655 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1547737), // Rule ID 18830 //
     /* 1547660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1547680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547699 */     // MIs[0] round
     /* 1547699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547702 */     // MIs[0] policy
     /* 1547702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547712 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1547715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547736 */     // GIR_Coverage, 18830,
     /* 1547736 */     GIR_EraseRootFromParent_Done,
     /* 1547737 */   // Label 21469: @1547737
     /* 1547737 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1547819), // Rule ID 18831 //
     /* 1547742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1547762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547781 */     // MIs[0] round
     /* 1547781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547784 */     // MIs[0] policy
     /* 1547784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547794 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1547797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547818 */     // GIR_Coverage, 18831,
     /* 1547818 */     GIR_EraseRootFromParent_Done,
     /* 1547819 */   // Label 21470: @1547819
     /* 1547819 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1547901), // Rule ID 18834 //
     /* 1547824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547863 */     // MIs[0] round
     /* 1547863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547866 */     // MIs[0] policy
     /* 1547866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547876 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1547879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547900 */     // GIR_Coverage, 18834,
     /* 1547900 */     GIR_EraseRootFromParent_Done,
     /* 1547901 */   // Label 21471: @1547901
     /* 1547901 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1547983), // Rule ID 18835 //
     /* 1547906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547945 */     // MIs[0] round
     /* 1547945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547948 */     // MIs[0] policy
     /* 1547948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547958 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1547961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547982 */     // GIR_Coverage, 18835,
     /* 1547982 */     GIR_EraseRootFromParent_Done,
     /* 1547983 */   // Label 21472: @1547983
     /* 1547983 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1548065), // Rule ID 18838 //
     /* 1547988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1547996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1548008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548027 */     // MIs[0] round
     /* 1548027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548030 */     // MIs[0] policy
     /* 1548030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1548043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548064 */     // GIR_Coverage, 18838,
     /* 1548064 */     GIR_EraseRootFromParent_Done,
     /* 1548065 */   // Label 21473: @1548065
     /* 1548065 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1548147), // Rule ID 18839 //
     /* 1548070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1548090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548109 */     // MIs[0] round
     /* 1548109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548112 */     // MIs[0] policy
     /* 1548112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548122 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1548125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548146 */     // GIR_Coverage, 18839,
     /* 1548146 */     GIR_EraseRootFromParent_Done,
     /* 1548147 */   // Label 21474: @1548147
     /* 1548147 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1548229), // Rule ID 18842 //
     /* 1548152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1548172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548191 */     // MIs[0] round
     /* 1548191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548194 */     // MIs[0] policy
     /* 1548194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548204 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1548207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548228 */     // GIR_Coverage, 18842,
     /* 1548228 */     GIR_EraseRootFromParent_Done,
     /* 1548229 */   // Label 21475: @1548229
     /* 1548229 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1548311), // Rule ID 18843 //
     /* 1548234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1548254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548273 */     // MIs[0] round
     /* 1548273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548276 */     // MIs[0] policy
     /* 1548276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548286 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1548289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548310 */     // GIR_Coverage, 18843,
     /* 1548310 */     GIR_EraseRootFromParent_Done,
     /* 1548311 */   // Label 21476: @1548311
     /* 1548311 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1548393), // Rule ID 18846 //
     /* 1548316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1548336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548355 */     // MIs[0] round
     /* 1548355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548358 */     // MIs[0] policy
     /* 1548358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548368 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1548371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548392 */     // GIR_Coverage, 18846,
     /* 1548392 */     GIR_EraseRootFromParent_Done,
     /* 1548393 */   // Label 21477: @1548393
     /* 1548393 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1548475), // Rule ID 18847 //
     /* 1548398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1548418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548437 */     // MIs[0] round
     /* 1548437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548440 */     // MIs[0] policy
     /* 1548440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548450 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1548453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548474 */     // GIR_Coverage, 18847,
     /* 1548474 */     GIR_EraseRootFromParent_Done,
     /* 1548475 */   // Label 21478: @1548475
     /* 1548475 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1548557), // Rule ID 18850 //
     /* 1548480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1548500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548519 */     // MIs[0] round
     /* 1548519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548522 */     // MIs[0] policy
     /* 1548522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548532 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1548535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548556 */     // GIR_Coverage, 18850,
     /* 1548556 */     GIR_EraseRootFromParent_Done,
     /* 1548557 */   // Label 21479: @1548557
     /* 1548557 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1548639), // Rule ID 18851 //
     /* 1548562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1548582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548601 */     // MIs[0] round
     /* 1548601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548604 */     // MIs[0] policy
     /* 1548604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548614 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1548617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548638 */     // GIR_Coverage, 18851,
     /* 1548638 */     GIR_EraseRootFromParent_Done,
     /* 1548639 */   // Label 21480: @1548639
     /* 1548639 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1548721), // Rule ID 18854 //
     /* 1548644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1548664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548683 */     // MIs[0] round
     /* 1548683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548686 */     // MIs[0] policy
     /* 1548686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548696 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1548699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548720 */     // GIR_Coverage, 18854,
     /* 1548720 */     GIR_EraseRootFromParent_Done,
     /* 1548721 */   // Label 21481: @1548721
     /* 1548721 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1548803), // Rule ID 18855 //
     /* 1548726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1548746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548765 */     // MIs[0] round
     /* 1548765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548768 */     // MIs[0] policy
     /* 1548768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548778 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1548781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548802 */     // GIR_Coverage, 18855,
     /* 1548802 */     GIR_EraseRootFromParent_Done,
     /* 1548803 */   // Label 21482: @1548803
     /* 1548803 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1548885), // Rule ID 18858 //
     /* 1548808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548847 */     // MIs[0] round
     /* 1548847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548850 */     // MIs[0] policy
     /* 1548850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1548863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548884 */     // GIR_Coverage, 18858,
     /* 1548884 */     GIR_EraseRootFromParent_Done,
     /* 1548885 */   // Label 21483: @1548885
     /* 1548885 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1548967), // Rule ID 18859 //
     /* 1548890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1548925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548929 */     // MIs[0] round
     /* 1548929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548932 */     // MIs[0] policy
     /* 1548932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548942 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1548945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548966 */     // GIR_Coverage, 18859,
     /* 1548966 */     GIR_EraseRootFromParent_Done,
     /* 1548967 */   // Label 21484: @1548967
     /* 1548967 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1549049), // Rule ID 18862 //
     /* 1548972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1548980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1548989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1548992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549011 */     // MIs[0] round
     /* 1549011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549014 */     // MIs[0] policy
     /* 1549014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549024 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1549027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549048 */     // GIR_Coverage, 18862,
     /* 1549048 */     GIR_EraseRootFromParent_Done,
     /* 1549049 */   // Label 21485: @1549049
     /* 1549049 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1549131), // Rule ID 18863 //
     /* 1549054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1549074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549093 */     // MIs[0] round
     /* 1549093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549096 */     // MIs[0] policy
     /* 1549096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549106 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1549109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549130 */     // GIR_Coverage, 18863,
     /* 1549130 */     GIR_EraseRootFromParent_Done,
     /* 1549131 */   // Label 21486: @1549131
     /* 1549131 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1549213), // Rule ID 18866 //
     /* 1549136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1549156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549175 */     // MIs[0] round
     /* 1549175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549178 */     // MIs[0] policy
     /* 1549178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549188 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1549191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549212 */     // GIR_Coverage, 18866,
     /* 1549212 */     GIR_EraseRootFromParent_Done,
     /* 1549213 */   // Label 21487: @1549213
     /* 1549213 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1549295), // Rule ID 18867 //
     /* 1549218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1549229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1549232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1549238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549257 */     // MIs[0] round
     /* 1549257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549260 */     // MIs[0] policy
     /* 1549260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549270 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1549273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549294 */     // GIR_Coverage, 18867,
     /* 1549294 */     GIR_EraseRootFromParent_Done,
     /* 1549295 */   // Label 21488: @1549295
     /* 1549295 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1549377), // Rule ID 18870 //
     /* 1549300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1549320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549339 */     // MIs[0] round
     /* 1549339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549342 */     // MIs[0] policy
     /* 1549342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549352 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1549355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549376 */     // GIR_Coverage, 18870,
     /* 1549376 */     GIR_EraseRootFromParent_Done,
     /* 1549377 */   // Label 21489: @1549377
     /* 1549377 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1549459), // Rule ID 18871 //
     /* 1549382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1549393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1549396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1549402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549421 */     // MIs[0] round
     /* 1549421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549424 */     // MIs[0] policy
     /* 1549424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549434 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1549437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549458 */     // GIR_Coverage, 18871,
     /* 1549458 */     GIR_EraseRootFromParent_Done,
     /* 1549459 */   // Label 21490: @1549459
     /* 1549459 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1549541), // Rule ID 18874 //
     /* 1549464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1549484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549503 */     // MIs[0] round
     /* 1549503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549506 */     // MIs[0] policy
     /* 1549506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1549519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549540 */     // GIR_Coverage, 18874,
     /* 1549540 */     GIR_EraseRootFromParent_Done,
     /* 1549541 */   // Label 21491: @1549541
     /* 1549541 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1549623), // Rule ID 18875 //
     /* 1549546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1549566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549585 */     // MIs[0] round
     /* 1549585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549588 */     // MIs[0] policy
     /* 1549588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549598 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1549601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549622 */     // GIR_Coverage, 18875,
     /* 1549622 */     GIR_EraseRootFromParent_Done,
     /* 1549623 */   // Label 21492: @1549623
     /* 1549623 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1549705), // Rule ID 18878 //
     /* 1549628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1549648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549667 */     // MIs[0] round
     /* 1549667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549670 */     // MIs[0] policy
     /* 1549670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549680 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1549683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549704 */     // GIR_Coverage, 18878,
     /* 1549704 */     GIR_EraseRootFromParent_Done,
     /* 1549705 */   // Label 21493: @1549705
     /* 1549705 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1549787), // Rule ID 18879 //
     /* 1549710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1549730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549749 */     // MIs[0] round
     /* 1549749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549752 */     // MIs[0] policy
     /* 1549752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549762 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1549765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549786 */     // GIR_Coverage, 18879,
     /* 1549786 */     GIR_EraseRootFromParent_Done,
     /* 1549787 */   // Label 21494: @1549787
     /* 1549787 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1549869), // Rule ID 18882 //
     /* 1549792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1549812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549831 */     // MIs[0] round
     /* 1549831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549834 */     // MIs[0] policy
     /* 1549834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549844 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1549847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549868 */     // GIR_Coverage, 18882,
     /* 1549868 */     GIR_EraseRootFromParent_Done,
     /* 1549869 */   // Label 21495: @1549869
     /* 1549869 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1549951), // Rule ID 18883 //
     /* 1549874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1549894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549913 */     // MIs[0] round
     /* 1549913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549916 */     // MIs[0] policy
     /* 1549916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549926 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1549929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549950 */     // GIR_Coverage, 18883,
     /* 1549950 */     GIR_EraseRootFromParent_Done,
     /* 1549951 */   // Label 21496: @1549951
     /* 1549951 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1550033), // Rule ID 18886 //
     /* 1549956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1549964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1549973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1549976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1549991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549995 */     // MIs[0] round
     /* 1549995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549998 */     // MIs[0] policy
     /* 1549998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550008 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1550011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550032 */     // GIR_Coverage, 18886,
     /* 1550032 */     GIR_EraseRootFromParent_Done,
     /* 1550033 */   // Label 21497: @1550033
     /* 1550033 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1550115), // Rule ID 18887 //
     /* 1550038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1550046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1550058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550077 */     // MIs[0] round
     /* 1550077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550080 */     // MIs[0] policy
     /* 1550080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1550093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550114 */     // GIR_Coverage, 18887,
     /* 1550114 */     GIR_EraseRootFromParent_Done,
     /* 1550115 */   // Label 21498: @1550115
     /* 1550115 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1550197), // Rule ID 18892 //
     /* 1550120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1550123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550159 */     // MIs[0] round
     /* 1550159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550162 */     // MIs[0] policy
     /* 1550162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550172 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1550175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550196 */     // GIR_Coverage, 18892,
     /* 1550196 */     GIR_EraseRootFromParent_Done,
     /* 1550197 */   // Label 21499: @1550197
     /* 1550197 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1550279), // Rule ID 18893 //
     /* 1550202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1550205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1550219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550241 */     // MIs[0] round
     /* 1550241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550244 */     // MIs[0] policy
     /* 1550244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550254 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1550257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550278 */     // GIR_Coverage, 18893,
     /* 1550278 */     GIR_EraseRootFromParent_Done,
     /* 1550279 */   // Label 21500: @1550279
     /* 1550279 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1550361), // Rule ID 18896 //
     /* 1550284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1550287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550323 */     // MIs[0] round
     /* 1550323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550326 */     // MIs[0] policy
     /* 1550326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1550339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550360 */     // GIR_Coverage, 18896,
     /* 1550360 */     GIR_EraseRootFromParent_Done,
     /* 1550361 */   // Label 21501: @1550361
     /* 1550361 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1550443), // Rule ID 18897 //
     /* 1550366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1550369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1550383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550405 */     // MIs[0] round
     /* 1550405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550408 */     // MIs[0] policy
     /* 1550408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550418 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1550421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550442 */     // GIR_Coverage, 18897,
     /* 1550442 */     GIR_EraseRootFromParent_Done,
     /* 1550443 */   // Label 21502: @1550443
     /* 1550443 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1550525), // Rule ID 18900 //
     /* 1550448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1550451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550487 */     // MIs[0] round
     /* 1550487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550490 */     // MIs[0] policy
     /* 1550490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550500 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1550503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550524 */     // GIR_Coverage, 18900,
     /* 1550524 */     GIR_EraseRootFromParent_Done,
     /* 1550525 */   // Label 21503: @1550525
     /* 1550525 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1550607), // Rule ID 18901 //
     /* 1550530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1550533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1550547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550569 */     // MIs[0] round
     /* 1550569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550572 */     // MIs[0] policy
     /* 1550572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550582 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1550585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550606 */     // GIR_Coverage, 18901,
     /* 1550606 */     GIR_EraseRootFromParent_Done,
     /* 1550607 */   // Label 21504: @1550607
     /* 1550607 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1550689), // Rule ID 18904 //
     /* 1550612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1550615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550651 */     // MIs[0] round
     /* 1550651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550654 */     // MIs[0] policy
     /* 1550654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550664 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1550667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550688 */     // GIR_Coverage, 18904,
     /* 1550688 */     GIR_EraseRootFromParent_Done,
     /* 1550689 */   // Label 21505: @1550689
     /* 1550689 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1550771), // Rule ID 18905 //
     /* 1550694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1550697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550733 */     // MIs[0] round
     /* 1550733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550736 */     // MIs[0] policy
     /* 1550736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550746 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1550749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550770 */     // GIR_Coverage, 18905,
     /* 1550770 */     GIR_EraseRootFromParent_Done,
     /* 1550771 */   // Label 21506: @1550771
     /* 1550771 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1550853), // Rule ID 18908 //
     /* 1550776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1550779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550815 */     // MIs[0] round
     /* 1550815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550818 */     // MIs[0] policy
     /* 1550818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1550831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550852 */     // GIR_Coverage, 18908,
     /* 1550852 */     GIR_EraseRootFromParent_Done,
     /* 1550853 */   // Label 21507: @1550853
     /* 1550853 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1550935), // Rule ID 18909 //
     /* 1550858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1550861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550897 */     // MIs[0] round
     /* 1550897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550900 */     // MIs[0] policy
     /* 1550900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550910 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1550913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550934 */     // GIR_Coverage, 18909,
     /* 1550934 */     GIR_EraseRootFromParent_Done,
     /* 1550935 */   // Label 21508: @1550935
     /* 1550935 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1551017), // Rule ID 18912 //
     /* 1550940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1550943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1550948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550979 */     // MIs[0] round
     /* 1550979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550982 */     // MIs[0] policy
     /* 1550982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550992 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1550995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551016 */     // GIR_Coverage, 18912,
     /* 1551016 */     GIR_EraseRootFromParent_Done,
     /* 1551017 */   // Label 21509: @1551017
     /* 1551017 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1551099), // Rule ID 18913 //
     /* 1551022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1551025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1551033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1551036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551061 */     // MIs[0] round
     /* 1551061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551064 */     // MIs[0] policy
     /* 1551064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551074 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1551077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551098 */     // GIR_Coverage, 18913,
     /* 1551098 */     GIR_EraseRootFromParent_Done,
     /* 1551099 */   // Label 21510: @1551099
     /* 1551099 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1551181), // Rule ID 18916 //
     /* 1551104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1551107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551143 */     // MIs[0] round
     /* 1551143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551146 */     // MIs[0] policy
     /* 1551146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551156 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1551159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551180 */     // GIR_Coverage, 18916,
     /* 1551180 */     GIR_EraseRootFromParent_Done,
     /* 1551181 */   // Label 21511: @1551181
     /* 1551181 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1551263), // Rule ID 18917 //
     /* 1551186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1551189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551225 */     // MIs[0] round
     /* 1551225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551228 */     // MIs[0] policy
     /* 1551228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551238 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1551241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551262 */     // GIR_Coverage, 18917,
     /* 1551262 */     GIR_EraseRootFromParent_Done,
     /* 1551263 */   // Label 21512: @1551263
     /* 1551263 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1551345), // Rule ID 18920 //
     /* 1551268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1551271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551307 */     // MIs[0] round
     /* 1551307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551310 */     // MIs[0] policy
     /* 1551310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551320 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1551323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551344 */     // GIR_Coverage, 18920,
     /* 1551344 */     GIR_EraseRootFromParent_Done,
     /* 1551345 */   // Label 21513: @1551345
     /* 1551345 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1551427), // Rule ID 18921 //
     /* 1551350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1551353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1551370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551389 */     // MIs[0] round
     /* 1551389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551392 */     // MIs[0] policy
     /* 1551392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551402 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1551405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551426 */     // GIR_Coverage, 18921,
     /* 1551426 */     GIR_EraseRootFromParent_Done,
     /* 1551427 */   // Label 21514: @1551427
     /* 1551427 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1551509), // Rule ID 18924 //
     /* 1551432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1551435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551471 */     // MIs[0] round
     /* 1551471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551474 */     // MIs[0] policy
     /* 1551474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551484 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1551487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551508 */     // GIR_Coverage, 18924,
     /* 1551508 */     GIR_EraseRootFromParent_Done,
     /* 1551509 */   // Label 21515: @1551509
     /* 1551509 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1551591), // Rule ID 18925 //
     /* 1551514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1551517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551553 */     // MIs[0] round
     /* 1551553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551556 */     // MIs[0] policy
     /* 1551556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551566 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1551569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551590 */     // GIR_Coverage, 18925,
     /* 1551590 */     GIR_EraseRootFromParent_Done,
     /* 1551591 */   // Label 21516: @1551591
     /* 1551591 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1551673), // Rule ID 18928 //
     /* 1551596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1551599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551635 */     // MIs[0] round
     /* 1551635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551638 */     // MIs[0] policy
     /* 1551638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551648 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1551651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551672 */     // GIR_Coverage, 18928,
     /* 1551672 */     GIR_EraseRootFromParent_Done,
     /* 1551673 */   // Label 21517: @1551673
     /* 1551673 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1551755), // Rule ID 18929 //
     /* 1551678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1551681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551717 */     // MIs[0] round
     /* 1551717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551720 */     // MIs[0] policy
     /* 1551720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1551733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551754 */     // GIR_Coverage, 18929,
     /* 1551754 */     GIR_EraseRootFromParent_Done,
     /* 1551755 */   // Label 21518: @1551755
     /* 1551755 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1551837), // Rule ID 18932 //
     /* 1551760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1551763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1551777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551799 */     // MIs[0] round
     /* 1551799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551802 */     // MIs[0] policy
     /* 1551802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551812 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1551815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551836 */     // GIR_Coverage, 18932,
     /* 1551836 */     GIR_EraseRootFromParent_Done,
     /* 1551837 */   // Label 21519: @1551837
     /* 1551837 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1551919), // Rule ID 18933 //
     /* 1551842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1551845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1551859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551881 */     // MIs[0] round
     /* 1551881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551884 */     // MIs[0] policy
     /* 1551884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551894 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1551897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551918 */     // GIR_Coverage, 18933,
     /* 1551918 */     GIR_EraseRootFromParent_Done,
     /* 1551919 */   // Label 21520: @1551919
     /* 1551919 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1552001), // Rule ID 18936 //
     /* 1551924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1551927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1551932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1551941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551963 */     // MIs[0] round
     /* 1551963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551966 */     // MIs[0] policy
     /* 1551966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551976 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1551979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552000 */     // GIR_Coverage, 18936,
     /* 1552000 */     GIR_EraseRootFromParent_Done,
     /* 1552001 */   // Label 21521: @1552001
     /* 1552001 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1552083), // Rule ID 18937 //
     /* 1552006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1552009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1552023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552045 */     // MIs[0] round
     /* 1552045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552048 */     // MIs[0] policy
     /* 1552048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552058 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1552061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552082 */     // GIR_Coverage, 18937,
     /* 1552082 */     GIR_EraseRootFromParent_Done,
     /* 1552083 */   // Label 21522: @1552083
     /* 1552083 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1552165), // Rule ID 18940 //
     /* 1552088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1552091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552127 */     // MIs[0] round
     /* 1552127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552130 */     // MIs[0] policy
     /* 1552130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552140 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1552143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552164 */     // GIR_Coverage, 18940,
     /* 1552164 */     GIR_EraseRootFromParent_Done,
     /* 1552165 */   // Label 21523: @1552165
     /* 1552165 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1552247), // Rule ID 18941 //
     /* 1552170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1552173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552209 */     // MIs[0] round
     /* 1552209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552212 */     // MIs[0] policy
     /* 1552212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552222 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1552225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552246 */     // GIR_Coverage, 18941,
     /* 1552246 */     GIR_EraseRootFromParent_Done,
     /* 1552247 */   // Label 21524: @1552247
     /* 1552247 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1552329), // Rule ID 18944 //
     /* 1552252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1552255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552291 */     // MIs[0] round
     /* 1552291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552294 */     // MIs[0] policy
     /* 1552294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552304 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1552307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552328 */     // GIR_Coverage, 18944,
     /* 1552328 */     GIR_EraseRootFromParent_Done,
     /* 1552329 */   // Label 21525: @1552329
     /* 1552329 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1552411), // Rule ID 18945 //
     /* 1552334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1552337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1552342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552373 */     // MIs[0] round
     /* 1552373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552376 */     // MIs[0] policy
     /* 1552376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552386 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1552389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552410 */     // GIR_Coverage, 18945,
     /* 1552410 */     GIR_EraseRootFromParent_Done,
     /* 1552411 */   // Label 21526: @1552411
     /* 1552411 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1552493), // Rule ID 19004 //
     /* 1552416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1552419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552455 */     // MIs[0] round
     /* 1552455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552458 */     // MIs[0] policy
     /* 1552458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552468 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1552471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552492 */     // GIR_Coverage, 19004,
     /* 1552492 */     GIR_EraseRootFromParent_Done,
     /* 1552493 */   // Label 21527: @1552493
     /* 1552493 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1552575), // Rule ID 19005 //
     /* 1552498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1552501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552537 */     // MIs[0] round
     /* 1552537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552540 */     // MIs[0] policy
     /* 1552540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552550 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1552553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552574 */     // GIR_Coverage, 19005,
     /* 1552574 */     GIR_EraseRootFromParent_Done,
     /* 1552575 */   // Label 21528: @1552575
     /* 1552575 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1552657), // Rule ID 19008 //
     /* 1552580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1552583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552619 */     // MIs[0] round
     /* 1552619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552622 */     // MIs[0] policy
     /* 1552622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552632 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1552635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552656 */     // GIR_Coverage, 19008,
     /* 1552656 */     GIR_EraseRootFromParent_Done,
     /* 1552657 */   // Label 21529: @1552657
     /* 1552657 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1552739), // Rule ID 19009 //
     /* 1552662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1552665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1552673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1552676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1552679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552701 */     // MIs[0] round
     /* 1552701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552704 */     // MIs[0] policy
     /* 1552704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552714 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1552717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552738 */     // GIR_Coverage, 19009,
     /* 1552738 */     GIR_EraseRootFromParent_Done,
     /* 1552739 */   // Label 21530: @1552739
     /* 1552739 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1552821), // Rule ID 19012 //
     /* 1552744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1552747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552783 */     // MIs[0] round
     /* 1552783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552786 */     // MIs[0] policy
     /* 1552786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552796 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1552799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552820 */     // GIR_Coverage, 19012,
     /* 1552820 */     GIR_EraseRootFromParent_Done,
     /* 1552821 */   // Label 21531: @1552821
     /* 1552821 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1552903), // Rule ID 19013 //
     /* 1552826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1552829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552865 */     // MIs[0] round
     /* 1552865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552868 */     // MIs[0] policy
     /* 1552868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552878 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1552881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552902 */     // GIR_Coverage, 19013,
     /* 1552902 */     GIR_EraseRootFromParent_Done,
     /* 1552903 */   // Label 21532: @1552903
     /* 1552903 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1552985), // Rule ID 19016 //
     /* 1552908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1552911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1552919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1552922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1552925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552947 */     // MIs[0] round
     /* 1552947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552950 */     // MIs[0] policy
     /* 1552950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552960 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1552963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552984 */     // GIR_Coverage, 19016,
     /* 1552984 */     GIR_EraseRootFromParent_Done,
     /* 1552985 */   // Label 21533: @1552985
     /* 1552985 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1553067), // Rule ID 19017 //
     /* 1552990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1552993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1552998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553029 */     // MIs[0] round
     /* 1553029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553032 */     // MIs[0] policy
     /* 1553032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553042 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1553045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553066 */     // GIR_Coverage, 19017,
     /* 1553066 */     GIR_EraseRootFromParent_Done,
     /* 1553067 */   // Label 21534: @1553067
     /* 1553067 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1553149), // Rule ID 19020 //
     /* 1553072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1553075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553111 */     // MIs[0] round
     /* 1553111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553114 */     // MIs[0] policy
     /* 1553114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553124 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1553127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553148 */     // GIR_Coverage, 19020,
     /* 1553148 */     GIR_EraseRootFromParent_Done,
     /* 1553149 */   // Label 21535: @1553149
     /* 1553149 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1553231), // Rule ID 19021 //
     /* 1553154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1553157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553193 */     // MIs[0] round
     /* 1553193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553196 */     // MIs[0] policy
     /* 1553196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553206 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1553209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553230 */     // GIR_Coverage, 19021,
     /* 1553230 */     GIR_EraseRootFromParent_Done,
     /* 1553231 */   // Label 21536: @1553231
     /* 1553231 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1553313), // Rule ID 19024 //
     /* 1553236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1553239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553275 */     // MIs[0] round
     /* 1553275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553278 */     // MIs[0] policy
     /* 1553278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553288 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1553291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553312 */     // GIR_Coverage, 19024,
     /* 1553312 */     GIR_EraseRootFromParent_Done,
     /* 1553313 */   // Label 21537: @1553313
     /* 1553313 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1553395), // Rule ID 19025 //
     /* 1553318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1553321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553357 */     // MIs[0] round
     /* 1553357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553360 */     // MIs[0] policy
     /* 1553360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553370 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1553373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553394 */     // GIR_Coverage, 19025,
     /* 1553394 */     GIR_EraseRootFromParent_Done,
     /* 1553395 */   // Label 21538: @1553395
     /* 1553395 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1553477), // Rule ID 19028 //
     /* 1553400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553439 */     // MIs[0] round
     /* 1553439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553442 */     // MIs[0] policy
     /* 1553442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553452 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1553455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553476 */     // GIR_Coverage, 19028,
     /* 1553476 */     GIR_EraseRootFromParent_Done,
     /* 1553477 */   // Label 21539: @1553477
     /* 1553477 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1553559), // Rule ID 19029 //
     /* 1553482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1553499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553521 */     // MIs[0] round
     /* 1553521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553524 */     // MIs[0] policy
     /* 1553524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553534 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1553537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553558 */     // GIR_Coverage, 19029,
     /* 1553558 */     GIR_EraseRootFromParent_Done,
     /* 1553559 */   // Label 21540: @1553559
     /* 1553559 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1553641), // Rule ID 19032 //
     /* 1553564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553603 */     // MIs[0] round
     /* 1553603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553606 */     // MIs[0] policy
     /* 1553606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553616 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1553619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553640 */     // GIR_Coverage, 19032,
     /* 1553640 */     GIR_EraseRootFromParent_Done,
     /* 1553641 */   // Label 21541: @1553641
     /* 1553641 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1553723), // Rule ID 19033 //
     /* 1553646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1553663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553685 */     // MIs[0] round
     /* 1553685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553688 */     // MIs[0] policy
     /* 1553688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553698 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1553701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553722 */     // GIR_Coverage, 19033,
     /* 1553722 */     GIR_EraseRootFromParent_Done,
     /* 1553723 */   // Label 21542: @1553723
     /* 1553723 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1553805), // Rule ID 19036 //
     /* 1553728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1553731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553767 */     // MIs[0] round
     /* 1553767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553770 */     // MIs[0] policy
     /* 1553770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553780 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1553783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553804 */     // GIR_Coverage, 19036,
     /* 1553804 */     GIR_EraseRootFromParent_Done,
     /* 1553805 */   // Label 21543: @1553805
     /* 1553805 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1553887), // Rule ID 19037 //
     /* 1553810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1553813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553849 */     // MIs[0] round
     /* 1553849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553852 */     // MIs[0] policy
     /* 1553852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553862 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1553865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553886 */     // GIR_Coverage, 19037,
     /* 1553886 */     GIR_EraseRootFromParent_Done,
     /* 1553887 */   // Label 21544: @1553887
     /* 1553887 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1553969), // Rule ID 19040 //
     /* 1553892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1553895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1553903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1553906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553931 */     // MIs[0] round
     /* 1553931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553934 */     // MIs[0] policy
     /* 1553934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553944 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1553947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553968 */     // GIR_Coverage, 19040,
     /* 1553968 */     GIR_EraseRootFromParent_Done,
     /* 1553969 */   // Label 21545: @1553969
     /* 1553969 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1554051), // Rule ID 19041 //
     /* 1553974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1553977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1553982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1553985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1553988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554013 */     // MIs[0] round
     /* 1554013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554016 */     // MIs[0] policy
     /* 1554016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554026 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1554029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554050 */     // GIR_Coverage, 19041,
     /* 1554050 */     GIR_EraseRootFromParent_Done,
     /* 1554051 */   // Label 21546: @1554051
     /* 1554051 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1554133), // Rule ID 19044 //
     /* 1554056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1554059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554095 */     // MIs[0] round
     /* 1554095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554098 */     // MIs[0] policy
     /* 1554098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554108 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1554111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554132 */     // GIR_Coverage, 19044,
     /* 1554132 */     GIR_EraseRootFromParent_Done,
     /* 1554133 */   // Label 21547: @1554133
     /* 1554133 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1554215), // Rule ID 19045 //
     /* 1554138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1554141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1554155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554177 */     // MIs[0] round
     /* 1554177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554180 */     // MIs[0] policy
     /* 1554180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554190 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1554193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554214 */     // GIR_Coverage, 19045,
     /* 1554214 */     GIR_EraseRootFromParent_Done,
     /* 1554215 */   // Label 21548: @1554215
     /* 1554215 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1554297), // Rule ID 19048 //
     /* 1554220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1554223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554259 */     // MIs[0] round
     /* 1554259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554262 */     // MIs[0] policy
     /* 1554262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554272 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1554275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554296 */     // GIR_Coverage, 19048,
     /* 1554296 */     GIR_EraseRootFromParent_Done,
     /* 1554297 */   // Label 21549: @1554297
     /* 1554297 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1554379), // Rule ID 19049 //
     /* 1554302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1554305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1554319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554341 */     // MIs[0] round
     /* 1554341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554344 */     // MIs[0] policy
     /* 1554344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554354 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1554357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554378 */     // GIR_Coverage, 19049,
     /* 1554378 */     GIR_EraseRootFromParent_Done,
     /* 1554379 */   // Label 21550: @1554379
     /* 1554379 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1554461), // Rule ID 19052 //
     /* 1554384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554423 */     // MIs[0] round
     /* 1554423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554426 */     // MIs[0] policy
     /* 1554426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554436 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1554439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554460 */     // GIR_Coverage, 19052,
     /* 1554460 */     GIR_EraseRootFromParent_Done,
     /* 1554461 */   // Label 21551: @1554461
     /* 1554461 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1554543), // Rule ID 19053 //
     /* 1554466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554505 */     // MIs[0] round
     /* 1554505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554508 */     // MIs[0] policy
     /* 1554508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554518 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1554521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554542 */     // GIR_Coverage, 19053,
     /* 1554542 */     GIR_EraseRootFromParent_Done,
     /* 1554543 */   // Label 21552: @1554543
     /* 1554543 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1554625), // Rule ID 19056 //
     /* 1554548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554587 */     // MIs[0] round
     /* 1554587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554590 */     // MIs[0] policy
     /* 1554590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554600 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1554603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554624 */     // GIR_Coverage, 19056,
     /* 1554624 */     GIR_EraseRootFromParent_Done,
     /* 1554625 */   // Label 21553: @1554625
     /* 1554625 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1554707), // Rule ID 19057 //
     /* 1554630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1554641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1554644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554669 */     // MIs[0] round
     /* 1554669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554672 */     // MIs[0] policy
     /* 1554672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554682 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1554685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554706 */     // GIR_Coverage, 19057,
     /* 1554706 */     GIR_EraseRootFromParent_Done,
     /* 1554707 */   // Label 21554: @1554707
     /* 1554707 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1554789), // Rule ID 19060 //
     /* 1554712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1554715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554751 */     // MIs[0] round
     /* 1554751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554754 */     // MIs[0] policy
     /* 1554754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1554767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554788 */     // GIR_Coverage, 19060,
     /* 1554788 */     GIR_EraseRootFromParent_Done,
     /* 1554789 */   // Label 21555: @1554789
     /* 1554789 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1554871), // Rule ID 19061 //
     /* 1554794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1554797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1554802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1554805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1554808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554833 */     // MIs[0] round
     /* 1554833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554836 */     // MIs[0] policy
     /* 1554836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554846 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1554849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554870 */     // GIR_Coverage, 19061,
     /* 1554870 */     GIR_EraseRootFromParent_Done,
     /* 1554871 */   // Label 21556: @1554871
     /* 1554871 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1554953), // Rule ID 20646 //
     /* 1554876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1554884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554915 */     // MIs[0] round
     /* 1554915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554918 */     // MIs[0] policy
     /* 1554918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1554931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554952 */     // GIR_Coverage, 20646,
     /* 1554952 */     GIR_EraseRootFromParent_Done,
     /* 1554953 */   // Label 21557: @1554953
     /* 1554953 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1555035), // Rule ID 20647 //
     /* 1554958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1554966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554997 */     // MIs[0] round
     /* 1554997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555000 */     // MIs[0] policy
     /* 1555000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1555013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555034 */     // GIR_Coverage, 20647,
     /* 1555034 */     GIR_EraseRootFromParent_Done,
     /* 1555035 */   // Label 21558: @1555035
     /* 1555035 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1555117), // Rule ID 20650 //
     /* 1555040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555079 */     // MIs[0] round
     /* 1555079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555082 */     // MIs[0] policy
     /* 1555082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1555095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555116 */     // GIR_Coverage, 20650,
     /* 1555116 */     GIR_EraseRootFromParent_Done,
     /* 1555117 */   // Label 21559: @1555117
     /* 1555117 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1555199), // Rule ID 20651 //
     /* 1555122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1555139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555161 */     // MIs[0] round
     /* 1555161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555164 */     // MIs[0] policy
     /* 1555164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1555177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555198 */     // GIR_Coverage, 20651,
     /* 1555198 */     GIR_EraseRootFromParent_Done,
     /* 1555199 */   // Label 21560: @1555199
     /* 1555199 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1555281), // Rule ID 20654 //
     /* 1555204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555243 */     // MIs[0] round
     /* 1555243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555246 */     // MIs[0] policy
     /* 1555246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1555259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555280 */     // GIR_Coverage, 20654,
     /* 1555280 */     GIR_EraseRootFromParent_Done,
     /* 1555281 */   // Label 21561: @1555281
     /* 1555281 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1555363), // Rule ID 20655 //
     /* 1555286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555325 */     // MIs[0] round
     /* 1555325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555328 */     // MIs[0] policy
     /* 1555328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555338 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1555341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555362 */     // GIR_Coverage, 20655,
     /* 1555362 */     GIR_EraseRootFromParent_Done,
     /* 1555363 */   // Label 21562: @1555363
     /* 1555363 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1555445), // Rule ID 20658 //
     /* 1555368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555407 */     // MIs[0] round
     /* 1555407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555410 */     // MIs[0] policy
     /* 1555410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1555423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555444 */     // GIR_Coverage, 20658,
     /* 1555444 */     GIR_EraseRootFromParent_Done,
     /* 1555445 */   // Label 21563: @1555445
     /* 1555445 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1555527), // Rule ID 20659 //
     /* 1555450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555489 */     // MIs[0] round
     /* 1555489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555492 */     // MIs[0] policy
     /* 1555492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1555505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555526 */     // GIR_Coverage, 20659,
     /* 1555526 */     GIR_EraseRootFromParent_Done,
     /* 1555527 */   // Label 21564: @1555527
     /* 1555527 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1555609), // Rule ID 20662 //
     /* 1555532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555571 */     // MIs[0] round
     /* 1555571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555574 */     // MIs[0] policy
     /* 1555574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1555587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555608 */     // GIR_Coverage, 20662,
     /* 1555608 */     GIR_EraseRootFromParent_Done,
     /* 1555609 */   // Label 21565: @1555609
     /* 1555609 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1555691), // Rule ID 20663 //
     /* 1555614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1555625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1555628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555653 */     // MIs[0] round
     /* 1555653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555656 */     // MIs[0] policy
     /* 1555656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1555669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555690 */     // GIR_Coverage, 20663,
     /* 1555690 */     GIR_EraseRootFromParent_Done,
     /* 1555691 */   // Label 21566: @1555691
     /* 1555691 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1555773), // Rule ID 20666 //
     /* 1555696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1555707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1555710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1555713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555735 */     // MIs[0] round
     /* 1555735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555738 */     // MIs[0] policy
     /* 1555738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1555751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555772 */     // GIR_Coverage, 20666,
     /* 1555772 */     GIR_EraseRootFromParent_Done,
     /* 1555773 */   // Label 21567: @1555773
     /* 1555773 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1555855), // Rule ID 20667 //
     /* 1555778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1555789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1555792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1555795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555817 */     // MIs[0] round
     /* 1555817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555820 */     // MIs[0] policy
     /* 1555820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1555833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555854 */     // GIR_Coverage, 20667,
     /* 1555854 */     GIR_EraseRootFromParent_Done,
     /* 1555855 */   // Label 21568: @1555855
     /* 1555855 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1555937), // Rule ID 20670 //
     /* 1555860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1555877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555899 */     // MIs[0] round
     /* 1555899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555902 */     // MIs[0] policy
     /* 1555902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1555915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555936 */     // GIR_Coverage, 20670,
     /* 1555936 */     GIR_EraseRootFromParent_Done,
     /* 1555937 */   // Label 21569: @1555937
     /* 1555937 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1556019), // Rule ID 20671 //
     /* 1555942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1555950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1555959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555981 */     // MIs[0] round
     /* 1555981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555984 */     // MIs[0] policy
     /* 1555984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1555997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556018 */     // GIR_Coverage, 20671,
     /* 1556018 */     GIR_EraseRootFromParent_Done,
     /* 1556019 */   // Label 21570: @1556019
     /* 1556019 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1556101), // Rule ID 20674 //
     /* 1556024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556063 */     // MIs[0] round
     /* 1556063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556066 */     // MIs[0] policy
     /* 1556066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1556079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556100 */     // GIR_Coverage, 20674,
     /* 1556100 */     GIR_EraseRootFromParent_Done,
     /* 1556101 */   // Label 21571: @1556101
     /* 1556101 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1556183), // Rule ID 20675 //
     /* 1556106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1556117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1556120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1556123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1556126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556145 */     // MIs[0] round
     /* 1556145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556148 */     // MIs[0] policy
     /* 1556148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1556161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556182 */     // GIR_Coverage, 20675,
     /* 1556182 */     GIR_EraseRootFromParent_Done,
     /* 1556183 */   // Label 21572: @1556183
     /* 1556183 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1556265), // Rule ID 20678 //
     /* 1556188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556227 */     // MIs[0] round
     /* 1556227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556230 */     // MIs[0] policy
     /* 1556230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556240 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1556243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556264 */     // GIR_Coverage, 20678,
     /* 1556264 */     GIR_EraseRootFromParent_Done,
     /* 1556265 */   // Label 21573: @1556265
     /* 1556265 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1556347), // Rule ID 20679 //
     /* 1556270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556309 */     // MIs[0] round
     /* 1556309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556312 */     // MIs[0] policy
     /* 1556312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1556325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556346 */     // GIR_Coverage, 20679,
     /* 1556346 */     GIR_EraseRootFromParent_Done,
     /* 1556347 */   // Label 21574: @1556347
     /* 1556347 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1556429), // Rule ID 20682 //
     /* 1556352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556391 */     // MIs[0] round
     /* 1556391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556394 */     // MIs[0] policy
     /* 1556394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1556407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556428 */     // GIR_Coverage, 20682,
     /* 1556428 */     GIR_EraseRootFromParent_Done,
     /* 1556429 */   // Label 21575: @1556429
     /* 1556429 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1556511), // Rule ID 20683 //
     /* 1556434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556473 */     // MIs[0] round
     /* 1556473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556476 */     // MIs[0] policy
     /* 1556476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1556489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556510 */     // GIR_Coverage, 20683,
     /* 1556510 */     GIR_EraseRootFromParent_Done,
     /* 1556511 */   // Label 21576: @1556511
     /* 1556511 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1556593), // Rule ID 20686 //
     /* 1556516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556555 */     // MIs[0] round
     /* 1556555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556558 */     // MIs[0] policy
     /* 1556558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1556571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556592 */     // GIR_Coverage, 20686,
     /* 1556592 */     GIR_EraseRootFromParent_Done,
     /* 1556593 */   // Label 21577: @1556593
     /* 1556593 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1556675), // Rule ID 20687 //
     /* 1556598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1556615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556637 */     // MIs[0] round
     /* 1556637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556640 */     // MIs[0] policy
     /* 1556640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1556653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556674 */     // GIR_Coverage, 20687,
     /* 1556674 */     GIR_EraseRootFromParent_Done,
     /* 1556675 */   // Label 21578: @1556675
     /* 1556675 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1556757), // Rule ID 20690 //
     /* 1556680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1556683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1556697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556719 */     // MIs[0] round
     /* 1556719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556722 */     // MIs[0] policy
     /* 1556722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1556735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556756 */     // GIR_Coverage, 20690,
     /* 1556756 */     GIR_EraseRootFromParent_Done,
     /* 1556757 */   // Label 21579: @1556757
     /* 1556757 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1556839), // Rule ID 20691 //
     /* 1556762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1556765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1556779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556801 */     // MIs[0] round
     /* 1556801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556804 */     // MIs[0] policy
     /* 1556804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1556817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556838 */     // GIR_Coverage, 20691,
     /* 1556838 */     GIR_EraseRootFromParent_Done,
     /* 1556839 */   // Label 21580: @1556839
     /* 1556839 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1556921), // Rule ID 20694 //
     /* 1556844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1556847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1556861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556883 */     // MIs[0] round
     /* 1556883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556886 */     // MIs[0] policy
     /* 1556886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1556899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556920 */     // GIR_Coverage, 20694,
     /* 1556920 */     GIR_EraseRootFromParent_Done,
     /* 1556921 */   // Label 21581: @1556921
     /* 1556921 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1557003), // Rule ID 20695 //
     /* 1556926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1556929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1556934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1556943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556965 */     // MIs[0] round
     /* 1556965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556968 */     // MIs[0] policy
     /* 1556968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556978 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1556981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557002 */     // GIR_Coverage, 20695,
     /* 1557002 */     GIR_EraseRootFromParent_Done,
     /* 1557003 */   // Label 21582: @1557003
     /* 1557003 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1557085), // Rule ID 20698 //
     /* 1557008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557047 */     // MIs[0] round
     /* 1557047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557050 */     // MIs[0] policy
     /* 1557050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557060 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1557063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557084 */     // GIR_Coverage, 20698,
     /* 1557084 */     GIR_EraseRootFromParent_Done,
     /* 1557085 */   // Label 21583: @1557085
     /* 1557085 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1557167), // Rule ID 20699 //
     /* 1557090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1557098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1557101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1557104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1557107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557129 */     // MIs[0] round
     /* 1557129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557132 */     // MIs[0] policy
     /* 1557132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1557145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557166 */     // GIR_Coverage, 20699,
     /* 1557166 */     GIR_EraseRootFromParent_Done,
     /* 1557167 */   // Label 21584: @1557167
     /* 1557167 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1557249), // Rule ID 20702 //
     /* 1557172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557211 */     // MIs[0] round
     /* 1557211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557214 */     // MIs[0] policy
     /* 1557214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557224 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1557227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557248 */     // GIR_Coverage, 20702,
     /* 1557248 */     GIR_EraseRootFromParent_Done,
     /* 1557249 */   // Label 21585: @1557249
     /* 1557249 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1557331), // Rule ID 20703 //
     /* 1557254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1557265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1557268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557293 */     // MIs[0] round
     /* 1557293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557296 */     // MIs[0] policy
     /* 1557296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557306 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1557309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557330 */     // GIR_Coverage, 20703,
     /* 1557330 */     GIR_EraseRootFromParent_Done,
     /* 1557331 */   // Label 21586: @1557331
     /* 1557331 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1557413), // Rule ID 20706 //
     /* 1557336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557375 */     // MIs[0] round
     /* 1557375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557378 */     // MIs[0] policy
     /* 1557378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1557391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557412 */     // GIR_Coverage, 20706,
     /* 1557412 */     GIR_EraseRootFromParent_Done,
     /* 1557413 */   // Label 21587: @1557413
     /* 1557413 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1557495), // Rule ID 20707 //
     /* 1557418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1557429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1557432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557457 */     // MIs[0] round
     /* 1557457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557460 */     // MIs[0] policy
     /* 1557460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557470 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1557473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557494 */     // GIR_Coverage, 20707,
     /* 1557494 */     GIR_EraseRootFromParent_Done,
     /* 1557495 */   // Label 21588: @1557495
     /* 1557495 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1557577), // Rule ID 20710 //
     /* 1557500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557539 */     // MIs[0] round
     /* 1557539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557542 */     // MIs[0] policy
     /* 1557542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557552 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1557555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557576 */     // GIR_Coverage, 20710,
     /* 1557576 */     GIR_EraseRootFromParent_Done,
     /* 1557577 */   // Label 21589: @1557577
     /* 1557577 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1557659), // Rule ID 20711 //
     /* 1557582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557621 */     // MIs[0] round
     /* 1557621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557624 */     // MIs[0] policy
     /* 1557624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1557637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557658 */     // GIR_Coverage, 20711,
     /* 1557658 */     GIR_EraseRootFromParent_Done,
     /* 1557659 */   // Label 21590: @1557659
     /* 1557659 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1557741), // Rule ID 20714 //
     /* 1557664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557703 */     // MIs[0] round
     /* 1557703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557706 */     // MIs[0] policy
     /* 1557706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1557719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557740 */     // GIR_Coverage, 20714,
     /* 1557740 */     GIR_EraseRootFromParent_Done,
     /* 1557741 */   // Label 21591: @1557741
     /* 1557741 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1557823), // Rule ID 20715 //
     /* 1557746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557785 */     // MIs[0] round
     /* 1557785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557788 */     // MIs[0] policy
     /* 1557788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1557801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557822 */     // GIR_Coverage, 20715,
     /* 1557822 */     GIR_EraseRootFromParent_Done,
     /* 1557823 */   // Label 21592: @1557823
     /* 1557823 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1557905), // Rule ID 20718 //
     /* 1557828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557867 */     // MIs[0] round
     /* 1557867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557870 */     // MIs[0] policy
     /* 1557870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1557883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557904 */     // GIR_Coverage, 20718,
     /* 1557904 */     GIR_EraseRootFromParent_Done,
     /* 1557905 */   // Label 21593: @1557905
     /* 1557905 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1557987), // Rule ID 20719 //
     /* 1557910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1557918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557949 */     // MIs[0] round
     /* 1557949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557952 */     // MIs[0] policy
     /* 1557952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1557965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557986 */     // GIR_Coverage, 20719,
     /* 1557986 */     GIR_EraseRootFromParent_Done,
     /* 1557987 */   // Label 21594: @1557987
     /* 1557987 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1558069), // Rule ID 20722 //
     /* 1557992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558031 */     // MIs[0] round
     /* 1558031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558034 */     // MIs[0] policy
     /* 1558034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1558047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558068 */     // GIR_Coverage, 20722,
     /* 1558068 */     GIR_EraseRootFromParent_Done,
     /* 1558069 */   // Label 21595: @1558069
     /* 1558069 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1558151), // Rule ID 20723 //
     /* 1558074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1558085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1558088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558113 */     // MIs[0] round
     /* 1558113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558116 */     // MIs[0] policy
     /* 1558116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1558129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558150 */     // GIR_Coverage, 20723,
     /* 1558150 */     GIR_EraseRootFromParent_Done,
     /* 1558151 */   // Label 21596: @1558151
     /* 1558151 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1558233), // Rule ID 20726 //
     /* 1558156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558195 */     // MIs[0] round
     /* 1558195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558198 */     // MIs[0] policy
     /* 1558198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1558211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558232 */     // GIR_Coverage, 20726,
     /* 1558232 */     GIR_EraseRootFromParent_Done,
     /* 1558233 */   // Label 21597: @1558233
     /* 1558233 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1558315), // Rule ID 20727 //
     /* 1558238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558277 */     // MIs[0] round
     /* 1558277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558280 */     // MIs[0] policy
     /* 1558280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558290 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1558293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558314 */     // GIR_Coverage, 20727,
     /* 1558314 */     GIR_EraseRootFromParent_Done,
     /* 1558315 */   // Label 21598: @1558315
     /* 1558315 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1558397), // Rule ID 20730 //
     /* 1558320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558359 */     // MIs[0] round
     /* 1558359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558362 */     // MIs[0] policy
     /* 1558362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1558375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558396 */     // GIR_Coverage, 20730,
     /* 1558396 */     GIR_EraseRootFromParent_Done,
     /* 1558397 */   // Label 21599: @1558397
     /* 1558397 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1558479), // Rule ID 20731 //
     /* 1558402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558441 */     // MIs[0] round
     /* 1558441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558444 */     // MIs[0] policy
     /* 1558444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1558457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558478 */     // GIR_Coverage, 20731,
     /* 1558478 */     GIR_EraseRootFromParent_Done,
     /* 1558479 */   // Label 21600: @1558479
     /* 1558479 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1558561), // Rule ID 20734 //
     /* 1558484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558523 */     // MIs[0] round
     /* 1558523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558526 */     // MIs[0] policy
     /* 1558526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1558539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558560 */     // GIR_Coverage, 20734,
     /* 1558560 */     GIR_EraseRootFromParent_Done,
     /* 1558561 */   // Label 21601: @1558561
     /* 1558561 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1558643), // Rule ID 20735 //
     /* 1558566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558605 */     // MIs[0] round
     /* 1558605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558608 */     // MIs[0] policy
     /* 1558608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1558621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558642 */     // GIR_Coverage, 20735,
     /* 1558642 */     GIR_EraseRootFromParent_Done,
     /* 1558643 */   // Label 21602: @1558643
     /* 1558643 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1558725), // Rule ID 20738 //
     /* 1558648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558687 */     // MIs[0] round
     /* 1558687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558690 */     // MIs[0] policy
     /* 1558690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1558703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558724 */     // GIR_Coverage, 20738,
     /* 1558724 */     GIR_EraseRootFromParent_Done,
     /* 1558725 */   // Label 21603: @1558725
     /* 1558725 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1558807), // Rule ID 20739 //
     /* 1558730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558769 */     // MIs[0] round
     /* 1558769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558772 */     // MIs[0] policy
     /* 1558772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1558785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558806 */     // GIR_Coverage, 20739,
     /* 1558806 */     GIR_EraseRootFromParent_Done,
     /* 1558807 */   // Label 21604: @1558807
     /* 1558807 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1558889), // Rule ID 20742 //
     /* 1558812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558851 */     // MIs[0] round
     /* 1558851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558854 */     // MIs[0] policy
     /* 1558854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1558867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558888 */     // GIR_Coverage, 20742,
     /* 1558888 */     GIR_EraseRootFromParent_Done,
     /* 1558889 */   // Label 21605: @1558889
     /* 1558889 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1558971), // Rule ID 20743 //
     /* 1558894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558933 */     // MIs[0] round
     /* 1558933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558936 */     // MIs[0] policy
     /* 1558936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1558949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558970 */     // GIR_Coverage, 20743,
     /* 1558970 */     GIR_EraseRootFromParent_Done,
     /* 1558971 */   // Label 21606: @1558971
     /* 1558971 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1559053), // Rule ID 20746 //
     /* 1558976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1558984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1558987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1558990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559015 */     // MIs[0] round
     /* 1559015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559018 */     // MIs[0] policy
     /* 1559018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1559031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559052 */     // GIR_Coverage, 20746,
     /* 1559052 */     GIR_EraseRootFromParent_Done,
     /* 1559053 */   // Label 21607: @1559053
     /* 1559053 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1559135), // Rule ID 20747 //
     /* 1559058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1559061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559097 */     // MIs[0] round
     /* 1559097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559100 */     // MIs[0] policy
     /* 1559100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1559113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559134 */     // GIR_Coverage, 20747,
     /* 1559134 */     GIR_EraseRootFromParent_Done,
     /* 1559135 */   // Label 21608: @1559135
     /* 1559135 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1559217), // Rule ID 20750 //
     /* 1559140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559179 */     // MIs[0] round
     /* 1559179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559182 */     // MIs[0] policy
     /* 1559182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1559195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559216 */     // GIR_Coverage, 20750,
     /* 1559216 */     GIR_EraseRootFromParent_Done,
     /* 1559217 */   // Label 21609: @1559217
     /* 1559217 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1559299), // Rule ID 20751 //
     /* 1559222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559261 */     // MIs[0] round
     /* 1559261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559264 */     // MIs[0] policy
     /* 1559264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1559277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559298 */     // GIR_Coverage, 20751,
     /* 1559298 */     GIR_EraseRootFromParent_Done,
     /* 1559299 */   // Label 21610: @1559299
     /* 1559299 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1559381), // Rule ID 20754 //
     /* 1559304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559343 */     // MIs[0] round
     /* 1559343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559346 */     // MIs[0] policy
     /* 1559346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1559359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559380 */     // GIR_Coverage, 20754,
     /* 1559380 */     GIR_EraseRootFromParent_Done,
     /* 1559381 */   // Label 21611: @1559381
     /* 1559381 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1559463), // Rule ID 20755 //
     /* 1559386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559425 */     // MIs[0] round
     /* 1559425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559428 */     // MIs[0] policy
     /* 1559428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1559441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559462 */     // GIR_Coverage, 20755,
     /* 1559462 */     GIR_EraseRootFromParent_Done,
     /* 1559463 */   // Label 21612: @1559463
     /* 1559463 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1559545), // Rule ID 20758 //
     /* 1559468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1559471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559507 */     // MIs[0] round
     /* 1559507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559510 */     // MIs[0] policy
     /* 1559510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1559523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559544 */     // GIR_Coverage, 20758,
     /* 1559544 */     GIR_EraseRootFromParent_Done,
     /* 1559545 */   // Label 21613: @1559545
     /* 1559545 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1559627), // Rule ID 20759 //
     /* 1559550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1559553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1559558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559589 */     // MIs[0] round
     /* 1559589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559592 */     // MIs[0] policy
     /* 1559592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11135:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1559605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559626 */     // GIR_Coverage, 20759,
     /* 1559626 */     GIR_EraseRootFromParent_Done,
     /* 1559627 */   // Label 21614: @1559627
     /* 1559627 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1559709), // Rule ID 20882 //
     /* 1559632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1559640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559671 */     // MIs[0] round
     /* 1559671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559674 */     // MIs[0] policy
     /* 1559674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559684 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1559687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559708 */     // GIR_Coverage, 20882,
     /* 1559708 */     GIR_EraseRootFromParent_Done,
     /* 1559709 */   // Label 21615: @1559709
     /* 1559709 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1559791), // Rule ID 20883 //
     /* 1559714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1559722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559753 */     // MIs[0] round
     /* 1559753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559756 */     // MIs[0] policy
     /* 1559756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559766 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1559769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559790 */     // GIR_Coverage, 20883,
     /* 1559790 */     GIR_EraseRootFromParent_Done,
     /* 1559791 */   // Label 21616: @1559791
     /* 1559791 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1559873), // Rule ID 20886 //
     /* 1559796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1559804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559835 */     // MIs[0] round
     /* 1559835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559838 */     // MIs[0] policy
     /* 1559838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1559851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559872 */     // GIR_Coverage, 20886,
     /* 1559872 */     GIR_EraseRootFromParent_Done,
     /* 1559873 */   // Label 21617: @1559873
     /* 1559873 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1559955), // Rule ID 20887 //
     /* 1559878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1559886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559917 */     // MIs[0] round
     /* 1559917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559920 */     // MIs[0] policy
     /* 1559920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559930 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1559933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559954 */     // GIR_Coverage, 20887,
     /* 1559954 */     GIR_EraseRootFromParent_Done,
     /* 1559955 */   // Label 21618: @1559955
     /* 1559955 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1560037), // Rule ID 20890 //
     /* 1559960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1559963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1559968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1559971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1559974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559999 */     // MIs[0] round
     /* 1559999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560002 */     // MIs[0] policy
     /* 1560002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560012 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1560015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560036 */     // GIR_Coverage, 20890,
     /* 1560036 */     GIR_EraseRootFromParent_Done,
     /* 1560037 */   // Label 21619: @1560037
     /* 1560037 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1560119), // Rule ID 20891 //
     /* 1560042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560081 */     // MIs[0] round
     /* 1560081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560084 */     // MIs[0] policy
     /* 1560084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560094 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1560097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560118 */     // GIR_Coverage, 20891,
     /* 1560118 */     GIR_EraseRootFromParent_Done,
     /* 1560119 */   // Label 21620: @1560119
     /* 1560119 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1560201), // Rule ID 20894 //
     /* 1560124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560163 */     // MIs[0] round
     /* 1560163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560166 */     // MIs[0] policy
     /* 1560166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1560179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560200 */     // GIR_Coverage, 20894,
     /* 1560200 */     GIR_EraseRootFromParent_Done,
     /* 1560201 */   // Label 21621: @1560201
     /* 1560201 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1560283), // Rule ID 20895 //
     /* 1560206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560245 */     // MIs[0] round
     /* 1560245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560248 */     // MIs[0] policy
     /* 1560248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560258 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1560261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560282 */     // GIR_Coverage, 20895,
     /* 1560282 */     GIR_EraseRootFromParent_Done,
     /* 1560283 */   // Label 21622: @1560283
     /* 1560283 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1560365), // Rule ID 20898 //
     /* 1560288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560327 */     // MIs[0] round
     /* 1560327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560330 */     // MIs[0] policy
     /* 1560330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1560343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560364 */     // GIR_Coverage, 20898,
     /* 1560364 */     GIR_EraseRootFromParent_Done,
     /* 1560365 */   // Label 21623: @1560365
     /* 1560365 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1560447), // Rule ID 20899 //
     /* 1560370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560409 */     // MIs[0] round
     /* 1560409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560412 */     // MIs[0] policy
     /* 1560412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560422 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1560425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560446 */     // GIR_Coverage, 20899,
     /* 1560446 */     GIR_EraseRootFromParent_Done,
     /* 1560447 */   // Label 21624: @1560447
     /* 1560447 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1560529), // Rule ID 20902 //
     /* 1560452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1560455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560491 */     // MIs[0] round
     /* 1560491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560494 */     // MIs[0] policy
     /* 1560494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560504 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1560507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560528 */     // GIR_Coverage, 20902,
     /* 1560528 */     GIR_EraseRootFromParent_Done,
     /* 1560529 */   // Label 21625: @1560529
     /* 1560529 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1560611), // Rule ID 20903 //
     /* 1560534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1560537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560573 */     // MIs[0] round
     /* 1560573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560576 */     // MIs[0] policy
     /* 1560576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560586 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1560589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560610 */     // GIR_Coverage, 20903,
     /* 1560610 */     GIR_EraseRootFromParent_Done,
     /* 1560611 */   // Label 21626: @1560611
     /* 1560611 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1560693), // Rule ID 20906 //
     /* 1560616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560655 */     // MIs[0] round
     /* 1560655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560658 */     // MIs[0] policy
     /* 1560658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1560671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560692 */     // GIR_Coverage, 20906,
     /* 1560692 */     GIR_EraseRootFromParent_Done,
     /* 1560693 */   // Label 21627: @1560693
     /* 1560693 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1560775), // Rule ID 20907 //
     /* 1560698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560737 */     // MIs[0] round
     /* 1560737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560740 */     // MIs[0] policy
     /* 1560740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560750 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1560753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560774 */     // GIR_Coverage, 20907,
     /* 1560774 */     GIR_EraseRootFromParent_Done,
     /* 1560775 */   // Label 21628: @1560775
     /* 1560775 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1560857), // Rule ID 20910 //
     /* 1560780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560819 */     // MIs[0] round
     /* 1560819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560822 */     // MIs[0] policy
     /* 1560822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1560835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560856 */     // GIR_Coverage, 20910,
     /* 1560856 */     GIR_EraseRootFromParent_Done,
     /* 1560857 */   // Label 21629: @1560857
     /* 1560857 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1560939), // Rule ID 20911 //
     /* 1560862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560901 */     // MIs[0] round
     /* 1560901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560904 */     // MIs[0] policy
     /* 1560904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560914 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1560917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560938 */     // GIR_Coverage, 20911,
     /* 1560938 */     GIR_EraseRootFromParent_Done,
     /* 1560939 */   // Label 21630: @1560939
     /* 1560939 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1561021), // Rule ID 20914 //
     /* 1560944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1560952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1560955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1560958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1560961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1560964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560983 */     // MIs[0] round
     /* 1560983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560986 */     // MIs[0] policy
     /* 1560986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560996 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1560999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561020 */     // GIR_Coverage, 20914,
     /* 1561020 */     GIR_EraseRootFromParent_Done,
     /* 1561021 */   // Label 21631: @1561021
     /* 1561021 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1561103), // Rule ID 20915 //
     /* 1561026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1561037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1561040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1561043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1561046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561065 */     // MIs[0] round
     /* 1561065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561068 */     // MIs[0] policy
     /* 1561068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561078 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1561081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561102 */     // GIR_Coverage, 20915,
     /* 1561102 */     GIR_EraseRootFromParent_Done,
     /* 1561103 */   // Label 21632: @1561103
     /* 1561103 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1561185), // Rule ID 20918 //
     /* 1561108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561147 */     // MIs[0] round
     /* 1561147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561150 */     // MIs[0] policy
     /* 1561150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561160 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1561163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561184 */     // GIR_Coverage, 20918,
     /* 1561184 */     GIR_EraseRootFromParent_Done,
     /* 1561185 */   // Label 21633: @1561185
     /* 1561185 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1561267), // Rule ID 20919 //
     /* 1561190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561229 */     // MIs[0] round
     /* 1561229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561232 */     // MIs[0] policy
     /* 1561232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1561245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561266 */     // GIR_Coverage, 20919,
     /* 1561266 */     GIR_EraseRootFromParent_Done,
     /* 1561267 */   // Label 21634: @1561267
     /* 1561267 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1561349), // Rule ID 20922 //
     /* 1561272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561311 */     // MIs[0] round
     /* 1561311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561314 */     // MIs[0] policy
     /* 1561314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1561327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561348 */     // GIR_Coverage, 20922,
     /* 1561348 */     GIR_EraseRootFromParent_Done,
     /* 1561349 */   // Label 21635: @1561349
     /* 1561349 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1561431), // Rule ID 20923 //
     /* 1561354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561393 */     // MIs[0] round
     /* 1561393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561396 */     // MIs[0] policy
     /* 1561396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561406 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1561409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561430 */     // GIR_Coverage, 20923,
     /* 1561430 */     GIR_EraseRootFromParent_Done,
     /* 1561431 */   // Label 21636: @1561431
     /* 1561431 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1561513), // Rule ID 20926 //
     /* 1561436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561475 */     // MIs[0] round
     /* 1561475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561478 */     // MIs[0] policy
     /* 1561478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1561491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561512 */     // GIR_Coverage, 20926,
     /* 1561512 */     GIR_EraseRootFromParent_Done,
     /* 1561513 */   // Label 21637: @1561513
     /* 1561513 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1561595), // Rule ID 20927 //
     /* 1561518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561557 */     // MIs[0] round
     /* 1561557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561560 */     // MIs[0] policy
     /* 1561560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561570 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1561573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561594 */     // GIR_Coverage, 20927,
     /* 1561594 */     GIR_EraseRootFromParent_Done,
     /* 1561595 */   // Label 21638: @1561595
     /* 1561595 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1561677), // Rule ID 20930 //
     /* 1561600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561639 */     // MIs[0] round
     /* 1561639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561642 */     // MIs[0] policy
     /* 1561642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561652 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1561655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561676 */     // GIR_Coverage, 20930,
     /* 1561676 */     GIR_EraseRootFromParent_Done,
     /* 1561677 */   // Label 21639: @1561677
     /* 1561677 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1561759), // Rule ID 20931 //
     /* 1561682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1561685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561721 */     // MIs[0] round
     /* 1561721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561724 */     // MIs[0] policy
     /* 1561724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1561737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561758 */     // GIR_Coverage, 20931,
     /* 1561758 */     GIR_EraseRootFromParent_Done,
     /* 1561759 */   // Label 21640: @1561759
     /* 1561759 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1561841), // Rule ID 20934 //
     /* 1561764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561803 */     // MIs[0] round
     /* 1561803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561806 */     // MIs[0] policy
     /* 1561806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1561819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561840 */     // GIR_Coverage, 20934,
     /* 1561840 */     GIR_EraseRootFromParent_Done,
     /* 1561841 */   // Label 21641: @1561841
     /* 1561841 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1561923), // Rule ID 20935 //
     /* 1561846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1561849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561885 */     // MIs[0] round
     /* 1561885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561888 */     // MIs[0] policy
     /* 1561888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1561901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561922 */     // GIR_Coverage, 20935,
     /* 1561922 */     GIR_EraseRootFromParent_Done,
     /* 1561923 */   // Label 21642: @1561923
     /* 1561923 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1562005), // Rule ID 20938 //
     /* 1561928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1561931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1561936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1561945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561967 */     // MIs[0] round
     /* 1561967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561970 */     // MIs[0] policy
     /* 1561970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561980 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1561983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562004 */     // GIR_Coverage, 20938,
     /* 1562004 */     GIR_EraseRootFromParent_Done,
     /* 1562005 */   // Label 21643: @1562005
     /* 1562005 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1562087), // Rule ID 20939 //
     /* 1562010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1562013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1562018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1562027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562049 */     // MIs[0] round
     /* 1562049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562052 */     // MIs[0] policy
     /* 1562052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562062 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1562065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562086 */     // GIR_Coverage, 20939,
     /* 1562086 */     GIR_EraseRootFromParent_Done,
     /* 1562087 */   // Label 21644: @1562087
     /* 1562087 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1562169), // Rule ID 20942 //
     /* 1562092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1562103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1562106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1562109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562131 */     // MIs[0] round
     /* 1562131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562134 */     // MIs[0] policy
     /* 1562134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562144 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1562147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562168 */     // GIR_Coverage, 20942,
     /* 1562168 */     GIR_EraseRootFromParent_Done,
     /* 1562169 */   // Label 21645: @1562169
     /* 1562169 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1562251), // Rule ID 20943 //
     /* 1562174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1562185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1562188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1562191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562213 */     // MIs[0] round
     /* 1562213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562216 */     // MIs[0] policy
     /* 1562216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562226 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1562229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562250 */     // GIR_Coverage, 20943,
     /* 1562250 */     GIR_EraseRootFromParent_Done,
     /* 1562251 */   // Label 21646: @1562251
     /* 1562251 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1562333), // Rule ID 20946 //
     /* 1562256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562295 */     // MIs[0] round
     /* 1562295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562298 */     // MIs[0] policy
     /* 1562298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562308 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1562311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562332 */     // GIR_Coverage, 20946,
     /* 1562332 */     GIR_EraseRootFromParent_Done,
     /* 1562333 */   // Label 21647: @1562333
     /* 1562333 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1562415), // Rule ID 20947 //
     /* 1562338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1562355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562377 */     // MIs[0] round
     /* 1562377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562380 */     // MIs[0] policy
     /* 1562380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562390 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1562393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562414 */     // GIR_Coverage, 20947,
     /* 1562414 */     GIR_EraseRootFromParent_Done,
     /* 1562415 */   // Label 21648: @1562415
     /* 1562415 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1562497), // Rule ID 20950 //
     /* 1562420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562459 */     // MIs[0] round
     /* 1562459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562462 */     // MIs[0] policy
     /* 1562462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562472 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1562475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562496 */     // GIR_Coverage, 20950,
     /* 1562496 */     GIR_EraseRootFromParent_Done,
     /* 1562497 */   // Label 21649: @1562497
     /* 1562497 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1562579), // Rule ID 20951 //
     /* 1562502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562541 */     // MIs[0] round
     /* 1562541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562544 */     // MIs[0] policy
     /* 1562544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562554 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1562557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562578 */     // GIR_Coverage, 20951,
     /* 1562578 */     GIR_EraseRootFromParent_Done,
     /* 1562579 */   // Label 21650: @1562579
     /* 1562579 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1562661), // Rule ID 20954 //
     /* 1562584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562623 */     // MIs[0] round
     /* 1562623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562626 */     // MIs[0] policy
     /* 1562626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562636 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1562639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562660 */     // GIR_Coverage, 20954,
     /* 1562660 */     GIR_EraseRootFromParent_Done,
     /* 1562661 */   // Label 21651: @1562661
     /* 1562661 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1562743), // Rule ID 20955 //
     /* 1562666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562705 */     // MIs[0] round
     /* 1562705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562708 */     // MIs[0] policy
     /* 1562708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562718 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1562721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562742 */     // GIR_Coverage, 20955,
     /* 1562742 */     GIR_EraseRootFromParent_Done,
     /* 1562743 */   // Label 21652: @1562743
     /* 1562743 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1562825), // Rule ID 20958 //
     /* 1562748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562787 */     // MIs[0] round
     /* 1562787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562790 */     // MIs[0] policy
     /* 1562790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1562803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562824 */     // GIR_Coverage, 20958,
     /* 1562824 */     GIR_EraseRootFromParent_Done,
     /* 1562825 */   // Label 21653: @1562825
     /* 1562825 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1562907), // Rule ID 20959 //
     /* 1562830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562869 */     // MIs[0] round
     /* 1562869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562872 */     // MIs[0] policy
     /* 1562872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562882 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1562885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562906 */     // GIR_Coverage, 20959,
     /* 1562906 */     GIR_EraseRootFromParent_Done,
     /* 1562907 */   // Label 21654: @1562907
     /* 1562907 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1562989), // Rule ID 20962 //
     /* 1562912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1562915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1562920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1562929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562951 */     // MIs[0] round
     /* 1562951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562954 */     // MIs[0] policy
     /* 1562954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562964 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1562967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562988 */     // GIR_Coverage, 20962,
     /* 1562988 */     GIR_EraseRootFromParent_Done,
     /* 1562989 */   // Label 21655: @1562989
     /* 1562989 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1563071), // Rule ID 20963 //
     /* 1562994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1562997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1563005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1563008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1563011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563033 */     // MIs[0] round
     /* 1563033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563036 */     // MIs[0] policy
     /* 1563036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563046 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1563049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563070 */     // GIR_Coverage, 20963,
     /* 1563070 */     GIR_EraseRootFromParent_Done,
     /* 1563071 */   // Label 21656: @1563071
     /* 1563071 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1563153), // Rule ID 20966 //
     /* 1563076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563115 */     // MIs[0] round
     /* 1563115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563118 */     // MIs[0] policy
     /* 1563118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563128 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1563131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563152 */     // GIR_Coverage, 20966,
     /* 1563152 */     GIR_EraseRootFromParent_Done,
     /* 1563153 */   // Label 21657: @1563153
     /* 1563153 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1563235), // Rule ID 20967 //
     /* 1563158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1563175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563197 */     // MIs[0] round
     /* 1563197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563200 */     // MIs[0] policy
     /* 1563200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563210 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1563213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563234 */     // GIR_Coverage, 20967,
     /* 1563234 */     GIR_EraseRootFromParent_Done,
     /* 1563235 */   // Label 21658: @1563235
     /* 1563235 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1563317), // Rule ID 20970 //
     /* 1563240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563279 */     // MIs[0] round
     /* 1563279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563282 */     // MIs[0] policy
     /* 1563282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563292 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1563295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563316 */     // GIR_Coverage, 20970,
     /* 1563316 */     GIR_EraseRootFromParent_Done,
     /* 1563317 */   // Label 21659: @1563317
     /* 1563317 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1563399), // Rule ID 20971 //
     /* 1563322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1563339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563361 */     // MIs[0] round
     /* 1563361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563364 */     // MIs[0] policy
     /* 1563364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563374 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1563377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563398 */     // GIR_Coverage, 20971,
     /* 1563398 */     GIR_EraseRootFromParent_Done,
     /* 1563399 */   // Label 21660: @1563399
     /* 1563399 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1563481), // Rule ID 20974 //
     /* 1563404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1563415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1563418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563443 */     // MIs[0] round
     /* 1563443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563446 */     // MIs[0] policy
     /* 1563446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563456 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1563459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563480 */     // GIR_Coverage, 20974,
     /* 1563480 */     GIR_EraseRootFromParent_Done,
     /* 1563481 */   // Label 21661: @1563481
     /* 1563481 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1563563), // Rule ID 20975 //
     /* 1563486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1563497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1563500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1563503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1563506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563525 */     // MIs[0] round
     /* 1563525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563528 */     // MIs[0] policy
     /* 1563528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563538 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1563541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563562 */     // GIR_Coverage, 20975,
     /* 1563562 */     GIR_EraseRootFromParent_Done,
     /* 1563563 */   // Label 21662: @1563563
     /* 1563563 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1563645), // Rule ID 20978 //
     /* 1563568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563607 */     // MIs[0] round
     /* 1563607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563610 */     // MIs[0] policy
     /* 1563610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563620 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1563623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563644 */     // GIR_Coverage, 20978,
     /* 1563644 */     GIR_EraseRootFromParent_Done,
     /* 1563645 */   // Label 21663: @1563645
     /* 1563645 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1563727), // Rule ID 20979 //
     /* 1563650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563689 */     // MIs[0] round
     /* 1563689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563692 */     // MIs[0] policy
     /* 1563692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563702 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1563705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563726 */     // GIR_Coverage, 20979,
     /* 1563726 */     GIR_EraseRootFromParent_Done,
     /* 1563727 */   // Label 21664: @1563727
     /* 1563727 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1563809), // Rule ID 20982 //
     /* 1563732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563771 */     // MIs[0] round
     /* 1563771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563774 */     // MIs[0] policy
     /* 1563774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1563787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563808 */     // GIR_Coverage, 20982,
     /* 1563808 */     GIR_EraseRootFromParent_Done,
     /* 1563809 */   // Label 21665: @1563809
     /* 1563809 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1563891), // Rule ID 20983 //
     /* 1563814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563853 */     // MIs[0] round
     /* 1563853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563856 */     // MIs[0] policy
     /* 1563856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563866 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1563869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563890 */     // GIR_Coverage, 20983,
     /* 1563890 */     GIR_EraseRootFromParent_Done,
     /* 1563891 */   // Label 21666: @1563891
     /* 1563891 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1563973), // Rule ID 20986 //
     /* 1563896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563935 */     // MIs[0] round
     /* 1563935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563938 */     // MIs[0] policy
     /* 1563938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1563951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563972 */     // GIR_Coverage, 20986,
     /* 1563972 */     GIR_EraseRootFromParent_Done,
     /* 1563973 */   // Label 21667: @1563973
     /* 1563973 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1564055), // Rule ID 20987 //
     /* 1563978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1563986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564017 */     // MIs[0] round
     /* 1564017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564020 */     // MIs[0] policy
     /* 1564020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564030 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1564033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564054 */     // GIR_Coverage, 20987,
     /* 1564054 */     GIR_EraseRootFromParent_Done,
     /* 1564055 */   // Label 21668: @1564055
     /* 1564055 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1564137), // Rule ID 20990 //
     /* 1564060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1564071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1564074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564099 */     // MIs[0] round
     /* 1564099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564102 */     // MIs[0] policy
     /* 1564102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564112 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1564115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564136 */     // GIR_Coverage, 20990,
     /* 1564136 */     GIR_EraseRootFromParent_Done,
     /* 1564137 */   // Label 21669: @1564137
     /* 1564137 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1564219), // Rule ID 20991 //
     /* 1564142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1564153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1564156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564181 */     // MIs[0] round
     /* 1564181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564184 */     // MIs[0] policy
     /* 1564184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564194 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1564197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564218 */     // GIR_Coverage, 20991,
     /* 1564218 */     GIR_EraseRootFromParent_Done,
     /* 1564219 */   // Label 21670: @1564219
     /* 1564219 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1564301), // Rule ID 20994 //
     /* 1564224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1564235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1564238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1564241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564263 */     // MIs[0] round
     /* 1564263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564266 */     // MIs[0] policy
     /* 1564266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564276 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1564279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564300 */     // GIR_Coverage, 20994,
     /* 1564300 */     GIR_EraseRootFromParent_Done,
     /* 1564301 */   // Label 21671: @1564301
     /* 1564301 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1564383), // Rule ID 20995 //
     /* 1564306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1564317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1564320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1564323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564345 */     // MIs[0] round
     /* 1564345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564348 */     // MIs[0] policy
     /* 1564348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564358 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1564361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564382 */     // GIR_Coverage, 20995,
     /* 1564382 */     GIR_EraseRootFromParent_Done,
     /* 1564383 */   // Label 21672: @1564383
     /* 1564383 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1564465), // Rule ID 20998 //
     /* 1564388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1564399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1564402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564427 */     // MIs[0] round
     /* 1564427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564430 */     // MIs[0] policy
     /* 1564430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564440 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1564443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564464 */     // GIR_Coverage, 20998,
     /* 1564464 */     GIR_EraseRootFromParent_Done,
     /* 1564465 */   // Label 21673: @1564465
     /* 1564465 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1564547), // Rule ID 20999 //
     /* 1564470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1564478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1564481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1564484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564509 */     // MIs[0] round
     /* 1564509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564512 */     // MIs[0] policy
     /* 1564512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564522 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1564525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564546 */     // GIR_Coverage, 20999,
     /* 1564546 */     GIR_EraseRootFromParent_Done,
     /* 1564547 */   // Label 21674: @1564547
     /* 1564547 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1564629), // Rule ID 21074 //
     /* 1564552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1564560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564591 */     // MIs[0] round
     /* 1564591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564594 */     // MIs[0] policy
     /* 1564594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1564607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564628 */     // GIR_Coverage, 21074,
     /* 1564628 */     GIR_EraseRootFromParent_Done,
     /* 1564629 */   // Label 21675: @1564629
     /* 1564629 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1564711), // Rule ID 21075 //
     /* 1564634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1564642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564673 */     // MIs[0] round
     /* 1564673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564676 */     // MIs[0] policy
     /* 1564676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1564689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564710 */     // GIR_Coverage, 21075,
     /* 1564710 */     GIR_EraseRootFromParent_Done,
     /* 1564711 */   // Label 21676: @1564711
     /* 1564711 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1564793), // Rule ID 21078 //
     /* 1564716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1564724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564755 */     // MIs[0] round
     /* 1564755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564758 */     // MIs[0] policy
     /* 1564758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1564771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564792 */     // GIR_Coverage, 21078,
     /* 1564792 */     GIR_EraseRootFromParent_Done,
     /* 1564793 */   // Label 21677: @1564793
     /* 1564793 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1564875), // Rule ID 21079 //
     /* 1564798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1564806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564837 */     // MIs[0] round
     /* 1564837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564840 */     // MIs[0] policy
     /* 1564840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1564853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564874 */     // GIR_Coverage, 21079,
     /* 1564874 */     GIR_EraseRootFromParent_Done,
     /* 1564875 */   // Label 21678: @1564875
     /* 1564875 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1564957), // Rule ID 21082 //
     /* 1564880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1564888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1564891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1564894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564919 */     // MIs[0] round
     /* 1564919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564922 */     // MIs[0] policy
     /* 1564922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1564935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564956 */     // GIR_Coverage, 21082,
     /* 1564956 */     GIR_EraseRootFromParent_Done,
     /* 1564957 */   // Label 21679: @1564957
     /* 1564957 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1565039), // Rule ID 21083 //
     /* 1564962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1564970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1564973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1564976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565001 */     // MIs[0] round
     /* 1565001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565004 */     // MIs[0] policy
     /* 1565004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1565017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565038 */     // GIR_Coverage, 21083,
     /* 1565038 */     GIR_EraseRootFromParent_Done,
     /* 1565039 */   // Label 21680: @1565039
     /* 1565039 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1565121), // Rule ID 21086 //
     /* 1565044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565083 */     // MIs[0] round
     /* 1565083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565086 */     // MIs[0] policy
     /* 1565086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1565099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565120 */     // GIR_Coverage, 21086,
     /* 1565120 */     GIR_EraseRootFromParent_Done,
     /* 1565121 */   // Label 21681: @1565121
     /* 1565121 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1565203), // Rule ID 21087 //
     /* 1565126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565165 */     // MIs[0] round
     /* 1565165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565168 */     // MIs[0] policy
     /* 1565168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1565181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565202 */     // GIR_Coverage, 21087,
     /* 1565202 */     GIR_EraseRootFromParent_Done,
     /* 1565203 */   // Label 21682: @1565203
     /* 1565203 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1565285), // Rule ID 21090 //
     /* 1565208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1565219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1565222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565247 */     // MIs[0] round
     /* 1565247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565250 */     // MIs[0] policy
     /* 1565250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1565263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565284 */     // GIR_Coverage, 21090,
     /* 1565284 */     GIR_EraseRootFromParent_Done,
     /* 1565285 */   // Label 21683: @1565285
     /* 1565285 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1565367), // Rule ID 21091 //
     /* 1565290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1565301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1565304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565329 */     // MIs[0] round
     /* 1565329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565332 */     // MIs[0] policy
     /* 1565332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1565345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565366 */     // GIR_Coverage, 21091,
     /* 1565366 */     GIR_EraseRootFromParent_Done,
     /* 1565367 */   // Label 21684: @1565367
     /* 1565367 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1565449), // Rule ID 21094 //
     /* 1565372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1565375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565411 */     // MIs[0] round
     /* 1565411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565414 */     // MIs[0] policy
     /* 1565414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1565427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565448 */     // GIR_Coverage, 21094,
     /* 1565448 */     GIR_EraseRootFromParent_Done,
     /* 1565449 */   // Label 21685: @1565449
     /* 1565449 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1565531), // Rule ID 21095 //
     /* 1565454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1565457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565493 */     // MIs[0] round
     /* 1565493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565496 */     // MIs[0] policy
     /* 1565496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1565509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565530 */     // GIR_Coverage, 21095,
     /* 1565530 */     GIR_EraseRootFromParent_Done,
     /* 1565531 */   // Label 21686: @1565531
     /* 1565531 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1565613), // Rule ID 21098 //
     /* 1565536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1565539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1565547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1565550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565575 */     // MIs[0] round
     /* 1565575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565578 */     // MIs[0] policy
     /* 1565578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1565591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565612 */     // GIR_Coverage, 21098,
     /* 1565612 */     GIR_EraseRootFromParent_Done,
     /* 1565613 */   // Label 21687: @1565613
     /* 1565613 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1565695), // Rule ID 21099 //
     /* 1565618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1565621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1565629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1565632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565657 */     // MIs[0] round
     /* 1565657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565660 */     // MIs[0] policy
     /* 1565660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1565673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565694 */     // GIR_Coverage, 21099,
     /* 1565694 */     GIR_EraseRootFromParent_Done,
     /* 1565695 */   // Label 21688: @1565695
     /* 1565695 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1565777), // Rule ID 21102 //
     /* 1565700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1565703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1565711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1565714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565739 */     // MIs[0] round
     /* 1565739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565742 */     // MIs[0] policy
     /* 1565742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1565755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565776 */     // GIR_Coverage, 21102,
     /* 1565776 */     GIR_EraseRootFromParent_Done,
     /* 1565777 */   // Label 21689: @1565777
     /* 1565777 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1565859), // Rule ID 21103 //
     /* 1565782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1565785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1565793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1565796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565821 */     // MIs[0] round
     /* 1565821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565824 */     // MIs[0] policy
     /* 1565824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1565837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565858 */     // GIR_Coverage, 21103,
     /* 1565858 */     GIR_EraseRootFromParent_Done,
     /* 1565859 */   // Label 21690: @1565859
     /* 1565859 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1565941), // Rule ID 21106 //
     /* 1565864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1565867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1565875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1565878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565903 */     // MIs[0] round
     /* 1565903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565906 */     // MIs[0] policy
     /* 1565906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565916 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1565919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565940 */     // GIR_Coverage, 21106,
     /* 1565940 */     GIR_EraseRootFromParent_Done,
     /* 1565941 */   // Label 21691: @1565941
     /* 1565941 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1566023), // Rule ID 21107 //
     /* 1565946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1565949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1565954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1565957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1565960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565985 */     // MIs[0] round
     /* 1565985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565988 */     // MIs[0] policy
     /* 1565988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1566001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566022 */     // GIR_Coverage, 21107,
     /* 1566022 */     GIR_EraseRootFromParent_Done,
     /* 1566023 */   // Label 21692: @1566023
     /* 1566023 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1566105), // Rule ID 21110 //
     /* 1566028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1566039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1566042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1566045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566067 */     // MIs[0] round
     /* 1566067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566070 */     // MIs[0] policy
     /* 1566070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1566083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566104 */     // GIR_Coverage, 21110,
     /* 1566104 */     GIR_EraseRootFromParent_Done,
     /* 1566105 */   // Label 21693: @1566105
     /* 1566105 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1566187), // Rule ID 21111 //
     /* 1566110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1566121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1566124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1566127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566149 */     // MIs[0] round
     /* 1566149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566152 */     // MIs[0] policy
     /* 1566152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1566165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566186 */     // GIR_Coverage, 21111,
     /* 1566186 */     GIR_EraseRootFromParent_Done,
     /* 1566187 */   // Label 21694: @1566187
     /* 1566187 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1566269), // Rule ID 21114 //
     /* 1566192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1566203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1566206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566231 */     // MIs[0] round
     /* 1566231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566234 */     // MIs[0] policy
     /* 1566234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1566247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566268 */     // GIR_Coverage, 21114,
     /* 1566268 */     GIR_EraseRootFromParent_Done,
     /* 1566269 */   // Label 21695: @1566269
     /* 1566269 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1566351), // Rule ID 21115 //
     /* 1566274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1566285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1566288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566313 */     // MIs[0] round
     /* 1566313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566316 */     // MIs[0] policy
     /* 1566316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1566329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566350 */     // GIR_Coverage, 21115,
     /* 1566350 */     GIR_EraseRootFromParent_Done,
     /* 1566351 */   // Label 21696: @1566351
     /* 1566351 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1566433), // Rule ID 21118 //
     /* 1566356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566395 */     // MIs[0] round
     /* 1566395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566398 */     // MIs[0] policy
     /* 1566398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1566411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566432 */     // GIR_Coverage, 21118,
     /* 1566432 */     GIR_EraseRootFromParent_Done,
     /* 1566433 */   // Label 21697: @1566433
     /* 1566433 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1566515), // Rule ID 21119 //
     /* 1566438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566477 */     // MIs[0] round
     /* 1566477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566480 */     // MIs[0] policy
     /* 1566480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1566493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566514 */     // GIR_Coverage, 21119,
     /* 1566514 */     GIR_EraseRootFromParent_Done,
     /* 1566515 */   // Label 21698: @1566515
     /* 1566515 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1566597), // Rule ID 21122 //
     /* 1566520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566559 */     // MIs[0] round
     /* 1566559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566562 */     // MIs[0] policy
     /* 1566562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1566575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566596 */     // GIR_Coverage, 21122,
     /* 1566596 */     GIR_EraseRootFromParent_Done,
     /* 1566597 */   // Label 21699: @1566597
     /* 1566597 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1566679), // Rule ID 21123 //
     /* 1566602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566641 */     // MIs[0] round
     /* 1566641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566644 */     // MIs[0] policy
     /* 1566644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1566657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566678 */     // GIR_Coverage, 21123,
     /* 1566678 */     GIR_EraseRootFromParent_Done,
     /* 1566679 */   // Label 21700: @1566679
     /* 1566679 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1566761), // Rule ID 21126 //
     /* 1566684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566723 */     // MIs[0] round
     /* 1566723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566726 */     // MIs[0] policy
     /* 1566726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1566739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566760 */     // GIR_Coverage, 21126,
     /* 1566760 */     GIR_EraseRootFromParent_Done,
     /* 1566761 */   // Label 21701: @1566761
     /* 1566761 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1566843), // Rule ID 21127 //
     /* 1566766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566805 */     // MIs[0] round
     /* 1566805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566808 */     // MIs[0] policy
     /* 1566808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1566821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566842 */     // GIR_Coverage, 21127,
     /* 1566842 */     GIR_EraseRootFromParent_Done,
     /* 1566843 */   // Label 21702: @1566843
     /* 1566843 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1566925), // Rule ID 21130 //
     /* 1566848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1566851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1566859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1566862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566887 */     // MIs[0] round
     /* 1566887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566890 */     // MIs[0] policy
     /* 1566890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1566903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566924 */     // GIR_Coverage, 21130,
     /* 1566924 */     GIR_EraseRootFromParent_Done,
     /* 1566925 */   // Label 21703: @1566925
     /* 1566925 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1567007), // Rule ID 21131 //
     /* 1566930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1566933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1566938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1566941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1566944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566969 */     // MIs[0] round
     /* 1566969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566972 */     // MIs[0] policy
     /* 1566972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1566985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567006 */     // GIR_Coverage, 21131,
     /* 1567006 */     GIR_EraseRootFromParent_Done,
     /* 1567007 */   // Label 21704: @1567007
     /* 1567007 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1567089), // Rule ID 21134 //
     /* 1567012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1567020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1567023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1567026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567051 */     // MIs[0] round
     /* 1567051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567054 */     // MIs[0] policy
     /* 1567054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1567067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567088 */     // GIR_Coverage, 21134,
     /* 1567088 */     GIR_EraseRootFromParent_Done,
     /* 1567089 */   // Label 21705: @1567089
     /* 1567089 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1567171), // Rule ID 21135 //
     /* 1567094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1567102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1567105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1567108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567133 */     // MIs[0] round
     /* 1567133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567136 */     // MIs[0] policy
     /* 1567136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1567149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567170 */     // GIR_Coverage, 21135,
     /* 1567170 */     GIR_EraseRootFromParent_Done,
     /* 1567171 */   // Label 21706: @1567171
     /* 1567171 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1567253), // Rule ID 21138 //
     /* 1567176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1567184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1567187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1567190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567215 */     // MIs[0] round
     /* 1567215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567218 */     // MIs[0] policy
     /* 1567218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1567231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567252 */     // GIR_Coverage, 21138,
     /* 1567252 */     GIR_EraseRootFromParent_Done,
     /* 1567253 */   // Label 21707: @1567253
     /* 1567253 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1567335), // Rule ID 21139 //
     /* 1567258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1567266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1567269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1567272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567297 */     // MIs[0] round
     /* 1567297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567300 */     // MIs[0] policy
     /* 1567300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567310 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1567313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567334 */     // GIR_Coverage, 21139,
     /* 1567334 */     GIR_EraseRootFromParent_Done,
     /* 1567335 */   // Label 21708: @1567335
     /* 1567335 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1567417), // Rule ID 21142 //
     /* 1567340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1567348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1567351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1567354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567379 */     // MIs[0] round
     /* 1567379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567382 */     // MIs[0] policy
     /* 1567382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1567395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567416 */     // GIR_Coverage, 21142,
     /* 1567416 */     GIR_EraseRootFromParent_Done,
     /* 1567417 */   // Label 21709: @1567417
     /* 1567417 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1567499), // Rule ID 21143 //
     /* 1567422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1567430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1567433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1567436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567461 */     // MIs[0] round
     /* 1567461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567464 */     // MIs[0] policy
     /* 1567464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11229:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1567477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567498 */     // GIR_Coverage, 21143,
     /* 1567498 */     GIR_EraseRootFromParent_Done,
     /* 1567499 */   // Label 21710: @1567499
     /* 1567499 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1567581), // Rule ID 21494 //
     /* 1567504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1567512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1567515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1567518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1567521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567543 */     // MIs[0] round
     /* 1567543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567546 */     // MIs[0] policy
     /* 1567546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1567559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567580 */     // GIR_Coverage, 21494,
     /* 1567580 */     GIR_EraseRootFromParent_Done,
     /* 1567581 */   // Label 21711: @1567581
     /* 1567581 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1567663), // Rule ID 21495 //
     /* 1567586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1567594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1567597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1567600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1567603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567625 */     // MIs[0] round
     /* 1567625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567628 */     // MIs[0] policy
     /* 1567628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567638 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1567641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567662 */     // GIR_Coverage, 21495,
     /* 1567662 */     GIR_EraseRootFromParent_Done,
     /* 1567663 */   // Label 21712: @1567663
     /* 1567663 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1567745), // Rule ID 21498 //
     /* 1567668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1567676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1567679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1567682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1567685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567707 */     // MIs[0] round
     /* 1567707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567710 */     // MIs[0] policy
     /* 1567710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1567723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567744 */     // GIR_Coverage, 21498,
     /* 1567744 */     GIR_EraseRootFromParent_Done,
     /* 1567745 */   // Label 21713: @1567745
     /* 1567745 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1567827), // Rule ID 21499 //
     /* 1567750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1567758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1567761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1567764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1567767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567789 */     // MIs[0] round
     /* 1567789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567792 */     // MIs[0] policy
     /* 1567792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567802 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1567805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567826 */     // GIR_Coverage, 21499,
     /* 1567826 */     GIR_EraseRootFromParent_Done,
     /* 1567827 */   // Label 21714: @1567827
     /* 1567827 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1567909), // Rule ID 21502 //
     /* 1567832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1567840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1567843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1567846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1567849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567871 */     // MIs[0] round
     /* 1567871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567874 */     // MIs[0] policy
     /* 1567874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1567887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567908 */     // GIR_Coverage, 21502,
     /* 1567908 */     GIR_EraseRootFromParent_Done,
     /* 1567909 */   // Label 21715: @1567909
     /* 1567909 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1567991), // Rule ID 21503 //
     /* 1567914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1567922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1567925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1567928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1567931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567953 */     // MIs[0] round
     /* 1567953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567956 */     // MIs[0] policy
     /* 1567956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567966 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1567969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567990 */     // GIR_Coverage, 21503,
     /* 1567990 */     GIR_EraseRootFromParent_Done,
     /* 1567991 */   // Label 21716: @1567991
     /* 1567991 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1568073), // Rule ID 21506 //
     /* 1567996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1568007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1568010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1568013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568035 */     // MIs[0] round
     /* 1568035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568038 */     // MIs[0] policy
     /* 1568038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1568051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568072 */     // GIR_Coverage, 21506,
     /* 1568072 */     GIR_EraseRootFromParent_Done,
     /* 1568073 */   // Label 21717: @1568073
     /* 1568073 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1568155), // Rule ID 21507 //
     /* 1568078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1568089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1568092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1568095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568117 */     // MIs[0] round
     /* 1568117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568120 */     // MIs[0] policy
     /* 1568120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1568133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568154 */     // GIR_Coverage, 21507,
     /* 1568154 */     GIR_EraseRootFromParent_Done,
     /* 1568155 */   // Label 21718: @1568155
     /* 1568155 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1568237), // Rule ID 21510 //
     /* 1568160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1568171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1568174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1568177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568199 */     // MIs[0] round
     /* 1568199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568202 */     // MIs[0] policy
     /* 1568202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1568215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568236 */     // GIR_Coverage, 21510,
     /* 1568236 */     GIR_EraseRootFromParent_Done,
     /* 1568237 */   // Label 21719: @1568237
     /* 1568237 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1568319), // Rule ID 21511 //
     /* 1568242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1568253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1568256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1568259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568281 */     // MIs[0] round
     /* 1568281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568284 */     // MIs[0] policy
     /* 1568284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568294 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1568297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568318 */     // GIR_Coverage, 21511,
     /* 1568318 */     GIR_EraseRootFromParent_Done,
     /* 1568319 */   // Label 21720: @1568319
     /* 1568319 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1568401), // Rule ID 21514 //
     /* 1568324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1568335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1568338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1568341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1568344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568363 */     // MIs[0] round
     /* 1568363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568366 */     // MIs[0] policy
     /* 1568366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1568379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568400 */     // GIR_Coverage, 21514,
     /* 1568400 */     GIR_EraseRootFromParent_Done,
     /* 1568401 */   // Label 21721: @1568401
     /* 1568401 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1568483), // Rule ID 21515 //
     /* 1568406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1568417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1568420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1568423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1568426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568445 */     // MIs[0] round
     /* 1568445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568448 */     // MIs[0] policy
     /* 1568448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1568461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568482 */     // GIR_Coverage, 21515,
     /* 1568482 */     GIR_EraseRootFromParent_Done,
     /* 1568483 */   // Label 21722: @1568483
     /* 1568483 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1568565), // Rule ID 21518 //
     /* 1568488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1568491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568527 */     // MIs[0] round
     /* 1568527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568530 */     // MIs[0] policy
     /* 1568530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1568543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568564 */     // GIR_Coverage, 21518,
     /* 1568564 */     GIR_EraseRootFromParent_Done,
     /* 1568565 */   // Label 21723: @1568565
     /* 1568565 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1568647), // Rule ID 21519 //
     /* 1568570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1568573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568609 */     // MIs[0] round
     /* 1568609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568612 */     // MIs[0] policy
     /* 1568612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1568625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568646 */     // GIR_Coverage, 21519,
     /* 1568646 */     GIR_EraseRootFromParent_Done,
     /* 1568647 */   // Label 21724: @1568647
     /* 1568647 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1568729), // Rule ID 21522 //
     /* 1568652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1568655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568691 */     // MIs[0] round
     /* 1568691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568694 */     // MIs[0] policy
     /* 1568694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1568707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568728 */     // GIR_Coverage, 21522,
     /* 1568728 */     GIR_EraseRootFromParent_Done,
     /* 1568729 */   // Label 21725: @1568729
     /* 1568729 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1568811), // Rule ID 21523 //
     /* 1568734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1568737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568773 */     // MIs[0] round
     /* 1568773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568776 */     // MIs[0] policy
     /* 1568776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1568789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568810 */     // GIR_Coverage, 21523,
     /* 1568810 */     GIR_EraseRootFromParent_Done,
     /* 1568811 */   // Label 21726: @1568811
     /* 1568811 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1568893), // Rule ID 21526 //
     /* 1568816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1568819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568855 */     // MIs[0] round
     /* 1568855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568858 */     // MIs[0] policy
     /* 1568858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1568871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568892 */     // GIR_Coverage, 21526,
     /* 1568892 */     GIR_EraseRootFromParent_Done,
     /* 1568893 */   // Label 21727: @1568893
     /* 1568893 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1568975), // Rule ID 21527 //
     /* 1568898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1568901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568937 */     // MIs[0] round
     /* 1568937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568940 */     // MIs[0] policy
     /* 1568940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1568953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568974 */     // GIR_Coverage, 21527,
     /* 1568974 */     GIR_EraseRootFromParent_Done,
     /* 1568975 */   // Label 21728: @1568975
     /* 1568975 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1569057), // Rule ID 21530 //
     /* 1568980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1568983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1568988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569019 */     // MIs[0] round
     /* 1569019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569022 */     // MIs[0] policy
     /* 1569022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1569035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569056 */     // GIR_Coverage, 21530,
     /* 1569056 */     GIR_EraseRootFromParent_Done,
     /* 1569057 */   // Label 21729: @1569057
     /* 1569057 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1569139), // Rule ID 21531 //
     /* 1569062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1569065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1569079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569101 */     // MIs[0] round
     /* 1569101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569104 */     // MIs[0] policy
     /* 1569104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1569117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569138 */     // GIR_Coverage, 21531,
     /* 1569138 */     GIR_EraseRootFromParent_Done,
     /* 1569139 */   // Label 21730: @1569139
     /* 1569139 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1569221), // Rule ID 21534 //
     /* 1569144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1569147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1569161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1569164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569183 */     // MIs[0] round
     /* 1569183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569186 */     // MIs[0] policy
     /* 1569186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1569199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569220 */     // GIR_Coverage, 21534,
     /* 1569220 */     GIR_EraseRootFromParent_Done,
     /* 1569221 */   // Label 21731: @1569221
     /* 1569221 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1569303), // Rule ID 21535 //
     /* 1569226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1569229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1569243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1569246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569265 */     // MIs[0] round
     /* 1569265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569268 */     // MIs[0] policy
     /* 1569268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1569281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569302 */     // GIR_Coverage, 21535,
     /* 1569302 */     GIR_EraseRootFromParent_Done,
     /* 1569303 */   // Label 21732: @1569303
     /* 1569303 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1569385), // Rule ID 21538 //
     /* 1569308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1569311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569347 */     // MIs[0] round
     /* 1569347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569350 */     // MIs[0] policy
     /* 1569350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1569363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569384 */     // GIR_Coverage, 21538,
     /* 1569384 */     GIR_EraseRootFromParent_Done,
     /* 1569385 */   // Label 21733: @1569385
     /* 1569385 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1569467), // Rule ID 21539 //
     /* 1569390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1569393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569429 */     // MIs[0] round
     /* 1569429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569432 */     // MIs[0] policy
     /* 1569432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1569445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569466 */     // GIR_Coverage, 21539,
     /* 1569466 */     GIR_EraseRootFromParent_Done,
     /* 1569467 */   // Label 21734: @1569467
     /* 1569467 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1569549), // Rule ID 21542 //
     /* 1569472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1569475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569511 */     // MIs[0] round
     /* 1569511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569514 */     // MIs[0] policy
     /* 1569514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1569527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569548 */     // GIR_Coverage, 21542,
     /* 1569548 */     GIR_EraseRootFromParent_Done,
     /* 1569549 */   // Label 21735: @1569549
     /* 1569549 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1569631), // Rule ID 21543 //
     /* 1569554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1569557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569593 */     // MIs[0] round
     /* 1569593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569596 */     // MIs[0] policy
     /* 1569596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1569609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569630 */     // GIR_Coverage, 21543,
     /* 1569630 */     GIR_EraseRootFromParent_Done,
     /* 1569631 */   // Label 21736: @1569631
     /* 1569631 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1569713), // Rule ID 21546 //
     /* 1569636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1569639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569675 */     // MIs[0] round
     /* 1569675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569678 */     // MIs[0] policy
     /* 1569678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1569691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569712 */     // GIR_Coverage, 21546,
     /* 1569712 */     GIR_EraseRootFromParent_Done,
     /* 1569713 */   // Label 21737: @1569713
     /* 1569713 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1569795), // Rule ID 21547 //
     /* 1569718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1569721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569757 */     // MIs[0] round
     /* 1569757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569760 */     // MIs[0] policy
     /* 1569760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1569773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569794 */     // GIR_Coverage, 21547,
     /* 1569794 */     GIR_EraseRootFromParent_Done,
     /* 1569795 */   // Label 21738: @1569795
     /* 1569795 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1569877), // Rule ID 21550 //
     /* 1569800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1569803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569839 */     // MIs[0] round
     /* 1569839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569842 */     // MIs[0] policy
     /* 1569842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1569855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569876 */     // GIR_Coverage, 21550,
     /* 1569876 */     GIR_EraseRootFromParent_Done,
     /* 1569877 */   // Label 21739: @1569877
     /* 1569877 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1569959), // Rule ID 21551 //
     /* 1569882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1569885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1569890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569921 */     // MIs[0] round
     /* 1569921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569924 */     // MIs[0] policy
     /* 1569924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1569937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569958 */     // GIR_Coverage, 21551,
     /* 1569958 */     GIR_EraseRootFromParent_Done,
     /* 1569959 */   // Label 21740: @1569959
     /* 1569959 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1570041), // Rule ID 21554 //
     /* 1569964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1569972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1569975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1569978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1569981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570003 */     // MIs[0] round
     /* 1570003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570006 */     // MIs[0] policy
     /* 1570006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570016 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1570019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570040 */     // GIR_Coverage, 21554,
     /* 1570040 */     GIR_EraseRootFromParent_Done,
     /* 1570041 */   // Label 21741: @1570041
     /* 1570041 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1570123), // Rule ID 21555 //
     /* 1570046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1570057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1570060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1570063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570085 */     // MIs[0] round
     /* 1570085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570088 */     // MIs[0] policy
     /* 1570088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1570101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570122 */     // GIR_Coverage, 21555,
     /* 1570122 */     GIR_EraseRootFromParent_Done,
     /* 1570123 */   // Label 21742: @1570123
     /* 1570123 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1570205), // Rule ID 21558 //
     /* 1570128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1570139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1570142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1570145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570167 */     // MIs[0] round
     /* 1570167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570170 */     // MIs[0] policy
     /* 1570170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570180 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1570183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570204 */     // GIR_Coverage, 21558,
     /* 1570204 */     GIR_EraseRootFromParent_Done,
     /* 1570205 */   // Label 21743: @1570205
     /* 1570205 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1570287), // Rule ID 21559 //
     /* 1570210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1570221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1570224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1570227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570249 */     // MIs[0] round
     /* 1570249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570252 */     // MIs[0] policy
     /* 1570252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1570265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570286 */     // GIR_Coverage, 21559,
     /* 1570286 */     GIR_EraseRootFromParent_Done,
     /* 1570287 */   // Label 21744: @1570287
     /* 1570287 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1570369), // Rule ID 21562 //
     /* 1570292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1570303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1570306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1570309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570331 */     // MIs[0] round
     /* 1570331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570334 */     // MIs[0] policy
     /* 1570334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570344 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1570347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570368 */     // GIR_Coverage, 21562,
     /* 1570368 */     GIR_EraseRootFromParent_Done,
     /* 1570369 */   // Label 21745: @1570369
     /* 1570369 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1570451), // Rule ID 21563 //
     /* 1570374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1570385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1570388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1570391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570413 */     // MIs[0] round
     /* 1570413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570416 */     // MIs[0] policy
     /* 1570416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1570429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570450 */     // GIR_Coverage, 21563,
     /* 1570450 */     GIR_EraseRootFromParent_Done,
     /* 1570451 */   // Label 21746: @1570451
     /* 1570451 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1570533), // Rule ID 21566 //
     /* 1570456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1570467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1570470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1570473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570495 */     // MIs[0] round
     /* 1570495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570498 */     // MIs[0] policy
     /* 1570498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1570511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570532 */     // GIR_Coverage, 21566,
     /* 1570532 */     GIR_EraseRootFromParent_Done,
     /* 1570533 */   // Label 21747: @1570533
     /* 1570533 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1570615), // Rule ID 21567 //
     /* 1570538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1570549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1570552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1570555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570577 */     // MIs[0] round
     /* 1570577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570580 */     // MIs[0] policy
     /* 1570580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570590 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1570593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570614 */     // GIR_Coverage, 21567,
     /* 1570614 */     GIR_EraseRootFromParent_Done,
     /* 1570615 */   // Label 21748: @1570615
     /* 1570615 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1570697), // Rule ID 21570 //
     /* 1570620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1570631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1570634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570659 */     // MIs[0] round
     /* 1570659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570662 */     // MIs[0] policy
     /* 1570662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1570675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570696 */     // GIR_Coverage, 21570,
     /* 1570696 */     GIR_EraseRootFromParent_Done,
     /* 1570697 */   // Label 21749: @1570697
     /* 1570697 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1570779), // Rule ID 21571 //
     /* 1570702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1570713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1570716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570741 */     // MIs[0] round
     /* 1570741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570744 */     // MIs[0] policy
     /* 1570744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570754 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1570757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570778 */     // GIR_Coverage, 21571,
     /* 1570778 */     GIR_EraseRootFromParent_Done,
     /* 1570779 */   // Label 21750: @1570779
     /* 1570779 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1570861), // Rule ID 21574 //
     /* 1570784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1570795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1570798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1570804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570823 */     // MIs[0] round
     /* 1570823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570826 */     // MIs[0] policy
     /* 1570826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570836 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1570839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570860 */     // GIR_Coverage, 21574,
     /* 1570860 */     GIR_EraseRootFromParent_Done,
     /* 1570861 */   // Label 21751: @1570861
     /* 1570861 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1570943), // Rule ID 21575 //
     /* 1570866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1570877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1570880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1570886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570905 */     // MIs[0] round
     /* 1570905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570908 */     // MIs[0] policy
     /* 1570908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570918 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1570921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570942 */     // GIR_Coverage, 21575,
     /* 1570942 */     GIR_EraseRootFromParent_Done,
     /* 1570943 */   // Label 21752: @1570943
     /* 1570943 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1571025), // Rule ID 21578 //
     /* 1570948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1570951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1570956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1570959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1570962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1570965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570987 */     // MIs[0] round
     /* 1570987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570990 */     // MIs[0] policy
     /* 1570990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1571003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571024 */     // GIR_Coverage, 21578,
     /* 1571024 */     GIR_EraseRootFromParent_Done,
     /* 1571025 */   // Label 21753: @1571025
     /* 1571025 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1571107), // Rule ID 21579 //
     /* 1571030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1571047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571069 */     // MIs[0] round
     /* 1571069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571072 */     // MIs[0] policy
     /* 1571072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1571085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571106 */     // GIR_Coverage, 21579,
     /* 1571106 */     GIR_EraseRootFromParent_Done,
     /* 1571107 */   // Label 21754: @1571107
     /* 1571107 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1571189), // Rule ID 21582 //
     /* 1571112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571151 */     // MIs[0] round
     /* 1571151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571154 */     // MIs[0] policy
     /* 1571154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1571167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571188 */     // GIR_Coverage, 21582,
     /* 1571188 */     GIR_EraseRootFromParent_Done,
     /* 1571189 */   // Label 21755: @1571189
     /* 1571189 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1571271), // Rule ID 21583 //
     /* 1571194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1571211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571233 */     // MIs[0] round
     /* 1571233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571236 */     // MIs[0] policy
     /* 1571236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1571249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571270 */     // GIR_Coverage, 21583,
     /* 1571270 */     GIR_EraseRootFromParent_Done,
     /* 1571271 */   // Label 21756: @1571271
     /* 1571271 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1571353), // Rule ID 21586 //
     /* 1571276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571315 */     // MIs[0] round
     /* 1571315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571318 */     // MIs[0] policy
     /* 1571318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1571331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571352 */     // GIR_Coverage, 21586,
     /* 1571352 */     GIR_EraseRootFromParent_Done,
     /* 1571353 */   // Label 21757: @1571353
     /* 1571353 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1571435), // Rule ID 21587 //
     /* 1571358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1571375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571397 */     // MIs[0] round
     /* 1571397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571400 */     // MIs[0] policy
     /* 1571400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1571413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571434 */     // GIR_Coverage, 21587,
     /* 1571434 */     GIR_EraseRootFromParent_Done,
     /* 1571435 */   // Label 21758: @1571435
     /* 1571435 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1571517), // Rule ID 21590 //
     /* 1571440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571479 */     // MIs[0] round
     /* 1571479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571482 */     // MIs[0] policy
     /* 1571482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1571495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571516 */     // GIR_Coverage, 21590,
     /* 1571516 */     GIR_EraseRootFromParent_Done,
     /* 1571517 */   // Label 21759: @1571517
     /* 1571517 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1571599), // Rule ID 21591 //
     /* 1571522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1571539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571561 */     // MIs[0] round
     /* 1571561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571564 */     // MIs[0] policy
     /* 1571564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1571577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571598 */     // GIR_Coverage, 21591,
     /* 1571598 */     GIR_EraseRootFromParent_Done,
     /* 1571599 */   // Label 21760: @1571599
     /* 1571599 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1571681), // Rule ID 21594 //
     /* 1571604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1571607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1571621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571643 */     // MIs[0] round
     /* 1571643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571646 */     // MIs[0] policy
     /* 1571646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1571659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571680 */     // GIR_Coverage, 21594,
     /* 1571680 */     GIR_EraseRootFromParent_Done,
     /* 1571681 */   // Label 21761: @1571681
     /* 1571681 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1571763), // Rule ID 21595 //
     /* 1571686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1571689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1571703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571725 */     // MIs[0] round
     /* 1571725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571728 */     // MIs[0] policy
     /* 1571728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1571741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571762 */     // GIR_Coverage, 21595,
     /* 1571762 */     GIR_EraseRootFromParent_Done,
     /* 1571763 */   // Label 21762: @1571763
     /* 1571763 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1571845), // Rule ID 21598 //
     /* 1571768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1571771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571807 */     // MIs[0] round
     /* 1571807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571810 */     // MIs[0] policy
     /* 1571810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1571823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571844 */     // GIR_Coverage, 21598,
     /* 1571844 */     GIR_EraseRootFromParent_Done,
     /* 1571845 */   // Label 21763: @1571845
     /* 1571845 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1571927), // Rule ID 21599 //
     /* 1571850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1571853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1571867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571889 */     // MIs[0] round
     /* 1571889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571892 */     // MIs[0] policy
     /* 1571892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1571905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571926 */     // GIR_Coverage, 21599,
     /* 1571926 */     GIR_EraseRootFromParent_Done,
     /* 1571927 */   // Label 21764: @1571927
     /* 1571927 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1572009), // Rule ID 21602 //
     /* 1571932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1571935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1571940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1571949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571971 */     // MIs[0] round
     /* 1571971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571974 */     // MIs[0] policy
     /* 1571974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1571987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572008 */     // GIR_Coverage, 21602,
     /* 1572008 */     GIR_EraseRootFromParent_Done,
     /* 1572009 */   // Label 21765: @1572009
     /* 1572009 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1572091), // Rule ID 21603 //
     /* 1572014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1572017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1572031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572053 */     // MIs[0] round
     /* 1572053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572056 */     // MIs[0] policy
     /* 1572056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1572069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572090 */     // GIR_Coverage, 21603,
     /* 1572090 */     GIR_EraseRootFromParent_Done,
     /* 1572091 */   // Label 21766: @1572091
     /* 1572091 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1572173), // Rule ID 21606 //
     /* 1572096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1572099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1572113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572135 */     // MIs[0] round
     /* 1572135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572138 */     // MIs[0] policy
     /* 1572138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1572151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572172 */     // GIR_Coverage, 21606,
     /* 1572172 */     GIR_EraseRootFromParent_Done,
     /* 1572173 */   // Label 21767: @1572173
     /* 1572173 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1572255), // Rule ID 21607 //
     /* 1572178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1572181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1572195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572217 */     // MIs[0] round
     /* 1572217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572220 */     // MIs[0] policy
     /* 1572220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1572233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572254 */     // GIR_Coverage, 21607,
     /* 1572254 */     GIR_EraseRootFromParent_Done,
     /* 1572255 */   // Label 21768: @1572255
     /* 1572255 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1572337), // Rule ID 21610 //
     /* 1572260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1572263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1572277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572299 */     // MIs[0] round
     /* 1572299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572302 */     // MIs[0] policy
     /* 1572302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1572315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572336 */     // GIR_Coverage, 21610,
     /* 1572336 */     GIR_EraseRootFromParent_Done,
     /* 1572337 */   // Label 21769: @1572337
     /* 1572337 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1572419), // Rule ID 21611 //
     /* 1572342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1572345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1572350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1572359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572381 */     // MIs[0] round
     /* 1572381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572384 */     // MIs[0] policy
     /* 1572384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1572397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572418 */     // GIR_Coverage, 21611,
     /* 1572418 */     GIR_EraseRootFromParent_Done,
     /* 1572419 */   // Label 21770: @1572419
     /* 1572419 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1572501), // Rule ID 21734 //
     /* 1572424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1572432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1572441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572463 */     // MIs[0] round
     /* 1572463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572466 */     // MIs[0] policy
     /* 1572466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572476 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1572479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572500 */     // GIR_Coverage, 21734,
     /* 1572500 */     GIR_EraseRootFromParent_Done,
     /* 1572501 */   // Label 21771: @1572501
     /* 1572501 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1572583), // Rule ID 21735 //
     /* 1572506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1572514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1572523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572545 */     // MIs[0] round
     /* 1572545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572548 */     // MIs[0] policy
     /* 1572548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572558 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1572561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572582 */     // GIR_Coverage, 21735,
     /* 1572582 */     GIR_EraseRootFromParent_Done,
     /* 1572583 */   // Label 21772: @1572583
     /* 1572583 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1572665), // Rule ID 21738 //
     /* 1572588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1572596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572627 */     // MIs[0] round
     /* 1572627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572630 */     // MIs[0] policy
     /* 1572630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572640 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1572643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572664 */     // GIR_Coverage, 21738,
     /* 1572664 */     GIR_EraseRootFromParent_Done,
     /* 1572665 */   // Label 21773: @1572665
     /* 1572665 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1572747), // Rule ID 21739 //
     /* 1572670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1572678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572709 */     // MIs[0] round
     /* 1572709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572712 */     // MIs[0] policy
     /* 1572712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572722 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1572725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572746 */     // GIR_Coverage, 21739,
     /* 1572746 */     GIR_EraseRootFromParent_Done,
     /* 1572747 */   // Label 21774: @1572747
     /* 1572747 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1572829), // Rule ID 21742 //
     /* 1572752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1572760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572791 */     // MIs[0] round
     /* 1572791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572794 */     // MIs[0] policy
     /* 1572794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572804 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1572807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572828 */     // GIR_Coverage, 21742,
     /* 1572828 */     GIR_EraseRootFromParent_Done,
     /* 1572829 */   // Label 21775: @1572829
     /* 1572829 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1572911), // Rule ID 21743 //
     /* 1572834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1572842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572873 */     // MIs[0] round
     /* 1572873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572876 */     // MIs[0] policy
     /* 1572876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572886 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1572889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572910 */     // GIR_Coverage, 21743,
     /* 1572910 */     GIR_EraseRootFromParent_Done,
     /* 1572911 */   // Label 21776: @1572911
     /* 1572911 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1572993), // Rule ID 21746 //
     /* 1572916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1572924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1572927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1572930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572955 */     // MIs[0] round
     /* 1572955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572958 */     // MIs[0] policy
     /* 1572958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1572971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572992 */     // GIR_Coverage, 21746,
     /* 1572992 */     GIR_EraseRootFromParent_Done,
     /* 1572993 */   // Label 21777: @1572993
     /* 1572993 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1573075), // Rule ID 21747 //
     /* 1572998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1573015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573037 */     // MIs[0] round
     /* 1573037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573040 */     // MIs[0] policy
     /* 1573040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573050 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1573053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573074 */     // GIR_Coverage, 21747,
     /* 1573074 */     GIR_EraseRootFromParent_Done,
     /* 1573075 */   // Label 21778: @1573075
     /* 1573075 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1573157), // Rule ID 21750 //
     /* 1573080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1573097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573119 */     // MIs[0] round
     /* 1573119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573122 */     // MIs[0] policy
     /* 1573122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573132 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1573135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573156 */     // GIR_Coverage, 21750,
     /* 1573156 */     GIR_EraseRootFromParent_Done,
     /* 1573157 */   // Label 21779: @1573157
     /* 1573157 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1573239), // Rule ID 21751 //
     /* 1573162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1573179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573201 */     // MIs[0] round
     /* 1573201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573204 */     // MIs[0] policy
     /* 1573204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573214 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1573217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573238 */     // GIR_Coverage, 21751,
     /* 1573238 */     GIR_EraseRootFromParent_Done,
     /* 1573239 */   // Label 21780: @1573239
     /* 1573239 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1573321), // Rule ID 21754 //
     /* 1573244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1573247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1573261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573283 */     // MIs[0] round
     /* 1573283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573286 */     // MIs[0] policy
     /* 1573286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1573299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573320 */     // GIR_Coverage, 21754,
     /* 1573320 */     GIR_EraseRootFromParent_Done,
     /* 1573321 */   // Label 21781: @1573321
     /* 1573321 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1573403), // Rule ID 21755 //
     /* 1573326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1573329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1573343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573365 */     // MIs[0] round
     /* 1573365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573368 */     // MIs[0] policy
     /* 1573368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1573381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573402 */     // GIR_Coverage, 21755,
     /* 1573402 */     GIR_EraseRootFromParent_Done,
     /* 1573403 */   // Label 21782: @1573403
     /* 1573403 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1573485), // Rule ID 21758 //
     /* 1573408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1573411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1573425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573447 */     // MIs[0] round
     /* 1573447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573450 */     // MIs[0] policy
     /* 1573450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573460 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1573463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573484 */     // GIR_Coverage, 21758,
     /* 1573484 */     GIR_EraseRootFromParent_Done,
     /* 1573485 */   // Label 21783: @1573485
     /* 1573485 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1573567), // Rule ID 21759 //
     /* 1573490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1573493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1573507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573529 */     // MIs[0] round
     /* 1573529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573532 */     // MIs[0] policy
     /* 1573532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573542 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1573545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573566 */     // GIR_Coverage, 21759,
     /* 1573566 */     GIR_EraseRootFromParent_Done,
     /* 1573567 */   // Label 21784: @1573567
     /* 1573567 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1573649), // Rule ID 21762 //
     /* 1573572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1573575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1573589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573611 */     // MIs[0] round
     /* 1573611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573614 */     // MIs[0] policy
     /* 1573614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573624 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1573627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573648 */     // GIR_Coverage, 21762,
     /* 1573648 */     GIR_EraseRootFromParent_Done,
     /* 1573649 */   // Label 21785: @1573649
     /* 1573649 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1573731), // Rule ID 21763 //
     /* 1573654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1573657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1573671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573693 */     // MIs[0] round
     /* 1573693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573696 */     // MIs[0] policy
     /* 1573696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573706 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1573709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573730 */     // GIR_Coverage, 21763,
     /* 1573730 */     GIR_EraseRootFromParent_Done,
     /* 1573731 */   // Label 21786: @1573731
     /* 1573731 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1573813), // Rule ID 21766 //
     /* 1573736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1573739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1573753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573775 */     // MIs[0] round
     /* 1573775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573778 */     // MIs[0] policy
     /* 1573778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573788 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1573791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573812 */     // GIR_Coverage, 21766,
     /* 1573812 */     GIR_EraseRootFromParent_Done,
     /* 1573813 */   // Label 21787: @1573813
     /* 1573813 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1573895), // Rule ID 21767 //
     /* 1573818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1573821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1573826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1573835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573857 */     // MIs[0] round
     /* 1573857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573860 */     // MIs[0] policy
     /* 1573860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573870 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1573873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573894 */     // GIR_Coverage, 21767,
     /* 1573894 */     GIR_EraseRootFromParent_Done,
     /* 1573895 */   // Label 21788: @1573895
     /* 1573895 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1573977), // Rule ID 21770 //
     /* 1573900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1573908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573939 */     // MIs[0] round
     /* 1573939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573942 */     // MIs[0] policy
     /* 1573942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1573955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573976 */     // GIR_Coverage, 21770,
     /* 1573976 */     GIR_EraseRootFromParent_Done,
     /* 1573977 */   // Label 21789: @1573977
     /* 1573977 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1574059), // Rule ID 21771 //
     /* 1573982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1573990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574021 */     // MIs[0] round
     /* 1574021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574024 */     // MIs[0] policy
     /* 1574024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574034 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1574037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574058 */     // GIR_Coverage, 21771,
     /* 1574058 */     GIR_EraseRootFromParent_Done,
     /* 1574059 */   // Label 21790: @1574059
     /* 1574059 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1574141), // Rule ID 21774 //
     /* 1574064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1574075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1574078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1574081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574103 */     // MIs[0] round
     /* 1574103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574106 */     // MIs[0] policy
     /* 1574106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574116 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1574119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574140 */     // GIR_Coverage, 21774,
     /* 1574140 */     GIR_EraseRootFromParent_Done,
     /* 1574141 */   // Label 21791: @1574141
     /* 1574141 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1574223), // Rule ID 21775 //
     /* 1574146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1574157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1574160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1574163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574185 */     // MIs[0] round
     /* 1574185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574188 */     // MIs[0] policy
     /* 1574188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574198 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1574201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574222 */     // GIR_Coverage, 21775,
     /* 1574222 */     GIR_EraseRootFromParent_Done,
     /* 1574223 */   // Label 21792: @1574223
     /* 1574223 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1574305), // Rule ID 21778 //
     /* 1574228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1574245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574267 */     // MIs[0] round
     /* 1574267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574270 */     // MIs[0] policy
     /* 1574270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574280 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1574283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574304 */     // GIR_Coverage, 21778,
     /* 1574304 */     GIR_EraseRootFromParent_Done,
     /* 1574305 */   // Label 21793: @1574305
     /* 1574305 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1574387), // Rule ID 21779 //
     /* 1574310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1574327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574349 */     // MIs[0] round
     /* 1574349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574352 */     // MIs[0] policy
     /* 1574352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574362 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1574365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574386 */     // GIR_Coverage, 21779,
     /* 1574386 */     GIR_EraseRootFromParent_Done,
     /* 1574387 */   // Label 21794: @1574387
     /* 1574387 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1574469), // Rule ID 21782 //
     /* 1574392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574431 */     // MIs[0] round
     /* 1574431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574434 */     // MIs[0] policy
     /* 1574434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574444 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1574447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574468 */     // GIR_Coverage, 21782,
     /* 1574468 */     GIR_EraseRootFromParent_Done,
     /* 1574469 */   // Label 21795: @1574469
     /* 1574469 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1574551), // Rule ID 21783 //
     /* 1574474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574513 */     // MIs[0] round
     /* 1574513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574516 */     // MIs[0] policy
     /* 1574516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574526 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1574529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574550 */     // GIR_Coverage, 21783,
     /* 1574550 */     GIR_EraseRootFromParent_Done,
     /* 1574551 */   // Label 21796: @1574551
     /* 1574551 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1574633), // Rule ID 21786 //
     /* 1574556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1574573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1574576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574595 */     // MIs[0] round
     /* 1574595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574598 */     // MIs[0] policy
     /* 1574598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574608 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1574611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574632 */     // GIR_Coverage, 21786,
     /* 1574632 */     GIR_EraseRootFromParent_Done,
     /* 1574633 */   // Label 21797: @1574633
     /* 1574633 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1574715), // Rule ID 21787 //
     /* 1574638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1574655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1574658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574677 */     // MIs[0] round
     /* 1574677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574680 */     // MIs[0] policy
     /* 1574680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574690 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1574693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574714 */     // GIR_Coverage, 21787,
     /* 1574714 */     GIR_EraseRootFromParent_Done,
     /* 1574715 */   // Label 21798: @1574715
     /* 1574715 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1574797), // Rule ID 21790 //
     /* 1574720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1574723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1574737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574759 */     // MIs[0] round
     /* 1574759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574762 */     // MIs[0] policy
     /* 1574762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1574775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574796 */     // GIR_Coverage, 21790,
     /* 1574796 */     GIR_EraseRootFromParent_Done,
     /* 1574797 */   // Label 21799: @1574797
     /* 1574797 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1574879), // Rule ID 21791 //
     /* 1574802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1574805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1574819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574841 */     // MIs[0] round
     /* 1574841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574844 */     // MIs[0] policy
     /* 1574844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574854 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1574857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574878 */     // GIR_Coverage, 21791,
     /* 1574878 */     GIR_EraseRootFromParent_Done,
     /* 1574879 */   // Label 21800: @1574879
     /* 1574879 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1574961), // Rule ID 21794 //
     /* 1574884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1574887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574923 */     // MIs[0] round
     /* 1574923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574926 */     // MIs[0] policy
     /* 1574926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1574939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574960 */     // GIR_Coverage, 21794,
     /* 1574960 */     GIR_EraseRootFromParent_Done,
     /* 1574961 */   // Label 21801: @1574961
     /* 1574961 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1575043), // Rule ID 21795 //
     /* 1574966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1574969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1574974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575005 */     // MIs[0] round
     /* 1575005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575008 */     // MIs[0] policy
     /* 1575008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575018 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1575021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575042 */     // GIR_Coverage, 21795,
     /* 1575042 */     GIR_EraseRootFromParent_Done,
     /* 1575043 */   // Label 21802: @1575043
     /* 1575043 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1575125), // Rule ID 21798 //
     /* 1575048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1575056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1575065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575087 */     // MIs[0] round
     /* 1575087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575090 */     // MIs[0] policy
     /* 1575090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575100 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1575103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575124 */     // GIR_Coverage, 21798,
     /* 1575124 */     GIR_EraseRootFromParent_Done,
     /* 1575125 */   // Label 21803: @1575125
     /* 1575125 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1575207), // Rule ID 21799 //
     /* 1575130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1575133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1575138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1575147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575169 */     // MIs[0] round
     /* 1575169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575172 */     // MIs[0] policy
     /* 1575172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575182 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1575185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575206 */     // GIR_Coverage, 21799,
     /* 1575206 */     GIR_EraseRootFromParent_Done,
     /* 1575207 */   // Label 21804: @1575207
     /* 1575207 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1575289), // Rule ID 21802 //
     /* 1575212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1575215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1575220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1575229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575251 */     // MIs[0] round
     /* 1575251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575254 */     // MIs[0] policy
     /* 1575254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575264 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1575267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575288 */     // GIR_Coverage, 21802,
     /* 1575288 */     GIR_EraseRootFromParent_Done,
     /* 1575289 */   // Label 21805: @1575289
     /* 1575289 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1575371), // Rule ID 21803 //
     /* 1575294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1575297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1575302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1575311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575333 */     // MIs[0] round
     /* 1575333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575336 */     // MIs[0] policy
     /* 1575336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575346 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1575349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575370 */     // GIR_Coverage, 21803,
     /* 1575370 */     GIR_EraseRootFromParent_Done,
     /* 1575371 */   // Label 21806: @1575371
     /* 1575371 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1575453), // Rule ID 21806 //
     /* 1575376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1575379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1575393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575415 */     // MIs[0] round
     /* 1575415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575418 */     // MIs[0] policy
     /* 1575418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1575431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575452 */     // GIR_Coverage, 21806,
     /* 1575452 */     GIR_EraseRootFromParent_Done,
     /* 1575453 */   // Label 21807: @1575453
     /* 1575453 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1575535), // Rule ID 21807 //
     /* 1575458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1575461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1575475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575497 */     // MIs[0] round
     /* 1575497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575500 */     // MIs[0] policy
     /* 1575500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575510 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1575513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575534 */     // GIR_Coverage, 21807,
     /* 1575534 */     GIR_EraseRootFromParent_Done,
     /* 1575535 */   // Label 21808: @1575535
     /* 1575535 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1575617), // Rule ID 21810 //
     /* 1575540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1575543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1575551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1575554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1575557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575579 */     // MIs[0] round
     /* 1575579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575582 */     // MIs[0] policy
     /* 1575582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575592 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1575595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575616 */     // GIR_Coverage, 21810,
     /* 1575616 */     GIR_EraseRootFromParent_Done,
     /* 1575617 */   // Label 21809: @1575617
     /* 1575617 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1575699), // Rule ID 21811 //
     /* 1575622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1575625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1575633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1575636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1575639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575661 */     // MIs[0] round
     /* 1575661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575664 */     // MIs[0] policy
     /* 1575664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575674 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1575677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575698 */     // GIR_Coverage, 21811,
     /* 1575698 */     GIR_EraseRootFromParent_Done,
     /* 1575699 */   // Label 21810: @1575699
     /* 1575699 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1575781), // Rule ID 21814 //
     /* 1575704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1575707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1575721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575743 */     // MIs[0] round
     /* 1575743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575746 */     // MIs[0] policy
     /* 1575746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575756 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1575759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575780 */     // GIR_Coverage, 21814,
     /* 1575780 */     GIR_EraseRootFromParent_Done,
     /* 1575781 */   // Label 21811: @1575781
     /* 1575781 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1575863), // Rule ID 21815 //
     /* 1575786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1575789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1575803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575825 */     // MIs[0] round
     /* 1575825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575828 */     // MIs[0] policy
     /* 1575828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575838 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1575841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575862 */     // GIR_Coverage, 21815,
     /* 1575862 */     GIR_EraseRootFromParent_Done,
     /* 1575863 */   // Label 21812: @1575863
     /* 1575863 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1575945), // Rule ID 21818 //
     /* 1575868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1575871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1575885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575907 */     // MIs[0] round
     /* 1575907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575910 */     // MIs[0] policy
     /* 1575910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575920 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1575923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575944 */     // GIR_Coverage, 21818,
     /* 1575944 */     GIR_EraseRootFromParent_Done,
     /* 1575945 */   // Label 21813: @1575945
     /* 1575945 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1576027), // Rule ID 21819 //
     /* 1575950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1575953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1575958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1575967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575989 */     // MIs[0] round
     /* 1575989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575992 */     // MIs[0] policy
     /* 1575992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1576005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576026 */     // GIR_Coverage, 21819,
     /* 1576026 */     GIR_EraseRootFromParent_Done,
     /* 1576027 */   // Label 21814: @1576027
     /* 1576027 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1576109), // Rule ID 21822 //
     /* 1576032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1576035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1576049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576071 */     // MIs[0] round
     /* 1576071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576074 */     // MIs[0] policy
     /* 1576074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576084 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1576087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576108 */     // GIR_Coverage, 21822,
     /* 1576108 */     GIR_EraseRootFromParent_Done,
     /* 1576109 */   // Label 21815: @1576109
     /* 1576109 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1576191), // Rule ID 21823 //
     /* 1576114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1576117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1576131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576153 */     // MIs[0] round
     /* 1576153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576156 */     // MIs[0] policy
     /* 1576156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576166 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1576169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576190 */     // GIR_Coverage, 21823,
     /* 1576190 */     GIR_EraseRootFromParent_Done,
     /* 1576191 */   // Label 21816: @1576191
     /* 1576191 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1576273), // Rule ID 21826 //
     /* 1576196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1576199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576235 */     // MIs[0] round
     /* 1576235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576238 */     // MIs[0] policy
     /* 1576238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576248 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1576251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576272 */     // GIR_Coverage, 21826,
     /* 1576272 */     GIR_EraseRootFromParent_Done,
     /* 1576273 */   // Label 21817: @1576273
     /* 1576273 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1576355), // Rule ID 21827 //
     /* 1576278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1576281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576317 */     // MIs[0] round
     /* 1576317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576320 */     // MIs[0] policy
     /* 1576320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576330 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1576333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576354 */     // GIR_Coverage, 21827,
     /* 1576354 */     GIR_EraseRootFromParent_Done,
     /* 1576355 */   // Label 21818: @1576355
     /* 1576355 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1576437), // Rule ID 21830 //
     /* 1576360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1576363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576399 */     // MIs[0] round
     /* 1576399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576402 */     // MIs[0] policy
     /* 1576402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576412 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1576415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576436 */     // GIR_Coverage, 21830,
     /* 1576436 */     GIR_EraseRootFromParent_Done,
     /* 1576437 */   // Label 21819: @1576437
     /* 1576437 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1576519), // Rule ID 21831 //
     /* 1576442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1576445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576481 */     // MIs[0] round
     /* 1576481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576484 */     // MIs[0] policy
     /* 1576484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576494 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1576497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576518 */     // GIR_Coverage, 21831,
     /* 1576518 */     GIR_EraseRootFromParent_Done,
     /* 1576519 */   // Label 21820: @1576519
     /* 1576519 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1576601), // Rule ID 21834 //
     /* 1576524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1576527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1576535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1576538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1576541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576563 */     // MIs[0] round
     /* 1576563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576566 */     // MIs[0] policy
     /* 1576566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1576579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576600 */     // GIR_Coverage, 21834,
     /* 1576600 */     GIR_EraseRootFromParent_Done,
     /* 1576601 */   // Label 21821: @1576601
     /* 1576601 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1576683), // Rule ID 21835 //
     /* 1576606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1576609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1576617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1576620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1576623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576645 */     // MIs[0] round
     /* 1576645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576648 */     // MIs[0] policy
     /* 1576648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576658 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1576661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576682 */     // GIR_Coverage, 21835,
     /* 1576682 */     GIR_EraseRootFromParent_Done,
     /* 1576683 */   // Label 21822: @1576683
     /* 1576683 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1576765), // Rule ID 21838 //
     /* 1576688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1576691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1576699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1576702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1576705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1576708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576727 */     // MIs[0] round
     /* 1576727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576730 */     // MIs[0] policy
     /* 1576730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576740 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1576743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576764 */     // GIR_Coverage, 21838,
     /* 1576764 */     GIR_EraseRootFromParent_Done,
     /* 1576765 */   // Label 21823: @1576765
     /* 1576765 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1576847), // Rule ID 21839 //
     /* 1576770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1576773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1576778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1576781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1576784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1576787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1576790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576809 */     // MIs[0] round
     /* 1576809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576812 */     // MIs[0] policy
     /* 1576812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576822 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1576825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576846 */     // GIR_Coverage, 21839,
     /* 1576846 */     GIR_EraseRootFromParent_Done,
     /* 1576847 */   // Label 21824: @1576847
     /* 1576847 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1576929), // Rule ID 2648 //
     /* 1576852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1576860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576883 */     // MIs[0] passthru
     /* 1576883 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576896 */     // MIs[0] policy
     /* 1576896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1576909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576928 */     // GIR_Coverage, 2648,
     /* 1576928 */     GIR_EraseRootFromParent_Done,
     /* 1576929 */   // Label 21825: @1576929
     /* 1576929 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1577011), // Rule ID 2649 //
     /* 1576934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1576942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576965 */     // MIs[0] passthru
     /* 1576965 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576978 */     // MIs[0] policy
     /* 1576978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576988 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1576991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577010 */     // GIR_Coverage, 2649,
     /* 1577010 */     GIR_EraseRootFromParent_Done,
     /* 1577011 */   // Label 21826: @1577011
     /* 1577011 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1577093), // Rule ID 3964 //
     /* 1577016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577047 */     // MIs[0] passthru
     /* 1577047 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577060 */     // MIs[0] policy
     /* 1577060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577070 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1577073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577092 */     // GIR_Coverage, 3964,
     /* 1577092 */     GIR_EraseRootFromParent_Done,
     /* 1577093 */   // Label 21827: @1577093
     /* 1577093 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1577175), // Rule ID 3965 //
     /* 1577098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577129 */     // MIs[0] passthru
     /* 1577129 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577142 */     // MIs[0] policy
     /* 1577142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1577155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577174 */     // GIR_Coverage, 3965,
     /* 1577174 */     GIR_EraseRootFromParent_Done,
     /* 1577175 */   // Label 21828: @1577175
     /* 1577175 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1577257), // Rule ID 3974 //
     /* 1577180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577211 */     // MIs[0] passthru
     /* 1577211 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577224 */     // MIs[0] policy
     /* 1577224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1577237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577256 */     // GIR_Coverage, 3974,
     /* 1577256 */     GIR_EraseRootFromParent_Done,
     /* 1577257 */   // Label 21829: @1577257
     /* 1577257 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1577339), // Rule ID 3975 //
     /* 1577262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577293 */     // MIs[0] passthru
     /* 1577293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577306 */     // MIs[0] policy
     /* 1577306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1577319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577338 */     // GIR_Coverage, 3975,
     /* 1577338 */     GIR_EraseRootFromParent_Done,
     /* 1577339 */   // Label 21830: @1577339
     /* 1577339 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1577421), // Rule ID 3984 //
     /* 1577344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577375 */     // MIs[0] passthru
     /* 1577375 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577388 */     // MIs[0] policy
     /* 1577388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577398 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1577401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577420 */     // GIR_Coverage, 3984,
     /* 1577420 */     GIR_EraseRootFromParent_Done,
     /* 1577421 */   // Label 21831: @1577421
     /* 1577421 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1577503), // Rule ID 3985 //
     /* 1577426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577457 */     // MIs[0] passthru
     /* 1577457 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577470 */     // MIs[0] policy
     /* 1577470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1577483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577502 */     // GIR_Coverage, 3985,
     /* 1577502 */     GIR_EraseRootFromParent_Done,
     /* 1577503 */   // Label 21832: @1577503
     /* 1577503 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1577585), // Rule ID 3994 //
     /* 1577508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1577525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577539 */     // MIs[0] passthru
     /* 1577539 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577552 */     // MIs[0] policy
     /* 1577552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577562 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1577565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577584 */     // GIR_Coverage, 3994,
     /* 1577584 */     GIR_EraseRootFromParent_Done,
     /* 1577585 */   // Label 21833: @1577585
     /* 1577585 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1577667), // Rule ID 3995 //
     /* 1577590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1577607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577621 */     // MIs[0] passthru
     /* 1577621 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577634 */     // MIs[0] policy
     /* 1577634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1577647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577666 */     // GIR_Coverage, 3995,
     /* 1577666 */     GIR_EraseRootFromParent_Done,
     /* 1577667 */   // Label 21834: @1577667
     /* 1577667 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1577749), // Rule ID 4004 //
     /* 1577672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1577683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1577686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1577689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1577692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577703 */     // MIs[0] passthru
     /* 1577703 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577716 */     // MIs[0] policy
     /* 1577716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577726 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1577729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577748 */     // GIR_Coverage, 4004,
     /* 1577748 */     GIR_EraseRootFromParent_Done,
     /* 1577749 */   // Label 21835: @1577749
     /* 1577749 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1577831), // Rule ID 4005 //
     /* 1577754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1577765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1577768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1577771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1577774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577785 */     // MIs[0] passthru
     /* 1577785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577798 */     // MIs[0] policy
     /* 1577798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1577811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577830 */     // GIR_Coverage, 4005,
     /* 1577830 */     GIR_EraseRootFromParent_Done,
     /* 1577831 */   // Label 21836: @1577831
     /* 1577831 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1577913), // Rule ID 4014 //
     /* 1577836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1577853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577867 */     // MIs[0] passthru
     /* 1577867 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577880 */     // MIs[0] policy
     /* 1577880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577890 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1577893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577912 */     // GIR_Coverage, 4014,
     /* 1577912 */     GIR_EraseRootFromParent_Done,
     /* 1577913 */   // Label 21837: @1577913
     /* 1577913 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1577995), // Rule ID 4015 //
     /* 1577918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1577926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1577935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577949 */     // MIs[0] passthru
     /* 1577949 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577962 */     // MIs[0] policy
     /* 1577962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1577975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577994 */     // GIR_Coverage, 4015,
     /* 1577994 */     GIR_EraseRootFromParent_Done,
     /* 1577995 */   // Label 21838: @1577995
     /* 1577995 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1578077), // Rule ID 4024 //
     /* 1578000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578031 */     // MIs[0] passthru
     /* 1578031 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578044 */     // MIs[0] policy
     /* 1578044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1578057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578076 */     // GIR_Coverage, 4024,
     /* 1578076 */     GIR_EraseRootFromParent_Done,
     /* 1578077 */   // Label 21839: @1578077
     /* 1578077 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1578159), // Rule ID 4025 //
     /* 1578082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1578099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578113 */     // MIs[0] passthru
     /* 1578113 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578126 */     // MIs[0] policy
     /* 1578126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1578139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578158 */     // GIR_Coverage, 4025,
     /* 1578158 */     GIR_EraseRootFromParent_Done,
     /* 1578159 */   // Label 21840: @1578159
     /* 1578159 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1578241), // Rule ID 4034 //
     /* 1578164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578195 */     // MIs[0] passthru
     /* 1578195 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578208 */     // MIs[0] policy
     /* 1578208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1578221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578240 */     // GIR_Coverage, 4034,
     /* 1578240 */     GIR_EraseRootFromParent_Done,
     /* 1578241 */   // Label 21841: @1578241
     /* 1578241 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1578323), // Rule ID 4035 //
     /* 1578246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578277 */     // MIs[0] passthru
     /* 1578277 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578290 */     // MIs[0] policy
     /* 1578290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1578303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578322 */     // GIR_Coverage, 4035,
     /* 1578322 */     GIR_EraseRootFromParent_Done,
     /* 1578323 */   // Label 21842: @1578323
     /* 1578323 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1578405), // Rule ID 4044 //
     /* 1578328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1578345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578359 */     // MIs[0] passthru
     /* 1578359 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578372 */     // MIs[0] policy
     /* 1578372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1578385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578404 */     // GIR_Coverage, 4044,
     /* 1578404 */     GIR_EraseRootFromParent_Done,
     /* 1578405 */   // Label 21843: @1578405
     /* 1578405 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1578487), // Rule ID 4045 //
     /* 1578410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1578427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578441 */     // MIs[0] passthru
     /* 1578441 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578454 */     // MIs[0] policy
     /* 1578454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578464 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1578467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578486 */     // GIR_Coverage, 4045,
     /* 1578486 */     GIR_EraseRootFromParent_Done,
     /* 1578487 */   // Label 21844: @1578487
     /* 1578487 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1578569), // Rule ID 4054 //
     /* 1578492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1578509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578523 */     // MIs[0] passthru
     /* 1578523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578536 */     // MIs[0] policy
     /* 1578536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1578549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578568 */     // GIR_Coverage, 4054,
     /* 1578568 */     GIR_EraseRootFromParent_Done,
     /* 1578569 */   // Label 21845: @1578569
     /* 1578569 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1578651), // Rule ID 4055 //
     /* 1578574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1578591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578605 */     // MIs[0] passthru
     /* 1578605 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578618 */     // MIs[0] policy
     /* 1578618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1578631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578650 */     // GIR_Coverage, 4055,
     /* 1578650 */     GIR_EraseRootFromParent_Done,
     /* 1578651 */   // Label 21846: @1578651
     /* 1578651 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1578733), // Rule ID 4064 //
     /* 1578656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1578659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1578667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1578670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1578673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578687 */     // MIs[0] passthru
     /* 1578687 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578700 */     // MIs[0] policy
     /* 1578700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1578713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578732 */     // GIR_Coverage, 4064,
     /* 1578732 */     GIR_EraseRootFromParent_Done,
     /* 1578733 */   // Label 21847: @1578733
     /* 1578733 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1578815), // Rule ID 4065 //
     /* 1578738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1578741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1578749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1578752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1578755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578769 */     // MIs[0] passthru
     /* 1578769 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578782 */     // MIs[0] policy
     /* 1578782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1578795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578814 */     // GIR_Coverage, 4065,
     /* 1578814 */     GIR_EraseRootFromParent_Done,
     /* 1578815 */   // Label 21848: @1578815
     /* 1578815 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1578897), // Rule ID 4074 //
     /* 1578820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1578823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1578831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1578834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1578837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578851 */     // MIs[0] passthru
     /* 1578851 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578864 */     // MIs[0] policy
     /* 1578864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1578877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578896 */     // GIR_Coverage, 4074,
     /* 1578896 */     GIR_EraseRootFromParent_Done,
     /* 1578897 */   // Label 21849: @1578897
     /* 1578897 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1578979), // Rule ID 4075 //
     /* 1578902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1578905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1578913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1578916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1578919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578933 */     // MIs[0] passthru
     /* 1578933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578946 */     // MIs[0] policy
     /* 1578946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1578959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578978 */     // GIR_Coverage, 4075,
     /* 1578978 */     GIR_EraseRootFromParent_Done,
     /* 1578979 */   // Label 21850: @1578979
     /* 1578979 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1579061), // Rule ID 4084 //
     /* 1578984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1578987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1578992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1578995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1578998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579015 */     // MIs[0] passthru
     /* 1579015 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579028 */     // MIs[0] policy
     /* 1579028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579038 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1579041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579060 */     // GIR_Coverage, 4084,
     /* 1579060 */     GIR_EraseRootFromParent_Done,
     /* 1579061 */   // Label 21851: @1579061
     /* 1579061 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1579143), // Rule ID 4085 //
     /* 1579066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1579077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1579080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579097 */     // MIs[0] passthru
     /* 1579097 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579110 */     // MIs[0] policy
     /* 1579110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1579123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579142 */     // GIR_Coverage, 4085,
     /* 1579142 */     GIR_EraseRootFromParent_Done,
     /* 1579143 */   // Label 21852: @1579143
     /* 1579143 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1579225), // Rule ID 4094 //
     /* 1579148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1579151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579179 */     // MIs[0] passthru
     /* 1579179 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579192 */     // MIs[0] policy
     /* 1579192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1579205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579224 */     // GIR_Coverage, 4094,
     /* 1579224 */     GIR_EraseRootFromParent_Done,
     /* 1579225 */   // Label 21853: @1579225
     /* 1579225 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1579307), // Rule ID 4095 //
     /* 1579230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1579233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1579238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1579241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1579244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579261 */     // MIs[0] passthru
     /* 1579261 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579274 */     // MIs[0] policy
     /* 1579274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1579287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579306 */     // GIR_Coverage, 4095,
     /* 1579306 */     GIR_EraseRootFromParent_Done,
     /* 1579307 */   // Label 21854: @1579307
     /* 1579307 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1579389), // Rule ID 4164 //
     /* 1579312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579343 */     // MIs[0] passthru
     /* 1579343 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579356 */     // MIs[0] policy
     /* 1579356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1579369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579388 */     // GIR_Coverage, 4164,
     /* 1579388 */     GIR_EraseRootFromParent_Done,
     /* 1579389 */   // Label 21855: @1579389
     /* 1579389 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1579471), // Rule ID 4165 //
     /* 1579394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1579411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579425 */     // MIs[0] passthru
     /* 1579425 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579438 */     // MIs[0] policy
     /* 1579438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1579451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579470 */     // GIR_Coverage, 4165,
     /* 1579470 */     GIR_EraseRootFromParent_Done,
     /* 1579471 */   // Label 21856: @1579471
     /* 1579471 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1579553), // Rule ID 4174 //
     /* 1579476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579507 */     // MIs[0] passthru
     /* 1579507 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579520 */     // MIs[0] policy
     /* 1579520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1579533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579552 */     // GIR_Coverage, 4174,
     /* 1579552 */     GIR_EraseRootFromParent_Done,
     /* 1579553 */   // Label 21857: @1579553
     /* 1579553 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1579635), // Rule ID 4175 //
     /* 1579558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579589 */     // MIs[0] passthru
     /* 1579589 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579602 */     // MIs[0] policy
     /* 1579602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1579615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579634 */     // GIR_Coverage, 4175,
     /* 1579634 */     GIR_EraseRootFromParent_Done,
     /* 1579635 */   // Label 21858: @1579635
     /* 1579635 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1579717), // Rule ID 4184 //
     /* 1579640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579671 */     // MIs[0] passthru
     /* 1579671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579684 */     // MIs[0] policy
     /* 1579684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1579697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579716 */     // GIR_Coverage, 4184,
     /* 1579716 */     GIR_EraseRootFromParent_Done,
     /* 1579717 */   // Label 21859: @1579717
     /* 1579717 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1579799), // Rule ID 4185 //
     /* 1579722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579753 */     // MIs[0] passthru
     /* 1579753 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579766 */     // MIs[0] policy
     /* 1579766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1579779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579798 */     // GIR_Coverage, 4185,
     /* 1579798 */     GIR_EraseRootFromParent_Done,
     /* 1579799 */   // Label 21860: @1579799
     /* 1579799 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1579881), // Rule ID 4194 //
     /* 1579804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579835 */     // MIs[0] passthru
     /* 1579835 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579848 */     // MIs[0] policy
     /* 1579848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1579861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579880 */     // GIR_Coverage, 4194,
     /* 1579880 */     GIR_EraseRootFromParent_Done,
     /* 1579881 */   // Label 21861: @1579881
     /* 1579881 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1579963), // Rule ID 4195 //
     /* 1579886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579917 */     // MIs[0] passthru
     /* 1579917 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579930 */     // MIs[0] policy
     /* 1579930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1579943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579962 */     // GIR_Coverage, 4195,
     /* 1579962 */     GIR_EraseRootFromParent_Done,
     /* 1579963 */   // Label 21862: @1579963
     /* 1579963 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1580045), // Rule ID 4204 //
     /* 1579968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1579976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1579985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579999 */     // MIs[0] passthru
     /* 1579999 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580012 */     // MIs[0] policy
     /* 1580012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1580025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580044 */     // GIR_Coverage, 4204,
     /* 1580044 */     GIR_EraseRootFromParent_Done,
     /* 1580045 */   // Label 21863: @1580045
     /* 1580045 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1580127), // Rule ID 4205 //
     /* 1580050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580081 */     // MIs[0] passthru
     /* 1580081 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580094 */     // MIs[0] policy
     /* 1580094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580104 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1580107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580126 */     // GIR_Coverage, 4205,
     /* 1580126 */     GIR_EraseRootFromParent_Done,
     /* 1580127 */   // Label 21864: @1580127
     /* 1580127 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1580209), // Rule ID 4214 //
     /* 1580132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580163 */     // MIs[0] passthru
     /* 1580163 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580176 */     // MIs[0] policy
     /* 1580176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1580189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580208 */     // GIR_Coverage, 4214,
     /* 1580208 */     GIR_EraseRootFromParent_Done,
     /* 1580209 */   // Label 21865: @1580209
     /* 1580209 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1580291), // Rule ID 4215 //
     /* 1580214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580245 */     // MIs[0] passthru
     /* 1580245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580258 */     // MIs[0] policy
     /* 1580258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1580271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580290 */     // GIR_Coverage, 4215,
     /* 1580290 */     GIR_EraseRootFromParent_Done,
     /* 1580291 */   // Label 21866: @1580291
     /* 1580291 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1580373), // Rule ID 4224 //
     /* 1580296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580327 */     // MIs[0] passthru
     /* 1580327 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580340 */     // MIs[0] policy
     /* 1580340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1580353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580372 */     // GIR_Coverage, 4224,
     /* 1580372 */     GIR_EraseRootFromParent_Done,
     /* 1580373 */   // Label 21867: @1580373
     /* 1580373 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1580455), // Rule ID 4225 //
     /* 1580378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580409 */     // MIs[0] passthru
     /* 1580409 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580422 */     // MIs[0] policy
     /* 1580422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1580435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580454 */     // GIR_Coverage, 4225,
     /* 1580454 */     GIR_EraseRootFromParent_Done,
     /* 1580455 */   // Label 21868: @1580455
     /* 1580455 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1580537), // Rule ID 4234 //
     /* 1580460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580491 */     // MIs[0] passthru
     /* 1580491 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580504 */     // MIs[0] policy
     /* 1580504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1580517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580536 */     // GIR_Coverage, 4234,
     /* 1580536 */     GIR_EraseRootFromParent_Done,
     /* 1580537 */   // Label 21869: @1580537
     /* 1580537 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1580619), // Rule ID 4235 //
     /* 1580542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1580559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580573 */     // MIs[0] passthru
     /* 1580573 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580586 */     // MIs[0] policy
     /* 1580586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1580599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580618 */     // GIR_Coverage, 4235,
     /* 1580618 */     GIR_EraseRootFromParent_Done,
     /* 1580619 */   // Label 21870: @1580619
     /* 1580619 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1580701), // Rule ID 4244 //
     /* 1580624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580655 */     // MIs[0] passthru
     /* 1580655 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580668 */     // MIs[0] policy
     /* 1580668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1580681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580700 */     // GIR_Coverage, 4244,
     /* 1580700 */     GIR_EraseRootFromParent_Done,
     /* 1580701 */   // Label 21871: @1580701
     /* 1580701 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1580783), // Rule ID 4245 //
     /* 1580706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580737 */     // MIs[0] passthru
     /* 1580737 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580750 */     // MIs[0] policy
     /* 1580750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580760 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1580763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580782 */     // GIR_Coverage, 4245,
     /* 1580782 */     GIR_EraseRootFromParent_Done,
     /* 1580783 */   // Label 21872: @1580783
     /* 1580783 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1580865), // Rule ID 4254 //
     /* 1580788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1580805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580819 */     // MIs[0] passthru
     /* 1580819 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580832 */     // MIs[0] policy
     /* 1580832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1580845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580864 */     // GIR_Coverage, 4254,
     /* 1580864 */     GIR_EraseRootFromParent_Done,
     /* 1580865 */   // Label 21873: @1580865
     /* 1580865 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1580947), // Rule ID 4255 //
     /* 1580870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1580887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580901 */     // MIs[0] passthru
     /* 1580901 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580914 */     // MIs[0] policy
     /* 1580914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1580927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580946 */     // GIR_Coverage, 4255,
     /* 1580946 */     GIR_EraseRootFromParent_Done,
     /* 1580947 */   // Label 21874: @1580947
     /* 1580947 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1581029), // Rule ID 4264 //
     /* 1580952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1580960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1580963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1580966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1580969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580983 */     // MIs[0] passthru
     /* 1580983 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580996 */     // MIs[0] policy
     /* 1580996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1581009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581028 */     // GIR_Coverage, 4264,
     /* 1581028 */     GIR_EraseRootFromParent_Done,
     /* 1581029 */   // Label 21875: @1581029
     /* 1581029 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1581111), // Rule ID 4265 //
     /* 1581034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581065 */     // MIs[0] passthru
     /* 1581065 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581078 */     // MIs[0] policy
     /* 1581078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1581091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581110 */     // GIR_Coverage, 4265,
     /* 1581110 */     GIR_EraseRootFromParent_Done,
     /* 1581111 */   // Label 21876: @1581111
     /* 1581111 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1581193), // Rule ID 4274 //
     /* 1581116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581147 */     // MIs[0] passthru
     /* 1581147 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581160 */     // MIs[0] policy
     /* 1581160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1581173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581192 */     // GIR_Coverage, 4274,
     /* 1581192 */     GIR_EraseRootFromParent_Done,
     /* 1581193 */   // Label 21877: @1581193
     /* 1581193 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1581275), // Rule ID 4275 //
     /* 1581198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581229 */     // MIs[0] passthru
     /* 1581229 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581242 */     // MIs[0] policy
     /* 1581242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1581255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581274 */     // GIR_Coverage, 4275,
     /* 1581274 */     GIR_EraseRootFromParent_Done,
     /* 1581275 */   // Label 21878: @1581275
     /* 1581275 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1581357), // Rule ID 4284 //
     /* 1581280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581311 */     // MIs[0] passthru
     /* 1581311 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581324 */     // MIs[0] policy
     /* 1581324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1581337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581356 */     // GIR_Coverage, 4284,
     /* 1581356 */     GIR_EraseRootFromParent_Done,
     /* 1581357 */   // Label 21879: @1581357
     /* 1581357 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1581439), // Rule ID 4285 //
     /* 1581362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581393 */     // MIs[0] passthru
     /* 1581393 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581406 */     // MIs[0] policy
     /* 1581406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1581419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581438 */     // GIR_Coverage, 4285,
     /* 1581438 */     GIR_EraseRootFromParent_Done,
     /* 1581439 */   // Label 21880: @1581439
     /* 1581439 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1581521), // Rule ID 4294 //
     /* 1581444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581475 */     // MIs[0] passthru
     /* 1581475 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581488 */     // MIs[0] policy
     /* 1581488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581498 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1581501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581520 */     // GIR_Coverage, 4294,
     /* 1581520 */     GIR_EraseRootFromParent_Done,
     /* 1581521 */   // Label 21881: @1581521
     /* 1581521 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1581603), // Rule ID 4295 //
     /* 1581526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581557 */     // MIs[0] passthru
     /* 1581557 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581570 */     // MIs[0] policy
     /* 1581570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581580 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1581583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581602 */     // GIR_Coverage, 4295,
     /* 1581602 */     GIR_EraseRootFromParent_Done,
     /* 1581603 */   // Label 21882: @1581603
     /* 1581603 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1581685), // Rule ID 4304 //
     /* 1581608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1581611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581639 */     // MIs[0] passthru
     /* 1581639 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581652 */     // MIs[0] policy
     /* 1581652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1581665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581684 */     // GIR_Coverage, 4304,
     /* 1581684 */     GIR_EraseRootFromParent_Done,
     /* 1581685 */   // Label 21883: @1581685
     /* 1581685 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1581767), // Rule ID 4305 //
     /* 1581690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1581693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1581698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581721 */     // MIs[0] passthru
     /* 1581721 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581734 */     // MIs[0] policy
     /* 1581734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1581747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581766 */     // GIR_Coverage, 4305,
     /* 1581766 */     GIR_EraseRootFromParent_Done,
     /* 1581767 */   // Label 21884: @1581767
     /* 1581767 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1581849), // Rule ID 4374 //
     /* 1581772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1581780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581803 */     // MIs[0] passthru
     /* 1581803 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581816 */     // MIs[0] policy
     /* 1581816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1581829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581848 */     // GIR_Coverage, 4374,
     /* 1581848 */     GIR_EraseRootFromParent_Done,
     /* 1581849 */   // Label 21885: @1581849
     /* 1581849 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1581931), // Rule ID 4375 //
     /* 1581854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1581862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581885 */     // MIs[0] passthru
     /* 1581885 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581898 */     // MIs[0] policy
     /* 1581898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1581911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581930 */     // GIR_Coverage, 4375,
     /* 1581930 */     GIR_EraseRootFromParent_Done,
     /* 1581931 */   // Label 21886: @1581931
     /* 1581931 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1582013), // Rule ID 4384 //
     /* 1581936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1581944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1581947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1581950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1581953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581967 */     // MIs[0] passthru
     /* 1581967 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1581972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581980 */     // MIs[0] policy
     /* 1581980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1581993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582012 */     // GIR_Coverage, 4384,
     /* 1582012 */     GIR_EraseRootFromParent_Done,
     /* 1582013 */   // Label 21887: @1582013
     /* 1582013 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1582095), // Rule ID 4385 //
     /* 1582018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1582035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582049 */     // MIs[0] passthru
     /* 1582049 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582062 */     // MIs[0] policy
     /* 1582062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1582075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582094 */     // GIR_Coverage, 4385,
     /* 1582094 */     GIR_EraseRootFromParent_Done,
     /* 1582095 */   // Label 21888: @1582095
     /* 1582095 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1582177), // Rule ID 4394 //
     /* 1582100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1582117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582131 */     // MIs[0] passthru
     /* 1582131 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582144 */     // MIs[0] policy
     /* 1582144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582154 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1582157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582176 */     // GIR_Coverage, 4394,
     /* 1582176 */     GIR_EraseRootFromParent_Done,
     /* 1582177 */   // Label 21889: @1582177
     /* 1582177 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1582259), // Rule ID 4395 //
     /* 1582182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1582199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582213 */     // MIs[0] passthru
     /* 1582213 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582226 */     // MIs[0] policy
     /* 1582226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1582239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582258 */     // GIR_Coverage, 4395,
     /* 1582258 */     GIR_EraseRootFromParent_Done,
     /* 1582259 */   // Label 21890: @1582259
     /* 1582259 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1582341), // Rule ID 4404 //
     /* 1582264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1582281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582295 */     // MIs[0] passthru
     /* 1582295 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582308 */     // MIs[0] policy
     /* 1582308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1582321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582340 */     // GIR_Coverage, 4404,
     /* 1582340 */     GIR_EraseRootFromParent_Done,
     /* 1582341 */   // Label 21891: @1582341
     /* 1582341 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1582423), // Rule ID 4405 //
     /* 1582346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1582363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582377 */     // MIs[0] passthru
     /* 1582377 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582390 */     // MIs[0] policy
     /* 1582390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582400 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1582403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582422 */     // GIR_Coverage, 4405,
     /* 1582422 */     GIR_EraseRootFromParent_Done,
     /* 1582423 */   // Label 21892: @1582423
     /* 1582423 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1582505), // Rule ID 4414 //
     /* 1582428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582459 */     // MIs[0] passthru
     /* 1582459 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582472 */     // MIs[0] policy
     /* 1582472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582482 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1582485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582504 */     // GIR_Coverage, 4414,
     /* 1582504 */     GIR_EraseRootFromParent_Done,
     /* 1582505 */   // Label 21893: @1582505
     /* 1582505 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1582587), // Rule ID 4415 //
     /* 1582510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582541 */     // MIs[0] passthru
     /* 1582541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582554 */     // MIs[0] policy
     /* 1582554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1582567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582586 */     // GIR_Coverage, 4415,
     /* 1582586 */     GIR_EraseRootFromParent_Done,
     /* 1582587 */   // Label 21894: @1582587
     /* 1582587 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1582669), // Rule ID 4424 //
     /* 1582592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1582603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1582606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582623 */     // MIs[0] passthru
     /* 1582623 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582636 */     // MIs[0] policy
     /* 1582636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1582649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582668 */     // GIR_Coverage, 4424,
     /* 1582668 */     GIR_EraseRootFromParent_Done,
     /* 1582669 */   // Label 21895: @1582669
     /* 1582669 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1582751), // Rule ID 4425 //
     /* 1582674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1582685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1582688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582705 */     // MIs[0] passthru
     /* 1582705 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582718 */     // MIs[0] policy
     /* 1582718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1582731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582750 */     // GIR_Coverage, 4425,
     /* 1582750 */     GIR_EraseRootFromParent_Done,
     /* 1582751 */   // Label 21896: @1582751
     /* 1582751 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1582833), // Rule ID 4434 //
     /* 1582756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1582773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582787 */     // MIs[0] passthru
     /* 1582787 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582800 */     // MIs[0] policy
     /* 1582800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1582813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582832 */     // GIR_Coverage, 4434,
     /* 1582832 */     GIR_EraseRootFromParent_Done,
     /* 1582833 */   // Label 21897: @1582833
     /* 1582833 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1582915), // Rule ID 4435 //
     /* 1582838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1582855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582869 */     // MIs[0] passthru
     /* 1582869 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582882 */     // MIs[0] policy
     /* 1582882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1582895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582914 */     // GIR_Coverage, 4435,
     /* 1582914 */     GIR_EraseRootFromParent_Done,
     /* 1582915 */   // Label 21898: @1582915
     /* 1582915 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1582997), // Rule ID 4444 //
     /* 1582920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1582928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1582931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1582934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1582937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582951 */     // MIs[0] passthru
     /* 1582951 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1582956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582964 */     // MIs[0] policy
     /* 1582964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1582977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582996 */     // GIR_Coverage, 4444,
     /* 1582996 */     GIR_EraseRootFromParent_Done,
     /* 1582997 */   // Label 21899: @1582997
     /* 1582997 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1583079), // Rule ID 4445 //
     /* 1583002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1583013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1583016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1583019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583033 */     // MIs[0] passthru
     /* 1583033 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583046 */     // MIs[0] policy
     /* 1583046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1583059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583078 */     // GIR_Coverage, 4445,
     /* 1583078 */     GIR_EraseRootFromParent_Done,
     /* 1583079 */   // Label 21900: @1583079
     /* 1583079 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1583161), // Rule ID 4454 //
     /* 1583084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583115 */     // MIs[0] passthru
     /* 1583115 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583128 */     // MIs[0] policy
     /* 1583128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1583141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583160 */     // GIR_Coverage, 4454,
     /* 1583160 */     GIR_EraseRootFromParent_Done,
     /* 1583161 */   // Label 21901: @1583161
     /* 1583161 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1583243), // Rule ID 4455 //
     /* 1583166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1583183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583197 */     // MIs[0] passthru
     /* 1583197 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583210 */     // MIs[0] policy
     /* 1583210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1583223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583242 */     // GIR_Coverage, 4455,
     /* 1583242 */     GIR_EraseRootFromParent_Done,
     /* 1583243 */   // Label 21902: @1583243
     /* 1583243 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1583325), // Rule ID 4464 //
     /* 1583248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1583265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583279 */     // MIs[0] passthru
     /* 1583279 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583292 */     // MIs[0] policy
     /* 1583292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1583305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583324 */     // GIR_Coverage, 4464,
     /* 1583324 */     GIR_EraseRootFromParent_Done,
     /* 1583325 */   // Label 21903: @1583325
     /* 1583325 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1583407), // Rule ID 4465 //
     /* 1583330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1583347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583361 */     // MIs[0] passthru
     /* 1583361 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583374 */     // MIs[0] policy
     /* 1583374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1583387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583406 */     // GIR_Coverage, 4465,
     /* 1583406 */     GIR_EraseRootFromParent_Done,
     /* 1583407 */   // Label 21904: @1583407
     /* 1583407 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1583489), // Rule ID 4474 //
     /* 1583412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583443 */     // MIs[0] passthru
     /* 1583443 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583456 */     // MIs[0] policy
     /* 1583456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1583469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583488 */     // GIR_Coverage, 4474,
     /* 1583488 */     GIR_EraseRootFromParent_Done,
     /* 1583489 */   // Label 21905: @1583489
     /* 1583489 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1583571), // Rule ID 4475 //
     /* 1583494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583525 */     // MIs[0] passthru
     /* 1583525 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583538 */     // MIs[0] policy
     /* 1583538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1583551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583570 */     // GIR_Coverage, 4475,
     /* 1583570 */     GIR_EraseRootFromParent_Done,
     /* 1583571 */   // Label 21906: @1583571
     /* 1583571 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1583653), // Rule ID 4484 //
     /* 1583576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583607 */     // MIs[0] passthru
     /* 1583607 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583620 */     // MIs[0] policy
     /* 1583620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1583633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583652 */     // GIR_Coverage, 4484,
     /* 1583652 */     GIR_EraseRootFromParent_Done,
     /* 1583653 */   // Label 21907: @1583653
     /* 1583653 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1583735), // Rule ID 4485 //
     /* 1583658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1583675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583689 */     // MIs[0] passthru
     /* 1583689 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583702 */     // MIs[0] policy
     /* 1583702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1583715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583734 */     // GIR_Coverage, 4485,
     /* 1583734 */     GIR_EraseRootFromParent_Done,
     /* 1583735 */   // Label 21908: @1583735
     /* 1583735 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1583817), // Rule ID 4494 //
     /* 1583740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1583757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583771 */     // MIs[0] passthru
     /* 1583771 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583784 */     // MIs[0] policy
     /* 1583784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1583797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583816 */     // GIR_Coverage, 4494,
     /* 1583816 */     GIR_EraseRootFromParent_Done,
     /* 1583817 */   // Label 21909: @1583817
     /* 1583817 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1583899), // Rule ID 4495 //
     /* 1583822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1583839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583853 */     // MIs[0] passthru
     /* 1583853 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583866 */     // MIs[0] policy
     /* 1583866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1583879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583898 */     // GIR_Coverage, 4495,
     /* 1583898 */     GIR_EraseRootFromParent_Done,
     /* 1583899 */   // Label 21910: @1583899
     /* 1583899 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1583981), // Rule ID 4504 //
     /* 1583904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1583907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1583915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1583918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1583921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583935 */     // MIs[0] passthru
     /* 1583935 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583948 */     // MIs[0] policy
     /* 1583948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1583961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583980 */     // GIR_Coverage, 4504,
     /* 1583980 */     GIR_EraseRootFromParent_Done,
     /* 1583981 */   // Label 21911: @1583981
     /* 1583981 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1584063), // Rule ID 4505 //
     /* 1583986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1583989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1583994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1583997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1584000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1584003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584017 */     // MIs[0] passthru
     /* 1584017 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584030 */     // MIs[0] policy
     /* 1584030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1584043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584062 */     // GIR_Coverage, 4505,
     /* 1584062 */     GIR_EraseRootFromParent_Done,
     /* 1584063 */   // Label 21912: @1584063
     /* 1584063 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1584145), // Rule ID 4514 //
     /* 1584068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1584071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1584079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1584082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1584085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584099 */     // MIs[0] passthru
     /* 1584099 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584112 */     // MIs[0] policy
     /* 1584112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1584125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584144 */     // GIR_Coverage, 4514,
     /* 1584144 */     GIR_EraseRootFromParent_Done,
     /* 1584145 */   // Label 21913: @1584145
     /* 1584145 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1584227), // Rule ID 4515 //
     /* 1584150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1584153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1584158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1584161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1584164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1584167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584181 */     // MIs[0] passthru
     /* 1584181 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584194 */     // MIs[0] policy
     /* 1584194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1584207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584226 */     // GIR_Coverage, 4515,
     /* 1584226 */     GIR_EraseRootFromParent_Done,
     /* 1584227 */   // Label 21914: @1584227
     /* 1584227 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1584309), // Rule ID 4584 //
     /* 1584232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1584243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1584246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1584249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584263 */     // MIs[0] passthru
     /* 1584263 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584276 */     // MIs[0] policy
     /* 1584276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1584289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584308 */     // GIR_Coverage, 4584,
     /* 1584308 */     GIR_EraseRootFromParent_Done,
     /* 1584309 */   // Label 21915: @1584309
     /* 1584309 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1584391), // Rule ID 4585 //
     /* 1584314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1584325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1584328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1584331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584345 */     // MIs[0] passthru
     /* 1584345 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584358 */     // MIs[0] policy
     /* 1584358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1584371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584390 */     // GIR_Coverage, 4585,
     /* 1584390 */     GIR_EraseRootFromParent_Done,
     /* 1584391 */   // Label 21916: @1584391
     /* 1584391 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1584473), // Rule ID 4594 //
     /* 1584396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1584413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584427 */     // MIs[0] passthru
     /* 1584427 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584440 */     // MIs[0] policy
     /* 1584440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1584453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584472 */     // GIR_Coverage, 4594,
     /* 1584472 */     GIR_EraseRootFromParent_Done,
     /* 1584473 */   // Label 21917: @1584473
     /* 1584473 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1584555), // Rule ID 4595 //
     /* 1584478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1584495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584509 */     // MIs[0] passthru
     /* 1584509 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584522 */     // MIs[0] policy
     /* 1584522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1584535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584554 */     // GIR_Coverage, 4595,
     /* 1584554 */     GIR_EraseRootFromParent_Done,
     /* 1584555 */   // Label 21918: @1584555
     /* 1584555 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1584637), // Rule ID 4604 //
     /* 1584560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1584577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584591 */     // MIs[0] passthru
     /* 1584591 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584604 */     // MIs[0] policy
     /* 1584604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1584617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584636 */     // GIR_Coverage, 4604,
     /* 1584636 */     GIR_EraseRootFromParent_Done,
     /* 1584637 */   // Label 21919: @1584637
     /* 1584637 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1584719), // Rule ID 4605 //
     /* 1584642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1584659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584673 */     // MIs[0] passthru
     /* 1584673 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584686 */     // MIs[0] policy
     /* 1584686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1584699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584718 */     // GIR_Coverage, 4605,
     /* 1584718 */     GIR_EraseRootFromParent_Done,
     /* 1584719 */   // Label 21920: @1584719
     /* 1584719 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1584801), // Rule ID 4614 //
     /* 1584724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584755 */     // MIs[0] passthru
     /* 1584755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584768 */     // MIs[0] policy
     /* 1584768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1584781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584800 */     // GIR_Coverage, 4614,
     /* 1584800 */     GIR_EraseRootFromParent_Done,
     /* 1584801 */   // Label 21921: @1584801
     /* 1584801 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1584883), // Rule ID 4615 //
     /* 1584806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584837 */     // MIs[0] passthru
     /* 1584837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584850 */     // MIs[0] policy
     /* 1584850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1584863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584882 */     // GIR_Coverage, 4615,
     /* 1584882 */     GIR_EraseRootFromParent_Done,
     /* 1584883 */   // Label 21922: @1584883
     /* 1584883 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1584965), // Rule ID 4624 //
     /* 1584888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584919 */     // MIs[0] passthru
     /* 1584919 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584932 */     // MIs[0] policy
     /* 1584932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584942 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1584945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584964 */     // GIR_Coverage, 4624,
     /* 1584964 */     GIR_EraseRootFromParent_Done,
     /* 1584965 */   // Label 21923: @1584965
     /* 1584965 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1585047), // Rule ID 4625 //
     /* 1584970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1584978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585001 */     // MIs[0] passthru
     /* 1585001 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585014 */     // MIs[0] policy
     /* 1585014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1585027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585046 */     // GIR_Coverage, 4625,
     /* 1585046 */     GIR_EraseRootFromParent_Done,
     /* 1585047 */   // Label 21924: @1585047
     /* 1585047 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1585129), // Rule ID 4634 //
     /* 1585052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1585069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585083 */     // MIs[0] passthru
     /* 1585083 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585096 */     // MIs[0] policy
     /* 1585096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1585109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585128 */     // GIR_Coverage, 4634,
     /* 1585128 */     GIR_EraseRootFromParent_Done,
     /* 1585129 */   // Label 21925: @1585129
     /* 1585129 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1585211), // Rule ID 4635 //
     /* 1585134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1585151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585165 */     // MIs[0] passthru
     /* 1585165 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585178 */     // MIs[0] policy
     /* 1585178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1585191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585210 */     // GIR_Coverage, 4635,
     /* 1585210 */     GIR_EraseRootFromParent_Done,
     /* 1585211 */   // Label 21926: @1585211
     /* 1585211 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1585293), // Rule ID 4644 //
     /* 1585216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1585227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1585230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1585233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585247 */     // MIs[0] passthru
     /* 1585247 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585260 */     // MIs[0] policy
     /* 1585260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1585273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585292 */     // GIR_Coverage, 4644,
     /* 1585292 */     GIR_EraseRootFromParent_Done,
     /* 1585293 */   // Label 21927: @1585293
     /* 1585293 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1585375), // Rule ID 4645 //
     /* 1585298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1585309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1585312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1585315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585329 */     // MIs[0] passthru
     /* 1585329 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585342 */     // MIs[0] policy
     /* 1585342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1585355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585374 */     // GIR_Coverage, 4645,
     /* 1585374 */     GIR_EraseRootFromParent_Done,
     /* 1585375 */   // Label 21928: @1585375
     /* 1585375 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1585457), // Rule ID 4654 //
     /* 1585380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585411 */     // MIs[0] passthru
     /* 1585411 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585424 */     // MIs[0] policy
     /* 1585424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1585437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585456 */     // GIR_Coverage, 4654,
     /* 1585456 */     GIR_EraseRootFromParent_Done,
     /* 1585457 */   // Label 21929: @1585457
     /* 1585457 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1585539), // Rule ID 4655 //
     /* 1585462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585493 */     // MIs[0] passthru
     /* 1585493 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585506 */     // MIs[0] policy
     /* 1585506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1585519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585538 */     // GIR_Coverage, 4655,
     /* 1585538 */     GIR_EraseRootFromParent_Done,
     /* 1585539 */   // Label 21930: @1585539
     /* 1585539 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1585621), // Rule ID 4664 //
     /* 1585544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1585561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585575 */     // MIs[0] passthru
     /* 1585575 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585588 */     // MIs[0] policy
     /* 1585588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1585601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585620 */     // GIR_Coverage, 4664,
     /* 1585620 */     GIR_EraseRootFromParent_Done,
     /* 1585621 */   // Label 21931: @1585621
     /* 1585621 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1585703), // Rule ID 4665 //
     /* 1585626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1585643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585657 */     // MIs[0] passthru
     /* 1585657 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585670 */     // MIs[0] policy
     /* 1585670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1585683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585702 */     // GIR_Coverage, 4665,
     /* 1585702 */     GIR_EraseRootFromParent_Done,
     /* 1585703 */   // Label 21932: @1585703
     /* 1585703 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1585785), // Rule ID 4674 //
     /* 1585708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585739 */     // MIs[0] passthru
     /* 1585739 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585752 */     // MIs[0] policy
     /* 1585752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1585765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585784 */     // GIR_Coverage, 4674,
     /* 1585784 */     GIR_EraseRootFromParent_Done,
     /* 1585785 */   // Label 21933: @1585785
     /* 1585785 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1585867), // Rule ID 4675 //
     /* 1585790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585821 */     // MIs[0] passthru
     /* 1585821 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585834 */     // MIs[0] policy
     /* 1585834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1585847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585866 */     // GIR_Coverage, 4675,
     /* 1585866 */     GIR_EraseRootFromParent_Done,
     /* 1585867 */   // Label 21934: @1585867
     /* 1585867 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1585949), // Rule ID 4684 //
     /* 1585872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585903 */     // MIs[0] passthru
     /* 1585903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585916 */     // MIs[0] policy
     /* 1585916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1585929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585948 */     // GIR_Coverage, 4684,
     /* 1585948 */     GIR_EraseRootFromParent_Done,
     /* 1585949 */   // Label 21935: @1585949
     /* 1585949 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1586031), // Rule ID 4685 //
     /* 1585954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1585962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585985 */     // MIs[0] passthru
     /* 1585985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585998 */     // MIs[0] policy
     /* 1585998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1586011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586030 */     // GIR_Coverage, 4685,
     /* 1586030 */     GIR_EraseRootFromParent_Done,
     /* 1586031 */   // Label 21936: @1586031
     /* 1586031 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1586113), // Rule ID 4694 //
     /* 1586036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1586047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1586050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1586053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586067 */     // MIs[0] passthru
     /* 1586067 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586080 */     // MIs[0] policy
     /* 1586080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1586093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586112 */     // GIR_Coverage, 4694,
     /* 1586112 */     GIR_EraseRootFromParent_Done,
     /* 1586113 */   // Label 21937: @1586113
     /* 1586113 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1586195), // Rule ID 4695 //
     /* 1586118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1586129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1586132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1586135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586149 */     // MIs[0] passthru
     /* 1586149 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586162 */     // MIs[0] policy
     /* 1586162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1586175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586194 */     // GIR_Coverage, 4695,
     /* 1586194 */     GIR_EraseRootFromParent_Done,
     /* 1586195 */   // Label 21938: @1586195
     /* 1586195 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1586277), // Rule ID 4704 //
     /* 1586200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1586217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586231 */     // MIs[0] passthru
     /* 1586231 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586244 */     // MIs[0] policy
     /* 1586244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1586257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586276 */     // GIR_Coverage, 4704,
     /* 1586276 */     GIR_EraseRootFromParent_Done,
     /* 1586277 */   // Label 21939: @1586277
     /* 1586277 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1586359), // Rule ID 4705 //
     /* 1586282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1586293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1586296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1586299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586313 */     // MIs[0] passthru
     /* 1586313 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586326 */     // MIs[0] policy
     /* 1586326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1586339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586358 */     // GIR_Coverage, 4705,
     /* 1586358 */     GIR_EraseRootFromParent_Done,
     /* 1586359 */   // Label 21940: @1586359
     /* 1586359 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1586441), // Rule ID 4714 //
     /* 1586364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1586381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586395 */     // MIs[0] passthru
     /* 1586395 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586408 */     // MIs[0] policy
     /* 1586408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1586421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586440 */     // GIR_Coverage, 4714,
     /* 1586440 */     GIR_EraseRootFromParent_Done,
     /* 1586441 */   // Label 21941: @1586441
     /* 1586441 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1586523), // Rule ID 4715 //
     /* 1586446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1586463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586477 */     // MIs[0] passthru
     /* 1586477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586490 */     // MIs[0] policy
     /* 1586490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1586503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586522 */     // GIR_Coverage, 4715,
     /* 1586522 */     GIR_EraseRootFromParent_Done,
     /* 1586523 */   // Label 21942: @1586523
     /* 1586523 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1586605), // Rule ID 4724 //
     /* 1586528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1586531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586559 */     // MIs[0] passthru
     /* 1586559 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586572 */     // MIs[0] policy
     /* 1586572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1586585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586604 */     // GIR_Coverage, 4724,
     /* 1586604 */     GIR_EraseRootFromParent_Done,
     /* 1586605 */   // Label 21943: @1586605
     /* 1586605 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1586687), // Rule ID 4725 //
     /* 1586610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1586613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1586618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586641 */     // MIs[0] passthru
     /* 1586641 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586654 */     // MIs[0] policy
     /* 1586654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586664 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1586667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586686 */     // GIR_Coverage, 4725,
     /* 1586686 */     GIR_EraseRootFromParent_Done,
     /* 1586687 */   // Label 21944: @1586687
     /* 1586687 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1586773), // Rule ID 2612 //
     /* 1586692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1586703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1586706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1586709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586738 */     // MIs[0] policy
     /* 1586738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1586751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586772 */     // GIR_Coverage, 2612,
     /* 1586772 */     GIR_EraseRootFromParent_Done,
     /* 1586773 */   // Label 21945: @1586773
     /* 1586773 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1586859), // Rule ID 2613 //
     /* 1586778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1586789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1586792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1586795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586824 */     // MIs[0] policy
     /* 1586824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1586837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586858 */     // GIR_Coverage, 2613,
     /* 1586858 */     GIR_EraseRootFromParent_Done,
     /* 1586859 */   // Label 21946: @1586859
     /* 1586859 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1586945), // Rule ID 2650 //
     /* 1586864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1586872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586910 */     // MIs[0] policy
     /* 1586910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1586923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586944 */     // GIR_Coverage, 2650,
     /* 1586944 */     GIR_EraseRootFromParent_Done,
     /* 1586945 */   // Label 21947: @1586945
     /* 1586945 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1587031), // Rule ID 2651 //
     /* 1586950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1586958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586996 */     // MIs[0] policy
     /* 1586996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1587009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587030 */     // GIR_Coverage, 2651,
     /* 1587030 */     GIR_EraseRootFromParent_Done,
     /* 1587031 */   // Label 21948: @1587031
     /* 1587031 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1587117), // Rule ID 2664 //
     /* 1587036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1587044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1587047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1587050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1587053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1587056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587082 */     // MIs[0] policy
     /* 1587082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1587095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1587099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587116 */     // GIR_Coverage, 2664,
     /* 1587116 */     GIR_EraseRootFromParent_Done,
     /* 1587117 */   // Label 21949: @1587117
     /* 1587117 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1587203), // Rule ID 2665 //
     /* 1587122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1587130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1587133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1587136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1587139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1587142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587168 */     // MIs[0] policy
     /* 1587168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587178 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1587181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1587185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587202 */     // GIR_Coverage, 2665,
     /* 1587202 */     GIR_EraseRootFromParent_Done,
     /* 1587203 */   // Label 21950: @1587203
     /* 1587203 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1587289), // Rule ID 2684 //
     /* 1587208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1587219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1587222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1587225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1587228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587254 */     // MIs[0] policy
     /* 1587254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1587267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587288 */     // GIR_Coverage, 2684,
     /* 1587288 */     GIR_EraseRootFromParent_Done,
     /* 1587289 */   // Label 21951: @1587289
     /* 1587289 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1587375), // Rule ID 2685 //
     /* 1587294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1587305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1587308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1587311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1587314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587340 */     // MIs[0] policy
     /* 1587340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1587353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587374 */     // GIR_Coverage, 2685,
     /* 1587374 */     GIR_EraseRootFromParent_Done,
     /* 1587375 */   // Label 21952: @1587375
     /* 1587375 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1587461), // Rule ID 2692 //
     /* 1587380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1587391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1587394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1587397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1587400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587426 */     // MIs[0] policy
     /* 1587426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587436 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1587439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587460 */     // GIR_Coverage, 2692,
     /* 1587460 */     GIR_EraseRootFromParent_Done,
     /* 1587461 */   // Label 21953: @1587461
     /* 1587461 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1587547), // Rule ID 2693 //
     /* 1587466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1587477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1587480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1587483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1587486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587512 */     // MIs[0] policy
     /* 1587512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1587525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587546 */     // GIR_Coverage, 2693,
     /* 1587546 */     GIR_EraseRootFromParent_Done,
     /* 1587547 */   // Label 21954: @1587547
     /* 1587547 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1587633), // Rule ID 2700 //
     /* 1587552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1587563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1587566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1587569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587598 */     // MIs[0] policy
     /* 1587598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1587611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587632 */     // GIR_Coverage, 2700,
     /* 1587632 */     GIR_EraseRootFromParent_Done,
     /* 1587633 */   // Label 21955: @1587633
     /* 1587633 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1587719), // Rule ID 2701 //
     /* 1587638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1587649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1587652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1587655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1587658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587684 */     // MIs[0] policy
     /* 1587684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1587697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587718 */     // GIR_Coverage, 2701,
     /* 1587718 */     GIR_EraseRootFromParent_Done,
     /* 1587719 */   // Label 21956: @1587719
     /* 1587719 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1587805), // Rule ID 2708 //
     /* 1587724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1587735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1587738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1587741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587770 */     // MIs[0] policy
     /* 1587770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1587783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587804 */     // GIR_Coverage, 2708,
     /* 1587804 */     GIR_EraseRootFromParent_Done,
     /* 1587805 */   // Label 21957: @1587805
     /* 1587805 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1587891), // Rule ID 2709 //
     /* 1587810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1587821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1587824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1587827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587856 */     // MIs[0] policy
     /* 1587856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1587869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587890 */     // GIR_Coverage, 2709,
     /* 1587890 */     GIR_EraseRootFromParent_Done,
     /* 1587891 */   // Label 21958: @1587891
     /* 1587891 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1587977), // Rule ID 2716 //
     /* 1587896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587942 */     // MIs[0] policy
     /* 1587942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1587955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1587961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1587963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587976 */     // GIR_Coverage, 2716,
     /* 1587976 */     GIR_EraseRootFromParent_Done,
     /* 1587977 */   // Label 21959: @1587977
     /* 1587977 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1588063), // Rule ID 2717 //
     /* 1587982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1587990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1588002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588028 */     // MIs[0] policy
     /* 1588028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588062 */     // GIR_Coverage, 2717,
     /* 1588062 */     GIR_EraseRootFromParent_Done,
     /* 1588063 */   // Label 21960: @1588063
     /* 1588063 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1588149), // Rule ID 2724 //
     /* 1588068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1588079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1588082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1588085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588114 */     // MIs[0] policy
     /* 1588114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588148 */     // GIR_Coverage, 2724,
     /* 1588148 */     GIR_EraseRootFromParent_Done,
     /* 1588149 */   // Label 21961: @1588149
     /* 1588149 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1588235), // Rule ID 2725 //
     /* 1588154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1588165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1588168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1588171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588200 */     // MIs[0] policy
     /* 1588200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588234 */     // GIR_Coverage, 2725,
     /* 1588234 */     GIR_EraseRootFromParent_Done,
     /* 1588235 */   // Label 21962: @1588235
     /* 1588235 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1588321), // Rule ID 2732 //
     /* 1588240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1588251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1588254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1588257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1588260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588286 */     // MIs[0] policy
     /* 1588286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588320 */     // GIR_Coverage, 2732,
     /* 1588320 */     GIR_EraseRootFromParent_Done,
     /* 1588321 */   // Label 21963: @1588321
     /* 1588321 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1588407), // Rule ID 2733 //
     /* 1588326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1588337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1588340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1588343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1588346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588372 */     // MIs[0] policy
     /* 1588372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588406 */     // GIR_Coverage, 2733,
     /* 1588406 */     GIR_EraseRootFromParent_Done,
     /* 1588407 */   // Label 21964: @1588407
     /* 1588407 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1588493), // Rule ID 2740 //
     /* 1588412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1588423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1588426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1588429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1588432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588458 */     // MIs[0] policy
     /* 1588458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588492 */     // GIR_Coverage, 2740,
     /* 1588492 */     GIR_EraseRootFromParent_Done,
     /* 1588493 */   // Label 21965: @1588493
     /* 1588493 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1588579), // Rule ID 2741 //
     /* 1588498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1588509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1588512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1588515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1588518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588544 */     // MIs[0] policy
     /* 1588544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588578 */     // GIR_Coverage, 2741,
     /* 1588578 */     GIR_EraseRootFromParent_Done,
     /* 1588579 */   // Label 21966: @1588579
     /* 1588579 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1588665), // Rule ID 2748 //
     /* 1588584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1588595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1588598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1588601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588630 */     // MIs[0] policy
     /* 1588630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588664 */     // GIR_Coverage, 2748,
     /* 1588664 */     GIR_EraseRootFromParent_Done,
     /* 1588665 */   // Label 21967: @1588665
     /* 1588665 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1588751), // Rule ID 2749 //
     /* 1588670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1588681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1588684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1588687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588716 */     // MIs[0] policy
     /* 1588716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588750 */     // GIR_Coverage, 2749,
     /* 1588750 */     GIR_EraseRootFromParent_Done,
     /* 1588751 */   // Label 21968: @1588751
     /* 1588751 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1588837), // Rule ID 2756 //
     /* 1588756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1588759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588802 */     // MIs[0] policy
     /* 1588802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588836 */     // GIR_Coverage, 2756,
     /* 1588836 */     GIR_EraseRootFromParent_Done,
     /* 1588837 */   // Label 21969: @1588837
     /* 1588837 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1588923), // Rule ID 2757 //
     /* 1588842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588888 */     // MIs[0] policy
     /* 1588888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588922 */     // GIR_Coverage, 2757,
     /* 1588922 */     GIR_EraseRootFromParent_Done,
     /* 1588923 */   // Label 21970: @1588923
     /* 1588923 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1589009), // Rule ID 2764 //
     /* 1588928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1588936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588974 */     // MIs[0] policy
     /* 1588974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588984 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1588987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1588993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1588995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589008 */     // GIR_Coverage, 2764,
     /* 1589008 */     GIR_EraseRootFromParent_Done,
     /* 1589009 */   // Label 21971: @1589009
     /* 1589009 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1589095), // Rule ID 2765 //
     /* 1589014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1589025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1589028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1589031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1589034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589060 */     // MIs[0] policy
     /* 1589060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589070 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589094 */     // GIR_Coverage, 2765,
     /* 1589094 */     GIR_EraseRootFromParent_Done,
     /* 1589095 */   // Label 21972: @1589095
     /* 1589095 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1589181), // Rule ID 2772 //
     /* 1589100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1589111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1589114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1589117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1589120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589146 */     // MIs[0] policy
     /* 1589146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589156 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589180 */     // GIR_Coverage, 2772,
     /* 1589180 */     GIR_EraseRootFromParent_Done,
     /* 1589181 */   // Label 21973: @1589181
     /* 1589181 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1589267), // Rule ID 2773 //
     /* 1589186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1589197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1589200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1589203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1589206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589232 */     // MIs[0] policy
     /* 1589232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589242 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589266 */     // GIR_Coverage, 2773,
     /* 1589266 */     GIR_EraseRootFromParent_Done,
     /* 1589267 */   // Label 21974: @1589267
     /* 1589267 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1589353), // Rule ID 2780 //
     /* 1589272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1589283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1589286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1589289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1589292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1589295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589318 */     // MIs[0] policy
     /* 1589318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1589331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589352 */     // GIR_Coverage, 2780,
     /* 1589352 */     GIR_EraseRootFromParent_Done,
     /* 1589353 */   // Label 21975: @1589353
     /* 1589353 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1589439), // Rule ID 2781 //
     /* 1589358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1589369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1589372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1589375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1589378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1589381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589404 */     // MIs[0] policy
     /* 1589404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589414 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1589417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589438 */     // GIR_Coverage, 2781,
     /* 1589438 */     GIR_EraseRootFromParent_Done,
     /* 1589439 */   // Label 21976: @1589439
     /* 1589439 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1589525), // Rule ID 2788 //
     /* 1589444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1589455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1589458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1589461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1589464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589490 */     // MIs[0] policy
     /* 1589490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589524 */     // GIR_Coverage, 2788,
     /* 1589524 */     GIR_EraseRootFromParent_Done,
     /* 1589525 */   // Label 21977: @1589525
     /* 1589525 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1589611), // Rule ID 2789 //
     /* 1589530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1589541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1589544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1589547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1589550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589576 */     // MIs[0] policy
     /* 1589576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589610 */     // GIR_Coverage, 2789,
     /* 1589610 */     GIR_EraseRootFromParent_Done,
     /* 1589611 */   // Label 21978: @1589611
     /* 1589611 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1589697), // Rule ID 2796 //
     /* 1589616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589662 */     // MIs[0] policy
     /* 1589662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589696 */     // GIR_Coverage, 2796,
     /* 1589696 */     GIR_EraseRootFromParent_Done,
     /* 1589697 */   // Label 21979: @1589697
     /* 1589697 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1589783), // Rule ID 2797 //
     /* 1589702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589748 */     // MIs[0] policy
     /* 1589748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589782 */     // GIR_Coverage, 2797,
     /* 1589782 */     GIR_EraseRootFromParent_Done,
     /* 1589783 */   // Label 21980: @1589783
     /* 1589783 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1589869), // Rule ID 2804 //
     /* 1589788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589834 */     // MIs[0] policy
     /* 1589834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1589847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589868 */     // GIR_Coverage, 2804,
     /* 1589868 */     GIR_EraseRootFromParent_Done,
     /* 1589869 */   // Label 21981: @1589869
     /* 1589869 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1589955), // Rule ID 2805 //
     /* 1589874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589920 */     // MIs[0] policy
     /* 1589920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1589933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1589939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1589941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589954 */     // GIR_Coverage, 2805,
     /* 1589954 */     GIR_EraseRootFromParent_Done,
     /* 1589955 */   // Label 21982: @1589955
     /* 1589955 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1590041), // Rule ID 2812 //
     /* 1589960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1589968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590006 */     // MIs[0] policy
     /* 1590006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590040 */     // GIR_Coverage, 2812,
     /* 1590040 */     GIR_EraseRootFromParent_Done,
     /* 1590041 */   // Label 21983: @1590041
     /* 1590041 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1590127), // Rule ID 2813 //
     /* 1590046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1590057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1590060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1590063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1590066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590092 */     // MIs[0] policy
     /* 1590092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590126 */     // GIR_Coverage, 2813,
     /* 1590126 */     GIR_EraseRootFromParent_Done,
     /* 1590127 */   // Label 21984: @1590127
     /* 1590127 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1590213), // Rule ID 2820 //
     /* 1590132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1590143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1590146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1590149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1590152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590178 */     // MIs[0] policy
     /* 1590178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590212 */     // GIR_Coverage, 2820,
     /* 1590212 */     GIR_EraseRootFromParent_Done,
     /* 1590213 */   // Label 21985: @1590213
     /* 1590213 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1590299), // Rule ID 2821 //
     /* 1590218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1590229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1590232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1590235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1590238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590264 */     // MIs[0] policy
     /* 1590264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590298 */     // GIR_Coverage, 2821,
     /* 1590298 */     GIR_EraseRootFromParent_Done,
     /* 1590299 */   // Label 21986: @1590299
     /* 1590299 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1590385), // Rule ID 2828 //
     /* 1590304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1590315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1590318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1590321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1590324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590350 */     // MIs[0] policy
     /* 1590350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590384 */     // GIR_Coverage, 2828,
     /* 1590384 */     GIR_EraseRootFromParent_Done,
     /* 1590385 */   // Label 21987: @1590385
     /* 1590385 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1590471), // Rule ID 2829 //
     /* 1590390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1590401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1590404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1590407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1590410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590436 */     // MIs[0] policy
     /* 1590436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590470 */     // GIR_Coverage, 2829,
     /* 1590470 */     GIR_EraseRootFromParent_Done,
     /* 1590471 */   // Label 21988: @1590471
     /* 1590471 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1590557), // Rule ID 2836 //
     /* 1590476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1590493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1590496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590522 */     // MIs[0] policy
     /* 1590522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590532 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590556 */     // GIR_Coverage, 2836,
     /* 1590556 */     GIR_EraseRootFromParent_Done,
     /* 1590557 */   // Label 21989: @1590557
     /* 1590557 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1590643), // Rule ID 2837 //
     /* 1590562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1590579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1590582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590608 */     // MIs[0] policy
     /* 1590608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590642 */     // GIR_Coverage, 2837,
     /* 1590642 */     GIR_EraseRootFromParent_Done,
     /* 1590643 */   // Label 21990: @1590643
     /* 1590643 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1590729), // Rule ID 2844 //
     /* 1590648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590694 */     // MIs[0] policy
     /* 1590694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590728 */     // GIR_Coverage, 2844,
     /* 1590728 */     GIR_EraseRootFromParent_Done,
     /* 1590729 */   // Label 21991: @1590729
     /* 1590729 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1590815), // Rule ID 2845 //
     /* 1590734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590780 */     // MIs[0] policy
     /* 1590780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590790 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590814 */     // GIR_Coverage, 2845,
     /* 1590814 */     GIR_EraseRootFromParent_Done,
     /* 1590815 */   // Label 21992: @1590815
     /* 1590815 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1590901), // Rule ID 2852 //
     /* 1590820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590866 */     // MIs[0] policy
     /* 1590866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590900 */     // GIR_Coverage, 2852,
     /* 1590900 */     GIR_EraseRootFromParent_Done,
     /* 1590901 */   // Label 21993: @1590901
     /* 1590901 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1590987), // Rule ID 2853 //
     /* 1590906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1590914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590952 */     // MIs[0] policy
     /* 1590952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1590971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1590973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590986 */     // GIR_Coverage, 2853,
     /* 1590986 */     GIR_EraseRootFromParent_Done,
     /* 1590987 */   // Label 21994: @1590987
     /* 1590987 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1591073), // Rule ID 2868 //
     /* 1590992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1591003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1591006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1591009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1591012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591038 */     // MIs[0] policy
     /* 1591038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1591051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591072 */     // GIR_Coverage, 2868,
     /* 1591072 */     GIR_EraseRootFromParent_Done,
     /* 1591073 */   // Label 21995: @1591073
     /* 1591073 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1591159), // Rule ID 2869 //
     /* 1591078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1591089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1591092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1591095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1591098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591124 */     // MIs[0] policy
     /* 1591124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591134 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1591137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591158 */     // GIR_Coverage, 2869,
     /* 1591158 */     GIR_EraseRootFromParent_Done,
     /* 1591159 */   // Label 21996: @1591159
     /* 1591159 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1591245), // Rule ID 2872 //
     /* 1591164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1591175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1591178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1591181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1591184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591210 */     // MIs[0] policy
     /* 1591210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591220 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1591223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591244 */     // GIR_Coverage, 2872,
     /* 1591244 */     GIR_EraseRootFromParent_Done,
     /* 1591245 */   // Label 21997: @1591245
     /* 1591245 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1591331), // Rule ID 2873 //
     /* 1591250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1591261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1591264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1591267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1591270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591296 */     // MIs[0] policy
     /* 1591296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1591309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591330 */     // GIR_Coverage, 2873,
     /* 1591330 */     GIR_EraseRootFromParent_Done,
     /* 1591331 */   // Label 21998: @1591331
     /* 1591331 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1591417), // Rule ID 2876 //
     /* 1591336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1591353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1591356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591382 */     // MIs[0] policy
     /* 1591382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1591395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591416 */     // GIR_Coverage, 2876,
     /* 1591416 */     GIR_EraseRootFromParent_Done,
     /* 1591417 */   // Label 21999: @1591417
     /* 1591417 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1591503), // Rule ID 2877 //
     /* 1591422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1591439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1591442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591468 */     // MIs[0] policy
     /* 1591468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1591481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591502 */     // GIR_Coverage, 2877,
     /* 1591502 */     GIR_EraseRootFromParent_Done,
     /* 1591503 */   // Label 22000: @1591503
     /* 1591503 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1591589), // Rule ID 2880 //
     /* 1591508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1591528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591554 */     // MIs[0] policy
     /* 1591554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1591567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591588 */     // GIR_Coverage, 2880,
     /* 1591588 */     GIR_EraseRootFromParent_Done,
     /* 1591589 */   // Label 22001: @1591589
     /* 1591589 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1591675), // Rule ID 2881 //
     /* 1591594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1591614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591640 */     // MIs[0] policy
     /* 1591640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1591653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591674 */     // GIR_Coverage, 2881,
     /* 1591674 */     GIR_EraseRootFromParent_Done,
     /* 1591675 */   // Label 22002: @1591675
     /* 1591675 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1591761), // Rule ID 2884 //
     /* 1591680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1591700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591726 */     // MIs[0] policy
     /* 1591726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1591739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591760 */     // GIR_Coverage, 2884,
     /* 1591760 */     GIR_EraseRootFromParent_Done,
     /* 1591761 */   // Label 22003: @1591761
     /* 1591761 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1591847), // Rule ID 2885 //
     /* 1591766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1591786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591812 */     // MIs[0] policy
     /* 1591812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1591825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591846 */     // GIR_Coverage, 2885,
     /* 1591846 */     GIR_EraseRootFromParent_Done,
     /* 1591847 */   // Label 22004: @1591847
     /* 1591847 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1591933), // Rule ID 2888 //
     /* 1591852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1591872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591898 */     // MIs[0] policy
     /* 1591898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1591911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591932 */     // GIR_Coverage, 2888,
     /* 1591932 */     GIR_EraseRootFromParent_Done,
     /* 1591933 */   // Label 22005: @1591933
     /* 1591933 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1592019), // Rule ID 2889 //
     /* 1591938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1591958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591984 */     // MIs[0] policy
     /* 1591984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1591997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592018 */     // GIR_Coverage, 2889,
     /* 1592018 */     GIR_EraseRootFromParent_Done,
     /* 1592019 */   // Label 22006: @1592019
     /* 1592019 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1592105), // Rule ID 2892 //
     /* 1592024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1592035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1592038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1592041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1592044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592070 */     // MIs[0] policy
     /* 1592070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1592083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592104 */     // GIR_Coverage, 2892,
     /* 1592104 */     GIR_EraseRootFromParent_Done,
     /* 1592105 */   // Label 22007: @1592105
     /* 1592105 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1592191), // Rule ID 2893 //
     /* 1592110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1592121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1592124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1592127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1592130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592156 */     // MIs[0] policy
     /* 1592156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1592169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592190 */     // GIR_Coverage, 2893,
     /* 1592190 */     GIR_EraseRootFromParent_Done,
     /* 1592191 */   // Label 22008: @1592191
     /* 1592191 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1592277), // Rule ID 2896 //
     /* 1592196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1592207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1592210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1592213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1592216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592242 */     // MIs[0] policy
     /* 1592242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1592255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592276 */     // GIR_Coverage, 2896,
     /* 1592276 */     GIR_EraseRootFromParent_Done,
     /* 1592277 */   // Label 22009: @1592277
     /* 1592277 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1592363), // Rule ID 2897 //
     /* 1592282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1592293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1592296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1592299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1592302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592328 */     // MIs[0] policy
     /* 1592328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1592341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592362 */     // GIR_Coverage, 2897,
     /* 1592362 */     GIR_EraseRootFromParent_Done,
     /* 1592363 */   // Label 22010: @1592363
     /* 1592363 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1592449), // Rule ID 2900 //
     /* 1592368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1592388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592414 */     // MIs[0] policy
     /* 1592414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1592427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592448 */     // GIR_Coverage, 2900,
     /* 1592448 */     GIR_EraseRootFromParent_Done,
     /* 1592449 */   // Label 22011: @1592449
     /* 1592449 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1592535), // Rule ID 2901 //
     /* 1592454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1592474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592500 */     // MIs[0] policy
     /* 1592500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1592513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592534 */     // GIR_Coverage, 2901,
     /* 1592534 */     GIR_EraseRootFromParent_Done,
     /* 1592535 */   // Label 22012: @1592535
     /* 1592535 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1592621), // Rule ID 2904 //
     /* 1592540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1592560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592586 */     // MIs[0] policy
     /* 1592586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1592599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592620 */     // GIR_Coverage, 2904,
     /* 1592620 */     GIR_EraseRootFromParent_Done,
     /* 1592621 */   // Label 22013: @1592621
     /* 1592621 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1592707), // Rule ID 2905 //
     /* 1592626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1592646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592672 */     // MIs[0] policy
     /* 1592672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1592685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592706 */     // GIR_Coverage, 2905,
     /* 1592706 */     GIR_EraseRootFromParent_Done,
     /* 1592707 */   // Label 22014: @1592707
     /* 1592707 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1592793), // Rule ID 2908 //
     /* 1592712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1592732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592758 */     // MIs[0] policy
     /* 1592758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1592771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592792 */     // GIR_Coverage, 2908,
     /* 1592792 */     GIR_EraseRootFromParent_Done,
     /* 1592793 */   // Label 22015: @1592793
     /* 1592793 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1592879), // Rule ID 2909 //
     /* 1592798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1592818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592844 */     // MIs[0] policy
     /* 1592844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1592857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592878 */     // GIR_Coverage, 2909,
     /* 1592878 */     GIR_EraseRootFromParent_Done,
     /* 1592879 */   // Label 22016: @1592879
     /* 1592879 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1592965), // Rule ID 2912 //
     /* 1592884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1592904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592930 */     // MIs[0] policy
     /* 1592930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1592943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592964 */     // GIR_Coverage, 2912,
     /* 1592964 */     GIR_EraseRootFromParent_Done,
     /* 1592965 */   // Label 22017: @1592965
     /* 1592965 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1593051), // Rule ID 2913 //
     /* 1592970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1592990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593016 */     // MIs[0] policy
     /* 1593016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1593029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593050 */     // GIR_Coverage, 2913,
     /* 1593050 */     GIR_EraseRootFromParent_Done,
     /* 1593051 */   // Label 22018: @1593051
     /* 1593051 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1593137), // Rule ID 2916 //
     /* 1593056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1593067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1593070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1593073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1593076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593102 */     // MIs[0] policy
     /* 1593102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1593115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593136 */     // GIR_Coverage, 2916,
     /* 1593136 */     GIR_EraseRootFromParent_Done,
     /* 1593137 */   // Label 22019: @1593137
     /* 1593137 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1593223), // Rule ID 2917 //
     /* 1593142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1593153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1593156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1593159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1593162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593188 */     // MIs[0] policy
     /* 1593188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1593201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593222 */     // GIR_Coverage, 2917,
     /* 1593222 */     GIR_EraseRootFromParent_Done,
     /* 1593223 */   // Label 22020: @1593223
     /* 1593223 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1593309), // Rule ID 2920 //
     /* 1593228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1593239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1593242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1593245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1593248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593274 */     // MIs[0] policy
     /* 1593274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1593287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593308 */     // GIR_Coverage, 2920,
     /* 1593308 */     GIR_EraseRootFromParent_Done,
     /* 1593309 */   // Label 22021: @1593309
     /* 1593309 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1593395), // Rule ID 2921 //
     /* 1593314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1593325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1593328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1593331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1593334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593360 */     // MIs[0] policy
     /* 1593360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1593373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593394 */     // GIR_Coverage, 2921,
     /* 1593394 */     GIR_EraseRootFromParent_Done,
     /* 1593395 */   // Label 22022: @1593395
     /* 1593395 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1593481), // Rule ID 2924 //
     /* 1593400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1593420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593446 */     // MIs[0] policy
     /* 1593446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1593459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593480 */     // GIR_Coverage, 2924,
     /* 1593480 */     GIR_EraseRootFromParent_Done,
     /* 1593481 */   // Label 22023: @1593481
     /* 1593481 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1593567), // Rule ID 2925 //
     /* 1593486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1593506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593532 */     // MIs[0] policy
     /* 1593532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1593545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593566 */     // GIR_Coverage, 2925,
     /* 1593566 */     GIR_EraseRootFromParent_Done,
     /* 1593567 */   // Label 22024: @1593567
     /* 1593567 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1593653), // Rule ID 2928 //
     /* 1593572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1593583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1593586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1593589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1593592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593618 */     // MIs[0] policy
     /* 1593618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1593631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593652 */     // GIR_Coverage, 2928,
     /* 1593652 */     GIR_EraseRootFromParent_Done,
     /* 1593653 */   // Label 22025: @1593653
     /* 1593653 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1593739), // Rule ID 2929 //
     /* 1593658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1593669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1593672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1593675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1593678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593704 */     // MIs[0] policy
     /* 1593704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1593717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593738 */     // GIR_Coverage, 2929,
     /* 1593738 */     GIR_EraseRootFromParent_Done,
     /* 1593739 */   // Label 22026: @1593739
     /* 1593739 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1593825), // Rule ID 2932 //
     /* 1593744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1593764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593790 */     // MIs[0] policy
     /* 1593790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1593803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593824 */     // GIR_Coverage, 2932,
     /* 1593824 */     GIR_EraseRootFromParent_Done,
     /* 1593825 */   // Label 22027: @1593825
     /* 1593825 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1593911), // Rule ID 2933 //
     /* 1593830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1593850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593876 */     // MIs[0] policy
     /* 1593876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1593889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593910 */     // GIR_Coverage, 2933,
     /* 1593910 */     GIR_EraseRootFromParent_Done,
     /* 1593911 */   // Label 22028: @1593911
     /* 1593911 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1593997), // Rule ID 2936 //
     /* 1593916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1593936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593962 */     // MIs[0] policy
     /* 1593962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1593975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593996 */     // GIR_Coverage, 2936,
     /* 1593996 */     GIR_EraseRootFromParent_Done,
     /* 1593997 */   // Label 22029: @1593997
     /* 1593997 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1594083), // Rule ID 2937 //
     /* 1594002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1594013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1594016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1594019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1594022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594048 */     // MIs[0] policy
     /* 1594048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1594061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594082 */     // GIR_Coverage, 2937,
     /* 1594082 */     GIR_EraseRootFromParent_Done,
     /* 1594083 */   // Label 22030: @1594083
     /* 1594083 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1594169), // Rule ID 2940 //
     /* 1594088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1594099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1594102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1594105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1594108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594134 */     // MIs[0] policy
     /* 1594134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1594147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594168 */     // GIR_Coverage, 2940,
     /* 1594168 */     GIR_EraseRootFromParent_Done,
     /* 1594169 */   // Label 22031: @1594169
     /* 1594169 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1594255), // Rule ID 2941 //
     /* 1594174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1594185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1594188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1594191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1594194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594220 */     // MIs[0] policy
     /* 1594220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1594233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594254 */     // GIR_Coverage, 2941,
     /* 1594254 */     GIR_EraseRootFromParent_Done,
     /* 1594255 */   // Label 22032: @1594255
     /* 1594255 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1594341), // Rule ID 2944 //
     /* 1594260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1594271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1594274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1594277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1594280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594306 */     // MIs[0] policy
     /* 1594306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1594319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594340 */     // GIR_Coverage, 2944,
     /* 1594340 */     GIR_EraseRootFromParent_Done,
     /* 1594341 */   // Label 22033: @1594341
     /* 1594341 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1594427), // Rule ID 2945 //
     /* 1594346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1594357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1594360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1594363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1594366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594392 */     // MIs[0] policy
     /* 1594392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1594405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594426 */     // GIR_Coverage, 2945,
     /* 1594426 */     GIR_EraseRootFromParent_Done,
     /* 1594427 */   // Label 22034: @1594427
     /* 1594427 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1594513), // Rule ID 2948 //
     /* 1594432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1594443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1594446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1594449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1594452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594478 */     // MIs[0] policy
     /* 1594478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1594491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594512 */     // GIR_Coverage, 2948,
     /* 1594512 */     GIR_EraseRootFromParent_Done,
     /* 1594513 */   // Label 22035: @1594513
     /* 1594513 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1594599), // Rule ID 2949 //
     /* 1594518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1594529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1594532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1594535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1594538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594564 */     // MIs[0] policy
     /* 1594564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1594577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594598 */     // GIR_Coverage, 2949,
     /* 1594598 */     GIR_EraseRootFromParent_Done,
     /* 1594599 */   // Label 22036: @1594599
     /* 1594599 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1594685), // Rule ID 2952 //
     /* 1594604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1594621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594650 */     // MIs[0] policy
     /* 1594650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594660 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1594663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594684 */     // GIR_Coverage, 2952,
     /* 1594684 */     GIR_EraseRootFromParent_Done,
     /* 1594685 */   // Label 22037: @1594685
     /* 1594685 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1594771), // Rule ID 2953 //
     /* 1594690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1594707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594736 */     // MIs[0] policy
     /* 1594736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1594749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594770 */     // GIR_Coverage, 2953,
     /* 1594770 */     GIR_EraseRootFromParent_Done,
     /* 1594771 */   // Label 22038: @1594771
     /* 1594771 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1594857), // Rule ID 2956 //
     /* 1594776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594822 */     // MIs[0] policy
     /* 1594822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1594835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594856 */     // GIR_Coverage, 2956,
     /* 1594856 */     GIR_EraseRootFromParent_Done,
     /* 1594857 */   // Label 22039: @1594857
     /* 1594857 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1594943), // Rule ID 2957 //
     /* 1594862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594908 */     // MIs[0] policy
     /* 1594908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1594921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594942 */     // GIR_Coverage, 2957,
     /* 1594942 */     GIR_EraseRootFromParent_Done,
     /* 1594943 */   // Label 22040: @1594943
     /* 1594943 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1595029), // Rule ID 2960 //
     /* 1594948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1594956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594994 */     // MIs[0] policy
     /* 1594994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1595007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595028 */     // GIR_Coverage, 2960,
     /* 1595028 */     GIR_EraseRootFromParent_Done,
     /* 1595029 */   // Label 22041: @1595029
     /* 1595029 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1595115), // Rule ID 2961 //
     /* 1595034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1595045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1595048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1595051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595080 */     // MIs[0] policy
     /* 1595080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1595093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595114 */     // GIR_Coverage, 2961,
     /* 1595114 */     GIR_EraseRootFromParent_Done,
     /* 1595115 */   // Label 22042: @1595115
     /* 1595115 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1595201), // Rule ID 2964 //
     /* 1595120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1595131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1595134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1595137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595166 */     // MIs[0] policy
     /* 1595166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1595179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595200 */     // GIR_Coverage, 2964,
     /* 1595200 */     GIR_EraseRootFromParent_Done,
     /* 1595201 */   // Label 22043: @1595201
     /* 1595201 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1595287), // Rule ID 2965 //
     /* 1595206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1595217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1595220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1595223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595252 */     // MIs[0] policy
     /* 1595252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1595265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595286 */     // GIR_Coverage, 2965,
     /* 1595286 */     GIR_EraseRootFromParent_Done,
     /* 1595287 */   // Label 22044: @1595287
     /* 1595287 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1595373), // Rule ID 2968 //
     /* 1595292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1595303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1595306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1595309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595338 */     // MIs[0] policy
     /* 1595338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1595351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595372 */     // GIR_Coverage, 2968,
     /* 1595372 */     GIR_EraseRootFromParent_Done,
     /* 1595373 */   // Label 22045: @1595373
     /* 1595373 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1595459), // Rule ID 2969 //
     /* 1595378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1595389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1595392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1595395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595424 */     // MIs[0] policy
     /* 1595424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1595437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595458 */     // GIR_Coverage, 2969,
     /* 1595458 */     GIR_EraseRootFromParent_Done,
     /* 1595459 */   // Label 22046: @1595459
     /* 1595459 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1595545), // Rule ID 2972 //
     /* 1595464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595510 */     // MIs[0] policy
     /* 1595510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1595523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595544 */     // GIR_Coverage, 2972,
     /* 1595544 */     GIR_EraseRootFromParent_Done,
     /* 1595545 */   // Label 22047: @1595545
     /* 1595545 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1595631), // Rule ID 2973 //
     /* 1595550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595596 */     // MIs[0] policy
     /* 1595596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1595609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595630 */     // GIR_Coverage, 2973,
     /* 1595630 */     GIR_EraseRootFromParent_Done,
     /* 1595631 */   // Label 22048: @1595631
     /* 1595631 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1595717), // Rule ID 2976 //
     /* 1595636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595682 */     // MIs[0] policy
     /* 1595682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1595695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595716 */     // GIR_Coverage, 2976,
     /* 1595716 */     GIR_EraseRootFromParent_Done,
     /* 1595717 */   // Label 22049: @1595717
     /* 1595717 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1595803), // Rule ID 2977 //
     /* 1595722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595768 */     // MIs[0] policy
     /* 1595768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1595781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595802 */     // GIR_Coverage, 2977,
     /* 1595802 */     GIR_EraseRootFromParent_Done,
     /* 1595803 */   // Label 22050: @1595803
     /* 1595803 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1595889), // Rule ID 2980 //
     /* 1595808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595854 */     // MIs[0] policy
     /* 1595854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1595867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595888 */     // GIR_Coverage, 2980,
     /* 1595888 */     GIR_EraseRootFromParent_Done,
     /* 1595889 */   // Label 22051: @1595889
     /* 1595889 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1595975), // Rule ID 2981 //
     /* 1595894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595940 */     // MIs[0] policy
     /* 1595940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1595953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595974 */     // GIR_Coverage, 2981,
     /* 1595974 */     GIR_EraseRootFromParent_Done,
     /* 1595975 */   // Label 22052: @1595975
     /* 1595975 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1596061), // Rule ID 2984 //
     /* 1595980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1595988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596026 */     // MIs[0] policy
     /* 1596026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1596039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596060 */     // GIR_Coverage, 2984,
     /* 1596060 */     GIR_EraseRootFromParent_Done,
     /* 1596061 */   // Label 22053: @1596061
     /* 1596061 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1596147), // Rule ID 2985 //
     /* 1596066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1596077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1596080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1596083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596112 */     // MIs[0] policy
     /* 1596112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1596125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596146 */     // GIR_Coverage, 2985,
     /* 1596146 */     GIR_EraseRootFromParent_Done,
     /* 1596147 */   // Label 22054: @1596147
     /* 1596147 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1596233), // Rule ID 2988 //
     /* 1596152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1596163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1596166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1596169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596198 */     // MIs[0] policy
     /* 1596198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1596211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596232 */     // GIR_Coverage, 2988,
     /* 1596232 */     GIR_EraseRootFromParent_Done,
     /* 1596233 */   // Label 22055: @1596233
     /* 1596233 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1596319), // Rule ID 2989 //
     /* 1596238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1596249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1596252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1596255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596284 */     // MIs[0] policy
     /* 1596284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1596297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596318 */     // GIR_Coverage, 2989,
     /* 1596318 */     GIR_EraseRootFromParent_Done,
     /* 1596319 */   // Label 22056: @1596319
     /* 1596319 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1596405), // Rule ID 2992 //
     /* 1596324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1596335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1596338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1596341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596370 */     // MIs[0] policy
     /* 1596370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596380 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1596383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596404 */     // GIR_Coverage, 2992,
     /* 1596404 */     GIR_EraseRootFromParent_Done,
     /* 1596405 */   // Label 22057: @1596405
     /* 1596405 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1596491), // Rule ID 2993 //
     /* 1596410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1596421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1596424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1596427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596456 */     // MIs[0] policy
     /* 1596456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596466 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1596469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596490 */     // GIR_Coverage, 2993,
     /* 1596490 */     GIR_EraseRootFromParent_Done,
     /* 1596491 */   // Label 22058: @1596491
     /* 1596491 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1596577), // Rule ID 2996 //
     /* 1596496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1596507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1596510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1596513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596542 */     // MIs[0] policy
     /* 1596542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1596555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596576 */     // GIR_Coverage, 2996,
     /* 1596576 */     GIR_EraseRootFromParent_Done,
     /* 1596577 */   // Label 22059: @1596577
     /* 1596577 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1596663), // Rule ID 2997 //
     /* 1596582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1596593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1596596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1596599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596628 */     // MIs[0] policy
     /* 1596628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596638 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1596641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596662 */     // GIR_Coverage, 2997,
     /* 1596662 */     GIR_EraseRootFromParent_Done,
     /* 1596663 */   // Label 22060: @1596663
     /* 1596663 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1596749), // Rule ID 3000 //
     /* 1596668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596714 */     // MIs[0] policy
     /* 1596714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1596727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596748 */     // GIR_Coverage, 3000,
     /* 1596748 */     GIR_EraseRootFromParent_Done,
     /* 1596749 */   // Label 22061: @1596749
     /* 1596749 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1596835), // Rule ID 3001 //
     /* 1596754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596800 */     // MIs[0] policy
     /* 1596800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596810 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1596813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596834 */     // GIR_Coverage, 3001,
     /* 1596834 */     GIR_EraseRootFromParent_Done,
     /* 1596835 */   // Label 22062: @1596835
     /* 1596835 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1596921), // Rule ID 3004 //
     /* 1596840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596886 */     // MIs[0] policy
     /* 1596886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1596899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596920 */     // GIR_Coverage, 3004,
     /* 1596920 */     GIR_EraseRootFromParent_Done,
     /* 1596921 */   // Label 22063: @1596921
     /* 1596921 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1597007), // Rule ID 3005 //
     /* 1596926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1596934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596972 */     // MIs[0] policy
     /* 1596972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1596985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597006 */     // GIR_Coverage, 3005,
     /* 1597006 */     GIR_EraseRootFromParent_Done,
     /* 1597007 */   // Label 22064: @1597007
     /* 1597007 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1597093), // Rule ID 3008 //
     /* 1597012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1597023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1597026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1597029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597058 */     // MIs[0] policy
     /* 1597058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1597071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597092 */     // GIR_Coverage, 3008,
     /* 1597092 */     GIR_EraseRootFromParent_Done,
     /* 1597093 */   // Label 22065: @1597093
     /* 1597093 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1597179), // Rule ID 3009 //
     /* 1597098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1597109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1597112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1597115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597144 */     // MIs[0] policy
     /* 1597144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1597157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597178 */     // GIR_Coverage, 3009,
     /* 1597178 */     GIR_EraseRootFromParent_Done,
     /* 1597179 */   // Label 22066: @1597179
     /* 1597179 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1597265), // Rule ID 3012 //
     /* 1597184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1597195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1597198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1597201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597230 */     // MIs[0] policy
     /* 1597230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1597243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597264 */     // GIR_Coverage, 3012,
     /* 1597264 */     GIR_EraseRootFromParent_Done,
     /* 1597265 */   // Label 22067: @1597265
     /* 1597265 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1597351), // Rule ID 3013 //
     /* 1597270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1597281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1597284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1597287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597316 */     // MIs[0] policy
     /* 1597316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1597329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597350 */     // GIR_Coverage, 3013,
     /* 1597350 */     GIR_EraseRootFromParent_Done,
     /* 1597351 */   // Label 22068: @1597351
     /* 1597351 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1597437), // Rule ID 3016 //
     /* 1597356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1597367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1597370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1597373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597402 */     // MIs[0] policy
     /* 1597402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1597415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597436 */     // GIR_Coverage, 3016,
     /* 1597436 */     GIR_EraseRootFromParent_Done,
     /* 1597437 */   // Label 22069: @1597437
     /* 1597437 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1597523), // Rule ID 3017 //
     /* 1597442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1597453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1597456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1597459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597488 */     // MIs[0] policy
     /* 1597488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1597501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597522 */     // GIR_Coverage, 3017,
     /* 1597522 */     GIR_EraseRootFromParent_Done,
     /* 1597523 */   // Label 22070: @1597523
     /* 1597523 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1597609), // Rule ID 3020 //
     /* 1597528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1597539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1597542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1597545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597574 */     // MIs[0] policy
     /* 1597574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1597587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597608 */     // GIR_Coverage, 3020,
     /* 1597608 */     GIR_EraseRootFromParent_Done,
     /* 1597609 */   // Label 22071: @1597609
     /* 1597609 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1597695), // Rule ID 3021 //
     /* 1597614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1597625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1597628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1597631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597660 */     // MIs[0] policy
     /* 1597660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1597673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597694 */     // GIR_Coverage, 3021,
     /* 1597694 */     GIR_EraseRootFromParent_Done,
     /* 1597695 */   // Label 22072: @1597695
     /* 1597695 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1597781), // Rule ID 3024 //
     /* 1597700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597746 */     // MIs[0] policy
     /* 1597746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1597759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597780 */     // GIR_Coverage, 3024,
     /* 1597780 */     GIR_EraseRootFromParent_Done,
     /* 1597781 */   // Label 22073: @1597781
     /* 1597781 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1597867), // Rule ID 3025 //
     /* 1597786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597832 */     // MIs[0] policy
     /* 1597832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1597845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597866 */     // GIR_Coverage, 3025,
     /* 1597866 */     GIR_EraseRootFromParent_Done,
     /* 1597867 */   // Label 22074: @1597867
     /* 1597867 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1597953), // Rule ID 3028 //
     /* 1597872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597918 */     // MIs[0] policy
     /* 1597918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1597931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597952 */     // GIR_Coverage, 3028,
     /* 1597952 */     GIR_EraseRootFromParent_Done,
     /* 1597953 */   // Label 22075: @1597953
     /* 1597953 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1598039), // Rule ID 3029 //
     /* 1597958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598004 */     // MIs[0] policy
     /* 1598004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1598017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598038 */     // GIR_Coverage, 3029,
     /* 1598038 */     GIR_EraseRootFromParent_Done,
     /* 1598039 */   // Label 22076: @1598039
     /* 1598039 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1598125), // Rule ID 3032 //
     /* 1598044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1598047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1598055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1598058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1598061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598090 */     // MIs[0] policy
     /* 1598090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1598103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598124 */     // GIR_Coverage, 3032,
     /* 1598124 */     GIR_EraseRootFromParent_Done,
     /* 1598125 */   // Label 22077: @1598125
     /* 1598125 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1598211), // Rule ID 3033 //
     /* 1598130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1598133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1598141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1598144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1598147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598176 */     // MIs[0] policy
     /* 1598176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1598189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598210 */     // GIR_Coverage, 3033,
     /* 1598210 */     GIR_EraseRootFromParent_Done,
     /* 1598211 */   // Label 22078: @1598211
     /* 1598211 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1598297), // Rule ID 3036 //
     /* 1598216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1598219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1598227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1598230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1598233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598262 */     // MIs[0] policy
     /* 1598262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1598275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598296 */     // GIR_Coverage, 3036,
     /* 1598296 */     GIR_EraseRootFromParent_Done,
     /* 1598297 */   // Label 22079: @1598297
     /* 1598297 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1598383), // Rule ID 3037 //
     /* 1598302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1598305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1598313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1598316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1598319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598348 */     // MIs[0] policy
     /* 1598348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1598361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598382 */     // GIR_Coverage, 3037,
     /* 1598382 */     GIR_EraseRootFromParent_Done,
     /* 1598383 */   // Label 22080: @1598383
     /* 1598383 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1598469), // Rule ID 3128 //
     /* 1598388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1598399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1598402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1598405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1598408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598434 */     // MIs[0] policy
     /* 1598434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1598447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598468 */     // GIR_Coverage, 3128,
     /* 1598468 */     GIR_EraseRootFromParent_Done,
     /* 1598469 */   // Label 22081: @1598469
     /* 1598469 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1598555), // Rule ID 3129 //
     /* 1598474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1598485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1598488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1598491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1598494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598520 */     // MIs[0] policy
     /* 1598520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1598533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598554 */     // GIR_Coverage, 3129,
     /* 1598554 */     GIR_EraseRootFromParent_Done,
     /* 1598555 */   // Label 22082: @1598555
     /* 1598555 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1598641), // Rule ID 3132 //
     /* 1598560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1598571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1598574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1598577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1598580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598606 */     // MIs[0] policy
     /* 1598606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1598619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598640 */     // GIR_Coverage, 3132,
     /* 1598640 */     GIR_EraseRootFromParent_Done,
     /* 1598641 */   // Label 22083: @1598641
     /* 1598641 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1598727), // Rule ID 3133 //
     /* 1598646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1598657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1598660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1598663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1598666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598692 */     // MIs[0] policy
     /* 1598692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1598705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598726 */     // GIR_Coverage, 3133,
     /* 1598726 */     GIR_EraseRootFromParent_Done,
     /* 1598727 */   // Label 22084: @1598727
     /* 1598727 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1598813), // Rule ID 3136 //
     /* 1598732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1598752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598778 */     // MIs[0] policy
     /* 1598778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1598791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598812 */     // GIR_Coverage, 3136,
     /* 1598812 */     GIR_EraseRootFromParent_Done,
     /* 1598813 */   // Label 22085: @1598813
     /* 1598813 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1598899), // Rule ID 3137 //
     /* 1598818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1598838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598864 */     // MIs[0] policy
     /* 1598864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1598877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598898 */     // GIR_Coverage, 3137,
     /* 1598898 */     GIR_EraseRootFromParent_Done,
     /* 1598899 */   // Label 22086: @1598899
     /* 1598899 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1598985), // Rule ID 3140 //
     /* 1598904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1598924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598950 */     // MIs[0] policy
     /* 1598950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1598963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598984 */     // GIR_Coverage, 3140,
     /* 1598984 */     GIR_EraseRootFromParent_Done,
     /* 1598985 */   // Label 22087: @1598985
     /* 1598985 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1599071), // Rule ID 3141 //
     /* 1598990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1599001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1599004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1599007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1599010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599036 */     // MIs[0] policy
     /* 1599036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1599049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599070 */     // GIR_Coverage, 3141,
     /* 1599070 */     GIR_EraseRootFromParent_Done,
     /* 1599071 */   // Label 22088: @1599071
     /* 1599071 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1599157), // Rule ID 3144 //
     /* 1599076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1599087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1599090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1599093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1599096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599122 */     // MIs[0] policy
     /* 1599122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1599135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599156 */     // GIR_Coverage, 3144,
     /* 1599156 */     GIR_EraseRootFromParent_Done,
     /* 1599157 */   // Label 22089: @1599157
     /* 1599157 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1599243), // Rule ID 3145 //
     /* 1599162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1599173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1599176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1599179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1599182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599208 */     // MIs[0] policy
     /* 1599208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1599221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599242 */     // GIR_Coverage, 3145,
     /* 1599242 */     GIR_EraseRootFromParent_Done,
     /* 1599243 */   // Label 22090: @1599243
     /* 1599243 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1599329), // Rule ID 3148 //
     /* 1599248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1599259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1599262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1599265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1599268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599294 */     // MIs[0] policy
     /* 1599294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1599307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599328 */     // GIR_Coverage, 3148,
     /* 1599328 */     GIR_EraseRootFromParent_Done,
     /* 1599329 */   // Label 22091: @1599329
     /* 1599329 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1599415), // Rule ID 3149 //
     /* 1599334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1599345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1599348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1599351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1599354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599380 */     // MIs[0] policy
     /* 1599380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1599393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599414 */     // GIR_Coverage, 3149,
     /* 1599414 */     GIR_EraseRootFromParent_Done,
     /* 1599415 */   // Label 22092: @1599415
     /* 1599415 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1599501), // Rule ID 3152 //
     /* 1599420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1599440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599466 */     // MIs[0] policy
     /* 1599466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1599479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599500 */     // GIR_Coverage, 3152,
     /* 1599500 */     GIR_EraseRootFromParent_Done,
     /* 1599501 */   // Label 22093: @1599501
     /* 1599501 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1599587), // Rule ID 3153 //
     /* 1599506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1599526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599552 */     // MIs[0] policy
     /* 1599552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1599565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599586 */     // GIR_Coverage, 3153,
     /* 1599586 */     GIR_EraseRootFromParent_Done,
     /* 1599587 */   // Label 22094: @1599587
     /* 1599587 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1599673), // Rule ID 3156 //
     /* 1599592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1599612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599638 */     // MIs[0] policy
     /* 1599638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1599651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599672 */     // GIR_Coverage, 3156,
     /* 1599672 */     GIR_EraseRootFromParent_Done,
     /* 1599673 */   // Label 22095: @1599673
     /* 1599673 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1599759), // Rule ID 3157 //
     /* 1599678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1599698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599724 */     // MIs[0] policy
     /* 1599724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1599737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599758 */     // GIR_Coverage, 3157,
     /* 1599758 */     GIR_EraseRootFromParent_Done,
     /* 1599759 */   // Label 22096: @1599759
     /* 1599759 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1599845), // Rule ID 3160 //
     /* 1599764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1599784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599810 */     // MIs[0] policy
     /* 1599810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1599823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599844 */     // GIR_Coverage, 3160,
     /* 1599844 */     GIR_EraseRootFromParent_Done,
     /* 1599845 */   // Label 22097: @1599845
     /* 1599845 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1599931), // Rule ID 3161 //
     /* 1599850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1599870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599896 */     // MIs[0] policy
     /* 1599896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1599909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599930 */     // GIR_Coverage, 3161,
     /* 1599930 */     GIR_EraseRootFromParent_Done,
     /* 1599931 */   // Label 22098: @1599931
     /* 1599931 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1600017), // Rule ID 3164 //
     /* 1599936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1599956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599982 */     // MIs[0] policy
     /* 1599982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1599995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600016 */     // GIR_Coverage, 3164,
     /* 1600016 */     GIR_EraseRootFromParent_Done,
     /* 1600017 */   // Label 22099: @1600017
     /* 1600017 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1600103), // Rule ID 3165 //
     /* 1600022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1600033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1600036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1600039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1600042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600068 */     // MIs[0] policy
     /* 1600068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1600081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600102 */     // GIR_Coverage, 3165,
     /* 1600102 */     GIR_EraseRootFromParent_Done,
     /* 1600103 */   // Label 22100: @1600103
     /* 1600103 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1600189), // Rule ID 3168 //
     /* 1600108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1600119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1600122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1600125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1600128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600154 */     // MIs[0] policy
     /* 1600154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1600167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600188 */     // GIR_Coverage, 3168,
     /* 1600188 */     GIR_EraseRootFromParent_Done,
     /* 1600189 */   // Label 22101: @1600189
     /* 1600189 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1600275), // Rule ID 3169 //
     /* 1600194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1600205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1600208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1600211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1600214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600240 */     // MIs[0] policy
     /* 1600240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600250 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1600253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600274 */     // GIR_Coverage, 3169,
     /* 1600274 */     GIR_EraseRootFromParent_Done,
     /* 1600275 */   // Label 22102: @1600275
     /* 1600275 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1600361), // Rule ID 3172 //
     /* 1600280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1600291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1600294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1600297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1600300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600326 */     // MIs[0] policy
     /* 1600326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1600339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600360 */     // GIR_Coverage, 3172,
     /* 1600360 */     GIR_EraseRootFromParent_Done,
     /* 1600361 */   // Label 22103: @1600361
     /* 1600361 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1600447), // Rule ID 3173 //
     /* 1600366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1600377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1600380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1600383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1600386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600412 */     // MIs[0] policy
     /* 1600412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1600425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600446 */     // GIR_Coverage, 3173,
     /* 1600446 */     GIR_EraseRootFromParent_Done,
     /* 1600447 */   // Label 22104: @1600447
     /* 1600447 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1600533), // Rule ID 3176 //
     /* 1600452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1600463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1600466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1600469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1600472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1600475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600498 */     // MIs[0] policy
     /* 1600498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1600511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600532 */     // GIR_Coverage, 3176,
     /* 1600532 */     GIR_EraseRootFromParent_Done,
     /* 1600533 */   // Label 22105: @1600533
     /* 1600533 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1600619), // Rule ID 3177 //
     /* 1600538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1600549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1600552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1600555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1600558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1600561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600584 */     // MIs[0] policy
     /* 1600584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600594 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1600597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600618 */     // GIR_Coverage, 3177,
     /* 1600618 */     GIR_EraseRootFromParent_Done,
     /* 1600619 */   // Label 22106: @1600619
     /* 1600619 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1600705), // Rule ID 3180 //
     /* 1600624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1600644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600670 */     // MIs[0] policy
     /* 1600670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1600683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600704 */     // GIR_Coverage, 3180,
     /* 1600704 */     GIR_EraseRootFromParent_Done,
     /* 1600705 */   // Label 22107: @1600705
     /* 1600705 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1600791), // Rule ID 3181 //
     /* 1600710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1600730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600756 */     // MIs[0] policy
     /* 1600756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1600769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600790 */     // GIR_Coverage, 3181,
     /* 1600790 */     GIR_EraseRootFromParent_Done,
     /* 1600791 */   // Label 22108: @1600791
     /* 1600791 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1600877), // Rule ID 3184 //
     /* 1600796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1600816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600842 */     // MIs[0] policy
     /* 1600842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1600855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600876 */     // GIR_Coverage, 3184,
     /* 1600876 */     GIR_EraseRootFromParent_Done,
     /* 1600877 */   // Label 22109: @1600877
     /* 1600877 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1600963), // Rule ID 3185 //
     /* 1600882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1600902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600928 */     // MIs[0] policy
     /* 1600928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600938 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1600941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600962 */     // GIR_Coverage, 3185,
     /* 1600962 */     GIR_EraseRootFromParent_Done,
     /* 1600963 */   // Label 22110: @1600963
     /* 1600963 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1601049), // Rule ID 3188 //
     /* 1600968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1600988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601014 */     // MIs[0] policy
     /* 1601014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1601027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601048 */     // GIR_Coverage, 3188,
     /* 1601048 */     GIR_EraseRootFromParent_Done,
     /* 1601049 */   // Label 22111: @1601049
     /* 1601049 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1601135), // Rule ID 3189 //
     /* 1601054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1601065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1601068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1601071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1601074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1601077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601100 */     // MIs[0] policy
     /* 1601100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601110 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1601113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601134 */     // GIR_Coverage, 3189,
     /* 1601134 */     GIR_EraseRootFromParent_Done,
     /* 1601135 */   // Label 22112: @1601135
     /* 1601135 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1601221), // Rule ID 3192 //
     /* 1601140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1601151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1601154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1601157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1601160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601186 */     // MIs[0] policy
     /* 1601186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1601199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601220 */     // GIR_Coverage, 3192,
     /* 1601220 */     GIR_EraseRootFromParent_Done,
     /* 1601221 */   // Label 22113: @1601221
     /* 1601221 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1601307), // Rule ID 3193 //
     /* 1601226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1601237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1601240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1601243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1601246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601272 */     // MIs[0] policy
     /* 1601272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1601285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601306 */     // GIR_Coverage, 3193,
     /* 1601306 */     GIR_EraseRootFromParent_Done,
     /* 1601307 */   // Label 22114: @1601307
     /* 1601307 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1601393), // Rule ID 3196 //
     /* 1601312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1601329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1601332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601358 */     // MIs[0] policy
     /* 1601358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1601371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601392 */     // GIR_Coverage, 3196,
     /* 1601392 */     GIR_EraseRootFromParent_Done,
     /* 1601393 */   // Label 22115: @1601393
     /* 1601393 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1601479), // Rule ID 3197 //
     /* 1601398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1601415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1601418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601444 */     // MIs[0] policy
     /* 1601444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1601457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601478 */     // GIR_Coverage, 3197,
     /* 1601478 */     GIR_EraseRootFromParent_Done,
     /* 1601479 */   // Label 22116: @1601479
     /* 1601479 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1601565), // Rule ID 3200 //
     /* 1601484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1601498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1601501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1601504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601530 */     // MIs[0] policy
     /* 1601530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1601543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601564 */     // GIR_Coverage, 3200,
     /* 1601564 */     GIR_EraseRootFromParent_Done,
     /* 1601565 */   // Label 22117: @1601565
     /* 1601565 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1601651), // Rule ID 3201 //
     /* 1601570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1601584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1601587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1601590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601616 */     // MIs[0] policy
     /* 1601616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1601629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601650 */     // GIR_Coverage, 3201,
     /* 1601650 */     GIR_EraseRootFromParent_Done,
     /* 1601651 */   // Label 22118: @1601651
     /* 1601651 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1601737), // Rule ID 3204 //
     /* 1601656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1601676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601702 */     // MIs[0] policy
     /* 1601702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1601715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601736 */     // GIR_Coverage, 3204,
     /* 1601736 */     GIR_EraseRootFromParent_Done,
     /* 1601737 */   // Label 22119: @1601737
     /* 1601737 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1601823), // Rule ID 3205 //
     /* 1601742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1601762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601788 */     // MIs[0] policy
     /* 1601788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601798 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1601801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601822 */     // GIR_Coverage, 3205,
     /* 1601822 */     GIR_EraseRootFromParent_Done,
     /* 1601823 */   // Label 22120: @1601823
     /* 1601823 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1601909), // Rule ID 3208 //
     /* 1601828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1601848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601874 */     // MIs[0] policy
     /* 1601874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1601887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601908 */     // GIR_Coverage, 3208,
     /* 1601908 */     GIR_EraseRootFromParent_Done,
     /* 1601909 */   // Label 22121: @1601909
     /* 1601909 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1601995), // Rule ID 3209 //
     /* 1601914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1601922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1601934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601960 */     // MIs[0] policy
     /* 1601960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1601973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601994 */     // GIR_Coverage, 3209,
     /* 1601994 */     GIR_EraseRootFromParent_Done,
     /* 1601995 */   // Label 22122: @1601995
     /* 1601995 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1602081), // Rule ID 3212 //
     /* 1602000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1602003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1602011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1602014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1602017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1602020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602046 */     // MIs[0] policy
     /* 1602046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602056 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1602059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602080 */     // GIR_Coverage, 3212,
     /* 1602080 */     GIR_EraseRootFromParent_Done,
     /* 1602081 */   // Label 22123: @1602081
     /* 1602081 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1602167), // Rule ID 3213 //
     /* 1602086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1602089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1602097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1602100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1602103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1602106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602132 */     // MIs[0] policy
     /* 1602132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1602145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602166 */     // GIR_Coverage, 3213,
     /* 1602166 */     GIR_EraseRootFromParent_Done,
     /* 1602167 */   // Label 22124: @1602167
     /* 1602167 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1602253), // Rule ID 3216 //
     /* 1602172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1602183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1602186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1602189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602218 */     // MIs[0] policy
     /* 1602218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1602231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602252 */     // GIR_Coverage, 3216,
     /* 1602252 */     GIR_EraseRootFromParent_Done,
     /* 1602253 */   // Label 22125: @1602253
     /* 1602253 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1602339), // Rule ID 3217 //
     /* 1602258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1602269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1602272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1602275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602304 */     // MIs[0] policy
     /* 1602304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1602317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602338 */     // GIR_Coverage, 3217,
     /* 1602338 */     GIR_EraseRootFromParent_Done,
     /* 1602339 */   // Label 22126: @1602339
     /* 1602339 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1602425), // Rule ID 3220 //
     /* 1602344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1602355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1602358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1602361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602390 */     // MIs[0] policy
     /* 1602390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602400 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1602403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602424 */     // GIR_Coverage, 3220,
     /* 1602424 */     GIR_EraseRootFromParent_Done,
     /* 1602425 */   // Label 22127: @1602425
     /* 1602425 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1602511), // Rule ID 3221 //
     /* 1602430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1602441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1602444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1602447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602476 */     // MIs[0] policy
     /* 1602476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1602489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602510 */     // GIR_Coverage, 3221,
     /* 1602510 */     GIR_EraseRootFromParent_Done,
     /* 1602511 */   // Label 22128: @1602511
     /* 1602511 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1602597), // Rule ID 3224 //
     /* 1602516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602562 */     // MIs[0] policy
     /* 1602562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1602575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602596 */     // GIR_Coverage, 3224,
     /* 1602596 */     GIR_EraseRootFromParent_Done,
     /* 1602597 */   // Label 22129: @1602597
     /* 1602597 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1602683), // Rule ID 3225 //
     /* 1602602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602648 */     // MIs[0] policy
     /* 1602648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1602661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602682 */     // GIR_Coverage, 3225,
     /* 1602682 */     GIR_EraseRootFromParent_Done,
     /* 1602683 */   // Label 22130: @1602683
     /* 1602683 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1602769), // Rule ID 3228 //
     /* 1602688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602734 */     // MIs[0] policy
     /* 1602734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1602747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602768 */     // GIR_Coverage, 3228,
     /* 1602768 */     GIR_EraseRootFromParent_Done,
     /* 1602769 */   // Label 22131: @1602769
     /* 1602769 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1602855), // Rule ID 3229 //
     /* 1602774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602820 */     // MIs[0] policy
     /* 1602820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1602833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602854 */     // GIR_Coverage, 3229,
     /* 1602854 */     GIR_EraseRootFromParent_Done,
     /* 1602855 */   // Label 22132: @1602855
     /* 1602855 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1602941), // Rule ID 3232 //
     /* 1602860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602906 */     // MIs[0] policy
     /* 1602906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1602919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602940 */     // GIR_Coverage, 3232,
     /* 1602940 */     GIR_EraseRootFromParent_Done,
     /* 1602941 */   // Label 22133: @1602941
     /* 1602941 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1603027), // Rule ID 3233 //
     /* 1602946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1602954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602992 */     // MIs[0] policy
     /* 1602992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1603005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603026 */     // GIR_Coverage, 3233,
     /* 1603026 */     GIR_EraseRootFromParent_Done,
     /* 1603027 */   // Label 22134: @1603027
     /* 1603027 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1603113), // Rule ID 3236 //
     /* 1603032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1603043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1603046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1603049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603078 */     // MIs[0] policy
     /* 1603078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603088 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1603091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603112 */     // GIR_Coverage, 3236,
     /* 1603112 */     GIR_EraseRootFromParent_Done,
     /* 1603113 */   // Label 22135: @1603113
     /* 1603113 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1603199), // Rule ID 3237 //
     /* 1603118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1603129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1603132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1603135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603164 */     // MIs[0] policy
     /* 1603164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1603177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603198 */     // GIR_Coverage, 3237,
     /* 1603198 */     GIR_EraseRootFromParent_Done,
     /* 1603199 */   // Label 22136: @1603199
     /* 1603199 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1603285), // Rule ID 3240 //
     /* 1603204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1603215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1603218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1603221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603250 */     // MIs[0] policy
     /* 1603250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603284 */     // GIR_Coverage, 3240,
     /* 1603284 */     GIR_EraseRootFromParent_Done,
     /* 1603285 */   // Label 22137: @1603285
     /* 1603285 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1603371), // Rule ID 3241 //
     /* 1603290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1603301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1603304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1603307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603336 */     // MIs[0] policy
     /* 1603336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603346 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11557:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603370 */     // GIR_Coverage, 3241,
     /* 1603370 */     GIR_EraseRootFromParent_Done,
     /* 1603371 */   // Label 22138: @1603371
     /* 1603371 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1603457), // Rule ID 3244 //
     /* 1603376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603422 */     // MIs[0] policy
     /* 1603422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603456 */     // GIR_Coverage, 3244,
     /* 1603456 */     GIR_EraseRootFromParent_Done,
     /* 1603457 */   // Label 22139: @1603457
     /* 1603457 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1603543), // Rule ID 3245 //
     /* 1603462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603508 */     // MIs[0] policy
     /* 1603508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603542 */     // GIR_Coverage, 3245,
     /* 1603542 */     GIR_EraseRootFromParent_Done,
     /* 1603543 */   // Label 22140: @1603543
     /* 1603543 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1603629), // Rule ID 3248 //
     /* 1603548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603594 */     // MIs[0] policy
     /* 1603594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603628 */     // GIR_Coverage, 3248,
     /* 1603628 */     GIR_EraseRootFromParent_Done,
     /* 1603629 */   // Label 22141: @1603629
     /* 1603629 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1603715), // Rule ID 3249 //
     /* 1603634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603680 */     // MIs[0] policy
     /* 1603680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603714 */     // GIR_Coverage, 3249,
     /* 1603714 */     GIR_EraseRootFromParent_Done,
     /* 1603715 */   // Label 22142: @1603715
     /* 1603715 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1603801), // Rule ID 3252 //
     /* 1603720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603766 */     // MIs[0] policy
     /* 1603766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603800 */     // GIR_Coverage, 3252,
     /* 1603800 */     GIR_EraseRootFromParent_Done,
     /* 1603801 */   // Label 22143: @1603801
     /* 1603801 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1603887), // Rule ID 3253 //
     /* 1603806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603852 */     // MIs[0] policy
     /* 1603852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1603865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603886 */     // GIR_Coverage, 3253,
     /* 1603886 */     GIR_EraseRootFromParent_Done,
     /* 1603887 */   // Label 22144: @1603887
     /* 1603887 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1603973), // Rule ID 3256 //
     /* 1603892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603938 */     // MIs[0] policy
     /* 1603938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1603951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603972 */     // GIR_Coverage, 3256,
     /* 1603972 */     GIR_EraseRootFromParent_Done,
     /* 1603973 */   // Label 22145: @1603973
     /* 1603973 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1604059), // Rule ID 3257 //
     /* 1603978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1603986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604024 */     // MIs[0] policy
     /* 1604024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1604037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604058 */     // GIR_Coverage, 3257,
     /* 1604058 */     GIR_EraseRootFromParent_Done,
     /* 1604059 */   // Label 22146: @1604059
     /* 1604059 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1604145), // Rule ID 3260 //
     /* 1604064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1604075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1604078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1604081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604110 */     // MIs[0] policy
     /* 1604110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1604123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604144 */     // GIR_Coverage, 3260,
     /* 1604144 */     GIR_EraseRootFromParent_Done,
     /* 1604145 */   // Label 22147: @1604145
     /* 1604145 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1604231), // Rule ID 3261 //
     /* 1604150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1604161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1604164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1604167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604196 */     // MIs[0] policy
     /* 1604196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604206 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1604209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604230 */     // GIR_Coverage, 3261,
     /* 1604230 */     GIR_EraseRootFromParent_Done,
     /* 1604231 */   // Label 22148: @1604231
     /* 1604231 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1604317), // Rule ID 3264 //
     /* 1604236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1604247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1604250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1604253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1604259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604282 */     // MIs[0] policy
     /* 1604282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1604295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604316 */     // GIR_Coverage, 3264,
     /* 1604316 */     GIR_EraseRootFromParent_Done,
     /* 1604317 */   // Label 22149: @1604317
     /* 1604317 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1604403), // Rule ID 3265 //
     /* 1604322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1604333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1604336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1604339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1604345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604368 */     // MIs[0] policy
     /* 1604368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1604381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604402 */     // GIR_Coverage, 3265,
     /* 1604402 */     GIR_EraseRootFromParent_Done,
     /* 1604403 */   // Label 22150: @1604403
     /* 1604403 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1604489), // Rule ID 3268 //
     /* 1604408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1604425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604454 */     // MIs[0] policy
     /* 1604454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604464 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1604467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604488 */     // GIR_Coverage, 3268,
     /* 1604488 */     GIR_EraseRootFromParent_Done,
     /* 1604489 */   // Label 22151: @1604489
     /* 1604489 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1604575), // Rule ID 3269 //
     /* 1604494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1604511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604540 */     // MIs[0] policy
     /* 1604540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1604553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604574 */     // GIR_Coverage, 3269,
     /* 1604574 */     GIR_EraseRootFromParent_Done,
     /* 1604575 */   // Label 22152: @1604575
     /* 1604575 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1604661), // Rule ID 3272 //
     /* 1604580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1604597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604626 */     // MIs[0] policy
     /* 1604626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1604639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604660 */     // GIR_Coverage, 3272,
     /* 1604660 */     GIR_EraseRootFromParent_Done,
     /* 1604661 */   // Label 22153: @1604661
     /* 1604661 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1604747), // Rule ID 3273 //
     /* 1604666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1604683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604712 */     // MIs[0] policy
     /* 1604712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1604725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604746 */     // GIR_Coverage, 3273,
     /* 1604746 */     GIR_EraseRootFromParent_Done,
     /* 1604747 */   // Label 22154: @1604747
     /* 1604747 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1604833), // Rule ID 3276 //
     /* 1604752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604798 */     // MIs[0] policy
     /* 1604798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1604811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604832 */     // GIR_Coverage, 3276,
     /* 1604832 */     GIR_EraseRootFromParent_Done,
     /* 1604833 */   // Label 22155: @1604833
     /* 1604833 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1604919), // Rule ID 3277 //
     /* 1604838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604884 */     // MIs[0] policy
     /* 1604884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1604897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604918 */     // GIR_Coverage, 3277,
     /* 1604918 */     GIR_EraseRootFromParent_Done,
     /* 1604919 */   // Label 22156: @1604919
     /* 1604919 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1605005), // Rule ID 3280 //
     /* 1604924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1604932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604970 */     // MIs[0] policy
     /* 1604970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1604983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605004 */     // GIR_Coverage, 3280,
     /* 1605004 */     GIR_EraseRootFromParent_Done,
     /* 1605005 */   // Label 22157: @1605005
     /* 1605005 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1605091), // Rule ID 3281 //
     /* 1605010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1605021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1605024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1605027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605056 */     // MIs[0] policy
     /* 1605056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1605069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605090 */     // GIR_Coverage, 3281,
     /* 1605090 */     GIR_EraseRootFromParent_Done,
     /* 1605091 */   // Label 22158: @1605091
     /* 1605091 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1605177), // Rule ID 3284 //
     /* 1605096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1605107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1605110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1605113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605142 */     // MIs[0] policy
     /* 1605142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1605155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605176 */     // GIR_Coverage, 3284,
     /* 1605176 */     GIR_EraseRootFromParent_Done,
     /* 1605177 */   // Label 22159: @1605177
     /* 1605177 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1605263), // Rule ID 3285 //
     /* 1605182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1605193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1605196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1605199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605228 */     // MIs[0] policy
     /* 1605228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1605241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605262 */     // GIR_Coverage, 3285,
     /* 1605262 */     GIR_EraseRootFromParent_Done,
     /* 1605263 */   // Label 22160: @1605263
     /* 1605263 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1605349), // Rule ID 3288 //
     /* 1605268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1605279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1605282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1605285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605314 */     // MIs[0] policy
     /* 1605314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1605327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605348 */     // GIR_Coverage, 3288,
     /* 1605348 */     GIR_EraseRootFromParent_Done,
     /* 1605349 */   // Label 22161: @1605349
     /* 1605349 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1605435), // Rule ID 3289 //
     /* 1605354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1605365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1605368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1605371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605400 */     // MIs[0] policy
     /* 1605400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1605413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605434 */     // GIR_Coverage, 3289,
     /* 1605434 */     GIR_EraseRootFromParent_Done,
     /* 1605435 */   // Label 22162: @1605435
     /* 1605435 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1605521), // Rule ID 3292 //
     /* 1605440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1605457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605486 */     // MIs[0] policy
     /* 1605486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1605499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605520 */     // GIR_Coverage, 3292,
     /* 1605520 */     GIR_EraseRootFromParent_Done,
     /* 1605521 */   // Label 22163: @1605521
     /* 1605521 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1605607), // Rule ID 3293 //
     /* 1605526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1605543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605572 */     // MIs[0] policy
     /* 1605572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1605585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605606 */     // GIR_Coverage, 3293,
     /* 1605606 */     GIR_EraseRootFromParent_Done,
     /* 1605607 */   // Label 22164: @1605607
     /* 1605607 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1605693), // Rule ID 3296 //
     /* 1605612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1605629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605658 */     // MIs[0] policy
     /* 1605658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1605671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605692 */     // GIR_Coverage, 3296,
     /* 1605692 */     GIR_EraseRootFromParent_Done,
     /* 1605693 */   // Label 22165: @1605693
     /* 1605693 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1605779), // Rule ID 3297 //
     /* 1605698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1605715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605744 */     // MIs[0] policy
     /* 1605744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1605757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605778 */     // GIR_Coverage, 3297,
     /* 1605778 */     GIR_EraseRootFromParent_Done,
     /* 1605779 */   // Label 22166: @1605779
     /* 1605779 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1605865), // Rule ID 3300 //
     /* 1605784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605830 */     // MIs[0] policy
     /* 1605830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1605843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605864 */     // GIR_Coverage, 3300,
     /* 1605864 */     GIR_EraseRootFromParent_Done,
     /* 1605865 */   // Label 22167: @1605865
     /* 1605865 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1605951), // Rule ID 3301 //
     /* 1605870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605916 */     // MIs[0] policy
     /* 1605916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1605929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605950 */     // GIR_Coverage, 3301,
     /* 1605950 */     GIR_EraseRootFromParent_Done,
     /* 1605951 */   // Label 22168: @1605951
     /* 1605951 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1606037), // Rule ID 3304 //
     /* 1605956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1605964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1605967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1605970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606002 */     // MIs[0] policy
     /* 1606002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606012 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1606015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606036 */     // GIR_Coverage, 3304,
     /* 1606036 */     GIR_EraseRootFromParent_Done,
     /* 1606037 */   // Label 22169: @1606037
     /* 1606037 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1606123), // Rule ID 3305 //
     /* 1606042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1606053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1606056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1606059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606088 */     // MIs[0] policy
     /* 1606088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1606101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606122 */     // GIR_Coverage, 3305,
     /* 1606122 */     GIR_EraseRootFromParent_Done,
     /* 1606123 */   // Label 22170: @1606123
     /* 1606123 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1606209), // Rule ID 3308 //
     /* 1606128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1606139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1606142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1606145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606174 */     // MIs[0] policy
     /* 1606174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1606187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606208 */     // GIR_Coverage, 3308,
     /* 1606208 */     GIR_EraseRootFromParent_Done,
     /* 1606209 */   // Label 22171: @1606209
     /* 1606209 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1606295), // Rule ID 3309 //
     /* 1606214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1606225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1606228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1606231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606260 */     // MIs[0] policy
     /* 1606260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606270 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1606273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606294 */     // GIR_Coverage, 3309,
     /* 1606294 */     GIR_EraseRootFromParent_Done,
     /* 1606295 */   // Label 22172: @1606295
     /* 1606295 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1606381), // Rule ID 3312 //
     /* 1606300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1606311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1606314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606346 */     // MIs[0] policy
     /* 1606346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606356 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1606359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606380 */     // GIR_Coverage, 3312,
     /* 1606380 */     GIR_EraseRootFromParent_Done,
     /* 1606381 */   // Label 22173: @1606381
     /* 1606381 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1606467), // Rule ID 3313 //
     /* 1606386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1606397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1606400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606432 */     // MIs[0] policy
     /* 1606432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1606445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606466 */     // GIR_Coverage, 3313,
     /* 1606466 */     GIR_EraseRootFromParent_Done,
     /* 1606467 */   // Label 22174: @1606467
     /* 1606467 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1606553), // Rule ID 3316 //
     /* 1606472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1606483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1606486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606518 */     // MIs[0] policy
     /* 1606518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1606531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606552 */     // GIR_Coverage, 3316,
     /* 1606552 */     GIR_EraseRootFromParent_Done,
     /* 1606553 */   // Label 22175: @1606553
     /* 1606553 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1606639), // Rule ID 3317 //
     /* 1606558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1606569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1606572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1606575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606604 */     // MIs[0] policy
     /* 1606604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1606617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606638 */     // GIR_Coverage, 3317,
     /* 1606638 */     GIR_EraseRootFromParent_Done,
     /* 1606639 */   // Label 22176: @1606639
     /* 1606639 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1606725), // Rule ID 3320 //
     /* 1606644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1606655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1606658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606690 */     // MIs[0] policy
     /* 1606690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1606703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606724 */     // GIR_Coverage, 3320,
     /* 1606724 */     GIR_EraseRootFromParent_Done,
     /* 1606725 */   // Label 22177: @1606725
     /* 1606725 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1606811), // Rule ID 3321 //
     /* 1606730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1606741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1606744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1606747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606776 */     // MIs[0] policy
     /* 1606776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1606789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606810 */     // GIR_Coverage, 3321,
     /* 1606810 */     GIR_EraseRootFromParent_Done,
     /* 1606811 */   // Label 22178: @1606811
     /* 1606811 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1606897), // Rule ID 3324 //
     /* 1606816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1606833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606862 */     // MIs[0] policy
     /* 1606862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1606875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606896 */     // GIR_Coverage, 3324,
     /* 1606896 */     GIR_EraseRootFromParent_Done,
     /* 1606897 */   // Label 22179: @1606897
     /* 1606897 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1606983), // Rule ID 3325 //
     /* 1606902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1606919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606948 */     // MIs[0] policy
     /* 1606948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1606961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606982 */     // GIR_Coverage, 3325,
     /* 1606982 */     GIR_EraseRootFromParent_Done,
     /* 1606983 */   // Label 22180: @1606983
     /* 1606983 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1607069), // Rule ID 3328 //
     /* 1606988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1606996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1606999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1607002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1607005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607034 */     // MIs[0] policy
     /* 1607034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607068 */     // GIR_Coverage, 3328,
     /* 1607068 */     GIR_EraseRootFromParent_Done,
     /* 1607069 */   // Label 22181: @1607069
     /* 1607069 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1607155), // Rule ID 3329 //
     /* 1607074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1607085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1607088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1607091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607120 */     // MIs[0] policy
     /* 1607120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607154 */     // GIR_Coverage, 3329,
     /* 1607154 */     GIR_EraseRootFromParent_Done,
     /* 1607155 */   // Label 22182: @1607155
     /* 1607155 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1607241), // Rule ID 3332 //
     /* 1607160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1607171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1607174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1607177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607206 */     // MIs[0] policy
     /* 1607206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607240 */     // GIR_Coverage, 3332,
     /* 1607240 */     GIR_EraseRootFromParent_Done,
     /* 1607241 */   // Label 22183: @1607241
     /* 1607241 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1607327), // Rule ID 3333 //
     /* 1607246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1607257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1607260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1607263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607292 */     // MIs[0] policy
     /* 1607292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607326 */     // GIR_Coverage, 3333,
     /* 1607326 */     GIR_EraseRootFromParent_Done,
     /* 1607327 */   // Label 22184: @1607327
     /* 1607327 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1607413), // Rule ID 3336 //
     /* 1607332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1607343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1607346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607378 */     // MIs[0] policy
     /* 1607378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607412 */     // GIR_Coverage, 3336,
     /* 1607412 */     GIR_EraseRootFromParent_Done,
     /* 1607413 */   // Label 22185: @1607413
     /* 1607413 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1607499), // Rule ID 3337 //
     /* 1607418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1607429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1607432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1607435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607464 */     // MIs[0] policy
     /* 1607464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607498 */     // GIR_Coverage, 3337,
     /* 1607498 */     GIR_EraseRootFromParent_Done,
     /* 1607499 */   // Label 22186: @1607499
     /* 1607499 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1607585), // Rule ID 3340 //
     /* 1607504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1607507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1607521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607550 */     // MIs[0] policy
     /* 1607550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607584 */     // GIR_Coverage, 3340,
     /* 1607584 */     GIR_EraseRootFromParent_Done,
     /* 1607585 */   // Label 22187: @1607585
     /* 1607585 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1607671), // Rule ID 3341 //
     /* 1607590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1607593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1607601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1607604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1607607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607636 */     // MIs[0] policy
     /* 1607636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1607649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607670 */     // GIR_Coverage, 3341,
     /* 1607670 */     GIR_EraseRootFromParent_Done,
     /* 1607671 */   // Label 22188: @1607671
     /* 1607671 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1607757), // Rule ID 3344 //
     /* 1607676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1607687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1607690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1607693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607722 */     // MIs[0] policy
     /* 1607722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1607735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607756 */     // GIR_Coverage, 3344,
     /* 1607756 */     GIR_EraseRootFromParent_Done,
     /* 1607757 */   // Label 22189: @1607757
     /* 1607757 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1607843), // Rule ID 3345 //
     /* 1607762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1607773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1607776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1607779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607808 */     // MIs[0] policy
     /* 1607808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1607821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607842 */     // GIR_Coverage, 3345,
     /* 1607842 */     GIR_EraseRootFromParent_Done,
     /* 1607843 */   // Label 22190: @1607843
     /* 1607843 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1607929), // Rule ID 3348 //
     /* 1607848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1607859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1607862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607894 */     // MIs[0] policy
     /* 1607894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607904 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1607907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607928 */     // GIR_Coverage, 3348,
     /* 1607928 */     GIR_EraseRootFromParent_Done,
     /* 1607929 */   // Label 22191: @1607929
     /* 1607929 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1608015), // Rule ID 3349 //
     /* 1607934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1607942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1607945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1607948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607980 */     // MIs[0] policy
     /* 1607980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1607993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608014 */     // GIR_Coverage, 3349,
     /* 1608014 */     GIR_EraseRootFromParent_Done,
     /* 1608015 */   // Label 22192: @1608015
     /* 1608015 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1608101), // Rule ID 3352 //
     /* 1608020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1608031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1608034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1608037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1608043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608066 */     // MIs[0] policy
     /* 1608066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1608079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608100 */     // GIR_Coverage, 3352,
     /* 1608100 */     GIR_EraseRootFromParent_Done,
     /* 1608101 */   // Label 22193: @1608101
     /* 1608101 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1608187), // Rule ID 3353 //
     /* 1608106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1608117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1608120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1608123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1608129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608152 */     // MIs[0] policy
     /* 1608152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1608165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608186 */     // GIR_Coverage, 3353,
     /* 1608186 */     GIR_EraseRootFromParent_Done,
     /* 1608187 */   // Label 22194: @1608187
     /* 1608187 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1608273), // Rule ID 3356 //
     /* 1608192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608238 */     // MIs[0] policy
     /* 1608238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1608251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608272 */     // GIR_Coverage, 3356,
     /* 1608272 */     GIR_EraseRootFromParent_Done,
     /* 1608273 */   // Label 22195: @1608273
     /* 1608273 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1608359), // Rule ID 3357 //
     /* 1608278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1608289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1608292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608324 */     // MIs[0] policy
     /* 1608324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1608337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608358 */     // GIR_Coverage, 3357,
     /* 1608358 */     GIR_EraseRootFromParent_Done,
     /* 1608359 */   // Label 22196: @1608359
     /* 1608359 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1608445), // Rule ID 3360 //
     /* 1608364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608410 */     // MIs[0] policy
     /* 1608410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1608423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608444 */     // GIR_Coverage, 3360,
     /* 1608444 */     GIR_EraseRootFromParent_Done,
     /* 1608445 */   // Label 22197: @1608445
     /* 1608445 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1608531), // Rule ID 3361 //
     /* 1608450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1608461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1608464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608496 */     // MIs[0] policy
     /* 1608496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1608509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608530 */     // GIR_Coverage, 3361,
     /* 1608530 */     GIR_EraseRootFromParent_Done,
     /* 1608531 */   // Label 22198: @1608531
     /* 1608531 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1608617), // Rule ID 3364 //
     /* 1608536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1608547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1608550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1608553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1608559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608582 */     // MIs[0] policy
     /* 1608582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608592 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1608595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608616 */     // GIR_Coverage, 3364,
     /* 1608616 */     GIR_EraseRootFromParent_Done,
     /* 1608617 */   // Label 22199: @1608617
     /* 1608617 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1608703), // Rule ID 3365 //
     /* 1608622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1608633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1608636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1608639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1608645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608668 */     // MIs[0] policy
     /* 1608668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608678 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1608681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608702 */     // GIR_Coverage, 3365,
     /* 1608702 */     GIR_EraseRootFromParent_Done,
     /* 1608703 */   // Label 22200: @1608703
     /* 1608703 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1608789), // Rule ID 3368 //
     /* 1608708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1608719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1608722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1608725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608754 */     // MIs[0] policy
     /* 1608754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1608767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608788 */     // GIR_Coverage, 3368,
     /* 1608788 */     GIR_EraseRootFromParent_Done,
     /* 1608789 */   // Label 22201: @1608789
     /* 1608789 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1608875), // Rule ID 3369 //
     /* 1608794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1608805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1608808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1608811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608840 */     // MIs[0] policy
     /* 1608840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1608853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608874 */     // GIR_Coverage, 3369,
     /* 1608874 */     GIR_EraseRootFromParent_Done,
     /* 1608875 */   // Label 22202: @1608875
     /* 1608875 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1608961), // Rule ID 3372 //
     /* 1608880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608926 */     // MIs[0] policy
     /* 1608926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1608939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608960 */     // GIR_Coverage, 3372,
     /* 1608960 */     GIR_EraseRootFromParent_Done,
     /* 1608961 */   // Label 22203: @1608961
     /* 1608961 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1609047), // Rule ID 3373 //
     /* 1608966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1608974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609012 */     // MIs[0] policy
     /* 1609012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1609025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609046 */     // GIR_Coverage, 3373,
     /* 1609046 */     GIR_EraseRootFromParent_Done,
     /* 1609047 */   // Label 22204: @1609047
     /* 1609047 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1609133), // Rule ID 3376 //
     /* 1609052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1609069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609098 */     // MIs[0] policy
     /* 1609098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1609111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609132 */     // GIR_Coverage, 3376,
     /* 1609132 */     GIR_EraseRootFromParent_Done,
     /* 1609133 */   // Label 22205: @1609133
     /* 1609133 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1609219), // Rule ID 3377 //
     /* 1609138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1609149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1609152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1609155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609184 */     // MIs[0] policy
     /* 1609184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1609197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609218 */     // GIR_Coverage, 3377,
     /* 1609218 */     GIR_EraseRootFromParent_Done,
     /* 1609219 */   // Label 22206: @1609219
     /* 1609219 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1609305), // Rule ID 3380 //
     /* 1609224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1609227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1609241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609270 */     // MIs[0] policy
     /* 1609270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1609283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609304 */     // GIR_Coverage, 3380,
     /* 1609304 */     GIR_EraseRootFromParent_Done,
     /* 1609305 */   // Label 22207: @1609305
     /* 1609305 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1609391), // Rule ID 3381 //
     /* 1609310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1609313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1609327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609356 */     // MIs[0] policy
     /* 1609356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1609369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609390 */     // GIR_Coverage, 3381,
     /* 1609390 */     GIR_EraseRootFromParent_Done,
     /* 1609391 */   // Label 22208: @1609391
     /* 1609391 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1609477), // Rule ID 3384 //
     /* 1609396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1609399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1609407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1609410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1609413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609442 */     // MIs[0] policy
     /* 1609442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1609455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609476 */     // GIR_Coverage, 3384,
     /* 1609476 */     GIR_EraseRootFromParent_Done,
     /* 1609477 */   // Label 22209: @1609477
     /* 1609477 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1609563), // Rule ID 3385 //
     /* 1609482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1609485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1609493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1609496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1609499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609528 */     // MIs[0] policy
     /* 1609528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1609541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609562 */     // GIR_Coverage, 3385,
     /* 1609562 */     GIR_EraseRootFromParent_Done,
     /* 1609563 */   // Label 22210: @1609563
     /* 1609563 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1609649), // Rule ID 3388 //
     /* 1609568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1609571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1609579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1609582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1609585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609614 */     // MIs[0] policy
     /* 1609614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1609627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609648 */     // GIR_Coverage, 3388,
     /* 1609648 */     GIR_EraseRootFromParent_Done,
     /* 1609649 */   // Label 22211: @1609649
     /* 1609649 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1609735), // Rule ID 3389 //
     /* 1609654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1609657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1609662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1609665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1609668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1609671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609700 */     // MIs[0] policy
     /* 1609700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1609713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609734 */     // GIR_Coverage, 3389,
     /* 1609734 */     GIR_EraseRootFromParent_Done,
     /* 1609735 */   // Label 22212: @1609735
     /* 1609735 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1609821), // Rule ID 3480 //
     /* 1609740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1609760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609786 */     // MIs[0] policy
     /* 1609786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609796 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1609799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609820 */     // GIR_Coverage, 3480,
     /* 1609820 */     GIR_EraseRootFromParent_Done,
     /* 1609821 */   // Label 22213: @1609821
     /* 1609821 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1609907), // Rule ID 3481 //
     /* 1609826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1609846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609872 */     // MIs[0] policy
     /* 1609872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609882 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1609885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609906 */     // GIR_Coverage, 3481,
     /* 1609906 */     GIR_EraseRootFromParent_Done,
     /* 1609907 */   // Label 22214: @1609907
     /* 1609907 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1609993), // Rule ID 3484 //
     /* 1609912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1609932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609958 */     // MIs[0] policy
     /* 1609958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1609971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609992 */     // GIR_Coverage, 3484,
     /* 1609992 */     GIR_EraseRootFromParent_Done,
     /* 1609993 */   // Label 22215: @1609993
     /* 1609993 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1610079), // Rule ID 3485 //
     /* 1609998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1610009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1610012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1610015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1610018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610044 */     // MIs[0] policy
     /* 1610044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1610057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610078 */     // GIR_Coverage, 3485,
     /* 1610078 */     GIR_EraseRootFromParent_Done,
     /* 1610079 */   // Label 22216: @1610079
     /* 1610079 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1610165), // Rule ID 3488 //
     /* 1610084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1610101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1610104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610130 */     // MIs[0] policy
     /* 1610130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1610143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610164 */     // GIR_Coverage, 3488,
     /* 1610164 */     GIR_EraseRootFromParent_Done,
     /* 1610165 */   // Label 22217: @1610165
     /* 1610165 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1610251), // Rule ID 3489 //
     /* 1610170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1610187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1610190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610216 */     // MIs[0] policy
     /* 1610216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610226 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1610229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610250 */     // GIR_Coverage, 3489,
     /* 1610250 */     GIR_EraseRootFromParent_Done,
     /* 1610251 */   // Label 22218: @1610251
     /* 1610251 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1610337), // Rule ID 3492 //
     /* 1610256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610302 */     // MIs[0] policy
     /* 1610302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1610315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610336 */     // GIR_Coverage, 3492,
     /* 1610336 */     GIR_EraseRootFromParent_Done,
     /* 1610337 */   // Label 22219: @1610337
     /* 1610337 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1610423), // Rule ID 3493 //
     /* 1610342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610388 */     // MIs[0] policy
     /* 1610388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610398 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1610401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610422 */     // GIR_Coverage, 3493,
     /* 1610422 */     GIR_EraseRootFromParent_Done,
     /* 1610423 */   // Label 22220: @1610423
     /* 1610423 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1610509), // Rule ID 3496 //
     /* 1610428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1610448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610474 */     // MIs[0] policy
     /* 1610474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610484 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1610487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610508 */     // GIR_Coverage, 3496,
     /* 1610508 */     GIR_EraseRootFromParent_Done,
     /* 1610509 */   // Label 22221: @1610509
     /* 1610509 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1610595), // Rule ID 3497 //
     /* 1610514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1610534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610560 */     // MIs[0] policy
     /* 1610560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1610573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610594 */     // GIR_Coverage, 3497,
     /* 1610594 */     GIR_EraseRootFromParent_Done,
     /* 1610595 */   // Label 22222: @1610595
     /* 1610595 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1610681), // Rule ID 3500 //
     /* 1610600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1610620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610646 */     // MIs[0] policy
     /* 1610646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610656 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1610659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610680 */     // GIR_Coverage, 3500,
     /* 1610680 */     GIR_EraseRootFromParent_Done,
     /* 1610681 */   // Label 22223: @1610681
     /* 1610681 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1610767), // Rule ID 3501 //
     /* 1610686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1610706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610732 */     // MIs[0] policy
     /* 1610732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1610745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610766 */     // GIR_Coverage, 3501,
     /* 1610766 */     GIR_EraseRootFromParent_Done,
     /* 1610767 */   // Label 22224: @1610767
     /* 1610767 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1610853), // Rule ID 3504 //
     /* 1610772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1610792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610818 */     // MIs[0] policy
     /* 1610818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610828 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1610831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610852 */     // GIR_Coverage, 3504,
     /* 1610852 */     GIR_EraseRootFromParent_Done,
     /* 1610853 */   // Label 22225: @1610853
     /* 1610853 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1610939), // Rule ID 3505 //
     /* 1610858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1610878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610904 */     // MIs[0] policy
     /* 1610904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610914 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1610917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610938 */     // GIR_Coverage, 3505,
     /* 1610938 */     GIR_EraseRootFromParent_Done,
     /* 1610939 */   // Label 22226: @1610939
     /* 1610939 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1611025), // Rule ID 3508 //
     /* 1610944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1610952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1610961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1610964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610990 */     // MIs[0] policy
     /* 1610990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1611003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611024 */     // GIR_Coverage, 3508,
     /* 1611024 */     GIR_EraseRootFromParent_Done,
     /* 1611025 */   // Label 22227: @1611025
     /* 1611025 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1611111), // Rule ID 3509 //
     /* 1611030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1611041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1611044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1611047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1611050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611076 */     // MIs[0] policy
     /* 1611076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1611089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611110 */     // GIR_Coverage, 3509,
     /* 1611110 */     GIR_EraseRootFromParent_Done,
     /* 1611111 */   // Label 22228: @1611111
     /* 1611111 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1611197), // Rule ID 3512 //
     /* 1611116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1611136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611162 */     // MIs[0] policy
     /* 1611162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1611175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611196 */     // GIR_Coverage, 3512,
     /* 1611196 */     GIR_EraseRootFromParent_Done,
     /* 1611197 */   // Label 22229: @1611197
     /* 1611197 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1611283), // Rule ID 3513 //
     /* 1611202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1611222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611248 */     // MIs[0] policy
     /* 1611248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1611261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611282 */     // GIR_Coverage, 3513,
     /* 1611282 */     GIR_EraseRootFromParent_Done,
     /* 1611283 */   // Label 22230: @1611283
     /* 1611283 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1611369), // Rule ID 3516 //
     /* 1611288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1611308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611334 */     // MIs[0] policy
     /* 1611334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1611347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611368 */     // GIR_Coverage, 3516,
     /* 1611368 */     GIR_EraseRootFromParent_Done,
     /* 1611369 */   // Label 22231: @1611369
     /* 1611369 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1611455), // Rule ID 3517 //
     /* 1611374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1611394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611420 */     // MIs[0] policy
     /* 1611420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1611433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611454 */     // GIR_Coverage, 3517,
     /* 1611454 */     GIR_EraseRootFromParent_Done,
     /* 1611455 */   // Label 22232: @1611455
     /* 1611455 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1611541), // Rule ID 3520 //
     /* 1611460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1611480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611506 */     // MIs[0] policy
     /* 1611506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611516 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1611519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611540 */     // GIR_Coverage, 3520,
     /* 1611540 */     GIR_EraseRootFromParent_Done,
     /* 1611541 */   // Label 22233: @1611541
     /* 1611541 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1611627), // Rule ID 3521 //
     /* 1611546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1611566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611592 */     // MIs[0] policy
     /* 1611592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1611605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611626 */     // GIR_Coverage, 3521,
     /* 1611626 */     GIR_EraseRootFromParent_Done,
     /* 1611627 */   // Label 22234: @1611627
     /* 1611627 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1611713), // Rule ID 3524 //
     /* 1611632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1611652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611678 */     // MIs[0] policy
     /* 1611678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611688 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1611691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611712 */     // GIR_Coverage, 3524,
     /* 1611712 */     GIR_EraseRootFromParent_Done,
     /* 1611713 */   // Label 22235: @1611713
     /* 1611713 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1611799), // Rule ID 3525 //
     /* 1611718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1611738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611764 */     // MIs[0] policy
     /* 1611764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1611777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611798 */     // GIR_Coverage, 3525,
     /* 1611798 */     GIR_EraseRootFromParent_Done,
     /* 1611799 */   // Label 22236: @1611799
     /* 1611799 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1611885), // Rule ID 3528 //
     /* 1611804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1611824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611850 */     // MIs[0] policy
     /* 1611850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1611863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611884 */     // GIR_Coverage, 3528,
     /* 1611884 */     GIR_EraseRootFromParent_Done,
     /* 1611885 */   // Label 22237: @1611885
     /* 1611885 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1611971), // Rule ID 3529 //
     /* 1611890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1611910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611936 */     // MIs[0] policy
     /* 1611936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1611949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611970 */     // GIR_Coverage, 3529,
     /* 1611970 */     GIR_EraseRootFromParent_Done,
     /* 1611971 */   // Label 22238: @1611971
     /* 1611971 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1612057), // Rule ID 3532 //
     /* 1611976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1611984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1611996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612022 */     // MIs[0] policy
     /* 1612022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1612035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612056 */     // GIR_Coverage, 3532,
     /* 1612056 */     GIR_EraseRootFromParent_Done,
     /* 1612057 */   // Label 22239: @1612057
     /* 1612057 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1612143), // Rule ID 3533 //
     /* 1612062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1612082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612108 */     // MIs[0] policy
     /* 1612108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1612121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612142 */     // GIR_Coverage, 3533,
     /* 1612142 */     GIR_EraseRootFromParent_Done,
     /* 1612143 */   // Label 22240: @1612143
     /* 1612143 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1612229), // Rule ID 3536 //
     /* 1612148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1612168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612194 */     // MIs[0] policy
     /* 1612194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1612207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612228 */     // GIR_Coverage, 3536,
     /* 1612228 */     GIR_EraseRootFromParent_Done,
     /* 1612229 */   // Label 22241: @1612229
     /* 1612229 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1612315), // Rule ID 3537 //
     /* 1612234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1612254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612280 */     // MIs[0] policy
     /* 1612280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1612293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612314 */     // GIR_Coverage, 3537,
     /* 1612314 */     GIR_EraseRootFromParent_Done,
     /* 1612315 */   // Label 22242: @1612315
     /* 1612315 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1612401), // Rule ID 3540 //
     /* 1612320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612366 */     // MIs[0] policy
     /* 1612366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1612379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612400 */     // GIR_Coverage, 3540,
     /* 1612400 */     GIR_EraseRootFromParent_Done,
     /* 1612401 */   // Label 22243: @1612401
     /* 1612401 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1612487), // Rule ID 3541 //
     /* 1612406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612452 */     // MIs[0] policy
     /* 1612452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1612465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612486 */     // GIR_Coverage, 3541,
     /* 1612486 */     GIR_EraseRootFromParent_Done,
     /* 1612487 */   // Label 22244: @1612487
     /* 1612487 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1612573), // Rule ID 3544 //
     /* 1612492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612538 */     // MIs[0] policy
     /* 1612538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1612551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612572 */     // GIR_Coverage, 3544,
     /* 1612572 */     GIR_EraseRootFromParent_Done,
     /* 1612573 */   // Label 22245: @1612573
     /* 1612573 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1612659), // Rule ID 3545 //
     /* 1612578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612624 */     // MIs[0] policy
     /* 1612624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1612637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612658 */     // GIR_Coverage, 3545,
     /* 1612658 */     GIR_EraseRootFromParent_Done,
     /* 1612659 */   // Label 22246: @1612659
     /* 1612659 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1612745), // Rule ID 3548 //
     /* 1612664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612710 */     // MIs[0] policy
     /* 1612710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1612723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612744 */     // GIR_Coverage, 3548,
     /* 1612744 */     GIR_EraseRootFromParent_Done,
     /* 1612745 */   // Label 22247: @1612745
     /* 1612745 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1612831), // Rule ID 3549 //
     /* 1612750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612796 */     // MIs[0] policy
     /* 1612796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1612809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612830 */     // GIR_Coverage, 3549,
     /* 1612830 */     GIR_EraseRootFromParent_Done,
     /* 1612831 */   // Label 22248: @1612831
     /* 1612831 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1612917), // Rule ID 3552 //
     /* 1612836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612882 */     // MIs[0] policy
     /* 1612882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1612895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612916 */     // GIR_Coverage, 3552,
     /* 1612916 */     GIR_EraseRootFromParent_Done,
     /* 1612917 */   // Label 22249: @1612917
     /* 1612917 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1613003), // Rule ID 3553 //
     /* 1612922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1612930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612968 */     // MIs[0] policy
     /* 1612968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1612981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613002 */     // GIR_Coverage, 3553,
     /* 1613002 */     GIR_EraseRootFromParent_Done,
     /* 1613003 */   // Label 22250: @1613003
     /* 1613003 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1613089), // Rule ID 3556 //
     /* 1613008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613054 */     // MIs[0] policy
     /* 1613054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1613067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613088 */     // GIR_Coverage, 3556,
     /* 1613088 */     GIR_EraseRootFromParent_Done,
     /* 1613089 */   // Label 22251: @1613089
     /* 1613089 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1613175), // Rule ID 3557 //
     /* 1613094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613140 */     // MIs[0] policy
     /* 1613140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613150 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1613153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613174 */     // GIR_Coverage, 3557,
     /* 1613174 */     GIR_EraseRootFromParent_Done,
     /* 1613175 */   // Label 22252: @1613175
     /* 1613175 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1613261), // Rule ID 3560 //
     /* 1613180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613226 */     // MIs[0] policy
     /* 1613226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613236 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1613239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613260 */     // GIR_Coverage, 3560,
     /* 1613260 */     GIR_EraseRootFromParent_Done,
     /* 1613261 */   // Label 22253: @1613261
     /* 1613261 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1613347), // Rule ID 3561 //
     /* 1613266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613312 */     // MIs[0] policy
     /* 1613312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1613325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613346 */     // GIR_Coverage, 3561,
     /* 1613346 */     GIR_EraseRootFromParent_Done,
     /* 1613347 */   // Label 22254: @1613347
     /* 1613347 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1613433), // Rule ID 3564 //
     /* 1613352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613398 */     // MIs[0] policy
     /* 1613398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1613411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613432 */     // GIR_Coverage, 3564,
     /* 1613432 */     GIR_EraseRootFromParent_Done,
     /* 1613433 */   // Label 22255: @1613433
     /* 1613433 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1613519), // Rule ID 3565 //
     /* 1613438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613484 */     // MIs[0] policy
     /* 1613484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1613497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613518 */     // GIR_Coverage, 3565,
     /* 1613518 */     GIR_EraseRootFromParent_Done,
     /* 1613519 */   // Label 22256: @1613519
     /* 1613519 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1613605), // Rule ID 3568 //
     /* 1613524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613570 */     // MIs[0] policy
     /* 1613570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1613583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613604 */     // GIR_Coverage, 3568,
     /* 1613604 */     GIR_EraseRootFromParent_Done,
     /* 1613605 */   // Label 22257: @1613605
     /* 1613605 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1613691), // Rule ID 3569 //
     /* 1613610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613656 */     // MIs[0] policy
     /* 1613656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613666 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1613669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613690 */     // GIR_Coverage, 3569,
     /* 1613690 */     GIR_EraseRootFromParent_Done,
     /* 1613691 */   // Label 22258: @1613691
     /* 1613691 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1613777), // Rule ID 3572 //
     /* 1613696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613742 */     // MIs[0] policy
     /* 1613742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1613755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613776 */     // GIR_Coverage, 3572,
     /* 1613776 */     GIR_EraseRootFromParent_Done,
     /* 1613777 */   // Label 22259: @1613777
     /* 1613777 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1613863), // Rule ID 3573 //
     /* 1613782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613828 */     // MIs[0] policy
     /* 1613828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1613841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613862 */     // GIR_Coverage, 3573,
     /* 1613862 */     GIR_EraseRootFromParent_Done,
     /* 1613863 */   // Label 22260: @1613863
     /* 1613863 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1613949), // Rule ID 3576 //
     /* 1613868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613914 */     // MIs[0] policy
     /* 1613914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1613927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613948 */     // GIR_Coverage, 3576,
     /* 1613948 */     GIR_EraseRootFromParent_Done,
     /* 1613949 */   // Label 22261: @1613949
     /* 1613949 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1614035), // Rule ID 3577 //
     /* 1613954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1613962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614000 */     // MIs[0] policy
     /* 1614000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614010 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1614013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614034 */     // GIR_Coverage, 3577,
     /* 1614034 */     GIR_EraseRootFromParent_Done,
     /* 1614035 */   // Label 22262: @1614035
     /* 1614035 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1614121), // Rule ID 3580 //
     /* 1614040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614086 */     // MIs[0] policy
     /* 1614086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1614099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614120 */     // GIR_Coverage, 3580,
     /* 1614120 */     GIR_EraseRootFromParent_Done,
     /* 1614121 */   // Label 22263: @1614121
     /* 1614121 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1614207), // Rule ID 3581 //
     /* 1614126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614172 */     // MIs[0] policy
     /* 1614172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1614185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614206 */     // GIR_Coverage, 3581,
     /* 1614206 */     GIR_EraseRootFromParent_Done,
     /* 1614207 */   // Label 22264: @1614207
     /* 1614207 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1614293), // Rule ID 3584 //
     /* 1614212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614258 */     // MIs[0] policy
     /* 1614258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1614271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614292 */     // GIR_Coverage, 3584,
     /* 1614292 */     GIR_EraseRootFromParent_Done,
     /* 1614293 */   // Label 22265: @1614293
     /* 1614293 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1614379), // Rule ID 3585 //
     /* 1614298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614344 */     // MIs[0] policy
     /* 1614344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1614357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614378 */     // GIR_Coverage, 3585,
     /* 1614378 */     GIR_EraseRootFromParent_Done,
     /* 1614379 */   // Label 22266: @1614379
     /* 1614379 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1614465), // Rule ID 3588 //
     /* 1614384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614430 */     // MIs[0] policy
     /* 1614430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1614443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614464 */     // GIR_Coverage, 3588,
     /* 1614464 */     GIR_EraseRootFromParent_Done,
     /* 1614465 */   // Label 22267: @1614465
     /* 1614465 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1614551), // Rule ID 3589 //
     /* 1614470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614516 */     // MIs[0] policy
     /* 1614516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1614529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614550 */     // GIR_Coverage, 3589,
     /* 1614550 */     GIR_EraseRootFromParent_Done,
     /* 1614551 */   // Label 22268: @1614551
     /* 1614551 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1614637), // Rule ID 3592 //
     /* 1614556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614602 */     // MIs[0] policy
     /* 1614602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1614615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614636 */     // GIR_Coverage, 3592,
     /* 1614636 */     GIR_EraseRootFromParent_Done,
     /* 1614637 */   // Label 22269: @1614637
     /* 1614637 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1614723), // Rule ID 3593 //
     /* 1614642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614688 */     // MIs[0] policy
     /* 1614688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614698 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1614701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614722 */     // GIR_Coverage, 3593,
     /* 1614722 */     GIR_EraseRootFromParent_Done,
     /* 1614723 */   // Label 22270: @1614723
     /* 1614723 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1614809), // Rule ID 3596 //
     /* 1614728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614774 */     // MIs[0] policy
     /* 1614774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1614787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614808 */     // GIR_Coverage, 3596,
     /* 1614808 */     GIR_EraseRootFromParent_Done,
     /* 1614809 */   // Label 22271: @1614809
     /* 1614809 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1614895), // Rule ID 3597 //
     /* 1614814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1614822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614860 */     // MIs[0] policy
     /* 1614860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614870 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1614873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614894 */     // GIR_Coverage, 3597,
     /* 1614894 */     GIR_EraseRootFromParent_Done,
     /* 1614895 */   // Label 22272: @1614895
     /* 1614895 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1614981), // Rule ID 3600 //
     /* 1614900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1614920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614946 */     // MIs[0] policy
     /* 1614946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1614959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614980 */     // GIR_Coverage, 3600,
     /* 1614980 */     GIR_EraseRootFromParent_Done,
     /* 1614981 */   // Label 22273: @1614981
     /* 1614981 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1615067), // Rule ID 3601 //
     /* 1614986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1615006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615032 */     // MIs[0] policy
     /* 1615032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1615045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615066 */     // GIR_Coverage, 3601,
     /* 1615066 */     GIR_EraseRootFromParent_Done,
     /* 1615067 */   // Label 22274: @1615067
     /* 1615067 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1615153), // Rule ID 3604 //
     /* 1615072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1615092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615118 */     // MIs[0] policy
     /* 1615118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1615131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615152 */     // GIR_Coverage, 3604,
     /* 1615152 */     GIR_EraseRootFromParent_Done,
     /* 1615153 */   // Label 22275: @1615153
     /* 1615153 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1615239), // Rule ID 3605 //
     /* 1615158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1615178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615204 */     // MIs[0] policy
     /* 1615204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1615217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615238 */     // GIR_Coverage, 3605,
     /* 1615238 */     GIR_EraseRootFromParent_Done,
     /* 1615239 */   // Label 22276: @1615239
     /* 1615239 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1615325), // Rule ID 3608 //
     /* 1615244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615290 */     // MIs[0] policy
     /* 1615290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1615303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615324 */     // GIR_Coverage, 3608,
     /* 1615324 */     GIR_EraseRootFromParent_Done,
     /* 1615325 */   // Label 22277: @1615325
     /* 1615325 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1615411), // Rule ID 3609 //
     /* 1615330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615376 */     // MIs[0] policy
     /* 1615376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1615389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615410 */     // GIR_Coverage, 3609,
     /* 1615410 */     GIR_EraseRootFromParent_Done,
     /* 1615411 */   // Label 22278: @1615411
     /* 1615411 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1615497), // Rule ID 3612 //
     /* 1615416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1615436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615462 */     // MIs[0] policy
     /* 1615462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1615475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615496 */     // GIR_Coverage, 3612,
     /* 1615496 */     GIR_EraseRootFromParent_Done,
     /* 1615497 */   // Label 22279: @1615497
     /* 1615497 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1615583), // Rule ID 3613 //
     /* 1615502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1615522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615548 */     // MIs[0] policy
     /* 1615548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1615561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615582 */     // GIR_Coverage, 3613,
     /* 1615582 */     GIR_EraseRootFromParent_Done,
     /* 1615583 */   // Label 22280: @1615583
     /* 1615583 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1615669), // Rule ID 3616 //
     /* 1615588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1615608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615634 */     // MIs[0] policy
     /* 1615634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1615647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615668 */     // GIR_Coverage, 3616,
     /* 1615668 */     GIR_EraseRootFromParent_Done,
     /* 1615669 */   // Label 22281: @1615669
     /* 1615669 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1615755), // Rule ID 3617 //
     /* 1615674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1615694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615720 */     // MIs[0] policy
     /* 1615720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1615733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615754 */     // GIR_Coverage, 3617,
     /* 1615754 */     GIR_EraseRootFromParent_Done,
     /* 1615755 */   // Label 22282: @1615755
     /* 1615755 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1615841), // Rule ID 3620 //
     /* 1615760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1615780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615806 */     // MIs[0] policy
     /* 1615806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1615819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615840 */     // GIR_Coverage, 3620,
     /* 1615840 */     GIR_EraseRootFromParent_Done,
     /* 1615841 */   // Label 22283: @1615841
     /* 1615841 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1615927), // Rule ID 3621 //
     /* 1615846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1615866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615892 */     // MIs[0] policy
     /* 1615892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615902 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1615905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615926 */     // GIR_Coverage, 3621,
     /* 1615926 */     GIR_EraseRootFromParent_Done,
     /* 1615927 */   // Label 22284: @1615927
     /* 1615927 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1616013), // Rule ID 3624 //
     /* 1615932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1615940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1615952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615978 */     // MIs[0] policy
     /* 1615978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1615991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616012 */     // GIR_Coverage, 3624,
     /* 1616012 */     GIR_EraseRootFromParent_Done,
     /* 1616013 */   // Label 22285: @1616013
     /* 1616013 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1616099), // Rule ID 3625 //
     /* 1616018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1616038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616064 */     // MIs[0] policy
     /* 1616064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1616077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616098 */     // GIR_Coverage, 3625,
     /* 1616098 */     GIR_EraseRootFromParent_Done,
     /* 1616099 */   // Label 22286: @1616099
     /* 1616099 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1616185), // Rule ID 3628 //
     /* 1616104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1616124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616150 */     // MIs[0] policy
     /* 1616150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1616163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616184 */     // GIR_Coverage, 3628,
     /* 1616184 */     GIR_EraseRootFromParent_Done,
     /* 1616185 */   // Label 22287: @1616185
     /* 1616185 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1616271), // Rule ID 3629 //
     /* 1616190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1616210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616236 */     // MIs[0] policy
     /* 1616236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1616249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616270 */     // GIR_Coverage, 3629,
     /* 1616270 */     GIR_EraseRootFromParent_Done,
     /* 1616271 */   // Label 22288: @1616271
     /* 1616271 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1616357), // Rule ID 3632 //
     /* 1616276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616322 */     // MIs[0] policy
     /* 1616322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1616335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616356 */     // GIR_Coverage, 3632,
     /* 1616356 */     GIR_EraseRootFromParent_Done,
     /* 1616357 */   // Label 22289: @1616357
     /* 1616357 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1616443), // Rule ID 3633 //
     /* 1616362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616408 */     // MIs[0] policy
     /* 1616408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1616421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616442 */     // GIR_Coverage, 3633,
     /* 1616442 */     GIR_EraseRootFromParent_Done,
     /* 1616443 */   // Label 22290: @1616443
     /* 1616443 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1616529), // Rule ID 3636 //
     /* 1616448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1616468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616494 */     // MIs[0] policy
     /* 1616494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1616507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616528 */     // GIR_Coverage, 3636,
     /* 1616528 */     GIR_EraseRootFromParent_Done,
     /* 1616529 */   // Label 22291: @1616529
     /* 1616529 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1616615), // Rule ID 3637 //
     /* 1616534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1616554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616580 */     // MIs[0] policy
     /* 1616580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1616593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616614 */     // GIR_Coverage, 3637,
     /* 1616614 */     GIR_EraseRootFromParent_Done,
     /* 1616615 */   // Label 22292: @1616615
     /* 1616615 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1616701), // Rule ID 3640 //
     /* 1616620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1616640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616666 */     // MIs[0] policy
     /* 1616666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1616679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616700 */     // GIR_Coverage, 3640,
     /* 1616700 */     GIR_EraseRootFromParent_Done,
     /* 1616701 */   // Label 22293: @1616701
     /* 1616701 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1616787), // Rule ID 3641 //
     /* 1616706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1616726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616752 */     // MIs[0] policy
     /* 1616752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1616765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616786 */     // GIR_Coverage, 3641,
     /* 1616786 */     GIR_EraseRootFromParent_Done,
     /* 1616787 */   // Label 22294: @1616787
     /* 1616787 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1616873), // Rule ID 3644 //
     /* 1616792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1616812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616838 */     // MIs[0] policy
     /* 1616838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1616851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616872 */     // GIR_Coverage, 3644,
     /* 1616872 */     GIR_EraseRootFromParent_Done,
     /* 1616873 */   // Label 22295: @1616873
     /* 1616873 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1616959), // Rule ID 3645 //
     /* 1616878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1616898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616924 */     // MIs[0] policy
     /* 1616924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1616937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616958 */     // GIR_Coverage, 3645,
     /* 1616958 */     GIR_EraseRootFromParent_Done,
     /* 1616959 */   // Label 22296: @1616959
     /* 1616959 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1617045), // Rule ID 3648 //
     /* 1616964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1616972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1616984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617010 */     // MIs[0] policy
     /* 1617010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617020 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1617023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617044 */     // GIR_Coverage, 3648,
     /* 1617044 */     GIR_EraseRootFromParent_Done,
     /* 1617045 */   // Label 22297: @1617045
     /* 1617045 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1617131), // Rule ID 3649 //
     /* 1617050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1617061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1617064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1617070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617096 */     // MIs[0] policy
     /* 1617096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617106 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1617109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617130 */     // GIR_Coverage, 3649,
     /* 1617130 */     GIR_EraseRootFromParent_Done,
     /* 1617131 */   // Label 22298: @1617131
     /* 1617131 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1617217), // Rule ID 3652 //
     /* 1617136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1617156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617182 */     // MIs[0] policy
     /* 1617182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1617195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617216 */     // GIR_Coverage, 3652,
     /* 1617216 */     GIR_EraseRootFromParent_Done,
     /* 1617217 */   // Label 22299: @1617217
     /* 1617217 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1617303), // Rule ID 3653 //
     /* 1617222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1617242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617268 */     // MIs[0] policy
     /* 1617268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617278 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1617281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617302 */     // GIR_Coverage, 3653,
     /* 1617302 */     GIR_EraseRootFromParent_Done,
     /* 1617303 */   // Label 22300: @1617303
     /* 1617303 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1617389), // Rule ID 3656 //
     /* 1617308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1617328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617354 */     // MIs[0] policy
     /* 1617354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617364 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1617367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617388 */     // GIR_Coverage, 3656,
     /* 1617388 */     GIR_EraseRootFromParent_Done,
     /* 1617389 */   // Label 22301: @1617389
     /* 1617389 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1617475), // Rule ID 3657 //
     /* 1617394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1617414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617440 */     // MIs[0] policy
     /* 1617440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617450 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1617453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617474 */     // GIR_Coverage, 3657,
     /* 1617474 */     GIR_EraseRootFromParent_Done,
     /* 1617475 */   // Label 22302: @1617475
     /* 1617475 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1617561), // Rule ID 3660 //
     /* 1617480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617526 */     // MIs[0] policy
     /* 1617526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1617539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617560 */     // GIR_Coverage, 3660,
     /* 1617560 */     GIR_EraseRootFromParent_Done,
     /* 1617561 */   // Label 22303: @1617561
     /* 1617561 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1617647), // Rule ID 3661 //
     /* 1617566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617612 */     // MIs[0] policy
     /* 1617612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1617625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617646 */     // GIR_Coverage, 3661,
     /* 1617646 */     GIR_EraseRootFromParent_Done,
     /* 1617647 */   // Label 22304: @1617647
     /* 1617647 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1617733), // Rule ID 3664 //
     /* 1617652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617698 */     // MIs[0] policy
     /* 1617698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1617711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617732 */     // GIR_Coverage, 3664,
     /* 1617732 */     GIR_EraseRootFromParent_Done,
     /* 1617733 */   // Label 22305: @1617733
     /* 1617733 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1617819), // Rule ID 3665 //
     /* 1617738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617784 */     // MIs[0] policy
     /* 1617784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617794 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1617797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617818 */     // GIR_Coverage, 3665,
     /* 1617818 */     GIR_EraseRootFromParent_Done,
     /* 1617819 */   // Label 22306: @1617819
     /* 1617819 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1617905), // Rule ID 3668 //
     /* 1617824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617870 */     // MIs[0] policy
     /* 1617870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1617883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617904 */     // GIR_Coverage, 3668,
     /* 1617904 */     GIR_EraseRootFromParent_Done,
     /* 1617905 */   // Label 22307: @1617905
     /* 1617905 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1617991), // Rule ID 3669 //
     /* 1617910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1617918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617956 */     // MIs[0] policy
     /* 1617956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11607:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1617969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617990 */     // GIR_Coverage, 3669,
     /* 1617990 */     GIR_EraseRootFromParent_Done,
     /* 1617991 */   // Label 22308: @1617991
     /* 1617991 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1618077), // Rule ID 3672 //
     /* 1617996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618042 */     // MIs[0] policy
     /* 1618042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1618055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618076 */     // GIR_Coverage, 3672,
     /* 1618076 */     GIR_EraseRootFromParent_Done,
     /* 1618077 */   // Label 22309: @1618077
     /* 1618077 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1618163), // Rule ID 3673 //
     /* 1618082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1618093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1618096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1618099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618128 */     // MIs[0] policy
     /* 1618128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1618141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618162 */     // GIR_Coverage, 3673,
     /* 1618162 */     GIR_EraseRootFromParent_Done,
     /* 1618163 */   // Label 22310: @1618163
     /* 1618163 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1618249), // Rule ID 3676 //
     /* 1618168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618214 */     // MIs[0] policy
     /* 1618214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1618227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618248 */     // GIR_Coverage, 3676,
     /* 1618248 */     GIR_EraseRootFromParent_Done,
     /* 1618249 */   // Label 22311: @1618249
     /* 1618249 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1618335), // Rule ID 3677 //
     /* 1618254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618300 */     // MIs[0] policy
     /* 1618300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1618313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618334 */     // GIR_Coverage, 3677,
     /* 1618334 */     GIR_EraseRootFromParent_Done,
     /* 1618335 */   // Label 22312: @1618335
     /* 1618335 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1618421), // Rule ID 3680 //
     /* 1618340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618386 */     // MIs[0] policy
     /* 1618386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1618399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618420 */     // GIR_Coverage, 3680,
     /* 1618420 */     GIR_EraseRootFromParent_Done,
     /* 1618421 */   // Label 22313: @1618421
     /* 1618421 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1618507), // Rule ID 3681 //
     /* 1618426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618472 */     // MIs[0] policy
     /* 1618472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1618485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618506 */     // GIR_Coverage, 3681,
     /* 1618506 */     GIR_EraseRootFromParent_Done,
     /* 1618507 */   // Label 22314: @1618507
     /* 1618507 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1618593), // Rule ID 3684 //
     /* 1618512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618558 */     // MIs[0] policy
     /* 1618558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1618571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618592 */     // GIR_Coverage, 3684,
     /* 1618592 */     GIR_EraseRootFromParent_Done,
     /* 1618593 */   // Label 22315: @1618593
     /* 1618593 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1618679), // Rule ID 3685 //
     /* 1618598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618644 */     // MIs[0] policy
     /* 1618644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618654 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1618657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618678 */     // GIR_Coverage, 3685,
     /* 1618678 */     GIR_EraseRootFromParent_Done,
     /* 1618679 */   // Label 22316: @1618679
     /* 1618679 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1618765), // Rule ID 3688 //
     /* 1618684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618730 */     // MIs[0] policy
     /* 1618730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1618743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618764 */     // GIR_Coverage, 3688,
     /* 1618764 */     GIR_EraseRootFromParent_Done,
     /* 1618765 */   // Label 22317: @1618765
     /* 1618765 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1618851), // Rule ID 3689 //
     /* 1618770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618816 */     // MIs[0] policy
     /* 1618816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11607:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1618829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618850 */     // GIR_Coverage, 3689,
     /* 1618850 */     GIR_EraseRootFromParent_Done,
     /* 1618851 */   // Label 22318: @1618851
     /* 1618851 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1618937), // Rule ID 3692 //
     /* 1618856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618902 */     // MIs[0] policy
     /* 1618902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1618915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618936 */     // GIR_Coverage, 3692,
     /* 1618936 */     GIR_EraseRootFromParent_Done,
     /* 1618937 */   // Label 22319: @1618937
     /* 1618937 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1619023), // Rule ID 3693 //
     /* 1618942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1618950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618988 */     // MIs[0] policy
     /* 1618988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1619001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619022 */     // GIR_Coverage, 3693,
     /* 1619022 */     GIR_EraseRootFromParent_Done,
     /* 1619023 */   // Label 22320: @1619023
     /* 1619023 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1619109), // Rule ID 3696 //
     /* 1619028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619074 */     // MIs[0] policy
     /* 1619074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1619087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619108 */     // GIR_Coverage, 3696,
     /* 1619108 */     GIR_EraseRootFromParent_Done,
     /* 1619109 */   // Label 22321: @1619109
     /* 1619109 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1619195), // Rule ID 3697 //
     /* 1619114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1619125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1619128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1619131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619160 */     // MIs[0] policy
     /* 1619160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1619173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619194 */     // GIR_Coverage, 3697,
     /* 1619194 */     GIR_EraseRootFromParent_Done,
     /* 1619195 */   // Label 22322: @1619195
     /* 1619195 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1619281), // Rule ID 3700 //
     /* 1619200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619246 */     // MIs[0] policy
     /* 1619246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1619259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619280 */     // GIR_Coverage, 3700,
     /* 1619280 */     GIR_EraseRootFromParent_Done,
     /* 1619281 */   // Label 22323: @1619281
     /* 1619281 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1619367), // Rule ID 3701 //
     /* 1619286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619332 */     // MIs[0] policy
     /* 1619332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1619345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619366 */     // GIR_Coverage, 3701,
     /* 1619366 */     GIR_EraseRootFromParent_Done,
     /* 1619367 */   // Label 22324: @1619367
     /* 1619367 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1619453), // Rule ID 3704 //
     /* 1619372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619418 */     // MIs[0] policy
     /* 1619418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1619431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619452 */     // GIR_Coverage, 3704,
     /* 1619452 */     GIR_EraseRootFromParent_Done,
     /* 1619453 */   // Label 22325: @1619453
     /* 1619453 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1619539), // Rule ID 3705 //
     /* 1619458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619504 */     // MIs[0] policy
     /* 1619504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11607:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1619517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619538 */     // GIR_Coverage, 3705,
     /* 1619538 */     GIR_EraseRootFromParent_Done,
     /* 1619539 */   // Label 22326: @1619539
     /* 1619539 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1619625), // Rule ID 3708 //
     /* 1619544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619590 */     // MIs[0] policy
     /* 1619590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619600 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1619603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619624 */     // GIR_Coverage, 3708,
     /* 1619624 */     GIR_EraseRootFromParent_Done,
     /* 1619625 */   // Label 22327: @1619625
     /* 1619625 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1619711), // Rule ID 3709 //
     /* 1619630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619676 */     // MIs[0] policy
     /* 1619676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11607:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1619689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619710 */     // GIR_Coverage, 3709,
     /* 1619710 */     GIR_EraseRootFromParent_Done,
     /* 1619711 */   // Label 22328: @1619711
     /* 1619711 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1619797), // Rule ID 3712 //
     /* 1619716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619762 */     // MIs[0] policy
     /* 1619762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1619775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619796 */     // GIR_Coverage, 3712,
     /* 1619796 */     GIR_EraseRootFromParent_Done,
     /* 1619797 */   // Label 22329: @1619797
     /* 1619797 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1619883), // Rule ID 3713 //
     /* 1619802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619848 */     // MIs[0] policy
     /* 1619848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11607:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1619861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619882 */     // GIR_Coverage, 3713,
     /* 1619882 */     GIR_EraseRootFromParent_Done,
     /* 1619883 */   // Label 22330: @1619883
     /* 1619883 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1619969), // Rule ID 3716 //
     /* 1619888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619934 */     // MIs[0] policy
     /* 1619934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1619947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619968 */     // GIR_Coverage, 3716,
     /* 1619968 */     GIR_EraseRootFromParent_Done,
     /* 1619969 */   // Label 22331: @1619969
     /* 1619969 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1620055), // Rule ID 3717 //
     /* 1619974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1619982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620020 */     // MIs[0] policy
     /* 1620020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11607:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1620033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620054 */     // GIR_Coverage, 3717,
     /* 1620054 */     GIR_EraseRootFromParent_Done,
     /* 1620055 */   // Label 22332: @1620055
     /* 1620055 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1620141), // Rule ID 3720 //
     /* 1620060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1620080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620106 */     // MIs[0] policy
     /* 1620106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1620119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620140 */     // GIR_Coverage, 3720,
     /* 1620140 */     GIR_EraseRootFromParent_Done,
     /* 1620141 */   // Label 22333: @1620141
     /* 1620141 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1620227), // Rule ID 3721 //
     /* 1620146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1620163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1620166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620192 */     // MIs[0] policy
     /* 1620192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1620205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620226 */     // GIR_Coverage, 3721,
     /* 1620226 */     GIR_EraseRootFromParent_Done,
     /* 1620227 */   // Label 22334: @1620227
     /* 1620227 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1620313), // Rule ID 3724 //
     /* 1620232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1620252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620278 */     // MIs[0] policy
     /* 1620278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1620291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620312 */     // GIR_Coverage, 3724,
     /* 1620312 */     GIR_EraseRootFromParent_Done,
     /* 1620313 */   // Label 22335: @1620313
     /* 1620313 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1620399), // Rule ID 3725 //
     /* 1620318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1620335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1620338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620364 */     // MIs[0] policy
     /* 1620364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1620377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620398 */     // GIR_Coverage, 3725,
     /* 1620398 */     GIR_EraseRootFromParent_Done,
     /* 1620399 */   // Label 22336: @1620399
     /* 1620399 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1620485), // Rule ID 3728 //
     /* 1620404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1620421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1620424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620450 */     // MIs[0] policy
     /* 1620450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1620463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620484 */     // GIR_Coverage, 3728,
     /* 1620484 */     GIR_EraseRootFromParent_Done,
     /* 1620485 */   // Label 22337: @1620485
     /* 1620485 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1620571), // Rule ID 3729 //
     /* 1620490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1620507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1620510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620536 */     // MIs[0] policy
     /* 1620536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1620549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620570 */     // GIR_Coverage, 3729,
     /* 1620570 */     GIR_EraseRootFromParent_Done,
     /* 1620571 */   // Label 22338: @1620571
     /* 1620571 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1620657), // Rule ID 3732 //
     /* 1620576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1620596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620622 */     // MIs[0] policy
     /* 1620622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1620635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620656 */     // GIR_Coverage, 3732,
     /* 1620656 */     GIR_EraseRootFromParent_Done,
     /* 1620657 */   // Label 22339: @1620657
     /* 1620657 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1620743), // Rule ID 3733 //
     /* 1620662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1620682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620708 */     // MIs[0] policy
     /* 1620708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1620721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620742 */     // GIR_Coverage, 3733,
     /* 1620742 */     GIR_EraseRootFromParent_Done,
     /* 1620743 */   // Label 22340: @1620743
     /* 1620743 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1620829), // Rule ID 3736 //
     /* 1620748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1620768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620794 */     // MIs[0] policy
     /* 1620794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1620807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620828 */     // GIR_Coverage, 3736,
     /* 1620828 */     GIR_EraseRootFromParent_Done,
     /* 1620829 */   // Label 22341: @1620829
     /* 1620829 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1620915), // Rule ID 3737 //
     /* 1620834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1620854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620880 */     // MIs[0] policy
     /* 1620880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620890 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1620893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620914 */     // GIR_Coverage, 3737,
     /* 1620914 */     GIR_EraseRootFromParent_Done,
     /* 1620915 */   // Label 22342: @1620915
     /* 1620915 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1621001), // Rule ID 3740 //
     /* 1620920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1620928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1620937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1620940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620966 */     // MIs[0] policy
     /* 1620966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1620979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621000 */     // GIR_Coverage, 3740,
     /* 1621000 */     GIR_EraseRootFromParent_Done,
     /* 1621001 */   // Label 22343: @1621001
     /* 1621001 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1621087), // Rule ID 3741 //
     /* 1621006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1621017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1621020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621052 */     // MIs[0] policy
     /* 1621052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1621065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621086 */     // GIR_Coverage, 3741,
     /* 1621086 */     GIR_EraseRootFromParent_Done,
     /* 1621087 */   // Label 22344: @1621087
     /* 1621087 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1621173), // Rule ID 3744 //
     /* 1621092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1621112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621138 */     // MIs[0] policy
     /* 1621138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1621151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621172 */     // GIR_Coverage, 3744,
     /* 1621172 */     GIR_EraseRootFromParent_Done,
     /* 1621173 */   // Label 22345: @1621173
     /* 1621173 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1621259), // Rule ID 3745 //
     /* 1621178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1621189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1621192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1621195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1621198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621224 */     // MIs[0] policy
     /* 1621224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1621237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621258 */     // GIR_Coverage, 3745,
     /* 1621258 */     GIR_EraseRootFromParent_Done,
     /* 1621259 */   // Label 22346: @1621259
     /* 1621259 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1621345), // Rule ID 3748 //
     /* 1621264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1621284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621310 */     // MIs[0] policy
     /* 1621310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1621323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621344 */     // GIR_Coverage, 3748,
     /* 1621344 */     GIR_EraseRootFromParent_Done,
     /* 1621345 */   // Label 22347: @1621345
     /* 1621345 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1621431), // Rule ID 3749 //
     /* 1621350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1621367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1621370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621396 */     // MIs[0] policy
     /* 1621396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1621409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621430 */     // GIR_Coverage, 3749,
     /* 1621430 */     GIR_EraseRootFromParent_Done,
     /* 1621431 */   // Label 22348: @1621431
     /* 1621431 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1621517), // Rule ID 3752 //
     /* 1621436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1621447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1621450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1621453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1621456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621482 */     // MIs[0] policy
     /* 1621482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1621495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621516 */     // GIR_Coverage, 3752,
     /* 1621516 */     GIR_EraseRootFromParent_Done,
     /* 1621517 */   // Label 22349: @1621517
     /* 1621517 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1621603), // Rule ID 3753 //
     /* 1621522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1621533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1621536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1621539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1621542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621568 */     // MIs[0] policy
     /* 1621568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1621581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621602 */     // GIR_Coverage, 3753,
     /* 1621602 */     GIR_EraseRootFromParent_Done,
     /* 1621603 */   // Label 22350: @1621603
     /* 1621603 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1621689), // Rule ID 3756 //
     /* 1621608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621654 */     // MIs[0] policy
     /* 1621654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621664 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1621667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621688 */     // GIR_Coverage, 3756,
     /* 1621688 */     GIR_EraseRootFromParent_Done,
     /* 1621689 */   // Label 22351: @1621689
     /* 1621689 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1621775), // Rule ID 3757 //
     /* 1621694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621740 */     // MIs[0] policy
     /* 1621740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1621753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621774 */     // GIR_Coverage, 3757,
     /* 1621774 */     GIR_EraseRootFromParent_Done,
     /* 1621775 */   // Label 22352: @1621775
     /* 1621775 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1621861), // Rule ID 3760 //
     /* 1621780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621826 */     // MIs[0] policy
     /* 1621826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1621839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621860 */     // GIR_Coverage, 3760,
     /* 1621860 */     GIR_EraseRootFromParent_Done,
     /* 1621861 */   // Label 22353: @1621861
     /* 1621861 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1621947), // Rule ID 3761 //
     /* 1621866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621912 */     // MIs[0] policy
     /* 1621912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1621925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621946 */     // GIR_Coverage, 3761,
     /* 1621946 */     GIR_EraseRootFromParent_Done,
     /* 1621947 */   // Label 22354: @1621947
     /* 1621947 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1622033), // Rule ID 3764 //
     /* 1621952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1621960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1621972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621998 */     // MIs[0] policy
     /* 1621998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1622011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622032 */     // GIR_Coverage, 3764,
     /* 1622032 */     GIR_EraseRootFromParent_Done,
     /* 1622033 */   // Label 22355: @1622033
     /* 1622033 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1622119), // Rule ID 3765 //
     /* 1622038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1622049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1622052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1622055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1622058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622084 */     // MIs[0] policy
     /* 1622084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1622097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622118 */     // GIR_Coverage, 3765,
     /* 1622118 */     GIR_EraseRootFromParent_Done,
     /* 1622119 */   // Label 22356: @1622119
     /* 1622119 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1622205), // Rule ID 3768 //
     /* 1622124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1622144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622170 */     // MIs[0] policy
     /* 1622170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1622183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622204 */     // GIR_Coverage, 3768,
     /* 1622204 */     GIR_EraseRootFromParent_Done,
     /* 1622205 */   // Label 22357: @1622205
     /* 1622205 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1622291), // Rule ID 3769 //
     /* 1622210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1622227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1622230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622256 */     // MIs[0] policy
     /* 1622256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1622269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622290 */     // GIR_Coverage, 3769,
     /* 1622290 */     GIR_EraseRootFromParent_Done,
     /* 1622291 */   // Label 22358: @1622291
     /* 1622291 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1622377), // Rule ID 3772 //
     /* 1622296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622342 */     // MIs[0] policy
     /* 1622342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1622355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622376 */     // GIR_Coverage, 3772,
     /* 1622376 */     GIR_EraseRootFromParent_Done,
     /* 1622377 */   // Label 22359: @1622377
     /* 1622377 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1622463), // Rule ID 3773 //
     /* 1622382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622428 */     // MIs[0] policy
     /* 1622428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1622441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622462 */     // GIR_Coverage, 3773,
     /* 1622462 */     GIR_EraseRootFromParent_Done,
     /* 1622463 */   // Label 22360: @1622463
     /* 1622463 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1622549), // Rule ID 3776 //
     /* 1622468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1622488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622514 */     // MIs[0] policy
     /* 1622514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1622527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622548 */     // GIR_Coverage, 3776,
     /* 1622548 */     GIR_EraseRootFromParent_Done,
     /* 1622549 */   // Label 22361: @1622549
     /* 1622549 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1622635), // Rule ID 3777 //
     /* 1622554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1622574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622600 */     // MIs[0] policy
     /* 1622600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1622613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622634 */     // GIR_Coverage, 3777,
     /* 1622634 */     GIR_EraseRootFromParent_Done,
     /* 1622635 */   // Label 22362: @1622635
     /* 1622635 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1622721), // Rule ID 3780 //
     /* 1622640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622686 */     // MIs[0] policy
     /* 1622686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1622699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622720 */     // GIR_Coverage, 3780,
     /* 1622720 */     GIR_EraseRootFromParent_Done,
     /* 1622721 */   // Label 22363: @1622721
     /* 1622721 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1622807), // Rule ID 3781 //
     /* 1622726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622772 */     // MIs[0] policy
     /* 1622772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1622785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622806 */     // GIR_Coverage, 3781,
     /* 1622806 */     GIR_EraseRootFromParent_Done,
     /* 1622807 */   // Label 22364: @1622807
     /* 1622807 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1622893), // Rule ID 3784 //
     /* 1622812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622858 */     // MIs[0] policy
     /* 1622858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1622871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622892 */     // GIR_Coverage, 3784,
     /* 1622892 */     GIR_EraseRootFromParent_Done,
     /* 1622893 */   // Label 22365: @1622893
     /* 1622893 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1622979), // Rule ID 3785 //
     /* 1622898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622944 */     // MIs[0] policy
     /* 1622944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622954 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1622957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622978 */     // GIR_Coverage, 3785,
     /* 1622978 */     GIR_EraseRootFromParent_Done,
     /* 1622979 */   // Label 22366: @1622979
     /* 1622979 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1623065), // Rule ID 3788 //
     /* 1622984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1622992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623030 */     // MIs[0] policy
     /* 1623030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1623043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623064 */     // GIR_Coverage, 3788,
     /* 1623064 */     GIR_EraseRootFromParent_Done,
     /* 1623065 */   // Label 22367: @1623065
     /* 1623065 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1623151), // Rule ID 3789 //
     /* 1623070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1623081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1623084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623116 */     // MIs[0] policy
     /* 1623116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1623129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623150 */     // GIR_Coverage, 3789,
     /* 1623150 */     GIR_EraseRootFromParent_Done,
     /* 1623151 */   // Label 22368: @1623151
     /* 1623151 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1623237), // Rule ID 3792 //
     /* 1623156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623202 */     // MIs[0] policy
     /* 1623202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623212 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1623215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623236 */     // GIR_Coverage, 3792,
     /* 1623236 */     GIR_EraseRootFromParent_Done,
     /* 1623237 */   // Label 22369: @1623237
     /* 1623237 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1623323), // Rule ID 3793 //
     /* 1623242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1623253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1623256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1623259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623288 */     // MIs[0] policy
     /* 1623288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623298 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1623301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623322 */     // GIR_Coverage, 3793,
     /* 1623322 */     GIR_EraseRootFromParent_Done,
     /* 1623323 */   // Label 22370: @1623323
     /* 1623323 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1623409), // Rule ID 3796 //
     /* 1623328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1623345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623374 */     // MIs[0] policy
     /* 1623374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1623387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623408 */     // GIR_Coverage, 3796,
     /* 1623408 */     GIR_EraseRootFromParent_Done,
     /* 1623409 */   // Label 22371: @1623409
     /* 1623409 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1623495), // Rule ID 3797 //
     /* 1623414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1623431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623460 */     // MIs[0] policy
     /* 1623460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1623473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623494 */     // GIR_Coverage, 3797,
     /* 1623494 */     GIR_EraseRootFromParent_Done,
     /* 1623495 */   // Label 22372: @1623495
     /* 1623495 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1623581), // Rule ID 3800 //
     /* 1623500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1623517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623546 */     // MIs[0] policy
     /* 1623546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623556 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1623559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623580 */     // GIR_Coverage, 3800,
     /* 1623580 */     GIR_EraseRootFromParent_Done,
     /* 1623581 */   // Label 22373: @1623581
     /* 1623581 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1623667), // Rule ID 3801 //
     /* 1623586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1623603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623632 */     // MIs[0] policy
     /* 1623632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1623645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623666 */     // GIR_Coverage, 3801,
     /* 1623666 */     GIR_EraseRootFromParent_Done,
     /* 1623667 */   // Label 22374: @1623667
     /* 1623667 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1623753), // Rule ID 3804 //
     /* 1623672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623718 */     // MIs[0] policy
     /* 1623718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1623731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623752 */     // GIR_Coverage, 3804,
     /* 1623752 */     GIR_EraseRootFromParent_Done,
     /* 1623753 */   // Label 22375: @1623753
     /* 1623753 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1623839), // Rule ID 3805 //
     /* 1623758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623804 */     // MIs[0] policy
     /* 1623804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1623817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623838 */     // GIR_Coverage, 3805,
     /* 1623838 */     GIR_EraseRootFromParent_Done,
     /* 1623839 */   // Label 22376: @1623839
     /* 1623839 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1623925), // Rule ID 3808 //
     /* 1623844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623890 */     // MIs[0] policy
     /* 1623890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1623903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623924 */     // GIR_Coverage, 3808,
     /* 1623924 */     GIR_EraseRootFromParent_Done,
     /* 1623925 */   // Label 22377: @1623925
     /* 1623925 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1624011), // Rule ID 3809 //
     /* 1623930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1623938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623976 */     // MIs[0] policy
     /* 1623976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1623989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624010 */     // GIR_Coverage, 3809,
     /* 1624010 */     GIR_EraseRootFromParent_Done,
     /* 1624011 */   // Label 22378: @1624011
     /* 1624011 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1624097), // Rule ID 3812 //
     /* 1624016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624062 */     // MIs[0] policy
     /* 1624062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1624075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624096 */     // GIR_Coverage, 3812,
     /* 1624096 */     GIR_EraseRootFromParent_Done,
     /* 1624097 */   // Label 22379: @1624097
     /* 1624097 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1624183), // Rule ID 3813 //
     /* 1624102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1624113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1624116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624148 */     // MIs[0] policy
     /* 1624148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1624161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624182 */     // GIR_Coverage, 3813,
     /* 1624182 */     GIR_EraseRootFromParent_Done,
     /* 1624183 */   // Label 22380: @1624183
     /* 1624183 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1624269), // Rule ID 3816 //
     /* 1624188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624234 */     // MIs[0] policy
     /* 1624234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1624247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624268 */     // GIR_Coverage, 3816,
     /* 1624268 */     GIR_EraseRootFromParent_Done,
     /* 1624269 */   // Label 22381: @1624269
     /* 1624269 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1624355), // Rule ID 3817 //
     /* 1624274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1624285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1624288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624320 */     // MIs[0] policy
     /* 1624320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1624333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624354 */     // GIR_Coverage, 3817,
     /* 1624354 */     GIR_EraseRootFromParent_Done,
     /* 1624355 */   // Label 22382: @1624355
     /* 1624355 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1624441), // Rule ID 3820 //
     /* 1624360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1624377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624406 */     // MIs[0] policy
     /* 1624406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1624419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624440 */     // GIR_Coverage, 3820,
     /* 1624440 */     GIR_EraseRootFromParent_Done,
     /* 1624441 */   // Label 22383: @1624441
     /* 1624441 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1624527), // Rule ID 3821 //
     /* 1624446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1624463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624492 */     // MIs[0] policy
     /* 1624492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1624505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624526 */     // GIR_Coverage, 3821,
     /* 1624526 */     GIR_EraseRootFromParent_Done,
     /* 1624527 */   // Label 22384: @1624527
     /* 1624527 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1624613), // Rule ID 3824 //
     /* 1624532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624578 */     // MIs[0] policy
     /* 1624578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1624591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624612 */     // GIR_Coverage, 3824,
     /* 1624612 */     GIR_EraseRootFromParent_Done,
     /* 1624613 */   // Label 22385: @1624613
     /* 1624613 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1624699), // Rule ID 3825 //
     /* 1624618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624664 */     // MIs[0] policy
     /* 1624664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1624677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624698 */     // GIR_Coverage, 3825,
     /* 1624698 */     GIR_EraseRootFromParent_Done,
     /* 1624699 */   // Label 22386: @1624699
     /* 1624699 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1624785), // Rule ID 3828 //
     /* 1624704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624750 */     // MIs[0] policy
     /* 1624750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1624763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624784 */     // GIR_Coverage, 3828,
     /* 1624784 */     GIR_EraseRootFromParent_Done,
     /* 1624785 */   // Label 22387: @1624785
     /* 1624785 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1624871), // Rule ID 3829 //
     /* 1624790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624836 */     // MIs[0] policy
     /* 1624836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1624849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624870 */     // GIR_Coverage, 3829,
     /* 1624870 */     GIR_EraseRootFromParent_Done,
     /* 1624871 */   // Label 22388: @1624871
     /* 1624871 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1624957), // Rule ID 3832 //
     /* 1624876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624922 */     // MIs[0] policy
     /* 1624922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1624935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624956 */     // GIR_Coverage, 3832,
     /* 1624956 */     GIR_EraseRootFromParent_Done,
     /* 1624957 */   // Label 22389: @1624957
     /* 1624957 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1625043), // Rule ID 3833 //
     /* 1624962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1624970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625008 */     // MIs[0] policy
     /* 1625008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1625021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625042 */     // GIR_Coverage, 3833,
     /* 1625042 */     GIR_EraseRootFromParent_Done,
     /* 1625043 */   // Label 22390: @1625043
     /* 1625043 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1625129), // Rule ID 3836 //
     /* 1625048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1625051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625094 */     // MIs[0] policy
     /* 1625094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625104 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1625107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625128 */     // GIR_Coverage, 3836,
     /* 1625128 */     GIR_EraseRootFromParent_Done,
     /* 1625129 */   // Label 22391: @1625129
     /* 1625129 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1625215), // Rule ID 3837 //
     /* 1625134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1625137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1625142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1625145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1625148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625180 */     // MIs[0] policy
     /* 1625180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625190 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1625193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1625211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625214 */     // GIR_Coverage, 3837,
     /* 1625214 */     GIR_EraseRootFromParent_Done,
     /* 1625215 */   // Label 22392: @1625215
     /* 1625215 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1625301), // Rule ID 3840 //
     /* 1625220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1625231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1625234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1625237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1625240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625266 */     // MIs[0] policy
     /* 1625266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1625279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625300 */     // GIR_Coverage, 3840,
     /* 1625300 */     GIR_EraseRootFromParent_Done,
     /* 1625301 */   // Label 22393: @1625301
     /* 1625301 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1625387), // Rule ID 3841 //
     /* 1625306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1625317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1625320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1625323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1625326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625352 */     // MIs[0] policy
     /* 1625352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1625365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625386 */     // GIR_Coverage, 3841,
     /* 1625386 */     GIR_EraseRootFromParent_Done,
     /* 1625387 */   // Label 22394: @1625387
     /* 1625387 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1625473), // Rule ID 3844 //
     /* 1625392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1625409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625438 */     // MIs[0] policy
     /* 1625438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1625451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625472 */     // GIR_Coverage, 3844,
     /* 1625472 */     GIR_EraseRootFromParent_Done,
     /* 1625473 */   // Label 22395: @1625473
     /* 1625473 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1625559), // Rule ID 3845 //
     /* 1625478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1625495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625524 */     // MIs[0] policy
     /* 1625524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1625537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625558 */     // GIR_Coverage, 3845,
     /* 1625558 */     GIR_EraseRootFromParent_Done,
     /* 1625559 */   // Label 22396: @1625559
     /* 1625559 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1625645), // Rule ID 3848 //
     /* 1625564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1625581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1625584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625610 */     // MIs[0] policy
     /* 1625610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1625623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625644 */     // GIR_Coverage, 3848,
     /* 1625644 */     GIR_EraseRootFromParent_Done,
     /* 1625645 */   // Label 22397: @1625645
     /* 1625645 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1625731), // Rule ID 3849 //
     /* 1625650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1625667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1625670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625696 */     // MIs[0] policy
     /* 1625696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1625709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625730 */     // GIR_Coverage, 3849,
     /* 1625730 */     GIR_EraseRootFromParent_Done,
     /* 1625731 */   // Label 22398: @1625731
     /* 1625731 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1625817), // Rule ID 3852 //
     /* 1625736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1625753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1625756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625782 */     // MIs[0] policy
     /* 1625782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625792 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1625795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625816 */     // GIR_Coverage, 3852,
     /* 1625816 */     GIR_EraseRootFromParent_Done,
     /* 1625817 */   // Label 22399: @1625817
     /* 1625817 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1625903), // Rule ID 3853 //
     /* 1625822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1625839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1625842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625868 */     // MIs[0] policy
     /* 1625868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1625881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625902 */     // GIR_Coverage, 3853,
     /* 1625902 */     GIR_EraseRootFromParent_Done,
     /* 1625903 */   // Label 22400: @1625903
     /* 1625903 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1625989), // Rule ID 3856 //
     /* 1625908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1625916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1625925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1625928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625954 */     // MIs[0] policy
     /* 1625954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1625967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625988 */     // GIR_Coverage, 3856,
     /* 1625988 */     GIR_EraseRootFromParent_Done,
     /* 1625989 */   // Label 22401: @1625989
     /* 1625989 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1626075), // Rule ID 3857 //
     /* 1625994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1626005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1626008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1626011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1626014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626040 */     // MIs[0] policy
     /* 1626040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626050 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1626053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626074 */     // GIR_Coverage, 3857,
     /* 1626074 */     GIR_EraseRootFromParent_Done,
     /* 1626075 */   // Label 22402: @1626075
     /* 1626075 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1626161), // Rule ID 3860 //
     /* 1626080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1626097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626126 */     // MIs[0] policy
     /* 1626126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626136 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1626139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626160 */     // GIR_Coverage, 3860,
     /* 1626160 */     GIR_EraseRootFromParent_Done,
     /* 1626161 */   // Label 22403: @1626161
     /* 1626161 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1626247), // Rule ID 3861 //
     /* 1626166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1626177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1626180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1626183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1626186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1626189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626212 */     // MIs[0] policy
     /* 1626212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1626225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626246 */     // GIR_Coverage, 3861,
     /* 1626246 */     GIR_EraseRootFromParent_Done,
     /* 1626247 */   // Label 22404: @1626247
     /* 1626247 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1626333), // Rule ID 3864 //
     /* 1626252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1626269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626298 */     // MIs[0] policy
     /* 1626298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1626311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626332 */     // GIR_Coverage, 3864,
     /* 1626332 */     GIR_EraseRootFromParent_Done,
     /* 1626333 */   // Label 22405: @1626333
     /* 1626333 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1626419), // Rule ID 3865 //
     /* 1626338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1626355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626384 */     // MIs[0] policy
     /* 1626384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1626397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626418 */     // GIR_Coverage, 3865,
     /* 1626418 */     GIR_EraseRootFromParent_Done,
     /* 1626419 */   // Label 22406: @1626419
     /* 1626419 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1626505), // Rule ID 3868 //
     /* 1626424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626470 */     // MIs[0] policy
     /* 1626470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1626483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626504 */     // GIR_Coverage, 3868,
     /* 1626504 */     GIR_EraseRootFromParent_Done,
     /* 1626505 */   // Label 22407: @1626505
     /* 1626505 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1626591), // Rule ID 3869 //
     /* 1626510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1626527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626556 */     // MIs[0] policy
     /* 1626556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626566 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1626569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626590 */     // GIR_Coverage, 3869,
     /* 1626590 */     GIR_EraseRootFromParent_Done,
     /* 1626591 */   // Label 22408: @1626591
     /* 1626591 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1626677), // Rule ID 3872 //
     /* 1626596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1626616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626642 */     // MIs[0] policy
     /* 1626642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1626655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626676 */     // GIR_Coverage, 3872,
     /* 1626676 */     GIR_EraseRootFromParent_Done,
     /* 1626677 */   // Label 22409: @1626677
     /* 1626677 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1626763), // Rule ID 3873 //
     /* 1626682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1626699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1626702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626728 */     // MIs[0] policy
     /* 1626728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1626741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626762 */     // GIR_Coverage, 3873,
     /* 1626762 */     GIR_EraseRootFromParent_Done,
     /* 1626763 */   // Label 22410: @1626763
     /* 1626763 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1626849), // Rule ID 3876 //
     /* 1626768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1626788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626814 */     // MIs[0] policy
     /* 1626814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1626827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626848 */     // GIR_Coverage, 3876,
     /* 1626848 */     GIR_EraseRootFromParent_Done,
     /* 1626849 */   // Label 22411: @1626849
     /* 1626849 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1626935), // Rule ID 3877 //
     /* 1626854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1626871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1626874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626900 */     // MIs[0] policy
     /* 1626900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1626913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626934 */     // GIR_Coverage, 3877,
     /* 1626934 */     GIR_EraseRootFromParent_Done,
     /* 1626935 */   // Label 22412: @1626935
     /* 1626935 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1627021), // Rule ID 3880 //
     /* 1626940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1626948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1626960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626986 */     // MIs[0] policy
     /* 1626986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1626999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627020 */     // GIR_Coverage, 3880,
     /* 1627020 */     GIR_EraseRootFromParent_Done,
     /* 1627021 */   // Label 22413: @1627021
     /* 1627021 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1627107), // Rule ID 3881 //
     /* 1627026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1627037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1627040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1627043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1627046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627072 */     // MIs[0] policy
     /* 1627072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1627085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627106 */     // GIR_Coverage, 3881,
     /* 1627106 */     GIR_EraseRootFromParent_Done,
     /* 1627107 */   // Label 22414: @1627107
     /* 1627107 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1627193), // Rule ID 3884 //
     /* 1627112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627158 */     // MIs[0] policy
     /* 1627158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1627171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627192 */     // GIR_Coverage, 3884,
     /* 1627192 */     GIR_EraseRootFromParent_Done,
     /* 1627193 */   // Label 22415: @1627193
     /* 1627193 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1627279), // Rule ID 3885 //
     /* 1627198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627244 */     // MIs[0] policy
     /* 1627244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627254 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1627257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627278 */     // GIR_Coverage, 3885,
     /* 1627278 */     GIR_EraseRootFromParent_Done,
     /* 1627279 */   // Label 22416: @1627279
     /* 1627279 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1627365), // Rule ID 3888 //
     /* 1627284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627330 */     // MIs[0] policy
     /* 1627330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1627343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627364 */     // GIR_Coverage, 3888,
     /* 1627364 */     GIR_EraseRootFromParent_Done,
     /* 1627365 */   // Label 22417: @1627365
     /* 1627365 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1627451), // Rule ID 3889 //
     /* 1627370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1627387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627416 */     // MIs[0] policy
     /* 1627416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1627429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627450 */     // GIR_Coverage, 3889,
     /* 1627450 */     GIR_EraseRootFromParent_Done,
     /* 1627451 */   // Label 22418: @1627451
     /* 1627451 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1627537), // Rule ID 3892 //
     /* 1627456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627502 */     // MIs[0] policy
     /* 1627502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1627515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627536 */     // GIR_Coverage, 3892,
     /* 1627536 */     GIR_EraseRootFromParent_Done,
     /* 1627537 */   // Label 22419: @1627537
     /* 1627537 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1627623), // Rule ID 3893 //
     /* 1627542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1627559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627588 */     // MIs[0] policy
     /* 1627588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1627601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627622 */     // GIR_Coverage, 3893,
     /* 1627622 */     GIR_EraseRootFromParent_Done,
     /* 1627623 */   // Label 22420: @1627623
     /* 1627623 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1627709), // Rule ID 3896 //
     /* 1627628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1627648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627674 */     // MIs[0] policy
     /* 1627674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1627687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627708 */     // GIR_Coverage, 3896,
     /* 1627708 */     GIR_EraseRootFromParent_Done,
     /* 1627709 */   // Label 22421: @1627709
     /* 1627709 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1627795), // Rule ID 3897 //
     /* 1627714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1627731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1627734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627760 */     // MIs[0] policy
     /* 1627760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1627773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627794 */     // GIR_Coverage, 3897,
     /* 1627794 */     GIR_EraseRootFromParent_Done,
     /* 1627795 */   // Label 22422: @1627795
     /* 1627795 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1627881), // Rule ID 3900 //
     /* 1627800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627846 */     // MIs[0] policy
     /* 1627846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1627859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627880 */     // GIR_Coverage, 3900,
     /* 1627880 */     GIR_EraseRootFromParent_Done,
     /* 1627881 */   // Label 22423: @1627881
     /* 1627881 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1627967), // Rule ID 3901 //
     /* 1627886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627932 */     // MIs[0] policy
     /* 1627932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1627945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627966 */     // GIR_Coverage, 3901,
     /* 1627966 */     GIR_EraseRootFromParent_Done,
     /* 1627967 */   // Label 22424: @1627967
     /* 1627967 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1628053), // Rule ID 3904 //
     /* 1627972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1627980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628018 */     // MIs[0] policy
     /* 1628018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1628031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628052 */     // GIR_Coverage, 3904,
     /* 1628052 */     GIR_EraseRootFromParent_Done,
     /* 1628053 */   // Label 22425: @1628053
     /* 1628053 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1628139), // Rule ID 3905 //
     /* 1628058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1628075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628104 */     // MIs[0] policy
     /* 1628104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1628117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628138 */     // GIR_Coverage, 3905,
     /* 1628138 */     GIR_EraseRootFromParent_Done,
     /* 1628139 */   // Label 22426: @1628139
     /* 1628139 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1628225), // Rule ID 3908 //
     /* 1628144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1628161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628190 */     // MIs[0] policy
     /* 1628190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628200 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1628203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628224 */     // GIR_Coverage, 3908,
     /* 1628224 */     GIR_EraseRootFromParent_Done,
     /* 1628225 */   // Label 22427: @1628225
     /* 1628225 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1628311), // Rule ID 3909 //
     /* 1628230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1628247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628276 */     // MIs[0] policy
     /* 1628276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11603:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1628289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628310 */     // GIR_Coverage, 3909,
     /* 1628310 */     GIR_EraseRootFromParent_Done,
     /* 1628311 */   // Label 22428: @1628311
     /* 1628311 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1628397), // Rule ID 3912 //
     /* 1628316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1628333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628362 */     // MIs[0] policy
     /* 1628362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1628375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628396 */     // GIR_Coverage, 3912,
     /* 1628396 */     GIR_EraseRootFromParent_Done,
     /* 1628397 */   // Label 22429: @1628397
     /* 1628397 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1628483), // Rule ID 3913 //
     /* 1628402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1628419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628448 */     // MIs[0] policy
     /* 1628448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1628461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628482 */     // GIR_Coverage, 3913,
     /* 1628482 */     GIR_EraseRootFromParent_Done,
     /* 1628483 */   // Label 22430: @1628483
     /* 1628483 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1628569), // Rule ID 3916 //
     /* 1628488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628534 */     // MIs[0] policy
     /* 1628534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1628547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628568 */     // GIR_Coverage, 3916,
     /* 1628568 */     GIR_EraseRootFromParent_Done,
     /* 1628569 */   // Label 22431: @1628569
     /* 1628569 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1628655), // Rule ID 3917 //
     /* 1628574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628620 */     // MIs[0] policy
     /* 1628620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1628633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628654 */     // GIR_Coverage, 3917,
     /* 1628654 */     GIR_EraseRootFromParent_Done,
     /* 1628655 */   // Label 22432: @1628655
     /* 1628655 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1628741), // Rule ID 3920 //
     /* 1628660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628706 */     // MIs[0] policy
     /* 1628706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1628719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628740 */     // GIR_Coverage, 3920,
     /* 1628740 */     GIR_EraseRootFromParent_Done,
     /* 1628741 */   // Label 22433: @1628741
     /* 1628741 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1628827), // Rule ID 3921 //
     /* 1628746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628792 */     // MIs[0] policy
     /* 1628792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1628805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628826 */     // GIR_Coverage, 3921,
     /* 1628826 */     GIR_EraseRootFromParent_Done,
     /* 1628827 */   // Label 22434: @1628827
     /* 1628827 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1628913), // Rule ID 3924 //
     /* 1628832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628878 */     // MIs[0] policy
     /* 1628878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628888 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1628891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628912 */     // GIR_Coverage, 3924,
     /* 1628912 */     GIR_EraseRootFromParent_Done,
     /* 1628913 */   // Label 22435: @1628913
     /* 1628913 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1628999), // Rule ID 3925 //
     /* 1628918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1628926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1628935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628964 */     // MIs[0] policy
     /* 1628964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1628977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628998 */     // GIR_Coverage, 3925,
     /* 1628998 */     GIR_EraseRootFromParent_Done,
     /* 1628999 */   // Label 22436: @1628999
     /* 1628999 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1629085), // Rule ID 3928 //
     /* 1629004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1629021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629050 */     // MIs[0] policy
     /* 1629050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1629063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629084 */     // GIR_Coverage, 3928,
     /* 1629084 */     GIR_EraseRootFromParent_Done,
     /* 1629085 */   // Label 22437: @1629085
     /* 1629085 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1629171), // Rule ID 3929 //
     /* 1629090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1629107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629136 */     // MIs[0] policy
     /* 1629136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11603:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1629149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629170 */     // GIR_Coverage, 3929,
     /* 1629170 */     GIR_EraseRootFromParent_Done,
     /* 1629171 */   // Label 22438: @1629171
     /* 1629171 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1629257), // Rule ID 3932 //
     /* 1629176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1629193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629222 */     // MIs[0] policy
     /* 1629222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1629235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629256 */     // GIR_Coverage, 3932,
     /* 1629256 */     GIR_EraseRootFromParent_Done,
     /* 1629257 */   // Label 22439: @1629257
     /* 1629257 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1629343), // Rule ID 3933 //
     /* 1629262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1629279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629308 */     // MIs[0] policy
     /* 1629308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1629321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629342 */     // GIR_Coverage, 3933,
     /* 1629342 */     GIR_EraseRootFromParent_Done,
     /* 1629343 */   // Label 22440: @1629343
     /* 1629343 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1629429), // Rule ID 3936 //
     /* 1629348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629394 */     // MIs[0] policy
     /* 1629394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1629407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629428 */     // GIR_Coverage, 3936,
     /* 1629428 */     GIR_EraseRootFromParent_Done,
     /* 1629429 */   // Label 22441: @1629429
     /* 1629429 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1629515), // Rule ID 3937 //
     /* 1629434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629480 */     // MIs[0] policy
     /* 1629480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1629493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629514 */     // GIR_Coverage, 3937,
     /* 1629514 */     GIR_EraseRootFromParent_Done,
     /* 1629515 */   // Label 22442: @1629515
     /* 1629515 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1629601), // Rule ID 3940 //
     /* 1629520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629566 */     // MIs[0] policy
     /* 1629566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1629579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629600 */     // GIR_Coverage, 3940,
     /* 1629600 */     GIR_EraseRootFromParent_Done,
     /* 1629601 */   // Label 22443: @1629601
     /* 1629601 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1629687), // Rule ID 3941 //
     /* 1629606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629652 */     // MIs[0] policy
     /* 1629652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1629665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629686 */     // GIR_Coverage, 3941,
     /* 1629686 */     GIR_EraseRootFromParent_Done,
     /* 1629687 */   // Label 22444: @1629687
     /* 1629687 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1629773), // Rule ID 3944 //
     /* 1629692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629738 */     // MIs[0] policy
     /* 1629738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1629751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629772 */     // GIR_Coverage, 3944,
     /* 1629772 */     GIR_EraseRootFromParent_Done,
     /* 1629773 */   // Label 22445: @1629773
     /* 1629773 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1629859), // Rule ID 3945 //
     /* 1629778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629824 */     // MIs[0] policy
     /* 1629824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11603:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1629837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629858 */     // GIR_Coverage, 3945,
     /* 1629858 */     GIR_EraseRootFromParent_Done,
     /* 1629859 */   // Label 22446: @1629859
     /* 1629859 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1629945), // Rule ID 3948 //
     /* 1629864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629910 */     // MIs[0] policy
     /* 1629910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1629923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629944 */     // GIR_Coverage, 3948,
     /* 1629944 */     GIR_EraseRootFromParent_Done,
     /* 1629945 */   // Label 22447: @1629945
     /* 1629945 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1630031), // Rule ID 3949 //
     /* 1629950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1629958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629996 */     // MIs[0] policy
     /* 1629996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11603:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1630009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630030 */     // GIR_Coverage, 3949,
     /* 1630030 */     GIR_EraseRootFromParent_Done,
     /* 1630031 */   // Label 22448: @1630031
     /* 1630031 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1630117), // Rule ID 3952 //
     /* 1630036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630082 */     // MIs[0] policy
     /* 1630082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1630095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630116 */     // GIR_Coverage, 3952,
     /* 1630116 */     GIR_EraseRootFromParent_Done,
     /* 1630117 */   // Label 22449: @1630117
     /* 1630117 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1630203), // Rule ID 3953 //
     /* 1630122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630168 */     // MIs[0] policy
     /* 1630168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11603:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1630181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630202 */     // GIR_Coverage, 3953,
     /* 1630202 */     GIR_EraseRootFromParent_Done,
     /* 1630203 */   // Label 22450: @1630203
     /* 1630203 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1630289), // Rule ID 3956 //
     /* 1630208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630254 */     // MIs[0] policy
     /* 1630254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1630267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630288 */     // GIR_Coverage, 3956,
     /* 1630288 */     GIR_EraseRootFromParent_Done,
     /* 1630289 */   // Label 22451: @1630289
     /* 1630289 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1630375), // Rule ID 3957 //
     /* 1630294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1630302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630340 */     // MIs[0] policy
     /* 1630340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11603:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1630353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630374 */     // GIR_Coverage, 3957,
     /* 1630374 */     GIR_EraseRootFromParent_Done,
     /* 1630375 */   // Label 22452: @1630375
     /* 1630375 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1630461), // Rule ID 3966 //
     /* 1630380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1630397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1630400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630426 */     // MIs[0] policy
     /* 1630426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1630439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630460 */     // GIR_Coverage, 3966,
     /* 1630460 */     GIR_EraseRootFromParent_Done,
     /* 1630461 */   // Label 22453: @1630461
     /* 1630461 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1630547), // Rule ID 3967 //
     /* 1630466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1630483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1630486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630512 */     // MIs[0] policy
     /* 1630512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1630525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630546 */     // GIR_Coverage, 3967,
     /* 1630546 */     GIR_EraseRootFromParent_Done,
     /* 1630547 */   // Label 22454: @1630547
     /* 1630547 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1630633), // Rule ID 3976 //
     /* 1630552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1630569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1630572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630598 */     // MIs[0] policy
     /* 1630598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1630611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630632 */     // GIR_Coverage, 3976,
     /* 1630632 */     GIR_EraseRootFromParent_Done,
     /* 1630633 */   // Label 22455: @1630633
     /* 1630633 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1630719), // Rule ID 3977 //
     /* 1630638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1630655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1630658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630684 */     // MIs[0] policy
     /* 1630684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1630697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630718 */     // GIR_Coverage, 3977,
     /* 1630718 */     GIR_EraseRootFromParent_Done,
     /* 1630719 */   // Label 22456: @1630719
     /* 1630719 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1630805), // Rule ID 3986 //
     /* 1630724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1630741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1630744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630770 */     // MIs[0] policy
     /* 1630770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630780 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1630783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630804 */     // GIR_Coverage, 3986,
     /* 1630804 */     GIR_EraseRootFromParent_Done,
     /* 1630805 */   // Label 22457: @1630805
     /* 1630805 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1630891), // Rule ID 3987 //
     /* 1630810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1630827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1630830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630856 */     // MIs[0] policy
     /* 1630856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1630869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630890 */     // GIR_Coverage, 3987,
     /* 1630890 */     GIR_EraseRootFromParent_Done,
     /* 1630891 */   // Label 22458: @1630891
     /* 1630891 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1630977), // Rule ID 3996 //
     /* 1630896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1630913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1630916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630942 */     // MIs[0] policy
     /* 1630942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1630955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630976 */     // GIR_Coverage, 3996,
     /* 1630976 */     GIR_EraseRootFromParent_Done,
     /* 1630977 */   // Label 22459: @1630977
     /* 1630977 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1631063), // Rule ID 3997 //
     /* 1630982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1630999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631028 */     // MIs[0] policy
     /* 1631028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631038 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1631041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631062 */     // GIR_Coverage, 3997,
     /* 1631062 */     GIR_EraseRootFromParent_Done,
     /* 1631063 */   // Label 22460: @1631063
     /* 1631063 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1631149), // Rule ID 4006 //
     /* 1631068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1631085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1631088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631114 */     // MIs[0] policy
     /* 1631114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1631127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631148 */     // GIR_Coverage, 4006,
     /* 1631148 */     GIR_EraseRootFromParent_Done,
     /* 1631149 */   // Label 22461: @1631149
     /* 1631149 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1631235), // Rule ID 4007 //
     /* 1631154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1631171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1631174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631200 */     // MIs[0] policy
     /* 1631200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631210 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1631213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631234 */     // GIR_Coverage, 4007,
     /* 1631234 */     GIR_EraseRootFromParent_Done,
     /* 1631235 */   // Label 22462: @1631235
     /* 1631235 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1631321), // Rule ID 4016 //
     /* 1631240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631286 */     // MIs[0] policy
     /* 1631286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1631299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631320 */     // GIR_Coverage, 4016,
     /* 1631320 */     GIR_EraseRootFromParent_Done,
     /* 1631321 */   // Label 22463: @1631321
     /* 1631321 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1631407), // Rule ID 4017 //
     /* 1631326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631372 */     // MIs[0] policy
     /* 1631372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631382 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1631385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631406 */     // GIR_Coverage, 4017,
     /* 1631406 */     GIR_EraseRootFromParent_Done,
     /* 1631407 */   // Label 22464: @1631407
     /* 1631407 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1631493), // Rule ID 4026 //
     /* 1631412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1631429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1631432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631458 */     // MIs[0] policy
     /* 1631458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1631471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631492 */     // GIR_Coverage, 4026,
     /* 1631492 */     GIR_EraseRootFromParent_Done,
     /* 1631493 */   // Label 22465: @1631493
     /* 1631493 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1631579), // Rule ID 4027 //
     /* 1631498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1631515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1631518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631544 */     // MIs[0] policy
     /* 1631544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1631557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631578 */     // GIR_Coverage, 4027,
     /* 1631578 */     GIR_EraseRootFromParent_Done,
     /* 1631579 */   // Label 22466: @1631579
     /* 1631579 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1631665), // Rule ID 4036 //
     /* 1631584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1631601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1631604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631630 */     // MIs[0] policy
     /* 1631630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631640 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1631643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631664 */     // GIR_Coverage, 4036,
     /* 1631664 */     GIR_EraseRootFromParent_Done,
     /* 1631665 */   // Label 22467: @1631665
     /* 1631665 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1631751), // Rule ID 4037 //
     /* 1631670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1631687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1631690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631716 */     // MIs[0] policy
     /* 1631716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1631729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631750 */     // GIR_Coverage, 4037,
     /* 1631750 */     GIR_EraseRootFromParent_Done,
     /* 1631751 */   // Label 22468: @1631751
     /* 1631751 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1631837), // Rule ID 4046 //
     /* 1631756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1631776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631802 */     // MIs[0] policy
     /* 1631802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1631815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631836 */     // GIR_Coverage, 4046,
     /* 1631836 */     GIR_EraseRootFromParent_Done,
     /* 1631837 */   // Label 22469: @1631837
     /* 1631837 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1631923), // Rule ID 4047 //
     /* 1631842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1631862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631888 */     // MIs[0] policy
     /* 1631888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1631901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631922 */     // GIR_Coverage, 4047,
     /* 1631922 */     GIR_EraseRootFromParent_Done,
     /* 1631923 */   // Label 22470: @1631923
     /* 1631923 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1632009), // Rule ID 4056 //
     /* 1631928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1631936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1631945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1631948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631974 */     // MIs[0] policy
     /* 1631974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1631987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632008 */     // GIR_Coverage, 4056,
     /* 1632008 */     GIR_EraseRootFromParent_Done,
     /* 1632009 */   // Label 22471: @1632009
     /* 1632009 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1632095), // Rule ID 4057 //
     /* 1632014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632060 */     // MIs[0] policy
     /* 1632060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632070 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1632073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632094 */     // GIR_Coverage, 4057,
     /* 1632094 */     GIR_EraseRootFromParent_Done,
     /* 1632095 */   // Label 22472: @1632095
     /* 1632095 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1632181), // Rule ID 4066 //
     /* 1632100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1632120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632146 */     // MIs[0] policy
     /* 1632146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1632159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632180 */     // GIR_Coverage, 4066,
     /* 1632180 */     GIR_EraseRootFromParent_Done,
     /* 1632181 */   // Label 22473: @1632181
     /* 1632181 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1632267), // Rule ID 4067 //
     /* 1632186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1632206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632232 */     // MIs[0] policy
     /* 1632232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1632245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632266 */     // GIR_Coverage, 4067,
     /* 1632266 */     GIR_EraseRootFromParent_Done,
     /* 1632267 */   // Label 22474: @1632267
     /* 1632267 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1632353), // Rule ID 4076 //
     /* 1632272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632318 */     // MIs[0] policy
     /* 1632318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632328 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1632331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632352 */     // GIR_Coverage, 4076,
     /* 1632352 */     GIR_EraseRootFromParent_Done,
     /* 1632353 */   // Label 22475: @1632353
     /* 1632353 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1632439), // Rule ID 4077 //
     /* 1632358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632404 */     // MIs[0] policy
     /* 1632404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1632417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632438 */     // GIR_Coverage, 4077,
     /* 1632438 */     GIR_EraseRootFromParent_Done,
     /* 1632439 */   // Label 22476: @1632439
     /* 1632439 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1632525), // Rule ID 4086 //
     /* 1632444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1632461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1632464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632490 */     // MIs[0] policy
     /* 1632490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1632503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632524 */     // GIR_Coverage, 4086,
     /* 1632524 */     GIR_EraseRootFromParent_Done,
     /* 1632525 */   // Label 22477: @1632525
     /* 1632525 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1632611), // Rule ID 4087 //
     /* 1632530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1632547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1632550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632576 */     // MIs[0] policy
     /* 1632576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1632589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632610 */     // GIR_Coverage, 4087,
     /* 1632610 */     GIR_EraseRootFromParent_Done,
     /* 1632611 */   // Label 22478: @1632611
     /* 1632611 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1632697), // Rule ID 4096 //
     /* 1632616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1632633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1632636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632662 */     // MIs[0] policy
     /* 1632662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632672 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1632675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632696 */     // GIR_Coverage, 4096,
     /* 1632696 */     GIR_EraseRootFromParent_Done,
     /* 1632697 */   // Label 22479: @1632697
     /* 1632697 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1632783), // Rule ID 4097 //
     /* 1632702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1632719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1632722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632748 */     // MIs[0] policy
     /* 1632748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1632761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632782 */     // GIR_Coverage, 4097,
     /* 1632782 */     GIR_EraseRootFromParent_Done,
     /* 1632783 */   // Label 22480: @1632783
     /* 1632783 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1632869), // Rule ID 4100 //
     /* 1632788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1632799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1632802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1632805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632834 */     // MIs[0] policy
     /* 1632834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1632847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632868 */     // GIR_Coverage, 4100,
     /* 1632868 */     GIR_EraseRootFromParent_Done,
     /* 1632869 */   // Label 22481: @1632869
     /* 1632869 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1632955), // Rule ID 4101 //
     /* 1632874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1632885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1632888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1632891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632920 */     // MIs[0] policy
     /* 1632920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632930 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1632933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632954 */     // GIR_Coverage, 4101,
     /* 1632954 */     GIR_EraseRootFromParent_Done,
     /* 1632955 */   // Label 22482: @1632955
     /* 1632955 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1633041), // Rule ID 4104 //
     /* 1632960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1632968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633006 */     // MIs[0] policy
     /* 1633006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1633019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633040 */     // GIR_Coverage, 4104,
     /* 1633040 */     GIR_EraseRootFromParent_Done,
     /* 1633041 */   // Label 22483: @1633041
     /* 1633041 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1633127), // Rule ID 4105 //
     /* 1633046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1633057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1633060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633092 */     // MIs[0] policy
     /* 1633092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1633105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633126 */     // GIR_Coverage, 4105,
     /* 1633126 */     GIR_EraseRootFromParent_Done,
     /* 1633127 */   // Label 22484: @1633127
     /* 1633127 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1633213), // Rule ID 4108 //
     /* 1633132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633178 */     // MIs[0] policy
     /* 1633178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1633191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633212 */     // GIR_Coverage, 4108,
     /* 1633212 */     GIR_EraseRootFromParent_Done,
     /* 1633213 */   // Label 22485: @1633213
     /* 1633213 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1633299), // Rule ID 4109 //
     /* 1633218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633264 */     // MIs[0] policy
     /* 1633264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1633277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633298 */     // GIR_Coverage, 4109,
     /* 1633298 */     GIR_EraseRootFromParent_Done,
     /* 1633299 */   // Label 22486: @1633299
     /* 1633299 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1633385), // Rule ID 4112 //
     /* 1633304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633350 */     // MIs[0] policy
     /* 1633350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1633363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633384 */     // GIR_Coverage, 4112,
     /* 1633384 */     GIR_EraseRootFromParent_Done,
     /* 1633385 */   // Label 22487: @1633385
     /* 1633385 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1633471), // Rule ID 4113 //
     /* 1633390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633436 */     // MIs[0] policy
     /* 1633436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1633449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633470 */     // GIR_Coverage, 4113,
     /* 1633470 */     GIR_EraseRootFromParent_Done,
     /* 1633471 */   // Label 22488: @1633471
     /* 1633471 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1633557), // Rule ID 4116 //
     /* 1633476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633522 */     // MIs[0] policy
     /* 1633522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1633535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633556 */     // GIR_Coverage, 4116,
     /* 1633556 */     GIR_EraseRootFromParent_Done,
     /* 1633557 */   // Label 22489: @1633557
     /* 1633557 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1633643), // Rule ID 4117 //
     /* 1633562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633608 */     // MIs[0] policy
     /* 1633608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1633621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633642 */     // GIR_Coverage, 4117,
     /* 1633642 */     GIR_EraseRootFromParent_Done,
     /* 1633643 */   // Label 22490: @1633643
     /* 1633643 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1633729), // Rule ID 4120 //
     /* 1633648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633694 */     // MIs[0] policy
     /* 1633694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633704 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1633707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633728 */     // GIR_Coverage, 4120,
     /* 1633728 */     GIR_EraseRootFromParent_Done,
     /* 1633729 */   // Label 22491: @1633729
     /* 1633729 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1633815), // Rule ID 4121 //
     /* 1633734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633780 */     // MIs[0] policy
     /* 1633780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633790 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1633793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633814 */     // GIR_Coverage, 4121,
     /* 1633814 */     GIR_EraseRootFromParent_Done,
     /* 1633815 */   // Label 22492: @1633815
     /* 1633815 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1633901), // Rule ID 4124 //
     /* 1633820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633866 */     // MIs[0] policy
     /* 1633866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1633879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633900 */     // GIR_Coverage, 4124,
     /* 1633900 */     GIR_EraseRootFromParent_Done,
     /* 1633901 */   // Label 22493: @1633901
     /* 1633901 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1633987), // Rule ID 4125 //
     /* 1633906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1633914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633952 */     // MIs[0] policy
     /* 1633952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1633965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633986 */     // GIR_Coverage, 4125,
     /* 1633986 */     GIR_EraseRootFromParent_Done,
     /* 1633987 */   // Label 22494: @1633987
     /* 1633987 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1634073), // Rule ID 4128 //
     /* 1633992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634038 */     // MIs[0] policy
     /* 1634038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1634051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634072 */     // GIR_Coverage, 4128,
     /* 1634072 */     GIR_EraseRootFromParent_Done,
     /* 1634073 */   // Label 22495: @1634073
     /* 1634073 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1634159), // Rule ID 4129 //
     /* 1634078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1634089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1634092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634124 */     // MIs[0] policy
     /* 1634124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1634137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634158 */     // GIR_Coverage, 4129,
     /* 1634158 */     GIR_EraseRootFromParent_Done,
     /* 1634159 */   // Label 22496: @1634159
     /* 1634159 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1634245), // Rule ID 4132 //
     /* 1634164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634210 */     // MIs[0] policy
     /* 1634210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1634223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634244 */     // GIR_Coverage, 4132,
     /* 1634244 */     GIR_EraseRootFromParent_Done,
     /* 1634245 */   // Label 22497: @1634245
     /* 1634245 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1634331), // Rule ID 4133 //
     /* 1634250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634296 */     // MIs[0] policy
     /* 1634296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1634309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634330 */     // GIR_Coverage, 4133,
     /* 1634330 */     GIR_EraseRootFromParent_Done,
     /* 1634331 */   // Label 22498: @1634331
     /* 1634331 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1634417), // Rule ID 4136 //
     /* 1634336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634382 */     // MIs[0] policy
     /* 1634382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1634395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634416 */     // GIR_Coverage, 4136,
     /* 1634416 */     GIR_EraseRootFromParent_Done,
     /* 1634417 */   // Label 22499: @1634417
     /* 1634417 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1634503), // Rule ID 4137 //
     /* 1634422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634468 */     // MIs[0] policy
     /* 1634468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1634481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634502 */     // GIR_Coverage, 4137,
     /* 1634502 */     GIR_EraseRootFromParent_Done,
     /* 1634503 */   // Label 22500: @1634503
     /* 1634503 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1634589), // Rule ID 4140 //
     /* 1634508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634554 */     // MIs[0] policy
     /* 1634554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1634567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634588 */     // GIR_Coverage, 4140,
     /* 1634588 */     GIR_EraseRootFromParent_Done,
     /* 1634589 */   // Label 22501: @1634589
     /* 1634589 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1634675), // Rule ID 4141 //
     /* 1634594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634640 */     // MIs[0] policy
     /* 1634640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1634653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634674 */     // GIR_Coverage, 4141,
     /* 1634674 */     GIR_EraseRootFromParent_Done,
     /* 1634675 */   // Label 22502: @1634675
     /* 1634675 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1634761), // Rule ID 4144 //
     /* 1634680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634726 */     // MIs[0] policy
     /* 1634726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1634739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634760 */     // GIR_Coverage, 4144,
     /* 1634760 */     GIR_EraseRootFromParent_Done,
     /* 1634761 */   // Label 22503: @1634761
     /* 1634761 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1634847), // Rule ID 4145 //
     /* 1634766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634812 */     // MIs[0] policy
     /* 1634812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1634825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634846 */     // GIR_Coverage, 4145,
     /* 1634846 */     GIR_EraseRootFromParent_Done,
     /* 1634847 */   // Label 22504: @1634847
     /* 1634847 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1634933), // Rule ID 4148 //
     /* 1634852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634898 */     // MIs[0] policy
     /* 1634898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1634911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634932 */     // GIR_Coverage, 4148,
     /* 1634932 */     GIR_EraseRootFromParent_Done,
     /* 1634933 */   // Label 22505: @1634933
     /* 1634933 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1635019), // Rule ID 4149 //
     /* 1634938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1634946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634984 */     // MIs[0] policy
     /* 1634984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1634997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635018 */     // GIR_Coverage, 4149,
     /* 1635018 */     GIR_EraseRootFromParent_Done,
     /* 1635019 */   // Label 22506: @1635019
     /* 1635019 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1635105), // Rule ID 4152 //
     /* 1635024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635070 */     // MIs[0] policy
     /* 1635070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1635083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635104 */     // GIR_Coverage, 4152,
     /* 1635104 */     GIR_EraseRootFromParent_Done,
     /* 1635105 */   // Label 22507: @1635105
     /* 1635105 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1635191), // Rule ID 4153 //
     /* 1635110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1635121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1635124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1635127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635156 */     // MIs[0] policy
     /* 1635156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1635169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635190 */     // GIR_Coverage, 4153,
     /* 1635190 */     GIR_EraseRootFromParent_Done,
     /* 1635191 */   // Label 22508: @1635191
     /* 1635191 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1635277), // Rule ID 4156 //
     /* 1635196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635242 */     // MIs[0] policy
     /* 1635242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1635255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635276 */     // GIR_Coverage, 4156,
     /* 1635276 */     GIR_EraseRootFromParent_Done,
     /* 1635277 */   // Label 22509: @1635277
     /* 1635277 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1635363), // Rule ID 4157 //
     /* 1635282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1635290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635328 */     // MIs[0] policy
     /* 1635328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1635341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635362 */     // GIR_Coverage, 4157,
     /* 1635362 */     GIR_EraseRootFromParent_Done,
     /* 1635363 */   // Label 22510: @1635363
     /* 1635363 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1635449), // Rule ID 4166 //
     /* 1635368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1635388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635414 */     // MIs[0] policy
     /* 1635414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1635427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635448 */     // GIR_Coverage, 4166,
     /* 1635448 */     GIR_EraseRootFromParent_Done,
     /* 1635449 */   // Label 22511: @1635449
     /* 1635449 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1635535), // Rule ID 4167 //
     /* 1635454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1635474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635500 */     // MIs[0] policy
     /* 1635500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1635513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635534 */     // GIR_Coverage, 4167,
     /* 1635534 */     GIR_EraseRootFromParent_Done,
     /* 1635535 */   // Label 22512: @1635535
     /* 1635535 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1635621), // Rule ID 4176 //
     /* 1635540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1635560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635586 */     // MIs[0] policy
     /* 1635586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1635599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635620 */     // GIR_Coverage, 4176,
     /* 1635620 */     GIR_EraseRootFromParent_Done,
     /* 1635621 */   // Label 22513: @1635621
     /* 1635621 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1635707), // Rule ID 4177 //
     /* 1635626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1635646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635672 */     // MIs[0] policy
     /* 1635672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635682 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1635685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635706 */     // GIR_Coverage, 4177,
     /* 1635706 */     GIR_EraseRootFromParent_Done,
     /* 1635707 */   // Label 22514: @1635707
     /* 1635707 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1635793), // Rule ID 4186 //
     /* 1635712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1635732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635758 */     // MIs[0] policy
     /* 1635758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1635771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635792 */     // GIR_Coverage, 4186,
     /* 1635792 */     GIR_EraseRootFromParent_Done,
     /* 1635793 */   // Label 22515: @1635793
     /* 1635793 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1635879), // Rule ID 4187 //
     /* 1635798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1635818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635844 */     // MIs[0] policy
     /* 1635844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635854 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1635857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635878 */     // GIR_Coverage, 4187,
     /* 1635878 */     GIR_EraseRootFromParent_Done,
     /* 1635879 */   // Label 22516: @1635879
     /* 1635879 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1635965), // Rule ID 4196 //
     /* 1635884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635930 */     // MIs[0] policy
     /* 1635930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1635943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635964 */     // GIR_Coverage, 4196,
     /* 1635964 */     GIR_EraseRootFromParent_Done,
     /* 1635965 */   // Label 22517: @1635965
     /* 1635965 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1636051), // Rule ID 4197 //
     /* 1635970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636016 */     // MIs[0] policy
     /* 1636016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1636029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636050 */     // GIR_Coverage, 4197,
     /* 1636050 */     GIR_EraseRootFromParent_Done,
     /* 1636051 */   // Label 22518: @1636051
     /* 1636051 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1636137), // Rule ID 4206 //
     /* 1636056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636102 */     // MIs[0] policy
     /* 1636102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636112 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1636115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636136 */     // GIR_Coverage, 4206,
     /* 1636136 */     GIR_EraseRootFromParent_Done,
     /* 1636137 */   // Label 22519: @1636137
     /* 1636137 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1636223), // Rule ID 4207 //
     /* 1636142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636188 */     // MIs[0] policy
     /* 1636188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1636201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636222 */     // GIR_Coverage, 4207,
     /* 1636222 */     GIR_EraseRootFromParent_Done,
     /* 1636223 */   // Label 22520: @1636223
     /* 1636223 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1636309), // Rule ID 4216 //
     /* 1636228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636274 */     // MIs[0] policy
     /* 1636274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1636287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636308 */     // GIR_Coverage, 4216,
     /* 1636308 */     GIR_EraseRootFromParent_Done,
     /* 1636309 */   // Label 22521: @1636309
     /* 1636309 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1636395), // Rule ID 4217 //
     /* 1636314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636360 */     // MIs[0] policy
     /* 1636360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636370 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1636373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636394 */     // GIR_Coverage, 4217,
     /* 1636394 */     GIR_EraseRootFromParent_Done,
     /* 1636395 */   // Label 22522: @1636395
     /* 1636395 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1636481), // Rule ID 4226 //
     /* 1636400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1636420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636446 */     // MIs[0] policy
     /* 1636446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1636459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636480 */     // GIR_Coverage, 4226,
     /* 1636480 */     GIR_EraseRootFromParent_Done,
     /* 1636481 */   // Label 22523: @1636481
     /* 1636481 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1636567), // Rule ID 4227 //
     /* 1636486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1636506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636532 */     // MIs[0] policy
     /* 1636532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1636545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636566 */     // GIR_Coverage, 4227,
     /* 1636566 */     GIR_EraseRootFromParent_Done,
     /* 1636567 */   // Label 22524: @1636567
     /* 1636567 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1636653), // Rule ID 4236 //
     /* 1636572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1636592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636618 */     // MIs[0] policy
     /* 1636618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1636631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636652 */     // GIR_Coverage, 4236,
     /* 1636652 */     GIR_EraseRootFromParent_Done,
     /* 1636653 */   // Label 22525: @1636653
     /* 1636653 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1636739), // Rule ID 4237 //
     /* 1636658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1636678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636704 */     // MIs[0] policy
     /* 1636704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1636717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636738 */     // GIR_Coverage, 4237,
     /* 1636738 */     GIR_EraseRootFromParent_Done,
     /* 1636739 */   // Label 22526: @1636739
     /* 1636739 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1636825), // Rule ID 4246 //
     /* 1636744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1636764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636790 */     // MIs[0] policy
     /* 1636790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1636803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636824 */     // GIR_Coverage, 4246,
     /* 1636824 */     GIR_EraseRootFromParent_Done,
     /* 1636825 */   // Label 22527: @1636825
     /* 1636825 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1636911), // Rule ID 4247 //
     /* 1636830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1636850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636876 */     // MIs[0] policy
     /* 1636876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1636889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636910 */     // GIR_Coverage, 4247,
     /* 1636910 */     GIR_EraseRootFromParent_Done,
     /* 1636911 */   // Label 22528: @1636911
     /* 1636911 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1636997), // Rule ID 4256 //
     /* 1636916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1636936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636962 */     // MIs[0] policy
     /* 1636962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1636975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636996 */     // GIR_Coverage, 4256,
     /* 1636996 */     GIR_EraseRootFromParent_Done,
     /* 1636997 */   // Label 22529: @1636997
     /* 1636997 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1637083), // Rule ID 4257 //
     /* 1637002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1637022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637048 */     // MIs[0] policy
     /* 1637048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1637061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637082 */     // GIR_Coverage, 4257,
     /* 1637082 */     GIR_EraseRootFromParent_Done,
     /* 1637083 */   // Label 22530: @1637083
     /* 1637083 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1637169), // Rule ID 4266 //
     /* 1637088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637134 */     // MIs[0] policy
     /* 1637134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637144 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1637147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637168 */     // GIR_Coverage, 4266,
     /* 1637168 */     GIR_EraseRootFromParent_Done,
     /* 1637169 */   // Label 22531: @1637169
     /* 1637169 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1637255), // Rule ID 4267 //
     /* 1637174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637220 */     // MIs[0] policy
     /* 1637220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637230 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1637233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637254 */     // GIR_Coverage, 4267,
     /* 1637254 */     GIR_EraseRootFromParent_Done,
     /* 1637255 */   // Label 22532: @1637255
     /* 1637255 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1637341), // Rule ID 4276 //
     /* 1637260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637306 */     // MIs[0] policy
     /* 1637306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1637319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637340 */     // GIR_Coverage, 4276,
     /* 1637340 */     GIR_EraseRootFromParent_Done,
     /* 1637341 */   // Label 22533: @1637341
     /* 1637341 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1637427), // Rule ID 4277 //
     /* 1637346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637392 */     // MIs[0] policy
     /* 1637392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1637405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637426 */     // GIR_Coverage, 4277,
     /* 1637426 */     GIR_EraseRootFromParent_Done,
     /* 1637427 */   // Label 22534: @1637427
     /* 1637427 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1637513), // Rule ID 4286 //
     /* 1637432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1637452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637478 */     // MIs[0] policy
     /* 1637478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1637491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637512 */     // GIR_Coverage, 4286,
     /* 1637512 */     GIR_EraseRootFromParent_Done,
     /* 1637513 */   // Label 22535: @1637513
     /* 1637513 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1637599), // Rule ID 4287 //
     /* 1637518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1637538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637564 */     // MIs[0] policy
     /* 1637564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1637577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637598 */     // GIR_Coverage, 4287,
     /* 1637598 */     GIR_EraseRootFromParent_Done,
     /* 1637599 */   // Label 22536: @1637599
     /* 1637599 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1637685), // Rule ID 4296 //
     /* 1637604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637650 */     // MIs[0] policy
     /* 1637650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1637663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637684 */     // GIR_Coverage, 4296,
     /* 1637684 */     GIR_EraseRootFromParent_Done,
     /* 1637685 */   // Label 22537: @1637685
     /* 1637685 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1637771), // Rule ID 4297 //
     /* 1637690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637736 */     // MIs[0] policy
     /* 1637736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1637749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637770 */     // GIR_Coverage, 4297,
     /* 1637770 */     GIR_EraseRootFromParent_Done,
     /* 1637771 */   // Label 22538: @1637771
     /* 1637771 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1637857), // Rule ID 4306 //
     /* 1637776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637822 */     // MIs[0] policy
     /* 1637822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1637835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637856 */     // GIR_Coverage, 4306,
     /* 1637856 */     GIR_EraseRootFromParent_Done,
     /* 1637857 */   // Label 22539: @1637857
     /* 1637857 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1637943), // Rule ID 4307 //
     /* 1637862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637908 */     // MIs[0] policy
     /* 1637908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1637921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637942 */     // GIR_Coverage, 4307,
     /* 1637942 */     GIR_EraseRootFromParent_Done,
     /* 1637943 */   // Label 22540: @1637943
     /* 1637943 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1638029), // Rule ID 4310 //
     /* 1637948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637994 */     // MIs[0] policy
     /* 1637994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1638007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638028 */     // GIR_Coverage, 4310,
     /* 1638028 */     GIR_EraseRootFromParent_Done,
     /* 1638029 */   // Label 22541: @1638029
     /* 1638029 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1638115), // Rule ID 4311 //
     /* 1638034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638080 */     // MIs[0] policy
     /* 1638080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638090 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1638093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638114 */     // GIR_Coverage, 4311,
     /* 1638114 */     GIR_EraseRootFromParent_Done,
     /* 1638115 */   // Label 22542: @1638115
     /* 1638115 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1638201), // Rule ID 4314 //
     /* 1638120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638166 */     // MIs[0] policy
     /* 1638166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1638179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638200 */     // GIR_Coverage, 4314,
     /* 1638200 */     GIR_EraseRootFromParent_Done,
     /* 1638201 */   // Label 22543: @1638201
     /* 1638201 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1638287), // Rule ID 4315 //
     /* 1638206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638252 */     // MIs[0] policy
     /* 1638252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638262 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1638265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638286 */     // GIR_Coverage, 4315,
     /* 1638286 */     GIR_EraseRootFromParent_Done,
     /* 1638287 */   // Label 22544: @1638287
     /* 1638287 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1638373), // Rule ID 4318 //
     /* 1638292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638338 */     // MIs[0] policy
     /* 1638338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1638351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638372 */     // GIR_Coverage, 4318,
     /* 1638372 */     GIR_EraseRootFromParent_Done,
     /* 1638373 */   // Label 22545: @1638373
     /* 1638373 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1638459), // Rule ID 4319 //
     /* 1638378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638424 */     // MIs[0] policy
     /* 1638424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11609:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1638437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638458 */     // GIR_Coverage, 4319,
     /* 1638458 */     GIR_EraseRootFromParent_Done,
     /* 1638459 */   // Label 22546: @1638459
     /* 1638459 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1638545), // Rule ID 4322 //
     /* 1638464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638510 */     // MIs[0] policy
     /* 1638510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638520 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1638523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638544 */     // GIR_Coverage, 4322,
     /* 1638544 */     GIR_EraseRootFromParent_Done,
     /* 1638545 */   // Label 22547: @1638545
     /* 1638545 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1638631), // Rule ID 4323 //
     /* 1638550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638596 */     // MIs[0] policy
     /* 1638596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1638609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638630 */     // GIR_Coverage, 4323,
     /* 1638630 */     GIR_EraseRootFromParent_Done,
     /* 1638631 */   // Label 22548: @1638631
     /* 1638631 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1638717), // Rule ID 4326 //
     /* 1638636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638682 */     // MIs[0] policy
     /* 1638682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1638695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638716 */     // GIR_Coverage, 4326,
     /* 1638716 */     GIR_EraseRootFromParent_Done,
     /* 1638717 */   // Label 22549: @1638717
     /* 1638717 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1638803), // Rule ID 4327 //
     /* 1638722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638768 */     // MIs[0] policy
     /* 1638768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1638781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638802 */     // GIR_Coverage, 4327,
     /* 1638802 */     GIR_EraseRootFromParent_Done,
     /* 1638803 */   // Label 22550: @1638803
     /* 1638803 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1638889), // Rule ID 4330 //
     /* 1638808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638854 */     // MIs[0] policy
     /* 1638854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1638867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638888 */     // GIR_Coverage, 4330,
     /* 1638888 */     GIR_EraseRootFromParent_Done,
     /* 1638889 */   // Label 22551: @1638889
     /* 1638889 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1638975), // Rule ID 4331 //
     /* 1638894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638940 */     // MIs[0] policy
     /* 1638940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638950 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1638953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638974 */     // GIR_Coverage, 4331,
     /* 1638974 */     GIR_EraseRootFromParent_Done,
     /* 1638975 */   // Label 22552: @1638975
     /* 1638975 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1639061), // Rule ID 4334 //
     /* 1638980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1638988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639026 */     // MIs[0] policy
     /* 1639026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1639039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639060 */     // GIR_Coverage, 4334,
     /* 1639060 */     GIR_EraseRootFromParent_Done,
     /* 1639061 */   // Label 22553: @1639061
     /* 1639061 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1639147), // Rule ID 4335 //
     /* 1639066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639112 */     // MIs[0] policy
     /* 1639112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1639125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639146 */     // GIR_Coverage, 4335,
     /* 1639146 */     GIR_EraseRootFromParent_Done,
     /* 1639147 */   // Label 22554: @1639147
     /* 1639147 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1639233), // Rule ID 4338 //
     /* 1639152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639198 */     // MIs[0] policy
     /* 1639198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1639211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639232 */     // GIR_Coverage, 4338,
     /* 1639232 */     GIR_EraseRootFromParent_Done,
     /* 1639233 */   // Label 22555: @1639233
     /* 1639233 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1639319), // Rule ID 4339 //
     /* 1639238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639284 */     // MIs[0] policy
     /* 1639284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11609:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1639297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639318 */     // GIR_Coverage, 4339,
     /* 1639318 */     GIR_EraseRootFromParent_Done,
     /* 1639319 */   // Label 22556: @1639319
     /* 1639319 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1639405), // Rule ID 4342 //
     /* 1639324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639370 */     // MIs[0] policy
     /* 1639370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1639383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639404 */     // GIR_Coverage, 4342,
     /* 1639404 */     GIR_EraseRootFromParent_Done,
     /* 1639405 */   // Label 22557: @1639405
     /* 1639405 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1639491), // Rule ID 4343 //
     /* 1639410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639456 */     // MIs[0] policy
     /* 1639456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1639469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639490 */     // GIR_Coverage, 4343,
     /* 1639490 */     GIR_EraseRootFromParent_Done,
     /* 1639491 */   // Label 22558: @1639491
     /* 1639491 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1639577), // Rule ID 4346 //
     /* 1639496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639542 */     // MIs[0] policy
     /* 1639542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1639555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639576 */     // GIR_Coverage, 4346,
     /* 1639576 */     GIR_EraseRootFromParent_Done,
     /* 1639577 */   // Label 22559: @1639577
     /* 1639577 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1639663), // Rule ID 4347 //
     /* 1639582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639628 */     // MIs[0] policy
     /* 1639628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1639641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639662 */     // GIR_Coverage, 4347,
     /* 1639662 */     GIR_EraseRootFromParent_Done,
     /* 1639663 */   // Label 22560: @1639663
     /* 1639663 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1639749), // Rule ID 4350 //
     /* 1639668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639714 */     // MIs[0] policy
     /* 1639714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1639727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639748 */     // GIR_Coverage, 4350,
     /* 1639748 */     GIR_EraseRootFromParent_Done,
     /* 1639749 */   // Label 22561: @1639749
     /* 1639749 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1639835), // Rule ID 4351 //
     /* 1639754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639800 */     // MIs[0] policy
     /* 1639800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1639813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639834 */     // GIR_Coverage, 4351,
     /* 1639834 */     GIR_EraseRootFromParent_Done,
     /* 1639835 */   // Label 22562: @1639835
     /* 1639835 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1639921), // Rule ID 4354 //
     /* 1639840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639886 */     // MIs[0] policy
     /* 1639886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1639899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639920 */     // GIR_Coverage, 4354,
     /* 1639920 */     GIR_EraseRootFromParent_Done,
     /* 1639921 */   // Label 22563: @1639921
     /* 1639921 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1640007), // Rule ID 4355 //
     /* 1639926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1639934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639972 */     // MIs[0] policy
     /* 1639972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11609:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1639985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640006 */     // GIR_Coverage, 4355,
     /* 1640006 */     GIR_EraseRootFromParent_Done,
     /* 1640007 */   // Label 22564: @1640007
     /* 1640007 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1640093), // Rule ID 4358 //
     /* 1640012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640058 */     // MIs[0] policy
     /* 1640058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1640071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640092 */     // GIR_Coverage, 4358,
     /* 1640092 */     GIR_EraseRootFromParent_Done,
     /* 1640093 */   // Label 22565: @1640093
     /* 1640093 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1640179), // Rule ID 4359 //
     /* 1640098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1640109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1640112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1640115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640144 */     // MIs[0] policy
     /* 1640144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11609:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1640157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640178 */     // GIR_Coverage, 4359,
     /* 1640178 */     GIR_EraseRootFromParent_Done,
     /* 1640179 */   // Label 22566: @1640179
     /* 1640179 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1640265), // Rule ID 4362 //
     /* 1640184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640230 */     // MIs[0] policy
     /* 1640230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1640243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640264 */     // GIR_Coverage, 4362,
     /* 1640264 */     GIR_EraseRootFromParent_Done,
     /* 1640265 */   // Label 22567: @1640265
     /* 1640265 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1640351), // Rule ID 4363 //
     /* 1640270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640316 */     // MIs[0] policy
     /* 1640316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11609:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1640329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640350 */     // GIR_Coverage, 4363,
     /* 1640350 */     GIR_EraseRootFromParent_Done,
     /* 1640351 */   // Label 22568: @1640351
     /* 1640351 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1640437), // Rule ID 4366 //
     /* 1640356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640402 */     // MIs[0] policy
     /* 1640402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640412 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1640415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640436 */     // GIR_Coverage, 4366,
     /* 1640436 */     GIR_EraseRootFromParent_Done,
     /* 1640437 */   // Label 22569: @1640437
     /* 1640437 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1640523), // Rule ID 4367 //
     /* 1640442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1640450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640488 */     // MIs[0] policy
     /* 1640488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11609:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1640501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640522 */     // GIR_Coverage, 4367,
     /* 1640522 */     GIR_EraseRootFromParent_Done,
     /* 1640523 */   // Label 22570: @1640523
     /* 1640523 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1640609), // Rule ID 4376 //
     /* 1640528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1640548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640574 */     // MIs[0] policy
     /* 1640574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1640587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640608 */     // GIR_Coverage, 4376,
     /* 1640608 */     GIR_EraseRootFromParent_Done,
     /* 1640609 */   // Label 22571: @1640609
     /* 1640609 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1640695), // Rule ID 4377 //
     /* 1640614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1640634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640660 */     // MIs[0] policy
     /* 1640660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1640673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640694 */     // GIR_Coverage, 4377,
     /* 1640694 */     GIR_EraseRootFromParent_Done,
     /* 1640695 */   // Label 22572: @1640695
     /* 1640695 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1640781), // Rule ID 4386 //
     /* 1640700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1640720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640746 */     // MIs[0] policy
     /* 1640746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1640759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640780 */     // GIR_Coverage, 4386,
     /* 1640780 */     GIR_EraseRootFromParent_Done,
     /* 1640781 */   // Label 22573: @1640781
     /* 1640781 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1640867), // Rule ID 4387 //
     /* 1640786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1640806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640832 */     // MIs[0] policy
     /* 1640832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640842 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1640845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640866 */     // GIR_Coverage, 4387,
     /* 1640866 */     GIR_EraseRootFromParent_Done,
     /* 1640867 */   // Label 22574: @1640867
     /* 1640867 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1640953), // Rule ID 4396 //
     /* 1640872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1640892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640918 */     // MIs[0] policy
     /* 1640918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1640931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640952 */     // GIR_Coverage, 4396,
     /* 1640952 */     GIR_EraseRootFromParent_Done,
     /* 1640953 */   // Label 22575: @1640953
     /* 1640953 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1641039), // Rule ID 4397 //
     /* 1640958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1640978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641004 */     // MIs[0] policy
     /* 1641004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1641017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641038 */     // GIR_Coverage, 4397,
     /* 1641038 */     GIR_EraseRootFromParent_Done,
     /* 1641039 */   // Label 22576: @1641039
     /* 1641039 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1641125), // Rule ID 4406 //
     /* 1641044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641090 */     // MIs[0] policy
     /* 1641090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1641103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641124 */     // GIR_Coverage, 4406,
     /* 1641124 */     GIR_EraseRootFromParent_Done,
     /* 1641125 */   // Label 22577: @1641125
     /* 1641125 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1641211), // Rule ID 4407 //
     /* 1641130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1641141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641176 */     // MIs[0] policy
     /* 1641176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1641189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641210 */     // GIR_Coverage, 4407,
     /* 1641210 */     GIR_EraseRootFromParent_Done,
     /* 1641211 */   // Label 22578: @1641211
     /* 1641211 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1641297), // Rule ID 4416 //
     /* 1641216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1641236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641262 */     // MIs[0] policy
     /* 1641262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1641275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641296 */     // GIR_Coverage, 4416,
     /* 1641296 */     GIR_EraseRootFromParent_Done,
     /* 1641297 */   // Label 22579: @1641297
     /* 1641297 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1641383), // Rule ID 4417 //
     /* 1641302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1641322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641348 */     // MIs[0] policy
     /* 1641348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641358 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1641361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641382 */     // GIR_Coverage, 4417,
     /* 1641382 */     GIR_EraseRootFromParent_Done,
     /* 1641383 */   // Label 22580: @1641383
     /* 1641383 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1641469), // Rule ID 4426 //
     /* 1641388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1641408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641434 */     // MIs[0] policy
     /* 1641434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641444 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1641447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641468 */     // GIR_Coverage, 4426,
     /* 1641468 */     GIR_EraseRootFromParent_Done,
     /* 1641469 */   // Label 22581: @1641469
     /* 1641469 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1641555), // Rule ID 4427 //
     /* 1641474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1641494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641520 */     // MIs[0] policy
     /* 1641520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1641533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641554 */     // GIR_Coverage, 4427,
     /* 1641554 */     GIR_EraseRootFromParent_Done,
     /* 1641555 */   // Label 22582: @1641555
     /* 1641555 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1641641), // Rule ID 4436 //
     /* 1641560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1641580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641606 */     // MIs[0] policy
     /* 1641606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1641619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641640 */     // GIR_Coverage, 4436,
     /* 1641640 */     GIR_EraseRootFromParent_Done,
     /* 1641641 */   // Label 22583: @1641641
     /* 1641641 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1641727), // Rule ID 4437 //
     /* 1641646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1641666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641692 */     // MIs[0] policy
     /* 1641692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1641705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641726 */     // GIR_Coverage, 4437,
     /* 1641726 */     GIR_EraseRootFromParent_Done,
     /* 1641727 */   // Label 22584: @1641727
     /* 1641727 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1641813), // Rule ID 4446 //
     /* 1641732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1641752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641778 */     // MIs[0] policy
     /* 1641778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1641791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641812 */     // GIR_Coverage, 4446,
     /* 1641812 */     GIR_EraseRootFromParent_Done,
     /* 1641813 */   // Label 22585: @1641813
     /* 1641813 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1641899), // Rule ID 4447 //
     /* 1641818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1641838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641864 */     // MIs[0] policy
     /* 1641864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1641877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641898 */     // GIR_Coverage, 4447,
     /* 1641898 */     GIR_EraseRootFromParent_Done,
     /* 1641899 */   // Label 22586: @1641899
     /* 1641899 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1641985), // Rule ID 4456 //
     /* 1641904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1641924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641950 */     // MIs[0] policy
     /* 1641950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641960 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1641963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641984 */     // GIR_Coverage, 4456,
     /* 1641984 */     GIR_EraseRootFromParent_Done,
     /* 1641985 */   // Label 22587: @1641985
     /* 1641985 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1642071), // Rule ID 4457 //
     /* 1641990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1642010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642036 */     // MIs[0] policy
     /* 1642036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1642049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642070 */     // GIR_Coverage, 4457,
     /* 1642070 */     GIR_EraseRootFromParent_Done,
     /* 1642071 */   // Label 22588: @1642071
     /* 1642071 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1642157), // Rule ID 4466 //
     /* 1642076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642122 */     // MIs[0] policy
     /* 1642122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1642135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642156 */     // GIR_Coverage, 4466,
     /* 1642156 */     GIR_EraseRootFromParent_Done,
     /* 1642157 */   // Label 22589: @1642157
     /* 1642157 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1642243), // Rule ID 4467 //
     /* 1642162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642208 */     // MIs[0] policy
     /* 1642208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1642221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642242 */     // GIR_Coverage, 4467,
     /* 1642242 */     GIR_EraseRootFromParent_Done,
     /* 1642243 */   // Label 22590: @1642243
     /* 1642243 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1642329), // Rule ID 4476 //
     /* 1642248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642294 */     // MIs[0] policy
     /* 1642294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642304 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1642307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642328 */     // GIR_Coverage, 4476,
     /* 1642328 */     GIR_EraseRootFromParent_Done,
     /* 1642329 */   // Label 22591: @1642329
     /* 1642329 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1642415), // Rule ID 4477 //
     /* 1642334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642380 */     // MIs[0] policy
     /* 1642380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1642393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642414 */     // GIR_Coverage, 4477,
     /* 1642414 */     GIR_EraseRootFromParent_Done,
     /* 1642415 */   // Label 22592: @1642415
     /* 1642415 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1642501), // Rule ID 4486 //
     /* 1642420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1642440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642466 */     // MIs[0] policy
     /* 1642466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1642479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642500 */     // GIR_Coverage, 4486,
     /* 1642500 */     GIR_EraseRootFromParent_Done,
     /* 1642501 */   // Label 22593: @1642501
     /* 1642501 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1642587), // Rule ID 4487 //
     /* 1642506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1642526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642552 */     // MIs[0] policy
     /* 1642552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642562 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1642565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642586 */     // GIR_Coverage, 4487,
     /* 1642586 */     GIR_EraseRootFromParent_Done,
     /* 1642587 */   // Label 22594: @1642587
     /* 1642587 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1642673), // Rule ID 4496 //
     /* 1642592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1642612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642638 */     // MIs[0] policy
     /* 1642638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642648 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1642651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642672 */     // GIR_Coverage, 4496,
     /* 1642672 */     GIR_EraseRootFromParent_Done,
     /* 1642673 */   // Label 22595: @1642673
     /* 1642673 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1642759), // Rule ID 4497 //
     /* 1642678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1642698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642724 */     // MIs[0] policy
     /* 1642724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1642737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642758 */     // GIR_Coverage, 4497,
     /* 1642758 */     GIR_EraseRootFromParent_Done,
     /* 1642759 */   // Label 22596: @1642759
     /* 1642759 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1642845), // Rule ID 4506 //
     /* 1642764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1642784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642810 */     // MIs[0] policy
     /* 1642810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1642823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642844 */     // GIR_Coverage, 4506,
     /* 1642844 */     GIR_EraseRootFromParent_Done,
     /* 1642845 */   // Label 22597: @1642845
     /* 1642845 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1642931), // Rule ID 4507 //
     /* 1642850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1642870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642896 */     // MIs[0] policy
     /* 1642896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1642909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642930 */     // GIR_Coverage, 4507,
     /* 1642930 */     GIR_EraseRootFromParent_Done,
     /* 1642931 */   // Label 22598: @1642931
     /* 1642931 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1643017), // Rule ID 4516 //
     /* 1642936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1642956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642982 */     // MIs[0] policy
     /* 1642982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1642995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643016 */     // GIR_Coverage, 4516,
     /* 1643016 */     GIR_EraseRootFromParent_Done,
     /* 1643017 */   // Label 22599: @1643017
     /* 1643017 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1643103), // Rule ID 4517 //
     /* 1643022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643068 */     // MIs[0] policy
     /* 1643068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1643081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643102 */     // GIR_Coverage, 4517,
     /* 1643102 */     GIR_EraseRootFromParent_Done,
     /* 1643103 */   // Label 22600: @1643103
     /* 1643103 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1643189), // Rule ID 4520 //
     /* 1643108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643154 */     // MIs[0] policy
     /* 1643154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643164 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1643167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643188 */     // GIR_Coverage, 4520,
     /* 1643188 */     GIR_EraseRootFromParent_Done,
     /* 1643189 */   // Label 22601: @1643189
     /* 1643189 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1643275), // Rule ID 4521 //
     /* 1643194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643240 */     // MIs[0] policy
     /* 1643240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1643253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643274 */     // GIR_Coverage, 4521,
     /* 1643274 */     GIR_EraseRootFromParent_Done,
     /* 1643275 */   // Label 22602: @1643275
     /* 1643275 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1643361), // Rule ID 4524 //
     /* 1643280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643326 */     // MIs[0] policy
     /* 1643326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1643339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643360 */     // GIR_Coverage, 4524,
     /* 1643360 */     GIR_EraseRootFromParent_Done,
     /* 1643361 */   // Label 22603: @1643361
     /* 1643361 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1643447), // Rule ID 4525 //
     /* 1643366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643412 */     // MIs[0] policy
     /* 1643412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643422 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1643425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643446 */     // GIR_Coverage, 4525,
     /* 1643446 */     GIR_EraseRootFromParent_Done,
     /* 1643447 */   // Label 22604: @1643447
     /* 1643447 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1643533), // Rule ID 4528 //
     /* 1643452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643498 */     // MIs[0] policy
     /* 1643498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1643511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643532 */     // GIR_Coverage, 4528,
     /* 1643532 */     GIR_EraseRootFromParent_Done,
     /* 1643533 */   // Label 22605: @1643533
     /* 1643533 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1643619), // Rule ID 4529 //
     /* 1643538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643584 */     // MIs[0] policy
     /* 1643584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1643597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643618 */     // GIR_Coverage, 4529,
     /* 1643618 */     GIR_EraseRootFromParent_Done,
     /* 1643619 */   // Label 22606: @1643619
     /* 1643619 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1643705), // Rule ID 4532 //
     /* 1643624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643670 */     // MIs[0] policy
     /* 1643670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1643683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643704 */     // GIR_Coverage, 4532,
     /* 1643704 */     GIR_EraseRootFromParent_Done,
     /* 1643705 */   // Label 22607: @1643705
     /* 1643705 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1643791), // Rule ID 4533 //
     /* 1643710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643756 */     // MIs[0] policy
     /* 1643756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1643769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643790 */     // GIR_Coverage, 4533,
     /* 1643790 */     GIR_EraseRootFromParent_Done,
     /* 1643791 */   // Label 22608: @1643791
     /* 1643791 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1643877), // Rule ID 4536 //
     /* 1643796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643842 */     // MIs[0] policy
     /* 1643842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1643855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643876 */     // GIR_Coverage, 4536,
     /* 1643876 */     GIR_EraseRootFromParent_Done,
     /* 1643877 */   // Label 22609: @1643877
     /* 1643877 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1643963), // Rule ID 4537 //
     /* 1643882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643928 */     // MIs[0] policy
     /* 1643928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643938 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1643941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643962 */     // GIR_Coverage, 4537,
     /* 1643962 */     GIR_EraseRootFromParent_Done,
     /* 1643963 */   // Label 22610: @1643963
     /* 1643963 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1644049), // Rule ID 4540 //
     /* 1643968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644014 */     // MIs[0] policy
     /* 1644014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1644027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644048 */     // GIR_Coverage, 4540,
     /* 1644048 */     GIR_EraseRootFromParent_Done,
     /* 1644049 */   // Label 22611: @1644049
     /* 1644049 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1644135), // Rule ID 4541 //
     /* 1644054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644100 */     // MIs[0] policy
     /* 1644100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644110 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1644113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644134 */     // GIR_Coverage, 4541,
     /* 1644134 */     GIR_EraseRootFromParent_Done,
     /* 1644135 */   // Label 22612: @1644135
     /* 1644135 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1644221), // Rule ID 4544 //
     /* 1644140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644186 */     // MIs[0] policy
     /* 1644186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1644199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644220 */     // GIR_Coverage, 4544,
     /* 1644220 */     GIR_EraseRootFromParent_Done,
     /* 1644221 */   // Label 22613: @1644221
     /* 1644221 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1644307), // Rule ID 4545 //
     /* 1644226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644272 */     // MIs[0] policy
     /* 1644272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1644285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644306 */     // GIR_Coverage, 4545,
     /* 1644306 */     GIR_EraseRootFromParent_Done,
     /* 1644307 */   // Label 22614: @1644307
     /* 1644307 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1644393), // Rule ID 4548 //
     /* 1644312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644358 */     // MIs[0] policy
     /* 1644358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1644371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644392 */     // GIR_Coverage, 4548,
     /* 1644392 */     GIR_EraseRootFromParent_Done,
     /* 1644393 */   // Label 22615: @1644393
     /* 1644393 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1644479), // Rule ID 4549 //
     /* 1644398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644444 */     // MIs[0] policy
     /* 1644444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1644457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644478 */     // GIR_Coverage, 4549,
     /* 1644478 */     GIR_EraseRootFromParent_Done,
     /* 1644479 */   // Label 22616: @1644479
     /* 1644479 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1644565), // Rule ID 4552 //
     /* 1644484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644530 */     // MIs[0] policy
     /* 1644530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1644543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644564 */     // GIR_Coverage, 4552,
     /* 1644564 */     GIR_EraseRootFromParent_Done,
     /* 1644565 */   // Label 22617: @1644565
     /* 1644565 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1644651), // Rule ID 4553 //
     /* 1644570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644616 */     // MIs[0] policy
     /* 1644616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1644629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644650 */     // GIR_Coverage, 4553,
     /* 1644650 */     GIR_EraseRootFromParent_Done,
     /* 1644651 */   // Label 22618: @1644651
     /* 1644651 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1644737), // Rule ID 4556 //
     /* 1644656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644702 */     // MIs[0] policy
     /* 1644702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1644715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644736 */     // GIR_Coverage, 4556,
     /* 1644736 */     GIR_EraseRootFromParent_Done,
     /* 1644737 */   // Label 22619: @1644737
     /* 1644737 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1644823), // Rule ID 4557 //
     /* 1644742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644788 */     // MIs[0] policy
     /* 1644788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1644801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644822 */     // GIR_Coverage, 4557,
     /* 1644822 */     GIR_EraseRootFromParent_Done,
     /* 1644823 */   // Label 22620: @1644823
     /* 1644823 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1644909), // Rule ID 4560 //
     /* 1644828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644874 */     // MIs[0] policy
     /* 1644874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1644887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644908 */     // GIR_Coverage, 4560,
     /* 1644908 */     GIR_EraseRootFromParent_Done,
     /* 1644909 */   // Label 22621: @1644909
     /* 1644909 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1644995), // Rule ID 4561 //
     /* 1644914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1644922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644960 */     // MIs[0] policy
     /* 1644960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1644973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644994 */     // GIR_Coverage, 4561,
     /* 1644994 */     GIR_EraseRootFromParent_Done,
     /* 1644995 */   // Label 22622: @1644995
     /* 1644995 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1645081), // Rule ID 4564 //
     /* 1645000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645046 */     // MIs[0] policy
     /* 1645046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1645059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645080 */     // GIR_Coverage, 4564,
     /* 1645080 */     GIR_EraseRootFromParent_Done,
     /* 1645081 */   // Label 22623: @1645081
     /* 1645081 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1645167), // Rule ID 4565 //
     /* 1645086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645132 */     // MIs[0] policy
     /* 1645132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1645145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645166 */     // GIR_Coverage, 4565,
     /* 1645166 */     GIR_EraseRootFromParent_Done,
     /* 1645167 */   // Label 22624: @1645167
     /* 1645167 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1645253), // Rule ID 4568 //
     /* 1645172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645218 */     // MIs[0] policy
     /* 1645218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1645231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645252 */     // GIR_Coverage, 4568,
     /* 1645252 */     GIR_EraseRootFromParent_Done,
     /* 1645253 */   // Label 22625: @1645253
     /* 1645253 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1645339), // Rule ID 4569 //
     /* 1645258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645304 */     // MIs[0] policy
     /* 1645304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1645317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645338 */     // GIR_Coverage, 4569,
     /* 1645338 */     GIR_EraseRootFromParent_Done,
     /* 1645339 */   // Label 22626: @1645339
     /* 1645339 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1645425), // Rule ID 4572 //
     /* 1645344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1645355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1645358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1645361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645390 */     // MIs[0] policy
     /* 1645390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1645403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645424 */     // GIR_Coverage, 4572,
     /* 1645424 */     GIR_EraseRootFromParent_Done,
     /* 1645425 */   // Label 22627: @1645425
     /* 1645425 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1645511), // Rule ID 4573 //
     /* 1645430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1645441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1645444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1645447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645476 */     // MIs[0] policy
     /* 1645476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1645489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645510 */     // GIR_Coverage, 4573,
     /* 1645510 */     GIR_EraseRootFromParent_Done,
     /* 1645511 */   // Label 22628: @1645511
     /* 1645511 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1645597), // Rule ID 4576 //
     /* 1645516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1645527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1645530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1645533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645562 */     // MIs[0] policy
     /* 1645562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1645575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645596 */     // GIR_Coverage, 4576,
     /* 1645596 */     GIR_EraseRootFromParent_Done,
     /* 1645597 */   // Label 22629: @1645597
     /* 1645597 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1645683), // Rule ID 4577 //
     /* 1645602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1645610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1645613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1645616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1645619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645648 */     // MIs[0] policy
     /* 1645648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1645661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645682 */     // GIR_Coverage, 4577,
     /* 1645682 */     GIR_EraseRootFromParent_Done,
     /* 1645683 */   // Label 22630: @1645683
     /* 1645683 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1645769), // Rule ID 4586 //
     /* 1645688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1645708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645734 */     // MIs[0] policy
     /* 1645734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1645747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645768 */     // GIR_Coverage, 4586,
     /* 1645768 */     GIR_EraseRootFromParent_Done,
     /* 1645769 */   // Label 22631: @1645769
     /* 1645769 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1645855), // Rule ID 4587 //
     /* 1645774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1645794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645820 */     // MIs[0] policy
     /* 1645820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1645833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645854 */     // GIR_Coverage, 4587,
     /* 1645854 */     GIR_EraseRootFromParent_Done,
     /* 1645855 */   // Label 22632: @1645855
     /* 1645855 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1645941), // Rule ID 4596 //
     /* 1645860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1645880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645906 */     // MIs[0] policy
     /* 1645906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1645919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645940 */     // GIR_Coverage, 4596,
     /* 1645940 */     GIR_EraseRootFromParent_Done,
     /* 1645941 */   // Label 22633: @1645941
     /* 1645941 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1646027), // Rule ID 4597 //
     /* 1645946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1645966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645992 */     // MIs[0] policy
     /* 1645992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1646005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646026 */     // GIR_Coverage, 4597,
     /* 1646026 */     GIR_EraseRootFromParent_Done,
     /* 1646027 */   // Label 22634: @1646027
     /* 1646027 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1646113), // Rule ID 4606 //
     /* 1646032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1646052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646078 */     // MIs[0] policy
     /* 1646078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1646091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646112 */     // GIR_Coverage, 4606,
     /* 1646112 */     GIR_EraseRootFromParent_Done,
     /* 1646113 */   // Label 22635: @1646113
     /* 1646113 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1646199), // Rule ID 4607 //
     /* 1646118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1646138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646164 */     // MIs[0] policy
     /* 1646164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1646177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646198 */     // GIR_Coverage, 4607,
     /* 1646198 */     GIR_EraseRootFromParent_Done,
     /* 1646199 */   // Label 22636: @1646199
     /* 1646199 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1646285), // Rule ID 4616 //
     /* 1646204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1646215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1646218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1646221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1646224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646250 */     // MIs[0] policy
     /* 1646250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646260 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1646263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646284 */     // GIR_Coverage, 4616,
     /* 1646284 */     GIR_EraseRootFromParent_Done,
     /* 1646285 */   // Label 22637: @1646285
     /* 1646285 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1646371), // Rule ID 4617 //
     /* 1646290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1646301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1646304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1646307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1646310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646336 */     // MIs[0] policy
     /* 1646336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1646349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646370 */     // GIR_Coverage, 4617,
     /* 1646370 */     GIR_EraseRootFromParent_Done,
     /* 1646371 */   // Label 22638: @1646371
     /* 1646371 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1646457), // Rule ID 4626 //
     /* 1646376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1646387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1646390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1646393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1646396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646422 */     // MIs[0] policy
     /* 1646422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646432 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1646435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646456 */     // GIR_Coverage, 4626,
     /* 1646456 */     GIR_EraseRootFromParent_Done,
     /* 1646457 */   // Label 22639: @1646457
     /* 1646457 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1646543), // Rule ID 4627 //
     /* 1646462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1646473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1646476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1646479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1646482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646508 */     // MIs[0] policy
     /* 1646508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646518 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1646521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646542 */     // GIR_Coverage, 4627,
     /* 1646542 */     GIR_EraseRootFromParent_Done,
     /* 1646543 */   // Label 22640: @1646543
     /* 1646543 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1646629), // Rule ID 4636 //
     /* 1646548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1646568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646594 */     // MIs[0] policy
     /* 1646594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646604 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1646607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646628 */     // GIR_Coverage, 4636,
     /* 1646628 */     GIR_EraseRootFromParent_Done,
     /* 1646629 */   // Label 22641: @1646629
     /* 1646629 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1646715), // Rule ID 4637 //
     /* 1646634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1646654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646680 */     // MIs[0] policy
     /* 1646680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646690 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1646693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646714 */     // GIR_Coverage, 4637,
     /* 1646714 */     GIR_EraseRootFromParent_Done,
     /* 1646715 */   // Label 22642: @1646715
     /* 1646715 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1646801), // Rule ID 4646 //
     /* 1646720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1646740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646766 */     // MIs[0] policy
     /* 1646766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1646779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646800 */     // GIR_Coverage, 4646,
     /* 1646800 */     GIR_EraseRootFromParent_Done,
     /* 1646801 */   // Label 22643: @1646801
     /* 1646801 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1646887), // Rule ID 4647 //
     /* 1646806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1646826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646852 */     // MIs[0] policy
     /* 1646852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1646865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646886 */     // GIR_Coverage, 4647,
     /* 1646886 */     GIR_EraseRootFromParent_Done,
     /* 1646887 */   // Label 22644: @1646887
     /* 1646887 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1646973), // Rule ID 4656 //
     /* 1646892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1646912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646938 */     // MIs[0] policy
     /* 1646938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1646951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646972 */     // GIR_Coverage, 4656,
     /* 1646972 */     GIR_EraseRootFromParent_Done,
     /* 1646973 */   // Label 22645: @1646973
     /* 1646973 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1647059), // Rule ID 4657 //
     /* 1646978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1646998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647024 */     // MIs[0] policy
     /* 1647024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1647037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647058 */     // GIR_Coverage, 4657,
     /* 1647058 */     GIR_EraseRootFromParent_Done,
     /* 1647059 */   // Label 22646: @1647059
     /* 1647059 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1647145), // Rule ID 4666 //
     /* 1647064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647110 */     // MIs[0] policy
     /* 1647110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1647123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647144 */     // GIR_Coverage, 4666,
     /* 1647144 */     GIR_EraseRootFromParent_Done,
     /* 1647145 */   // Label 22647: @1647145
     /* 1647145 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1647231), // Rule ID 4667 //
     /* 1647150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1647170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647196 */     // MIs[0] policy
     /* 1647196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1647209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647230 */     // GIR_Coverage, 4667,
     /* 1647230 */     GIR_EraseRootFromParent_Done,
     /* 1647231 */   // Label 22648: @1647231
     /* 1647231 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1647317), // Rule ID 4676 //
     /* 1647236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1647250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1647253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1647256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647282 */     // MIs[0] policy
     /* 1647282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1647295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647316 */     // GIR_Coverage, 4676,
     /* 1647316 */     GIR_EraseRootFromParent_Done,
     /* 1647317 */   // Label 22649: @1647317
     /* 1647317 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1647403), // Rule ID 4677 //
     /* 1647322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1647336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1647339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1647342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647368 */     // MIs[0] policy
     /* 1647368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1647381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647402 */     // GIR_Coverage, 4677,
     /* 1647402 */     GIR_EraseRootFromParent_Done,
     /* 1647403 */   // Label 22650: @1647403
     /* 1647403 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1647489), // Rule ID 4686 //
     /* 1647408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1647419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1647422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1647425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1647428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647454 */     // MIs[0] policy
     /* 1647454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1647467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647488 */     // GIR_Coverage, 4686,
     /* 1647488 */     GIR_EraseRootFromParent_Done,
     /* 1647489 */   // Label 22651: @1647489
     /* 1647489 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1647575), // Rule ID 4687 //
     /* 1647494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1647505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1647508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1647511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1647514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647540 */     // MIs[0] policy
     /* 1647540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1647553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647574 */     // GIR_Coverage, 4687,
     /* 1647574 */     GIR_EraseRootFromParent_Done,
     /* 1647575 */   // Label 22652: @1647575
     /* 1647575 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1647661), // Rule ID 4696 //
     /* 1647580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647626 */     // MIs[0] policy
     /* 1647626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1647639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647660 */     // GIR_Coverage, 4696,
     /* 1647660 */     GIR_EraseRootFromParent_Done,
     /* 1647661 */   // Label 22653: @1647661
     /* 1647661 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1647747), // Rule ID 4697 //
     /* 1647666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1647677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1647680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1647683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1647686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647712 */     // MIs[0] policy
     /* 1647712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1647725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647746 */     // GIR_Coverage, 4697,
     /* 1647746 */     GIR_EraseRootFromParent_Done,
     /* 1647747 */   // Label 22654: @1647747
     /* 1647747 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1647833), // Rule ID 4706 //
     /* 1647752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1647772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647798 */     // MIs[0] policy
     /* 1647798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1647811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647832 */     // GIR_Coverage, 4706,
     /* 1647832 */     GIR_EraseRootFromParent_Done,
     /* 1647833 */   // Label 22655: @1647833
     /* 1647833 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1647919), // Rule ID 4707 //
     /* 1647838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1647858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647884 */     // MIs[0] policy
     /* 1647884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1647897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647918 */     // GIR_Coverage, 4707,
     /* 1647918 */     GIR_EraseRootFromParent_Done,
     /* 1647919 */   // Label 22656: @1647919
     /* 1647919 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1648005), // Rule ID 4716 //
     /* 1647924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1647935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1647938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1647941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1647944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647970 */     // MIs[0] policy
     /* 1647970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1647983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648004 */     // GIR_Coverage, 4716,
     /* 1648004 */     GIR_EraseRootFromParent_Done,
     /* 1648005 */   // Label 22657: @1648005
     /* 1648005 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1648091), // Rule ID 4717 //
     /* 1648010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1648013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1648021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1648024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1648027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1648030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648056 */     // MIs[0] policy
     /* 1648056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1648069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648090 */     // GIR_Coverage, 4717,
     /* 1648090 */     GIR_EraseRootFromParent_Done,
     /* 1648091 */   // Label 22658: @1648091
     /* 1648091 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1648177), // Rule ID 4726 //
     /* 1648096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1648099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1648107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1648110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1648113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1648116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648142 */     // MIs[0] policy
     /* 1648142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1648155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648176 */     // GIR_Coverage, 4726,
     /* 1648176 */     GIR_EraseRootFromParent_Done,
     /* 1648177 */   // Label 22659: @1648177
     /* 1648177 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1648263), // Rule ID 4727 //
     /* 1648182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1648185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1648193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1648196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1648199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1648202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648228 */     // MIs[0] policy
     /* 1648228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1648241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648262 */     // GIR_Coverage, 4727,
     /* 1648262 */     GIR_EraseRootFromParent_Done,
     /* 1648263 */   // Label 22660: @1648263
     /* 1648263 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1648349), // Rule ID 4730 //
     /* 1648268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648314 */     // MIs[0] policy
     /* 1648314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648324 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1648327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648348 */     // GIR_Coverage, 4730,
     /* 1648348 */     GIR_EraseRootFromParent_Done,
     /* 1648349 */   // Label 22661: @1648349
     /* 1648349 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1648435), // Rule ID 4731 //
     /* 1648354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648400 */     // MIs[0] policy
     /* 1648400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648410 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1648413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648434 */     // GIR_Coverage, 4731,
     /* 1648434 */     GIR_EraseRootFromParent_Done,
     /* 1648435 */   // Label 22662: @1648435
     /* 1648435 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1648521), // Rule ID 4734 //
     /* 1648440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1648451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1648454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648486 */     // MIs[0] policy
     /* 1648486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1648499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648520 */     // GIR_Coverage, 4734,
     /* 1648520 */     GIR_EraseRootFromParent_Done,
     /* 1648521 */   // Label 22663: @1648521
     /* 1648521 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1648607), // Rule ID 4735 //
     /* 1648526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1648537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1648540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648572 */     // MIs[0] policy
     /* 1648572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648582 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1648585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648606 */     // GIR_Coverage, 4735,
     /* 1648606 */     GIR_EraseRootFromParent_Done,
     /* 1648607 */   // Label 22664: @1648607
     /* 1648607 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1648693), // Rule ID 4738 //
     /* 1648612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1648623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1648626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1648629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648658 */     // MIs[0] policy
     /* 1648658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1648671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648692 */     // GIR_Coverage, 4738,
     /* 1648692 */     GIR_EraseRootFromParent_Done,
     /* 1648693 */   // Label 22665: @1648693
     /* 1648693 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1648779), // Rule ID 4739 //
     /* 1648698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1648709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1648712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1648715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648744 */     // MIs[0] policy
     /* 1648744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11605:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1648757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648778 */     // GIR_Coverage, 4739,
     /* 1648778 */     GIR_EraseRootFromParent_Done,
     /* 1648779 */   // Label 22666: @1648779
     /* 1648779 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1648865), // Rule ID 4742 //
     /* 1648784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648830 */     // MIs[0] policy
     /* 1648830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648840 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1648843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648864 */     // GIR_Coverage, 4742,
     /* 1648864 */     GIR_EraseRootFromParent_Done,
     /* 1648865 */   // Label 22667: @1648865
     /* 1648865 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1648951), // Rule ID 4743 //
     /* 1648870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1648881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1648884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1648887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648916 */     // MIs[0] policy
     /* 1648916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648926 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1648929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648950 */     // GIR_Coverage, 4743,
     /* 1648950 */     GIR_EraseRootFromParent_Done,
     /* 1648951 */   // Label 22668: @1648951
     /* 1648951 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1649037), // Rule ID 4746 //
     /* 1648956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649002 */     // MIs[0] policy
     /* 1649002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1649015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649036 */     // GIR_Coverage, 4746,
     /* 1649036 */     GIR_EraseRootFromParent_Done,
     /* 1649037 */   // Label 22669: @1649037
     /* 1649037 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1649123), // Rule ID 4747 //
     /* 1649042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1649053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1649056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1649059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649088 */     // MIs[0] policy
     /* 1649088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1649101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649122 */     // GIR_Coverage, 4747,
     /* 1649122 */     GIR_EraseRootFromParent_Done,
     /* 1649123 */   // Label 22670: @1649123
     /* 1649123 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1649209), // Rule ID 4750 //
     /* 1649128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649174 */     // MIs[0] policy
     /* 1649174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1649187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649208 */     // GIR_Coverage, 4750,
     /* 1649208 */     GIR_EraseRootFromParent_Done,
     /* 1649209 */   // Label 22671: @1649209
     /* 1649209 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1649295), // Rule ID 4751 //
     /* 1649214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1649225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1649228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1649231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649260 */     // MIs[0] policy
     /* 1649260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649270 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1649273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649294 */     // GIR_Coverage, 4751,
     /* 1649294 */     GIR_EraseRootFromParent_Done,
     /* 1649295 */   // Label 22672: @1649295
     /* 1649295 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1649381), // Rule ID 4754 //
     /* 1649300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649346 */     // MIs[0] policy
     /* 1649346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1649359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649380 */     // GIR_Coverage, 4754,
     /* 1649380 */     GIR_EraseRootFromParent_Done,
     /* 1649381 */   // Label 22673: @1649381
     /* 1649381 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1649467), // Rule ID 4755 //
     /* 1649386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649432 */     // MIs[0] policy
     /* 1649432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1649445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649466 */     // GIR_Coverage, 4755,
     /* 1649466 */     GIR_EraseRootFromParent_Done,
     /* 1649467 */   // Label 22674: @1649467
     /* 1649467 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1649553), // Rule ID 4758 //
     /* 1649472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649518 */     // MIs[0] policy
     /* 1649518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1649531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649552 */     // GIR_Coverage, 4758,
     /* 1649552 */     GIR_EraseRootFromParent_Done,
     /* 1649553 */   // Label 22675: @1649553
     /* 1649553 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1649639), // Rule ID 4759 //
     /* 1649558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649604 */     // MIs[0] policy
     /* 1649604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11605:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1649617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649638 */     // GIR_Coverage, 4759,
     /* 1649638 */     GIR_EraseRootFromParent_Done,
     /* 1649639 */   // Label 22676: @1649639
     /* 1649639 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1649725), // Rule ID 4762 //
     /* 1649644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649690 */     // MIs[0] policy
     /* 1649690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1649703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649724 */     // GIR_Coverage, 4762,
     /* 1649724 */     GIR_EraseRootFromParent_Done,
     /* 1649725 */   // Label 22677: @1649725
     /* 1649725 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1649811), // Rule ID 4763 //
     /* 1649730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1649741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1649744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1649747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649776 */     // MIs[0] policy
     /* 1649776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1649789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649810 */     // GIR_Coverage, 4763,
     /* 1649810 */     GIR_EraseRootFromParent_Done,
     /* 1649811 */   // Label 22678: @1649811
     /* 1649811 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1649897), // Rule ID 4766 //
     /* 1649816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649862 */     // MIs[0] policy
     /* 1649862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1649875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649896 */     // GIR_Coverage, 4766,
     /* 1649896 */     GIR_EraseRootFromParent_Done,
     /* 1649897 */   // Label 22679: @1649897
     /* 1649897 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1649983), // Rule ID 4767 //
     /* 1649902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1649913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1649916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1649919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649948 */     // MIs[0] policy
     /* 1649948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1649961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649982 */     // GIR_Coverage, 4767,
     /* 1649982 */     GIR_EraseRootFromParent_Done,
     /* 1649983 */   // Label 22680: @1649983
     /* 1649983 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1650069), // Rule ID 4770 //
     /* 1649988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1650002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1650005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650034 */     // MIs[0] policy
     /* 1650034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1650047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650068 */     // GIR_Coverage, 4770,
     /* 1650068 */     GIR_EraseRootFromParent_Done,
     /* 1650069 */   // Label 22681: @1650069
     /* 1650069 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1650155), // Rule ID 4771 //
     /* 1650074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1650085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1650088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1650091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650120 */     // MIs[0] policy
     /* 1650120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1650133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650154 */     // GIR_Coverage, 4771,
     /* 1650154 */     GIR_EraseRootFromParent_Done,
     /* 1650155 */   // Label 22682: @1650155
     /* 1650155 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1650241), // Rule ID 4774 //
     /* 1650160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1650171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1650174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1650177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650206 */     // MIs[0] policy
     /* 1650206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1650219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650240 */     // GIR_Coverage, 4774,
     /* 1650240 */     GIR_EraseRootFromParent_Done,
     /* 1650241 */   // Label 22683: @1650241
     /* 1650241 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1650327), // Rule ID 4775 //
     /* 1650246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1650257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1650260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1650263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650292 */     // MIs[0] policy
     /* 1650292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650302 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11605:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1650305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650326 */     // GIR_Coverage, 4775,
     /* 1650326 */     GIR_EraseRootFromParent_Done,
     /* 1650327 */   // Label 22684: @1650327
     /* 1650327 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1650413), // Rule ID 4778 //
     /* 1650332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1650343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1650346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1650349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650378 */     // MIs[0] policy
     /* 1650378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1650391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650412 */     // GIR_Coverage, 4778,
     /* 1650412 */     GIR_EraseRootFromParent_Done,
     /* 1650413 */   // Label 22685: @1650413
     /* 1650413 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1650499), // Rule ID 4779 //
     /* 1650418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1650429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1650432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1650435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650464 */     // MIs[0] policy
     /* 1650464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11605:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1650477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650498 */     // GIR_Coverage, 4779,
     /* 1650498 */     GIR_EraseRootFromParent_Done,
     /* 1650499 */   // Label 22686: @1650499
     /* 1650499 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1650585), // Rule ID 4782 //
     /* 1650504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650550 */     // MIs[0] policy
     /* 1650550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1650563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650584 */     // GIR_Coverage, 4782,
     /* 1650584 */     GIR_EraseRootFromParent_Done,
     /* 1650585 */   // Label 22687: @1650585
     /* 1650585 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1650671), // Rule ID 4783 //
     /* 1650590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1650601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1650604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1650607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650636 */     // MIs[0] policy
     /* 1650636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11605:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1650649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650670 */     // GIR_Coverage, 4783,
     /* 1650670 */     GIR_EraseRootFromParent_Done,
     /* 1650671 */   // Label 22688: @1650671
     /* 1650671 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1650757), // Rule ID 4786 //
     /* 1650676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1650679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650722 */     // MIs[0] policy
     /* 1650722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1650735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650756 */     // GIR_Coverage, 4786,
     /* 1650756 */     GIR_EraseRootFromParent_Done,
     /* 1650757 */   // Label 22689: @1650757
     /* 1650757 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1650843), // Rule ID 4787 //
     /* 1650762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1650765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1650770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1650773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1650776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1650779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650808 */     // MIs[0] policy
     /* 1650808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11605:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1650821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650842 */     // GIR_Coverage, 4787,
     /* 1650842 */     GIR_EraseRootFromParent_Done,
     /* 1650843 */   // Label 22690: @1650843
     /* 1650843 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1650929), // Rule ID 5664 //
     /* 1650848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1650868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650894 */     // MIs[0] policy
     /* 1650894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1650907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650928 */     // GIR_Coverage, 5664,
     /* 1650928 */     GIR_EraseRootFromParent_Done,
     /* 1650929 */   // Label 22691: @1650929
     /* 1650929 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1651015), // Rule ID 5665 //
     /* 1650934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1650945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1650948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1650951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1650954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650980 */     // MIs[0] policy
     /* 1650980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650990 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1650993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651014 */     // GIR_Coverage, 5665,
     /* 1651014 */     GIR_EraseRootFromParent_Done,
     /* 1651015 */   // Label 22692: @1651015
     /* 1651015 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1651101), // Rule ID 5668 //
     /* 1651020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1651031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1651034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1651037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1651040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651066 */     // MIs[0] policy
     /* 1651066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1651079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651100 */     // GIR_Coverage, 5668,
     /* 1651100 */     GIR_EraseRootFromParent_Done,
     /* 1651101 */   // Label 22693: @1651101
     /* 1651101 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1651187), // Rule ID 5669 //
     /* 1651106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1651117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1651120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1651123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1651126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651152 */     // MIs[0] policy
     /* 1651152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1651165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651186 */     // GIR_Coverage, 5669,
     /* 1651186 */     GIR_EraseRootFromParent_Done,
     /* 1651187 */   // Label 22694: @1651187
     /* 1651187 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1651273), // Rule ID 5672 //
     /* 1651192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1651203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1651206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1651209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1651212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651238 */     // MIs[0] policy
     /* 1651238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1651251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651272 */     // GIR_Coverage, 5672,
     /* 1651272 */     GIR_EraseRootFromParent_Done,
     /* 1651273 */   // Label 22695: @1651273
     /* 1651273 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1651359), // Rule ID 5673 //
     /* 1651278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1651289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1651292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1651295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1651298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651324 */     // MIs[0] policy
     /* 1651324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1651337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651358 */     // GIR_Coverage, 5673,
     /* 1651358 */     GIR_EraseRootFromParent_Done,
     /* 1651359 */   // Label 22696: @1651359
     /* 1651359 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1651445), // Rule ID 5676 //
     /* 1651364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1651375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1651378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1651381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1651384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651410 */     // MIs[0] policy
     /* 1651410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651420 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1651423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651444 */     // GIR_Coverage, 5676,
     /* 1651444 */     GIR_EraseRootFromParent_Done,
     /* 1651445 */   // Label 22697: @1651445
     /* 1651445 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1651531), // Rule ID 5677 //
     /* 1651450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1651461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1651464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1651467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1651470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651496 */     // MIs[0] policy
     /* 1651496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1651509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651530 */     // GIR_Coverage, 5677,
     /* 1651530 */     GIR_EraseRootFromParent_Done,
     /* 1651531 */   // Label 22698: @1651531
     /* 1651531 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1651617), // Rule ID 5680 //
     /* 1651536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1651556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651582 */     // MIs[0] policy
     /* 1651582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1651595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651616 */     // GIR_Coverage, 5680,
     /* 1651616 */     GIR_EraseRootFromParent_Done,
     /* 1651617 */   // Label 22699: @1651617
     /* 1651617 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1651703), // Rule ID 5681 //
     /* 1651622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1651633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1651636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1651639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1651642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651668 */     // MIs[0] policy
     /* 1651668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1651681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651702 */     // GIR_Coverage, 5681,
     /* 1651702 */     GIR_EraseRootFromParent_Done,
     /* 1651703 */   // Label 22700: @1651703
     /* 1651703 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1651789), // Rule ID 5684 //
     /* 1651708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1651728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651754 */     // MIs[0] policy
     /* 1651754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1651767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651788 */     // GIR_Coverage, 5684,
     /* 1651788 */     GIR_EraseRootFromParent_Done,
     /* 1651789 */   // Label 22701: @1651789
     /* 1651789 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1651875), // Rule ID 5685 //
     /* 1651794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1651805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1651808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1651814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651840 */     // MIs[0] policy
     /* 1651840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1651853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651874 */     // GIR_Coverage, 5685,
     /* 1651874 */     GIR_EraseRootFromParent_Done,
     /* 1651875 */   // Label 22702: @1651875
     /* 1651875 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1651961), // Rule ID 5688 //
     /* 1651880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1651900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651926 */     // MIs[0] policy
     /* 1651926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651960 */     // GIR_Coverage, 5688,
     /* 1651960 */     GIR_EraseRootFromParent_Done,
     /* 1651961 */   // Label 22703: @1651961
     /* 1651961 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1652047), // Rule ID 5689 //
     /* 1651966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1651977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1651980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1651983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1651986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652012 */     // MIs[0] policy
     /* 1652012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1652025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652046 */     // GIR_Coverage, 5689,
     /* 1652046 */     GIR_EraseRootFromParent_Done,
     /* 1652047 */   // Label 22704: @1652047
     /* 1652047 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1652133), // Rule ID 5692 //
     /* 1652052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1652063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1652066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1652069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1652072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652098 */     // MIs[0] policy
     /* 1652098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1652111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652132 */     // GIR_Coverage, 5692,
     /* 1652132 */     GIR_EraseRootFromParent_Done,
     /* 1652133 */   // Label 22705: @1652133
     /* 1652133 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1652219), // Rule ID 5693 //
     /* 1652138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1652149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1652152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1652155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1652158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652184 */     // MIs[0] policy
     /* 1652184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1652197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652218 */     // GIR_Coverage, 5693,
     /* 1652218 */     GIR_EraseRootFromParent_Done,
     /* 1652219 */   // Label 22706: @1652219
     /* 1652219 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1652305), // Rule ID 5696 //
     /* 1652224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1652235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1652238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1652241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1652244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652270 */     // MIs[0] policy
     /* 1652270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1652283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652304 */     // GIR_Coverage, 5696,
     /* 1652304 */     GIR_EraseRootFromParent_Done,
     /* 1652305 */   // Label 22707: @1652305
     /* 1652305 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1652391), // Rule ID 5697 //
     /* 1652310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1652321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1652324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1652327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1652330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652356 */     // MIs[0] policy
     /* 1652356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1652369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652390 */     // GIR_Coverage, 5697,
     /* 1652390 */     GIR_EraseRootFromParent_Done,
     /* 1652391 */   // Label 22708: @1652391
     /* 1652391 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1652477), // Rule ID 5700 //
     /* 1652396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1652399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1652416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652442 */     // MIs[0] policy
     /* 1652442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1652455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652476 */     // GIR_Coverage, 5700,
     /* 1652476 */     GIR_EraseRootFromParent_Done,
     /* 1652477 */   // Label 22709: @1652477
     /* 1652477 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1652563), // Rule ID 5701 //
     /* 1652482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1652485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1652493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1652496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1652499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1652502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652528 */     // MIs[0] policy
     /* 1652528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652538 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1652541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652562 */     // GIR_Coverage, 5701,
     /* 1652562 */     GIR_EraseRootFromParent_Done,
     /* 1652563 */   // Label 22710: @1652563
     /* 1652563 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1652649), // Rule ID 5704 //
     /* 1652568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1652579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1652582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1652585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1652588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652614 */     // MIs[0] policy
     /* 1652614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1652627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652648 */     // GIR_Coverage, 5704,
     /* 1652648 */     GIR_EraseRootFromParent_Done,
     /* 1652649 */   // Label 22711: @1652649
     /* 1652649 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1652735), // Rule ID 5705 //
     /* 1652654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1652665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1652668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1652671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1652674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652700 */     // MIs[0] policy
     /* 1652700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1652713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652734 */     // GIR_Coverage, 5705,
     /* 1652734 */     GIR_EraseRootFromParent_Done,
     /* 1652735 */   // Label 22712: @1652735
     /* 1652735 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1652821), // Rule ID 5708 //
     /* 1652740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1652760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652786 */     // MIs[0] policy
     /* 1652786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1652799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652820 */     // GIR_Coverage, 5708,
     /* 1652820 */     GIR_EraseRootFromParent_Done,
     /* 1652821 */   // Label 22713: @1652821
     /* 1652821 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1652907), // Rule ID 5709 //
     /* 1652826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1652846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652872 */     // MIs[0] policy
     /* 1652872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1652885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652906 */     // GIR_Coverage, 5709,
     /* 1652906 */     GIR_EraseRootFromParent_Done,
     /* 1652907 */   // Label 22714: @1652907
     /* 1652907 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1652993), // Rule ID 5712 //
     /* 1652912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1652932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652958 */     // MIs[0] policy
     /* 1652958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1652971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652992 */     // GIR_Coverage, 5712,
     /* 1652992 */     GIR_EraseRootFromParent_Done,
     /* 1652993 */   // Label 22715: @1652993
     /* 1652993 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1653079), // Rule ID 5713 //
     /* 1652998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1653009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1653012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1653015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1653018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1653021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653044 */     // MIs[0] policy
     /* 1653044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653054 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1653057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653078 */     // GIR_Coverage, 5713,
     /* 1653078 */     GIR_EraseRootFromParent_Done,
     /* 1653079 */   // Label 22716: @1653079
     /* 1653079 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1653165), // Rule ID 5716 //
     /* 1653084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1653095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1653098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1653101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1653104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653130 */     // MIs[0] policy
     /* 1653130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653140 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653164 */     // GIR_Coverage, 5716,
     /* 1653164 */     GIR_EraseRootFromParent_Done,
     /* 1653165 */   // Label 22717: @1653165
     /* 1653165 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1653251), // Rule ID 5717 //
     /* 1653170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1653181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1653184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1653187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1653190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653216 */     // MIs[0] policy
     /* 1653216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653250 */     // GIR_Coverage, 5717,
     /* 1653250 */     GIR_EraseRootFromParent_Done,
     /* 1653251 */   // Label 22718: @1653251
     /* 1653251 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1653337), // Rule ID 5720 //
     /* 1653256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1653267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1653270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1653273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1653276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653302 */     // MIs[0] policy
     /* 1653302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653336 */     // GIR_Coverage, 5720,
     /* 1653336 */     GIR_EraseRootFromParent_Done,
     /* 1653337 */   // Label 22719: @1653337
     /* 1653337 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1653423), // Rule ID 5721 //
     /* 1653342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1653353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1653356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1653359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1653362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653388 */     // MIs[0] policy
     /* 1653388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653422 */     // GIR_Coverage, 5721,
     /* 1653422 */     GIR_EraseRootFromParent_Done,
     /* 1653423 */   // Label 22720: @1653423
     /* 1653423 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1653509), // Rule ID 5724 //
     /* 1653428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1653448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653474 */     // MIs[0] policy
     /* 1653474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1653487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653508 */     // GIR_Coverage, 5724,
     /* 1653508 */     GIR_EraseRootFromParent_Done,
     /* 1653509 */   // Label 22721: @1653509
     /* 1653509 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1653595), // Rule ID 5725 //
     /* 1653514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1653534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653560 */     // MIs[0] policy
     /* 1653560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1653573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653594 */     // GIR_Coverage, 5725,
     /* 1653594 */     GIR_EraseRootFromParent_Done,
     /* 1653595 */   // Label 22722: @1653595
     /* 1653595 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1653681), // Rule ID 5728 //
     /* 1653600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1653620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653646 */     // MIs[0] policy
     /* 1653646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653680 */     // GIR_Coverage, 5728,
     /* 1653680 */     GIR_EraseRootFromParent_Done,
     /* 1653681 */   // Label 22723: @1653681
     /* 1653681 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1653767), // Rule ID 5729 //
     /* 1653686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1653706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653732 */     // MIs[0] policy
     /* 1653732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653766 */     // GIR_Coverage, 5729,
     /* 1653766 */     GIR_EraseRootFromParent_Done,
     /* 1653767 */   // Label 22724: @1653767
     /* 1653767 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1653853), // Rule ID 5732 //
     /* 1653772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1653792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653818 */     // MIs[0] policy
     /* 1653818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653852 */     // GIR_Coverage, 5732,
     /* 1653852 */     GIR_EraseRootFromParent_Done,
     /* 1653853 */   // Label 22725: @1653853
     /* 1653853 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1653939), // Rule ID 5733 //
     /* 1653858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1653878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653904 */     // MIs[0] policy
     /* 1653904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653938 */     // GIR_Coverage, 5733,
     /* 1653938 */     GIR_EraseRootFromParent_Done,
     /* 1653939 */   // Label 22726: @1653939
     /* 1653939 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1654025), // Rule ID 5736 //
     /* 1653944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1653964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653990 */     // MIs[0] policy
     /* 1653990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1654003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654024 */     // GIR_Coverage, 5736,
     /* 1654024 */     GIR_EraseRootFromParent_Done,
     /* 1654025 */   // Label 22727: @1654025
     /* 1654025 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1654111), // Rule ID 5737 //
     /* 1654030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1654041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1654044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1654047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1654050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654076 */     // MIs[0] policy
     /* 1654076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1654089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654110 */     // GIR_Coverage, 5737,
     /* 1654110 */     GIR_EraseRootFromParent_Done,
     /* 1654111 */   // Label 22728: @1654111
     /* 1654111 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1654197), // Rule ID 5740 //
     /* 1654116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1654127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1654130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1654133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1654136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654162 */     // MIs[0] policy
     /* 1654162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1654175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654196 */     // GIR_Coverage, 5740,
     /* 1654196 */     GIR_EraseRootFromParent_Done,
     /* 1654197 */   // Label 22729: @1654197
     /* 1654197 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1654283), // Rule ID 5741 //
     /* 1654202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1654213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1654216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1654219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1654222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654248 */     // MIs[0] policy
     /* 1654248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1654261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654282 */     // GIR_Coverage, 5741,
     /* 1654282 */     GIR_EraseRootFromParent_Done,
     /* 1654283 */   // Label 22730: @1654283
     /* 1654283 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1654369), // Rule ID 5744 //
     /* 1654288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1654299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1654302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1654305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1654308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654334 */     // MIs[0] policy
     /* 1654334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1654347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654368 */     // GIR_Coverage, 5744,
     /* 1654368 */     GIR_EraseRootFromParent_Done,
     /* 1654369 */   // Label 22731: @1654369
     /* 1654369 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1654455), // Rule ID 5745 //
     /* 1654374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1654385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1654388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1654391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1654394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654420 */     // MIs[0] policy
     /* 1654420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1654433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654454 */     // GIR_Coverage, 5745,
     /* 1654454 */     GIR_EraseRootFromParent_Done,
     /* 1654455 */   // Label 22732: @1654455
     /* 1654455 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1654541), // Rule ID 5748 //
     /* 1654460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1654480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654506 */     // MIs[0] policy
     /* 1654506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1654519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654540 */     // GIR_Coverage, 5748,
     /* 1654540 */     GIR_EraseRootFromParent_Done,
     /* 1654541 */   // Label 22733: @1654541
     /* 1654541 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1654627), // Rule ID 5749 //
     /* 1654546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1654566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654592 */     // MIs[0] policy
     /* 1654592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1654605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654626 */     // GIR_Coverage, 5749,
     /* 1654626 */     GIR_EraseRootFromParent_Done,
     /* 1654627 */   // Label 22734: @1654627
     /* 1654627 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1654713), // Rule ID 5752 //
     /* 1654632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654678 */     // MIs[0] policy
     /* 1654678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1654691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654712 */     // GIR_Coverage, 5752,
     /* 1654712 */     GIR_EraseRootFromParent_Done,
     /* 1654713 */   // Label 22735: @1654713
     /* 1654713 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1654799), // Rule ID 5753 //
     /* 1654718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654764 */     // MIs[0] policy
     /* 1654764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1654777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654798 */     // GIR_Coverage, 5753,
     /* 1654798 */     GIR_EraseRootFromParent_Done,
     /* 1654799 */   // Label 22736: @1654799
     /* 1654799 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1654885), // Rule ID 5756 //
     /* 1654804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654850 */     // MIs[0] policy
     /* 1654850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1654863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654884 */     // GIR_Coverage, 5756,
     /* 1654884 */     GIR_EraseRootFromParent_Done,
     /* 1654885 */   // Label 22737: @1654885
     /* 1654885 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1654971), // Rule ID 5757 //
     /* 1654890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654936 */     // MIs[0] policy
     /* 1654936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1654949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654970 */     // GIR_Coverage, 5757,
     /* 1654970 */     GIR_EraseRootFromParent_Done,
     /* 1654971 */   // Label 22738: @1654971
     /* 1654971 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1655057), // Rule ID 5760 //
     /* 1654976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655022 */     // MIs[0] policy
     /* 1655022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655056 */     // GIR_Coverage, 5760,
     /* 1655056 */     GIR_EraseRootFromParent_Done,
     /* 1655057 */   // Label 22739: @1655057
     /* 1655057 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1655143), // Rule ID 5761 //
     /* 1655062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1655073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1655076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1655079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655108 */     // MIs[0] policy
     /* 1655108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655142 */     // GIR_Coverage, 5761,
     /* 1655142 */     GIR_EraseRootFromParent_Done,
     /* 1655143 */   // Label 22740: @1655143
     /* 1655143 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1655229), // Rule ID 5764 //
     /* 1655148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1655159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1655162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1655165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655194 */     // MIs[0] policy
     /* 1655194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1655207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655228 */     // GIR_Coverage, 5764,
     /* 1655228 */     GIR_EraseRootFromParent_Done,
     /* 1655229 */   // Label 22741: @1655229
     /* 1655229 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1655315), // Rule ID 5765 //
     /* 1655234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1655245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1655248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1655251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655280 */     // MIs[0] policy
     /* 1655280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655290 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1655293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655314 */     // GIR_Coverage, 5765,
     /* 1655314 */     GIR_EraseRootFromParent_Done,
     /* 1655315 */   // Label 22742: @1655315
     /* 1655315 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1655401), // Rule ID 5768 //
     /* 1655320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655366 */     // MIs[0] policy
     /* 1655366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655400 */     // GIR_Coverage, 5768,
     /* 1655400 */     GIR_EraseRootFromParent_Done,
     /* 1655401 */   // Label 22743: @1655401
     /* 1655401 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1655487), // Rule ID 5769 //
     /* 1655406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655452 */     // MIs[0] policy
     /* 1655452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655486 */     // GIR_Coverage, 5769,
     /* 1655486 */     GIR_EraseRootFromParent_Done,
     /* 1655487 */   // Label 22744: @1655487
     /* 1655487 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1655573), // Rule ID 5772 //
     /* 1655492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655538 */     // MIs[0] policy
     /* 1655538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655572 */     // GIR_Coverage, 5772,
     /* 1655572 */     GIR_EraseRootFromParent_Done,
     /* 1655573 */   // Label 22745: @1655573
     /* 1655573 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1655659), // Rule ID 5773 //
     /* 1655578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655624 */     // MIs[0] policy
     /* 1655624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655658 */     // GIR_Coverage, 5773,
     /* 1655658 */     GIR_EraseRootFromParent_Done,
     /* 1655659 */   // Label 22746: @1655659
     /* 1655659 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1655745), // Rule ID 5776 //
     /* 1655664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655710 */     // MIs[0] policy
     /* 1655710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655744 */     // GIR_Coverage, 5776,
     /* 1655744 */     GIR_EraseRootFromParent_Done,
     /* 1655745 */   // Label 22747: @1655745
     /* 1655745 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1655831), // Rule ID 5777 //
     /* 1655750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655796 */     // MIs[0] policy
     /* 1655796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655830 */     // GIR_Coverage, 5777,
     /* 1655830 */     GIR_EraseRootFromParent_Done,
     /* 1655831 */   // Label 22748: @1655831
     /* 1655831 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1655917), // Rule ID 5780 //
     /* 1655836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655882 */     // MIs[0] policy
     /* 1655882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655916 */     // GIR_Coverage, 5780,
     /* 1655916 */     GIR_EraseRootFromParent_Done,
     /* 1655917 */   // Label 22749: @1655917
     /* 1655917 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1656003), // Rule ID 5781 //
     /* 1655922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655968 */     // MIs[0] policy
     /* 1655968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656002 */     // GIR_Coverage, 5781,
     /* 1656002 */     GIR_EraseRootFromParent_Done,
     /* 1656003 */   // Label 22750: @1656003
     /* 1656003 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1656089), // Rule ID 5784 //
     /* 1656008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1656019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1656022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1656025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656054 */     // MIs[0] policy
     /* 1656054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1656067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656088 */     // GIR_Coverage, 5784,
     /* 1656088 */     GIR_EraseRootFromParent_Done,
     /* 1656089 */   // Label 22751: @1656089
     /* 1656089 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1656175), // Rule ID 5785 //
     /* 1656094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1656105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1656108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1656111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656140 */     // MIs[0] policy
     /* 1656140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1656153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656174 */     // GIR_Coverage, 5785,
     /* 1656174 */     GIR_EraseRootFromParent_Done,
     /* 1656175 */   // Label 22752: @1656175
     /* 1656175 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1656261), // Rule ID 5788 //
     /* 1656180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1656191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1656194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1656197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656226 */     // MIs[0] policy
     /* 1656226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1656239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656260 */     // GIR_Coverage, 5788,
     /* 1656260 */     GIR_EraseRootFromParent_Done,
     /* 1656261 */   // Label 22753: @1656261
     /* 1656261 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1656347), // Rule ID 5789 //
     /* 1656266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1656277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1656280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1656283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656312 */     // MIs[0] policy
     /* 1656312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1656325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656346 */     // GIR_Coverage, 5789,
     /* 1656346 */     GIR_EraseRootFromParent_Done,
     /* 1656347 */   // Label 22754: @1656347
     /* 1656347 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1656433), // Rule ID 5792 //
     /* 1656352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656398 */     // MIs[0] policy
     /* 1656398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1656411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656432 */     // GIR_Coverage, 5792,
     /* 1656432 */     GIR_EraseRootFromParent_Done,
     /* 1656433 */   // Label 22755: @1656433
     /* 1656433 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1656519), // Rule ID 5793 //
     /* 1656438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656484 */     // MIs[0] policy
     /* 1656484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1656497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656518 */     // GIR_Coverage, 5793,
     /* 1656518 */     GIR_EraseRootFromParent_Done,
     /* 1656519 */   // Label 22756: @1656519
     /* 1656519 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1656605), // Rule ID 5796 //
     /* 1656524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656570 */     // MIs[0] policy
     /* 1656570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1656583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656604 */     // GIR_Coverage, 5796,
     /* 1656604 */     GIR_EraseRootFromParent_Done,
     /* 1656605 */   // Label 22757: @1656605
     /* 1656605 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1656691), // Rule ID 5797 //
     /* 1656610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656656 */     // MIs[0] policy
     /* 1656656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1656669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656690 */     // GIR_Coverage, 5797,
     /* 1656690 */     GIR_EraseRootFromParent_Done,
     /* 1656691 */   // Label 22758: @1656691
     /* 1656691 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1656777), // Rule ID 5800 //
     /* 1656696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656742 */     // MIs[0] policy
     /* 1656742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656752 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1656755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656776 */     // GIR_Coverage, 5800,
     /* 1656776 */     GIR_EraseRootFromParent_Done,
     /* 1656777 */   // Label 22759: @1656777
     /* 1656777 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1656863), // Rule ID 5801 //
     /* 1656782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656828 */     // MIs[0] policy
     /* 1656828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656838 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1656841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656862 */     // GIR_Coverage, 5801,
     /* 1656862 */     GIR_EraseRootFromParent_Done,
     /* 1656863 */   // Label 22760: @1656863
     /* 1656863 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1656949), // Rule ID 5804 //
     /* 1656868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656914 */     // MIs[0] policy
     /* 1656914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1656927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656948 */     // GIR_Coverage, 5804,
     /* 1656948 */     GIR_EraseRootFromParent_Done,
     /* 1656949 */   // Label 22761: @1656949
     /* 1656949 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1657035), // Rule ID 5805 //
     /* 1656954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657000 */     // MIs[0] policy
     /* 1657000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657010 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1657013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657034 */     // GIR_Coverage, 5805,
     /* 1657034 */     GIR_EraseRootFromParent_Done,
     /* 1657035 */   // Label 22762: @1657035
     /* 1657035 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1657121), // Rule ID 5808 //
     /* 1657040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1657051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1657054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1657057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657086 */     // MIs[0] policy
     /* 1657086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657120 */     // GIR_Coverage, 5808,
     /* 1657120 */     GIR_EraseRootFromParent_Done,
     /* 1657121 */   // Label 22763: @1657121
     /* 1657121 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1657207), // Rule ID 5809 //
     /* 1657126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1657137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1657140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1657143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657172 */     // MIs[0] policy
     /* 1657172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657182 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657206 */     // GIR_Coverage, 5809,
     /* 1657206 */     GIR_EraseRootFromParent_Done,
     /* 1657207 */   // Label 22764: @1657207
     /* 1657207 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1657293), // Rule ID 5812 //
     /* 1657212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1657223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1657226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1657229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1657235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657258 */     // MIs[0] policy
     /* 1657258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1657271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657292 */     // GIR_Coverage, 5812,
     /* 1657292 */     GIR_EraseRootFromParent_Done,
     /* 1657293 */   // Label 22765: @1657293
     /* 1657293 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1657379), // Rule ID 5813 //
     /* 1657298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1657309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1657312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1657315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1657321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657344 */     // MIs[0] policy
     /* 1657344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657354 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1657357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657378 */     // GIR_Coverage, 5813,
     /* 1657378 */     GIR_EraseRootFromParent_Done,
     /* 1657379 */   // Label 22766: @1657379
     /* 1657379 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1657465), // Rule ID 5816 //
     /* 1657384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657430 */     // MIs[0] policy
     /* 1657430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1657443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657464 */     // GIR_Coverage, 5816,
     /* 1657464 */     GIR_EraseRootFromParent_Done,
     /* 1657465 */   // Label 22767: @1657465
     /* 1657465 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1657551), // Rule ID 5817 //
     /* 1657470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657516 */     // MIs[0] policy
     /* 1657516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1657529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657550 */     // GIR_Coverage, 5817,
     /* 1657550 */     GIR_EraseRootFromParent_Done,
     /* 1657551 */   // Label 22768: @1657551
     /* 1657551 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1657637), // Rule ID 5820 //
     /* 1657556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657602 */     // MIs[0] policy
     /* 1657602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657612 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657636 */     // GIR_Coverage, 5820,
     /* 1657636 */     GIR_EraseRootFromParent_Done,
     /* 1657637 */   // Label 22769: @1657637
     /* 1657637 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1657723), // Rule ID 5821 //
     /* 1657642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657688 */     // MIs[0] policy
     /* 1657688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657722 */     // GIR_Coverage, 5821,
     /* 1657722 */     GIR_EraseRootFromParent_Done,
     /* 1657723 */   // Label 22770: @1657723
     /* 1657723 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1657809), // Rule ID 5824 //
     /* 1657728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657774 */     // MIs[0] policy
     /* 1657774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1657787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657808 */     // GIR_Coverage, 5824,
     /* 1657808 */     GIR_EraseRootFromParent_Done,
     /* 1657809 */   // Label 22771: @1657809
     /* 1657809 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1657895), // Rule ID 5825 //
     /* 1657814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657860 */     // MIs[0] policy
     /* 1657860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1657873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657894 */     // GIR_Coverage, 5825,
     /* 1657894 */     GIR_EraseRootFromParent_Done,
     /* 1657895 */   // Label 22772: @1657895
     /* 1657895 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1657981), // Rule ID 5828 //
     /* 1657900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657946 */     // MIs[0] policy
     /* 1657946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1657959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657980 */     // GIR_Coverage, 5828,
     /* 1657980 */     GIR_EraseRootFromParent_Done,
     /* 1657981 */   // Label 22773: @1657981
     /* 1657981 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1658067), // Rule ID 5829 //
     /* 1657986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1658000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1658003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658032 */     // MIs[0] policy
     /* 1658032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1658045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658066 */     // GIR_Coverage, 5829,
     /* 1658066 */     GIR_EraseRootFromParent_Done,
     /* 1658067 */   // Label 22774: @1658067
     /* 1658067 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1658153), // Rule ID 5832 //
     /* 1658072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1658083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1658086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1658089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658118 */     // MIs[0] policy
     /* 1658118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1658131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658152 */     // GIR_Coverage, 5832,
     /* 1658152 */     GIR_EraseRootFromParent_Done,
     /* 1658153 */   // Label 22775: @1658153
     /* 1658153 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1658239), // Rule ID 5833 //
     /* 1658158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1658169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1658172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1658175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658204 */     // MIs[0] policy
     /* 1658204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1658217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658238 */     // GIR_Coverage, 5833,
     /* 1658238 */     GIR_EraseRootFromParent_Done,
     /* 1658239 */   // Label 22776: @1658239
     /* 1658239 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1658325), // Rule ID 5836 //
     /* 1658244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1658255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1658258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1658261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658290 */     // MIs[0] policy
     /* 1658290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658300 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658324 */     // GIR_Coverage, 5836,
     /* 1658324 */     GIR_EraseRootFromParent_Done,
     /* 1658325 */   // Label 22777: @1658325
     /* 1658325 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1658411), // Rule ID 5837 //
     /* 1658330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1658341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1658344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1658347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658376 */     // MIs[0] policy
     /* 1658376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658410 */     // GIR_Coverage, 5837,
     /* 1658410 */     GIR_EraseRootFromParent_Done,
     /* 1658411 */   // Label 22778: @1658411
     /* 1658411 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1658497), // Rule ID 5928 //
     /* 1658416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1658436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658462 */     // MIs[0] policy
     /* 1658462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1658475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658496 */     // GIR_Coverage, 5928,
     /* 1658496 */     GIR_EraseRootFromParent_Done,
     /* 1658497 */   // Label 22779: @1658497
     /* 1658497 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1658583), // Rule ID 5929 //
     /* 1658502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1658522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658548 */     // MIs[0] policy
     /* 1658548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658558 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1658561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658582 */     // GIR_Coverage, 5929,
     /* 1658582 */     GIR_EraseRootFromParent_Done,
     /* 1658583 */   // Label 22780: @1658583
     /* 1658583 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1658669), // Rule ID 5932 //
     /* 1658588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1658599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1658602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1658605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1658608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658634 */     // MIs[0] policy
     /* 1658634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1658647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658668 */     // GIR_Coverage, 5932,
     /* 1658668 */     GIR_EraseRootFromParent_Done,
     /* 1658669 */   // Label 22781: @1658669
     /* 1658669 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1658755), // Rule ID 5933 //
     /* 1658674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1658685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1658688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1658691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1658694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658720 */     // MIs[0] policy
     /* 1658720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1658733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658754 */     // GIR_Coverage, 5933,
     /* 1658754 */     GIR_EraseRootFromParent_Done,
     /* 1658755 */   // Label 22782: @1658755
     /* 1658755 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1658841), // Rule ID 5936 //
     /* 1658760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1658780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658806 */     // MIs[0] policy
     /* 1658806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658816 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1658819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658840 */     // GIR_Coverage, 5936,
     /* 1658840 */     GIR_EraseRootFromParent_Done,
     /* 1658841 */   // Label 22783: @1658841
     /* 1658841 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1658927), // Rule ID 5937 //
     /* 1658846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1658866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658892 */     // MIs[0] policy
     /* 1658892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1658905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658926 */     // GIR_Coverage, 5937,
     /* 1658926 */     GIR_EraseRootFromParent_Done,
     /* 1658927 */   // Label 22784: @1658927
     /* 1658927 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1659013), // Rule ID 5940 //
     /* 1658932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1658952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658978 */     // MIs[0] policy
     /* 1658978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658988 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1658991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659012 */     // GIR_Coverage, 5940,
     /* 1659012 */     GIR_EraseRootFromParent_Done,
     /* 1659013 */   // Label 22785: @1659013
     /* 1659013 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1659099), // Rule ID 5941 //
     /* 1659018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1659029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1659032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1659035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1659038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659064 */     // MIs[0] policy
     /* 1659064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1659077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659098 */     // GIR_Coverage, 5941,
     /* 1659098 */     GIR_EraseRootFromParent_Done,
     /* 1659099 */   // Label 22786: @1659099
     /* 1659099 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1659185), // Rule ID 5944 //
     /* 1659104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1659115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1659118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1659121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1659124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659150 */     // MIs[0] policy
     /* 1659150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659184 */     // GIR_Coverage, 5944,
     /* 1659184 */     GIR_EraseRootFromParent_Done,
     /* 1659185 */   // Label 22787: @1659185
     /* 1659185 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1659271), // Rule ID 5945 //
     /* 1659190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1659201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1659204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1659207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1659210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659236 */     // MIs[0] policy
     /* 1659236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659270 */     // GIR_Coverage, 5945,
     /* 1659270 */     GIR_EraseRootFromParent_Done,
     /* 1659271 */   // Label 22788: @1659271
     /* 1659271 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1659357), // Rule ID 5948 //
     /* 1659276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1659287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1659290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1659293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1659296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659322 */     // MIs[0] policy
     /* 1659322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659356 */     // GIR_Coverage, 5948,
     /* 1659356 */     GIR_EraseRootFromParent_Done,
     /* 1659357 */   // Label 22789: @1659357
     /* 1659357 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1659443), // Rule ID 5949 //
     /* 1659362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1659373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1659376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1659379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1659382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659408 */     // MIs[0] policy
     /* 1659408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659442 */     // GIR_Coverage, 5949,
     /* 1659442 */     GIR_EraseRootFromParent_Done,
     /* 1659443 */   // Label 22790: @1659443
     /* 1659443 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1659529), // Rule ID 5952 //
     /* 1659448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1659459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1659462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1659465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1659468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659494 */     // MIs[0] policy
     /* 1659494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1659507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659528 */     // GIR_Coverage, 5952,
     /* 1659528 */     GIR_EraseRootFromParent_Done,
     /* 1659529 */   // Label 22791: @1659529
     /* 1659529 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1659615), // Rule ID 5953 //
     /* 1659534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1659545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1659548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1659551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1659554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659580 */     // MIs[0] policy
     /* 1659580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659590 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1659593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659614 */     // GIR_Coverage, 5953,
     /* 1659614 */     GIR_EraseRootFromParent_Done,
     /* 1659615 */   // Label 22792: @1659615
     /* 1659615 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1659701), // Rule ID 5956 //
     /* 1659620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1659631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1659634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1659637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1659640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659666 */     // MIs[0] policy
     /* 1659666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1659679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659700 */     // GIR_Coverage, 5956,
     /* 1659700 */     GIR_EraseRootFromParent_Done,
     /* 1659701 */   // Label 22793: @1659701
     /* 1659701 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1659787), // Rule ID 5957 //
     /* 1659706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1659717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1659720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1659723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1659726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659752 */     // MIs[0] policy
     /* 1659752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1659765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659786 */     // GIR_Coverage, 5957,
     /* 1659786 */     GIR_EraseRootFromParent_Done,
     /* 1659787 */   // Label 22794: @1659787
     /* 1659787 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1659873), // Rule ID 5960 //
     /* 1659792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1659812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659838 */     // MIs[0] policy
     /* 1659838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1659851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659872 */     // GIR_Coverage, 5960,
     /* 1659872 */     GIR_EraseRootFromParent_Done,
     /* 1659873 */   // Label 22795: @1659873
     /* 1659873 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1659959), // Rule ID 5961 //
     /* 1659878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1659898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659924 */     // MIs[0] policy
     /* 1659924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1659937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659958 */     // GIR_Coverage, 5961,
     /* 1659958 */     GIR_EraseRootFromParent_Done,
     /* 1659959 */   // Label 22796: @1659959
     /* 1659959 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1660045), // Rule ID 5964 //
     /* 1659964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1659984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660010 */     // MIs[0] policy
     /* 1660010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660044 */     // GIR_Coverage, 5964,
     /* 1660044 */     GIR_EraseRootFromParent_Done,
     /* 1660045 */   // Label 22797: @1660045
     /* 1660045 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1660131), // Rule ID 5965 //
     /* 1660050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1660061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1660064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1660067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1660070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660096 */     // MIs[0] policy
     /* 1660096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660130 */     // GIR_Coverage, 5965,
     /* 1660130 */     GIR_EraseRootFromParent_Done,
     /* 1660131 */   // Label 22798: @1660131
     /* 1660131 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1660217), // Rule ID 5968 //
     /* 1660136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1660147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1660150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1660153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1660156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660182 */     // MIs[0] policy
     /* 1660182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1660195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660216 */     // GIR_Coverage, 5968,
     /* 1660216 */     GIR_EraseRootFromParent_Done,
     /* 1660217 */   // Label 22799: @1660217
     /* 1660217 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1660303), // Rule ID 5969 //
     /* 1660222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1660233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1660236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1660239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1660242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660268 */     // MIs[0] policy
     /* 1660268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1660281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660302 */     // GIR_Coverage, 5969,
     /* 1660302 */     GIR_EraseRootFromParent_Done,
     /* 1660303 */   // Label 22800: @1660303
     /* 1660303 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1660389), // Rule ID 5972 //
     /* 1660308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1660319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1660322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1660325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1660328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660354 */     // MIs[0] policy
     /* 1660354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1660367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660388 */     // GIR_Coverage, 5972,
     /* 1660388 */     GIR_EraseRootFromParent_Done,
     /* 1660389 */   // Label 22801: @1660389
     /* 1660389 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1660475), // Rule ID 5973 //
     /* 1660394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1660405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1660408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1660411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1660414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660440 */     // MIs[0] policy
     /* 1660440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660450 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1660453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660474 */     // GIR_Coverage, 5973,
     /* 1660474 */     GIR_EraseRootFromParent_Done,
     /* 1660475 */   // Label 22802: @1660475
     /* 1660475 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1660561), // Rule ID 5976 //
     /* 1660480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1660491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1660494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1660497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1660500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1660503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660526 */     // MIs[0] policy
     /* 1660526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1660539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660560 */     // GIR_Coverage, 5976,
     /* 1660560 */     GIR_EraseRootFromParent_Done,
     /* 1660561 */   // Label 22803: @1660561
     /* 1660561 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1660647), // Rule ID 5977 //
     /* 1660566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1660577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1660580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1660583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1660586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1660589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660612 */     // MIs[0] policy
     /* 1660612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660622 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1660625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660646 */     // GIR_Coverage, 5977,
     /* 1660646 */     GIR_EraseRootFromParent_Done,
     /* 1660647 */   // Label 22804: @1660647
     /* 1660647 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1660733), // Rule ID 5980 //
     /* 1660652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1660663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1660666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1660669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1660672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660698 */     // MIs[0] policy
     /* 1660698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1660711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660732 */     // GIR_Coverage, 5980,
     /* 1660732 */     GIR_EraseRootFromParent_Done,
     /* 1660733 */   // Label 22805: @1660733
     /* 1660733 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1660819), // Rule ID 5981 //
     /* 1660738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1660749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1660752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1660755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1660758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660784 */     // MIs[0] policy
     /* 1660784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1660797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660818 */     // GIR_Coverage, 5981,
     /* 1660818 */     GIR_EraseRootFromParent_Done,
     /* 1660819 */   // Label 22806: @1660819
     /* 1660819 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1660905), // Rule ID 5984 //
     /* 1660824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1660844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660870 */     // MIs[0] policy
     /* 1660870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1660883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660904 */     // GIR_Coverage, 5984,
     /* 1660904 */     GIR_EraseRootFromParent_Done,
     /* 1660905 */   // Label 22807: @1660905
     /* 1660905 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1660991), // Rule ID 5985 //
     /* 1660910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1660930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660956 */     // MIs[0] policy
     /* 1660956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1660969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660990 */     // GIR_Coverage, 5985,
     /* 1660990 */     GIR_EraseRootFromParent_Done,
     /* 1660991 */   // Label 22808: @1660991
     /* 1660991 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1661077), // Rule ID 5988 //
     /* 1660996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1661007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1661010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1661013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1661016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661042 */     // MIs[0] policy
     /* 1661042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1661055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661076 */     // GIR_Coverage, 5988,
     /* 1661076 */     GIR_EraseRootFromParent_Done,
     /* 1661077 */   // Label 22809: @1661077
     /* 1661077 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1661163), // Rule ID 5989 //
     /* 1661082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1661093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1661096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1661099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1661102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661128 */     // MIs[0] policy
     /* 1661128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1661141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661162 */     // GIR_Coverage, 5989,
     /* 1661162 */     GIR_EraseRootFromParent_Done,
     /* 1661163 */   // Label 22810: @1661163
     /* 1661163 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1661249), // Rule ID 5992 //
     /* 1661168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1661179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1661182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1661185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1661188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661214 */     // MIs[0] policy
     /* 1661214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1661227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661248 */     // GIR_Coverage, 5992,
     /* 1661248 */     GIR_EraseRootFromParent_Done,
     /* 1661249 */   // Label 22811: @1661249
     /* 1661249 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1661335), // Rule ID 5993 //
     /* 1661254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1661265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1661268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1661271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1661274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661300 */     // MIs[0] policy
     /* 1661300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1661313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661334 */     // GIR_Coverage, 5993,
     /* 1661334 */     GIR_EraseRootFromParent_Done,
     /* 1661335 */   // Label 22812: @1661335
     /* 1661335 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1661421), // Rule ID 5996 //
     /* 1661340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1661351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1661354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1661357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1661360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661386 */     // MIs[0] policy
     /* 1661386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1661399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661420 */     // GIR_Coverage, 5996,
     /* 1661420 */     GIR_EraseRootFromParent_Done,
     /* 1661421 */   // Label 22813: @1661421
     /* 1661421 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1661507), // Rule ID 5997 //
     /* 1661426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1661437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1661440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1661443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1661446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661472 */     // MIs[0] policy
     /* 1661472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1661485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661506 */     // GIR_Coverage, 5997,
     /* 1661506 */     GIR_EraseRootFromParent_Done,
     /* 1661507 */   // Label 22814: @1661507
     /* 1661507 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1661593), // Rule ID 6000 //
     /* 1661512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1661523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1661526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1661529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1661532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661558 */     // MIs[0] policy
     /* 1661558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1661571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661592 */     // GIR_Coverage, 6000,
     /* 1661592 */     GIR_EraseRootFromParent_Done,
     /* 1661593 */   // Label 22815: @1661593
     /* 1661593 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1661679), // Rule ID 6001 //
     /* 1661598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1661609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1661612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1661615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1661618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661644 */     // MIs[0] policy
     /* 1661644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661654 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1661657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661678 */     // GIR_Coverage, 6001,
     /* 1661678 */     GIR_EraseRootFromParent_Done,
     /* 1661679 */   // Label 22816: @1661679
     /* 1661679 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1661765), // Rule ID 6004 //
     /* 1661684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1661704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661730 */     // MIs[0] policy
     /* 1661730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1661743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661764 */     // GIR_Coverage, 6004,
     /* 1661764 */     GIR_EraseRootFromParent_Done,
     /* 1661765 */   // Label 22817: @1661765
     /* 1661765 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1661851), // Rule ID 6005 //
     /* 1661770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1661790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661816 */     // MIs[0] policy
     /* 1661816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1661829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661850 */     // GIR_Coverage, 6005,
     /* 1661850 */     GIR_EraseRootFromParent_Done,
     /* 1661851 */   // Label 22818: @1661851
     /* 1661851 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1661937), // Rule ID 6008 //
     /* 1661856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1661876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661902 */     // MIs[0] policy
     /* 1661902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1661915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661936 */     // GIR_Coverage, 6008,
     /* 1661936 */     GIR_EraseRootFromParent_Done,
     /* 1661937 */   // Label 22819: @1661937
     /* 1661937 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1662023), // Rule ID 6009 //
     /* 1661942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1661962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661988 */     // MIs[0] policy
     /* 1661988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1662001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662022 */     // GIR_Coverage, 6009,
     /* 1662022 */     GIR_EraseRootFromParent_Done,
     /* 1662023 */   // Label 22820: @1662023
     /* 1662023 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1662109), // Rule ID 6012 //
     /* 1662028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1662039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1662042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1662045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1662048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662074 */     // MIs[0] policy
     /* 1662074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1662087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662108 */     // GIR_Coverage, 6012,
     /* 1662108 */     GIR_EraseRootFromParent_Done,
     /* 1662109 */   // Label 22821: @1662109
     /* 1662109 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1662195), // Rule ID 6013 //
     /* 1662114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1662117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1662125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1662128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1662131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1662134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662160 */     // MIs[0] policy
     /* 1662160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1662173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662194 */     // GIR_Coverage, 6013,
     /* 1662194 */     GIR_EraseRootFromParent_Done,
     /* 1662195 */   // Label 22822: @1662195
     /* 1662195 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1662281), // Rule ID 6016 //
     /* 1662200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1662211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1662214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1662217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662246 */     // MIs[0] policy
     /* 1662246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1662259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662280 */     // GIR_Coverage, 6016,
     /* 1662280 */     GIR_EraseRootFromParent_Done,
     /* 1662281 */   // Label 22823: @1662281
     /* 1662281 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1662367), // Rule ID 6017 //
     /* 1662286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1662297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1662300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1662303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662332 */     // MIs[0] policy
     /* 1662332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1662345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662366 */     // GIR_Coverage, 6017,
     /* 1662366 */     GIR_EraseRootFromParent_Done,
     /* 1662367 */   // Label 22824: @1662367
     /* 1662367 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1662453), // Rule ID 6020 //
     /* 1662372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1662383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1662386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1662389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662418 */     // MIs[0] policy
     /* 1662418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662428 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1662431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662452 */     // GIR_Coverage, 6020,
     /* 1662452 */     GIR_EraseRootFromParent_Done,
     /* 1662453 */   // Label 22825: @1662453
     /* 1662453 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1662539), // Rule ID 6021 //
     /* 1662458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1662469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1662472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1662475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662504 */     // MIs[0] policy
     /* 1662504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662514 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1662517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662538 */     // GIR_Coverage, 6021,
     /* 1662538 */     GIR_EraseRootFromParent_Done,
     /* 1662539 */   // Label 22826: @1662539
     /* 1662539 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1662625), // Rule ID 6024 //
     /* 1662544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1662555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1662558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1662561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662590 */     // MIs[0] policy
     /* 1662590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1662603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662624 */     // GIR_Coverage, 6024,
     /* 1662624 */     GIR_EraseRootFromParent_Done,
     /* 1662625 */   // Label 22827: @1662625
     /* 1662625 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1662711), // Rule ID 6025 //
     /* 1662630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1662641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1662644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1662647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662676 */     // MIs[0] policy
     /* 1662676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662686 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1662689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662710 */     // GIR_Coverage, 6025,
     /* 1662710 */     GIR_EraseRootFromParent_Done,
     /* 1662711 */   // Label 22828: @1662711
     /* 1662711 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1662797), // Rule ID 6028 //
     /* 1662716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662762 */     // MIs[0] policy
     /* 1662762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1662775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662796 */     // GIR_Coverage, 6028,
     /* 1662796 */     GIR_EraseRootFromParent_Done,
     /* 1662797 */   // Label 22829: @1662797
     /* 1662797 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1662883), // Rule ID 6029 //
     /* 1662802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662848 */     // MIs[0] policy
     /* 1662848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662858 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1662861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662882 */     // GIR_Coverage, 6029,
     /* 1662882 */     GIR_EraseRootFromParent_Done,
     /* 1662883 */   // Label 22830: @1662883
     /* 1662883 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1662969), // Rule ID 6032 //
     /* 1662888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662934 */     // MIs[0] policy
     /* 1662934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1662947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662968 */     // GIR_Coverage, 6032,
     /* 1662968 */     GIR_EraseRootFromParent_Done,
     /* 1662969 */   // Label 22831: @1662969
     /* 1662969 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1663055), // Rule ID 6033 //
     /* 1662974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663020 */     // MIs[0] policy
     /* 1663020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1663033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663054 */     // GIR_Coverage, 6033,
     /* 1663054 */     GIR_EraseRootFromParent_Done,
     /* 1663055 */   // Label 22832: @1663055
     /* 1663055 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1663141), // Rule ID 6036 //
     /* 1663060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1663071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1663074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1663077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663106 */     // MIs[0] policy
     /* 1663106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1663119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663140 */     // GIR_Coverage, 6036,
     /* 1663140 */     GIR_EraseRootFromParent_Done,
     /* 1663141 */   // Label 22833: @1663141
     /* 1663141 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1663227), // Rule ID 6037 //
     /* 1663146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1663157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1663160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1663163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663192 */     // MIs[0] policy
     /* 1663192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1663205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663226 */     // GIR_Coverage, 6037,
     /* 1663226 */     GIR_EraseRootFromParent_Done,
     /* 1663227 */   // Label 22834: @1663227
     /* 1663227 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1663313), // Rule ID 6040 //
     /* 1663232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1663243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1663246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1663249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663278 */     // MIs[0] policy
     /* 1663278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663312 */     // GIR_Coverage, 6040,
     /* 1663312 */     GIR_EraseRootFromParent_Done,
     /* 1663313 */   // Label 22835: @1663313
     /* 1663313 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1663399), // Rule ID 6041 //
     /* 1663318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1663329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1663332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1663335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663364 */     // MIs[0] policy
     /* 1663364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663374 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663398 */     // GIR_Coverage, 6041,
     /* 1663398 */     GIR_EraseRootFromParent_Done,
     /* 1663399 */   // Label 22836: @1663399
     /* 1663399 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1663485), // Rule ID 6044 //
     /* 1663404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1663415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1663418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1663421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663450 */     // MIs[0] policy
     /* 1663450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663484 */     // GIR_Coverage, 6044,
     /* 1663484 */     GIR_EraseRootFromParent_Done,
     /* 1663485 */   // Label 22837: @1663485
     /* 1663485 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1663571), // Rule ID 6045 //
     /* 1663490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1663501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1663504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1663507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663536 */     // MIs[0] policy
     /* 1663536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663570 */     // GIR_Coverage, 6045,
     /* 1663570 */     GIR_EraseRootFromParent_Done,
     /* 1663571 */   // Label 22838: @1663571
     /* 1663571 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1663657), // Rule ID 6048 //
     /* 1663576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1663587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1663590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1663593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663622 */     // MIs[0] policy
     /* 1663622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663656 */     // GIR_Coverage, 6048,
     /* 1663656 */     GIR_EraseRootFromParent_Done,
     /* 1663657 */   // Label 22839: @1663657
     /* 1663657 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1663743), // Rule ID 6049 //
     /* 1663662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1663673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1663676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1663679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663708 */     // MIs[0] policy
     /* 1663708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663742 */     // GIR_Coverage, 6049,
     /* 1663742 */     GIR_EraseRootFromParent_Done,
     /* 1663743 */   // Label 22840: @1663743
     /* 1663743 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1663829), // Rule ID 6052 //
     /* 1663748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663794 */     // MIs[0] policy
     /* 1663794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663828 */     // GIR_Coverage, 6052,
     /* 1663828 */     GIR_EraseRootFromParent_Done,
     /* 1663829 */   // Label 22841: @1663829
     /* 1663829 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1663915), // Rule ID 6053 //
     /* 1663834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663880 */     // MIs[0] policy
     /* 1663880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1663893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663914 */     // GIR_Coverage, 6053,
     /* 1663914 */     GIR_EraseRootFromParent_Done,
     /* 1663915 */   // Label 22842: @1663915
     /* 1663915 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1664001), // Rule ID 6056 //
     /* 1663920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663966 */     // MIs[0] policy
     /* 1663966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1663979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664000 */     // GIR_Coverage, 6056,
     /* 1664000 */     GIR_EraseRootFromParent_Done,
     /* 1664001 */   // Label 22843: @1664001
     /* 1664001 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1664087), // Rule ID 6057 //
     /* 1664006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1664017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1664020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1664023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664052 */     // MIs[0] policy
     /* 1664052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1664065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664086 */     // GIR_Coverage, 6057,
     /* 1664086 */     GIR_EraseRootFromParent_Done,
     /* 1664087 */   // Label 22844: @1664087
     /* 1664087 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1664173), // Rule ID 6060 //
     /* 1664092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1664103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1664106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1664109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664138 */     // MIs[0] policy
     /* 1664138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664148 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1664151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664172 */     // GIR_Coverage, 6060,
     /* 1664172 */     GIR_EraseRootFromParent_Done,
     /* 1664173 */   // Label 22845: @1664173
     /* 1664173 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1664259), // Rule ID 6061 //
     /* 1664178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1664189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1664192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1664195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664224 */     // MIs[0] policy
     /* 1664224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664234 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1664237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664258 */     // GIR_Coverage, 6061,
     /* 1664258 */     GIR_EraseRootFromParent_Done,
     /* 1664259 */   // Label 22846: @1664259
     /* 1664259 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1664345), // Rule ID 6064 //
     /* 1664264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1664275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1664278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1664281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1664287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664310 */     // MIs[0] policy
     /* 1664310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1664323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664344 */     // GIR_Coverage, 6064,
     /* 1664344 */     GIR_EraseRootFromParent_Done,
     /* 1664345 */   // Label 22847: @1664345
     /* 1664345 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1664431), // Rule ID 6065 //
     /* 1664350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1664361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1664364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1664367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1664373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664396 */     // MIs[0] policy
     /* 1664396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664406 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1664409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664430 */     // GIR_Coverage, 6065,
     /* 1664430 */     GIR_EraseRootFromParent_Done,
     /* 1664431 */   // Label 22848: @1664431
     /* 1664431 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1664517), // Rule ID 6068 //
     /* 1664436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1664447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1664450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1664453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664482 */     // MIs[0] policy
     /* 1664482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1664495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664516 */     // GIR_Coverage, 6068,
     /* 1664516 */     GIR_EraseRootFromParent_Done,
     /* 1664517 */   // Label 22849: @1664517
     /* 1664517 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1664603), // Rule ID 6069 //
     /* 1664522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1664533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1664536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1664539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664568 */     // MIs[0] policy
     /* 1664568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1664581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664602 */     // GIR_Coverage, 6069,
     /* 1664602 */     GIR_EraseRootFromParent_Done,
     /* 1664603 */   // Label 22850: @1664603
     /* 1664603 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1664689), // Rule ID 6072 //
     /* 1664608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1664619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1664622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1664625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664654 */     // MIs[0] policy
     /* 1664654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1664667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664688 */     // GIR_Coverage, 6072,
     /* 1664688 */     GIR_EraseRootFromParent_Done,
     /* 1664689 */   // Label 22851: @1664689
     /* 1664689 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1664775), // Rule ID 6073 //
     /* 1664694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1664705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1664708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1664711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664740 */     // MIs[0] policy
     /* 1664740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1664753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664774 */     // GIR_Coverage, 6073,
     /* 1664774 */     GIR_EraseRootFromParent_Done,
     /* 1664775 */   // Label 22852: @1664775
     /* 1664775 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1664861), // Rule ID 6076 //
     /* 1664780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664826 */     // MIs[0] policy
     /* 1664826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1664839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664860 */     // GIR_Coverage, 6076,
     /* 1664860 */     GIR_EraseRootFromParent_Done,
     /* 1664861 */   // Label 22853: @1664861
     /* 1664861 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1664947), // Rule ID 6077 //
     /* 1664866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664912 */     // MIs[0] policy
     /* 1664912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1664925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664946 */     // GIR_Coverage, 6077,
     /* 1664946 */     GIR_EraseRootFromParent_Done,
     /* 1664947 */   // Label 22854: @1664947
     /* 1664947 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1665033), // Rule ID 6080 //
     /* 1664952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664998 */     // MIs[0] policy
     /* 1664998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1665011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665032 */     // GIR_Coverage, 6080,
     /* 1665032 */     GIR_EraseRootFromParent_Done,
     /* 1665033 */   // Label 22855: @1665033
     /* 1665033 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1665119), // Rule ID 6081 //
     /* 1665038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1665049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1665052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1665055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665084 */     // MIs[0] policy
     /* 1665084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1665097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665118 */     // GIR_Coverage, 6081,
     /* 1665118 */     GIR_EraseRootFromParent_Done,
     /* 1665119 */   // Label 22856: @1665119
     /* 1665119 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1665205), // Rule ID 6084 //
     /* 1665124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1665135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1665138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1665141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665170 */     // MIs[0] policy
     /* 1665170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1665183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665204 */     // GIR_Coverage, 6084,
     /* 1665204 */     GIR_EraseRootFromParent_Done,
     /* 1665205 */   // Label 22857: @1665205
     /* 1665205 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1665291), // Rule ID 6085 //
     /* 1665210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1665221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1665224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1665227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665256 */     // MIs[0] policy
     /* 1665256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1665269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665290 */     // GIR_Coverage, 6085,
     /* 1665290 */     GIR_EraseRootFromParent_Done,
     /* 1665291 */   // Label 22858: @1665291
     /* 1665291 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1665377), // Rule ID 6088 //
     /* 1665296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1665307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1665310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1665313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665342 */     // MIs[0] policy
     /* 1665342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1665355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665376 */     // GIR_Coverage, 6088,
     /* 1665376 */     GIR_EraseRootFromParent_Done,
     /* 1665377 */   // Label 22859: @1665377
     /* 1665377 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1665463), // Rule ID 6089 //
     /* 1665382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1665393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1665396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1665399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665428 */     // MIs[0] policy
     /* 1665428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1665441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665462 */     // GIR_Coverage, 6089,
     /* 1665462 */     GIR_EraseRootFromParent_Done,
     /* 1665463 */   // Label 22860: @1665463
     /* 1665463 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1665549), // Rule ID 6092 //
     /* 1665468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1665479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1665482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1665485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665514 */     // MIs[0] policy
     /* 1665514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1665527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665548 */     // GIR_Coverage, 6092,
     /* 1665548 */     GIR_EraseRootFromParent_Done,
     /* 1665549 */   // Label 22861: @1665549
     /* 1665549 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1665635), // Rule ID 6093 //
     /* 1665554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1665565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1665568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1665571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665600 */     // MIs[0] policy
     /* 1665600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1665613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665634 */     // GIR_Coverage, 6093,
     /* 1665634 */     GIR_EraseRootFromParent_Done,
     /* 1665635 */   // Label 22862: @1665635
     /* 1665635 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1665721), // Rule ID 6096 //
     /* 1665640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1665651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1665654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1665657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665686 */     // MIs[0] policy
     /* 1665686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1665699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665720 */     // GIR_Coverage, 6096,
     /* 1665720 */     GIR_EraseRootFromParent_Done,
     /* 1665721 */   // Label 22863: @1665721
     /* 1665721 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1665807), // Rule ID 6097 //
     /* 1665726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1665737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1665740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1665743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665772 */     // MIs[0] policy
     /* 1665772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1665785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665806 */     // GIR_Coverage, 6097,
     /* 1665806 */     GIR_EraseRootFromParent_Done,
     /* 1665807 */   // Label 22864: @1665807
     /* 1665807 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1665893), // Rule ID 6100 //
     /* 1665812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665858 */     // MIs[0] policy
     /* 1665858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1665871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665892 */     // GIR_Coverage, 6100,
     /* 1665892 */     GIR_EraseRootFromParent_Done,
     /* 1665893 */   // Label 22865: @1665893
     /* 1665893 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1665979), // Rule ID 6101 //
     /* 1665898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665944 */     // MIs[0] policy
     /* 1665944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1665957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665978 */     // GIR_Coverage, 6101,
     /* 1665978 */     GIR_EraseRootFromParent_Done,
     /* 1665979 */   // Label 22866: @1665979
     /* 1665979 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1666065), // Rule ID 6192 //
     /* 1665984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1666001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1666004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666030 */     // MIs[0] policy
     /* 1666030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666040 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1666043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666064 */     // GIR_Coverage, 6192,
     /* 1666064 */     GIR_EraseRootFromParent_Done,
     /* 1666065 */   // Label 22867: @1666065
     /* 1666065 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1666151), // Rule ID 6193 //
     /* 1666070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1666081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1666084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1666087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1666090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666116 */     // MIs[0] policy
     /* 1666116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666126 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1666129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666150 */     // GIR_Coverage, 6193,
     /* 1666150 */     GIR_EraseRootFromParent_Done,
     /* 1666151 */   // Label 22868: @1666151
     /* 1666151 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1666237), // Rule ID 6196 //
     /* 1666156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1666167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1666170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1666173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1666176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666202 */     // MIs[0] policy
     /* 1666202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666212 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1666215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666236 */     // GIR_Coverage, 6196,
     /* 1666236 */     GIR_EraseRootFromParent_Done,
     /* 1666237 */   // Label 22869: @1666237
     /* 1666237 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1666323), // Rule ID 6197 //
     /* 1666242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1666253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1666256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1666259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1666262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666288 */     // MIs[0] policy
     /* 1666288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1666301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666322 */     // GIR_Coverage, 6197,
     /* 1666322 */     GIR_EraseRootFromParent_Done,
     /* 1666323 */   // Label 22870: @1666323
     /* 1666323 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1666409), // Rule ID 6200 //
     /* 1666328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1666339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1666342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1666345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1666348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666374 */     // MIs[0] policy
     /* 1666374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666384 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1666387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666408 */     // GIR_Coverage, 6200,
     /* 1666408 */     GIR_EraseRootFromParent_Done,
     /* 1666409 */   // Label 22871: @1666409
     /* 1666409 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1666495), // Rule ID 6201 //
     /* 1666414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1666425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1666428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1666431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1666434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666460 */     // MIs[0] policy
     /* 1666460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1666473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666494 */     // GIR_Coverage, 6201,
     /* 1666494 */     GIR_EraseRootFromParent_Done,
     /* 1666495 */   // Label 22872: @1666495
     /* 1666495 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1666581), // Rule ID 6204 //
     /* 1666500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1666511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1666514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1666517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1666520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666546 */     // MIs[0] policy
     /* 1666546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666556 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1666559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666580 */     // GIR_Coverage, 6204,
     /* 1666580 */     GIR_EraseRootFromParent_Done,
     /* 1666581 */   // Label 22873: @1666581
     /* 1666581 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1666667), // Rule ID 6205 //
     /* 1666586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1666597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1666600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1666603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1666606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666632 */     // MIs[0] policy
     /* 1666632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1666645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666666 */     // GIR_Coverage, 6205,
     /* 1666666 */     GIR_EraseRootFromParent_Done,
     /* 1666667 */   // Label 22874: @1666667
     /* 1666667 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1666753), // Rule ID 6208 //
     /* 1666672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1666683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1666686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1666689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1666692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666718 */     // MIs[0] policy
     /* 1666718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1666731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666752 */     // GIR_Coverage, 6208,
     /* 1666752 */     GIR_EraseRootFromParent_Done,
     /* 1666753 */   // Label 22875: @1666753
     /* 1666753 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1666839), // Rule ID 6209 //
     /* 1666758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1666769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1666772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1666775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1666778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666804 */     // MIs[0] policy
     /* 1666804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1666817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666838 */     // GIR_Coverage, 6209,
     /* 1666838 */     GIR_EraseRootFromParent_Done,
     /* 1666839 */   // Label 22876: @1666839
     /* 1666839 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1666925), // Rule ID 6212 //
     /* 1666844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1666864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666890 */     // MIs[0] policy
     /* 1666890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666900 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1666903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666924 */     // GIR_Coverage, 6212,
     /* 1666924 */     GIR_EraseRootFromParent_Done,
     /* 1666925 */   // Label 22877: @1666925
     /* 1666925 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1667011), // Rule ID 6213 //
     /* 1666930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1666950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666976 */     // MIs[0] policy
     /* 1666976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1666989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667010 */     // GIR_Coverage, 6213,
     /* 1667010 */     GIR_EraseRootFromParent_Done,
     /* 1667011 */   // Label 22878: @1667011
     /* 1667011 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1667097), // Rule ID 6216 //
     /* 1667016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1667027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1667030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1667033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1667036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667062 */     // MIs[0] policy
     /* 1667062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667096 */     // GIR_Coverage, 6216,
     /* 1667096 */     GIR_EraseRootFromParent_Done,
     /* 1667097 */   // Label 22879: @1667097
     /* 1667097 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1667183), // Rule ID 6217 //
     /* 1667102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1667113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1667116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1667119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1667122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667148 */     // MIs[0] policy
     /* 1667148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667158 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667182 */     // GIR_Coverage, 6217,
     /* 1667182 */     GIR_EraseRootFromParent_Done,
     /* 1667183 */   // Label 22880: @1667183
     /* 1667183 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1667269), // Rule ID 6220 //
     /* 1667188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1667199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1667202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1667205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1667208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667234 */     // MIs[0] policy
     /* 1667234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667268 */     // GIR_Coverage, 6220,
     /* 1667268 */     GIR_EraseRootFromParent_Done,
     /* 1667269 */   // Label 22881: @1667269
     /* 1667269 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1667355), // Rule ID 6221 //
     /* 1667274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1667285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1667288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1667291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1667294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667320 */     // MIs[0] policy
     /* 1667320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667354 */     // GIR_Coverage, 6221,
     /* 1667354 */     GIR_EraseRootFromParent_Done,
     /* 1667355 */   // Label 22882: @1667355
     /* 1667355 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1667441), // Rule ID 6224 //
     /* 1667360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1667371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1667374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1667377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1667380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667406 */     // MIs[0] policy
     /* 1667406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667440 */     // GIR_Coverage, 6224,
     /* 1667440 */     GIR_EraseRootFromParent_Done,
     /* 1667441 */   // Label 22883: @1667441
     /* 1667441 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1667527), // Rule ID 6225 //
     /* 1667446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1667457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1667460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1667463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1667466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667492 */     // MIs[0] policy
     /* 1667492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667526 */     // GIR_Coverage, 6225,
     /* 1667526 */     GIR_EraseRootFromParent_Done,
     /* 1667527 */   // Label 22884: @1667527
     /* 1667527 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1667613), // Rule ID 6228 //
     /* 1667532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1667543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1667546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1667549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1667552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667578 */     // MIs[0] policy
     /* 1667578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667612 */     // GIR_Coverage, 6228,
     /* 1667612 */     GIR_EraseRootFromParent_Done,
     /* 1667613 */   // Label 22885: @1667613
     /* 1667613 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1667699), // Rule ID 6229 //
     /* 1667618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1667629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1667632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1667635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1667638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667664 */     // MIs[0] policy
     /* 1667664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1667677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667698 */     // GIR_Coverage, 6229,
     /* 1667698 */     GIR_EraseRootFromParent_Done,
     /* 1667699 */   // Label 22886: @1667699
     /* 1667699 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1667785), // Rule ID 6232 //
     /* 1667704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1667715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1667718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1667721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1667724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667750 */     // MIs[0] policy
     /* 1667750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667760 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1667763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667784 */     // GIR_Coverage, 6232,
     /* 1667784 */     GIR_EraseRootFromParent_Done,
     /* 1667785 */   // Label 22887: @1667785
     /* 1667785 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1667871), // Rule ID 6233 //
     /* 1667790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1667801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1667804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1667807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1667810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667836 */     // MIs[0] policy
     /* 1667836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1667849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667870 */     // GIR_Coverage, 6233,
     /* 1667870 */     GIR_EraseRootFromParent_Done,
     /* 1667871 */   // Label 22888: @1667871
     /* 1667871 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1667957), // Rule ID 6236 //
     /* 1667876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1667896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667922 */     // MIs[0] policy
     /* 1667922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667932 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1667935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667956 */     // GIR_Coverage, 6236,
     /* 1667956 */     GIR_EraseRootFromParent_Done,
     /* 1667957 */   // Label 22889: @1667957
     /* 1667957 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1668043), // Rule ID 6237 //
     /* 1667962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1667982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668008 */     // MIs[0] policy
     /* 1668008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1668021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668042 */     // GIR_Coverage, 6237,
     /* 1668042 */     GIR_EraseRootFromParent_Done,
     /* 1668043 */   // Label 22890: @1668043
     /* 1668043 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1668129), // Rule ID 6240 //
     /* 1668048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1668059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1668062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1668065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1668068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1668071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668094 */     // MIs[0] policy
     /* 1668094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1668107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668128 */     // GIR_Coverage, 6240,
     /* 1668128 */     GIR_EraseRootFromParent_Done,
     /* 1668129 */   // Label 22891: @1668129
     /* 1668129 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1668215), // Rule ID 6241 //
     /* 1668134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1668145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1668148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1668151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1668154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1668157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668180 */     // MIs[0] policy
     /* 1668180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668190 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1668193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668214 */     // GIR_Coverage, 6241,
     /* 1668214 */     GIR_EraseRootFromParent_Done,
     /* 1668215 */   // Label 22892: @1668215
     /* 1668215 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1668301), // Rule ID 6244 //
     /* 1668220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1668231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1668234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1668237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1668240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668266 */     // MIs[0] policy
     /* 1668266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1668279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668300 */     // GIR_Coverage, 6244,
     /* 1668300 */     GIR_EraseRootFromParent_Done,
     /* 1668301 */   // Label 22893: @1668301
     /* 1668301 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1668387), // Rule ID 6245 //
     /* 1668306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1668317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1668320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1668323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1668326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668352 */     // MIs[0] policy
     /* 1668352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1668365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668386 */     // GIR_Coverage, 6245,
     /* 1668386 */     GIR_EraseRootFromParent_Done,
     /* 1668387 */   // Label 22894: @1668387
     /* 1668387 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1668473), // Rule ID 6248 //
     /* 1668392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1668403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1668406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1668409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1668412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668438 */     // MIs[0] policy
     /* 1668438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1668451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668472 */     // GIR_Coverage, 6248,
     /* 1668472 */     GIR_EraseRootFromParent_Done,
     /* 1668473 */   // Label 22895: @1668473
     /* 1668473 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1668559), // Rule ID 6249 //
     /* 1668478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1668489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1668492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1668495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1668498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668524 */     // MIs[0] policy
     /* 1668524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1668537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668558 */     // GIR_Coverage, 6249,
     /* 1668558 */     GIR_EraseRootFromParent_Done,
     /* 1668559 */   // Label 22896: @1668559
     /* 1668559 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1668645), // Rule ID 6252 //
     /* 1668564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1668575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1668578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1668581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1668584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668610 */     // MIs[0] policy
     /* 1668610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668620 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1668623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668644 */     // GIR_Coverage, 6252,
     /* 1668644 */     GIR_EraseRootFromParent_Done,
     /* 1668645 */   // Label 22897: @1668645
     /* 1668645 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1668731), // Rule ID 6253 //
     /* 1668650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1668661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1668664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1668667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1668670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668696 */     // MIs[0] policy
     /* 1668696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1668709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668730 */     // GIR_Coverage, 6253,
     /* 1668730 */     GIR_EraseRootFromParent_Done,
     /* 1668731 */   // Label 22898: @1668731
     /* 1668731 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1668817), // Rule ID 6256 //
     /* 1668736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1668756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668782 */     // MIs[0] policy
     /* 1668782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1668795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668816 */     // GIR_Coverage, 6256,
     /* 1668816 */     GIR_EraseRootFromParent_Done,
     /* 1668817 */   // Label 22899: @1668817
     /* 1668817 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1668903), // Rule ID 6257 //
     /* 1668822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1668842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668868 */     // MIs[0] policy
     /* 1668868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1668881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668902 */     // GIR_Coverage, 6257,
     /* 1668902 */     GIR_EraseRootFromParent_Done,
     /* 1668903 */   // Label 22900: @1668903
     /* 1668903 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1668989), // Rule ID 6260 //
     /* 1668908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1668928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668954 */     // MIs[0] policy
     /* 1668954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1668967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668988 */     // GIR_Coverage, 6260,
     /* 1668988 */     GIR_EraseRootFromParent_Done,
     /* 1668989 */   // Label 22901: @1668989
     /* 1668989 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1669075), // Rule ID 6261 //
     /* 1668994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1669005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1669008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1669011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1669014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669040 */     // MIs[0] policy
     /* 1669040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1669053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669074 */     // GIR_Coverage, 6261,
     /* 1669074 */     GIR_EraseRootFromParent_Done,
     /* 1669075 */   // Label 22902: @1669075
     /* 1669075 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1669161), // Rule ID 6264 //
     /* 1669080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1669091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1669094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1669097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1669100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669126 */     // MIs[0] policy
     /* 1669126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1669139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669160 */     // GIR_Coverage, 6264,
     /* 1669160 */     GIR_EraseRootFromParent_Done,
     /* 1669161 */   // Label 22903: @1669161
     /* 1669161 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1669247), // Rule ID 6265 //
     /* 1669166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1669177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1669180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1669183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1669186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669212 */     // MIs[0] policy
     /* 1669212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1669225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669246 */     // GIR_Coverage, 6265,
     /* 1669246 */     GIR_EraseRootFromParent_Done,
     /* 1669247 */   // Label 22904: @1669247
     /* 1669247 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1669333), // Rule ID 6268 //
     /* 1669252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1669263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1669266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1669269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1669272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669298 */     // MIs[0] policy
     /* 1669298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1669311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669332 */     // GIR_Coverage, 6268,
     /* 1669332 */     GIR_EraseRootFromParent_Done,
     /* 1669333 */   // Label 22905: @1669333
     /* 1669333 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1669419), // Rule ID 6269 //
     /* 1669338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1669349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1669352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1669355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1669358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669384 */     // MIs[0] policy
     /* 1669384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1669397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669418 */     // GIR_Coverage, 6269,
     /* 1669418 */     GIR_EraseRootFromParent_Done,
     /* 1669419 */   // Label 22906: @1669419
     /* 1669419 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1669505), // Rule ID 6272 //
     /* 1669424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1669435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1669438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1669441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1669444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669470 */     // MIs[0] policy
     /* 1669470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1669483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669504 */     // GIR_Coverage, 6272,
     /* 1669504 */     GIR_EraseRootFromParent_Done,
     /* 1669505 */   // Label 22907: @1669505
     /* 1669505 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1669591), // Rule ID 6273 //
     /* 1669510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1669521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1669524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1669527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1669530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669556 */     // MIs[0] policy
     /* 1669556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1669569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669590 */     // GIR_Coverage, 6273,
     /* 1669590 */     GIR_EraseRootFromParent_Done,
     /* 1669591 */   // Label 22908: @1669591
     /* 1669591 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1669677), // Rule ID 6276 //
     /* 1669596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1669607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1669610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1669613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1669616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669642 */     // MIs[0] policy
     /* 1669642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1669655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669676 */     // GIR_Coverage, 6276,
     /* 1669676 */     GIR_EraseRootFromParent_Done,
     /* 1669677 */   // Label 22909: @1669677
     /* 1669677 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1669763), // Rule ID 6277 //
     /* 1669682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1669693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1669696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1669699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1669702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669728 */     // MIs[0] policy
     /* 1669728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1669741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669762 */     // GIR_Coverage, 6277,
     /* 1669762 */     GIR_EraseRootFromParent_Done,
     /* 1669763 */   // Label 22910: @1669763
     /* 1669763 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1669849), // Rule ID 6280 //
     /* 1669768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669814 */     // MIs[0] policy
     /* 1669814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1669827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669848 */     // GIR_Coverage, 6280,
     /* 1669848 */     GIR_EraseRootFromParent_Done,
     /* 1669849 */   // Label 22911: @1669849
     /* 1669849 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1669935), // Rule ID 6281 //
     /* 1669854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669900 */     // MIs[0] policy
     /* 1669900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669910 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1669913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669934 */     // GIR_Coverage, 6281,
     /* 1669934 */     GIR_EraseRootFromParent_Done,
     /* 1669935 */   // Label 22912: @1669935
     /* 1669935 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1670021), // Rule ID 6284 //
     /* 1669940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669986 */     // MIs[0] policy
     /* 1669986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669996 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1669999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670020 */     // GIR_Coverage, 6284,
     /* 1670020 */     GIR_EraseRootFromParent_Done,
     /* 1670021 */   // Label 22913: @1670021
     /* 1670021 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1670107), // Rule ID 6285 //
     /* 1670026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1670037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1670040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1670043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670072 */     // MIs[0] policy
     /* 1670072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670082 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1670085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670106 */     // GIR_Coverage, 6285,
     /* 1670106 */     GIR_EraseRootFromParent_Done,
     /* 1670107 */   // Label 22914: @1670107
     /* 1670107 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1670193), // Rule ID 6288 //
     /* 1670112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1670123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1670126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1670129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670158 */     // MIs[0] policy
     /* 1670158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1670171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670192 */     // GIR_Coverage, 6288,
     /* 1670192 */     GIR_EraseRootFromParent_Done,
     /* 1670193 */   // Label 22915: @1670193
     /* 1670193 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1670279), // Rule ID 6289 //
     /* 1670198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1670209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1670212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1670215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670244 */     // MIs[0] policy
     /* 1670244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670254 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1670257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670278 */     // GIR_Coverage, 6289,
     /* 1670278 */     GIR_EraseRootFromParent_Done,
     /* 1670279 */   // Label 22916: @1670279
     /* 1670279 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1670365), // Rule ID 6292 //
     /* 1670284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1670295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1670298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1670301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670330 */     // MIs[0] policy
     /* 1670330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670340 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1670343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670364 */     // GIR_Coverage, 6292,
     /* 1670364 */     GIR_EraseRootFromParent_Done,
     /* 1670365 */   // Label 22917: @1670365
     /* 1670365 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1670451), // Rule ID 6293 //
     /* 1670370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1670381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1670384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1670387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670416 */     // MIs[0] policy
     /* 1670416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1670429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670450 */     // GIR_Coverage, 6293,
     /* 1670450 */     GIR_EraseRootFromParent_Done,
     /* 1670451 */   // Label 22918: @1670451
     /* 1670451 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1670537), // Rule ID 6296 //
     /* 1670456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1670467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1670470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1670473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670502 */     // MIs[0] policy
     /* 1670502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1670515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670536 */     // GIR_Coverage, 6296,
     /* 1670536 */     GIR_EraseRootFromParent_Done,
     /* 1670537 */   // Label 22919: @1670537
     /* 1670537 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1670623), // Rule ID 6297 //
     /* 1670542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1670553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1670556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1670559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670588 */     // MIs[0] policy
     /* 1670588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1670601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670622 */     // GIR_Coverage, 6297,
     /* 1670622 */     GIR_EraseRootFromParent_Done,
     /* 1670623 */   // Label 22920: @1670623
     /* 1670623 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1670709), // Rule ID 6300 //
     /* 1670628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1670639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1670642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1670645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670674 */     // MIs[0] policy
     /* 1670674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1670687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670708 */     // GIR_Coverage, 6300,
     /* 1670708 */     GIR_EraseRootFromParent_Done,
     /* 1670709 */   // Label 22921: @1670709
     /* 1670709 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1670795), // Rule ID 6301 //
     /* 1670714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1670725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1670728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1670731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670760 */     // MIs[0] policy
     /* 1670760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1670773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670794 */     // GIR_Coverage, 6301,
     /* 1670794 */     GIR_EraseRootFromParent_Done,
     /* 1670795 */   // Label 22922: @1670795
     /* 1670795 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1670881), // Rule ID 6304 //
     /* 1670800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670846 */     // MIs[0] policy
     /* 1670846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1670859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670880 */     // GIR_Coverage, 6304,
     /* 1670880 */     GIR_EraseRootFromParent_Done,
     /* 1670881 */   // Label 22923: @1670881
     /* 1670881 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1670967), // Rule ID 6305 //
     /* 1670886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670932 */     // MIs[0] policy
     /* 1670932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11611:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1670945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670966 */     // GIR_Coverage, 6305,
     /* 1670966 */     GIR_EraseRootFromParent_Done,
     /* 1670967 */   // Label 22924: @1670967
     /* 1670967 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1671053), // Rule ID 6308 //
     /* 1670972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671018 */     // MIs[0] policy
     /* 1671018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1671031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671052 */     // GIR_Coverage, 6308,
     /* 1671052 */     GIR_EraseRootFromParent_Done,
     /* 1671053 */   // Label 22925: @1671053
     /* 1671053 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1671139), // Rule ID 6309 //
     /* 1671058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1671069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1671072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1671075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671104 */     // MIs[0] policy
     /* 1671104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11611:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1671117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671138 */     // GIR_Coverage, 6309,
     /* 1671138 */     GIR_EraseRootFromParent_Done,
     /* 1671139 */   // Label 22926: @1671139
     /* 1671139 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1671225), // Rule ID 6312 //
     /* 1671144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1671155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1671158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1671161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671190 */     // MIs[0] policy
     /* 1671190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1671203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671224 */     // GIR_Coverage, 6312,
     /* 1671224 */     GIR_EraseRootFromParent_Done,
     /* 1671225 */   // Label 22927: @1671225
     /* 1671225 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1671311), // Rule ID 6313 //
     /* 1671230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1671241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1671244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1671247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671276 */     // MIs[0] policy
     /* 1671276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11611:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1671289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671310 */     // GIR_Coverage, 6313,
     /* 1671310 */     GIR_EraseRootFromParent_Done,
     /* 1671311 */   // Label 22928: @1671311
     /* 1671311 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1671397), // Rule ID 6316 //
     /* 1671316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1671327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1671330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1671333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671362 */     // MIs[0] policy
     /* 1671362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1671375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671396 */     // GIR_Coverage, 6316,
     /* 1671396 */     GIR_EraseRootFromParent_Done,
     /* 1671397 */   // Label 22929: @1671397
     /* 1671397 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1671483), // Rule ID 6317 //
     /* 1671402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1671413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1671416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1671419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671448 */     // MIs[0] policy
     /* 1671448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11611:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1671461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671482 */     // GIR_Coverage, 6317,
     /* 1671482 */     GIR_EraseRootFromParent_Done,
     /* 1671483 */   // Label 22930: @1671483
     /* 1671483 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1671569), // Rule ID 6320 //
     /* 1671488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1671499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1671502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1671505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671534 */     // MIs[0] policy
     /* 1671534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671544 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1671547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671568 */     // GIR_Coverage, 6320,
     /* 1671568 */     GIR_EraseRootFromParent_Done,
     /* 1671569 */   // Label 22931: @1671569
     /* 1671569 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1671655), // Rule ID 6321 //
     /* 1671574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1671585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1671588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1671591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671620 */     // MIs[0] policy
     /* 1671620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671630 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1671633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671654 */     // GIR_Coverage, 6321,
     /* 1671654 */     GIR_EraseRootFromParent_Done,
     /* 1671655 */   // Label 22932: @1671655
     /* 1671655 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1671741), // Rule ID 6324 //
     /* 1671660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1671671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1671674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1671677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671706 */     // MIs[0] policy
     /* 1671706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671716 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1671719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671740 */     // GIR_Coverage, 6324,
     /* 1671740 */     GIR_EraseRootFromParent_Done,
     /* 1671741 */   // Label 22933: @1671741
     /* 1671741 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1671827), // Rule ID 6325 //
     /* 1671746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1671757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1671760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1671763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671792 */     // MIs[0] policy
     /* 1671792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1671805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671826 */     // GIR_Coverage, 6325,
     /* 1671826 */     GIR_EraseRootFromParent_Done,
     /* 1671827 */   // Label 22934: @1671827
     /* 1671827 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1671913), // Rule ID 6328 //
     /* 1671832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671878 */     // MIs[0] policy
     /* 1671878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1671891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671912 */     // GIR_Coverage, 6328,
     /* 1671912 */     GIR_EraseRootFromParent_Done,
     /* 1671913 */   // Label 22935: @1671913
     /* 1671913 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1671999), // Rule ID 6329 //
     /* 1671918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671964 */     // MIs[0] policy
     /* 1671964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671974 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1671977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671998 */     // GIR_Coverage, 6329,
     /* 1671998 */     GIR_EraseRootFromParent_Done,
     /* 1671999 */   // Label 22936: @1671999
     /* 1671999 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1672085), // Rule ID 6332 //
     /* 1672004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1672015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1672018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1672021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672050 */     // MIs[0] policy
     /* 1672050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1672063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672084 */     // GIR_Coverage, 6332,
     /* 1672084 */     GIR_EraseRootFromParent_Done,
     /* 1672085 */   // Label 22937: @1672085
     /* 1672085 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1672171), // Rule ID 6333 //
     /* 1672090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1672101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1672104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1672107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672136 */     // MIs[0] policy
     /* 1672136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1672149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672170 */     // GIR_Coverage, 6333,
     /* 1672170 */     GIR_EraseRootFromParent_Done,
     /* 1672171 */   // Label 22938: @1672171
     /* 1672171 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1672257), // Rule ID 6336 //
     /* 1672176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1672187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1672190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1672193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672222 */     // MIs[0] policy
     /* 1672222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1672235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672256 */     // GIR_Coverage, 6336,
     /* 1672256 */     GIR_EraseRootFromParent_Done,
     /* 1672257 */   // Label 22939: @1672257
     /* 1672257 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1672343), // Rule ID 6337 //
     /* 1672262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1672273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1672276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1672279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672308 */     // MIs[0] policy
     /* 1672308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1672321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672342 */     // GIR_Coverage, 6337,
     /* 1672342 */     GIR_EraseRootFromParent_Done,
     /* 1672343 */   // Label 22940: @1672343
     /* 1672343 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1672429), // Rule ID 6340 //
     /* 1672348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1672359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1672362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1672365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1672371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672394 */     // MIs[0] policy
     /* 1672394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1672407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672428 */     // GIR_Coverage, 6340,
     /* 1672428 */     GIR_EraseRootFromParent_Done,
     /* 1672429 */   // Label 22941: @1672429
     /* 1672429 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1672515), // Rule ID 6341 //
     /* 1672434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1672445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1672448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1672451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1672457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672480 */     // MIs[0] policy
     /* 1672480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1672493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672514 */     // GIR_Coverage, 6341,
     /* 1672514 */     GIR_EraseRootFromParent_Done,
     /* 1672515 */   // Label 22942: @1672515
     /* 1672515 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1672601), // Rule ID 6344 //
     /* 1672520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1672531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1672534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1672537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672566 */     // MIs[0] policy
     /* 1672566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1672579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672600 */     // GIR_Coverage, 6344,
     /* 1672600 */     GIR_EraseRootFromParent_Done,
     /* 1672601 */   // Label 22943: @1672601
     /* 1672601 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1672687), // Rule ID 6345 //
     /* 1672606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1672617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1672620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1672623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672652 */     // MIs[0] policy
     /* 1672652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1672665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672686 */     // GIR_Coverage, 6345,
     /* 1672686 */     GIR_EraseRootFromParent_Done,
     /* 1672687 */   // Label 22944: @1672687
     /* 1672687 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1672773), // Rule ID 6348 //
     /* 1672692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1672703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1672706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1672709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672738 */     // MIs[0] policy
     /* 1672738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1672751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672772 */     // GIR_Coverage, 6348,
     /* 1672772 */     GIR_EraseRootFromParent_Done,
     /* 1672773 */   // Label 22945: @1672773
     /* 1672773 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1672859), // Rule ID 6349 //
     /* 1672778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1672789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1672792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1672795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672824 */     // MIs[0] policy
     /* 1672824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1672837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672858 */     // GIR_Coverage, 6349,
     /* 1672858 */     GIR_EraseRootFromParent_Done,
     /* 1672859 */   // Label 22946: @1672859
     /* 1672859 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1672945), // Rule ID 6352 //
     /* 1672864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672910 */     // MIs[0] policy
     /* 1672910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1672923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672944 */     // GIR_Coverage, 6352,
     /* 1672944 */     GIR_EraseRootFromParent_Done,
     /* 1672945 */   // Label 22947: @1672945
     /* 1672945 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1673031), // Rule ID 6353 //
     /* 1672950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672996 */     // MIs[0] policy
     /* 1672996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1673009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673030 */     // GIR_Coverage, 6353,
     /* 1673030 */     GIR_EraseRootFromParent_Done,
     /* 1673031 */   // Label 22948: @1673031
     /* 1673031 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1673117), // Rule ID 6356 //
     /* 1673036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1673047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1673050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1673053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673082 */     // MIs[0] policy
     /* 1673082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1673095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673116 */     // GIR_Coverage, 6356,
     /* 1673116 */     GIR_EraseRootFromParent_Done,
     /* 1673117 */   // Label 22949: @1673117
     /* 1673117 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1673203), // Rule ID 6357 //
     /* 1673122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1673133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1673136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1673139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673168 */     // MIs[0] policy
     /* 1673168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11611:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1673181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673202 */     // GIR_Coverage, 6357,
     /* 1673202 */     GIR_EraseRootFromParent_Done,
     /* 1673203 */   // Label 22950: @1673203
     /* 1673203 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1673289), // Rule ID 6360 //
     /* 1673208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1673219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1673222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1673225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673254 */     // MIs[0] policy
     /* 1673254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1673267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673288 */     // GIR_Coverage, 6360,
     /* 1673288 */     GIR_EraseRootFromParent_Done,
     /* 1673289 */   // Label 22951: @1673289
     /* 1673289 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1673375), // Rule ID 6361 //
     /* 1673294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1673305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1673308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1673311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673340 */     // MIs[0] policy
     /* 1673340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11611:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1673353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673374 */     // GIR_Coverage, 6361,
     /* 1673374 */     GIR_EraseRootFromParent_Done,
     /* 1673375 */   // Label 22952: @1673375
     /* 1673375 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1673461), // Rule ID 6364 //
     /* 1673380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1673391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1673394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1673397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673426 */     // MIs[0] policy
     /* 1673426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1673439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673460 */     // GIR_Coverage, 6364,
     /* 1673460 */     GIR_EraseRootFromParent_Done,
     /* 1673461 */   // Label 22953: @1673461
     /* 1673461 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1673547), // Rule ID 6365 //
     /* 1673466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1673477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1673480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1673483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673512 */     // MIs[0] policy
     /* 1673512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11611:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1673525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673546 */     // GIR_Coverage, 6365,
     /* 1673546 */     GIR_EraseRootFromParent_Done,
     /* 1673547 */   // Label 22954: @1673547
     /* 1673547 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1673633), // Rule ID 6456 //
     /* 1673552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1673563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1673566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1673569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1673572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673598 */     // MIs[0] policy
     /* 1673598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1673611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673632 */     // GIR_Coverage, 6456,
     /* 1673632 */     GIR_EraseRootFromParent_Done,
     /* 1673633 */   // Label 22955: @1673633
     /* 1673633 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1673719), // Rule ID 6457 //
     /* 1673638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1673649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1673652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1673655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1673658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673684 */     // MIs[0] policy
     /* 1673684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673694 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1673697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673718 */     // GIR_Coverage, 6457,
     /* 1673718 */     GIR_EraseRootFromParent_Done,
     /* 1673719 */   // Label 22956: @1673719
     /* 1673719 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1673805), // Rule ID 6460 //
     /* 1673724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1673744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673770 */     // MIs[0] policy
     /* 1673770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673780 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1673783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673804 */     // GIR_Coverage, 6460,
     /* 1673804 */     GIR_EraseRootFromParent_Done,
     /* 1673805 */   // Label 22957: @1673805
     /* 1673805 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1673891), // Rule ID 6461 //
     /* 1673810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1673830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673856 */     // MIs[0] policy
     /* 1673856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673866 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1673869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673890 */     // GIR_Coverage, 6461,
     /* 1673890 */     GIR_EraseRootFromParent_Done,
     /* 1673891 */   // Label 22958: @1673891
     /* 1673891 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1673977), // Rule ID 6464 //
     /* 1673896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1673916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673942 */     // MIs[0] policy
     /* 1673942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1673955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673976 */     // GIR_Coverage, 6464,
     /* 1673976 */     GIR_EraseRootFromParent_Done,
     /* 1673977 */   // Label 22959: @1673977
     /* 1673977 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1674063), // Rule ID 6465 //
     /* 1673982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1674002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674028 */     // MIs[0] policy
     /* 1674028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674038 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1674041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674062 */     // GIR_Coverage, 6465,
     /* 1674062 */     GIR_EraseRootFromParent_Done,
     /* 1674063 */   // Label 22960: @1674063
     /* 1674063 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1674149), // Rule ID 6468 //
     /* 1674068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1674079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1674082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1674085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1674088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674114 */     // MIs[0] policy
     /* 1674114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1674127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674148 */     // GIR_Coverage, 6468,
     /* 1674148 */     GIR_EraseRootFromParent_Done,
     /* 1674149 */   // Label 22961: @1674149
     /* 1674149 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1674235), // Rule ID 6469 //
     /* 1674154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1674165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1674168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1674171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1674174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674200 */     // MIs[0] policy
     /* 1674200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1674213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674234 */     // GIR_Coverage, 6469,
     /* 1674234 */     GIR_EraseRootFromParent_Done,
     /* 1674235 */   // Label 22962: @1674235
     /* 1674235 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1674321), // Rule ID 6472 //
     /* 1674240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1674251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1674254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1674257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1674260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674286 */     // MIs[0] policy
     /* 1674286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1674299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674320 */     // GIR_Coverage, 6472,
     /* 1674320 */     GIR_EraseRootFromParent_Done,
     /* 1674321 */   // Label 22963: @1674321
     /* 1674321 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1674407), // Rule ID 6473 //
     /* 1674326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1674337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1674340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1674343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1674346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674372 */     // MIs[0] policy
     /* 1674372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1674385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674406 */     // GIR_Coverage, 6473,
     /* 1674406 */     GIR_EraseRootFromParent_Done,
     /* 1674407 */   // Label 22964: @1674407
     /* 1674407 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1674493), // Rule ID 6476 //
     /* 1674412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1674423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1674426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1674429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1674432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674458 */     // MIs[0] policy
     /* 1674458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1674471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674492 */     // GIR_Coverage, 6476,
     /* 1674492 */     GIR_EraseRootFromParent_Done,
     /* 1674493 */   // Label 22965: @1674493
     /* 1674493 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1674579), // Rule ID 6477 //
     /* 1674498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1674509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1674512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1674515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1674518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674544 */     // MIs[0] policy
     /* 1674544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674554 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1674557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674578 */     // GIR_Coverage, 6477,
     /* 1674578 */     GIR_EraseRootFromParent_Done,
     /* 1674579 */   // Label 22966: @1674579
     /* 1674579 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1674665), // Rule ID 6480 //
     /* 1674584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1674595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1674598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1674601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1674604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674630 */     // MIs[0] policy
     /* 1674630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1674643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674664 */     // GIR_Coverage, 6480,
     /* 1674664 */     GIR_EraseRootFromParent_Done,
     /* 1674665 */   // Label 22967: @1674665
     /* 1674665 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1674751), // Rule ID 6481 //
     /* 1674670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1674681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1674684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1674687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1674690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674716 */     // MIs[0] policy
     /* 1674716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1674729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674750 */     // GIR_Coverage, 6481,
     /* 1674750 */     GIR_EraseRootFromParent_Done,
     /* 1674751 */   // Label 22968: @1674751
     /* 1674751 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1674837), // Rule ID 6484 //
     /* 1674756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1674776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674802 */     // MIs[0] policy
     /* 1674802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1674815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674836 */     // GIR_Coverage, 6484,
     /* 1674836 */     GIR_EraseRootFromParent_Done,
     /* 1674837 */   // Label 22969: @1674837
     /* 1674837 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1674923), // Rule ID 6485 //
     /* 1674842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1674862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674888 */     // MIs[0] policy
     /* 1674888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1674901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674922 */     // GIR_Coverage, 6485,
     /* 1674922 */     GIR_EraseRootFromParent_Done,
     /* 1674923 */   // Label 22970: @1674923
     /* 1674923 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1675009), // Rule ID 6488 //
     /* 1674928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1674948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674974 */     // MIs[0] policy
     /* 1674974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1674987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675008 */     // GIR_Coverage, 6488,
     /* 1675008 */     GIR_EraseRootFromParent_Done,
     /* 1675009 */   // Label 22971: @1675009
     /* 1675009 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1675095), // Rule ID 6489 //
     /* 1675014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1675025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1675028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1675031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1675034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675060 */     // MIs[0] policy
     /* 1675060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1675073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675094 */     // GIR_Coverage, 6489,
     /* 1675094 */     GIR_EraseRootFromParent_Done,
     /* 1675095 */   // Label 22972: @1675095
     /* 1675095 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1675181), // Rule ID 6492 //
     /* 1675100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1675111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1675114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1675117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1675120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675146 */     // MIs[0] policy
     /* 1675146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1675159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675180 */     // GIR_Coverage, 6492,
     /* 1675180 */     GIR_EraseRootFromParent_Done,
     /* 1675181 */   // Label 22973: @1675181
     /* 1675181 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1675267), // Rule ID 6493 //
     /* 1675186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1675197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1675200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1675203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1675206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675232 */     // MIs[0] policy
     /* 1675232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1675245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675266 */     // GIR_Coverage, 6493,
     /* 1675266 */     GIR_EraseRootFromParent_Done,
     /* 1675267 */   // Label 22974: @1675267
     /* 1675267 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1675353), // Rule ID 6496 //
     /* 1675272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1675283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1675286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1675289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1675292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675318 */     // MIs[0] policy
     /* 1675318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1675331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675352 */     // GIR_Coverage, 6496,
     /* 1675352 */     GIR_EraseRootFromParent_Done,
     /* 1675353 */   // Label 22975: @1675353
     /* 1675353 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1675439), // Rule ID 6497 //
     /* 1675358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1675369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1675372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1675375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1675378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675404 */     // MIs[0] policy
     /* 1675404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675414 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1675417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675438 */     // GIR_Coverage, 6497,
     /* 1675438 */     GIR_EraseRootFromParent_Done,
     /* 1675439 */   // Label 22976: @1675439
     /* 1675439 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1675525), // Rule ID 6500 //
     /* 1675444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1675455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1675458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1675461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1675464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675490 */     // MIs[0] policy
     /* 1675490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1675503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675524 */     // GIR_Coverage, 6500,
     /* 1675524 */     GIR_EraseRootFromParent_Done,
     /* 1675525 */   // Label 22977: @1675525
     /* 1675525 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1675611), // Rule ID 6501 //
     /* 1675530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1675541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1675544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1675547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1675550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675576 */     // MIs[0] policy
     /* 1675576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1675589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675610 */     // GIR_Coverage, 6501,
     /* 1675610 */     GIR_EraseRootFromParent_Done,
     /* 1675611 */   // Label 22978: @1675611
     /* 1675611 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1675697), // Rule ID 6504 //
     /* 1675616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1675636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675662 */     // MIs[0] policy
     /* 1675662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1675675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675696 */     // GIR_Coverage, 6504,
     /* 1675696 */     GIR_EraseRootFromParent_Done,
     /* 1675697 */   // Label 22979: @1675697
     /* 1675697 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1675783), // Rule ID 6505 //
     /* 1675702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1675722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675748 */     // MIs[0] policy
     /* 1675748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675758 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1675761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675782 */     // GIR_Coverage, 6505,
     /* 1675782 */     GIR_EraseRootFromParent_Done,
     /* 1675783 */   // Label 22980: @1675783
     /* 1675783 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1675869), // Rule ID 6508 //
     /* 1675788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1675808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675834 */     // MIs[0] policy
     /* 1675834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675844 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1675847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675868 */     // GIR_Coverage, 6508,
     /* 1675868 */     GIR_EraseRootFromParent_Done,
     /* 1675869 */   // Label 22981: @1675869
     /* 1675869 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1675955), // Rule ID 6509 //
     /* 1675874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1675894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675920 */     // MIs[0] policy
     /* 1675920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1675933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675954 */     // GIR_Coverage, 6509,
     /* 1675954 */     GIR_EraseRootFromParent_Done,
     /* 1675955 */   // Label 22982: @1675955
     /* 1675955 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1676041), // Rule ID 6512 //
     /* 1675960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1675980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676006 */     // MIs[0] policy
     /* 1676006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676016 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1676019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676040 */     // GIR_Coverage, 6512,
     /* 1676040 */     GIR_EraseRootFromParent_Done,
     /* 1676041 */   // Label 22983: @1676041
     /* 1676041 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1676127), // Rule ID 6513 //
     /* 1676046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1676057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1676060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1676063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1676066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676092 */     // MIs[0] policy
     /* 1676092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1676105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676126 */     // GIR_Coverage, 6513,
     /* 1676126 */     GIR_EraseRootFromParent_Done,
     /* 1676127 */   // Label 22984: @1676127
     /* 1676127 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1676213), // Rule ID 6516 //
     /* 1676132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1676143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1676146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1676149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1676152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1676155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676178 */     // MIs[0] policy
     /* 1676178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1676191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676212 */     // GIR_Coverage, 6516,
     /* 1676212 */     GIR_EraseRootFromParent_Done,
     /* 1676213 */   // Label 22985: @1676213
     /* 1676213 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1676299), // Rule ID 6517 //
     /* 1676218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1676229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1676232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1676235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1676238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1676241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676264 */     // MIs[0] policy
     /* 1676264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1676277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676298 */     // GIR_Coverage, 6517,
     /* 1676298 */     GIR_EraseRootFromParent_Done,
     /* 1676299 */   // Label 22986: @1676299
     /* 1676299 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1676385), // Rule ID 6520 //
     /* 1676304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1676315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1676318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1676321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1676324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676350 */     // MIs[0] policy
     /* 1676350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1676363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676384 */     // GIR_Coverage, 6520,
     /* 1676384 */     GIR_EraseRootFromParent_Done,
     /* 1676385 */   // Label 22987: @1676385
     /* 1676385 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1676471), // Rule ID 6521 //
     /* 1676390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1676401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1676404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1676407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1676410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676436 */     // MIs[0] policy
     /* 1676436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1676449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676470 */     // GIR_Coverage, 6521,
     /* 1676470 */     GIR_EraseRootFromParent_Done,
     /* 1676471 */   // Label 22988: @1676471
     /* 1676471 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1676557), // Rule ID 6524 //
     /* 1676476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1676496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676522 */     // MIs[0] policy
     /* 1676522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1676535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676556 */     // GIR_Coverage, 6524,
     /* 1676556 */     GIR_EraseRootFromParent_Done,
     /* 1676557 */   // Label 22989: @1676557
     /* 1676557 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1676643), // Rule ID 6525 //
     /* 1676562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1676582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676608 */     // MIs[0] policy
     /* 1676608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1676621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676642 */     // GIR_Coverage, 6525,
     /* 1676642 */     GIR_EraseRootFromParent_Done,
     /* 1676643 */   // Label 22990: @1676643
     /* 1676643 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1676729), // Rule ID 6528 //
     /* 1676648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1676668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676694 */     // MIs[0] policy
     /* 1676694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1676707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676728 */     // GIR_Coverage, 6528,
     /* 1676728 */     GIR_EraseRootFromParent_Done,
     /* 1676729 */   // Label 22991: @1676729
     /* 1676729 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1676815), // Rule ID 6529 //
     /* 1676734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1676754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676780 */     // MIs[0] policy
     /* 1676780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676790 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1676793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676814 */     // GIR_Coverage, 6529,
     /* 1676814 */     GIR_EraseRootFromParent_Done,
     /* 1676815 */   // Label 22992: @1676815
     /* 1676815 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1676901), // Rule ID 6532 //
     /* 1676820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1676840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676866 */     // MIs[0] policy
     /* 1676866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1676879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676900 */     // GIR_Coverage, 6532,
     /* 1676900 */     GIR_EraseRootFromParent_Done,
     /* 1676901 */   // Label 22993: @1676901
     /* 1676901 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1676987), // Rule ID 6533 //
     /* 1676906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1676914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1676926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676952 */     // MIs[0] policy
     /* 1676952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1676965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676986 */     // GIR_Coverage, 6533,
     /* 1676986 */     GIR_EraseRootFromParent_Done,
     /* 1676987 */   // Label 22994: @1676987
     /* 1676987 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1677073), // Rule ID 6536 //
     /* 1676992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1677003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1677006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1677009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1677012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677038 */     // MIs[0] policy
     /* 1677038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1677051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677072 */     // GIR_Coverage, 6536,
     /* 1677072 */     GIR_EraseRootFromParent_Done,
     /* 1677073 */   // Label 22995: @1677073
     /* 1677073 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1677159), // Rule ID 6537 //
     /* 1677078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1677081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1677089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1677092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1677095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1677098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677124 */     // MIs[0] policy
     /* 1677124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1677137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677158 */     // GIR_Coverage, 6537,
     /* 1677158 */     GIR_EraseRootFromParent_Done,
     /* 1677159 */   // Label 22996: @1677159
     /* 1677159 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1677245), // Rule ID 6540 //
     /* 1677164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1677167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1677175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1677178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1677181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1677184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677210 */     // MIs[0] policy
     /* 1677210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677220 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1677223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677244 */     // GIR_Coverage, 6540,
     /* 1677244 */     GIR_EraseRootFromParent_Done,
     /* 1677245 */   // Label 22997: @1677245
     /* 1677245 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1677331), // Rule ID 6541 //
     /* 1677250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1677253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1677261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1677264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1677267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1677270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677296 */     // MIs[0] policy
     /* 1677296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1677309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677330 */     // GIR_Coverage, 6541,
     /* 1677330 */     GIR_EraseRootFromParent_Done,
     /* 1677331 */   // Label 22998: @1677331
     /* 1677331 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1677417), // Rule ID 6544 //
     /* 1677336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1677347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1677350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1677353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677382 */     // MIs[0] policy
     /* 1677382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1677395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677416 */     // GIR_Coverage, 6544,
     /* 1677416 */     GIR_EraseRootFromParent_Done,
     /* 1677417 */   // Label 22999: @1677417
     /* 1677417 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1677503), // Rule ID 6545 //
     /* 1677422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1677433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1677436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1677439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677468 */     // MIs[0] policy
     /* 1677468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1677481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677502 */     // GIR_Coverage, 6545,
     /* 1677502 */     GIR_EraseRootFromParent_Done,
     /* 1677503 */   // Label 23000: @1677503
     /* 1677503 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1677589), // Rule ID 6548 //
     /* 1677508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677554 */     // MIs[0] policy
     /* 1677554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1677567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677588 */     // GIR_Coverage, 6548,
     /* 1677588 */     GIR_EraseRootFromParent_Done,
     /* 1677589 */   // Label 23001: @1677589
     /* 1677589 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1677675), // Rule ID 6549 //
     /* 1677594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677640 */     // MIs[0] policy
     /* 1677640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677650 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1677653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677674 */     // GIR_Coverage, 6549,
     /* 1677674 */     GIR_EraseRootFromParent_Done,
     /* 1677675 */   // Label 23002: @1677675
     /* 1677675 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1677761), // Rule ID 6552 //
     /* 1677680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677726 */     // MIs[0] policy
     /* 1677726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1677739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677760 */     // GIR_Coverage, 6552,
     /* 1677760 */     GIR_EraseRootFromParent_Done,
     /* 1677761 */   // Label 23003: @1677761
     /* 1677761 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1677847), // Rule ID 6553 //
     /* 1677766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677812 */     // MIs[0] policy
     /* 1677812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1677825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677846 */     // GIR_Coverage, 6553,
     /* 1677846 */     GIR_EraseRootFromParent_Done,
     /* 1677847 */   // Label 23004: @1677847
     /* 1677847 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1677933), // Rule ID 6556 //
     /* 1677852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677898 */     // MIs[0] policy
     /* 1677898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1677911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677932 */     // GIR_Coverage, 6556,
     /* 1677932 */     GIR_EraseRootFromParent_Done,
     /* 1677933 */   // Label 23005: @1677933
     /* 1677933 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1678019), // Rule ID 6557 //
     /* 1677938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677984 */     // MIs[0] policy
     /* 1677984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1677997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678018 */     // GIR_Coverage, 6557,
     /* 1678018 */     GIR_EraseRootFromParent_Done,
     /* 1678019 */   // Label 23006: @1678019
     /* 1678019 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1678105), // Rule ID 6560 //
     /* 1678024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1678035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1678038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1678041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678070 */     // MIs[0] policy
     /* 1678070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678080 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1678083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678104 */     // GIR_Coverage, 6560,
     /* 1678104 */     GIR_EraseRootFromParent_Done,
     /* 1678105 */   // Label 23007: @1678105
     /* 1678105 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1678191), // Rule ID 6561 //
     /* 1678110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1678121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1678124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1678127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678156 */     // MIs[0] policy
     /* 1678156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1678169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678190 */     // GIR_Coverage, 6561,
     /* 1678190 */     GIR_EraseRootFromParent_Done,
     /* 1678191 */   // Label 23008: @1678191
     /* 1678191 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1678277), // Rule ID 6564 //
     /* 1678196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1678207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1678210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1678213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678242 */     // MIs[0] policy
     /* 1678242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1678255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678276 */     // GIR_Coverage, 6564,
     /* 1678276 */     GIR_EraseRootFromParent_Done,
     /* 1678277 */   // Label 23009: @1678277
     /* 1678277 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1678363), // Rule ID 6565 //
     /* 1678282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1678293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1678296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1678299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678328 */     // MIs[0] policy
     /* 1678328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1678341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678362 */     // GIR_Coverage, 6565,
     /* 1678362 */     GIR_EraseRootFromParent_Done,
     /* 1678363 */   // Label 23010: @1678363
     /* 1678363 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1678449), // Rule ID 6568 //
     /* 1678368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1678379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678414 */     // MIs[0] policy
     /* 1678414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1678427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678448 */     // GIR_Coverage, 6568,
     /* 1678448 */     GIR_EraseRootFromParent_Done,
     /* 1678449 */   // Label 23011: @1678449
     /* 1678449 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1678535), // Rule ID 6569 //
     /* 1678454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1678465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678500 */     // MIs[0] policy
     /* 1678500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678510 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1678513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678534 */     // GIR_Coverage, 6569,
     /* 1678534 */     GIR_EraseRootFromParent_Done,
     /* 1678535 */   // Label 23012: @1678535
     /* 1678535 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1678621), // Rule ID 6572 //
     /* 1678540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678586 */     // MIs[0] policy
     /* 1678586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1678599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678620 */     // GIR_Coverage, 6572,
     /* 1678620 */     GIR_EraseRootFromParent_Done,
     /* 1678621 */   // Label 23013: @1678621
     /* 1678621 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1678707), // Rule ID 6573 //
     /* 1678626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678672 */     // MIs[0] policy
     /* 1678672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1678685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678706 */     // GIR_Coverage, 6573,
     /* 1678706 */     GIR_EraseRootFromParent_Done,
     /* 1678707 */   // Label 23014: @1678707
     /* 1678707 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1678793), // Rule ID 6576 //
     /* 1678712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678758 */     // MIs[0] policy
     /* 1678758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1678771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678792 */     // GIR_Coverage, 6576,
     /* 1678792 */     GIR_EraseRootFromParent_Done,
     /* 1678793 */   // Label 23015: @1678793
     /* 1678793 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1678879), // Rule ID 6577 //
     /* 1678798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678844 */     // MIs[0] policy
     /* 1678844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1678857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678878 */     // GIR_Coverage, 6577,
     /* 1678878 */     GIR_EraseRootFromParent_Done,
     /* 1678879 */   // Label 23016: @1678879
     /* 1678879 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1678965), // Rule ID 6580 //
     /* 1678884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678930 */     // MIs[0] policy
     /* 1678930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1678943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678964 */     // GIR_Coverage, 6580,
     /* 1678964 */     GIR_EraseRootFromParent_Done,
     /* 1678965 */   // Label 23017: @1678965
     /* 1678965 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1679051), // Rule ID 6581 //
     /* 1678970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679016 */     // MIs[0] policy
     /* 1679016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1679029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679050 */     // GIR_Coverage, 6581,
     /* 1679050 */     GIR_EraseRootFromParent_Done,
     /* 1679051 */   // Label 23018: @1679051
     /* 1679051 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1679137), // Rule ID 6584 //
     /* 1679056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1679067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1679070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1679073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679102 */     // MIs[0] policy
     /* 1679102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1679115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679136 */     // GIR_Coverage, 6584,
     /* 1679136 */     GIR_EraseRootFromParent_Done,
     /* 1679137 */   // Label 23019: @1679137
     /* 1679137 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1679223), // Rule ID 6585 //
     /* 1679142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1679153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1679156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1679159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679188 */     // MIs[0] policy
     /* 1679188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1679201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679222 */     // GIR_Coverage, 6585,
     /* 1679222 */     GIR_EraseRootFromParent_Done,
     /* 1679223 */   // Label 23020: @1679223
     /* 1679223 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1679309), // Rule ID 6588 //
     /* 1679228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1679239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1679242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1679245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679274 */     // MIs[0] policy
     /* 1679274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1679287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679308 */     // GIR_Coverage, 6588,
     /* 1679308 */     GIR_EraseRootFromParent_Done,
     /* 1679309 */   // Label 23021: @1679309
     /* 1679309 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1679395), // Rule ID 6589 //
     /* 1679314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1679325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1679328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1679331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679360 */     // MIs[0] policy
     /* 1679360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679370 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1679373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679394 */     // GIR_Coverage, 6589,
     /* 1679394 */     GIR_EraseRootFromParent_Done,
     /* 1679395 */   // Label 23022: @1679395
     /* 1679395 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1679481), // Rule ID 6592 //
     /* 1679400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679446 */     // MIs[0] policy
     /* 1679446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1679459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679480 */     // GIR_Coverage, 6592,
     /* 1679480 */     GIR_EraseRootFromParent_Done,
     /* 1679481 */   // Label 23023: @1679481
     /* 1679481 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1679567), // Rule ID 6593 //
     /* 1679486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679532 */     // MIs[0] policy
     /* 1679532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679542 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1679545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679566 */     // GIR_Coverage, 6593,
     /* 1679566 */     GIR_EraseRootFromParent_Done,
     /* 1679567 */   // Label 23024: @1679567
     /* 1679567 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1679653), // Rule ID 6596 //
     /* 1679572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679618 */     // MIs[0] policy
     /* 1679618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1679631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679652 */     // GIR_Coverage, 6596,
     /* 1679652 */     GIR_EraseRootFromParent_Done,
     /* 1679653 */   // Label 23025: @1679653
     /* 1679653 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1679739), // Rule ID 6597 //
     /* 1679658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679704 */     // MIs[0] policy
     /* 1679704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1679717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679738 */     // GIR_Coverage, 6597,
     /* 1679738 */     GIR_EraseRootFromParent_Done,
     /* 1679739 */   // Label 23026: @1679739
     /* 1679739 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1679825), // Rule ID 6600 //
     /* 1679744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679790 */     // MIs[0] policy
     /* 1679790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1679803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679824 */     // GIR_Coverage, 6600,
     /* 1679824 */     GIR_EraseRootFromParent_Done,
     /* 1679825 */   // Label 23027: @1679825
     /* 1679825 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1679911), // Rule ID 6601 //
     /* 1679830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679876 */     // MIs[0] policy
     /* 1679876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1679889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679910 */     // GIR_Coverage, 6601,
     /* 1679910 */     GIR_EraseRootFromParent_Done,
     /* 1679911 */   // Label 23028: @1679911
     /* 1679911 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1679997), // Rule ID 6604 //
     /* 1679916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679962 */     // MIs[0] policy
     /* 1679962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1679975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679996 */     // GIR_Coverage, 6604,
     /* 1679996 */     GIR_EraseRootFromParent_Done,
     /* 1679997 */   // Label 23029: @1679997
     /* 1679997 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1680083), // Rule ID 6605 //
     /* 1680002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1680013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1680016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1680019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1680025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680048 */     // MIs[0] policy
     /* 1680048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1680061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680082 */     // GIR_Coverage, 6605,
     /* 1680082 */     GIR_EraseRootFromParent_Done,
     /* 1680083 */   // Label 23030: @1680083
     /* 1680083 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1680169), // Rule ID 6608 //
     /* 1680088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1680099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1680102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1680105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680134 */     // MIs[0] policy
     /* 1680134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1680147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680168 */     // GIR_Coverage, 6608,
     /* 1680168 */     GIR_EraseRootFromParent_Done,
     /* 1680169 */   // Label 23031: @1680169
     /* 1680169 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1680255), // Rule ID 6609 //
     /* 1680174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1680185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1680188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1680191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680220 */     // MIs[0] policy
     /* 1680220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1680233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680254 */     // GIR_Coverage, 6609,
     /* 1680254 */     GIR_EraseRootFromParent_Done,
     /* 1680255 */   // Label 23032: @1680255
     /* 1680255 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1680341), // Rule ID 6612 //
     /* 1680260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1680271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1680274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1680277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680306 */     // MIs[0] policy
     /* 1680306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1680319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680340 */     // GIR_Coverage, 6612,
     /* 1680340 */     GIR_EraseRootFromParent_Done,
     /* 1680341 */   // Label 23033: @1680341
     /* 1680341 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1680427), // Rule ID 6613 //
     /* 1680346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1680357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1680360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1680363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680392 */     // MIs[0] policy
     /* 1680392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1680405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680426 */     // GIR_Coverage, 6613,
     /* 1680426 */     GIR_EraseRootFromParent_Done,
     /* 1680427 */   // Label 23034: @1680427
     /* 1680427 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1680513), // Rule ID 6616 //
     /* 1680432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680478 */     // MIs[0] policy
     /* 1680478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1680491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680512 */     // GIR_Coverage, 6616,
     /* 1680512 */     GIR_EraseRootFromParent_Done,
     /* 1680513 */   // Label 23035: @1680513
     /* 1680513 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1680599), // Rule ID 6617 //
     /* 1680518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680564 */     // MIs[0] policy
     /* 1680564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1680577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680598 */     // GIR_Coverage, 6617,
     /* 1680598 */     GIR_EraseRootFromParent_Done,
     /* 1680599 */   // Label 23036: @1680599
     /* 1680599 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1680685), // Rule ID 6620 //
     /* 1680604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1680615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1680618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1680621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680650 */     // MIs[0] policy
     /* 1680650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680660 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1680663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680684 */     // GIR_Coverage, 6620,
     /* 1680684 */     GIR_EraseRootFromParent_Done,
     /* 1680685 */   // Label 23037: @1680685
     /* 1680685 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1680771), // Rule ID 6621 //
     /* 1680690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1680701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1680704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1680707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680736 */     // MIs[0] policy
     /* 1680736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1680749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680770 */     // GIR_Coverage, 6621,
     /* 1680770 */     GIR_EraseRootFromParent_Done,
     /* 1680771 */   // Label 23038: @1680771
     /* 1680771 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1680857), // Rule ID 6624 //
     /* 1680776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680822 */     // MIs[0] policy
     /* 1680822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1680835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680856 */     // GIR_Coverage, 6624,
     /* 1680856 */     GIR_EraseRootFromParent_Done,
     /* 1680857 */   // Label 23039: @1680857
     /* 1680857 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1680943), // Rule ID 6625 //
     /* 1680862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680908 */     // MIs[0] policy
     /* 1680908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1680921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680942 */     // GIR_Coverage, 6625,
     /* 1680942 */     GIR_EraseRootFromParent_Done,
     /* 1680943 */   // Label 23040: @1680943
     /* 1680943 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1681029), // Rule ID 6628 //
     /* 1680948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680994 */     // MIs[0] policy
     /* 1680994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681004 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1681007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681028 */     // GIR_Coverage, 6628,
     /* 1681028 */     GIR_EraseRootFromParent_Done,
     /* 1681029 */   // Label 23041: @1681029
     /* 1681029 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1681115), // Rule ID 6629 //
     /* 1681034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1681045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1681048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1681051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681080 */     // MIs[0] policy
     /* 1681080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1681093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681114 */     // GIR_Coverage, 6629,
     /* 1681114 */     GIR_EraseRootFromParent_Done,
     /* 1681115 */   // Label 23042: @1681115
     /* 1681115 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1681201), // Rule ID 6720 //
     /* 1681120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1681131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1681134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1681137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1681140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681166 */     // MIs[0] policy
     /* 1681166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1681179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681200 */     // GIR_Coverage, 6720,
     /* 1681200 */     GIR_EraseRootFromParent_Done,
     /* 1681201 */   // Label 23043: @1681201
     /* 1681201 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1681287), // Rule ID 6721 //
     /* 1681206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1681217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1681220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1681223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1681226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681252 */     // MIs[0] policy
     /* 1681252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1681265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681286 */     // GIR_Coverage, 6721,
     /* 1681286 */     GIR_EraseRootFromParent_Done,
     /* 1681287 */   // Label 23044: @1681287
     /* 1681287 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1681373), // Rule ID 6724 //
     /* 1681292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1681303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1681306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1681309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1681312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681338 */     // MIs[0] policy
     /* 1681338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1681351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681372 */     // GIR_Coverage, 6724,
     /* 1681372 */     GIR_EraseRootFromParent_Done,
     /* 1681373 */   // Label 23045: @1681373
     /* 1681373 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1681459), // Rule ID 6725 //
     /* 1681378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1681389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1681392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1681395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1681398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681424 */     // MIs[0] policy
     /* 1681424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1681437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681458 */     // GIR_Coverage, 6725,
     /* 1681458 */     GIR_EraseRootFromParent_Done,
     /* 1681459 */   // Label 23046: @1681459
     /* 1681459 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1681545), // Rule ID 6728 //
     /* 1681464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1681475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1681478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1681481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1681484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681510 */     // MIs[0] policy
     /* 1681510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1681523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681544 */     // GIR_Coverage, 6728,
     /* 1681544 */     GIR_EraseRootFromParent_Done,
     /* 1681545 */   // Label 23047: @1681545
     /* 1681545 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1681631), // Rule ID 6729 //
     /* 1681550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1681561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1681564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1681567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1681570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681596 */     // MIs[0] policy
     /* 1681596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1681609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681630 */     // GIR_Coverage, 6729,
     /* 1681630 */     GIR_EraseRootFromParent_Done,
     /* 1681631 */   // Label 23048: @1681631
     /* 1681631 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1681717), // Rule ID 6732 //
     /* 1681636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1681647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1681650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1681653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1681656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681682 */     // MIs[0] policy
     /* 1681682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1681695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681716 */     // GIR_Coverage, 6732,
     /* 1681716 */     GIR_EraseRootFromParent_Done,
     /* 1681717 */   // Label 23049: @1681717
     /* 1681717 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1681803), // Rule ID 6733 //
     /* 1681722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1681733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1681736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1681739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1681742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681768 */     // MIs[0] policy
     /* 1681768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1681781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681802 */     // GIR_Coverage, 6733,
     /* 1681802 */     GIR_EraseRootFromParent_Done,
     /* 1681803 */   // Label 23050: @1681803
     /* 1681803 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1681889), // Rule ID 6736 //
     /* 1681808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1681828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681854 */     // MIs[0] policy
     /* 1681854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1681867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681888 */     // GIR_Coverage, 6736,
     /* 1681888 */     GIR_EraseRootFromParent_Done,
     /* 1681889 */   // Label 23051: @1681889
     /* 1681889 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1681975), // Rule ID 6737 //
     /* 1681894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1681914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681940 */     // MIs[0] policy
     /* 1681940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1681953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681974 */     // GIR_Coverage, 6737,
     /* 1681974 */     GIR_EraseRootFromParent_Done,
     /* 1681975 */   // Label 23052: @1681975
     /* 1681975 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1682061), // Rule ID 6740 //
     /* 1681980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1682000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682026 */     // MIs[0] policy
     /* 1682026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1682039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682060 */     // GIR_Coverage, 6740,
     /* 1682060 */     GIR_EraseRootFromParent_Done,
     /* 1682061 */   // Label 23053: @1682061
     /* 1682061 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1682147), // Rule ID 6741 //
     /* 1682066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1682077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1682080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1682083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1682086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682112 */     // MIs[0] policy
     /* 1682112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1682125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682146 */     // GIR_Coverage, 6741,
     /* 1682146 */     GIR_EraseRootFromParent_Done,
     /* 1682147 */   // Label 23054: @1682147
     /* 1682147 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1682233), // Rule ID 6744 //
     /* 1682152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1682163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1682166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1682169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1682172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682198 */     // MIs[0] policy
     /* 1682198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682232 */     // GIR_Coverage, 6744,
     /* 1682232 */     GIR_EraseRootFromParent_Done,
     /* 1682233 */   // Label 23055: @1682233
     /* 1682233 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1682319), // Rule ID 6745 //
     /* 1682238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1682249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1682252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1682255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1682258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682284 */     // MIs[0] policy
     /* 1682284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682318 */     // GIR_Coverage, 6745,
     /* 1682318 */     GIR_EraseRootFromParent_Done,
     /* 1682319 */   // Label 23056: @1682319
     /* 1682319 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1682405), // Rule ID 6748 //
     /* 1682324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1682335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1682338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1682341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1682344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682370 */     // MIs[0] policy
     /* 1682370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682404 */     // GIR_Coverage, 6748,
     /* 1682404 */     GIR_EraseRootFromParent_Done,
     /* 1682405 */   // Label 23057: @1682405
     /* 1682405 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1682491), // Rule ID 6749 //
     /* 1682410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1682421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1682424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1682427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1682430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682456 */     // MIs[0] policy
     /* 1682456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682490 */     // GIR_Coverage, 6749,
     /* 1682490 */     GIR_EraseRootFromParent_Done,
     /* 1682491 */   // Label 23058: @1682491
     /* 1682491 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1682577), // Rule ID 6752 //
     /* 1682496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1682507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1682510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1682513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1682516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682542 */     // MIs[0] policy
     /* 1682542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682576 */     // GIR_Coverage, 6752,
     /* 1682576 */     GIR_EraseRootFromParent_Done,
     /* 1682577 */   // Label 23059: @1682577
     /* 1682577 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1682663), // Rule ID 6753 //
     /* 1682582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1682593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1682596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1682599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1682602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682628 */     // MIs[0] policy
     /* 1682628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682662 */     // GIR_Coverage, 6753,
     /* 1682662 */     GIR_EraseRootFromParent_Done,
     /* 1682663 */   // Label 23060: @1682663
     /* 1682663 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1682749), // Rule ID 6756 //
     /* 1682668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1682679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1682682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1682685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1682688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682714 */     // MIs[0] policy
     /* 1682714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682748 */     // GIR_Coverage, 6756,
     /* 1682748 */     GIR_EraseRootFromParent_Done,
     /* 1682749 */   // Label 23061: @1682749
     /* 1682749 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1682835), // Rule ID 6757 //
     /* 1682754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1682765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1682768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1682771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1682774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682800 */     // MIs[0] policy
     /* 1682800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1682813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682834 */     // GIR_Coverage, 6757,
     /* 1682834 */     GIR_EraseRootFromParent_Done,
     /* 1682835 */   // Label 23062: @1682835
     /* 1682835 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1682921), // Rule ID 6760 //
     /* 1682840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1682860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682886 */     // MIs[0] policy
     /* 1682886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1682899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682920 */     // GIR_Coverage, 6760,
     /* 1682920 */     GIR_EraseRootFromParent_Done,
     /* 1682921 */   // Label 23063: @1682921
     /* 1682921 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1683007), // Rule ID 6761 //
     /* 1682926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1682946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682972 */     // MIs[0] policy
     /* 1682972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1682985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683006 */     // GIR_Coverage, 6761,
     /* 1683006 */     GIR_EraseRootFromParent_Done,
     /* 1683007 */   // Label 23064: @1683007
     /* 1683007 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1683093), // Rule ID 6764 //
     /* 1683012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1683023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1683026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1683029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1683032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683058 */     // MIs[0] policy
     /* 1683058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1683071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683092 */     // GIR_Coverage, 6764,
     /* 1683092 */     GIR_EraseRootFromParent_Done,
     /* 1683093 */   // Label 23065: @1683093
     /* 1683093 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1683179), // Rule ID 6765 //
     /* 1683098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1683109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1683112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1683115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1683118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683144 */     // MIs[0] policy
     /* 1683144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1683157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683178 */     // GIR_Coverage, 6765,
     /* 1683178 */     GIR_EraseRootFromParent_Done,
     /* 1683179 */   // Label 23066: @1683179
     /* 1683179 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1683265), // Rule ID 6768 //
     /* 1683184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1683195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1683198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1683201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1683204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1683207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683230 */     // MIs[0] policy
     /* 1683230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1683243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683264 */     // GIR_Coverage, 6768,
     /* 1683264 */     GIR_EraseRootFromParent_Done,
     /* 1683265 */   // Label 23067: @1683265
     /* 1683265 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1683351), // Rule ID 6769 //
     /* 1683270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1683281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1683284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1683287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1683290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1683293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683316 */     // MIs[0] policy
     /* 1683316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1683329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683350 */     // GIR_Coverage, 6769,
     /* 1683350 */     GIR_EraseRootFromParent_Done,
     /* 1683351 */   // Label 23068: @1683351
     /* 1683351 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1683437), // Rule ID 6772 //
     /* 1683356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1683367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1683370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1683373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1683376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683402 */     // MIs[0] policy
     /* 1683402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1683415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683436 */     // GIR_Coverage, 6772,
     /* 1683436 */     GIR_EraseRootFromParent_Done,
     /* 1683437 */   // Label 23069: @1683437
     /* 1683437 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1683523), // Rule ID 6773 //
     /* 1683442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1683453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1683456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1683459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1683462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683488 */     // MIs[0] policy
     /* 1683488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1683501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683522 */     // GIR_Coverage, 6773,
     /* 1683522 */     GIR_EraseRootFromParent_Done,
     /* 1683523 */   // Label 23070: @1683523
     /* 1683523 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1683609), // Rule ID 6776 //
     /* 1683528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1683539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1683542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1683545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1683548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683574 */     // MIs[0] policy
     /* 1683574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1683587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683608 */     // GIR_Coverage, 6776,
     /* 1683608 */     GIR_EraseRootFromParent_Done,
     /* 1683609 */   // Label 23071: @1683609
     /* 1683609 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1683695), // Rule ID 6777 //
     /* 1683614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1683625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1683628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1683631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1683634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683660 */     // MIs[0] policy
     /* 1683660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1683673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683694 */     // GIR_Coverage, 6777,
     /* 1683694 */     GIR_EraseRootFromParent_Done,
     /* 1683695 */   // Label 23072: @1683695
     /* 1683695 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1683781), // Rule ID 6780 //
     /* 1683700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1683711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1683714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1683717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1683720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683746 */     // MIs[0] policy
     /* 1683746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1683759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683780 */     // GIR_Coverage, 6780,
     /* 1683780 */     GIR_EraseRootFromParent_Done,
     /* 1683781 */   // Label 23073: @1683781
     /* 1683781 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1683867), // Rule ID 6781 //
     /* 1683786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1683797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1683800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1683803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1683806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683832 */     // MIs[0] policy
     /* 1683832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1683845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683866 */     // GIR_Coverage, 6781,
     /* 1683866 */     GIR_EraseRootFromParent_Done,
     /* 1683867 */   // Label 23074: @1683867
     /* 1683867 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1683953), // Rule ID 6784 //
     /* 1683872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1683892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683918 */     // MIs[0] policy
     /* 1683918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1683931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683952 */     // GIR_Coverage, 6784,
     /* 1683952 */     GIR_EraseRootFromParent_Done,
     /* 1683953 */   // Label 23075: @1683953
     /* 1683953 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1684039), // Rule ID 6785 //
     /* 1683958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1683966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1683978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684004 */     // MIs[0] policy
     /* 1684004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1684017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684038 */     // GIR_Coverage, 6785,
     /* 1684038 */     GIR_EraseRootFromParent_Done,
     /* 1684039 */   // Label 23076: @1684039
     /* 1684039 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1684125), // Rule ID 6788 //
     /* 1684044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1684055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1684058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1684061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1684064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684090 */     // MIs[0] policy
     /* 1684090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1684103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684124 */     // GIR_Coverage, 6788,
     /* 1684124 */     GIR_EraseRootFromParent_Done,
     /* 1684125 */   // Label 23077: @1684125
     /* 1684125 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1684211), // Rule ID 6789 //
     /* 1684130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1684141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1684144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1684147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1684150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684176 */     // MIs[0] policy
     /* 1684176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1684189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684210 */     // GIR_Coverage, 6789,
     /* 1684210 */     GIR_EraseRootFromParent_Done,
     /* 1684211 */   // Label 23078: @1684211
     /* 1684211 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1684297), // Rule ID 6792 //
     /* 1684216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1684227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1684230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1684233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1684236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684262 */     // MIs[0] policy
     /* 1684262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1684275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684296 */     // GIR_Coverage, 6792,
     /* 1684296 */     GIR_EraseRootFromParent_Done,
     /* 1684297 */   // Label 23079: @1684297
     /* 1684297 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1684383), // Rule ID 6793 //
     /* 1684302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1684313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1684316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1684319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1684322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684348 */     // MIs[0] policy
     /* 1684348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1684361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684382 */     // GIR_Coverage, 6793,
     /* 1684382 */     GIR_EraseRootFromParent_Done,
     /* 1684383 */   // Label 23080: @1684383
     /* 1684383 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1684469), // Rule ID 6796 //
     /* 1684388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1684399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1684402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1684405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1684408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684434 */     // MIs[0] policy
     /* 1684434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1684447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684468 */     // GIR_Coverage, 6796,
     /* 1684468 */     GIR_EraseRootFromParent_Done,
     /* 1684469 */   // Label 23081: @1684469
     /* 1684469 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1684555), // Rule ID 6797 //
     /* 1684474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1684485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1684488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1684491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1684494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684520 */     // MIs[0] policy
     /* 1684520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1684533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684554 */     // GIR_Coverage, 6797,
     /* 1684554 */     GIR_EraseRootFromParent_Done,
     /* 1684555 */   // Label 23082: @1684555
     /* 1684555 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1684641), // Rule ID 6800 //
     /* 1684560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1684571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1684574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1684577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1684580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684606 */     // MIs[0] policy
     /* 1684606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1684619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684640 */     // GIR_Coverage, 6800,
     /* 1684640 */     GIR_EraseRootFromParent_Done,
     /* 1684641 */   // Label 23083: @1684641
     /* 1684641 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1684727), // Rule ID 6801 //
     /* 1684646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1684657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1684660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1684663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1684666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684692 */     // MIs[0] policy
     /* 1684692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1684705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684726 */     // GIR_Coverage, 6801,
     /* 1684726 */     GIR_EraseRootFromParent_Done,
     /* 1684727 */   // Label 23084: @1684727
     /* 1684727 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1684813), // Rule ID 6804 //
     /* 1684732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1684752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684778 */     // MIs[0] policy
     /* 1684778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1684791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684812 */     // GIR_Coverage, 6804,
     /* 1684812 */     GIR_EraseRootFromParent_Done,
     /* 1684813 */   // Label 23085: @1684813
     /* 1684813 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1684899), // Rule ID 6805 //
     /* 1684818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1684838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684864 */     // MIs[0] policy
     /* 1684864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1684877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684898 */     // GIR_Coverage, 6805,
     /* 1684898 */     GIR_EraseRootFromParent_Done,
     /* 1684899 */   // Label 23086: @1684899
     /* 1684899 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1684985), // Rule ID 6808 //
     /* 1684904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684950 */     // MIs[0] policy
     /* 1684950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684960 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1684963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684984 */     // GIR_Coverage, 6808,
     /* 1684984 */     GIR_EraseRootFromParent_Done,
     /* 1684985 */   // Label 23087: @1684985
     /* 1684985 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1685071), // Rule ID 6809 //
     /* 1684990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1684998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1685001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1685004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1685007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685036 */     // MIs[0] policy
     /* 1685036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1685049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685070 */     // GIR_Coverage, 6809,
     /* 1685070 */     GIR_EraseRootFromParent_Done,
     /* 1685071 */   // Label 23088: @1685071
     /* 1685071 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1685157), // Rule ID 6812 //
     /* 1685076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1685087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1685090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1685093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685122 */     // MIs[0] policy
     /* 1685122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685132 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1685135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685156 */     // GIR_Coverage, 6812,
     /* 1685156 */     GIR_EraseRootFromParent_Done,
     /* 1685157 */   // Label 23089: @1685157
     /* 1685157 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1685243), // Rule ID 6813 //
     /* 1685162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1685173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1685176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1685179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685208 */     // MIs[0] policy
     /* 1685208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1685221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685242 */     // GIR_Coverage, 6813,
     /* 1685242 */     GIR_EraseRootFromParent_Done,
     /* 1685243 */   // Label 23090: @1685243
     /* 1685243 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1685329), // Rule ID 6816 //
     /* 1685248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1685259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1685262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1685265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685294 */     // MIs[0] policy
     /* 1685294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1685307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685328 */     // GIR_Coverage, 6816,
     /* 1685328 */     GIR_EraseRootFromParent_Done,
     /* 1685329 */   // Label 23091: @1685329
     /* 1685329 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1685415), // Rule ID 6817 //
     /* 1685334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1685345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1685348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1685351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685380 */     // MIs[0] policy
     /* 1685380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1685393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685414 */     // GIR_Coverage, 6817,
     /* 1685414 */     GIR_EraseRootFromParent_Done,
     /* 1685415 */   // Label 23092: @1685415
     /* 1685415 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1685501), // Rule ID 6820 //
     /* 1685420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1685431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1685434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685466 */     // MIs[0] policy
     /* 1685466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1685479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685500 */     // GIR_Coverage, 6820,
     /* 1685500 */     GIR_EraseRootFromParent_Done,
     /* 1685501 */   // Label 23093: @1685501
     /* 1685501 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1685587), // Rule ID 6821 //
     /* 1685506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1685517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1685520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685552 */     // MIs[0] policy
     /* 1685552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1685565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685586 */     // GIR_Coverage, 6821,
     /* 1685586 */     GIR_EraseRootFromParent_Done,
     /* 1685587 */   // Label 23094: @1685587
     /* 1685587 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1685673), // Rule ID 6824 //
     /* 1685592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1685603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1685606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1685609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685638 */     // MIs[0] policy
     /* 1685638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1685651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685672 */     // GIR_Coverage, 6824,
     /* 1685672 */     GIR_EraseRootFromParent_Done,
     /* 1685673 */   // Label 23095: @1685673
     /* 1685673 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1685759), // Rule ID 6825 //
     /* 1685678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1685689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1685692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1685695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685724 */     // MIs[0] policy
     /* 1685724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1685737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685758 */     // GIR_Coverage, 6825,
     /* 1685758 */     GIR_EraseRootFromParent_Done,
     /* 1685759 */   // Label 23096: @1685759
     /* 1685759 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1685845), // Rule ID 6828 //
     /* 1685764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685810 */     // MIs[0] policy
     /* 1685810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1685823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685844 */     // GIR_Coverage, 6828,
     /* 1685844 */     GIR_EraseRootFromParent_Done,
     /* 1685845 */   // Label 23097: @1685845
     /* 1685845 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1685931), // Rule ID 6829 //
     /* 1685850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685896 */     // MIs[0] policy
     /* 1685896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1685909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685930 */     // GIR_Coverage, 6829,
     /* 1685930 */     GIR_EraseRootFromParent_Done,
     /* 1685931 */   // Label 23098: @1685931
     /* 1685931 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1686017), // Rule ID 6832 //
     /* 1685936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1685944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685982 */     // MIs[0] policy
     /* 1685982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1685995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686016 */     // GIR_Coverage, 6832,
     /* 1686016 */     GIR_EraseRootFromParent_Done,
     /* 1686017 */   // Label 23099: @1686017
     /* 1686017 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1686103), // Rule ID 6833 //
     /* 1686022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1686033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1686036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1686039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686068 */     // MIs[0] policy
     /* 1686068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1686081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686102 */     // GIR_Coverage, 6833,
     /* 1686102 */     GIR_EraseRootFromParent_Done,
     /* 1686103 */   // Label 23100: @1686103
     /* 1686103 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1686189), // Rule ID 6836 //
     /* 1686108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1686119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1686122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1686125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686154 */     // MIs[0] policy
     /* 1686154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1686167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686188 */     // GIR_Coverage, 6836,
     /* 1686188 */     GIR_EraseRootFromParent_Done,
     /* 1686189 */   // Label 23101: @1686189
     /* 1686189 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1686275), // Rule ID 6837 //
     /* 1686194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1686205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1686208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1686211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686240 */     // MIs[0] policy
     /* 1686240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1686253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686274 */     // GIR_Coverage, 6837,
     /* 1686274 */     GIR_EraseRootFromParent_Done,
     /* 1686275 */   // Label 23102: @1686275
     /* 1686275 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1686361), // Rule ID 6840 //
     /* 1686280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1686291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1686294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1686297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686326 */     // MIs[0] policy
     /* 1686326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1686339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686360 */     // GIR_Coverage, 6840,
     /* 1686360 */     GIR_EraseRootFromParent_Done,
     /* 1686361 */   // Label 23103: @1686361
     /* 1686361 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1686447), // Rule ID 6841 //
     /* 1686366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1686377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1686380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1686383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686412 */     // MIs[0] policy
     /* 1686412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1686425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686446 */     // GIR_Coverage, 6841,
     /* 1686446 */     GIR_EraseRootFromParent_Done,
     /* 1686447 */   // Label 23104: @1686447
     /* 1686447 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1686533), // Rule ID 6844 //
     /* 1686452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1686463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1686466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1686469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686498 */     // MIs[0] policy
     /* 1686498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1686511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686532 */     // GIR_Coverage, 6844,
     /* 1686532 */     GIR_EraseRootFromParent_Done,
     /* 1686533 */   // Label 23105: @1686533
     /* 1686533 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1686619), // Rule ID 6845 //
     /* 1686538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1686549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1686552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1686555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686584 */     // MIs[0] policy
     /* 1686584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1686597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686618 */     // GIR_Coverage, 6845,
     /* 1686618 */     GIR_EraseRootFromParent_Done,
     /* 1686619 */   // Label 23106: @1686619
     /* 1686619 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1686705), // Rule ID 6848 //
     /* 1686624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1686641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686670 */     // MIs[0] policy
     /* 1686670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1686683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686704 */     // GIR_Coverage, 6848,
     /* 1686704 */     GIR_EraseRootFromParent_Done,
     /* 1686705 */   // Label 23107: @1686705
     /* 1686705 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1686791), // Rule ID 6849 //
     /* 1686710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1686727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686756 */     // MIs[0] policy
     /* 1686756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1686769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686790 */     // GIR_Coverage, 6849,
     /* 1686790 */     GIR_EraseRootFromParent_Done,
     /* 1686791 */   // Label 23108: @1686791
     /* 1686791 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1686877), // Rule ID 6852 //
     /* 1686796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686842 */     // MIs[0] policy
     /* 1686842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1686855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686876 */     // GIR_Coverage, 6852,
     /* 1686876 */     GIR_EraseRootFromParent_Done,
     /* 1686877 */   // Label 23109: @1686877
     /* 1686877 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1686963), // Rule ID 6853 //
     /* 1686882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686928 */     // MIs[0] policy
     /* 1686928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1686941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686962 */     // GIR_Coverage, 6853,
     /* 1686962 */     GIR_EraseRootFromParent_Done,
     /* 1686963 */   // Label 23110: @1686963
     /* 1686963 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1687049), // Rule ID 6856 //
     /* 1686968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687014 */     // MIs[0] policy
     /* 1687014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1687027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687048 */     // GIR_Coverage, 6856,
     /* 1687048 */     GIR_EraseRootFromParent_Done,
     /* 1687049 */   // Label 23111: @1687049
     /* 1687049 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1687135), // Rule ID 6857 //
     /* 1687054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1687065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1687068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1687071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1687077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687100 */     // MIs[0] policy
     /* 1687100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687110 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1687113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687134 */     // GIR_Coverage, 6857,
     /* 1687134 */     GIR_EraseRootFromParent_Done,
     /* 1687135 */   // Label 23112: @1687135
     /* 1687135 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1687221), // Rule ID 6860 //
     /* 1687140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1687151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1687154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1687157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687186 */     // MIs[0] policy
     /* 1687186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1687199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687220 */     // GIR_Coverage, 6860,
     /* 1687220 */     GIR_EraseRootFromParent_Done,
     /* 1687221 */   // Label 23113: @1687221
     /* 1687221 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1687307), // Rule ID 6861 //
     /* 1687226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1687237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1687240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1687243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687272 */     // MIs[0] policy
     /* 1687272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1687285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687306 */     // GIR_Coverage, 6861,
     /* 1687306 */     GIR_EraseRootFromParent_Done,
     /* 1687307 */   // Label 23114: @1687307
     /* 1687307 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1687393), // Rule ID 6864 //
     /* 1687312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1687323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1687326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1687329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687358 */     // MIs[0] policy
     /* 1687358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1687371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687392 */     // GIR_Coverage, 6864,
     /* 1687392 */     GIR_EraseRootFromParent_Done,
     /* 1687393 */   // Label 23115: @1687393
     /* 1687393 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1687479), // Rule ID 6865 //
     /* 1687398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1687409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1687412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1687415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687444 */     // MIs[0] policy
     /* 1687444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1687457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687478 */     // GIR_Coverage, 6865,
     /* 1687478 */     GIR_EraseRootFromParent_Done,
     /* 1687479 */   // Label 23116: @1687479
     /* 1687479 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1687565), // Rule ID 6868 //
     /* 1687484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1687495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1687498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1687501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1687507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687530 */     // MIs[0] policy
     /* 1687530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1687543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687564 */     // GIR_Coverage, 6868,
     /* 1687564 */     GIR_EraseRootFromParent_Done,
     /* 1687565 */   // Label 23117: @1687565
     /* 1687565 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1687651), // Rule ID 6869 //
     /* 1687570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1687581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1687584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1687587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1687593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687616 */     // MIs[0] policy
     /* 1687616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1687629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687650 */     // GIR_Coverage, 6869,
     /* 1687650 */     GIR_EraseRootFromParent_Done,
     /* 1687651 */   // Label 23118: @1687651
     /* 1687651 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1687737), // Rule ID 6872 //
     /* 1687656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1687667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1687670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687702 */     // MIs[0] policy
     /* 1687702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1687715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687736 */     // GIR_Coverage, 6872,
     /* 1687736 */     GIR_EraseRootFromParent_Done,
     /* 1687737 */   // Label 23119: @1687737
     /* 1687737 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1687823), // Rule ID 6873 //
     /* 1687742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1687753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1687756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687788 */     // MIs[0] policy
     /* 1687788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1687801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687822 */     // GIR_Coverage, 6873,
     /* 1687822 */     GIR_EraseRootFromParent_Done,
     /* 1687823 */   // Label 23120: @1687823
     /* 1687823 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1687909), // Rule ID 6876 //
     /* 1687828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687874 */     // MIs[0] policy
     /* 1687874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1687887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687908 */     // GIR_Coverage, 6876,
     /* 1687908 */     GIR_EraseRootFromParent_Done,
     /* 1687909 */   // Label 23121: @1687909
     /* 1687909 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1687995), // Rule ID 6877 //
     /* 1687914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687960 */     // MIs[0] policy
     /* 1687960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1687973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687994 */     // GIR_Coverage, 6877,
     /* 1687994 */     GIR_EraseRootFromParent_Done,
     /* 1687995 */   // Label 23122: @1687995
     /* 1687995 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1688081), // Rule ID 6880 //
     /* 1688000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1688011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1688014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1688017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688046 */     // MIs[0] policy
     /* 1688046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1688059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688080 */     // GIR_Coverage, 6880,
     /* 1688080 */     GIR_EraseRootFromParent_Done,
     /* 1688081 */   // Label 23123: @1688081
     /* 1688081 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1688167), // Rule ID 6881 //
     /* 1688086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1688097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1688100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1688103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688132 */     // MIs[0] policy
     /* 1688132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1688145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688166 */     // GIR_Coverage, 6881,
     /* 1688166 */     GIR_EraseRootFromParent_Done,
     /* 1688167 */   // Label 23124: @1688167
     /* 1688167 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1688253), // Rule ID 6884 //
     /* 1688172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1688183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1688186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1688189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688218 */     // MIs[0] policy
     /* 1688218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1688231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688252 */     // GIR_Coverage, 6884,
     /* 1688252 */     GIR_EraseRootFromParent_Done,
     /* 1688253 */   // Label 23125: @1688253
     /* 1688253 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1688339), // Rule ID 6885 //
     /* 1688258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1688269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1688272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1688275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688304 */     // MIs[0] policy
     /* 1688304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1688317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688338 */     // GIR_Coverage, 6885,
     /* 1688338 */     GIR_EraseRootFromParent_Done,
     /* 1688339 */   // Label 23126: @1688339
     /* 1688339 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1688425), // Rule ID 6888 //
     /* 1688344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1688355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1688358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1688361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688390 */     // MIs[0] policy
     /* 1688390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1688403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688424 */     // GIR_Coverage, 6888,
     /* 1688424 */     GIR_EraseRootFromParent_Done,
     /* 1688425 */   // Label 23127: @1688425
     /* 1688425 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1688511), // Rule ID 6889 //
     /* 1688430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1688441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1688444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1688447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688476 */     // MIs[0] policy
     /* 1688476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1688489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688510 */     // GIR_Coverage, 6889,
     /* 1688510 */     GIR_EraseRootFromParent_Done,
     /* 1688511 */   // Label 23128: @1688511
     /* 1688511 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1688597), // Rule ID 6892 //
     /* 1688516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1688527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1688530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688562 */     // MIs[0] policy
     /* 1688562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1688575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688596 */     // GIR_Coverage, 6892,
     /* 1688596 */     GIR_EraseRootFromParent_Done,
     /* 1688597 */   // Label 23129: @1688597
     /* 1688597 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1688683), // Rule ID 6893 //
     /* 1688602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1688613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1688616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688648 */     // MIs[0] policy
     /* 1688648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1688661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688682 */     // GIR_Coverage, 6893,
     /* 1688682 */     GIR_EraseRootFromParent_Done,
     /* 1688683 */   // Label 23130: @1688683
     /* 1688683 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1688769), // Rule ID 6984 //
     /* 1688688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1688705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1688708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688734 */     // MIs[0] policy
     /* 1688734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1688747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688768 */     // GIR_Coverage, 6984,
     /* 1688768 */     GIR_EraseRootFromParent_Done,
     /* 1688769 */   // Label 23131: @1688769
     /* 1688769 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1688855), // Rule ID 6985 //
     /* 1688774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1688791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1688794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688820 */     // MIs[0] policy
     /* 1688820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1688833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688854 */     // GIR_Coverage, 6985,
     /* 1688854 */     GIR_EraseRootFromParent_Done,
     /* 1688855 */   // Label 23132: @1688855
     /* 1688855 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1688941), // Rule ID 6988 //
     /* 1688860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1688880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688906 */     // MIs[0] policy
     /* 1688906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688916 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1688919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688940 */     // GIR_Coverage, 6988,
     /* 1688940 */     GIR_EraseRootFromParent_Done,
     /* 1688941 */   // Label 23133: @1688941
     /* 1688941 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1689027), // Rule ID 6989 //
     /* 1688946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1688966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688992 */     // MIs[0] policy
     /* 1688992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1689005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689026 */     // GIR_Coverage, 6989,
     /* 1689026 */     GIR_EraseRootFromParent_Done,
     /* 1689027 */   // Label 23134: @1689027
     /* 1689027 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1689113), // Rule ID 6992 //
     /* 1689032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1689043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1689046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1689049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1689052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689078 */     // MIs[0] policy
     /* 1689078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1689091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689112 */     // GIR_Coverage, 6992,
     /* 1689112 */     GIR_EraseRootFromParent_Done,
     /* 1689113 */   // Label 23135: @1689113
     /* 1689113 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1689199), // Rule ID 6993 //
     /* 1689118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1689129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1689132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1689135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1689138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689164 */     // MIs[0] policy
     /* 1689164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1689177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689198 */     // GIR_Coverage, 6993,
     /* 1689198 */     GIR_EraseRootFromParent_Done,
     /* 1689199 */   // Label 23136: @1689199
     /* 1689199 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1689285), // Rule ID 6996 //
     /* 1689204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1689215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1689218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1689221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1689224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689250 */     // MIs[0] policy
     /* 1689250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1689263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689284 */     // GIR_Coverage, 6996,
     /* 1689284 */     GIR_EraseRootFromParent_Done,
     /* 1689285 */   // Label 23137: @1689285
     /* 1689285 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1689371), // Rule ID 6997 //
     /* 1689290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1689301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1689304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1689307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1689310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689336 */     // MIs[0] policy
     /* 1689336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1689349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689370 */     // GIR_Coverage, 6997,
     /* 1689370 */     GIR_EraseRootFromParent_Done,
     /* 1689371 */   // Label 23138: @1689371
     /* 1689371 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1689457), // Rule ID 7000 //
     /* 1689376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1689393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1689396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689422 */     // MIs[0] policy
     /* 1689422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1689435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689456 */     // GIR_Coverage, 7000,
     /* 1689456 */     GIR_EraseRootFromParent_Done,
     /* 1689457 */   // Label 23139: @1689457
     /* 1689457 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1689543), // Rule ID 7001 //
     /* 1689462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1689479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1689482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689508 */     // MIs[0] policy
     /* 1689508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1689521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689542 */     // GIR_Coverage, 7001,
     /* 1689542 */     GIR_EraseRootFromParent_Done,
     /* 1689543 */   // Label 23140: @1689543
     /* 1689543 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1689629), // Rule ID 7004 //
     /* 1689548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1689559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1689562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1689568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689594 */     // MIs[0] policy
     /* 1689594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1689607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689628 */     // GIR_Coverage, 7004,
     /* 1689628 */     GIR_EraseRootFromParent_Done,
     /* 1689629 */   // Label 23141: @1689629
     /* 1689629 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1689715), // Rule ID 7005 //
     /* 1689634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1689645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1689648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1689654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689680 */     // MIs[0] policy
     /* 1689680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1689693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689714 */     // GIR_Coverage, 7005,
     /* 1689714 */     GIR_EraseRootFromParent_Done,
     /* 1689715 */   // Label 23142: @1689715
     /* 1689715 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1689801), // Rule ID 7008 //
     /* 1689720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1689740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689766 */     // MIs[0] policy
     /* 1689766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1689779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689800 */     // GIR_Coverage, 7008,
     /* 1689800 */     GIR_EraseRootFromParent_Done,
     /* 1689801 */   // Label 23143: @1689801
     /* 1689801 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1689887), // Rule ID 7009 //
     /* 1689806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1689826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689852 */     // MIs[0] policy
     /* 1689852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1689865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689886 */     // GIR_Coverage, 7009,
     /* 1689886 */     GIR_EraseRootFromParent_Done,
     /* 1689887 */   // Label 23144: @1689887
     /* 1689887 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1689973), // Rule ID 7012 //
     /* 1689892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1689912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689938 */     // MIs[0] policy
     /* 1689938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1689951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689972 */     // GIR_Coverage, 7012,
     /* 1689972 */     GIR_EraseRootFromParent_Done,
     /* 1689973 */   // Label 23145: @1689973
     /* 1689973 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1690059), // Rule ID 7013 //
     /* 1689978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1689998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690024 */     // MIs[0] policy
     /* 1690024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1690037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690058 */     // GIR_Coverage, 7013,
     /* 1690058 */     GIR_EraseRootFromParent_Done,
     /* 1690059 */   // Label 23146: @1690059
     /* 1690059 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1690145), // Rule ID 7016 //
     /* 1690064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1690075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1690078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1690081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1690084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690110 */     // MIs[0] policy
     /* 1690110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1690123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690144 */     // GIR_Coverage, 7016,
     /* 1690144 */     GIR_EraseRootFromParent_Done,
     /* 1690145 */   // Label 23147: @1690145
     /* 1690145 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1690231), // Rule ID 7017 //
     /* 1690150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1690161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1690164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1690167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1690170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690196 */     // MIs[0] policy
     /* 1690196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1690209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690230 */     // GIR_Coverage, 7017,
     /* 1690230 */     GIR_EraseRootFromParent_Done,
     /* 1690231 */   // Label 23148: @1690231
     /* 1690231 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1690317), // Rule ID 7020 //
     /* 1690236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1690247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1690250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1690253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1690256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690282 */     // MIs[0] policy
     /* 1690282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1690295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690316 */     // GIR_Coverage, 7020,
     /* 1690316 */     GIR_EraseRootFromParent_Done,
     /* 1690317 */   // Label 23149: @1690317
     /* 1690317 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1690403), // Rule ID 7021 //
     /* 1690322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1690333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1690336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1690339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1690342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690368 */     // MIs[0] policy
     /* 1690368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1690381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690402 */     // GIR_Coverage, 7021,
     /* 1690402 */     GIR_EraseRootFromParent_Done,
     /* 1690403 */   // Label 23150: @1690403
     /* 1690403 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1690489), // Rule ID 7024 //
     /* 1690408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1690419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1690422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1690425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1690428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690454 */     // MIs[0] policy
     /* 1690454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690464 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1690467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690488 */     // GIR_Coverage, 7024,
     /* 1690488 */     GIR_EraseRootFromParent_Done,
     /* 1690489 */   // Label 23151: @1690489
     /* 1690489 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1690575), // Rule ID 7025 //
     /* 1690494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1690505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1690508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1690511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1690514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690540 */     // MIs[0] policy
     /* 1690540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690550 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1690553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690574 */     // GIR_Coverage, 7025,
     /* 1690574 */     GIR_EraseRootFromParent_Done,
     /* 1690575 */   // Label 23152: @1690575
     /* 1690575 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1690661), // Rule ID 7028 //
     /* 1690580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1690591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1690594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1690597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1690600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690626 */     // MIs[0] policy
     /* 1690626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1690639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690660 */     // GIR_Coverage, 7028,
     /* 1690660 */     GIR_EraseRootFromParent_Done,
     /* 1690661 */   // Label 23153: @1690661
     /* 1690661 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1690747), // Rule ID 7029 //
     /* 1690666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1690677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1690680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1690683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1690686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690712 */     // MIs[0] policy
     /* 1690712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1690725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690746 */     // GIR_Coverage, 7029,
     /* 1690746 */     GIR_EraseRootFromParent_Done,
     /* 1690747 */   // Label 23154: @1690747
     /* 1690747 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1690833), // Rule ID 7032 //
     /* 1690752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1690772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690798 */     // MIs[0] policy
     /* 1690798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1690811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690832 */     // GIR_Coverage, 7032,
     /* 1690832 */     GIR_EraseRootFromParent_Done,
     /* 1690833 */   // Label 23155: @1690833
     /* 1690833 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1690919), // Rule ID 7033 //
     /* 1690838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1690858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690884 */     // MIs[0] policy
     /* 1690884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1690897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690918 */     // GIR_Coverage, 7033,
     /* 1690918 */     GIR_EraseRootFromParent_Done,
     /* 1690919 */   // Label 23156: @1690919
     /* 1690919 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1691005), // Rule ID 7036 //
     /* 1690924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1690944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690970 */     // MIs[0] policy
     /* 1690970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1690983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691004 */     // GIR_Coverage, 7036,
     /* 1691004 */     GIR_EraseRootFromParent_Done,
     /* 1691005 */   // Label 23157: @1691005
     /* 1691005 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1691091), // Rule ID 7037 //
     /* 1691010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1691021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1691024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1691027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1691030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691056 */     // MIs[0] policy
     /* 1691056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1691069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691090 */     // GIR_Coverage, 7037,
     /* 1691090 */     GIR_EraseRootFromParent_Done,
     /* 1691091 */   // Label 23158: @1691091
     /* 1691091 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1691177), // Rule ID 7040 //
     /* 1691096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1691107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1691110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1691113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1691116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691142 */     // MIs[0] policy
     /* 1691142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1691155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691176 */     // GIR_Coverage, 7040,
     /* 1691176 */     GIR_EraseRootFromParent_Done,
     /* 1691177 */   // Label 23159: @1691177
     /* 1691177 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1691263), // Rule ID 7041 //
     /* 1691182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1691193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1691196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1691199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1691202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691228 */     // MIs[0] policy
     /* 1691228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1691241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691262 */     // GIR_Coverage, 7041,
     /* 1691262 */     GIR_EraseRootFromParent_Done,
     /* 1691263 */   // Label 23160: @1691263
     /* 1691263 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1691349), // Rule ID 7044 //
     /* 1691268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1691279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1691282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1691285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1691288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1691291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691314 */     // MIs[0] policy
     /* 1691314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1691327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691348 */     // GIR_Coverage, 7044,
     /* 1691348 */     GIR_EraseRootFromParent_Done,
     /* 1691349 */   // Label 23161: @1691349
     /* 1691349 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1691435), // Rule ID 7045 //
     /* 1691354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1691365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1691368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1691371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1691374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1691377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691400 */     // MIs[0] policy
     /* 1691400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1691413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691434 */     // GIR_Coverage, 7045,
     /* 1691434 */     GIR_EraseRootFromParent_Done,
     /* 1691435 */   // Label 23162: @1691435
     /* 1691435 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1691521), // Rule ID 7048 //
     /* 1691440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1691451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1691454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1691460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691486 */     // MIs[0] policy
     /* 1691486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1691499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691520 */     // GIR_Coverage, 7048,
     /* 1691520 */     GIR_EraseRootFromParent_Done,
     /* 1691521 */   // Label 23163: @1691521
     /* 1691521 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1691607), // Rule ID 7049 //
     /* 1691526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1691537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1691540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1691546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691572 */     // MIs[0] policy
     /* 1691572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1691585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691606 */     // GIR_Coverage, 7049,
     /* 1691606 */     GIR_EraseRootFromParent_Done,
     /* 1691607 */   // Label 23164: @1691607
     /* 1691607 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1691693), // Rule ID 7052 //
     /* 1691612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1691623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1691626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1691629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1691632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691658 */     // MIs[0] policy
     /* 1691658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1691671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691692 */     // GIR_Coverage, 7052,
     /* 1691692 */     GIR_EraseRootFromParent_Done,
     /* 1691693 */   // Label 23165: @1691693
     /* 1691693 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1691779), // Rule ID 7053 //
     /* 1691698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1691709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1691712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1691715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1691718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691744 */     // MIs[0] policy
     /* 1691744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1691757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691778 */     // GIR_Coverage, 7053,
     /* 1691778 */     GIR_EraseRootFromParent_Done,
     /* 1691779 */   // Label 23166: @1691779
     /* 1691779 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1691865), // Rule ID 7056 //
     /* 1691784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1691804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691830 */     // MIs[0] policy
     /* 1691830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1691843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691864 */     // GIR_Coverage, 7056,
     /* 1691864 */     GIR_EraseRootFromParent_Done,
     /* 1691865 */   // Label 23167: @1691865
     /* 1691865 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1691951), // Rule ID 7057 //
     /* 1691870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1691890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691916 */     // MIs[0] policy
     /* 1691916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1691929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691950 */     // GIR_Coverage, 7057,
     /* 1691950 */     GIR_EraseRootFromParent_Done,
     /* 1691951 */   // Label 23168: @1691951
     /* 1691951 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1692037), // Rule ID 7060 //
     /* 1691956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1691964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1691976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692002 */     // MIs[0] policy
     /* 1692002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692012 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1692015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692036 */     // GIR_Coverage, 7060,
     /* 1692036 */     GIR_EraseRootFromParent_Done,
     /* 1692037 */   // Label 23169: @1692037
     /* 1692037 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1692123), // Rule ID 7061 //
     /* 1692042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1692053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1692056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1692059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1692062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692088 */     // MIs[0] policy
     /* 1692088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1692101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692122 */     // GIR_Coverage, 7061,
     /* 1692122 */     GIR_EraseRootFromParent_Done,
     /* 1692123 */   // Label 23170: @1692123
     /* 1692123 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1692209), // Rule ID 7064 //
     /* 1692128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1692131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1692139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1692142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1692145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1692148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692174 */     // MIs[0] policy
     /* 1692174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1692187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692208 */     // GIR_Coverage, 7064,
     /* 1692208 */     GIR_EraseRootFromParent_Done,
     /* 1692209 */   // Label 23171: @1692209
     /* 1692209 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1692295), // Rule ID 7065 //
     /* 1692214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1692225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1692228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1692231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1692234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692260 */     // MIs[0] policy
     /* 1692260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1692273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692294 */     // GIR_Coverage, 7065,
     /* 1692294 */     GIR_EraseRootFromParent_Done,
     /* 1692295 */   // Label 23172: @1692295
     /* 1692295 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1692381), // Rule ID 7068 //
     /* 1692300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1692303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1692311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1692314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1692317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1692320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1692330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692346 */     // MIs[0] policy
     /* 1692346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692356 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1692359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692380 */     // GIR_Coverage, 7068,
     /* 1692380 */     GIR_EraseRootFromParent_Done,
     /* 1692381 */   // Label 23173: @1692381
     /* 1692381 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1692467), // Rule ID 7069 //
     /* 1692386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1692397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1692400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1692403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1692406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1692416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692432 */     // MIs[0] policy
     /* 1692432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1692445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692466 */     // GIR_Coverage, 7069,
     /* 1692466 */     GIR_EraseRootFromParent_Done,
     /* 1692467 */   // Label 23174: @1692467
     /* 1692467 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1692553), // Rule ID 7072 //
     /* 1692472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1692483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1692486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1692489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692518 */     // MIs[0] policy
     /* 1692518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1692531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692552 */     // GIR_Coverage, 7072,
     /* 1692552 */     GIR_EraseRootFromParent_Done,
     /* 1692553 */   // Label 23175: @1692553
     /* 1692553 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1692639), // Rule ID 7073 //
     /* 1692558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1692569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1692572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1692575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692604 */     // MIs[0] policy
     /* 1692604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1692617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692638 */     // GIR_Coverage, 7073,
     /* 1692638 */     GIR_EraseRootFromParent_Done,
     /* 1692639 */   // Label 23176: @1692639
     /* 1692639 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1692725), // Rule ID 7076 //
     /* 1692644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1692655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1692658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1692661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692690 */     // MIs[0] policy
     /* 1692690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1692703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692724 */     // GIR_Coverage, 7076,
     /* 1692724 */     GIR_EraseRootFromParent_Done,
     /* 1692725 */   // Label 23177: @1692725
     /* 1692725 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1692811), // Rule ID 7077 //
     /* 1692730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1692741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1692744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1692747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692776 */     // MIs[0] policy
     /* 1692776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1692789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692810 */     // GIR_Coverage, 7077,
     /* 1692810 */     GIR_EraseRootFromParent_Done,
     /* 1692811 */   // Label 23178: @1692811
     /* 1692811 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1692897), // Rule ID 7080 //
     /* 1692816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1692833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692862 */     // MIs[0] policy
     /* 1692862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1692875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692896 */     // GIR_Coverage, 7080,
     /* 1692896 */     GIR_EraseRootFromParent_Done,
     /* 1692897 */   // Label 23179: @1692897
     /* 1692897 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1692983), // Rule ID 7081 //
     /* 1692902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1692919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692948 */     // MIs[0] policy
     /* 1692948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1692961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692982 */     // GIR_Coverage, 7081,
     /* 1692982 */     GIR_EraseRootFromParent_Done,
     /* 1692983 */   // Label 23180: @1692983
     /* 1692983 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1693069), // Rule ID 7084 //
     /* 1692988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1692996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1693002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1693005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693034 */     // MIs[0] policy
     /* 1693034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1693047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693068 */     // GIR_Coverage, 7084,
     /* 1693068 */     GIR_EraseRootFromParent_Done,
     /* 1693069 */   // Label 23181: @1693069
     /* 1693069 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1693155), // Rule ID 7085 //
     /* 1693074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1693085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1693088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1693091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693120 */     // MIs[0] policy
     /* 1693120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1693133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693154 */     // GIR_Coverage, 7085,
     /* 1693154 */     GIR_EraseRootFromParent_Done,
     /* 1693155 */   // Label 23182: @1693155
     /* 1693155 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1693241), // Rule ID 7088 //
     /* 1693160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1693171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1693174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1693177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693206 */     // MIs[0] policy
     /* 1693206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1693219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693240 */     // GIR_Coverage, 7088,
     /* 1693240 */     GIR_EraseRootFromParent_Done,
     /* 1693241 */   // Label 23183: @1693241
     /* 1693241 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1693327), // Rule ID 7089 //
     /* 1693246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1693257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1693260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1693263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693292 */     // MIs[0] policy
     /* 1693292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1693305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693326 */     // GIR_Coverage, 7089,
     /* 1693326 */     GIR_EraseRootFromParent_Done,
     /* 1693327 */   // Label 23184: @1693327
     /* 1693327 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1693413), // Rule ID 7092 //
     /* 1693332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1693343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1693346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1693349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693378 */     // MIs[0] policy
     /* 1693378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1693391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693412 */     // GIR_Coverage, 7092,
     /* 1693412 */     GIR_EraseRootFromParent_Done,
     /* 1693413 */   // Label 23185: @1693413
     /* 1693413 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1693499), // Rule ID 7093 //
     /* 1693418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1693429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1693432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1693435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693464 */     // MIs[0] policy
     /* 1693464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1693477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693498 */     // GIR_Coverage, 7093,
     /* 1693498 */     GIR_EraseRootFromParent_Done,
     /* 1693499 */   // Label 23186: @1693499
     /* 1693499 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1693585), // Rule ID 7096 //
     /* 1693504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1693515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1693518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1693521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693550 */     // MIs[0] policy
     /* 1693550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693560 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1693563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693584 */     // GIR_Coverage, 7096,
     /* 1693584 */     GIR_EraseRootFromParent_Done,
     /* 1693585 */   // Label 23187: @1693585
     /* 1693585 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1693671), // Rule ID 7097 //
     /* 1693590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1693601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1693604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1693607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693636 */     // MIs[0] policy
     /* 1693636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1693649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693670 */     // GIR_Coverage, 7097,
     /* 1693670 */     GIR_EraseRootFromParent_Done,
     /* 1693671 */   // Label 23188: @1693671
     /* 1693671 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1693757), // Rule ID 7100 //
     /* 1693676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1693693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693722 */     // MIs[0] policy
     /* 1693722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1693735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693756 */     // GIR_Coverage, 7100,
     /* 1693756 */     GIR_EraseRootFromParent_Done,
     /* 1693757 */   // Label 23189: @1693757
     /* 1693757 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1693843), // Rule ID 7101 //
     /* 1693762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1693773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1693776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1693779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693808 */     // MIs[0] policy
     /* 1693808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1693821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693842 */     // GIR_Coverage, 7101,
     /* 1693842 */     GIR_EraseRootFromParent_Done,
     /* 1693843 */   // Label 23190: @1693843
     /* 1693843 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1693929), // Rule ID 7104 //
     /* 1693848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693894 */     // MIs[0] policy
     /* 1693894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1693907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693928 */     // GIR_Coverage, 7104,
     /* 1693928 */     GIR_EraseRootFromParent_Done,
     /* 1693929 */   // Label 23191: @1693929
     /* 1693929 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1694015), // Rule ID 7105 //
     /* 1693934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1693942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693980 */     // MIs[0] policy
     /* 1693980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1693993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694014 */     // GIR_Coverage, 7105,
     /* 1694014 */     GIR_EraseRootFromParent_Done,
     /* 1694015 */   // Label 23192: @1694015
     /* 1694015 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1694101), // Rule ID 7108 //
     /* 1694020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1694031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1694034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1694037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694066 */     // MIs[0] policy
     /* 1694066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1694079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694100 */     // GIR_Coverage, 7108,
     /* 1694100 */     GIR_EraseRootFromParent_Done,
     /* 1694101 */   // Label 23193: @1694101
     /* 1694101 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1694187), // Rule ID 7109 //
     /* 1694106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1694117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1694120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1694123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694152 */     // MIs[0] policy
     /* 1694152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1694165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694186 */     // GIR_Coverage, 7109,
     /* 1694186 */     GIR_EraseRootFromParent_Done,
     /* 1694187 */   // Label 23194: @1694187
     /* 1694187 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1694273), // Rule ID 7112 //
     /* 1694192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1694203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1694206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1694209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694238 */     // MIs[0] policy
     /* 1694238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1694251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694272 */     // GIR_Coverage, 7112,
     /* 1694272 */     GIR_EraseRootFromParent_Done,
     /* 1694273 */   // Label 23195: @1694273
     /* 1694273 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1694359), // Rule ID 7113 //
     /* 1694278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1694289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1694292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1694295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694324 */     // MIs[0] policy
     /* 1694324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1694337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694358 */     // GIR_Coverage, 7113,
     /* 1694358 */     GIR_EraseRootFromParent_Done,
     /* 1694359 */   // Label 23196: @1694359
     /* 1694359 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1694445), // Rule ID 7116 //
     /* 1694364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1694375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1694378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1694381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694410 */     // MIs[0] policy
     /* 1694410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1694423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694444 */     // GIR_Coverage, 7116,
     /* 1694444 */     GIR_EraseRootFromParent_Done,
     /* 1694445 */   // Label 23197: @1694445
     /* 1694445 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1694531), // Rule ID 7117 //
     /* 1694450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1694461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1694464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1694467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694496 */     // MIs[0] policy
     /* 1694496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1694509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694530 */     // GIR_Coverage, 7117,
     /* 1694530 */     GIR_EraseRootFromParent_Done,
     /* 1694531 */   // Label 23198: @1694531
     /* 1694531 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1694617), // Rule ID 7120 //
     /* 1694536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1694547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1694550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1694553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1694559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694582 */     // MIs[0] policy
     /* 1694582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1694595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694616 */     // GIR_Coverage, 7120,
     /* 1694616 */     GIR_EraseRootFromParent_Done,
     /* 1694617 */   // Label 23199: @1694617
     /* 1694617 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1694703), // Rule ID 7121 //
     /* 1694622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1694633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1694636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1694639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1694645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694668 */     // MIs[0] policy
     /* 1694668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1694681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694702 */     // GIR_Coverage, 7121,
     /* 1694702 */     GIR_EraseRootFromParent_Done,
     /* 1694703 */   // Label 23200: @1694703
     /* 1694703 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1694789), // Rule ID 7124 //
     /* 1694708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1694719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1694722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694754 */     // MIs[0] policy
     /* 1694754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1694767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694788 */     // GIR_Coverage, 7124,
     /* 1694788 */     GIR_EraseRootFromParent_Done,
     /* 1694789 */   // Label 23201: @1694789
     /* 1694789 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1694875), // Rule ID 7125 //
     /* 1694794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1694805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1694808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694840 */     // MIs[0] policy
     /* 1694840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1694853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694874 */     // GIR_Coverage, 7125,
     /* 1694874 */     GIR_EraseRootFromParent_Done,
     /* 1694875 */   // Label 23202: @1694875
     /* 1694875 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1694961), // Rule ID 7128 //
     /* 1694880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1694891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1694894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694926 */     // MIs[0] policy
     /* 1694926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1694939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694960 */     // GIR_Coverage, 7128,
     /* 1694960 */     GIR_EraseRootFromParent_Done,
     /* 1694961 */   // Label 23203: @1694961
     /* 1694961 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1695047), // Rule ID 7129 //
     /* 1694966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1694974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1694977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1694980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695012 */     // MIs[0] policy
     /* 1695012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1695025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695046 */     // GIR_Coverage, 7129,
     /* 1695046 */     GIR_EraseRootFromParent_Done,
     /* 1695047 */   // Label 23204: @1695047
     /* 1695047 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1695133), // Rule ID 7132 //
     /* 1695052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1695063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1695066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695098 */     // MIs[0] policy
     /* 1695098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1695111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695132 */     // GIR_Coverage, 7132,
     /* 1695132 */     GIR_EraseRootFromParent_Done,
     /* 1695133 */   // Label 23205: @1695133
     /* 1695133 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1695219), // Rule ID 7133 //
     /* 1695138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1695149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1695152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1695155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695184 */     // MIs[0] policy
     /* 1695184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1695197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695218 */     // GIR_Coverage, 7133,
     /* 1695218 */     GIR_EraseRootFromParent_Done,
     /* 1695219 */   // Label 23206: @1695219
     /* 1695219 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1695305), // Rule ID 7136 //
     /* 1695224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1695235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1695238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1695241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695270 */     // MIs[0] policy
     /* 1695270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1695283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695304 */     // GIR_Coverage, 7136,
     /* 1695304 */     GIR_EraseRootFromParent_Done,
     /* 1695305 */   // Label 23207: @1695305
     /* 1695305 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1695391), // Rule ID 7137 //
     /* 1695310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1695321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1695324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1695327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695356 */     // MIs[0] policy
     /* 1695356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1695369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695390 */     // GIR_Coverage, 7137,
     /* 1695390 */     GIR_EraseRootFromParent_Done,
     /* 1695391 */   // Label 23208: @1695391
     /* 1695391 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1695477), // Rule ID 7140 //
     /* 1695396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1695407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1695410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695442 */     // MIs[0] policy
     /* 1695442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1695455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695476 */     // GIR_Coverage, 7140,
     /* 1695476 */     GIR_EraseRootFromParent_Done,
     /* 1695477 */   // Label 23209: @1695477
     /* 1695477 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1695563), // Rule ID 7141 //
     /* 1695482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1695493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1695496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695528 */     // MIs[0] policy
     /* 1695528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1695541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695562 */     // GIR_Coverage, 7141,
     /* 1695562 */     GIR_EraseRootFromParent_Done,
     /* 1695563 */   // Label 23210: @1695563
     /* 1695563 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1695649), // Rule ID 7144 //
     /* 1695568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1695579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1695582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1695585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695614 */     // MIs[0] policy
     /* 1695614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1695627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695648 */     // GIR_Coverage, 7144,
     /* 1695648 */     GIR_EraseRootFromParent_Done,
     /* 1695649 */   // Label 23211: @1695649
     /* 1695649 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1695735), // Rule ID 7145 //
     /* 1695654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1695665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1695668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1695671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695700 */     // MIs[0] policy
     /* 1695700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1695713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695734 */     // GIR_Coverage, 7145,
     /* 1695734 */     GIR_EraseRootFromParent_Done,
     /* 1695735 */   // Label 23212: @1695735
     /* 1695735 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1695821), // Rule ID 7148 //
     /* 1695740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1695743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1695751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1695754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1695757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695786 */     // MIs[0] policy
     /* 1695786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1695799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695820 */     // GIR_Coverage, 7148,
     /* 1695820 */     GIR_EraseRootFromParent_Done,
     /* 1695821 */   // Label 23213: @1695821
     /* 1695821 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1695907), // Rule ID 7149 //
     /* 1695826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1695829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1695837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1695840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1695843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695872 */     // MIs[0] policy
     /* 1695872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1695885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695906 */     // GIR_Coverage, 7149,
     /* 1695906 */     GIR_EraseRootFromParent_Done,
     /* 1695907 */   // Label 23214: @1695907
     /* 1695907 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1695993), // Rule ID 7152 //
     /* 1695912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1695915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1695923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1695926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695958 */     // MIs[0] policy
     /* 1695958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1695971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695992 */     // GIR_Coverage, 7152,
     /* 1695992 */     GIR_EraseRootFromParent_Done,
     /* 1695993 */   // Label 23215: @1695993
     /* 1695993 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1696079), // Rule ID 7153 //
     /* 1695998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1696001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1696009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1696012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1696015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696044 */     // MIs[0] policy
     /* 1696044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1696057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1696075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696078 */     // GIR_Coverage, 7153,
     /* 1696078 */     GIR_EraseRootFromParent_Done,
     /* 1696079 */   // Label 23216: @1696079
     /* 1696079 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1696165), // Rule ID 7156 //
     /* 1696084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1696087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1696095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1696098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1696101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1696104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696130 */     // MIs[0] policy
     /* 1696130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1696143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1696161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696164 */     // GIR_Coverage, 7156,
     /* 1696164 */     GIR_EraseRootFromParent_Done,
     /* 1696165 */   // Label 23217: @1696165
     /* 1696165 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1696251), // Rule ID 7157 //
     /* 1696170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1696173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1696181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1696184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1696187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696216 */     // MIs[0] policy
     /* 1696216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1696229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1696247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696250 */     // GIR_Coverage, 7157,
     /* 1696250 */     GIR_EraseRootFromParent_Done,
     /* 1696251 */   // Label 23218: @1696251
     /* 1696251 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1696337), // Rule ID 7336 //
     /* 1696256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696302 */     // MIs[0] policy
     /* 1696302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1696315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696336 */     // GIR_Coverage, 7336,
     /* 1696336 */     GIR_EraseRootFromParent_Done,
     /* 1696337 */   // Label 23219: @1696337
     /* 1696337 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1696423), // Rule ID 7337 //
     /* 1696342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696388 */     // MIs[0] policy
     /* 1696388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1696401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696422 */     // GIR_Coverage, 7337,
     /* 1696422 */     GIR_EraseRootFromParent_Done,
     /* 1696423 */   // Label 23220: @1696423
     /* 1696423 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1696509), // Rule ID 7340 //
     /* 1696428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1696439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1696442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1696448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696474 */     // MIs[0] policy
     /* 1696474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1696487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696508 */     // GIR_Coverage, 7340,
     /* 1696508 */     GIR_EraseRootFromParent_Done,
     /* 1696509 */   // Label 23221: @1696509
     /* 1696509 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1696595), // Rule ID 7341 //
     /* 1696514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1696525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1696528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1696534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696560 */     // MIs[0] policy
     /* 1696560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696570 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1696573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696594 */     // GIR_Coverage, 7341,
     /* 1696594 */     GIR_EraseRootFromParent_Done,
     /* 1696595 */   // Label 23222: @1696595
     /* 1696595 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1696681), // Rule ID 7344 //
     /* 1696600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1696611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1696614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1696620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696646 */     // MIs[0] policy
     /* 1696646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1696659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696680 */     // GIR_Coverage, 7344,
     /* 1696680 */     GIR_EraseRootFromParent_Done,
     /* 1696681 */   // Label 23223: @1696681
     /* 1696681 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1696767), // Rule ID 7345 //
     /* 1696686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1696697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1696700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1696706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696732 */     // MIs[0] policy
     /* 1696732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696742 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1696745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696766 */     // GIR_Coverage, 7345,
     /* 1696766 */     GIR_EraseRootFromParent_Done,
     /* 1696767 */   // Label 23224: @1696767
     /* 1696767 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1696853), // Rule ID 7348 //
     /* 1696772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696818 */     // MIs[0] policy
     /* 1696818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1696831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696852 */     // GIR_Coverage, 7348,
     /* 1696852 */     GIR_EraseRootFromParent_Done,
     /* 1696853 */   // Label 23225: @1696853
     /* 1696853 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1696939), // Rule ID 7349 //
     /* 1696858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696904 */     // MIs[0] policy
     /* 1696904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1696917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696938 */     // GIR_Coverage, 7349,
     /* 1696938 */     GIR_EraseRootFromParent_Done,
     /* 1696939 */   // Label 23226: @1696939
     /* 1696939 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1697025), // Rule ID 7352 //
     /* 1696944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1696952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1696955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1696958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1696961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1696964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696990 */     // MIs[0] policy
     /* 1696990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697000 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1697003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697024 */     // GIR_Coverage, 7352,
     /* 1697024 */     GIR_EraseRootFromParent_Done,
     /* 1697025 */   // Label 23227: @1697025
     /* 1697025 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1697111), // Rule ID 7353 //
     /* 1697030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697076 */     // MIs[0] policy
     /* 1697076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1697089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697110 */     // GIR_Coverage, 7353,
     /* 1697110 */     GIR_EraseRootFromParent_Done,
     /* 1697111 */   // Label 23228: @1697111
     /* 1697111 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1697197), // Rule ID 7356 //
     /* 1697116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697162 */     // MIs[0] policy
     /* 1697162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1697175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697196 */     // GIR_Coverage, 7356,
     /* 1697196 */     GIR_EraseRootFromParent_Done,
     /* 1697197 */   // Label 23229: @1697197
     /* 1697197 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1697283), // Rule ID 7357 //
     /* 1697202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1697219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697248 */     // MIs[0] policy
     /* 1697248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1697261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697282 */     // GIR_Coverage, 7357,
     /* 1697282 */     GIR_EraseRootFromParent_Done,
     /* 1697283 */   // Label 23230: @1697283
     /* 1697283 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1697369), // Rule ID 7360 //
     /* 1697288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1697299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1697302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1697308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697334 */     // MIs[0] policy
     /* 1697334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1697347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697368 */     // GIR_Coverage, 7360,
     /* 1697368 */     GIR_EraseRootFromParent_Done,
     /* 1697369 */   // Label 23231: @1697369
     /* 1697369 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1697455), // Rule ID 7361 //
     /* 1697374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1697385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1697388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1697394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697420 */     // MIs[0] policy
     /* 1697420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1697433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697454 */     // GIR_Coverage, 7361,
     /* 1697454 */     GIR_EraseRootFromParent_Done,
     /* 1697455 */   // Label 23232: @1697455
     /* 1697455 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1697541), // Rule ID 7364 //
     /* 1697460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1697471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1697474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1697480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697506 */     // MIs[0] policy
     /* 1697506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1697519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697540 */     // GIR_Coverage, 7364,
     /* 1697540 */     GIR_EraseRootFromParent_Done,
     /* 1697541 */   // Label 23233: @1697541
     /* 1697541 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1697627), // Rule ID 7365 //
     /* 1697546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1697557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1697560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1697566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697592 */     // MIs[0] policy
     /* 1697592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1697605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697626 */     // GIR_Coverage, 7365,
     /* 1697626 */     GIR_EraseRootFromParent_Done,
     /* 1697627 */   // Label 23234: @1697627
     /* 1697627 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1697713), // Rule ID 7368 //
     /* 1697632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1697643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1697646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1697652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697678 */     // MIs[0] policy
     /* 1697678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1697691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697712 */     // GIR_Coverage, 7368,
     /* 1697712 */     GIR_EraseRootFromParent_Done,
     /* 1697713 */   // Label 23235: @1697713
     /* 1697713 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1697799), // Rule ID 7369 //
     /* 1697718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1697729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1697732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1697738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697764 */     // MIs[0] policy
     /* 1697764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1697777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697798 */     // GIR_Coverage, 7369,
     /* 1697798 */     GIR_EraseRootFromParent_Done,
     /* 1697799 */   // Label 23236: @1697799
     /* 1697799 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1697885), // Rule ID 7372 //
     /* 1697804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1697824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697850 */     // MIs[0] policy
     /* 1697850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1697863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697884 */     // GIR_Coverage, 7372,
     /* 1697884 */     GIR_EraseRootFromParent_Done,
     /* 1697885 */   // Label 23237: @1697885
     /* 1697885 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1697971), // Rule ID 7373 //
     /* 1697890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1697910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697936 */     // MIs[0] policy
     /* 1697936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1697949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697970 */     // GIR_Coverage, 7373,
     /* 1697970 */     GIR_EraseRootFromParent_Done,
     /* 1697971 */   // Label 23238: @1697971
     /* 1697971 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1698057), // Rule ID 7376 //
     /* 1697976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1697984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1697993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1697996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698022 */     // MIs[0] policy
     /* 1698022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1698035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698056 */     // GIR_Coverage, 7376,
     /* 1698056 */     GIR_EraseRootFromParent_Done,
     /* 1698057 */   // Label 23239: @1698057
     /* 1698057 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1698143), // Rule ID 7377 //
     /* 1698062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698108 */     // MIs[0] policy
     /* 1698108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1698121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698142 */     // GIR_Coverage, 7377,
     /* 1698142 */     GIR_EraseRootFromParent_Done,
     /* 1698143 */   // Label 23240: @1698143
     /* 1698143 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1698229), // Rule ID 7380 //
     /* 1698148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1698165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1698168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698194 */     // MIs[0] policy
     /* 1698194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1698207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698228 */     // GIR_Coverage, 7380,
     /* 1698228 */     GIR_EraseRootFromParent_Done,
     /* 1698229 */   // Label 23241: @1698229
     /* 1698229 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1698315), // Rule ID 7381 //
     /* 1698234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1698251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1698254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698280 */     // MIs[0] policy
     /* 1698280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1698293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698314 */     // GIR_Coverage, 7381,
     /* 1698314 */     GIR_EraseRootFromParent_Done,
     /* 1698315 */   // Label 23242: @1698315
     /* 1698315 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1698401), // Rule ID 7384 //
     /* 1698320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1698331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1698334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1698340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698366 */     // MIs[0] policy
     /* 1698366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1698379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698400 */     // GIR_Coverage, 7384,
     /* 1698400 */     GIR_EraseRootFromParent_Done,
     /* 1698401 */   // Label 23243: @1698401
     /* 1698401 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1698487), // Rule ID 7385 //
     /* 1698406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1698417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1698420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1698426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698452 */     // MIs[0] policy
     /* 1698452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1698465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698486 */     // GIR_Coverage, 7385,
     /* 1698486 */     GIR_EraseRootFromParent_Done,
     /* 1698487 */   // Label 23244: @1698487
     /* 1698487 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1698573), // Rule ID 7388 //
     /* 1698492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698538 */     // MIs[0] policy
     /* 1698538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1698551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698572 */     // GIR_Coverage, 7388,
     /* 1698572 */     GIR_EraseRootFromParent_Done,
     /* 1698573 */   // Label 23245: @1698573
     /* 1698573 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1698659), // Rule ID 7389 //
     /* 1698578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698624 */     // MIs[0] policy
     /* 1698624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1698637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698658 */     // GIR_Coverage, 7389,
     /* 1698658 */     GIR_EraseRootFromParent_Done,
     /* 1698659 */   // Label 23246: @1698659
     /* 1698659 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1698745), // Rule ID 7392 //
     /* 1698664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1698684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698710 */     // MIs[0] policy
     /* 1698710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1698723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698744 */     // GIR_Coverage, 7392,
     /* 1698744 */     GIR_EraseRootFromParent_Done,
     /* 1698745 */   // Label 23247: @1698745
     /* 1698745 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1698831), // Rule ID 7393 //
     /* 1698750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1698770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698796 */     // MIs[0] policy
     /* 1698796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1698809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698830 */     // GIR_Coverage, 7393,
     /* 1698830 */     GIR_EraseRootFromParent_Done,
     /* 1698831 */   // Label 23248: @1698831
     /* 1698831 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1698917), // Rule ID 7396 //
     /* 1698836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698882 */     // MIs[0] policy
     /* 1698882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1698895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698916 */     // GIR_Coverage, 7396,
     /* 1698916 */     GIR_EraseRootFromParent_Done,
     /* 1698917 */   // Label 23249: @1698917
     /* 1698917 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1699003), // Rule ID 7397 //
     /* 1698922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1698930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698968 */     // MIs[0] policy
     /* 1698968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1698981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699002 */     // GIR_Coverage, 7397,
     /* 1699002 */     GIR_EraseRootFromParent_Done,
     /* 1699003 */   // Label 23250: @1699003
     /* 1699003 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1699089), // Rule ID 7400 //
     /* 1699008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699054 */     // MIs[0] policy
     /* 1699054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699064 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1699067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699088 */     // GIR_Coverage, 7400,
     /* 1699088 */     GIR_EraseRootFromParent_Done,
     /* 1699089 */   // Label 23251: @1699089
     /* 1699089 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1699175), // Rule ID 7401 //
     /* 1699094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699140 */     // MIs[0] policy
     /* 1699140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699150 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1699153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699174 */     // GIR_Coverage, 7401,
     /* 1699174 */     GIR_EraseRootFromParent_Done,
     /* 1699175 */   // Label 23252: @1699175
     /* 1699175 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1699261), // Rule ID 7404 //
     /* 1699180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699226 */     // MIs[0] policy
     /* 1699226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1699239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699260 */     // GIR_Coverage, 7404,
     /* 1699260 */     GIR_EraseRootFromParent_Done,
     /* 1699261 */   // Label 23253: @1699261
     /* 1699261 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1699347), // Rule ID 7405 //
     /* 1699266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699312 */     // MIs[0] policy
     /* 1699312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1699325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699346 */     // GIR_Coverage, 7405,
     /* 1699346 */     GIR_EraseRootFromParent_Done,
     /* 1699347 */   // Label 23254: @1699347
     /* 1699347 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1699433), // Rule ID 7408 //
     /* 1699352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1699363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1699366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699398 */     // MIs[0] policy
     /* 1699398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1699411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699432 */     // GIR_Coverage, 7408,
     /* 1699432 */     GIR_EraseRootFromParent_Done,
     /* 1699433 */   // Label 23255: @1699433
     /* 1699433 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1699519), // Rule ID 7409 //
     /* 1699438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1699449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1699452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699484 */     // MIs[0] policy
     /* 1699484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699494 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1699497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699518 */     // GIR_Coverage, 7409,
     /* 1699518 */     GIR_EraseRootFromParent_Done,
     /* 1699519 */   // Label 23256: @1699519
     /* 1699519 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1699605), // Rule ID 7412 //
     /* 1699524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1699535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1699538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699570 */     // MIs[0] policy
     /* 1699570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699580 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1699583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699604 */     // GIR_Coverage, 7412,
     /* 1699604 */     GIR_EraseRootFromParent_Done,
     /* 1699605 */   // Label 23257: @1699605
     /* 1699605 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1699691), // Rule ID 7413 //
     /* 1699610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1699621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1699624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699656 */     // MIs[0] policy
     /* 1699656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1699669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699690 */     // GIR_Coverage, 7413,
     /* 1699690 */     GIR_EraseRootFromParent_Done,
     /* 1699691 */   // Label 23258: @1699691
     /* 1699691 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1699777), // Rule ID 7416 //
     /* 1699696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699742 */     // MIs[0] policy
     /* 1699742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1699755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699776 */     // GIR_Coverage, 7416,
     /* 1699776 */     GIR_EraseRootFromParent_Done,
     /* 1699777 */   // Label 23259: @1699777
     /* 1699777 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1699863), // Rule ID 7417 //
     /* 1699782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699828 */     // MIs[0] policy
     /* 1699828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699838 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1699841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699862 */     // GIR_Coverage, 7417,
     /* 1699862 */     GIR_EraseRootFromParent_Done,
     /* 1699863 */   // Label 23260: @1699863
     /* 1699863 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1699949), // Rule ID 7420 //
     /* 1699868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699914 */     // MIs[0] policy
     /* 1699914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1699927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699948 */     // GIR_Coverage, 7420,
     /* 1699948 */     GIR_EraseRootFromParent_Done,
     /* 1699949 */   // Label 23261: @1699949
     /* 1699949 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1700035), // Rule ID 7421 //
     /* 1699954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1699962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700000 */     // MIs[0] policy
     /* 1700000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1700013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700034 */     // GIR_Coverage, 7421,
     /* 1700034 */     GIR_EraseRootFromParent_Done,
     /* 1700035 */   // Label 23262: @1700035
     /* 1700035 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1700121), // Rule ID 7424 //
     /* 1700040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700086 */     // MIs[0] policy
     /* 1700086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1700099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700120 */     // GIR_Coverage, 7424,
     /* 1700120 */     GIR_EraseRootFromParent_Done,
     /* 1700121 */   // Label 23263: @1700121
     /* 1700121 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1700207), // Rule ID 7425 //
     /* 1700126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700172 */     // MIs[0] policy
     /* 1700172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700182 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1700185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700206 */     // GIR_Coverage, 7425,
     /* 1700206 */     GIR_EraseRootFromParent_Done,
     /* 1700207 */   // Label 23264: @1700207
     /* 1700207 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1700293), // Rule ID 7428 //
     /* 1700212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700258 */     // MIs[0] policy
     /* 1700258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1700271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700292 */     // GIR_Coverage, 7428,
     /* 1700292 */     GIR_EraseRootFromParent_Done,
     /* 1700293 */   // Label 23265: @1700293
     /* 1700293 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1700379), // Rule ID 7429 //
     /* 1700298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700344 */     // MIs[0] policy
     /* 1700344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1700357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700378 */     // GIR_Coverage, 7429,
     /* 1700378 */     GIR_EraseRootFromParent_Done,
     /* 1700379 */   // Label 23266: @1700379
     /* 1700379 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1700465), // Rule ID 7432 //
     /* 1700384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700430 */     // MIs[0] policy
     /* 1700430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700440 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1700443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700464 */     // GIR_Coverage, 7432,
     /* 1700464 */     GIR_EraseRootFromParent_Done,
     /* 1700465 */   // Label 23267: @1700465
     /* 1700465 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1700551), // Rule ID 7433 //
     /* 1700470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700516 */     // MIs[0] policy
     /* 1700516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700526 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1700529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700550 */     // GIR_Coverage, 7433,
     /* 1700550 */     GIR_EraseRootFromParent_Done,
     /* 1700551 */   // Label 23268: @1700551
     /* 1700551 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1700637), // Rule ID 7436 //
     /* 1700556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1700573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700602 */     // MIs[0] policy
     /* 1700602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700612 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1700615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700636 */     // GIR_Coverage, 7436,
     /* 1700636 */     GIR_EraseRootFromParent_Done,
     /* 1700637 */   // Label 23269: @1700637
     /* 1700637 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1700723), // Rule ID 7437 //
     /* 1700642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1700659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700688 */     // MIs[0] policy
     /* 1700688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700698 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1700701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700722 */     // GIR_Coverage, 7437,
     /* 1700722 */     GIR_EraseRootFromParent_Done,
     /* 1700723 */   // Label 23270: @1700723
     /* 1700723 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1700809), // Rule ID 7440 //
     /* 1700728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700774 */     // MIs[0] policy
     /* 1700774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1700787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700808 */     // GIR_Coverage, 7440,
     /* 1700808 */     GIR_EraseRootFromParent_Done,
     /* 1700809 */   // Label 23271: @1700809
     /* 1700809 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1700895), // Rule ID 7441 //
     /* 1700814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700860 */     // MIs[0] policy
     /* 1700860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1700873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700894 */     // GIR_Coverage, 7441,
     /* 1700894 */     GIR_EraseRootFromParent_Done,
     /* 1700895 */   // Label 23272: @1700895
     /* 1700895 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1700981), // Rule ID 7444 //
     /* 1700900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1700917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700946 */     // MIs[0] policy
     /* 1700946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1700959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700980 */     // GIR_Coverage, 7444,
     /* 1700980 */     GIR_EraseRootFromParent_Done,
     /* 1700981 */   // Label 23273: @1700981
     /* 1700981 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1701067), // Rule ID 7445 //
     /* 1700986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1700994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1701003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701032 */     // MIs[0] policy
     /* 1701032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1701045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701066 */     // GIR_Coverage, 7445,
     /* 1701066 */     GIR_EraseRootFromParent_Done,
     /* 1701067 */   // Label 23274: @1701067
     /* 1701067 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1701153), // Rule ID 7448 //
     /* 1701072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701118 */     // MIs[0] policy
     /* 1701118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1701131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701152 */     // GIR_Coverage, 7448,
     /* 1701152 */     GIR_EraseRootFromParent_Done,
     /* 1701153 */   // Label 23275: @1701153
     /* 1701153 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1701239), // Rule ID 7449 //
     /* 1701158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1701175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701204 */     // MIs[0] policy
     /* 1701204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1701217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701238 */     // GIR_Coverage, 7449,
     /* 1701238 */     GIR_EraseRootFromParent_Done,
     /* 1701239 */   // Label 23276: @1701239
     /* 1701239 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1701325), // Rule ID 7452 //
     /* 1701244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1701247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701290 */     // MIs[0] policy
     /* 1701290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701300 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1701303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701324 */     // GIR_Coverage, 7452,
     /* 1701324 */     GIR_EraseRootFromParent_Done,
     /* 1701325 */   // Label 23277: @1701325
     /* 1701325 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1701411), // Rule ID 7453 //
     /* 1701330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1701333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1701338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1701347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701376 */     // MIs[0] policy
     /* 1701376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1701389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701410 */     // GIR_Coverage, 7453,
     /* 1701410 */     GIR_EraseRootFromParent_Done,
     /* 1701411 */   // Label 23278: @1701411
     /* 1701411 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1701497), // Rule ID 7516 //
     /* 1701416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1701427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1701430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1701436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701462 */     // MIs[0] policy
     /* 1701462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1701475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701496 */     // GIR_Coverage, 7516,
     /* 1701496 */     GIR_EraseRootFromParent_Done,
     /* 1701497 */   // Label 23279: @1701497
     /* 1701497 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1701583), // Rule ID 7517 //
     /* 1701502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1701513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1701516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1701522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701548 */     // MIs[0] policy
     /* 1701548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701558 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1701561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701582 */     // GIR_Coverage, 7517,
     /* 1701582 */     GIR_EraseRootFromParent_Done,
     /* 1701583 */   // Label 23280: @1701583
     /* 1701583 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1701669), // Rule ID 7520 //
     /* 1701588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1701599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1701602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1701608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701634 */     // MIs[0] policy
     /* 1701634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1701647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701668 */     // GIR_Coverage, 7520,
     /* 1701668 */     GIR_EraseRootFromParent_Done,
     /* 1701669 */   // Label 23281: @1701669
     /* 1701669 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1701755), // Rule ID 7521 //
     /* 1701674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1701685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1701688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1701694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701720 */     // MIs[0] policy
     /* 1701720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1701733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701754 */     // GIR_Coverage, 7521,
     /* 1701754 */     GIR_EraseRootFromParent_Done,
     /* 1701755 */   // Label 23282: @1701755
     /* 1701755 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1701841), // Rule ID 7524 //
     /* 1701760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1701780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701806 */     // MIs[0] policy
     /* 1701806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701816 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1701819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701840 */     // GIR_Coverage, 7524,
     /* 1701840 */     GIR_EraseRootFromParent_Done,
     /* 1701841 */   // Label 23283: @1701841
     /* 1701841 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1701927), // Rule ID 7525 //
     /* 1701846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1701866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701892 */     // MIs[0] policy
     /* 1701892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1701905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701926 */     // GIR_Coverage, 7525,
     /* 1701926 */     GIR_EraseRootFromParent_Done,
     /* 1701927 */   // Label 23284: @1701927
     /* 1701927 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1702013), // Rule ID 7528 //
     /* 1701932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1701940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1701952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701978 */     // MIs[0] policy
     /* 1701978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1701991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702012 */     // GIR_Coverage, 7528,
     /* 1702012 */     GIR_EraseRootFromParent_Done,
     /* 1702013 */   // Label 23285: @1702013
     /* 1702013 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1702099), // Rule ID 7529 //
     /* 1702018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1702029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1702032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1702035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1702038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702064 */     // MIs[0] policy
     /* 1702064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1702077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702098 */     // GIR_Coverage, 7529,
     /* 1702098 */     GIR_EraseRootFromParent_Done,
     /* 1702099 */   // Label 23286: @1702099
     /* 1702099 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1702185), // Rule ID 7532 //
     /* 1702104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1702124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702150 */     // MIs[0] policy
     /* 1702150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702160 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1702163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702184 */     // GIR_Coverage, 7532,
     /* 1702184 */     GIR_EraseRootFromParent_Done,
     /* 1702185 */   // Label 23287: @1702185
     /* 1702185 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1702271), // Rule ID 7533 //
     /* 1702190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1702210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702236 */     // MIs[0] policy
     /* 1702236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702246 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1702249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702270 */     // GIR_Coverage, 7533,
     /* 1702270 */     GIR_EraseRootFromParent_Done,
     /* 1702271 */   // Label 23288: @1702271
     /* 1702271 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1702357), // Rule ID 7536 //
     /* 1702276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1702293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1702296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702322 */     // MIs[0] policy
     /* 1702322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702332 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1702335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702356 */     // GIR_Coverage, 7536,
     /* 1702356 */     GIR_EraseRootFromParent_Done,
     /* 1702357 */   // Label 23289: @1702357
     /* 1702357 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1702443), // Rule ID 7537 //
     /* 1702362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1702379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1702382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702408 */     // MIs[0] policy
     /* 1702408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702418 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1702421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702442 */     // GIR_Coverage, 7537,
     /* 1702442 */     GIR_EraseRootFromParent_Done,
     /* 1702443 */   // Label 23290: @1702443
     /* 1702443 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1702529), // Rule ID 7540 //
     /* 1702448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702494 */     // MIs[0] policy
     /* 1702494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1702507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702528 */     // GIR_Coverage, 7540,
     /* 1702528 */     GIR_EraseRootFromParent_Done,
     /* 1702529 */   // Label 23291: @1702529
     /* 1702529 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1702615), // Rule ID 7541 //
     /* 1702534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1702554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702580 */     // MIs[0] policy
     /* 1702580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702590 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1702593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702614 */     // GIR_Coverage, 7541,
     /* 1702614 */     GIR_EraseRootFromParent_Done,
     /* 1702615 */   // Label 23292: @1702615
     /* 1702615 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1702701), // Rule ID 7544 //
     /* 1702620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1702640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702666 */     // MIs[0] policy
     /* 1702666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702676 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1702679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702700 */     // GIR_Coverage, 7544,
     /* 1702700 */     GIR_EraseRootFromParent_Done,
     /* 1702701 */   // Label 23293: @1702701
     /* 1702701 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1702787), // Rule ID 7545 //
     /* 1702706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1702717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1702720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1702726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702752 */     // MIs[0] policy
     /* 1702752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702762 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1702765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702786 */     // GIR_Coverage, 7545,
     /* 1702786 */     GIR_EraseRootFromParent_Done,
     /* 1702787 */   // Label 23294: @1702787
     /* 1702787 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1702873), // Rule ID 7548 //
     /* 1702792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1702812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702838 */     // MIs[0] policy
     /* 1702838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1702851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702872 */     // GIR_Coverage, 7548,
     /* 1702872 */     GIR_EraseRootFromParent_Done,
     /* 1702873 */   // Label 23295: @1702873
     /* 1702873 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1702959), // Rule ID 7549 //
     /* 1702878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1702898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702924 */     // MIs[0] policy
     /* 1702924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1702937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702958 */     // GIR_Coverage, 7549,
     /* 1702958 */     GIR_EraseRootFromParent_Done,
     /* 1702959 */   // Label 23296: @1702959
     /* 1702959 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1703045), // Rule ID 7552 //
     /* 1702964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1702972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1702984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703010 */     // MIs[0] policy
     /* 1703010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1703023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703044 */     // GIR_Coverage, 7552,
     /* 1703044 */     GIR_EraseRootFromParent_Done,
     /* 1703045 */   // Label 23297: @1703045
     /* 1703045 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1703131), // Rule ID 7553 //
     /* 1703050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1703061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1703064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1703067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1703070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703096 */     // MIs[0] policy
     /* 1703096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1703109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703130 */     // GIR_Coverage, 7553,
     /* 1703130 */     GIR_EraseRootFromParent_Done,
     /* 1703131 */   // Label 23298: @1703131
     /* 1703131 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1703217), // Rule ID 7556 //
     /* 1703136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1703156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703182 */     // MIs[0] policy
     /* 1703182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1703195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703216 */     // GIR_Coverage, 7556,
     /* 1703216 */     GIR_EraseRootFromParent_Done,
     /* 1703217 */   // Label 23299: @1703217
     /* 1703217 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1703303), // Rule ID 7557 //
     /* 1703222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1703242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703268 */     // MIs[0] policy
     /* 1703268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1703281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703302 */     // GIR_Coverage, 7557,
     /* 1703302 */     GIR_EraseRootFromParent_Done,
     /* 1703303 */   // Label 23300: @1703303
     /* 1703303 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1703389), // Rule ID 7560 //
     /* 1703308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1703328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703354 */     // MIs[0] policy
     /* 1703354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1703367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703388 */     // GIR_Coverage, 7560,
     /* 1703388 */     GIR_EraseRootFromParent_Done,
     /* 1703389 */   // Label 23301: @1703389
     /* 1703389 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1703475), // Rule ID 7561 //
     /* 1703394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1703411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1703414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703440 */     // MIs[0] policy
     /* 1703440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1703453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703474 */     // GIR_Coverage, 7561,
     /* 1703474 */     GIR_EraseRootFromParent_Done,
     /* 1703475 */   // Label 23302: @1703475
     /* 1703475 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1703561), // Rule ID 7564 //
     /* 1703480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703526 */     // MIs[0] policy
     /* 1703526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1703539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703560 */     // GIR_Coverage, 7564,
     /* 1703560 */     GIR_EraseRootFromParent_Done,
     /* 1703561 */   // Label 23303: @1703561
     /* 1703561 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1703647), // Rule ID 7565 //
     /* 1703566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1703577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1703580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1703586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703612 */     // MIs[0] policy
     /* 1703612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1703625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703646 */     // GIR_Coverage, 7565,
     /* 1703646 */     GIR_EraseRootFromParent_Done,
     /* 1703647 */   // Label 23304: @1703647
     /* 1703647 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1703733), // Rule ID 7568 //
     /* 1703652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1703672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703698 */     // MIs[0] policy
     /* 1703698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1703711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703732 */     // GIR_Coverage, 7568,
     /* 1703732 */     GIR_EraseRootFromParent_Done,
     /* 1703733 */   // Label 23305: @1703733
     /* 1703733 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1703819), // Rule ID 7569 //
     /* 1703738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1703758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703784 */     // MIs[0] policy
     /* 1703784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1703797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703818 */     // GIR_Coverage, 7569,
     /* 1703818 */     GIR_EraseRootFromParent_Done,
     /* 1703819 */   // Label 23306: @1703819
     /* 1703819 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1703905), // Rule ID 7572 //
     /* 1703824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1703827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1703844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703870 */     // MIs[0] policy
     /* 1703870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1703883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703904 */     // GIR_Coverage, 7572,
     /* 1703904 */     GIR_EraseRootFromParent_Done,
     /* 1703905 */   // Label 23307: @1703905
     /* 1703905 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1703991), // Rule ID 7573 //
     /* 1703910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1703913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1703918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1703930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703956 */     // MIs[0] policy
     /* 1703956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1703969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703990 */     // GIR_Coverage, 7573,
     /* 1703990 */     GIR_EraseRootFromParent_Done,
     /* 1703991 */   // Label 23308: @1703991
     /* 1703991 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1704077), // Rule ID 7576 //
     /* 1703996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704042 */     // MIs[0] policy
     /* 1704042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1704055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704076 */     // GIR_Coverage, 7576,
     /* 1704076 */     GIR_EraseRootFromParent_Done,
     /* 1704077 */   // Label 23309: @1704077
     /* 1704077 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1704163), // Rule ID 7577 //
     /* 1704082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704128 */     // MIs[0] policy
     /* 1704128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704138 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1704141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704162 */     // GIR_Coverage, 7577,
     /* 1704162 */     GIR_EraseRootFromParent_Done,
     /* 1704163 */   // Label 23310: @1704163
     /* 1704163 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1704249), // Rule ID 7580 //
     /* 1704168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704214 */     // MIs[0] policy
     /* 1704214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1704227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704248 */     // GIR_Coverage, 7580,
     /* 1704248 */     GIR_EraseRootFromParent_Done,
     /* 1704249 */   // Label 23311: @1704249
     /* 1704249 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1704335), // Rule ID 7581 //
     /* 1704254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704300 */     // MIs[0] policy
     /* 1704300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1704313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704334 */     // GIR_Coverage, 7581,
     /* 1704334 */     GIR_EraseRootFromParent_Done,
     /* 1704335 */   // Label 23312: @1704335
     /* 1704335 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1704421), // Rule ID 7584 //
     /* 1704340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704386 */     // MIs[0] policy
     /* 1704386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1704399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704420 */     // GIR_Coverage, 7584,
     /* 1704420 */     GIR_EraseRootFromParent_Done,
     /* 1704421 */   // Label 23313: @1704421
     /* 1704421 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1704507), // Rule ID 7585 //
     /* 1704426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704472 */     // MIs[0] policy
     /* 1704472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704482 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1704485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704506 */     // GIR_Coverage, 7585,
     /* 1704506 */     GIR_EraseRootFromParent_Done,
     /* 1704507 */   // Label 23314: @1704507
     /* 1704507 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1704593), // Rule ID 7588 //
     /* 1704512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704558 */     // MIs[0] policy
     /* 1704558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704568 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1704571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704592 */     // GIR_Coverage, 7588,
     /* 1704592 */     GIR_EraseRootFromParent_Done,
     /* 1704593 */   // Label 23315: @1704593
     /* 1704593 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1704679), // Rule ID 7589 //
     /* 1704598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704644 */     // MIs[0] policy
     /* 1704644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704654 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1704657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704678 */     // GIR_Coverage, 7589,
     /* 1704678 */     GIR_EraseRootFromParent_Done,
     /* 1704679 */   // Label 23316: @1704679
     /* 1704679 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1704765), // Rule ID 7592 //
     /* 1704684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704730 */     // MIs[0] policy
     /* 1704730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1704743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704764 */     // GIR_Coverage, 7592,
     /* 1704764 */     GIR_EraseRootFromParent_Done,
     /* 1704765 */   // Label 23317: @1704765
     /* 1704765 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1704851), // Rule ID 7593 //
     /* 1704770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1704781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1704784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704816 */     // MIs[0] policy
     /* 1704816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1704829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704850 */     // GIR_Coverage, 7593,
     /* 1704850 */     GIR_EraseRootFromParent_Done,
     /* 1704851 */   // Label 23318: @1704851
     /* 1704851 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1704937), // Rule ID 7596 //
     /* 1704856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704902 */     // MIs[0] policy
     /* 1704902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1704915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704936 */     // GIR_Coverage, 7596,
     /* 1704936 */     GIR_EraseRootFromParent_Done,
     /* 1704937 */   // Label 23319: @1704937
     /* 1704937 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1705023), // Rule ID 7597 //
     /* 1704942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1704950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1704953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1704956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1704959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1704965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704988 */     // MIs[0] policy
     /* 1704988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704998 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1705001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705022 */     // GIR_Coverage, 7597,
     /* 1705022 */     GIR_EraseRootFromParent_Done,
     /* 1705023 */   // Label 23320: @1705023
     /* 1705023 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1705109), // Rule ID 7600 //
     /* 1705028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705074 */     // MIs[0] policy
     /* 1705074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1705087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705108 */     // GIR_Coverage, 7600,
     /* 1705108 */     GIR_EraseRootFromParent_Done,
     /* 1705109 */   // Label 23321: @1705109
     /* 1705109 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1705195), // Rule ID 7601 //
     /* 1705114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705160 */     // MIs[0] policy
     /* 1705160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705170 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1705173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705194 */     // GIR_Coverage, 7601,
     /* 1705194 */     GIR_EraseRootFromParent_Done,
     /* 1705195 */   // Label 23322: @1705195
     /* 1705195 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1705281), // Rule ID 7604 //
     /* 1705200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705246 */     // MIs[0] policy
     /* 1705246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1705259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705280 */     // GIR_Coverage, 7604,
     /* 1705280 */     GIR_EraseRootFromParent_Done,
     /* 1705281 */   // Label 23323: @1705281
     /* 1705281 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1705367), // Rule ID 7605 //
     /* 1705286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705332 */     // MIs[0] policy
     /* 1705332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1705345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705366 */     // GIR_Coverage, 7605,
     /* 1705366 */     GIR_EraseRootFromParent_Done,
     /* 1705367 */   // Label 23324: @1705367
     /* 1705367 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1705453), // Rule ID 7608 //
     /* 1705372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705418 */     // MIs[0] policy
     /* 1705418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1705431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705452 */     // GIR_Coverage, 7608,
     /* 1705452 */     GIR_EraseRootFromParent_Done,
     /* 1705453 */   // Label 23325: @1705453
     /* 1705453 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1705539), // Rule ID 7609 //
     /* 1705458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705504 */     // MIs[0] policy
     /* 1705504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1705517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705538 */     // GIR_Coverage, 7609,
     /* 1705538 */     GIR_EraseRootFromParent_Done,
     /* 1705539 */   // Label 23326: @1705539
     /* 1705539 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1705625), // Rule ID 7612 //
     /* 1705544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705590 */     // MIs[0] policy
     /* 1705590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705600 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1705603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705624 */     // GIR_Coverage, 7612,
     /* 1705624 */     GIR_EraseRootFromParent_Done,
     /* 1705625 */   // Label 23327: @1705625
     /* 1705625 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1705711), // Rule ID 7613 //
     /* 1705630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705676 */     // MIs[0] policy
     /* 1705676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1705689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705710 */     // GIR_Coverage, 7613,
     /* 1705710 */     GIR_EraseRootFromParent_Done,
     /* 1705711 */   // Label 23328: @1705711
     /* 1705711 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1705797), // Rule ID 7616 //
     /* 1705716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1705727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1705730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705762 */     // MIs[0] policy
     /* 1705762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1705775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705796 */     // GIR_Coverage, 7616,
     /* 1705796 */     GIR_EraseRootFromParent_Done,
     /* 1705797 */   // Label 23329: @1705797
     /* 1705797 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1705883), // Rule ID 7617 //
     /* 1705802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1705813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1705816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1705819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705848 */     // MIs[0] policy
     /* 1705848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1705861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705882 */     // GIR_Coverage, 7617,
     /* 1705882 */     GIR_EraseRootFromParent_Done,
     /* 1705883 */   // Label 23330: @1705883
     /* 1705883 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1705969), // Rule ID 7620 //
     /* 1705888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705934 */     // MIs[0] policy
     /* 1705934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1705947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705968 */     // GIR_Coverage, 7620,
     /* 1705968 */     GIR_EraseRootFromParent_Done,
     /* 1705969 */   // Label 23331: @1705969
     /* 1705969 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1706055), // Rule ID 7621 //
     /* 1705974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1705982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706020 */     // MIs[0] policy
     /* 1706020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1706033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706054 */     // GIR_Coverage, 7621,
     /* 1706054 */     GIR_EraseRootFromParent_Done,
     /* 1706055 */   // Label 23332: @1706055
     /* 1706055 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1706141), // Rule ID 7624 //
     /* 1706060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1706063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1706071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1706074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1706077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706106 */     // MIs[0] policy
     /* 1706106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1706119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706140 */     // GIR_Coverage, 7624,
     /* 1706140 */     GIR_EraseRootFromParent_Done,
     /* 1706141 */   // Label 23333: @1706141
     /* 1706141 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1706227), // Rule ID 7625 //
     /* 1706146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1706157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1706160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1706163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706192 */     // MIs[0] policy
     /* 1706192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1706205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706226 */     // GIR_Coverage, 7625,
     /* 1706226 */     GIR_EraseRootFromParent_Done,
     /* 1706227 */   // Label 23334: @1706227
     /* 1706227 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1706313), // Rule ID 7628 //
     /* 1706232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1706235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1706249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706278 */     // MIs[0] policy
     /* 1706278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1706291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706312 */     // GIR_Coverage, 7628,
     /* 1706312 */     GIR_EraseRootFromParent_Done,
     /* 1706313 */   // Label 23335: @1706313
     /* 1706313 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1706399), // Rule ID 7629 //
     /* 1706318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1706335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706364 */     // MIs[0] policy
     /* 1706364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1706377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706398 */     // GIR_Coverage, 7629,
     /* 1706398 */     GIR_EraseRootFromParent_Done,
     /* 1706399 */   // Label 23336: @1706399
     /* 1706399 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1706485), // Rule ID 7632 //
     /* 1706404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1706407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706450 */     // MIs[0] policy
     /* 1706450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706460 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1706463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706484 */     // GIR_Coverage, 7632,
     /* 1706484 */     GIR_EraseRootFromParent_Done,
     /* 1706485 */   // Label 23337: @1706485
     /* 1706485 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1706571), // Rule ID 7633 //
     /* 1706490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1706498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1706507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706536 */     // MIs[0] policy
     /* 1706536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1706549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706570 */     // GIR_Coverage, 7633,
     /* 1706570 */     GIR_EraseRootFromParent_Done,
     /* 1706571 */   // Label 23338: @1706571
     /* 1706571 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1706657), // Rule ID 10148 //
     /* 1706576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1706593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1706596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706622 */     // MIs[0] policy
     /* 1706622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1706635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706656 */     // GIR_Coverage, 10148,
     /* 1706656 */     GIR_EraseRootFromParent_Done,
     /* 1706657 */   // Label 23339: @1706657
     /* 1706657 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1706743), // Rule ID 10149 //
     /* 1706662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1706673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1706676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1706679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1706682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706708 */     // MIs[0] policy
     /* 1706708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1706721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706742 */     // GIR_Coverage, 10149,
     /* 1706742 */     GIR_EraseRootFromParent_Done,
     /* 1706743 */   // Label 23340: @1706743
     /* 1706743 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1706829), // Rule ID 10152 //
     /* 1706748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1706768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706794 */     // MIs[0] policy
     /* 1706794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706804 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1706807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706828 */     // GIR_Coverage, 10152,
     /* 1706828 */     GIR_EraseRootFromParent_Done,
     /* 1706829 */   // Label 23341: @1706829
     /* 1706829 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1706915), // Rule ID 10153 //
     /* 1706834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1706845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1706848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1706851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1706854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706880 */     // MIs[0] policy
     /* 1706880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1706893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706914 */     // GIR_Coverage, 10153,
     /* 1706914 */     GIR_EraseRootFromParent_Done,
     /* 1706915 */   // Label 23342: @1706915
     /* 1706915 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1707001), // Rule ID 10156 //
     /* 1706920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1706937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1706940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706966 */     // MIs[0] policy
     /* 1706966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706976 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1706979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707000 */     // GIR_Coverage, 10156,
     /* 1707000 */     GIR_EraseRootFromParent_Done,
     /* 1707001 */   // Label 23343: @1707001
     /* 1707001 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1707087), // Rule ID 10157 //
     /* 1707006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1707017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1707020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1707023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1707026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707052 */     // MIs[0] policy
     /* 1707052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1707065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707086 */     // GIR_Coverage, 10157,
     /* 1707086 */     GIR_EraseRootFromParent_Done,
     /* 1707087 */   // Label 23344: @1707087
     /* 1707087 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1707173), // Rule ID 10160 //
     /* 1707092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1707103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1707106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1707109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1707112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707138 */     // MIs[0] policy
     /* 1707138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1707151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707172 */     // GIR_Coverage, 10160,
     /* 1707172 */     GIR_EraseRootFromParent_Done,
     /* 1707173 */   // Label 23345: @1707173
     /* 1707173 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1707259), // Rule ID 10161 //
     /* 1707178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1707189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1707192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1707195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1707198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707224 */     // MIs[0] policy
     /* 1707224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1707237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707258 */     // GIR_Coverage, 10161,
     /* 1707258 */     GIR_EraseRootFromParent_Done,
     /* 1707259 */   // Label 23346: @1707259
     /* 1707259 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1707345), // Rule ID 10164 //
     /* 1707264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1707275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1707278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1707281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1707284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707310 */     // MIs[0] policy
     /* 1707310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1707323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707344 */     // GIR_Coverage, 10164,
     /* 1707344 */     GIR_EraseRootFromParent_Done,
     /* 1707345 */   // Label 23347: @1707345
     /* 1707345 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1707431), // Rule ID 10165 //
     /* 1707350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1707361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1707364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1707367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1707370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707396 */     // MIs[0] policy
     /* 1707396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1707409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707430 */     // GIR_Coverage, 10165,
     /* 1707430 */     GIR_EraseRootFromParent_Done,
     /* 1707431 */   // Label 23348: @1707431
     /* 1707431 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1707517), // Rule ID 10168 //
     /* 1707436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1707456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707482 */     // MIs[0] policy
     /* 1707482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1707495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707516 */     // GIR_Coverage, 10168,
     /* 1707516 */     GIR_EraseRootFromParent_Done,
     /* 1707517 */   // Label 23349: @1707517
     /* 1707517 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1707603), // Rule ID 10169 //
     /* 1707522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1707542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707568 */     // MIs[0] policy
     /* 1707568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1707581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707602 */     // GIR_Coverage, 10169,
     /* 1707602 */     GIR_EraseRootFromParent_Done,
     /* 1707603 */   // Label 23350: @1707603
     /* 1707603 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1707689), // Rule ID 10172 //
     /* 1707608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1707625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1707628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707654 */     // MIs[0] policy
     /* 1707654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1707667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707688 */     // GIR_Coverage, 10172,
     /* 1707688 */     GIR_EraseRootFromParent_Done,
     /* 1707689 */   // Label 23351: @1707689
     /* 1707689 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1707775), // Rule ID 10173 //
     /* 1707694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1707705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1707708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1707711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1707714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707740 */     // MIs[0] policy
     /* 1707740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1707753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707774 */     // GIR_Coverage, 10173,
     /* 1707774 */     GIR_EraseRootFromParent_Done,
     /* 1707775 */   // Label 23352: @1707775
     /* 1707775 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1707861), // Rule ID 10176 //
     /* 1707780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1707800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707826 */     // MIs[0] policy
     /* 1707826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1707839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707860 */     // GIR_Coverage, 10176,
     /* 1707860 */     GIR_EraseRootFromParent_Done,
     /* 1707861 */   // Label 23353: @1707861
     /* 1707861 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1707947), // Rule ID 10177 //
     /* 1707866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1707883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1707886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707912 */     // MIs[0] policy
     /* 1707912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1707925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707946 */     // GIR_Coverage, 10177,
     /* 1707946 */     GIR_EraseRootFromParent_Done,
     /* 1707947 */   // Label 23354: @1707947
     /* 1707947 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1708033), // Rule ID 10180 //
     /* 1707952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1707972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707998 */     // MIs[0] policy
     /* 1707998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1708011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708032 */     // GIR_Coverage, 10180,
     /* 1708032 */     GIR_EraseRootFromParent_Done,
     /* 1708033 */   // Label 23355: @1708033
     /* 1708033 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1708119), // Rule ID 10181 //
     /* 1708038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1708049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1708052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1708055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1708058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708084 */     // MIs[0] policy
     /* 1708084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1708097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708118 */     // GIR_Coverage, 10181,
     /* 1708118 */     GIR_EraseRootFromParent_Done,
     /* 1708119 */   // Label 23356: @1708119
     /* 1708119 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1708205), // Rule ID 10184 //
     /* 1708124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1708127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1708135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1708138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1708141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1708144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708170 */     // MIs[0] policy
     /* 1708170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1708183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1708201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708204 */     // GIR_Coverage, 10184,
     /* 1708204 */     GIR_EraseRootFromParent_Done,
     /* 1708205 */   // Label 23357: @1708205
     /* 1708205 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1708291), // Rule ID 10185 //
     /* 1708210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1708213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1708221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1708224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1708227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1708230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708256 */     // MIs[0] policy
     /* 1708256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1708269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1708287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708290 */     // GIR_Coverage, 10185,
     /* 1708290 */     GIR_EraseRootFromParent_Done,
     /* 1708291 */   // Label 23358: @1708291
     /* 1708291 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1708377), // Rule ID 10188 //
     /* 1708296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1708313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1708316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708342 */     // MIs[0] policy
     /* 1708342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1708355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708376 */     // GIR_Coverage, 10188,
     /* 1708376 */     GIR_EraseRootFromParent_Done,
     /* 1708377 */   // Label 23359: @1708377
     /* 1708377 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1708463), // Rule ID 10189 //
     /* 1708382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1708399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1708402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708428 */     // MIs[0] policy
     /* 1708428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1708441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708462 */     // GIR_Coverage, 10189,
     /* 1708462 */     GIR_EraseRootFromParent_Done,
     /* 1708463 */   // Label 23360: @1708463
     /* 1708463 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1708549), // Rule ID 10192 //
     /* 1708468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1708488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708514 */     // MIs[0] policy
     /* 1708514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708524 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1708527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708548 */     // GIR_Coverage, 10192,
     /* 1708548 */     GIR_EraseRootFromParent_Done,
     /* 1708549 */   // Label 23361: @1708549
     /* 1708549 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1708635), // Rule ID 10193 //
     /* 1708554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1708574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708600 */     // MIs[0] policy
     /* 1708600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708610 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1708613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708634 */     // GIR_Coverage, 10193,
     /* 1708634 */     GIR_EraseRootFromParent_Done,
     /* 1708635 */   // Label 23362: @1708635
     /* 1708635 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1708721), // Rule ID 10196 //
     /* 1708640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1708651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1708654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1708657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1708660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1708663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708686 */     // MIs[0] policy
     /* 1708686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1708699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708720 */     // GIR_Coverage, 10196,
     /* 1708720 */     GIR_EraseRootFromParent_Done,
     /* 1708721 */   // Label 23363: @1708721
     /* 1708721 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1708807), // Rule ID 10197 //
     /* 1708726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1708737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1708740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1708743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1708746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1708749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708772 */     // MIs[0] policy
     /* 1708772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708782 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1708785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708806 */     // GIR_Coverage, 10197,
     /* 1708806 */     GIR_EraseRootFromParent_Done,
     /* 1708807 */   // Label 23364: @1708807
     /* 1708807 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1708893), // Rule ID 10200 //
     /* 1708812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1708832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708858 */     // MIs[0] policy
     /* 1708858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1708871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708892 */     // GIR_Coverage, 10200,
     /* 1708892 */     GIR_EraseRootFromParent_Done,
     /* 1708893 */   // Label 23365: @1708893
     /* 1708893 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1708979), // Rule ID 10201 //
     /* 1708898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1708918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708944 */     // MIs[0] policy
     /* 1708944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1708957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708978 */     // GIR_Coverage, 10201,
     /* 1708978 */     GIR_EraseRootFromParent_Done,
     /* 1708979 */   // Label 23366: @1708979
     /* 1708979 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1709065), // Rule ID 10204 //
     /* 1708984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1709001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1709004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709030 */     // MIs[0] policy
     /* 1709030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1709043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709064 */     // GIR_Coverage, 10204,
     /* 1709064 */     GIR_EraseRootFromParent_Done,
     /* 1709065 */   // Label 23367: @1709065
     /* 1709065 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1709151), // Rule ID 10205 //
     /* 1709070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1709081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1709084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1709087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1709090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709116 */     // MIs[0] policy
     /* 1709116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1709129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709150 */     // GIR_Coverage, 10205,
     /* 1709150 */     GIR_EraseRootFromParent_Done,
     /* 1709151 */   // Label 23368: @1709151
     /* 1709151 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1709237), // Rule ID 10208 //
     /* 1709156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1709167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1709170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1709173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1709176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1709179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709202 */     // MIs[0] policy
     /* 1709202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709212 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1709215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709236 */     // GIR_Coverage, 10208,
     /* 1709236 */     GIR_EraseRootFromParent_Done,
     /* 1709237 */   // Label 23369: @1709237
     /* 1709237 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1709323), // Rule ID 10209 //
     /* 1709242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1709253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1709256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1709259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1709262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1709265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709288 */     // MIs[0] policy
     /* 1709288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1709301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709322 */     // GIR_Coverage, 10209,
     /* 1709322 */     GIR_EraseRootFromParent_Done,
     /* 1709323 */   // Label 23370: @1709323
     /* 1709323 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1709409), // Rule ID 10212 //
     /* 1709328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1709339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1709342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1709348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709374 */     // MIs[0] policy
     /* 1709374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1709387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709408 */     // GIR_Coverage, 10212,
     /* 1709408 */     GIR_EraseRootFromParent_Done,
     /* 1709409 */   // Label 23371: @1709409
     /* 1709409 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1709495), // Rule ID 10213 //
     /* 1709414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1709425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1709428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1709434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709460 */     // MIs[0] policy
     /* 1709460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1709473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709494 */     // GIR_Coverage, 10213,
     /* 1709494 */     GIR_EraseRootFromParent_Done,
     /* 1709495 */   // Label 23372: @1709495
     /* 1709495 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1709581), // Rule ID 10216 //
     /* 1709500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1709520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709546 */     // MIs[0] policy
     /* 1709546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1709559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709580 */     // GIR_Coverage, 10216,
     /* 1709580 */     GIR_EraseRootFromParent_Done,
     /* 1709581 */   // Label 23373: @1709581
     /* 1709581 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1709667), // Rule ID 10217 //
     /* 1709586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1709606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709632 */     // MIs[0] policy
     /* 1709632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1709645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709666 */     // GIR_Coverage, 10217,
     /* 1709666 */     GIR_EraseRootFromParent_Done,
     /* 1709667 */   // Label 23374: @1709667
     /* 1709667 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1709753), // Rule ID 10220 //
     /* 1709672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1709692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709718 */     // MIs[0] policy
     /* 1709718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1709731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709752 */     // GIR_Coverage, 10220,
     /* 1709752 */     GIR_EraseRootFromParent_Done,
     /* 1709753 */   // Label 23375: @1709753
     /* 1709753 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1709839), // Rule ID 10221 //
     /* 1709758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1709778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709804 */     // MIs[0] policy
     /* 1709804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1709817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709838 */     // GIR_Coverage, 10221,
     /* 1709838 */     GIR_EraseRootFromParent_Done,
     /* 1709839 */   // Label 23376: @1709839
     /* 1709839 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1709925), // Rule ID 10224 //
     /* 1709844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1709864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709890 */     // MIs[0] policy
     /* 1709890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1709903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709924 */     // GIR_Coverage, 10224,
     /* 1709924 */     GIR_EraseRootFromParent_Done,
     /* 1709925 */   // Label 23377: @1709925
     /* 1709925 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1710011), // Rule ID 10225 //
     /* 1709930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1709938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1709941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1709944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1709947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1709950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709976 */     // MIs[0] policy
     /* 1709976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1709989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710010 */     // GIR_Coverage, 10225,
     /* 1710010 */     GIR_EraseRootFromParent_Done,
     /* 1710011 */   // Label 23378: @1710011
     /* 1710011 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1710097), // Rule ID 10228 //
     /* 1710016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1710019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1710027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1710030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1710036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710062 */     // MIs[0] policy
     /* 1710062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1710075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710096 */     // GIR_Coverage, 10228,
     /* 1710096 */     GIR_EraseRootFromParent_Done,
     /* 1710097 */   // Label 23379: @1710097
     /* 1710097 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1710183), // Rule ID 10229 //
     /* 1710102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1710105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1710113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1710116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1710122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710148 */     // MIs[0] policy
     /* 1710148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1710161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710182 */     // GIR_Coverage, 10229,
     /* 1710182 */     GIR_EraseRootFromParent_Done,
     /* 1710183 */   // Label 23380: @1710183
     /* 1710183 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1710269), // Rule ID 10232 //
     /* 1710188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1710191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1710199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1710202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1710205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1710208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710234 */     // MIs[0] policy
     /* 1710234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1710247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710268 */     // GIR_Coverage, 10232,
     /* 1710268 */     GIR_EraseRootFromParent_Done,
     /* 1710269 */   // Label 23381: @1710269
     /* 1710269 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1710355), // Rule ID 10233 //
     /* 1710274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1710277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1710285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1710288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1710291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1710294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710320 */     // MIs[0] policy
     /* 1710320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1710333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710354 */     // GIR_Coverage, 10233,
     /* 1710354 */     GIR_EraseRootFromParent_Done,
     /* 1710355 */   // Label 23382: @1710355
     /* 1710355 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1710441), // Rule ID 10236 //
     /* 1710360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1710377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710406 */     // MIs[0] policy
     /* 1710406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1710419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710440 */     // GIR_Coverage, 10236,
     /* 1710440 */     GIR_EraseRootFromParent_Done,
     /* 1710441 */   // Label 23383: @1710441
     /* 1710441 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1710527), // Rule ID 10237 //
     /* 1710446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1710463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710492 */     // MIs[0] policy
     /* 1710492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1710505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710526 */     // GIR_Coverage, 10237,
     /* 1710526 */     GIR_EraseRootFromParent_Done,
     /* 1710527 */   // Label 23384: @1710527
     /* 1710527 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1710613), // Rule ID 10240 //
     /* 1710532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710578 */     // MIs[0] policy
     /* 1710578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710588 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1710591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710612 */     // GIR_Coverage, 10240,
     /* 1710612 */     GIR_EraseRootFromParent_Done,
     /* 1710613 */   // Label 23385: @1710613
     /* 1710613 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1710699), // Rule ID 10241 //
     /* 1710618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710664 */     // MIs[0] policy
     /* 1710664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1710677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710698 */     // GIR_Coverage, 10241,
     /* 1710698 */     GIR_EraseRootFromParent_Done,
     /* 1710699 */   // Label 23386: @1710699
     /* 1710699 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1710785), // Rule ID 10244 //
     /* 1710704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710750 */     // MIs[0] policy
     /* 1710750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710760 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1710763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710784 */     // GIR_Coverage, 10244,
     /* 1710784 */     GIR_EraseRootFromParent_Done,
     /* 1710785 */   // Label 23387: @1710785
     /* 1710785 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1710871), // Rule ID 10245 //
     /* 1710790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710836 */     // MIs[0] policy
     /* 1710836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1710849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710870 */     // GIR_Coverage, 10245,
     /* 1710870 */     GIR_EraseRootFromParent_Done,
     /* 1710871 */   // Label 23388: @1710871
     /* 1710871 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1710957), // Rule ID 10248 //
     /* 1710876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710922 */     // MIs[0] policy
     /* 1710922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1710935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710956 */     // GIR_Coverage, 10248,
     /* 1710956 */     GIR_EraseRootFromParent_Done,
     /* 1710957 */   // Label 23389: @1710957
     /* 1710957 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1711043), // Rule ID 10249 //
     /* 1710962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1710970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711008 */     // MIs[0] policy
     /* 1711008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1711021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711042 */     // GIR_Coverage, 10249,
     /* 1711042 */     GIR_EraseRootFromParent_Done,
     /* 1711043 */   // Label 23390: @1711043
     /* 1711043 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1711129), // Rule ID 10252 //
     /* 1711048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1711059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1711062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1711065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711094 */     // MIs[0] policy
     /* 1711094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711104 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1711107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711128 */     // GIR_Coverage, 10252,
     /* 1711128 */     GIR_EraseRootFromParent_Done,
     /* 1711129 */   // Label 23391: @1711129
     /* 1711129 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1711215), // Rule ID 10253 //
     /* 1711134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1711145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1711148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1711151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711180 */     // MIs[0] policy
     /* 1711180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1711193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711214 */     // GIR_Coverage, 10253,
     /* 1711214 */     GIR_EraseRootFromParent_Done,
     /* 1711215 */   // Label 23392: @1711215
     /* 1711215 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1711301), // Rule ID 10256 //
     /* 1711220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1711231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1711234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1711237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711266 */     // MIs[0] policy
     /* 1711266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1711279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711300 */     // GIR_Coverage, 10256,
     /* 1711300 */     GIR_EraseRootFromParent_Done,
     /* 1711301 */   // Label 23393: @1711301
     /* 1711301 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1711387), // Rule ID 10257 //
     /* 1711306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1711317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1711320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1711323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711352 */     // MIs[0] policy
     /* 1711352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1711365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711386 */     // GIR_Coverage, 10257,
     /* 1711386 */     GIR_EraseRootFromParent_Done,
     /* 1711387 */   // Label 23394: @1711387
     /* 1711387 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1711473), // Rule ID 10260 //
     /* 1711392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711438 */     // MIs[0] policy
     /* 1711438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1711451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711472 */     // GIR_Coverage, 10260,
     /* 1711472 */     GIR_EraseRootFromParent_Done,
     /* 1711473 */   // Label 23395: @1711473
     /* 1711473 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1711559), // Rule ID 10261 //
     /* 1711478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711524 */     // MIs[0] policy
     /* 1711524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1711537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711558 */     // GIR_Coverage, 10261,
     /* 1711558 */     GIR_EraseRootFromParent_Done,
     /* 1711559 */   // Label 23396: @1711559
     /* 1711559 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1711645), // Rule ID 10264 //
     /* 1711564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711610 */     // MIs[0] policy
     /* 1711610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1711623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711644 */     // GIR_Coverage, 10264,
     /* 1711644 */     GIR_EraseRootFromParent_Done,
     /* 1711645 */   // Label 23397: @1711645
     /* 1711645 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1711731), // Rule ID 10265 //
     /* 1711650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711696 */     // MIs[0] policy
     /* 1711696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1711709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711730 */     // GIR_Coverage, 10265,
     /* 1711730 */     GIR_EraseRootFromParent_Done,
     /* 1711731 */   // Label 23398: @1711731
     /* 1711731 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1711817), // Rule ID 10268 //
     /* 1711736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711782 */     // MIs[0] policy
     /* 1711782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1711795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711816 */     // GIR_Coverage, 10268,
     /* 1711816 */     GIR_EraseRootFromParent_Done,
     /* 1711817 */   // Label 23399: @1711817
     /* 1711817 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1711903), // Rule ID 10269 //
     /* 1711822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711868 */     // MIs[0] policy
     /* 1711868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1711881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711902 */     // GIR_Coverage, 10269,
     /* 1711902 */     GIR_EraseRootFromParent_Done,
     /* 1711903 */   // Label 23400: @1711903
     /* 1711903 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1711989), // Rule ID 10272 //
     /* 1711908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1711916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711954 */     // MIs[0] policy
     /* 1711954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1711967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711988 */     // GIR_Coverage, 10272,
     /* 1711988 */     GIR_EraseRootFromParent_Done,
     /* 1711989 */   // Label 23401: @1711989
     /* 1711989 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1712075), // Rule ID 10273 //
     /* 1711994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1712005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1712008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1712011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712040 */     // MIs[0] policy
     /* 1712040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1712053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712074 */     // GIR_Coverage, 10273,
     /* 1712074 */     GIR_EraseRootFromParent_Done,
     /* 1712075 */   // Label 23402: @1712075
     /* 1712075 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1712161), // Rule ID 10276 //
     /* 1712080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1712091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1712094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1712097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712126 */     // MIs[0] policy
     /* 1712126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1712139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712160 */     // GIR_Coverage, 10276,
     /* 1712160 */     GIR_EraseRootFromParent_Done,
     /* 1712161 */   // Label 23403: @1712161
     /* 1712161 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1712247), // Rule ID 10277 //
     /* 1712166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1712177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1712180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1712183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712212 */     // MIs[0] policy
     /* 1712212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1712225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712246 */     // GIR_Coverage, 10277,
     /* 1712246 */     GIR_EraseRootFromParent_Done,
     /* 1712247 */   // Label 23404: @1712247
     /* 1712247 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1712333), // Rule ID 10280 //
     /* 1712252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1712263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1712266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1712269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712298 */     // MIs[0] policy
     /* 1712298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1712311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712332 */     // GIR_Coverage, 10280,
     /* 1712332 */     GIR_EraseRootFromParent_Done,
     /* 1712333 */   // Label 23405: @1712333
     /* 1712333 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1712419), // Rule ID 10281 //
     /* 1712338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1712349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1712352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1712355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712384 */     // MIs[0] policy
     /* 1712384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712394 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1712397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712418 */     // GIR_Coverage, 10281,
     /* 1712418 */     GIR_EraseRootFromParent_Done,
     /* 1712419 */   // Label 23406: @1712419
     /* 1712419 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1712505), // Rule ID 10284 //
     /* 1712424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712470 */     // MIs[0] policy
     /* 1712470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1712483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712504 */     // GIR_Coverage, 10284,
     /* 1712504 */     GIR_EraseRootFromParent_Done,
     /* 1712505 */   // Label 23407: @1712505
     /* 1712505 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1712591), // Rule ID 10285 //
     /* 1712510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712556 */     // MIs[0] policy
     /* 1712556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1712569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712590 */     // GIR_Coverage, 10285,
     /* 1712590 */     GIR_EraseRootFromParent_Done,
     /* 1712591 */   // Label 23408: @1712591
     /* 1712591 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1712677), // Rule ID 10288 //
     /* 1712596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712642 */     // MIs[0] policy
     /* 1712642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1712655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712676 */     // GIR_Coverage, 10288,
     /* 1712676 */     GIR_EraseRootFromParent_Done,
     /* 1712677 */   // Label 23409: @1712677
     /* 1712677 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1712763), // Rule ID 10289 //
     /* 1712682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712728 */     // MIs[0] policy
     /* 1712728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1712741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712762 */     // GIR_Coverage, 10289,
     /* 1712762 */     GIR_EraseRootFromParent_Done,
     /* 1712763 */   // Label 23410: @1712763
     /* 1712763 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1712849), // Rule ID 10292 //
     /* 1712768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712814 */     // MIs[0] policy
     /* 1712814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1712827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712848 */     // GIR_Coverage, 10292,
     /* 1712848 */     GIR_EraseRootFromParent_Done,
     /* 1712849 */   // Label 23411: @1712849
     /* 1712849 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1712935), // Rule ID 10293 //
     /* 1712854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712900 */     // MIs[0] policy
     /* 1712900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1712913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712934 */     // GIR_Coverage, 10293,
     /* 1712934 */     GIR_EraseRootFromParent_Done,
     /* 1712935 */   // Label 23412: @1712935
     /* 1712935 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1713021), // Rule ID 10296 //
     /* 1712940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1712948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1712951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1712954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1712957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712986 */     // MIs[0] policy
     /* 1712986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1712999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713020 */     // GIR_Coverage, 10296,
     /* 1713020 */     GIR_EraseRootFromParent_Done,
     /* 1713021 */   // Label 23413: @1713021
     /* 1713021 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1713107), // Rule ID 10297 //
     /* 1713026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1713037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1713040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1713043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1713049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713072 */     // MIs[0] policy
     /* 1713072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1713085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713106 */     // GIR_Coverage, 10297,
     /* 1713106 */     GIR_EraseRootFromParent_Done,
     /* 1713107 */   // Label 23414: @1713107
     /* 1713107 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1713193), // Rule ID 10300 //
     /* 1713112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1713129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713158 */     // MIs[0] policy
     /* 1713158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1713171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713192 */     // GIR_Coverage, 10300,
     /* 1713192 */     GIR_EraseRootFromParent_Done,
     /* 1713193 */   // Label 23415: @1713193
     /* 1713193 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1713279), // Rule ID 10301 //
     /* 1713198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1713215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713244 */     // MIs[0] policy
     /* 1713244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1713257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713278 */     // GIR_Coverage, 10301,
     /* 1713278 */     GIR_EraseRootFromParent_Done,
     /* 1713279 */   // Label 23416: @1713279
     /* 1713279 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1713365), // Rule ID 10304 //
     /* 1713284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1713301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713330 */     // MIs[0] policy
     /* 1713330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1713343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713364 */     // GIR_Coverage, 10304,
     /* 1713364 */     GIR_EraseRootFromParent_Done,
     /* 1713365 */   // Label 23417: @1713365
     /* 1713365 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1713451), // Rule ID 10305 //
     /* 1713370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1713387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713416 */     // MIs[0] policy
     /* 1713416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1713429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713450 */     // GIR_Coverage, 10305,
     /* 1713450 */     GIR_EraseRootFromParent_Done,
     /* 1713451 */   // Label 23418: @1713451
     /* 1713451 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1713537), // Rule ID 10308 //
     /* 1713456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713502 */     // MIs[0] policy
     /* 1713502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1713515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713536 */     // GIR_Coverage, 10308,
     /* 1713536 */     GIR_EraseRootFromParent_Done,
     /* 1713537 */   // Label 23419: @1713537
     /* 1713537 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1713623), // Rule ID 10309 //
     /* 1713542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713588 */     // MIs[0] policy
     /* 1713588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1713601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713622 */     // GIR_Coverage, 10309,
     /* 1713622 */     GIR_EraseRootFromParent_Done,
     /* 1713623 */   // Label 23420: @1713623
     /* 1713623 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1713709), // Rule ID 10312 //
     /* 1713628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713674 */     // MIs[0] policy
     /* 1713674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1713687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713708 */     // GIR_Coverage, 10312,
     /* 1713708 */     GIR_EraseRootFromParent_Done,
     /* 1713709 */   // Label 23421: @1713709
     /* 1713709 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1713795), // Rule ID 10313 //
     /* 1713714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713760 */     // MIs[0] policy
     /* 1713760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1713773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713794 */     // GIR_Coverage, 10313,
     /* 1713794 */     GIR_EraseRootFromParent_Done,
     /* 1713795 */   // Label 23422: @1713795
     /* 1713795 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1713881), // Rule ID 10316 //
     /* 1713800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713846 */     // MIs[0] policy
     /* 1713846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1713859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713880 */     // GIR_Coverage, 10316,
     /* 1713880 */     GIR_EraseRootFromParent_Done,
     /* 1713881 */   // Label 23423: @1713881
     /* 1713881 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1713967), // Rule ID 10317 //
     /* 1713886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713932 */     // MIs[0] policy
     /* 1713932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1713945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713966 */     // GIR_Coverage, 10317,
     /* 1713966 */     GIR_EraseRootFromParent_Done,
     /* 1713967 */   // Label 23424: @1713967
     /* 1713967 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1714053), // Rule ID 10320 //
     /* 1713972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1713983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1713986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714018 */     // MIs[0] policy
     /* 1714018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1714031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714052 */     // GIR_Coverage, 10320,
     /* 1714052 */     GIR_EraseRootFromParent_Done,
     /* 1714053 */   // Label 23425: @1714053
     /* 1714053 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1714139), // Rule ID 10321 //
     /* 1714058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1714069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1714072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1714075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714104 */     // MIs[0] policy
     /* 1714104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1714117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714138 */     // GIR_Coverage, 10321,
     /* 1714138 */     GIR_EraseRootFromParent_Done,
     /* 1714139 */   // Label 23426: @1714139
     /* 1714139 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1714225), // Rule ID 10324 //
     /* 1714144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1714155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1714158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1714161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1714164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714190 */     // MIs[0] policy
     /* 1714190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714200 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1714203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714224 */     // GIR_Coverage, 10324,
     /* 1714224 */     GIR_EraseRootFromParent_Done,
     /* 1714225 */   // Label 23427: @1714225
     /* 1714225 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1714311), // Rule ID 10325 //
     /* 1714230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1714241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1714244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1714247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1714250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714276 */     // MIs[0] policy
     /* 1714276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1714289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714310 */     // GIR_Coverage, 10325,
     /* 1714310 */     GIR_EraseRootFromParent_Done,
     /* 1714311 */   // Label 23428: @1714311
     /* 1714311 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1714397), // Rule ID 10328 //
     /* 1714316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1714333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1714336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714362 */     // MIs[0] policy
     /* 1714362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1714375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714396 */     // GIR_Coverage, 10328,
     /* 1714396 */     GIR_EraseRootFromParent_Done,
     /* 1714397 */   // Label 23429: @1714397
     /* 1714397 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1714483), // Rule ID 10329 //
     /* 1714402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1714419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1714422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714448 */     // MIs[0] policy
     /* 1714448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1714461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714482 */     // GIR_Coverage, 10329,
     /* 1714482 */     GIR_EraseRootFromParent_Done,
     /* 1714483 */   // Label 23430: @1714483
     /* 1714483 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1714569), // Rule ID 10332 //
     /* 1714488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1714505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1714508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714534 */     // MIs[0] policy
     /* 1714534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1714547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714568 */     // GIR_Coverage, 10332,
     /* 1714568 */     GIR_EraseRootFromParent_Done,
     /* 1714569 */   // Label 23431: @1714569
     /* 1714569 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1714655), // Rule ID 10333 //
     /* 1714574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1714591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1714594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714620 */     // MIs[0] policy
     /* 1714620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1714633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714654 */     // GIR_Coverage, 10333,
     /* 1714654 */     GIR_EraseRootFromParent_Done,
     /* 1714655 */   // Label 23432: @1714655
     /* 1714655 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1714741), // Rule ID 10336 //
     /* 1714660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1714680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714706 */     // MIs[0] policy
     /* 1714706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1714719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714740 */     // GIR_Coverage, 10336,
     /* 1714740 */     GIR_EraseRootFromParent_Done,
     /* 1714741 */   // Label 23433: @1714741
     /* 1714741 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1714827), // Rule ID 10337 //
     /* 1714746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1714766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714792 */     // MIs[0] policy
     /* 1714792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1714805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714826 */     // GIR_Coverage, 10337,
     /* 1714826 */     GIR_EraseRootFromParent_Done,
     /* 1714827 */   // Label 23434: @1714827
     /* 1714827 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1714913), // Rule ID 10340 //
     /* 1714832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1714852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714878 */     // MIs[0] policy
     /* 1714878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1714891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714912 */     // GIR_Coverage, 10340,
     /* 1714912 */     GIR_EraseRootFromParent_Done,
     /* 1714913 */   // Label 23435: @1714913
     /* 1714913 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1714999), // Rule ID 10341 //
     /* 1714918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1714938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714964 */     // MIs[0] policy
     /* 1714964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1714977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714998 */     // GIR_Coverage, 10341,
     /* 1714998 */     GIR_EraseRootFromParent_Done,
     /* 1714999 */   // Label 23436: @1714999
     /* 1714999 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1715085), // Rule ID 10344 //
     /* 1715004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1715015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1715018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1715021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1715024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715050 */     // MIs[0] policy
     /* 1715050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1715063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715084 */     // GIR_Coverage, 10344,
     /* 1715084 */     GIR_EraseRootFromParent_Done,
     /* 1715085 */   // Label 23437: @1715085
     /* 1715085 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1715171), // Rule ID 10345 //
     /* 1715090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1715101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1715104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1715107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1715110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715136 */     // MIs[0] policy
     /* 1715136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1715149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715170 */     // GIR_Coverage, 10345,
     /* 1715170 */     GIR_EraseRootFromParent_Done,
     /* 1715171 */   // Label 23438: @1715171
     /* 1715171 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1715257), // Rule ID 10348 //
     /* 1715176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1715187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1715190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1715193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1715196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715222 */     // MIs[0] policy
     /* 1715222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715256 */     // GIR_Coverage, 10348,
     /* 1715256 */     GIR_EraseRootFromParent_Done,
     /* 1715257 */   // Label 23439: @1715257
     /* 1715257 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1715343), // Rule ID 10349 //
     /* 1715262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1715273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1715276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1715279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1715282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715308 */     // MIs[0] policy
     /* 1715308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715318 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715342 */     // GIR_Coverage, 10349,
     /* 1715342 */     GIR_EraseRootFromParent_Done,
     /* 1715343 */   // Label 23440: @1715343
     /* 1715343 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1715429), // Rule ID 10352 //
     /* 1715348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1715365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1715368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715394 */     // MIs[0] policy
     /* 1715394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715428 */     // GIR_Coverage, 10352,
     /* 1715428 */     GIR_EraseRootFromParent_Done,
     /* 1715429 */   // Label 23441: @1715429
     /* 1715429 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1715515), // Rule ID 10353 //
     /* 1715434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1715451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1715454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715480 */     // MIs[0] policy
     /* 1715480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715514 */     // GIR_Coverage, 10353,
     /* 1715514 */     GIR_EraseRootFromParent_Done,
     /* 1715515 */   // Label 23442: @1715515
     /* 1715515 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1715601), // Rule ID 10356 //
     /* 1715520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1715540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715566 */     // MIs[0] policy
     /* 1715566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715600 */     // GIR_Coverage, 10356,
     /* 1715600 */     GIR_EraseRootFromParent_Done,
     /* 1715601 */   // Label 23443: @1715601
     /* 1715601 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1715687), // Rule ID 10357 //
     /* 1715606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1715626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715652 */     // MIs[0] policy
     /* 1715652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715686 */     // GIR_Coverage, 10357,
     /* 1715686 */     GIR_EraseRootFromParent_Done,
     /* 1715687 */   // Label 23444: @1715687
     /* 1715687 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1715773), // Rule ID 10360 //
     /* 1715692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1715709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1715712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715738 */     // MIs[0] policy
     /* 1715738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715772 */     // GIR_Coverage, 10360,
     /* 1715772 */     GIR_EraseRootFromParent_Done,
     /* 1715773 */   // Label 23445: @1715773
     /* 1715773 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1715859), // Rule ID 10361 //
     /* 1715778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1715795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1715798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715824 */     // MIs[0] policy
     /* 1715824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1715837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715858 */     // GIR_Coverage, 10361,
     /* 1715858 */     GIR_EraseRootFromParent_Done,
     /* 1715859 */   // Label 23446: @1715859
     /* 1715859 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1715945), // Rule ID 10364 //
     /* 1715864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1715884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715910 */     // MIs[0] policy
     /* 1715910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1715923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715944 */     // GIR_Coverage, 10364,
     /* 1715944 */     GIR_EraseRootFromParent_Done,
     /* 1715945 */   // Label 23447: @1715945
     /* 1715945 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1716031), // Rule ID 10365 //
     /* 1715950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1715970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715996 */     // MIs[0] policy
     /* 1715996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1716009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716030 */     // GIR_Coverage, 10365,
     /* 1716030 */     GIR_EraseRootFromParent_Done,
     /* 1716031 */   // Label 23448: @1716031
     /* 1716031 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1716117), // Rule ID 10368 //
     /* 1716036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1716047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1716050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1716053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1716056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716082 */     // MIs[0] policy
     /* 1716082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716092 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1716095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716116 */     // GIR_Coverage, 10368,
     /* 1716116 */     GIR_EraseRootFromParent_Done,
     /* 1716117 */   // Label 23449: @1716117
     /* 1716117 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1716203), // Rule ID 10369 //
     /* 1716122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1716133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1716136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1716139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1716142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716168 */     // MIs[0] policy
     /* 1716168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1716181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716202 */     // GIR_Coverage, 10369,
     /* 1716202 */     GIR_EraseRootFromParent_Done,
     /* 1716203 */   // Label 23450: @1716203
     /* 1716203 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1716289), // Rule ID 10372 //
     /* 1716208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1716219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1716222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1716225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1716228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1716231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716254 */     // MIs[0] policy
     /* 1716254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716264 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1716267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716288 */     // GIR_Coverage, 10372,
     /* 1716288 */     GIR_EraseRootFromParent_Done,
     /* 1716289 */   // Label 23451: @1716289
     /* 1716289 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1716375), // Rule ID 10373 //
     /* 1716294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1716305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1716308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1716311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1716314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1716317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716340 */     // MIs[0] policy
     /* 1716340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1716353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716374 */     // GIR_Coverage, 10373,
     /* 1716374 */     GIR_EraseRootFromParent_Done,
     /* 1716375 */   // Label 23452: @1716375
     /* 1716375 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1716461), // Rule ID 10376 //
     /* 1716380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1716397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1716400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716426 */     // MIs[0] policy
     /* 1716426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1716439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716460 */     // GIR_Coverage, 10376,
     /* 1716460 */     GIR_EraseRootFromParent_Done,
     /* 1716461 */   // Label 23453: @1716461
     /* 1716461 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1716547), // Rule ID 10377 //
     /* 1716466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1716483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1716486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716512 */     // MIs[0] policy
     /* 1716512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1716525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716546 */     // GIR_Coverage, 10377,
     /* 1716546 */     GIR_EraseRootFromParent_Done,
     /* 1716547 */   // Label 23454: @1716547
     /* 1716547 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1716633), // Rule ID 10380 //
     /* 1716552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1716569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1716572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716598 */     // MIs[0] policy
     /* 1716598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1716611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716632 */     // GIR_Coverage, 10380,
     /* 1716632 */     GIR_EraseRootFromParent_Done,
     /* 1716633 */   // Label 23455: @1716633
     /* 1716633 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1716719), // Rule ID 10381 //
     /* 1716638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1716655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1716658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716684 */     // MIs[0] policy
     /* 1716684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1716697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716718 */     // GIR_Coverage, 10381,
     /* 1716718 */     GIR_EraseRootFromParent_Done,
     /* 1716719 */   // Label 23456: @1716719
     /* 1716719 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1716805), // Rule ID 10384 //
     /* 1716724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1716744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716770 */     // MIs[0] policy
     /* 1716770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1716783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716804 */     // GIR_Coverage, 10384,
     /* 1716804 */     GIR_EraseRootFromParent_Done,
     /* 1716805 */   // Label 23457: @1716805
     /* 1716805 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1716891), // Rule ID 10385 //
     /* 1716810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1716830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716856 */     // MIs[0] policy
     /* 1716856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1716869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716890 */     // GIR_Coverage, 10385,
     /* 1716890 */     GIR_EraseRootFromParent_Done,
     /* 1716891 */   // Label 23458: @1716891
     /* 1716891 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1716977), // Rule ID 10388 //
     /* 1716896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1716916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716942 */     // MIs[0] policy
     /* 1716942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1716955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716976 */     // GIR_Coverage, 10388,
     /* 1716976 */     GIR_EraseRootFromParent_Done,
     /* 1716977 */   // Label 23459: @1716977
     /* 1716977 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1717063), // Rule ID 10389 //
     /* 1716982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1716990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1717002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717028 */     // MIs[0] policy
     /* 1717028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1717041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717062 */     // GIR_Coverage, 10389,
     /* 1717062 */     GIR_EraseRootFromParent_Done,
     /* 1717063 */   // Label 23460: @1717063
     /* 1717063 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1717149), // Rule ID 10392 //
     /* 1717068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1717079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1717082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1717085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1717088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717114 */     // MIs[0] policy
     /* 1717114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1717127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717148 */     // GIR_Coverage, 10392,
     /* 1717148 */     GIR_EraseRootFromParent_Done,
     /* 1717149 */   // Label 23461: @1717149
     /* 1717149 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1717235), // Rule ID 10393 //
     /* 1717154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1717165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1717168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1717171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1717174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717200 */     // MIs[0] policy
     /* 1717200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1717213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717234 */     // GIR_Coverage, 10393,
     /* 1717234 */     GIR_EraseRootFromParent_Done,
     /* 1717235 */   // Label 23462: @1717235
     /* 1717235 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1717321), // Rule ID 10396 //
     /* 1717240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1717251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1717254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1717257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1717260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717286 */     // MIs[0] policy
     /* 1717286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1717299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717320 */     // GIR_Coverage, 10396,
     /* 1717320 */     GIR_EraseRootFromParent_Done,
     /* 1717321 */   // Label 23463: @1717321
     /* 1717321 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1717407), // Rule ID 10397 //
     /* 1717326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1717337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1717340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1717343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1717346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717372 */     // MIs[0] policy
     /* 1717372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1717385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717406 */     // GIR_Coverage, 10397,
     /* 1717406 */     GIR_EraseRootFromParent_Done,
     /* 1717407 */   // Label 23464: @1717407
     /* 1717407 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1717493), // Rule ID 10400 //
     /* 1717412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1717429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1717432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717458 */     // MIs[0] policy
     /* 1717458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1717471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717492 */     // GIR_Coverage, 10400,
     /* 1717492 */     GIR_EraseRootFromParent_Done,
     /* 1717493 */   // Label 23465: @1717493
     /* 1717493 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1717579), // Rule ID 10401 //
     /* 1717498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1717515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1717518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717544 */     // MIs[0] policy
     /* 1717544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1717557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717578 */     // GIR_Coverage, 10401,
     /* 1717578 */     GIR_EraseRootFromParent_Done,
     /* 1717579 */   // Label 23466: @1717579
     /* 1717579 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1717665), // Rule ID 10404 //
     /* 1717584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1717601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1717604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717630 */     // MIs[0] policy
     /* 1717630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1717643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717664 */     // GIR_Coverage, 10404,
     /* 1717664 */     GIR_EraseRootFromParent_Done,
     /* 1717665 */   // Label 23467: @1717665
     /* 1717665 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1717751), // Rule ID 10405 //
     /* 1717670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1717687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1717690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717716 */     // MIs[0] policy
     /* 1717716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1717729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717750 */     // GIR_Coverage, 10405,
     /* 1717750 */     GIR_EraseRootFromParent_Done,
     /* 1717751 */   // Label 23468: @1717751
     /* 1717751 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1717837), // Rule ID 10408 //
     /* 1717756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1717776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717802 */     // MIs[0] policy
     /* 1717802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1717815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717836 */     // GIR_Coverage, 10408,
     /* 1717836 */     GIR_EraseRootFromParent_Done,
     /* 1717837 */   // Label 23469: @1717837
     /* 1717837 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1717923), // Rule ID 10409 //
     /* 1717842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1717862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717888 */     // MIs[0] policy
     /* 1717888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1717901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717922 */     // GIR_Coverage, 10409,
     /* 1717922 */     GIR_EraseRootFromParent_Done,
     /* 1717923 */   // Label 23470: @1717923
     /* 1717923 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1718009), // Rule ID 10412 //
     /* 1717928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1717936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717974 */     // MIs[0] policy
     /* 1717974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717984 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1717987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718008 */     // GIR_Coverage, 10412,
     /* 1718008 */     GIR_EraseRootFromParent_Done,
     /* 1718009 */   // Label 23471: @1718009
     /* 1718009 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1718095), // Rule ID 10413 //
     /* 1718014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1718025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1718028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1718031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718060 */     // MIs[0] policy
     /* 1718060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1718073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718094 */     // GIR_Coverage, 10413,
     /* 1718094 */     GIR_EraseRootFromParent_Done,
     /* 1718095 */   // Label 23472: @1718095
     /* 1718095 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1718181), // Rule ID 10416 //
     /* 1718100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1718111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1718114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1718117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718146 */     // MIs[0] policy
     /* 1718146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718156 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1718159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718180 */     // GIR_Coverage, 10416,
     /* 1718180 */     GIR_EraseRootFromParent_Done,
     /* 1718181 */   // Label 23473: @1718181
     /* 1718181 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1718267), // Rule ID 10417 //
     /* 1718186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1718197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1718200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1718203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718232 */     // MIs[0] policy
     /* 1718232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1718245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718266 */     // GIR_Coverage, 10417,
     /* 1718266 */     GIR_EraseRootFromParent_Done,
     /* 1718267 */   // Label 23474: @1718267
     /* 1718267 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1718353), // Rule ID 10420 //
     /* 1718272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1718283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1718286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1718289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718318 */     // MIs[0] policy
     /* 1718318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1718331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718352 */     // GIR_Coverage, 10420,
     /* 1718352 */     GIR_EraseRootFromParent_Done,
     /* 1718353 */   // Label 23475: @1718353
     /* 1718353 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1718439), // Rule ID 10421 //
     /* 1718358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1718369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1718372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1718375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718404 */     // MIs[0] policy
     /* 1718404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1718417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718438 */     // GIR_Coverage, 10421,
     /* 1718438 */     GIR_EraseRootFromParent_Done,
     /* 1718439 */   // Label 23476: @1718439
     /* 1718439 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1718525), // Rule ID 10424 //
     /* 1718444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718490 */     // MIs[0] policy
     /* 1718490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1718503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718524 */     // GIR_Coverage, 10424,
     /* 1718524 */     GIR_EraseRootFromParent_Done,
     /* 1718525 */   // Label 23477: @1718525
     /* 1718525 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1718611), // Rule ID 10425 //
     /* 1718530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718576 */     // MIs[0] policy
     /* 1718576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1718589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718610 */     // GIR_Coverage, 10425,
     /* 1718610 */     GIR_EraseRootFromParent_Done,
     /* 1718611 */   // Label 23478: @1718611
     /* 1718611 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1718697), // Rule ID 10428 //
     /* 1718616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718662 */     // MIs[0] policy
     /* 1718662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1718675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718696 */     // GIR_Coverage, 10428,
     /* 1718696 */     GIR_EraseRootFromParent_Done,
     /* 1718697 */   // Label 23479: @1718697
     /* 1718697 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1718783), // Rule ID 10429 //
     /* 1718702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718748 */     // MIs[0] policy
     /* 1718748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718758 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1718761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718782 */     // GIR_Coverage, 10429,
     /* 1718782 */     GIR_EraseRootFromParent_Done,
     /* 1718783 */   // Label 23480: @1718783
     /* 1718783 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1718869), // Rule ID 10432 //
     /* 1718788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718834 */     // MIs[0] policy
     /* 1718834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1718847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718868 */     // GIR_Coverage, 10432,
     /* 1718868 */     GIR_EraseRootFromParent_Done,
     /* 1718869 */   // Label 23481: @1718869
     /* 1718869 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1718955), // Rule ID 10433 //
     /* 1718874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718920 */     // MIs[0] policy
     /* 1718920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1718933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718954 */     // GIR_Coverage, 10433,
     /* 1718954 */     GIR_EraseRootFromParent_Done,
     /* 1718955 */   // Label 23482: @1718955
     /* 1718955 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1719041), // Rule ID 10436 //
     /* 1718960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1718968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719006 */     // MIs[0] policy
     /* 1719006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719016 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719040 */     // GIR_Coverage, 10436,
     /* 1719040 */     GIR_EraseRootFromParent_Done,
     /* 1719041 */   // Label 23483: @1719041
     /* 1719041 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1719127), // Rule ID 10437 //
     /* 1719046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1719057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1719060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1719063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719092 */     // MIs[0] policy
     /* 1719092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719126 */     // GIR_Coverage, 10437,
     /* 1719126 */     GIR_EraseRootFromParent_Done,
     /* 1719127 */   // Label 23484: @1719127
     /* 1719127 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1719213), // Rule ID 10440 //
     /* 1719132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1719143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1719146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1719149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719178 */     // MIs[0] policy
     /* 1719178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719212 */     // GIR_Coverage, 10440,
     /* 1719212 */     GIR_EraseRootFromParent_Done,
     /* 1719213 */   // Label 23485: @1719213
     /* 1719213 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1719299), // Rule ID 10441 //
     /* 1719218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1719229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1719232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1719235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719264 */     // MIs[0] policy
     /* 1719264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719298 */     // GIR_Coverage, 10441,
     /* 1719298 */     GIR_EraseRootFromParent_Done,
     /* 1719299 */   // Label 23486: @1719299
     /* 1719299 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1719385), // Rule ID 10444 //
     /* 1719304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1719315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1719318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1719321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719350 */     // MIs[0] policy
     /* 1719350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719384 */     // GIR_Coverage, 10444,
     /* 1719384 */     GIR_EraseRootFromParent_Done,
     /* 1719385 */   // Label 23487: @1719385
     /* 1719385 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1719471), // Rule ID 10445 //
     /* 1719390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1719401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1719404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1719407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719436 */     // MIs[0] policy
     /* 1719436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719470 */     // GIR_Coverage, 10445,
     /* 1719470 */     GIR_EraseRootFromParent_Done,
     /* 1719471 */   // Label 23488: @1719471
     /* 1719471 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1719557), // Rule ID 10448 //
     /* 1719476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719522 */     // MIs[0] policy
     /* 1719522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719556 */     // GIR_Coverage, 10448,
     /* 1719556 */     GIR_EraseRootFromParent_Done,
     /* 1719557 */   // Label 23489: @1719557
     /* 1719557 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1719643), // Rule ID 10449 //
     /* 1719562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719608 */     // MIs[0] policy
     /* 1719608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1719621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719642 */     // GIR_Coverage, 10449,
     /* 1719642 */     GIR_EraseRootFromParent_Done,
     /* 1719643 */   // Label 23490: @1719643
     /* 1719643 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1719729), // Rule ID 10452 //
     /* 1719648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719694 */     // MIs[0] policy
     /* 1719694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1719707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719728 */     // GIR_Coverage, 10452,
     /* 1719728 */     GIR_EraseRootFromParent_Done,
     /* 1719729 */   // Label 23491: @1719729
     /* 1719729 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1719815), // Rule ID 10453 //
     /* 1719734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719780 */     // MIs[0] policy
     /* 1719780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1719793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719814 */     // GIR_Coverage, 10453,
     /* 1719814 */     GIR_EraseRootFromParent_Done,
     /* 1719815 */   // Label 23492: @1719815
     /* 1719815 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1719901), // Rule ID 10456 //
     /* 1719820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719866 */     // MIs[0] policy
     /* 1719866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1719879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719900 */     // GIR_Coverage, 10456,
     /* 1719900 */     GIR_EraseRootFromParent_Done,
     /* 1719901 */   // Label 23493: @1719901
     /* 1719901 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1719987), // Rule ID 10457 //
     /* 1719906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1719914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719952 */     // MIs[0] policy
     /* 1719952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1719965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719986 */     // GIR_Coverage, 10457,
     /* 1719986 */     GIR_EraseRootFromParent_Done,
     /* 1719987 */   // Label 23494: @1719987
     /* 1719987 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1720073), // Rule ID 10460 //
     /* 1719992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1720003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1720006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1720009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1720015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720038 */     // MIs[0] policy
     /* 1720038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720048 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1720051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720072 */     // GIR_Coverage, 10460,
     /* 1720072 */     GIR_EraseRootFromParent_Done,
     /* 1720073 */   // Label 23495: @1720073
     /* 1720073 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1720159), // Rule ID 10461 //
     /* 1720078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1720089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1720092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1720095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1720101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720124 */     // MIs[0] policy
     /* 1720124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1720137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720158 */     // GIR_Coverage, 10461,
     /* 1720158 */     GIR_EraseRootFromParent_Done,
     /* 1720159 */   // Label 23496: @1720159
     /* 1720159 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1720245), // Rule ID 10464 //
     /* 1720164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1720175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1720178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1720181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720210 */     // MIs[0] policy
     /* 1720210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1720223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720244 */     // GIR_Coverage, 10464,
     /* 1720244 */     GIR_EraseRootFromParent_Done,
     /* 1720245 */   // Label 23497: @1720245
     /* 1720245 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1720331), // Rule ID 10465 //
     /* 1720250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1720261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1720264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1720267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720296 */     // MIs[0] policy
     /* 1720296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1720309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720330 */     // GIR_Coverage, 10465,
     /* 1720330 */     GIR_EraseRootFromParent_Done,
     /* 1720331 */   // Label 23498: @1720331
     /* 1720331 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1720417), // Rule ID 10468 //
     /* 1720336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1720347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1720350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1720353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720382 */     // MIs[0] policy
     /* 1720382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1720395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720416 */     // GIR_Coverage, 10468,
     /* 1720416 */     GIR_EraseRootFromParent_Done,
     /* 1720417 */   // Label 23499: @1720417
     /* 1720417 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1720503), // Rule ID 10469 //
     /* 1720422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1720433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1720436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1720439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720468 */     // MIs[0] policy
     /* 1720468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1720481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720502 */     // GIR_Coverage, 10469,
     /* 1720502 */     GIR_EraseRootFromParent_Done,
     /* 1720503 */   // Label 23500: @1720503
     /* 1720503 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1720589), // Rule ID 10472 //
     /* 1720508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720554 */     // MIs[0] policy
     /* 1720554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1720567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720588 */     // GIR_Coverage, 10472,
     /* 1720588 */     GIR_EraseRootFromParent_Done,
     /* 1720589 */   // Label 23501: @1720589
     /* 1720589 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1720675), // Rule ID 10473 //
     /* 1720594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720640 */     // MIs[0] policy
     /* 1720640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1720653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720674 */     // GIR_Coverage, 10473,
     /* 1720674 */     GIR_EraseRootFromParent_Done,
     /* 1720675 */   // Label 23502: @1720675
     /* 1720675 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1720761), // Rule ID 10476 //
     /* 1720680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720726 */     // MIs[0] policy
     /* 1720726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1720739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720760 */     // GIR_Coverage, 10476,
     /* 1720760 */     GIR_EraseRootFromParent_Done,
     /* 1720761 */   // Label 23503: @1720761
     /* 1720761 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1720847), // Rule ID 10477 //
     /* 1720766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720812 */     // MIs[0] policy
     /* 1720812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1720825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720846 */     // GIR_Coverage, 10477,
     /* 1720846 */     GIR_EraseRootFromParent_Done,
     /* 1720847 */   // Label 23504: @1720847
     /* 1720847 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1720933), // Rule ID 10480 //
     /* 1720852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720898 */     // MIs[0] policy
     /* 1720898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1720911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720932 */     // GIR_Coverage, 10480,
     /* 1720932 */     GIR_EraseRootFromParent_Done,
     /* 1720933 */   // Label 23505: @1720933
     /* 1720933 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1721019), // Rule ID 10481 //
     /* 1720938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720984 */     // MIs[0] policy
     /* 1720984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1720997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721018 */     // GIR_Coverage, 10481,
     /* 1721018 */     GIR_EraseRootFromParent_Done,
     /* 1721019 */   // Label 23506: @1721019
     /* 1721019 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1721105), // Rule ID 10484 //
     /* 1721024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1721035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1721038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1721041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721070 */     // MIs[0] policy
     /* 1721070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1721083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721104 */     // GIR_Coverage, 10484,
     /* 1721104 */     GIR_EraseRootFromParent_Done,
     /* 1721105 */   // Label 23507: @1721105
     /* 1721105 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1721191), // Rule ID 10485 //
     /* 1721110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1721121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1721124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1721127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721156 */     // MIs[0] policy
     /* 1721156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1721169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721190 */     // GIR_Coverage, 10485,
     /* 1721190 */     GIR_EraseRootFromParent_Done,
     /* 1721191 */   // Label 23508: @1721191
     /* 1721191 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1721277), // Rule ID 10488 //
     /* 1721196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1721207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1721210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1721213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721242 */     // MIs[0] policy
     /* 1721242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1721255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721276 */     // GIR_Coverage, 10488,
     /* 1721276 */     GIR_EraseRootFromParent_Done,
     /* 1721277 */   // Label 23509: @1721277
     /* 1721277 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1721363), // Rule ID 10489 //
     /* 1721282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1721293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1721296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1721299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721328 */     // MIs[0] policy
     /* 1721328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1721341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721362 */     // GIR_Coverage, 10489,
     /* 1721362 */     GIR_EraseRootFromParent_Done,
     /* 1721363 */   // Label 23510: @1721363
     /* 1721363 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1721449), // Rule ID 10492 //
     /* 1721368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721414 */     // MIs[0] policy
     /* 1721414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1721427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721448 */     // GIR_Coverage, 10492,
     /* 1721448 */     GIR_EraseRootFromParent_Done,
     /* 1721449 */   // Label 23511: @1721449
     /* 1721449 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1721535), // Rule ID 10493 //
     /* 1721454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721500 */     // MIs[0] policy
     /* 1721500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721510 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1721513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721534 */     // GIR_Coverage, 10493,
     /* 1721534 */     GIR_EraseRootFromParent_Done,
     /* 1721535 */   // Label 23512: @1721535
     /* 1721535 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1721621), // Rule ID 10496 //
     /* 1721540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721586 */     // MIs[0] policy
     /* 1721586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1721599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721620 */     // GIR_Coverage, 10496,
     /* 1721620 */     GIR_EraseRootFromParent_Done,
     /* 1721621 */   // Label 23513: @1721621
     /* 1721621 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1721707), // Rule ID 10497 //
     /* 1721626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721672 */     // MIs[0] policy
     /* 1721672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1721685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721706 */     // GIR_Coverage, 10497,
     /* 1721706 */     GIR_EraseRootFromParent_Done,
     /* 1721707 */   // Label 23514: @1721707
     /* 1721707 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1721793), // Rule ID 10500 //
     /* 1721712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1721732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721758 */     // MIs[0] policy
     /* 1721758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1721771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721792 */     // GIR_Coverage, 10500,
     /* 1721792 */     GIR_EraseRootFromParent_Done,
     /* 1721793 */   // Label 23515: @1721793
     /* 1721793 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1721879), // Rule ID 10501 //
     /* 1721798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1721818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721844 */     // MIs[0] policy
     /* 1721844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1721857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721878 */     // GIR_Coverage, 10501,
     /* 1721878 */     GIR_EraseRootFromParent_Done,
     /* 1721879 */   // Label 23516: @1721879
     /* 1721879 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1721965), // Rule ID 10504 //
     /* 1721884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1721904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721930 */     // MIs[0] policy
     /* 1721930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721940 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1721943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721964 */     // GIR_Coverage, 10504,
     /* 1721964 */     GIR_EraseRootFromParent_Done,
     /* 1721965 */   // Label 23517: @1721965
     /* 1721965 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1722051), // Rule ID 10505 //
     /* 1721970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1721990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722016 */     // MIs[0] policy
     /* 1722016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1722029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722050 */     // GIR_Coverage, 10505,
     /* 1722050 */     GIR_EraseRootFromParent_Done,
     /* 1722051 */   // Label 23518: @1722051
     /* 1722051 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1722137), // Rule ID 10508 //
     /* 1722056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1722067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1722070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1722073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1722076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722102 */     // MIs[0] policy
     /* 1722102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722112 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1722115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722136 */     // GIR_Coverage, 10508,
     /* 1722136 */     GIR_EraseRootFromParent_Done,
     /* 1722137 */   // Label 23519: @1722137
     /* 1722137 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1722223), // Rule ID 10509 //
     /* 1722142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1722153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1722156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1722159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1722162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722188 */     // MIs[0] policy
     /* 1722188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722198 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1722201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722222 */     // GIR_Coverage, 10509,
     /* 1722222 */     GIR_EraseRootFromParent_Done,
     /* 1722223 */   // Label 23520: @1722223
     /* 1722223 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1722309), // Rule ID 10512 //
     /* 1722228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1722239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1722242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1722245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1722248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722274 */     // MIs[0] policy
     /* 1722274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1722287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722308 */     // GIR_Coverage, 10512,
     /* 1722308 */     GIR_EraseRootFromParent_Done,
     /* 1722309 */   // Label 23521: @1722309
     /* 1722309 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1722395), // Rule ID 10513 //
     /* 1722314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1722325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1722328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1722331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1722334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722360 */     // MIs[0] policy
     /* 1722360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1722373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722394 */     // GIR_Coverage, 10513,
     /* 1722394 */     GIR_EraseRootFromParent_Done,
     /* 1722395 */   // Label 23522: @1722395
     /* 1722395 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1722481), // Rule ID 10516 //
     /* 1722400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1722420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722446 */     // MIs[0] policy
     /* 1722446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1722459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722480 */     // GIR_Coverage, 10516,
     /* 1722480 */     GIR_EraseRootFromParent_Done,
     /* 1722481 */   // Label 23523: @1722481
     /* 1722481 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1722567), // Rule ID 10517 //
     /* 1722486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1722506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722532 */     // MIs[0] policy
     /* 1722532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1722545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722566 */     // GIR_Coverage, 10517,
     /* 1722566 */     GIR_EraseRootFromParent_Done,
     /* 1722567 */   // Label 23524: @1722567
     /* 1722567 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1722653), // Rule ID 10520 //
     /* 1722572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1722592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722618 */     // MIs[0] policy
     /* 1722618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1722631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722652 */     // GIR_Coverage, 10520,
     /* 1722652 */     GIR_EraseRootFromParent_Done,
     /* 1722653 */   // Label 23525: @1722653
     /* 1722653 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1722739), // Rule ID 10521 //
     /* 1722658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1722678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722704 */     // MIs[0] policy
     /* 1722704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1722717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722738 */     // GIR_Coverage, 10521,
     /* 1722738 */     GIR_EraseRootFromParent_Done,
     /* 1722739 */   // Label 23526: @1722739
     /* 1722739 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1722825), // Rule ID 10524 //
     /* 1722744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1722764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722790 */     // MIs[0] policy
     /* 1722790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1722803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722824 */     // GIR_Coverage, 10524,
     /* 1722824 */     GIR_EraseRootFromParent_Done,
     /* 1722825 */   // Label 23527: @1722825
     /* 1722825 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1722911), // Rule ID 10525 //
     /* 1722830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1722850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722876 */     // MIs[0] policy
     /* 1722876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722886 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1722889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722910 */     // GIR_Coverage, 10525,
     /* 1722910 */     GIR_EraseRootFromParent_Done,
     /* 1722911 */   // Label 23528: @1722911
     /* 1722911 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1722997), // Rule ID 10528 //
     /* 1722916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1722936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722962 */     // MIs[0] policy
     /* 1722962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1722975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722996 */     // GIR_Coverage, 10528,
     /* 1722996 */     GIR_EraseRootFromParent_Done,
     /* 1722997 */   // Label 23529: @1722997
     /* 1722997 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1723083), // Rule ID 10529 //
     /* 1723002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1723013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1723016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1723019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1723022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723048 */     // MIs[0] policy
     /* 1723048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1723061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723082 */     // GIR_Coverage, 10529,
     /* 1723082 */     GIR_EraseRootFromParent_Done,
     /* 1723083 */   // Label 23530: @1723083
     /* 1723083 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1723169), // Rule ID 10532 //
     /* 1723088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1723099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1723102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1723105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1723108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723134 */     // MIs[0] policy
     /* 1723134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1723147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723168 */     // GIR_Coverage, 10532,
     /* 1723168 */     GIR_EraseRootFromParent_Done,
     /* 1723169 */   // Label 23531: @1723169
     /* 1723169 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1723255), // Rule ID 10533 //
     /* 1723174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1723185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1723188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1723191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1723194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723220 */     // MIs[0] policy
     /* 1723220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1723233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723254 */     // GIR_Coverage, 10533,
     /* 1723254 */     GIR_EraseRootFromParent_Done,
     /* 1723255 */   // Label 23532: @1723255
     /* 1723255 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1723341), // Rule ID 10536 //
     /* 1723260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1723271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1723274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1723277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1723280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723306 */     // MIs[0] policy
     /* 1723306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1723319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723340 */     // GIR_Coverage, 10536,
     /* 1723340 */     GIR_EraseRootFromParent_Done,
     /* 1723341 */   // Label 23533: @1723341
     /* 1723341 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1723427), // Rule ID 10537 //
     /* 1723346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1723357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1723360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1723363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1723366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723392 */     // MIs[0] policy
     /* 1723392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1723405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723426 */     // GIR_Coverage, 10537,
     /* 1723426 */     GIR_EraseRootFromParent_Done,
     /* 1723427 */   // Label 23534: @1723427
     /* 1723427 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1723513), // Rule ID 10540 //
     /* 1723432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1723452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723478 */     // MIs[0] policy
     /* 1723478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1723491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723512 */     // GIR_Coverage, 10540,
     /* 1723512 */     GIR_EraseRootFromParent_Done,
     /* 1723513 */   // Label 23535: @1723513
     /* 1723513 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1723599), // Rule ID 10541 //
     /* 1723518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1723538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723564 */     // MIs[0] policy
     /* 1723564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1723577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723598 */     // GIR_Coverage, 10541,
     /* 1723598 */     GIR_EraseRootFromParent_Done,
     /* 1723599 */   // Label 23536: @1723599
     /* 1723599 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1723685), // Rule ID 10544 //
     /* 1723604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1723624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723650 */     // MIs[0] policy
     /* 1723650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723660 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1723663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723684 */     // GIR_Coverage, 10544,
     /* 1723684 */     GIR_EraseRootFromParent_Done,
     /* 1723685 */   // Label 23537: @1723685
     /* 1723685 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1723771), // Rule ID 10545 //
     /* 1723690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1723710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723736 */     // MIs[0] policy
     /* 1723736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1723749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723770 */     // GIR_Coverage, 10545,
     /* 1723770 */     GIR_EraseRootFromParent_Done,
     /* 1723771 */   // Label 23538: @1723771
     /* 1723771 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1723857), // Rule ID 10548 //
     /* 1723776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1723796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723822 */     // MIs[0] policy
     /* 1723822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723832 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1723835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723856 */     // GIR_Coverage, 10548,
     /* 1723856 */     GIR_EraseRootFromParent_Done,
     /* 1723857 */   // Label 23539: @1723857
     /* 1723857 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1723943), // Rule ID 10549 //
     /* 1723862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1723882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723908 */     // MIs[0] policy
     /* 1723908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723918 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1723921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723942 */     // GIR_Coverage, 10549,
     /* 1723942 */     GIR_EraseRootFromParent_Done,
     /* 1723943 */   // Label 23540: @1723943
     /* 1723943 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1724029), // Rule ID 10552 //
     /* 1723948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1723968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723994 */     // MIs[0] policy
     /* 1723994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1724007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724028 */     // GIR_Coverage, 10552,
     /* 1724028 */     GIR_EraseRootFromParent_Done,
     /* 1724029 */   // Label 23541: @1724029
     /* 1724029 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1724115), // Rule ID 10553 //
     /* 1724034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1724045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1724048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1724051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1724054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724080 */     // MIs[0] policy
     /* 1724080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724090 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1724093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724114 */     // GIR_Coverage, 10553,
     /* 1724114 */     GIR_EraseRootFromParent_Done,
     /* 1724115 */   // Label 23542: @1724115
     /* 1724115 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1724201), // Rule ID 10556 //
     /* 1724120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1724131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1724134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1724137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1724140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724166 */     // MIs[0] policy
     /* 1724166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1724179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724200 */     // GIR_Coverage, 10556,
     /* 1724200 */     GIR_EraseRootFromParent_Done,
     /* 1724201 */   // Label 23543: @1724201
     /* 1724201 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1724287), // Rule ID 10557 //
     /* 1724206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1724217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1724220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1724223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1724226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724252 */     // MIs[0] policy
     /* 1724252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1724265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724286 */     // GIR_Coverage, 10557,
     /* 1724286 */     GIR_EraseRootFromParent_Done,
     /* 1724287 */   // Label 23544: @1724287
     /* 1724287 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1724373), // Rule ID 10560 //
     /* 1724292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1724309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1724312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724338 */     // MIs[0] policy
     /* 1724338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1724351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724372 */     // GIR_Coverage, 10560,
     /* 1724372 */     GIR_EraseRootFromParent_Done,
     /* 1724373 */   // Label 23545: @1724373
     /* 1724373 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1724459), // Rule ID 10561 //
     /* 1724378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1724395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1724398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724424 */     // MIs[0] policy
     /* 1724424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1724437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724458 */     // GIR_Coverage, 10561,
     /* 1724458 */     GIR_EraseRootFromParent_Done,
     /* 1724459 */   // Label 23546: @1724459
     /* 1724459 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1724545), // Rule ID 10564 //
     /* 1724464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1724481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1724484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724510 */     // MIs[0] policy
     /* 1724510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1724523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724544 */     // GIR_Coverage, 10564,
     /* 1724544 */     GIR_EraseRootFromParent_Done,
     /* 1724545 */   // Label 23547: @1724545
     /* 1724545 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1724631), // Rule ID 10565 //
     /* 1724550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1724567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1724570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724596 */     // MIs[0] policy
     /* 1724596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1724609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724630 */     // GIR_Coverage, 10565,
     /* 1724630 */     GIR_EraseRootFromParent_Done,
     /* 1724631 */   // Label 23548: @1724631
     /* 1724631 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1724717), // Rule ID 10568 //
     /* 1724636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1724653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1724656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724682 */     // MIs[0] policy
     /* 1724682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1724695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724716 */     // GIR_Coverage, 10568,
     /* 1724716 */     GIR_EraseRootFromParent_Done,
     /* 1724717 */   // Label 23549: @1724717
     /* 1724717 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1724803), // Rule ID 10569 //
     /* 1724722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1724739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1724742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724768 */     // MIs[0] policy
     /* 1724768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1724781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724802 */     // GIR_Coverage, 10569,
     /* 1724802 */     GIR_EraseRootFromParent_Done,
     /* 1724803 */   // Label 23550: @1724803
     /* 1724803 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1724889), // Rule ID 10572 //
     /* 1724808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1724828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724854 */     // MIs[0] policy
     /* 1724854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724864 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1724867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724888 */     // GIR_Coverage, 10572,
     /* 1724888 */     GIR_EraseRootFromParent_Done,
     /* 1724889 */   // Label 23551: @1724889
     /* 1724889 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1724975), // Rule ID 10573 //
     /* 1724894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1724914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724940 */     // MIs[0] policy
     /* 1724940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1724953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724974 */     // GIR_Coverage, 10573,
     /* 1724974 */     GIR_EraseRootFromParent_Done,
     /* 1724975 */   // Label 23552: @1724975
     /* 1724975 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1725061), // Rule ID 10576 //
     /* 1724980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1724988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1725000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725026 */     // MIs[0] policy
     /* 1725026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725036 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1725039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725060 */     // GIR_Coverage, 10576,
     /* 1725060 */     GIR_EraseRootFromParent_Done,
     /* 1725061 */   // Label 23553: @1725061
     /* 1725061 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1725147), // Rule ID 10577 //
     /* 1725066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1725077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1725080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1725083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1725086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725112 */     // MIs[0] policy
     /* 1725112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1725125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725146 */     // GIR_Coverage, 10577,
     /* 1725146 */     GIR_EraseRootFromParent_Done,
     /* 1725147 */   // Label 23554: @1725147
     /* 1725147 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1725233), // Rule ID 10580 //
     /* 1725152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1725163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1725166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1725169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1725172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725198 */     // MIs[0] policy
     /* 1725198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1725211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725232 */     // GIR_Coverage, 10580,
     /* 1725232 */     GIR_EraseRootFromParent_Done,
     /* 1725233 */   // Label 23555: @1725233
     /* 1725233 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1725319), // Rule ID 10581 //
     /* 1725238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1725249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1725252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1725255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1725258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725284 */     // MIs[0] policy
     /* 1725284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1725297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725318 */     // GIR_Coverage, 10581,
     /* 1725318 */     GIR_EraseRootFromParent_Done,
     /* 1725319 */   // Label 23556: @1725319
     /* 1725319 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1725405), // Rule ID 10584 //
     /* 1725324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1725335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1725338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1725341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1725344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725370 */     // MIs[0] policy
     /* 1725370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1725383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725404 */     // GIR_Coverage, 10584,
     /* 1725404 */     GIR_EraseRootFromParent_Done,
     /* 1725405 */   // Label 23557: @1725405
     /* 1725405 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1725491), // Rule ID 10585 //
     /* 1725410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1725421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1725424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1725427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1725430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725456 */     // MIs[0] policy
     /* 1725456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1725469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725490 */     // GIR_Coverage, 10585,
     /* 1725490 */     GIR_EraseRootFromParent_Done,
     /* 1725491 */   // Label 23558: @1725491
     /* 1725491 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1725577), // Rule ID 10588 //
     /* 1725496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725542 */     // MIs[0] policy
     /* 1725542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1725555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725576 */     // GIR_Coverage, 10588,
     /* 1725576 */     GIR_EraseRootFromParent_Done,
     /* 1725577 */   // Label 23559: @1725577
     /* 1725577 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1725663), // Rule ID 10589 //
     /* 1725582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725628 */     // MIs[0] policy
     /* 1725628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725638 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1725641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725662 */     // GIR_Coverage, 10589,
     /* 1725662 */     GIR_EraseRootFromParent_Done,
     /* 1725663 */   // Label 23560: @1725663
     /* 1725663 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1725749), // Rule ID 10592 //
     /* 1725668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725714 */     // MIs[0] policy
     /* 1725714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725724 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1725727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725748 */     // GIR_Coverage, 10592,
     /* 1725748 */     GIR_EraseRootFromParent_Done,
     /* 1725749 */   // Label 23561: @1725749
     /* 1725749 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1725835), // Rule ID 10593 //
     /* 1725754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725800 */     // MIs[0] policy
     /* 1725800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725810 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1725813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725834 */     // GIR_Coverage, 10593,
     /* 1725834 */     GIR_EraseRootFromParent_Done,
     /* 1725835 */   // Label 23562: @1725835
     /* 1725835 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1725921), // Rule ID 10596 //
     /* 1725840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725886 */     // MIs[0] policy
     /* 1725886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1725899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725920 */     // GIR_Coverage, 10596,
     /* 1725920 */     GIR_EraseRootFromParent_Done,
     /* 1725921 */   // Label 23563: @1725921
     /* 1725921 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1726007), // Rule ID 10597 //
     /* 1725926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1725934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725972 */     // MIs[0] policy
     /* 1725972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1725985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726006 */     // GIR_Coverage, 10597,
     /* 1726006 */     GIR_EraseRootFromParent_Done,
     /* 1726007 */   // Label 23564: @1726007
     /* 1726007 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1726093), // Rule ID 10600 //
     /* 1726012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726058 */     // MIs[0] policy
     /* 1726058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1726071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726092 */     // GIR_Coverage, 10600,
     /* 1726092 */     GIR_EraseRootFromParent_Done,
     /* 1726093 */   // Label 23565: @1726093
     /* 1726093 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1726179), // Rule ID 10601 //
     /* 1726098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726144 */     // MIs[0] policy
     /* 1726144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726154 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1726157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726178 */     // GIR_Coverage, 10601,
     /* 1726178 */     GIR_EraseRootFromParent_Done,
     /* 1726179 */   // Label 23566: @1726179
     /* 1726179 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1726265), // Rule ID 10604 //
     /* 1726184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1726195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1726198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1726201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726230 */     // MIs[0] policy
     /* 1726230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726240 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1726243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726264 */     // GIR_Coverage, 10604,
     /* 1726264 */     GIR_EraseRootFromParent_Done,
     /* 1726265 */   // Label 23567: @1726265
     /* 1726265 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1726351), // Rule ID 10605 //
     /* 1726270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1726281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1726284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1726287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726316 */     // MIs[0] policy
     /* 1726316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1726329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726350 */     // GIR_Coverage, 10605,
     /* 1726350 */     GIR_EraseRootFromParent_Done,
     /* 1726351 */   // Label 23568: @1726351
     /* 1726351 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1726437), // Rule ID 10608 //
     /* 1726356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1726367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1726370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1726373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726402 */     // MIs[0] policy
     /* 1726402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1726415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726436 */     // GIR_Coverage, 10608,
     /* 1726436 */     GIR_EraseRootFromParent_Done,
     /* 1726437 */   // Label 23569: @1726437
     /* 1726437 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1726523), // Rule ID 10609 //
     /* 1726442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1726453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1726456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1726459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726488 */     // MIs[0] policy
     /* 1726488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1726501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726522 */     // GIR_Coverage, 10609,
     /* 1726522 */     GIR_EraseRootFromParent_Done,
     /* 1726523 */   // Label 23570: @1726523
     /* 1726523 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1726609), // Rule ID 10612 //
     /* 1726528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726574 */     // MIs[0] policy
     /* 1726574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1726587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726608 */     // GIR_Coverage, 10612,
     /* 1726608 */     GIR_EraseRootFromParent_Done,
     /* 1726609 */   // Label 23571: @1726609
     /* 1726609 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1726695), // Rule ID 10613 //
     /* 1726614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726660 */     // MIs[0] policy
     /* 1726660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1726673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726694 */     // GIR_Coverage, 10613,
     /* 1726694 */     GIR_EraseRootFromParent_Done,
     /* 1726695 */   // Label 23572: @1726695
     /* 1726695 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1726781), // Rule ID 10616 //
     /* 1726700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726746 */     // MIs[0] policy
     /* 1726746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1726759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726780 */     // GIR_Coverage, 10616,
     /* 1726780 */     GIR_EraseRootFromParent_Done,
     /* 1726781 */   // Label 23573: @1726781
     /* 1726781 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1726867), // Rule ID 10617 //
     /* 1726786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726832 */     // MIs[0] policy
     /* 1726832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1726845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726866 */     // GIR_Coverage, 10617,
     /* 1726866 */     GIR_EraseRootFromParent_Done,
     /* 1726867 */   // Label 23574: @1726867
     /* 1726867 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1726953), // Rule ID 10620 //
     /* 1726872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726918 */     // MIs[0] policy
     /* 1726918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1726931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726952 */     // GIR_Coverage, 10620,
     /* 1726952 */     GIR_EraseRootFromParent_Done,
     /* 1726953 */   // Label 23575: @1726953
     /* 1726953 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1727039), // Rule ID 10621 //
     /* 1726958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1726966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727004 */     // MIs[0] policy
     /* 1727004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1727017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727038 */     // GIR_Coverage, 10621,
     /* 1727038 */     GIR_EraseRootFromParent_Done,
     /* 1727039 */   // Label 23576: @1727039
     /* 1727039 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1727125), // Rule ID 10624 //
     /* 1727044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1727055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1727058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1727061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727090 */     // MIs[0] policy
     /* 1727090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1727103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727124 */     // GIR_Coverage, 10624,
     /* 1727124 */     GIR_EraseRootFromParent_Done,
     /* 1727125 */   // Label 23577: @1727125
     /* 1727125 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1727211), // Rule ID 10625 //
     /* 1727130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1727141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1727144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1727147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727176 */     // MIs[0] policy
     /* 1727176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1727189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727210 */     // GIR_Coverage, 10625,
     /* 1727210 */     GIR_EraseRootFromParent_Done,
     /* 1727211 */   // Label 23578: @1727211
     /* 1727211 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1727297), // Rule ID 10628 //
     /* 1727216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1727227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1727230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1727233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727262 */     // MIs[0] policy
     /* 1727262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1727275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727296 */     // GIR_Coverage, 10628,
     /* 1727296 */     GIR_EraseRootFromParent_Done,
     /* 1727297 */   // Label 23579: @1727297
     /* 1727297 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1727383), // Rule ID 10629 //
     /* 1727302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1727313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1727316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1727319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727348 */     // MIs[0] policy
     /* 1727348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1727361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727382 */     // GIR_Coverage, 10629,
     /* 1727382 */     GIR_EraseRootFromParent_Done,
     /* 1727383 */   // Label 23580: @1727383
     /* 1727383 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1727469), // Rule ID 10632 //
     /* 1727388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727434 */     // MIs[0] policy
     /* 1727434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727444 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1727447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727468 */     // GIR_Coverage, 10632,
     /* 1727468 */     GIR_EraseRootFromParent_Done,
     /* 1727469 */   // Label 23581: @1727469
     /* 1727469 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1727555), // Rule ID 10633 //
     /* 1727474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727520 */     // MIs[0] policy
     /* 1727520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1727533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727554 */     // GIR_Coverage, 10633,
     /* 1727554 */     GIR_EraseRootFromParent_Done,
     /* 1727555 */   // Label 23582: @1727555
     /* 1727555 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1727641), // Rule ID 10636 //
     /* 1727560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727606 */     // MIs[0] policy
     /* 1727606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727616 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1727619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727640 */     // GIR_Coverage, 10636,
     /* 1727640 */     GIR_EraseRootFromParent_Done,
     /* 1727641 */   // Label 23583: @1727641
     /* 1727641 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1727727), // Rule ID 10637 //
     /* 1727646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727692 */     // MIs[0] policy
     /* 1727692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1727705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727726 */     // GIR_Coverage, 10637,
     /* 1727726 */     GIR_EraseRootFromParent_Done,
     /* 1727727 */   // Label 23584: @1727727
     /* 1727727 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1727813), // Rule ID 10640 //
     /* 1727732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727778 */     // MIs[0] policy
     /* 1727778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1727791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727812 */     // GIR_Coverage, 10640,
     /* 1727812 */     GIR_EraseRootFromParent_Done,
     /* 1727813 */   // Label 23585: @1727813
     /* 1727813 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1727899), // Rule ID 10641 //
     /* 1727818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727864 */     // MIs[0] policy
     /* 1727864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1727877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727898 */     // GIR_Coverage, 10641,
     /* 1727898 */     GIR_EraseRootFromParent_Done,
     /* 1727899 */   // Label 23586: @1727899
     /* 1727899 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1727985), // Rule ID 10644 //
     /* 1727904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727950 */     // MIs[0] policy
     /* 1727950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1727963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727984 */     // GIR_Coverage, 10644,
     /* 1727984 */     GIR_EraseRootFromParent_Done,
     /* 1727985 */   // Label 23587: @1727985
     /* 1727985 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1728071), // Rule ID 10645 //
     /* 1727990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1727998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1728001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1728004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1728007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728036 */     // MIs[0] policy
     /* 1728036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1728049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728070 */     // GIR_Coverage, 10645,
     /* 1728070 */     GIR_EraseRootFromParent_Done,
     /* 1728071 */   // Label 23588: @1728071
     /* 1728071 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1728157), // Rule ID 10648 //
     /* 1728076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1728087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1728090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1728093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728122 */     // MIs[0] policy
     /* 1728122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1728135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728156 */     // GIR_Coverage, 10648,
     /* 1728156 */     GIR_EraseRootFromParent_Done,
     /* 1728157 */   // Label 23589: @1728157
     /* 1728157 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1728243), // Rule ID 10649 //
     /* 1728162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1728173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1728176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1728179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728208 */     // MIs[0] policy
     /* 1728208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1728221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728242 */     // GIR_Coverage, 10649,
     /* 1728242 */     GIR_EraseRootFromParent_Done,
     /* 1728243 */   // Label 23590: @1728243
     /* 1728243 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1728329), // Rule ID 10652 //
     /* 1728248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1728259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1728262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1728265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728294 */     // MIs[0] policy
     /* 1728294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1728307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728328 */     // GIR_Coverage, 10652,
     /* 1728328 */     GIR_EraseRootFromParent_Done,
     /* 1728329 */   // Label 23591: @1728329
     /* 1728329 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1728415), // Rule ID 10653 //
     /* 1728334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1728345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1728348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1728351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728380 */     // MIs[0] policy
     /* 1728380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1728393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728414 */     // GIR_Coverage, 10653,
     /* 1728414 */     GIR_EraseRootFromParent_Done,
     /* 1728415 */   // Label 23592: @1728415
     /* 1728415 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1728501), // Rule ID 10656 //
     /* 1728420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728466 */     // MIs[0] policy
     /* 1728466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1728479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728500 */     // GIR_Coverage, 10656,
     /* 1728500 */     GIR_EraseRootFromParent_Done,
     /* 1728501 */   // Label 23593: @1728501
     /* 1728501 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1728587), // Rule ID 10657 //
     /* 1728506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728552 */     // MIs[0] policy
     /* 1728552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1728565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728586 */     // GIR_Coverage, 10657,
     /* 1728586 */     GIR_EraseRootFromParent_Done,
     /* 1728587 */   // Label 23594: @1728587
     /* 1728587 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1728673), // Rule ID 10660 //
     /* 1728592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728638 */     // MIs[0] policy
     /* 1728638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1728651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728672 */     // GIR_Coverage, 10660,
     /* 1728672 */     GIR_EraseRootFromParent_Done,
     /* 1728673 */   // Label 23595: @1728673
     /* 1728673 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1728759), // Rule ID 10661 //
     /* 1728678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728724 */     // MIs[0] policy
     /* 1728724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1728737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728758 */     // GIR_Coverage, 10661,
     /* 1728758 */     GIR_EraseRootFromParent_Done,
     /* 1728759 */   // Label 23596: @1728759
     /* 1728759 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1728845), // Rule ID 10664 //
     /* 1728764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728810 */     // MIs[0] policy
     /* 1728810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728820 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1728823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728844 */     // GIR_Coverage, 10664,
     /* 1728844 */     GIR_EraseRootFromParent_Done,
     /* 1728845 */   // Label 23597: @1728845
     /* 1728845 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1728931), // Rule ID 10665 //
     /* 1728850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728896 */     // MIs[0] policy
     /* 1728896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1728909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728930 */     // GIR_Coverage, 10665,
     /* 1728930 */     GIR_EraseRootFromParent_Done,
     /* 1728931 */   // Label 23598: @1728931
     /* 1728931 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1729017), // Rule ID 10668 //
     /* 1728936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728982 */     // MIs[0] policy
     /* 1728982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1728995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729016 */     // GIR_Coverage, 10668,
     /* 1729016 */     GIR_EraseRootFromParent_Done,
     /* 1729017 */   // Label 23599: @1729017
     /* 1729017 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1729103), // Rule ID 10669 //
     /* 1729022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1729033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1729036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1729039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729068 */     // MIs[0] policy
     /* 1729068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1729081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729102 */     // GIR_Coverage, 10669,
     /* 1729102 */     GIR_EraseRootFromParent_Done,
     /* 1729103 */   // Label 23600: @1729103
     /* 1729103 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1729189), // Rule ID 10672 //
     /* 1729108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1729111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1729119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1729122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1729125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729154 */     // MIs[0] policy
     /* 1729154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1729167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729188 */     // GIR_Coverage, 10672,
     /* 1729188 */     GIR_EraseRootFromParent_Done,
     /* 1729189 */   // Label 23601: @1729189
     /* 1729189 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1729275), // Rule ID 10673 //
     /* 1729194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1729205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1729208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1729211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729240 */     // MIs[0] policy
     /* 1729240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1729253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729274 */     // GIR_Coverage, 10673,
     /* 1729274 */     GIR_EraseRootFromParent_Done,
     /* 1729275 */   // Label 23602: @1729275
     /* 1729275 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1729361), // Rule ID 10676 //
     /* 1729280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1729291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1729294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1729297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1729300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729326 */     // MIs[0] policy
     /* 1729326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1729339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729360 */     // GIR_Coverage, 10676,
     /* 1729360 */     GIR_EraseRootFromParent_Done,
     /* 1729361 */   // Label 23603: @1729361
     /* 1729361 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1729447), // Rule ID 10677 //
     /* 1729366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1729377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1729380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1729383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1729386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729412 */     // MIs[0] policy
     /* 1729412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1729425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729446 */     // GIR_Coverage, 10677,
     /* 1729446 */     GIR_EraseRootFromParent_Done,
     /* 1729447 */   // Label 23604: @1729447
     /* 1729447 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1729533), // Rule ID 10680 //
     /* 1729452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1729469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1729472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729498 */     // MIs[0] policy
     /* 1729498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1729511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729532 */     // GIR_Coverage, 10680,
     /* 1729532 */     GIR_EraseRootFromParent_Done,
     /* 1729533 */   // Label 23605: @1729533
     /* 1729533 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1729619), // Rule ID 10681 //
     /* 1729538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1729555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1729558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729584 */     // MIs[0] policy
     /* 1729584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1729597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729618 */     // GIR_Coverage, 10681,
     /* 1729618 */     GIR_EraseRootFromParent_Done,
     /* 1729619 */   // Label 23606: @1729619
     /* 1729619 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1729705), // Rule ID 10684 //
     /* 1729624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1729641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1729644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729670 */     // MIs[0] policy
     /* 1729670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1729683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729704 */     // GIR_Coverage, 10684,
     /* 1729704 */     GIR_EraseRootFromParent_Done,
     /* 1729705 */   // Label 23607: @1729705
     /* 1729705 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1729791), // Rule ID 10685 //
     /* 1729710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1729727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1729730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729756 */     // MIs[0] policy
     /* 1729756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729766 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1729769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729790 */     // GIR_Coverage, 10685,
     /* 1729790 */     GIR_EraseRootFromParent_Done,
     /* 1729791 */   // Label 23608: @1729791
     /* 1729791 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1729877), // Rule ID 10688 //
     /* 1729796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1729816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729842 */     // MIs[0] policy
     /* 1729842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1729855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729876 */     // GIR_Coverage, 10688,
     /* 1729876 */     GIR_EraseRootFromParent_Done,
     /* 1729877 */   // Label 23609: @1729877
     /* 1729877 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1729963), // Rule ID 10689 //
     /* 1729882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1729902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729928 */     // MIs[0] policy
     /* 1729928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1729941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729962 */     // GIR_Coverage, 10689,
     /* 1729962 */     GIR_EraseRootFromParent_Done,
     /* 1729963 */   // Label 23610: @1729963
     /* 1729963 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1730049), // Rule ID 10692 //
     /* 1729968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1729988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730014 */     // MIs[0] policy
     /* 1730014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1730027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730048 */     // GIR_Coverage, 10692,
     /* 1730048 */     GIR_EraseRootFromParent_Done,
     /* 1730049 */   // Label 23611: @1730049
     /* 1730049 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1730135), // Rule ID 10693 //
     /* 1730054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1730065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1730068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1730071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1730074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730100 */     // MIs[0] policy
     /* 1730100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1730113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730134 */     // GIR_Coverage, 10693,
     /* 1730134 */     GIR_EraseRootFromParent_Done,
     /* 1730135 */   // Label 23612: @1730135
     /* 1730135 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1730221), // Rule ID 10696 //
     /* 1730140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1730151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1730154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1730157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1730160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730186 */     // MIs[0] policy
     /* 1730186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1730199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730220 */     // GIR_Coverage, 10696,
     /* 1730220 */     GIR_EraseRootFromParent_Done,
     /* 1730221 */   // Label 23613: @1730221
     /* 1730221 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1730307), // Rule ID 10697 //
     /* 1730226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1730237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1730240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1730243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1730246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730272 */     // MIs[0] policy
     /* 1730272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1730285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730306 */     // GIR_Coverage, 10697,
     /* 1730306 */     GIR_EraseRootFromParent_Done,
     /* 1730307 */   // Label 23614: @1730307
     /* 1730307 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1730393), // Rule ID 10700 //
     /* 1730312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1730323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1730326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1730329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1730332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730358 */     // MIs[0] policy
     /* 1730358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730392 */     // GIR_Coverage, 10700,
     /* 1730392 */     GIR_EraseRootFromParent_Done,
     /* 1730393 */   // Label 23615: @1730393
     /* 1730393 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1730479), // Rule ID 10701 //
     /* 1730398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1730409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1730412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1730415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1730418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730444 */     // MIs[0] policy
     /* 1730444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730478 */     // GIR_Coverage, 10701,
     /* 1730478 */     GIR_EraseRootFromParent_Done,
     /* 1730479 */   // Label 23616: @1730479
     /* 1730479 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1730565), // Rule ID 10704 //
     /* 1730484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1730501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1730504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730530 */     // MIs[0] policy
     /* 1730530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730564 */     // GIR_Coverage, 10704,
     /* 1730564 */     GIR_EraseRootFromParent_Done,
     /* 1730565 */   // Label 23617: @1730565
     /* 1730565 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1730651), // Rule ID 10705 //
     /* 1730570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1730587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1730590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730616 */     // MIs[0] policy
     /* 1730616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730650 */     // GIR_Coverage, 10705,
     /* 1730650 */     GIR_EraseRootFromParent_Done,
     /* 1730651 */   // Label 23618: @1730651
     /* 1730651 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1730737), // Rule ID 10708 //
     /* 1730656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1730673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1730676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730702 */     // MIs[0] policy
     /* 1730702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730736 */     // GIR_Coverage, 10708,
     /* 1730736 */     GIR_EraseRootFromParent_Done,
     /* 1730737 */   // Label 23619: @1730737
     /* 1730737 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1730823), // Rule ID 10709 //
     /* 1730742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1730759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1730762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730788 */     // MIs[0] policy
     /* 1730788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730822 */     // GIR_Coverage, 10709,
     /* 1730822 */     GIR_EraseRootFromParent_Done,
     /* 1730823 */   // Label 23620: @1730823
     /* 1730823 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1730909), // Rule ID 10712 //
     /* 1730828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1730848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730874 */     // MIs[0] policy
     /* 1730874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730908 */     // GIR_Coverage, 10712,
     /* 1730908 */     GIR_EraseRootFromParent_Done,
     /* 1730909 */   // Label 23621: @1730909
     /* 1730909 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1730995), // Rule ID 10713 //
     /* 1730914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1730934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730960 */     // MIs[0] policy
     /* 1730960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1730973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730994 */     // GIR_Coverage, 10713,
     /* 1730994 */     GIR_EraseRootFromParent_Done,
     /* 1730995 */   // Label 23622: @1730995
     /* 1730995 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1731081), // Rule ID 10716 //
     /* 1731000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1731011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1731014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1731017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1731020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731046 */     // MIs[0] policy
     /* 1731046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1731059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731080 */     // GIR_Coverage, 10716,
     /* 1731080 */     GIR_EraseRootFromParent_Done,
     /* 1731081 */   // Label 23623: @1731081
     /* 1731081 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1731167), // Rule ID 10717 //
     /* 1731086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1731097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1731100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1731103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1731106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731132 */     // MIs[0] policy
     /* 1731132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1731145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731166 */     // GIR_Coverage, 10717,
     /* 1731166 */     GIR_EraseRootFromParent_Done,
     /* 1731167 */   // Label 23624: @1731167
     /* 1731167 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1731253), // Rule ID 10720 //
     /* 1731172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1731183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1731186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1731189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1731192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731218 */     // MIs[0] policy
     /* 1731218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1731231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731252 */     // GIR_Coverage, 10720,
     /* 1731252 */     GIR_EraseRootFromParent_Done,
     /* 1731253 */   // Label 23625: @1731253
     /* 1731253 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1731339), // Rule ID 10721 //
     /* 1731258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1731269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1731272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1731275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1731278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731304 */     // MIs[0] policy
     /* 1731304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1731317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731338 */     // GIR_Coverage, 10721,
     /* 1731338 */     GIR_EraseRootFromParent_Done,
     /* 1731339 */   // Label 23626: @1731339
     /* 1731339 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1731425), // Rule ID 10724 //
     /* 1731344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1731355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1731358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1731361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1731364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1731367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731390 */     // MIs[0] policy
     /* 1731390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1731403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731424 */     // GIR_Coverage, 10724,
     /* 1731424 */     GIR_EraseRootFromParent_Done,
     /* 1731425 */   // Label 23627: @1731425
     /* 1731425 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1731511), // Rule ID 10725 //
     /* 1731430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1731441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1731444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1731447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1731450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1731453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731476 */     // MIs[0] policy
     /* 1731476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1731489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731510 */     // GIR_Coverage, 10725,
     /* 1731510 */     GIR_EraseRootFromParent_Done,
     /* 1731511 */   // Label 23628: @1731511
     /* 1731511 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1731597), // Rule ID 10728 //
     /* 1731516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1731533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1731536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731562 */     // MIs[0] policy
     /* 1731562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1731575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731596 */     // GIR_Coverage, 10728,
     /* 1731596 */     GIR_EraseRootFromParent_Done,
     /* 1731597 */   // Label 23629: @1731597
     /* 1731597 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1731683), // Rule ID 10729 //
     /* 1731602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1731619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1731622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731648 */     // MIs[0] policy
     /* 1731648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1731661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731682 */     // GIR_Coverage, 10729,
     /* 1731682 */     GIR_EraseRootFromParent_Done,
     /* 1731683 */   // Label 23630: @1731683
     /* 1731683 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1731769), // Rule ID 10732 //
     /* 1731688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1731705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1731708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731734 */     // MIs[0] policy
     /* 1731734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1731747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731768 */     // GIR_Coverage, 10732,
     /* 1731768 */     GIR_EraseRootFromParent_Done,
     /* 1731769 */   // Label 23631: @1731769
     /* 1731769 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1731855), // Rule ID 10733 //
     /* 1731774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1731791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1731794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731820 */     // MIs[0] policy
     /* 1731820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1731833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731854 */     // GIR_Coverage, 10733,
     /* 1731854 */     GIR_EraseRootFromParent_Done,
     /* 1731855 */   // Label 23632: @1731855
     /* 1731855 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1731941), // Rule ID 10736 //
     /* 1731860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1731880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731906 */     // MIs[0] policy
     /* 1731906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1731919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731940 */     // GIR_Coverage, 10736,
     /* 1731940 */     GIR_EraseRootFromParent_Done,
     /* 1731941 */   // Label 23633: @1731941
     /* 1731941 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1732027), // Rule ID 10737 //
     /* 1731946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1731954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1731966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731992 */     // MIs[0] policy
     /* 1731992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1732005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732026 */     // GIR_Coverage, 10737,
     /* 1732026 */     GIR_EraseRootFromParent_Done,
     /* 1732027 */   // Label 23634: @1732027
     /* 1732027 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1732113), // Rule ID 10740 //
     /* 1732032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1732043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1732046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1732049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1732052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732078 */     // MIs[0] policy
     /* 1732078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1732091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732112 */     // GIR_Coverage, 10740,
     /* 1732112 */     GIR_EraseRootFromParent_Done,
     /* 1732113 */   // Label 23635: @1732113
     /* 1732113 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1732199), // Rule ID 10741 //
     /* 1732118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1732129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1732132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1732135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1732138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732164 */     // MIs[0] policy
     /* 1732164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1732177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732198 */     // GIR_Coverage, 10741,
     /* 1732198 */     GIR_EraseRootFromParent_Done,
     /* 1732199 */   // Label 23636: @1732199
     /* 1732199 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1732285), // Rule ID 10744 //
     /* 1732204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1732215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1732218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1732221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1732224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732250 */     // MIs[0] policy
     /* 1732250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1732263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732284 */     // GIR_Coverage, 10744,
     /* 1732284 */     GIR_EraseRootFromParent_Done,
     /* 1732285 */   // Label 23637: @1732285
     /* 1732285 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1732371), // Rule ID 10745 //
     /* 1732290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1732301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1732304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1732307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1732310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732336 */     // MIs[0] policy
     /* 1732336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1732349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732370 */     // GIR_Coverage, 10745,
     /* 1732370 */     GIR_EraseRootFromParent_Done,
     /* 1732371 */   // Label 23638: @1732371
     /* 1732371 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1732457), // Rule ID 10748 //
     /* 1732376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1732393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1732396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732422 */     // MIs[0] policy
     /* 1732422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1732435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732456 */     // GIR_Coverage, 10748,
     /* 1732456 */     GIR_EraseRootFromParent_Done,
     /* 1732457 */   // Label 23639: @1732457
     /* 1732457 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1732543), // Rule ID 10749 //
     /* 1732462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1732479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1732482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732508 */     // MIs[0] policy
     /* 1732508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1732521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732542 */     // GIR_Coverage, 10749,
     /* 1732542 */     GIR_EraseRootFromParent_Done,
     /* 1732543 */   // Label 23640: @1732543
     /* 1732543 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1732629), // Rule ID 10752 //
     /* 1732548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1732565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1732568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732594 */     // MIs[0] policy
     /* 1732594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1732607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732628 */     // GIR_Coverage, 10752,
     /* 1732628 */     GIR_EraseRootFromParent_Done,
     /* 1732629 */   // Label 23641: @1732629
     /* 1732629 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1732715), // Rule ID 10753 //
     /* 1732634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1732651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1732654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732680 */     // MIs[0] policy
     /* 1732680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1732693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732714 */     // GIR_Coverage, 10753,
     /* 1732714 */     GIR_EraseRootFromParent_Done,
     /* 1732715 */   // Label 23642: @1732715
     /* 1732715 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1732801), // Rule ID 10756 //
     /* 1732720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1732740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732766 */     // MIs[0] policy
     /* 1732766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1732779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732800 */     // GIR_Coverage, 10756,
     /* 1732800 */     GIR_EraseRootFromParent_Done,
     /* 1732801 */   // Label 23643: @1732801
     /* 1732801 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1732887), // Rule ID 10757 //
     /* 1732806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1732826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732852 */     // MIs[0] policy
     /* 1732852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1732865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732886 */     // GIR_Coverage, 10757,
     /* 1732886 */     GIR_EraseRootFromParent_Done,
     /* 1732887 */   // Label 23644: @1732887
     /* 1732887 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1732973), // Rule ID 10760 //
     /* 1732892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1732912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732938 */     // MIs[0] policy
     /* 1732938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1732951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732972 */     // GIR_Coverage, 10760,
     /* 1732972 */     GIR_EraseRootFromParent_Done,
     /* 1732973 */   // Label 23645: @1732973
     /* 1732973 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1733059), // Rule ID 10761 //
     /* 1732978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1732986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1732998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733024 */     // MIs[0] policy
     /* 1733024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1733037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733058 */     // GIR_Coverage, 10761,
     /* 1733058 */     GIR_EraseRootFromParent_Done,
     /* 1733059 */   // Label 23646: @1733059
     /* 1733059 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1733145), // Rule ID 10764 //
     /* 1733064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1733075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1733078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1733081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733110 */     // MIs[0] policy
     /* 1733110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1733123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733144 */     // GIR_Coverage, 10764,
     /* 1733144 */     GIR_EraseRootFromParent_Done,
     /* 1733145 */   // Label 23647: @1733145
     /* 1733145 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1733231), // Rule ID 10765 //
     /* 1733150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1733161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1733164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1733167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733196 */     // MIs[0] policy
     /* 1733196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733206 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1733209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733230 */     // GIR_Coverage, 10765,
     /* 1733230 */     GIR_EraseRootFromParent_Done,
     /* 1733231 */   // Label 23648: @1733231
     /* 1733231 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1733317), // Rule ID 10768 //
     /* 1733236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1733247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1733250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1733253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733282 */     // MIs[0] policy
     /* 1733282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1733295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733316 */     // GIR_Coverage, 10768,
     /* 1733316 */     GIR_EraseRootFromParent_Done,
     /* 1733317 */   // Label 23649: @1733317
     /* 1733317 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1733403), // Rule ID 10769 //
     /* 1733322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1733333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1733336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1733339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733368 */     // MIs[0] policy
     /* 1733368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1733381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733402 */     // GIR_Coverage, 10769,
     /* 1733402 */     GIR_EraseRootFromParent_Done,
     /* 1733403 */   // Label 23650: @1733403
     /* 1733403 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1733489), // Rule ID 10772 //
     /* 1733408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733454 */     // MIs[0] policy
     /* 1733454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1733467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733488 */     // GIR_Coverage, 10772,
     /* 1733488 */     GIR_EraseRootFromParent_Done,
     /* 1733489 */   // Label 23651: @1733489
     /* 1733489 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1733575), // Rule ID 10773 //
     /* 1733494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733540 */     // MIs[0] policy
     /* 1733540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733550 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1733553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733574 */     // GIR_Coverage, 10773,
     /* 1733574 */     GIR_EraseRootFromParent_Done,
     /* 1733575 */   // Label 23652: @1733575
     /* 1733575 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1733661), // Rule ID 10776 //
     /* 1733580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733626 */     // MIs[0] policy
     /* 1733626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1733639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733660 */     // GIR_Coverage, 10776,
     /* 1733660 */     GIR_EraseRootFromParent_Done,
     /* 1733661 */   // Label 23653: @1733661
     /* 1733661 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1733747), // Rule ID 10777 //
     /* 1733666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733712 */     // MIs[0] policy
     /* 1733712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1733725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733746 */     // GIR_Coverage, 10777,
     /* 1733746 */     GIR_EraseRootFromParent_Done,
     /* 1733747 */   // Label 23654: @1733747
     /* 1733747 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1733833), // Rule ID 10780 //
     /* 1733752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733798 */     // MIs[0] policy
     /* 1733798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1733811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733832 */     // GIR_Coverage, 10780,
     /* 1733832 */     GIR_EraseRootFromParent_Done,
     /* 1733833 */   // Label 23655: @1733833
     /* 1733833 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1733919), // Rule ID 10781 //
     /* 1733838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733884 */     // MIs[0] policy
     /* 1733884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1733897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733918 */     // GIR_Coverage, 10781,
     /* 1733918 */     GIR_EraseRootFromParent_Done,
     /* 1733919 */   // Label 23656: @1733919
     /* 1733919 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1734005), // Rule ID 10784 //
     /* 1733924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1733932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733970 */     // MIs[0] policy
     /* 1733970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1733983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734004 */     // GIR_Coverage, 10784,
     /* 1734004 */     GIR_EraseRootFromParent_Done,
     /* 1734005 */   // Label 23657: @1734005
     /* 1734005 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1734091), // Rule ID 10785 //
     /* 1734010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1734021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1734024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1734027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734056 */     // MIs[0] policy
     /* 1734056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1734069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734090 */     // GIR_Coverage, 10785,
     /* 1734090 */     GIR_EraseRootFromParent_Done,
     /* 1734091 */   // Label 23658: @1734091
     /* 1734091 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1734177), // Rule ID 10788 //
     /* 1734096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1734107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1734110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1734113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734142 */     // MIs[0] policy
     /* 1734142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734176 */     // GIR_Coverage, 10788,
     /* 1734176 */     GIR_EraseRootFromParent_Done,
     /* 1734177 */   // Label 23659: @1734177
     /* 1734177 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1734263), // Rule ID 10789 //
     /* 1734182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1734193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1734196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1734199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734228 */     // MIs[0] policy
     /* 1734228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734238 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734262 */     // GIR_Coverage, 10789,
     /* 1734262 */     GIR_EraseRootFromParent_Done,
     /* 1734263 */   // Label 23660: @1734263
     /* 1734263 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1734349), // Rule ID 10792 //
     /* 1734268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1734279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1734282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1734285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734314 */     // MIs[0] policy
     /* 1734314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734348 */     // GIR_Coverage, 10792,
     /* 1734348 */     GIR_EraseRootFromParent_Done,
     /* 1734349 */   // Label 23661: @1734349
     /* 1734349 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1734435), // Rule ID 10793 //
     /* 1734354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1734365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1734368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1734371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734400 */     // MIs[0] policy
     /* 1734400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734434 */     // GIR_Coverage, 10793,
     /* 1734434 */     GIR_EraseRootFromParent_Done,
     /* 1734435 */   // Label 23662: @1734435
     /* 1734435 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1734521), // Rule ID 10796 //
     /* 1734440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734486 */     // MIs[0] policy
     /* 1734486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734520 */     // GIR_Coverage, 10796,
     /* 1734520 */     GIR_EraseRootFromParent_Done,
     /* 1734521 */   // Label 23663: @1734521
     /* 1734521 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1734607), // Rule ID 10797 //
     /* 1734526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734572 */     // MIs[0] policy
     /* 1734572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734606 */     // GIR_Coverage, 10797,
     /* 1734606 */     GIR_EraseRootFromParent_Done,
     /* 1734607 */   // Label 23664: @1734607
     /* 1734607 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1734693), // Rule ID 10800 //
     /* 1734612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734658 */     // MIs[0] policy
     /* 1734658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734692 */     // GIR_Coverage, 10800,
     /* 1734692 */     GIR_EraseRootFromParent_Done,
     /* 1734693 */   // Label 23665: @1734693
     /* 1734693 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1734779), // Rule ID 10801 //
     /* 1734698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734744 */     // MIs[0] policy
     /* 1734744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1734757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734778 */     // GIR_Coverage, 10801,
     /* 1734778 */     GIR_EraseRootFromParent_Done,
     /* 1734779 */   // Label 23666: @1734779
     /* 1734779 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1734865), // Rule ID 10804 //
     /* 1734784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734830 */     // MIs[0] policy
     /* 1734830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734840 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1734843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734864 */     // GIR_Coverage, 10804,
     /* 1734864 */     GIR_EraseRootFromParent_Done,
     /* 1734865 */   // Label 23667: @1734865
     /* 1734865 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1734951), // Rule ID 10805 //
     /* 1734870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734916 */     // MIs[0] policy
     /* 1734916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1734929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734950 */     // GIR_Coverage, 10805,
     /* 1734950 */     GIR_EraseRootFromParent_Done,
     /* 1734951 */   // Label 23668: @1734951
     /* 1734951 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1735037), // Rule ID 10808 //
     /* 1734956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1734964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735002 */     // MIs[0] policy
     /* 1735002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1735015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735036 */     // GIR_Coverage, 10808,
     /* 1735036 */     GIR_EraseRootFromParent_Done,
     /* 1735037 */   // Label 23669: @1735037
     /* 1735037 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1735123), // Rule ID 10809 //
     /* 1735042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1735053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1735056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1735059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735088 */     // MIs[0] policy
     /* 1735088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1735101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735122 */     // GIR_Coverage, 10809,
     /* 1735122 */     GIR_EraseRootFromParent_Done,
     /* 1735123 */   // Label 23670: @1735123
     /* 1735123 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1735209), // Rule ID 10812 //
     /* 1735128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1735139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1735142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1735145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1735151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735174 */     // MIs[0] policy
     /* 1735174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735184 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1735187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735208 */     // GIR_Coverage, 10812,
     /* 1735208 */     GIR_EraseRootFromParent_Done,
     /* 1735209 */   // Label 23671: @1735209
     /* 1735209 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1735295), // Rule ID 10813 //
     /* 1735214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1735225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1735228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1735231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1735237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735260 */     // MIs[0] policy
     /* 1735260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735270 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1735273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735294 */     // GIR_Coverage, 10813,
     /* 1735294 */     GIR_EraseRootFromParent_Done,
     /* 1735295 */   // Label 23672: @1735295
     /* 1735295 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1735381), // Rule ID 10816 //
     /* 1735300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1735311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1735314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1735317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735346 */     // MIs[0] policy
     /* 1735346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735356 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1735359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735380 */     // GIR_Coverage, 10816,
     /* 1735380 */     GIR_EraseRootFromParent_Done,
     /* 1735381 */   // Label 23673: @1735381
     /* 1735381 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1735467), // Rule ID 10817 //
     /* 1735386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1735397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1735400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1735403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735432 */     // MIs[0] policy
     /* 1735432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1735445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735466 */     // GIR_Coverage, 10817,
     /* 1735466 */     GIR_EraseRootFromParent_Done,
     /* 1735467 */   // Label 23674: @1735467
     /* 1735467 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1735553), // Rule ID 10820 //
     /* 1735472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735518 */     // MIs[0] policy
     /* 1735518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1735531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735552 */     // GIR_Coverage, 10820,
     /* 1735552 */     GIR_EraseRootFromParent_Done,
     /* 1735553 */   // Label 23675: @1735553
     /* 1735553 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1735639), // Rule ID 10821 //
     /* 1735558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735604 */     // MIs[0] policy
     /* 1735604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735614 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1735617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735638 */     // GIR_Coverage, 10821,
     /* 1735638 */     GIR_EraseRootFromParent_Done,
     /* 1735639 */   // Label 23676: @1735639
     /* 1735639 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1735725), // Rule ID 10824 //
     /* 1735644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735690 */     // MIs[0] policy
     /* 1735690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1735703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735724 */     // GIR_Coverage, 10824,
     /* 1735724 */     GIR_EraseRootFromParent_Done,
     /* 1735725 */   // Label 23677: @1735725
     /* 1735725 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1735811), // Rule ID 10825 //
     /* 1735730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735776 */     // MIs[0] policy
     /* 1735776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1735789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735810 */     // GIR_Coverage, 10825,
     /* 1735810 */     GIR_EraseRootFromParent_Done,
     /* 1735811 */   // Label 23678: @1735811
     /* 1735811 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1735897), // Rule ID 10828 //
     /* 1735816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735862 */     // MIs[0] policy
     /* 1735862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1735875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735896 */     // GIR_Coverage, 10828,
     /* 1735896 */     GIR_EraseRootFromParent_Done,
     /* 1735897 */   // Label 23679: @1735897
     /* 1735897 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1735983), // Rule ID 10829 //
     /* 1735902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735948 */     // MIs[0] policy
     /* 1735948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1735961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735982 */     // GIR_Coverage, 10829,
     /* 1735982 */     GIR_EraseRootFromParent_Done,
     /* 1735983 */   // Label 23680: @1735983
     /* 1735983 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1736069), // Rule ID 10832 //
     /* 1735988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1735996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1736002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1736005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736034 */     // MIs[0] policy
     /* 1736034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1736047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736068 */     // GIR_Coverage, 10832,
     /* 1736068 */     GIR_EraseRootFromParent_Done,
     /* 1736069 */   // Label 23681: @1736069
     /* 1736069 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1736155), // Rule ID 10833 //
     /* 1736074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1736085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1736088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1736091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736120 */     // MIs[0] policy
     /* 1736120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1736133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736154 */     // GIR_Coverage, 10833,
     /* 1736154 */     GIR_EraseRootFromParent_Done,
     /* 1736155 */   // Label 23682: @1736155
     /* 1736155 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1736241), // Rule ID 10836 //
     /* 1736160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1736171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1736174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1736177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736206 */     // MIs[0] policy
     /* 1736206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1736219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736240 */     // GIR_Coverage, 10836,
     /* 1736240 */     GIR_EraseRootFromParent_Done,
     /* 1736241 */   // Label 23683: @1736241
     /* 1736241 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1736327), // Rule ID 10837 //
     /* 1736246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1736257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1736260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1736263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736292 */     // MIs[0] policy
     /* 1736292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1736305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736326 */     // GIR_Coverage, 10837,
     /* 1736326 */     GIR_EraseRootFromParent_Done,
     /* 1736327 */   // Label 23684: @1736327
     /* 1736327 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1736413), // Rule ID 10840 //
     /* 1736332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1736343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1736346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1736349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736378 */     // MIs[0] policy
     /* 1736378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1736391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736412 */     // GIR_Coverage, 10840,
     /* 1736412 */     GIR_EraseRootFromParent_Done,
     /* 1736413 */   // Label 23685: @1736413
     /* 1736413 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1736499), // Rule ID 10841 //
     /* 1736418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1736429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1736432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1736435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736464 */     // MIs[0] policy
     /* 1736464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1736477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736498 */     // GIR_Coverage, 10841,
     /* 1736498 */     GIR_EraseRootFromParent_Done,
     /* 1736499 */   // Label 23686: @1736499
     /* 1736499 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1736585), // Rule ID 10844 //
     /* 1736504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736550 */     // MIs[0] policy
     /* 1736550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1736563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736584 */     // GIR_Coverage, 10844,
     /* 1736584 */     GIR_EraseRootFromParent_Done,
     /* 1736585 */   // Label 23687: @1736585
     /* 1736585 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1736671), // Rule ID 10845 //
     /* 1736590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736636 */     // MIs[0] policy
     /* 1736636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1736649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736670 */     // GIR_Coverage, 10845,
     /* 1736670 */     GIR_EraseRootFromParent_Done,
     /* 1736671 */   // Label 23688: @1736671
     /* 1736671 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1736757), // Rule ID 10848 //
     /* 1736676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736722 */     // MIs[0] policy
     /* 1736722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1736735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736756 */     // GIR_Coverage, 10848,
     /* 1736756 */     GIR_EraseRootFromParent_Done,
     /* 1736757 */   // Label 23689: @1736757
     /* 1736757 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1736843), // Rule ID 10849 //
     /* 1736762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736808 */     // MIs[0] policy
     /* 1736808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1736821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736842 */     // GIR_Coverage, 10849,
     /* 1736842 */     GIR_EraseRootFromParent_Done,
     /* 1736843 */   // Label 23690: @1736843
     /* 1736843 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1736929), // Rule ID 10852 //
     /* 1736848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1736868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736894 */     // MIs[0] policy
     /* 1736894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1736907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736928 */     // GIR_Coverage, 10852,
     /* 1736928 */     GIR_EraseRootFromParent_Done,
     /* 1736929 */   // Label 23691: @1736929
     /* 1736929 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1737015), // Rule ID 10853 //
     /* 1736934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1736954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736980 */     // MIs[0] policy
     /* 1736980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736990 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1736993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737014 */     // GIR_Coverage, 10853,
     /* 1737014 */     GIR_EraseRootFromParent_Done,
     /* 1737015 */   // Label 23692: @1737015
     /* 1737015 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1737101), // Rule ID 10856 //
     /* 1737020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1737031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1737034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1737037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1737040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737066 */     // MIs[0] policy
     /* 1737066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1737079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737100 */     // GIR_Coverage, 10856,
     /* 1737100 */     GIR_EraseRootFromParent_Done,
     /* 1737101 */   // Label 23693: @1737101
     /* 1737101 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1737187), // Rule ID 10857 //
     /* 1737106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1737117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1737120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1737123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1737126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737152 */     // MIs[0] policy
     /* 1737152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1737165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737186 */     // GIR_Coverage, 10857,
     /* 1737186 */     GIR_EraseRootFromParent_Done,
     /* 1737187 */   // Label 23694: @1737187
     /* 1737187 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1737273), // Rule ID 10860 //
     /* 1737192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1737203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1737206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1737209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1737212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737238 */     // MIs[0] policy
     /* 1737238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1737251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737272 */     // GIR_Coverage, 10860,
     /* 1737272 */     GIR_EraseRootFromParent_Done,
     /* 1737273 */   // Label 23695: @1737273
     /* 1737273 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1737359), // Rule ID 10861 //
     /* 1737278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1737289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1737292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1737295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1737298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737324 */     // MIs[0] policy
     /* 1737324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1737337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737358 */     // GIR_Coverage, 10861,
     /* 1737358 */     GIR_EraseRootFromParent_Done,
     /* 1737359 */   // Label 23696: @1737359
     /* 1737359 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1737445), // Rule ID 10864 //
     /* 1737364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1737384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737410 */     // MIs[0] policy
     /* 1737410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737420 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1737423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737444 */     // GIR_Coverage, 10864,
     /* 1737444 */     GIR_EraseRootFromParent_Done,
     /* 1737445 */   // Label 23697: @1737445
     /* 1737445 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1737531), // Rule ID 10865 //
     /* 1737450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1737470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737496 */     // MIs[0] policy
     /* 1737496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1737509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737530 */     // GIR_Coverage, 10865,
     /* 1737530 */     GIR_EraseRootFromParent_Done,
     /* 1737531 */   // Label 23698: @1737531
     /* 1737531 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1737617), // Rule ID 10868 //
     /* 1737536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1737556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737582 */     // MIs[0] policy
     /* 1737582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1737595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737616 */     // GIR_Coverage, 10868,
     /* 1737616 */     GIR_EraseRootFromParent_Done,
     /* 1737617 */   // Label 23699: @1737617
     /* 1737617 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1737703), // Rule ID 10869 //
     /* 1737622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1737642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737668 */     // MIs[0] policy
     /* 1737668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1737681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737702 */     // GIR_Coverage, 10869,
     /* 1737702 */     GIR_EraseRootFromParent_Done,
     /* 1737703 */   // Label 23700: @1737703
     /* 1737703 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1737789), // Rule ID 10872 //
     /* 1737708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1737728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737754 */     // MIs[0] policy
     /* 1737754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1737767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737788 */     // GIR_Coverage, 10872,
     /* 1737788 */     GIR_EraseRootFromParent_Done,
     /* 1737789 */   // Label 23701: @1737789
     /* 1737789 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1737875), // Rule ID 10873 //
     /* 1737794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1737814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737840 */     // MIs[0] policy
     /* 1737840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1737853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737874 */     // GIR_Coverage, 10873,
     /* 1737874 */     GIR_EraseRootFromParent_Done,
     /* 1737875 */   // Label 23702: @1737875
     /* 1737875 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1737961), // Rule ID 10876 //
     /* 1737880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1737900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737926 */     // MIs[0] policy
     /* 1737926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1737939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737960 */     // GIR_Coverage, 10876,
     /* 1737960 */     GIR_EraseRootFromParent_Done,
     /* 1737961 */   // Label 23703: @1737961
     /* 1737961 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1738047), // Rule ID 10877 //
     /* 1737966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1737986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738012 */     // MIs[0] policy
     /* 1738012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1738025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738046 */     // GIR_Coverage, 10877,
     /* 1738046 */     GIR_EraseRootFromParent_Done,
     /* 1738047 */   // Label 23704: @1738047
     /* 1738047 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1738133), // Rule ID 10880 //
     /* 1738052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1738063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1738066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1738069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1738072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738098 */     // MIs[0] policy
     /* 1738098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1738111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738132 */     // GIR_Coverage, 10880,
     /* 1738132 */     GIR_EraseRootFromParent_Done,
     /* 1738133 */   // Label 23705: @1738133
     /* 1738133 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1738219), // Rule ID 10881 //
     /* 1738138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1738149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1738152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1738155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1738158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738184 */     // MIs[0] policy
     /* 1738184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1738197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738218 */     // GIR_Coverage, 10881,
     /* 1738218 */     GIR_EraseRootFromParent_Done,
     /* 1738219 */   // Label 23706: @1738219
     /* 1738219 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1738305), // Rule ID 10884 //
     /* 1738224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1738235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1738238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1738241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1738244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738270 */     // MIs[0] policy
     /* 1738270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1738283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738304 */     // GIR_Coverage, 10884,
     /* 1738304 */     GIR_EraseRootFromParent_Done,
     /* 1738305 */   // Label 23707: @1738305
     /* 1738305 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1738391), // Rule ID 10885 //
     /* 1738310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1738321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1738324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1738327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1738330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738356 */     // MIs[0] policy
     /* 1738356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1738369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738390 */     // GIR_Coverage, 10885,
     /* 1738390 */     GIR_EraseRootFromParent_Done,
     /* 1738391 */   // Label 23708: @1738391
     /* 1738391 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1738477), // Rule ID 10888 //
     /* 1738396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1738413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1738416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738442 */     // MIs[0] policy
     /* 1738442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1738455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738476 */     // GIR_Coverage, 10888,
     /* 1738476 */     GIR_EraseRootFromParent_Done,
     /* 1738477 */   // Label 23709: @1738477
     /* 1738477 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1738563), // Rule ID 10889 //
     /* 1738482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1738499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1738502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738528 */     // MIs[0] policy
     /* 1738528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738538 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1738541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738562 */     // GIR_Coverage, 10889,
     /* 1738562 */     GIR_EraseRootFromParent_Done,
     /* 1738563 */   // Label 23710: @1738563
     /* 1738563 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1738649), // Rule ID 10892 //
     /* 1738568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1738588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738614 */     // MIs[0] policy
     /* 1738614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1738627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738648 */     // GIR_Coverage, 10892,
     /* 1738648 */     GIR_EraseRootFromParent_Done,
     /* 1738649 */   // Label 23711: @1738649
     /* 1738649 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1738735), // Rule ID 10893 //
     /* 1738654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1738674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738700 */     // MIs[0] policy
     /* 1738700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1738713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738734 */     // GIR_Coverage, 10893,
     /* 1738734 */     GIR_EraseRootFromParent_Done,
     /* 1738735 */   // Label 23712: @1738735
     /* 1738735 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1738821), // Rule ID 10896 //
     /* 1738740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1738760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738786 */     // MIs[0] policy
     /* 1738786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1738799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738820 */     // GIR_Coverage, 10896,
     /* 1738820 */     GIR_EraseRootFromParent_Done,
     /* 1738821 */   // Label 23713: @1738821
     /* 1738821 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1738907), // Rule ID 10897 //
     /* 1738826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1738846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738872 */     // MIs[0] policy
     /* 1738872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1738885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738906 */     // GIR_Coverage, 10897,
     /* 1738906 */     GIR_EraseRootFromParent_Done,
     /* 1738907 */   // Label 23714: @1738907
     /* 1738907 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1738993), // Rule ID 10900 //
     /* 1738912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1738932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738958 */     // MIs[0] policy
     /* 1738958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1738971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738992 */     // GIR_Coverage, 10900,
     /* 1738992 */     GIR_EraseRootFromParent_Done,
     /* 1738993 */   // Label 23715: @1738993
     /* 1738993 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1739079), // Rule ID 10901 //
     /* 1738998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1739009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1739012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1739015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1739018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1739021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739044 */     // MIs[0] policy
     /* 1739044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739054 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1739057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739078 */     // GIR_Coverage, 10901,
     /* 1739078 */     GIR_EraseRootFromParent_Done,
     /* 1739079 */   // Label 23716: @1739079
     /* 1739079 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1739165), // Rule ID 10904 //
     /* 1739084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1739095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1739098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1739101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1739104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739130 */     // MIs[0] policy
     /* 1739130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739140 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1739143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739164 */     // GIR_Coverage, 10904,
     /* 1739164 */     GIR_EraseRootFromParent_Done,
     /* 1739165 */   // Label 23717: @1739165
     /* 1739165 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1739251), // Rule ID 10905 //
     /* 1739170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1739181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1739184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1739187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1739190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739216 */     // MIs[0] policy
     /* 1739216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1739229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739250 */     // GIR_Coverage, 10905,
     /* 1739250 */     GIR_EraseRootFromParent_Done,
     /* 1739251 */   // Label 23718: @1739251
     /* 1739251 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1739337), // Rule ID 10908 //
     /* 1739256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1739267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1739270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1739273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1739276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739302 */     // MIs[0] policy
     /* 1739302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1739315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739336 */     // GIR_Coverage, 10908,
     /* 1739336 */     GIR_EraseRootFromParent_Done,
     /* 1739337 */   // Label 23719: @1739337
     /* 1739337 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1739423), // Rule ID 10909 //
     /* 1739342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1739353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1739356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1739359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1739362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739388 */     // MIs[0] policy
     /* 1739388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1739401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739422 */     // GIR_Coverage, 10909,
     /* 1739422 */     GIR_EraseRootFromParent_Done,
     /* 1739423 */   // Label 23720: @1739423
     /* 1739423 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1739509), // Rule ID 10912 //
     /* 1739428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1739448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739474 */     // MIs[0] policy
     /* 1739474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1739487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739508 */     // GIR_Coverage, 10912,
     /* 1739508 */     GIR_EraseRootFromParent_Done,
     /* 1739509 */   // Label 23721: @1739509
     /* 1739509 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1739595), // Rule ID 10913 //
     /* 1739514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1739534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739560 */     // MIs[0] policy
     /* 1739560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1739573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739594 */     // GIR_Coverage, 10913,
     /* 1739594 */     GIR_EraseRootFromParent_Done,
     /* 1739595 */   // Label 23722: @1739595
     /* 1739595 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1739681), // Rule ID 10916 //
     /* 1739600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1739620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739646 */     // MIs[0] policy
     /* 1739646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1739659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739680 */     // GIR_Coverage, 10916,
     /* 1739680 */     GIR_EraseRootFromParent_Done,
     /* 1739681 */   // Label 23723: @1739681
     /* 1739681 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1739767), // Rule ID 10917 //
     /* 1739686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1739706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739732 */     // MIs[0] policy
     /* 1739732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1739745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739766 */     // GIR_Coverage, 10917,
     /* 1739766 */     GIR_EraseRootFromParent_Done,
     /* 1739767 */   // Label 23724: @1739767
     /* 1739767 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1739853), // Rule ID 10920 //
     /* 1739772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1739792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739818 */     // MIs[0] policy
     /* 1739818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1739831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739852 */     // GIR_Coverage, 10920,
     /* 1739852 */     GIR_EraseRootFromParent_Done,
     /* 1739853 */   // Label 23725: @1739853
     /* 1739853 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1739939), // Rule ID 10921 //
     /* 1739858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1739878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739904 */     // MIs[0] policy
     /* 1739904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1739917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739938 */     // GIR_Coverage, 10921,
     /* 1739938 */     GIR_EraseRootFromParent_Done,
     /* 1739939 */   // Label 23726: @1739939
     /* 1739939 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1740025), // Rule ID 10924 //
     /* 1739944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1739952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1739964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739990 */     // MIs[0] policy
     /* 1739990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1740003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740024 */     // GIR_Coverage, 10924,
     /* 1740024 */     GIR_EraseRootFromParent_Done,
     /* 1740025 */   // Label 23727: @1740025
     /* 1740025 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1740111), // Rule ID 10925 //
     /* 1740030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1740041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1740044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1740047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1740050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740076 */     // MIs[0] policy
     /* 1740076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1740089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740110 */     // GIR_Coverage, 10925,
     /* 1740110 */     GIR_EraseRootFromParent_Done,
     /* 1740111 */   // Label 23728: @1740111
     /* 1740111 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1740197), // Rule ID 10928 //
     /* 1740116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1740127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1740130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1740133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1740136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740162 */     // MIs[0] policy
     /* 1740162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1740175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740196 */     // GIR_Coverage, 10928,
     /* 1740196 */     GIR_EraseRootFromParent_Done,
     /* 1740197 */   // Label 23729: @1740197
     /* 1740197 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1740283), // Rule ID 10929 //
     /* 1740202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1740213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1740216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1740219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1740222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740248 */     // MIs[0] policy
     /* 1740248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1740261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740282 */     // GIR_Coverage, 10929,
     /* 1740282 */     GIR_EraseRootFromParent_Done,
     /* 1740283 */   // Label 23730: @1740283
     /* 1740283 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1740369), // Rule ID 10932 //
     /* 1740288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1740299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1740302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1740305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1740308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740334 */     // MIs[0] policy
     /* 1740334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1740347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740368 */     // GIR_Coverage, 10932,
     /* 1740368 */     GIR_EraseRootFromParent_Done,
     /* 1740369 */   // Label 23731: @1740369
     /* 1740369 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1740455), // Rule ID 10933 //
     /* 1740374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1740385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1740388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1740391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1740394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740420 */     // MIs[0] policy
     /* 1740420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1740433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740454 */     // GIR_Coverage, 10933,
     /* 1740454 */     GIR_EraseRootFromParent_Done,
     /* 1740455 */   // Label 23732: @1740455
     /* 1740455 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1740541), // Rule ID 10936 //
     /* 1740460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1740477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1740480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740506 */     // MIs[0] policy
     /* 1740506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1740519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740540 */     // GIR_Coverage, 10936,
     /* 1740540 */     GIR_EraseRootFromParent_Done,
     /* 1740541 */   // Label 23733: @1740541
     /* 1740541 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1740627), // Rule ID 10937 //
     /* 1740546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1740563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1740566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740592 */     // MIs[0] policy
     /* 1740592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1740605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740626 */     // GIR_Coverage, 10937,
     /* 1740626 */     GIR_EraseRootFromParent_Done,
     /* 1740627 */   // Label 23734: @1740627
     /* 1740627 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1740713), // Rule ID 10940 //
     /* 1740632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740678 */     // MIs[0] policy
     /* 1740678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1740691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740712 */     // GIR_Coverage, 10940,
     /* 1740712 */     GIR_EraseRootFromParent_Done,
     /* 1740713 */   // Label 23735: @1740713
     /* 1740713 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1740799), // Rule ID 10941 //
     /* 1740718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740764 */     // MIs[0] policy
     /* 1740764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1740777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740798 */     // GIR_Coverage, 10941,
     /* 1740798 */     GIR_EraseRootFromParent_Done,
     /* 1740799 */   // Label 23736: @1740799
     /* 1740799 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1740885), // Rule ID 10944 //
     /* 1740804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740850 */     // MIs[0] policy
     /* 1740850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1740863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740884 */     // GIR_Coverage, 10944,
     /* 1740884 */     GIR_EraseRootFromParent_Done,
     /* 1740885 */   // Label 23737: @1740885
     /* 1740885 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1740971), // Rule ID 10945 //
     /* 1740890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740936 */     // MIs[0] policy
     /* 1740936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1740949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740970 */     // GIR_Coverage, 10945,
     /* 1740970 */     GIR_EraseRootFromParent_Done,
     /* 1740971 */   // Label 23738: @1740971
     /* 1740971 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1741057), // Rule ID 10948 //
     /* 1740976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1740984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741022 */     // MIs[0] policy
     /* 1741022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1741035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741056 */     // GIR_Coverage, 10948,
     /* 1741056 */     GIR_EraseRootFromParent_Done,
     /* 1741057 */   // Label 23739: @1741057
     /* 1741057 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1741143), // Rule ID 10949 //
     /* 1741062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1741073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1741076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1741079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741108 */     // MIs[0] policy
     /* 1741108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1741121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741142 */     // GIR_Coverage, 10949,
     /* 1741142 */     GIR_EraseRootFromParent_Done,
     /* 1741143 */   // Label 23740: @1741143
     /* 1741143 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1741229), // Rule ID 10952 //
     /* 1741148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1741159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1741162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1741165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741194 */     // MIs[0] policy
     /* 1741194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1741207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741228 */     // GIR_Coverage, 10952,
     /* 1741228 */     GIR_EraseRootFromParent_Done,
     /* 1741229 */   // Label 23741: @1741229
     /* 1741229 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1741315), // Rule ID 10953 //
     /* 1741234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1741245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1741248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1741251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741280 */     // MIs[0] policy
     /* 1741280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741290 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1741293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741314 */     // GIR_Coverage, 10953,
     /* 1741314 */     GIR_EraseRootFromParent_Done,
     /* 1741315 */   // Label 23742: @1741315
     /* 1741315 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1741401), // Rule ID 10956 //
     /* 1741320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1741331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1741334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1741337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741366 */     // MIs[0] policy
     /* 1741366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1741379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741400 */     // GIR_Coverage, 10956,
     /* 1741400 */     GIR_EraseRootFromParent_Done,
     /* 1741401 */   // Label 23743: @1741401
     /* 1741401 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1741487), // Rule ID 10957 //
     /* 1741406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1741417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1741420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1741423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741452 */     // MIs[0] policy
     /* 1741452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1741465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741486 */     // GIR_Coverage, 10957,
     /* 1741486 */     GIR_EraseRootFromParent_Done,
     /* 1741487 */   // Label 23744: @1741487
     /* 1741487 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1741573), // Rule ID 10960 //
     /* 1741492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741538 */     // MIs[0] policy
     /* 1741538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1741551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741572 */     // GIR_Coverage, 10960,
     /* 1741572 */     GIR_EraseRootFromParent_Done,
     /* 1741573 */   // Label 23745: @1741573
     /* 1741573 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1741659), // Rule ID 10961 //
     /* 1741578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741624 */     // MIs[0] policy
     /* 1741624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1741637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741658 */     // GIR_Coverage, 10961,
     /* 1741658 */     GIR_EraseRootFromParent_Done,
     /* 1741659 */   // Label 23746: @1741659
     /* 1741659 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1741745), // Rule ID 10964 //
     /* 1741664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741710 */     // MIs[0] policy
     /* 1741710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1741723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741744 */     // GIR_Coverage, 10964,
     /* 1741744 */     GIR_EraseRootFromParent_Done,
     /* 1741745 */   // Label 23747: @1741745
     /* 1741745 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1741831), // Rule ID 10965 //
     /* 1741750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741796 */     // MIs[0] policy
     /* 1741796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1741809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741830 */     // GIR_Coverage, 10965,
     /* 1741830 */     GIR_EraseRootFromParent_Done,
     /* 1741831 */   // Label 23748: @1741831
     /* 1741831 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1741917), // Rule ID 10968 //
     /* 1741836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741882 */     // MIs[0] policy
     /* 1741882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1741895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741916 */     // GIR_Coverage, 10968,
     /* 1741916 */     GIR_EraseRootFromParent_Done,
     /* 1741917 */   // Label 23749: @1741917
     /* 1741917 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1742003), // Rule ID 10969 //
     /* 1741922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1741930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741968 */     // MIs[0] policy
     /* 1741968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1741981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742002 */     // GIR_Coverage, 10969,
     /* 1742002 */     GIR_EraseRootFromParent_Done,
     /* 1742003 */   // Label 23750: @1742003
     /* 1742003 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1742089), // Rule ID 10972 //
     /* 1742008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1742019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1742022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1742025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742054 */     // MIs[0] policy
     /* 1742054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1742067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742088 */     // GIR_Coverage, 10972,
     /* 1742088 */     GIR_EraseRootFromParent_Done,
     /* 1742089 */   // Label 23751: @1742089
     /* 1742089 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1742175), // Rule ID 10973 //
     /* 1742094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1742105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1742108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1742111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742140 */     // MIs[0] policy
     /* 1742140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1742153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742174 */     // GIR_Coverage, 10973,
     /* 1742174 */     GIR_EraseRootFromParent_Done,
     /* 1742175 */   // Label 23752: @1742175
     /* 1742175 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1742261), // Rule ID 10976 //
     /* 1742180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1742183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1742191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1742194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1742197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742226 */     // MIs[0] policy
     /* 1742226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1742239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742260 */     // GIR_Coverage, 10976,
     /* 1742260 */     GIR_EraseRootFromParent_Done,
     /* 1742261 */   // Label 23753: @1742261
     /* 1742261 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1742347), // Rule ID 10977 //
     /* 1742266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1742269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1742277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1742280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1742283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742312 */     // MIs[0] policy
     /* 1742312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1742325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1742343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742346 */     // GIR_Coverage, 10977,
     /* 1742346 */     GIR_EraseRootFromParent_Done,
     /* 1742347 */   // Label 23754: @1742347
     /* 1742347 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1742433), // Rule ID 10980 //
     /* 1742352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1742363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1742366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1742369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742398 */     // MIs[0] policy
     /* 1742398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1742411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742432 */     // GIR_Coverage, 10980,
     /* 1742432 */     GIR_EraseRootFromParent_Done,
     /* 1742433 */   // Label 23755: @1742433
     /* 1742433 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1742519), // Rule ID 10981 //
     /* 1742438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1742449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1742452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1742455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742484 */     // MIs[0] policy
     /* 1742484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1742497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742518 */     // GIR_Coverage, 10981,
     /* 1742518 */     GIR_EraseRootFromParent_Done,
     /* 1742519 */   // Label 23756: @1742519
     /* 1742519 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1742605), // Rule ID 10984 //
     /* 1742524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1742535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1742538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1742541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742570 */     // MIs[0] policy
     /* 1742570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1742583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742604 */     // GIR_Coverage, 10984,
     /* 1742604 */     GIR_EraseRootFromParent_Done,
     /* 1742605 */   // Label 23757: @1742605
     /* 1742605 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1742691), // Rule ID 10985 //
     /* 1742610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1742621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1742624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1742627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742656 */     // MIs[0] policy
     /* 1742656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1742669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742690 */     // GIR_Coverage, 10985,
     /* 1742690 */     GIR_EraseRootFromParent_Done,
     /* 1742691 */   // Label 23758: @1742691
     /* 1742691 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1742777), // Rule ID 10988 //
     /* 1742696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742742 */     // MIs[0] policy
     /* 1742742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742752 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1742755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742776 */     // GIR_Coverage, 10988,
     /* 1742776 */     GIR_EraseRootFromParent_Done,
     /* 1742777 */   // Label 23759: @1742777
     /* 1742777 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1742863), // Rule ID 10989 //
     /* 1742782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742828 */     // MIs[0] policy
     /* 1742828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742838 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1742841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742862 */     // GIR_Coverage, 10989,
     /* 1742862 */     GIR_EraseRootFromParent_Done,
     /* 1742863 */   // Label 23760: @1742863
     /* 1742863 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1742949), // Rule ID 10992 //
     /* 1742868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742914 */     // MIs[0] policy
     /* 1742914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1742927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742948 */     // GIR_Coverage, 10992,
     /* 1742948 */     GIR_EraseRootFromParent_Done,
     /* 1742949 */   // Label 23761: @1742949
     /* 1742949 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1743035), // Rule ID 10993 //
     /* 1742954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1742962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743000 */     // MIs[0] policy
     /* 1743000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743010 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1743013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743034 */     // GIR_Coverage, 10993,
     /* 1743034 */     GIR_EraseRootFromParent_Done,
     /* 1743035 */   // Label 23762: @1743035
     /* 1743035 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1743121), // Rule ID 10996 //
     /* 1743040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1743051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1743054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1743057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743086 */     // MIs[0] policy
     /* 1743086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1743099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743120 */     // GIR_Coverage, 10996,
     /* 1743120 */     GIR_EraseRootFromParent_Done,
     /* 1743121 */   // Label 23763: @1743121
     /* 1743121 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1743207), // Rule ID 10997 //
     /* 1743126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1743137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1743140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1743143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743172 */     // MIs[0] policy
     /* 1743172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743182 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1743185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743206 */     // GIR_Coverage, 10997,
     /* 1743206 */     GIR_EraseRootFromParent_Done,
     /* 1743207 */   // Label 23764: @1743207
     /* 1743207 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1743293), // Rule ID 11000 //
     /* 1743212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1743223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1743226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1743229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1743235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743258 */     // MIs[0] policy
     /* 1743258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1743271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743292 */     // GIR_Coverage, 11000,
     /* 1743292 */     GIR_EraseRootFromParent_Done,
     /* 1743293 */   // Label 23765: @1743293
     /* 1743293 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1743379), // Rule ID 11001 //
     /* 1743298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1743309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1743312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1743315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1743321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743344 */     // MIs[0] policy
     /* 1743344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743354 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1743357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743378 */     // GIR_Coverage, 11001,
     /* 1743378 */     GIR_EraseRootFromParent_Done,
     /* 1743379 */   // Label 23766: @1743379
     /* 1743379 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1743465), // Rule ID 11004 //
     /* 1743384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1743395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1743398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1743401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743430 */     // MIs[0] policy
     /* 1743430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1743443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743464 */     // GIR_Coverage, 11004,
     /* 1743464 */     GIR_EraseRootFromParent_Done,
     /* 1743465 */   // Label 23767: @1743465
     /* 1743465 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1743551), // Rule ID 11005 //
     /* 1743470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1743481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1743484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1743487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743516 */     // MIs[0] policy
     /* 1743516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1743529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743550 */     // GIR_Coverage, 11005,
     /* 1743550 */     GIR_EraseRootFromParent_Done,
     /* 1743551 */   // Label 23768: @1743551
     /* 1743551 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1743637), // Rule ID 11008 //
     /* 1743556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743602 */     // MIs[0] policy
     /* 1743602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743612 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1743615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743636 */     // GIR_Coverage, 11008,
     /* 1743636 */     GIR_EraseRootFromParent_Done,
     /* 1743637 */   // Label 23769: @1743637
     /* 1743637 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1743723), // Rule ID 11009 //
     /* 1743642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743688 */     // MIs[0] policy
     /* 1743688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1743701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743722 */     // GIR_Coverage, 11009,
     /* 1743722 */     GIR_EraseRootFromParent_Done,
     /* 1743723 */   // Label 23770: @1743723
     /* 1743723 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1743809), // Rule ID 11012 //
     /* 1743728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743774 */     // MIs[0] policy
     /* 1743774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1743787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743808 */     // GIR_Coverage, 11012,
     /* 1743808 */     GIR_EraseRootFromParent_Done,
     /* 1743809 */   // Label 23771: @1743809
     /* 1743809 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1743895), // Rule ID 11013 //
     /* 1743814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743860 */     // MIs[0] policy
     /* 1743860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1743873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743894 */     // GIR_Coverage, 11013,
     /* 1743894 */     GIR_EraseRootFromParent_Done,
     /* 1743895 */   // Label 23772: @1743895
     /* 1743895 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1743981), // Rule ID 11016 //
     /* 1743900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1743903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1743911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1743914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1743917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743946 */     // MIs[0] policy
     /* 1743946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1743959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743980 */     // GIR_Coverage, 11016,
     /* 1743980 */     GIR_EraseRootFromParent_Done,
     /* 1743981 */   // Label 23773: @1743981
     /* 1743981 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1744067), // Rule ID 11017 //
     /* 1743986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1743989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1743997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1744000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1744003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744032 */     // MIs[0] policy
     /* 1744032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1744045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744066 */     // GIR_Coverage, 11017,
     /* 1744066 */     GIR_EraseRootFromParent_Done,
     /* 1744067 */   // Label 23774: @1744067
     /* 1744067 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1744153), // Rule ID 11020 //
     /* 1744072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1744075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1744083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1744086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1744089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744118 */     // MIs[0] policy
     /* 1744118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1744131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744152 */     // GIR_Coverage, 11020,
     /* 1744152 */     GIR_EraseRootFromParent_Done,
     /* 1744153 */   // Label 23775: @1744153
     /* 1744153 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1744239), // Rule ID 11021 //
     /* 1744158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1744161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1744169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1744172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1744175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744204 */     // MIs[0] policy
     /* 1744204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1744217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744238 */     // GIR_Coverage, 11021,
     /* 1744238 */     GIR_EraseRootFromParent_Done,
     /* 1744239 */   // Label 23776: @1744239
     /* 1744239 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1744325), // Rule ID 11024 //
     /* 1744244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1744247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1744255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1744258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1744261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744290 */     // MIs[0] policy
     /* 1744290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744300 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1744303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744324 */     // GIR_Coverage, 11024,
     /* 1744324 */     GIR_EraseRootFromParent_Done,
     /* 1744325 */   // Label 23777: @1744325
     /* 1744325 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1744411), // Rule ID 11025 //
     /* 1744330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1744333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1744341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1744344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1744347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744376 */     // MIs[0] policy
     /* 1744376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1744389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744410 */     // GIR_Coverage, 11025,
     /* 1744410 */     GIR_EraseRootFromParent_Done,
     /* 1744411 */   // Label 23778: @1744411
     /* 1744411 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1744497), // Rule ID 11028 //
     /* 1744416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1744427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1744430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1744433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1744436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744462 */     // MIs[0] policy
     /* 1744462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1744475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744496 */     // GIR_Coverage, 11028,
     /* 1744496 */     GIR_EraseRootFromParent_Done,
     /* 1744497 */   // Label 23779: @1744497
     /* 1744497 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1744583), // Rule ID 11029 //
     /* 1744502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1744513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1744516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1744519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1744522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744548 */     // MIs[0] policy
     /* 1744548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744558 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1744561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744582 */     // GIR_Coverage, 11029,
     /* 1744582 */     GIR_EraseRootFromParent_Done,
     /* 1744583 */   // Label 23780: @1744583
     /* 1744583 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1744669), // Rule ID 11032 //
     /* 1744588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1744599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1744602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1744605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1744608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744634 */     // MIs[0] policy
     /* 1744634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1744647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744668 */     // GIR_Coverage, 11032,
     /* 1744668 */     GIR_EraseRootFromParent_Done,
     /* 1744669 */   // Label 23781: @1744669
     /* 1744669 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1744755), // Rule ID 11033 //
     /* 1744674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1744685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1744688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1744691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1744694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744720 */     // MIs[0] policy
     /* 1744720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1744733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744754 */     // GIR_Coverage, 11033,
     /* 1744754 */     GIR_EraseRootFromParent_Done,
     /* 1744755 */   // Label 23782: @1744755
     /* 1744755 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1744841), // Rule ID 11036 //
     /* 1744760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1744771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1744774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1744777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1744780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744806 */     // MIs[0] policy
     /* 1744806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744816 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1744819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744840 */     // GIR_Coverage, 11036,
     /* 1744840 */     GIR_EraseRootFromParent_Done,
     /* 1744841 */   // Label 23783: @1744841
     /* 1744841 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1744927), // Rule ID 11037 //
     /* 1744846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1744857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1744860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1744863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1744866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744892 */     // MIs[0] policy
     /* 1744892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1744905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744926 */     // GIR_Coverage, 11037,
     /* 1744926 */     GIR_EraseRootFromParent_Done,
     /* 1744927 */   // Label 23784: @1744927
     /* 1744927 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1745013), // Rule ID 11040 //
     /* 1744932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1744943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1744946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1744949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1744952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744978 */     // MIs[0] policy
     /* 1744978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744988 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1744991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745012 */     // GIR_Coverage, 11040,
     /* 1745012 */     GIR_EraseRootFromParent_Done,
     /* 1745013 */   // Label 23785: @1745013
     /* 1745013 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1745099), // Rule ID 11041 //
     /* 1745018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1745029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1745032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1745035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1745038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745064 */     // MIs[0] policy
     /* 1745064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1745077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745098 */     // GIR_Coverage, 11041,
     /* 1745098 */     GIR_EraseRootFromParent_Done,
     /* 1745099 */   // Label 23786: @1745099
     /* 1745099 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1745185), // Rule ID 11044 //
     /* 1745104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1745115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1745118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1745121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1745124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745150 */     // MIs[0] policy
     /* 1745150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1745163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745184 */     // GIR_Coverage, 11044,
     /* 1745184 */     GIR_EraseRootFromParent_Done,
     /* 1745185 */   // Label 23787: @1745185
     /* 1745185 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1745271), // Rule ID 11045 //
     /* 1745190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1745201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1745204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1745207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1745210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745236 */     // MIs[0] policy
     /* 1745236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1745249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745270 */     // GIR_Coverage, 11045,
     /* 1745270 */     GIR_EraseRootFromParent_Done,
     /* 1745271 */   // Label 23788: @1745271
     /* 1745271 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1745357), // Rule ID 11048 //
     /* 1745276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1745287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1745290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1745293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745322 */     // MIs[0] policy
     /* 1745322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1745335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745356 */     // GIR_Coverage, 11048,
     /* 1745356 */     GIR_EraseRootFromParent_Done,
     /* 1745357 */   // Label 23789: @1745357
     /* 1745357 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1745443), // Rule ID 11049 //
     /* 1745362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1745373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1745376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1745379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745408 */     // MIs[0] policy
     /* 1745408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1745421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745442 */     // GIR_Coverage, 11049,
     /* 1745442 */     GIR_EraseRootFromParent_Done,
     /* 1745443 */   // Label 23790: @1745443
     /* 1745443 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1745529), // Rule ID 11052 //
     /* 1745448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1745459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1745462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1745465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1745468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745494 */     // MIs[0] policy
     /* 1745494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1745507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745528 */     // GIR_Coverage, 11052,
     /* 1745528 */     GIR_EraseRootFromParent_Done,
     /* 1745529 */   // Label 23791: @1745529
     /* 1745529 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1745615), // Rule ID 11053 //
     /* 1745534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1745545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1745548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1745551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1745554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745580 */     // MIs[0] policy
     /* 1745580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745590 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1745593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745614 */     // GIR_Coverage, 11053,
     /* 1745614 */     GIR_EraseRootFromParent_Done,
     /* 1745615 */   // Label 23792: @1745615
     /* 1745615 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1745701), // Rule ID 11056 //
     /* 1745620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1745631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1745634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1745637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1745640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745666 */     // MIs[0] policy
     /* 1745666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1745679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745700 */     // GIR_Coverage, 11056,
     /* 1745700 */     GIR_EraseRootFromParent_Done,
     /* 1745701 */   // Label 23793: @1745701
     /* 1745701 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1745787), // Rule ID 11057 //
     /* 1745706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1745717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1745720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1745723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1745726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745752 */     // MIs[0] policy
     /* 1745752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1745765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745786 */     // GIR_Coverage, 11057,
     /* 1745786 */     GIR_EraseRootFromParent_Done,
     /* 1745787 */   // Label 23794: @1745787
     /* 1745787 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1745873), // Rule ID 11060 //
     /* 1745792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1745803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1745806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1745809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1745812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745838 */     // MIs[0] policy
     /* 1745838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1745851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745872 */     // GIR_Coverage, 11060,
     /* 1745872 */     GIR_EraseRootFromParent_Done,
     /* 1745873 */   // Label 23795: @1745873
     /* 1745873 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1745959), // Rule ID 11061 //
     /* 1745878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1745889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1745892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1745895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1745898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745924 */     // MIs[0] policy
     /* 1745924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1745937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745958 */     // GIR_Coverage, 11061,
     /* 1745958 */     GIR_EraseRootFromParent_Done,
     /* 1745959 */   // Label 23796: @1745959
     /* 1745959 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1746045), // Rule ID 11064 //
     /* 1745964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1745972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1745975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1745978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1745981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1745984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746010 */     // MIs[0] policy
     /* 1746010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746020 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1746023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746044 */     // GIR_Coverage, 11064,
     /* 1746044 */     GIR_EraseRootFromParent_Done,
     /* 1746045 */   // Label 23797: @1746045
     /* 1746045 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1746131), // Rule ID 11065 //
     /* 1746050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1746061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1746064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1746067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1746070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746096 */     // MIs[0] policy
     /* 1746096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746106 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1746109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746130 */     // GIR_Coverage, 11065,
     /* 1746130 */     GIR_EraseRootFromParent_Done,
     /* 1746131 */   // Label 23798: @1746131
     /* 1746131 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1746217), // Rule ID 11068 //
     /* 1746136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1746147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1746150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746182 */     // MIs[0] policy
     /* 1746182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1746195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746216 */     // GIR_Coverage, 11068,
     /* 1746216 */     GIR_EraseRootFromParent_Done,
     /* 1746217 */   // Label 23799: @1746217
     /* 1746217 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1746303), // Rule ID 11069 //
     /* 1746222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1746233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1746236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746268 */     // MIs[0] policy
     /* 1746268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1746281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746302 */     // GIR_Coverage, 11069,
     /* 1746302 */     GIR_EraseRootFromParent_Done,
     /* 1746303 */   // Label 23800: @1746303
     /* 1746303 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1746389), // Rule ID 11072 //
     /* 1746308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1746319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1746322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1746325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1746328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1746331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746354 */     // MIs[0] policy
     /* 1746354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1746367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746388 */     // GIR_Coverage, 11072,
     /* 1746388 */     GIR_EraseRootFromParent_Done,
     /* 1746389 */   // Label 23801: @1746389
     /* 1746389 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1746475), // Rule ID 11073 //
     /* 1746394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1746405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1746408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1746411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1746414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1746417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746440 */     // MIs[0] policy
     /* 1746440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1746453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746474 */     // GIR_Coverage, 11073,
     /* 1746474 */     GIR_EraseRootFromParent_Done,
     /* 1746475 */   // Label 23802: @1746475
     /* 1746475 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1746561), // Rule ID 11076 //
     /* 1746480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1746491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1746494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1746497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1746500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746526 */     // MIs[0] policy
     /* 1746526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1746539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746560 */     // GIR_Coverage, 11076,
     /* 1746560 */     GIR_EraseRootFromParent_Done,
     /* 1746561 */   // Label 23803: @1746561
     /* 1746561 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1746647), // Rule ID 11077 //
     /* 1746566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1746577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1746580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1746583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1746586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746612 */     // MIs[0] policy
     /* 1746612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1746625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746646 */     // GIR_Coverage, 11077,
     /* 1746646 */     GIR_EraseRootFromParent_Done,
     /* 1746647 */   // Label 23804: @1746647
     /* 1746647 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1746733), // Rule ID 11080 //
     /* 1746652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1746663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1746666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1746669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1746672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746698 */     // MIs[0] policy
     /* 1746698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1746711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746732 */     // GIR_Coverage, 11080,
     /* 1746732 */     GIR_EraseRootFromParent_Done,
     /* 1746733 */   // Label 23805: @1746733
     /* 1746733 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1746819), // Rule ID 11081 //
     /* 1746738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1746749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1746752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1746755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1746758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746784 */     // MIs[0] policy
     /* 1746784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1746797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746818 */     // GIR_Coverage, 11081,
     /* 1746818 */     GIR_EraseRootFromParent_Done,
     /* 1746819 */   // Label 23806: @1746819
     /* 1746819 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1746905), // Rule ID 11084 //
     /* 1746824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1746835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1746838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1746841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1746844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746870 */     // MIs[0] policy
     /* 1746870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1746883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746904 */     // GIR_Coverage, 11084,
     /* 1746904 */     GIR_EraseRootFromParent_Done,
     /* 1746905 */   // Label 23807: @1746905
     /* 1746905 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1746991), // Rule ID 11085 //
     /* 1746910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1746918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1746921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1746924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1746927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1746930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746956 */     // MIs[0] policy
     /* 1746956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1746969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746990 */     // GIR_Coverage, 11085,
     /* 1746990 */     GIR_EraseRootFromParent_Done,
     /* 1746991 */   // Label 23808: @1746991
     /* 1746991 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1747077), // Rule ID 11088 //
     /* 1746996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1747013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1747016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747042 */     // MIs[0] policy
     /* 1747042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1747055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747076 */     // GIR_Coverage, 11088,
     /* 1747076 */     GIR_EraseRootFromParent_Done,
     /* 1747077 */   // Label 23809: @1747077
     /* 1747077 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1747163), // Rule ID 11089 //
     /* 1747082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1747099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1747102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747128 */     // MIs[0] policy
     /* 1747128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1747141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747162 */     // GIR_Coverage, 11089,
     /* 1747162 */     GIR_EraseRootFromParent_Done,
     /* 1747163 */   // Label 23810: @1747163
     /* 1747163 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1747249), // Rule ID 11092 //
     /* 1747168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1747179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1747182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1747185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1747188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747214 */     // MIs[0] policy
     /* 1747214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1747227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747248 */     // GIR_Coverage, 11092,
     /* 1747248 */     GIR_EraseRootFromParent_Done,
     /* 1747249 */   // Label 23811: @1747249
     /* 1747249 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1747335), // Rule ID 11093 //
     /* 1747254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1747265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1747268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1747271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1747274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747300 */     // MIs[0] policy
     /* 1747300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1747313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747334 */     // GIR_Coverage, 11093,
     /* 1747334 */     GIR_EraseRootFromParent_Done,
     /* 1747335 */   // Label 23812: @1747335
     /* 1747335 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1747421), // Rule ID 11096 //
     /* 1747340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1747351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1747354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1747357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1747360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747386 */     // MIs[0] policy
     /* 1747386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1747399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747420 */     // GIR_Coverage, 11096,
     /* 1747420 */     GIR_EraseRootFromParent_Done,
     /* 1747421 */   // Label 23813: @1747421
     /* 1747421 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1747507), // Rule ID 11097 //
     /* 1747426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1747437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1747440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1747443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1747446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747472 */     // MIs[0] policy
     /* 1747472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1747485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747506 */     // GIR_Coverage, 11097,
     /* 1747506 */     GIR_EraseRootFromParent_Done,
     /* 1747507 */   // Label 23814: @1747507
     /* 1747507 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1747593), // Rule ID 11100 //
     /* 1747512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1747523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1747526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1747529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747558 */     // MIs[0] policy
     /* 1747558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1747571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747592 */     // GIR_Coverage, 11100,
     /* 1747592 */     GIR_EraseRootFromParent_Done,
     /* 1747593 */   // Label 23815: @1747593
     /* 1747593 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1747679), // Rule ID 11101 //
     /* 1747598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1747609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1747612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1747615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1747618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747644 */     // MIs[0] policy
     /* 1747644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747654 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1747657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747678 */     // GIR_Coverage, 11101,
     /* 1747678 */     GIR_EraseRootFromParent_Done,
     /* 1747679 */   // Label 23816: @1747679
     /* 1747679 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1747765), // Rule ID 11104 //
     /* 1747684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1747695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1747698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1747701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747730 */     // MIs[0] policy
     /* 1747730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747740 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1747743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747764 */     // GIR_Coverage, 11104,
     /* 1747764 */     GIR_EraseRootFromParent_Done,
     /* 1747765 */   // Label 23817: @1747765
     /* 1747765 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1747851), // Rule ID 11105 //
     /* 1747770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1747781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1747784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1747787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1747790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747816 */     // MIs[0] policy
     /* 1747816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747826 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1747829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747850 */     // GIR_Coverage, 11105,
     /* 1747850 */     GIR_EraseRootFromParent_Done,
     /* 1747851 */   // Label 23818: @1747851
     /* 1747851 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1747937), // Rule ID 11108 //
     /* 1747856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1747867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1747870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1747873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747902 */     // MIs[0] policy
     /* 1747902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1747915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747936 */     // GIR_Coverage, 11108,
     /* 1747936 */     GIR_EraseRootFromParent_Done,
     /* 1747937 */   // Label 23819: @1747937
     /* 1747937 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1748023), // Rule ID 11109 //
     /* 1747942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1747950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1747953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1747956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1747959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1747962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747988 */     // MIs[0] policy
     /* 1747988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747998 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1748001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748022 */     // GIR_Coverage, 11109,
     /* 1748022 */     GIR_EraseRootFromParent_Done,
     /* 1748023 */   // Label 23820: @1748023
     /* 1748023 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1748109), // Rule ID 11112 //
     /* 1748028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1748039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1748042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1748045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748074 */     // MIs[0] policy
     /* 1748074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1748087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748108 */     // GIR_Coverage, 11112,
     /* 1748108 */     GIR_EraseRootFromParent_Done,
     /* 1748109 */   // Label 23821: @1748109
     /* 1748109 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1748195), // Rule ID 11113 //
     /* 1748114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1748125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1748128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1748131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748160 */     // MIs[0] policy
     /* 1748160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748170 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1748173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748194 */     // GIR_Coverage, 11113,
     /* 1748194 */     GIR_EraseRootFromParent_Done,
     /* 1748195 */   // Label 23822: @1748195
     /* 1748195 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1748281), // Rule ID 11116 //
     /* 1748200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1748217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748246 */     // MIs[0] policy
     /* 1748246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1748259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748280 */     // GIR_Coverage, 11116,
     /* 1748280 */     GIR_EraseRootFromParent_Done,
     /* 1748281 */   // Label 23823: @1748281
     /* 1748281 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1748367), // Rule ID 11117 //
     /* 1748286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1748303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748332 */     // MIs[0] policy
     /* 1748332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1748345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748366 */     // GIR_Coverage, 11117,
     /* 1748366 */     GIR_EraseRootFromParent_Done,
     /* 1748367 */   // Label 23824: @1748367
     /* 1748367 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1748453), // Rule ID 11120 //
     /* 1748372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1748383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1748386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1748389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748418 */     // MIs[0] policy
     /* 1748418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1748431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748452 */     // GIR_Coverage, 11120,
     /* 1748452 */     GIR_EraseRootFromParent_Done,
     /* 1748453 */   // Label 23825: @1748453
     /* 1748453 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1748539), // Rule ID 11121 //
     /* 1748458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1748469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1748472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1748475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748504 */     // MIs[0] policy
     /* 1748504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1748517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748538 */     // GIR_Coverage, 11121,
     /* 1748538 */     GIR_EraseRootFromParent_Done,
     /* 1748539 */   // Label 23826: @1748539
     /* 1748539 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1748625), // Rule ID 11124 //
     /* 1748544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1748555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1748558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1748561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748590 */     // MIs[0] policy
     /* 1748590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1748603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748624 */     // GIR_Coverage, 11124,
     /* 1748624 */     GIR_EraseRootFromParent_Done,
     /* 1748625 */   // Label 23827: @1748625
     /* 1748625 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1748711), // Rule ID 11125 //
     /* 1748630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1748641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1748644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1748647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748676 */     // MIs[0] policy
     /* 1748676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1748689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748710 */     // GIR_Coverage, 11125,
     /* 1748710 */     GIR_EraseRootFromParent_Done,
     /* 1748711 */   // Label 23828: @1748711
     /* 1748711 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1748797), // Rule ID 11128 //
     /* 1748716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1748733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748762 */     // MIs[0] policy
     /* 1748762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1748775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748796 */     // GIR_Coverage, 11128,
     /* 1748796 */     GIR_EraseRootFromParent_Done,
     /* 1748797 */   // Label 23829: @1748797
     /* 1748797 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1748883), // Rule ID 11129 //
     /* 1748802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1748819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748848 */     // MIs[0] policy
     /* 1748848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1748861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748882 */     // GIR_Coverage, 11129,
     /* 1748882 */     GIR_EraseRootFromParent_Done,
     /* 1748883 */   // Label 23830: @1748883
     /* 1748883 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1748969), // Rule ID 11132 //
     /* 1748888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1748899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1748902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748934 */     // MIs[0] policy
     /* 1748934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1748947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748968 */     // GIR_Coverage, 11132,
     /* 1748968 */     GIR_EraseRootFromParent_Done,
     /* 1748969 */   // Label 23831: @1748969
     /* 1748969 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1749055), // Rule ID 11133 //
     /* 1748974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1748982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1748985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1748988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749020 */     // MIs[0] policy
     /* 1749020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1749033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749054 */     // GIR_Coverage, 11133,
     /* 1749054 */     GIR_EraseRootFromParent_Done,
     /* 1749055 */   // Label 23832: @1749055
     /* 1749055 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1749141), // Rule ID 11136 //
     /* 1749060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1749071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1749074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1749077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749106 */     // MIs[0] policy
     /* 1749106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1749119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749140 */     // GIR_Coverage, 11136,
     /* 1749140 */     GIR_EraseRootFromParent_Done,
     /* 1749141 */   // Label 23833: @1749141
     /* 1749141 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1749227), // Rule ID 11137 //
     /* 1749146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1749157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1749160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1749163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749192 */     // MIs[0] policy
     /* 1749192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1749205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749226 */     // GIR_Coverage, 11137,
     /* 1749226 */     GIR_EraseRootFromParent_Done,
     /* 1749227 */   // Label 23834: @1749227
     /* 1749227 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1749313), // Rule ID 11140 //
     /* 1749232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1749243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1749246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1749249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749278 */     // MIs[0] policy
     /* 1749278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749288 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1749291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749312 */     // GIR_Coverage, 11140,
     /* 1749312 */     GIR_EraseRootFromParent_Done,
     /* 1749313 */   // Label 23835: @1749313
     /* 1749313 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1749399), // Rule ID 11141 //
     /* 1749318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1749329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1749332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1749335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749364 */     // MIs[0] policy
     /* 1749364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1749377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749398 */     // GIR_Coverage, 11141,
     /* 1749398 */     GIR_EraseRootFromParent_Done,
     /* 1749399 */   // Label 23836: @1749399
     /* 1749399 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1749485), // Rule ID 11144 //
     /* 1749404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1749415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1749418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1749421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1749427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749450 */     // MIs[0] policy
     /* 1749450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749460 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1749463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749484 */     // GIR_Coverage, 11144,
     /* 1749484 */     GIR_EraseRootFromParent_Done,
     /* 1749485 */   // Label 23837: @1749485
     /* 1749485 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1749571), // Rule ID 11145 //
     /* 1749490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1749501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1749504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1749507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1749513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749536 */     // MIs[0] policy
     /* 1749536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749546 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1749549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749570 */     // GIR_Coverage, 11145,
     /* 1749570 */     GIR_EraseRootFromParent_Done,
     /* 1749571 */   // Label 23838: @1749571
     /* 1749571 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1749657), // Rule ID 11148 //
     /* 1749576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1749593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749622 */     // MIs[0] policy
     /* 1749622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1749635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749656 */     // GIR_Coverage, 11148,
     /* 1749656 */     GIR_EraseRootFromParent_Done,
     /* 1749657 */   // Label 23839: @1749657
     /* 1749657 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1749743), // Rule ID 11149 //
     /* 1749662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1749679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749708 */     // MIs[0] policy
     /* 1749708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1749721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749742 */     // GIR_Coverage, 11149,
     /* 1749742 */     GIR_EraseRootFromParent_Done,
     /* 1749743 */   // Label 23840: @1749743
     /* 1749743 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1749829), // Rule ID 11152 //
     /* 1749748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1749765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749794 */     // MIs[0] policy
     /* 1749794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1749807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749828 */     // GIR_Coverage, 11152,
     /* 1749828 */     GIR_EraseRootFromParent_Done,
     /* 1749829 */   // Label 23841: @1749829
     /* 1749829 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1749915), // Rule ID 11153 //
     /* 1749834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1749851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749880 */     // MIs[0] policy
     /* 1749880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749890 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1749893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749914 */     // GIR_Coverage, 11153,
     /* 1749914 */     GIR_EraseRootFromParent_Done,
     /* 1749915 */   // Label 23842: @1749915
     /* 1749915 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1750001), // Rule ID 11156 //
     /* 1749920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1749928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1749931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1749934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1749937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749966 */     // MIs[0] policy
     /* 1749966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1749979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750000 */     // GIR_Coverage, 11156,
     /* 1750000 */     GIR_EraseRootFromParent_Done,
     /* 1750001 */   // Label 23843: @1750001
     /* 1750001 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1750087), // Rule ID 11157 //
     /* 1750006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1750017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1750020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1750023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750052 */     // MIs[0] policy
     /* 1750052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1750065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750086 */     // GIR_Coverage, 11157,
     /* 1750086 */     GIR_EraseRootFromParent_Done,
     /* 1750087 */   // Label 23844: @1750087
     /* 1750087 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1750173), // Rule ID 11160 //
     /* 1750092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1750103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1750106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1750109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750138 */     // MIs[0] policy
     /* 1750138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1750151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750172 */     // GIR_Coverage, 11160,
     /* 1750172 */     GIR_EraseRootFromParent_Done,
     /* 1750173 */   // Label 23845: @1750173
     /* 1750173 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1750259), // Rule ID 11161 //
     /* 1750178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1750189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1750192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1750195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750224 */     // MIs[0] policy
     /* 1750224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1750237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750258 */     // GIR_Coverage, 11161,
     /* 1750258 */     GIR_EraseRootFromParent_Done,
     /* 1750259 */   // Label 23846: @1750259
     /* 1750259 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1750345), // Rule ID 11164 //
     /* 1750264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1750275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1750278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1750281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750310 */     // MIs[0] policy
     /* 1750310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1750323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750344 */     // GIR_Coverage, 11164,
     /* 1750344 */     GIR_EraseRootFromParent_Done,
     /* 1750345 */   // Label 23847: @1750345
     /* 1750345 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1750431), // Rule ID 11165 //
     /* 1750350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1750361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1750364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1750367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750396 */     // MIs[0] policy
     /* 1750396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1750409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750430 */     // GIR_Coverage, 11165,
     /* 1750430 */     GIR_EraseRootFromParent_Done,
     /* 1750431 */   // Label 23848: @1750431
     /* 1750431 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1750517), // Rule ID 11168 //
     /* 1750436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1750453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750482 */     // MIs[0] policy
     /* 1750482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1750495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750516 */     // GIR_Coverage, 11168,
     /* 1750516 */     GIR_EraseRootFromParent_Done,
     /* 1750517 */   // Label 23849: @1750517
     /* 1750517 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1750603), // Rule ID 11169 //
     /* 1750522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1750530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1750539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750568 */     // MIs[0] policy
     /* 1750568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1750581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750602 */     // GIR_Coverage, 11169,
     /* 1750602 */     GIR_EraseRootFromParent_Done,
     /* 1750603 */   // Label 23850: @1750603
     /* 1750603 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1750689), // Rule ID 11172 //
     /* 1750608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1750619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1750622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1750625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1750628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750654 */     // MIs[0] policy
     /* 1750654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1750667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750688 */     // GIR_Coverage, 11172,
     /* 1750688 */     GIR_EraseRootFromParent_Done,
     /* 1750689 */   // Label 23851: @1750689
     /* 1750689 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1750775), // Rule ID 11173 //
     /* 1750694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1750705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1750708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1750711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1750714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750740 */     // MIs[0] policy
     /* 1750740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1750753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750774 */     // GIR_Coverage, 11173,
     /* 1750774 */     GIR_EraseRootFromParent_Done,
     /* 1750775 */   // Label 23852: @1750775
     /* 1750775 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1750861), // Rule ID 11176 //
     /* 1750780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1750791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1750794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1750797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1750800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750826 */     // MIs[0] policy
     /* 1750826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750836 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1750839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750860 */     // GIR_Coverage, 11176,
     /* 1750860 */     GIR_EraseRootFromParent_Done,
     /* 1750861 */   // Label 23853: @1750861
     /* 1750861 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1750947), // Rule ID 11177 //
     /* 1750866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1750877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1750880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1750883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1750886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750912 */     // MIs[0] policy
     /* 1750912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1750925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750946 */     // GIR_Coverage, 11177,
     /* 1750946 */     GIR_EraseRootFromParent_Done,
     /* 1750947 */   // Label 23854: @1750947
     /* 1750947 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1751033), // Rule ID 11180 //
     /* 1750952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1750963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1750966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1750969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1750972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750998 */     // MIs[0] policy
     /* 1750998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1751011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751032 */     // GIR_Coverage, 11180,
     /* 1751032 */     GIR_EraseRootFromParent_Done,
     /* 1751033 */   // Label 23855: @1751033
     /* 1751033 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1751119), // Rule ID 11181 //
     /* 1751038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1751049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1751052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1751055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1751058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751084 */     // MIs[0] policy
     /* 1751084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751094 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1751097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751118 */     // GIR_Coverage, 11181,
     /* 1751118 */     GIR_EraseRootFromParent_Done,
     /* 1751119 */   // Label 23856: @1751119
     /* 1751119 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1751205), // Rule ID 11184 //
     /* 1751124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1751141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1751144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751170 */     // MIs[0] policy
     /* 1751170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1751183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751204 */     // GIR_Coverage, 11184,
     /* 1751204 */     GIR_EraseRootFromParent_Done,
     /* 1751205 */   // Label 23857: @1751205
     /* 1751205 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1751291), // Rule ID 11185 //
     /* 1751210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1751227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1751230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751256 */     // MIs[0] policy
     /* 1751256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1751269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751290 */     // GIR_Coverage, 11185,
     /* 1751290 */     GIR_EraseRootFromParent_Done,
     /* 1751291 */   // Label 23858: @1751291
     /* 1751291 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1751377), // Rule ID 11188 //
     /* 1751296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1751313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1751316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751342 */     // MIs[0] policy
     /* 1751342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1751355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751376 */     // GIR_Coverage, 11188,
     /* 1751376 */     GIR_EraseRootFromParent_Done,
     /* 1751377 */   // Label 23859: @1751377
     /* 1751377 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1751463), // Rule ID 11189 //
     /* 1751382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1751399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1751402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751428 */     // MIs[0] policy
     /* 1751428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1751441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751462 */     // GIR_Coverage, 11189,
     /* 1751462 */     GIR_EraseRootFromParent_Done,
     /* 1751463 */   // Label 23860: @1751463
     /* 1751463 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1751549), // Rule ID 11192 //
     /* 1751468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1751479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1751482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1751485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1751488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751514 */     // MIs[0] policy
     /* 1751514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1751527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751548 */     // GIR_Coverage, 11192,
     /* 1751548 */     GIR_EraseRootFromParent_Done,
     /* 1751549 */   // Label 23861: @1751549
     /* 1751549 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1751635), // Rule ID 11193 //
     /* 1751554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1751565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1751568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1751571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1751574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751600 */     // MIs[0] policy
     /* 1751600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1751613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751634 */     // GIR_Coverage, 11193,
     /* 1751634 */     GIR_EraseRootFromParent_Done,
     /* 1751635 */   // Label 23862: @1751635
     /* 1751635 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1751721), // Rule ID 11196 //
     /* 1751640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1751651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1751654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1751657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1751660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751686 */     // MIs[0] policy
     /* 1751686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1751699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751720 */     // GIR_Coverage, 11196,
     /* 1751720 */     GIR_EraseRootFromParent_Done,
     /* 1751721 */   // Label 23863: @1751721
     /* 1751721 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1751807), // Rule ID 11197 //
     /* 1751726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1751737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1751740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1751743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1751746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751772 */     // MIs[0] policy
     /* 1751772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1751785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751806 */     // GIR_Coverage, 11197,
     /* 1751806 */     GIR_EraseRootFromParent_Done,
     /* 1751807 */   // Label 23864: @1751807
     /* 1751807 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1751893), // Rule ID 11200 //
     /* 1751812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1751823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1751826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1751829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1751832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751858 */     // MIs[0] policy
     /* 1751858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1751871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751892 */     // GIR_Coverage, 11200,
     /* 1751892 */     GIR_EraseRootFromParent_Done,
     /* 1751893 */   // Label 23865: @1751893
     /* 1751893 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1751979), // Rule ID 11201 //
     /* 1751898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1751909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1751912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1751915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1751918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751944 */     // MIs[0] policy
     /* 1751944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1751957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751978 */     // GIR_Coverage, 11201,
     /* 1751978 */     GIR_EraseRootFromParent_Done,
     /* 1751979 */   // Label 23866: @1751979
     /* 1751979 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1752065), // Rule ID 11204 //
     /* 1751984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1751992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1751995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1751998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1752001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1752004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752030 */     // MIs[0] policy
     /* 1752030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1752043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752064 */     // GIR_Coverage, 11204,
     /* 1752064 */     GIR_EraseRootFromParent_Done,
     /* 1752065 */   // Label 23867: @1752065
     /* 1752065 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1752151), // Rule ID 11205 //
     /* 1752070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1752081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1752084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1752087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1752090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752116 */     // MIs[0] policy
     /* 1752116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1752129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752150 */     // GIR_Coverage, 11205,
     /* 1752150 */     GIR_EraseRootFromParent_Done,
     /* 1752151 */   // Label 23868: @1752151
     /* 1752151 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1752237), // Rule ID 11208 //
     /* 1752156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1752167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1752170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1752173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1752176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752202 */     // MIs[0] policy
     /* 1752202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1752215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752236 */     // GIR_Coverage, 11208,
     /* 1752236 */     GIR_EraseRootFromParent_Done,
     /* 1752237 */   // Label 23869: @1752237
     /* 1752237 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1752323), // Rule ID 11209 //
     /* 1752242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1752253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1752256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1752259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1752262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752288 */     // MIs[0] policy
     /* 1752288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752298 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1752301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752322 */     // GIR_Coverage, 11209,
     /* 1752322 */     GIR_EraseRootFromParent_Done,
     /* 1752323 */   // Label 23870: @1752323
     /* 1752323 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1752409), // Rule ID 11212 //
     /* 1752328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1752339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1752342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1752345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1752348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752374 */     // MIs[0] policy
     /* 1752374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1752387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752408 */     // GIR_Coverage, 11212,
     /* 1752408 */     GIR_EraseRootFromParent_Done,
     /* 1752409 */   // Label 23871: @1752409
     /* 1752409 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1752495), // Rule ID 11213 //
     /* 1752414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1752425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1752428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1752431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1752434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752460 */     // MIs[0] policy
     /* 1752460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752470 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1752473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752494 */     // GIR_Coverage, 11213,
     /* 1752494 */     GIR_EraseRootFromParent_Done,
     /* 1752495 */   // Label 23872: @1752495
     /* 1752495 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1752581), // Rule ID 11216 //
     /* 1752500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1752511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1752514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1752517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1752520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1752523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752546 */     // MIs[0] policy
     /* 1752546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752556 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1752559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752580 */     // GIR_Coverage, 11216,
     /* 1752580 */     GIR_EraseRootFromParent_Done,
     /* 1752581 */   // Label 23873: @1752581
     /* 1752581 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1752667), // Rule ID 11217 //
     /* 1752586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1752597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1752600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1752603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1752606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1752609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752632 */     // MIs[0] policy
     /* 1752632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752642 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1752645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752666 */     // GIR_Coverage, 11217,
     /* 1752666 */     GIR_EraseRootFromParent_Done,
     /* 1752667 */   // Label 23874: @1752667
     /* 1752667 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1752753), // Rule ID 11220 //
     /* 1752672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1752683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1752686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1752689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1752692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752718 */     // MIs[0] policy
     /* 1752718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1752731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752752 */     // GIR_Coverage, 11220,
     /* 1752752 */     GIR_EraseRootFromParent_Done,
     /* 1752753 */   // Label 23875: @1752753
     /* 1752753 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1752839), // Rule ID 11221 //
     /* 1752758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1752769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1752772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1752775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1752778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752804 */     // MIs[0] policy
     /* 1752804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1752817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752838 */     // GIR_Coverage, 11221,
     /* 1752838 */     GIR_EraseRootFromParent_Done,
     /* 1752839 */   // Label 23876: @1752839
     /* 1752839 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1752925), // Rule ID 11224 //
     /* 1752844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1752855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1752858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1752861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1752864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752890 */     // MIs[0] policy
     /* 1752890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752900 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1752903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752924 */     // GIR_Coverage, 11224,
     /* 1752924 */     GIR_EraseRootFromParent_Done,
     /* 1752925 */   // Label 23877: @1752925
     /* 1752925 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1753011), // Rule ID 11225 //
     /* 1752930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1752938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1752941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1752944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1752947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1752950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752976 */     // MIs[0] policy
     /* 1752976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1752989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753010 */     // GIR_Coverage, 11225,
     /* 1753010 */     GIR_EraseRootFromParent_Done,
     /* 1753011 */   // Label 23878: @1753011
     /* 1753011 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1753097), // Rule ID 11228 //
     /* 1753016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1753027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1753030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1753033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1753036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753062 */     // MIs[0] policy
     /* 1753062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753072 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1753075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753096 */     // GIR_Coverage, 11228,
     /* 1753096 */     GIR_EraseRootFromParent_Done,
     /* 1753097 */   // Label 23879: @1753097
     /* 1753097 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1753183), // Rule ID 11229 //
     /* 1753102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1753113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1753116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1753119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1753122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753148 */     // MIs[0] policy
     /* 1753148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1753161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753182 */     // GIR_Coverage, 11229,
     /* 1753182 */     GIR_EraseRootFromParent_Done,
     /* 1753183 */   // Label 23880: @1753183
     /* 1753183 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1753269), // Rule ID 11232 //
     /* 1753188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1753199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1753202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753234 */     // MIs[0] policy
     /* 1753234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1753247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753268 */     // GIR_Coverage, 11232,
     /* 1753268 */     GIR_EraseRootFromParent_Done,
     /* 1753269 */   // Label 23881: @1753269
     /* 1753269 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1753355), // Rule ID 11233 //
     /* 1753274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1753285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1753288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753320 */     // MIs[0] policy
     /* 1753320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1753333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753354 */     // GIR_Coverage, 11233,
     /* 1753354 */     GIR_EraseRootFromParent_Done,
     /* 1753355 */   // Label 23882: @1753355
     /* 1753355 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1753441), // Rule ID 11236 //
     /* 1753360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1753371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1753374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1753377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1753380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753406 */     // MIs[0] policy
     /* 1753406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1753419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753440 */     // GIR_Coverage, 11236,
     /* 1753440 */     GIR_EraseRootFromParent_Done,
     /* 1753441 */   // Label 23883: @1753441
     /* 1753441 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1753527), // Rule ID 11237 //
     /* 1753446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1753457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1753460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1753463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1753466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753492 */     // MIs[0] policy
     /* 1753492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1753505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753526 */     // GIR_Coverage, 11237,
     /* 1753526 */     GIR_EraseRootFromParent_Done,
     /* 1753527 */   // Label 23884: @1753527
     /* 1753527 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1753613), // Rule ID 11240 //
     /* 1753532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1753543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1753546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1753549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1753552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753578 */     // MIs[0] policy
     /* 1753578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1753591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753612 */     // GIR_Coverage, 11240,
     /* 1753612 */     GIR_EraseRootFromParent_Done,
     /* 1753613 */   // Label 23885: @1753613
     /* 1753613 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1753699), // Rule ID 11241 //
     /* 1753618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1753629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1753632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1753635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1753638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753664 */     // MIs[0] policy
     /* 1753664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1753677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753698 */     // GIR_Coverage, 11241,
     /* 1753698 */     GIR_EraseRootFromParent_Done,
     /* 1753699 */   // Label 23886: @1753699
     /* 1753699 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1753785), // Rule ID 11244 //
     /* 1753704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1753715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1753718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1753721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753750 */     // MIs[0] policy
     /* 1753750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753760 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1753763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753784 */     // GIR_Coverage, 11244,
     /* 1753784 */     GIR_EraseRootFromParent_Done,
     /* 1753785 */   // Label 23887: @1753785
     /* 1753785 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1753871), // Rule ID 11245 //
     /* 1753790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1753801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1753804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1753807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753836 */     // MIs[0] policy
     /* 1753836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753846 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1753849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753870 */     // GIR_Coverage, 11245,
     /* 1753870 */     GIR_EraseRootFromParent_Done,
     /* 1753871 */   // Label 23888: @1753871
     /* 1753871 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1753957), // Rule ID 11248 //
     /* 1753876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1753887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1753890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1753893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753922 */     // MIs[0] policy
     /* 1753922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753932 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1753935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753956 */     // GIR_Coverage, 11248,
     /* 1753956 */     GIR_EraseRootFromParent_Done,
     /* 1753957 */   // Label 23889: @1753957
     /* 1753957 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1754043), // Rule ID 11249 //
     /* 1753962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1753973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1753976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1753979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754008 */     // MIs[0] policy
     /* 1754008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754018 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1754021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754042 */     // GIR_Coverage, 11249,
     /* 1754042 */     GIR_EraseRootFromParent_Done,
     /* 1754043 */   // Label 23890: @1754043
     /* 1754043 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1754129), // Rule ID 11252 //
     /* 1754048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754094 */     // MIs[0] policy
     /* 1754094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754104 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1754107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754128 */     // GIR_Coverage, 11252,
     /* 1754128 */     GIR_EraseRootFromParent_Done,
     /* 1754129 */   // Label 23891: @1754129
     /* 1754129 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1754215), // Rule ID 11253 //
     /* 1754134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754180 */     // MIs[0] policy
     /* 1754180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754190 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1754193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754214 */     // GIR_Coverage, 11253,
     /* 1754214 */     GIR_EraseRootFromParent_Done,
     /* 1754215 */   // Label 23892: @1754215
     /* 1754215 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1754301), // Rule ID 11256 //
     /* 1754220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754266 */     // MIs[0] policy
     /* 1754266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1754279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754300 */     // GIR_Coverage, 11256,
     /* 1754300 */     GIR_EraseRootFromParent_Done,
     /* 1754301 */   // Label 23893: @1754301
     /* 1754301 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1754387), // Rule ID 11257 //
     /* 1754306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754352 */     // MIs[0] policy
     /* 1754352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1754365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754386 */     // GIR_Coverage, 11257,
     /* 1754386 */     GIR_EraseRootFromParent_Done,
     /* 1754387 */   // Label 23894: @1754387
     /* 1754387 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1754473), // Rule ID 11260 //
     /* 1754392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1754403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1754406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1754409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754438 */     // MIs[0] policy
     /* 1754438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1754451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754472 */     // GIR_Coverage, 11260,
     /* 1754472 */     GIR_EraseRootFromParent_Done,
     /* 1754473 */   // Label 23895: @1754473
     /* 1754473 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1754559), // Rule ID 11261 //
     /* 1754478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1754489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1754492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1754495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754524 */     // MIs[0] policy
     /* 1754524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1754537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754558 */     // GIR_Coverage, 11261,
     /* 1754558 */     GIR_EraseRootFromParent_Done,
     /* 1754559 */   // Label 23896: @1754559
     /* 1754559 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1754645), // Rule ID 11264 //
     /* 1754564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1754581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754610 */     // MIs[0] policy
     /* 1754610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1754623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754644 */     // GIR_Coverage, 11264,
     /* 1754644 */     GIR_EraseRootFromParent_Done,
     /* 1754645 */   // Label 23897: @1754645
     /* 1754645 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1754731), // Rule ID 11265 //
     /* 1754650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1754667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754696 */     // MIs[0] policy
     /* 1754696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1754709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754730 */     // GIR_Coverage, 11265,
     /* 1754730 */     GIR_EraseRootFromParent_Done,
     /* 1754731 */   // Label 23898: @1754731
     /* 1754731 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1754817), // Rule ID 11268 //
     /* 1754736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1754747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1754750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1754753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754782 */     // MIs[0] policy
     /* 1754782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1754795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754816 */     // GIR_Coverage, 11268,
     /* 1754816 */     GIR_EraseRootFromParent_Done,
     /* 1754817 */   // Label 23899: @1754817
     /* 1754817 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1754903), // Rule ID 11269 //
     /* 1754822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1754833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1754836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1754839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754868 */     // MIs[0] policy
     /* 1754868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1754881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754902 */     // GIR_Coverage, 11269,
     /* 1754902 */     GIR_EraseRootFromParent_Done,
     /* 1754903 */   // Label 23900: @1754903
     /* 1754903 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1754989), // Rule ID 11272 //
     /* 1754908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1754919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1754922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1754925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754954 */     // MIs[0] policy
     /* 1754954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1754967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754988 */     // GIR_Coverage, 11272,
     /* 1754988 */     GIR_EraseRootFromParent_Done,
     /* 1754989 */   // Label 23901: @1754989
     /* 1754989 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1755075), // Rule ID 11273 //
     /* 1754994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1755005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1755008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1755011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755040 */     // MIs[0] policy
     /* 1755040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1755053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755074 */     // GIR_Coverage, 11273,
     /* 1755074 */     GIR_EraseRootFromParent_Done,
     /* 1755075 */   // Label 23902: @1755075
     /* 1755075 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1755161), // Rule ID 11276 //
     /* 1755080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755126 */     // MIs[0] policy
     /* 1755126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1755139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755160 */     // GIR_Coverage, 11276,
     /* 1755160 */     GIR_EraseRootFromParent_Done,
     /* 1755161 */   // Label 23903: @1755161
     /* 1755161 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1755247), // Rule ID 11277 //
     /* 1755166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755212 */     // MIs[0] policy
     /* 1755212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1755225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755246 */     // GIR_Coverage, 11277,
     /* 1755246 */     GIR_EraseRootFromParent_Done,
     /* 1755247 */   // Label 23904: @1755247
     /* 1755247 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1755333), // Rule ID 11280 //
     /* 1755252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755298 */     // MIs[0] policy
     /* 1755298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1755311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755332 */     // GIR_Coverage, 11280,
     /* 1755332 */     GIR_EraseRootFromParent_Done,
     /* 1755333 */   // Label 23905: @1755333
     /* 1755333 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1755419), // Rule ID 11281 //
     /* 1755338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755384 */     // MIs[0] policy
     /* 1755384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1755397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755418 */     // GIR_Coverage, 11281,
     /* 1755418 */     GIR_EraseRootFromParent_Done,
     /* 1755419 */   // Label 23906: @1755419
     /* 1755419 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1755505), // Rule ID 11284 //
     /* 1755424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1755435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1755438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1755441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755470 */     // MIs[0] policy
     /* 1755470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1755483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755504 */     // GIR_Coverage, 11284,
     /* 1755504 */     GIR_EraseRootFromParent_Done,
     /* 1755505 */   // Label 23907: @1755505
     /* 1755505 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1755591), // Rule ID 11285 //
     /* 1755510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1755521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1755524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1755527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755556 */     // MIs[0] policy
     /* 1755556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755566 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1755569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755590 */     // GIR_Coverage, 11285,
     /* 1755590 */     GIR_EraseRootFromParent_Done,
     /* 1755591 */   // Label 23908: @1755591
     /* 1755591 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1755677), // Rule ID 11288 //
     /* 1755596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1755607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1755610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1755613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1755619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755642 */     // MIs[0] policy
     /* 1755642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1755655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755676 */     // GIR_Coverage, 11288,
     /* 1755676 */     GIR_EraseRootFromParent_Done,
     /* 1755677 */   // Label 23909: @1755677
     /* 1755677 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1755763), // Rule ID 11289 //
     /* 1755682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1755693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1755696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1755699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1755705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755728 */     // MIs[0] policy
     /* 1755728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1755741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755762 */     // GIR_Coverage, 11289,
     /* 1755762 */     GIR_EraseRootFromParent_Done,
     /* 1755763 */   // Label 23910: @1755763
     /* 1755763 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1755849), // Rule ID 11292 //
     /* 1755768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1755779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1755782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1755785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755814 */     // MIs[0] policy
     /* 1755814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1755827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755848 */     // GIR_Coverage, 11292,
     /* 1755848 */     GIR_EraseRootFromParent_Done,
     /* 1755849 */   // Label 23911: @1755849
     /* 1755849 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1755935), // Rule ID 11293 //
     /* 1755854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1755865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1755868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1755871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755900 */     // MIs[0] policy
     /* 1755900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755910 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1755913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755934 */     // GIR_Coverage, 11293,
     /* 1755934 */     GIR_EraseRootFromParent_Done,
     /* 1755935 */   // Label 23912: @1755935
     /* 1755935 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1756021), // Rule ID 11296 //
     /* 1755940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1755951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1755954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1755957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755986 */     // MIs[0] policy
     /* 1755986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1755999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756020 */     // GIR_Coverage, 11296,
     /* 1756020 */     GIR_EraseRootFromParent_Done,
     /* 1756021 */   // Label 23913: @1756021
     /* 1756021 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1756107), // Rule ID 11297 //
     /* 1756026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1756043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756072 */     // MIs[0] policy
     /* 1756072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1756085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756106 */     // GIR_Coverage, 11297,
     /* 1756106 */     GIR_EraseRootFromParent_Done,
     /* 1756107 */   // Label 23914: @1756107
     /* 1756107 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1756193), // Rule ID 11300 //
     /* 1756112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756158 */     // MIs[0] policy
     /* 1756158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1756171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756192 */     // GIR_Coverage, 11300,
     /* 1756192 */     GIR_EraseRootFromParent_Done,
     /* 1756193 */   // Label 23915: @1756193
     /* 1756193 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1756279), // Rule ID 11301 //
     /* 1756198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756244 */     // MIs[0] policy
     /* 1756244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1756257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756278 */     // GIR_Coverage, 11301,
     /* 1756278 */     GIR_EraseRootFromParent_Done,
     /* 1756279 */   // Label 23916: @1756279
     /* 1756279 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1756365), // Rule ID 11304 //
     /* 1756284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1756295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1756298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1756301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756330 */     // MIs[0] policy
     /* 1756330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1756343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756364 */     // GIR_Coverage, 11304,
     /* 1756364 */     GIR_EraseRootFromParent_Done,
     /* 1756365 */   // Label 23917: @1756365
     /* 1756365 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1756451), // Rule ID 11305 //
     /* 1756370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1756381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1756384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1756387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756416 */     // MIs[0] policy
     /* 1756416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1756429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756450 */     // GIR_Coverage, 11305,
     /* 1756450 */     GIR_EraseRootFromParent_Done,
     /* 1756451 */   // Label 23918: @1756451
     /* 1756451 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1756537), // Rule ID 11308 //
     /* 1756456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1756467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1756470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1756473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756502 */     // MIs[0] policy
     /* 1756502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1756515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756536 */     // GIR_Coverage, 11308,
     /* 1756536 */     GIR_EraseRootFromParent_Done,
     /* 1756537 */   // Label 23919: @1756537
     /* 1756537 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1756623), // Rule ID 11309 //
     /* 1756542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1756553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1756556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1756559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756588 */     // MIs[0] policy
     /* 1756588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1756601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756622 */     // GIR_Coverage, 11309,
     /* 1756622 */     GIR_EraseRootFromParent_Done,
     /* 1756623 */   // Label 23920: @1756623
     /* 1756623 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1756709), // Rule ID 11312 //
     /* 1756628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1756639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1756642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1756645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756674 */     // MIs[0] policy
     /* 1756674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1756687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756708 */     // GIR_Coverage, 11312,
     /* 1756708 */     GIR_EraseRootFromParent_Done,
     /* 1756709 */   // Label 23921: @1756709
     /* 1756709 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1756795), // Rule ID 11313 //
     /* 1756714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1756722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1756725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1756728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1756731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756760 */     // MIs[0] policy
     /* 1756760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1756773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756794 */     // GIR_Coverage, 11313,
     /* 1756794 */     GIR_EraseRootFromParent_Done,
     /* 1756795 */   // Label 23922: @1756795
     /* 1756795 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1756881), // Rule ID 11316 //
     /* 1756800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1756811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1756814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1756817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1756820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756846 */     // MIs[0] policy
     /* 1756846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1756859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756880 */     // GIR_Coverage, 11316,
     /* 1756880 */     GIR_EraseRootFromParent_Done,
     /* 1756881 */   // Label 23923: @1756881
     /* 1756881 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1756967), // Rule ID 11317 //
     /* 1756886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1756897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1756900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1756903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1756906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756932 */     // MIs[0] policy
     /* 1756932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1756945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756966 */     // GIR_Coverage, 11317,
     /* 1756966 */     GIR_EraseRootFromParent_Done,
     /* 1756967 */   // Label 23924: @1756967
     /* 1756967 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1757053), // Rule ID 11320 //
     /* 1756972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1756992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757018 */     // MIs[0] policy
     /* 1757018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1757031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757052 */     // GIR_Coverage, 11320,
     /* 1757052 */     GIR_EraseRootFromParent_Done,
     /* 1757053 */   // Label 23925: @1757053
     /* 1757053 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1757139), // Rule ID 11321 //
     /* 1757058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1757069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1757072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1757075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1757078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757104 */     // MIs[0] policy
     /* 1757104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757114 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1757117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757138 */     // GIR_Coverage, 11321,
     /* 1757138 */     GIR_EraseRootFromParent_Done,
     /* 1757139 */   // Label 23926: @1757139
     /* 1757139 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1757225), // Rule ID 11324 //
     /* 1757144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1757155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1757158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1757161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1757164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757190 */     // MIs[0] policy
     /* 1757190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1757203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757224 */     // GIR_Coverage, 11324,
     /* 1757224 */     GIR_EraseRootFromParent_Done,
     /* 1757225 */   // Label 23927: @1757225
     /* 1757225 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1757311), // Rule ID 11325 //
     /* 1757230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1757241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1757244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1757247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1757250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757276 */     // MIs[0] policy
     /* 1757276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1757289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757310 */     // GIR_Coverage, 11325,
     /* 1757310 */     GIR_EraseRootFromParent_Done,
     /* 1757311 */   // Label 23928: @1757311
     /* 1757311 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1757397), // Rule ID 11328 //
     /* 1757316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1757327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1757330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1757333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757362 */     // MIs[0] policy
     /* 1757362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1757375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757396 */     // GIR_Coverage, 11328,
     /* 1757396 */     GIR_EraseRootFromParent_Done,
     /* 1757397 */   // Label 23929: @1757397
     /* 1757397 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1757483), // Rule ID 11329 //
     /* 1757402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1757413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1757416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1757419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757448 */     // MIs[0] policy
     /* 1757448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1757461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757482 */     // GIR_Coverage, 11329,
     /* 1757482 */     GIR_EraseRootFromParent_Done,
     /* 1757483 */   // Label 23930: @1757483
     /* 1757483 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1757569), // Rule ID 11332 //
     /* 1757488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1757499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1757502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1757505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1757508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757534 */     // MIs[0] policy
     /* 1757534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1757547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757568 */     // GIR_Coverage, 11332,
     /* 1757568 */     GIR_EraseRootFromParent_Done,
     /* 1757569 */   // Label 23931: @1757569
     /* 1757569 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1757655), // Rule ID 11333 //
     /* 1757574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1757585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1757588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1757591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1757594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757620 */     // MIs[0] policy
     /* 1757620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1757633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757654 */     // GIR_Coverage, 11333,
     /* 1757654 */     GIR_EraseRootFromParent_Done,
     /* 1757655 */   // Label 23932: @1757655
     /* 1757655 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1757741), // Rule ID 11336 //
     /* 1757660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1757677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1757680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757706 */     // MIs[0] policy
     /* 1757706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1757719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757740 */     // GIR_Coverage, 11336,
     /* 1757740 */     GIR_EraseRootFromParent_Done,
     /* 1757741 */   // Label 23933: @1757741
     /* 1757741 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1757827), // Rule ID 11337 //
     /* 1757746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1757763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1757766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757792 */     // MIs[0] policy
     /* 1757792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1757805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757826 */     // GIR_Coverage, 11337,
     /* 1757826 */     GIR_EraseRootFromParent_Done,
     /* 1757827 */   // Label 23934: @1757827
     /* 1757827 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1757913), // Rule ID 11340 //
     /* 1757832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1757843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1757846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1757849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1757852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757878 */     // MIs[0] policy
     /* 1757878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1757891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757912 */     // GIR_Coverage, 11340,
     /* 1757912 */     GIR_EraseRootFromParent_Done,
     /* 1757913 */   // Label 23935: @1757913
     /* 1757913 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1757999), // Rule ID 11341 //
     /* 1757918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1757929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1757932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1757935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1757938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757964 */     // MIs[0] policy
     /* 1757964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1757977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757998 */     // GIR_Coverage, 11341,
     /* 1757998 */     GIR_EraseRootFromParent_Done,
     /* 1757999 */   // Label 23936: @1757999
     /* 1757999 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1758085), // Rule ID 11344 //
     /* 1758004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1758015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1758018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1758021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1758024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758050 */     // MIs[0] policy
     /* 1758050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1758063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758084 */     // GIR_Coverage, 11344,
     /* 1758084 */     GIR_EraseRootFromParent_Done,
     /* 1758085 */   // Label 23937: @1758085
     /* 1758085 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1758171), // Rule ID 11345 //
     /* 1758090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1758101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1758104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1758107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1758110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758136 */     // MIs[0] policy
     /* 1758136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1758149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758170 */     // GIR_Coverage, 11345,
     /* 1758170 */     GIR_EraseRootFromParent_Done,
     /* 1758171 */   // Label 23938: @1758171
     /* 1758171 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1758257), // Rule ID 11348 //
     /* 1758176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1758187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1758190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1758193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758222 */     // MIs[0] policy
     /* 1758222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1758235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758256 */     // GIR_Coverage, 11348,
     /* 1758256 */     GIR_EraseRootFromParent_Done,
     /* 1758257 */   // Label 23939: @1758257
     /* 1758257 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1758343), // Rule ID 11349 //
     /* 1758262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1758273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1758276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1758279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758308 */     // MIs[0] policy
     /* 1758308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1758321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758342 */     // GIR_Coverage, 11349,
     /* 1758342 */     GIR_EraseRootFromParent_Done,
     /* 1758343 */   // Label 23940: @1758343
     /* 1758343 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1758429), // Rule ID 11352 //
     /* 1758348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1758359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1758362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1758365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1758368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758394 */     // MIs[0] policy
     /* 1758394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1758407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758428 */     // GIR_Coverage, 11352,
     /* 1758428 */     GIR_EraseRootFromParent_Done,
     /* 1758429 */   // Label 23941: @1758429
     /* 1758429 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1758515), // Rule ID 11353 //
     /* 1758434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1758445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1758448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1758451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1758454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758480 */     // MIs[0] policy
     /* 1758480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1758493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758514 */     // GIR_Coverage, 11353,
     /* 1758514 */     GIR_EraseRootFromParent_Done,
     /* 1758515 */   // Label 23942: @1758515
     /* 1758515 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1758601), // Rule ID 11356 //
     /* 1758520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1758531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1758534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1758537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1758540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758566 */     // MIs[0] policy
     /* 1758566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1758579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758600 */     // GIR_Coverage, 11356,
     /* 1758600 */     GIR_EraseRootFromParent_Done,
     /* 1758601 */   // Label 23943: @1758601
     /* 1758601 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1758687), // Rule ID 11357 //
     /* 1758606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1758617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1758620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1758623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1758626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758652 */     // MIs[0] policy
     /* 1758652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758662 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1758665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758686 */     // GIR_Coverage, 11357,
     /* 1758686 */     GIR_EraseRootFromParent_Done,
     /* 1758687 */   // Label 23944: @1758687
     /* 1758687 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1758773), // Rule ID 11360 //
     /* 1758692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1758703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1758706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1758709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1758712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1758715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758738 */     // MIs[0] policy
     /* 1758738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1758751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758772 */     // GIR_Coverage, 11360,
     /* 1758772 */     GIR_EraseRootFromParent_Done,
     /* 1758773 */   // Label 23945: @1758773
     /* 1758773 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1758859), // Rule ID 11361 //
     /* 1758778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1758789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1758792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1758795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1758798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1758801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758824 */     // MIs[0] policy
     /* 1758824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1758837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758858 */     // GIR_Coverage, 11361,
     /* 1758858 */     GIR_EraseRootFromParent_Done,
     /* 1758859 */   // Label 23946: @1758859
     /* 1758859 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1758945), // Rule ID 11364 //
     /* 1758864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1758875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1758878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1758881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1758884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758910 */     // MIs[0] policy
     /* 1758910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1758923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758944 */     // GIR_Coverage, 11364,
     /* 1758944 */     GIR_EraseRootFromParent_Done,
     /* 1758945 */   // Label 23947: @1758945
     /* 1758945 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1759031), // Rule ID 11365 //
     /* 1758950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1758958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1758961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1758964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1758967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1758970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758996 */     // MIs[0] policy
     /* 1758996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1759009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759030 */     // GIR_Coverage, 11365,
     /* 1759030 */     GIR_EraseRootFromParent_Done,
     /* 1759031 */   // Label 23948: @1759031
     /* 1759031 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1759117), // Rule ID 11368 //
     /* 1759036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1759047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1759050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1759053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1759056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759082 */     // MIs[0] policy
     /* 1759082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1759095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759116 */     // GIR_Coverage, 11368,
     /* 1759116 */     GIR_EraseRootFromParent_Done,
     /* 1759117 */   // Label 23949: @1759117
     /* 1759117 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1759203), // Rule ID 11369 //
     /* 1759122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1759133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1759136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1759139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1759142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759168 */     // MIs[0] policy
     /* 1759168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1759181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759202 */     // GIR_Coverage, 11369,
     /* 1759202 */     GIR_EraseRootFromParent_Done,
     /* 1759203 */   // Label 23950: @1759203
     /* 1759203 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1759289), // Rule ID 11372 //
     /* 1759208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1759219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1759222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1759225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1759228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759254 */     // MIs[0] policy
     /* 1759254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1759267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759288 */     // GIR_Coverage, 11372,
     /* 1759288 */     GIR_EraseRootFromParent_Done,
     /* 1759289 */   // Label 23951: @1759289
     /* 1759289 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1759375), // Rule ID 11373 //
     /* 1759294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1759305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1759308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1759311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1759314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759340 */     // MIs[0] policy
     /* 1759340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1759353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759374 */     // GIR_Coverage, 11373,
     /* 1759374 */     GIR_EraseRootFromParent_Done,
     /* 1759375 */   // Label 23952: @1759375
     /* 1759375 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1759461), // Rule ID 11376 //
     /* 1759380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1759391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1759394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1759397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1759400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759426 */     // MIs[0] policy
     /* 1759426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1759439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759460 */     // GIR_Coverage, 11376,
     /* 1759460 */     GIR_EraseRootFromParent_Done,
     /* 1759461 */   // Label 23953: @1759461
     /* 1759461 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1759547), // Rule ID 11377 //
     /* 1759466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1759477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1759480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1759483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1759486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759512 */     // MIs[0] policy
     /* 1759512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1759525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759546 */     // GIR_Coverage, 11377,
     /* 1759546 */     GIR_EraseRootFromParent_Done,
     /* 1759547 */   // Label 23954: @1759547
     /* 1759547 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1759633), // Rule ID 11380 //
     /* 1759552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1759563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1759566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1759569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1759572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759598 */     // MIs[0] policy
     /* 1759598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1759611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759632 */     // GIR_Coverage, 11380,
     /* 1759632 */     GIR_EraseRootFromParent_Done,
     /* 1759633 */   // Label 23955: @1759633
     /* 1759633 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1759719), // Rule ID 11381 //
     /* 1759638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1759649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1759652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1759655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1759658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759684 */     // MIs[0] policy
     /* 1759684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1759697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759718 */     // GIR_Coverage, 11381,
     /* 1759718 */     GIR_EraseRootFromParent_Done,
     /* 1759719 */   // Label 23956: @1759719
     /* 1759719 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1759805), // Rule ID 11384 //
     /* 1759724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1759735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1759738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1759741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1759744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759770 */     // MIs[0] policy
     /* 1759770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1759783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759804 */     // GIR_Coverage, 11384,
     /* 1759804 */     GIR_EraseRootFromParent_Done,
     /* 1759805 */   // Label 23957: @1759805
     /* 1759805 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1759891), // Rule ID 11385 //
     /* 1759810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1759821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1759824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1759827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1759830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759856 */     // MIs[0] policy
     /* 1759856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1759869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759890 */     // GIR_Coverage, 11385,
     /* 1759890 */     GIR_EraseRootFromParent_Done,
     /* 1759891 */   // Label 23958: @1759891
     /* 1759891 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1759977), // Rule ID 11388 //
     /* 1759896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1759907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1759910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1759913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759942 */     // MIs[0] policy
     /* 1759942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759952 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1759955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759976 */     // GIR_Coverage, 11388,
     /* 1759976 */     GIR_EraseRootFromParent_Done,
     /* 1759977 */   // Label 23959: @1759977
     /* 1759977 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1760063), // Rule ID 11389 //
     /* 1759982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1759993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1759996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1759999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760028 */     // MIs[0] policy
     /* 1760028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760038 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1760041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760062 */     // GIR_Coverage, 11389,
     /* 1760062 */     GIR_EraseRootFromParent_Done,
     /* 1760063 */   // Label 23960: @1760063
     /* 1760063 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1760149), // Rule ID 11392 //
     /* 1760068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1760079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1760082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1760085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760114 */     // MIs[0] policy
     /* 1760114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1760127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760148 */     // GIR_Coverage, 11392,
     /* 1760148 */     GIR_EraseRootFromParent_Done,
     /* 1760149 */   // Label 23961: @1760149
     /* 1760149 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1760235), // Rule ID 11393 //
     /* 1760154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1760165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1760168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1760171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760200 */     // MIs[0] policy
     /* 1760200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760210 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1760213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760234 */     // GIR_Coverage, 11393,
     /* 1760234 */     GIR_EraseRootFromParent_Done,
     /* 1760235 */   // Label 23962: @1760235
     /* 1760235 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1760321), // Rule ID 11396 //
     /* 1760240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1760251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1760254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1760257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760286 */     // MIs[0] policy
     /* 1760286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1760299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760320 */     // GIR_Coverage, 11396,
     /* 1760320 */     GIR_EraseRootFromParent_Done,
     /* 1760321 */   // Label 23963: @1760321
     /* 1760321 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1760407), // Rule ID 11397 //
     /* 1760326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1760337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1760340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1760343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760372 */     // MIs[0] policy
     /* 1760372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760382 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1760385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760406 */     // GIR_Coverage, 11397,
     /* 1760406 */     GIR_EraseRootFromParent_Done,
     /* 1760407 */   // Label 23964: @1760407
     /* 1760407 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1760493), // Rule ID 11400 //
     /* 1760412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1760423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1760426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1760429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760458 */     // MIs[0] policy
     /* 1760458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1760471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760492 */     // GIR_Coverage, 11400,
     /* 1760492 */     GIR_EraseRootFromParent_Done,
     /* 1760493 */   // Label 23965: @1760493
     /* 1760493 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1760579), // Rule ID 11401 //
     /* 1760498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1760509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1760512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1760515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760544 */     // MIs[0] policy
     /* 1760544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1760557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760578 */     // GIR_Coverage, 11401,
     /* 1760578 */     GIR_EraseRootFromParent_Done,
     /* 1760579 */   // Label 23966: @1760579
     /* 1760579 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1760665), // Rule ID 11404 //
     /* 1760584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1760595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1760598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1760601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760630 */     // MIs[0] policy
     /* 1760630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1760643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760664 */     // GIR_Coverage, 11404,
     /* 1760664 */     GIR_EraseRootFromParent_Done,
     /* 1760665 */   // Label 23967: @1760665
     /* 1760665 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1760751), // Rule ID 11405 //
     /* 1760670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1760681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1760684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1760687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760716 */     // MIs[0] policy
     /* 1760716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1760729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760750 */     // GIR_Coverage, 11405,
     /* 1760750 */     GIR_EraseRootFromParent_Done,
     /* 1760751 */   // Label 23968: @1760751
     /* 1760751 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1760837), // Rule ID 11408 //
     /* 1760756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1760767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1760770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1760773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760802 */     // MIs[0] policy
     /* 1760802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1760815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760836 */     // GIR_Coverage, 11408,
     /* 1760836 */     GIR_EraseRootFromParent_Done,
     /* 1760837 */   // Label 23969: @1760837
     /* 1760837 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1760923), // Rule ID 11409 //
     /* 1760842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1760853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1760856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1760859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760888 */     // MIs[0] policy
     /* 1760888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1760901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760922 */     // GIR_Coverage, 11409,
     /* 1760922 */     GIR_EraseRootFromParent_Done,
     /* 1760923 */   // Label 23970: @1760923
     /* 1760923 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1761009), // Rule ID 11412 //
     /* 1760928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1760939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1760942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1760945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760974 */     // MIs[0] policy
     /* 1760974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1760987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761008 */     // GIR_Coverage, 11412,
     /* 1761008 */     GIR_EraseRootFromParent_Done,
     /* 1761009 */   // Label 23971: @1761009
     /* 1761009 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1761095), // Rule ID 11413 //
     /* 1761014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1761025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1761028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1761031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761060 */     // MIs[0] policy
     /* 1761060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761070 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761094 */     // GIR_Coverage, 11413,
     /* 1761094 */     GIR_EraseRootFromParent_Done,
     /* 1761095 */   // Label 23972: @1761095
     /* 1761095 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1761181), // Rule ID 11416 //
     /* 1761100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1761111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1761114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1761117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761146 */     // MIs[0] policy
     /* 1761146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761180 */     // GIR_Coverage, 11416,
     /* 1761180 */     GIR_EraseRootFromParent_Done,
     /* 1761181 */   // Label 23973: @1761181
     /* 1761181 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1761267), // Rule ID 11417 //
     /* 1761186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1761197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1761200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1761203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761232 */     // MIs[0] policy
     /* 1761232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761266 */     // GIR_Coverage, 11417,
     /* 1761266 */     GIR_EraseRootFromParent_Done,
     /* 1761267 */   // Label 23974: @1761267
     /* 1761267 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1761353), // Rule ID 11420 //
     /* 1761272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1761283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1761286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1761289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761318 */     // MIs[0] policy
     /* 1761318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761352 */     // GIR_Coverage, 11420,
     /* 1761352 */     GIR_EraseRootFromParent_Done,
     /* 1761353 */   // Label 23975: @1761353
     /* 1761353 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1761439), // Rule ID 11421 //
     /* 1761358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1761369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1761372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1761375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761404 */     // MIs[0] policy
     /* 1761404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1761417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761438 */     // GIR_Coverage, 11421,
     /* 1761438 */     GIR_EraseRootFromParent_Done,
     /* 1761439 */   // Label 23976: @1761439
     /* 1761439 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1761525), // Rule ID 11424 //
     /* 1761444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1761455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1761458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1761461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761490 */     // MIs[0] policy
     /* 1761490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761500 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1761503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761524 */     // GIR_Coverage, 11424,
     /* 1761524 */     GIR_EraseRootFromParent_Done,
     /* 1761525 */   // Label 23977: @1761525
     /* 1761525 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1761611), // Rule ID 11425 //
     /* 1761530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1761541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1761544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1761547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761576 */     // MIs[0] policy
     /* 1761576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761586 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1761589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761610 */     // GIR_Coverage, 11425,
     /* 1761610 */     GIR_EraseRootFromParent_Done,
     /* 1761611 */   // Label 23978: @1761611
     /* 1761611 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1761697), // Rule ID 11428 //
     /* 1761616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1761627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1761630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1761633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761662 */     // MIs[0] policy
     /* 1761662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1761675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761696 */     // GIR_Coverage, 11428,
     /* 1761696 */     GIR_EraseRootFromParent_Done,
     /* 1761697 */   // Label 23979: @1761697
     /* 1761697 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1761783), // Rule ID 11429 //
     /* 1761702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1761713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1761716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1761719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761748 */     // MIs[0] policy
     /* 1761748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1761761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761782 */     // GIR_Coverage, 11429,
     /* 1761782 */     GIR_EraseRootFromParent_Done,
     /* 1761783 */   // Label 23980: @1761783
     /* 1761783 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1761869), // Rule ID 11432 //
     /* 1761788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1761799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1761802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1761805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1761811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761834 */     // MIs[0] policy
     /* 1761834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1761847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761868 */     // GIR_Coverage, 11432,
     /* 1761868 */     GIR_EraseRootFromParent_Done,
     /* 1761869 */   // Label 23981: @1761869
     /* 1761869 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1761955), // Rule ID 11433 //
     /* 1761874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1761885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1761888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1761891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1761897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761920 */     // MIs[0] policy
     /* 1761920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761930 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1761933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761954 */     // GIR_Coverage, 11433,
     /* 1761954 */     GIR_EraseRootFromParent_Done,
     /* 1761955 */   // Label 23982: @1761955
     /* 1761955 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1762041), // Rule ID 11436 //
     /* 1761960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1761971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762006 */     // MIs[0] policy
     /* 1762006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762040 */     // GIR_Coverage, 11436,
     /* 1762040 */     GIR_EraseRootFromParent_Done,
     /* 1762041 */   // Label 23983: @1762041
     /* 1762041 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1762127), // Rule ID 11437 //
     /* 1762046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1762057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1762060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1762063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762092 */     // MIs[0] policy
     /* 1762092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762126 */     // GIR_Coverage, 11437,
     /* 1762126 */     GIR_EraseRootFromParent_Done,
     /* 1762127 */   // Label 23984: @1762127
     /* 1762127 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1762213), // Rule ID 11440 //
     /* 1762132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1762143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1762146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1762149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762178 */     // MIs[0] policy
     /* 1762178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762188 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762212 */     // GIR_Coverage, 11440,
     /* 1762212 */     GIR_EraseRootFromParent_Done,
     /* 1762213 */   // Label 23985: @1762213
     /* 1762213 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1762299), // Rule ID 11441 //
     /* 1762218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1762229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1762232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1762235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762264 */     // MIs[0] policy
     /* 1762264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762298 */     // GIR_Coverage, 11441,
     /* 1762298 */     GIR_EraseRootFromParent_Done,
     /* 1762299 */   // Label 23986: @1762299
     /* 1762299 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1762385), // Rule ID 11444 //
     /* 1762304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1762315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1762318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1762321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762350 */     // MIs[0] policy
     /* 1762350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762360 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762384 */     // GIR_Coverage, 11444,
     /* 1762384 */     GIR_EraseRootFromParent_Done,
     /* 1762385 */   // Label 23987: @1762385
     /* 1762385 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1762471), // Rule ID 11445 //
     /* 1762390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1762401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1762404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1762407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762436 */     // MIs[0] policy
     /* 1762436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762470 */     // GIR_Coverage, 11445,
     /* 1762470 */     GIR_EraseRootFromParent_Done,
     /* 1762471 */   // Label 23988: @1762471
     /* 1762471 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1762557), // Rule ID 11448 //
     /* 1762476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1762487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1762490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1762493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762522 */     // MIs[0] policy
     /* 1762522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762556 */     // GIR_Coverage, 11448,
     /* 1762556 */     GIR_EraseRootFromParent_Done,
     /* 1762557 */   // Label 23989: @1762557
     /* 1762557 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1762643), // Rule ID 11449 //
     /* 1762562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1762573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1762576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1762579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762608 */     // MIs[0] policy
     /* 1762608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1762621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762642 */     // GIR_Coverage, 11449,
     /* 1762642 */     GIR_EraseRootFromParent_Done,
     /* 1762643 */   // Label 23990: @1762643
     /* 1762643 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1762729), // Rule ID 11452 //
     /* 1762648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1762659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1762662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1762665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762694 */     // MIs[0] policy
     /* 1762694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762728 */     // GIR_Coverage, 11452,
     /* 1762728 */     GIR_EraseRootFromParent_Done,
     /* 1762729 */   // Label 23991: @1762729
     /* 1762729 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1762815), // Rule ID 11453 //
     /* 1762734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1762745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1762748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1762751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762780 */     // MIs[0] policy
     /* 1762780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1762793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762814 */     // GIR_Coverage, 11453,
     /* 1762814 */     GIR_EraseRootFromParent_Done,
     /* 1762815 */   // Label 23992: @1762815
     /* 1762815 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1762901), // Rule ID 11456 //
     /* 1762820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1762831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1762834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1762837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762866 */     // MIs[0] policy
     /* 1762866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762876 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762900 */     // GIR_Coverage, 11456,
     /* 1762900 */     GIR_EraseRootFromParent_Done,
     /* 1762901 */   // Label 23993: @1762901
     /* 1762901 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1762987), // Rule ID 11457 //
     /* 1762906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1762914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1762917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1762920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1762923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762952 */     // MIs[0] policy
     /* 1762952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1762965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762986 */     // GIR_Coverage, 11457,
     /* 1762986 */     GIR_EraseRootFromParent_Done,
     /* 1762987 */   // Label 23994: @1762987
     /* 1762987 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1763073), // Rule ID 11460 //
     /* 1762992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1762995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1763003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1763006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1763009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1763012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763038 */     // MIs[0] policy
     /* 1763038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1763051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763072 */     // GIR_Coverage, 11460,
     /* 1763072 */     GIR_EraseRootFromParent_Done,
     /* 1763073 */   // Label 23995: @1763073
     /* 1763073 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1763159), // Rule ID 11461 //
     /* 1763078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1763081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1763089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1763092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1763095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1763098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763124 */     // MIs[0] policy
     /* 1763124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1763137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763158 */     // GIR_Coverage, 11461,
     /* 1763158 */     GIR_EraseRootFromParent_Done,
     /* 1763159 */   // Label 23996: @1763159
     /* 1763159 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1763245), // Rule ID 11464 //
     /* 1763164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1763167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1763175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1763178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1763181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1763184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763210 */     // MIs[0] policy
     /* 1763210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1763223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763244 */     // GIR_Coverage, 11464,
     /* 1763244 */     GIR_EraseRootFromParent_Done,
     /* 1763245 */   // Label 23997: @1763245
     /* 1763245 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1763331), // Rule ID 11465 //
     /* 1763250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1763253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1763261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1763264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1763267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1763270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763296 */     // MIs[0] policy
     /* 1763296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1763309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763330 */     // GIR_Coverage, 11465,
     /* 1763330 */     GIR_EraseRootFromParent_Done,
     /* 1763331 */   // Label 23998: @1763331
     /* 1763331 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1763417), // Rule ID 11468 //
     /* 1763336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1763339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1763347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1763350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1763353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1763356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763382 */     // MIs[0] policy
     /* 1763382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1763395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763416 */     // GIR_Coverage, 11468,
     /* 1763416 */     GIR_EraseRootFromParent_Done,
     /* 1763417 */   // Label 23999: @1763417
     /* 1763417 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1763503), // Rule ID 11469 //
     /* 1763422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1763425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1763433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1763436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1763439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1763442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763468 */     // MIs[0] policy
     /* 1763468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763478 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1763481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763502 */     // GIR_Coverage, 11469,
     /* 1763502 */     GIR_EraseRootFromParent_Done,
     /* 1763503 */   // Label 24000: @1763503
     /* 1763503 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1763589), // Rule ID 11472 //
     /* 1763508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1763511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1763519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1763522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1763525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1763528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763554 */     // MIs[0] policy
     /* 1763554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1763567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763588 */     // GIR_Coverage, 11472,
     /* 1763588 */     GIR_EraseRootFromParent_Done,
     /* 1763589 */   // Label 24001: @1763589
     /* 1763589 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1763675), // Rule ID 11473 //
     /* 1763594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1763597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1763605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1763608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1763611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1763614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763640 */     // MIs[0] policy
     /* 1763640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1763653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763674 */     // GIR_Coverage, 11473,
     /* 1763674 */     GIR_EraseRootFromParent_Done,
     /* 1763675 */   // Label 24002: @1763675
     /* 1763675 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1763761), // Rule ID 11476 //
     /* 1763680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1763683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1763691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1763694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1763697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763726 */     // MIs[0] policy
     /* 1763726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1763739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763760 */     // GIR_Coverage, 11476,
     /* 1763760 */     GIR_EraseRootFromParent_Done,
     /* 1763761 */   // Label 24003: @1763761
     /* 1763761 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1763847), // Rule ID 11477 //
     /* 1763766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1763769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1763777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1763780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1763783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763812 */     // MIs[0] policy
     /* 1763812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1763825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763846 */     // GIR_Coverage, 11477,
     /* 1763846 */     GIR_EraseRootFromParent_Done,
     /* 1763847 */   // Label 24004: @1763847
     /* 1763847 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1763933), // Rule ID 11480 //
     /* 1763852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1763855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1763863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1763866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1763869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763898 */     // MIs[0] policy
     /* 1763898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1763911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763932 */     // GIR_Coverage, 11480,
     /* 1763932 */     GIR_EraseRootFromParent_Done,
     /* 1763933 */   // Label 24005: @1763933
     /* 1763933 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1764019), // Rule ID 11481 //
     /* 1763938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1763941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1763949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1763952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1763955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763984 */     // MIs[0] policy
     /* 1763984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1763997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764018 */     // GIR_Coverage, 11481,
     /* 1764018 */     GIR_EraseRootFromParent_Done,
     /* 1764019 */   // Label 24006: @1764019
     /* 1764019 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1764105), // Rule ID 11484 //
     /* 1764024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1764027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1764035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1764038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1764041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764070 */     // MIs[0] policy
     /* 1764070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1764083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764104 */     // GIR_Coverage, 11484,
     /* 1764104 */     GIR_EraseRootFromParent_Done,
     /* 1764105 */   // Label 24007: @1764105
     /* 1764105 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1764191), // Rule ID 11485 //
     /* 1764110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1764113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1764121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1764124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1764127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764156 */     // MIs[0] policy
     /* 1764156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1764169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764190 */     // GIR_Coverage, 11485,
     /* 1764190 */     GIR_EraseRootFromParent_Done,
     /* 1764191 */   // Label 24008: @1764191
     /* 1764191 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1764277), // Rule ID 11488 //
     /* 1764196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1764199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1764207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1764210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1764213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764242 */     // MIs[0] policy
     /* 1764242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1764255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764276 */     // GIR_Coverage, 11488,
     /* 1764276 */     GIR_EraseRootFromParent_Done,
     /* 1764277 */   // Label 24009: @1764277
     /* 1764277 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1764363), // Rule ID 11489 //
     /* 1764282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1764285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1764293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1764296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1764299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764328 */     // MIs[0] policy
     /* 1764328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1764341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764362 */     // GIR_Coverage, 11489,
     /* 1764362 */     GIR_EraseRootFromParent_Done,
     /* 1764363 */   // Label 24010: @1764363
     /* 1764363 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1764449), // Rule ID 11492 //
     /* 1764368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1764371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764414 */     // MIs[0] policy
     /* 1764414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1764427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764448 */     // GIR_Coverage, 11492,
     /* 1764448 */     GIR_EraseRootFromParent_Done,
     /* 1764449 */   // Label 24011: @1764449
     /* 1764449 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1764535), // Rule ID 11493 //
     /* 1764454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1764457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1764474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764500 */     // MIs[0] policy
     /* 1764500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1764513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764534 */     // GIR_Coverage, 11493,
     /* 1764534 */     GIR_EraseRootFromParent_Done,
     /* 1764535 */   // Label 24012: @1764535
     /* 1764535 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1764621), // Rule ID 11496 //
     /* 1764540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1764543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1764551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1764554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1764557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1764560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764586 */     // MIs[0] policy
     /* 1764586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1764599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764620 */     // GIR_Coverage, 11496,
     /* 1764620 */     GIR_EraseRootFromParent_Done,
     /* 1764621 */   // Label 24013: @1764621
     /* 1764621 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1764707), // Rule ID 11497 //
     /* 1764626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1764629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1764637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1764640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1764643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1764646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764672 */     // MIs[0] policy
     /* 1764672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1764685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764706 */     // GIR_Coverage, 11497,
     /* 1764706 */     GIR_EraseRootFromParent_Done,
     /* 1764707 */   // Label 24014: @1764707
     /* 1764707 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1764793), // Rule ID 11500 //
     /* 1764712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1764715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1764723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1764726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1764729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1764732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764758 */     // MIs[0] policy
     /* 1764758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1764771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764792 */     // GIR_Coverage, 11500,
     /* 1764792 */     GIR_EraseRootFromParent_Done,
     /* 1764793 */   // Label 24015: @1764793
     /* 1764793 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1764879), // Rule ID 11501 //
     /* 1764798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1764801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1764809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1764812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1764815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1764818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764844 */     // MIs[0] policy
     /* 1764844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1764857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764878 */     // GIR_Coverage, 11501,
     /* 1764878 */     GIR_EraseRootFromParent_Done,
     /* 1764879 */   // Label 24016: @1764879
     /* 1764879 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1764965), // Rule ID 11504 //
     /* 1764884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1764887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1764895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1764898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1764901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1764904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764930 */     // MIs[0] policy
     /* 1764930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764940 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1764943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764964 */     // GIR_Coverage, 11504,
     /* 1764964 */     GIR_EraseRootFromParent_Done,
     /* 1764965 */   // Label 24017: @1764965
     /* 1764965 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1765051), // Rule ID 11505 //
     /* 1764970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1764973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1764978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1764981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1764984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1764987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1764990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765016 */     // MIs[0] policy
     /* 1765016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1765029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765050 */     // GIR_Coverage, 11505,
     /* 1765050 */     GIR_EraseRootFromParent_Done,
     /* 1765051 */   // Label 24018: @1765051
     /* 1765051 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1765137), // Rule ID 11508 //
     /* 1765056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765102 */     // MIs[0] policy
     /* 1765102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1765115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765136 */     // GIR_Coverage, 11508,
     /* 1765136 */     GIR_EraseRootFromParent_Done,
     /* 1765137 */   // Label 24019: @1765137
     /* 1765137 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1765223), // Rule ID 11509 //
     /* 1765142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765188 */     // MIs[0] policy
     /* 1765188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1765201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765222 */     // GIR_Coverage, 11509,
     /* 1765222 */     GIR_EraseRootFromParent_Done,
     /* 1765223 */   // Label 24020: @1765223
     /* 1765223 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1765309), // Rule ID 11512 //
     /* 1765228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765274 */     // MIs[0] policy
     /* 1765274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1765287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765308 */     // GIR_Coverage, 11512,
     /* 1765308 */     GIR_EraseRootFromParent_Done,
     /* 1765309 */   // Label 24021: @1765309
     /* 1765309 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1765395), // Rule ID 11513 //
     /* 1765314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765360 */     // MIs[0] policy
     /* 1765360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1765373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765394 */     // GIR_Coverage, 11513,
     /* 1765394 */     GIR_EraseRootFromParent_Done,
     /* 1765395 */   // Label 24022: @1765395
     /* 1765395 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1765481), // Rule ID 11516 //
     /* 1765400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1765411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1765414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1765417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765446 */     // MIs[0] policy
     /* 1765446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1765459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765480 */     // GIR_Coverage, 11516,
     /* 1765480 */     GIR_EraseRootFromParent_Done,
     /* 1765481 */   // Label 24023: @1765481
     /* 1765481 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1765567), // Rule ID 11517 //
     /* 1765486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1765497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1765500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1765503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765532 */     // MIs[0] policy
     /* 1765532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1765545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765566 */     // GIR_Coverage, 11517,
     /* 1765566 */     GIR_EraseRootFromParent_Done,
     /* 1765567 */   // Label 24024: @1765567
     /* 1765567 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1765653), // Rule ID 11520 //
     /* 1765572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1765583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1765586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1765589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765618 */     // MIs[0] policy
     /* 1765618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1765631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765652 */     // GIR_Coverage, 11520,
     /* 1765652 */     GIR_EraseRootFromParent_Done,
     /* 1765653 */   // Label 24025: @1765653
     /* 1765653 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1765739), // Rule ID 11521 //
     /* 1765658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1765666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1765669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1765672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1765675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765704 */     // MIs[0] policy
     /* 1765704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1765717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765738 */     // GIR_Coverage, 11521,
     /* 1765738 */     GIR_EraseRootFromParent_Done,
     /* 1765739 */   // Label 24026: @1765739
     /* 1765739 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1765825), // Rule ID 11524 //
     /* 1765744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765790 */     // MIs[0] policy
     /* 1765790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1765803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765824 */     // GIR_Coverage, 11524,
     /* 1765824 */     GIR_EraseRootFromParent_Done,
     /* 1765825 */   // Label 24027: @1765825
     /* 1765825 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1765911), // Rule ID 11525 //
     /* 1765830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1765833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765876 */     // MIs[0] policy
     /* 1765876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1765889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765910 */     // GIR_Coverage, 11525,
     /* 1765910 */     GIR_EraseRootFromParent_Done,
     /* 1765911 */   // Label 24028: @1765911
     /* 1765911 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1765997), // Rule ID 11528 //
     /* 1765916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1765919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1765927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1765930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1765933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1765936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765962 */     // MIs[0] policy
     /* 1765962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1765975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765996 */     // GIR_Coverage, 11528,
     /* 1765996 */     GIR_EraseRootFromParent_Done,
     /* 1765997 */   // Label 24029: @1765997
     /* 1765997 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1766083), // Rule ID 11529 //
     /* 1766002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1766022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766048 */     // MIs[0] policy
     /* 1766048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1766061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766082 */     // GIR_Coverage, 11529,
     /* 1766082 */     GIR_EraseRootFromParent_Done,
     /* 1766083 */   // Label 24030: @1766083
     /* 1766083 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1766169), // Rule ID 11532 //
     /* 1766088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766134 */     // MIs[0] policy
     /* 1766134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1766147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766168 */     // GIR_Coverage, 11532,
     /* 1766168 */     GIR_EraseRootFromParent_Done,
     /* 1766169 */   // Label 24031: @1766169
     /* 1766169 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1766255), // Rule ID 11533 //
     /* 1766174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1766194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766220 */     // MIs[0] policy
     /* 1766220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1766233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766254 */     // GIR_Coverage, 11533,
     /* 1766254 */     GIR_EraseRootFromParent_Done,
     /* 1766255 */   // Label 24032: @1766255
     /* 1766255 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1766341), // Rule ID 11536 //
     /* 1766260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766306 */     // MIs[0] policy
     /* 1766306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766316 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1766319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766340 */     // GIR_Coverage, 11536,
     /* 1766340 */     GIR_EraseRootFromParent_Done,
     /* 1766341 */   // Label 24033: @1766341
     /* 1766341 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1766427), // Rule ID 11537 //
     /* 1766346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1766366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766392 */     // MIs[0] policy
     /* 1766392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1766405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766426 */     // GIR_Coverage, 11537,
     /* 1766426 */     GIR_EraseRootFromParent_Done,
     /* 1766427 */   // Label 24034: @1766427
     /* 1766427 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1766513), // Rule ID 11540 //
     /* 1766432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766478 */     // MIs[0] policy
     /* 1766478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1766491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766512 */     // GIR_Coverage, 11540,
     /* 1766512 */     GIR_EraseRootFromParent_Done,
     /* 1766513 */   // Label 24035: @1766513
     /* 1766513 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1766599), // Rule ID 11541 //
     /* 1766518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766564 */     // MIs[0] policy
     /* 1766564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1766577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766598 */     // GIR_Coverage, 11541,
     /* 1766598 */     GIR_EraseRootFromParent_Done,
     /* 1766599 */   // Label 24036: @1766599
     /* 1766599 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1766685), // Rule ID 11544 //
     /* 1766604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766650 */     // MIs[0] policy
     /* 1766650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766660 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1766663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766684 */     // GIR_Coverage, 11544,
     /* 1766684 */     GIR_EraseRootFromParent_Done,
     /* 1766685 */   // Label 24037: @1766685
     /* 1766685 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1766771), // Rule ID 11545 //
     /* 1766690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766736 */     // MIs[0] policy
     /* 1766736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1766749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766770 */     // GIR_Coverage, 11545,
     /* 1766770 */     GIR_EraseRootFromParent_Done,
     /* 1766771 */   // Label 24038: @1766771
     /* 1766771 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1766857), // Rule ID 11548 //
     /* 1766776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766822 */     // MIs[0] policy
     /* 1766822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1766835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766856 */     // GIR_Coverage, 11548,
     /* 1766856 */     GIR_EraseRootFromParent_Done,
     /* 1766857 */   // Label 24039: @1766857
     /* 1766857 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1766943), // Rule ID 11549 //
     /* 1766862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1766865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766908 */     // MIs[0] policy
     /* 1766908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1766921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766942 */     // GIR_Coverage, 11549,
     /* 1766942 */     GIR_EraseRootFromParent_Done,
     /* 1766943 */   // Label 24040: @1766943
     /* 1766943 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1767029), // Rule ID 11552 //
     /* 1766948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1766951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766994 */     // MIs[0] policy
     /* 1766994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767004 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1767007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767028 */     // GIR_Coverage, 11552,
     /* 1767028 */     GIR_EraseRootFromParent_Done,
     /* 1767029 */   // Label 24041: @1767029
     /* 1767029 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1767115), // Rule ID 11553 //
     /* 1767034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1767037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767080 */     // MIs[0] policy
     /* 1767080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1767093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767114 */     // GIR_Coverage, 11553,
     /* 1767114 */     GIR_EraseRootFromParent_Done,
     /* 1767115 */   // Label 24042: @1767115
     /* 1767115 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1767201), // Rule ID 11556 //
     /* 1767120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1767131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1767134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1767137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1767140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767166 */     // MIs[0] policy
     /* 1767166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1767179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767200 */     // GIR_Coverage, 11556,
     /* 1767200 */     GIR_EraseRootFromParent_Done,
     /* 1767201 */   // Label 24043: @1767201
     /* 1767201 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1767287), // Rule ID 11557 //
     /* 1767206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1767217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1767220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1767223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1767226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767252 */     // MIs[0] policy
     /* 1767252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1767265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767286 */     // GIR_Coverage, 11557,
     /* 1767286 */     GIR_EraseRootFromParent_Done,
     /* 1767287 */   // Label 24044: @1767287
     /* 1767287 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1767373), // Rule ID 11560 //
     /* 1767292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1767303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1767306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1767309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1767312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767338 */     // MIs[0] policy
     /* 1767338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1767351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767372 */     // GIR_Coverage, 11560,
     /* 1767372 */     GIR_EraseRootFromParent_Done,
     /* 1767373 */   // Label 24045: @1767373
     /* 1767373 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1767459), // Rule ID 11561 //
     /* 1767378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1767389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1767392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1767395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1767398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767424 */     // MIs[0] policy
     /* 1767424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1767437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767458 */     // GIR_Coverage, 11561,
     /* 1767458 */     GIR_EraseRootFromParent_Done,
     /* 1767459 */   // Label 24046: @1767459
     /* 1767459 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1767545), // Rule ID 11564 //
     /* 1767464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1767484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767510 */     // MIs[0] policy
     /* 1767510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1767523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767544 */     // GIR_Coverage, 11564,
     /* 1767544 */     GIR_EraseRootFromParent_Done,
     /* 1767545 */   // Label 24047: @1767545
     /* 1767545 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1767631), // Rule ID 11565 //
     /* 1767550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1767570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767596 */     // MIs[0] policy
     /* 1767596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1767609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767630 */     // GIR_Coverage, 11565,
     /* 1767630 */     GIR_EraseRootFromParent_Done,
     /* 1767631 */   // Label 24048: @1767631
     /* 1767631 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1767717), // Rule ID 11568 //
     /* 1767636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1767656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767682 */     // MIs[0] policy
     /* 1767682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1767695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767716 */     // GIR_Coverage, 11568,
     /* 1767716 */     GIR_EraseRootFromParent_Done,
     /* 1767717 */   // Label 24049: @1767717
     /* 1767717 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1767803), // Rule ID 11569 //
     /* 1767722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1767742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767768 */     // MIs[0] policy
     /* 1767768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1767781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767802 */     // GIR_Coverage, 11569,
     /* 1767802 */     GIR_EraseRootFromParent_Done,
     /* 1767803 */   // Label 24050: @1767803
     /* 1767803 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1767889), // Rule ID 11572 //
     /* 1767808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1767828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767854 */     // MIs[0] policy
     /* 1767854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1767867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767888 */     // GIR_Coverage, 11572,
     /* 1767888 */     GIR_EraseRootFromParent_Done,
     /* 1767889 */   // Label 24051: @1767889
     /* 1767889 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1767975), // Rule ID 11573 //
     /* 1767894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1767914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767940 */     // MIs[0] policy
     /* 1767940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1767953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767974 */     // GIR_Coverage, 11573,
     /* 1767974 */     GIR_EraseRootFromParent_Done,
     /* 1767975 */   // Label 24052: @1767975
     /* 1767975 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1768061), // Rule ID 11576 //
     /* 1767980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1768000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768026 */     // MIs[0] policy
     /* 1768026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1768039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768060 */     // GIR_Coverage, 11576,
     /* 1768060 */     GIR_EraseRootFromParent_Done,
     /* 1768061 */   // Label 24053: @1768061
     /* 1768061 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1768147), // Rule ID 11577 //
     /* 1768066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1768077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1768080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1768083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1768086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768112 */     // MIs[0] policy
     /* 1768112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1768125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768146 */     // GIR_Coverage, 11577,
     /* 1768146 */     GIR_EraseRootFromParent_Done,
     /* 1768147 */   // Label 24054: @1768147
     /* 1768147 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1768233), // Rule ID 11580 //
     /* 1768152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1768163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1768166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1768169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1768172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768198 */     // MIs[0] policy
     /* 1768198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1768211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768232 */     // GIR_Coverage, 11580,
     /* 1768232 */     GIR_EraseRootFromParent_Done,
     /* 1768233 */   // Label 24055: @1768233
     /* 1768233 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1768319), // Rule ID 11581 //
     /* 1768238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1768249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1768252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1768255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1768258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768284 */     // MIs[0] policy
     /* 1768284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1768297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768318 */     // GIR_Coverage, 11581,
     /* 1768318 */     GIR_EraseRootFromParent_Done,
     /* 1768319 */   // Label 24056: @1768319
     /* 1768319 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1768405), // Rule ID 11584 //
     /* 1768324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1768335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1768338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1768341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1768344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768370 */     // MIs[0] policy
     /* 1768370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1768383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768404 */     // GIR_Coverage, 11584,
     /* 1768404 */     GIR_EraseRootFromParent_Done,
     /* 1768405 */   // Label 24057: @1768405
     /* 1768405 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1768491), // Rule ID 11585 //
     /* 1768410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1768421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1768424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1768427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1768430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768456 */     // MIs[0] policy
     /* 1768456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1768469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768490 */     // GIR_Coverage, 11585,
     /* 1768490 */     GIR_EraseRootFromParent_Done,
     /* 1768491 */   // Label 24058: @1768491
     /* 1768491 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1768577), // Rule ID 11588 //
     /* 1768496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1768516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768542 */     // MIs[0] policy
     /* 1768542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1768555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768576 */     // GIR_Coverage, 11588,
     /* 1768576 */     GIR_EraseRootFromParent_Done,
     /* 1768577 */   // Label 24059: @1768577
     /* 1768577 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1768663), // Rule ID 11589 //
     /* 1768582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1768602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768628 */     // MIs[0] policy
     /* 1768628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1768641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768662 */     // GIR_Coverage, 11589,
     /* 1768662 */     GIR_EraseRootFromParent_Done,
     /* 1768663 */   // Label 24060: @1768663
     /* 1768663 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1768749), // Rule ID 11592 //
     /* 1768668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1768671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1768688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768714 */     // MIs[0] policy
     /* 1768714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1768727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768748 */     // GIR_Coverage, 11592,
     /* 1768748 */     GIR_EraseRootFromParent_Done,
     /* 1768749 */   // Label 24061: @1768749
     /* 1768749 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1768835), // Rule ID 11593 //
     /* 1768754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1768757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1768774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768800 */     // MIs[0] policy
     /* 1768800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1768813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768834 */     // GIR_Coverage, 11593,
     /* 1768834 */     GIR_EraseRootFromParent_Done,
     /* 1768835 */   // Label 24062: @1768835
     /* 1768835 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1768921), // Rule ID 11596 //
     /* 1768840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1768860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768886 */     // MIs[0] policy
     /* 1768886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1768899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768920 */     // GIR_Coverage, 11596,
     /* 1768920 */     GIR_EraseRootFromParent_Done,
     /* 1768921 */   // Label 24063: @1768921
     /* 1768921 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1769007), // Rule ID 11597 //
     /* 1768926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1768946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768972 */     // MIs[0] policy
     /* 1768972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1768985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769006 */     // GIR_Coverage, 11597,
     /* 1769006 */     GIR_EraseRootFromParent_Done,
     /* 1769007 */   // Label 24064: @1769007
     /* 1769007 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1769093), // Rule ID 11600 //
     /* 1769012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1769023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1769026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1769029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1769032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769058 */     // MIs[0] policy
     /* 1769058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1769071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769092 */     // GIR_Coverage, 11600,
     /* 1769092 */     GIR_EraseRootFromParent_Done,
     /* 1769093 */   // Label 24065: @1769093
     /* 1769093 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1769179), // Rule ID 11601 //
     /* 1769098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1769109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1769112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1769115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1769118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769144 */     // MIs[0] policy
     /* 1769144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1769157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769178 */     // GIR_Coverage, 11601,
     /* 1769178 */     GIR_EraseRootFromParent_Done,
     /* 1769179 */   // Label 24066: @1769179
     /* 1769179 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1769265), // Rule ID 11604 //
     /* 1769184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1769195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1769198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1769201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1769204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1769207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769230 */     // MIs[0] policy
     /* 1769230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1769243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769264 */     // GIR_Coverage, 11604,
     /* 1769264 */     GIR_EraseRootFromParent_Done,
     /* 1769265 */   // Label 24067: @1769265
     /* 1769265 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1769351), // Rule ID 11605 //
     /* 1769270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1769281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1769284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1769287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1769290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1769293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769316 */     // MIs[0] policy
     /* 1769316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1769329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769350 */     // GIR_Coverage, 11605,
     /* 1769350 */     GIR_EraseRootFromParent_Done,
     /* 1769351 */   // Label 24068: @1769351
     /* 1769351 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1769437), // Rule ID 11608 //
     /* 1769356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1769367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1769370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1769376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769402 */     // MIs[0] policy
     /* 1769402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1769415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769436 */     // GIR_Coverage, 11608,
     /* 1769436 */     GIR_EraseRootFromParent_Done,
     /* 1769437 */   // Label 24069: @1769437
     /* 1769437 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1769523), // Rule ID 11609 //
     /* 1769442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1769453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1769456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1769462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769488 */     // MIs[0] policy
     /* 1769488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1769501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769522 */     // GIR_Coverage, 11609,
     /* 1769522 */     GIR_EraseRootFromParent_Done,
     /* 1769523 */   // Label 24070: @1769523
     /* 1769523 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1769609), // Rule ID 11612 //
     /* 1769528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1769548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769574 */     // MIs[0] policy
     /* 1769574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1769587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769608 */     // GIR_Coverage, 11612,
     /* 1769608 */     GIR_EraseRootFromParent_Done,
     /* 1769609 */   // Label 24071: @1769609
     /* 1769609 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1769695), // Rule ID 11613 //
     /* 1769614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1769634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769660 */     // MIs[0] policy
     /* 1769660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1769673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769694 */     // GIR_Coverage, 11613,
     /* 1769694 */     GIR_EraseRootFromParent_Done,
     /* 1769695 */   // Label 24072: @1769695
     /* 1769695 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1769781), // Rule ID 11616 //
     /* 1769700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1769720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769746 */     // MIs[0] policy
     /* 1769746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1769759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769780 */     // GIR_Coverage, 11616,
     /* 1769780 */     GIR_EraseRootFromParent_Done,
     /* 1769781 */   // Label 24073: @1769781
     /* 1769781 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1769867), // Rule ID 11617 //
     /* 1769786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1769806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769832 */     // MIs[0] policy
     /* 1769832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1769845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769866 */     // GIR_Coverage, 11617,
     /* 1769866 */     GIR_EraseRootFromParent_Done,
     /* 1769867 */   // Label 24074: @1769867
     /* 1769867 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1769953), // Rule ID 11620 //
     /* 1769872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1769892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769918 */     // MIs[0] policy
     /* 1769918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1769931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769952 */     // GIR_Coverage, 11620,
     /* 1769952 */     GIR_EraseRootFromParent_Done,
     /* 1769953 */   // Label 24075: @1769953
     /* 1769953 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1770039), // Rule ID 11621 //
     /* 1769958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1769966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1769978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770004 */     // MIs[0] policy
     /* 1770004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1770017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770038 */     // GIR_Coverage, 11621,
     /* 1770038 */     GIR_EraseRootFromParent_Done,
     /* 1770039 */   // Label 24076: @1770039
     /* 1770039 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1770125), // Rule ID 11624 //
     /* 1770044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1770055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1770058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1770061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1770064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770090 */     // MIs[0] policy
     /* 1770090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1770103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770124 */     // GIR_Coverage, 11624,
     /* 1770124 */     GIR_EraseRootFromParent_Done,
     /* 1770125 */   // Label 24077: @1770125
     /* 1770125 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1770211), // Rule ID 11625 //
     /* 1770130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1770141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1770144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1770147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1770150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770176 */     // MIs[0] policy
     /* 1770176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1770189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770210 */     // GIR_Coverage, 11625,
     /* 1770210 */     GIR_EraseRootFromParent_Done,
     /* 1770211 */   // Label 24078: @1770211
     /* 1770211 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1770297), // Rule ID 11628 //
     /* 1770216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1770227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1770230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1770233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1770236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770262 */     // MIs[0] policy
     /* 1770262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1770275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770296 */     // GIR_Coverage, 11628,
     /* 1770296 */     GIR_EraseRootFromParent_Done,
     /* 1770297 */   // Label 24079: @1770297
     /* 1770297 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1770383), // Rule ID 11629 //
     /* 1770302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1770313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1770316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1770319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1770322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770348 */     // MIs[0] policy
     /* 1770348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1770361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770382 */     // GIR_Coverage, 11629,
     /* 1770382 */     GIR_EraseRootFromParent_Done,
     /* 1770383 */   // Label 24080: @1770383
     /* 1770383 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1770469), // Rule ID 11632 //
     /* 1770388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1770408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770434 */     // MIs[0] policy
     /* 1770434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1770447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770468 */     // GIR_Coverage, 11632,
     /* 1770468 */     GIR_EraseRootFromParent_Done,
     /* 1770469 */   // Label 24081: @1770469
     /* 1770469 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1770555), // Rule ID 11633 //
     /* 1770474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1770494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770520 */     // MIs[0] policy
     /* 1770520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1770533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770554 */     // GIR_Coverage, 11633,
     /* 1770554 */     GIR_EraseRootFromParent_Done,
     /* 1770555 */   // Label 24082: @1770555
     /* 1770555 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1770641), // Rule ID 11636 //
     /* 1770560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1770580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770606 */     // MIs[0] policy
     /* 1770606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1770619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770640 */     // GIR_Coverage, 11636,
     /* 1770640 */     GIR_EraseRootFromParent_Done,
     /* 1770641 */   // Label 24083: @1770641
     /* 1770641 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1770727), // Rule ID 11637 //
     /* 1770646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1770666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770692 */     // MIs[0] policy
     /* 1770692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1770705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770726 */     // GIR_Coverage, 11637,
     /* 1770726 */     GIR_EraseRootFromParent_Done,
     /* 1770727 */   // Label 24084: @1770727
     /* 1770727 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1770813), // Rule ID 11640 //
     /* 1770732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1770752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770778 */     // MIs[0] policy
     /* 1770778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1770791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770812 */     // GIR_Coverage, 11640,
     /* 1770812 */     GIR_EraseRootFromParent_Done,
     /* 1770813 */   // Label 24085: @1770813
     /* 1770813 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1770899), // Rule ID 11641 //
     /* 1770818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1770838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770864 */     // MIs[0] policy
     /* 1770864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1770877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770898 */     // GIR_Coverage, 11641,
     /* 1770898 */     GIR_EraseRootFromParent_Done,
     /* 1770899 */   // Label 24086: @1770899
     /* 1770899 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1770985), // Rule ID 11644 //
     /* 1770904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770950 */     // MIs[0] policy
     /* 1770950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770960 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1770963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770984 */     // GIR_Coverage, 11644,
     /* 1770984 */     GIR_EraseRootFromParent_Done,
     /* 1770985 */   // Label 24087: @1770985
     /* 1770985 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1771071), // Rule ID 11645 //
     /* 1770990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1770998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1771001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1771004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1771007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771036 */     // MIs[0] policy
     /* 1771036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1771049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771070 */     // GIR_Coverage, 11645,
     /* 1771070 */     GIR_EraseRootFromParent_Done,
     /* 1771071 */   // Label 24088: @1771071
     /* 1771071 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1771157), // Rule ID 11648 //
     /* 1771076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1771087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1771090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1771093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771122 */     // MIs[0] policy
     /* 1771122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771132 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1771135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771156 */     // GIR_Coverage, 11648,
     /* 1771156 */     GIR_EraseRootFromParent_Done,
     /* 1771157 */   // Label 24089: @1771157
     /* 1771157 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1771243), // Rule ID 11649 //
     /* 1771162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1771173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1771176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1771179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771208 */     // MIs[0] policy
     /* 1771208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1771221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771242 */     // GIR_Coverage, 11649,
     /* 1771242 */     GIR_EraseRootFromParent_Done,
     /* 1771243 */   // Label 24090: @1771243
     /* 1771243 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1771329), // Rule ID 11652 //
     /* 1771248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1771259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1771262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1771265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771294 */     // MIs[0] policy
     /* 1771294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1771307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771328 */     // GIR_Coverage, 11652,
     /* 1771328 */     GIR_EraseRootFromParent_Done,
     /* 1771329 */   // Label 24091: @1771329
     /* 1771329 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1771415), // Rule ID 11653 //
     /* 1771334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1771345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1771348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1771351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771380 */     // MIs[0] policy
     /* 1771380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1771393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771414 */     // GIR_Coverage, 11653,
     /* 1771414 */     GIR_EraseRootFromParent_Done,
     /* 1771415 */   // Label 24092: @1771415
     /* 1771415 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1771501), // Rule ID 11656 //
     /* 1771420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771466 */     // MIs[0] policy
     /* 1771466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1771479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771500 */     // GIR_Coverage, 11656,
     /* 1771500 */     GIR_EraseRootFromParent_Done,
     /* 1771501 */   // Label 24093: @1771501
     /* 1771501 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1771587), // Rule ID 11657 //
     /* 1771506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771552 */     // MIs[0] policy
     /* 1771552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1771565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771586 */     // GIR_Coverage, 11657,
     /* 1771586 */     GIR_EraseRootFromParent_Done,
     /* 1771587 */   // Label 24094: @1771587
     /* 1771587 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1771673), // Rule ID 11660 //
     /* 1771592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771638 */     // MIs[0] policy
     /* 1771638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1771651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771672 */     // GIR_Coverage, 11660,
     /* 1771672 */     GIR_EraseRootFromParent_Done,
     /* 1771673 */   // Label 24095: @1771673
     /* 1771673 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1771759), // Rule ID 11661 //
     /* 1771678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771724 */     // MIs[0] policy
     /* 1771724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1771737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771758 */     // GIR_Coverage, 11661,
     /* 1771758 */     GIR_EraseRootFromParent_Done,
     /* 1771759 */   // Label 24096: @1771759
     /* 1771759 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1771845), // Rule ID 11664 //
     /* 1771764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771810 */     // MIs[0] policy
     /* 1771810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1771823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771844 */     // GIR_Coverage, 11664,
     /* 1771844 */     GIR_EraseRootFromParent_Done,
     /* 1771845 */   // Label 24097: @1771845
     /* 1771845 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1771931), // Rule ID 11665 //
     /* 1771850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771896 */     // MIs[0] policy
     /* 1771896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1771909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771930 */     // GIR_Coverage, 11665,
     /* 1771930 */     GIR_EraseRootFromParent_Done,
     /* 1771931 */   // Label 24098: @1771931
     /* 1771931 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1772017), // Rule ID 11668 //
     /* 1771936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1771944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771982 */     // MIs[0] policy
     /* 1771982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1771995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772016 */     // GIR_Coverage, 11668,
     /* 1772016 */     GIR_EraseRootFromParent_Done,
     /* 1772017 */   // Label 24099: @1772017
     /* 1772017 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1772103), // Rule ID 11669 //
     /* 1772022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1772033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1772036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1772039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772068 */     // MIs[0] policy
     /* 1772068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1772081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772102 */     // GIR_Coverage, 11669,
     /* 1772102 */     GIR_EraseRootFromParent_Done,
     /* 1772103 */   // Label 24100: @1772103
     /* 1772103 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1772189), // Rule ID 11672 //
     /* 1772108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1772119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1772122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1772125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772154 */     // MIs[0] policy
     /* 1772154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1772167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772188 */     // GIR_Coverage, 11672,
     /* 1772188 */     GIR_EraseRootFromParent_Done,
     /* 1772189 */   // Label 24101: @1772189
     /* 1772189 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1772275), // Rule ID 11673 //
     /* 1772194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1772205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1772208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1772211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772240 */     // MIs[0] policy
     /* 1772240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1772253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772274 */     // GIR_Coverage, 11673,
     /* 1772274 */     GIR_EraseRootFromParent_Done,
     /* 1772275 */   // Label 24102: @1772275
     /* 1772275 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1772361), // Rule ID 11676 //
     /* 1772280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1772291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1772294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1772297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772326 */     // MIs[0] policy
     /* 1772326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1772339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772360 */     // GIR_Coverage, 11676,
     /* 1772360 */     GIR_EraseRootFromParent_Done,
     /* 1772361 */   // Label 24103: @1772361
     /* 1772361 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1772447), // Rule ID 11677 //
     /* 1772366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1772377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1772380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1772383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772412 */     // MIs[0] policy
     /* 1772412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1772425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772446 */     // GIR_Coverage, 11677,
     /* 1772446 */     GIR_EraseRootFromParent_Done,
     /* 1772447 */   // Label 24104: @1772447
     /* 1772447 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1772533), // Rule ID 11680 //
     /* 1772452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772498 */     // MIs[0] policy
     /* 1772498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1772511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772532 */     // GIR_Coverage, 11680,
     /* 1772532 */     GIR_EraseRootFromParent_Done,
     /* 1772533 */   // Label 24105: @1772533
     /* 1772533 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1772619), // Rule ID 11681 //
     /* 1772538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772584 */     // MIs[0] policy
     /* 1772584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1772597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772618 */     // GIR_Coverage, 11681,
     /* 1772618 */     GIR_EraseRootFromParent_Done,
     /* 1772619 */   // Label 24106: @1772619
     /* 1772619 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1772705), // Rule ID 11684 //
     /* 1772624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772670 */     // MIs[0] policy
     /* 1772670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1772683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772704 */     // GIR_Coverage, 11684,
     /* 1772704 */     GIR_EraseRootFromParent_Done,
     /* 1772705 */   // Label 24107: @1772705
     /* 1772705 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1772791), // Rule ID 11685 //
     /* 1772710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772756 */     // MIs[0] policy
     /* 1772756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1772769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772790 */     // GIR_Coverage, 11685,
     /* 1772790 */     GIR_EraseRootFromParent_Done,
     /* 1772791 */   // Label 24108: @1772791
     /* 1772791 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1772877), // Rule ID 11688 //
     /* 1772796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772842 */     // MIs[0] policy
     /* 1772842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1772855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772876 */     // GIR_Coverage, 11688,
     /* 1772876 */     GIR_EraseRootFromParent_Done,
     /* 1772877 */   // Label 24109: @1772877
     /* 1772877 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1772963), // Rule ID 11689 //
     /* 1772882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772928 */     // MIs[0] policy
     /* 1772928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1772941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772962 */     // GIR_Coverage, 11689,
     /* 1772962 */     GIR_EraseRootFromParent_Done,
     /* 1772963 */   // Label 24110: @1772963
     /* 1772963 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1773049), // Rule ID 11692 //
     /* 1772968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1772976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773014 */     // MIs[0] policy
     /* 1773014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1773027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773048 */     // GIR_Coverage, 11692,
     /* 1773048 */     GIR_EraseRootFromParent_Done,
     /* 1773049 */   // Label 24111: @1773049
     /* 1773049 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1773135), // Rule ID 11693 //
     /* 1773054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1773065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1773068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1773071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1773077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773100 */     // MIs[0] policy
     /* 1773100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773110 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1773113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773134 */     // GIR_Coverage, 11693,
     /* 1773134 */     GIR_EraseRootFromParent_Done,
     /* 1773135 */   // Label 24112: @1773135
     /* 1773135 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1773221), // Rule ID 11696 //
     /* 1773140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1773151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1773154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1773157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773186 */     // MIs[0] policy
     /* 1773186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1773199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773220 */     // GIR_Coverage, 11696,
     /* 1773220 */     GIR_EraseRootFromParent_Done,
     /* 1773221 */   // Label 24113: @1773221
     /* 1773221 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1773307), // Rule ID 11697 //
     /* 1773226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1773237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1773240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1773243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773272 */     // MIs[0] policy
     /* 1773272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1773285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773306 */     // GIR_Coverage, 11697,
     /* 1773306 */     GIR_EraseRootFromParent_Done,
     /* 1773307 */   // Label 24114: @1773307
     /* 1773307 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1773393), // Rule ID 11700 //
     /* 1773312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1773323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1773326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1773329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773358 */     // MIs[0] policy
     /* 1773358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1773371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773392 */     // GIR_Coverage, 11700,
     /* 1773392 */     GIR_EraseRootFromParent_Done,
     /* 1773393 */   // Label 24115: @1773393
     /* 1773393 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1773479), // Rule ID 11701 //
     /* 1773398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1773409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1773412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1773415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773444 */     // MIs[0] policy
     /* 1773444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1773457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773478 */     // GIR_Coverage, 11701,
     /* 1773478 */     GIR_EraseRootFromParent_Done,
     /* 1773479 */   // Label 24116: @1773479
     /* 1773479 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1773565), // Rule ID 11704 //
     /* 1773484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773530 */     // MIs[0] policy
     /* 1773530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1773543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773564 */     // GIR_Coverage, 11704,
     /* 1773564 */     GIR_EraseRootFromParent_Done,
     /* 1773565 */   // Label 24117: @1773565
     /* 1773565 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1773651), // Rule ID 11705 //
     /* 1773570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773616 */     // MIs[0] policy
     /* 1773616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1773629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773650 */     // GIR_Coverage, 11705,
     /* 1773650 */     GIR_EraseRootFromParent_Done,
     /* 1773651 */   // Label 24118: @1773651
     /* 1773651 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1773737), // Rule ID 11708 //
     /* 1773656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773702 */     // MIs[0] policy
     /* 1773702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1773715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773736 */     // GIR_Coverage, 11708,
     /* 1773736 */     GIR_EraseRootFromParent_Done,
     /* 1773737 */   // Label 24119: @1773737
     /* 1773737 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1773823), // Rule ID 11709 //
     /* 1773742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773788 */     // MIs[0] policy
     /* 1773788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1773801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773822 */     // GIR_Coverage, 11709,
     /* 1773822 */     GIR_EraseRootFromParent_Done,
     /* 1773823 */   // Label 24120: @1773823
     /* 1773823 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1773909), // Rule ID 11712 //
     /* 1773828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773874 */     // MIs[0] policy
     /* 1773874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1773887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773908 */     // GIR_Coverage, 11712,
     /* 1773908 */     GIR_EraseRootFromParent_Done,
     /* 1773909 */   // Label 24121: @1773909
     /* 1773909 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1773995), // Rule ID 11713 //
     /* 1773914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773960 */     // MIs[0] policy
     /* 1773960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1773973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773994 */     // GIR_Coverage, 11713,
     /* 1773994 */     GIR_EraseRootFromParent_Done,
     /* 1773995 */   // Label 24122: @1773995
     /* 1773995 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1774081), // Rule ID 11716 //
     /* 1774000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1774011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1774014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1774017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774046 */     // MIs[0] policy
     /* 1774046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1774059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774080 */     // GIR_Coverage, 11716,
     /* 1774080 */     GIR_EraseRootFromParent_Done,
     /* 1774081 */   // Label 24123: @1774081
     /* 1774081 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1774167), // Rule ID 11717 //
     /* 1774086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1774097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1774100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1774103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774132 */     // MIs[0] policy
     /* 1774132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1774145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774166 */     // GIR_Coverage, 11717,
     /* 1774166 */     GIR_EraseRootFromParent_Done,
     /* 1774167 */   // Label 24124: @1774167
     /* 1774167 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1774253), // Rule ID 11720 //
     /* 1774172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1774183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1774186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1774189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774218 */     // MIs[0] policy
     /* 1774218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1774231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774252 */     // GIR_Coverage, 11720,
     /* 1774252 */     GIR_EraseRootFromParent_Done,
     /* 1774253 */   // Label 24125: @1774253
     /* 1774253 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1774339), // Rule ID 11721 //
     /* 1774258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1774269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1774272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1774275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774304 */     // MIs[0] policy
     /* 1774304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1774317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774338 */     // GIR_Coverage, 11721,
     /* 1774338 */     GIR_EraseRootFromParent_Done,
     /* 1774339 */   // Label 24126: @1774339
     /* 1774339 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1774425), // Rule ID 11724 //
     /* 1774344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1774355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1774358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1774361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774390 */     // MIs[0] policy
     /* 1774390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1774403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774424 */     // GIR_Coverage, 11724,
     /* 1774424 */     GIR_EraseRootFromParent_Done,
     /* 1774425 */   // Label 24127: @1774425
     /* 1774425 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1774511), // Rule ID 11725 //
     /* 1774430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1774441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1774444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1774447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774476 */     // MIs[0] policy
     /* 1774476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1774489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774510 */     // GIR_Coverage, 11725,
     /* 1774510 */     GIR_EraseRootFromParent_Done,
     /* 1774511 */   // Label 24128: @1774511
     /* 1774511 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1774597), // Rule ID 11728 //
     /* 1774516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774562 */     // MIs[0] policy
     /* 1774562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1774575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774596 */     // GIR_Coverage, 11728,
     /* 1774596 */     GIR_EraseRootFromParent_Done,
     /* 1774597 */   // Label 24129: @1774597
     /* 1774597 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1774683), // Rule ID 11729 //
     /* 1774602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774648 */     // MIs[0] policy
     /* 1774648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1774661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774682 */     // GIR_Coverage, 11729,
     /* 1774682 */     GIR_EraseRootFromParent_Done,
     /* 1774683 */   // Label 24130: @1774683
     /* 1774683 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1774769), // Rule ID 11732 //
     /* 1774688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1774708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774734 */     // MIs[0] policy
     /* 1774734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1774747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774768 */     // GIR_Coverage, 11732,
     /* 1774768 */     GIR_EraseRootFromParent_Done,
     /* 1774769 */   // Label 24131: @1774769
     /* 1774769 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1774855), // Rule ID 11733 //
     /* 1774774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1774794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774820 */     // MIs[0] policy
     /* 1774820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1774833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774854 */     // GIR_Coverage, 11733,
     /* 1774854 */     GIR_EraseRootFromParent_Done,
     /* 1774855 */   // Label 24132: @1774855
     /* 1774855 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1774941), // Rule ID 11736 //
     /* 1774860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1774880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774906 */     // MIs[0] policy
     /* 1774906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774916 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1774919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774940 */     // GIR_Coverage, 11736,
     /* 1774940 */     GIR_EraseRootFromParent_Done,
     /* 1774941 */   // Label 24133: @1774941
     /* 1774941 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1775027), // Rule ID 11737 //
     /* 1774946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1774966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774992 */     // MIs[0] policy
     /* 1774992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1775005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775026 */     // GIR_Coverage, 11737,
     /* 1775026 */     GIR_EraseRootFromParent_Done,
     /* 1775027 */   // Label 24134: @1775027
     /* 1775027 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1775113), // Rule ID 11740 //
     /* 1775032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1775043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1775046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1775049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1775052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775078 */     // MIs[0] policy
     /* 1775078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1775091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775112 */     // GIR_Coverage, 11740,
     /* 1775112 */     GIR_EraseRootFromParent_Done,
     /* 1775113 */   // Label 24135: @1775113
     /* 1775113 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1775199), // Rule ID 11741 //
     /* 1775118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1775129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1775132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1775135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1775138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775164 */     // MIs[0] policy
     /* 1775164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1775177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775198 */     // GIR_Coverage, 11741,
     /* 1775198 */     GIR_EraseRootFromParent_Done,
     /* 1775199 */   // Label 24136: @1775199
     /* 1775199 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1775285), // Rule ID 11744 //
     /* 1775204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1775215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1775218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1775221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1775224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775250 */     // MIs[0] policy
     /* 1775250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1775263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775284 */     // GIR_Coverage, 11744,
     /* 1775284 */     GIR_EraseRootFromParent_Done,
     /* 1775285 */   // Label 24137: @1775285
     /* 1775285 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1775371), // Rule ID 11745 //
     /* 1775290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1775301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1775304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1775307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1775310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775336 */     // MIs[0] policy
     /* 1775336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1775349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775370 */     // GIR_Coverage, 11745,
     /* 1775370 */     GIR_EraseRootFromParent_Done,
     /* 1775371 */   // Label 24138: @1775371
     /* 1775371 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1775457), // Rule ID 11748 //
     /* 1775376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1775396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775422 */     // MIs[0] policy
     /* 1775422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1775435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775456 */     // GIR_Coverage, 11748,
     /* 1775456 */     GIR_EraseRootFromParent_Done,
     /* 1775457 */   // Label 24139: @1775457
     /* 1775457 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1775543), // Rule ID 11749 //
     /* 1775462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1775482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775508 */     // MIs[0] policy
     /* 1775508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1775521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775542 */     // GIR_Coverage, 11749,
     /* 1775542 */     GIR_EraseRootFromParent_Done,
     /* 1775543 */   // Label 24140: @1775543
     /* 1775543 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1775629), // Rule ID 11752 //
     /* 1775548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1775568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775594 */     // MIs[0] policy
     /* 1775594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1775607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775628 */     // GIR_Coverage, 11752,
     /* 1775628 */     GIR_EraseRootFromParent_Done,
     /* 1775629 */   // Label 24141: @1775629
     /* 1775629 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1775715), // Rule ID 11753 //
     /* 1775634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1775654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775680 */     // MIs[0] policy
     /* 1775680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1775693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775714 */     // GIR_Coverage, 11753,
     /* 1775714 */     GIR_EraseRootFromParent_Done,
     /* 1775715 */   // Label 24142: @1775715
     /* 1775715 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1775801), // Rule ID 11756 //
     /* 1775720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1775740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775766 */     // MIs[0] policy
     /* 1775766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1775779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775800 */     // GIR_Coverage, 11756,
     /* 1775800 */     GIR_EraseRootFromParent_Done,
     /* 1775801 */   // Label 24143: @1775801
     /* 1775801 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1775887), // Rule ID 11757 //
     /* 1775806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1775826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775852 */     // MIs[0] policy
     /* 1775852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1775865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775886 */     // GIR_Coverage, 11757,
     /* 1775886 */     GIR_EraseRootFromParent_Done,
     /* 1775887 */   // Label 24144: @1775887
     /* 1775887 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1775973), // Rule ID 11760 //
     /* 1775892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1775912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775938 */     // MIs[0] policy
     /* 1775938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1775951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775972 */     // GIR_Coverage, 11760,
     /* 1775972 */     GIR_EraseRootFromParent_Done,
     /* 1775973 */   // Label 24145: @1775973
     /* 1775973 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1776059), // Rule ID 11761 //
     /* 1775978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1775998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776024 */     // MIs[0] policy
     /* 1776024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1776037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776058 */     // GIR_Coverage, 11761,
     /* 1776058 */     GIR_EraseRootFromParent_Done,
     /* 1776059 */   // Label 24146: @1776059
     /* 1776059 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1776145), // Rule ID 11764 //
     /* 1776064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1776075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1776078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1776081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1776084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776110 */     // MIs[0] policy
     /* 1776110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1776123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776144 */     // GIR_Coverage, 11764,
     /* 1776144 */     GIR_EraseRootFromParent_Done,
     /* 1776145 */   // Label 24147: @1776145
     /* 1776145 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1776231), // Rule ID 11765 //
     /* 1776150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1776161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1776164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1776167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1776170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776196 */     // MIs[0] policy
     /* 1776196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1776209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776230 */     // GIR_Coverage, 11765,
     /* 1776230 */     GIR_EraseRootFromParent_Done,
     /* 1776231 */   // Label 24148: @1776231
     /* 1776231 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1776317), // Rule ID 11768 //
     /* 1776236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1776247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1776250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1776253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1776256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776282 */     // MIs[0] policy
     /* 1776282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1776295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776316 */     // GIR_Coverage, 11768,
     /* 1776316 */     GIR_EraseRootFromParent_Done,
     /* 1776317 */   // Label 24149: @1776317
     /* 1776317 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1776403), // Rule ID 11769 //
     /* 1776322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1776333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1776336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1776339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1776342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776368 */     // MIs[0] policy
     /* 1776368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1776381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776402 */     // GIR_Coverage, 11769,
     /* 1776402 */     GIR_EraseRootFromParent_Done,
     /* 1776403 */   // Label 24150: @1776403
     /* 1776403 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1776489), // Rule ID 11772 //
     /* 1776408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1776428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776454 */     // MIs[0] policy
     /* 1776454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776464 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1776467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776488 */     // GIR_Coverage, 11772,
     /* 1776488 */     GIR_EraseRootFromParent_Done,
     /* 1776489 */   // Label 24151: @1776489
     /* 1776489 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1776575), // Rule ID 11773 //
     /* 1776494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1776514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776540 */     // MIs[0] policy
     /* 1776540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776550 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1776553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776574 */     // GIR_Coverage, 11773,
     /* 1776574 */     GIR_EraseRootFromParent_Done,
     /* 1776575 */   // Label 24152: @1776575
     /* 1776575 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1776661), // Rule ID 11776 //
     /* 1776580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1776600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776626 */     // MIs[0] policy
     /* 1776626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1776639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776660 */     // GIR_Coverage, 11776,
     /* 1776660 */     GIR_EraseRootFromParent_Done,
     /* 1776661 */   // Label 24153: @1776661
     /* 1776661 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1776747), // Rule ID 11777 //
     /* 1776666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1776686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776712 */     // MIs[0] policy
     /* 1776712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1776725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776746 */     // GIR_Coverage, 11777,
     /* 1776746 */     GIR_EraseRootFromParent_Done,
     /* 1776747 */   // Label 24154: @1776747
     /* 1776747 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1776833), // Rule ID 11780 //
     /* 1776752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1776772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776798 */     // MIs[0] policy
     /* 1776798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1776811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776832 */     // GIR_Coverage, 11780,
     /* 1776832 */     GIR_EraseRootFromParent_Done,
     /* 1776833 */   // Label 24155: @1776833
     /* 1776833 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1776919), // Rule ID 11781 //
     /* 1776838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1776858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776884 */     // MIs[0] policy
     /* 1776884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1776897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776918 */     // GIR_Coverage, 11781,
     /* 1776918 */     GIR_EraseRootFromParent_Done,
     /* 1776919 */   // Label 24156: @1776919
     /* 1776919 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1777005), // Rule ID 11784 //
     /* 1776924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1776944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776970 */     // MIs[0] policy
     /* 1776970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1776983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777004 */     // GIR_Coverage, 11784,
     /* 1777004 */     GIR_EraseRootFromParent_Done,
     /* 1777005 */   // Label 24157: @1777005
     /* 1777005 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1777091), // Rule ID 11785 //
     /* 1777010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1777021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1777024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1777027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1777030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777056 */     // MIs[0] policy
     /* 1777056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1777069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777090 */     // GIR_Coverage, 11785,
     /* 1777090 */     GIR_EraseRootFromParent_Done,
     /* 1777091 */   // Label 24158: @1777091
     /* 1777091 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1777177), // Rule ID 11788 //
     /* 1777096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1777107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1777110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1777113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1777116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777142 */     // MIs[0] policy
     /* 1777142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1777155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777176 */     // GIR_Coverage, 11788,
     /* 1777176 */     GIR_EraseRootFromParent_Done,
     /* 1777177 */   // Label 24159: @1777177
     /* 1777177 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1777263), // Rule ID 11789 //
     /* 1777182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1777193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1777196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1777199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1777202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777228 */     // MIs[0] policy
     /* 1777228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1777241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777262 */     // GIR_Coverage, 11789,
     /* 1777262 */     GIR_EraseRootFromParent_Done,
     /* 1777263 */   // Label 24160: @1777263
     /* 1777263 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1777349), // Rule ID 11792 //
     /* 1777268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1777279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1777282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1777285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1777288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777314 */     // MIs[0] policy
     /* 1777314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1777327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777348 */     // GIR_Coverage, 11792,
     /* 1777348 */     GIR_EraseRootFromParent_Done,
     /* 1777349 */   // Label 24161: @1777349
     /* 1777349 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1777435), // Rule ID 11793 //
     /* 1777354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1777365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1777368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1777371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1777374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777400 */     // MIs[0] policy
     /* 1777400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1777413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777434 */     // GIR_Coverage, 11793,
     /* 1777434 */     GIR_EraseRootFromParent_Done,
     /* 1777435 */   // Label 24162: @1777435
     /* 1777435 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1777521), // Rule ID 11796 //
     /* 1777440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1777460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777486 */     // MIs[0] policy
     /* 1777486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1777499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777520 */     // GIR_Coverage, 11796,
     /* 1777520 */     GIR_EraseRootFromParent_Done,
     /* 1777521 */   // Label 24163: @1777521
     /* 1777521 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1777607), // Rule ID 11797 //
     /* 1777526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1777546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777572 */     // MIs[0] policy
     /* 1777572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1777585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777606 */     // GIR_Coverage, 11797,
     /* 1777606 */     GIR_EraseRootFromParent_Done,
     /* 1777607 */   // Label 24164: @1777607
     /* 1777607 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1777693), // Rule ID 11800 //
     /* 1777612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1777632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777658 */     // MIs[0] policy
     /* 1777658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1777671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777692 */     // GIR_Coverage, 11800,
     /* 1777692 */     GIR_EraseRootFromParent_Done,
     /* 1777693 */   // Label 24165: @1777693
     /* 1777693 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1777779), // Rule ID 11801 //
     /* 1777698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1777718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777744 */     // MIs[0] policy
     /* 1777744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1777757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777778 */     // GIR_Coverage, 11801,
     /* 1777778 */     GIR_EraseRootFromParent_Done,
     /* 1777779 */   // Label 24166: @1777779
     /* 1777779 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1777865), // Rule ID 11804 //
     /* 1777784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1777804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777830 */     // MIs[0] policy
     /* 1777830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1777843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777864 */     // GIR_Coverage, 11804,
     /* 1777864 */     GIR_EraseRootFromParent_Done,
     /* 1777865 */   // Label 24167: @1777865
     /* 1777865 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1777951), // Rule ID 11805 //
     /* 1777870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1777890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777916 */     // MIs[0] policy
     /* 1777916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1777929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777950 */     // GIR_Coverage, 11805,
     /* 1777950 */     GIR_EraseRootFromParent_Done,
     /* 1777951 */   // Label 24168: @1777951
     /* 1777951 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1778037), // Rule ID 11808 //
     /* 1777956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1777964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1777976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778002 */     // MIs[0] policy
     /* 1778002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778012 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1778015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778036 */     // GIR_Coverage, 11808,
     /* 1778036 */     GIR_EraseRootFromParent_Done,
     /* 1778037 */   // Label 24169: @1778037
     /* 1778037 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1778123), // Rule ID 11809 //
     /* 1778042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1778053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1778056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1778059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1778062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778088 */     // MIs[0] policy
     /* 1778088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1778101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778122 */     // GIR_Coverage, 11809,
     /* 1778122 */     GIR_EraseRootFromParent_Done,
     /* 1778123 */   // Label 24170: @1778123
     /* 1778123 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1778209), // Rule ID 11812 //
     /* 1778128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1778139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1778142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1778145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1778148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778174 */     // MIs[0] policy
     /* 1778174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1778187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778208 */     // GIR_Coverage, 11812,
     /* 1778208 */     GIR_EraseRootFromParent_Done,
     /* 1778209 */   // Label 24171: @1778209
     /* 1778209 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1778295), // Rule ID 11813 //
     /* 1778214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1778225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1778228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1778231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1778234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778260 */     // MIs[0] policy
     /* 1778260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1778273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778294 */     // GIR_Coverage, 11813,
     /* 1778294 */     GIR_EraseRootFromParent_Done,
     /* 1778295 */   // Label 24172: @1778295
     /* 1778295 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1778381), // Rule ID 11816 //
     /* 1778300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1778311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1778314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1778317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1778320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778346 */     // MIs[0] policy
     /* 1778346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778356 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1778359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778380 */     // GIR_Coverage, 11816,
     /* 1778380 */     GIR_EraseRootFromParent_Done,
     /* 1778381 */   // Label 24173: @1778381
     /* 1778381 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1778467), // Rule ID 11817 //
     /* 1778386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1778397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1778400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1778403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1778406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778432 */     // MIs[0] policy
     /* 1778432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1778445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778466 */     // GIR_Coverage, 11817,
     /* 1778466 */     GIR_EraseRootFromParent_Done,
     /* 1778467 */   // Label 24174: @1778467
     /* 1778467 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1778553), // Rule ID 11820 //
     /* 1778472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778518 */     // MIs[0] policy
     /* 1778518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1778531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778552 */     // GIR_Coverage, 11820,
     /* 1778552 */     GIR_EraseRootFromParent_Done,
     /* 1778553 */   // Label 24175: @1778553
     /* 1778553 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1778639), // Rule ID 11821 //
     /* 1778558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778604 */     // MIs[0] policy
     /* 1778604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1778617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778638 */     // GIR_Coverage, 11821,
     /* 1778638 */     GIR_EraseRootFromParent_Done,
     /* 1778639 */   // Label 24176: @1778639
     /* 1778639 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1778725), // Rule ID 11824 //
     /* 1778644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778690 */     // MIs[0] policy
     /* 1778690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1778703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778724 */     // GIR_Coverage, 11824,
     /* 1778724 */     GIR_EraseRootFromParent_Done,
     /* 1778725 */   // Label 24177: @1778725
     /* 1778725 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1778811), // Rule ID 11825 //
     /* 1778730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778776 */     // MIs[0] policy
     /* 1778776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1778789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778810 */     // GIR_Coverage, 11825,
     /* 1778810 */     GIR_EraseRootFromParent_Done,
     /* 1778811 */   // Label 24178: @1778811
     /* 1778811 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1778897), // Rule ID 11828 //
     /* 1778816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778862 */     // MIs[0] policy
     /* 1778862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1778875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778896 */     // GIR_Coverage, 11828,
     /* 1778896 */     GIR_EraseRootFromParent_Done,
     /* 1778897 */   // Label 24179: @1778897
     /* 1778897 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1778983), // Rule ID 11829 //
     /* 1778902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778948 */     // MIs[0] policy
     /* 1778948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1778961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778982 */     // GIR_Coverage, 11829,
     /* 1778982 */     GIR_EraseRootFromParent_Done,
     /* 1778983 */   // Label 24180: @1778983
     /* 1778983 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1779069), // Rule ID 11832 //
     /* 1778988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1778996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1779002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1779005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779034 */     // MIs[0] policy
     /* 1779034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1779047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779068 */     // GIR_Coverage, 11832,
     /* 1779068 */     GIR_EraseRootFromParent_Done,
     /* 1779069 */   // Label 24181: @1779069
     /* 1779069 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1779155), // Rule ID 11833 //
     /* 1779074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1779085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1779088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1779091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779120 */     // MIs[0] policy
     /* 1779120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1779133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779154 */     // GIR_Coverage, 11833,
     /* 1779154 */     GIR_EraseRootFromParent_Done,
     /* 1779155 */   // Label 24182: @1779155
     /* 1779155 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1779241), // Rule ID 11836 //
     /* 1779160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1779171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1779174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1779177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779206 */     // MIs[0] policy
     /* 1779206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1779219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779240 */     // GIR_Coverage, 11836,
     /* 1779240 */     GIR_EraseRootFromParent_Done,
     /* 1779241 */   // Label 24183: @1779241
     /* 1779241 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1779327), // Rule ID 11837 //
     /* 1779246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1779257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1779260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1779263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779292 */     // MIs[0] policy
     /* 1779292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1779305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779326 */     // GIR_Coverage, 11837,
     /* 1779326 */     GIR_EraseRootFromParent_Done,
     /* 1779327 */   // Label 24184: @1779327
     /* 1779327 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1779413), // Rule ID 11840 //
     /* 1779332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1779343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1779346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1779349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779378 */     // MIs[0] policy
     /* 1779378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1779391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779412 */     // GIR_Coverage, 11840,
     /* 1779412 */     GIR_EraseRootFromParent_Done,
     /* 1779413 */   // Label 24185: @1779413
     /* 1779413 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1779499), // Rule ID 11841 //
     /* 1779418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1779429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1779432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1779435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779464 */     // MIs[0] policy
     /* 1779464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1779477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779498 */     // GIR_Coverage, 11841,
     /* 1779498 */     GIR_EraseRootFromParent_Done,
     /* 1779499 */   // Label 24186: @1779499
     /* 1779499 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1779585), // Rule ID 11844 //
     /* 1779504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779550 */     // MIs[0] policy
     /* 1779550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779560 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1779563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779584 */     // GIR_Coverage, 11844,
     /* 1779584 */     GIR_EraseRootFromParent_Done,
     /* 1779585 */   // Label 24187: @1779585
     /* 1779585 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1779671), // Rule ID 11845 //
     /* 1779590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779636 */     // MIs[0] policy
     /* 1779636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1779649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779670 */     // GIR_Coverage, 11845,
     /* 1779670 */     GIR_EraseRootFromParent_Done,
     /* 1779671 */   // Label 24188: @1779671
     /* 1779671 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1779757), // Rule ID 11848 //
     /* 1779676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779722 */     // MIs[0] policy
     /* 1779722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1779735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779756 */     // GIR_Coverage, 11848,
     /* 1779756 */     GIR_EraseRootFromParent_Done,
     /* 1779757 */   // Label 24189: @1779757
     /* 1779757 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1779843), // Rule ID 11849 //
     /* 1779762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779808 */     // MIs[0] policy
     /* 1779808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1779821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779842 */     // GIR_Coverage, 11849,
     /* 1779842 */     GIR_EraseRootFromParent_Done,
     /* 1779843 */   // Label 24190: @1779843
     /* 1779843 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1779929), // Rule ID 11852 //
     /* 1779848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779894 */     // MIs[0] policy
     /* 1779894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1779907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779928 */     // GIR_Coverage, 11852,
     /* 1779928 */     GIR_EraseRootFromParent_Done,
     /* 1779929 */   // Label 24191: @1779929
     /* 1779929 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1780015), // Rule ID 11853 //
     /* 1779934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1779942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779980 */     // MIs[0] policy
     /* 1779980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1779993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780014 */     // GIR_Coverage, 11853,
     /* 1780014 */     GIR_EraseRootFromParent_Done,
     /* 1780015 */   // Label 24192: @1780015
     /* 1780015 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1780101), // Rule ID 11856 //
     /* 1780020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1780031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1780034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1780037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780066 */     // MIs[0] policy
     /* 1780066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1780079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780100 */     // GIR_Coverage, 11856,
     /* 1780100 */     GIR_EraseRootFromParent_Done,
     /* 1780101 */   // Label 24193: @1780101
     /* 1780101 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1780187), // Rule ID 11857 //
     /* 1780106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1780117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1780120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1780123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780152 */     // MIs[0] policy
     /* 1780152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1780165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780186 */     // GIR_Coverage, 11857,
     /* 1780186 */     GIR_EraseRootFromParent_Done,
     /* 1780187 */   // Label 24194: @1780187
     /* 1780187 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1780273), // Rule ID 11860 //
     /* 1780192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1780203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1780206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1780209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780238 */     // MIs[0] policy
     /* 1780238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1780251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780272 */     // GIR_Coverage, 11860,
     /* 1780272 */     GIR_EraseRootFromParent_Done,
     /* 1780273 */   // Label 24195: @1780273
     /* 1780273 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1780359), // Rule ID 11861 //
     /* 1780278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1780289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1780292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1780295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780324 */     // MIs[0] policy
     /* 1780324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1780337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780358 */     // GIR_Coverage, 11861,
     /* 1780358 */     GIR_EraseRootFromParent_Done,
     /* 1780359 */   // Label 24196: @1780359
     /* 1780359 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1780445), // Rule ID 11864 //
     /* 1780364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1780375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1780378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780410 */     // MIs[0] policy
     /* 1780410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1780423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780444 */     // GIR_Coverage, 11864,
     /* 1780444 */     GIR_EraseRootFromParent_Done,
     /* 1780445 */   // Label 24197: @1780445
     /* 1780445 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1780531), // Rule ID 11865 //
     /* 1780450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1780461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1780464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780496 */     // MIs[0] policy
     /* 1780496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1780509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780530 */     // GIR_Coverage, 11865,
     /* 1780530 */     GIR_EraseRootFromParent_Done,
     /* 1780531 */   // Label 24198: @1780531
     /* 1780531 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1780617), // Rule ID 11868 //
     /* 1780536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780582 */     // MIs[0] policy
     /* 1780582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1780595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780616 */     // GIR_Coverage, 11868,
     /* 1780616 */     GIR_EraseRootFromParent_Done,
     /* 1780617 */   // Label 24199: @1780617
     /* 1780617 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1780703), // Rule ID 11869 //
     /* 1780622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780668 */     // MIs[0] policy
     /* 1780668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1780681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780702 */     // GIR_Coverage, 11869,
     /* 1780702 */     GIR_EraseRootFromParent_Done,
     /* 1780703 */   // Label 24200: @1780703
     /* 1780703 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1780789), // Rule ID 11872 //
     /* 1780708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780754 */     // MIs[0] policy
     /* 1780754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1780767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780788 */     // GIR_Coverage, 11872,
     /* 1780788 */     GIR_EraseRootFromParent_Done,
     /* 1780789 */   // Label 24201: @1780789
     /* 1780789 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1780875), // Rule ID 11873 //
     /* 1780794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780840 */     // MIs[0] policy
     /* 1780840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1780853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780874 */     // GIR_Coverage, 11873,
     /* 1780874 */     GIR_EraseRootFromParent_Done,
     /* 1780875 */   // Label 24202: @1780875
     /* 1780875 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1780961), // Rule ID 11876 //
     /* 1780880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780926 */     // MIs[0] policy
     /* 1780926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1780939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780960 */     // GIR_Coverage, 11876,
     /* 1780960 */     GIR_EraseRootFromParent_Done,
     /* 1780961 */   // Label 24203: @1780961
     /* 1780961 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1781047), // Rule ID 11877 //
     /* 1780966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1780974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781012 */     // MIs[0] policy
     /* 1781012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1781025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781046 */     // GIR_Coverage, 11877,
     /* 1781046 */     GIR_EraseRootFromParent_Done,
     /* 1781047 */   // Label 24204: @1781047
     /* 1781047 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1781133), // Rule ID 11880 //
     /* 1781052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1781063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1781066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1781069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1781075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781098 */     // MIs[0] policy
     /* 1781098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1781111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781132 */     // GIR_Coverage, 11880,
     /* 1781132 */     GIR_EraseRootFromParent_Done,
     /* 1781133 */   // Label 24205: @1781133
     /* 1781133 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1781219), // Rule ID 11881 //
     /* 1781138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1781149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1781152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1781155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1781161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781184 */     // MIs[0] policy
     /* 1781184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1781197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781218 */     // GIR_Coverage, 11881,
     /* 1781218 */     GIR_EraseRootFromParent_Done,
     /* 1781219 */   // Label 24206: @1781219
     /* 1781219 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1781305), // Rule ID 11884 //
     /* 1781224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1781235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1781238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1781241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781270 */     // MIs[0] policy
     /* 1781270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1781283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781304 */     // GIR_Coverage, 11884,
     /* 1781304 */     GIR_EraseRootFromParent_Done,
     /* 1781305 */   // Label 24207: @1781305
     /* 1781305 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1781391), // Rule ID 11885 //
     /* 1781310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1781321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1781324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1781327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781356 */     // MIs[0] policy
     /* 1781356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1781369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781390 */     // GIR_Coverage, 11885,
     /* 1781390 */     GIR_EraseRootFromParent_Done,
     /* 1781391 */   // Label 24208: @1781391
     /* 1781391 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1781477), // Rule ID 11888 //
     /* 1781396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781442 */     // MIs[0] policy
     /* 1781442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1781455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781476 */     // GIR_Coverage, 11888,
     /* 1781476 */     GIR_EraseRootFromParent_Done,
     /* 1781477 */   // Label 24209: @1781477
     /* 1781477 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1781563), // Rule ID 11889 //
     /* 1781482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781528 */     // MIs[0] policy
     /* 1781528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1781541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781562 */     // GIR_Coverage, 11889,
     /* 1781562 */     GIR_EraseRootFromParent_Done,
     /* 1781563 */   // Label 24210: @1781563
     /* 1781563 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1781649), // Rule ID 11892 //
     /* 1781568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781614 */     // MIs[0] policy
     /* 1781614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1781627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781648 */     // GIR_Coverage, 11892,
     /* 1781648 */     GIR_EraseRootFromParent_Done,
     /* 1781649 */   // Label 24211: @1781649
     /* 1781649 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1781735), // Rule ID 11893 //
     /* 1781654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781700 */     // MIs[0] policy
     /* 1781700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1781713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781734 */     // GIR_Coverage, 11893,
     /* 1781734 */     GIR_EraseRootFromParent_Done,
     /* 1781735 */   // Label 24212: @1781735
     /* 1781735 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1781821), // Rule ID 11896 //
     /* 1781740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781786 */     // MIs[0] policy
     /* 1781786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1781799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781820 */     // GIR_Coverage, 11896,
     /* 1781820 */     GIR_EraseRootFromParent_Done,
     /* 1781821 */   // Label 24213: @1781821
     /* 1781821 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1781907), // Rule ID 11897 //
     /* 1781826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781872 */     // MIs[0] policy
     /* 1781872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1781885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781906 */     // GIR_Coverage, 11897,
     /* 1781906 */     GIR_EraseRootFromParent_Done,
     /* 1781907 */   // Label 24214: @1781907
     /* 1781907 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1781993), // Rule ID 11900 //
     /* 1781912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781958 */     // MIs[0] policy
     /* 1781958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1781971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781992 */     // GIR_Coverage, 11900,
     /* 1781992 */     GIR_EraseRootFromParent_Done,
     /* 1781993 */   // Label 24215: @1781993
     /* 1781993 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1782079), // Rule ID 11901 //
     /* 1781998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1782001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1782009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1782012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1782015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782044 */     // MIs[0] policy
     /* 1782044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1782057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782078 */     // GIR_Coverage, 11901,
     /* 1782078 */     GIR_EraseRootFromParent_Done,
     /* 1782079 */   // Label 24216: @1782079
     /* 1782079 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1782165), // Rule ID 11904 //
     /* 1782084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1782095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1782098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1782101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782130 */     // MIs[0] policy
     /* 1782130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1782143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782164 */     // GIR_Coverage, 11904,
     /* 1782164 */     GIR_EraseRootFromParent_Done,
     /* 1782165 */   // Label 24217: @1782165
     /* 1782165 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1782251), // Rule ID 11905 //
     /* 1782170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1782173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1782181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1782184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1782187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782216 */     // MIs[0] policy
     /* 1782216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1782229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782250 */     // GIR_Coverage, 11905,
     /* 1782250 */     GIR_EraseRootFromParent_Done,
     /* 1782251 */   // Label 24218: @1782251
     /* 1782251 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1782337), // Rule ID 11908 //
     /* 1782256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1782267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1782270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1782273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1782276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782302 */     // MIs[0] policy
     /* 1782302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1782315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782336 */     // GIR_Coverage, 11908,
     /* 1782336 */     GIR_EraseRootFromParent_Done,
     /* 1782337 */   // Label 24219: @1782337
     /* 1782337 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1782423), // Rule ID 11909 //
     /* 1782342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1782353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1782356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1782359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1782362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782388 */     // MIs[0] policy
     /* 1782388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1782401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782422 */     // GIR_Coverage, 11909,
     /* 1782422 */     GIR_EraseRootFromParent_Done,
     /* 1782423 */   // Label 24220: @1782423
     /* 1782423 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1782509), // Rule ID 11912 //
     /* 1782428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1782448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782474 */     // MIs[0] policy
     /* 1782474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1782487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782508 */     // GIR_Coverage, 11912,
     /* 1782508 */     GIR_EraseRootFromParent_Done,
     /* 1782509 */   // Label 24221: @1782509
     /* 1782509 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1782595), // Rule ID 11913 //
     /* 1782514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1782534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782560 */     // MIs[0] policy
     /* 1782560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782570 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1782573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782594 */     // GIR_Coverage, 11913,
     /* 1782594 */     GIR_EraseRootFromParent_Done,
     /* 1782595 */   // Label 24222: @1782595
     /* 1782595 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1782681), // Rule ID 11916 //
     /* 1782600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1782620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782646 */     // MIs[0] policy
     /* 1782646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1782659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782680 */     // GIR_Coverage, 11916,
     /* 1782680 */     GIR_EraseRootFromParent_Done,
     /* 1782681 */   // Label 24223: @1782681
     /* 1782681 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1782767), // Rule ID 11917 //
     /* 1782686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1782706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782732 */     // MIs[0] policy
     /* 1782732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782742 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1782745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782766 */     // GIR_Coverage, 11917,
     /* 1782766 */     GIR_EraseRootFromParent_Done,
     /* 1782767 */   // Label 24224: @1782767
     /* 1782767 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1782853), // Rule ID 11920 //
     /* 1782772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1782792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782818 */     // MIs[0] policy
     /* 1782818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1782831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782852 */     // GIR_Coverage, 11920,
     /* 1782852 */     GIR_EraseRootFromParent_Done,
     /* 1782853 */   // Label 24225: @1782853
     /* 1782853 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1782939), // Rule ID 11921 //
     /* 1782858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1782878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782904 */     // MIs[0] policy
     /* 1782904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1782917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782938 */     // GIR_Coverage, 11921,
     /* 1782938 */     GIR_EraseRootFromParent_Done,
     /* 1782939 */   // Label 24226: @1782939
     /* 1782939 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1783025), // Rule ID 11924 //
     /* 1782944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1782964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782990 */     // MIs[0] policy
     /* 1782990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1783003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783024 */     // GIR_Coverage, 11924,
     /* 1783024 */     GIR_EraseRootFromParent_Done,
     /* 1783025 */   // Label 24227: @1783025
     /* 1783025 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1783111), // Rule ID 11925 //
     /* 1783030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1783041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1783044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1783047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1783050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783076 */     // MIs[0] policy
     /* 1783076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1783089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783110 */     // GIR_Coverage, 11925,
     /* 1783110 */     GIR_EraseRootFromParent_Done,
     /* 1783111 */   // Label 24228: @1783111
     /* 1783111 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1783197), // Rule ID 11928 //
     /* 1783116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1783127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1783130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1783133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1783136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783162 */     // MIs[0] policy
     /* 1783162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783172 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1783175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783196 */     // GIR_Coverage, 11928,
     /* 1783196 */     GIR_EraseRootFromParent_Done,
     /* 1783197 */   // Label 24229: @1783197
     /* 1783197 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1783283), // Rule ID 11929 //
     /* 1783202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1783213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1783216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1783219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1783222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783248 */     // MIs[0] policy
     /* 1783248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1783261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783282 */     // GIR_Coverage, 11929,
     /* 1783282 */     GIR_EraseRootFromParent_Done,
     /* 1783283 */   // Label 24230: @1783283
     /* 1783283 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1783369), // Rule ID 11932 //
     /* 1783288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1783299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1783302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1783305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1783308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783334 */     // MIs[0] policy
     /* 1783334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1783347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783368 */     // GIR_Coverage, 11932,
     /* 1783368 */     GIR_EraseRootFromParent_Done,
     /* 1783369 */   // Label 24231: @1783369
     /* 1783369 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1783455), // Rule ID 11933 //
     /* 1783374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1783385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1783388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1783391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1783394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783420 */     // MIs[0] policy
     /* 1783420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1783433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783454 */     // GIR_Coverage, 11933,
     /* 1783454 */     GIR_EraseRootFromParent_Done,
     /* 1783455 */   // Label 24232: @1783455
     /* 1783455 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1783541), // Rule ID 11936 //
     /* 1783460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1783480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783506 */     // MIs[0] policy
     /* 1783506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1783519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783540 */     // GIR_Coverage, 11936,
     /* 1783540 */     GIR_EraseRootFromParent_Done,
     /* 1783541 */   // Label 24233: @1783541
     /* 1783541 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1783627), // Rule ID 11937 //
     /* 1783546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1783566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783592 */     // MIs[0] policy
     /* 1783592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1783605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783626 */     // GIR_Coverage, 11937,
     /* 1783626 */     GIR_EraseRootFromParent_Done,
     /* 1783627 */   // Label 24234: @1783627
     /* 1783627 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1783713), // Rule ID 11940 //
     /* 1783632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1783652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783678 */     // MIs[0] policy
     /* 1783678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1783691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783712 */     // GIR_Coverage, 11940,
     /* 1783712 */     GIR_EraseRootFromParent_Done,
     /* 1783713 */   // Label 24235: @1783713
     /* 1783713 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1783799), // Rule ID 11941 //
     /* 1783718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1783738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783764 */     // MIs[0] policy
     /* 1783764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1783777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783798 */     // GIR_Coverage, 11941,
     /* 1783798 */     GIR_EraseRootFromParent_Done,
     /* 1783799 */   // Label 24236: @1783799
     /* 1783799 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1783885), // Rule ID 11944 //
     /* 1783804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1783824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783850 */     // MIs[0] policy
     /* 1783850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1783863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783884 */     // GIR_Coverage, 11944,
     /* 1783884 */     GIR_EraseRootFromParent_Done,
     /* 1783885 */   // Label 24237: @1783885
     /* 1783885 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1783971), // Rule ID 11945 //
     /* 1783890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1783910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783936 */     // MIs[0] policy
     /* 1783936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1783949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783970 */     // GIR_Coverage, 11945,
     /* 1783970 */     GIR_EraseRootFromParent_Done,
     /* 1783971 */   // Label 24238: @1783971
     /* 1783971 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1784057), // Rule ID 11948 //
     /* 1783976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1783996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784022 */     // MIs[0] policy
     /* 1784022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1784035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784056 */     // GIR_Coverage, 11948,
     /* 1784056 */     GIR_EraseRootFromParent_Done,
     /* 1784057 */   // Label 24239: @1784057
     /* 1784057 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1784143), // Rule ID 11949 //
     /* 1784062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1784073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1784076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1784079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1784082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784108 */     // MIs[0] policy
     /* 1784108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1784121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784142 */     // GIR_Coverage, 11949,
     /* 1784142 */     GIR_EraseRootFromParent_Done,
     /* 1784143 */   // Label 24240: @1784143
     /* 1784143 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1784229), // Rule ID 11952 //
     /* 1784148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1784159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1784162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1784165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1784168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784194 */     // MIs[0] policy
     /* 1784194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1784207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784228 */     // GIR_Coverage, 11952,
     /* 1784228 */     GIR_EraseRootFromParent_Done,
     /* 1784229 */   // Label 24241: @1784229
     /* 1784229 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1784315), // Rule ID 11953 //
     /* 1784234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1784245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1784248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1784251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1784254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784280 */     // MIs[0] policy
     /* 1784280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1784293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784314 */     // GIR_Coverage, 11953,
     /* 1784314 */     GIR_EraseRootFromParent_Done,
     /* 1784315 */   // Label 24242: @1784315
     /* 1784315 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1784401), // Rule ID 11956 //
     /* 1784320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1784331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1784334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1784337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1784340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1784343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784366 */     // MIs[0] policy
     /* 1784366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1784379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784400 */     // GIR_Coverage, 11956,
     /* 1784400 */     GIR_EraseRootFromParent_Done,
     /* 1784401 */   // Label 24243: @1784401
     /* 1784401 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1784487), // Rule ID 11957 //
     /* 1784406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1784417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1784420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1784423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1784426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1784429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784452 */     // MIs[0] policy
     /* 1784452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784462 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1784465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784486 */     // GIR_Coverage, 11957,
     /* 1784486 */     GIR_EraseRootFromParent_Done,
     /* 1784487 */   // Label 24244: @1784487
     /* 1784487 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1784573), // Rule ID 11960 //
     /* 1784492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1784512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784538 */     // MIs[0] policy
     /* 1784538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1784551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784572 */     // GIR_Coverage, 11960,
     /* 1784572 */     GIR_EraseRootFromParent_Done,
     /* 1784573 */   // Label 24245: @1784573
     /* 1784573 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1784659), // Rule ID 11961 //
     /* 1784578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1784598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784624 */     // MIs[0] policy
     /* 1784624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1784637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784658 */     // GIR_Coverage, 11961,
     /* 1784658 */     GIR_EraseRootFromParent_Done,
     /* 1784659 */   // Label 24246: @1784659
     /* 1784659 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1784745), // Rule ID 11964 //
     /* 1784664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1784684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784710 */     // MIs[0] policy
     /* 1784710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1784723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784744 */     // GIR_Coverage, 11964,
     /* 1784744 */     GIR_EraseRootFromParent_Done,
     /* 1784745 */   // Label 24247: @1784745
     /* 1784745 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1784831), // Rule ID 11965 //
     /* 1784750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1784770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784796 */     // MIs[0] policy
     /* 1784796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1784809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784830 */     // GIR_Coverage, 11965,
     /* 1784830 */     GIR_EraseRootFromParent_Done,
     /* 1784831 */   // Label 24248: @1784831
     /* 1784831 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1784917), // Rule ID 11968 //
     /* 1784836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1784856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784882 */     // MIs[0] policy
     /* 1784882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1784895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784916 */     // GIR_Coverage, 11968,
     /* 1784916 */     GIR_EraseRootFromParent_Done,
     /* 1784917 */   // Label 24249: @1784917
     /* 1784917 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1785003), // Rule ID 11969 //
     /* 1784922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1784930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1784942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784968 */     // MIs[0] policy
     /* 1784968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1784981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785002 */     // GIR_Coverage, 11969,
     /* 1785002 */     GIR_EraseRootFromParent_Done,
     /* 1785003 */   // Label 24250: @1785003
     /* 1785003 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1785089), // Rule ID 11972 //
     /* 1785008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1785019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1785022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1785025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1785028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785054 */     // MIs[0] policy
     /* 1785054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1785067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785088 */     // GIR_Coverage, 11972,
     /* 1785088 */     GIR_EraseRootFromParent_Done,
     /* 1785089 */   // Label 24251: @1785089
     /* 1785089 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1785175), // Rule ID 11973 //
     /* 1785094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1785105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1785108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1785111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1785114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785140 */     // MIs[0] policy
     /* 1785140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1785153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785174 */     // GIR_Coverage, 11973,
     /* 1785174 */     GIR_EraseRootFromParent_Done,
     /* 1785175 */   // Label 24252: @1785175
     /* 1785175 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1785261), // Rule ID 11976 //
     /* 1785180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1785191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1785194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1785197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1785200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785226 */     // MIs[0] policy
     /* 1785226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1785239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785260 */     // GIR_Coverage, 11976,
     /* 1785260 */     GIR_EraseRootFromParent_Done,
     /* 1785261 */   // Label 24253: @1785261
     /* 1785261 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1785347), // Rule ID 11977 //
     /* 1785266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1785277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1785280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1785283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1785286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785312 */     // MIs[0] policy
     /* 1785312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1785325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785346 */     // GIR_Coverage, 11977,
     /* 1785346 */     GIR_EraseRootFromParent_Done,
     /* 1785347 */   // Label 24254: @1785347
     /* 1785347 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1785433), // Rule ID 11980 //
     /* 1785352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1785372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785398 */     // MIs[0] policy
     /* 1785398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1785411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785432 */     // GIR_Coverage, 11980,
     /* 1785432 */     GIR_EraseRootFromParent_Done,
     /* 1785433 */   // Label 24255: @1785433
     /* 1785433 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1785519), // Rule ID 11981 //
     /* 1785438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1785458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785484 */     // MIs[0] policy
     /* 1785484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1785497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785518 */     // GIR_Coverage, 11981,
     /* 1785518 */     GIR_EraseRootFromParent_Done,
     /* 1785519 */   // Label 24256: @1785519
     /* 1785519 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1785605), // Rule ID 11984 //
     /* 1785524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1785544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785570 */     // MIs[0] policy
     /* 1785570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1785583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785604 */     // GIR_Coverage, 11984,
     /* 1785604 */     GIR_EraseRootFromParent_Done,
     /* 1785605 */   // Label 24257: @1785605
     /* 1785605 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1785691), // Rule ID 11985 //
     /* 1785610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1785630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785656 */     // MIs[0] policy
     /* 1785656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1785669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785690 */     // GIR_Coverage, 11985,
     /* 1785690 */     GIR_EraseRootFromParent_Done,
     /* 1785691 */   // Label 24258: @1785691
     /* 1785691 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1785777), // Rule ID 11988 //
     /* 1785696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1785716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785742 */     // MIs[0] policy
     /* 1785742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1785755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785776 */     // GIR_Coverage, 11988,
     /* 1785776 */     GIR_EraseRootFromParent_Done,
     /* 1785777 */   // Label 24259: @1785777
     /* 1785777 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1785863), // Rule ID 11989 //
     /* 1785782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1785802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785828 */     // MIs[0] policy
     /* 1785828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1785841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785862 */     // GIR_Coverage, 11989,
     /* 1785862 */     GIR_EraseRootFromParent_Done,
     /* 1785863 */   // Label 24260: @1785863
     /* 1785863 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1785949), // Rule ID 11992 //
     /* 1785868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1785888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785914 */     // MIs[0] policy
     /* 1785914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1785927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785948 */     // GIR_Coverage, 11992,
     /* 1785948 */     GIR_EraseRootFromParent_Done,
     /* 1785949 */   // Label 24261: @1785949
     /* 1785949 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1786035), // Rule ID 11993 //
     /* 1785954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1785962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1785974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786000 */     // MIs[0] policy
     /* 1786000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1786013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786034 */     // GIR_Coverage, 11993,
     /* 1786034 */     GIR_EraseRootFromParent_Done,
     /* 1786035 */   // Label 24262: @1786035
     /* 1786035 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1786121), // Rule ID 11996 //
     /* 1786040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1786051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1786054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1786057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786086 */     // MIs[0] policy
     /* 1786086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1786099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786120 */     // GIR_Coverage, 11996,
     /* 1786120 */     GIR_EraseRootFromParent_Done,
     /* 1786121 */   // Label 24263: @1786121
     /* 1786121 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1786207), // Rule ID 11997 //
     /* 1786126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1786137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1786140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1786143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786172 */     // MIs[0] policy
     /* 1786172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786182 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1786185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786206 */     // GIR_Coverage, 11997,
     /* 1786206 */     GIR_EraseRootFromParent_Done,
     /* 1786207 */   // Label 24264: @1786207
     /* 1786207 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1786293), // Rule ID 12000 //
     /* 1786212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1786223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1786226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1786229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786258 */     // MIs[0] policy
     /* 1786258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786268 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1786271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786292 */     // GIR_Coverage, 12000,
     /* 1786292 */     GIR_EraseRootFromParent_Done,
     /* 1786293 */   // Label 24265: @1786293
     /* 1786293 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1786379), // Rule ID 12001 //
     /* 1786298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1786309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1786312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1786315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786344 */     // MIs[0] policy
     /* 1786344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786354 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1786357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786378 */     // GIR_Coverage, 12001,
     /* 1786378 */     GIR_EraseRootFromParent_Done,
     /* 1786379 */   // Label 24266: @1786379
     /* 1786379 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1786465), // Rule ID 12004 //
     /* 1786384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786430 */     // MIs[0] policy
     /* 1786430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1786443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786464 */     // GIR_Coverage, 12004,
     /* 1786464 */     GIR_EraseRootFromParent_Done,
     /* 1786465 */   // Label 24267: @1786465
     /* 1786465 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1786551), // Rule ID 12005 //
     /* 1786470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786516 */     // MIs[0] policy
     /* 1786516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1786529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786550 */     // GIR_Coverage, 12005,
     /* 1786550 */     GIR_EraseRootFromParent_Done,
     /* 1786551 */   // Label 24268: @1786551
     /* 1786551 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1786637), // Rule ID 12008 //
     /* 1786556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786602 */     // MIs[0] policy
     /* 1786602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1786615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786636 */     // GIR_Coverage, 12008,
     /* 1786636 */     GIR_EraseRootFromParent_Done,
     /* 1786637 */   // Label 24269: @1786637
     /* 1786637 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1786723), // Rule ID 12009 //
     /* 1786642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786688 */     // MIs[0] policy
     /* 1786688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1786701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786722 */     // GIR_Coverage, 12009,
     /* 1786722 */     GIR_EraseRootFromParent_Done,
     /* 1786723 */   // Label 24270: @1786723
     /* 1786723 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1786809), // Rule ID 12012 //
     /* 1786728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786774 */     // MIs[0] policy
     /* 1786774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1786787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786808 */     // GIR_Coverage, 12012,
     /* 1786808 */     GIR_EraseRootFromParent_Done,
     /* 1786809 */   // Label 24271: @1786809
     /* 1786809 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1786895), // Rule ID 12013 //
     /* 1786814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786860 */     // MIs[0] policy
     /* 1786860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1786873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786894 */     // GIR_Coverage, 12013,
     /* 1786894 */     GIR_EraseRootFromParent_Done,
     /* 1786895 */   // Label 24272: @1786895
     /* 1786895 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1786981), // Rule ID 12016 //
     /* 1786900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786946 */     // MIs[0] policy
     /* 1786946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1786959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786980 */     // GIR_Coverage, 12016,
     /* 1786980 */     GIR_EraseRootFromParent_Done,
     /* 1786981 */   // Label 24273: @1786981
     /* 1786981 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1787067), // Rule ID 12017 //
     /* 1786986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1786994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1787000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1787003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787032 */     // MIs[0] policy
     /* 1787032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1787045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787066 */     // GIR_Coverage, 12017,
     /* 1787066 */     GIR_EraseRootFromParent_Done,
     /* 1787067 */   // Label 24274: @1787067
     /* 1787067 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1787153), // Rule ID 12020 //
     /* 1787072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1787083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1787086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1787089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787118 */     // MIs[0] policy
     /* 1787118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1787131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787152 */     // GIR_Coverage, 12020,
     /* 1787152 */     GIR_EraseRootFromParent_Done,
     /* 1787153 */   // Label 24275: @1787153
     /* 1787153 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1787239), // Rule ID 12021 //
     /* 1787158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1787169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1787172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1787175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787204 */     // MIs[0] policy
     /* 1787204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1787217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787238 */     // GIR_Coverage, 12021,
     /* 1787238 */     GIR_EraseRootFromParent_Done,
     /* 1787239 */   // Label 24276: @1787239
     /* 1787239 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1787325), // Rule ID 12024 //
     /* 1787244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1787255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1787258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1787261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787290 */     // MIs[0] policy
     /* 1787290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1787303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787324 */     // GIR_Coverage, 12024,
     /* 1787324 */     GIR_EraseRootFromParent_Done,
     /* 1787325 */   // Label 24277: @1787325
     /* 1787325 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1787411), // Rule ID 12025 //
     /* 1787330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1787341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1787344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1787347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787376 */     // MIs[0] policy
     /* 1787376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1787389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787410 */     // GIR_Coverage, 12025,
     /* 1787410 */     GIR_EraseRootFromParent_Done,
     /* 1787411 */   // Label 24278: @1787411
     /* 1787411 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1787497), // Rule ID 12028 //
     /* 1787416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787462 */     // MIs[0] policy
     /* 1787462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1787475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787496 */     // GIR_Coverage, 12028,
     /* 1787496 */     GIR_EraseRootFromParent_Done,
     /* 1787497 */   // Label 24279: @1787497
     /* 1787497 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1787583), // Rule ID 12029 //
     /* 1787502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787548 */     // MIs[0] policy
     /* 1787548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1787561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787582 */     // GIR_Coverage, 12029,
     /* 1787582 */     GIR_EraseRootFromParent_Done,
     /* 1787583 */   // Label 24280: @1787583
     /* 1787583 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1787669), // Rule ID 12032 //
     /* 1787588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787634 */     // MIs[0] policy
     /* 1787634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1787647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787668 */     // GIR_Coverage, 12032,
     /* 1787668 */     GIR_EraseRootFromParent_Done,
     /* 1787669 */   // Label 24281: @1787669
     /* 1787669 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1787755), // Rule ID 12033 //
     /* 1787674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787720 */     // MIs[0] policy
     /* 1787720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1787733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787754 */     // GIR_Coverage, 12033,
     /* 1787754 */     GIR_EraseRootFromParent_Done,
     /* 1787755 */   // Label 24282: @1787755
     /* 1787755 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1787841), // Rule ID 12036 //
     /* 1787760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787806 */     // MIs[0] policy
     /* 1787806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787816 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1787819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787840 */     // GIR_Coverage, 12036,
     /* 1787840 */     GIR_EraseRootFromParent_Done,
     /* 1787841 */   // Label 24283: @1787841
     /* 1787841 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1787927), // Rule ID 12037 //
     /* 1787846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787892 */     // MIs[0] policy
     /* 1787892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1787905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787926 */     // GIR_Coverage, 12037,
     /* 1787926 */     GIR_EraseRootFromParent_Done,
     /* 1787927 */   // Label 24284: @1787927
     /* 1787927 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1788013), // Rule ID 12040 //
     /* 1787932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1787940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787978 */     // MIs[0] policy
     /* 1787978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787988 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1787991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788012 */     // GIR_Coverage, 12040,
     /* 1788012 */     GIR_EraseRootFromParent_Done,
     /* 1788013 */   // Label 24285: @1788013
     /* 1788013 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1788099), // Rule ID 12041 //
     /* 1788018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1788029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1788032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1788035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788064 */     // MIs[0] policy
     /* 1788064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1788077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788098 */     // GIR_Coverage, 12041,
     /* 1788098 */     GIR_EraseRootFromParent_Done,
     /* 1788099 */   // Label 24286: @1788099
     /* 1788099 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1788185), // Rule ID 12044 //
     /* 1788104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1788115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1788118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1788121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1788127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788150 */     // MIs[0] policy
     /* 1788150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788160 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1788163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788184 */     // GIR_Coverage, 12044,
     /* 1788184 */     GIR_EraseRootFromParent_Done,
     /* 1788185 */   // Label 24287: @1788185
     /* 1788185 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1788271), // Rule ID 12045 //
     /* 1788190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1788201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1788204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1788207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1788213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788236 */     // MIs[0] policy
     /* 1788236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788246 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1788249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788270 */     // GIR_Coverage, 12045,
     /* 1788270 */     GIR_EraseRootFromParent_Done,
     /* 1788271 */   // Label 24288: @1788271
     /* 1788271 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1788357), // Rule ID 12048 //
     /* 1788276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1788287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1788290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1788293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788322 */     // MIs[0] policy
     /* 1788322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1788335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788356 */     // GIR_Coverage, 12048,
     /* 1788356 */     GIR_EraseRootFromParent_Done,
     /* 1788357 */   // Label 24289: @1788357
     /* 1788357 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1788443), // Rule ID 12049 //
     /* 1788362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1788373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1788376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1788379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788408 */     // MIs[0] policy
     /* 1788408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788418 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1788421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788442 */     // GIR_Coverage, 12049,
     /* 1788442 */     GIR_EraseRootFromParent_Done,
     /* 1788443 */   // Label 24290: @1788443
     /* 1788443 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1788529), // Rule ID 12052 //
     /* 1788448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788494 */     // MIs[0] policy
     /* 1788494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788504 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1788507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788528 */     // GIR_Coverage, 12052,
     /* 1788528 */     GIR_EraseRootFromParent_Done,
     /* 1788529 */   // Label 24291: @1788529
     /* 1788529 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1788615), // Rule ID 12053 //
     /* 1788534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788580 */     // MIs[0] policy
     /* 1788580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1788593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788614 */     // GIR_Coverage, 12053,
     /* 1788614 */     GIR_EraseRootFromParent_Done,
     /* 1788615 */   // Label 24292: @1788615
     /* 1788615 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1788701), // Rule ID 12056 //
     /* 1788620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788666 */     // MIs[0] policy
     /* 1788666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1788679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788700 */     // GIR_Coverage, 12056,
     /* 1788700 */     GIR_EraseRootFromParent_Done,
     /* 1788701 */   // Label 24293: @1788701
     /* 1788701 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1788787), // Rule ID 12057 //
     /* 1788706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788752 */     // MIs[0] policy
     /* 1788752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788762 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1788765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788786 */     // GIR_Coverage, 12057,
     /* 1788786 */     GIR_EraseRootFromParent_Done,
     /* 1788787 */   // Label 24294: @1788787
     /* 1788787 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1788873), // Rule ID 12060 //
     /* 1788792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788838 */     // MIs[0] policy
     /* 1788838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1788851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788872 */     // GIR_Coverage, 12060,
     /* 1788872 */     GIR_EraseRootFromParent_Done,
     /* 1788873 */   // Label 24295: @1788873
     /* 1788873 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1788959), // Rule ID 12061 //
     /* 1788878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788924 */     // MIs[0] policy
     /* 1788924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1788937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788958 */     // GIR_Coverage, 12061,
     /* 1788958 */     GIR_EraseRootFromParent_Done,
     /* 1788959 */   // Label 24296: @1788959
     /* 1788959 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1789045), // Rule ID 12064 //
     /* 1788964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1788972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789010 */     // MIs[0] policy
     /* 1789010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1789023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789044 */     // GIR_Coverage, 12064,
     /* 1789044 */     GIR_EraseRootFromParent_Done,
     /* 1789045 */   // Label 24297: @1789045
     /* 1789045 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1789131), // Rule ID 12065 //
     /* 1789050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1789061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1789064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1789067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789096 */     // MIs[0] policy
     /* 1789096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1789109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789130 */     // GIR_Coverage, 12065,
     /* 1789130 */     GIR_EraseRootFromParent_Done,
     /* 1789131 */   // Label 24298: @1789131
     /* 1789131 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1789217), // Rule ID 12068 //
     /* 1789136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1789147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1789150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1789153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789182 */     // MIs[0] policy
     /* 1789182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1789195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789216 */     // GIR_Coverage, 12068,
     /* 1789216 */     GIR_EraseRootFromParent_Done,
     /* 1789217 */   // Label 24299: @1789217
     /* 1789217 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1789303), // Rule ID 12069 //
     /* 1789222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1789233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1789236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1789239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789268 */     // MIs[0] policy
     /* 1789268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1789281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789302 */     // GIR_Coverage, 12069,
     /* 1789302 */     GIR_EraseRootFromParent_Done,
     /* 1789303 */   // Label 24300: @1789303
     /* 1789303 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1789389), // Rule ID 12072 //
     /* 1789308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789354 */     // MIs[0] policy
     /* 1789354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1789367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789388 */     // GIR_Coverage, 12072,
     /* 1789388 */     GIR_EraseRootFromParent_Done,
     /* 1789389 */   // Label 24301: @1789389
     /* 1789389 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1789475), // Rule ID 12073 //
     /* 1789394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789440 */     // MIs[0] policy
     /* 1789440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1789453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789474 */     // GIR_Coverage, 12073,
     /* 1789474 */     GIR_EraseRootFromParent_Done,
     /* 1789475 */   // Label 24302: @1789475
     /* 1789475 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1789561), // Rule ID 12076 //
     /* 1789480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789526 */     // MIs[0] policy
     /* 1789526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1789539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789560 */     // GIR_Coverage, 12076,
     /* 1789560 */     GIR_EraseRootFromParent_Done,
     /* 1789561 */   // Label 24303: @1789561
     /* 1789561 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1789647), // Rule ID 12077 //
     /* 1789566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789612 */     // MIs[0] policy
     /* 1789612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1789625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789646 */     // GIR_Coverage, 12077,
     /* 1789646 */     GIR_EraseRootFromParent_Done,
     /* 1789647 */   // Label 24304: @1789647
     /* 1789647 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1789733), // Rule ID 12080 //
     /* 1789652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789698 */     // MIs[0] policy
     /* 1789698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1789711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789732 */     // GIR_Coverage, 12080,
     /* 1789732 */     GIR_EraseRootFromParent_Done,
     /* 1789733 */   // Label 24305: @1789733
     /* 1789733 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1789819), // Rule ID 12081 //
     /* 1789738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789784 */     // MIs[0] policy
     /* 1789784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789794 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1789797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789818 */     // GIR_Coverage, 12081,
     /* 1789818 */     GIR_EraseRootFromParent_Done,
     /* 1789819 */   // Label 24306: @1789819
     /* 1789819 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1789905), // Rule ID 12084 //
     /* 1789824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1789844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789870 */     // MIs[0] policy
     /* 1789870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789880 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1789883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789904 */     // GIR_Coverage, 12084,
     /* 1789904 */     GIR_EraseRootFromParent_Done,
     /* 1789905 */   // Label 24307: @1789905
     /* 1789905 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1789991), // Rule ID 12085 //
     /* 1789910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1789930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789956 */     // MIs[0] policy
     /* 1789956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789966 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1789969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789990 */     // GIR_Coverage, 12085,
     /* 1789990 */     GIR_EraseRootFromParent_Done,
     /* 1789991 */   // Label 24308: @1789991
     /* 1789991 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1790077), // Rule ID 12088 //
     /* 1789996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1790007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1790010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1790013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1790016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790042 */     // MIs[0] policy
     /* 1790042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1790055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790076 */     // GIR_Coverage, 12088,
     /* 1790076 */     GIR_EraseRootFromParent_Done,
     /* 1790077 */   // Label 24309: @1790077
     /* 1790077 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1790163), // Rule ID 12089 //
     /* 1790082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1790093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1790096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1790099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1790102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790128 */     // MIs[0] policy
     /* 1790128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790138 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1790141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790162 */     // GIR_Coverage, 12089,
     /* 1790162 */     GIR_EraseRootFromParent_Done,
     /* 1790163 */   // Label 24310: @1790163
     /* 1790163 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1790249), // Rule ID 12092 //
     /* 1790168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1790179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1790182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1790185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1790188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790214 */     // MIs[0] policy
     /* 1790214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1790227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790248 */     // GIR_Coverage, 12092,
     /* 1790248 */     GIR_EraseRootFromParent_Done,
     /* 1790249 */   // Label 24311: @1790249
     /* 1790249 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1790335), // Rule ID 12093 //
     /* 1790254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1790265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1790268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1790271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1790274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790300 */     // MIs[0] policy
     /* 1790300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790310 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1790313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790334 */     // GIR_Coverage, 12093,
     /* 1790334 */     GIR_EraseRootFromParent_Done,
     /* 1790335 */   // Label 24312: @1790335
     /* 1790335 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1790421), // Rule ID 12096 //
     /* 1790340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1790360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790386 */     // MIs[0] policy
     /* 1790386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1790399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790420 */     // GIR_Coverage, 12096,
     /* 1790420 */     GIR_EraseRootFromParent_Done,
     /* 1790421 */   // Label 24313: @1790421
     /* 1790421 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1790507), // Rule ID 12097 //
     /* 1790426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1790446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790472 */     // MIs[0] policy
     /* 1790472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1790485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790506 */     // GIR_Coverage, 12097,
     /* 1790506 */     GIR_EraseRootFromParent_Done,
     /* 1790507 */   // Label 24314: @1790507
     /* 1790507 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1790593), // Rule ID 12100 //
     /* 1790512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1790532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790558 */     // MIs[0] policy
     /* 1790558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1790571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790592 */     // GIR_Coverage, 12100,
     /* 1790592 */     GIR_EraseRootFromParent_Done,
     /* 1790593 */   // Label 24315: @1790593
     /* 1790593 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1790679), // Rule ID 12101 //
     /* 1790598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1790618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790644 */     // MIs[0] policy
     /* 1790644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1790657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790678 */     // GIR_Coverage, 12101,
     /* 1790678 */     GIR_EraseRootFromParent_Done,
     /* 1790679 */   // Label 24316: @1790679
     /* 1790679 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1790765), // Rule ID 12104 //
     /* 1790684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1790704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790730 */     // MIs[0] policy
     /* 1790730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1790743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790764 */     // GIR_Coverage, 12104,
     /* 1790764 */     GIR_EraseRootFromParent_Done,
     /* 1790765 */   // Label 24317: @1790765
     /* 1790765 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1790851), // Rule ID 12105 //
     /* 1790770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1790790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790816 */     // MIs[0] policy
     /* 1790816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1790829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790850 */     // GIR_Coverage, 12105,
     /* 1790850 */     GIR_EraseRootFromParent_Done,
     /* 1790851 */   // Label 24318: @1790851
     /* 1790851 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1790937), // Rule ID 12108 //
     /* 1790856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1790876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790902 */     // MIs[0] policy
     /* 1790902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1790915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790936 */     // GIR_Coverage, 12108,
     /* 1790936 */     GIR_EraseRootFromParent_Done,
     /* 1790937 */   // Label 24319: @1790937
     /* 1790937 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1791023), // Rule ID 12109 //
     /* 1790942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1790962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790988 */     // MIs[0] policy
     /* 1790988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1791001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791022 */     // GIR_Coverage, 12109,
     /* 1791022 */     GIR_EraseRootFromParent_Done,
     /* 1791023 */   // Label 24320: @1791023
     /* 1791023 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1791109), // Rule ID 12112 //
     /* 1791028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1791039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1791042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1791045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1791048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791074 */     // MIs[0] policy
     /* 1791074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1791087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791108 */     // GIR_Coverage, 12112,
     /* 1791108 */     GIR_EraseRootFromParent_Done,
     /* 1791109 */   // Label 24321: @1791109
     /* 1791109 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1791195), // Rule ID 12113 //
     /* 1791114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1791125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1791128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1791131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1791134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791160 */     // MIs[0] policy
     /* 1791160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1791173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791194 */     // GIR_Coverage, 12113,
     /* 1791194 */     GIR_EraseRootFromParent_Done,
     /* 1791195 */   // Label 24322: @1791195
     /* 1791195 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1791281), // Rule ID 12116 //
     /* 1791200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1791211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1791214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1791217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1791220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791246 */     // MIs[0] policy
     /* 1791246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1791259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791280 */     // GIR_Coverage, 12116,
     /* 1791280 */     GIR_EraseRootFromParent_Done,
     /* 1791281 */   // Label 24323: @1791281
     /* 1791281 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1791367), // Rule ID 12117 //
     /* 1791286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1791297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1791300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1791303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1791306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791332 */     // MIs[0] policy
     /* 1791332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1791345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791366 */     // GIR_Coverage, 12117,
     /* 1791366 */     GIR_EraseRootFromParent_Done,
     /* 1791367 */   // Label 24324: @1791367
     /* 1791367 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1791453), // Rule ID 12120 //
     /* 1791372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1791389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1791392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791418 */     // MIs[0] policy
     /* 1791418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1791431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791452 */     // GIR_Coverage, 12120,
     /* 1791452 */     GIR_EraseRootFromParent_Done,
     /* 1791453 */   // Label 24325: @1791453
     /* 1791453 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1791539), // Rule ID 12121 //
     /* 1791458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1791475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1791478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791504 */     // MIs[0] policy
     /* 1791504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1791517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791538 */     // GIR_Coverage, 12121,
     /* 1791538 */     GIR_EraseRootFromParent_Done,
     /* 1791539 */   // Label 24326: @1791539
     /* 1791539 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1791625), // Rule ID 12124 //
     /* 1791544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1791555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1791558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1791561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1791564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791590 */     // MIs[0] policy
     /* 1791590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1791603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791624 */     // GIR_Coverage, 12124,
     /* 1791624 */     GIR_EraseRootFromParent_Done,
     /* 1791625 */   // Label 24327: @1791625
     /* 1791625 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1791711), // Rule ID 12125 //
     /* 1791630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1791641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1791644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1791647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1791650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791676 */     // MIs[0] policy
     /* 1791676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791686 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1791689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791710 */     // GIR_Coverage, 12125,
     /* 1791710 */     GIR_EraseRootFromParent_Done,
     /* 1791711 */   // Label 24328: @1791711
     /* 1791711 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1791797), // Rule ID 12128 //
     /* 1791716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1791736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791762 */     // MIs[0] policy
     /* 1791762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1791775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791796 */     // GIR_Coverage, 12128,
     /* 1791796 */     GIR_EraseRootFromParent_Done,
     /* 1791797 */   // Label 24329: @1791797
     /* 1791797 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1791883), // Rule ID 12129 //
     /* 1791802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1791822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791848 */     // MIs[0] policy
     /* 1791848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1791861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791882 */     // GIR_Coverage, 12129,
     /* 1791882 */     GIR_EraseRootFromParent_Done,
     /* 1791883 */   // Label 24330: @1791883
     /* 1791883 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1791969), // Rule ID 12132 //
     /* 1791888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1791908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791934 */     // MIs[0] policy
     /* 1791934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791944 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1791947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791968 */     // GIR_Coverage, 12132,
     /* 1791968 */     GIR_EraseRootFromParent_Done,
     /* 1791969 */   // Label 24331: @1791969
     /* 1791969 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1792055), // Rule ID 12133 //
     /* 1791974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1791994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792020 */     // MIs[0] policy
     /* 1792020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792030 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1792033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792054 */     // GIR_Coverage, 12133,
     /* 1792054 */     GIR_EraseRootFromParent_Done,
     /* 1792055 */   // Label 24332: @1792055
     /* 1792055 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1792141), // Rule ID 12136 //
     /* 1792060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1792071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1792074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1792077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1792080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792106 */     // MIs[0] policy
     /* 1792106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1792119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792140 */     // GIR_Coverage, 12136,
     /* 1792140 */     GIR_EraseRootFromParent_Done,
     /* 1792141 */   // Label 24333: @1792141
     /* 1792141 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1792227), // Rule ID 12137 //
     /* 1792146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1792157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1792160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1792163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1792166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792192 */     // MIs[0] policy
     /* 1792192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1792205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792226 */     // GIR_Coverage, 12137,
     /* 1792226 */     GIR_EraseRootFromParent_Done,
     /* 1792227 */   // Label 24334: @1792227
     /* 1792227 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1792313), // Rule ID 12140 //
     /* 1792232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1792243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1792246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1792249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1792252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792278 */     // MIs[0] policy
     /* 1792278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1792291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792312 */     // GIR_Coverage, 12140,
     /* 1792312 */     GIR_EraseRootFromParent_Done,
     /* 1792313 */   // Label 24335: @1792313
     /* 1792313 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1792399), // Rule ID 12141 //
     /* 1792318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1792329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1792332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1792335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1792338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792364 */     // MIs[0] policy
     /* 1792364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1792377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792398 */     // GIR_Coverage, 12141,
     /* 1792398 */     GIR_EraseRootFromParent_Done,
     /* 1792399 */   // Label 24336: @1792399
     /* 1792399 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1792485), // Rule ID 12144 //
     /* 1792404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1792421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1792424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792450 */     // MIs[0] policy
     /* 1792450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792460 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1792463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792484 */     // GIR_Coverage, 12144,
     /* 1792484 */     GIR_EraseRootFromParent_Done,
     /* 1792485 */   // Label 24337: @1792485
     /* 1792485 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1792571), // Rule ID 12145 //
     /* 1792490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1792507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1792510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792536 */     // MIs[0] policy
     /* 1792536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1792549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792570 */     // GIR_Coverage, 12145,
     /* 1792570 */     GIR_EraseRootFromParent_Done,
     /* 1792571 */   // Label 24338: @1792571
     /* 1792571 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1792657), // Rule ID 12148 //
     /* 1792576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1792587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1792590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1792593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1792596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792622 */     // MIs[0] policy
     /* 1792622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1792635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792656 */     // GIR_Coverage, 12148,
     /* 1792656 */     GIR_EraseRootFromParent_Done,
     /* 1792657 */   // Label 24339: @1792657
     /* 1792657 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1792743), // Rule ID 12149 //
     /* 1792662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1792673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1792676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1792679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1792682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792708 */     // MIs[0] policy
     /* 1792708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1792721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792742 */     // GIR_Coverage, 12149,
     /* 1792742 */     GIR_EraseRootFromParent_Done,
     /* 1792743 */   // Label 24340: @1792743
     /* 1792743 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1792829), // Rule ID 12152 //
     /* 1792748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1792768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792794 */     // MIs[0] policy
     /* 1792794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1792807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792828 */     // GIR_Coverage, 12152,
     /* 1792828 */     GIR_EraseRootFromParent_Done,
     /* 1792829 */   // Label 24341: @1792829
     /* 1792829 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1792915), // Rule ID 12153 //
     /* 1792834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1792854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792880 */     // MIs[0] policy
     /* 1792880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1792893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792914 */     // GIR_Coverage, 12153,
     /* 1792914 */     GIR_EraseRootFromParent_Done,
     /* 1792915 */   // Label 24342: @1792915
     /* 1792915 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1793001), // Rule ID 12156 //
     /* 1792920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1792928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1792940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792966 */     // MIs[0] policy
     /* 1792966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1792979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793000 */     // GIR_Coverage, 12156,
     /* 1793000 */     GIR_EraseRootFromParent_Done,
     /* 1793001 */   // Label 24343: @1793001
     /* 1793001 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1793087), // Rule ID 12157 //
     /* 1793006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1793017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1793020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1793023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1793026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793052 */     // MIs[0] policy
     /* 1793052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1793065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793086 */     // GIR_Coverage, 12157,
     /* 1793086 */     GIR_EraseRootFromParent_Done,
     /* 1793087 */   // Label 24344: @1793087
     /* 1793087 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1793173), // Rule ID 12160 //
     /* 1793092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1793095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1793103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1793106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1793109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1793112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793138 */     // MIs[0] policy
     /* 1793138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1793151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793172 */     // GIR_Coverage, 12160,
     /* 1793172 */     GIR_EraseRootFromParent_Done,
     /* 1793173 */   // Label 24345: @1793173
     /* 1793173 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1793259), // Rule ID 12161 //
     /* 1793178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1793181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1793189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1793192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1793195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1793198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793224 */     // MIs[0] policy
     /* 1793224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793234 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1793237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793258 */     // GIR_Coverage, 12161,
     /* 1793258 */     GIR_EraseRootFromParent_Done,
     /* 1793259 */   // Label 24346: @1793259
     /* 1793259 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1793345), // Rule ID 12164 //
     /* 1793264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1793267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1793275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1793278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1793281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1793284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793310 */     // MIs[0] policy
     /* 1793310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793320 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1793323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793344 */     // GIR_Coverage, 12164,
     /* 1793344 */     GIR_EraseRootFromParent_Done,
     /* 1793345 */   // Label 24347: @1793345
     /* 1793345 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1793431), // Rule ID 12165 //
     /* 1793350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1793353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1793361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1793364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1793367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1793370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793396 */     // MIs[0] policy
     /* 1793396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1793409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793430 */     // GIR_Coverage, 12165,
     /* 1793430 */     GIR_EraseRootFromParent_Done,
     /* 1793431 */   // Label 24348: @1793431
     /* 1793431 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1793517), // Rule ID 12168 //
     /* 1793436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1793439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1793447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1793450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1793453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1793456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793482 */     // MIs[0] policy
     /* 1793482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1793495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793516 */     // GIR_Coverage, 12168,
     /* 1793516 */     GIR_EraseRootFromParent_Done,
     /* 1793517 */   // Label 24349: @1793517
     /* 1793517 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1793603), // Rule ID 12169 //
     /* 1793522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1793525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1793533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1793536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1793539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1793542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793568 */     // MIs[0] policy
     /* 1793568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1793581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793602 */     // GIR_Coverage, 12169,
     /* 1793602 */     GIR_EraseRootFromParent_Done,
     /* 1793603 */   // Label 24350: @1793603
     /* 1793603 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1793689), // Rule ID 12172 //
     /* 1793608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1793619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1793622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1793625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793654 */     // MIs[0] policy
     /* 1793654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1793667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793688 */     // GIR_Coverage, 12172,
     /* 1793688 */     GIR_EraseRootFromParent_Done,
     /* 1793689 */   // Label 24351: @1793689
     /* 1793689 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1793775), // Rule ID 12173 //
     /* 1793694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1793705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1793708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1793711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793740 */     // MIs[0] policy
     /* 1793740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1793753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793774 */     // GIR_Coverage, 12173,
     /* 1793774 */     GIR_EraseRootFromParent_Done,
     /* 1793775 */   // Label 24352: @1793775
     /* 1793775 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1793861), // Rule ID 12176 //
     /* 1793780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1793791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1793794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793826 */     // MIs[0] policy
     /* 1793826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793836 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1793839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793860 */     // GIR_Coverage, 12176,
     /* 1793860 */     GIR_EraseRootFromParent_Done,
     /* 1793861 */   // Label 24353: @1793861
     /* 1793861 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1793947), // Rule ID 12177 //
     /* 1793866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1793877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1793880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793912 */     // MIs[0] policy
     /* 1793912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1793925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793946 */     // GIR_Coverage, 12177,
     /* 1793946 */     GIR_EraseRootFromParent_Done,
     /* 1793947 */   // Label 24354: @1793947
     /* 1793947 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1794033), // Rule ID 12180 //
     /* 1793952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1793960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1793963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1793966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793998 */     // MIs[0] policy
     /* 1793998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1794011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794032 */     // GIR_Coverage, 12180,
     /* 1794032 */     GIR_EraseRootFromParent_Done,
     /* 1794033 */   // Label 24355: @1794033
     /* 1794033 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1794119), // Rule ID 12181 //
     /* 1794038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1794049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1794052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1794055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794084 */     // MIs[0] policy
     /* 1794084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794094 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1794097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794118 */     // GIR_Coverage, 12181,
     /* 1794118 */     GIR_EraseRootFromParent_Done,
     /* 1794119 */   // Label 24356: @1794119
     /* 1794119 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1794205), // Rule ID 12184 //
     /* 1794124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1794135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1794138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1794141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794170 */     // MIs[0] policy
     /* 1794170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1794183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794204 */     // GIR_Coverage, 12184,
     /* 1794204 */     GIR_EraseRootFromParent_Done,
     /* 1794205 */   // Label 24357: @1794205
     /* 1794205 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1794291), // Rule ID 12185 //
     /* 1794210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1794221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1794224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1794227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794256 */     // MIs[0] policy
     /* 1794256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1794269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794290 */     // GIR_Coverage, 12185,
     /* 1794290 */     GIR_EraseRootFromParent_Done,
     /* 1794291 */   // Label 24358: @1794291
     /* 1794291 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1794377), // Rule ID 12188 //
     /* 1794296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1794307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1794310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794342 */     // MIs[0] policy
     /* 1794342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794352 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1794355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794376 */     // GIR_Coverage, 12188,
     /* 1794376 */     GIR_EraseRootFromParent_Done,
     /* 1794377 */   // Label 24359: @1794377
     /* 1794377 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1794463), // Rule ID 12189 //
     /* 1794382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1794393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1794396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1794399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794428 */     // MIs[0] policy
     /* 1794428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1794441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794462 */     // GIR_Coverage, 12189,
     /* 1794462 */     GIR_EraseRootFromParent_Done,
     /* 1794463 */   // Label 24360: @1794463
     /* 1794463 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1794549), // Rule ID 12192 //
     /* 1794468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1794479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1794482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1794485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794514 */     // MIs[0] policy
     /* 1794514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1794527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794548 */     // GIR_Coverage, 12192,
     /* 1794548 */     GIR_EraseRootFromParent_Done,
     /* 1794549 */   // Label 24361: @1794549
     /* 1794549 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1794635), // Rule ID 12193 //
     /* 1794554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1794565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1794568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1794571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794600 */     // MIs[0] policy
     /* 1794600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1794613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794634 */     // GIR_Coverage, 12193,
     /* 1794634 */     GIR_EraseRootFromParent_Done,
     /* 1794635 */   // Label 24362: @1794635
     /* 1794635 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1794721), // Rule ID 12196 //
     /* 1794640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1794651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1794654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1794657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794686 */     // MIs[0] policy
     /* 1794686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1794699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794720 */     // GIR_Coverage, 12196,
     /* 1794720 */     GIR_EraseRootFromParent_Done,
     /* 1794721 */   // Label 24363: @1794721
     /* 1794721 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1794807), // Rule ID 12197 //
     /* 1794726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1794737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1794740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1794743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794772 */     // MIs[0] policy
     /* 1794772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1794785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794806 */     // GIR_Coverage, 12197,
     /* 1794806 */     GIR_EraseRootFromParent_Done,
     /* 1794807 */   // Label 24364: @1794807
     /* 1794807 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1794893), // Rule ID 12200 //
     /* 1794812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1794823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1794826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794858 */     // MIs[0] policy
     /* 1794858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1794871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794892 */     // GIR_Coverage, 12200,
     /* 1794892 */     GIR_EraseRootFromParent_Done,
     /* 1794893 */   // Label 24365: @1794893
     /* 1794893 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1794979), // Rule ID 12201 //
     /* 1794898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1794909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1794912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794944 */     // MIs[0] policy
     /* 1794944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1794957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794978 */     // GIR_Coverage, 12201,
     /* 1794978 */     GIR_EraseRootFromParent_Done,
     /* 1794979 */   // Label 24366: @1794979
     /* 1794979 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1795065), // Rule ID 12204 //
     /* 1794984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1794992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795030 */     // MIs[0] policy
     /* 1795030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1795043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795064 */     // GIR_Coverage, 12204,
     /* 1795064 */     GIR_EraseRootFromParent_Done,
     /* 1795065 */   // Label 24367: @1795065
     /* 1795065 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1795151), // Rule ID 12205 //
     /* 1795070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1795081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1795084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795116 */     // MIs[0] policy
     /* 1795116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1795129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795150 */     // GIR_Coverage, 12205,
     /* 1795150 */     GIR_EraseRootFromParent_Done,
     /* 1795151 */   // Label 24368: @1795151
     /* 1795151 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1795237), // Rule ID 12208 //
     /* 1795156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1795159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1795167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1795170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1795173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795202 */     // MIs[0] policy
     /* 1795202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1795215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795236 */     // GIR_Coverage, 12208,
     /* 1795236 */     GIR_EraseRootFromParent_Done,
     /* 1795237 */   // Label 24369: @1795237
     /* 1795237 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1795323), // Rule ID 12209 //
     /* 1795242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1795245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1795253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1795256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1795259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795288 */     // MIs[0] policy
     /* 1795288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1795301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795322 */     // GIR_Coverage, 12209,
     /* 1795322 */     GIR_EraseRootFromParent_Done,
     /* 1795323 */   // Label 24370: @1795323
     /* 1795323 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1795409), // Rule ID 12212 //
     /* 1795328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1795339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1795342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1795345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795374 */     // MIs[0] policy
     /* 1795374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795384 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1795387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795408 */     // GIR_Coverage, 12212,
     /* 1795408 */     GIR_EraseRootFromParent_Done,
     /* 1795409 */   // Label 24371: @1795409
     /* 1795409 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1795495), // Rule ID 12213 //
     /* 1795414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1795425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1795428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1795431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795460 */     // MIs[0] policy
     /* 1795460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1795473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795494 */     // GIR_Coverage, 12213,
     /* 1795494 */     GIR_EraseRootFromParent_Done,
     /* 1795495 */   // Label 24372: @1795495
     /* 1795495 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1795581), // Rule ID 12216 //
     /* 1795500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1795511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1795514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1795517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795546 */     // MIs[0] policy
     /* 1795546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795556 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1795559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795580 */     // GIR_Coverage, 12216,
     /* 1795580 */     GIR_EraseRootFromParent_Done,
     /* 1795581 */   // Label 24373: @1795581
     /* 1795581 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1795667), // Rule ID 12217 //
     /* 1795586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1795597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1795600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1795603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795632 */     // MIs[0] policy
     /* 1795632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1795645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795666 */     // GIR_Coverage, 12217,
     /* 1795666 */     GIR_EraseRootFromParent_Done,
     /* 1795667 */   // Label 24374: @1795667
     /* 1795667 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1795753), // Rule ID 12220 //
     /* 1795672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1795683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1795686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1795689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1795695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795718 */     // MIs[0] policy
     /* 1795718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1795731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795752 */     // GIR_Coverage, 12220,
     /* 1795752 */     GIR_EraseRootFromParent_Done,
     /* 1795753 */   // Label 24375: @1795753
     /* 1795753 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1795839), // Rule ID 12221 //
     /* 1795758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1795769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1795772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1795775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1795781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795804 */     // MIs[0] policy
     /* 1795804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795814 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1795817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795838 */     // GIR_Coverage, 12221,
     /* 1795838 */     GIR_EraseRootFromParent_Done,
     /* 1795839 */   // Label 24376: @1795839
     /* 1795839 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1795925), // Rule ID 12224 //
     /* 1795844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1795861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795890 */     // MIs[0] policy
     /* 1795890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795900 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1795903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795924 */     // GIR_Coverage, 12224,
     /* 1795924 */     GIR_EraseRootFromParent_Done,
     /* 1795925 */   // Label 24377: @1795925
     /* 1795925 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1796011), // Rule ID 12225 //
     /* 1795930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1795938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1795947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795976 */     // MIs[0] policy
     /* 1795976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1795989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796010 */     // GIR_Coverage, 12225,
     /* 1796010 */     GIR_EraseRootFromParent_Done,
     /* 1796011 */   // Label 24378: @1796011
     /* 1796011 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1796097), // Rule ID 12228 //
     /* 1796016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1796033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796062 */     // MIs[0] policy
     /* 1796062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1796075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796096 */     // GIR_Coverage, 12228,
     /* 1796096 */     GIR_EraseRootFromParent_Done,
     /* 1796097 */   // Label 24379: @1796097
     /* 1796097 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1796183), // Rule ID 12229 //
     /* 1796102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1796119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796148 */     // MIs[0] policy
     /* 1796148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796158 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1796161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796182 */     // GIR_Coverage, 12229,
     /* 1796182 */     GIR_EraseRootFromParent_Done,
     /* 1796183 */   // Label 24380: @1796183
     /* 1796183 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1796269), // Rule ID 12232 //
     /* 1796188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1796205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796234 */     // MIs[0] policy
     /* 1796234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1796247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796268 */     // GIR_Coverage, 12232,
     /* 1796268 */     GIR_EraseRootFromParent_Done,
     /* 1796269 */   // Label 24381: @1796269
     /* 1796269 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1796355), // Rule ID 12233 //
     /* 1796274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1796291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796320 */     // MIs[0] policy
     /* 1796320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796330 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1796333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796354 */     // GIR_Coverage, 12233,
     /* 1796354 */     GIR_EraseRootFromParent_Done,
     /* 1796355 */   // Label 24382: @1796355
     /* 1796355 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1796441), // Rule ID 12236 //
     /* 1796360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796406 */     // MIs[0] policy
     /* 1796406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1796419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796440 */     // GIR_Coverage, 12236,
     /* 1796440 */     GIR_EraseRootFromParent_Done,
     /* 1796441 */   // Label 24383: @1796441
     /* 1796441 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1796527), // Rule ID 12237 //
     /* 1796446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796492 */     // MIs[0] policy
     /* 1796492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1796505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796526 */     // GIR_Coverage, 12237,
     /* 1796526 */     GIR_EraseRootFromParent_Done,
     /* 1796527 */   // Label 24384: @1796527
     /* 1796527 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1796613), // Rule ID 12240 //
     /* 1796532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1796543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1796546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1796549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796578 */     // MIs[0] policy
     /* 1796578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1796591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796612 */     // GIR_Coverage, 12240,
     /* 1796612 */     GIR_EraseRootFromParent_Done,
     /* 1796613 */   // Label 24385: @1796613
     /* 1796613 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1796699), // Rule ID 12241 //
     /* 1796618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1796629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1796632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1796635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796664 */     // MIs[0] policy
     /* 1796664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1796677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796698 */     // GIR_Coverage, 12241,
     /* 1796698 */     GIR_EraseRootFromParent_Done,
     /* 1796699 */   // Label 24386: @1796699
     /* 1796699 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1796785), // Rule ID 12244 //
     /* 1796704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1796715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1796718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1796721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796750 */     // MIs[0] policy
     /* 1796750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1796763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796784 */     // GIR_Coverage, 12244,
     /* 1796784 */     GIR_EraseRootFromParent_Done,
     /* 1796785 */   // Label 24387: @1796785
     /* 1796785 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1796871), // Rule ID 12245 //
     /* 1796790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1796801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1796804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1796807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796836 */     // MIs[0] policy
     /* 1796836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1796849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796870 */     // GIR_Coverage, 12245,
     /* 1796870 */     GIR_EraseRootFromParent_Done,
     /* 1796871 */   // Label 24388: @1796871
     /* 1796871 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1796957), // Rule ID 12248 //
     /* 1796876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1796879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1796893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796922 */     // MIs[0] policy
     /* 1796922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1796935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796956 */     // GIR_Coverage, 12248,
     /* 1796956 */     GIR_EraseRootFromParent_Done,
     /* 1796957 */   // Label 24389: @1796957
     /* 1796957 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1797043), // Rule ID 12249 //
     /* 1796962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1796965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1796979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797008 */     // MIs[0] policy
     /* 1797008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1797021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797042 */     // GIR_Coverage, 12249,
     /* 1797042 */     GIR_EraseRootFromParent_Done,
     /* 1797043 */   // Label 24390: @1797043
     /* 1797043 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1797129), // Rule ID 12252 //
     /* 1797048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1797051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1797065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797094 */     // MIs[0] policy
     /* 1797094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797104 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1797107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797128 */     // GIR_Coverage, 12252,
     /* 1797128 */     GIR_EraseRootFromParent_Done,
     /* 1797129 */   // Label 24391: @1797129
     /* 1797129 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1797215), // Rule ID 12253 //
     /* 1797134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1797137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1797151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797180 */     // MIs[0] policy
     /* 1797180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1797193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797214 */     // GIR_Coverage, 12253,
     /* 1797214 */     GIR_EraseRootFromParent_Done,
     /* 1797215 */   // Label 24392: @1797215
     /* 1797215 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1797301), // Rule ID 12256 //
     /* 1797220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1797223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1797237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797266 */     // MIs[0] policy
     /* 1797266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1797279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797300 */     // GIR_Coverage, 12256,
     /* 1797300 */     GIR_EraseRootFromParent_Done,
     /* 1797301 */   // Label 24393: @1797301
     /* 1797301 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1797387), // Rule ID 12257 //
     /* 1797306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1797309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1797323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797352 */     // MIs[0] policy
     /* 1797352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797362 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1797365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797386 */     // GIR_Coverage, 12257,
     /* 1797386 */     GIR_EraseRootFromParent_Done,
     /* 1797387 */   // Label 24394: @1797387
     /* 1797387 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1797473), // Rule ID 12260 //
     /* 1797392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1797409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1797412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797438 */     // MIs[0] policy
     /* 1797438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1797451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797472 */     // GIR_Coverage, 12260,
     /* 1797472 */     GIR_EraseRootFromParent_Done,
     /* 1797473 */   // Label 24395: @1797473
     /* 1797473 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1797559), // Rule ID 12261 //
     /* 1797478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1797495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1797498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797524 */     // MIs[0] policy
     /* 1797524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797534 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1797537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797558 */     // GIR_Coverage, 12261,
     /* 1797558 */     GIR_EraseRootFromParent_Done,
     /* 1797559 */   // Label 24396: @1797559
     /* 1797559 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1797645), // Rule ID 12264 //
     /* 1797564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1797575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1797578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1797581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1797584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797610 */     // MIs[0] policy
     /* 1797610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797620 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1797623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797644 */     // GIR_Coverage, 12264,
     /* 1797644 */     GIR_EraseRootFromParent_Done,
     /* 1797645 */   // Label 24397: @1797645
     /* 1797645 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1797731), // Rule ID 12265 //
     /* 1797650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1797661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1797664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1797667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1797670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797696 */     // MIs[0] policy
     /* 1797696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1797709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797730 */     // GIR_Coverage, 12265,
     /* 1797730 */     GIR_EraseRootFromParent_Done,
     /* 1797731 */   // Label 24398: @1797731
     /* 1797731 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1797817), // Rule ID 12268 //
     /* 1797736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1797753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1797756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797782 */     // MIs[0] policy
     /* 1797782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1797795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797816 */     // GIR_Coverage, 12268,
     /* 1797816 */     GIR_EraseRootFromParent_Done,
     /* 1797817 */   // Label 24399: @1797817
     /* 1797817 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1797903), // Rule ID 12269 //
     /* 1797822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1797839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1797842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797868 */     // MIs[0] policy
     /* 1797868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1797881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797902 */     // GIR_Coverage, 12269,
     /* 1797902 */     GIR_EraseRootFromParent_Done,
     /* 1797903 */   // Label 24400: @1797903
     /* 1797903 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1797989), // Rule ID 12272 //
     /* 1797908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1797916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1797928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797954 */     // MIs[0] policy
     /* 1797954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1797967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797988 */     // GIR_Coverage, 12272,
     /* 1797988 */     GIR_EraseRootFromParent_Done,
     /* 1797989 */   // Label 24401: @1797989
     /* 1797989 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1798075), // Rule ID 12273 //
     /* 1797994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1798011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1798014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798040 */     // MIs[0] policy
     /* 1798040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1798053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798074 */     // GIR_Coverage, 12273,
     /* 1798074 */     GIR_EraseRootFromParent_Done,
     /* 1798075 */   // Label 24402: @1798075
     /* 1798075 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1798161), // Rule ID 12276 //
     /* 1798080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798126 */     // MIs[0] policy
     /* 1798126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1798139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798160 */     // GIR_Coverage, 12276,
     /* 1798160 */     GIR_EraseRootFromParent_Done,
     /* 1798161 */   // Label 24403: @1798161
     /* 1798161 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1798247), // Rule ID 12277 //
     /* 1798166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798212 */     // MIs[0] policy
     /* 1798212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1798225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798246 */     // GIR_Coverage, 12277,
     /* 1798246 */     GIR_EraseRootFromParent_Done,
     /* 1798247 */   // Label 24404: @1798247
     /* 1798247 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1798333), // Rule ID 12280 //
     /* 1798252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798298 */     // MIs[0] policy
     /* 1798298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1798311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798332 */     // GIR_Coverage, 12280,
     /* 1798332 */     GIR_EraseRootFromParent_Done,
     /* 1798333 */   // Label 24405: @1798333
     /* 1798333 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1798419), // Rule ID 12281 //
     /* 1798338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798384 */     // MIs[0] policy
     /* 1798384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1798397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798418 */     // GIR_Coverage, 12281,
     /* 1798418 */     GIR_EraseRootFromParent_Done,
     /* 1798419 */   // Label 24406: @1798419
     /* 1798419 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1798505), // Rule ID 12284 //
     /* 1798424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1798435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1798438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1798441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1798444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798470 */     // MIs[0] policy
     /* 1798470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1798483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798504 */     // GIR_Coverage, 12284,
     /* 1798504 */     GIR_EraseRootFromParent_Done,
     /* 1798505 */   // Label 24407: @1798505
     /* 1798505 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1798591), // Rule ID 12285 //
     /* 1798510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1798521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1798524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1798527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1798530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798556 */     // MIs[0] policy
     /* 1798556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1798569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798590 */     // GIR_Coverage, 12285,
     /* 1798590 */     GIR_EraseRootFromParent_Done,
     /* 1798591 */   // Label 24408: @1798591
     /* 1798591 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1798677), // Rule ID 12288 //
     /* 1798596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1798613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1798616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798642 */     // MIs[0] policy
     /* 1798642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1798655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798676 */     // GIR_Coverage, 12288,
     /* 1798676 */     GIR_EraseRootFromParent_Done,
     /* 1798677 */   // Label 24409: @1798677
     /* 1798677 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1798763), // Rule ID 12289 //
     /* 1798682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1798699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1798702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798728 */     // MIs[0] policy
     /* 1798728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1798741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798762 */     // GIR_Coverage, 12289,
     /* 1798762 */     GIR_EraseRootFromParent_Done,
     /* 1798763 */   // Label 24410: @1798763
     /* 1798763 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1798849), // Rule ID 12292 //
     /* 1798768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1798788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798814 */     // MIs[0] policy
     /* 1798814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1798827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798848 */     // GIR_Coverage, 12292,
     /* 1798848 */     GIR_EraseRootFromParent_Done,
     /* 1798849 */   // Label 24411: @1798849
     /* 1798849 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1798935), // Rule ID 12293 //
     /* 1798854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1798874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798900 */     // MIs[0] policy
     /* 1798900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1798913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798934 */     // GIR_Coverage, 12293,
     /* 1798934 */     GIR_EraseRootFromParent_Done,
     /* 1798935 */   // Label 24412: @1798935
     /* 1798935 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1799021), // Rule ID 12296 //
     /* 1798940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1798948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1798960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798986 */     // MIs[0] policy
     /* 1798986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1798999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799020 */     // GIR_Coverage, 12296,
     /* 1799020 */     GIR_EraseRootFromParent_Done,
     /* 1799021 */   // Label 24413: @1799021
     /* 1799021 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1799107), // Rule ID 12297 //
     /* 1799026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1799043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1799046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799072 */     // MIs[0] policy
     /* 1799072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1799085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799106 */     // GIR_Coverage, 12297,
     /* 1799106 */     GIR_EraseRootFromParent_Done,
     /* 1799107 */   // Label 24414: @1799107
     /* 1799107 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1799193), // Rule ID 12300 //
     /* 1799112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799158 */     // MIs[0] policy
     /* 1799158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1799171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799192 */     // GIR_Coverage, 12300,
     /* 1799192 */     GIR_EraseRootFromParent_Done,
     /* 1799193 */   // Label 24415: @1799193
     /* 1799193 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1799279), // Rule ID 12301 //
     /* 1799198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799244 */     // MIs[0] policy
     /* 1799244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1799257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799278 */     // GIR_Coverage, 12301,
     /* 1799278 */     GIR_EraseRootFromParent_Done,
     /* 1799279 */   // Label 24416: @1799279
     /* 1799279 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1799365), // Rule ID 12304 //
     /* 1799284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1799298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1799301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1799304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799330 */     // MIs[0] policy
     /* 1799330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1799343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799364 */     // GIR_Coverage, 12304,
     /* 1799364 */     GIR_EraseRootFromParent_Done,
     /* 1799365 */   // Label 24417: @1799365
     /* 1799365 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1799451), // Rule ID 12305 //
     /* 1799370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1799384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1799387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1799390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799416 */     // MIs[0] policy
     /* 1799416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1799429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799450 */     // GIR_Coverage, 12305,
     /* 1799450 */     GIR_EraseRootFromParent_Done,
     /* 1799451 */   // Label 24418: @1799451
     /* 1799451 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1799537), // Rule ID 12308 //
     /* 1799456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1799473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1799476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799502 */     // MIs[0] policy
     /* 1799502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1799515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799536 */     // GIR_Coverage, 12308,
     /* 1799536 */     GIR_EraseRootFromParent_Done,
     /* 1799537 */   // Label 24419: @1799537
     /* 1799537 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1799623), // Rule ID 12309 //
     /* 1799542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1799559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1799562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799588 */     // MIs[0] policy
     /* 1799588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1799601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799622 */     // GIR_Coverage, 12309,
     /* 1799622 */     GIR_EraseRootFromParent_Done,
     /* 1799623 */   // Label 24420: @1799623
     /* 1799623 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1799709), // Rule ID 12312 //
     /* 1799628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799674 */     // MIs[0] policy
     /* 1799674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1799687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799708 */     // GIR_Coverage, 12312,
     /* 1799708 */     GIR_EraseRootFromParent_Done,
     /* 1799709 */   // Label 24421: @1799709
     /* 1799709 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1799795), // Rule ID 12313 //
     /* 1799714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799760 */     // MIs[0] policy
     /* 1799760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1799773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799794 */     // GIR_Coverage, 12313,
     /* 1799794 */     GIR_EraseRootFromParent_Done,
     /* 1799795 */   // Label 24422: @1799795
     /* 1799795 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1799881), // Rule ID 12316 //
     /* 1799800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799846 */     // MIs[0] policy
     /* 1799846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1799859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799880 */     // GIR_Coverage, 12316,
     /* 1799880 */     GIR_EraseRootFromParent_Done,
     /* 1799881 */   // Label 24423: @1799881
     /* 1799881 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1799967), // Rule ID 12317 //
     /* 1799886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799932 */     // MIs[0] policy
     /* 1799932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1799945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799966 */     // GIR_Coverage, 12317,
     /* 1799966 */     GIR_EraseRootFromParent_Done,
     /* 1799967 */   // Label 24424: @1799967
     /* 1799967 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1800053), // Rule ID 12320 //
     /* 1799972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1799980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800018 */     // MIs[0] policy
     /* 1800018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1800031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800052 */     // GIR_Coverage, 12320,
     /* 1800052 */     GIR_EraseRootFromParent_Done,
     /* 1800053 */   // Label 24425: @1800053
     /* 1800053 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1800139), // Rule ID 12321 //
     /* 1800058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800104 */     // MIs[0] policy
     /* 1800104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1800117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800138 */     // GIR_Coverage, 12321,
     /* 1800138 */     GIR_EraseRootFromParent_Done,
     /* 1800139 */   // Label 24426: @1800139
     /* 1800139 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1800225), // Rule ID 12324 //
     /* 1800144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800190 */     // MIs[0] policy
     /* 1800190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800200 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1800203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800224 */     // GIR_Coverage, 12324,
     /* 1800224 */     GIR_EraseRootFromParent_Done,
     /* 1800225 */   // Label 24427: @1800225
     /* 1800225 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1800311), // Rule ID 12325 //
     /* 1800230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800276 */     // MIs[0] policy
     /* 1800276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1800289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800310 */     // GIR_Coverage, 12325,
     /* 1800310 */     GIR_EraseRootFromParent_Done,
     /* 1800311 */   // Label 24428: @1800311
     /* 1800311 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1800397), // Rule ID 12328 //
     /* 1800316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800362 */     // MIs[0] policy
     /* 1800362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1800375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800396 */     // GIR_Coverage, 12328,
     /* 1800396 */     GIR_EraseRootFromParent_Done,
     /* 1800397 */   // Label 24429: @1800397
     /* 1800397 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1800483), // Rule ID 12329 //
     /* 1800402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800448 */     // MIs[0] policy
     /* 1800448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11591:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1800461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800482 */     // GIR_Coverage, 12329,
     /* 1800482 */     GIR_EraseRootFromParent_Done,
     /* 1800483 */   // Label 24430: @1800483
     /* 1800483 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1800569), // Rule ID 12332 //
     /* 1800488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800534 */     // MIs[0] policy
     /* 1800534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1800547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800568 */     // GIR_Coverage, 12332,
     /* 1800568 */     GIR_EraseRootFromParent_Done,
     /* 1800569 */   // Label 24431: @1800569
     /* 1800569 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1800655), // Rule ID 12333 //
     /* 1800574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800620 */     // MIs[0] policy
     /* 1800620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800630 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1800633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800654 */     // GIR_Coverage, 12333,
     /* 1800654 */     GIR_EraseRootFromParent_Done,
     /* 1800655 */   // Label 24432: @1800655
     /* 1800655 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1800741), // Rule ID 12336 //
     /* 1800660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800706 */     // MIs[0] policy
     /* 1800706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1800719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800740 */     // GIR_Coverage, 12336,
     /* 1800740 */     GIR_EraseRootFromParent_Done,
     /* 1800741 */   // Label 24433: @1800741
     /* 1800741 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1800827), // Rule ID 12337 //
     /* 1800746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800792 */     // MIs[0] policy
     /* 1800792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1800805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800826 */     // GIR_Coverage, 12337,
     /* 1800826 */     GIR_EraseRootFromParent_Done,
     /* 1800827 */   // Label 24434: @1800827
     /* 1800827 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1800913), // Rule ID 12340 //
     /* 1800832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800878 */     // MIs[0] policy
     /* 1800878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800888 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1800891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800912 */     // GIR_Coverage, 12340,
     /* 1800912 */     GIR_EraseRootFromParent_Done,
     /* 1800913 */   // Label 24435: @1800913
     /* 1800913 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1800999), // Rule ID 12341 //
     /* 1800918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1800926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800964 */     // MIs[0] policy
     /* 1800964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1800977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800998 */     // GIR_Coverage, 12341,
     /* 1800998 */     GIR_EraseRootFromParent_Done,
     /* 1800999 */   // Label 24436: @1800999
     /* 1800999 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1801085), // Rule ID 12344 //
     /* 1801004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801050 */     // MIs[0] policy
     /* 1801050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1801063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801084 */     // GIR_Coverage, 12344,
     /* 1801084 */     GIR_EraseRootFromParent_Done,
     /* 1801085 */   // Label 24437: @1801085
     /* 1801085 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1801171), // Rule ID 12345 //
     /* 1801090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1801107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801136 */     // MIs[0] policy
     /* 1801136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1801149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801170 */     // GIR_Coverage, 12345,
     /* 1801170 */     GIR_EraseRootFromParent_Done,
     /* 1801171 */   // Label 24438: @1801171
     /* 1801171 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1801257), // Rule ID 12348 //
     /* 1801176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801222 */     // MIs[0] policy
     /* 1801222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1801235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801256 */     // GIR_Coverage, 12348,
     /* 1801256 */     GIR_EraseRootFromParent_Done,
     /* 1801257 */   // Label 24439: @1801257
     /* 1801257 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1801343), // Rule ID 12349 //
     /* 1801262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801308 */     // MIs[0] policy
     /* 1801308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11591:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1801321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801342 */     // GIR_Coverage, 12349,
     /* 1801342 */     GIR_EraseRootFromParent_Done,
     /* 1801343 */   // Label 24440: @1801343
     /* 1801343 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1801429), // Rule ID 12352 //
     /* 1801348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801394 */     // MIs[0] policy
     /* 1801394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1801407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801428 */     // GIR_Coverage, 12352,
     /* 1801428 */     GIR_EraseRootFromParent_Done,
     /* 1801429 */   // Label 24441: @1801429
     /* 1801429 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1801515), // Rule ID 12353 //
     /* 1801434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801480 */     // MIs[0] policy
     /* 1801480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1801493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801514 */     // GIR_Coverage, 12353,
     /* 1801514 */     GIR_EraseRootFromParent_Done,
     /* 1801515 */   // Label 24442: @1801515
     /* 1801515 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1801601), // Rule ID 12356 //
     /* 1801520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801566 */     // MIs[0] policy
     /* 1801566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1801579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801600 */     // GIR_Coverage, 12356,
     /* 1801600 */     GIR_EraseRootFromParent_Done,
     /* 1801601 */   // Label 24443: @1801601
     /* 1801601 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1801687), // Rule ID 12357 //
     /* 1801606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801652 */     // MIs[0] policy
     /* 1801652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1801665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801686 */     // GIR_Coverage, 12357,
     /* 1801686 */     GIR_EraseRootFromParent_Done,
     /* 1801687 */   // Label 24444: @1801687
     /* 1801687 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1801773), // Rule ID 12360 //
     /* 1801692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801738 */     // MIs[0] policy
     /* 1801738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1801751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801772 */     // GIR_Coverage, 12360,
     /* 1801772 */     GIR_EraseRootFromParent_Done,
     /* 1801773 */   // Label 24445: @1801773
     /* 1801773 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1801859), // Rule ID 12361 //
     /* 1801778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801824 */     // MIs[0] policy
     /* 1801824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1801837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801858 */     // GIR_Coverage, 12361,
     /* 1801858 */     GIR_EraseRootFromParent_Done,
     /* 1801859 */   // Label 24446: @1801859
     /* 1801859 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1801945), // Rule ID 12364 //
     /* 1801864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801910 */     // MIs[0] policy
     /* 1801910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1801923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801944 */     // GIR_Coverage, 12364,
     /* 1801944 */     GIR_EraseRootFromParent_Done,
     /* 1801945 */   // Label 24447: @1801945
     /* 1801945 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1802031), // Rule ID 12365 //
     /* 1801950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1801958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801996 */     // MIs[0] policy
     /* 1801996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11591:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1802009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802030 */     // GIR_Coverage, 12365,
     /* 1802030 */     GIR_EraseRootFromParent_Done,
     /* 1802031 */   // Label 24448: @1802031
     /* 1802031 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1802117), // Rule ID 12368 //
     /* 1802036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802082 */     // MIs[0] policy
     /* 1802082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1802095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802116 */     // GIR_Coverage, 12368,
     /* 1802116 */     GIR_EraseRootFromParent_Done,
     /* 1802117 */   // Label 24449: @1802117
     /* 1802117 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1802203), // Rule ID 12369 //
     /* 1802122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1802139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802168 */     // MIs[0] policy
     /* 1802168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11591:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1802181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802202 */     // GIR_Coverage, 12369,
     /* 1802202 */     GIR_EraseRootFromParent_Done,
     /* 1802203 */   // Label 24450: @1802203
     /* 1802203 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1802289), // Rule ID 12372 //
     /* 1802208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802254 */     // MIs[0] policy
     /* 1802254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1802267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802288 */     // GIR_Coverage, 12372,
     /* 1802288 */     GIR_EraseRootFromParent_Done,
     /* 1802289 */   // Label 24451: @1802289
     /* 1802289 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1802375), // Rule ID 12373 //
     /* 1802294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802340 */     // MIs[0] policy
     /* 1802340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11591:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1802353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802374 */     // GIR_Coverage, 12373,
     /* 1802374 */     GIR_EraseRootFromParent_Done,
     /* 1802375 */   // Label 24452: @1802375
     /* 1802375 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1802461), // Rule ID 12376 //
     /* 1802380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802426 */     // MIs[0] policy
     /* 1802426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1802439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802460 */     // GIR_Coverage, 12376,
     /* 1802460 */     GIR_EraseRootFromParent_Done,
     /* 1802461 */   // Label 24453: @1802461
     /* 1802461 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1802547), // Rule ID 12377 //
     /* 1802466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1802474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802512 */     // MIs[0] policy
     /* 1802512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11591:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1802525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802546 */     // GIR_Coverage, 12377,
     /* 1802546 */     GIR_EraseRootFromParent_Done,
     /* 1802547 */   // Label 24454: @1802547
     /* 1802547 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1802633), // Rule ID 12380 //
     /* 1802552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1802569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1802572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802598 */     // MIs[0] policy
     /* 1802598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802608 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1802611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802632 */     // GIR_Coverage, 12380,
     /* 1802632 */     GIR_EraseRootFromParent_Done,
     /* 1802633 */   // Label 24455: @1802633
     /* 1802633 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1802719), // Rule ID 12381 //
     /* 1802638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1802655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1802658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802684 */     // MIs[0] policy
     /* 1802684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1802697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802718 */     // GIR_Coverage, 12381,
     /* 1802718 */     GIR_EraseRootFromParent_Done,
     /* 1802719 */   // Label 24456: @1802719
     /* 1802719 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1802805), // Rule ID 12384 //
     /* 1802724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1802744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802770 */     // MIs[0] policy
     /* 1802770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1802783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802804 */     // GIR_Coverage, 12384,
     /* 1802804 */     GIR_EraseRootFromParent_Done,
     /* 1802805 */   // Label 24457: @1802805
     /* 1802805 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1802891), // Rule ID 12385 //
     /* 1802810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1802830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802856 */     // MIs[0] policy
     /* 1802856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1802869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802890 */     // GIR_Coverage, 12385,
     /* 1802890 */     GIR_EraseRootFromParent_Done,
     /* 1802891 */   // Label 24458: @1802891
     /* 1802891 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1802977), // Rule ID 12388 //
     /* 1802896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1802907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1802910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1802916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802942 */     // MIs[0] policy
     /* 1802942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1802955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802976 */     // GIR_Coverage, 12388,
     /* 1802976 */     GIR_EraseRootFromParent_Done,
     /* 1802977 */   // Label 24459: @1802977
     /* 1802977 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1803063), // Rule ID 12389 //
     /* 1802982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1802990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1802993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1802996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1803002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803028 */     // MIs[0] policy
     /* 1803028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1803041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803062 */     // GIR_Coverage, 12389,
     /* 1803062 */     GIR_EraseRootFromParent_Done,
     /* 1803063 */   // Label 24460: @1803063
     /* 1803063 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1803149), // Rule ID 12392 //
     /* 1803068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803114 */     // MIs[0] policy
     /* 1803114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1803127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803148 */     // GIR_Coverage, 12392,
     /* 1803148 */     GIR_EraseRootFromParent_Done,
     /* 1803149 */   // Label 24461: @1803149
     /* 1803149 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1803235), // Rule ID 12393 //
     /* 1803154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1803165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1803168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803200 */     // MIs[0] policy
     /* 1803200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1803213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803234 */     // GIR_Coverage, 12393,
     /* 1803234 */     GIR_EraseRootFromParent_Done,
     /* 1803235 */   // Label 24462: @1803235
     /* 1803235 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1803321), // Rule ID 12396 //
     /* 1803240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1803260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803286 */     // MIs[0] policy
     /* 1803286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1803299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803320 */     // GIR_Coverage, 12396,
     /* 1803320 */     GIR_EraseRootFromParent_Done,
     /* 1803321 */   // Label 24463: @1803321
     /* 1803321 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1803407), // Rule ID 12397 //
     /* 1803326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1803337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1803340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1803346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803372 */     // MIs[0] policy
     /* 1803372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1803385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803406 */     // GIR_Coverage, 12397,
     /* 1803406 */     GIR_EraseRootFromParent_Done,
     /* 1803407 */   // Label 24464: @1803407
     /* 1803407 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1803493), // Rule ID 12400 //
     /* 1803412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1803423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1803426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1803429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1803432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1803435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803458 */     // MIs[0] policy
     /* 1803458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1803471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803492 */     // GIR_Coverage, 12400,
     /* 1803492 */     GIR_EraseRootFromParent_Done,
     /* 1803493 */   // Label 24465: @1803493
     /* 1803493 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1803579), // Rule ID 12401 //
     /* 1803498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1803509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1803512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1803515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1803518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1803521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803544 */     // MIs[0] policy
     /* 1803544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1803557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803578 */     // GIR_Coverage, 12401,
     /* 1803578 */     GIR_EraseRootFromParent_Done,
     /* 1803579 */   // Label 24466: @1803579
     /* 1803579 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1803665), // Rule ID 12404 //
     /* 1803584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1803604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803630 */     // MIs[0] policy
     /* 1803630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1803643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803664 */     // GIR_Coverage, 12404,
     /* 1803664 */     GIR_EraseRootFromParent_Done,
     /* 1803665 */   // Label 24467: @1803665
     /* 1803665 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1803751), // Rule ID 12405 //
     /* 1803670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1803690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803716 */     // MIs[0] policy
     /* 1803716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1803729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803750 */     // GIR_Coverage, 12405,
     /* 1803750 */     GIR_EraseRootFromParent_Done,
     /* 1803751 */   // Label 24468: @1803751
     /* 1803751 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1803837), // Rule ID 12408 //
     /* 1803756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1803776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803802 */     // MIs[0] policy
     /* 1803802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1803815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803836 */     // GIR_Coverage, 12408,
     /* 1803836 */     GIR_EraseRootFromParent_Done,
     /* 1803837 */   // Label 24469: @1803837
     /* 1803837 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1803923), // Rule ID 12409 //
     /* 1803842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1803862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803888 */     // MIs[0] policy
     /* 1803888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1803901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803922 */     // GIR_Coverage, 12409,
     /* 1803922 */     GIR_EraseRootFromParent_Done,
     /* 1803923 */   // Label 24470: @1803923
     /* 1803923 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1804009), // Rule ID 12412 //
     /* 1803928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1803936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1803948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803974 */     // MIs[0] policy
     /* 1803974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1803987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804008 */     // GIR_Coverage, 12412,
     /* 1804008 */     GIR_EraseRootFromParent_Done,
     /* 1804009 */   // Label 24471: @1804009
     /* 1804009 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1804095), // Rule ID 12413 //
     /* 1804014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1804031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1804034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804060 */     // MIs[0] policy
     /* 1804060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1804073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804094 */     // GIR_Coverage, 12413,
     /* 1804094 */     GIR_EraseRootFromParent_Done,
     /* 1804095 */   // Label 24472: @1804095
     /* 1804095 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1804181), // Rule ID 12416 //
     /* 1804100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804146 */     // MIs[0] policy
     /* 1804146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1804159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804180 */     // GIR_Coverage, 12416,
     /* 1804180 */     GIR_EraseRootFromParent_Done,
     /* 1804181 */   // Label 24473: @1804181
     /* 1804181 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1804267), // Rule ID 12417 //
     /* 1804186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804232 */     // MIs[0] policy
     /* 1804232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1804245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804266 */     // GIR_Coverage, 12417,
     /* 1804266 */     GIR_EraseRootFromParent_Done,
     /* 1804267 */   // Label 24474: @1804267
     /* 1804267 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1804353), // Rule ID 12420 //
     /* 1804272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804318 */     // MIs[0] policy
     /* 1804318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1804331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804352 */     // GIR_Coverage, 12420,
     /* 1804352 */     GIR_EraseRootFromParent_Done,
     /* 1804353 */   // Label 24475: @1804353
     /* 1804353 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1804439), // Rule ID 12421 //
     /* 1804358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804404 */     // MIs[0] policy
     /* 1804404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1804417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804438 */     // GIR_Coverage, 12421,
     /* 1804438 */     GIR_EraseRootFromParent_Done,
     /* 1804439 */   // Label 24476: @1804439
     /* 1804439 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1804525), // Rule ID 12424 //
     /* 1804444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1804455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1804458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1804461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1804464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804490 */     // MIs[0] policy
     /* 1804490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1804503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804524 */     // GIR_Coverage, 12424,
     /* 1804524 */     GIR_EraseRootFromParent_Done,
     /* 1804525 */   // Label 24477: @1804525
     /* 1804525 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1804611), // Rule ID 12425 //
     /* 1804530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1804541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1804544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1804547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1804550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804576 */     // MIs[0] policy
     /* 1804576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1804589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804610 */     // GIR_Coverage, 12425,
     /* 1804610 */     GIR_EraseRootFromParent_Done,
     /* 1804611 */   // Label 24478: @1804611
     /* 1804611 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1804697), // Rule ID 12428 //
     /* 1804616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1804636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804662 */     // MIs[0] policy
     /* 1804662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1804675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804696 */     // GIR_Coverage, 12428,
     /* 1804696 */     GIR_EraseRootFromParent_Done,
     /* 1804697 */   // Label 24479: @1804697
     /* 1804697 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1804783), // Rule ID 12429 //
     /* 1804702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1804722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804748 */     // MIs[0] policy
     /* 1804748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1804761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804782 */     // GIR_Coverage, 12429,
     /* 1804782 */     GIR_EraseRootFromParent_Done,
     /* 1804783 */   // Label 24480: @1804783
     /* 1804783 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1804869), // Rule ID 12432 //
     /* 1804788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1804808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804834 */     // MIs[0] policy
     /* 1804834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1804847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804868 */     // GIR_Coverage, 12432,
     /* 1804868 */     GIR_EraseRootFromParent_Done,
     /* 1804869 */   // Label 24481: @1804869
     /* 1804869 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1804955), // Rule ID 12433 //
     /* 1804874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1804894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804920 */     // MIs[0] policy
     /* 1804920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1804933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804954 */     // GIR_Coverage, 12433,
     /* 1804954 */     GIR_EraseRootFromParent_Done,
     /* 1804955 */   // Label 24482: @1804955
     /* 1804955 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1805041), // Rule ID 12436 //
     /* 1804960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1804968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1804971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1804974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1804980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805006 */     // MIs[0] policy
     /* 1805006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1805019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805040 */     // GIR_Coverage, 12436,
     /* 1805040 */     GIR_EraseRootFromParent_Done,
     /* 1805041 */   // Label 24483: @1805041
     /* 1805041 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1805127), // Rule ID 12437 //
     /* 1805046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1805049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805092 */     // MIs[0] policy
     /* 1805092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1805105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805126 */     // GIR_Coverage, 12437,
     /* 1805126 */     GIR_EraseRootFromParent_Done,
     /* 1805127 */   // Label 24484: @1805127
     /* 1805127 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1805213), // Rule ID 12440 //
     /* 1805132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805178 */     // MIs[0] policy
     /* 1805178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1805191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805212 */     // GIR_Coverage, 12440,
     /* 1805212 */     GIR_EraseRootFromParent_Done,
     /* 1805213 */   // Label 24485: @1805213
     /* 1805213 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1805299), // Rule ID 12441 //
     /* 1805218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1805235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805264 */     // MIs[0] policy
     /* 1805264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1805277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805298 */     // GIR_Coverage, 12441,
     /* 1805298 */     GIR_EraseRootFromParent_Done,
     /* 1805299 */   // Label 24486: @1805299
     /* 1805299 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1805385), // Rule ID 12444 //
     /* 1805304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1805321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805350 */     // MIs[0] policy
     /* 1805350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1805363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805384 */     // GIR_Coverage, 12444,
     /* 1805384 */     GIR_EraseRootFromParent_Done,
     /* 1805385 */   // Label 24487: @1805385
     /* 1805385 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1805471), // Rule ID 12445 //
     /* 1805390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1805407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805436 */     // MIs[0] policy
     /* 1805436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1805449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805470 */     // GIR_Coverage, 12445,
     /* 1805470 */     GIR_EraseRootFromParent_Done,
     /* 1805471 */   // Label 24488: @1805471
     /* 1805471 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1805557), // Rule ID 12448 //
     /* 1805476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1805493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805522 */     // MIs[0] policy
     /* 1805522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1805535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805556 */     // GIR_Coverage, 12448,
     /* 1805556 */     GIR_EraseRootFromParent_Done,
     /* 1805557 */   // Label 24489: @1805557
     /* 1805557 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1805643), // Rule ID 12449 //
     /* 1805562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1805579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805608 */     // MIs[0] policy
     /* 1805608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11595:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1805621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805642 */     // GIR_Coverage, 12449,
     /* 1805642 */     GIR_EraseRootFromParent_Done,
     /* 1805643 */   // Label 24490: @1805643
     /* 1805643 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1805729), // Rule ID 12452 //
     /* 1805648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805694 */     // MIs[0] policy
     /* 1805694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1805707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805728 */     // GIR_Coverage, 12452,
     /* 1805728 */     GIR_EraseRootFromParent_Done,
     /* 1805729 */   // Label 24491: @1805729
     /* 1805729 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1805815), // Rule ID 12453 //
     /* 1805734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805780 */     // MIs[0] policy
     /* 1805780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1805793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805814 */     // GIR_Coverage, 12453,
     /* 1805814 */     GIR_EraseRootFromParent_Done,
     /* 1805815 */   // Label 24492: @1805815
     /* 1805815 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1805901), // Rule ID 12456 //
     /* 1805820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805866 */     // MIs[0] policy
     /* 1805866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1805879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805900 */     // GIR_Coverage, 12456,
     /* 1805900 */     GIR_EraseRootFromParent_Done,
     /* 1805901 */   // Label 24493: @1805901
     /* 1805901 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1805987), // Rule ID 12457 //
     /* 1805906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1805914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805952 */     // MIs[0] policy
     /* 1805952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1805965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805986 */     // GIR_Coverage, 12457,
     /* 1805986 */     GIR_EraseRootFromParent_Done,
     /* 1805987 */   // Label 24494: @1805987
     /* 1805987 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1806073), // Rule ID 12460 //
     /* 1805992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806038 */     // MIs[0] policy
     /* 1806038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806048 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1806051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806072 */     // GIR_Coverage, 12460,
     /* 1806072 */     GIR_EraseRootFromParent_Done,
     /* 1806073 */   // Label 24495: @1806073
     /* 1806073 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1806159), // Rule ID 12461 //
     /* 1806078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806124 */     // MIs[0] policy
     /* 1806124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1806137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806158 */     // GIR_Coverage, 12461,
     /* 1806158 */     GIR_EraseRootFromParent_Done,
     /* 1806159 */   // Label 24496: @1806159
     /* 1806159 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1806245), // Rule ID 12464 //
     /* 1806164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806210 */     // MIs[0] policy
     /* 1806210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1806223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806244 */     // GIR_Coverage, 12464,
     /* 1806244 */     GIR_EraseRootFromParent_Done,
     /* 1806245 */   // Label 24497: @1806245
     /* 1806245 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1806331), // Rule ID 12465 //
     /* 1806250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1806267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806296 */     // MIs[0] policy
     /* 1806296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1806309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806330 */     // GIR_Coverage, 12465,
     /* 1806330 */     GIR_EraseRootFromParent_Done,
     /* 1806331 */   // Label 24498: @1806331
     /* 1806331 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1806417), // Rule ID 12468 //
     /* 1806336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1806353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806382 */     // MIs[0] policy
     /* 1806382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1806395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806416 */     // GIR_Coverage, 12468,
     /* 1806416 */     GIR_EraseRootFromParent_Done,
     /* 1806417 */   // Label 24499: @1806417
     /* 1806417 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1806503), // Rule ID 12469 //
     /* 1806422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1806439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806468 */     // MIs[0] policy
     /* 1806468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11595:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1806481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806502 */     // GIR_Coverage, 12469,
     /* 1806502 */     GIR_EraseRootFromParent_Done,
     /* 1806503 */   // Label 24500: @1806503
     /* 1806503 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1806589), // Rule ID 12472 //
     /* 1806508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1806519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1806522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806554 */     // MIs[0] policy
     /* 1806554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1806567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806588 */     // GIR_Coverage, 12472,
     /* 1806588 */     GIR_EraseRootFromParent_Done,
     /* 1806589 */   // Label 24501: @1806589
     /* 1806589 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1806675), // Rule ID 12473 //
     /* 1806594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1806605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1806608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806640 */     // MIs[0] policy
     /* 1806640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1806653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806674 */     // GIR_Coverage, 12473,
     /* 1806674 */     GIR_EraseRootFromParent_Done,
     /* 1806675 */   // Label 24502: @1806675
     /* 1806675 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1806761), // Rule ID 12476 //
     /* 1806680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806726 */     // MIs[0] policy
     /* 1806726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1806739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806760 */     // GIR_Coverage, 12476,
     /* 1806760 */     GIR_EraseRootFromParent_Done,
     /* 1806761 */   // Label 24503: @1806761
     /* 1806761 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1806847), // Rule ID 12477 //
     /* 1806766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806812 */     // MIs[0] policy
     /* 1806812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1806825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806846 */     // GIR_Coverage, 12477,
     /* 1806846 */     GIR_EraseRootFromParent_Done,
     /* 1806847 */   // Label 24504: @1806847
     /* 1806847 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1806933), // Rule ID 12480 //
     /* 1806852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806898 */     // MIs[0] policy
     /* 1806898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1806911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806932 */     // GIR_Coverage, 12480,
     /* 1806932 */     GIR_EraseRootFromParent_Done,
     /* 1806933 */   // Label 24505: @1806933
     /* 1806933 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1807019), // Rule ID 12481 //
     /* 1806938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1806946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806984 */     // MIs[0] policy
     /* 1806984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1806997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807018 */     // GIR_Coverage, 12481,
     /* 1807018 */     GIR_EraseRootFromParent_Done,
     /* 1807019 */   // Label 24506: @1807019
     /* 1807019 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1807105), // Rule ID 12484 //
     /* 1807024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807070 */     // MIs[0] policy
     /* 1807070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1807083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807104 */     // GIR_Coverage, 12484,
     /* 1807104 */     GIR_EraseRootFromParent_Done,
     /* 1807105 */   // Label 24507: @1807105
     /* 1807105 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1807191), // Rule ID 12485 //
     /* 1807110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807156 */     // MIs[0] policy
     /* 1807156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11595:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1807169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807190 */     // GIR_Coverage, 12485,
     /* 1807190 */     GIR_EraseRootFromParent_Done,
     /* 1807191 */   // Label 24508: @1807191
     /* 1807191 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1807277), // Rule ID 12488 //
     /* 1807196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807242 */     // MIs[0] policy
     /* 1807242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1807255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807276 */     // GIR_Coverage, 12488,
     /* 1807276 */     GIR_EraseRootFromParent_Done,
     /* 1807277 */   // Label 24509: @1807277
     /* 1807277 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1807363), // Rule ID 12489 //
     /* 1807282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1807299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807328 */     // MIs[0] policy
     /* 1807328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11595:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1807341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807362 */     // GIR_Coverage, 12489,
     /* 1807362 */     GIR_EraseRootFromParent_Done,
     /* 1807363 */   // Label 24510: @1807363
     /* 1807363 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1807449), // Rule ID 12492 //
     /* 1807368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807414 */     // MIs[0] policy
     /* 1807414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1807427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807448 */     // GIR_Coverage, 12492,
     /* 1807448 */     GIR_EraseRootFromParent_Done,
     /* 1807449 */   // Label 24511: @1807449
     /* 1807449 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1807535), // Rule ID 12493 //
     /* 1807454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807500 */     // MIs[0] policy
     /* 1807500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807510 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11595:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1807513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807534 */     // GIR_Coverage, 12493,
     /* 1807534 */     GIR_EraseRootFromParent_Done,
     /* 1807535 */   // Label 24512: @1807535
     /* 1807535 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1807621), // Rule ID 12496 //
     /* 1807540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1807543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807586 */     // MIs[0] policy
     /* 1807586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1807599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807620 */     // GIR_Coverage, 12496,
     /* 1807620 */     GIR_EraseRootFromParent_Done,
     /* 1807621 */   // Label 24513: @1807621
     /* 1807621 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1807707), // Rule ID 12497 //
     /* 1807626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1807634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807672 */     // MIs[0] policy
     /* 1807672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11595:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1807685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807706 */     // GIR_Coverage, 12497,
     /* 1807706 */     GIR_EraseRootFromParent_Done,
     /* 1807707 */   // Label 24514: @1807707
     /* 1807707 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1807793), // Rule ID 12500 //
     /* 1807712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1807729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1807732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807758 */     // MIs[0] policy
     /* 1807758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1807771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807792 */     // GIR_Coverage, 12500,
     /* 1807792 */     GIR_EraseRootFromParent_Done,
     /* 1807793 */   // Label 24515: @1807793
     /* 1807793 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1807879), // Rule ID 12501 //
     /* 1807798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1807815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1807818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807844 */     // MIs[0] policy
     /* 1807844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1807857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807878 */     // GIR_Coverage, 12501,
     /* 1807878 */     GIR_EraseRootFromParent_Done,
     /* 1807879 */   // Label 24516: @1807879
     /* 1807879 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1807965), // Rule ID 12504 //
     /* 1807884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1807904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807930 */     // MIs[0] policy
     /* 1807930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1807943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807964 */     // GIR_Coverage, 12504,
     /* 1807964 */     GIR_EraseRootFromParent_Done,
     /* 1807965 */   // Label 24517: @1807965
     /* 1807965 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1808051), // Rule ID 12505 //
     /* 1807970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1807990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808016 */     // MIs[0] policy
     /* 1808016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1808029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808050 */     // GIR_Coverage, 12505,
     /* 1808050 */     GIR_EraseRootFromParent_Done,
     /* 1808051 */   // Label 24518: @1808051
     /* 1808051 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1808137), // Rule ID 12508 //
     /* 1808056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808102 */     // MIs[0] policy
     /* 1808102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1808115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808136 */     // GIR_Coverage, 12508,
     /* 1808136 */     GIR_EraseRootFromParent_Done,
     /* 1808137 */   // Label 24519: @1808137
     /* 1808137 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1808223), // Rule ID 12509 //
     /* 1808142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808188 */     // MIs[0] policy
     /* 1808188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1808201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808222 */     // GIR_Coverage, 12509,
     /* 1808222 */     GIR_EraseRootFromParent_Done,
     /* 1808223 */   // Label 24520: @1808223
     /* 1808223 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1808309), // Rule ID 12512 //
     /* 1808228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1808239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1808242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1808245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1808248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808274 */     // MIs[0] policy
     /* 1808274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1808287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808308 */     // GIR_Coverage, 12512,
     /* 1808308 */     GIR_EraseRootFromParent_Done,
     /* 1808309 */   // Label 24521: @1808309
     /* 1808309 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1808395), // Rule ID 12513 //
     /* 1808314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1808325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1808328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1808331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1808334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808360 */     // MIs[0] policy
     /* 1808360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1808373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808394 */     // GIR_Coverage, 12513,
     /* 1808394 */     GIR_EraseRootFromParent_Done,
     /* 1808395 */   // Label 24522: @1808395
     /* 1808395 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1808481), // Rule ID 12516 //
     /* 1808400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1808411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1808414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1808417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1808420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808446 */     // MIs[0] policy
     /* 1808446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1808459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808480 */     // GIR_Coverage, 12516,
     /* 1808480 */     GIR_EraseRootFromParent_Done,
     /* 1808481 */   // Label 24523: @1808481
     /* 1808481 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1808567), // Rule ID 12517 //
     /* 1808486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1808497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1808500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1808503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1808506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808532 */     // MIs[0] policy
     /* 1808532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1808545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808566 */     // GIR_Coverage, 12517,
     /* 1808566 */     GIR_EraseRootFromParent_Done,
     /* 1808567 */   // Label 24524: @1808567
     /* 1808567 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1808653), // Rule ID 12520 //
     /* 1808572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1808592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808618 */     // MIs[0] policy
     /* 1808618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1808631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808652 */     // GIR_Coverage, 12520,
     /* 1808652 */     GIR_EraseRootFromParent_Done,
     /* 1808653 */   // Label 24525: @1808653
     /* 1808653 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1808739), // Rule ID 12521 //
     /* 1808658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1808678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808704 */     // MIs[0] policy
     /* 1808704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1808717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808738 */     // GIR_Coverage, 12521,
     /* 1808738 */     GIR_EraseRootFromParent_Done,
     /* 1808739 */   // Label 24526: @1808739
     /* 1808739 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1808825), // Rule ID 12524 //
     /* 1808744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1808764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808790 */     // MIs[0] policy
     /* 1808790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1808803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808824 */     // GIR_Coverage, 12524,
     /* 1808824 */     GIR_EraseRootFromParent_Done,
     /* 1808825 */   // Label 24527: @1808825
     /* 1808825 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1808911), // Rule ID 12525 //
     /* 1808830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1808850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808876 */     // MIs[0] policy
     /* 1808876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1808889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808910 */     // GIR_Coverage, 12525,
     /* 1808910 */     GIR_EraseRootFromParent_Done,
     /* 1808911 */   // Label 24528: @1808911
     /* 1808911 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1808997), // Rule ID 12528 //
     /* 1808916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1808924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1808936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808962 */     // MIs[0] policy
     /* 1808962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1808975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808996 */     // GIR_Coverage, 12528,
     /* 1808996 */     GIR_EraseRootFromParent_Done,
     /* 1808997 */   // Label 24529: @1808997
     /* 1808997 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1809083), // Rule ID 12529 //
     /* 1809002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1809013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1809016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1809022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809048 */     // MIs[0] policy
     /* 1809048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1809061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809082 */     // GIR_Coverage, 12529,
     /* 1809082 */     GIR_EraseRootFromParent_Done,
     /* 1809083 */   // Label 24530: @1809083
     /* 1809083 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1809169), // Rule ID 12532 //
     /* 1809088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809134 */     // MIs[0] policy
     /* 1809134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1809147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809168 */     // GIR_Coverage, 12532,
     /* 1809168 */     GIR_EraseRootFromParent_Done,
     /* 1809169 */   // Label 24531: @1809169
     /* 1809169 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1809255), // Rule ID 12533 //
     /* 1809174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1809191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1809194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809220 */     // MIs[0] policy
     /* 1809220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1809233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809254 */     // GIR_Coverage, 12533,
     /* 1809254 */     GIR_EraseRootFromParent_Done,
     /* 1809255 */   // Label 24532: @1809255
     /* 1809255 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1809341), // Rule ID 12536 //
     /* 1809260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1809280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809306 */     // MIs[0] policy
     /* 1809306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1809319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809340 */     // GIR_Coverage, 12536,
     /* 1809340 */     GIR_EraseRootFromParent_Done,
     /* 1809341 */   // Label 24533: @1809341
     /* 1809341 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1809427), // Rule ID 12537 //
     /* 1809346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1809366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809392 */     // MIs[0] policy
     /* 1809392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1809405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809426 */     // GIR_Coverage, 12537,
     /* 1809426 */     GIR_EraseRootFromParent_Done,
     /* 1809427 */   // Label 24534: @1809427
     /* 1809427 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1809513), // Rule ID 12540 //
     /* 1809432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1809443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1809446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1809452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809478 */     // MIs[0] policy
     /* 1809478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1809491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809512 */     // GIR_Coverage, 12540,
     /* 1809512 */     GIR_EraseRootFromParent_Done,
     /* 1809513 */   // Label 24535: @1809513
     /* 1809513 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1809599), // Rule ID 12541 //
     /* 1809518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1809529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1809532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1809538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809564 */     // MIs[0] policy
     /* 1809564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1809577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809598 */     // GIR_Coverage, 12541,
     /* 1809598 */     GIR_EraseRootFromParent_Done,
     /* 1809599 */   // Label 24536: @1809599
     /* 1809599 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1809685), // Rule ID 12544 //
     /* 1809604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809650 */     // MIs[0] policy
     /* 1809650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1809663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809684 */     // GIR_Coverage, 12544,
     /* 1809684 */     GIR_EraseRootFromParent_Done,
     /* 1809685 */   // Label 24537: @1809685
     /* 1809685 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1809771), // Rule ID 12545 //
     /* 1809690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809736 */     // MIs[0] policy
     /* 1809736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1809749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809770 */     // GIR_Coverage, 12545,
     /* 1809770 */     GIR_EraseRootFromParent_Done,
     /* 1809771 */   // Label 24538: @1809771
     /* 1809771 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1809857), // Rule ID 12548 //
     /* 1809776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809822 */     // MIs[0] policy
     /* 1809822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1809835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809856 */     // GIR_Coverage, 12548,
     /* 1809856 */     GIR_EraseRootFromParent_Done,
     /* 1809857 */   // Label 24539: @1809857
     /* 1809857 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1809943), // Rule ID 12549 //
     /* 1809862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1809879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1809882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809908 */     // MIs[0] policy
     /* 1809908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1809921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809942 */     // GIR_Coverage, 12549,
     /* 1809942 */     GIR_EraseRootFromParent_Done,
     /* 1809943 */   // Label 24540: @1809943
     /* 1809943 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1810029), // Rule ID 12552 //
     /* 1809948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1809956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1809959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1809962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1809968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809994 */     // MIs[0] policy
     /* 1809994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1810007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810028 */     // GIR_Coverage, 12552,
     /* 1810028 */     GIR_EraseRootFromParent_Done,
     /* 1810029 */   // Label 24541: @1810029
     /* 1810029 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1810115), // Rule ID 12553 //
     /* 1810034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1810037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1810045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1810048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1810051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1810054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810080 */     // MIs[0] policy
     /* 1810080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1810093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810114 */     // GIR_Coverage, 12553,
     /* 1810114 */     GIR_EraseRootFromParent_Done,
     /* 1810115 */   // Label 24542: @1810115
     /* 1810115 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1810201), // Rule ID 12556 //
     /* 1810120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1810123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1810137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1810140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810166 */     // MIs[0] policy
     /* 1810166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1810179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810200 */     // GIR_Coverage, 12556,
     /* 1810200 */     GIR_EraseRootFromParent_Done,
     /* 1810201 */   // Label 24543: @1810201
     /* 1810201 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1810287), // Rule ID 12557 //
     /* 1810206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1810209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1810223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1810226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810252 */     // MIs[0] policy
     /* 1810252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1810265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810286 */     // GIR_Coverage, 12557,
     /* 1810286 */     GIR_EraseRootFromParent_Done,
     /* 1810287 */   // Label 24544: @1810287
     /* 1810287 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1810373), // Rule ID 12560 //
     /* 1810292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1810309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810338 */     // MIs[0] policy
     /* 1810338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1810351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810372 */     // GIR_Coverage, 12560,
     /* 1810372 */     GIR_EraseRootFromParent_Done,
     /* 1810373 */   // Label 24545: @1810373
     /* 1810373 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1810459), // Rule ID 12561 //
     /* 1810378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1810395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810424 */     // MIs[0] policy
     /* 1810424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810434 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1810437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810458 */     // GIR_Coverage, 12561,
     /* 1810458 */     GIR_EraseRootFromParent_Done,
     /* 1810459 */   // Label 24546: @1810459
     /* 1810459 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1810545), // Rule ID 12564 //
     /* 1810464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1810481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810510 */     // MIs[0] policy
     /* 1810510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1810523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810544 */     // GIR_Coverage, 12564,
     /* 1810544 */     GIR_EraseRootFromParent_Done,
     /* 1810545 */   // Label 24547: @1810545
     /* 1810545 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1810631), // Rule ID 12565 //
     /* 1810550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1810567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810596 */     // MIs[0] policy
     /* 1810596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1810609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810630 */     // GIR_Coverage, 12565,
     /* 1810630 */     GIR_EraseRootFromParent_Done,
     /* 1810631 */   // Label 24548: @1810631
     /* 1810631 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1810717), // Rule ID 12568 //
     /* 1810636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810682 */     // MIs[0] policy
     /* 1810682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1810695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810716 */     // GIR_Coverage, 12568,
     /* 1810716 */     GIR_EraseRootFromParent_Done,
     /* 1810717 */   // Label 24549: @1810717
     /* 1810717 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1810803), // Rule ID 12569 //
     /* 1810722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810768 */     // MIs[0] policy
     /* 1810768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11593:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1810781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810802 */     // GIR_Coverage, 12569,
     /* 1810802 */     GIR_EraseRootFromParent_Done,
     /* 1810803 */   // Label 24550: @1810803
     /* 1810803 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1810889), // Rule ID 12572 //
     /* 1810808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810854 */     // MIs[0] policy
     /* 1810854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1810867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810888 */     // GIR_Coverage, 12572,
     /* 1810888 */     GIR_EraseRootFromParent_Done,
     /* 1810889 */   // Label 24551: @1810889
     /* 1810889 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1810975), // Rule ID 12573 //
     /* 1810894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1810905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1810908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810940 */     // MIs[0] policy
     /* 1810940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1810953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810974 */     // GIR_Coverage, 12573,
     /* 1810974 */     GIR_EraseRootFromParent_Done,
     /* 1810975 */   // Label 24552: @1810975
     /* 1810975 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1811061), // Rule ID 12576 //
     /* 1810980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1810988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1811000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811026 */     // MIs[0] policy
     /* 1811026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1811039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811060 */     // GIR_Coverage, 12576,
     /* 1811060 */     GIR_EraseRootFromParent_Done,
     /* 1811061 */   // Label 24553: @1811061
     /* 1811061 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1811147), // Rule ID 12577 //
     /* 1811066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1811077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1811083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1811086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811112 */     // MIs[0] policy
     /* 1811112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1811125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811146 */     // GIR_Coverage, 12577,
     /* 1811146 */     GIR_EraseRootFromParent_Done,
     /* 1811147 */   // Label 24554: @1811147
     /* 1811147 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1811233), // Rule ID 12580 //
     /* 1811152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1811169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1811172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811198 */     // MIs[0] policy
     /* 1811198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1811211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811232 */     // GIR_Coverage, 12580,
     /* 1811232 */     GIR_EraseRootFromParent_Done,
     /* 1811233 */   // Label 24555: @1811233
     /* 1811233 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1811319), // Rule ID 12581 //
     /* 1811238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1811255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1811258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811284 */     // MIs[0] policy
     /* 1811284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1811297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811318 */     // GIR_Coverage, 12581,
     /* 1811318 */     GIR_EraseRootFromParent_Done,
     /* 1811319 */   // Label 24556: @1811319
     /* 1811319 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1811405), // Rule ID 12584 //
     /* 1811324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1811341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1811344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811370 */     // MIs[0] policy
     /* 1811370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1811383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811404 */     // GIR_Coverage, 12584,
     /* 1811404 */     GIR_EraseRootFromParent_Done,
     /* 1811405 */   // Label 24557: @1811405
     /* 1811405 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1811491), // Rule ID 12585 //
     /* 1811410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1811427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1811430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811456 */     // MIs[0] policy
     /* 1811456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811466 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1811469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811490 */     // GIR_Coverage, 12585,
     /* 1811490 */     GIR_EraseRootFromParent_Done,
     /* 1811491 */   // Label 24558: @1811491
     /* 1811491 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1811577), // Rule ID 12588 //
     /* 1811496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1811513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1811516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811542 */     // MIs[0] policy
     /* 1811542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1811555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811576 */     // GIR_Coverage, 12588,
     /* 1811576 */     GIR_EraseRootFromParent_Done,
     /* 1811577 */   // Label 24559: @1811577
     /* 1811577 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1811663), // Rule ID 12589 //
     /* 1811582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1811599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1811602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811628 */     // MIs[0] policy
     /* 1811628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11593:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1811641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811662 */     // GIR_Coverage, 12589,
     /* 1811662 */     GIR_EraseRootFromParent_Done,
     /* 1811663 */   // Label 24560: @1811663
     /* 1811663 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1811749), // Rule ID 12592 //
     /* 1811668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1811688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811714 */     // MIs[0] policy
     /* 1811714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1811727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811748 */     // GIR_Coverage, 12592,
     /* 1811748 */     GIR_EraseRootFromParent_Done,
     /* 1811749 */   // Label 24561: @1811749
     /* 1811749 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1811835), // Rule ID 12593 //
     /* 1811754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1811774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811800 */     // MIs[0] policy
     /* 1811800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1811813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811834 */     // GIR_Coverage, 12593,
     /* 1811834 */     GIR_EraseRootFromParent_Done,
     /* 1811835 */   // Label 24562: @1811835
     /* 1811835 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1811921), // Rule ID 12596 //
     /* 1811840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1811860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811886 */     // MIs[0] policy
     /* 1811886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1811899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811920 */     // GIR_Coverage, 12596,
     /* 1811920 */     GIR_EraseRootFromParent_Done,
     /* 1811921 */   // Label 24563: @1811921
     /* 1811921 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1812007), // Rule ID 12597 //
     /* 1811926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1811934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1811937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1811940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1811946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811972 */     // MIs[0] policy
     /* 1811972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1811985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812006 */     // GIR_Coverage, 12597,
     /* 1812006 */     GIR_EraseRootFromParent_Done,
     /* 1812007 */   // Label 24564: @1812007
     /* 1812007 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1812093), // Rule ID 12600 //
     /* 1812012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1812029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812058 */     // MIs[0] policy
     /* 1812058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1812071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812092 */     // GIR_Coverage, 12600,
     /* 1812092 */     GIR_EraseRootFromParent_Done,
     /* 1812093 */   // Label 24565: @1812093
     /* 1812093 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1812179), // Rule ID 12601 //
     /* 1812098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1812115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812144 */     // MIs[0] policy
     /* 1812144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1812157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812178 */     // GIR_Coverage, 12601,
     /* 1812178 */     GIR_EraseRootFromParent_Done,
     /* 1812179 */   // Label 24566: @1812179
     /* 1812179 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1812265), // Rule ID 12604 //
     /* 1812184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1812195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1812198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1812201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812230 */     // MIs[0] policy
     /* 1812230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1812243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812264 */     // GIR_Coverage, 12604,
     /* 1812264 */     GIR_EraseRootFromParent_Done,
     /* 1812265 */   // Label 24567: @1812265
     /* 1812265 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1812351), // Rule ID 12605 //
     /* 1812270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1812281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1812284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1812287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812316 */     // MIs[0] policy
     /* 1812316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11593:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1812329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812350 */     // GIR_Coverage, 12605,
     /* 1812350 */     GIR_EraseRootFromParent_Done,
     /* 1812351 */   // Label 24568: @1812351
     /* 1812351 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1812437), // Rule ID 12608 //
     /* 1812356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1812373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812402 */     // MIs[0] policy
     /* 1812402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1812415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812436 */     // GIR_Coverage, 12608,
     /* 1812436 */     GIR_EraseRootFromParent_Done,
     /* 1812437 */   // Label 24569: @1812437
     /* 1812437 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1812523), // Rule ID 12609 //
     /* 1812442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1812459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812488 */     // MIs[0] policy
     /* 1812488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11593:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1812501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812522 */     // GIR_Coverage, 12609,
     /* 1812522 */     GIR_EraseRootFromParent_Done,
     /* 1812523 */   // Label 24570: @1812523
     /* 1812523 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1812609), // Rule ID 12612 //
     /* 1812528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812574 */     // MIs[0] policy
     /* 1812574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1812587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812608 */     // GIR_Coverage, 12612,
     /* 1812608 */     GIR_EraseRootFromParent_Done,
     /* 1812609 */   // Label 24571: @1812609
     /* 1812609 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1812695), // Rule ID 12613 //
     /* 1812614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812660 */     // MIs[0] policy
     /* 1812660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11593:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1812673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812694 */     // GIR_Coverage, 12613,
     /* 1812694 */     GIR_EraseRootFromParent_Done,
     /* 1812695 */   // Label 24572: @1812695
     /* 1812695 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1812781), // Rule ID 12616 //
     /* 1812700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1812703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812746 */     // MIs[0] policy
     /* 1812746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1812759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812780 */     // GIR_Coverage, 12616,
     /* 1812780 */     GIR_EraseRootFromParent_Done,
     /* 1812781 */   // Label 24573: @1812781
     /* 1812781 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1812867), // Rule ID 12617 //
     /* 1812786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1812789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1812794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812832 */     // MIs[0] policy
     /* 1812832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11593:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1812845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812866 */     // GIR_Coverage, 12617,
     /* 1812866 */     GIR_EraseRootFromParent_Done,
     /* 1812867 */   // Label 24574: @1812867
     /* 1812867 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1812953), // Rule ID 12620 //
     /* 1812872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1812889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812918 */     // MIs[0] policy
     /* 1812918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1812931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812952 */     // GIR_Coverage, 12620,
     /* 1812952 */     GIR_EraseRootFromParent_Done,
     /* 1812953 */   // Label 24575: @1812953
     /* 1812953 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1813039), // Rule ID 12621 //
     /* 1812958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1812969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1812972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1812975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1812978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813004 */     // MIs[0] policy
     /* 1813004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1813017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813038 */     // GIR_Coverage, 12621,
     /* 1813038 */     GIR_EraseRootFromParent_Done,
     /* 1813039 */   // Label 24576: @1813039
     /* 1813039 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1813125), // Rule ID 12624 //
     /* 1813044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1813055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1813058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1813061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1813064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813090 */     // MIs[0] policy
     /* 1813090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1813103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813124 */     // GIR_Coverage, 12624,
     /* 1813124 */     GIR_EraseRootFromParent_Done,
     /* 1813125 */   // Label 24577: @1813125
     /* 1813125 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1813211), // Rule ID 12625 //
     /* 1813130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1813141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1813144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1813147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1813150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813176 */     // MIs[0] policy
     /* 1813176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813186 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1813189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813210 */     // GIR_Coverage, 12625,
     /* 1813210 */     GIR_EraseRootFromParent_Done,
     /* 1813211 */   // Label 24578: @1813211
     /* 1813211 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1813297), // Rule ID 12628 //
     /* 1813216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1813227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1813230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1813236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813262 */     // MIs[0] policy
     /* 1813262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1813275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813296 */     // GIR_Coverage, 12628,
     /* 1813296 */     GIR_EraseRootFromParent_Done,
     /* 1813297 */   // Label 24579: @1813297
     /* 1813297 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1813383), // Rule ID 12629 //
     /* 1813302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1813313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1813316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1813322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813348 */     // MIs[0] policy
     /* 1813348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1813361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813382 */     // GIR_Coverage, 12629,
     /* 1813382 */     GIR_EraseRootFromParent_Done,
     /* 1813383 */   // Label 24580: @1813383
     /* 1813383 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1813469), // Rule ID 12632 //
     /* 1813388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1813408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813434 */     // MIs[0] policy
     /* 1813434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1813447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813468 */     // GIR_Coverage, 12632,
     /* 1813468 */     GIR_EraseRootFromParent_Done,
     /* 1813469 */   // Label 24581: @1813469
     /* 1813469 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1813555), // Rule ID 12633 //
     /* 1813474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1813494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813520 */     // MIs[0] policy
     /* 1813520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1813533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813554 */     // GIR_Coverage, 12633,
     /* 1813554 */     GIR_EraseRootFromParent_Done,
     /* 1813555 */   // Label 24582: @1813555
     /* 1813555 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1813641), // Rule ID 12636 //
     /* 1813560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1813577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1813580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813606 */     // MIs[0] policy
     /* 1813606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1813619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813640 */     // GIR_Coverage, 12636,
     /* 1813640 */     GIR_EraseRootFromParent_Done,
     /* 1813641 */   // Label 24583: @1813641
     /* 1813641 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1813727), // Rule ID 12637 //
     /* 1813646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1813663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1813666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813692 */     // MIs[0] policy
     /* 1813692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1813705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813726 */     // GIR_Coverage, 12637,
     /* 1813726 */     GIR_EraseRootFromParent_Done,
     /* 1813727 */   // Label 24584: @1813727
     /* 1813727 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1813813), // Rule ID 12640 //
     /* 1813732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1813749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813778 */     // MIs[0] policy
     /* 1813778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1813791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813812 */     // GIR_Coverage, 12640,
     /* 1813812 */     GIR_EraseRootFromParent_Done,
     /* 1813813 */   // Label 24585: @1813813
     /* 1813813 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1813899), // Rule ID 12641 //
     /* 1813818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1813829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1813832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1813835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1813838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813864 */     // MIs[0] policy
     /* 1813864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813874 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1813877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813898 */     // GIR_Coverage, 12641,
     /* 1813898 */     GIR_EraseRootFromParent_Done,
     /* 1813899 */   // Label 24586: @1813899
     /* 1813899 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1813985), // Rule ID 12644 //
     /* 1813904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1813921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1813924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813950 */     // MIs[0] policy
     /* 1813950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1813963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813984 */     // GIR_Coverage, 12644,
     /* 1813984 */     GIR_EraseRootFromParent_Done,
     /* 1813985 */   // Label 24587: @1813985
     /* 1813985 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1814071), // Rule ID 12645 //
     /* 1813990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1814001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1814004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1814007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1814010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814036 */     // MIs[0] policy
     /* 1814036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1814049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814070 */     // GIR_Coverage, 12645,
     /* 1814070 */     GIR_EraseRootFromParent_Done,
     /* 1814071 */   // Label 24588: @1814071
     /* 1814071 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1814157), // Rule ID 12648 //
     /* 1814076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1814096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814122 */     // MIs[0] policy
     /* 1814122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1814135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814156 */     // GIR_Coverage, 12648,
     /* 1814156 */     GIR_EraseRootFromParent_Done,
     /* 1814157 */   // Label 24589: @1814157
     /* 1814157 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1814243), // Rule ID 12649 //
     /* 1814162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1814182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814208 */     // MIs[0] policy
     /* 1814208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1814221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814242 */     // GIR_Coverage, 12649,
     /* 1814242 */     GIR_EraseRootFromParent_Done,
     /* 1814243 */   // Label 24590: @1814243
     /* 1814243 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1814329), // Rule ID 12652 //
     /* 1814248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1814251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1814265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1814268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814294 */     // MIs[0] policy
     /* 1814294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1814307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814328 */     // GIR_Coverage, 12652,
     /* 1814328 */     GIR_EraseRootFromParent_Done,
     /* 1814329 */   // Label 24591: @1814329
     /* 1814329 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1814415), // Rule ID 12653 //
     /* 1814334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1814337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1814351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1814354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814380 */     // MIs[0] policy
     /* 1814380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1814393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814414 */     // GIR_Coverage, 12653,
     /* 1814414 */     GIR_EraseRootFromParent_Done,
     /* 1814415 */   // Label 24592: @1814415
     /* 1814415 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1814501), // Rule ID 12656 //
     /* 1814420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1814431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1814434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1814437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1814440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814466 */     // MIs[0] policy
     /* 1814466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1814479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814500 */     // GIR_Coverage, 12656,
     /* 1814500 */     GIR_EraseRootFromParent_Done,
     /* 1814501 */   // Label 24593: @1814501
     /* 1814501 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1814587), // Rule ID 12657 //
     /* 1814506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1814517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1814520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1814523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1814526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814552 */     // MIs[0] policy
     /* 1814552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1814565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814586 */     // GIR_Coverage, 12657,
     /* 1814586 */     GIR_EraseRootFromParent_Done,
     /* 1814587 */   // Label 24594: @1814587
     /* 1814587 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1814673), // Rule ID 12660 //
     /* 1814592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1814603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1814606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1814609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1814612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814638 */     // MIs[0] policy
     /* 1814638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814648 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1814651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814672 */     // GIR_Coverage, 12660,
     /* 1814672 */     GIR_EraseRootFromParent_Done,
     /* 1814673 */   // Label 24595: @1814673
     /* 1814673 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1814759), // Rule ID 12661 //
     /* 1814678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1814689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1814692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1814695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1814698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814724 */     // MIs[0] policy
     /* 1814724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814734 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1814737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814758 */     // GIR_Coverage, 12661,
     /* 1814758 */     GIR_EraseRootFromParent_Done,
     /* 1814759 */   // Label 24596: @1814759
     /* 1814759 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1814845), // Rule ID 12664 //
     /* 1814764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1814781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814810 */     // MIs[0] policy
     /* 1814810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814820 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1814823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814844 */     // GIR_Coverage, 12664,
     /* 1814844 */     GIR_EraseRootFromParent_Done,
     /* 1814845 */   // Label 24597: @1814845
     /* 1814845 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1814931), // Rule ID 12665 //
     /* 1814850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1814861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1814864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1814867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1814870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1814873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814896 */     // MIs[0] policy
     /* 1814896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814906 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1814909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814930 */     // GIR_Coverage, 12665,
     /* 1814930 */     GIR_EraseRootFromParent_Done,
     /* 1814931 */   // Label 24598: @1814931
     /* 1814931 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1815017), // Rule ID 12668 //
     /* 1814936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1814953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1814956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814982 */     // MIs[0] policy
     /* 1814982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1814995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815016 */     // GIR_Coverage, 12668,
     /* 1815016 */     GIR_EraseRootFromParent_Done,
     /* 1815017 */   // Label 24599: @1815017
     /* 1815017 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1815103), // Rule ID 12669 //
     /* 1815022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1815033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1815036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1815039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1815042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815068 */     // MIs[0] policy
     /* 1815068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1815081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815102 */     // GIR_Coverage, 12669,
     /* 1815102 */     GIR_EraseRootFromParent_Done,
     /* 1815103 */   // Label 24600: @1815103
     /* 1815103 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1815189), // Rule ID 12672 //
     /* 1815108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1815119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1815122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1815125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1815128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815154 */     // MIs[0] policy
     /* 1815154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1815167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815188 */     // GIR_Coverage, 12672,
     /* 1815188 */     GIR_EraseRootFromParent_Done,
     /* 1815189 */   // Label 24601: @1815189
     /* 1815189 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1815275), // Rule ID 12673 //
     /* 1815194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1815205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1815208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1815211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1815214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815240 */     // MIs[0] policy
     /* 1815240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1815253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815274 */     // GIR_Coverage, 12673,
     /* 1815274 */     GIR_EraseRootFromParent_Done,
     /* 1815275 */   // Label 24602: @1815275
     /* 1815275 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1815361), // Rule ID 12676 //
     /* 1815280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1815291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1815294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1815297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1815300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815326 */     // MIs[0] policy
     /* 1815326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1815339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815360 */     // GIR_Coverage, 12676,
     /* 1815360 */     GIR_EraseRootFromParent_Done,
     /* 1815361 */   // Label 24603: @1815361
     /* 1815361 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1815447), // Rule ID 12677 //
     /* 1815366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1815377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1815380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1815383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1815386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815412 */     // MIs[0] policy
     /* 1815412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1815425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815446 */     // GIR_Coverage, 12677,
     /* 1815446 */     GIR_EraseRootFromParent_Done,
     /* 1815447 */   // Label 24604: @1815447
     /* 1815447 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1815533), // Rule ID 12680 //
     /* 1815452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1815469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1815472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815498 */     // MIs[0] policy
     /* 1815498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1815511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815532 */     // GIR_Coverage, 12680,
     /* 1815532 */     GIR_EraseRootFromParent_Done,
     /* 1815533 */   // Label 24605: @1815533
     /* 1815533 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1815619), // Rule ID 12681 //
     /* 1815538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1815555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1815558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815584 */     // MIs[0] policy
     /* 1815584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1815597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815618 */     // GIR_Coverage, 12681,
     /* 1815618 */     GIR_EraseRootFromParent_Done,
     /* 1815619 */   // Label 24606: @1815619
     /* 1815619 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1815705), // Rule ID 12684 //
     /* 1815624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1815641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1815644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815670 */     // MIs[0] policy
     /* 1815670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1815683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815704 */     // GIR_Coverage, 12684,
     /* 1815704 */     GIR_EraseRootFromParent_Done,
     /* 1815705 */   // Label 24607: @1815705
     /* 1815705 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1815791), // Rule ID 12685 //
     /* 1815710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1815727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1815730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815756 */     // MIs[0] policy
     /* 1815756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1815769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815790 */     // GIR_Coverage, 12685,
     /* 1815790 */     GIR_EraseRootFromParent_Done,
     /* 1815791 */   // Label 24608: @1815791
     /* 1815791 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1815877), // Rule ID 12688 //
     /* 1815796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1815813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815842 */     // MIs[0] policy
     /* 1815842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1815855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815876 */     // GIR_Coverage, 12688,
     /* 1815876 */     GIR_EraseRootFromParent_Done,
     /* 1815877 */   // Label 24609: @1815877
     /* 1815877 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1815963), // Rule ID 12689 //
     /* 1815882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1815899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1815902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815928 */     // MIs[0] policy
     /* 1815928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1815941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815962 */     // GIR_Coverage, 12689,
     /* 1815962 */     GIR_EraseRootFromParent_Done,
     /* 1815963 */   // Label 24610: @1815963
     /* 1815963 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1816049), // Rule ID 12692 //
     /* 1815968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1815976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1815985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1815988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816014 */     // MIs[0] policy
     /* 1816014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1816027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816048 */     // GIR_Coverage, 12692,
     /* 1816048 */     GIR_EraseRootFromParent_Done,
     /* 1816049 */   // Label 24611: @1816049
     /* 1816049 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1816135), // Rule ID 12693 //
     /* 1816054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1816065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1816068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1816071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1816074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816100 */     // MIs[0] policy
     /* 1816100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1816113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816134 */     // GIR_Coverage, 12693,
     /* 1816134 */     GIR_EraseRootFromParent_Done,
     /* 1816135 */   // Label 24612: @1816135
     /* 1816135 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1816221), // Rule ID 12696 //
     /* 1816140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1816143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1816151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1816154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1816157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1816160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816186 */     // MIs[0] policy
     /* 1816186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1816199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816220 */     // GIR_Coverage, 12696,
     /* 1816220 */     GIR_EraseRootFromParent_Done,
     /* 1816221 */   // Label 24613: @1816221
     /* 1816221 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1816307), // Rule ID 12697 //
     /* 1816226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1816237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1816240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1816243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1816246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816272 */     // MIs[0] policy
     /* 1816272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1816285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816306 */     // GIR_Coverage, 12697,
     /* 1816306 */     GIR_EraseRootFromParent_Done,
     /* 1816307 */   // Label 24614: @1816307
     /* 1816307 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1816393), // Rule ID 12700 //
     /* 1816312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1816315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1816323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1816326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1816329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1816332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816358 */     // MIs[0] policy
     /* 1816358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1816371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816392 */     // GIR_Coverage, 12700,
     /* 1816392 */     GIR_EraseRootFromParent_Done,
     /* 1816393 */   // Label 24615: @1816393
     /* 1816393 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1816479), // Rule ID 12701 //
     /* 1816398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1816409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1816412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1816415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1816418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816444 */     // MIs[0] policy
     /* 1816444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1816457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816478 */     // GIR_Coverage, 12701,
     /* 1816478 */     GIR_EraseRootFromParent_Done,
     /* 1816479 */   // Label 24616: @1816479
     /* 1816479 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1816565), // Rule ID 12704 //
     /* 1816484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1816495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1816498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1816504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816530 */     // MIs[0] policy
     /* 1816530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816540 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1816543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816564 */     // GIR_Coverage, 12704,
     /* 1816564 */     GIR_EraseRootFromParent_Done,
     /* 1816565 */   // Label 24617: @1816565
     /* 1816565 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1816651), // Rule ID 12705 //
     /* 1816570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1816581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1816584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1816590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816616 */     // MIs[0] policy
     /* 1816616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1816629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816650 */     // GIR_Coverage, 12705,
     /* 1816650 */     GIR_EraseRootFromParent_Done,
     /* 1816651 */   // Label 24618: @1816651
     /* 1816651 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1816737), // Rule ID 12708 //
     /* 1816656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1816676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816702 */     // MIs[0] policy
     /* 1816702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1816715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816736 */     // GIR_Coverage, 12708,
     /* 1816736 */     GIR_EraseRootFromParent_Done,
     /* 1816737 */   // Label 24619: @1816737
     /* 1816737 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1816823), // Rule ID 12709 //
     /* 1816742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1816762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816788 */     // MIs[0] policy
     /* 1816788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816798 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1816801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816822 */     // GIR_Coverage, 12709,
     /* 1816822 */     GIR_EraseRootFromParent_Done,
     /* 1816823 */   // Label 24620: @1816823
     /* 1816823 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1816909), // Rule ID 12712 //
     /* 1816828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816874 */     // MIs[0] policy
     /* 1816874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1816887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816908 */     // GIR_Coverage, 12712,
     /* 1816908 */     GIR_EraseRootFromParent_Done,
     /* 1816909 */   // Label 24621: @1816909
     /* 1816909 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1816995), // Rule ID 12713 //
     /* 1816914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1816922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1816934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816960 */     // MIs[0] policy
     /* 1816960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816970 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1816973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816994 */     // GIR_Coverage, 12713,
     /* 1816994 */     GIR_EraseRootFromParent_Done,
     /* 1816995 */   // Label 24622: @1816995
     /* 1816995 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1817081), // Rule ID 12716 //
     /* 1817000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1817011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1817014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1817020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817046 */     // MIs[0] policy
     /* 1817046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1817059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817080 */     // GIR_Coverage, 12716,
     /* 1817080 */     GIR_EraseRootFromParent_Done,
     /* 1817081 */   // Label 24623: @1817081
     /* 1817081 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1817167), // Rule ID 12717 //
     /* 1817086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1817097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1817100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1817106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817132 */     // MIs[0] policy
     /* 1817132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1817145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817166 */     // GIR_Coverage, 12717,
     /* 1817166 */     GIR_EraseRootFromParent_Done,
     /* 1817167 */   // Label 24624: @1817167
     /* 1817167 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1817253), // Rule ID 12720 //
     /* 1817172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1817183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1817186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1817192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817218 */     // MIs[0] policy
     /* 1817218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1817231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817252 */     // GIR_Coverage, 12720,
     /* 1817252 */     GIR_EraseRootFromParent_Done,
     /* 1817253 */   // Label 24625: @1817253
     /* 1817253 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1817339), // Rule ID 12721 //
     /* 1817258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1817269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1817272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1817278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817304 */     // MIs[0] policy
     /* 1817304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1817317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817338 */     // GIR_Coverage, 12721,
     /* 1817338 */     GIR_EraseRootFromParent_Done,
     /* 1817339 */   // Label 24626: @1817339
     /* 1817339 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1817425), // Rule ID 12724 //
     /* 1817344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1817355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1817358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1817364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817390 */     // MIs[0] policy
     /* 1817390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1817403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817424 */     // GIR_Coverage, 12724,
     /* 1817424 */     GIR_EraseRootFromParent_Done,
     /* 1817425 */   // Label 24627: @1817425
     /* 1817425 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1817511), // Rule ID 12725 //
     /* 1817430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1817441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1817444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1817450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817476 */     // MIs[0] policy
     /* 1817476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1817489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817510 */     // GIR_Coverage, 12725,
     /* 1817510 */     GIR_EraseRootFromParent_Done,
     /* 1817511 */   // Label 24628: @1817511
     /* 1817511 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1817597), // Rule ID 12728 //
     /* 1817516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1817527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1817530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1817536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817562 */     // MIs[0] policy
     /* 1817562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1817575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817596 */     // GIR_Coverage, 12728,
     /* 1817596 */     GIR_EraseRootFromParent_Done,
     /* 1817597 */   // Label 24629: @1817597
     /* 1817597 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1817683), // Rule ID 12729 //
     /* 1817602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1817613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1817616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1817622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817648 */     // MIs[0] policy
     /* 1817648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1817661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817682 */     // GIR_Coverage, 12729,
     /* 1817682 */     GIR_EraseRootFromParent_Done,
     /* 1817683 */   // Label 24630: @1817683
     /* 1817683 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1817769), // Rule ID 12732 //
     /* 1817688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1817708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817734 */     // MIs[0] policy
     /* 1817734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1817747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817768 */     // GIR_Coverage, 12732,
     /* 1817768 */     GIR_EraseRootFromParent_Done,
     /* 1817769 */   // Label 24631: @1817769
     /* 1817769 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1817855), // Rule ID 12733 //
     /* 1817774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1817794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817820 */     // MIs[0] policy
     /* 1817820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1817833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817854 */     // GIR_Coverage, 12733,
     /* 1817854 */     GIR_EraseRootFromParent_Done,
     /* 1817855 */   // Label 24632: @1817855
     /* 1817855 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1817941), // Rule ID 12736 //
     /* 1817860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817906 */     // MIs[0] policy
     /* 1817906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1817919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817940 */     // GIR_Coverage, 12736,
     /* 1817940 */     GIR_EraseRootFromParent_Done,
     /* 1817941 */   // Label 24633: @1817941
     /* 1817941 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1818027), // Rule ID 12737 //
     /* 1817946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1817954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1817966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817992 */     // MIs[0] policy
     /* 1817992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1818005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818026 */     // GIR_Coverage, 12737,
     /* 1818026 */     GIR_EraseRootFromParent_Done,
     /* 1818027 */   // Label 24634: @1818027
     /* 1818027 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1818113), // Rule ID 12740 //
     /* 1818032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1818043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1818046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1818052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818078 */     // MIs[0] policy
     /* 1818078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1818091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818112 */     // GIR_Coverage, 12740,
     /* 1818112 */     GIR_EraseRootFromParent_Done,
     /* 1818113 */   // Label 24635: @1818113
     /* 1818113 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1818199), // Rule ID 12741 //
     /* 1818118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1818129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1818132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1818138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818164 */     // MIs[0] policy
     /* 1818164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1818177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818198 */     // GIR_Coverage, 12741,
     /* 1818198 */     GIR_EraseRootFromParent_Done,
     /* 1818199 */   // Label 24636: @1818199
     /* 1818199 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1818285), // Rule ID 12744 //
     /* 1818204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1818215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1818218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1818224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818250 */     // MIs[0] policy
     /* 1818250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1818263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818284 */     // GIR_Coverage, 12744,
     /* 1818284 */     GIR_EraseRootFromParent_Done,
     /* 1818285 */   // Label 24637: @1818285
     /* 1818285 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1818371), // Rule ID 12745 //
     /* 1818290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1818301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1818304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1818310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818336 */     // MIs[0] policy
     /* 1818336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1818349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818370 */     // GIR_Coverage, 12745,
     /* 1818370 */     GIR_EraseRootFromParent_Done,
     /* 1818371 */   // Label 24638: @1818371
     /* 1818371 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1818457), // Rule ID 12748 //
     /* 1818376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1818387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1818390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1818396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818422 */     // MIs[0] policy
     /* 1818422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818432 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1818435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818456 */     // GIR_Coverage, 12748,
     /* 1818456 */     GIR_EraseRootFromParent_Done,
     /* 1818457 */   // Label 24639: @1818457
     /* 1818457 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1818543), // Rule ID 12749 //
     /* 1818462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1818473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1818476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1818482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818508 */     // MIs[0] policy
     /* 1818508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1818521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818542 */     // GIR_Coverage, 12749,
     /* 1818542 */     GIR_EraseRootFromParent_Done,
     /* 1818543 */   // Label 24640: @1818543
     /* 1818543 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1818629), // Rule ID 12752 //
     /* 1818548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1818559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1818562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1818568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1818571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818594 */     // MIs[0] policy
     /* 1818594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1818607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818628 */     // GIR_Coverage, 12752,
     /* 1818628 */     GIR_EraseRootFromParent_Done,
     /* 1818629 */   // Label 24641: @1818629
     /* 1818629 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1818715), // Rule ID 12753 //
     /* 1818634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1818645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1818648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1818654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1818657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818680 */     // MIs[0] policy
     /* 1818680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818690 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1818693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818714 */     // GIR_Coverage, 12753,
     /* 1818714 */     GIR_EraseRootFromParent_Done,
     /* 1818715 */   // Label 24642: @1818715
     /* 1818715 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1818801), // Rule ID 12756 //
     /* 1818720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818766 */     // MIs[0] policy
     /* 1818766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1818779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818800 */     // GIR_Coverage, 12756,
     /* 1818800 */     GIR_EraseRootFromParent_Done,
     /* 1818801 */   // Label 24643: @1818801
     /* 1818801 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1818887), // Rule ID 12757 //
     /* 1818806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1818826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818852 */     // MIs[0] policy
     /* 1818852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1818865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818886 */     // GIR_Coverage, 12757,
     /* 1818886 */     GIR_EraseRootFromParent_Done,
     /* 1818887 */   // Label 24644: @1818887
     /* 1818887 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1818973), // Rule ID 12760 //
     /* 1818892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818938 */     // MIs[0] policy
     /* 1818938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1818951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818972 */     // GIR_Coverage, 12760,
     /* 1818972 */     GIR_EraseRootFromParent_Done,
     /* 1818973 */   // Label 24645: @1818973
     /* 1818973 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1819059), // Rule ID 12761 //
     /* 1818978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1818986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1818998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819024 */     // MIs[0] policy
     /* 1819024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1819037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819058 */     // GIR_Coverage, 12761,
     /* 1819058 */     GIR_EraseRootFromParent_Done,
     /* 1819059 */   // Label 24646: @1819059
     /* 1819059 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1819145), // Rule ID 12764 //
     /* 1819064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1819075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1819078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1819084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1819087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819110 */     // MIs[0] policy
     /* 1819110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819120 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1819123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819144 */     // GIR_Coverage, 12764,
     /* 1819144 */     GIR_EraseRootFromParent_Done,
     /* 1819145 */   // Label 24647: @1819145
     /* 1819145 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1819231), // Rule ID 12765 //
     /* 1819150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1819161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1819164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1819170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1819173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819196 */     // MIs[0] policy
     /* 1819196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1819209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819230 */     // GIR_Coverage, 12765,
     /* 1819230 */     GIR_EraseRootFromParent_Done,
     /* 1819231 */   // Label 24648: @1819231
     /* 1819231 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1819317), // Rule ID 12768 //
     /* 1819236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1819247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1819250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1819256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819282 */     // MIs[0] policy
     /* 1819282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1819295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819316 */     // GIR_Coverage, 12768,
     /* 1819316 */     GIR_EraseRootFromParent_Done,
     /* 1819317 */   // Label 24649: @1819317
     /* 1819317 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1819403), // Rule ID 12769 //
     /* 1819322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1819333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1819336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1819342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819368 */     // MIs[0] policy
     /* 1819368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1819381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819402 */     // GIR_Coverage, 12769,
     /* 1819402 */     GIR_EraseRootFromParent_Done,
     /* 1819403 */   // Label 24650: @1819403
     /* 1819403 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1819489), // Rule ID 12772 //
     /* 1819408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1819419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1819422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1819428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819454 */     // MIs[0] policy
     /* 1819454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819464 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1819467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819488 */     // GIR_Coverage, 12772,
     /* 1819488 */     GIR_EraseRootFromParent_Done,
     /* 1819489 */   // Label 24651: @1819489
     /* 1819489 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1819575), // Rule ID 12773 //
     /* 1819494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1819505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1819508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1819514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819540 */     // MIs[0] policy
     /* 1819540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1819553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819574 */     // GIR_Coverage, 12773,
     /* 1819574 */     GIR_EraseRootFromParent_Done,
     /* 1819575 */   // Label 24652: @1819575
     /* 1819575 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1819661), // Rule ID 12776 //
     /* 1819580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1819591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1819594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1819600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819626 */     // MIs[0] policy
     /* 1819626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1819639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819660 */     // GIR_Coverage, 12776,
     /* 1819660 */     GIR_EraseRootFromParent_Done,
     /* 1819661 */   // Label 24653: @1819661
     /* 1819661 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1819747), // Rule ID 12777 //
     /* 1819666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1819677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1819680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1819686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819712 */     // MIs[0] policy
     /* 1819712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1819725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819746 */     // GIR_Coverage, 12777,
     /* 1819746 */     GIR_EraseRootFromParent_Done,
     /* 1819747 */   // Label 24654: @1819747
     /* 1819747 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1819833), // Rule ID 12780 //
     /* 1819752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819798 */     // MIs[0] policy
     /* 1819798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1819811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819832 */     // GIR_Coverage, 12780,
     /* 1819832 */     GIR_EraseRootFromParent_Done,
     /* 1819833 */   // Label 24655: @1819833
     /* 1819833 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1819919), // Rule ID 12781 //
     /* 1819838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1819858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819884 */     // MIs[0] policy
     /* 1819884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1819897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819918 */     // GIR_Coverage, 12781,
     /* 1819918 */     GIR_EraseRootFromParent_Done,
     /* 1819919 */   // Label 24656: @1819919
     /* 1819919 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1820005), // Rule ID 12784 //
     /* 1819924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1819944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819970 */     // MIs[0] policy
     /* 1819970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1819983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820004 */     // GIR_Coverage, 12784,
     /* 1820004 */     GIR_EraseRootFromParent_Done,
     /* 1820005 */   // Label 24657: @1820005
     /* 1820005 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1820091), // Rule ID 12785 //
     /* 1820010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1820013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1820021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1820024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1820030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820056 */     // MIs[0] policy
     /* 1820056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1820069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820090 */     // GIR_Coverage, 12785,
     /* 1820090 */     GIR_EraseRootFromParent_Done,
     /* 1820091 */   // Label 24658: @1820091
     /* 1820091 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1820177), // Rule ID 12788 //
     /* 1820096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1820099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1820107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1820110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1820116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820142 */     // MIs[0] policy
     /* 1820142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1820155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820176 */     // GIR_Coverage, 12788,
     /* 1820176 */     GIR_EraseRootFromParent_Done,
     /* 1820177 */   // Label 24659: @1820177
     /* 1820177 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1820263), // Rule ID 12789 //
     /* 1820182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1820185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1820193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1820196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1820202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820228 */     // MIs[0] policy
     /* 1820228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1820241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820262 */     // GIR_Coverage, 12789,
     /* 1820262 */     GIR_EraseRootFromParent_Done,
     /* 1820263 */   // Label 24660: @1820263
     /* 1820263 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1820349), // Rule ID 12792 //
     /* 1820268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1820279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1820282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1820285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1820288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820314 */     // MIs[0] policy
     /* 1820314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1820327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820348 */     // GIR_Coverage, 12792,
     /* 1820348 */     GIR_EraseRootFromParent_Done,
     /* 1820349 */   // Label 24661: @1820349
     /* 1820349 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1820435), // Rule ID 12793 //
     /* 1820354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1820365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1820368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1820371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1820374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820400 */     // MIs[0] policy
     /* 1820400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820410 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1820413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820434 */     // GIR_Coverage, 12793,
     /* 1820434 */     GIR_EraseRootFromParent_Done,
     /* 1820435 */   // Label 24662: @1820435
     /* 1820435 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1820521), // Rule ID 12796 //
     /* 1820440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1820451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1820454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1820457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1820460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820486 */     // MIs[0] policy
     /* 1820486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1820499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820520 */     // GIR_Coverage, 12796,
     /* 1820520 */     GIR_EraseRootFromParent_Done,
     /* 1820521 */   // Label 24663: @1820521
     /* 1820521 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1820607), // Rule ID 12797 //
     /* 1820526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1820537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1820540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1820543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1820546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820572 */     // MIs[0] policy
     /* 1820572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1820585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820606 */     // GIR_Coverage, 12797,
     /* 1820606 */     GIR_EraseRootFromParent_Done,
     /* 1820607 */   // Label 24664: @1820607
     /* 1820607 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1820693), // Rule ID 12800 //
     /* 1820612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1820629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1820632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820658 */     // MIs[0] policy
     /* 1820658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1820671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820692 */     // GIR_Coverage, 12800,
     /* 1820692 */     GIR_EraseRootFromParent_Done,
     /* 1820693 */   // Label 24665: @1820693
     /* 1820693 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1820779), // Rule ID 12801 //
     /* 1820698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1820715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1820718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820744 */     // MIs[0] policy
     /* 1820744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820754 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1820757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820778 */     // GIR_Coverage, 12801,
     /* 1820778 */     GIR_EraseRootFromParent_Done,
     /* 1820779 */   // Label 24666: @1820779
     /* 1820779 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1820865), // Rule ID 12804 //
     /* 1820784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1820801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820830 */     // MIs[0] policy
     /* 1820830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1820843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820864 */     // GIR_Coverage, 12804,
     /* 1820864 */     GIR_EraseRootFromParent_Done,
     /* 1820865 */   // Label 24667: @1820865
     /* 1820865 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1820951), // Rule ID 12805 //
     /* 1820870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1820887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820916 */     // MIs[0] policy
     /* 1820916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1820929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820950 */     // GIR_Coverage, 12805,
     /* 1820950 */     GIR_EraseRootFromParent_Done,
     /* 1820951 */   // Label 24668: @1820951
     /* 1820951 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1821037), // Rule ID 12808 //
     /* 1820956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1820973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821002 */     // MIs[0] policy
     /* 1821002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1821015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821036 */     // GIR_Coverage, 12808,
     /* 1821036 */     GIR_EraseRootFromParent_Done,
     /* 1821037 */   // Label 24669: @1821037
     /* 1821037 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1821123), // Rule ID 12809 //
     /* 1821042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1821053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1821056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1821059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1821062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821088 */     // MIs[0] policy
     /* 1821088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821098 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1821101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821122 */     // GIR_Coverage, 12809,
     /* 1821122 */     GIR_EraseRootFromParent_Done,
     /* 1821123 */   // Label 24670: @1821123
     /* 1821123 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1821209), // Rule ID 12812 //
     /* 1821128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1821139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1821142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1821145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1821148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821174 */     // MIs[0] policy
     /* 1821174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1821187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821208 */     // GIR_Coverage, 12812,
     /* 1821208 */     GIR_EraseRootFromParent_Done,
     /* 1821209 */   // Label 24671: @1821209
     /* 1821209 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1821295), // Rule ID 12813 //
     /* 1821214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1821225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1821228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1821231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1821234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821260 */     // MIs[0] policy
     /* 1821260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1821273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821294 */     // GIR_Coverage, 12813,
     /* 1821294 */     GIR_EraseRootFromParent_Done,
     /* 1821295 */   // Label 24672: @1821295
     /* 1821295 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1821381), // Rule ID 12816 //
     /* 1821300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1821311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1821314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1821317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1821320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821346 */     // MIs[0] policy
     /* 1821346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821380 */     // GIR_Coverage, 12816,
     /* 1821380 */     GIR_EraseRootFromParent_Done,
     /* 1821381 */   // Label 24673: @1821381
     /* 1821381 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1821467), // Rule ID 12817 //
     /* 1821386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1821397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1821400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1821403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1821406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821432 */     // MIs[0] policy
     /* 1821432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821466 */     // GIR_Coverage, 12817,
     /* 1821466 */     GIR_EraseRootFromParent_Done,
     /* 1821467 */   // Label 24674: @1821467
     /* 1821467 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1821553), // Rule ID 12820 //
     /* 1821472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1821483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1821486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1821489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1821492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821518 */     // MIs[0] policy
     /* 1821518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821552 */     // GIR_Coverage, 12820,
     /* 1821552 */     GIR_EraseRootFromParent_Done,
     /* 1821553 */   // Label 24675: @1821553
     /* 1821553 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1821639), // Rule ID 12821 //
     /* 1821558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1821569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1821572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1821575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1821578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821604 */     // MIs[0] policy
     /* 1821604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821638 */     // GIR_Coverage, 12821,
     /* 1821638 */     GIR_EraseRootFromParent_Done,
     /* 1821639 */   // Label 24676: @1821639
     /* 1821639 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1821725), // Rule ID 12824 //
     /* 1821644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1821661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1821664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821690 */     // MIs[0] policy
     /* 1821690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821724 */     // GIR_Coverage, 12824,
     /* 1821724 */     GIR_EraseRootFromParent_Done,
     /* 1821725 */   // Label 24677: @1821725
     /* 1821725 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1821811), // Rule ID 12825 //
     /* 1821730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1821747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1821750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821776 */     // MIs[0] policy
     /* 1821776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821810 */     // GIR_Coverage, 12825,
     /* 1821810 */     GIR_EraseRootFromParent_Done,
     /* 1821811 */   // Label 24678: @1821811
     /* 1821811 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1821897), // Rule ID 12828 //
     /* 1821816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1821833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821862 */     // MIs[0] policy
     /* 1821862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821896 */     // GIR_Coverage, 12828,
     /* 1821896 */     GIR_EraseRootFromParent_Done,
     /* 1821897 */   // Label 24679: @1821897
     /* 1821897 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1821983), // Rule ID 12829 //
     /* 1821902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1821919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821948 */     // MIs[0] policy
     /* 1821948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1821961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821982 */     // GIR_Coverage, 12829,
     /* 1821982 */     GIR_EraseRootFromParent_Done,
     /* 1821983 */   // Label 24680: @1821983
     /* 1821983 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1822069), // Rule ID 12832 //
     /* 1821988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1822002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1822005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1822008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822034 */     // MIs[0] policy
     /* 1822034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1822047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822068 */     // GIR_Coverage, 12832,
     /* 1822068 */     GIR_EraseRootFromParent_Done,
     /* 1822069 */   // Label 24681: @1822069
     /* 1822069 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1822155), // Rule ID 12833 //
     /* 1822074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1822085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1822088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1822091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1822094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822120 */     // MIs[0] policy
     /* 1822120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1822133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822154 */     // GIR_Coverage, 12833,
     /* 1822154 */     GIR_EraseRootFromParent_Done,
     /* 1822155 */   // Label 24682: @1822155
     /* 1822155 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1822241), // Rule ID 12836 //
     /* 1822160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1822171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1822174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1822177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1822180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822206 */     // MIs[0] policy
     /* 1822206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1822219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822240 */     // GIR_Coverage, 12836,
     /* 1822240 */     GIR_EraseRootFromParent_Done,
     /* 1822241 */   // Label 24683: @1822241
     /* 1822241 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1822327), // Rule ID 12837 //
     /* 1822246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1822257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1822260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1822263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1822266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822292 */     // MIs[0] policy
     /* 1822292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1822305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822326 */     // GIR_Coverage, 12837,
     /* 1822326 */     GIR_EraseRootFromParent_Done,
     /* 1822327 */   // Label 24684: @1822327
     /* 1822327 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1822413), // Rule ID 12840 //
     /* 1822332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1822343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1822346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1822349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1822352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1822355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822378 */     // MIs[0] policy
     /* 1822378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1822391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822412 */     // GIR_Coverage, 12840,
     /* 1822412 */     GIR_EraseRootFromParent_Done,
     /* 1822413 */   // Label 24685: @1822413
     /* 1822413 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1822499), // Rule ID 12841 //
     /* 1822418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1822429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1822432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1822435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1822438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1822441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822464 */     // MIs[0] policy
     /* 1822464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822474 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1822477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822498 */     // GIR_Coverage, 12841,
     /* 1822498 */     GIR_EraseRootFromParent_Done,
     /* 1822499 */   // Label 24686: @1822499
     /* 1822499 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1822585), // Rule ID 12844 //
     /* 1822504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1822515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1822518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1822521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1822524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822550 */     // MIs[0] policy
     /* 1822550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1822563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822584 */     // GIR_Coverage, 12844,
     /* 1822584 */     GIR_EraseRootFromParent_Done,
     /* 1822585 */   // Label 24687: @1822585
     /* 1822585 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1822671), // Rule ID 12845 //
     /* 1822590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1822601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1822604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1822607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1822610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822636 */     // MIs[0] policy
     /* 1822636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1822649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822670 */     // GIR_Coverage, 12845,
     /* 1822670 */     GIR_EraseRootFromParent_Done,
     /* 1822671 */   // Label 24688: @1822671
     /* 1822671 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1822757), // Rule ID 12848 //
     /* 1822676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1822693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1822696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822722 */     // MIs[0] policy
     /* 1822722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1822735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822756 */     // GIR_Coverage, 12848,
     /* 1822756 */     GIR_EraseRootFromParent_Done,
     /* 1822757 */   // Label 24689: @1822757
     /* 1822757 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1822843), // Rule ID 12849 //
     /* 1822762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1822779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1822782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822808 */     // MIs[0] policy
     /* 1822808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1822821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822842 */     // GIR_Coverage, 12849,
     /* 1822842 */     GIR_EraseRootFromParent_Done,
     /* 1822843 */   // Label 24690: @1822843
     /* 1822843 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1822929), // Rule ID 12852 //
     /* 1822848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1822865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822894 */     // MIs[0] policy
     /* 1822894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822904 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1822907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822928 */     // GIR_Coverage, 12852,
     /* 1822928 */     GIR_EraseRootFromParent_Done,
     /* 1822929 */   // Label 24691: @1822929
     /* 1822929 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1823015), // Rule ID 12853 //
     /* 1822934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1822942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1822951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822980 */     // MIs[0] policy
     /* 1822980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822990 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1822993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823014 */     // GIR_Coverage, 12853,
     /* 1823014 */     GIR_EraseRootFromParent_Done,
     /* 1823015 */   // Label 24692: @1823015
     /* 1823015 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1823101), // Rule ID 12856 //
     /* 1823020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1823031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1823034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1823037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1823040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823066 */     // MIs[0] policy
     /* 1823066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1823079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823100 */     // GIR_Coverage, 12856,
     /* 1823100 */     GIR_EraseRootFromParent_Done,
     /* 1823101 */   // Label 24693: @1823101
     /* 1823101 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1823187), // Rule ID 12857 //
     /* 1823106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1823117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1823120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1823123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1823126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823152 */     // MIs[0] policy
     /* 1823152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1823165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823186 */     // GIR_Coverage, 12857,
     /* 1823186 */     GIR_EraseRootFromParent_Done,
     /* 1823187 */   // Label 24694: @1823187
     /* 1823187 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1823273), // Rule ID 12860 //
     /* 1823192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1823203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1823206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1823209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1823212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823238 */     // MIs[0] policy
     /* 1823238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1823251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823272 */     // GIR_Coverage, 12860,
     /* 1823272 */     GIR_EraseRootFromParent_Done,
     /* 1823273 */   // Label 24695: @1823273
     /* 1823273 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1823359), // Rule ID 12861 //
     /* 1823278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1823289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1823292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1823295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1823298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823324 */     // MIs[0] policy
     /* 1823324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1823337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823358 */     // GIR_Coverage, 12861,
     /* 1823358 */     GIR_EraseRootFromParent_Done,
     /* 1823359 */   // Label 24696: @1823359
     /* 1823359 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1823445), // Rule ID 12864 //
     /* 1823364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1823375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1823378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1823381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1823384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823410 */     // MIs[0] policy
     /* 1823410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1823423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823444 */     // GIR_Coverage, 12864,
     /* 1823444 */     GIR_EraseRootFromParent_Done,
     /* 1823445 */   // Label 24697: @1823445
     /* 1823445 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1823531), // Rule ID 12865 //
     /* 1823450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1823461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1823464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1823467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1823470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823496 */     // MIs[0] policy
     /* 1823496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1823509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823530 */     // GIR_Coverage, 12865,
     /* 1823530 */     GIR_EraseRootFromParent_Done,
     /* 1823531 */   // Label 24698: @1823531
     /* 1823531 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1823617), // Rule ID 12868 //
     /* 1823536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1823547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1823550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1823553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1823556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823582 */     // MIs[0] policy
     /* 1823582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1823595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823616 */     // GIR_Coverage, 12868,
     /* 1823616 */     GIR_EraseRootFromParent_Done,
     /* 1823617 */   // Label 24699: @1823617
     /* 1823617 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1823703), // Rule ID 12869 //
     /* 1823622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1823633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1823636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1823639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1823642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823668 */     // MIs[0] policy
     /* 1823668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1823681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823702 */     // GIR_Coverage, 12869,
     /* 1823702 */     GIR_EraseRootFromParent_Done,
     /* 1823703 */   // Label 24700: @1823703
     /* 1823703 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1823789), // Rule ID 12872 //
     /* 1823708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1823725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823754 */     // MIs[0] policy
     /* 1823754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1823767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823788 */     // GIR_Coverage, 12872,
     /* 1823788 */     GIR_EraseRootFromParent_Done,
     /* 1823789 */   // Label 24701: @1823789
     /* 1823789 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1823875), // Rule ID 12873 //
     /* 1823794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1823811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823840 */     // MIs[0] policy
     /* 1823840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1823853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823874 */     // GIR_Coverage, 12873,
     /* 1823874 */     GIR_EraseRootFromParent_Done,
     /* 1823875 */   // Label 24702: @1823875
     /* 1823875 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1823961), // Rule ID 12876 //
     /* 1823880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1823897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823926 */     // MIs[0] policy
     /* 1823926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1823939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823960 */     // GIR_Coverage, 12876,
     /* 1823960 */     GIR_EraseRootFromParent_Done,
     /* 1823961 */   // Label 24703: @1823961
     /* 1823961 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1824047), // Rule ID 12877 //
     /* 1823966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1823974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1823983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824012 */     // MIs[0] policy
     /* 1824012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1824025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824046 */     // GIR_Coverage, 12877,
     /* 1824046 */     GIR_EraseRootFromParent_Done,
     /* 1824047 */   // Label 24704: @1824047
     /* 1824047 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1824133), // Rule ID 12880 //
     /* 1824052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1824063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1824066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1824072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824098 */     // MIs[0] policy
     /* 1824098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1824111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824132 */     // GIR_Coverage, 12880,
     /* 1824132 */     GIR_EraseRootFromParent_Done,
     /* 1824133 */   // Label 24705: @1824133
     /* 1824133 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1824219), // Rule ID 12881 //
     /* 1824138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1824149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1824152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1824158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824184 */     // MIs[0] policy
     /* 1824184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1824197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824218 */     // GIR_Coverage, 12881,
     /* 1824218 */     GIR_EraseRootFromParent_Done,
     /* 1824219 */   // Label 24706: @1824219
     /* 1824219 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1824305), // Rule ID 12884 //
     /* 1824224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1824235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1824238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1824244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824270 */     // MIs[0] policy
     /* 1824270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1824283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824304 */     // GIR_Coverage, 12884,
     /* 1824304 */     GIR_EraseRootFromParent_Done,
     /* 1824305 */   // Label 24707: @1824305
     /* 1824305 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1824391), // Rule ID 12885 //
     /* 1824310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1824321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1824324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1824330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824356 */     // MIs[0] policy
     /* 1824356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1824369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824390 */     // GIR_Coverage, 12885,
     /* 1824390 */     GIR_EraseRootFromParent_Done,
     /* 1824391 */   // Label 24708: @1824391
     /* 1824391 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1824477), // Rule ID 12888 //
     /* 1824396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1824407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1824410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1824416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824442 */     // MIs[0] policy
     /* 1824442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1824455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824476 */     // GIR_Coverage, 12888,
     /* 1824476 */     GIR_EraseRootFromParent_Done,
     /* 1824477 */   // Label 24709: @1824477
     /* 1824477 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1824563), // Rule ID 12889 //
     /* 1824482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1824493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1824496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1824502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824528 */     // MIs[0] policy
     /* 1824528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1824541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824562 */     // GIR_Coverage, 12889,
     /* 1824562 */     GIR_EraseRootFromParent_Done,
     /* 1824563 */   // Label 24710: @1824563
     /* 1824563 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1824649), // Rule ID 12892 //
     /* 1824568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1824579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1824582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1824588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824614 */     // MIs[0] policy
     /* 1824614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1824627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824648 */     // GIR_Coverage, 12892,
     /* 1824648 */     GIR_EraseRootFromParent_Done,
     /* 1824649 */   // Label 24711: @1824649
     /* 1824649 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1824735), // Rule ID 12893 //
     /* 1824654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1824665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1824668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1824674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824700 */     // MIs[0] policy
     /* 1824700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824710 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1824713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824734 */     // GIR_Coverage, 12893,
     /* 1824734 */     GIR_EraseRootFromParent_Done,
     /* 1824735 */   // Label 24712: @1824735
     /* 1824735 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1824821), // Rule ID 12896 //
     /* 1824740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824786 */     // MIs[0] policy
     /* 1824786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1824799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824820 */     // GIR_Coverage, 12896,
     /* 1824820 */     GIR_EraseRootFromParent_Done,
     /* 1824821 */   // Label 24713: @1824821
     /* 1824821 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1824907), // Rule ID 12897 //
     /* 1824826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824872 */     // MIs[0] policy
     /* 1824872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1824885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824906 */     // GIR_Coverage, 12897,
     /* 1824906 */     GIR_EraseRootFromParent_Done,
     /* 1824907 */   // Label 24714: @1824907
     /* 1824907 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1824993), // Rule ID 12900 //
     /* 1824912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1824920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824958 */     // MIs[0] policy
     /* 1824958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1824971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824992 */     // GIR_Coverage, 12900,
     /* 1824992 */     GIR_EraseRootFromParent_Done,
     /* 1824993 */   // Label 24715: @1824993
     /* 1824993 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1825079), // Rule ID 12901 //
     /* 1824998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1825009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1825012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1825018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825044 */     // MIs[0] policy
     /* 1825044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1825057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825078 */     // GIR_Coverage, 12901,
     /* 1825078 */     GIR_EraseRootFromParent_Done,
     /* 1825079 */   // Label 24716: @1825079
     /* 1825079 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1825165), // Rule ID 12904 //
     /* 1825084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1825095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1825098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1825104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825130 */     // MIs[0] policy
     /* 1825130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825164 */     // GIR_Coverage, 12904,
     /* 1825164 */     GIR_EraseRootFromParent_Done,
     /* 1825165 */   // Label 24717: @1825165
     /* 1825165 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1825251), // Rule ID 12905 //
     /* 1825170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1825181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1825184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1825190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825216 */     // MIs[0] policy
     /* 1825216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825250 */     // GIR_Coverage, 12905,
     /* 1825250 */     GIR_EraseRootFromParent_Done,
     /* 1825251 */   // Label 24718: @1825251
     /* 1825251 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1825337), // Rule ID 12908 //
     /* 1825256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1825267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1825270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1825276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825302 */     // MIs[0] policy
     /* 1825302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825336 */     // GIR_Coverage, 12908,
     /* 1825336 */     GIR_EraseRootFromParent_Done,
     /* 1825337 */   // Label 24719: @1825337
     /* 1825337 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1825423), // Rule ID 12909 //
     /* 1825342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1825353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1825356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1825362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825388 */     // MIs[0] policy
     /* 1825388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825422 */     // GIR_Coverage, 12909,
     /* 1825422 */     GIR_EraseRootFromParent_Done,
     /* 1825423 */   // Label 24720: @1825423
     /* 1825423 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1825509), // Rule ID 12912 //
     /* 1825428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1825439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1825442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1825448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825474 */     // MIs[0] policy
     /* 1825474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825508 */     // GIR_Coverage, 12912,
     /* 1825508 */     GIR_EraseRootFromParent_Done,
     /* 1825509 */   // Label 24721: @1825509
     /* 1825509 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1825595), // Rule ID 12913 //
     /* 1825514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1825525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1825528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1825534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825560 */     // MIs[0] policy
     /* 1825560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825594 */     // GIR_Coverage, 12913,
     /* 1825594 */     GIR_EraseRootFromParent_Done,
     /* 1825595 */   // Label 24722: @1825595
     /* 1825595 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1825681), // Rule ID 12916 //
     /* 1825600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1825620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825646 */     // MIs[0] policy
     /* 1825646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825680 */     // GIR_Coverage, 12916,
     /* 1825680 */     GIR_EraseRootFromParent_Done,
     /* 1825681 */   // Label 24723: @1825681
     /* 1825681 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1825767), // Rule ID 12917 //
     /* 1825686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1825706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825732 */     // MIs[0] policy
     /* 1825732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1825745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825766 */     // GIR_Coverage, 12917,
     /* 1825766 */     GIR_EraseRootFromParent_Done,
     /* 1825767 */   // Label 24724: @1825767
     /* 1825767 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1825853), // Rule ID 12920 //
     /* 1825772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825818 */     // MIs[0] policy
     /* 1825818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1825831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825852 */     // GIR_Coverage, 12920,
     /* 1825852 */     GIR_EraseRootFromParent_Done,
     /* 1825853 */   // Label 24725: @1825853
     /* 1825853 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1825939), // Rule ID 12921 //
     /* 1825858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825904 */     // MIs[0] policy
     /* 1825904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1825917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825938 */     // GIR_Coverage, 12921,
     /* 1825938 */     GIR_EraseRootFromParent_Done,
     /* 1825939 */   // Label 24726: @1825939
     /* 1825939 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1826025), // Rule ID 12924 //
     /* 1825944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1825952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825990 */     // MIs[0] policy
     /* 1825990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826000 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1826003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826024 */     // GIR_Coverage, 12924,
     /* 1826024 */     GIR_EraseRootFromParent_Done,
     /* 1826025 */   // Label 24727: @1826025
     /* 1826025 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1826111), // Rule ID 12925 //
     /* 1826030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1826041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1826044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1826050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826076 */     // MIs[0] policy
     /* 1826076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1826089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826110 */     // GIR_Coverage, 12925,
     /* 1826110 */     GIR_EraseRootFromParent_Done,
     /* 1826111 */   // Label 24728: @1826111
     /* 1826111 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1826197), // Rule ID 12928 //
     /* 1826116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1826127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1826130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1826136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1826139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826162 */     // MIs[0] policy
     /* 1826162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1826175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826196 */     // GIR_Coverage, 12928,
     /* 1826196 */     GIR_EraseRootFromParent_Done,
     /* 1826197 */   // Label 24729: @1826197
     /* 1826197 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1826283), // Rule ID 12929 //
     /* 1826202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1826213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1826216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1826222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1826225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826248 */     // MIs[0] policy
     /* 1826248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826258 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1826261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826282 */     // GIR_Coverage, 12929,
     /* 1826282 */     GIR_EraseRootFromParent_Done,
     /* 1826283 */   // Label 24730: @1826283
     /* 1826283 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1826369), // Rule ID 12932 //
     /* 1826288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1826299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1826302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1826308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826334 */     // MIs[0] policy
     /* 1826334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1826347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826368 */     // GIR_Coverage, 12932,
     /* 1826368 */     GIR_EraseRootFromParent_Done,
     /* 1826369 */   // Label 24731: @1826369
     /* 1826369 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1826455), // Rule ID 12933 //
     /* 1826374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1826385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1826388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1826394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826420 */     // MIs[0] policy
     /* 1826420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826430 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1826433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826454 */     // GIR_Coverage, 12933,
     /* 1826454 */     GIR_EraseRootFromParent_Done,
     /* 1826455 */   // Label 24732: @1826455
     /* 1826455 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1826541), // Rule ID 12936 //
     /* 1826460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1826471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1826474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1826480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826506 */     // MIs[0] policy
     /* 1826506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1826519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826540 */     // GIR_Coverage, 12936,
     /* 1826540 */     GIR_EraseRootFromParent_Done,
     /* 1826541 */   // Label 24733: @1826541
     /* 1826541 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1826627), // Rule ID 12937 //
     /* 1826546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1826557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1826560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1826566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826592 */     // MIs[0] policy
     /* 1826592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1826605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826626 */     // GIR_Coverage, 12937,
     /* 1826626 */     GIR_EraseRootFromParent_Done,
     /* 1826627 */   // Label 24734: @1826627
     /* 1826627 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1826713), // Rule ID 12940 //
     /* 1826632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1826652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826678 */     // MIs[0] policy
     /* 1826678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1826691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826712 */     // GIR_Coverage, 12940,
     /* 1826712 */     GIR_EraseRootFromParent_Done,
     /* 1826713 */   // Label 24735: @1826713
     /* 1826713 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1826799), // Rule ID 12941 //
     /* 1826718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1826738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826764 */     // MIs[0] policy
     /* 1826764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1826777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826798 */     // GIR_Coverage, 12941,
     /* 1826798 */     GIR_EraseRootFromParent_Done,
     /* 1826799 */   // Label 24736: @1826799
     /* 1826799 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1826885), // Rule ID 12944 //
     /* 1826804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826850 */     // MIs[0] policy
     /* 1826850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1826863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826884 */     // GIR_Coverage, 12944,
     /* 1826884 */     GIR_EraseRootFromParent_Done,
     /* 1826885 */   // Label 24737: @1826885
     /* 1826885 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1826971), // Rule ID 12945 //
     /* 1826890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826936 */     // MIs[0] policy
     /* 1826936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1826949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826970 */     // GIR_Coverage, 12945,
     /* 1826970 */     GIR_EraseRootFromParent_Done,
     /* 1826971 */   // Label 24738: @1826971
     /* 1826971 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1827057), // Rule ID 12948 //
     /* 1826976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1826984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827022 */     // MIs[0] policy
     /* 1827022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1827035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827056 */     // GIR_Coverage, 12948,
     /* 1827056 */     GIR_EraseRootFromParent_Done,
     /* 1827057 */   // Label 24739: @1827057
     /* 1827057 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1827143), // Rule ID 12949 //
     /* 1827062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1827073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1827076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1827082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827108 */     // MIs[0] policy
     /* 1827108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1827121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827142 */     // GIR_Coverage, 12949,
     /* 1827142 */     GIR_EraseRootFromParent_Done,
     /* 1827143 */   // Label 24740: @1827143
     /* 1827143 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1827229), // Rule ID 12952 //
     /* 1827148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1827159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1827162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1827168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827194 */     // MIs[0] policy
     /* 1827194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1827207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827228 */     // GIR_Coverage, 12952,
     /* 1827228 */     GIR_EraseRootFromParent_Done,
     /* 1827229 */   // Label 24741: @1827229
     /* 1827229 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1827315), // Rule ID 12953 //
     /* 1827234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1827245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1827248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1827254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827280 */     // MIs[0] policy
     /* 1827280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1827293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827314 */     // GIR_Coverage, 12953,
     /* 1827314 */     GIR_EraseRootFromParent_Done,
     /* 1827315 */   // Label 24742: @1827315
     /* 1827315 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1827401), // Rule ID 12956 //
     /* 1827320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1827331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1827334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1827340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827366 */     // MIs[0] policy
     /* 1827366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1827379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827400 */     // GIR_Coverage, 12956,
     /* 1827400 */     GIR_EraseRootFromParent_Done,
     /* 1827401 */   // Label 24743: @1827401
     /* 1827401 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1827487), // Rule ID 12957 //
     /* 1827406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1827417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1827420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1827426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827452 */     // MIs[0] policy
     /* 1827452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1827465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827486 */     // GIR_Coverage, 12957,
     /* 1827486 */     GIR_EraseRootFromParent_Done,
     /* 1827487 */   // Label 24744: @1827487
     /* 1827487 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1827573), // Rule ID 12960 //
     /* 1827492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1827503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1827506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1827512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827538 */     // MIs[0] policy
     /* 1827538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1827551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827572 */     // GIR_Coverage, 12960,
     /* 1827572 */     GIR_EraseRootFromParent_Done,
     /* 1827573 */   // Label 24745: @1827573
     /* 1827573 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1827659), // Rule ID 12961 //
     /* 1827578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1827589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1827592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1827598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827624 */     // MIs[0] policy
     /* 1827624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1827637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827658 */     // GIR_Coverage, 12961,
     /* 1827658 */     GIR_EraseRootFromParent_Done,
     /* 1827659 */   // Label 24746: @1827659
     /* 1827659 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1827745), // Rule ID 12964 //
     /* 1827664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1827684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827710 */     // MIs[0] policy
     /* 1827710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1827723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827744 */     // GIR_Coverage, 12964,
     /* 1827744 */     GIR_EraseRootFromParent_Done,
     /* 1827745 */   // Label 24747: @1827745
     /* 1827745 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1827831), // Rule ID 12965 //
     /* 1827750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1827770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827796 */     // MIs[0] policy
     /* 1827796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1827809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827830 */     // GIR_Coverage, 12965,
     /* 1827830 */     GIR_EraseRootFromParent_Done,
     /* 1827831 */   // Label 24748: @1827831
     /* 1827831 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1827917), // Rule ID 12968 //
     /* 1827836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1827853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827882 */     // MIs[0] policy
     /* 1827882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1827895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827916 */     // GIR_Coverage, 12968,
     /* 1827916 */     GIR_EraseRootFromParent_Done,
     /* 1827917 */   // Label 24749: @1827917
     /* 1827917 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1828003), // Rule ID 12969 //
     /* 1827922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1827939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827968 */     // MIs[0] policy
     /* 1827968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1827981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828002 */     // GIR_Coverage, 12969,
     /* 1828002 */     GIR_EraseRootFromParent_Done,
     /* 1828003 */   // Label 24750: @1828003
     /* 1828003 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1828089), // Rule ID 12972 //
     /* 1828008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1828019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1828022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1828025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1828028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828054 */     // MIs[0] policy
     /* 1828054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828064 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1828067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828088 */     // GIR_Coverage, 12972,
     /* 1828088 */     GIR_EraseRootFromParent_Done,
     /* 1828089 */   // Label 24751: @1828089
     /* 1828089 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1828175), // Rule ID 12973 //
     /* 1828094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1828105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1828108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1828111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1828114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828140 */     // MIs[0] policy
     /* 1828140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828150 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1828153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828174 */     // GIR_Coverage, 12973,
     /* 1828174 */     GIR_EraseRootFromParent_Done,
     /* 1828175 */   // Label 24752: @1828175
     /* 1828175 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1828261), // Rule ID 12976 //
     /* 1828180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1828191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1828194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1828197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1828200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828226 */     // MIs[0] policy
     /* 1828226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1828239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828260 */     // GIR_Coverage, 12976,
     /* 1828260 */     GIR_EraseRootFromParent_Done,
     /* 1828261 */   // Label 24753: @1828261
     /* 1828261 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1828347), // Rule ID 12977 //
     /* 1828266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1828277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1828280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1828283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1828286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828312 */     // MIs[0] policy
     /* 1828312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1828325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828346 */     // GIR_Coverage, 12977,
     /* 1828346 */     GIR_EraseRootFromParent_Done,
     /* 1828347 */   // Label 24754: @1828347
     /* 1828347 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1828433), // Rule ID 12980 //
     /* 1828352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1828363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1828366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1828369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1828372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828398 */     // MIs[0] policy
     /* 1828398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1828411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828432 */     // GIR_Coverage, 12980,
     /* 1828432 */     GIR_EraseRootFromParent_Done,
     /* 1828433 */   // Label 24755: @1828433
     /* 1828433 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1828519), // Rule ID 12981 //
     /* 1828438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1828449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1828452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1828455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1828458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828484 */     // MIs[0] policy
     /* 1828484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1828497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828518 */     // GIR_Coverage, 12981,
     /* 1828518 */     GIR_EraseRootFromParent_Done,
     /* 1828519 */   // Label 24756: @1828519
     /* 1828519 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1828605), // Rule ID 12984 //
     /* 1828524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1828535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1828538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1828541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828570 */     // MIs[0] policy
     /* 1828570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828580 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1828583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828604 */     // GIR_Coverage, 12984,
     /* 1828604 */     GIR_EraseRootFromParent_Done,
     /* 1828605 */   // Label 24757: @1828605
     /* 1828605 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1828691), // Rule ID 12985 //
     /* 1828610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1828621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1828624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1828627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828656 */     // MIs[0] policy
     /* 1828656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1828669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828690 */     // GIR_Coverage, 12985,
     /* 1828690 */     GIR_EraseRootFromParent_Done,
     /* 1828691 */   // Label 24758: @1828691
     /* 1828691 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1828777), // Rule ID 12988 //
     /* 1828696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1828713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1828716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828742 */     // MIs[0] policy
     /* 1828742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1828755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828776 */     // GIR_Coverage, 12988,
     /* 1828776 */     GIR_EraseRootFromParent_Done,
     /* 1828777 */   // Label 24759: @1828777
     /* 1828777 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1828863), // Rule ID 12989 //
     /* 1828782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1828799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1828802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828828 */     // MIs[0] policy
     /* 1828828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1828841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828862 */     // GIR_Coverage, 12989,
     /* 1828862 */     GIR_EraseRootFromParent_Done,
     /* 1828863 */   // Label 24760: @1828863
     /* 1828863 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1828949), // Rule ID 12992 //
     /* 1828868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1828885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828914 */     // MIs[0] policy
     /* 1828914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1828927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828948 */     // GIR_Coverage, 12992,
     /* 1828948 */     GIR_EraseRootFromParent_Done,
     /* 1828949 */   // Label 24761: @1828949
     /* 1828949 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1829035), // Rule ID 12993 //
     /* 1828954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1828971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829000 */     // MIs[0] policy
     /* 1829000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829010 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1829013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829034 */     // GIR_Coverage, 12993,
     /* 1829034 */     GIR_EraseRootFromParent_Done,
     /* 1829035 */   // Label 24762: @1829035
     /* 1829035 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1829121), // Rule ID 12996 //
     /* 1829040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1829051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1829054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1829057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1829060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829086 */     // MIs[0] policy
     /* 1829086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1829099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829120 */     // GIR_Coverage, 12996,
     /* 1829120 */     GIR_EraseRootFromParent_Done,
     /* 1829121 */   // Label 24763: @1829121
     /* 1829121 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1829207), // Rule ID 12997 //
     /* 1829126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1829137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1829140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1829143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1829146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829172 */     // MIs[0] policy
     /* 1829172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1829185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829206 */     // GIR_Coverage, 12997,
     /* 1829206 */     GIR_EraseRootFromParent_Done,
     /* 1829207 */   // Label 24764: @1829207
     /* 1829207 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1829293), // Rule ID 13000 //
     /* 1829212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1829223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1829226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1829229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1829232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829258 */     // MIs[0] policy
     /* 1829258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1829271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829292 */     // GIR_Coverage, 13000,
     /* 1829292 */     GIR_EraseRootFromParent_Done,
     /* 1829293 */   // Label 24765: @1829293
     /* 1829293 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1829379), // Rule ID 13001 //
     /* 1829298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1829309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1829312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1829315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1829318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829344 */     // MIs[0] policy
     /* 1829344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1829357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829378 */     // GIR_Coverage, 13001,
     /* 1829378 */     GIR_EraseRootFromParent_Done,
     /* 1829379 */   // Label 24766: @1829379
     /* 1829379 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1829465), // Rule ID 13004 //
     /* 1829384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1829401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1829404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829430 */     // MIs[0] policy
     /* 1829430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1829443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829464 */     // GIR_Coverage, 13004,
     /* 1829464 */     GIR_EraseRootFromParent_Done,
     /* 1829465 */   // Label 24767: @1829465
     /* 1829465 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1829551), // Rule ID 13005 //
     /* 1829470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1829487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1829490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829516 */     // MIs[0] policy
     /* 1829516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1829529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829550 */     // GIR_Coverage, 13005,
     /* 1829550 */     GIR_EraseRootFromParent_Done,
     /* 1829551 */   // Label 24768: @1829551
     /* 1829551 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1829637), // Rule ID 13008 //
     /* 1829556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1829567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1829570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1829573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1829576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829602 */     // MIs[0] policy
     /* 1829602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1829615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829636 */     // GIR_Coverage, 13008,
     /* 1829636 */     GIR_EraseRootFromParent_Done,
     /* 1829637 */   // Label 24769: @1829637
     /* 1829637 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1829723), // Rule ID 13009 //
     /* 1829642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1829653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1829656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1829659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1829662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829688 */     // MIs[0] policy
     /* 1829688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829698 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1829701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829722 */     // GIR_Coverage, 13009,
     /* 1829722 */     GIR_EraseRootFromParent_Done,
     /* 1829723 */   // Label 24770: @1829723
     /* 1829723 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1829809), // Rule ID 13012 //
     /* 1829728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1829745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829774 */     // MIs[0] policy
     /* 1829774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1829787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829808 */     // GIR_Coverage, 13012,
     /* 1829808 */     GIR_EraseRootFromParent_Done,
     /* 1829809 */   // Label 24771: @1829809
     /* 1829809 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1829895), // Rule ID 13013 //
     /* 1829814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1829831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829860 */     // MIs[0] policy
     /* 1829860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1829873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829894 */     // GIR_Coverage, 13013,
     /* 1829894 */     GIR_EraseRootFromParent_Done,
     /* 1829895 */   // Label 24772: @1829895
     /* 1829895 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1829981), // Rule ID 13016 //
     /* 1829900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1829917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829946 */     // MIs[0] policy
     /* 1829946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829956 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1829959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829980 */     // GIR_Coverage, 13016,
     /* 1829980 */     GIR_EraseRootFromParent_Done,
     /* 1829981 */   // Label 24773: @1829981
     /* 1829981 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1830067), // Rule ID 13017 //
     /* 1829986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1830000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1830003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1830006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1830009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830032 */     // MIs[0] policy
     /* 1830032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830042 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1830045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830066 */     // GIR_Coverage, 13017,
     /* 1830066 */     GIR_EraseRootFromParent_Done,
     /* 1830067 */   // Label 24774: @1830067
     /* 1830067 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1830153), // Rule ID 13020 //
     /* 1830072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1830083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1830086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1830089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1830092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830118 */     // MIs[0] policy
     /* 1830118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1830131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830152 */     // GIR_Coverage, 13020,
     /* 1830152 */     GIR_EraseRootFromParent_Done,
     /* 1830153 */   // Label 24775: @1830153
     /* 1830153 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1830239), // Rule ID 13021 //
     /* 1830158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1830169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1830172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1830175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1830178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830204 */     // MIs[0] policy
     /* 1830204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830214 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1830217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830238 */     // GIR_Coverage, 13021,
     /* 1830238 */     GIR_EraseRootFromParent_Done,
     /* 1830239 */   // Label 24776: @1830239
     /* 1830239 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1830325), // Rule ID 13024 //
     /* 1830244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1830255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1830258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1830261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1830264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830290 */     // MIs[0] policy
     /* 1830290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1830303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830324 */     // GIR_Coverage, 13024,
     /* 1830324 */     GIR_EraseRootFromParent_Done,
     /* 1830325 */   // Label 24777: @1830325
     /* 1830325 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1830411), // Rule ID 13025 //
     /* 1830330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1830341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1830344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1830347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1830350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830376 */     // MIs[0] policy
     /* 1830376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1830389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830410 */     // GIR_Coverage, 13025,
     /* 1830410 */     GIR_EraseRootFromParent_Done,
     /* 1830411 */   // Label 24778: @1830411
     /* 1830411 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1830497), // Rule ID 13028 //
     /* 1830416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1830427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1830430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1830433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1830436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830462 */     // MIs[0] policy
     /* 1830462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1830475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830496 */     // GIR_Coverage, 13028,
     /* 1830496 */     GIR_EraseRootFromParent_Done,
     /* 1830497 */   // Label 24779: @1830497
     /* 1830497 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1830583), // Rule ID 13029 //
     /* 1830502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1830513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1830516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1830519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1830522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830548 */     // MIs[0] policy
     /* 1830548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1830561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830582 */     // GIR_Coverage, 13029,
     /* 1830582 */     GIR_EraseRootFromParent_Done,
     /* 1830583 */   // Label 24780: @1830583
     /* 1830583 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1830669), // Rule ID 13032 //
     /* 1830588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1830599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1830602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1830605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1830608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830634 */     // MIs[0] policy
     /* 1830634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1830647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830668 */     // GIR_Coverage, 13032,
     /* 1830668 */     GIR_EraseRootFromParent_Done,
     /* 1830669 */   // Label 24781: @1830669
     /* 1830669 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1830755), // Rule ID 13033 //
     /* 1830674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1830685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1830688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1830691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1830694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830720 */     // MIs[0] policy
     /* 1830720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1830733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830754 */     // GIR_Coverage, 13033,
     /* 1830754 */     GIR_EraseRootFromParent_Done,
     /* 1830755 */   // Label 24782: @1830755
     /* 1830755 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1830841), // Rule ID 13036 //
     /* 1830760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1830777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830806 */     // MIs[0] policy
     /* 1830806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1830819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830840 */     // GIR_Coverage, 13036,
     /* 1830840 */     GIR_EraseRootFromParent_Done,
     /* 1830841 */   // Label 24783: @1830841
     /* 1830841 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1830927), // Rule ID 13037 //
     /* 1830846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1830863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830892 */     // MIs[0] policy
     /* 1830892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1830905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830926 */     // GIR_Coverage, 13037,
     /* 1830926 */     GIR_EraseRootFromParent_Done,
     /* 1830927 */   // Label 24784: @1830927
     /* 1830927 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1831013), // Rule ID 13040 //
     /* 1830932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1830940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1830949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830978 */     // MIs[0] policy
     /* 1830978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1830991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831012 */     // GIR_Coverage, 13040,
     /* 1831012 */     GIR_EraseRootFromParent_Done,
     /* 1831013 */   // Label 24785: @1831013
     /* 1831013 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1831099), // Rule ID 13041 //
     /* 1831018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1831029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1831032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1831035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1831038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831064 */     // MIs[0] policy
     /* 1831064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1831077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831098 */     // GIR_Coverage, 13041,
     /* 1831098 */     GIR_EraseRootFromParent_Done,
     /* 1831099 */   // Label 24786: @1831099
     /* 1831099 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1831185), // Rule ID 13044 //
     /* 1831104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1831115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1831118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1831121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1831124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831150 */     // MIs[0] policy
     /* 1831150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1831163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831184 */     // GIR_Coverage, 13044,
     /* 1831184 */     GIR_EraseRootFromParent_Done,
     /* 1831185 */   // Label 24787: @1831185
     /* 1831185 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1831271), // Rule ID 13045 //
     /* 1831190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1831193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1831201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1831204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1831207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1831210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831236 */     // MIs[0] policy
     /* 1831236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1831249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831270 */     // GIR_Coverage, 13045,
     /* 1831270 */     GIR_EraseRootFromParent_Done,
     /* 1831271 */   // Label 24788: @1831271
     /* 1831271 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1831357), // Rule ID 13048 //
     /* 1831276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1831287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1831290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1831293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1831296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831322 */     // MIs[0] policy
     /* 1831322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831332 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1831335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831356 */     // GIR_Coverage, 13048,
     /* 1831356 */     GIR_EraseRootFromParent_Done,
     /* 1831357 */   // Label 24789: @1831357
     /* 1831357 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1831443), // Rule ID 13049 //
     /* 1831362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1831365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1831373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1831376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1831379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1831382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831408 */     // MIs[0] policy
     /* 1831408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1831421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831442 */     // GIR_Coverage, 13049,
     /* 1831442 */     GIR_EraseRootFromParent_Done,
     /* 1831443 */   // Label 24790: @1831443
     /* 1831443 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1831529), // Rule ID 13052 //
     /* 1831448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1831459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1831462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1831465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1831468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831494 */     // MIs[0] policy
     /* 1831494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1831507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831528 */     // GIR_Coverage, 13052,
     /* 1831528 */     GIR_EraseRootFromParent_Done,
     /* 1831529 */   // Label 24791: @1831529
     /* 1831529 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1831615), // Rule ID 13053 //
     /* 1831534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1831537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1831545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1831548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1831551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1831554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831580 */     // MIs[0] policy
     /* 1831580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1831593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831614 */     // GIR_Coverage, 13053,
     /* 1831614 */     GIR_EraseRootFromParent_Done,
     /* 1831615 */   // Label 24792: @1831615
     /* 1831615 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1831701), // Rule ID 13056 //
     /* 1831620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1831631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1831634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1831640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831666 */     // MIs[0] policy
     /* 1831666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1831679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831700 */     // GIR_Coverage, 13056,
     /* 1831700 */     GIR_EraseRootFromParent_Done,
     /* 1831701 */   // Label 24793: @1831701
     /* 1831701 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1831787), // Rule ID 13057 //
     /* 1831706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1831717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1831720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1831726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831752 */     // MIs[0] policy
     /* 1831752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831762 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1831765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831786 */     // GIR_Coverage, 13057,
     /* 1831786 */     GIR_EraseRootFromParent_Done,
     /* 1831787 */   // Label 24794: @1831787
     /* 1831787 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1831873), // Rule ID 13060 //
     /* 1831792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831838 */     // MIs[0] policy
     /* 1831838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1831851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831872 */     // GIR_Coverage, 13060,
     /* 1831872 */     GIR_EraseRootFromParent_Done,
     /* 1831873 */   // Label 24795: @1831873
     /* 1831873 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1831959), // Rule ID 13061 //
     /* 1831878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831924 */     // MIs[0] policy
     /* 1831924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1831937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831958 */     // GIR_Coverage, 13061,
     /* 1831958 */     GIR_EraseRootFromParent_Done,
     /* 1831959 */   // Label 24796: @1831959
     /* 1831959 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1832045), // Rule ID 13064 //
     /* 1831964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1831972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832010 */     // MIs[0] policy
     /* 1832010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832020 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1832023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832044 */     // GIR_Coverage, 13064,
     /* 1832044 */     GIR_EraseRootFromParent_Done,
     /* 1832045 */   // Label 24797: @1832045
     /* 1832045 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1832131), // Rule ID 13065 //
     /* 1832050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1832061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1832064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1832070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832096 */     // MIs[0] policy
     /* 1832096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832106 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1832109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832130 */     // GIR_Coverage, 13065,
     /* 1832130 */     GIR_EraseRootFromParent_Done,
     /* 1832131 */   // Label 24798: @1832131
     /* 1832131 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1832217), // Rule ID 13068 //
     /* 1832136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1832147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1832150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1832156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832182 */     // MIs[0] policy
     /* 1832182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1832195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832216 */     // GIR_Coverage, 13068,
     /* 1832216 */     GIR_EraseRootFromParent_Done,
     /* 1832217 */   // Label 24799: @1832217
     /* 1832217 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1832303), // Rule ID 13069 //
     /* 1832222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1832233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1832236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1832242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832268 */     // MIs[0] policy
     /* 1832268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1832281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832302 */     // GIR_Coverage, 13069,
     /* 1832302 */     GIR_EraseRootFromParent_Done,
     /* 1832303 */   // Label 24800: @1832303
     /* 1832303 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1832389), // Rule ID 13072 //
     /* 1832308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1832319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1832322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1832328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832354 */     // MIs[0] policy
     /* 1832354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1832367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832388 */     // GIR_Coverage, 13072,
     /* 1832388 */     GIR_EraseRootFromParent_Done,
     /* 1832389 */   // Label 24801: @1832389
     /* 1832389 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1832475), // Rule ID 13073 //
     /* 1832394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1832405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1832408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1832414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832440 */     // MIs[0] policy
     /* 1832440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1832453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832474 */     // GIR_Coverage, 13073,
     /* 1832474 */     GIR_EraseRootFromParent_Done,
     /* 1832475 */   // Label 24802: @1832475
     /* 1832475 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1832561), // Rule ID 13076 //
     /* 1832480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1832491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1832494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1832500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832526 */     // MIs[0] policy
     /* 1832526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1832539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832560 */     // GIR_Coverage, 13076,
     /* 1832560 */     GIR_EraseRootFromParent_Done,
     /* 1832561 */   // Label 24803: @1832561
     /* 1832561 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1832647), // Rule ID 13077 //
     /* 1832566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1832577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1832580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1832586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832612 */     // MIs[0] policy
     /* 1832612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1832625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832646 */     // GIR_Coverage, 13077,
     /* 1832646 */     GIR_EraseRootFromParent_Done,
     /* 1832647 */   // Label 24804: @1832647
     /* 1832647 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1832733), // Rule ID 13080 //
     /* 1832652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1832663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1832666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1832672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832698 */     // MIs[0] policy
     /* 1832698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1832711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832732 */     // GIR_Coverage, 13080,
     /* 1832732 */     GIR_EraseRootFromParent_Done,
     /* 1832733 */   // Label 24805: @1832733
     /* 1832733 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1832819), // Rule ID 13081 //
     /* 1832738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1832749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1832752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1832758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832784 */     // MIs[0] policy
     /* 1832784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832794 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1832797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832818 */     // GIR_Coverage, 13081,
     /* 1832818 */     GIR_EraseRootFromParent_Done,
     /* 1832819 */   // Label 24806: @1832819
     /* 1832819 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1832905), // Rule ID 13084 //
     /* 1832824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832870 */     // MIs[0] policy
     /* 1832870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1832883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832904 */     // GIR_Coverage, 13084,
     /* 1832904 */     GIR_EraseRootFromParent_Done,
     /* 1832905 */   // Label 24807: @1832905
     /* 1832905 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1832991), // Rule ID 13085 //
     /* 1832910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1832918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832956 */     // MIs[0] policy
     /* 1832956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1832969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832990 */     // GIR_Coverage, 13085,
     /* 1832990 */     GIR_EraseRootFromParent_Done,
     /* 1832991 */   // Label 24808: @1832991
     /* 1832991 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1833077), // Rule ID 13088 //
     /* 1832996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1833007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1833010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1833016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833042 */     // MIs[0] policy
     /* 1833042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1833055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833076 */     // GIR_Coverage, 13088,
     /* 1833076 */     GIR_EraseRootFromParent_Done,
     /* 1833077 */   // Label 24809: @1833077
     /* 1833077 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1833163), // Rule ID 13089 //
     /* 1833082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1833093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1833096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1833102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833128 */     // MIs[0] policy
     /* 1833128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1833141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833162 */     // GIR_Coverage, 13089,
     /* 1833162 */     GIR_EraseRootFromParent_Done,
     /* 1833163 */   // Label 24810: @1833163
     /* 1833163 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1833249), // Rule ID 13092 //
     /* 1833168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1833179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1833182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1833188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833214 */     // MIs[0] policy
     /* 1833214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1833227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833248 */     // GIR_Coverage, 13092,
     /* 1833248 */     GIR_EraseRootFromParent_Done,
     /* 1833249 */   // Label 24811: @1833249
     /* 1833249 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1833335), // Rule ID 13093 //
     /* 1833254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1833265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1833268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1833274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833300 */     // MIs[0] policy
     /* 1833300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1833313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833334 */     // GIR_Coverage, 13093,
     /* 1833334 */     GIR_EraseRootFromParent_Done,
     /* 1833335 */   // Label 24812: @1833335
     /* 1833335 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1833421), // Rule ID 13096 //
     /* 1833340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1833351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1833354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1833360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833386 */     // MIs[0] policy
     /* 1833386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1833399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833420 */     // GIR_Coverage, 13096,
     /* 1833420 */     GIR_EraseRootFromParent_Done,
     /* 1833421 */   // Label 24813: @1833421
     /* 1833421 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1833507), // Rule ID 13097 //
     /* 1833426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1833437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1833440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1833446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833472 */     // MIs[0] policy
     /* 1833472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1833485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833506 */     // GIR_Coverage, 13097,
     /* 1833506 */     GIR_EraseRootFromParent_Done,
     /* 1833507 */   // Label 24814: @1833507
     /* 1833507 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1833593), // Rule ID 13100 //
     /* 1833512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1833523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1833526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833558 */     // MIs[0] policy
     /* 1833558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1833571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833592 */     // GIR_Coverage, 13100,
     /* 1833592 */     GIR_EraseRootFromParent_Done,
     /* 1833593 */   // Label 24815: @1833593
     /* 1833593 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1833679), // Rule ID 13101 //
     /* 1833598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1833609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1833612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833644 */     // MIs[0] policy
     /* 1833644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833654 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1833657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833678 */     // GIR_Coverage, 13101,
     /* 1833678 */     GIR_EraseRootFromParent_Done,
     /* 1833679 */   // Label 24816: @1833679
     /* 1833679 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1833765), // Rule ID 13104 //
     /* 1833684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1833695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1833698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1833704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1833707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833730 */     // MIs[0] policy
     /* 1833730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833740 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1833743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833764 */     // GIR_Coverage, 13104,
     /* 1833764 */     GIR_EraseRootFromParent_Done,
     /* 1833765 */   // Label 24817: @1833765
     /* 1833765 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1833851), // Rule ID 13105 //
     /* 1833770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1833781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1833784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1833790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1833793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833816 */     // MIs[0] policy
     /* 1833816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833826 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1833829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833850 */     // GIR_Coverage, 13105,
     /* 1833850 */     GIR_EraseRootFromParent_Done,
     /* 1833851 */   // Label 24818: @1833851
     /* 1833851 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1833937), // Rule ID 13108 //
     /* 1833856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833902 */     // MIs[0] policy
     /* 1833902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1833915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833936 */     // GIR_Coverage, 13108,
     /* 1833936 */     GIR_EraseRootFromParent_Done,
     /* 1833937 */   // Label 24819: @1833937
     /* 1833937 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1834023), // Rule ID 13109 //
     /* 1833942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1833950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833988 */     // MIs[0] policy
     /* 1833988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1834001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834022 */     // GIR_Coverage, 13109,
     /* 1834022 */     GIR_EraseRootFromParent_Done,
     /* 1834023 */   // Label 24820: @1834023
     /* 1834023 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1834109), // Rule ID 13112 //
     /* 1834028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1834039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1834042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1834048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834074 */     // MIs[0] policy
     /* 1834074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1834087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834108 */     // GIR_Coverage, 13112,
     /* 1834108 */     GIR_EraseRootFromParent_Done,
     /* 1834109 */   // Label 24821: @1834109
     /* 1834109 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1834195), // Rule ID 13113 //
     /* 1834114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1834125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1834128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1834134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834160 */     // MIs[0] policy
     /* 1834160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834170 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1834173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834194 */     // GIR_Coverage, 13113,
     /* 1834194 */     GIR_EraseRootFromParent_Done,
     /* 1834195 */   // Label 24822: @1834195
     /* 1834195 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1834281), // Rule ID 13116 //
     /* 1834200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1834211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1834214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1834220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1834223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834246 */     // MIs[0] policy
     /* 1834246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834256 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1834259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834280 */     // GIR_Coverage, 13116,
     /* 1834280 */     GIR_EraseRootFromParent_Done,
     /* 1834281 */   // Label 24823: @1834281
     /* 1834281 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1834367), // Rule ID 13117 //
     /* 1834286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1834297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1834300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1834306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1834309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834332 */     // MIs[0] policy
     /* 1834332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1834345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834366 */     // GIR_Coverage, 13117,
     /* 1834366 */     GIR_EraseRootFromParent_Done,
     /* 1834367 */   // Label 24824: @1834367
     /* 1834367 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1834453), // Rule ID 13120 //
     /* 1834372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834418 */     // MIs[0] policy
     /* 1834418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1834431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834452 */     // GIR_Coverage, 13120,
     /* 1834452 */     GIR_EraseRootFromParent_Done,
     /* 1834453 */   // Label 24825: @1834453
     /* 1834453 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1834539), // Rule ID 13121 //
     /* 1834458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834504 */     // MIs[0] policy
     /* 1834504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1834517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834538 */     // GIR_Coverage, 13121,
     /* 1834538 */     GIR_EraseRootFromParent_Done,
     /* 1834539 */   // Label 24826: @1834539
     /* 1834539 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1834625), // Rule ID 13124 //
     /* 1834544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834590 */     // MIs[0] policy
     /* 1834590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1834603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834624 */     // GIR_Coverage, 13124,
     /* 1834624 */     GIR_EraseRootFromParent_Done,
     /* 1834625 */   // Label 24827: @1834625
     /* 1834625 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1834711), // Rule ID 13125 //
     /* 1834630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834676 */     // MIs[0] policy
     /* 1834676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1834689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834710 */     // GIR_Coverage, 13125,
     /* 1834710 */     GIR_EraseRootFromParent_Done,
     /* 1834711 */   // Label 24828: @1834711
     /* 1834711 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1834797), // Rule ID 13128 //
     /* 1834716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834762 */     // MIs[0] policy
     /* 1834762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1834775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834796 */     // GIR_Coverage, 13128,
     /* 1834796 */     GIR_EraseRootFromParent_Done,
     /* 1834797 */   // Label 24829: @1834797
     /* 1834797 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1834883), // Rule ID 13129 //
     /* 1834802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834848 */     // MIs[0] policy
     /* 1834848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1834861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834882 */     // GIR_Coverage, 13129,
     /* 1834882 */     GIR_EraseRootFromParent_Done,
     /* 1834883 */   // Label 24830: @1834883
     /* 1834883 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1834969), // Rule ID 13132 //
     /* 1834888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834934 */     // MIs[0] policy
     /* 1834934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1834947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834968 */     // GIR_Coverage, 13132,
     /* 1834968 */     GIR_EraseRootFromParent_Done,
     /* 1834969 */   // Label 24831: @1834969
     /* 1834969 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1835055), // Rule ID 13133 //
     /* 1834974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835020 */     // MIs[0] policy
     /* 1835020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11342:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1835033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835054 */     // GIR_Coverage, 13133,
     /* 1835054 */     GIR_EraseRootFromParent_Done,
     /* 1835055 */   // Label 24832: @1835055
     /* 1835055 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1835141), // Rule ID 13136 //
     /* 1835060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1835063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1835071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1835074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1835080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835106 */     // MIs[0] policy
     /* 1835106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1835119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835140 */     // GIR_Coverage, 13136,
     /* 1835140 */     GIR_EraseRootFromParent_Done,
     /* 1835141 */   // Label 24833: @1835141
     /* 1835141 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1835227), // Rule ID 13137 //
     /* 1835146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1835149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1835157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1835160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1835166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835192 */     // MIs[0] policy
     /* 1835192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11342:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1835205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835226 */     // GIR_Coverage, 13137,
     /* 1835226 */     GIR_EraseRootFromParent_Done,
     /* 1835227 */   // Label 24834: @1835227
     /* 1835227 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1835313), // Rule ID 13140 //
     /* 1835232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1835235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1835243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1835246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1835252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835278 */     // MIs[0] policy
     /* 1835278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1835291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835312 */     // GIR_Coverage, 13140,
     /* 1835312 */     GIR_EraseRootFromParent_Done,
     /* 1835313 */   // Label 24835: @1835313
     /* 1835313 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1835399), // Rule ID 13141 //
     /* 1835318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1835321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1835329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1835332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1835338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835364 */     // MIs[0] policy
     /* 1835364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11342:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1835377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835398 */     // GIR_Coverage, 13141,
     /* 1835398 */     GIR_EraseRootFromParent_Done,
     /* 1835399 */   // Label 24836: @1835399
     /* 1835399 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1835485), // Rule ID 13144 //
     /* 1835404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1835415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1835418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1835421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835450 */     // MIs[0] policy
     /* 1835450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835460 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1835463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835484 */     // GIR_Coverage, 13144,
     /* 1835484 */     GIR_EraseRootFromParent_Done,
     /* 1835485 */   // Label 24837: @1835485
     /* 1835485 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1835571), // Rule ID 13145 //
     /* 1835490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1835501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1835504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1835507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835536 */     // MIs[0] policy
     /* 1835536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1835549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835570 */     // GIR_Coverage, 13145,
     /* 1835570 */     GIR_EraseRootFromParent_Done,
     /* 1835571 */   // Label 24838: @1835571
     /* 1835571 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1835657), // Rule ID 13148 //
     /* 1835576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1835587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1835590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1835593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835622 */     // MIs[0] policy
     /* 1835622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1835635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835656 */     // GIR_Coverage, 13148,
     /* 1835656 */     GIR_EraseRootFromParent_Done,
     /* 1835657 */   // Label 24839: @1835657
     /* 1835657 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1835743), // Rule ID 13149 //
     /* 1835662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1835673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1835676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1835679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835708 */     // MIs[0] policy
     /* 1835708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1835721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835742 */     // GIR_Coverage, 13149,
     /* 1835742 */     GIR_EraseRootFromParent_Done,
     /* 1835743 */   // Label 24840: @1835743
     /* 1835743 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1835829), // Rule ID 13152 //
     /* 1835748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1835765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835794 */     // MIs[0] policy
     /* 1835794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1835807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835828 */     // GIR_Coverage, 13152,
     /* 1835828 */     GIR_EraseRootFromParent_Done,
     /* 1835829 */   // Label 24841: @1835829
     /* 1835829 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1835915), // Rule ID 13153 //
     /* 1835834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1835851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835880 */     // MIs[0] policy
     /* 1835880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1835893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835914 */     // GIR_Coverage, 13153,
     /* 1835914 */     GIR_EraseRootFromParent_Done,
     /* 1835915 */   // Label 24842: @1835915
     /* 1835915 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1836001), // Rule ID 13156 //
     /* 1835920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1835937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835966 */     // MIs[0] policy
     /* 1835966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1835979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836000 */     // GIR_Coverage, 13156,
     /* 1836000 */     GIR_EraseRootFromParent_Done,
     /* 1836001 */   // Label 24843: @1836001
     /* 1836001 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1836087), // Rule ID 13157 //
     /* 1836006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1836017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1836020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1836023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1836026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836052 */     // MIs[0] policy
     /* 1836052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1836065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836086 */     // GIR_Coverage, 13157,
     /* 1836086 */     GIR_EraseRootFromParent_Done,
     /* 1836087 */   // Label 24844: @1836087
     /* 1836087 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1836173), // Rule ID 13160 //
     /* 1836092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1836103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1836106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1836109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1836112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836138 */     // MIs[0] policy
     /* 1836138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1836151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836172 */     // GIR_Coverage, 13160,
     /* 1836172 */     GIR_EraseRootFromParent_Done,
     /* 1836173 */   // Label 24845: @1836173
     /* 1836173 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1836259), // Rule ID 13161 //
     /* 1836178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1836189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1836192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1836195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1836198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836224 */     // MIs[0] policy
     /* 1836224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1836237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836258 */     // GIR_Coverage, 13161,
     /* 1836258 */     GIR_EraseRootFromParent_Done,
     /* 1836259 */   // Label 24846: @1836259
     /* 1836259 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1836345), // Rule ID 13164 //
     /* 1836264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1836275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1836278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1836281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1836284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836310 */     // MIs[0] policy
     /* 1836310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1836323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836344 */     // GIR_Coverage, 13164,
     /* 1836344 */     GIR_EraseRootFromParent_Done,
     /* 1836345 */   // Label 24847: @1836345
     /* 1836345 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1836431), // Rule ID 13165 //
     /* 1836350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1836361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1836364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1836367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1836370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836396 */     // MIs[0] policy
     /* 1836396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1836409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836430 */     // GIR_Coverage, 13165,
     /* 1836430 */     GIR_EraseRootFromParent_Done,
     /* 1836431 */   // Label 24848: @1836431
     /* 1836431 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1836517), // Rule ID 13168 //
     /* 1836436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1836447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1836450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1836453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1836456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836482 */     // MIs[0] policy
     /* 1836482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1836495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836516 */     // GIR_Coverage, 13168,
     /* 1836516 */     GIR_EraseRootFromParent_Done,
     /* 1836517 */   // Label 24849: @1836517
     /* 1836517 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1836603), // Rule ID 13169 //
     /* 1836522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1836533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1836536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1836539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1836542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836568 */     // MIs[0] policy
     /* 1836568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1836581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836602 */     // GIR_Coverage, 13169,
     /* 1836602 */     GIR_EraseRootFromParent_Done,
     /* 1836603 */   // Label 24850: @1836603
     /* 1836603 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1836689), // Rule ID 13172 //
     /* 1836608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1836625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836654 */     // MIs[0] policy
     /* 1836654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1836667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836688 */     // GIR_Coverage, 13172,
     /* 1836688 */     GIR_EraseRootFromParent_Done,
     /* 1836689 */   // Label 24851: @1836689
     /* 1836689 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1836775), // Rule ID 13173 //
     /* 1836694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1836711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836740 */     // MIs[0] policy
     /* 1836740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836750 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1836753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836774 */     // GIR_Coverage, 13173,
     /* 1836774 */     GIR_EraseRootFromParent_Done,
     /* 1836775 */   // Label 24852: @1836775
     /* 1836775 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1836861), // Rule ID 13176 //
     /* 1836780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1836797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836826 */     // MIs[0] policy
     /* 1836826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1836839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836860 */     // GIR_Coverage, 13176,
     /* 1836860 */     GIR_EraseRootFromParent_Done,
     /* 1836861 */   // Label 24853: @1836861
     /* 1836861 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1836947), // Rule ID 13177 //
     /* 1836866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1836883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836912 */     // MIs[0] policy
     /* 1836912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1836925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836946 */     // GIR_Coverage, 13177,
     /* 1836946 */     GIR_EraseRootFromParent_Done,
     /* 1836947 */   // Label 24854: @1836947
     /* 1836947 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1837033), // Rule ID 13180 //
     /* 1836952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1836969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836998 */     // MIs[0] policy
     /* 1836998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1837011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837032 */     // GIR_Coverage, 13180,
     /* 1837032 */     GIR_EraseRootFromParent_Done,
     /* 1837033 */   // Label 24855: @1837033
     /* 1837033 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1837119), // Rule ID 13181 //
     /* 1837038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1837049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1837052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1837055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1837058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837084 */     // MIs[0] policy
     /* 1837084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1837097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837118 */     // GIR_Coverage, 13181,
     /* 1837118 */     GIR_EraseRootFromParent_Done,
     /* 1837119 */   // Label 24856: @1837119
     /* 1837119 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1837205), // Rule ID 13184 //
     /* 1837124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1837135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1837138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1837141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1837144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837170 */     // MIs[0] policy
     /* 1837170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1837183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837204 */     // GIR_Coverage, 13184,
     /* 1837204 */     GIR_EraseRootFromParent_Done,
     /* 1837205 */   // Label 24857: @1837205
     /* 1837205 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1837291), // Rule ID 13185 //
     /* 1837210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1837221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1837224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1837227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1837230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837256 */     // MIs[0] policy
     /* 1837256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1837269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837290 */     // GIR_Coverage, 13185,
     /* 1837290 */     GIR_EraseRootFromParent_Done,
     /* 1837291 */   // Label 24858: @1837291
     /* 1837291 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1837377), // Rule ID 13188 //
     /* 1837296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1837307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1837310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1837313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1837316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837342 */     // MIs[0] policy
     /* 1837342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1837355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837376 */     // GIR_Coverage, 13188,
     /* 1837376 */     GIR_EraseRootFromParent_Done,
     /* 1837377 */   // Label 24859: @1837377
     /* 1837377 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1837463), // Rule ID 13189 //
     /* 1837382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1837393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1837396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1837399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1837402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837428 */     // MIs[0] policy
     /* 1837428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1837441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837462 */     // GIR_Coverage, 13189,
     /* 1837462 */     GIR_EraseRootFromParent_Done,
     /* 1837463 */   // Label 24860: @1837463
     /* 1837463 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1837549), // Rule ID 13192 //
     /* 1837468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1837479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1837482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1837485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1837488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1837491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837514 */     // MIs[0] policy
     /* 1837514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1837527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837548 */     // GIR_Coverage, 13192,
     /* 1837548 */     GIR_EraseRootFromParent_Done,
     /* 1837549 */   // Label 24861: @1837549
     /* 1837549 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1837635), // Rule ID 13193 //
     /* 1837554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1837565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1837568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1837571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1837574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1837577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837600 */     // MIs[0] policy
     /* 1837600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837610 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1837613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837634 */     // GIR_Coverage, 13193,
     /* 1837634 */     GIR_EraseRootFromParent_Done,
     /* 1837635 */   // Label 24862: @1837635
     /* 1837635 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1837721), // Rule ID 13196 //
     /* 1837640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1837657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1837660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837686 */     // MIs[0] policy
     /* 1837686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1837699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837720 */     // GIR_Coverage, 13196,
     /* 1837720 */     GIR_EraseRootFromParent_Done,
     /* 1837721 */   // Label 24863: @1837721
     /* 1837721 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1837807), // Rule ID 13197 //
     /* 1837726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1837743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1837746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837772 */     // MIs[0] policy
     /* 1837772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1837785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837806 */     // GIR_Coverage, 13197,
     /* 1837806 */     GIR_EraseRootFromParent_Done,
     /* 1837807 */   // Label 24864: @1837807
     /* 1837807 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1837893), // Rule ID 13200 //
     /* 1837812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1837829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837858 */     // MIs[0] policy
     /* 1837858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1837871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837892 */     // GIR_Coverage, 13200,
     /* 1837892 */     GIR_EraseRootFromParent_Done,
     /* 1837893 */   // Label 24865: @1837893
     /* 1837893 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1837979), // Rule ID 13201 //
     /* 1837898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1837915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837944 */     // MIs[0] policy
     /* 1837944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1837957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837978 */     // GIR_Coverage, 13201,
     /* 1837978 */     GIR_EraseRootFromParent_Done,
     /* 1837979 */   // Label 24866: @1837979
     /* 1837979 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1838065), // Rule ID 13204 //
     /* 1837984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1838001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1838004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1838007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838030 */     // MIs[0] policy
     /* 1838030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1838043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838064 */     // GIR_Coverage, 13204,
     /* 1838064 */     GIR_EraseRootFromParent_Done,
     /* 1838065 */   // Label 24867: @1838065
     /* 1838065 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1838151), // Rule ID 13205 //
     /* 1838070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1838081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1838084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1838087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1838090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1838093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838116 */     // MIs[0] policy
     /* 1838116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1838129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838150 */     // GIR_Coverage, 13205,
     /* 1838150 */     GIR_EraseRootFromParent_Done,
     /* 1838151 */   // Label 24868: @1838151
     /* 1838151 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1838237), // Rule ID 13208 //
     /* 1838156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1838167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1838170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1838173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1838176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838202 */     // MIs[0] policy
     /* 1838202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1838215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838236 */     // GIR_Coverage, 13208,
     /* 1838236 */     GIR_EraseRootFromParent_Done,
     /* 1838237 */   // Label 24869: @1838237
     /* 1838237 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1838323), // Rule ID 13209 //
     /* 1838242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1838253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1838256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1838259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1838262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838288 */     // MIs[0] policy
     /* 1838288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1838301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838322 */     // GIR_Coverage, 13209,
     /* 1838322 */     GIR_EraseRootFromParent_Done,
     /* 1838323 */   // Label 24870: @1838323
     /* 1838323 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1838409), // Rule ID 13212 //
     /* 1838328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1838345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1838348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838374 */     // MIs[0] policy
     /* 1838374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1838387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838408 */     // GIR_Coverage, 13212,
     /* 1838408 */     GIR_EraseRootFromParent_Done,
     /* 1838409 */   // Label 24871: @1838409
     /* 1838409 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1838495), // Rule ID 13213 //
     /* 1838414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1838431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1838434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838460 */     // MIs[0] policy
     /* 1838460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1838473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838494 */     // GIR_Coverage, 13213,
     /* 1838494 */     GIR_EraseRootFromParent_Done,
     /* 1838495 */   // Label 24872: @1838495
     /* 1838495 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1838581), // Rule ID 13216 //
     /* 1838500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1838517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1838520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838546 */     // MIs[0] policy
     /* 1838546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1838559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838580 */     // GIR_Coverage, 13216,
     /* 1838580 */     GIR_EraseRootFromParent_Done,
     /* 1838581 */   // Label 24873: @1838581
     /* 1838581 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1838667), // Rule ID 13217 //
     /* 1838586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1838603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1838606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838632 */     // MIs[0] policy
     /* 1838632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1838645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838666 */     // GIR_Coverage, 13217,
     /* 1838666 */     GIR_EraseRootFromParent_Done,
     /* 1838667 */   // Label 24874: @1838667
     /* 1838667 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1838753), // Rule ID 13220 //
     /* 1838672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1838689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1838692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838718 */     // MIs[0] policy
     /* 1838718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1838731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838752 */     // GIR_Coverage, 13220,
     /* 1838752 */     GIR_EraseRootFromParent_Done,
     /* 1838753 */   // Label 24875: @1838753
     /* 1838753 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1838839), // Rule ID 13221 //
     /* 1838758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1838775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1838778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838804 */     // MIs[0] policy
     /* 1838804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1838817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838838 */     // GIR_Coverage, 13221,
     /* 1838838 */     GIR_EraseRootFromParent_Done,
     /* 1838839 */   // Label 24876: @1838839
     /* 1838839 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1838925), // Rule ID 13224 //
     /* 1838844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1838861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838890 */     // MIs[0] policy
     /* 1838890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838900 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1838903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838924 */     // GIR_Coverage, 13224,
     /* 1838924 */     GIR_EraseRootFromParent_Done,
     /* 1838925 */   // Label 24877: @1838925
     /* 1838925 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1839011), // Rule ID 13225 //
     /* 1838930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1838938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1838947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838976 */     // MIs[0] policy
     /* 1838976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1838989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839010 */     // GIR_Coverage, 13225,
     /* 1839010 */     GIR_EraseRootFromParent_Done,
     /* 1839011 */   // Label 24878: @1839011
     /* 1839011 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1839097), // Rule ID 13228 //
     /* 1839016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1839019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1839027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1839030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1839033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1839036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839062 */     // MIs[0] policy
     /* 1839062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1839075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839096 */     // GIR_Coverage, 13228,
     /* 1839096 */     GIR_EraseRootFromParent_Done,
     /* 1839097 */   // Label 24879: @1839097
     /* 1839097 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1839183), // Rule ID 13229 //
     /* 1839102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1839105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1839113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1839116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1839119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1839122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839148 */     // MIs[0] policy
     /* 1839148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1839161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839182 */     // GIR_Coverage, 13229,
     /* 1839182 */     GIR_EraseRootFromParent_Done,
     /* 1839183 */   // Label 24880: @1839183
     /* 1839183 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1839269), // Rule ID 13232 //
     /* 1839188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1839199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1839202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1839208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839234 */     // MIs[0] policy
     /* 1839234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839244 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1839247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839268 */     // GIR_Coverage, 13232,
     /* 1839268 */     GIR_EraseRootFromParent_Done,
     /* 1839269 */   // Label 24881: @1839269
     /* 1839269 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1839355), // Rule ID 13233 //
     /* 1839274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1839285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1839288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1839294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839320 */     // MIs[0] policy
     /* 1839320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1839333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839354 */     // GIR_Coverage, 13233,
     /* 1839354 */     GIR_EraseRootFromParent_Done,
     /* 1839355 */   // Label 24882: @1839355
     /* 1839355 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1839441), // Rule ID 13236 //
     /* 1839360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1839371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1839374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839406 */     // MIs[0] policy
     /* 1839406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839416 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1839419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839440 */     // GIR_Coverage, 13236,
     /* 1839440 */     GIR_EraseRootFromParent_Done,
     /* 1839441 */   // Label 24883: @1839441
     /* 1839441 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1839527), // Rule ID 13237 //
     /* 1839446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1839457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1839460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839492 */     // MIs[0] policy
     /* 1839492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839502 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1839505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839526 */     // GIR_Coverage, 13237,
     /* 1839526 */     GIR_EraseRootFromParent_Done,
     /* 1839527 */   // Label 24884: @1839527
     /* 1839527 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1839613), // Rule ID 13240 //
     /* 1839532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1839543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1839546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839578 */     // MIs[0] policy
     /* 1839578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839588 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1839591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839612 */     // GIR_Coverage, 13240,
     /* 1839612 */     GIR_EraseRootFromParent_Done,
     /* 1839613 */   // Label 24885: @1839613
     /* 1839613 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1839699), // Rule ID 13241 //
     /* 1839618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1839629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1839632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839664 */     // MIs[0] policy
     /* 1839664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839674 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1839677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839698 */     // GIR_Coverage, 13241,
     /* 1839698 */     GIR_EraseRootFromParent_Done,
     /* 1839699 */   // Label 24886: @1839699
     /* 1839699 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1839785), // Rule ID 13244 //
     /* 1839704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1839715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1839718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839750 */     // MIs[0] policy
     /* 1839750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839760 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1839763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839784 */     // GIR_Coverage, 13244,
     /* 1839784 */     GIR_EraseRootFromParent_Done,
     /* 1839785 */   // Label 24887: @1839785
     /* 1839785 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1839871), // Rule ID 13245 //
     /* 1839790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1839801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1839804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839836 */     // MIs[0] policy
     /* 1839836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1839849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839870 */     // GIR_Coverage, 13245,
     /* 1839870 */     GIR_EraseRootFromParent_Done,
     /* 1839871 */   // Label 24888: @1839871
     /* 1839871 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1839957), // Rule ID 13248 //
     /* 1839876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839922 */     // MIs[0] policy
     /* 1839922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1839935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839956 */     // GIR_Coverage, 13248,
     /* 1839956 */     GIR_EraseRootFromParent_Done,
     /* 1839957 */   // Label 24889: @1839957
     /* 1839957 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1840043), // Rule ID 13249 //
     /* 1839962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1839970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840008 */     // MIs[0] policy
     /* 1840008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1840021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840042 */     // GIR_Coverage, 13249,
     /* 1840042 */     GIR_EraseRootFromParent_Done,
     /* 1840043 */   // Label 24890: @1840043
     /* 1840043 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1840129), // Rule ID 13252 //
     /* 1840048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1840059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1840062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840094 */     // MIs[0] policy
     /* 1840094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840104 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1840107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840128 */     // GIR_Coverage, 13252,
     /* 1840128 */     GIR_EraseRootFromParent_Done,
     /* 1840129 */   // Label 24891: @1840129
     /* 1840129 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1840215), // Rule ID 13253 //
     /* 1840134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1840145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1840148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1840154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840180 */     // MIs[0] policy
     /* 1840180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1840193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840214 */     // GIR_Coverage, 13253,
     /* 1840214 */     GIR_EraseRootFromParent_Done,
     /* 1840215 */   // Label 24892: @1840215
     /* 1840215 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1840301), // Rule ID 13256 //
     /* 1840220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1840231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1840234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1840240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840266 */     // MIs[0] policy
     /* 1840266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840300 */     // GIR_Coverage, 13256,
     /* 1840300 */     GIR_EraseRootFromParent_Done,
     /* 1840301 */   // Label 24893: @1840301
     /* 1840301 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1840387), // Rule ID 13257 //
     /* 1840306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1840317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1840320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1840326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840352 */     // MIs[0] policy
     /* 1840352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840362 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840386 */     // GIR_Coverage, 13257,
     /* 1840386 */     GIR_EraseRootFromParent_Done,
     /* 1840387 */   // Label 24894: @1840387
     /* 1840387 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1840473), // Rule ID 13260 //
     /* 1840392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1840403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1840406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1840412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840438 */     // MIs[0] policy
     /* 1840438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840448 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840472 */     // GIR_Coverage, 13260,
     /* 1840472 */     GIR_EraseRootFromParent_Done,
     /* 1840473 */   // Label 24895: @1840473
     /* 1840473 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1840559), // Rule ID 13261 //
     /* 1840478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1840489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1840492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1840498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840524 */     // MIs[0] policy
     /* 1840524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840558 */     // GIR_Coverage, 13261,
     /* 1840558 */     GIR_EraseRootFromParent_Done,
     /* 1840559 */   // Label 24896: @1840559
     /* 1840559 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1840645), // Rule ID 13264 //
     /* 1840564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840610 */     // MIs[0] policy
     /* 1840610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840644 */     // GIR_Coverage, 13264,
     /* 1840644 */     GIR_EraseRootFromParent_Done,
     /* 1840645 */   // Label 24897: @1840645
     /* 1840645 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1840731), // Rule ID 13265 //
     /* 1840650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1840670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840696 */     // MIs[0] policy
     /* 1840696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840730 */     // GIR_Coverage, 13265,
     /* 1840730 */     GIR_EraseRootFromParent_Done,
     /* 1840731 */   // Label 24898: @1840731
     /* 1840731 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1840817), // Rule ID 13268 //
     /* 1840736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1840739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1840756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840782 */     // MIs[0] policy
     /* 1840782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840816 */     // GIR_Coverage, 13268,
     /* 1840816 */     GIR_EraseRootFromParent_Done,
     /* 1840817 */   // Label 24899: @1840817
     /* 1840817 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1840903), // Rule ID 13269 //
     /* 1840822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1840825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1840842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840868 */     // MIs[0] policy
     /* 1840868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1840881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840902 */     // GIR_Coverage, 13269,
     /* 1840902 */     GIR_EraseRootFromParent_Done,
     /* 1840903 */   // Label 24900: @1840903
     /* 1840903 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1840989), // Rule ID 13272 //
     /* 1840908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1840916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1840919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1840922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840954 */     // MIs[0] policy
     /* 1840954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840964 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1840967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840988 */     // GIR_Coverage, 13272,
     /* 1840988 */     GIR_EraseRootFromParent_Done,
     /* 1840989 */   // Label 24901: @1840989
     /* 1840989 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1841075), // Rule ID 13273 //
     /* 1840994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1841005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1841008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1841014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841040 */     // MIs[0] policy
     /* 1841040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1841053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841074 */     // GIR_Coverage, 13273,
     /* 1841074 */     GIR_EraseRootFromParent_Done,
     /* 1841075 */   // Label 24902: @1841075
     /* 1841075 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1841161), // Rule ID 13276 //
     /* 1841080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1841091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1841094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841126 */     // MIs[0] policy
     /* 1841126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1841139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841160 */     // GIR_Coverage, 13276,
     /* 1841160 */     GIR_EraseRootFromParent_Done,
     /* 1841161 */   // Label 24903: @1841161
     /* 1841161 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1841247), // Rule ID 13277 //
     /* 1841166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1841177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1841180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841212 */     // MIs[0] policy
     /* 1841212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1841225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841246 */     // GIR_Coverage, 13277,
     /* 1841246 */     GIR_EraseRootFromParent_Done,
     /* 1841247 */   // Label 24904: @1841247
     /* 1841247 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1841333), // Rule ID 13280 //
     /* 1841252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1841263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1841266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1841272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1841275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841298 */     // MIs[0] policy
     /* 1841298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1841311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841332 */     // GIR_Coverage, 13280,
     /* 1841332 */     GIR_EraseRootFromParent_Done,
     /* 1841333 */   // Label 24905: @1841333
     /* 1841333 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1841419), // Rule ID 13281 //
     /* 1841338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1841349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1841352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1841358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1841361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841384 */     // MIs[0] policy
     /* 1841384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841394 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1841397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841418 */     // GIR_Coverage, 13281,
     /* 1841418 */     GIR_EraseRootFromParent_Done,
     /* 1841419 */   // Label 24906: @1841419
     /* 1841419 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1841505), // Rule ID 13284 //
     /* 1841424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841470 */     // MIs[0] policy
     /* 1841470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1841483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841504 */     // GIR_Coverage, 13284,
     /* 1841504 */     GIR_EraseRootFromParent_Done,
     /* 1841505 */   // Label 24907: @1841505
     /* 1841505 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1841591), // Rule ID 13285 //
     /* 1841510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1841521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1841524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841556 */     // MIs[0] policy
     /* 1841556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1841569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841590 */     // GIR_Coverage, 13285,
     /* 1841590 */     GIR_EraseRootFromParent_Done,
     /* 1841591 */   // Label 24908: @1841591
     /* 1841591 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1841677), // Rule ID 13288 //
     /* 1841596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1841607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1841610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1841616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841642 */     // MIs[0] policy
     /* 1841642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841652 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1841655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841676 */     // GIR_Coverage, 13288,
     /* 1841676 */     GIR_EraseRootFromParent_Done,
     /* 1841677 */   // Label 24909: @1841677
     /* 1841677 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1841763), // Rule ID 13289 //
     /* 1841682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1841693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1841696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1841702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841728 */     // MIs[0] policy
     /* 1841728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841738 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1841741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841762 */     // GIR_Coverage, 13289,
     /* 1841762 */     GIR_EraseRootFromParent_Done,
     /* 1841763 */   // Label 24910: @1841763
     /* 1841763 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1841849), // Rule ID 13292 //
     /* 1841768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1841788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841814 */     // MIs[0] policy
     /* 1841814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1841827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841848 */     // GIR_Coverage, 13292,
     /* 1841848 */     GIR_EraseRootFromParent_Done,
     /* 1841849 */   // Label 24911: @1841849
     /* 1841849 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1841935), // Rule ID 13293 //
     /* 1841854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1841874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841900 */     // MIs[0] policy
     /* 1841900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841910 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1841913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841934 */     // GIR_Coverage, 13293,
     /* 1841934 */     GIR_EraseRootFromParent_Done,
     /* 1841935 */   // Label 24912: @1841935
     /* 1841935 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1842021), // Rule ID 13296 //
     /* 1841940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1841948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1841960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841986 */     // MIs[0] policy
     /* 1841986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1841999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842020 */     // GIR_Coverage, 13296,
     /* 1842020 */     GIR_EraseRootFromParent_Done,
     /* 1842021 */   // Label 24913: @1842021
     /* 1842021 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1842107), // Rule ID 13297 //
     /* 1842026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1842037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1842040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1842046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842072 */     // MIs[0] policy
     /* 1842072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1842085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842106 */     // GIR_Coverage, 13297,
     /* 1842106 */     GIR_EraseRootFromParent_Done,
     /* 1842107 */   // Label 24914: @1842107
     /* 1842107 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1842193), // Rule ID 13300 //
     /* 1842112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842158 */     // MIs[0] policy
     /* 1842158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1842171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842192 */     // GIR_Coverage, 13300,
     /* 1842192 */     GIR_EraseRootFromParent_Done,
     /* 1842193 */   // Label 24915: @1842193
     /* 1842193 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1842279), // Rule ID 13301 //
     /* 1842198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1842209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1842212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842244 */     // MIs[0] policy
     /* 1842244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1842257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842278 */     // GIR_Coverage, 13301,
     /* 1842278 */     GIR_EraseRootFromParent_Done,
     /* 1842279 */   // Label 24916: @1842279
     /* 1842279 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1842365), // Rule ID 13304 //
     /* 1842284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1842295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1842298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1842304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842330 */     // MIs[0] policy
     /* 1842330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1842343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842364 */     // GIR_Coverage, 13304,
     /* 1842364 */     GIR_EraseRootFromParent_Done,
     /* 1842365 */   // Label 24917: @1842365
     /* 1842365 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1842451), // Rule ID 13305 //
     /* 1842370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1842381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1842384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1842390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842416 */     // MIs[0] policy
     /* 1842416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1842429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842450 */     // GIR_Coverage, 13305,
     /* 1842450 */     GIR_EraseRootFromParent_Done,
     /* 1842451 */   // Label 24918: @1842451
     /* 1842451 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1842537), // Rule ID 13308 //
     /* 1842456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1842459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1842467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1842470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1842476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842502 */     // MIs[0] policy
     /* 1842502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1842515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842536 */     // GIR_Coverage, 13308,
     /* 1842536 */     GIR_EraseRootFromParent_Done,
     /* 1842537 */   // Label 24919: @1842537
     /* 1842537 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1842623), // Rule ID 13309 //
     /* 1842542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1842545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1842553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1842556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1842562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842588 */     // MIs[0] policy
     /* 1842588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1842601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842622 */     // GIR_Coverage, 13309,
     /* 1842622 */     GIR_EraseRootFromParent_Done,
     /* 1842623 */   // Label 24920: @1842623
     /* 1842623 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1842709), // Rule ID 13312 //
     /* 1842628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1842631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1842648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842674 */     // MIs[0] policy
     /* 1842674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1842687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842708 */     // GIR_Coverage, 13312,
     /* 1842708 */     GIR_EraseRootFromParent_Done,
     /* 1842709 */   // Label 24921: @1842709
     /* 1842709 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1842795), // Rule ID 13313 //
     /* 1842714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1842717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1842734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842760 */     // MIs[0] policy
     /* 1842760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1842773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842794 */     // GIR_Coverage, 13313,
     /* 1842794 */     GIR_EraseRootFromParent_Done,
     /* 1842795 */   // Label 24922: @1842795
     /* 1842795 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1842881), // Rule ID 13316 //
     /* 1842800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1842803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1842820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842846 */     // MIs[0] policy
     /* 1842846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1842859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842880 */     // GIR_Coverage, 13316,
     /* 1842880 */     GIR_EraseRootFromParent_Done,
     /* 1842881 */   // Label 24923: @1842881
     /* 1842881 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1842967), // Rule ID 13317 //
     /* 1842886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1842889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1842906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842932 */     // MIs[0] policy
     /* 1842932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1842945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842966 */     // GIR_Coverage, 13317,
     /* 1842966 */     GIR_EraseRootFromParent_Done,
     /* 1842967 */   // Label 24924: @1842967
     /* 1842967 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1843053), // Rule ID 13320 //
     /* 1842972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1842992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843018 */     // MIs[0] policy
     /* 1843018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1843031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843052 */     // GIR_Coverage, 13320,
     /* 1843052 */     GIR_EraseRootFromParent_Done,
     /* 1843053 */   // Label 24925: @1843053
     /* 1843053 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1843139), // Rule ID 13321 //
     /* 1843058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1843069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1843072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1843075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1843078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843104 */     // MIs[0] policy
     /* 1843104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1843117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843138 */     // GIR_Coverage, 13321,
     /* 1843138 */     GIR_EraseRootFromParent_Done,
     /* 1843139 */   // Label 24926: @1843139
     /* 1843139 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1843225), // Rule ID 13324 //
     /* 1843144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1843155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1843158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1843161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1843164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843190 */     // MIs[0] policy
     /* 1843190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843200 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1843203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843224 */     // GIR_Coverage, 13324,
     /* 1843224 */     GIR_EraseRootFromParent_Done,
     /* 1843225 */   // Label 24927: @1843225
     /* 1843225 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1843311), // Rule ID 13325 //
     /* 1843230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1843241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1843244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1843247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1843250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843276 */     // MIs[0] policy
     /* 1843276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1843289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843310 */     // GIR_Coverage, 13325,
     /* 1843310 */     GIR_EraseRootFromParent_Done,
     /* 1843311 */   // Label 24928: @1843311
     /* 1843311 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1843397), // Rule ID 13328 //
     /* 1843316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1843333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1843336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843362 */     // MIs[0] policy
     /* 1843362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1843375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843396 */     // GIR_Coverage, 13328,
     /* 1843396 */     GIR_EraseRootFromParent_Done,
     /* 1843397 */   // Label 24929: @1843397
     /* 1843397 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1843483), // Rule ID 13329 //
     /* 1843402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1843419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1843422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843448 */     // MIs[0] policy
     /* 1843448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1843461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843482 */     // GIR_Coverage, 13329,
     /* 1843482 */     GIR_EraseRootFromParent_Done,
     /* 1843483 */   // Label 24930: @1843483
     /* 1843483 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1843569), // Rule ID 13332 //
     /* 1843488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1843508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843534 */     // MIs[0] policy
     /* 1843534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1843547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843568 */     // GIR_Coverage, 13332,
     /* 1843568 */     GIR_EraseRootFromParent_Done,
     /* 1843569 */   // Label 24931: @1843569
     /* 1843569 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1843655), // Rule ID 13333 //
     /* 1843574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1843594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843620 */     // MIs[0] policy
     /* 1843620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843630 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1843633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843654 */     // GIR_Coverage, 13333,
     /* 1843654 */     GIR_EraseRootFromParent_Done,
     /* 1843655 */   // Label 24932: @1843655
     /* 1843655 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1843741), // Rule ID 13336 //
     /* 1843660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843706 */     // MIs[0] policy
     /* 1843706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1843719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843740 */     // GIR_Coverage, 13336,
     /* 1843740 */     GIR_EraseRootFromParent_Done,
     /* 1843741 */   // Label 24933: @1843741
     /* 1843741 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1843827), // Rule ID 13337 //
     /* 1843746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843792 */     // MIs[0] policy
     /* 1843792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1843805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843826 */     // GIR_Coverage, 13337,
     /* 1843826 */     GIR_EraseRootFromParent_Done,
     /* 1843827 */   // Label 24934: @1843827
     /* 1843827 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1843913), // Rule ID 13340 //
     /* 1843832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843878 */     // MIs[0] policy
     /* 1843878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843888 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1843891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843912 */     // GIR_Coverage, 13340,
     /* 1843912 */     GIR_EraseRootFromParent_Done,
     /* 1843913 */   // Label 24935: @1843913
     /* 1843913 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1843999), // Rule ID 13341 //
     /* 1843918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1843926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843964 */     // MIs[0] policy
     /* 1843964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1843977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843998 */     // GIR_Coverage, 13341,
     /* 1843998 */     GIR_EraseRootFromParent_Done,
     /* 1843999 */   // Label 24936: @1843999
     /* 1843999 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1844085), // Rule ID 13344 //
     /* 1844004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1844015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1844018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1844021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1844024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844050 */     // MIs[0] policy
     /* 1844050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1844063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844084 */     // GIR_Coverage, 13344,
     /* 1844084 */     GIR_EraseRootFromParent_Done,
     /* 1844085 */   // Label 24937: @1844085
     /* 1844085 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1844171), // Rule ID 13345 //
     /* 1844090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1844101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1844104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1844107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1844110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844136 */     // MIs[0] policy
     /* 1844136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1844149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844170 */     // GIR_Coverage, 13345,
     /* 1844170 */     GIR_EraseRootFromParent_Done,
     /* 1844171 */   // Label 24938: @1844171
     /* 1844171 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1844257), // Rule ID 13348 //
     /* 1844176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844222 */     // MIs[0] policy
     /* 1844222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1844235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844256 */     // GIR_Coverage, 13348,
     /* 1844256 */     GIR_EraseRootFromParent_Done,
     /* 1844257 */   // Label 24939: @1844257
     /* 1844257 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1844343), // Rule ID 13349 //
     /* 1844262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844308 */     // MIs[0] policy
     /* 1844308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1844321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844342 */     // GIR_Coverage, 13349,
     /* 1844342 */     GIR_EraseRootFromParent_Done,
     /* 1844343 */   // Label 24940: @1844343
     /* 1844343 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1844429), // Rule ID 13352 //
     /* 1844348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1844368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844394 */     // MIs[0] policy
     /* 1844394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1844407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844428 */     // GIR_Coverage, 13352,
     /* 1844428 */     GIR_EraseRootFromParent_Done,
     /* 1844429 */   // Label 24941: @1844429
     /* 1844429 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1844515), // Rule ID 13353 //
     /* 1844434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1844454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844480 */     // MIs[0] policy
     /* 1844480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1844493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844514 */     // GIR_Coverage, 13353,
     /* 1844514 */     GIR_EraseRootFromParent_Done,
     /* 1844515 */   // Label 24942: @1844515
     /* 1844515 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1844601), // Rule ID 13356 //
     /* 1844520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844566 */     // MIs[0] policy
     /* 1844566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1844579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844600 */     // GIR_Coverage, 13356,
     /* 1844600 */     GIR_EraseRootFromParent_Done,
     /* 1844601 */   // Label 24943: @1844601
     /* 1844601 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1844687), // Rule ID 13357 //
     /* 1844606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844652 */     // MIs[0] policy
     /* 1844652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1844665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844686 */     // GIR_Coverage, 13357,
     /* 1844686 */     GIR_EraseRootFromParent_Done,
     /* 1844687 */   // Label 24944: @1844687
     /* 1844687 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1844773), // Rule ID 13360 //
     /* 1844692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844738 */     // MIs[0] policy
     /* 1844738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1844751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844772 */     // GIR_Coverage, 13360,
     /* 1844772 */     GIR_EraseRootFromParent_Done,
     /* 1844773 */   // Label 24945: @1844773
     /* 1844773 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1844859), // Rule ID 13361 //
     /* 1844778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844824 */     // MIs[0] policy
     /* 1844824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1844837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844858 */     // GIR_Coverage, 13361,
     /* 1844858 */     GIR_EraseRootFromParent_Done,
     /* 1844859 */   // Label 24946: @1844859
     /* 1844859 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1844945), // Rule ID 13364 //
     /* 1844864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1844884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844910 */     // MIs[0] policy
     /* 1844910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1844923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844944 */     // GIR_Coverage, 13364,
     /* 1844944 */     GIR_EraseRootFromParent_Done,
     /* 1844945 */   // Label 24947: @1844945
     /* 1844945 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1845031), // Rule ID 13365 //
     /* 1844950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1844958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1844970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844996 */     // MIs[0] policy
     /* 1844996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1845009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845030 */     // GIR_Coverage, 13365,
     /* 1845030 */     GIR_EraseRootFromParent_Done,
     /* 1845031 */   // Label 24948: @1845031
     /* 1845031 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1845117), // Rule ID 13368 //
     /* 1845036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1845053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1845056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845082 */     // MIs[0] policy
     /* 1845082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1845095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845116 */     // GIR_Coverage, 13368,
     /* 1845116 */     GIR_EraseRootFromParent_Done,
     /* 1845117 */   // Label 24949: @1845117
     /* 1845117 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1845203), // Rule ID 13369 //
     /* 1845122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1845139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1845142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845168 */     // MIs[0] policy
     /* 1845168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1845181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845202 */     // GIR_Coverage, 13369,
     /* 1845202 */     GIR_EraseRootFromParent_Done,
     /* 1845203 */   // Label 24950: @1845203
     /* 1845203 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1845289), // Rule ID 13372 //
     /* 1845208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845254 */     // MIs[0] policy
     /* 1845254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1845267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845288 */     // GIR_Coverage, 13372,
     /* 1845288 */     GIR_EraseRootFromParent_Done,
     /* 1845289 */   // Label 24951: @1845289
     /* 1845289 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1845375), // Rule ID 13373 //
     /* 1845294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845340 */     // MIs[0] policy
     /* 1845340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1845353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845374 */     // GIR_Coverage, 13373,
     /* 1845374 */     GIR_EraseRootFromParent_Done,
     /* 1845375 */   // Label 24952: @1845375
     /* 1845375 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1845461), // Rule ID 13376 //
     /* 1845380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1845400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845426 */     // MIs[0] policy
     /* 1845426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1845439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845460 */     // GIR_Coverage, 13376,
     /* 1845460 */     GIR_EraseRootFromParent_Done,
     /* 1845461 */   // Label 24953: @1845461
     /* 1845461 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1845547), // Rule ID 13377 //
     /* 1845466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1845486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845512 */     // MIs[0] policy
     /* 1845512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1845525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845546 */     // GIR_Coverage, 13377,
     /* 1845546 */     GIR_EraseRootFromParent_Done,
     /* 1845547 */   // Label 24954: @1845547
     /* 1845547 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1845633), // Rule ID 13380 //
     /* 1845552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845598 */     // MIs[0] policy
     /* 1845598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845608 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1845611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845632 */     // GIR_Coverage, 13380,
     /* 1845632 */     GIR_EraseRootFromParent_Done,
     /* 1845633 */   // Label 24955: @1845633
     /* 1845633 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1845719), // Rule ID 13381 //
     /* 1845638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845684 */     // MIs[0] policy
     /* 1845684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1845697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845718 */     // GIR_Coverage, 13381,
     /* 1845718 */     GIR_EraseRootFromParent_Done,
     /* 1845719 */   // Label 24956: @1845719
     /* 1845719 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1845805), // Rule ID 13384 //
     /* 1845724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845770 */     // MIs[0] policy
     /* 1845770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1845783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845804 */     // GIR_Coverage, 13384,
     /* 1845804 */     GIR_EraseRootFromParent_Done,
     /* 1845805 */   // Label 24957: @1845805
     /* 1845805 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1845891), // Rule ID 13385 //
     /* 1845810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845856 */     // MIs[0] policy
     /* 1845856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1845869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845890 */     // GIR_Coverage, 13385,
     /* 1845890 */     GIR_EraseRootFromParent_Done,
     /* 1845891 */   // Label 24958: @1845891
     /* 1845891 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1845977), // Rule ID 13388 //
     /* 1845896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845942 */     // MIs[0] policy
     /* 1845942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1845955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845976 */     // GIR_Coverage, 13388,
     /* 1845976 */     GIR_EraseRootFromParent_Done,
     /* 1845977 */   // Label 24959: @1845977
     /* 1845977 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1846063), // Rule ID 13389 //
     /* 1845982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1845990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846028 */     // MIs[0] policy
     /* 1846028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11587:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1846041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846062 */     // GIR_Coverage, 13389,
     /* 1846062 */     GIR_EraseRootFromParent_Done,
     /* 1846063 */   // Label 24960: @1846063
     /* 1846063 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1846149), // Rule ID 13392 //
     /* 1846068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846114 */     // MIs[0] policy
     /* 1846114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1846127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846148 */     // GIR_Coverage, 13392,
     /* 1846148 */     GIR_EraseRootFromParent_Done,
     /* 1846149 */   // Label 24961: @1846149
     /* 1846149 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1846235), // Rule ID 13393 //
     /* 1846154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1846165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1846168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846200 */     // MIs[0] policy
     /* 1846200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1846213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846234 */     // GIR_Coverage, 13393,
     /* 1846234 */     GIR_EraseRootFromParent_Done,
     /* 1846235 */   // Label 24962: @1846235
     /* 1846235 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1846321), // Rule ID 13396 //
     /* 1846240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846286 */     // MIs[0] policy
     /* 1846286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1846299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846320 */     // GIR_Coverage, 13396,
     /* 1846320 */     GIR_EraseRootFromParent_Done,
     /* 1846321 */   // Label 24963: @1846321
     /* 1846321 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1846407), // Rule ID 13397 //
     /* 1846326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846372 */     // MIs[0] policy
     /* 1846372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1846385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846406 */     // GIR_Coverage, 13397,
     /* 1846406 */     GIR_EraseRootFromParent_Done,
     /* 1846407 */   // Label 24964: @1846407
     /* 1846407 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1846493), // Rule ID 13400 //
     /* 1846412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1846435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846458 */     // MIs[0] policy
     /* 1846458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1846471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846492 */     // GIR_Coverage, 13400,
     /* 1846492 */     GIR_EraseRootFromParent_Done,
     /* 1846493 */   // Label 24965: @1846493
     /* 1846493 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1846579), // Rule ID 13401 //
     /* 1846498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1846521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846544 */     // MIs[0] policy
     /* 1846544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1846557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846578 */     // GIR_Coverage, 13401,
     /* 1846578 */     GIR_EraseRootFromParent_Done,
     /* 1846579 */   // Label 24966: @1846579
     /* 1846579 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1846665), // Rule ID 13404 //
     /* 1846584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846630 */     // MIs[0] policy
     /* 1846630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1846643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846664 */     // GIR_Coverage, 13404,
     /* 1846664 */     GIR_EraseRootFromParent_Done,
     /* 1846665 */   // Label 24967: @1846665
     /* 1846665 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1846751), // Rule ID 13405 //
     /* 1846670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846716 */     // MIs[0] policy
     /* 1846716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1846729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846750 */     // GIR_Coverage, 13405,
     /* 1846750 */     GIR_EraseRootFromParent_Done,
     /* 1846751 */   // Label 24968: @1846751
     /* 1846751 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1846837), // Rule ID 13408 //
     /* 1846756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846802 */     // MIs[0] policy
     /* 1846802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1846815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846836 */     // GIR_Coverage, 13408,
     /* 1846836 */     GIR_EraseRootFromParent_Done,
     /* 1846837 */   // Label 24969: @1846837
     /* 1846837 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1846923), // Rule ID 13409 //
     /* 1846842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846888 */     // MIs[0] policy
     /* 1846888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11587:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1846901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846922 */     // GIR_Coverage, 13409,
     /* 1846922 */     GIR_EraseRootFromParent_Done,
     /* 1846923 */   // Label 24970: @1846923
     /* 1846923 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1847009), // Rule ID 13412 //
     /* 1846928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1846936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846974 */     // MIs[0] policy
     /* 1846974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1846987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847008 */     // GIR_Coverage, 13412,
     /* 1847008 */     GIR_EraseRootFromParent_Done,
     /* 1847009 */   // Label 24971: @1847009
     /* 1847009 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1847095), // Rule ID 13413 //
     /* 1847014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847060 */     // MIs[0] policy
     /* 1847060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1847073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847094 */     // GIR_Coverage, 13413,
     /* 1847094 */     GIR_EraseRootFromParent_Done,
     /* 1847095 */   // Label 24972: @1847095
     /* 1847095 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1847181), // Rule ID 13416 //
     /* 1847100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847146 */     // MIs[0] policy
     /* 1847146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1847159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847180 */     // GIR_Coverage, 13416,
     /* 1847180 */     GIR_EraseRootFromParent_Done,
     /* 1847181 */   // Label 24973: @1847181
     /* 1847181 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1847267), // Rule ID 13417 //
     /* 1847186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847232 */     // MIs[0] policy
     /* 1847232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1847245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847266 */     // GIR_Coverage, 13417,
     /* 1847266 */     GIR_EraseRootFromParent_Done,
     /* 1847267 */   // Label 24974: @1847267
     /* 1847267 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1847353), // Rule ID 13420 //
     /* 1847272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847318 */     // MIs[0] policy
     /* 1847318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1847331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847352 */     // GIR_Coverage, 13420,
     /* 1847352 */     GIR_EraseRootFromParent_Done,
     /* 1847353 */   // Label 24975: @1847353
     /* 1847353 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1847439), // Rule ID 13421 //
     /* 1847358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847404 */     // MIs[0] policy
     /* 1847404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1847417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847438 */     // GIR_Coverage, 13421,
     /* 1847438 */     GIR_EraseRootFromParent_Done,
     /* 1847439 */   // Label 24976: @1847439
     /* 1847439 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1847525), // Rule ID 13424 //
     /* 1847444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847490 */     // MIs[0] policy
     /* 1847490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1847503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847524 */     // GIR_Coverage, 13424,
     /* 1847524 */     GIR_EraseRootFromParent_Done,
     /* 1847525 */   // Label 24977: @1847525
     /* 1847525 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1847611), // Rule ID 13425 //
     /* 1847530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847576 */     // MIs[0] policy
     /* 1847576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11587:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1847589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847610 */     // GIR_Coverage, 13425,
     /* 1847610 */     GIR_EraseRootFromParent_Done,
     /* 1847611 */   // Label 24978: @1847611
     /* 1847611 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1847697), // Rule ID 13428 //
     /* 1847616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847662 */     // MIs[0] policy
     /* 1847662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1847675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847696 */     // GIR_Coverage, 13428,
     /* 1847696 */     GIR_EraseRootFromParent_Done,
     /* 1847697 */   // Label 24979: @1847697
     /* 1847697 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1847783), // Rule ID 13429 //
     /* 1847702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847748 */     // MIs[0] policy
     /* 1847748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11587:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1847761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847782 */     // GIR_Coverage, 13429,
     /* 1847782 */     GIR_EraseRootFromParent_Done,
     /* 1847783 */   // Label 24980: @1847783
     /* 1847783 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1847869), // Rule ID 13432 //
     /* 1847788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847834 */     // MIs[0] policy
     /* 1847834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1847847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847868 */     // GIR_Coverage, 13432,
     /* 1847868 */     GIR_EraseRootFromParent_Done,
     /* 1847869 */   // Label 24981: @1847869
     /* 1847869 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1847955), // Rule ID 13433 //
     /* 1847874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847920 */     // MIs[0] policy
     /* 1847920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11587:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1847933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847954 */     // GIR_Coverage, 13433,
     /* 1847954 */     GIR_EraseRootFromParent_Done,
     /* 1847955 */   // Label 24982: @1847955
     /* 1847955 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1848041), // Rule ID 13436 //
     /* 1847960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1847968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848006 */     // MIs[0] policy
     /* 1848006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1848019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848040 */     // GIR_Coverage, 13436,
     /* 1848040 */     GIR_EraseRootFromParent_Done,
     /* 1848041 */   // Label 24983: @1848041
     /* 1848041 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1848127), // Rule ID 13437 //
     /* 1848046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1848049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1848054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848092 */     // MIs[0] policy
     /* 1848092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11587:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1848105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848126 */     // GIR_Coverage, 13437,
     /* 1848126 */     GIR_EraseRootFromParent_Done,
     /* 1848127 */   // Label 24984: @1848127
     /* 1848127 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1848213), // Rule ID 13440 //
     /* 1848132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1848149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848178 */     // MIs[0] policy
     /* 1848178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1848191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848212 */     // GIR_Coverage, 13440,
     /* 1848212 */     GIR_EraseRootFromParent_Done,
     /* 1848213 */   // Label 24985: @1848213
     /* 1848213 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1848299), // Rule ID 13441 //
     /* 1848218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1848235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848264 */     // MIs[0] policy
     /* 1848264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1848277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848298 */     // GIR_Coverage, 13441,
     /* 1848298 */     GIR_EraseRootFromParent_Done,
     /* 1848299 */   // Label 24986: @1848299
     /* 1848299 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1848385), // Rule ID 13444 //
     /* 1848304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1848321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848350 */     // MIs[0] policy
     /* 1848350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1848363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848384 */     // GIR_Coverage, 13444,
     /* 1848384 */     GIR_EraseRootFromParent_Done,
     /* 1848385 */   // Label 24987: @1848385
     /* 1848385 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1848471), // Rule ID 13445 //
     /* 1848390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1848407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848436 */     // MIs[0] policy
     /* 1848436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1848449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848470 */     // GIR_Coverage, 13445,
     /* 1848470 */     GIR_EraseRootFromParent_Done,
     /* 1848471 */   // Label 24988: @1848471
     /* 1848471 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1848557), // Rule ID 13448 //
     /* 1848476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1848493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848522 */     // MIs[0] policy
     /* 1848522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1848535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848556 */     // GIR_Coverage, 13448,
     /* 1848556 */     GIR_EraseRootFromParent_Done,
     /* 1848557 */   // Label 24989: @1848557
     /* 1848557 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1848643), // Rule ID 13449 //
     /* 1848562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1848579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848608 */     // MIs[0] policy
     /* 1848608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1848621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848642 */     // GIR_Coverage, 13449,
     /* 1848642 */     GIR_EraseRootFromParent_Done,
     /* 1848643 */   // Label 24990: @1848643
     /* 1848643 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1848729), // Rule ID 13452 //
     /* 1848648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1848665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848694 */     // MIs[0] policy
     /* 1848694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1848707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848728 */     // GIR_Coverage, 13452,
     /* 1848728 */     GIR_EraseRootFromParent_Done,
     /* 1848729 */   // Label 24991: @1848729
     /* 1848729 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1848815), // Rule ID 13453 //
     /* 1848734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1848751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848780 */     // MIs[0] policy
     /* 1848780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1848793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848814 */     // GIR_Coverage, 13453,
     /* 1848814 */     GIR_EraseRootFromParent_Done,
     /* 1848815 */   // Label 24992: @1848815
     /* 1848815 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1848901), // Rule ID 13456 //
     /* 1848820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1848837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848866 */     // MIs[0] policy
     /* 1848866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1848879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848900 */     // GIR_Coverage, 13456,
     /* 1848900 */     GIR_EraseRootFromParent_Done,
     /* 1848901 */   // Label 24993: @1848901
     /* 1848901 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1848987), // Rule ID 13457 //
     /* 1848906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1848914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1848923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848952 */     // MIs[0] policy
     /* 1848952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1848965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848986 */     // GIR_Coverage, 13457,
     /* 1848986 */     GIR_EraseRootFromParent_Done,
     /* 1848987 */   // Label 24994: @1848987
     /* 1848987 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1849073), // Rule ID 13460 //
     /* 1848992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1849009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849038 */     // MIs[0] policy
     /* 1849038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849048 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1849051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849072 */     // GIR_Coverage, 13460,
     /* 1849072 */     GIR_EraseRootFromParent_Done,
     /* 1849073 */   // Label 24995: @1849073
     /* 1849073 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1849159), // Rule ID 13461 //
     /* 1849078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1849089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1849092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1849095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1849098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1849101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849124 */     // MIs[0] policy
     /* 1849124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1849137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849158 */     // GIR_Coverage, 13461,
     /* 1849158 */     GIR_EraseRootFromParent_Done,
     /* 1849159 */   // Label 24996: @1849159
     /* 1849159 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1849245), // Rule ID 13464 //
     /* 1849164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849210 */     // MIs[0] policy
     /* 1849210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1849223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849244 */     // GIR_Coverage, 13464,
     /* 1849244 */     GIR_EraseRootFromParent_Done,
     /* 1849245 */   // Label 24997: @1849245
     /* 1849245 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1849331), // Rule ID 13465 //
     /* 1849250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849296 */     // MIs[0] policy
     /* 1849296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1849309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849330 */     // GIR_Coverage, 13465,
     /* 1849330 */     GIR_EraseRootFromParent_Done,
     /* 1849331 */   // Label 24998: @1849331
     /* 1849331 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1849417), // Rule ID 13468 //
     /* 1849336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1849353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849382 */     // MIs[0] policy
     /* 1849382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1849395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849416 */     // GIR_Coverage, 13468,
     /* 1849416 */     GIR_EraseRootFromParent_Done,
     /* 1849417 */   // Label 24999: @1849417
     /* 1849417 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1849503), // Rule ID 13469 //
     /* 1849422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1849439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849468 */     // MIs[0] policy
     /* 1849468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1849481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849502 */     // GIR_Coverage, 13469,
     /* 1849502 */     GIR_EraseRootFromParent_Done,
     /* 1849503 */   // Label 25000: @1849503
     /* 1849503 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1849589), // Rule ID 13472 //
     /* 1849508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1849525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849554 */     // MIs[0] policy
     /* 1849554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1849567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849588 */     // GIR_Coverage, 13472,
     /* 1849588 */     GIR_EraseRootFromParent_Done,
     /* 1849589 */   // Label 25001: @1849589
     /* 1849589 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1849675), // Rule ID 13473 //
     /* 1849594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1849611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849640 */     // MIs[0] policy
     /* 1849640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1849653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849674 */     // GIR_Coverage, 13473,
     /* 1849674 */     GIR_EraseRootFromParent_Done,
     /* 1849675 */   // Label 25002: @1849675
     /* 1849675 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1849761), // Rule ID 13476 //
     /* 1849680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1849697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849726 */     // MIs[0] policy
     /* 1849726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1849739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849760 */     // GIR_Coverage, 13476,
     /* 1849760 */     GIR_EraseRootFromParent_Done,
     /* 1849761 */   // Label 25003: @1849761
     /* 1849761 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1849847), // Rule ID 13477 //
     /* 1849766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1849783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849812 */     // MIs[0] policy
     /* 1849812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1849825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849846 */     // GIR_Coverage, 13477,
     /* 1849846 */     GIR_EraseRootFromParent_Done,
     /* 1849847 */   // Label 25004: @1849847
     /* 1849847 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1849933), // Rule ID 13480 //
     /* 1849852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1849869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849898 */     // MIs[0] policy
     /* 1849898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1849911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849932 */     // GIR_Coverage, 13480,
     /* 1849932 */     GIR_EraseRootFromParent_Done,
     /* 1849933 */   // Label 25005: @1849933
     /* 1849933 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1850019), // Rule ID 13481 //
     /* 1849938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1849946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1849955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849984 */     // MIs[0] policy
     /* 1849984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1849997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850018 */     // GIR_Coverage, 13481,
     /* 1850018 */     GIR_EraseRootFromParent_Done,
     /* 1850019 */   // Label 25006: @1850019
     /* 1850019 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1850105), // Rule ID 13484 //
     /* 1850024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1850041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850070 */     // MIs[0] policy
     /* 1850070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1850083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850104 */     // GIR_Coverage, 13484,
     /* 1850104 */     GIR_EraseRootFromParent_Done,
     /* 1850105 */   // Label 25007: @1850105
     /* 1850105 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1850191), // Rule ID 13485 //
     /* 1850110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1850127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850156 */     // MIs[0] policy
     /* 1850156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1850169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850190 */     // GIR_Coverage, 13485,
     /* 1850190 */     GIR_EraseRootFromParent_Done,
     /* 1850191 */   // Label 25008: @1850191
     /* 1850191 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1850277), // Rule ID 13488 //
     /* 1850196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850242 */     // MIs[0] policy
     /* 1850242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1850255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850276 */     // GIR_Coverage, 13488,
     /* 1850276 */     GIR_EraseRootFromParent_Done,
     /* 1850277 */   // Label 25009: @1850277
     /* 1850277 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1850363), // Rule ID 13489 //
     /* 1850282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850328 */     // MIs[0] policy
     /* 1850328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1850341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850362 */     // GIR_Coverage, 13489,
     /* 1850362 */     GIR_EraseRootFromParent_Done,
     /* 1850363 */   // Label 25010: @1850363
     /* 1850363 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1850449), // Rule ID 13492 //
     /* 1850368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1850385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850414 */     // MIs[0] policy
     /* 1850414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1850427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850448 */     // GIR_Coverage, 13492,
     /* 1850448 */     GIR_EraseRootFromParent_Done,
     /* 1850449 */   // Label 25011: @1850449
     /* 1850449 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1850535), // Rule ID 13493 //
     /* 1850454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1850471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850500 */     // MIs[0] policy
     /* 1850500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850510 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1850513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850534 */     // GIR_Coverage, 13493,
     /* 1850534 */     GIR_EraseRootFromParent_Done,
     /* 1850535 */   // Label 25012: @1850535
     /* 1850535 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1850621), // Rule ID 13496 //
     /* 1850540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1850557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850586 */     // MIs[0] policy
     /* 1850586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1850599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850620 */     // GIR_Coverage, 13496,
     /* 1850620 */     GIR_EraseRootFromParent_Done,
     /* 1850621 */   // Label 25013: @1850621
     /* 1850621 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1850707), // Rule ID 13497 //
     /* 1850626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1850643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850672 */     // MIs[0] policy
     /* 1850672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1850685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850706 */     // GIR_Coverage, 13497,
     /* 1850706 */     GIR_EraseRootFromParent_Done,
     /* 1850707 */   // Label 25014: @1850707
     /* 1850707 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1850793), // Rule ID 13500 //
     /* 1850712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850758 */     // MIs[0] policy
     /* 1850758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1850771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850792 */     // GIR_Coverage, 13500,
     /* 1850792 */     GIR_EraseRootFromParent_Done,
     /* 1850793 */   // Label 25015: @1850793
     /* 1850793 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1850879), // Rule ID 13501 //
     /* 1850798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850844 */     // MIs[0] policy
     /* 1850844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1850857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850878 */     // GIR_Coverage, 13501,
     /* 1850878 */     GIR_EraseRootFromParent_Done,
     /* 1850879 */   // Label 25016: @1850879
     /* 1850879 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1850965), // Rule ID 13504 //
     /* 1850884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850930 */     // MIs[0] policy
     /* 1850930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1850943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850964 */     // GIR_Coverage, 13504,
     /* 1850964 */     GIR_EraseRootFromParent_Done,
     /* 1850965 */   // Label 25017: @1850965
     /* 1850965 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1851051), // Rule ID 13505 //
     /* 1850970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1850978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851016 */     // MIs[0] policy
     /* 1851016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1851029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851050 */     // GIR_Coverage, 13505,
     /* 1851050 */     GIR_EraseRootFromParent_Done,
     /* 1851051 */   // Label 25018: @1851051
     /* 1851051 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1851137), // Rule ID 13508 //
     /* 1851056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851102 */     // MIs[0] policy
     /* 1851102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1851115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851136 */     // GIR_Coverage, 13508,
     /* 1851136 */     GIR_EraseRootFromParent_Done,
     /* 1851137 */   // Label 25019: @1851137
     /* 1851137 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1851223), // Rule ID 13509 //
     /* 1851142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851188 */     // MIs[0] policy
     /* 1851188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11583:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1851201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851222 */     // GIR_Coverage, 13509,
     /* 1851222 */     GIR_EraseRootFromParent_Done,
     /* 1851223 */   // Label 25020: @1851223
     /* 1851223 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1851309), // Rule ID 13512 //
     /* 1851228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851274 */     // MIs[0] policy
     /* 1851274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1851287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851308 */     // GIR_Coverage, 13512,
     /* 1851308 */     GIR_EraseRootFromParent_Done,
     /* 1851309 */   // Label 25021: @1851309
     /* 1851309 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1851395), // Rule ID 13513 //
     /* 1851314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851360 */     // MIs[0] policy
     /* 1851360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1851373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851394 */     // GIR_Coverage, 13513,
     /* 1851394 */     GIR_EraseRootFromParent_Done,
     /* 1851395 */   // Label 25022: @1851395
     /* 1851395 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1851481), // Rule ID 13516 //
     /* 1851400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1851420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851446 */     // MIs[0] policy
     /* 1851446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1851459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851480 */     // GIR_Coverage, 13516,
     /* 1851480 */     GIR_EraseRootFromParent_Done,
     /* 1851481 */   // Label 25023: @1851481
     /* 1851481 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1851567), // Rule ID 13517 //
     /* 1851486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1851506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851532 */     // MIs[0] policy
     /* 1851532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1851545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851566 */     // GIR_Coverage, 13517,
     /* 1851566 */     GIR_EraseRootFromParent_Done,
     /* 1851567 */   // Label 25024: @1851567
     /* 1851567 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1851653), // Rule ID 13520 //
     /* 1851572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1851592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851618 */     // MIs[0] policy
     /* 1851618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1851631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851652 */     // GIR_Coverage, 13520,
     /* 1851652 */     GIR_EraseRootFromParent_Done,
     /* 1851653 */   // Label 25025: @1851653
     /* 1851653 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1851739), // Rule ID 13521 //
     /* 1851658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1851678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851704 */     // MIs[0] policy
     /* 1851704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1851717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851738 */     // GIR_Coverage, 13521,
     /* 1851738 */     GIR_EraseRootFromParent_Done,
     /* 1851739 */   // Label 25026: @1851739
     /* 1851739 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1851825), // Rule ID 13524 //
     /* 1851744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851790 */     // MIs[0] policy
     /* 1851790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1851803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851824 */     // GIR_Coverage, 13524,
     /* 1851824 */     GIR_EraseRootFromParent_Done,
     /* 1851825 */   // Label 25027: @1851825
     /* 1851825 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1851911), // Rule ID 13525 //
     /* 1851830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851876 */     // MIs[0] policy
     /* 1851876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1851889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851910 */     // GIR_Coverage, 13525,
     /* 1851910 */     GIR_EraseRootFromParent_Done,
     /* 1851911 */   // Label 25028: @1851911
     /* 1851911 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1851997), // Rule ID 13528 //
     /* 1851916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1851924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851962 */     // MIs[0] policy
     /* 1851962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1851975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851996 */     // GIR_Coverage, 13528,
     /* 1851996 */     GIR_EraseRootFromParent_Done,
     /* 1851997 */   // Label 25029: @1851997
     /* 1851997 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1852083), // Rule ID 13529 //
     /* 1852002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852048 */     // MIs[0] policy
     /* 1852048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11583:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1852061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852082 */     // GIR_Coverage, 13529,
     /* 1852082 */     GIR_EraseRootFromParent_Done,
     /* 1852083 */   // Label 25030: @1852083
     /* 1852083 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1852169), // Rule ID 13532 //
     /* 1852088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852134 */     // MIs[0] policy
     /* 1852134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1852147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852168 */     // GIR_Coverage, 13532,
     /* 1852168 */     GIR_EraseRootFromParent_Done,
     /* 1852169 */   // Label 25031: @1852169
     /* 1852169 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1852255), // Rule ID 13533 //
     /* 1852174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1852185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1852188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852220 */     // MIs[0] policy
     /* 1852220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1852233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852254 */     // GIR_Coverage, 13533,
     /* 1852254 */     GIR_EraseRootFromParent_Done,
     /* 1852255 */   // Label 25032: @1852255
     /* 1852255 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1852341), // Rule ID 13536 //
     /* 1852260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852306 */     // MIs[0] policy
     /* 1852306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1852319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852340 */     // GIR_Coverage, 13536,
     /* 1852340 */     GIR_EraseRootFromParent_Done,
     /* 1852341 */   // Label 25033: @1852341
     /* 1852341 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1852427), // Rule ID 13537 //
     /* 1852346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1852357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1852360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852392 */     // MIs[0] policy
     /* 1852392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1852405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852426 */     // GIR_Coverage, 13537,
     /* 1852426 */     GIR_EraseRootFromParent_Done,
     /* 1852427 */   // Label 25034: @1852427
     /* 1852427 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1852513), // Rule ID 13540 //
     /* 1852432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1852443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1852446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1852452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852478 */     // MIs[0] policy
     /* 1852478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1852491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852512 */     // GIR_Coverage, 13540,
     /* 1852512 */     GIR_EraseRootFromParent_Done,
     /* 1852513 */   // Label 25035: @1852513
     /* 1852513 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1852599), // Rule ID 13541 //
     /* 1852518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1852529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1852532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1852538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852564 */     // MIs[0] policy
     /* 1852564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1852577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852598 */     // GIR_Coverage, 13541,
     /* 1852598 */     GIR_EraseRootFromParent_Done,
     /* 1852599 */   // Label 25036: @1852599
     /* 1852599 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1852685), // Rule ID 13544 //
     /* 1852604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852650 */     // MIs[0] policy
     /* 1852650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1852663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852684 */     // GIR_Coverage, 13544,
     /* 1852684 */     GIR_EraseRootFromParent_Done,
     /* 1852685 */   // Label 25037: @1852685
     /* 1852685 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1852771), // Rule ID 13545 //
     /* 1852690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852736 */     // MIs[0] policy
     /* 1852736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11583:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1852749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852770 */     // GIR_Coverage, 13545,
     /* 1852770 */     GIR_EraseRootFromParent_Done,
     /* 1852771 */   // Label 25038: @1852771
     /* 1852771 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1852857), // Rule ID 13548 //
     /* 1852776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852822 */     // MIs[0] policy
     /* 1852822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1852835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852856 */     // GIR_Coverage, 13548,
     /* 1852856 */     GIR_EraseRootFromParent_Done,
     /* 1852857 */   // Label 25039: @1852857
     /* 1852857 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1852943), // Rule ID 13549 //
     /* 1852862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852908 */     // MIs[0] policy
     /* 1852908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11583:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1852921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852942 */     // GIR_Coverage, 13549,
     /* 1852942 */     GIR_EraseRootFromParent_Done,
     /* 1852943 */   // Label 25040: @1852943
     /* 1852943 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1853029), // Rule ID 13552 //
     /* 1852948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1852956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1852968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852994 */     // MIs[0] policy
     /* 1852994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1853007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853028 */     // GIR_Coverage, 13552,
     /* 1853028 */     GIR_EraseRootFromParent_Done,
     /* 1853029 */   // Label 25041: @1853029
     /* 1853029 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1853115), // Rule ID 13553 //
     /* 1853034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853080 */     // MIs[0] policy
     /* 1853080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11583:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1853093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853114 */     // GIR_Coverage, 13553,
     /* 1853114 */     GIR_EraseRootFromParent_Done,
     /* 1853115 */   // Label 25042: @1853115
     /* 1853115 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1853201), // Rule ID 13556 //
     /* 1853120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1853123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853166 */     // MIs[0] policy
     /* 1853166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1853179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853200 */     // GIR_Coverage, 13556,
     /* 1853200 */     GIR_EraseRootFromParent_Done,
     /* 1853201 */   // Label 25043: @1853201
     /* 1853201 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1853287), // Rule ID 13557 //
     /* 1853206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1853209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1853214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853252 */     // MIs[0] policy
     /* 1853252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11583:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1853265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853286 */     // GIR_Coverage, 13557,
     /* 1853286 */     GIR_EraseRootFromParent_Done,
     /* 1853287 */   // Label 25044: @1853287
     /* 1853287 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1853373), // Rule ID 13560 //
     /* 1853292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1853303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1853306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1853309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1853312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853338 */     // MIs[0] policy
     /* 1853338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1853351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853372 */     // GIR_Coverage, 13560,
     /* 1853372 */     GIR_EraseRootFromParent_Done,
     /* 1853373 */   // Label 25045: @1853373
     /* 1853373 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1853459), // Rule ID 13561 //
     /* 1853378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1853389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1853392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1853395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1853398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853424 */     // MIs[0] policy
     /* 1853424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853434 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1853437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853458 */     // GIR_Coverage, 13561,
     /* 1853458 */     GIR_EraseRootFromParent_Done,
     /* 1853459 */   // Label 25046: @1853459
     /* 1853459 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1853545), // Rule ID 13564 //
     /* 1853464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1853475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1853478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1853481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1853484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853510 */     // MIs[0] policy
     /* 1853510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1853523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853544 */     // GIR_Coverage, 13564,
     /* 1853544 */     GIR_EraseRootFromParent_Done,
     /* 1853545 */   // Label 25047: @1853545
     /* 1853545 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1853631), // Rule ID 13565 //
     /* 1853550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1853561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1853564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1853567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1853570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853596 */     // MIs[0] policy
     /* 1853596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1853609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853630 */     // GIR_Coverage, 13565,
     /* 1853630 */     GIR_EraseRootFromParent_Done,
     /* 1853631 */   // Label 25048: @1853631
     /* 1853631 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1853717), // Rule ID 13568 //
     /* 1853636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1853653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853682 */     // MIs[0] policy
     /* 1853682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1853695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853716 */     // GIR_Coverage, 13568,
     /* 1853716 */     GIR_EraseRootFromParent_Done,
     /* 1853717 */   // Label 25049: @1853717
     /* 1853717 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1853803), // Rule ID 13569 //
     /* 1853722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1853739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853768 */     // MIs[0] policy
     /* 1853768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1853781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853802 */     // GIR_Coverage, 13569,
     /* 1853802 */     GIR_EraseRootFromParent_Done,
     /* 1853803 */   // Label 25050: @1853803
     /* 1853803 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1853889), // Rule ID 13572 //
     /* 1853808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1853825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853854 */     // MIs[0] policy
     /* 1853854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1853867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853888 */     // GIR_Coverage, 13572,
     /* 1853888 */     GIR_EraseRootFromParent_Done,
     /* 1853889 */   // Label 25051: @1853889
     /* 1853889 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1853975), // Rule ID 13573 //
     /* 1853894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1853911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853940 */     // MIs[0] policy
     /* 1853940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1853953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853974 */     // GIR_Coverage, 13573,
     /* 1853974 */     GIR_EraseRootFromParent_Done,
     /* 1853975 */   // Label 25052: @1853975
     /* 1853975 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1854061), // Rule ID 13576 //
     /* 1853980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1853988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1853997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854026 */     // MIs[0] policy
     /* 1854026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1854039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854060 */     // GIR_Coverage, 13576,
     /* 1854060 */     GIR_EraseRootFromParent_Done,
     /* 1854061 */   // Label 25053: @1854061
     /* 1854061 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1854147), // Rule ID 13577 //
     /* 1854066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1854077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1854080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1854083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1854086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854112 */     // MIs[0] policy
     /* 1854112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1854125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854146 */     // GIR_Coverage, 13577,
     /* 1854146 */     GIR_EraseRootFromParent_Done,
     /* 1854147 */   // Label 25054: @1854147
     /* 1854147 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1854233), // Rule ID 13580 //
     /* 1854152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1854169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854198 */     // MIs[0] policy
     /* 1854198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1854211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854232 */     // GIR_Coverage, 13580,
     /* 1854232 */     GIR_EraseRootFromParent_Done,
     /* 1854233 */   // Label 25055: @1854233
     /* 1854233 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1854319), // Rule ID 13581 //
     /* 1854238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1854249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1854252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1854255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1854258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1854261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854284 */     // MIs[0] policy
     /* 1854284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1854297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854318 */     // GIR_Coverage, 13581,
     /* 1854318 */     GIR_EraseRootFromParent_Done,
     /* 1854319 */   // Label 25056: @1854319
     /* 1854319 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1854405), // Rule ID 13584 //
     /* 1854324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1854341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1854344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854370 */     // MIs[0] policy
     /* 1854370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1854383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854404 */     // GIR_Coverage, 13584,
     /* 1854404 */     GIR_EraseRootFromParent_Done,
     /* 1854405 */   // Label 25057: @1854405
     /* 1854405 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1854491), // Rule ID 13585 //
     /* 1854410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1854427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1854430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854456 */     // MIs[0] policy
     /* 1854456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854466 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1854469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854490 */     // GIR_Coverage, 13585,
     /* 1854490 */     GIR_EraseRootFromParent_Done,
     /* 1854491 */   // Label 25058: @1854491
     /* 1854491 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1854577), // Rule ID 13588 //
     /* 1854496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1854513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1854516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854542 */     // MIs[0] policy
     /* 1854542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1854555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854576 */     // GIR_Coverage, 13588,
     /* 1854576 */     GIR_EraseRootFromParent_Done,
     /* 1854577 */   // Label 25059: @1854577
     /* 1854577 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1854663), // Rule ID 13589 //
     /* 1854582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1854599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1854602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854628 */     // MIs[0] policy
     /* 1854628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1854641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854662 */     // GIR_Coverage, 13589,
     /* 1854662 */     GIR_EraseRootFromParent_Done,
     /* 1854663 */   // Label 25060: @1854663
     /* 1854663 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1854749), // Rule ID 13592 //
     /* 1854668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1854685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854714 */     // MIs[0] policy
     /* 1854714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1854727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854748 */     // GIR_Coverage, 13592,
     /* 1854748 */     GIR_EraseRootFromParent_Done,
     /* 1854749 */   // Label 25061: @1854749
     /* 1854749 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1854835), // Rule ID 13593 //
     /* 1854754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1854771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854800 */     // MIs[0] policy
     /* 1854800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1854813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854834 */     // GIR_Coverage, 13593,
     /* 1854834 */     GIR_EraseRootFromParent_Done,
     /* 1854835 */   // Label 25062: @1854835
     /* 1854835 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1854921), // Rule ID 13596 //
     /* 1854840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1854857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854886 */     // MIs[0] policy
     /* 1854886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1854899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854920 */     // GIR_Coverage, 13596,
     /* 1854920 */     GIR_EraseRootFromParent_Done,
     /* 1854921 */   // Label 25063: @1854921
     /* 1854921 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1855007), // Rule ID 13597 //
     /* 1854926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1854934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1854943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854972 */     // MIs[0] policy
     /* 1854972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1854985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855006 */     // GIR_Coverage, 13597,
     /* 1855006 */     GIR_EraseRootFromParent_Done,
     /* 1855007 */   // Label 25064: @1855007
     /* 1855007 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1855093), // Rule ID 13600 //
     /* 1855012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1855029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855058 */     // MIs[0] policy
     /* 1855058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1855071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855092 */     // GIR_Coverage, 13600,
     /* 1855092 */     GIR_EraseRootFromParent_Done,
     /* 1855093 */   // Label 25065: @1855093
     /* 1855093 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1855179), // Rule ID 13601 //
     /* 1855098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1855115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1855118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855144 */     // MIs[0] policy
     /* 1855144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1855157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855178 */     // GIR_Coverage, 13601,
     /* 1855178 */     GIR_EraseRootFromParent_Done,
     /* 1855179 */   // Label 25066: @1855179
     /* 1855179 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1855265), // Rule ID 13604 //
     /* 1855184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1855201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855230 */     // MIs[0] policy
     /* 1855230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1855243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855264 */     // GIR_Coverage, 13604,
     /* 1855264 */     GIR_EraseRootFromParent_Done,
     /* 1855265 */   // Label 25067: @1855265
     /* 1855265 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1855351), // Rule ID 13605 //
     /* 1855270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1855281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1855284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1855287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855316 */     // MIs[0] policy
     /* 1855316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1855329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855350 */     // GIR_Coverage, 13605,
     /* 1855350 */     GIR_EraseRootFromParent_Done,
     /* 1855351 */   // Label 25068: @1855351
     /* 1855351 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1855437), // Rule ID 13608 //
     /* 1855356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1855373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1855376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855402 */     // MIs[0] policy
     /* 1855402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1855415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855436 */     // GIR_Coverage, 13608,
     /* 1855436 */     GIR_EraseRootFromParent_Done,
     /* 1855437 */   // Label 25069: @1855437
     /* 1855437 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1855523), // Rule ID 13609 //
     /* 1855442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1855459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1855462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855488 */     // MIs[0] policy
     /* 1855488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1855501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855522 */     // GIR_Coverage, 13609,
     /* 1855522 */     GIR_EraseRootFromParent_Done,
     /* 1855523 */   // Label 25070: @1855523
     /* 1855523 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1855609), // Rule ID 13612 //
     /* 1855528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1855545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1855548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855574 */     // MIs[0] policy
     /* 1855574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1855587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855608 */     // GIR_Coverage, 13612,
     /* 1855608 */     GIR_EraseRootFromParent_Done,
     /* 1855609 */   // Label 25071: @1855609
     /* 1855609 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1855695), // Rule ID 13613 //
     /* 1855614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1855631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1855634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855660 */     // MIs[0] policy
     /* 1855660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1855673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855694 */     // GIR_Coverage, 13613,
     /* 1855694 */     GIR_EraseRootFromParent_Done,
     /* 1855695 */   // Label 25072: @1855695
     /* 1855695 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1855781), // Rule ID 13616 //
     /* 1855700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1855717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855746 */     // MIs[0] policy
     /* 1855746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1855759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855780 */     // GIR_Coverage, 13616,
     /* 1855780 */     GIR_EraseRootFromParent_Done,
     /* 1855781 */   // Label 25073: @1855781
     /* 1855781 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1855867), // Rule ID 13617 //
     /* 1855786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1855803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855832 */     // MIs[0] policy
     /* 1855832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1855845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855866 */     // GIR_Coverage, 13617,
     /* 1855866 */     GIR_EraseRootFromParent_Done,
     /* 1855867 */   // Label 25074: @1855867
     /* 1855867 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1855953), // Rule ID 13620 //
     /* 1855872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855918 */     // MIs[0] policy
     /* 1855918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1855931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855952 */     // GIR_Coverage, 13620,
     /* 1855952 */     GIR_EraseRootFromParent_Done,
     /* 1855953 */   // Label 25075: @1855953
     /* 1855953 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1856039), // Rule ID 13621 //
     /* 1855958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1855966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856004 */     // MIs[0] policy
     /* 1856004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1856017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856038 */     // GIR_Coverage, 13621,
     /* 1856038 */     GIR_EraseRootFromParent_Done,
     /* 1856039 */   // Label 25076: @1856039
     /* 1856039 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1856125), // Rule ID 13624 //
     /* 1856044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1856055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1856058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856090 */     // MIs[0] policy
     /* 1856090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1856103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856124 */     // GIR_Coverage, 13624,
     /* 1856124 */     GIR_EraseRootFromParent_Done,
     /* 1856125 */   // Label 25077: @1856125
     /* 1856125 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1856211), // Rule ID 13625 //
     /* 1856130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1856141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1856144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1856150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856176 */     // MIs[0] policy
     /* 1856176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1856189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856210 */     // GIR_Coverage, 13625,
     /* 1856210 */     GIR_EraseRootFromParent_Done,
     /* 1856211 */   // Label 25078: @1856211
     /* 1856211 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1856297), // Rule ID 13628 //
     /* 1856216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856262 */     // MIs[0] policy
     /* 1856262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1856275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856296 */     // GIR_Coverage, 13628,
     /* 1856296 */     GIR_EraseRootFromParent_Done,
     /* 1856297 */   // Label 25079: @1856297
     /* 1856297 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1856383), // Rule ID 13629 //
     /* 1856302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1856322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856348 */     // MIs[0] policy
     /* 1856348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11585:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1856361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856382 */     // GIR_Coverage, 13629,
     /* 1856382 */     GIR_EraseRootFromParent_Done,
     /* 1856383 */   // Label 25080: @1856383
     /* 1856383 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1856469), // Rule ID 13632 //
     /* 1856388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1856408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856434 */     // MIs[0] policy
     /* 1856434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1856447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856468 */     // GIR_Coverage, 13632,
     /* 1856468 */     GIR_EraseRootFromParent_Done,
     /* 1856469 */   // Label 25081: @1856469
     /* 1856469 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1856555), // Rule ID 13633 //
     /* 1856474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1856494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856520 */     // MIs[0] policy
     /* 1856520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1856533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856554 */     // GIR_Coverage, 13633,
     /* 1856554 */     GIR_EraseRootFromParent_Done,
     /* 1856555 */   // Label 25082: @1856555
     /* 1856555 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1856641), // Rule ID 13636 //
     /* 1856560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856606 */     // MIs[0] policy
     /* 1856606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1856619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856640 */     // GIR_Coverage, 13636,
     /* 1856640 */     GIR_EraseRootFromParent_Done,
     /* 1856641 */   // Label 25083: @1856641
     /* 1856641 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1856727), // Rule ID 13637 //
     /* 1856646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856692 */     // MIs[0] policy
     /* 1856692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1856705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856726 */     // GIR_Coverage, 13637,
     /* 1856726 */     GIR_EraseRootFromParent_Done,
     /* 1856727 */   // Label 25084: @1856727
     /* 1856727 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1856813), // Rule ID 13640 //
     /* 1856732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856778 */     // MIs[0] policy
     /* 1856778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856788 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1856791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856812 */     // GIR_Coverage, 13640,
     /* 1856812 */     GIR_EraseRootFromParent_Done,
     /* 1856813 */   // Label 25085: @1856813
     /* 1856813 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1856899), // Rule ID 13641 //
     /* 1856818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1856835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856864 */     // MIs[0] policy
     /* 1856864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1856877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856898 */     // GIR_Coverage, 13641,
     /* 1856898 */     GIR_EraseRootFromParent_Done,
     /* 1856899 */   // Label 25086: @1856899
     /* 1856899 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1856985), // Rule ID 13644 //
     /* 1856904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1856915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1856918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1856921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1856924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856950 */     // MIs[0] policy
     /* 1856950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1856963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856984 */     // GIR_Coverage, 13644,
     /* 1856984 */     GIR_EraseRootFromParent_Done,
     /* 1856985 */   // Label 25087: @1856985
     /* 1856985 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1857071), // Rule ID 13645 //
     /* 1856990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1856998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1857001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1857004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857036 */     // MIs[0] policy
     /* 1857036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1857049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857070 */     // GIR_Coverage, 13645,
     /* 1857070 */     GIR_EraseRootFromParent_Done,
     /* 1857071 */   // Label 25088: @1857071
     /* 1857071 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1857157), // Rule ID 13648 //
     /* 1857076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1857087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1857090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857122 */     // MIs[0] policy
     /* 1857122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1857135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857156 */     // GIR_Coverage, 13648,
     /* 1857156 */     GIR_EraseRootFromParent_Done,
     /* 1857157 */   // Label 25089: @1857157
     /* 1857157 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1857243), // Rule ID 13649 //
     /* 1857162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1857173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1857176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857208 */     // MIs[0] policy
     /* 1857208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11585:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1857221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857242 */     // GIR_Coverage, 13649,
     /* 1857242 */     GIR_EraseRootFromParent_Done,
     /* 1857243 */   // Label 25090: @1857243
     /* 1857243 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1857329), // Rule ID 13652 //
     /* 1857248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857294 */     // MIs[0] policy
     /* 1857294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1857307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857328 */     // GIR_Coverage, 13652,
     /* 1857328 */     GIR_EraseRootFromParent_Done,
     /* 1857329 */   // Label 25091: @1857329
     /* 1857329 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1857415), // Rule ID 13653 //
     /* 1857334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1857354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857380 */     // MIs[0] policy
     /* 1857380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1857393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857414 */     // GIR_Coverage, 13653,
     /* 1857414 */     GIR_EraseRootFromParent_Done,
     /* 1857415 */   // Label 25092: @1857415
     /* 1857415 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1857501), // Rule ID 13656 //
     /* 1857420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1857431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1857434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857466 */     // MIs[0] policy
     /* 1857466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1857479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857500 */     // GIR_Coverage, 13656,
     /* 1857500 */     GIR_EraseRootFromParent_Done,
     /* 1857501 */   // Label 25093: @1857501
     /* 1857501 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1857587), // Rule ID 13657 //
     /* 1857506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1857517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1857520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857552 */     // MIs[0] policy
     /* 1857552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1857565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857586 */     // GIR_Coverage, 13657,
     /* 1857586 */     GIR_EraseRootFromParent_Done,
     /* 1857587 */   // Label 25094: @1857587
     /* 1857587 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1857673), // Rule ID 13660 //
     /* 1857592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857638 */     // MIs[0] policy
     /* 1857638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1857651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857672 */     // GIR_Coverage, 13660,
     /* 1857672 */     GIR_EraseRootFromParent_Done,
     /* 1857673 */   // Label 25095: @1857673
     /* 1857673 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1857759), // Rule ID 13661 //
     /* 1857678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857724 */     // MIs[0] policy
     /* 1857724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1857737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857758 */     // GIR_Coverage, 13661,
     /* 1857758 */     GIR_EraseRootFromParent_Done,
     /* 1857759 */   // Label 25096: @1857759
     /* 1857759 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1857845), // Rule ID 13664 //
     /* 1857764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1857775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1857778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857810 */     // MIs[0] policy
     /* 1857810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1857823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857844 */     // GIR_Coverage, 13664,
     /* 1857844 */     GIR_EraseRootFromParent_Done,
     /* 1857845 */   // Label 25097: @1857845
     /* 1857845 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1857931), // Rule ID 13665 //
     /* 1857850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1857861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1857864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1857870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857896 */     // MIs[0] policy
     /* 1857896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11585:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1857909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857930 */     // GIR_Coverage, 13665,
     /* 1857930 */     GIR_EraseRootFromParent_Done,
     /* 1857931 */   // Label 25098: @1857931
     /* 1857931 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1858017), // Rule ID 13668 //
     /* 1857936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1857944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1857947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1857950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857982 */     // MIs[0] policy
     /* 1857982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1857995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858016 */     // GIR_Coverage, 13668,
     /* 1858016 */     GIR_EraseRootFromParent_Done,
     /* 1858017 */   // Label 25099: @1858017
     /* 1858017 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1858103), // Rule ID 13669 //
     /* 1858022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1858025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1858033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1858036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1858042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858068 */     // MIs[0] policy
     /* 1858068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11585:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1858081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858102 */     // GIR_Coverage, 13669,
     /* 1858102 */     GIR_EraseRootFromParent_Done,
     /* 1858103 */   // Label 25100: @1858103
     /* 1858103 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1858189), // Rule ID 13672 //
     /* 1858108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1858111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1858128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858154 */     // MIs[0] policy
     /* 1858154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1858167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858188 */     // GIR_Coverage, 13672,
     /* 1858188 */     GIR_EraseRootFromParent_Done,
     /* 1858189 */   // Label 25101: @1858189
     /* 1858189 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1858275), // Rule ID 13673 //
     /* 1858194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1858197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1858214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858240 */     // MIs[0] policy
     /* 1858240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11585:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1858253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858274 */     // GIR_Coverage, 13673,
     /* 1858274 */     GIR_EraseRootFromParent_Done,
     /* 1858275 */   // Label 25102: @1858275
     /* 1858275 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1858361), // Rule ID 13676 //
     /* 1858280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1858283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858326 */     // MIs[0] policy
     /* 1858326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1858339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858360 */     // GIR_Coverage, 13676,
     /* 1858360 */     GIR_EraseRootFromParent_Done,
     /* 1858361 */   // Label 25103: @1858361
     /* 1858361 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1858447), // Rule ID 13677 //
     /* 1858366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1858369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1858374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858412 */     // MIs[0] policy
     /* 1858412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11585:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1858425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858446 */     // GIR_Coverage, 13677,
     /* 1858446 */     GIR_EraseRootFromParent_Done,
     /* 1858447 */   // Label 25104: @1858447
     /* 1858447 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1858533), // Rule ID 13680 //
     /* 1858452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1858460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1858463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1858466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858498 */     // MIs[0] policy
     /* 1858498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1858511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858532 */     // GIR_Coverage, 13680,
     /* 1858532 */     GIR_EraseRootFromParent_Done,
     /* 1858533 */   // Label 25105: @1858533
     /* 1858533 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1858619), // Rule ID 13681 //
     /* 1858538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1858546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1858549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1858552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858584 */     // MIs[0] policy
     /* 1858584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1858597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858618 */     // GIR_Coverage, 13681,
     /* 1858618 */     GIR_EraseRootFromParent_Done,
     /* 1858619 */   // Label 25106: @1858619
     /* 1858619 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1858705), // Rule ID 13684 //
     /* 1858624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1858632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1858635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1858638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858670 */     // MIs[0] policy
     /* 1858670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1858683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858704 */     // GIR_Coverage, 13684,
     /* 1858704 */     GIR_EraseRootFromParent_Done,
     /* 1858705 */   // Label 25107: @1858705
     /* 1858705 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1858791), // Rule ID 13685 //
     /* 1858710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1858718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1858721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1858724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858756 */     // MIs[0] policy
     /* 1858756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858766 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1858769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858790 */     // GIR_Coverage, 13685,
     /* 1858790 */     GIR_EraseRootFromParent_Done,
     /* 1858791 */   // Label 25108: @1858791
     /* 1858791 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1858877), // Rule ID 13688 //
     /* 1858796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1858804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858842 */     // MIs[0] policy
     /* 1858842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1858855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858876 */     // GIR_Coverage, 13688,
     /* 1858876 */     GIR_EraseRootFromParent_Done,
     /* 1858877 */   // Label 25109: @1858877
     /* 1858877 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1858963), // Rule ID 13689 //
     /* 1858882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1858890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858928 */     // MIs[0] policy
     /* 1858928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858938 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11589:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1858941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858962 */     // GIR_Coverage, 13689,
     /* 1858962 */     GIR_EraseRootFromParent_Done,
     /* 1858963 */   // Label 25110: @1858963
     /* 1858963 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1859049), // Rule ID 13692 //
     /* 1858968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1858976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859014 */     // MIs[0] policy
     /* 1859014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1859027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859048 */     // GIR_Coverage, 13692,
     /* 1859048 */     GIR_EraseRootFromParent_Done,
     /* 1859049 */   // Label 25111: @1859049
     /* 1859049 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1859135), // Rule ID 13693 //
     /* 1859054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1859065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1859068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1859074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859100 */     // MIs[0] policy
     /* 1859100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1859113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859134 */     // GIR_Coverage, 13693,
     /* 1859134 */     GIR_EraseRootFromParent_Done,
     /* 1859135 */   // Label 25112: @1859135
     /* 1859135 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1859221), // Rule ID 13696 //
     /* 1859140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1859160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859186 */     // MIs[0] policy
     /* 1859186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1859199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859220 */     // GIR_Coverage, 13696,
     /* 1859220 */     GIR_EraseRootFromParent_Done,
     /* 1859221 */   // Label 25113: @1859221
     /* 1859221 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1859307), // Rule ID 13697 //
     /* 1859226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1859237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1859240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1859246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859272 */     // MIs[0] policy
     /* 1859272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1859285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859306 */     // GIR_Coverage, 13697,
     /* 1859306 */     GIR_EraseRootFromParent_Done,
     /* 1859307 */   // Label 25114: @1859307
     /* 1859307 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1859393), // Rule ID 13700 //
     /* 1859312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1859332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859358 */     // MIs[0] policy
     /* 1859358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1859371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859392 */     // GIR_Coverage, 13700,
     /* 1859392 */     GIR_EraseRootFromParent_Done,
     /* 1859393 */   // Label 25115: @1859393
     /* 1859393 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1859479), // Rule ID 13701 //
     /* 1859398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1859418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859444 */     // MIs[0] policy
     /* 1859444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859454 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1859457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859478 */     // GIR_Coverage, 13701,
     /* 1859478 */     GIR_EraseRootFromParent_Done,
     /* 1859479 */   // Label 25116: @1859479
     /* 1859479 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1859565), // Rule ID 13704 //
     /* 1859484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859530 */     // MIs[0] policy
     /* 1859530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859540 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1859543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859564 */     // GIR_Coverage, 13704,
     /* 1859564 */     GIR_EraseRootFromParent_Done,
     /* 1859565 */   // Label 25117: @1859565
     /* 1859565 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1859651), // Rule ID 13705 //
     /* 1859570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859616 */     // MIs[0] policy
     /* 1859616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1859629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859650 */     // GIR_Coverage, 13705,
     /* 1859650 */     GIR_EraseRootFromParent_Done,
     /* 1859651 */   // Label 25118: @1859651
     /* 1859651 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1859737), // Rule ID 13708 //
     /* 1859656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859702 */     // MIs[0] policy
     /* 1859702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1859715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859736 */     // GIR_Coverage, 13708,
     /* 1859736 */     GIR_EraseRootFromParent_Done,
     /* 1859737 */   // Label 25119: @1859737
     /* 1859737 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1859823), // Rule ID 13709 //
     /* 1859742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859788 */     // MIs[0] policy
     /* 1859788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11589:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1859801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859822 */     // GIR_Coverage, 13709,
     /* 1859822 */     GIR_EraseRootFromParent_Done,
     /* 1859823 */   // Label 25120: @1859823
     /* 1859823 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1859909), // Rule ID 13712 //
     /* 1859828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859874 */     // MIs[0] policy
     /* 1859874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1859887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859908 */     // GIR_Coverage, 13712,
     /* 1859908 */     GIR_EraseRootFromParent_Done,
     /* 1859909 */   // Label 25121: @1859909
     /* 1859909 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1859995), // Rule ID 13713 //
     /* 1859914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1859922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859960 */     // MIs[0] policy
     /* 1859960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1859973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859994 */     // GIR_Coverage, 13713,
     /* 1859994 */     GIR_EraseRootFromParent_Done,
     /* 1859995 */   // Label 25122: @1859995
     /* 1859995 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1860081), // Rule ID 13716 //
     /* 1860000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1860011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1860014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860046 */     // MIs[0] policy
     /* 1860046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1860059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860080 */     // GIR_Coverage, 13716,
     /* 1860080 */     GIR_EraseRootFromParent_Done,
     /* 1860081 */   // Label 25123: @1860081
     /* 1860081 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1860167), // Rule ID 13717 //
     /* 1860086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1860097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1860100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860132 */     // MIs[0] policy
     /* 1860132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1860145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860166 */     // GIR_Coverage, 13717,
     /* 1860166 */     GIR_EraseRootFromParent_Done,
     /* 1860167 */   // Label 25124: @1860167
     /* 1860167 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1860253), // Rule ID 13720 //
     /* 1860172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1860192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860218 */     // MIs[0] policy
     /* 1860218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1860231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860252 */     // GIR_Coverage, 13720,
     /* 1860252 */     GIR_EraseRootFromParent_Done,
     /* 1860253 */   // Label 25125: @1860253
     /* 1860253 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1860339), // Rule ID 13721 //
     /* 1860258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1860269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1860272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1860278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860304 */     // MIs[0] policy
     /* 1860304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1860317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860338 */     // GIR_Coverage, 13721,
     /* 1860338 */     GIR_EraseRootFromParent_Done,
     /* 1860339 */   // Label 25126: @1860339
     /* 1860339 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1860425), // Rule ID 13724 //
     /* 1860344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1860364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860390 */     // MIs[0] policy
     /* 1860390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1860403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860424 */     // GIR_Coverage, 13724,
     /* 1860424 */     GIR_EraseRootFromParent_Done,
     /* 1860425 */   // Label 25127: @1860425
     /* 1860425 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1860511), // Rule ID 13725 //
     /* 1860430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1860450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860476 */     // MIs[0] policy
     /* 1860476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11589:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1860489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860510 */     // GIR_Coverage, 13725,
     /* 1860510 */     GIR_EraseRootFromParent_Done,
     /* 1860511 */   // Label 25128: @1860511
     /* 1860511 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1860597), // Rule ID 13728 //
     /* 1860516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860562 */     // MIs[0] policy
     /* 1860562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1860575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860596 */     // GIR_Coverage, 13728,
     /* 1860596 */     GIR_EraseRootFromParent_Done,
     /* 1860597 */   // Label 25129: @1860597
     /* 1860597 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1860683), // Rule ID 13729 //
     /* 1860602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1860613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1860616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860648 */     // MIs[0] policy
     /* 1860648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11589:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1860661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860682 */     // GIR_Coverage, 13729,
     /* 1860682 */     GIR_EraseRootFromParent_Done,
     /* 1860683 */   // Label 25130: @1860683
     /* 1860683 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1860769), // Rule ID 13732 //
     /* 1860688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1860708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860734 */     // MIs[0] policy
     /* 1860734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1860747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860768 */     // GIR_Coverage, 13732,
     /* 1860768 */     GIR_EraseRootFromParent_Done,
     /* 1860769 */   // Label 25131: @1860769
     /* 1860769 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1860855), // Rule ID 13733 //
     /* 1860774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1860794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860820 */     // MIs[0] policy
     /* 1860820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11589:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1860833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860854 */     // GIR_Coverage, 13733,
     /* 1860854 */     GIR_EraseRootFromParent_Done,
     /* 1860855 */   // Label 25132: @1860855
     /* 1860855 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1860941), // Rule ID 13736 //
     /* 1860860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1860863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860906 */     // MIs[0] policy
     /* 1860906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860916 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1860919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860940 */     // GIR_Coverage, 13736,
     /* 1860940 */     GIR_EraseRootFromParent_Done,
     /* 1860941 */   // Label 25133: @1860941
     /* 1860941 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1861027), // Rule ID 13737 //
     /* 1860946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1860949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1860954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1860966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860992 */     // MIs[0] policy
     /* 1860992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11589:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1861005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861026 */     // GIR_Coverage, 13737,
     /* 1861026 */     GIR_EraseRootFromParent_Done,
     /* 1861027 */   // Label 25134: @1861027
     /* 1861027 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1861116), // Rule ID 13946 //
     /* 1861032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1861043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1861046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1861049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1861052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861078 */     // MIs[0] policy
     /* 1861078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1861091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861115 */     // GIR_Coverage, 13946,
     /* 1861115 */     GIR_EraseRootFromParent_Done,
     /* 1861116 */   // Label 25135: @1861116
     /* 1861116 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1861205), // Rule ID 13947 //
     /* 1861121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1861132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1861135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1861138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1861141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861167 */     // MIs[0] policy
     /* 1861167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1861180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861204 */     // GIR_Coverage, 13947,
     /* 1861204 */     GIR_EraseRootFromParent_Done,
     /* 1861205 */   // Label 25136: @1861205
     /* 1861205 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1861294), // Rule ID 13950 //
     /* 1861210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1861221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1861224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1861227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1861230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861256 */     // MIs[0] policy
     /* 1861256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1861269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861293 */     // GIR_Coverage, 13950,
     /* 1861293 */     GIR_EraseRootFromParent_Done,
     /* 1861294 */   // Label 25137: @1861294
     /* 1861294 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1861383), // Rule ID 13951 //
     /* 1861299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1861310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1861313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1861316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1861319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861345 */     // MIs[0] policy
     /* 1861345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861355 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1861358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861382 */     // GIR_Coverage, 13951,
     /* 1861382 */     GIR_EraseRootFromParent_Done,
     /* 1861383 */   // Label 25138: @1861383
     /* 1861383 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1861472), // Rule ID 13954 //
     /* 1861388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1861399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1861402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1861405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1861408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861434 */     // MIs[0] policy
     /* 1861434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1861447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861471 */     // GIR_Coverage, 13954,
     /* 1861471 */     GIR_EraseRootFromParent_Done,
     /* 1861472 */   // Label 25139: @1861472
     /* 1861472 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1861561), // Rule ID 13955 //
     /* 1861477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1861488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1861491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1861494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1861497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861523 */     // MIs[0] policy
     /* 1861523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861533 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1861536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861560 */     // GIR_Coverage, 13955,
     /* 1861560 */     GIR_EraseRootFromParent_Done,
     /* 1861561 */   // Label 25140: @1861561
     /* 1861561 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1861650), // Rule ID 13958 //
     /* 1861566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861612 */     // MIs[0] policy
     /* 1861612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1861625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861649 */     // GIR_Coverage, 13958,
     /* 1861649 */     GIR_EraseRootFromParent_Done,
     /* 1861650 */   // Label 25141: @1861650
     /* 1861650 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1861739), // Rule ID 13959 //
     /* 1861655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1861666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1861669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861701 */     // MIs[0] policy
     /* 1861701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861711 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1861714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861738 */     // GIR_Coverage, 13959,
     /* 1861738 */     GIR_EraseRootFromParent_Done,
     /* 1861739 */   // Label 25142: @1861739
     /* 1861739 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1861828), // Rule ID 13962 //
     /* 1861744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861790 */     // MIs[0] policy
     /* 1861790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1861803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861827 */     // GIR_Coverage, 13962,
     /* 1861827 */     GIR_EraseRootFromParent_Done,
     /* 1861828 */   // Label 25143: @1861828
     /* 1861828 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1861917), // Rule ID 13963 //
     /* 1861833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1861844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1861847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861879 */     // MIs[0] policy
     /* 1861879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1861892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861916 */     // GIR_Coverage, 13963,
     /* 1861916 */     GIR_EraseRootFromParent_Done,
     /* 1861917 */   // Label 25144: @1861917
     /* 1861917 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1862006), // Rule ID 13966 //
     /* 1861922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1861942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861968 */     // MIs[0] policy
     /* 1861968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1861981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862005 */     // GIR_Coverage, 13966,
     /* 1862005 */     GIR_EraseRootFromParent_Done,
     /* 1862006 */   // Label 25145: @1862006
     /* 1862006 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1862095), // Rule ID 13967 //
     /* 1862011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1862022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1862025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1862028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1862031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862057 */     // MIs[0] policy
     /* 1862057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1862070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862094 */     // GIR_Coverage, 13967,
     /* 1862094 */     GIR_EraseRootFromParent_Done,
     /* 1862095 */   // Label 25146: @1862095
     /* 1862095 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1862184), // Rule ID 13970 //
     /* 1862100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1862111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1862114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1862117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1862120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862146 */     // MIs[0] policy
     /* 1862146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862183 */     // GIR_Coverage, 13970,
     /* 1862183 */     GIR_EraseRootFromParent_Done,
     /* 1862184 */   // Label 25147: @1862184
     /* 1862184 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1862273), // Rule ID 13971 //
     /* 1862189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1862200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1862203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1862206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1862209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862235 */     // MIs[0] policy
     /* 1862235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862272 */     // GIR_Coverage, 13971,
     /* 1862272 */     GIR_EraseRootFromParent_Done,
     /* 1862273 */   // Label 25148: @1862273
     /* 1862273 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1862362), // Rule ID 13974 //
     /* 1862278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1862289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1862292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1862295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1862298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862324 */     // MIs[0] policy
     /* 1862324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862361 */     // GIR_Coverage, 13974,
     /* 1862361 */     GIR_EraseRootFromParent_Done,
     /* 1862362 */   // Label 25149: @1862362
     /* 1862362 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1862451), // Rule ID 13975 //
     /* 1862367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1862378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1862381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1862384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1862387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862413 */     // MIs[0] policy
     /* 1862413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862450 */     // GIR_Coverage, 13975,
     /* 1862450 */     GIR_EraseRootFromParent_Done,
     /* 1862451 */   // Label 25150: @1862451
     /* 1862451 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1862540), // Rule ID 13978 //
     /* 1862456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862502 */     // MIs[0] policy
     /* 1862502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862539 */     // GIR_Coverage, 13978,
     /* 1862539 */     GIR_EraseRootFromParent_Done,
     /* 1862540 */   // Label 25151: @1862540
     /* 1862540 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1862629), // Rule ID 13979 //
     /* 1862545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1862556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1862559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862591 */     // MIs[0] policy
     /* 1862591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862628 */     // GIR_Coverage, 13979,
     /* 1862628 */     GIR_EraseRootFromParent_Done,
     /* 1862629 */   // Label 25152: @1862629
     /* 1862629 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1862718), // Rule ID 13982 //
     /* 1862634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1862654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862680 */     // MIs[0] policy
     /* 1862680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862717 */     // GIR_Coverage, 13982,
     /* 1862717 */     GIR_EraseRootFromParent_Done,
     /* 1862718 */   // Label 25153: @1862718
     /* 1862718 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1862807), // Rule ID 13983 //
     /* 1862723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1862740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1862743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862769 */     // MIs[0] policy
     /* 1862769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1862782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862806 */     // GIR_Coverage, 13983,
     /* 1862806 */     GIR_EraseRootFromParent_Done,
     /* 1862807 */   // Label 25154: @1862807
     /* 1862807 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1862896), // Rule ID 13986 //
     /* 1862812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1862832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862858 */     // MIs[0] policy
     /* 1862858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1862871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862895 */     // GIR_Coverage, 13986,
     /* 1862895 */     GIR_EraseRootFromParent_Done,
     /* 1862896 */   // Label 25155: @1862896
     /* 1862896 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1862985), // Rule ID 13987 //
     /* 1862901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1862912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1862915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1862918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1862921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862947 */     // MIs[0] policy
     /* 1862947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1862960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862984 */     // GIR_Coverage, 13987,
     /* 1862984 */     GIR_EraseRootFromParent_Done,
     /* 1862985 */   // Label 25156: @1862985
     /* 1862985 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1863074), // Rule ID 13990 //
     /* 1862990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1863001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1863004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1863007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1863010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863036 */     // MIs[0] policy
     /* 1863036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1863049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863073 */     // GIR_Coverage, 13990,
     /* 1863073 */     GIR_EraseRootFromParent_Done,
     /* 1863074 */   // Label 25157: @1863074
     /* 1863074 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1863163), // Rule ID 13991 //
     /* 1863079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1863090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1863093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1863096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1863099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863125 */     // MIs[0] policy
     /* 1863125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863135 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1863138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863162 */     // GIR_Coverage, 13991,
     /* 1863162 */     GIR_EraseRootFromParent_Done,
     /* 1863163 */   // Label 25158: @1863163
     /* 1863163 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1863252), // Rule ID 13994 //
     /* 1863168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1863179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1863182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1863185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1863188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1863191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863214 */     // MIs[0] policy
     /* 1863214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1863227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863251 */     // GIR_Coverage, 13994,
     /* 1863251 */     GIR_EraseRootFromParent_Done,
     /* 1863252 */   // Label 25159: @1863252
     /* 1863252 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1863341), // Rule ID 13995 //
     /* 1863257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1863268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1863271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1863274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1863277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1863280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863303 */     // MIs[0] policy
     /* 1863303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863313 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1863316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863340 */     // GIR_Coverage, 13995,
     /* 1863340 */     GIR_EraseRootFromParent_Done,
     /* 1863341 */   // Label 25160: @1863341
     /* 1863341 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1863430), // Rule ID 13998 //
     /* 1863346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1863363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1863366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863392 */     // MIs[0] policy
     /* 1863392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1863405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863429 */     // GIR_Coverage, 13998,
     /* 1863429 */     GIR_EraseRootFromParent_Done,
     /* 1863430 */   // Label 25161: @1863430
     /* 1863430 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1863519), // Rule ID 13999 //
     /* 1863435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1863452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1863455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863481 */     // MIs[0] policy
     /* 1863481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1863494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863518 */     // GIR_Coverage, 13999,
     /* 1863518 */     GIR_EraseRootFromParent_Done,
     /* 1863519 */   // Label 25162: @1863519
     /* 1863519 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1863608), // Rule ID 14002 //
     /* 1863524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1863541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1863544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863570 */     // MIs[0] policy
     /* 1863570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1863583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863607 */     // GIR_Coverage, 14002,
     /* 1863607 */     GIR_EraseRootFromParent_Done,
     /* 1863608 */   // Label 25163: @1863608
     /* 1863608 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1863697), // Rule ID 14003 //
     /* 1863613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1863630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1863633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863659 */     // MIs[0] policy
     /* 1863659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1863672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863696 */     // GIR_Coverage, 14003,
     /* 1863696 */     GIR_EraseRootFromParent_Done,
     /* 1863697 */   // Label 25164: @1863697
     /* 1863697 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1863786), // Rule ID 14006 //
     /* 1863702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1863722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863748 */     // MIs[0] policy
     /* 1863748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1863761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863785 */     // GIR_Coverage, 14006,
     /* 1863785 */     GIR_EraseRootFromParent_Done,
     /* 1863786 */   // Label 25165: @1863786
     /* 1863786 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1863875), // Rule ID 14007 //
     /* 1863791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1863808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1863811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863837 */     // MIs[0] policy
     /* 1863837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1863850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863874 */     // GIR_Coverage, 14007,
     /* 1863874 */     GIR_EraseRootFromParent_Done,
     /* 1863875 */   // Label 25166: @1863875
     /* 1863875 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1863964), // Rule ID 14010 //
     /* 1863880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1863900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863926 */     // MIs[0] policy
     /* 1863926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1863939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863963 */     // GIR_Coverage, 14010,
     /* 1863963 */     GIR_EraseRootFromParent_Done,
     /* 1863964 */   // Label 25167: @1863964
     /* 1863964 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1864053), // Rule ID 14011 //
     /* 1863969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1863977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1863980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1863983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1863986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1863989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864015 */     // MIs[0] policy
     /* 1864015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1864028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864052 */     // GIR_Coverage, 14011,
     /* 1864052 */     GIR_EraseRootFromParent_Done,
     /* 1864053 */   // Label 25168: @1864053
     /* 1864053 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1864142), // Rule ID 14014 //
     /* 1864058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1864069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1864072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1864075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1864078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864104 */     // MIs[0] policy
     /* 1864104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1864117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864141 */     // GIR_Coverage, 14014,
     /* 1864141 */     GIR_EraseRootFromParent_Done,
     /* 1864142 */   // Label 25169: @1864142
     /* 1864142 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1864231), // Rule ID 14015 //
     /* 1864147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1864158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1864161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1864164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1864167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864193 */     // MIs[0] policy
     /* 1864193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1864206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864230 */     // GIR_Coverage, 14015,
     /* 1864230 */     GIR_EraseRootFromParent_Done,
     /* 1864231 */   // Label 25170: @1864231
     /* 1864231 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1864320), // Rule ID 14018 //
     /* 1864236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1864253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1864256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864282 */     // MIs[0] policy
     /* 1864282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1864295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864319 */     // GIR_Coverage, 14018,
     /* 1864319 */     GIR_EraseRootFromParent_Done,
     /* 1864320 */   // Label 25171: @1864320
     /* 1864320 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1864409), // Rule ID 14019 //
     /* 1864325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1864342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1864345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864371 */     // MIs[0] policy
     /* 1864371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1864384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864408 */     // GIR_Coverage, 14019,
     /* 1864408 */     GIR_EraseRootFromParent_Done,
     /* 1864409 */   // Label 25172: @1864409
     /* 1864409 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1864498), // Rule ID 14022 //
     /* 1864414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1864431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1864434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864460 */     // MIs[0] policy
     /* 1864460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1864473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864497 */     // GIR_Coverage, 14022,
     /* 1864497 */     GIR_EraseRootFromParent_Done,
     /* 1864498 */   // Label 25173: @1864498
     /* 1864498 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1864587), // Rule ID 14023 //
     /* 1864503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1864520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1864523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864549 */     // MIs[0] policy
     /* 1864549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1864562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864586 */     // GIR_Coverage, 14023,
     /* 1864586 */     GIR_EraseRootFromParent_Done,
     /* 1864587 */   // Label 25174: @1864587
     /* 1864587 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1864676), // Rule ID 14026 //
     /* 1864592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1864612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864638 */     // MIs[0] policy
     /* 1864638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1864651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864675 */     // GIR_Coverage, 14026,
     /* 1864675 */     GIR_EraseRootFromParent_Done,
     /* 1864676 */   // Label 25175: @1864676
     /* 1864676 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1864765), // Rule ID 14027 //
     /* 1864681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1864698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1864701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864727 */     // MIs[0] policy
     /* 1864727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1864740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864764 */     // GIR_Coverage, 14027,
     /* 1864764 */     GIR_EraseRootFromParent_Done,
     /* 1864765 */   // Label 25176: @1864765
     /* 1864765 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1864854), // Rule ID 14030 //
     /* 1864770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1864790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864816 */     // MIs[0] policy
     /* 1864816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1864829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864853 */     // GIR_Coverage, 14030,
     /* 1864853 */     GIR_EraseRootFromParent_Done,
     /* 1864854 */   // Label 25177: @1864854
     /* 1864854 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1864943), // Rule ID 14031 //
     /* 1864859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1864870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1864873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1864876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1864879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864905 */     // MIs[0] policy
     /* 1864905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864915 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1864918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864942 */     // GIR_Coverage, 14031,
     /* 1864942 */     GIR_EraseRootFromParent_Done,
     /* 1864943 */   // Label 25178: @1864943
     /* 1864943 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1865032), // Rule ID 14034 //
     /* 1864948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1864956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1864959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1864962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1864965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864994 */     // MIs[0] policy
     /* 1864994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1865007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865031 */     // GIR_Coverage, 14034,
     /* 1865031 */     GIR_EraseRootFromParent_Done,
     /* 1865032 */   // Label 25179: @1865032
     /* 1865032 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1865121), // Rule ID 14035 //
     /* 1865037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1865048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1865051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1865054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865083 */     // MIs[0] policy
     /* 1865083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865093 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1865096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865120 */     // GIR_Coverage, 14035,
     /* 1865120 */     GIR_EraseRootFromParent_Done,
     /* 1865121 */   // Label 25180: @1865121
     /* 1865121 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1865210), // Rule ID 14038 //
     /* 1865126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1865137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1865140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1865143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865172 */     // MIs[0] policy
     /* 1865172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865182 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1865185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865209 */     // GIR_Coverage, 14038,
     /* 1865209 */     GIR_EraseRootFromParent_Done,
     /* 1865210 */   // Label 25181: @1865210
     /* 1865210 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1865299), // Rule ID 14039 //
     /* 1865215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1865226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1865229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1865232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865261 */     // MIs[0] policy
     /* 1865261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1865274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865298 */     // GIR_Coverage, 14039,
     /* 1865298 */     GIR_EraseRootFromParent_Done,
     /* 1865299 */   // Label 25182: @1865299
     /* 1865299 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1865388), // Rule ID 14042 //
     /* 1865304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1865315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1865318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1865321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865350 */     // MIs[0] policy
     /* 1865350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865360 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1865363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865387 */     // GIR_Coverage, 14042,
     /* 1865387 */     GIR_EraseRootFromParent_Done,
     /* 1865388 */   // Label 25183: @1865388
     /* 1865388 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1865477), // Rule ID 14043 //
     /* 1865393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1865404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1865407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1865410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865439 */     // MIs[0] policy
     /* 1865439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1865452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865476 */     // GIR_Coverage, 14043,
     /* 1865476 */     GIR_EraseRootFromParent_Done,
     /* 1865477 */   // Label 25184: @1865477
     /* 1865477 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1865566), // Rule ID 14046 //
     /* 1865482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1865499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865528 */     // MIs[0] policy
     /* 1865528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1865541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865565 */     // GIR_Coverage, 14046,
     /* 1865565 */     GIR_EraseRootFromParent_Done,
     /* 1865566 */   // Label 25185: @1865566
     /* 1865566 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1865655), // Rule ID 14047 //
     /* 1865571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1865588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865617 */     // MIs[0] policy
     /* 1865617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1865630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865654 */     // GIR_Coverage, 14047,
     /* 1865654 */     GIR_EraseRootFromParent_Done,
     /* 1865655 */   // Label 25186: @1865655
     /* 1865655 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1865744), // Rule ID 14050 //
     /* 1865660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865706 */     // MIs[0] policy
     /* 1865706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1865719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865743 */     // GIR_Coverage, 14050,
     /* 1865743 */     GIR_EraseRootFromParent_Done,
     /* 1865744 */   // Label 25187: @1865744
     /* 1865744 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1865833), // Rule ID 14051 //
     /* 1865749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1865766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865795 */     // MIs[0] policy
     /* 1865795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1865808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865832 */     // GIR_Coverage, 14051,
     /* 1865832 */     GIR_EraseRootFromParent_Done,
     /* 1865833 */   // Label 25188: @1865833
     /* 1865833 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1865922), // Rule ID 14054 //
     /* 1865838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865884 */     // MIs[0] policy
     /* 1865884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1865897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865921 */     // GIR_Coverage, 14054,
     /* 1865921 */     GIR_EraseRootFromParent_Done,
     /* 1865922 */   // Label 25189: @1865922
     /* 1865922 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1866011), // Rule ID 14055 //
     /* 1865927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1865935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1865938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1865941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1865944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865973 */     // MIs[0] policy
     /* 1865973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1865986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866010 */     // GIR_Coverage, 14055,
     /* 1866010 */     GIR_EraseRootFromParent_Done,
     /* 1866011 */   // Label 25190: @1866011
     /* 1866011 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1866100), // Rule ID 14058 //
     /* 1866016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1866027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1866030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1866033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866062 */     // MIs[0] policy
     /* 1866062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866099 */     // GIR_Coverage, 14058,
     /* 1866099 */     GIR_EraseRootFromParent_Done,
     /* 1866100 */   // Label 25191: @1866100
     /* 1866100 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1866189), // Rule ID 14059 //
     /* 1866105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1866116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1866119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1866122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866151 */     // MIs[0] policy
     /* 1866151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866188 */     // GIR_Coverage, 14059,
     /* 1866188 */     GIR_EraseRootFromParent_Done,
     /* 1866189 */   // Label 25192: @1866189
     /* 1866189 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1866278), // Rule ID 14062 //
     /* 1866194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1866205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1866208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1866211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866240 */     // MIs[0] policy
     /* 1866240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866277 */     // GIR_Coverage, 14062,
     /* 1866277 */     GIR_EraseRootFromParent_Done,
     /* 1866278 */   // Label 25193: @1866278
     /* 1866278 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1866367), // Rule ID 14063 //
     /* 1866283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1866294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1866297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1866300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866329 */     // MIs[0] policy
     /* 1866329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866366 */     // GIR_Coverage, 14063,
     /* 1866366 */     GIR_EraseRootFromParent_Done,
     /* 1866367 */   // Label 25194: @1866367
     /* 1866367 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1866456), // Rule ID 14066 //
     /* 1866372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1866389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866418 */     // MIs[0] policy
     /* 1866418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866455 */     // GIR_Coverage, 14066,
     /* 1866455 */     GIR_EraseRootFromParent_Done,
     /* 1866456 */   // Label 25195: @1866456
     /* 1866456 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1866545), // Rule ID 14067 //
     /* 1866461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1866478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866507 */     // MIs[0] policy
     /* 1866507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866544 */     // GIR_Coverage, 14067,
     /* 1866544 */     GIR_EraseRootFromParent_Done,
     /* 1866545 */   // Label 25196: @1866545
     /* 1866545 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1866634), // Rule ID 14070 //
     /* 1866550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866596 */     // MIs[0] policy
     /* 1866596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866606 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866633 */     // GIR_Coverage, 14070,
     /* 1866633 */     GIR_EraseRootFromParent_Done,
     /* 1866634 */   // Label 25197: @1866634
     /* 1866634 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1866723), // Rule ID 14071 //
     /* 1866639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866685 */     // MIs[0] policy
     /* 1866685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866695 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1866698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866722 */     // GIR_Coverage, 14071,
     /* 1866722 */     GIR_EraseRootFromParent_Done,
     /* 1866723 */   // Label 25198: @1866723
     /* 1866723 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1866812), // Rule ID 14074 //
     /* 1866728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866774 */     // MIs[0] policy
     /* 1866774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1866787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866811 */     // GIR_Coverage, 14074,
     /* 1866811 */     GIR_EraseRootFromParent_Done,
     /* 1866812 */   // Label 25199: @1866812
     /* 1866812 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1866901), // Rule ID 14075 //
     /* 1866817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1866828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1866831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1866834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866863 */     // MIs[0] policy
     /* 1866863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1866876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866900 */     // GIR_Coverage, 14075,
     /* 1866900 */     GIR_EraseRootFromParent_Done,
     /* 1866901 */   // Label 25200: @1866901
     /* 1866901 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1866990), // Rule ID 14078 //
     /* 1866906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1866914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866952 */     // MIs[0] policy
     /* 1866952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1866965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866989 */     // GIR_Coverage, 14078,
     /* 1866989 */     GIR_EraseRootFromParent_Done,
     /* 1866990 */   // Label 25201: @1866990
     /* 1866990 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1867079), // Rule ID 14079 //
     /* 1866995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1867006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1867009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1867012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867041 */     // MIs[0] policy
     /* 1867041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1867054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867078 */     // GIR_Coverage, 14079,
     /* 1867078 */     GIR_EraseRootFromParent_Done,
     /* 1867079 */   // Label 25202: @1867079
     /* 1867079 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1867168), // Rule ID 14082 //
     /* 1867084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1867095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1867098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1867101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1867107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867130 */     // MIs[0] policy
     /* 1867130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1867143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867167 */     // GIR_Coverage, 14082,
     /* 1867167 */     GIR_EraseRootFromParent_Done,
     /* 1867168 */   // Label 25203: @1867168
     /* 1867168 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1867257), // Rule ID 14083 //
     /* 1867173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1867184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1867187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1867190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1867196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867219 */     // MIs[0] policy
     /* 1867219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867229 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1867232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867256 */     // GIR_Coverage, 14083,
     /* 1867256 */     GIR_EraseRootFromParent_Done,
     /* 1867257 */   // Label 25204: @1867257
     /* 1867257 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1867346), // Rule ID 14086 //
     /* 1867262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1867273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1867276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1867279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867308 */     // MIs[0] policy
     /* 1867308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1867321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867345 */     // GIR_Coverage, 14086,
     /* 1867345 */     GIR_EraseRootFromParent_Done,
     /* 1867346 */   // Label 25205: @1867346
     /* 1867346 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1867435), // Rule ID 14087 //
     /* 1867351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1867362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1867365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1867368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867397 */     // MIs[0] policy
     /* 1867397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1867410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867434 */     // GIR_Coverage, 14087,
     /* 1867434 */     GIR_EraseRootFromParent_Done,
     /* 1867435 */   // Label 25206: @1867435
     /* 1867435 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1867524), // Rule ID 14090 //
     /* 1867440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1867451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1867454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1867457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867486 */     // MIs[0] policy
     /* 1867486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1867499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867523 */     // GIR_Coverage, 14090,
     /* 1867523 */     GIR_EraseRootFromParent_Done,
     /* 1867524 */   // Label 25207: @1867524
     /* 1867524 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1867613), // Rule ID 14091 //
     /* 1867529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1867540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1867543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1867546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867575 */     // MIs[0] policy
     /* 1867575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867585 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1867588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867612 */     // GIR_Coverage, 14091,
     /* 1867612 */     GIR_EraseRootFromParent_Done,
     /* 1867613 */   // Label 25208: @1867613
     /* 1867613 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1867702), // Rule ID 14094 //
     /* 1867618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867664 */     // MIs[0] policy
     /* 1867664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1867677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867701 */     // GIR_Coverage, 14094,
     /* 1867701 */     GIR_EraseRootFromParent_Done,
     /* 1867702 */   // Label 25209: @1867702
     /* 1867702 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1867791), // Rule ID 14095 //
     /* 1867707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1867718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1867721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1867724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1867730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867753 */     // MIs[0] policy
     /* 1867753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1867766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867790 */     // GIR_Coverage, 14095,
     /* 1867790 */     GIR_EraseRootFromParent_Done,
     /* 1867791 */   // Label 25210: @1867791
     /* 1867791 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1867880), // Rule ID 14098 //
     /* 1867796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867842 */     // MIs[0] policy
     /* 1867842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1867855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867879 */     // GIR_Coverage, 14098,
     /* 1867879 */     GIR_EraseRootFromParent_Done,
     /* 1867880 */   // Label 25211: @1867880
     /* 1867880 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1867969), // Rule ID 14099 //
     /* 1867885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867931 */     // MIs[0] policy
     /* 1867931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1867944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867968 */     // GIR_Coverage, 14099,
     /* 1867968 */     GIR_EraseRootFromParent_Done,
     /* 1867969 */   // Label 25212: @1867969
     /* 1867969 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1868058), // Rule ID 14102 //
     /* 1867974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868020 */     // MIs[0] policy
     /* 1868020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1868033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868057 */     // GIR_Coverage, 14102,
     /* 1868057 */     GIR_EraseRootFromParent_Done,
     /* 1868058 */   // Label 25213: @1868058
     /* 1868058 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1868147), // Rule ID 14103 //
     /* 1868063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1868074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1868077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1868080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868109 */     // MIs[0] policy
     /* 1868109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1868122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868146 */     // GIR_Coverage, 14103,
     /* 1868146 */     GIR_EraseRootFromParent_Done,
     /* 1868147 */   // Label 25214: @1868147
     /* 1868147 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1868236), // Rule ID 14106 //
     /* 1868152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1868163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1868166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1868169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868198 */     // MIs[0] policy
     /* 1868198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1868211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868235 */     // GIR_Coverage, 14106,
     /* 1868235 */     GIR_EraseRootFromParent_Done,
     /* 1868236 */   // Label 25215: @1868236
     /* 1868236 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1868325), // Rule ID 14107 //
     /* 1868241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1868252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1868255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1868258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868287 */     // MIs[0] policy
     /* 1868287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1868300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868324 */     // GIR_Coverage, 14107,
     /* 1868324 */     GIR_EraseRootFromParent_Done,
     /* 1868325 */   // Label 25216: @1868325
     /* 1868325 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1868414), // Rule ID 14110 //
     /* 1868330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1868341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1868344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1868347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868376 */     // MIs[0] policy
     /* 1868376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1868389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868413 */     // GIR_Coverage, 14110,
     /* 1868413 */     GIR_EraseRootFromParent_Done,
     /* 1868414 */   // Label 25217: @1868414
     /* 1868414 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1868503), // Rule ID 14111 //
     /* 1868419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1868430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1868433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1868436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868465 */     // MIs[0] policy
     /* 1868465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1868478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868502 */     // GIR_Coverage, 14111,
     /* 1868502 */     GIR_EraseRootFromParent_Done,
     /* 1868503 */   // Label 25218: @1868503
     /* 1868503 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1868592), // Rule ID 14114 //
     /* 1868508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1868519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1868522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1868525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868554 */     // MIs[0] policy
     /* 1868554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1868567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868591 */     // GIR_Coverage, 14114,
     /* 1868591 */     GIR_EraseRootFromParent_Done,
     /* 1868592 */   // Label 25219: @1868592
     /* 1868592 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1868681), // Rule ID 14115 //
     /* 1868597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1868608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1868611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1868614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868643 */     // MIs[0] policy
     /* 1868643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1868656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868680 */     // GIR_Coverage, 14115,
     /* 1868680 */     GIR_EraseRootFromParent_Done,
     /* 1868681 */   // Label 25220: @1868681
     /* 1868681 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1868770), // Rule ID 14118 //
     /* 1868686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868732 */     // MIs[0] policy
     /* 1868732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1868745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868769 */     // GIR_Coverage, 14118,
     /* 1868769 */     GIR_EraseRootFromParent_Done,
     /* 1868770 */   // Label 25221: @1868770
     /* 1868770 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1868859), // Rule ID 14119 //
     /* 1868775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868821 */     // MIs[0] policy
     /* 1868821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868831 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1868834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868858 */     // GIR_Coverage, 14119,
     /* 1868858 */     GIR_EraseRootFromParent_Done,
     /* 1868859 */   // Label 25222: @1868859
     /* 1868859 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1868948), // Rule ID 14210 //
     /* 1868864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1868884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868910 */     // MIs[0] policy
     /* 1868910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868920 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1868923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868947 */     // GIR_Coverage, 14210,
     /* 1868947 */     GIR_EraseRootFromParent_Done,
     /* 1868948 */   // Label 25223: @1868948
     /* 1868948 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1869037), // Rule ID 14211 //
     /* 1868953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1868973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868999 */     // MIs[0] policy
     /* 1868999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869009 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1869012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869036 */     // GIR_Coverage, 14211,
     /* 1869036 */     GIR_EraseRootFromParent_Done,
     /* 1869037 */   // Label 25224: @1869037
     /* 1869037 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1869126), // Rule ID 14214 //
     /* 1869042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1869053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1869056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1869059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1869062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869088 */     // MIs[0] policy
     /* 1869088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1869101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869125 */     // GIR_Coverage, 14214,
     /* 1869125 */     GIR_EraseRootFromParent_Done,
     /* 1869126 */   // Label 25225: @1869126
     /* 1869126 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1869215), // Rule ID 14215 //
     /* 1869131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1869142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1869145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1869148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1869151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869177 */     // MIs[0] policy
     /* 1869177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1869190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869214 */     // GIR_Coverage, 14215,
     /* 1869214 */     GIR_EraseRootFromParent_Done,
     /* 1869215 */   // Label 25226: @1869215
     /* 1869215 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1869304), // Rule ID 14218 //
     /* 1869220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1869231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1869234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1869237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1869240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869266 */     // MIs[0] policy
     /* 1869266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869276 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1869279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869303 */     // GIR_Coverage, 14218,
     /* 1869303 */     GIR_EraseRootFromParent_Done,
     /* 1869304 */   // Label 25227: @1869304
     /* 1869304 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1869393), // Rule ID 14219 //
     /* 1869309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1869320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1869323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1869326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1869329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869355 */     // MIs[0] policy
     /* 1869355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869365 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1869368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869392 */     // GIR_Coverage, 14219,
     /* 1869392 */     GIR_EraseRootFromParent_Done,
     /* 1869393 */   // Label 25228: @1869393
     /* 1869393 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1869482), // Rule ID 14222 //
     /* 1869398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1869409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1869412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1869415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1869418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869444 */     // MIs[0] policy
     /* 1869444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1869457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869481 */     // GIR_Coverage, 14222,
     /* 1869481 */     GIR_EraseRootFromParent_Done,
     /* 1869482 */   // Label 25229: @1869482
     /* 1869482 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1869571), // Rule ID 14223 //
     /* 1869487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1869498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1869501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1869504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1869507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869533 */     // MIs[0] policy
     /* 1869533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869543 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1869546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869570 */     // GIR_Coverage, 14223,
     /* 1869570 */     GIR_EraseRootFromParent_Done,
     /* 1869571 */   // Label 25230: @1869571
     /* 1869571 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1869660), // Rule ID 14226 //
     /* 1869576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1869596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869622 */     // MIs[0] policy
     /* 1869622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1869635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869659 */     // GIR_Coverage, 14226,
     /* 1869659 */     GIR_EraseRootFromParent_Done,
     /* 1869660 */   // Label 25231: @1869660
     /* 1869660 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1869749), // Rule ID 14227 //
     /* 1869665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1869682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1869685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869711 */     // MIs[0] policy
     /* 1869711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1869724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869748 */     // GIR_Coverage, 14227,
     /* 1869748 */     GIR_EraseRootFromParent_Done,
     /* 1869749 */   // Label 25232: @1869749
     /* 1869749 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1869838), // Rule ID 14230 //
     /* 1869754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1869774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869800 */     // MIs[0] policy
     /* 1869800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1869813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869837 */     // GIR_Coverage, 14230,
     /* 1869837 */     GIR_EraseRootFromParent_Done,
     /* 1869838 */   // Label 25233: @1869838
     /* 1869838 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1869927), // Rule ID 14231 //
     /* 1869843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1869863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869889 */     // MIs[0] policy
     /* 1869889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1869902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869926 */     // GIR_Coverage, 14231,
     /* 1869926 */     GIR_EraseRootFromParent_Done,
     /* 1869927 */   // Label 25234: @1869927
     /* 1869927 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1870016), // Rule ID 14234 //
     /* 1869932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1869952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869978 */     // MIs[0] policy
     /* 1869978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1869991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870015 */     // GIR_Coverage, 14234,
     /* 1870015 */     GIR_EraseRootFromParent_Done,
     /* 1870016 */   // Label 25235: @1870016
     /* 1870016 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1870105), // Rule ID 14235 //
     /* 1870021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1870032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1870035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1870038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1870041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870067 */     // MIs[0] policy
     /* 1870067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1870080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870104 */     // GIR_Coverage, 14235,
     /* 1870104 */     GIR_EraseRootFromParent_Done,
     /* 1870105 */   // Label 25236: @1870105
     /* 1870105 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1870194), // Rule ID 14238 //
     /* 1870110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1870121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1870124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1870127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1870130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870156 */     // MIs[0] policy
     /* 1870156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1870169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870193 */     // GIR_Coverage, 14238,
     /* 1870193 */     GIR_EraseRootFromParent_Done,
     /* 1870194 */   // Label 25237: @1870194
     /* 1870194 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1870283), // Rule ID 14239 //
     /* 1870199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1870210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1870213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1870216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1870219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870245 */     // MIs[0] policy
     /* 1870245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1870258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870282 */     // GIR_Coverage, 14239,
     /* 1870282 */     GIR_EraseRootFromParent_Done,
     /* 1870283 */   // Label 25238: @1870283
     /* 1870283 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1870372), // Rule ID 14242 //
     /* 1870288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1870299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1870302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1870305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1870308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870334 */     // MIs[0] policy
     /* 1870334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1870347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870371 */     // GIR_Coverage, 14242,
     /* 1870371 */     GIR_EraseRootFromParent_Done,
     /* 1870372 */   // Label 25239: @1870372
     /* 1870372 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1870461), // Rule ID 14243 //
     /* 1870377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1870388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1870391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1870394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1870397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870423 */     // MIs[0] policy
     /* 1870423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1870436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870460 */     // GIR_Coverage, 14243,
     /* 1870460 */     GIR_EraseRootFromParent_Done,
     /* 1870461 */   // Label 25240: @1870461
     /* 1870461 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1870550), // Rule ID 14246 //
     /* 1870466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1870483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1870486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870512 */     // MIs[0] policy
     /* 1870512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1870525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870549 */     // GIR_Coverage, 14246,
     /* 1870549 */     GIR_EraseRootFromParent_Done,
     /* 1870550 */   // Label 25241: @1870550
     /* 1870550 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1870639), // Rule ID 14247 //
     /* 1870555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1870572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1870575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870601 */     // MIs[0] policy
     /* 1870601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1870614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870638 */     // GIR_Coverage, 14247,
     /* 1870638 */     GIR_EraseRootFromParent_Done,
     /* 1870639 */   // Label 25242: @1870639
     /* 1870639 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1870728), // Rule ID 14250 //
     /* 1870644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1870664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870690 */     // MIs[0] policy
     /* 1870690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870700 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1870703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870727 */     // GIR_Coverage, 14250,
     /* 1870727 */     GIR_EraseRootFromParent_Done,
     /* 1870728 */   // Label 25243: @1870728
     /* 1870728 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1870817), // Rule ID 14251 //
     /* 1870733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1870750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1870753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870779 */     // MIs[0] policy
     /* 1870779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1870792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870816 */     // GIR_Coverage, 14251,
     /* 1870816 */     GIR_EraseRootFromParent_Done,
     /* 1870817 */   // Label 25244: @1870817
     /* 1870817 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1870906), // Rule ID 14254 //
     /* 1870822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1870842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870868 */     // MIs[0] policy
     /* 1870868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1870881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870905 */     // GIR_Coverage, 14254,
     /* 1870905 */     GIR_EraseRootFromParent_Done,
     /* 1870906 */   // Label 25245: @1870906
     /* 1870906 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1870995), // Rule ID 14255 //
     /* 1870911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1870931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870957 */     // MIs[0] policy
     /* 1870957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870967 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1870970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870994 */     // GIR_Coverage, 14255,
     /* 1870994 */     GIR_EraseRootFromParent_Done,
     /* 1870995 */   // Label 25246: @1870995
     /* 1870995 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1871084), // Rule ID 14258 //
     /* 1871000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1871011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1871014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1871017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1871020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1871023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871046 */     // MIs[0] policy
     /* 1871046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871056 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1871059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871083 */     // GIR_Coverage, 14258,
     /* 1871083 */     GIR_EraseRootFromParent_Done,
     /* 1871084 */   // Label 25247: @1871084
     /* 1871084 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1871173), // Rule ID 14259 //
     /* 1871089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1871100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1871103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1871106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1871109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1871112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871135 */     // MIs[0] policy
     /* 1871135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871145 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1871148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871172 */     // GIR_Coverage, 14259,
     /* 1871172 */     GIR_EraseRootFromParent_Done,
     /* 1871173 */   // Label 25248: @1871173
     /* 1871173 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1871262), // Rule ID 14262 //
     /* 1871178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1871189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1871192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1871195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1871198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871224 */     // MIs[0] policy
     /* 1871224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1871237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871261 */     // GIR_Coverage, 14262,
     /* 1871261 */     GIR_EraseRootFromParent_Done,
     /* 1871262 */   // Label 25249: @1871262
     /* 1871262 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1871351), // Rule ID 14263 //
     /* 1871267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1871278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1871281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1871284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1871287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871313 */     // MIs[0] policy
     /* 1871313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871323 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1871326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871350 */     // GIR_Coverage, 14263,
     /* 1871350 */     GIR_EraseRootFromParent_Done,
     /* 1871351 */   // Label 25250: @1871351
     /* 1871351 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1871440), // Rule ID 14266 //
     /* 1871356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1871373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1871376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871402 */     // MIs[0] policy
     /* 1871402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1871415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871439 */     // GIR_Coverage, 14266,
     /* 1871439 */     GIR_EraseRootFromParent_Done,
     /* 1871440 */   // Label 25251: @1871440
     /* 1871440 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1871529), // Rule ID 14267 //
     /* 1871445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1871462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1871465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871491 */     // MIs[0] policy
     /* 1871491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1871504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871528 */     // GIR_Coverage, 14267,
     /* 1871528 */     GIR_EraseRootFromParent_Done,
     /* 1871529 */   // Label 25252: @1871529
     /* 1871529 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1871618), // Rule ID 14270 //
     /* 1871534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1871551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1871554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871580 */     // MIs[0] policy
     /* 1871580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871590 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1871593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871617 */     // GIR_Coverage, 14270,
     /* 1871617 */     GIR_EraseRootFromParent_Done,
     /* 1871618 */   // Label 25253: @1871618
     /* 1871618 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1871707), // Rule ID 14271 //
     /* 1871623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1871640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1871643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871669 */     // MIs[0] policy
     /* 1871669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871679 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1871682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871706 */     // GIR_Coverage, 14271,
     /* 1871706 */     GIR_EraseRootFromParent_Done,
     /* 1871707 */   // Label 25254: @1871707
     /* 1871707 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1871796), // Rule ID 14274 //
     /* 1871712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1871732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871758 */     // MIs[0] policy
     /* 1871758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1871771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871795 */     // GIR_Coverage, 14274,
     /* 1871795 */     GIR_EraseRootFromParent_Done,
     /* 1871796 */   // Label 25255: @1871796
     /* 1871796 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1871885), // Rule ID 14275 //
     /* 1871801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1871821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871847 */     // MIs[0] policy
     /* 1871847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871857 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1871860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871884 */     // GIR_Coverage, 14275,
     /* 1871884 */     GIR_EraseRootFromParent_Done,
     /* 1871885 */   // Label 25256: @1871885
     /* 1871885 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1871974), // Rule ID 14278 //
     /* 1871890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1871910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871936 */     // MIs[0] policy
     /* 1871936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1871949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871973 */     // GIR_Coverage, 14278,
     /* 1871973 */     GIR_EraseRootFromParent_Done,
     /* 1871974 */   // Label 25257: @1871974
     /* 1871974 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1872063), // Rule ID 14279 //
     /* 1871979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1871987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1871999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872025 */     // MIs[0] policy
     /* 1872025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1872038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872062 */     // GIR_Coverage, 14279,
     /* 1872062 */     GIR_EraseRootFromParent_Done,
     /* 1872063 */   // Label 25258: @1872063
     /* 1872063 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1872152), // Rule ID 14282 //
     /* 1872068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1872079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1872082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1872085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1872088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872114 */     // MIs[0] policy
     /* 1872114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1872127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872151 */     // GIR_Coverage, 14282,
     /* 1872151 */     GIR_EraseRootFromParent_Done,
     /* 1872152 */   // Label 25259: @1872152
     /* 1872152 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1872241), // Rule ID 14283 //
     /* 1872157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1872168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1872171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1872174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1872177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872203 */     // MIs[0] policy
     /* 1872203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1872216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872240 */     // GIR_Coverage, 14283,
     /* 1872240 */     GIR_EraseRootFromParent_Done,
     /* 1872241 */   // Label 25260: @1872241
     /* 1872241 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1872330), // Rule ID 14286 //
     /* 1872246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1872263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1872266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872292 */     // MIs[0] policy
     /* 1872292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1872305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872329 */     // GIR_Coverage, 14286,
     /* 1872329 */     GIR_EraseRootFromParent_Done,
     /* 1872330 */   // Label 25261: @1872330
     /* 1872330 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1872419), // Rule ID 14287 //
     /* 1872335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1872352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1872355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872381 */     // MIs[0] policy
     /* 1872381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872391 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1872394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872418 */     // GIR_Coverage, 14287,
     /* 1872418 */     GIR_EraseRootFromParent_Done,
     /* 1872419 */   // Label 25262: @1872419
     /* 1872419 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1872508), // Rule ID 14290 //
     /* 1872424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1872441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1872444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872470 */     // MIs[0] policy
     /* 1872470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1872483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872507 */     // GIR_Coverage, 14290,
     /* 1872507 */     GIR_EraseRootFromParent_Done,
     /* 1872508 */   // Label 25263: @1872508
     /* 1872508 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1872597), // Rule ID 14291 //
     /* 1872513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1872530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1872533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872559 */     // MIs[0] policy
     /* 1872559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1872572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872596 */     // GIR_Coverage, 14291,
     /* 1872596 */     GIR_EraseRootFromParent_Done,
     /* 1872597 */   // Label 25264: @1872597
     /* 1872597 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1872686), // Rule ID 14294 //
     /* 1872602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1872622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872648 */     // MIs[0] policy
     /* 1872648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1872661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872685 */     // GIR_Coverage, 14294,
     /* 1872685 */     GIR_EraseRootFromParent_Done,
     /* 1872686 */   // Label 25265: @1872686
     /* 1872686 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1872775), // Rule ID 14295 //
     /* 1872691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1872708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1872711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872737 */     // MIs[0] policy
     /* 1872737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1872750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872774 */     // GIR_Coverage, 14295,
     /* 1872774 */     GIR_EraseRootFromParent_Done,
     /* 1872775 */   // Label 25266: @1872775
     /* 1872775 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1872864), // Rule ID 14298 //
     /* 1872780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872826 */     // MIs[0] policy
     /* 1872826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1872839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872863 */     // GIR_Coverage, 14298,
     /* 1872863 */     GIR_EraseRootFromParent_Done,
     /* 1872864 */   // Label 25267: @1872864
     /* 1872864 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1872953), // Rule ID 14299 //
     /* 1872869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872915 */     // MIs[0] policy
     /* 1872915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872925 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1872928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872952 */     // GIR_Coverage, 14299,
     /* 1872952 */     GIR_EraseRootFromParent_Done,
     /* 1872953 */   // Label 25268: @1872953
     /* 1872953 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1873042), // Rule ID 14302 //
     /* 1872958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1872966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873004 */     // MIs[0] policy
     /* 1873004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1873017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873041 */     // GIR_Coverage, 14302,
     /* 1873041 */     GIR_EraseRootFromParent_Done,
     /* 1873042 */   // Label 25269: @1873042
     /* 1873042 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1873131), // Rule ID 14303 //
     /* 1873047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1873058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1873061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1873064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873093 */     // MIs[0] policy
     /* 1873093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873103 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1873106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873130 */     // GIR_Coverage, 14303,
     /* 1873130 */     GIR_EraseRootFromParent_Done,
     /* 1873131 */   // Label 25270: @1873131
     /* 1873131 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1873220), // Rule ID 14306 //
     /* 1873136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1873147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1873150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1873153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873182 */     // MIs[0] policy
     /* 1873182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1873195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873219 */     // GIR_Coverage, 14306,
     /* 1873219 */     GIR_EraseRootFromParent_Done,
     /* 1873220 */   // Label 25271: @1873220
     /* 1873220 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1873309), // Rule ID 14307 //
     /* 1873225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1873236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1873239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1873242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873271 */     // MIs[0] policy
     /* 1873271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873281 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1873284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873308 */     // GIR_Coverage, 14307,
     /* 1873308 */     GIR_EraseRootFromParent_Done,
     /* 1873309 */   // Label 25272: @1873309
     /* 1873309 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1873398), // Rule ID 14310 //
     /* 1873314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873360 */     // MIs[0] policy
     /* 1873360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1873373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873397 */     // GIR_Coverage, 14310,
     /* 1873397 */     GIR_EraseRootFromParent_Done,
     /* 1873398 */   // Label 25273: @1873398
     /* 1873398 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1873487), // Rule ID 14311 //
     /* 1873403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873449 */     // MIs[0] policy
     /* 1873449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873459 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1873462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873486 */     // GIR_Coverage, 14311,
     /* 1873486 */     GIR_EraseRootFromParent_Done,
     /* 1873487 */   // Label 25274: @1873487
     /* 1873487 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1873576), // Rule ID 14314 //
     /* 1873492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873538 */     // MIs[0] policy
     /* 1873538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1873551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873575 */     // GIR_Coverage, 14314,
     /* 1873575 */     GIR_EraseRootFromParent_Done,
     /* 1873576 */   // Label 25275: @1873576
     /* 1873576 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1873665), // Rule ID 14315 //
     /* 1873581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873627 */     // MIs[0] policy
     /* 1873627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873637 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1873640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873664 */     // GIR_Coverage, 14315,
     /* 1873664 */     GIR_EraseRootFromParent_Done,
     /* 1873665 */   // Label 25276: @1873665
     /* 1873665 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1873754), // Rule ID 14318 //
     /* 1873670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873716 */     // MIs[0] policy
     /* 1873716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1873729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873753 */     // GIR_Coverage, 14318,
     /* 1873753 */     GIR_EraseRootFromParent_Done,
     /* 1873754 */   // Label 25277: @1873754
     /* 1873754 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1873843), // Rule ID 14319 //
     /* 1873759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873805 */     // MIs[0] policy
     /* 1873805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873815 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1873818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873842 */     // GIR_Coverage, 14319,
     /* 1873842 */     GIR_EraseRootFromParent_Done,
     /* 1873843 */   // Label 25278: @1873843
     /* 1873843 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1873932), // Rule ID 14322 //
     /* 1873848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873894 */     // MIs[0] policy
     /* 1873894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1873907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873931 */     // GIR_Coverage, 14322,
     /* 1873931 */     GIR_EraseRootFromParent_Done,
     /* 1873932 */   // Label 25279: @1873932
     /* 1873932 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1874021), // Rule ID 14323 //
     /* 1873937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1873945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873983 */     // MIs[0] policy
     /* 1873983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1873996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874020 */     // GIR_Coverage, 14323,
     /* 1874020 */     GIR_EraseRootFromParent_Done,
     /* 1874021 */   // Label 25280: @1874021
     /* 1874021 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1874110), // Rule ID 14326 //
     /* 1874026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1874037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1874040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1874043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874072 */     // MIs[0] policy
     /* 1874072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1874085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874109 */     // GIR_Coverage, 14326,
     /* 1874109 */     GIR_EraseRootFromParent_Done,
     /* 1874110 */   // Label 25281: @1874110
     /* 1874110 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1874199), // Rule ID 14327 //
     /* 1874115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1874126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1874129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1874132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874161 */     // MIs[0] policy
     /* 1874161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1874174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874198 */     // GIR_Coverage, 14327,
     /* 1874198 */     GIR_EraseRootFromParent_Done,
     /* 1874199 */   // Label 25282: @1874199
     /* 1874199 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1874288), // Rule ID 14330 //
     /* 1874204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1874215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1874218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1874221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874250 */     // MIs[0] policy
     /* 1874250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1874263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874287 */     // GIR_Coverage, 14330,
     /* 1874287 */     GIR_EraseRootFromParent_Done,
     /* 1874288 */   // Label 25283: @1874288
     /* 1874288 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1874377), // Rule ID 14331 //
     /* 1874293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1874304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1874307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1874310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874339 */     // MIs[0] policy
     /* 1874339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1874352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874376 */     // GIR_Coverage, 14331,
     /* 1874376 */     GIR_EraseRootFromParent_Done,
     /* 1874377 */   // Label 25284: @1874377
     /* 1874377 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1874466), // Rule ID 14334 //
     /* 1874382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874428 */     // MIs[0] policy
     /* 1874428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1874441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874465 */     // GIR_Coverage, 14334,
     /* 1874465 */     GIR_EraseRootFromParent_Done,
     /* 1874466 */   // Label 25285: @1874466
     /* 1874466 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1874555), // Rule ID 14335 //
     /* 1874471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874517 */     // MIs[0] policy
     /* 1874517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1874530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874554 */     // GIR_Coverage, 14335,
     /* 1874554 */     GIR_EraseRootFromParent_Done,
     /* 1874555 */   // Label 25286: @1874555
     /* 1874555 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1874644), // Rule ID 14338 //
     /* 1874560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874606 */     // MIs[0] policy
     /* 1874606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1874619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874643 */     // GIR_Coverage, 14338,
     /* 1874643 */     GIR_EraseRootFromParent_Done,
     /* 1874644 */   // Label 25287: @1874644
     /* 1874644 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1874733), // Rule ID 14339 //
     /* 1874649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874695 */     // MIs[0] policy
     /* 1874695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874705 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1874708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874732 */     // GIR_Coverage, 14339,
     /* 1874732 */     GIR_EraseRootFromParent_Done,
     /* 1874733 */   // Label 25288: @1874733
     /* 1874733 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1874822), // Rule ID 14342 //
     /* 1874738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874784 */     // MIs[0] policy
     /* 1874784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1874797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874821 */     // GIR_Coverage, 14342,
     /* 1874821 */     GIR_EraseRootFromParent_Done,
     /* 1874822 */   // Label 25289: @1874822
     /* 1874822 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1874911), // Rule ID 14343 //
     /* 1874827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1874838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1874841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1874844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874873 */     // MIs[0] policy
     /* 1874873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874883 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1874886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874910 */     // GIR_Coverage, 14343,
     /* 1874910 */     GIR_EraseRootFromParent_Done,
     /* 1874911 */   // Label 25290: @1874911
     /* 1874911 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1875000), // Rule ID 14346 //
     /* 1874916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1874924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874962 */     // MIs[0] policy
     /* 1874962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1874975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874999 */     // GIR_Coverage, 14346,
     /* 1874999 */     GIR_EraseRootFromParent_Done,
     /* 1875000 */   // Label 25291: @1875000
     /* 1875000 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1875089), // Rule ID 14347 //
     /* 1875005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1875016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1875019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1875022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1875028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875051 */     // MIs[0] policy
     /* 1875051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875061 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1875064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875088 */     // GIR_Coverage, 14347,
     /* 1875088 */     GIR_EraseRootFromParent_Done,
     /* 1875089 */   // Label 25292: @1875089
     /* 1875089 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1875178), // Rule ID 14350 //
     /* 1875094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1875105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1875108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1875111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875140 */     // MIs[0] policy
     /* 1875140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1875153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875177 */     // GIR_Coverage, 14350,
     /* 1875177 */     GIR_EraseRootFromParent_Done,
     /* 1875178 */   // Label 25293: @1875178
     /* 1875178 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1875267), // Rule ID 14351 //
     /* 1875183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1875194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1875197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1875200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875229 */     // MIs[0] policy
     /* 1875229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1875242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875266 */     // GIR_Coverage, 14351,
     /* 1875266 */     GIR_EraseRootFromParent_Done,
     /* 1875267 */   // Label 25294: @1875267
     /* 1875267 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1875356), // Rule ID 14354 //
     /* 1875272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875318 */     // MIs[0] policy
     /* 1875318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1875331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875355 */     // GIR_Coverage, 14354,
     /* 1875355 */     GIR_EraseRootFromParent_Done,
     /* 1875356 */   // Label 25295: @1875356
     /* 1875356 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1875445), // Rule ID 14355 //
     /* 1875361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875407 */     // MIs[0] policy
     /* 1875407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1875420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875444 */     // GIR_Coverage, 14355,
     /* 1875444 */     GIR_EraseRootFromParent_Done,
     /* 1875445 */   // Label 25296: @1875445
     /* 1875445 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1875534), // Rule ID 14358 //
     /* 1875450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1875461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1875464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1875467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875496 */     // MIs[0] policy
     /* 1875496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1875509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875533 */     // GIR_Coverage, 14358,
     /* 1875533 */     GIR_EraseRootFromParent_Done,
     /* 1875534 */   // Label 25297: @1875534
     /* 1875534 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1875623), // Rule ID 14359 //
     /* 1875539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1875550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1875553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1875556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875585 */     // MIs[0] policy
     /* 1875585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1875598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875622 */     // GIR_Coverage, 14359,
     /* 1875622 */     GIR_EraseRootFromParent_Done,
     /* 1875623 */   // Label 25298: @1875623
     /* 1875623 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1875712), // Rule ID 14362 //
     /* 1875628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875674 */     // MIs[0] policy
     /* 1875674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875684 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1875687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875711 */     // GIR_Coverage, 14362,
     /* 1875711 */     GIR_EraseRootFromParent_Done,
     /* 1875712 */   // Label 25299: @1875712
     /* 1875712 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1875801), // Rule ID 14363 //
     /* 1875717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1875728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1875731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1875734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875763 */     // MIs[0] policy
     /* 1875763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1875776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875800 */     // GIR_Coverage, 14363,
     /* 1875800 */     GIR_EraseRootFromParent_Done,
     /* 1875801 */   // Label 25300: @1875801
     /* 1875801 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1875890), // Rule ID 14366 //
     /* 1875806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875852 */     // MIs[0] policy
     /* 1875852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1875865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875889 */     // GIR_Coverage, 14366,
     /* 1875889 */     GIR_EraseRootFromParent_Done,
     /* 1875890 */   // Label 25301: @1875890
     /* 1875890 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1875979), // Rule ID 14367 //
     /* 1875895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1875906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1875909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1875912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875941 */     // MIs[0] policy
     /* 1875941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1875954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875978 */     // GIR_Coverage, 14367,
     /* 1875978 */     GIR_EraseRootFromParent_Done,
     /* 1875979 */   // Label 25302: @1875979
     /* 1875979 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1876068), // Rule ID 14370 //
     /* 1875984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1876001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876030 */     // MIs[0] policy
     /* 1876030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1876043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876067 */     // GIR_Coverage, 14370,
     /* 1876067 */     GIR_EraseRootFromParent_Done,
     /* 1876068 */   // Label 25303: @1876068
     /* 1876068 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1876157), // Rule ID 14371 //
     /* 1876073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1876084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1876087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1876090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876119 */     // MIs[0] policy
     /* 1876119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876129 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1876132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876156 */     // GIR_Coverage, 14371,
     /* 1876156 */     GIR_EraseRootFromParent_Done,
     /* 1876157 */   // Label 25304: @1876157
     /* 1876157 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1876246), // Rule ID 14374 //
     /* 1876162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1876173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1876176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1876179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876208 */     // MIs[0] policy
     /* 1876208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1876221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876245 */     // GIR_Coverage, 14374,
     /* 1876245 */     GIR_EraseRootFromParent_Done,
     /* 1876246 */   // Label 25305: @1876246
     /* 1876246 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1876335), // Rule ID 14375 //
     /* 1876251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1876262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1876265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1876268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876297 */     // MIs[0] policy
     /* 1876297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11467:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1876310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876334 */     // GIR_Coverage, 14375,
     /* 1876334 */     GIR_EraseRootFromParent_Done,
     /* 1876335 */   // Label 25306: @1876335
     /* 1876335 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1876424), // Rule ID 14378 //
     /* 1876340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1876351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1876354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1876357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876386 */     // MIs[0] policy
     /* 1876386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1876399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876423 */     // GIR_Coverage, 14378,
     /* 1876423 */     GIR_EraseRootFromParent_Done,
     /* 1876424 */   // Label 25307: @1876424
     /* 1876424 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1876513), // Rule ID 14379 //
     /* 1876429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1876440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1876443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1876446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876475 */     // MIs[0] policy
     /* 1876475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876485 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11467:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1876488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876512 */     // GIR_Coverage, 14379,
     /* 1876512 */     GIR_EraseRootFromParent_Done,
     /* 1876513 */   // Label 25308: @1876513
     /* 1876513 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1876602), // Rule ID 14382 //
     /* 1876518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1876529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1876532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1876535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876564 */     // MIs[0] policy
     /* 1876564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1876577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876601 */     // GIR_Coverage, 14382,
     /* 1876601 */     GIR_EraseRootFromParent_Done,
     /* 1876602 */   // Label 25309: @1876602
     /* 1876602 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1876691), // Rule ID 14383 //
     /* 1876607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1876618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1876621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1876624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876653 */     // MIs[0] policy
     /* 1876653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876663 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11467:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1876666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876690 */     // GIR_Coverage, 14383,
     /* 1876690 */     GIR_EraseRootFromParent_Done,
     /* 1876691 */   // Label 25310: @1876691
     /* 1876691 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1876780), // Rule ID 14474 //
     /* 1876696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1876716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876742 */     // MIs[0] policy
     /* 1876742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876752 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1876755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876779 */     // GIR_Coverage, 14474,
     /* 1876779 */     GIR_EraseRootFromParent_Done,
     /* 1876780 */   // Label 25311: @1876780
     /* 1876780 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1876869), // Rule ID 14475 //
     /* 1876785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1876796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1876799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1876802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1876805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876831 */     // MIs[0] policy
     /* 1876831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876841 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1876844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876868 */     // GIR_Coverage, 14475,
     /* 1876868 */     GIR_EraseRootFromParent_Done,
     /* 1876869 */   // Label 25312: @1876869
     /* 1876869 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1876958), // Rule ID 14478 //
     /* 1876874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1876894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876920 */     // MIs[0] policy
     /* 1876920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876930 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1876933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876957 */     // GIR_Coverage, 14478,
     /* 1876957 */     GIR_EraseRootFromParent_Done,
     /* 1876958 */   // Label 25313: @1876958
     /* 1876958 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1877047), // Rule ID 14479 //
     /* 1876963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1876983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877009 */     // MIs[0] policy
     /* 1877009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1877022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877046 */     // GIR_Coverage, 14479,
     /* 1877046 */     GIR_EraseRootFromParent_Done,
     /* 1877047 */   // Label 25314: @1877047
     /* 1877047 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1877136), // Rule ID 14482 //
     /* 1877052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1877063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1877066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1877069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1877072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877098 */     // MIs[0] policy
     /* 1877098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1877111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877135 */     // GIR_Coverage, 14482,
     /* 1877135 */     GIR_EraseRootFromParent_Done,
     /* 1877136 */   // Label 25315: @1877136
     /* 1877136 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1877225), // Rule ID 14483 //
     /* 1877141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1877152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1877155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1877158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1877161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877187 */     // MIs[0] policy
     /* 1877187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1877200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877224 */     // GIR_Coverage, 14483,
     /* 1877224 */     GIR_EraseRootFromParent_Done,
     /* 1877225 */   // Label 25316: @1877225
     /* 1877225 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1877314), // Rule ID 14486 //
     /* 1877230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1877241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1877244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1877247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1877250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877276 */     // MIs[0] policy
     /* 1877276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1877289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877313 */     // GIR_Coverage, 14486,
     /* 1877313 */     GIR_EraseRootFromParent_Done,
     /* 1877314 */   // Label 25317: @1877314
     /* 1877314 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1877403), // Rule ID 14487 //
     /* 1877319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1877330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1877333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1877336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1877339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877365 */     // MIs[0] policy
     /* 1877365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877375 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1877378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877402 */     // GIR_Coverage, 14487,
     /* 1877402 */     GIR_EraseRootFromParent_Done,
     /* 1877403 */   // Label 25318: @1877403
     /* 1877403 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1877492), // Rule ID 14490 //
     /* 1877408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1877419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1877422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1877425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1877428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877454 */     // MIs[0] policy
     /* 1877454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1877467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877491 */     // GIR_Coverage, 14490,
     /* 1877491 */     GIR_EraseRootFromParent_Done,
     /* 1877492 */   // Label 25319: @1877492
     /* 1877492 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1877581), // Rule ID 14491 //
     /* 1877497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1877508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1877511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1877514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1877517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877543 */     // MIs[0] policy
     /* 1877543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1877556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877580 */     // GIR_Coverage, 14491,
     /* 1877580 */     GIR_EraseRootFromParent_Done,
     /* 1877581 */   // Label 25320: @1877581
     /* 1877581 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1877670), // Rule ID 14494 //
     /* 1877586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1877606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877632 */     // MIs[0] policy
     /* 1877632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1877645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877669 */     // GIR_Coverage, 14494,
     /* 1877669 */     GIR_EraseRootFromParent_Done,
     /* 1877670 */   // Label 25321: @1877670
     /* 1877670 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1877759), // Rule ID 14495 //
     /* 1877675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1877686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1877689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1877692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1877695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877721 */     // MIs[0] policy
     /* 1877721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1877734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877758 */     // GIR_Coverage, 14495,
     /* 1877758 */     GIR_EraseRootFromParent_Done,
     /* 1877759 */   // Label 25322: @1877759
     /* 1877759 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1877848), // Rule ID 14498 //
     /* 1877764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1877784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877810 */     // MIs[0] policy
     /* 1877810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1877823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877847 */     // GIR_Coverage, 14498,
     /* 1877847 */     GIR_EraseRootFromParent_Done,
     /* 1877848 */   // Label 25323: @1877848
     /* 1877848 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1877937), // Rule ID 14499 //
     /* 1877853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1877864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1877867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1877870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1877873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877899 */     // MIs[0] policy
     /* 1877899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1877912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877936 */     // GIR_Coverage, 14499,
     /* 1877936 */     GIR_EraseRootFromParent_Done,
     /* 1877937 */   // Label 25324: @1877937
     /* 1877937 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1878026), // Rule ID 14502 //
     /* 1877942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1877962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877988 */     // MIs[0] policy
     /* 1877988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1878001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878025 */     // GIR_Coverage, 14502,
     /* 1878025 */     GIR_EraseRootFromParent_Done,
     /* 1878026 */   // Label 25325: @1878026
     /* 1878026 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1878115), // Rule ID 14503 //
     /* 1878031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1878042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1878045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1878048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1878051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878077 */     // MIs[0] policy
     /* 1878077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878087 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1878090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878114 */     // GIR_Coverage, 14503,
     /* 1878114 */     GIR_EraseRootFromParent_Done,
     /* 1878115 */   // Label 25326: @1878115
     /* 1878115 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1878204), // Rule ID 14506 //
     /* 1878120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1878131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1878134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1878137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1878140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878166 */     // MIs[0] policy
     /* 1878166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1878179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878203 */     // GIR_Coverage, 14506,
     /* 1878203 */     GIR_EraseRootFromParent_Done,
     /* 1878204 */   // Label 25327: @1878204
     /* 1878204 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1878293), // Rule ID 14507 //
     /* 1878209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1878220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1878223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1878226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1878229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878255 */     // MIs[0] policy
     /* 1878255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1878268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878292 */     // GIR_Coverage, 14507,
     /* 1878292 */     GIR_EraseRootFromParent_Done,
     /* 1878293 */   // Label 25328: @1878293
     /* 1878293 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1878382), // Rule ID 14510 //
     /* 1878298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1878309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1878312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1878315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1878318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878344 */     // MIs[0] policy
     /* 1878344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1878357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878381 */     // GIR_Coverage, 14510,
     /* 1878381 */     GIR_EraseRootFromParent_Done,
     /* 1878382 */   // Label 25329: @1878382
     /* 1878382 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1878471), // Rule ID 14511 //
     /* 1878387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1878398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1878401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1878404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1878407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878433 */     // MIs[0] policy
     /* 1878433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1878446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878470 */     // GIR_Coverage, 14511,
     /* 1878470 */     GIR_EraseRootFromParent_Done,
     /* 1878471 */   // Label 25330: @1878471
     /* 1878471 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1878560), // Rule ID 14514 //
     /* 1878476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1878487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1878490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1878493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1878496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878522 */     // MIs[0] policy
     /* 1878522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1878535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878559 */     // GIR_Coverage, 14514,
     /* 1878559 */     GIR_EraseRootFromParent_Done,
     /* 1878560 */   // Label 25331: @1878560
     /* 1878560 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1878649), // Rule ID 14515 //
     /* 1878565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1878576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1878579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1878582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1878585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878611 */     // MIs[0] policy
     /* 1878611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1878624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878648 */     // GIR_Coverage, 14515,
     /* 1878648 */     GIR_EraseRootFromParent_Done,
     /* 1878649 */   // Label 25332: @1878649
     /* 1878649 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1878738), // Rule ID 14518 //
     /* 1878654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1878674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878700 */     // MIs[0] policy
     /* 1878700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878710 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1878713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878737 */     // GIR_Coverage, 14518,
     /* 1878737 */     GIR_EraseRootFromParent_Done,
     /* 1878738 */   // Label 25333: @1878738
     /* 1878738 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1878827), // Rule ID 14519 //
     /* 1878743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1878754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1878757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1878760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1878763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878789 */     // MIs[0] policy
     /* 1878789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878799 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1878802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878826 */     // GIR_Coverage, 14519,
     /* 1878826 */     GIR_EraseRootFromParent_Done,
     /* 1878827 */   // Label 25334: @1878827
     /* 1878827 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1878916), // Rule ID 14522 //
     /* 1878832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1878852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878878 */     // MIs[0] policy
     /* 1878878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1878891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878915 */     // GIR_Coverage, 14522,
     /* 1878915 */     GIR_EraseRootFromParent_Done,
     /* 1878916 */   // Label 25335: @1878916
     /* 1878916 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1879005), // Rule ID 14523 //
     /* 1878921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1878932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1878935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1878938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1878941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1878944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878967 */     // MIs[0] policy
     /* 1878967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1878980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879004 */     // GIR_Coverage, 14523,
     /* 1879004 */     GIR_EraseRootFromParent_Done,
     /* 1879005 */   // Label 25336: @1879005
     /* 1879005 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1879094), // Rule ID 14526 //
     /* 1879010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1879021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1879024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1879027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1879030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879056 */     // MIs[0] policy
     /* 1879056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1879069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879093 */     // GIR_Coverage, 14526,
     /* 1879093 */     GIR_EraseRootFromParent_Done,
     /* 1879094 */   // Label 25337: @1879094
     /* 1879094 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1879183), // Rule ID 14527 //
     /* 1879099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1879110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1879113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1879116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1879119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879145 */     // MIs[0] policy
     /* 1879145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1879158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879182 */     // GIR_Coverage, 14527,
     /* 1879182 */     GIR_EraseRootFromParent_Done,
     /* 1879183 */   // Label 25338: @1879183
     /* 1879183 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1879272), // Rule ID 14530 //
     /* 1879188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1879199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1879202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1879205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1879208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879234 */     // MIs[0] policy
     /* 1879234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1879247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879271 */     // GIR_Coverage, 14530,
     /* 1879271 */     GIR_EraseRootFromParent_Done,
     /* 1879272 */   // Label 25339: @1879272
     /* 1879272 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1879361), // Rule ID 14531 //
     /* 1879277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1879288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1879291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1879294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1879297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879323 */     // MIs[0] policy
     /* 1879323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1879336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879360 */     // GIR_Coverage, 14531,
     /* 1879360 */     GIR_EraseRootFromParent_Done,
     /* 1879361 */   // Label 25340: @1879361
     /* 1879361 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1879450), // Rule ID 14534 //
     /* 1879366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1879377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1879380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1879383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1879386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879412 */     // MIs[0] policy
     /* 1879412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1879425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879449 */     // GIR_Coverage, 14534,
     /* 1879449 */     GIR_EraseRootFromParent_Done,
     /* 1879450 */   // Label 25341: @1879450
     /* 1879450 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1879539), // Rule ID 14535 //
     /* 1879455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1879466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1879469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1879472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1879475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879501 */     // MIs[0] policy
     /* 1879501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879511 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1879514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879538 */     // GIR_Coverage, 14535,
     /* 1879538 */     GIR_EraseRootFromParent_Done,
     /* 1879539 */   // Label 25342: @1879539
     /* 1879539 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1879628), // Rule ID 14538 //
     /* 1879544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1879555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1879558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1879561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1879564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879590 */     // MIs[0] policy
     /* 1879590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1879603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879627 */     // GIR_Coverage, 14538,
     /* 1879627 */     GIR_EraseRootFromParent_Done,
     /* 1879628 */   // Label 25343: @1879628
     /* 1879628 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1879717), // Rule ID 14539 //
     /* 1879633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1879644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1879647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1879650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1879653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879679 */     // MIs[0] policy
     /* 1879679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1879692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879716 */     // GIR_Coverage, 14539,
     /* 1879716 */     GIR_EraseRootFromParent_Done,
     /* 1879717 */   // Label 25344: @1879717
     /* 1879717 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1879806), // Rule ID 14542 //
     /* 1879722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1879742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879768 */     // MIs[0] policy
     /* 1879768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1879781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879805 */     // GIR_Coverage, 14542,
     /* 1879805 */     GIR_EraseRootFromParent_Done,
     /* 1879806 */   // Label 25345: @1879806
     /* 1879806 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1879895), // Rule ID 14543 //
     /* 1879811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1879822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1879825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1879828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1879831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879857 */     // MIs[0] policy
     /* 1879857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879867 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1879870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879894 */     // GIR_Coverage, 14543,
     /* 1879894 */     GIR_EraseRootFromParent_Done,
     /* 1879895 */   // Label 25346: @1879895
     /* 1879895 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1879984), // Rule ID 14546 //
     /* 1879900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1879911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1879914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1879917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1879920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879946 */     // MIs[0] policy
     /* 1879946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1879959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879983 */     // GIR_Coverage, 14546,
     /* 1879983 */     GIR_EraseRootFromParent_Done,
     /* 1879984 */   // Label 25347: @1879984
     /* 1879984 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1880073), // Rule ID 14547 //
     /* 1879989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1879997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1880000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1880003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1880006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1880009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880035 */     // MIs[0] policy
     /* 1880035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1880048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880072 */     // GIR_Coverage, 14547,
     /* 1880072 */     GIR_EraseRootFromParent_Done,
     /* 1880073 */   // Label 25348: @1880073
     /* 1880073 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1880162), // Rule ID 14550 //
     /* 1880078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1880089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1880092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1880095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1880098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880124 */     // MIs[0] policy
     /* 1880124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1880137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880161 */     // GIR_Coverage, 14550,
     /* 1880161 */     GIR_EraseRootFromParent_Done,
     /* 1880162 */   // Label 25349: @1880162
     /* 1880162 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1880251), // Rule ID 14551 //
     /* 1880167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1880178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1880181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1880184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1880187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880213 */     // MIs[0] policy
     /* 1880213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880223 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1880226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880250 */     // GIR_Coverage, 14551,
     /* 1880250 */     GIR_EraseRootFromParent_Done,
     /* 1880251 */   // Label 25350: @1880251
     /* 1880251 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1880340), // Rule ID 14554 //
     /* 1880256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1880267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1880270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1880273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1880276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880302 */     // MIs[0] policy
     /* 1880302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1880315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880339 */     // GIR_Coverage, 14554,
     /* 1880339 */     GIR_EraseRootFromParent_Done,
     /* 1880340 */   // Label 25351: @1880340
     /* 1880340 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1880429), // Rule ID 14555 //
     /* 1880345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1880356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1880359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1880362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1880365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880391 */     // MIs[0] policy
     /* 1880391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880401 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1880404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880428 */     // GIR_Coverage, 14555,
     /* 1880428 */     GIR_EraseRootFromParent_Done,
     /* 1880429 */   // Label 25352: @1880429
     /* 1880429 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1880518), // Rule ID 14558 //
     /* 1880434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1880445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1880448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1880451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1880454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880480 */     // MIs[0] policy
     /* 1880480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1880493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880517 */     // GIR_Coverage, 14558,
     /* 1880517 */     GIR_EraseRootFromParent_Done,
     /* 1880518 */   // Label 25353: @1880518
     /* 1880518 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1880607), // Rule ID 14559 //
     /* 1880523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1880534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1880537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1880540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1880543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880569 */     // MIs[0] policy
     /* 1880569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880579 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1880582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880606 */     // GIR_Coverage, 14559,
     /* 1880606 */     GIR_EraseRootFromParent_Done,
     /* 1880607 */   // Label 25354: @1880607
     /* 1880607 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1880696), // Rule ID 14562 //
     /* 1880612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880658 */     // MIs[0] policy
     /* 1880658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880668 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1880671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880695 */     // GIR_Coverage, 14562,
     /* 1880695 */     GIR_EraseRootFromParent_Done,
     /* 1880696 */   // Label 25355: @1880696
     /* 1880696 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1880785), // Rule ID 14563 //
     /* 1880701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1880712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1880715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1880718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880747 */     // MIs[0] policy
     /* 1880747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880757 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1880760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880784 */     // GIR_Coverage, 14563,
     /* 1880784 */     GIR_EraseRootFromParent_Done,
     /* 1880785 */   // Label 25356: @1880785
     /* 1880785 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1880874), // Rule ID 14566 //
     /* 1880790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880836 */     // MIs[0] policy
     /* 1880836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1880849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880873 */     // GIR_Coverage, 14566,
     /* 1880873 */     GIR_EraseRootFromParent_Done,
     /* 1880874 */   // Label 25357: @1880874
     /* 1880874 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1880963), // Rule ID 14567 //
     /* 1880879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1880890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1880893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1880896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880925 */     // MIs[0] policy
     /* 1880925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1880938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880962 */     // GIR_Coverage, 14567,
     /* 1880962 */     GIR_EraseRootFromParent_Done,
     /* 1880963 */   // Label 25358: @1880963
     /* 1880963 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1881052), // Rule ID 14570 //
     /* 1880968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1880976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1880979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1880982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881014 */     // MIs[0] policy
     /* 1881014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1881027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881051 */     // GIR_Coverage, 14570,
     /* 1881051 */     GIR_EraseRootFromParent_Done,
     /* 1881052 */   // Label 25359: @1881052
     /* 1881052 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1881141), // Rule ID 14571 //
     /* 1881057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1881068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1881071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1881074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881103 */     // MIs[0] policy
     /* 1881103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1881116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881140 */     // GIR_Coverage, 14571,
     /* 1881140 */     GIR_EraseRootFromParent_Done,
     /* 1881141 */   // Label 25360: @1881141
     /* 1881141 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1881230), // Rule ID 14574 //
     /* 1881146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1881157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1881160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1881163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881192 */     // MIs[0] policy
     /* 1881192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1881205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881229 */     // GIR_Coverage, 14574,
     /* 1881229 */     GIR_EraseRootFromParent_Done,
     /* 1881230 */   // Label 25361: @1881230
     /* 1881230 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1881319), // Rule ID 14575 //
     /* 1881235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1881246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1881249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1881252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881281 */     // MIs[0] policy
     /* 1881281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1881294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881318 */     // GIR_Coverage, 14575,
     /* 1881318 */     GIR_EraseRootFromParent_Done,
     /* 1881319 */   // Label 25362: @1881319
     /* 1881319 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1881408), // Rule ID 14578 //
     /* 1881324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1881335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1881338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1881341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881370 */     // MIs[0] policy
     /* 1881370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1881383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881407 */     // GIR_Coverage, 14578,
     /* 1881407 */     GIR_EraseRootFromParent_Done,
     /* 1881408 */   // Label 25363: @1881408
     /* 1881408 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1881497), // Rule ID 14579 //
     /* 1881413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1881424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1881427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1881430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881459 */     // MIs[0] policy
     /* 1881459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1881472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881496 */     // GIR_Coverage, 14579,
     /* 1881496 */     GIR_EraseRootFromParent_Done,
     /* 1881497 */   // Label 25364: @1881497
     /* 1881497 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1881586), // Rule ID 14582 //
     /* 1881502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1881513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1881516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1881519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881548 */     // MIs[0] policy
     /* 1881548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1881561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881585 */     // GIR_Coverage, 14582,
     /* 1881585 */     GIR_EraseRootFromParent_Done,
     /* 1881586 */   // Label 25365: @1881586
     /* 1881586 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1881675), // Rule ID 14583 //
     /* 1881591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1881602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1881605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1881608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881637 */     // MIs[0] policy
     /* 1881637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1881650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881674 */     // GIR_Coverage, 14583,
     /* 1881674 */     GIR_EraseRootFromParent_Done,
     /* 1881675 */   // Label 25366: @1881675
     /* 1881675 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1881764), // Rule ID 14586 //
     /* 1881680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881726 */     // MIs[0] policy
     /* 1881726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1881739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881763 */     // GIR_Coverage, 14586,
     /* 1881763 */     GIR_EraseRootFromParent_Done,
     /* 1881764 */   // Label 25367: @1881764
     /* 1881764 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1881853), // Rule ID 14587 //
     /* 1881769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1881780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1881783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1881786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881815 */     // MIs[0] policy
     /* 1881815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11555:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1881828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881852 */     // GIR_Coverage, 14587,
     /* 1881852 */     GIR_EraseRootFromParent_Done,
     /* 1881853 */   // Label 25368: @1881853
     /* 1881853 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1881942), // Rule ID 14590 //
     /* 1881858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881904 */     // MIs[0] policy
     /* 1881904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1881917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881941 */     // GIR_Coverage, 14590,
     /* 1881941 */     GIR_EraseRootFromParent_Done,
     /* 1881942 */   // Label 25369: @1881942
     /* 1881942 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1882031), // Rule ID 14591 //
     /* 1881947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1881955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1881958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1881961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1881964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881993 */     // MIs[0] policy
     /* 1881993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1882006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882030 */     // GIR_Coverage, 14591,
     /* 1882030 */     GIR_EraseRootFromParent_Done,
     /* 1882031 */   // Label 25370: @1882031
     /* 1882031 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1882120), // Rule ID 14594 //
     /* 1882036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1882047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1882050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1882053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882082 */     // MIs[0] policy
     /* 1882082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1882095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882119 */     // GIR_Coverage, 14594,
     /* 1882119 */     GIR_EraseRootFromParent_Done,
     /* 1882120 */   // Label 25371: @1882120
     /* 1882120 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1882209), // Rule ID 14595 //
     /* 1882125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1882136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1882139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1882142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882171 */     // MIs[0] policy
     /* 1882171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1882184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882208 */     // GIR_Coverage, 14595,
     /* 1882208 */     GIR_EraseRootFromParent_Done,
     /* 1882209 */   // Label 25372: @1882209
     /* 1882209 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1882298), // Rule ID 14598 //
     /* 1882214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1882225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1882228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1882231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882260 */     // MIs[0] policy
     /* 1882260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882270 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1882273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882297 */     // GIR_Coverage, 14598,
     /* 1882297 */     GIR_EraseRootFromParent_Done,
     /* 1882298 */   // Label 25373: @1882298
     /* 1882298 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1882387), // Rule ID 14599 //
     /* 1882303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1882314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1882317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1882320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882349 */     // MIs[0] policy
     /* 1882349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1882362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882386 */     // GIR_Coverage, 14599,
     /* 1882386 */     GIR_EraseRootFromParent_Done,
     /* 1882387 */   // Label 25374: @1882387
     /* 1882387 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1882476), // Rule ID 14602 //
     /* 1882392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1882403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1882406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882438 */     // MIs[0] policy
     /* 1882438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882448 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1882451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882475 */     // GIR_Coverage, 14602,
     /* 1882475 */     GIR_EraseRootFromParent_Done,
     /* 1882476 */   // Label 25375: @1882476
     /* 1882476 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1882565), // Rule ID 14603 //
     /* 1882481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1882492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1882495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882527 */     // MIs[0] policy
     /* 1882527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882537 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1882540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882564 */     // GIR_Coverage, 14603,
     /* 1882564 */     GIR_EraseRootFromParent_Done,
     /* 1882565 */   // Label 25376: @1882565
     /* 1882565 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1882654), // Rule ID 14606 //
     /* 1882570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1882581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1882584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1882587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882616 */     // MIs[0] policy
     /* 1882616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882626 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1882629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882653 */     // GIR_Coverage, 14606,
     /* 1882653 */     GIR_EraseRootFromParent_Done,
     /* 1882654 */   // Label 25377: @1882654
     /* 1882654 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1882743), // Rule ID 14607 //
     /* 1882659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1882670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1882673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1882676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882705 */     // MIs[0] policy
     /* 1882705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882715 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1882718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882742 */     // GIR_Coverage, 14607,
     /* 1882742 */     GIR_EraseRootFromParent_Done,
     /* 1882743 */   // Label 25378: @1882743
     /* 1882743 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1882832), // Rule ID 14610 //
     /* 1882748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882794 */     // MIs[0] policy
     /* 1882794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882804 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1882807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882831 */     // GIR_Coverage, 14610,
     /* 1882831 */     GIR_EraseRootFromParent_Done,
     /* 1882832 */   // Label 25379: @1882832
     /* 1882832 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1882921), // Rule ID 14611 //
     /* 1882837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1882848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1882851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1882854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1882860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882883 */     // MIs[0] policy
     /* 1882883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882893 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1882896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882920 */     // GIR_Coverage, 14611,
     /* 1882920 */     GIR_EraseRootFromParent_Done,
     /* 1882921 */   // Label 25380: @1882921
     /* 1882921 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1883010), // Rule ID 14614 //
     /* 1882926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1882934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882972 */     // MIs[0] policy
     /* 1882972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1882985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883009 */     // GIR_Coverage, 14614,
     /* 1883009 */     GIR_EraseRootFromParent_Done,
     /* 1883010 */   // Label 25381: @1883010
     /* 1883010 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1883099), // Rule ID 14615 //
     /* 1883015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1883026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1883029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1883032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883061 */     // MIs[0] policy
     /* 1883061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1883074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883098 */     // GIR_Coverage, 14615,
     /* 1883098 */     GIR_EraseRootFromParent_Done,
     /* 1883099 */   // Label 25382: @1883099
     /* 1883099 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1883188), // Rule ID 14618 //
     /* 1883104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1883115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1883118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1883121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883150 */     // MIs[0] policy
     /* 1883150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1883163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883187 */     // GIR_Coverage, 14618,
     /* 1883187 */     GIR_EraseRootFromParent_Done,
     /* 1883188 */   // Label 25383: @1883188
     /* 1883188 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1883277), // Rule ID 14619 //
     /* 1883193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1883204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1883207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1883210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883239 */     // MIs[0] policy
     /* 1883239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1883252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883276 */     // GIR_Coverage, 14619,
     /* 1883276 */     GIR_EraseRootFromParent_Done,
     /* 1883277 */   // Label 25384: @1883277
     /* 1883277 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1883366), // Rule ID 14622 //
     /* 1883282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883328 */     // MIs[0] policy
     /* 1883328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883338 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1883341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883365 */     // GIR_Coverage, 14622,
     /* 1883365 */     GIR_EraseRootFromParent_Done,
     /* 1883366 */   // Label 25385: @1883366
     /* 1883366 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1883455), // Rule ID 14623 //
     /* 1883371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883417 */     // MIs[0] policy
     /* 1883417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1883430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883454 */     // GIR_Coverage, 14623,
     /* 1883454 */     GIR_EraseRootFromParent_Done,
     /* 1883455 */   // Label 25386: @1883455
     /* 1883455 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1883544), // Rule ID 14626 //
     /* 1883460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883506 */     // MIs[0] policy
     /* 1883506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1883519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883543 */     // GIR_Coverage, 14626,
     /* 1883543 */     GIR_EraseRootFromParent_Done,
     /* 1883544 */   // Label 25387: @1883544
     /* 1883544 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1883633), // Rule ID 14627 //
     /* 1883549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883595 */     // MIs[0] policy
     /* 1883595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1883608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883632 */     // GIR_Coverage, 14627,
     /* 1883632 */     GIR_EraseRootFromParent_Done,
     /* 1883633 */   // Label 25388: @1883633
     /* 1883633 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1883722), // Rule ID 14630 //
     /* 1883638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883684 */     // MIs[0] policy
     /* 1883684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1883697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883721 */     // GIR_Coverage, 14630,
     /* 1883721 */     GIR_EraseRootFromParent_Done,
     /* 1883722 */   // Label 25389: @1883722
     /* 1883722 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1883811), // Rule ID 14631 //
     /* 1883727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883773 */     // MIs[0] policy
     /* 1883773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1883786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883810 */     // GIR_Coverage, 14631,
     /* 1883810 */     GIR_EraseRootFromParent_Done,
     /* 1883811 */   // Label 25390: @1883811
     /* 1883811 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1883900), // Rule ID 14634 //
     /* 1883816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883862 */     // MIs[0] policy
     /* 1883862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1883875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883899 */     // GIR_Coverage, 14634,
     /* 1883899 */     GIR_EraseRootFromParent_Done,
     /* 1883900 */   // Label 25391: @1883900
     /* 1883900 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1883989), // Rule ID 14635 //
     /* 1883905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883951 */     // MIs[0] policy
     /* 1883951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1883964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883988 */     // GIR_Coverage, 14635,
     /* 1883988 */     GIR_EraseRootFromParent_Done,
     /* 1883989 */   // Label 25392: @1883989
     /* 1883989 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1884078), // Rule ID 14638 //
     /* 1883994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1884005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1884008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1884011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884040 */     // MIs[0] policy
     /* 1884040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1884053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884077 */     // GIR_Coverage, 14638,
     /* 1884077 */     GIR_EraseRootFromParent_Done,
     /* 1884078 */   // Label 25393: @1884078
     /* 1884078 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1884167), // Rule ID 14639 //
     /* 1884083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1884094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1884097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1884100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884129 */     // MIs[0] policy
     /* 1884129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1884142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884166 */     // GIR_Coverage, 14639,
     /* 1884166 */     GIR_EraseRootFromParent_Done,
     /* 1884167 */   // Label 25394: @1884167
     /* 1884167 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1884256), // Rule ID 14642 //
     /* 1884172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1884175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1884189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884218 */     // MIs[0] policy
     /* 1884218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1884231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884255 */     // GIR_Coverage, 14642,
     /* 1884255 */     GIR_EraseRootFromParent_Done,
     /* 1884256 */   // Label 25395: @1884256
     /* 1884256 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1884345), // Rule ID 14643 //
     /* 1884261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1884278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884307 */     // MIs[0] policy
     /* 1884307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1884320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884344 */     // GIR_Coverage, 14643,
     /* 1884344 */     GIR_EraseRootFromParent_Done,
     /* 1884345 */   // Label 25396: @1884345
     /* 1884345 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1884434), // Rule ID 14646 //
     /* 1884350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1884353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884396 */     // MIs[0] policy
     /* 1884396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1884409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884433 */     // GIR_Coverage, 14646,
     /* 1884433 */     GIR_EraseRootFromParent_Done,
     /* 1884434 */   // Label 25397: @1884434
     /* 1884434 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1884523), // Rule ID 14647 //
     /* 1884439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884485 */     // MIs[0] policy
     /* 1884485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1884498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884522 */     // GIR_Coverage, 14647,
     /* 1884522 */     GIR_EraseRootFromParent_Done,
     /* 1884523 */   // Label 25398: @1884523
     /* 1884523 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1884612), // Rule ID 14650 //
     /* 1884528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1884539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1884542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1884545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1884548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884574 */     // MIs[0] policy
     /* 1884574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1884587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884611 */     // GIR_Coverage, 14650,
     /* 1884611 */     GIR_EraseRootFromParent_Done,
     /* 1884612 */   // Label 25399: @1884612
     /* 1884612 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1884701), // Rule ID 14651 //
     /* 1884617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1884628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1884631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1884634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1884637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884663 */     // MIs[0] policy
     /* 1884663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1884676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884700 */     // GIR_Coverage, 14651,
     /* 1884700 */     GIR_EraseRootFromParent_Done,
     /* 1884701 */   // Label 25400: @1884701
     /* 1884701 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1884790), // Rule ID 14654 //
     /* 1884706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1884726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884752 */     // MIs[0] policy
     /* 1884752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1884765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884789 */     // GIR_Coverage, 14654,
     /* 1884789 */     GIR_EraseRootFromParent_Done,
     /* 1884790 */   // Label 25401: @1884790
     /* 1884790 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1884879), // Rule ID 14655 //
     /* 1884795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1884806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1884809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1884812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1884815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884841 */     // MIs[0] policy
     /* 1884841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884851 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1884854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884878 */     // GIR_Coverage, 14655,
     /* 1884878 */     GIR_EraseRootFromParent_Done,
     /* 1884879 */   // Label 25402: @1884879
     /* 1884879 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1884968), // Rule ID 14658 //
     /* 1884884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1884904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884930 */     // MIs[0] policy
     /* 1884930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1884943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884967 */     // GIR_Coverage, 14658,
     /* 1884967 */     GIR_EraseRootFromParent_Done,
     /* 1884968 */   // Label 25403: @1884968
     /* 1884968 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1885057), // Rule ID 14659 //
     /* 1884973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1884984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1884987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1884990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1884993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885019 */     // MIs[0] policy
     /* 1885019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885029 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1885032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885056 */     // GIR_Coverage, 14659,
     /* 1885056 */     GIR_EraseRootFromParent_Done,
     /* 1885057 */   // Label 25404: @1885057
     /* 1885057 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1885146), // Rule ID 14662 //
     /* 1885062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1885073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1885076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1885079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1885082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885108 */     // MIs[0] policy
     /* 1885108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1885121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885145 */     // GIR_Coverage, 14662,
     /* 1885145 */     GIR_EraseRootFromParent_Done,
     /* 1885146 */   // Label 25405: @1885146
     /* 1885146 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1885235), // Rule ID 14663 //
     /* 1885151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1885162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1885165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1885168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1885171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885197 */     // MIs[0] policy
     /* 1885197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885207 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1885210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885234 */     // GIR_Coverage, 14663,
     /* 1885234 */     GIR_EraseRootFromParent_Done,
     /* 1885235 */   // Label 25406: @1885235
     /* 1885235 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1885324), // Rule ID 14666 //
     /* 1885240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1885257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1885260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885286 */     // MIs[0] policy
     /* 1885286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1885299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885323 */     // GIR_Coverage, 14666,
     /* 1885323 */     GIR_EraseRootFromParent_Done,
     /* 1885324 */   // Label 25407: @1885324
     /* 1885324 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1885413), // Rule ID 14667 //
     /* 1885329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1885346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1885349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885375 */     // MIs[0] policy
     /* 1885375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1885388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885412 */     // GIR_Coverage, 14667,
     /* 1885412 */     GIR_EraseRootFromParent_Done,
     /* 1885413 */   // Label 25408: @1885413
     /* 1885413 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1885502), // Rule ID 14670 //
     /* 1885418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1885429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1885432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1885435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1885438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885464 */     // MIs[0] policy
     /* 1885464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1885477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885501 */     // GIR_Coverage, 14670,
     /* 1885501 */     GIR_EraseRootFromParent_Done,
     /* 1885502 */   // Label 25409: @1885502
     /* 1885502 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1885591), // Rule ID 14671 //
     /* 1885507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1885518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1885521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1885524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1885527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885553 */     // MIs[0] policy
     /* 1885553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1885566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885590 */     // GIR_Coverage, 14671,
     /* 1885590 */     GIR_EraseRootFromParent_Done,
     /* 1885591 */   // Label 25410: @1885591
     /* 1885591 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1885680), // Rule ID 14674 //
     /* 1885596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1885616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885642 */     // MIs[0] policy
     /* 1885642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1885655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885679 */     // GIR_Coverage, 14674,
     /* 1885679 */     GIR_EraseRootFromParent_Done,
     /* 1885680 */   // Label 25411: @1885680
     /* 1885680 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1885769), // Rule ID 14675 //
     /* 1885685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1885696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1885699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1885702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1885705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885731 */     // MIs[0] policy
     /* 1885731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885741 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1885744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885768 */     // GIR_Coverage, 14675,
     /* 1885768 */     GIR_EraseRootFromParent_Done,
     /* 1885769 */   // Label 25412: @1885769
     /* 1885769 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1885858), // Rule ID 14678 //
     /* 1885774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1885794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885820 */     // MIs[0] policy
     /* 1885820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1885833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885857 */     // GIR_Coverage, 14678,
     /* 1885857 */     GIR_EraseRootFromParent_Done,
     /* 1885858 */   // Label 25413: @1885858
     /* 1885858 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1885947), // Rule ID 14679 //
     /* 1885863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1885883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885909 */     // MIs[0] policy
     /* 1885909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1885922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885946 */     // GIR_Coverage, 14679,
     /* 1885946 */     GIR_EraseRootFromParent_Done,
     /* 1885947 */   // Label 25414: @1885947
     /* 1885947 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1886036), // Rule ID 14682 //
     /* 1885952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1885972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885998 */     // MIs[0] policy
     /* 1885998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1886011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886035 */     // GIR_Coverage, 14682,
     /* 1886035 */     GIR_EraseRootFromParent_Done,
     /* 1886036 */   // Label 25415: @1886036
     /* 1886036 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1886125), // Rule ID 14683 //
     /* 1886041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1886052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1886055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1886058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1886061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886087 */     // MIs[0] policy
     /* 1886087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1886100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886124 */     // GIR_Coverage, 14683,
     /* 1886124 */     GIR_EraseRootFromParent_Done,
     /* 1886125 */   // Label 25416: @1886125
     /* 1886125 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1886214), // Rule ID 14686 //
     /* 1886130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1886141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1886144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1886147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1886150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886176 */     // MIs[0] policy
     /* 1886176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1886189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886213 */     // GIR_Coverage, 14686,
     /* 1886213 */     GIR_EraseRootFromParent_Done,
     /* 1886214 */   // Label 25417: @1886214
     /* 1886214 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1886303), // Rule ID 14687 //
     /* 1886219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1886230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1886233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1886236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1886239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886265 */     // MIs[0] policy
     /* 1886265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1886278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886302 */     // GIR_Coverage, 14687,
     /* 1886302 */     GIR_EraseRootFromParent_Done,
     /* 1886303 */   // Label 25418: @1886303
     /* 1886303 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1886392), // Rule ID 14690 //
     /* 1886308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1886319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1886322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1886325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1886328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886354 */     // MIs[0] policy
     /* 1886354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886364 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1886367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886391 */     // GIR_Coverage, 14690,
     /* 1886391 */     GIR_EraseRootFromParent_Done,
     /* 1886392 */   // Label 25419: @1886392
     /* 1886392 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1886481), // Rule ID 14691 //
     /* 1886397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1886408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1886411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1886414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1886417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886443 */     // MIs[0] policy
     /* 1886443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886453 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1886456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886480 */     // GIR_Coverage, 14691,
     /* 1886480 */     GIR_EraseRootFromParent_Done,
     /* 1886481 */   // Label 25420: @1886481
     /* 1886481 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1886570), // Rule ID 14694 //
     /* 1886486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1886497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1886500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1886503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1886506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886532 */     // MIs[0] policy
     /* 1886532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1886545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886569 */     // GIR_Coverage, 14694,
     /* 1886569 */     GIR_EraseRootFromParent_Done,
     /* 1886570 */   // Label 25421: @1886570
     /* 1886570 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1886659), // Rule ID 14695 //
     /* 1886575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1886586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1886589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1886592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1886595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886621 */     // MIs[0] policy
     /* 1886621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886631 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1886634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886658 */     // GIR_Coverage, 14695,
     /* 1886658 */     GIR_EraseRootFromParent_Done,
     /* 1886659 */   // Label 25422: @1886659
     /* 1886659 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1886748), // Rule ID 14698 //
     /* 1886664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1886684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886710 */     // MIs[0] policy
     /* 1886710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886720 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1886723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886747 */     // GIR_Coverage, 14698,
     /* 1886747 */     GIR_EraseRootFromParent_Done,
     /* 1886748 */   // Label 25423: @1886748
     /* 1886748 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1886837), // Rule ID 14699 //
     /* 1886753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1886764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1886767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1886770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1886773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1886776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886799 */     // MIs[0] policy
     /* 1886799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886809 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1886812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886836 */     // GIR_Coverage, 14699,
     /* 1886836 */     GIR_EraseRootFromParent_Done,
     /* 1886837 */   // Label 25424: @1886837
     /* 1886837 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1886926), // Rule ID 14702 //
     /* 1886842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1886862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886888 */     // MIs[0] policy
     /* 1886888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1886901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886925 */     // GIR_Coverage, 14702,
     /* 1886925 */     GIR_EraseRootFromParent_Done,
     /* 1886926 */   // Label 25425: @1886926
     /* 1886926 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1887015), // Rule ID 14703 //
     /* 1886931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1886942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1886945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1886948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1886951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886977 */     // MIs[0] policy
     /* 1886977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1886990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887014 */     // GIR_Coverage, 14703,
     /* 1887014 */     GIR_EraseRootFromParent_Done,
     /* 1887015 */   // Label 25426: @1887015
     /* 1887015 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1887104), // Rule ID 14706 //
     /* 1887020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1887031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1887034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1887037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1887040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887066 */     // MIs[0] policy
     /* 1887066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1887079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887103 */     // GIR_Coverage, 14706,
     /* 1887103 */     GIR_EraseRootFromParent_Done,
     /* 1887104 */   // Label 25427: @1887104
     /* 1887104 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1887193), // Rule ID 14707 //
     /* 1887109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1887120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1887123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1887126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1887129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887155 */     // MIs[0] policy
     /* 1887155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1887168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887192 */     // GIR_Coverage, 14707,
     /* 1887192 */     GIR_EraseRootFromParent_Done,
     /* 1887193 */   // Label 25428: @1887193
     /* 1887193 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1887282), // Rule ID 14710 //
     /* 1887198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1887209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1887212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1887215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1887218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1887221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887244 */     // MIs[0] policy
     /* 1887244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1887257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887281 */     // GIR_Coverage, 14710,
     /* 1887281 */     GIR_EraseRootFromParent_Done,
     /* 1887282 */   // Label 25429: @1887282
     /* 1887282 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1887371), // Rule ID 14711 //
     /* 1887287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1887298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1887301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1887304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1887307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1887310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887333 */     // MIs[0] policy
     /* 1887333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887343 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1887346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887370 */     // GIR_Coverage, 14711,
     /* 1887370 */     GIR_EraseRootFromParent_Done,
     /* 1887371 */   // Label 25430: @1887371
     /* 1887371 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1887460), // Rule ID 14714 //
     /* 1887376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1887387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1887390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1887393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1887396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887422 */     // MIs[0] policy
     /* 1887422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1887435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887459 */     // GIR_Coverage, 14714,
     /* 1887459 */     GIR_EraseRootFromParent_Done,
     /* 1887460 */   // Label 25431: @1887460
     /* 1887460 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1887549), // Rule ID 14715 //
     /* 1887465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1887476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1887479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1887482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1887485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887511 */     // MIs[0] policy
     /* 1887511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1887524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887548 */     // GIR_Coverage, 14715,
     /* 1887548 */     GIR_EraseRootFromParent_Done,
     /* 1887549 */   // Label 25432: @1887549
     /* 1887549 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1887638), // Rule ID 14718 //
     /* 1887554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1887571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1887574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887600 */     // MIs[0] policy
     /* 1887600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1887613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887637 */     // GIR_Coverage, 14718,
     /* 1887637 */     GIR_EraseRootFromParent_Done,
     /* 1887638 */   // Label 25433: @1887638
     /* 1887638 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1887727), // Rule ID 14719 //
     /* 1887643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1887660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1887663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887689 */     // MIs[0] policy
     /* 1887689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1887702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887726 */     // GIR_Coverage, 14719,
     /* 1887726 */     GIR_EraseRootFromParent_Done,
     /* 1887727 */   // Label 25434: @1887727
     /* 1887727 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1887816), // Rule ID 14722 //
     /* 1887732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1887752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887778 */     // MIs[0] policy
     /* 1887778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1887791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887815 */     // GIR_Coverage, 14722,
     /* 1887815 */     GIR_EraseRootFromParent_Done,
     /* 1887816 */   // Label 25435: @1887816
     /* 1887816 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1887905), // Rule ID 14723 //
     /* 1887821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1887838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1887841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887867 */     // MIs[0] policy
     /* 1887867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1887880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887904 */     // GIR_Coverage, 14723,
     /* 1887904 */     GIR_EraseRootFromParent_Done,
     /* 1887905 */   // Label 25436: @1887905
     /* 1887905 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1887994), // Rule ID 14726 //
     /* 1887910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1887918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1887927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1887930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887956 */     // MIs[0] policy
     /* 1887956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1887969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887993 */     // GIR_Coverage, 14726,
     /* 1887993 */     GIR_EraseRootFromParent_Done,
     /* 1887994 */   // Label 25437: @1887994
     /* 1887994 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1888083), // Rule ID 14727 //
     /* 1887999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1888002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1888010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1888013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1888016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1888019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888045 */     // MIs[0] policy
     /* 1888045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1888058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888082 */     // GIR_Coverage, 14727,
     /* 1888082 */     GIR_EraseRootFromParent_Done,
     /* 1888083 */   // Label 25438: @1888083
     /* 1888083 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1888172), // Rule ID 14730 //
     /* 1888088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1888091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1888099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1888102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1888105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1888108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888134 */     // MIs[0] policy
     /* 1888134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1888147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888171 */     // GIR_Coverage, 14730,
     /* 1888171 */     GIR_EraseRootFromParent_Done,
     /* 1888172 */   // Label 25439: @1888172
     /* 1888172 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1888261), // Rule ID 14731 //
     /* 1888177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1888180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1888188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1888191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1888194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1888197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888223 */     // MIs[0] policy
     /* 1888223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1888236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888260 */     // GIR_Coverage, 14731,
     /* 1888260 */     GIR_EraseRootFromParent_Done,
     /* 1888261 */   // Label 25440: @1888261
     /* 1888261 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1888350), // Rule ID 14734 //
     /* 1888266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1888269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1888283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1888286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888312 */     // MIs[0] policy
     /* 1888312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1888325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888349 */     // GIR_Coverage, 14734,
     /* 1888349 */     GIR_EraseRootFromParent_Done,
     /* 1888350 */   // Label 25441: @1888350
     /* 1888350 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1888439), // Rule ID 14735 //
     /* 1888355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1888358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1888372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1888375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888401 */     // MIs[0] policy
     /* 1888401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1888414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888438 */     // GIR_Coverage, 14735,
     /* 1888438 */     GIR_EraseRootFromParent_Done,
     /* 1888439 */   // Label 25442: @1888439
     /* 1888439 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1888528), // Rule ID 14738 //
     /* 1888444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1888455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1888458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1888461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888490 */     // MIs[0] policy
     /* 1888490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1888503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888527 */     // GIR_Coverage, 14738,
     /* 1888527 */     GIR_EraseRootFromParent_Done,
     /* 1888528 */   // Label 25443: @1888528
     /* 1888528 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1888617), // Rule ID 14739 //
     /* 1888533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1888544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1888547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1888550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888579 */     // MIs[0] policy
     /* 1888579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1888592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888616 */     // GIR_Coverage, 14739,
     /* 1888616 */     GIR_EraseRootFromParent_Done,
     /* 1888617 */   // Label 25444: @1888617
     /* 1888617 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1888706), // Rule ID 14742 //
     /* 1888622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1888633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1888636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1888639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888668 */     // MIs[0] policy
     /* 1888668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1888681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888705 */     // GIR_Coverage, 14742,
     /* 1888705 */     GIR_EraseRootFromParent_Done,
     /* 1888706 */   // Label 25445: @1888706
     /* 1888706 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1888795), // Rule ID 14743 //
     /* 1888711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1888722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1888725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1888728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888757 */     // MIs[0] policy
     /* 1888757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888767 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1888770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888794 */     // GIR_Coverage, 14743,
     /* 1888794 */     GIR_EraseRootFromParent_Done,
     /* 1888795 */   // Label 25446: @1888795
     /* 1888795 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1888884), // Rule ID 14746 //
     /* 1888800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1888811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1888814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1888817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888846 */     // MIs[0] policy
     /* 1888846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1888859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888883 */     // GIR_Coverage, 14746,
     /* 1888883 */     GIR_EraseRootFromParent_Done,
     /* 1888884 */   // Label 25447: @1888884
     /* 1888884 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1888973), // Rule ID 14747 //
     /* 1888889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1888900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1888903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1888906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888935 */     // MIs[0] policy
     /* 1888935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888945 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1888948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888972 */     // GIR_Coverage, 14747,
     /* 1888972 */     GIR_EraseRootFromParent_Done,
     /* 1888973 */   // Label 25448: @1888973
     /* 1888973 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1889062), // Rule ID 14750 //
     /* 1888978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1888986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1888995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889024 */     // MIs[0] policy
     /* 1889024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1889037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889061 */     // GIR_Coverage, 14750,
     /* 1889061 */     GIR_EraseRootFromParent_Done,
     /* 1889062 */   // Label 25449: @1889062
     /* 1889062 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1889151), // Rule ID 14751 //
     /* 1889067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1889078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1889081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1889084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889113 */     // MIs[0] policy
     /* 1889113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889123 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1889126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889150 */     // GIR_Coverage, 14751,
     /* 1889150 */     GIR_EraseRootFromParent_Done,
     /* 1889151 */   // Label 25450: @1889151
     /* 1889151 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1889240), // Rule ID 14754 //
     /* 1889156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1889167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1889170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889202 */     // MIs[0] policy
     /* 1889202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1889215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889239 */     // GIR_Coverage, 14754,
     /* 1889239 */     GIR_EraseRootFromParent_Done,
     /* 1889240 */   // Label 25451: @1889240
     /* 1889240 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1889329), // Rule ID 14755 //
     /* 1889245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1889256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1889259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889291 */     // MIs[0] policy
     /* 1889291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889301 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1889304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889328 */     // GIR_Coverage, 14755,
     /* 1889328 */     GIR_EraseRootFromParent_Done,
     /* 1889329 */   // Label 25452: @1889329
     /* 1889329 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1889418), // Rule ID 14758 //
     /* 1889334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1889345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1889348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1889351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889380 */     // MIs[0] policy
     /* 1889380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1889393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889417 */     // GIR_Coverage, 14758,
     /* 1889417 */     GIR_EraseRootFromParent_Done,
     /* 1889418 */   // Label 25453: @1889418
     /* 1889418 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1889507), // Rule ID 14759 //
     /* 1889423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1889434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1889437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1889440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889469 */     // MIs[0] policy
     /* 1889469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889479 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1889482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889506 */     // GIR_Coverage, 14759,
     /* 1889506 */     GIR_EraseRootFromParent_Done,
     /* 1889507 */   // Label 25454: @1889507
     /* 1889507 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1889596), // Rule ID 14762 //
     /* 1889512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1889523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1889526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1889529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889558 */     // MIs[0] policy
     /* 1889558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889568 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1889571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889595 */     // GIR_Coverage, 14762,
     /* 1889595 */     GIR_EraseRootFromParent_Done,
     /* 1889596 */   // Label 25455: @1889596
     /* 1889596 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1889685), // Rule ID 14763 //
     /* 1889601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1889612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1889615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1889618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889647 */     // MIs[0] policy
     /* 1889647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889657 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1889660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889684 */     // GIR_Coverage, 14763,
     /* 1889684 */     GIR_EraseRootFromParent_Done,
     /* 1889685 */   // Label 25456: @1889685
     /* 1889685 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1889774), // Rule ID 14766 //
     /* 1889690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1889701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1889704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1889707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889736 */     // MIs[0] policy
     /* 1889736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1889749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889773 */     // GIR_Coverage, 14766,
     /* 1889773 */     GIR_EraseRootFromParent_Done,
     /* 1889774 */   // Label 25457: @1889774
     /* 1889774 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1889863), // Rule ID 14767 //
     /* 1889779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1889790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1889793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1889796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889825 */     // MIs[0] policy
     /* 1889825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889835 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1889838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889862 */     // GIR_Coverage, 14767,
     /* 1889862 */     GIR_EraseRootFromParent_Done,
     /* 1889863 */   // Label 25458: @1889863
     /* 1889863 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1889952), // Rule ID 14770 //
     /* 1889868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1889879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1889882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1889885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889914 */     // MIs[0] policy
     /* 1889914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1889927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889951 */     // GIR_Coverage, 14770,
     /* 1889951 */     GIR_EraseRootFromParent_Done,
     /* 1889952 */   // Label 25459: @1889952
     /* 1889952 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1890041), // Rule ID 14771 //
     /* 1889957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1889965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1889968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1889971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1889974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890003 */     // MIs[0] policy
     /* 1890003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1890016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890040 */     // GIR_Coverage, 14771,
     /* 1890040 */     GIR_EraseRootFromParent_Done,
     /* 1890041 */   // Label 25460: @1890041
     /* 1890041 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1890130), // Rule ID 14774 //
     /* 1890046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1890063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890092 */     // MIs[0] policy
     /* 1890092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1890105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890129 */     // GIR_Coverage, 14774,
     /* 1890129 */     GIR_EraseRootFromParent_Done,
     /* 1890130 */   // Label 25461: @1890130
     /* 1890130 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1890219), // Rule ID 14775 //
     /* 1890135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1890152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890181 */     // MIs[0] policy
     /* 1890181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890191 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1890194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890218 */     // GIR_Coverage, 14775,
     /* 1890218 */     GIR_EraseRootFromParent_Done,
     /* 1890219 */   // Label 25462: @1890219
     /* 1890219 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1890308), // Rule ID 14778 //
     /* 1890224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1890235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1890238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1890241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890270 */     // MIs[0] policy
     /* 1890270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890280 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1890283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890307 */     // GIR_Coverage, 14778,
     /* 1890307 */     GIR_EraseRootFromParent_Done,
     /* 1890308 */   // Label 25463: @1890308
     /* 1890308 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1890397), // Rule ID 14779 //
     /* 1890313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1890324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1890327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1890330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890359 */     // MIs[0] policy
     /* 1890359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890369 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1890372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890396 */     // GIR_Coverage, 14779,
     /* 1890396 */     GIR_EraseRootFromParent_Done,
     /* 1890397 */   // Label 25464: @1890397
     /* 1890397 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1890486), // Rule ID 14782 //
     /* 1890402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1890413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1890416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1890419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1890425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890448 */     // MIs[0] policy
     /* 1890448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1890461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890485 */     // GIR_Coverage, 14782,
     /* 1890485 */     GIR_EraseRootFromParent_Done,
     /* 1890486 */   // Label 25465: @1890486
     /* 1890486 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1890575), // Rule ID 14783 //
     /* 1890491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1890502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1890505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1890508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1890514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890537 */     // MIs[0] policy
     /* 1890537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890547 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1890550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890574 */     // GIR_Coverage, 14783,
     /* 1890574 */     GIR_EraseRootFromParent_Done,
     /* 1890575 */   // Label 25466: @1890575
     /* 1890575 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1890664), // Rule ID 14786 //
     /* 1890580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1890591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1890594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1890597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1890603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890626 */     // MIs[0] policy
     /* 1890626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1890639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890663 */     // GIR_Coverage, 14786,
     /* 1890663 */     GIR_EraseRootFromParent_Done,
     /* 1890664 */   // Label 25467: @1890664
     /* 1890664 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1890753), // Rule ID 14787 //
     /* 1890669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1890680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1890683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1890686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1890692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890715 */     // MIs[0] policy
     /* 1890715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890725 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1890728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1890746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890752 */     // GIR_Coverage, 14787,
     /* 1890752 */     GIR_EraseRootFromParent_Done,
     /* 1890753 */   // Label 25468: @1890753
     /* 1890753 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1890842), // Rule ID 14790 //
     /* 1890758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1890769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1890772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890804 */     // MIs[0] policy
     /* 1890804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1890817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890841 */     // GIR_Coverage, 14790,
     /* 1890841 */     GIR_EraseRootFromParent_Done,
     /* 1890842 */   // Label 25469: @1890842
     /* 1890842 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1890931), // Rule ID 14791 //
     /* 1890847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1890858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1890861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890893 */     // MIs[0] policy
     /* 1890893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1890906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890930 */     // GIR_Coverage, 14791,
     /* 1890930 */     GIR_EraseRootFromParent_Done,
     /* 1890931 */   // Label 25470: @1890931
     /* 1890931 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1891020), // Rule ID 14794 //
     /* 1890936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1890944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1890947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1890950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1890953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890982 */     // MIs[0] policy
     /* 1890982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1890995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891019 */     // GIR_Coverage, 14794,
     /* 1891019 */     GIR_EraseRootFromParent_Done,
     /* 1891020 */   // Label 25471: @1891020
     /* 1891020 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1891109), // Rule ID 14795 //
     /* 1891025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1891036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1891039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1891042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891071 */     // MIs[0] policy
     /* 1891071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1891084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891108 */     // GIR_Coverage, 14795,
     /* 1891108 */     GIR_EraseRootFromParent_Done,
     /* 1891109 */   // Label 25472: @1891109
     /* 1891109 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1891198), // Rule ID 14798 //
     /* 1891114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1891125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1891128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1891131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891160 */     // MIs[0] policy
     /* 1891160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891170 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1891173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891197 */     // GIR_Coverage, 14798,
     /* 1891197 */     GIR_EraseRootFromParent_Done,
     /* 1891198 */   // Label 25473: @1891198
     /* 1891198 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1891287), // Rule ID 14799 //
     /* 1891203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1891214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1891217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1891220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891249 */     // MIs[0] policy
     /* 1891249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1891262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891286 */     // GIR_Coverage, 14799,
     /* 1891286 */     GIR_EraseRootFromParent_Done,
     /* 1891287 */   // Label 25474: @1891287
     /* 1891287 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1891376), // Rule ID 14802 //
     /* 1891292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891338 */     // MIs[0] policy
     /* 1891338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1891351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891375 */     // GIR_Coverage, 14802,
     /* 1891375 */     GIR_EraseRootFromParent_Done,
     /* 1891376 */   // Label 25475: @1891376
     /* 1891376 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1891465), // Rule ID 14803 //
     /* 1891381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891427 */     // MIs[0] policy
     /* 1891427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1891440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891464 */     // GIR_Coverage, 14803,
     /* 1891464 */     GIR_EraseRootFromParent_Done,
     /* 1891465 */   // Label 25476: @1891465
     /* 1891465 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1891554), // Rule ID 14806 //
     /* 1891470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1891481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1891484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1891487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891516 */     // MIs[0] policy
     /* 1891516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1891529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891553 */     // GIR_Coverage, 14806,
     /* 1891553 */     GIR_EraseRootFromParent_Done,
     /* 1891554 */   // Label 25477: @1891554
     /* 1891554 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1891643), // Rule ID 14807 //
     /* 1891559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1891570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1891573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1891576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891605 */     // MIs[0] policy
     /* 1891605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1891618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891642 */     // GIR_Coverage, 14807,
     /* 1891642 */     GIR_EraseRootFromParent_Done,
     /* 1891643 */   // Label 25478: @1891643
     /* 1891643 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1891732), // Rule ID 14810 //
     /* 1891648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1891665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891694 */     // MIs[0] policy
     /* 1891694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1891707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891731 */     // GIR_Coverage, 14810,
     /* 1891731 */     GIR_EraseRootFromParent_Done,
     /* 1891732 */   // Label 25479: @1891732
     /* 1891732 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1891821), // Rule ID 14811 //
     /* 1891737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1891754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891783 */     // MIs[0] policy
     /* 1891783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1891796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891820 */     // GIR_Coverage, 14811,
     /* 1891820 */     GIR_EraseRootFromParent_Done,
     /* 1891821 */   // Label 25480: @1891821
     /* 1891821 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1891910), // Rule ID 14814 //
     /* 1891826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1891829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1891837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1891840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1891843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891872 */     // MIs[0] policy
     /* 1891872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1891885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891909 */     // GIR_Coverage, 14814,
     /* 1891909 */     GIR_EraseRootFromParent_Done,
     /* 1891910 */   // Label 25481: @1891910
     /* 1891910 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1891999), // Rule ID 14815 //
     /* 1891915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1891918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1891926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1891929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1891932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891961 */     // MIs[0] policy
     /* 1891961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1891974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891998 */     // GIR_Coverage, 14815,
     /* 1891998 */     GIR_EraseRootFromParent_Done,
     /* 1891999 */   // Label 25482: @1891999
     /* 1891999 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1892088), // Rule ID 14818 //
     /* 1892004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1892007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1892015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1892018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1892021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892050 */     // MIs[0] policy
     /* 1892050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1892063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892087 */     // GIR_Coverage, 14818,
     /* 1892087 */     GIR_EraseRootFromParent_Done,
     /* 1892088 */   // Label 25483: @1892088
     /* 1892088 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1892177), // Rule ID 14819 //
     /* 1892093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1892096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1892104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1892107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1892110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892139 */     // MIs[0] policy
     /* 1892139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1892152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892176 */     // GIR_Coverage, 14819,
     /* 1892176 */     GIR_EraseRootFromParent_Done,
     /* 1892177 */   // Label 25484: @1892177
     /* 1892177 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1892266), // Rule ID 14822 //
     /* 1892182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1892185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892228 */     // MIs[0] policy
     /* 1892228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1892241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892265 */     // GIR_Coverage, 14822,
     /* 1892265 */     GIR_EraseRootFromParent_Done,
     /* 1892266 */   // Label 25485: @1892266
     /* 1892266 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1892355), // Rule ID 14823 //
     /* 1892271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1892274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1892291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892317 */     // MIs[0] policy
     /* 1892317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1892330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892354 */     // GIR_Coverage, 14823,
     /* 1892354 */     GIR_EraseRootFromParent_Done,
     /* 1892355 */   // Label 25486: @1892355
     /* 1892355 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1892441), // Rule ID 19064 //
     /* 1892360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1892371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1892374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1892377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892406 */     // MIs[0] policy
     /* 1892406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892416 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1892419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892440 */     // GIR_Coverage, 19064,
     /* 1892440 */     GIR_EraseRootFromParent_Done,
     /* 1892441 */   // Label 25487: @1892441
     /* 1892441 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1892527), // Rule ID 19065 //
     /* 1892446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1892457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1892460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1892463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892492 */     // MIs[0] policy
     /* 1892492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892502 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1892505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892526 */     // GIR_Coverage, 19065,
     /* 1892526 */     GIR_EraseRootFromParent_Done,
     /* 1892527 */   // Label 25488: @1892527
     /* 1892527 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1892613), // Rule ID 19068 //
     /* 1892532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1892543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1892546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1892549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892578 */     // MIs[0] policy
     /* 1892578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892588 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1892591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892612 */     // GIR_Coverage, 19068,
     /* 1892612 */     GIR_EraseRootFromParent_Done,
     /* 1892613 */   // Label 25489: @1892613
     /* 1892613 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1892699), // Rule ID 19069 //
     /* 1892618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1892629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1892632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1892635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892664 */     // MIs[0] policy
     /* 1892664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892674 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1892677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892698 */     // GIR_Coverage, 19069,
     /* 1892698 */     GIR_EraseRootFromParent_Done,
     /* 1892699 */   // Label 25490: @1892699
     /* 1892699 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1892785), // Rule ID 19072 //
     /* 1892704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892750 */     // MIs[0] policy
     /* 1892750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892760 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1892763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892784 */     // GIR_Coverage, 19072,
     /* 1892784 */     GIR_EraseRootFromParent_Done,
     /* 1892785 */   // Label 25491: @1892785
     /* 1892785 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1892871), // Rule ID 19073 //
     /* 1892790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892836 */     // MIs[0] policy
     /* 1892836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892846 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1892849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892870 */     // GIR_Coverage, 19073,
     /* 1892870 */     GIR_EraseRootFromParent_Done,
     /* 1892871 */   // Label 25492: @1892871
     /* 1892871 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1892957), // Rule ID 19076 //
     /* 1892876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892922 */     // MIs[0] policy
     /* 1892922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1892935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892956 */     // GIR_Coverage, 19076,
     /* 1892956 */     GIR_EraseRootFromParent_Done,
     /* 1892957 */   // Label 25493: @1892957
     /* 1892957 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1893043), // Rule ID 19077 //
     /* 1892962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1892970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893008 */     // MIs[0] policy
     /* 1893008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893018 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1893021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893042 */     // GIR_Coverage, 19077,
     /* 1893042 */     GIR_EraseRootFromParent_Done,
     /* 1893043 */   // Label 25494: @1893043
     /* 1893043 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1893129), // Rule ID 19080 //
     /* 1893048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1893065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893094 */     // MIs[0] policy
     /* 1893094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893104 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1893107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893128 */     // GIR_Coverage, 19080,
     /* 1893128 */     GIR_EraseRootFromParent_Done,
     /* 1893129 */   // Label 25495: @1893129
     /* 1893129 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1893215), // Rule ID 19081 //
     /* 1893134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1893151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893180 */     // MIs[0] policy
     /* 1893180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893190 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1893193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893214 */     // GIR_Coverage, 19081,
     /* 1893214 */     GIR_EraseRootFromParent_Done,
     /* 1893215 */   // Label 25496: @1893215
     /* 1893215 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1893301), // Rule ID 19084 //
     /* 1893220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893266 */     // MIs[0] policy
     /* 1893266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893276 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1893279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893300 */     // GIR_Coverage, 19084,
     /* 1893300 */     GIR_EraseRootFromParent_Done,
     /* 1893301 */   // Label 25497: @1893301
     /* 1893301 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1893387), // Rule ID 19085 //
     /* 1893306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893352 */     // MIs[0] policy
     /* 1893352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893362 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1893365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893386 */     // GIR_Coverage, 19085,
     /* 1893386 */     GIR_EraseRootFromParent_Done,
     /* 1893387 */   // Label 25498: @1893387
     /* 1893387 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1893473), // Rule ID 19088 //
     /* 1893392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893438 */     // MIs[0] policy
     /* 1893438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893448 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1893451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893472 */     // GIR_Coverage, 19088,
     /* 1893472 */     GIR_EraseRootFromParent_Done,
     /* 1893473 */   // Label 25499: @1893473
     /* 1893473 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1893559), // Rule ID 19089 //
     /* 1893478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893524 */     // MIs[0] policy
     /* 1893524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893534 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1893537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893558 */     // GIR_Coverage, 19089,
     /* 1893558 */     GIR_EraseRootFromParent_Done,
     /* 1893559 */   // Label 25500: @1893559
     /* 1893559 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1893645), // Rule ID 19092 //
     /* 1893564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893610 */     // MIs[0] policy
     /* 1893610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893620 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1893623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893644 */     // GIR_Coverage, 19092,
     /* 1893644 */     GIR_EraseRootFromParent_Done,
     /* 1893645 */   // Label 25501: @1893645
     /* 1893645 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1893731), // Rule ID 19093 //
     /* 1893650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893696 */     // MIs[0] policy
     /* 1893696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893706 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1893709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893730 */     // GIR_Coverage, 19093,
     /* 1893730 */     GIR_EraseRootFromParent_Done,
     /* 1893731 */   // Label 25502: @1893731
     /* 1893731 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1893817), // Rule ID 19096 //
     /* 1893736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1893756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893782 */     // MIs[0] policy
     /* 1893782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893792 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1893795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893816 */     // GIR_Coverage, 19096,
     /* 1893816 */     GIR_EraseRootFromParent_Done,
     /* 1893817 */   // Label 25503: @1893817
     /* 1893817 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1893903), // Rule ID 19097 //
     /* 1893822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1893842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893868 */     // MIs[0] policy
     /* 1893868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893878 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1893881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893902 */     // GIR_Coverage, 19097,
     /* 1893902 */     GIR_EraseRootFromParent_Done,
     /* 1893903 */   // Label 25504: @1893903
     /* 1893903 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1893989), // Rule ID 19100 //
     /* 1893908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1893916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1893928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893954 */     // MIs[0] policy
     /* 1893954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893964 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1893967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893988 */     // GIR_Coverage, 19100,
     /* 1893988 */     GIR_EraseRootFromParent_Done,
     /* 1893989 */   // Label 25505: @1893989
     /* 1893989 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1894075), // Rule ID 19101 //
     /* 1893994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894040 */     // MIs[0] policy
     /* 1894040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894050 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1894053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894074 */     // GIR_Coverage, 19101,
     /* 1894074 */     GIR_EraseRootFromParent_Done,
     /* 1894075 */   // Label 25506: @1894075
     /* 1894075 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1894161), // Rule ID 19104 //
     /* 1894080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894126 */     // MIs[0] policy
     /* 1894126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1894139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894160 */     // GIR_Coverage, 19104,
     /* 1894160 */     GIR_EraseRootFromParent_Done,
     /* 1894161 */   // Label 25507: @1894161
     /* 1894161 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1894247), // Rule ID 19105 //
     /* 1894166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894212 */     // MIs[0] policy
     /* 1894212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894222 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1894225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894246 */     // GIR_Coverage, 19105,
     /* 1894246 */     GIR_EraseRootFromParent_Done,
     /* 1894247 */   // Label 25508: @1894247
     /* 1894247 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1894333), // Rule ID 19108 //
     /* 1894252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894298 */     // MIs[0] policy
     /* 1894298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894308 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1894311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894332 */     // GIR_Coverage, 19108,
     /* 1894332 */     GIR_EraseRootFromParent_Done,
     /* 1894333 */   // Label 25509: @1894333
     /* 1894333 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1894419), // Rule ID 19109 //
     /* 1894338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894384 */     // MIs[0] policy
     /* 1894384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894394 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1894397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894418 */     // GIR_Coverage, 19109,
     /* 1894418 */     GIR_EraseRootFromParent_Done,
     /* 1894419 */   // Label 25510: @1894419
     /* 1894419 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1894505), // Rule ID 19112 //
     /* 1894424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1894444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894470 */     // MIs[0] policy
     /* 1894470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894480 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1894483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894504 */     // GIR_Coverage, 19112,
     /* 1894504 */     GIR_EraseRootFromParent_Done,
     /* 1894505 */   // Label 25511: @1894505
     /* 1894505 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1894591), // Rule ID 19113 //
     /* 1894510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1894530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894556 */     // MIs[0] policy
     /* 1894556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894566 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1894569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894590 */     // GIR_Coverage, 19113,
     /* 1894590 */     GIR_EraseRootFromParent_Done,
     /* 1894591 */   // Label 25512: @1894591
     /* 1894591 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1894677), // Rule ID 19116 //
     /* 1894596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1894616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894642 */     // MIs[0] policy
     /* 1894642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1894655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894676 */     // GIR_Coverage, 19116,
     /* 1894676 */     GIR_EraseRootFromParent_Done,
     /* 1894677 */   // Label 25513: @1894677
     /* 1894677 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1894763), // Rule ID 19117 //
     /* 1894682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1894702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894728 */     // MIs[0] policy
     /* 1894728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894738 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1894741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894762 */     // GIR_Coverage, 19117,
     /* 1894762 */     GIR_EraseRootFromParent_Done,
     /* 1894763 */   // Label 25514: @1894763
     /* 1894763 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1894849), // Rule ID 19120 //
     /* 1894768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1894788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894814 */     // MIs[0] policy
     /* 1894814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894824 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1894827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894848 */     // GIR_Coverage, 19120,
     /* 1894848 */     GIR_EraseRootFromParent_Done,
     /* 1894849 */   // Label 25515: @1894849
     /* 1894849 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1894935), // Rule ID 19121 //
     /* 1894854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1894874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894900 */     // MIs[0] policy
     /* 1894900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894910 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1894913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894934 */     // GIR_Coverage, 19121,
     /* 1894934 */     GIR_EraseRootFromParent_Done,
     /* 1894935 */   // Label 25516: @1894935
     /* 1894935 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1895021), // Rule ID 19124 //
     /* 1894940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1894948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894986 */     // MIs[0] policy
     /* 1894986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894996 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1894999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895020 */     // GIR_Coverage, 19124,
     /* 1895020 */     GIR_EraseRootFromParent_Done,
     /* 1895021 */   // Label 25517: @1895021
     /* 1895021 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1895107), // Rule ID 19125 //
     /* 1895026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895072 */     // MIs[0] policy
     /* 1895072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895082 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1895085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895106 */     // GIR_Coverage, 19125,
     /* 1895106 */     GIR_EraseRootFromParent_Done,
     /* 1895107 */   // Label 25518: @1895107
     /* 1895107 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1895193), // Rule ID 19128 //
     /* 1895112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895158 */     // MIs[0] policy
     /* 1895158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895168 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1895171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895192 */     // GIR_Coverage, 19128,
     /* 1895192 */     GIR_EraseRootFromParent_Done,
     /* 1895193 */   // Label 25519: @1895193
     /* 1895193 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1895279), // Rule ID 19129 //
     /* 1895198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895244 */     // MIs[0] policy
     /* 1895244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895254 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1895257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895278 */     // GIR_Coverage, 19129,
     /* 1895278 */     GIR_EraseRootFromParent_Done,
     /* 1895279 */   // Label 25520: @1895279
     /* 1895279 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1895365), // Rule ID 19132 //
     /* 1895284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895330 */     // MIs[0] policy
     /* 1895330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895340 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1895343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895364 */     // GIR_Coverage, 19132,
     /* 1895364 */     GIR_EraseRootFromParent_Done,
     /* 1895365 */   // Label 25521: @1895365
     /* 1895365 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1895451), // Rule ID 19133 //
     /* 1895370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895416 */     // MIs[0] policy
     /* 1895416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895426 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1895429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895450 */     // GIR_Coverage, 19133,
     /* 1895450 */     GIR_EraseRootFromParent_Done,
     /* 1895451 */   // Label 25522: @1895451
     /* 1895451 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1895537), // Rule ID 19136 //
     /* 1895456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895502 */     // MIs[0] policy
     /* 1895502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895512 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1895515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895536 */     // GIR_Coverage, 19136,
     /* 1895536 */     GIR_EraseRootFromParent_Done,
     /* 1895537 */   // Label 25523: @1895537
     /* 1895537 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1895623), // Rule ID 19137 //
     /* 1895542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895588 */     // MIs[0] policy
     /* 1895588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895598 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1895601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895622 */     // GIR_Coverage, 19137,
     /* 1895622 */     GIR_EraseRootFromParent_Done,
     /* 1895623 */   // Label 25524: @1895623
     /* 1895623 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1895709), // Rule ID 19140 //
     /* 1895628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895674 */     // MIs[0] policy
     /* 1895674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895684 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1895687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895708 */     // GIR_Coverage, 19140,
     /* 1895708 */     GIR_EraseRootFromParent_Done,
     /* 1895709 */   // Label 25525: @1895709
     /* 1895709 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1895795), // Rule ID 19141 //
     /* 1895714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895760 */     // MIs[0] policy
     /* 1895760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895770 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1895773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895794 */     // GIR_Coverage, 19141,
     /* 1895794 */     GIR_EraseRootFromParent_Done,
     /* 1895795 */   // Label 25526: @1895795
     /* 1895795 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1895881), // Rule ID 19144 //
     /* 1895800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1895842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895846 */     // MIs[0] policy
     /* 1895846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1895859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895880 */     // GIR_Coverage, 19144,
     /* 1895880 */     GIR_EraseRootFromParent_Done,
     /* 1895881 */   // Label 25527: @1895881
     /* 1895881 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1895967), // Rule ID 19145 //
     /* 1895886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1895928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895932 */     // MIs[0] policy
     /* 1895932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895942 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1895945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895966 */     // GIR_Coverage, 19145,
     /* 1895966 */     GIR_EraseRootFromParent_Done,
     /* 1895967 */   // Label 25528: @1895967
     /* 1895967 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1896053), // Rule ID 19148 //
     /* 1895972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1895980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896018 */     // MIs[0] policy
     /* 1896018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1896031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896052 */     // GIR_Coverage, 19148,
     /* 1896052 */     GIR_EraseRootFromParent_Done,
     /* 1896053 */   // Label 25529: @1896053
     /* 1896053 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1896139), // Rule ID 19149 //
     /* 1896058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1896069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1896072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896104 */     // MIs[0] policy
     /* 1896104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896114 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1896117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896138 */     // GIR_Coverage, 19149,
     /* 1896138 */     GIR_EraseRootFromParent_Done,
     /* 1896139 */   // Label 25530: @1896139
     /* 1896139 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1896225), // Rule ID 19152 //
     /* 1896144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896190 */     // MIs[0] policy
     /* 1896190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896200 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1896203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896224 */     // GIR_Coverage, 19152,
     /* 1896224 */     GIR_EraseRootFromParent_Done,
     /* 1896225 */   // Label 25531: @1896225
     /* 1896225 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1896311), // Rule ID 19153 //
     /* 1896230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896276 */     // MIs[0] policy
     /* 1896276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896286 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1896289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896310 */     // GIR_Coverage, 19153,
     /* 1896310 */     GIR_EraseRootFromParent_Done,
     /* 1896311 */   // Label 25532: @1896311
     /* 1896311 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1896397), // Rule ID 19156 //
     /* 1896316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896362 */     // MIs[0] policy
     /* 1896362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896372 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1896375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896396 */     // GIR_Coverage, 19156,
     /* 1896396 */     GIR_EraseRootFromParent_Done,
     /* 1896397 */   // Label 25533: @1896397
     /* 1896397 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1896483), // Rule ID 19157 //
     /* 1896402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896448 */     // MIs[0] policy
     /* 1896448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896458 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1896461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896482 */     // GIR_Coverage, 19157,
     /* 1896482 */     GIR_EraseRootFromParent_Done,
     /* 1896483 */   // Label 25534: @1896483
     /* 1896483 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1896569), // Rule ID 19160 //
     /* 1896488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896534 */     // MIs[0] policy
     /* 1896534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896544 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1896547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896568 */     // GIR_Coverage, 19160,
     /* 1896568 */     GIR_EraseRootFromParent_Done,
     /* 1896569 */   // Label 25535: @1896569
     /* 1896569 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1896655), // Rule ID 19161 //
     /* 1896574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896620 */     // MIs[0] policy
     /* 1896620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896630 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1896633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896654 */     // GIR_Coverage, 19161,
     /* 1896654 */     GIR_EraseRootFromParent_Done,
     /* 1896655 */   // Label 25536: @1896655
     /* 1896655 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1896741), // Rule ID 19164 //
     /* 1896660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896706 */     // MIs[0] policy
     /* 1896706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896716 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1896719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896740 */     // GIR_Coverage, 19164,
     /* 1896740 */     GIR_EraseRootFromParent_Done,
     /* 1896741 */   // Label 25537: @1896741
     /* 1896741 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1896827), // Rule ID 19165 //
     /* 1896746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896792 */     // MIs[0] policy
     /* 1896792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896802 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1896805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896826 */     // GIR_Coverage, 19165,
     /* 1896826 */     GIR_EraseRootFromParent_Done,
     /* 1896827 */   // Label 25538: @1896827
     /* 1896827 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1896913), // Rule ID 19168 //
     /* 1896832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896878 */     // MIs[0] policy
     /* 1896878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896888 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1896891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896912 */     // GIR_Coverage, 19168,
     /* 1896912 */     GIR_EraseRootFromParent_Done,
     /* 1896913 */   // Label 25539: @1896913
     /* 1896913 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1896999), // Rule ID 19169 //
     /* 1896918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1896926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896964 */     // MIs[0] policy
     /* 1896964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896974 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1896977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896998 */     // GIR_Coverage, 19169,
     /* 1896998 */     GIR_EraseRootFromParent_Done,
     /* 1896999 */   // Label 25540: @1896999
     /* 1896999 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1897085), // Rule ID 19172 //
     /* 1897004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897050 */     // MIs[0] policy
     /* 1897050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897060 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1897063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897084 */     // GIR_Coverage, 19172,
     /* 1897084 */     GIR_EraseRootFromParent_Done,
     /* 1897085 */   // Label 25541: @1897085
     /* 1897085 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1897171), // Rule ID 19173 //
     /* 1897090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1897107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897136 */     // MIs[0] policy
     /* 1897136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897146 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1897149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897170 */     // GIR_Coverage, 19173,
     /* 1897170 */     GIR_EraseRootFromParent_Done,
     /* 1897171 */   // Label 25542: @1897171
     /* 1897171 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1897257), // Rule ID 19176 //
     /* 1897176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897222 */     // MIs[0] policy
     /* 1897222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897232 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1897235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897256 */     // GIR_Coverage, 19176,
     /* 1897256 */     GIR_EraseRootFromParent_Done,
     /* 1897257 */   // Label 25543: @1897257
     /* 1897257 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1897343), // Rule ID 19177 //
     /* 1897262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897308 */     // MIs[0] policy
     /* 1897308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897318 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1897321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897342 */     // GIR_Coverage, 19177,
     /* 1897342 */     GIR_EraseRootFromParent_Done,
     /* 1897343 */   // Label 25544: @1897343
     /* 1897343 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1897429), // Rule ID 19180 //
     /* 1897348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897394 */     // MIs[0] policy
     /* 1897394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897404 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1897407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897428 */     // GIR_Coverage, 19180,
     /* 1897428 */     GIR_EraseRootFromParent_Done,
     /* 1897429 */   // Label 25545: @1897429
     /* 1897429 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1897515), // Rule ID 19181 //
     /* 1897434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1897442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897480 */     // MIs[0] policy
     /* 1897480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897490 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1897493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897514 */     // GIR_Coverage, 19181,
     /* 1897514 */     GIR_EraseRootFromParent_Done,
     /* 1897515 */   // Label 25546: @1897515
     /* 1897515 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1897601), // Rule ID 19184 //
     /* 1897520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1897540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897566 */     // MIs[0] policy
     /* 1897566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897576 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1897579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897600 */     // GIR_Coverage, 19184,
     /* 1897600 */     GIR_EraseRootFromParent_Done,
     /* 1897601 */   // Label 25547: @1897601
     /* 1897601 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1897687), // Rule ID 19185 //
     /* 1897606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1897626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897652 */     // MIs[0] policy
     /* 1897652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897662 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1897665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897686 */     // GIR_Coverage, 19185,
     /* 1897686 */     GIR_EraseRootFromParent_Done,
     /* 1897687 */   // Label 25548: @1897687
     /* 1897687 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1897773), // Rule ID 19188 //
     /* 1897692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1897712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897738 */     // MIs[0] policy
     /* 1897738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897748 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1897751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897772 */     // GIR_Coverage, 19188,
     /* 1897772 */     GIR_EraseRootFromParent_Done,
     /* 1897773 */   // Label 25549: @1897773
     /* 1897773 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1897859), // Rule ID 19189 //
     /* 1897778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1897798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897824 */     // MIs[0] policy
     /* 1897824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897834 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1897837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897858 */     // GIR_Coverage, 19189,
     /* 1897858 */     GIR_EraseRootFromParent_Done,
     /* 1897859 */   // Label 25550: @1897859
     /* 1897859 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1897945), // Rule ID 19192 //
     /* 1897864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1897884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897910 */     // MIs[0] policy
     /* 1897910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897920 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1897923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897944 */     // GIR_Coverage, 19192,
     /* 1897944 */     GIR_EraseRootFromParent_Done,
     /* 1897945 */   // Label 25551: @1897945
     /* 1897945 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1898031), // Rule ID 19193 //
     /* 1897950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1897958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1897970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897996 */     // MIs[0] policy
     /* 1897996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898006 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1898009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898030 */     // GIR_Coverage, 19193,
     /* 1898030 */     GIR_EraseRootFromParent_Done,
     /* 1898031 */   // Label 25552: @1898031
     /* 1898031 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1898117), // Rule ID 19196 //
     /* 1898036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898082 */     // MIs[0] policy
     /* 1898082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1898095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898116 */     // GIR_Coverage, 19196,
     /* 1898116 */     GIR_EraseRootFromParent_Done,
     /* 1898117 */   // Label 25553: @1898117
     /* 1898117 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1898203), // Rule ID 19197 //
     /* 1898122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1898139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898168 */     // MIs[0] policy
     /* 1898168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898178 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1898181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898202 */     // GIR_Coverage, 19197,
     /* 1898202 */     GIR_EraseRootFromParent_Done,
     /* 1898203 */   // Label 25554: @1898203
     /* 1898203 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1898289), // Rule ID 19200 //
     /* 1898208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898254 */     // MIs[0] policy
     /* 1898254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1898267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898288 */     // GIR_Coverage, 19200,
     /* 1898288 */     GIR_EraseRootFromParent_Done,
     /* 1898289 */   // Label 25555: @1898289
     /* 1898289 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1898375), // Rule ID 19201 //
     /* 1898294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898340 */     // MIs[0] policy
     /* 1898340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898350 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1898353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898374 */     // GIR_Coverage, 19201,
     /* 1898374 */     GIR_EraseRootFromParent_Done,
     /* 1898375 */   // Label 25556: @1898375
     /* 1898375 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1898461), // Rule ID 19204 //
     /* 1898380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1898400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898426 */     // MIs[0] policy
     /* 1898426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1898439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898460 */     // GIR_Coverage, 19204,
     /* 1898460 */     GIR_EraseRootFromParent_Done,
     /* 1898461 */   // Label 25557: @1898461
     /* 1898461 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1898547), // Rule ID 19205 //
     /* 1898466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1898486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898512 */     // MIs[0] policy
     /* 1898512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898522 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1898525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898546 */     // GIR_Coverage, 19205,
     /* 1898546 */     GIR_EraseRootFromParent_Done,
     /* 1898547 */   // Label 25558: @1898547
     /* 1898547 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1898633), // Rule ID 19208 //
     /* 1898552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1898572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898598 */     // MIs[0] policy
     /* 1898598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1898611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898632 */     // GIR_Coverage, 19208,
     /* 1898632 */     GIR_EraseRootFromParent_Done,
     /* 1898633 */   // Label 25559: @1898633
     /* 1898633 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1898719), // Rule ID 19209 //
     /* 1898638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1898658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898684 */     // MIs[0] policy
     /* 1898684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898694 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1898697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898718 */     // GIR_Coverage, 19209,
     /* 1898718 */     GIR_EraseRootFromParent_Done,
     /* 1898719 */   // Label 25560: @1898719
     /* 1898719 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1898805), // Rule ID 19212 //
     /* 1898724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1898744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898770 */     // MIs[0] policy
     /* 1898770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898780 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1898783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898804 */     // GIR_Coverage, 19212,
     /* 1898804 */     GIR_EraseRootFromParent_Done,
     /* 1898805 */   // Label 25561: @1898805
     /* 1898805 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1898891), // Rule ID 19213 //
     /* 1898810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1898830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898856 */     // MIs[0] policy
     /* 1898856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898866 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1898869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898890 */     // GIR_Coverage, 19213,
     /* 1898890 */     GIR_EraseRootFromParent_Done,
     /* 1898891 */   // Label 25562: @1898891
     /* 1898891 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1898977), // Rule ID 19216 //
     /* 1898896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1898916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898942 */     // MIs[0] policy
     /* 1898942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898952 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1898955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898976 */     // GIR_Coverage, 19216,
     /* 1898976 */     GIR_EraseRootFromParent_Done,
     /* 1898977 */   // Label 25563: @1898977
     /* 1898977 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1899063), // Rule ID 19217 //
     /* 1898982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1898990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1899002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1899005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899028 */     // MIs[0] policy
     /* 1899028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899038 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1899041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899062 */     // GIR_Coverage, 19217,
     /* 1899062 */     GIR_EraseRootFromParent_Done,
     /* 1899063 */   // Label 25564: @1899063
     /* 1899063 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1899149), // Rule ID 19220 //
     /* 1899068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1899088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899114 */     // MIs[0] policy
     /* 1899114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899124 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1899127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899148 */     // GIR_Coverage, 19220,
     /* 1899148 */     GIR_EraseRootFromParent_Done,
     /* 1899149 */   // Label 25565: @1899149
     /* 1899149 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1899235), // Rule ID 19221 //
     /* 1899154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1899171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1899174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899200 */     // MIs[0] policy
     /* 1899200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1899213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899234 */     // GIR_Coverage, 19221,
     /* 1899234 */     GIR_EraseRootFromParent_Done,
     /* 1899235 */   // Label 25566: @1899235
     /* 1899235 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1899321), // Rule ID 19224 //
     /* 1899240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899286 */     // MIs[0] policy
     /* 1899286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899296 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1899299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899320 */     // GIR_Coverage, 19224,
     /* 1899320 */     GIR_EraseRootFromParent_Done,
     /* 1899321 */   // Label 25567: @1899321
     /* 1899321 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1899407), // Rule ID 19225 //
     /* 1899326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899372 */     // MIs[0] policy
     /* 1899372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899382 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1899385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899406 */     // GIR_Coverage, 19225,
     /* 1899406 */     GIR_EraseRootFromParent_Done,
     /* 1899407 */   // Label 25568: @1899407
     /* 1899407 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1899493), // Rule ID 19228 //
     /* 1899412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1899432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899458 */     // MIs[0] policy
     /* 1899458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899468 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1899471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899492 */     // GIR_Coverage, 19228,
     /* 1899492 */     GIR_EraseRootFromParent_Done,
     /* 1899493 */   // Label 25569: @1899493
     /* 1899493 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1899579), // Rule ID 19229 //
     /* 1899498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1899518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899544 */     // MIs[0] policy
     /* 1899544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899554 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1899557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899578 */     // GIR_Coverage, 19229,
     /* 1899578 */     GIR_EraseRootFromParent_Done,
     /* 1899579 */   // Label 25570: @1899579
     /* 1899579 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1899665), // Rule ID 19232 //
     /* 1899584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1899604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899630 */     // MIs[0] policy
     /* 1899630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899640 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1899643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899664 */     // GIR_Coverage, 19232,
     /* 1899664 */     GIR_EraseRootFromParent_Done,
     /* 1899665 */   // Label 25571: @1899665
     /* 1899665 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1899751), // Rule ID 19233 //
     /* 1899670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1899690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899716 */     // MIs[0] policy
     /* 1899716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899726 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1899729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899750 */     // GIR_Coverage, 19233,
     /* 1899750 */     GIR_EraseRootFromParent_Done,
     /* 1899751 */   // Label 25572: @1899751
     /* 1899751 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1899837), // Rule ID 19236 //
     /* 1899756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1899776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899802 */     // MIs[0] policy
     /* 1899802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1899815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899836 */     // GIR_Coverage, 19236,
     /* 1899836 */     GIR_EraseRootFromParent_Done,
     /* 1899837 */   // Label 25573: @1899837
     /* 1899837 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1899923), // Rule ID 19237 //
     /* 1899842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1899862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899888 */     // MIs[0] policy
     /* 1899888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1899901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899922 */     // GIR_Coverage, 19237,
     /* 1899922 */     GIR_EraseRootFromParent_Done,
     /* 1899923 */   // Label 25574: @1899923
     /* 1899923 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1900009), // Rule ID 19240 //
     /* 1899928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1899936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1899948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899974 */     // MIs[0] policy
     /* 1899974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1899987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900008 */     // GIR_Coverage, 19240,
     /* 1900008 */     GIR_EraseRootFromParent_Done,
     /* 1900009 */   // Label 25575: @1900009
     /* 1900009 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1900095), // Rule ID 19241 //
     /* 1900014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1900031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1900034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900060 */     // MIs[0] policy
     /* 1900060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900070 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1900073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900094 */     // GIR_Coverage, 19241,
     /* 1900094 */     GIR_EraseRootFromParent_Done,
     /* 1900095 */   // Label 25576: @1900095
     /* 1900095 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1900181), // Rule ID 19244 //
     /* 1900100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900146 */     // MIs[0] policy
     /* 1900146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900156 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1900159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900180 */     // GIR_Coverage, 19244,
     /* 1900180 */     GIR_EraseRootFromParent_Done,
     /* 1900181 */   // Label 25577: @1900181
     /* 1900181 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1900267), // Rule ID 19245 //
     /* 1900186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900232 */     // MIs[0] policy
     /* 1900232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900242 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1900245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900266 */     // GIR_Coverage, 19245,
     /* 1900266 */     GIR_EraseRootFromParent_Done,
     /* 1900267 */   // Label 25578: @1900267
     /* 1900267 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1900353), // Rule ID 19248 //
     /* 1900272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900318 */     // MIs[0] policy
     /* 1900318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900328 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1900331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900352 */     // GIR_Coverage, 19248,
     /* 1900352 */     GIR_EraseRootFromParent_Done,
     /* 1900353 */   // Label 25579: @1900353
     /* 1900353 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1900439), // Rule ID 19249 //
     /* 1900358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900404 */     // MIs[0] policy
     /* 1900404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900414 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1900417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900438 */     // GIR_Coverage, 19249,
     /* 1900438 */     GIR_EraseRootFromParent_Done,
     /* 1900439 */   // Label 25580: @1900439
     /* 1900439 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1900525), // Rule ID 19252 //
     /* 1900444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1900455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900490 */     // MIs[0] policy
     /* 1900490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900500 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1900503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900524 */     // GIR_Coverage, 19252,
     /* 1900524 */     GIR_EraseRootFromParent_Done,
     /* 1900525 */   // Label 25581: @1900525
     /* 1900525 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1900611), // Rule ID 19253 //
     /* 1900530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1900541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900576 */     // MIs[0] policy
     /* 1900576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900586 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1900589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900610 */     // GIR_Coverage, 19253,
     /* 1900610 */     GIR_EraseRootFromParent_Done,
     /* 1900611 */   // Label 25582: @1900611
     /* 1900611 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1900697), // Rule ID 19256 //
     /* 1900616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900662 */     // MIs[0] policy
     /* 1900662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900672 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1900675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900696 */     // GIR_Coverage, 19256,
     /* 1900696 */     GIR_EraseRootFromParent_Done,
     /* 1900697 */   // Label 25583: @1900697
     /* 1900697 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1900783), // Rule ID 19257 //
     /* 1900702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900748 */     // MIs[0] policy
     /* 1900748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900758 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1900761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900782 */     // GIR_Coverage, 19257,
     /* 1900782 */     GIR_EraseRootFromParent_Done,
     /* 1900783 */   // Label 25584: @1900783
     /* 1900783 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1900869), // Rule ID 19260 //
     /* 1900788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900834 */     // MIs[0] policy
     /* 1900834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1900847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900868 */     // GIR_Coverage, 19260,
     /* 1900868 */     GIR_EraseRootFromParent_Done,
     /* 1900869 */   // Label 25585: @1900869
     /* 1900869 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1900955), // Rule ID 19261 //
     /* 1900874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900920 */     // MIs[0] policy
     /* 1900920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1900933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900954 */     // GIR_Coverage, 19261,
     /* 1900954 */     GIR_EraseRootFromParent_Done,
     /* 1900955 */   // Label 25586: @1900955
     /* 1900955 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1901041), // Rule ID 19264 //
     /* 1900960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1900968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1900980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901006 */     // MIs[0] policy
     /* 1901006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1901019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901040 */     // GIR_Coverage, 19264,
     /* 1901040 */     GIR_EraseRootFromParent_Done,
     /* 1901041 */   // Label 25587: @1901041
     /* 1901041 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1901127), // Rule ID 19265 //
     /* 1901046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1901063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901092 */     // MIs[0] policy
     /* 1901092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1901105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901126 */     // GIR_Coverage, 19265,
     /* 1901126 */     GIR_EraseRootFromParent_Done,
     /* 1901127 */   // Label 25588: @1901127
     /* 1901127 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1901213), // Rule ID 19268 //
     /* 1901132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901178 */     // MIs[0] policy
     /* 1901178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901188 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1901191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901212 */     // GIR_Coverage, 19268,
     /* 1901212 */     GIR_EraseRootFromParent_Done,
     /* 1901213 */   // Label 25589: @1901213
     /* 1901213 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1901299), // Rule ID 19269 //
     /* 1901218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901264 */     // MIs[0] policy
     /* 1901264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901274 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1901277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901298 */     // GIR_Coverage, 19269,
     /* 1901298 */     GIR_EraseRootFromParent_Done,
     /* 1901299 */   // Label 25590: @1901299
     /* 1901299 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1901385), // Rule ID 19272 //
     /* 1901304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901350 */     // MIs[0] policy
     /* 1901350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901360 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1901363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901384 */     // GIR_Coverage, 19272,
     /* 1901384 */     GIR_EraseRootFromParent_Done,
     /* 1901385 */   // Label 25591: @1901385
     /* 1901385 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1901471), // Rule ID 19273 //
     /* 1901390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901436 */     // MIs[0] policy
     /* 1901436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901446 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1901449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901470 */     // GIR_Coverage, 19273,
     /* 1901470 */     GIR_EraseRootFromParent_Done,
     /* 1901471 */   // Label 25592: @1901471
     /* 1901471 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1901557), // Rule ID 19276 //
     /* 1901476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901522 */     // MIs[0] policy
     /* 1901522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901532 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1901535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901556 */     // GIR_Coverage, 19276,
     /* 1901556 */     GIR_EraseRootFromParent_Done,
     /* 1901557 */   // Label 25593: @1901557
     /* 1901557 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1901643), // Rule ID 19277 //
     /* 1901562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901608 */     // MIs[0] policy
     /* 1901608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901618 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1901621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901642 */     // GIR_Coverage, 19277,
     /* 1901642 */     GIR_EraseRootFromParent_Done,
     /* 1901643 */   // Label 25594: @1901643
     /* 1901643 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1901729), // Rule ID 19280 //
     /* 1901648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901694 */     // MIs[0] policy
     /* 1901694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901704 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1901707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901728 */     // GIR_Coverage, 19280,
     /* 1901728 */     GIR_EraseRootFromParent_Done,
     /* 1901729 */   // Label 25595: @1901729
     /* 1901729 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1901815), // Rule ID 19281 //
     /* 1901734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901780 */     // MIs[0] policy
     /* 1901780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901790 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1901793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901814 */     // GIR_Coverage, 19281,
     /* 1901814 */     GIR_EraseRootFromParent_Done,
     /* 1901815 */   // Label 25596: @1901815
     /* 1901815 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1901901), // Rule ID 19284 //
     /* 1901820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901866 */     // MIs[0] policy
     /* 1901866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901876 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1901879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901900 */     // GIR_Coverage, 19284,
     /* 1901900 */     GIR_EraseRootFromParent_Done,
     /* 1901901 */   // Label 25597: @1901901
     /* 1901901 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1901987), // Rule ID 19285 //
     /* 1901906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1901914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901952 */     // MIs[0] policy
     /* 1901952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901962 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1901965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901986 */     // GIR_Coverage, 19285,
     /* 1901986 */     GIR_EraseRootFromParent_Done,
     /* 1901987 */   // Label 25598: @1901987
     /* 1901987 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1902073), // Rule ID 19288 //
     /* 1901992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902038 */     // MIs[0] policy
     /* 1902038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902048 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1902051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902072 */     // GIR_Coverage, 19288,
     /* 1902072 */     GIR_EraseRootFromParent_Done,
     /* 1902073 */   // Label 25599: @1902073
     /* 1902073 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1902159), // Rule ID 19289 //
     /* 1902078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1902095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902124 */     // MIs[0] policy
     /* 1902124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902134 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1902137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902158 */     // GIR_Coverage, 19289,
     /* 1902158 */     GIR_EraseRootFromParent_Done,
     /* 1902159 */   // Label 25600: @1902159
     /* 1902159 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1902245), // Rule ID 19292 //
     /* 1902164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902210 */     // MIs[0] policy
     /* 1902210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902220 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1902223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902244 */     // GIR_Coverage, 19292,
     /* 1902244 */     GIR_EraseRootFromParent_Done,
     /* 1902245 */   // Label 25601: @1902245
     /* 1902245 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1902331), // Rule ID 19293 //
     /* 1902250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902296 */     // MIs[0] policy
     /* 1902296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902306 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1902309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902330 */     // GIR_Coverage, 19293,
     /* 1902330 */     GIR_EraseRootFromParent_Done,
     /* 1902331 */   // Label 25602: @1902331
     /* 1902331 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1902417), // Rule ID 19296 //
     /* 1902336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902382 */     // MIs[0] policy
     /* 1902382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902392 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1902395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902416 */     // GIR_Coverage, 19296,
     /* 1902416 */     GIR_EraseRootFromParent_Done,
     /* 1902417 */   // Label 25603: @1902417
     /* 1902417 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1902503), // Rule ID 19297 //
     /* 1902422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902468 */     // MIs[0] policy
     /* 1902468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902478 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1902481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902502 */     // GIR_Coverage, 19297,
     /* 1902502 */     GIR_EraseRootFromParent_Done,
     /* 1902503 */   // Label 25604: @1902503
     /* 1902503 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1902589), // Rule ID 19300 //
     /* 1902508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902554 */     // MIs[0] policy
     /* 1902554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902564 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1902567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902588 */     // GIR_Coverage, 19300,
     /* 1902588 */     GIR_EraseRootFromParent_Done,
     /* 1902589 */   // Label 25605: @1902589
     /* 1902589 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1902675), // Rule ID 19301 //
     /* 1902594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1902602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902640 */     // MIs[0] policy
     /* 1902640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902650 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1902653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902674 */     // GIR_Coverage, 19301,
     /* 1902674 */     GIR_EraseRootFromParent_Done,
     /* 1902675 */   // Label 25606: @1902675
     /* 1902675 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1902761), // Rule ID 19304 //
     /* 1902680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1902700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902726 */     // MIs[0] policy
     /* 1902726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902736 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1902739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902760 */     // GIR_Coverage, 19304,
     /* 1902760 */     GIR_EraseRootFromParent_Done,
     /* 1902761 */   // Label 25607: @1902761
     /* 1902761 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1902847), // Rule ID 19305 //
     /* 1902766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1902786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902812 */     // MIs[0] policy
     /* 1902812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902822 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1902825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902846 */     // GIR_Coverage, 19305,
     /* 1902846 */     GIR_EraseRootFromParent_Done,
     /* 1902847 */   // Label 25608: @1902847
     /* 1902847 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1902933), // Rule ID 19308 //
     /* 1902852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902898 */     // MIs[0] policy
     /* 1902898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902908 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1902911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902932 */     // GIR_Coverage, 19308,
     /* 1902932 */     GIR_EraseRootFromParent_Done,
     /* 1902933 */   // Label 25609: @1902933
     /* 1902933 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1903019), // Rule ID 19309 //
     /* 1902938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1902946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902984 */     // MIs[0] policy
     /* 1902984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902994 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1902997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903018 */     // GIR_Coverage, 19309,
     /* 1903018 */     GIR_EraseRootFromParent_Done,
     /* 1903019 */   // Label 25610: @1903019
     /* 1903019 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1903105), // Rule ID 19312 //
     /* 1903024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1903044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903070 */     // MIs[0] policy
     /* 1903070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903080 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1903083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903104 */     // GIR_Coverage, 19312,
     /* 1903104 */     GIR_EraseRootFromParent_Done,
     /* 1903105 */   // Label 25611: @1903105
     /* 1903105 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1903191), // Rule ID 19313 //
     /* 1903110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1903121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1903124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1903127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1903130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903156 */     // MIs[0] policy
     /* 1903156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903166 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1903169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903190 */     // GIR_Coverage, 19313,
     /* 1903190 */     GIR_EraseRootFromParent_Done,
     /* 1903191 */   // Label 25612: @1903191
     /* 1903191 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1903277), // Rule ID 19316 //
     /* 1903196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903242 */     // MIs[0] policy
     /* 1903242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903252 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1903255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903276 */     // GIR_Coverage, 19316,
     /* 1903276 */     GIR_EraseRootFromParent_Done,
     /* 1903277 */   // Label 25613: @1903277
     /* 1903277 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1903363), // Rule ID 19317 //
     /* 1903282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903328 */     // MIs[0] policy
     /* 1903328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903338 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1903341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903362 */     // GIR_Coverage, 19317,
     /* 1903362 */     GIR_EraseRootFromParent_Done,
     /* 1903363 */   // Label 25614: @1903363
     /* 1903363 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1903449), // Rule ID 19320 //
     /* 1903368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903414 */     // MIs[0] policy
     /* 1903414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903424 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1903427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903448 */     // GIR_Coverage, 19320,
     /* 1903448 */     GIR_EraseRootFromParent_Done,
     /* 1903449 */   // Label 25615: @1903449
     /* 1903449 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1903535), // Rule ID 19321 //
     /* 1903454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903500 */     // MIs[0] policy
     /* 1903500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903510 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1903513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903534 */     // GIR_Coverage, 19321,
     /* 1903534 */     GIR_EraseRootFromParent_Done,
     /* 1903535 */   // Label 25616: @1903535
     /* 1903535 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1903621), // Rule ID 19324 //
     /* 1903540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903586 */     // MIs[0] policy
     /* 1903586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903596 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1903599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903620 */     // GIR_Coverage, 19324,
     /* 1903620 */     GIR_EraseRootFromParent_Done,
     /* 1903621 */   // Label 25617: @1903621
     /* 1903621 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1903707), // Rule ID 19325 //
     /* 1903626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903672 */     // MIs[0] policy
     /* 1903672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903682 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1903685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903706 */     // GIR_Coverage, 19325,
     /* 1903706 */     GIR_EraseRootFromParent_Done,
     /* 1903707 */   // Label 25618: @1903707
     /* 1903707 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1903793), // Rule ID 19328 //
     /* 1903712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1903732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903758 */     // MIs[0] policy
     /* 1903758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903768 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1903771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903792 */     // GIR_Coverage, 19328,
     /* 1903792 */     GIR_EraseRootFromParent_Done,
     /* 1903793 */   // Label 25619: @1903793
     /* 1903793 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1903879), // Rule ID 19329 //
     /* 1903798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1903818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903844 */     // MIs[0] policy
     /* 1903844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903854 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1903857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903878 */     // GIR_Coverage, 19329,
     /* 1903878 */     GIR_EraseRootFromParent_Done,
     /* 1903879 */   // Label 25620: @1903879
     /* 1903879 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1903965), // Rule ID 19332 //
     /* 1903884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1903904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903930 */     // MIs[0] policy
     /* 1903930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903940 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1903943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903964 */     // GIR_Coverage, 19332,
     /* 1903964 */     GIR_EraseRootFromParent_Done,
     /* 1903965 */   // Label 25621: @1903965
     /* 1903965 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1904051), // Rule ID 19333 //
     /* 1903970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1903978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1903990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904016 */     // MIs[0] policy
     /* 1904016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904026 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1904029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904050 */     // GIR_Coverage, 19333,
     /* 1904050 */     GIR_EraseRootFromParent_Done,
     /* 1904051 */   // Label 25622: @1904051
     /* 1904051 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1904137), // Rule ID 19336 //
     /* 1904056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1904076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904102 */     // MIs[0] policy
     /* 1904102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904112 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1904115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904136 */     // GIR_Coverage, 19336,
     /* 1904136 */     GIR_EraseRootFromParent_Done,
     /* 1904137 */   // Label 25623: @1904137
     /* 1904137 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1904223), // Rule ID 19337 //
     /* 1904142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1904153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1904156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1904159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1904162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1904165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904188 */     // MIs[0] policy
     /* 1904188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904198 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1904201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904222 */     // GIR_Coverage, 19337,
     /* 1904222 */     GIR_EraseRootFromParent_Done,
     /* 1904223 */   // Label 25624: @1904223
     /* 1904223 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1904309), // Rule ID 19340 //
     /* 1904228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904274 */     // MIs[0] policy
     /* 1904274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904284 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1904287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904308 */     // GIR_Coverage, 19340,
     /* 1904308 */     GIR_EraseRootFromParent_Done,
     /* 1904309 */   // Label 25625: @1904309
     /* 1904309 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1904395), // Rule ID 19341 //
     /* 1904314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904360 */     // MIs[0] policy
     /* 1904360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1904373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904394 */     // GIR_Coverage, 19341,
     /* 1904394 */     GIR_EraseRootFromParent_Done,
     /* 1904395 */   // Label 25626: @1904395
     /* 1904395 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1904481), // Rule ID 19344 //
     /* 1904400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1904420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904446 */     // MIs[0] policy
     /* 1904446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1904459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904480 */     // GIR_Coverage, 19344,
     /* 1904480 */     GIR_EraseRootFromParent_Done,
     /* 1904481 */   // Label 25627: @1904481
     /* 1904481 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1904567), // Rule ID 19345 //
     /* 1904486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1904506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904532 */     // MIs[0] policy
     /* 1904532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1904545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904566 */     // GIR_Coverage, 19345,
     /* 1904566 */     GIR_EraseRootFromParent_Done,
     /* 1904567 */   // Label 25628: @1904567
     /* 1904567 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1904653), // Rule ID 19348 //
     /* 1904572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1904592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904618 */     // MIs[0] policy
     /* 1904618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904628 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1904631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904652 */     // GIR_Coverage, 19348,
     /* 1904652 */     GIR_EraseRootFromParent_Done,
     /* 1904653 */   // Label 25629: @1904653
     /* 1904653 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1904739), // Rule ID 19349 //
     /* 1904658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1904678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904704 */     // MIs[0] policy
     /* 1904704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904714 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1904717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904738 */     // GIR_Coverage, 19349,
     /* 1904738 */     GIR_EraseRootFromParent_Done,
     /* 1904739 */   // Label 25630: @1904739
     /* 1904739 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1904825), // Rule ID 19352 //
     /* 1904744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1904764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904790 */     // MIs[0] policy
     /* 1904790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904800 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1904803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904824 */     // GIR_Coverage, 19352,
     /* 1904824 */     GIR_EraseRootFromParent_Done,
     /* 1904825 */   // Label 25631: @1904825
     /* 1904825 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1904911), // Rule ID 19353 //
     /* 1904830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1904850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904876 */     // MIs[0] policy
     /* 1904876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904886 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1904889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904910 */     // GIR_Coverage, 19353,
     /* 1904910 */     GIR_EraseRootFromParent_Done,
     /* 1904911 */   // Label 25632: @1904911
     /* 1904911 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1904997), // Rule ID 19356 //
     /* 1904916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1904924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1904936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904962 */     // MIs[0] policy
     /* 1904962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904972 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1904975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904996 */     // GIR_Coverage, 19356,
     /* 1904996 */     GIR_EraseRootFromParent_Done,
     /* 1904997 */   // Label 25633: @1904997
     /* 1904997 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1905083), // Rule ID 19357 //
     /* 1905002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1905013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1905016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1905019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1905022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905048 */     // MIs[0] policy
     /* 1905048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905058 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1905061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905082 */     // GIR_Coverage, 19357,
     /* 1905082 */     GIR_EraseRootFromParent_Done,
     /* 1905083 */   // Label 25634: @1905083
     /* 1905083 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1905169), // Rule ID 19360 //
     /* 1905088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1905108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905134 */     // MIs[0] policy
     /* 1905134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905144 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1905147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905168 */     // GIR_Coverage, 19360,
     /* 1905168 */     GIR_EraseRootFromParent_Done,
     /* 1905169 */   // Label 25635: @1905169
     /* 1905169 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1905255), // Rule ID 19361 //
     /* 1905174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1905194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905220 */     // MIs[0] policy
     /* 1905220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905230 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1905233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905254 */     // GIR_Coverage, 19361,
     /* 1905254 */     GIR_EraseRootFromParent_Done,
     /* 1905255 */   // Label 25636: @1905255
     /* 1905255 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1905341), // Rule ID 19364 //
     /* 1905260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905306 */     // MIs[0] policy
     /* 1905306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905316 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1905319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905340 */     // GIR_Coverage, 19364,
     /* 1905340 */     GIR_EraseRootFromParent_Done,
     /* 1905341 */   // Label 25637: @1905341
     /* 1905341 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1905427), // Rule ID 19365 //
     /* 1905346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905392 */     // MIs[0] policy
     /* 1905392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905402 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1905405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905426 */     // GIR_Coverage, 19365,
     /* 1905426 */     GIR_EraseRootFromParent_Done,
     /* 1905427 */   // Label 25638: @1905427
     /* 1905427 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1905513), // Rule ID 19368 //
     /* 1905432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1905443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1905446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1905449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905478 */     // MIs[0] policy
     /* 1905478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905488 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1905491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905512 */     // GIR_Coverage, 19368,
     /* 1905512 */     GIR_EraseRootFromParent_Done,
     /* 1905513 */   // Label 25639: @1905513
     /* 1905513 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1905599), // Rule ID 19369 //
     /* 1905518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1905529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1905532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1905535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905564 */     // MIs[0] policy
     /* 1905564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905574 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1905577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905598 */     // GIR_Coverage, 19369,
     /* 1905598 */     GIR_EraseRootFromParent_Done,
     /* 1905599 */   // Label 25640: @1905599
     /* 1905599 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1905685), // Rule ID 19372 //
     /* 1905604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905650 */     // MIs[0] policy
     /* 1905650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905660 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1905663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905684 */     // GIR_Coverage, 19372,
     /* 1905684 */     GIR_EraseRootFromParent_Done,
     /* 1905685 */   // Label 25641: @1905685
     /* 1905685 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1905771), // Rule ID 19373 //
     /* 1905690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905736 */     // MIs[0] policy
     /* 1905736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905746 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1905749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905770 */     // GIR_Coverage, 19373,
     /* 1905770 */     GIR_EraseRootFromParent_Done,
     /* 1905771 */   // Label 25642: @1905771
     /* 1905771 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1905857), // Rule ID 19376 //
     /* 1905776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905822 */     // MIs[0] policy
     /* 1905822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905832 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1905835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905856 */     // GIR_Coverage, 19376,
     /* 1905856 */     GIR_EraseRootFromParent_Done,
     /* 1905857 */   // Label 25643: @1905857
     /* 1905857 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1905943), // Rule ID 19377 //
     /* 1905862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905908 */     // MIs[0] policy
     /* 1905908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905918 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1905921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905942 */     // GIR_Coverage, 19377,
     /* 1905942 */     GIR_EraseRootFromParent_Done,
     /* 1905943 */   // Label 25644: @1905943
     /* 1905943 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1906029), // Rule ID 19380 //
     /* 1905948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1905956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905994 */     // MIs[0] policy
     /* 1905994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1906007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906028 */     // GIR_Coverage, 19380,
     /* 1906028 */     GIR_EraseRootFromParent_Done,
     /* 1906029 */   // Label 25645: @1906029
     /* 1906029 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1906115), // Rule ID 19381 //
     /* 1906034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1906045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1906048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1906051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906080 */     // MIs[0] policy
     /* 1906080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1906093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906114 */     // GIR_Coverage, 19381,
     /* 1906114 */     GIR_EraseRootFromParent_Done,
     /* 1906115 */   // Label 25646: @1906115
     /* 1906115 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1906201), // Rule ID 19384 //
     /* 1906120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906166 */     // MIs[0] policy
     /* 1906166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1906179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906200 */     // GIR_Coverage, 19384,
     /* 1906200 */     GIR_EraseRootFromParent_Done,
     /* 1906201 */   // Label 25647: @1906201
     /* 1906201 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1906287), // Rule ID 19385 //
     /* 1906206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906252 */     // MIs[0] policy
     /* 1906252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1906265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906286 */     // GIR_Coverage, 19385,
     /* 1906286 */     GIR_EraseRootFromParent_Done,
     /* 1906287 */   // Label 25648: @1906287
     /* 1906287 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1906373), // Rule ID 19388 //
     /* 1906292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906338 */     // MIs[0] policy
     /* 1906338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1906351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906372 */     // GIR_Coverage, 19388,
     /* 1906372 */     GIR_EraseRootFromParent_Done,
     /* 1906373 */   // Label 25649: @1906373
     /* 1906373 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1906459), // Rule ID 19389 //
     /* 1906378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906424 */     // MIs[0] policy
     /* 1906424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906434 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1906437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906458 */     // GIR_Coverage, 19389,
     /* 1906458 */     GIR_EraseRootFromParent_Done,
     /* 1906459 */   // Label 25650: @1906459
     /* 1906459 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1906545), // Rule ID 19392 //
     /* 1906464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906510 */     // MIs[0] policy
     /* 1906510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906520 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1906523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906544 */     // GIR_Coverage, 19392,
     /* 1906544 */     GIR_EraseRootFromParent_Done,
     /* 1906545 */   // Label 25651: @1906545
     /* 1906545 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1906631), // Rule ID 19393 //
     /* 1906550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906596 */     // MIs[0] policy
     /* 1906596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906606 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1906609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906630 */     // GIR_Coverage, 19393,
     /* 1906630 */     GIR_EraseRootFromParent_Done,
     /* 1906631 */   // Label 25652: @1906631
     /* 1906631 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1906717), // Rule ID 19396 //
     /* 1906636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906682 */     // MIs[0] policy
     /* 1906682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906692 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1906695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906716 */     // GIR_Coverage, 19396,
     /* 1906716 */     GIR_EraseRootFromParent_Done,
     /* 1906717 */   // Label 25653: @1906717
     /* 1906717 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1906803), // Rule ID 19397 //
     /* 1906722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906768 */     // MIs[0] policy
     /* 1906768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906778 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1906781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906802 */     // GIR_Coverage, 19397,
     /* 1906802 */     GIR_EraseRootFromParent_Done,
     /* 1906803 */   // Label 25654: @1906803
     /* 1906803 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1906889), // Rule ID 19400 //
     /* 1906808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906854 */     // MIs[0] policy
     /* 1906854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906864 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1906867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906888 */     // GIR_Coverage, 19400,
     /* 1906888 */     GIR_EraseRootFromParent_Done,
     /* 1906889 */   // Label 25655: @1906889
     /* 1906889 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1906975), // Rule ID 19401 //
     /* 1906894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906940 */     // MIs[0] policy
     /* 1906940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906950 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1906953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906974 */     // GIR_Coverage, 19401,
     /* 1906974 */     GIR_EraseRootFromParent_Done,
     /* 1906975 */   // Label 25656: @1906975
     /* 1906975 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1907061), // Rule ID 19404 //
     /* 1906980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1906988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907026 */     // MIs[0] policy
     /* 1907026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907036 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1907039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907060 */     // GIR_Coverage, 19404,
     /* 1907060 */     GIR_EraseRootFromParent_Done,
     /* 1907061 */   // Label 25657: @1907061
     /* 1907061 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1907147), // Rule ID 19405 //
     /* 1907066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907112 */     // MIs[0] policy
     /* 1907112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907122 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1907125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907146 */     // GIR_Coverage, 19405,
     /* 1907146 */     GIR_EraseRootFromParent_Done,
     /* 1907147 */   // Label 25658: @1907147
     /* 1907147 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1907233), // Rule ID 19408 //
     /* 1907152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907198 */     // MIs[0] policy
     /* 1907198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907208 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1907211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907232 */     // GIR_Coverage, 19408,
     /* 1907232 */     GIR_EraseRootFromParent_Done,
     /* 1907233 */   // Label 25659: @1907233
     /* 1907233 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1907319), // Rule ID 19409 //
     /* 1907238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907284 */     // MIs[0] policy
     /* 1907284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907294 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1907297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907318 */     // GIR_Coverage, 19409,
     /* 1907318 */     GIR_EraseRootFromParent_Done,
     /* 1907319 */   // Label 25660: @1907319
     /* 1907319 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1907405), // Rule ID 19412 //
     /* 1907324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907370 */     // MIs[0] policy
     /* 1907370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1907383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907404 */     // GIR_Coverage, 19412,
     /* 1907404 */     GIR_EraseRootFromParent_Done,
     /* 1907405 */   // Label 25661: @1907405
     /* 1907405 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1907491), // Rule ID 19413 //
     /* 1907410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907456 */     // MIs[0] policy
     /* 1907456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907466 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1907469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907490 */     // GIR_Coverage, 19413,
     /* 1907490 */     GIR_EraseRootFromParent_Done,
     /* 1907491 */   // Label 25662: @1907491
     /* 1907491 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1907577), // Rule ID 19416 //
     /* 1907496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907542 */     // MIs[0] policy
     /* 1907542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907552 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1907555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907576 */     // GIR_Coverage, 19416,
     /* 1907576 */     GIR_EraseRootFromParent_Done,
     /* 1907577 */   // Label 25663: @1907577
     /* 1907577 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1907663), // Rule ID 19417 //
     /* 1907582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907628 */     // MIs[0] policy
     /* 1907628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907638 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1907641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907662 */     // GIR_Coverage, 19417,
     /* 1907662 */     GIR_EraseRootFromParent_Done,
     /* 1907663 */   // Label 25664: @1907663
     /* 1907663 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1907749), // Rule ID 19420 //
     /* 1907668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907714 */     // MIs[0] policy
     /* 1907714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907724 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1907727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907748 */     // GIR_Coverage, 19420,
     /* 1907748 */     GIR_EraseRootFromParent_Done,
     /* 1907749 */   // Label 25665: @1907749
     /* 1907749 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1907835), // Rule ID 19421 //
     /* 1907754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1907762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907800 */     // MIs[0] policy
     /* 1907800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907810 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1907813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907834 */     // GIR_Coverage, 19421,
     /* 1907834 */     GIR_EraseRootFromParent_Done,
     /* 1907835 */   // Label 25666: @1907835
     /* 1907835 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1907921), // Rule ID 19424 //
     /* 1907840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1907860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907886 */     // MIs[0] policy
     /* 1907886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907896 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1907899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907920 */     // GIR_Coverage, 19424,
     /* 1907920 */     GIR_EraseRootFromParent_Done,
     /* 1907921 */   // Label 25667: @1907921
     /* 1907921 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1908007), // Rule ID 19425 //
     /* 1907926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1907946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907972 */     // MIs[0] policy
     /* 1907972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1907985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908006 */     // GIR_Coverage, 19425,
     /* 1908006 */     GIR_EraseRootFromParent_Done,
     /* 1908007 */   // Label 25668: @1908007
     /* 1908007 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1908093), // Rule ID 19428 //
     /* 1908012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1908032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908058 */     // MIs[0] policy
     /* 1908058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908068 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1908071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908092 */     // GIR_Coverage, 19428,
     /* 1908092 */     GIR_EraseRootFromParent_Done,
     /* 1908093 */   // Label 25669: @1908093
     /* 1908093 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1908179), // Rule ID 19429 //
     /* 1908098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1908118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908144 */     // MIs[0] policy
     /* 1908144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908154 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1908157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908178 */     // GIR_Coverage, 19429,
     /* 1908178 */     GIR_EraseRootFromParent_Done,
     /* 1908179 */   // Label 25670: @1908179
     /* 1908179 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1908265), // Rule ID 19432 //
     /* 1908184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1908204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908230 */     // MIs[0] policy
     /* 1908230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908240 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1908243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908264 */     // GIR_Coverage, 19432,
     /* 1908264 */     GIR_EraseRootFromParent_Done,
     /* 1908265 */   // Label 25671: @1908265
     /* 1908265 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1908351), // Rule ID 19433 //
     /* 1908270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1908290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908316 */     // MIs[0] policy
     /* 1908316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908326 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1908329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908350 */     // GIR_Coverage, 19433,
     /* 1908350 */     GIR_EraseRootFromParent_Done,
     /* 1908351 */   // Label 25672: @1908351
     /* 1908351 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1908437), // Rule ID 19436 //
     /* 1908356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1908376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908402 */     // MIs[0] policy
     /* 1908402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908412 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1908415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908436 */     // GIR_Coverage, 19436,
     /* 1908436 */     GIR_EraseRootFromParent_Done,
     /* 1908437 */   // Label 25673: @1908437
     /* 1908437 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1908523), // Rule ID 19437 //
     /* 1908442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1908462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908488 */     // MIs[0] policy
     /* 1908488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908498 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1908501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908522 */     // GIR_Coverage, 19437,
     /* 1908522 */     GIR_EraseRootFromParent_Done,
     /* 1908523 */   // Label 25674: @1908523
     /* 1908523 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1908609), // Rule ID 19440 //
     /* 1908528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1908539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1908542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1908545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1908548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908574 */     // MIs[0] policy
     /* 1908574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908584 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1908587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908608 */     // GIR_Coverage, 19440,
     /* 1908608 */     GIR_EraseRootFromParent_Done,
     /* 1908609 */   // Label 25675: @1908609
     /* 1908609 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1908695), // Rule ID 19441 //
     /* 1908614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1908625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1908628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1908631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1908634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908660 */     // MIs[0] policy
     /* 1908660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908670 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1908673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908694 */     // GIR_Coverage, 19441,
     /* 1908694 */     GIR_EraseRootFromParent_Done,
     /* 1908695 */   // Label 25676: @1908695
     /* 1908695 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1908781), // Rule ID 19444 //
     /* 1908700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1908720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908746 */     // MIs[0] policy
     /* 1908746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1908759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908780 */     // GIR_Coverage, 19444,
     /* 1908780 */     GIR_EraseRootFromParent_Done,
     /* 1908781 */   // Label 25677: @1908781
     /* 1908781 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1908867), // Rule ID 19445 //
     /* 1908786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1908806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908832 */     // MIs[0] policy
     /* 1908832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908842 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1908845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908866 */     // GIR_Coverage, 19445,
     /* 1908866 */     GIR_EraseRootFromParent_Done,
     /* 1908867 */   // Label 25678: @1908867
     /* 1908867 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1908953), // Rule ID 19448 //
     /* 1908872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1908892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908918 */     // MIs[0] policy
     /* 1908918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908928 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1908931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908952 */     // GIR_Coverage, 19448,
     /* 1908952 */     GIR_EraseRootFromParent_Done,
     /* 1908953 */   // Label 25679: @1908953
     /* 1908953 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1909039), // Rule ID 19449 //
     /* 1908958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1908966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1908978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909004 */     // MIs[0] policy
     /* 1909004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909014 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1909017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909038 */     // GIR_Coverage, 19449,
     /* 1909038 */     GIR_EraseRootFromParent_Done,
     /* 1909039 */   // Label 25680: @1909039
     /* 1909039 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1909125), // Rule ID 19452 //
     /* 1909044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1909064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909090 */     // MIs[0] policy
     /* 1909090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909100 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1909103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909124 */     // GIR_Coverage, 19452,
     /* 1909124 */     GIR_EraseRootFromParent_Done,
     /* 1909125 */   // Label 25681: @1909125
     /* 1909125 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1909211), // Rule ID 19453 //
     /* 1909130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1909150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909176 */     // MIs[0] policy
     /* 1909176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909186 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1909189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909210 */     // GIR_Coverage, 19453,
     /* 1909210 */     GIR_EraseRootFromParent_Done,
     /* 1909211 */   // Label 25682: @1909211
     /* 1909211 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1909297), // Rule ID 19456 //
     /* 1909216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1909236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909262 */     // MIs[0] policy
     /* 1909262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909272 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1909275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909296 */     // GIR_Coverage, 19456,
     /* 1909296 */     GIR_EraseRootFromParent_Done,
     /* 1909297 */   // Label 25683: @1909297
     /* 1909297 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1909383), // Rule ID 19457 //
     /* 1909302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1909322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909348 */     // MIs[0] policy
     /* 1909348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909358 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1909361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909382 */     // GIR_Coverage, 19457,
     /* 1909382 */     GIR_EraseRootFromParent_Done,
     /* 1909383 */   // Label 25684: @1909383
     /* 1909383 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1909469), // Rule ID 19460 //
     /* 1909388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1909408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909434 */     // MIs[0] policy
     /* 1909434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909444 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1909447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909468 */     // GIR_Coverage, 19460,
     /* 1909468 */     GIR_EraseRootFromParent_Done,
     /* 1909469 */   // Label 25685: @1909469
     /* 1909469 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1909555), // Rule ID 19461 //
     /* 1909474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1909494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909520 */     // MIs[0] policy
     /* 1909520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909530 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1909533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909554 */     // GIR_Coverage, 19461,
     /* 1909554 */     GIR_EraseRootFromParent_Done,
     /* 1909555 */   // Label 25686: @1909555
     /* 1909555 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1909641), // Rule ID 19464 //
     /* 1909560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1909580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909606 */     // MIs[0] policy
     /* 1909606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909616 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1909619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909640 */     // GIR_Coverage, 19464,
     /* 1909640 */     GIR_EraseRootFromParent_Done,
     /* 1909641 */   // Label 25687: @1909641
     /* 1909641 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1909727), // Rule ID 19465 //
     /* 1909646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1909666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909692 */     // MIs[0] policy
     /* 1909692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1909705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909726 */     // GIR_Coverage, 19465,
     /* 1909726 */     GIR_EraseRootFromParent_Done,
     /* 1909727 */   // Label 25688: @1909727
     /* 1909727 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1909813), // Rule ID 19468 //
     /* 1909732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1909752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909778 */     // MIs[0] policy
     /* 1909778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1909791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909812 */     // GIR_Coverage, 19468,
     /* 1909812 */     GIR_EraseRootFromParent_Done,
     /* 1909813 */   // Label 25689: @1909813
     /* 1909813 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1909899), // Rule ID 19469 //
     /* 1909818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1909838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909864 */     // MIs[0] policy
     /* 1909864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909874 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1909877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909898 */     // GIR_Coverage, 19469,
     /* 1909898 */     GIR_EraseRootFromParent_Done,
     /* 1909899 */   // Label 25690: @1909899
     /* 1909899 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1909985), // Rule ID 19472 //
     /* 1909904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1909915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1909918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1909921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1909924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909950 */     // MIs[0] policy
     /* 1909950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909960 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1909963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909984 */     // GIR_Coverage, 19472,
     /* 1909984 */     GIR_EraseRootFromParent_Done,
     /* 1909985 */   // Label 25691: @1909985
     /* 1909985 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1910071), // Rule ID 19473 //
     /* 1909990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1909998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1910010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910036 */     // MIs[0] policy
     /* 1910036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910046 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1910049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910070 */     // GIR_Coverage, 19473,
     /* 1910070 */     GIR_EraseRootFromParent_Done,
     /* 1910071 */   // Label 25692: @1910071
     /* 1910071 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1910157), // Rule ID 19476 //
     /* 1910076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1910096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910122 */     // MIs[0] policy
     /* 1910122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910132 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1910135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910156 */     // GIR_Coverage, 19476,
     /* 1910156 */     GIR_EraseRootFromParent_Done,
     /* 1910157 */   // Label 25693: @1910157
     /* 1910157 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1910243), // Rule ID 19477 //
     /* 1910162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1910182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910208 */     // MIs[0] policy
     /* 1910208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910218 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1910221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910242 */     // GIR_Coverage, 19477,
     /* 1910242 */     GIR_EraseRootFromParent_Done,
     /* 1910243 */   // Label 25694: @1910243
     /* 1910243 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1910329), // Rule ID 19480 //
     /* 1910248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1910268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910294 */     // MIs[0] policy
     /* 1910294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910304 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1910307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910328 */     // GIR_Coverage, 19480,
     /* 1910328 */     GIR_EraseRootFromParent_Done,
     /* 1910329 */   // Label 25695: @1910329
     /* 1910329 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1910415), // Rule ID 19481 //
     /* 1910334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1910354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910380 */     // MIs[0] policy
     /* 1910380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910390 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1910393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910414 */     // GIR_Coverage, 19481,
     /* 1910414 */     GIR_EraseRootFromParent_Done,
     /* 1910415 */   // Label 25696: @1910415
     /* 1910415 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1910501), // Rule ID 19484 //
     /* 1910420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1910431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1910434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1910437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910466 */     // MIs[0] policy
     /* 1910466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910476 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1910479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910500 */     // GIR_Coverage, 19484,
     /* 1910500 */     GIR_EraseRootFromParent_Done,
     /* 1910501 */   // Label 25697: @1910501
     /* 1910501 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1910587), // Rule ID 19485 //
     /* 1910506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1910517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1910520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1910523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910552 */     // MIs[0] policy
     /* 1910552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910562 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1910565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910586 */     // GIR_Coverage, 19485,
     /* 1910586 */     GIR_EraseRootFromParent_Done,
     /* 1910587 */   // Label 25698: @1910587
     /* 1910587 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1910673), // Rule ID 19488 //
     /* 1910592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1910603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1910606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1910609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910638 */     // MIs[0] policy
     /* 1910638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910648 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1910651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910672 */     // GIR_Coverage, 19488,
     /* 1910672 */     GIR_EraseRootFromParent_Done,
     /* 1910673 */   // Label 25699: @1910673
     /* 1910673 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1910759), // Rule ID 19489 //
     /* 1910678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1910689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1910692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1910695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910724 */     // MIs[0] policy
     /* 1910724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910734 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1910737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910758 */     // GIR_Coverage, 19489,
     /* 1910758 */     GIR_EraseRootFromParent_Done,
     /* 1910759 */   // Label 25700: @1910759
     /* 1910759 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1910845), // Rule ID 19492 //
     /* 1910764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1910806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910810 */     // MIs[0] policy
     /* 1910810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910820 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1910823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910844 */     // GIR_Coverage, 19492,
     /* 1910844 */     GIR_EraseRootFromParent_Done,
     /* 1910845 */   // Label 25701: @1910845
     /* 1910845 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1910931), // Rule ID 19493 //
     /* 1910850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1910892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910896 */     // MIs[0] policy
     /* 1910896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910906 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1910909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910930 */     // GIR_Coverage, 19493,
     /* 1910930 */     GIR_EraseRootFromParent_Done,
     /* 1910931 */   // Label 25702: @1910931
     /* 1910931 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1911017), // Rule ID 19496 //
     /* 1910936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1910944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910982 */     // MIs[0] policy
     /* 1910982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910992 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1910995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911016 */     // GIR_Coverage, 19496,
     /* 1911016 */     GIR_EraseRootFromParent_Done,
     /* 1911017 */   // Label 25703: @1911017
     /* 1911017 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1911103), // Rule ID 19497 //
     /* 1911022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1911033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1911036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1911039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911068 */     // MIs[0] policy
     /* 1911068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1911081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911102 */     // GIR_Coverage, 19497,
     /* 1911102 */     GIR_EraseRootFromParent_Done,
     /* 1911103 */   // Label 25704: @1911103
     /* 1911103 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1911189), // Rule ID 19500 //
     /* 1911108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911154 */     // MIs[0] policy
     /* 1911154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911164 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1911167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911188 */     // GIR_Coverage, 19500,
     /* 1911188 */     GIR_EraseRootFromParent_Done,
     /* 1911189 */   // Label 25705: @1911189
     /* 1911189 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1911275), // Rule ID 19501 //
     /* 1911194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1911205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1911208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1911211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911240 */     // MIs[0] policy
     /* 1911240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1911253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911274 */     // GIR_Coverage, 19501,
     /* 1911274 */     GIR_EraseRootFromParent_Done,
     /* 1911275 */   // Label 25706: @1911275
     /* 1911275 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1911361), // Rule ID 19504 //
     /* 1911280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1911297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1911322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911326 */     // MIs[0] policy
     /* 1911326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1911339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911360 */     // GIR_Coverage, 19504,
     /* 1911360 */     GIR_EraseRootFromParent_Done,
     /* 1911361 */   // Label 25707: @1911361
     /* 1911361 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1911447), // Rule ID 19505 //
     /* 1911366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1911377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1911380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1911383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1911408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911412 */     // MIs[0] policy
     /* 1911412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911422 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1911425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911446 */     // GIR_Coverage, 19505,
     /* 1911446 */     GIR_EraseRootFromParent_Done,
     /* 1911447 */   // Label 25708: @1911447
     /* 1911447 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1911533), // Rule ID 19508 //
     /* 1911452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911498 */     // MIs[0] policy
     /* 1911498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1911511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911532 */     // GIR_Coverage, 19508,
     /* 1911532 */     GIR_EraseRootFromParent_Done,
     /* 1911533 */   // Label 25709: @1911533
     /* 1911533 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1911619), // Rule ID 19509 //
     /* 1911538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911584 */     // MIs[0] policy
     /* 1911584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911594 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1911597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911618 */     // GIR_Coverage, 19509,
     /* 1911618 */     GIR_EraseRootFromParent_Done,
     /* 1911619 */   // Label 25710: @1911619
     /* 1911619 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1911705), // Rule ID 19512 //
     /* 1911624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911670 */     // MIs[0] policy
     /* 1911670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911680 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1911683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911704 */     // GIR_Coverage, 19512,
     /* 1911704 */     GIR_EraseRootFromParent_Done,
     /* 1911705 */   // Label 25711: @1911705
     /* 1911705 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1911791), // Rule ID 19513 //
     /* 1911710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911756 */     // MIs[0] policy
     /* 1911756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911766 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1911769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911790 */     // GIR_Coverage, 19513,
     /* 1911790 */     GIR_EraseRootFromParent_Done,
     /* 1911791 */   // Label 25712: @1911791
     /* 1911791 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1911877), // Rule ID 19516 //
     /* 1911796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911842 */     // MIs[0] policy
     /* 1911842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911852 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1911855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911876 */     // GIR_Coverage, 19516,
     /* 1911876 */     GIR_EraseRootFromParent_Done,
     /* 1911877 */   // Label 25713: @1911877
     /* 1911877 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1911963), // Rule ID 19517 //
     /* 1911882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911928 */     // MIs[0] policy
     /* 1911928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911938 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1911941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911962 */     // GIR_Coverage, 19517,
     /* 1911962 */     GIR_EraseRootFromParent_Done,
     /* 1911963 */   // Label 25714: @1911963
     /* 1911963 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1912049), // Rule ID 19520 //
     /* 1911968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1911976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912014 */     // MIs[0] policy
     /* 1912014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912024 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1912027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912048 */     // GIR_Coverage, 19520,
     /* 1912048 */     GIR_EraseRootFromParent_Done,
     /* 1912049 */   // Label 25715: @1912049
     /* 1912049 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1912135), // Rule ID 19521 //
     /* 1912054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912100 */     // MIs[0] policy
     /* 1912100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912110 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1912113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912134 */     // GIR_Coverage, 19521,
     /* 1912134 */     GIR_EraseRootFromParent_Done,
     /* 1912135 */   // Label 25716: @1912135
     /* 1912135 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1912221), // Rule ID 19524 //
     /* 1912140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912186 */     // MIs[0] policy
     /* 1912186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912196 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1912199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912220 */     // GIR_Coverage, 19524,
     /* 1912220 */     GIR_EraseRootFromParent_Done,
     /* 1912221 */   // Label 25717: @1912221
     /* 1912221 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1912307), // Rule ID 19525 //
     /* 1912226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912272 */     // MIs[0] policy
     /* 1912272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912282 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1912285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912306 */     // GIR_Coverage, 19525,
     /* 1912306 */     GIR_EraseRootFromParent_Done,
     /* 1912307 */   // Label 25718: @1912307
     /* 1912307 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1912393), // Rule ID 19528 //
     /* 1912312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912358 */     // MIs[0] policy
     /* 1912358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912368 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1912371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912392 */     // GIR_Coverage, 19528,
     /* 1912392 */     GIR_EraseRootFromParent_Done,
     /* 1912393 */   // Label 25719: @1912393
     /* 1912393 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1912479), // Rule ID 19529 //
     /* 1912398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912444 */     // MIs[0] policy
     /* 1912444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912454 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1912457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912478 */     // GIR_Coverage, 19529,
     /* 1912478 */     GIR_EraseRootFromParent_Done,
     /* 1912479 */   // Label 25720: @1912479
     /* 1912479 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1912565), // Rule ID 19532 //
     /* 1912484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912530 */     // MIs[0] policy
     /* 1912530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912540 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1912543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912564 */     // GIR_Coverage, 19532,
     /* 1912564 */     GIR_EraseRootFromParent_Done,
     /* 1912565 */   // Label 25721: @1912565
     /* 1912565 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1912651), // Rule ID 19533 //
     /* 1912570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912616 */     // MIs[0] policy
     /* 1912616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912626 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1912629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912650 */     // GIR_Coverage, 19533,
     /* 1912650 */     GIR_EraseRootFromParent_Done,
     /* 1912651 */   // Label 25722: @1912651
     /* 1912651 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1912737), // Rule ID 19536 //
     /* 1912656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912702 */     // MIs[0] policy
     /* 1912702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912712 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1912715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912736 */     // GIR_Coverage, 19536,
     /* 1912736 */     GIR_EraseRootFromParent_Done,
     /* 1912737 */   // Label 25723: @1912737
     /* 1912737 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1912823), // Rule ID 19537 //
     /* 1912742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912788 */     // MIs[0] policy
     /* 1912788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912798 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1912801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912822 */     // GIR_Coverage, 19537,
     /* 1912822 */     GIR_EraseRootFromParent_Done,
     /* 1912823 */   // Label 25724: @1912823
     /* 1912823 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1912909), // Rule ID 19540 //
     /* 1912828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912874 */     // MIs[0] policy
     /* 1912874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1912887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912908 */     // GIR_Coverage, 19540,
     /* 1912908 */     GIR_EraseRootFromParent_Done,
     /* 1912909 */   // Label 25725: @1912909
     /* 1912909 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1912995), // Rule ID 19541 //
     /* 1912914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1912922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912960 */     // MIs[0] policy
     /* 1912960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1912973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912994 */     // GIR_Coverage, 19541,
     /* 1912994 */     GIR_EraseRootFromParent_Done,
     /* 1912995 */   // Label 25726: @1912995
     /* 1912995 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1913081), // Rule ID 19544 //
     /* 1913000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1913011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1913014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1913017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1913020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913046 */     // MIs[0] policy
     /* 1913046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913056 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1913059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913080 */     // GIR_Coverage, 19544,
     /* 1913080 */     GIR_EraseRootFromParent_Done,
     /* 1913081 */   // Label 25727: @1913081
     /* 1913081 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1913167), // Rule ID 19545 //
     /* 1913086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1913097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1913100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1913103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1913106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913132 */     // MIs[0] policy
     /* 1913132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913142 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1913145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913166 */     // GIR_Coverage, 19545,
     /* 1913166 */     GIR_EraseRootFromParent_Done,
     /* 1913167 */   // Label 25728: @1913167
     /* 1913167 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1913253), // Rule ID 19548 //
     /* 1913172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1913183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1913186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1913189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1913192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913218 */     // MIs[0] policy
     /* 1913218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913228 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1913231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913252 */     // GIR_Coverage, 19548,
     /* 1913252 */     GIR_EraseRootFromParent_Done,
     /* 1913253 */   // Label 25729: @1913253
     /* 1913253 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1913339), // Rule ID 19549 //
     /* 1913258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1913269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1913272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1913275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1913278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913304 */     // MIs[0] policy
     /* 1913304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1913317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913338 */     // GIR_Coverage, 19549,
     /* 1913338 */     GIR_EraseRootFromParent_Done,
     /* 1913339 */   // Label 25730: @1913339
     /* 1913339 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1913425), // Rule ID 19552 //
     /* 1913344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1913355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1913358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1913361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1913364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913390 */     // MIs[0] policy
     /* 1913390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913400 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1913403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913424 */     // GIR_Coverage, 19552,
     /* 1913424 */     GIR_EraseRootFromParent_Done,
     /* 1913425 */   // Label 25731: @1913425
     /* 1913425 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1913511), // Rule ID 19553 //
     /* 1913430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1913441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1913444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1913447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1913450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913476 */     // MIs[0] policy
     /* 1913476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913486 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1913489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913510 */     // GIR_Coverage, 19553,
     /* 1913510 */     GIR_EraseRootFromParent_Done,
     /* 1913511 */   // Label 25732: @1913511
     /* 1913511 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1913597), // Rule ID 19556 //
     /* 1913516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1913536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913562 */     // MIs[0] policy
     /* 1913562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913572 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1913575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913596 */     // GIR_Coverage, 19556,
     /* 1913596 */     GIR_EraseRootFromParent_Done,
     /* 1913597 */   // Label 25733: @1913597
     /* 1913597 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1913683), // Rule ID 19557 //
     /* 1913602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1913622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913648 */     // MIs[0] policy
     /* 1913648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913658 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1913661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913682 */     // GIR_Coverage, 19557,
     /* 1913682 */     GIR_EraseRootFromParent_Done,
     /* 1913683 */   // Label 25734: @1913683
     /* 1913683 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1913769), // Rule ID 19560 //
     /* 1913688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1913708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913734 */     // MIs[0] policy
     /* 1913734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913744 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1913747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913768 */     // GIR_Coverage, 19560,
     /* 1913768 */     GIR_EraseRootFromParent_Done,
     /* 1913769 */   // Label 25735: @1913769
     /* 1913769 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1913855), // Rule ID 19561 //
     /* 1913774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1913794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913820 */     // MIs[0] policy
     /* 1913820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1913833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913854 */     // GIR_Coverage, 19561,
     /* 1913854 */     GIR_EraseRootFromParent_Done,
     /* 1913855 */   // Label 25736: @1913855
     /* 1913855 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1913941), // Rule ID 19564 //
     /* 1913860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1913863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1913880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913906 */     // MIs[0] policy
     /* 1913906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1913919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913940 */     // GIR_Coverage, 19564,
     /* 1913940 */     GIR_EraseRootFromParent_Done,
     /* 1913941 */   // Label 25737: @1913941
     /* 1913941 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1914027), // Rule ID 19565 //
     /* 1913946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1913949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1913954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1913966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913992 */     // MIs[0] policy
     /* 1913992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914002 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1914005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914026 */     // GIR_Coverage, 19565,
     /* 1914026 */     GIR_EraseRootFromParent_Done,
     /* 1914027 */   // Label 25738: @1914027
     /* 1914027 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1914113), // Rule ID 19568 //
     /* 1914032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1914043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1914046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1914049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1914052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914078 */     // MIs[0] policy
     /* 1914078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914088 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1914091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914112 */     // GIR_Coverage, 19568,
     /* 1914112 */     GIR_EraseRootFromParent_Done,
     /* 1914113 */   // Label 25739: @1914113
     /* 1914113 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1914199), // Rule ID 19569 //
     /* 1914118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1914129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1914132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1914135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1914138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914164 */     // MIs[0] policy
     /* 1914164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914174 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1914177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914198 */     // GIR_Coverage, 19569,
     /* 1914198 */     GIR_EraseRootFromParent_Done,
     /* 1914199 */   // Label 25740: @1914199
     /* 1914199 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1914285), // Rule ID 19572 //
     /* 1914204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1914215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1914218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1914221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1914224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914250 */     // MIs[0] policy
     /* 1914250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914260 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1914263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914284 */     // GIR_Coverage, 19572,
     /* 1914284 */     GIR_EraseRootFromParent_Done,
     /* 1914285 */   // Label 25741: @1914285
     /* 1914285 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1914371), // Rule ID 19573 //
     /* 1914290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1914301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1914304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1914307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1914310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914336 */     // MIs[0] policy
     /* 1914336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914346 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1914349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914370 */     // GIR_Coverage, 19573,
     /* 1914370 */     GIR_EraseRootFromParent_Done,
     /* 1914371 */   // Label 25742: @1914371
     /* 1914371 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1914457), // Rule ID 19576 //
     /* 1914376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1914396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914422 */     // MIs[0] policy
     /* 1914422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914432 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1914435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914456 */     // GIR_Coverage, 19576,
     /* 1914456 */     GIR_EraseRootFromParent_Done,
     /* 1914457 */   // Label 25743: @1914457
     /* 1914457 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1914543), // Rule ID 19577 //
     /* 1914462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1914482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914508 */     // MIs[0] policy
     /* 1914508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914518 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1914521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914542 */     // GIR_Coverage, 19577,
     /* 1914542 */     GIR_EraseRootFromParent_Done,
     /* 1914543 */   // Label 25744: @1914543
     /* 1914543 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1914629), // Rule ID 19580 //
     /* 1914548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1914568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914594 */     // MIs[0] policy
     /* 1914594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1914607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914628 */     // GIR_Coverage, 19580,
     /* 1914628 */     GIR_EraseRootFromParent_Done,
     /* 1914629 */   // Label 25745: @1914629
     /* 1914629 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1914715), // Rule ID 19581 //
     /* 1914634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1914654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914680 */     // MIs[0] policy
     /* 1914680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1914693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914714 */     // GIR_Coverage, 19581,
     /* 1914714 */     GIR_EraseRootFromParent_Done,
     /* 1914715 */   // Label 25746: @1914715
     /* 1914715 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1914801), // Rule ID 19584 //
     /* 1914720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1914740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914766 */     // MIs[0] policy
     /* 1914766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914776 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1914779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914800 */     // GIR_Coverage, 19584,
     /* 1914800 */     GIR_EraseRootFromParent_Done,
     /* 1914801 */   // Label 25747: @1914801
     /* 1914801 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1914887), // Rule ID 19585 //
     /* 1914806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1914826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914852 */     // MIs[0] policy
     /* 1914852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914862 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1914865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914886 */     // GIR_Coverage, 19585,
     /* 1914886 */     GIR_EraseRootFromParent_Done,
     /* 1914887 */   // Label 25748: @1914887
     /* 1914887 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1914973), // Rule ID 19588 //
     /* 1914892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1914912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914938 */     // MIs[0] policy
     /* 1914938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1914951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914972 */     // GIR_Coverage, 19588,
     /* 1914972 */     GIR_EraseRootFromParent_Done,
     /* 1914973 */   // Label 25749: @1914973
     /* 1914973 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1915059), // Rule ID 19589 //
     /* 1914978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1914981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1914986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1914998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915024 */     // MIs[0] policy
     /* 1915024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1915037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915058 */     // GIR_Coverage, 19589,
     /* 1915058 */     GIR_EraseRootFromParent_Done,
     /* 1915059 */   // Label 25750: @1915059
     /* 1915059 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1915145), // Rule ID 19592 //
     /* 1915064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1915075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1915078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1915081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1915084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915110 */     // MIs[0] policy
     /* 1915110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915120 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1915123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915144 */     // GIR_Coverage, 19592,
     /* 1915144 */     GIR_EraseRootFromParent_Done,
     /* 1915145 */   // Label 25751: @1915145
     /* 1915145 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1915231), // Rule ID 19593 //
     /* 1915150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1915161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1915164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1915167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1915170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915196 */     // MIs[0] policy
     /* 1915196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915206 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1915209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915230 */     // GIR_Coverage, 19593,
     /* 1915230 */     GIR_EraseRootFromParent_Done,
     /* 1915231 */   // Label 25752: @1915231
     /* 1915231 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1915317), // Rule ID 19596 //
     /* 1915236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1915247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1915250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1915253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1915256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915282 */     // MIs[0] policy
     /* 1915282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915292 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1915295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915316 */     // GIR_Coverage, 19596,
     /* 1915316 */     GIR_EraseRootFromParent_Done,
     /* 1915317 */   // Label 25753: @1915317
     /* 1915317 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1915403), // Rule ID 19597 //
     /* 1915322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1915333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1915336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1915339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1915342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915368 */     // MIs[0] policy
     /* 1915368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915378 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1915381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915402 */     // GIR_Coverage, 19597,
     /* 1915402 */     GIR_EraseRootFromParent_Done,
     /* 1915403 */   // Label 25754: @1915403
     /* 1915403 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1915489), // Rule ID 19600 //
     /* 1915408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1915428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915454 */     // MIs[0] policy
     /* 1915454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915464 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1915467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915488 */     // GIR_Coverage, 19600,
     /* 1915488 */     GIR_EraseRootFromParent_Done,
     /* 1915489 */   // Label 25755: @1915489
     /* 1915489 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1915575), // Rule ID 19601 //
     /* 1915494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1915514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915540 */     // MIs[0] policy
     /* 1915540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915550 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1915553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915574 */     // GIR_Coverage, 19601,
     /* 1915574 */     GIR_EraseRootFromParent_Done,
     /* 1915575 */   // Label 25756: @1915575
     /* 1915575 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1915661), // Rule ID 19604 //
     /* 1915580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1915600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1915622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915626 */     // MIs[0] policy
     /* 1915626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915636 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1915639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915660 */     // GIR_Coverage, 19604,
     /* 1915660 */     GIR_EraseRootFromParent_Done,
     /* 1915661 */   // Label 25757: @1915661
     /* 1915661 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1915747), // Rule ID 19605 //
     /* 1915666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1915686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1915708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915712 */     // MIs[0] policy
     /* 1915712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915722 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1915725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915746 */     // GIR_Coverage, 19605,
     /* 1915746 */     GIR_EraseRootFromParent_Done,
     /* 1915747 */   // Label 25758: @1915747
     /* 1915747 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1915833), // Rule ID 19608 //
     /* 1915752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1915763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1915766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1915772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1915794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915798 */     // MIs[0] policy
     /* 1915798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915808 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1915811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915832 */     // GIR_Coverage, 19608,
     /* 1915832 */     GIR_EraseRootFromParent_Done,
     /* 1915833 */   // Label 25759: @1915833
     /* 1915833 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1915919), // Rule ID 19609 //
     /* 1915838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1915849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1915852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1915858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1915880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915884 */     // MIs[0] policy
     /* 1915884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915894 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1915897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915918 */     // GIR_Coverage, 19609,
     /* 1915918 */     GIR_EraseRootFromParent_Done,
     /* 1915919 */   // Label 25760: @1915919
     /* 1915919 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1916005), // Rule ID 19612 //
     /* 1915924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1915927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1915932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1915935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1915938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1915941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1915966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915970 */     // MIs[0] policy
     /* 1915970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915980 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1915983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916004 */     // GIR_Coverage, 19612,
     /* 1916004 */     GIR_EraseRootFromParent_Done,
     /* 1916005 */   // Label 25761: @1916005
     /* 1916005 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1916091), // Rule ID 19613 //
     /* 1916010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1916021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1916024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1916027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1916052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916056 */     // MIs[0] policy
     /* 1916056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916066 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1916069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916090 */     // GIR_Coverage, 19613,
     /* 1916090 */     GIR_EraseRootFromParent_Done,
     /* 1916091 */   // Label 25762: @1916091
     /* 1916091 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1916177), // Rule ID 19616 //
     /* 1916096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1916113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1916116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1916138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916142 */     // MIs[0] policy
     /* 1916142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1916155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916176 */     // GIR_Coverage, 19616,
     /* 1916176 */     GIR_EraseRootFromParent_Done,
     /* 1916177 */   // Label 25763: @1916177
     /* 1916177 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1916263), // Rule ID 19617 //
     /* 1916182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1916199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1916202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1916224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916228 */     // MIs[0] policy
     /* 1916228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916238 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1916241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916262 */     // GIR_Coverage, 19617,
     /* 1916262 */     GIR_EraseRootFromParent_Done,
     /* 1916263 */   // Label 25764: @1916263
     /* 1916263 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1916349), // Rule ID 19620 //
     /* 1916268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1916271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1916279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1916282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1916310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916314 */     // MIs[0] policy
     /* 1916314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916324 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1916327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916348 */     // GIR_Coverage, 19620,
     /* 1916348 */     GIR_EraseRootFromParent_Done,
     /* 1916349 */   // Label 25765: @1916349
     /* 1916349 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1916435), // Rule ID 19621 //
     /* 1916354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1916365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1916368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1916396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916400 */     // MIs[0] policy
     /* 1916400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1916413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916434 */     // GIR_Coverage, 19621,
     /* 1916434 */     GIR_EraseRootFromParent_Done,
     /* 1916435 */   // Label 25766: @1916435
     /* 1916435 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1916521), // Rule ID 19624 //
     /* 1916440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1916443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1916451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1916454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1916482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916486 */     // MIs[0] policy
     /* 1916486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1916499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916520 */     // GIR_Coverage, 19624,
     /* 1916520 */     GIR_EraseRootFromParent_Done,
     /* 1916521 */   // Label 25767: @1916521
     /* 1916521 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1916607), // Rule ID 19625 //
     /* 1916526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1916529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1916537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1916540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1916568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916572 */     // MIs[0] policy
     /* 1916572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916582 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1916585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916606 */     // GIR_Coverage, 19625,
     /* 1916606 */     GIR_EraseRootFromParent_Done,
     /* 1916607 */   // Label 25768: @1916607
     /* 1916607 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1916693), // Rule ID 19628 //
     /* 1916612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1916632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1916654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916658 */     // MIs[0] policy
     /* 1916658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1916671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916692 */     // GIR_Coverage, 19628,
     /* 1916692 */     GIR_EraseRootFromParent_Done,
     /* 1916693 */   // Label 25769: @1916693
     /* 1916693 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1916779), // Rule ID 19629 //
     /* 1916698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1916718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1916740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916744 */     // MIs[0] policy
     /* 1916744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916754 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1916757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916778 */     // GIR_Coverage, 19629,
     /* 1916778 */     GIR_EraseRootFromParent_Done,
     /* 1916779 */   // Label 25770: @1916779
     /* 1916779 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1916865), // Rule ID 19632 //
     /* 1916784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1916804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1916826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916830 */     // MIs[0] policy
     /* 1916830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916840 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1916843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916864 */     // GIR_Coverage, 19632,
     /* 1916864 */     GIR_EraseRootFromParent_Done,
     /* 1916865 */   // Label 25771: @1916865
     /* 1916865 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1916951), // Rule ID 19633 //
     /* 1916870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1916890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1916912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916916 */     // MIs[0] policy
     /* 1916916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916926 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1916929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916950 */     // GIR_Coverage, 19633,
     /* 1916950 */     GIR_EraseRootFromParent_Done,
     /* 1916951 */   // Label 25772: @1916951
     /* 1916951 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1917037), // Rule ID 19636 //
     /* 1916956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1916959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1916964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1916976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1916998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917002 */     // MIs[0] policy
     /* 1917002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917012 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1917015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917036 */     // GIR_Coverage, 19636,
     /* 1917036 */     GIR_EraseRootFromParent_Done,
     /* 1917037 */   // Label 25773: @1917037
     /* 1917037 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1917123), // Rule ID 19637 //
     /* 1917042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1917045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1917053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1917056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1917059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1917065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917088 */     // MIs[0] policy
     /* 1917088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917098 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1917101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917122 */     // GIR_Coverage, 19637,
     /* 1917122 */     GIR_EraseRootFromParent_Done,
     /* 1917123 */   // Label 25774: @1917123
     /* 1917123 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1917209), // Rule ID 19640 //
     /* 1917128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1917139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1917142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1917145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917174 */     // MIs[0] policy
     /* 1917174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917184 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1917187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917208 */     // GIR_Coverage, 19640,
     /* 1917208 */     GIR_EraseRootFromParent_Done,
     /* 1917209 */   // Label 25775: @1917209
     /* 1917209 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1917295), // Rule ID 19641 //
     /* 1917214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1917225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1917228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1917231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917260 */     // MIs[0] policy
     /* 1917260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917270 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1917273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917294 */     // GIR_Coverage, 19641,
     /* 1917294 */     GIR_EraseRootFromParent_Done,
     /* 1917295 */   // Label 25776: @1917295
     /* 1917295 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1917381), // Rule ID 19644 //
     /* 1917300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1917311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1917314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917346 */     // MIs[0] policy
     /* 1917346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917356 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1917359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917380 */     // GIR_Coverage, 19644,
     /* 1917380 */     GIR_EraseRootFromParent_Done,
     /* 1917381 */   // Label 25777: @1917381
     /* 1917381 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1917467), // Rule ID 19645 //
     /* 1917386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1917397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1917400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917432 */     // MIs[0] policy
     /* 1917432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917442 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1917445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917466 */     // GIR_Coverage, 19645,
     /* 1917466 */     GIR_EraseRootFromParent_Done,
     /* 1917467 */   // Label 25778: @1917467
     /* 1917467 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1917553), // Rule ID 19648 //
     /* 1917472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917518 */     // MIs[0] policy
     /* 1917518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1917531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917552 */     // GIR_Coverage, 19648,
     /* 1917552 */     GIR_EraseRootFromParent_Done,
     /* 1917553 */   // Label 25779: @1917553
     /* 1917553 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1917639), // Rule ID 19649 //
     /* 1917558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917604 */     // MIs[0] policy
     /* 1917604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917614 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1917617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917638 */     // GIR_Coverage, 19649,
     /* 1917638 */     GIR_EraseRootFromParent_Done,
     /* 1917639 */   // Label 25780: @1917639
     /* 1917639 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1917725), // Rule ID 19652 //
     /* 1917644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1917686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917690 */     // MIs[0] policy
     /* 1917690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917700 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1917703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917724 */     // GIR_Coverage, 19652,
     /* 1917724 */     GIR_EraseRootFromParent_Done,
     /* 1917725 */   // Label 25781: @1917725
     /* 1917725 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1917811), // Rule ID 19653 //
     /* 1917730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1917772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917776 */     // MIs[0] policy
     /* 1917776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917786 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1917789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917810 */     // GIR_Coverage, 19653,
     /* 1917810 */     GIR_EraseRootFromParent_Done,
     /* 1917811 */   // Label 25782: @1917811
     /* 1917811 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1917897), // Rule ID 19656 //
     /* 1917816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1917858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917862 */     // MIs[0] policy
     /* 1917862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1917875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917896 */     // GIR_Coverage, 19656,
     /* 1917896 */     GIR_EraseRootFromParent_Done,
     /* 1917897 */   // Label 25783: @1917897
     /* 1917897 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1917983), // Rule ID 19657 //
     /* 1917902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1917944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917948 */     // MIs[0] policy
     /* 1917948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917958 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1917961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917982 */     // GIR_Coverage, 19657,
     /* 1917982 */     GIR_EraseRootFromParent_Done,
     /* 1917983 */   // Label 25784: @1917983
     /* 1917983 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1918069), // Rule ID 19660 //
     /* 1917988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1917996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1918002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1918030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918034 */     // MIs[0] policy
     /* 1918034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918044 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1918047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918068 */     // GIR_Coverage, 19660,
     /* 1918068 */     GIR_EraseRootFromParent_Done,
     /* 1918069 */   // Label 25785: @1918069
     /* 1918069 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1918155), // Rule ID 19661 //
     /* 1918074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1918077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1918082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1918085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1918088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1918116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918120 */     // MIs[0] policy
     /* 1918120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918130 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1918133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918154 */     // GIR_Coverage, 19661,
     /* 1918154 */     GIR_EraseRootFromParent_Done,
     /* 1918155 */   // Label 25786: @1918155
     /* 1918155 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1918241), // Rule ID 23502 //
     /* 1918160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1918171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1918174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1918177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918206 */     // MIs[0] policy
     /* 1918206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918216 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1918219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918240 */     // GIR_Coverage, 23502,
     /* 1918240 */     GIR_EraseRootFromParent_Done,
     /* 1918241 */   // Label 25787: @1918241
     /* 1918241 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1918327), // Rule ID 23503 //
     /* 1918246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1918257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1918260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1918263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918292 */     // MIs[0] policy
     /* 1918292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1918305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918326 */     // GIR_Coverage, 23503,
     /* 1918326 */     GIR_EraseRootFromParent_Done,
     /* 1918327 */   // Label 25788: @1918327
     /* 1918327 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1918413), // Rule ID 23506 //
     /* 1918332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1918349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918378 */     // MIs[0] policy
     /* 1918378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1918391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918412 */     // GIR_Coverage, 23506,
     /* 1918412 */     GIR_EraseRootFromParent_Done,
     /* 1918413 */   // Label 25789: @1918413
     /* 1918413 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1918499), // Rule ID 23507 //
     /* 1918418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1918435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918464 */     // MIs[0] policy
     /* 1918464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1918477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918498 */     // GIR_Coverage, 23507,
     /* 1918498 */     GIR_EraseRootFromParent_Done,
     /* 1918499 */   // Label 25790: @1918499
     /* 1918499 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1918585), // Rule ID 23510 //
     /* 1918504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918550 */     // MIs[0] policy
     /* 1918550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918560 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1918563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918584 */     // GIR_Coverage, 23510,
     /* 1918584 */     GIR_EraseRootFromParent_Done,
     /* 1918585 */   // Label 25791: @1918585
     /* 1918585 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1918671), // Rule ID 23511 //
     /* 1918590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918636 */     // MIs[0] policy
     /* 1918636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918646 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1918649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918670 */     // GIR_Coverage, 23511,
     /* 1918670 */     GIR_EraseRootFromParent_Done,
     /* 1918671 */   // Label 25792: @1918671
     /* 1918671 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1918757), // Rule ID 23514 //
     /* 1918676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918722 */     // MIs[0] policy
     /* 1918722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1918735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918756 */     // GIR_Coverage, 23514,
     /* 1918756 */     GIR_EraseRootFromParent_Done,
     /* 1918757 */   // Label 25793: @1918757
     /* 1918757 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1918843), // Rule ID 23515 //
     /* 1918762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918808 */     // MIs[0] policy
     /* 1918808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1918821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918842 */     // GIR_Coverage, 23515,
     /* 1918842 */     GIR_EraseRootFromParent_Done,
     /* 1918843 */   // Label 25794: @1918843
     /* 1918843 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1918929), // Rule ID 23518 //
     /* 1918848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918894 */     // MIs[0] policy
     /* 1918894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1918907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918928 */     // GIR_Coverage, 23518,
     /* 1918928 */     GIR_EraseRootFromParent_Done,
     /* 1918929 */   // Label 25795: @1918929
     /* 1918929 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1919015), // Rule ID 23519 //
     /* 1918934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1918942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918980 */     // MIs[0] policy
     /* 1918980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1918993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919014 */     // GIR_Coverage, 23519,
     /* 1919014 */     GIR_EraseRootFromParent_Done,
     /* 1919015 */   // Label 25796: @1919015
     /* 1919015 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1919101), // Rule ID 23522 //
     /* 1919020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1919031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1919034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919066 */     // MIs[0] policy
     /* 1919066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1919079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919100 */     // GIR_Coverage, 23522,
     /* 1919100 */     GIR_EraseRootFromParent_Done,
     /* 1919101 */   // Label 25797: @1919101
     /* 1919101 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1919187), // Rule ID 23523 //
     /* 1919106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1919117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1919120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919152 */     // MIs[0] policy
     /* 1919152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1919165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919186 */     // GIR_Coverage, 23523,
     /* 1919186 */     GIR_EraseRootFromParent_Done,
     /* 1919187 */   // Label 25798: @1919187
     /* 1919187 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1919273), // Rule ID 23526 //
     /* 1919192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1919203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1919206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1919209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919238 */     // MIs[0] policy
     /* 1919238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919272 */     // GIR_Coverage, 23526,
     /* 1919272 */     GIR_EraseRootFromParent_Done,
     /* 1919273 */   // Label 25799: @1919273
     /* 1919273 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1919359), // Rule ID 23527 //
     /* 1919278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1919289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1919292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1919295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919324 */     // MIs[0] policy
     /* 1919324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919358 */     // GIR_Coverage, 23527,
     /* 1919358 */     GIR_EraseRootFromParent_Done,
     /* 1919359 */   // Label 25800: @1919359
     /* 1919359 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1919445), // Rule ID 23530 //
     /* 1919364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919410 */     // MIs[0] policy
     /* 1919410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919444 */     // GIR_Coverage, 23530,
     /* 1919444 */     GIR_EraseRootFromParent_Done,
     /* 1919445 */   // Label 25801: @1919445
     /* 1919445 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1919531), // Rule ID 23531 //
     /* 1919450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919496 */     // MIs[0] policy
     /* 1919496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919530 */     // GIR_Coverage, 23531,
     /* 1919530 */     GIR_EraseRootFromParent_Done,
     /* 1919531 */   // Label 25802: @1919531
     /* 1919531 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1919617), // Rule ID 23534 //
     /* 1919536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919582 */     // MIs[0] policy
     /* 1919582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919616 */     // GIR_Coverage, 23534,
     /* 1919616 */     GIR_EraseRootFromParent_Done,
     /* 1919617 */   // Label 25803: @1919617
     /* 1919617 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1919703), // Rule ID 23535 //
     /* 1919622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919668 */     // MIs[0] policy
     /* 1919668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919702 */     // GIR_Coverage, 23535,
     /* 1919702 */     GIR_EraseRootFromParent_Done,
     /* 1919703 */   // Label 25804: @1919703
     /* 1919703 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1919789), // Rule ID 23538 //
     /* 1919708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1919711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919754 */     // MIs[0] policy
     /* 1919754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919788 */     // GIR_Coverage, 23538,
     /* 1919788 */     GIR_EraseRootFromParent_Done,
     /* 1919789 */   // Label 25805: @1919789
     /* 1919789 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1919875), // Rule ID 23539 //
     /* 1919794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919840 */     // MIs[0] policy
     /* 1919840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1919853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919874 */     // GIR_Coverage, 23539,
     /* 1919874 */     GIR_EraseRootFromParent_Done,
     /* 1919875 */   // Label 25806: @1919875
     /* 1919875 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1919961), // Rule ID 23542 //
     /* 1919880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919926 */     // MIs[0] policy
     /* 1919926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1919939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919960 */     // GIR_Coverage, 23542,
     /* 1919960 */     GIR_EraseRootFromParent_Done,
     /* 1919961 */   // Label 25807: @1919961
     /* 1919961 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1920047), // Rule ID 23543 //
     /* 1919966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1919974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1919983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920012 */     // MIs[0] policy
     /* 1920012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920022 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1920025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920046 */     // GIR_Coverage, 23543,
     /* 1920046 */     GIR_EraseRootFromParent_Done,
     /* 1920047 */   // Label 25808: @1920047
     /* 1920047 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1920133), // Rule ID 23546 //
     /* 1920052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1920063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1920066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1920069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920098 */     // MIs[0] policy
     /* 1920098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920108 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1920111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920132 */     // GIR_Coverage, 23546,
     /* 1920132 */     GIR_EraseRootFromParent_Done,
     /* 1920133 */   // Label 25809: @1920133
     /* 1920133 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1920219), // Rule ID 23547 //
     /* 1920138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1920149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1920152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1920155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920184 */     // MIs[0] policy
     /* 1920184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920194 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1920197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920218 */     // GIR_Coverage, 23547,
     /* 1920218 */     GIR_EraseRootFromParent_Done,
     /* 1920219 */   // Label 25810: @1920219
     /* 1920219 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1920305), // Rule ID 23550 //
     /* 1920224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1920235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1920238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1920241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1920247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920270 */     // MIs[0] policy
     /* 1920270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920280 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1920283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920304 */     // GIR_Coverage, 23550,
     /* 1920304 */     GIR_EraseRootFromParent_Done,
     /* 1920305 */   // Label 25811: @1920305
     /* 1920305 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1920391), // Rule ID 23551 //
     /* 1920310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1920321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1920324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1920327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1920333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920356 */     // MIs[0] policy
     /* 1920356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920366 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1920369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920390 */     // GIR_Coverage, 23551,
     /* 1920390 */     GIR_EraseRootFromParent_Done,
     /* 1920391 */   // Label 25812: @1920391
     /* 1920391 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1920477), // Rule ID 23554 //
     /* 1920396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920442 */     // MIs[0] policy
     /* 1920442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1920455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920476 */     // GIR_Coverage, 23554,
     /* 1920476 */     GIR_EraseRootFromParent_Done,
     /* 1920477 */   // Label 25813: @1920477
     /* 1920477 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1920563), // Rule ID 23555 //
     /* 1920482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920528 */     // MIs[0] policy
     /* 1920528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1920541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920562 */     // GIR_Coverage, 23555,
     /* 1920562 */     GIR_EraseRootFromParent_Done,
     /* 1920563 */   // Label 25814: @1920563
     /* 1920563 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1920649), // Rule ID 23558 //
     /* 1920568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920614 */     // MIs[0] policy
     /* 1920614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1920627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920648 */     // GIR_Coverage, 23558,
     /* 1920648 */     GIR_EraseRootFromParent_Done,
     /* 1920649 */   // Label 25815: @1920649
     /* 1920649 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1920735), // Rule ID 23559 //
     /* 1920654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920700 */     // MIs[0] policy
     /* 1920700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1920713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920734 */     // GIR_Coverage, 23559,
     /* 1920734 */     GIR_EraseRootFromParent_Done,
     /* 1920735 */   // Label 25816: @1920735
     /* 1920735 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1920821), // Rule ID 23562 //
     /* 1920740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920786 */     // MIs[0] policy
     /* 1920786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1920799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920820 */     // GIR_Coverage, 23562,
     /* 1920820 */     GIR_EraseRootFromParent_Done,
     /* 1920821 */   // Label 25817: @1920821
     /* 1920821 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1920907), // Rule ID 23563 //
     /* 1920826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1920837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1920840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1920843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920872 */     // MIs[0] policy
     /* 1920872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1920885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920906 */     // GIR_Coverage, 23563,
     /* 1920906 */     GIR_EraseRootFromParent_Done,
     /* 1920907 */   // Label 25818: @1920907
     /* 1920907 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1920993), // Rule ID 23566 //
     /* 1920912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1920920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1920923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1920926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920958 */     // MIs[0] policy
     /* 1920958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1920971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1920975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920992 */     // GIR_Coverage, 23566,
     /* 1920992 */     GIR_EraseRootFromParent_Done,
     /* 1920993 */   // Label 25819: @1920993
     /* 1920993 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1921079), // Rule ID 23567 //
     /* 1920998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1921015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921044 */     // MIs[0] policy
     /* 1921044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1921057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921078 */     // GIR_Coverage, 23567,
     /* 1921078 */     GIR_EraseRootFromParent_Done,
     /* 1921079 */   // Label 25820: @1921079
     /* 1921079 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1921165), // Rule ID 23570 //
     /* 1921084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1921101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921130 */     // MIs[0] policy
     /* 1921130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1921143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921164 */     // GIR_Coverage, 23570,
     /* 1921164 */     GIR_EraseRootFromParent_Done,
     /* 1921165 */   // Label 25821: @1921165
     /* 1921165 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1921251), // Rule ID 23571 //
     /* 1921170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1921187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921216 */     // MIs[0] policy
     /* 1921216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1921229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921250 */     // GIR_Coverage, 23571,
     /* 1921250 */     GIR_EraseRootFromParent_Done,
     /* 1921251 */   // Label 25822: @1921251
     /* 1921251 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1921337), // Rule ID 23574 //
     /* 1921256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1921267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1921270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1921273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921302 */     // MIs[0] policy
     /* 1921302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1921315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921336 */     // GIR_Coverage, 23574,
     /* 1921336 */     GIR_EraseRootFromParent_Done,
     /* 1921337 */   // Label 25823: @1921337
     /* 1921337 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1921423), // Rule ID 23575 //
     /* 1921342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1921353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1921356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1921359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921388 */     // MIs[0] policy
     /* 1921388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1921401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921422 */     // GIR_Coverage, 23575,
     /* 1921422 */     GIR_EraseRootFromParent_Done,
     /* 1921423 */   // Label 25824: @1921423
     /* 1921423 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1921509), // Rule ID 23578 //
     /* 1921428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921474 */     // MIs[0] policy
     /* 1921474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1921487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921508 */     // GIR_Coverage, 23578,
     /* 1921508 */     GIR_EraseRootFromParent_Done,
     /* 1921509 */   // Label 25825: @1921509
     /* 1921509 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1921595), // Rule ID 23579 //
     /* 1921514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921560 */     // MIs[0] policy
     /* 1921560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1921573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921594 */     // GIR_Coverage, 23579,
     /* 1921594 */     GIR_EraseRootFromParent_Done,
     /* 1921595 */   // Label 25826: @1921595
     /* 1921595 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1921681), // Rule ID 23582 //
     /* 1921600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1921611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1921614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921646 */     // MIs[0] policy
     /* 1921646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1921659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921680 */     // GIR_Coverage, 23582,
     /* 1921680 */     GIR_EraseRootFromParent_Done,
     /* 1921681 */   // Label 25827: @1921681
     /* 1921681 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1921767), // Rule ID 23583 //
     /* 1921686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1921697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1921700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921732 */     // MIs[0] policy
     /* 1921732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1921745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921766 */     // GIR_Coverage, 23583,
     /* 1921766 */     GIR_EraseRootFromParent_Done,
     /* 1921767 */   // Label 25828: @1921767
     /* 1921767 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1921853), // Rule ID 23586 //
     /* 1921772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921818 */     // MIs[0] policy
     /* 1921818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921828 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1921831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921852 */     // GIR_Coverage, 23586,
     /* 1921852 */     GIR_EraseRootFromParent_Done,
     /* 1921853 */   // Label 25829: @1921853
     /* 1921853 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1921939), // Rule ID 23587 //
     /* 1921858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1921866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1921869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1921872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921904 */     // MIs[0] policy
     /* 1921904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1921917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1921921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921938 */     // GIR_Coverage, 23587,
     /* 1921938 */     GIR_EraseRootFromParent_Done,
     /* 1921939 */   // Label 25830: @1921939
     /* 1921939 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1922025), // Rule ID 23678 //
     /* 1921944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1921952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1921955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1921958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1921961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921990 */     // MIs[0] policy
     /* 1921990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922000 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1922003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922024 */     // GIR_Coverage, 23678,
     /* 1922024 */     GIR_EraseRootFromParent_Done,
     /* 1922025 */   // Label 25831: @1922025
     /* 1922025 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1922111), // Rule ID 23679 //
     /* 1922030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1922041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1922044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1922047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922076 */     // MIs[0] policy
     /* 1922076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922086 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1922089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922110 */     // GIR_Coverage, 23679,
     /* 1922110 */     GIR_EraseRootFromParent_Done,
     /* 1922111 */   // Label 25832: @1922111
     /* 1922111 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1922197), // Rule ID 23682 //
     /* 1922116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1922127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1922130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1922133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922162 */     // MIs[0] policy
     /* 1922162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1922175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922196 */     // GIR_Coverage, 23682,
     /* 1922196 */     GIR_EraseRootFromParent_Done,
     /* 1922197 */   // Label 25833: @1922197
     /* 1922197 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1922283), // Rule ID 23683 //
     /* 1922202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1922213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1922216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1922219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922248 */     // MIs[0] policy
     /* 1922248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1922261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922282 */     // GIR_Coverage, 23683,
     /* 1922282 */     GIR_EraseRootFromParent_Done,
     /* 1922283 */   // Label 25834: @1922283
     /* 1922283 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1922369), // Rule ID 23686 //
     /* 1922288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1922299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1922302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1922305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922334 */     // MIs[0] policy
     /* 1922334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922344 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1922347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922368 */     // GIR_Coverage, 23686,
     /* 1922368 */     GIR_EraseRootFromParent_Done,
     /* 1922369 */   // Label 25835: @1922369
     /* 1922369 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1922455), // Rule ID 23687 //
     /* 1922374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1922385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1922388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1922391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922420 */     // MIs[0] policy
     /* 1922420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922430 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1922433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922454 */     // GIR_Coverage, 23687,
     /* 1922454 */     GIR_EraseRootFromParent_Done,
     /* 1922455 */   // Label 25836: @1922455
     /* 1922455 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1922541), // Rule ID 23690 //
     /* 1922460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922506 */     // MIs[0] policy
     /* 1922506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922516 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1922519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922540 */     // GIR_Coverage, 23690,
     /* 1922540 */     GIR_EraseRootFromParent_Done,
     /* 1922541 */   // Label 25837: @1922541
     /* 1922541 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1922627), // Rule ID 23691 //
     /* 1922546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922592 */     // MIs[0] policy
     /* 1922592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922602 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1922605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922626 */     // GIR_Coverage, 23691,
     /* 1922626 */     GIR_EraseRootFromParent_Done,
     /* 1922627 */   // Label 25838: @1922627
     /* 1922627 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1922713), // Rule ID 23694 //
     /* 1922632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922678 */     // MIs[0] policy
     /* 1922678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922688 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1922691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922712 */     // GIR_Coverage, 23694,
     /* 1922712 */     GIR_EraseRootFromParent_Done,
     /* 1922713 */   // Label 25839: @1922713
     /* 1922713 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1922799), // Rule ID 23695 //
     /* 1922718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922764 */     // MIs[0] policy
     /* 1922764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1922777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922798 */     // GIR_Coverage, 23695,
     /* 1922798 */     GIR_EraseRootFromParent_Done,
     /* 1922799 */   // Label 25840: @1922799
     /* 1922799 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1922885), // Rule ID 23698 //
     /* 1922804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922850 */     // MIs[0] policy
     /* 1922850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1922863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922884 */     // GIR_Coverage, 23698,
     /* 1922884 */     GIR_EraseRootFromParent_Done,
     /* 1922885 */   // Label 25841: @1922885
     /* 1922885 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1922971), // Rule ID 23699 //
     /* 1922890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922936 */     // MIs[0] policy
     /* 1922936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1922949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922970 */     // GIR_Coverage, 23699,
     /* 1922970 */     GIR_EraseRootFromParent_Done,
     /* 1922971 */   // Label 25842: @1922971
     /* 1922971 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1923057), // Rule ID 23702 //
     /* 1922976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1922984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1922987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1922990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1922993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923022 */     // MIs[0] policy
     /* 1923022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923056 */     // GIR_Coverage, 23702,
     /* 1923056 */     GIR_EraseRootFromParent_Done,
     /* 1923057 */   // Label 25843: @1923057
     /* 1923057 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1923143), // Rule ID 23703 //
     /* 1923062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1923073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1923076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1923079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923108 */     // MIs[0] policy
     /* 1923108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923142 */     // GIR_Coverage, 23703,
     /* 1923142 */     GIR_EraseRootFromParent_Done,
     /* 1923143 */   // Label 25844: @1923143
     /* 1923143 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1923229), // Rule ID 23706 //
     /* 1923148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1923159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1923162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1923165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923194 */     // MIs[0] policy
     /* 1923194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923228 */     // GIR_Coverage, 23706,
     /* 1923228 */     GIR_EraseRootFromParent_Done,
     /* 1923229 */   // Label 25845: @1923229
     /* 1923229 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1923315), // Rule ID 23707 //
     /* 1923234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1923245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1923248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1923251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923280 */     // MIs[0] policy
     /* 1923280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923314 */     // GIR_Coverage, 23707,
     /* 1923314 */     GIR_EraseRootFromParent_Done,
     /* 1923315 */   // Label 25846: @1923315
     /* 1923315 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1923401), // Rule ID 23710 //
     /* 1923320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923366 */     // MIs[0] policy
     /* 1923366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923400 */     // GIR_Coverage, 23710,
     /* 1923400 */     GIR_EraseRootFromParent_Done,
     /* 1923401 */   // Label 25847: @1923401
     /* 1923401 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1923487), // Rule ID 23711 //
     /* 1923406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923452 */     // MIs[0] policy
     /* 1923452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923486 */     // GIR_Coverage, 23711,
     /* 1923486 */     GIR_EraseRootFromParent_Done,
     /* 1923487 */   // Label 25848: @1923487
     /* 1923487 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1923573), // Rule ID 23714 //
     /* 1923492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923538 */     // MIs[0] policy
     /* 1923538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923572 */     // GIR_Coverage, 23714,
     /* 1923572 */     GIR_EraseRootFromParent_Done,
     /* 1923573 */   // Label 25849: @1923573
     /* 1923573 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1923659), // Rule ID 23715 //
     /* 1923578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923624 */     // MIs[0] policy
     /* 1923624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1923637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923658 */     // GIR_Coverage, 23715,
     /* 1923658 */     GIR_EraseRootFromParent_Done,
     /* 1923659 */   // Label 25850: @1923659
     /* 1923659 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1923745), // Rule ID 23718 //
     /* 1923664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1923675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1923678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1923681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923710 */     // MIs[0] policy
     /* 1923710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923720 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1923723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923744 */     // GIR_Coverage, 23718,
     /* 1923744 */     GIR_EraseRootFromParent_Done,
     /* 1923745 */   // Label 25851: @1923745
     /* 1923745 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1923831), // Rule ID 23719 //
     /* 1923750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1923761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1923764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1923767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923796 */     // MIs[0] policy
     /* 1923796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923806 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1923809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923830 */     // GIR_Coverage, 23719,
     /* 1923830 */     GIR_EraseRootFromParent_Done,
     /* 1923831 */   // Label 25852: @1923831
     /* 1923831 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1923917), // Rule ID 23722 //
     /* 1923836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923882 */     // MIs[0] policy
     /* 1923882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1923895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923916 */     // GIR_Coverage, 23722,
     /* 1923916 */     GIR_EraseRootFromParent_Done,
     /* 1923917 */   // Label 25853: @1923917
     /* 1923917 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1924003), // Rule ID 23723 //
     /* 1923922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1923930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1923933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1923936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1923939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923968 */     // MIs[0] policy
     /* 1923968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923978 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1923981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924002 */     // GIR_Coverage, 23723,
     /* 1924002 */     GIR_EraseRootFromParent_Done,
     /* 1924003 */   // Label 25854: @1924003
     /* 1924003 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1924089), // Rule ID 23726 //
     /* 1924008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1924019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1924022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1924025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1924031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924054 */     // MIs[0] policy
     /* 1924054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1924067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924088 */     // GIR_Coverage, 23726,
     /* 1924088 */     GIR_EraseRootFromParent_Done,
     /* 1924089 */   // Label 25855: @1924089
     /* 1924089 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1924175), // Rule ID 23727 //
     /* 1924094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1924105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1924108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1924111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1924117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924140 */     // MIs[0] policy
     /* 1924140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1924153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924174 */     // GIR_Coverage, 23727,
     /* 1924174 */     GIR_EraseRootFromParent_Done,
     /* 1924175 */   // Label 25856: @1924175
     /* 1924175 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1924261), // Rule ID 23730 //
     /* 1924180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1924191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1924194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1924197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924226 */     // MIs[0] policy
     /* 1924226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1924239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924260 */     // GIR_Coverage, 23730,
     /* 1924260 */     GIR_EraseRootFromParent_Done,
     /* 1924261 */   // Label 25857: @1924261
     /* 1924261 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1924347), // Rule ID 23731 //
     /* 1924266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1924277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1924280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1924283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924312 */     // MIs[0] policy
     /* 1924312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1924325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924346 */     // GIR_Coverage, 23731,
     /* 1924346 */     GIR_EraseRootFromParent_Done,
     /* 1924347 */   // Label 25858: @1924347
     /* 1924347 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1924433), // Rule ID 23734 //
     /* 1924352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1924363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1924366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1924369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924398 */     // MIs[0] policy
     /* 1924398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1924411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924432 */     // GIR_Coverage, 23734,
     /* 1924432 */     GIR_EraseRootFromParent_Done,
     /* 1924433 */   // Label 25859: @1924433
     /* 1924433 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1924519), // Rule ID 23735 //
     /* 1924438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1924449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1924452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1924455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924484 */     // MIs[0] policy
     /* 1924484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1924497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924518 */     // GIR_Coverage, 23735,
     /* 1924518 */     GIR_EraseRootFromParent_Done,
     /* 1924519 */   // Label 25860: @1924519
     /* 1924519 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1924605), // Rule ID 23738 //
     /* 1924524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924570 */     // MIs[0] policy
     /* 1924570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924580 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1924583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924604 */     // GIR_Coverage, 23738,
     /* 1924604 */     GIR_EraseRootFromParent_Done,
     /* 1924605 */   // Label 25861: @1924605
     /* 1924605 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1924691), // Rule ID 23739 //
     /* 1924610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924656 */     // MIs[0] policy
     /* 1924656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924666 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1924669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924690 */     // GIR_Coverage, 23739,
     /* 1924690 */     GIR_EraseRootFromParent_Done,
     /* 1924691 */   // Label 25862: @1924691
     /* 1924691 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1924777), // Rule ID 23742 //
     /* 1924696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924742 */     // MIs[0] policy
     /* 1924742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1924755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924776 */     // GIR_Coverage, 23742,
     /* 1924776 */     GIR_EraseRootFromParent_Done,
     /* 1924777 */   // Label 25863: @1924777
     /* 1924777 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1924863), // Rule ID 23743 //
     /* 1924782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924828 */     // MIs[0] policy
     /* 1924828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1924841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924862 */     // GIR_Coverage, 23743,
     /* 1924862 */     GIR_EraseRootFromParent_Done,
     /* 1924863 */   // Label 25864: @1924863
     /* 1924863 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1924949), // Rule ID 23746 //
     /* 1924868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924914 */     // MIs[0] policy
     /* 1924914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1924927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924948 */     // GIR_Coverage, 23746,
     /* 1924948 */     GIR_EraseRootFromParent_Done,
     /* 1924949 */   // Label 25865: @1924949
     /* 1924949 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1925035), // Rule ID 23747 //
     /* 1924954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1924962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925000 */     // MIs[0] policy
     /* 1925000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925010 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1925013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925034 */     // GIR_Coverage, 23747,
     /* 1925034 */     GIR_EraseRootFromParent_Done,
     /* 1925035 */   // Label 25866: @1925035
     /* 1925035 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1925121), // Rule ID 23750 //
     /* 1925040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1925051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1925054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1925057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925086 */     // MIs[0] policy
     /* 1925086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1925099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925120 */     // GIR_Coverage, 23750,
     /* 1925120 */     GIR_EraseRootFromParent_Done,
     /* 1925121 */   // Label 25867: @1925121
     /* 1925121 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1925207), // Rule ID 23751 //
     /* 1925126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1925137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1925140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1925143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925172 */     // MIs[0] policy
     /* 1925172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1925185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925206 */     // GIR_Coverage, 23751,
     /* 1925206 */     GIR_EraseRootFromParent_Done,
     /* 1925207 */   // Label 25868: @1925207
     /* 1925207 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1925293), // Rule ID 23754 //
     /* 1925212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1925223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1925226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1925229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925258 */     // MIs[0] policy
     /* 1925258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925268 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1925271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925292 */     // GIR_Coverage, 23754,
     /* 1925292 */     GIR_EraseRootFromParent_Done,
     /* 1925293 */   // Label 25869: @1925293
     /* 1925293 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1925379), // Rule ID 23755 //
     /* 1925298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1925309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1925312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1925315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925344 */     // MIs[0] policy
     /* 1925344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925354 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1925357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925378 */     // GIR_Coverage, 23755,
     /* 1925378 */     GIR_EraseRootFromParent_Done,
     /* 1925379 */   // Label 25870: @1925379
     /* 1925379 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1925465), // Rule ID 23758 //
     /* 1925384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925430 */     // MIs[0] policy
     /* 1925430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1925443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925464 */     // GIR_Coverage, 23758,
     /* 1925464 */     GIR_EraseRootFromParent_Done,
     /* 1925465 */   // Label 25871: @1925465
     /* 1925465 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1925551), // Rule ID 23759 //
     /* 1925470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925516 */     // MIs[0] policy
     /* 1925516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1925529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925550 */     // GIR_Coverage, 23759,
     /* 1925550 */     GIR_EraseRootFromParent_Done,
     /* 1925551 */   // Label 25872: @1925551
     /* 1925551 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1925637), // Rule ID 23762 //
     /* 1925556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925602 */     // MIs[0] policy
     /* 1925602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1925615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925636 */     // GIR_Coverage, 23762,
     /* 1925636 */     GIR_EraseRootFromParent_Done,
     /* 1925637 */   // Label 25873: @1925637
     /* 1925637 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1925723), // Rule ID 23763 //
     /* 1925642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925688 */     // MIs[0] policy
     /* 1925688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925698 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1925701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925722 */     // GIR_Coverage, 23763,
     /* 1925722 */     GIR_EraseRootFromParent_Done,
     /* 1925723 */   // Label 25874: @1925723
     /* 1925723 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1925809), // Rule ID 23854 //
     /* 1925728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925774 */     // MIs[0] policy
     /* 1925774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1925787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925808 */     // GIR_Coverage, 23854,
     /* 1925808 */     GIR_EraseRootFromParent_Done,
     /* 1925809 */   // Label 25875: @1925809
     /* 1925809 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1925895), // Rule ID 23855 //
     /* 1925814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925860 */     // MIs[0] policy
     /* 1925860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925870 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1925873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925894 */     // GIR_Coverage, 23855,
     /* 1925894 */     GIR_EraseRootFromParent_Done,
     /* 1925895 */   // Label 25876: @1925895
     /* 1925895 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1925981), // Rule ID 23858 //
     /* 1925900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925946 */     // MIs[0] policy
     /* 1925946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925956 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1925959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925980 */     // GIR_Coverage, 23858,
     /* 1925980 */     GIR_EraseRootFromParent_Done,
     /* 1925981 */   // Label 25877: @1925981
     /* 1925981 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1926067), // Rule ID 23859 //
     /* 1925986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1925994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1926000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1926003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926032 */     // MIs[0] policy
     /* 1926032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1926045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926066 */     // GIR_Coverage, 23859,
     /* 1926066 */     GIR_EraseRootFromParent_Done,
     /* 1926067 */   // Label 25878: @1926067
     /* 1926067 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1926153), // Rule ID 23862 //
     /* 1926072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1926083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1926086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1926089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926118 */     // MIs[0] policy
     /* 1926118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1926131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926152 */     // GIR_Coverage, 23862,
     /* 1926152 */     GIR_EraseRootFromParent_Done,
     /* 1926153 */   // Label 25879: @1926153
     /* 1926153 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1926239), // Rule ID 23863 //
     /* 1926158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1926169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1926172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1926175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926204 */     // MIs[0] policy
     /* 1926204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926214 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1926217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926238 */     // GIR_Coverage, 23863,
     /* 1926238 */     GIR_EraseRootFromParent_Done,
     /* 1926239 */   // Label 25880: @1926239
     /* 1926239 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1926325), // Rule ID 23866 //
     /* 1926244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1926255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1926258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1926261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926290 */     // MIs[0] policy
     /* 1926290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1926303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926324 */     // GIR_Coverage, 23866,
     /* 1926324 */     GIR_EraseRootFromParent_Done,
     /* 1926325 */   // Label 25881: @1926325
     /* 1926325 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1926411), // Rule ID 23867 //
     /* 1926330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1926341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1926344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1926347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926376 */     // MIs[0] policy
     /* 1926376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1926389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926410 */     // GIR_Coverage, 23867,
     /* 1926410 */     GIR_EraseRootFromParent_Done,
     /* 1926411 */   // Label 25882: @1926411
     /* 1926411 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1926497), // Rule ID 23870 //
     /* 1926416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1926427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1926430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1926433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926462 */     // MIs[0] policy
     /* 1926462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1926475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926496 */     // GIR_Coverage, 23870,
     /* 1926496 */     GIR_EraseRootFromParent_Done,
     /* 1926497 */   // Label 25883: @1926497
     /* 1926497 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1926583), // Rule ID 23871 //
     /* 1926502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1926513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1926516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1926519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926548 */     // MIs[0] policy
     /* 1926548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1926561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926582 */     // GIR_Coverage, 23871,
     /* 1926582 */     GIR_EraseRootFromParent_Done,
     /* 1926583 */   // Label 25884: @1926583
     /* 1926583 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1926669), // Rule ID 23874 //
     /* 1926588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1926599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1926602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1926605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926634 */     // MIs[0] policy
     /* 1926634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1926647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926668 */     // GIR_Coverage, 23874,
     /* 1926668 */     GIR_EraseRootFromParent_Done,
     /* 1926669 */   // Label 25885: @1926669
     /* 1926669 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1926755), // Rule ID 23875 //
     /* 1926674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1926685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1926688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1926691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926720 */     // MIs[0] policy
     /* 1926720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1926733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926754 */     // GIR_Coverage, 23875,
     /* 1926754 */     GIR_EraseRootFromParent_Done,
     /* 1926755 */   // Label 25886: @1926755
     /* 1926755 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1926841), // Rule ID 23878 //
     /* 1926760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926806 */     // MIs[0] policy
     /* 1926806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1926819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926840 */     // GIR_Coverage, 23878,
     /* 1926840 */     GIR_EraseRootFromParent_Done,
     /* 1926841 */   // Label 25887: @1926841
     /* 1926841 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1926927), // Rule ID 23879 //
     /* 1926846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926892 */     // MIs[0] policy
     /* 1926892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1926905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926926 */     // GIR_Coverage, 23879,
     /* 1926926 */     GIR_EraseRootFromParent_Done,
     /* 1926927 */   // Label 25888: @1926927
     /* 1926927 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1927013), // Rule ID 23882 //
     /* 1926932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1926940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926978 */     // MIs[0] policy
     /* 1926978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1926991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927012 */     // GIR_Coverage, 23882,
     /* 1927012 */     GIR_EraseRootFromParent_Done,
     /* 1927013 */   // Label 25889: @1927013
     /* 1927013 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1927099), // Rule ID 23883 //
     /* 1927018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1927029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1927032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1927035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927064 */     // MIs[0] policy
     /* 1927064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1927077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927098 */     // GIR_Coverage, 23883,
     /* 1927098 */     GIR_EraseRootFromParent_Done,
     /* 1927099 */   // Label 25890: @1927099
     /* 1927099 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1927185), // Rule ID 23886 //
     /* 1927104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1927115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1927118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1927121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927150 */     // MIs[0] policy
     /* 1927150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1927163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927184 */     // GIR_Coverage, 23886,
     /* 1927184 */     GIR_EraseRootFromParent_Done,
     /* 1927185 */   // Label 25891: @1927185
     /* 1927185 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1927271), // Rule ID 23887 //
     /* 1927190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1927201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1927204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1927207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927236 */     // MIs[0] policy
     /* 1927236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1927249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927270 */     // GIR_Coverage, 23887,
     /* 1927270 */     GIR_EraseRootFromParent_Done,
     /* 1927271 */   // Label 25892: @1927271
     /* 1927271 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1927357), // Rule ID 23890 //
     /* 1927276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1927287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1927290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1927293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927322 */     // MIs[0] policy
     /* 1927322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1927335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927356 */     // GIR_Coverage, 23890,
     /* 1927356 */     GIR_EraseRootFromParent_Done,
     /* 1927357 */   // Label 25893: @1927357
     /* 1927357 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1927443), // Rule ID 23891 //
     /* 1927362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1927373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1927376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1927379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927408 */     // MIs[0] policy
     /* 1927408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1927421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927442 */     // GIR_Coverage, 23891,
     /* 1927442 */     GIR_EraseRootFromParent_Done,
     /* 1927443 */   // Label 25894: @1927443
     /* 1927443 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1927529), // Rule ID 23894 //
     /* 1927448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1927459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1927462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1927465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927494 */     // MIs[0] policy
     /* 1927494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1927507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927528 */     // GIR_Coverage, 23894,
     /* 1927528 */     GIR_EraseRootFromParent_Done,
     /* 1927529 */   // Label 25895: @1927529
     /* 1927529 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1927615), // Rule ID 23895 //
     /* 1927534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1927545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1927548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1927551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927580 */     // MIs[0] policy
     /* 1927580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1927593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927614 */     // GIR_Coverage, 23895,
     /* 1927614 */     GIR_EraseRootFromParent_Done,
     /* 1927615 */   // Label 25896: @1927615
     /* 1927615 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1927701), // Rule ID 23898 //
     /* 1927620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1927631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1927634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1927637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927666 */     // MIs[0] policy
     /* 1927666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1927679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927700 */     // GIR_Coverage, 23898,
     /* 1927700 */     GIR_EraseRootFromParent_Done,
     /* 1927701 */   // Label 25897: @1927701
     /* 1927701 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1927787), // Rule ID 23899 //
     /* 1927706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1927717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1927720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1927723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927752 */     // MIs[0] policy
     /* 1927752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1927765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927786 */     // GIR_Coverage, 23899,
     /* 1927786 */     GIR_EraseRootFromParent_Done,
     /* 1927787 */   // Label 25898: @1927787
     /* 1927787 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1927873), // Rule ID 23902 //
     /* 1927792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927838 */     // MIs[0] policy
     /* 1927838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927848 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1927851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927872 */     // GIR_Coverage, 23902,
     /* 1927872 */     GIR_EraseRootFromParent_Done,
     /* 1927873 */   // Label 25899: @1927873
     /* 1927873 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1927959), // Rule ID 23903 //
     /* 1927878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927924 */     // MIs[0] policy
     /* 1927924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1927937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927958 */     // GIR_Coverage, 23903,
     /* 1927958 */     GIR_EraseRootFromParent_Done,
     /* 1927959 */   // Label 25900: @1927959
     /* 1927959 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1928045), // Rule ID 23906 //
     /* 1927964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1927972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928010 */     // MIs[0] policy
     /* 1928010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1928023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928044 */     // GIR_Coverage, 23906,
     /* 1928044 */     GIR_EraseRootFromParent_Done,
     /* 1928045 */   // Label 25901: @1928045
     /* 1928045 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1928131), // Rule ID 23907 //
     /* 1928050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1928061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1928064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1928067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928096 */     // MIs[0] policy
     /* 1928096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1928109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928130 */     // GIR_Coverage, 23907,
     /* 1928130 */     GIR_EraseRootFromParent_Done,
     /* 1928131 */   // Label 25902: @1928131
     /* 1928131 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1928217), // Rule ID 23910 //
     /* 1928136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1928147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1928150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1928153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928182 */     // MIs[0] policy
     /* 1928182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1928195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928216 */     // GIR_Coverage, 23910,
     /* 1928216 */     GIR_EraseRootFromParent_Done,
     /* 1928217 */   // Label 25903: @1928217
     /* 1928217 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1928303), // Rule ID 23911 //
     /* 1928222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1928233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1928236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1928239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928268 */     // MIs[0] policy
     /* 1928268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1928281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928302 */     // GIR_Coverage, 23911,
     /* 1928302 */     GIR_EraseRootFromParent_Done,
     /* 1928303 */   // Label 25904: @1928303
     /* 1928303 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1928389), // Rule ID 23914 //
     /* 1928308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1928319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1928322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1928325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1928331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928354 */     // MIs[0] policy
     /* 1928354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928364 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1928367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928388 */     // GIR_Coverage, 23914,
     /* 1928388 */     GIR_EraseRootFromParent_Done,
     /* 1928389 */   // Label 25905: @1928389
     /* 1928389 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1928475), // Rule ID 23915 //
     /* 1928394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1928405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1928408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1928411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1928417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928440 */     // MIs[0] policy
     /* 1928440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928450 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1928453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928474 */     // GIR_Coverage, 23915,
     /* 1928474 */     GIR_EraseRootFromParent_Done,
     /* 1928475 */   // Label 25906: @1928475
     /* 1928475 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1928561), // Rule ID 23918 //
     /* 1928480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1928491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1928494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1928497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928526 */     // MIs[0] policy
     /* 1928526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1928539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928560 */     // GIR_Coverage, 23918,
     /* 1928560 */     GIR_EraseRootFromParent_Done,
     /* 1928561 */   // Label 25907: @1928561
     /* 1928561 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1928647), // Rule ID 23919 //
     /* 1928566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1928577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1928580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1928583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928612 */     // MIs[0] policy
     /* 1928612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1928625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928646 */     // GIR_Coverage, 23919,
     /* 1928646 */     GIR_EraseRootFromParent_Done,
     /* 1928647 */   // Label 25908: @1928647
     /* 1928647 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1928733), // Rule ID 23922 //
     /* 1928652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928698 */     // MIs[0] policy
     /* 1928698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1928711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928732 */     // GIR_Coverage, 23922,
     /* 1928732 */     GIR_EraseRootFromParent_Done,
     /* 1928733 */   // Label 25909: @1928733
     /* 1928733 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1928819), // Rule ID 23923 //
     /* 1928738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928784 */     // MIs[0] policy
     /* 1928784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1928797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928818 */     // GIR_Coverage, 23923,
     /* 1928818 */     GIR_EraseRootFromParent_Done,
     /* 1928819 */   // Label 25910: @1928819
     /* 1928819 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1928905), // Rule ID 23926 //
     /* 1928824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928870 */     // MIs[0] policy
     /* 1928870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1928883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928904 */     // GIR_Coverage, 23926,
     /* 1928904 */     GIR_EraseRootFromParent_Done,
     /* 1928905 */   // Label 25911: @1928905
     /* 1928905 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1928991), // Rule ID 23927 //
     /* 1928910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1928918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928956 */     // MIs[0] policy
     /* 1928956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1928969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928990 */     // GIR_Coverage, 23927,
     /* 1928990 */     GIR_EraseRootFromParent_Done,
     /* 1928991 */   // Label 25912: @1928991
     /* 1928991 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1929077), // Rule ID 23930 //
     /* 1928996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1929007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1929010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1929013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929042 */     // MIs[0] policy
     /* 1929042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1929055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929076 */     // GIR_Coverage, 23930,
     /* 1929076 */     GIR_EraseRootFromParent_Done,
     /* 1929077 */   // Label 25913: @1929077
     /* 1929077 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1929163), // Rule ID 23931 //
     /* 1929082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1929093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1929096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1929099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929128 */     // MIs[0] policy
     /* 1929128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929138 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1929141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929162 */     // GIR_Coverage, 23931,
     /* 1929162 */     GIR_EraseRootFromParent_Done,
     /* 1929163 */   // Label 25914: @1929163
     /* 1929163 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1929249), // Rule ID 23934 //
     /* 1929168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1929171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1929179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1929182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1929185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929214 */     // MIs[0] policy
     /* 1929214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1929227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929248 */     // GIR_Coverage, 23934,
     /* 1929248 */     GIR_EraseRootFromParent_Done,
     /* 1929249 */   // Label 25915: @1929249
     /* 1929249 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1929335), // Rule ID 23935 //
     /* 1929254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1929265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1929268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1929271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929300 */     // MIs[0] policy
     /* 1929300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929310 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1929313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929334 */     // GIR_Coverage, 23935,
     /* 1929334 */     GIR_EraseRootFromParent_Done,
     /* 1929335 */   // Label 25916: @1929335
     /* 1929335 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1929421), // Rule ID 23938 //
     /* 1929340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1929343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1929351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1929354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1929357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929386 */     // MIs[0] policy
     /* 1929386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1929399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929420 */     // GIR_Coverage, 23938,
     /* 1929420 */     GIR_EraseRootFromParent_Done,
     /* 1929421 */   // Label 25917: @1929421
     /* 1929421 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1929507), // Rule ID 23939 //
     /* 1929426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1929434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1929437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1929440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1929443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929472 */     // MIs[0] policy
     /* 1929472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929482 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11483:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1929485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929506 */     // GIR_Coverage, 23939,
     /* 1929506 */     GIR_EraseRootFromParent_Done,
     /* 1929507 */   // Label 25918: @1929507
     /* 1929507 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1929593), // Rule ID 23942 //
     /* 1929512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1929523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1929526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1929529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929558 */     // MIs[0] policy
     /* 1929558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1929571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929592 */     // GIR_Coverage, 23942,
     /* 1929592 */     GIR_EraseRootFromParent_Done,
     /* 1929593 */   // Label 25919: @1929593
     /* 1929593 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1929679), // Rule ID 23943 //
     /* 1929598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1929609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1929612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1929615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929644 */     // MIs[0] policy
     /* 1929644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929654 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1929657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929678 */     // GIR_Coverage, 23943,
     /* 1929678 */     GIR_EraseRootFromParent_Done,
     /* 1929679 */   // Label 25920: @1929679
     /* 1929679 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1929765), // Rule ID 23946 //
     /* 1929684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1929695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1929698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1929701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929730 */     // MIs[0] policy
     /* 1929730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929740 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1929743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929764 */     // GIR_Coverage, 23946,
     /* 1929764 */     GIR_EraseRootFromParent_Done,
     /* 1929765 */   // Label 25921: @1929765
     /* 1929765 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1929851), // Rule ID 23947 //
     /* 1929770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1929781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1929784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1929787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929816 */     // MIs[0] policy
     /* 1929816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929826 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1929829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929850 */     // GIR_Coverage, 23947,
     /* 1929850 */     GIR_EraseRootFromParent_Done,
     /* 1929851 */   // Label 25922: @1929851
     /* 1929851 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1929937), // Rule ID 23950 //
     /* 1929856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1929867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1929870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1929873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929902 */     // MIs[0] policy
     /* 1929902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1929915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929936 */     // GIR_Coverage, 23950,
     /* 1929936 */     GIR_EraseRootFromParent_Done,
     /* 1929937 */   // Label 25923: @1929937
     /* 1929937 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1930023), // Rule ID 23951 //
     /* 1929942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1929950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1929953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1929956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1929959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929988 */     // MIs[0] policy
     /* 1929988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929998 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1930001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930022 */     // GIR_Coverage, 23951,
     /* 1930022 */     GIR_EraseRootFromParent_Done,
     /* 1930023 */   // Label 25924: @1930023
     /* 1930023 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1930109), // Rule ID 23954 //
     /* 1930028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1930039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1930042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1930045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930074 */     // MIs[0] policy
     /* 1930074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1930087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930108 */     // GIR_Coverage, 23954,
     /* 1930108 */     GIR_EraseRootFromParent_Done,
     /* 1930109 */   // Label 25925: @1930109
     /* 1930109 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1930195), // Rule ID 23955 //
     /* 1930114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1930125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1930128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1930131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930160 */     // MIs[0] policy
     /* 1930160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930170 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1930173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930194 */     // GIR_Coverage, 23955,
     /* 1930194 */     GIR_EraseRootFromParent_Done,
     /* 1930195 */   // Label 25926: @1930195
     /* 1930195 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1930281), // Rule ID 23958 //
     /* 1930200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1930211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1930214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1930217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930246 */     // MIs[0] policy
     /* 1930246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1930259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930280 */     // GIR_Coverage, 23958,
     /* 1930280 */     GIR_EraseRootFromParent_Done,
     /* 1930281 */   // Label 25927: @1930281
     /* 1930281 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1930367), // Rule ID 23959 //
     /* 1930286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1930297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1930300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1930303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930332 */     // MIs[0] policy
     /* 1930332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1930345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930366 */     // GIR_Coverage, 23959,
     /* 1930366 */     GIR_EraseRootFromParent_Done,
     /* 1930367 */   // Label 25928: @1930367
     /* 1930367 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1930453), // Rule ID 23962 //
     /* 1930372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1930383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1930386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1930389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930418 */     // MIs[0] policy
     /* 1930418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1930431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930452 */     // GIR_Coverage, 23962,
     /* 1930452 */     GIR_EraseRootFromParent_Done,
     /* 1930453 */   // Label 25929: @1930453
     /* 1930453 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1930539), // Rule ID 23963 //
     /* 1930458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1930469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1930472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1930475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930504 */     // MIs[0] policy
     /* 1930504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1930517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930538 */     // GIR_Coverage, 23963,
     /* 1930538 */     GIR_EraseRootFromParent_Done,
     /* 1930539 */   // Label 25930: @1930539
     /* 1930539 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1930625), // Rule ID 23966 //
     /* 1930544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1930555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1930558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1930561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930590 */     // MIs[0] policy
     /* 1930590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1930603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930624 */     // GIR_Coverage, 23966,
     /* 1930624 */     GIR_EraseRootFromParent_Done,
     /* 1930625 */   // Label 25931: @1930625
     /* 1930625 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1930711), // Rule ID 23967 //
     /* 1930630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1930641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1930644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1930647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930676 */     // MIs[0] policy
     /* 1930676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1930689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930710 */     // GIR_Coverage, 23967,
     /* 1930710 */     GIR_EraseRootFromParent_Done,
     /* 1930711 */   // Label 25932: @1930711
     /* 1930711 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1930797), // Rule ID 23970 //
     /* 1930716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1930727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1930730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1930733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930762 */     // MIs[0] policy
     /* 1930762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1930775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930796 */     // GIR_Coverage, 23970,
     /* 1930796 */     GIR_EraseRootFromParent_Done,
     /* 1930797 */   // Label 25933: @1930797
     /* 1930797 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1930883), // Rule ID 23971 //
     /* 1930802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1930813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1930816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1930819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930848 */     // MIs[0] policy
     /* 1930848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1930861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930882 */     // GIR_Coverage, 23971,
     /* 1930882 */     GIR_EraseRootFromParent_Done,
     /* 1930883 */   // Label 25934: @1930883
     /* 1930883 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1930969), // Rule ID 23974 //
     /* 1930888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930934 */     // MIs[0] policy
     /* 1930934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1930947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930968 */     // GIR_Coverage, 23974,
     /* 1930968 */     GIR_EraseRootFromParent_Done,
     /* 1930969 */   // Label 25935: @1930969
     /* 1930969 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1931055), // Rule ID 23975 //
     /* 1930974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1930982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931020 */     // MIs[0] policy
     /* 1931020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1931033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931054 */     // GIR_Coverage, 23975,
     /* 1931054 */     GIR_EraseRootFromParent_Done,
     /* 1931055 */   // Label 25936: @1931055
     /* 1931055 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1931141), // Rule ID 23978 //
     /* 1931060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1931071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1931074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1931077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931106 */     // MIs[0] policy
     /* 1931106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1931119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931140 */     // GIR_Coverage, 23978,
     /* 1931140 */     GIR_EraseRootFromParent_Done,
     /* 1931141 */   // Label 25937: @1931141
     /* 1931141 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1931227), // Rule ID 23979 //
     /* 1931146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1931157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1931160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1931163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931192 */     // MIs[0] policy
     /* 1931192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1931205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931226 */     // GIR_Coverage, 23979,
     /* 1931226 */     GIR_EraseRootFromParent_Done,
     /* 1931227 */   // Label 25938: @1931227
     /* 1931227 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1931313), // Rule ID 23982 //
     /* 1931232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1931243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1931246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1931249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931278 */     // MIs[0] policy
     /* 1931278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1931291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931312 */     // GIR_Coverage, 23982,
     /* 1931312 */     GIR_EraseRootFromParent_Done,
     /* 1931313 */   // Label 25939: @1931313
     /* 1931313 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1931399), // Rule ID 23983 //
     /* 1931318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1931329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1931332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1931335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931364 */     // MIs[0] policy
     /* 1931364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931374 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1931377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931398 */     // GIR_Coverage, 23983,
     /* 1931398 */     GIR_EraseRootFromParent_Done,
     /* 1931399 */   // Label 25940: @1931399
     /* 1931399 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1931485), // Rule ID 23986 //
     /* 1931404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1931415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1931418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1931421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931450 */     // MIs[0] policy
     /* 1931450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931460 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1931463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931484 */     // GIR_Coverage, 23986,
     /* 1931484 */     GIR_EraseRootFromParent_Done,
     /* 1931485 */   // Label 25941: @1931485
     /* 1931485 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1931571), // Rule ID 23987 //
     /* 1931490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1931501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1931504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1931507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931536 */     // MIs[0] policy
     /* 1931536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1931549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931570 */     // GIR_Coverage, 23987,
     /* 1931570 */     GIR_EraseRootFromParent_Done,
     /* 1931571 */   // Label 25942: @1931571
     /* 1931571 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1931657), // Rule ID 23990 //
     /* 1931576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1931587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1931590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1931593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1931599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931622 */     // MIs[0] policy
     /* 1931622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931632 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1931635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931656 */     // GIR_Coverage, 23990,
     /* 1931656 */     GIR_EraseRootFromParent_Done,
     /* 1931657 */   // Label 25943: @1931657
     /* 1931657 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1931743), // Rule ID 23991 //
     /* 1931662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1931673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1931676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1931679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1931685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931708 */     // MIs[0] policy
     /* 1931708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1931721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931742 */     // GIR_Coverage, 23991,
     /* 1931742 */     GIR_EraseRootFromParent_Done,
     /* 1931743 */   // Label 25944: @1931743
     /* 1931743 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1931829), // Rule ID 23994 //
     /* 1931748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931794 */     // MIs[0] policy
     /* 1931794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931804 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1931807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931828 */     // GIR_Coverage, 23994,
     /* 1931828 */     GIR_EraseRootFromParent_Done,
     /* 1931829 */   // Label 25945: @1931829
     /* 1931829 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1931915), // Rule ID 23995 //
     /* 1931834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931880 */     // MIs[0] policy
     /* 1931880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931890 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1931893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931914 */     // GIR_Coverage, 23995,
     /* 1931914 */     GIR_EraseRootFromParent_Done,
     /* 1931915 */   // Label 25946: @1931915
     /* 1931915 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1932001), // Rule ID 23998 //
     /* 1931920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1931928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931966 */     // MIs[0] policy
     /* 1931966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1931979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932000 */     // GIR_Coverage, 23998,
     /* 1932000 */     GIR_EraseRootFromParent_Done,
     /* 1932001 */   // Label 25947: @1932001
     /* 1932001 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1932087), // Rule ID 23999 //
     /* 1932006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1932017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1932020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1932023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932052 */     // MIs[0] policy
     /* 1932052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932062 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1932065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932086 */     // GIR_Coverage, 23999,
     /* 1932086 */     GIR_EraseRootFromParent_Done,
     /* 1932087 */   // Label 25948: @1932087
     /* 1932087 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1932173), // Rule ID 24002 //
     /* 1932092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1932103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1932106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1932109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1932115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932138 */     // MIs[0] policy
     /* 1932138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932148 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1932151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932172 */     // GIR_Coverage, 24002,
     /* 1932172 */     GIR_EraseRootFromParent_Done,
     /* 1932173 */   // Label 25949: @1932173
     /* 1932173 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1932259), // Rule ID 24003 //
     /* 1932178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1932189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1932192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1932195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1932201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932224 */     // MIs[0] policy
     /* 1932224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1932237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932258 */     // GIR_Coverage, 24003,
     /* 1932258 */     GIR_EraseRootFromParent_Done,
     /* 1932259 */   // Label 25950: @1932259
     /* 1932259 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1932345), // Rule ID 24006 //
     /* 1932264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932310 */     // MIs[0] policy
     /* 1932310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932320 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1932323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932344 */     // GIR_Coverage, 24006,
     /* 1932344 */     GIR_EraseRootFromParent_Done,
     /* 1932345 */   // Label 25951: @1932345
     /* 1932345 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1932431), // Rule ID 24007 //
     /* 1932350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932396 */     // MIs[0] policy
     /* 1932396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1932409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932430 */     // GIR_Coverage, 24007,
     /* 1932430 */     GIR_EraseRootFromParent_Done,
     /* 1932431 */   // Label 25952: @1932431
     /* 1932431 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1932517), // Rule ID 24010 //
     /* 1932436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1932447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1932450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1932453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932482 */     // MIs[0] policy
     /* 1932482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1932495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932516 */     // GIR_Coverage, 24010,
     /* 1932516 */     GIR_EraseRootFromParent_Done,
     /* 1932517 */   // Label 25953: @1932517
     /* 1932517 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1932603), // Rule ID 24011 //
     /* 1932522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1932533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1932536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1932539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932568 */     // MIs[0] policy
     /* 1932568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1932581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932602 */     // GIR_Coverage, 24011,
     /* 1932602 */     GIR_EraseRootFromParent_Done,
     /* 1932603 */   // Label 25954: @1932603
     /* 1932603 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1932689), // Rule ID 24014 //
     /* 1932608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1932619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1932622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932654 */     // MIs[0] policy
     /* 1932654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1932667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932688 */     // GIR_Coverage, 24014,
     /* 1932688 */     GIR_EraseRootFromParent_Done,
     /* 1932689 */   // Label 25955: @1932689
     /* 1932689 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1932775), // Rule ID 24015 //
     /* 1932694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1932705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1932708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932740 */     // MIs[0] policy
     /* 1932740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1932753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932774 */     // GIR_Coverage, 24015,
     /* 1932774 */     GIR_EraseRootFromParent_Done,
     /* 1932775 */   // Label 25956: @1932775
     /* 1932775 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1932861), // Rule ID 24018 //
     /* 1932780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1932783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932826 */     // MIs[0] policy
     /* 1932826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1932839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932860 */     // GIR_Coverage, 24018,
     /* 1932860 */     GIR_EraseRootFromParent_Done,
     /* 1932861 */   // Label 25957: @1932861
     /* 1932861 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1932947), // Rule ID 24019 //
     /* 1932866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932912 */     // MIs[0] policy
     /* 1932912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1932925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932946 */     // GIR_Coverage, 24019,
     /* 1932946 */     GIR_EraseRootFromParent_Done,
     /* 1932947 */   // Label 25958: @1932947
     /* 1932947 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1933033), // Rule ID 24022 //
     /* 1932952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1932955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1932960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932998 */     // MIs[0] policy
     /* 1932998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1933011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933032 */     // GIR_Coverage, 24022,
     /* 1933032 */     GIR_EraseRootFromParent_Done,
     /* 1933033 */   // Label 25959: @1933033
     /* 1933033 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1933119), // Rule ID 24023 //
     /* 1933038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1933041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1933049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1933052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1933055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933084 */     // MIs[0] policy
     /* 1933084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1933097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933118 */     // GIR_Coverage, 24023,
     /* 1933118 */     GIR_EraseRootFromParent_Done,
     /* 1933119 */   // Label 25960: @1933119
     /* 1933119 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1933205), // Rule ID 24026 //
     /* 1933124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1933127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1933135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1933138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1933141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933170 */     // MIs[0] policy
     /* 1933170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1933183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933204 */     // GIR_Coverage, 24026,
     /* 1933204 */     GIR_EraseRootFromParent_Done,
     /* 1933205 */   // Label 25961: @1933205
     /* 1933205 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1933291), // Rule ID 24027 //
     /* 1933210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1933213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1933218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1933221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1933224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1933227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933256 */     // MIs[0] policy
     /* 1933256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1933269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933290 */     // GIR_Coverage, 24027,
     /* 1933290 */     GIR_EraseRootFromParent_Done,
     /* 1933291 */   // Label 25962: @1933291
     /* 1933291 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1933377), // Rule ID 24030 //
     /* 1933296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933342 */     // MIs[0] policy
     /* 1933342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933352 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1933355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933376 */     // GIR_Coverage, 24030,
     /* 1933376 */     GIR_EraseRootFromParent_Done,
     /* 1933377 */   // Label 25963: @1933377
     /* 1933377 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1933463), // Rule ID 24031 //
     /* 1933382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933428 */     // MIs[0] policy
     /* 1933428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933438 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1933441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933462 */     // GIR_Coverage, 24031,
     /* 1933462 */     GIR_EraseRootFromParent_Done,
     /* 1933463 */   // Label 25964: @1933463
     /* 1933463 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1933549), // Rule ID 24034 //
     /* 1933468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933514 */     // MIs[0] policy
     /* 1933514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933524 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1933527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933548 */     // GIR_Coverage, 24034,
     /* 1933548 */     GIR_EraseRootFromParent_Done,
     /* 1933549 */   // Label 25965: @1933549
     /* 1933549 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1933635), // Rule ID 24035 //
     /* 1933554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933600 */     // MIs[0] policy
     /* 1933600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933610 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1933613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933634 */     // GIR_Coverage, 24035,
     /* 1933634 */     GIR_EraseRootFromParent_Done,
     /* 1933635 */   // Label 25966: @1933635
     /* 1933635 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1933721), // Rule ID 24038 //
     /* 1933640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933686 */     // MIs[0] policy
     /* 1933686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933696 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1933699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933720 */     // GIR_Coverage, 24038,
     /* 1933720 */     GIR_EraseRootFromParent_Done,
     /* 1933721 */   // Label 25967: @1933721
     /* 1933721 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1933807), // Rule ID 24039 //
     /* 1933726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933772 */     // MIs[0] policy
     /* 1933772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933782 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1933785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933806 */     // GIR_Coverage, 24039,
     /* 1933806 */     GIR_EraseRootFromParent_Done,
     /* 1933807 */   // Label 25968: @1933807
     /* 1933807 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1933893), // Rule ID 24042 //
     /* 1933812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933858 */     // MIs[0] policy
     /* 1933858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933868 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1933871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933892 */     // GIR_Coverage, 24042,
     /* 1933892 */     GIR_EraseRootFromParent_Done,
     /* 1933893 */   // Label 25969: @1933893
     /* 1933893 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1933979), // Rule ID 24043 //
     /* 1933898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933944 */     // MIs[0] policy
     /* 1933944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933954 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1933957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1933961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933978 */     // GIR_Coverage, 24043,
     /* 1933978 */     GIR_EraseRootFromParent_Done,
     /* 1933979 */   // Label 25970: @1933979
     /* 1933979 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1934065), // Rule ID 24046 //
     /* 1933984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1933992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934030 */     // MIs[0] policy
     /* 1934030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1934043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934064 */     // GIR_Coverage, 24046,
     /* 1934064 */     GIR_EraseRootFromParent_Done,
     /* 1934065 */   // Label 25971: @1934065
     /* 1934065 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1934151), // Rule ID 24047 //
     /* 1934070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934116 */     // MIs[0] policy
     /* 1934116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934126 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1934129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934150 */     // GIR_Coverage, 24047,
     /* 1934150 */     GIR_EraseRootFromParent_Done,
     /* 1934151 */   // Label 25972: @1934151
     /* 1934151 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1934237), // Rule ID 24050 //
     /* 1934156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1934159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934202 */     // MIs[0] policy
     /* 1934202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1934215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934236 */     // GIR_Coverage, 24050,
     /* 1934236 */     GIR_EraseRootFromParent_Done,
     /* 1934237 */   // Label 25973: @1934237
     /* 1934237 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1934323), // Rule ID 24051 //
     /* 1934242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934288 */     // MIs[0] policy
     /* 1934288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934298 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1934301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934322 */     // GIR_Coverage, 24051,
     /* 1934322 */     GIR_EraseRootFromParent_Done,
     /* 1934323 */   // Label 25974: @1934323
     /* 1934323 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1934409), // Rule ID 24054 //
     /* 1934328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934374 */     // MIs[0] policy
     /* 1934374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934384 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1934387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934408 */     // GIR_Coverage, 24054,
     /* 1934408 */     GIR_EraseRootFromParent_Done,
     /* 1934409 */   // Label 25975: @1934409
     /* 1934409 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1934495), // Rule ID 24055 //
     /* 1934414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934460 */     // MIs[0] policy
     /* 1934460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934470 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1934473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934494 */     // GIR_Coverage, 24055,
     /* 1934494 */     GIR_EraseRootFromParent_Done,
     /* 1934495 */   // Label 25976: @1934495
     /* 1934495 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1934581), // Rule ID 24058 //
     /* 1934500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934546 */     // MIs[0] policy
     /* 1934546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934556 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1934559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934580 */     // GIR_Coverage, 24058,
     /* 1934580 */     GIR_EraseRootFromParent_Done,
     /* 1934581 */   // Label 25977: @1934581
     /* 1934581 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1934667), // Rule ID 24059 //
     /* 1934586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934632 */     // MIs[0] policy
     /* 1934632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934642 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1934645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934666 */     // GIR_Coverage, 24059,
     /* 1934666 */     GIR_EraseRootFromParent_Done,
     /* 1934667 */   // Label 25978: @1934667
     /* 1934667 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1934753), // Rule ID 24062 //
     /* 1934672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934718 */     // MIs[0] policy
     /* 1934718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934728 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1934731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934752 */     // GIR_Coverage, 24062,
     /* 1934752 */     GIR_EraseRootFromParent_Done,
     /* 1934753 */   // Label 25979: @1934753
     /* 1934753 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1934839), // Rule ID 24063 //
     /* 1934758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934804 */     // MIs[0] policy
     /* 1934804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934814 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1934817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934838 */     // GIR_Coverage, 24063,
     /* 1934838 */     GIR_EraseRootFromParent_Done,
     /* 1934839 */   // Label 25980: @1934839
     /* 1934839 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1934925), // Rule ID 24066 //
     /* 1934844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934890 */     // MIs[0] policy
     /* 1934890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934900 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1934903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934924 */     // GIR_Coverage, 24066,
     /* 1934924 */     GIR_EraseRootFromParent_Done,
     /* 1934925 */   // Label 25981: @1934925
     /* 1934925 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1935011), // Rule ID 24067 //
     /* 1934930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1934938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934976 */     // MIs[0] policy
     /* 1934976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934986 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1934989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1934993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935010 */     // GIR_Coverage, 24067,
     /* 1935010 */     GIR_EraseRootFromParent_Done,
     /* 1935011 */   // Label 25982: @1935011
     /* 1935011 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1935097), // Rule ID 24070 //
     /* 1935016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935062 */     // MIs[0] policy
     /* 1935062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935072 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1935075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935096 */     // GIR_Coverage, 24070,
     /* 1935096 */     GIR_EraseRootFromParent_Done,
     /* 1935097 */   // Label 25983: @1935097
     /* 1935097 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1935183), // Rule ID 24071 //
     /* 1935102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935148 */     // MIs[0] policy
     /* 1935148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935158 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1935161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935182 */     // GIR_Coverage, 24071,
     /* 1935182 */     GIR_EraseRootFromParent_Done,
     /* 1935183 */   // Label 25984: @1935183
     /* 1935183 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1935269), // Rule ID 24074 //
     /* 1935188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935234 */     // MIs[0] policy
     /* 1935234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935244 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1935247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935268 */     // GIR_Coverage, 24074,
     /* 1935268 */     GIR_EraseRootFromParent_Done,
     /* 1935269 */   // Label 25985: @1935269
     /* 1935269 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1935355), // Rule ID 24075 //
     /* 1935274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935320 */     // MIs[0] policy
     /* 1935320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935330 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1935333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935354 */     // GIR_Coverage, 24075,
     /* 1935354 */     GIR_EraseRootFromParent_Done,
     /* 1935355 */   // Label 25986: @1935355
     /* 1935355 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1935441), // Rule ID 24078 //
     /* 1935360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935406 */     // MIs[0] policy
     /* 1935406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935416 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1935419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935440 */     // GIR_Coverage, 24078,
     /* 1935440 */     GIR_EraseRootFromParent_Done,
     /* 1935441 */   // Label 25987: @1935441
     /* 1935441 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1935527), // Rule ID 24079 //
     /* 1935446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1935449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935492 */     // MIs[0] policy
     /* 1935492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935502 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1935505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935526 */     // GIR_Coverage, 24079,
     /* 1935526 */     GIR_EraseRootFromParent_Done,
     /* 1935527 */   // Label 25988: @1935527
     /* 1935527 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1935613), // Rule ID 24082 //
     /* 1935532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935578 */     // MIs[0] policy
     /* 1935578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935588 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1935591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935612 */     // GIR_Coverage, 24082,
     /* 1935612 */     GIR_EraseRootFromParent_Done,
     /* 1935613 */   // Label 25989: @1935613
     /* 1935613 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1935699), // Rule ID 24083 //
     /* 1935618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1935621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935664 */     // MIs[0] policy
     /* 1935664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935674 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1935677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935698 */     // GIR_Coverage, 24083,
     /* 1935698 */     GIR_EraseRootFromParent_Done,
     /* 1935699 */   // Label 25990: @1935699
     /* 1935699 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1935785), // Rule ID 24086 //
     /* 1935704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935750 */     // MIs[0] policy
     /* 1935750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935760 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1935763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935784 */     // GIR_Coverage, 24086,
     /* 1935784 */     GIR_EraseRootFromParent_Done,
     /* 1935785 */   // Label 25991: @1935785
     /* 1935785 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1935871), // Rule ID 24087 //
     /* 1935790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1935793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1935798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935836 */     // MIs[0] policy
     /* 1935836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935846 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1935849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935870 */     // GIR_Coverage, 24087,
     /* 1935870 */     GIR_EraseRootFromParent_Done,
     /* 1935871 */   // Label 25992: @1935871
     /* 1935871 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1935957), // Rule ID 24150 //
     /* 1935876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1935884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935922 */     // MIs[0] policy
     /* 1935922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935932 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1935935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1935939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935956 */     // GIR_Coverage, 24150,
     /* 1935956 */     GIR_EraseRootFromParent_Done,
     /* 1935957 */   // Label 25993: @1935957
     /* 1935957 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1936043), // Rule ID 24151 //
     /* 1935962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1935970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936008 */     // MIs[0] policy
     /* 1936008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936018 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1936021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936042 */     // GIR_Coverage, 24151,
     /* 1936042 */     GIR_EraseRootFromParent_Done,
     /* 1936043 */   // Label 25994: @1936043
     /* 1936043 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1936129), // Rule ID 24154 //
     /* 1936048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936094 */     // MIs[0] policy
     /* 1936094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936104 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1936107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936128 */     // GIR_Coverage, 24154,
     /* 1936128 */     GIR_EraseRootFromParent_Done,
     /* 1936129 */   // Label 25995: @1936129
     /* 1936129 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1936215), // Rule ID 24155 //
     /* 1936134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936180 */     // MIs[0] policy
     /* 1936180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936190 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1936193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936214 */     // GIR_Coverage, 24155,
     /* 1936214 */     GIR_EraseRootFromParent_Done,
     /* 1936215 */   // Label 25996: @1936215
     /* 1936215 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1936301), // Rule ID 24158 //
     /* 1936220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936266 */     // MIs[0] policy
     /* 1936266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1936279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936300 */     // GIR_Coverage, 24158,
     /* 1936300 */     GIR_EraseRootFromParent_Done,
     /* 1936301 */   // Label 25997: @1936301
     /* 1936301 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1936387), // Rule ID 24159 //
     /* 1936306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1936317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1936320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1936323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936352 */     // MIs[0] policy
     /* 1936352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936362 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1936365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936386 */     // GIR_Coverage, 24159,
     /* 1936386 */     GIR_EraseRootFromParent_Done,
     /* 1936387 */   // Label 25998: @1936387
     /* 1936387 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1936473), // Rule ID 24162 //
     /* 1936392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1936403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1936406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1936409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936438 */     // MIs[0] policy
     /* 1936438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936448 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1936451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936472 */     // GIR_Coverage, 24162,
     /* 1936472 */     GIR_EraseRootFromParent_Done,
     /* 1936473 */   // Label 25999: @1936473
     /* 1936473 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1936559), // Rule ID 24163 //
     /* 1936478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1936489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1936492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1936495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936524 */     // MIs[0] policy
     /* 1936524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936534 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1936537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936558 */     // GIR_Coverage, 24163,
     /* 1936558 */     GIR_EraseRootFromParent_Done,
     /* 1936559 */   // Label 26000: @1936559
     /* 1936559 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1936645), // Rule ID 24166 //
     /* 1936564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1936575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1936578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1936581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936610 */     // MIs[0] policy
     /* 1936610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936620 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1936623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936644 */     // GIR_Coverage, 24166,
     /* 1936644 */     GIR_EraseRootFromParent_Done,
     /* 1936645 */   // Label 26001: @1936645
     /* 1936645 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1936731), // Rule ID 24167 //
     /* 1936650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1936661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1936664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1936667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936696 */     // MIs[0] policy
     /* 1936696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936706 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1936709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936730 */     // GIR_Coverage, 24167,
     /* 1936730 */     GIR_EraseRootFromParent_Done,
     /* 1936731 */   // Label 26002: @1936731
     /* 1936731 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1936817), // Rule ID 24170 //
     /* 1936736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936782 */     // MIs[0] policy
     /* 1936782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1936795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936816 */     // GIR_Coverage, 24170,
     /* 1936816 */     GIR_EraseRootFromParent_Done,
     /* 1936817 */   // Label 26003: @1936817
     /* 1936817 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1936903), // Rule ID 24171 //
     /* 1936822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936868 */     // MIs[0] policy
     /* 1936868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1936881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936902 */     // GIR_Coverage, 24171,
     /* 1936902 */     GIR_EraseRootFromParent_Done,
     /* 1936903 */   // Label 26004: @1936903
     /* 1936903 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1936989), // Rule ID 24174 //
     /* 1936908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1936916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1936919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1936922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1936925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936954 */     // MIs[0] policy
     /* 1936954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936964 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1936967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1936971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936988 */     // GIR_Coverage, 24174,
     /* 1936988 */     GIR_EraseRootFromParent_Done,
     /* 1936989 */   // Label 26005: @1936989
     /* 1936989 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1937075), // Rule ID 24175 //
     /* 1936994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1937005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1937008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1937011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937040 */     // MIs[0] policy
     /* 1937040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937050 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1937053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937074 */     // GIR_Coverage, 24175,
     /* 1937074 */     GIR_EraseRootFromParent_Done,
     /* 1937075 */   // Label 26006: @1937075
     /* 1937075 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1937161), // Rule ID 24178 //
     /* 1937080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937126 */     // MIs[0] policy
     /* 1937126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937136 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1937139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937160 */     // GIR_Coverage, 24178,
     /* 1937160 */     GIR_EraseRootFromParent_Done,
     /* 1937161 */   // Label 26007: @1937161
     /* 1937161 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1937247), // Rule ID 24179 //
     /* 1937166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1937177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1937180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1937183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937212 */     // MIs[0] policy
     /* 1937212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937222 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1937225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937246 */     // GIR_Coverage, 24179,
     /* 1937246 */     GIR_EraseRootFromParent_Done,
     /* 1937247 */   // Label 26008: @1937247
     /* 1937247 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1937333), // Rule ID 24182 //
     /* 1937252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1937255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937298 */     // MIs[0] policy
     /* 1937298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937308 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1937311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937332 */     // GIR_Coverage, 24182,
     /* 1937332 */     GIR_EraseRootFromParent_Done,
     /* 1937333 */   // Label 26009: @1937333
     /* 1937333 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1937419), // Rule ID 24183 //
     /* 1937338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1937341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1937349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1937352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1937355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1937361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937384 */     // MIs[0] policy
     /* 1937384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937394 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1937397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937418 */     // GIR_Coverage, 24183,
     /* 1937418 */     GIR_EraseRootFromParent_Done,
     /* 1937419 */   // Label 26010: @1937419
     /* 1937419 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1937505), // Rule ID 24186 //
     /* 1937424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1937435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1937438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1937441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937470 */     // MIs[0] policy
     /* 1937470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1937483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937504 */     // GIR_Coverage, 24186,
     /* 1937504 */     GIR_EraseRootFromParent_Done,
     /* 1937505 */   // Label 26011: @1937505
     /* 1937505 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1937591), // Rule ID 24187 //
     /* 1937510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1937521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1937524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1937527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937556 */     // MIs[0] policy
     /* 1937556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937566 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1937569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937590 */     // GIR_Coverage, 24187,
     /* 1937590 */     GIR_EraseRootFromParent_Done,
     /* 1937591 */   // Label 26012: @1937591
     /* 1937591 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1937677), // Rule ID 24190 //
     /* 1937596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1937607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1937610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1937613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937642 */     // MIs[0] policy
     /* 1937642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1937655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937676 */     // GIR_Coverage, 24190,
     /* 1937676 */     GIR_EraseRootFromParent_Done,
     /* 1937677 */   // Label 26013: @1937677
     /* 1937677 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1937763), // Rule ID 24191 //
     /* 1937682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1937693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1937696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1937699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937728 */     // MIs[0] policy
     /* 1937728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937738 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1937741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937762 */     // GIR_Coverage, 24191,
     /* 1937762 */     GIR_EraseRootFromParent_Done,
     /* 1937763 */   // Label 26014: @1937763
     /* 1937763 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1937849), // Rule ID 24194 //
     /* 1937768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937814 */     // MIs[0] policy
     /* 1937814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937824 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1937827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937848 */     // GIR_Coverage, 24194,
     /* 1937848 */     GIR_EraseRootFromParent_Done,
     /* 1937849 */   // Label 26015: @1937849
     /* 1937849 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1937935), // Rule ID 24195 //
     /* 1937854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937900 */     // MIs[0] policy
     /* 1937900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937910 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1937913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1937917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937934 */     // GIR_Coverage, 24195,
     /* 1937934 */     GIR_EraseRootFromParent_Done,
     /* 1937935 */   // Label 26016: @1937935
     /* 1937935 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1938021), // Rule ID 24198 //
     /* 1937940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1937948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1937951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1937954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1937957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937986 */     // MIs[0] policy
     /* 1937986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1937999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938020 */     // GIR_Coverage, 24198,
     /* 1938020 */     GIR_EraseRootFromParent_Done,
     /* 1938021 */   // Label 26017: @1938021
     /* 1938021 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1938107), // Rule ID 24199 //
     /* 1938026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1938037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1938040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1938043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938072 */     // MIs[0] policy
     /* 1938072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938082 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1938085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938106 */     // GIR_Coverage, 24199,
     /* 1938106 */     GIR_EraseRootFromParent_Done,
     /* 1938107 */   // Label 26018: @1938107
     /* 1938107 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1938193), // Rule ID 24202 //
     /* 1938112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938158 */     // MIs[0] policy
     /* 1938158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938168 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1938171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938192 */     // GIR_Coverage, 24202,
     /* 1938192 */     GIR_EraseRootFromParent_Done,
     /* 1938193 */   // Label 26019: @1938193
     /* 1938193 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1938279), // Rule ID 24203 //
     /* 1938198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1938209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1938212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1938215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938244 */     // MIs[0] policy
     /* 1938244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938254 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1938257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938278 */     // GIR_Coverage, 24203,
     /* 1938278 */     GIR_EraseRootFromParent_Done,
     /* 1938279 */   // Label 26020: @1938279
     /* 1938279 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1938365), // Rule ID 24206 //
     /* 1938284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1938287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1938298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1938301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938330 */     // MIs[0] policy
     /* 1938330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938340 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1938343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938364 */     // GIR_Coverage, 24206,
     /* 1938364 */     GIR_EraseRootFromParent_Done,
     /* 1938365 */   // Label 26021: @1938365
     /* 1938365 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1938451), // Rule ID 24207 //
     /* 1938370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1938373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1938378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1938381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1938384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1938387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938416 */     // MIs[0] policy
     /* 1938416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938426 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11485:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1938429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1938433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938450 */     // GIR_Coverage, 24207,
     /* 1938450 */     GIR_EraseRootFromParent_Done,
     /* 1938451 */   // Label 26022: @1938451
     /* 1938451 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1938537), // Rule ID 24270 //
     /* 1938456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1938464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938502 */     // MIs[0] policy
     /* 1938502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938512 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1938515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938536 */     // GIR_Coverage, 24270,
     /* 1938536 */     GIR_EraseRootFromParent_Done,
     /* 1938537 */   // Label 26023: @1938537
     /* 1938537 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1938623), // Rule ID 24271 //
     /* 1938542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1938550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938588 */     // MIs[0] policy
     /* 1938588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938598 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1938601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938622 */     // GIR_Coverage, 24271,
     /* 1938622 */     GIR_EraseRootFromParent_Done,
     /* 1938623 */   // Label 26024: @1938623
     /* 1938623 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1938709), // Rule ID 24274 //
     /* 1938628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1938636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938674 */     // MIs[0] policy
     /* 1938674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1938687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938708 */     // GIR_Coverage, 24274,
     /* 1938708 */     GIR_EraseRootFromParent_Done,
     /* 1938709 */   // Label 26025: @1938709
     /* 1938709 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1938795), // Rule ID 24275 //
     /* 1938714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1938717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1938722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1938756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938760 */     // MIs[0] policy
     /* 1938760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938770 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1938773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938794 */     // GIR_Coverage, 24275,
     /* 1938794 */     GIR_EraseRootFromParent_Done,
     /* 1938795 */   // Label 26026: @1938795
     /* 1938795 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1938881), // Rule ID 24278 //
     /* 1938800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1938803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1938808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938846 */     // MIs[0] policy
     /* 1938846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938856 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1938859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938880 */     // GIR_Coverage, 24278,
     /* 1938880 */     GIR_EraseRootFromParent_Done,
     /* 1938881 */   // Label 26027: @1938881
     /* 1938881 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1938967), // Rule ID 24279 //
     /* 1938886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1938889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1938894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1938928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938932 */     // MIs[0] policy
     /* 1938932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938942 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1938945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938966 */     // GIR_Coverage, 24279,
     /* 1938966 */     GIR_EraseRootFromParent_Done,
     /* 1938967 */   // Label 26028: @1938967
     /* 1938967 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1939053), // Rule ID 24282 //
     /* 1938972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1938975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1938980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1938992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939018 */     // MIs[0] policy
     /* 1939018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939028 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1939031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939052 */     // GIR_Coverage, 24282,
     /* 1939052 */     GIR_EraseRootFromParent_Done,
     /* 1939053 */   // Label 26029: @1939053
     /* 1939053 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1939139), // Rule ID 24283 //
     /* 1939058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1939061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1939069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1939072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1939075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1939078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939104 */     // MIs[0] policy
     /* 1939104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1939117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939138 */     // GIR_Coverage, 24283,
     /* 1939138 */     GIR_EraseRootFromParent_Done,
     /* 1939139 */   // Label 26030: @1939139
     /* 1939139 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1939225), // Rule ID 24286 //
     /* 1939144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1939147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1939155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1939158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1939161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1939186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939190 */     // MIs[0] policy
     /* 1939190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1939203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939224 */     // GIR_Coverage, 24286,
     /* 1939224 */     GIR_EraseRootFromParent_Done,
     /* 1939225 */   // Label 26031: @1939225
     /* 1939225 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1939311), // Rule ID 24287 //
     /* 1939230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1939233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1939241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1939244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1939247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1939272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939276 */     // MIs[0] policy
     /* 1939276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939286 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1939289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939310 */     // GIR_Coverage, 24287,
     /* 1939310 */     GIR_EraseRootFromParent_Done,
     /* 1939311 */   // Label 26032: @1939311
     /* 1939311 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1939397), // Rule ID 24290 //
     /* 1939316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1939319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1939327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1939330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1939333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939362 */     // MIs[0] policy
     /* 1939362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939372 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1939375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939396 */     // GIR_Coverage, 24290,
     /* 1939396 */     GIR_EraseRootFromParent_Done,
     /* 1939397 */   // Label 26033: @1939397
     /* 1939397 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1939483), // Rule ID 24291 //
     /* 1939402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1939405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1939413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1939416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1939419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1939444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939448 */     // MIs[0] policy
     /* 1939448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939458 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1939461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939482 */     // GIR_Coverage, 24291,
     /* 1939482 */     GIR_EraseRootFromParent_Done,
     /* 1939483 */   // Label 26034: @1939483
     /* 1939483 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1939569), // Rule ID 24294 //
     /* 1939488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1939491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1939508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939534 */     // MIs[0] policy
     /* 1939534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939544 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1939547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939568 */     // GIR_Coverage, 24294,
     /* 1939568 */     GIR_EraseRootFromParent_Done,
     /* 1939569 */   // Label 26035: @1939569
     /* 1939569 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1939655), // Rule ID 24295 //
     /* 1939574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1939577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1939594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939620 */     // MIs[0] policy
     /* 1939620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939630 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1939633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939654 */     // GIR_Coverage, 24295,
     /* 1939654 */     GIR_EraseRootFromParent_Done,
     /* 1939655 */   // Label 26036: @1939655
     /* 1939655 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1939741), // Rule ID 24298 //
     /* 1939660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1939663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1939680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939706 */     // MIs[0] policy
     /* 1939706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1939719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939740 */     // GIR_Coverage, 24298,
     /* 1939740 */     GIR_EraseRootFromParent_Done,
     /* 1939741 */   // Label 26037: @1939741
     /* 1939741 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1939827), // Rule ID 24299 //
     /* 1939746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1939749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1939766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939792 */     // MIs[0] policy
     /* 1939792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939802 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1939805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939826 */     // GIR_Coverage, 24299,
     /* 1939826 */     GIR_EraseRootFromParent_Done,
     /* 1939827 */   // Label 26038: @1939827
     /* 1939827 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1939913), // Rule ID 24302 //
     /* 1939832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1939835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1939852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939878 */     // MIs[0] policy
     /* 1939878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939888 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1939891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939912 */     // GIR_Coverage, 24302,
     /* 1939912 */     GIR_EraseRootFromParent_Done,
     /* 1939913 */   // Label 26039: @1939913
     /* 1939913 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1939999), // Rule ID 24303 //
     /* 1939918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1939921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1939926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1939938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1939960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939964 */     // MIs[0] policy
     /* 1939964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939974 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1939977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939998 */     // GIR_Coverage, 24303,
     /* 1939998 */     GIR_EraseRootFromParent_Done,
     /* 1939999 */   // Label 26040: @1939999
     /* 1939999 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1940085), // Rule ID 24306 //
     /* 1940004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1940007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1940046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940050 */     // MIs[0] policy
     /* 1940050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940060 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1940063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940084 */     // GIR_Coverage, 24306,
     /* 1940084 */     GIR_EraseRootFromParent_Done,
     /* 1940085 */   // Label 26041: @1940085
     /* 1940085 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1940171), // Rule ID 24307 //
     /* 1940090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1940093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1940132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940136 */     // MIs[0] policy
     /* 1940136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940146 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1940149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940170 */     // GIR_Coverage, 24307,
     /* 1940170 */     GIR_EraseRootFromParent_Done,
     /* 1940171 */   // Label 26042: @1940171
     /* 1940171 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1940257), // Rule ID 24310 //
     /* 1940176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1940179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1940218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940222 */     // MIs[0] policy
     /* 1940222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940232 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1940235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940256 */     // GIR_Coverage, 24310,
     /* 1940256 */     GIR_EraseRootFromParent_Done,
     /* 1940257 */   // Label 26043: @1940257
     /* 1940257 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1940343), // Rule ID 24311 //
     /* 1940262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1940265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1940304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940308 */     // MIs[0] policy
     /* 1940308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940318 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1940321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940342 */     // GIR_Coverage, 24311,
     /* 1940342 */     GIR_EraseRootFromParent_Done,
     /* 1940343 */   // Label 26044: @1940343
     /* 1940343 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1940429), // Rule ID 24314 //
     /* 1940348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1940351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1940390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940394 */     // MIs[0] policy
     /* 1940394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940404 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1940407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940428 */     // GIR_Coverage, 24314,
     /* 1940428 */     GIR_EraseRootFromParent_Done,
     /* 1940429 */   // Label 26045: @1940429
     /* 1940429 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1940515), // Rule ID 24315 //
     /* 1940434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1940437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1940476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940480 */     // MIs[0] policy
     /* 1940480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940490 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1940493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940514 */     // GIR_Coverage, 24315,
     /* 1940514 */     GIR_EraseRootFromParent_Done,
     /* 1940515 */   // Label 26046: @1940515
     /* 1940515 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1940601), // Rule ID 24318 //
     /* 1940520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1940523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1940562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940566 */     // MIs[0] policy
     /* 1940566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940576 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1940579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940600 */     // GIR_Coverage, 24318,
     /* 1940600 */     GIR_EraseRootFromParent_Done,
     /* 1940601 */   // Label 26047: @1940601
     /* 1940601 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1940687), // Rule ID 24319 //
     /* 1940606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1940609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1940648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940652 */     // MIs[0] policy
     /* 1940652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940662 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1940665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940686 */     // GIR_Coverage, 24319,
     /* 1940686 */     GIR_EraseRootFromParent_Done,
     /* 1940687 */   // Label 26048: @1940687
     /* 1940687 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1940773), // Rule ID 24322 //
     /* 1940692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1940695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1940734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940738 */     // MIs[0] policy
     /* 1940738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940748 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1940751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940772 */     // GIR_Coverage, 24322,
     /* 1940772 */     GIR_EraseRootFromParent_Done,
     /* 1940773 */   // Label 26049: @1940773
     /* 1940773 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1940859), // Rule ID 24323 //
     /* 1940778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1940781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1940820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940824 */     // MIs[0] policy
     /* 1940824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940834 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1940837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940858 */     // GIR_Coverage, 24323,
     /* 1940858 */     GIR_EraseRootFromParent_Done,
     /* 1940859 */   // Label 26050: @1940859
     /* 1940859 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1940945), // Rule ID 24326 //
     /* 1940864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1940867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1940906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940910 */     // MIs[0] policy
     /* 1940910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1940923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940944 */     // GIR_Coverage, 24326,
     /* 1940944 */     GIR_EraseRootFromParent_Done,
     /* 1940945 */   // Label 26051: @1940945
     /* 1940945 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1941031), // Rule ID 24327 //
     /* 1940950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1940953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1940958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1940992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940996 */     // MIs[0] policy
     /* 1940996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941006 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1941009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941030 */     // GIR_Coverage, 24327,
     /* 1941030 */     GIR_EraseRootFromParent_Done,
     /* 1941031 */   // Label 26052: @1941031
     /* 1941031 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1941117), // Rule ID 24330 //
     /* 1941036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941082 */     // MIs[0] policy
     /* 1941082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941092 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1941095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941116 */     // GIR_Coverage, 24330,
     /* 1941116 */     GIR_EraseRootFromParent_Done,
     /* 1941117 */   // Label 26053: @1941117
     /* 1941117 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1941203), // Rule ID 24331 //
     /* 1941122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941168 */     // MIs[0] policy
     /* 1941168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1941181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941202 */     // GIR_Coverage, 24331,
     /* 1941202 */     GIR_EraseRootFromParent_Done,
     /* 1941203 */   // Label 26054: @1941203
     /* 1941203 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1941289), // Rule ID 24334 //
     /* 1941208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941254 */     // MIs[0] policy
     /* 1941254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941264 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1941267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941288 */     // GIR_Coverage, 24334,
     /* 1941288 */     GIR_EraseRootFromParent_Done,
     /* 1941289 */   // Label 26055: @1941289
     /* 1941289 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1941375), // Rule ID 24335 //
     /* 1941294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941340 */     // MIs[0] policy
     /* 1941340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941350 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1941353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941374 */     // GIR_Coverage, 24335,
     /* 1941374 */     GIR_EraseRootFromParent_Done,
     /* 1941375 */   // Label 26056: @1941375
     /* 1941375 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1941461), // Rule ID 24338 //
     /* 1941380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941426 */     // MIs[0] policy
     /* 1941426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941436 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1941439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941460 */     // GIR_Coverage, 24338,
     /* 1941460 */     GIR_EraseRootFromParent_Done,
     /* 1941461 */   // Label 26057: @1941461
     /* 1941461 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1941547), // Rule ID 24339 //
     /* 1941466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941512 */     // MIs[0] policy
     /* 1941512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941522 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1941525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941546 */     // GIR_Coverage, 24339,
     /* 1941546 */     GIR_EraseRootFromParent_Done,
     /* 1941547 */   // Label 26058: @1941547
     /* 1941547 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1941633), // Rule ID 24342 //
     /* 1941552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941598 */     // MIs[0] policy
     /* 1941598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941608 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1941611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941632 */     // GIR_Coverage, 24342,
     /* 1941632 */     GIR_EraseRootFromParent_Done,
     /* 1941633 */   // Label 26059: @1941633
     /* 1941633 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1941719), // Rule ID 24343 //
     /* 1941638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1941658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1941680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941684 */     // MIs[0] policy
     /* 1941684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941694 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1941697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941718 */     // GIR_Coverage, 24343,
     /* 1941718 */     GIR_EraseRootFromParent_Done,
     /* 1941719 */   // Label 26060: @1941719
     /* 1941719 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1941805), // Rule ID 24346 //
     /* 1941724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1941735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1941738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1941741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941770 */     // MIs[0] policy
     /* 1941770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941780 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1941783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941804 */     // GIR_Coverage, 24346,
     /* 1941804 */     GIR_EraseRootFromParent_Done,
     /* 1941805 */   // Label 26061: @1941805
     /* 1941805 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1941891), // Rule ID 24347 //
     /* 1941810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1941821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1941824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1941827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1941852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941856 */     // MIs[0] policy
     /* 1941856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941866 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1941869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941890 */     // GIR_Coverage, 24347,
     /* 1941890 */     GIR_EraseRootFromParent_Done,
     /* 1941891 */   // Label 26062: @1941891
     /* 1941891 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1941977), // Rule ID 24350 //
     /* 1941896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1941899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1941938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941942 */     // MIs[0] policy
     /* 1941942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1941955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941976 */     // GIR_Coverage, 24350,
     /* 1941976 */     GIR_EraseRootFromParent_Done,
     /* 1941977 */   // Label 26063: @1941977
     /* 1941977 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1942063), // Rule ID 24351 //
     /* 1941982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1941985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1941990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1942024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942028 */     // MIs[0] policy
     /* 1942028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942038 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1942041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942062 */     // GIR_Coverage, 24351,
     /* 1942062 */     GIR_EraseRootFromParent_Done,
     /* 1942063 */   // Label 26064: @1942063
     /* 1942063 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1942149), // Rule ID 24354 //
     /* 1942068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942114 */     // MIs[0] policy
     /* 1942114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942124 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1942127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942148 */     // GIR_Coverage, 24354,
     /* 1942148 */     GIR_EraseRootFromParent_Done,
     /* 1942149 */   // Label 26065: @1942149
     /* 1942149 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1942235), // Rule ID 24355 //
     /* 1942154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942200 */     // MIs[0] policy
     /* 1942200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942210 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1942213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942234 */     // GIR_Coverage, 24355,
     /* 1942234 */     GIR_EraseRootFromParent_Done,
     /* 1942235 */   // Label 26066: @1942235
     /* 1942235 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1942321), // Rule ID 24358 //
     /* 1942240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1942251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1942254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1942257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942286 */     // MIs[0] policy
     /* 1942286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942296 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1942299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942320 */     // GIR_Coverage, 24358,
     /* 1942320 */     GIR_EraseRootFromParent_Done,
     /* 1942321 */   // Label 26067: @1942321
     /* 1942321 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1942407), // Rule ID 24359 //
     /* 1942326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1942337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1942340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1942343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942372 */     // MIs[0] policy
     /* 1942372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942382 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1942385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942406 */     // GIR_Coverage, 24359,
     /* 1942406 */     GIR_EraseRootFromParent_Done,
     /* 1942407 */   // Label 26068: @1942407
     /* 1942407 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1942493), // Rule ID 24362 //
     /* 1942412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942458 */     // MIs[0] policy
     /* 1942458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942468 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1942471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942492 */     // GIR_Coverage, 24362,
     /* 1942492 */     GIR_EraseRootFromParent_Done,
     /* 1942493 */   // Label 26069: @1942493
     /* 1942493 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1942579), // Rule ID 24363 //
     /* 1942498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1942509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1942512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1942515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1942518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1942540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942544 */     // MIs[0] policy
     /* 1942544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942554 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1942557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942578 */     // GIR_Coverage, 24363,
     /* 1942578 */     GIR_EraseRootFromParent_Done,
     /* 1942579 */   // Label 26070: @1942579
     /* 1942579 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1942665), // Rule ID 24366 //
     /* 1942584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942630 */     // MIs[0] policy
     /* 1942630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1942643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942664 */     // GIR_Coverage, 24366,
     /* 1942664 */     GIR_EraseRootFromParent_Done,
     /* 1942665 */   // Label 26071: @1942665
     /* 1942665 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1942751), // Rule ID 24367 //
     /* 1942670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1942681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1942684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1942687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942716 */     // MIs[0] policy
     /* 1942716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942726 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1942729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942750 */     // GIR_Coverage, 24367,
     /* 1942750 */     GIR_EraseRootFromParent_Done,
     /* 1942751 */   // Label 26072: @1942751
     /* 1942751 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1942837), // Rule ID 24370 //
     /* 1942756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942802 */     // MIs[0] policy
     /* 1942802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942812 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1942815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942836 */     // GIR_Coverage, 24370,
     /* 1942836 */     GIR_EraseRootFromParent_Done,
     /* 1942837 */   // Label 26073: @1942837
     /* 1942837 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1942923), // Rule ID 24371 //
     /* 1942842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1942853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1942856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1942859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942888 */     // MIs[0] policy
     /* 1942888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942898 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1942901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942922 */     // GIR_Coverage, 24371,
     /* 1942922 */     GIR_EraseRootFromParent_Done,
     /* 1942923 */   // Label 26074: @1942923
     /* 1942923 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1943009), // Rule ID 24374 //
     /* 1942928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1942936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1942970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942974 */     // MIs[0] policy
     /* 1942974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942984 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1942987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943008 */     // GIR_Coverage, 24374,
     /* 1943008 */     GIR_EraseRootFromParent_Done,
     /* 1943009 */   // Label 26075: @1943009
     /* 1943009 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1943095), // Rule ID 24375 //
     /* 1943014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1943025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1943028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1943031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1943056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943060 */     // MIs[0] policy
     /* 1943060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943070 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1943073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943094 */     // GIR_Coverage, 24375,
     /* 1943094 */     GIR_EraseRootFromParent_Done,
     /* 1943095 */   // Label 26076: @1943095
     /* 1943095 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1943181), // Rule ID 24378 //
     /* 1943100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1943111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1943114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1943117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943146 */     // MIs[0] policy
     /* 1943146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943156 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1943159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943180 */     // GIR_Coverage, 24378,
     /* 1943180 */     GIR_EraseRootFromParent_Done,
     /* 1943181 */   // Label 26077: @1943181
     /* 1943181 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1943267), // Rule ID 24379 //
     /* 1943186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1943197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1943200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1943203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943232 */     // MIs[0] policy
     /* 1943232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943242 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1943245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943266 */     // GIR_Coverage, 24379,
     /* 1943266 */     GIR_EraseRootFromParent_Done,
     /* 1943267 */   // Label 26078: @1943267
     /* 1943267 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1943353), // Rule ID 24382 //
     /* 1943272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1943283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1943286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1943289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943318 */     // MIs[0] policy
     /* 1943318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1943331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943352 */     // GIR_Coverage, 24382,
     /* 1943352 */     GIR_EraseRootFromParent_Done,
     /* 1943353 */   // Label 26079: @1943353
     /* 1943353 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1943439), // Rule ID 24383 //
     /* 1943358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1943369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1943372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1943375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943404 */     // MIs[0] policy
     /* 1943404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943414 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1943417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943438 */     // GIR_Coverage, 24383,
     /* 1943438 */     GIR_EraseRootFromParent_Done,
     /* 1943439 */   // Label 26080: @1943439
     /* 1943439 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1943525), // Rule ID 24386 //
     /* 1943444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943490 */     // MIs[0] policy
     /* 1943490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943500 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1943503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943524 */     // GIR_Coverage, 24386,
     /* 1943524 */     GIR_EraseRootFromParent_Done,
     /* 1943525 */   // Label 26081: @1943525
     /* 1943525 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1943611), // Rule ID 24387 //
     /* 1943530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1943538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1943541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1943544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1943547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1943572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943576 */     // MIs[0] policy
     /* 1943576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943586 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1943589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943610 */     // GIR_Coverage, 24387,
     /* 1943610 */     GIR_EraseRootFromParent_Done,
     /* 1943611 */   // Label 26082: @1943611
     /* 1943611 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1943697), // Rule ID 24390 //
     /* 1943616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1943627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1943630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1943633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1943636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943662 */     // MIs[0] policy
     /* 1943662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1943675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943696 */     // GIR_Coverage, 24390,
     /* 1943696 */     GIR_EraseRootFromParent_Done,
     /* 1943697 */   // Label 26083: @1943697
     /* 1943697 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1943783), // Rule ID 24391 //
     /* 1943702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1943713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1943716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1943719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1943722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943748 */     // MIs[0] policy
     /* 1943748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943758 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1943761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943782 */     // GIR_Coverage, 24391,
     /* 1943782 */     GIR_EraseRootFromParent_Done,
     /* 1943783 */   // Label 26084: @1943783
     /* 1943783 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1943869), // Rule ID 24394 //
     /* 1943788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1943808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943834 */     // MIs[0] policy
     /* 1943834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943844 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1943847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943868 */     // GIR_Coverage, 24394,
     /* 1943868 */     GIR_EraseRootFromParent_Done,
     /* 1943869 */   // Label 26085: @1943869
     /* 1943869 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1943955), // Rule ID 24395 //
     /* 1943874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1943885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1943888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1943891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1943894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943920 */     // MIs[0] policy
     /* 1943920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943930 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1943933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943954 */     // GIR_Coverage, 24395,
     /* 1943954 */     GIR_EraseRootFromParent_Done,
     /* 1943955 */   // Label 26086: @1943955
     /* 1943955 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1944041), // Rule ID 24398 //
     /* 1943960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1943968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1943971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1943974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1943977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1943980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944006 */     // MIs[0] policy
     /* 1944006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944016 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1944019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944040 */     // GIR_Coverage, 24398,
     /* 1944040 */     GIR_EraseRootFromParent_Done,
     /* 1944041 */   // Label 26087: @1944041
     /* 1944041 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1944127), // Rule ID 24399 //
     /* 1944046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1944057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1944060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1944063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1944066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944092 */     // MIs[0] policy
     /* 1944092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1944105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944126 */     // GIR_Coverage, 24399,
     /* 1944126 */     GIR_EraseRootFromParent_Done,
     /* 1944127 */   // Label 26088: @1944127
     /* 1944127 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1944213), // Rule ID 24402 //
     /* 1944132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1944143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1944146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1944149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1944152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944178 */     // MIs[0] policy
     /* 1944178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1944191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944212 */     // GIR_Coverage, 24402,
     /* 1944212 */     GIR_EraseRootFromParent_Done,
     /* 1944213 */   // Label 26089: @1944213
     /* 1944213 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1944299), // Rule ID 24403 //
     /* 1944218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1944229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1944232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1944235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1944238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944264 */     // MIs[0] policy
     /* 1944264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1944277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944298 */     // GIR_Coverage, 24403,
     /* 1944298 */     GIR_EraseRootFromParent_Done,
     /* 1944299 */   // Label 26090: @1944299
     /* 1944299 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1944385), // Rule ID 24406 //
     /* 1944304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1944315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1944318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1944321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1944324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944350 */     // MIs[0] policy
     /* 1944350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1944363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944384 */     // GIR_Coverage, 24406,
     /* 1944384 */     GIR_EraseRootFromParent_Done,
     /* 1944385 */   // Label 26091: @1944385
     /* 1944385 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1944471), // Rule ID 24407 //
     /* 1944390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1944401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1944404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1944407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1944410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944436 */     // MIs[0] policy
     /* 1944436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1944449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944470 */     // GIR_Coverage, 24407,
     /* 1944470 */     GIR_EraseRootFromParent_Done,
     /* 1944471 */   // Label 26092: @1944471
     /* 1944471 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1944557), // Rule ID 24410 //
     /* 1944476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1944496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944522 */     // MIs[0] policy
     /* 1944522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1944535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944556 */     // GIR_Coverage, 24410,
     /* 1944556 */     GIR_EraseRootFromParent_Done,
     /* 1944557 */   // Label 26093: @1944557
     /* 1944557 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1944643), // Rule ID 24411 //
     /* 1944562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1944582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944608 */     // MIs[0] policy
     /* 1944608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1944621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944642 */     // GIR_Coverage, 24411,
     /* 1944642 */     GIR_EraseRootFromParent_Done,
     /* 1944643 */   // Label 26094: @1944643
     /* 1944643 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1944729), // Rule ID 24414 //
     /* 1944648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1944659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1944662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1944665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1944668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944694 */     // MIs[0] policy
     /* 1944694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1944707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944728 */     // GIR_Coverage, 24414,
     /* 1944728 */     GIR_EraseRootFromParent_Done,
     /* 1944729 */   // Label 26095: @1944729
     /* 1944729 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1944815), // Rule ID 24415 //
     /* 1944734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1944745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1944748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1944751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1944754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944780 */     // MIs[0] policy
     /* 1944780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1944793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1944811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944814 */     // GIR_Coverage, 24415,
     /* 1944814 */     GIR_EraseRootFromParent_Done,
     /* 1944815 */   // Label 26096: @1944815
     /* 1944815 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1944901), // Rule ID 24418 //
     /* 1944820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1944840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944866 */     // MIs[0] policy
     /* 1944866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1944879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944900 */     // GIR_Coverage, 24418,
     /* 1944900 */     GIR_EraseRootFromParent_Done,
     /* 1944901 */   // Label 26097: @1944901
     /* 1944901 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1944987), // Rule ID 24419 //
     /* 1944906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1944917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1944920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1944923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1944926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944952 */     // MIs[0] policy
     /* 1944952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1944965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944986 */     // GIR_Coverage, 24419,
     /* 1944986 */     GIR_EraseRootFromParent_Done,
     /* 1944987 */   // Label 26098: @1944987
     /* 1944987 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1945073), // Rule ID 24422 //
     /* 1944992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1945003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1945006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1945009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1945012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945038 */     // MIs[0] policy
     /* 1945038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1945051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945072 */     // GIR_Coverage, 24422,
     /* 1945072 */     GIR_EraseRootFromParent_Done,
     /* 1945073 */   // Label 26099: @1945073
     /* 1945073 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1945159), // Rule ID 24423 //
     /* 1945078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1945089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1945092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1945095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1945098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945124 */     // MIs[0] policy
     /* 1945124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1945137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945158 */     // GIR_Coverage, 24423,
     /* 1945158 */     GIR_EraseRootFromParent_Done,
     /* 1945159 */   // Label 26100: @1945159
     /* 1945159 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1945245), // Rule ID 24426 //
     /* 1945164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1945167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1945175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1945178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1945181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1945184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945210 */     // MIs[0] policy
     /* 1945210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945220 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1945223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945244 */     // GIR_Coverage, 24426,
     /* 1945244 */     GIR_EraseRootFromParent_Done,
     /* 1945245 */   // Label 26101: @1945245
     /* 1945245 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1945331), // Rule ID 24427 //
     /* 1945250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1945253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1945261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1945264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1945267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1945270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945296 */     // MIs[0] policy
     /* 1945296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945306 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1945309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945330 */     // GIR_Coverage, 24427,
     /* 1945330 */     GIR_EraseRootFromParent_Done,
     /* 1945331 */   // Label 26102: @1945331
     /* 1945331 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1945417), // Rule ID 24430 //
     /* 1945336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1945347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1945350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1945353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1945356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945382 */     // MIs[0] policy
     /* 1945382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1945395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945416 */     // GIR_Coverage, 24430,
     /* 1945416 */     GIR_EraseRootFromParent_Done,
     /* 1945417 */   // Label 26103: @1945417
     /* 1945417 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1945503), // Rule ID 24431 //
     /* 1945422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1945433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1945436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1945439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1945442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945468 */     // MIs[0] policy
     /* 1945468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945478 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1945481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945502 */     // GIR_Coverage, 24431,
     /* 1945502 */     GIR_EraseRootFromParent_Done,
     /* 1945503 */   // Label 26104: @1945503
     /* 1945503 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1945589), // Rule ID 24434 //
     /* 1945508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1945519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1945522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1945525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1945528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945554 */     // MIs[0] policy
     /* 1945554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1945567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945588 */     // GIR_Coverage, 24434,
     /* 1945588 */     GIR_EraseRootFromParent_Done,
     /* 1945589 */   // Label 26105: @1945589
     /* 1945589 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1945675), // Rule ID 24435 //
     /* 1945594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1945605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1945608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1945611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1945614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1945617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945640 */     // MIs[0] policy
     /* 1945640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945650 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1945653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945674 */     // GIR_Coverage, 24435,
     /* 1945674 */     GIR_EraseRootFromParent_Done,
     /* 1945675 */   // Label 26106: @1945675
     /* 1945675 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1945761), // Rule ID 24438 //
     /* 1945680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1945691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1945694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1945697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1945700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1945703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945726 */     // MIs[0] policy
     /* 1945726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1945739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945760 */     // GIR_Coverage, 24438,
     /* 1945760 */     GIR_EraseRootFromParent_Done,
     /* 1945761 */   // Label 26107: @1945761
     /* 1945761 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1945847), // Rule ID 24439 //
     /* 1945766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1945777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1945780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1945783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1945786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1945789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945812 */     // MIs[0] policy
     /* 1945812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945822 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1945825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945846 */     // GIR_Coverage, 24439,
     /* 1945846 */     GIR_EraseRootFromParent_Done,
     /* 1945847 */   // Label 26108: @1945847
     /* 1945847 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1945933), // Rule ID 24442 //
     /* 1945852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1945872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945898 */     // MIs[0] policy
     /* 1945898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1945911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945932 */     // GIR_Coverage, 24442,
     /* 1945932 */     GIR_EraseRootFromParent_Done,
     /* 1945933 */   // Label 26109: @1945933
     /* 1945933 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1946019), // Rule ID 24443 //
     /* 1945938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1945958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945984 */     // MIs[0] policy
     /* 1945984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1945997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946018 */     // GIR_Coverage, 24443,
     /* 1946018 */     GIR_EraseRootFromParent_Done,
     /* 1946019 */   // Label 26110: @1946019
     /* 1946019 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1946105), // Rule ID 24446 //
     /* 1946024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1946035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1946038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1946041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1946044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946070 */     // MIs[0] policy
     /* 1946070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1946083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946104 */     // GIR_Coverage, 24446,
     /* 1946104 */     GIR_EraseRootFromParent_Done,
     /* 1946105 */   // Label 26111: @1946105
     /* 1946105 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1946191), // Rule ID 24447 //
     /* 1946110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1946121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1946124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1946127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1946130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946156 */     // MIs[0] policy
     /* 1946156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946166 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1946169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946190 */     // GIR_Coverage, 24447,
     /* 1946190 */     GIR_EraseRootFromParent_Done,
     /* 1946191 */   // Label 26112: @1946191
     /* 1946191 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1946277), // Rule ID 24450 //
     /* 1946196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1946207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1946210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1946213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1946216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1946219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946242 */     // MIs[0] policy
     /* 1946242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1946255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946276 */     // GIR_Coverage, 24450,
     /* 1946276 */     GIR_EraseRootFromParent_Done,
     /* 1946277 */   // Label 26113: @1946277
     /* 1946277 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1946363), // Rule ID 24451 //
     /* 1946282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1946293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1946296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1946299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1946302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1946305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946328 */     // MIs[0] policy
     /* 1946328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946338 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1946341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946362 */     // GIR_Coverage, 24451,
     /* 1946362 */     GIR_EraseRootFromParent_Done,
     /* 1946363 */   // Label 26114: @1946363
     /* 1946363 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1946449), // Rule ID 24454 //
     /* 1946368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1946388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946414 */     // MIs[0] policy
     /* 1946414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1946427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946448 */     // GIR_Coverage, 24454,
     /* 1946448 */     GIR_EraseRootFromParent_Done,
     /* 1946449 */   // Label 26115: @1946449
     /* 1946449 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1946535), // Rule ID 24455 //
     /* 1946454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1946474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946500 */     // MIs[0] policy
     /* 1946500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1946513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946534 */     // GIR_Coverage, 24455,
     /* 1946534 */     GIR_EraseRootFromParent_Done,
     /* 1946535 */   // Label 26116: @1946535
     /* 1946535 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1946621), // Rule ID 24458 //
     /* 1946540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1946560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946586 */     // MIs[0] policy
     /* 1946586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1946599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946620 */     // GIR_Coverage, 24458,
     /* 1946620 */     GIR_EraseRootFromParent_Done,
     /* 1946621 */   // Label 26117: @1946621
     /* 1946621 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1946707), // Rule ID 24459 //
     /* 1946626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1946646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946672 */     // MIs[0] policy
     /* 1946672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1946685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946706 */     // GIR_Coverage, 24459,
     /* 1946706 */     GIR_EraseRootFromParent_Done,
     /* 1946707 */   // Label 26118: @1946707
     /* 1946707 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1946793), // Rule ID 24462 //
     /* 1946712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1946732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946758 */     // MIs[0] policy
     /* 1946758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1946771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946792 */     // GIR_Coverage, 24462,
     /* 1946792 */     GIR_EraseRootFromParent_Done,
     /* 1946793 */   // Label 26119: @1946793
     /* 1946793 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1946879), // Rule ID 24463 //
     /* 1946798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1946818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946844 */     // MIs[0] policy
     /* 1946844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1946857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946878 */     // GIR_Coverage, 24463,
     /* 1946878 */     GIR_EraseRootFromParent_Done,
     /* 1946879 */   // Label 26120: @1946879
     /* 1946879 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1946965), // Rule ID 24466 //
     /* 1946884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1946904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946930 */     // MIs[0] policy
     /* 1946930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946940 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1946943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946964 */     // GIR_Coverage, 24466,
     /* 1946964 */     GIR_EraseRootFromParent_Done,
     /* 1946965 */   // Label 26121: @1946965
     /* 1946965 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1947051), // Rule ID 24467 //
     /* 1946970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1946978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1946990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947016 */     // MIs[0] policy
     /* 1947016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1947029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947050 */     // GIR_Coverage, 24467,
     /* 1947050 */     GIR_EraseRootFromParent_Done,
     /* 1947051 */   // Label 26122: @1947051
     /* 1947051 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1947137), // Rule ID 24470 //
     /* 1947056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1947059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1947076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947102 */     // MIs[0] policy
     /* 1947102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1947115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947136 */     // GIR_Coverage, 24470,
     /* 1947136 */     GIR_EraseRootFromParent_Done,
     /* 1947137 */   // Label 26123: @1947137
     /* 1947137 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1947223), // Rule ID 24471 //
     /* 1947142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1947145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1947162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947188 */     // MIs[0] policy
     /* 1947188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1947201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947222 */     // GIR_Coverage, 24471,
     /* 1947222 */     GIR_EraseRootFromParent_Done,
     /* 1947223 */   // Label 26124: @1947223
     /* 1947223 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1947309), // Rule ID 24474 //
     /* 1947228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1947231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1947248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947274 */     // MIs[0] policy
     /* 1947274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1947287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947308 */     // GIR_Coverage, 24474,
     /* 1947308 */     GIR_EraseRootFromParent_Done,
     /* 1947309 */   // Label 26125: @1947309
     /* 1947309 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1947395), // Rule ID 24475 //
     /* 1947314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1947317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1947334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947360 */     // MIs[0] policy
     /* 1947360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947370 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1947373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947394 */     // GIR_Coverage, 24475,
     /* 1947394 */     GIR_EraseRootFromParent_Done,
     /* 1947395 */   // Label 26126: @1947395
     /* 1947395 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1947481), // Rule ID 24478 //
     /* 1947400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1947411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1947414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1947417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947446 */     // MIs[0] policy
     /* 1947446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1947459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947480 */     // GIR_Coverage, 24478,
     /* 1947480 */     GIR_EraseRootFromParent_Done,
     /* 1947481 */   // Label 26127: @1947481
     /* 1947481 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1947567), // Rule ID 24479 //
     /* 1947486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1947497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1947500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1947503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947532 */     // MIs[0] policy
     /* 1947532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1947545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947566 */     // GIR_Coverage, 24479,
     /* 1947566 */     GIR_EraseRootFromParent_Done,
     /* 1947567 */   // Label 26128: @1947567
     /* 1947567 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1947653), // Rule ID 24482 //
     /* 1947572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1947583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1947586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1947589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947618 */     // MIs[0] policy
     /* 1947618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947628 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1947631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947652 */     // GIR_Coverage, 24482,
     /* 1947652 */     GIR_EraseRootFromParent_Done,
     /* 1947653 */   // Label 26129: @1947653
     /* 1947653 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1947739), // Rule ID 24483 //
     /* 1947658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1947669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1947672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1947675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947704 */     // MIs[0] policy
     /* 1947704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1947717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947738 */     // GIR_Coverage, 24483,
     /* 1947738 */     GIR_EraseRootFromParent_Done,
     /* 1947739 */   // Label 26130: @1947739
     /* 1947739 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1947825), // Rule ID 24486 //
     /* 1947744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947790 */     // MIs[0] policy
     /* 1947790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1947803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947824 */     // GIR_Coverage, 24486,
     /* 1947824 */     GIR_EraseRootFromParent_Done,
     /* 1947825 */   // Label 26131: @1947825
     /* 1947825 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1947911), // Rule ID 24487 //
     /* 1947830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1947841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1947844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1947847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947876 */     // MIs[0] policy
     /* 1947876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1947889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947910 */     // GIR_Coverage, 24487,
     /* 1947910 */     GIR_EraseRootFromParent_Done,
     /* 1947911 */   // Label 26132: @1947911
     /* 1947911 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1947997), // Rule ID 24490 //
     /* 1947916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947962 */     // MIs[0] policy
     /* 1947962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947972 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1947975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947996 */     // GIR_Coverage, 24490,
     /* 1947996 */     GIR_EraseRootFromParent_Done,
     /* 1947997 */   // Label 26133: @1947997
     /* 1947997 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1948083), // Rule ID 24491 //
     /* 1948002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1948013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1948016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1948019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948048 */     // MIs[0] policy
     /* 1948048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1948061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948082 */     // GIR_Coverage, 24491,
     /* 1948082 */     GIR_EraseRootFromParent_Done,
     /* 1948083 */   // Label 26134: @1948083
     /* 1948083 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1948169), // Rule ID 24494 //
     /* 1948088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1948099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1948102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1948105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948134 */     // MIs[0] policy
     /* 1948134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1948147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948168 */     // GIR_Coverage, 24494,
     /* 1948168 */     GIR_EraseRootFromParent_Done,
     /* 1948169 */   // Label 26135: @1948169
     /* 1948169 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1948255), // Rule ID 24495 //
     /* 1948174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1948185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1948188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1948191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948220 */     // MIs[0] policy
     /* 1948220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1948233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948254 */     // GIR_Coverage, 24495,
     /* 1948254 */     GIR_EraseRootFromParent_Done,
     /* 1948255 */   // Label 26136: @1948255
     /* 1948255 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1948341), // Rule ID 24498 //
     /* 1948260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1948271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1948274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1948277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948306 */     // MIs[0] policy
     /* 1948306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1948319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948340 */     // GIR_Coverage, 24498,
     /* 1948340 */     GIR_EraseRootFromParent_Done,
     /* 1948341 */   // Label 26137: @1948341
     /* 1948341 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1948427), // Rule ID 24499 //
     /* 1948346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1948357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1948360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1948363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948392 */     // MIs[0] policy
     /* 1948392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1948405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948426 */     // GIR_Coverage, 24499,
     /* 1948426 */     GIR_EraseRootFromParent_Done,
     /* 1948427 */   // Label 26138: @1948427
     /* 1948427 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1948513), // Rule ID 24502 //
     /* 1948432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1948443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1948446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1948449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948478 */     // MIs[0] policy
     /* 1948478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948512 */     // GIR_Coverage, 24502,
     /* 1948512 */     GIR_EraseRootFromParent_Done,
     /* 1948513 */   // Label 26139: @1948513
     /* 1948513 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1948599), // Rule ID 24503 //
     /* 1948518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1948529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1948532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1948535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948564 */     // MIs[0] policy
     /* 1948564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1948595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948598 */     // GIR_Coverage, 24503,
     /* 1948598 */     GIR_EraseRootFromParent_Done,
     /* 1948599 */   // Label 26140: @1948599
     /* 1948599 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1948685), // Rule ID 24506 //
     /* 1948604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948650 */     // MIs[0] policy
     /* 1948650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948684 */     // GIR_Coverage, 24506,
     /* 1948684 */     GIR_EraseRootFromParent_Done,
     /* 1948685 */   // Label 26141: @1948685
     /* 1948685 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1948771), // Rule ID 24507 //
     /* 1948690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948736 */     // MIs[0] policy
     /* 1948736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948770 */     // GIR_Coverage, 24507,
     /* 1948770 */     GIR_EraseRootFromParent_Done,
     /* 1948771 */   // Label 26142: @1948771
     /* 1948771 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1948857), // Rule ID 24510 //
     /* 1948776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948822 */     // MIs[0] policy
     /* 1948822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948856 */     // GIR_Coverage, 24510,
     /* 1948856 */     GIR_EraseRootFromParent_Done,
     /* 1948857 */   // Label 26143: @1948857
     /* 1948857 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1948943), // Rule ID 24511 //
     /* 1948862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948908 */     // MIs[0] policy
     /* 1948908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948942 */     // GIR_Coverage, 24511,
     /* 1948942 */     GIR_EraseRootFromParent_Done,
     /* 1948943 */   // Label 26144: @1948943
     /* 1948943 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1949029), // Rule ID 24514 //
     /* 1948948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1948951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948994 */     // MIs[0] policy
     /* 1948994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1949007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949028 */     // GIR_Coverage, 24514,
     /* 1949028 */     GIR_EraseRootFromParent_Done,
     /* 1949029 */   // Label 26145: @1949029
     /* 1949029 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1949115), // Rule ID 24515 //
     /* 1949034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1949037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1949045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1949048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1949051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949080 */     // MIs[0] policy
     /* 1949080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1949093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949114 */     // GIR_Coverage, 24515,
     /* 1949114 */     GIR_EraseRootFromParent_Done,
     /* 1949115 */   // Label 26146: @1949115
     /* 1949115 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1949201), // Rule ID 24518 //
     /* 1949120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1949131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1949134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1949137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949166 */     // MIs[0] policy
     /* 1949166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949176 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1949179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949200 */     // GIR_Coverage, 24518,
     /* 1949200 */     GIR_EraseRootFromParent_Done,
     /* 1949201 */   // Label 26147: @1949201
     /* 1949201 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1949287), // Rule ID 24519 //
     /* 1949206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1949217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1949220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1949223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949252 */     // MIs[0] policy
     /* 1949252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949262 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1949265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949286 */     // GIR_Coverage, 24519,
     /* 1949286 */     GIR_EraseRootFromParent_Done,
     /* 1949287 */   // Label 26148: @1949287
     /* 1949287 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1949373), // Rule ID 24522 //
     /* 1949292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1949303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1949306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1949309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949338 */     // MIs[0] policy
     /* 1949338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949348 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1949351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949372 */     // GIR_Coverage, 24522,
     /* 1949372 */     GIR_EraseRootFromParent_Done,
     /* 1949373 */   // Label 26149: @1949373
     /* 1949373 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1949459), // Rule ID 24523 //
     /* 1949378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1949389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1949392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1949395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949424 */     // MIs[0] policy
     /* 1949424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949434 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1949437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949458 */     // GIR_Coverage, 24523,
     /* 1949458 */     GIR_EraseRootFromParent_Done,
     /* 1949459 */   // Label 26150: @1949459
     /* 1949459 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1949545), // Rule ID 24526 //
     /* 1949464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1949475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1949478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1949481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1949487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949510 */     // MIs[0] policy
     /* 1949510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949520 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1949523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949544 */     // GIR_Coverage, 24526,
     /* 1949544 */     GIR_EraseRootFromParent_Done,
     /* 1949545 */   // Label 26151: @1949545
     /* 1949545 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1949631), // Rule ID 24527 //
     /* 1949550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1949561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1949564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1949567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1949573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949596 */     // MIs[0] policy
     /* 1949596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949606 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1949609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949630 */     // GIR_Coverage, 24527,
     /* 1949630 */     GIR_EraseRootFromParent_Done,
     /* 1949631 */   // Label 26152: @1949631
     /* 1949631 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1949717), // Rule ID 24530 //
     /* 1949636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949682 */     // MIs[0] policy
     /* 1949682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1949695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949716 */     // GIR_Coverage, 24530,
     /* 1949716 */     GIR_EraseRootFromParent_Done,
     /* 1949717 */   // Label 26153: @1949717
     /* 1949717 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1949803), // Rule ID 24531 //
     /* 1949722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949768 */     // MIs[0] policy
     /* 1949768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1949781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949802 */     // GIR_Coverage, 24531,
     /* 1949802 */     GIR_EraseRootFromParent_Done,
     /* 1949803 */   // Label 26154: @1949803
     /* 1949803 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1949889), // Rule ID 24534 //
     /* 1949808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949854 */     // MIs[0] policy
     /* 1949854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949864 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1949867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949888 */     // GIR_Coverage, 24534,
     /* 1949888 */     GIR_EraseRootFromParent_Done,
     /* 1949889 */   // Label 26155: @1949889
     /* 1949889 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1949975), // Rule ID 24535 //
     /* 1949894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949940 */     // MIs[0] policy
     /* 1949940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1949953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949974 */     // GIR_Coverage, 24535,
     /* 1949974 */     GIR_EraseRootFromParent_Done,
     /* 1949975 */   // Label 26156: @1949975
     /* 1949975 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1950061), // Rule ID 24538 //
     /* 1949980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1950003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950026 */     // MIs[0] policy
     /* 1950026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1950039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950060 */     // GIR_Coverage, 24538,
     /* 1950060 */     GIR_EraseRootFromParent_Done,
     /* 1950061 */   // Label 26157: @1950061
     /* 1950061 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1950147), // Rule ID 24539 //
     /* 1950066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1950077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1950080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1950083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1950089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950112 */     // MIs[0] policy
     /* 1950112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1950125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950146 */     // GIR_Coverage, 24539,
     /* 1950146 */     GIR_EraseRootFromParent_Done,
     /* 1950147 */   // Label 26158: @1950147
     /* 1950147 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1950233), // Rule ID 24542 //
     /* 1950152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1950163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1950166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1950169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950198 */     // MIs[0] policy
     /* 1950198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1950211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950232 */     // GIR_Coverage, 24542,
     /* 1950232 */     GIR_EraseRootFromParent_Done,
     /* 1950233 */   // Label 26159: @1950233
     /* 1950233 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1950319), // Rule ID 24543 //
     /* 1950238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1950249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1950252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1950255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950284 */     // MIs[0] policy
     /* 1950284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1950297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950318 */     // GIR_Coverage, 24543,
     /* 1950318 */     GIR_EraseRootFromParent_Done,
     /* 1950319 */   // Label 26160: @1950319
     /* 1950319 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1950405), // Rule ID 24546 //
     /* 1950324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1950335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1950338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1950341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950370 */     // MIs[0] policy
     /* 1950370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1950383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950404 */     // GIR_Coverage, 24546,
     /* 1950404 */     GIR_EraseRootFromParent_Done,
     /* 1950405 */   // Label 26161: @1950405
     /* 1950405 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1950491), // Rule ID 24547 //
     /* 1950410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1950421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1950424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1950427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950456 */     // MIs[0] policy
     /* 1950456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950466 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1950469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950490 */     // GIR_Coverage, 24547,
     /* 1950490 */     GIR_EraseRootFromParent_Done,
     /* 1950491 */   // Label 26162: @1950491
     /* 1950491 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1950577), // Rule ID 24550 //
     /* 1950496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1950507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1950510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1950513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950542 */     // MIs[0] policy
     /* 1950542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1950555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950576 */     // GIR_Coverage, 24550,
     /* 1950576 */     GIR_EraseRootFromParent_Done,
     /* 1950577 */   // Label 26163: @1950577
     /* 1950577 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1950663), // Rule ID 24551 //
     /* 1950582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1950593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1950596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1950599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950628 */     // MIs[0] policy
     /* 1950628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950638 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1950641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950662 */     // GIR_Coverage, 24551,
     /* 1950662 */     GIR_EraseRootFromParent_Done,
     /* 1950663 */   // Label 26164: @1950663
     /* 1950663 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1950749), // Rule ID 24554 //
     /* 1950668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1950671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950714 */     // MIs[0] policy
     /* 1950714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1950727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950748 */     // GIR_Coverage, 24554,
     /* 1950748 */     GIR_EraseRootFromParent_Done,
     /* 1950749 */   // Label 26165: @1950749
     /* 1950749 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1950835), // Rule ID 24555 //
     /* 1950754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1950757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950800 */     // MIs[0] policy
     /* 1950800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1950813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950834 */     // GIR_Coverage, 24555,
     /* 1950834 */     GIR_EraseRootFromParent_Done,
     /* 1950835 */   // Label 26166: @1950835
     /* 1950835 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1950921), // Rule ID 24558 //
     /* 1950840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1950843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950886 */     // MIs[0] policy
     /* 1950886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1950899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950920 */     // GIR_Coverage, 24558,
     /* 1950920 */     GIR_EraseRootFromParent_Done,
     /* 1950921 */   // Label 26167: @1950921
     /* 1950921 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1951007), // Rule ID 24559 //
     /* 1950926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1950929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950972 */     // MIs[0] policy
     /* 1950972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1950985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951006 */     // GIR_Coverage, 24559,
     /* 1951006 */     GIR_EraseRootFromParent_Done,
     /* 1951007 */   // Label 26168: @1951007
     /* 1951007 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1951093), // Rule ID 24562 //
     /* 1951012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1951015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951058 */     // MIs[0] policy
     /* 1951058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1951071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951092 */     // GIR_Coverage, 24562,
     /* 1951092 */     GIR_EraseRootFromParent_Done,
     /* 1951093 */   // Label 26169: @1951093
     /* 1951093 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1951179), // Rule ID 24563 //
     /* 1951098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1951101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951144 */     // MIs[0] policy
     /* 1951144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951154 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1951157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951178 */     // GIR_Coverage, 24563,
     /* 1951178 */     GIR_EraseRootFromParent_Done,
     /* 1951179 */   // Label 26170: @1951179
     /* 1951179 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1951265), // Rule ID 24654 //
     /* 1951184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1951195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1951198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1951201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1951204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951230 */     // MIs[0] policy
     /* 1951230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951240 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1951243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951264 */     // GIR_Coverage, 24654,
     /* 1951264 */     GIR_EraseRootFromParent_Done,
     /* 1951265 */   // Label 26171: @1951265
     /* 1951265 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1951351), // Rule ID 24655 //
     /* 1951270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1951281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1951284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1951287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1951290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951316 */     // MIs[0] policy
     /* 1951316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1951329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951350 */     // GIR_Coverage, 24655,
     /* 1951350 */     GIR_EraseRootFromParent_Done,
     /* 1951351 */   // Label 26172: @1951351
     /* 1951351 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1951437), // Rule ID 24658 //
     /* 1951356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1951367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1951370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1951373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951402 */     // MIs[0] policy
     /* 1951402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951412 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1951415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951436 */     // GIR_Coverage, 24658,
     /* 1951436 */     GIR_EraseRootFromParent_Done,
     /* 1951437 */   // Label 26173: @1951437
     /* 1951437 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1951523), // Rule ID 24659 //
     /* 1951442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1951453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1951456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1951459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951488 */     // MIs[0] policy
     /* 1951488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951498 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1951501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951522 */     // GIR_Coverage, 24659,
     /* 1951522 */     GIR_EraseRootFromParent_Done,
     /* 1951523 */   // Label 26174: @1951523
     /* 1951523 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1951609), // Rule ID 24662 //
     /* 1951528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1951539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1951542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1951545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951574 */     // MIs[0] policy
     /* 1951574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951584 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1951587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951608 */     // GIR_Coverage, 24662,
     /* 1951608 */     GIR_EraseRootFromParent_Done,
     /* 1951609 */   // Label 26175: @1951609
     /* 1951609 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1951695), // Rule ID 24663 //
     /* 1951614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1951625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1951628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1951631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951660 */     // MIs[0] policy
     /* 1951660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951670 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1951673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951694 */     // GIR_Coverage, 24663,
     /* 1951694 */     GIR_EraseRootFromParent_Done,
     /* 1951695 */   // Label 26176: @1951695
     /* 1951695 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1951781), // Rule ID 24666 //
     /* 1951700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1951711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1951714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1951717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1951720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951746 */     // MIs[0] policy
     /* 1951746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951756 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1951759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951780 */     // GIR_Coverage, 24666,
     /* 1951780 */     GIR_EraseRootFromParent_Done,
     /* 1951781 */   // Label 26177: @1951781
     /* 1951781 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1951867), // Rule ID 24667 //
     /* 1951786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1951797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1951800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1951803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1951806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951832 */     // MIs[0] policy
     /* 1951832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1951845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951866 */     // GIR_Coverage, 24667,
     /* 1951866 */     GIR_EraseRootFromParent_Done,
     /* 1951867 */   // Label 26178: @1951867
     /* 1951867 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1951953), // Rule ID 24670 //
     /* 1951872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1951883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1951886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1951889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951918 */     // MIs[0] policy
     /* 1951918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1951931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951952 */     // GIR_Coverage, 24670,
     /* 1951952 */     GIR_EraseRootFromParent_Done,
     /* 1951953 */   // Label 26179: @1951953
     /* 1951953 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1952039), // Rule ID 24671 //
     /* 1951958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1951969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1951972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1951975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952004 */     // MIs[0] policy
     /* 1952004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1952017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952038 */     // GIR_Coverage, 24671,
     /* 1952038 */     GIR_EraseRootFromParent_Done,
     /* 1952039 */   // Label 26180: @1952039
     /* 1952039 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1952125), // Rule ID 24674 //
     /* 1952044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1952055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1952058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1952061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1952064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952090 */     // MIs[0] policy
     /* 1952090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1952103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952124 */     // GIR_Coverage, 24674,
     /* 1952124 */     GIR_EraseRootFromParent_Done,
     /* 1952125 */   // Label 26181: @1952125
     /* 1952125 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1952211), // Rule ID 24675 //
     /* 1952130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1952141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1952144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1952147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1952150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952176 */     // MIs[0] policy
     /* 1952176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1952189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952210 */     // GIR_Coverage, 24675,
     /* 1952210 */     GIR_EraseRootFromParent_Done,
     /* 1952211 */   // Label 26182: @1952211
     /* 1952211 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1952297), // Rule ID 24678 //
     /* 1952216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1952227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1952230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1952233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1952236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952262 */     // MIs[0] policy
     /* 1952262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1952275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952296 */     // GIR_Coverage, 24678,
     /* 1952296 */     GIR_EraseRootFromParent_Done,
     /* 1952297 */   // Label 26183: @1952297
     /* 1952297 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1952383), // Rule ID 24679 //
     /* 1952302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1952313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1952316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1952319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1952322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952348 */     // MIs[0] policy
     /* 1952348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1952361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952382 */     // GIR_Coverage, 24679,
     /* 1952382 */     GIR_EraseRootFromParent_Done,
     /* 1952383 */   // Label 26184: @1952383
     /* 1952383 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1952469), // Rule ID 24682 //
     /* 1952388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1952399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1952402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1952405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1952408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952434 */     // MIs[0] policy
     /* 1952434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1952447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952468 */     // GIR_Coverage, 24682,
     /* 1952468 */     GIR_EraseRootFromParent_Done,
     /* 1952469 */   // Label 26185: @1952469
     /* 1952469 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1952555), // Rule ID 24683 //
     /* 1952474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1952485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1952488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1952491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1952494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952520 */     // MIs[0] policy
     /* 1952520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1952533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952554 */     // GIR_Coverage, 24683,
     /* 1952554 */     GIR_EraseRootFromParent_Done,
     /* 1952555 */   // Label 26186: @1952555
     /* 1952555 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1952641), // Rule ID 24686 //
     /* 1952560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1952580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952606 */     // MIs[0] policy
     /* 1952606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1952619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952640 */     // GIR_Coverage, 24686,
     /* 1952640 */     GIR_EraseRootFromParent_Done,
     /* 1952641 */   // Label 26187: @1952641
     /* 1952641 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1952727), // Rule ID 24687 //
     /* 1952646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1952657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1952660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1952663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1952666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952692 */     // MIs[0] policy
     /* 1952692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1952705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952726 */     // GIR_Coverage, 24687,
     /* 1952726 */     GIR_EraseRootFromParent_Done,
     /* 1952727 */   // Label 26188: @1952727
     /* 1952727 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1952813), // Rule ID 24690 //
     /* 1952732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1952735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1952752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952778 */     // MIs[0] policy
     /* 1952778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1952791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952812 */     // GIR_Coverage, 24690,
     /* 1952812 */     GIR_EraseRootFromParent_Done,
     /* 1952813 */   // Label 26189: @1952813
     /* 1952813 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1952899), // Rule ID 24691 //
     /* 1952818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1952821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1952838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952864 */     // MIs[0] policy
     /* 1952864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1952877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952898 */     // GIR_Coverage, 24691,
     /* 1952898 */     GIR_EraseRootFromParent_Done,
     /* 1952899 */   // Label 26190: @1952899
     /* 1952899 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1952985), // Rule ID 24694 //
     /* 1952904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1952915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1952918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1952921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1952924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952950 */     // MIs[0] policy
     /* 1952950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1952963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952984 */     // GIR_Coverage, 24694,
     /* 1952984 */     GIR_EraseRootFromParent_Done,
     /* 1952985 */   // Label 26191: @1952985
     /* 1952985 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1953071), // Rule ID 24695 //
     /* 1952990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1952998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1953001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1953004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1953007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1953010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953036 */     // MIs[0] policy
     /* 1953036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953046 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1953049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953070 */     // GIR_Coverage, 24695,
     /* 1953070 */     GIR_EraseRootFromParent_Done,
     /* 1953071 */   // Label 26192: @1953071
     /* 1953071 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1953157), // Rule ID 24698 //
     /* 1953076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1953087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1953090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1953093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1953096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1953099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953122 */     // MIs[0] policy
     /* 1953122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953132 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1953135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953156 */     // GIR_Coverage, 24698,
     /* 1953156 */     GIR_EraseRootFromParent_Done,
     /* 1953157 */   // Label 26193: @1953157
     /* 1953157 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1953243), // Rule ID 24699 //
     /* 1953162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1953173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1953176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1953179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1953182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1953185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953208 */     // MIs[0] policy
     /* 1953208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953218 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1953221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953242 */     // GIR_Coverage, 24699,
     /* 1953242 */     GIR_EraseRootFromParent_Done,
     /* 1953243 */   // Label 26194: @1953243
     /* 1953243 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1953329), // Rule ID 24702 //
     /* 1953248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953294 */     // MIs[0] policy
     /* 1953294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953304 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1953307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953328 */     // GIR_Coverage, 24702,
     /* 1953328 */     GIR_EraseRootFromParent_Done,
     /* 1953329 */   // Label 26195: @1953329
     /* 1953329 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1953415), // Rule ID 24703 //
     /* 1953334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953380 */     // MIs[0] policy
     /* 1953380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1953393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953414 */     // GIR_Coverage, 24703,
     /* 1953414 */     GIR_EraseRootFromParent_Done,
     /* 1953415 */   // Label 26196: @1953415
     /* 1953415 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1953501), // Rule ID 24706 //
     /* 1953420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1953431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1953434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1953437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1953440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953466 */     // MIs[0] policy
     /* 1953466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953476 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1953479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953500 */     // GIR_Coverage, 24706,
     /* 1953500 */     GIR_EraseRootFromParent_Done,
     /* 1953501 */   // Label 26197: @1953501
     /* 1953501 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1953587), // Rule ID 24707 //
     /* 1953506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1953517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1953520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1953523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1953526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953552 */     // MIs[0] policy
     /* 1953552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953562 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1953565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953586 */     // GIR_Coverage, 24707,
     /* 1953586 */     GIR_EraseRootFromParent_Done,
     /* 1953587 */   // Label 26198: @1953587
     /* 1953587 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1953673), // Rule ID 24710 //
     /* 1953592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1953603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1953606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1953609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1953612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1953615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953638 */     // MIs[0] policy
     /* 1953638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953648 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1953651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953672 */     // GIR_Coverage, 24710,
     /* 1953672 */     GIR_EraseRootFromParent_Done,
     /* 1953673 */   // Label 26199: @1953673
     /* 1953673 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1953759), // Rule ID 24711 //
     /* 1953678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1953689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1953692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1953695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1953698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1953701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953724 */     // MIs[0] policy
     /* 1953724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953734 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1953737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953758 */     // GIR_Coverage, 24711,
     /* 1953758 */     GIR_EraseRootFromParent_Done,
     /* 1953759 */   // Label 26200: @1953759
     /* 1953759 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1953845), // Rule ID 24714 //
     /* 1953764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1953775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1953778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1953781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953810 */     // MIs[0] policy
     /* 1953810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1953823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953844 */     // GIR_Coverage, 24714,
     /* 1953844 */     GIR_EraseRootFromParent_Done,
     /* 1953845 */   // Label 26201: @1953845
     /* 1953845 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1953931), // Rule ID 24715 //
     /* 1953850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1953861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1953864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1953867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953896 */     // MIs[0] policy
     /* 1953896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1953909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953930 */     // GIR_Coverage, 24715,
     /* 1953930 */     GIR_EraseRootFromParent_Done,
     /* 1953931 */   // Label 26202: @1953931
     /* 1953931 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1954017), // Rule ID 24718 //
     /* 1953936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1953944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1953947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1953950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1953953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953982 */     // MIs[0] policy
     /* 1953982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1953995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954016 */     // GIR_Coverage, 24718,
     /* 1954016 */     GIR_EraseRootFromParent_Done,
     /* 1954017 */   // Label 26203: @1954017
     /* 1954017 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1954103), // Rule ID 24719 //
     /* 1954022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1954033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1954036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1954039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954068 */     // MIs[0] policy
     /* 1954068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1954081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954102 */     // GIR_Coverage, 24719,
     /* 1954102 */     GIR_EraseRootFromParent_Done,
     /* 1954103 */   // Label 26204: @1954103
     /* 1954103 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1954189), // Rule ID 24722 //
     /* 1954108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1954119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1954122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1954125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954154 */     // MIs[0] policy
     /* 1954154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1954167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954188 */     // GIR_Coverage, 24722,
     /* 1954188 */     GIR_EraseRootFromParent_Done,
     /* 1954189 */   // Label 26205: @1954189
     /* 1954189 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1954275), // Rule ID 24723 //
     /* 1954194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1954205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1954208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1954211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1954214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954240 */     // MIs[0] policy
     /* 1954240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1954253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954274 */     // GIR_Coverage, 24723,
     /* 1954274 */     GIR_EraseRootFromParent_Done,
     /* 1954275 */   // Label 26206: @1954275
     /* 1954275 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1954361), // Rule ID 24726 //
     /* 1954280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1954283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1954291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1954294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1954297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954326 */     // MIs[0] policy
     /* 1954326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1954339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954360 */     // GIR_Coverage, 24726,
     /* 1954360 */     GIR_EraseRootFromParent_Done,
     /* 1954361 */   // Label 26207: @1954361
     /* 1954361 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1954447), // Rule ID 24727 //
     /* 1954366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1954369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1954377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1954380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1954383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954412 */     // MIs[0] policy
     /* 1954412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1954425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954446 */     // GIR_Coverage, 24727,
     /* 1954446 */     GIR_EraseRootFromParent_Done,
     /* 1954447 */   // Label 26208: @1954447
     /* 1954447 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1954533), // Rule ID 24730 //
     /* 1954452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1954455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1954463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1954466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1954469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954498 */     // MIs[0] policy
     /* 1954498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1954511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954532 */     // GIR_Coverage, 24730,
     /* 1954532 */     GIR_EraseRootFromParent_Done,
     /* 1954533 */   // Label 26209: @1954533
     /* 1954533 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1954619), // Rule ID 24731 //
     /* 1954538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1954541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1954549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1954552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1954555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954584 */     // MIs[0] policy
     /* 1954584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1954597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954618 */     // GIR_Coverage, 24731,
     /* 1954618 */     GIR_EraseRootFromParent_Done,
     /* 1954619 */   // Label 26210: @1954619
     /* 1954619 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1954705), // Rule ID 24734 //
     /* 1954624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1954627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1954635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1954638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1954641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954670 */     // MIs[0] policy
     /* 1954670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1954683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954704 */     // GIR_Coverage, 24734,
     /* 1954704 */     GIR_EraseRootFromParent_Done,
     /* 1954705 */   // Label 26211: @1954705
     /* 1954705 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1954791), // Rule ID 24735 //
     /* 1954710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1954713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1954721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1954724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1954727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1954730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954756 */     // MIs[0] policy
     /* 1954756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954766 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1954769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954790 */     // GIR_Coverage, 24735,
     /* 1954790 */     GIR_EraseRootFromParent_Done,
     /* 1954791 */   // Label 26212: @1954791
     /* 1954791 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1954877), // Rule ID 24738 //
     /* 1954796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1954799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1954816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954842 */     // MIs[0] policy
     /* 1954842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954852 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1954855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954876 */     // GIR_Coverage, 24738,
     /* 1954876 */     GIR_EraseRootFromParent_Done,
     /* 1954877 */   // Label 26213: @1954877
     /* 1954877 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1954963), // Rule ID 24739 //
     /* 1954882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1954885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1954902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954928 */     // MIs[0] policy
     /* 1954928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954938 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1954941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954962 */     // GIR_Coverage, 24739,
     /* 1954962 */     GIR_EraseRootFromParent_Done,
     /* 1954963 */   // Label 26214: @1954963
     /* 1954963 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1955049), // Rule ID 24742 //
     /* 1954968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1954971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1954988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955014 */     // MIs[0] policy
     /* 1955014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955024 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1955027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955048 */     // GIR_Coverage, 24742,
     /* 1955048 */     GIR_EraseRootFromParent_Done,
     /* 1955049 */   // Label 26215: @1955049
     /* 1955049 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1955135), // Rule ID 24743 //
     /* 1955054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1955057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1955065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1955068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1955071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1955074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955100 */     // MIs[0] policy
     /* 1955100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955110 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1955113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955134 */     // GIR_Coverage, 24743,
     /* 1955134 */     GIR_EraseRootFromParent_Done,
     /* 1955135 */   // Label 26216: @1955135
     /* 1955135 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1955221), // Rule ID 24746 //
     /* 1955140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1955143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1955160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955186 */     // MIs[0] policy
     /* 1955186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955196 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1955199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955220 */     // GIR_Coverage, 24746,
     /* 1955220 */     GIR_EraseRootFromParent_Done,
     /* 1955221 */   // Label 26217: @1955221
     /* 1955221 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1955307), // Rule ID 24747 //
     /* 1955226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1955229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1955246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955272 */     // MIs[0] policy
     /* 1955272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1955285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955306 */     // GIR_Coverage, 24747,
     /* 1955306 */     GIR_EraseRootFromParent_Done,
     /* 1955307 */   // Label 26218: @1955307
     /* 1955307 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1955393), // Rule ID 24750 //
     /* 1955312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1955315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1955332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955358 */     // MIs[0] policy
     /* 1955358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1955371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955392 */     // GIR_Coverage, 24750,
     /* 1955392 */     GIR_EraseRootFromParent_Done,
     /* 1955393 */   // Label 26219: @1955393
     /* 1955393 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1955479), // Rule ID 24751 //
     /* 1955398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1955401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1955418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955444 */     // MIs[0] policy
     /* 1955444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955454 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1955457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955478 */     // GIR_Coverage, 24751,
     /* 1955478 */     GIR_EraseRootFromParent_Done,
     /* 1955479 */   // Label 26220: @1955479
     /* 1955479 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1955565), // Rule ID 24754 //
     /* 1955484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1955487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1955495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1955498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1955501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1955504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955530 */     // MIs[0] policy
     /* 1955530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1955543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955564 */     // GIR_Coverage, 24754,
     /* 1955564 */     GIR_EraseRootFromParent_Done,
     /* 1955565 */   // Label 26221: @1955565
     /* 1955565 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1955651), // Rule ID 24755 //
     /* 1955570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1955573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1955581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1955584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1955587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1955590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955616 */     // MIs[0] policy
     /* 1955616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955626 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1955629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955650 */     // GIR_Coverage, 24755,
     /* 1955650 */     GIR_EraseRootFromParent_Done,
     /* 1955651 */   // Label 26222: @1955651
     /* 1955651 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1955737), // Rule ID 24758 //
     /* 1955656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1955659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1955667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1955670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1955673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1955676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955702 */     // MIs[0] policy
     /* 1955702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1955715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955736 */     // GIR_Coverage, 24758,
     /* 1955736 */     GIR_EraseRootFromParent_Done,
     /* 1955737 */   // Label 26223: @1955737
     /* 1955737 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1955823), // Rule ID 24759 //
     /* 1955742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1955745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1955753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1955756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1955759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1955762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955788 */     // MIs[0] policy
     /* 1955788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955798 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1955801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955822 */     // GIR_Coverage, 24759,
     /* 1955822 */     GIR_EraseRootFromParent_Done,
     /* 1955823 */   // Label 26224: @1955823
     /* 1955823 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1955909), // Rule ID 24762 //
     /* 1955828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1955831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1955839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1955842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1955845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1955848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955874 */     // MIs[0] policy
     /* 1955874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955884 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1955887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955908 */     // GIR_Coverage, 24762,
     /* 1955908 */     GIR_EraseRootFromParent_Done,
     /* 1955909 */   // Label 26225: @1955909
     /* 1955909 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1955995), // Rule ID 24763 //
     /* 1955914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1955917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1955922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1955925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1955928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1955931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1955934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955960 */     // MIs[0] policy
     /* 1955960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1955973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955994 */     // GIR_Coverage, 24763,
     /* 1955994 */     GIR_EraseRootFromParent_Done,
     /* 1955995 */   // Label 26226: @1955995
     /* 1955995 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1956081), // Rule ID 24766 //
     /* 1956000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1956003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1956008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1956020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956046 */     // MIs[0] policy
     /* 1956046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956056 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1956059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956080 */     // GIR_Coverage, 24766,
     /* 1956080 */     GIR_EraseRootFromParent_Done,
     /* 1956081 */   // Label 26227: @1956081
     /* 1956081 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1956167), // Rule ID 24767 //
     /* 1956086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1956089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1956094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1956106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956132 */     // MIs[0] policy
     /* 1956132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956142 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1956145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956166 */     // GIR_Coverage, 24767,
     /* 1956166 */     GIR_EraseRootFromParent_Done,
     /* 1956167 */   // Label 26228: @1956167
     /* 1956167 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1956253), // Rule ID 24770 //
     /* 1956172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1956175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1956180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1956192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956218 */     // MIs[0] policy
     /* 1956218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1956231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956252 */     // GIR_Coverage, 24770,
     /* 1956252 */     GIR_EraseRootFromParent_Done,
     /* 1956253 */   // Label 26229: @1956253
     /* 1956253 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1956339), // Rule ID 24771 //
     /* 1956258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1956261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1956266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1956278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956304 */     // MIs[0] policy
     /* 1956304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956314 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1956317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956338 */     // GIR_Coverage, 24771,
     /* 1956338 */     GIR_EraseRootFromParent_Done,
     /* 1956339 */   // Label 26230: @1956339
     /* 1956339 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1956425), // Rule ID 24774 //
     /* 1956344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1956347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1956355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1956358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956390 */     // MIs[0] policy
     /* 1956390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956400 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1956403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956424 */     // GIR_Coverage, 24774,
     /* 1956424 */     GIR_EraseRootFromParent_Done,
     /* 1956425 */   // Label 26231: @1956425
     /* 1956425 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1956511), // Rule ID 24775 //
     /* 1956430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1956433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1956441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1956444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956476 */     // MIs[0] policy
     /* 1956476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956486 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1956489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956510 */     // GIR_Coverage, 24775,
     /* 1956510 */     GIR_EraseRootFromParent_Done,
     /* 1956511 */   // Label 26232: @1956511
     /* 1956511 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1956597), // Rule ID 24778 //
     /* 1956516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1956519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956562 */     // MIs[0] policy
     /* 1956562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956572 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1956575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956596 */     // GIR_Coverage, 24778,
     /* 1956596 */     GIR_EraseRootFromParent_Done,
     /* 1956597 */   // Label 26233: @1956597
     /* 1956597 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1956683), // Rule ID 24779 //
     /* 1956602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1956605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1956613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1956616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956648 */     // MIs[0] policy
     /* 1956648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956658 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1956661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956682 */     // GIR_Coverage, 24779,
     /* 1956682 */     GIR_EraseRootFromParent_Done,
     /* 1956683 */   // Label 26234: @1956683
     /* 1956683 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1956769), // Rule ID 24782 //
     /* 1956688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1956691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956734 */     // MIs[0] policy
     /* 1956734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1956747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956768 */     // GIR_Coverage, 24782,
     /* 1956768 */     GIR_EraseRootFromParent_Done,
     /* 1956769 */   // Label 26235: @1956769
     /* 1956769 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1956855), // Rule ID 24783 //
     /* 1956774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1956777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1956791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956820 */     // MIs[0] policy
     /* 1956820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956830 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1956833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956854 */     // GIR_Coverage, 24783,
     /* 1956854 */     GIR_EraseRootFromParent_Done,
     /* 1956855 */   // Label 26236: @1956855
     /* 1956855 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1956941), // Rule ID 24786 //
     /* 1956860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1956863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956906 */     // MIs[0] policy
     /* 1956906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1956919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956940 */     // GIR_Coverage, 24786,
     /* 1956940 */     GIR_EraseRootFromParent_Done,
     /* 1956941 */   // Label 26237: @1956941
     /* 1956941 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1957027), // Rule ID 24787 //
     /* 1956946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1956949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956992 */     // MIs[0] policy
     /* 1956992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957002 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1957005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957026 */     // GIR_Coverage, 24787,
     /* 1957026 */     GIR_EraseRootFromParent_Done,
     /* 1957027 */   // Label 26238: @1957027
     /* 1957027 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1957113), // Rule ID 24790 //
     /* 1957032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957078 */     // MIs[0] policy
     /* 1957078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957088 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957112 */     // GIR_Coverage, 24790,
     /* 1957112 */     GIR_EraseRootFromParent_Done,
     /* 1957113 */   // Label 26239: @1957113
     /* 1957113 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1957199), // Rule ID 24791 //
     /* 1957118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957164 */     // MIs[0] policy
     /* 1957164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957174 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957198 */     // GIR_Coverage, 24791,
     /* 1957198 */     GIR_EraseRootFromParent_Done,
     /* 1957199 */   // Label 26240: @1957199
     /* 1957199 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1957285), // Rule ID 24794 //
     /* 1957204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957250 */     // MIs[0] policy
     /* 1957250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957260 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957284 */     // GIR_Coverage, 24794,
     /* 1957284 */     GIR_EraseRootFromParent_Done,
     /* 1957285 */   // Label 26241: @1957285
     /* 1957285 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1957371), // Rule ID 24795 //
     /* 1957290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957336 */     // MIs[0] policy
     /* 1957336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957346 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957370 */     // GIR_Coverage, 24795,
     /* 1957370 */     GIR_EraseRootFromParent_Done,
     /* 1957371 */   // Label 26242: @1957371
     /* 1957371 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1957457), // Rule ID 24798 //
     /* 1957376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1957379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957422 */     // MIs[0] policy
     /* 1957422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957432 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1957435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957456 */     // GIR_Coverage, 24798,
     /* 1957456 */     GIR_EraseRootFromParent_Done,
     /* 1957457 */   // Label 26243: @1957457
     /* 1957457 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1957543), // Rule ID 24799 //
     /* 1957462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1957465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957508 */     // MIs[0] policy
     /* 1957508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957518 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1957521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957542 */     // GIR_Coverage, 24799,
     /* 1957542 */     GIR_EraseRootFromParent_Done,
     /* 1957543 */   // Label 26244: @1957543
     /* 1957543 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1957629), // Rule ID 24802 //
     /* 1957548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1957551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957594 */     // MIs[0] policy
     /* 1957594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957604 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957628 */     // GIR_Coverage, 24802,
     /* 1957628 */     GIR_EraseRootFromParent_Done,
     /* 1957629 */   // Label 26245: @1957629
     /* 1957629 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1957715), // Rule ID 24803 //
     /* 1957634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1957637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957680 */     // MIs[0] policy
     /* 1957680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957690 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957714 */     // GIR_Coverage, 24803,
     /* 1957714 */     GIR_EraseRootFromParent_Done,
     /* 1957715 */   // Label 26246: @1957715
     /* 1957715 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1957801), // Rule ID 24806 //
     /* 1957720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1957723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957766 */     // MIs[0] policy
     /* 1957766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957776 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957800 */     // GIR_Coverage, 24806,
     /* 1957800 */     GIR_EraseRootFromParent_Done,
     /* 1957801 */   // Label 26247: @1957801
     /* 1957801 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1957887), // Rule ID 24807 //
     /* 1957806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1957809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957852 */     // MIs[0] policy
     /* 1957852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957862 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957886 */     // GIR_Coverage, 24807,
     /* 1957886 */     GIR_EraseRootFromParent_Done,
     /* 1957887 */   // Label 26248: @1957887
     /* 1957887 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1957973), // Rule ID 24846 //
     /* 1957892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1957895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957938 */     // MIs[0] policy
     /* 1957938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1957951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957972 */     // GIR_Coverage, 24846,
     /* 1957972 */     GIR_EraseRootFromParent_Done,
     /* 1957973 */   // Label 26249: @1957973
     /* 1957973 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1958059), // Rule ID 24847 //
     /* 1957978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1957981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1957986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958024 */     // MIs[0] policy
     /* 1958024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958034 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1958037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958058 */     // GIR_Coverage, 24847,
     /* 1958058 */     GIR_EraseRootFromParent_Done,
     /* 1958059 */   // Label 26250: @1958059
     /* 1958059 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1958145), // Rule ID 24850 //
     /* 1958064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1958067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1958081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1958084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958110 */     // MIs[0] policy
     /* 1958110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958120 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1958123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958144 */     // GIR_Coverage, 24850,
     /* 1958144 */     GIR_EraseRootFromParent_Done,
     /* 1958145 */   // Label 26251: @1958145
     /* 1958145 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1958231), // Rule ID 24851 //
     /* 1958150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1958153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1958167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1958170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958196 */     // MIs[0] policy
     /* 1958196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958206 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1958209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958230 */     // GIR_Coverage, 24851,
     /* 1958230 */     GIR_EraseRootFromParent_Done,
     /* 1958231 */   // Label 26252: @1958231
     /* 1958231 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1958317), // Rule ID 24854 //
     /* 1958236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1958239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1958253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958282 */     // MIs[0] policy
     /* 1958282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1958295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958316 */     // GIR_Coverage, 24854,
     /* 1958316 */     GIR_EraseRootFromParent_Done,
     /* 1958317 */   // Label 26253: @1958317
     /* 1958317 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1958403), // Rule ID 24855 //
     /* 1958322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1958325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1958339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958368 */     // MIs[0] policy
     /* 1958368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1958381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958402 */     // GIR_Coverage, 24855,
     /* 1958402 */     GIR_EraseRootFromParent_Done,
     /* 1958403 */   // Label 26254: @1958403
     /* 1958403 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1958489), // Rule ID 24858 //
     /* 1958408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1958411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958454 */     // MIs[0] policy
     /* 1958454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958464 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1958467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958488 */     // GIR_Coverage, 24858,
     /* 1958488 */     GIR_EraseRootFromParent_Done,
     /* 1958489 */   // Label 26255: @1958489
     /* 1958489 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1958575), // Rule ID 24859 //
     /* 1958494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1958497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958540 */     // MIs[0] policy
     /* 1958540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958550 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1958553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958574 */     // GIR_Coverage, 24859,
     /* 1958574 */     GIR_EraseRootFromParent_Done,
     /* 1958575 */   // Label 26256: @1958575
     /* 1958575 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1958661), // Rule ID 24862 //
     /* 1958580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1958583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1958600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958626 */     // MIs[0] policy
     /* 1958626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958636 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1958639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958660 */     // GIR_Coverage, 24862,
     /* 1958660 */     GIR_EraseRootFromParent_Done,
     /* 1958661 */   // Label 26257: @1958661
     /* 1958661 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1958747), // Rule ID 24863 //
     /* 1958666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1958669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1958686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958712 */     // MIs[0] policy
     /* 1958712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958722 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1958725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958746 */     // GIR_Coverage, 24863,
     /* 1958746 */     GIR_EraseRootFromParent_Done,
     /* 1958747 */   // Label 26258: @1958747
     /* 1958747 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1958833), // Rule ID 24866 //
     /* 1958752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1958755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1958769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1958772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958798 */     // MIs[0] policy
     /* 1958798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958808 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1958811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958832 */     // GIR_Coverage, 24866,
     /* 1958832 */     GIR_EraseRootFromParent_Done,
     /* 1958833 */   // Label 26259: @1958833
     /* 1958833 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1958919), // Rule ID 24867 //
     /* 1958838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1958841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1958846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1958855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1958858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958884 */     // MIs[0] policy
     /* 1958884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958894 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1958897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958918 */     // GIR_Coverage, 24867,
     /* 1958918 */     GIR_EraseRootFromParent_Done,
     /* 1958919 */   // Label 26260: @1958919
     /* 1958919 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1959005), // Rule ID 24870 //
     /* 1958924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1958927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1958932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1958941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958970 */     // MIs[0] policy
     /* 1958970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1958983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959004 */     // GIR_Coverage, 24870,
     /* 1959004 */     GIR_EraseRootFromParent_Done,
     /* 1959005 */   // Label 26261: @1959005
     /* 1959005 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1959091), // Rule ID 24871 //
     /* 1959010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1959013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1959021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1959024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959056 */     // MIs[0] policy
     /* 1959056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959066 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1959069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959090 */     // GIR_Coverage, 24871,
     /* 1959090 */     GIR_EraseRootFromParent_Done,
     /* 1959091 */   // Label 26262: @1959091
     /* 1959091 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1959177), // Rule ID 24874 //
     /* 1959096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1959099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1959107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1959110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959142 */     // MIs[0] policy
     /* 1959142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959152 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1959155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959176 */     // GIR_Coverage, 24874,
     /* 1959176 */     GIR_EraseRootFromParent_Done,
     /* 1959177 */   // Label 26263: @1959177
     /* 1959177 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1959263), // Rule ID 24875 //
     /* 1959182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1959185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1959193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1959196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1959199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959228 */     // MIs[0] policy
     /* 1959228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959238 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1959241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959262 */     // GIR_Coverage, 24875,
     /* 1959262 */     GIR_EraseRootFromParent_Done,
     /* 1959263 */   // Label 26264: @1959263
     /* 1959263 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1959349), // Rule ID 24878 //
     /* 1959268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1959271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1959279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1959282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959314 */     // MIs[0] policy
     /* 1959314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959324 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1959327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959348 */     // GIR_Coverage, 24878,
     /* 1959348 */     GIR_EraseRootFromParent_Done,
     /* 1959349 */   // Label 26265: @1959349
     /* 1959349 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1959435), // Rule ID 24879 //
     /* 1959354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1959357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1959365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1959368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959400 */     // MIs[0] policy
     /* 1959400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959410 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1959413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959434 */     // GIR_Coverage, 24879,
     /* 1959434 */     GIR_EraseRootFromParent_Done,
     /* 1959435 */   // Label 26266: @1959435
     /* 1959435 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1959521), // Rule ID 24882 //
     /* 1959440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1959443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1959451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1959454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959486 */     // MIs[0] policy
     /* 1959486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1959499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959520 */     // GIR_Coverage, 24882,
     /* 1959520 */     GIR_EraseRootFromParent_Done,
     /* 1959521 */   // Label 26267: @1959521
     /* 1959521 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1959607), // Rule ID 24883 //
     /* 1959526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1959529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1959537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1959540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959572 */     // MIs[0] policy
     /* 1959572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959582 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1959585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959606 */     // GIR_Coverage, 24883,
     /* 1959606 */     GIR_EraseRootFromParent_Done,
     /* 1959607 */   // Label 26268: @1959607
     /* 1959607 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1959693), // Rule ID 24886 //
     /* 1959612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1959615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959658 */     // MIs[0] policy
     /* 1959658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959668 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1959671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959692 */     // GIR_Coverage, 24886,
     /* 1959692 */     GIR_EraseRootFromParent_Done,
     /* 1959693 */   // Label 26269: @1959693
     /* 1959693 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1959779), // Rule ID 24887 //
     /* 1959698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1959701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959744 */     // MIs[0] policy
     /* 1959744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959754 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1959757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959778 */     // GIR_Coverage, 24887,
     /* 1959778 */     GIR_EraseRootFromParent_Done,
     /* 1959779 */   // Label 26270: @1959779
     /* 1959779 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1959865), // Rule ID 24890 //
     /* 1959784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1959787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1959801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959830 */     // MIs[0] policy
     /* 1959830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959840 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1959843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959864 */     // GIR_Coverage, 24890,
     /* 1959864 */     GIR_EraseRootFromParent_Done,
     /* 1959865 */   // Label 26271: @1959865
     /* 1959865 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1959951), // Rule ID 24891 //
     /* 1959870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1959873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1959878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1959887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959916 */     // MIs[0] policy
     /* 1959916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959926 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1959929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959950 */     // GIR_Coverage, 24891,
     /* 1959950 */     GIR_EraseRootFromParent_Done,
     /* 1959951 */   // Label 26272: @1959951
     /* 1959951 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1960037), // Rule ID 24918 //
     /* 1959956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1959959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1959967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1959970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1959973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960002 */     // MIs[0] policy
     /* 1960002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960012 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1960015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960036 */     // GIR_Coverage, 24918,
     /* 1960036 */     GIR_EraseRootFromParent_Done,
     /* 1960037 */   // Label 26273: @1960037
     /* 1960037 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1960123), // Rule ID 24919 //
     /* 1960042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1960045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960088 */     // MIs[0] policy
     /* 1960088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960098 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1960101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960122 */     // GIR_Coverage, 24919,
     /* 1960122 */     GIR_EraseRootFromParent_Done,
     /* 1960123 */   // Label 26274: @1960123
     /* 1960123 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1960209), // Rule ID 24922 //
     /* 1960128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1960131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960174 */     // MIs[0] policy
     /* 1960174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960184 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1960187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960208 */     // GIR_Coverage, 24922,
     /* 1960208 */     GIR_EraseRootFromParent_Done,
     /* 1960209 */   // Label 26275: @1960209
     /* 1960209 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1960295), // Rule ID 24923 //
     /* 1960214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1960217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960260 */     // MIs[0] policy
     /* 1960260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960270 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1960273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960294 */     // GIR_Coverage, 24923,
     /* 1960294 */     GIR_EraseRootFromParent_Done,
     /* 1960295 */   // Label 26276: @1960295
     /* 1960295 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1960381), // Rule ID 24926 //
     /* 1960300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1960303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960346 */     // MIs[0] policy
     /* 1960346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960356 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1960359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960380 */     // GIR_Coverage, 24926,
     /* 1960380 */     GIR_EraseRootFromParent_Done,
     /* 1960381 */   // Label 26277: @1960381
     /* 1960381 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1960467), // Rule ID 24927 //
     /* 1960386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1960389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960432 */     // MIs[0] policy
     /* 1960432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960442 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1960445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960466 */     // GIR_Coverage, 24927,
     /* 1960466 */     GIR_EraseRootFromParent_Done,
     /* 1960467 */   // Label 26278: @1960467
     /* 1960467 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1960553), // Rule ID 24930 //
     /* 1960472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1960475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960518 */     // MIs[0] policy
     /* 1960518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1960531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960552 */     // GIR_Coverage, 24930,
     /* 1960552 */     GIR_EraseRootFromParent_Done,
     /* 1960553 */   // Label 26279: @1960553
     /* 1960553 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1960639), // Rule ID 24931 //
     /* 1960558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1960561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960604 */     // MIs[0] policy
     /* 1960604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960614 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1960617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960638 */     // GIR_Coverage, 24931,
     /* 1960638 */     GIR_EraseRootFromParent_Done,
     /* 1960639 */   // Label 26280: @1960639
     /* 1960639 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1960725), // Rule ID 24934 //
     /* 1960644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1960647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1960655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1960658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960690 */     // MIs[0] policy
     /* 1960690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960700 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1960703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960724 */     // GIR_Coverage, 24934,
     /* 1960724 */     GIR_EraseRootFromParent_Done,
     /* 1960725 */   // Label 26281: @1960725
     /* 1960725 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1960811), // Rule ID 24935 //
     /* 1960730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1960733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1960741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1960744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1960747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960776 */     // MIs[0] policy
     /* 1960776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960786 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1960789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960810 */     // GIR_Coverage, 24935,
     /* 1960810 */     GIR_EraseRootFromParent_Done,
     /* 1960811 */   // Label 26282: @1960811
     /* 1960811 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1960897), // Rule ID 24938 //
     /* 1960816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1960819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1960833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960862 */     // MIs[0] policy
     /* 1960862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960872 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1960875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1960893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960896 */     // GIR_Coverage, 24938,
     /* 1960896 */     GIR_EraseRootFromParent_Done,
     /* 1960897 */   // Label 26283: @1960897
     /* 1960897 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1960983), // Rule ID 24939 //
     /* 1960902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1960905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1960913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1960916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1960919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960948 */     // MIs[0] policy
     /* 1960948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1960961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1960979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960982 */     // GIR_Coverage, 24939,
     /* 1960982 */     GIR_EraseRootFromParent_Done,
     /* 1960983 */   // Label 26284: @1960983
     /* 1960983 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1961069), // Rule ID 24942 //
     /* 1960988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1960991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1960999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961034 */     // MIs[0] policy
     /* 1961034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961044 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1961047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961068 */     // GIR_Coverage, 24942,
     /* 1961068 */     GIR_EraseRootFromParent_Done,
     /* 1961069 */   // Label 26285: @1961069
     /* 1961069 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1961155), // Rule ID 24943 //
     /* 1961074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1961077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961120 */     // MIs[0] policy
     /* 1961120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1961133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961154 */     // GIR_Coverage, 24943,
     /* 1961154 */     GIR_EraseRootFromParent_Done,
     /* 1961155 */   // Label 26286: @1961155
     /* 1961155 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1961241), // Rule ID 24946 //
     /* 1961160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1961163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1961180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961206 */     // MIs[0] policy
     /* 1961206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961216 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1961219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961240 */     // GIR_Coverage, 24946,
     /* 1961240 */     GIR_EraseRootFromParent_Done,
     /* 1961241 */   // Label 26287: @1961241
     /* 1961241 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1961327), // Rule ID 24947 //
     /* 1961246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1961249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1961266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961292 */     // MIs[0] policy
     /* 1961292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961302 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1961305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961326 */     // GIR_Coverage, 24947,
     /* 1961326 */     GIR_EraseRootFromParent_Done,
     /* 1961327 */   // Label 26288: @1961327
     /* 1961327 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1961413), // Rule ID 24950 //
     /* 1961332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1961335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1961349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1961352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961378 */     // MIs[0] policy
     /* 1961378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961388 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1961391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961412 */     // GIR_Coverage, 24950,
     /* 1961412 */     GIR_EraseRootFromParent_Done,
     /* 1961413 */   // Label 26289: @1961413
     /* 1961413 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1961499), // Rule ID 24951 //
     /* 1961418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1961421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1961435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1961438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961464 */     // MIs[0] policy
     /* 1961464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961474 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1961477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961498 */     // GIR_Coverage, 24951,
     /* 1961498 */     GIR_EraseRootFromParent_Done,
     /* 1961499 */   // Label 26290: @1961499
     /* 1961499 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1961585), // Rule ID 24954 //
     /* 1961504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1961507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1961515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1961518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1961521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1961524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961550 */     // MIs[0] policy
     /* 1961550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961560 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1961563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961584 */     // GIR_Coverage, 24954,
     /* 1961584 */     GIR_EraseRootFromParent_Done,
     /* 1961585 */   // Label 26291: @1961585
     /* 1961585 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1961671), // Rule ID 24955 //
     /* 1961590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1961593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1961601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1961604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1961607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1961610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961636 */     // MIs[0] policy
     /* 1961636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961646 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1961649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961670 */     // GIR_Coverage, 24955,
     /* 1961670 */     GIR_EraseRootFromParent_Done,
     /* 1961671 */   // Label 26292: @1961671
     /* 1961671 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1961757), // Rule ID 24958 //
     /* 1961676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1961679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1961687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1961690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1961693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961722 */     // MIs[0] policy
     /* 1961722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961732 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1961735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961756 */     // GIR_Coverage, 24958,
     /* 1961756 */     GIR_EraseRootFromParent_Done,
     /* 1961757 */   // Label 26293: @1961757
     /* 1961757 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1961843), // Rule ID 24959 //
     /* 1961762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1961765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1961773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1961776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1961779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961808 */     // MIs[0] policy
     /* 1961808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961818 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1961821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961842 */     // GIR_Coverage, 24959,
     /* 1961842 */     GIR_EraseRootFromParent_Done,
     /* 1961843 */   // Label 26294: @1961843
     /* 1961843 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1961929), // Rule ID 24962 //
     /* 1961848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1961851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1961859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1961862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1961865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1961868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961894 */     // MIs[0] policy
     /* 1961894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961904 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1961907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961928 */     // GIR_Coverage, 24962,
     /* 1961928 */     GIR_EraseRootFromParent_Done,
     /* 1961929 */   // Label 26295: @1961929
     /* 1961929 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1962015), // Rule ID 24963 //
     /* 1961934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1961937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1961945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1961948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1961951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1961954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961980 */     // MIs[0] policy
     /* 1961980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961990 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1961993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962014 */     // GIR_Coverage, 24963,
     /* 1962014 */     GIR_EraseRootFromParent_Done,
     /* 1962015 */   // Label 26296: @1962015
     /* 1962015 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1962101), // Rule ID 24966 //
     /* 1962020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1962023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962066 */     // MIs[0] policy
     /* 1962066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962076 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1962079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962100 */     // GIR_Coverage, 24966,
     /* 1962100 */     GIR_EraseRootFromParent_Done,
     /* 1962101 */   // Label 26297: @1962101
     /* 1962101 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1962187), // Rule ID 24967 //
     /* 1962106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1962109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1962126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962152 */     // MIs[0] policy
     /* 1962152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962162 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1962165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962186 */     // GIR_Coverage, 24967,
     /* 1962186 */     GIR_EraseRootFromParent_Done,
     /* 1962187 */   // Label 26298: @1962187
     /* 1962187 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1962273), // Rule ID 24970 //
     /* 1962192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1962195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1962212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962238 */     // MIs[0] policy
     /* 1962238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962248 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1962251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962272 */     // GIR_Coverage, 24970,
     /* 1962272 */     GIR_EraseRootFromParent_Done,
     /* 1962273 */   // Label 26299: @1962273
     /* 1962273 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1962359), // Rule ID 24971 //
     /* 1962278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1962281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1962298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962324 */     // MIs[0] policy
     /* 1962324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962334 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1962337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962358 */     // GIR_Coverage, 24971,
     /* 1962358 */     GIR_EraseRootFromParent_Done,
     /* 1962359 */   // Label 26300: @1962359
     /* 1962359 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1962445), // Rule ID 24974 //
     /* 1962364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1962367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1962381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1962384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962410 */     // MIs[0] policy
     /* 1962410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962420 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1962423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962444 */     // GIR_Coverage, 24974,
     /* 1962444 */     GIR_EraseRootFromParent_Done,
     /* 1962445 */   // Label 26301: @1962445
     /* 1962445 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1962531), // Rule ID 24975 //
     /* 1962450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1962453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1962458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1962467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1962470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962496 */     // MIs[0] policy
     /* 1962496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962506 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1962509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962530 */     // GIR_Coverage, 24975,
     /* 1962530 */     GIR_EraseRootFromParent_Done,
     /* 1962531 */   // Label 26302: @1962531
     /* 1962531 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1962617), // Rule ID 60862 //
     /* 1962536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1962547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1962550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1962553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1962556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962582 */     // MIs[0] policy
     /* 1962582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1962595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962616 */     // GIR_Coverage, 60862,
     /* 1962616 */     GIR_EraseRootFromParent_Done,
     /* 1962617 */   // Label 26303: @1962617
     /* 1962617 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1962703), // Rule ID 60863 //
     /* 1962622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1962633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1962636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1962639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1962642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962668 */     // MIs[0] policy
     /* 1962668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1962681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962702 */     // GIR_Coverage, 60863,
     /* 1962702 */     GIR_EraseRootFromParent_Done,
     /* 1962703 */   // Label 26304: @1962703
     /* 1962703 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1962789), // Rule ID 60866 //
     /* 1962708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1962719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1962722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1962725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1962728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962754 */     // MIs[0] policy
     /* 1962754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1962767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962788 */     // GIR_Coverage, 60866,
     /* 1962788 */     GIR_EraseRootFromParent_Done,
     /* 1962789 */   // Label 26305: @1962789
     /* 1962789 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1962875), // Rule ID 60867 //
     /* 1962794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1962805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1962808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1962811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1962814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962840 */     // MIs[0] policy
     /* 1962840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1962853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962874 */     // GIR_Coverage, 60867,
     /* 1962874 */     GIR_EraseRootFromParent_Done,
     /* 1962875 */   // Label 26306: @1962875
     /* 1962875 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1962961), // Rule ID 60870 //
     /* 1962880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1962883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1962891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1962894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1962897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1962900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962926 */     // MIs[0] policy
     /* 1962926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1962939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962960 */     // GIR_Coverage, 60870,
     /* 1962960 */     GIR_EraseRootFromParent_Done,
     /* 1962961 */   // Label 26307: @1962961
     /* 1962961 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1963047), // Rule ID 60871 //
     /* 1962966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1962969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1962974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1962977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1962980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1962983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1962986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963012 */     // MIs[0] policy
     /* 1963012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1963025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963046 */     // GIR_Coverage, 60871,
     /* 1963046 */     GIR_EraseRootFromParent_Done,
     /* 1963047 */   // Label 26308: @1963047
     /* 1963047 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1963133), // Rule ID 60874 //
     /* 1963052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1963063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1963066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1963069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1963072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963098 */     // MIs[0] policy
     /* 1963098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1963111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963132 */     // GIR_Coverage, 60874,
     /* 1963132 */     GIR_EraseRootFromParent_Done,
     /* 1963133 */   // Label 26309: @1963133
     /* 1963133 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1963219), // Rule ID 60875 //
     /* 1963138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1963149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1963152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1963155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1963158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963184 */     // MIs[0] policy
     /* 1963184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1963197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963218 */     // GIR_Coverage, 60875,
     /* 1963218 */     GIR_EraseRootFromParent_Done,
     /* 1963219 */   // Label 26310: @1963219
     /* 1963219 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1963305), // Rule ID 60878 //
     /* 1963224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1963235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1963238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1963241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1963244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963270 */     // MIs[0] policy
     /* 1963270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963280 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1963283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963304 */     // GIR_Coverage, 60878,
     /* 1963304 */     GIR_EraseRootFromParent_Done,
     /* 1963305 */   // Label 26311: @1963305
     /* 1963305 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1963391), // Rule ID 60879 //
     /* 1963310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1963321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1963324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1963327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1963330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963356 */     // MIs[0] policy
     /* 1963356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1963369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963390 */     // GIR_Coverage, 60879,
     /* 1963390 */     GIR_EraseRootFromParent_Done,
     /* 1963391 */   // Label 26312: @1963391
     /* 1963391 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1963477), // Rule ID 60882 //
     /* 1963396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1963407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1963410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1963413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1963416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1963419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963442 */     // MIs[0] policy
     /* 1963442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1963455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963476 */     // GIR_Coverage, 60882,
     /* 1963476 */     GIR_EraseRootFromParent_Done,
     /* 1963477 */   // Label 26313: @1963477
     /* 1963477 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1963563), // Rule ID 60883 //
     /* 1963482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1963493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1963496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1963499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1963502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1963505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963528 */     // MIs[0] policy
     /* 1963528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963538 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1963541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963562 */     // GIR_Coverage, 60883,
     /* 1963562 */     GIR_EraseRootFromParent_Done,
     /* 1963563 */   // Label 26314: @1963563
     /* 1963563 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1963649), // Rule ID 60886 //
     /* 1963568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1963579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1963582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1963585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1963588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963614 */     // MIs[0] policy
     /* 1963614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1963627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963648 */     // GIR_Coverage, 60886,
     /* 1963648 */     GIR_EraseRootFromParent_Done,
     /* 1963649 */   // Label 26315: @1963649
     /* 1963649 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1963735), // Rule ID 60887 //
     /* 1963654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1963665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1963668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1963671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1963674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963700 */     // MIs[0] policy
     /* 1963700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1963713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963734 */     // GIR_Coverage, 60887,
     /* 1963734 */     GIR_EraseRootFromParent_Done,
     /* 1963735 */   // Label 26316: @1963735
     /* 1963735 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1963821), // Rule ID 60890 //
     /* 1963740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1963751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1963754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1963757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1963760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963786 */     // MIs[0] policy
     /* 1963786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1963799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963820 */     // GIR_Coverage, 60890,
     /* 1963820 */     GIR_EraseRootFromParent_Done,
     /* 1963821 */   // Label 26317: @1963821
     /* 1963821 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1963907), // Rule ID 60891 //
     /* 1963826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1963829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1963837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1963840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1963843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1963846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963872 */     // MIs[0] policy
     /* 1963872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1963885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963906 */     // GIR_Coverage, 60891,
     /* 1963906 */     GIR_EraseRootFromParent_Done,
     /* 1963907 */   // Label 26318: @1963907
     /* 1963907 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1963993), // Rule ID 60894 //
     /* 1963912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1963915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1963920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1963923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1963926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1963929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1963932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963958 */     // MIs[0] policy
     /* 1963958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1963971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963992 */     // GIR_Coverage, 60894,
     /* 1963992 */     GIR_EraseRootFromParent_Done,
     /* 1963993 */   // Label 26319: @1963993
     /* 1963993 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1964079), // Rule ID 60895 //
     /* 1963998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1964009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1964012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1964015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1964018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964044 */     // MIs[0] policy
     /* 1964044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1964057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964078 */     // GIR_Coverage, 60895,
     /* 1964078 */     GIR_EraseRootFromParent_Done,
     /* 1964079 */   // Label 26320: @1964079
     /* 1964079 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1964165), // Rule ID 60898 //
     /* 1964084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1964095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1964098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1964101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1964104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964130 */     // MIs[0] policy
     /* 1964130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1964143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964164 */     // GIR_Coverage, 60898,
     /* 1964164 */     GIR_EraseRootFromParent_Done,
     /* 1964165 */   // Label 26321: @1964165
     /* 1964165 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1964251), // Rule ID 60899 //
     /* 1964170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1964181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1964184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1964187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1964190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964216 */     // MIs[0] policy
     /* 1964216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1964229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964250 */     // GIR_Coverage, 60899,
     /* 1964250 */     GIR_EraseRootFromParent_Done,
     /* 1964251 */   // Label 26322: @1964251
     /* 1964251 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1964337), // Rule ID 60902 //
     /* 1964256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1964267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1964270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1964273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1964276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1964279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964302 */     // MIs[0] policy
     /* 1964302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1964315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964336 */     // GIR_Coverage, 60902,
     /* 1964336 */     GIR_EraseRootFromParent_Done,
     /* 1964337 */   // Label 26323: @1964337
     /* 1964337 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1964423), // Rule ID 60903 //
     /* 1964342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1964353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1964356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1964359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1964362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1964365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964388 */     // MIs[0] policy
     /* 1964388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1964401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964422 */     // GIR_Coverage, 60903,
     /* 1964422 */     GIR_EraseRootFromParent_Done,
     /* 1964423 */   // Label 26324: @1964423
     /* 1964423 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1964509), // Rule ID 60906 //
     /* 1964428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1964445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1964448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964474 */     // MIs[0] policy
     /* 1964474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1964487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964508 */     // GIR_Coverage, 60906,
     /* 1964508 */     GIR_EraseRootFromParent_Done,
     /* 1964509 */   // Label 26325: @1964509
     /* 1964509 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1964595), // Rule ID 60907 //
     /* 1964514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1964531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1964534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964560 */     // MIs[0] policy
     /* 1964560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1964573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964594 */     // GIR_Coverage, 60907,
     /* 1964594 */     GIR_EraseRootFromParent_Done,
     /* 1964595 */   // Label 26326: @1964595
     /* 1964595 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1964681), // Rule ID 60910 //
     /* 1964600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1964617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1964620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964646 */     // MIs[0] policy
     /* 1964646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1964659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964680 */     // GIR_Coverage, 60910,
     /* 1964680 */     GIR_EraseRootFromParent_Done,
     /* 1964681 */   // Label 26327: @1964681
     /* 1964681 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1964767), // Rule ID 60911 //
     /* 1964686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1964703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1964706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964732 */     // MIs[0] policy
     /* 1964732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1964745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964766 */     // GIR_Coverage, 60911,
     /* 1964766 */     GIR_EraseRootFromParent_Done,
     /* 1964767 */   // Label 26328: @1964767
     /* 1964767 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1964853), // Rule ID 60914 //
     /* 1964772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1964789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1964792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964818 */     // MIs[0] policy
     /* 1964818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1964831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964852 */     // GIR_Coverage, 60914,
     /* 1964852 */     GIR_EraseRootFromParent_Done,
     /* 1964853 */   // Label 26329: @1964853
     /* 1964853 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1964939), // Rule ID 60915 //
     /* 1964858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1964861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1964875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1964878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964904 */     // MIs[0] policy
     /* 1964904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1964917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964938 */     // GIR_Coverage, 60915,
     /* 1964938 */     GIR_EraseRootFromParent_Done,
     /* 1964939 */   // Label 26330: @1964939
     /* 1964939 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1965025), // Rule ID 60918 //
     /* 1964944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1964947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1964952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1964961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1964964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964990 */     // MIs[0] policy
     /* 1964990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1965003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965024 */     // GIR_Coverage, 60918,
     /* 1965024 */     GIR_EraseRootFromParent_Done,
     /* 1965025 */   // Label 26331: @1965025
     /* 1965025 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1965111), // Rule ID 60919 //
     /* 1965030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1965047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1965050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965076 */     // MIs[0] policy
     /* 1965076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1965089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965110 */     // GIR_Coverage, 60919,
     /* 1965110 */     GIR_EraseRootFromParent_Done,
     /* 1965111 */   // Label 26332: @1965111
     /* 1965111 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1965197), // Rule ID 60922 //
     /* 1965116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965162 */     // MIs[0] policy
     /* 1965162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1965175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965196 */     // GIR_Coverage, 60922,
     /* 1965196 */     GIR_EraseRootFromParent_Done,
     /* 1965197 */   // Label 26333: @1965197
     /* 1965197 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1965283), // Rule ID 60923 //
     /* 1965202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965248 */     // MIs[0] policy
     /* 1965248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1965261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965282 */     // GIR_Coverage, 60923,
     /* 1965282 */     GIR_EraseRootFromParent_Done,
     /* 1965283 */   // Label 26334: @1965283
     /* 1965283 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1965369), // Rule ID 60930 //
     /* 1965288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1965299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1965302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1965305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965334 */     // MIs[0] policy
     /* 1965334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1965347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965368 */     // GIR_Coverage, 60930,
     /* 1965368 */     GIR_EraseRootFromParent_Done,
     /* 1965369 */   // Label 26335: @1965369
     /* 1965369 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1965455), // Rule ID 60931 //
     /* 1965374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1965385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1965388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1965391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965420 */     // MIs[0] policy
     /* 1965420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1965433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965454 */     // GIR_Coverage, 60931,
     /* 1965454 */     GIR_EraseRootFromParent_Done,
     /* 1965455 */   // Label 26336: @1965455
     /* 1965455 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1965541), // Rule ID 60938 //
     /* 1965460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965506 */     // MIs[0] policy
     /* 1965506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1965519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965540 */     // GIR_Coverage, 60938,
     /* 1965540 */     GIR_EraseRootFromParent_Done,
     /* 1965541 */   // Label 26337: @1965541
     /* 1965541 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1965627), // Rule ID 60939 //
     /* 1965546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965592 */     // MIs[0] policy
     /* 1965592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1965605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965626 */     // GIR_Coverage, 60939,
     /* 1965626 */     GIR_EraseRootFromParent_Done,
     /* 1965627 */   // Label 26338: @1965627
     /* 1965627 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1965713), // Rule ID 60946 //
     /* 1965632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965678 */     // MIs[0] policy
     /* 1965678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965688 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1965691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965712 */     // GIR_Coverage, 60946,
     /* 1965712 */     GIR_EraseRootFromParent_Done,
     /* 1965713 */   // Label 26339: @1965713
     /* 1965713 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1965799), // Rule ID 60947 //
     /* 1965718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965764 */     // MIs[0] policy
     /* 1965764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1965777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965798 */     // GIR_Coverage, 60947,
     /* 1965798 */     GIR_EraseRootFromParent_Done,
     /* 1965799 */   // Label 26340: @1965799
     /* 1965799 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1965885), // Rule ID 60954 //
     /* 1965804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965850 */     // MIs[0] policy
     /* 1965850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1965863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965884 */     // GIR_Coverage, 60954,
     /* 1965884 */     GIR_EraseRootFromParent_Done,
     /* 1965885 */   // Label 26341: @1965885
     /* 1965885 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1965971), // Rule ID 60955 //
     /* 1965890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1965893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965936 */     // MIs[0] policy
     /* 1965936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1965949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965970 */     // GIR_Coverage, 60955,
     /* 1965970 */     GIR_EraseRootFromParent_Done,
     /* 1965971 */   // Label 26342: @1965971
     /* 1965971 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1966057), // Rule ID 60962 //
     /* 1965976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1965979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1965984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1965987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1965990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1965993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966022 */     // MIs[0] policy
     /* 1966022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1966035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966056 */     // GIR_Coverage, 60962,
     /* 1966056 */     GIR_EraseRootFromParent_Done,
     /* 1966057 */   // Label 26343: @1966057
     /* 1966057 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1966143), // Rule ID 60963 //
     /* 1966062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1966073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1966076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1966079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1966085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966108 */     // MIs[0] policy
     /* 1966108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1966121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966142 */     // GIR_Coverage, 60963,
     /* 1966142 */     GIR_EraseRootFromParent_Done,
     /* 1966143 */   // Label 26344: @1966143
     /* 1966143 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1966229), // Rule ID 60970 //
     /* 1966148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966194 */     // MIs[0] policy
     /* 1966194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1966207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966228 */     // GIR_Coverage, 60970,
     /* 1966228 */     GIR_EraseRootFromParent_Done,
     /* 1966229 */   // Label 26345: @1966229
     /* 1966229 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1966315), // Rule ID 60971 //
     /* 1966234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966280 */     // MIs[0] policy
     /* 1966280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1966293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966314 */     // GIR_Coverage, 60971,
     /* 1966314 */     GIR_EraseRootFromParent_Done,
     /* 1966315 */   // Label 26346: @1966315
     /* 1966315 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1966401), // Rule ID 60978 //
     /* 1966320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966366 */     // MIs[0] policy
     /* 1966366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1966379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966400 */     // GIR_Coverage, 60978,
     /* 1966400 */     GIR_EraseRootFromParent_Done,
     /* 1966401 */   // Label 26347: @1966401
     /* 1966401 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1966487), // Rule ID 60979 //
     /* 1966406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966452 */     // MIs[0] policy
     /* 1966452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1966465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966486 */     // GIR_Coverage, 60979,
     /* 1966486 */     GIR_EraseRootFromParent_Done,
     /* 1966487 */   // Label 26348: @1966487
     /* 1966487 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1966573), // Rule ID 60986 //
     /* 1966492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966538 */     // MIs[0] policy
     /* 1966538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1966551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966572 */     // GIR_Coverage, 60986,
     /* 1966572 */     GIR_EraseRootFromParent_Done,
     /* 1966573 */   // Label 26349: @1966573
     /* 1966573 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1966659), // Rule ID 60987 //
     /* 1966578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966624 */     // MIs[0] policy
     /* 1966624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1966637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966658 */     // GIR_Coverage, 60987,
     /* 1966658 */     GIR_EraseRootFromParent_Done,
     /* 1966659 */   // Label 26350: @1966659
     /* 1966659 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1966745), // Rule ID 60994 //
     /* 1966664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966710 */     // MIs[0] policy
     /* 1966710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1966723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966744 */     // GIR_Coverage, 60994,
     /* 1966744 */     GIR_EraseRootFromParent_Done,
     /* 1966745 */   // Label 26351: @1966745
     /* 1966745 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1966831), // Rule ID 60995 //
     /* 1966750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966796 */     // MIs[0] policy
     /* 1966796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1966809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966830 */     // GIR_Coverage, 60995,
     /* 1966830 */     GIR_EraseRootFromParent_Done,
     /* 1966831 */   // Label 26352: @1966831
     /* 1966831 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1966917), // Rule ID 61002 //
     /* 1966836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1966839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966882 */     // MIs[0] policy
     /* 1966882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1966895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966916 */     // GIR_Coverage, 61002,
     /* 1966916 */     GIR_EraseRootFromParent_Done,
     /* 1966917 */   // Label 26353: @1966917
     /* 1966917 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1967003), // Rule ID 61003 //
     /* 1966922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1966925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1966930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966968 */     // MIs[0] policy
     /* 1966968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1966981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967002 */     // GIR_Coverage, 61003,
     /* 1967002 */     GIR_EraseRootFromParent_Done,
     /* 1967003 */   // Label 26354: @1967003
     /* 1967003 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1967089), // Rule ID 61010 //
     /* 1967008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967054 */     // MIs[0] policy
     /* 1967054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1967067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967088 */     // GIR_Coverage, 61010,
     /* 1967088 */     GIR_EraseRootFromParent_Done,
     /* 1967089 */   // Label 26355: @1967089
     /* 1967089 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1967175), // Rule ID 61011 //
     /* 1967094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967140 */     // MIs[0] policy
     /* 1967140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1967153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967174 */     // GIR_Coverage, 61011,
     /* 1967174 */     GIR_EraseRootFromParent_Done,
     /* 1967175 */   // Label 26356: @1967175
     /* 1967175 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1967261), // Rule ID 61018 //
     /* 1967180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967226 */     // MIs[0] policy
     /* 1967226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1967239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967260 */     // GIR_Coverage, 61018,
     /* 1967260 */     GIR_EraseRootFromParent_Done,
     /* 1967261 */   // Label 26357: @1967261
     /* 1967261 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1967347), // Rule ID 61019 //
     /* 1967266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967312 */     // MIs[0] policy
     /* 1967312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1967325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967346 */     // GIR_Coverage, 61019,
     /* 1967346 */     GIR_EraseRootFromParent_Done,
     /* 1967347 */   // Label 26358: @1967347
     /* 1967347 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1967433), // Rule ID 61026 //
     /* 1967352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1967363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1967366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1967369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967398 */     // MIs[0] policy
     /* 1967398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1967411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967432 */     // GIR_Coverage, 61026,
     /* 1967432 */     GIR_EraseRootFromParent_Done,
     /* 1967433 */   // Label 26359: @1967433
     /* 1967433 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1967519), // Rule ID 61027 //
     /* 1967438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1967449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1967452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1967455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967484 */     // MIs[0] policy
     /* 1967484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1967497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967518 */     // GIR_Coverage, 61027,
     /* 1967518 */     GIR_EraseRootFromParent_Done,
     /* 1967519 */   // Label 26360: @1967519
     /* 1967519 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1967605), // Rule ID 61034 //
     /* 1967524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1967527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967570 */     // MIs[0] policy
     /* 1967570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1967583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967604 */     // GIR_Coverage, 61034,
     /* 1967604 */     GIR_EraseRootFromParent_Done,
     /* 1967605 */   // Label 26361: @1967605
     /* 1967605 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1967691), // Rule ID 61035 //
     /* 1967610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1967613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1967618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967656 */     // MIs[0] policy
     /* 1967656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1967669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967690 */     // GIR_Coverage, 61035,
     /* 1967690 */     GIR_EraseRootFromParent_Done,
     /* 1967691 */   // Label 26362: @1967691
     /* 1967691 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1967777), // Rule ID 61042 //
     /* 1967696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1967699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1967704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967742 */     // MIs[0] policy
     /* 1967742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1967755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967776 */     // GIR_Coverage, 61042,
     /* 1967776 */     GIR_EraseRootFromParent_Done,
     /* 1967777 */   // Label 26363: @1967777
     /* 1967777 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1967863), // Rule ID 61043 //
     /* 1967782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1967785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1967790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967828 */     // MIs[0] policy
     /* 1967828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967838 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1967841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967862 */     // GIR_Coverage, 61043,
     /* 1967862 */     GIR_EraseRootFromParent_Done,
     /* 1967863 */   // Label 26364: @1967863
     /* 1967863 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1967949), // Rule ID 61046 //
     /* 1967868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1967871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1967876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1967885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1967888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967914 */     // MIs[0] policy
     /* 1967914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1967927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967948 */     // GIR_Coverage, 61046,
     /* 1967948 */     GIR_EraseRootFromParent_Done,
     /* 1967949 */   // Label 26365: @1967949
     /* 1967949 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1968035), // Rule ID 61047 //
     /* 1967954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1967957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1967962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1967971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1967974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968000 */     // MIs[0] policy
     /* 1968000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1968013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968034 */     // GIR_Coverage, 61047,
     /* 1968034 */     GIR_EraseRootFromParent_Done,
     /* 1968035 */   // Label 26366: @1968035
     /* 1968035 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1968121), // Rule ID 61050 //
     /* 1968040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1968043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1968060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968086 */     // MIs[0] policy
     /* 1968086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1968099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968120 */     // GIR_Coverage, 61050,
     /* 1968120 */     GIR_EraseRootFromParent_Done,
     /* 1968121 */   // Label 26367: @1968121
     /* 1968121 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1968207), // Rule ID 61051 //
     /* 1968126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1968129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1968146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968172 */     // MIs[0] policy
     /* 1968172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1968185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968206 */     // GIR_Coverage, 61051,
     /* 1968206 */     GIR_EraseRootFromParent_Done,
     /* 1968207 */   // Label 26368: @1968207
     /* 1968207 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1968293), // Rule ID 61054 //
     /* 1968212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1968215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1968223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1968226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1968229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1968232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968258 */     // MIs[0] policy
     /* 1968258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1968271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968292 */     // GIR_Coverage, 61054,
     /* 1968292 */     GIR_EraseRootFromParent_Done,
     /* 1968293 */   // Label 26369: @1968293
     /* 1968293 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1968379), // Rule ID 61055 //
     /* 1968298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1968301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1968309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1968312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1968315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1968318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968344 */     // MIs[0] policy
     /* 1968344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968354 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1968357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968378 */     // GIR_Coverage, 61055,
     /* 1968378 */     GIR_EraseRootFromParent_Done,
     /* 1968379 */   // Label 26370: @1968379
     /* 1968379 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1968465), // Rule ID 61058 //
     /* 1968384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1968387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1968395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1968398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1968401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968430 */     // MIs[0] policy
     /* 1968430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1968443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968464 */     // GIR_Coverage, 61058,
     /* 1968464 */     GIR_EraseRootFromParent_Done,
     /* 1968465 */   // Label 26371: @1968465
     /* 1968465 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1968551), // Rule ID 61059 //
     /* 1968470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1968473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1968481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1968484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1968487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968516 */     // MIs[0] policy
     /* 1968516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1968529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968550 */     // GIR_Coverage, 61059,
     /* 1968550 */     GIR_EraseRootFromParent_Done,
     /* 1968551 */   // Label 26372: @1968551
     /* 1968551 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1968637), // Rule ID 61062 //
     /* 1968556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1968559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968602 */     // MIs[0] policy
     /* 1968602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968612 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1968615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968636 */     // GIR_Coverage, 61062,
     /* 1968636 */     GIR_EraseRootFromParent_Done,
     /* 1968637 */   // Label 26373: @1968637
     /* 1968637 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1968723), // Rule ID 61063 //
     /* 1968642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1968645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968688 */     // MIs[0] policy
     /* 1968688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1968701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968722 */     // GIR_Coverage, 61063,
     /* 1968722 */     GIR_EraseRootFromParent_Done,
     /* 1968723 */   // Label 26374: @1968723
     /* 1968723 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1968809), // Rule ID 61066 //
     /* 1968728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1968731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968774 */     // MIs[0] policy
     /* 1968774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1968787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968808 */     // GIR_Coverage, 61066,
     /* 1968808 */     GIR_EraseRootFromParent_Done,
     /* 1968809 */   // Label 26375: @1968809
     /* 1968809 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1968895), // Rule ID 61067 //
     /* 1968814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1968817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968860 */     // MIs[0] policy
     /* 1968860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1968873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968894 */     // GIR_Coverage, 61067,
     /* 1968894 */     GIR_EraseRootFromParent_Done,
     /* 1968895 */   // Label 26376: @1968895
     /* 1968895 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1968981), // Rule ID 61070 //
     /* 1968900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1968903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1968911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1968914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1968917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968946 */     // MIs[0] policy
     /* 1968946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968956 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1968959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968980 */     // GIR_Coverage, 61070,
     /* 1968980 */     GIR_EraseRootFromParent_Done,
     /* 1968981 */   // Label 26377: @1968981
     /* 1968981 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1969067), // Rule ID 61071 //
     /* 1968986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1968989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1968994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1968997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969032 */     // MIs[0] policy
     /* 1969032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1969045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969066 */     // GIR_Coverage, 61071,
     /* 1969066 */     GIR_EraseRootFromParent_Done,
     /* 1969067 */   // Label 26378: @1969067
     /* 1969067 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1969153), // Rule ID 61074 //
     /* 1969072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1969092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969118 */     // MIs[0] policy
     /* 1969118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1969131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969152 */     // GIR_Coverage, 61074,
     /* 1969152 */     GIR_EraseRootFromParent_Done,
     /* 1969153 */   // Label 26379: @1969153
     /* 1969153 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1969239), // Rule ID 61075 //
     /* 1969158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1969161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1969178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969204 */     // MIs[0] policy
     /* 1969204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1969217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969238 */     // GIR_Coverage, 61075,
     /* 1969238 */     GIR_EraseRootFromParent_Done,
     /* 1969239 */   // Label 26380: @1969239
     /* 1969239 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1969325), // Rule ID 61078 //
     /* 1969244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969290 */     // MIs[0] policy
     /* 1969290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1969303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969324 */     // GIR_Coverage, 61078,
     /* 1969324 */     GIR_EraseRootFromParent_Done,
     /* 1969325 */   // Label 26381: @1969325
     /* 1969325 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1969411), // Rule ID 61079 //
     /* 1969330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1969333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969376 */     // MIs[0] policy
     /* 1969376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1969389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969410 */     // GIR_Coverage, 61079,
     /* 1969410 */     GIR_EraseRootFromParent_Done,
     /* 1969411 */   // Label 26382: @1969411
     /* 1969411 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1969497), // Rule ID 61082 //
     /* 1969416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969462 */     // MIs[0] policy
     /* 1969462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1969475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969496 */     // GIR_Coverage, 61082,
     /* 1969496 */     GIR_EraseRootFromParent_Done,
     /* 1969497 */   // Label 26383: @1969497
     /* 1969497 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1969583), // Rule ID 61083 //
     /* 1969502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1969505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969548 */     // MIs[0] policy
     /* 1969548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1969561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969582 */     // GIR_Coverage, 61083,
     /* 1969582 */     GIR_EraseRootFromParent_Done,
     /* 1969583 */   // Label 26384: @1969583
     /* 1969583 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1969669), // Rule ID 61086 //
     /* 1969588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969634 */     // MIs[0] policy
     /* 1969634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1969647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969668 */     // GIR_Coverage, 61086,
     /* 1969668 */     GIR_EraseRootFromParent_Done,
     /* 1969669 */   // Label 26385: @1969669
     /* 1969669 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1969755), // Rule ID 61087 //
     /* 1969674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1969677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969720 */     // MIs[0] policy
     /* 1969720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1969733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969754 */     // GIR_Coverage, 61087,
     /* 1969754 */     GIR_EraseRootFromParent_Done,
     /* 1969755 */   // Label 26386: @1969755
     /* 1969755 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1969841), // Rule ID 61090 //
     /* 1969760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969806 */     // MIs[0] policy
     /* 1969806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1969819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969840 */     // GIR_Coverage, 61090,
     /* 1969840 */     GIR_EraseRootFromParent_Done,
     /* 1969841 */   // Label 26387: @1969841
     /* 1969841 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1969927), // Rule ID 61091 //
     /* 1969846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1969849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969892 */     // MIs[0] policy
     /* 1969892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1969905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969926 */     // GIR_Coverage, 61091,
     /* 1969926 */     GIR_EraseRootFromParent_Done,
     /* 1969927 */   // Label 26388: @1969927
     /* 1969927 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1970013), // Rule ID 61094 //
     /* 1969932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1969935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1969940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969978 */     // MIs[0] policy
     /* 1969978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1969991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970012 */     // GIR_Coverage, 61094,
     /* 1970012 */     GIR_EraseRootFromParent_Done,
     /* 1970013 */   // Label 26389: @1970013
     /* 1970013 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1970099), // Rule ID 61095 //
     /* 1970018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1970026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970064 */     // MIs[0] policy
     /* 1970064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1970077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970098 */     // GIR_Coverage, 61095,
     /* 1970098 */     GIR_EraseRootFromParent_Done,
     /* 1970099 */   // Label 26390: @1970099
     /* 1970099 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1970185), // Rule ID 61098 //
     /* 1970104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1970112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970150 */     // MIs[0] policy
     /* 1970150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1970163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970184 */     // GIR_Coverage, 61098,
     /* 1970184 */     GIR_EraseRootFromParent_Done,
     /* 1970185 */   // Label 26391: @1970185
     /* 1970185 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1970271), // Rule ID 61099 //
     /* 1970190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1970198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970236 */     // MIs[0] policy
     /* 1970236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1970249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970270 */     // GIR_Coverage, 61099,
     /* 1970270 */     GIR_EraseRootFromParent_Done,
     /* 1970271 */   // Label 26392: @1970271
     /* 1970271 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1970357), // Rule ID 61102 //
     /* 1970276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1970279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1970284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1970293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970322 */     // MIs[0] policy
     /* 1970322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1970335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970356 */     // GIR_Coverage, 61102,
     /* 1970356 */     GIR_EraseRootFromParent_Done,
     /* 1970357 */   // Label 26393: @1970357
     /* 1970357 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1970443), // Rule ID 61103 //
     /* 1970362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1970365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1970370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1970373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1970376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1970379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970408 */     // MIs[0] policy
     /* 1970408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1970421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970442 */     // GIR_Coverage, 61103,
     /* 1970442 */     GIR_EraseRootFromParent_Done,
     /* 1970443 */   // Label 26394: @1970443
     /* 1970443 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1970529), // Rule ID 61106 //
     /* 1970448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1970459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1970462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1970465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1970468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970494 */     // MIs[0] policy
     /* 1970494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1970507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970528 */     // GIR_Coverage, 61106,
     /* 1970528 */     GIR_EraseRootFromParent_Done,
     /* 1970529 */   // Label 26395: @1970529
     /* 1970529 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1970615), // Rule ID 61107 //
     /* 1970534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1970545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1970548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1970551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1970554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970580 */     // MIs[0] policy
     /* 1970580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970590 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1970593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970614 */     // GIR_Coverage, 61107,
     /* 1970614 */     GIR_EraseRootFromParent_Done,
     /* 1970615 */   // Label 26396: @1970615
     /* 1970615 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1970701), // Rule ID 61110 //
     /* 1970620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1970631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1970634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1970637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1970640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970666 */     // MIs[0] policy
     /* 1970666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1970679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970700 */     // GIR_Coverage, 61110,
     /* 1970700 */     GIR_EraseRootFromParent_Done,
     /* 1970701 */   // Label 26397: @1970701
     /* 1970701 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1970787), // Rule ID 61111 //
     /* 1970706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1970717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1970720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1970723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1970726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970752 */     // MIs[0] policy
     /* 1970752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1970765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970786 */     // GIR_Coverage, 61111,
     /* 1970786 */     GIR_EraseRootFromParent_Done,
     /* 1970787 */   // Label 26398: @1970787
     /* 1970787 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1970873), // Rule ID 61114 //
     /* 1970792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1970812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970838 */     // MIs[0] policy
     /* 1970838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1970851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970872 */     // GIR_Coverage, 61114,
     /* 1970872 */     GIR_EraseRootFromParent_Done,
     /* 1970873 */   // Label 26399: @1970873
     /* 1970873 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1970959), // Rule ID 61115 //
     /* 1970878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1970889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1970892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1970895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1970898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970924 */     // MIs[0] policy
     /* 1970924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1970937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970958 */     // GIR_Coverage, 61115,
     /* 1970958 */     GIR_EraseRootFromParent_Done,
     /* 1970959 */   // Label 26400: @1970959
     /* 1970959 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1971045), // Rule ID 61118 //
     /* 1970964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1970975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1970978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1970984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971010 */     // MIs[0] policy
     /* 1971010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1971023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971044 */     // GIR_Coverage, 61118,
     /* 1971044 */     GIR_EraseRootFromParent_Done,
     /* 1971045 */   // Label 26401: @1971045
     /* 1971045 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1971131), // Rule ID 61119 //
     /* 1971050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1971061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1971064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1971067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1971070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971096 */     // MIs[0] policy
     /* 1971096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1971109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971130 */     // GIR_Coverage, 61119,
     /* 1971130 */     GIR_EraseRootFromParent_Done,
     /* 1971131 */   // Label 26402: @1971131
     /* 1971131 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1971217), // Rule ID 61122 //
     /* 1971136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1971147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1971150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1971153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1971156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971182 */     // MIs[0] policy
     /* 1971182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1971195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971216 */     // GIR_Coverage, 61122,
     /* 1971216 */     GIR_EraseRootFromParent_Done,
     /* 1971217 */   // Label 26403: @1971217
     /* 1971217 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1971303), // Rule ID 61123 //
     /* 1971222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1971233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1971236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1971239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1971242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971268 */     // MIs[0] policy
     /* 1971268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1971281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971302 */     // GIR_Coverage, 61123,
     /* 1971302 */     GIR_EraseRootFromParent_Done,
     /* 1971303 */   // Label 26404: @1971303
     /* 1971303 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1971389), // Rule ID 61126 //
     /* 1971308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1971319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1971322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1971325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1971328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971354 */     // MIs[0] policy
     /* 1971354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1971367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971388 */     // GIR_Coverage, 61126,
     /* 1971388 */     GIR_EraseRootFromParent_Done,
     /* 1971389 */   // Label 26405: @1971389
     /* 1971389 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1971475), // Rule ID 61127 //
     /* 1971394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1971405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1971408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1971411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1971414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971440 */     // MIs[0] policy
     /* 1971440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1971453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971474 */     // GIR_Coverage, 61127,
     /* 1971474 */     GIR_EraseRootFromParent_Done,
     /* 1971475 */   // Label 26406: @1971475
     /* 1971475 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1971561), // Rule ID 61130 //
     /* 1971480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1971491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1971494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1971497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1971500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971526 */     // MIs[0] policy
     /* 1971526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1971539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971560 */     // GIR_Coverage, 61130,
     /* 1971560 */     GIR_EraseRootFromParent_Done,
     /* 1971561 */   // Label 26407: @1971561
     /* 1971561 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1971647), // Rule ID 61131 //
     /* 1971566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1971577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1971580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1971583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1971586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971612 */     // MIs[0] policy
     /* 1971612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1971625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971646 */     // GIR_Coverage, 61131,
     /* 1971646 */     GIR_EraseRootFromParent_Done,
     /* 1971647 */   // Label 26408: @1971647
     /* 1971647 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1971733), // Rule ID 61134 //
     /* 1971652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1971663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1971666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1971669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1971672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971698 */     // MIs[0] policy
     /* 1971698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1971711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971732 */     // GIR_Coverage, 61134,
     /* 1971732 */     GIR_EraseRootFromParent_Done,
     /* 1971733 */   // Label 26409: @1971733
     /* 1971733 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1971819), // Rule ID 61135 //
     /* 1971738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1971749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1971752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1971755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1971758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971784 */     // MIs[0] policy
     /* 1971784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1971797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971818 */     // GIR_Coverage, 61135,
     /* 1971818 */     GIR_EraseRootFromParent_Done,
     /* 1971819 */   // Label 26410: @1971819
     /* 1971819 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1971905), // Rule ID 61138 //
     /* 1971824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1971844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971870 */     // MIs[0] policy
     /* 1971870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1971883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971904 */     // GIR_Coverage, 61138,
     /* 1971904 */     GIR_EraseRootFromParent_Done,
     /* 1971905 */   // Label 26411: @1971905
     /* 1971905 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1971991), // Rule ID 61139 //
     /* 1971910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1971921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1971924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1971930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971956 */     // MIs[0] policy
     /* 1971956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1971969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971990 */     // GIR_Coverage, 61139,
     /* 1971990 */     GIR_EraseRootFromParent_Done,
     /* 1971991 */   // Label 26412: @1971991
     /* 1971991 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1972077), // Rule ID 61142 //
     /* 1971996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1972007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1972010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1972013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1972016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972042 */     // MIs[0] policy
     /* 1972042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1972055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972076 */     // GIR_Coverage, 61142,
     /* 1972076 */     GIR_EraseRootFromParent_Done,
     /* 1972077 */   // Label 26413: @1972077
     /* 1972077 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1972163), // Rule ID 61143 //
     /* 1972082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1972093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1972096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1972099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1972102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972128 */     // MIs[0] policy
     /* 1972128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1972141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972162 */     // GIR_Coverage, 61143,
     /* 1972162 */     GIR_EraseRootFromParent_Done,
     /* 1972163 */   // Label 26414: @1972163
     /* 1972163 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1972249), // Rule ID 61146 //
     /* 1972168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1972179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1972182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1972185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1972188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972214 */     // MIs[0] policy
     /* 1972214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1972227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972248 */     // GIR_Coverage, 61146,
     /* 1972248 */     GIR_EraseRootFromParent_Done,
     /* 1972249 */   // Label 26415: @1972249
     /* 1972249 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1972335), // Rule ID 61147 //
     /* 1972254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1972265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1972268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1972271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1972274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972300 */     // MIs[0] policy
     /* 1972300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1972313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972334 */     // GIR_Coverage, 61147,
     /* 1972334 */     GIR_EraseRootFromParent_Done,
     /* 1972335 */   // Label 26416: @1972335
     /* 1972335 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1972421), // Rule ID 61150 //
     /* 1972340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1972351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1972354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1972357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1972360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972386 */     // MIs[0] policy
     /* 1972386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1972399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972420 */     // GIR_Coverage, 61150,
     /* 1972420 */     GIR_EraseRootFromParent_Done,
     /* 1972421 */   // Label 26417: @1972421
     /* 1972421 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1972507), // Rule ID 61151 //
     /* 1972426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1972437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1972440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1972443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1972446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972472 */     // MIs[0] policy
     /* 1972472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972482 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1972485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972506 */     // GIR_Coverage, 61151,
     /* 1972506 */     GIR_EraseRootFromParent_Done,
     /* 1972507 */   // Label 26418: @1972507
     /* 1972507 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1972593), // Rule ID 61154 //
     /* 1972512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1972523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1972526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1972529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1972532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1972535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972558 */     // MIs[0] policy
     /* 1972558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1972571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972592 */     // GIR_Coverage, 61154,
     /* 1972592 */     GIR_EraseRootFromParent_Done,
     /* 1972593 */   // Label 26419: @1972593
     /* 1972593 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1972679), // Rule ID 61155 //
     /* 1972598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1972609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1972612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1972615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1972618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1972621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972644 */     // MIs[0] policy
     /* 1972644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1972657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972678 */     // GIR_Coverage, 61155,
     /* 1972678 */     GIR_EraseRootFromParent_Done,
     /* 1972679 */   // Label 26420: @1972679
     /* 1972679 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1972765), // Rule ID 61158 //
     /* 1972684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1972701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1972704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972730 */     // MIs[0] policy
     /* 1972730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1972743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972764 */     // GIR_Coverage, 61158,
     /* 1972764 */     GIR_EraseRootFromParent_Done,
     /* 1972765 */   // Label 26421: @1972765
     /* 1972765 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1972851), // Rule ID 61159 //
     /* 1972770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1972787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1972790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972816 */     // MIs[0] policy
     /* 1972816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1972829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972850 */     // GIR_Coverage, 61159,
     /* 1972850 */     GIR_EraseRootFromParent_Done,
     /* 1972851 */   // Label 26422: @1972851
     /* 1972851 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1972937), // Rule ID 61162 //
     /* 1972856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1972876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972902 */     // MIs[0] policy
     /* 1972902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1972915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972936 */     // GIR_Coverage, 61162,
     /* 1972936 */     GIR_EraseRootFromParent_Done,
     /* 1972937 */   // Label 26423: @1972937
     /* 1972937 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1973023), // Rule ID 61163 //
     /* 1972942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1972959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1972962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972988 */     // MIs[0] policy
     /* 1972988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972998 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1973001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973022 */     // GIR_Coverage, 61163,
     /* 1973022 */     GIR_EraseRootFromParent_Done,
     /* 1973023 */   // Label 26424: @1973023
     /* 1973023 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1973109), // Rule ID 61166 //
     /* 1973028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1973039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1973042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1973045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1973048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1973051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973074 */     // MIs[0] policy
     /* 1973074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1973087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973108 */     // GIR_Coverage, 61166,
     /* 1973108 */     GIR_EraseRootFromParent_Done,
     /* 1973109 */   // Label 26425: @1973109
     /* 1973109 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1973195), // Rule ID 61167 //
     /* 1973114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1973125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1973128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1973131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1973134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1973137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973160 */     // MIs[0] policy
     /* 1973160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973170 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1973173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973194 */     // GIR_Coverage, 61167,
     /* 1973194 */     GIR_EraseRootFromParent_Done,
     /* 1973195 */   // Label 26426: @1973195
     /* 1973195 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1973281), // Rule ID 61170 //
     /* 1973200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1973211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1973214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1973217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1973220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973246 */     // MIs[0] policy
     /* 1973246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1973259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973280 */     // GIR_Coverage, 61170,
     /* 1973280 */     GIR_EraseRootFromParent_Done,
     /* 1973281 */   // Label 26427: @1973281
     /* 1973281 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1973367), // Rule ID 61171 //
     /* 1973286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1973297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1973300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1973303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1973306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973332 */     // MIs[0] policy
     /* 1973332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1973345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973366 */     // GIR_Coverage, 61171,
     /* 1973366 */     GIR_EraseRootFromParent_Done,
     /* 1973367 */   // Label 26428: @1973367
     /* 1973367 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1973453), // Rule ID 61174 //
     /* 1973372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1973389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1973392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973418 */     // MIs[0] policy
     /* 1973418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1973431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973452 */     // GIR_Coverage, 61174,
     /* 1973452 */     GIR_EraseRootFromParent_Done,
     /* 1973453 */   // Label 26429: @1973453
     /* 1973453 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1973539), // Rule ID 61175 //
     /* 1973458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1973475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1973478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973504 */     // MIs[0] policy
     /* 1973504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1973517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973538 */     // GIR_Coverage, 61175,
     /* 1973538 */     GIR_EraseRootFromParent_Done,
     /* 1973539 */   // Label 26430: @1973539
     /* 1973539 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1973625), // Rule ID 61178 //
     /* 1973544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1973561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1973564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973590 */     // MIs[0] policy
     /* 1973590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1973603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973624 */     // GIR_Coverage, 61178,
     /* 1973624 */     GIR_EraseRootFromParent_Done,
     /* 1973625 */   // Label 26431: @1973625
     /* 1973625 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1973711), // Rule ID 61179 //
     /* 1973630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1973647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1973650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973676 */     // MIs[0] policy
     /* 1973676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1973689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973710 */     // GIR_Coverage, 61179,
     /* 1973710 */     GIR_EraseRootFromParent_Done,
     /* 1973711 */   // Label 26432: @1973711
     /* 1973711 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1973797), // Rule ID 61182 //
     /* 1973716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1973736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973762 */     // MIs[0] policy
     /* 1973762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1973775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973796 */     // GIR_Coverage, 61182,
     /* 1973796 */     GIR_EraseRootFromParent_Done,
     /* 1973797 */   // Label 26433: @1973797
     /* 1973797 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1973883), // Rule ID 61183 //
     /* 1973802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1973819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1973822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973848 */     // MIs[0] policy
     /* 1973848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1973861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973882 */     // GIR_Coverage, 61183,
     /* 1973882 */     GIR_EraseRootFromParent_Done,
     /* 1973883 */   // Label 26434: @1973883
     /* 1973883 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1973969), // Rule ID 61186 //
     /* 1973888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1973908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973934 */     // MIs[0] policy
     /* 1973934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1973947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973968 */     // GIR_Coverage, 61186,
     /* 1973968 */     GIR_EraseRootFromParent_Done,
     /* 1973969 */   // Label 26435: @1973969
     /* 1973969 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1974055), // Rule ID 61187 //
     /* 1973974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1973982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1973985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1973988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1973991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1973994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974020 */     // MIs[0] policy
     /* 1974020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1974033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974054 */     // GIR_Coverage, 61187,
     /* 1974054 */     GIR_EraseRootFromParent_Done,
     /* 1974055 */   // Label 26436: @1974055
     /* 1974055 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1974141), // Rule ID 61190 //
     /* 1974060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1974071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1974074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1974077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1974080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974106 */     // MIs[0] policy
     /* 1974106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1974119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974140 */     // GIR_Coverage, 61190,
     /* 1974140 */     GIR_EraseRootFromParent_Done,
     /* 1974141 */   // Label 26437: @1974141
     /* 1974141 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1974227), // Rule ID 61191 //
     /* 1974146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1974157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1974160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1974163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1974166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974192 */     // MIs[0] policy
     /* 1974192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1974205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974226 */     // GIR_Coverage, 61191,
     /* 1974226 */     GIR_EraseRootFromParent_Done,
     /* 1974227 */   // Label 26438: @1974227
     /* 1974227 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1974313), // Rule ID 61194 //
     /* 1974232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1974243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1974246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1974249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974278 */     // MIs[0] policy
     /* 1974278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1974291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974312 */     // GIR_Coverage, 61194,
     /* 1974312 */     GIR_EraseRootFromParent_Done,
     /* 1974313 */   // Label 26439: @1974313
     /* 1974313 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1974399), // Rule ID 61195 //
     /* 1974318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1974329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1974332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1974335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974364 */     // MIs[0] policy
     /* 1974364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1974377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974398 */     // GIR_Coverage, 61195,
     /* 1974398 */     GIR_EraseRootFromParent_Done,
     /* 1974399 */   // Label 26440: @1974399
     /* 1974399 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1974485), // Rule ID 61198 //
     /* 1974404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1974415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1974418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1974421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974450 */     // MIs[0] policy
     /* 1974450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1974463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974484 */     // GIR_Coverage, 61198,
     /* 1974484 */     GIR_EraseRootFromParent_Done,
     /* 1974485 */   // Label 26441: @1974485
     /* 1974485 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1974571), // Rule ID 61199 //
     /* 1974490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1974501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1974504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1974507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974536 */     // MIs[0] policy
     /* 1974536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1974549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974570 */     // GIR_Coverage, 61199,
     /* 1974570 */     GIR_EraseRootFromParent_Done,
     /* 1974571 */   // Label 26442: @1974571
     /* 1974571 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1974657), // Rule ID 61202 //
     /* 1974576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1974587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1974590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1974593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974622 */     // MIs[0] policy
     /* 1974622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1974635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974656 */     // GIR_Coverage, 61202,
     /* 1974656 */     GIR_EraseRootFromParent_Done,
     /* 1974657 */   // Label 26443: @1974657
     /* 1974657 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1974743), // Rule ID 61203 //
     /* 1974662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1974673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1974676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1974679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974708 */     // MIs[0] policy
     /* 1974708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1974721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974742 */     // GIR_Coverage, 61203,
     /* 1974742 */     GIR_EraseRootFromParent_Done,
     /* 1974743 */   // Label 26444: @1974743
     /* 1974743 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1974829), // Rule ID 61206 //
     /* 1974748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974794 */     // MIs[0] policy
     /* 1974794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974804 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1974807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974828 */     // GIR_Coverage, 61206,
     /* 1974828 */     GIR_EraseRootFromParent_Done,
     /* 1974829 */   // Label 26445: @1974829
     /* 1974829 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1974915), // Rule ID 61207 //
     /* 1974834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1974845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1974848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1974851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974880 */     // MIs[0] policy
     /* 1974880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1974893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974914 */     // GIR_Coverage, 61207,
     /* 1974914 */     GIR_EraseRootFromParent_Done,
     /* 1974915 */   // Label 26446: @1974915
     /* 1974915 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1975001), // Rule ID 61210 //
     /* 1974920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1974928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974966 */     // MIs[0] policy
     /* 1974966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1974979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975000 */     // GIR_Coverage, 61210,
     /* 1975000 */     GIR_EraseRootFromParent_Done,
     /* 1975001 */   // Label 26447: @1975001
     /* 1975001 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1975087), // Rule ID 61211 //
     /* 1975006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1975017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1975020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1975023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975052 */     // MIs[0] policy
     /* 1975052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1975065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975086 */     // GIR_Coverage, 61211,
     /* 1975086 */     GIR_EraseRootFromParent_Done,
     /* 1975087 */   // Label 26448: @1975087
     /* 1975087 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1975173), // Rule ID 61214 //
     /* 1975092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1975103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1975106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1975109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975138 */     // MIs[0] policy
     /* 1975138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1975151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975172 */     // GIR_Coverage, 61214,
     /* 1975172 */     GIR_EraseRootFromParent_Done,
     /* 1975173 */   // Label 26449: @1975173
     /* 1975173 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1975259), // Rule ID 61215 //
     /* 1975178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1975189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1975192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1975195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975224 */     // MIs[0] policy
     /* 1975224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1975237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975258 */     // GIR_Coverage, 61215,
     /* 1975258 */     GIR_EraseRootFromParent_Done,
     /* 1975259 */   // Label 26450: @1975259
     /* 1975259 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1975345), // Rule ID 61218 //
     /* 1975264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1975275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1975278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1975281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975310 */     // MIs[0] policy
     /* 1975310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975344 */     // GIR_Coverage, 61218,
     /* 1975344 */     GIR_EraseRootFromParent_Done,
     /* 1975345 */   // Label 26451: @1975345
     /* 1975345 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1975431), // Rule ID 61219 //
     /* 1975350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1975361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1975364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1975367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975396 */     // MIs[0] policy
     /* 1975396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975406 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975430 */     // GIR_Coverage, 61219,
     /* 1975430 */     GIR_EraseRootFromParent_Done,
     /* 1975431 */   // Label 26452: @1975431
     /* 1975431 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1975517), // Rule ID 61222 //
     /* 1975436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1975447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1975450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1975453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975482 */     // MIs[0] policy
     /* 1975482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975516 */     // GIR_Coverage, 61222,
     /* 1975516 */     GIR_EraseRootFromParent_Done,
     /* 1975517 */   // Label 26453: @1975517
     /* 1975517 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1975603), // Rule ID 61223 //
     /* 1975522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1975533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1975536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1975539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975568 */     // MIs[0] policy
     /* 1975568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975602 */     // GIR_Coverage, 61223,
     /* 1975602 */     GIR_EraseRootFromParent_Done,
     /* 1975603 */   // Label 26454: @1975603
     /* 1975603 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1975689), // Rule ID 61226 //
     /* 1975608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1975619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1975622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1975625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975654 */     // MIs[0] policy
     /* 1975654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975688 */     // GIR_Coverage, 61226,
     /* 1975688 */     GIR_EraseRootFromParent_Done,
     /* 1975689 */   // Label 26455: @1975689
     /* 1975689 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1975775), // Rule ID 61227 //
     /* 1975694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1975705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1975708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1975711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975740 */     // MIs[0] policy
     /* 1975740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975774 */     // GIR_Coverage, 61227,
     /* 1975774 */     GIR_EraseRootFromParent_Done,
     /* 1975775 */   // Label 26456: @1975775
     /* 1975775 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1975861), // Rule ID 61230 //
     /* 1975780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975826 */     // MIs[0] policy
     /* 1975826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975860 */     // GIR_Coverage, 61230,
     /* 1975860 */     GIR_EraseRootFromParent_Done,
     /* 1975861 */   // Label 26457: @1975861
     /* 1975861 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1975947), // Rule ID 61231 //
     /* 1975866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975912 */     // MIs[0] policy
     /* 1975912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1975925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975946 */     // GIR_Coverage, 61231,
     /* 1975946 */     GIR_EraseRootFromParent_Done,
     /* 1975947 */   // Label 26458: @1975947
     /* 1975947 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1976033), // Rule ID 61234 //
     /* 1975952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1975960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975998 */     // MIs[0] policy
     /* 1975998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1976011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976032 */     // GIR_Coverage, 61234,
     /* 1976032 */     GIR_EraseRootFromParent_Done,
     /* 1976033 */   // Label 26459: @1976033
     /* 1976033 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1976119), // Rule ID 61235 //
     /* 1976038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1976049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1976052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1976055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976084 */     // MIs[0] policy
     /* 1976084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976094 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1976097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976118 */     // GIR_Coverage, 61235,
     /* 1976118 */     GIR_EraseRootFromParent_Done,
     /* 1976119 */   // Label 26460: @1976119
     /* 1976119 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1976205), // Rule ID 61238 //
     /* 1976124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1976135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1976138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1976141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976170 */     // MIs[0] policy
     /* 1976170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1976183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976204 */     // GIR_Coverage, 61238,
     /* 1976204 */     GIR_EraseRootFromParent_Done,
     /* 1976205 */   // Label 26461: @1976205
     /* 1976205 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1976291), // Rule ID 61239 //
     /* 1976210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1976221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1976224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1976227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976256 */     // MIs[0] policy
     /* 1976256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1976269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976290 */     // GIR_Coverage, 61239,
     /* 1976290 */     GIR_EraseRootFromParent_Done,
     /* 1976291 */   // Label 26462: @1976291
     /* 1976291 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1976377), // Rule ID 61242 //
     /* 1976296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1976307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1976310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1976313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1976319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976342 */     // MIs[0] policy
     /* 1976342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1976355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976376 */     // GIR_Coverage, 61242,
     /* 1976376 */     GIR_EraseRootFromParent_Done,
     /* 1976377 */   // Label 26463: @1976377
     /* 1976377 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1976463), // Rule ID 61243 //
     /* 1976382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1976393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1976396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1976399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1976405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976428 */     // MIs[0] policy
     /* 1976428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976438 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1976441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976462 */     // GIR_Coverage, 61243,
     /* 1976462 */     GIR_EraseRootFromParent_Done,
     /* 1976463 */   // Label 26464: @1976463
     /* 1976463 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1976549), // Rule ID 61246 //
     /* 1976468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1976479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1976482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1976485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976514 */     // MIs[0] policy
     /* 1976514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1976527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976548 */     // GIR_Coverage, 61246,
     /* 1976548 */     GIR_EraseRootFromParent_Done,
     /* 1976549 */   // Label 26465: @1976549
     /* 1976549 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1976635), // Rule ID 61247 //
     /* 1976554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1976565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1976568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1976571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976600 */     // MIs[0] policy
     /* 1976600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1976613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976634 */     // GIR_Coverage, 61247,
     /* 1976634 */     GIR_EraseRootFromParent_Done,
     /* 1976635 */   // Label 26466: @1976635
     /* 1976635 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1976721), // Rule ID 61250 //
     /* 1976640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1976651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1976654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1976657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976686 */     // MIs[0] policy
     /* 1976686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1976699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976720 */     // GIR_Coverage, 61250,
     /* 1976720 */     GIR_EraseRootFromParent_Done,
     /* 1976721 */   // Label 26467: @1976721
     /* 1976721 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1976807), // Rule ID 61251 //
     /* 1976726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1976737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1976740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1976743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976772 */     // MIs[0] policy
     /* 1976772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1976785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976806 */     // GIR_Coverage, 61251,
     /* 1976806 */     GIR_EraseRootFromParent_Done,
     /* 1976807 */   // Label 26468: @1976807
     /* 1976807 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1976893), // Rule ID 61254 //
     /* 1976812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976858 */     // MIs[0] policy
     /* 1976858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1976871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976892 */     // GIR_Coverage, 61254,
     /* 1976892 */     GIR_EraseRootFromParent_Done,
     /* 1976893 */   // Label 26469: @1976893
     /* 1976893 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1976979), // Rule ID 61255 //
     /* 1976898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976944 */     // MIs[0] policy
     /* 1976944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1976957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976978 */     // GIR_Coverage, 61255,
     /* 1976978 */     GIR_EraseRootFromParent_Done,
     /* 1976979 */   // Label 26470: @1976979
     /* 1976979 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1977065), // Rule ID 61258 //
     /* 1976984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1976992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1977001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977030 */     // MIs[0] policy
     /* 1977030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1977043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977064 */     // GIR_Coverage, 61258,
     /* 1977064 */     GIR_EraseRootFromParent_Done,
     /* 1977065 */   // Label 26471: @1977065
     /* 1977065 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1977151), // Rule ID 61259 //
     /* 1977070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1977081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1977084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1977087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977116 */     // MIs[0] policy
     /* 1977116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1977129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977150 */     // GIR_Coverage, 61259,
     /* 1977150 */     GIR_EraseRootFromParent_Done,
     /* 1977151 */   // Label 26472: @1977151
     /* 1977151 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1977237), // Rule ID 61262 //
     /* 1977156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1977167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1977170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1977173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977202 */     // MIs[0] policy
     /* 1977202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1977215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977236 */     // GIR_Coverage, 61262,
     /* 1977236 */     GIR_EraseRootFromParent_Done,
     /* 1977237 */   // Label 26473: @1977237
     /* 1977237 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1977323), // Rule ID 61263 //
     /* 1977242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1977253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1977256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1977259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977288 */     // MIs[0] policy
     /* 1977288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1977301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977322 */     // GIR_Coverage, 61263,
     /* 1977322 */     GIR_EraseRootFromParent_Done,
     /* 1977323 */   // Label 26474: @1977323
     /* 1977323 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1977409), // Rule ID 61266 //
     /* 1977328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1977339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1977342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1977345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977374 */     // MIs[0] policy
     /* 1977374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1977387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977408 */     // GIR_Coverage, 61266,
     /* 1977408 */     GIR_EraseRootFromParent_Done,
     /* 1977409 */   // Label 26475: @1977409
     /* 1977409 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1977495), // Rule ID 61267 //
     /* 1977414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1977425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1977428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1977431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977460 */     // MIs[0] policy
     /* 1977460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1977473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977494 */     // GIR_Coverage, 61267,
     /* 1977494 */     GIR_EraseRootFromParent_Done,
     /* 1977495 */   // Label 26476: @1977495
     /* 1977495 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1977581), // Rule ID 61270 //
     /* 1977500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1977511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1977514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1977517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977546 */     // MIs[0] policy
     /* 1977546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1977559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977580 */     // GIR_Coverage, 61270,
     /* 1977580 */     GIR_EraseRootFromParent_Done,
     /* 1977581 */   // Label 26477: @1977581
     /* 1977581 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1977667), // Rule ID 61271 //
     /* 1977586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1977597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1977600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1977603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977632 */     // MIs[0] policy
     /* 1977632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1977645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977666 */     // GIR_Coverage, 61271,
     /* 1977666 */     GIR_EraseRootFromParent_Done,
     /* 1977667 */   // Label 26478: @1977667
     /* 1977667 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1977753), // Rule ID 61274 //
     /* 1977672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1977683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1977686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1977689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977718 */     // MIs[0] policy
     /* 1977718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1977731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977752 */     // GIR_Coverage, 61274,
     /* 1977752 */     GIR_EraseRootFromParent_Done,
     /* 1977753 */   // Label 26479: @1977753
     /* 1977753 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1977839), // Rule ID 61275 //
     /* 1977758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1977769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1977772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1977775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977804 */     // MIs[0] policy
     /* 1977804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1977817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977838 */     // GIR_Coverage, 61275,
     /* 1977838 */     GIR_EraseRootFromParent_Done,
     /* 1977839 */   // Label 26480: @1977839
     /* 1977839 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1977925), // Rule ID 61278 //
     /* 1977844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977890 */     // MIs[0] policy
     /* 1977890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1977903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977924 */     // GIR_Coverage, 61278,
     /* 1977924 */     GIR_EraseRootFromParent_Done,
     /* 1977925 */   // Label 26481: @1977925
     /* 1977925 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1978011), // Rule ID 61279 //
     /* 1977930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977976 */     // MIs[0] policy
     /* 1977976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1977989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978010 */     // GIR_Coverage, 61279,
     /* 1978010 */     GIR_EraseRootFromParent_Done,
     /* 1978011 */   // Label 26482: @1978011
     /* 1978011 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1978097), // Rule ID 61458 //
     /* 1978016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1978027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1978030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1978033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1978036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978062 */     // MIs[0] policy
     /* 1978062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1978075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978096 */     // GIR_Coverage, 61458,
     /* 1978096 */     GIR_EraseRootFromParent_Done,
     /* 1978097 */   // Label 26483: @1978097
     /* 1978097 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1978183), // Rule ID 61459 //
     /* 1978102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1978113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1978116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1978119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1978122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978148 */     // MIs[0] policy
     /* 1978148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1978161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978182 */     // GIR_Coverage, 61459,
     /* 1978182 */     GIR_EraseRootFromParent_Done,
     /* 1978183 */   // Label 26484: @1978183
     /* 1978183 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1978269), // Rule ID 61462 //
     /* 1978188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1978199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1978202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1978205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1978208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978234 */     // MIs[0] policy
     /* 1978234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1978247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978268 */     // GIR_Coverage, 61462,
     /* 1978268 */     GIR_EraseRootFromParent_Done,
     /* 1978269 */   // Label 26485: @1978269
     /* 1978269 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1978355), // Rule ID 61463 //
     /* 1978274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1978285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1978288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1978291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1978294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978320 */     // MIs[0] policy
     /* 1978320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1978333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978354 */     // GIR_Coverage, 61463,
     /* 1978354 */     GIR_EraseRootFromParent_Done,
     /* 1978355 */   // Label 26486: @1978355
     /* 1978355 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1978441), // Rule ID 61466 //
     /* 1978360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1978371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1978374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1978377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1978380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978406 */     // MIs[0] policy
     /* 1978406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1978419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978440 */     // GIR_Coverage, 61466,
     /* 1978440 */     GIR_EraseRootFromParent_Done,
     /* 1978441 */   // Label 26487: @1978441
     /* 1978441 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1978527), // Rule ID 61467 //
     /* 1978446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1978457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1978460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1978463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1978466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978492 */     // MIs[0] policy
     /* 1978492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1978505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978526 */     // GIR_Coverage, 61467,
     /* 1978526 */     GIR_EraseRootFromParent_Done,
     /* 1978527 */   // Label 26488: @1978527
     /* 1978527 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1978613), // Rule ID 61470 //
     /* 1978532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1978543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1978546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1978549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1978552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978578 */     // MIs[0] policy
     /* 1978578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1978591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978612 */     // GIR_Coverage, 61470,
     /* 1978612 */     GIR_EraseRootFromParent_Done,
     /* 1978613 */   // Label 26489: @1978613
     /* 1978613 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1978699), // Rule ID 61471 //
     /* 1978618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1978629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1978632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1978635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1978638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978664 */     // MIs[0] policy
     /* 1978664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1978677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978698 */     // GIR_Coverage, 61471,
     /* 1978698 */     GIR_EraseRootFromParent_Done,
     /* 1978699 */   // Label 26490: @1978699
     /* 1978699 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1978785), // Rule ID 61474 //
     /* 1978704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1978724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978750 */     // MIs[0] policy
     /* 1978750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1978763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978784 */     // GIR_Coverage, 61474,
     /* 1978784 */     GIR_EraseRootFromParent_Done,
     /* 1978785 */   // Label 26491: @1978785
     /* 1978785 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1978871), // Rule ID 61475 //
     /* 1978790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1978810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978836 */     // MIs[0] policy
     /* 1978836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1978849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978870 */     // GIR_Coverage, 61475,
     /* 1978870 */     GIR_EraseRootFromParent_Done,
     /* 1978871 */   // Label 26492: @1978871
     /* 1978871 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1978957), // Rule ID 61478 //
     /* 1978876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1978896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978922 */     // MIs[0] policy
     /* 1978922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1978935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978956 */     // GIR_Coverage, 61478,
     /* 1978956 */     GIR_EraseRootFromParent_Done,
     /* 1978957 */   // Label 26493: @1978957
     /* 1978957 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1979043), // Rule ID 61479 //
     /* 1978962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1978982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979008 */     // MIs[0] policy
     /* 1979008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1979021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979042 */     // GIR_Coverage, 61479,
     /* 1979042 */     GIR_EraseRootFromParent_Done,
     /* 1979043 */   // Label 26494: @1979043
     /* 1979043 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1979129), // Rule ID 61482 //
     /* 1979048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1979059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1979062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1979065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1979068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979094 */     // MIs[0] policy
     /* 1979094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979128 */     // GIR_Coverage, 61482,
     /* 1979128 */     GIR_EraseRootFromParent_Done,
     /* 1979129 */   // Label 26495: @1979129
     /* 1979129 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1979215), // Rule ID 61483 //
     /* 1979134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1979145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1979148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1979151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1979154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979180 */     // MIs[0] policy
     /* 1979180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979214 */     // GIR_Coverage, 61483,
     /* 1979214 */     GIR_EraseRootFromParent_Done,
     /* 1979215 */   // Label 26496: @1979215
     /* 1979215 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1979301), // Rule ID 61486 //
     /* 1979220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1979231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1979234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1979237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1979240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979266 */     // MIs[0] policy
     /* 1979266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979300 */     // GIR_Coverage, 61486,
     /* 1979300 */     GIR_EraseRootFromParent_Done,
     /* 1979301 */   // Label 26497: @1979301
     /* 1979301 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1979387), // Rule ID 61487 //
     /* 1979306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1979317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1979320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1979323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1979326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979352 */     // MIs[0] policy
     /* 1979352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979386 */     // GIR_Coverage, 61487,
     /* 1979386 */     GIR_EraseRootFromParent_Done,
     /* 1979387 */   // Label 26498: @1979387
     /* 1979387 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1979473), // Rule ID 61490 //
     /* 1979392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1979403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1979406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1979409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1979412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979438 */     // MIs[0] policy
     /* 1979438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979472 */     // GIR_Coverage, 61490,
     /* 1979472 */     GIR_EraseRootFromParent_Done,
     /* 1979473 */   // Label 26499: @1979473
     /* 1979473 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1979559), // Rule ID 61491 //
     /* 1979478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1979489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1979492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1979495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1979498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979524 */     // MIs[0] policy
     /* 1979524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979558 */     // GIR_Coverage, 61491,
     /* 1979558 */     GIR_EraseRootFromParent_Done,
     /* 1979559 */   // Label 26500: @1979559
     /* 1979559 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1979645), // Rule ID 61494 //
     /* 1979564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1979584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979610 */     // MIs[0] policy
     /* 1979610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979644 */     // GIR_Coverage, 61494,
     /* 1979644 */     GIR_EraseRootFromParent_Done,
     /* 1979645 */   // Label 26501: @1979645
     /* 1979645 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1979731), // Rule ID 61495 //
     /* 1979650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1979670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979696 */     // MIs[0] policy
     /* 1979696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1979709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979730 */     // GIR_Coverage, 61495,
     /* 1979730 */     GIR_EraseRootFromParent_Done,
     /* 1979731 */   // Label 26502: @1979731
     /* 1979731 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1979817), // Rule ID 61498 //
     /* 1979736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1979756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979782 */     // MIs[0] policy
     /* 1979782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1979795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979816 */     // GIR_Coverage, 61498,
     /* 1979816 */     GIR_EraseRootFromParent_Done,
     /* 1979817 */   // Label 26503: @1979817
     /* 1979817 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1979903), // Rule ID 61499 //
     /* 1979822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1979842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979868 */     // MIs[0] policy
     /* 1979868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1979881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979902 */     // GIR_Coverage, 61499,
     /* 1979902 */     GIR_EraseRootFromParent_Done,
     /* 1979903 */   // Label 26504: @1979903
     /* 1979903 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1979989), // Rule ID 61502 //
     /* 1979908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1979928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979954 */     // MIs[0] policy
     /* 1979954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1979967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979988 */     // GIR_Coverage, 61502,
     /* 1979988 */     GIR_EraseRootFromParent_Done,
     /* 1979989 */   // Label 26505: @1979989
     /* 1979989 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1980075), // Rule ID 61503 //
     /* 1979994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1980005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1980008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1980011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1980014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980040 */     // MIs[0] policy
     /* 1980040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980050 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1980053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980074 */     // GIR_Coverage, 61503,
     /* 1980074 */     GIR_EraseRootFromParent_Done,
     /* 1980075 */   // Label 26506: @1980075
     /* 1980075 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1980161), // Rule ID 61506 //
     /* 1980080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1980091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1980094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1980097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1980100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1980103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980126 */     // MIs[0] policy
     /* 1980126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1980139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980160 */     // GIR_Coverage, 61506,
     /* 1980160 */     GIR_EraseRootFromParent_Done,
     /* 1980161 */   // Label 26507: @1980161
     /* 1980161 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1980247), // Rule ID 61507 //
     /* 1980166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1980177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1980180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1980183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1980186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1980189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980212 */     // MIs[0] policy
     /* 1980212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980222 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1980225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980246 */     // GIR_Coverage, 61507,
     /* 1980246 */     GIR_EraseRootFromParent_Done,
     /* 1980247 */   // Label 26508: @1980247
     /* 1980247 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1980333), // Rule ID 61510 //
     /* 1980252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1980263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1980266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1980269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1980272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980298 */     // MIs[0] policy
     /* 1980298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1980311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980332 */     // GIR_Coverage, 61510,
     /* 1980332 */     GIR_EraseRootFromParent_Done,
     /* 1980333 */   // Label 26509: @1980333
     /* 1980333 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1980419), // Rule ID 61511 //
     /* 1980338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1980349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1980352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1980355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1980358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980384 */     // MIs[0] policy
     /* 1980384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1980397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980418 */     // GIR_Coverage, 61511,
     /* 1980418 */     GIR_EraseRootFromParent_Done,
     /* 1980419 */   // Label 26510: @1980419
     /* 1980419 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1980505), // Rule ID 61514 //
     /* 1980424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1980444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980470 */     // MIs[0] policy
     /* 1980470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1980483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980504 */     // GIR_Coverage, 61514,
     /* 1980504 */     GIR_EraseRootFromParent_Done,
     /* 1980505 */   // Label 26511: @1980505
     /* 1980505 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1980591), // Rule ID 61515 //
     /* 1980510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1980530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980556 */     // MIs[0] policy
     /* 1980556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1980569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980590 */     // GIR_Coverage, 61515,
     /* 1980590 */     GIR_EraseRootFromParent_Done,
     /* 1980591 */   // Label 26512: @1980591
     /* 1980591 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1980677), // Rule ID 61518 //
     /* 1980596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1980616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980642 */     // MIs[0] policy
     /* 1980642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1980655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980676 */     // GIR_Coverage, 61518,
     /* 1980676 */     GIR_EraseRootFromParent_Done,
     /* 1980677 */   // Label 26513: @1980677
     /* 1980677 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1980763), // Rule ID 61519 //
     /* 1980682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1980702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980728 */     // MIs[0] policy
     /* 1980728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1980741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980762 */     // GIR_Coverage, 61519,
     /* 1980762 */     GIR_EraseRootFromParent_Done,
     /* 1980763 */   // Label 26514: @1980763
     /* 1980763 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1980849), // Rule ID 61522 //
     /* 1980768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1980788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980814 */     // MIs[0] policy
     /* 1980814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1980827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980848 */     // GIR_Coverage, 61522,
     /* 1980848 */     GIR_EraseRootFromParent_Done,
     /* 1980849 */   // Label 26515: @1980849
     /* 1980849 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1980935), // Rule ID 61523 //
     /* 1980854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1980874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980900 */     // MIs[0] policy
     /* 1980900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1980913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980934 */     // GIR_Coverage, 61523,
     /* 1980934 */     GIR_EraseRootFromParent_Done,
     /* 1980935 */   // Label 26516: @1980935
     /* 1980935 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1981021), // Rule ID 61526 //
     /* 1980940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1980948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1980960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980986 */     // MIs[0] policy
     /* 1980986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1980999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981020 */     // GIR_Coverage, 61526,
     /* 1981020 */     GIR_EraseRootFromParent_Done,
     /* 1981021 */   // Label 26517: @1981021
     /* 1981021 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1981107), // Rule ID 61527 //
     /* 1981026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1981037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1981040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1981043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1981046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981072 */     // MIs[0] policy
     /* 1981072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1981085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981106 */     // GIR_Coverage, 61527,
     /* 1981106 */     GIR_EraseRootFromParent_Done,
     /* 1981107 */   // Label 26518: @1981107
     /* 1981107 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1981193), // Rule ID 61530 //
     /* 1981112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1981123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1981126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1981129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1981132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981158 */     // MIs[0] policy
     /* 1981158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1981171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981192 */     // GIR_Coverage, 61530,
     /* 1981192 */     GIR_EraseRootFromParent_Done,
     /* 1981193 */   // Label 26519: @1981193
     /* 1981193 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1981279), // Rule ID 61531 //
     /* 1981198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1981209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1981212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1981215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1981218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981244 */     // MIs[0] policy
     /* 1981244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1981257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981278 */     // GIR_Coverage, 61531,
     /* 1981278 */     GIR_EraseRootFromParent_Done,
     /* 1981279 */   // Label 26520: @1981279
     /* 1981279 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1981365), // Rule ID 61534 //
     /* 1981284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1981295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1981298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1981301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1981304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981330 */     // MIs[0] policy
     /* 1981330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1981343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981364 */     // GIR_Coverage, 61534,
     /* 1981364 */     GIR_EraseRootFromParent_Done,
     /* 1981365 */   // Label 26521: @1981365
     /* 1981365 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1981451), // Rule ID 61535 //
     /* 1981370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1981381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1981384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1981387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1981390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981416 */     // MIs[0] policy
     /* 1981416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1981429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981450 */     // GIR_Coverage, 61535,
     /* 1981450 */     GIR_EraseRootFromParent_Done,
     /* 1981451 */   // Label 26522: @1981451
     /* 1981451 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1981537), // Rule ID 61538 //
     /* 1981456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1981476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981502 */     // MIs[0] policy
     /* 1981502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1981515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981536 */     // GIR_Coverage, 61538,
     /* 1981536 */     GIR_EraseRootFromParent_Done,
     /* 1981537 */   // Label 26523: @1981537
     /* 1981537 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1981623), // Rule ID 61539 //
     /* 1981542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1981562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981588 */     // MIs[0] policy
     /* 1981588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1981601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981622 */     // GIR_Coverage, 61539,
     /* 1981622 */     GIR_EraseRootFromParent_Done,
     /* 1981623 */   // Label 26524: @1981623
     /* 1981623 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1981709), // Rule ID 61542 //
     /* 1981628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1981648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981674 */     // MIs[0] policy
     /* 1981674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1981687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981708 */     // GIR_Coverage, 61542,
     /* 1981708 */     GIR_EraseRootFromParent_Done,
     /* 1981709 */   // Label 26525: @1981709
     /* 1981709 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1981795), // Rule ID 61543 //
     /* 1981714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1981734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981760 */     // MIs[0] policy
     /* 1981760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1981773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981794 */     // GIR_Coverage, 61543,
     /* 1981794 */     GIR_EraseRootFromParent_Done,
     /* 1981795 */   // Label 26526: @1981795
     /* 1981795 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1981881), // Rule ID 61546 //
     /* 1981800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981846 */     // MIs[0] policy
     /* 1981846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1981859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981880 */     // GIR_Coverage, 61546,
     /* 1981880 */     GIR_EraseRootFromParent_Done,
     /* 1981881 */   // Label 26527: @1981881
     /* 1981881 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1981967), // Rule ID 61547 //
     /* 1981886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981932 */     // MIs[0] policy
     /* 1981932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1981945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981966 */     // GIR_Coverage, 61547,
     /* 1981966 */     GIR_EraseRootFromParent_Done,
     /* 1981967 */   // Label 26528: @1981967
     /* 1981967 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1982053), // Rule ID 61550 //
     /* 1981972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1981980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982018 */     // MIs[0] policy
     /* 1982018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1982031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982052 */     // GIR_Coverage, 61550,
     /* 1982052 */     GIR_EraseRootFromParent_Done,
     /* 1982053 */   // Label 26529: @1982053
     /* 1982053 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1982139), // Rule ID 61551 //
     /* 1982058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1982069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1982072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1982075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982104 */     // MIs[0] policy
     /* 1982104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982114 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1982117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982138 */     // GIR_Coverage, 61551,
     /* 1982138 */     GIR_EraseRootFromParent_Done,
     /* 1982139 */   // Label 26530: @1982139
     /* 1982139 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1982225), // Rule ID 61554 //
     /* 1982144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1982155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1982158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1982161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982190 */     // MIs[0] policy
     /* 1982190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1982203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982224 */     // GIR_Coverage, 61554,
     /* 1982224 */     GIR_EraseRootFromParent_Done,
     /* 1982225 */   // Label 26531: @1982225
     /* 1982225 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1982311), // Rule ID 61555 //
     /* 1982230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1982241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1982244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1982247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982276 */     // MIs[0] policy
     /* 1982276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1982289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982310 */     // GIR_Coverage, 61555,
     /* 1982310 */     GIR_EraseRootFromParent_Done,
     /* 1982311 */   // Label 26532: @1982311
     /* 1982311 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1982397), // Rule ID 61558 //
     /* 1982316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1982333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982362 */     // MIs[0] policy
     /* 1982362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1982375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982396 */     // GIR_Coverage, 61558,
     /* 1982396 */     GIR_EraseRootFromParent_Done,
     /* 1982397 */   // Label 26533: @1982397
     /* 1982397 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1982483), // Rule ID 61559 //
     /* 1982402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1982419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982448 */     // MIs[0] policy
     /* 1982448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1982461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982482 */     // GIR_Coverage, 61559,
     /* 1982482 */     GIR_EraseRootFromParent_Done,
     /* 1982483 */   // Label 26534: @1982483
     /* 1982483 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1982569), // Rule ID 61562 //
     /* 1982488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982534 */     // MIs[0] policy
     /* 1982534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1982547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982568 */     // GIR_Coverage, 61562,
     /* 1982568 */     GIR_EraseRootFromParent_Done,
     /* 1982569 */   // Label 26535: @1982569
     /* 1982569 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1982655), // Rule ID 61563 //
     /* 1982574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982620 */     // MIs[0] policy
     /* 1982620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1982633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982654 */     // GIR_Coverage, 61563,
     /* 1982654 */     GIR_EraseRootFromParent_Done,
     /* 1982655 */   // Label 26536: @1982655
     /* 1982655 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1982741), // Rule ID 61566 //
     /* 1982660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982706 */     // MIs[0] policy
     /* 1982706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1982719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982740 */     // GIR_Coverage, 61566,
     /* 1982740 */     GIR_EraseRootFromParent_Done,
     /* 1982741 */   // Label 26537: @1982741
     /* 1982741 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1982827), // Rule ID 61567 //
     /* 1982746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982792 */     // MIs[0] policy
     /* 1982792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1982805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982826 */     // GIR_Coverage, 61567,
     /* 1982826 */     GIR_EraseRootFromParent_Done,
     /* 1982827 */   // Label 26538: @1982827
     /* 1982827 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1982913), // Rule ID 61570 //
     /* 1982832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982878 */     // MIs[0] policy
     /* 1982878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1982891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982912 */     // GIR_Coverage, 61570,
     /* 1982912 */     GIR_EraseRootFromParent_Done,
     /* 1982913 */   // Label 26539: @1982913
     /* 1982913 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1982999), // Rule ID 61571 //
     /* 1982918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1982926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982964 */     // MIs[0] policy
     /* 1982964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1982977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982998 */     // GIR_Coverage, 61571,
     /* 1982998 */     GIR_EraseRootFromParent_Done,
     /* 1982999 */   // Label 26540: @1982999
     /* 1982999 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1983085), // Rule ID 61574 //
     /* 1983004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1983015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1983018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1983021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983050 */     // MIs[0] policy
     /* 1983050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1983063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983084 */     // GIR_Coverage, 61574,
     /* 1983084 */     GIR_EraseRootFromParent_Done,
     /* 1983085 */   // Label 26541: @1983085
     /* 1983085 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1983171), // Rule ID 61575 //
     /* 1983090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1983101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1983104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1983107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983136 */     // MIs[0] policy
     /* 1983136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1983149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983170 */     // GIR_Coverage, 61575,
     /* 1983170 */     GIR_EraseRootFromParent_Done,
     /* 1983171 */   // Label 26542: @1983171
     /* 1983171 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1983257), // Rule ID 61578 //
     /* 1983176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1983193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983222 */     // MIs[0] policy
     /* 1983222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1983235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983256 */     // GIR_Coverage, 61578,
     /* 1983256 */     GIR_EraseRootFromParent_Done,
     /* 1983257 */   // Label 26543: @1983257
     /* 1983257 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1983343), // Rule ID 61579 //
     /* 1983262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1983279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983308 */     // MIs[0] policy
     /* 1983308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1983321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983342 */     // GIR_Coverage, 61579,
     /* 1983342 */     GIR_EraseRootFromParent_Done,
     /* 1983343 */   // Label 26544: @1983343
     /* 1983343 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1983429), // Rule ID 61582 //
     /* 1983348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1983359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1983362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983394 */     // MIs[0] policy
     /* 1983394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1983407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983428 */     // GIR_Coverage, 61582,
     /* 1983428 */     GIR_EraseRootFromParent_Done,
     /* 1983429 */   // Label 26545: @1983429
     /* 1983429 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1983515), // Rule ID 61583 //
     /* 1983434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1983445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1983448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983480 */     // MIs[0] policy
     /* 1983480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1983493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983514 */     // GIR_Coverage, 61583,
     /* 1983514 */     GIR_EraseRootFromParent_Done,
     /* 1983515 */   // Label 26546: @1983515
     /* 1983515 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1983601), // Rule ID 61586 //
     /* 1983520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1983531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1983534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983566 */     // MIs[0] policy
     /* 1983566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1983579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983600 */     // GIR_Coverage, 61586,
     /* 1983600 */     GIR_EraseRootFromParent_Done,
     /* 1983601 */   // Label 26547: @1983601
     /* 1983601 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1983687), // Rule ID 61587 //
     /* 1983606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1983617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1983620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983652 */     // MIs[0] policy
     /* 1983652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1983665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983686 */     // GIR_Coverage, 61587,
     /* 1983686 */     GIR_EraseRootFromParent_Done,
     /* 1983687 */   // Label 26548: @1983687
     /* 1983687 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1983773), // Rule ID 61590 //
     /* 1983692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1983703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1983706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983738 */     // MIs[0] policy
     /* 1983738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1983751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983772 */     // GIR_Coverage, 61590,
     /* 1983772 */     GIR_EraseRootFromParent_Done,
     /* 1983773 */   // Label 26549: @1983773
     /* 1983773 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1983859), // Rule ID 61591 //
     /* 1983778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1983789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1983792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983824 */     // MIs[0] policy
     /* 1983824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1983837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983858 */     // GIR_Coverage, 61591,
     /* 1983858 */     GIR_EraseRootFromParent_Done,
     /* 1983859 */   // Label 26550: @1983859
     /* 1983859 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1983945), // Rule ID 61594 //
     /* 1983864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983910 */     // MIs[0] policy
     /* 1983910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1983923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983944 */     // GIR_Coverage, 61594,
     /* 1983944 */     GIR_EraseRootFromParent_Done,
     /* 1983945 */   // Label 26551: @1983945
     /* 1983945 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1984031), // Rule ID 61595 //
     /* 1983950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1983958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983996 */     // MIs[0] policy
     /* 1983996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984006 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1984009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984030 */     // GIR_Coverage, 61595,
     /* 1984030 */     GIR_EraseRootFromParent_Done,
     /* 1984031 */   // Label 26552: @1984031
     /* 1984031 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1984117), // Rule ID 61598 //
     /* 1984036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1984047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1984050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1984053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984082 */     // MIs[0] policy
     /* 1984082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1984095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984116 */     // GIR_Coverage, 61598,
     /* 1984116 */     GIR_EraseRootFromParent_Done,
     /* 1984117 */   // Label 26553: @1984117
     /* 1984117 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1984203), // Rule ID 61599 //
     /* 1984122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1984133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1984136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1984139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984168 */     // MIs[0] policy
     /* 1984168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1984181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984202 */     // GIR_Coverage, 61599,
     /* 1984202 */     GIR_EraseRootFromParent_Done,
     /* 1984203 */   // Label 26554: @1984203
     /* 1984203 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1984289), // Rule ID 61602 //
     /* 1984208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1984219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1984222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1984225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984254 */     // MIs[0] policy
     /* 1984254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1984267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984288 */     // GIR_Coverage, 61602,
     /* 1984288 */     GIR_EraseRootFromParent_Done,
     /* 1984289 */   // Label 26555: @1984289
     /* 1984289 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1984375), // Rule ID 61603 //
     /* 1984294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1984305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1984308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1984311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984340 */     // MIs[0] policy
     /* 1984340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1984353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984374 */     // GIR_Coverage, 61603,
     /* 1984374 */     GIR_EraseRootFromParent_Done,
     /* 1984375 */   // Label 26556: @1984375
     /* 1984375 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1984461), // Rule ID 61606 //
     /* 1984380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1984391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1984394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1984397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984426 */     // MIs[0] policy
     /* 1984426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1984439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984460 */     // GIR_Coverage, 61606,
     /* 1984460 */     GIR_EraseRootFromParent_Done,
     /* 1984461 */   // Label 26557: @1984461
     /* 1984461 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1984547), // Rule ID 61607 //
     /* 1984466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1984477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1984480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1984483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984512 */     // MIs[0] policy
     /* 1984512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1984525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984546 */     // GIR_Coverage, 61607,
     /* 1984546 */     GIR_EraseRootFromParent_Done,
     /* 1984547 */   // Label 26558: @1984547
     /* 1984547 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1984633), // Rule ID 61610 //
     /* 1984552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1984569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984598 */     // MIs[0] policy
     /* 1984598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1984611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984632 */     // GIR_Coverage, 61610,
     /* 1984632 */     GIR_EraseRootFromParent_Done,
     /* 1984633 */   // Label 26559: @1984633
     /* 1984633 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1984719), // Rule ID 61611 //
     /* 1984638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1984655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984684 */     // MIs[0] policy
     /* 1984684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1984697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984718 */     // GIR_Coverage, 61611,
     /* 1984718 */     GIR_EraseRootFromParent_Done,
     /* 1984719 */   // Label 26560: @1984719
     /* 1984719 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1984805), // Rule ID 61614 //
     /* 1984724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984770 */     // MIs[0] policy
     /* 1984770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1984783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984804 */     // GIR_Coverage, 61614,
     /* 1984804 */     GIR_EraseRootFromParent_Done,
     /* 1984805 */   // Label 26561: @1984805
     /* 1984805 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1984891), // Rule ID 61615 //
     /* 1984810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984856 */     // MIs[0] policy
     /* 1984856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1984869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984890 */     // GIR_Coverage, 61615,
     /* 1984890 */     GIR_EraseRootFromParent_Done,
     /* 1984891 */   // Label 26562: @1984891
     /* 1984891 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1984977), // Rule ID 61618 //
     /* 1984896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984942 */     // MIs[0] policy
     /* 1984942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1984955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984976 */     // GIR_Coverage, 61618,
     /* 1984976 */     GIR_EraseRootFromParent_Done,
     /* 1984977 */   // Label 26563: @1984977
     /* 1984977 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1985063), // Rule ID 61619 //
     /* 1984982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985028 */     // MIs[0] policy
     /* 1985028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1985041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985062 */     // GIR_Coverage, 61619,
     /* 1985062 */     GIR_EraseRootFromParent_Done,
     /* 1985063 */   // Label 26564: @1985063
     /* 1985063 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1985149), // Rule ID 61622 //
     /* 1985068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1985079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1985082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1985085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985114 */     // MIs[0] policy
     /* 1985114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1985127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985148 */     // GIR_Coverage, 61622,
     /* 1985148 */     GIR_EraseRootFromParent_Done,
     /* 1985149 */   // Label 26565: @1985149
     /* 1985149 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1985235), // Rule ID 61623 //
     /* 1985154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1985165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1985168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1985171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985200 */     // MIs[0] policy
     /* 1985200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1985213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985234 */     // GIR_Coverage, 61623,
     /* 1985234 */     GIR_EraseRootFromParent_Done,
     /* 1985235 */   // Label 26566: @1985235
     /* 1985235 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1985321), // Rule ID 61626 //
     /* 1985240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1985251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1985254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1985257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985286 */     // MIs[0] policy
     /* 1985286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1985299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985320 */     // GIR_Coverage, 61626,
     /* 1985320 */     GIR_EraseRootFromParent_Done,
     /* 1985321 */   // Label 26567: @1985321
     /* 1985321 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1985407), // Rule ID 61627 //
     /* 1985326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1985337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1985340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1985343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985372 */     // MIs[0] policy
     /* 1985372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1985385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985406 */     // GIR_Coverage, 61627,
     /* 1985406 */     GIR_EraseRootFromParent_Done,
     /* 1985407 */   // Label 26568: @1985407
     /* 1985407 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1985493), // Rule ID 61630 //
     /* 1985412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1985423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1985426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1985429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985458 */     // MIs[0] policy
     /* 1985458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1985471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985492 */     // GIR_Coverage, 61630,
     /* 1985492 */     GIR_EraseRootFromParent_Done,
     /* 1985493 */   // Label 26569: @1985493
     /* 1985493 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1985579), // Rule ID 61631 //
     /* 1985498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1985509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1985512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1985515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985544 */     // MIs[0] policy
     /* 1985544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1985557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985578 */     // GIR_Coverage, 61631,
     /* 1985578 */     GIR_EraseRootFromParent_Done,
     /* 1985579 */   // Label 26570: @1985579
     /* 1985579 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1985665), // Rule ID 61718 //
     /* 1985584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1985595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1985598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1985601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1985604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985630 */     // MIs[0] policy
     /* 1985630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985640 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1985643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985664 */     // GIR_Coverage, 61718,
     /* 1985664 */     GIR_EraseRootFromParent_Done,
     /* 1985665 */   // Label 26571: @1985665
     /* 1985665 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1985751), // Rule ID 61719 //
     /* 1985670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1985681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1985684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1985687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1985690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985716 */     // MIs[0] policy
     /* 1985716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1985729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985750 */     // GIR_Coverage, 61719,
     /* 1985750 */     GIR_EraseRootFromParent_Done,
     /* 1985751 */   // Label 26572: @1985751
     /* 1985751 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1985837), // Rule ID 61722 //
     /* 1985756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1985776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985802 */     // MIs[0] policy
     /* 1985802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1985815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985836 */     // GIR_Coverage, 61722,
     /* 1985836 */     GIR_EraseRootFromParent_Done,
     /* 1985837 */   // Label 26573: @1985837
     /* 1985837 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1985923), // Rule ID 61723 //
     /* 1985842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1985862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985888 */     // MIs[0] policy
     /* 1985888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1985901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985922 */     // GIR_Coverage, 61723,
     /* 1985922 */     GIR_EraseRootFromParent_Done,
     /* 1985923 */   // Label 26574: @1985923
     /* 1985923 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1986009), // Rule ID 61726 //
     /* 1985928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1985948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985974 */     // MIs[0] policy
     /* 1985974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985984 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1985987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986008 */     // GIR_Coverage, 61726,
     /* 1986008 */     GIR_EraseRootFromParent_Done,
     /* 1986009 */   // Label 26575: @1986009
     /* 1986009 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1986095), // Rule ID 61727 //
     /* 1986014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1986025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1986028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1986031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1986034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986060 */     // MIs[0] policy
     /* 1986060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986070 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1986073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986094 */     // GIR_Coverage, 61727,
     /* 1986094 */     GIR_EraseRootFromParent_Done,
     /* 1986095 */   // Label 26576: @1986095
     /* 1986095 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1986181), // Rule ID 61730 //
     /* 1986100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1986111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1986114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1986117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1986120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986146 */     // MIs[0] policy
     /* 1986146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986156 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1986159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986180 */     // GIR_Coverage, 61730,
     /* 1986180 */     GIR_EraseRootFromParent_Done,
     /* 1986181 */   // Label 26577: @1986181
     /* 1986181 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1986267), // Rule ID 61731 //
     /* 1986186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1986197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1986200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1986203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1986206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986232 */     // MIs[0] policy
     /* 1986232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1986245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986266 */     // GIR_Coverage, 61731,
     /* 1986266 */     GIR_EraseRootFromParent_Done,
     /* 1986267 */   // Label 26578: @1986267
     /* 1986267 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1986353), // Rule ID 61734 //
     /* 1986272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1986283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1986286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1986289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1986292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986318 */     // MIs[0] policy
     /* 1986318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1986331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986352 */     // GIR_Coverage, 61734,
     /* 1986352 */     GIR_EraseRootFromParent_Done,
     /* 1986353 */   // Label 26579: @1986353
     /* 1986353 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1986439), // Rule ID 61735 //
     /* 1986358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1986369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1986372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1986375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1986378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986404 */     // MIs[0] policy
     /* 1986404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1986417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986438 */     // GIR_Coverage, 61735,
     /* 1986438 */     GIR_EraseRootFromParent_Done,
     /* 1986439 */   // Label 26580: @1986439
     /* 1986439 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1986525), // Rule ID 61738 //
     /* 1986444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1986461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1986464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986490 */     // MIs[0] policy
     /* 1986490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986500 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1986503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986524 */     // GIR_Coverage, 61738,
     /* 1986524 */     GIR_EraseRootFromParent_Done,
     /* 1986525 */   // Label 26581: @1986525
     /* 1986525 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1986611), // Rule ID 61739 //
     /* 1986530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1986547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1986550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986576 */     // MIs[0] policy
     /* 1986576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1986589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986610 */     // GIR_Coverage, 61739,
     /* 1986610 */     GIR_EraseRootFromParent_Done,
     /* 1986611 */   // Label 26582: @1986611
     /* 1986611 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1986697), // Rule ID 61742 //
     /* 1986616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1986627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1986630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1986636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986662 */     // MIs[0] policy
     /* 1986662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1986675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986696 */     // GIR_Coverage, 61742,
     /* 1986696 */     GIR_EraseRootFromParent_Done,
     /* 1986697 */   // Label 26583: @1986697
     /* 1986697 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1986783), // Rule ID 61743 //
     /* 1986702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1986713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1986716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1986722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986748 */     // MIs[0] policy
     /* 1986748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1986761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986782 */     // GIR_Coverage, 61743,
     /* 1986782 */     GIR_EraseRootFromParent_Done,
     /* 1986783 */   // Label 26584: @1986783
     /* 1986783 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1986869), // Rule ID 61746 //
     /* 1986788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1986808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986834 */     // MIs[0] policy
     /* 1986834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1986847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986868 */     // GIR_Coverage, 61746,
     /* 1986868 */     GIR_EraseRootFromParent_Done,
     /* 1986869 */   // Label 26585: @1986869
     /* 1986869 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1986955), // Rule ID 61747 //
     /* 1986874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1986894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986920 */     // MIs[0] policy
     /* 1986920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1986933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986954 */     // GIR_Coverage, 61747,
     /* 1986954 */     GIR_EraseRootFromParent_Done,
     /* 1986955 */   // Label 26586: @1986955
     /* 1986955 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1987041), // Rule ID 61750 //
     /* 1986960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1986980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987006 */     // MIs[0] policy
     /* 1987006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1987019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987040 */     // GIR_Coverage, 61750,
     /* 1987040 */     GIR_EraseRootFromParent_Done,
     /* 1987041 */   // Label 26587: @1987041
     /* 1987041 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1987127), // Rule ID 61751 //
     /* 1987046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1987057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1987060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1987063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1987066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987092 */     // MIs[0] policy
     /* 1987092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1987105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987126 */     // GIR_Coverage, 61751,
     /* 1987126 */     GIR_EraseRootFromParent_Done,
     /* 1987127 */   // Label 26588: @1987127
     /* 1987127 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1987213), // Rule ID 61754 //
     /* 1987132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1987143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1987146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1987149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1987152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987178 */     // MIs[0] policy
     /* 1987178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1987191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987212 */     // GIR_Coverage, 61754,
     /* 1987212 */     GIR_EraseRootFromParent_Done,
     /* 1987213 */   // Label 26589: @1987213
     /* 1987213 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1987299), // Rule ID 61755 //
     /* 1987218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1987229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1987232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1987235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1987238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987264 */     // MIs[0] policy
     /* 1987264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1987277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987298 */     // GIR_Coverage, 61755,
     /* 1987298 */     GIR_EraseRootFromParent_Done,
     /* 1987299 */   // Label 26590: @1987299
     /* 1987299 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1987385), // Rule ID 61758 //
     /* 1987304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1987315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1987318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1987321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987350 */     // MIs[0] policy
     /* 1987350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987360 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1987363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987384 */     // GIR_Coverage, 61758,
     /* 1987384 */     GIR_EraseRootFromParent_Done,
     /* 1987385 */   // Label 26591: @1987385
     /* 1987385 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1987471), // Rule ID 61759 //
     /* 1987390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1987401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1987404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1987407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987436 */     // MIs[0] policy
     /* 1987436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987446 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1987449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987470 */     // GIR_Coverage, 61759,
     /* 1987470 */     GIR_EraseRootFromParent_Done,
     /* 1987471 */   // Label 26592: @1987471
     /* 1987471 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1987557), // Rule ID 61762 //
     /* 1987476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987522 */     // MIs[0] policy
     /* 1987522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1987535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987556 */     // GIR_Coverage, 61762,
     /* 1987556 */     GIR_EraseRootFromParent_Done,
     /* 1987557 */   // Label 26593: @1987557
     /* 1987557 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1987643), // Rule ID 61763 //
     /* 1987562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987608 */     // MIs[0] policy
     /* 1987608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987618 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1987621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987642 */     // GIR_Coverage, 61763,
     /* 1987642 */     GIR_EraseRootFromParent_Done,
     /* 1987643 */   // Label 26594: @1987643
     /* 1987643 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1987729), // Rule ID 61766 //
     /* 1987648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1987659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1987662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1987665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1987668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987694 */     // MIs[0] policy
     /* 1987694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1987707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987728 */     // GIR_Coverage, 61766,
     /* 1987728 */     GIR_EraseRootFromParent_Done,
     /* 1987729 */   // Label 26595: @1987729
     /* 1987729 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1987815), // Rule ID 61767 //
     /* 1987734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1987745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1987748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1987751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1987754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987780 */     // MIs[0] policy
     /* 1987780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1987793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987814 */     // GIR_Coverage, 61767,
     /* 1987814 */     GIR_EraseRootFromParent_Done,
     /* 1987815 */   // Label 26596: @1987815
     /* 1987815 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1987901), // Rule ID 61770 //
     /* 1987820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1987840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987866 */     // MIs[0] policy
     /* 1987866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1987879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987900 */     // GIR_Coverage, 61770,
     /* 1987900 */     GIR_EraseRootFromParent_Done,
     /* 1987901 */   // Label 26597: @1987901
     /* 1987901 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1987987), // Rule ID 61771 //
     /* 1987906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1987926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987952 */     // MIs[0] policy
     /* 1987952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1987965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987986 */     // GIR_Coverage, 61771,
     /* 1987986 */     GIR_EraseRootFromParent_Done,
     /* 1987987 */   // Label 26598: @1987987
     /* 1987987 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1988073), // Rule ID 61774 //
     /* 1987992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1988003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1988006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1988009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1988012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988038 */     // MIs[0] policy
     /* 1988038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1988051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988072 */     // GIR_Coverage, 61774,
     /* 1988072 */     GIR_EraseRootFromParent_Done,
     /* 1988073 */   // Label 26599: @1988073
     /* 1988073 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1988159), // Rule ID 61775 //
     /* 1988078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1988089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1988092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1988095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1988098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988124 */     // MIs[0] policy
     /* 1988124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1988137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988158 */     // GIR_Coverage, 61775,
     /* 1988158 */     GIR_EraseRootFromParent_Done,
     /* 1988159 */   // Label 26600: @1988159
     /* 1988159 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1988245), // Rule ID 61778 //
     /* 1988164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1988175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1988178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1988181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1988184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988210 */     // MIs[0] policy
     /* 1988210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1988223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988244 */     // GIR_Coverage, 61778,
     /* 1988244 */     GIR_EraseRootFromParent_Done,
     /* 1988245 */   // Label 26601: @1988245
     /* 1988245 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1988331), // Rule ID 61779 //
     /* 1988250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1988261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1988264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1988267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1988270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988296 */     // MIs[0] policy
     /* 1988296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1988309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988330 */     // GIR_Coverage, 61779,
     /* 1988330 */     GIR_EraseRootFromParent_Done,
     /* 1988331 */   // Label 26602: @1988331
     /* 1988331 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1988417), // Rule ID 61782 //
     /* 1988336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1988353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1988356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988382 */     // MIs[0] policy
     /* 1988382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1988395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988416 */     // GIR_Coverage, 61782,
     /* 1988416 */     GIR_EraseRootFromParent_Done,
     /* 1988417 */   // Label 26603: @1988417
     /* 1988417 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1988503), // Rule ID 61783 //
     /* 1988422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1988439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1988442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988468 */     // MIs[0] policy
     /* 1988468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1988481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988502 */     // GIR_Coverage, 61783,
     /* 1988502 */     GIR_EraseRootFromParent_Done,
     /* 1988503 */   // Label 26604: @1988503
     /* 1988503 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1988589), // Rule ID 61786 //
     /* 1988508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1988528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988554 */     // MIs[0] policy
     /* 1988554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1988567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988588 */     // GIR_Coverage, 61786,
     /* 1988588 */     GIR_EraseRootFromParent_Done,
     /* 1988589 */   // Label 26605: @1988589
     /* 1988589 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1988675), // Rule ID 61787 //
     /* 1988594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1988614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988640 */     // MIs[0] policy
     /* 1988640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1988653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988674 */     // GIR_Coverage, 61787,
     /* 1988674 */     GIR_EraseRootFromParent_Done,
     /* 1988675 */   // Label 26606: @1988675
     /* 1988675 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1988761), // Rule ID 61790 //
     /* 1988680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1988700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988726 */     // MIs[0] policy
     /* 1988726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1988739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988760 */     // GIR_Coverage, 61790,
     /* 1988760 */     GIR_EraseRootFromParent_Done,
     /* 1988761 */   // Label 26607: @1988761
     /* 1988761 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1988847), // Rule ID 61791 //
     /* 1988766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1988786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988812 */     // MIs[0] policy
     /* 1988812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1988825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988846 */     // GIR_Coverage, 61791,
     /* 1988846 */     GIR_EraseRootFromParent_Done,
     /* 1988847 */   // Label 26608: @1988847
     /* 1988847 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1988933), // Rule ID 61794 //
     /* 1988852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1988872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988898 */     // MIs[0] policy
     /* 1988898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1988911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988932 */     // GIR_Coverage, 61794,
     /* 1988932 */     GIR_EraseRootFromParent_Done,
     /* 1988933 */   // Label 26609: @1988933
     /* 1988933 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1989019), // Rule ID 61795 //
     /* 1988938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1988946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1988958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988984 */     // MIs[0] policy
     /* 1988984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1988997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989018 */     // GIR_Coverage, 61795,
     /* 1989018 */     GIR_EraseRootFromParent_Done,
     /* 1989019 */   // Label 26610: @1989019
     /* 1989019 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1989105), // Rule ID 61798 //
     /* 1989024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1989035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1989038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1989041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1989044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989070 */     // MIs[0] policy
     /* 1989070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1989083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989104 */     // GIR_Coverage, 61798,
     /* 1989104 */     GIR_EraseRootFromParent_Done,
     /* 1989105 */   // Label 26611: @1989105
     /* 1989105 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1989191), // Rule ID 61799 //
     /* 1989110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1989121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1989124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1989127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1989130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989156 */     // MIs[0] policy
     /* 1989156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1989169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989190 */     // GIR_Coverage, 61799,
     /* 1989190 */     GIR_EraseRootFromParent_Done,
     /* 1989191 */   // Label 26612: @1989191
     /* 1989191 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1989277), // Rule ID 61802 //
     /* 1989196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1989207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1989210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1989213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1989216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989242 */     // MIs[0] policy
     /* 1989242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1989255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989276 */     // GIR_Coverage, 61802,
     /* 1989276 */     GIR_EraseRootFromParent_Done,
     /* 1989277 */   // Label 26613: @1989277
     /* 1989277 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1989363), // Rule ID 61803 //
     /* 1989282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1989293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1989296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1989299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1989302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989328 */     // MIs[0] policy
     /* 1989328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1989341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989362 */     // GIR_Coverage, 61803,
     /* 1989362 */     GIR_EraseRootFromParent_Done,
     /* 1989363 */   // Label 26614: @1989363
     /* 1989363 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1989449), // Rule ID 61806 //
     /* 1989368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1989379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1989382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1989385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989414 */     // MIs[0] policy
     /* 1989414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1989427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989448 */     // GIR_Coverage, 61806,
     /* 1989448 */     GIR_EraseRootFromParent_Done,
     /* 1989449 */   // Label 26615: @1989449
     /* 1989449 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1989535), // Rule ID 61807 //
     /* 1989454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1989465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1989468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1989471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989500 */     // MIs[0] policy
     /* 1989500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989510 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1989513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989534 */     // GIR_Coverage, 61807,
     /* 1989534 */     GIR_EraseRootFromParent_Done,
     /* 1989535 */   // Label 26616: @1989535
     /* 1989535 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1989621), // Rule ID 61810 //
     /* 1989540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1989551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1989554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1989557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989586 */     // MIs[0] policy
     /* 1989586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989596 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1989599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989620 */     // GIR_Coverage, 61810,
     /* 1989620 */     GIR_EraseRootFromParent_Done,
     /* 1989621 */   // Label 26617: @1989621
     /* 1989621 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1989707), // Rule ID 61811 //
     /* 1989626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1989637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1989640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1989643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989672 */     // MIs[0] policy
     /* 1989672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1989685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989706 */     // GIR_Coverage, 61811,
     /* 1989706 */     GIR_EraseRootFromParent_Done,
     /* 1989707 */   // Label 26618: @1989707
     /* 1989707 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1989793), // Rule ID 61814 //
     /* 1989712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1989723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1989726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989758 */     // MIs[0] policy
     /* 1989758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989768 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1989771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989792 */     // GIR_Coverage, 61814,
     /* 1989792 */     GIR_EraseRootFromParent_Done,
     /* 1989793 */   // Label 26619: @1989793
     /* 1989793 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1989879), // Rule ID 61815 //
     /* 1989798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1989809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1989812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989844 */     // MIs[0] policy
     /* 1989844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989854 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1989857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989878 */     // GIR_Coverage, 61815,
     /* 1989878 */     GIR_EraseRootFromParent_Done,
     /* 1989879 */   // Label 26620: @1989879
     /* 1989879 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1989965), // Rule ID 61818 //
     /* 1989884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1989895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1989898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1989901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989930 */     // MIs[0] policy
     /* 1989930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989940 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1989943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989964 */     // GIR_Coverage, 61818,
     /* 1989964 */     GIR_EraseRootFromParent_Done,
     /* 1989965 */   // Label 26621: @1989965
     /* 1989965 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1990051), // Rule ID 61819 //
     /* 1989970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1989978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1989981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1989984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1989987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990016 */     // MIs[0] policy
     /* 1990016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1990029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990050 */     // GIR_Coverage, 61819,
     /* 1990050 */     GIR_EraseRootFromParent_Done,
     /* 1990051 */   // Label 26622: @1990051
     /* 1990051 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1990137), // Rule ID 61822 //
     /* 1990056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1990067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1990070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1990073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990102 */     // MIs[0] policy
     /* 1990102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1990115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990136 */     // GIR_Coverage, 61822,
     /* 1990136 */     GIR_EraseRootFromParent_Done,
     /* 1990137 */   // Label 26623: @1990137
     /* 1990137 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1990223), // Rule ID 61823 //
     /* 1990142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1990153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1990156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1990159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990188 */     // MIs[0] policy
     /* 1990188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990198 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1990201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990222 */     // GIR_Coverage, 61823,
     /* 1990222 */     GIR_EraseRootFromParent_Done,
     /* 1990223 */   // Label 26624: @1990223
     /* 1990223 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1990309), // Rule ID 61826 //
     /* 1990228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1990245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990274 */     // MIs[0] policy
     /* 1990274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1990287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990308 */     // GIR_Coverage, 61826,
     /* 1990308 */     GIR_EraseRootFromParent_Done,
     /* 1990309 */   // Label 26625: @1990309
     /* 1990309 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1990395), // Rule ID 61827 //
     /* 1990314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1990331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990360 */     // MIs[0] policy
     /* 1990360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1990373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990394 */     // GIR_Coverage, 61827,
     /* 1990394 */     GIR_EraseRootFromParent_Done,
     /* 1990395 */   // Label 26626: @1990395
     /* 1990395 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1990481), // Rule ID 61830 //
     /* 1990400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1990411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1990414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990446 */     // MIs[0] policy
     /* 1990446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1990459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990480 */     // GIR_Coverage, 61830,
     /* 1990480 */     GIR_EraseRootFromParent_Done,
     /* 1990481 */   // Label 26627: @1990481
     /* 1990481 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1990567), // Rule ID 61831 //
     /* 1990486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1990497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1990500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990532 */     // MIs[0] policy
     /* 1990532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1990545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990566 */     // GIR_Coverage, 61831,
     /* 1990566 */     GIR_EraseRootFromParent_Done,
     /* 1990567 */   // Label 26628: @1990567
     /* 1990567 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1990653), // Rule ID 61834 //
     /* 1990572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1990583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1990586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1990589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990618 */     // MIs[0] policy
     /* 1990618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1990631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990652 */     // GIR_Coverage, 61834,
     /* 1990652 */     GIR_EraseRootFromParent_Done,
     /* 1990653 */   // Label 26629: @1990653
     /* 1990653 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1990739), // Rule ID 61835 //
     /* 1990658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1990669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1990672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1990675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990704 */     // MIs[0] policy
     /* 1990704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1990717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990738 */     // GIR_Coverage, 61835,
     /* 1990738 */     GIR_EraseRootFromParent_Done,
     /* 1990739 */   // Label 26630: @1990739
     /* 1990739 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1990825), // Rule ID 61838 //
     /* 1990744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1990761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990790 */     // MIs[0] policy
     /* 1990790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1990803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990824 */     // GIR_Coverage, 61838,
     /* 1990824 */     GIR_EraseRootFromParent_Done,
     /* 1990825 */   // Label 26631: @1990825
     /* 1990825 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1990911), // Rule ID 61839 //
     /* 1990830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1990847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990876 */     // MIs[0] policy
     /* 1990876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1990889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990910 */     // GIR_Coverage, 61839,
     /* 1990910 */     GIR_EraseRootFromParent_Done,
     /* 1990911 */   // Label 26632: @1990911
     /* 1990911 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1990997), // Rule ID 61842 //
     /* 1990916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1990924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1990927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1990930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1990933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990962 */     // MIs[0] policy
     /* 1990962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1990975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990996 */     // GIR_Coverage, 61842,
     /* 1990996 */     GIR_EraseRootFromParent_Done,
     /* 1990997 */   // Label 26633: @1990997
     /* 1990997 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1991083), // Rule ID 61843 //
     /* 1991002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1991013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1991016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1991019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991048 */     // MIs[0] policy
     /* 1991048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1991061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991082 */     // GIR_Coverage, 61843,
     /* 1991082 */     GIR_EraseRootFromParent_Done,
     /* 1991083 */   // Label 26634: @1991083
     /* 1991083 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1991169), // Rule ID 61846 //
     /* 1991088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1991099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1991102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991134 */     // MIs[0] policy
     /* 1991134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1991147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991168 */     // GIR_Coverage, 61846,
     /* 1991168 */     GIR_EraseRootFromParent_Done,
     /* 1991169 */   // Label 26635: @1991169
     /* 1991169 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1991255), // Rule ID 61847 //
     /* 1991174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1991185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1991188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991220 */     // MIs[0] policy
     /* 1991220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1991233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991254 */     // GIR_Coverage, 61847,
     /* 1991254 */     GIR_EraseRootFromParent_Done,
     /* 1991255 */   // Label 26636: @1991255
     /* 1991255 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1991341), // Rule ID 61850 //
     /* 1991260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1991271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1991274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991306 */     // MIs[0] policy
     /* 1991306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991316 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1991319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991340 */     // GIR_Coverage, 61850,
     /* 1991340 */     GIR_EraseRootFromParent_Done,
     /* 1991341 */   // Label 26637: @1991341
     /* 1991341 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1991427), // Rule ID 61851 //
     /* 1991346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1991357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1991360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991392 */     // MIs[0] policy
     /* 1991392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1991405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991426 */     // GIR_Coverage, 61851,
     /* 1991426 */     GIR_EraseRootFromParent_Done,
     /* 1991427 */   // Label 26638: @1991427
     /* 1991427 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1991513), // Rule ID 61854 //
     /* 1991432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1991443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1991446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991478 */     // MIs[0] policy
     /* 1991478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991488 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1991491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991512 */     // GIR_Coverage, 61854,
     /* 1991512 */     GIR_EraseRootFromParent_Done,
     /* 1991513 */   // Label 26639: @1991513
     /* 1991513 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1991599), // Rule ID 61855 //
     /* 1991518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1991529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1991532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991564 */     // MIs[0] policy
     /* 1991564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991574 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1991577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1991595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991598 */     // GIR_Coverage, 61855,
     /* 1991598 */     GIR_EraseRootFromParent_Done,
     /* 1991599 */   // Label 26640: @1991599
     /* 1991599 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1991685), // Rule ID 61858 //
     /* 1991604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1991615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1991618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1991621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991650 */     // MIs[0] policy
     /* 1991650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1991663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991684 */     // GIR_Coverage, 61858,
     /* 1991684 */     GIR_EraseRootFromParent_Done,
     /* 1991685 */   // Label 26641: @1991685
     /* 1991685 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1991771), // Rule ID 61859 //
     /* 1991690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1991701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1991704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1991707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991736 */     // MIs[0] policy
     /* 1991736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1991749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991770 */     // GIR_Coverage, 61859,
     /* 1991770 */     GIR_EraseRootFromParent_Done,
     /* 1991771 */   // Label 26642: @1991771
     /* 1991771 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1991857), // Rule ID 61862 //
     /* 1991776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1991787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1991790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1991793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991822 */     // MIs[0] policy
     /* 1991822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1991835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991856 */     // GIR_Coverage, 61862,
     /* 1991856 */     GIR_EraseRootFromParent_Done,
     /* 1991857 */   // Label 26643: @1991857
     /* 1991857 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1991943), // Rule ID 61863 //
     /* 1991862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1991873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1991876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1991879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991908 */     // MIs[0] policy
     /* 1991908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1991921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991942 */     // GIR_Coverage, 61863,
     /* 1991942 */     GIR_EraseRootFromParent_Done,
     /* 1991943 */   // Label 26644: @1991943
     /* 1991943 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1992029), // Rule ID 61866 //
     /* 1991948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1991956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1991959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1991962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1991965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991994 */     // MIs[0] policy
     /* 1991994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992004 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1992007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992028 */     // GIR_Coverage, 61866,
     /* 1992028 */     GIR_EraseRootFromParent_Done,
     /* 1992029 */   // Label 26645: @1992029
     /* 1992029 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1992115), // Rule ID 61867 //
     /* 1992034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1992045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1992048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1992051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992080 */     // MIs[0] policy
     /* 1992080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1992093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992114 */     // GIR_Coverage, 61867,
     /* 1992114 */     GIR_EraseRootFromParent_Done,
     /* 1992115 */   // Label 26646: @1992115
     /* 1992115 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1992201), // Rule ID 61870 //
     /* 1992120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1992137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992166 */     // MIs[0] policy
     /* 1992166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1992179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992200 */     // GIR_Coverage, 61870,
     /* 1992200 */     GIR_EraseRootFromParent_Done,
     /* 1992201 */   // Label 26647: @1992201
     /* 1992201 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1992287), // Rule ID 61871 //
     /* 1992206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1992223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992252 */     // MIs[0] policy
     /* 1992252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1992265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992286 */     // GIR_Coverage, 61871,
     /* 1992286 */     GIR_EraseRootFromParent_Done,
     /* 1992287 */   // Label 26648: @1992287
     /* 1992287 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1992373), // Rule ID 61874 //
     /* 1992292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1992309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992338 */     // MIs[0] policy
     /* 1992338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1992351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992372 */     // GIR_Coverage, 61874,
     /* 1992372 */     GIR_EraseRootFromParent_Done,
     /* 1992373 */   // Label 26649: @1992373
     /* 1992373 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1992459), // Rule ID 61875 //
     /* 1992378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1992395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992424 */     // MIs[0] policy
     /* 1992424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1992437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992458 */     // GIR_Coverage, 61875,
     /* 1992458 */     GIR_EraseRootFromParent_Done,
     /* 1992459 */   // Label 26650: @1992459
     /* 1992459 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1992545), // Rule ID 61878 //
     /* 1992464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1992481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992510 */     // MIs[0] policy
     /* 1992510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1992523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992544 */     // GIR_Coverage, 61878,
     /* 1992544 */     GIR_EraseRootFromParent_Done,
     /* 1992545 */   // Label 26651: @1992545
     /* 1992545 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1992631), // Rule ID 61879 //
     /* 1992550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1992567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992596 */     // MIs[0] policy
     /* 1992596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1992609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992630 */     // GIR_Coverage, 61879,
     /* 1992630 */     GIR_EraseRootFromParent_Done,
     /* 1992631 */   // Label 26652: @1992631
     /* 1992631 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1992717), // Rule ID 61882 //
     /* 1992636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1992647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1992650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1992653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992682 */     // MIs[0] policy
     /* 1992682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992692 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1992695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992716 */     // GIR_Coverage, 61882,
     /* 1992716 */     GIR_EraseRootFromParent_Done,
     /* 1992717 */   // Label 26653: @1992717
     /* 1992717 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1992803), // Rule ID 61883 //
     /* 1992722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1992733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1992736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1992739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992768 */     // MIs[0] policy
     /* 1992768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1992781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992802 */     // GIR_Coverage, 61883,
     /* 1992802 */     GIR_EraseRootFromParent_Done,
     /* 1992803 */   // Label 26654: @1992803
     /* 1992803 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1992889), // Rule ID 61886 //
     /* 1992808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1992819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1992822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1992825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992854 */     // MIs[0] policy
     /* 1992854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1992867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992888 */     // GIR_Coverage, 61886,
     /* 1992888 */     GIR_EraseRootFromParent_Done,
     /* 1992889 */   // Label 26655: @1992889
     /* 1992889 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1992975), // Rule ID 61887 //
     /* 1992894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1992905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1992908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1992911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992940 */     // MIs[0] policy
     /* 1992940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1992953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992974 */     // GIR_Coverage, 61887,
     /* 1992974 */     GIR_EraseRootFromParent_Done,
     /* 1992975 */   // Label 26656: @1992975
     /* 1992975 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1993061), // Rule ID 61890 //
     /* 1992980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1992991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1992994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1992997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993026 */     // MIs[0] policy
     /* 1993026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1993039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993060 */     // GIR_Coverage, 61890,
     /* 1993060 */     GIR_EraseRootFromParent_Done,
     /* 1993061 */   // Label 26657: @1993061
     /* 1993061 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1993147), // Rule ID 61891 //
     /* 1993066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1993077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1993080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1993083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993112 */     // MIs[0] policy
     /* 1993112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1993125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993146 */     // GIR_Coverage, 61891,
     /* 1993146 */     GIR_EraseRootFromParent_Done,
     /* 1993147 */   // Label 26658: @1993147
     /* 1993147 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1993233), // Rule ID 62594 //
     /* 1993152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1993169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993198 */     // MIs[0] policy
     /* 1993198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1993211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993232 */     // GIR_Coverage, 62594,
     /* 1993232 */     GIR_EraseRootFromParent_Done,
     /* 1993233 */   // Label 26659: @1993233
     /* 1993233 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1993319), // Rule ID 62595 //
     /* 1993238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1993255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1993258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993284 */     // MIs[0] policy
     /* 1993284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1993297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993318 */     // GIR_Coverage, 62595,
     /* 1993318 */     GIR_EraseRootFromParent_Done,
     /* 1993319 */   // Label 26660: @1993319
     /* 1993319 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1993405), // Rule ID 62598 //
     /* 1993324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1993341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993370 */     // MIs[0] policy
     /* 1993370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1993383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993404 */     // GIR_Coverage, 62598,
     /* 1993404 */     GIR_EraseRootFromParent_Done,
     /* 1993405 */   // Label 26661: @1993405
     /* 1993405 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1993491), // Rule ID 62599 //
     /* 1993410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1993427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993456 */     // MIs[0] policy
     /* 1993456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1993469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993490 */     // GIR_Coverage, 62599,
     /* 1993490 */     GIR_EraseRootFromParent_Done,
     /* 1993491 */   // Label 26662: @1993491
     /* 1993491 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1993577), // Rule ID 62602 //
     /* 1993496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1993513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993542 */     // MIs[0] policy
     /* 1993542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1993555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993576 */     // GIR_Coverage, 62602,
     /* 1993576 */     GIR_EraseRootFromParent_Done,
     /* 1993577 */   // Label 26663: @1993577
     /* 1993577 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1993663), // Rule ID 62603 //
     /* 1993582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1993593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1993596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1993599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1993602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993628 */     // MIs[0] policy
     /* 1993628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1993641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993662 */     // GIR_Coverage, 62603,
     /* 1993662 */     GIR_EraseRootFromParent_Done,
     /* 1993663 */   // Label 26664: @1993663
     /* 1993663 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1993749), // Rule ID 62606 //
     /* 1993668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993714 */     // MIs[0] policy
     /* 1993714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1993727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993748 */     // GIR_Coverage, 62606,
     /* 1993748 */     GIR_EraseRootFromParent_Done,
     /* 1993749 */   // Label 26665: @1993749
     /* 1993749 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1993835), // Rule ID 62607 //
     /* 1993754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1993771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993800 */     // MIs[0] policy
     /* 1993800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993810 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1993813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993834 */     // GIR_Coverage, 62607,
     /* 1993834 */     GIR_EraseRootFromParent_Done,
     /* 1993835 */   // Label 26666: @1993835
     /* 1993835 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1993921), // Rule ID 62610 //
     /* 1993840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993886 */     // MIs[0] policy
     /* 1993886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1993899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993920 */     // GIR_Coverage, 62610,
     /* 1993920 */     GIR_EraseRootFromParent_Done,
     /* 1993921 */   // Label 26667: @1993921
     /* 1993921 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1994007), // Rule ID 62611 //
     /* 1993926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1993934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1993943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993972 */     // MIs[0] policy
     /* 1993972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1993985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994006 */     // GIR_Coverage, 62611,
     /* 1994006 */     GIR_EraseRootFromParent_Done,
     /* 1994007 */   // Label 26668: @1994007
     /* 1994007 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1994093), // Rule ID 62614 //
     /* 1994012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994058 */     // MIs[0] policy
     /* 1994058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1994071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994092 */     // GIR_Coverage, 62614,
     /* 1994092 */     GIR_EraseRootFromParent_Done,
     /* 1994093 */   // Label 26669: @1994093
     /* 1994093 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1994179), // Rule ID 62615 //
     /* 1994098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994144 */     // MIs[0] policy
     /* 1994144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1994157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994178 */     // GIR_Coverage, 62615,
     /* 1994178 */     GIR_EraseRootFromParent_Done,
     /* 1994179 */   // Label 26670: @1994179
     /* 1994179 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1994265), // Rule ID 62618 //
     /* 1994184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1994204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994230 */     // MIs[0] policy
     /* 1994230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1994243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994264 */     // GIR_Coverage, 62618,
     /* 1994264 */     GIR_EraseRootFromParent_Done,
     /* 1994265 */   // Label 26671: @1994265
     /* 1994265 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1994351), // Rule ID 62619 //
     /* 1994270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1994290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994316 */     // MIs[0] policy
     /* 1994316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1994329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994350 */     // GIR_Coverage, 62619,
     /* 1994350 */     GIR_EraseRootFromParent_Done,
     /* 1994351 */   // Label 26672: @1994351
     /* 1994351 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1994437), // Rule ID 62622 //
     /* 1994356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994402 */     // MIs[0] policy
     /* 1994402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1994415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994436 */     // GIR_Coverage, 62622,
     /* 1994436 */     GIR_EraseRootFromParent_Done,
     /* 1994437 */   // Label 26673: @1994437
     /* 1994437 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1994523), // Rule ID 62623 //
     /* 1994442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994488 */     // MIs[0] policy
     /* 1994488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1994501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994522 */     // GIR_Coverage, 62623,
     /* 1994522 */     GIR_EraseRootFromParent_Done,
     /* 1994523 */   // Label 26674: @1994523
     /* 1994523 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1994609), // Rule ID 62626 //
     /* 1994528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994574 */     // MIs[0] policy
     /* 1994574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1994587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994608 */     // GIR_Coverage, 62626,
     /* 1994608 */     GIR_EraseRootFromParent_Done,
     /* 1994609 */   // Label 26675: @1994609
     /* 1994609 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1994695), // Rule ID 62627 //
     /* 1994614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994660 */     // MIs[0] policy
     /* 1994660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1994673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994694 */     // GIR_Coverage, 62627,
     /* 1994694 */     GIR_EraseRootFromParent_Done,
     /* 1994695 */   // Label 26676: @1994695
     /* 1994695 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1994781), // Rule ID 62630 //
     /* 1994700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1994717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994746 */     // MIs[0] policy
     /* 1994746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1994759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994780 */     // GIR_Coverage, 62630,
     /* 1994780 */     GIR_EraseRootFromParent_Done,
     /* 1994781 */   // Label 26677: @1994781
     /* 1994781 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1994867), // Rule ID 62631 //
     /* 1994786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1994794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1994803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994832 */     // MIs[0] policy
     /* 1994832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1994845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994866 */     // GIR_Coverage, 62631,
     /* 1994866 */     GIR_EraseRootFromParent_Done,
     /* 1994867 */   // Label 26678: @1994867
     /* 1994867 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1994953), // Rule ID 62634 //
     /* 1994872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1994875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1994880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1994889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994918 */     // MIs[0] policy
     /* 1994918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994928 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1994931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994952 */     // GIR_Coverage, 62634,
     /* 1994952 */     GIR_EraseRootFromParent_Done,
     /* 1994953 */   // Label 26679: @1994953
     /* 1994953 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1995039), // Rule ID 62635 //
     /* 1994958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1994961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1994966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1994975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1994978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995004 */     // MIs[0] policy
     /* 1995004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1995017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995038 */     // GIR_Coverage, 62635,
     /* 1995038 */     GIR_EraseRootFromParent_Done,
     /* 1995039 */   // Label 26680: @1995039
     /* 1995039 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1995125), // Rule ID 62638 //
     /* 1995044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1995061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1995064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995090 */     // MIs[0] policy
     /* 1995090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1995103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995124 */     // GIR_Coverage, 62638,
     /* 1995124 */     GIR_EraseRootFromParent_Done,
     /* 1995125 */   // Label 26681: @1995125
     /* 1995125 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1995211), // Rule ID 62639 //
     /* 1995130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1995147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1995150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995176 */     // MIs[0] policy
     /* 1995176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1995189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995210 */     // GIR_Coverage, 62639,
     /* 1995210 */     GIR_EraseRootFromParent_Done,
     /* 1995211 */   // Label 26682: @1995211
     /* 1995211 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1995297), // Rule ID 62642 //
     /* 1995216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1995227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1995230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1995233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1995236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995262 */     // MIs[0] policy
     /* 1995262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1995275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995296 */     // GIR_Coverage, 62642,
     /* 1995296 */     GIR_EraseRootFromParent_Done,
     /* 1995297 */   // Label 26683: @1995297
     /* 1995297 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1995383), // Rule ID 62643 //
     /* 1995302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1995313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1995316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1995319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1995322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995348 */     // MIs[0] policy
     /* 1995348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1995361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995382 */     // GIR_Coverage, 62643,
     /* 1995382 */     GIR_EraseRootFromParent_Done,
     /* 1995383 */   // Label 26684: @1995383
     /* 1995383 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1995469), // Rule ID 62646 //
     /* 1995388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1995399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1995402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1995405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1995408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995434 */     // MIs[0] policy
     /* 1995434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1995447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995468 */     // GIR_Coverage, 62646,
     /* 1995468 */     GIR_EraseRootFromParent_Done,
     /* 1995469 */   // Label 26685: @1995469
     /* 1995469 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1995555), // Rule ID 62647 //
     /* 1995474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1995485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1995488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1995491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1995494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995520 */     // MIs[0] policy
     /* 1995520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1995533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995554 */     // GIR_Coverage, 62647,
     /* 1995554 */     GIR_EraseRootFromParent_Done,
     /* 1995555 */   // Label 26686: @1995555
     /* 1995555 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1995641), // Rule ID 62650 //
     /* 1995560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1995571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1995574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1995577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1995580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1995583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995606 */     // MIs[0] policy
     /* 1995606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1995619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995640 */     // GIR_Coverage, 62650,
     /* 1995640 */     GIR_EraseRootFromParent_Done,
     /* 1995641 */   // Label 26687: @1995641
     /* 1995641 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1995727), // Rule ID 62651 //
     /* 1995646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1995657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1995660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1995663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1995666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1995669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995692 */     // MIs[0] policy
     /* 1995692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1995705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995726 */     // GIR_Coverage, 62651,
     /* 1995726 */     GIR_EraseRootFromParent_Done,
     /* 1995727 */   // Label 26688: @1995727
     /* 1995727 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1995813), // Rule ID 62654 //
     /* 1995732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1995749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1995752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995778 */     // MIs[0] policy
     /* 1995778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995788 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1995791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995812 */     // GIR_Coverage, 62654,
     /* 1995812 */     GIR_EraseRootFromParent_Done,
     /* 1995813 */   // Label 26689: @1995813
     /* 1995813 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1995899), // Rule ID 62655 //
     /* 1995818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1995835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1995838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995864 */     // MIs[0] policy
     /* 1995864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1995877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995898 */     // GIR_Coverage, 62655,
     /* 1995898 */     GIR_EraseRootFromParent_Done,
     /* 1995899 */   // Label 26690: @1995899
     /* 1995899 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1995985), // Rule ID 62658 //
     /* 1995904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1995907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1995921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1995924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995950 */     // MIs[0] policy
     /* 1995950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1995963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995984 */     // GIR_Coverage, 62658,
     /* 1995984 */     GIR_EraseRootFromParent_Done,
     /* 1995985 */   // Label 26691: @1995985
     /* 1995985 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1996071), // Rule ID 62659 //
     /* 1995990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1995993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1995998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996036 */     // MIs[0] policy
     /* 1996036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1996049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996070 */     // GIR_Coverage, 62659,
     /* 1996070 */     GIR_EraseRootFromParent_Done,
     /* 1996071 */   // Label 26692: @1996071
     /* 1996071 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1996157), // Rule ID 62662 //
     /* 1996076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1996084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996122 */     // MIs[0] policy
     /* 1996122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996132 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1996135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996156 */     // GIR_Coverage, 62662,
     /* 1996156 */     GIR_EraseRootFromParent_Done,
     /* 1996157 */   // Label 26693: @1996157
     /* 1996157 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1996243), // Rule ID 62663 //
     /* 1996162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1996170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996208 */     // MIs[0] policy
     /* 1996208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1996221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996242 */     // GIR_Coverage, 62663,
     /* 1996242 */     GIR_EraseRootFromParent_Done,
     /* 1996243 */   // Label 26694: @1996243
     /* 1996243 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1996329), // Rule ID 62666 //
     /* 1996248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1996256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1996268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996294 */     // MIs[0] policy
     /* 1996294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1996307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996328 */     // GIR_Coverage, 62666,
     /* 1996328 */     GIR_EraseRootFromParent_Done,
     /* 1996329 */   // Label 26695: @1996329
     /* 1996329 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1996415), // Rule ID 62667 //
     /* 1996334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1996342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1996354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996380 */     // MIs[0] policy
     /* 1996380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1996393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996414 */     // GIR_Coverage, 62667,
     /* 1996414 */     GIR_EraseRootFromParent_Done,
     /* 1996415 */   // Label 26696: @1996415
     /* 1996415 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1996501), // Rule ID 62670 //
     /* 1996420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1996428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1996437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1996440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1996443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996466 */     // MIs[0] policy
     /* 1996466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1996479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996500 */     // GIR_Coverage, 62670,
     /* 1996500 */     GIR_EraseRootFromParent_Done,
     /* 1996501 */   // Label 26697: @1996501
     /* 1996501 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1996587), // Rule ID 62671 //
     /* 1996506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1996514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1996523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1996526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1996529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996552 */     // MIs[0] policy
     /* 1996552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1996565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996586 */     // GIR_Coverage, 62671,
     /* 1996586 */     GIR_EraseRootFromParent_Done,
     /* 1996587 */   // Label 26698: @1996587
     /* 1996587 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1996673), // Rule ID 62674 //
     /* 1996592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1996600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1996603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1996606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1996609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1996612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996638 */     // MIs[0] policy
     /* 1996638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1996651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996672 */     // GIR_Coverage, 62674,
     /* 1996672 */     GIR_EraseRootFromParent_Done,
     /* 1996673 */   // Label 26699: @1996673
     /* 1996673 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1996759), // Rule ID 62675 //
     /* 1996678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1996686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1996689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1996692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1996695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1996698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996724 */     // MIs[0] policy
     /* 1996724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1996737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996758 */     // GIR_Coverage, 62675,
     /* 1996758 */     GIR_EraseRootFromParent_Done,
     /* 1996759 */   // Label 26700: @1996759
     /* 1996759 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1996845), // Rule ID 62678 //
     /* 1996764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1996772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1996781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996810 */     // MIs[0] policy
     /* 1996810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1996823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996844 */     // GIR_Coverage, 62678,
     /* 1996844 */     GIR_EraseRootFromParent_Done,
     /* 1996845 */   // Label 26701: @1996845
     /* 1996845 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1996931), // Rule ID 62679 //
     /* 1996850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1996853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1996858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1996867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1996870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996896 */     // MIs[0] policy
     /* 1996896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1996909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996930 */     // GIR_Coverage, 62679,
     /* 1996930 */     GIR_EraseRootFromParent_Done,
     /* 1996931 */   // Label 26702: @1996931
     /* 1996931 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1997017), // Rule ID 62682 //
     /* 1996936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1996939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1996944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1996953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1996956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996982 */     // MIs[0] policy
     /* 1996982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1996995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997016 */     // GIR_Coverage, 62682,
     /* 1997016 */     GIR_EraseRootFromParent_Done,
     /* 1997017 */   // Label 26703: @1997017
     /* 1997017 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1997103), // Rule ID 62683 //
     /* 1997022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1997039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997068 */     // MIs[0] policy
     /* 1997068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1997081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997102 */     // GIR_Coverage, 62683,
     /* 1997102 */     GIR_EraseRootFromParent_Done,
     /* 1997103 */   // Label 26704: @1997103
     /* 1997103 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1997189), // Rule ID 62686 //
     /* 1997108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1997125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997154 */     // MIs[0] policy
     /* 1997154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1997167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997188 */     // GIR_Coverage, 62686,
     /* 1997188 */     GIR_EraseRootFromParent_Done,
     /* 1997189 */   // Label 26705: @1997189
     /* 1997189 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1997275), // Rule ID 62687 //
     /* 1997194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1997211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997240 */     // MIs[0] policy
     /* 1997240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1997253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997274 */     // GIR_Coverage, 62687,
     /* 1997274 */     GIR_EraseRootFromParent_Done,
     /* 1997275 */   // Label 26706: @1997275
     /* 1997275 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1997361), // Rule ID 62690 //
     /* 1997280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1997297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1997300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1997303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997326 */     // MIs[0] policy
     /* 1997326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1997339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997360 */     // GIR_Coverage, 62690,
     /* 1997360 */     GIR_EraseRootFromParent_Done,
     /* 1997361 */   // Label 26707: @1997361
     /* 1997361 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1997447), // Rule ID 62691 //
     /* 1997366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1997383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1997386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1997389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997412 */     // MIs[0] policy
     /* 1997412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1997425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997446 */     // GIR_Coverage, 62691,
     /* 1997446 */     GIR_EraseRootFromParent_Done,
     /* 1997447 */   // Label 26708: @1997447
     /* 1997447 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1997533), // Rule ID 62694 //
     /* 1997452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1997469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997498 */     // MIs[0] policy
     /* 1997498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997508 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1997511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997532 */     // GIR_Coverage, 62694,
     /* 1997532 */     GIR_EraseRootFromParent_Done,
     /* 1997533 */   // Label 26709: @1997533
     /* 1997533 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1997619), // Rule ID 62695 //
     /* 1997538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1997555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1997558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997584 */     // MIs[0] policy
     /* 1997584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1997597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997618 */     // GIR_Coverage, 62695,
     /* 1997618 */     GIR_EraseRootFromParent_Done,
     /* 1997619 */   // Label 26710: @1997619
     /* 1997619 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1997705), // Rule ID 62698 //
     /* 1997624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1997641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1997644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997670 */     // MIs[0] policy
     /* 1997670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1997683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997704 */     // GIR_Coverage, 62698,
     /* 1997704 */     GIR_EraseRootFromParent_Done,
     /* 1997705 */   // Label 26711: @1997705
     /* 1997705 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1997791), // Rule ID 62699 //
     /* 1997710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1997727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1997730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997756 */     // MIs[0] policy
     /* 1997756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1997769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997790 */     // GIR_Coverage, 62699,
     /* 1997790 */     GIR_EraseRootFromParent_Done,
     /* 1997791 */   // Label 26712: @1997791
     /* 1997791 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1997877), // Rule ID 62702 //
     /* 1997796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1997813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997842 */     // MIs[0] policy
     /* 1997842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1997855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997876 */     // GIR_Coverage, 62702,
     /* 1997876 */     GIR_EraseRootFromParent_Done,
     /* 1997877 */   // Label 26713: @1997877
     /* 1997877 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1997963), // Rule ID 62703 //
     /* 1997882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1997885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1997893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1997899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1997902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997928 */     // MIs[0] policy
     /* 1997928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997938 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1997941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997962 */     // GIR_Coverage, 62703,
     /* 1997962 */     GIR_EraseRootFromParent_Done,
     /* 1997963 */   // Label 26714: @1997963
     /* 1997963 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1998049), // Rule ID 62706 //
     /* 1997968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1997971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1997976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1997985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1997988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998014 */     // MIs[0] policy
     /* 1998014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1998027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998048 */     // GIR_Coverage, 62706,
     /* 1998048 */     GIR_EraseRootFromParent_Done,
     /* 1998049 */   // Label 26715: @1998049
     /* 1998049 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1998135), // Rule ID 62707 //
     /* 1998054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1998062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998100 */     // MIs[0] policy
     /* 1998100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1998113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998134 */     // GIR_Coverage, 62707,
     /* 1998134 */     GIR_EraseRootFromParent_Done,
     /* 1998135 */   // Label 26716: @1998135
     /* 1998135 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1998221), // Rule ID 62710 //
     /* 1998140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1998148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1998151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1998154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1998160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998186 */     // MIs[0] policy
     /* 1998186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1998199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998220 */     // GIR_Coverage, 62710,
     /* 1998220 */     GIR_EraseRootFromParent_Done,
     /* 1998221 */   // Label 26717: @1998221
     /* 1998221 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1998307), // Rule ID 62711 //
     /* 1998226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1998234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1998237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1998240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1998246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998272 */     // MIs[0] policy
     /* 1998272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1998285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998306 */     // GIR_Coverage, 62711,
     /* 1998306 */     GIR_EraseRootFromParent_Done,
     /* 1998307 */   // Label 26718: @1998307
     /* 1998307 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1998393), // Rule ID 62714 //
     /* 1998312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1998332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998358 */     // MIs[0] policy
     /* 1998358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1998371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998392 */     // GIR_Coverage, 62714,
     /* 1998392 */     GIR_EraseRootFromParent_Done,
     /* 1998393 */   // Label 26719: @1998393
     /* 1998393 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1998479), // Rule ID 62715 //
     /* 1998398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1998418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998444 */     // MIs[0] policy
     /* 1998444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1998457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998478 */     // GIR_Coverage, 62715,
     /* 1998478 */     GIR_EraseRootFromParent_Done,
     /* 1998479 */   // Label 26720: @1998479
     /* 1998479 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1998565), // Rule ID 62718 //
     /* 1998484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998530 */     // MIs[0] policy
     /* 1998530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1998543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998564 */     // GIR_Coverage, 62718,
     /* 1998564 */     GIR_EraseRootFromParent_Done,
     /* 1998565 */   // Label 26721: @1998565
     /* 1998565 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1998651), // Rule ID 62719 //
     /* 1998570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1998590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998616 */     // MIs[0] policy
     /* 1998616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1998629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998650 */     // GIR_Coverage, 62719,
     /* 1998650 */     GIR_EraseRootFromParent_Done,
     /* 1998651 */   // Label 26722: @1998651
     /* 1998651 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1998737), // Rule ID 62722 //
     /* 1998656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1998676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998702 */     // MIs[0] policy
     /* 1998702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1998715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998736 */     // GIR_Coverage, 62722,
     /* 1998736 */     GIR_EraseRootFromParent_Done,
     /* 1998737 */   // Label 26723: @1998737
     /* 1998737 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1998823), // Rule ID 62723 //
     /* 1998742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1998762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998788 */     // MIs[0] policy
     /* 1998788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1998801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998822 */     // GIR_Coverage, 62723,
     /* 1998822 */     GIR_EraseRootFromParent_Done,
     /* 1998823 */   // Label 26724: @1998823
     /* 1998823 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1998909), // Rule ID 62726 //
     /* 1998828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1998831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1998845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998874 */     // MIs[0] policy
     /* 1998874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1998887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998908 */     // GIR_Coverage, 62726,
     /* 1998908 */     GIR_EraseRootFromParent_Done,
     /* 1998909 */   // Label 26725: @1998909
     /* 1998909 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(1998995), // Rule ID 62727 //
     /* 1998914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1998917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1998922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1998925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1998928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1998931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1998934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998960 */     // MIs[0] policy
     /* 1998960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1998973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998994 */     // GIR_Coverage, 62727,
     /* 1998994 */     GIR_EraseRootFromParent_Done,
     /* 1998995 */   // Label 26726: @1998995
     /* 1998995 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(1999081), // Rule ID 62730 //
     /* 1999000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1999008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1999017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999046 */     // MIs[0] policy
     /* 1999046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1999059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999080 */     // GIR_Coverage, 62730,
     /* 1999080 */     GIR_EraseRootFromParent_Done,
     /* 1999081 */   // Label 26727: @1999081
     /* 1999081 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(1999167), // Rule ID 62731 //
     /* 1999086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1999094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1999103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1999106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1999109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999132 */     // MIs[0] policy
     /* 1999132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1999145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999166 */     // GIR_Coverage, 62731,
     /* 1999166 */     GIR_EraseRootFromParent_Done,
     /* 1999167 */   // Label 26728: @1999167
     /* 1999167 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(1999256), // Rule ID 2676 //
     /* 1999172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1999189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999218 */     // MIs[0] round
     /* 1999218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1999231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999255 */     // GIR_Coverage, 2676,
     /* 1999255 */     GIR_EraseRootFromParent_Done,
     /* 1999256 */   // Label 26729: @1999256
     /* 1999256 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(1999345), // Rule ID 2677 //
     /* 1999261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1999278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999307 */     // MIs[0] round
     /* 1999307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999317 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1999320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999344 */     // GIR_Coverage, 2677,
     /* 1999344 */     GIR_EraseRootFromParent_Done,
     /* 1999345 */   // Label 26730: @1999345
     /* 1999345 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(1999434), // Rule ID 22722 //
     /* 1999350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1999367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999396 */     // MIs[0] round
     /* 1999396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999406 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1999409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999433 */     // GIR_Coverage, 22722,
     /* 1999433 */     GIR_EraseRootFromParent_Done,
     /* 1999434 */   // Label 26731: @1999434
     /* 1999434 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(1999523), // Rule ID 22723 //
     /* 1999439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1999456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999485 */     // MIs[0] round
     /* 1999485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999495 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1999498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999522 */     // GIR_Coverage, 22723,
     /* 1999522 */     GIR_EraseRootFromParent_Done,
     /* 1999523 */   // Label 26732: @1999523
     /* 1999523 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(1999612), // Rule ID 22726 //
     /* 1999528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1999545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999574 */     // MIs[0] round
     /* 1999574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999584 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1999587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999611 */     // GIR_Coverage, 22726,
     /* 1999611 */     GIR_EraseRootFromParent_Done,
     /* 1999612 */   // Label 26733: @1999612
     /* 1999612 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(1999701), // Rule ID 22727 //
     /* 1999617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1999634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999663 */     // MIs[0] round
     /* 1999663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999673 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1999676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999700 */     // GIR_Coverage, 22727,
     /* 1999700 */     GIR_EraseRootFromParent_Done,
     /* 1999701 */   // Label 26734: @1999701
     /* 1999701 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(1999790), // Rule ID 22730 //
     /* 1999706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1999723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999752 */     // MIs[0] round
     /* 1999752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999762 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1999765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999789 */     // GIR_Coverage, 22730,
     /* 1999789 */     GIR_EraseRootFromParent_Done,
     /* 1999790 */   // Label 26735: @1999790
     /* 1999790 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(1999879), // Rule ID 22731 //
     /* 1999795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1999812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1999815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999841 */     // MIs[0] round
     /* 1999841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999851 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1999854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999878 */     // GIR_Coverage, 22731,
     /* 1999878 */     GIR_EraseRootFromParent_Done,
     /* 1999879 */   // Label 26736: @1999879
     /* 1999879 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(1999968), // Rule ID 22734 //
     /* 1999884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1999901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999930 */     // MIs[0] round
     /* 1999930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1999943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999967 */     // GIR_Coverage, 22734,
     /* 1999967 */     GIR_EraseRootFromParent_Done,
     /* 1999968 */   // Label 26737: @1999968
     /* 1999968 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2000057), // Rule ID 22735 //
     /* 1999973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1999981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1999990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000019 */     // MIs[0] round
     /* 2000019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000029 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2000032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000056 */     // GIR_Coverage, 22735,
     /* 2000056 */     GIR_EraseRootFromParent_Done,
     /* 2000057 */   // Label 26738: @2000057
     /* 2000057 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2000146), // Rule ID 22738 //
     /* 2000062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2000079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000108 */     // MIs[0] round
     /* 2000108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000118 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2000121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000145 */     // GIR_Coverage, 22738,
     /* 2000145 */     GIR_EraseRootFromParent_Done,
     /* 2000146 */   // Label 26739: @2000146
     /* 2000146 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2000235), // Rule ID 22739 //
     /* 2000151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2000168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000197 */     // MIs[0] round
     /* 2000197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000207 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2000210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000234 */     // GIR_Coverage, 22739,
     /* 2000234 */     GIR_EraseRootFromParent_Done,
     /* 2000235 */   // Label 26740: @2000235
     /* 2000235 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2000324), // Rule ID 22742 //
     /* 2000240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2000251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2000254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2000260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000286 */     // MIs[0] round
     /* 2000286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000296 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2000299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000323 */     // GIR_Coverage, 22742,
     /* 2000323 */     GIR_EraseRootFromParent_Done,
     /* 2000324 */   // Label 26741: @2000324
     /* 2000324 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2000413), // Rule ID 22743 //
     /* 2000329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2000340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2000343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2000349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000375 */     // MIs[0] round
     /* 2000375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000385 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2000388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000412 */     // GIR_Coverage, 22743,
     /* 2000412 */     GIR_EraseRootFromParent_Done,
     /* 2000413 */   // Label 26742: @2000413
     /* 2000413 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2000502), // Rule ID 22746 //
     /* 2000418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2000429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2000432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2000435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2000438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000464 */     // MIs[0] round
     /* 2000464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000474 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2000477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000501 */     // GIR_Coverage, 22746,
     /* 2000501 */     GIR_EraseRootFromParent_Done,
     /* 2000502 */   // Label 26743: @2000502
     /* 2000502 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2000591), // Rule ID 22747 //
     /* 2000507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2000518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2000521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2000524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2000527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000553 */     // MIs[0] round
     /* 2000553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000563 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2000566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000590 */     // GIR_Coverage, 22747,
     /* 2000590 */     GIR_EraseRootFromParent_Done,
     /* 2000591 */   // Label 26744: @2000591
     /* 2000591 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2000680), // Rule ID 22750 //
     /* 2000596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2000607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2000610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2000613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2000616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000642 */     // MIs[0] round
     /* 2000642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2000655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000679 */     // GIR_Coverage, 22750,
     /* 2000679 */     GIR_EraseRootFromParent_Done,
     /* 2000680 */   // Label 26745: @2000680
     /* 2000680 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2000769), // Rule ID 22751 //
     /* 2000685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2000696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2000699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2000702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2000705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000731 */     // MIs[0] round
     /* 2000731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000741 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2000744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000768 */     // GIR_Coverage, 22751,
     /* 2000768 */     GIR_EraseRootFromParent_Done,
     /* 2000769 */   // Label 26746: @2000769
     /* 2000769 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2000858), // Rule ID 22754 //
     /* 2000774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2000791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000820 */     // MIs[0] round
     /* 2000820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2000833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000857 */     // GIR_Coverage, 22754,
     /* 2000857 */     GIR_EraseRootFromParent_Done,
     /* 2000858 */   // Label 26747: @2000858
     /* 2000858 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2000947), // Rule ID 22755 //
     /* 2000863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2000880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000909 */     // MIs[0] round
     /* 2000909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000919 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2000922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000946 */     // GIR_Coverage, 22755,
     /* 2000946 */     GIR_EraseRootFromParent_Done,
     /* 2000947 */   // Label 26748: @2000947
     /* 2000947 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2001036), // Rule ID 22758 //
     /* 2000952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2000960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2000969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000998 */     // MIs[0] round
     /* 2000998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2001011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001035 */     // GIR_Coverage, 22758,
     /* 2001035 */     GIR_EraseRootFromParent_Done,
     /* 2001036 */   // Label 26749: @2001036
     /* 2001036 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2001125), // Rule ID 22759 //
     /* 2001041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001087 */     // MIs[0] round
     /* 2001087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001097 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2001100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001124 */     // GIR_Coverage, 22759,
     /* 2001124 */     GIR_EraseRootFromParent_Done,
     /* 2001125 */   // Label 26750: @2001125
     /* 2001125 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2001214), // Rule ID 22762 //
     /* 2001130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001176 */     // MIs[0] round
     /* 2001176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001186 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2001189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001213 */     // GIR_Coverage, 22762,
     /* 2001213 */     GIR_EraseRootFromParent_Done,
     /* 2001214 */   // Label 26751: @2001214
     /* 2001214 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2001303), // Rule ID 22763 //
     /* 2001219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001265 */     // MIs[0] round
     /* 2001265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001275 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2001278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001302 */     // GIR_Coverage, 22763,
     /* 2001302 */     GIR_EraseRootFromParent_Done,
     /* 2001303 */   // Label 26752: @2001303
     /* 2001303 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2001392), // Rule ID 22766 //
     /* 2001308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2001311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2001325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001354 */     // MIs[0] round
     /* 2001354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001364 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2001367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001391 */     // GIR_Coverage, 22766,
     /* 2001391 */     GIR_EraseRootFromParent_Done,
     /* 2001392 */   // Label 26753: @2001392
     /* 2001392 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2001481), // Rule ID 22767 //
     /* 2001397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2001400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2001414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001443 */     // MIs[0] round
     /* 2001443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2001456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001480 */     // GIR_Coverage, 22767,
     /* 2001480 */     GIR_EraseRootFromParent_Done,
     /* 2001481 */   // Label 26754: @2001481
     /* 2001481 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2001570), // Rule ID 22770 //
     /* 2001486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2001489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2001503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001532 */     // MIs[0] round
     /* 2001532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2001545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001569 */     // GIR_Coverage, 22770,
     /* 2001569 */     GIR_EraseRootFromParent_Done,
     /* 2001570 */   // Label 26755: @2001570
     /* 2001570 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2001659), // Rule ID 22771 //
     /* 2001575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2001578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2001592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001621 */     // MIs[0] round
     /* 2001621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2001634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001658 */     // GIR_Coverage, 22771,
     /* 2001658 */     GIR_EraseRootFromParent_Done,
     /* 2001659 */   // Label 26756: @2001659
     /* 2001659 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2001748), // Rule ID 22774 //
     /* 2001664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2001667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2001681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001710 */     // MIs[0] round
     /* 2001710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2001723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001747 */     // GIR_Coverage, 22774,
     /* 2001747 */     GIR_EraseRootFromParent_Done,
     /* 2001748 */   // Label 26757: @2001748
     /* 2001748 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2001837), // Rule ID 22775 //
     /* 2001753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2001756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2001761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2001770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001799 */     // MIs[0] round
     /* 2001799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001809 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2001812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001836 */     // GIR_Coverage, 22775,
     /* 2001836 */     GIR_EraseRootFromParent_Done,
     /* 2001837 */   // Label 26758: @2001837
     /* 2001837 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2001926), // Rule ID 22778 //
     /* 2001842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2001850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2001859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001888 */     // MIs[0] round
     /* 2001888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001898 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2001901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001925 */     // GIR_Coverage, 22778,
     /* 2001925 */     GIR_EraseRootFromParent_Done,
     /* 2001926 */   // Label 26759: @2001926
     /* 2001926 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2002015), // Rule ID 22779 //
     /* 2001931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2001939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2001948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2001951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001977 */     // MIs[0] round
     /* 2001977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2001990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002014 */     // GIR_Coverage, 22779,
     /* 2002014 */     GIR_EraseRootFromParent_Done,
     /* 2002015 */   // Label 26760: @2002015
     /* 2002015 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2002104), // Rule ID 22782 //
     /* 2002020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002066 */     // MIs[0] round
     /* 2002066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002076 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2002079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002103 */     // GIR_Coverage, 22782,
     /* 2002103 */     GIR_EraseRootFromParent_Done,
     /* 2002104 */   // Label 26761: @2002104
     /* 2002104 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2002193), // Rule ID 22783 //
     /* 2002109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2002126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002155 */     // MIs[0] round
     /* 2002155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002165 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2002168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002192 */     // GIR_Coverage, 22783,
     /* 2002192 */     GIR_EraseRootFromParent_Done,
     /* 2002193 */   // Label 26762: @2002193
     /* 2002193 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2002282), // Rule ID 22786 //
     /* 2002198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002244 */     // MIs[0] round
     /* 2002244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002254 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2002257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002281 */     // GIR_Coverage, 22786,
     /* 2002281 */     GIR_EraseRootFromParent_Done,
     /* 2002282 */   // Label 26763: @2002282
     /* 2002282 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2002371), // Rule ID 22787 //
     /* 2002287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2002304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002333 */     // MIs[0] round
     /* 2002333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002343 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2002346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002370 */     // GIR_Coverage, 22787,
     /* 2002370 */     GIR_EraseRootFromParent_Done,
     /* 2002371 */   // Label 26764: @2002371
     /* 2002371 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2002460), // Rule ID 22790 //
     /* 2002376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002422 */     // MIs[0] round
     /* 2002422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002432 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2002435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002459 */     // GIR_Coverage, 22790,
     /* 2002459 */     GIR_EraseRootFromParent_Done,
     /* 2002460 */   // Label 26765: @2002460
     /* 2002460 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2002549), // Rule ID 22791 //
     /* 2002465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2002482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002511 */     // MIs[0] round
     /* 2002511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002521 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2002524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002548 */     // GIR_Coverage, 22791,
     /* 2002548 */     GIR_EraseRootFromParent_Done,
     /* 2002549 */   // Label 26766: @2002549
     /* 2002549 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2002638), // Rule ID 22794 //
     /* 2002554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002600 */     // MIs[0] round
     /* 2002600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2002613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002637 */     // GIR_Coverage, 22794,
     /* 2002637 */     GIR_EraseRootFromParent_Done,
     /* 2002638 */   // Label 26767: @2002638
     /* 2002638 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2002727), // Rule ID 22795 //
     /* 2002643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2002660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002689 */     // MIs[0] round
     /* 2002689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002699 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2002702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002726 */     // GIR_Coverage, 22795,
     /* 2002726 */     GIR_EraseRootFromParent_Done,
     /* 2002727 */   // Label 26768: @2002727
     /* 2002727 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2002816), // Rule ID 22798 //
     /* 2002732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2002735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2002749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002778 */     // MIs[0] round
     /* 2002778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2002791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002815 */     // GIR_Coverage, 22798,
     /* 2002815 */     GIR_EraseRootFromParent_Done,
     /* 2002816 */   // Label 26769: @2002816
     /* 2002816 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2002905), // Rule ID 22799 //
     /* 2002821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2002824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2002838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002867 */     // MIs[0] round
     /* 2002867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002877 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2002880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002904 */     // GIR_Coverage, 22799,
     /* 2002904 */     GIR_EraseRootFromParent_Done,
     /* 2002905 */   // Label 26770: @2002905
     /* 2002905 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2002994), // Rule ID 22802 //
     /* 2002910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2002918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2002921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2002924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2002927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2002930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002956 */     // MIs[0] round
     /* 2002956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002966 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2002969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002993 */     // GIR_Coverage, 22802,
     /* 2002993 */     GIR_EraseRootFromParent_Done,
     /* 2002994 */   // Label 26771: @2002994
     /* 2002994 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2003083), // Rule ID 22803 //
     /* 2002999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2003016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2003019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003045 */     // MIs[0] round
     /* 2003045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2003058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003082 */     // GIR_Coverage, 22803,
     /* 2003082 */     GIR_EraseRootFromParent_Done,
     /* 2003083 */   // Label 26772: @2003083
     /* 2003083 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2003172), // Rule ID 22806 //
     /* 2003088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2003108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003134 */     // MIs[0] round
     /* 2003134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2003147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003171 */     // GIR_Coverage, 22806,
     /* 2003171 */     GIR_EraseRootFromParent_Done,
     /* 2003172 */   // Label 26773: @2003172
     /* 2003172 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2003261), // Rule ID 22807 //
     /* 2003177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2003194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2003197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003223 */     // MIs[0] round
     /* 2003223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003233 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2003236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003260 */     // GIR_Coverage, 22807,
     /* 2003260 */     GIR_EraseRootFromParent_Done,
     /* 2003261 */   // Label 26774: @2003261
     /* 2003261 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2003350), // Rule ID 22810 //
     /* 2003266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2003286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003312 */     // MIs[0] round
     /* 2003312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003322 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2003325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003349 */     // GIR_Coverage, 22810,
     /* 2003349 */     GIR_EraseRootFromParent_Done,
     /* 2003350 */   // Label 26775: @2003350
     /* 2003350 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2003439), // Rule ID 22811 //
     /* 2003355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2003372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2003375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003401 */     // MIs[0] round
     /* 2003401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003411 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2003414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003438 */     // GIR_Coverage, 22811,
     /* 2003438 */     GIR_EraseRootFromParent_Done,
     /* 2003439 */   // Label 26776: @2003439
     /* 2003439 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2003528), // Rule ID 22814 //
     /* 2003444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003490 */     // MIs[0] round
     /* 2003490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003500 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2003503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003527 */     // GIR_Coverage, 22814,
     /* 2003527 */     GIR_EraseRootFromParent_Done,
     /* 2003528 */   // Label 26777: @2003528
     /* 2003528 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2003617), // Rule ID 22815 //
     /* 2003533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2003550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003579 */     // MIs[0] round
     /* 2003579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2003592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003616 */     // GIR_Coverage, 22815,
     /* 2003616 */     GIR_EraseRootFromParent_Done,
     /* 2003617 */   // Label 26778: @2003617
     /* 2003617 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2003706), // Rule ID 22818 //
     /* 2003622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003668 */     // MIs[0] round
     /* 2003668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003678 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2003681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003705 */     // GIR_Coverage, 22818,
     /* 2003705 */     GIR_EraseRootFromParent_Done,
     /* 2003706 */   // Label 26779: @2003706
     /* 2003706 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2003795), // Rule ID 22819 //
     /* 2003711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2003728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003757 */     // MIs[0] round
     /* 2003757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003767 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2003770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003794 */     // GIR_Coverage, 22819,
     /* 2003794 */     GIR_EraseRootFromParent_Done,
     /* 2003795 */   // Label 26780: @2003795
     /* 2003795 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2003884), // Rule ID 22822 //
     /* 2003800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003846 */     // MIs[0] round
     /* 2003846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2003856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2003859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003883 */     // GIR_Coverage, 22822,
     /* 2003883 */     GIR_EraseRootFromParent_Done,
     /* 2003884 */   // Label 26781: @2003884
     /* 2003884 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2003973), // Rule ID 22823 //
     /* 2003889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2003906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2003909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003935 */     // MIs[0] round
     /* 2003935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003945 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2003945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2003948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2003971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003972 */     // GIR_Coverage, 22823,
     /* 2003972 */     GIR_EraseRootFromParent_Done,
     /* 2003973 */   // Label 26782: @2003973
     /* 2003973 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2004062), // Rule ID 22826 //
     /* 2003978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2003986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2003989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2003992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2003995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2003998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004024 */     // MIs[0] round
     /* 2004024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004034 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2004037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004061 */     // GIR_Coverage, 22826,
     /* 2004061 */     GIR_EraseRootFromParent_Done,
     /* 2004062 */   // Label 26783: @2004062
     /* 2004062 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2004151), // Rule ID 22827 //
     /* 2004067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2004070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2004084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004113 */     // MIs[0] round
     /* 2004113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004123 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2004126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004150 */     // GIR_Coverage, 22827,
     /* 2004150 */     GIR_EraseRootFromParent_Done,
     /* 2004151 */   // Label 26784: @2004151
     /* 2004151 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2004240), // Rule ID 22830 //
     /* 2004156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2004159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2004173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004202 */     // MIs[0] round
     /* 2004202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2004215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004239 */     // GIR_Coverage, 22830,
     /* 2004239 */     GIR_EraseRootFromParent_Done,
     /* 2004240 */   // Label 26785: @2004240
     /* 2004240 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2004329), // Rule ID 22831 //
     /* 2004245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2004248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2004262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004291 */     // MIs[0] round
     /* 2004291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004301 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2004304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004328 */     // GIR_Coverage, 22831,
     /* 2004328 */     GIR_EraseRootFromParent_Done,
     /* 2004329 */   // Label 26786: @2004329
     /* 2004329 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2004418), // Rule ID 22834 //
     /* 2004334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2004337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2004351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004380 */     // MIs[0] round
     /* 2004380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004390 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2004393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004417 */     // GIR_Coverage, 22834,
     /* 2004417 */     GIR_EraseRootFromParent_Done,
     /* 2004418 */   // Label 26787: @2004418
     /* 2004418 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2004507), // Rule ID 22835 //
     /* 2004423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2004426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2004431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2004440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004469 */     // MIs[0] round
     /* 2004469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004479 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2004482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004506 */     // GIR_Coverage, 22835,
     /* 2004506 */     GIR_EraseRootFromParent_Done,
     /* 2004507 */   // Label 26788: @2004507
     /* 2004507 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2004596), // Rule ID 22958 //
     /* 2004512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2004515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2004520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004558 */     // MIs[0] round
     /* 2004558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004568 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2004571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004595 */     // GIR_Coverage, 22958,
     /* 2004595 */     GIR_EraseRootFromParent_Done,
     /* 2004596 */   // Label 26789: @2004596
     /* 2004596 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2004685), // Rule ID 22959 //
     /* 2004601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2004609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004647 */     // MIs[0] round
     /* 2004647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2004660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004684 */     // GIR_Coverage, 22959,
     /* 2004684 */     GIR_EraseRootFromParent_Done,
     /* 2004685 */   // Label 26790: @2004685
     /* 2004685 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2004774), // Rule ID 22962 //
     /* 2004690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2004693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2004698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004736 */     // MIs[0] round
     /* 2004736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004746 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2004749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004773 */     // GIR_Coverage, 22962,
     /* 2004773 */     GIR_EraseRootFromParent_Done,
     /* 2004774 */   // Label 26791: @2004774
     /* 2004774 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2004863), // Rule ID 22963 //
     /* 2004779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2004787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2004799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004825 */     // MIs[0] round
     /* 2004825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004835 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2004835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2004838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004862 */     // GIR_Coverage, 22963,
     /* 2004862 */     GIR_EraseRootFromParent_Done,
     /* 2004863 */   // Label 26792: @2004863
     /* 2004863 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2004952), // Rule ID 22966 //
     /* 2004868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2004871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2004876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004914 */     // MIs[0] round
     /* 2004914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004924 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2004924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2004927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2004950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004951 */     // GIR_Coverage, 22966,
     /* 2004951 */     GIR_EraseRootFromParent_Done,
     /* 2004952 */   // Label 26793: @2004952
     /* 2004952 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2005041), // Rule ID 22967 //
     /* 2004957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2004965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2004977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005003 */     // MIs[0] round
     /* 2005003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005013 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2005016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005040 */     // GIR_Coverage, 22967,
     /* 2005040 */     GIR_EraseRootFromParent_Done,
     /* 2005041 */   // Label 26794: @2005041
     /* 2005041 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2005130), // Rule ID 22970 //
     /* 2005046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2005049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005092 */     // MIs[0] round
     /* 2005092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2005105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005129 */     // GIR_Coverage, 22970,
     /* 2005129 */     GIR_EraseRootFromParent_Done,
     /* 2005130 */   // Label 26795: @2005130
     /* 2005130 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2005219), // Rule ID 22971 //
     /* 2005135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2005138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005181 */     // MIs[0] round
     /* 2005181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2005194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005218 */     // GIR_Coverage, 22971,
     /* 2005218 */     GIR_EraseRootFromParent_Done,
     /* 2005219 */   // Label 26796: @2005219
     /* 2005219 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2005308), // Rule ID 22974 //
     /* 2005224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2005244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005270 */     // MIs[0] round
     /* 2005270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2005283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005307 */     // GIR_Coverage, 22974,
     /* 2005307 */     GIR_EraseRootFromParent_Done,
     /* 2005308 */   // Label 26797: @2005308
     /* 2005308 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2005397), // Rule ID 22975 //
     /* 2005313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2005316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2005333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005359 */     // MIs[0] round
     /* 2005359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005369 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2005372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005396 */     // GIR_Coverage, 22975,
     /* 2005396 */     GIR_EraseRootFromParent_Done,
     /* 2005397 */   // Label 26798: @2005397
     /* 2005397 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2005486), // Rule ID 22978 //
     /* 2005402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2005405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005448 */     // MIs[0] round
     /* 2005448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005458 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2005461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005485 */     // GIR_Coverage, 22978,
     /* 2005485 */     GIR_EraseRootFromParent_Done,
     /* 2005486 */   // Label 26799: @2005486
     /* 2005486 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2005575), // Rule ID 22979 //
     /* 2005491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2005494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005537 */     // MIs[0] round
     /* 2005537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005547 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2005550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005574 */     // GIR_Coverage, 22979,
     /* 2005574 */     GIR_EraseRootFromParent_Done,
     /* 2005575 */   // Label 26800: @2005575
     /* 2005575 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2005664), // Rule ID 22982 //
     /* 2005580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2005583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005626 */     // MIs[0] round
     /* 2005626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2005639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005663 */     // GIR_Coverage, 22982,
     /* 2005663 */     GIR_EraseRootFromParent_Done,
     /* 2005664 */   // Label 26801: @2005664
     /* 2005664 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2005753), // Rule ID 22983 //
     /* 2005669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2005672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005715 */     // MIs[0] round
     /* 2005715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005725 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2005728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005752 */     // GIR_Coverage, 22983,
     /* 2005752 */     GIR_EraseRootFromParent_Done,
     /* 2005753 */   // Label 26802: @2005753
     /* 2005753 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2005842), // Rule ID 22986 //
     /* 2005758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2005761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005804 */     // MIs[0] round
     /* 2005804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005814 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2005817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005841 */     // GIR_Coverage, 22986,
     /* 2005841 */     GIR_EraseRootFromParent_Done,
     /* 2005842 */   // Label 26803: @2005842
     /* 2005842 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2005931), // Rule ID 22987 //
     /* 2005847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2005850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005893 */     // MIs[0] round
     /* 2005893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005903 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2005903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2005906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2005929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005930 */     // GIR_Coverage, 22987,
     /* 2005930 */     GIR_EraseRootFromParent_Done,
     /* 2005931 */   // Label 26804: @2005931
     /* 2005931 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2006020), // Rule ID 22990 //
     /* 2005936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2005944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2005956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005982 */     // MIs[0] round
     /* 2005982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005992 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2005992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2005995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006019 */     // GIR_Coverage, 22990,
     /* 2006019 */     GIR_EraseRootFromParent_Done,
     /* 2006020 */   // Label 26805: @2006020
     /* 2006020 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2006109), // Rule ID 22991 //
     /* 2006025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2006028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2006042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006071 */     // MIs[0] round
     /* 2006071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006081 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2006084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006108 */     // GIR_Coverage, 22991,
     /* 2006108 */     GIR_EraseRootFromParent_Done,
     /* 2006109 */   // Label 26806: @2006109
     /* 2006109 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2006198), // Rule ID 22994 //
     /* 2006114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2006117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2006131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006160 */     // MIs[0] round
     /* 2006160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2006173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006197 */     // GIR_Coverage, 22994,
     /* 2006197 */     GIR_EraseRootFromParent_Done,
     /* 2006198 */   // Label 26807: @2006198
     /* 2006198 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2006287), // Rule ID 22995 //
     /* 2006203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2006206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2006220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006249 */     // MIs[0] round
     /* 2006249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2006262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006286 */     // GIR_Coverage, 22995,
     /* 2006286 */     GIR_EraseRootFromParent_Done,
     /* 2006287 */   // Label 26808: @2006287
     /* 2006287 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2006376), // Rule ID 22998 //
     /* 2006292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2006295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2006309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006338 */     // MIs[0] round
     /* 2006338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2006351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006375 */     // GIR_Coverage, 22998,
     /* 2006375 */     GIR_EraseRootFromParent_Done,
     /* 2006376 */   // Label 26809: @2006376
     /* 2006376 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2006465), // Rule ID 22999 //
     /* 2006381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2006384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2006389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2006398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006427 */     // MIs[0] round
     /* 2006427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006437 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2006440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006464 */     // GIR_Coverage, 22999,
     /* 2006464 */     GIR_EraseRootFromParent_Done,
     /* 2006465 */   // Label 26810: @2006465
     /* 2006465 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2006554), // Rule ID 23002 //
     /* 2006470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2006473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2006478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006516 */     // MIs[0] round
     /* 2006516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006526 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2006529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006553 */     // GIR_Coverage, 23002,
     /* 2006553 */     GIR_EraseRootFromParent_Done,
     /* 2006554 */   // Label 26811: @2006554
     /* 2006554 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2006643), // Rule ID 23003 //
     /* 2006559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2006562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2006567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006605 */     // MIs[0] round
     /* 2006605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006615 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2006618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006642 */     // GIR_Coverage, 23003,
     /* 2006642 */     GIR_EraseRootFromParent_Done,
     /* 2006643 */   // Label 26812: @2006643
     /* 2006643 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2006732), // Rule ID 23006 //
     /* 2006648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2006651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2006656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006694 */     // MIs[0] round
     /* 2006694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006704 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2006707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006731 */     // GIR_Coverage, 23006,
     /* 2006731 */     GIR_EraseRootFromParent_Done,
     /* 2006732 */   // Label 26813: @2006732
     /* 2006732 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2006821), // Rule ID 23007 //
     /* 2006737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2006740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2006745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2006757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006783 */     // MIs[0] round
     /* 2006783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006793 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2006796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006820 */     // GIR_Coverage, 23007,
     /* 2006820 */     GIR_EraseRootFromParent_Done,
     /* 2006821 */   // Label 26814: @2006821
     /* 2006821 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2006910), // Rule ID 23010 //
     /* 2006826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2006829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2006834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2006843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006872 */     // MIs[0] round
     /* 2006872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2006882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2006885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006909 */     // GIR_Coverage, 23010,
     /* 2006909 */     GIR_EraseRootFromParent_Done,
     /* 2006910 */   // Label 26815: @2006910
     /* 2006910 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2006999), // Rule ID 23011 //
     /* 2006915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2006918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2006923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2006932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2006935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006961 */     // MIs[0] round
     /* 2006961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006971 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2006971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2006974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2006997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006998 */     // GIR_Coverage, 23011,
     /* 2006998 */     GIR_EraseRootFromParent_Done,
     /* 2006999 */   // Label 26816: @2006999
     /* 2006999 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2007088), // Rule ID 23014 //
     /* 2007004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2007021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007050 */     // MIs[0] round
     /* 2007050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2007063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007087 */     // GIR_Coverage, 23014,
     /* 2007087 */     GIR_EraseRootFromParent_Done,
     /* 2007088 */   // Label 26817: @2007088
     /* 2007088 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2007177), // Rule ID 23015 //
     /* 2007093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2007110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007139 */     // MIs[0] round
     /* 2007139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007149 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2007152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007176 */     // GIR_Coverage, 23015,
     /* 2007176 */     GIR_EraseRootFromParent_Done,
     /* 2007177 */   // Label 26818: @2007177
     /* 2007177 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2007266), // Rule ID 23018 //
     /* 2007182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2007185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007228 */     // MIs[0] round
     /* 2007228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007238 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2007241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007265 */     // GIR_Coverage, 23018,
     /* 2007265 */     GIR_EraseRootFromParent_Done,
     /* 2007266 */   // Label 26819: @2007266
     /* 2007266 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2007355), // Rule ID 23019 //
     /* 2007271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2007274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007317 */     // MIs[0] round
     /* 2007317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007327 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2007330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007354 */     // GIR_Coverage, 23019,
     /* 2007354 */     GIR_EraseRootFromParent_Done,
     /* 2007355 */   // Label 26820: @2007355
     /* 2007355 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2007444), // Rule ID 23022 //
     /* 2007360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007406 */     // MIs[0] round
     /* 2007406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2007419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007443 */     // GIR_Coverage, 23022,
     /* 2007443 */     GIR_EraseRootFromParent_Done,
     /* 2007444 */   // Label 26821: @2007444
     /* 2007444 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2007533), // Rule ID 23023 //
     /* 2007449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007495 */     // MIs[0] round
     /* 2007495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2007508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007532 */     // GIR_Coverage, 23023,
     /* 2007532 */     GIR_EraseRootFromParent_Done,
     /* 2007533 */   // Label 26822: @2007533
     /* 2007533 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2007622), // Rule ID 23026 //
     /* 2007538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007584 */     // MIs[0] round
     /* 2007584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007594 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2007597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007621 */     // GIR_Coverage, 23026,
     /* 2007621 */     GIR_EraseRootFromParent_Done,
     /* 2007622 */   // Label 26823: @2007622
     /* 2007622 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2007711), // Rule ID 23027 //
     /* 2007627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007673 */     // MIs[0] round
     /* 2007673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007683 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2007686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007710 */     // GIR_Coverage, 23027,
     /* 2007710 */     GIR_EraseRootFromParent_Done,
     /* 2007711 */   // Label 26824: @2007711
     /* 2007711 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2007800), // Rule ID 23030 //
     /* 2007716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2007719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007762 */     // MIs[0] round
     /* 2007762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2007775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007799 */     // GIR_Coverage, 23030,
     /* 2007799 */     GIR_EraseRootFromParent_Done,
     /* 2007800 */   // Label 26825: @2007800
     /* 2007800 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2007889), // Rule ID 23031 //
     /* 2007805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2007808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007851 */     // MIs[0] round
     /* 2007851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007861 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2007861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2007864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007888 */     // GIR_Coverage, 23031,
     /* 2007888 */     GIR_EraseRootFromParent_Done,
     /* 2007889 */   // Label 26826: @2007889
     /* 2007889 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2007978), // Rule ID 23034 //
     /* 2007894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2007897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2007914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007940 */     // MIs[0] round
     /* 2007940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007950 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2007950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2007953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2007976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007977 */     // GIR_Coverage, 23034,
     /* 2007977 */     GIR_EraseRootFromParent_Done,
     /* 2007978 */   // Label 26827: @2007978
     /* 2007978 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2008067), // Rule ID 23035 //
     /* 2007983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2007986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2007991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2008000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008029 */     // MIs[0] round
     /* 2008029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008039 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2008042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008066 */     // GIR_Coverage, 23035,
     /* 2008066 */     GIR_EraseRootFromParent_Done,
     /* 2008067 */   // Label 26828: @2008067
     /* 2008067 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2008156), // Rule ID 23038 //
     /* 2008072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008118 */     // MIs[0] round
     /* 2008118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2008131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008155 */     // GIR_Coverage, 23038,
     /* 2008155 */     GIR_EraseRootFromParent_Done,
     /* 2008156 */   // Label 26829: @2008156
     /* 2008156 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2008245), // Rule ID 23039 //
     /* 2008161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008207 */     // MIs[0] round
     /* 2008207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008217 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2008220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008244 */     // GIR_Coverage, 23039,
     /* 2008244 */     GIR_EraseRootFromParent_Done,
     /* 2008245 */   // Label 26830: @2008245
     /* 2008245 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2008334), // Rule ID 23042 //
     /* 2008250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2008253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008296 */     // MIs[0] round
     /* 2008296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008306 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2008306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2008309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008333 */     // GIR_Coverage, 23042,
     /* 2008333 */     GIR_EraseRootFromParent_Done,
     /* 2008334 */   // Label 26831: @2008334
     /* 2008334 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2008423), // Rule ID 23043 //
     /* 2008339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2008342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2008347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2008356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2008359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008385 */     // MIs[0] round
     /* 2008385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008395 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2008395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2008398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2008421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008422 */     // GIR_Coverage, 23043,
     /* 2008422 */     GIR_EraseRootFromParent_Done,
     /* 2008423 */   // Label 26832: @2008423
     /* 2008423 */   GIM_Reject,
     /* 2008424 */ // Label 19830: @2008424
     /* 2008424 */ GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2196725),
     /* 2008429 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2008432 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2008534), // Rule ID 15878 //
     /* 2008437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008487 */     // MIs[1] Operand 1
     /* 2008487 */     // No operand predicates
     /* 2008487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008491 */     // MIs[0] round
     /* 2008491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008494 */     // MIs[0] policy
     /* 2008494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008506 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2008509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008533 */     // GIR_Coverage, 15878,
     /* 2008533 */     GIR_EraseRootFromParent_Done,
     /* 2008534 */   // Label 26834: @2008534
     /* 2008534 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2008636), // Rule ID 15879 //
     /* 2008539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008589 */     // MIs[1] Operand 1
     /* 2008589 */     // No operand predicates
     /* 2008589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008593 */     // MIs[0] round
     /* 2008593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008596 */     // MIs[0] policy
     /* 2008596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2008611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008635 */     // GIR_Coverage, 15879,
     /* 2008635 */     GIR_EraseRootFromParent_Done,
     /* 2008636 */   // Label 26835: @2008636
     /* 2008636 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2008738), // Rule ID 15882 //
     /* 2008641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008691 */     // MIs[1] Operand 1
     /* 2008691 */     // No operand predicates
     /* 2008691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008695 */     // MIs[0] round
     /* 2008695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008698 */     // MIs[0] policy
     /* 2008698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008710 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2008713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008737 */     // GIR_Coverage, 15882,
     /* 2008737 */     GIR_EraseRootFromParent_Done,
     /* 2008738 */   // Label 26836: @2008738
     /* 2008738 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2008840), // Rule ID 15883 //
     /* 2008743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008793 */     // MIs[1] Operand 1
     /* 2008793 */     // No operand predicates
     /* 2008793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008797 */     // MIs[0] round
     /* 2008797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008800 */     // MIs[0] policy
     /* 2008800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2008815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008839 */     // GIR_Coverage, 15883,
     /* 2008839 */     GIR_EraseRootFromParent_Done,
     /* 2008840 */   // Label 26837: @2008840
     /* 2008840 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2008942), // Rule ID 15886 //
     /* 2008845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008895 */     // MIs[1] Operand 1
     /* 2008895 */     // No operand predicates
     /* 2008895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008899 */     // MIs[0] round
     /* 2008899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008902 */     // MIs[0] policy
     /* 2008902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008914 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2008917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008941 */     // GIR_Coverage, 15886,
     /* 2008941 */     GIR_EraseRootFromParent_Done,
     /* 2008942 */   // Label 26838: @2008942
     /* 2008942 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2009044), // Rule ID 15887 //
     /* 2008947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2008955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008997 */     // MIs[1] Operand 1
     /* 2008997 */     // No operand predicates
     /* 2008997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009001 */     // MIs[0] round
     /* 2009001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009004 */     // MIs[0] policy
     /* 2009004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009016 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2009019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009043 */     // GIR_Coverage, 15887,
     /* 2009043 */     GIR_EraseRootFromParent_Done,
     /* 2009044 */   // Label 26839: @2009044
     /* 2009044 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2009146), // Rule ID 15890 //
     /* 2009049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009099 */     // MIs[1] Operand 1
     /* 2009099 */     // No operand predicates
     /* 2009099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009103 */     // MIs[0] round
     /* 2009103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009106 */     // MIs[0] policy
     /* 2009106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2009121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009145 */     // GIR_Coverage, 15890,
     /* 2009145 */     GIR_EraseRootFromParent_Done,
     /* 2009146 */   // Label 26840: @2009146
     /* 2009146 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2009248), // Rule ID 15891 //
     /* 2009151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2009162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2009165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009201 */     // MIs[1] Operand 1
     /* 2009201 */     // No operand predicates
     /* 2009201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009205 */     // MIs[0] round
     /* 2009205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009208 */     // MIs[0] policy
     /* 2009208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2009223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009247 */     // GIR_Coverage, 15891,
     /* 2009247 */     GIR_EraseRootFromParent_Done,
     /* 2009248 */   // Label 26841: @2009248
     /* 2009248 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2009350), // Rule ID 15894 //
     /* 2009253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009303 */     // MIs[1] Operand 1
     /* 2009303 */     // No operand predicates
     /* 2009303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009307 */     // MIs[0] round
     /* 2009307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009310 */     // MIs[0] policy
     /* 2009310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2009325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009349 */     // GIR_Coverage, 15894,
     /* 2009349 */     GIR_EraseRootFromParent_Done,
     /* 2009350 */   // Label 26842: @2009350
     /* 2009350 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2009452), // Rule ID 15895 //
     /* 2009355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2009366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2009369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009405 */     // MIs[1] Operand 1
     /* 2009405 */     // No operand predicates
     /* 2009405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009409 */     // MIs[0] round
     /* 2009409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009412 */     // MIs[0] policy
     /* 2009412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2009427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009451 */     // GIR_Coverage, 15895,
     /* 2009451 */     GIR_EraseRootFromParent_Done,
     /* 2009452 */   // Label 26843: @2009452
     /* 2009452 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2009554), // Rule ID 15898 //
     /* 2009457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009507 */     // MIs[1] Operand 1
     /* 2009507 */     // No operand predicates
     /* 2009507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009511 */     // MIs[0] round
     /* 2009511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009514 */     // MIs[0] policy
     /* 2009514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2009529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009553 */     // GIR_Coverage, 15898,
     /* 2009553 */     GIR_EraseRootFromParent_Done,
     /* 2009554 */   // Label 26844: @2009554
     /* 2009554 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2009656), // Rule ID 15899 //
     /* 2009559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009609 */     // MIs[1] Operand 1
     /* 2009609 */     // No operand predicates
     /* 2009609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009613 */     // MIs[0] round
     /* 2009613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009616 */     // MIs[0] policy
     /* 2009616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2009631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009655 */     // GIR_Coverage, 15899,
     /* 2009655 */     GIR_EraseRootFromParent_Done,
     /* 2009656 */   // Label 26845: @2009656
     /* 2009656 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2009758), // Rule ID 15902 //
     /* 2009661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009711 */     // MIs[1] Operand 1
     /* 2009711 */     // No operand predicates
     /* 2009711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009715 */     // MIs[0] round
     /* 2009715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009718 */     // MIs[0] policy
     /* 2009718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2009733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009757 */     // GIR_Coverage, 15902,
     /* 2009757 */     GIR_EraseRootFromParent_Done,
     /* 2009758 */   // Label 26846: @2009758
     /* 2009758 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2009860), // Rule ID 15903 //
     /* 2009763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009813 */     // MIs[1] Operand 1
     /* 2009813 */     // No operand predicates
     /* 2009813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009817 */     // MIs[0] round
     /* 2009817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009820 */     // MIs[0] policy
     /* 2009820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2009835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009859 */     // GIR_Coverage, 15903,
     /* 2009859 */     GIR_EraseRootFromParent_Done,
     /* 2009860 */   // Label 26847: @2009860
     /* 2009860 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2009962), // Rule ID 15906 //
     /* 2009865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009915 */     // MIs[1] Operand 1
     /* 2009915 */     // No operand predicates
     /* 2009915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009919 */     // MIs[0] round
     /* 2009919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009922 */     // MIs[0] policy
     /* 2009922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2009937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009961 */     // GIR_Coverage, 15906,
     /* 2009961 */     GIR_EraseRootFromParent_Done,
     /* 2009962 */   // Label 26848: @2009962
     /* 2009962 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2010064), // Rule ID 15907 //
     /* 2009967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2009975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010017 */     // MIs[1] Operand 1
     /* 2010017 */     // No operand predicates
     /* 2010017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010021 */     // MIs[0] round
     /* 2010021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010024 */     // MIs[0] policy
     /* 2010024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2010039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010063 */     // GIR_Coverage, 15907,
     /* 2010063 */     GIR_EraseRootFromParent_Done,
     /* 2010064 */   // Label 26849: @2010064
     /* 2010064 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2010166), // Rule ID 15910 //
     /* 2010069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010119 */     // MIs[1] Operand 1
     /* 2010119 */     // No operand predicates
     /* 2010119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010123 */     // MIs[0] round
     /* 2010123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010126 */     // MIs[0] policy
     /* 2010126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2010141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010165 */     // GIR_Coverage, 15910,
     /* 2010165 */     GIR_EraseRootFromParent_Done,
     /* 2010166 */   // Label 26850: @2010166
     /* 2010166 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2010268), // Rule ID 15911 //
     /* 2010171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010221 */     // MIs[1] Operand 1
     /* 2010221 */     // No operand predicates
     /* 2010221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010225 */     // MIs[0] round
     /* 2010225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010228 */     // MIs[0] policy
     /* 2010228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2010243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010267 */     // GIR_Coverage, 15911,
     /* 2010267 */     GIR_EraseRootFromParent_Done,
     /* 2010268 */   // Label 26851: @2010268
     /* 2010268 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2010370), // Rule ID 15914 //
     /* 2010273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010323 */     // MIs[1] Operand 1
     /* 2010323 */     // No operand predicates
     /* 2010323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010327 */     // MIs[0] round
     /* 2010327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010330 */     // MIs[0] policy
     /* 2010330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2010345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010369 */     // GIR_Coverage, 15914,
     /* 2010369 */     GIR_EraseRootFromParent_Done,
     /* 2010370 */   // Label 26852: @2010370
     /* 2010370 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2010472), // Rule ID 15915 //
     /* 2010375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010425 */     // MIs[1] Operand 1
     /* 2010425 */     // No operand predicates
     /* 2010425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010429 */     // MIs[0] round
     /* 2010429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010432 */     // MIs[0] policy
     /* 2010432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2010447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010471 */     // GIR_Coverage, 15915,
     /* 2010471 */     GIR_EraseRootFromParent_Done,
     /* 2010472 */   // Label 26853: @2010472
     /* 2010472 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2010574), // Rule ID 15918 //
     /* 2010477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010527 */     // MIs[1] Operand 1
     /* 2010527 */     // No operand predicates
     /* 2010527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010531 */     // MIs[0] round
     /* 2010531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010534 */     // MIs[0] policy
     /* 2010534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2010549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010573 */     // GIR_Coverage, 15918,
     /* 2010573 */     GIR_EraseRootFromParent_Done,
     /* 2010574 */   // Label 26854: @2010574
     /* 2010574 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2010676), // Rule ID 15919 //
     /* 2010579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010629 */     // MIs[1] Operand 1
     /* 2010629 */     // No operand predicates
     /* 2010629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010633 */     // MIs[0] round
     /* 2010633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010636 */     // MIs[0] policy
     /* 2010636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010648 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2010651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010675 */     // GIR_Coverage, 15919,
     /* 2010675 */     GIR_EraseRootFromParent_Done,
     /* 2010676 */   // Label 26855: @2010676
     /* 2010676 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2010778), // Rule ID 15922 //
     /* 2010681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010731 */     // MIs[1] Operand 1
     /* 2010731 */     // No operand predicates
     /* 2010731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010735 */     // MIs[0] round
     /* 2010735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010738 */     // MIs[0] policy
     /* 2010738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010750 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2010753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010777 */     // GIR_Coverage, 15922,
     /* 2010777 */     GIR_EraseRootFromParent_Done,
     /* 2010778 */   // Label 26856: @2010778
     /* 2010778 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2010880), // Rule ID 15923 //
     /* 2010783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010833 */     // MIs[1] Operand 1
     /* 2010833 */     // No operand predicates
     /* 2010833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010837 */     // MIs[0] round
     /* 2010837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010840 */     // MIs[0] policy
     /* 2010840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2010855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010879 */     // GIR_Coverage, 15923,
     /* 2010879 */     GIR_EraseRootFromParent_Done,
     /* 2010880 */   // Label 26857: @2010880
     /* 2010880 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2010982), // Rule ID 15926 //
     /* 2010885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2010899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2010902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2010908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010935 */     // MIs[1] Operand 1
     /* 2010935 */     // No operand predicates
     /* 2010935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010939 */     // MIs[0] round
     /* 2010939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010942 */     // MIs[0] policy
     /* 2010942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2010957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010981 */     // GIR_Coverage, 15926,
     /* 2010981 */     GIR_EraseRootFromParent_Done,
     /* 2010982 */   // Label 26858: @2010982
     /* 2010982 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2011084), // Rule ID 15927 //
     /* 2010987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2010995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2011001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2011004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2011010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011037 */     // MIs[1] Operand 1
     /* 2011037 */     // No operand predicates
     /* 2011037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011041 */     // MIs[0] round
     /* 2011041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011044 */     // MIs[0] policy
     /* 2011044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011056 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2011059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011083 */     // GIR_Coverage, 15927,
     /* 2011083 */     GIR_EraseRootFromParent_Done,
     /* 2011084 */   // Label 26859: @2011084
     /* 2011084 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2011186), // Rule ID 15930 //
     /* 2011089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011139 */     // MIs[1] Operand 1
     /* 2011139 */     // No operand predicates
     /* 2011139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011143 */     // MIs[0] round
     /* 2011143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011146 */     // MIs[0] policy
     /* 2011146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2011161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011185 */     // GIR_Coverage, 15930,
     /* 2011185 */     GIR_EraseRootFromParent_Done,
     /* 2011186 */   // Label 26860: @2011186
     /* 2011186 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2011288), // Rule ID 15931 //
     /* 2011191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011241 */     // MIs[1] Operand 1
     /* 2011241 */     // No operand predicates
     /* 2011241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011245 */     // MIs[0] round
     /* 2011245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011248 */     // MIs[0] policy
     /* 2011248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011260 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2011263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011287 */     // GIR_Coverage, 15931,
     /* 2011287 */     GIR_EraseRootFromParent_Done,
     /* 2011288 */   // Label 26861: @2011288
     /* 2011288 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2011390), // Rule ID 15934 //
     /* 2011293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011343 */     // MIs[1] Operand 1
     /* 2011343 */     // No operand predicates
     /* 2011343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011347 */     // MIs[0] round
     /* 2011347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011350 */     // MIs[0] policy
     /* 2011350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2011365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011389 */     // GIR_Coverage, 15934,
     /* 2011389 */     GIR_EraseRootFromParent_Done,
     /* 2011390 */   // Label 26862: @2011390
     /* 2011390 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2011492), // Rule ID 15935 //
     /* 2011395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011445 */     // MIs[1] Operand 1
     /* 2011445 */     // No operand predicates
     /* 2011445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011449 */     // MIs[0] round
     /* 2011449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011452 */     // MIs[0] policy
     /* 2011452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2011467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011491 */     // GIR_Coverage, 15935,
     /* 2011491 */     GIR_EraseRootFromParent_Done,
     /* 2011492 */   // Label 26863: @2011492
     /* 2011492 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2011594), // Rule ID 15938 //
     /* 2011497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011547 */     // MIs[1] Operand 1
     /* 2011547 */     // No operand predicates
     /* 2011547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011551 */     // MIs[0] round
     /* 2011551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011554 */     // MIs[0] policy
     /* 2011554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2011569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011593 */     // GIR_Coverage, 15938,
     /* 2011593 */     GIR_EraseRootFromParent_Done,
     /* 2011594 */   // Label 26864: @2011594
     /* 2011594 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2011696), // Rule ID 15939 //
     /* 2011599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011649 */     // MIs[1] Operand 1
     /* 2011649 */     // No operand predicates
     /* 2011649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011653 */     // MIs[0] round
     /* 2011653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011656 */     // MIs[0] policy
     /* 2011656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2011671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011695 */     // GIR_Coverage, 15939,
     /* 2011695 */     GIR_EraseRootFromParent_Done,
     /* 2011696 */   // Label 26865: @2011696
     /* 2011696 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2011798), // Rule ID 15942 //
     /* 2011701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011751 */     // MIs[1] Operand 1
     /* 2011751 */     // No operand predicates
     /* 2011751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011755 */     // MIs[0] round
     /* 2011755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011758 */     // MIs[0] policy
     /* 2011758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2011773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011797 */     // GIR_Coverage, 15942,
     /* 2011797 */     GIR_EraseRootFromParent_Done,
     /* 2011798 */   // Label 26866: @2011798
     /* 2011798 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2011900), // Rule ID 15943 //
     /* 2011803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011853 */     // MIs[1] Operand 1
     /* 2011853 */     // No operand predicates
     /* 2011853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011857 */     // MIs[0] round
     /* 2011857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011860 */     // MIs[0] policy
     /* 2011860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2011875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011899 */     // GIR_Coverage, 15943,
     /* 2011899 */     GIR_EraseRootFromParent_Done,
     /* 2011900 */   // Label 26867: @2011900
     /* 2011900 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2012002), // Rule ID 15946 //
     /* 2011905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2011913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011955 */     // MIs[1] Operand 1
     /* 2011955 */     // No operand predicates
     /* 2011955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011959 */     // MIs[0] round
     /* 2011959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011962 */     // MIs[0] policy
     /* 2011962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2011977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012001 */     // GIR_Coverage, 15946,
     /* 2012001 */     GIR_EraseRootFromParent_Done,
     /* 2012002 */   // Label 26868: @2012002
     /* 2012002 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2012104), // Rule ID 15947 //
     /* 2012007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2012018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2012021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012057 */     // MIs[1] Operand 1
     /* 2012057 */     // No operand predicates
     /* 2012057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012061 */     // MIs[0] round
     /* 2012061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012064 */     // MIs[0] policy
     /* 2012064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2012079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012103 */     // GIR_Coverage, 15947,
     /* 2012103 */     GIR_EraseRootFromParent_Done,
     /* 2012104 */   // Label 26869: @2012104
     /* 2012104 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2012206), // Rule ID 15950 //
     /* 2012109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012159 */     // MIs[1] Operand 1
     /* 2012159 */     // No operand predicates
     /* 2012159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012163 */     // MIs[0] round
     /* 2012163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012166 */     // MIs[0] policy
     /* 2012166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2012181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012205 */     // GIR_Coverage, 15950,
     /* 2012205 */     GIR_EraseRootFromParent_Done,
     /* 2012206 */   // Label 26870: @2012206
     /* 2012206 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2012308), // Rule ID 15951 //
     /* 2012211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2012222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2012225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012261 */     // MIs[1] Operand 1
     /* 2012261 */     // No operand predicates
     /* 2012261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012265 */     // MIs[0] round
     /* 2012265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012268 */     // MIs[0] policy
     /* 2012268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2012283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012307 */     // GIR_Coverage, 15951,
     /* 2012307 */     GIR_EraseRootFromParent_Done,
     /* 2012308 */   // Label 26871: @2012308
     /* 2012308 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2012410), // Rule ID 15954 //
     /* 2012313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012363 */     // MIs[1] Operand 1
     /* 2012363 */     // No operand predicates
     /* 2012363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012367 */     // MIs[0] round
     /* 2012367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012370 */     // MIs[0] policy
     /* 2012370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2012385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012409 */     // GIR_Coverage, 15954,
     /* 2012409 */     GIR_EraseRootFromParent_Done,
     /* 2012410 */   // Label 26872: @2012410
     /* 2012410 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2012512), // Rule ID 15955 //
     /* 2012415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012465 */     // MIs[1] Operand 1
     /* 2012465 */     // No operand predicates
     /* 2012465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012469 */     // MIs[0] round
     /* 2012469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012472 */     // MIs[0] policy
     /* 2012472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2012487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012511 */     // GIR_Coverage, 15955,
     /* 2012511 */     GIR_EraseRootFromParent_Done,
     /* 2012512 */   // Label 26873: @2012512
     /* 2012512 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2012614), // Rule ID 15958 //
     /* 2012517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012567 */     // MIs[1] Operand 1
     /* 2012567 */     // No operand predicates
     /* 2012567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012571 */     // MIs[0] round
     /* 2012571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012574 */     // MIs[0] policy
     /* 2012574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2012589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012613 */     // GIR_Coverage, 15958,
     /* 2012613 */     GIR_EraseRootFromParent_Done,
     /* 2012614 */   // Label 26874: @2012614
     /* 2012614 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2012716), // Rule ID 15959 //
     /* 2012619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012669 */     // MIs[1] Operand 1
     /* 2012669 */     // No operand predicates
     /* 2012669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012673 */     // MIs[0] round
     /* 2012673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012676 */     // MIs[0] policy
     /* 2012676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2012691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012715 */     // GIR_Coverage, 15959,
     /* 2012715 */     GIR_EraseRootFromParent_Done,
     /* 2012716 */   // Label 26875: @2012716
     /* 2012716 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2012818), // Rule ID 15962 //
     /* 2012721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012771 */     // MIs[1] Operand 1
     /* 2012771 */     // No operand predicates
     /* 2012771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012775 */     // MIs[0] round
     /* 2012775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012778 */     // MIs[0] policy
     /* 2012778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2012793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012817 */     // GIR_Coverage, 15962,
     /* 2012817 */     GIR_EraseRootFromParent_Done,
     /* 2012818 */   // Label 26876: @2012818
     /* 2012818 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2012920), // Rule ID 15963 //
     /* 2012823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2012831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012873 */     // MIs[1] Operand 1
     /* 2012873 */     // No operand predicates
     /* 2012873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012877 */     // MIs[0] round
     /* 2012877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012880 */     // MIs[0] policy
     /* 2012880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012892 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2012895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012919 */     // GIR_Coverage, 15963,
     /* 2012919 */     GIR_EraseRootFromParent_Done,
     /* 2012920 */   // Label 26877: @2012920
     /* 2012920 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2013022), // Rule ID 16142 //
     /* 2012925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2012933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2012936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2012939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2012942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012975 */     // MIs[1] Operand 1
     /* 2012975 */     // No operand predicates
     /* 2012975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012979 */     // MIs[0] round
     /* 2012979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012982 */     // MIs[0] policy
     /* 2012982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012994 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2012997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013021 */     // GIR_Coverage, 16142,
     /* 2013021 */     GIR_EraseRootFromParent_Done,
     /* 2013022 */   // Label 26878: @2013022
     /* 2013022 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2013124), // Rule ID 16143 //
     /* 2013027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2013038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2013041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2013044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013077 */     // MIs[1] Operand 1
     /* 2013077 */     // No operand predicates
     /* 2013077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013081 */     // MIs[0] round
     /* 2013081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013084 */     // MIs[0] policy
     /* 2013084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2013099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013123 */     // GIR_Coverage, 16143,
     /* 2013123 */     GIR_EraseRootFromParent_Done,
     /* 2013124 */   // Label 26879: @2013124
     /* 2013124 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2013226), // Rule ID 16146 //
     /* 2013129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2013146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013179 */     // MIs[1] Operand 1
     /* 2013179 */     // No operand predicates
     /* 2013179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013183 */     // MIs[0] round
     /* 2013183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013186 */     // MIs[0] policy
     /* 2013186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013198 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2013201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013225 */     // GIR_Coverage, 16146,
     /* 2013225 */     GIR_EraseRootFromParent_Done,
     /* 2013226 */   // Label 26880: @2013226
     /* 2013226 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2013328), // Rule ID 16147 //
     /* 2013231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2013242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2013245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2013248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013281 */     // MIs[1] Operand 1
     /* 2013281 */     // No operand predicates
     /* 2013281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013285 */     // MIs[0] round
     /* 2013285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013288 */     // MIs[0] policy
     /* 2013288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013300 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2013303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013327 */     // GIR_Coverage, 16147,
     /* 2013327 */     GIR_EraseRootFromParent_Done,
     /* 2013328 */   // Label 26881: @2013328
     /* 2013328 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2013430), // Rule ID 16150 //
     /* 2013333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2013350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013383 */     // MIs[1] Operand 1
     /* 2013383 */     // No operand predicates
     /* 2013383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013387 */     // MIs[0] round
     /* 2013387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013390 */     // MIs[0] policy
     /* 2013390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2013405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013429 */     // GIR_Coverage, 16150,
     /* 2013429 */     GIR_EraseRootFromParent_Done,
     /* 2013430 */   // Label 26882: @2013430
     /* 2013430 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2013532), // Rule ID 16151 //
     /* 2013435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2013452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013485 */     // MIs[1] Operand 1
     /* 2013485 */     // No operand predicates
     /* 2013485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013489 */     // MIs[0] round
     /* 2013489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013492 */     // MIs[0] policy
     /* 2013492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2013507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013531 */     // GIR_Coverage, 16151,
     /* 2013531 */     GIR_EraseRootFromParent_Done,
     /* 2013532 */   // Label 26883: @2013532
     /* 2013532 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2013634), // Rule ID 16154 //
     /* 2013537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2013548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2013551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013587 */     // MIs[1] Operand 1
     /* 2013587 */     // No operand predicates
     /* 2013587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013591 */     // MIs[0] round
     /* 2013591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013594 */     // MIs[0] policy
     /* 2013594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2013609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013633 */     // GIR_Coverage, 16154,
     /* 2013633 */     GIR_EraseRootFromParent_Done,
     /* 2013634 */   // Label 26884: @2013634
     /* 2013634 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2013736), // Rule ID 16155 //
     /* 2013639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2013650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2013653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013689 */     // MIs[1] Operand 1
     /* 2013689 */     // No operand predicates
     /* 2013689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013693 */     // MIs[0] round
     /* 2013693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013696 */     // MIs[0] policy
     /* 2013696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2013711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013735 */     // GIR_Coverage, 16155,
     /* 2013735 */     GIR_EraseRootFromParent_Done,
     /* 2013736 */   // Label 26885: @2013736
     /* 2013736 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2013838), // Rule ID 16158 //
     /* 2013741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2013752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2013755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013791 */     // MIs[1] Operand 1
     /* 2013791 */     // No operand predicates
     /* 2013791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013795 */     // MIs[0] round
     /* 2013795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013798 */     // MIs[0] policy
     /* 2013798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2013813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013837 */     // GIR_Coverage, 16158,
     /* 2013837 */     GIR_EraseRootFromParent_Done,
     /* 2013838 */   // Label 26886: @2013838
     /* 2013838 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2013940), // Rule ID 16159 //
     /* 2013843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2013854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2013857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013893 */     // MIs[1] Operand 1
     /* 2013893 */     // No operand predicates
     /* 2013893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013897 */     // MIs[0] round
     /* 2013897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013900 */     // MIs[0] policy
     /* 2013900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2013915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013939 */     // GIR_Coverage, 16159,
     /* 2013939 */     GIR_EraseRootFromParent_Done,
     /* 2013940 */   // Label 26887: @2013940
     /* 2013940 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2014042), // Rule ID 16162 //
     /* 2013945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2013953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2013956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2013959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2013962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013995 */     // MIs[1] Operand 1
     /* 2013995 */     // No operand predicates
     /* 2013995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013999 */     // MIs[0] round
     /* 2013999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014002 */     // MIs[0] policy
     /* 2014002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2014017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014041 */     // GIR_Coverage, 16162,
     /* 2014041 */     GIR_EraseRootFromParent_Done,
     /* 2014042 */   // Label 26888: @2014042
     /* 2014042 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2014144), // Rule ID 16163 //
     /* 2014047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2014058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2014061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014097 */     // MIs[1] Operand 1
     /* 2014097 */     // No operand predicates
     /* 2014097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014101 */     // MIs[0] round
     /* 2014101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014104 */     // MIs[0] policy
     /* 2014104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2014119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014143 */     // GIR_Coverage, 16163,
     /* 2014143 */     GIR_EraseRootFromParent_Done,
     /* 2014144 */   // Label 26889: @2014144
     /* 2014144 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2014246), // Rule ID 16166 //
     /* 2014149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2014160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2014163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2014166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014199 */     // MIs[1] Operand 1
     /* 2014199 */     // No operand predicates
     /* 2014199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014203 */     // MIs[0] round
     /* 2014203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014206 */     // MIs[0] policy
     /* 2014206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014218 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014245 */     // GIR_Coverage, 16166,
     /* 2014245 */     GIR_EraseRootFromParent_Done,
     /* 2014246 */   // Label 26890: @2014246
     /* 2014246 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2014348), // Rule ID 16167 //
     /* 2014251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2014262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2014265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2014268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014301 */     // MIs[1] Operand 1
     /* 2014301 */     // No operand predicates
     /* 2014301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014305 */     // MIs[0] round
     /* 2014305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014308 */     // MIs[0] policy
     /* 2014308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014347 */     // GIR_Coverage, 16167,
     /* 2014347 */     GIR_EraseRootFromParent_Done,
     /* 2014348 */   // Label 26891: @2014348
     /* 2014348 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2014450), // Rule ID 16170 //
     /* 2014353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2014370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014403 */     // MIs[1] Operand 1
     /* 2014403 */     // No operand predicates
     /* 2014403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014407 */     // MIs[0] round
     /* 2014407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014410 */     // MIs[0] policy
     /* 2014410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014449 */     // GIR_Coverage, 16170,
     /* 2014449 */     GIR_EraseRootFromParent_Done,
     /* 2014450 */   // Label 26892: @2014450
     /* 2014450 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2014552), // Rule ID 16171 //
     /* 2014455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2014472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014505 */     // MIs[1] Operand 1
     /* 2014505 */     // No operand predicates
     /* 2014505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014509 */     // MIs[0] round
     /* 2014509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014512 */     // MIs[0] policy
     /* 2014512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014551 */     // GIR_Coverage, 16171,
     /* 2014551 */     GIR_EraseRootFromParent_Done,
     /* 2014552 */   // Label 26893: @2014552
     /* 2014552 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2014654), // Rule ID 16174 //
     /* 2014557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014607 */     // MIs[1] Operand 1
     /* 2014607 */     // No operand predicates
     /* 2014607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014611 */     // MIs[0] round
     /* 2014611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014614 */     // MIs[0] policy
     /* 2014614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014653 */     // GIR_Coverage, 16174,
     /* 2014653 */     GIR_EraseRootFromParent_Done,
     /* 2014654 */   // Label 26894: @2014654
     /* 2014654 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2014756), // Rule ID 16175 //
     /* 2014659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014709 */     // MIs[1] Operand 1
     /* 2014709 */     // No operand predicates
     /* 2014709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014713 */     // MIs[0] round
     /* 2014713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014716 */     // MIs[0] policy
     /* 2014716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014755 */     // GIR_Coverage, 16175,
     /* 2014755 */     GIR_EraseRootFromParent_Done,
     /* 2014756 */   // Label 26895: @2014756
     /* 2014756 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2014858), // Rule ID 16178 //
     /* 2014761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2014764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2014778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014811 */     // MIs[1] Operand 1
     /* 2014811 */     // No operand predicates
     /* 2014811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014815 */     // MIs[0] round
     /* 2014815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014818 */     // MIs[0] policy
     /* 2014818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014857 */     // GIR_Coverage, 16178,
     /* 2014857 */     GIR_EraseRootFromParent_Done,
     /* 2014858 */   // Label 26896: @2014858
     /* 2014858 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2014960), // Rule ID 16179 //
     /* 2014863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2014866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2014880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014913 */     // MIs[1] Operand 1
     /* 2014913 */     // No operand predicates
     /* 2014913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014917 */     // MIs[0] round
     /* 2014917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014920 */     // MIs[0] policy
     /* 2014920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2014935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014959 */     // GIR_Coverage, 16179,
     /* 2014959 */     GIR_EraseRootFromParent_Done,
     /* 2014960 */   // Label 26897: @2014960
     /* 2014960 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2015062), // Rule ID 16182 //
     /* 2014965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2014973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2014976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2014979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2014982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015015 */     // MIs[1] Operand 1
     /* 2015015 */     // No operand predicates
     /* 2015015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015019 */     // MIs[0] round
     /* 2015019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015022 */     // MIs[0] policy
     /* 2015022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2015037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015061 */     // GIR_Coverage, 16182,
     /* 2015061 */     GIR_EraseRootFromParent_Done,
     /* 2015062 */   // Label 26898: @2015062
     /* 2015062 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2015164), // Rule ID 16183 //
     /* 2015067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2015078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2015081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2015084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015117 */     // MIs[1] Operand 1
     /* 2015117 */     // No operand predicates
     /* 2015117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015121 */     // MIs[0] round
     /* 2015121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015124 */     // MIs[0] policy
     /* 2015124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2015139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015163 */     // GIR_Coverage, 16183,
     /* 2015163 */     GIR_EraseRootFromParent_Done,
     /* 2015164 */   // Label 26899: @2015164
     /* 2015164 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2015266), // Rule ID 16186 //
     /* 2015169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2015180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2015183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2015186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015219 */     // MIs[1] Operand 1
     /* 2015219 */     // No operand predicates
     /* 2015219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015223 */     // MIs[0] round
     /* 2015223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015226 */     // MIs[0] policy
     /* 2015226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2015241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015265 */     // GIR_Coverage, 16186,
     /* 2015265 */     GIR_EraseRootFromParent_Done,
     /* 2015266 */   // Label 26900: @2015266
     /* 2015266 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2015368), // Rule ID 16187 //
     /* 2015271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2015282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2015285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2015288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015321 */     // MIs[1] Operand 1
     /* 2015321 */     // No operand predicates
     /* 2015321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015325 */     // MIs[0] round
     /* 2015325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015328 */     // MIs[0] policy
     /* 2015328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015340 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2015343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015367 */     // GIR_Coverage, 16187,
     /* 2015367 */     GIR_EraseRootFromParent_Done,
     /* 2015368 */   // Label 26901: @2015368
     /* 2015368 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2015470), // Rule ID 16190 //
     /* 2015373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2015384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2015387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2015390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2015396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015423 */     // MIs[1] Operand 1
     /* 2015423 */     // No operand predicates
     /* 2015423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015427 */     // MIs[0] round
     /* 2015427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015430 */     // MIs[0] policy
     /* 2015430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2015445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015469 */     // GIR_Coverage, 16190,
     /* 2015469 */     GIR_EraseRootFromParent_Done,
     /* 2015470 */   // Label 26902: @2015470
     /* 2015470 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2015572), // Rule ID 16191 //
     /* 2015475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2015486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2015489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2015492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2015498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015525 */     // MIs[1] Operand 1
     /* 2015525 */     // No operand predicates
     /* 2015525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015529 */     // MIs[0] round
     /* 2015529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015532 */     // MIs[0] policy
     /* 2015532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015544 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2015547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015571 */     // GIR_Coverage, 16191,
     /* 2015571 */     GIR_EraseRootFromParent_Done,
     /* 2015572 */   // Label 26903: @2015572
     /* 2015572 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2015674), // Rule ID 16194 //
     /* 2015577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2015594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015627 */     // MIs[1] Operand 1
     /* 2015627 */     // No operand predicates
     /* 2015627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015631 */     // MIs[0] round
     /* 2015631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015634 */     // MIs[0] policy
     /* 2015634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2015649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015673 */     // GIR_Coverage, 16194,
     /* 2015673 */     GIR_EraseRootFromParent_Done,
     /* 2015674 */   // Label 26904: @2015674
     /* 2015674 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2015776), // Rule ID 16195 //
     /* 2015679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2015696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015729 */     // MIs[1] Operand 1
     /* 2015729 */     // No operand predicates
     /* 2015729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015733 */     // MIs[0] round
     /* 2015733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015736 */     // MIs[0] policy
     /* 2015736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2015751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015775 */     // GIR_Coverage, 16195,
     /* 2015775 */     GIR_EraseRootFromParent_Done,
     /* 2015776 */   // Label 26905: @2015776
     /* 2015776 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2015878), // Rule ID 16198 //
     /* 2015781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2015798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015831 */     // MIs[1] Operand 1
     /* 2015831 */     // No operand predicates
     /* 2015831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015835 */     // MIs[0] round
     /* 2015835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015838 */     // MIs[0] policy
     /* 2015838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015850 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2015853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015877 */     // GIR_Coverage, 16198,
     /* 2015877 */     GIR_EraseRootFromParent_Done,
     /* 2015878 */   // Label 26906: @2015878
     /* 2015878 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2015980), // Rule ID 16199 //
     /* 2015883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2015900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015933 */     // MIs[1] Operand 1
     /* 2015933 */     // No operand predicates
     /* 2015933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015937 */     // MIs[0] round
     /* 2015937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015940 */     // MIs[0] policy
     /* 2015940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2015955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015979 */     // GIR_Coverage, 16199,
     /* 2015979 */     GIR_EraseRootFromParent_Done,
     /* 2015980 */   // Label 26907: @2015980
     /* 2015980 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2016082), // Rule ID 16202 //
     /* 2015985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2015993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2015996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2015999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2016002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2016008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016035 */     // MIs[1] Operand 1
     /* 2016035 */     // No operand predicates
     /* 2016035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016039 */     // MIs[0] round
     /* 2016039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016042 */     // MIs[0] policy
     /* 2016042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2016057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016081 */     // GIR_Coverage, 16202,
     /* 2016081 */     GIR_EraseRootFromParent_Done,
     /* 2016082 */   // Label 26908: @2016082
     /* 2016082 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2016184), // Rule ID 16203 //
     /* 2016087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2016098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2016101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2016104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2016110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016137 */     // MIs[1] Operand 1
     /* 2016137 */     // No operand predicates
     /* 2016137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016141 */     // MIs[0] round
     /* 2016141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016144 */     // MIs[0] policy
     /* 2016144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016156 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2016159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016183 */     // GIR_Coverage, 16203,
     /* 2016183 */     GIR_EraseRootFromParent_Done,
     /* 2016184 */   // Label 26909: @2016184
     /* 2016184 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2016286), // Rule ID 16206 //
     /* 2016189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2016200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2016203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2016206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016239 */     // MIs[1] Operand 1
     /* 2016239 */     // No operand predicates
     /* 2016239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016243 */     // MIs[0] round
     /* 2016243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016246 */     // MIs[0] policy
     /* 2016246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2016261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016285 */     // GIR_Coverage, 16206,
     /* 2016285 */     GIR_EraseRootFromParent_Done,
     /* 2016286 */   // Label 26910: @2016286
     /* 2016286 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2016388), // Rule ID 16207 //
     /* 2016291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2016302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2016305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2016308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016341 */     // MIs[1] Operand 1
     /* 2016341 */     // No operand predicates
     /* 2016341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016345 */     // MIs[0] round
     /* 2016345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016348 */     // MIs[0] policy
     /* 2016348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2016363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016387 */     // GIR_Coverage, 16207,
     /* 2016387 */     GIR_EraseRootFromParent_Done,
     /* 2016388 */   // Label 26911: @2016388
     /* 2016388 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2016490), // Rule ID 16210 //
     /* 2016393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2016410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016443 */     // MIs[1] Operand 1
     /* 2016443 */     // No operand predicates
     /* 2016443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016447 */     // MIs[0] round
     /* 2016447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016450 */     // MIs[0] policy
     /* 2016450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2016465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016489 */     // GIR_Coverage, 16210,
     /* 2016489 */     GIR_EraseRootFromParent_Done,
     /* 2016490 */   // Label 26912: @2016490
     /* 2016490 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2016592), // Rule ID 16211 //
     /* 2016495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2016512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016545 */     // MIs[1] Operand 1
     /* 2016545 */     // No operand predicates
     /* 2016545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016549 */     // MIs[0] round
     /* 2016549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016552 */     // MIs[0] policy
     /* 2016552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2016567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016591 */     // GIR_Coverage, 16211,
     /* 2016591 */     GIR_EraseRootFromParent_Done,
     /* 2016592 */   // Label 26913: @2016592
     /* 2016592 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2016694), // Rule ID 16214 //
     /* 2016597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2016608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2016611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2016614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016647 */     // MIs[1] Operand 1
     /* 2016647 */     // No operand predicates
     /* 2016647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016651 */     // MIs[0] round
     /* 2016651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016654 */     // MIs[0] policy
     /* 2016654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2016669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016693 */     // GIR_Coverage, 16214,
     /* 2016693 */     GIR_EraseRootFromParent_Done,
     /* 2016694 */   // Label 26914: @2016694
     /* 2016694 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2016796), // Rule ID 16215 //
     /* 2016699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2016710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2016713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2016716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016749 */     // MIs[1] Operand 1
     /* 2016749 */     // No operand predicates
     /* 2016749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016753 */     // MIs[0] round
     /* 2016753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016756 */     // MIs[0] policy
     /* 2016756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2016771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016795 */     // GIR_Coverage, 16215,
     /* 2016795 */     GIR_EraseRootFromParent_Done,
     /* 2016796 */   // Label 26915: @2016796
     /* 2016796 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2016898), // Rule ID 16218 //
     /* 2016801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2016804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2016812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2016815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2016818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016851 */     // MIs[1] Operand 1
     /* 2016851 */     // No operand predicates
     /* 2016851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016855 */     // MIs[0] round
     /* 2016855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016858 */     // MIs[0] policy
     /* 2016858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2016873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016897 */     // GIR_Coverage, 16218,
     /* 2016897 */     GIR_EraseRootFromParent_Done,
     /* 2016898 */   // Label 26916: @2016898
     /* 2016898 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2017000), // Rule ID 16219 //
     /* 2016903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2016906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2016911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2016914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2016917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2016920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016953 */     // MIs[1] Operand 1
     /* 2016953 */     // No operand predicates
     /* 2016953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016957 */     // MIs[0] round
     /* 2016957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016960 */     // MIs[0] policy
     /* 2016960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2016975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016999 */     // GIR_Coverage, 16219,
     /* 2016999 */     GIR_EraseRootFromParent_Done,
     /* 2017000 */   // Label 26917: @2017000
     /* 2017000 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2017102), // Rule ID 16222 //
     /* 2017005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2017008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2017016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2017019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2017022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017055 */     // MIs[1] Operand 1
     /* 2017055 */     // No operand predicates
     /* 2017055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017059 */     // MIs[0] round
     /* 2017059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017062 */     // MIs[0] policy
     /* 2017062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2017077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017101 */     // GIR_Coverage, 16222,
     /* 2017101 */     GIR_EraseRootFromParent_Done,
     /* 2017102 */   // Label 26918: @2017102
     /* 2017102 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2017204), // Rule ID 16223 //
     /* 2017107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2017110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2017118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2017121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2017124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017157 */     // MIs[1] Operand 1
     /* 2017157 */     // No operand predicates
     /* 2017157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017161 */     // MIs[0] round
     /* 2017161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017164 */     // MIs[0] policy
     /* 2017164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2017179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017203 */     // GIR_Coverage, 16223,
     /* 2017203 */     GIR_EraseRootFromParent_Done,
     /* 2017204 */   // Label 26919: @2017204
     /* 2017204 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2017306), // Rule ID 16226 //
     /* 2017209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2017212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2017220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2017223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2017226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2017239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017259 */     // MIs[1] Operand 1
     /* 2017259 */     // No operand predicates
     /* 2017259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017263 */     // MIs[0] round
     /* 2017263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017266 */     // MIs[0] policy
     /* 2017266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2017281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017305 */     // GIR_Coverage, 16226,
     /* 2017305 */     GIR_EraseRootFromParent_Done,
     /* 2017306 */   // Label 26920: @2017306
     /* 2017306 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2017408), // Rule ID 16227 //
     /* 2017311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2017314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2017319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2017322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2017325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2017328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2017341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017361 */     // MIs[1] Operand 1
     /* 2017361 */     // No operand predicates
     /* 2017361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017365 */     // MIs[0] round
     /* 2017365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017368 */     // MIs[0] policy
     /* 2017368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2017383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017407 */     // GIR_Coverage, 16227,
     /* 2017407 */     GIR_EraseRootFromParent_Done,
     /* 2017408 */   // Label 26921: @2017408
     /* 2017408 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2017513), // Rule ID 16350 //
     /* 2017413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2017421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2017424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2017427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2017430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017463 */     // MIs[1] Operand 1
     /* 2017463 */     // No operand predicates
     /* 2017463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017467 */     // MIs[0] round
     /* 2017467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017470 */     // MIs[0] policy
     /* 2017470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2017485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017512 */     // GIR_Coverage, 16350,
     /* 2017512 */     GIR_EraseRootFromParent_Done,
     /* 2017513 */   // Label 26922: @2017513
     /* 2017513 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2017618), // Rule ID 16351 //
     /* 2017518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2017526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2017529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2017532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2017535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017568 */     // MIs[1] Operand 1
     /* 2017568 */     // No operand predicates
     /* 2017568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017572 */     // MIs[0] round
     /* 2017572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017575 */     // MIs[0] policy
     /* 2017575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017587 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2017590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017617 */     // GIR_Coverage, 16351,
     /* 2017617 */     GIR_EraseRootFromParent_Done,
     /* 2017618 */   // Label 26923: @2017618
     /* 2017618 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2017723), // Rule ID 16354 //
     /* 2017623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2017631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2017634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2017637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2017640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017673 */     // MIs[1] Operand 1
     /* 2017673 */     // No operand predicates
     /* 2017673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017677 */     // MIs[0] round
     /* 2017677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017680 */     // MIs[0] policy
     /* 2017680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017692 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2017695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017722 */     // GIR_Coverage, 16354,
     /* 2017722 */     GIR_EraseRootFromParent_Done,
     /* 2017723 */   // Label 26924: @2017723
     /* 2017723 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2017828), // Rule ID 16355 //
     /* 2017728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2017736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2017739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2017742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2017745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017778 */     // MIs[1] Operand 1
     /* 2017778 */     // No operand predicates
     /* 2017778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017782 */     // MIs[0] round
     /* 2017782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017785 */     // MIs[0] policy
     /* 2017785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017797 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2017800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017827 */     // GIR_Coverage, 16355,
     /* 2017827 */     GIR_EraseRootFromParent_Done,
     /* 2017828 */   // Label 26925: @2017828
     /* 2017828 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2017933), // Rule ID 16358 //
     /* 2017833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2017841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2017844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2017847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2017850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017883 */     // MIs[1] Operand 1
     /* 2017883 */     // No operand predicates
     /* 2017883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017887 */     // MIs[0] round
     /* 2017887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017890 */     // MIs[0] policy
     /* 2017890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2017905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017932 */     // GIR_Coverage, 16358,
     /* 2017932 */     GIR_EraseRootFromParent_Done,
     /* 2017933 */   // Label 26926: @2017933
     /* 2017933 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2018038), // Rule ID 16359 //
     /* 2017938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2017946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2017949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2017952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2017955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017988 */     // MIs[1] Operand 1
     /* 2017988 */     // No operand predicates
     /* 2017988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017992 */     // MIs[0] round
     /* 2017992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017995 */     // MIs[0] policy
     /* 2017995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018007 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2018010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018037 */     // GIR_Coverage, 16359,
     /* 2018037 */     GIR_EraseRootFromParent_Done,
     /* 2018038 */   // Label 26927: @2018038
     /* 2018038 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2018143), // Rule ID 16362 //
     /* 2018043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2018054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2018057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2018060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018093 */     // MIs[1] Operand 1
     /* 2018093 */     // No operand predicates
     /* 2018093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018097 */     // MIs[0] round
     /* 2018097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018100 */     // MIs[0] policy
     /* 2018100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2018115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018142 */     // GIR_Coverage, 16362,
     /* 2018142 */     GIR_EraseRootFromParent_Done,
     /* 2018143 */   // Label 26928: @2018143
     /* 2018143 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2018248), // Rule ID 16363 //
     /* 2018148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2018159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2018162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2018165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018198 */     // MIs[1] Operand 1
     /* 2018198 */     // No operand predicates
     /* 2018198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018202 */     // MIs[0] round
     /* 2018202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018205 */     // MIs[0] policy
     /* 2018205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2018220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018247 */     // GIR_Coverage, 16363,
     /* 2018247 */     GIR_EraseRootFromParent_Done,
     /* 2018248 */   // Label 26929: @2018248
     /* 2018248 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2018353), // Rule ID 16366 //
     /* 2018253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2018264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2018267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2018270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018303 */     // MIs[1] Operand 1
     /* 2018303 */     // No operand predicates
     /* 2018303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018307 */     // MIs[0] round
     /* 2018307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018310 */     // MIs[0] policy
     /* 2018310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018322 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2018325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018352 */     // GIR_Coverage, 16366,
     /* 2018352 */     GIR_EraseRootFromParent_Done,
     /* 2018353 */   // Label 26930: @2018353
     /* 2018353 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2018458), // Rule ID 16367 //
     /* 2018358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2018369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2018372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2018375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018408 */     // MIs[1] Operand 1
     /* 2018408 */     // No operand predicates
     /* 2018408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018412 */     // MIs[0] round
     /* 2018412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018415 */     // MIs[0] policy
     /* 2018415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018427 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2018430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018457 */     // GIR_Coverage, 16367,
     /* 2018457 */     GIR_EraseRootFromParent_Done,
     /* 2018458 */   // Label 26931: @2018458
     /* 2018458 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2018563), // Rule ID 16370 //
     /* 2018463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2018474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2018477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2018480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018513 */     // MIs[1] Operand 1
     /* 2018513 */     // No operand predicates
     /* 2018513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018517 */     // MIs[0] round
     /* 2018517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018520 */     // MIs[0] policy
     /* 2018520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2018535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018562 */     // GIR_Coverage, 16370,
     /* 2018562 */     GIR_EraseRootFromParent_Done,
     /* 2018563 */   // Label 26932: @2018563
     /* 2018563 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2018668), // Rule ID 16371 //
     /* 2018568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2018579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2018582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2018585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018618 */     // MIs[1] Operand 1
     /* 2018618 */     // No operand predicates
     /* 2018618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018622 */     // MIs[0] round
     /* 2018622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018625 */     // MIs[0] policy
     /* 2018625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2018640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018667 */     // GIR_Coverage, 16371,
     /* 2018667 */     GIR_EraseRootFromParent_Done,
     /* 2018668 */   // Label 26933: @2018668
     /* 2018668 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2018773), // Rule ID 16374 //
     /* 2018673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2018684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2018687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2018690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018723 */     // MIs[1] Operand 1
     /* 2018723 */     // No operand predicates
     /* 2018723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018727 */     // MIs[0] round
     /* 2018727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018730 */     // MIs[0] policy
     /* 2018730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2018745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018772 */     // GIR_Coverage, 16374,
     /* 2018772 */     GIR_EraseRootFromParent_Done,
     /* 2018773 */   // Label 26934: @2018773
     /* 2018773 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2018878), // Rule ID 16375 //
     /* 2018778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2018789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2018792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2018795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018828 */     // MIs[1] Operand 1
     /* 2018828 */     // No operand predicates
     /* 2018828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018832 */     // MIs[0] round
     /* 2018832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018835 */     // MIs[0] policy
     /* 2018835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2018850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018877 */     // GIR_Coverage, 16375,
     /* 2018877 */     GIR_EraseRootFromParent_Done,
     /* 2018878 */   // Label 26935: @2018878
     /* 2018878 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2018983), // Rule ID 16378 //
     /* 2018883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2018894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2018897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2018900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2018925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2018929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2018933 */     // MIs[1] Operand 1
     /* 2018933 */     // No operand predicates
     /* 2018933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018937 */     // MIs[0] round
     /* 2018937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018940 */     // MIs[0] policy
     /* 2018940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2018945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2018955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2018964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2018981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018982 */     // GIR_Coverage, 16378,
     /* 2018982 */     GIR_EraseRootFromParent_Done,
     /* 2018983 */   // Label 26936: @2018983
     /* 2018983 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2019088), // Rule ID 16379 //
     /* 2018988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2018996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2018999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2019002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2019005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019038 */     // MIs[1] Operand 1
     /* 2019038 */     // No operand predicates
     /* 2019038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019042 */     // MIs[0] round
     /* 2019042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019045 */     // MIs[0] policy
     /* 2019045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019057 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2019060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019087 */     // GIR_Coverage, 16379,
     /* 2019087 */     GIR_EraseRootFromParent_Done,
     /* 2019088 */   // Label 26937: @2019088
     /* 2019088 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2019193), // Rule ID 16382 //
     /* 2019093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2019104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2019107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019143 */     // MIs[1] Operand 1
     /* 2019143 */     // No operand predicates
     /* 2019143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019147 */     // MIs[0] round
     /* 2019147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019150 */     // MIs[0] policy
     /* 2019150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2019165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019192 */     // GIR_Coverage, 16382,
     /* 2019192 */     GIR_EraseRootFromParent_Done,
     /* 2019193 */   // Label 26938: @2019193
     /* 2019193 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2019298), // Rule ID 16383 //
     /* 2019198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2019209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2019212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019248 */     // MIs[1] Operand 1
     /* 2019248 */     // No operand predicates
     /* 2019248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019252 */     // MIs[0] round
     /* 2019252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019255 */     // MIs[0] policy
     /* 2019255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2019270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019297 */     // GIR_Coverage, 16383,
     /* 2019297 */     GIR_EraseRootFromParent_Done,
     /* 2019298 */   // Label 26939: @2019298
     /* 2019298 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2019403), // Rule ID 16386 //
     /* 2019303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2019314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2019317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019353 */     // MIs[1] Operand 1
     /* 2019353 */     // No operand predicates
     /* 2019353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019357 */     // MIs[0] round
     /* 2019357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019360 */     // MIs[0] policy
     /* 2019360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2019375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019402 */     // GIR_Coverage, 16386,
     /* 2019402 */     GIR_EraseRootFromParent_Done,
     /* 2019403 */   // Label 26940: @2019403
     /* 2019403 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2019508), // Rule ID 16387 //
     /* 2019408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2019419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2019422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019458 */     // MIs[1] Operand 1
     /* 2019458 */     // No operand predicates
     /* 2019458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019462 */     // MIs[0] round
     /* 2019462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019465 */     // MIs[0] policy
     /* 2019465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2019480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019507 */     // GIR_Coverage, 16387,
     /* 2019507 */     GIR_EraseRootFromParent_Done,
     /* 2019508 */   // Label 26941: @2019508
     /* 2019508 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2019613), // Rule ID 16390 //
     /* 2019513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2019524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2019527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019563 */     // MIs[1] Operand 1
     /* 2019563 */     // No operand predicates
     /* 2019563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019567 */     // MIs[0] round
     /* 2019567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019570 */     // MIs[0] policy
     /* 2019570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019582 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2019585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019612 */     // GIR_Coverage, 16390,
     /* 2019612 */     GIR_EraseRootFromParent_Done,
     /* 2019613 */   // Label 26942: @2019613
     /* 2019613 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2019718), // Rule ID 16391 //
     /* 2019618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2019629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2019632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019668 */     // MIs[1] Operand 1
     /* 2019668 */     // No operand predicates
     /* 2019668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019672 */     // MIs[0] round
     /* 2019672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019675 */     // MIs[0] policy
     /* 2019675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2019690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019717 */     // GIR_Coverage, 16391,
     /* 2019717 */     GIR_EraseRootFromParent_Done,
     /* 2019718 */   // Label 26943: @2019718
     /* 2019718 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2019823), // Rule ID 16394 //
     /* 2019723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2019726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2019740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019773 */     // MIs[1] Operand 1
     /* 2019773 */     // No operand predicates
     /* 2019773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019777 */     // MIs[0] round
     /* 2019777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019780 */     // MIs[0] policy
     /* 2019780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2019795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019822 */     // GIR_Coverage, 16394,
     /* 2019822 */     GIR_EraseRootFromParent_Done,
     /* 2019823 */   // Label 26944: @2019823
     /* 2019823 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2019928), // Rule ID 16395 //
     /* 2019828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2019831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2019845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019878 */     // MIs[1] Operand 1
     /* 2019878 */     // No operand predicates
     /* 2019878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019882 */     // MIs[0] round
     /* 2019882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019885 */     // MIs[0] policy
     /* 2019885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2019900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2019926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019927 */     // GIR_Coverage, 16395,
     /* 2019927 */     GIR_EraseRootFromParent_Done,
     /* 2019928 */   // Label 26945: @2019928
     /* 2019928 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2020033), // Rule ID 16398 //
     /* 2019933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2019936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2019941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2019950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019983 */     // MIs[1] Operand 1
     /* 2019983 */     // No operand predicates
     /* 2019983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019987 */     // MIs[0] round
     /* 2019987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019990 */     // MIs[0] policy
     /* 2019990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2020005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020032 */     // GIR_Coverage, 16398,
     /* 2020032 */     GIR_EraseRootFromParent_Done,
     /* 2020033 */   // Label 26946: @2020033
     /* 2020033 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2020138), // Rule ID 16399 //
     /* 2020038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2020041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2020049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2020052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2020055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020088 */     // MIs[1] Operand 1
     /* 2020088 */     // No operand predicates
     /* 2020088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020092 */     // MIs[0] round
     /* 2020092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020095 */     // MIs[0] policy
     /* 2020095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2020110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020137 */     // GIR_Coverage, 16399,
     /* 2020137 */     GIR_EraseRootFromParent_Done,
     /* 2020138 */   // Label 26947: @2020138
     /* 2020138 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2020243), // Rule ID 16402 //
     /* 2020143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2020146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2020154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2020157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2020160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020193 */     // MIs[1] Operand 1
     /* 2020193 */     // No operand predicates
     /* 2020193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020197 */     // MIs[0] round
     /* 2020197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020200 */     // MIs[0] policy
     /* 2020200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2020215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020242 */     // GIR_Coverage, 16402,
     /* 2020242 */     GIR_EraseRootFromParent_Done,
     /* 2020243 */   // Label 26948: @2020243
     /* 2020243 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2020348), // Rule ID 16403 //
     /* 2020248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2020251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2020259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2020262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2020265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020298 */     // MIs[1] Operand 1
     /* 2020298 */     // No operand predicates
     /* 2020298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020302 */     // MIs[0] round
     /* 2020302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020305 */     // MIs[0] policy
     /* 2020305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2020320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020347 */     // GIR_Coverage, 16403,
     /* 2020347 */     GIR_EraseRootFromParent_Done,
     /* 2020348 */   // Label 26949: @2020348
     /* 2020348 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2020453), // Rule ID 16406 //
     /* 2020353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2020356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2020370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020403 */     // MIs[1] Operand 1
     /* 2020403 */     // No operand predicates
     /* 2020403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020407 */     // MIs[0] round
     /* 2020407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020410 */     // MIs[0] policy
     /* 2020410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2020425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020452 */     // GIR_Coverage, 16406,
     /* 2020452 */     GIR_EraseRootFromParent_Done,
     /* 2020453 */   // Label 26950: @2020453
     /* 2020453 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2020558), // Rule ID 16407 //
     /* 2020458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2020461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2020466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2020475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020508 */     // MIs[1] Operand 1
     /* 2020508 */     // No operand predicates
     /* 2020508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020512 */     // MIs[0] round
     /* 2020512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020515 */     // MIs[0] policy
     /* 2020515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2020530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020557 */     // GIR_Coverage, 16407,
     /* 2020557 */     GIR_EraseRootFromParent_Done,
     /* 2020558 */   // Label 26951: @2020558
     /* 2020558 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2020663), // Rule ID 16530 //
     /* 2020563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2020571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2020574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2020577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020613 */     // MIs[1] Operand 1
     /* 2020613 */     // No operand predicates
     /* 2020613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020617 */     // MIs[0] round
     /* 2020617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020620 */     // MIs[0] policy
     /* 2020620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2020635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020662 */     // GIR_Coverage, 16530,
     /* 2020662 */     GIR_EraseRootFromParent_Done,
     /* 2020663 */   // Label 26952: @2020663
     /* 2020663 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2020768), // Rule ID 16531 //
     /* 2020668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2020676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2020679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2020682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020718 */     // MIs[1] Operand 1
     /* 2020718 */     // No operand predicates
     /* 2020718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020722 */     // MIs[0] round
     /* 2020722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020725 */     // MIs[0] policy
     /* 2020725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020737 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2020740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020767 */     // GIR_Coverage, 16531,
     /* 2020767 */     GIR_EraseRootFromParent_Done,
     /* 2020768 */   // Label 26953: @2020768
     /* 2020768 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2020873), // Rule ID 16534 //
     /* 2020773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2020781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2020784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2020787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2020790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020823 */     // MIs[1] Operand 1
     /* 2020823 */     // No operand predicates
     /* 2020823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020827 */     // MIs[0] round
     /* 2020827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020830 */     // MIs[0] policy
     /* 2020830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020842 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2020845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020872 */     // GIR_Coverage, 16534,
     /* 2020872 */     GIR_EraseRootFromParent_Done,
     /* 2020873 */   // Label 26954: @2020873
     /* 2020873 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2020978), // Rule ID 16535 //
     /* 2020878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2020886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2020889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2020892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2020895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020928 */     // MIs[1] Operand 1
     /* 2020928 */     // No operand predicates
     /* 2020928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020932 */     // MIs[0] round
     /* 2020932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020935 */     // MIs[0] policy
     /* 2020935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2020950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2020976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020977 */     // GIR_Coverage, 16535,
     /* 2020977 */     GIR_EraseRootFromParent_Done,
     /* 2020978 */   // Label 26955: @2020978
     /* 2020978 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2021083), // Rule ID 16538 //
     /* 2020983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2020991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2020994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2020997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021033 */     // MIs[1] Operand 1
     /* 2021033 */     // No operand predicates
     /* 2021033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021037 */     // MIs[0] round
     /* 2021037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021040 */     // MIs[0] policy
     /* 2021040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2021055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021082 */     // GIR_Coverage, 16538,
     /* 2021082 */     GIR_EraseRootFromParent_Done,
     /* 2021083 */   // Label 26956: @2021083
     /* 2021083 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2021188), // Rule ID 16539 //
     /* 2021088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2021099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2021102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021138 */     // MIs[1] Operand 1
     /* 2021138 */     // No operand predicates
     /* 2021138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021142 */     // MIs[0] round
     /* 2021142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021145 */     // MIs[0] policy
     /* 2021145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021157 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2021160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021187 */     // GIR_Coverage, 16539,
     /* 2021187 */     GIR_EraseRootFromParent_Done,
     /* 2021188 */   // Label 26957: @2021188
     /* 2021188 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2021293), // Rule ID 16542 //
     /* 2021193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2021210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021243 */     // MIs[1] Operand 1
     /* 2021243 */     // No operand predicates
     /* 2021243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021247 */     // MIs[0] round
     /* 2021247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021250 */     // MIs[0] policy
     /* 2021250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021262 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2021265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021292 */     // GIR_Coverage, 16542,
     /* 2021292 */     GIR_EraseRootFromParent_Done,
     /* 2021293 */   // Label 26958: @2021293
     /* 2021293 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2021398), // Rule ID 16543 //
     /* 2021298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2021315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021348 */     // MIs[1] Operand 1
     /* 2021348 */     // No operand predicates
     /* 2021348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021352 */     // MIs[0] round
     /* 2021352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021355 */     // MIs[0] policy
     /* 2021355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2021370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021397 */     // GIR_Coverage, 16543,
     /* 2021397 */     GIR_EraseRootFromParent_Done,
     /* 2021398 */   // Label 26959: @2021398
     /* 2021398 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2021503), // Rule ID 16546 //
     /* 2021403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2021414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2021417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2021420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021453 */     // MIs[1] Operand 1
     /* 2021453 */     // No operand predicates
     /* 2021453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021457 */     // MIs[0] round
     /* 2021457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021460 */     // MIs[0] policy
     /* 2021460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2021475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021502 */     // GIR_Coverage, 16546,
     /* 2021502 */     GIR_EraseRootFromParent_Done,
     /* 2021503 */   // Label 26960: @2021503
     /* 2021503 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2021608), // Rule ID 16547 //
     /* 2021508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2021519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2021522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2021525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021558 */     // MIs[1] Operand 1
     /* 2021558 */     // No operand predicates
     /* 2021558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021562 */     // MIs[0] round
     /* 2021562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021565 */     // MIs[0] policy
     /* 2021565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2021580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021607 */     // GIR_Coverage, 16547,
     /* 2021607 */     GIR_EraseRootFromParent_Done,
     /* 2021608 */   // Label 26961: @2021608
     /* 2021608 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2021713), // Rule ID 16550 //
     /* 2021613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2021624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2021627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2021630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2021636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021663 */     // MIs[1] Operand 1
     /* 2021663 */     // No operand predicates
     /* 2021663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021667 */     // MIs[0] round
     /* 2021667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021670 */     // MIs[0] policy
     /* 2021670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021682 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2021685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021712 */     // GIR_Coverage, 16550,
     /* 2021712 */     GIR_EraseRootFromParent_Done,
     /* 2021713 */   // Label 26962: @2021713
     /* 2021713 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2021818), // Rule ID 16551 //
     /* 2021718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2021729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2021732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2021735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2021741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021768 */     // MIs[1] Operand 1
     /* 2021768 */     // No operand predicates
     /* 2021768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021772 */     // MIs[0] round
     /* 2021772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021775 */     // MIs[0] policy
     /* 2021775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021787 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2021790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021817 */     // GIR_Coverage, 16551,
     /* 2021817 */     GIR_EraseRootFromParent_Done,
     /* 2021818 */   // Label 26963: @2021818
     /* 2021818 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2021923), // Rule ID 16554 //
     /* 2021823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021873 */     // MIs[1] Operand 1
     /* 2021873 */     // No operand predicates
     /* 2021873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021877 */     // MIs[0] round
     /* 2021877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021880 */     // MIs[0] policy
     /* 2021880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2021895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2021921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021922 */     // GIR_Coverage, 16554,
     /* 2021922 */     GIR_EraseRootFromParent_Done,
     /* 2021923 */   // Label 26964: @2021923
     /* 2021923 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2022028), // Rule ID 16555 //
     /* 2021928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2021936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021978 */     // MIs[1] Operand 1
     /* 2021978 */     // No operand predicates
     /* 2021978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021982 */     // MIs[0] round
     /* 2021982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021985 */     // MIs[0] policy
     /* 2021985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2022000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022027 */     // GIR_Coverage, 16555,
     /* 2022027 */     GIR_EraseRootFromParent_Done,
     /* 2022028 */   // Label 26965: @2022028
     /* 2022028 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2022133), // Rule ID 16558 //
     /* 2022033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022083 */     // MIs[1] Operand 1
     /* 2022083 */     // No operand predicates
     /* 2022083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022087 */     // MIs[0] round
     /* 2022087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022090 */     // MIs[0] policy
     /* 2022090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2022105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022132 */     // GIR_Coverage, 16558,
     /* 2022132 */     GIR_EraseRootFromParent_Done,
     /* 2022133 */   // Label 26966: @2022133
     /* 2022133 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2022238), // Rule ID 16559 //
     /* 2022138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022188 */     // MIs[1] Operand 1
     /* 2022188 */     // No operand predicates
     /* 2022188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022192 */     // MIs[0] round
     /* 2022192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022195 */     // MIs[0] policy
     /* 2022195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022207 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2022210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022237 */     // GIR_Coverage, 16559,
     /* 2022237 */     GIR_EraseRootFromParent_Done,
     /* 2022238 */   // Label 26967: @2022238
     /* 2022238 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2022343), // Rule ID 16562 //
     /* 2022243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2022260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022293 */     // MIs[1] Operand 1
     /* 2022293 */     // No operand predicates
     /* 2022293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022297 */     // MIs[0] round
     /* 2022297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022300 */     // MIs[0] policy
     /* 2022300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2022315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022342 */     // GIR_Coverage, 16562,
     /* 2022342 */     GIR_EraseRootFromParent_Done,
     /* 2022343 */   // Label 26968: @2022343
     /* 2022343 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2022448), // Rule ID 16563 //
     /* 2022348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2022365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022398 */     // MIs[1] Operand 1
     /* 2022398 */     // No operand predicates
     /* 2022398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022402 */     // MIs[0] round
     /* 2022402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022405 */     // MIs[0] policy
     /* 2022405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2022420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022447 */     // GIR_Coverage, 16563,
     /* 2022447 */     GIR_EraseRootFromParent_Done,
     /* 2022448 */   // Label 26969: @2022448
     /* 2022448 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2022553), // Rule ID 16566 //
     /* 2022453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2022470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022503 */     // MIs[1] Operand 1
     /* 2022503 */     // No operand predicates
     /* 2022503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022507 */     // MIs[0] round
     /* 2022507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022510 */     // MIs[0] policy
     /* 2022510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2022525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022552 */     // GIR_Coverage, 16566,
     /* 2022552 */     GIR_EraseRootFromParent_Done,
     /* 2022553 */   // Label 26970: @2022553
     /* 2022553 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2022658), // Rule ID 16567 //
     /* 2022558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2022575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022608 */     // MIs[1] Operand 1
     /* 2022608 */     // No operand predicates
     /* 2022608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022612 */     // MIs[0] round
     /* 2022612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022615 */     // MIs[0] policy
     /* 2022615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2022630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022657 */     // GIR_Coverage, 16567,
     /* 2022657 */     GIR_EraseRootFromParent_Done,
     /* 2022658 */   // Label 26971: @2022658
     /* 2022658 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2022763), // Rule ID 16570 //
     /* 2022663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2022674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2022677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2022680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022713 */     // MIs[1] Operand 1
     /* 2022713 */     // No operand predicates
     /* 2022713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022717 */     // MIs[0] round
     /* 2022717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022720 */     // MIs[0] policy
     /* 2022720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2022735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022762 */     // GIR_Coverage, 16570,
     /* 2022762 */     GIR_EraseRootFromParent_Done,
     /* 2022763 */   // Label 26972: @2022763
     /* 2022763 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2022868), // Rule ID 16571 //
     /* 2022768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2022779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2022782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2022785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022818 */     // MIs[1] Operand 1
     /* 2022818 */     // No operand predicates
     /* 2022818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022822 */     // MIs[0] round
     /* 2022822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022825 */     // MIs[0] policy
     /* 2022825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022837 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2022840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022867 */     // GIR_Coverage, 16571,
     /* 2022867 */     GIR_EraseRootFromParent_Done,
     /* 2022868 */   // Label 26973: @2022868
     /* 2022868 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2022973), // Rule ID 16574 //
     /* 2022873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2022876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022923 */     // MIs[1] Operand 1
     /* 2022923 */     // No operand predicates
     /* 2022923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022927 */     // MIs[0] round
     /* 2022927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022930 */     // MIs[0] policy
     /* 2022930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2022945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2022971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022972 */     // GIR_Coverage, 16574,
     /* 2022972 */     GIR_EraseRootFromParent_Done,
     /* 2022973 */   // Label 26974: @2022973
     /* 2022973 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2023078), // Rule ID 16575 //
     /* 2022978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2022981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2022986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023028 */     // MIs[1] Operand 1
     /* 2023028 */     // No operand predicates
     /* 2023028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023032 */     // MIs[0] round
     /* 2023032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023035 */     // MIs[0] policy
     /* 2023035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2023050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023077 */     // GIR_Coverage, 16575,
     /* 2023077 */     GIR_EraseRootFromParent_Done,
     /* 2023078 */   // Label 26975: @2023078
     /* 2023078 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2023183), // Rule ID 16578 //
     /* 2023083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2023086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2023094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2023097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2023100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023133 */     // MIs[1] Operand 1
     /* 2023133 */     // No operand predicates
     /* 2023133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023137 */     // MIs[0] round
     /* 2023137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023140 */     // MIs[0] policy
     /* 2023140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2023155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023182 */     // GIR_Coverage, 16578,
     /* 2023182 */     GIR_EraseRootFromParent_Done,
     /* 2023183 */   // Label 26976: @2023183
     /* 2023183 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2023288), // Rule ID 16579 //
     /* 2023188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2023191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2023199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2023202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2023205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023238 */     // MIs[1] Operand 1
     /* 2023238 */     // No operand predicates
     /* 2023238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023242 */     // MIs[0] round
     /* 2023242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023245 */     // MIs[0] policy
     /* 2023245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2023260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023287 */     // GIR_Coverage, 16579,
     /* 2023287 */     GIR_EraseRootFromParent_Done,
     /* 2023288 */   // Label 26977: @2023288
     /* 2023288 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2023393), // Rule ID 16582 //
     /* 2023293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2023296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2023310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023343 */     // MIs[1] Operand 1
     /* 2023343 */     // No operand predicates
     /* 2023343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023347 */     // MIs[0] round
     /* 2023347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023350 */     // MIs[0] policy
     /* 2023350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2023365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023392 */     // GIR_Coverage, 16582,
     /* 2023392 */     GIR_EraseRootFromParent_Done,
     /* 2023393 */   // Label 26978: @2023393
     /* 2023393 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2023498), // Rule ID 16583 //
     /* 2023398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2023401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2023415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023448 */     // MIs[1] Operand 1
     /* 2023448 */     // No operand predicates
     /* 2023448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023452 */     // MIs[0] round
     /* 2023452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023455 */     // MIs[0] policy
     /* 2023455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2023470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023497 */     // GIR_Coverage, 16583,
     /* 2023497 */     GIR_EraseRootFromParent_Done,
     /* 2023498 */   // Label 26979: @2023498
     /* 2023498 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2023603), // Rule ID 16586 //
     /* 2023503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2023506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2023520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023553 */     // MIs[1] Operand 1
     /* 2023553 */     // No operand predicates
     /* 2023553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023557 */     // MIs[0] round
     /* 2023557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023560 */     // MIs[0] policy
     /* 2023560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2023575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023602 */     // GIR_Coverage, 16586,
     /* 2023602 */     GIR_EraseRootFromParent_Done,
     /* 2023603 */   // Label 26980: @2023603
     /* 2023603 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2023708), // Rule ID 16587 //
     /* 2023608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2023611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2023616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2023625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023658 */     // MIs[1] Operand 1
     /* 2023658 */     // No operand predicates
     /* 2023658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023662 */     // MIs[0] round
     /* 2023662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023665 */     // MIs[0] policy
     /* 2023665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2023680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2023706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023707 */     // GIR_Coverage, 16587,
     /* 2023707 */     GIR_EraseRootFromParent_Done,
     /* 2023708 */   // Label 26981: @2023708
     /* 2023708 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2023795), // Rule ID 2658 //
     /* 2023713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2023716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2023721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023744 */     // MIs[0] passthru
     /* 2023744 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2023749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023757 */     // MIs[0] round
     /* 2023757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023760 */     // MIs[0] policy
     /* 2023760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2023773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023794 */     // GIR_Coverage, 2658,
     /* 2023794 */     GIR_EraseRootFromParent_Done,
     /* 2023795 */   // Label 26982: @2023795
     /* 2023795 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2023882), // Rule ID 2659 //
     /* 2023800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2023803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2023808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023831 */     // MIs[0] passthru
     /* 2023831 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2023836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023844 */     // MIs[0] round
     /* 2023844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023847 */     // MIs[0] policy
     /* 2023847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023857 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2023860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023881 */     // GIR_Coverage, 2659,
     /* 2023881 */     GIR_EraseRootFromParent_Done,
     /* 2023882 */   // Label 26983: @2023882
     /* 2023882 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2023969), // Rule ID 17038 //
     /* 2023887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2023890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2023895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2023898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2023901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023918 */     // MIs[0] passthru
     /* 2023918 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2023923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023931 */     // MIs[0] round
     /* 2023931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023934 */     // MIs[0] policy
     /* 2023934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023944 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2023947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023968 */     // GIR_Coverage, 17038,
     /* 2023968 */     GIR_EraseRootFromParent_Done,
     /* 2023969 */   // Label 26984: @2023969
     /* 2023969 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2024056), // Rule ID 17039 //
     /* 2023974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2023977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2023982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2023985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2023988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024005 */     // MIs[0] passthru
     /* 2024005 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024018 */     // MIs[0] round
     /* 2024018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024021 */     // MIs[0] policy
     /* 2024021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2024034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024055 */     // GIR_Coverage, 17039,
     /* 2024055 */     GIR_EraseRootFromParent_Done,
     /* 2024056 */   // Label 26985: @2024056
     /* 2024056 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2024143), // Rule ID 17048 //
     /* 2024061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2024064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2024072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2024075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2024078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024092 */     // MIs[0] passthru
     /* 2024092 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024105 */     // MIs[0] round
     /* 2024105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024108 */     // MIs[0] policy
     /* 2024108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024118 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2024121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024142 */     // GIR_Coverage, 17048,
     /* 2024142 */     GIR_EraseRootFromParent_Done,
     /* 2024143 */   // Label 26986: @2024143
     /* 2024143 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2024230), // Rule ID 17049 //
     /* 2024148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2024151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2024159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2024162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2024165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024179 */     // MIs[0] passthru
     /* 2024179 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024192 */     // MIs[0] round
     /* 2024192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024195 */     // MIs[0] policy
     /* 2024195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024205 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2024208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024229 */     // GIR_Coverage, 17049,
     /* 2024229 */     GIR_EraseRootFromParent_Done,
     /* 2024230 */   // Label 26987: @2024230
     /* 2024230 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2024317), // Rule ID 17058 //
     /* 2024235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2024238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2024246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2024249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2024252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024266 */     // MIs[0] passthru
     /* 2024266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024279 */     // MIs[0] round
     /* 2024279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024282 */     // MIs[0] policy
     /* 2024282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2024295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024316 */     // GIR_Coverage, 17058,
     /* 2024316 */     GIR_EraseRootFromParent_Done,
     /* 2024317 */   // Label 26988: @2024317
     /* 2024317 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2024404), // Rule ID 17059 //
     /* 2024322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2024325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2024333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2024336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2024339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024353 */     // MIs[0] passthru
     /* 2024353 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024366 */     // MIs[0] round
     /* 2024366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024369 */     // MIs[0] policy
     /* 2024369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024379 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2024382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024403 */     // GIR_Coverage, 17059,
     /* 2024403 */     GIR_EraseRootFromParent_Done,
     /* 2024404 */   // Label 26989: @2024404
     /* 2024404 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2024491), // Rule ID 17068 //
     /* 2024409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2024412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2024420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2024423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2024426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024440 */     // MIs[0] passthru
     /* 2024440 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024453 */     // MIs[0] round
     /* 2024453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024456 */     // MIs[0] policy
     /* 2024456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024466 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2024469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024490 */     // GIR_Coverage, 17068,
     /* 2024490 */     GIR_EraseRootFromParent_Done,
     /* 2024491 */   // Label 26990: @2024491
     /* 2024491 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2024578), // Rule ID 17069 //
     /* 2024496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2024499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2024507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2024510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2024513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024527 */     // MIs[0] passthru
     /* 2024527 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024540 */     // MIs[0] round
     /* 2024540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024543 */     // MIs[0] policy
     /* 2024543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024553 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2024556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024577 */     // GIR_Coverage, 17069,
     /* 2024577 */     GIR_EraseRootFromParent_Done,
     /* 2024578 */   // Label 26991: @2024578
     /* 2024578 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2024665), // Rule ID 17078 //
     /* 2024583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2024586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2024600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024614 */     // MIs[0] passthru
     /* 2024614 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024627 */     // MIs[0] round
     /* 2024627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024630 */     // MIs[0] policy
     /* 2024630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2024643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024664 */     // GIR_Coverage, 17078,
     /* 2024664 */     GIR_EraseRootFromParent_Done,
     /* 2024665 */   // Label 26992: @2024665
     /* 2024665 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2024752), // Rule ID 17079 //
     /* 2024670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2024673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2024687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024701 */     // MIs[0] passthru
     /* 2024701 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024714 */     // MIs[0] round
     /* 2024714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024717 */     // MIs[0] policy
     /* 2024717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024727 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2024730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024751 */     // GIR_Coverage, 17079,
     /* 2024751 */     GIR_EraseRootFromParent_Done,
     /* 2024752 */   // Label 26993: @2024752
     /* 2024752 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2024839), // Rule ID 17088 //
     /* 2024757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2024760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024788 */     // MIs[0] passthru
     /* 2024788 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024801 */     // MIs[0] round
     /* 2024801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024804 */     // MIs[0] policy
     /* 2024804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024814 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2024817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024838 */     // GIR_Coverage, 17088,
     /* 2024838 */     GIR_EraseRootFromParent_Done,
     /* 2024839 */   // Label 26994: @2024839
     /* 2024839 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2024926), // Rule ID 17089 //
     /* 2024844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2024847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2024861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024875 */     // MIs[0] passthru
     /* 2024875 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024888 */     // MIs[0] round
     /* 2024888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024891 */     // MIs[0] policy
     /* 2024891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024901 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2024904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024925 */     // GIR_Coverage, 17089,
     /* 2024925 */     GIR_EraseRootFromParent_Done,
     /* 2024926 */   // Label 26995: @2024926
     /* 2024926 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2025013), // Rule ID 17098 //
     /* 2024931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2024934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2024939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2024948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024962 */     // MIs[0] passthru
     /* 2024962 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2024967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024975 */     // MIs[0] round
     /* 2024975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024978 */     // MIs[0] policy
     /* 2024978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024988 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2024991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025012 */     // GIR_Coverage, 17098,
     /* 2025012 */     GIR_EraseRootFromParent_Done,
     /* 2025013 */   // Label 26996: @2025013
     /* 2025013 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2025100), // Rule ID 17099 //
     /* 2025018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2025021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2025026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2025029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2025032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2025035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025049 */     // MIs[0] passthru
     /* 2025049 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025062 */     // MIs[0] round
     /* 2025062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025065 */     // MIs[0] policy
     /* 2025065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025075 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2025078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025099 */     // GIR_Coverage, 17099,
     /* 2025099 */     GIR_EraseRootFromParent_Done,
     /* 2025100 */   // Label 26997: @2025100
     /* 2025100 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2025187), // Rule ID 17108 //
     /* 2025105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2025108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2025113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2025116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2025119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2025122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025136 */     // MIs[0] passthru
     /* 2025136 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025149 */     // MIs[0] round
     /* 2025149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025152 */     // MIs[0] policy
     /* 2025152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025162 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2025165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025186 */     // GIR_Coverage, 17108,
     /* 2025186 */     GIR_EraseRootFromParent_Done,
     /* 2025187 */   // Label 26998: @2025187
     /* 2025187 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2025274), // Rule ID 17109 //
     /* 2025192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2025195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2025200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2025203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2025206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2025209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025223 */     // MIs[0] passthru
     /* 2025223 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025236 */     // MIs[0] round
     /* 2025236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025239 */     // MIs[0] policy
     /* 2025239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025249 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2025252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025273 */     // GIR_Coverage, 17109,
     /* 2025273 */     GIR_EraseRootFromParent_Done,
     /* 2025274 */   // Label 26999: @2025274
     /* 2025274 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2025361), // Rule ID 17154 //
     /* 2025279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2025282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2025296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025310 */     // MIs[0] passthru
     /* 2025310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025323 */     // MIs[0] round
     /* 2025323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025326 */     // MIs[0] policy
     /* 2025326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2025339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025360 */     // GIR_Coverage, 17154,
     /* 2025360 */     GIR_EraseRootFromParent_Done,
     /* 2025361 */   // Label 27000: @2025361
     /* 2025361 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2025448), // Rule ID 17155 //
     /* 2025366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2025369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2025383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025397 */     // MIs[0] passthru
     /* 2025397 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025410 */     // MIs[0] round
     /* 2025410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025413 */     // MIs[0] policy
     /* 2025413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025423 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2025426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025447 */     // GIR_Coverage, 17155,
     /* 2025447 */     GIR_EraseRootFromParent_Done,
     /* 2025448 */   // Label 27001: @2025448
     /* 2025448 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2025535), // Rule ID 17164 //
     /* 2025453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2025456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2025464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2025467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2025470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025484 */     // MIs[0] passthru
     /* 2025484 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025497 */     // MIs[0] round
     /* 2025497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025500 */     // MIs[0] policy
     /* 2025500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025510 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2025513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025534 */     // GIR_Coverage, 17164,
     /* 2025534 */     GIR_EraseRootFromParent_Done,
     /* 2025535 */   // Label 27002: @2025535
     /* 2025535 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2025622), // Rule ID 17165 //
     /* 2025540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2025543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2025551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2025554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2025557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025571 */     // MIs[0] passthru
     /* 2025571 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025584 */     // MIs[0] round
     /* 2025584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025587 */     // MIs[0] policy
     /* 2025587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025597 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2025600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025621 */     // GIR_Coverage, 17165,
     /* 2025621 */     GIR_EraseRootFromParent_Done,
     /* 2025622 */   // Label 27003: @2025622
     /* 2025622 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2025709), // Rule ID 17174 //
     /* 2025627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2025630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2025644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025658 */     // MIs[0] passthru
     /* 2025658 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025671 */     // MIs[0] round
     /* 2025671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025674 */     // MIs[0] policy
     /* 2025674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025684 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2025687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025708 */     // GIR_Coverage, 17174,
     /* 2025708 */     GIR_EraseRootFromParent_Done,
     /* 2025709 */   // Label 27004: @2025709
     /* 2025709 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2025796), // Rule ID 17175 //
     /* 2025714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2025717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2025731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025745 */     // MIs[0] passthru
     /* 2025745 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025758 */     // MIs[0] round
     /* 2025758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025761 */     // MIs[0] policy
     /* 2025761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025771 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2025774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025795 */     // GIR_Coverage, 17175,
     /* 2025795 */     GIR_EraseRootFromParent_Done,
     /* 2025796 */   // Label 27005: @2025796
     /* 2025796 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2025883), // Rule ID 17184 //
     /* 2025801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2025804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025832 */     // MIs[0] passthru
     /* 2025832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025845 */     // MIs[0] round
     /* 2025845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025848 */     // MIs[0] policy
     /* 2025848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025858 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2025861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025882 */     // GIR_Coverage, 17184,
     /* 2025882 */     GIR_EraseRootFromParent_Done,
     /* 2025883 */   // Label 27006: @2025883
     /* 2025883 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2025970), // Rule ID 17185 //
     /* 2025888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2025891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025919 */     // MIs[0] passthru
     /* 2025919 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2025924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025932 */     // MIs[0] round
     /* 2025932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025935 */     // MIs[0] policy
     /* 2025935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025945 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2025948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025969 */     // GIR_Coverage, 17185,
     /* 2025969 */     GIR_EraseRootFromParent_Done,
     /* 2025970 */   // Label 27007: @2025970
     /* 2025970 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2026057), // Rule ID 17194 //
     /* 2025975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2025978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2025983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2025986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2025989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026006 */     // MIs[0] passthru
     /* 2026006 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026019 */     // MIs[0] round
     /* 2026019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026022 */     // MIs[0] policy
     /* 2026022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026032 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2026035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026056 */     // GIR_Coverage, 17194,
     /* 2026056 */     GIR_EraseRootFromParent_Done,
     /* 2026057 */   // Label 27008: @2026057
     /* 2026057 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2026144), // Rule ID 17195 //
     /* 2026062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2026065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2026079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026093 */     // MIs[0] passthru
     /* 2026093 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026106 */     // MIs[0] round
     /* 2026106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026109 */     // MIs[0] policy
     /* 2026109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026119 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2026122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026143 */     // GIR_Coverage, 17195,
     /* 2026143 */     GIR_EraseRootFromParent_Done,
     /* 2026144 */   // Label 27009: @2026144
     /* 2026144 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2026231), // Rule ID 17204 //
     /* 2026149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2026152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2026166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026180 */     // MIs[0] passthru
     /* 2026180 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026193 */     // MIs[0] round
     /* 2026193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026196 */     // MIs[0] policy
     /* 2026196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026206 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2026209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026230 */     // GIR_Coverage, 17204,
     /* 2026230 */     GIR_EraseRootFromParent_Done,
     /* 2026231 */   // Label 27010: @2026231
     /* 2026231 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2026318), // Rule ID 17205 //
     /* 2026236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2026239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2026253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026267 */     // MIs[0] passthru
     /* 2026267 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026280 */     // MIs[0] round
     /* 2026280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026283 */     // MIs[0] policy
     /* 2026283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026293 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2026296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026317 */     // GIR_Coverage, 17205,
     /* 2026317 */     GIR_EraseRootFromParent_Done,
     /* 2026318 */   // Label 27011: @2026318
     /* 2026318 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2026405), // Rule ID 17214 //
     /* 2026323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2026326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2026340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026354 */     // MIs[0] passthru
     /* 2026354 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026367 */     // MIs[0] round
     /* 2026367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026370 */     // MIs[0] policy
     /* 2026370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2026383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026404 */     // GIR_Coverage, 17214,
     /* 2026404 */     GIR_EraseRootFromParent_Done,
     /* 2026405 */   // Label 27012: @2026405
     /* 2026405 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2026492), // Rule ID 17215 //
     /* 2026410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2026413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2026427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026441 */     // MIs[0] passthru
     /* 2026441 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026454 */     // MIs[0] round
     /* 2026454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026457 */     // MIs[0] policy
     /* 2026457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026467 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2026470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026491 */     // GIR_Coverage, 17215,
     /* 2026491 */     GIR_EraseRootFromParent_Done,
     /* 2026492 */   // Label 27013: @2026492
     /* 2026492 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2026579), // Rule ID 17224 //
     /* 2026497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2026500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2026514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026528 */     // MIs[0] passthru
     /* 2026528 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026541 */     // MIs[0] round
     /* 2026541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026544 */     // MIs[0] policy
     /* 2026544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026554 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2026557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026578 */     // GIR_Coverage, 17224,
     /* 2026578 */     GIR_EraseRootFromParent_Done,
     /* 2026579 */   // Label 27014: @2026579
     /* 2026579 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2026666), // Rule ID 17225 //
     /* 2026584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2026587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2026601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026615 */     // MIs[0] passthru
     /* 2026615 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026628 */     // MIs[0] round
     /* 2026628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026631 */     // MIs[0] policy
     /* 2026631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026641 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2026644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026665 */     // GIR_Coverage, 17225,
     /* 2026665 */     GIR_EraseRootFromParent_Done,
     /* 2026666 */   // Label 27015: @2026666
     /* 2026666 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2026753), // Rule ID 17234 //
     /* 2026671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2026674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026702 */     // MIs[0] passthru
     /* 2026702 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026715 */     // MIs[0] round
     /* 2026715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026718 */     // MIs[0] policy
     /* 2026718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2026731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026752 */     // GIR_Coverage, 17234,
     /* 2026752 */     GIR_EraseRootFromParent_Done,
     /* 2026753 */   // Label 27016: @2026753
     /* 2026753 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2026840), // Rule ID 17235 //
     /* 2026758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2026761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2026766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026789 */     // MIs[0] passthru
     /* 2026789 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2026794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026802 */     // MIs[0] round
     /* 2026802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026805 */     // MIs[0] policy
     /* 2026805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026815 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2026818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026839 */     // GIR_Coverage, 17235,
     /* 2026839 */     GIR_EraseRootFromParent_Done,
     /* 2026840 */   // Label 27017: @2026840
     /* 2026840 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2026931), // Rule ID 2616 //
     /* 2026845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2026856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2026859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2026865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026891 */     // MIs[0] round
     /* 2026891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026894 */     // MIs[0] policy
     /* 2026894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2026907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026930 */     // GIR_Coverage, 2616,
     /* 2026930 */     GIR_EraseRootFromParent_Done,
     /* 2026931 */   // Label 27018: @2026931
     /* 2026931 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2027022), // Rule ID 2617 //
     /* 2026936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2026947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2026950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2026956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026982 */     // MIs[0] round
     /* 2026982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026985 */     // MIs[0] policy
     /* 2026985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026995 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2026998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027021 */     // GIR_Coverage, 2617,
     /* 2027021 */     GIR_EraseRootFromParent_Done,
     /* 2027022 */   // Label 27019: @2027022
     /* 2027022 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2027113), // Rule ID 2660 //
     /* 2027027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2027030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2027035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027073 */     // MIs[0] round
     /* 2027073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027076 */     // MIs[0] policy
     /* 2027076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027086 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2027089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027112 */     // GIR_Coverage, 2660,
     /* 2027112 */     GIR_EraseRootFromParent_Done,
     /* 2027113 */   // Label 27020: @2027113
     /* 2027113 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2027204), // Rule ID 2661 //
     /* 2027118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2027121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2027126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027164 */     // MIs[0] round
     /* 2027164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027167 */     // MIs[0] policy
     /* 2027167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027177 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2027180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027203 */     // GIR_Coverage, 2661,
     /* 2027203 */     GIR_EraseRootFromParent_Done,
     /* 2027204 */   // Label 27021: @2027204
     /* 2027204 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2027295), // Rule ID 2668 //
     /* 2027209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2027212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2027217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027255 */     // MIs[0] round
     /* 2027255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027258 */     // MIs[0] policy
     /* 2027258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027268 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2027271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2027275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027294 */     // GIR_Coverage, 2668,
     /* 2027294 */     GIR_EraseRootFromParent_Done,
     /* 2027295 */   // Label 27022: @2027295
     /* 2027295 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2027386), // Rule ID 2669 //
     /* 2027300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2027303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2027308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027346 */     // MIs[0] round
     /* 2027346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027349 */     // MIs[0] policy
     /* 2027349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027359 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2027362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2027366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027385 */     // GIR_Coverage, 2669,
     /* 2027385 */     GIR_EraseRootFromParent_Done,
     /* 2027386 */   // Label 27023: @2027386
     /* 2027386 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2027477), // Rule ID 14826 //
     /* 2027391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2027402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2027405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2027408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2027411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027437 */     // MIs[0] round
     /* 2027437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027440 */     // MIs[0] policy
     /* 2027440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2027453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027476 */     // GIR_Coverage, 14826,
     /* 2027476 */     GIR_EraseRootFromParent_Done,
     /* 2027477 */   // Label 27024: @2027477
     /* 2027477 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2027568), // Rule ID 14827 //
     /* 2027482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2027493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2027496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2027499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2027502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027528 */     // MIs[0] round
     /* 2027528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027531 */     // MIs[0] policy
     /* 2027531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027541 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2027544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027567 */     // GIR_Coverage, 14827,
     /* 2027567 */     GIR_EraseRootFromParent_Done,
     /* 2027568 */   // Label 27025: @2027568
     /* 2027568 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2027659), // Rule ID 14830 //
     /* 2027573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2027593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027619 */     // MIs[0] round
     /* 2027619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027622 */     // MIs[0] policy
     /* 2027622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2027635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027658 */     // GIR_Coverage, 14830,
     /* 2027658 */     GIR_EraseRootFromParent_Done,
     /* 2027659 */   // Label 27026: @2027659
     /* 2027659 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2027750), // Rule ID 14831 //
     /* 2027664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2027675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2027678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2027681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2027684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027710 */     // MIs[0] round
     /* 2027710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027713 */     // MIs[0] policy
     /* 2027713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2027726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027749 */     // GIR_Coverage, 14831,
     /* 2027749 */     GIR_EraseRootFromParent_Done,
     /* 2027750 */   // Label 27027: @2027750
     /* 2027750 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2027841), // Rule ID 14834 //
     /* 2027755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027801 */     // MIs[0] round
     /* 2027801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027804 */     // MIs[0] policy
     /* 2027804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2027817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027840 */     // GIR_Coverage, 14834,
     /* 2027840 */     GIR_EraseRootFromParent_Done,
     /* 2027841 */   // Label 27028: @2027841
     /* 2027841 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2027932), // Rule ID 14835 //
     /* 2027846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027892 */     // MIs[0] round
     /* 2027892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027895 */     // MIs[0] policy
     /* 2027895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027905 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2027908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027931 */     // GIR_Coverage, 14835,
     /* 2027931 */     GIR_EraseRootFromParent_Done,
     /* 2027932 */   // Label 27029: @2027932
     /* 2027932 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2028023), // Rule ID 14838 //
     /* 2027937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2027957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027983 */     // MIs[0] round
     /* 2027983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027986 */     // MIs[0] policy
     /* 2027986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2027999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028022 */     // GIR_Coverage, 14838,
     /* 2028022 */     GIR_EraseRootFromParent_Done,
     /* 2028023 */   // Label 27030: @2028023
     /* 2028023 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2028114), // Rule ID 14839 //
     /* 2028028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2028039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2028042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2028045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2028048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028074 */     // MIs[0] round
     /* 2028074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028077 */     // MIs[0] policy
     /* 2028077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2028090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028113 */     // GIR_Coverage, 14839,
     /* 2028113 */     GIR_EraseRootFromParent_Done,
     /* 2028114 */   // Label 27031: @2028114
     /* 2028114 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2028205), // Rule ID 14842 //
     /* 2028119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2028130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2028133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2028136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2028139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028165 */     // MIs[0] round
     /* 2028165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028168 */     // MIs[0] policy
     /* 2028168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2028181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028204 */     // GIR_Coverage, 14842,
     /* 2028204 */     GIR_EraseRootFromParent_Done,
     /* 2028205 */   // Label 27032: @2028205
     /* 2028205 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2028296), // Rule ID 14843 //
     /* 2028210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2028221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2028224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2028227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2028230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028256 */     // MIs[0] round
     /* 2028256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028259 */     // MIs[0] policy
     /* 2028259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2028272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028295 */     // GIR_Coverage, 14843,
     /* 2028295 */     GIR_EraseRootFromParent_Done,
     /* 2028296 */   // Label 27033: @2028296
     /* 2028296 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2028387), // Rule ID 14846 //
     /* 2028301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2028318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2028321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028347 */     // MIs[0] round
     /* 2028347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028350 */     // MIs[0] policy
     /* 2028350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2028363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028386 */     // GIR_Coverage, 14846,
     /* 2028386 */     GIR_EraseRootFromParent_Done,
     /* 2028387 */   // Label 27034: @2028387
     /* 2028387 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2028478), // Rule ID 14847 //
     /* 2028392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2028403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2028406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2028409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2028412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028438 */     // MIs[0] round
     /* 2028438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028441 */     // MIs[0] policy
     /* 2028441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2028454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028477 */     // GIR_Coverage, 14847,
     /* 2028477 */     GIR_EraseRootFromParent_Done,
     /* 2028478 */   // Label 27035: @2028478
     /* 2028478 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2028569), // Rule ID 14850 //
     /* 2028483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2028494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2028497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2028503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028529 */     // MIs[0] round
     /* 2028529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028532 */     // MIs[0] policy
     /* 2028532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2028545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028568 */     // GIR_Coverage, 14850,
     /* 2028568 */     GIR_EraseRootFromParent_Done,
     /* 2028569 */   // Label 27036: @2028569
     /* 2028569 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2028660), // Rule ID 14851 //
     /* 2028574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2028585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2028588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2028594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028620 */     // MIs[0] round
     /* 2028620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028623 */     // MIs[0] policy
     /* 2028623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2028636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028659 */     // GIR_Coverage, 14851,
     /* 2028659 */     GIR_EraseRootFromParent_Done,
     /* 2028660 */   // Label 27037: @2028660
     /* 2028660 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2028751), // Rule ID 14854 //
     /* 2028665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2028685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028711 */     // MIs[0] round
     /* 2028711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028714 */     // MIs[0] policy
     /* 2028714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2028727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028750 */     // GIR_Coverage, 14854,
     /* 2028750 */     GIR_EraseRootFromParent_Done,
     /* 2028751 */   // Label 27038: @2028751
     /* 2028751 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2028842), // Rule ID 14855 //
     /* 2028756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2028776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028802 */     // MIs[0] round
     /* 2028802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028805 */     // MIs[0] policy
     /* 2028805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2028818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028841 */     // GIR_Coverage, 14855,
     /* 2028841 */     GIR_EraseRootFromParent_Done,
     /* 2028842 */   // Label 27039: @2028842
     /* 2028842 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2028933), // Rule ID 14858 //
     /* 2028847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2028867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028893 */     // MIs[0] round
     /* 2028893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028896 */     // MIs[0] policy
     /* 2028896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2028909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028932 */     // GIR_Coverage, 14858,
     /* 2028932 */     GIR_EraseRootFromParent_Done,
     /* 2028933 */   // Label 27040: @2028933
     /* 2028933 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2029024), // Rule ID 14859 //
     /* 2028938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2028958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028984 */     // MIs[0] round
     /* 2028984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028987 */     // MIs[0] policy
     /* 2028987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028997 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2029000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029023 */     // GIR_Coverage, 14859,
     /* 2029023 */     GIR_EraseRootFromParent_Done,
     /* 2029024 */   // Label 27041: @2029024
     /* 2029024 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2029115), // Rule ID 14862 //
     /* 2029029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2029040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2029043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2029046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2029049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029075 */     // MIs[0] round
     /* 2029075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029078 */     // MIs[0] policy
     /* 2029078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2029091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029114 */     // GIR_Coverage, 14862,
     /* 2029114 */     GIR_EraseRootFromParent_Done,
     /* 2029115 */   // Label 27042: @2029115
     /* 2029115 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2029206), // Rule ID 14863 //
     /* 2029120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2029131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2029134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2029137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2029140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029166 */     // MIs[0] round
     /* 2029166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029169 */     // MIs[0] policy
     /* 2029169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2029182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029205 */     // GIR_Coverage, 14863,
     /* 2029205 */     GIR_EraseRootFromParent_Done,
     /* 2029206 */   // Label 27043: @2029206
     /* 2029206 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2029297), // Rule ID 14866 //
     /* 2029211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2029228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2029231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029257 */     // MIs[0] round
     /* 2029257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029260 */     // MIs[0] policy
     /* 2029260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2029273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029296 */     // GIR_Coverage, 14866,
     /* 2029296 */     GIR_EraseRootFromParent_Done,
     /* 2029297 */   // Label 27044: @2029297
     /* 2029297 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2029388), // Rule ID 14867 //
     /* 2029302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2029319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2029322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029348 */     // MIs[0] round
     /* 2029348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029351 */     // MIs[0] policy
     /* 2029351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2029364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029387 */     // GIR_Coverage, 14867,
     /* 2029387 */     GIR_EraseRootFromParent_Done,
     /* 2029388 */   // Label 27045: @2029388
     /* 2029388 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2029479), // Rule ID 14870 //
     /* 2029393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2029404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2029407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2029410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2029413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2029416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029439 */     // MIs[0] round
     /* 2029439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029442 */     // MIs[0] policy
     /* 2029442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029452 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2029455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029478 */     // GIR_Coverage, 14870,
     /* 2029478 */     GIR_EraseRootFromParent_Done,
     /* 2029479 */   // Label 27046: @2029479
     /* 2029479 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2029570), // Rule ID 14871 //
     /* 2029484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2029495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2029498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2029501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2029504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2029507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029530 */     // MIs[0] round
     /* 2029530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029533 */     // MIs[0] policy
     /* 2029533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029543 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2029546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029569 */     // GIR_Coverage, 14871,
     /* 2029569 */     GIR_EraseRootFromParent_Done,
     /* 2029570 */   // Label 27047: @2029570
     /* 2029570 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2029661), // Rule ID 14874 //
     /* 2029575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2029595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029621 */     // MIs[0] round
     /* 2029621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029624 */     // MIs[0] policy
     /* 2029624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2029637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029660 */     // GIR_Coverage, 14874,
     /* 2029660 */     GIR_EraseRootFromParent_Done,
     /* 2029661 */   // Label 27048: @2029661
     /* 2029661 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2029752), // Rule ID 14875 //
     /* 2029666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2029677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2029680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2029686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029712 */     // MIs[0] round
     /* 2029712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029715 */     // MIs[0] policy
     /* 2029715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2029728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029751 */     // GIR_Coverage, 14875,
     /* 2029751 */     GIR_EraseRootFromParent_Done,
     /* 2029752 */   // Label 27049: @2029752
     /* 2029752 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2029843), // Rule ID 14878 //
     /* 2029757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2029777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029803 */     // MIs[0] round
     /* 2029803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029806 */     // MIs[0] policy
     /* 2029806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2029819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029842 */     // GIR_Coverage, 14878,
     /* 2029842 */     GIR_EraseRootFromParent_Done,
     /* 2029843 */   // Label 27050: @2029843
     /* 2029843 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2029934), // Rule ID 14879 //
     /* 2029848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2029859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2029862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2029868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029894 */     // MIs[0] round
     /* 2029894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029897 */     // MIs[0] policy
     /* 2029897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029907 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2029910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029933 */     // GIR_Coverage, 14879,
     /* 2029933 */     GIR_EraseRootFromParent_Done,
     /* 2029934 */   // Label 27051: @2029934
     /* 2029934 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2030025), // Rule ID 14882 //
     /* 2029939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2029950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2029953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2029959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029985 */     // MIs[0] round
     /* 2029985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029988 */     // MIs[0] policy
     /* 2029988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2030001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030024 */     // GIR_Coverage, 14882,
     /* 2030024 */     GIR_EraseRootFromParent_Done,
     /* 2030025 */   // Label 27052: @2030025
     /* 2030025 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2030116), // Rule ID 14883 //
     /* 2030030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2030041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2030044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2030047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2030050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2030053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030076 */     // MIs[0] round
     /* 2030076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030079 */     // MIs[0] policy
     /* 2030079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2030092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030115 */     // GIR_Coverage, 14883,
     /* 2030115 */     GIR_EraseRootFromParent_Done,
     /* 2030116 */   // Label 27053: @2030116
     /* 2030116 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2030207), // Rule ID 14886 //
     /* 2030121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2030132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2030135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2030138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2030141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030167 */     // MIs[0] round
     /* 2030167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030170 */     // MIs[0] policy
     /* 2030170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030180 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2030183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030206 */     // GIR_Coverage, 14886,
     /* 2030206 */     GIR_EraseRootFromParent_Done,
     /* 2030207 */   // Label 27054: @2030207
     /* 2030207 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2030298), // Rule ID 14887 //
     /* 2030212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2030223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2030226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2030229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2030232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030258 */     // MIs[0] round
     /* 2030258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030261 */     // MIs[0] policy
     /* 2030261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2030274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030297 */     // GIR_Coverage, 14887,
     /* 2030297 */     GIR_EraseRootFromParent_Done,
     /* 2030298 */   // Label 27055: @2030298
     /* 2030298 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2030389), // Rule ID 14890 //
     /* 2030303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2030323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030349 */     // MIs[0] round
     /* 2030349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030352 */     // MIs[0] policy
     /* 2030352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2030365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030388 */     // GIR_Coverage, 14890,
     /* 2030388 */     GIR_EraseRootFromParent_Done,
     /* 2030389 */   // Label 27056: @2030389
     /* 2030389 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2030480), // Rule ID 14891 //
     /* 2030394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2030405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2030408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2030414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030440 */     // MIs[0] round
     /* 2030440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030443 */     // MIs[0] policy
     /* 2030443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2030456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030479 */     // GIR_Coverage, 14891,
     /* 2030479 */     GIR_EraseRootFromParent_Done,
     /* 2030480 */   // Label 27057: @2030480
     /* 2030480 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2030571), // Rule ID 14894 //
     /* 2030485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2030496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2030499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2030505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030531 */     // MIs[0] round
     /* 2030531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030534 */     // MIs[0] policy
     /* 2030534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2030547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030570 */     // GIR_Coverage, 14894,
     /* 2030570 */     GIR_EraseRootFromParent_Done,
     /* 2030571 */   // Label 27058: @2030571
     /* 2030571 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2030662), // Rule ID 14895 //
     /* 2030576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2030587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2030590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2030596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030622 */     // MIs[0] round
     /* 2030622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030625 */     // MIs[0] policy
     /* 2030625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2030638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030661 */     // GIR_Coverage, 14895,
     /* 2030661 */     GIR_EraseRootFromParent_Done,
     /* 2030662 */   // Label 27059: @2030662
     /* 2030662 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2030753), // Rule ID 14898 //
     /* 2030667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2030687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030713 */     // MIs[0] round
     /* 2030713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030716 */     // MIs[0] policy
     /* 2030716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2030729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030752 */     // GIR_Coverage, 14898,
     /* 2030752 */     GIR_EraseRootFromParent_Done,
     /* 2030753 */   // Label 27060: @2030753
     /* 2030753 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2030844), // Rule ID 14899 //
     /* 2030758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2030769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2030772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2030775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2030778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030804 */     // MIs[0] round
     /* 2030804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030807 */     // MIs[0] policy
     /* 2030807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2030820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030843 */     // GIR_Coverage, 14899,
     /* 2030843 */     GIR_EraseRootFromParent_Done,
     /* 2030844 */   // Label 27061: @2030844
     /* 2030844 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2030935), // Rule ID 14902 //
     /* 2030849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2030869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030895 */     // MIs[0] round
     /* 2030895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030898 */     // MIs[0] policy
     /* 2030898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2030911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030934 */     // GIR_Coverage, 14902,
     /* 2030934 */     GIR_EraseRootFromParent_Done,
     /* 2030935 */   // Label 27062: @2030935
     /* 2030935 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2031026), // Rule ID 14903 //
     /* 2030940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2030948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2030951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2030954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2030957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2030960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030986 */     // MIs[0] round
     /* 2030986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030989 */     // MIs[0] policy
     /* 2030989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2031002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031025 */     // GIR_Coverage, 14903,
     /* 2031025 */     GIR_EraseRootFromParent_Done,
     /* 2031026 */   // Label 27063: @2031026
     /* 2031026 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2031117), // Rule ID 14906 //
     /* 2031031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2031034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2031042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2031045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2031048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2031051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031077 */     // MIs[0] round
     /* 2031077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031080 */     // MIs[0] policy
     /* 2031080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2031093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031116 */     // GIR_Coverage, 14906,
     /* 2031116 */     GIR_EraseRootFromParent_Done,
     /* 2031117 */   // Label 27064: @2031117
     /* 2031117 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2031208), // Rule ID 14907 //
     /* 2031122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2031125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2031133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2031136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2031139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2031142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031168 */     // MIs[0] round
     /* 2031168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031171 */     // MIs[0] policy
     /* 2031171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031181 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2031184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031207 */     // GIR_Coverage, 14907,
     /* 2031207 */     GIR_EraseRootFromParent_Done,
     /* 2031208 */   // Label 27065: @2031208
     /* 2031208 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2031299), // Rule ID 14910 //
     /* 2031213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2031224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2031227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2031230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031259 */     // MIs[0] round
     /* 2031259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031262 */     // MIs[0] policy
     /* 2031262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2031275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031298 */     // GIR_Coverage, 14910,
     /* 2031298 */     GIR_EraseRootFromParent_Done,
     /* 2031299 */   // Label 27066: @2031299
     /* 2031299 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2031390), // Rule ID 14911 //
     /* 2031304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2031315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2031318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2031321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031350 */     // MIs[0] round
     /* 2031350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031353 */     // MIs[0] policy
     /* 2031353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031363 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2031366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031389 */     // GIR_Coverage, 14911,
     /* 2031389 */     GIR_EraseRootFromParent_Done,
     /* 2031390 */   // Label 27067: @2031390
     /* 2031390 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2031481), // Rule ID 14914 //
     /* 2031395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2031406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2031409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2031412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031441 */     // MIs[0] round
     /* 2031441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031444 */     // MIs[0] policy
     /* 2031444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031454 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2031457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031480 */     // GIR_Coverage, 14914,
     /* 2031480 */     GIR_EraseRootFromParent_Done,
     /* 2031481 */   // Label 27068: @2031481
     /* 2031481 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2031572), // Rule ID 14915 //
     /* 2031486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2031497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2031500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2031503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031532 */     // MIs[0] round
     /* 2031532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031535 */     // MIs[0] policy
     /* 2031535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031545 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2031548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031571 */     // GIR_Coverage, 14915,
     /* 2031571 */     GIR_EraseRootFromParent_Done,
     /* 2031572 */   // Label 27069: @2031572
     /* 2031572 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2031663), // Rule ID 14918 //
     /* 2031577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031623 */     // MIs[0] round
     /* 2031623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031626 */     // MIs[0] policy
     /* 2031626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2031639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031662 */     // GIR_Coverage, 14918,
     /* 2031662 */     GIR_EraseRootFromParent_Done,
     /* 2031663 */   // Label 27070: @2031663
     /* 2031663 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2031754), // Rule ID 14919 //
     /* 2031668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2031679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2031682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2031685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031714 */     // MIs[0] round
     /* 2031714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031717 */     // MIs[0] policy
     /* 2031717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031727 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2031730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031753 */     // GIR_Coverage, 14919,
     /* 2031753 */     GIR_EraseRootFromParent_Done,
     /* 2031754 */   // Label 27071: @2031754
     /* 2031754 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2031845), // Rule ID 14922 //
     /* 2031759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031805 */     // MIs[0] round
     /* 2031805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031808 */     // MIs[0] policy
     /* 2031808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2031821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031844 */     // GIR_Coverage, 14922,
     /* 2031844 */     GIR_EraseRootFromParent_Done,
     /* 2031845 */   // Label 27072: @2031845
     /* 2031845 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2031936), // Rule ID 14923 //
     /* 2031850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2031861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2031864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031896 */     // MIs[0] round
     /* 2031896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031899 */     // MIs[0] policy
     /* 2031899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2031912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031935 */     // GIR_Coverage, 14923,
     /* 2031935 */     GIR_EraseRootFromParent_Done,
     /* 2031936 */   // Label 27073: @2031936
     /* 2031936 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2032027), // Rule ID 14926 //
     /* 2031941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2031949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2031952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2031955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031987 */     // MIs[0] round
     /* 2031987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031990 */     // MIs[0] policy
     /* 2031990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2032003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032026 */     // GIR_Coverage, 14926,
     /* 2032026 */     GIR_EraseRootFromParent_Done,
     /* 2032027 */   // Label 27074: @2032027
     /* 2032027 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2032118), // Rule ID 14927 //
     /* 2032032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2032043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2032046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2032049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032078 */     // MIs[0] round
     /* 2032078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032081 */     // MIs[0] policy
     /* 2032081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032091 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2032094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032117 */     // GIR_Coverage, 14927,
     /* 2032117 */     GIR_EraseRootFromParent_Done,
     /* 2032118 */   // Label 27075: @2032118
     /* 2032118 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2032209), // Rule ID 14930 //
     /* 2032123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2032140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032169 */     // MIs[0] round
     /* 2032169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032172 */     // MIs[0] policy
     /* 2032172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2032185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032208 */     // GIR_Coverage, 14930,
     /* 2032208 */     GIR_EraseRootFromParent_Done,
     /* 2032209 */   // Label 27076: @2032209
     /* 2032209 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2032300), // Rule ID 14931 //
     /* 2032214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2032231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032260 */     // MIs[0] round
     /* 2032260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032263 */     // MIs[0] policy
     /* 2032263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2032276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032299 */     // GIR_Coverage, 14931,
     /* 2032299 */     GIR_EraseRootFromParent_Done,
     /* 2032300 */   // Label 27077: @2032300
     /* 2032300 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2032391), // Rule ID 14934 //
     /* 2032305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2032322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032351 */     // MIs[0] round
     /* 2032351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032354 */     // MIs[0] policy
     /* 2032354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2032367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032390 */     // GIR_Coverage, 14934,
     /* 2032390 */     GIR_EraseRootFromParent_Done,
     /* 2032391 */   // Label 27078: @2032391
     /* 2032391 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2032482), // Rule ID 14935 //
     /* 2032396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2032413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032442 */     // MIs[0] round
     /* 2032442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032445 */     // MIs[0] policy
     /* 2032445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2032458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032481 */     // GIR_Coverage, 14935,
     /* 2032481 */     GIR_EraseRootFromParent_Done,
     /* 2032482 */   // Label 27079: @2032482
     /* 2032482 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2032573), // Rule ID 14938 //
     /* 2032487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2032498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032533 */     // MIs[0] round
     /* 2032533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032536 */     // MIs[0] policy
     /* 2032536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2032549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032572 */     // GIR_Coverage, 14938,
     /* 2032572 */     GIR_EraseRootFromParent_Done,
     /* 2032573 */   // Label 27080: @2032573
     /* 2032573 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2032664), // Rule ID 14939 //
     /* 2032578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2032589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2032592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032624 */     // MIs[0] round
     /* 2032624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032627 */     // MIs[0] policy
     /* 2032627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032637 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2032640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032663 */     // GIR_Coverage, 14939,
     /* 2032663 */     GIR_EraseRootFromParent_Done,
     /* 2032664 */   // Label 27081: @2032664
     /* 2032664 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2032755), // Rule ID 14942 //
     /* 2032669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032715 */     // MIs[0] round
     /* 2032715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032718 */     // MIs[0] policy
     /* 2032718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2032731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032754 */     // GIR_Coverage, 14942,
     /* 2032754 */     GIR_EraseRootFromParent_Done,
     /* 2032755 */   // Label 27082: @2032755
     /* 2032755 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2032846), // Rule ID 14943 //
     /* 2032760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032806 */     // MIs[0] round
     /* 2032806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032809 */     // MIs[0] policy
     /* 2032809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2032822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032845 */     // GIR_Coverage, 14943,
     /* 2032845 */     GIR_EraseRootFromParent_Done,
     /* 2032846 */   // Label 27083: @2032846
     /* 2032846 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2032937), // Rule ID 14946 //
     /* 2032851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032897 */     // MIs[0] round
     /* 2032897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032900 */     // MIs[0] policy
     /* 2032900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2032913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032936 */     // GIR_Coverage, 14946,
     /* 2032936 */     GIR_EraseRootFromParent_Done,
     /* 2032937 */   // Label 27084: @2032937
     /* 2032937 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2033028), // Rule ID 14947 //
     /* 2032942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2032950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032988 */     // MIs[0] round
     /* 2032988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032991 */     // MIs[0] policy
     /* 2032991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033001 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2033004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033027 */     // GIR_Coverage, 14947,
     /* 2033027 */     GIR_EraseRootFromParent_Done,
     /* 2033028 */   // Label 27085: @2033028
     /* 2033028 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2033119), // Rule ID 14950 //
     /* 2033033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2033044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2033047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2033050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033079 */     // MIs[0] round
     /* 2033079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033082 */     // MIs[0] policy
     /* 2033082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2033095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033118 */     // GIR_Coverage, 14950,
     /* 2033118 */     GIR_EraseRootFromParent_Done,
     /* 2033119 */   // Label 27086: @2033119
     /* 2033119 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2033210), // Rule ID 14951 //
     /* 2033124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2033135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2033138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2033141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033170 */     // MIs[0] round
     /* 2033170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033173 */     // MIs[0] policy
     /* 2033173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2033186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033209 */     // GIR_Coverage, 14951,
     /* 2033209 */     GIR_EraseRootFromParent_Done,
     /* 2033210 */   // Label 27087: @2033210
     /* 2033210 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2033301), // Rule ID 14954 //
     /* 2033215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2033232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033261 */     // MIs[0] round
     /* 2033261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033264 */     // MIs[0] policy
     /* 2033264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2033277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033300 */     // GIR_Coverage, 14954,
     /* 2033300 */     GIR_EraseRootFromParent_Done,
     /* 2033301 */   // Label 27088: @2033301
     /* 2033301 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2033392), // Rule ID 14955 //
     /* 2033306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2033323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033352 */     // MIs[0] round
     /* 2033352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033355 */     // MIs[0] policy
     /* 2033355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033365 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2033368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033391 */     // GIR_Coverage, 14955,
     /* 2033391 */     GIR_EraseRootFromParent_Done,
     /* 2033392 */   // Label 27089: @2033392
     /* 2033392 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2033483), // Rule ID 14958 //
     /* 2033397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2033408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2033411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2033414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2033420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033443 */     // MIs[0] round
     /* 2033443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033446 */     // MIs[0] policy
     /* 2033446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2033459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033482 */     // GIR_Coverage, 14958,
     /* 2033482 */     GIR_EraseRootFromParent_Done,
     /* 2033483 */   // Label 27090: @2033483
     /* 2033483 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2033574), // Rule ID 14959 //
     /* 2033488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2033499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2033502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2033505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2033511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033534 */     // MIs[0] round
     /* 2033534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033537 */     // MIs[0] policy
     /* 2033537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2033550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033573 */     // GIR_Coverage, 14959,
     /* 2033573 */     GIR_EraseRootFromParent_Done,
     /* 2033574 */   // Label 27091: @2033574
     /* 2033574 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2033665), // Rule ID 14962 //
     /* 2033579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033625 */     // MIs[0] round
     /* 2033625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033628 */     // MIs[0] policy
     /* 2033628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2033641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033664 */     // GIR_Coverage, 14962,
     /* 2033664 */     GIR_EraseRootFromParent_Done,
     /* 2033665 */   // Label 27092: @2033665
     /* 2033665 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2033756), // Rule ID 14963 //
     /* 2033670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033716 */     // MIs[0] round
     /* 2033716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033719 */     // MIs[0] policy
     /* 2033719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2033732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033755 */     // GIR_Coverage, 14963,
     /* 2033755 */     GIR_EraseRootFromParent_Done,
     /* 2033756 */   // Label 27093: @2033756
     /* 2033756 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2033847), // Rule ID 14966 //
     /* 2033761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033807 */     // MIs[0] round
     /* 2033807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033810 */     // MIs[0] policy
     /* 2033810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2033823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033846 */     // GIR_Coverage, 14966,
     /* 2033846 */     GIR_EraseRootFromParent_Done,
     /* 2033847 */   // Label 27094: @2033847
     /* 2033847 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2033938), // Rule ID 14967 //
     /* 2033852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2033863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2033866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033898 */     // MIs[0] round
     /* 2033898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033901 */     // MIs[0] policy
     /* 2033901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2033914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033937 */     // GIR_Coverage, 14967,
     /* 2033937 */     GIR_EraseRootFromParent_Done,
     /* 2033938 */   // Label 27095: @2033938
     /* 2033938 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2034029), // Rule ID 14970 //
     /* 2033943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2033951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2033954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2033957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033989 */     // MIs[0] round
     /* 2033989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033992 */     // MIs[0] policy
     /* 2033992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2034005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034028 */     // GIR_Coverage, 14970,
     /* 2034028 */     GIR_EraseRootFromParent_Done,
     /* 2034029 */   // Label 27096: @2034029
     /* 2034029 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2034120), // Rule ID 14971 //
     /* 2034034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2034045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2034048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2034051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2034057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034080 */     // MIs[0] round
     /* 2034080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034083 */     // MIs[0] policy
     /* 2034083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034093 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2034096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034119 */     // GIR_Coverage, 14971,
     /* 2034119 */     GIR_EraseRootFromParent_Done,
     /* 2034120 */   // Label 27097: @2034120
     /* 2034120 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2034211), // Rule ID 14974 //
     /* 2034125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2034142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034171 */     // MIs[0] round
     /* 2034171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034174 */     // MIs[0] policy
     /* 2034174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2034187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034210 */     // GIR_Coverage, 14974,
     /* 2034210 */     GIR_EraseRootFromParent_Done,
     /* 2034211 */   // Label 27098: @2034211
     /* 2034211 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2034302), // Rule ID 14975 //
     /* 2034216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2034233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034262 */     // MIs[0] round
     /* 2034262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034265 */     // MIs[0] policy
     /* 2034265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2034278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034301 */     // GIR_Coverage, 14975,
     /* 2034301 */     GIR_EraseRootFromParent_Done,
     /* 2034302 */   // Label 27099: @2034302
     /* 2034302 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2034393), // Rule ID 14978 //
     /* 2034307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034353 */     // MIs[0] round
     /* 2034353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034356 */     // MIs[0] policy
     /* 2034356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2034369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034392 */     // GIR_Coverage, 14978,
     /* 2034392 */     GIR_EraseRootFromParent_Done,
     /* 2034393 */   // Label 27100: @2034393
     /* 2034393 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2034484), // Rule ID 14979 //
     /* 2034398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034444 */     // MIs[0] round
     /* 2034444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034447 */     // MIs[0] policy
     /* 2034447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2034460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034483 */     // GIR_Coverage, 14979,
     /* 2034483 */     GIR_EraseRootFromParent_Done,
     /* 2034484 */   // Label 27101: @2034484
     /* 2034484 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2034575), // Rule ID 14982 //
     /* 2034489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034535 */     // MIs[0] round
     /* 2034535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034538 */     // MIs[0] policy
     /* 2034538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2034551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034574 */     // GIR_Coverage, 14982,
     /* 2034574 */     GIR_EraseRootFromParent_Done,
     /* 2034575 */   // Label 27102: @2034575
     /* 2034575 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2034666), // Rule ID 14983 //
     /* 2034580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2034591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2034594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034626 */     // MIs[0] round
     /* 2034626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034629 */     // MIs[0] policy
     /* 2034629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2034642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034665 */     // GIR_Coverage, 14983,
     /* 2034665 */     GIR_EraseRootFromParent_Done,
     /* 2034666 */   // Label 27103: @2034666
     /* 2034666 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2034757), // Rule ID 14986 //
     /* 2034671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034717 */     // MIs[0] round
     /* 2034717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034720 */     // MIs[0] policy
     /* 2034720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034730 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2034733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034756 */     // GIR_Coverage, 14986,
     /* 2034756 */     GIR_EraseRootFromParent_Done,
     /* 2034757 */   // Label 27104: @2034757
     /* 2034757 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2034848), // Rule ID 14987 //
     /* 2034762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034808 */     // MIs[0] round
     /* 2034808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034811 */     // MIs[0] policy
     /* 2034811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2034824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034847 */     // GIR_Coverage, 14987,
     /* 2034847 */     GIR_EraseRootFromParent_Done,
     /* 2034848 */   // Label 27105: @2034848
     /* 2034848 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2034939), // Rule ID 14990 //
     /* 2034853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034899 */     // MIs[0] round
     /* 2034899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034902 */     // MIs[0] policy
     /* 2034902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2034915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034938 */     // GIR_Coverage, 14990,
     /* 2034938 */     GIR_EraseRootFromParent_Done,
     /* 2034939 */   // Label 27106: @2034939
     /* 2034939 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2035030), // Rule ID 14991 //
     /* 2034944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2034952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034990 */     // MIs[0] round
     /* 2034990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034993 */     // MIs[0] policy
     /* 2034993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2035006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035029 */     // GIR_Coverage, 14991,
     /* 2035029 */     GIR_EraseRootFromParent_Done,
     /* 2035030 */   // Label 27107: @2035030
     /* 2035030 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2035121), // Rule ID 14994 //
     /* 2035035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2035038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2035046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2035049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2035052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035081 */     // MIs[0] round
     /* 2035081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035084 */     // MIs[0] policy
     /* 2035084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2035097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035120 */     // GIR_Coverage, 14994,
     /* 2035120 */     GIR_EraseRootFromParent_Done,
     /* 2035121 */   // Label 27108: @2035121
     /* 2035121 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2035212), // Rule ID 14995 //
     /* 2035126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2035129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2035134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2035137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2035140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2035143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035172 */     // MIs[0] round
     /* 2035172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035175 */     // MIs[0] policy
     /* 2035175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035185 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2035188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035211 */     // GIR_Coverage, 14995,
     /* 2035211 */     GIR_EraseRootFromParent_Done,
     /* 2035212 */   // Label 27109: @2035212
     /* 2035212 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2035303), // Rule ID 14998 //
     /* 2035217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2035228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2035231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2035234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2035237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035263 */     // MIs[0] round
     /* 2035263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035266 */     // MIs[0] policy
     /* 2035266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035276 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2035279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035302 */     // GIR_Coverage, 14998,
     /* 2035302 */     GIR_EraseRootFromParent_Done,
     /* 2035303 */   // Label 27110: @2035303
     /* 2035303 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2035394), // Rule ID 14999 //
     /* 2035308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2035319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2035322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2035325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2035328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035354 */     // MIs[0] round
     /* 2035354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035357 */     // MIs[0] policy
     /* 2035357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2035370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035393 */     // GIR_Coverage, 14999,
     /* 2035393 */     GIR_EraseRootFromParent_Done,
     /* 2035394 */   // Label 27111: @2035394
     /* 2035394 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2035485), // Rule ID 15002 //
     /* 2035399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2035410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2035413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2035416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2035419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035445 */     // MIs[0] round
     /* 2035445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035448 */     // MIs[0] policy
     /* 2035448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2035461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035484 */     // GIR_Coverage, 15002,
     /* 2035484 */     GIR_EraseRootFromParent_Done,
     /* 2035485 */   // Label 27112: @2035485
     /* 2035485 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2035576), // Rule ID 15003 //
     /* 2035490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2035501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2035504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2035507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2035510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035536 */     // MIs[0] round
     /* 2035536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035539 */     // MIs[0] policy
     /* 2035539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035549 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2035552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035575 */     // GIR_Coverage, 15003,
     /* 2035575 */     GIR_EraseRootFromParent_Done,
     /* 2035576 */   // Label 27113: @2035576
     /* 2035576 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2035667), // Rule ID 15006 //
     /* 2035581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2035601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035627 */     // MIs[0] round
     /* 2035627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035630 */     // MIs[0] policy
     /* 2035630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2035643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035666 */     // GIR_Coverage, 15006,
     /* 2035666 */     GIR_EraseRootFromParent_Done,
     /* 2035667 */   // Label 27114: @2035667
     /* 2035667 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2035758), // Rule ID 15007 //
     /* 2035672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2035683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2035686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2035689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2035692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035718 */     // MIs[0] round
     /* 2035718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035721 */     // MIs[0] policy
     /* 2035721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035731 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2035734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035757 */     // GIR_Coverage, 15007,
     /* 2035757 */     GIR_EraseRootFromParent_Done,
     /* 2035758 */   // Label 27115: @2035758
     /* 2035758 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2035849), // Rule ID 15010 //
     /* 2035763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2035783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035809 */     // MIs[0] round
     /* 2035809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035812 */     // MIs[0] policy
     /* 2035812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2035825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035848 */     // GIR_Coverage, 15010,
     /* 2035848 */     GIR_EraseRootFromParent_Done,
     /* 2035849 */   // Label 27116: @2035849
     /* 2035849 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2035940), // Rule ID 15011 //
     /* 2035854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2035865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2035868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2035871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2035874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035900 */     // MIs[0] round
     /* 2035900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035903 */     // MIs[0] policy
     /* 2035903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2035916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035939 */     // GIR_Coverage, 15011,
     /* 2035939 */     GIR_EraseRootFromParent_Done,
     /* 2035940 */   // Label 27117: @2035940
     /* 2035940 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2036031), // Rule ID 15014 //
     /* 2035945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2035956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2035959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2035962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2035965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035991 */     // MIs[0] round
     /* 2035991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035994 */     // MIs[0] policy
     /* 2035994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2036007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036030 */     // GIR_Coverage, 15014,
     /* 2036030 */     GIR_EraseRootFromParent_Done,
     /* 2036031 */   // Label 27118: @2036031
     /* 2036031 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2036122), // Rule ID 15015 //
     /* 2036036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2036047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2036050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2036053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2036056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036082 */     // MIs[0] round
     /* 2036082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036085 */     // MIs[0] policy
     /* 2036085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036095 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2036098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036121 */     // GIR_Coverage, 15015,
     /* 2036121 */     GIR_EraseRootFromParent_Done,
     /* 2036122 */   // Label 27119: @2036122
     /* 2036122 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2036213), // Rule ID 15018 //
     /* 2036127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2036144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2036147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036173 */     // MIs[0] round
     /* 2036173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036176 */     // MIs[0] policy
     /* 2036176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2036189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036212 */     // GIR_Coverage, 15018,
     /* 2036212 */     GIR_EraseRootFromParent_Done,
     /* 2036213 */   // Label 27120: @2036213
     /* 2036213 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2036304), // Rule ID 15019 //
     /* 2036218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2036235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2036238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036264 */     // MIs[0] round
     /* 2036264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036267 */     // MIs[0] policy
     /* 2036267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2036280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036303 */     // GIR_Coverage, 15019,
     /* 2036303 */     GIR_EraseRootFromParent_Done,
     /* 2036304 */   // Label 27121: @2036304
     /* 2036304 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2036395), // Rule ID 15022 //
     /* 2036309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2036320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2036323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2036326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2036329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036355 */     // MIs[0] round
     /* 2036355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036358 */     // MIs[0] policy
     /* 2036358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2036371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036394 */     // GIR_Coverage, 15022,
     /* 2036394 */     GIR_EraseRootFromParent_Done,
     /* 2036395 */   // Label 27122: @2036395
     /* 2036395 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2036486), // Rule ID 15023 //
     /* 2036400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2036411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2036414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2036417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2036420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036446 */     // MIs[0] round
     /* 2036446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036449 */     // MIs[0] policy
     /* 2036449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2036462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036485 */     // GIR_Coverage, 15023,
     /* 2036485 */     GIR_EraseRootFromParent_Done,
     /* 2036486 */   // Label 27123: @2036486
     /* 2036486 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2036577), // Rule ID 15026 //
     /* 2036491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2036511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036537 */     // MIs[0] round
     /* 2036537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036540 */     // MIs[0] policy
     /* 2036540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2036553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036576 */     // GIR_Coverage, 15026,
     /* 2036576 */     GIR_EraseRootFromParent_Done,
     /* 2036577 */   // Label 27124: @2036577
     /* 2036577 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2036668), // Rule ID 15027 //
     /* 2036582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2036602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036628 */     // MIs[0] round
     /* 2036628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036631 */     // MIs[0] policy
     /* 2036631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2036644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036667 */     // GIR_Coverage, 15027,
     /* 2036667 */     GIR_EraseRootFromParent_Done,
     /* 2036668 */   // Label 27125: @2036668
     /* 2036668 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2036759), // Rule ID 15030 //
     /* 2036673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2036693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036719 */     // MIs[0] round
     /* 2036719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036722 */     // MIs[0] policy
     /* 2036722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2036735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036758 */     // GIR_Coverage, 15030,
     /* 2036758 */     GIR_EraseRootFromParent_Done,
     /* 2036759 */   // Label 27126: @2036759
     /* 2036759 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2036850), // Rule ID 15031 //
     /* 2036764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2036784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036810 */     // MIs[0] round
     /* 2036810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036813 */     // MIs[0] policy
     /* 2036813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2036826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036849 */     // GIR_Coverage, 15031,
     /* 2036849 */     GIR_EraseRootFromParent_Done,
     /* 2036850 */   // Label 27127: @2036850
     /* 2036850 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2036941), // Rule ID 15034 //
     /* 2036855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2036875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036901 */     // MIs[0] round
     /* 2036901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036904 */     // MIs[0] policy
     /* 2036904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2036917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036940 */     // GIR_Coverage, 15034,
     /* 2036940 */     GIR_EraseRootFromParent_Done,
     /* 2036941 */   // Label 27128: @2036941
     /* 2036941 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2037032), // Rule ID 15035 //
     /* 2036946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2036966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036992 */     // MIs[0] round
     /* 2036992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036995 */     // MIs[0] policy
     /* 2036995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2037008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037031 */     // GIR_Coverage, 15035,
     /* 2037031 */     GIR_EraseRootFromParent_Done,
     /* 2037032 */   // Label 27129: @2037032
     /* 2037032 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2037123), // Rule ID 15038 //
     /* 2037037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2037048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2037051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2037054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2037057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037083 */     // MIs[0] round
     /* 2037083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037086 */     // MIs[0] policy
     /* 2037086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2037099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037122 */     // GIR_Coverage, 15038,
     /* 2037122 */     GIR_EraseRootFromParent_Done,
     /* 2037123 */   // Label 27130: @2037123
     /* 2037123 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2037214), // Rule ID 15039 //
     /* 2037128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2037139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2037142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2037145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2037148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037174 */     // MIs[0] round
     /* 2037174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037177 */     // MIs[0] policy
     /* 2037177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037187 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2037190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037213 */     // GIR_Coverage, 15039,
     /* 2037213 */     GIR_EraseRootFromParent_Done,
     /* 2037214 */   // Label 27131: @2037214
     /* 2037214 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2037305), // Rule ID 15042 //
     /* 2037219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2037230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2037233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2037236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2037239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037265 */     // MIs[0] round
     /* 2037265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037268 */     // MIs[0] policy
     /* 2037268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2037281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037304 */     // GIR_Coverage, 15042,
     /* 2037304 */     GIR_EraseRootFromParent_Done,
     /* 2037305 */   // Label 27132: @2037305
     /* 2037305 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2037396), // Rule ID 15043 //
     /* 2037310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2037321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2037324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2037327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2037330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037356 */     // MIs[0] round
     /* 2037356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037359 */     // MIs[0] policy
     /* 2037359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037369 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2037372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037395 */     // GIR_Coverage, 15043,
     /* 2037395 */     GIR_EraseRootFromParent_Done,
     /* 2037396 */   // Label 27133: @2037396
     /* 2037396 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2037487), // Rule ID 15046 //
     /* 2037401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2037412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2037415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2037418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2037421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2037424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037447 */     // MIs[0] round
     /* 2037447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037450 */     // MIs[0] policy
     /* 2037450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037460 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2037463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037486 */     // GIR_Coverage, 15046,
     /* 2037486 */     GIR_EraseRootFromParent_Done,
     /* 2037487 */   // Label 27134: @2037487
     /* 2037487 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2037578), // Rule ID 15047 //
     /* 2037492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2037503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2037506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2037509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2037512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2037515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037538 */     // MIs[0] round
     /* 2037538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037541 */     // MIs[0] policy
     /* 2037541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037551 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2037554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037577 */     // GIR_Coverage, 15047,
     /* 2037577 */     GIR_EraseRootFromParent_Done,
     /* 2037578 */   // Label 27135: @2037578
     /* 2037578 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2037669), // Rule ID 15050 //
     /* 2037583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2037603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037629 */     // MIs[0] round
     /* 2037629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037632 */     // MIs[0] policy
     /* 2037632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2037645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037668 */     // GIR_Coverage, 15050,
     /* 2037668 */     GIR_EraseRootFromParent_Done,
     /* 2037669 */   // Label 27136: @2037669
     /* 2037669 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2037760), // Rule ID 15051 //
     /* 2037674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2037694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037720 */     // MIs[0] round
     /* 2037720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037723 */     // MIs[0] policy
     /* 2037723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2037736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037759 */     // GIR_Coverage, 15051,
     /* 2037759 */     GIR_EraseRootFromParent_Done,
     /* 2037760 */   // Label 27137: @2037760
     /* 2037760 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2037851), // Rule ID 15054 //
     /* 2037765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037811 */     // MIs[0] round
     /* 2037811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037814 */     // MIs[0] policy
     /* 2037814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2037827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037850 */     // GIR_Coverage, 15054,
     /* 2037850 */     GIR_EraseRootFromParent_Done,
     /* 2037851 */   // Label 27138: @2037851
     /* 2037851 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2037942), // Rule ID 15055 //
     /* 2037856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037902 */     // MIs[0] round
     /* 2037902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037905 */     // MIs[0] policy
     /* 2037905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2037918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037941 */     // GIR_Coverage, 15055,
     /* 2037941 */     GIR_EraseRootFromParent_Done,
     /* 2037942 */   // Label 27139: @2037942
     /* 2037942 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2038033), // Rule ID 15058 //
     /* 2037947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2037967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037993 */     // MIs[0] round
     /* 2037993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037996 */     // MIs[0] policy
     /* 2037996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038006 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2038009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038032 */     // GIR_Coverage, 15058,
     /* 2038032 */     GIR_EraseRootFromParent_Done,
     /* 2038033 */   // Label 27140: @2038033
     /* 2038033 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2038124), // Rule ID 15059 //
     /* 2038038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2038049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2038052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2038055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2038058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2038061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038084 */     // MIs[0] round
     /* 2038084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038087 */     // MIs[0] policy
     /* 2038087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2038100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038123 */     // GIR_Coverage, 15059,
     /* 2038123 */     GIR_EraseRootFromParent_Done,
     /* 2038124 */   // Label 27141: @2038124
     /* 2038124 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2038215), // Rule ID 15062 //
     /* 2038129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2038140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2038143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2038146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2038149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038175 */     // MIs[0] round
     /* 2038175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038178 */     // MIs[0] policy
     /* 2038178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2038191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038214 */     // GIR_Coverage, 15062,
     /* 2038214 */     GIR_EraseRootFromParent_Done,
     /* 2038215 */   // Label 27142: @2038215
     /* 2038215 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2038306), // Rule ID 15063 //
     /* 2038220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2038231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2038234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2038237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2038240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038266 */     // MIs[0] round
     /* 2038266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038269 */     // MIs[0] policy
     /* 2038269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2038282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038305 */     // GIR_Coverage, 15063,
     /* 2038305 */     GIR_EraseRootFromParent_Done,
     /* 2038306 */   // Label 27143: @2038306
     /* 2038306 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2038397), // Rule ID 15066 //
     /* 2038311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2038322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2038325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2038328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2038331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038357 */     // MIs[0] round
     /* 2038357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038360 */     // MIs[0] policy
     /* 2038360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2038373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038396 */     // GIR_Coverage, 15066,
     /* 2038396 */     GIR_EraseRootFromParent_Done,
     /* 2038397 */   // Label 27144: @2038397
     /* 2038397 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2038488), // Rule ID 15067 //
     /* 2038402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2038413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2038416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2038419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2038422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038448 */     // MIs[0] round
     /* 2038448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038451 */     // MIs[0] policy
     /* 2038451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2038464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038487 */     // GIR_Coverage, 15067,
     /* 2038487 */     GIR_EraseRootFromParent_Done,
     /* 2038488 */   // Label 27145: @2038488
     /* 2038488 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2038579), // Rule ID 15070 //
     /* 2038493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2038513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038539 */     // MIs[0] round
     /* 2038539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038542 */     // MIs[0] policy
     /* 2038542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2038555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038578 */     // GIR_Coverage, 15070,
     /* 2038578 */     GIR_EraseRootFromParent_Done,
     /* 2038579 */   // Label 27146: @2038579
     /* 2038579 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2038670), // Rule ID 15071 //
     /* 2038584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2038595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2038598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2038601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2038604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038630 */     // MIs[0] round
     /* 2038630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038633 */     // MIs[0] policy
     /* 2038633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2038646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038669 */     // GIR_Coverage, 15071,
     /* 2038669 */     GIR_EraseRootFromParent_Done,
     /* 2038670 */   // Label 27147: @2038670
     /* 2038670 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2038761), // Rule ID 15074 //
     /* 2038675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2038695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038721 */     // MIs[0] round
     /* 2038721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038724 */     // MIs[0] policy
     /* 2038724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2038737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038760 */     // GIR_Coverage, 15074,
     /* 2038760 */     GIR_EraseRootFromParent_Done,
     /* 2038761 */   // Label 27148: @2038761
     /* 2038761 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2038852), // Rule ID 15075 //
     /* 2038766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2038786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038812 */     // MIs[0] round
     /* 2038812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038815 */     // MIs[0] policy
     /* 2038815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038825 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2038828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038851 */     // GIR_Coverage, 15075,
     /* 2038851 */     GIR_EraseRootFromParent_Done,
     /* 2038852 */   // Label 27149: @2038852
     /* 2038852 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2038943), // Rule ID 15078 //
     /* 2038857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2038877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038903 */     // MIs[0] round
     /* 2038903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038906 */     // MIs[0] policy
     /* 2038906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2038919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038942 */     // GIR_Coverage, 15078,
     /* 2038942 */     GIR_EraseRootFromParent_Done,
     /* 2038943 */   // Label 27150: @2038943
     /* 2038943 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2039034), // Rule ID 15079 //
     /* 2038948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2038956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2038968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038994 */     // MIs[0] round
     /* 2038994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038997 */     // MIs[0] policy
     /* 2038997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039007 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2039010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039033 */     // GIR_Coverage, 15079,
     /* 2039033 */     GIR_EraseRootFromParent_Done,
     /* 2039034 */   // Label 27151: @2039034
     /* 2039034 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2039125), // Rule ID 15082 //
     /* 2039039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2039042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2039050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2039053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2039056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2039059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039085 */     // MIs[0] round
     /* 2039085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039088 */     // MIs[0] policy
     /* 2039088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039098 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2039101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039124 */     // GIR_Coverage, 15082,
     /* 2039124 */     GIR_EraseRootFromParent_Done,
     /* 2039125 */   // Label 27152: @2039125
     /* 2039125 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2039216), // Rule ID 15083 //
     /* 2039130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2039133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2039141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2039144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2039147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2039150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039176 */     // MIs[0] round
     /* 2039176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039179 */     // MIs[0] policy
     /* 2039179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039189 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2039192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039215 */     // GIR_Coverage, 15083,
     /* 2039215 */     GIR_EraseRootFromParent_Done,
     /* 2039216 */   // Label 27153: @2039216
     /* 2039216 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2039307), // Rule ID 15086 //
     /* 2039221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2039232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2039235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2039238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039267 */     // MIs[0] round
     /* 2039267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039270 */     // MIs[0] policy
     /* 2039270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2039283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039306 */     // GIR_Coverage, 15086,
     /* 2039306 */     GIR_EraseRootFromParent_Done,
     /* 2039307 */   // Label 27154: @2039307
     /* 2039307 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2039398), // Rule ID 15087 //
     /* 2039312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2039323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2039326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2039329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039358 */     // MIs[0] round
     /* 2039358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039361 */     // MIs[0] policy
     /* 2039361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2039374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039397 */     // GIR_Coverage, 15087,
     /* 2039397 */     GIR_EraseRootFromParent_Done,
     /* 2039398 */   // Label 27155: @2039398
     /* 2039398 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2039489), // Rule ID 15090 //
     /* 2039403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2039414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2039417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2039420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039449 */     // MIs[0] round
     /* 2039449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039452 */     // MIs[0] policy
     /* 2039452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2039465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039488 */     // GIR_Coverage, 15090,
     /* 2039488 */     GIR_EraseRootFromParent_Done,
     /* 2039489 */   // Label 27156: @2039489
     /* 2039489 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2039580), // Rule ID 15091 //
     /* 2039494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2039505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2039508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2039511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039540 */     // MIs[0] round
     /* 2039540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039543 */     // MIs[0] policy
     /* 2039543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039553 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2039556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039579 */     // GIR_Coverage, 15091,
     /* 2039579 */     GIR_EraseRootFromParent_Done,
     /* 2039580 */   // Label 27157: @2039580
     /* 2039580 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2039671), // Rule ID 15094 //
     /* 2039585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039631 */     // MIs[0] round
     /* 2039631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039634 */     // MIs[0] policy
     /* 2039634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2039647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039670 */     // GIR_Coverage, 15094,
     /* 2039670 */     GIR_EraseRootFromParent_Done,
     /* 2039671 */   // Label 27158: @2039671
     /* 2039671 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2039762), // Rule ID 15095 //
     /* 2039676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039722 */     // MIs[0] round
     /* 2039722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039725 */     // MIs[0] policy
     /* 2039725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039735 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2039738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039761 */     // GIR_Coverage, 15095,
     /* 2039761 */     GIR_EraseRootFromParent_Done,
     /* 2039762 */   // Label 27159: @2039762
     /* 2039762 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2039853), // Rule ID 15098 //
     /* 2039767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039813 */     // MIs[0] round
     /* 2039813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039816 */     // MIs[0] policy
     /* 2039816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2039829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039852 */     // GIR_Coverage, 15098,
     /* 2039852 */     GIR_EraseRootFromParent_Done,
     /* 2039853 */   // Label 27160: @2039853
     /* 2039853 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2039944), // Rule ID 15099 //
     /* 2039858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039904 */     // MIs[0] round
     /* 2039904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039907 */     // MIs[0] policy
     /* 2039907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2039920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039943 */     // GIR_Coverage, 15099,
     /* 2039943 */     GIR_EraseRootFromParent_Done,
     /* 2039944 */   // Label 27161: @2039944
     /* 2039944 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2040035), // Rule ID 15102 //
     /* 2039949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2039957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039995 */     // MIs[0] round
     /* 2039995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039998 */     // MIs[0] policy
     /* 2039998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2040011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040034 */     // GIR_Coverage, 15102,
     /* 2040034 */     GIR_EraseRootFromParent_Done,
     /* 2040035 */   // Label 27162: @2040035
     /* 2040035 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2040126), // Rule ID 15103 //
     /* 2040040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2040051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2040054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2040057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040086 */     // MIs[0] round
     /* 2040086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040089 */     // MIs[0] policy
     /* 2040089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2040102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040125 */     // GIR_Coverage, 15103,
     /* 2040125 */     GIR_EraseRootFromParent_Done,
     /* 2040126 */   // Label 27163: @2040126
     /* 2040126 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2040217), // Rule ID 15106 //
     /* 2040131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2040142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2040145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2040148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040177 */     // MIs[0] round
     /* 2040177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040180 */     // MIs[0] policy
     /* 2040180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2040193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040216 */     // GIR_Coverage, 15106,
     /* 2040216 */     GIR_EraseRootFromParent_Done,
     /* 2040217 */   // Label 27164: @2040217
     /* 2040217 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2040308), // Rule ID 15107 //
     /* 2040222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2040233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2040236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2040239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040268 */     // MIs[0] round
     /* 2040268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040271 */     // MIs[0] policy
     /* 2040271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2040284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040307 */     // GIR_Coverage, 15107,
     /* 2040307 */     GIR_EraseRootFromParent_Done,
     /* 2040308 */   // Label 27165: @2040308
     /* 2040308 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2040399), // Rule ID 15110 //
     /* 2040313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2040324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2040327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2040330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040359 */     // MIs[0] round
     /* 2040359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040362 */     // MIs[0] policy
     /* 2040362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2040375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040398 */     // GIR_Coverage, 15110,
     /* 2040398 */     GIR_EraseRootFromParent_Done,
     /* 2040399 */   // Label 27166: @2040399
     /* 2040399 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2040490), // Rule ID 15111 //
     /* 2040404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2040415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2040418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2040421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040450 */     // MIs[0] round
     /* 2040450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040453 */     // MIs[0] policy
     /* 2040453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040463 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2040466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040489 */     // GIR_Coverage, 15111,
     /* 2040489 */     GIR_EraseRootFromParent_Done,
     /* 2040490 */   // Label 27167: @2040490
     /* 2040490 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2040581), // Rule ID 15114 //
     /* 2040495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040541 */     // MIs[0] round
     /* 2040541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040544 */     // MIs[0] policy
     /* 2040544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2040557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040580 */     // GIR_Coverage, 15114,
     /* 2040580 */     GIR_EraseRootFromParent_Done,
     /* 2040581 */   // Label 27168: @2040581
     /* 2040581 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2040672), // Rule ID 15115 //
     /* 2040586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2040597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2040600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2040603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040632 */     // MIs[0] round
     /* 2040632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040635 */     // MIs[0] policy
     /* 2040635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040645 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2040648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040671 */     // GIR_Coverage, 15115,
     /* 2040671 */     GIR_EraseRootFromParent_Done,
     /* 2040672 */   // Label 27169: @2040672
     /* 2040672 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2040763), // Rule ID 15118 //
     /* 2040677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040723 */     // MIs[0] round
     /* 2040723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040726 */     // MIs[0] policy
     /* 2040726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2040739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040762 */     // GIR_Coverage, 15118,
     /* 2040762 */     GIR_EraseRootFromParent_Done,
     /* 2040763 */   // Label 27170: @2040763
     /* 2040763 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2040854), // Rule ID 15119 //
     /* 2040768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040814 */     // MIs[0] round
     /* 2040814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040817 */     // MIs[0] policy
     /* 2040817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2040830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040853 */     // GIR_Coverage, 15119,
     /* 2040853 */     GIR_EraseRootFromParent_Done,
     /* 2040854 */   // Label 27171: @2040854
     /* 2040854 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2040945), // Rule ID 15122 //
     /* 2040859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040905 */     // MIs[0] round
     /* 2040905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040908 */     // MIs[0] policy
     /* 2040908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040918 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2040921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040944 */     // GIR_Coverage, 15122,
     /* 2040944 */     GIR_EraseRootFromParent_Done,
     /* 2040945 */   // Label 27172: @2040945
     /* 2040945 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2041036), // Rule ID 15123 //
     /* 2040950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2040958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040996 */     // MIs[0] round
     /* 2040996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040999 */     // MIs[0] policy
     /* 2040999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2041012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041035 */     // GIR_Coverage, 15123,
     /* 2041035 */     GIR_EraseRootFromParent_Done,
     /* 2041036 */   // Label 27173: @2041036
     /* 2041036 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2041127), // Rule ID 15126 //
     /* 2041041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2041052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2041055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2041058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041087 */     // MIs[0] round
     /* 2041087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041090 */     // MIs[0] policy
     /* 2041090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041100 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2041103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041126 */     // GIR_Coverage, 15126,
     /* 2041126 */     GIR_EraseRootFromParent_Done,
     /* 2041127 */   // Label 27174: @2041127
     /* 2041127 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2041218), // Rule ID 15127 //
     /* 2041132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2041143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2041146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2041149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041178 */     // MIs[0] round
     /* 2041178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041181 */     // MIs[0] policy
     /* 2041181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041191 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2041194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041217 */     // GIR_Coverage, 15127,
     /* 2041217 */     GIR_EraseRootFromParent_Done,
     /* 2041218 */   // Label 27175: @2041218
     /* 2041218 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2041309), // Rule ID 15130 //
     /* 2041223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2041234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2041237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2041240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041269 */     // MIs[0] round
     /* 2041269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041272 */     // MIs[0] policy
     /* 2041272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041282 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2041285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041308 */     // GIR_Coverage, 15130,
     /* 2041308 */     GIR_EraseRootFromParent_Done,
     /* 2041309 */   // Label 27176: @2041309
     /* 2041309 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2041400), // Rule ID 15131 //
     /* 2041314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2041325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2041328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2041331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041360 */     // MIs[0] round
     /* 2041360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041363 */     // MIs[0] policy
     /* 2041363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2041376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041399 */     // GIR_Coverage, 15131,
     /* 2041399 */     GIR_EraseRootFromParent_Done,
     /* 2041400 */   // Label 27177: @2041400
     /* 2041400 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2041491), // Rule ID 15134 //
     /* 2041405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2041416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2041419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2041422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2041428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041451 */     // MIs[0] round
     /* 2041451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041454 */     // MIs[0] policy
     /* 2041454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041464 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2041467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041490 */     // GIR_Coverage, 15134,
     /* 2041490 */     GIR_EraseRootFromParent_Done,
     /* 2041491 */   // Label 27178: @2041491
     /* 2041491 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2041582), // Rule ID 15135 //
     /* 2041496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2041507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2041510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2041513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2041519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041542 */     // MIs[0] round
     /* 2041542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041545 */     // MIs[0] policy
     /* 2041545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041555 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2041558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041581 */     // GIR_Coverage, 15135,
     /* 2041581 */     GIR_EraseRootFromParent_Done,
     /* 2041582 */   // Label 27179: @2041582
     /* 2041582 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2041673), // Rule ID 15138 //
     /* 2041587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041633 */     // MIs[0] round
     /* 2041633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041636 */     // MIs[0] policy
     /* 2041636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2041649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041672 */     // GIR_Coverage, 15138,
     /* 2041672 */     GIR_EraseRootFromParent_Done,
     /* 2041673 */   // Label 27180: @2041673
     /* 2041673 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2041764), // Rule ID 15139 //
     /* 2041678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041724 */     // MIs[0] round
     /* 2041724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041727 */     // MIs[0] policy
     /* 2041727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2041740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041763 */     // GIR_Coverage, 15139,
     /* 2041763 */     GIR_EraseRootFromParent_Done,
     /* 2041764 */   // Label 27181: @2041764
     /* 2041764 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2041855), // Rule ID 15142 //
     /* 2041769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041815 */     // MIs[0] round
     /* 2041815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041818 */     // MIs[0] policy
     /* 2041818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2041831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041854 */     // GIR_Coverage, 15142,
     /* 2041854 */     GIR_EraseRootFromParent_Done,
     /* 2041855 */   // Label 27182: @2041855
     /* 2041855 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2041946), // Rule ID 15143 //
     /* 2041860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041906 */     // MIs[0] round
     /* 2041906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041909 */     // MIs[0] policy
     /* 2041909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2041922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041945 */     // GIR_Coverage, 15143,
     /* 2041945 */     GIR_EraseRootFromParent_Done,
     /* 2041946 */   // Label 27183: @2041946
     /* 2041946 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2042037), // Rule ID 15146 //
     /* 2041951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2041959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041997 */     // MIs[0] round
     /* 2041997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042000 */     // MIs[0] policy
     /* 2042000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042010 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2042013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042036 */     // GIR_Coverage, 15146,
     /* 2042036 */     GIR_EraseRootFromParent_Done,
     /* 2042037 */   // Label 27184: @2042037
     /* 2042037 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2042128), // Rule ID 15147 //
     /* 2042042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2042053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2042056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2042059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2042065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042088 */     // MIs[0] round
     /* 2042088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042091 */     // MIs[0] policy
     /* 2042091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042101 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2042104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042127 */     // GIR_Coverage, 15147,
     /* 2042127 */     GIR_EraseRootFromParent_Done,
     /* 2042128 */   // Label 27185: @2042128
     /* 2042128 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2042219), // Rule ID 15150 //
     /* 2042133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2042144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2042147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2042150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042179 */     // MIs[0] round
     /* 2042179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042182 */     // MIs[0] policy
     /* 2042182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2042195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042218 */     // GIR_Coverage, 15150,
     /* 2042218 */     GIR_EraseRootFromParent_Done,
     /* 2042219 */   // Label 27186: @2042219
     /* 2042219 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2042310), // Rule ID 15151 //
     /* 2042224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2042235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2042238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2042241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042270 */     // MIs[0] round
     /* 2042270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042273 */     // MIs[0] policy
     /* 2042273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2042286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042309 */     // GIR_Coverage, 15151,
     /* 2042309 */     GIR_EraseRootFromParent_Done,
     /* 2042310 */   // Label 27187: @2042310
     /* 2042310 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2042401), // Rule ID 15154 //
     /* 2042315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2042326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2042329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2042332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042361 */     // MIs[0] round
     /* 2042361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042364 */     // MIs[0] policy
     /* 2042364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2042377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042400 */     // GIR_Coverage, 15154,
     /* 2042400 */     GIR_EraseRootFromParent_Done,
     /* 2042401 */   // Label 27188: @2042401
     /* 2042401 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2042492), // Rule ID 15155 //
     /* 2042406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2042417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2042420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2042423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042452 */     // MIs[0] round
     /* 2042452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042455 */     // MIs[0] policy
     /* 2042455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042465 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2042468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042491 */     // GIR_Coverage, 15155,
     /* 2042491 */     GIR_EraseRootFromParent_Done,
     /* 2042492 */   // Label 27189: @2042492
     /* 2042492 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2042583), // Rule ID 15158 //
     /* 2042497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042543 */     // MIs[0] round
     /* 2042543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042546 */     // MIs[0] policy
     /* 2042546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2042559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042582 */     // GIR_Coverage, 15158,
     /* 2042582 */     GIR_EraseRootFromParent_Done,
     /* 2042583 */   // Label 27190: @2042583
     /* 2042583 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2042674), // Rule ID 15159 //
     /* 2042588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2042599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2042602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2042605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042634 */     // MIs[0] round
     /* 2042634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042637 */     // MIs[0] policy
     /* 2042637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2042650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042673 */     // GIR_Coverage, 15159,
     /* 2042673 */     GIR_EraseRootFromParent_Done,
     /* 2042674 */   // Label 27191: @2042674
     /* 2042674 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2042765), // Rule ID 15162 //
     /* 2042679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042725 */     // MIs[0] round
     /* 2042725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042728 */     // MIs[0] policy
     /* 2042728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042738 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2042741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042764 */     // GIR_Coverage, 15162,
     /* 2042764 */     GIR_EraseRootFromParent_Done,
     /* 2042765 */   // Label 27192: @2042765
     /* 2042765 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2042856), // Rule ID 15163 //
     /* 2042770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042816 */     // MIs[0] round
     /* 2042816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042819 */     // MIs[0] policy
     /* 2042819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042829 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2042832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042855 */     // GIR_Coverage, 15163,
     /* 2042855 */     GIR_EraseRootFromParent_Done,
     /* 2042856 */   // Label 27193: @2042856
     /* 2042856 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2042947), // Rule ID 15166 //
     /* 2042861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042907 */     // MIs[0] round
     /* 2042907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042910 */     // MIs[0] policy
     /* 2042910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2042923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042946 */     // GIR_Coverage, 15166,
     /* 2042946 */     GIR_EraseRootFromParent_Done,
     /* 2042947 */   // Label 27194: @2042947
     /* 2042947 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2043038), // Rule ID 15167 //
     /* 2042952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2042960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042998 */     // MIs[0] round
     /* 2042998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043001 */     // MIs[0] policy
     /* 2043001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2043014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043037 */     // GIR_Coverage, 15167,
     /* 2043037 */     GIR_EraseRootFromParent_Done,
     /* 2043038 */   // Label 27195: @2043038
     /* 2043038 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2043129), // Rule ID 15170 //
     /* 2043043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2043046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2043054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2043057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2043060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043089 */     // MIs[0] round
     /* 2043089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043092 */     // MIs[0] policy
     /* 2043092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2043105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043128 */     // GIR_Coverage, 15170,
     /* 2043128 */     GIR_EraseRootFromParent_Done,
     /* 2043129 */   // Label 27196: @2043129
     /* 2043129 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2043220), // Rule ID 15171 //
     /* 2043134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2043137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2043142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2043145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2043148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2043151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043180 */     // MIs[0] round
     /* 2043180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043183 */     // MIs[0] policy
     /* 2043183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2043196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043219 */     // GIR_Coverage, 15171,
     /* 2043219 */     GIR_EraseRootFromParent_Done,
     /* 2043220 */   // Label 27197: @2043220
     /* 2043220 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2043311), // Rule ID 15174 //
     /* 2043225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2043236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2043239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2043242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2043245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043271 */     // MIs[0] round
     /* 2043271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043274 */     // MIs[0] policy
     /* 2043274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043284 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2043287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043310 */     // GIR_Coverage, 15174,
     /* 2043310 */     GIR_EraseRootFromParent_Done,
     /* 2043311 */   // Label 27198: @2043311
     /* 2043311 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2043402), // Rule ID 15175 //
     /* 2043316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2043327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2043330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2043333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2043336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043362 */     // MIs[0] round
     /* 2043362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043365 */     // MIs[0] policy
     /* 2043365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043375 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2043378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043401 */     // GIR_Coverage, 15175,
     /* 2043401 */     GIR_EraseRootFromParent_Done,
     /* 2043402 */   // Label 27199: @2043402
     /* 2043402 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2043493), // Rule ID 15178 //
     /* 2043407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2043418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2043421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2043424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2043427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043453 */     // MIs[0] round
     /* 2043453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043456 */     // MIs[0] policy
     /* 2043456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043466 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2043469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043492 */     // GIR_Coverage, 15178,
     /* 2043492 */     GIR_EraseRootFromParent_Done,
     /* 2043493 */   // Label 27200: @2043493
     /* 2043493 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2043584), // Rule ID 15179 //
     /* 2043498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2043509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2043512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2043515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2043518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043544 */     // MIs[0] round
     /* 2043544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043547 */     // MIs[0] policy
     /* 2043547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043557 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2043560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043583 */     // GIR_Coverage, 15179,
     /* 2043583 */     GIR_EraseRootFromParent_Done,
     /* 2043584 */   // Label 27201: @2043584
     /* 2043584 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2043675), // Rule ID 15182 //
     /* 2043589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2043609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043635 */     // MIs[0] round
     /* 2043635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043638 */     // MIs[0] policy
     /* 2043638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043648 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2043651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043674 */     // GIR_Coverage, 15182,
     /* 2043674 */     GIR_EraseRootFromParent_Done,
     /* 2043675 */   // Label 27202: @2043675
     /* 2043675 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2043766), // Rule ID 15183 //
     /* 2043680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2043700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043726 */     // MIs[0] round
     /* 2043726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043729 */     // MIs[0] policy
     /* 2043729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043739 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2043742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043765 */     // GIR_Coverage, 15183,
     /* 2043765 */     GIR_EraseRootFromParent_Done,
     /* 2043766 */   // Label 27203: @2043766
     /* 2043766 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2043857), // Rule ID 15186 //
     /* 2043771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2043791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043817 */     // MIs[0] round
     /* 2043817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043820 */     // MIs[0] policy
     /* 2043820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2043833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043856 */     // GIR_Coverage, 15186,
     /* 2043856 */     GIR_EraseRootFromParent_Done,
     /* 2043857 */   // Label 27204: @2043857
     /* 2043857 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2043948), // Rule ID 15187 //
     /* 2043862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2043882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043908 */     // MIs[0] round
     /* 2043908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043911 */     // MIs[0] policy
     /* 2043911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2043924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043947 */     // GIR_Coverage, 15187,
     /* 2043947 */     GIR_EraseRootFromParent_Done,
     /* 2043948 */   // Label 27205: @2043948
     /* 2043948 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2044039), // Rule ID 15190 //
     /* 2043953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2043973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043999 */     // MIs[0] round
     /* 2043999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044002 */     // MIs[0] policy
     /* 2044002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2044015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044038 */     // GIR_Coverage, 15190,
     /* 2044038 */     GIR_EraseRootFromParent_Done,
     /* 2044039 */   // Label 27206: @2044039
     /* 2044039 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2044130), // Rule ID 15191 //
     /* 2044044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2044055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2044058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2044061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2044064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044090 */     // MIs[0] round
     /* 2044090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044093 */     // MIs[0] policy
     /* 2044093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2044106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044129 */     // GIR_Coverage, 15191,
     /* 2044129 */     GIR_EraseRootFromParent_Done,
     /* 2044130 */   // Label 27207: @2044130
     /* 2044130 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2044221), // Rule ID 15194 //
     /* 2044135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2044146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2044149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2044152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2044155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044181 */     // MIs[0] round
     /* 2044181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044184 */     // MIs[0] policy
     /* 2044184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2044197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044220 */     // GIR_Coverage, 15194,
     /* 2044220 */     GIR_EraseRootFromParent_Done,
     /* 2044221 */   // Label 27208: @2044221
     /* 2044221 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2044312), // Rule ID 15195 //
     /* 2044226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2044237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2044240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2044243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2044246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044272 */     // MIs[0] round
     /* 2044272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044275 */     // MIs[0] policy
     /* 2044275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2044288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044311 */     // GIR_Coverage, 15195,
     /* 2044311 */     GIR_EraseRootFromParent_Done,
     /* 2044312 */   // Label 27209: @2044312
     /* 2044312 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2044403), // Rule ID 15198 //
     /* 2044317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2044328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2044331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2044334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2044337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044363 */     // MIs[0] round
     /* 2044363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044366 */     // MIs[0] policy
     /* 2044366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2044379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044402 */     // GIR_Coverage, 15198,
     /* 2044402 */     GIR_EraseRootFromParent_Done,
     /* 2044403 */   // Label 27210: @2044403
     /* 2044403 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2044494), // Rule ID 15199 //
     /* 2044408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2044419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2044422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2044425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2044428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044454 */     // MIs[0] round
     /* 2044454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044457 */     // MIs[0] policy
     /* 2044457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2044470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044493 */     // GIR_Coverage, 15199,
     /* 2044493 */     GIR_EraseRootFromParent_Done,
     /* 2044494 */   // Label 27211: @2044494
     /* 2044494 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2044585), // Rule ID 15202 //
     /* 2044499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2044519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044545 */     // MIs[0] round
     /* 2044545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044548 */     // MIs[0] policy
     /* 2044548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2044561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044584 */     // GIR_Coverage, 15202,
     /* 2044584 */     GIR_EraseRootFromParent_Done,
     /* 2044585 */   // Label 27212: @2044585
     /* 2044585 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2044676), // Rule ID 15203 //
     /* 2044590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2044607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2044610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044636 */     // MIs[0] round
     /* 2044636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044639 */     // MIs[0] policy
     /* 2044639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2044652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044675 */     // GIR_Coverage, 15203,
     /* 2044675 */     GIR_EraseRootFromParent_Done,
     /* 2044676 */   // Label 27213: @2044676
     /* 2044676 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2044767), // Rule ID 15206 //
     /* 2044681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2044701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044727 */     // MIs[0] round
     /* 2044727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044730 */     // MIs[0] policy
     /* 2044730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2044743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044766 */     // GIR_Coverage, 15206,
     /* 2044766 */     GIR_EraseRootFromParent_Done,
     /* 2044767 */   // Label 27214: @2044767
     /* 2044767 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2044858), // Rule ID 15207 //
     /* 2044772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2044792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044818 */     // MIs[0] round
     /* 2044818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044821 */     // MIs[0] policy
     /* 2044821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2044834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044857 */     // GIR_Coverage, 15207,
     /* 2044857 */     GIR_EraseRootFromParent_Done,
     /* 2044858 */   // Label 27215: @2044858
     /* 2044858 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2044949), // Rule ID 15210 //
     /* 2044863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2044883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044909 */     // MIs[0] round
     /* 2044909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044912 */     // MIs[0] policy
     /* 2044912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2044925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044948 */     // GIR_Coverage, 15210,
     /* 2044948 */     GIR_EraseRootFromParent_Done,
     /* 2044949 */   // Label 27216: @2044949
     /* 2044949 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2045040), // Rule ID 15211 //
     /* 2044954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2044974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045000 */     // MIs[0] round
     /* 2045000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045003 */     // MIs[0] policy
     /* 2045003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2045016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045039 */     // GIR_Coverage, 15211,
     /* 2045039 */     GIR_EraseRootFromParent_Done,
     /* 2045040 */   // Label 27217: @2045040
     /* 2045040 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2045131), // Rule ID 15214 //
     /* 2045045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2045056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2045059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2045062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2045065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045091 */     // MIs[0] round
     /* 2045091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045094 */     // MIs[0] policy
     /* 2045094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2045107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045130 */     // GIR_Coverage, 15214,
     /* 2045130 */     GIR_EraseRootFromParent_Done,
     /* 2045131 */   // Label 27218: @2045131
     /* 2045131 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2045222), // Rule ID 15215 //
     /* 2045136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2045147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2045150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2045153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2045156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045182 */     // MIs[0] round
     /* 2045182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045185 */     // MIs[0] policy
     /* 2045185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045195 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2045198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045221 */     // GIR_Coverage, 15215,
     /* 2045221 */     GIR_EraseRootFromParent_Done,
     /* 2045222 */   // Label 27219: @2045222
     /* 2045222 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2045313), // Rule ID 15218 //
     /* 2045227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2045238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2045241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2045244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2045247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045273 */     // MIs[0] round
     /* 2045273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045276 */     // MIs[0] policy
     /* 2045276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2045289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045312 */     // GIR_Coverage, 15218,
     /* 2045312 */     GIR_EraseRootFromParent_Done,
     /* 2045313 */   // Label 27220: @2045313
     /* 2045313 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2045404), // Rule ID 15219 //
     /* 2045318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2045329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2045332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2045335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2045338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045364 */     // MIs[0] round
     /* 2045364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045367 */     // MIs[0] policy
     /* 2045367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045377 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2045380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045403 */     // GIR_Coverage, 15219,
     /* 2045403 */     GIR_EraseRootFromParent_Done,
     /* 2045404 */   // Label 27221: @2045404
     /* 2045404 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2045495), // Rule ID 15222 //
     /* 2045409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2045420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2045423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2045426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2045429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2045432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045455 */     // MIs[0] round
     /* 2045455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045458 */     // MIs[0] policy
     /* 2045458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045468 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2045471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045494 */     // GIR_Coverage, 15222,
     /* 2045494 */     GIR_EraseRootFromParent_Done,
     /* 2045495 */   // Label 27222: @2045495
     /* 2045495 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2045586), // Rule ID 15223 //
     /* 2045500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2045511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2045514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2045517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2045520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2045523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045546 */     // MIs[0] round
     /* 2045546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045549 */     // MIs[0] policy
     /* 2045549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2045562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045585 */     // GIR_Coverage, 15223,
     /* 2045585 */     GIR_EraseRootFromParent_Done,
     /* 2045586 */   // Label 27223: @2045586
     /* 2045586 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2045677), // Rule ID 15226 //
     /* 2045591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2045611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045637 */     // MIs[0] round
     /* 2045637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045640 */     // MIs[0] policy
     /* 2045640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2045653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045676 */     // GIR_Coverage, 15226,
     /* 2045676 */     GIR_EraseRootFromParent_Done,
     /* 2045677 */   // Label 27224: @2045677
     /* 2045677 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2045768), // Rule ID 15227 //
     /* 2045682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2045702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045728 */     // MIs[0] round
     /* 2045728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045731 */     // MIs[0] policy
     /* 2045731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2045744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045767 */     // GIR_Coverage, 15227,
     /* 2045767 */     GIR_EraseRootFromParent_Done,
     /* 2045768 */   // Label 27225: @2045768
     /* 2045768 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2045859), // Rule ID 15230 //
     /* 2045773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2045793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045819 */     // MIs[0] round
     /* 2045819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045822 */     // MIs[0] policy
     /* 2045822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2045835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045858 */     // GIR_Coverage, 15230,
     /* 2045858 */     GIR_EraseRootFromParent_Done,
     /* 2045859 */   // Label 27226: @2045859
     /* 2045859 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2045950), // Rule ID 15231 //
     /* 2045864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2045884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045910 */     // MIs[0] round
     /* 2045910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045913 */     // MIs[0] policy
     /* 2045913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2045926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045949 */     // GIR_Coverage, 15231,
     /* 2045949 */     GIR_EraseRootFromParent_Done,
     /* 2045950 */   // Label 27227: @2045950
     /* 2045950 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2046041), // Rule ID 15234 //
     /* 2045955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2045975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046001 */     // MIs[0] round
     /* 2046001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046004 */     // MIs[0] policy
     /* 2046004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2046017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046040 */     // GIR_Coverage, 15234,
     /* 2046040 */     GIR_EraseRootFromParent_Done,
     /* 2046041 */   // Label 27228: @2046041
     /* 2046041 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2046132), // Rule ID 15235 //
     /* 2046046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2046057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2046060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2046063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2046066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2046069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046092 */     // MIs[0] round
     /* 2046092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046095 */     // MIs[0] policy
     /* 2046095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2046108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046131 */     // GIR_Coverage, 15235,
     /* 2046131 */     GIR_EraseRootFromParent_Done,
     /* 2046132 */   // Label 27229: @2046132
     /* 2046132 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2046223), // Rule ID 15238 //
     /* 2046137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2046148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2046151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2046154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2046157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046183 */     // MIs[0] round
     /* 2046183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046186 */     // MIs[0] policy
     /* 2046186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2046199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046222 */     // GIR_Coverage, 15238,
     /* 2046222 */     GIR_EraseRootFromParent_Done,
     /* 2046223 */   // Label 27230: @2046223
     /* 2046223 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2046314), // Rule ID 15239 //
     /* 2046228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2046239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2046242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2046245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2046248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046274 */     // MIs[0] round
     /* 2046274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046277 */     // MIs[0] policy
     /* 2046277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2046290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046313 */     // GIR_Coverage, 15239,
     /* 2046313 */     GIR_EraseRootFromParent_Done,
     /* 2046314 */   // Label 27231: @2046314
     /* 2046314 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2046405), // Rule ID 15242 //
     /* 2046319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2046330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2046333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2046336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2046339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046365 */     // MIs[0] round
     /* 2046365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046368 */     // MIs[0] policy
     /* 2046368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2046381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046404 */     // GIR_Coverage, 15242,
     /* 2046404 */     GIR_EraseRootFromParent_Done,
     /* 2046405 */   // Label 27232: @2046405
     /* 2046405 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2046496), // Rule ID 15243 //
     /* 2046410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2046421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2046424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2046427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2046430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046456 */     // MIs[0] round
     /* 2046456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046459 */     // MIs[0] policy
     /* 2046459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046469 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2046472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046495 */     // GIR_Coverage, 15243,
     /* 2046495 */     GIR_EraseRootFromParent_Done,
     /* 2046496 */   // Label 27233: @2046496
     /* 2046496 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2046587), // Rule ID 15246 //
     /* 2046501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2046521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046547 */     // MIs[0] round
     /* 2046547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046550 */     // MIs[0] policy
     /* 2046550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2046563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046586 */     // GIR_Coverage, 15246,
     /* 2046586 */     GIR_EraseRootFromParent_Done,
     /* 2046587 */   // Label 27234: @2046587
     /* 2046587 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2046678), // Rule ID 15247 //
     /* 2046592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2046609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2046612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046638 */     // MIs[0] round
     /* 2046638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046641 */     // MIs[0] policy
     /* 2046641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2046654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046677 */     // GIR_Coverage, 15247,
     /* 2046677 */     GIR_EraseRootFromParent_Done,
     /* 2046678 */   // Label 27235: @2046678
     /* 2046678 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2046769), // Rule ID 15250 //
     /* 2046683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2046703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046729 */     // MIs[0] round
     /* 2046729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046732 */     // MIs[0] policy
     /* 2046732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2046745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046768 */     // GIR_Coverage, 15250,
     /* 2046768 */     GIR_EraseRootFromParent_Done,
     /* 2046769 */   // Label 27236: @2046769
     /* 2046769 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2046860), // Rule ID 15251 //
     /* 2046774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2046794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046820 */     // MIs[0] round
     /* 2046820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046823 */     // MIs[0] policy
     /* 2046823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2046836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046859 */     // GIR_Coverage, 15251,
     /* 2046859 */     GIR_EraseRootFromParent_Done,
     /* 2046860 */   // Label 27237: @2046860
     /* 2046860 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2046951), // Rule ID 15254 //
     /* 2046865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2046885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046911 */     // MIs[0] round
     /* 2046911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046914 */     // MIs[0] policy
     /* 2046914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2046927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046950 */     // GIR_Coverage, 15254,
     /* 2046950 */     GIR_EraseRootFromParent_Done,
     /* 2046951 */   // Label 27238: @2046951
     /* 2046951 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2047042), // Rule ID 15255 //
     /* 2046956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2046964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2046976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047002 */     // MIs[0] round
     /* 2047002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047005 */     // MIs[0] policy
     /* 2047005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2047018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047041 */     // GIR_Coverage, 15255,
     /* 2047041 */     GIR_EraseRootFromParent_Done,
     /* 2047042 */   // Label 27239: @2047042
     /* 2047042 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2047133), // Rule ID 15258 //
     /* 2047047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2047050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2047058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2047061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2047064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2047067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047093 */     // MIs[0] round
     /* 2047093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047096 */     // MIs[0] policy
     /* 2047096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2047109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047132 */     // GIR_Coverage, 15258,
     /* 2047132 */     GIR_EraseRootFromParent_Done,
     /* 2047133 */   // Label 27240: @2047133
     /* 2047133 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2047224), // Rule ID 15259 //
     /* 2047138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2047141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2047149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2047152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2047155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2047158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047184 */     // MIs[0] round
     /* 2047184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047187 */     // MIs[0] policy
     /* 2047187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2047200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047223 */     // GIR_Coverage, 15259,
     /* 2047223 */     GIR_EraseRootFromParent_Done,
     /* 2047224 */   // Label 27241: @2047224
     /* 2047224 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2047315), // Rule ID 15262 //
     /* 2047229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2047240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2047243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2047246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047275 */     // MIs[0] round
     /* 2047275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047278 */     // MIs[0] policy
     /* 2047278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2047291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047314 */     // GIR_Coverage, 15262,
     /* 2047314 */     GIR_EraseRootFromParent_Done,
     /* 2047315 */   // Label 27242: @2047315
     /* 2047315 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2047406), // Rule ID 15263 //
     /* 2047320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2047331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2047334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2047337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047366 */     // MIs[0] round
     /* 2047366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047369 */     // MIs[0] policy
     /* 2047369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047379 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2047382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047405 */     // GIR_Coverage, 15263,
     /* 2047405 */     GIR_EraseRootFromParent_Done,
     /* 2047406 */   // Label 27243: @2047406
     /* 2047406 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2047497), // Rule ID 15266 //
     /* 2047411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2047422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2047425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2047428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047457 */     // MIs[0] round
     /* 2047457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047460 */     // MIs[0] policy
     /* 2047460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047470 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2047473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047496 */     // GIR_Coverage, 15266,
     /* 2047496 */     GIR_EraseRootFromParent_Done,
     /* 2047497 */   // Label 27244: @2047497
     /* 2047497 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2047588), // Rule ID 15267 //
     /* 2047502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2047513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2047516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2047519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047548 */     // MIs[0] round
     /* 2047548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047551 */     // MIs[0] policy
     /* 2047551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2047564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047587 */     // GIR_Coverage, 15267,
     /* 2047587 */     GIR_EraseRootFromParent_Done,
     /* 2047588 */   // Label 27245: @2047588
     /* 2047588 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2047679), // Rule ID 15270 //
     /* 2047593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047639 */     // MIs[0] round
     /* 2047639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047642 */     // MIs[0] policy
     /* 2047642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2047655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047678 */     // GIR_Coverage, 15270,
     /* 2047678 */     GIR_EraseRootFromParent_Done,
     /* 2047679 */   // Label 27246: @2047679
     /* 2047679 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2047770), // Rule ID 15271 //
     /* 2047684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047730 */     // MIs[0] round
     /* 2047730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047733 */     // MIs[0] policy
     /* 2047733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047743 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2047746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047769 */     // GIR_Coverage, 15271,
     /* 2047769 */     GIR_EraseRootFromParent_Done,
     /* 2047770 */   // Label 27247: @2047770
     /* 2047770 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2047861), // Rule ID 15274 //
     /* 2047775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047821 */     // MIs[0] round
     /* 2047821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047824 */     // MIs[0] policy
     /* 2047824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047834 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2047837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047860 */     // GIR_Coverage, 15274,
     /* 2047860 */     GIR_EraseRootFromParent_Done,
     /* 2047861 */   // Label 27248: @2047861
     /* 2047861 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2047952), // Rule ID 15275 //
     /* 2047866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047912 */     // MIs[0] round
     /* 2047912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047915 */     // MIs[0] policy
     /* 2047915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047925 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2047928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047951 */     // GIR_Coverage, 15275,
     /* 2047951 */     GIR_EraseRootFromParent_Done,
     /* 2047952 */   // Label 27249: @2047952
     /* 2047952 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2048043), // Rule ID 15278 //
     /* 2047957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2047965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048003 */     // MIs[0] round
     /* 2048003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048006 */     // MIs[0] policy
     /* 2048006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2048019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048042 */     // GIR_Coverage, 15278,
     /* 2048042 */     GIR_EraseRootFromParent_Done,
     /* 2048043 */   // Label 27250: @2048043
     /* 2048043 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2048134), // Rule ID 15279 //
     /* 2048048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2048059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2048062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2048065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048094 */     // MIs[0] round
     /* 2048094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048097 */     // MIs[0] policy
     /* 2048097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2048110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048133 */     // GIR_Coverage, 15279,
     /* 2048133 */     GIR_EraseRootFromParent_Done,
     /* 2048134 */   // Label 27251: @2048134
     /* 2048134 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2048225), // Rule ID 15282 //
     /* 2048139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2048150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2048153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2048156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048185 */     // MIs[0] round
     /* 2048185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048188 */     // MIs[0] policy
     /* 2048188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2048201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048224 */     // GIR_Coverage, 15282,
     /* 2048224 */     GIR_EraseRootFromParent_Done,
     /* 2048225 */   // Label 27252: @2048225
     /* 2048225 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2048316), // Rule ID 15283 //
     /* 2048230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2048241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2048244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2048247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048276 */     // MIs[0] round
     /* 2048276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048279 */     // MIs[0] policy
     /* 2048279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2048292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048315 */     // GIR_Coverage, 15283,
     /* 2048315 */     GIR_EraseRootFromParent_Done,
     /* 2048316 */   // Label 27253: @2048316
     /* 2048316 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2048407), // Rule ID 15286 //
     /* 2048321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2048332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2048335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2048338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048367 */     // MIs[0] round
     /* 2048367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048370 */     // MIs[0] policy
     /* 2048370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2048383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048406 */     // GIR_Coverage, 15286,
     /* 2048406 */     GIR_EraseRootFromParent_Done,
     /* 2048407 */   // Label 27254: @2048407
     /* 2048407 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2048498), // Rule ID 15287 //
     /* 2048412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2048423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2048426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2048429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048458 */     // MIs[0] round
     /* 2048458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048461 */     // MIs[0] policy
     /* 2048461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2048474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048497 */     // GIR_Coverage, 15287,
     /* 2048497 */     GIR_EraseRootFromParent_Done,
     /* 2048498 */   // Label 27255: @2048498
     /* 2048498 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2048589), // Rule ID 15290 //
     /* 2048503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048549 */     // MIs[0] round
     /* 2048549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048552 */     // MIs[0] policy
     /* 2048552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2048565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048588 */     // GIR_Coverage, 15290,
     /* 2048588 */     GIR_EraseRootFromParent_Done,
     /* 2048589 */   // Label 27256: @2048589
     /* 2048589 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2048680), // Rule ID 15291 //
     /* 2048594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2048605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2048608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048640 */     // MIs[0] round
     /* 2048640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048643 */     // MIs[0] policy
     /* 2048643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2048656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048679 */     // GIR_Coverage, 15291,
     /* 2048679 */     GIR_EraseRootFromParent_Done,
     /* 2048680 */   // Label 27257: @2048680
     /* 2048680 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2048771), // Rule ID 15294 //
     /* 2048685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048731 */     // MIs[0] round
     /* 2048731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048734 */     // MIs[0] policy
     /* 2048734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2048747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048770 */     // GIR_Coverage, 15294,
     /* 2048770 */     GIR_EraseRootFromParent_Done,
     /* 2048771 */   // Label 27258: @2048771
     /* 2048771 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2048862), // Rule ID 15295 //
     /* 2048776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048822 */     // MIs[0] round
     /* 2048822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048825 */     // MIs[0] policy
     /* 2048825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2048838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048861 */     // GIR_Coverage, 15295,
     /* 2048861 */     GIR_EraseRootFromParent_Done,
     /* 2048862 */   // Label 27259: @2048862
     /* 2048862 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2048953), // Rule ID 15298 //
     /* 2048867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048913 */     // MIs[0] round
     /* 2048913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048916 */     // MIs[0] policy
     /* 2048916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2048929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048952 */     // GIR_Coverage, 15298,
     /* 2048952 */     GIR_EraseRootFromParent_Done,
     /* 2048953 */   // Label 27260: @2048953
     /* 2048953 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2049044), // Rule ID 15299 //
     /* 2048958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2048966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049004 */     // MIs[0] round
     /* 2049004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049007 */     // MIs[0] policy
     /* 2049007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2049020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049043 */     // GIR_Coverage, 15299,
     /* 2049043 */     GIR_EraseRootFromParent_Done,
     /* 2049044 */   // Label 27261: @2049044
     /* 2049044 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2049135), // Rule ID 15302 //
     /* 2049049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2049060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2049063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2049066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049095 */     // MIs[0] round
     /* 2049095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049098 */     // MIs[0] policy
     /* 2049098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2049111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049134 */     // GIR_Coverage, 15302,
     /* 2049134 */     GIR_EraseRootFromParent_Done,
     /* 2049135 */   // Label 27262: @2049135
     /* 2049135 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2049226), // Rule ID 15303 //
     /* 2049140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2049151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2049154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2049157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049186 */     // MIs[0] round
     /* 2049186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049189 */     // MIs[0] policy
     /* 2049189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049199 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2049202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049225 */     // GIR_Coverage, 15303,
     /* 2049225 */     GIR_EraseRootFromParent_Done,
     /* 2049226 */   // Label 27263: @2049226
     /* 2049226 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2049317), // Rule ID 15306 //
     /* 2049231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2049242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2049245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2049248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049277 */     // MIs[0] round
     /* 2049277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049280 */     // MIs[0] policy
     /* 2049280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2049293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049316 */     // GIR_Coverage, 15306,
     /* 2049316 */     GIR_EraseRootFromParent_Done,
     /* 2049317 */   // Label 27264: @2049317
     /* 2049317 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2049408), // Rule ID 15307 //
     /* 2049322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2049333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2049336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2049339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049368 */     // MIs[0] round
     /* 2049368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049371 */     // MIs[0] policy
     /* 2049371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049381 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2049384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049407 */     // GIR_Coverage, 15307,
     /* 2049407 */     GIR_EraseRootFromParent_Done,
     /* 2049408 */   // Label 27265: @2049408
     /* 2049408 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2049499), // Rule ID 15310 //
     /* 2049413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2049424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2049427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2049430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2049436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049459 */     // MIs[0] round
     /* 2049459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049462 */     // MIs[0] policy
     /* 2049462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2049475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049498 */     // GIR_Coverage, 15310,
     /* 2049498 */     GIR_EraseRootFromParent_Done,
     /* 2049499 */   // Label 27266: @2049499
     /* 2049499 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2049590), // Rule ID 15311 //
     /* 2049504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2049515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2049518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2049521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2049527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049550 */     // MIs[0] round
     /* 2049550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049553 */     // MIs[0] policy
     /* 2049553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049563 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2049566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049589 */     // GIR_Coverage, 15311,
     /* 2049589 */     GIR_EraseRootFromParent_Done,
     /* 2049590 */   // Label 27267: @2049590
     /* 2049590 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2049681), // Rule ID 15314 //
     /* 2049595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049641 */     // MIs[0] round
     /* 2049641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049644 */     // MIs[0] policy
     /* 2049644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2049657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049680 */     // GIR_Coverage, 15314,
     /* 2049680 */     GIR_EraseRootFromParent_Done,
     /* 2049681 */   // Label 27268: @2049681
     /* 2049681 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2049772), // Rule ID 15315 //
     /* 2049686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049732 */     // MIs[0] round
     /* 2049732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049735 */     // MIs[0] policy
     /* 2049735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049745 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2049748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049771 */     // GIR_Coverage, 15315,
     /* 2049771 */     GIR_EraseRootFromParent_Done,
     /* 2049772 */   // Label 27269: @2049772
     /* 2049772 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2049863), // Rule ID 15318 //
     /* 2049777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049823 */     // MIs[0] round
     /* 2049823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049826 */     // MIs[0] policy
     /* 2049826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2049839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049862 */     // GIR_Coverage, 15318,
     /* 2049862 */     GIR_EraseRootFromParent_Done,
     /* 2049863 */   // Label 27270: @2049863
     /* 2049863 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2049954), // Rule ID 15319 //
     /* 2049868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049914 */     // MIs[0] round
     /* 2049914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049917 */     // MIs[0] policy
     /* 2049917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2049930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049953 */     // GIR_Coverage, 15319,
     /* 2049953 */     GIR_EraseRootFromParent_Done,
     /* 2049954 */   // Label 27271: @2049954
     /* 2049954 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2050045), // Rule ID 15322 //
     /* 2049959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2049967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050005 */     // MIs[0] round
     /* 2050005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050008 */     // MIs[0] policy
     /* 2050008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2050021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050044 */     // GIR_Coverage, 15322,
     /* 2050044 */     GIR_EraseRootFromParent_Done,
     /* 2050045 */   // Label 27272: @2050045
     /* 2050045 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2050136), // Rule ID 15323 //
     /* 2050050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2050061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2050064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2050067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2050073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050096 */     // MIs[0] round
     /* 2050096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050099 */     // MIs[0] policy
     /* 2050099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2050112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050135 */     // GIR_Coverage, 15323,
     /* 2050135 */     GIR_EraseRootFromParent_Done,
     /* 2050136 */   // Label 27273: @2050136
     /* 2050136 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2050227), // Rule ID 15326 //
     /* 2050141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2050152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2050155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2050158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050187 */     // MIs[0] round
     /* 2050187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050190 */     // MIs[0] policy
     /* 2050190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2050203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050226 */     // GIR_Coverage, 15326,
     /* 2050226 */     GIR_EraseRootFromParent_Done,
     /* 2050227 */   // Label 27274: @2050227
     /* 2050227 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2050318), // Rule ID 15327 //
     /* 2050232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2050243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2050246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2050249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050278 */     // MIs[0] round
     /* 2050278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050281 */     // MIs[0] policy
     /* 2050281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2050294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050317 */     // GIR_Coverage, 15327,
     /* 2050317 */     GIR_EraseRootFromParent_Done,
     /* 2050318 */   // Label 27275: @2050318
     /* 2050318 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2050409), // Rule ID 15330 //
     /* 2050323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2050334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2050337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2050340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050369 */     // MIs[0] round
     /* 2050369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050372 */     // MIs[0] policy
     /* 2050372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2050385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050408 */     // GIR_Coverage, 15330,
     /* 2050408 */     GIR_EraseRootFromParent_Done,
     /* 2050409 */   // Label 27276: @2050409
     /* 2050409 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2050500), // Rule ID 15331 //
     /* 2050414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2050425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2050428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2050431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050460 */     // MIs[0] round
     /* 2050460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050463 */     // MIs[0] policy
     /* 2050463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2050476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050499 */     // GIR_Coverage, 15331,
     /* 2050499 */     GIR_EraseRootFromParent_Done,
     /* 2050500 */   // Label 27277: @2050500
     /* 2050500 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2050591), // Rule ID 15334 //
     /* 2050505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050551 */     // MIs[0] round
     /* 2050551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050554 */     // MIs[0] policy
     /* 2050554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2050567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050590 */     // GIR_Coverage, 15334,
     /* 2050590 */     GIR_EraseRootFromParent_Done,
     /* 2050591 */   // Label 27278: @2050591
     /* 2050591 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2050682), // Rule ID 15335 //
     /* 2050596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2050607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050642 */     // MIs[0] round
     /* 2050642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050645 */     // MIs[0] policy
     /* 2050645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2050658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050681 */     // GIR_Coverage, 15335,
     /* 2050681 */     GIR_EraseRootFromParent_Done,
     /* 2050682 */   // Label 27279: @2050682
     /* 2050682 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2050773), // Rule ID 15338 //
     /* 2050687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050733 */     // MIs[0] round
     /* 2050733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050736 */     // MIs[0] policy
     /* 2050736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2050749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050772 */     // GIR_Coverage, 15338,
     /* 2050772 */     GIR_EraseRootFromParent_Done,
     /* 2050773 */   // Label 27280: @2050773
     /* 2050773 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2050864), // Rule ID 15339 //
     /* 2050778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050824 */     // MIs[0] round
     /* 2050824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050827 */     // MIs[0] policy
     /* 2050827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2050840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050863 */     // GIR_Coverage, 15339,
     /* 2050863 */     GIR_EraseRootFromParent_Done,
     /* 2050864 */   // Label 27281: @2050864
     /* 2050864 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2050955), // Rule ID 15342 //
     /* 2050869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050915 */     // MIs[0] round
     /* 2050915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050918 */     // MIs[0] policy
     /* 2050918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2050931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050954 */     // GIR_Coverage, 15342,
     /* 2050954 */     GIR_EraseRootFromParent_Done,
     /* 2050955 */   // Label 27282: @2050955
     /* 2050955 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2051046), // Rule ID 15343 //
     /* 2050960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2050968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051006 */     // MIs[0] round
     /* 2051006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051009 */     // MIs[0] policy
     /* 2051009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2051022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051045 */     // GIR_Coverage, 15343,
     /* 2051045 */     GIR_EraseRootFromParent_Done,
     /* 2051046 */   // Label 27283: @2051046
     /* 2051046 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2051137), // Rule ID 15346 //
     /* 2051051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2051054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2051062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2051065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2051068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051097 */     // MIs[0] round
     /* 2051097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051100 */     // MIs[0] policy
     /* 2051100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2051113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051136 */     // GIR_Coverage, 15346,
     /* 2051136 */     GIR_EraseRootFromParent_Done,
     /* 2051137 */   // Label 27284: @2051137
     /* 2051137 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2051228), // Rule ID 15347 //
     /* 2051142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2051145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2051150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2051153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2051156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2051159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051188 */     // MIs[0] round
     /* 2051188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051191 */     // MIs[0] policy
     /* 2051191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2051204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051227 */     // GIR_Coverage, 15347,
     /* 2051227 */     GIR_EraseRootFromParent_Done,
     /* 2051228 */   // Label 27285: @2051228
     /* 2051228 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2051319), // Rule ID 15350 //
     /* 2051233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2051244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2051247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2051250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2051253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051279 */     // MIs[0] round
     /* 2051279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051282 */     // MIs[0] policy
     /* 2051282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2051295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051318 */     // GIR_Coverage, 15350,
     /* 2051318 */     GIR_EraseRootFromParent_Done,
     /* 2051319 */   // Label 27286: @2051319
     /* 2051319 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2051410), // Rule ID 15351 //
     /* 2051324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2051335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2051338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2051341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2051344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051370 */     // MIs[0] round
     /* 2051370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051373 */     // MIs[0] policy
     /* 2051373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2051386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051409 */     // GIR_Coverage, 15351,
     /* 2051409 */     GIR_EraseRootFromParent_Done,
     /* 2051410 */   // Label 27287: @2051410
     /* 2051410 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2051501), // Rule ID 15354 //
     /* 2051415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2051426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2051429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2051432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2051435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051461 */     // MIs[0] round
     /* 2051461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051464 */     // MIs[0] policy
     /* 2051464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2051477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051500 */     // GIR_Coverage, 15354,
     /* 2051500 */     GIR_EraseRootFromParent_Done,
     /* 2051501 */   // Label 27288: @2051501
     /* 2051501 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2051592), // Rule ID 15355 //
     /* 2051506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2051517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2051520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2051523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2051526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051552 */     // MIs[0] round
     /* 2051552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051555 */     // MIs[0] policy
     /* 2051555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051565 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2051568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051591 */     // GIR_Coverage, 15355,
     /* 2051591 */     GIR_EraseRootFromParent_Done,
     /* 2051592 */   // Label 27289: @2051592
     /* 2051592 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2051683), // Rule ID 15358 //
     /* 2051597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2051617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051643 */     // MIs[0] round
     /* 2051643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051646 */     // MIs[0] policy
     /* 2051646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2051659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051682 */     // GIR_Coverage, 15358,
     /* 2051682 */     GIR_EraseRootFromParent_Done,
     /* 2051683 */   // Label 27290: @2051683
     /* 2051683 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2051774), // Rule ID 15359 //
     /* 2051688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2051708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051734 */     // MIs[0] round
     /* 2051734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051737 */     // MIs[0] policy
     /* 2051737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2051750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051773 */     // GIR_Coverage, 15359,
     /* 2051773 */     GIR_EraseRootFromParent_Done,
     /* 2051774 */   // Label 27291: @2051774
     /* 2051774 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2051865), // Rule ID 15362 //
     /* 2051779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2051799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051825 */     // MIs[0] round
     /* 2051825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051828 */     // MIs[0] policy
     /* 2051828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2051841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051864 */     // GIR_Coverage, 15362,
     /* 2051864 */     GIR_EraseRootFromParent_Done,
     /* 2051865 */   // Label 27292: @2051865
     /* 2051865 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2051956), // Rule ID 15363 //
     /* 2051870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2051890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051916 */     // MIs[0] round
     /* 2051916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051919 */     // MIs[0] policy
     /* 2051919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051929 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2051932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051955 */     // GIR_Coverage, 15363,
     /* 2051955 */     GIR_EraseRootFromParent_Done,
     /* 2051956 */   // Label 27293: @2051956
     /* 2051956 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2052047), // Rule ID 15366 //
     /* 2051961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2051981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052007 */     // MIs[0] round
     /* 2052007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052010 */     // MIs[0] policy
     /* 2052010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2052023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052046 */     // GIR_Coverage, 15366,
     /* 2052046 */     GIR_EraseRootFromParent_Done,
     /* 2052047 */   // Label 27294: @2052047
     /* 2052047 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2052138), // Rule ID 15367 //
     /* 2052052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2052063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2052066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2052069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2052072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052098 */     // MIs[0] round
     /* 2052098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052101 */     // MIs[0] policy
     /* 2052101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2052114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052137 */     // GIR_Coverage, 15367,
     /* 2052137 */     GIR_EraseRootFromParent_Done,
     /* 2052138 */   // Label 27295: @2052138
     /* 2052138 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2052229), // Rule ID 15370 //
     /* 2052143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2052154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2052157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2052163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052189 */     // MIs[0] round
     /* 2052189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052192 */     // MIs[0] policy
     /* 2052192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2052205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052228 */     // GIR_Coverage, 15370,
     /* 2052228 */     GIR_EraseRootFromParent_Done,
     /* 2052229 */   // Label 27296: @2052229
     /* 2052229 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2052320), // Rule ID 15371 //
     /* 2052234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2052245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2052248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2052254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052280 */     // MIs[0] round
     /* 2052280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052283 */     // MIs[0] policy
     /* 2052283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2052296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052319 */     // GIR_Coverage, 15371,
     /* 2052319 */     GIR_EraseRootFromParent_Done,
     /* 2052320 */   // Label 27297: @2052320
     /* 2052320 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2052411), // Rule ID 15374 //
     /* 2052325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2052336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2052339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2052342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2052345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052371 */     // MIs[0] round
     /* 2052371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052374 */     // MIs[0] policy
     /* 2052374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052384 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2052387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052410 */     // GIR_Coverage, 15374,
     /* 2052410 */     GIR_EraseRootFromParent_Done,
     /* 2052411 */   // Label 27298: @2052411
     /* 2052411 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2052502), // Rule ID 15375 //
     /* 2052416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2052427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2052430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2052433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2052436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052462 */     // MIs[0] round
     /* 2052462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052465 */     // MIs[0] policy
     /* 2052465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2052478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052501 */     // GIR_Coverage, 15375,
     /* 2052501 */     GIR_EraseRootFromParent_Done,
     /* 2052502 */   // Label 27299: @2052502
     /* 2052502 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2052593), // Rule ID 15378 //
     /* 2052507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2052527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052553 */     // MIs[0] round
     /* 2052553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052556 */     // MIs[0] policy
     /* 2052556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2052569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052592 */     // GIR_Coverage, 15378,
     /* 2052592 */     GIR_EraseRootFromParent_Done,
     /* 2052593 */   // Label 27300: @2052593
     /* 2052593 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2052684), // Rule ID 15379 //
     /* 2052598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2052618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052644 */     // MIs[0] round
     /* 2052644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052647 */     // MIs[0] policy
     /* 2052647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2052660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052683 */     // GIR_Coverage, 15379,
     /* 2052683 */     GIR_EraseRootFromParent_Done,
     /* 2052684 */   // Label 27301: @2052684
     /* 2052684 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2052775), // Rule ID 15382 //
     /* 2052689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2052709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052735 */     // MIs[0] round
     /* 2052735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052738 */     // MIs[0] policy
     /* 2052738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2052751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052774 */     // GIR_Coverage, 15382,
     /* 2052774 */     GIR_EraseRootFromParent_Done,
     /* 2052775 */   // Label 27302: @2052775
     /* 2052775 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2052866), // Rule ID 15383 //
     /* 2052780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2052800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052826 */     // MIs[0] round
     /* 2052826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052829 */     // MIs[0] policy
     /* 2052829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2052842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052865 */     // GIR_Coverage, 15383,
     /* 2052865 */     GIR_EraseRootFromParent_Done,
     /* 2052866 */   // Label 27303: @2052866
     /* 2052866 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2052957), // Rule ID 15386 //
     /* 2052871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2052891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052917 */     // MIs[0] round
     /* 2052917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052920 */     // MIs[0] policy
     /* 2052920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2052933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052956 */     // GIR_Coverage, 15386,
     /* 2052956 */     GIR_EraseRootFromParent_Done,
     /* 2052957 */   // Label 27304: @2052957
     /* 2052957 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2053048), // Rule ID 15387 //
     /* 2052962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2052982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053008 */     // MIs[0] round
     /* 2053008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053011 */     // MIs[0] policy
     /* 2053011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2053024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053047 */     // GIR_Coverage, 15387,
     /* 2053047 */     GIR_EraseRootFromParent_Done,
     /* 2053048 */   // Label 27305: @2053048
     /* 2053048 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2053139), // Rule ID 15390 //
     /* 2053053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2053064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2053067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2053070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2053073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053099 */     // MIs[0] round
     /* 2053099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053102 */     // MIs[0] policy
     /* 2053102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2053115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053138 */     // GIR_Coverage, 15390,
     /* 2053138 */     GIR_EraseRootFromParent_Done,
     /* 2053139 */   // Label 27306: @2053139
     /* 2053139 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2053230), // Rule ID 15391 //
     /* 2053144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2053155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2053158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2053161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2053164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053190 */     // MIs[0] round
     /* 2053190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053193 */     // MIs[0] policy
     /* 2053193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053203 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2053206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053229 */     // GIR_Coverage, 15391,
     /* 2053229 */     GIR_EraseRootFromParent_Done,
     /* 2053230 */   // Label 27307: @2053230
     /* 2053230 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2053321), // Rule ID 15394 //
     /* 2053235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2053246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2053249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2053252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2053255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053281 */     // MIs[0] round
     /* 2053281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053284 */     // MIs[0] policy
     /* 2053284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053294 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2053297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053320 */     // GIR_Coverage, 15394,
     /* 2053320 */     GIR_EraseRootFromParent_Done,
     /* 2053321 */   // Label 27308: @2053321
     /* 2053321 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2053412), // Rule ID 15395 //
     /* 2053326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2053337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2053340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2053343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2053346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053372 */     // MIs[0] round
     /* 2053372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053375 */     // MIs[0] policy
     /* 2053375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053385 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2053388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053411 */     // GIR_Coverage, 15395,
     /* 2053411 */     GIR_EraseRootFromParent_Done,
     /* 2053412 */   // Label 27309: @2053412
     /* 2053412 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2053503), // Rule ID 15398 //
     /* 2053417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2053428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2053431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2053434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2053437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2053440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053463 */     // MIs[0] round
     /* 2053463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053466 */     // MIs[0] policy
     /* 2053466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2053479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053502 */     // GIR_Coverage, 15398,
     /* 2053502 */     GIR_EraseRootFromParent_Done,
     /* 2053503 */   // Label 27310: @2053503
     /* 2053503 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2053594), // Rule ID 15399 //
     /* 2053508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2053519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2053522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2053525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2053528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2053531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053554 */     // MIs[0] round
     /* 2053554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053557 */     // MIs[0] policy
     /* 2053557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2053570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053593 */     // GIR_Coverage, 15399,
     /* 2053593 */     GIR_EraseRootFromParent_Done,
     /* 2053594 */   // Label 27311: @2053594
     /* 2053594 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2053685), // Rule ID 15402 //
     /* 2053599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2053619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053645 */     // MIs[0] round
     /* 2053645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053648 */     // MIs[0] policy
     /* 2053648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2053661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053684 */     // GIR_Coverage, 15402,
     /* 2053684 */     GIR_EraseRootFromParent_Done,
     /* 2053685 */   // Label 27312: @2053685
     /* 2053685 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2053776), // Rule ID 15403 //
     /* 2053690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2053710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053736 */     // MIs[0] round
     /* 2053736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053739 */     // MIs[0] policy
     /* 2053739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2053752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053775 */     // GIR_Coverage, 15403,
     /* 2053775 */     GIR_EraseRootFromParent_Done,
     /* 2053776 */   // Label 27313: @2053776
     /* 2053776 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2053867), // Rule ID 15406 //
     /* 2053781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2053801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053827 */     // MIs[0] round
     /* 2053827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053830 */     // MIs[0] policy
     /* 2053830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2053843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053866 */     // GIR_Coverage, 15406,
     /* 2053866 */     GIR_EraseRootFromParent_Done,
     /* 2053867 */   // Label 27314: @2053867
     /* 2053867 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2053958), // Rule ID 15407 //
     /* 2053872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2053892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053918 */     // MIs[0] round
     /* 2053918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053921 */     // MIs[0] policy
     /* 2053921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053931 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2053934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053957 */     // GIR_Coverage, 15407,
     /* 2053957 */     GIR_EraseRootFromParent_Done,
     /* 2053958 */   // Label 27315: @2053958
     /* 2053958 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2054049), // Rule ID 15410 //
     /* 2053963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2053983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054009 */     // MIs[0] round
     /* 2054009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054012 */     // MIs[0] policy
     /* 2054012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2054025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054048 */     // GIR_Coverage, 15410,
     /* 2054048 */     GIR_EraseRootFromParent_Done,
     /* 2054049 */   // Label 27316: @2054049
     /* 2054049 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2054140), // Rule ID 15411 //
     /* 2054054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2054065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2054068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2054071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2054074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2054077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054100 */     // MIs[0] round
     /* 2054100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054103 */     // MIs[0] policy
     /* 2054103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054113 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2054116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054139 */     // GIR_Coverage, 15411,
     /* 2054139 */     GIR_EraseRootFromParent_Done,
     /* 2054140 */   // Label 27317: @2054140
     /* 2054140 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2054231), // Rule ID 15414 //
     /* 2054145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2054156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2054159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2054162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2054165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054191 */     // MIs[0] round
     /* 2054191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054194 */     // MIs[0] policy
     /* 2054194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2054207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054230 */     // GIR_Coverage, 15414,
     /* 2054230 */     GIR_EraseRootFromParent_Done,
     /* 2054231 */   // Label 27318: @2054231
     /* 2054231 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2054322), // Rule ID 15415 //
     /* 2054236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2054247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2054250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2054253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2054256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054282 */     // MIs[0] round
     /* 2054282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054285 */     // MIs[0] policy
     /* 2054285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2054298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054321 */     // GIR_Coverage, 15415,
     /* 2054321 */     GIR_EraseRootFromParent_Done,
     /* 2054322 */   // Label 27319: @2054322
     /* 2054322 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2054413), // Rule ID 15418 //
     /* 2054327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2054347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054373 */     // MIs[0] round
     /* 2054373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054376 */     // MIs[0] policy
     /* 2054376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2054389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054412 */     // GIR_Coverage, 15418,
     /* 2054412 */     GIR_EraseRootFromParent_Done,
     /* 2054413 */   // Label 27320: @2054413
     /* 2054413 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2054504), // Rule ID 15419 //
     /* 2054418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2054438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054464 */     // MIs[0] round
     /* 2054464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054467 */     // MIs[0] policy
     /* 2054467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2054480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054503 */     // GIR_Coverage, 15419,
     /* 2054503 */     GIR_EraseRootFromParent_Done,
     /* 2054504 */   // Label 27321: @2054504
     /* 2054504 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2054595), // Rule ID 15422 //
     /* 2054509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2054529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054555 */     // MIs[0] round
     /* 2054555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054558 */     // MIs[0] policy
     /* 2054558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2054571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054594 */     // GIR_Coverage, 15422,
     /* 2054594 */     GIR_EraseRootFromParent_Done,
     /* 2054595 */   // Label 27322: @2054595
     /* 2054595 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2054686), // Rule ID 15423 //
     /* 2054600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2054620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054646 */     // MIs[0] round
     /* 2054646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054649 */     // MIs[0] policy
     /* 2054649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2054662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054685 */     // GIR_Coverage, 15423,
     /* 2054685 */     GIR_EraseRootFromParent_Done,
     /* 2054686 */   // Label 27323: @2054686
     /* 2054686 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2054777), // Rule ID 15426 //
     /* 2054691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2054711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054737 */     // MIs[0] round
     /* 2054737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054740 */     // MIs[0] policy
     /* 2054740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054750 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2054753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054776 */     // GIR_Coverage, 15426,
     /* 2054776 */     GIR_EraseRootFromParent_Done,
     /* 2054777 */   // Label 27324: @2054777
     /* 2054777 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2054868), // Rule ID 15427 //
     /* 2054782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2054802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054828 */     // MIs[0] round
     /* 2054828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054831 */     // MIs[0] policy
     /* 2054831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2054844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054867 */     // GIR_Coverage, 15427,
     /* 2054867 */     GIR_EraseRootFromParent_Done,
     /* 2054868 */   // Label 27325: @2054868
     /* 2054868 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2054959), // Rule ID 15430 //
     /* 2054873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2054893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054919 */     // MIs[0] round
     /* 2054919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054922 */     // MIs[0] policy
     /* 2054922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2054935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054958 */     // GIR_Coverage, 15430,
     /* 2054958 */     GIR_EraseRootFromParent_Done,
     /* 2054959 */   // Label 27326: @2054959
     /* 2054959 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2055050), // Rule ID 15431 //
     /* 2054964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2054972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2054984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055010 */     // MIs[0] round
     /* 2055010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055013 */     // MIs[0] policy
     /* 2055013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055023 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2055026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055049 */     // GIR_Coverage, 15431,
     /* 2055049 */     GIR_EraseRootFromParent_Done,
     /* 2055050 */   // Label 27327: @2055050
     /* 2055050 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2055141), // Rule ID 15434 //
     /* 2055055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2055058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2055066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2055069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2055072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2055075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055101 */     // MIs[0] round
     /* 2055101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055104 */     // MIs[0] policy
     /* 2055104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2055117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055140 */     // GIR_Coverage, 15434,
     /* 2055140 */     GIR_EraseRootFromParent_Done,
     /* 2055141 */   // Label 27328: @2055141
     /* 2055141 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2055232), // Rule ID 15435 //
     /* 2055146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2055149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2055157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2055160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2055163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2055166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055192 */     // MIs[0] round
     /* 2055192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055195 */     // MIs[0] policy
     /* 2055195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055205 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2055208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055231 */     // GIR_Coverage, 15435,
     /* 2055231 */     GIR_EraseRootFromParent_Done,
     /* 2055232 */   // Label 27329: @2055232
     /* 2055232 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2055323), // Rule ID 15438 //
     /* 2055237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2055248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2055251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2055254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055283 */     // MIs[0] round
     /* 2055283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055286 */     // MIs[0] policy
     /* 2055286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2055299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055322 */     // GIR_Coverage, 15438,
     /* 2055322 */     GIR_EraseRootFromParent_Done,
     /* 2055323 */   // Label 27330: @2055323
     /* 2055323 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2055414), // Rule ID 15439 //
     /* 2055328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2055339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2055342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2055345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055374 */     // MIs[0] round
     /* 2055374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055377 */     // MIs[0] policy
     /* 2055377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2055390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055413 */     // GIR_Coverage, 15439,
     /* 2055413 */     GIR_EraseRootFromParent_Done,
     /* 2055414 */   // Label 27331: @2055414
     /* 2055414 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2055505), // Rule ID 15442 //
     /* 2055419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2055430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2055433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2055436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055465 */     // MIs[0] round
     /* 2055465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055468 */     // MIs[0] policy
     /* 2055468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2055481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055504 */     // GIR_Coverage, 15442,
     /* 2055504 */     GIR_EraseRootFromParent_Done,
     /* 2055505 */   // Label 27332: @2055505
     /* 2055505 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2055596), // Rule ID 15443 //
     /* 2055510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2055521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2055524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2055527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055556 */     // MIs[0] round
     /* 2055556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055559 */     // MIs[0] policy
     /* 2055559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055569 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2055572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055595 */     // GIR_Coverage, 15443,
     /* 2055595 */     GIR_EraseRootFromParent_Done,
     /* 2055596 */   // Label 27333: @2055596
     /* 2055596 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2055687), // Rule ID 15446 //
     /* 2055601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055647 */     // MIs[0] round
     /* 2055647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055650 */     // MIs[0] policy
     /* 2055650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2055663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055686 */     // GIR_Coverage, 15446,
     /* 2055686 */     GIR_EraseRootFromParent_Done,
     /* 2055687 */   // Label 27334: @2055687
     /* 2055687 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2055778), // Rule ID 15447 //
     /* 2055692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055738 */     // MIs[0] round
     /* 2055738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055741 */     // MIs[0] policy
     /* 2055741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2055754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055777 */     // GIR_Coverage, 15447,
     /* 2055777 */     GIR_EraseRootFromParent_Done,
     /* 2055778 */   // Label 27335: @2055778
     /* 2055778 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2055869), // Rule ID 15450 //
     /* 2055783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055829 */     // MIs[0] round
     /* 2055829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055832 */     // MIs[0] policy
     /* 2055832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2055845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055868 */     // GIR_Coverage, 15450,
     /* 2055868 */     GIR_EraseRootFromParent_Done,
     /* 2055869 */   // Label 27336: @2055869
     /* 2055869 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2055960), // Rule ID 15451 //
     /* 2055874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055920 */     // MIs[0] round
     /* 2055920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055923 */     // MIs[0] policy
     /* 2055923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2055936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055959 */     // GIR_Coverage, 15451,
     /* 2055959 */     GIR_EraseRootFromParent_Done,
     /* 2055960 */   // Label 27337: @2055960
     /* 2055960 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2056051), // Rule ID 15454 //
     /* 2055965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2055973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056011 */     // MIs[0] round
     /* 2056011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056014 */     // MIs[0] policy
     /* 2056014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2056027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056050 */     // GIR_Coverage, 15454,
     /* 2056050 */     GIR_EraseRootFromParent_Done,
     /* 2056051 */   // Label 27338: @2056051
     /* 2056051 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2056142), // Rule ID 15455 //
     /* 2056056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2056067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2056070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2056073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056102 */     // MIs[0] round
     /* 2056102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056105 */     // MIs[0] policy
     /* 2056105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2056118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056141 */     // GIR_Coverage, 15455,
     /* 2056141 */     GIR_EraseRootFromParent_Done,
     /* 2056142 */   // Label 27339: @2056142
     /* 2056142 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2056233), // Rule ID 15458 //
     /* 2056147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2056158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2056161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2056164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056193 */     // MIs[0] round
     /* 2056193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056196 */     // MIs[0] policy
     /* 2056196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2056209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056232 */     // GIR_Coverage, 15458,
     /* 2056232 */     GIR_EraseRootFromParent_Done,
     /* 2056233 */   // Label 27340: @2056233
     /* 2056233 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2056324), // Rule ID 15459 //
     /* 2056238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2056249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2056252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2056255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056284 */     // MIs[0] round
     /* 2056284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056287 */     // MIs[0] policy
     /* 2056287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2056300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056323 */     // GIR_Coverage, 15459,
     /* 2056323 */     GIR_EraseRootFromParent_Done,
     /* 2056324 */   // Label 27341: @2056324
     /* 2056324 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2056415), // Rule ID 15462 //
     /* 2056329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2056340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2056343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2056346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056375 */     // MIs[0] round
     /* 2056375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056378 */     // MIs[0] policy
     /* 2056378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2056391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056414 */     // GIR_Coverage, 15462,
     /* 2056414 */     GIR_EraseRootFromParent_Done,
     /* 2056415 */   // Label 27342: @2056415
     /* 2056415 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2056506), // Rule ID 15463 //
     /* 2056420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2056431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2056434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2056437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056466 */     // MIs[0] round
     /* 2056466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056469 */     // MIs[0] policy
     /* 2056469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2056482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056505 */     // GIR_Coverage, 15463,
     /* 2056505 */     GIR_EraseRootFromParent_Done,
     /* 2056506 */   // Label 27343: @2056506
     /* 2056506 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2056597), // Rule ID 15466 //
     /* 2056511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056557 */     // MIs[0] round
     /* 2056557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056560 */     // MIs[0] policy
     /* 2056560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2056573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056596 */     // GIR_Coverage, 15466,
     /* 2056596 */     GIR_EraseRootFromParent_Done,
     /* 2056597 */   // Label 27344: @2056597
     /* 2056597 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2056688), // Rule ID 15467 //
     /* 2056602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056648 */     // MIs[0] round
     /* 2056648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056651 */     // MIs[0] policy
     /* 2056651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056661 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2056664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056687 */     // GIR_Coverage, 15467,
     /* 2056687 */     GIR_EraseRootFromParent_Done,
     /* 2056688 */   // Label 27345: @2056688
     /* 2056688 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2056779), // Rule ID 15470 //
     /* 2056693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056739 */     // MIs[0] round
     /* 2056739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056742 */     // MIs[0] policy
     /* 2056742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2056755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056778 */     // GIR_Coverage, 15470,
     /* 2056778 */     GIR_EraseRootFromParent_Done,
     /* 2056779 */   // Label 27346: @2056779
     /* 2056779 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2056870), // Rule ID 15471 //
     /* 2056784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056830 */     // MIs[0] round
     /* 2056830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056833 */     // MIs[0] policy
     /* 2056833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056843 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2056846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056869 */     // GIR_Coverage, 15471,
     /* 2056869 */     GIR_EraseRootFromParent_Done,
     /* 2056870 */   // Label 27347: @2056870
     /* 2056870 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2056961), // Rule ID 15474 //
     /* 2056875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2056878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056921 */     // MIs[0] round
     /* 2056921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056924 */     // MIs[0] policy
     /* 2056924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2056937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056960 */     // GIR_Coverage, 15474,
     /* 2056960 */     GIR_EraseRootFromParent_Done,
     /* 2056961 */   // Label 27348: @2056961
     /* 2056961 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2057052), // Rule ID 15475 //
     /* 2056966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2056969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2056974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057012 */     // MIs[0] round
     /* 2057012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057015 */     // MIs[0] policy
     /* 2057015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057025 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2057028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057051 */     // GIR_Coverage, 15475,
     /* 2057051 */     GIR_EraseRootFromParent_Done,
     /* 2057052 */   // Label 27349: @2057052
     /* 2057052 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2057143), // Rule ID 15478 //
     /* 2057057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2057068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2057071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2057074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057103 */     // MIs[0] round
     /* 2057103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057106 */     // MIs[0] policy
     /* 2057106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2057119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057142 */     // GIR_Coverage, 15478,
     /* 2057142 */     GIR_EraseRootFromParent_Done,
     /* 2057143 */   // Label 27350: @2057143
     /* 2057143 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2057234), // Rule ID 15479 //
     /* 2057148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2057159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2057162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2057165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057194 */     // MIs[0] round
     /* 2057194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057197 */     // MIs[0] policy
     /* 2057197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057207 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2057210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057233 */     // GIR_Coverage, 15479,
     /* 2057233 */     GIR_EraseRootFromParent_Done,
     /* 2057234 */   // Label 27351: @2057234
     /* 2057234 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2057325), // Rule ID 15482 //
     /* 2057239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2057250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2057253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2057256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057285 */     // MIs[0] round
     /* 2057285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057288 */     // MIs[0] policy
     /* 2057288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2057301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057324 */     // GIR_Coverage, 15482,
     /* 2057324 */     GIR_EraseRootFromParent_Done,
     /* 2057325 */   // Label 27352: @2057325
     /* 2057325 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2057416), // Rule ID 15483 //
     /* 2057330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2057341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2057344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2057347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057376 */     // MIs[0] round
     /* 2057376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057379 */     // MIs[0] policy
     /* 2057379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057389 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2057392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057415 */     // GIR_Coverage, 15483,
     /* 2057415 */     GIR_EraseRootFromParent_Done,
     /* 2057416 */   // Label 27353: @2057416
     /* 2057416 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2057507), // Rule ID 15486 //
     /* 2057421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2057432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2057435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2057438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2057444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057467 */     // MIs[0] round
     /* 2057467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057470 */     // MIs[0] policy
     /* 2057470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2057483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057506 */     // GIR_Coverage, 15486,
     /* 2057506 */     GIR_EraseRootFromParent_Done,
     /* 2057507 */   // Label 27354: @2057507
     /* 2057507 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2057598), // Rule ID 15487 //
     /* 2057512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2057523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2057526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2057529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2057535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057558 */     // MIs[0] round
     /* 2057558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057561 */     // MIs[0] policy
     /* 2057561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2057574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057597 */     // GIR_Coverage, 15487,
     /* 2057597 */     GIR_EraseRootFromParent_Done,
     /* 2057598 */   // Label 27355: @2057598
     /* 2057598 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2057689), // Rule ID 15490 //
     /* 2057603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057649 */     // MIs[0] round
     /* 2057649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057652 */     // MIs[0] policy
     /* 2057652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2057665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057688 */     // GIR_Coverage, 15490,
     /* 2057688 */     GIR_EraseRootFromParent_Done,
     /* 2057689 */   // Label 27356: @2057689
     /* 2057689 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2057780), // Rule ID 15491 //
     /* 2057694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057740 */     // MIs[0] round
     /* 2057740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057743 */     // MIs[0] policy
     /* 2057743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2057756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057779 */     // GIR_Coverage, 15491,
     /* 2057779 */     GIR_EraseRootFromParent_Done,
     /* 2057780 */   // Label 27357: @2057780
     /* 2057780 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2057871), // Rule ID 15494 //
     /* 2057785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057831 */     // MIs[0] round
     /* 2057831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057834 */     // MIs[0] policy
     /* 2057834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057844 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2057847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057870 */     // GIR_Coverage, 15494,
     /* 2057870 */     GIR_EraseRootFromParent_Done,
     /* 2057871 */   // Label 27358: @2057871
     /* 2057871 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2057962), // Rule ID 15495 //
     /* 2057876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057922 */     // MIs[0] round
     /* 2057922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057925 */     // MIs[0] policy
     /* 2057925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057935 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2057938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057961 */     // GIR_Coverage, 15495,
     /* 2057961 */     GIR_EraseRootFromParent_Done,
     /* 2057962 */   // Label 27359: @2057962
     /* 2057962 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2058053), // Rule ID 15498 //
     /* 2057967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2057975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058013 */     // MIs[0] round
     /* 2058013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058016 */     // MIs[0] policy
     /* 2058016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2058029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058052 */     // GIR_Coverage, 15498,
     /* 2058052 */     GIR_EraseRootFromParent_Done,
     /* 2058053 */   // Label 27360: @2058053
     /* 2058053 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2058144), // Rule ID 15499 //
     /* 2058058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2058069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2058072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2058075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2058081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058104 */     // MIs[0] round
     /* 2058104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058107 */     // MIs[0] policy
     /* 2058107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058117 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2058120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058143 */     // GIR_Coverage, 15499,
     /* 2058143 */     GIR_EraseRootFromParent_Done,
     /* 2058144 */   // Label 27361: @2058144
     /* 2058144 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2058235), // Rule ID 15502 //
     /* 2058149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2058160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2058163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2058166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058195 */     // MIs[0] round
     /* 2058195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058198 */     // MIs[0] policy
     /* 2058198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2058211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058234 */     // GIR_Coverage, 15502,
     /* 2058234 */     GIR_EraseRootFromParent_Done,
     /* 2058235 */   // Label 27362: @2058235
     /* 2058235 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2058326), // Rule ID 15503 //
     /* 2058240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2058251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2058254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2058257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058286 */     // MIs[0] round
     /* 2058286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058289 */     // MIs[0] policy
     /* 2058289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058299 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2058302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058325 */     // GIR_Coverage, 15503,
     /* 2058325 */     GIR_EraseRootFromParent_Done,
     /* 2058326 */   // Label 27363: @2058326
     /* 2058326 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2058417), // Rule ID 15506 //
     /* 2058331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2058342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2058345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2058348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058377 */     // MIs[0] round
     /* 2058377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058380 */     // MIs[0] policy
     /* 2058380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2058393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058416 */     // GIR_Coverage, 15506,
     /* 2058416 */     GIR_EraseRootFromParent_Done,
     /* 2058417 */   // Label 27364: @2058417
     /* 2058417 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2058508), // Rule ID 15507 //
     /* 2058422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2058433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2058436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2058439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058468 */     // MIs[0] round
     /* 2058468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058471 */     // MIs[0] policy
     /* 2058471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2058484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058507 */     // GIR_Coverage, 15507,
     /* 2058507 */     GIR_EraseRootFromParent_Done,
     /* 2058508 */   // Label 27365: @2058508
     /* 2058508 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2058599), // Rule ID 15510 //
     /* 2058513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058559 */     // MIs[0] round
     /* 2058559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058562 */     // MIs[0] policy
     /* 2058562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2058575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058598 */     // GIR_Coverage, 15510,
     /* 2058598 */     GIR_EraseRootFromParent_Done,
     /* 2058599 */   // Label 27366: @2058599
     /* 2058599 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2058690), // Rule ID 15511 //
     /* 2058604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058650 */     // MIs[0] round
     /* 2058650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058653 */     // MIs[0] policy
     /* 2058653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058663 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2058666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058689 */     // GIR_Coverage, 15511,
     /* 2058689 */     GIR_EraseRootFromParent_Done,
     /* 2058690 */   // Label 27367: @2058690
     /* 2058690 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2058781), // Rule ID 15514 //
     /* 2058695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2058706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2058709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2058712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058741 */     // MIs[0] round
     /* 2058741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058744 */     // MIs[0] policy
     /* 2058744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058754 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2058757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058780 */     // GIR_Coverage, 15514,
     /* 2058780 */     GIR_EraseRootFromParent_Done,
     /* 2058781 */   // Label 27368: @2058781
     /* 2058781 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2058872), // Rule ID 15515 //
     /* 2058786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2058797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2058800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2058803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058832 */     // MIs[0] round
     /* 2058832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058835 */     // MIs[0] policy
     /* 2058835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2058848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058871 */     // GIR_Coverage, 15515,
     /* 2058871 */     GIR_EraseRootFromParent_Done,
     /* 2058872 */   // Label 27369: @2058872
     /* 2058872 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2058963), // Rule ID 15518 //
     /* 2058877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058923 */     // MIs[0] round
     /* 2058923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058926 */     // MIs[0] policy
     /* 2058926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2058939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058962 */     // GIR_Coverage, 15518,
     /* 2058962 */     GIR_EraseRootFromParent_Done,
     /* 2058963 */   // Label 27370: @2058963
     /* 2058963 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2059054), // Rule ID 15519 //
     /* 2058968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2058976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059014 */     // MIs[0] round
     /* 2059014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059017 */     // MIs[0] policy
     /* 2059017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2059030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2059050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059053 */     // GIR_Coverage, 15519,
     /* 2059053 */     GIR_EraseRootFromParent_Done,
     /* 2059054 */   // Label 27371: @2059054
     /* 2059054 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2059145), // Rule ID 15522 //
     /* 2059059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2059062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2059070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2059073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2059076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059105 */     // MIs[0] round
     /* 2059105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059108 */     // MIs[0] policy
     /* 2059108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2059121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2059141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059144 */     // GIR_Coverage, 15522,
     /* 2059144 */     GIR_EraseRootFromParent_Done,
     /* 2059145 */   // Label 27372: @2059145
     /* 2059145 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2059236), // Rule ID 15523 //
     /* 2059150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2059153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2059158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2059161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2059164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2059167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059196 */     // MIs[0] round
     /* 2059196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059199 */     // MIs[0] policy
     /* 2059199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2059212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2059232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059235 */     // GIR_Coverage, 15523,
     /* 2059235 */     GIR_EraseRootFromParent_Done,
     /* 2059236 */   // Label 27373: @2059236
     /* 2059236 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2059330), // Rule ID 15526 //
     /* 2059241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2059252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2059255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2059258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2059261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059287 */     // MIs[0] round
     /* 2059287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059290 */     // MIs[0] policy
     /* 2059290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2059303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059329 */     // GIR_Coverage, 15526,
     /* 2059329 */     GIR_EraseRootFromParent_Done,
     /* 2059330 */   // Label 27374: @2059330
     /* 2059330 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2059424), // Rule ID 15527 //
     /* 2059335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2059346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2059349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2059352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2059355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059381 */     // MIs[0] round
     /* 2059381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059384 */     // MIs[0] policy
     /* 2059384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2059397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059423 */     // GIR_Coverage, 15527,
     /* 2059423 */     GIR_EraseRootFromParent_Done,
     /* 2059424 */   // Label 27375: @2059424
     /* 2059424 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2059518), // Rule ID 15530 //
     /* 2059429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2059440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2059443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2059446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2059449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059475 */     // MIs[0] round
     /* 2059475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059478 */     // MIs[0] policy
     /* 2059478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2059491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059517 */     // GIR_Coverage, 15530,
     /* 2059517 */     GIR_EraseRootFromParent_Done,
     /* 2059518 */   // Label 27376: @2059518
     /* 2059518 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2059612), // Rule ID 15531 //
     /* 2059523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2059534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2059537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2059540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2059543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059569 */     // MIs[0] round
     /* 2059569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059572 */     // MIs[0] policy
     /* 2059572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2059585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059611 */     // GIR_Coverage, 15531,
     /* 2059611 */     GIR_EraseRootFromParent_Done,
     /* 2059612 */   // Label 27377: @2059612
     /* 2059612 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2059706), // Rule ID 15534 //
     /* 2059617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2059628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2059631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2059634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2059637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059663 */     // MIs[0] round
     /* 2059663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059666 */     // MIs[0] policy
     /* 2059666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059676 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2059679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059705 */     // GIR_Coverage, 15534,
     /* 2059705 */     GIR_EraseRootFromParent_Done,
     /* 2059706 */   // Label 27378: @2059706
     /* 2059706 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2059800), // Rule ID 15535 //
     /* 2059711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2059722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2059725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2059728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2059731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059757 */     // MIs[0] round
     /* 2059757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059760 */     // MIs[0] policy
     /* 2059760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2059773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059799 */     // GIR_Coverage, 15535,
     /* 2059799 */     GIR_EraseRootFromParent_Done,
     /* 2059800 */   // Label 27379: @2059800
     /* 2059800 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2059894), // Rule ID 15538 //
     /* 2059805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2059825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059851 */     // MIs[0] round
     /* 2059851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059854 */     // MIs[0] policy
     /* 2059854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2059867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059893 */     // GIR_Coverage, 15538,
     /* 2059893 */     GIR_EraseRootFromParent_Done,
     /* 2059894 */   // Label 27380: @2059894
     /* 2059894 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2059988), // Rule ID 15539 //
     /* 2059899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2059919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059945 */     // MIs[0] round
     /* 2059945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059948 */     // MIs[0] policy
     /* 2059948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2059961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059987 */     // GIR_Coverage, 15539,
     /* 2059987 */     GIR_EraseRootFromParent_Done,
     /* 2059988 */   // Label 27381: @2059988
     /* 2059988 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2060082), // Rule ID 15542 //
     /* 2059993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2060004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2060007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2060010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2060013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060039 */     // MIs[0] round
     /* 2060039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060042 */     // MIs[0] policy
     /* 2060042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2060055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060081 */     // GIR_Coverage, 15542,
     /* 2060081 */     GIR_EraseRootFromParent_Done,
     /* 2060082 */   // Label 27382: @2060082
     /* 2060082 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2060176), // Rule ID 15543 //
     /* 2060087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2060098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2060101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2060104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2060107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060133 */     // MIs[0] round
     /* 2060133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060136 */     // MIs[0] policy
     /* 2060136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2060149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060175 */     // GIR_Coverage, 15543,
     /* 2060175 */     GIR_EraseRootFromParent_Done,
     /* 2060176 */   // Label 27383: @2060176
     /* 2060176 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2060270), // Rule ID 15546 //
     /* 2060181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2060192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2060195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2060198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2060201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060227 */     // MIs[0] round
     /* 2060227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060230 */     // MIs[0] policy
     /* 2060230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2060243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060269 */     // GIR_Coverage, 15546,
     /* 2060269 */     GIR_EraseRootFromParent_Done,
     /* 2060270 */   // Label 27384: @2060270
     /* 2060270 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2060364), // Rule ID 15547 //
     /* 2060275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2060286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2060289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2060292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2060295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060321 */     // MIs[0] round
     /* 2060321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060324 */     // MIs[0] policy
     /* 2060324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2060337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060363 */     // GIR_Coverage, 15547,
     /* 2060363 */     GIR_EraseRootFromParent_Done,
     /* 2060364 */   // Label 27385: @2060364
     /* 2060364 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2060458), // Rule ID 15550 //
     /* 2060369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2060380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2060383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2060386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2060389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060415 */     // MIs[0] round
     /* 2060415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060418 */     // MIs[0] policy
     /* 2060418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060457 */     // GIR_Coverage, 15550,
     /* 2060457 */     GIR_EraseRootFromParent_Done,
     /* 2060458 */   // Label 27386: @2060458
     /* 2060458 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2060552), // Rule ID 15551 //
     /* 2060463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2060474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2060477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2060480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2060483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060509 */     // MIs[0] round
     /* 2060509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060512 */     // MIs[0] policy
     /* 2060512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060522 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060551 */     // GIR_Coverage, 15551,
     /* 2060551 */     GIR_EraseRootFromParent_Done,
     /* 2060552 */   // Label 27387: @2060552
     /* 2060552 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2060646), // Rule ID 15554 //
     /* 2060557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2060568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2060571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2060574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2060577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060603 */     // MIs[0] round
     /* 2060603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060606 */     // MIs[0] policy
     /* 2060606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060645 */     // GIR_Coverage, 15554,
     /* 2060645 */     GIR_EraseRootFromParent_Done,
     /* 2060646 */   // Label 27388: @2060646
     /* 2060646 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2060740), // Rule ID 15555 //
     /* 2060651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2060662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2060665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2060668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2060671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060697 */     // MIs[0] round
     /* 2060697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060700 */     // MIs[0] policy
     /* 2060700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060739 */     // GIR_Coverage, 15555,
     /* 2060739 */     GIR_EraseRootFromParent_Done,
     /* 2060740 */   // Label 27389: @2060740
     /* 2060740 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2060834), // Rule ID 15558 //
     /* 2060745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2060765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060791 */     // MIs[0] round
     /* 2060791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060794 */     // MIs[0] policy
     /* 2060794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060833 */     // GIR_Coverage, 15558,
     /* 2060833 */     GIR_EraseRootFromParent_Done,
     /* 2060834 */   // Label 27390: @2060834
     /* 2060834 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2060928), // Rule ID 15559 //
     /* 2060839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2060859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060885 */     // MIs[0] round
     /* 2060885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060888 */     // MIs[0] policy
     /* 2060888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060927 */     // GIR_Coverage, 15559,
     /* 2060927 */     GIR_EraseRootFromParent_Done,
     /* 2060928 */   // Label 27391: @2060928
     /* 2060928 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2061022), // Rule ID 15562 //
     /* 2060933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2060953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060979 */     // MIs[0] round
     /* 2060979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060982 */     // MIs[0] policy
     /* 2060982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2060995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061021 */     // GIR_Coverage, 15562,
     /* 2061021 */     GIR_EraseRootFromParent_Done,
     /* 2061022 */   // Label 27392: @2061022
     /* 2061022 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2061116), // Rule ID 15563 //
     /* 2061027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2061038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2061041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2061044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2061047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061073 */     // MIs[0] round
     /* 2061073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061076 */     // MIs[0] policy
     /* 2061076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2061089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061115 */     // GIR_Coverage, 15563,
     /* 2061115 */     GIR_EraseRootFromParent_Done,
     /* 2061116 */   // Label 27393: @2061116
     /* 2061116 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2061210), // Rule ID 15566 //
     /* 2061121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2061132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2061135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2061138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2061141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061167 */     // MIs[0] round
     /* 2061167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061170 */     // MIs[0] policy
     /* 2061170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061209 */     // GIR_Coverage, 15566,
     /* 2061209 */     GIR_EraseRootFromParent_Done,
     /* 2061210 */   // Label 27394: @2061210
     /* 2061210 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2061304), // Rule ID 15567 //
     /* 2061215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2061226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2061229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2061232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2061235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061261 */     // MIs[0] round
     /* 2061261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061264 */     // MIs[0] policy
     /* 2061264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061303 */     // GIR_Coverage, 15567,
     /* 2061303 */     GIR_EraseRootFromParent_Done,
     /* 2061304 */   // Label 27395: @2061304
     /* 2061304 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2061398), // Rule ID 15570 //
     /* 2061309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2061320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2061323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2061326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2061329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2061332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061355 */     // MIs[0] round
     /* 2061355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061358 */     // MIs[0] policy
     /* 2061358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061368 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2061371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061397 */     // GIR_Coverage, 15570,
     /* 2061397 */     GIR_EraseRootFromParent_Done,
     /* 2061398 */   // Label 27396: @2061398
     /* 2061398 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2061492), // Rule ID 15571 //
     /* 2061403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2061414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2061417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2061420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2061423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2061426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061449 */     // MIs[0] round
     /* 2061449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061452 */     // MIs[0] policy
     /* 2061452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061462 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2061465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061491 */     // GIR_Coverage, 15571,
     /* 2061491 */     GIR_EraseRootFromParent_Done,
     /* 2061492 */   // Label 27397: @2061492
     /* 2061492 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2061586), // Rule ID 15574 //
     /* 2061497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2061514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2061517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061543 */     // MIs[0] round
     /* 2061543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061546 */     // MIs[0] policy
     /* 2061546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061556 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2061559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061585 */     // GIR_Coverage, 15574,
     /* 2061585 */     GIR_EraseRootFromParent_Done,
     /* 2061586 */   // Label 27398: @2061586
     /* 2061586 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2061680), // Rule ID 15575 //
     /* 2061591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2061608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2061611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061637 */     // MIs[0] round
     /* 2061637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061640 */     // MIs[0] policy
     /* 2061640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2061653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061679 */     // GIR_Coverage, 15575,
     /* 2061679 */     GIR_EraseRootFromParent_Done,
     /* 2061680 */   // Label 27399: @2061680
     /* 2061680 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2061774), // Rule ID 15578 //
     /* 2061685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2061705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061731 */     // MIs[0] round
     /* 2061731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061734 */     // MIs[0] policy
     /* 2061734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061773 */     // GIR_Coverage, 15578,
     /* 2061773 */     GIR_EraseRootFromParent_Done,
     /* 2061774 */   // Label 27400: @2061774
     /* 2061774 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2061868), // Rule ID 15579 //
     /* 2061779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2061799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061825 */     // MIs[0] round
     /* 2061825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061828 */     // MIs[0] policy
     /* 2061828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061838 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2061841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061867 */     // GIR_Coverage, 15579,
     /* 2061867 */     GIR_EraseRootFromParent_Done,
     /* 2061868 */   // Label 27401: @2061868
     /* 2061868 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2061962), // Rule ID 15582 //
     /* 2061873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2061893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061919 */     // MIs[0] round
     /* 2061919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061922 */     // MIs[0] policy
     /* 2061922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061932 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2061935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061961 */     // GIR_Coverage, 15582,
     /* 2061961 */     GIR_EraseRootFromParent_Done,
     /* 2061962 */   // Label 27402: @2061962
     /* 2061962 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2062056), // Rule ID 15583 //
     /* 2061967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2061987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062013 */     // MIs[0] round
     /* 2062013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062016 */     // MIs[0] policy
     /* 2062016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062055 */     // GIR_Coverage, 15583,
     /* 2062055 */     GIR_EraseRootFromParent_Done,
     /* 2062056 */   // Label 27403: @2062056
     /* 2062056 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2062150), // Rule ID 15586 //
     /* 2062061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2062072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2062075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2062078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2062081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062107 */     // MIs[0] round
     /* 2062107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062110 */     // MIs[0] policy
     /* 2062110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2062123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062149 */     // GIR_Coverage, 15586,
     /* 2062149 */     GIR_EraseRootFromParent_Done,
     /* 2062150 */   // Label 27404: @2062150
     /* 2062150 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2062244), // Rule ID 15587 //
     /* 2062155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2062166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2062169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2062172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2062175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062201 */     // MIs[0] round
     /* 2062201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062204 */     // MIs[0] policy
     /* 2062204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2062217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062243 */     // GIR_Coverage, 15587,
     /* 2062243 */     GIR_EraseRootFromParent_Done,
     /* 2062244 */   // Label 27405: @2062244
     /* 2062244 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2062338), // Rule ID 15590 //
     /* 2062249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2062260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2062263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2062266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2062269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062295 */     // MIs[0] round
     /* 2062295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062298 */     // MIs[0] policy
     /* 2062298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2062311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062337 */     // GIR_Coverage, 15590,
     /* 2062337 */     GIR_EraseRootFromParent_Done,
     /* 2062338 */   // Label 27406: @2062338
     /* 2062338 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2062432), // Rule ID 15591 //
     /* 2062343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2062354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2062357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2062360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2062363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062389 */     // MIs[0] round
     /* 2062389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062392 */     // MIs[0] policy
     /* 2062392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2062405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062431 */     // GIR_Coverage, 15591,
     /* 2062431 */     GIR_EraseRootFromParent_Done,
     /* 2062432 */   // Label 27407: @2062432
     /* 2062432 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2062526), // Rule ID 15594 //
     /* 2062437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2062448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2062451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2062454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2062457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062483 */     // MIs[0] round
     /* 2062483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062486 */     // MIs[0] policy
     /* 2062486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062525 */     // GIR_Coverage, 15594,
     /* 2062525 */     GIR_EraseRootFromParent_Done,
     /* 2062526 */   // Label 27408: @2062526
     /* 2062526 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2062620), // Rule ID 15595 //
     /* 2062531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2062542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2062545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2062548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2062551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062577 */     // MIs[0] round
     /* 2062577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062580 */     // MIs[0] policy
     /* 2062580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2062593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062619 */     // GIR_Coverage, 15595,
     /* 2062619 */     GIR_EraseRootFromParent_Done,
     /* 2062620 */   // Label 27409: @2062620
     /* 2062620 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2062714), // Rule ID 15598 //
     /* 2062625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062671 */     // MIs[0] round
     /* 2062671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062674 */     // MIs[0] policy
     /* 2062674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062684 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2062687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062713 */     // GIR_Coverage, 15598,
     /* 2062713 */     GIR_EraseRootFromParent_Done,
     /* 2062714 */   // Label 27410: @2062714
     /* 2062714 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2062808), // Rule ID 15599 //
     /* 2062719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062765 */     // MIs[0] round
     /* 2062765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062768 */     // MIs[0] policy
     /* 2062768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2062781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062807 */     // GIR_Coverage, 15599,
     /* 2062807 */     GIR_EraseRootFromParent_Done,
     /* 2062808 */   // Label 27411: @2062808
     /* 2062808 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2062902), // Rule ID 15602 //
     /* 2062813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2062824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2062827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2062830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062859 */     // MIs[0] round
     /* 2062859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062862 */     // MIs[0] policy
     /* 2062862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2062875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062901 */     // GIR_Coverage, 15602,
     /* 2062901 */     GIR_EraseRootFromParent_Done,
     /* 2062902 */   // Label 27412: @2062902
     /* 2062902 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2062996), // Rule ID 15603 //
     /* 2062907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2062915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2062918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2062921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2062924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062953 */     // MIs[0] round
     /* 2062953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062956 */     // MIs[0] policy
     /* 2062956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2062969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2062994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062995 */     // GIR_Coverage, 15603,
     /* 2062995 */     GIR_EraseRootFromParent_Done,
     /* 2062996 */   // Label 27413: @2062996
     /* 2062996 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2063090), // Rule ID 15606 //
     /* 2063001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063047 */     // MIs[0] round
     /* 2063047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063050 */     // MIs[0] policy
     /* 2063050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063060 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2063063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063089 */     // GIR_Coverage, 15606,
     /* 2063089 */     GIR_EraseRootFromParent_Done,
     /* 2063090 */   // Label 27414: @2063090
     /* 2063090 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2063184), // Rule ID 15607 //
     /* 2063095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063141 */     // MIs[0] round
     /* 2063141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063144 */     // MIs[0] policy
     /* 2063144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063154 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2063157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063183 */     // GIR_Coverage, 15607,
     /* 2063183 */     GIR_EraseRootFromParent_Done,
     /* 2063184 */   // Label 27415: @2063184
     /* 2063184 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2063278), // Rule ID 15610 //
     /* 2063189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063235 */     // MIs[0] round
     /* 2063235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063238 */     // MIs[0] policy
     /* 2063238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2063251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063277 */     // GIR_Coverage, 15610,
     /* 2063277 */     GIR_EraseRootFromParent_Done,
     /* 2063278 */   // Label 27416: @2063278
     /* 2063278 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2063372), // Rule ID 15611 //
     /* 2063283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063329 */     // MIs[0] round
     /* 2063329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063332 */     // MIs[0] policy
     /* 2063332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2063345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063371 */     // GIR_Coverage, 15611,
     /* 2063371 */     GIR_EraseRootFromParent_Done,
     /* 2063372 */   // Label 27417: @2063372
     /* 2063372 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2063466), // Rule ID 15614 //
     /* 2063377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063423 */     // MIs[0] round
     /* 2063423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063426 */     // MIs[0] policy
     /* 2063426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2063439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063465 */     // GIR_Coverage, 15614,
     /* 2063465 */     GIR_EraseRootFromParent_Done,
     /* 2063466 */   // Label 27418: @2063466
     /* 2063466 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2063560), // Rule ID 15615 //
     /* 2063471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063517 */     // MIs[0] round
     /* 2063517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063520 */     // MIs[0] policy
     /* 2063520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2063533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063559 */     // GIR_Coverage, 15615,
     /* 2063559 */     GIR_EraseRootFromParent_Done,
     /* 2063560 */   // Label 27419: @2063560
     /* 2063560 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2063654), // Rule ID 15618 //
     /* 2063565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063611 */     // MIs[0] round
     /* 2063611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063614 */     // MIs[0] policy
     /* 2063614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2063627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063653 */     // GIR_Coverage, 15618,
     /* 2063653 */     GIR_EraseRootFromParent_Done,
     /* 2063654 */   // Label 27420: @2063654
     /* 2063654 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2063748), // Rule ID 15619 //
     /* 2063659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063705 */     // MIs[0] round
     /* 2063705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063708 */     // MIs[0] policy
     /* 2063708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2063721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063747 */     // GIR_Coverage, 15619,
     /* 2063747 */     GIR_EraseRootFromParent_Done,
     /* 2063748 */   // Label 27421: @2063748
     /* 2063748 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2063842), // Rule ID 15622 //
     /* 2063753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2063764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2063767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063799 */     // MIs[0] round
     /* 2063799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063802 */     // MIs[0] policy
     /* 2063802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063812 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2063815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063841 */     // GIR_Coverage, 15622,
     /* 2063841 */     GIR_EraseRootFromParent_Done,
     /* 2063842 */   // Label 27422: @2063842
     /* 2063842 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2063936), // Rule ID 15623 //
     /* 2063847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2063858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2063861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063893 */     // MIs[0] round
     /* 2063893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063896 */     // MIs[0] policy
     /* 2063896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2063909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2063934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063935 */     // GIR_Coverage, 15623,
     /* 2063935 */     GIR_EraseRootFromParent_Done,
     /* 2063936 */   // Label 27423: @2063936
     /* 2063936 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2064030), // Rule ID 15626 //
     /* 2063941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2063949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063987 */     // MIs[0] round
     /* 2063987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063990 */     // MIs[0] policy
     /* 2063990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2064003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064029 */     // GIR_Coverage, 15626,
     /* 2064029 */     GIR_EraseRootFromParent_Done,
     /* 2064030 */   // Label 27424: @2064030
     /* 2064030 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2064124), // Rule ID 15627 //
     /* 2064035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064081 */     // MIs[0] round
     /* 2064081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064084 */     // MIs[0] policy
     /* 2064084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2064097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064123 */     // GIR_Coverage, 15627,
     /* 2064123 */     GIR_EraseRootFromParent_Done,
     /* 2064124 */   // Label 27425: @2064124
     /* 2064124 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2064218), // Rule ID 15630 //
     /* 2064129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064175 */     // MIs[0] round
     /* 2064175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064178 */     // MIs[0] policy
     /* 2064178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2064191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064217 */     // GIR_Coverage, 15630,
     /* 2064217 */     GIR_EraseRootFromParent_Done,
     /* 2064218 */   // Label 27426: @2064218
     /* 2064218 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2064312), // Rule ID 15631 //
     /* 2064223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064269 */     // MIs[0] round
     /* 2064269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064272 */     // MIs[0] policy
     /* 2064272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2064285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064311 */     // GIR_Coverage, 15631,
     /* 2064311 */     GIR_EraseRootFromParent_Done,
     /* 2064312 */   // Label 27427: @2064312
     /* 2064312 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2064406), // Rule ID 15634 //
     /* 2064317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064363 */     // MIs[0] round
     /* 2064363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064366 */     // MIs[0] policy
     /* 2064366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064376 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2064379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064405 */     // GIR_Coverage, 15634,
     /* 2064405 */     GIR_EraseRootFromParent_Done,
     /* 2064406 */   // Label 27428: @2064406
     /* 2064406 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2064500), // Rule ID 15635 //
     /* 2064411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064457 */     // MIs[0] round
     /* 2064457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064460 */     // MIs[0] policy
     /* 2064460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2064473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064499 */     // GIR_Coverage, 15635,
     /* 2064499 */     GIR_EraseRootFromParent_Done,
     /* 2064500 */   // Label 27429: @2064500
     /* 2064500 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2064594), // Rule ID 15638 //
     /* 2064505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064551 */     // MIs[0] round
     /* 2064551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064554 */     // MIs[0] policy
     /* 2064554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2064567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064593 */     // GIR_Coverage, 15638,
     /* 2064593 */     GIR_EraseRootFromParent_Done,
     /* 2064594 */   // Label 27430: @2064594
     /* 2064594 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2064688), // Rule ID 15639 //
     /* 2064599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064645 */     // MIs[0] round
     /* 2064645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064648 */     // MIs[0] policy
     /* 2064648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2064661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064687 */     // GIR_Coverage, 15639,
     /* 2064687 */     GIR_EraseRootFromParent_Done,
     /* 2064688 */   // Label 27431: @2064688
     /* 2064688 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2064782), // Rule ID 15642 //
     /* 2064693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2064704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2064707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064739 */     // MIs[0] round
     /* 2064739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064742 */     // MIs[0] policy
     /* 2064742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064752 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2064755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064781 */     // GIR_Coverage, 15642,
     /* 2064781 */     GIR_EraseRootFromParent_Done,
     /* 2064782 */   // Label 27432: @2064782
     /* 2064782 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2064876), // Rule ID 15643 //
     /* 2064787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2064798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2064801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064833 */     // MIs[0] round
     /* 2064833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064836 */     // MIs[0] policy
     /* 2064836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2064849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064875 */     // GIR_Coverage, 15643,
     /* 2064875 */     GIR_EraseRootFromParent_Done,
     /* 2064876 */   // Label 27433: @2064876
     /* 2064876 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2064970), // Rule ID 15646 //
     /* 2064881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064927 */     // MIs[0] round
     /* 2064927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064930 */     // MIs[0] policy
     /* 2064930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2064943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2064968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064969 */     // GIR_Coverage, 15646,
     /* 2064969 */     GIR_EraseRootFromParent_Done,
     /* 2064970 */   // Label 27434: @2064970
     /* 2064970 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2065064), // Rule ID 15647 //
     /* 2064975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2064983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065021 */     // MIs[0] round
     /* 2065021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065024 */     // MIs[0] policy
     /* 2065024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2065037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065063 */     // GIR_Coverage, 15647,
     /* 2065063 */     GIR_EraseRootFromParent_Done,
     /* 2065064 */   // Label 27435: @2065064
     /* 2065064 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2065158), // Rule ID 15650 //
     /* 2065069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065115 */     // MIs[0] round
     /* 2065115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065118 */     // MIs[0] policy
     /* 2065118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2065131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065157 */     // GIR_Coverage, 15650,
     /* 2065157 */     GIR_EraseRootFromParent_Done,
     /* 2065158 */   // Label 27436: @2065158
     /* 2065158 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2065252), // Rule ID 15651 //
     /* 2065163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065209 */     // MIs[0] round
     /* 2065209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065212 */     // MIs[0] policy
     /* 2065212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2065225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065251 */     // GIR_Coverage, 15651,
     /* 2065251 */     GIR_EraseRootFromParent_Done,
     /* 2065252 */   // Label 27437: @2065252
     /* 2065252 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2065346), // Rule ID 15654 //
     /* 2065257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065303 */     // MIs[0] round
     /* 2065303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065306 */     // MIs[0] policy
     /* 2065306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065316 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2065319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065345 */     // GIR_Coverage, 15654,
     /* 2065345 */     GIR_EraseRootFromParent_Done,
     /* 2065346 */   // Label 27438: @2065346
     /* 2065346 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2065440), // Rule ID 15655 //
     /* 2065351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065397 */     // MIs[0] round
     /* 2065397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065400 */     // MIs[0] policy
     /* 2065400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2065413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065439 */     // GIR_Coverage, 15655,
     /* 2065439 */     GIR_EraseRootFromParent_Done,
     /* 2065440 */   // Label 27439: @2065440
     /* 2065440 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2065534), // Rule ID 15658 //
     /* 2065445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065491 */     // MIs[0] round
     /* 2065491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065494 */     // MIs[0] policy
     /* 2065494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2065507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065533 */     // GIR_Coverage, 15658,
     /* 2065533 */     GIR_EraseRootFromParent_Done,
     /* 2065534 */   // Label 27440: @2065534
     /* 2065534 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2065628), // Rule ID 15659 //
     /* 2065539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065585 */     // MIs[0] round
     /* 2065585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065588 */     // MIs[0] policy
     /* 2065588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2065601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065627 */     // GIR_Coverage, 15659,
     /* 2065627 */     GIR_EraseRootFromParent_Done,
     /* 2065628 */   // Label 27441: @2065628
     /* 2065628 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2065722), // Rule ID 15662 //
     /* 2065633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2065650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065679 */     // MIs[0] round
     /* 2065679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065682 */     // MIs[0] policy
     /* 2065682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2065695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065721 */     // GIR_Coverage, 15662,
     /* 2065721 */     GIR_EraseRootFromParent_Done,
     /* 2065722 */   // Label 27442: @2065722
     /* 2065722 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2065816), // Rule ID 15663 //
     /* 2065727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2065744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065773 */     // MIs[0] round
     /* 2065773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065776 */     // MIs[0] policy
     /* 2065776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2065789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065815 */     // GIR_Coverage, 15663,
     /* 2065815 */     GIR_EraseRootFromParent_Done,
     /* 2065816 */   // Label 27443: @2065816
     /* 2065816 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2065910), // Rule ID 15666 //
     /* 2065821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065867 */     // MIs[0] round
     /* 2065867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065870 */     // MIs[0] policy
     /* 2065870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2065883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2065908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065909 */     // GIR_Coverage, 15666,
     /* 2065909 */     GIR_EraseRootFromParent_Done,
     /* 2065910 */   // Label 27444: @2065910
     /* 2065910 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2066004), // Rule ID 15667 //
     /* 2065915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2065923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065961 */     // MIs[0] round
     /* 2065961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065964 */     // MIs[0] policy
     /* 2065964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2065977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066003 */     // GIR_Coverage, 15667,
     /* 2066003 */     GIR_EraseRootFromParent_Done,
     /* 2066004 */   // Label 27445: @2066004
     /* 2066004 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2066098), // Rule ID 15670 //
     /* 2066009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2066012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2066026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2066029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066055 */     // MIs[0] round
     /* 2066055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066058 */     // MIs[0] policy
     /* 2066058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2066071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066097 */     // GIR_Coverage, 15670,
     /* 2066097 */     GIR_EraseRootFromParent_Done,
     /* 2066098 */   // Label 27446: @2066098
     /* 2066098 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2066192), // Rule ID 15671 //
     /* 2066103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2066106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2066120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2066123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066149 */     // MIs[0] round
     /* 2066149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066152 */     // MIs[0] policy
     /* 2066152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2066165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066191 */     // GIR_Coverage, 15671,
     /* 2066191 */     GIR_EraseRootFromParent_Done,
     /* 2066192 */   // Label 27447: @2066192
     /* 2066192 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2066286), // Rule ID 15674 //
     /* 2066197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2066200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066243 */     // MIs[0] round
     /* 2066243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066246 */     // MIs[0] policy
     /* 2066246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2066259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066285 */     // GIR_Coverage, 15674,
     /* 2066285 */     GIR_EraseRootFromParent_Done,
     /* 2066286 */   // Label 27448: @2066286
     /* 2066286 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2066380), // Rule ID 15675 //
     /* 2066291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2066294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066337 */     // MIs[0] round
     /* 2066337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066340 */     // MIs[0] policy
     /* 2066340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2066353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066379 */     // GIR_Coverage, 15675,
     /* 2066379 */     GIR_EraseRootFromParent_Done,
     /* 2066380 */   // Label 27449: @2066380
     /* 2066380 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2066474), // Rule ID 15678 //
     /* 2066385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2066388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066431 */     // MIs[0] round
     /* 2066431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066434 */     // MIs[0] policy
     /* 2066434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2066447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066473 */     // GIR_Coverage, 15678,
     /* 2066473 */     GIR_EraseRootFromParent_Done,
     /* 2066474 */   // Label 27450: @2066474
     /* 2066474 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2066568), // Rule ID 15679 //
     /* 2066479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2066482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066525 */     // MIs[0] round
     /* 2066525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066528 */     // MIs[0] policy
     /* 2066528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2066541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066567 */     // GIR_Coverage, 15679,
     /* 2066567 */     GIR_EraseRootFromParent_Done,
     /* 2066568 */   // Label 27451: @2066568
     /* 2066568 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2066662), // Rule ID 15682 //
     /* 2066573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2066576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066619 */     // MIs[0] round
     /* 2066619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066622 */     // MIs[0] policy
     /* 2066622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2066635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066661 */     // GIR_Coverage, 15682,
     /* 2066661 */     GIR_EraseRootFromParent_Done,
     /* 2066662 */   // Label 27452: @2066662
     /* 2066662 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2066756), // Rule ID 15683 //
     /* 2066667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2066670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066713 */     // MIs[0] round
     /* 2066713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066716 */     // MIs[0] policy
     /* 2066716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066726 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2066729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066755 */     // GIR_Coverage, 15683,
     /* 2066755 */     GIR_EraseRootFromParent_Done,
     /* 2066756 */   // Label 27453: @2066756
     /* 2066756 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2066850), // Rule ID 15686 //
     /* 2066761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2066764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2066778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066807 */     // MIs[0] round
     /* 2066807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066810 */     // MIs[0] policy
     /* 2066810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2066823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066849 */     // GIR_Coverage, 15686,
     /* 2066849 */     GIR_EraseRootFromParent_Done,
     /* 2066850 */   // Label 27454: @2066850
     /* 2066850 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2066944), // Rule ID 15687 //
     /* 2066855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2066858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2066872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066901 */     // MIs[0] round
     /* 2066901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066904 */     // MIs[0] policy
     /* 2066904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2066917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2066942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066943 */     // GIR_Coverage, 15687,
     /* 2066943 */     GIR_EraseRootFromParent_Done,
     /* 2066944 */   // Label 27455: @2066944
     /* 2066944 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2067038), // Rule ID 15690 //
     /* 2066949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2066952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2066957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066995 */     // MIs[0] round
     /* 2066995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066998 */     // MIs[0] policy
     /* 2066998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2067011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067037 */     // GIR_Coverage, 15690,
     /* 2067037 */     GIR_EraseRootFromParent_Done,
     /* 2067038 */   // Label 27456: @2067038
     /* 2067038 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2067132), // Rule ID 15691 //
     /* 2067043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2067046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2067054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2067057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2067060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067089 */     // MIs[0] round
     /* 2067089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067092 */     // MIs[0] policy
     /* 2067092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2067105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067131 */     // GIR_Coverage, 15691,
     /* 2067131 */     GIR_EraseRootFromParent_Done,
     /* 2067132 */   // Label 27457: @2067132
     /* 2067132 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2067226), // Rule ID 15694 //
     /* 2067137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2067140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2067148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2067151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2067154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067183 */     // MIs[0] round
     /* 2067183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067186 */     // MIs[0] policy
     /* 2067186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2067199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067225 */     // GIR_Coverage, 15694,
     /* 2067225 */     GIR_EraseRootFromParent_Done,
     /* 2067226 */   // Label 27458: @2067226
     /* 2067226 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2067320), // Rule ID 15695 //
     /* 2067231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2067234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2067242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2067245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2067248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067277 */     // MIs[0] round
     /* 2067277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067280 */     // MIs[0] policy
     /* 2067280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2067293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067319 */     // GIR_Coverage, 15695,
     /* 2067319 */     GIR_EraseRootFromParent_Done,
     /* 2067320 */   // Label 27459: @2067320
     /* 2067320 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2067414), // Rule ID 15698 //
     /* 2067325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2067328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2067336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2067339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2067342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067371 */     // MIs[0] round
     /* 2067371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067374 */     // MIs[0] policy
     /* 2067374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2067387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067413 */     // GIR_Coverage, 15698,
     /* 2067413 */     GIR_EraseRootFromParent_Done,
     /* 2067414 */   // Label 27460: @2067414
     /* 2067414 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2067508), // Rule ID 15699 //
     /* 2067419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2067422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2067427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2067430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2067433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2067436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067465 */     // MIs[0] round
     /* 2067465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067468 */     // MIs[0] policy
     /* 2067468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2067481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2067506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067507 */     // GIR_Coverage, 15699,
     /* 2067507 */     GIR_EraseRootFromParent_Done,
     /* 2067508 */   // Label 27461: @2067508
     /* 2067508 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2067599), // Rule ID 15702 //
     /* 2067513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2067533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067559 */     // MIs[0] round
     /* 2067559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067562 */     // MIs[0] policy
     /* 2067562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2067575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067598 */     // GIR_Coverage, 15702,
     /* 2067598 */     GIR_EraseRootFromParent_Done,
     /* 2067599 */   // Label 27462: @2067599
     /* 2067599 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2067690), // Rule ID 15703 //
     /* 2067604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2067615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2067618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2067621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2067624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067650 */     // MIs[0] round
     /* 2067650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067653 */     // MIs[0] policy
     /* 2067653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067663 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2067666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067689 */     // GIR_Coverage, 15703,
     /* 2067689 */     GIR_EraseRootFromParent_Done,
     /* 2067690 */   // Label 27463: @2067690
     /* 2067690 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2067781), // Rule ID 15706 //
     /* 2067695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2067715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067741 */     // MIs[0] round
     /* 2067741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067744 */     // MIs[0] policy
     /* 2067744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067754 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2067757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067780 */     // GIR_Coverage, 15706,
     /* 2067780 */     GIR_EraseRootFromParent_Done,
     /* 2067781 */   // Label 27464: @2067781
     /* 2067781 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2067872), // Rule ID 15707 //
     /* 2067786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2067797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2067800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2067803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2067806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067832 */     // MIs[0] round
     /* 2067832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067835 */     // MIs[0] policy
     /* 2067835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067845 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2067848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067871 */     // GIR_Coverage, 15707,
     /* 2067871 */     GIR_EraseRootFromParent_Done,
     /* 2067872 */   // Label 27465: @2067872
     /* 2067872 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2067963), // Rule ID 15710 //
     /* 2067877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2067897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067923 */     // MIs[0] round
     /* 2067923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067926 */     // MIs[0] policy
     /* 2067926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2067939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067962 */     // GIR_Coverage, 15710,
     /* 2067962 */     GIR_EraseRootFromParent_Done,
     /* 2067963 */   // Label 27466: @2067963
     /* 2067963 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2068054), // Rule ID 15711 //
     /* 2067968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2067988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068014 */     // MIs[0] round
     /* 2068014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068017 */     // MIs[0] policy
     /* 2068017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068027 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2068030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068053 */     // GIR_Coverage, 15711,
     /* 2068053 */     GIR_EraseRootFromParent_Done,
     /* 2068054 */   // Label 27467: @2068054
     /* 2068054 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2068145), // Rule ID 15714 //
     /* 2068059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2068070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2068073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2068076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2068079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068105 */     // MIs[0] round
     /* 2068105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068108 */     // MIs[0] policy
     /* 2068108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2068121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068144 */     // GIR_Coverage, 15714,
     /* 2068144 */     GIR_EraseRootFromParent_Done,
     /* 2068145 */   // Label 27468: @2068145
     /* 2068145 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2068236), // Rule ID 15715 //
     /* 2068150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2068161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2068164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2068167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2068170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068196 */     // MIs[0] round
     /* 2068196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068199 */     // MIs[0] policy
     /* 2068199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2068212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068235 */     // GIR_Coverage, 15715,
     /* 2068235 */     GIR_EraseRootFromParent_Done,
     /* 2068236 */   // Label 27469: @2068236
     /* 2068236 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2068327), // Rule ID 15718 //
     /* 2068241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2068261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068287 */     // MIs[0] round
     /* 2068287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068290 */     // MIs[0] policy
     /* 2068290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2068303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068326 */     // GIR_Coverage, 15718,
     /* 2068326 */     GIR_EraseRootFromParent_Done,
     /* 2068327 */   // Label 27470: @2068327
     /* 2068327 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2068418), // Rule ID 15719 //
     /* 2068332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2068352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068378 */     // MIs[0] round
     /* 2068378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068381 */     // MIs[0] policy
     /* 2068381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068391 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2068394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068417 */     // GIR_Coverage, 15719,
     /* 2068417 */     GIR_EraseRootFromParent_Done,
     /* 2068418 */   // Label 27471: @2068418
     /* 2068418 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2068509), // Rule ID 15722 //
     /* 2068423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2068440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2068443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068469 */     // MIs[0] round
     /* 2068469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068472 */     // MIs[0] policy
     /* 2068472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2068485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068508 */     // GIR_Coverage, 15722,
     /* 2068508 */     GIR_EraseRootFromParent_Done,
     /* 2068509 */   // Label 27472: @2068509
     /* 2068509 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2068600), // Rule ID 15723 //
     /* 2068514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2068531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2068534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068560 */     // MIs[0] round
     /* 2068560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068563 */     // MIs[0] policy
     /* 2068563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2068576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068599 */     // GIR_Coverage, 15723,
     /* 2068599 */     GIR_EraseRootFromParent_Done,
     /* 2068600 */   // Label 27473: @2068600
     /* 2068600 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2068691), // Rule ID 15726 //
     /* 2068605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2068625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068651 */     // MIs[0] round
     /* 2068651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068654 */     // MIs[0] policy
     /* 2068654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2068667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068690 */     // GIR_Coverage, 15726,
     /* 2068690 */     GIR_EraseRootFromParent_Done,
     /* 2068691 */   // Label 27474: @2068691
     /* 2068691 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2068782), // Rule ID 15727 //
     /* 2068696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2068707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2068710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2068713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2068716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068742 */     // MIs[0] round
     /* 2068742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068745 */     // MIs[0] policy
     /* 2068745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2068758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068781 */     // GIR_Coverage, 15727,
     /* 2068781 */     GIR_EraseRootFromParent_Done,
     /* 2068782 */   // Label 27475: @2068782
     /* 2068782 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2068873), // Rule ID 15730 //
     /* 2068787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2068807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068833 */     // MIs[0] round
     /* 2068833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068836 */     // MIs[0] policy
     /* 2068836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2068849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068872 */     // GIR_Coverage, 15730,
     /* 2068872 */     GIR_EraseRootFromParent_Done,
     /* 2068873 */   // Label 27476: @2068873
     /* 2068873 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2068964), // Rule ID 15731 //
     /* 2068878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2068898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068924 */     // MIs[0] round
     /* 2068924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068927 */     // MIs[0] policy
     /* 2068927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2068940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068963 */     // GIR_Coverage, 15731,
     /* 2068963 */     GIR_EraseRootFromParent_Done,
     /* 2068964 */   // Label 27477: @2068964
     /* 2068964 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2069055), // Rule ID 15734 //
     /* 2068969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2068989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069015 */     // MIs[0] round
     /* 2069015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069018 */     // MIs[0] policy
     /* 2069018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2069031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069054 */     // GIR_Coverage, 15734,
     /* 2069054 */     GIR_EraseRootFromParent_Done,
     /* 2069055 */   // Label 27478: @2069055
     /* 2069055 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2069146), // Rule ID 15735 //
     /* 2069060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2069071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2069074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2069077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2069080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069106 */     // MIs[0] round
     /* 2069106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069109 */     // MIs[0] policy
     /* 2069109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2069122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069145 */     // GIR_Coverage, 15735,
     /* 2069145 */     GIR_EraseRootFromParent_Done,
     /* 2069146 */   // Label 27479: @2069146
     /* 2069146 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2069237), // Rule ID 15738 //
     /* 2069151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2069154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2069171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069197 */     // MIs[0] round
     /* 2069197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069200 */     // MIs[0] policy
     /* 2069200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069210 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2069213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069236 */     // GIR_Coverage, 15738,
     /* 2069236 */     GIR_EraseRootFromParent_Done,
     /* 2069237 */   // Label 27480: @2069237
     /* 2069237 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2069328), // Rule ID 15739 //
     /* 2069242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2069245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2069262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069288 */     // MIs[0] round
     /* 2069288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069291 */     // MIs[0] policy
     /* 2069291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2069304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069327 */     // GIR_Coverage, 15739,
     /* 2069327 */     GIR_EraseRootFromParent_Done,
     /* 2069328 */   // Label 27481: @2069328
     /* 2069328 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2069419), // Rule ID 15742 //
     /* 2069333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2069344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2069347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2069350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2069353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069379 */     // MIs[0] round
     /* 2069379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069382 */     // MIs[0] policy
     /* 2069382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2069395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069418 */     // GIR_Coverage, 15742,
     /* 2069418 */     GIR_EraseRootFromParent_Done,
     /* 2069419 */   // Label 27482: @2069419
     /* 2069419 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2069510), // Rule ID 15743 //
     /* 2069424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2069435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2069438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2069441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2069444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069470 */     // MIs[0] round
     /* 2069470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069473 */     // MIs[0] policy
     /* 2069473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2069486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069509 */     // GIR_Coverage, 15743,
     /* 2069509 */     GIR_EraseRootFromParent_Done,
     /* 2069510 */   // Label 27483: @2069510
     /* 2069510 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2069601), // Rule ID 15746 //
     /* 2069515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2069535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069561 */     // MIs[0] round
     /* 2069561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069564 */     // MIs[0] policy
     /* 2069564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2069577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069600 */     // GIR_Coverage, 15746,
     /* 2069600 */     GIR_EraseRootFromParent_Done,
     /* 2069601 */   // Label 27484: @2069601
     /* 2069601 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2069692), // Rule ID 15747 //
     /* 2069606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2069617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2069620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2069623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2069626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069652 */     // MIs[0] round
     /* 2069652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069655 */     // MIs[0] policy
     /* 2069655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069665 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2069668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069691 */     // GIR_Coverage, 15747,
     /* 2069691 */     GIR_EraseRootFromParent_Done,
     /* 2069692 */   // Label 27485: @2069692
     /* 2069692 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2069783), // Rule ID 15750 //
     /* 2069697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2069717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069743 */     // MIs[0] round
     /* 2069743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069746 */     // MIs[0] policy
     /* 2069746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069756 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2069759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069782 */     // GIR_Coverage, 15750,
     /* 2069782 */     GIR_EraseRootFromParent_Done,
     /* 2069783 */   // Label 27486: @2069783
     /* 2069783 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2069874), // Rule ID 15751 //
     /* 2069788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2069799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2069802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2069805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2069808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069834 */     // MIs[0] round
     /* 2069834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069837 */     // MIs[0] policy
     /* 2069837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2069850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069873 */     // GIR_Coverage, 15751,
     /* 2069873 */     GIR_EraseRootFromParent_Done,
     /* 2069874 */   // Label 27487: @2069874
     /* 2069874 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2069965), // Rule ID 15754 //
     /* 2069879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2069899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069925 */     // MIs[0] round
     /* 2069925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069928 */     // MIs[0] policy
     /* 2069928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2069941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069964 */     // GIR_Coverage, 15754,
     /* 2069964 */     GIR_EraseRootFromParent_Done,
     /* 2069965 */   // Label 27488: @2069965
     /* 2069965 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2070056), // Rule ID 15755 //
     /* 2069970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2069990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070016 */     // MIs[0] round
     /* 2070016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070019 */     // MIs[0] policy
     /* 2070019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2070032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070055 */     // GIR_Coverage, 15755,
     /* 2070055 */     GIR_EraseRootFromParent_Done,
     /* 2070056 */   // Label 27489: @2070056
     /* 2070056 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2070147), // Rule ID 15758 //
     /* 2070061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2070072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2070075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2070078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2070081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070107 */     // MIs[0] round
     /* 2070107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070110 */     // MIs[0] policy
     /* 2070110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2070123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070146 */     // GIR_Coverage, 15758,
     /* 2070146 */     GIR_EraseRootFromParent_Done,
     /* 2070147 */   // Label 27490: @2070147
     /* 2070147 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2070238), // Rule ID 15759 //
     /* 2070152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2070163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2070166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2070169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2070172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070198 */     // MIs[0] round
     /* 2070198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070201 */     // MIs[0] policy
     /* 2070201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2070214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070237 */     // GIR_Coverage, 15759,
     /* 2070237 */     GIR_EraseRootFromParent_Done,
     /* 2070238 */   // Label 27491: @2070238
     /* 2070238 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2070329), // Rule ID 15762 //
     /* 2070243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2070263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070289 */     // MIs[0] round
     /* 2070289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070292 */     // MIs[0] policy
     /* 2070292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070302 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2070305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070328 */     // GIR_Coverage, 15762,
     /* 2070328 */     GIR_EraseRootFromParent_Done,
     /* 2070329 */   // Label 27492: @2070329
     /* 2070329 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2070420), // Rule ID 15763 //
     /* 2070334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2070354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070380 */     // MIs[0] round
     /* 2070380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070383 */     // MIs[0] policy
     /* 2070383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070393 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2070396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070419 */     // GIR_Coverage, 15763,
     /* 2070419 */     GIR_EraseRootFromParent_Done,
     /* 2070420 */   // Label 27493: @2070420
     /* 2070420 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2070511), // Rule ID 15766 //
     /* 2070425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2070445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070471 */     // MIs[0] round
     /* 2070471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070474 */     // MIs[0] policy
     /* 2070474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2070487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070510 */     // GIR_Coverage, 15766,
     /* 2070510 */     GIR_EraseRootFromParent_Done,
     /* 2070511 */   // Label 27494: @2070511
     /* 2070511 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2070602), // Rule ID 15767 //
     /* 2070516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2070536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070562 */     // MIs[0] round
     /* 2070562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070565 */     // MIs[0] policy
     /* 2070565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070575 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2070578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070601 */     // GIR_Coverage, 15767,
     /* 2070601 */     GIR_EraseRootFromParent_Done,
     /* 2070602 */   // Label 27495: @2070602
     /* 2070602 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2070693), // Rule ID 15770 //
     /* 2070607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2070627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070653 */     // MIs[0] round
     /* 2070653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070656 */     // MIs[0] policy
     /* 2070656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2070669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070692 */     // GIR_Coverage, 15770,
     /* 2070692 */     GIR_EraseRootFromParent_Done,
     /* 2070693 */   // Label 27496: @2070693
     /* 2070693 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2070784), // Rule ID 15771 //
     /* 2070698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2070718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070744 */     // MIs[0] round
     /* 2070744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070747 */     // MIs[0] policy
     /* 2070747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070757 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2070760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070783 */     // GIR_Coverage, 15771,
     /* 2070783 */     GIR_EraseRootFromParent_Done,
     /* 2070784 */   // Label 27497: @2070784
     /* 2070784 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2070875), // Rule ID 15774 //
     /* 2070789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2070809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070835 */     // MIs[0] round
     /* 2070835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070838 */     // MIs[0] policy
     /* 2070838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2070851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070874 */     // GIR_Coverage, 15774,
     /* 2070874 */     GIR_EraseRootFromParent_Done,
     /* 2070875 */   // Label 27498: @2070875
     /* 2070875 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2070966), // Rule ID 15775 //
     /* 2070880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2070900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070926 */     // MIs[0] round
     /* 2070926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070929 */     // MIs[0] policy
     /* 2070929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070939 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2070942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070965 */     // GIR_Coverage, 15775,
     /* 2070965 */     GIR_EraseRootFromParent_Done,
     /* 2070966 */   // Label 27499: @2070966
     /* 2070966 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2071057), // Rule ID 15778 //
     /* 2070971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2070979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2070991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071017 */     // MIs[0] round
     /* 2071017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071020 */     // MIs[0] policy
     /* 2071020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2071033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071056 */     // GIR_Coverage, 15778,
     /* 2071056 */     GIR_EraseRootFromParent_Done,
     /* 2071057 */   // Label 27500: @2071057
     /* 2071057 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2071148), // Rule ID 15779 //
     /* 2071062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2071073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2071076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2071079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2071082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071108 */     // MIs[0] round
     /* 2071108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071111 */     // MIs[0] policy
     /* 2071111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2071124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071147 */     // GIR_Coverage, 15779,
     /* 2071147 */     GIR_EraseRootFromParent_Done,
     /* 2071148 */   // Label 27501: @2071148
     /* 2071148 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2071239), // Rule ID 15782 //
     /* 2071153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2071156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2071164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2071167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2071170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2071173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071199 */     // MIs[0] round
     /* 2071199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071202 */     // MIs[0] policy
     /* 2071202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071212 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2071215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071238 */     // GIR_Coverage, 15782,
     /* 2071238 */     GIR_EraseRootFromParent_Done,
     /* 2071239 */   // Label 27502: @2071239
     /* 2071239 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2071330), // Rule ID 15783 //
     /* 2071244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2071255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2071258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2071261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2071264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071290 */     // MIs[0] round
     /* 2071290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071293 */     // MIs[0] policy
     /* 2071293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2071306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071329 */     // GIR_Coverage, 15783,
     /* 2071329 */     GIR_EraseRootFromParent_Done,
     /* 2071330 */   // Label 27503: @2071330
     /* 2071330 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2071421), // Rule ID 15786 //
     /* 2071335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2071338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2071355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071381 */     // MIs[0] round
     /* 2071381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071384 */     // MIs[0] policy
     /* 2071384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2071397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071420 */     // GIR_Coverage, 15786,
     /* 2071420 */     GIR_EraseRootFromParent_Done,
     /* 2071421 */   // Label 27504: @2071421
     /* 2071421 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2071512), // Rule ID 15787 //
     /* 2071426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2071446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071472 */     // MIs[0] round
     /* 2071472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071475 */     // MIs[0] policy
     /* 2071475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071485 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2071488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071511 */     // GIR_Coverage, 15787,
     /* 2071511 */     GIR_EraseRootFromParent_Done,
     /* 2071512 */   // Label 27505: @2071512
     /* 2071512 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2071603), // Rule ID 15790 //
     /* 2071517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071563 */     // MIs[0] round
     /* 2071563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071566 */     // MIs[0] policy
     /* 2071566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071576 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2071579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071602 */     // GIR_Coverage, 15790,
     /* 2071602 */     GIR_EraseRootFromParent_Done,
     /* 2071603 */   // Label 27506: @2071603
     /* 2071603 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2071694), // Rule ID 15791 //
     /* 2071608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2071619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2071622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2071625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071654 */     // MIs[0] round
     /* 2071654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071657 */     // MIs[0] policy
     /* 2071657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2071670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071693 */     // GIR_Coverage, 15791,
     /* 2071693 */     GIR_EraseRootFromParent_Done,
     /* 2071694 */   // Label 27507: @2071694
     /* 2071694 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2071785), // Rule ID 15794 //
     /* 2071699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071745 */     // MIs[0] round
     /* 2071745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071748 */     // MIs[0] policy
     /* 2071748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2071761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071784 */     // GIR_Coverage, 15794,
     /* 2071784 */     GIR_EraseRootFromParent_Done,
     /* 2071785 */   // Label 27508: @2071785
     /* 2071785 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2071876), // Rule ID 15795 //
     /* 2071790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2071801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2071804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2071807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071836 */     // MIs[0] round
     /* 2071836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071839 */     // MIs[0] policy
     /* 2071839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071849 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2071852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071875 */     // GIR_Coverage, 15795,
     /* 2071875 */     GIR_EraseRootFromParent_Done,
     /* 2071876 */   // Label 27509: @2071876
     /* 2071876 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2071967), // Rule ID 15798 //
     /* 2071881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071927 */     // MIs[0] round
     /* 2071927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071930 */     // MIs[0] policy
     /* 2071930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2071943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071966 */     // GIR_Coverage, 15798,
     /* 2071966 */     GIR_EraseRootFromParent_Done,
     /* 2071967 */   // Label 27510: @2071967
     /* 2071967 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2072058), // Rule ID 15799 //
     /* 2071972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2071980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072018 */     // MIs[0] round
     /* 2072018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072021 */     // MIs[0] policy
     /* 2072021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072031 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2072034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072057 */     // GIR_Coverage, 15799,
     /* 2072057 */     GIR_EraseRootFromParent_Done,
     /* 2072058 */   // Label 27511: @2072058
     /* 2072058 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2072149), // Rule ID 15802 //
     /* 2072063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2072074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2072077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2072080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072109 */     // MIs[0] round
     /* 2072109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072112 */     // MIs[0] policy
     /* 2072112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2072125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072148 */     // GIR_Coverage, 15802,
     /* 2072148 */     GIR_EraseRootFromParent_Done,
     /* 2072149 */   // Label 27512: @2072149
     /* 2072149 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2072240), // Rule ID 15803 //
     /* 2072154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2072165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2072168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2072171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072200 */     // MIs[0] round
     /* 2072200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072203 */     // MIs[0] policy
     /* 2072203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072213 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2072216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072239 */     // GIR_Coverage, 15803,
     /* 2072239 */     GIR_EraseRootFromParent_Done,
     /* 2072240 */   // Label 27513: @2072240
     /* 2072240 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2072331), // Rule ID 15806 //
     /* 2072245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2072256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2072259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2072262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072291 */     // MIs[0] round
     /* 2072291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072294 */     // MIs[0] policy
     /* 2072294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072304 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2072307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072330 */     // GIR_Coverage, 15806,
     /* 2072330 */     GIR_EraseRootFromParent_Done,
     /* 2072331 */   // Label 27514: @2072331
     /* 2072331 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2072422), // Rule ID 15807 //
     /* 2072336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2072347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2072350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2072353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072382 */     // MIs[0] round
     /* 2072382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072385 */     // MIs[0] policy
     /* 2072385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2072398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072421 */     // GIR_Coverage, 15807,
     /* 2072421 */     GIR_EraseRootFromParent_Done,
     /* 2072422 */   // Label 27515: @2072422
     /* 2072422 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2072513), // Rule ID 15810 //
     /* 2072427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2072438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2072441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2072444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072473 */     // MIs[0] round
     /* 2072473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072476 */     // MIs[0] policy
     /* 2072476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2072489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072512 */     // GIR_Coverage, 15810,
     /* 2072512 */     GIR_EraseRootFromParent_Done,
     /* 2072513 */   // Label 27516: @2072513
     /* 2072513 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2072604), // Rule ID 15811 //
     /* 2072518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2072529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2072532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2072535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072564 */     // MIs[0] round
     /* 2072564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072567 */     // MIs[0] policy
     /* 2072567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2072580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072603 */     // GIR_Coverage, 15811,
     /* 2072603 */     GIR_EraseRootFromParent_Done,
     /* 2072604 */   // Label 27517: @2072604
     /* 2072604 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2072695), // Rule ID 15814 //
     /* 2072609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072655 */     // MIs[0] round
     /* 2072655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072658 */     // MIs[0] policy
     /* 2072658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2072671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072694 */     // GIR_Coverage, 15814,
     /* 2072694 */     GIR_EraseRootFromParent_Done,
     /* 2072695 */   // Label 27518: @2072695
     /* 2072695 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2072786), // Rule ID 15815 //
     /* 2072700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2072711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2072714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2072717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072746 */     // MIs[0] round
     /* 2072746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072749 */     // MIs[0] policy
     /* 2072749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072759 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11537:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2072762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072785 */     // GIR_Coverage, 15815,
     /* 2072785 */     GIR_EraseRootFromParent_Done,
     /* 2072786 */   // Label 27519: @2072786
     /* 2072786 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2072877), // Rule ID 15818 //
     /* 2072791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072837 */     // MIs[0] round
     /* 2072837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072840 */     // MIs[0] policy
     /* 2072840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2072853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072876 */     // GIR_Coverage, 15818,
     /* 2072876 */     GIR_EraseRootFromParent_Done,
     /* 2072877 */   // Label 27520: @2072877
     /* 2072877 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2072968), // Rule ID 15819 //
     /* 2072882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072928 */     // MIs[0] round
     /* 2072928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072931 */     // MIs[0] policy
     /* 2072931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072941 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2072944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072967 */     // GIR_Coverage, 15819,
     /* 2072967 */     GIR_EraseRootFromParent_Done,
     /* 2072968 */   // Label 27521: @2072968
     /* 2072968 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2073059), // Rule ID 15822 //
     /* 2072973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2072981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073019 */     // MIs[0] round
     /* 2073019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073022 */     // MIs[0] policy
     /* 2073022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2073035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073058 */     // GIR_Coverage, 15822,
     /* 2073058 */     GIR_EraseRootFromParent_Done,
     /* 2073059 */   // Label 27522: @2073059
     /* 2073059 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2073150), // Rule ID 15823 //
     /* 2073064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2073075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2073078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2073081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073110 */     // MIs[0] round
     /* 2073110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073113 */     // MIs[0] policy
     /* 2073113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2073126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073149 */     // GIR_Coverage, 15823,
     /* 2073149 */     GIR_EraseRootFromParent_Done,
     /* 2073150 */   // Label 27523: @2073150
     /* 2073150 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2073241), // Rule ID 15826 //
     /* 2073155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073201 */     // MIs[0] round
     /* 2073201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073204 */     // MIs[0] policy
     /* 2073204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2073217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073240 */     // GIR_Coverage, 15826,
     /* 2073240 */     GIR_EraseRootFromParent_Done,
     /* 2073241 */   // Label 27524: @2073241
     /* 2073241 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2073332), // Rule ID 15827 //
     /* 2073246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2073263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073292 */     // MIs[0] round
     /* 2073292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073295 */     // MIs[0] policy
     /* 2073295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2073308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073331 */     // GIR_Coverage, 15827,
     /* 2073331 */     GIR_EraseRootFromParent_Done,
     /* 2073332 */   // Label 27525: @2073332
     /* 2073332 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2073423), // Rule ID 15830 //
     /* 2073337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2073354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073383 */     // MIs[0] round
     /* 2073383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073386 */     // MIs[0] policy
     /* 2073386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2073399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073422 */     // GIR_Coverage, 15830,
     /* 2073422 */     GIR_EraseRootFromParent_Done,
     /* 2073423 */   // Label 27526: @2073423
     /* 2073423 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2073514), // Rule ID 15831 //
     /* 2073428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2073445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073474 */     // MIs[0] round
     /* 2073474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073477 */     // MIs[0] policy
     /* 2073477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073487 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2073490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073513 */     // GIR_Coverage, 15831,
     /* 2073513 */     GIR_EraseRootFromParent_Done,
     /* 2073514 */   // Label 27527: @2073514
     /* 2073514 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2073605), // Rule ID 15834 //
     /* 2073519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073565 */     // MIs[0] round
     /* 2073565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073568 */     // MIs[0] policy
     /* 2073568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2073581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073604 */     // GIR_Coverage, 15834,
     /* 2073604 */     GIR_EraseRootFromParent_Done,
     /* 2073605 */   // Label 27528: @2073605
     /* 2073605 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2073696), // Rule ID 15835 //
     /* 2073610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2073627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073656 */     // MIs[0] round
     /* 2073656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073659 */     // MIs[0] policy
     /* 2073659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073669 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2073672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073695 */     // GIR_Coverage, 15835,
     /* 2073695 */     GIR_EraseRootFromParent_Done,
     /* 2073696 */   // Label 27529: @2073696
     /* 2073696 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2073787), // Rule ID 15838 //
     /* 2073701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073747 */     // MIs[0] round
     /* 2073747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073750 */     // MIs[0] policy
     /* 2073750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073760 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2073763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073786 */     // GIR_Coverage, 15838,
     /* 2073786 */     GIR_EraseRootFromParent_Done,
     /* 2073787 */   // Label 27530: @2073787
     /* 2073787 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2073878), // Rule ID 15839 //
     /* 2073792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2073803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2073806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2073809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2073815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073838 */     // MIs[0] round
     /* 2073838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073841 */     // MIs[0] policy
     /* 2073841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2073854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073877 */     // GIR_Coverage, 15839,
     /* 2073877 */     GIR_EraseRootFromParent_Done,
     /* 2073878 */   // Label 27531: @2073878
     /* 2073878 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2073969), // Rule ID 15842 //
     /* 2073883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073929 */     // MIs[0] round
     /* 2073929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073932 */     // MIs[0] policy
     /* 2073932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2073945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073968 */     // GIR_Coverage, 15842,
     /* 2073968 */     GIR_EraseRootFromParent_Done,
     /* 2073969 */   // Label 27532: @2073969
     /* 2073969 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2074060), // Rule ID 15843 //
     /* 2073974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2073982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074020 */     // MIs[0] round
     /* 2074020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074023 */     // MIs[0] policy
     /* 2074023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2074036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074059 */     // GIR_Coverage, 15843,
     /* 2074059 */     GIR_EraseRootFromParent_Done,
     /* 2074060 */   // Label 27533: @2074060
     /* 2074060 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2074151), // Rule ID 15846 //
     /* 2074065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2074076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2074079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2074082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074111 */     // MIs[0] round
     /* 2074111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074114 */     // MIs[0] policy
     /* 2074114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2074127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074150 */     // GIR_Coverage, 15846,
     /* 2074150 */     GIR_EraseRootFromParent_Done,
     /* 2074151 */   // Label 27534: @2074151
     /* 2074151 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2074242), // Rule ID 15847 //
     /* 2074156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2074167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2074170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2074173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074202 */     // MIs[0] round
     /* 2074202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074205 */     // MIs[0] policy
     /* 2074205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074215 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2074218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074241 */     // GIR_Coverage, 15847,
     /* 2074241 */     GIR_EraseRootFromParent_Done,
     /* 2074242 */   // Label 27535: @2074242
     /* 2074242 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2074333), // Rule ID 15850 //
     /* 2074247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2074258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2074261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2074264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2074270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074293 */     // MIs[0] round
     /* 2074293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074296 */     // MIs[0] policy
     /* 2074296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2074309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074332 */     // GIR_Coverage, 15850,
     /* 2074332 */     GIR_EraseRootFromParent_Done,
     /* 2074333 */   // Label 27536: @2074333
     /* 2074333 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2074424), // Rule ID 15851 //
     /* 2074338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2074349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2074352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2074355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2074361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074384 */     // MIs[0] round
     /* 2074384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074387 */     // MIs[0] policy
     /* 2074387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2074400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074423 */     // GIR_Coverage, 15851,
     /* 2074423 */     GIR_EraseRootFromParent_Done,
     /* 2074424 */   // Label 27537: @2074424
     /* 2074424 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2074515), // Rule ID 15854 //
     /* 2074429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2074440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2074443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074475 */     // MIs[0] round
     /* 2074475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074478 */     // MIs[0] policy
     /* 2074478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2074491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074514 */     // GIR_Coverage, 15854,
     /* 2074514 */     GIR_EraseRootFromParent_Done,
     /* 2074515 */   // Label 27538: @2074515
     /* 2074515 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2074606), // Rule ID 15855 //
     /* 2074520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2074531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2074534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074566 */     // MIs[0] round
     /* 2074566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074569 */     // MIs[0] policy
     /* 2074569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2074582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074605 */     // GIR_Coverage, 15855,
     /* 2074605 */     GIR_EraseRootFromParent_Done,
     /* 2074606 */   // Label 27539: @2074606
     /* 2074606 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2074697), // Rule ID 15858 //
     /* 2074611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074657 */     // MIs[0] round
     /* 2074657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074660 */     // MIs[0] policy
     /* 2074660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2074673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074696 */     // GIR_Coverage, 15858,
     /* 2074696 */     GIR_EraseRootFromParent_Done,
     /* 2074697 */   // Label 27540: @2074697
     /* 2074697 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2074788), // Rule ID 15859 //
     /* 2074702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2074713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2074716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074748 */     // MIs[0] round
     /* 2074748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074751 */     // MIs[0] policy
     /* 2074751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2074764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074787 */     // GIR_Coverage, 15859,
     /* 2074787 */     GIR_EraseRootFromParent_Done,
     /* 2074788 */   // Label 27541: @2074788
     /* 2074788 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2074879), // Rule ID 15862 //
     /* 2074793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074839 */     // MIs[0] round
     /* 2074839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074842 */     // MIs[0] policy
     /* 2074842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2074855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074878 */     // GIR_Coverage, 15862,
     /* 2074878 */     GIR_EraseRootFromParent_Done,
     /* 2074879 */   // Label 27542: @2074879
     /* 2074879 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2074970), // Rule ID 15863 //
     /* 2074884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2074895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2074898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074930 */     // MIs[0] round
     /* 2074930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074933 */     // MIs[0] policy
     /* 2074933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074943 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2074946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074969 */     // GIR_Coverage, 15863,
     /* 2074969 */     GIR_EraseRootFromParent_Done,
     /* 2074970 */   // Label 27543: @2074970
     /* 2074970 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2075061), // Rule ID 15866 //
     /* 2074975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2074978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2074983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2074986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2074989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2074992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075021 */     // MIs[0] round
     /* 2075021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075024 */     // MIs[0] policy
     /* 2075024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2075037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075060 */     // GIR_Coverage, 15866,
     /* 2075060 */     GIR_EraseRootFromParent_Done,
     /* 2075061 */   // Label 27544: @2075061
     /* 2075061 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2075152), // Rule ID 15867 //
     /* 2075066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2075077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2075080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2075083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075112 */     // MIs[0] round
     /* 2075112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075115 */     // MIs[0] policy
     /* 2075115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11537:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2075128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075151 */     // GIR_Coverage, 15867,
     /* 2075151 */     GIR_EraseRootFromParent_Done,
     /* 2075152 */   // Label 27545: @2075152
     /* 2075152 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2075243), // Rule ID 15870 //
     /* 2075157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2075168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2075171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075203 */     // MIs[0] round
     /* 2075203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075206 */     // MIs[0] policy
     /* 2075206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2075219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075242 */     // GIR_Coverage, 15870,
     /* 2075242 */     GIR_EraseRootFromParent_Done,
     /* 2075243 */   // Label 27546: @2075243
     /* 2075243 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2075334), // Rule ID 15871 //
     /* 2075248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2075259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2075262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075294 */     // MIs[0] round
     /* 2075294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075297 */     // MIs[0] policy
     /* 2075297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075307 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11537:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2075310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075333 */     // GIR_Coverage, 15871,
     /* 2075333 */     GIR_EraseRootFromParent_Done,
     /* 2075334 */   // Label 27547: @2075334
     /* 2075334 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2075425), // Rule ID 15874 //
     /* 2075339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2075350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2075353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075385 */     // MIs[0] round
     /* 2075385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075388 */     // MIs[0] policy
     /* 2075388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2075401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075424 */     // GIR_Coverage, 15874,
     /* 2075424 */     GIR_EraseRootFromParent_Done,
     /* 2075425 */   // Label 27548: @2075425
     /* 2075425 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2075516), // Rule ID 15875 //
     /* 2075430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2075438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2075441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2075444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075476 */     // MIs[0] round
     /* 2075476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075479 */     // MIs[0] policy
     /* 2075479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11537:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2075492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075515 */     // GIR_Coverage, 15875,
     /* 2075515 */     GIR_EraseRootFromParent_Done,
     /* 2075516 */   // Label 27549: @2075516
     /* 2075516 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2075607), // Rule ID 15966 //
     /* 2075521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2075541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075567 */     // MIs[0] round
     /* 2075567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075570 */     // MIs[0] policy
     /* 2075570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2075583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075606 */     // GIR_Coverage, 15966,
     /* 2075606 */     GIR_EraseRootFromParent_Done,
     /* 2075607 */   // Label 27550: @2075607
     /* 2075607 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2075698), // Rule ID 15967 //
     /* 2075612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2075629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2075632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075658 */     // MIs[0] round
     /* 2075658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075661 */     // MIs[0] policy
     /* 2075661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2075674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075697 */     // GIR_Coverage, 15967,
     /* 2075697 */     GIR_EraseRootFromParent_Done,
     /* 2075698 */   // Label 27551: @2075698
     /* 2075698 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2075789), // Rule ID 15970 //
     /* 2075703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2075723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075749 */     // MIs[0] round
     /* 2075749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075752 */     // MIs[0] policy
     /* 2075752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2075765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075788 */     // GIR_Coverage, 15970,
     /* 2075788 */     GIR_EraseRootFromParent_Done,
     /* 2075789 */   // Label 27552: @2075789
     /* 2075789 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2075880), // Rule ID 15971 //
     /* 2075794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2075805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2075808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2075811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2075814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075840 */     // MIs[0] round
     /* 2075840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075843 */     // MIs[0] policy
     /* 2075843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075853 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2075856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075879 */     // GIR_Coverage, 15971,
     /* 2075879 */     GIR_EraseRootFromParent_Done,
     /* 2075880 */   // Label 27553: @2075880
     /* 2075880 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2075971), // Rule ID 15974 //
     /* 2075885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2075905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075931 */     // MIs[0] round
     /* 2075931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075934 */     // MIs[0] policy
     /* 2075934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2075947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075970 */     // GIR_Coverage, 15974,
     /* 2075970 */     GIR_EraseRootFromParent_Done,
     /* 2075971 */   // Label 27554: @2075971
     /* 2075971 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2076062), // Rule ID 15975 //
     /* 2075976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2075987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2075990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2075993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2075996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076022 */     // MIs[0] round
     /* 2076022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076025 */     // MIs[0] policy
     /* 2076025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076035 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2076038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076061 */     // GIR_Coverage, 15975,
     /* 2076061 */     GIR_EraseRootFromParent_Done,
     /* 2076062 */   // Label 27555: @2076062
     /* 2076062 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2076153), // Rule ID 15978 //
     /* 2076067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2076078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2076081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2076084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2076087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076113 */     // MIs[0] round
     /* 2076113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076116 */     // MIs[0] policy
     /* 2076116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2076129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076152 */     // GIR_Coverage, 15978,
     /* 2076152 */     GIR_EraseRootFromParent_Done,
     /* 2076153 */   // Label 27556: @2076153
     /* 2076153 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2076244), // Rule ID 15979 //
     /* 2076158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2076169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2076172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2076175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2076178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076204 */     // MIs[0] round
     /* 2076204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076207 */     // MIs[0] policy
     /* 2076207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2076220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076243 */     // GIR_Coverage, 15979,
     /* 2076243 */     GIR_EraseRootFromParent_Done,
     /* 2076244 */   // Label 27557: @2076244
     /* 2076244 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2076335), // Rule ID 15982 //
     /* 2076249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2076260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2076263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2076269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076295 */     // MIs[0] round
     /* 2076295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076298 */     // MIs[0] policy
     /* 2076298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2076311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076334 */     // GIR_Coverage, 15982,
     /* 2076334 */     GIR_EraseRootFromParent_Done,
     /* 2076335 */   // Label 27558: @2076335
     /* 2076335 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2076426), // Rule ID 15983 //
     /* 2076340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2076351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2076354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2076360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076386 */     // MIs[0] round
     /* 2076386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076389 */     // MIs[0] policy
     /* 2076389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2076402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076425 */     // GIR_Coverage, 15983,
     /* 2076425 */     GIR_EraseRootFromParent_Done,
     /* 2076426 */   // Label 27559: @2076426
     /* 2076426 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2076517), // Rule ID 15986 //
     /* 2076431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2076442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2076445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2076451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076477 */     // MIs[0] round
     /* 2076477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076480 */     // MIs[0] policy
     /* 2076480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2076493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076516 */     // GIR_Coverage, 15986,
     /* 2076516 */     GIR_EraseRootFromParent_Done,
     /* 2076517 */   // Label 27560: @2076517
     /* 2076517 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2076608), // Rule ID 15987 //
     /* 2076522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2076533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2076536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2076542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076568 */     // MIs[0] round
     /* 2076568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076571 */     // MIs[0] policy
     /* 2076571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076581 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2076584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076607 */     // GIR_Coverage, 15987,
     /* 2076607 */     GIR_EraseRootFromParent_Done,
     /* 2076608 */   // Label 27561: @2076608
     /* 2076608 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2076699), // Rule ID 15990 //
     /* 2076613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2076633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076659 */     // MIs[0] round
     /* 2076659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076662 */     // MIs[0] policy
     /* 2076662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2076675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076698 */     // GIR_Coverage, 15990,
     /* 2076698 */     GIR_EraseRootFromParent_Done,
     /* 2076699 */   // Label 27562: @2076699
     /* 2076699 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2076790), // Rule ID 15991 //
     /* 2076704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2076721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2076724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076750 */     // MIs[0] round
     /* 2076750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076753 */     // MIs[0] policy
     /* 2076753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076763 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2076766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076789 */     // GIR_Coverage, 15991,
     /* 2076789 */     GIR_EraseRootFromParent_Done,
     /* 2076790 */   // Label 27563: @2076790
     /* 2076790 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2076881), // Rule ID 15994 //
     /* 2076795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2076815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076841 */     // MIs[0] round
     /* 2076841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076844 */     // MIs[0] policy
     /* 2076844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076854 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2076857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076880 */     // GIR_Coverage, 15994,
     /* 2076880 */     GIR_EraseRootFromParent_Done,
     /* 2076881 */   // Label 27564: @2076881
     /* 2076881 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2076972), // Rule ID 15995 //
     /* 2076886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2076897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2076900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2076906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076932 */     // MIs[0] round
     /* 2076932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076935 */     // MIs[0] policy
     /* 2076935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2076948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076971 */     // GIR_Coverage, 15995,
     /* 2076971 */     GIR_EraseRootFromParent_Done,
     /* 2076972 */   // Label 27565: @2076972
     /* 2076972 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2077063), // Rule ID 15998 //
     /* 2076977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2076994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2076997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077023 */     // MIs[0] round
     /* 2077023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077026 */     // MIs[0] policy
     /* 2077026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2077039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077062 */     // GIR_Coverage, 15998,
     /* 2077062 */     GIR_EraseRootFromParent_Done,
     /* 2077063 */   // Label 27566: @2077063
     /* 2077063 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2077154), // Rule ID 15999 //
     /* 2077068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2077085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077114 */     // MIs[0] round
     /* 2077114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077117 */     // MIs[0] policy
     /* 2077117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2077130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077153 */     // GIR_Coverage, 15999,
     /* 2077153 */     GIR_EraseRootFromParent_Done,
     /* 2077154 */   // Label 27567: @2077154
     /* 2077154 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2077245), // Rule ID 16002 //
     /* 2077159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077205 */     // MIs[0] round
     /* 2077205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077208 */     // MIs[0] policy
     /* 2077208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2077221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077244 */     // GIR_Coverage, 16002,
     /* 2077244 */     GIR_EraseRootFromParent_Done,
     /* 2077245 */   // Label 27568: @2077245
     /* 2077245 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2077336), // Rule ID 16003 //
     /* 2077250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077296 */     // MIs[0] round
     /* 2077296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077299 */     // MIs[0] policy
     /* 2077299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2077312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077335 */     // GIR_Coverage, 16003,
     /* 2077335 */     GIR_EraseRootFromParent_Done,
     /* 2077336 */   // Label 27569: @2077336
     /* 2077336 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2077427), // Rule ID 16006 //
     /* 2077341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2077352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2077355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2077358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2077361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077387 */     // MIs[0] round
     /* 2077387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077390 */     // MIs[0] policy
     /* 2077390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077400 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2077403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077426 */     // GIR_Coverage, 16006,
     /* 2077426 */     GIR_EraseRootFromParent_Done,
     /* 2077427 */   // Label 27570: @2077427
     /* 2077427 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2077518), // Rule ID 16007 //
     /* 2077432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2077443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2077446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2077449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2077452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077478 */     // MIs[0] round
     /* 2077478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077481 */     // MIs[0] policy
     /* 2077481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2077494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077517 */     // GIR_Coverage, 16007,
     /* 2077517 */     GIR_EraseRootFromParent_Done,
     /* 2077518 */   // Label 27571: @2077518
     /* 2077518 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2077609), // Rule ID 16010 //
     /* 2077523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2077543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077569 */     // MIs[0] round
     /* 2077569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077572 */     // MIs[0] policy
     /* 2077572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2077585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077608 */     // GIR_Coverage, 16010,
     /* 2077608 */     GIR_EraseRootFromParent_Done,
     /* 2077609 */   // Label 27572: @2077609
     /* 2077609 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2077700), // Rule ID 16011 //
     /* 2077614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2077625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2077628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2077631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2077634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2077637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077660 */     // MIs[0] round
     /* 2077660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077663 */     // MIs[0] policy
     /* 2077663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077673 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2077676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077699 */     // GIR_Coverage, 16011,
     /* 2077699 */     GIR_EraseRootFromParent_Done,
     /* 2077700 */   // Label 27573: @2077700
     /* 2077700 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2077791), // Rule ID 16014 //
     /* 2077705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2077725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077751 */     // MIs[0] round
     /* 2077751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077754 */     // MIs[0] policy
     /* 2077754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077764 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2077767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077790 */     // GIR_Coverage, 16014,
     /* 2077790 */     GIR_EraseRootFromParent_Done,
     /* 2077791 */   // Label 27574: @2077791
     /* 2077791 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2077882), // Rule ID 16015 //
     /* 2077796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2077807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2077810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2077813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2077816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2077819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077842 */     // MIs[0] round
     /* 2077842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077845 */     // MIs[0] policy
     /* 2077845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077855 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2077858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077881 */     // GIR_Coverage, 16015,
     /* 2077881 */     GIR_EraseRootFromParent_Done,
     /* 2077882 */   // Label 27575: @2077882
     /* 2077882 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2077973), // Rule ID 16018 //
     /* 2077887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2077907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077933 */     // MIs[0] round
     /* 2077933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077936 */     // MIs[0] policy
     /* 2077936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2077949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077972 */     // GIR_Coverage, 16018,
     /* 2077972 */     GIR_EraseRootFromParent_Done,
     /* 2077973 */   // Label 27576: @2077973
     /* 2077973 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2078064), // Rule ID 16019 //
     /* 2077978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2077995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2077998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078024 */     // MIs[0] round
     /* 2078024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078027 */     // MIs[0] policy
     /* 2078027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2078040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078063 */     // GIR_Coverage, 16019,
     /* 2078063 */     GIR_EraseRootFromParent_Done,
     /* 2078064 */   // Label 27577: @2078064
     /* 2078064 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2078155), // Rule ID 16022 //
     /* 2078069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2078080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2078083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2078089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078115 */     // MIs[0] round
     /* 2078115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078118 */     // MIs[0] policy
     /* 2078118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2078131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078154 */     // GIR_Coverage, 16022,
     /* 2078154 */     GIR_EraseRootFromParent_Done,
     /* 2078155 */   // Label 27578: @2078155
     /* 2078155 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2078246), // Rule ID 16023 //
     /* 2078160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2078171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2078174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2078180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078206 */     // MIs[0] round
     /* 2078206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078209 */     // MIs[0] policy
     /* 2078209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078219 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2078222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078245 */     // GIR_Coverage, 16023,
     /* 2078245 */     GIR_EraseRootFromParent_Done,
     /* 2078246 */   // Label 27579: @2078246
     /* 2078246 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2078337), // Rule ID 16026 //
     /* 2078251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2078271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078297 */     // MIs[0] round
     /* 2078297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078300 */     // MIs[0] policy
     /* 2078300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078310 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2078313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078336 */     // GIR_Coverage, 16026,
     /* 2078336 */     GIR_EraseRootFromParent_Done,
     /* 2078337 */   // Label 27580: @2078337
     /* 2078337 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2078428), // Rule ID 16027 //
     /* 2078342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2078362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078388 */     // MIs[0] round
     /* 2078388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078391 */     // MIs[0] policy
     /* 2078391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2078404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078427 */     // GIR_Coverage, 16027,
     /* 2078427 */     GIR_EraseRootFromParent_Done,
     /* 2078428 */   // Label 27581: @2078428
     /* 2078428 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2078519), // Rule ID 16030 //
     /* 2078433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2078453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078479 */     // MIs[0] round
     /* 2078479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078482 */     // MIs[0] policy
     /* 2078482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2078495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078518 */     // GIR_Coverage, 16030,
     /* 2078518 */     GIR_EraseRootFromParent_Done,
     /* 2078519 */   // Label 27582: @2078519
     /* 2078519 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2078610), // Rule ID 16031 //
     /* 2078524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2078544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078570 */     // MIs[0] round
     /* 2078570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078573 */     // MIs[0] policy
     /* 2078573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2078586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078609 */     // GIR_Coverage, 16031,
     /* 2078609 */     GIR_EraseRootFromParent_Done,
     /* 2078610 */   // Label 27583: @2078610
     /* 2078610 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2078701), // Rule ID 16034 //
     /* 2078615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2078635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078661 */     // MIs[0] round
     /* 2078661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078664 */     // MIs[0] policy
     /* 2078664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2078677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078700 */     // GIR_Coverage, 16034,
     /* 2078700 */     GIR_EraseRootFromParent_Done,
     /* 2078701 */   // Label 27584: @2078701
     /* 2078701 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2078792), // Rule ID 16035 //
     /* 2078706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2078726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078752 */     // MIs[0] round
     /* 2078752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078755 */     // MIs[0] policy
     /* 2078755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078765 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2078768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078791 */     // GIR_Coverage, 16035,
     /* 2078791 */     GIR_EraseRootFromParent_Done,
     /* 2078792 */   // Label 27585: @2078792
     /* 2078792 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2078883), // Rule ID 16038 //
     /* 2078797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2078817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078843 */     // MIs[0] round
     /* 2078843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078846 */     // MIs[0] policy
     /* 2078846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2078859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078882 */     // GIR_Coverage, 16038,
     /* 2078882 */     GIR_EraseRootFromParent_Done,
     /* 2078883 */   // Label 27586: @2078883
     /* 2078883 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2078974), // Rule ID 16039 //
     /* 2078888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2078905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2078908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078934 */     // MIs[0] round
     /* 2078934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078937 */     // MIs[0] policy
     /* 2078937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2078950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078973 */     // GIR_Coverage, 16039,
     /* 2078973 */     GIR_EraseRootFromParent_Done,
     /* 2078974 */   // Label 27587: @2078974
     /* 2078974 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2079065), // Rule ID 16042 //
     /* 2078979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2078982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2078987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2078999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079025 */     // MIs[0] round
     /* 2079025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079028 */     // MIs[0] policy
     /* 2079028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079038 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2079041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079064 */     // GIR_Coverage, 16042,
     /* 2079064 */     GIR_EraseRootFromParent_Done,
     /* 2079065 */   // Label 27588: @2079065
     /* 2079065 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2079156), // Rule ID 16043 //
     /* 2079070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2079081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2079084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2079087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2079090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079116 */     // MIs[0] round
     /* 2079116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079119 */     // MIs[0] policy
     /* 2079119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079129 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2079132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079155 */     // GIR_Coverage, 16043,
     /* 2079155 */     GIR_EraseRootFromParent_Done,
     /* 2079156 */   // Label 27589: @2079156
     /* 2079156 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2079247), // Rule ID 16046 //
     /* 2079161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2079164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2079178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2079181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079207 */     // MIs[0] round
     /* 2079207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079210 */     // MIs[0] policy
     /* 2079210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2079223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079246 */     // GIR_Coverage, 16046,
     /* 2079246 */     GIR_EraseRootFromParent_Done,
     /* 2079247 */   // Label 27590: @2079247
     /* 2079247 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2079338), // Rule ID 16047 //
     /* 2079252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2079269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2079272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079298 */     // MIs[0] round
     /* 2079298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079301 */     // MIs[0] policy
     /* 2079301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2079314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079337 */     // GIR_Coverage, 16047,
     /* 2079337 */     GIR_EraseRootFromParent_Done,
     /* 2079338 */   // Label 27591: @2079338
     /* 2079338 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2079429), // Rule ID 16050 //
     /* 2079343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2079346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2079360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2079363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079389 */     // MIs[0] round
     /* 2079389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079392 */     // MIs[0] policy
     /* 2079392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2079405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079428 */     // GIR_Coverage, 16050,
     /* 2079428 */     GIR_EraseRootFromParent_Done,
     /* 2079429 */   // Label 27592: @2079429
     /* 2079429 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2079520), // Rule ID 16051 //
     /* 2079434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2079437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2079451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2079454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079480 */     // MIs[0] round
     /* 2079480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079483 */     // MIs[0] policy
     /* 2079483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079493 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2079496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079519 */     // GIR_Coverage, 16051,
     /* 2079519 */     GIR_EraseRootFromParent_Done,
     /* 2079520 */   // Label 27593: @2079520
     /* 2079520 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2079611), // Rule ID 16054 //
     /* 2079525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2079542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079571 */     // MIs[0] round
     /* 2079571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079574 */     // MIs[0] policy
     /* 2079574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2079587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079610 */     // GIR_Coverage, 16054,
     /* 2079610 */     GIR_EraseRootFromParent_Done,
     /* 2079611 */   // Label 27594: @2079611
     /* 2079611 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2079702), // Rule ID 16055 //
     /* 2079616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2079633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079662 */     // MIs[0] round
     /* 2079662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079665 */     // MIs[0] policy
     /* 2079665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2079678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079701 */     // GIR_Coverage, 16055,
     /* 2079701 */     GIR_EraseRootFromParent_Done,
     /* 2079702 */   // Label 27595: @2079702
     /* 2079702 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2079793), // Rule ID 16058 //
     /* 2079707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2079724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079753 */     // MIs[0] round
     /* 2079753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079756 */     // MIs[0] policy
     /* 2079756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2079769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079792 */     // GIR_Coverage, 16058,
     /* 2079792 */     GIR_EraseRootFromParent_Done,
     /* 2079793 */   // Label 27596: @2079793
     /* 2079793 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2079884), // Rule ID 16059 //
     /* 2079798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2079815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2079818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079844 */     // MIs[0] round
     /* 2079844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079847 */     // MIs[0] policy
     /* 2079847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079857 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2079860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079883 */     // GIR_Coverage, 16059,
     /* 2079883 */     GIR_EraseRootFromParent_Done,
     /* 2079884 */   // Label 27597: @2079884
     /* 2079884 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2079975), // Rule ID 16062 //
     /* 2079889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2079906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2079909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2079931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079935 */     // MIs[0] round
     /* 2079935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079938 */     // MIs[0] policy
     /* 2079938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079948 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2079951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079974 */     // GIR_Coverage, 16062,
     /* 2079974 */     GIR_EraseRootFromParent_Done,
     /* 2079975 */   // Label 27598: @2079975
     /* 2079975 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2080066), // Rule ID 16063 //
     /* 2079980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2079988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2079997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080026 */     // MIs[0] round
     /* 2080026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080029 */     // MIs[0] policy
     /* 2080029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080039 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2080042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080065 */     // GIR_Coverage, 16063,
     /* 2080065 */     GIR_EraseRootFromParent_Done,
     /* 2080066 */   // Label 27599: @2080066
     /* 2080066 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2080157), // Rule ID 16066 //
     /* 2080071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2080088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080117 */     // MIs[0] round
     /* 2080117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080120 */     // MIs[0] policy
     /* 2080120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2080133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080156 */     // GIR_Coverage, 16066,
     /* 2080156 */     GIR_EraseRootFromParent_Done,
     /* 2080157 */   // Label 27600: @2080157
     /* 2080157 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2080248), // Rule ID 16067 //
     /* 2080162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2080173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2080176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2080179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080208 */     // MIs[0] round
     /* 2080208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080211 */     // MIs[0] policy
     /* 2080211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2080224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080247 */     // GIR_Coverage, 16067,
     /* 2080247 */     GIR_EraseRootFromParent_Done,
     /* 2080248 */   // Label 27601: @2080248
     /* 2080248 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2080339), // Rule ID 16070 //
     /* 2080253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2080270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080299 */     // MIs[0] round
     /* 2080299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080302 */     // MIs[0] policy
     /* 2080302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2080315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080338 */     // GIR_Coverage, 16070,
     /* 2080338 */     GIR_EraseRootFromParent_Done,
     /* 2080339 */   // Label 27602: @2080339
     /* 2080339 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2080430), // Rule ID 16071 //
     /* 2080344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2080361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080390 */     // MIs[0] round
     /* 2080390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080393 */     // MIs[0] policy
     /* 2080393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2080406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080429 */     // GIR_Coverage, 16071,
     /* 2080429 */     GIR_EraseRootFromParent_Done,
     /* 2080430 */   // Label 27603: @2080430
     /* 2080430 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2080521), // Rule ID 16074 //
     /* 2080435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2080446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2080449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080481 */     // MIs[0] round
     /* 2080481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080484 */     // MIs[0] policy
     /* 2080484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2080497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080520 */     // GIR_Coverage, 16074,
     /* 2080520 */     GIR_EraseRootFromParent_Done,
     /* 2080521 */   // Label 27604: @2080521
     /* 2080521 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2080612), // Rule ID 16075 //
     /* 2080526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2080537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2080540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080572 */     // MIs[0] round
     /* 2080572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080575 */     // MIs[0] policy
     /* 2080575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080585 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2080588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080611 */     // GIR_Coverage, 16075,
     /* 2080611 */     GIR_EraseRootFromParent_Done,
     /* 2080612 */   // Label 27605: @2080612
     /* 2080612 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2080703), // Rule ID 16078 //
     /* 2080617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2080628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2080631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2080634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080663 */     // MIs[0] round
     /* 2080663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080666 */     // MIs[0] policy
     /* 2080666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2080679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080702 */     // GIR_Coverage, 16078,
     /* 2080702 */     GIR_EraseRootFromParent_Done,
     /* 2080703 */   // Label 27606: @2080703
     /* 2080703 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2080794), // Rule ID 16079 //
     /* 2080708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2080719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2080722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2080725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080754 */     // MIs[0] round
     /* 2080754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080757 */     // MIs[0] policy
     /* 2080757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2080770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080793 */     // GIR_Coverage, 16079,
     /* 2080793 */     GIR_EraseRootFromParent_Done,
     /* 2080794 */   // Label 27607: @2080794
     /* 2080794 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2080885), // Rule ID 16082 //
     /* 2080799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080845 */     // MIs[0] round
     /* 2080845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080848 */     // MIs[0] policy
     /* 2080848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2080861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080884 */     // GIR_Coverage, 16082,
     /* 2080884 */     GIR_EraseRootFromParent_Done,
     /* 2080885 */   // Label 27608: @2080885
     /* 2080885 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2080976), // Rule ID 16083 //
     /* 2080890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080936 */     // MIs[0] round
     /* 2080936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080939 */     // MIs[0] policy
     /* 2080939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080949 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2080952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080975 */     // GIR_Coverage, 16083,
     /* 2080975 */     GIR_EraseRootFromParent_Done,
     /* 2080976 */   // Label 27609: @2080976
     /* 2080976 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2081067), // Rule ID 16086 //
     /* 2080981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2080989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081027 */     // MIs[0] round
     /* 2081027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081030 */     // MIs[0] policy
     /* 2081030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2081043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081066 */     // GIR_Coverage, 16086,
     /* 2081066 */     GIR_EraseRootFromParent_Done,
     /* 2081067 */   // Label 27610: @2081067
     /* 2081067 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2081158), // Rule ID 16087 //
     /* 2081072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2081089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081118 */     // MIs[0] round
     /* 2081118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081121 */     // MIs[0] policy
     /* 2081121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2081134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081157 */     // GIR_Coverage, 16087,
     /* 2081157 */     GIR_EraseRootFromParent_Done,
     /* 2081158 */   // Label 27611: @2081158
     /* 2081158 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2081249), // Rule ID 16090 //
     /* 2081163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2081166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081209 */     // MIs[0] round
     /* 2081209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081212 */     // MIs[0] policy
     /* 2081212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2081225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081248 */     // GIR_Coverage, 16090,
     /* 2081248 */     GIR_EraseRootFromParent_Done,
     /* 2081249 */   // Label 27612: @2081249
     /* 2081249 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2081340), // Rule ID 16091 //
     /* 2081254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2081257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2081271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081300 */     // MIs[0] round
     /* 2081300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081303 */     // MIs[0] policy
     /* 2081303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081313 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2081316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2081336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081339 */     // GIR_Coverage, 16091,
     /* 2081339 */     GIR_EraseRootFromParent_Done,
     /* 2081340 */   // Label 27613: @2081340
     /* 2081340 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2081431), // Rule ID 16094 //
     /* 2081345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2081356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2081359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2081362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081391 */     // MIs[0] round
     /* 2081391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081394 */     // MIs[0] policy
     /* 2081394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2081407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081430 */     // GIR_Coverage, 16094,
     /* 2081430 */     GIR_EraseRootFromParent_Done,
     /* 2081431 */   // Label 27614: @2081431
     /* 2081431 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2081522), // Rule ID 16095 //
     /* 2081436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2081447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2081450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2081453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081482 */     // MIs[0] round
     /* 2081482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081485 */     // MIs[0] policy
     /* 2081485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081495 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2081498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081521 */     // GIR_Coverage, 16095,
     /* 2081521 */     GIR_EraseRootFromParent_Done,
     /* 2081522 */   // Label 27615: @2081522
     /* 2081522 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2081613), // Rule ID 16098 //
     /* 2081527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2081538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2081541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2081544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081573 */     // MIs[0] round
     /* 2081573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081576 */     // MIs[0] policy
     /* 2081576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2081589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081612 */     // GIR_Coverage, 16098,
     /* 2081612 */     GIR_EraseRootFromParent_Done,
     /* 2081613 */   // Label 27616: @2081613
     /* 2081613 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2081704), // Rule ID 16099 //
     /* 2081618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2081629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2081632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2081635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081664 */     // MIs[0] round
     /* 2081664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081667 */     // MIs[0] policy
     /* 2081667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081677 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2081680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081703 */     // GIR_Coverage, 16099,
     /* 2081703 */     GIR_EraseRootFromParent_Done,
     /* 2081704 */   // Label 27617: @2081704
     /* 2081704 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2081795), // Rule ID 16102 //
     /* 2081709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2081720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2081723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2081726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2081732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081755 */     // MIs[0] round
     /* 2081755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081758 */     // MIs[0] policy
     /* 2081758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2081771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081794 */     // GIR_Coverage, 16102,
     /* 2081794 */     GIR_EraseRootFromParent_Done,
     /* 2081795 */   // Label 27618: @2081795
     /* 2081795 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2081886), // Rule ID 16103 //
     /* 2081800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2081811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2081814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2081817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2081823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081846 */     // MIs[0] round
     /* 2081846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081849 */     // MIs[0] policy
     /* 2081849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2081862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081885 */     // GIR_Coverage, 16103,
     /* 2081885 */     GIR_EraseRootFromParent_Done,
     /* 2081886 */   // Label 27619: @2081886
     /* 2081886 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2081977), // Rule ID 16106 //
     /* 2081891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081937 */     // MIs[0] round
     /* 2081937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081940 */     // MIs[0] policy
     /* 2081940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2081953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081976 */     // GIR_Coverage, 16106,
     /* 2081976 */     GIR_EraseRootFromParent_Done,
     /* 2081977 */   // Label 27620: @2081977
     /* 2081977 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2082068), // Rule ID 16107 //
     /* 2081982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2081990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082028 */     // MIs[0] round
     /* 2082028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082031 */     // MIs[0] policy
     /* 2082031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082041 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2082044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082067 */     // GIR_Coverage, 16107,
     /* 2082067 */     GIR_EraseRootFromParent_Done,
     /* 2082068 */   // Label 27621: @2082068
     /* 2082068 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2082159), // Rule ID 16110 //
     /* 2082073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2082084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2082087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082119 */     // MIs[0] round
     /* 2082119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082122 */     // MIs[0] policy
     /* 2082122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2082135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082158 */     // GIR_Coverage, 16110,
     /* 2082158 */     GIR_EraseRootFromParent_Done,
     /* 2082159 */   // Label 27622: @2082159
     /* 2082159 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2082250), // Rule ID 16111 //
     /* 2082164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2082175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2082178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082210 */     // MIs[0] round
     /* 2082210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082213 */     // MIs[0] policy
     /* 2082213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2082226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082249 */     // GIR_Coverage, 16111,
     /* 2082249 */     GIR_EraseRootFromParent_Done,
     /* 2082250 */   // Label 27623: @2082250
     /* 2082250 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2082341), // Rule ID 16114 //
     /* 2082255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2082266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2082269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082301 */     // MIs[0] round
     /* 2082301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082304 */     // MIs[0] policy
     /* 2082304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2082317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082340 */     // GIR_Coverage, 16114,
     /* 2082340 */     GIR_EraseRootFromParent_Done,
     /* 2082341 */   // Label 27624: @2082341
     /* 2082341 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2082432), // Rule ID 16115 //
     /* 2082346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2082357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2082360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082392 */     // MIs[0] round
     /* 2082392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082395 */     // MIs[0] policy
     /* 2082395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2082408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082431 */     // GIR_Coverage, 16115,
     /* 2082431 */     GIR_EraseRootFromParent_Done,
     /* 2082432 */   // Label 27625: @2082432
     /* 2082432 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2082523), // Rule ID 16118 //
     /* 2082437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2082448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2082451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2082454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082483 */     // MIs[0] round
     /* 2082483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082486 */     // MIs[0] policy
     /* 2082486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2082499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082522 */     // GIR_Coverage, 16118,
     /* 2082522 */     GIR_EraseRootFromParent_Done,
     /* 2082523 */   // Label 27626: @2082523
     /* 2082523 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2082614), // Rule ID 16119 //
     /* 2082528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2082539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2082542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2082545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082574 */     // MIs[0] round
     /* 2082574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082577 */     // MIs[0] policy
     /* 2082577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082587 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2082590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082613 */     // GIR_Coverage, 16119,
     /* 2082613 */     GIR_EraseRootFromParent_Done,
     /* 2082614 */   // Label 27627: @2082614
     /* 2082614 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2082705), // Rule ID 16122 //
     /* 2082619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2082636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082665 */     // MIs[0] round
     /* 2082665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082668 */     // MIs[0] policy
     /* 2082668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2082681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082704 */     // GIR_Coverage, 16122,
     /* 2082704 */     GIR_EraseRootFromParent_Done,
     /* 2082705 */   // Label 27628: @2082705
     /* 2082705 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2082796), // Rule ID 16123 //
     /* 2082710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2082727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082756 */     // MIs[0] round
     /* 2082756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082759 */     // MIs[0] policy
     /* 2082759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2082772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082795 */     // GIR_Coverage, 16123,
     /* 2082795 */     GIR_EraseRootFromParent_Done,
     /* 2082796 */   // Label 27629: @2082796
     /* 2082796 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2082887), // Rule ID 16126 //
     /* 2082801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2082812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2082815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082847 */     // MIs[0] round
     /* 2082847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082850 */     // MIs[0] policy
     /* 2082850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2082863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082886 */     // GIR_Coverage, 16126,
     /* 2082886 */     GIR_EraseRootFromParent_Done,
     /* 2082887 */   // Label 27630: @2082887
     /* 2082887 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2082978), // Rule ID 16127 //
     /* 2082892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2082903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2082906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082938 */     // MIs[0] round
     /* 2082938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082941 */     // MIs[0] policy
     /* 2082941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2082954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082977 */     // GIR_Coverage, 16127,
     /* 2082977 */     GIR_EraseRootFromParent_Done,
     /* 2082978 */   // Label 27631: @2082978
     /* 2082978 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2083069), // Rule ID 16130 //
     /* 2082983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2082986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2082991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2082994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2082997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2083000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083029 */     // MIs[0] round
     /* 2083029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083032 */     // MIs[0] policy
     /* 2083032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2083045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083068 */     // GIR_Coverage, 16130,
     /* 2083068 */     GIR_EraseRootFromParent_Done,
     /* 2083069 */   // Label 27632: @2083069
     /* 2083069 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2083160), // Rule ID 16131 //
     /* 2083074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2083077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2083085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2083088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2083091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083120 */     // MIs[0] round
     /* 2083120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083123 */     // MIs[0] policy
     /* 2083123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2083136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083159 */     // GIR_Coverage, 16131,
     /* 2083159 */     GIR_EraseRootFromParent_Done,
     /* 2083160 */   // Label 27633: @2083160
     /* 2083160 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2083251), // Rule ID 16134 //
     /* 2083165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2083168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2083176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2083179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2083182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083211 */     // MIs[0] round
     /* 2083211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083214 */     // MIs[0] policy
     /* 2083214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2083227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083250 */     // GIR_Coverage, 16134,
     /* 2083250 */     GIR_EraseRootFromParent_Done,
     /* 2083251 */   // Label 27634: @2083251
     /* 2083251 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2083342), // Rule ID 16135 //
     /* 2083256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2083259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2083267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2083270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2083273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083302 */     // MIs[0] round
     /* 2083302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083305 */     // MIs[0] policy
     /* 2083305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2083318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083341 */     // GIR_Coverage, 16135,
     /* 2083341 */     GIR_EraseRootFromParent_Done,
     /* 2083342 */   // Label 27635: @2083342
     /* 2083342 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2083433), // Rule ID 16138 //
     /* 2083347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2083350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2083358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2083361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2083364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2083377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083393 */     // MIs[0] round
     /* 2083393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083396 */     // MIs[0] policy
     /* 2083396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2083409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083432 */     // GIR_Coverage, 16138,
     /* 2083432 */     GIR_EraseRootFromParent_Done,
     /* 2083433 */   // Label 27636: @2083433
     /* 2083433 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2083524), // Rule ID 16139 //
     /* 2083438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2083441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2083446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2083449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2083452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2083455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2083468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083484 */     // MIs[0] round
     /* 2083484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083487 */     // MIs[0] policy
     /* 2083487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2083500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2083520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083523 */     // GIR_Coverage, 16139,
     /* 2083523 */     GIR_EraseRootFromParent_Done,
     /* 2083524 */   // Label 27637: @2083524
     /* 2083524 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2083618), // Rule ID 16230 //
     /* 2083529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2083540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2083543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2083549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083575 */     // MIs[0] round
     /* 2083575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083578 */     // MIs[0] policy
     /* 2083578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2083591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083617 */     // GIR_Coverage, 16230,
     /* 2083617 */     GIR_EraseRootFromParent_Done,
     /* 2083618 */   // Label 27638: @2083618
     /* 2083618 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2083712), // Rule ID 16231 //
     /* 2083623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2083634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2083637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2083643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083669 */     // MIs[0] round
     /* 2083669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083672 */     // MIs[0] policy
     /* 2083672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2083685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083711 */     // GIR_Coverage, 16231,
     /* 2083711 */     GIR_EraseRootFromParent_Done,
     /* 2083712 */   // Label 27639: @2083712
     /* 2083712 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2083806), // Rule ID 16234 //
     /* 2083717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2083728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2083731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2083737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083763 */     // MIs[0] round
     /* 2083763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083766 */     // MIs[0] policy
     /* 2083766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2083779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083805 */     // GIR_Coverage, 16234,
     /* 2083805 */     GIR_EraseRootFromParent_Done,
     /* 2083806 */   // Label 27640: @2083806
     /* 2083806 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2083900), // Rule ID 16235 //
     /* 2083811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2083822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2083825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2083831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083857 */     // MIs[0] round
     /* 2083857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083860 */     // MIs[0] policy
     /* 2083860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083870 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2083873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083899 */     // GIR_Coverage, 16235,
     /* 2083899 */     GIR_EraseRootFromParent_Done,
     /* 2083900 */   // Label 27641: @2083900
     /* 2083900 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2083994), // Rule ID 16238 //
     /* 2083905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2083916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2083919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2083925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083951 */     // MIs[0] round
     /* 2083951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083954 */     // MIs[0] policy
     /* 2083954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083964 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2083967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083993 */     // GIR_Coverage, 16238,
     /* 2083993 */     GIR_EraseRootFromParent_Done,
     /* 2083994 */   // Label 27642: @2083994
     /* 2083994 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2084088), // Rule ID 16239 //
     /* 2083999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2084010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2084013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2084019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084045 */     // MIs[0] round
     /* 2084045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084048 */     // MIs[0] policy
     /* 2084048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2084061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084087 */     // GIR_Coverage, 16239,
     /* 2084087 */     GIR_EraseRootFromParent_Done,
     /* 2084088 */   // Label 27643: @2084088
     /* 2084088 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2084182), // Rule ID 16242 //
     /* 2084093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2084104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2084107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2084110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2084113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084139 */     // MIs[0] round
     /* 2084139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084142 */     // MIs[0] policy
     /* 2084142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2084155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084181 */     // GIR_Coverage, 16242,
     /* 2084181 */     GIR_EraseRootFromParent_Done,
     /* 2084182 */   // Label 27644: @2084182
     /* 2084182 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2084276), // Rule ID 16243 //
     /* 2084187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2084198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2084201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2084204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2084207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084233 */     // MIs[0] round
     /* 2084233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084236 */     // MIs[0] policy
     /* 2084236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2084249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084275 */     // GIR_Coverage, 16243,
     /* 2084275 */     GIR_EraseRootFromParent_Done,
     /* 2084276 */   // Label 27645: @2084276
     /* 2084276 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2084370), // Rule ID 16246 //
     /* 2084281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2084298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2084301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084327 */     // MIs[0] round
     /* 2084327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084330 */     // MIs[0] policy
     /* 2084330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084340 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2084343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084369 */     // GIR_Coverage, 16246,
     /* 2084369 */     GIR_EraseRootFromParent_Done,
     /* 2084370 */   // Label 27646: @2084370
     /* 2084370 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2084464), // Rule ID 16247 //
     /* 2084375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2084392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2084395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084421 */     // MIs[0] round
     /* 2084421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084424 */     // MIs[0] policy
     /* 2084424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2084437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084463 */     // GIR_Coverage, 16247,
     /* 2084463 */     GIR_EraseRootFromParent_Done,
     /* 2084464 */   // Label 27647: @2084464
     /* 2084464 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2084558), // Rule ID 16250 //
     /* 2084469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2084486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2084489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084515 */     // MIs[0] round
     /* 2084515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084518 */     // MIs[0] policy
     /* 2084518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084528 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2084531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084557 */     // GIR_Coverage, 16250,
     /* 2084557 */     GIR_EraseRootFromParent_Done,
     /* 2084558 */   // Label 27648: @2084558
     /* 2084558 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2084652), // Rule ID 16251 //
     /* 2084563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2084580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2084583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084609 */     // MIs[0] round
     /* 2084609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084612 */     // MIs[0] policy
     /* 2084612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2084625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084651 */     // GIR_Coverage, 16251,
     /* 2084651 */     GIR_EraseRootFromParent_Done,
     /* 2084652 */   // Label 27649: @2084652
     /* 2084652 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2084746), // Rule ID 16254 //
     /* 2084657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2084668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2084671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2084674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084703 */     // MIs[0] round
     /* 2084703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084706 */     // MIs[0] policy
     /* 2084706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2084719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084745 */     // GIR_Coverage, 16254,
     /* 2084745 */     GIR_EraseRootFromParent_Done,
     /* 2084746 */   // Label 27650: @2084746
     /* 2084746 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2084840), // Rule ID 16255 //
     /* 2084751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2084762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2084765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2084768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084797 */     // MIs[0] round
     /* 2084797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084800 */     // MIs[0] policy
     /* 2084800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084810 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2084813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084839 */     // GIR_Coverage, 16255,
     /* 2084839 */     GIR_EraseRootFromParent_Done,
     /* 2084840 */   // Label 27651: @2084840
     /* 2084840 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2084934), // Rule ID 16258 //
     /* 2084845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2084856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2084859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084891 */     // MIs[0] round
     /* 2084891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084894 */     // MIs[0] policy
     /* 2084894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2084907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084933 */     // GIR_Coverage, 16258,
     /* 2084933 */     GIR_EraseRootFromParent_Done,
     /* 2084934 */   // Label 27652: @2084934
     /* 2084934 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2085028), // Rule ID 16259 //
     /* 2084939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2084947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2084950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2084953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084985 */     // MIs[0] round
     /* 2084985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084988 */     // MIs[0] policy
     /* 2084988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084998 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2085001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085027 */     // GIR_Coverage, 16259,
     /* 2085027 */     GIR_EraseRootFromParent_Done,
     /* 2085028 */   // Label 27653: @2085028
     /* 2085028 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2085122), // Rule ID 16262 //
     /* 2085033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2085044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2085047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2085053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085079 */     // MIs[0] round
     /* 2085079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085082 */     // MIs[0] policy
     /* 2085082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2085095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085121 */     // GIR_Coverage, 16262,
     /* 2085121 */     GIR_EraseRootFromParent_Done,
     /* 2085122 */   // Label 27654: @2085122
     /* 2085122 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2085216), // Rule ID 16263 //
     /* 2085127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2085138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2085141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2085147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085173 */     // MIs[0] round
     /* 2085173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085176 */     // MIs[0] policy
     /* 2085176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2085189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085215 */     // GIR_Coverage, 16263,
     /* 2085215 */     GIR_EraseRootFromParent_Done,
     /* 2085216 */   // Label 27655: @2085216
     /* 2085216 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2085310), // Rule ID 16266 //
     /* 2085221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085267 */     // MIs[0] round
     /* 2085267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085270 */     // MIs[0] policy
     /* 2085270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2085283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085309 */     // GIR_Coverage, 16266,
     /* 2085309 */     GIR_EraseRootFromParent_Done,
     /* 2085310 */   // Label 27656: @2085310
     /* 2085310 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2085404), // Rule ID 16267 //
     /* 2085315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085361 */     // MIs[0] round
     /* 2085361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085364 */     // MIs[0] policy
     /* 2085364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2085377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085403 */     // GIR_Coverage, 16267,
     /* 2085403 */     GIR_EraseRootFromParent_Done,
     /* 2085404 */   // Label 27657: @2085404
     /* 2085404 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2085498), // Rule ID 16270 //
     /* 2085409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2085426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085455 */     // MIs[0] round
     /* 2085455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085458 */     // MIs[0] policy
     /* 2085458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2085471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085497 */     // GIR_Coverage, 16270,
     /* 2085497 */     GIR_EraseRootFromParent_Done,
     /* 2085498 */   // Label 27658: @2085498
     /* 2085498 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2085592), // Rule ID 16271 //
     /* 2085503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2085520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085549 */     // MIs[0] round
     /* 2085549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085552 */     // MIs[0] policy
     /* 2085552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085562 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2085565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085591 */     // GIR_Coverage, 16271,
     /* 2085591 */     GIR_EraseRootFromParent_Done,
     /* 2085592 */   // Label 27659: @2085592
     /* 2085592 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2085686), // Rule ID 16274 //
     /* 2085597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2085600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2085608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2085611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2085614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2085617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085643 */     // MIs[0] round
     /* 2085643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085646 */     // MIs[0] policy
     /* 2085646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2085659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085685 */     // GIR_Coverage, 16274,
     /* 2085685 */     GIR_EraseRootFromParent_Done,
     /* 2085686 */   // Label 27660: @2085686
     /* 2085686 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2085780), // Rule ID 16275 //
     /* 2085691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2085694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2085702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2085705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2085708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2085711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085737 */     // MIs[0] round
     /* 2085737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085740 */     // MIs[0] policy
     /* 2085740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2085753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085779 */     // GIR_Coverage, 16275,
     /* 2085779 */     GIR_EraseRootFromParent_Done,
     /* 2085780 */   // Label 27661: @2085780
     /* 2085780 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2085874), // Rule ID 16278 //
     /* 2085785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2085788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2085796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2085799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2085802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085831 */     // MIs[0] round
     /* 2085831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085834 */     // MIs[0] policy
     /* 2085834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2085847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085873 */     // GIR_Coverage, 16278,
     /* 2085873 */     GIR_EraseRootFromParent_Done,
     /* 2085874 */   // Label 27662: @2085874
     /* 2085874 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2085968), // Rule ID 16279 //
     /* 2085879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2085882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2085890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2085893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2085896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085925 */     // MIs[0] round
     /* 2085925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085928 */     // MIs[0] policy
     /* 2085928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085938 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2085941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085967 */     // GIR_Coverage, 16279,
     /* 2085967 */     GIR_EraseRootFromParent_Done,
     /* 2085968 */   // Label 27663: @2085968
     /* 2085968 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2086062), // Rule ID 16282 //
     /* 2085973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2085976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2085981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2085990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086019 */     // MIs[0] round
     /* 2086019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086022 */     // MIs[0] policy
     /* 2086022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2086035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086061 */     // GIR_Coverage, 16282,
     /* 2086061 */     GIR_EraseRootFromParent_Done,
     /* 2086062 */   // Label 27664: @2086062
     /* 2086062 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2086156), // Rule ID 16283 //
     /* 2086067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2086070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2086078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2086081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2086087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086113 */     // MIs[0] round
     /* 2086113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086116 */     // MIs[0] policy
     /* 2086116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2086129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086155 */     // GIR_Coverage, 16283,
     /* 2086155 */     GIR_EraseRootFromParent_Done,
     /* 2086156 */   // Label 27665: @2086156
     /* 2086156 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2086250), // Rule ID 16286 //
     /* 2086161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2086164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2086181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086207 */     // MIs[0] round
     /* 2086207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086210 */     // MIs[0] policy
     /* 2086210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2086223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086249 */     // GIR_Coverage, 16286,
     /* 2086249 */     GIR_EraseRootFromParent_Done,
     /* 2086250 */   // Label 27666: @2086250
     /* 2086250 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2086344), // Rule ID 16287 //
     /* 2086255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2086258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2086275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086301 */     // MIs[0] round
     /* 2086301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086304 */     // MIs[0] policy
     /* 2086304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2086317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086343 */     // GIR_Coverage, 16287,
     /* 2086343 */     GIR_EraseRootFromParent_Done,
     /* 2086344 */   // Label 27667: @2086344
     /* 2086344 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2086438), // Rule ID 16290 //
     /* 2086349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2086360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2086363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2086366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086395 */     // MIs[0] round
     /* 2086395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086398 */     // MIs[0] policy
     /* 2086398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2086411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086437 */     // GIR_Coverage, 16290,
     /* 2086437 */     GIR_EraseRootFromParent_Done,
     /* 2086438 */   // Label 27668: @2086438
     /* 2086438 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2086532), // Rule ID 16291 //
     /* 2086443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2086454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2086457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2086460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086489 */     // MIs[0] round
     /* 2086489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086492 */     // MIs[0] policy
     /* 2086492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2086505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086531 */     // GIR_Coverage, 16291,
     /* 2086531 */     GIR_EraseRootFromParent_Done,
     /* 2086532 */   // Label 27669: @2086532
     /* 2086532 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2086626), // Rule ID 16294 //
     /* 2086537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2086548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2086551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2086554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086583 */     // MIs[0] round
     /* 2086583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086586 */     // MIs[0] policy
     /* 2086586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086596 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2086599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086625 */     // GIR_Coverage, 16294,
     /* 2086625 */     GIR_EraseRootFromParent_Done,
     /* 2086626 */   // Label 27670: @2086626
     /* 2086626 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2086720), // Rule ID 16295 //
     /* 2086631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2086642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2086645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2086648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086677 */     // MIs[0] round
     /* 2086677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086680 */     // MIs[0] policy
     /* 2086680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2086693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086719 */     // GIR_Coverage, 16295,
     /* 2086719 */     GIR_EraseRootFromParent_Done,
     /* 2086720 */   // Label 27671: @2086720
     /* 2086720 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2086814), // Rule ID 16298 //
     /* 2086725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2086736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2086739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086771 */     // MIs[0] round
     /* 2086771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086774 */     // MIs[0] policy
     /* 2086774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086784 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2086787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086813 */     // GIR_Coverage, 16298,
     /* 2086813 */     GIR_EraseRootFromParent_Done,
     /* 2086814 */   // Label 27672: @2086814
     /* 2086814 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2086908), // Rule ID 16299 //
     /* 2086819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2086830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2086833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086865 */     // MIs[0] round
     /* 2086865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086868 */     // MIs[0] policy
     /* 2086868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086878 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2086881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086907 */     // GIR_Coverage, 16299,
     /* 2086907 */     GIR_EraseRootFromParent_Done,
     /* 2086908 */   // Label 27673: @2086908
     /* 2086908 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2087002), // Rule ID 16302 //
     /* 2086913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2086921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2086924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2086927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2086930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086959 */     // MIs[0] round
     /* 2086959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086962 */     // MIs[0] policy
     /* 2086962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2086975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087001 */     // GIR_Coverage, 16302,
     /* 2087001 */     GIR_EraseRootFromParent_Done,
     /* 2087002 */   // Label 27674: @2087002
     /* 2087002 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2087096), // Rule ID 16303 //
     /* 2087007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2087018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2087021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2087024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087053 */     // MIs[0] round
     /* 2087053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087056 */     // MIs[0] policy
     /* 2087056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2087069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087095 */     // GIR_Coverage, 16303,
     /* 2087095 */     GIR_EraseRootFromParent_Done,
     /* 2087096 */   // Label 27675: @2087096
     /* 2087096 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2087190), // Rule ID 16306 //
     /* 2087101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2087112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2087115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2087118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2087124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087147 */     // MIs[0] round
     /* 2087147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087150 */     // MIs[0] policy
     /* 2087150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087160 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2087163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087189 */     // GIR_Coverage, 16306,
     /* 2087189 */     GIR_EraseRootFromParent_Done,
     /* 2087190 */   // Label 27676: @2087190
     /* 2087190 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2087284), // Rule ID 16307 //
     /* 2087195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2087206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2087209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2087212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2087218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087241 */     // MIs[0] round
     /* 2087241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087244 */     // MIs[0] policy
     /* 2087244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087254 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2087257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087283 */     // GIR_Coverage, 16307,
     /* 2087283 */     GIR_EraseRootFromParent_Done,
     /* 2087284 */   // Label 27677: @2087284
     /* 2087284 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2087378), // Rule ID 16310 //
     /* 2087289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2087300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2087303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2087306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2087312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087335 */     // MIs[0] round
     /* 2087335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087338 */     // MIs[0] policy
     /* 2087338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087348 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2087351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087377 */     // GIR_Coverage, 16310,
     /* 2087377 */     GIR_EraseRootFromParent_Done,
     /* 2087378 */   // Label 27678: @2087378
     /* 2087378 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2087472), // Rule ID 16311 //
     /* 2087383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2087394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2087397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2087400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2087406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087429 */     // MIs[0] round
     /* 2087429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087432 */     // MIs[0] policy
     /* 2087432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2087445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087471 */     // GIR_Coverage, 16311,
     /* 2087471 */     GIR_EraseRootFromParent_Done,
     /* 2087472 */   // Label 27679: @2087472
     /* 2087472 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2087566), // Rule ID 16314 //
     /* 2087477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087523 */     // MIs[0] round
     /* 2087523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087526 */     // MIs[0] policy
     /* 2087526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2087539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087565 */     // GIR_Coverage, 16314,
     /* 2087565 */     GIR_EraseRootFromParent_Done,
     /* 2087566 */   // Label 27680: @2087566
     /* 2087566 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2087660), // Rule ID 16315 //
     /* 2087571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087617 */     // MIs[0] round
     /* 2087617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087620 */     // MIs[0] policy
     /* 2087620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2087633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087659 */     // GIR_Coverage, 16315,
     /* 2087659 */     GIR_EraseRootFromParent_Done,
     /* 2087660 */   // Label 27681: @2087660
     /* 2087660 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2087754), // Rule ID 16318 //
     /* 2087665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087711 */     // MIs[0] round
     /* 2087711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087714 */     // MIs[0] policy
     /* 2087714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2087727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087753 */     // GIR_Coverage, 16318,
     /* 2087753 */     GIR_EraseRootFromParent_Done,
     /* 2087754 */   // Label 27682: @2087754
     /* 2087754 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2087848), // Rule ID 16319 //
     /* 2087759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087805 */     // MIs[0] round
     /* 2087805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087808 */     // MIs[0] policy
     /* 2087808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2087821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087847 */     // GIR_Coverage, 16319,
     /* 2087847 */     GIR_EraseRootFromParent_Done,
     /* 2087848 */   // Label 27683: @2087848
     /* 2087848 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2087942), // Rule ID 16322 //
     /* 2087853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087899 */     // MIs[0] round
     /* 2087899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087902 */     // MIs[0] policy
     /* 2087902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2087915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087941 */     // GIR_Coverage, 16322,
     /* 2087941 */     GIR_EraseRootFromParent_Done,
     /* 2087942 */   // Label 27684: @2087942
     /* 2087942 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2088036), // Rule ID 16323 //
     /* 2087947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2087955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087993 */     // MIs[0] round
     /* 2087993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087996 */     // MIs[0] policy
     /* 2087996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2088009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088035 */     // GIR_Coverage, 16323,
     /* 2088035 */     GIR_EraseRootFromParent_Done,
     /* 2088036 */   // Label 27685: @2088036
     /* 2088036 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2088130), // Rule ID 16326 //
     /* 2088041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2088052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2088055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2088058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088087 */     // MIs[0] round
     /* 2088087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088090 */     // MIs[0] policy
     /* 2088090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2088103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088129 */     // GIR_Coverage, 16326,
     /* 2088129 */     GIR_EraseRootFromParent_Done,
     /* 2088130 */   // Label 27686: @2088130
     /* 2088130 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2088224), // Rule ID 16327 //
     /* 2088135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2088146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2088149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2088152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088181 */     // MIs[0] round
     /* 2088181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088184 */     // MIs[0] policy
     /* 2088184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2088197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088223 */     // GIR_Coverage, 16327,
     /* 2088223 */     GIR_EraseRootFromParent_Done,
     /* 2088224 */   // Label 27687: @2088224
     /* 2088224 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2088318), // Rule ID 16330 //
     /* 2088229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2088240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2088243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2088246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088275 */     // MIs[0] round
     /* 2088275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088278 */     // MIs[0] policy
     /* 2088278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2088291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088317 */     // GIR_Coverage, 16330,
     /* 2088317 */     GIR_EraseRootFromParent_Done,
     /* 2088318 */   // Label 27688: @2088318
     /* 2088318 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2088412), // Rule ID 16331 //
     /* 2088323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2088334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2088337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2088340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088369 */     // MIs[0] round
     /* 2088369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088372 */     // MIs[0] policy
     /* 2088372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2088385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088411 */     // GIR_Coverage, 16331,
     /* 2088411 */     GIR_EraseRootFromParent_Done,
     /* 2088412 */   // Label 27689: @2088412
     /* 2088412 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2088506), // Rule ID 16334 //
     /* 2088417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2088428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2088431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088463 */     // MIs[0] round
     /* 2088463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088466 */     // MIs[0] policy
     /* 2088466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2088479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088505 */     // GIR_Coverage, 16334,
     /* 2088505 */     GIR_EraseRootFromParent_Done,
     /* 2088506 */   // Label 27690: @2088506
     /* 2088506 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2088600), // Rule ID 16335 //
     /* 2088511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2088522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2088525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088557 */     // MIs[0] round
     /* 2088557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088560 */     // MIs[0] policy
     /* 2088560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2088573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088599 */     // GIR_Coverage, 16335,
     /* 2088599 */     GIR_EraseRootFromParent_Done,
     /* 2088600 */   // Label 27691: @2088600
     /* 2088600 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2088694), // Rule ID 16338 //
     /* 2088605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2088622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088651 */     // MIs[0] round
     /* 2088651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088654 */     // MIs[0] policy
     /* 2088654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2088667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088693 */     // GIR_Coverage, 16338,
     /* 2088693 */     GIR_EraseRootFromParent_Done,
     /* 2088694 */   // Label 27692: @2088694
     /* 2088694 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2088788), // Rule ID 16339 //
     /* 2088699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2088716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088745 */     // MIs[0] round
     /* 2088745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088748 */     // MIs[0] policy
     /* 2088748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2088761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088787 */     // GIR_Coverage, 16339,
     /* 2088787 */     GIR_EraseRootFromParent_Done,
     /* 2088788 */   // Label 27693: @2088788
     /* 2088788 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2088882), // Rule ID 16342 //
     /* 2088793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2088810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088839 */     // MIs[0] round
     /* 2088839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088842 */     // MIs[0] policy
     /* 2088842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2088855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088881 */     // GIR_Coverage, 16342,
     /* 2088881 */     GIR_EraseRootFromParent_Done,
     /* 2088882 */   // Label 27694: @2088882
     /* 2088882 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2088976), // Rule ID 16343 //
     /* 2088887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2088904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088933 */     // MIs[0] round
     /* 2088933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088936 */     // MIs[0] policy
     /* 2088936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2088949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088975 */     // GIR_Coverage, 16343,
     /* 2088975 */     GIR_EraseRootFromParent_Done,
     /* 2088976 */   // Label 27695: @2088976
     /* 2088976 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2089070), // Rule ID 16346 //
     /* 2088981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2088989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2088998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089027 */     // MIs[0] round
     /* 2089027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089030 */     // MIs[0] policy
     /* 2089030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089040 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2089043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089069 */     // GIR_Coverage, 16346,
     /* 2089069 */     GIR_EraseRootFromParent_Done,
     /* 2089070 */   // Label 27696: @2089070
     /* 2089070 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2089164), // Rule ID 16347 //
     /* 2089075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2089078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2089083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2089086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2089089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2089092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2089117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089121 */     // MIs[0] round
     /* 2089121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089124 */     // MIs[0] policy
     /* 2089124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2089137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089163 */     // GIR_Coverage, 16347,
     /* 2089163 */     GIR_EraseRootFromParent_Done,
     /* 2089164 */   // Label 27697: @2089164
     /* 2089164 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2089258), // Rule ID 16410 //
     /* 2089169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2089180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2089183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2089189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089215 */     // MIs[0] round
     /* 2089215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089218 */     // MIs[0] policy
     /* 2089218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2089231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089257 */     // GIR_Coverage, 16410,
     /* 2089257 */     GIR_EraseRootFromParent_Done,
     /* 2089258 */   // Label 27698: @2089258
     /* 2089258 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2089352), // Rule ID 16411 //
     /* 2089263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2089274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2089277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2089283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089309 */     // MIs[0] round
     /* 2089309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089312 */     // MIs[0] policy
     /* 2089312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089322 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2089325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089351 */     // GIR_Coverage, 16411,
     /* 2089351 */     GIR_EraseRootFromParent_Done,
     /* 2089352 */   // Label 27699: @2089352
     /* 2089352 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2089446), // Rule ID 16414 //
     /* 2089357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2089368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2089371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2089374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2089377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089403 */     // MIs[0] round
     /* 2089403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089406 */     // MIs[0] policy
     /* 2089406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089416 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2089419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089445 */     // GIR_Coverage, 16414,
     /* 2089445 */     GIR_EraseRootFromParent_Done,
     /* 2089446 */   // Label 27700: @2089446
     /* 2089446 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2089540), // Rule ID 16415 //
     /* 2089451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2089462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2089465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2089468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2089471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089497 */     // MIs[0] round
     /* 2089497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089500 */     // MIs[0] policy
     /* 2089500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089510 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2089513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089539 */     // GIR_Coverage, 16415,
     /* 2089539 */     GIR_EraseRootFromParent_Done,
     /* 2089540 */   // Label 27701: @2089540
     /* 2089540 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2089634), // Rule ID 16418 //
     /* 2089545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2089556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2089559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2089562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2089565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089591 */     // MIs[0] round
     /* 2089591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089594 */     // MIs[0] policy
     /* 2089594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089604 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2089607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089633 */     // GIR_Coverage, 16418,
     /* 2089633 */     GIR_EraseRootFromParent_Done,
     /* 2089634 */   // Label 27702: @2089634
     /* 2089634 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2089728), // Rule ID 16419 //
     /* 2089639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2089650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2089653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2089656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2089659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089685 */     // MIs[0] round
     /* 2089685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089688 */     // MIs[0] policy
     /* 2089688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2089701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089727 */     // GIR_Coverage, 16419,
     /* 2089727 */     GIR_EraseRootFromParent_Done,
     /* 2089728 */   // Label 27703: @2089728
     /* 2089728 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2089822), // Rule ID 16422 //
     /* 2089733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2089744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2089747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2089753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089779 */     // MIs[0] round
     /* 2089779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089782 */     // MIs[0] policy
     /* 2089782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2089795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089821 */     // GIR_Coverage, 16422,
     /* 2089821 */     GIR_EraseRootFromParent_Done,
     /* 2089822 */   // Label 27704: @2089822
     /* 2089822 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2089916), // Rule ID 16423 //
     /* 2089827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2089838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2089841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2089847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089873 */     // MIs[0] round
     /* 2089873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089876 */     // MIs[0] policy
     /* 2089876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089886 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2089889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089915 */     // GIR_Coverage, 16423,
     /* 2089915 */     GIR_EraseRootFromParent_Done,
     /* 2089916 */   // Label 27705: @2089916
     /* 2089916 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2090010), // Rule ID 16426 //
     /* 2089921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2089929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2089932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2089935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2089938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2089941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089967 */     // MIs[0] round
     /* 2089967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089970 */     // MIs[0] policy
     /* 2089970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2089983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090009 */     // GIR_Coverage, 16426,
     /* 2090009 */     GIR_EraseRootFromParent_Done,
     /* 2090010 */   // Label 27706: @2090010
     /* 2090010 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2090104), // Rule ID 16427 //
     /* 2090015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2090026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2090029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2090032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2090035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090061 */     // MIs[0] round
     /* 2090061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090064 */     // MIs[0] policy
     /* 2090064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090074 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2090077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090103 */     // GIR_Coverage, 16427,
     /* 2090103 */     GIR_EraseRootFromParent_Done,
     /* 2090104 */   // Label 27707: @2090104
     /* 2090104 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2090198), // Rule ID 16430 //
     /* 2090109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2090120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2090123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2090126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2090129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2090132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090155 */     // MIs[0] round
     /* 2090155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090158 */     // MIs[0] policy
     /* 2090158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090168 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2090171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090197 */     // GIR_Coverage, 16430,
     /* 2090197 */     GIR_EraseRootFromParent_Done,
     /* 2090198 */   // Label 27708: @2090198
     /* 2090198 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2090292), // Rule ID 16431 //
     /* 2090203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2090214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2090217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2090220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2090223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2090226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090249 */     // MIs[0] round
     /* 2090249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090252 */     // MIs[0] policy
     /* 2090252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2090265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090291 */     // GIR_Coverage, 16431,
     /* 2090291 */     GIR_EraseRootFromParent_Done,
     /* 2090292 */   // Label 27709: @2090292
     /* 2090292 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2090386), // Rule ID 16434 //
     /* 2090297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090343 */     // MIs[0] round
     /* 2090343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090346 */     // MIs[0] policy
     /* 2090346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2090359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090385 */     // GIR_Coverage, 16434,
     /* 2090385 */     GIR_EraseRootFromParent_Done,
     /* 2090386 */   // Label 27710: @2090386
     /* 2090386 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2090480), // Rule ID 16435 //
     /* 2090391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2090402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2090405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2090411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090437 */     // MIs[0] round
     /* 2090437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090440 */     // MIs[0] policy
     /* 2090440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2090453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090479 */     // GIR_Coverage, 16435,
     /* 2090479 */     GIR_EraseRootFromParent_Done,
     /* 2090480 */   // Label 27711: @2090480
     /* 2090480 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2090574), // Rule ID 16438 //
     /* 2090485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2090502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090531 */     // MIs[0] round
     /* 2090531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090534 */     // MIs[0] policy
     /* 2090534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2090547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090573 */     // GIR_Coverage, 16438,
     /* 2090573 */     GIR_EraseRootFromParent_Done,
     /* 2090574 */   // Label 27712: @2090574
     /* 2090574 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2090668), // Rule ID 16439 //
     /* 2090579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2090596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090625 */     // MIs[0] round
     /* 2090625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090628 */     // MIs[0] policy
     /* 2090628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2090641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090667 */     // GIR_Coverage, 16439,
     /* 2090667 */     GIR_EraseRootFromParent_Done,
     /* 2090668 */   // Label 27713: @2090668
     /* 2090668 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2090762), // Rule ID 16442 //
     /* 2090673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090719 */     // MIs[0] round
     /* 2090719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090722 */     // MIs[0] policy
     /* 2090722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2090735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090761 */     // GIR_Coverage, 16442,
     /* 2090761 */     GIR_EraseRootFromParent_Done,
     /* 2090762 */   // Label 27714: @2090762
     /* 2090762 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2090856), // Rule ID 16443 //
     /* 2090767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090813 */     // MIs[0] round
     /* 2090813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090816 */     // MIs[0] policy
     /* 2090816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090826 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2090829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090855 */     // GIR_Coverage, 16443,
     /* 2090855 */     GIR_EraseRootFromParent_Done,
     /* 2090856 */   // Label 27715: @2090856
     /* 2090856 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2090950), // Rule ID 16446 //
     /* 2090861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2090881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090907 */     // MIs[0] round
     /* 2090907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090910 */     // MIs[0] policy
     /* 2090910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2090923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2090948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090949 */     // GIR_Coverage, 16446,
     /* 2090949 */     GIR_EraseRootFromParent_Done,
     /* 2090950 */   // Label 27716: @2090950
     /* 2090950 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2091044), // Rule ID 16447 //
     /* 2090955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2090963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2090975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091001 */     // MIs[0] round
     /* 2091001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091004 */     // MIs[0] policy
     /* 2091004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2091017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091043 */     // GIR_Coverage, 16447,
     /* 2091043 */     GIR_EraseRootFromParent_Done,
     /* 2091044 */   // Label 27717: @2091044
     /* 2091044 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2091138), // Rule ID 16450 //
     /* 2091049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091095 */     // MIs[0] round
     /* 2091095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091098 */     // MIs[0] policy
     /* 2091098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2091111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091137 */     // GIR_Coverage, 16450,
     /* 2091137 */     GIR_EraseRootFromParent_Done,
     /* 2091138 */   // Label 27718: @2091138
     /* 2091138 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2091232), // Rule ID 16451 //
     /* 2091143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091189 */     // MIs[0] round
     /* 2091189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091192 */     // MIs[0] policy
     /* 2091192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2091205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091231 */     // GIR_Coverage, 16451,
     /* 2091231 */     GIR_EraseRootFromParent_Done,
     /* 2091232 */   // Label 27719: @2091232
     /* 2091232 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2091326), // Rule ID 16454 //
     /* 2091237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2091240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2091257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091283 */     // MIs[0] round
     /* 2091283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091286 */     // MIs[0] policy
     /* 2091286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2091299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091325 */     // GIR_Coverage, 16454,
     /* 2091325 */     GIR_EraseRootFromParent_Done,
     /* 2091326 */   // Label 27720: @2091326
     /* 2091326 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2091420), // Rule ID 16455 //
     /* 2091331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2091334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2091348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2091351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091377 */     // MIs[0] round
     /* 2091377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091380 */     // MIs[0] policy
     /* 2091380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2091393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091419 */     // GIR_Coverage, 16455,
     /* 2091419 */     GIR_EraseRootFromParent_Done,
     /* 2091420 */   // Label 27721: @2091420
     /* 2091420 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2091514), // Rule ID 16458 //
     /* 2091425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2091428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2091442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091471 */     // MIs[0] round
     /* 2091471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091474 */     // MIs[0] policy
     /* 2091474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2091487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091513 */     // GIR_Coverage, 16458,
     /* 2091513 */     GIR_EraseRootFromParent_Done,
     /* 2091514 */   // Label 27722: @2091514
     /* 2091514 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2091608), // Rule ID 16459 //
     /* 2091519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2091522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2091536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2091539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091565 */     // MIs[0] round
     /* 2091565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091568 */     // MIs[0] policy
     /* 2091568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2091581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091607 */     // GIR_Coverage, 16459,
     /* 2091607 */     GIR_EraseRootFromParent_Done,
     /* 2091608 */   // Label 27723: @2091608
     /* 2091608 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2091702), // Rule ID 16462 //
     /* 2091613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2091616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2091630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2091633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091659 */     // MIs[0] round
     /* 2091659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091662 */     // MIs[0] policy
     /* 2091662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2091675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091701 */     // GIR_Coverage, 16462,
     /* 2091701 */     GIR_EraseRootFromParent_Done,
     /* 2091702 */   // Label 27724: @2091702
     /* 2091702 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2091796), // Rule ID 16463 //
     /* 2091707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2091710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2091724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2091727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091753 */     // MIs[0] round
     /* 2091753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091756 */     // MIs[0] policy
     /* 2091756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2091769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091795 */     // GIR_Coverage, 16463,
     /* 2091795 */     GIR_EraseRootFromParent_Done,
     /* 2091796 */   // Label 27725: @2091796
     /* 2091796 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2091890), // Rule ID 16466 //
     /* 2091801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2091804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2091818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2091821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091847 */     // MIs[0] round
     /* 2091847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091850 */     // MIs[0] policy
     /* 2091850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2091863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091889 */     // GIR_Coverage, 16466,
     /* 2091889 */     GIR_EraseRootFromParent_Done,
     /* 2091890 */   // Label 27726: @2091890
     /* 2091890 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2091984), // Rule ID 16467 //
     /* 2091895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2091898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2091912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2091915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091941 */     // MIs[0] round
     /* 2091941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091944 */     // MIs[0] policy
     /* 2091944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2091957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2091982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091983 */     // GIR_Coverage, 16467,
     /* 2091983 */     GIR_EraseRootFromParent_Done,
     /* 2091984 */   // Label 27727: @2091984
     /* 2091984 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2092078), // Rule ID 16470 //
     /* 2091989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2091997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2092000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2092003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2092006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092035 */     // MIs[0] round
     /* 2092035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092038 */     // MIs[0] policy
     /* 2092038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092048 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2092051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092077 */     // GIR_Coverage, 16470,
     /* 2092077 */     GIR_EraseRootFromParent_Done,
     /* 2092078 */   // Label 27728: @2092078
     /* 2092078 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2092172), // Rule ID 16471 //
     /* 2092083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2092094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2092097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2092100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092129 */     // MIs[0] round
     /* 2092129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092132 */     // MIs[0] policy
     /* 2092132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2092145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092171 */     // GIR_Coverage, 16471,
     /* 2092171 */     GIR_EraseRootFromParent_Done,
     /* 2092172 */   // Label 27729: @2092172
     /* 2092172 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2092266), // Rule ID 16474 //
     /* 2092177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2092188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2092191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2092194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092223 */     // MIs[0] round
     /* 2092223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092226 */     // MIs[0] policy
     /* 2092226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092236 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2092239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092265 */     // GIR_Coverage, 16474,
     /* 2092265 */     GIR_EraseRootFromParent_Done,
     /* 2092266 */   // Label 27730: @2092266
     /* 2092266 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2092360), // Rule ID 16475 //
     /* 2092271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2092282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2092285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2092288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092317 */     // MIs[0] round
     /* 2092317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092320 */     // MIs[0] policy
     /* 2092320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2092333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092359 */     // GIR_Coverage, 16475,
     /* 2092359 */     GIR_EraseRootFromParent_Done,
     /* 2092360 */   // Label 27731: @2092360
     /* 2092360 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2092454), // Rule ID 16478 //
     /* 2092365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2092376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2092379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092411 */     // MIs[0] round
     /* 2092411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092414 */     // MIs[0] policy
     /* 2092414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2092427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092453 */     // GIR_Coverage, 16478,
     /* 2092453 */     GIR_EraseRootFromParent_Done,
     /* 2092454 */   // Label 27732: @2092454
     /* 2092454 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2092548), // Rule ID 16479 //
     /* 2092459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2092470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2092473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092505 */     // MIs[0] round
     /* 2092505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092508 */     // MIs[0] policy
     /* 2092508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2092521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092547 */     // GIR_Coverage, 16479,
     /* 2092547 */     GIR_EraseRootFromParent_Done,
     /* 2092548 */   // Label 27733: @2092548
     /* 2092548 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2092642), // Rule ID 16482 //
     /* 2092553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2092564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2092567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2092570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092599 */     // MIs[0] round
     /* 2092599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092602 */     // MIs[0] policy
     /* 2092602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2092615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092641 */     // GIR_Coverage, 16482,
     /* 2092641 */     GIR_EraseRootFromParent_Done,
     /* 2092642 */   // Label 27734: @2092642
     /* 2092642 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2092736), // Rule ID 16483 //
     /* 2092647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2092658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2092661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2092664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092693 */     // MIs[0] round
     /* 2092693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092696 */     // MIs[0] policy
     /* 2092696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092706 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2092709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092735 */     // GIR_Coverage, 16483,
     /* 2092735 */     GIR_EraseRootFromParent_Done,
     /* 2092736 */   // Label 27735: @2092736
     /* 2092736 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2092830), // Rule ID 16486 //
     /* 2092741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2092752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2092755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2092758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092787 */     // MIs[0] round
     /* 2092787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092790 */     // MIs[0] policy
     /* 2092790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092800 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2092803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092829 */     // GIR_Coverage, 16486,
     /* 2092829 */     GIR_EraseRootFromParent_Done,
     /* 2092830 */   // Label 27736: @2092830
     /* 2092830 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2092924), // Rule ID 16487 //
     /* 2092835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2092846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2092849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2092852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092881 */     // MIs[0] round
     /* 2092881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092884 */     // MIs[0] policy
     /* 2092884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092894 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2092897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092923 */     // GIR_Coverage, 16487,
     /* 2092923 */     GIR_EraseRootFromParent_Done,
     /* 2092924 */   // Label 27737: @2092924
     /* 2092924 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2093018), // Rule ID 16490 //
     /* 2092929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2092937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2092940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2092943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2092946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092975 */     // MIs[0] round
     /* 2092975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092978 */     // MIs[0] policy
     /* 2092978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092988 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2092991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093017 */     // GIR_Coverage, 16490,
     /* 2093017 */     GIR_EraseRootFromParent_Done,
     /* 2093018 */   // Label 27738: @2093018
     /* 2093018 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2093112), // Rule ID 16491 //
     /* 2093023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2093034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2093037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093069 */     // MIs[0] round
     /* 2093069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093072 */     // MIs[0] policy
     /* 2093072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2093085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093111 */     // GIR_Coverage, 16491,
     /* 2093111 */     GIR_EraseRootFromParent_Done,
     /* 2093112 */   // Label 27739: @2093112
     /* 2093112 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2093206), // Rule ID 16494 //
     /* 2093117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093163 */     // MIs[0] round
     /* 2093163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093166 */     // MIs[0] policy
     /* 2093166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2093179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093205 */     // GIR_Coverage, 16494,
     /* 2093205 */     GIR_EraseRootFromParent_Done,
     /* 2093206 */   // Label 27740: @2093206
     /* 2093206 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2093300), // Rule ID 16495 //
     /* 2093211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093257 */     // MIs[0] round
     /* 2093257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093260 */     // MIs[0] policy
     /* 2093260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2093273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093299 */     // GIR_Coverage, 16495,
     /* 2093299 */     GIR_EraseRootFromParent_Done,
     /* 2093300 */   // Label 27741: @2093300
     /* 2093300 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2093394), // Rule ID 16498 //
     /* 2093305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093351 */     // MIs[0] round
     /* 2093351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093354 */     // MIs[0] policy
     /* 2093354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2093367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093393 */     // GIR_Coverage, 16498,
     /* 2093393 */     GIR_EraseRootFromParent_Done,
     /* 2093394 */   // Label 27742: @2093394
     /* 2093394 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2093488), // Rule ID 16499 //
     /* 2093399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2093410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2093413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093445 */     // MIs[0] round
     /* 2093445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093448 */     // MIs[0] policy
     /* 2093448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093458 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2093461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093487 */     // GIR_Coverage, 16499,
     /* 2093487 */     GIR_EraseRootFromParent_Done,
     /* 2093488 */   // Label 27743: @2093488
     /* 2093488 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2093582), // Rule ID 16502 //
     /* 2093493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093539 */     // MIs[0] round
     /* 2093539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093542 */     // MIs[0] policy
     /* 2093542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2093555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093581 */     // GIR_Coverage, 16502,
     /* 2093581 */     GIR_EraseRootFromParent_Done,
     /* 2093582 */   // Label 27744: @2093582
     /* 2093582 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2093676), // Rule ID 16503 //
     /* 2093587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093633 */     // MIs[0] round
     /* 2093633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093636 */     // MIs[0] policy
     /* 2093636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2093649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093675 */     // GIR_Coverage, 16503,
     /* 2093675 */     GIR_EraseRootFromParent_Done,
     /* 2093676 */   // Label 27745: @2093676
     /* 2093676 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2093770), // Rule ID 16506 //
     /* 2093681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2093692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2093695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093727 */     // MIs[0] round
     /* 2093727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093730 */     // MIs[0] policy
     /* 2093730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2093743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093769 */     // GIR_Coverage, 16506,
     /* 2093769 */     GIR_EraseRootFromParent_Done,
     /* 2093770 */   // Label 27746: @2093770
     /* 2093770 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2093864), // Rule ID 16507 //
     /* 2093775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2093786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2093789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093821 */     // MIs[0] round
     /* 2093821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093824 */     // MIs[0] policy
     /* 2093824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2093837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093863 */     // GIR_Coverage, 16507,
     /* 2093863 */     GIR_EraseRootFromParent_Done,
     /* 2093864 */   // Label 27747: @2093864
     /* 2093864 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2093958), // Rule ID 16510 //
     /* 2093869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093915 */     // MIs[0] round
     /* 2093915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093918 */     // MIs[0] policy
     /* 2093918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2093931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093957 */     // GIR_Coverage, 16510,
     /* 2093957 */     GIR_EraseRootFromParent_Done,
     /* 2093958 */   // Label 27748: @2093958
     /* 2093958 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2094052), // Rule ID 16511 //
     /* 2093963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2093971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094009 */     // MIs[0] round
     /* 2094009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094012 */     // MIs[0] policy
     /* 2094012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2094025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094051 */     // GIR_Coverage, 16511,
     /* 2094051 */     GIR_EraseRootFromParent_Done,
     /* 2094052 */   // Label 27749: @2094052
     /* 2094052 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2094146), // Rule ID 16514 //
     /* 2094057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2094060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2094068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2094071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2094074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094103 */     // MIs[0] round
     /* 2094103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094106 */     // MIs[0] policy
     /* 2094106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2094119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094145 */     // GIR_Coverage, 16514,
     /* 2094145 */     GIR_EraseRootFromParent_Done,
     /* 2094146 */   // Label 27750: @2094146
     /* 2094146 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2094240), // Rule ID 16515 //
     /* 2094151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2094154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2094162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2094165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2094168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094197 */     // MIs[0] round
     /* 2094197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094200 */     // MIs[0] policy
     /* 2094200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2094213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094239 */     // GIR_Coverage, 16515,
     /* 2094239 */     GIR_EraseRootFromParent_Done,
     /* 2094240 */   // Label 27751: @2094240
     /* 2094240 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2094334), // Rule ID 16518 //
     /* 2094245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2094248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2094256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2094259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2094262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094291 */     // MIs[0] round
     /* 2094291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094294 */     // MIs[0] policy
     /* 2094294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2094307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094333 */     // GIR_Coverage, 16518,
     /* 2094333 */     GIR_EraseRootFromParent_Done,
     /* 2094334 */   // Label 27752: @2094334
     /* 2094334 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2094428), // Rule ID 16519 //
     /* 2094339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2094342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2094350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2094353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2094356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094385 */     // MIs[0] round
     /* 2094385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094388 */     // MIs[0] policy
     /* 2094388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2094401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094427 */     // GIR_Coverage, 16519,
     /* 2094427 */     GIR_EraseRootFromParent_Done,
     /* 2094428 */   // Label 27753: @2094428
     /* 2094428 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2094522), // Rule ID 16522 //
     /* 2094433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2094436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094479 */     // MIs[0] round
     /* 2094479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094482 */     // MIs[0] policy
     /* 2094482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2094495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094521 */     // GIR_Coverage, 16522,
     /* 2094521 */     GIR_EraseRootFromParent_Done,
     /* 2094522 */   // Label 27754: @2094522
     /* 2094522 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2094616), // Rule ID 16523 //
     /* 2094527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2094530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094573 */     // MIs[0] round
     /* 2094573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094576 */     // MIs[0] policy
     /* 2094576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2094589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094615 */     // GIR_Coverage, 16523,
     /* 2094615 */     GIR_EraseRootFromParent_Done,
     /* 2094616 */   // Label 27755: @2094616
     /* 2094616 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2094710), // Rule ID 16526 //
     /* 2094621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2094624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2094638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094667 */     // MIs[0] round
     /* 2094667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094670 */     // MIs[0] policy
     /* 2094670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2094683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094709 */     // GIR_Coverage, 16526,
     /* 2094709 */     GIR_EraseRootFromParent_Done,
     /* 2094710 */   // Label 27756: @2094710
     /* 2094710 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2094804), // Rule ID 16527 //
     /* 2094715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2094718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2094723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2094732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094761 */     // MIs[0] round
     /* 2094761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094764 */     // MIs[0] policy
     /* 2094764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2094777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094803 */     // GIR_Coverage, 16527,
     /* 2094803 */     GIR_EraseRootFromParent_Done,
     /* 2094804 */   // Label 27757: @2094804
     /* 2094804 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2094895), // Rule ID 16590 //
     /* 2094809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2094820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2094823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2094826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2094829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094855 */     // MIs[0] round
     /* 2094855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094858 */     // MIs[0] policy
     /* 2094858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094868 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2094871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094894 */     // GIR_Coverage, 16590,
     /* 2094894 */     GIR_EraseRootFromParent_Done,
     /* 2094895 */   // Label 27758: @2094895
     /* 2094895 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2094986), // Rule ID 16591 //
     /* 2094900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2094911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2094914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2094917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2094920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094946 */     // MIs[0] round
     /* 2094946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094949 */     // MIs[0] policy
     /* 2094949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094959 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2094962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094985 */     // GIR_Coverage, 16591,
     /* 2094985 */     GIR_EraseRootFromParent_Done,
     /* 2094986 */   // Label 27759: @2094986
     /* 2094986 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2095077), // Rule ID 16594 //
     /* 2094991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2095011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095037 */     // MIs[0] round
     /* 2095037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095040 */     // MIs[0] policy
     /* 2095040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095050 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2095053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095076 */     // GIR_Coverage, 16594,
     /* 2095076 */     GIR_EraseRootFromParent_Done,
     /* 2095077 */   // Label 27760: @2095077
     /* 2095077 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2095168), // Rule ID 16595 //
     /* 2095082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2095102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095128 */     // MIs[0] round
     /* 2095128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095131 */     // MIs[0] policy
     /* 2095131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095141 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2095144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095167 */     // GIR_Coverage, 16595,
     /* 2095167 */     GIR_EraseRootFromParent_Done,
     /* 2095168 */   // Label 27761: @2095168
     /* 2095168 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2095259), // Rule ID 16598 //
     /* 2095173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2095190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2095193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095219 */     // MIs[0] round
     /* 2095219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095222 */     // MIs[0] policy
     /* 2095222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2095235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095258 */     // GIR_Coverage, 16598,
     /* 2095258 */     GIR_EraseRootFromParent_Done,
     /* 2095259 */   // Label 27762: @2095259
     /* 2095259 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2095350), // Rule ID 16599 //
     /* 2095264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2095281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2095284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095310 */     // MIs[0] round
     /* 2095310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095313 */     // MIs[0] policy
     /* 2095313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095323 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2095326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095349 */     // GIR_Coverage, 16599,
     /* 2095349 */     GIR_EraseRootFromParent_Done,
     /* 2095350 */   // Label 27763: @2095350
     /* 2095350 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2095441), // Rule ID 16602 //
     /* 2095355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2095375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095401 */     // MIs[0] round
     /* 2095401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095404 */     // MIs[0] policy
     /* 2095404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095414 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2095417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095440 */     // GIR_Coverage, 16602,
     /* 2095440 */     GIR_EraseRootFromParent_Done,
     /* 2095441 */   // Label 27764: @2095441
     /* 2095441 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2095532), // Rule ID 16603 //
     /* 2095446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2095466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095492 */     // MIs[0] round
     /* 2095492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095495 */     // MIs[0] policy
     /* 2095495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095505 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2095508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095531 */     // GIR_Coverage, 16603,
     /* 2095531 */     GIR_EraseRootFromParent_Done,
     /* 2095532 */   // Label 27765: @2095532
     /* 2095532 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2095623), // Rule ID 16606 //
     /* 2095537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2095557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095583 */     // MIs[0] round
     /* 2095583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095586 */     // MIs[0] policy
     /* 2095586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2095599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095622 */     // GIR_Coverage, 16606,
     /* 2095622 */     GIR_EraseRootFromParent_Done,
     /* 2095623 */   // Label 27766: @2095623
     /* 2095623 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2095714), // Rule ID 16607 //
     /* 2095628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2095648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095674 */     // MIs[0] round
     /* 2095674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095677 */     // MIs[0] policy
     /* 2095677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095687 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2095690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095713 */     // GIR_Coverage, 16607,
     /* 2095713 */     GIR_EraseRootFromParent_Done,
     /* 2095714 */   // Label 27767: @2095714
     /* 2095714 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2095805), // Rule ID 16610 //
     /* 2095719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2095730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2095733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2095739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095765 */     // MIs[0] round
     /* 2095765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095768 */     // MIs[0] policy
     /* 2095768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095778 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2095781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095804 */     // GIR_Coverage, 16610,
     /* 2095804 */     GIR_EraseRootFromParent_Done,
     /* 2095805 */   // Label 27768: @2095805
     /* 2095805 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2095896), // Rule ID 16611 //
     /* 2095810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2095821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2095824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2095830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095856 */     // MIs[0] round
     /* 2095856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095859 */     // MIs[0] policy
     /* 2095859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095869 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2095872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095895 */     // GIR_Coverage, 16611,
     /* 2095895 */     GIR_EraseRootFromParent_Done,
     /* 2095896 */   // Label 27769: @2095896
     /* 2095896 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2095987), // Rule ID 16614 //
     /* 2095901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2095909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2095912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2095915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2095918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2095921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095947 */     // MIs[0] round
     /* 2095947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095950 */     // MIs[0] policy
     /* 2095950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095960 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2095963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095986 */     // GIR_Coverage, 16614,
     /* 2095986 */     GIR_EraseRootFromParent_Done,
     /* 2095987 */   // Label 27770: @2095987
     /* 2095987 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2096078), // Rule ID 16615 //
     /* 2095992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2096012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096038 */     // MIs[0] round
     /* 2096038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096041 */     // MIs[0] policy
     /* 2096041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096051 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2096054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096077 */     // GIR_Coverage, 16615,
     /* 2096077 */     GIR_EraseRootFromParent_Done,
     /* 2096078 */   // Label 27771: @2096078
     /* 2096078 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2096169), // Rule ID 16618 //
     /* 2096083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2096100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2096103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096129 */     // MIs[0] round
     /* 2096129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096132 */     // MIs[0] policy
     /* 2096132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096142 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2096145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096168 */     // GIR_Coverage, 16618,
     /* 2096168 */     GIR_EraseRootFromParent_Done,
     /* 2096169 */   // Label 27772: @2096169
     /* 2096169 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2096260), // Rule ID 16619 //
     /* 2096174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2096191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2096194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096220 */     // MIs[0] round
     /* 2096220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096223 */     // MIs[0] policy
     /* 2096223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096233 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2096236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096259 */     // GIR_Coverage, 16619,
     /* 2096259 */     GIR_EraseRootFromParent_Done,
     /* 2096260 */   // Label 27773: @2096260
     /* 2096260 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2096351), // Rule ID 16622 //
     /* 2096265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2096276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2096279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2096282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2096285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2096288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096311 */     // MIs[0] round
     /* 2096311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096314 */     // MIs[0] policy
     /* 2096314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096324 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2096327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096350 */     // GIR_Coverage, 16622,
     /* 2096350 */     GIR_EraseRootFromParent_Done,
     /* 2096351 */   // Label 27774: @2096351
     /* 2096351 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2096442), // Rule ID 16623 //
     /* 2096356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2096367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2096370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2096373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2096376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2096379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096402 */     // MIs[0] round
     /* 2096402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096405 */     // MIs[0] policy
     /* 2096405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096415 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2096418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096441 */     // GIR_Coverage, 16623,
     /* 2096441 */     GIR_EraseRootFromParent_Done,
     /* 2096442 */   // Label 27775: @2096442
     /* 2096442 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2096533), // Rule ID 16626 //
     /* 2096447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2096467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096493 */     // MIs[0] round
     /* 2096493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096496 */     // MIs[0] policy
     /* 2096496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096506 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2096509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096532 */     // GIR_Coverage, 16626,
     /* 2096532 */     GIR_EraseRootFromParent_Done,
     /* 2096533 */   // Label 27776: @2096533
     /* 2096533 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2096624), // Rule ID 16627 //
     /* 2096538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2096558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096584 */     // MIs[0] round
     /* 2096584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096587 */     // MIs[0] policy
     /* 2096587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096597 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2096600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096623 */     // GIR_Coverage, 16627,
     /* 2096623 */     GIR_EraseRootFromParent_Done,
     /* 2096624 */   // Label 27777: @2096624
     /* 2096624 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2096715), // Rule ID 16630 //
     /* 2096629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2096646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2096649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096675 */     // MIs[0] round
     /* 2096675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096678 */     // MIs[0] policy
     /* 2096678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096688 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2096691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096714 */     // GIR_Coverage, 16630,
     /* 2096714 */     GIR_EraseRootFromParent_Done,
     /* 2096715 */   // Label 27778: @2096715
     /* 2096715 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2096806), // Rule ID 16631 //
     /* 2096720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2096737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2096740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096766 */     // MIs[0] round
     /* 2096766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096769 */     // MIs[0] policy
     /* 2096769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096779 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2096782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096805 */     // GIR_Coverage, 16631,
     /* 2096805 */     GIR_EraseRootFromParent_Done,
     /* 2096806 */   // Label 27779: @2096806
     /* 2096806 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2096897), // Rule ID 16634 //
     /* 2096811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2096822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2096825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2096831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096857 */     // MIs[0] round
     /* 2096857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096860 */     // MIs[0] policy
     /* 2096860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096870 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2096873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096896 */     // GIR_Coverage, 16634,
     /* 2096896 */     GIR_EraseRootFromParent_Done,
     /* 2096897 */   // Label 27780: @2096897
     /* 2096897 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2096988), // Rule ID 16635 //
     /* 2096902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2096910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2096913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2096916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2096922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096948 */     // MIs[0] round
     /* 2096948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096951 */     // MIs[0] policy
     /* 2096951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096961 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2096964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096987 */     // GIR_Coverage, 16635,
     /* 2096987 */     GIR_EraseRootFromParent_Done,
     /* 2096988 */   // Label 27781: @2096988
     /* 2096988 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2097079), // Rule ID 16638 //
     /* 2096993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2096996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2097004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2097007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2097013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097039 */     // MIs[0] round
     /* 2097039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097042 */     // MIs[0] policy
     /* 2097042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2097055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097078 */     // GIR_Coverage, 16638,
     /* 2097078 */     GIR_EraseRootFromParent_Done,
     /* 2097079 */   // Label 27782: @2097079
     /* 2097079 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2097170), // Rule ID 16639 //
     /* 2097084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2097095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2097098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2097104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097130 */     // MIs[0] round
     /* 2097130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097133 */     // MIs[0] policy
     /* 2097133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097143 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2097146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097169 */     // GIR_Coverage, 16639,
     /* 2097169 */     GIR_EraseRootFromParent_Done,
     /* 2097170 */   // Label 27783: @2097170
     /* 2097170 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2097261), // Rule ID 16642 //
     /* 2097175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2097186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2097189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2097192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2097195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097221 */     // MIs[0] round
     /* 2097221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097224 */     // MIs[0] policy
     /* 2097224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2097237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097260 */     // GIR_Coverage, 16642,
     /* 2097260 */     GIR_EraseRootFromParent_Done,
     /* 2097261 */   // Label 27784: @2097261
     /* 2097261 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2097352), // Rule ID 16643 //
     /* 2097266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2097277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2097280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2097283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2097286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097312 */     // MIs[0] round
     /* 2097312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097315 */     // MIs[0] policy
     /* 2097315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097325 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2097328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097351 */     // GIR_Coverage, 16643,
     /* 2097351 */     GIR_EraseRootFromParent_Done,
     /* 2097352 */   // Label 27785: @2097352
     /* 2097352 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2097443), // Rule ID 16646 //
     /* 2097357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2097368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2097371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2097377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097403 */     // MIs[0] round
     /* 2097403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097406 */     // MIs[0] policy
     /* 2097406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2097419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097442 */     // GIR_Coverage, 16646,
     /* 2097442 */     GIR_EraseRootFromParent_Done,
     /* 2097443 */   // Label 27786: @2097443
     /* 2097443 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2097534), // Rule ID 16647 //
     /* 2097448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2097459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2097462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2097468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097494 */     // MIs[0] round
     /* 2097494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097497 */     // MIs[0] policy
     /* 2097497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097507 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2097510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097533 */     // GIR_Coverage, 16647,
     /* 2097533 */     GIR_EraseRootFromParent_Done,
     /* 2097534 */   // Label 27787: @2097534
     /* 2097534 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2097625), // Rule ID 16650 //
     /* 2097539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097585 */     // MIs[0] round
     /* 2097585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097588 */     // MIs[0] policy
     /* 2097588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097598 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2097601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097624 */     // GIR_Coverage, 16650,
     /* 2097624 */     GIR_EraseRootFromParent_Done,
     /* 2097625 */   // Label 27788: @2097625
     /* 2097625 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2097716), // Rule ID 16651 //
     /* 2097630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097676 */     // MIs[0] round
     /* 2097676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097679 */     // MIs[0] policy
     /* 2097679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097689 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2097692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097715 */     // GIR_Coverage, 16651,
     /* 2097715 */     GIR_EraseRootFromParent_Done,
     /* 2097716 */   // Label 27789: @2097716
     /* 2097716 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2097807), // Rule ID 16654 //
     /* 2097721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2097738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097767 */     // MIs[0] round
     /* 2097767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097770 */     // MIs[0] policy
     /* 2097770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097780 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2097783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097806 */     // GIR_Coverage, 16654,
     /* 2097806 */     GIR_EraseRootFromParent_Done,
     /* 2097807 */   // Label 27790: @2097807
     /* 2097807 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2097898), // Rule ID 16655 //
     /* 2097812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2097829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097858 */     // MIs[0] round
     /* 2097858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097861 */     // MIs[0] policy
     /* 2097861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097871 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2097874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097897 */     // GIR_Coverage, 16655,
     /* 2097897 */     GIR_EraseRootFromParent_Done,
     /* 2097898 */   // Label 27791: @2097898
     /* 2097898 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2097989), // Rule ID 16658 //
     /* 2097903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2097911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097949 */     // MIs[0] round
     /* 2097949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097952 */     // MIs[0] policy
     /* 2097952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097962 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2097965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097988 */     // GIR_Coverage, 16658,
     /* 2097988 */     GIR_EraseRootFromParent_Done,
     /* 2097989 */   // Label 27792: @2097989
     /* 2097989 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2098080), // Rule ID 16659 //
     /* 2097994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098040 */     // MIs[0] round
     /* 2098040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098043 */     // MIs[0] policy
     /* 2098043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098053 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2098056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098079 */     // GIR_Coverage, 16659,
     /* 2098079 */     GIR_EraseRootFromParent_Done,
     /* 2098080 */   // Label 27793: @2098080
     /* 2098080 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2098171), // Rule ID 16662 //
     /* 2098085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2098096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2098099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2098102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098131 */     // MIs[0] round
     /* 2098131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098134 */     // MIs[0] policy
     /* 2098134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2098147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098170 */     // GIR_Coverage, 16662,
     /* 2098170 */     GIR_EraseRootFromParent_Done,
     /* 2098171 */   // Label 27794: @2098171
     /* 2098171 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2098262), // Rule ID 16663 //
     /* 2098176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2098187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2098190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2098193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098222 */     // MIs[0] round
     /* 2098222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098225 */     // MIs[0] policy
     /* 2098225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098235 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2098238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098261 */     // GIR_Coverage, 16663,
     /* 2098261 */     GIR_EraseRootFromParent_Done,
     /* 2098262 */   // Label 27795: @2098262
     /* 2098262 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2098353), // Rule ID 16666 //
     /* 2098267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2098284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098313 */     // MIs[0] round
     /* 2098313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098316 */     // MIs[0] policy
     /* 2098316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098326 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2098329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098352 */     // GIR_Coverage, 16666,
     /* 2098352 */     GIR_EraseRootFromParent_Done,
     /* 2098353 */   // Label 27796: @2098353
     /* 2098353 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2098444), // Rule ID 16667 //
     /* 2098358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2098375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098404 */     // MIs[0] round
     /* 2098404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098407 */     // MIs[0] policy
     /* 2098407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098417 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2098420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098443 */     // GIR_Coverage, 16667,
     /* 2098443 */     GIR_EraseRootFromParent_Done,
     /* 2098444 */   // Label 27797: @2098444
     /* 2098444 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2098535), // Rule ID 16670 //
     /* 2098449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2098460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2098463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2098491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098495 */     // MIs[0] round
     /* 2098495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098498 */     // MIs[0] policy
     /* 2098498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2098511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098534 */     // GIR_Coverage, 16670,
     /* 2098534 */     GIR_EraseRootFromParent_Done,
     /* 2098535 */   // Label 27798: @2098535
     /* 2098535 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2098626), // Rule ID 16671 //
     /* 2098540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2098551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2098554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2098582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098586 */     // MIs[0] round
     /* 2098586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098589 */     // MIs[0] policy
     /* 2098589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098599 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2098602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098625 */     // GIR_Coverage, 16671,
     /* 2098625 */     GIR_EraseRootFromParent_Done,
     /* 2098626 */   // Label 27799: @2098626
     /* 2098626 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2098717), // Rule ID 16674 //
     /* 2098631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098677 */     // MIs[0] round
     /* 2098677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098680 */     // MIs[0] policy
     /* 2098680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098690 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2098693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098716 */     // GIR_Coverage, 16674,
     /* 2098716 */     GIR_EraseRootFromParent_Done,
     /* 2098717 */   // Label 27800: @2098717
     /* 2098717 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2098808), // Rule ID 16675 //
     /* 2098722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098768 */     // MIs[0] round
     /* 2098768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098771 */     // MIs[0] policy
     /* 2098771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098781 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2098784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098807 */     // GIR_Coverage, 16675,
     /* 2098807 */     GIR_EraseRootFromParent_Done,
     /* 2098808 */   // Label 27801: @2098808
     /* 2098808 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2098899), // Rule ID 16678 //
     /* 2098813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098859 */     // MIs[0] round
     /* 2098859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098862 */     // MIs[0] policy
     /* 2098862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098872 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2098875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098898 */     // GIR_Coverage, 16678,
     /* 2098898 */     GIR_EraseRootFromParent_Done,
     /* 2098899 */   // Label 27802: @2098899
     /* 2098899 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2098990), // Rule ID 16679 //
     /* 2098904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2098912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098950 */     // MIs[0] round
     /* 2098950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098953 */     // MIs[0] policy
     /* 2098953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098963 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2098966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098989 */     // GIR_Coverage, 16679,
     /* 2098989 */     GIR_EraseRootFromParent_Done,
     /* 2098990 */   // Label 27803: @2098990
     /* 2098990 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2099081), // Rule ID 16682 //
     /* 2098995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2099006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2099009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2099012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2099018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099041 */     // MIs[0] round
     /* 2099041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099044 */     // MIs[0] policy
     /* 2099044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099054 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2099057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099080 */     // GIR_Coverage, 16682,
     /* 2099080 */     GIR_EraseRootFromParent_Done,
     /* 2099081 */   // Label 27804: @2099081
     /* 2099081 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2099172), // Rule ID 16683 //
     /* 2099086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2099089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2099097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2099100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2099103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2099109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099132 */     // MIs[0] round
     /* 2099132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099135 */     // MIs[0] policy
     /* 2099135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099145 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2099148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099171 */     // GIR_Coverage, 16683,
     /* 2099171 */     GIR_EraseRootFromParent_Done,
     /* 2099172 */   // Label 27805: @2099172
     /* 2099172 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2099263), // Rule ID 16686 //
     /* 2099177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2099188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2099191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2099194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099223 */     // MIs[0] round
     /* 2099223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099226 */     // MIs[0] policy
     /* 2099226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099236 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2099239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099262 */     // GIR_Coverage, 16686,
     /* 2099262 */     GIR_EraseRootFromParent_Done,
     /* 2099263 */   // Label 27806: @2099263
     /* 2099263 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2099354), // Rule ID 16687 //
     /* 2099268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2099279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2099282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2099285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099314 */     // MIs[0] round
     /* 2099314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099317 */     // MIs[0] policy
     /* 2099317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2099330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099353 */     // GIR_Coverage, 16687,
     /* 2099353 */     GIR_EraseRootFromParent_Done,
     /* 2099354 */   // Label 27807: @2099354
     /* 2099354 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2099445), // Rule ID 16690 //
     /* 2099359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099405 */     // MIs[0] round
     /* 2099405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099408 */     // MIs[0] policy
     /* 2099408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099418 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2099421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099444 */     // GIR_Coverage, 16690,
     /* 2099444 */     GIR_EraseRootFromParent_Done,
     /* 2099445 */   // Label 27808: @2099445
     /* 2099445 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2099536), // Rule ID 16691 //
     /* 2099450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099496 */     // MIs[0] round
     /* 2099496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099499 */     // MIs[0] policy
     /* 2099499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099509 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2099512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099535 */     // GIR_Coverage, 16691,
     /* 2099535 */     GIR_EraseRootFromParent_Done,
     /* 2099536 */   // Label 27809: @2099536
     /* 2099536 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2099627), // Rule ID 16694 //
     /* 2099541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2099552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2099555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2099558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099587 */     // MIs[0] round
     /* 2099587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099590 */     // MIs[0] policy
     /* 2099590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099600 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2099603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099626 */     // GIR_Coverage, 16694,
     /* 2099626 */     GIR_EraseRootFromParent_Done,
     /* 2099627 */   // Label 27810: @2099627
     /* 2099627 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2099718), // Rule ID 16695 //
     /* 2099632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2099643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2099646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2099649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099678 */     // MIs[0] round
     /* 2099678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099681 */     // MIs[0] policy
     /* 2099681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099691 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2099694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099717 */     // GIR_Coverage, 16695,
     /* 2099717 */     GIR_EraseRootFromParent_Done,
     /* 2099718 */   // Label 27811: @2099718
     /* 2099718 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2099809), // Rule ID 16698 //
     /* 2099723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2099740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099769 */     // MIs[0] round
     /* 2099769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099772 */     // MIs[0] policy
     /* 2099772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099782 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2099785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099808 */     // GIR_Coverage, 16698,
     /* 2099808 */     GIR_EraseRootFromParent_Done,
     /* 2099809 */   // Label 27812: @2099809
     /* 2099809 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2099900), // Rule ID 16699 //
     /* 2099814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2099831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099860 */     // MIs[0] round
     /* 2099860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099863 */     // MIs[0] policy
     /* 2099863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099873 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2099876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099899 */     // GIR_Coverage, 16699,
     /* 2099899 */     GIR_EraseRootFromParent_Done,
     /* 2099900 */   // Label 27813: @2099900
     /* 2099900 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2099991), // Rule ID 16702 //
     /* 2099905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2099913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2099916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2099919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2099922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099951 */     // MIs[0] round
     /* 2099951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099954 */     // MIs[0] policy
     /* 2099954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099964 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2099967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099990 */     // GIR_Coverage, 16702,
     /* 2099990 */     GIR_EraseRootFromParent_Done,
     /* 2099991 */   // Label 27814: @2099991
     /* 2099991 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2100082), // Rule ID 16703 //
     /* 2099996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2100007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2100010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2100013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100042 */     // MIs[0] round
     /* 2100042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100045 */     // MIs[0] policy
     /* 2100045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100055 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2100058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100081 */     // GIR_Coverage, 16703,
     /* 2100081 */     GIR_EraseRootFromParent_Done,
     /* 2100082 */   // Label 27815: @2100082
     /* 2100082 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2100173), // Rule ID 16706 //
     /* 2100087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2100098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2100101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2100104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100133 */     // MIs[0] round
     /* 2100133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100136 */     // MIs[0] policy
     /* 2100136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100146 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2100149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100172 */     // GIR_Coverage, 16706,
     /* 2100172 */     GIR_EraseRootFromParent_Done,
     /* 2100173 */   // Label 27816: @2100173
     /* 2100173 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2100264), // Rule ID 16707 //
     /* 2100178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2100181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2100186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2100189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2100192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2100195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100224 */     // MIs[0] round
     /* 2100224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100227 */     // MIs[0] policy
     /* 2100227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100237 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2100240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100263 */     // GIR_Coverage, 16707,
     /* 2100263 */     GIR_EraseRootFromParent_Done,
     /* 2100264 */   // Label 27817: @2100264
     /* 2100264 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2100355), // Rule ID 16710 //
     /* 2100269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2100280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2100283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2100286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2100289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100315 */     // MIs[0] round
     /* 2100315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100318 */     // MIs[0] policy
     /* 2100318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100328 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2100331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100354 */     // GIR_Coverage, 16710,
     /* 2100354 */     GIR_EraseRootFromParent_Done,
     /* 2100355 */   // Label 27818: @2100355
     /* 2100355 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2100446), // Rule ID 16711 //
     /* 2100360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2100371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2100374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2100377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2100380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100406 */     // MIs[0] round
     /* 2100406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100409 */     // MIs[0] policy
     /* 2100409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100419 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2100422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100445 */     // GIR_Coverage, 16711,
     /* 2100445 */     GIR_EraseRootFromParent_Done,
     /* 2100446 */   // Label 27819: @2100446
     /* 2100446 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2100537), // Rule ID 16714 //
     /* 2100451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2100462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2100465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2100468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2100471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100497 */     // MIs[0] round
     /* 2100497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100500 */     // MIs[0] policy
     /* 2100500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100510 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2100513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100536 */     // GIR_Coverage, 16714,
     /* 2100536 */     GIR_EraseRootFromParent_Done,
     /* 2100537 */   // Label 27820: @2100537
     /* 2100537 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2100628), // Rule ID 16715 //
     /* 2100542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2100553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2100556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2100559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2100562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100588 */     // MIs[0] round
     /* 2100588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100591 */     // MIs[0] policy
     /* 2100591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100601 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2100604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100627 */     // GIR_Coverage, 16715,
     /* 2100627 */     GIR_EraseRootFromParent_Done,
     /* 2100628 */   // Label 27821: @2100628
     /* 2100628 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2100719), // Rule ID 16718 //
     /* 2100633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2100644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2100647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2100653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100679 */     // MIs[0] round
     /* 2100679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100682 */     // MIs[0] policy
     /* 2100682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100692 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2100695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100718 */     // GIR_Coverage, 16718,
     /* 2100718 */     GIR_EraseRootFromParent_Done,
     /* 2100719 */   // Label 27822: @2100719
     /* 2100719 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2100810), // Rule ID 16719 //
     /* 2100724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2100735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2100738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2100744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100770 */     // MIs[0] round
     /* 2100770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100773 */     // MIs[0] policy
     /* 2100773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100783 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2100786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100809 */     // GIR_Coverage, 16719,
     /* 2100809 */     GIR_EraseRootFromParent_Done,
     /* 2100810 */   // Label 27823: @2100810
     /* 2100810 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2100901), // Rule ID 16722 //
     /* 2100815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2100835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100861 */     // MIs[0] round
     /* 2100861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100864 */     // MIs[0] policy
     /* 2100864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100874 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2100877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100900 */     // GIR_Coverage, 16722,
     /* 2100900 */     GIR_EraseRootFromParent_Done,
     /* 2100901 */   // Label 27824: @2100901
     /* 2100901 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2100992), // Rule ID 16723 //
     /* 2100906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2100914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2100926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100952 */     // MIs[0] round
     /* 2100952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100955 */     // MIs[0] policy
     /* 2100955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100965 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2100968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100991 */     // GIR_Coverage, 16723,
     /* 2100991 */     GIR_EraseRootFromParent_Done,
     /* 2100992 */   // Label 27825: @2100992
     /* 2100992 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2101083), // Rule ID 16726 //
     /* 2100997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2101014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2101017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101043 */     // MIs[0] round
     /* 2101043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101046 */     // MIs[0] policy
     /* 2101046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101056 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2101059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101082 */     // GIR_Coverage, 16726,
     /* 2101082 */     GIR_EraseRootFromParent_Done,
     /* 2101083 */   // Label 27826: @2101083
     /* 2101083 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2101174), // Rule ID 16727 //
     /* 2101088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2101105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2101108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101134 */     // MIs[0] round
     /* 2101134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101137 */     // MIs[0] policy
     /* 2101137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101147 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2101150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101173 */     // GIR_Coverage, 16727,
     /* 2101173 */     GIR_EraseRootFromParent_Done,
     /* 2101174 */   // Label 27827: @2101174
     /* 2101174 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2101265), // Rule ID 16730 //
     /* 2101179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2101182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2101190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2101193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2101196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2101199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101225 */     // MIs[0] round
     /* 2101225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101228 */     // MIs[0] policy
     /* 2101228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101238 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2101241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101264 */     // GIR_Coverage, 16730,
     /* 2101264 */     GIR_EraseRootFromParent_Done,
     /* 2101265 */   // Label 27828: @2101265
     /* 2101265 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2101356), // Rule ID 16731 //
     /* 2101270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2101273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2101281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2101284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2101287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2101290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101316 */     // MIs[0] round
     /* 2101316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101319 */     // MIs[0] policy
     /* 2101319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101329 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2101332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101355 */     // GIR_Coverage, 16731,
     /* 2101355 */     GIR_EraseRootFromParent_Done,
     /* 2101356 */   // Label 27829: @2101356
     /* 2101356 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2101447), // Rule ID 16734 //
     /* 2101361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2101372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2101375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2101381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101407 */     // MIs[0] round
     /* 2101407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101410 */     // MIs[0] policy
     /* 2101410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101420 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2101423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101446 */     // GIR_Coverage, 16734,
     /* 2101446 */     GIR_EraseRootFromParent_Done,
     /* 2101447 */   // Label 27830: @2101447
     /* 2101447 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2101538), // Rule ID 16735 //
     /* 2101452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2101463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2101466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2101472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101498 */     // MIs[0] round
     /* 2101498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101501 */     // MIs[0] policy
     /* 2101501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101511 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2101514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101537 */     // GIR_Coverage, 16735,
     /* 2101537 */     GIR_EraseRootFromParent_Done,
     /* 2101538 */   // Label 27831: @2101538
     /* 2101538 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2101629), // Rule ID 16738 //
     /* 2101543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2101554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2101557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2101563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101589 */     // MIs[0] round
     /* 2101589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101592 */     // MIs[0] policy
     /* 2101592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101602 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2101605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101628 */     // GIR_Coverage, 16738,
     /* 2101628 */     GIR_EraseRootFromParent_Done,
     /* 2101629 */   // Label 27832: @2101629
     /* 2101629 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2101720), // Rule ID 16739 //
     /* 2101634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2101645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2101648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2101654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101680 */     // MIs[0] round
     /* 2101680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101683 */     // MIs[0] policy
     /* 2101683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101693 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2101696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101719 */     // GIR_Coverage, 16739,
     /* 2101719 */     GIR_EraseRootFromParent_Done,
     /* 2101720 */   // Label 27833: @2101720
     /* 2101720 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2101811), // Rule ID 16742 //
     /* 2101725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2101736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2101739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2101745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101771 */     // MIs[0] round
     /* 2101771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101774 */     // MIs[0] policy
     /* 2101774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101784 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2101787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101810 */     // GIR_Coverage, 16742,
     /* 2101810 */     GIR_EraseRootFromParent_Done,
     /* 2101811 */   // Label 27834: @2101811
     /* 2101811 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2101902), // Rule ID 16743 //
     /* 2101816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2101827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2101830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2101836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101862 */     // MIs[0] round
     /* 2101862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101865 */     // MIs[0] policy
     /* 2101865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101875 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2101878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101901 */     // GIR_Coverage, 16743,
     /* 2101901 */     GIR_EraseRootFromParent_Done,
     /* 2101902 */   // Label 27835: @2101902
     /* 2101902 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2101993), // Rule ID 16746 //
     /* 2101907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2101915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2101924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2101927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101953 */     // MIs[0] round
     /* 2101953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101956 */     // MIs[0] policy
     /* 2101956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101966 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2101969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101992 */     // GIR_Coverage, 16746,
     /* 2101992 */     GIR_EraseRootFromParent_Done,
     /* 2101993 */   // Label 27836: @2101993
     /* 2101993 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2102084), // Rule ID 16747 //
     /* 2101998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2102009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2102012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2102018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102044 */     // MIs[0] round
     /* 2102044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102047 */     // MIs[0] policy
     /* 2102047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2102060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102083 */     // GIR_Coverage, 16747,
     /* 2102083 */     GIR_EraseRootFromParent_Done,
     /* 2102084 */   // Label 27837: @2102084
     /* 2102084 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2102175), // Rule ID 16750 //
     /* 2102089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2102100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2102103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2102106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2102109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102135 */     // MIs[0] round
     /* 2102135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102138 */     // MIs[0] policy
     /* 2102138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102148 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2102151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102174 */     // GIR_Coverage, 16750,
     /* 2102174 */     GIR_EraseRootFromParent_Done,
     /* 2102175 */   // Label 27838: @2102175
     /* 2102175 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2102266), // Rule ID 16751 //
     /* 2102180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2102191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2102194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2102197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2102200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102226 */     // MIs[0] round
     /* 2102226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102229 */     // MIs[0] policy
     /* 2102229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102239 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2102242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102265 */     // GIR_Coverage, 16751,
     /* 2102265 */     GIR_EraseRootFromParent_Done,
     /* 2102266 */   // Label 27839: @2102266
     /* 2102266 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2102357), // Rule ID 16754 //
     /* 2102271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2102274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2102282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2102285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2102288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2102291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102317 */     // MIs[0] round
     /* 2102317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102320 */     // MIs[0] policy
     /* 2102320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102330 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2102333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102356 */     // GIR_Coverage, 16754,
     /* 2102356 */     GIR_EraseRootFromParent_Done,
     /* 2102357 */   // Label 27840: @2102357
     /* 2102357 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2102448), // Rule ID 16755 //
     /* 2102362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2102373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2102376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2102379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2102382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102408 */     // MIs[0] round
     /* 2102408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102411 */     // MIs[0] policy
     /* 2102411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102421 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2102424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102447 */     // GIR_Coverage, 16755,
     /* 2102447 */     GIR_EraseRootFromParent_Done,
     /* 2102448 */   // Label 27841: @2102448
     /* 2102448 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2102539), // Rule ID 16758 //
     /* 2102453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2102470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2102473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102499 */     // MIs[0] round
     /* 2102499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102502 */     // MIs[0] policy
     /* 2102502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102512 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2102515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102538 */     // GIR_Coverage, 16758,
     /* 2102538 */     GIR_EraseRootFromParent_Done,
     /* 2102539 */   // Label 27842: @2102539
     /* 2102539 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2102630), // Rule ID 16759 //
     /* 2102544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2102561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2102564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102590 */     // MIs[0] round
     /* 2102590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102593 */     // MIs[0] policy
     /* 2102593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2102606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102629 */     // GIR_Coverage, 16759,
     /* 2102629 */     GIR_EraseRootFromParent_Done,
     /* 2102630 */   // Label 27843: @2102630
     /* 2102630 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2102721), // Rule ID 16762 //
     /* 2102635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2102652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2102655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102681 */     // MIs[0] round
     /* 2102681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102684 */     // MIs[0] policy
     /* 2102684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102694 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2102697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102720 */     // GIR_Coverage, 16762,
     /* 2102720 */     GIR_EraseRootFromParent_Done,
     /* 2102721 */   // Label 27844: @2102721
     /* 2102721 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2102812), // Rule ID 16763 //
     /* 2102726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2102743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2102746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102772 */     // MIs[0] round
     /* 2102772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102775 */     // MIs[0] policy
     /* 2102775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102785 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2102788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102811 */     // GIR_Coverage, 16763,
     /* 2102811 */     GIR_EraseRootFromParent_Done,
     /* 2102812 */   // Label 27845: @2102812
     /* 2102812 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2102903), // Rule ID 16766 //
     /* 2102817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2102834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2102837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102863 */     // MIs[0] round
     /* 2102863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102866 */     // MIs[0] policy
     /* 2102866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102876 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2102879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102902 */     // GIR_Coverage, 16766,
     /* 2102902 */     GIR_EraseRootFromParent_Done,
     /* 2102903 */   // Label 27846: @2102903
     /* 2102903 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2102994), // Rule ID 16767 //
     /* 2102908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2102916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2102925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2102928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102954 */     // MIs[0] round
     /* 2102954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102957 */     // MIs[0] policy
     /* 2102957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102967 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2102970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102993 */     // GIR_Coverage, 16767,
     /* 2102993 */     GIR_EraseRootFromParent_Done,
     /* 2102994 */   // Label 27847: @2102994
     /* 2102994 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2103085), // Rule ID 16770 //
     /* 2102999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2103010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2103013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103045 */     // MIs[0] round
     /* 2103045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103048 */     // MIs[0] policy
     /* 2103048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103058 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2103061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103084 */     // GIR_Coverage, 16770,
     /* 2103084 */     GIR_EraseRootFromParent_Done,
     /* 2103085 */   // Label 27848: @2103085
     /* 2103085 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2103176), // Rule ID 16771 //
     /* 2103090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2103101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2103104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103136 */     // MIs[0] round
     /* 2103136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103139 */     // MIs[0] policy
     /* 2103139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103149 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2103152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103175 */     // GIR_Coverage, 16771,
     /* 2103175 */     GIR_EraseRootFromParent_Done,
     /* 2103176 */   // Label 27849: @2103176
     /* 2103176 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2103267), // Rule ID 16774 //
     /* 2103181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2103192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2103195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2103198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103227 */     // MIs[0] round
     /* 2103227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103230 */     // MIs[0] policy
     /* 2103230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103240 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2103243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103266 */     // GIR_Coverage, 16774,
     /* 2103266 */     GIR_EraseRootFromParent_Done,
     /* 2103267 */   // Label 27850: @2103267
     /* 2103267 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2103358), // Rule ID 16775 //
     /* 2103272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2103283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2103286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2103289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103318 */     // MIs[0] round
     /* 2103318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103321 */     // MIs[0] policy
     /* 2103321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103331 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2103334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103357 */     // GIR_Coverage, 16775,
     /* 2103357 */     GIR_EraseRootFromParent_Done,
     /* 2103358 */   // Label 27851: @2103358
     /* 2103358 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2103449), // Rule ID 16778 //
     /* 2103363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2103374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2103377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103409 */     // MIs[0] round
     /* 2103409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103412 */     // MIs[0] policy
     /* 2103412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103422 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2103425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103448 */     // GIR_Coverage, 16778,
     /* 2103448 */     GIR_EraseRootFromParent_Done,
     /* 2103449 */   // Label 27852: @2103449
     /* 2103449 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2103540), // Rule ID 16779 //
     /* 2103454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2103465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2103468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103500 */     // MIs[0] round
     /* 2103500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103503 */     // MIs[0] policy
     /* 2103503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103513 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2103516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103539 */     // GIR_Coverage, 16779,
     /* 2103539 */     GIR_EraseRootFromParent_Done,
     /* 2103540 */   // Label 27853: @2103540
     /* 2103540 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2103631), // Rule ID 16782 //
     /* 2103545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2103556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2103559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103591 */     // MIs[0] round
     /* 2103591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103594 */     // MIs[0] policy
     /* 2103594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103604 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2103607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103630 */     // GIR_Coverage, 16782,
     /* 2103630 */     GIR_EraseRootFromParent_Done,
     /* 2103631 */   // Label 27854: @2103631
     /* 2103631 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2103722), // Rule ID 16783 //
     /* 2103636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2103639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2103647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2103650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103682 */     // MIs[0] round
     /* 2103682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103685 */     // MIs[0] policy
     /* 2103685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103695 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2103698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103721 */     // GIR_Coverage, 16783,
     /* 2103721 */     GIR_EraseRootFromParent_Done,
     /* 2103722 */   // Label 27855: @2103722
     /* 2103722 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2103813), // Rule ID 16786 //
     /* 2103727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2103730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2103738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2103741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2103744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103773 */     // MIs[0] round
     /* 2103773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103776 */     // MIs[0] policy
     /* 2103776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103786 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2103789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103812 */     // GIR_Coverage, 16786,
     /* 2103812 */     GIR_EraseRootFromParent_Done,
     /* 2103813 */   // Label 27856: @2103813
     /* 2103813 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2103904), // Rule ID 16787 //
     /* 2103818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2103821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2103829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2103832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2103835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103864 */     // MIs[0] round
     /* 2103864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103867 */     // MIs[0] policy
     /* 2103867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2103880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103903 */     // GIR_Coverage, 16787,
     /* 2103903 */     GIR_EraseRootFromParent_Done,
     /* 2103904 */   // Label 27857: @2103904
     /* 2103904 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2103995), // Rule ID 16790 //
     /* 2103909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2103912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2103917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2103926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2103951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103955 */     // MIs[0] round
     /* 2103955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103958 */     // MIs[0] policy
     /* 2103958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2103971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2103991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103994 */     // GIR_Coverage, 16790,
     /* 2103994 */     GIR_EraseRootFromParent_Done,
     /* 2103995 */   // Label 27858: @2103995
     /* 2103995 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2104086), // Rule ID 16791 //
     /* 2104000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2104003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2104011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2104014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2104017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2104042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104046 */     // MIs[0] round
     /* 2104046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104049 */     // MIs[0] policy
     /* 2104049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104059 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2104062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104085 */     // GIR_Coverage, 16791,
     /* 2104085 */     GIR_EraseRootFromParent_Done,
     /* 2104086 */   // Label 27859: @2104086
     /* 2104086 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2104177), // Rule ID 16794 //
     /* 2104091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2104094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2104102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2104105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104137 */     // MIs[0] round
     /* 2104137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104140 */     // MIs[0] policy
     /* 2104140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104150 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2104153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104176 */     // GIR_Coverage, 16794,
     /* 2104176 */     GIR_EraseRootFromParent_Done,
     /* 2104177 */   // Label 27860: @2104177
     /* 2104177 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2104268), // Rule ID 16795 //
     /* 2104182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2104185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2104193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2104196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104228 */     // MIs[0] round
     /* 2104228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104231 */     // MIs[0] policy
     /* 2104231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104241 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2104244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104267 */     // GIR_Coverage, 16795,
     /* 2104267 */     GIR_EraseRootFromParent_Done,
     /* 2104268 */   // Label 27861: @2104268
     /* 2104268 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2104359), // Rule ID 16798 //
     /* 2104273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2104276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2104284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2104287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104319 */     // MIs[0] round
     /* 2104319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104322 */     // MIs[0] policy
     /* 2104322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104332 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2104335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104358 */     // GIR_Coverage, 16798,
     /* 2104358 */     GIR_EraseRootFromParent_Done,
     /* 2104359 */   // Label 27862: @2104359
     /* 2104359 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2104450), // Rule ID 16799 //
     /* 2104364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2104367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2104375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2104378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104410 */     // MIs[0] round
     /* 2104410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104413 */     // MIs[0] policy
     /* 2104413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104423 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2104426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104449 */     // GIR_Coverage, 16799,
     /* 2104449 */     GIR_EraseRootFromParent_Done,
     /* 2104450 */   // Label 27863: @2104450
     /* 2104450 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2104541), // Rule ID 16802 //
     /* 2104455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2104458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2104466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2104469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2104472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2104478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104501 */     // MIs[0] round
     /* 2104501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104504 */     // MIs[0] policy
     /* 2104504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104514 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2104517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104540 */     // GIR_Coverage, 16802,
     /* 2104540 */     GIR_EraseRootFromParent_Done,
     /* 2104541 */   // Label 27864: @2104541
     /* 2104541 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2104632), // Rule ID 16803 //
     /* 2104546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2104549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2104557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2104560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2104563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2104569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104592 */     // MIs[0] round
     /* 2104592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104595 */     // MIs[0] policy
     /* 2104595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104605 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2104608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104631 */     // GIR_Coverage, 16803,
     /* 2104631 */     GIR_EraseRootFromParent_Done,
     /* 2104632 */   // Label 27865: @2104632
     /* 2104632 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2104723), // Rule ID 16806 //
     /* 2104637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2104640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104683 */     // MIs[0] round
     /* 2104683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104686 */     // MIs[0] policy
     /* 2104686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2104699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104722 */     // GIR_Coverage, 16806,
     /* 2104722 */     GIR_EraseRootFromParent_Done,
     /* 2104723 */   // Label 27866: @2104723
     /* 2104723 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2104814), // Rule ID 16807 //
     /* 2104728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2104731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104774 */     // MIs[0] round
     /* 2104774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104777 */     // MIs[0] policy
     /* 2104777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104787 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2104790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104813 */     // GIR_Coverage, 16807,
     /* 2104813 */     GIR_EraseRootFromParent_Done,
     /* 2104814 */   // Label 27867: @2104814
     /* 2104814 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2104905), // Rule ID 16810 //
     /* 2104819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2104822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104865 */     // MIs[0] round
     /* 2104865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104868 */     // MIs[0] policy
     /* 2104868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104878 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2104881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104904 */     // GIR_Coverage, 16810,
     /* 2104904 */     GIR_EraseRootFromParent_Done,
     /* 2104905 */   // Label 27868: @2104905
     /* 2104905 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2104996), // Rule ID 16811 //
     /* 2104910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2104913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2104918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104956 */     // MIs[0] round
     /* 2104956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104959 */     // MIs[0] policy
     /* 2104959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104969 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2104972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104995 */     // GIR_Coverage, 16811,
     /* 2104995 */     GIR_EraseRootFromParent_Done,
     /* 2104996 */   // Label 27869: @2104996
     /* 2104996 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2105087), // Rule ID 16814 //
     /* 2105001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2105004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2105018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105047 */     // MIs[0] round
     /* 2105047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105050 */     // MIs[0] policy
     /* 2105050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105060 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2105063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105086 */     // GIR_Coverage, 16814,
     /* 2105086 */     GIR_EraseRootFromParent_Done,
     /* 2105087 */   // Label 27870: @2105087
     /* 2105087 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2105178), // Rule ID 16815 //
     /* 2105092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2105095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2105109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105138 */     // MIs[0] round
     /* 2105138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105141 */     // MIs[0] policy
     /* 2105141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105151 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2105154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105177 */     // GIR_Coverage, 16815,
     /* 2105177 */     GIR_EraseRootFromParent_Done,
     /* 2105178 */   // Label 27871: @2105178
     /* 2105178 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2105269), // Rule ID 16818 //
     /* 2105183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2105186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2105200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105229 */     // MIs[0] round
     /* 2105229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105232 */     // MIs[0] policy
     /* 2105232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105242 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2105245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105268 */     // GIR_Coverage, 16818,
     /* 2105268 */     GIR_EraseRootFromParent_Done,
     /* 2105269 */   // Label 27872: @2105269
     /* 2105269 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2105360), // Rule ID 16819 //
     /* 2105274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2105277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2105291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105320 */     // MIs[0] round
     /* 2105320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105323 */     // MIs[0] policy
     /* 2105323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105333 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2105336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105359 */     // GIR_Coverage, 16819,
     /* 2105359 */     GIR_EraseRootFromParent_Done,
     /* 2105360 */   // Label 27873: @2105360
     /* 2105360 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2105451), // Rule ID 16822 //
     /* 2105365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2105368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2105382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105411 */     // MIs[0] round
     /* 2105411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105414 */     // MIs[0] policy
     /* 2105414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105424 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2105427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105450 */     // GIR_Coverage, 16822,
     /* 2105450 */     GIR_EraseRootFromParent_Done,
     /* 2105451 */   // Label 27874: @2105451
     /* 2105451 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2105542), // Rule ID 16823 //
     /* 2105456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2105459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2105473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105502 */     // MIs[0] round
     /* 2105502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105505 */     // MIs[0] policy
     /* 2105505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105515 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2105518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105541 */     // GIR_Coverage, 16823,
     /* 2105541 */     GIR_EraseRootFromParent_Done,
     /* 2105542 */   // Label 27875: @2105542
     /* 2105542 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2105633), // Rule ID 16826 //
     /* 2105547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2105550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2105564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105593 */     // MIs[0] round
     /* 2105593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105596 */     // MIs[0] policy
     /* 2105596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105606 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2105609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105632 */     // GIR_Coverage, 16826,
     /* 2105632 */     GIR_EraseRootFromParent_Done,
     /* 2105633 */   // Label 27876: @2105633
     /* 2105633 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2105724), // Rule ID 16827 //
     /* 2105638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2105641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2105646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2105655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2105680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105684 */     // MIs[0] round
     /* 2105684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105687 */     // MIs[0] policy
     /* 2105687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105697 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2105700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105723 */     // GIR_Coverage, 16827,
     /* 2105723 */     GIR_EraseRootFromParent_Done,
     /* 2105724 */   // Label 27877: @2105724
     /* 2105724 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2105815), // Rule ID 16830 //
     /* 2105729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2105732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2105737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2105740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2105743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105775 */     // MIs[0] round
     /* 2105775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105778 */     // MIs[0] policy
     /* 2105778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105788 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2105791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105814 */     // GIR_Coverage, 16830,
     /* 2105814 */     GIR_EraseRootFromParent_Done,
     /* 2105815 */   // Label 27878: @2105815
     /* 2105815 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2105906), // Rule ID 16831 //
     /* 2105820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2105823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2105828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2105831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2105834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105866 */     // MIs[0] round
     /* 2105866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105869 */     // MIs[0] policy
     /* 2105869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105879 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2105882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105905 */     // GIR_Coverage, 16831,
     /* 2105905 */     GIR_EraseRootFromParent_Done,
     /* 2105906 */   // Label 27879: @2105906
     /* 2105906 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2105997), // Rule ID 16834 //
     /* 2105911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2105914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2105919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2105922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2105925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2105928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105957 */     // MIs[0] round
     /* 2105957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105960 */     // MIs[0] policy
     /* 2105960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105970 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2105973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105996 */     // GIR_Coverage, 16834,
     /* 2105996 */     GIR_EraseRootFromParent_Done,
     /* 2105997 */   // Label 27880: @2105997
     /* 2105997 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2106088), // Rule ID 16835 //
     /* 2106002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2106013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2106016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106048 */     // MIs[0] round
     /* 2106048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106051 */     // MIs[0] policy
     /* 2106051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106061 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2106064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106087 */     // GIR_Coverage, 16835,
     /* 2106087 */     GIR_EraseRootFromParent_Done,
     /* 2106088 */   // Label 27881: @2106088
     /* 2106088 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2106179), // Rule ID 16838 //
     /* 2106093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106139 */     // MIs[0] round
     /* 2106139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106142 */     // MIs[0] policy
     /* 2106142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106152 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2106155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106178 */     // GIR_Coverage, 16838,
     /* 2106178 */     GIR_EraseRootFromParent_Done,
     /* 2106179 */   // Label 27882: @2106179
     /* 2106179 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2106270), // Rule ID 16839 //
     /* 2106184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2106187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106230 */     // MIs[0] round
     /* 2106230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106233 */     // MIs[0] policy
     /* 2106233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106243 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2106246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106269 */     // GIR_Coverage, 16839,
     /* 2106269 */     GIR_EraseRootFromParent_Done,
     /* 2106270 */   // Label 27883: @2106270
     /* 2106270 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2106361), // Rule ID 16842 //
     /* 2106275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2106286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2106289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106321 */     // MIs[0] round
     /* 2106321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106324 */     // MIs[0] policy
     /* 2106324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106334 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2106337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106360 */     // GIR_Coverage, 16842,
     /* 2106360 */     GIR_EraseRootFromParent_Done,
     /* 2106361 */   // Label 27884: @2106361
     /* 2106361 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2106452), // Rule ID 16843 //
     /* 2106366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2106377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2106380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106412 */     // MIs[0] round
     /* 2106412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106415 */     // MIs[0] policy
     /* 2106415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106425 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2106428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106451 */     // GIR_Coverage, 16843,
     /* 2106451 */     GIR_EraseRootFromParent_Done,
     /* 2106452 */   // Label 27885: @2106452
     /* 2106452 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2106543), // Rule ID 16846 //
     /* 2106457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106503 */     // MIs[0] round
     /* 2106503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106506 */     // MIs[0] policy
     /* 2106506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106516 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2106519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106542 */     // GIR_Coverage, 16846,
     /* 2106542 */     GIR_EraseRootFromParent_Done,
     /* 2106543 */   // Label 27886: @2106543
     /* 2106543 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2106634), // Rule ID 16847 //
     /* 2106548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2106551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106594 */     // MIs[0] round
     /* 2106594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106597 */     // MIs[0] policy
     /* 2106597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106607 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2106610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106633 */     // GIR_Coverage, 16847,
     /* 2106633 */     GIR_EraseRootFromParent_Done,
     /* 2106634 */   // Label 27887: @2106634
     /* 2106634 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2106725), // Rule ID 16850 //
     /* 2106639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2106642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2106656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2106659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2106681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106685 */     // MIs[0] round
     /* 2106685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106688 */     // MIs[0] policy
     /* 2106688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106698 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2106701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106724 */     // GIR_Coverage, 16850,
     /* 2106724 */     GIR_EraseRootFromParent_Done,
     /* 2106725 */   // Label 27888: @2106725
     /* 2106725 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2106816), // Rule ID 16851 //
     /* 2106730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2106733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2106747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2106750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2106772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106776 */     // MIs[0] round
     /* 2106776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106779 */     // MIs[0] policy
     /* 2106779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106789 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2106792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106815 */     // GIR_Coverage, 16851,
     /* 2106815 */     GIR_EraseRootFromParent_Done,
     /* 2106816 */   // Label 27889: @2106816
     /* 2106816 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2106907), // Rule ID 16854 //
     /* 2106821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2106832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2106835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106867 */     // MIs[0] round
     /* 2106867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106870 */     // MIs[0] policy
     /* 2106870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2106883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106906 */     // GIR_Coverage, 16854,
     /* 2106906 */     GIR_EraseRootFromParent_Done,
     /* 2106907 */   // Label 27890: @2106907
     /* 2106907 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2106998), // Rule ID 16855 //
     /* 2106912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2106920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2106923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2106926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106958 */     // MIs[0] round
     /* 2106958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106961 */     // MIs[0] policy
     /* 2106961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106971 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2106974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106997 */     // GIR_Coverage, 16855,
     /* 2106997 */     GIR_EraseRootFromParent_Done,
     /* 2106998 */   // Label 27891: @2106998
     /* 2106998 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2107089), // Rule ID 16858 //
     /* 2107003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2107014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2107017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107049 */     // MIs[0] round
     /* 2107049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107052 */     // MIs[0] policy
     /* 2107052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107062 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2107065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107088 */     // GIR_Coverage, 16858,
     /* 2107088 */     GIR_EraseRootFromParent_Done,
     /* 2107089 */   // Label 27892: @2107089
     /* 2107089 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2107180), // Rule ID 16859 //
     /* 2107094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2107105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2107108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107140 */     // MIs[0] round
     /* 2107140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107143 */     // MIs[0] policy
     /* 2107143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107153 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2107156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107179 */     // GIR_Coverage, 16859,
     /* 2107179 */     GIR_EraseRootFromParent_Done,
     /* 2107180 */   // Label 27893: @2107180
     /* 2107180 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2107271), // Rule ID 16862 //
     /* 2107185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2107196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2107199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2107202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2107208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107231 */     // MIs[0] round
     /* 2107231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107234 */     // MIs[0] policy
     /* 2107234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107244 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2107247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107270 */     // GIR_Coverage, 16862,
     /* 2107270 */     GIR_EraseRootFromParent_Done,
     /* 2107271 */   // Label 27894: @2107271
     /* 2107271 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2107362), // Rule ID 16863 //
     /* 2107276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2107287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2107290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2107293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2107299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107322 */     // MIs[0] round
     /* 2107322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107325 */     // MIs[0] policy
     /* 2107325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107335 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2107338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107361 */     // GIR_Coverage, 16863,
     /* 2107361 */     GIR_EraseRootFromParent_Done,
     /* 2107362 */   // Label 27895: @2107362
     /* 2107362 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2107453), // Rule ID 16866 //
     /* 2107367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2107370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107413 */     // MIs[0] round
     /* 2107413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107416 */     // MIs[0] policy
     /* 2107416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107426 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2107429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107452 */     // GIR_Coverage, 16866,
     /* 2107452 */     GIR_EraseRootFromParent_Done,
     /* 2107453 */   // Label 27896: @2107453
     /* 2107453 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2107544), // Rule ID 16867 //
     /* 2107458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107504 */     // MIs[0] round
     /* 2107504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107507 */     // MIs[0] policy
     /* 2107507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107517 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2107520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107543 */     // GIR_Coverage, 16867,
     /* 2107543 */     GIR_EraseRootFromParent_Done,
     /* 2107544 */   // Label 27897: @2107544
     /* 2107544 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2107635), // Rule ID 16870 //
     /* 2107549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2107552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107595 */     // MIs[0] round
     /* 2107595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107598 */     // MIs[0] policy
     /* 2107598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107608 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2107611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107634 */     // GIR_Coverage, 16870,
     /* 2107634 */     GIR_EraseRootFromParent_Done,
     /* 2107635 */   // Label 27898: @2107635
     /* 2107635 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2107726), // Rule ID 16871 //
     /* 2107640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107686 */     // MIs[0] round
     /* 2107686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107689 */     // MIs[0] policy
     /* 2107689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107699 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2107702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107725 */     // GIR_Coverage, 16871,
     /* 2107725 */     GIR_EraseRootFromParent_Done,
     /* 2107726 */   // Label 27899: @2107726
     /* 2107726 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2107817), // Rule ID 16874 //
     /* 2107731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2107734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2107748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107777 */     // MIs[0] round
     /* 2107777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107780 */     // MIs[0] policy
     /* 2107780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107790 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2107793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107816 */     // GIR_Coverage, 16874,
     /* 2107816 */     GIR_EraseRootFromParent_Done,
     /* 2107817 */   // Label 27900: @2107817
     /* 2107817 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2107908), // Rule ID 16875 //
     /* 2107822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2107839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107868 */     // MIs[0] round
     /* 2107868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107871 */     // MIs[0] policy
     /* 2107871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107881 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2107884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107907 */     // GIR_Coverage, 16875,
     /* 2107907 */     GIR_EraseRootFromParent_Done,
     /* 2107908 */   // Label 27901: @2107908
     /* 2107908 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2107999), // Rule ID 16878 //
     /* 2107913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2107916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2107921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2107930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2107933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2107955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107959 */     // MIs[0] round
     /* 2107959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107962 */     // MIs[0] policy
     /* 2107962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107972 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2107975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107998 */     // GIR_Coverage, 16878,
     /* 2107998 */     GIR_EraseRootFromParent_Done,
     /* 2107999 */   // Label 27902: @2107999
     /* 2107999 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2108090), // Rule ID 16879 //
     /* 2108004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2108021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2108046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108050 */     // MIs[0] round
     /* 2108050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108053 */     // MIs[0] policy
     /* 2108053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108063 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2108066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108089 */     // GIR_Coverage, 16879,
     /* 2108089 */     GIR_EraseRootFromParent_Done,
     /* 2108090 */   // Label 27903: @2108090
     /* 2108090 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2108181), // Rule ID 16882 //
     /* 2108095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2108098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2108137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108141 */     // MIs[0] round
     /* 2108141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108144 */     // MIs[0] policy
     /* 2108144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108154 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2108157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108180 */     // GIR_Coverage, 16882,
     /* 2108180 */     GIR_EraseRootFromParent_Done,
     /* 2108181 */   // Label 27904: @2108181
     /* 2108181 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2108272), // Rule ID 16883 //
     /* 2108186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2108228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108232 */     // MIs[0] round
     /* 2108232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108235 */     // MIs[0] policy
     /* 2108235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108245 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2108248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108271 */     // GIR_Coverage, 16883,
     /* 2108271 */     GIR_EraseRootFromParent_Done,
     /* 2108272 */   // Label 27905: @2108272
     /* 2108272 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2108363), // Rule ID 16886 //
     /* 2108277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2108280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2108294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2108319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108323 */     // MIs[0] round
     /* 2108323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108326 */     // MIs[0] policy
     /* 2108326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108336 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2108339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108362 */     // GIR_Coverage, 16886,
     /* 2108362 */     GIR_EraseRootFromParent_Done,
     /* 2108363 */   // Label 27906: @2108363
     /* 2108363 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2108454), // Rule ID 16887 //
     /* 2108368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2108376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2108385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2108410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108414 */     // MIs[0] round
     /* 2108414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108417 */     // MIs[0] policy
     /* 2108417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2108430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108453 */     // GIR_Coverage, 16887,
     /* 2108453 */     GIR_EraseRootFromParent_Done,
     /* 2108454 */   // Label 27907: @2108454
     /* 2108454 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2108545), // Rule ID 16890 //
     /* 2108459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2108467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2108476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2108479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108505 */     // MIs[0] round
     /* 2108505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108508 */     // MIs[0] policy
     /* 2108508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108518 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2108521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108544 */     // GIR_Coverage, 16890,
     /* 2108544 */     GIR_EraseRootFromParent_Done,
     /* 2108545 */   // Label 27908: @2108545
     /* 2108545 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2108636), // Rule ID 16891 //
     /* 2108550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2108558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2108561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2108564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2108567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2108570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108596 */     // MIs[0] round
     /* 2108596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108599 */     // MIs[0] policy
     /* 2108599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108609 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2108612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108635 */     // GIR_Coverage, 16891,
     /* 2108635 */     GIR_EraseRootFromParent_Done,
     /* 2108636 */   // Label 27909: @2108636
     /* 2108636 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2108727), // Rule ID 16894 //
     /* 2108641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2108649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2108652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2108658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2108661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108687 */     // MIs[0] round
     /* 2108687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108690 */     // MIs[0] policy
     /* 2108690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108700 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2108703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108726 */     // GIR_Coverage, 16894,
     /* 2108726 */     GIR_EraseRootFromParent_Done,
     /* 2108727 */   // Label 27910: @2108727
     /* 2108727 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2108818), // Rule ID 16895 //
     /* 2108732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2108740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2108743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2108749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2108752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108778 */     // MIs[0] round
     /* 2108778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108781 */     // MIs[0] policy
     /* 2108781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108791 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2108794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108817 */     // GIR_Coverage, 16895,
     /* 2108817 */     GIR_EraseRootFromParent_Done,
     /* 2108818 */   // Label 27911: @2108818
     /* 2108818 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2108909), // Rule ID 16898 //
     /* 2108823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2108831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2108834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2108837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2108843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108869 */     // MIs[0] round
     /* 2108869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108872 */     // MIs[0] policy
     /* 2108872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108882 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2108885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108908 */     // GIR_Coverage, 16898,
     /* 2108908 */     GIR_EraseRootFromParent_Done,
     /* 2108909 */   // Label 27912: @2108909
     /* 2108909 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2109000), // Rule ID 16899 //
     /* 2108914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2108922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2108925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2108928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2108934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108960 */     // MIs[0] round
     /* 2108960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108963 */     // MIs[0] policy
     /* 2108963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108973 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2108976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108999 */     // GIR_Coverage, 16899,
     /* 2108999 */     GIR_EraseRootFromParent_Done,
     /* 2109000 */   // Label 27913: @2109000
     /* 2109000 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2109091), // Rule ID 16902 //
     /* 2109005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2109025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109051 */     // MIs[0] round
     /* 2109051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109054 */     // MIs[0] policy
     /* 2109054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109064 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2109067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109090 */     // GIR_Coverage, 16902,
     /* 2109090 */     GIR_EraseRootFromParent_Done,
     /* 2109091 */   // Label 27914: @2109091
     /* 2109091 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2109182), // Rule ID 16903 //
     /* 2109096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2109113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2109116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109142 */     // MIs[0] round
     /* 2109142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109145 */     // MIs[0] policy
     /* 2109145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109155 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2109158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109181 */     // GIR_Coverage, 16903,
     /* 2109181 */     GIR_EraseRootFromParent_Done,
     /* 2109182 */   // Label 27915: @2109182
     /* 2109182 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2109273), // Rule ID 16906 //
     /* 2109187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2109207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109233 */     // MIs[0] round
     /* 2109233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109236 */     // MIs[0] policy
     /* 2109236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109246 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2109249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109272 */     // GIR_Coverage, 16906,
     /* 2109272 */     GIR_EraseRootFromParent_Done,
     /* 2109273 */   // Label 27916: @2109273
     /* 2109273 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2109364), // Rule ID 16907 //
     /* 2109278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2109295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2109298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109324 */     // MIs[0] round
     /* 2109324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109327 */     // MIs[0] policy
     /* 2109327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109337 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2109340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109363 */     // GIR_Coverage, 16907,
     /* 2109363 */     GIR_EraseRootFromParent_Done,
     /* 2109364 */   // Label 27917: @2109364
     /* 2109364 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2109455), // Rule ID 16910 //
     /* 2109369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2109389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109415 */     // MIs[0] round
     /* 2109415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109418 */     // MIs[0] policy
     /* 2109418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2109431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109454 */     // GIR_Coverage, 16910,
     /* 2109454 */     GIR_EraseRootFromParent_Done,
     /* 2109455 */   // Label 27918: @2109455
     /* 2109455 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2109546), // Rule ID 16911 //
     /* 2109460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2109480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109506 */     // MIs[0] round
     /* 2109506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109509 */     // MIs[0] policy
     /* 2109509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109519 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2109522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109545 */     // GIR_Coverage, 16911,
     /* 2109545 */     GIR_EraseRootFromParent_Done,
     /* 2109546 */   // Label 27919: @2109546
     /* 2109546 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2109637), // Rule ID 16914 //
     /* 2109551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2109562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2109565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2109571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109597 */     // MIs[0] round
     /* 2109597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109600 */     // MIs[0] policy
     /* 2109600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109610 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2109613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109636 */     // GIR_Coverage, 16914,
     /* 2109636 */     GIR_EraseRootFromParent_Done,
     /* 2109637 */   // Label 27920: @2109637
     /* 2109637 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2109728), // Rule ID 16915 //
     /* 2109642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2109653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2109656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2109662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109688 */     // MIs[0] round
     /* 2109688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109691 */     // MIs[0] policy
     /* 2109691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109701 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2109704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109727 */     // GIR_Coverage, 16915,
     /* 2109727 */     GIR_EraseRootFromParent_Done,
     /* 2109728 */   // Label 27921: @2109728
     /* 2109728 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2109819), // Rule ID 16918 //
     /* 2109733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2109744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2109747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2109753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109779 */     // MIs[0] round
     /* 2109779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109782 */     // MIs[0] policy
     /* 2109782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109792 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2109795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109818 */     // GIR_Coverage, 16918,
     /* 2109818 */     GIR_EraseRootFromParent_Done,
     /* 2109819 */   // Label 27922: @2109819
     /* 2109819 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2109910), // Rule ID 16919 //
     /* 2109824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2109835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2109838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2109844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109870 */     // MIs[0] round
     /* 2109870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109873 */     // MIs[0] policy
     /* 2109873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109883 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2109886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109909 */     // GIR_Coverage, 16919,
     /* 2109909 */     GIR_EraseRootFromParent_Done,
     /* 2109910 */   // Label 27923: @2109910
     /* 2109910 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2110001), // Rule ID 16922 //
     /* 2109915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2109923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109961 */     // MIs[0] round
     /* 2109961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109964 */     // MIs[0] policy
     /* 2109964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109974 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2109977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110000 */     // GIR_Coverage, 16922,
     /* 2110000 */     GIR_EraseRootFromParent_Done,
     /* 2110001 */   // Label 27924: @2110001
     /* 2110001 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2110092), // Rule ID 16923 //
     /* 2110006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2110026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110052 */     // MIs[0] round
     /* 2110052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110055 */     // MIs[0] policy
     /* 2110055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110065 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2110068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110091 */     // GIR_Coverage, 16923,
     /* 2110091 */     GIR_EraseRootFromParent_Done,
     /* 2110092 */   // Label 27925: @2110092
     /* 2110092 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2110183), // Rule ID 16926 //
     /* 2110097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110143 */     // MIs[0] round
     /* 2110143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110146 */     // MIs[0] policy
     /* 2110146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2110159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110182 */     // GIR_Coverage, 16926,
     /* 2110182 */     GIR_EraseRootFromParent_Done,
     /* 2110183 */   // Label 27926: @2110183
     /* 2110183 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2110274), // Rule ID 16927 //
     /* 2110188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110234 */     // MIs[0] round
     /* 2110234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110237 */     // MIs[0] policy
     /* 2110237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110247 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2110250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110273 */     // GIR_Coverage, 16927,
     /* 2110273 */     GIR_EraseRootFromParent_Done,
     /* 2110274 */   // Label 27927: @2110274
     /* 2110274 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2110365), // Rule ID 16930 //
     /* 2110279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2110296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110325 */     // MIs[0] round
     /* 2110325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110328 */     // MIs[0] policy
     /* 2110328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110338 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2110341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110364 */     // GIR_Coverage, 16930,
     /* 2110364 */     GIR_EraseRootFromParent_Done,
     /* 2110365 */   // Label 27928: @2110365
     /* 2110365 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2110456), // Rule ID 16931 //
     /* 2110370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2110387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110416 */     // MIs[0] round
     /* 2110416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110419 */     // MIs[0] policy
     /* 2110419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110429 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2110432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110455 */     // GIR_Coverage, 16931,
     /* 2110455 */     GIR_EraseRootFromParent_Done,
     /* 2110456 */   // Label 27929: @2110456
     /* 2110456 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2110547), // Rule ID 16934 //
     /* 2110461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2110478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110507 */     // MIs[0] round
     /* 2110507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110510 */     // MIs[0] policy
     /* 2110510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110520 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2110523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110546 */     // GIR_Coverage, 16934,
     /* 2110546 */     GIR_EraseRootFromParent_Done,
     /* 2110547 */   // Label 27930: @2110547
     /* 2110547 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2110638), // Rule ID 16935 //
     /* 2110552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2110569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110598 */     // MIs[0] round
     /* 2110598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110601 */     // MIs[0] policy
     /* 2110601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2110614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110637 */     // GIR_Coverage, 16935,
     /* 2110637 */     GIR_EraseRootFromParent_Done,
     /* 2110638 */   // Label 27931: @2110638
     /* 2110638 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2110729), // Rule ID 16938 //
     /* 2110643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2110660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110689 */     // MIs[0] round
     /* 2110689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110692 */     // MIs[0] policy
     /* 2110692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2110705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110728 */     // GIR_Coverage, 16938,
     /* 2110728 */     GIR_EraseRootFromParent_Done,
     /* 2110729 */   // Label 27932: @2110729
     /* 2110729 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2110820), // Rule ID 16939 //
     /* 2110734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2110751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110780 */     // MIs[0] round
     /* 2110780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110783 */     // MIs[0] policy
     /* 2110783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110793 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2110796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110819 */     // GIR_Coverage, 16939,
     /* 2110819 */     GIR_EraseRootFromParent_Done,
     /* 2110820 */   // Label 27933: @2110820
     /* 2110820 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2110911), // Rule ID 16942 //
     /* 2110825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2110836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2110839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2110842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110871 */     // MIs[0] round
     /* 2110871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110874 */     // MIs[0] policy
     /* 2110874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110884 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2110887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110910 */     // GIR_Coverage, 16942,
     /* 2110910 */     GIR_EraseRootFromParent_Done,
     /* 2110911 */   // Label 27934: @2110911
     /* 2110911 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2111002), // Rule ID 16943 //
     /* 2110916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2110924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2110927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2110930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2110933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110962 */     // MIs[0] round
     /* 2110962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110965 */     // MIs[0] policy
     /* 2110965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110975 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2110978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111001 */     // GIR_Coverage, 16943,
     /* 2111001 */     GIR_EraseRootFromParent_Done,
     /* 2111002 */   // Label 27935: @2111002
     /* 2111002 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2111093), // Rule ID 16946 //
     /* 2111007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111053 */     // MIs[0] round
     /* 2111053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111056 */     // MIs[0] policy
     /* 2111056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111066 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2111069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111092 */     // GIR_Coverage, 16946,
     /* 2111092 */     GIR_EraseRootFromParent_Done,
     /* 2111093 */   // Label 27936: @2111093
     /* 2111093 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2111184), // Rule ID 16947 //
     /* 2111098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111144 */     // MIs[0] round
     /* 2111144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111147 */     // MIs[0] policy
     /* 2111147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111157 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2111160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111183 */     // GIR_Coverage, 16947,
     /* 2111183 */     GIR_EraseRootFromParent_Done,
     /* 2111184 */   // Label 27937: @2111184
     /* 2111184 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2111275), // Rule ID 16950 //
     /* 2111189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2111206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111235 */     // MIs[0] round
     /* 2111235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111238 */     // MIs[0] policy
     /* 2111238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2111251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111274 */     // GIR_Coverage, 16950,
     /* 2111274 */     GIR_EraseRootFromParent_Done,
     /* 2111275 */   // Label 27938: @2111275
     /* 2111275 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2111366), // Rule ID 16951 //
     /* 2111280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2111297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111326 */     // MIs[0] round
     /* 2111326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111329 */     // MIs[0] policy
     /* 2111329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111339 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2111342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111365 */     // GIR_Coverage, 16951,
     /* 2111365 */     GIR_EraseRootFromParent_Done,
     /* 2111366 */   // Label 27939: @2111366
     /* 2111366 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2111457), // Rule ID 16954 //
     /* 2111371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111417 */     // MIs[0] round
     /* 2111417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111420 */     // MIs[0] policy
     /* 2111420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111430 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2111433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111456 */     // GIR_Coverage, 16954,
     /* 2111456 */     GIR_EraseRootFromParent_Done,
     /* 2111457 */   // Label 27940: @2111457
     /* 2111457 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2111548), // Rule ID 16955 //
     /* 2111462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111508 */     // MIs[0] round
     /* 2111508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111511 */     // MIs[0] policy
     /* 2111511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111521 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2111524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111547 */     // GIR_Coverage, 16955,
     /* 2111547 */     GIR_EraseRootFromParent_Done,
     /* 2111548 */   // Label 27941: @2111548
     /* 2111548 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2111639), // Rule ID 16958 //
     /* 2111553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111599 */     // MIs[0] round
     /* 2111599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111602 */     // MIs[0] policy
     /* 2111602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111612 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2111615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111638 */     // GIR_Coverage, 16958,
     /* 2111638 */     GIR_EraseRootFromParent_Done,
     /* 2111639 */   // Label 27942: @2111639
     /* 2111639 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2111730), // Rule ID 16959 //
     /* 2111644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2111652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111690 */     // MIs[0] round
     /* 2111690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111693 */     // MIs[0] policy
     /* 2111693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111703 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2111706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111729 */     // GIR_Coverage, 16959,
     /* 2111729 */     GIR_EraseRootFromParent_Done,
     /* 2111730 */   // Label 27943: @2111730
     /* 2111730 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2111821), // Rule ID 16962 //
     /* 2111735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2111743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2111746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2111749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2111752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2111755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111781 */     // MIs[0] round
     /* 2111781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111784 */     // MIs[0] policy
     /* 2111784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111794 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2111797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111820 */     // GIR_Coverage, 16962,
     /* 2111820 */     GIR_EraseRootFromParent_Done,
     /* 2111821 */   // Label 27944: @2111821
     /* 2111821 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2111912), // Rule ID 16963 //
     /* 2111826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2111834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2111837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2111840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2111843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2111846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111872 */     // MIs[0] round
     /* 2111872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111875 */     // MIs[0] policy
     /* 2111875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111885 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2111888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111911 */     // GIR_Coverage, 16963,
     /* 2111911 */     GIR_EraseRootFromParent_Done,
     /* 2111912 */   // Label 27945: @2111912
     /* 2111912 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2112003), // Rule ID 16966 //
     /* 2111917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2111925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2111928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2111931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2111934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2111937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111963 */     // MIs[0] round
     /* 2111963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111966 */     // MIs[0] policy
     /* 2111966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111976 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2111979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112002 */     // GIR_Coverage, 16966,
     /* 2112002 */     GIR_EraseRootFromParent_Done,
     /* 2112003 */   // Label 27946: @2112003
     /* 2112003 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2112094), // Rule ID 16967 //
     /* 2112008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2112025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2112028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112054 */     // MIs[0] round
     /* 2112054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112057 */     // MIs[0] policy
     /* 2112057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2112070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112093 */     // GIR_Coverage, 16967,
     /* 2112093 */     GIR_EraseRootFromParent_Done,
     /* 2112094 */   // Label 27947: @2112094
     /* 2112094 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2112185), // Rule ID 16970 //
     /* 2112099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2112116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2112119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112145 */     // MIs[0] round
     /* 2112145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112148 */     // MIs[0] policy
     /* 2112148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112158 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2112161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112184 */     // GIR_Coverage, 16970,
     /* 2112184 */     GIR_EraseRootFromParent_Done,
     /* 2112185 */   // Label 27948: @2112185
     /* 2112185 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2112276), // Rule ID 16971 //
     /* 2112190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2112207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2112210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112236 */     // MIs[0] round
     /* 2112236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112239 */     // MIs[0] policy
     /* 2112239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112249 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2112252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112275 */     // GIR_Coverage, 16971,
     /* 2112275 */     GIR_EraseRootFromParent_Done,
     /* 2112276 */   // Label 27949: @2112276
     /* 2112276 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2112367), // Rule ID 16974 //
     /* 2112281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2112298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2112301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112327 */     // MIs[0] round
     /* 2112327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112330 */     // MIs[0] policy
     /* 2112330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112340 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2112343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112366 */     // GIR_Coverage, 16974,
     /* 2112366 */     GIR_EraseRootFromParent_Done,
     /* 2112367 */   // Label 27950: @2112367
     /* 2112367 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2112458), // Rule ID 16975 //
     /* 2112372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2112389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2112392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112418 */     // MIs[0] round
     /* 2112418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112421 */     // MIs[0] policy
     /* 2112421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112431 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2112434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112457 */     // GIR_Coverage, 16975,
     /* 2112457 */     GIR_EraseRootFromParent_Done,
     /* 2112458 */   // Label 27951: @2112458
     /* 2112458 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2112549), // Rule ID 16978 //
     /* 2112463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2112480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2112483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112509 */     // MIs[0] round
     /* 2112509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112512 */     // MIs[0] policy
     /* 2112512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112522 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2112525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112548 */     // GIR_Coverage, 16978,
     /* 2112548 */     GIR_EraseRootFromParent_Done,
     /* 2112549 */   // Label 27952: @2112549
     /* 2112549 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2112640), // Rule ID 16979 //
     /* 2112554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2112571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2112574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112600 */     // MIs[0] round
     /* 2112600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112603 */     // MIs[0] policy
     /* 2112603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112613 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2112616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112639 */     // GIR_Coverage, 16979,
     /* 2112639 */     GIR_EraseRootFromParent_Done,
     /* 2112640 */   // Label 27953: @2112640
     /* 2112640 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2112731), // Rule ID 16982 //
     /* 2112645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2112665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112691 */     // MIs[0] round
     /* 2112691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112694 */     // MIs[0] policy
     /* 2112694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112704 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2112707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112730 */     // GIR_Coverage, 16982,
     /* 2112730 */     GIR_EraseRootFromParent_Done,
     /* 2112731 */   // Label 27954: @2112731
     /* 2112731 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2112822), // Rule ID 16983 //
     /* 2112736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2112756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112782 */     // MIs[0] round
     /* 2112782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112785 */     // MIs[0] policy
     /* 2112785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112795 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2112798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112821 */     // GIR_Coverage, 16983,
     /* 2112821 */     GIR_EraseRootFromParent_Done,
     /* 2112822 */   // Label 27955: @2112822
     /* 2112822 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2112913), // Rule ID 16986 //
     /* 2112827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2112838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2112841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2112847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112873 */     // MIs[0] round
     /* 2112873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112876 */     // MIs[0] policy
     /* 2112876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112886 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2112889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112912 */     // GIR_Coverage, 16986,
     /* 2112912 */     GIR_EraseRootFromParent_Done,
     /* 2112913 */   // Label 27956: @2112913
     /* 2112913 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2113004), // Rule ID 16987 //
     /* 2112918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2112926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2112929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2112932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2112938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112964 */     // MIs[0] round
     /* 2112964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112967 */     // MIs[0] policy
     /* 2112967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112977 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2112980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113003 */     // GIR_Coverage, 16987,
     /* 2113003 */     GIR_EraseRootFromParent_Done,
     /* 2113004 */   // Label 27957: @2113004
     /* 2113004 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2113095), // Rule ID 16990 //
     /* 2113009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2113029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113055 */     // MIs[0] round
     /* 2113055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113058 */     // MIs[0] policy
     /* 2113058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113068 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2113071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113094 */     // GIR_Coverage, 16990,
     /* 2113094 */     GIR_EraseRootFromParent_Done,
     /* 2113095 */   // Label 27958: @2113095
     /* 2113095 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2113186), // Rule ID 16991 //
     /* 2113100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2113120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113146 */     // MIs[0] round
     /* 2113146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113149 */     // MIs[0] policy
     /* 2113149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113159 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2113162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113185 */     // GIR_Coverage, 16991,
     /* 2113185 */     GIR_EraseRootFromParent_Done,
     /* 2113186 */   // Label 27959: @2113186
     /* 2113186 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2113277), // Rule ID 16994 //
     /* 2113191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2113208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2113211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113237 */     // MIs[0] round
     /* 2113237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113240 */     // MIs[0] policy
     /* 2113240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113250 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2113253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113276 */     // GIR_Coverage, 16994,
     /* 2113276 */     GIR_EraseRootFromParent_Done,
     /* 2113277 */   // Label 27960: @2113277
     /* 2113277 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2113368), // Rule ID 16995 //
     /* 2113282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2113299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2113302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113328 */     // MIs[0] round
     /* 2113328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113331 */     // MIs[0] policy
     /* 2113331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113341 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2113344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113367 */     // GIR_Coverage, 16995,
     /* 2113367 */     GIR_EraseRootFromParent_Done,
     /* 2113368 */   // Label 27961: @2113368
     /* 2113368 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2113459), // Rule ID 16998 //
     /* 2113373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2113390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113419 */     // MIs[0] round
     /* 2113419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113422 */     // MIs[0] policy
     /* 2113422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113432 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2113435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113458 */     // GIR_Coverage, 16998,
     /* 2113458 */     GIR_EraseRootFromParent_Done,
     /* 2113459 */   // Label 27962: @2113459
     /* 2113459 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2113550), // Rule ID 16999 //
     /* 2113464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2113481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113510 */     // MIs[0] round
     /* 2113510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113513 */     // MIs[0] policy
     /* 2113513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2113526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113549 */     // GIR_Coverage, 16999,
     /* 2113549 */     GIR_EraseRootFromParent_Done,
     /* 2113550 */   // Label 27963: @2113550
     /* 2113550 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2113641), // Rule ID 17002 //
     /* 2113555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2113572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113601 */     // MIs[0] round
     /* 2113601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113604 */     // MIs[0] policy
     /* 2113604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113614 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2113617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113640 */     // GIR_Coverage, 17002,
     /* 2113640 */     GIR_EraseRootFromParent_Done,
     /* 2113641 */   // Label 27964: @2113641
     /* 2113641 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2113732), // Rule ID 17003 //
     /* 2113646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2113657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2113660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2113663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113692 */     // MIs[0] round
     /* 2113692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113695 */     // MIs[0] policy
     /* 2113695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113705 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2113708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113731 */     // GIR_Coverage, 17003,
     /* 2113731 */     GIR_EraseRootFromParent_Done,
     /* 2113732 */   // Label 27965: @2113732
     /* 2113732 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2113823), // Rule ID 17006 //
     /* 2113737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2113748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2113751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2113754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113783 */     // MIs[0] round
     /* 2113783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113786 */     // MIs[0] policy
     /* 2113786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113796 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2113799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113822 */     // GIR_Coverage, 17006,
     /* 2113822 */     GIR_EraseRootFromParent_Done,
     /* 2113823 */   // Label 27966: @2113823
     /* 2113823 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2113914), // Rule ID 17007 //
     /* 2113828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2113839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2113842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2113845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113874 */     // MIs[0] round
     /* 2113874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113877 */     // MIs[0] policy
     /* 2113877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113887 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2113890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113913 */     // GIR_Coverage, 17007,
     /* 2113913 */     GIR_EraseRootFromParent_Done,
     /* 2113914 */   // Label 27967: @2113914
     /* 2113914 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2114005), // Rule ID 17010 //
     /* 2113919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2113927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2113930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2113933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2113936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113965 */     // MIs[0] round
     /* 2113965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113968 */     // MIs[0] policy
     /* 2113968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113978 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2113981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114004 */     // GIR_Coverage, 17010,
     /* 2114004 */     GIR_EraseRootFromParent_Done,
     /* 2114005 */   // Label 27968: @2114005
     /* 2114005 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2114096), // Rule ID 17011 //
     /* 2114010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2114027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114056 */     // MIs[0] round
     /* 2114056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114059 */     // MIs[0] policy
     /* 2114059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114069 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2114072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114095 */     // GIR_Coverage, 17011,
     /* 2114095 */     GIR_EraseRootFromParent_Done,
     /* 2114096 */   // Label 27969: @2114096
     /* 2114096 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2114187), // Rule ID 17014 //
     /* 2114101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114147 */     // MIs[0] round
     /* 2114147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114150 */     // MIs[0] policy
     /* 2114150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114160 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2114163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114186 */     // GIR_Coverage, 17014,
     /* 2114186 */     GIR_EraseRootFromParent_Done,
     /* 2114187 */   // Label 27970: @2114187
     /* 2114187 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2114278), // Rule ID 17015 //
     /* 2114192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114238 */     // MIs[0] round
     /* 2114238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114241 */     // MIs[0] policy
     /* 2114241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114251 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2114254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114277 */     // GIR_Coverage, 17015,
     /* 2114277 */     GIR_EraseRootFromParent_Done,
     /* 2114278 */   // Label 27971: @2114278
     /* 2114278 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2114369), // Rule ID 17018 //
     /* 2114283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114329 */     // MIs[0] round
     /* 2114329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114332 */     // MIs[0] policy
     /* 2114332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114342 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2114345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114368 */     // GIR_Coverage, 17018,
     /* 2114368 */     GIR_EraseRootFromParent_Done,
     /* 2114369 */   // Label 27972: @2114369
     /* 2114369 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2114460), // Rule ID 17019 //
     /* 2114374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114420 */     // MIs[0] round
     /* 2114420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114423 */     // MIs[0] policy
     /* 2114423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114433 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2114436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114459 */     // GIR_Coverage, 17019,
     /* 2114459 */     GIR_EraseRootFromParent_Done,
     /* 2114460 */   // Label 27973: @2114460
     /* 2114460 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2114551), // Rule ID 17022 //
     /* 2114465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2114476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114511 */     // MIs[0] round
     /* 2114511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114514 */     // MIs[0] policy
     /* 2114514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114524 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2114527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114550 */     // GIR_Coverage, 17022,
     /* 2114550 */     GIR_EraseRootFromParent_Done,
     /* 2114551 */   // Label 27974: @2114551
     /* 2114551 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2114642), // Rule ID 17023 //
     /* 2114556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2114567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114602 */     // MIs[0] round
     /* 2114602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114605 */     // MIs[0] policy
     /* 2114605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114615 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2114618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114641 */     // GIR_Coverage, 17023,
     /* 2114641 */     GIR_EraseRootFromParent_Done,
     /* 2114642 */   // Label 27975: @2114642
     /* 2114642 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2114733), // Rule ID 17026 //
     /* 2114647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114693 */     // MIs[0] round
     /* 2114693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114696 */     // MIs[0] policy
     /* 2114696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114706 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2114709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114732 */     // GIR_Coverage, 17026,
     /* 2114732 */     GIR_EraseRootFromParent_Done,
     /* 2114733 */   // Label 27976: @2114733
     /* 2114733 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2114824), // Rule ID 17027 //
     /* 2114738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114784 */     // MIs[0] round
     /* 2114784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114787 */     // MIs[0] policy
     /* 2114787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114797 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2114800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114823 */     // GIR_Coverage, 17027,
     /* 2114823 */     GIR_EraseRootFromParent_Done,
     /* 2114824 */   // Label 27977: @2114824
     /* 2114824 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2114915), // Rule ID 17030 //
     /* 2114829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2114840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2114843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114875 */     // MIs[0] round
     /* 2114875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114878 */     // MIs[0] policy
     /* 2114878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114888 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2114891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114914 */     // GIR_Coverage, 17030,
     /* 2114914 */     GIR_EraseRootFromParent_Done,
     /* 2114915 */   // Label 27978: @2114915
     /* 2114915 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2115006), // Rule ID 17031 //
     /* 2114920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2114928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2114931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2114934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114966 */     // MIs[0] round
     /* 2114966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114969 */     // MIs[0] policy
     /* 2114969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114979 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2114982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115005 */     // GIR_Coverage, 17031,
     /* 2115005 */     GIR_EraseRootFromParent_Done,
     /* 2115006 */   // Label 27979: @2115006
     /* 2115006 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2115097), // Rule ID 17040 //
     /* 2115011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2115031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115057 */     // MIs[0] round
     /* 2115057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115060 */     // MIs[0] policy
     /* 2115060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115070 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2115073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115096 */     // GIR_Coverage, 17040,
     /* 2115096 */     GIR_EraseRootFromParent_Done,
     /* 2115097 */   // Label 27980: @2115097
     /* 2115097 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2115188), // Rule ID 17041 //
     /* 2115102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2115122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115148 */     // MIs[0] round
     /* 2115148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115151 */     // MIs[0] policy
     /* 2115151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115161 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2115164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115187 */     // GIR_Coverage, 17041,
     /* 2115187 */     GIR_EraseRootFromParent_Done,
     /* 2115188 */   // Label 27981: @2115188
     /* 2115188 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2115279), // Rule ID 17050 //
     /* 2115193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2115213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115239 */     // MIs[0] round
     /* 2115239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115242 */     // MIs[0] policy
     /* 2115242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2115255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115278 */     // GIR_Coverage, 17050,
     /* 2115278 */     GIR_EraseRootFromParent_Done,
     /* 2115279 */   // Label 27982: @2115279
     /* 2115279 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2115370), // Rule ID 17051 //
     /* 2115284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2115304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115330 */     // MIs[0] round
     /* 2115330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115333 */     // MIs[0] policy
     /* 2115333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115343 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2115346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115369 */     // GIR_Coverage, 17051,
     /* 2115369 */     GIR_EraseRootFromParent_Done,
     /* 2115370 */   // Label 27983: @2115370
     /* 2115370 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2115461), // Rule ID 17060 //
     /* 2115375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2115395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115421 */     // MIs[0] round
     /* 2115421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115424 */     // MIs[0] policy
     /* 2115424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115434 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2115437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115460 */     // GIR_Coverage, 17060,
     /* 2115460 */     GIR_EraseRootFromParent_Done,
     /* 2115461 */   // Label 27984: @2115461
     /* 2115461 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2115552), // Rule ID 17061 //
     /* 2115466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2115486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115512 */     // MIs[0] round
     /* 2115512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115515 */     // MIs[0] policy
     /* 2115515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115525 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2115528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115551 */     // GIR_Coverage, 17061,
     /* 2115551 */     GIR_EraseRootFromParent_Done,
     /* 2115552 */   // Label 27985: @2115552
     /* 2115552 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2115643), // Rule ID 17070 //
     /* 2115557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2115560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2115577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115603 */     // MIs[0] round
     /* 2115603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115606 */     // MIs[0] policy
     /* 2115606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115616 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2115619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115642 */     // GIR_Coverage, 17070,
     /* 2115642 */     GIR_EraseRootFromParent_Done,
     /* 2115643 */   // Label 27986: @2115643
     /* 2115643 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2115734), // Rule ID 17071 //
     /* 2115648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2115651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2115668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115694 */     // MIs[0] round
     /* 2115694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115697 */     // MIs[0] policy
     /* 2115697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115707 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2115710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115733 */     // GIR_Coverage, 17071,
     /* 2115733 */     GIR_EraseRootFromParent_Done,
     /* 2115734 */   // Label 27987: @2115734
     /* 2115734 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2115825), // Rule ID 17080 //
     /* 2115739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2115750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2115753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2115756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2115759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115785 */     // MIs[0] round
     /* 2115785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115788 */     // MIs[0] policy
     /* 2115788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115798 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2115801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115824 */     // GIR_Coverage, 17080,
     /* 2115824 */     GIR_EraseRootFromParent_Done,
     /* 2115825 */   // Label 27988: @2115825
     /* 2115825 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2115916), // Rule ID 17081 //
     /* 2115830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2115841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2115844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2115847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2115850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115876 */     // MIs[0] round
     /* 2115876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115879 */     // MIs[0] policy
     /* 2115879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115889 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2115892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115915 */     // GIR_Coverage, 17081,
     /* 2115915 */     GIR_EraseRootFromParent_Done,
     /* 2115916 */   // Label 27989: @2115916
     /* 2115916 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2116007), // Rule ID 17090 //
     /* 2115921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2115929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115967 */     // MIs[0] round
     /* 2115967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115970 */     // MIs[0] policy
     /* 2115970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115980 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2115983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116006 */     // GIR_Coverage, 17090,
     /* 2116006 */     GIR_EraseRootFromParent_Done,
     /* 2116007 */   // Label 27990: @2116007
     /* 2116007 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2116098), // Rule ID 17091 //
     /* 2116012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2116032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116058 */     // MIs[0] round
     /* 2116058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116061 */     // MIs[0] policy
     /* 2116061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116071 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2116074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116097 */     // GIR_Coverage, 17091,
     /* 2116097 */     GIR_EraseRootFromParent_Done,
     /* 2116098 */   // Label 27991: @2116098
     /* 2116098 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2116189), // Rule ID 17100 //
     /* 2116103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2116123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116149 */     // MIs[0] round
     /* 2116149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116152 */     // MIs[0] policy
     /* 2116152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116162 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2116165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116188 */     // GIR_Coverage, 17100,
     /* 2116188 */     GIR_EraseRootFromParent_Done,
     /* 2116189 */   // Label 27992: @2116189
     /* 2116189 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2116280), // Rule ID 17101 //
     /* 2116194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2116214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116240 */     // MIs[0] round
     /* 2116240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116243 */     // MIs[0] policy
     /* 2116243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116253 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2116256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116279 */     // GIR_Coverage, 17101,
     /* 2116279 */     GIR_EraseRootFromParent_Done,
     /* 2116280 */   // Label 27993: @2116280
     /* 2116280 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2116371), // Rule ID 17110 //
     /* 2116285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2116288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2116305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116331 */     // MIs[0] round
     /* 2116331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116334 */     // MIs[0] policy
     /* 2116334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116344 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2116347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116370 */     // GIR_Coverage, 17110,
     /* 2116370 */     GIR_EraseRootFromParent_Done,
     /* 2116371 */   // Label 27994: @2116371
     /* 2116371 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2116462), // Rule ID 17111 //
     /* 2116376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2116379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2116396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116422 */     // MIs[0] round
     /* 2116422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116425 */     // MIs[0] policy
     /* 2116425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116435 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2116438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116461 */     // GIR_Coverage, 17111,
     /* 2116461 */     GIR_EraseRootFromParent_Done,
     /* 2116462 */   // Label 27995: @2116462
     /* 2116462 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2116553), // Rule ID 17114 //
     /* 2116467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2116478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2116481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116513 */     // MIs[0] round
     /* 2116513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116516 */     // MIs[0] policy
     /* 2116516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116526 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2116529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116552 */     // GIR_Coverage, 17114,
     /* 2116552 */     GIR_EraseRootFromParent_Done,
     /* 2116553 */   // Label 27996: @2116553
     /* 2116553 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2116644), // Rule ID 17115 //
     /* 2116558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2116569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2116572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116604 */     // MIs[0] round
     /* 2116604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116607 */     // MIs[0] policy
     /* 2116607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116617 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2116620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116643 */     // GIR_Coverage, 17115,
     /* 2116643 */     GIR_EraseRootFromParent_Done,
     /* 2116644 */   // Label 27997: @2116644
     /* 2116644 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2116735), // Rule ID 17118 //
     /* 2116649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2116660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2116663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116695 */     // MIs[0] round
     /* 2116695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116698 */     // MIs[0] policy
     /* 2116698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2116711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116734 */     // GIR_Coverage, 17118,
     /* 2116734 */     GIR_EraseRootFromParent_Done,
     /* 2116735 */   // Label 27998: @2116735
     /* 2116735 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2116826), // Rule ID 17119 //
     /* 2116740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2116751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2116754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116786 */     // MIs[0] round
     /* 2116786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116789 */     // MIs[0] policy
     /* 2116789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116799 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2116802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116825 */     // GIR_Coverage, 17119,
     /* 2116825 */     GIR_EraseRootFromParent_Done,
     /* 2116826 */   // Label 27999: @2116826
     /* 2116826 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2116917), // Rule ID 17122 //
     /* 2116831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2116834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116877 */     // MIs[0] round
     /* 2116877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116880 */     // MIs[0] policy
     /* 2116880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116890 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2116893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116916 */     // GIR_Coverage, 17122,
     /* 2116916 */     GIR_EraseRootFromParent_Done,
     /* 2116917 */   // Label 28000: @2116917
     /* 2116917 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2117008), // Rule ID 17123 //
     /* 2116922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2116925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2116930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2116942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2116964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116968 */     // MIs[0] round
     /* 2116968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116971 */     // MIs[0] policy
     /* 2116971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116981 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2116984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117007 */     // GIR_Coverage, 17123,
     /* 2117007 */     GIR_EraseRootFromParent_Done,
     /* 2117008 */   // Label 28001: @2117008
     /* 2117008 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2117099), // Rule ID 17126 //
     /* 2117013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117059 */     // MIs[0] round
     /* 2117059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117062 */     // MIs[0] policy
     /* 2117062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117072 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2117075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117098 */     // GIR_Coverage, 17126,
     /* 2117098 */     GIR_EraseRootFromParent_Done,
     /* 2117099 */   // Label 28002: @2117099
     /* 2117099 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2117190), // Rule ID 17127 //
     /* 2117104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117150 */     // MIs[0] round
     /* 2117150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117153 */     // MIs[0] policy
     /* 2117153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117163 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2117166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117189 */     // GIR_Coverage, 17127,
     /* 2117189 */     GIR_EraseRootFromParent_Done,
     /* 2117190 */   // Label 28003: @2117190
     /* 2117190 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2117281), // Rule ID 17130 //
     /* 2117195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2117198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117241 */     // MIs[0] round
     /* 2117241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117244 */     // MIs[0] policy
     /* 2117244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117254 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2117257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117280 */     // GIR_Coverage, 17130,
     /* 2117280 */     GIR_EraseRootFromParent_Done,
     /* 2117281 */   // Label 28004: @2117281
     /* 2117281 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2117372), // Rule ID 17131 //
     /* 2117286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2117289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117332 */     // MIs[0] round
     /* 2117332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117335 */     // MIs[0] policy
     /* 2117335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117345 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2117348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117371 */     // GIR_Coverage, 17131,
     /* 2117371 */     GIR_EraseRootFromParent_Done,
     /* 2117372 */   // Label 28005: @2117372
     /* 2117372 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2117463), // Rule ID 17134 //
     /* 2117377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117423 */     // MIs[0] round
     /* 2117423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117426 */     // MIs[0] policy
     /* 2117426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2117439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117462 */     // GIR_Coverage, 17134,
     /* 2117462 */     GIR_EraseRootFromParent_Done,
     /* 2117463 */   // Label 28006: @2117463
     /* 2117463 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2117554), // Rule ID 17135 //
     /* 2117468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117514 */     // MIs[0] round
     /* 2117514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117517 */     // MIs[0] policy
     /* 2117517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117527 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2117530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117553 */     // GIR_Coverage, 17135,
     /* 2117553 */     GIR_EraseRootFromParent_Done,
     /* 2117554 */   // Label 28007: @2117554
     /* 2117554 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2117645), // Rule ID 17138 //
     /* 2117559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2117570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2117573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2117576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117605 */     // MIs[0] round
     /* 2117605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117608 */     // MIs[0] policy
     /* 2117608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117618 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2117621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117644 */     // GIR_Coverage, 17138,
     /* 2117644 */     GIR_EraseRootFromParent_Done,
     /* 2117645 */   // Label 28008: @2117645
     /* 2117645 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2117736), // Rule ID 17139 //
     /* 2117650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2117661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2117664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2117667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117696 */     // MIs[0] round
     /* 2117696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117699 */     // MIs[0] policy
     /* 2117699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117709 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2117712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117735 */     // GIR_Coverage, 17139,
     /* 2117735 */     GIR_EraseRootFromParent_Done,
     /* 2117736 */   // Label 28009: @2117736
     /* 2117736 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2117827), // Rule ID 17142 //
     /* 2117741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2117752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2117755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2117758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117787 */     // MIs[0] round
     /* 2117787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117790 */     // MIs[0] policy
     /* 2117790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117800 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2117803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117826 */     // GIR_Coverage, 17142,
     /* 2117826 */     GIR_EraseRootFromParent_Done,
     /* 2117827 */   // Label 28010: @2117827
     /* 2117827 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2117918), // Rule ID 17143 //
     /* 2117832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2117835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2117843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2117846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2117849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117878 */     // MIs[0] round
     /* 2117878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117881 */     // MIs[0] policy
     /* 2117881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117891 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2117894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117917 */     // GIR_Coverage, 17143,
     /* 2117917 */     GIR_EraseRootFromParent_Done,
     /* 2117918 */   // Label 28011: @2117918
     /* 2117918 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2118009), // Rule ID 17146 //
     /* 2117923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2117926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2117931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2117940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117969 */     // MIs[0] round
     /* 2117969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117972 */     // MIs[0] policy
     /* 2117972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117982 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2117985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118008 */     // GIR_Coverage, 17146,
     /* 2118008 */     GIR_EraseRootFromParent_Done,
     /* 2118009 */   // Label 28012: @2118009
     /* 2118009 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2118100), // Rule ID 17147 //
     /* 2118014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2118017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2118022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118060 */     // MIs[0] round
     /* 2118060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118063 */     // MIs[0] policy
     /* 2118063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118073 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2118076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118099 */     // GIR_Coverage, 17147,
     /* 2118099 */     GIR_EraseRootFromParent_Done,
     /* 2118100 */   // Label 28013: @2118100
     /* 2118100 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2118191), // Rule ID 17156 //
     /* 2118105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2118116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2118119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2118125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118151 */     // MIs[0] round
     /* 2118151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118154 */     // MIs[0] policy
     /* 2118154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118164 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2118167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118190 */     // GIR_Coverage, 17156,
     /* 2118190 */     GIR_EraseRootFromParent_Done,
     /* 2118191 */   // Label 28014: @2118191
     /* 2118191 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2118282), // Rule ID 17157 //
     /* 2118196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2118207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2118210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2118216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118242 */     // MIs[0] round
     /* 2118242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118245 */     // MIs[0] policy
     /* 2118245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118255 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2118258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118281 */     // GIR_Coverage, 17157,
     /* 2118281 */     GIR_EraseRootFromParent_Done,
     /* 2118282 */   // Label 28015: @2118282
     /* 2118282 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2118373), // Rule ID 17166 //
     /* 2118287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2118298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2118301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2118307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118333 */     // MIs[0] round
     /* 2118333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118336 */     // MIs[0] policy
     /* 2118336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118346 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2118349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118372 */     // GIR_Coverage, 17166,
     /* 2118372 */     GIR_EraseRootFromParent_Done,
     /* 2118373 */   // Label 28016: @2118373
     /* 2118373 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2118464), // Rule ID 17167 //
     /* 2118378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2118389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2118392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2118395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2118398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118424 */     // MIs[0] round
     /* 2118424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118427 */     // MIs[0] policy
     /* 2118427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118437 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2118440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118463 */     // GIR_Coverage, 17167,
     /* 2118463 */     GIR_EraseRootFromParent_Done,
     /* 2118464 */   // Label 28017: @2118464
     /* 2118464 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2118555), // Rule ID 17176 //
     /* 2118469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2118489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118515 */     // MIs[0] round
     /* 2118515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118518 */     // MIs[0] policy
     /* 2118518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2118531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118554 */     // GIR_Coverage, 17176,
     /* 2118554 */     GIR_EraseRootFromParent_Done,
     /* 2118555 */   // Label 28018: @2118555
     /* 2118555 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2118646), // Rule ID 17177 //
     /* 2118560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2118580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118606 */     // MIs[0] round
     /* 2118606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118609 */     // MIs[0] policy
     /* 2118609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118619 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2118622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118645 */     // GIR_Coverage, 17177,
     /* 2118645 */     GIR_EraseRootFromParent_Done,
     /* 2118646 */   // Label 28019: @2118646
     /* 2118646 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2118737), // Rule ID 17186 //
     /* 2118651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2118671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118697 */     // MIs[0] round
     /* 2118697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118700 */     // MIs[0] policy
     /* 2118700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118710 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2118713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118736 */     // GIR_Coverage, 17186,
     /* 2118736 */     GIR_EraseRootFromParent_Done,
     /* 2118737 */   // Label 28020: @2118737
     /* 2118737 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2118828), // Rule ID 17187 //
     /* 2118742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2118762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118788 */     // MIs[0] round
     /* 2118788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118791 */     // MIs[0] policy
     /* 2118791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118801 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2118804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118827 */     // GIR_Coverage, 17187,
     /* 2118827 */     GIR_EraseRootFromParent_Done,
     /* 2118828 */   // Label 28021: @2118828
     /* 2118828 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2118919), // Rule ID 17196 //
     /* 2118833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2118836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118879 */     // MIs[0] round
     /* 2118879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118882 */     // MIs[0] policy
     /* 2118882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118892 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2118895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118918 */     // GIR_Coverage, 17196,
     /* 2118918 */     GIR_EraseRootFromParent_Done,
     /* 2118919 */   // Label 28022: @2118919
     /* 2118919 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2119010), // Rule ID 17197 //
     /* 2118924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2118927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2118932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2118944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118970 */     // MIs[0] round
     /* 2118970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118973 */     // MIs[0] policy
     /* 2118973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118983 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2118986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119009 */     // GIR_Coverage, 17197,
     /* 2119009 */     GIR_EraseRootFromParent_Done,
     /* 2119010 */   // Label 28023: @2119010
     /* 2119010 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2119101), // Rule ID 17206 //
     /* 2119015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2119032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2119035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119061 */     // MIs[0] round
     /* 2119061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119064 */     // MIs[0] policy
     /* 2119064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119074 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2119077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119100 */     // GIR_Coverage, 17206,
     /* 2119100 */     GIR_EraseRootFromParent_Done,
     /* 2119101 */   // Label 28024: @2119101
     /* 2119101 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2119192), // Rule ID 17207 //
     /* 2119106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2119123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2119126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119152 */     // MIs[0] round
     /* 2119152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119155 */     // MIs[0] policy
     /* 2119155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119165 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2119168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119191 */     // GIR_Coverage, 17207,
     /* 2119191 */     GIR_EraseRootFromParent_Done,
     /* 2119192 */   // Label 28025: @2119192
     /* 2119192 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2119283), // Rule ID 17216 //
     /* 2119197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2119217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119243 */     // MIs[0] round
     /* 2119243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119246 */     // MIs[0] policy
     /* 2119246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2119259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119282 */     // GIR_Coverage, 17216,
     /* 2119282 */     GIR_EraseRootFromParent_Done,
     /* 2119283 */   // Label 28026: @2119283
     /* 2119283 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2119374), // Rule ID 17217 //
     /* 2119288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2119308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119334 */     // MIs[0] round
     /* 2119334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119337 */     // MIs[0] policy
     /* 2119337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119347 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2119350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119373 */     // GIR_Coverage, 17217,
     /* 2119373 */     GIR_EraseRootFromParent_Done,
     /* 2119374 */   // Label 28027: @2119374
     /* 2119374 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2119465), // Rule ID 17226 //
     /* 2119379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2119399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119425 */     // MIs[0] round
     /* 2119425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119428 */     // MIs[0] policy
     /* 2119428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119438 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2119441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119464 */     // GIR_Coverage, 17226,
     /* 2119464 */     GIR_EraseRootFromParent_Done,
     /* 2119465 */   // Label 28028: @2119465
     /* 2119465 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2119556), // Rule ID 17227 //
     /* 2119470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2119490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119516 */     // MIs[0] round
     /* 2119516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119519 */     // MIs[0] policy
     /* 2119519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119529 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2119532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119555 */     // GIR_Coverage, 17227,
     /* 2119555 */     GIR_EraseRootFromParent_Done,
     /* 2119556 */   // Label 28029: @2119556
     /* 2119556 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2119647), // Rule ID 17236 //
     /* 2119561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2119564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2119581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119607 */     // MIs[0] round
     /* 2119607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119610 */     // MIs[0] policy
     /* 2119610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119620 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2119623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119646 */     // GIR_Coverage, 17236,
     /* 2119646 */     GIR_EraseRootFromParent_Done,
     /* 2119647 */   // Label 28030: @2119647
     /* 2119647 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2119738), // Rule ID 17237 //
     /* 2119652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2119655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2119672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119698 */     // MIs[0] round
     /* 2119698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119701 */     // MIs[0] policy
     /* 2119701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119711 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2119714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119737 */     // GIR_Coverage, 17237,
     /* 2119737 */     GIR_EraseRootFromParent_Done,
     /* 2119738 */   // Label 28031: @2119738
     /* 2119738 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2119829), // Rule ID 17240 //
     /* 2119743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119789 */     // MIs[0] round
     /* 2119789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119792 */     // MIs[0] policy
     /* 2119792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119802 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2119805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119828 */     // GIR_Coverage, 17240,
     /* 2119828 */     GIR_EraseRootFromParent_Done,
     /* 2119829 */   // Label 28032: @2119829
     /* 2119829 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2119920), // Rule ID 17241 //
     /* 2119834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119880 */     // MIs[0] round
     /* 2119880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119883 */     // MIs[0] policy
     /* 2119883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119893 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2119896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119919 */     // GIR_Coverage, 17241,
     /* 2119919 */     GIR_EraseRootFromParent_Done,
     /* 2119920 */   // Label 28033: @2119920
     /* 2119920 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2120011), // Rule ID 17244 //
     /* 2119925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2119933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2119936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2119942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119971 */     // MIs[0] round
     /* 2119971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119974 */     // MIs[0] policy
     /* 2119974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119984 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2119987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120010 */     // GIR_Coverage, 17244,
     /* 2120010 */     GIR_EraseRootFromParent_Done,
     /* 2120011 */   // Label 28034: @2120011
     /* 2120011 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2120102), // Rule ID 17245 //
     /* 2120016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120062 */     // MIs[0] round
     /* 2120062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120065 */     // MIs[0] policy
     /* 2120065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120075 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2120078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120101 */     // GIR_Coverage, 17245,
     /* 2120101 */     GIR_EraseRootFromParent_Done,
     /* 2120102 */   // Label 28035: @2120102
     /* 2120102 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2120193), // Rule ID 17248 //
     /* 2120107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120153 */     // MIs[0] round
     /* 2120153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120156 */     // MIs[0] policy
     /* 2120156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120166 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2120169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120192 */     // GIR_Coverage, 17248,
     /* 2120192 */     GIR_EraseRootFromParent_Done,
     /* 2120193 */   // Label 28036: @2120193
     /* 2120193 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2120284), // Rule ID 17249 //
     /* 2120198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120244 */     // MIs[0] round
     /* 2120244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120247 */     // MIs[0] policy
     /* 2120247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2120260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120283 */     // GIR_Coverage, 17249,
     /* 2120283 */     GIR_EraseRootFromParent_Done,
     /* 2120284 */   // Label 28037: @2120284
     /* 2120284 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2120375), // Rule ID 17252 //
     /* 2120289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120335 */     // MIs[0] round
     /* 2120335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120338 */     // MIs[0] policy
     /* 2120338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120348 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2120351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120374 */     // GIR_Coverage, 17252,
     /* 2120374 */     GIR_EraseRootFromParent_Done,
     /* 2120375 */   // Label 28038: @2120375
     /* 2120375 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2120466), // Rule ID 17253 //
     /* 2120380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120426 */     // MIs[0] round
     /* 2120426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120429 */     // MIs[0] policy
     /* 2120429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120439 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2120442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120465 */     // GIR_Coverage, 17253,
     /* 2120465 */     GIR_EraseRootFromParent_Done,
     /* 2120466 */   // Label 28039: @2120466
     /* 2120466 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2120557), // Rule ID 17256 //
     /* 2120471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2120482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2120485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2120488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120517 */     // MIs[0] round
     /* 2120517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120520 */     // MIs[0] policy
     /* 2120520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120530 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2120533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120556 */     // GIR_Coverage, 17256,
     /* 2120556 */     GIR_EraseRootFromParent_Done,
     /* 2120557 */   // Label 28040: @2120557
     /* 2120557 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2120648), // Rule ID 17257 //
     /* 2120562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2120573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2120576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2120579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120608 */     // MIs[0] round
     /* 2120608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120611 */     // MIs[0] policy
     /* 2120611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120621 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2120624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120647 */     // GIR_Coverage, 17257,
     /* 2120647 */     GIR_EraseRootFromParent_Done,
     /* 2120648 */   // Label 28041: @2120648
     /* 2120648 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2120739), // Rule ID 17260 //
     /* 2120653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120699 */     // MIs[0] round
     /* 2120699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120702 */     // MIs[0] policy
     /* 2120702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120712 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2120715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120738 */     // GIR_Coverage, 17260,
     /* 2120738 */     GIR_EraseRootFromParent_Done,
     /* 2120739 */   // Label 28042: @2120739
     /* 2120739 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2120830), // Rule ID 17261 //
     /* 2120744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2120747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120790 */     // MIs[0] round
     /* 2120790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120793 */     // MIs[0] policy
     /* 2120793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120803 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2120806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120829 */     // GIR_Coverage, 17261,
     /* 2120829 */     GIR_EraseRootFromParent_Done,
     /* 2120830 */   // Label 28043: @2120830
     /* 2120830 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2120921), // Rule ID 17264 //
     /* 2120835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2120846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2120852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120881 */     // MIs[0] round
     /* 2120881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120884 */     // MIs[0] policy
     /* 2120884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120894 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2120897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120920 */     // GIR_Coverage, 17264,
     /* 2120920 */     GIR_EraseRootFromParent_Done,
     /* 2120921 */   // Label 28044: @2120921
     /* 2120921 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2121012), // Rule ID 17265 //
     /* 2120926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2120929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2120934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2120937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2120943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120972 */     // MIs[0] round
     /* 2120972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120975 */     // MIs[0] policy
     /* 2120975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120985 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2120988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121011 */     // GIR_Coverage, 17265,
     /* 2121011 */     GIR_EraseRootFromParent_Done,
     /* 2121012 */   // Label 28045: @2121012
     /* 2121012 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2121103), // Rule ID 17268 //
     /* 2121017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121063 */     // MIs[0] round
     /* 2121063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121066 */     // MIs[0] policy
     /* 2121066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2121079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121102 */     // GIR_Coverage, 17268,
     /* 2121102 */     GIR_EraseRootFromParent_Done,
     /* 2121103 */   // Label 28046: @2121103
     /* 2121103 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2121194), // Rule ID 17269 //
     /* 2121108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121154 */     // MIs[0] round
     /* 2121154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121157 */     // MIs[0] policy
     /* 2121157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121167 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2121170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121193 */     // GIR_Coverage, 17269,
     /* 2121193 */     GIR_EraseRootFromParent_Done,
     /* 2121194 */   // Label 28047: @2121194
     /* 2121194 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2121285), // Rule ID 17272 //
     /* 2121199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2121216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121245 */     // MIs[0] round
     /* 2121245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121248 */     // MIs[0] policy
     /* 2121248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121258 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2121261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121284 */     // GIR_Coverage, 17272,
     /* 2121284 */     GIR_EraseRootFromParent_Done,
     /* 2121285 */   // Label 28048: @2121285
     /* 2121285 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2121376), // Rule ID 17273 //
     /* 2121290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2121298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2121307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121336 */     // MIs[0] round
     /* 2121336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121339 */     // MIs[0] policy
     /* 2121339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121349 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2121352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121375 */     // GIR_Coverage, 17273,
     /* 2121375 */     GIR_EraseRootFromParent_Done,
     /* 2121376 */   // Label 28049: @2121376
     /* 2121376 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2121467), // Rule ID 17276 //
     /* 2121381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2121392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2121395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2121401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121427 */     // MIs[0] round
     /* 2121427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121430 */     // MIs[0] policy
     /* 2121430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2121443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121466 */     // GIR_Coverage, 17276,
     /* 2121466 */     GIR_EraseRootFromParent_Done,
     /* 2121467 */   // Label 28050: @2121467
     /* 2121467 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2121558), // Rule ID 17277 //
     /* 2121472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2121483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2121486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2121492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121518 */     // MIs[0] round
     /* 2121518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121521 */     // MIs[0] policy
     /* 2121521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121531 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2121534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121557 */     // GIR_Coverage, 17277,
     /* 2121557 */     GIR_EraseRootFromParent_Done,
     /* 2121558 */   // Label 28051: @2121558
     /* 2121558 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2121649), // Rule ID 17280 //
     /* 2121563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2121574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2121577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2121580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2121583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121609 */     // MIs[0] round
     /* 2121609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121612 */     // MIs[0] policy
     /* 2121612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121622 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2121625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121648 */     // GIR_Coverage, 17280,
     /* 2121648 */     GIR_EraseRootFromParent_Done,
     /* 2121649 */   // Label 28052: @2121649
     /* 2121649 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2121740), // Rule ID 17281 //
     /* 2121654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2121665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2121668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2121671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2121674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121700 */     // MIs[0] round
     /* 2121700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121703 */     // MIs[0] policy
     /* 2121703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121713 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2121716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121739 */     // GIR_Coverage, 17281,
     /* 2121739 */     GIR_EraseRootFromParent_Done,
     /* 2121740 */   // Label 28053: @2121740
     /* 2121740 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2121831), // Rule ID 17284 //
     /* 2121745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2121765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121791 */     // MIs[0] round
     /* 2121791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121794 */     // MIs[0] policy
     /* 2121794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121804 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2121807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121830 */     // GIR_Coverage, 17284,
     /* 2121830 */     GIR_EraseRootFromParent_Done,
     /* 2121831 */   // Label 28054: @2121831
     /* 2121831 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2121922), // Rule ID 17285 //
     /* 2121836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2121856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121882 */     // MIs[0] round
     /* 2121882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121885 */     // MIs[0] policy
     /* 2121885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121895 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2121898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121921 */     // GIR_Coverage, 17285,
     /* 2121921 */     GIR_EraseRootFromParent_Done,
     /* 2121922 */   // Label 28055: @2121922
     /* 2121922 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2122013), // Rule ID 17288 //
     /* 2121927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2121935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2121938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2121941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2121944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2121947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121973 */     // MIs[0] round
     /* 2121973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121976 */     // MIs[0] policy
     /* 2121976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121986 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2121989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122012 */     // GIR_Coverage, 17288,
     /* 2122012 */     GIR_EraseRootFromParent_Done,
     /* 2122013 */   // Label 28056: @2122013
     /* 2122013 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2122104), // Rule ID 17289 //
     /* 2122018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2122029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2122032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2122035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2122038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122064 */     // MIs[0] round
     /* 2122064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122067 */     // MIs[0] policy
     /* 2122067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122077 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2122080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122103 */     // GIR_Coverage, 17289,
     /* 2122103 */     GIR_EraseRootFromParent_Done,
     /* 2122104 */   // Label 28057: @2122104
     /* 2122104 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2122195), // Rule ID 17292 //
     /* 2122109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2122129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122155 */     // MIs[0] round
     /* 2122155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122158 */     // MIs[0] policy
     /* 2122158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2122171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122194 */     // GIR_Coverage, 17292,
     /* 2122194 */     GIR_EraseRootFromParent_Done,
     /* 2122195 */   // Label 28058: @2122195
     /* 2122195 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2122286), // Rule ID 17293 //
     /* 2122200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2122220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122246 */     // MIs[0] round
     /* 2122246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122249 */     // MIs[0] policy
     /* 2122249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122259 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2122262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122285 */     // GIR_Coverage, 17293,
     /* 2122285 */     GIR_EraseRootFromParent_Done,
     /* 2122286 */   // Label 28059: @2122286
     /* 2122286 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2122377), // Rule ID 17296 //
     /* 2122291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2122311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122337 */     // MIs[0] round
     /* 2122337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122340 */     // MIs[0] policy
     /* 2122340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2122353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122376 */     // GIR_Coverage, 17296,
     /* 2122376 */     GIR_EraseRootFromParent_Done,
     /* 2122377 */   // Label 28060: @2122377
     /* 2122377 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2122468), // Rule ID 17297 //
     /* 2122382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2122402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122428 */     // MIs[0] round
     /* 2122428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122431 */     // MIs[0] policy
     /* 2122431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122441 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2122444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122467 */     // GIR_Coverage, 17297,
     /* 2122467 */     GIR_EraseRootFromParent_Done,
     /* 2122468 */   // Label 28061: @2122468
     /* 2122468 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2122559), // Rule ID 17300 //
     /* 2122473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2122484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2122487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2122490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2122493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122519 */     // MIs[0] round
     /* 2122519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122522 */     // MIs[0] policy
     /* 2122522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122532 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2122535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122558 */     // GIR_Coverage, 17300,
     /* 2122558 */     GIR_EraseRootFromParent_Done,
     /* 2122559 */   // Label 28062: @2122559
     /* 2122559 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2122650), // Rule ID 17301 //
     /* 2122564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2122575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2122578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2122581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2122584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122610 */     // MIs[0] round
     /* 2122610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122613 */     // MIs[0] policy
     /* 2122613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122623 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2122626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122649 */     // GIR_Coverage, 17301,
     /* 2122649 */     GIR_EraseRootFromParent_Done,
     /* 2122650 */   // Label 28063: @2122650
     /* 2122650 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2122741), // Rule ID 17304 //
     /* 2122655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2122666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2122669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2122672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2122675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122701 */     // MIs[0] round
     /* 2122701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122704 */     // MIs[0] policy
     /* 2122704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122714 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2122717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122740 */     // GIR_Coverage, 17304,
     /* 2122740 */     GIR_EraseRootFromParent_Done,
     /* 2122741 */   // Label 28064: @2122741
     /* 2122741 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2122832), // Rule ID 17305 //
     /* 2122746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2122757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2122760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2122763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2122766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122792 */     // MIs[0] round
     /* 2122792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122795 */     // MIs[0] policy
     /* 2122795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122805 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2122808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122831 */     // GIR_Coverage, 17305,
     /* 2122831 */     GIR_EraseRootFromParent_Done,
     /* 2122832 */   // Label 28065: @2122832
     /* 2122832 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2122923), // Rule ID 17308 //
     /* 2122837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2122848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2122851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2122854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2122857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2122860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122883 */     // MIs[0] round
     /* 2122883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122886 */     // MIs[0] policy
     /* 2122886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122896 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2122899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122922 */     // GIR_Coverage, 17308,
     /* 2122922 */     GIR_EraseRootFromParent_Done,
     /* 2122923 */   // Label 28066: @2122923
     /* 2122923 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2123014), // Rule ID 17309 //
     /* 2122928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2122936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2122939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2122942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2122945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2122948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2122951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122974 */     // MIs[0] round
     /* 2122974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122977 */     // MIs[0] policy
     /* 2122977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122987 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2122990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123013 */     // GIR_Coverage, 17309,
     /* 2123013 */     GIR_EraseRootFromParent_Done,
     /* 2123014 */   // Label 28067: @2123014
     /* 2123014 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2123105), // Rule ID 17312 //
     /* 2123019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2123036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2123039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123065 */     // MIs[0] round
     /* 2123065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123068 */     // MIs[0] policy
     /* 2123068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2123081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123104 */     // GIR_Coverage, 17312,
     /* 2123104 */     GIR_EraseRootFromParent_Done,
     /* 2123105 */   // Label 28068: @2123105
     /* 2123105 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2123196), // Rule ID 17313 //
     /* 2123110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2123127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2123130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123156 */     // MIs[0] round
     /* 2123156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123159 */     // MIs[0] policy
     /* 2123159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123169 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2123172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123195 */     // GIR_Coverage, 17313,
     /* 2123195 */     GIR_EraseRootFromParent_Done,
     /* 2123196 */   // Label 28069: @2123196
     /* 2123196 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2123287), // Rule ID 17316 //
     /* 2123201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2123212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2123215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2123218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2123221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123247 */     // MIs[0] round
     /* 2123247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123250 */     // MIs[0] policy
     /* 2123250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123260 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2123263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123286 */     // GIR_Coverage, 17316,
     /* 2123286 */     GIR_EraseRootFromParent_Done,
     /* 2123287 */   // Label 28070: @2123287
     /* 2123287 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2123378), // Rule ID 17317 //
     /* 2123292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2123303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2123306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2123309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2123312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123338 */     // MIs[0] round
     /* 2123338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123341 */     // MIs[0] policy
     /* 2123341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123351 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2123354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123377 */     // GIR_Coverage, 17317,
     /* 2123377 */     GIR_EraseRootFromParent_Done,
     /* 2123378 */   // Label 28071: @2123378
     /* 2123378 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2123469), // Rule ID 17320 //
     /* 2123383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2123400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2123403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123429 */     // MIs[0] round
     /* 2123429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123432 */     // MIs[0] policy
     /* 2123432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2123445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123468 */     // GIR_Coverage, 17320,
     /* 2123468 */     GIR_EraseRootFromParent_Done,
     /* 2123469 */   // Label 28072: @2123469
     /* 2123469 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2123560), // Rule ID 17321 //
     /* 2123474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2123491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2123494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123520 */     // MIs[0] round
     /* 2123520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123523 */     // MIs[0] policy
     /* 2123523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123533 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2123536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123559 */     // GIR_Coverage, 17321,
     /* 2123559 */     GIR_EraseRootFromParent_Done,
     /* 2123560 */   // Label 28073: @2123560
     /* 2123560 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2123651), // Rule ID 17324 //
     /* 2123565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2123576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2123579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2123582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2123585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123611 */     // MIs[0] round
     /* 2123611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123614 */     // MIs[0] policy
     /* 2123614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123624 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2123627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123650 */     // GIR_Coverage, 17324,
     /* 2123650 */     GIR_EraseRootFromParent_Done,
     /* 2123651 */   // Label 28074: @2123651
     /* 2123651 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2123742), // Rule ID 17325 //
     /* 2123656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2123667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2123670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2123673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2123676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123702 */     // MIs[0] round
     /* 2123702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123705 */     // MIs[0] policy
     /* 2123705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123715 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2123718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123741 */     // GIR_Coverage, 17325,
     /* 2123741 */     GIR_EraseRootFromParent_Done,
     /* 2123742 */   // Label 28075: @2123742
     /* 2123742 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2123833), // Rule ID 17328 //
     /* 2123747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2123767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123793 */     // MIs[0] round
     /* 2123793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123796 */     // MIs[0] policy
     /* 2123796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123806 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2123809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123832 */     // GIR_Coverage, 17328,
     /* 2123832 */     GIR_EraseRootFromParent_Done,
     /* 2123833 */   // Label 28076: @2123833
     /* 2123833 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2123924), // Rule ID 17329 //
     /* 2123838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2123858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123884 */     // MIs[0] round
     /* 2123884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123887 */     // MIs[0] policy
     /* 2123887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123897 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2123900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123923 */     // GIR_Coverage, 17329,
     /* 2123923 */     GIR_EraseRootFromParent_Done,
     /* 2123924 */   // Label 28077: @2123924
     /* 2123924 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2124015), // Rule ID 17332 //
     /* 2123929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2123937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2123949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123975 */     // MIs[0] round
     /* 2123975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123978 */     // MIs[0] policy
     /* 2123978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2123991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124014 */     // GIR_Coverage, 17332,
     /* 2124014 */     GIR_EraseRootFromParent_Done,
     /* 2124015 */   // Label 28078: @2124015
     /* 2124015 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2124106), // Rule ID 17333 //
     /* 2124020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2124037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2124040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124066 */     // MIs[0] round
     /* 2124066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124069 */     // MIs[0] policy
     /* 2124069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124079 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2124082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124105 */     // GIR_Coverage, 17333,
     /* 2124105 */     GIR_EraseRootFromParent_Done,
     /* 2124106 */   // Label 28079: @2124106
     /* 2124106 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2124197), // Rule ID 17336 //
     /* 2124111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2124122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2124125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2124128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124157 */     // MIs[0] round
     /* 2124157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124160 */     // MIs[0] policy
     /* 2124160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124170 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2124173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124196 */     // GIR_Coverage, 17336,
     /* 2124196 */     GIR_EraseRootFromParent_Done,
     /* 2124197 */   // Label 28080: @2124197
     /* 2124197 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2124288), // Rule ID 17337 //
     /* 2124202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2124213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2124216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2124219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124248 */     // MIs[0] round
     /* 2124248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124251 */     // MIs[0] policy
     /* 2124251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124261 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2124264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124287 */     // GIR_Coverage, 17337,
     /* 2124287 */     GIR_EraseRootFromParent_Done,
     /* 2124288 */   // Label 28081: @2124288
     /* 2124288 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2124379), // Rule ID 17340 //
     /* 2124293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2124304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2124307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2124310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124339 */     // MIs[0] round
     /* 2124339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124342 */     // MIs[0] policy
     /* 2124342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2124355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124378 */     // GIR_Coverage, 17340,
     /* 2124378 */     GIR_EraseRootFromParent_Done,
     /* 2124379 */   // Label 28082: @2124379
     /* 2124379 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2124470), // Rule ID 17341 //
     /* 2124384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2124395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2124398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2124401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124430 */     // MIs[0] round
     /* 2124430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124433 */     // MIs[0] policy
     /* 2124433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124443 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2124446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124469 */     // GIR_Coverage, 17341,
     /* 2124469 */     GIR_EraseRootFromParent_Done,
     /* 2124470 */   // Label 28083: @2124470
     /* 2124470 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2124561), // Rule ID 17344 //
     /* 2124475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124521 */     // MIs[0] round
     /* 2124521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124524 */     // MIs[0] policy
     /* 2124524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124534 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2124537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124560 */     // GIR_Coverage, 17344,
     /* 2124560 */     GIR_EraseRootFromParent_Done,
     /* 2124561 */   // Label 28084: @2124561
     /* 2124561 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2124652), // Rule ID 17345 //
     /* 2124566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124612 */     // MIs[0] round
     /* 2124612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124615 */     // MIs[0] policy
     /* 2124615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124625 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2124628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124651 */     // GIR_Coverage, 17345,
     /* 2124651 */     GIR_EraseRootFromParent_Done,
     /* 2124652 */   // Label 28085: @2124652
     /* 2124652 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2124743), // Rule ID 17348 //
     /* 2124657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124703 */     // MIs[0] round
     /* 2124703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124706 */     // MIs[0] policy
     /* 2124706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2124719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124742 */     // GIR_Coverage, 17348,
     /* 2124742 */     GIR_EraseRootFromParent_Done,
     /* 2124743 */   // Label 28086: @2124743
     /* 2124743 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2124834), // Rule ID 17349 //
     /* 2124748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124794 */     // MIs[0] round
     /* 2124794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124797 */     // MIs[0] policy
     /* 2124797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124807 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2124810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124833 */     // GIR_Coverage, 17349,
     /* 2124833 */     GIR_EraseRootFromParent_Done,
     /* 2124834 */   // Label 28087: @2124834
     /* 2124834 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2124925), // Rule ID 17352 //
     /* 2124839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124885 */     // MIs[0] round
     /* 2124885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124888 */     // MIs[0] policy
     /* 2124888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124898 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2124901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124924 */     // GIR_Coverage, 17352,
     /* 2124924 */     GIR_EraseRootFromParent_Done,
     /* 2124925 */   // Label 28088: @2124925
     /* 2124925 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2125016), // Rule ID 17353 //
     /* 2124930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2124938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124976 */     // MIs[0] round
     /* 2124976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124979 */     // MIs[0] policy
     /* 2124979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124989 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2124992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125015 */     // GIR_Coverage, 17353,
     /* 2125015 */     GIR_EraseRootFromParent_Done,
     /* 2125016 */   // Label 28089: @2125016
     /* 2125016 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2125107), // Rule ID 17356 //
     /* 2125021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2125038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2125041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2125063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125067 */     // MIs[0] round
     /* 2125067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125070 */     // MIs[0] policy
     /* 2125070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125080 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2125083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125106 */     // GIR_Coverage, 17356,
     /* 2125106 */     GIR_EraseRootFromParent_Done,
     /* 2125107 */   // Label 28090: @2125107
     /* 2125107 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2125198), // Rule ID 17357 //
     /* 2125112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2125115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2125129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2125132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2125154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125158 */     // MIs[0] round
     /* 2125158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125161 */     // MIs[0] policy
     /* 2125161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125171 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2125174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125197 */     // GIR_Coverage, 17357,
     /* 2125197 */     GIR_EraseRootFromParent_Done,
     /* 2125198 */   // Label 28091: @2125198
     /* 2125198 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2125289), // Rule ID 17360 //
     /* 2125203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2125214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2125217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2125220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125249 */     // MIs[0] round
     /* 2125249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125252 */     // MIs[0] policy
     /* 2125252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125262 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2125265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125288 */     // GIR_Coverage, 17360,
     /* 2125288 */     GIR_EraseRootFromParent_Done,
     /* 2125289 */   // Label 28092: @2125289
     /* 2125289 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2125380), // Rule ID 17361 //
     /* 2125294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2125305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2125308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2125311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125340 */     // MIs[0] round
     /* 2125340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125343 */     // MIs[0] policy
     /* 2125343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125353 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2125356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125379 */     // GIR_Coverage, 17361,
     /* 2125379 */     GIR_EraseRootFromParent_Done,
     /* 2125380 */   // Label 28093: @2125380
     /* 2125380 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2125471), // Rule ID 17364 //
     /* 2125385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2125396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2125399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125431 */     // MIs[0] round
     /* 2125431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125434 */     // MIs[0] policy
     /* 2125434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125444 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2125447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125470 */     // GIR_Coverage, 17364,
     /* 2125470 */     GIR_EraseRootFromParent_Done,
     /* 2125471 */   // Label 28094: @2125471
     /* 2125471 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2125562), // Rule ID 17365 //
     /* 2125476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2125487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2125490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125522 */     // MIs[0] round
     /* 2125522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125525 */     // MIs[0] policy
     /* 2125525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125535 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2125538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125561 */     // GIR_Coverage, 17365,
     /* 2125561 */     GIR_EraseRootFromParent_Done,
     /* 2125562 */   // Label 28095: @2125562
     /* 2125562 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2125653), // Rule ID 17368 //
     /* 2125567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2125578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2125581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2125584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2125590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125613 */     // MIs[0] round
     /* 2125613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125616 */     // MIs[0] policy
     /* 2125616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125626 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2125629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125652 */     // GIR_Coverage, 17368,
     /* 2125652 */     GIR_EraseRootFromParent_Done,
     /* 2125653 */   // Label 28096: @2125653
     /* 2125653 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2125744), // Rule ID 17369 //
     /* 2125658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2125669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2125672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2125675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2125681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125704 */     // MIs[0] round
     /* 2125704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125707 */     // MIs[0] policy
     /* 2125707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125717 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2125720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125743 */     // GIR_Coverage, 17369,
     /* 2125743 */     GIR_EraseRootFromParent_Done,
     /* 2125744 */   // Label 28097: @2125744
     /* 2125744 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2125835), // Rule ID 17372 //
     /* 2125749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125795 */     // MIs[0] round
     /* 2125795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125798 */     // MIs[0] policy
     /* 2125798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2125811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125834 */     // GIR_Coverage, 17372,
     /* 2125834 */     GIR_EraseRootFromParent_Done,
     /* 2125835 */   // Label 28098: @2125835
     /* 2125835 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2125926), // Rule ID 17373 //
     /* 2125840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125886 */     // MIs[0] round
     /* 2125886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125889 */     // MIs[0] policy
     /* 2125889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125899 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2125902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125925 */     // GIR_Coverage, 17373,
     /* 2125925 */     GIR_EraseRootFromParent_Done,
     /* 2125926 */   // Label 28099: @2125926
     /* 2125926 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2126017), // Rule ID 17376 //
     /* 2125931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2125939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2125948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125977 */     // MIs[0] round
     /* 2125977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125980 */     // MIs[0] policy
     /* 2125980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2125993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126016 */     // GIR_Coverage, 17376,
     /* 2126016 */     GIR_EraseRootFromParent_Done,
     /* 2126017 */   // Label 28100: @2126017
     /* 2126017 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2126108), // Rule ID 17377 //
     /* 2126022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126068 */     // MIs[0] round
     /* 2126068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126071 */     // MIs[0] policy
     /* 2126071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126081 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2126084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126107 */     // GIR_Coverage, 17377,
     /* 2126107 */     GIR_EraseRootFromParent_Done,
     /* 2126108 */   // Label 28101: @2126108
     /* 2126108 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2126199), // Rule ID 17380 //
     /* 2126113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2126124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2126127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2126130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126159 */     // MIs[0] round
     /* 2126159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126162 */     // MIs[0] policy
     /* 2126162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2126175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126198 */     // GIR_Coverage, 17380,
     /* 2126198 */     GIR_EraseRootFromParent_Done,
     /* 2126199 */   // Label 28102: @2126199
     /* 2126199 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2126290), // Rule ID 17381 //
     /* 2126204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2126215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2126218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2126221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126250 */     // MIs[0] round
     /* 2126250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126253 */     // MIs[0] policy
     /* 2126253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126263 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2126266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126289 */     // GIR_Coverage, 17381,
     /* 2126289 */     GIR_EraseRootFromParent_Done,
     /* 2126290 */   // Label 28103: @2126290
     /* 2126290 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2126381), // Rule ID 17384 //
     /* 2126295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2126306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2126309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2126312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126341 */     // MIs[0] round
     /* 2126341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126344 */     // MIs[0] policy
     /* 2126344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2126357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126380 */     // GIR_Coverage, 17384,
     /* 2126380 */     GIR_EraseRootFromParent_Done,
     /* 2126381 */   // Label 28104: @2126381
     /* 2126381 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2126472), // Rule ID 17385 //
     /* 2126386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2126397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2126400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2126403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126432 */     // MIs[0] round
     /* 2126432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126435 */     // MIs[0] policy
     /* 2126435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126445 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2126448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126471 */     // GIR_Coverage, 17385,
     /* 2126471 */     GIR_EraseRootFromParent_Done,
     /* 2126472 */   // Label 28105: @2126472
     /* 2126472 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2126563), // Rule ID 17388 //
     /* 2126477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2126494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126523 */     // MIs[0] round
     /* 2126523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126526 */     // MIs[0] policy
     /* 2126526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126536 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2126539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126562 */     // GIR_Coverage, 17388,
     /* 2126562 */     GIR_EraseRootFromParent_Done,
     /* 2126563 */   // Label 28106: @2126563
     /* 2126563 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2126654), // Rule ID 17389 //
     /* 2126568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2126585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126614 */     // MIs[0] round
     /* 2126614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126617 */     // MIs[0] policy
     /* 2126617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126627 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2126630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126653 */     // GIR_Coverage, 17389,
     /* 2126653 */     GIR_EraseRootFromParent_Done,
     /* 2126654 */   // Label 28107: @2126654
     /* 2126654 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2126745), // Rule ID 17392 //
     /* 2126659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126705 */     // MIs[0] round
     /* 2126705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126708 */     // MIs[0] policy
     /* 2126708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126718 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2126721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126744 */     // GIR_Coverage, 17392,
     /* 2126744 */     GIR_EraseRootFromParent_Done,
     /* 2126745 */   // Label 28108: @2126745
     /* 2126745 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2126836), // Rule ID 17393 //
     /* 2126750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2126758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126796 */     // MIs[0] round
     /* 2126796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126799 */     // MIs[0] policy
     /* 2126799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126809 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2126812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126835 */     // GIR_Coverage, 17393,
     /* 2126835 */     GIR_EraseRootFromParent_Done,
     /* 2126836 */   // Label 28109: @2126836
     /* 2126836 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2126927), // Rule ID 17396 //
     /* 2126841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2126852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2126855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2126861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126887 */     // MIs[0] round
     /* 2126887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126890 */     // MIs[0] policy
     /* 2126890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2126903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126926 */     // GIR_Coverage, 17396,
     /* 2126926 */     GIR_EraseRootFromParent_Done,
     /* 2126927 */   // Label 28110: @2126927
     /* 2126927 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2127018), // Rule ID 17397 //
     /* 2126932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2126943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2126946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2126952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126978 */     // MIs[0] round
     /* 2126978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126981 */     // MIs[0] policy
     /* 2126981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126991 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2126994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127017 */     // GIR_Coverage, 17397,
     /* 2127017 */     GIR_EraseRootFromParent_Done,
     /* 2127018 */   // Label 28111: @2127018
     /* 2127018 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2127109), // Rule ID 17400 //
     /* 2127023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2127034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2127037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2127040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2127043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127069 */     // MIs[0] round
     /* 2127069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127072 */     // MIs[0] policy
     /* 2127072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127082 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2127085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127108 */     // GIR_Coverage, 17400,
     /* 2127108 */     GIR_EraseRootFromParent_Done,
     /* 2127109 */   // Label 28112: @2127109
     /* 2127109 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2127200), // Rule ID 17401 //
     /* 2127114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2127125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2127128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2127131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2127134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127160 */     // MIs[0] round
     /* 2127160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127163 */     // MIs[0] policy
     /* 2127163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127173 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2127176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127199 */     // GIR_Coverage, 17401,
     /* 2127199 */     GIR_EraseRootFromParent_Done,
     /* 2127200 */   // Label 28113: @2127200
     /* 2127200 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2127291), // Rule ID 17404 //
     /* 2127205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2127216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2127219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2127225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127251 */     // MIs[0] round
     /* 2127251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127254 */     // MIs[0] policy
     /* 2127254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127264 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2127267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127290 */     // GIR_Coverage, 17404,
     /* 2127290 */     GIR_EraseRootFromParent_Done,
     /* 2127291 */   // Label 28114: @2127291
     /* 2127291 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2127382), // Rule ID 17405 //
     /* 2127296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2127307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2127310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2127316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127342 */     // MIs[0] round
     /* 2127342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127345 */     // MIs[0] policy
     /* 2127345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127355 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2127358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127381 */     // GIR_Coverage, 17405,
     /* 2127381 */     GIR_EraseRootFromParent_Done,
     /* 2127382 */   // Label 28115: @2127382
     /* 2127382 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2127473), // Rule ID 17408 //
     /* 2127387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2127398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2127401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2127404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2127407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127433 */     // MIs[0] round
     /* 2127433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127436 */     // MIs[0] policy
     /* 2127436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127446 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2127449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127472 */     // GIR_Coverage, 17408,
     /* 2127472 */     GIR_EraseRootFromParent_Done,
     /* 2127473 */   // Label 28116: @2127473
     /* 2127473 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2127564), // Rule ID 17409 //
     /* 2127478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2127489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2127492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2127495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2127498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127524 */     // MIs[0] round
     /* 2127524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127527 */     // MIs[0] policy
     /* 2127527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127537 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2127540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127563 */     // GIR_Coverage, 17409,
     /* 2127563 */     GIR_EraseRootFromParent_Done,
     /* 2127564 */   // Label 28117: @2127564
     /* 2127564 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2127655), // Rule ID 17412 //
     /* 2127569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2127580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2127583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2127589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127615 */     // MIs[0] round
     /* 2127615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127618 */     // MIs[0] policy
     /* 2127618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2127631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127654 */     // GIR_Coverage, 17412,
     /* 2127654 */     GIR_EraseRootFromParent_Done,
     /* 2127655 */   // Label 28118: @2127655
     /* 2127655 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2127746), // Rule ID 17413 //
     /* 2127660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2127671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2127674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2127680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127706 */     // MIs[0] round
     /* 2127706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127709 */     // MIs[0] policy
     /* 2127709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127719 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2127722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127745 */     // GIR_Coverage, 17413,
     /* 2127745 */     GIR_EraseRootFromParent_Done,
     /* 2127746 */   // Label 28119: @2127746
     /* 2127746 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2127837), // Rule ID 17416 //
     /* 2127751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2127771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127797 */     // MIs[0] round
     /* 2127797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127800 */     // MIs[0] policy
     /* 2127800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2127813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127836 */     // GIR_Coverage, 17416,
     /* 2127836 */     GIR_EraseRootFromParent_Done,
     /* 2127837 */   // Label 28120: @2127837
     /* 2127837 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2127928), // Rule ID 17417 //
     /* 2127842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2127862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127888 */     // MIs[0] round
     /* 2127888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127891 */     // MIs[0] policy
     /* 2127891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127901 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2127904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127927 */     // GIR_Coverage, 17417,
     /* 2127927 */     GIR_EraseRootFromParent_Done,
     /* 2127928 */   // Label 28121: @2127928
     /* 2127928 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2128019), // Rule ID 17420 //
     /* 2127933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2127941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2127944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2127947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2127950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2127953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127979 */     // MIs[0] round
     /* 2127979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127982 */     // MIs[0] policy
     /* 2127982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127992 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2127995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128018 */     // GIR_Coverage, 17420,
     /* 2128018 */     GIR_EraseRootFromParent_Done,
     /* 2128019 */   // Label 28122: @2128019
     /* 2128019 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2128110), // Rule ID 17421 //
     /* 2128024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2128035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2128038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2128041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2128044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128070 */     // MIs[0] round
     /* 2128070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128073 */     // MIs[0] policy
     /* 2128073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128083 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2128086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128109 */     // GIR_Coverage, 17421,
     /* 2128109 */     GIR_EraseRootFromParent_Done,
     /* 2128110 */   // Label 28123: @2128110
     /* 2128110 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2128201), // Rule ID 17424 //
     /* 2128115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2128126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2128129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2128132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2128135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128161 */     // MIs[0] round
     /* 2128161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128164 */     // MIs[0] policy
     /* 2128164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128174 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2128177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128200 */     // GIR_Coverage, 17424,
     /* 2128200 */     GIR_EraseRootFromParent_Done,
     /* 2128201 */   // Label 28124: @2128201
     /* 2128201 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2128292), // Rule ID 17425 //
     /* 2128206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2128217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2128220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2128223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2128226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128252 */     // MIs[0] round
     /* 2128252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128255 */     // MIs[0] policy
     /* 2128255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128265 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2128268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128291 */     // GIR_Coverage, 17425,
     /* 2128291 */     GIR_EraseRootFromParent_Done,
     /* 2128292 */   // Label 28125: @2128292
     /* 2128292 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2128383), // Rule ID 17428 //
     /* 2128297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2128308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2128311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2128314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2128317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2128320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128343 */     // MIs[0] round
     /* 2128343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128346 */     // MIs[0] policy
     /* 2128346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128356 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2128359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128382 */     // GIR_Coverage, 17428,
     /* 2128382 */     GIR_EraseRootFromParent_Done,
     /* 2128383 */   // Label 28126: @2128383
     /* 2128383 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2128474), // Rule ID 17429 //
     /* 2128388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2128399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2128402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2128405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2128408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2128411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128434 */     // MIs[0] round
     /* 2128434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128437 */     // MIs[0] policy
     /* 2128437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128447 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2128450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128473 */     // GIR_Coverage, 17429,
     /* 2128473 */     GIR_EraseRootFromParent_Done,
     /* 2128474 */   // Label 28127: @2128474
     /* 2128474 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2128565), // Rule ID 17432 //
     /* 2128479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2128490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2128493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2128496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2128499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128525 */     // MIs[0] round
     /* 2128525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128528 */     // MIs[0] policy
     /* 2128528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2128541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128564 */     // GIR_Coverage, 17432,
     /* 2128564 */     GIR_EraseRootFromParent_Done,
     /* 2128565 */   // Label 28128: @2128565
     /* 2128565 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2128656), // Rule ID 17433 //
     /* 2128570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2128581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2128584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2128587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2128590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128616 */     // MIs[0] round
     /* 2128616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128619 */     // MIs[0] policy
     /* 2128619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128629 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2128632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128655 */     // GIR_Coverage, 17433,
     /* 2128655 */     GIR_EraseRootFromParent_Done,
     /* 2128656 */   // Label 28129: @2128656
     /* 2128656 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2128747), // Rule ID 17436 //
     /* 2128661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2128681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128707 */     // MIs[0] round
     /* 2128707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128710 */     // MIs[0] policy
     /* 2128710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2128723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128746 */     // GIR_Coverage, 17436,
     /* 2128746 */     GIR_EraseRootFromParent_Done,
     /* 2128747 */   // Label 28130: @2128747
     /* 2128747 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2128838), // Rule ID 17437 //
     /* 2128752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2128772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128798 */     // MIs[0] round
     /* 2128798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128801 */     // MIs[0] policy
     /* 2128801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128811 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2128814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128837 */     // GIR_Coverage, 17437,
     /* 2128837 */     GIR_EraseRootFromParent_Done,
     /* 2128838 */   // Label 28131: @2128838
     /* 2128838 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2128929), // Rule ID 17440 //
     /* 2128843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2128863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128889 */     // MIs[0] round
     /* 2128889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128892 */     // MIs[0] policy
     /* 2128892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128902 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2128905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128928 */     // GIR_Coverage, 17440,
     /* 2128928 */     GIR_EraseRootFromParent_Done,
     /* 2128929 */   // Label 28132: @2128929
     /* 2128929 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2129020), // Rule ID 17441 //
     /* 2128934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2128942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2128954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128980 */     // MIs[0] round
     /* 2128980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128983 */     // MIs[0] policy
     /* 2128983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128993 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2128996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129019 */     // GIR_Coverage, 17441,
     /* 2129019 */     GIR_EraseRootFromParent_Done,
     /* 2129020 */   // Label 28133: @2129020
     /* 2129020 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2129111), // Rule ID 17444 //
     /* 2129025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2129045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129071 */     // MIs[0] round
     /* 2129071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129074 */     // MIs[0] policy
     /* 2129074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2129087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129110 */     // GIR_Coverage, 17444,
     /* 2129110 */     GIR_EraseRootFromParent_Done,
     /* 2129111 */   // Label 28134: @2129111
     /* 2129111 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2129202), // Rule ID 17445 //
     /* 2129116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2129136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129162 */     // MIs[0] round
     /* 2129162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129165 */     // MIs[0] policy
     /* 2129165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129175 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2129178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129201 */     // GIR_Coverage, 17445,
     /* 2129201 */     GIR_EraseRootFromParent_Done,
     /* 2129202 */   // Label 28135: @2129202
     /* 2129202 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2129293), // Rule ID 17448 //
     /* 2129207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2129218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2129221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2129224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2129227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129253 */     // MIs[0] round
     /* 2129253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129256 */     // MIs[0] policy
     /* 2129256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129266 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2129269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129292 */     // GIR_Coverage, 17448,
     /* 2129292 */     GIR_EraseRootFromParent_Done,
     /* 2129293 */   // Label 28136: @2129293
     /* 2129293 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2129384), // Rule ID 17449 //
     /* 2129298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2129309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2129312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2129315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2129318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129344 */     // MIs[0] round
     /* 2129344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129347 */     // MIs[0] policy
     /* 2129347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129357 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2129360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129383 */     // GIR_Coverage, 17449,
     /* 2129383 */     GIR_EraseRootFromParent_Done,
     /* 2129384 */   // Label 28137: @2129384
     /* 2129384 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2129475), // Rule ID 17452 //
     /* 2129389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2129400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2129403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2129406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2129409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129435 */     // MIs[0] round
     /* 2129435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129438 */     // MIs[0] policy
     /* 2129438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129448 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2129451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129474 */     // GIR_Coverage, 17452,
     /* 2129474 */     GIR_EraseRootFromParent_Done,
     /* 2129475 */   // Label 28138: @2129475
     /* 2129475 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2129566), // Rule ID 17453 //
     /* 2129480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2129491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2129494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2129497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2129500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129526 */     // MIs[0] round
     /* 2129526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129529 */     // MIs[0] policy
     /* 2129529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129539 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2129542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129565 */     // GIR_Coverage, 17453,
     /* 2129565 */     GIR_EraseRootFromParent_Done,
     /* 2129566 */   // Label 28139: @2129566
     /* 2129566 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2129657), // Rule ID 17456 //
     /* 2129571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2129582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129617 */     // MIs[0] round
     /* 2129617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129620 */     // MIs[0] policy
     /* 2129620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129630 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2129633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129656 */     // GIR_Coverage, 17456,
     /* 2129656 */     GIR_EraseRootFromParent_Done,
     /* 2129657 */   // Label 28140: @2129657
     /* 2129657 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2129748), // Rule ID 17457 //
     /* 2129662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2129673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129708 */     // MIs[0] round
     /* 2129708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129711 */     // MIs[0] policy
     /* 2129711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129721 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2129724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129747 */     // GIR_Coverage, 17457,
     /* 2129747 */     GIR_EraseRootFromParent_Done,
     /* 2129748 */   // Label 28141: @2129748
     /* 2129748 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2129839), // Rule ID 17460 //
     /* 2129753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2129764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2129767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2129770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129799 */     // MIs[0] round
     /* 2129799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129802 */     // MIs[0] policy
     /* 2129802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129812 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2129815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129838 */     // GIR_Coverage, 17460,
     /* 2129838 */     GIR_EraseRootFromParent_Done,
     /* 2129839 */   // Label 28142: @2129839
     /* 2129839 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2129930), // Rule ID 17461 //
     /* 2129844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2129855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2129858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2129861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2129864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2129886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129890 */     // MIs[0] round
     /* 2129890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129893 */     // MIs[0] policy
     /* 2129893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129903 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2129906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129929 */     // GIR_Coverage, 17461,
     /* 2129929 */     GIR_EraseRootFromParent_Done,
     /* 2129930 */   // Label 28143: @2129930
     /* 2129930 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2130021), // Rule ID 17464 //
     /* 2129935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2129943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129981 */     // MIs[0] round
     /* 2129981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129984 */     // MIs[0] policy
     /* 2129984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129994 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2129997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130020 */     // GIR_Coverage, 17464,
     /* 2130020 */     GIR_EraseRootFromParent_Done,
     /* 2130021 */   // Label 28144: @2130021
     /* 2130021 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2130112), // Rule ID 17465 //
     /* 2130026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130072 */     // MIs[0] round
     /* 2130072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130075 */     // MIs[0] policy
     /* 2130075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130085 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2130088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130111 */     // GIR_Coverage, 17465,
     /* 2130111 */     GIR_EraseRootFromParent_Done,
     /* 2130112 */   // Label 28145: @2130112
     /* 2130112 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2130203), // Rule ID 17468 //
     /* 2130117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2130128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2130131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2130134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130163 */     // MIs[0] round
     /* 2130163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130166 */     // MIs[0] policy
     /* 2130166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2130179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130202 */     // GIR_Coverage, 17468,
     /* 2130202 */     GIR_EraseRootFromParent_Done,
     /* 2130203 */   // Label 28146: @2130203
     /* 2130203 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2130294), // Rule ID 17469 //
     /* 2130208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2130219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2130222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2130225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130254 */     // MIs[0] round
     /* 2130254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130257 */     // MIs[0] policy
     /* 2130257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130267 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2130270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130293 */     // GIR_Coverage, 17469,
     /* 2130293 */     GIR_EraseRootFromParent_Done,
     /* 2130294 */   // Label 28147: @2130294
     /* 2130294 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2130385), // Rule ID 17472 //
     /* 2130299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2130310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2130313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2130316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130345 */     // MIs[0] round
     /* 2130345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130348 */     // MIs[0] policy
     /* 2130348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130358 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2130361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130384 */     // GIR_Coverage, 17472,
     /* 2130384 */     GIR_EraseRootFromParent_Done,
     /* 2130385 */   // Label 28148: @2130385
     /* 2130385 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2130476), // Rule ID 17473 //
     /* 2130390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2130401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2130404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2130407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130436 */     // MIs[0] round
     /* 2130436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130439 */     // MIs[0] policy
     /* 2130439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130449 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2130452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130475 */     // GIR_Coverage, 17473,
     /* 2130475 */     GIR_EraseRootFromParent_Done,
     /* 2130476 */   // Label 28149: @2130476
     /* 2130476 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2130567), // Rule ID 17476 //
     /* 2130481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2130492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130527 */     // MIs[0] round
     /* 2130527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130530 */     // MIs[0] policy
     /* 2130530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130540 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2130543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130566 */     // GIR_Coverage, 17476,
     /* 2130566 */     GIR_EraseRootFromParent_Done,
     /* 2130567 */   // Label 28150: @2130567
     /* 2130567 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2130658), // Rule ID 17477 //
     /* 2130572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2130583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2130614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130618 */     // MIs[0] round
     /* 2130618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130621 */     // MIs[0] policy
     /* 2130621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2130634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130657 */     // GIR_Coverage, 17477,
     /* 2130657 */     GIR_EraseRootFromParent_Done,
     /* 2130658 */   // Label 28151: @2130658
     /* 2130658 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2130749), // Rule ID 17480 //
     /* 2130663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2130674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2130677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2130680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130709 */     // MIs[0] round
     /* 2130709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130712 */     // MIs[0] policy
     /* 2130712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130722 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2130725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130748 */     // GIR_Coverage, 17480,
     /* 2130748 */     GIR_EraseRootFromParent_Done,
     /* 2130749 */   // Label 28152: @2130749
     /* 2130749 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2130840), // Rule ID 17481 //
     /* 2130754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2130765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2130768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2130771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130800 */     // MIs[0] round
     /* 2130800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130803 */     // MIs[0] policy
     /* 2130803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130813 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2130816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130839 */     // GIR_Coverage, 17481,
     /* 2130839 */     GIR_EraseRootFromParent_Done,
     /* 2130840 */   // Label 28153: @2130840
     /* 2130840 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2130931), // Rule ID 17484 //
     /* 2130845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2130856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2130859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2130862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130891 */     // MIs[0] round
     /* 2130891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130894 */     // MIs[0] policy
     /* 2130894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130904 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2130907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130930 */     // GIR_Coverage, 17484,
     /* 2130930 */     GIR_EraseRootFromParent_Done,
     /* 2130931 */   // Label 28154: @2130931
     /* 2130931 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2131022), // Rule ID 17485 //
     /* 2130936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2130944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2130947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2130950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2130953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130982 */     // MIs[0] round
     /* 2130982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130985 */     // MIs[0] policy
     /* 2130985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130995 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2130998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131021 */     // GIR_Coverage, 17485,
     /* 2131021 */     GIR_EraseRootFromParent_Done,
     /* 2131022 */   // Label 28155: @2131022
     /* 2131022 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2131113), // Rule ID 17488 //
     /* 2131027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2131038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2131041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2131044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2131050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131073 */     // MIs[0] round
     /* 2131073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131076 */     // MIs[0] policy
     /* 2131076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131086 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2131089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131112 */     // GIR_Coverage, 17488,
     /* 2131112 */     GIR_EraseRootFromParent_Done,
     /* 2131113 */   // Label 28156: @2131113
     /* 2131113 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2131204), // Rule ID 17489 //
     /* 2131118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2131129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2131132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2131135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2131141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131164 */     // MIs[0] round
     /* 2131164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131167 */     // MIs[0] policy
     /* 2131167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2131180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131203 */     // GIR_Coverage, 17489,
     /* 2131203 */     GIR_EraseRootFromParent_Done,
     /* 2131204 */   // Label 28157: @2131204
     /* 2131204 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2131295), // Rule ID 17492 //
     /* 2131209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2131212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131255 */     // MIs[0] round
     /* 2131255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131258 */     // MIs[0] policy
     /* 2131258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131268 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2131271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131294 */     // GIR_Coverage, 17492,
     /* 2131294 */     GIR_EraseRootFromParent_Done,
     /* 2131295 */   // Label 28158: @2131295
     /* 2131295 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2131386), // Rule ID 17493 //
     /* 2131300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2131303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131346 */     // MIs[0] round
     /* 2131346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131349 */     // MIs[0] policy
     /* 2131349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131359 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2131362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131385 */     // GIR_Coverage, 17493,
     /* 2131385 */     GIR_EraseRootFromParent_Done,
     /* 2131386 */   // Label 28159: @2131386
     /* 2131386 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2131477), // Rule ID 17496 //
     /* 2131391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2131394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131437 */     // MIs[0] round
     /* 2131437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131440 */     // MIs[0] policy
     /* 2131440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2131453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131476 */     // GIR_Coverage, 17496,
     /* 2131476 */     GIR_EraseRootFromParent_Done,
     /* 2131477 */   // Label 28160: @2131477
     /* 2131477 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2131568), // Rule ID 17497 //
     /* 2131482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2131485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131528 */     // MIs[0] round
     /* 2131528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131531 */     // MIs[0] policy
     /* 2131531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131541 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2131544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131567 */     // GIR_Coverage, 17497,
     /* 2131567 */     GIR_EraseRootFromParent_Done,
     /* 2131568 */   // Label 28161: @2131568
     /* 2131568 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2131659), // Rule ID 17500 //
     /* 2131573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2131576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2131590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131619 */     // MIs[0] round
     /* 2131619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131622 */     // MIs[0] policy
     /* 2131622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131632 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2131635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131658 */     // GIR_Coverage, 17500,
     /* 2131658 */     GIR_EraseRootFromParent_Done,
     /* 2131659 */   // Label 28162: @2131659
     /* 2131659 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2131750), // Rule ID 17501 //
     /* 2131664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2131667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2131681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131710 */     // MIs[0] round
     /* 2131710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131713 */     // MIs[0] policy
     /* 2131713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131723 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2131726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131749 */     // GIR_Coverage, 17501,
     /* 2131749 */     GIR_EraseRootFromParent_Done,
     /* 2131750 */   // Label 28163: @2131750
     /* 2131750 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2131841), // Rule ID 17504 //
     /* 2131755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2131758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2131772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2131775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2131797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131801 */     // MIs[0] round
     /* 2131801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131804 */     // MIs[0] policy
     /* 2131804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131814 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2131817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131840 */     // GIR_Coverage, 17504,
     /* 2131840 */     GIR_EraseRootFromParent_Done,
     /* 2131841 */   // Label 28164: @2131841
     /* 2131841 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2131932), // Rule ID 17505 //
     /* 2131846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2131849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2131863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2131866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2131888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131892 */     // MIs[0] round
     /* 2131892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131895 */     // MIs[0] policy
     /* 2131895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131905 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2131908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131931 */     // GIR_Coverage, 17505,
     /* 2131931 */     GIR_EraseRootFromParent_Done,
     /* 2131932 */   // Label 28165: @2131932
     /* 2131932 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2132023), // Rule ID 17508 //
     /* 2131937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2131940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2131945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2131948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2131951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2131954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2131957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2131979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131983 */     // MIs[0] round
     /* 2131983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131986 */     // MIs[0] policy
     /* 2131986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131996 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2131999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132022 */     // GIR_Coverage, 17508,
     /* 2132022 */     GIR_EraseRootFromParent_Done,
     /* 2132023 */   // Label 28166: @2132023
     /* 2132023 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2132114), // Rule ID 17509 //
     /* 2132028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2132031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2132045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132074 */     // MIs[0] round
     /* 2132074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132077 */     // MIs[0] policy
     /* 2132077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132087 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2132090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132113 */     // GIR_Coverage, 17509,
     /* 2132113 */     GIR_EraseRootFromParent_Done,
     /* 2132114 */   // Label 28167: @2132114
     /* 2132114 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2132205), // Rule ID 17512 //
     /* 2132119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2132122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2132136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132165 */     // MIs[0] round
     /* 2132165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132168 */     // MIs[0] policy
     /* 2132168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132178 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2132181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132204 */     // GIR_Coverage, 17512,
     /* 2132204 */     GIR_EraseRootFromParent_Done,
     /* 2132205 */   // Label 28168: @2132205
     /* 2132205 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2132296), // Rule ID 17513 //
     /* 2132210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2132213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2132218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2132227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132256 */     // MIs[0] round
     /* 2132256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132259 */     // MIs[0] policy
     /* 2132259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132269 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2132272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132295 */     // GIR_Coverage, 17513,
     /* 2132295 */     GIR_EraseRootFromParent_Done,
     /* 2132296 */   // Label 28169: @2132296
     /* 2132296 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2132387), // Rule ID 17516 //
     /* 2132301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2132312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2132315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132347 */     // MIs[0] round
     /* 2132347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132350 */     // MIs[0] policy
     /* 2132350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2132363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132386 */     // GIR_Coverage, 17516,
     /* 2132386 */     GIR_EraseRootFromParent_Done,
     /* 2132387 */   // Label 28170: @2132387
     /* 2132387 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2132478), // Rule ID 17517 //
     /* 2132392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2132403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2132406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132438 */     // MIs[0] round
     /* 2132438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132441 */     // MIs[0] policy
     /* 2132441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132451 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2132454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132477 */     // GIR_Coverage, 17517,
     /* 2132477 */     GIR_EraseRootFromParent_Done,
     /* 2132478 */   // Label 28171: @2132478
     /* 2132478 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2132569), // Rule ID 17520 //
     /* 2132483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2132494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132529 */     // MIs[0] round
     /* 2132529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132532 */     // MIs[0] policy
     /* 2132532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132542 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2132545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132568 */     // GIR_Coverage, 17520,
     /* 2132568 */     GIR_EraseRootFromParent_Done,
     /* 2132569 */   // Label 28172: @2132569
     /* 2132569 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2132660), // Rule ID 17521 //
     /* 2132574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2132585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132620 */     // MIs[0] round
     /* 2132620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132623 */     // MIs[0] policy
     /* 2132623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132633 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2132636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132659 */     // GIR_Coverage, 17521,
     /* 2132659 */     GIR_EraseRootFromParent_Done,
     /* 2132660 */   // Label 28173: @2132660
     /* 2132660 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2132751), // Rule ID 17524 //
     /* 2132665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2132682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132711 */     // MIs[0] round
     /* 2132711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132714 */     // MIs[0] policy
     /* 2132714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132724 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2132727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132750 */     // GIR_Coverage, 17524,
     /* 2132750 */     GIR_EraseRootFromParent_Done,
     /* 2132751 */   // Label 28174: @2132751
     /* 2132751 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2132842), // Rule ID 17525 //
     /* 2132756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2132773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132802 */     // MIs[0] round
     /* 2132802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132805 */     // MIs[0] policy
     /* 2132805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132815 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2132818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132841 */     // GIR_Coverage, 17525,
     /* 2132841 */     GIR_EraseRootFromParent_Done,
     /* 2132842 */   // Label 28175: @2132842
     /* 2132842 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2132933), // Rule ID 17528 //
     /* 2132847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2132858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2132861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132893 */     // MIs[0] round
     /* 2132893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132896 */     // MIs[0] policy
     /* 2132896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132906 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2132909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132932 */     // GIR_Coverage, 17528,
     /* 2132932 */     GIR_EraseRootFromParent_Done,
     /* 2132933 */   // Label 28176: @2132933
     /* 2132933 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2133024), // Rule ID 17529 //
     /* 2132938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2132946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2132949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2132952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2132958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132984 */     // MIs[0] round
     /* 2132984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132987 */     // MIs[0] policy
     /* 2132987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132997 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2133000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133023 */     // GIR_Coverage, 17529,
     /* 2133023 */     GIR_EraseRootFromParent_Done,
     /* 2133024 */   // Label 28177: @2133024
     /* 2133024 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2133115), // Rule ID 17532 //
     /* 2133029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133075 */     // MIs[0] round
     /* 2133075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133078 */     // MIs[0] policy
     /* 2133078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2133091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133114 */     // GIR_Coverage, 17532,
     /* 2133114 */     GIR_EraseRootFromParent_Done,
     /* 2133115 */   // Label 28178: @2133115
     /* 2133115 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2133206), // Rule ID 17533 //
     /* 2133120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133166 */     // MIs[0] round
     /* 2133166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133169 */     // MIs[0] policy
     /* 2133169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133179 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2133182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133205 */     // GIR_Coverage, 17533,
     /* 2133205 */     GIR_EraseRootFromParent_Done,
     /* 2133206 */   // Label 28179: @2133206
     /* 2133206 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2133297), // Rule ID 17536 //
     /* 2133211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2133214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2133228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133257 */     // MIs[0] round
     /* 2133257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133260 */     // MIs[0] policy
     /* 2133260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133270 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2133273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133296 */     // GIR_Coverage, 17536,
     /* 2133296 */     GIR_EraseRootFromParent_Done,
     /* 2133297 */   // Label 28180: @2133297
     /* 2133297 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2133388), // Rule ID 17537 //
     /* 2133302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2133319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2133322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133348 */     // MIs[0] round
     /* 2133348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133351 */     // MIs[0] policy
     /* 2133351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133361 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2133364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133387 */     // GIR_Coverage, 17537,
     /* 2133387 */     GIR_EraseRootFromParent_Done,
     /* 2133388 */   // Label 28181: @2133388
     /* 2133388 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2133479), // Rule ID 17540 //
     /* 2133393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2133404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2133407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133439 */     // MIs[0] round
     /* 2133439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133442 */     // MIs[0] policy
     /* 2133442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133452 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2133455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133478 */     // GIR_Coverage, 17540,
     /* 2133478 */     GIR_EraseRootFromParent_Done,
     /* 2133479 */   // Label 28182: @2133479
     /* 2133479 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2133570), // Rule ID 17541 //
     /* 2133484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2133495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2133498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133530 */     // MIs[0] round
     /* 2133530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133533 */     // MIs[0] policy
     /* 2133533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133543 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2133546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133569 */     // GIR_Coverage, 17541,
     /* 2133569 */     GIR_EraseRootFromParent_Done,
     /* 2133570 */   // Label 28183: @2133570
     /* 2133570 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2133661), // Rule ID 17544 //
     /* 2133575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2133586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2133589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133621 */     // MIs[0] round
     /* 2133621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133624 */     // MIs[0] policy
     /* 2133624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133634 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2133637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133660 */     // GIR_Coverage, 17544,
     /* 2133660 */     GIR_EraseRootFromParent_Done,
     /* 2133661 */   // Label 28184: @2133661
     /* 2133661 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2133752), // Rule ID 17545 //
     /* 2133666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2133677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2133680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133712 */     // MIs[0] round
     /* 2133712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133715 */     // MIs[0] policy
     /* 2133715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133725 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2133728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133751 */     // GIR_Coverage, 17545,
     /* 2133751 */     GIR_EraseRootFromParent_Done,
     /* 2133752 */   // Label 28185: @2133752
     /* 2133752 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2133843), // Rule ID 17548 //
     /* 2133757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2133768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2133771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2133774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2133780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133803 */     // MIs[0] round
     /* 2133803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133806 */     // MIs[0] policy
     /* 2133806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133816 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2133819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133842 */     // GIR_Coverage, 17548,
     /* 2133842 */     GIR_EraseRootFromParent_Done,
     /* 2133843 */   // Label 28186: @2133843
     /* 2133843 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2133934), // Rule ID 17549 //
     /* 2133848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2133859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2133862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2133865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2133868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2133871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2133890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133894 */     // MIs[0] round
     /* 2133894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133897 */     // MIs[0] policy
     /* 2133897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133907 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2133910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133933 */     // GIR_Coverage, 17549,
     /* 2133933 */     GIR_EraseRootFromParent_Done,
     /* 2133934 */   // Label 28187: @2133934
     /* 2133934 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2134025), // Rule ID 17552 //
     /* 2133939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2133947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2133950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2133953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2133959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2133981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133985 */     // MIs[0] round
     /* 2133985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133988 */     // MIs[0] policy
     /* 2133988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133998 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2134001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134024 */     // GIR_Coverage, 17552,
     /* 2134024 */     GIR_EraseRootFromParent_Done,
     /* 2134025 */   // Label 28188: @2134025
     /* 2134025 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2134116), // Rule ID 17553 //
     /* 2134030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2134041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2134044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2134047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134076 */     // MIs[0] round
     /* 2134076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134079 */     // MIs[0] policy
     /* 2134079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2134092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134115 */     // GIR_Coverage, 17553,
     /* 2134115 */     GIR_EraseRootFromParent_Done,
     /* 2134116 */   // Label 28189: @2134116
     /* 2134116 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2134207), // Rule ID 17556 //
     /* 2134121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2134132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2134135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134167 */     // MIs[0] round
     /* 2134167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134170 */     // MIs[0] policy
     /* 2134170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134180 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2134183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134206 */     // GIR_Coverage, 17556,
     /* 2134206 */     GIR_EraseRootFromParent_Done,
     /* 2134207 */   // Label 28190: @2134207
     /* 2134207 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2134298), // Rule ID 17557 //
     /* 2134212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2134223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2134226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134258 */     // MIs[0] round
     /* 2134258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134261 */     // MIs[0] policy
     /* 2134261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134271 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2134274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134297 */     // GIR_Coverage, 17557,
     /* 2134297 */     GIR_EraseRootFromParent_Done,
     /* 2134298 */   // Label 28191: @2134298
     /* 2134298 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2134389), // Rule ID 17560 //
     /* 2134303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2134314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2134317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2134320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134349 */     // MIs[0] round
     /* 2134349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134352 */     // MIs[0] policy
     /* 2134352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134362 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2134365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134388 */     // GIR_Coverage, 17560,
     /* 2134388 */     GIR_EraseRootFromParent_Done,
     /* 2134389 */   // Label 28192: @2134389
     /* 2134389 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2134480), // Rule ID 17561 //
     /* 2134394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2134405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2134408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2134411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2134414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2134436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134440 */     // MIs[0] round
     /* 2134440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134443 */     // MIs[0] policy
     /* 2134443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134453 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2134456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134479 */     // GIR_Coverage, 17561,
     /* 2134479 */     GIR_EraseRootFromParent_Done,
     /* 2134480 */   // Label 28193: @2134480
     /* 2134480 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2134571), // Rule ID 17564 //
     /* 2134485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2134496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134531 */     // MIs[0] round
     /* 2134531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134534 */     // MIs[0] policy
     /* 2134534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134544 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2134547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134570 */     // GIR_Coverage, 17564,
     /* 2134570 */     GIR_EraseRootFromParent_Done,
     /* 2134571 */   // Label 28194: @2134571
     /* 2134571 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2134662), // Rule ID 17565 //
     /* 2134576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2134587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134622 */     // MIs[0] round
     /* 2134622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134625 */     // MIs[0] policy
     /* 2134625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134635 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2134638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134661 */     // GIR_Coverage, 17565,
     /* 2134661 */     GIR_EraseRootFromParent_Done,
     /* 2134662 */   // Label 28195: @2134662
     /* 2134662 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2134753), // Rule ID 17568 //
     /* 2134667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2134678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2134681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2134684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134713 */     // MIs[0] round
     /* 2134713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134716 */     // MIs[0] policy
     /* 2134716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134726 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2134729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134752 */     // GIR_Coverage, 17568,
     /* 2134752 */     GIR_EraseRootFromParent_Done,
     /* 2134753 */   // Label 28196: @2134753
     /* 2134753 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2134844), // Rule ID 17569 //
     /* 2134758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2134769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2134772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2134775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134804 */     // MIs[0] round
     /* 2134804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134807 */     // MIs[0] policy
     /* 2134807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134817 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2134820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134843 */     // GIR_Coverage, 17569,
     /* 2134843 */     GIR_EraseRootFromParent_Done,
     /* 2134844 */   // Label 28197: @2134844
     /* 2134844 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2134935), // Rule ID 17572 //
     /* 2134849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2134866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134895 */     // MIs[0] round
     /* 2134895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134898 */     // MIs[0] policy
     /* 2134898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134908 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2134911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134934 */     // GIR_Coverage, 17572,
     /* 2134934 */     GIR_EraseRootFromParent_Done,
     /* 2134935 */   // Label 28198: @2134935
     /* 2134935 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2135026), // Rule ID 17573 //
     /* 2134940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2134948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2134957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2134960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2134982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134986 */     // MIs[0] round
     /* 2134986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134989 */     // MIs[0] policy
     /* 2134989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134999 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2135002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135025 */     // GIR_Coverage, 17573,
     /* 2135025 */     GIR_EraseRootFromParent_Done,
     /* 2135026 */   // Label 28199: @2135026
     /* 2135026 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2135117), // Rule ID 17576 //
     /* 2135031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2135034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2135042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2135045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2135048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2135051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135077 */     // MIs[0] round
     /* 2135077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135080 */     // MIs[0] policy
     /* 2135080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135090 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2135093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135116 */     // GIR_Coverage, 17576,
     /* 2135116 */     GIR_EraseRootFromParent_Done,
     /* 2135117 */   // Label 28200: @2135117
     /* 2135117 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2135208), // Rule ID 17577 //
     /* 2135122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2135125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2135133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2135136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2135139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2135142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135168 */     // MIs[0] round
     /* 2135168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135171 */     // MIs[0] policy
     /* 2135171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135181 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2135184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135207 */     // GIR_Coverage, 17577,
     /* 2135207 */     GIR_EraseRootFromParent_Done,
     /* 2135208 */   // Label 28201: @2135208
     /* 2135208 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2135299), // Rule ID 17580 //
     /* 2135213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2135216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2135224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2135227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2135230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2135233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135259 */     // MIs[0] round
     /* 2135259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135262 */     // MIs[0] policy
     /* 2135262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135272 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2135275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135298 */     // GIR_Coverage, 17580,
     /* 2135298 */     GIR_EraseRootFromParent_Done,
     /* 2135299 */   // Label 28202: @2135299
     /* 2135299 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2135390), // Rule ID 17581 //
     /* 2135304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2135307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2135315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2135318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2135321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2135324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135350 */     // MIs[0] round
     /* 2135350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135353 */     // MIs[0] policy
     /* 2135353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135363 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2135366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135389 */     // GIR_Coverage, 17581,
     /* 2135389 */     GIR_EraseRootFromParent_Done,
     /* 2135390 */   // Label 28203: @2135390
     /* 2135390 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2135481), // Rule ID 17584 //
     /* 2135395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2135398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2135412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2135415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135441 */     // MIs[0] round
     /* 2135441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135444 */     // MIs[0] policy
     /* 2135444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135454 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2135457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135480 */     // GIR_Coverage, 17584,
     /* 2135480 */     GIR_EraseRootFromParent_Done,
     /* 2135481 */   // Label 28204: @2135481
     /* 2135481 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2135572), // Rule ID 17585 //
     /* 2135486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2135489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2135497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2135503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2135506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135532 */     // MIs[0] round
     /* 2135532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135535 */     // MIs[0] policy
     /* 2135535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135545 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2135548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135571 */     // GIR_Coverage, 17585,
     /* 2135571 */     GIR_EraseRootFromParent_Done,
     /* 2135572 */   // Label 28205: @2135572
     /* 2135572 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2135663), // Rule ID 17588 //
     /* 2135577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2135580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135623 */     // MIs[0] round
     /* 2135623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135626 */     // MIs[0] policy
     /* 2135626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2135639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135662 */     // GIR_Coverage, 17588,
     /* 2135662 */     GIR_EraseRootFromParent_Done,
     /* 2135663 */   // Label 28206: @2135663
     /* 2135663 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2135754), // Rule ID 17589 //
     /* 2135668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2135671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135714 */     // MIs[0] round
     /* 2135714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135717 */     // MIs[0] policy
     /* 2135717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135727 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2135730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135753 */     // GIR_Coverage, 17589,
     /* 2135753 */     GIR_EraseRootFromParent_Done,
     /* 2135754 */   // Label 28207: @2135754
     /* 2135754 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2135845), // Rule ID 17592 //
     /* 2135759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2135762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135805 */     // MIs[0] round
     /* 2135805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135808 */     // MIs[0] policy
     /* 2135808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135818 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2135821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135844 */     // GIR_Coverage, 17592,
     /* 2135844 */     GIR_EraseRootFromParent_Done,
     /* 2135845 */   // Label 28208: @2135845
     /* 2135845 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2135936), // Rule ID 17593 //
     /* 2135850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2135853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135896 */     // MIs[0] round
     /* 2135896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135899 */     // MIs[0] policy
     /* 2135899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135909 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2135912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135935 */     // GIR_Coverage, 17593,
     /* 2135935 */     GIR_EraseRootFromParent_Done,
     /* 2135936 */   // Label 28209: @2135936
     /* 2135936 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2136027), // Rule ID 17596 //
     /* 2135941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2135944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2135949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2135952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2135955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2135958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2135961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135987 */     // MIs[0] round
     /* 2135987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135990 */     // MIs[0] policy
     /* 2135990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136000 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2136003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136026 */     // GIR_Coverage, 17596,
     /* 2136026 */     GIR_EraseRootFromParent_Done,
     /* 2136027 */   // Label 28210: @2136027
     /* 2136027 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2136118), // Rule ID 17597 //
     /* 2136032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2136035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2136043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2136046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2136049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2136052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136078 */     // MIs[0] round
     /* 2136078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136081 */     // MIs[0] policy
     /* 2136081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136091 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2136094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136117 */     // GIR_Coverage, 17597,
     /* 2136117 */     GIR_EraseRootFromParent_Done,
     /* 2136118 */   // Label 28211: @2136118
     /* 2136118 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2136209), // Rule ID 17600 //
     /* 2136123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2136126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2136140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2136143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136169 */     // MIs[0] round
     /* 2136169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136172 */     // MIs[0] policy
     /* 2136172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136182 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2136185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136208 */     // GIR_Coverage, 17600,
     /* 2136208 */     GIR_EraseRootFromParent_Done,
     /* 2136209 */   // Label 28212: @2136209
     /* 2136209 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2136300), // Rule ID 17601 //
     /* 2136214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2136217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2136231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2136234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136260 */     // MIs[0] round
     /* 2136260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136263 */     // MIs[0] policy
     /* 2136263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136273 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2136276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136299 */     // GIR_Coverage, 17601,
     /* 2136299 */     GIR_EraseRootFromParent_Done,
     /* 2136300 */   // Label 28213: @2136300
     /* 2136300 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2136391), // Rule ID 17604 //
     /* 2136305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2136308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2136325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136351 */     // MIs[0] round
     /* 2136351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136354 */     // MIs[0] policy
     /* 2136354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136364 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2136367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136390 */     // GIR_Coverage, 17604,
     /* 2136390 */     GIR_EraseRootFromParent_Done,
     /* 2136391 */   // Label 28214: @2136391
     /* 2136391 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2136482), // Rule ID 17605 //
     /* 2136396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2136399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2136407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2136416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136442 */     // MIs[0] round
     /* 2136442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136445 */     // MIs[0] policy
     /* 2136445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136455 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2136458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136481 */     // GIR_Coverage, 17605,
     /* 2136481 */     GIR_EraseRootFromParent_Done,
     /* 2136482 */   // Label 28215: @2136482
     /* 2136482 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2136573), // Rule ID 17608 //
     /* 2136487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2136490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2136504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2136507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136533 */     // MIs[0] round
     /* 2136533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136536 */     // MIs[0] policy
     /* 2136536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136546 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2136549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136572 */     // GIR_Coverage, 17608,
     /* 2136572 */     GIR_EraseRootFromParent_Done,
     /* 2136573 */   // Label 28216: @2136573
     /* 2136573 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2136664), // Rule ID 17609 //
     /* 2136578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2136581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2136589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2136592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2136595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2136598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136624 */     // MIs[0] round
     /* 2136624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136627 */     // MIs[0] policy
     /* 2136627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136637 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2136640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136663 */     // GIR_Coverage, 17609,
     /* 2136663 */     GIR_EraseRootFromParent_Done,
     /* 2136664 */   // Label 28217: @2136664
     /* 2136664 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2136755), // Rule ID 17612 //
     /* 2136669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2136672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2136686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136715 */     // MIs[0] round
     /* 2136715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136718 */     // MIs[0] policy
     /* 2136718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136728 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2136731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136754 */     // GIR_Coverage, 17612,
     /* 2136754 */     GIR_EraseRootFromParent_Done,
     /* 2136755 */   // Label 28218: @2136755
     /* 2136755 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2136846), // Rule ID 17613 //
     /* 2136760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2136763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2136777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136806 */     // MIs[0] round
     /* 2136806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136809 */     // MIs[0] policy
     /* 2136809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136819 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2136822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136845 */     // GIR_Coverage, 17613,
     /* 2136845 */     GIR_EraseRootFromParent_Done,
     /* 2136846 */   // Label 28219: @2136846
     /* 2136846 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2136937), // Rule ID 17616 //
     /* 2136851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2136854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2136862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2136865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2136868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136897 */     // MIs[0] round
     /* 2136897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136900 */     // MIs[0] policy
     /* 2136900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2136913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136936 */     // GIR_Coverage, 17616,
     /* 2136936 */     GIR_EraseRootFromParent_Done,
     /* 2136937 */   // Label 28220: @2136937
     /* 2136937 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2137028), // Rule ID 17617 //
     /* 2136942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2136945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2136950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2136953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2136956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2136959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136988 */     // MIs[0] round
     /* 2136988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136991 */     // MIs[0] policy
     /* 2136991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137001 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2137004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137027 */     // GIR_Coverage, 17617,
     /* 2137027 */     GIR_EraseRootFromParent_Done,
     /* 2137028 */   // Label 28221: @2137028
     /* 2137028 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2137119), // Rule ID 17620 //
     /* 2137033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137079 */     // MIs[0] round
     /* 2137079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137082 */     // MIs[0] policy
     /* 2137082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137092 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2137095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137118 */     // GIR_Coverage, 17620,
     /* 2137118 */     GIR_EraseRootFromParent_Done,
     /* 2137119 */   // Label 28222: @2137119
     /* 2137119 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2137210), // Rule ID 17621 //
     /* 2137124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137170 */     // MIs[0] round
     /* 2137170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137173 */     // MIs[0] policy
     /* 2137173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137183 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2137186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137209 */     // GIR_Coverage, 17621,
     /* 2137209 */     GIR_EraseRootFromParent_Done,
     /* 2137210 */   // Label 28223: @2137210
     /* 2137210 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2137301), // Rule ID 17624 //
     /* 2137215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2137232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137261 */     // MIs[0] round
     /* 2137261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137264 */     // MIs[0] policy
     /* 2137264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137274 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2137277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137300 */     // GIR_Coverage, 17624,
     /* 2137300 */     GIR_EraseRootFromParent_Done,
     /* 2137301 */   // Label 28224: @2137301
     /* 2137301 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2137392), // Rule ID 17625 //
     /* 2137306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2137323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137352 */     // MIs[0] round
     /* 2137352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137355 */     // MIs[0] policy
     /* 2137355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137365 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2137368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137391 */     // GIR_Coverage, 17625,
     /* 2137391 */     GIR_EraseRootFromParent_Done,
     /* 2137392 */   // Label 28225: @2137392
     /* 2137392 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2137483), // Rule ID 17628 //
     /* 2137397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2137400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2137414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137443 */     // MIs[0] round
     /* 2137443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137446 */     // MIs[0] policy
     /* 2137446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2137459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137482 */     // GIR_Coverage, 17628,
     /* 2137482 */     GIR_EraseRootFromParent_Done,
     /* 2137483 */   // Label 28226: @2137483
     /* 2137483 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2137574), // Rule ID 17629 //
     /* 2137488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2137491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2137505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137534 */     // MIs[0] round
     /* 2137534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137537 */     // MIs[0] policy
     /* 2137537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137547 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2137550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137573 */     // GIR_Coverage, 17629,
     /* 2137573 */     GIR_EraseRootFromParent_Done,
     /* 2137574 */   // Label 28227: @2137574
     /* 2137574 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2137665), // Rule ID 17632 //
     /* 2137579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2137582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2137596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137625 */     // MIs[0] round
     /* 2137625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137628 */     // MIs[0] policy
     /* 2137628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137638 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2137641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137664 */     // GIR_Coverage, 17632,
     /* 2137664 */     GIR_EraseRootFromParent_Done,
     /* 2137665 */   // Label 28228: @2137665
     /* 2137665 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2137756), // Rule ID 17633 //
     /* 2137670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2137673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2137681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2137684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2137687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137716 */     // MIs[0] round
     /* 2137716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137719 */     // MIs[0] policy
     /* 2137719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137729 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2137732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137755 */     // GIR_Coverage, 17633,
     /* 2137755 */     GIR_EraseRootFromParent_Done,
     /* 2137756 */   // Label 28229: @2137756
     /* 2137756 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2137847), // Rule ID 17636 //
     /* 2137761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2137764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2137772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2137775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2137778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137807 */     // MIs[0] round
     /* 2137807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137810 */     // MIs[0] policy
     /* 2137810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137820 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2137823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137846 */     // GIR_Coverage, 17636,
     /* 2137846 */     GIR_EraseRootFromParent_Done,
     /* 2137847 */   // Label 28230: @2137847
     /* 2137847 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2137938), // Rule ID 17637 //
     /* 2137852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2137855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2137863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2137866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2137869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137898 */     // MIs[0] round
     /* 2137898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137901 */     // MIs[0] policy
     /* 2137901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137911 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2137914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137937 */     // GIR_Coverage, 17637,
     /* 2137937 */     GIR_EraseRootFromParent_Done,
     /* 2137938 */   // Label 28231: @2137938
     /* 2137938 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2138029), // Rule ID 17640 //
     /* 2137943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2137946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2137951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2137954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2137960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137989 */     // MIs[0] round
     /* 2137989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137992 */     // MIs[0] policy
     /* 2137992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138002 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2138005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138028 */     // GIR_Coverage, 17640,
     /* 2138028 */     GIR_EraseRootFromParent_Done,
     /* 2138029 */   // Label 28232: @2138029
     /* 2138029 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2138120), // Rule ID 17641 //
     /* 2138034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2138037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138080 */     // MIs[0] round
     /* 2138080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138083 */     // MIs[0] policy
     /* 2138083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138093 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2138096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138119 */     // GIR_Coverage, 17641,
     /* 2138119 */     GIR_EraseRootFromParent_Done,
     /* 2138120 */   // Label 28233: @2138120
     /* 2138120 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2138211), // Rule ID 17644 //
     /* 2138125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2138128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2138142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138171 */     // MIs[0] round
     /* 2138171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138174 */     // MIs[0] policy
     /* 2138174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138184 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2138187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138210 */     // GIR_Coverage, 17644,
     /* 2138210 */     GIR_EraseRootFromParent_Done,
     /* 2138211 */   // Label 28234: @2138211
     /* 2138211 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2138302), // Rule ID 17645 //
     /* 2138216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2138219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2138224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2138233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2138258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138262 */     // MIs[0] round
     /* 2138262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138265 */     // MIs[0] policy
     /* 2138265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138275 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2138278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138301 */     // GIR_Coverage, 17645,
     /* 2138301 */     GIR_EraseRootFromParent_Done,
     /* 2138302 */   // Label 28235: @2138302
     /* 2138302 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2138393), // Rule ID 17648 //
     /* 2138307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138353 */     // MIs[0] round
     /* 2138353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138356 */     // MIs[0] policy
     /* 2138356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138366 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2138369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138392 */     // GIR_Coverage, 17648,
     /* 2138392 */     GIR_EraseRootFromParent_Done,
     /* 2138393 */   // Label 28236: @2138393
     /* 2138393 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2138484), // Rule ID 17649 //
     /* 2138398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138444 */     // MIs[0] round
     /* 2138444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138447 */     // MIs[0] policy
     /* 2138447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138457 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2138460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138483 */     // GIR_Coverage, 17649,
     /* 2138483 */     GIR_EraseRootFromParent_Done,
     /* 2138484 */   // Label 28237: @2138484
     /* 2138484 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2138575), // Rule ID 17652 //
     /* 2138489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138535 */     // MIs[0] round
     /* 2138535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138538 */     // MIs[0] policy
     /* 2138538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138548 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2138551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138574 */     // GIR_Coverage, 17652,
     /* 2138574 */     GIR_EraseRootFromParent_Done,
     /* 2138575 */   // Label 28238: @2138575
     /* 2138575 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2138666), // Rule ID 17653 //
     /* 2138580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138626 */     // MIs[0] round
     /* 2138626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138629 */     // MIs[0] policy
     /* 2138629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138639 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2138642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138665 */     // GIR_Coverage, 17653,
     /* 2138665 */     GIR_EraseRootFromParent_Done,
     /* 2138666 */   // Label 28239: @2138666
     /* 2138666 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2138757), // Rule ID 17656 //
     /* 2138671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2138682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2138691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138717 */     // MIs[0] round
     /* 2138717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138720 */     // MIs[0] policy
     /* 2138720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138730 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2138733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138756 */     // GIR_Coverage, 17656,
     /* 2138756 */     GIR_EraseRootFromParent_Done,
     /* 2138757 */   // Label 28240: @2138757
     /* 2138757 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2138848), // Rule ID 17657 //
     /* 2138762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2138773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2138782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138808 */     // MIs[0] round
     /* 2138808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138811 */     // MIs[0] policy
     /* 2138811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138821 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2138824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138847 */     // GIR_Coverage, 17657,
     /* 2138847 */     GIR_EraseRootFromParent_Done,
     /* 2138848 */   // Label 28241: @2138848
     /* 2138848 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2138939), // Rule ID 17660 //
     /* 2138853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2138864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2138867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2138870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2138873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138899 */     // MIs[0] round
     /* 2138899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138902 */     // MIs[0] policy
     /* 2138902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138912 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2138915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138938 */     // GIR_Coverage, 17660,
     /* 2138938 */     GIR_EraseRootFromParent_Done,
     /* 2138939 */   // Label 28242: @2138939
     /* 2138939 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2139030), // Rule ID 17661 //
     /* 2138944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2138952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2138955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2138958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2138961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2138964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138990 */     // MIs[0] round
     /* 2138990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138993 */     // MIs[0] policy
     /* 2138993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139003 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2139006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139029 */     // GIR_Coverage, 17661,
     /* 2139029 */     GIR_EraseRootFromParent_Done,
     /* 2139030 */   // Label 28243: @2139030
     /* 2139030 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2139121), // Rule ID 17664 //
     /* 2139035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139081 */     // MIs[0] round
     /* 2139081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139084 */     // MIs[0] policy
     /* 2139084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139094 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2139097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139120 */     // GIR_Coverage, 17664,
     /* 2139120 */     GIR_EraseRootFromParent_Done,
     /* 2139121 */   // Label 28244: @2139121
     /* 2139121 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2139212), // Rule ID 17665 //
     /* 2139126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139172 */     // MIs[0] round
     /* 2139172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139175 */     // MIs[0] policy
     /* 2139175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139185 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2139188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139211 */     // GIR_Coverage, 17665,
     /* 2139211 */     GIR_EraseRootFromParent_Done,
     /* 2139212 */   // Label 28245: @2139212
     /* 2139212 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2139303), // Rule ID 17668 //
     /* 2139217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2139228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2139237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139263 */     // MIs[0] round
     /* 2139263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139266 */     // MIs[0] policy
     /* 2139266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139276 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2139279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139302 */     // GIR_Coverage, 17668,
     /* 2139302 */     GIR_EraseRootFromParent_Done,
     /* 2139303 */   // Label 28246: @2139303
     /* 2139303 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2139394), // Rule ID 17669 //
     /* 2139308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2139319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2139328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139354 */     // MIs[0] round
     /* 2139354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139357 */     // MIs[0] policy
     /* 2139357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139367 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2139370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139393 */     // GIR_Coverage, 17669,
     /* 2139393 */     GIR_EraseRootFromParent_Done,
     /* 2139394 */   // Label 28247: @2139394
     /* 2139394 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2139485), // Rule ID 17672 //
     /* 2139399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139445 */     // MIs[0] round
     /* 2139445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139448 */     // MIs[0] policy
     /* 2139448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139458 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2139461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139484 */     // GIR_Coverage, 17672,
     /* 2139484 */     GIR_EraseRootFromParent_Done,
     /* 2139485 */   // Label 28248: @2139485
     /* 2139485 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2139576), // Rule ID 17673 //
     /* 2139490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139536 */     // MIs[0] round
     /* 2139536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139539 */     // MIs[0] policy
     /* 2139539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139549 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2139552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139575 */     // GIR_Coverage, 17673,
     /* 2139575 */     GIR_EraseRootFromParent_Done,
     /* 2139576 */   // Label 28249: @2139576
     /* 2139576 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2139667), // Rule ID 17676 //
     /* 2139581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2139592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2139595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2139598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2139601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2139604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139627 */     // MIs[0] round
     /* 2139627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139630 */     // MIs[0] policy
     /* 2139630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139640 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2139643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139666 */     // GIR_Coverage, 17676,
     /* 2139666 */     GIR_EraseRootFromParent_Done,
     /* 2139667 */   // Label 28250: @2139667
     /* 2139667 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2139758), // Rule ID 17677 //
     /* 2139672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2139683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2139686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2139689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2139692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2139695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139718 */     // MIs[0] round
     /* 2139718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139721 */     // MIs[0] policy
     /* 2139721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139731 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2139734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139757 */     // GIR_Coverage, 17677,
     /* 2139757 */     GIR_EraseRootFromParent_Done,
     /* 2139758 */   // Label 28251: @2139758
     /* 2139758 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2139849), // Rule ID 17680 //
     /* 2139763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2139780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2139783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139809 */     // MIs[0] round
     /* 2139809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139812 */     // MIs[0] policy
     /* 2139812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139822 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2139825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139848 */     // GIR_Coverage, 17680,
     /* 2139848 */     GIR_EraseRootFromParent_Done,
     /* 2139849 */   // Label 28252: @2139849
     /* 2139849 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2139940), // Rule ID 17681 //
     /* 2139854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2139871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2139874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139900 */     // MIs[0] round
     /* 2139900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139903 */     // MIs[0] policy
     /* 2139903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139913 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2139916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139939 */     // GIR_Coverage, 17681,
     /* 2139939 */     GIR_EraseRootFromParent_Done,
     /* 2139940 */   // Label 28253: @2139940
     /* 2139940 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2140031), // Rule ID 17684 //
     /* 2139945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2139953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2139956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2139965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139991 */     // MIs[0] round
     /* 2139991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139994 */     // MIs[0] policy
     /* 2139994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2140007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140030 */     // GIR_Coverage, 17684,
     /* 2140030 */     GIR_EraseRootFromParent_Done,
     /* 2140031 */   // Label 28254: @2140031
     /* 2140031 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2140122), // Rule ID 17685 //
     /* 2140036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140082 */     // MIs[0] round
     /* 2140082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140085 */     // MIs[0] policy
     /* 2140085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140095 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2140098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140121 */     // GIR_Coverage, 17685,
     /* 2140121 */     GIR_EraseRootFromParent_Done,
     /* 2140122 */   // Label 28255: @2140122
     /* 2140122 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2140213), // Rule ID 17688 //
     /* 2140127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2140138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2140141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2140144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2140147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140173 */     // MIs[0] round
     /* 2140173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140176 */     // MIs[0] policy
     /* 2140176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140186 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2140189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140212 */     // GIR_Coverage, 17688,
     /* 2140212 */     GIR_EraseRootFromParent_Done,
     /* 2140213 */   // Label 28256: @2140213
     /* 2140213 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2140304), // Rule ID 17689 //
     /* 2140218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2140229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2140232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2140235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2140238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140264 */     // MIs[0] round
     /* 2140264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140267 */     // MIs[0] policy
     /* 2140267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140277 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2140280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140303 */     // GIR_Coverage, 17689,
     /* 2140303 */     GIR_EraseRootFromParent_Done,
     /* 2140304 */   // Label 28257: @2140304
     /* 2140304 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2140395), // Rule ID 17692 //
     /* 2140309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2140320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2140323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140355 */     // MIs[0] round
     /* 2140355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140358 */     // MIs[0] policy
     /* 2140358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2140371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140394 */     // GIR_Coverage, 17692,
     /* 2140394 */     GIR_EraseRootFromParent_Done,
     /* 2140395 */   // Label 28258: @2140395
     /* 2140395 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2140486), // Rule ID 17693 //
     /* 2140400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2140411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2140414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140446 */     // MIs[0] round
     /* 2140446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140449 */     // MIs[0] policy
     /* 2140449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140459 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2140462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140485 */     // GIR_Coverage, 17693,
     /* 2140485 */     GIR_EraseRootFromParent_Done,
     /* 2140486 */   // Label 28259: @2140486
     /* 2140486 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2140577), // Rule ID 17696 //
     /* 2140491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2140508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2140511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140537 */     // MIs[0] round
     /* 2140537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140540 */     // MIs[0] policy
     /* 2140540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140550 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2140553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140576 */     // GIR_Coverage, 17696,
     /* 2140576 */     GIR_EraseRootFromParent_Done,
     /* 2140577 */   // Label 28260: @2140577
     /* 2140577 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2140668), // Rule ID 17697 //
     /* 2140582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2140599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2140602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140628 */     // MIs[0] round
     /* 2140628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140631 */     // MIs[0] policy
     /* 2140631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140641 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2140644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140667 */     // GIR_Coverage, 17697,
     /* 2140667 */     GIR_EraseRootFromParent_Done,
     /* 2140668 */   // Label 28261: @2140668
     /* 2140668 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2140759), // Rule ID 17700 //
     /* 2140673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2140693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140719 */     // MIs[0] round
     /* 2140719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140722 */     // MIs[0] policy
     /* 2140722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2140735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140758 */     // GIR_Coverage, 17700,
     /* 2140758 */     GIR_EraseRootFromParent_Done,
     /* 2140759 */   // Label 28262: @2140759
     /* 2140759 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2140850), // Rule ID 17701 //
     /* 2140764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2140784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140810 */     // MIs[0] round
     /* 2140810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140813 */     // MIs[0] policy
     /* 2140813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140823 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2140826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140849 */     // GIR_Coverage, 17701,
     /* 2140849 */     GIR_EraseRootFromParent_Done,
     /* 2140850 */   // Label 28263: @2140850
     /* 2140850 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2140941), // Rule ID 17704 //
     /* 2140855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2140866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2140869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2140872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2140875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140901 */     // MIs[0] round
     /* 2140901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140904 */     // MIs[0] policy
     /* 2140904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2140917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140940 */     // GIR_Coverage, 17704,
     /* 2140940 */     GIR_EraseRootFromParent_Done,
     /* 2140941 */   // Label 28264: @2140941
     /* 2140941 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2141032), // Rule ID 17705 //
     /* 2140946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2140954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2140957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2140960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2140963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2140966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140992 */     // MIs[0] round
     /* 2140992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140995 */     // MIs[0] policy
     /* 2140995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141005 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2141008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141031 */     // GIR_Coverage, 17705,
     /* 2141031 */     GIR_EraseRootFromParent_Done,
     /* 2141032 */   // Label 28265: @2141032
     /* 2141032 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2141123), // Rule ID 17708 //
     /* 2141037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2141057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141083 */     // MIs[0] round
     /* 2141083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141086 */     // MIs[0] policy
     /* 2141086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141096 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2141099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141122 */     // GIR_Coverage, 17708,
     /* 2141122 */     GIR_EraseRootFromParent_Done,
     /* 2141123 */   // Label 28266: @2141123
     /* 2141123 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2141214), // Rule ID 17709 //
     /* 2141128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2141148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141174 */     // MIs[0] round
     /* 2141174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141177 */     // MIs[0] policy
     /* 2141177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141187 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2141190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141213 */     // GIR_Coverage, 17709,
     /* 2141213 */     GIR_EraseRootFromParent_Done,
     /* 2141214 */   // Label 28267: @2141214
     /* 2141214 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2141305), // Rule ID 17712 //
     /* 2141219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2141230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2141233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2141239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141265 */     // MIs[0] round
     /* 2141265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141268 */     // MIs[0] policy
     /* 2141268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141278 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2141281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141304 */     // GIR_Coverage, 17712,
     /* 2141304 */     GIR_EraseRootFromParent_Done,
     /* 2141305 */   // Label 28268: @2141305
     /* 2141305 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2141396), // Rule ID 17713 //
     /* 2141310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2141321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2141324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2141330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141356 */     // MIs[0] round
     /* 2141356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141359 */     // MIs[0] policy
     /* 2141359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141369 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2141372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141395 */     // GIR_Coverage, 17713,
     /* 2141395 */     GIR_EraseRootFromParent_Done,
     /* 2141396 */   // Label 28269: @2141396
     /* 2141396 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2141487), // Rule ID 17716 //
     /* 2141401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2141421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141447 */     // MIs[0] round
     /* 2141447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141450 */     // MIs[0] policy
     /* 2141450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2141463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141486 */     // GIR_Coverage, 17716,
     /* 2141486 */     GIR_EraseRootFromParent_Done,
     /* 2141487 */   // Label 28270: @2141487
     /* 2141487 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2141578), // Rule ID 17717 //
     /* 2141492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2141512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141538 */     // MIs[0] round
     /* 2141538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141541 */     // MIs[0] policy
     /* 2141541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141551 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2141554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141577 */     // GIR_Coverage, 17717,
     /* 2141577 */     GIR_EraseRootFromParent_Done,
     /* 2141578 */   // Label 28271: @2141578
     /* 2141578 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2141669), // Rule ID 17720 //
     /* 2141583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2141594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2141597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2141603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141629 */     // MIs[0] round
     /* 2141629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141632 */     // MIs[0] policy
     /* 2141632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141642 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2141645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141668 */     // GIR_Coverage, 17720,
     /* 2141668 */     GIR_EraseRootFromParent_Done,
     /* 2141669 */   // Label 28272: @2141669
     /* 2141669 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2141760), // Rule ID 17721 //
     /* 2141674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2141685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2141688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2141694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141720 */     // MIs[0] round
     /* 2141720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141723 */     // MIs[0] policy
     /* 2141723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141733 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2141736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141759 */     // GIR_Coverage, 17721,
     /* 2141759 */     GIR_EraseRootFromParent_Done,
     /* 2141760 */   // Label 28273: @2141760
     /* 2141760 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2141851), // Rule ID 17724 //
     /* 2141765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2141782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2141785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141811 */     // MIs[0] round
     /* 2141811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141814 */     // MIs[0] policy
     /* 2141814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141824 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2141827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141850 */     // GIR_Coverage, 17724,
     /* 2141850 */     GIR_EraseRootFromParent_Done,
     /* 2141851 */   // Label 28274: @2141851
     /* 2141851 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2141942), // Rule ID 17725 //
     /* 2141856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2141873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2141876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141902 */     // MIs[0] round
     /* 2141902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141905 */     // MIs[0] policy
     /* 2141905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141915 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2141918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141941 */     // GIR_Coverage, 17725,
     /* 2141941 */     GIR_EraseRootFromParent_Done,
     /* 2141942 */   // Label 28275: @2141942
     /* 2141942 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2142033), // Rule ID 17728 //
     /* 2141947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2141955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2141958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2141967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141993 */     // MIs[0] round
     /* 2141993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141996 */     // MIs[0] policy
     /* 2141996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142006 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2142009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142032 */     // GIR_Coverage, 17728,
     /* 2142032 */     GIR_EraseRootFromParent_Done,
     /* 2142033 */   // Label 28276: @2142033
     /* 2142033 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2142124), // Rule ID 17729 //
     /* 2142038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142084 */     // MIs[0] round
     /* 2142084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142087 */     // MIs[0] policy
     /* 2142087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142097 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2142100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142123 */     // GIR_Coverage, 17729,
     /* 2142123 */     GIR_EraseRootFromParent_Done,
     /* 2142124 */   // Label 28277: @2142124
     /* 2142124 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2142215), // Rule ID 17732 //
     /* 2142129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2142140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2142149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142175 */     // MIs[0] round
     /* 2142175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142178 */     // MIs[0] policy
     /* 2142178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142188 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2142191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142214 */     // GIR_Coverage, 17732,
     /* 2142214 */     GIR_EraseRootFromParent_Done,
     /* 2142215 */   // Label 28278: @2142215
     /* 2142215 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2142306), // Rule ID 17733 //
     /* 2142220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2142231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2142240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142266 */     // MIs[0] round
     /* 2142266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142269 */     // MIs[0] policy
     /* 2142269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142279 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2142282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142305 */     // GIR_Coverage, 17733,
     /* 2142305 */     GIR_EraseRootFromParent_Done,
     /* 2142306 */   // Label 28279: @2142306
     /* 2142306 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2142397), // Rule ID 17736 //
     /* 2142311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2142322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2142331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142357 */     // MIs[0] round
     /* 2142357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142360 */     // MIs[0] policy
     /* 2142360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142370 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2142373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142396 */     // GIR_Coverage, 17736,
     /* 2142396 */     GIR_EraseRootFromParent_Done,
     /* 2142397 */   // Label 28280: @2142397
     /* 2142397 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2142488), // Rule ID 17737 //
     /* 2142402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2142413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2142422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142448 */     // MIs[0] round
     /* 2142448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142451 */     // MIs[0] policy
     /* 2142451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142461 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2142464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142487 */     // GIR_Coverage, 17737,
     /* 2142487 */     GIR_EraseRootFromParent_Done,
     /* 2142488 */   // Label 28281: @2142488
     /* 2142488 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2142579), // Rule ID 17740 //
     /* 2142493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2142513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142539 */     // MIs[0] round
     /* 2142539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142542 */     // MIs[0] policy
     /* 2142542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2142555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142578 */     // GIR_Coverage, 17740,
     /* 2142578 */     GIR_EraseRootFromParent_Done,
     /* 2142579 */   // Label 28282: @2142579
     /* 2142579 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2142670), // Rule ID 17741 //
     /* 2142584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2142604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142630 */     // MIs[0] round
     /* 2142630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142633 */     // MIs[0] policy
     /* 2142633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142643 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2142646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142669 */     // GIR_Coverage, 17741,
     /* 2142669 */     GIR_EraseRootFromParent_Done,
     /* 2142670 */   // Label 28283: @2142670
     /* 2142670 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2142761), // Rule ID 17744 //
     /* 2142675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2142695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142721 */     // MIs[0] round
     /* 2142721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142724 */     // MIs[0] policy
     /* 2142724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142734 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2142737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142760 */     // GIR_Coverage, 17744,
     /* 2142760 */     GIR_EraseRootFromParent_Done,
     /* 2142761 */   // Label 28284: @2142761
     /* 2142761 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2142852), // Rule ID 17745 //
     /* 2142766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2142786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142812 */     // MIs[0] round
     /* 2142812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142815 */     // MIs[0] policy
     /* 2142815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142825 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2142828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142851 */     // GIR_Coverage, 17745,
     /* 2142851 */     GIR_EraseRootFromParent_Done,
     /* 2142852 */   // Label 28285: @2142852
     /* 2142852 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2142943), // Rule ID 17748 //
     /* 2142857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2142868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2142871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2142877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142903 */     // MIs[0] round
     /* 2142903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142906 */     // MIs[0] policy
     /* 2142906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142916 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2142919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142942 */     // GIR_Coverage, 17748,
     /* 2142942 */     GIR_EraseRootFromParent_Done,
     /* 2142943 */   // Label 28286: @2142943
     /* 2142943 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2143034), // Rule ID 17749 //
     /* 2142948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2142956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2142959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2142962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2142968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142994 */     // MIs[0] round
     /* 2142994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142997 */     // MIs[0] policy
     /* 2142997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143007 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2143010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143033 */     // GIR_Coverage, 17749,
     /* 2143033 */     GIR_EraseRootFromParent_Done,
     /* 2143034 */   // Label 28287: @2143034
     /* 2143034 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2143125), // Rule ID 17752 //
     /* 2143039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2143059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143085 */     // MIs[0] round
     /* 2143085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143088 */     // MIs[0] policy
     /* 2143088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143098 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2143101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143124 */     // GIR_Coverage, 17752,
     /* 2143124 */     GIR_EraseRootFromParent_Done,
     /* 2143125 */   // Label 28288: @2143125
     /* 2143125 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2143216), // Rule ID 17753 //
     /* 2143130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2143150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143176 */     // MIs[0] round
     /* 2143176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143179 */     // MIs[0] policy
     /* 2143179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143189 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2143192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143215 */     // GIR_Coverage, 17753,
     /* 2143215 */     GIR_EraseRootFromParent_Done,
     /* 2143216 */   // Label 28289: @2143216
     /* 2143216 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2143307), // Rule ID 17756 //
     /* 2143221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2143241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143267 */     // MIs[0] round
     /* 2143267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143270 */     // MIs[0] policy
     /* 2143270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143280 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2143283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143306 */     // GIR_Coverage, 17756,
     /* 2143306 */     GIR_EraseRootFromParent_Done,
     /* 2143307 */   // Label 28290: @2143307
     /* 2143307 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2143398), // Rule ID 17757 //
     /* 2143312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2143332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143358 */     // MIs[0] round
     /* 2143358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143361 */     // MIs[0] policy
     /* 2143361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143371 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2143374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143397 */     // GIR_Coverage, 17757,
     /* 2143397 */     GIR_EraseRootFromParent_Done,
     /* 2143398 */   // Label 28291: @2143398
     /* 2143398 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2143489), // Rule ID 17760 //
     /* 2143403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2143423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143449 */     // MIs[0] round
     /* 2143449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143452 */     // MIs[0] policy
     /* 2143452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143462 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2143465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143488 */     // GIR_Coverage, 17760,
     /* 2143488 */     GIR_EraseRootFromParent_Done,
     /* 2143489 */   // Label 28292: @2143489
     /* 2143489 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2143580), // Rule ID 17761 //
     /* 2143494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2143502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2143514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143540 */     // MIs[0] round
     /* 2143540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143543 */     // MIs[0] policy
     /* 2143543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2143556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143579 */     // GIR_Coverage, 17761,
     /* 2143579 */     GIR_EraseRootFromParent_Done,
     /* 2143580 */   // Label 28293: @2143580
     /* 2143580 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2143671), // Rule ID 17764 //
     /* 2143585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2143605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143631 */     // MIs[0] round
     /* 2143631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143634 */     // MIs[0] policy
     /* 2143634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143644 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2143647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143670 */     // GIR_Coverage, 17764,
     /* 2143670 */     GIR_EraseRootFromParent_Done,
     /* 2143671 */   // Label 28294: @2143671
     /* 2143671 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2143762), // Rule ID 17765 //
     /* 2143676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2143696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143722 */     // MIs[0] round
     /* 2143722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143725 */     // MIs[0] policy
     /* 2143725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143735 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2143738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143761 */     // GIR_Coverage, 17765,
     /* 2143761 */     GIR_EraseRootFromParent_Done,
     /* 2143762 */   // Label 28295: @2143762
     /* 2143762 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2143853), // Rule ID 17768 //
     /* 2143767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143813 */     // MIs[0] round
     /* 2143813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143816 */     // MIs[0] policy
     /* 2143816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143826 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2143829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143852 */     // GIR_Coverage, 17768,
     /* 2143852 */     GIR_EraseRootFromParent_Done,
     /* 2143853 */   // Label 28296: @2143853
     /* 2143853 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2143944), // Rule ID 17769 //
     /* 2143858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143904 */     // MIs[0] round
     /* 2143904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143907 */     // MIs[0] policy
     /* 2143907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143917 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2143920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143943 */     // GIR_Coverage, 17769,
     /* 2143943 */     GIR_EraseRootFromParent_Done,
     /* 2143944 */   // Label 28297: @2143944
     /* 2143944 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2144035), // Rule ID 17772 //
     /* 2143949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2143966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143995 */     // MIs[0] round
     /* 2143995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143998 */     // MIs[0] policy
     /* 2143998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2144011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144034 */     // GIR_Coverage, 17772,
     /* 2144034 */     GIR_EraseRootFromParent_Done,
     /* 2144035 */   // Label 28298: @2144035
     /* 2144035 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2144126), // Rule ID 17773 //
     /* 2144040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2144060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144086 */     // MIs[0] round
     /* 2144086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144089 */     // MIs[0] policy
     /* 2144089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144099 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2144102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144125 */     // GIR_Coverage, 17773,
     /* 2144125 */     GIR_EraseRootFromParent_Done,
     /* 2144126 */   // Label 28299: @2144126
     /* 2144126 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2144217), // Rule ID 17776 //
     /* 2144131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2144142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2144145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2144151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144177 */     // MIs[0] round
     /* 2144177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144180 */     // MIs[0] policy
     /* 2144180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144190 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2144193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144216 */     // GIR_Coverage, 17776,
     /* 2144216 */     GIR_EraseRootFromParent_Done,
     /* 2144217 */   // Label 28300: @2144217
     /* 2144217 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2144308), // Rule ID 17777 //
     /* 2144222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2144233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2144236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2144242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144268 */     // MIs[0] round
     /* 2144268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144271 */     // MIs[0] policy
     /* 2144271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144281 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2144284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144307 */     // GIR_Coverage, 17777,
     /* 2144307 */     GIR_EraseRootFromParent_Done,
     /* 2144308 */   // Label 28301: @2144308
     /* 2144308 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2144399), // Rule ID 17780 //
     /* 2144313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144359 */     // MIs[0] round
     /* 2144359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144362 */     // MIs[0] policy
     /* 2144362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2144375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144398 */     // GIR_Coverage, 17780,
     /* 2144398 */     GIR_EraseRootFromParent_Done,
     /* 2144399 */   // Label 28302: @2144399
     /* 2144399 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2144490), // Rule ID 17781 //
     /* 2144404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144450 */     // MIs[0] round
     /* 2144450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144453 */     // MIs[0] policy
     /* 2144453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144463 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2144466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144489 */     // GIR_Coverage, 17781,
     /* 2144489 */     GIR_EraseRootFromParent_Done,
     /* 2144490 */   // Label 28303: @2144490
     /* 2144490 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2144581), // Rule ID 17784 //
     /* 2144495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2144512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2144515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144541 */     // MIs[0] round
     /* 2144541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144544 */     // MIs[0] policy
     /* 2144544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144554 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2144557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144580 */     // GIR_Coverage, 17784,
     /* 2144580 */     GIR_EraseRootFromParent_Done,
     /* 2144581 */   // Label 28304: @2144581
     /* 2144581 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2144672), // Rule ID 17785 //
     /* 2144586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2144603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2144606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144632 */     // MIs[0] round
     /* 2144632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144635 */     // MIs[0] policy
     /* 2144635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144645 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2144648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144671 */     // GIR_Coverage, 17785,
     /* 2144671 */     GIR_EraseRootFromParent_Done,
     /* 2144672 */   // Label 28305: @2144672
     /* 2144672 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2144763), // Rule ID 17788 //
     /* 2144677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2144697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144723 */     // MIs[0] round
     /* 2144723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144726 */     // MIs[0] policy
     /* 2144726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144736 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2144739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144762 */     // GIR_Coverage, 17788,
     /* 2144762 */     GIR_EraseRootFromParent_Done,
     /* 2144763 */   // Label 28306: @2144763
     /* 2144763 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2144854), // Rule ID 17789 //
     /* 2144768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2144788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144814 */     // MIs[0] round
     /* 2144814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144817 */     // MIs[0] policy
     /* 2144817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144827 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2144830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144853 */     // GIR_Coverage, 17789,
     /* 2144853 */     GIR_EraseRootFromParent_Done,
     /* 2144854 */   // Label 28307: @2144854
     /* 2144854 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2144945), // Rule ID 17792 //
     /* 2144859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2144870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2144879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144905 */     // MIs[0] round
     /* 2144905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144908 */     // MIs[0] policy
     /* 2144908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144918 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2144921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144944 */     // GIR_Coverage, 17792,
     /* 2144944 */     GIR_EraseRootFromParent_Done,
     /* 2144945 */   // Label 28308: @2144945
     /* 2144945 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2145036), // Rule ID 17793 //
     /* 2144950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2144958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2144961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2144970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144996 */     // MIs[0] round
     /* 2144996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144999 */     // MIs[0] policy
     /* 2144999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145009 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2145012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145035 */     // GIR_Coverage, 17793,
     /* 2145035 */     GIR_EraseRootFromParent_Done,
     /* 2145036 */   // Label 28309: @2145036
     /* 2145036 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2145127), // Rule ID 17796 //
     /* 2145041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145087 */     // MIs[0] round
     /* 2145087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145090 */     // MIs[0] policy
     /* 2145090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145100 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2145103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145126 */     // GIR_Coverage, 17796,
     /* 2145126 */     GIR_EraseRootFromParent_Done,
     /* 2145127 */   // Label 28310: @2145127
     /* 2145127 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2145218), // Rule ID 17797 //
     /* 2145132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145178 */     // MIs[0] round
     /* 2145178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145181 */     // MIs[0] policy
     /* 2145181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145191 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2145194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145217 */     // GIR_Coverage, 17797,
     /* 2145217 */     GIR_EraseRootFromParent_Done,
     /* 2145218 */   // Label 28311: @2145218
     /* 2145218 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2145309), // Rule ID 17800 //
     /* 2145223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2145243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145269 */     // MIs[0] round
     /* 2145269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145272 */     // MIs[0] policy
     /* 2145272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145282 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2145285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145308 */     // GIR_Coverage, 17800,
     /* 2145308 */     GIR_EraseRootFromParent_Done,
     /* 2145309 */   // Label 28312: @2145309
     /* 2145309 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2145400), // Rule ID 17801 //
     /* 2145314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2145334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145360 */     // MIs[0] round
     /* 2145360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145363 */     // MIs[0] policy
     /* 2145363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145373 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2145376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145399 */     // GIR_Coverage, 17801,
     /* 2145399 */     GIR_EraseRootFromParent_Done,
     /* 2145400 */   // Label 28313: @2145400
     /* 2145400 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2145491), // Rule ID 17804 //
     /* 2145405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2145425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145451 */     // MIs[0] round
     /* 2145451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145454 */     // MIs[0] policy
     /* 2145454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145464 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2145467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145490 */     // GIR_Coverage, 17804,
     /* 2145490 */     GIR_EraseRootFromParent_Done,
     /* 2145491 */   // Label 28314: @2145491
     /* 2145491 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2145582), // Rule ID 17805 //
     /* 2145496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2145516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145542 */     // MIs[0] round
     /* 2145542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145545 */     // MIs[0] policy
     /* 2145545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145555 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2145558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145581 */     // GIR_Coverage, 17805,
     /* 2145581 */     GIR_EraseRootFromParent_Done,
     /* 2145582 */   // Label 28315: @2145582
     /* 2145582 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2145673), // Rule ID 17808 //
     /* 2145587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2145598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2145607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145633 */     // MIs[0] round
     /* 2145633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145636 */     // MIs[0] policy
     /* 2145636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145646 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2145649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145672 */     // GIR_Coverage, 17808,
     /* 2145672 */     GIR_EraseRootFromParent_Done,
     /* 2145673 */   // Label 28316: @2145673
     /* 2145673 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2145764), // Rule ID 17809 //
     /* 2145678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2145689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2145698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145724 */     // MIs[0] round
     /* 2145724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145727 */     // MIs[0] policy
     /* 2145727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145737 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2145740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145763 */     // GIR_Coverage, 17809,
     /* 2145763 */     GIR_EraseRootFromParent_Done,
     /* 2145764 */   // Label 28317: @2145764
     /* 2145764 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2145855), // Rule ID 17812 //
     /* 2145769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2145786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2145789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145815 */     // MIs[0] round
     /* 2145815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145818 */     // MIs[0] policy
     /* 2145818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145828 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2145831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145854 */     // GIR_Coverage, 17812,
     /* 2145854 */     GIR_EraseRootFromParent_Done,
     /* 2145855 */   // Label 28318: @2145855
     /* 2145855 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2145946), // Rule ID 17813 //
     /* 2145860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2145877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2145880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145906 */     // MIs[0] round
     /* 2145906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145909 */     // MIs[0] policy
     /* 2145909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145919 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2145922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145945 */     // GIR_Coverage, 17813,
     /* 2145945 */     GIR_EraseRootFromParent_Done,
     /* 2145946 */   // Label 28319: @2145946
     /* 2145946 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2146037), // Rule ID 17816 //
     /* 2145951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2145959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2145962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2145965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2145968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2145971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145997 */     // MIs[0] round
     /* 2145997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146000 */     // MIs[0] policy
     /* 2146000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146010 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2146013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146036 */     // GIR_Coverage, 17816,
     /* 2146036 */     GIR_EraseRootFromParent_Done,
     /* 2146037 */   // Label 28320: @2146037
     /* 2146037 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2146128), // Rule ID 17817 //
     /* 2146042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2146062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146088 */     // MIs[0] round
     /* 2146088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146091 */     // MIs[0] policy
     /* 2146091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146101 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2146104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146127 */     // GIR_Coverage, 17817,
     /* 2146127 */     GIR_EraseRootFromParent_Done,
     /* 2146128 */   // Label 28321: @2146128
     /* 2146128 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2146219), // Rule ID 17820 //
     /* 2146133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2146144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2146147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2146150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2146153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146179 */     // MIs[0] round
     /* 2146179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146182 */     // MIs[0] policy
     /* 2146182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146192 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2146195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146218 */     // GIR_Coverage, 17820,
     /* 2146218 */     GIR_EraseRootFromParent_Done,
     /* 2146219 */   // Label 28322: @2146219
     /* 2146219 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2146310), // Rule ID 17821 //
     /* 2146224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2146235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2146238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2146241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2146244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146270 */     // MIs[0] round
     /* 2146270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146273 */     // MIs[0] policy
     /* 2146273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146283 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2146286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146309 */     // GIR_Coverage, 17821,
     /* 2146309 */     GIR_EraseRootFromParent_Done,
     /* 2146310 */   // Label 28323: @2146310
     /* 2146310 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2146401), // Rule ID 17824 //
     /* 2146315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2146326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2146329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146361 */     // MIs[0] round
     /* 2146361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146364 */     // MIs[0] policy
     /* 2146364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146374 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2146377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146400 */     // GIR_Coverage, 17824,
     /* 2146400 */     GIR_EraseRootFromParent_Done,
     /* 2146401 */   // Label 28324: @2146401
     /* 2146401 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2146492), // Rule ID 17825 //
     /* 2146406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2146417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2146420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146452 */     // MIs[0] round
     /* 2146452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146455 */     // MIs[0] policy
     /* 2146455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146465 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2146468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146491 */     // GIR_Coverage, 17825,
     /* 2146491 */     GIR_EraseRootFromParent_Done,
     /* 2146492 */   // Label 28325: @2146492
     /* 2146492 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2146583), // Rule ID 17828 //
     /* 2146497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2146508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2146511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146543 */     // MIs[0] round
     /* 2146543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146546 */     // MIs[0] policy
     /* 2146546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146556 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2146559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146582 */     // GIR_Coverage, 17828,
     /* 2146582 */     GIR_EraseRootFromParent_Done,
     /* 2146583 */   // Label 28326: @2146583
     /* 2146583 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2146674), // Rule ID 17829 //
     /* 2146588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2146599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2146602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146634 */     // MIs[0] round
     /* 2146634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146637 */     // MIs[0] policy
     /* 2146637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146647 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2146650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146673 */     // GIR_Coverage, 17829,
     /* 2146673 */     GIR_EraseRootFromParent_Done,
     /* 2146674 */   // Label 28327: @2146674
     /* 2146674 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2146765), // Rule ID 17832 //
     /* 2146679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2146696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2146699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2146717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146725 */     // MIs[0] round
     /* 2146725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146728 */     // MIs[0] policy
     /* 2146728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146738 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2146741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146764 */     // GIR_Coverage, 17832,
     /* 2146764 */     GIR_EraseRootFromParent_Done,
     /* 2146765 */   // Label 28328: @2146765
     /* 2146765 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2146856), // Rule ID 17833 //
     /* 2146770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2146787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2146790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2146808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146816 */     // MIs[0] round
     /* 2146816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146819 */     // MIs[0] policy
     /* 2146819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146829 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2146832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146855 */     // GIR_Coverage, 17833,
     /* 2146855 */     GIR_EraseRootFromParent_Done,
     /* 2146856 */   // Label 28329: @2146856
     /* 2146856 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2146947), // Rule ID 17836 //
     /* 2146861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2146872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2146875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146907 */     // MIs[0] round
     /* 2146907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146910 */     // MIs[0] policy
     /* 2146910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146920 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2146923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146946 */     // GIR_Coverage, 17836,
     /* 2146946 */     GIR_EraseRootFromParent_Done,
     /* 2146947 */   // Label 28330: @2146947
     /* 2146947 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2147038), // Rule ID 17837 //
     /* 2146952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2146960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2146963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2146966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146998 */     // MIs[0] round
     /* 2146998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147001 */     // MIs[0] policy
     /* 2147001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147011 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2147014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147037 */     // GIR_Coverage, 17837,
     /* 2147037 */     GIR_EraseRootFromParent_Done,
     /* 2147038 */   // Label 28331: @2147038
     /* 2147038 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2147129), // Rule ID 17840 //
     /* 2147043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2147054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2147057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147089 */     // MIs[0] round
     /* 2147089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147092 */     // MIs[0] policy
     /* 2147092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2147105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147128 */     // GIR_Coverage, 17840,
     /* 2147128 */     GIR_EraseRootFromParent_Done,
     /* 2147129 */   // Label 28332: @2147129
     /* 2147129 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2147220), // Rule ID 17841 //
     /* 2147134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2147145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2147148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147180 */     // MIs[0] round
     /* 2147180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147183 */     // MIs[0] policy
     /* 2147183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147193 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2147196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147219 */     // GIR_Coverage, 17841,
     /* 2147219 */     GIR_EraseRootFromParent_Done,
     /* 2147220 */   // Label 28333: @2147220
     /* 2147220 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2147311), // Rule ID 17844 //
     /* 2147225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2147236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2147239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2147242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2147245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2147263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147271 */     // MIs[0] round
     /* 2147271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147274 */     // MIs[0] policy
     /* 2147274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2147287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147310 */     // GIR_Coverage, 17844,
     /* 2147310 */     GIR_EraseRootFromParent_Done,
     /* 2147311 */   // Label 28334: @2147311
     /* 2147311 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2147402), // Rule ID 17845 //
     /* 2147316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2147327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2147330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2147333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2147336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2147354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147362 */     // MIs[0] round
     /* 2147362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147365 */     // MIs[0] policy
     /* 2147365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147375 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2147378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147401 */     // GIR_Coverage, 17845,
     /* 2147401 */     GIR_EraseRootFromParent_Done,
     /* 2147402 */   // Label 28335: @2147402
     /* 2147402 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2147493), // Rule ID 17848 //
     /* 2147407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2147418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2147421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2147427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147453 */     // MIs[0] round
     /* 2147453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147456 */     // MIs[0] policy
     /* 2147456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147466 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2147469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147492 */     // GIR_Coverage, 17848,
     /* 2147492 */     GIR_EraseRootFromParent_Done,
     /* 2147493 */   // Label 28336: @2147493
     /* 2147493 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2147584), // Rule ID 17849 //
     /* 2147498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2147509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2147512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2147518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147544 */     // MIs[0] round
     /* 2147544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147547 */     // MIs[0] policy
     /* 2147547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147557 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2147560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147583 */     // GIR_Coverage, 17849,
     /* 2147583 */     GIR_EraseRootFromParent_Done,
     /* 2147584 */   // Label 28337: @2147584
     /* 2147584 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2147675), // Rule ID 17852 //
     /* 2147589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2147600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2147603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147635 */     // MIs[0] round
     /* 2147635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147638 */     // MIs[0] policy
     /* 2147638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147648 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2147651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147674 */     // GIR_Coverage, 17852,
     /* 2147674 */     GIR_EraseRootFromParent_Done,
     /* 2147675 */   // Label 28338: @2147675
     /* 2147675 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2147766), // Rule ID 17853 //
     /* 2147680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2147691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2147694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147726 */     // MIs[0] round
     /* 2147726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147729 */     // MIs[0] policy
     /* 2147729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147739 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2147742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147765 */     // GIR_Coverage, 17853,
     /* 2147765 */     GIR_EraseRootFromParent_Done,
     /* 2147766 */   // Label 28339: @2147766
     /* 2147766 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2147857), // Rule ID 17856 //
     /* 2147771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2147782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2147791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2147794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147817 */     // MIs[0] round
     /* 2147817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147820 */     // MIs[0] policy
     /* 2147820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147830 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2147833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147856 */     // GIR_Coverage, 17856,
     /* 2147856 */     GIR_EraseRootFromParent_Done,
     /* 2147857 */   // Label 28340: @2147857
     /* 2147857 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2147948), // Rule ID 17857 //
     /* 2147862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2147873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2147882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2147885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147908 */     // MIs[0] round
     /* 2147908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147911 */     // MIs[0] policy
     /* 2147911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147921 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2147924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147947 */     // GIR_Coverage, 17857,
     /* 2147947 */     GIR_EraseRootFromParent_Done,
     /* 2147948 */   // Label 28341: @2147948
     /* 2147948 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2148039), // Rule ID 17860 //
     /* 2147953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2147961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2147964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2147967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147999 */     // MIs[0] round
     /* 2147999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148002 */     // MIs[0] policy
     /* 2148002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148012 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2148015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148038 */     // GIR_Coverage, 17860,
     /* 2148038 */     GIR_EraseRootFromParent_Done,
     /* 2148039 */   // Label 28342: @2148039
     /* 2148039 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2148130), // Rule ID 17861 //
     /* 2148044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2148064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148090 */     // MIs[0] round
     /* 2148090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148093 */     // MIs[0] policy
     /* 2148093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148103 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2148106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148129 */     // GIR_Coverage, 17861,
     /* 2148129 */     GIR_EraseRootFromParent_Done,
     /* 2148130 */   // Label 28343: @2148130
     /* 2148130 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2148221), // Rule ID 17864 //
     /* 2148135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2148146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2148149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2148155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148181 */     // MIs[0] round
     /* 2148181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148184 */     // MIs[0] policy
     /* 2148184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148194 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2148197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148220 */     // GIR_Coverage, 17864,
     /* 2148220 */     GIR_EraseRootFromParent_Done,
     /* 2148221 */   // Label 28344: @2148221
     /* 2148221 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2148312), // Rule ID 17865 //
     /* 2148226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2148237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2148240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2148246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148272 */     // MIs[0] round
     /* 2148272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148275 */     // MIs[0] policy
     /* 2148275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148285 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2148288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148311 */     // GIR_Coverage, 17865,
     /* 2148311 */     GIR_EraseRootFromParent_Done,
     /* 2148312 */   // Label 28345: @2148312
     /* 2148312 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2148403), // Rule ID 17868 //
     /* 2148317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2148337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148363 */     // MIs[0] round
     /* 2148363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148366 */     // MIs[0] policy
     /* 2148366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2148379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148402 */     // GIR_Coverage, 17868,
     /* 2148402 */     GIR_EraseRootFromParent_Done,
     /* 2148403 */   // Label 28346: @2148403
     /* 2148403 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2148494), // Rule ID 17869 //
     /* 2148408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2148428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148454 */     // MIs[0] round
     /* 2148454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148457 */     // MIs[0] policy
     /* 2148457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148467 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2148470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148493 */     // GIR_Coverage, 17869,
     /* 2148493 */     GIR_EraseRootFromParent_Done,
     /* 2148494 */   // Label 28347: @2148494
     /* 2148494 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2148585), // Rule ID 17872 //
     /* 2148499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2148510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2148513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2148519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148545 */     // MIs[0] round
     /* 2148545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148548 */     // MIs[0] policy
     /* 2148548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148558 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2148561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148584 */     // GIR_Coverage, 17872,
     /* 2148584 */     GIR_EraseRootFromParent_Done,
     /* 2148585 */   // Label 28348: @2148585
     /* 2148585 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2148676), // Rule ID 17873 //
     /* 2148590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2148601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2148604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2148610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148636 */     // MIs[0] round
     /* 2148636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148639 */     // MIs[0] policy
     /* 2148639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148649 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2148652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148675 */     // GIR_Coverage, 17873,
     /* 2148675 */     GIR_EraseRootFromParent_Done,
     /* 2148676 */   // Label 28349: @2148676
     /* 2148676 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2148767), // Rule ID 17876 //
     /* 2148681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2148692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2148695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2148701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148727 */     // MIs[0] round
     /* 2148727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148730 */     // MIs[0] policy
     /* 2148730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148740 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2148743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148766 */     // GIR_Coverage, 17876,
     /* 2148766 */     GIR_EraseRootFromParent_Done,
     /* 2148767 */   // Label 28350: @2148767
     /* 2148767 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2148858), // Rule ID 17877 //
     /* 2148772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2148783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2148786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2148792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148818 */     // MIs[0] round
     /* 2148818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148821 */     // MIs[0] policy
     /* 2148821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148831 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2148834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148857 */     // GIR_Coverage, 17877,
     /* 2148857 */     GIR_EraseRootFromParent_Done,
     /* 2148858 */   // Label 28351: @2148858
     /* 2148858 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2148949), // Rule ID 17880 //
     /* 2148863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2148874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2148877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2148883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148909 */     // MIs[0] round
     /* 2148909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148912 */     // MIs[0] policy
     /* 2148912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148922 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2148925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148948 */     // GIR_Coverage, 17880,
     /* 2148948 */     GIR_EraseRootFromParent_Done,
     /* 2148949 */   // Label 28352: @2148949
     /* 2148949 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2149040), // Rule ID 17881 //
     /* 2148954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2148962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2148965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2148968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2148974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149000 */     // MIs[0] round
     /* 2149000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149003 */     // MIs[0] policy
     /* 2149003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149013 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2149016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149039 */     // GIR_Coverage, 17881,
     /* 2149039 */     GIR_EraseRootFromParent_Done,
     /* 2149040 */   // Label 28353: @2149040
     /* 2149040 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2149131), // Rule ID 17884 //
     /* 2149045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2149056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2149059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2149062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2149065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149091 */     // MIs[0] round
     /* 2149091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149094 */     // MIs[0] policy
     /* 2149094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149104 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2149107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149130 */     // GIR_Coverage, 17884,
     /* 2149130 */     GIR_EraseRootFromParent_Done,
     /* 2149131 */   // Label 28354: @2149131
     /* 2149131 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2149222), // Rule ID 17885 //
     /* 2149136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2149147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2149150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2149153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2149156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149182 */     // MIs[0] round
     /* 2149182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149185 */     // MIs[0] policy
     /* 2149185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149195 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2149198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149221 */     // GIR_Coverage, 17885,
     /* 2149221 */     GIR_EraseRootFromParent_Done,
     /* 2149222 */   // Label 28355: @2149222
     /* 2149222 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2149313), // Rule ID 17888 //
     /* 2149227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2149238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2149241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2149244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2149247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149273 */     // MIs[0] round
     /* 2149273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149276 */     // MIs[0] policy
     /* 2149276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149286 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2149289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149312 */     // GIR_Coverage, 17888,
     /* 2149312 */     GIR_EraseRootFromParent_Done,
     /* 2149313 */   // Label 28356: @2149313
     /* 2149313 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2149404), // Rule ID 17889 //
     /* 2149318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2149329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2149332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2149335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2149338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149364 */     // MIs[0] round
     /* 2149364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149367 */     // MIs[0] policy
     /* 2149367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2149380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149403 */     // GIR_Coverage, 17889,
     /* 2149403 */     GIR_EraseRootFromParent_Done,
     /* 2149404 */   // Label 28357: @2149404
     /* 2149404 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2149495), // Rule ID 17892 //
     /* 2149409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2149429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149455 */     // MIs[0] round
     /* 2149455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149458 */     // MIs[0] policy
     /* 2149458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149468 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2149471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149494 */     // GIR_Coverage, 17892,
     /* 2149494 */     GIR_EraseRootFromParent_Done,
     /* 2149495 */   // Label 28358: @2149495
     /* 2149495 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2149586), // Rule ID 17893 //
     /* 2149500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2149520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149546 */     // MIs[0] round
     /* 2149546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149549 */     // MIs[0] policy
     /* 2149549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149559 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2149562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149585 */     // GIR_Coverage, 17893,
     /* 2149585 */     GIR_EraseRootFromParent_Done,
     /* 2149586 */   // Label 28359: @2149586
     /* 2149586 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2149677), // Rule ID 17896 //
     /* 2149591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2149602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2149605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2149608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2149611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149637 */     // MIs[0] round
     /* 2149637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149640 */     // MIs[0] policy
     /* 2149640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149650 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2149653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149676 */     // GIR_Coverage, 17896,
     /* 2149676 */     GIR_EraseRootFromParent_Done,
     /* 2149677 */   // Label 28360: @2149677
     /* 2149677 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2149768), // Rule ID 17897 //
     /* 2149682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2149693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2149696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2149699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2149702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149728 */     // MIs[0] round
     /* 2149728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149731 */     // MIs[0] policy
     /* 2149731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149741 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2149744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149767 */     // GIR_Coverage, 17897,
     /* 2149767 */     GIR_EraseRootFromParent_Done,
     /* 2149768 */   // Label 28361: @2149768
     /* 2149768 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2149859), // Rule ID 17900 //
     /* 2149773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2149784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2149787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2149790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2149793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149819 */     // MIs[0] round
     /* 2149819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149822 */     // MIs[0] policy
     /* 2149822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149832 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2149835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149858 */     // GIR_Coverage, 17900,
     /* 2149858 */     GIR_EraseRootFromParent_Done,
     /* 2149859 */   // Label 28362: @2149859
     /* 2149859 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2149950), // Rule ID 17901 //
     /* 2149864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2149875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2149878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2149881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2149884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149910 */     // MIs[0] round
     /* 2149910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149913 */     // MIs[0] policy
     /* 2149913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149923 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2149926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149949 */     // GIR_Coverage, 17901,
     /* 2149949 */     GIR_EraseRootFromParent_Done,
     /* 2149950 */   // Label 28363: @2149950
     /* 2149950 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2150041), // Rule ID 17904 //
     /* 2149955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2149963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2149972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2149975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150001 */     // MIs[0] round
     /* 2150001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150004 */     // MIs[0] policy
     /* 2150004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150014 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2150017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150040 */     // GIR_Coverage, 17904,
     /* 2150040 */     GIR_EraseRootFromParent_Done,
     /* 2150041 */   // Label 28364: @2150041
     /* 2150041 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2150132), // Rule ID 17905 //
     /* 2150046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150092 */     // MIs[0] round
     /* 2150092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150095 */     // MIs[0] policy
     /* 2150095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150105 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2150108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150131 */     // GIR_Coverage, 17905,
     /* 2150131 */     GIR_EraseRootFromParent_Done,
     /* 2150132 */   // Label 28365: @2150132
     /* 2150132 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2150223), // Rule ID 17908 //
     /* 2150137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2150148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2150151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2150154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2150157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150183 */     // MIs[0] round
     /* 2150183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150186 */     // MIs[0] policy
     /* 2150186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150196 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2150199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150222 */     // GIR_Coverage, 17908,
     /* 2150222 */     GIR_EraseRootFromParent_Done,
     /* 2150223 */   // Label 28366: @2150223
     /* 2150223 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2150314), // Rule ID 17909 //
     /* 2150228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2150239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2150242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2150245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2150248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150274 */     // MIs[0] round
     /* 2150274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150277 */     // MIs[0] policy
     /* 2150277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150287 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2150290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150313 */     // GIR_Coverage, 17909,
     /* 2150313 */     GIR_EraseRootFromParent_Done,
     /* 2150314 */   // Label 28367: @2150314
     /* 2150314 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2150405), // Rule ID 17912 //
     /* 2150319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150365 */     // MIs[0] round
     /* 2150365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150368 */     // MIs[0] policy
     /* 2150368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150378 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2150381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150404 */     // GIR_Coverage, 17912,
     /* 2150404 */     GIR_EraseRootFromParent_Done,
     /* 2150405 */   // Label 28368: @2150405
     /* 2150405 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2150496), // Rule ID 17913 //
     /* 2150410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150456 */     // MIs[0] round
     /* 2150456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150459 */     // MIs[0] policy
     /* 2150459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150469 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2150472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150495 */     // GIR_Coverage, 17913,
     /* 2150495 */     GIR_EraseRootFromParent_Done,
     /* 2150496 */   // Label 28369: @2150496
     /* 2150496 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2150587), // Rule ID 17916 //
     /* 2150501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2150512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2150515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2150518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2150521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2150524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150547 */     // MIs[0] round
     /* 2150547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150550 */     // MIs[0] policy
     /* 2150550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150560 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2150563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150586 */     // GIR_Coverage, 17916,
     /* 2150586 */     GIR_EraseRootFromParent_Done,
     /* 2150587 */   // Label 28370: @2150587
     /* 2150587 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2150678), // Rule ID 17917 //
     /* 2150592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2150603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2150606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2150609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2150612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2150615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150638 */     // MIs[0] round
     /* 2150638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150641 */     // MIs[0] policy
     /* 2150641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150651 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2150654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150677 */     // GIR_Coverage, 17917,
     /* 2150677 */     GIR_EraseRootFromParent_Done,
     /* 2150678 */   // Label 28371: @2150678
     /* 2150678 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2150769), // Rule ID 17920 //
     /* 2150683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2150694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2150697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2150700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2150703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150729 */     // MIs[0] round
     /* 2150729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150732 */     // MIs[0] policy
     /* 2150732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150742 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2150745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150768 */     // GIR_Coverage, 17920,
     /* 2150768 */     GIR_EraseRootFromParent_Done,
     /* 2150769 */   // Label 28372: @2150769
     /* 2150769 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2150860), // Rule ID 17921 //
     /* 2150774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2150785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2150788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2150791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2150794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150820 */     // MIs[0] round
     /* 2150820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150823 */     // MIs[0] policy
     /* 2150823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150833 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2150836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150859 */     // GIR_Coverage, 17921,
     /* 2150859 */     GIR_EraseRootFromParent_Done,
     /* 2150860 */   // Label 28373: @2150860
     /* 2150860 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2150951), // Rule ID 17924 //
     /* 2150865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2150882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2150885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150911 */     // MIs[0] round
     /* 2150911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150914 */     // MIs[0] policy
     /* 2150914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150924 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2150927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150950 */     // GIR_Coverage, 17924,
     /* 2150950 */     GIR_EraseRootFromParent_Done,
     /* 2150951 */   // Label 28374: @2150951
     /* 2150951 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2151042), // Rule ID 17925 //
     /* 2150956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2150964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2150973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2150976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151002 */     // MIs[0] round
     /* 2151002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151005 */     // MIs[0] policy
     /* 2151005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151015 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2151018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151041 */     // GIR_Coverage, 17925,
     /* 2151041 */     GIR_EraseRootFromParent_Done,
     /* 2151042 */   // Label 28375: @2151042
     /* 2151042 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2151133), // Rule ID 17928 //
     /* 2151047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151093 */     // MIs[0] round
     /* 2151093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151096 */     // MIs[0] policy
     /* 2151096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151106 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2151109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151132 */     // GIR_Coverage, 17928,
     /* 2151132 */     GIR_EraseRootFromParent_Done,
     /* 2151133 */   // Label 28376: @2151133
     /* 2151133 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2151224), // Rule ID 17929 //
     /* 2151138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151184 */     // MIs[0] round
     /* 2151184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151187 */     // MIs[0] policy
     /* 2151187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151197 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2151200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151223 */     // GIR_Coverage, 17929,
     /* 2151223 */     GIR_EraseRootFromParent_Done,
     /* 2151224 */   // Label 28377: @2151224
     /* 2151224 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2151315), // Rule ID 17932 //
     /* 2151229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2151249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151275 */     // MIs[0] round
     /* 2151275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151278 */     // MIs[0] policy
     /* 2151278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151288 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2151291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151314 */     // GIR_Coverage, 17932,
     /* 2151314 */     GIR_EraseRootFromParent_Done,
     /* 2151315 */   // Label 28378: @2151315
     /* 2151315 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2151406), // Rule ID 17933 //
     /* 2151320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2151340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151366 */     // MIs[0] round
     /* 2151366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151369 */     // MIs[0] policy
     /* 2151369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151379 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2151382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151405 */     // GIR_Coverage, 17933,
     /* 2151405 */     GIR_EraseRootFromParent_Done,
     /* 2151406 */   // Label 28379: @2151406
     /* 2151406 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2151497), // Rule ID 17936 //
     /* 2151411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2151431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151457 */     // MIs[0] round
     /* 2151457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151460 */     // MIs[0] policy
     /* 2151460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151470 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2151473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151496 */     // GIR_Coverage, 17936,
     /* 2151496 */     GIR_EraseRootFromParent_Done,
     /* 2151497 */   // Label 28380: @2151497
     /* 2151497 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2151588), // Rule ID 17937 //
     /* 2151502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2151522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151548 */     // MIs[0] round
     /* 2151548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151551 */     // MIs[0] policy
     /* 2151551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151561 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2151564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151587 */     // GIR_Coverage, 17937,
     /* 2151587 */     GIR_EraseRootFromParent_Done,
     /* 2151588 */   // Label 28381: @2151588
     /* 2151588 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2151679), // Rule ID 17940 //
     /* 2151593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2151610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151639 */     // MIs[0] round
     /* 2151639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151642 */     // MIs[0] policy
     /* 2151642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151652 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2151655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151678 */     // GIR_Coverage, 17940,
     /* 2151678 */     GIR_EraseRootFromParent_Done,
     /* 2151679 */   // Label 28382: @2151679
     /* 2151679 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2151770), // Rule ID 17941 //
     /* 2151684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2151701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151730 */     // MIs[0] round
     /* 2151730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151733 */     // MIs[0] policy
     /* 2151733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151743 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2151746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151769 */     // GIR_Coverage, 17941,
     /* 2151769 */     GIR_EraseRootFromParent_Done,
     /* 2151770 */   // Label 28383: @2151770
     /* 2151770 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2151861), // Rule ID 17944 //
     /* 2151775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2151786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2151792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2151795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2151813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151821 */     // MIs[0] round
     /* 2151821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151824 */     // MIs[0] policy
     /* 2151824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151834 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2151837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151860 */     // GIR_Coverage, 17944,
     /* 2151860 */     GIR_EraseRootFromParent_Done,
     /* 2151861 */   // Label 28384: @2151861
     /* 2151861 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2151952), // Rule ID 17945 //
     /* 2151866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2151877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2151883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2151886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2151904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151912 */     // MIs[0] round
     /* 2151912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151915 */     // MIs[0] policy
     /* 2151915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151925 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2151928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151951 */     // GIR_Coverage, 17945,
     /* 2151951 */     GIR_EraseRootFromParent_Done,
     /* 2151952 */   // Label 28385: @2151952
     /* 2151952 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2152043), // Rule ID 17948 //
     /* 2151957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2151965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2151968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2151974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2151977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2151995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152003 */     // MIs[0] round
     /* 2152003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152006 */     // MIs[0] policy
     /* 2152006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152016 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2152019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152042 */     // GIR_Coverage, 17948,
     /* 2152042 */     GIR_EraseRootFromParent_Done,
     /* 2152043 */   // Label 28386: @2152043
     /* 2152043 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2152134), // Rule ID 17949 //
     /* 2152048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152094 */     // MIs[0] round
     /* 2152094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152097 */     // MIs[0] policy
     /* 2152097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152107 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2152110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152133 */     // GIR_Coverage, 17949,
     /* 2152133 */     GIR_EraseRootFromParent_Done,
     /* 2152134 */   // Label 28387: @2152134
     /* 2152134 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2152225), // Rule ID 17952 //
     /* 2152139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2152150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2152153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2152159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152185 */     // MIs[0] round
     /* 2152185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152188 */     // MIs[0] policy
     /* 2152188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152198 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2152201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152224 */     // GIR_Coverage, 17952,
     /* 2152224 */     GIR_EraseRootFromParent_Done,
     /* 2152225 */   // Label 28388: @2152225
     /* 2152225 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2152316), // Rule ID 17953 //
     /* 2152230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2152241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2152244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2152250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152276 */     // MIs[0] round
     /* 2152276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152279 */     // MIs[0] policy
     /* 2152279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152289 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2152292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152315 */     // GIR_Coverage, 17953,
     /* 2152315 */     GIR_EraseRootFromParent_Done,
     /* 2152316 */   // Label 28389: @2152316
     /* 2152316 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2152407), // Rule ID 17956 //
     /* 2152321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152367 */     // MIs[0] round
     /* 2152367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152370 */     // MIs[0] policy
     /* 2152370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2152383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152406 */     // GIR_Coverage, 17956,
     /* 2152406 */     GIR_EraseRootFromParent_Done,
     /* 2152407 */   // Label 28390: @2152407
     /* 2152407 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2152498), // Rule ID 17957 //
     /* 2152412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152458 */     // MIs[0] round
     /* 2152458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152461 */     // MIs[0] policy
     /* 2152461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152471 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2152474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152497 */     // GIR_Coverage, 17957,
     /* 2152497 */     GIR_EraseRootFromParent_Done,
     /* 2152498 */   // Label 28391: @2152498
     /* 2152498 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2152589), // Rule ID 17960 //
     /* 2152503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2152514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2152523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152549 */     // MIs[0] round
     /* 2152549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152552 */     // MIs[0] policy
     /* 2152552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152562 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2152565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152588 */     // GIR_Coverage, 17960,
     /* 2152588 */     GIR_EraseRootFromParent_Done,
     /* 2152589 */   // Label 28392: @2152589
     /* 2152589 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2152680), // Rule ID 17961 //
     /* 2152594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2152605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2152614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152640 */     // MIs[0] round
     /* 2152640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152643 */     // MIs[0] policy
     /* 2152643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152653 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2152656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152679 */     // GIR_Coverage, 17961,
     /* 2152679 */     GIR_EraseRootFromParent_Done,
     /* 2152680 */   // Label 28393: @2152680
     /* 2152680 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2152771), // Rule ID 17964 //
     /* 2152685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2152696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2152699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2152702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2152705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2152723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152731 */     // MIs[0] round
     /* 2152731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152734 */     // MIs[0] policy
     /* 2152734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2152747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152770 */     // GIR_Coverage, 17964,
     /* 2152770 */     GIR_EraseRootFromParent_Done,
     /* 2152771 */   // Label 28394: @2152771
     /* 2152771 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2152862), // Rule ID 17965 //
     /* 2152776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2152787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2152790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2152793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2152796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2152814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152822 */     // MIs[0] round
     /* 2152822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152825 */     // MIs[0] policy
     /* 2152825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152835 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2152838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152861 */     // GIR_Coverage, 17965,
     /* 2152861 */     GIR_EraseRootFromParent_Done,
     /* 2152862 */   // Label 28395: @2152862
     /* 2152862 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2152953), // Rule ID 17968 //
     /* 2152867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2152878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2152881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2152887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152913 */     // MIs[0] round
     /* 2152913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152916 */     // MIs[0] policy
     /* 2152916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152926 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2152929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152952 */     // GIR_Coverage, 17968,
     /* 2152952 */     GIR_EraseRootFromParent_Done,
     /* 2152953 */   // Label 28396: @2152953
     /* 2152953 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2153044), // Rule ID 17969 //
     /* 2152958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2152966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2152969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2152972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2152978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153004 */     // MIs[0] round
     /* 2153004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153007 */     // MIs[0] policy
     /* 2153007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153017 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2153020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153043 */     // GIR_Coverage, 17969,
     /* 2153043 */     GIR_EraseRootFromParent_Done,
     /* 2153044 */   // Label 28397: @2153044
     /* 2153044 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2153135), // Rule ID 17972 //
     /* 2153049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153095 */     // MIs[0] round
     /* 2153095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153098 */     // MIs[0] policy
     /* 2153098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153108 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2153111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153134 */     // GIR_Coverage, 17972,
     /* 2153134 */     GIR_EraseRootFromParent_Done,
     /* 2153135 */   // Label 28398: @2153135
     /* 2153135 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2153226), // Rule ID 17973 //
     /* 2153140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153186 */     // MIs[0] round
     /* 2153186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153189 */     // MIs[0] policy
     /* 2153189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153199 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2153202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153225 */     // GIR_Coverage, 17973,
     /* 2153225 */     GIR_EraseRootFromParent_Done,
     /* 2153226 */   // Label 28399: @2153226
     /* 2153226 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2153317), // Rule ID 17976 //
     /* 2153231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2153242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2153245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2153251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2153254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153277 */     // MIs[0] round
     /* 2153277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153280 */     // MIs[0] policy
     /* 2153280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153290 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2153293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153316 */     // GIR_Coverage, 17976,
     /* 2153316 */     GIR_EraseRootFromParent_Done,
     /* 2153317 */   // Label 28400: @2153317
     /* 2153317 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2153408), // Rule ID 17977 //
     /* 2153322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2153333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2153336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2153342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2153345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153368 */     // MIs[0] round
     /* 2153368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153371 */     // MIs[0] policy
     /* 2153371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153381 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2153384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153407 */     // GIR_Coverage, 17977,
     /* 2153407 */     GIR_EraseRootFromParent_Done,
     /* 2153408 */   // Label 28401: @2153408
     /* 2153408 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2153499), // Rule ID 17980 //
     /* 2153413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2153433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153459 */     // MIs[0] round
     /* 2153459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153462 */     // MIs[0] policy
     /* 2153462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153472 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2153475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153498 */     // GIR_Coverage, 17980,
     /* 2153498 */     GIR_EraseRootFromParent_Done,
     /* 2153499 */   // Label 28402: @2153499
     /* 2153499 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2153590), // Rule ID 17981 //
     /* 2153504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2153524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153550 */     // MIs[0] round
     /* 2153550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153553 */     // MIs[0] policy
     /* 2153553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2153566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153589 */     // GIR_Coverage, 17981,
     /* 2153589 */     GIR_EraseRootFromParent_Done,
     /* 2153590 */   // Label 28403: @2153590
     /* 2153590 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2153681), // Rule ID 17984 //
     /* 2153595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2153606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2153615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153641 */     // MIs[0] round
     /* 2153641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153644 */     // MIs[0] policy
     /* 2153644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153654 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2153657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153680 */     // GIR_Coverage, 17984,
     /* 2153680 */     GIR_EraseRootFromParent_Done,
     /* 2153681 */   // Label 28404: @2153681
     /* 2153681 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2153772), // Rule ID 17985 //
     /* 2153686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2153697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2153706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153732 */     // MIs[0] round
     /* 2153732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153735 */     // MIs[0] policy
     /* 2153735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153745 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2153748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153771 */     // GIR_Coverage, 17985,
     /* 2153771 */     GIR_EraseRootFromParent_Done,
     /* 2153772 */   // Label 28405: @2153772
     /* 2153772 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2153863), // Rule ID 17988 //
     /* 2153777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2153788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2153791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2153797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153823 */     // MIs[0] round
     /* 2153823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153826 */     // MIs[0] policy
     /* 2153826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153836 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2153839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153862 */     // GIR_Coverage, 17988,
     /* 2153862 */     GIR_EraseRootFromParent_Done,
     /* 2153863 */   // Label 28406: @2153863
     /* 2153863 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2153954), // Rule ID 17989 //
     /* 2153868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2153879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2153882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2153888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153914 */     // MIs[0] round
     /* 2153914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153917 */     // MIs[0] policy
     /* 2153917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153927 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2153930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153953 */     // GIR_Coverage, 17989,
     /* 2153953 */     GIR_EraseRootFromParent_Done,
     /* 2153954 */   // Label 28407: @2153954
     /* 2153954 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2154045), // Rule ID 17992 //
     /* 2153959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2153967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2153970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2153973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2153979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154005 */     // MIs[0] round
     /* 2154005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154008 */     // MIs[0] policy
     /* 2154008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154018 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2154021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154044 */     // GIR_Coverage, 17992,
     /* 2154044 */     GIR_EraseRootFromParent_Done,
     /* 2154045 */   // Label 28408: @2154045
     /* 2154045 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2154136), // Rule ID 17993 //
     /* 2154050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154096 */     // MIs[0] round
     /* 2154096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154099 */     // MIs[0] policy
     /* 2154099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154109 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2154112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154135 */     // GIR_Coverage, 17993,
     /* 2154135 */     GIR_EraseRootFromParent_Done,
     /* 2154136 */   // Label 28409: @2154136
     /* 2154136 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2154227), // Rule ID 17996 //
     /* 2154141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2154152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2154155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2154161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154187 */     // MIs[0] round
     /* 2154187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154190 */     // MIs[0] policy
     /* 2154190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154200 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2154203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154226 */     // GIR_Coverage, 17996,
     /* 2154226 */     GIR_EraseRootFromParent_Done,
     /* 2154227 */   // Label 28410: @2154227
     /* 2154227 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2154318), // Rule ID 17997 //
     /* 2154232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2154243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2154246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2154252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154278 */     // MIs[0] round
     /* 2154278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154281 */     // MIs[0] policy
     /* 2154281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154291 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2154294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154317 */     // GIR_Coverage, 17997,
     /* 2154317 */     GIR_EraseRootFromParent_Done,
     /* 2154318 */   // Label 28411: @2154318
     /* 2154318 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2154409), // Rule ID 18000 //
     /* 2154323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154369 */     // MIs[0] round
     /* 2154369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154372 */     // MIs[0] policy
     /* 2154372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2154385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154408 */     // GIR_Coverage, 18000,
     /* 2154408 */     GIR_EraseRootFromParent_Done,
     /* 2154409 */   // Label 28412: @2154409
     /* 2154409 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2154500), // Rule ID 18001 //
     /* 2154414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2154422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154460 */     // MIs[0] round
     /* 2154460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154463 */     // MIs[0] policy
     /* 2154463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154473 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2154476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154499 */     // GIR_Coverage, 18001,
     /* 2154499 */     GIR_EraseRootFromParent_Done,
     /* 2154500 */   // Label 28413: @2154500
     /* 2154500 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2154591), // Rule ID 18004 //
     /* 2154505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2154516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2154519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2154522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2154525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154551 */     // MIs[0] round
     /* 2154551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154554 */     // MIs[0] policy
     /* 2154554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154564 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2154567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154590 */     // GIR_Coverage, 18004,
     /* 2154590 */     GIR_EraseRootFromParent_Done,
     /* 2154591 */   // Label 28414: @2154591
     /* 2154591 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2154682), // Rule ID 18005 //
     /* 2154596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2154607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2154610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2154613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2154616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154642 */     // MIs[0] round
     /* 2154642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154645 */     // MIs[0] policy
     /* 2154645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154655 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2154658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154681 */     // GIR_Coverage, 18005,
     /* 2154681 */     GIR_EraseRootFromParent_Done,
     /* 2154682 */   // Label 28415: @2154682
     /* 2154682 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2154773), // Rule ID 18008 //
     /* 2154687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2154698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2154701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2154704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2154707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154733 */     // MIs[0] round
     /* 2154733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154736 */     // MIs[0] policy
     /* 2154736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154746 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2154749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154772 */     // GIR_Coverage, 18008,
     /* 2154772 */     GIR_EraseRootFromParent_Done,
     /* 2154773 */   // Label 28416: @2154773
     /* 2154773 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2154864), // Rule ID 18009 //
     /* 2154778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2154789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2154792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2154795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2154798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154824 */     // MIs[0] round
     /* 2154824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154827 */     // MIs[0] policy
     /* 2154827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154837 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2154840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154863 */     // GIR_Coverage, 18009,
     /* 2154863 */     GIR_EraseRootFromParent_Done,
     /* 2154864 */   // Label 28417: @2154864
     /* 2154864 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2154955), // Rule ID 18012 //
     /* 2154869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2154880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2154883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2154886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2154889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154915 */     // MIs[0] round
     /* 2154915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154918 */     // MIs[0] policy
     /* 2154918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2154931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154954 */     // GIR_Coverage, 18012,
     /* 2154954 */     GIR_EraseRootFromParent_Done,
     /* 2154955 */   // Label 28418: @2154955
     /* 2154955 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2155046), // Rule ID 18013 //
     /* 2154960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2154971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2154974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2154977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2154980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155006 */     // MIs[0] round
     /* 2155006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155009 */     // MIs[0] policy
     /* 2155009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155019 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2155022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155045 */     // GIR_Coverage, 18013,
     /* 2155045 */     GIR_EraseRootFromParent_Done,
     /* 2155046 */   // Label 28419: @2155046
     /* 2155046 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2155137), // Rule ID 18016 //
     /* 2155051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155097 */     // MIs[0] round
     /* 2155097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155100 */     // MIs[0] policy
     /* 2155100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155110 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2155113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155136 */     // GIR_Coverage, 18016,
     /* 2155136 */     GIR_EraseRootFromParent_Done,
     /* 2155137 */   // Label 28420: @2155137
     /* 2155137 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2155228), // Rule ID 18017 //
     /* 2155142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155188 */     // MIs[0] round
     /* 2155188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155191 */     // MIs[0] policy
     /* 2155191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155201 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2155204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155227 */     // GIR_Coverage, 18017,
     /* 2155227 */     GIR_EraseRootFromParent_Done,
     /* 2155228 */   // Label 28421: @2155228
     /* 2155228 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2155319), // Rule ID 18020 //
     /* 2155233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2155244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2155247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2155250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2155253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155279 */     // MIs[0] round
     /* 2155279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155282 */     // MIs[0] policy
     /* 2155282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2155295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155318 */     // GIR_Coverage, 18020,
     /* 2155318 */     GIR_EraseRootFromParent_Done,
     /* 2155319 */   // Label 28422: @2155319
     /* 2155319 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2155410), // Rule ID 18021 //
     /* 2155324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2155335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2155338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2155341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2155344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155370 */     // MIs[0] round
     /* 2155370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155373 */     // MIs[0] policy
     /* 2155373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2155386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155409 */     // GIR_Coverage, 18021,
     /* 2155409 */     GIR_EraseRootFromParent_Done,
     /* 2155410 */   // Label 28423: @2155410
     /* 2155410 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2155501), // Rule ID 18024 //
     /* 2155415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2155429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2155432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2155435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155461 */     // MIs[0] round
     /* 2155461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155464 */     // MIs[0] policy
     /* 2155464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155474 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2155477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155500 */     // GIR_Coverage, 18024,
     /* 2155500 */     GIR_EraseRootFromParent_Done,
     /* 2155501 */   // Label 28424: @2155501
     /* 2155501 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2155592), // Rule ID 18025 //
     /* 2155506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2155520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2155523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2155526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155552 */     // MIs[0] round
     /* 2155552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155555 */     // MIs[0] policy
     /* 2155555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155565 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2155568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155591 */     // GIR_Coverage, 18025,
     /* 2155591 */     GIR_EraseRootFromParent_Done,
     /* 2155592 */   // Label 28425: @2155592
     /* 2155592 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2155683), // Rule ID 18028 //
     /* 2155597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2155608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2155611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2155614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2155617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155643 */     // MIs[0] round
     /* 2155643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155646 */     // MIs[0] policy
     /* 2155646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155656 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2155659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155682 */     // GIR_Coverage, 18028,
     /* 2155682 */     GIR_EraseRootFromParent_Done,
     /* 2155683 */   // Label 28426: @2155683
     /* 2155683 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2155774), // Rule ID 18029 //
     /* 2155688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2155699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2155702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2155705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2155708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155734 */     // MIs[0] round
     /* 2155734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155737 */     // MIs[0] policy
     /* 2155737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155747 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2155750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155773 */     // GIR_Coverage, 18029,
     /* 2155773 */     GIR_EraseRootFromParent_Done,
     /* 2155774 */   // Label 28427: @2155774
     /* 2155774 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2155865), // Rule ID 18032 //
     /* 2155779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155825 */     // MIs[0] round
     /* 2155825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155828 */     // MIs[0] policy
     /* 2155828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155838 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2155841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155864 */     // GIR_Coverage, 18032,
     /* 2155864 */     GIR_EraseRootFromParent_Done,
     /* 2155865 */   // Label 28428: @2155865
     /* 2155865 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2155956), // Rule ID 18033 //
     /* 2155870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155916 */     // MIs[0] round
     /* 2155916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155919 */     // MIs[0] policy
     /* 2155919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155929 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2155932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155955 */     // GIR_Coverage, 18033,
     /* 2155955 */     GIR_EraseRootFromParent_Done,
     /* 2155956 */   // Label 28429: @2155956
     /* 2155956 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2156047), // Rule ID 18036 //
     /* 2155961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2155969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2155978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156007 */     // MIs[0] round
     /* 2156007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156010 */     // MIs[0] policy
     /* 2156010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156020 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2156023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156046 */     // GIR_Coverage, 18036,
     /* 2156046 */     GIR_EraseRootFromParent_Done,
     /* 2156047 */   // Label 28430: @2156047
     /* 2156047 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2156138), // Rule ID 18037 //
     /* 2156052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156098 */     // MIs[0] round
     /* 2156098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156101 */     // MIs[0] policy
     /* 2156101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156111 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2156114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156137 */     // GIR_Coverage, 18037,
     /* 2156137 */     GIR_EraseRootFromParent_Done,
     /* 2156138 */   // Label 28431: @2156138
     /* 2156138 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2156229), // Rule ID 18040 //
     /* 2156143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2156154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2156157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2156160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2156163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156189 */     // MIs[0] round
     /* 2156189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156192 */     // MIs[0] policy
     /* 2156192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156202 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2156205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156228 */     // GIR_Coverage, 18040,
     /* 2156228 */     GIR_EraseRootFromParent_Done,
     /* 2156229 */   // Label 28432: @2156229
     /* 2156229 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2156320), // Rule ID 18041 //
     /* 2156234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2156245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2156248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2156251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2156254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156280 */     // MIs[0] round
     /* 2156280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156283 */     // MIs[0] policy
     /* 2156283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156293 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2156296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156319 */     // GIR_Coverage, 18041,
     /* 2156319 */     GIR_EraseRootFromParent_Done,
     /* 2156320 */   // Label 28433: @2156320
     /* 2156320 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2156411), // Rule ID 18044 //
     /* 2156325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156371 */     // MIs[0] round
     /* 2156371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156374 */     // MIs[0] policy
     /* 2156374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2156387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156410 */     // GIR_Coverage, 18044,
     /* 2156410 */     GIR_EraseRootFromParent_Done,
     /* 2156411 */   // Label 28434: @2156411
     /* 2156411 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2156502), // Rule ID 18045 //
     /* 2156416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156462 */     // MIs[0] round
     /* 2156462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156465 */     // MIs[0] policy
     /* 2156465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156475 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2156478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156501 */     // GIR_Coverage, 18045,
     /* 2156501 */     GIR_EraseRootFromParent_Done,
     /* 2156502 */   // Label 28435: @2156502
     /* 2156502 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2156593), // Rule ID 18048 //
     /* 2156507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2156524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156553 */     // MIs[0] round
     /* 2156553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156556 */     // MIs[0] policy
     /* 2156556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156566 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2156569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156592 */     // GIR_Coverage, 18048,
     /* 2156592 */     GIR_EraseRootFromParent_Done,
     /* 2156593 */   // Label 28436: @2156593
     /* 2156593 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2156684), // Rule ID 18049 //
     /* 2156598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2156615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156644 */     // MIs[0] round
     /* 2156644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156647 */     // MIs[0] policy
     /* 2156647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156657 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2156660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156683 */     // GIR_Coverage, 18049,
     /* 2156683 */     GIR_EraseRootFromParent_Done,
     /* 2156684 */   // Label 28437: @2156684
     /* 2156684 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2156775), // Rule ID 18052 //
     /* 2156689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2156706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156735 */     // MIs[0] round
     /* 2156735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156738 */     // MIs[0] policy
     /* 2156738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2156751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156774 */     // GIR_Coverage, 18052,
     /* 2156774 */     GIR_EraseRootFromParent_Done,
     /* 2156775 */   // Label 28438: @2156775
     /* 2156775 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2156866), // Rule ID 18053 //
     /* 2156780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2156797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156826 */     // MIs[0] round
     /* 2156826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156829 */     // MIs[0] policy
     /* 2156829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156839 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2156842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156865 */     // GIR_Coverage, 18053,
     /* 2156865 */     GIR_EraseRootFromParent_Done,
     /* 2156866 */   // Label 28439: @2156866
     /* 2156866 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2156957), // Rule ID 18056 //
     /* 2156871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2156888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156917 */     // MIs[0] round
     /* 2156917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156920 */     // MIs[0] policy
     /* 2156920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2156933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156956 */     // GIR_Coverage, 18056,
     /* 2156956 */     GIR_EraseRootFromParent_Done,
     /* 2156957 */   // Label 28440: @2156957
     /* 2156957 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2157048), // Rule ID 18057 //
     /* 2156962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2156970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2156979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157008 */     // MIs[0] round
     /* 2157008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157011 */     // MIs[0] policy
     /* 2157011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157021 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2157024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157047 */     // GIR_Coverage, 18057,
     /* 2157047 */     GIR_EraseRootFromParent_Done,
     /* 2157048 */   // Label 28441: @2157048
     /* 2157048 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2157139), // Rule ID 18060 //
     /* 2157053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157099 */     // MIs[0] round
     /* 2157099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157102 */     // MIs[0] policy
     /* 2157102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157112 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2157115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157138 */     // GIR_Coverage, 18060,
     /* 2157138 */     GIR_EraseRootFromParent_Done,
     /* 2157139 */   // Label 28442: @2157139
     /* 2157139 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2157230), // Rule ID 18061 //
     /* 2157144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157190 */     // MIs[0] round
     /* 2157190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157193 */     // MIs[0] policy
     /* 2157193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157203 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2157206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157229 */     // GIR_Coverage, 18061,
     /* 2157229 */     GIR_EraseRootFromParent_Done,
     /* 2157230 */   // Label 28443: @2157230
     /* 2157230 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2157321), // Rule ID 18064 //
     /* 2157235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2157255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157281 */     // MIs[0] round
     /* 2157281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157284 */     // MIs[0] policy
     /* 2157284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157294 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2157297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157320 */     // GIR_Coverage, 18064,
     /* 2157320 */     GIR_EraseRootFromParent_Done,
     /* 2157321 */   // Label 28444: @2157321
     /* 2157321 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2157412), // Rule ID 18065 //
     /* 2157326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2157346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157372 */     // MIs[0] round
     /* 2157372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157375 */     // MIs[0] policy
     /* 2157375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157385 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2157388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157411 */     // GIR_Coverage, 18065,
     /* 2157411 */     GIR_EraseRootFromParent_Done,
     /* 2157412 */   // Label 28445: @2157412
     /* 2157412 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2157503), // Rule ID 18068 //
     /* 2157417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2157437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157463 */     // MIs[0] round
     /* 2157463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157466 */     // MIs[0] policy
     /* 2157466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157476 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2157479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157502 */     // GIR_Coverage, 18068,
     /* 2157502 */     GIR_EraseRootFromParent_Done,
     /* 2157503 */   // Label 28446: @2157503
     /* 2157503 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2157594), // Rule ID 18069 //
     /* 2157508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2157528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157554 */     // MIs[0] round
     /* 2157554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157557 */     // MIs[0] policy
     /* 2157557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157567 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2157570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157593 */     // GIR_Coverage, 18069,
     /* 2157593 */     GIR_EraseRootFromParent_Done,
     /* 2157594 */   // Label 28447: @2157594
     /* 2157594 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2157685), // Rule ID 18072 //
     /* 2157599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2157610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2157613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2157616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2157619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2157637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157645 */     // MIs[0] round
     /* 2157645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157648 */     // MIs[0] policy
     /* 2157648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157658 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2157661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157684 */     // GIR_Coverage, 18072,
     /* 2157684 */     GIR_EraseRootFromParent_Done,
     /* 2157685 */   // Label 28448: @2157685
     /* 2157685 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2157776), // Rule ID 18073 //
     /* 2157690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2157701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2157704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2157707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2157710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2157728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157736 */     // MIs[0] round
     /* 2157736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157739 */     // MIs[0] policy
     /* 2157739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157749 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2157752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157775 */     // GIR_Coverage, 18073,
     /* 2157775 */     GIR_EraseRootFromParent_Done,
     /* 2157776 */   // Label 28449: @2157776
     /* 2157776 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2157867), // Rule ID 18076 //
     /* 2157781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2157792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2157795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2157801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157827 */     // MIs[0] round
     /* 2157827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157830 */     // MIs[0] policy
     /* 2157830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2157843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157866 */     // GIR_Coverage, 18076,
     /* 2157866 */     GIR_EraseRootFromParent_Done,
     /* 2157867 */   // Label 28450: @2157867
     /* 2157867 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2157958), // Rule ID 18077 //
     /* 2157872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2157883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2157886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2157892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157918 */     // MIs[0] round
     /* 2157918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157921 */     // MIs[0] policy
     /* 2157921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157931 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2157934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157957 */     // GIR_Coverage, 18077,
     /* 2157957 */     GIR_EraseRootFromParent_Done,
     /* 2157958 */   // Label 28451: @2157958
     /* 2157958 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2158049), // Rule ID 18080 //
     /* 2157963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2157971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2157974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2157980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2157983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158009 */     // MIs[0] round
     /* 2158009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158012 */     // MIs[0] policy
     /* 2158012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158022 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2158025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158048 */     // GIR_Coverage, 18080,
     /* 2158048 */     GIR_EraseRootFromParent_Done,
     /* 2158049 */   // Label 28452: @2158049
     /* 2158049 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2158140), // Rule ID 18081 //
     /* 2158054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158100 */     // MIs[0] round
     /* 2158100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158103 */     // MIs[0] policy
     /* 2158103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158113 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2158116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158139 */     // GIR_Coverage, 18081,
     /* 2158139 */     GIR_EraseRootFromParent_Done,
     /* 2158140 */   // Label 28453: @2158140
     /* 2158140 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2158231), // Rule ID 18084 //
     /* 2158145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2158156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2158159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2158162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2158165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2158183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158191 */     // MIs[0] round
     /* 2158191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158194 */     // MIs[0] policy
     /* 2158194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158204 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2158207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158230 */     // GIR_Coverage, 18084,
     /* 2158230 */     GIR_EraseRootFromParent_Done,
     /* 2158231 */   // Label 28454: @2158231
     /* 2158231 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2158322), // Rule ID 18085 //
     /* 2158236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2158247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2158250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2158253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2158256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2158274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158282 */     // MIs[0] round
     /* 2158282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158285 */     // MIs[0] policy
     /* 2158285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158295 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2158298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158321 */     // GIR_Coverage, 18085,
     /* 2158321 */     GIR_EraseRootFromParent_Done,
     /* 2158322 */   // Label 28455: @2158322
     /* 2158322 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2158413), // Rule ID 18088 //
     /* 2158327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158373 */     // MIs[0] round
     /* 2158373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158376 */     // MIs[0] policy
     /* 2158376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158386 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2158389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158412 */     // GIR_Coverage, 18088,
     /* 2158412 */     GIR_EraseRootFromParent_Done,
     /* 2158413 */   // Label 28456: @2158413
     /* 2158413 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2158504), // Rule ID 18089 //
     /* 2158418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158464 */     // MIs[0] round
     /* 2158464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158467 */     // MIs[0] policy
     /* 2158467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158477 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2158480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158503 */     // GIR_Coverage, 18089,
     /* 2158503 */     GIR_EraseRootFromParent_Done,
     /* 2158504 */   // Label 28457: @2158504
     /* 2158504 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2158595), // Rule ID 18092 //
     /* 2158509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2158520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2158523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2158529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158555 */     // MIs[0] round
     /* 2158555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158558 */     // MIs[0] policy
     /* 2158558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158568 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2158571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158594 */     // GIR_Coverage, 18092,
     /* 2158594 */     GIR_EraseRootFromParent_Done,
     /* 2158595 */   // Label 28458: @2158595
     /* 2158595 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2158686), // Rule ID 18093 //
     /* 2158600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2158611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2158614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2158620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158646 */     // MIs[0] round
     /* 2158646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158649 */     // MIs[0] policy
     /* 2158649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2158662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158685 */     // GIR_Coverage, 18093,
     /* 2158685 */     GIR_EraseRootFromParent_Done,
     /* 2158686 */   // Label 28459: @2158686
     /* 2158686 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2158777), // Rule ID 18096 //
     /* 2158691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2158702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2158705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2158711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2158714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158737 */     // MIs[0] round
     /* 2158737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158740 */     // MIs[0] policy
     /* 2158740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158750 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2158753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158776 */     // GIR_Coverage, 18096,
     /* 2158776 */     GIR_EraseRootFromParent_Done,
     /* 2158777 */   // Label 28460: @2158777
     /* 2158777 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2158868), // Rule ID 18097 //
     /* 2158782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2158793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2158796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2158802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2158805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158828 */     // MIs[0] round
     /* 2158828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158831 */     // MIs[0] policy
     /* 2158831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158841 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2158844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158867 */     // GIR_Coverage, 18097,
     /* 2158867 */     GIR_EraseRootFromParent_Done,
     /* 2158868 */   // Label 28461: @2158868
     /* 2158868 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2158959), // Rule ID 18100 //
     /* 2158873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2158884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2158893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158919 */     // MIs[0] round
     /* 2158919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158922 */     // MIs[0] policy
     /* 2158922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158932 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2158935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158958 */     // GIR_Coverage, 18100,
     /* 2158958 */     GIR_EraseRootFromParent_Done,
     /* 2158959 */   // Label 28462: @2158959
     /* 2158959 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2159050), // Rule ID 18101 //
     /* 2158964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2158972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2158975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2158984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159010 */     // MIs[0] round
     /* 2159010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159013 */     // MIs[0] policy
     /* 2159013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159023 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2159026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159049 */     // GIR_Coverage, 18101,
     /* 2159049 */     GIR_EraseRootFromParent_Done,
     /* 2159050 */   // Label 28463: @2159050
     /* 2159050 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2159141), // Rule ID 18104 //
     /* 2159055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159101 */     // MIs[0] round
     /* 2159101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159104 */     // MIs[0] policy
     /* 2159104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159114 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2159117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159140 */     // GIR_Coverage, 18104,
     /* 2159140 */     GIR_EraseRootFromParent_Done,
     /* 2159141 */   // Label 28464: @2159141
     /* 2159141 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2159232), // Rule ID 18105 //
     /* 2159146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159192 */     // MIs[0] round
     /* 2159192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159195 */     // MIs[0] policy
     /* 2159195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159205 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2159208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159231 */     // GIR_Coverage, 18105,
     /* 2159231 */     GIR_EraseRootFromParent_Done,
     /* 2159232 */   // Label 28465: @2159232
     /* 2159232 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2159323), // Rule ID 18108 //
     /* 2159237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2159248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2159257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159283 */     // MIs[0] round
     /* 2159283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159286 */     // MIs[0] policy
     /* 2159286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159296 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2159299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159322 */     // GIR_Coverage, 18108,
     /* 2159322 */     GIR_EraseRootFromParent_Done,
     /* 2159323 */   // Label 28466: @2159323
     /* 2159323 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2159414), // Rule ID 18109 //
     /* 2159328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2159339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2159348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159374 */     // MIs[0] round
     /* 2159374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159377 */     // MIs[0] policy
     /* 2159377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2159390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159413 */     // GIR_Coverage, 18109,
     /* 2159413 */     GIR_EraseRootFromParent_Done,
     /* 2159414 */   // Label 28467: @2159414
     /* 2159414 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2159505), // Rule ID 18112 //
     /* 2159419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2159430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2159433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2159439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159465 */     // MIs[0] round
     /* 2159465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159468 */     // MIs[0] policy
     /* 2159468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2159481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159504 */     // GIR_Coverage, 18112,
     /* 2159504 */     GIR_EraseRootFromParent_Done,
     /* 2159505 */   // Label 28468: @2159505
     /* 2159505 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2159596), // Rule ID 18113 //
     /* 2159510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2159521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2159524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2159530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159556 */     // MIs[0] round
     /* 2159556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159559 */     // MIs[0] policy
     /* 2159559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159569 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2159572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159595 */     // GIR_Coverage, 18113,
     /* 2159595 */     GIR_EraseRootFromParent_Done,
     /* 2159596 */   // Label 28469: @2159596
     /* 2159596 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2159687), // Rule ID 18116 //
     /* 2159601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2159612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2159615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2159621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159647 */     // MIs[0] round
     /* 2159647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159650 */     // MIs[0] policy
     /* 2159650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159660 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2159663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159686 */     // GIR_Coverage, 18116,
     /* 2159686 */     GIR_EraseRootFromParent_Done,
     /* 2159687 */   // Label 28470: @2159687
     /* 2159687 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2159778), // Rule ID 18117 //
     /* 2159692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2159703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2159706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2159712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159738 */     // MIs[0] round
     /* 2159738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159741 */     // MIs[0] policy
     /* 2159741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159751 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2159754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159777 */     // GIR_Coverage, 18117,
     /* 2159777 */     GIR_EraseRootFromParent_Done,
     /* 2159778 */   // Label 28471: @2159778
     /* 2159778 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2159869), // Rule ID 18120 //
     /* 2159783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2159794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2159797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2159803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159829 */     // MIs[0] round
     /* 2159829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159832 */     // MIs[0] policy
     /* 2159832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159842 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2159845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159868 */     // GIR_Coverage, 18120,
     /* 2159868 */     GIR_EraseRootFromParent_Done,
     /* 2159869 */   // Label 28472: @2159869
     /* 2159869 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2159960), // Rule ID 18121 //
     /* 2159874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2159882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2159885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2159888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2159894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159920 */     // MIs[0] round
     /* 2159920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159923 */     // MIs[0] policy
     /* 2159923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159933 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2159936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159959 */     // GIR_Coverage, 18121,
     /* 2159959 */     GIR_EraseRootFromParent_Done,
     /* 2159960 */   // Label 28473: @2159960
     /* 2159960 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2160051), // Rule ID 18124 //
     /* 2159965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2159976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2159979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2159982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2159985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160011 */     // MIs[0] round
     /* 2160011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160014 */     // MIs[0] policy
     /* 2160014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160024 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2160027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160050 */     // GIR_Coverage, 18124,
     /* 2160050 */     GIR_EraseRootFromParent_Done,
     /* 2160051 */   // Label 28474: @2160051
     /* 2160051 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2160142), // Rule ID 18125 //
     /* 2160056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160102 */     // MIs[0] round
     /* 2160102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160105 */     // MIs[0] policy
     /* 2160105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160115 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2160118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160141 */     // GIR_Coverage, 18125,
     /* 2160141 */     GIR_EraseRootFromParent_Done,
     /* 2160142 */   // Label 28475: @2160142
     /* 2160142 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2160233), // Rule ID 18128 //
     /* 2160147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2160158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2160161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2160164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2160167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160193 */     // MIs[0] round
     /* 2160193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160196 */     // MIs[0] policy
     /* 2160196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160206 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2160209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160232 */     // GIR_Coverage, 18128,
     /* 2160232 */     GIR_EraseRootFromParent_Done,
     /* 2160233 */   // Label 28476: @2160233
     /* 2160233 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2160324), // Rule ID 18129 //
     /* 2160238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2160249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2160252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2160255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2160258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160284 */     // MIs[0] round
     /* 2160284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160287 */     // MIs[0] policy
     /* 2160287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160297 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2160300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160323 */     // GIR_Coverage, 18129,
     /* 2160323 */     GIR_EraseRootFromParent_Done,
     /* 2160324 */   // Label 28477: @2160324
     /* 2160324 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2160415), // Rule ID 18132 //
     /* 2160329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160375 */     // MIs[0] round
     /* 2160375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160378 */     // MIs[0] policy
     /* 2160378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2160391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160414 */     // GIR_Coverage, 18132,
     /* 2160414 */     GIR_EraseRootFromParent_Done,
     /* 2160415 */   // Label 28478: @2160415
     /* 2160415 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2160506), // Rule ID 18133 //
     /* 2160420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160466 */     // MIs[0] round
     /* 2160466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160469 */     // MIs[0] policy
     /* 2160469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160479 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2160482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160505 */     // GIR_Coverage, 18133,
     /* 2160505 */     GIR_EraseRootFromParent_Done,
     /* 2160506 */   // Label 28479: @2160506
     /* 2160506 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2160597), // Rule ID 18136 //
     /* 2160511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2160522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2160525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2160528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2160531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160557 */     // MIs[0] round
     /* 2160557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160560 */     // MIs[0] policy
     /* 2160560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160570 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2160573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160596 */     // GIR_Coverage, 18136,
     /* 2160596 */     GIR_EraseRootFromParent_Done,
     /* 2160597 */   // Label 28480: @2160597
     /* 2160597 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2160688), // Rule ID 18137 //
     /* 2160602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2160613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2160616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2160619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2160622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160648 */     // MIs[0] round
     /* 2160648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160651 */     // MIs[0] policy
     /* 2160651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160661 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2160664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160687 */     // GIR_Coverage, 18137,
     /* 2160687 */     GIR_EraseRootFromParent_Done,
     /* 2160688 */   // Label 28481: @2160688
     /* 2160688 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2160779), // Rule ID 18140 //
     /* 2160693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2160704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2160707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2160710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2160713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160739 */     // MIs[0] round
     /* 2160739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160742 */     // MIs[0] policy
     /* 2160742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2160755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160778 */     // GIR_Coverage, 18140,
     /* 2160778 */     GIR_EraseRootFromParent_Done,
     /* 2160779 */   // Label 28482: @2160779
     /* 2160779 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2160870), // Rule ID 18141 //
     /* 2160784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2160795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2160798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2160801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2160804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160830 */     // MIs[0] round
     /* 2160830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160833 */     // MIs[0] policy
     /* 2160833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160843 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2160846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160869 */     // GIR_Coverage, 18141,
     /* 2160869 */     GIR_EraseRootFromParent_Done,
     /* 2160870 */   // Label 28483: @2160870
     /* 2160870 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2160961), // Rule ID 18144 //
     /* 2160875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2160886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2160892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2160895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160921 */     // MIs[0] round
     /* 2160921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160924 */     // MIs[0] policy
     /* 2160924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160934 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2160937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160960 */     // GIR_Coverage, 18144,
     /* 2160960 */     GIR_EraseRootFromParent_Done,
     /* 2160961 */   // Label 28484: @2160961
     /* 2160961 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2161052), // Rule ID 18145 //
     /* 2160966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2160974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2160977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2160983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2160986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161012 */     // MIs[0] round
     /* 2161012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161015 */     // MIs[0] policy
     /* 2161015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161025 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2161028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161051 */     // GIR_Coverage, 18145,
     /* 2161051 */     GIR_EraseRootFromParent_Done,
     /* 2161052 */   // Label 28485: @2161052
     /* 2161052 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2161143), // Rule ID 18148 //
     /* 2161057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161103 */     // MIs[0] round
     /* 2161103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161106 */     // MIs[0] policy
     /* 2161106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161116 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2161119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161142 */     // GIR_Coverage, 18148,
     /* 2161142 */     GIR_EraseRootFromParent_Done,
     /* 2161143 */   // Label 28486: @2161143
     /* 2161143 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2161234), // Rule ID 18149 //
     /* 2161148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161194 */     // MIs[0] round
     /* 2161194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161197 */     // MIs[0] policy
     /* 2161197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161207 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2161210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161233 */     // GIR_Coverage, 18149,
     /* 2161233 */     GIR_EraseRootFromParent_Done,
     /* 2161234 */   // Label 28487: @2161234
     /* 2161234 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2161325), // Rule ID 18152 //
     /* 2161239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2161250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2161253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2161256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2161259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161285 */     // MIs[0] round
     /* 2161285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161288 */     // MIs[0] policy
     /* 2161288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161298 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2161301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161324 */     // GIR_Coverage, 18152,
     /* 2161324 */     GIR_EraseRootFromParent_Done,
     /* 2161325 */   // Label 28488: @2161325
     /* 2161325 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2161416), // Rule ID 18153 //
     /* 2161330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2161341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2161344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2161347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2161350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161376 */     // MIs[0] round
     /* 2161376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161379 */     // MIs[0] policy
     /* 2161379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161389 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2161392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161415 */     // GIR_Coverage, 18153,
     /* 2161415 */     GIR_EraseRootFromParent_Done,
     /* 2161416 */   // Label 28489: @2161416
     /* 2161416 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2161507), // Rule ID 18156 //
     /* 2161421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2161432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2161435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2161438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2161441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2161444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161467 */     // MIs[0] round
     /* 2161467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161470 */     // MIs[0] policy
     /* 2161470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161480 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2161483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161506 */     // GIR_Coverage, 18156,
     /* 2161506 */     GIR_EraseRootFromParent_Done,
     /* 2161507 */   // Label 28490: @2161507
     /* 2161507 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2161598), // Rule ID 18157 //
     /* 2161512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2161523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2161526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2161529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2161532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2161535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161558 */     // MIs[0] round
     /* 2161558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161561 */     // MIs[0] policy
     /* 2161561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161571 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2161574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161597 */     // GIR_Coverage, 18157,
     /* 2161597 */     GIR_EraseRootFromParent_Done,
     /* 2161598 */   // Label 28491: @2161598
     /* 2161598 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2161689), // Rule ID 18160 //
     /* 2161603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2161614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2161617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2161620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2161623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161649 */     // MIs[0] round
     /* 2161649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161652 */     // MIs[0] policy
     /* 2161652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161662 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2161665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161688 */     // GIR_Coverage, 18160,
     /* 2161688 */     GIR_EraseRootFromParent_Done,
     /* 2161689 */   // Label 28492: @2161689
     /* 2161689 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2161780), // Rule ID 18161 //
     /* 2161694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2161705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2161708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2161711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2161714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161740 */     // MIs[0] round
     /* 2161740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161743 */     // MIs[0] policy
     /* 2161743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161753 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2161756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161779 */     // GIR_Coverage, 18161,
     /* 2161779 */     GIR_EraseRootFromParent_Done,
     /* 2161780 */   // Label 28493: @2161780
     /* 2161780 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2161871), // Rule ID 18164 //
     /* 2161785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2161796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2161799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2161802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2161805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161831 */     // MIs[0] round
     /* 2161831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161834 */     // MIs[0] policy
     /* 2161834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161844 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2161847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161870 */     // GIR_Coverage, 18164,
     /* 2161870 */     GIR_EraseRootFromParent_Done,
     /* 2161871 */   // Label 28494: @2161871
     /* 2161871 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2161962), // Rule ID 18165 //
     /* 2161876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2161887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2161890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2161893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2161896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161922 */     // MIs[0] round
     /* 2161922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161925 */     // MIs[0] policy
     /* 2161925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161935 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2161938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161961 */     // GIR_Coverage, 18165,
     /* 2161961 */     GIR_EraseRootFromParent_Done,
     /* 2161962 */   // Label 28495: @2161962
     /* 2161962 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2162053), // Rule ID 18168 //
     /* 2161967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2161975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2161978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2161981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2161984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2161987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162013 */     // MIs[0] round
     /* 2162013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162016 */     // MIs[0] policy
     /* 2162016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2162029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162052 */     // GIR_Coverage, 18168,
     /* 2162052 */     GIR_EraseRootFromParent_Done,
     /* 2162053 */   // Label 28496: @2162053
     /* 2162053 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2162144), // Rule ID 18169 //
     /* 2162058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162104 */     // MIs[0] round
     /* 2162104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162107 */     // MIs[0] policy
     /* 2162107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162117 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2162120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162143 */     // GIR_Coverage, 18169,
     /* 2162143 */     GIR_EraseRootFromParent_Done,
     /* 2162144 */   // Label 28497: @2162144
     /* 2162144 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2162235), // Rule ID 18172 //
     /* 2162149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2162160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2162163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2162166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2162169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162195 */     // MIs[0] round
     /* 2162195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162198 */     // MIs[0] policy
     /* 2162198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162208 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2162211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162234 */     // GIR_Coverage, 18172,
     /* 2162234 */     GIR_EraseRootFromParent_Done,
     /* 2162235 */   // Label 28498: @2162235
     /* 2162235 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2162326), // Rule ID 18173 //
     /* 2162240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2162251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2162254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2162257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2162260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162286 */     // MIs[0] round
     /* 2162286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162289 */     // MIs[0] policy
     /* 2162289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162299 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2162302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162325 */     // GIR_Coverage, 18173,
     /* 2162325 */     GIR_EraseRootFromParent_Done,
     /* 2162326 */   // Label 28499: @2162326
     /* 2162326 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2162417), // Rule ID 18176 //
     /* 2162331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162377 */     // MIs[0] round
     /* 2162377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162380 */     // MIs[0] policy
     /* 2162380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162390 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2162393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162416 */     // GIR_Coverage, 18176,
     /* 2162416 */     GIR_EraseRootFromParent_Done,
     /* 2162417 */   // Label 28500: @2162417
     /* 2162417 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2162508), // Rule ID 18177 //
     /* 2162422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162468 */     // MIs[0] round
     /* 2162468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162471 */     // MIs[0] policy
     /* 2162471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162481 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2162484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162507 */     // GIR_Coverage, 18177,
     /* 2162507 */     GIR_EraseRootFromParent_Done,
     /* 2162508 */   // Label 28501: @2162508
     /* 2162508 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2162599), // Rule ID 18180 //
     /* 2162513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2162524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2162527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2162530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2162533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162559 */     // MIs[0] round
     /* 2162559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162562 */     // MIs[0] policy
     /* 2162562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162572 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2162575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162598 */     // GIR_Coverage, 18180,
     /* 2162598 */     GIR_EraseRootFromParent_Done,
     /* 2162599 */   // Label 28502: @2162599
     /* 2162599 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2162690), // Rule ID 18181 //
     /* 2162604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2162615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2162618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2162621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2162624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162650 */     // MIs[0] round
     /* 2162650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162653 */     // MIs[0] policy
     /* 2162653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162663 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2162666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162689 */     // GIR_Coverage, 18181,
     /* 2162689 */     GIR_EraseRootFromParent_Done,
     /* 2162690 */   // Label 28503: @2162690
     /* 2162690 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2162781), // Rule ID 18184 //
     /* 2162695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162741 */     // MIs[0] round
     /* 2162741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162744 */     // MIs[0] policy
     /* 2162744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162754 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2162757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162780 */     // GIR_Coverage, 18184,
     /* 2162780 */     GIR_EraseRootFromParent_Done,
     /* 2162781 */   // Label 28504: @2162781
     /* 2162781 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2162872), // Rule ID 18185 //
     /* 2162786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162832 */     // MIs[0] round
     /* 2162832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162835 */     // MIs[0] policy
     /* 2162835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162845 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2162848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162871 */     // GIR_Coverage, 18185,
     /* 2162871 */     GIR_EraseRootFromParent_Done,
     /* 2162872 */   // Label 28505: @2162872
     /* 2162872 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2162963), // Rule ID 18188 //
     /* 2162877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162923 */     // MIs[0] round
     /* 2162923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162926 */     // MIs[0] policy
     /* 2162926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162936 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2162939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162962 */     // GIR_Coverage, 18188,
     /* 2162962 */     GIR_EraseRootFromParent_Done,
     /* 2162963 */   // Label 28506: @2162963
     /* 2162963 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2163054), // Rule ID 18189 //
     /* 2162968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2162976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163014 */     // MIs[0] round
     /* 2163014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163017 */     // MIs[0] policy
     /* 2163017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163027 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2163030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163053 */     // GIR_Coverage, 18189,
     /* 2163053 */     GIR_EraseRootFromParent_Done,
     /* 2163054 */   // Label 28507: @2163054
     /* 2163054 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2163145), // Rule ID 18192 //
     /* 2163059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163105 */     // MIs[0] round
     /* 2163105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163108 */     // MIs[0] policy
     /* 2163108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163118 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2163121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163144 */     // GIR_Coverage, 18192,
     /* 2163144 */     GIR_EraseRootFromParent_Done,
     /* 2163145 */   // Label 28508: @2163145
     /* 2163145 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2163236), // Rule ID 18193 //
     /* 2163150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163196 */     // MIs[0] round
     /* 2163196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163199 */     // MIs[0] policy
     /* 2163199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163209 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2163212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163235 */     // GIR_Coverage, 18193,
     /* 2163235 */     GIR_EraseRootFromParent_Done,
     /* 2163236 */   // Label 28509: @2163236
     /* 2163236 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2163327), // Rule ID 18196 //
     /* 2163241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163287 */     // MIs[0] round
     /* 2163287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163290 */     // MIs[0] policy
     /* 2163290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2163303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163326 */     // GIR_Coverage, 18196,
     /* 2163326 */     GIR_EraseRootFromParent_Done,
     /* 2163327 */   // Label 28510: @2163327
     /* 2163327 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2163418), // Rule ID 18197 //
     /* 2163332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163378 */     // MIs[0] round
     /* 2163378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163381 */     // MIs[0] policy
     /* 2163381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2163394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163417 */     // GIR_Coverage, 18197,
     /* 2163417 */     GIR_EraseRootFromParent_Done,
     /* 2163418 */   // Label 28511: @2163418
     /* 2163418 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2163509), // Rule ID 18200 //
     /* 2163423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163469 */     // MIs[0] round
     /* 2163469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163472 */     // MIs[0] policy
     /* 2163472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163482 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2163485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163508 */     // GIR_Coverage, 18200,
     /* 2163508 */     GIR_EraseRootFromParent_Done,
     /* 2163509 */   // Label 28512: @2163509
     /* 2163509 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2163600), // Rule ID 18201 //
     /* 2163514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163560 */     // MIs[0] round
     /* 2163560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163563 */     // MIs[0] policy
     /* 2163563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163573 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2163576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163599 */     // GIR_Coverage, 18201,
     /* 2163599 */     GIR_EraseRootFromParent_Done,
     /* 2163600 */   // Label 28513: @2163600
     /* 2163600 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2163691), // Rule ID 18204 //
     /* 2163605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2163622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2163643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163651 */     // MIs[0] round
     /* 2163651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163654 */     // MIs[0] policy
     /* 2163654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2163667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163690 */     // GIR_Coverage, 18204,
     /* 2163690 */     GIR_EraseRootFromParent_Done,
     /* 2163691 */   // Label 28514: @2163691
     /* 2163691 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2163782), // Rule ID 18205 //
     /* 2163696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2163713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2163734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163742 */     // MIs[0] round
     /* 2163742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163745 */     // MIs[0] policy
     /* 2163745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163755 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2163758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163781 */     // GIR_Coverage, 18205,
     /* 2163781 */     GIR_EraseRootFromParent_Done,
     /* 2163782 */   // Label 28515: @2163782
     /* 2163782 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2163873), // Rule ID 18208 //
     /* 2163787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2163798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2163801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2163807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163833 */     // MIs[0] round
     /* 2163833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163836 */     // MIs[0] policy
     /* 2163836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163846 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2163849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163872 */     // GIR_Coverage, 18208,
     /* 2163872 */     GIR_EraseRootFromParent_Done,
     /* 2163873 */   // Label 28516: @2163873
     /* 2163873 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2163964), // Rule ID 18209 //
     /* 2163878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2163889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2163892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2163898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163924 */     // MIs[0] round
     /* 2163924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163927 */     // MIs[0] policy
     /* 2163927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163937 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2163940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163963 */     // GIR_Coverage, 18209,
     /* 2163963 */     GIR_EraseRootFromParent_Done,
     /* 2163964 */   // Label 28517: @2163964
     /* 2163964 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2164055), // Rule ID 18212 //
     /* 2163969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2163977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2163980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2163983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2163989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164015 */     // MIs[0] round
     /* 2164015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164018 */     // MIs[0] policy
     /* 2164018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164028 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2164031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164054 */     // GIR_Coverage, 18212,
     /* 2164054 */     GIR_EraseRootFromParent_Done,
     /* 2164055 */   // Label 28518: @2164055
     /* 2164055 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2164146), // Rule ID 18213 //
     /* 2164060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164106 */     // MIs[0] round
     /* 2164106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164109 */     // MIs[0] policy
     /* 2164109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164119 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2164122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164145 */     // GIR_Coverage, 18213,
     /* 2164145 */     GIR_EraseRootFromParent_Done,
     /* 2164146 */   // Label 28519: @2164146
     /* 2164146 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2164237), // Rule ID 18216 //
     /* 2164151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2164162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2164165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2164171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164197 */     // MIs[0] round
     /* 2164197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164200 */     // MIs[0] policy
     /* 2164200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164210 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2164213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164236 */     // GIR_Coverage, 18216,
     /* 2164236 */     GIR_EraseRootFromParent_Done,
     /* 2164237 */   // Label 28520: @2164237
     /* 2164237 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2164328), // Rule ID 18217 //
     /* 2164242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2164253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2164256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2164262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164288 */     // MIs[0] round
     /* 2164288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164291 */     // MIs[0] policy
     /* 2164291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164301 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2164304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164327 */     // GIR_Coverage, 18217,
     /* 2164327 */     GIR_EraseRootFromParent_Done,
     /* 2164328 */   // Label 28521: @2164328
     /* 2164328 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2164419), // Rule ID 18220 //
     /* 2164333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164379 */     // MIs[0] round
     /* 2164379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164382 */     // MIs[0] policy
     /* 2164382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164392 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2164395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164418 */     // GIR_Coverage, 18220,
     /* 2164418 */     GIR_EraseRootFromParent_Done,
     /* 2164419 */   // Label 28522: @2164419
     /* 2164419 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2164510), // Rule ID 18221 //
     /* 2164424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164470 */     // MIs[0] round
     /* 2164470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164473 */     // MIs[0] policy
     /* 2164473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2164486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164509 */     // GIR_Coverage, 18221,
     /* 2164509 */     GIR_EraseRootFromParent_Done,
     /* 2164510 */   // Label 28523: @2164510
     /* 2164510 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2164601), // Rule ID 18224 //
     /* 2164515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2164526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2164529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2164535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164561 */     // MIs[0] round
     /* 2164561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164564 */     // MIs[0] policy
     /* 2164564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164574 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2164577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164600 */     // GIR_Coverage, 18224,
     /* 2164600 */     GIR_EraseRootFromParent_Done,
     /* 2164601 */   // Label 28524: @2164601
     /* 2164601 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2164692), // Rule ID 18225 //
     /* 2164606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2164617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2164620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2164626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164652 */     // MIs[0] round
     /* 2164652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164655 */     // MIs[0] policy
     /* 2164655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2164668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164691 */     // GIR_Coverage, 18225,
     /* 2164691 */     GIR_EraseRootFromParent_Done,
     /* 2164692 */   // Label 28525: @2164692
     /* 2164692 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2164783), // Rule ID 18228 //
     /* 2164697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2164708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2164711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2164717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164743 */     // MIs[0] round
     /* 2164743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164746 */     // MIs[0] policy
     /* 2164746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164756 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2164759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164782 */     // GIR_Coverage, 18228,
     /* 2164782 */     GIR_EraseRootFromParent_Done,
     /* 2164783 */   // Label 28526: @2164783
     /* 2164783 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2164874), // Rule ID 18229 //
     /* 2164788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2164799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2164802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2164808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164834 */     // MIs[0] round
     /* 2164834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164837 */     // MIs[0] policy
     /* 2164837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164847 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2164850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164873 */     // GIR_Coverage, 18229,
     /* 2164873 */     GIR_EraseRootFromParent_Done,
     /* 2164874 */   // Label 28527: @2164874
     /* 2164874 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2164965), // Rule ID 18232 //
     /* 2164879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2164890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2164899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164925 */     // MIs[0] round
     /* 2164925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164928 */     // MIs[0] policy
     /* 2164928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164938 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2164941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164964 */     // GIR_Coverage, 18232,
     /* 2164964 */     GIR_EraseRootFromParent_Done,
     /* 2164965 */   // Label 28528: @2164965
     /* 2164965 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2165056), // Rule ID 18233 //
     /* 2164970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2164978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2164981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2164990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165016 */     // MIs[0] round
     /* 2165016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165019 */     // MIs[0] policy
     /* 2165019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165029 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2165032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165055 */     // GIR_Coverage, 18233,
     /* 2165055 */     GIR_EraseRootFromParent_Done,
     /* 2165056 */   // Label 28529: @2165056
     /* 2165056 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2165147), // Rule ID 18236 //
     /* 2165061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165107 */     // MIs[0] round
     /* 2165107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165110 */     // MIs[0] policy
     /* 2165110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165120 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2165123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165146 */     // GIR_Coverage, 18236,
     /* 2165146 */     GIR_EraseRootFromParent_Done,
     /* 2165147 */   // Label 28530: @2165147
     /* 2165147 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2165238), // Rule ID 18237 //
     /* 2165152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165198 */     // MIs[0] round
     /* 2165198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165201 */     // MIs[0] policy
     /* 2165201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165211 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2165214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165237 */     // GIR_Coverage, 18237,
     /* 2165237 */     GIR_EraseRootFromParent_Done,
     /* 2165238 */   // Label 28531: @2165238
     /* 2165238 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2165329), // Rule ID 18240 //
     /* 2165243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2165254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2165257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2165263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165289 */     // MIs[0] round
     /* 2165289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165292 */     // MIs[0] policy
     /* 2165292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2165305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165328 */     // GIR_Coverage, 18240,
     /* 2165328 */     GIR_EraseRootFromParent_Done,
     /* 2165329 */   // Label 28532: @2165329
     /* 2165329 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2165420), // Rule ID 18241 //
     /* 2165334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2165342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2165345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2165348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2165354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165380 */     // MIs[0] round
     /* 2165380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165383 */     // MIs[0] policy
     /* 2165383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165393 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2165396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165419 */     // GIR_Coverage, 18241,
     /* 2165419 */     GIR_EraseRootFromParent_Done,
     /* 2165420 */   // Label 28533: @2165420
     /* 2165420 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2165511), // Rule ID 18244 //
     /* 2165425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2165436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2165442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2165445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165471 */     // MIs[0] round
     /* 2165471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165474 */     // MIs[0] policy
     /* 2165474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2165487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165510 */     // GIR_Coverage, 18244,
     /* 2165510 */     GIR_EraseRootFromParent_Done,
     /* 2165511 */   // Label 28534: @2165511
     /* 2165511 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2165602), // Rule ID 18245 //
     /* 2165516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2165527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2165533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2165536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165562 */     // MIs[0] round
     /* 2165562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165565 */     // MIs[0] policy
     /* 2165565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165575 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2165578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165601 */     // GIR_Coverage, 18245,
     /* 2165601 */     GIR_EraseRootFromParent_Done,
     /* 2165602 */   // Label 28535: @2165602
     /* 2165602 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2165693), // Rule ID 18248 //
     /* 2165607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2165618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2165621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2165624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2165627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165653 */     // MIs[0] round
     /* 2165653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165656 */     // MIs[0] policy
     /* 2165656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2165669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165692 */     // GIR_Coverage, 18248,
     /* 2165692 */     GIR_EraseRootFromParent_Done,
     /* 2165693 */   // Label 28536: @2165693
     /* 2165693 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2165784), // Rule ID 18249 //
     /* 2165698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2165709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2165712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2165715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2165718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165744 */     // MIs[0] round
     /* 2165744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165747 */     // MIs[0] policy
     /* 2165747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165757 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2165760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165783 */     // GIR_Coverage, 18249,
     /* 2165783 */     GIR_EraseRootFromParent_Done,
     /* 2165784 */   // Label 28537: @2165784
     /* 2165784 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2165875), // Rule ID 18252 //
     /* 2165789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2165800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2165803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2165806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2165809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165835 */     // MIs[0] round
     /* 2165835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165838 */     // MIs[0] policy
     /* 2165838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2165851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165874 */     // GIR_Coverage, 18252,
     /* 2165874 */     GIR_EraseRootFromParent_Done,
     /* 2165875 */   // Label 28538: @2165875
     /* 2165875 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2165966), // Rule ID 18253 //
     /* 2165880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2165891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2165894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2165897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2165900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165926 */     // MIs[0] round
     /* 2165926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165929 */     // MIs[0] policy
     /* 2165929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165939 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2165942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165965 */     // GIR_Coverage, 18253,
     /* 2165965 */     GIR_EraseRootFromParent_Done,
     /* 2165966 */   // Label 28539: @2165966
     /* 2165966 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2166057), // Rule ID 18256 //
     /* 2165971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2165982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2165985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2165988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2165991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166017 */     // MIs[0] round
     /* 2166017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166020 */     // MIs[0] policy
     /* 2166020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166030 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2166033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166056 */     // GIR_Coverage, 18256,
     /* 2166056 */     GIR_EraseRootFromParent_Done,
     /* 2166057 */   // Label 28540: @2166057
     /* 2166057 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2166148), // Rule ID 18257 //
     /* 2166062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166108 */     // MIs[0] round
     /* 2166108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166111 */     // MIs[0] policy
     /* 2166111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166121 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2166124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166147 */     // GIR_Coverage, 18257,
     /* 2166147 */     GIR_EraseRootFromParent_Done,
     /* 2166148 */   // Label 28541: @2166148
     /* 2166148 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2166239), // Rule ID 18260 //
     /* 2166153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2166164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2166167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2166170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2166173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166199 */     // MIs[0] round
     /* 2166199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166202 */     // MIs[0] policy
     /* 2166202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166212 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2166215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166238 */     // GIR_Coverage, 18260,
     /* 2166238 */     GIR_EraseRootFromParent_Done,
     /* 2166239 */   // Label 28542: @2166239
     /* 2166239 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2166330), // Rule ID 18261 //
     /* 2166244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2166255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2166258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2166261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2166264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166290 */     // MIs[0] round
     /* 2166290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166293 */     // MIs[0] policy
     /* 2166293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2166306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166329 */     // GIR_Coverage, 18261,
     /* 2166329 */     GIR_EraseRootFromParent_Done,
     /* 2166330 */   // Label 28543: @2166330
     /* 2166330 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2166421), // Rule ID 18264 //
     /* 2166335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166381 */     // MIs[0] round
     /* 2166381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166384 */     // MIs[0] policy
     /* 2166384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2166397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166420 */     // GIR_Coverage, 18264,
     /* 2166420 */     GIR_EraseRootFromParent_Done,
     /* 2166421 */   // Label 28544: @2166421
     /* 2166421 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2166512), // Rule ID 18265 //
     /* 2166426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166472 */     // MIs[0] round
     /* 2166472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166475 */     // MIs[0] policy
     /* 2166475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166485 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2166488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166511 */     // GIR_Coverage, 18265,
     /* 2166511 */     GIR_EraseRootFromParent_Done,
     /* 2166512 */   // Label 28545: @2166512
     /* 2166512 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2166603), // Rule ID 18268 //
     /* 2166517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2166528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2166531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2166534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2166537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166563 */     // MIs[0] round
     /* 2166563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166566 */     // MIs[0] policy
     /* 2166566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2166579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166602 */     // GIR_Coverage, 18268,
     /* 2166602 */     GIR_EraseRootFromParent_Done,
     /* 2166603 */   // Label 28546: @2166603
     /* 2166603 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2166694), // Rule ID 18269 //
     /* 2166608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2166619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2166622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2166625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2166628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166654 */     // MIs[0] round
     /* 2166654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166657 */     // MIs[0] policy
     /* 2166657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2166670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166693 */     // GIR_Coverage, 18269,
     /* 2166693 */     GIR_EraseRootFromParent_Done,
     /* 2166694 */   // Label 28547: @2166694
     /* 2166694 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2166785), // Rule ID 18272 //
     /* 2166699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2166710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2166713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2166716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2166719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166745 */     // MIs[0] round
     /* 2166745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166748 */     // MIs[0] policy
     /* 2166748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2166761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166784 */     // GIR_Coverage, 18272,
     /* 2166784 */     GIR_EraseRootFromParent_Done,
     /* 2166785 */   // Label 28548: @2166785
     /* 2166785 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2166876), // Rule ID 18273 //
     /* 2166790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2166801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2166804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2166807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2166810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166836 */     // MIs[0] round
     /* 2166836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166839 */     // MIs[0] policy
     /* 2166839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166849 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2166852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166875 */     // GIR_Coverage, 18273,
     /* 2166875 */     GIR_EraseRootFromParent_Done,
     /* 2166876 */   // Label 28549: @2166876
     /* 2166876 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2166967), // Rule ID 18276 //
     /* 2166881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2166892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2166895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2166898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2166901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2166904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166927 */     // MIs[0] round
     /* 2166927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166930 */     // MIs[0] policy
     /* 2166930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166940 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2166943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166966 */     // GIR_Coverage, 18276,
     /* 2166966 */     GIR_EraseRootFromParent_Done,
     /* 2166967 */   // Label 28550: @2166967
     /* 2166967 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2167058), // Rule ID 18277 //
     /* 2166972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2166980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2166983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2166986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2166989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2166992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2166995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167018 */     // MIs[0] round
     /* 2167018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167021 */     // MIs[0] policy
     /* 2167021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167031 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2167034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167057 */     // GIR_Coverage, 18277,
     /* 2167057 */     GIR_EraseRootFromParent_Done,
     /* 2167058 */   // Label 28551: @2167058
     /* 2167058 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2167149), // Rule ID 18280 //
     /* 2167063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2167083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167109 */     // MIs[0] round
     /* 2167109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167112 */     // MIs[0] policy
     /* 2167112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167122 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2167125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167148 */     // GIR_Coverage, 18280,
     /* 2167148 */     GIR_EraseRootFromParent_Done,
     /* 2167149 */   // Label 28552: @2167149
     /* 2167149 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2167240), // Rule ID 18281 //
     /* 2167154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2167174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167200 */     // MIs[0] round
     /* 2167200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167203 */     // MIs[0] policy
     /* 2167203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167213 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2167216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167239 */     // GIR_Coverage, 18281,
     /* 2167239 */     GIR_EraseRootFromParent_Done,
     /* 2167240 */   // Label 28553: @2167240
     /* 2167240 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2167331), // Rule ID 18284 //
     /* 2167245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2167256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2167262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2167265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167291 */     // MIs[0] round
     /* 2167291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167294 */     // MIs[0] policy
     /* 2167294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2167307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167330 */     // GIR_Coverage, 18284,
     /* 2167330 */     GIR_EraseRootFromParent_Done,
     /* 2167331 */   // Label 28554: @2167331
     /* 2167331 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2167422), // Rule ID 18285 //
     /* 2167336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2167347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2167353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2167356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167382 */     // MIs[0] round
     /* 2167382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167385 */     // MIs[0] policy
     /* 2167385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167395 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2167398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167421 */     // GIR_Coverage, 18285,
     /* 2167421 */     GIR_EraseRootFromParent_Done,
     /* 2167422 */   // Label 28555: @2167422
     /* 2167422 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2167513), // Rule ID 18288 //
     /* 2167427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2167438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2167441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2167444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2167447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167473 */     // MIs[0] round
     /* 2167473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167476 */     // MIs[0] policy
     /* 2167476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2167489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167512 */     // GIR_Coverage, 18288,
     /* 2167512 */     GIR_EraseRootFromParent_Done,
     /* 2167513 */   // Label 28556: @2167513
     /* 2167513 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2167604), // Rule ID 18289 //
     /* 2167518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2167529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2167532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2167535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2167538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167564 */     // MIs[0] round
     /* 2167564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167567 */     // MIs[0] policy
     /* 2167567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2167580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167603 */     // GIR_Coverage, 18289,
     /* 2167603 */     GIR_EraseRootFromParent_Done,
     /* 2167604 */   // Label 28557: @2167604
     /* 2167604 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2167695), // Rule ID 18292 //
     /* 2167609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2167620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2167623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2167626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2167629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167655 */     // MIs[0] round
     /* 2167655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167658 */     // MIs[0] policy
     /* 2167658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167668 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2167671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167694 */     // GIR_Coverage, 18292,
     /* 2167694 */     GIR_EraseRootFromParent_Done,
     /* 2167695 */   // Label 28558: @2167695
     /* 2167695 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2167786), // Rule ID 18293 //
     /* 2167700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2167711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2167714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2167717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2167720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167746 */     // MIs[0] round
     /* 2167746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167749 */     // MIs[0] policy
     /* 2167749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167759 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2167762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167785 */     // GIR_Coverage, 18293,
     /* 2167785 */     GIR_EraseRootFromParent_Done,
     /* 2167786 */   // Label 28559: @2167786
     /* 2167786 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2167877), // Rule ID 18296 //
     /* 2167791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2167802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2167805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2167808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2167811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167837 */     // MIs[0] round
     /* 2167837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167840 */     // MIs[0] policy
     /* 2167840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167850 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2167853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167876 */     // GIR_Coverage, 18296,
     /* 2167876 */     GIR_EraseRootFromParent_Done,
     /* 2167877 */   // Label 28560: @2167877
     /* 2167877 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2167968), // Rule ID 18297 //
     /* 2167882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2167893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2167896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2167899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2167902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167928 */     // MIs[0] round
     /* 2167928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167931 */     // MIs[0] policy
     /* 2167931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167941 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2167944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167967 */     // GIR_Coverage, 18297,
     /* 2167967 */     GIR_EraseRootFromParent_Done,
     /* 2167968 */   // Label 28561: @2167968
     /* 2167968 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2168059), // Rule ID 18300 //
     /* 2167973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2167981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2167984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2167990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2167993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168019 */     // MIs[0] round
     /* 2168019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168022 */     // MIs[0] policy
     /* 2168022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168032 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2168035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168058 */     // GIR_Coverage, 18300,
     /* 2168058 */     GIR_EraseRootFromParent_Done,
     /* 2168059 */   // Label 28562: @2168059
     /* 2168059 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2168150), // Rule ID 18301 //
     /* 2168064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168110 */     // MIs[0] round
     /* 2168110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168113 */     // MIs[0] policy
     /* 2168113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168123 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2168126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168149 */     // GIR_Coverage, 18301,
     /* 2168149 */     GIR_EraseRootFromParent_Done,
     /* 2168150 */   // Label 28563: @2168150
     /* 2168150 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2168241), // Rule ID 18304 //
     /* 2168155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2168166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2168169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2168175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168201 */     // MIs[0] round
     /* 2168201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168204 */     // MIs[0] policy
     /* 2168204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168214 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2168217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168240 */     // GIR_Coverage, 18304,
     /* 2168240 */     GIR_EraseRootFromParent_Done,
     /* 2168241 */   // Label 28564: @2168241
     /* 2168241 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2168332), // Rule ID 18305 //
     /* 2168246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2168257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2168260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2168266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168292 */     // MIs[0] round
     /* 2168292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168295 */     // MIs[0] policy
     /* 2168295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168305 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2168308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168331 */     // GIR_Coverage, 18305,
     /* 2168331 */     GIR_EraseRootFromParent_Done,
     /* 2168332 */   // Label 28565: @2168332
     /* 2168332 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2168423), // Rule ID 18308 //
     /* 2168337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168383 */     // MIs[0] round
     /* 2168383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168386 */     // MIs[0] policy
     /* 2168386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168396 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2168399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168422 */     // GIR_Coverage, 18308,
     /* 2168422 */     GIR_EraseRootFromParent_Done,
     /* 2168423 */   // Label 28566: @2168423
     /* 2168423 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2168514), // Rule ID 18309 //
     /* 2168428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168474 */     // MIs[0] round
     /* 2168474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168477 */     // MIs[0] policy
     /* 2168477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168487 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2168490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168513 */     // GIR_Coverage, 18309,
     /* 2168513 */     GIR_EraseRootFromParent_Done,
     /* 2168514 */   // Label 28567: @2168514
     /* 2168514 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2168605), // Rule ID 18312 //
     /* 2168519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2168530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2168533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2168539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168565 */     // MIs[0] round
     /* 2168565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168568 */     // MIs[0] policy
     /* 2168568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168578 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2168581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168604 */     // GIR_Coverage, 18312,
     /* 2168604 */     GIR_EraseRootFromParent_Done,
     /* 2168605 */   // Label 28568: @2168605
     /* 2168605 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2168696), // Rule ID 18313 //
     /* 2168610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2168621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2168624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2168630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168656 */     // MIs[0] round
     /* 2168656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168659 */     // MIs[0] policy
     /* 2168659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168669 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2168672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168695 */     // GIR_Coverage, 18313,
     /* 2168695 */     GIR_EraseRootFromParent_Done,
     /* 2168696 */   // Label 28569: @2168696
     /* 2168696 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2168787), // Rule ID 18316 //
     /* 2168701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2168721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168747 */     // MIs[0] round
     /* 2168747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168750 */     // MIs[0] policy
     /* 2168750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2168763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168786 */     // GIR_Coverage, 18316,
     /* 2168786 */     GIR_EraseRootFromParent_Done,
     /* 2168787 */   // Label 28570: @2168787
     /* 2168787 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2168878), // Rule ID 18317 //
     /* 2168792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2168812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168838 */     // MIs[0] round
     /* 2168838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168841 */     // MIs[0] policy
     /* 2168841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168851 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2168854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168877 */     // GIR_Coverage, 18317,
     /* 2168877 */     GIR_EraseRootFromParent_Done,
     /* 2168878 */   // Label 28571: @2168878
     /* 2168878 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2168969), // Rule ID 18320 //
     /* 2168883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2168903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168929 */     // MIs[0] round
     /* 2168929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168932 */     // MIs[0] policy
     /* 2168932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168942 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2168945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168968 */     // GIR_Coverage, 18320,
     /* 2168968 */     GIR_EraseRootFromParent_Done,
     /* 2168969 */   // Label 28572: @2168969
     /* 2168969 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2169060), // Rule ID 18321 //
     /* 2168974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2168982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2168994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169020 */     // MIs[0] round
     /* 2169020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169023 */     // MIs[0] policy
     /* 2169023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169033 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2169036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169059 */     // GIR_Coverage, 18321,
     /* 2169059 */     GIR_EraseRootFromParent_Done,
     /* 2169060 */   // Label 28573: @2169060
     /* 2169060 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2169151), // Rule ID 18324 //
     /* 2169065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2169085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2169103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169111 */     // MIs[0] round
     /* 2169111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169114 */     // MIs[0] policy
     /* 2169114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2169127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169150 */     // GIR_Coverage, 18324,
     /* 2169150 */     GIR_EraseRootFromParent_Done,
     /* 2169151 */   // Label 28574: @2169151
     /* 2169151 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2169242), // Rule ID 18325 //
     /* 2169156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2169176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2169194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169202 */     // MIs[0] round
     /* 2169202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169205 */     // MIs[0] policy
     /* 2169205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169215 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2169218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169241 */     // GIR_Coverage, 18325,
     /* 2169241 */     GIR_EraseRootFromParent_Done,
     /* 2169242 */   // Label 28575: @2169242
     /* 2169242 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2169333), // Rule ID 18328 //
     /* 2169247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2169267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169293 */     // MIs[0] round
     /* 2169293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169296 */     // MIs[0] policy
     /* 2169296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169306 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2169309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169332 */     // GIR_Coverage, 18328,
     /* 2169332 */     GIR_EraseRootFromParent_Done,
     /* 2169333 */   // Label 28576: @2169333
     /* 2169333 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2169424), // Rule ID 18329 //
     /* 2169338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2169358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169384 */     // MIs[0] round
     /* 2169384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169387 */     // MIs[0] policy
     /* 2169387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169397 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2169400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169423 */     // GIR_Coverage, 18329,
     /* 2169423 */     GIR_EraseRootFromParent_Done,
     /* 2169424 */   // Label 28577: @2169424
     /* 2169424 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2169515), // Rule ID 18332 //
     /* 2169429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2169449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169475 */     // MIs[0] round
     /* 2169475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169478 */     // MIs[0] policy
     /* 2169478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169488 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2169491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169514 */     // GIR_Coverage, 18332,
     /* 2169514 */     GIR_EraseRootFromParent_Done,
     /* 2169515 */   // Label 28578: @2169515
     /* 2169515 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2169606), // Rule ID 18333 //
     /* 2169520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2169540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169566 */     // MIs[0] round
     /* 2169566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169569 */     // MIs[0] policy
     /* 2169569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169579 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2169582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169605 */     // GIR_Coverage, 18333,
     /* 2169605 */     GIR_EraseRootFromParent_Done,
     /* 2169606 */   // Label 28579: @2169606
     /* 2169606 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2169697), // Rule ID 18336 //
     /* 2169611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2169631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169657 */     // MIs[0] round
     /* 2169657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169660 */     // MIs[0] policy
     /* 2169660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169670 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2169673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169696 */     // GIR_Coverage, 18336,
     /* 2169696 */     GIR_EraseRootFromParent_Done,
     /* 2169697 */   // Label 28580: @2169697
     /* 2169697 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2169788), // Rule ID 18337 //
     /* 2169702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2169722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169748 */     // MIs[0] round
     /* 2169748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169751 */     // MIs[0] policy
     /* 2169751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169761 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2169764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169787 */     // GIR_Coverage, 18337,
     /* 2169787 */     GIR_EraseRootFromParent_Done,
     /* 2169788 */   // Label 28581: @2169788
     /* 2169788 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2169879), // Rule ID 18340 //
     /* 2169793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2169804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2169807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2169813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169839 */     // MIs[0] round
     /* 2169839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169842 */     // MIs[0] policy
     /* 2169842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169852 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2169855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169878 */     // GIR_Coverage, 18340,
     /* 2169878 */     GIR_EraseRootFromParent_Done,
     /* 2169879 */   // Label 28582: @2169879
     /* 2169879 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2169970), // Rule ID 18341 //
     /* 2169884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2169895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2169898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2169904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169930 */     // MIs[0] round
     /* 2169930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169933 */     // MIs[0] policy
     /* 2169933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169943 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2169946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169969 */     // GIR_Coverage, 18341,
     /* 2169969 */     GIR_EraseRootFromParent_Done,
     /* 2169970 */   // Label 28583: @2169970
     /* 2169970 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2170061), // Rule ID 18344 //
     /* 2169975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2169983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2169986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2169989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2169995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170021 */     // MIs[0] round
     /* 2170021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170024 */     // MIs[0] policy
     /* 2170024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2170037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170060 */     // GIR_Coverage, 18344,
     /* 2170060 */     GIR_EraseRootFromParent_Done,
     /* 2170061 */   // Label 28584: @2170061
     /* 2170061 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2170152), // Rule ID 18345 //
     /* 2170066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170112 */     // MIs[0] round
     /* 2170112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170115 */     // MIs[0] policy
     /* 2170115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170125 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2170128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170151 */     // GIR_Coverage, 18345,
     /* 2170151 */     GIR_EraseRootFromParent_Done,
     /* 2170152 */   // Label 28585: @2170152
     /* 2170152 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2170243), // Rule ID 18348 //
     /* 2170157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2170177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170203 */     // MIs[0] round
     /* 2170203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170206 */     // MIs[0] policy
     /* 2170206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170216 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2170219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170242 */     // GIR_Coverage, 18348,
     /* 2170242 */     GIR_EraseRootFromParent_Done,
     /* 2170243 */   // Label 28586: @2170243
     /* 2170243 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2170334), // Rule ID 18349 //
     /* 2170248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2170268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170294 */     // MIs[0] round
     /* 2170294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170297 */     // MIs[0] policy
     /* 2170297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170307 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2170310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170333 */     // GIR_Coverage, 18349,
     /* 2170333 */     GIR_EraseRootFromParent_Done,
     /* 2170334 */   // Label 28587: @2170334
     /* 2170334 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2170425), // Rule ID 18352 //
     /* 2170339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170385 */     // MIs[0] round
     /* 2170385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170388 */     // MIs[0] policy
     /* 2170388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2170401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170424 */     // GIR_Coverage, 18352,
     /* 2170424 */     GIR_EraseRootFromParent_Done,
     /* 2170425 */   // Label 28588: @2170425
     /* 2170425 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2170516), // Rule ID 18353 //
     /* 2170430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170476 */     // MIs[0] round
     /* 2170476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170479 */     // MIs[0] policy
     /* 2170479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170489 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2170492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170515 */     // GIR_Coverage, 18353,
     /* 2170515 */     GIR_EraseRootFromParent_Done,
     /* 2170516 */   // Label 28589: @2170516
     /* 2170516 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2170607), // Rule ID 18356 //
     /* 2170521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2170532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2170535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2170541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170567 */     // MIs[0] round
     /* 2170567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170570 */     // MIs[0] policy
     /* 2170570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170580 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2170583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170606 */     // GIR_Coverage, 18356,
     /* 2170606 */     GIR_EraseRootFromParent_Done,
     /* 2170607 */   // Label 28590: @2170607
     /* 2170607 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2170698), // Rule ID 18357 //
     /* 2170612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2170623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2170626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2170632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170658 */     // MIs[0] round
     /* 2170658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170661 */     // MIs[0] policy
     /* 2170661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170671 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2170674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170697 */     // GIR_Coverage, 18357,
     /* 2170697 */     GIR_EraseRootFromParent_Done,
     /* 2170698 */   // Label 28591: @2170698
     /* 2170698 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2170789), // Rule ID 18360 //
     /* 2170703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2170714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2170717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2170723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170749 */     // MIs[0] round
     /* 2170749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170752 */     // MIs[0] policy
     /* 2170752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2170765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170788 */     // GIR_Coverage, 18360,
     /* 2170788 */     GIR_EraseRootFromParent_Done,
     /* 2170789 */   // Label 28592: @2170789
     /* 2170789 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2170880), // Rule ID 18361 //
     /* 2170794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2170802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2170805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2170808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2170814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170840 */     // MIs[0] round
     /* 2170840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170843 */     // MIs[0] policy
     /* 2170843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170853 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2170856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170879 */     // GIR_Coverage, 18361,
     /* 2170879 */     GIR_EraseRootFromParent_Done,
     /* 2170880 */   // Label 28593: @2170880
     /* 2170880 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2170971), // Rule ID 18364 //
     /* 2170885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2170896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2170899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2170902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2170905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170931 */     // MIs[0] round
     /* 2170931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170934 */     // MIs[0] policy
     /* 2170934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170944 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2170947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170970 */     // GIR_Coverage, 18364,
     /* 2170970 */     GIR_EraseRootFromParent_Done,
     /* 2170971 */   // Label 28594: @2170971
     /* 2170971 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2171062), // Rule ID 18365 //
     /* 2170976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2170987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2170990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2170993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2170996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171022 */     // MIs[0] round
     /* 2171022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171025 */     // MIs[0] policy
     /* 2171025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171035 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2171038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171061 */     // GIR_Coverage, 18365,
     /* 2171061 */     GIR_EraseRootFromParent_Done,
     /* 2171062 */   // Label 28595: @2171062
     /* 2171062 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2171153), // Rule ID 18368 //
     /* 2171067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2171078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2171081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2171087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171113 */     // MIs[0] round
     /* 2171113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171116 */     // MIs[0] policy
     /* 2171116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171126 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2171129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171152 */     // GIR_Coverage, 18368,
     /* 2171152 */     GIR_EraseRootFromParent_Done,
     /* 2171153 */   // Label 28596: @2171153
     /* 2171153 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2171244), // Rule ID 18369 //
     /* 2171158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2171169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2171172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2171178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171204 */     // MIs[0] round
     /* 2171204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171207 */     // MIs[0] policy
     /* 2171207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171217 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2171220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171243 */     // GIR_Coverage, 18369,
     /* 2171243 */     GIR_EraseRootFromParent_Done,
     /* 2171244 */   // Label 28597: @2171244
     /* 2171244 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2171335), // Rule ID 18372 //
     /* 2171249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2171260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2171266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2171269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171295 */     // MIs[0] round
     /* 2171295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171298 */     // MIs[0] policy
     /* 2171298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2171311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171334 */     // GIR_Coverage, 18372,
     /* 2171334 */     GIR_EraseRootFromParent_Done,
     /* 2171335 */   // Label 28598: @2171335
     /* 2171335 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2171426), // Rule ID 18373 //
     /* 2171340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2171351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2171357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2171360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171386 */     // MIs[0] round
     /* 2171386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171389 */     // MIs[0] policy
     /* 2171389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171399 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2171402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171425 */     // GIR_Coverage, 18373,
     /* 2171425 */     GIR_EraseRootFromParent_Done,
     /* 2171426 */   // Label 28599: @2171426
     /* 2171426 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2171517), // Rule ID 18376 //
     /* 2171431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2171442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2171445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2171451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171477 */     // MIs[0] round
     /* 2171477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171480 */     // MIs[0] policy
     /* 2171480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171490 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2171493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171516 */     // GIR_Coverage, 18376,
     /* 2171516 */     GIR_EraseRootFromParent_Done,
     /* 2171517 */   // Label 28600: @2171517
     /* 2171517 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2171608), // Rule ID 18377 //
     /* 2171522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2171533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2171536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2171542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171568 */     // MIs[0] round
     /* 2171568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171571 */     // MIs[0] policy
     /* 2171571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171581 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2171584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171607 */     // GIR_Coverage, 18377,
     /* 2171607 */     GIR_EraseRootFromParent_Done,
     /* 2171608 */   // Label 28601: @2171608
     /* 2171608 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2171699), // Rule ID 18380 //
     /* 2171613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2171630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2171633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171659 */     // MIs[0] round
     /* 2171659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171662 */     // MIs[0] policy
     /* 2171662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171672 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2171675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171698 */     // GIR_Coverage, 18380,
     /* 2171698 */     GIR_EraseRootFromParent_Done,
     /* 2171699 */   // Label 28602: @2171699
     /* 2171699 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2171790), // Rule ID 18381 //
     /* 2171704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2171721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2171724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171750 */     // MIs[0] round
     /* 2171750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171753 */     // MIs[0] policy
     /* 2171753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171763 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2171766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171789 */     // GIR_Coverage, 18381,
     /* 2171789 */     GIR_EraseRootFromParent_Done,
     /* 2171790 */   // Label 28603: @2171790
     /* 2171790 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2171881), // Rule ID 18384 //
     /* 2171795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2171806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2171809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2171812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2171815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171841 */     // MIs[0] round
     /* 2171841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171844 */     // MIs[0] policy
     /* 2171844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171854 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2171857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171880 */     // GIR_Coverage, 18384,
     /* 2171880 */     GIR_EraseRootFromParent_Done,
     /* 2171881 */   // Label 28604: @2171881
     /* 2171881 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2171972), // Rule ID 18385 //
     /* 2171886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2171897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2171900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2171903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2171906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171932 */     // MIs[0] round
     /* 2171932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171935 */     // MIs[0] policy
     /* 2171935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171945 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2171948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171971 */     // GIR_Coverage, 18385,
     /* 2171971 */     GIR_EraseRootFromParent_Done,
     /* 2171972 */   // Label 28605: @2171972
     /* 2171972 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2172063), // Rule ID 18388 //
     /* 2171977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2171985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2171988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2171991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2171994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172023 */     // MIs[0] round
     /* 2172023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172026 */     // MIs[0] policy
     /* 2172026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172036 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2172039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172062 */     // GIR_Coverage, 18388,
     /* 2172062 */     GIR_EraseRootFromParent_Done,
     /* 2172063 */   // Label 28606: @2172063
     /* 2172063 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2172154), // Rule ID 18389 //
     /* 2172068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2172079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2172082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2172088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172114 */     // MIs[0] round
     /* 2172114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172117 */     // MIs[0] policy
     /* 2172117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2172130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172153 */     // GIR_Coverage, 18389,
     /* 2172153 */     GIR_EraseRootFromParent_Done,
     /* 2172154 */   // Label 28607: @2172154
     /* 2172154 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2172245), // Rule ID 18392 //
     /* 2172159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2172170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2172173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2172179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172205 */     // MIs[0] round
     /* 2172205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172208 */     // MIs[0] policy
     /* 2172208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172218 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2172221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172244 */     // GIR_Coverage, 18392,
     /* 2172244 */     GIR_EraseRootFromParent_Done,
     /* 2172245 */   // Label 28608: @2172245
     /* 2172245 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2172336), // Rule ID 18393 //
     /* 2172250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2172261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2172264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2172270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172296 */     // MIs[0] round
     /* 2172296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172299 */     // MIs[0] policy
     /* 2172299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172309 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2172312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172335 */     // GIR_Coverage, 18393,
     /* 2172335 */     GIR_EraseRootFromParent_Done,
     /* 2172336 */   // Label 28609: @2172336
     /* 2172336 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2172427), // Rule ID 18396 //
     /* 2172341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2172352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2172355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2172361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172387 */     // MIs[0] round
     /* 2172387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172390 */     // MIs[0] policy
     /* 2172390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172400 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2172403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172426 */     // GIR_Coverage, 18396,
     /* 2172426 */     GIR_EraseRootFromParent_Done,
     /* 2172427 */   // Label 28610: @2172427
     /* 2172427 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2172518), // Rule ID 18397 //
     /* 2172432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2172443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2172446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2172452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172478 */     // MIs[0] round
     /* 2172478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172481 */     // MIs[0] policy
     /* 2172481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172491 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2172494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172517 */     // GIR_Coverage, 18397,
     /* 2172517 */     GIR_EraseRootFromParent_Done,
     /* 2172518 */   // Label 28611: @2172518
     /* 2172518 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2172609), // Rule ID 18400 //
     /* 2172523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2172534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2172537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2172540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2172543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172569 */     // MIs[0] round
     /* 2172569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172572 */     // MIs[0] policy
     /* 2172572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172582 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2172585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172608 */     // GIR_Coverage, 18400,
     /* 2172608 */     GIR_EraseRootFromParent_Done,
     /* 2172609 */   // Label 28612: @2172609
     /* 2172609 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2172700), // Rule ID 18401 //
     /* 2172614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2172625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2172628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2172631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2172634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172660 */     // MIs[0] round
     /* 2172660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172663 */     // MIs[0] policy
     /* 2172663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172673 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2172676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172699 */     // GIR_Coverage, 18401,
     /* 2172699 */     GIR_EraseRootFromParent_Done,
     /* 2172700 */   // Label 28613: @2172700
     /* 2172700 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2172791), // Rule ID 18404 //
     /* 2172705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2172716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2172719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2172722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172751 */     // MIs[0] round
     /* 2172751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172754 */     // MIs[0] policy
     /* 2172754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172764 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2172767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172790 */     // GIR_Coverage, 18404,
     /* 2172790 */     GIR_EraseRootFromParent_Done,
     /* 2172791 */   // Label 28614: @2172791
     /* 2172791 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2172882), // Rule ID 18405 //
     /* 2172796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2172807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2172810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2172813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172842 */     // MIs[0] round
     /* 2172842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172845 */     // MIs[0] policy
     /* 2172845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172855 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2172858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172881 */     // GIR_Coverage, 18405,
     /* 2172881 */     GIR_EraseRootFromParent_Done,
     /* 2172882 */   // Label 28615: @2172882
     /* 2172882 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2172973), // Rule ID 18408 //
     /* 2172887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2172904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2172907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172933 */     // MIs[0] round
     /* 2172933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172936 */     // MIs[0] policy
     /* 2172936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2172949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172972 */     // GIR_Coverage, 18408,
     /* 2172972 */     GIR_EraseRootFromParent_Done,
     /* 2172973 */   // Label 28616: @2172973
     /* 2172973 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2173064), // Rule ID 18409 //
     /* 2172978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2172986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2172995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2172998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173024 */     // MIs[0] round
     /* 2173024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173027 */     // MIs[0] policy
     /* 2173027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173037 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2173040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173063 */     // GIR_Coverage, 18409,
     /* 2173063 */     GIR_EraseRootFromParent_Done,
     /* 2173064 */   // Label 28617: @2173064
     /* 2173064 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2173155), // Rule ID 18412 //
     /* 2173069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2173080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2173083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2173086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2173089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173115 */     // MIs[0] round
     /* 2173115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173118 */     // MIs[0] policy
     /* 2173118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173128 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2173131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173154 */     // GIR_Coverage, 18412,
     /* 2173154 */     GIR_EraseRootFromParent_Done,
     /* 2173155 */   // Label 28618: @2173155
     /* 2173155 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2173246), // Rule ID 18413 //
     /* 2173160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2173171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2173174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2173177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2173180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173206 */     // MIs[0] round
     /* 2173206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173209 */     // MIs[0] policy
     /* 2173209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2173222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173245 */     // GIR_Coverage, 18413,
     /* 2173245 */     GIR_EraseRootFromParent_Done,
     /* 2173246 */   // Label 28619: @2173246
     /* 2173246 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2173337), // Rule ID 18416 //
     /* 2173251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2173262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2173265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2173268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2173271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173297 */     // MIs[0] round
     /* 2173297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173300 */     // MIs[0] policy
     /* 2173300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173310 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2173313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173336 */     // GIR_Coverage, 18416,
     /* 2173336 */     GIR_EraseRootFromParent_Done,
     /* 2173337 */   // Label 28620: @2173337
     /* 2173337 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2173428), // Rule ID 18417 //
     /* 2173342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2173353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2173356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2173359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2173362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173388 */     // MIs[0] round
     /* 2173388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173391 */     // MIs[0] policy
     /* 2173391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173401 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2173404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173427 */     // GIR_Coverage, 18417,
     /* 2173427 */     GIR_EraseRootFromParent_Done,
     /* 2173428 */   // Label 28621: @2173428
     /* 2173428 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2173519), // Rule ID 18420 //
     /* 2173433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2173444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2173447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2173450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2173453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173479 */     // MIs[0] round
     /* 2173479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173482 */     // MIs[0] policy
     /* 2173482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173492 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2173495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173518 */     // GIR_Coverage, 18420,
     /* 2173518 */     GIR_EraseRootFromParent_Done,
     /* 2173519 */   // Label 28622: @2173519
     /* 2173519 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2173610), // Rule ID 18421 //
     /* 2173524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2173535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2173538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2173541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2173544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173570 */     // MIs[0] round
     /* 2173570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173573 */     // MIs[0] policy
     /* 2173573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173583 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2173586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173609 */     // GIR_Coverage, 18421,
     /* 2173609 */     GIR_EraseRootFromParent_Done,
     /* 2173610 */   // Label 28623: @2173610
     /* 2173610 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2173701), // Rule ID 18424 //
     /* 2173615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2173626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2173629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2173635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173661 */     // MIs[0] round
     /* 2173661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173664 */     // MIs[0] policy
     /* 2173664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173674 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2173677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173700 */     // GIR_Coverage, 18424,
     /* 2173700 */     GIR_EraseRootFromParent_Done,
     /* 2173701 */   // Label 28624: @2173701
     /* 2173701 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2173792), // Rule ID 18425 //
     /* 2173706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2173717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2173720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2173726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173752 */     // MIs[0] round
     /* 2173752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173755 */     // MIs[0] policy
     /* 2173755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173765 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2173768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173791 */     // GIR_Coverage, 18425,
     /* 2173791 */     GIR_EraseRootFromParent_Done,
     /* 2173792 */   // Label 28625: @2173792
     /* 2173792 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2173883), // Rule ID 18428 //
     /* 2173797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2173808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2173811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173843 */     // MIs[0] round
     /* 2173843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173846 */     // MIs[0] policy
     /* 2173846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173856 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2173859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173882 */     // GIR_Coverage, 18428,
     /* 2173882 */     GIR_EraseRootFromParent_Done,
     /* 2173883 */   // Label 28626: @2173883
     /* 2173883 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2173974), // Rule ID 18429 //
     /* 2173888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2173899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2173902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173934 */     // MIs[0] round
     /* 2173934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173937 */     // MIs[0] policy
     /* 2173937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2173950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173973 */     // GIR_Coverage, 18429,
     /* 2173973 */     GIR_EraseRootFromParent_Done,
     /* 2173974 */   // Label 28627: @2173974
     /* 2173974 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2174065), // Rule ID 18432 //
     /* 2173979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2173987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2173996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174025 */     // MIs[0] round
     /* 2174025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174028 */     // MIs[0] policy
     /* 2174028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174038 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2174041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174064 */     // GIR_Coverage, 18432,
     /* 2174064 */     GIR_EraseRootFromParent_Done,
     /* 2174065 */   // Label 28628: @2174065
     /* 2174065 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2174156), // Rule ID 18433 //
     /* 2174070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2174090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174116 */     // MIs[0] round
     /* 2174116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174119 */     // MIs[0] policy
     /* 2174119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174129 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2174132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174155 */     // GIR_Coverage, 18433,
     /* 2174155 */     GIR_EraseRootFromParent_Done,
     /* 2174156 */   // Label 28629: @2174156
     /* 2174156 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2174247), // Rule ID 18436 //
     /* 2174161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2174172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2174175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2174181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174207 */     // MIs[0] round
     /* 2174207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174210 */     // MIs[0] policy
     /* 2174210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174220 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2174223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174246 */     // GIR_Coverage, 18436,
     /* 2174246 */     GIR_EraseRootFromParent_Done,
     /* 2174247 */   // Label 28630: @2174247
     /* 2174247 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2174338), // Rule ID 18437 //
     /* 2174252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2174263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2174266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2174272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174298 */     // MIs[0] round
     /* 2174298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174301 */     // MIs[0] policy
     /* 2174301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174311 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2174314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174337 */     // GIR_Coverage, 18437,
     /* 2174337 */     GIR_EraseRootFromParent_Done,
     /* 2174338 */   // Label 28631: @2174338
     /* 2174338 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2174429), // Rule ID 18440 //
     /* 2174343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174389 */     // MIs[0] round
     /* 2174389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174392 */     // MIs[0] policy
     /* 2174392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2174405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174428 */     // GIR_Coverage, 18440,
     /* 2174428 */     GIR_EraseRootFromParent_Done,
     /* 2174429 */   // Label 28632: @2174429
     /* 2174429 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2174520), // Rule ID 18441 //
     /* 2174434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174480 */     // MIs[0] round
     /* 2174480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174483 */     // MIs[0] policy
     /* 2174483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174493 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2174496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174519 */     // GIR_Coverage, 18441,
     /* 2174519 */     GIR_EraseRootFromParent_Done,
     /* 2174520 */   // Label 28633: @2174520
     /* 2174520 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2174611), // Rule ID 18444 //
     /* 2174525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2174536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2174539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2174542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2174545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2174563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174571 */     // MIs[0] round
     /* 2174571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174574 */     // MIs[0] policy
     /* 2174574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174584 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2174587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174610 */     // GIR_Coverage, 18444,
     /* 2174610 */     GIR_EraseRootFromParent_Done,
     /* 2174611 */   // Label 28634: @2174611
     /* 2174611 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2174702), // Rule ID 18445 //
     /* 2174616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2174627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2174630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2174633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2174636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2174654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174662 */     // MIs[0] round
     /* 2174662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174665 */     // MIs[0] policy
     /* 2174665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2174678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174701 */     // GIR_Coverage, 18445,
     /* 2174701 */     GIR_EraseRootFromParent_Done,
     /* 2174702 */   // Label 28635: @2174702
     /* 2174702 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2174793), // Rule ID 18448 //
     /* 2174707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2174718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2174721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2174727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174753 */     // MIs[0] round
     /* 2174753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174756 */     // MIs[0] policy
     /* 2174756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174766 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2174769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174792 */     // GIR_Coverage, 18448,
     /* 2174792 */     GIR_EraseRootFromParent_Done,
     /* 2174793 */   // Label 28636: @2174793
     /* 2174793 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2174884), // Rule ID 18449 //
     /* 2174798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2174809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2174812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2174818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174844 */     // MIs[0] round
     /* 2174844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174847 */     // MIs[0] policy
     /* 2174847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2174860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174883 */     // GIR_Coverage, 18449,
     /* 2174883 */     GIR_EraseRootFromParent_Done,
     /* 2174884 */   // Label 28637: @2174884
     /* 2174884 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2174975), // Rule ID 18452 //
     /* 2174889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2174900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2174903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2174909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174935 */     // MIs[0] round
     /* 2174935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174938 */     // MIs[0] policy
     /* 2174938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174948 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2174951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174974 */     // GIR_Coverage, 18452,
     /* 2174974 */     GIR_EraseRootFromParent_Done,
     /* 2174975 */   // Label 28638: @2174975
     /* 2174975 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2175066), // Rule ID 18453 //
     /* 2174980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2174988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2174991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2174994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175026 */     // MIs[0] round
     /* 2175026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175029 */     // MIs[0] policy
     /* 2175029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175039 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2175042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175065 */     // GIR_Coverage, 18453,
     /* 2175065 */     GIR_EraseRootFromParent_Done,
     /* 2175066 */   // Label 28639: @2175066
     /* 2175066 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2175157), // Rule ID 18456 //
     /* 2175071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2175082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2175085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2175091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2175094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175117 */     // MIs[0] round
     /* 2175117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175120 */     // MIs[0] policy
     /* 2175120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175130 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2175133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175156 */     // GIR_Coverage, 18456,
     /* 2175156 */     GIR_EraseRootFromParent_Done,
     /* 2175157 */   // Label 28640: @2175157
     /* 2175157 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2175248), // Rule ID 18457 //
     /* 2175162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2175173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2175176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2175182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2175185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175208 */     // MIs[0] round
     /* 2175208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175211 */     // MIs[0] policy
     /* 2175211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175221 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2175224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175247 */     // GIR_Coverage, 18457,
     /* 2175247 */     GIR_EraseRootFromParent_Done,
     /* 2175248 */   // Label 28641: @2175248
     /* 2175248 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2175339), // Rule ID 18460 //
     /* 2175253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2175264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2175267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2175273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175299 */     // MIs[0] round
     /* 2175299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175302 */     // MIs[0] policy
     /* 2175302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175312 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2175315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175338 */     // GIR_Coverage, 18460,
     /* 2175338 */     GIR_EraseRootFromParent_Done,
     /* 2175339 */   // Label 28642: @2175339
     /* 2175339 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2175430), // Rule ID 18461 //
     /* 2175344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2175355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2175358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2175364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175390 */     // MIs[0] round
     /* 2175390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175393 */     // MIs[0] policy
     /* 2175393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175403 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2175406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175429 */     // GIR_Coverage, 18461,
     /* 2175429 */     GIR_EraseRootFromParent_Done,
     /* 2175430 */   // Label 28643: @2175430
     /* 2175430 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2175521), // Rule ID 18464 //
     /* 2175435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2175446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2175455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175481 */     // MIs[0] round
     /* 2175481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175484 */     // MIs[0] policy
     /* 2175484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175494 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2175497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175520 */     // GIR_Coverage, 18464,
     /* 2175520 */     GIR_EraseRootFromParent_Done,
     /* 2175521 */   // Label 28644: @2175521
     /* 2175521 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2175612), // Rule ID 18465 //
     /* 2175526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2175537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2175546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175572 */     // MIs[0] round
     /* 2175572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175575 */     // MIs[0] policy
     /* 2175575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2175588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175611 */     // GIR_Coverage, 18465,
     /* 2175611 */     GIR_EraseRootFromParent_Done,
     /* 2175612 */   // Label 28645: @2175612
     /* 2175612 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2175703), // Rule ID 18468 //
     /* 2175617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2175637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175663 */     // MIs[0] round
     /* 2175663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175666 */     // MIs[0] policy
     /* 2175666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175676 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2175679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175702 */     // GIR_Coverage, 18468,
     /* 2175702 */     GIR_EraseRootFromParent_Done,
     /* 2175703 */   // Label 28646: @2175703
     /* 2175703 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2175794), // Rule ID 18469 //
     /* 2175708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2175728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175754 */     // MIs[0] round
     /* 2175754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175757 */     // MIs[0] policy
     /* 2175757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175767 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2175770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175793 */     // GIR_Coverage, 18469,
     /* 2175793 */     GIR_EraseRootFromParent_Done,
     /* 2175794 */   // Label 28647: @2175794
     /* 2175794 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2175885), // Rule ID 18472 //
     /* 2175799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2175819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175845 */     // MIs[0] round
     /* 2175845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175848 */     // MIs[0] policy
     /* 2175848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175858 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2175861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175884 */     // GIR_Coverage, 18472,
     /* 2175884 */     GIR_EraseRootFromParent_Done,
     /* 2175885 */   // Label 28648: @2175885
     /* 2175885 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2175976), // Rule ID 18473 //
     /* 2175890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2175910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175936 */     // MIs[0] round
     /* 2175936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175939 */     // MIs[0] policy
     /* 2175939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175949 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2175952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175975 */     // GIR_Coverage, 18473,
     /* 2175975 */     GIR_EraseRootFromParent_Done,
     /* 2175976 */   // Label 28649: @2175976
     /* 2175976 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2176067), // Rule ID 18476 //
     /* 2175981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2175989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2176001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176027 */     // MIs[0] round
     /* 2176027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176030 */     // MIs[0] policy
     /* 2176030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176040 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2176043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176066 */     // GIR_Coverage, 18476,
     /* 2176066 */     GIR_EraseRootFromParent_Done,
     /* 2176067 */   // Label 28650: @2176067
     /* 2176067 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2176158), // Rule ID 18477 //
     /* 2176072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2176083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2176086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2176092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176118 */     // MIs[0] round
     /* 2176118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176121 */     // MIs[0] policy
     /* 2176121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176131 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2176134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176157 */     // GIR_Coverage, 18477,
     /* 2176157 */     GIR_EraseRootFromParent_Done,
     /* 2176158 */   // Label 28651: @2176158
     /* 2176158 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2176249), // Rule ID 18480 //
     /* 2176163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2176174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2176177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2176183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176209 */     // MIs[0] round
     /* 2176209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176212 */     // MIs[0] policy
     /* 2176212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2176225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176248 */     // GIR_Coverage, 18480,
     /* 2176248 */     GIR_EraseRootFromParent_Done,
     /* 2176249 */   // Label 28652: @2176249
     /* 2176249 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2176340), // Rule ID 18481 //
     /* 2176254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2176262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2176265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2176268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2176274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176300 */     // MIs[0] round
     /* 2176300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176303 */     // MIs[0] policy
     /* 2176303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176313 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2176316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176339 */     // GIR_Coverage, 18481,
     /* 2176339 */     GIR_EraseRootFromParent_Done,
     /* 2176340 */   // Label 28653: @2176340
     /* 2176340 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2176431), // Rule ID 18484 //
     /* 2176345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2176356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2176359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2176362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176391 */     // MIs[0] round
     /* 2176391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176394 */     // MIs[0] policy
     /* 2176394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176404 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2176407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176430 */     // GIR_Coverage, 18484,
     /* 2176430 */     GIR_EraseRootFromParent_Done,
     /* 2176431 */   // Label 28654: @2176431
     /* 2176431 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2176522), // Rule ID 18485 //
     /* 2176436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2176447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2176450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2176453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176482 */     // MIs[0] round
     /* 2176482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176485 */     // MIs[0] policy
     /* 2176485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176495 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2176498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176521 */     // GIR_Coverage, 18485,
     /* 2176521 */     GIR_EraseRootFromParent_Done,
     /* 2176522 */   // Label 28655: @2176522
     /* 2176522 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2176613), // Rule ID 18488 //
     /* 2176527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2176538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2176541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2176544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2176547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176573 */     // MIs[0] round
     /* 2176573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176576 */     // MIs[0] policy
     /* 2176576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176586 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2176589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176612 */     // GIR_Coverage, 18488,
     /* 2176612 */     GIR_EraseRootFromParent_Done,
     /* 2176613 */   // Label 28656: @2176613
     /* 2176613 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2176704), // Rule ID 18489 //
     /* 2176618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2176629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2176632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2176635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2176638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176664 */     // MIs[0] round
     /* 2176664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176667 */     // MIs[0] policy
     /* 2176667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176677 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2176680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176703 */     // GIR_Coverage, 18489,
     /* 2176703 */     GIR_EraseRootFromParent_Done,
     /* 2176704 */   // Label 28657: @2176704
     /* 2176704 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2176795), // Rule ID 18492 //
     /* 2176709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2176726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2176729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176755 */     // MIs[0] round
     /* 2176755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176758 */     // MIs[0] policy
     /* 2176758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176768 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2176771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176794 */     // GIR_Coverage, 18492,
     /* 2176794 */     GIR_EraseRootFromParent_Done,
     /* 2176795 */   // Label 28658: @2176795
     /* 2176795 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2176886), // Rule ID 18493 //
     /* 2176800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2176817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2176820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176846 */     // MIs[0] round
     /* 2176846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176849 */     // MIs[0] policy
     /* 2176849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176859 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2176862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176885 */     // GIR_Coverage, 18493,
     /* 2176885 */     GIR_EraseRootFromParent_Done,
     /* 2176886 */   // Label 28659: @2176886
     /* 2176886 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2176977), // Rule ID 18496 //
     /* 2176891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2176902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2176905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2176908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176937 */     // MIs[0] round
     /* 2176937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176940 */     // MIs[0] policy
     /* 2176940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176950 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2176953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176976 */     // GIR_Coverage, 18496,
     /* 2176976 */     GIR_EraseRootFromParent_Done,
     /* 2176977 */   // Label 28660: @2176977
     /* 2176977 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2177068), // Rule ID 18497 //
     /* 2176982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2176990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2176993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2176996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2176999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2177002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177028 */     // MIs[0] round
     /* 2177028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177031 */     // MIs[0] policy
     /* 2177031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177041 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2177044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177067 */     // GIR_Coverage, 18497,
     /* 2177067 */     GIR_EraseRootFromParent_Done,
     /* 2177068 */   // Label 28661: @2177068
     /* 2177068 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2177159), // Rule ID 18500 //
     /* 2177073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2177090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177119 */     // MIs[0] round
     /* 2177119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177122 */     // MIs[0] policy
     /* 2177122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2177135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177158 */     // GIR_Coverage, 18500,
     /* 2177158 */     GIR_EraseRootFromParent_Done,
     /* 2177159 */   // Label 28662: @2177159
     /* 2177159 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2177250), // Rule ID 18501 //
     /* 2177164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2177181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177210 */     // MIs[0] round
     /* 2177210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177213 */     // MIs[0] policy
     /* 2177213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177223 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2177226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177249 */     // GIR_Coverage, 18501,
     /* 2177249 */     GIR_EraseRootFromParent_Done,
     /* 2177250 */   // Label 28663: @2177250
     /* 2177250 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2177341), // Rule ID 18504 //
     /* 2177255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2177266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2177272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2177275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177301 */     // MIs[0] round
     /* 2177301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177304 */     // MIs[0] policy
     /* 2177304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177314 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2177317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177340 */     // GIR_Coverage, 18504,
     /* 2177340 */     GIR_EraseRootFromParent_Done,
     /* 2177341 */   // Label 28664: @2177341
     /* 2177341 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2177432), // Rule ID 18505 //
     /* 2177346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2177357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2177363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2177366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177392 */     // MIs[0] round
     /* 2177392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177395 */     // MIs[0] policy
     /* 2177395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177405 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2177408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177431 */     // GIR_Coverage, 18505,
     /* 2177431 */     GIR_EraseRootFromParent_Done,
     /* 2177432 */   // Label 28665: @2177432
     /* 2177432 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2177523), // Rule ID 18508 //
     /* 2177437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2177448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2177451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2177454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2177457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177483 */     // MIs[0] round
     /* 2177483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177486 */     // MIs[0] policy
     /* 2177486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2177499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177522 */     // GIR_Coverage, 18508,
     /* 2177522 */     GIR_EraseRootFromParent_Done,
     /* 2177523 */   // Label 28666: @2177523
     /* 2177523 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2177614), // Rule ID 18509 //
     /* 2177528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2177539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2177542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2177545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2177548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177574 */     // MIs[0] round
     /* 2177574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177577 */     // MIs[0] policy
     /* 2177577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2177590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177613 */     // GIR_Coverage, 18509,
     /* 2177613 */     GIR_EraseRootFromParent_Done,
     /* 2177614 */   // Label 28667: @2177614
     /* 2177614 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2177705), // Rule ID 18512 //
     /* 2177619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2177630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2177633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2177636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2177639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177665 */     // MIs[0] round
     /* 2177665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177668 */     // MIs[0] policy
     /* 2177668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2177681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177704 */     // GIR_Coverage, 18512,
     /* 2177704 */     GIR_EraseRootFromParent_Done,
     /* 2177705 */   // Label 28668: @2177705
     /* 2177705 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2177796), // Rule ID 18513 //
     /* 2177710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2177721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2177724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2177727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2177730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177756 */     // MIs[0] round
     /* 2177756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177759 */     // MIs[0] policy
     /* 2177759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177769 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2177772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177795 */     // GIR_Coverage, 18513,
     /* 2177795 */     GIR_EraseRootFromParent_Done,
     /* 2177796 */   // Label 28669: @2177796
     /* 2177796 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2177887), // Rule ID 18516 //
     /* 2177801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2177812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2177815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2177818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2177821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2177824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177847 */     // MIs[0] round
     /* 2177847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177850 */     // MIs[0] policy
     /* 2177850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177860 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2177863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177886 */     // GIR_Coverage, 18516,
     /* 2177886 */     GIR_EraseRootFromParent_Done,
     /* 2177887 */   // Label 28670: @2177887
     /* 2177887 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2177978), // Rule ID 18517 //
     /* 2177892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2177903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2177906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2177909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2177912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2177915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177938 */     // MIs[0] round
     /* 2177938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177941 */     // MIs[0] policy
     /* 2177941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177951 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2177954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177977 */     // GIR_Coverage, 18517,
     /* 2177977 */     GIR_EraseRootFromParent_Done,
     /* 2177978 */   // Label 28671: @2177978
     /* 2177978 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2178069), // Rule ID 18520 //
     /* 2177983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2177991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178029 */     // MIs[0] round
     /* 2178029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178032 */     // MIs[0] policy
     /* 2178032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178042 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2178045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178068 */     // GIR_Coverage, 18520,
     /* 2178068 */     GIR_EraseRootFromParent_Done,
     /* 2178069 */   // Label 28672: @2178069
     /* 2178069 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2178160), // Rule ID 18521 //
     /* 2178074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178120 */     // MIs[0] round
     /* 2178120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178123 */     // MIs[0] policy
     /* 2178123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178133 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2178136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178159 */     // GIR_Coverage, 18521,
     /* 2178159 */     GIR_EraseRootFromParent_Done,
     /* 2178160 */   // Label 28673: @2178160
     /* 2178160 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2178251), // Rule ID 18524 //
     /* 2178165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178211 */     // MIs[0] round
     /* 2178211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178214 */     // MIs[0] policy
     /* 2178214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178224 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2178227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178250 */     // GIR_Coverage, 18524,
     /* 2178250 */     GIR_EraseRootFromParent_Done,
     /* 2178251 */   // Label 28674: @2178251
     /* 2178251 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2178342), // Rule ID 18525 //
     /* 2178256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178302 */     // MIs[0] round
     /* 2178302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178305 */     // MIs[0] policy
     /* 2178305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178315 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2178318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178341 */     // GIR_Coverage, 18525,
     /* 2178341 */     GIR_EraseRootFromParent_Done,
     /* 2178342 */   // Label 28675: @2178342
     /* 2178342 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2178433), // Rule ID 18528 //
     /* 2178347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2178364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2178367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178393 */     // MIs[0] round
     /* 2178393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178396 */     // MIs[0] policy
     /* 2178396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178406 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2178409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178432 */     // GIR_Coverage, 18528,
     /* 2178432 */     GIR_EraseRootFromParent_Done,
     /* 2178433 */   // Label 28676: @2178433
     /* 2178433 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2178524), // Rule ID 18529 //
     /* 2178438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2178455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2178458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178484 */     // MIs[0] round
     /* 2178484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178487 */     // MIs[0] policy
     /* 2178487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178497 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2178500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178523 */     // GIR_Coverage, 18529,
     /* 2178523 */     GIR_EraseRootFromParent_Done,
     /* 2178524 */   // Label 28677: @2178524
     /* 2178524 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2178615), // Rule ID 18532 //
     /* 2178529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2178546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2178549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178575 */     // MIs[0] round
     /* 2178575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178578 */     // MIs[0] policy
     /* 2178578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178588 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2178591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178614 */     // GIR_Coverage, 18532,
     /* 2178614 */     GIR_EraseRootFromParent_Done,
     /* 2178615 */   // Label 28678: @2178615
     /* 2178615 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2178706), // Rule ID 18533 //
     /* 2178620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2178637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2178640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178666 */     // MIs[0] round
     /* 2178666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178669 */     // MIs[0] policy
     /* 2178669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178679 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2178682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178705 */     // GIR_Coverage, 18533,
     /* 2178705 */     GIR_EraseRootFromParent_Done,
     /* 2178706 */   // Label 28679: @2178706
     /* 2178706 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2178797), // Rule ID 18536 //
     /* 2178711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2178728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2178731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178757 */     // MIs[0] round
     /* 2178757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178760 */     // MIs[0] policy
     /* 2178760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178770 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2178773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178796 */     // GIR_Coverage, 18536,
     /* 2178796 */     GIR_EraseRootFromParent_Done,
     /* 2178797 */   // Label 28680: @2178797
     /* 2178797 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2178888), // Rule ID 18537 //
     /* 2178802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2178819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2178822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178848 */     // MIs[0] round
     /* 2178848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178851 */     // MIs[0] policy
     /* 2178851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178861 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2178864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178887 */     // GIR_Coverage, 18537,
     /* 2178887 */     GIR_EraseRootFromParent_Done,
     /* 2178888 */   // Label 28681: @2178888
     /* 2178888 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2178979), // Rule ID 18540 //
     /* 2178893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2178910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2178913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178939 */     // MIs[0] round
     /* 2178939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178942 */     // MIs[0] policy
     /* 2178942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178952 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2178955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178978 */     // GIR_Coverage, 18540,
     /* 2178978 */     GIR_EraseRootFromParent_Done,
     /* 2178979 */   // Label 28682: @2178979
     /* 2178979 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2179070), // Rule ID 18541 //
     /* 2178984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2178992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2178995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2179001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2179004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179030 */     // MIs[0] round
     /* 2179030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179033 */     // MIs[0] policy
     /* 2179033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179043 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2179046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179069 */     // GIR_Coverage, 18541,
     /* 2179069 */     GIR_EraseRootFromParent_Done,
     /* 2179070 */   // Label 28683: @2179070
     /* 2179070 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2179161), // Rule ID 18544 //
     /* 2179075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2179086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2179089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179121 */     // MIs[0] round
     /* 2179121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179124 */     // MIs[0] policy
     /* 2179124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179134 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2179137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179160 */     // GIR_Coverage, 18544,
     /* 2179160 */     GIR_EraseRootFromParent_Done,
     /* 2179161 */   // Label 28684: @2179161
     /* 2179161 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2179252), // Rule ID 18545 //
     /* 2179166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2179177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2179180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179212 */     // MIs[0] round
     /* 2179212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179215 */     // MIs[0] policy
     /* 2179215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179225 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2179228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179251 */     // GIR_Coverage, 18545,
     /* 2179251 */     GIR_EraseRootFromParent_Done,
     /* 2179252 */   // Label 28685: @2179252
     /* 2179252 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2179343), // Rule ID 18548 //
     /* 2179257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2179268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2179271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179303 */     // MIs[0] round
     /* 2179303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179306 */     // MIs[0] policy
     /* 2179306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179316 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2179319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179342 */     // GIR_Coverage, 18548,
     /* 2179342 */     GIR_EraseRootFromParent_Done,
     /* 2179343 */   // Label 28686: @2179343
     /* 2179343 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2179434), // Rule ID 18549 //
     /* 2179348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2179359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2179362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179394 */     // MIs[0] round
     /* 2179394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179397 */     // MIs[0] policy
     /* 2179397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179407 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2179410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179433 */     // GIR_Coverage, 18549,
     /* 2179433 */     GIR_EraseRootFromParent_Done,
     /* 2179434 */   // Label 28687: @2179434
     /* 2179434 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2179525), // Rule ID 18552 //
     /* 2179439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2179442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2179459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179485 */     // MIs[0] round
     /* 2179485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179488 */     // MIs[0] policy
     /* 2179488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179498 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2179501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179524 */     // GIR_Coverage, 18552,
     /* 2179524 */     GIR_EraseRootFromParent_Done,
     /* 2179525 */   // Label 28688: @2179525
     /* 2179525 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2179616), // Rule ID 18553 //
     /* 2179530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2179533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2179550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179576 */     // MIs[0] round
     /* 2179576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179579 */     // MIs[0] policy
     /* 2179579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179589 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2179592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179615 */     // GIR_Coverage, 18553,
     /* 2179615 */     GIR_EraseRootFromParent_Done,
     /* 2179616 */   // Label 28689: @2179616
     /* 2179616 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2179707), // Rule ID 18556 //
     /* 2179621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2179632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2179635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179667 */     // MIs[0] round
     /* 2179667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179670 */     // MIs[0] policy
     /* 2179670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2179683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179706 */     // GIR_Coverage, 18556,
     /* 2179706 */     GIR_EraseRootFromParent_Done,
     /* 2179707 */   // Label 28690: @2179707
     /* 2179707 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2179798), // Rule ID 18557 //
     /* 2179712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2179723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2179726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179758 */     // MIs[0] round
     /* 2179758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179761 */     // MIs[0] policy
     /* 2179761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179771 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2179774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179797 */     // GIR_Coverage, 18557,
     /* 2179797 */     GIR_EraseRootFromParent_Done,
     /* 2179798 */   // Label 28691: @2179798
     /* 2179798 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2179889), // Rule ID 18560 //
     /* 2179803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2179806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2179823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179849 */     // MIs[0] round
     /* 2179849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179852 */     // MIs[0] policy
     /* 2179852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179862 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2179865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179888 */     // GIR_Coverage, 18560,
     /* 2179888 */     GIR_EraseRootFromParent_Done,
     /* 2179889 */   // Label 28692: @2179889
     /* 2179889 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2179980), // Rule ID 18561 //
     /* 2179894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2179897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2179914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179940 */     // MIs[0] round
     /* 2179940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179943 */     // MIs[0] policy
     /* 2179943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2179956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179979 */     // GIR_Coverage, 18561,
     /* 2179979 */     GIR_EraseRootFromParent_Done,
     /* 2179980 */   // Label 28693: @2179980
     /* 2179980 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2180071), // Rule ID 18564 //
     /* 2179985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2179988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2179993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2179996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2179999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2180002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2180005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2180023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180031 */     // MIs[0] round
     /* 2180031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180034 */     // MIs[0] policy
     /* 2180034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180044 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2180047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180070 */     // GIR_Coverage, 18564,
     /* 2180070 */     GIR_EraseRootFromParent_Done,
     /* 2180071 */   // Label 28694: @2180071
     /* 2180071 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2180162), // Rule ID 18565 //
     /* 2180076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2180093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2180096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2180114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180122 */     // MIs[0] round
     /* 2180122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180125 */     // MIs[0] policy
     /* 2180125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180135 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2180138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180161 */     // GIR_Coverage, 18565,
     /* 2180161 */     GIR_EraseRootFromParent_Done,
     /* 2180162 */   // Label 28695: @2180162
     /* 2180162 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2180253), // Rule ID 18568 //
     /* 2180167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2180178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2180181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180213 */     // MIs[0] round
     /* 2180213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180216 */     // MIs[0] policy
     /* 2180216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180226 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2180229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180252 */     // GIR_Coverage, 18568,
     /* 2180252 */     GIR_EraseRootFromParent_Done,
     /* 2180253 */   // Label 28696: @2180253
     /* 2180253 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2180344), // Rule ID 18569 //
     /* 2180258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2180269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2180272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180304 */     // MIs[0] round
     /* 2180304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180307 */     // MIs[0] policy
     /* 2180307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180317 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2180320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180343 */     // GIR_Coverage, 18569,
     /* 2180343 */     GIR_EraseRootFromParent_Done,
     /* 2180344 */   // Label 28697: @2180344
     /* 2180344 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2180435), // Rule ID 18572 //
     /* 2180349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2180360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2180363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180395 */     // MIs[0] round
     /* 2180395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180398 */     // MIs[0] policy
     /* 2180398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180408 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2180411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180434 */     // GIR_Coverage, 18572,
     /* 2180434 */     GIR_EraseRootFromParent_Done,
     /* 2180435 */   // Label 28698: @2180435
     /* 2180435 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2180526), // Rule ID 18573 //
     /* 2180440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2180451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2180454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180486 */     // MIs[0] round
     /* 2180486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180489 */     // MIs[0] policy
     /* 2180489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180499 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2180502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180525 */     // GIR_Coverage, 18573,
     /* 2180525 */     GIR_EraseRootFromParent_Done,
     /* 2180526 */   // Label 28699: @2180526
     /* 2180526 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2180617), // Rule ID 18576 //
     /* 2180531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2180542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2180545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2180551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2180554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180577 */     // MIs[0] round
     /* 2180577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180580 */     // MIs[0] policy
     /* 2180580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180590 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2180593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180616 */     // GIR_Coverage, 18576,
     /* 2180616 */     GIR_EraseRootFromParent_Done,
     /* 2180617 */   // Label 28700: @2180617
     /* 2180617 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2180708), // Rule ID 18577 //
     /* 2180622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2180633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2180636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2180642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2180645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180668 */     // MIs[0] round
     /* 2180668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180671 */     // MIs[0] policy
     /* 2180671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180681 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2180684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180707 */     // GIR_Coverage, 18577,
     /* 2180707 */     GIR_EraseRootFromParent_Done,
     /* 2180708 */   // Label 28701: @2180708
     /* 2180708 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2180799), // Rule ID 18580 //
     /* 2180713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180759 */     // MIs[0] round
     /* 2180759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180762 */     // MIs[0] policy
     /* 2180762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180772 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2180775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180798 */     // GIR_Coverage, 18580,
     /* 2180798 */     GIR_EraseRootFromParent_Done,
     /* 2180799 */   // Label 28702: @2180799
     /* 2180799 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2180890), // Rule ID 18581 //
     /* 2180804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180850 */     // MIs[0] round
     /* 2180850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180853 */     // MIs[0] policy
     /* 2180853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180863 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2180866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180889 */     // GIR_Coverage, 18581,
     /* 2180889 */     GIR_EraseRootFromParent_Done,
     /* 2180890 */   // Label 28703: @2180890
     /* 2180890 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2180981), // Rule ID 18584 //
     /* 2180895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2180906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2180909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180941 */     // MIs[0] round
     /* 2180941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180944 */     // MIs[0] policy
     /* 2180944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180954 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2180957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180980 */     // GIR_Coverage, 18584,
     /* 2180980 */     GIR_EraseRootFromParent_Done,
     /* 2180981 */   // Label 28704: @2180981
     /* 2180981 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2181072), // Rule ID 18585 //
     /* 2180986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2180994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2180997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2181006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181032 */     // MIs[0] round
     /* 2181032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181035 */     // MIs[0] policy
     /* 2181035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181045 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2181048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181071 */     // GIR_Coverage, 18585,
     /* 2181071 */     GIR_EraseRootFromParent_Done,
     /* 2181072 */   // Label 28705: @2181072
     /* 2181072 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2181163), // Rule ID 18588 //
     /* 2181077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2181097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181123 */     // MIs[0] round
     /* 2181123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181126 */     // MIs[0] policy
     /* 2181126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181136 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2181139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181162 */     // GIR_Coverage, 18588,
     /* 2181162 */     GIR_EraseRootFromParent_Done,
     /* 2181163 */   // Label 28706: @2181163
     /* 2181163 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2181254), // Rule ID 18589 //
     /* 2181168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2181188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181214 */     // MIs[0] round
     /* 2181214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181217 */     // MIs[0] policy
     /* 2181217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181227 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2181230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181253 */     // GIR_Coverage, 18589,
     /* 2181253 */     GIR_EraseRootFromParent_Done,
     /* 2181254 */   // Label 28707: @2181254
     /* 2181254 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2181345), // Rule ID 18592 //
     /* 2181259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2181279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181305 */     // MIs[0] round
     /* 2181305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181308 */     // MIs[0] policy
     /* 2181308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2181321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181344 */     // GIR_Coverage, 18592,
     /* 2181344 */     GIR_EraseRootFromParent_Done,
     /* 2181345 */   // Label 28708: @2181345
     /* 2181345 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2181436), // Rule ID 18593 //
     /* 2181350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2181353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2181370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181396 */     // MIs[0] round
     /* 2181396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181399 */     // MIs[0] policy
     /* 2181399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2181412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181435 */     // GIR_Coverage, 18593,
     /* 2181435 */     GIR_EraseRootFromParent_Done,
     /* 2181436 */   // Label 28709: @2181436
     /* 2181436 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2181527), // Rule ID 18596 //
     /* 2181441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2181452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2181455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2181461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181487 */     // MIs[0] round
     /* 2181487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181490 */     // MIs[0] policy
     /* 2181490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181500 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2181503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181526 */     // GIR_Coverage, 18596,
     /* 2181526 */     GIR_EraseRootFromParent_Done,
     /* 2181527 */   // Label 28710: @2181527
     /* 2181527 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2181618), // Rule ID 18597 //
     /* 2181532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2181535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2181543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2181546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2181552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181578 */     // MIs[0] round
     /* 2181578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181581 */     // MIs[0] policy
     /* 2181581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181591 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2181594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181617 */     // GIR_Coverage, 18597,
     /* 2181617 */     GIR_EraseRootFromParent_Done,
     /* 2181618 */   // Label 28711: @2181618
     /* 2181618 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2181709), // Rule ID 18600 //
     /* 2181623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2181634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2181637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2181643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181669 */     // MIs[0] round
     /* 2181669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181672 */     // MIs[0] policy
     /* 2181672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181682 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2181685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181708 */     // GIR_Coverage, 18600,
     /* 2181708 */     GIR_EraseRootFromParent_Done,
     /* 2181709 */   // Label 28712: @2181709
     /* 2181709 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2181800), // Rule ID 18601 //
     /* 2181714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2181717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2181722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2181725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2181728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2181734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181760 */     // MIs[0] round
     /* 2181760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181763 */     // MIs[0] policy
     /* 2181763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181773 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2181776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181799 */     // GIR_Coverage, 18601,
     /* 2181799 */     GIR_EraseRootFromParent_Done,
     /* 2181800 */   // Label 28713: @2181800
     /* 2181800 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2181891), // Rule ID 18604 //
     /* 2181805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2181813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181851 */     // MIs[0] round
     /* 2181851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181854 */     // MIs[0] policy
     /* 2181854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181864 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2181867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181890 */     // GIR_Coverage, 18604,
     /* 2181890 */     GIR_EraseRootFromParent_Done,
     /* 2181891 */   // Label 28714: @2181891
     /* 2181891 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2181982), // Rule ID 18605 //
     /* 2181896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2181904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181942 */     // MIs[0] round
     /* 2181942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181945 */     // MIs[0] policy
     /* 2181945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181955 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2181958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181981 */     // GIR_Coverage, 18605,
     /* 2181981 */     GIR_EraseRootFromParent_Done,
     /* 2181982 */   // Label 28715: @2181982
     /* 2181982 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2182073), // Rule ID 18608 //
     /* 2181987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2181995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2182004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182033 */     // MIs[0] round
     /* 2182033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182036 */     // MIs[0] policy
     /* 2182036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2182049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182072 */     // GIR_Coverage, 18608,
     /* 2182072 */     GIR_EraseRootFromParent_Done,
     /* 2182073 */   // Label 28716: @2182073
     /* 2182073 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2182164), // Rule ID 18609 //
     /* 2182078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2182095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182124 */     // MIs[0] round
     /* 2182124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182127 */     // MIs[0] policy
     /* 2182127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182137 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2182140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182163 */     // GIR_Coverage, 18609,
     /* 2182163 */     GIR_EraseRootFromParent_Done,
     /* 2182164 */   // Label 28717: @2182164
     /* 2182164 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2182255), // Rule ID 18612 //
     /* 2182169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2182186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182215 */     // MIs[0] round
     /* 2182215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182218 */     // MIs[0] policy
     /* 2182218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2182231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182254 */     // GIR_Coverage, 18612,
     /* 2182254 */     GIR_EraseRootFromParent_Done,
     /* 2182255 */   // Label 28718: @2182255
     /* 2182255 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2182346), // Rule ID 18613 //
     /* 2182260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2182277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182306 */     // MIs[0] round
     /* 2182306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182309 */     // MIs[0] policy
     /* 2182309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182319 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2182322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182345 */     // GIR_Coverage, 18613,
     /* 2182345 */     GIR_EraseRootFromParent_Done,
     /* 2182346 */   // Label 28719: @2182346
     /* 2182346 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2182437), // Rule ID 18616 //
     /* 2182351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2182368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182397 */     // MIs[0] round
     /* 2182397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182400 */     // MIs[0] policy
     /* 2182400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2182413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182436 */     // GIR_Coverage, 18616,
     /* 2182436 */     GIR_EraseRootFromParent_Done,
     /* 2182437 */   // Label 28720: @2182437
     /* 2182437 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2182528), // Rule ID 18617 //
     /* 2182442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2182453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2182456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2182459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2182462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182488 */     // MIs[0] round
     /* 2182488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182491 */     // MIs[0] policy
     /* 2182491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182501 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2182504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182527 */     // GIR_Coverage, 18617,
     /* 2182527 */     GIR_EraseRootFromParent_Done,
     /* 2182528 */   // Label 28721: @2182528
     /* 2182528 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2182619), // Rule ID 18620 //
     /* 2182533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2182544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2182547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2182550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182579 */     // MIs[0] round
     /* 2182579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182582 */     // MIs[0] policy
     /* 2182582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182592 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2182595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182618 */     // GIR_Coverage, 18620,
     /* 2182618 */     GIR_EraseRootFromParent_Done,
     /* 2182619 */   // Label 28722: @2182619
     /* 2182619 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2182710), // Rule ID 18621 //
     /* 2182624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2182635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2182638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2182641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2182644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182670 */     // MIs[0] round
     /* 2182670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182673 */     // MIs[0] policy
     /* 2182673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182683 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2182686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182709 */     // GIR_Coverage, 18621,
     /* 2182709 */     GIR_EraseRootFromParent_Done,
     /* 2182710 */   // Label 28723: @2182710
     /* 2182710 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2182801), // Rule ID 18624 //
     /* 2182715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2182726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2182729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2182735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182761 */     // MIs[0] round
     /* 2182761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182764 */     // MIs[0] policy
     /* 2182764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182774 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2182777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182800 */     // GIR_Coverage, 18624,
     /* 2182800 */     GIR_EraseRootFromParent_Done,
     /* 2182801 */   // Label 28724: @2182801
     /* 2182801 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2182892), // Rule ID 18625 //
     /* 2182806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2182817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2182820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2182826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182852 */     // MIs[0] round
     /* 2182852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182855 */     // MIs[0] policy
     /* 2182855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182865 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2182868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182891 */     // GIR_Coverage, 18625,
     /* 2182891 */     GIR_EraseRootFromParent_Done,
     /* 2182892 */   // Label 28725: @2182892
     /* 2182892 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2182983), // Rule ID 18628 //
     /* 2182897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182943 */     // MIs[0] round
     /* 2182943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182946 */     // MIs[0] policy
     /* 2182946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182956 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2182959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182982 */     // GIR_Coverage, 18628,
     /* 2182982 */     GIR_EraseRootFromParent_Done,
     /* 2182983 */   // Label 28726: @2182983
     /* 2182983 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2183074), // Rule ID 18629 //
     /* 2182988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2182996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2183005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183034 */     // MIs[0] round
     /* 2183034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183037 */     // MIs[0] policy
     /* 2183037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183047 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2183050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183073 */     // GIR_Coverage, 18629,
     /* 2183073 */     GIR_EraseRootFromParent_Done,
     /* 2183074 */   // Label 28727: @2183074
     /* 2183074 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2183165), // Rule ID 18632 //
     /* 2183079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2183096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183125 */     // MIs[0] round
     /* 2183125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183128 */     // MIs[0] policy
     /* 2183128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183138 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2183141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183164 */     // GIR_Coverage, 18632,
     /* 2183164 */     GIR_EraseRootFromParent_Done,
     /* 2183165 */   // Label 28728: @2183165
     /* 2183165 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2183256), // Rule ID 18633 //
     /* 2183170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2183187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183216 */     // MIs[0] round
     /* 2183216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183219 */     // MIs[0] policy
     /* 2183219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183229 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2183232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183255 */     // GIR_Coverage, 18633,
     /* 2183255 */     GIR_EraseRootFromParent_Done,
     /* 2183256 */   // Label 28729: @2183256
     /* 2183256 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2183347), // Rule ID 18636 //
     /* 2183261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2183278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183307 */     // MIs[0] round
     /* 2183307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183310 */     // MIs[0] policy
     /* 2183310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183320 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2183323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183346 */     // GIR_Coverage, 18636,
     /* 2183346 */     GIR_EraseRootFromParent_Done,
     /* 2183347 */   // Label 28730: @2183347
     /* 2183347 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2183438), // Rule ID 18637 //
     /* 2183352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2183363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2183369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2183372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183398 */     // MIs[0] round
     /* 2183398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183401 */     // MIs[0] policy
     /* 2183401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183411 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2183414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183437 */     // GIR_Coverage, 18637,
     /* 2183437 */     GIR_EraseRootFromParent_Done,
     /* 2183438 */   // Label 28731: @2183438
     /* 2183438 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2183529), // Rule ID 18640 //
     /* 2183443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183489 */     // MIs[0] round
     /* 2183489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183492 */     // MIs[0] policy
     /* 2183492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2183505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183528 */     // GIR_Coverage, 18640,
     /* 2183528 */     GIR_EraseRootFromParent_Done,
     /* 2183529 */   // Label 28732: @2183529
     /* 2183529 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2183620), // Rule ID 18641 //
     /* 2183534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2183554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183580 */     // MIs[0] round
     /* 2183580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183583 */     // MIs[0] policy
     /* 2183583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183593 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2183596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183619 */     // GIR_Coverage, 18641,
     /* 2183619 */     GIR_EraseRootFromParent_Done,
     /* 2183620 */   // Label 28733: @2183620
     /* 2183620 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2183711), // Rule ID 18644 //
     /* 2183625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2183636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2183639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2183645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183671 */     // MIs[0] round
     /* 2183671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183674 */     // MIs[0] policy
     /* 2183674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183684 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2183687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183710 */     // GIR_Coverage, 18644,
     /* 2183710 */     GIR_EraseRootFromParent_Done,
     /* 2183711 */   // Label 28734: @2183711
     /* 2183711 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2183802), // Rule ID 18645 //
     /* 2183716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2183727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2183730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2183736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183762 */     // MIs[0] round
     /* 2183762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183765 */     // MIs[0] policy
     /* 2183765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183775 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2183778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183801 */     // GIR_Coverage, 18645,
     /* 2183801 */     GIR_EraseRootFromParent_Done,
     /* 2183802 */   // Label 28735: @2183802
     /* 2183802 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2183893), // Rule ID 18648 //
     /* 2183807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2183827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183853 */     // MIs[0] round
     /* 2183853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183856 */     // MIs[0] policy
     /* 2183856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183866 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2183869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183892 */     // GIR_Coverage, 18648,
     /* 2183892 */     GIR_EraseRootFromParent_Done,
     /* 2183893 */   // Label 28736: @2183893
     /* 2183893 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2183984), // Rule ID 18649 //
     /* 2183898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2183918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183944 */     // MIs[0] round
     /* 2183944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183947 */     // MIs[0] policy
     /* 2183947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183957 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2183960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183983 */     // GIR_Coverage, 18649,
     /* 2183983 */     GIR_EraseRootFromParent_Done,
     /* 2183984 */   // Label 28737: @2183984
     /* 2183984 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2184075), // Rule ID 18652 //
     /* 2183989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2183997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184035 */     // MIs[0] round
     /* 2184035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184038 */     // MIs[0] policy
     /* 2184038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184048 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2184051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184074 */     // GIR_Coverage, 18652,
     /* 2184074 */     GIR_EraseRootFromParent_Done,
     /* 2184075 */   // Label 28738: @2184075
     /* 2184075 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2184166), // Rule ID 18653 //
     /* 2184080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184126 */     // MIs[0] round
     /* 2184126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184129 */     // MIs[0] policy
     /* 2184129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184139 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2184142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184165 */     // GIR_Coverage, 18653,
     /* 2184165 */     GIR_EraseRootFromParent_Done,
     /* 2184166 */   // Label 28739: @2184166
     /* 2184166 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2184257), // Rule ID 18656 //
     /* 2184171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184217 */     // MIs[0] round
     /* 2184217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184220 */     // MIs[0] policy
     /* 2184220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184230 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2184233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184256 */     // GIR_Coverage, 18656,
     /* 2184256 */     GIR_EraseRootFromParent_Done,
     /* 2184257 */   // Label 28740: @2184257
     /* 2184257 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2184348), // Rule ID 18657 //
     /* 2184262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184308 */     // MIs[0] round
     /* 2184308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184311 */     // MIs[0] policy
     /* 2184311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184321 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2184324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184347 */     // GIR_Coverage, 18657,
     /* 2184347 */     GIR_EraseRootFromParent_Done,
     /* 2184348 */   // Label 28741: @2184348
     /* 2184348 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2184439), // Rule ID 18660 //
     /* 2184353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184399 */     // MIs[0] round
     /* 2184399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184402 */     // MIs[0] policy
     /* 2184402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184412 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2184415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184438 */     // GIR_Coverage, 18660,
     /* 2184438 */     GIR_EraseRootFromParent_Done,
     /* 2184439 */   // Label 28742: @2184439
     /* 2184439 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2184530), // Rule ID 18661 //
     /* 2184444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2184455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2184458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2184464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184490 */     // MIs[0] round
     /* 2184490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184493 */     // MIs[0] policy
     /* 2184493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184503 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2184506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184529 */     // GIR_Coverage, 18661,
     /* 2184529 */     GIR_EraseRootFromParent_Done,
     /* 2184530 */   // Label 28743: @2184530
     /* 2184530 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2184621), // Rule ID 18664 //
     /* 2184535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2184546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2184549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2184555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184581 */     // MIs[0] round
     /* 2184581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184584 */     // MIs[0] policy
     /* 2184584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184594 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2184597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184620 */     // GIR_Coverage, 18664,
     /* 2184620 */     GIR_EraseRootFromParent_Done,
     /* 2184621 */   // Label 28744: @2184621
     /* 2184621 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2184712), // Rule ID 18665 //
     /* 2184626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2184637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2184640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2184646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184672 */     // MIs[0] round
     /* 2184672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184675 */     // MIs[0] policy
     /* 2184675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184685 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2184688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184711 */     // GIR_Coverage, 18665,
     /* 2184711 */     GIR_EraseRootFromParent_Done,
     /* 2184712 */   // Label 28745: @2184712
     /* 2184712 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2184803), // Rule ID 18668 //
     /* 2184717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2184728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2184731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2184737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184763 */     // MIs[0] round
     /* 2184763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184766 */     // MIs[0] policy
     /* 2184766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2184779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184802 */     // GIR_Coverage, 18668,
     /* 2184802 */     GIR_EraseRootFromParent_Done,
     /* 2184803 */   // Label 28746: @2184803
     /* 2184803 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2184894), // Rule ID 18669 //
     /* 2184808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2184819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2184822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2184828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184854 */     // MIs[0] round
     /* 2184854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184857 */     // MIs[0] policy
     /* 2184857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184867 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2184870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184893 */     // GIR_Coverage, 18669,
     /* 2184893 */     GIR_EraseRootFromParent_Done,
     /* 2184894 */   // Label 28747: @2184894
     /* 2184894 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2184985), // Rule ID 18672 //
     /* 2184899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184945 */     // MIs[0] round
     /* 2184945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184948 */     // MIs[0] policy
     /* 2184948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184958 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2184961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184984 */     // GIR_Coverage, 18672,
     /* 2184984 */     GIR_EraseRootFromParent_Done,
     /* 2184985 */   // Label 28748: @2184985
     /* 2184985 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2185076), // Rule ID 18673 //
     /* 2184990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2184998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185036 */     // MIs[0] round
     /* 2185036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185039 */     // MIs[0] policy
     /* 2185039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185049 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2185052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185075 */     // GIR_Coverage, 18673,
     /* 2185075 */     GIR_EraseRootFromParent_Done,
     /* 2185076 */   // Label 28749: @2185076
     /* 2185076 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2185167), // Rule ID 18676 //
     /* 2185081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2185098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185127 */     // MIs[0] round
     /* 2185127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185130 */     // MIs[0] policy
     /* 2185130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185140 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2185143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185166 */     // GIR_Coverage, 18676,
     /* 2185166 */     GIR_EraseRootFromParent_Done,
     /* 2185167 */   // Label 28750: @2185167
     /* 2185167 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2185258), // Rule ID 18677 //
     /* 2185172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2185189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185218 */     // MIs[0] round
     /* 2185218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185221 */     // MIs[0] policy
     /* 2185221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185231 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2185234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185257 */     // GIR_Coverage, 18677,
     /* 2185257 */     GIR_EraseRootFromParent_Done,
     /* 2185258 */   // Label 28751: @2185258
     /* 2185258 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2185349), // Rule ID 18680 //
     /* 2185263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2185280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185309 */     // MIs[0] round
     /* 2185309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185312 */     // MIs[0] policy
     /* 2185312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185322 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2185325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185348 */     // GIR_Coverage, 18680,
     /* 2185348 */     GIR_EraseRootFromParent_Done,
     /* 2185349 */   // Label 28752: @2185349
     /* 2185349 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2185440), // Rule ID 18681 //
     /* 2185354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2185371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185400 */     // MIs[0] round
     /* 2185400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185403 */     // MIs[0] policy
     /* 2185403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185413 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2185416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185439 */     // GIR_Coverage, 18681,
     /* 2185439 */     GIR_EraseRootFromParent_Done,
     /* 2185440 */   // Label 28753: @2185440
     /* 2185440 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2185531), // Rule ID 18684 //
     /* 2185445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2185462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185491 */     // MIs[0] round
     /* 2185491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185494 */     // MIs[0] policy
     /* 2185494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185504 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2185507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185530 */     // GIR_Coverage, 18684,
     /* 2185530 */     GIR_EraseRootFromParent_Done,
     /* 2185531 */   // Label 28754: @2185531
     /* 2185531 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2185622), // Rule ID 18685 //
     /* 2185536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2185547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2185550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2185553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185582 */     // MIs[0] round
     /* 2185582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185585 */     // MIs[0] policy
     /* 2185585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185595 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2185598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185621 */     // GIR_Coverage, 18685,
     /* 2185621 */     GIR_EraseRootFromParent_Done,
     /* 2185622 */   // Label 28755: @2185622
     /* 2185622 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2185713), // Rule ID 18688 //
     /* 2185627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2185638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2185641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2185644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2185647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185673 */     // MIs[0] round
     /* 2185673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185676 */     // MIs[0] policy
     /* 2185676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185686 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2185689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185712 */     // GIR_Coverage, 18688,
     /* 2185712 */     GIR_EraseRootFromParent_Done,
     /* 2185713 */   // Label 28756: @2185713
     /* 2185713 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2185804), // Rule ID 18689 //
     /* 2185718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2185729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2185732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2185735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2185738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185764 */     // MIs[0] round
     /* 2185764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185767 */     // MIs[0] policy
     /* 2185767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185777 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2185780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185803 */     // GIR_Coverage, 18689,
     /* 2185803 */     GIR_EraseRootFromParent_Done,
     /* 2185804 */   // Label 28757: @2185804
     /* 2185804 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2185895), // Rule ID 18692 //
     /* 2185809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2185820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2185823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2185826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2185829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185855 */     // MIs[0] round
     /* 2185855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185858 */     // MIs[0] policy
     /* 2185858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2185871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185894 */     // GIR_Coverage, 18692,
     /* 2185894 */     GIR_EraseRootFromParent_Done,
     /* 2185895 */   // Label 28758: @2185895
     /* 2185895 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2185986), // Rule ID 18693 //
     /* 2185900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2185911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2185914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2185917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2185920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185946 */     // MIs[0] round
     /* 2185946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185949 */     // MIs[0] policy
     /* 2185949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185959 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2185962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185985 */     // GIR_Coverage, 18693,
     /* 2185985 */     GIR_EraseRootFromParent_Done,
     /* 2185986 */   // Label 28759: @2185986
     /* 2185986 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2186077), // Rule ID 18696 //
     /* 2185991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2185999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2186008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186037 */     // MIs[0] round
     /* 2186037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186040 */     // MIs[0] policy
     /* 2186040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2186053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186076 */     // GIR_Coverage, 18696,
     /* 2186076 */     GIR_EraseRootFromParent_Done,
     /* 2186077 */   // Label 28760: @2186077
     /* 2186077 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2186168), // Rule ID 18697 //
     /* 2186082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2186099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186128 */     // MIs[0] round
     /* 2186128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186131 */     // MIs[0] policy
     /* 2186131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186141 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2186144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186167 */     // GIR_Coverage, 18697,
     /* 2186167 */     GIR_EraseRootFromParent_Done,
     /* 2186168 */   // Label 28761: @2186168
     /* 2186168 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2186259), // Rule ID 18700 //
     /* 2186173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2186190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186219 */     // MIs[0] round
     /* 2186219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186222 */     // MIs[0] policy
     /* 2186222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186232 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2186235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186258 */     // GIR_Coverage, 18700,
     /* 2186258 */     GIR_EraseRootFromParent_Done,
     /* 2186259 */   // Label 28762: @2186259
     /* 2186259 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2186350), // Rule ID 18701 //
     /* 2186264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2186281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186310 */     // MIs[0] round
     /* 2186310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186313 */     // MIs[0] policy
     /* 2186313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186323 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2186326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186349 */     // GIR_Coverage, 18701,
     /* 2186349 */     GIR_EraseRootFromParent_Done,
     /* 2186350 */   // Label 28763: @2186350
     /* 2186350 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2186441), // Rule ID 18704 //
     /* 2186355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2186372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186401 */     // MIs[0] round
     /* 2186401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186404 */     // MIs[0] policy
     /* 2186404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186414 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2186417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186440 */     // GIR_Coverage, 18704,
     /* 2186440 */     GIR_EraseRootFromParent_Done,
     /* 2186441 */   // Label 28764: @2186441
     /* 2186441 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2186532), // Rule ID 18705 //
     /* 2186446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2186457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2186460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2186463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186492 */     // MIs[0] round
     /* 2186492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186495 */     // MIs[0] policy
     /* 2186495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186505 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2186508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186531 */     // GIR_Coverage, 18705,
     /* 2186531 */     GIR_EraseRootFromParent_Done,
     /* 2186532 */   // Label 28765: @2186532
     /* 2186532 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2186623), // Rule ID 18708 //
     /* 2186537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2186548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2186551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2186554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186583 */     // MIs[0] round
     /* 2186583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186586 */     // MIs[0] policy
     /* 2186586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186596 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2186599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186622 */     // GIR_Coverage, 18708,
     /* 2186622 */     GIR_EraseRootFromParent_Done,
     /* 2186623 */   // Label 28766: @2186623
     /* 2186623 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2186714), // Rule ID 18709 //
     /* 2186628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2186639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2186642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2186645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186674 */     // MIs[0] round
     /* 2186674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186677 */     // MIs[0] policy
     /* 2186677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186687 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2186690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186713 */     // GIR_Coverage, 18709,
     /* 2186713 */     GIR_EraseRootFromParent_Done,
     /* 2186714 */   // Label 28767: @2186714
     /* 2186714 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2186805), // Rule ID 18712 //
     /* 2186719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2186730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2186733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2186739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186765 */     // MIs[0] round
     /* 2186765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186768 */     // MIs[0] policy
     /* 2186768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186778 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2186781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186804 */     // GIR_Coverage, 18712,
     /* 2186804 */     GIR_EraseRootFromParent_Done,
     /* 2186805 */   // Label 28768: @2186805
     /* 2186805 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2186896), // Rule ID 18713 //
     /* 2186810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2186821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2186824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2186830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186856 */     // MIs[0] round
     /* 2186856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186859 */     // MIs[0] policy
     /* 2186859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186869 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2186872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186895 */     // GIR_Coverage, 18713,
     /* 2186895 */     GIR_EraseRootFromParent_Done,
     /* 2186896 */   // Label 28769: @2186896
     /* 2186896 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2186987), // Rule ID 18716 //
     /* 2186901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2186909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2186912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2186915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186947 */     // MIs[0] round
     /* 2186947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186950 */     // MIs[0] policy
     /* 2186950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2186963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186986 */     // GIR_Coverage, 18716,
     /* 2186986 */     GIR_EraseRootFromParent_Done,
     /* 2186987 */   // Label 28770: @2186987
     /* 2186987 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2187078), // Rule ID 18717 //
     /* 2186992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187038 */     // MIs[0] round
     /* 2187038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187041 */     // MIs[0] policy
     /* 2187041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187051 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2187054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187077 */     // GIR_Coverage, 18717,
     /* 2187077 */     GIR_EraseRootFromParent_Done,
     /* 2187078 */   // Label 28771: @2187078
     /* 2187078 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2187169), // Rule ID 18720 //
     /* 2187083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187129 */     // MIs[0] round
     /* 2187129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187132 */     // MIs[0] policy
     /* 2187132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187142 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2187145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187168 */     // GIR_Coverage, 18720,
     /* 2187168 */     GIR_EraseRootFromParent_Done,
     /* 2187169 */   // Label 28772: @2187169
     /* 2187169 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2187260), // Rule ID 18721 //
     /* 2187174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187220 */     // MIs[0] round
     /* 2187220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187223 */     // MIs[0] policy
     /* 2187223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187233 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2187236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187259 */     // GIR_Coverage, 18721,
     /* 2187259 */     GIR_EraseRootFromParent_Done,
     /* 2187260 */   // Label 28773: @2187260
     /* 2187260 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2187351), // Rule ID 18724 //
     /* 2187265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187311 */     // MIs[0] round
     /* 2187311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187314 */     // MIs[0] policy
     /* 2187314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2187327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187350 */     // GIR_Coverage, 18724,
     /* 2187350 */     GIR_EraseRootFromParent_Done,
     /* 2187351 */   // Label 28774: @2187351
     /* 2187351 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2187442), // Rule ID 18725 //
     /* 2187356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2187376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187402 */     // MIs[0] round
     /* 2187402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187405 */     // MIs[0] policy
     /* 2187405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187415 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2187418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187441 */     // GIR_Coverage, 18725,
     /* 2187441 */     GIR_EraseRootFromParent_Done,
     /* 2187442 */   // Label 28775: @2187442
     /* 2187442 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2187533), // Rule ID 18728 //
     /* 2187447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187493 */     // MIs[0] round
     /* 2187493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187496 */     // MIs[0] policy
     /* 2187496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187506 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2187509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187532 */     // GIR_Coverage, 18728,
     /* 2187532 */     GIR_EraseRootFromParent_Done,
     /* 2187533 */   // Label 28776: @2187533
     /* 2187533 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2187624), // Rule ID 18729 //
     /* 2187538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2187558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187584 */     // MIs[0] round
     /* 2187584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187587 */     // MIs[0] policy
     /* 2187587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187597 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2187600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187623 */     // GIR_Coverage, 18729,
     /* 2187623 */     GIR_EraseRootFromParent_Done,
     /* 2187624 */   // Label 28777: @2187624
     /* 2187624 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2187715), // Rule ID 18732 //
     /* 2187629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2187640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2187643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2187649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187675 */     // MIs[0] round
     /* 2187675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187678 */     // MIs[0] policy
     /* 2187678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187688 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2187691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187714 */     // GIR_Coverage, 18732,
     /* 2187714 */     GIR_EraseRootFromParent_Done,
     /* 2187715 */   // Label 28778: @2187715
     /* 2187715 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2187806), // Rule ID 18733 //
     /* 2187720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2187731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2187734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2187740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187766 */     // MIs[0] round
     /* 2187766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187769 */     // MIs[0] policy
     /* 2187769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187779 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2187782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187805 */     // GIR_Coverage, 18733,
     /* 2187805 */     GIR_EraseRootFromParent_Done,
     /* 2187806 */   // Label 28779: @2187806
     /* 2187806 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2187897), // Rule ID 18736 //
     /* 2187811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2187831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187857 */     // MIs[0] round
     /* 2187857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187860 */     // MIs[0] policy
     /* 2187860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187870 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2187873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187896 */     // GIR_Coverage, 18736,
     /* 2187896 */     GIR_EraseRootFromParent_Done,
     /* 2187897 */   // Label 28780: @2187897
     /* 2187897 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2187988), // Rule ID 18737 //
     /* 2187902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2187910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2187922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187948 */     // MIs[0] round
     /* 2187948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187951 */     // MIs[0] policy
     /* 2187951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187961 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2187964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187987 */     // GIR_Coverage, 18737,
     /* 2187987 */     GIR_EraseRootFromParent_Done,
     /* 2187988 */   // Label 28781: @2187988
     /* 2187988 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2188079), // Rule ID 18740 //
     /* 2187993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188039 */     // MIs[0] round
     /* 2188039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188042 */     // MIs[0] policy
     /* 2188042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188052 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2188055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188078 */     // GIR_Coverage, 18740,
     /* 2188078 */     GIR_EraseRootFromParent_Done,
     /* 2188079 */   // Label 28782: @2188079
     /* 2188079 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2188170), // Rule ID 18741 //
     /* 2188084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188130 */     // MIs[0] round
     /* 2188130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188133 */     // MIs[0] policy
     /* 2188133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188143 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2188146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188169 */     // GIR_Coverage, 18741,
     /* 2188169 */     GIR_EraseRootFromParent_Done,
     /* 2188170 */   // Label 28783: @2188170
     /* 2188170 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2188261), // Rule ID 18744 //
     /* 2188175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188221 */     // MIs[0] round
     /* 2188221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188224 */     // MIs[0] policy
     /* 2188224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188234 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2188237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188260 */     // GIR_Coverage, 18744,
     /* 2188260 */     GIR_EraseRootFromParent_Done,
     /* 2188261 */   // Label 28784: @2188261
     /* 2188261 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2188352), // Rule ID 18745 //
     /* 2188266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2188274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188312 */     // MIs[0] round
     /* 2188312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188315 */     // MIs[0] policy
     /* 2188315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188325 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2188328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188351 */     // GIR_Coverage, 18745,
     /* 2188351 */     GIR_EraseRootFromParent_Done,
     /* 2188352 */   // Label 28785: @2188352
     /* 2188352 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2188443), // Rule ID 18748 //
     /* 2188357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2188365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2188374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188403 */     // MIs[0] round
     /* 2188403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188406 */     // MIs[0] policy
     /* 2188406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188416 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2188419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188442 */     // GIR_Coverage, 18748,
     /* 2188442 */     GIR_EraseRootFromParent_Done,
     /* 2188443 */   // Label 28786: @2188443
     /* 2188443 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2188534), // Rule ID 18749 //
     /* 2188448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2188456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2188465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2188468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188494 */     // MIs[0] round
     /* 2188494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188497 */     // MIs[0] policy
     /* 2188497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188507 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2188510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188533 */     // GIR_Coverage, 18749,
     /* 2188533 */     GIR_EraseRootFromParent_Done,
     /* 2188534 */   // Label 28787: @2188534
     /* 2188534 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2188625), // Rule ID 18752 //
     /* 2188539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2188547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2188556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2188559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188585 */     // MIs[0] round
     /* 2188585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188588 */     // MIs[0] policy
     /* 2188588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188598 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2188601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188624 */     // GIR_Coverage, 18752,
     /* 2188624 */     GIR_EraseRootFromParent_Done,
     /* 2188625 */   // Label 28788: @2188625
     /* 2188625 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2188716), // Rule ID 18753 //
     /* 2188630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2188638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2188647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2188650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188676 */     // MIs[0] round
     /* 2188676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188679 */     // MIs[0] policy
     /* 2188679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188689 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2188692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188715 */     // GIR_Coverage, 18753,
     /* 2188715 */     GIR_EraseRootFromParent_Done,
     /* 2188716 */   // Label 28789: @2188716
     /* 2188716 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2188807), // Rule ID 18756 //
     /* 2188721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2188729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2188732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2188735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2188738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2188741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188767 */     // MIs[0] round
     /* 2188767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188770 */     // MIs[0] policy
     /* 2188770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188780 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2188783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188806 */     // GIR_Coverage, 18756,
     /* 2188806 */     GIR_EraseRootFromParent_Done,
     /* 2188807 */   // Label 28790: @2188807
     /* 2188807 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2188898), // Rule ID 18757 //
     /* 2188812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2188820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2188823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2188826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2188829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2188832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188858 */     // MIs[0] round
     /* 2188858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188861 */     // MIs[0] policy
     /* 2188861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188871 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2188874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188897 */     // GIR_Coverage, 18757,
     /* 2188897 */     GIR_EraseRootFromParent_Done,
     /* 2188898 */   // Label 28791: @2188898
     /* 2188898 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2188989), // Rule ID 18760 //
     /* 2188903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2188911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2188920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188949 */     // MIs[0] round
     /* 2188949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188952 */     // MIs[0] policy
     /* 2188952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188962 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2188965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188988 */     // GIR_Coverage, 18760,
     /* 2188988 */     GIR_EraseRootFromParent_Done,
     /* 2188989 */   // Label 28792: @2188989
     /* 2188989 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2189080), // Rule ID 18761 //
     /* 2188994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2189011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2189014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189040 */     // MIs[0] round
     /* 2189040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189043 */     // MIs[0] policy
     /* 2189043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189053 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2189056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189079 */     // GIR_Coverage, 18761,
     /* 2189079 */     GIR_EraseRootFromParent_Done,
     /* 2189080 */   // Label 28793: @2189080
     /* 2189080 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2189171), // Rule ID 18764 //
     /* 2189085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189131 */     // MIs[0] round
     /* 2189131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189134 */     // MIs[0] policy
     /* 2189134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189144 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2189147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189170 */     // GIR_Coverage, 18764,
     /* 2189170 */     GIR_EraseRootFromParent_Done,
     /* 2189171 */   // Label 28794: @2189171
     /* 2189171 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2189262), // Rule ID 18765 //
     /* 2189176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2189179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189222 */     // MIs[0] round
     /* 2189222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189225 */     // MIs[0] policy
     /* 2189225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189235 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2189238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189261 */     // GIR_Coverage, 18765,
     /* 2189261 */     GIR_EraseRootFromParent_Done,
     /* 2189262 */   // Label 28795: @2189262
     /* 2189262 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2189353), // Rule ID 18768 //
     /* 2189267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2189284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189313 */     // MIs[0] round
     /* 2189313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189316 */     // MIs[0] policy
     /* 2189316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189326 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2189329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189352 */     // GIR_Coverage, 18768,
     /* 2189352 */     GIR_EraseRootFromParent_Done,
     /* 2189353 */   // Label 28796: @2189353
     /* 2189353 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2189444), // Rule ID 18769 //
     /* 2189358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2189375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2189378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189404 */     // MIs[0] round
     /* 2189404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189407 */     // MIs[0] policy
     /* 2189407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2189420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189443 */     // GIR_Coverage, 18769,
     /* 2189443 */     GIR_EraseRootFromParent_Done,
     /* 2189444 */   // Label 28797: @2189444
     /* 2189444 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2189535), // Rule ID 18772 //
     /* 2189449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2189466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2189469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189495 */     // MIs[0] round
     /* 2189495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189498 */     // MIs[0] policy
     /* 2189498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189508 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2189511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189534 */     // GIR_Coverage, 18772,
     /* 2189534 */     GIR_EraseRootFromParent_Done,
     /* 2189535 */   // Label 28798: @2189535
     /* 2189535 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2189626), // Rule ID 18773 //
     /* 2189540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2189557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2189560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189586 */     // MIs[0] round
     /* 2189586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189589 */     // MIs[0] policy
     /* 2189589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189599 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2189602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189625 */     // GIR_Coverage, 18773,
     /* 2189625 */     GIR_EraseRootFromParent_Done,
     /* 2189626 */   // Label 28799: @2189626
     /* 2189626 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2189717), // Rule ID 18776 //
     /* 2189631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2189642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2189645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2189648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2189651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189677 */     // MIs[0] round
     /* 2189677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189680 */     // MIs[0] policy
     /* 2189680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189690 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2189693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189716 */     // GIR_Coverage, 18776,
     /* 2189716 */     GIR_EraseRootFromParent_Done,
     /* 2189717 */   // Label 28800: @2189717
     /* 2189717 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2189808), // Rule ID 18777 //
     /* 2189722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2189733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2189736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2189739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2189742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189768 */     // MIs[0] round
     /* 2189768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189771 */     // MIs[0] policy
     /* 2189771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189781 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2189784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189807 */     // GIR_Coverage, 18777,
     /* 2189807 */     GIR_EraseRootFromParent_Done,
     /* 2189808 */   // Label 28801: @2189808
     /* 2189808 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2189899), // Rule ID 18780 //
     /* 2189813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2189816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2189824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2189827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2189833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189859 */     // MIs[0] round
     /* 2189859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189862 */     // MIs[0] policy
     /* 2189862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189872 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2189875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189898 */     // GIR_Coverage, 18780,
     /* 2189898 */     GIR_EraseRootFromParent_Done,
     /* 2189899 */   // Label 28802: @2189899
     /* 2189899 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2189990), // Rule ID 18781 //
     /* 2189904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2189912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2189915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2189918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2189924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189950 */     // MIs[0] round
     /* 2189950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189953 */     // MIs[0] policy
     /* 2189953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189963 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2189966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189989 */     // GIR_Coverage, 18781,
     /* 2189989 */     GIR_EraseRootFromParent_Done,
     /* 2189990 */   // Label 28803: @2189990
     /* 2189990 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2190081), // Rule ID 18784 //
     /* 2189995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2189998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190041 */     // MIs[0] round
     /* 2190041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190044 */     // MIs[0] policy
     /* 2190044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190054 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2190057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190080 */     // GIR_Coverage, 18784,
     /* 2190080 */     GIR_EraseRootFromParent_Done,
     /* 2190081 */   // Label 28804: @2190081
     /* 2190081 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2190172), // Rule ID 18785 //
     /* 2190086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190132 */     // MIs[0] round
     /* 2190132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190135 */     // MIs[0] policy
     /* 2190135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190145 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2190148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190171 */     // GIR_Coverage, 18785,
     /* 2190171 */     GIR_EraseRootFromParent_Done,
     /* 2190172 */   // Label 28805: @2190172
     /* 2190172 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2190263), // Rule ID 18788 //
     /* 2190177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2190188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2190191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190223 */     // MIs[0] round
     /* 2190223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190226 */     // MIs[0] policy
     /* 2190226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2190239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190262 */     // GIR_Coverage, 18788,
     /* 2190262 */     GIR_EraseRootFromParent_Done,
     /* 2190263 */   // Label 28806: @2190263
     /* 2190263 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2190354), // Rule ID 18789 //
     /* 2190268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2190279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2190282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190314 */     // MIs[0] round
     /* 2190314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190317 */     // MIs[0] policy
     /* 2190317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11239:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2190330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190353 */     // GIR_Coverage, 18789,
     /* 2190353 */     GIR_EraseRootFromParent_Done,
     /* 2190354 */   // Label 28807: @2190354
     /* 2190354 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2190445), // Rule ID 18792 //
     /* 2190359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2190370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2190373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2190379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190405 */     // MIs[0] round
     /* 2190405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190408 */     // MIs[0] policy
     /* 2190408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190418 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2190421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190444 */     // GIR_Coverage, 18792,
     /* 2190444 */     GIR_EraseRootFromParent_Done,
     /* 2190445 */   // Label 28808: @2190445
     /* 2190445 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2190536), // Rule ID 18793 //
     /* 2190450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2190461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2190464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2190470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190496 */     // MIs[0] round
     /* 2190496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190499 */     // MIs[0] policy
     /* 2190499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190509 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2190512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190535 */     // GIR_Coverage, 18793,
     /* 2190535 */     GIR_EraseRootFromParent_Done,
     /* 2190536 */   // Label 28809: @2190536
     /* 2190536 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2190627), // Rule ID 18796 //
     /* 2190541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2190552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2190555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2190561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190587 */     // MIs[0] round
     /* 2190587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190590 */     // MIs[0] policy
     /* 2190590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2190603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190626 */     // GIR_Coverage, 18796,
     /* 2190626 */     GIR_EraseRootFromParent_Done,
     /* 2190627 */   // Label 28810: @2190627
     /* 2190627 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2190718), // Rule ID 18797 //
     /* 2190632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2190643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2190646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2190652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190678 */     // MIs[0] round
     /* 2190678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190681 */     // MIs[0] policy
     /* 2190681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190691 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2190694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190717 */     // GIR_Coverage, 18797,
     /* 2190717 */     GIR_EraseRootFromParent_Done,
     /* 2190718 */   // Label 28811: @2190718
     /* 2190718 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2190809), // Rule ID 18800 //
     /* 2190723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2190726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2190734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2190737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2190743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2190746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190769 */     // MIs[0] round
     /* 2190769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190772 */     // MIs[0] policy
     /* 2190772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190782 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2190785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190808 */     // GIR_Coverage, 18800,
     /* 2190808 */     GIR_EraseRootFromParent_Done,
     /* 2190809 */   // Label 28812: @2190809
     /* 2190809 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2190900), // Rule ID 18801 //
     /* 2190814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2190817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2190825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2190828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2190834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2190837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190860 */     // MIs[0] round
     /* 2190860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190863 */     // MIs[0] policy
     /* 2190863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190873 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2190876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190899 */     // GIR_Coverage, 18801,
     /* 2190899 */     GIR_EraseRootFromParent_Done,
     /* 2190900 */   // Label 28813: @2190900
     /* 2190900 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2190991), // Rule ID 18804 //
     /* 2190905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2190908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2190913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2190916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2190919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190951 */     // MIs[0] round
     /* 2190951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190954 */     // MIs[0] policy
     /* 2190954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190964 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2190967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190990 */     // GIR_Coverage, 18804,
     /* 2190990 */     GIR_EraseRootFromParent_Done,
     /* 2190991 */   // Label 28814: @2190991
     /* 2190991 */   GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2191082), // Rule ID 18805 //
     /* 2190996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2190999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2191007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2191010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2191016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191042 */     // MIs[0] round
     /* 2191042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191045 */     // MIs[0] policy
     /* 2191045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191055 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11239:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2191058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191081 */     // GIR_Coverage, 18805,
     /* 2191081 */     GIR_EraseRootFromParent_Done,
     /* 2191082 */   // Label 28815: @2191082
     /* 2191082 */   GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2191173), // Rule ID 18808 //
     /* 2191087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2191098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2191101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191133 */     // MIs[0] round
     /* 2191133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191136 */     // MIs[0] policy
     /* 2191136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191146 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2191149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191172 */     // GIR_Coverage, 18808,
     /* 2191172 */     GIR_EraseRootFromParent_Done,
     /* 2191173 */   // Label 28816: @2191173
     /* 2191173 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2191264), // Rule ID 18809 //
     /* 2191178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2191189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2191192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191224 */     // MIs[0] round
     /* 2191224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191227 */     // MIs[0] policy
     /* 2191227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191237 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11239:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2191240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191263 */     // GIR_Coverage, 18809,
     /* 2191263 */     GIR_EraseRootFromParent_Done,
     /* 2191264 */   // Label 28817: @2191264
     /* 2191264 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2191355), // Rule ID 18812 //
     /* 2191269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2191280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2191283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2191289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191315 */     // MIs[0] round
     /* 2191315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191318 */     // MIs[0] policy
     /* 2191318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2191331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191354 */     // GIR_Coverage, 18812,
     /* 2191354 */     GIR_EraseRootFromParent_Done,
     /* 2191355 */   // Label 28818: @2191355
     /* 2191355 */   GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2191446), // Rule ID 18813 //
     /* 2191360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2191371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2191374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2191380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191406 */     // MIs[0] round
     /* 2191406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191409 */     // MIs[0] policy
     /* 2191409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191419 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11239:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2191422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191445 */     // GIR_Coverage, 18813,
     /* 2191445 */     GIR_EraseRootFromParent_Done,
     /* 2191446 */   // Label 28819: @2191446
     /* 2191446 */   GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2191537), // Rule ID 18816 //
     /* 2191451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2191454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2191462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2191465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2191471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191497 */     // MIs[0] round
     /* 2191497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191500 */     // MIs[0] policy
     /* 2191500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191510 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2191513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191536 */     // GIR_Coverage, 18816,
     /* 2191536 */     GIR_EraseRootFromParent_Done,
     /* 2191537 */   // Label 28820: @2191537
     /* 2191537 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2191628), // Rule ID 18817 //
     /* 2191542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2191545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2191550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2191553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2191556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2191562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191588 */     // MIs[0] round
     /* 2191588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191591 */     // MIs[0] policy
     /* 2191591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191601 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11239:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2191604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191627 */     // GIR_Coverage, 18817,
     /* 2191627 */     GIR_EraseRootFromParent_Done,
     /* 2191628 */   // Label 28821: @2191628
     /* 2191628 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2191719), // Rule ID 18820 //
     /* 2191633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2191636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2191641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2191644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2191647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2191650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2191653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191679 */     // MIs[0] round
     /* 2191679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191682 */     // MIs[0] policy
     /* 2191682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191692 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2191695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191718 */     // GIR_Coverage, 18820,
     /* 2191718 */     GIR_EraseRootFromParent_Done,
     /* 2191719 */   // Label 28822: @2191719
     /* 2191719 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2191810), // Rule ID 18821 //
     /* 2191724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2191727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2191732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2191735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2191738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2191741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2191744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191770 */     // MIs[0] round
     /* 2191770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191773 */     // MIs[0] policy
     /* 2191773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191783 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2191786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191809 */     // GIR_Coverage, 18821,
     /* 2191809 */     GIR_EraseRootFromParent_Done,
     /* 2191810 */   // Label 28823: @2191810
     /* 2191810 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2191901), // Rule ID 18824 //
     /* 2191815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2191818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2191823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2191826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2191829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2191832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2191835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191861 */     // MIs[0] round
     /* 2191861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191864 */     // MIs[0] policy
     /* 2191864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191874 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2191877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191900 */     // GIR_Coverage, 18824,
     /* 2191900 */     GIR_EraseRootFromParent_Done,
     /* 2191901 */   // Label 28824: @2191901
     /* 2191901 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2191992), // Rule ID 18825 //
     /* 2191906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2191909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2191914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2191917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2191920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2191923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2191926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191952 */     // MIs[0] round
     /* 2191952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191955 */     // MIs[0] policy
     /* 2191955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191965 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2191968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191991 */     // GIR_Coverage, 18825,
     /* 2191991 */     GIR_EraseRootFromParent_Done,
     /* 2191992 */   // Label 28825: @2191992
     /* 2191992 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2192083), // Rule ID 18828 //
     /* 2191997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2192014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2192017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192043 */     // MIs[0] round
     /* 2192043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192046 */     // MIs[0] policy
     /* 2192046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192056 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2192059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192082 */     // GIR_Coverage, 18828,
     /* 2192082 */     GIR_EraseRootFromParent_Done,
     /* 2192083 */   // Label 28826: @2192083
     /* 2192083 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2192174), // Rule ID 18829 //
     /* 2192088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2192105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2192108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192134 */     // MIs[0] round
     /* 2192134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192137 */     // MIs[0] policy
     /* 2192137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2192150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192173 */     // GIR_Coverage, 18829,
     /* 2192173 */     GIR_EraseRootFromParent_Done,
     /* 2192174 */   // Label 28827: @2192174
     /* 2192174 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2192265), // Rule ID 18832 //
     /* 2192179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2192196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192225 */     // MIs[0] round
     /* 2192225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192228 */     // MIs[0] policy
     /* 2192228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192238 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2192241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192264 */     // GIR_Coverage, 18832,
     /* 2192264 */     GIR_EraseRootFromParent_Done,
     /* 2192265 */   // Label 28828: @2192265
     /* 2192265 */   GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2192356), // Rule ID 18833 //
     /* 2192270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2192287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192316 */     // MIs[0] round
     /* 2192316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192319 */     // MIs[0] policy
     /* 2192319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192329 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2192332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192355 */     // GIR_Coverage, 18833,
     /* 2192355 */     GIR_EraseRootFromParent_Done,
     /* 2192356 */   // Label 28829: @2192356
     /* 2192356 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2192447), // Rule ID 18836 //
     /* 2192361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2192364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2192372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2192375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2192378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2192381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192407 */     // MIs[0] round
     /* 2192407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192410 */     // MIs[0] policy
     /* 2192410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192420 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2192423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192446 */     // GIR_Coverage, 18836,
     /* 2192446 */     GIR_EraseRootFromParent_Done,
     /* 2192447 */   // Label 28830: @2192447
     /* 2192447 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2192538), // Rule ID 18837 //
     /* 2192452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2192455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2192463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2192466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2192469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2192472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192498 */     // MIs[0] round
     /* 2192498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192501 */     // MIs[0] policy
     /* 2192501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192511 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2192514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192537 */     // GIR_Coverage, 18837,
     /* 2192537 */     GIR_EraseRootFromParent_Done,
     /* 2192538 */   // Label 28831: @2192538
     /* 2192538 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2192629), // Rule ID 18840 //
     /* 2192543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2192546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2192554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2192557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2192560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2192563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192589 */     // MIs[0] round
     /* 2192589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192592 */     // MIs[0] policy
     /* 2192592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192602 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2192605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192628 */     // GIR_Coverage, 18840,
     /* 2192628 */     GIR_EraseRootFromParent_Done,
     /* 2192629 */   // Label 28832: @2192629
     /* 2192629 */   GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2192720), // Rule ID 18841 //
     /* 2192634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2192637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2192645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2192648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2192651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2192654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192680 */     // MIs[0] round
     /* 2192680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192683 */     // MIs[0] policy
     /* 2192683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192693 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2192696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192719 */     // GIR_Coverage, 18841,
     /* 2192719 */     GIR_EraseRootFromParent_Done,
     /* 2192720 */   // Label 28833: @2192720
     /* 2192720 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2192811), // Rule ID 18844 //
     /* 2192725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2192728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2192736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2192739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2192742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2192745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192771 */     // MIs[0] round
     /* 2192771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192774 */     // MIs[0] policy
     /* 2192774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192784 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2192787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192810 */     // GIR_Coverage, 18844,
     /* 2192810 */     GIR_EraseRootFromParent_Done,
     /* 2192811 */   // Label 28834: @2192811
     /* 2192811 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2192902), // Rule ID 18845 //
     /* 2192816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2192819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2192827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2192830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2192833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2192836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192862 */     // MIs[0] round
     /* 2192862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192865 */     // MIs[0] policy
     /* 2192865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192875 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2192878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192901 */     // GIR_Coverage, 18845,
     /* 2192901 */     GIR_EraseRootFromParent_Done,
     /* 2192902 */   // Label 28835: @2192902
     /* 2192902 */   GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2192993), // Rule ID 18848 //
     /* 2192907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2192910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2192915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2192918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2192921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2192924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2192927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192953 */     // MIs[0] round
     /* 2192953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192956 */     // MIs[0] policy
     /* 2192956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192966 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2192969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192992 */     // GIR_Coverage, 18848,
     /* 2192992 */     GIR_EraseRootFromParent_Done,
     /* 2192993 */   // Label 28836: @2192993
     /* 2192993 */   GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2193084), // Rule ID 18849 //
     /* 2192998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2193009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2193012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2193015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2193018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193044 */     // MIs[0] round
     /* 2193044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193047 */     // MIs[0] policy
     /* 2193047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193057 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2193060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193083 */     // GIR_Coverage, 18849,
     /* 2193083 */     GIR_EraseRootFromParent_Done,
     /* 2193084 */   // Label 28837: @2193084
     /* 2193084 */   GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2193175), // Rule ID 18852 //
     /* 2193089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2193092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2193106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193135 */     // MIs[0] round
     /* 2193135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193138 */     // MIs[0] policy
     /* 2193138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2193151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193174 */     // GIR_Coverage, 18852,
     /* 2193174 */     GIR_EraseRootFromParent_Done,
     /* 2193175 */   // Label 28838: @2193175
     /* 2193175 */   GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2193266), // Rule ID 18853 //
     /* 2193180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2193183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2193197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193226 */     // MIs[0] round
     /* 2193226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193229 */     // MIs[0] policy
     /* 2193229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193239 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2193242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193265 */     // GIR_Coverage, 18853,
     /* 2193265 */     GIR_EraseRootFromParent_Done,
     /* 2193266 */   // Label 28839: @2193266
     /* 2193266 */   GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2193357), // Rule ID 18856 //
     /* 2193271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2193282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2193285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2193291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193317 */     // MIs[0] round
     /* 2193317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193320 */     // MIs[0] policy
     /* 2193320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193330 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2193333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193356 */     // GIR_Coverage, 18856,
     /* 2193356 */     GIR_EraseRootFromParent_Done,
     /* 2193357 */   // Label 28840: @2193357
     /* 2193357 */   GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2193448), // Rule ID 18857 //
     /* 2193362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2193373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2193376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2193382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193408 */     // MIs[0] round
     /* 2193408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193411 */     // MIs[0] policy
     /* 2193411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193421 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2193424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193447 */     // GIR_Coverage, 18857,
     /* 2193447 */     GIR_EraseRootFromParent_Done,
     /* 2193448 */   // Label 28841: @2193448
     /* 2193448 */   GIM_Try, /*On fail goto*//*Label 28842*/ GIMT_Encode4(2193539), // Rule ID 18860 //
     /* 2193453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2193464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2193467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2193473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193499 */     // MIs[0] round
     /* 2193499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193502 */     // MIs[0] policy
     /* 2193502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193512 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2193515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193538 */     // GIR_Coverage, 18860,
     /* 2193538 */     GIR_EraseRootFromParent_Done,
     /* 2193539 */   // Label 28842: @2193539
     /* 2193539 */   GIM_Try, /*On fail goto*//*Label 28843*/ GIMT_Encode4(2193630), // Rule ID 18861 //
     /* 2193544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2193555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2193558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2193564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193590 */     // MIs[0] round
     /* 2193590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193593 */     // MIs[0] policy
     /* 2193593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2193606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193629 */     // GIR_Coverage, 18861,
     /* 2193629 */     GIR_EraseRootFromParent_Done,
     /* 2193630 */   // Label 28843: @2193630
     /* 2193630 */   GIM_Try, /*On fail goto*//*Label 28844*/ GIMT_Encode4(2193721), // Rule ID 18864 //
     /* 2193635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2193646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2193649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2193655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193681 */     // MIs[0] round
     /* 2193681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193684 */     // MIs[0] policy
     /* 2193684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193694 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2193697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193720 */     // GIR_Coverage, 18864,
     /* 2193720 */     GIR_EraseRootFromParent_Done,
     /* 2193721 */   // Label 28844: @2193721
     /* 2193721 */   GIM_Try, /*On fail goto*//*Label 28845*/ GIMT_Encode4(2193812), // Rule ID 18865 //
     /* 2193726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2193737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2193740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2193746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193772 */     // MIs[0] round
     /* 2193772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193775 */     // MIs[0] policy
     /* 2193775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193785 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2193788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193811 */     // GIR_Coverage, 18865,
     /* 2193811 */     GIR_EraseRootFromParent_Done,
     /* 2193812 */   // Label 28845: @2193812
     /* 2193812 */   GIM_Try, /*On fail goto*//*Label 28846*/ GIMT_Encode4(2193903), // Rule ID 18868 //
     /* 2193817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2193828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2193831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2193837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193863 */     // MIs[0] round
     /* 2193863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193866 */     // MIs[0] policy
     /* 2193866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193876 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2193879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193902 */     // GIR_Coverage, 18868,
     /* 2193902 */     GIR_EraseRootFromParent_Done,
     /* 2193903 */   // Label 28846: @2193903
     /* 2193903 */   GIM_Try, /*On fail goto*//*Label 28847*/ GIMT_Encode4(2193994), // Rule ID 18869 //
     /* 2193908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2193916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2193919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2193922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2193925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2193928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2193946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193954 */     // MIs[0] round
     /* 2193954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193957 */     // MIs[0] policy
     /* 2193957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193967 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2193970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193993 */     // GIR_Coverage, 18869,
     /* 2193993 */     GIR_EraseRootFromParent_Done,
     /* 2193994 */   // Label 28847: @2193994
     /* 2193994 */   GIM_Try, /*On fail goto*//*Label 28848*/ GIMT_Encode4(2194085), // Rule ID 18872 //
     /* 2193999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2194010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2194013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2194019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2194022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194045 */     // MIs[0] round
     /* 2194045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194048 */     // MIs[0] policy
     /* 2194048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194058 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2194061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194084 */     // GIR_Coverage, 18872,
     /* 2194084 */     GIR_EraseRootFromParent_Done,
     /* 2194085 */   // Label 28848: @2194085
     /* 2194085 */   GIM_Try, /*On fail goto*//*Label 28849*/ GIMT_Encode4(2194176), // Rule ID 18873 //
     /* 2194090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2194101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2194104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2194110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2194113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194136 */     // MIs[0] round
     /* 2194136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194139 */     // MIs[0] policy
     /* 2194139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194149 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2194152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194175 */     // GIR_Coverage, 18873,
     /* 2194175 */     GIR_EraseRootFromParent_Done,
     /* 2194176 */   // Label 28849: @2194176
     /* 2194176 */   GIM_Try, /*On fail goto*//*Label 28850*/ GIMT_Encode4(2194267), // Rule ID 18876 //
     /* 2194181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194227 */     // MIs[0] round
     /* 2194227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194230 */     // MIs[0] policy
     /* 2194230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2194243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194266 */     // GIR_Coverage, 18876,
     /* 2194266 */     GIR_EraseRootFromParent_Done,
     /* 2194267 */   // Label 28850: @2194267
     /* 2194267 */   GIM_Try, /*On fail goto*//*Label 28851*/ GIMT_Encode4(2194358), // Rule ID 18877 //
     /* 2194272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194318 */     // MIs[0] round
     /* 2194318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194321 */     // MIs[0] policy
     /* 2194321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194331 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2194334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194357 */     // GIR_Coverage, 18877,
     /* 2194357 */     GIR_EraseRootFromParent_Done,
     /* 2194358 */   // Label 28851: @2194358
     /* 2194358 */   GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2194449), // Rule ID 18880 //
     /* 2194363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2194374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2194377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2194383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194409 */     // MIs[0] round
     /* 2194409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194412 */     // MIs[0] policy
     /* 2194412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194422 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2194425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194448 */     // GIR_Coverage, 18880,
     /* 2194448 */     GIR_EraseRootFromParent_Done,
     /* 2194449 */   // Label 28852: @2194449
     /* 2194449 */   GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2194540), // Rule ID 18881 //
     /* 2194454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2194465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2194468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2194474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194500 */     // MIs[0] round
     /* 2194500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194503 */     // MIs[0] policy
     /* 2194503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194513 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2194516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194539 */     // GIR_Coverage, 18881,
     /* 2194539 */     GIR_EraseRootFromParent_Done,
     /* 2194540 */   // Label 28853: @2194540
     /* 2194540 */   GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2194631), // Rule ID 18884 //
     /* 2194545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2194556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2194559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2194565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194591 */     // MIs[0] round
     /* 2194591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194594 */     // MIs[0] policy
     /* 2194594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194604 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2194607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194630 */     // GIR_Coverage, 18884,
     /* 2194630 */     GIR_EraseRootFromParent_Done,
     /* 2194631 */   // Label 28854: @2194631
     /* 2194631 */   GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2194722), // Rule ID 18885 //
     /* 2194636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2194647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2194650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2194656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194682 */     // MIs[0] round
     /* 2194682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194685 */     // MIs[0] policy
     /* 2194685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194695 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2194698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194721 */     // GIR_Coverage, 18885,
     /* 2194721 */     GIR_EraseRootFromParent_Done,
     /* 2194722 */   // Label 28855: @2194722
     /* 2194722 */   GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2194813), // Rule ID 18888 //
     /* 2194727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2194738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2194741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2194747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194773 */     // MIs[0] round
     /* 2194773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194776 */     // MIs[0] policy
     /* 2194776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194786 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2194789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194812 */     // GIR_Coverage, 18888,
     /* 2194812 */     GIR_EraseRootFromParent_Done,
     /* 2194813 */   // Label 28856: @2194813
     /* 2194813 */   GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2194904), // Rule ID 18889 //
     /* 2194818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2194826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2194829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2194832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2194835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2194838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194864 */     // MIs[0] round
     /* 2194864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194867 */     // MIs[0] policy
     /* 2194867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194877 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2194880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194903 */     // GIR_Coverage, 18889,
     /* 2194903 */     GIR_EraseRootFromParent_Done,
     /* 2194904 */   // Label 28857: @2194904
     /* 2194904 */   GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2194995), // Rule ID 64345 //
     /* 2194909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2194912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2194917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2194920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2194923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2194926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2194929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2194951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194955 */     // MIs[0] round
     /* 2194955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194958 */     // MIs[0] policy
     /* 2194958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2194971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194994 */     // GIR_Coverage, 64345,
     /* 2194994 */     GIR_EraseRootFromParent_Done,
     /* 2194995 */   // Label 28858: @2194995
     /* 2194995 */   GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2195086), // Rule ID 64346 //
     /* 2195000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2195003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2195011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2195014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2195017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195046 */     // MIs[0] round
     /* 2195046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195049 */     // MIs[0] policy
     /* 2195049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2195062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195085 */     // GIR_Coverage, 64346,
     /* 2195085 */     GIR_EraseRootFromParent_Done,
     /* 2195086 */   // Label 28859: @2195086
     /* 2195086 */   GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2195177), // Rule ID 64349 //
     /* 2195091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2195094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2195102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2195105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2195108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195137 */     // MIs[0] round
     /* 2195137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195140 */     // MIs[0] policy
     /* 2195140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195150 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2195153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195176 */     // GIR_Coverage, 64349,
     /* 2195176 */     GIR_EraseRootFromParent_Done,
     /* 2195177 */   // Label 28860: @2195177
     /* 2195177 */   GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2195268), // Rule ID 64350 //
     /* 2195182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2195185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2195193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2195196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2195199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195228 */     // MIs[0] round
     /* 2195228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195231 */     // MIs[0] policy
     /* 2195231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195241 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2195244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195267 */     // GIR_Coverage, 64350,
     /* 2195267 */     GIR_EraseRootFromParent_Done,
     /* 2195268 */   // Label 28861: @2195268
     /* 2195268 */   GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2195359), // Rule ID 64353 //
     /* 2195273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2195276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2195284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2195287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2195290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195319 */     // MIs[0] round
     /* 2195319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195322 */     // MIs[0] policy
     /* 2195322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195332 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2195335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195358 */     // GIR_Coverage, 64353,
     /* 2195358 */     GIR_EraseRootFromParent_Done,
     /* 2195359 */   // Label 28862: @2195359
     /* 2195359 */   GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2195450), // Rule ID 64354 //
     /* 2195364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2195367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2195375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2195378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2195381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195410 */     // MIs[0] round
     /* 2195410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195413 */     // MIs[0] policy
     /* 2195413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195423 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2195426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195449 */     // GIR_Coverage, 64354,
     /* 2195449 */     GIR_EraseRootFromParent_Done,
     /* 2195450 */   // Label 28863: @2195450
     /* 2195450 */   GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2195541), // Rule ID 64357 //
     /* 2195455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2195458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2195466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2195469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2195472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195501 */     // MIs[0] round
     /* 2195501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195504 */     // MIs[0] policy
     /* 2195504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2195517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195540 */     // GIR_Coverage, 64357,
     /* 2195540 */     GIR_EraseRootFromParent_Done,
     /* 2195541 */   // Label 28864: @2195541
     /* 2195541 */   GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2195632), // Rule ID 64358 //
     /* 2195546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2195549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2195557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2195560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2195563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195592 */     // MIs[0] round
     /* 2195592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195595 */     // MIs[0] policy
     /* 2195595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2195608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195631 */     // GIR_Coverage, 64358,
     /* 2195631 */     GIR_EraseRootFromParent_Done,
     /* 2195632 */   // Label 28865: @2195632
     /* 2195632 */   GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2195723), // Rule ID 64361 //
     /* 2195637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2195640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2195648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2195651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2195654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2195660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195683 */     // MIs[0] round
     /* 2195683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195686 */     // MIs[0] policy
     /* 2195686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2195699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195722 */     // GIR_Coverage, 64361,
     /* 2195722 */     GIR_EraseRootFromParent_Done,
     /* 2195723 */   // Label 28866: @2195723
     /* 2195723 */   GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2195814), // Rule ID 64362 //
     /* 2195728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2195731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2195736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2195739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2195742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2195745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2195751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195774 */     // MIs[0] round
     /* 2195774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195777 */     // MIs[0] policy
     /* 2195777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2195790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195813 */     // GIR_Coverage, 64362,
     /* 2195813 */     GIR_EraseRootFromParent_Done,
     /* 2195814 */   // Label 28867: @2195814
     /* 2195814 */   GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2195905), // Rule ID 64365 //
     /* 2195819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2195822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2195827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2195830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2195833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2195836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195865 */     // MIs[0] round
     /* 2195865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195868 */     // MIs[0] policy
     /* 2195868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195878 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2195881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195904 */     // GIR_Coverage, 64365,
     /* 2195904 */     GIR_EraseRootFromParent_Done,
     /* 2195905 */   // Label 28868: @2195905
     /* 2195905 */   GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2195996), // Rule ID 64366 //
     /* 2195910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2195913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2195918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2195921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2195924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2195927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195956 */     // MIs[0] round
     /* 2195956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195959 */     // MIs[0] policy
     /* 2195959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195969 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2195972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195995 */     // GIR_Coverage, 64366,
     /* 2195995 */     GIR_EraseRootFromParent_Done,
     /* 2195996 */   // Label 28869: @2195996
     /* 2195996 */   GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2196087), // Rule ID 64369 //
     /* 2196001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2196004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2196012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2196015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2196018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196047 */     // MIs[0] round
     /* 2196047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196050 */     // MIs[0] policy
     /* 2196050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196060 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2196063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196086 */     // GIR_Coverage, 64369,
     /* 2196086 */     GIR_EraseRootFromParent_Done,
     /* 2196087 */   // Label 28870: @2196087
     /* 2196087 */   GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2196178), // Rule ID 64370 //
     /* 2196092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2196095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2196103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2196106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2196109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196138 */     // MIs[0] round
     /* 2196138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196141 */     // MIs[0] policy
     /* 2196141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196151 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2196154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196177 */     // GIR_Coverage, 64370,
     /* 2196177 */     GIR_EraseRootFromParent_Done,
     /* 2196178 */   // Label 28871: @2196178
     /* 2196178 */   GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2196269), // Rule ID 64373 //
     /* 2196183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2196186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2196194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2196197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2196200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196229 */     // MIs[0] round
     /* 2196229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196232 */     // MIs[0] policy
     /* 2196232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2196245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196268 */     // GIR_Coverage, 64373,
     /* 2196268 */     GIR_EraseRootFromParent_Done,
     /* 2196269 */   // Label 28872: @2196269
     /* 2196269 */   GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2196360), // Rule ID 64374 //
     /* 2196274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2196277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2196285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2196288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2196291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196320 */     // MIs[0] round
     /* 2196320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196323 */     // MIs[0] policy
     /* 2196323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196333 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2196336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196359 */     // GIR_Coverage, 64374,
     /* 2196359 */     GIR_EraseRootFromParent_Done,
     /* 2196360 */   // Label 28873: @2196360
     /* 2196360 */   GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2196451), // Rule ID 64377 //
     /* 2196365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2196368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2196376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2196379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2196382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196411 */     // MIs[0] round
     /* 2196411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196414 */     // MIs[0] policy
     /* 2196414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2196427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196450 */     // GIR_Coverage, 64377,
     /* 2196450 */     GIR_EraseRootFromParent_Done,
     /* 2196451 */   // Label 28874: @2196451
     /* 2196451 */   GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2196542), // Rule ID 64378 //
     /* 2196456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2196459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2196467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2196470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2196473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196502 */     // MIs[0] round
     /* 2196502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196505 */     // MIs[0] policy
     /* 2196505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196515 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2196518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196541 */     // GIR_Coverage, 64378,
     /* 2196541 */     GIR_EraseRootFromParent_Done,
     /* 2196542 */   // Label 28875: @2196542
     /* 2196542 */   GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2196633), // Rule ID 64381 //
     /* 2196547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2196550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2196558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2196561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2196564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196593 */     // MIs[0] round
     /* 2196593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196596 */     // MIs[0] policy
     /* 2196596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196606 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2196609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196632 */     // GIR_Coverage, 64381,
     /* 2196632 */     GIR_EraseRootFromParent_Done,
     /* 2196633 */   // Label 28876: @2196633
     /* 2196633 */   GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2196724), // Rule ID 64382 //
     /* 2196638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2196641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2196646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2196649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2196652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2196655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196684 */     // MIs[0] round
     /* 2196684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196687 */     // MIs[0] policy
     /* 2196687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196697 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2196700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196723 */     // GIR_Coverage, 64382,
     /* 2196723 */     GIR_EraseRootFromParent_Done,
     /* 2196724 */   // Label 28877: @2196724
     /* 2196724 */   GIM_Reject,
     /* 2196725 */ // Label 26833: @2196725
     /* 2196725 */ GIM_Reject,
     /* 2196726 */ // Label 38: @2196726
     /* 2196726 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2196809), // Rule ID 35 //
     /* 2196731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2196734 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2196737 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2196742 */   // MIs[0] Operand 1
     /* 2196742 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2196746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2196750 */   // MIs[0] ptr
     /* 2196750 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2196754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2196758 */   // MIs[0] accessinfo
     /* 2196758 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2196761 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2196761 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196765 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196771 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2196775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2196778 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2196780 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2196782 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2196785 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2196788 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2196791 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2196794 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2196797 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2196800 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2196803 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2196807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196808 */   // GIR_Coverage, 35,
     /* 2196808 */   GIR_EraseRootFromParent_Done,
     /* 2196809 */ // Label 28878: @2196809
     /* 2196809 */ GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2197714),
     /* 2196814 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2196817 */   GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2196889), // Rule ID 621 //
     /* 2196822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2196825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2196830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2196833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196843 */     // MIs[0] addr
     /* 2196843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2196847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196859 */     // MIs[0] ordering
     /* 2196859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2196862 */     // (intrinsic_w_chain:{ *:[i32] } 10968:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2196862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2196865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2196868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2196870 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2196875 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2196877 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2196879 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2196881 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2196883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2196887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196888 */     // GIR_Coverage, 621,
     /* 2196888 */     GIR_EraseRootFromParent_Done,
     /* 2196889 */   // Label 28880: @2196889
     /* 2196889 */   GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2196961), // Rule ID 622 //
     /* 2196894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2196897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2196902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2196905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196915 */     // MIs[0] addr
     /* 2196915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2196919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196931 */     // MIs[0] ordering
     /* 2196931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2196934 */     // (intrinsic_w_chain:{ *:[i32] } 10954:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2196934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2196937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2196940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2196942 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2196947 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2196949 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2196951 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2196953 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2196955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2196959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196960 */     // GIR_Coverage, 622,
     /* 2196960 */     GIR_EraseRootFromParent_Done,
     /* 2196961 */   // Label 28881: @2196961
     /* 2196961 */   GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2197033), // Rule ID 623 //
     /* 2196966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2196969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2196974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2196977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196987 */     // MIs[0] addr
     /* 2196987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2196991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197003 */     // MIs[0] ordering
     /* 2197003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197006 */     // (intrinsic_w_chain:{ *:[i32] } 10962:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2197006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2197012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197014 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197019 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197021 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197023 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197025 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197032 */     // GIR_Coverage, 623,
     /* 2197032 */     GIR_EraseRootFromParent_Done,
     /* 2197033 */   // Label 28882: @2197033
     /* 2197033 */   GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2197105), // Rule ID 624 //
     /* 2197038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2197041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2197046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2197049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2197052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197059 */     // MIs[0] addr
     /* 2197059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197075 */     // MIs[0] ordering
     /* 2197075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197078 */     // (intrinsic_w_chain:{ *:[i32] } 10960:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2197078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2197084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197086 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197091 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197093 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197095 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197097 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197104 */     // GIR_Coverage, 624,
     /* 2197104 */     GIR_EraseRootFromParent_Done,
     /* 2197105 */   // Label 28883: @2197105
     /* 2197105 */   GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2197185), // Rule ID 627 //
     /* 2197110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2197113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2197118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2197121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2197124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197131 */     // MIs[0] addr
     /* 2197131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197147 */     // MIs[0] ordering
     /* 2197147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197150 */     // (intrinsic_w_chain:{ *:[i32] } 10964:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2197150 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2197153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2197159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197161 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197166 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197171 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197173 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197175 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197177 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197184 */     // GIR_Coverage, 627,
     /* 2197184 */     GIR_EraseRootFromParent_Done,
     /* 2197185 */   // Label 28884: @2197185
     /* 2197185 */   GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2197265), // Rule ID 628 //
     /* 2197190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2197193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2197198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2197201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2197204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197211 */     // MIs[0] addr
     /* 2197211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197227 */     // MIs[0] ordering
     /* 2197227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197230 */     // (intrinsic_w_chain:{ *:[i32] } 10966:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2197230 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2197233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2197239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197241 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197246 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197251 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197253 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197255 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197257 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197264 */     // GIR_Coverage, 628,
     /* 2197264 */     GIR_EraseRootFromParent_Done,
     /* 2197265 */   // Label 28885: @2197265
     /* 2197265 */   GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2197337), // Rule ID 634 //
     /* 2197270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2197278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2197281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2197284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197291 */     // MIs[0] addr
     /* 2197291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197307 */     // MIs[0] ordering
     /* 2197307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197310 */     // (intrinsic_w_chain:{ *:[i64] } 10969:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2197310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2197316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197318 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197323 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197325 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197327 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197329 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197336 */     // GIR_Coverage, 634,
     /* 2197336 */     GIR_EraseRootFromParent_Done,
     /* 2197337 */   // Label 28886: @2197337
     /* 2197337 */   GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2197409), // Rule ID 635 //
     /* 2197342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2197350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2197353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2197356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197363 */     // MIs[0] addr
     /* 2197363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197379 */     // MIs[0] ordering
     /* 2197379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197382 */     // (intrinsic_w_chain:{ *:[i64] } 10955:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2197382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2197388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197390 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197395 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197397 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197399 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197401 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197408 */     // GIR_Coverage, 635,
     /* 2197408 */     GIR_EraseRootFromParent_Done,
     /* 2197409 */   // Label 28887: @2197409
     /* 2197409 */   GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2197481), // Rule ID 636 //
     /* 2197414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2197422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2197425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2197428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197435 */     // MIs[0] addr
     /* 2197435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197451 */     // MIs[0] ordering
     /* 2197451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197454 */     // (intrinsic_w_chain:{ *:[i64] } 10963:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2197454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2197460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197462 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197467 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197469 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197471 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197473 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197480 */     // GIR_Coverage, 636,
     /* 2197480 */     GIR_EraseRootFromParent_Done,
     /* 2197481 */   // Label 28888: @2197481
     /* 2197481 */   GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2197553), // Rule ID 637 //
     /* 2197486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2197494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2197497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2197500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197507 */     // MIs[0] addr
     /* 2197507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197523 */     // MIs[0] ordering
     /* 2197523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197526 */     // (intrinsic_w_chain:{ *:[i64] } 10961:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2197526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2197532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197534 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197539 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197541 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197543 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197545 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197552 */     // GIR_Coverage, 637,
     /* 2197552 */     GIR_EraseRootFromParent_Done,
     /* 2197553 */   // Label 28889: @2197553
     /* 2197553 */   GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2197633), // Rule ID 640 //
     /* 2197558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2197566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2197569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2197572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197579 */     // MIs[0] addr
     /* 2197579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197595 */     // MIs[0] ordering
     /* 2197595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197598 */     // (intrinsic_w_chain:{ *:[i64] } 10965:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2197598 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2197601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2197607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197609 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197614 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197619 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197621 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197623 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197625 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197632 */     // GIR_Coverage, 640,
     /* 2197632 */     GIR_EraseRootFromParent_Done,
     /* 2197633 */   // Label 28890: @2197633
     /* 2197633 */   GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2197713), // Rule ID 641 //
     /* 2197638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2197646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2197649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2197652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197659 */     // MIs[0] addr
     /* 2197659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197675 */     // MIs[0] ordering
     /* 2197675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2197678 */     // (intrinsic_w_chain:{ *:[i64] } 10967:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2197678 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2197681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2197687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197689 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197694 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197699 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197701 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197703 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197705 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2197707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197712 */     // GIR_Coverage, 641,
     /* 2197712 */     GIR_EraseRootFromParent_Done,
     /* 2197713 */   // Label 28891: @2197713
     /* 2197713 */   GIM_Reject,
     /* 2197714 */ // Label 28879: @2197714
     /* 2197714 */ GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2198241),
     /* 2197719 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2197722 */   GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2197811), // Rule ID 625 //
     /* 2197727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2197730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2197735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2197738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2197741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2197747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197751 */     // MIs[0] addr
     /* 2197751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197771 */     // MIs[0] ordering
     /* 2197771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197774 */     // (intrinsic_w_chain:{ *:[i32] } 10956:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2197774 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2197777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2197783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197785 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197790 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197795 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197797 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197799 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197801 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2197803 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2197805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197810 */     // GIR_Coverage, 625,
     /* 2197810 */     GIR_EraseRootFromParent_Done,
     /* 2197811 */   // Label 28893: @2197811
     /* 2197811 */   GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2197900), // Rule ID 626 //
     /* 2197816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2197819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2197824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2197827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2197830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2197836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197840 */     // MIs[0] addr
     /* 2197840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197860 */     // MIs[0] ordering
     /* 2197860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197863 */     // (intrinsic_w_chain:{ *:[i32] } 10958:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2197863 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2197866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2197872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197874 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197879 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197884 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197886 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197888 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197890 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2197892 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2197894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197899 */     // GIR_Coverage, 626,
     /* 2197899 */     GIR_EraseRootFromParent_Done,
     /* 2197900 */   // Label 28894: @2197900
     /* 2197900 */   GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2197989), // Rule ID 638 //
     /* 2197905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2197913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2197916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2197919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2197925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197929 */     // MIs[0] addr
     /* 2197929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2197933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2197949 */     // MIs[0] ordering
     /* 2197949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197952 */     // (intrinsic_w_chain:{ *:[i64] } 10957:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2197952 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2197955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2197958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2197961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2197963 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197968 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2197973 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2197975 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2197977 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2197979 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2197981 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2197983 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2197987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197988 */     // GIR_Coverage, 638,
     /* 2197988 */     GIR_EraseRootFromParent_Done,
     /* 2197989 */   // Label 28895: @2197989
     /* 2197989 */   GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2198078), // Rule ID 639 //
     /* 2197994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2197997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2198002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2198005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2198008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2198011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2198014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198018 */     // MIs[0] addr
     /* 2198018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2198022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198038 */     // MIs[0] ordering
     /* 2198038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198041 */     // (intrinsic_w_chain:{ *:[i64] } 10959:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2198041 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2198044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2198047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2198050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2198052 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2198057 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2198062 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2198064 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2198066 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2198068 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2198070 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2198072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2198076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198077 */     // GIR_Coverage, 639,
     /* 2198077 */     GIR_EraseRootFromParent_Done,
     /* 2198078 */   // Label 28896: @2198078
     /* 2198078 */   GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2198159), // Rule ID 657 //
     /* 2198083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2198086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2198091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2198094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2198097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2198103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198107 */     // MIs[0] addr
     /* 2198107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2198111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198127 */     // MIs[0] ordering
     /* 2198127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198130 */     // (intrinsic_w_chain:{ *:[i32] } 10970:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2198130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2198133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2198136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2198138 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2198143 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2198145 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2198147 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2198149 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2198151 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2198153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2198157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198158 */     // GIR_Coverage, 657,
     /* 2198158 */     GIR_EraseRootFromParent_Done,
     /* 2198159 */   // Label 28897: @2198159
     /* 2198159 */   GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2198240), // Rule ID 658 //
     /* 2198164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2198167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2198172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2198175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2198178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2198181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2198184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198188 */     // MIs[0] addr
     /* 2198188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2198192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198208 */     // MIs[0] ordering
     /* 2198208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198211 */     // (intrinsic_w_chain:{ *:[i64] } 10971:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2198211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2198214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2198217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2198219 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2198224 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2198226 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2198228 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2198230 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2198232 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2198234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2198238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198239 */     // GIR_Coverage, 658,
     /* 2198239 */     GIR_EraseRootFromParent_Done,
     /* 2198240 */   // Label 28898: @2198240
     /* 2198240 */   GIM_Reject,
     /* 2198241 */ // Label 28892: @2198241
     /* 2198241 */ GIM_Reject,
     /* 2198242 */ // Label 39: @2198242
     /* 2198242 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28914*/ GIMT_Encode4(2201362),
     /* 2198253 */ /*GILLT_nxv1s16*//*Label 28899*/ GIMT_Encode4(2198353),
     /* 2198257 */ /*GILLT_nxv1s32*//*Label 28900*/ GIMT_Encode4(2198457),
     /* 2198261 */ /*GILLT_nxv1s64*//*Label 28901*/ GIMT_Encode4(2198674), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2198273 */ /*GILLT_nxv2s16*//*Label 28902*/ GIMT_Encode4(2198999),
     /* 2198277 */ /*GILLT_nxv2s32*//*Label 28903*/ GIMT_Encode4(2199103),
     /* 2198281 */ /*GILLT_nxv2s64*//*Label 28904*/ GIMT_Encode4(2199320), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2198293 */ /*GILLT_nxv4s16*//*Label 28905*/ GIMT_Encode4(2199645),
     /* 2198297 */ /*GILLT_nxv4s32*//*Label 28906*/ GIMT_Encode4(2199749),
     /* 2198301 */ /*GILLT_nxv4s64*//*Label 28907*/ GIMT_Encode4(2199966), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2198313 */ /*GILLT_nxv8s16*//*Label 28908*/ GIMT_Encode4(2200291),
     /* 2198317 */ /*GILLT_nxv8s32*//*Label 28909*/ GIMT_Encode4(2200395),
     /* 2198321 */ /*GILLT_nxv8s64*//*Label 28910*/ GIMT_Encode4(2200612), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2198333 */ /*GILLT_nxv16s16*//*Label 28911*/ GIMT_Encode4(2200937),
     /* 2198337 */ /*GILLT_nxv16s32*//*Label 28912*/ GIMT_Encode4(2201041), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2198349 */ /*GILLT_nxv32s16*//*Label 28913*/ GIMT_Encode4(2201258),
     /* 2198353 */ // Label 28899: @2198353
     /* 2198353 */ GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2198456),
     /* 2198358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198369 */   GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2198412), // Rule ID 47376 //
     /* 2198374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198377 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2198380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2198394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198411 */     // GIR_Coverage, 47376,
     /* 2198411 */     GIR_EraseRootFromParent_Done,
     /* 2198412 */   // Label 28916: @2198412
     /* 2198412 */   GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2198455), // Rule ID 47377 //
     /* 2198417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198420 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2198423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2198437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198454 */     // GIR_Coverage, 47377,
     /* 2198454 */     GIR_EraseRootFromParent_Done,
     /* 2198455 */   // Label 28917: @2198455
     /* 2198455 */   GIM_Reject,
     /* 2198456 */ // Label 28915: @2198456
     /* 2198456 */ GIM_Reject,
     /* 2198457 */ // Label 28900: @2198457
     /* 2198457 */ GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2198511), // Rule ID 47400 //
     /* 2198462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198476 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198476 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2198479 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198483 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198488 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2198493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198495 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198498 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198510 */   // GIR_Coverage, 47400,
     /* 2198510 */   GIR_EraseRootFromParent_Done,
     /* 2198511 */ // Label 28918: @2198511
     /* 2198511 */ GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2198565), // Rule ID 47401 //
     /* 2198516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198530 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2198533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198542 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2198547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198549 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198552 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198564 */   // GIR_Coverage, 47401,
     /* 2198564 */   GIR_EraseRootFromParent_Done,
     /* 2198565 */ // Label 28919: @2198565
     /* 2198565 */ GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2198619), // Rule ID 47466 //
     /* 2198570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198584 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198584 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2198587 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198591 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2198601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198603 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198618 */   // GIR_Coverage, 47466,
     /* 2198618 */   GIR_EraseRootFromParent_Done,
     /* 2198619 */ // Label 28920: @2198619
     /* 2198619 */ GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2198673), // Rule ID 47467 //
     /* 2198624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198638 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2198641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2198655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198660 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198672 */   // GIR_Coverage, 47467,
     /* 2198672 */   GIR_EraseRootFromParent_Done,
     /* 2198673 */ // Label 28921: @2198673
     /* 2198673 */ GIM_Reject,
     /* 2198674 */ // Label 28901: @2198674
     /* 2198674 */ GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2198728), // Rule ID 47420 //
     /* 2198679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2198685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198693 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198705 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2198710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198712 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198715 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198727 */   // GIR_Coverage, 47420,
     /* 2198727 */   GIR_EraseRootFromParent_Done,
     /* 2198728 */ // Label 28922: @2198728
     /* 2198728 */ GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2198782), // Rule ID 47421 //
     /* 2198733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2198739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198747 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198747 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198750 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198754 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2198764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198769 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198781 */   // GIR_Coverage, 47421,
     /* 2198781 */   GIR_EraseRootFromParent_Done,
     /* 2198782 */ // Label 28923: @2198782
     /* 2198782 */ GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2198836), // Rule ID 47486 //
     /* 2198787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198801 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198813 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2198818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198820 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198823 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198835 */   // GIR_Coverage, 47486,
     /* 2198835 */   GIR_EraseRootFromParent_Done,
     /* 2198836 */ // Label 28924: @2198836
     /* 2198836 */ GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2198890), // Rule ID 47487 //
     /* 2198841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2198847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198855 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198855 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198858 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198862 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2198872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198874 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198877 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198889 */   // GIR_Coverage, 47487,
     /* 2198889 */   GIR_EraseRootFromParent_Done,
     /* 2198890 */ // Label 28925: @2198890
     /* 2198890 */ GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2198944), // Rule ID 47520 //
     /* 2198895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198909 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198909 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198912 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198916 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2198926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198931 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198943 */   // GIR_Coverage, 47520,
     /* 2198943 */   GIR_EraseRootFromParent_Done,
     /* 2198944 */ // Label 28926: @2198944
     /* 2198944 */ GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2198998), // Rule ID 47521 //
     /* 2198949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2198955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198963 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2198966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2198980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198982 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198985 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198997 */   // GIR_Coverage, 47521,
     /* 2198997 */   GIR_EraseRootFromParent_Done,
     /* 2198998 */ // Label 28927: @2198998
     /* 2198998 */ GIM_Reject,
     /* 2198999 */ // Label 28902: @2198999
     /* 2198999 */ GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2199102),
     /* 2199004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2199007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199015 */   GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2199058), // Rule ID 47380 //
     /* 2199020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199023 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2199026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2199040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199057 */     // GIR_Coverage, 47380,
     /* 2199057 */     GIR_EraseRootFromParent_Done,
     /* 2199058 */   // Label 28929: @2199058
     /* 2199058 */   GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2199101), // Rule ID 47381 //
     /* 2199063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199066 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2199069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2199083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199100 */     // GIR_Coverage, 47381,
     /* 2199100 */     GIR_EraseRootFromParent_Done,
     /* 2199101 */   // Label 28930: @2199101
     /* 2199101 */   GIM_Reject,
     /* 2199102 */ // Label 28928: @2199102
     /* 2199102 */ GIM_Reject,
     /* 2199103 */ // Label 28903: @2199103
     /* 2199103 */ GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2199157), // Rule ID 47404 //
     /* 2199108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2199114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199122 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2199125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199134 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2199139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199141 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199144 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199156 */   // GIR_Coverage, 47404,
     /* 2199156 */   GIR_EraseRootFromParent_Done,
     /* 2199157 */ // Label 28931: @2199157
     /* 2199157 */ GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2199211), // Rule ID 47405 //
     /* 2199162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2199168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199176 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2199179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2199193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199210 */   // GIR_Coverage, 47405,
     /* 2199210 */   GIR_EraseRootFromParent_Done,
     /* 2199211 */ // Label 28932: @2199211
     /* 2199211 */ GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2199265), // Rule ID 47470 //
     /* 2199216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2199222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199230 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2199233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2199247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199264 */   // GIR_Coverage, 47470,
     /* 2199264 */   GIR_EraseRootFromParent_Done,
     /* 2199265 */ // Label 28933: @2199265
     /* 2199265 */ GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2199319), // Rule ID 47471 //
     /* 2199270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2199276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199284 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2199287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2199301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199318 */   // GIR_Coverage, 47471,
     /* 2199318 */   GIR_EraseRootFromParent_Done,
     /* 2199319 */ // Label 28934: @2199319
     /* 2199319 */ GIM_Reject,
     /* 2199320 */ // Label 28904: @2199320
     /* 2199320 */ GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2199374), // Rule ID 47424 //
     /* 2199325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2199331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199339 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2199342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2199356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199373 */   // GIR_Coverage, 47424,
     /* 2199373 */   GIR_EraseRootFromParent_Done,
     /* 2199374 */ // Label 28935: @2199374
     /* 2199374 */ GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2199428), // Rule ID 47425 //
     /* 2199379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2199385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199393 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2199396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2199410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199427 */   // GIR_Coverage, 47425,
     /* 2199427 */   GIR_EraseRootFromParent_Done,
     /* 2199428 */ // Label 28936: @2199428
     /* 2199428 */ GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2199482), // Rule ID 47490 //
     /* 2199433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2199439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199447 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2199450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2199464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199481 */   // GIR_Coverage, 47490,
     /* 2199481 */   GIR_EraseRootFromParent_Done,
     /* 2199482 */ // Label 28937: @2199482
     /* 2199482 */ GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2199536), // Rule ID 47491 //
     /* 2199487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2199493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199501 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2199504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2199518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199520 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199535 */   // GIR_Coverage, 47491,
     /* 2199535 */   GIR_EraseRootFromParent_Done,
     /* 2199536 */ // Label 28938: @2199536
     /* 2199536 */ GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2199590), // Rule ID 47524 //
     /* 2199541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2199547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199555 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2199558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2199572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199589 */   // GIR_Coverage, 47524,
     /* 2199589 */   GIR_EraseRootFromParent_Done,
     /* 2199590 */ // Label 28939: @2199590
     /* 2199590 */ GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2199644), // Rule ID 47525 //
     /* 2199595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2199598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2199601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199609 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2199612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2199626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199643 */   // GIR_Coverage, 47525,
     /* 2199643 */   GIR_EraseRootFromParent_Done,
     /* 2199644 */ // Label 28940: @2199644
     /* 2199644 */ GIM_Reject,
     /* 2199645 */ // Label 28905: @2199645
     /* 2199645 */ GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2199748),
     /* 2199650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199661 */   GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2199704), // Rule ID 47384 //
     /* 2199666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199669 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2199672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2199686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199703 */     // GIR_Coverage, 47384,
     /* 2199703 */     GIR_EraseRootFromParent_Done,
     /* 2199704 */   // Label 28942: @2199704
     /* 2199704 */   GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2199747), // Rule ID 47385 //
     /* 2199709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199712 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2199715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2199729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199746 */     // GIR_Coverage, 47385,
     /* 2199746 */     GIR_EraseRootFromParent_Done,
     /* 2199747 */   // Label 28943: @2199747
     /* 2199747 */   GIM_Reject,
     /* 2199748 */ // Label 28941: @2199748
     /* 2199748 */ GIM_Reject,
     /* 2199749 */ // Label 28906: @2199749
     /* 2199749 */ GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2199803), // Rule ID 47408 //
     /* 2199754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199768 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199768 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199771 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199775 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2199785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199802 */   // GIR_Coverage, 47408,
     /* 2199802 */   GIR_EraseRootFromParent_Done,
     /* 2199803 */ // Label 28944: @2199803
     /* 2199803 */ GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2199857), // Rule ID 47409 //
     /* 2199808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2199814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199822 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199834 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2199839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199841 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199844 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199856 */   // GIR_Coverage, 47409,
     /* 2199856 */   GIR_EraseRootFromParent_Done,
     /* 2199857 */ // Label 28945: @2199857
     /* 2199857 */ GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2199911), // Rule ID 47474 //
     /* 2199862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199876 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2199893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199910 */   // GIR_Coverage, 47474,
     /* 2199910 */   GIR_EraseRootFromParent_Done,
     /* 2199911 */ // Label 28946: @2199911
     /* 2199911 */ GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2199965), // Rule ID 47475 //
     /* 2199916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2199922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199930 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199930 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2199933 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199937 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199942 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2199947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199952 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2199964 */   // GIR_Coverage, 47475,
     /* 2199964 */   GIR_EraseRootFromParent_Done,
     /* 2199965 */ // Label 28947: @2199965
     /* 2199965 */ GIM_Reject,
     /* 2199966 */ // Label 28907: @2199966
     /* 2199966 */ GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2200020), // Rule ID 47428 //
     /* 2199971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2199974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2199977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199985 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2199988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2200002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200019 */   // GIR_Coverage, 47428,
     /* 2200019 */   GIR_EraseRootFromParent_Done,
     /* 2200020 */ // Label 28948: @2200020
     /* 2200020 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2200074), // Rule ID 47429 //
     /* 2200025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2200031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200039 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2200042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2200056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200073 */   // GIR_Coverage, 47429,
     /* 2200073 */   GIR_EraseRootFromParent_Done,
     /* 2200074 */ // Label 28949: @2200074
     /* 2200074 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2200128), // Rule ID 47494 //
     /* 2200079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2200085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200093 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2200096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2200110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200127 */   // GIR_Coverage, 47494,
     /* 2200127 */   GIR_EraseRootFromParent_Done,
     /* 2200128 */ // Label 28950: @2200128
     /* 2200128 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2200182), // Rule ID 47495 //
     /* 2200133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2200139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200147 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2200150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2200164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200181 */   // GIR_Coverage, 47495,
     /* 2200181 */   GIR_EraseRootFromParent_Done,
     /* 2200182 */ // Label 28951: @2200182
     /* 2200182 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2200236), // Rule ID 47528 //
     /* 2200187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2200193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200201 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2200204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2200218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200235 */   // GIR_Coverage, 47528,
     /* 2200235 */   GIR_EraseRootFromParent_Done,
     /* 2200236 */ // Label 28952: @2200236
     /* 2200236 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2200290), // Rule ID 47529 //
     /* 2200241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2200247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200255 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2200258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2200272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200289 */   // GIR_Coverage, 47529,
     /* 2200289 */   GIR_EraseRootFromParent_Done,
     /* 2200290 */ // Label 28953: @2200290
     /* 2200290 */ GIM_Reject,
     /* 2200291 */ // Label 28908: @2200291
     /* 2200291 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2200394),
     /* 2200296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200307 */   GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2200350), // Rule ID 47388 //
     /* 2200312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200315 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2200318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2200332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200349 */     // GIR_Coverage, 47388,
     /* 2200349 */     GIR_EraseRootFromParent_Done,
     /* 2200350 */   // Label 28955: @2200350
     /* 2200350 */   GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2200393), // Rule ID 47389 //
     /* 2200355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200358 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2200361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2200375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200392 */     // GIR_Coverage, 47389,
     /* 2200392 */     GIR_EraseRootFromParent_Done,
     /* 2200393 */   // Label 28956: @2200393
     /* 2200393 */   GIM_Reject,
     /* 2200394 */ // Label 28954: @2200394
     /* 2200394 */ GIM_Reject,
     /* 2200395 */ // Label 28909: @2200395
     /* 2200395 */ GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2200449), // Rule ID 47412 //
     /* 2200400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200414 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200414 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2200417 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200421 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200426 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2200431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200436 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200448 */   // GIR_Coverage, 47412,
     /* 2200448 */   GIR_EraseRootFromParent_Done,
     /* 2200449 */ // Label 28957: @2200449
     /* 2200449 */ GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2200503), // Rule ID 47413 //
     /* 2200454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200468 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200468 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2200471 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200475 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200480 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2200485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200487 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200490 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200502 */   // GIR_Coverage, 47413,
     /* 2200502 */   GIR_EraseRootFromParent_Done,
     /* 2200503 */ // Label 28958: @2200503
     /* 2200503 */ GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2200557), // Rule ID 47478 //
     /* 2200508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200522 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200522 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2200525 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200529 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200534 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2200539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200541 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200556 */   // GIR_Coverage, 47478,
     /* 2200556 */   GIR_EraseRootFromParent_Done,
     /* 2200557 */ // Label 28959: @2200557
     /* 2200557 */ GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2200611), // Rule ID 47479 //
     /* 2200562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200576 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200576 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2200579 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200583 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200588 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2200593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200595 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200598 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200610 */   // GIR_Coverage, 47479,
     /* 2200610 */   GIR_EraseRootFromParent_Done,
     /* 2200611 */ // Label 28960: @2200611
     /* 2200611 */ GIM_Reject,
     /* 2200612 */ // Label 28910: @2200612
     /* 2200612 */ GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2200666), // Rule ID 47432 //
     /* 2200617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2200623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200631 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2200648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200665 */   // GIR_Coverage, 47432,
     /* 2200665 */   GIR_EraseRootFromParent_Done,
     /* 2200666 */ // Label 28961: @2200666
     /* 2200666 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2200720), // Rule ID 47433 //
     /* 2200671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2200677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200685 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2200702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200707 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200719 */   // GIR_Coverage, 47433,
     /* 2200719 */   GIR_EraseRootFromParent_Done,
     /* 2200720 */ // Label 28962: @2200720
     /* 2200720 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2200774), // Rule ID 47498 //
     /* 2200725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200739 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2200756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200761 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200773 */   // GIR_Coverage, 47498,
     /* 2200773 */   GIR_EraseRootFromParent_Done,
     /* 2200774 */ // Label 28963: @2200774
     /* 2200774 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2200828), // Rule ID 47499 //
     /* 2200779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2200785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200793 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2200810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200812 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200827 */   // GIR_Coverage, 47499,
     /* 2200827 */   GIR_EraseRootFromParent_Done,
     /* 2200828 */ // Label 28964: @2200828
     /* 2200828 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2200882), // Rule ID 47532 //
     /* 2200833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200847 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2200864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200866 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200881 */   // GIR_Coverage, 47532,
     /* 2200881 */   GIR_EraseRootFromParent_Done,
     /* 2200882 */ // Label 28965: @2200882
     /* 2200882 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2200936), // Rule ID 47533 //
     /* 2200887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2200893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200901 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2200904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200913 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2200918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200920 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200923 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200935 */   // GIR_Coverage, 47533,
     /* 2200935 */   GIR_EraseRootFromParent_Done,
     /* 2200936 */ // Label 28966: @2200936
     /* 2200936 */ GIM_Reject,
     /* 2200937 */ // Label 28911: @2200937
     /* 2200937 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2201040),
     /* 2200942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2200945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200953 */   GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2200996), // Rule ID 47392 //
     /* 2200958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200961 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2200964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2200978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200995 */     // GIR_Coverage, 47392,
     /* 2200995 */     GIR_EraseRootFromParent_Done,
     /* 2200996 */   // Label 28968: @2200996
     /* 2200996 */   GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2201039), // Rule ID 47393 //
     /* 2201001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201004 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2201007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2201021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201038 */     // GIR_Coverage, 47393,
     /* 2201038 */     GIR_EraseRootFromParent_Done,
     /* 2201039 */   // Label 28969: @2201039
     /* 2201039 */   GIM_Reject,
     /* 2201040 */ // Label 28967: @2201040
     /* 2201040 */ GIM_Reject,
     /* 2201041 */ // Label 28912: @2201041
     /* 2201041 */ GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2201095), // Rule ID 47416 //
     /* 2201046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2201052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201060 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201060 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2201063 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201067 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201072 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2201077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201082 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201094 */   // GIR_Coverage, 47416,
     /* 2201094 */   GIR_EraseRootFromParent_Done,
     /* 2201095 */ // Label 28970: @2201095
     /* 2201095 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2201149), // Rule ID 47417 //
     /* 2201100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2201106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201114 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201114 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2201117 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201121 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2201131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201136 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201148 */   // GIR_Coverage, 47417,
     /* 2201148 */   GIR_EraseRootFromParent_Done,
     /* 2201149 */ // Label 28971: @2201149
     /* 2201149 */ GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2201203), // Rule ID 47482 //
     /* 2201154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2201160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201168 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2201171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2201185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201202 */   // GIR_Coverage, 47482,
     /* 2201202 */   GIR_EraseRootFromParent_Done,
     /* 2201203 */ // Label 28972: @2201203
     /* 2201203 */ GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2201257), // Rule ID 47483 //
     /* 2201208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2201214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201222 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2201225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2201239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201256 */   // GIR_Coverage, 47483,
     /* 2201256 */   GIR_EraseRootFromParent_Done,
     /* 2201257 */ // Label 28973: @2201257
     /* 2201257 */ GIM_Reject,
     /* 2201258 */ // Label 28913: @2201258
     /* 2201258 */ GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2201361),
     /* 2201263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2201266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201274 */   GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2201317), // Rule ID 47396 //
     /* 2201279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201282 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2201285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2201299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201316 */     // GIR_Coverage, 47396,
     /* 2201316 */     GIR_EraseRootFromParent_Done,
     /* 2201317 */   // Label 28975: @2201317
     /* 2201317 */   GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2201360), // Rule ID 47397 //
     /* 2201322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201325 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2201328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2201342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201359 */     // GIR_Coverage, 47397,
     /* 2201359 */     GIR_EraseRootFromParent_Done,
     /* 2201360 */   // Label 28976: @2201360
     /* 2201360 */   GIM_Reject,
     /* 2201361 */ // Label 28974: @2201361
     /* 2201361 */ GIM_Reject,
     /* 2201362 */ // Label 28914: @2201362
     /* 2201362 */ GIM_Reject,
     /* 2201363 */ // Label 40: @2201363
     /* 2201363 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28994*/ GIMT_Encode4(2204837),
     /* 2201374 */ /*GILLT_s32*//*Label 28977*/ GIMT_Encode4(2201490),
     /* 2201378 */ /*GILLT_s64*//*Label 28978*/ GIMT_Encode4(2201664), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201390 */ /*GILLT_nxv1s16*//*Label 28979*/ GIMT_Encode4(2201828),
     /* 2201394 */ /*GILLT_nxv1s32*//*Label 28980*/ GIMT_Encode4(2201932),
     /* 2201398 */ /*GILLT_nxv1s64*//*Label 28981*/ GIMT_Encode4(2202149), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201410 */ /*GILLT_nxv2s16*//*Label 28982*/ GIMT_Encode4(2202474),
     /* 2201414 */ /*GILLT_nxv2s32*//*Label 28983*/ GIMT_Encode4(2202578),
     /* 2201418 */ /*GILLT_nxv2s64*//*Label 28984*/ GIMT_Encode4(2202795), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201430 */ /*GILLT_nxv4s16*//*Label 28985*/ GIMT_Encode4(2203120),
     /* 2201434 */ /*GILLT_nxv4s32*//*Label 28986*/ GIMT_Encode4(2203224),
     /* 2201438 */ /*GILLT_nxv4s64*//*Label 28987*/ GIMT_Encode4(2203441), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201450 */ /*GILLT_nxv8s16*//*Label 28988*/ GIMT_Encode4(2203766),
     /* 2201454 */ /*GILLT_nxv8s32*//*Label 28989*/ GIMT_Encode4(2203870),
     /* 2201458 */ /*GILLT_nxv8s64*//*Label 28990*/ GIMT_Encode4(2204087), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201470 */ /*GILLT_nxv16s16*//*Label 28991*/ GIMT_Encode4(2204412),
     /* 2201474 */ /*GILLT_nxv16s32*//*Label 28992*/ GIMT_Encode4(2204516), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2201486 */ /*GILLT_nxv32s16*//*Label 28993*/ GIMT_Encode4(2204733),
     /* 2201490 */ // Label 28977: @2201490
     /* 2201490 */ GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2201663),
     /* 2201495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201506 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2201548), // Rule ID 65135 //
     /* 2201511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2201514 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2201514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201530 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2201538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201547 */     // GIR_Coverage, 65135,
     /* 2201547 */     GIR_EraseRootFromParent_Done,
     /* 2201548 */   // Label 28996: @2201548
     /* 2201548 */   GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2201590), // Rule ID 65137 //
     /* 2201553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201556 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201572 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2201580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201589 */     // GIR_Coverage, 65137,
     /* 2201589 */     GIR_EraseRootFromParent_Done,
     /* 2201590 */   // Label 28997: @2201590
     /* 2201590 */   GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2201632), // Rule ID 65138 //
     /* 2201595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2201598 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2201598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2201601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201614 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2201622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201631 */     // GIR_Coverage, 65138,
     /* 2201631 */     GIR_EraseRootFromParent_Done,
     /* 2201632 */   // Label 28998: @2201632
     /* 2201632 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2201647), // Rule ID 65140 //
     /* 2201637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2201640 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2201645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201646 */     // GIR_Coverage, 65140,
     /* 2201646 */     GIR_Done,
     /* 2201647 */   // Label 28999: @2201647
     /* 2201647 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2201662), // Rule ID 65141 //
     /* 2201652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2201655 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2201655 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2201660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201661 */     // GIR_Coverage, 65141,
     /* 2201661 */     GIR_Done,
     /* 2201662 */   // Label 29000: @2201662
     /* 2201662 */   GIM_Reject,
     /* 2201663 */ // Label 28995: @2201663
     /* 2201663 */ GIM_Reject,
     /* 2201664 */ // Label 28978: @2201664
     /* 2201664 */ GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2201695), // Rule ID 65125 //
     /* 2201669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2201672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201683 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2201683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2201686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201688 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2201690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2201693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201694 */   // GIR_Coverage, 65125,
     /* 2201694 */   GIR_EraseRootFromParent_Done,
     /* 2201695 */ // Label 29001: @2201695
     /* 2201695 */ GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2201748), // Rule ID 65134 //
     /* 2201700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2201703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201714 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2201714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201726 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201730 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2201733 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2201738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201740 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2201746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201747 */   // GIR_Coverage, 65134,
     /* 2201747 */   GIR_EraseRootFromParent_Done,
     /* 2201748 */ // Label 29002: @2201748
     /* 2201748 */ GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2201801), // Rule ID 65136 //
     /* 2201753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2201756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201767 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2201767 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2201770 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2201774 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201779 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2201783 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2201786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2201791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2201799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201800 */   // GIR_Coverage, 65136,
     /* 2201800 */   GIR_EraseRootFromParent_Done,
     /* 2201801 */ // Label 29003: @2201801
     /* 2201801 */ GIM_Try, /*On fail goto*//*Label 29004*/ GIMT_Encode4(2201827), // Rule ID 65142 //
     /* 2201806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2201809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2201812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201820 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2201820 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2201825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201826 */   // GIR_Coverage, 65142,
     /* 2201826 */   GIR_Done,
     /* 2201827 */ // Label 29004: @2201827
     /* 2201827 */ GIM_Reject,
     /* 2201828 */ // Label 28979: @2201828
     /* 2201828 */ GIM_Try, /*On fail goto*//*Label 29005*/ GIMT_Encode4(2201931),
     /* 2201833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2201836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201844 */   GIM_Try, /*On fail goto*//*Label 29006*/ GIMT_Encode4(2201887), // Rule ID 47434 //
     /* 2201849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201852 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2201869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201886 */     // GIR_Coverage, 47434,
     /* 2201886 */     GIR_EraseRootFromParent_Done,
     /* 2201887 */   // Label 29006: @2201887
     /* 2201887 */   GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2201930), // Rule ID 47435 //
     /* 2201892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201895 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2201912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201929 */     // GIR_Coverage, 47435,
     /* 2201929 */     GIR_EraseRootFromParent_Done,
     /* 2201930 */   // Label 29007: @2201930
     /* 2201930 */   GIM_Reject,
     /* 2201931 */ // Label 29005: @2201931
     /* 2201931 */ GIM_Reject,
     /* 2201932 */ // Label 28980: @2201932
     /* 2201932 */ GIM_Try, /*On fail goto*//*Label 29008*/ GIMT_Encode4(2201986), // Rule ID 47446 //
     /* 2201937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201951 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2201968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201970 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201973 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201985 */   // GIR_Coverage, 47446,
     /* 2201985 */   GIR_EraseRootFromParent_Done,
     /* 2201986 */ // Label 29008: @2201986
     /* 2201986 */ GIM_Try, /*On fail goto*//*Label 29009*/ GIMT_Encode4(2202040), // Rule ID 47447 //
     /* 2201991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202005 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202005 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202012 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2202022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202024 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202027 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202039 */   // GIR_Coverage, 47447,
     /* 2202039 */   GIR_EraseRootFromParent_Done,
     /* 2202040 */ // Label 29009: @2202040
     /* 2202040 */ GIM_Try, /*On fail goto*//*Label 29010*/ GIMT_Encode4(2202094), // Rule ID 47500 //
     /* 2202045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202059 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2202076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202093 */   // GIR_Coverage, 47500,
     /* 2202093 */   GIR_EraseRootFromParent_Done,
     /* 2202094 */ // Label 29010: @2202094
     /* 2202094 */ GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2202148), // Rule ID 47501 //
     /* 2202099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202113 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2202116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2202130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202147 */   // GIR_Coverage, 47501,
     /* 2202147 */   GIR_EraseRootFromParent_Done,
     /* 2202148 */ // Label 29011: @2202148
     /* 2202148 */ GIM_Reject,
     /* 2202149 */ // Label 28981: @2202149
     /* 2202149 */ GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2202203), // Rule ID 47456 //
     /* 2202154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2202160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202168 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2202185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202202 */   // GIR_Coverage, 47456,
     /* 2202202 */   GIR_EraseRootFromParent_Done,
     /* 2202203 */ // Label 29012: @2202203
     /* 2202203 */ GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2202257), // Rule ID 47457 //
     /* 2202208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2202214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202222 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2202239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202256 */   // GIR_Coverage, 47457,
     /* 2202256 */   GIR_EraseRootFromParent_Done,
     /* 2202257 */ // Label 29013: @2202257
     /* 2202257 */ GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2202311), // Rule ID 47510 //
     /* 2202262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202276 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2202293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202310 */   // GIR_Coverage, 47510,
     /* 2202310 */   GIR_EraseRootFromParent_Done,
     /* 2202311 */ // Label 29014: @2202311
     /* 2202311 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2202365), // Rule ID 47511 //
     /* 2202316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2202322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202330 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202330 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202333 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202337 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202342 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2202347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202349 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202352 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202364 */   // GIR_Coverage, 47511,
     /* 2202364 */   GIR_EraseRootFromParent_Done,
     /* 2202365 */ // Label 29015: @2202365
     /* 2202365 */ GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2202419), // Rule ID 47534 //
     /* 2202370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202384 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2202401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202418 */   // GIR_Coverage, 47534,
     /* 2202418 */   GIR_EraseRootFromParent_Done,
     /* 2202419 */ // Label 29016: @2202419
     /* 2202419 */ GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2202473), // Rule ID 47535 //
     /* 2202424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2202430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202438 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2202441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2202455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202472 */   // GIR_Coverage, 47535,
     /* 2202472 */   GIR_EraseRootFromParent_Done,
     /* 2202473 */ // Label 29017: @2202473
     /* 2202473 */ GIM_Reject,
     /* 2202474 */ // Label 28982: @2202474
     /* 2202474 */ GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2202577),
     /* 2202479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202490 */   GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2202533), // Rule ID 47436 //
     /* 2202495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202498 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2202515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202532 */     // GIR_Coverage, 47436,
     /* 2202532 */     GIR_EraseRootFromParent_Done,
     /* 2202533 */   // Label 29019: @2202533
     /* 2202533 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2202576), // Rule ID 47437 //
     /* 2202538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202541 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2202544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2202558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202575 */     // GIR_Coverage, 47437,
     /* 2202575 */     GIR_EraseRootFromParent_Done,
     /* 2202576 */   // Label 29020: @2202576
     /* 2202576 */   GIM_Reject,
     /* 2202577 */ // Label 29018: @2202577
     /* 2202577 */ GIM_Reject,
     /* 2202578 */ // Label 28983: @2202578
     /* 2202578 */ GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2202632), // Rule ID 47448 //
     /* 2202583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202597 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202597 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202600 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202604 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2202614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202619 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202631 */   // GIR_Coverage, 47448,
     /* 2202631 */   GIR_EraseRootFromParent_Done,
     /* 2202632 */ // Label 29021: @2202632
     /* 2202632 */ GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2202686), // Rule ID 47449 //
     /* 2202637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202651 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2202668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202670 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202673 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202685 */   // GIR_Coverage, 47449,
     /* 2202685 */   GIR_EraseRootFromParent_Done,
     /* 2202686 */ // Label 29022: @2202686
     /* 2202686 */ GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2202740), // Rule ID 47502 //
     /* 2202691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202705 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2202722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202739 */   // GIR_Coverage, 47502,
     /* 2202739 */   GIR_EraseRootFromParent_Done,
     /* 2202740 */ // Label 29023: @2202740
     /* 2202740 */ GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2202794), // Rule ID 47503 //
     /* 2202745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2202751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202759 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2202762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2202776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202793 */   // GIR_Coverage, 47503,
     /* 2202793 */   GIR_EraseRootFromParent_Done,
     /* 2202794 */ // Label 29024: @2202794
     /* 2202794 */ GIM_Reject,
     /* 2202795 */ // Label 28984: @2202795
     /* 2202795 */ GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2202849), // Rule ID 47458 //
     /* 2202800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202814 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202814 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202817 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202821 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202826 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2202831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202833 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202836 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202848 */   // GIR_Coverage, 47458,
     /* 2202848 */   GIR_EraseRootFromParent_Done,
     /* 2202849 */ // Label 29025: @2202849
     /* 2202849 */ GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2202903), // Rule ID 47459 //
     /* 2202854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202868 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202868 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202871 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202875 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202880 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2202885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202887 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202890 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202902 */   // GIR_Coverage, 47459,
     /* 2202902 */   GIR_EraseRootFromParent_Done,
     /* 2202903 */ // Label 29026: @2202903
     /* 2202903 */ GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2202957), // Rule ID 47512 //
     /* 2202908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202922 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2202939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202956 */   // GIR_Coverage, 47512,
     /* 2202956 */   GIR_EraseRootFromParent_Done,
     /* 2202957 */ // Label 29027: @2202957
     /* 2202957 */ GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2203011), // Rule ID 47513 //
     /* 2202962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2202968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202976 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2202993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203010 */   // GIR_Coverage, 47513,
     /* 2203010 */   GIR_EraseRootFromParent_Done,
     /* 2203011 */ // Label 29028: @2203011
     /* 2203011 */ GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2203065), // Rule ID 47536 //
     /* 2203016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203030 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2203047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203064 */   // GIR_Coverage, 47536,
     /* 2203064 */   GIR_EraseRootFromParent_Done,
     /* 2203065 */ // Label 29029: @2203065
     /* 2203065 */ GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2203119), // Rule ID 47537 //
     /* 2203070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2203076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203084 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2203087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2203101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203103 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203106 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203118 */   // GIR_Coverage, 47537,
     /* 2203118 */   GIR_EraseRootFromParent_Done,
     /* 2203119 */ // Label 29030: @2203119
     /* 2203119 */ GIM_Reject,
     /* 2203120 */ // Label 28985: @2203120
     /* 2203120 */ GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2203223),
     /* 2203125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203136 */   GIM_Try, /*On fail goto*//*Label 29032*/ GIMT_Encode4(2203179), // Rule ID 47438 //
     /* 2203141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203144 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2203147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2203161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203178 */     // GIR_Coverage, 47438,
     /* 2203178 */     GIR_EraseRootFromParent_Done,
     /* 2203179 */   // Label 29032: @2203179
     /* 2203179 */   GIM_Try, /*On fail goto*//*Label 29033*/ GIMT_Encode4(2203222), // Rule ID 47439 //
     /* 2203184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203187 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2203190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2203204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203221 */     // GIR_Coverage, 47439,
     /* 2203221 */     GIR_EraseRootFromParent_Done,
     /* 2203222 */   // Label 29033: @2203222
     /* 2203222 */   GIM_Reject,
     /* 2203223 */ // Label 29031: @2203223
     /* 2203223 */ GIM_Reject,
     /* 2203224 */ // Label 28986: @2203224
     /* 2203224 */ GIM_Try, /*On fail goto*//*Label 29034*/ GIMT_Encode4(2203278), // Rule ID 47450 //
     /* 2203229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203243 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2203260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203265 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203277 */   // GIR_Coverage, 47450,
     /* 2203277 */   GIR_EraseRootFromParent_Done,
     /* 2203278 */ // Label 29034: @2203278
     /* 2203278 */ GIM_Try, /*On fail goto*//*Label 29035*/ GIMT_Encode4(2203332), // Rule ID 47451 //
     /* 2203283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203297 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203297 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203300 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203304 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203309 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2203314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203331 */   // GIR_Coverage, 47451,
     /* 2203331 */   GIR_EraseRootFromParent_Done,
     /* 2203332 */ // Label 29035: @2203332
     /* 2203332 */ GIM_Try, /*On fail goto*//*Label 29036*/ GIMT_Encode4(2203386), // Rule ID 47504 //
     /* 2203337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203351 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2203368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203385 */   // GIR_Coverage, 47504,
     /* 2203385 */   GIR_EraseRootFromParent_Done,
     /* 2203386 */ // Label 29036: @2203386
     /* 2203386 */ GIM_Try, /*On fail goto*//*Label 29037*/ GIMT_Encode4(2203440), // Rule ID 47505 //
     /* 2203391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203405 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2203422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203439 */   // GIR_Coverage, 47505,
     /* 2203439 */   GIR_EraseRootFromParent_Done,
     /* 2203440 */ // Label 29037: @2203440
     /* 2203440 */ GIM_Reject,
     /* 2203441 */ // Label 28987: @2203441
     /* 2203441 */ GIM_Try, /*On fail goto*//*Label 29038*/ GIMT_Encode4(2203495), // Rule ID 47460 //
     /* 2203446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203460 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203460 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203463 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203467 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203472 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2203477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203494 */   // GIR_Coverage, 47460,
     /* 2203494 */   GIR_EraseRootFromParent_Done,
     /* 2203495 */ // Label 29038: @2203495
     /* 2203495 */ GIM_Try, /*On fail goto*//*Label 29039*/ GIMT_Encode4(2203549), // Rule ID 47461 //
     /* 2203500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203514 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203514 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203517 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203521 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2203531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203533 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203548 */   // GIR_Coverage, 47461,
     /* 2203548 */   GIR_EraseRootFromParent_Done,
     /* 2203549 */ // Label 29039: @2203549
     /* 2203549 */ GIM_Try, /*On fail goto*//*Label 29040*/ GIMT_Encode4(2203603), // Rule ID 47514 //
     /* 2203554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203568 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203568 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203571 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203575 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2203585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203587 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203590 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203602 */   // GIR_Coverage, 47514,
     /* 2203602 */   GIR_EraseRootFromParent_Done,
     /* 2203603 */ // Label 29040: @2203603
     /* 2203603 */ GIM_Try, /*On fail goto*//*Label 29041*/ GIMT_Encode4(2203657), // Rule ID 47515 //
     /* 2203608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203622 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203622 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203625 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203629 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203634 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2203639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203641 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203656 */   // GIR_Coverage, 47515,
     /* 2203656 */   GIR_EraseRootFromParent_Done,
     /* 2203657 */ // Label 29041: @2203657
     /* 2203657 */ GIM_Try, /*On fail goto*//*Label 29042*/ GIMT_Encode4(2203711), // Rule ID 47538 //
     /* 2203662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203676 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2203693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203710 */   // GIR_Coverage, 47538,
     /* 2203710 */   GIR_EraseRootFromParent_Done,
     /* 2203711 */ // Label 29042: @2203711
     /* 2203711 */ GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2203765), // Rule ID 47539 //
     /* 2203716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2203722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203730 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2203747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203764 */   // GIR_Coverage, 47539,
     /* 2203764 */   GIR_EraseRootFromParent_Done,
     /* 2203765 */ // Label 29043: @2203765
     /* 2203765 */ GIM_Reject,
     /* 2203766 */ // Label 28988: @2203766
     /* 2203766 */ GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2203869),
     /* 2203771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203782 */   GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2203825), // Rule ID 47440 //
     /* 2203787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203790 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2203807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203824 */     // GIR_Coverage, 47440,
     /* 2203824 */     GIR_EraseRootFromParent_Done,
     /* 2203825 */   // Label 29045: @2203825
     /* 2203825 */   GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2203868), // Rule ID 47441 //
     /* 2203830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203833 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2203836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2203850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203867 */     // GIR_Coverage, 47441,
     /* 2203867 */     GIR_EraseRootFromParent_Done,
     /* 2203868 */   // Label 29046: @2203868
     /* 2203868 */   GIM_Reject,
     /* 2203869 */ // Label 29044: @2203869
     /* 2203869 */ GIM_Reject,
     /* 2203870 */ // Label 28989: @2203870
     /* 2203870 */ GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2203924), // Rule ID 47452 //
     /* 2203875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203889 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203889 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203892 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203896 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203901 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2203906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203908 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203911 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203923 */   // GIR_Coverage, 47452,
     /* 2203923 */   GIR_EraseRootFromParent_Done,
     /* 2203924 */ // Label 29047: @2203924
     /* 2203924 */ GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2203978), // Rule ID 47453 //
     /* 2203929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203943 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2203946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2203960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203962 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203965 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203977 */   // GIR_Coverage, 47453,
     /* 2203977 */   GIR_EraseRootFromParent_Done,
     /* 2203978 */ // Label 29048: @2203978
     /* 2203978 */ GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2204032), // Rule ID 47506 //
     /* 2203983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203997 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203997 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204000 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204004 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204009 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2204014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204016 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204019 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204031 */   // GIR_Coverage, 47506,
     /* 2204031 */   GIR_EraseRootFromParent_Done,
     /* 2204032 */ // Label 29049: @2204032
     /* 2204032 */ GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2204086), // Rule ID 47507 //
     /* 2204037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204051 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204051 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204054 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204058 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204063 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2204068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204070 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204073 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204085 */   // GIR_Coverage, 47507,
     /* 2204085 */   GIR_EraseRootFromParent_Done,
     /* 2204086 */ // Label 29050: @2204086
     /* 2204086 */ GIM_Reject,
     /* 2204087 */ // Label 28990: @2204087
     /* 2204087 */ GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2204141), // Rule ID 47462 //
     /* 2204092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204106 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204106 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204109 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204113 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2204123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204125 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204128 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204140 */   // GIR_Coverage, 47462,
     /* 2204140 */   GIR_EraseRootFromParent_Done,
     /* 2204141 */ // Label 29051: @2204141
     /* 2204141 */ GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2204195), // Rule ID 47463 //
     /* 2204146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204160 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204160 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204163 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204167 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204172 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2204177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204179 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204182 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204194 */   // GIR_Coverage, 47463,
     /* 2204194 */   GIR_EraseRootFromParent_Done,
     /* 2204195 */ // Label 29052: @2204195
     /* 2204195 */ GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2204249), // Rule ID 47516 //
     /* 2204200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204214 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2204231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204248 */   // GIR_Coverage, 47516,
     /* 2204248 */   GIR_EraseRootFromParent_Done,
     /* 2204249 */ // Label 29053: @2204249
     /* 2204249 */ GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2204303), // Rule ID 47517 //
     /* 2204254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204268 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204268 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204271 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204275 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204280 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2204285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204287 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204290 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204302 */   // GIR_Coverage, 47517,
     /* 2204302 */   GIR_EraseRootFromParent_Done,
     /* 2204303 */ // Label 29054: @2204303
     /* 2204303 */ GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2204357), // Rule ID 47540 //
     /* 2204308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204322 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204322 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204325 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204329 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204334 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2204339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204341 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204344 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204356 */   // GIR_Coverage, 47540,
     /* 2204356 */   GIR_EraseRootFromParent_Done,
     /* 2204357 */ // Label 29055: @2204357
     /* 2204357 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2204411), // Rule ID 47541 //
     /* 2204362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2204365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204376 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204376 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204379 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204383 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204388 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2204393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204395 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204398 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204410 */   // GIR_Coverage, 47541,
     /* 2204410 */   GIR_EraseRootFromParent_Done,
     /* 2204411 */ // Label 29056: @2204411
     /* 2204411 */ GIM_Reject,
     /* 2204412 */ // Label 28991: @2204412
     /* 2204412 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2204515),
     /* 2204417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204428 */   GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2204471), // Rule ID 47442 //
     /* 2204433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204436 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2204453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204470 */     // GIR_Coverage, 47442,
     /* 2204470 */     GIR_EraseRootFromParent_Done,
     /* 2204471 */   // Label 29058: @2204471
     /* 2204471 */   GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2204514), // Rule ID 47443 //
     /* 2204476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204479 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2204496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204513 */     // GIR_Coverage, 47443,
     /* 2204513 */     GIR_EraseRootFromParent_Done,
     /* 2204514 */   // Label 29059: @2204514
     /* 2204514 */   GIM_Reject,
     /* 2204515 */ // Label 29057: @2204515
     /* 2204515 */ GIM_Reject,
     /* 2204516 */ // Label 28992: @2204516
     /* 2204516 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2204570), // Rule ID 47454 //
     /* 2204521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204535 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204535 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204538 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204542 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204547 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2204552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204554 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204557 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204569 */   // GIR_Coverage, 47454,
     /* 2204569 */   GIR_EraseRootFromParent_Done,
     /* 2204570 */ // Label 29060: @2204570
     /* 2204570 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2204624), // Rule ID 47455 //
     /* 2204575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204589 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204589 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204592 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204596 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2204606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204608 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204611 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204623 */   // GIR_Coverage, 47455,
     /* 2204623 */   GIR_EraseRootFromParent_Done,
     /* 2204624 */ // Label 29061: @2204624
     /* 2204624 */ GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2204678), // Rule ID 47508 //
     /* 2204629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204643 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204643 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204646 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204650 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2204660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204677 */   // GIR_Coverage, 47508,
     /* 2204677 */   GIR_EraseRootFromParent_Done,
     /* 2204678 */ // Label 29062: @2204678
     /* 2204678 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2204732), // Rule ID 47509 //
     /* 2204683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2204689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204697 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2204700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2204714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2204731 */   // GIR_Coverage, 47509,
     /* 2204731 */   GIR_EraseRootFromParent_Done,
     /* 2204732 */ // Label 29063: @2204732
     /* 2204732 */ GIM_Reject,
     /* 2204733 */ // Label 28993: @2204733
     /* 2204733 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2204836),
     /* 2204738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2204741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204749 */   GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2204792), // Rule ID 47444 //
     /* 2204754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204757 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2204774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204791 */     // GIR_Coverage, 47444,
     /* 2204791 */     GIR_EraseRootFromParent_Done,
     /* 2204792 */   // Label 29065: @2204792
     /* 2204792 */   GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2204835), // Rule ID 47445 //
     /* 2204797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204800 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2204803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2204817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2204824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204834 */     // GIR_Coverage, 47445,
     /* 2204834 */     GIR_EraseRootFromParent_Done,
     /* 2204835 */   // Label 29066: @2204835
     /* 2204835 */   GIM_Reject,
     /* 2204836 */ // Label 29064: @2204836
     /* 2204836 */ GIM_Reject,
     /* 2204837 */ // Label 28994: @2204837
     /* 2204837 */ GIM_Reject,
     /* 2204838 */ // Label 41: @2204838
     /* 2204838 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29069*/ GIMT_Encode4(2205352),
     /* 2204849 */ /*GILLT_s32*//*Label 29067*/ GIMT_Encode4(2204857),
     /* 2204853 */ /*GILLT_s64*//*Label 29068*/ GIMT_Encode4(2205089),
     /* 2204857 */ // Label 29067: @2204857
     /* 2204857 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2205088),
     /* 2204862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2204865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2204873 */   GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2204901), // Rule ID 64458 //
     /* 2204878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2204881 */     // MIs[0] Operand 2
     /* 2204881 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2204892 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2204892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2204895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204900 */     // GIR_Coverage, 64458,
     /* 2204900 */     GIR_EraseRootFromParent_Done,
     /* 2204901 */   // Label 29071: @2204901
     /* 2204901 */   GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2204929), // Rule ID 64460 //
     /* 2204906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2204909 */     // MIs[0] Operand 2
     /* 2204909 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2204920 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2204920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2204923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204928 */     // GIR_Coverage, 64460,
     /* 2204928 */     GIR_EraseRootFromParent_Done,
     /* 2204929 */   // Label 29072: @2204929
     /* 2204929 */   GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2204957), // Rule ID 2415 //
     /* 2204934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2204937 */     // MIs[0] Operand 2
     /* 2204937 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2204948 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2204948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2204951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204956 */     // GIR_Coverage, 2415,
     /* 2204956 */     GIR_EraseRootFromParent_Done,
     /* 2204957 */   // Label 29073: @2204957
     /* 2204957 */   GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2204985), // Rule ID 2417 //
     /* 2204962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2204965 */     // MIs[0] Operand 2
     /* 2204965 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2204976 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2204976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2204979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204984 */     // GIR_Coverage, 2417,
     /* 2204984 */     GIR_EraseRootFromParent_Done,
     /* 2204985 */   // Label 29074: @2204985
     /* 2204985 */   GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2205019), // Rule ID 62544 //
     /* 2204990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2204993 */     // MIs[0] Operand 2
     /* 2204993 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2205004 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2205004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2205007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2205014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205018 */     // GIR_Coverage, 62544,
     /* 2205018 */     GIR_EraseRootFromParent_Done,
     /* 2205019 */   // Label 29075: @2205019
     /* 2205019 */   GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2205053), // Rule ID 62546 //
     /* 2205024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2205027 */     // MIs[0] Operand 2
     /* 2205027 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2205038 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2205038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2205041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205052 */     // GIR_Coverage, 62546,
     /* 2205052 */     GIR_EraseRootFromParent_Done,
     /* 2205053 */   // Label 29076: @2205053
     /* 2205053 */   GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2205087), // Rule ID 62548 //
     /* 2205058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2205061 */     // MIs[0] Operand 2
     /* 2205061 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2205072 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2205072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2205075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205086 */     // GIR_Coverage, 62548,
     /* 2205086 */     GIR_EraseRootFromParent_Done,
     /* 2205087 */   // Label 29077: @2205087
     /* 2205087 */   GIM_Reject,
     /* 2205088 */ // Label 29070: @2205088
     /* 2205088 */ GIM_Reject,
     /* 2205089 */ // Label 29068: @2205089
     /* 2205089 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2205351),
     /* 2205094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205105 */   GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2205133), // Rule ID 64457 //
     /* 2205110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2205113 */     // MIs[0] Operand 2
     /* 2205113 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2205124 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2205124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2205127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205132 */     // GIR_Coverage, 64457,
     /* 2205132 */     GIR_EraseRootFromParent_Done,
     /* 2205133 */   // Label 29079: @2205133
     /* 2205133 */   GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2205161), // Rule ID 64459 //
     /* 2205138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2205141 */     // MIs[0] Operand 2
     /* 2205141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2205152 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2205152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2205155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205160 */     // GIR_Coverage, 64459,
     /* 2205160 */     GIR_EraseRootFromParent_Done,
     /* 2205161 */   // Label 29080: @2205161
     /* 2205161 */   GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2205192), // Rule ID 256 //
     /* 2205166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2205169 */     // MIs[0] Operand 2
     /* 2205169 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2205180 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2205180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2205183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205191 */     // GIR_Coverage, 256,
     /* 2205191 */     GIR_EraseRootFromParent_Done,
     /* 2205192 */   // Label 29081: @2205192
     /* 2205192 */   GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2205220), // Rule ID 2414 //
     /* 2205197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2205200 */     // MIs[0] Operand 2
     /* 2205200 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2205211 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2205211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2205214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205219 */     // GIR_Coverage, 2414,
     /* 2205219 */     GIR_EraseRootFromParent_Done,
     /* 2205220 */   // Label 29082: @2205220
     /* 2205220 */   GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2205248), // Rule ID 2416 //
     /* 2205225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2205228 */     // MIs[0] Operand 2
     /* 2205228 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2205239 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2205239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2205242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205247 */     // GIR_Coverage, 2416,
     /* 2205247 */     GIR_EraseRootFromParent_Done,
     /* 2205248 */   // Label 29083: @2205248
     /* 2205248 */   GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2205282), // Rule ID 62543 //
     /* 2205253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2205256 */     // MIs[0] Operand 2
     /* 2205256 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2205267 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2205267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2205270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2205277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205281 */     // GIR_Coverage, 62543,
     /* 2205281 */     GIR_EraseRootFromParent_Done,
     /* 2205282 */   // Label 29084: @2205282
     /* 2205282 */   GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2205316), // Rule ID 62545 //
     /* 2205287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2205290 */     // MIs[0] Operand 2
     /* 2205290 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2205301 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2205301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2205304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205315 */     // GIR_Coverage, 62545,
     /* 2205315 */     GIR_EraseRootFromParent_Done,
     /* 2205316 */   // Label 29085: @2205316
     /* 2205316 */   GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2205350), // Rule ID 62547 //
     /* 2205321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2205324 */     // MIs[0] Operand 2
     /* 2205324 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2205335 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2205335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2205338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205349 */     // GIR_Coverage, 62547,
     /* 2205349 */     GIR_EraseRootFromParent_Done,
     /* 2205350 */   // Label 29086: @2205350
     /* 2205350 */   GIM_Reject,
     /* 2205351 */ // Label 29078: @2205351
     /* 2205351 */ GIM_Reject,
     /* 2205352 */ // Label 29069: @2205352
     /* 2205352 */ GIM_Reject,
     /* 2205353 */ // Label 42: @2205353
     /* 2205353 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29104*/ GIMT_Encode4(2209039),
     /* 2205364 */ /*GILLT_s32*//*Label 29087*/ GIMT_Encode4(2205480),
     /* 2205368 */ /*GILLT_s64*//*Label 29088*/ GIMT_Encode4(2205776), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205380 */ /*GILLT_nxv1s16*//*Label 29089*/ GIMT_Encode4(2206030),
     /* 2205384 */ /*GILLT_nxv1s32*//*Label 29090*/ GIMT_Encode4(2206134),
     /* 2205388 */ /*GILLT_nxv1s64*//*Label 29091*/ GIMT_Encode4(2206351), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205400 */ /*GILLT_nxv2s16*//*Label 29092*/ GIMT_Encode4(2206676),
     /* 2205404 */ /*GILLT_nxv2s32*//*Label 29093*/ GIMT_Encode4(2206780),
     /* 2205408 */ /*GILLT_nxv2s64*//*Label 29094*/ GIMT_Encode4(2206997), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205420 */ /*GILLT_nxv4s16*//*Label 29095*/ GIMT_Encode4(2207322),
     /* 2205424 */ /*GILLT_nxv4s32*//*Label 29096*/ GIMT_Encode4(2207426),
     /* 2205428 */ /*GILLT_nxv4s64*//*Label 29097*/ GIMT_Encode4(2207643), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205440 */ /*GILLT_nxv8s16*//*Label 29098*/ GIMT_Encode4(2207968),
     /* 2205444 */ /*GILLT_nxv8s32*//*Label 29099*/ GIMT_Encode4(2208072),
     /* 2205448 */ /*GILLT_nxv8s64*//*Label 29100*/ GIMT_Encode4(2208289), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205460 */ /*GILLT_nxv16s16*//*Label 29101*/ GIMT_Encode4(2208614),
     /* 2205464 */ /*GILLT_nxv16s32*//*Label 29102*/ GIMT_Encode4(2208718), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205476 */ /*GILLT_nxv32s16*//*Label 29103*/ GIMT_Encode4(2208935),
     /* 2205480 */ // Label 29087: @2205480
     /* 2205480 */ GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2205775),
     /* 2205485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205496 */   GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2205538), // Rule ID 65130 //
     /* 2205501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2205504 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2205504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2205507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205520 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2205523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2205536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205537 */     // GIR_Coverage, 65130,
     /* 2205537 */     GIR_EraseRootFromParent_Done,
     /* 2205538 */   // Label 29106: @2205538
     /* 2205538 */   GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2205580), // Rule ID 65132 //
     /* 2205543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2205546 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2205546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2205549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205558 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205562 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2205565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2205578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205579 */     // GIR_Coverage, 65132,
     /* 2205579 */     GIR_EraseRootFromParent_Done,
     /* 2205580 */   // Label 29107: @2205580
     /* 2205580 */   GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2205622), // Rule ID 65133 //
     /* 2205585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2205588 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2205588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2205591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205604 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2205607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2205620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205621 */     // GIR_Coverage, 65133,
     /* 2205621 */     GIR_EraseRootFromParent_Done,
     /* 2205622 */   // Label 29108: @2205622
     /* 2205622 */   GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2205637), // Rule ID 65143 //
     /* 2205627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2205630 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2205630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2205635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205636 */     // GIR_Coverage, 65143,
     /* 2205636 */     GIR_Done,
     /* 2205637 */   // Label 29109: @2205637
     /* 2205637 */   GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2205652), // Rule ID 65144 //
     /* 2205642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2205645 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2205645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2205650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205651 */     // GIR_Coverage, 65144,
     /* 2205651 */     GIR_Done,
     /* 2205652 */   // Label 29110: @2205652
     /* 2205652 */   GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2205667), // Rule ID 65146 //
     /* 2205657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2205660 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2205660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2205665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205666 */     // GIR_Coverage, 65146,
     /* 2205666 */     GIR_Done,
     /* 2205667 */   // Label 29111: @2205667
     /* 2205667 */   GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2205682), // Rule ID 65147 //
     /* 2205672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2205675 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2205675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2205680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205681 */     // GIR_Coverage, 65147,
     /* 2205681 */     GIR_Done,
     /* 2205682 */   // Label 29112: @2205682
     /* 2205682 */   GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2205705), // Rule ID 65148 //
     /* 2205687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2205690 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2205690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2205693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205704 */     // GIR_Coverage, 65148,
     /* 2205704 */     GIR_EraseRootFromParent_Done,
     /* 2205705 */   // Label 29113: @2205705
     /* 2205705 */   GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2205728), // Rule ID 65149 //
     /* 2205710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2205713 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2205713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2205716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205727 */     // GIR_Coverage, 65149,
     /* 2205727 */     GIR_EraseRootFromParent_Done,
     /* 2205728 */   // Label 29114: @2205728
     /* 2205728 */   GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2205751), // Rule ID 65151 //
     /* 2205733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2205736 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2205736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2205739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205750 */     // GIR_Coverage, 65151,
     /* 2205750 */     GIR_EraseRootFromParent_Done,
     /* 2205751 */   // Label 29115: @2205751
     /* 2205751 */   GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2205774), // Rule ID 65152 //
     /* 2205756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2205759 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2205759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2205762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205773 */     // GIR_Coverage, 65152,
     /* 2205773 */     GIR_EraseRootFromParent_Done,
     /* 2205774 */   // Label 29116: @2205774
     /* 2205774 */   GIM_Reject,
     /* 2205775 */ // Label 29105: @2205775
     /* 2205775 */ GIM_Reject,
     /* 2205776 */ // Label 29088: @2205776
     /* 2205776 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2205829), // Rule ID 65128 //
     /* 2205781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2205784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205795 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2205795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2205798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205807 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205811 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2205814 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2205827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205828 */   // GIR_Coverage, 65128,
     /* 2205828 */   GIR_EraseRootFromParent_Done,
     /* 2205829 */ // Label 29117: @2205829
     /* 2205829 */ GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2205882), // Rule ID 65129 //
     /* 2205834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2205837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205848 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2205848 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2205851 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205855 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205860 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205864 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2205867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205874 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2205880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205881 */   // GIR_Coverage, 65129,
     /* 2205881 */   GIR_EraseRootFromParent_Done,
     /* 2205882 */ // Label 29118: @2205882
     /* 2205882 */ GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2205935), // Rule ID 65131 //
     /* 2205887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2205890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205901 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2205901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2205904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2205908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205913 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2205917 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2205920 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2205925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205927 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2205933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205934 */   // GIR_Coverage, 65131,
     /* 2205934 */   GIR_EraseRootFromParent_Done,
     /* 2205935 */ // Label 29119: @2205935
     /* 2205935 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2205969), // Rule ID 65139 //
     /* 2205940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2205943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205954 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2205954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2205957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205959 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2205961 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205968 */   // GIR_Coverage, 65139,
     /* 2205968 */   GIR_EraseRootFromParent_Done,
     /* 2205969 */ // Label 29120: @2205969
     /* 2205969 */ GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2205995), // Rule ID 65145 //
     /* 2205974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2205977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205988 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2205988 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2205993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205994 */   // GIR_Coverage, 65145,
     /* 2205994 */   GIR_Done,
     /* 2205995 */ // Label 29121: @2205995
     /* 2205995 */ GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2206029), // Rule ID 65150 //
     /* 2206000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2206003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2206006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206014 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2206014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2206017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206019 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2206021 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206028 */   // GIR_Coverage, 65150,
     /* 2206028 */   GIR_EraseRootFromParent_Done,
     /* 2206029 */ // Label 29122: @2206029
     /* 2206029 */ GIM_Reject,
     /* 2206030 */ // Label 29089: @2206030
     /* 2206030 */ GIM_Try, /*On fail goto*//*Label 29123*/ GIMT_Encode4(2206133),
     /* 2206035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206046 */   GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2206089), // Rule ID 45686 //
     /* 2206051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206054 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2206071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206088 */     // GIR_Coverage, 45686,
     /* 2206088 */     GIR_EraseRootFromParent_Done,
     /* 2206089 */   // Label 29124: @2206089
     /* 2206089 */   GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2206132), // Rule ID 45687 //
     /* 2206094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206097 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2206114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206131 */     // GIR_Coverage, 45687,
     /* 2206131 */     GIR_EraseRootFromParent_Done,
     /* 2206132 */   // Label 29125: @2206132
     /* 2206132 */   GIM_Reject,
     /* 2206133 */ // Label 29123: @2206133
     /* 2206133 */ GIM_Reject,
     /* 2206134 */ // Label 29090: @2206134
     /* 2206134 */ GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2206188), // Rule ID 47398 //
     /* 2206139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206153 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206153 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206156 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206160 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206165 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2206170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206175 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206187 */   // GIR_Coverage, 47398,
     /* 2206187 */   GIR_EraseRootFromParent_Done,
     /* 2206188 */ // Label 29126: @2206188
     /* 2206188 */ GIM_Try, /*On fail goto*//*Label 29127*/ GIMT_Encode4(2206242), // Rule ID 47399 //
     /* 2206193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206207 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2206224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206226 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206229 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206241 */   // GIR_Coverage, 47399,
     /* 2206241 */   GIR_EraseRootFromParent_Done,
     /* 2206242 */ // Label 29127: @2206242
     /* 2206242 */ GIM_Try, /*On fail goto*//*Label 29128*/ GIMT_Encode4(2206296), // Rule ID 47464 //
     /* 2206247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206261 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206261 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206264 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206268 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206273 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2206278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206280 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206283 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206295 */   // GIR_Coverage, 47464,
     /* 2206295 */   GIR_EraseRootFromParent_Done,
     /* 2206296 */ // Label 29128: @2206296
     /* 2206296 */ GIM_Try, /*On fail goto*//*Label 29129*/ GIMT_Encode4(2206350), // Rule ID 47465 //
     /* 2206301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206315 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206315 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206318 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206322 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206327 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2206332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206334 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206349 */   // GIR_Coverage, 47465,
     /* 2206349 */   GIR_EraseRootFromParent_Done,
     /* 2206350 */ // Label 29129: @2206350
     /* 2206350 */ GIM_Reject,
     /* 2206351 */ // Label 29091: @2206351
     /* 2206351 */ GIM_Try, /*On fail goto*//*Label 29130*/ GIMT_Encode4(2206405), // Rule ID 47418 //
     /* 2206356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206370 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206370 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206377 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206382 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2206387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206392 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206404 */   // GIR_Coverage, 47418,
     /* 2206404 */   GIR_EraseRootFromParent_Done,
     /* 2206405 */ // Label 29130: @2206405
     /* 2206405 */ GIM_Try, /*On fail goto*//*Label 29131*/ GIMT_Encode4(2206459), // Rule ID 47419 //
     /* 2206410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206424 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206424 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206427 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206431 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206436 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2206441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206443 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206446 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206458 */   // GIR_Coverage, 47419,
     /* 2206458 */   GIR_EraseRootFromParent_Done,
     /* 2206459 */ // Label 29131: @2206459
     /* 2206459 */ GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2206513), // Rule ID 47484 //
     /* 2206464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206478 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206478 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206481 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206485 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206490 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2206495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206497 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206500 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206512 */   // GIR_Coverage, 47484,
     /* 2206512 */   GIR_EraseRootFromParent_Done,
     /* 2206513 */ // Label 29132: @2206513
     /* 2206513 */ GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2206567), // Rule ID 47485 //
     /* 2206518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2206524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206532 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206532 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206535 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206539 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206544 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2206549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206551 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206554 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206566 */   // GIR_Coverage, 47485,
     /* 2206566 */   GIR_EraseRootFromParent_Done,
     /* 2206567 */ // Label 29133: @2206567
     /* 2206567 */ GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2206621), // Rule ID 47518 //
     /* 2206572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206586 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2206603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206605 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206620 */   // GIR_Coverage, 47518,
     /* 2206620 */   GIR_EraseRootFromParent_Done,
     /* 2206621 */ // Label 29134: @2206621
     /* 2206621 */ GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2206675), // Rule ID 47519 //
     /* 2206626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2206632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206640 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206640 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2206643 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206647 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206652 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2206657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206659 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206662 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206674 */   // GIR_Coverage, 47519,
     /* 2206674 */   GIR_EraseRootFromParent_Done,
     /* 2206675 */ // Label 29135: @2206675
     /* 2206675 */ GIM_Reject,
     /* 2206676 */ // Label 29092: @2206676
     /* 2206676 */ GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2206779),
     /* 2206681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206692 */   GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2206735), // Rule ID 47378 //
     /* 2206697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206700 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2206717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206734 */     // GIR_Coverage, 47378,
     /* 2206734 */     GIR_EraseRootFromParent_Done,
     /* 2206735 */   // Label 29137: @2206735
     /* 2206735 */   GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2206778), // Rule ID 47379 //
     /* 2206740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206743 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2206760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206777 */     // GIR_Coverage, 47379,
     /* 2206777 */     GIR_EraseRootFromParent_Done,
     /* 2206778 */   // Label 29138: @2206778
     /* 2206778 */   GIM_Reject,
     /* 2206779 */ // Label 29136: @2206779
     /* 2206779 */ GIM_Reject,
     /* 2206780 */ // Label 29093: @2206780
     /* 2206780 */ GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2206834), // Rule ID 47402 //
     /* 2206785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206799 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206799 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206802 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206806 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2206816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206821 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206833 */   // GIR_Coverage, 47402,
     /* 2206833 */   GIR_EraseRootFromParent_Done,
     /* 2206834 */ // Label 29139: @2206834
     /* 2206834 */ GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2206888), // Rule ID 47403 //
     /* 2206839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206853 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206865 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2206870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206872 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206875 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206887 */   // GIR_Coverage, 47403,
     /* 2206887 */   GIR_EraseRootFromParent_Done,
     /* 2206888 */ // Label 29140: @2206888
     /* 2206888 */ GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2206942), // Rule ID 47468 //
     /* 2206893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206907 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206907 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206910 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206914 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206919 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2206924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206926 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206929 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206941 */   // GIR_Coverage, 47468,
     /* 2206941 */   GIR_EraseRootFromParent_Done,
     /* 2206942 */ // Label 29141: @2206942
     /* 2206942 */ GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2206996), // Rule ID 47469 //
     /* 2206947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2206953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206961 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2206978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206980 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206983 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2206985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206995 */   // GIR_Coverage, 47469,
     /* 2206995 */   GIR_EraseRootFromParent_Done,
     /* 2206996 */ // Label 29142: @2206996
     /* 2206996 */ GIM_Reject,
     /* 2206997 */ // Label 29094: @2206997
     /* 2206997 */ GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2207051), // Rule ID 47422 //
     /* 2207002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207016 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2207033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207050 */   // GIR_Coverage, 47422,
     /* 2207050 */   GIR_EraseRootFromParent_Done,
     /* 2207051 */ // Label 29143: @2207051
     /* 2207051 */ GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2207105), // Rule ID 47423 //
     /* 2207056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2207062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207070 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2207087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207104 */   // GIR_Coverage, 47423,
     /* 2207104 */   GIR_EraseRootFromParent_Done,
     /* 2207105 */ // Label 29144: @2207105
     /* 2207105 */ GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2207159), // Rule ID 47488 //
     /* 2207110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207124 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2207141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207146 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207158 */   // GIR_Coverage, 47488,
     /* 2207158 */   GIR_EraseRootFromParent_Done,
     /* 2207159 */ // Label 29145: @2207159
     /* 2207159 */ GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2207213), // Rule ID 47489 //
     /* 2207164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2207170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207178 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2207195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207212 */   // GIR_Coverage, 47489,
     /* 2207212 */   GIR_EraseRootFromParent_Done,
     /* 2207213 */ // Label 29146: @2207213
     /* 2207213 */ GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2207267), // Rule ID 47522 //
     /* 2207218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207232 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2207249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207251 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207266 */   // GIR_Coverage, 47522,
     /* 2207266 */   GIR_EraseRootFromParent_Done,
     /* 2207267 */ // Label 29147: @2207267
     /* 2207267 */ GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2207321), // Rule ID 47523 //
     /* 2207272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2207278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207286 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207286 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2207289 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207293 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207298 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2207303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207305 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207308 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207320 */   // GIR_Coverage, 47523,
     /* 2207320 */   GIR_EraseRootFromParent_Done,
     /* 2207321 */ // Label 29148: @2207321
     /* 2207321 */ GIM_Reject,
     /* 2207322 */ // Label 29095: @2207322
     /* 2207322 */ GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2207425),
     /* 2207327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207338 */   GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2207381), // Rule ID 47382 //
     /* 2207343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207346 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2207363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207380 */     // GIR_Coverage, 47382,
     /* 2207380 */     GIR_EraseRootFromParent_Done,
     /* 2207381 */   // Label 29150: @2207381
     /* 2207381 */   GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2207424), // Rule ID 47383 //
     /* 2207386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207389 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2207406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207423 */     // GIR_Coverage, 47383,
     /* 2207423 */     GIR_EraseRootFromParent_Done,
     /* 2207424 */   // Label 29151: @2207424
     /* 2207424 */   GIM_Reject,
     /* 2207425 */ // Label 29149: @2207425
     /* 2207425 */ GIM_Reject,
     /* 2207426 */ // Label 29096: @2207426
     /* 2207426 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2207480), // Rule ID 47406 //
     /* 2207431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207445 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207457 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2207462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207464 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207467 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207479 */   // GIR_Coverage, 47406,
     /* 2207479 */   GIR_EraseRootFromParent_Done,
     /* 2207480 */ // Label 29152: @2207480
     /* 2207480 */ GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2207534), // Rule ID 47407 //
     /* 2207485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207499 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207511 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2207516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207533 */   // GIR_Coverage, 47407,
     /* 2207533 */   GIR_EraseRootFromParent_Done,
     /* 2207534 */ // Label 29153: @2207534
     /* 2207534 */ GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2207588), // Rule ID 47472 //
     /* 2207539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207553 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207553 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207556 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207560 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207565 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2207570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207572 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207587 */   // GIR_Coverage, 47472,
     /* 2207587 */   GIR_EraseRootFromParent_Done,
     /* 2207588 */ // Label 29154: @2207588
     /* 2207588 */ GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2207642), // Rule ID 47473 //
     /* 2207593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207607 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2207624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207626 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207641 */   // GIR_Coverage, 47473,
     /* 2207641 */   GIR_EraseRootFromParent_Done,
     /* 2207642 */ // Label 29155: @2207642
     /* 2207642 */ GIM_Reject,
     /* 2207643 */ // Label 29097: @2207643
     /* 2207643 */ GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2207697), // Rule ID 47426 //
     /* 2207648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2207654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207662 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207662 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207665 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207669 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2207679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207681 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207684 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207696 */   // GIR_Coverage, 47426,
     /* 2207696 */   GIR_EraseRootFromParent_Done,
     /* 2207697 */ // Label 29156: @2207697
     /* 2207697 */ GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2207751), // Rule ID 47427 //
     /* 2207702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2207708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207716 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2207733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207750 */   // GIR_Coverage, 47427,
     /* 2207750 */   GIR_EraseRootFromParent_Done,
     /* 2207751 */ // Label 29157: @2207751
     /* 2207751 */ GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2207805), // Rule ID 47492 //
     /* 2207756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207770 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2207787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207792 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207804 */   // GIR_Coverage, 47492,
     /* 2207804 */   GIR_EraseRootFromParent_Done,
     /* 2207805 */ // Label 29158: @2207805
     /* 2207805 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2207859), // Rule ID 47493 //
     /* 2207810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207824 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207824 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207827 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207831 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207836 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2207841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207846 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207858 */   // GIR_Coverage, 47493,
     /* 2207858 */   GIR_EraseRootFromParent_Done,
     /* 2207859 */ // Label 29159: @2207859
     /* 2207859 */ GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2207913), // Rule ID 47526 //
     /* 2207864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2207867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207878 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207878 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207881 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207885 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207890 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2207895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207897 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207900 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207912 */   // GIR_Coverage, 47526,
     /* 2207912 */   GIR_EraseRootFromParent_Done,
     /* 2207913 */ // Label 29160: @2207913
     /* 2207913 */ GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2207967), // Rule ID 47527 //
     /* 2207918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2207921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207932 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207932 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2207935 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207939 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207944 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2207949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207951 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207954 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2207956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2207962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207966 */   // GIR_Coverage, 47527,
     /* 2207966 */   GIR_EraseRootFromParent_Done,
     /* 2207967 */ // Label 29161: @2207967
     /* 2207967 */ GIM_Reject,
     /* 2207968 */ // Label 29098: @2207968
     /* 2207968 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2208071),
     /* 2207973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2207976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207984 */   GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2208027), // Rule ID 47386 //
     /* 2207989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207992 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2207995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2208009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208026 */     // GIR_Coverage, 47386,
     /* 2208026 */     GIR_EraseRootFromParent_Done,
     /* 2208027 */   // Label 29163: @2208027
     /* 2208027 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2208070), // Rule ID 47387 //
     /* 2208032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208035 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2208038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2208052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208069 */     // GIR_Coverage, 47387,
     /* 2208069 */     GIR_EraseRootFromParent_Done,
     /* 2208070 */   // Label 29164: @2208070
     /* 2208070 */   GIM_Reject,
     /* 2208071 */ // Label 29162: @2208071
     /* 2208071 */ GIM_Reject,
     /* 2208072 */ // Label 29099: @2208072
     /* 2208072 */ GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2208126), // Rule ID 47410 //
     /* 2208077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208091 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2208108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208113 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208125 */   // GIR_Coverage, 47410,
     /* 2208125 */   GIR_EraseRootFromParent_Done,
     /* 2208126 */ // Label 29165: @2208126
     /* 2208126 */ GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2208180), // Rule ID 47411 //
     /* 2208131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208145 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2208162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208179 */   // GIR_Coverage, 47411,
     /* 2208179 */   GIR_EraseRootFromParent_Done,
     /* 2208180 */ // Label 29166: @2208180
     /* 2208180 */ GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2208234), // Rule ID 47476 //
     /* 2208185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208199 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208199 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208202 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208206 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2208216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208221 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208233 */   // GIR_Coverage, 47476,
     /* 2208233 */   GIR_EraseRootFromParent_Done,
     /* 2208234 */ // Label 29167: @2208234
     /* 2208234 */ GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2208288), // Rule ID 47477 //
     /* 2208239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208253 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2208256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2208270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208287 */   // GIR_Coverage, 47477,
     /* 2208287 */   GIR_EraseRootFromParent_Done,
     /* 2208288 */ // Label 29168: @2208288
     /* 2208288 */ GIM_Reject,
     /* 2208289 */ // Label 29100: @2208289
     /* 2208289 */ GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2208343), // Rule ID 47430 //
     /* 2208294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2208300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208308 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208308 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208311 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208315 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208320 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2208325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208327 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208330 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208342 */   // GIR_Coverage, 47430,
     /* 2208342 */   GIR_EraseRootFromParent_Done,
     /* 2208343 */ // Label 29169: @2208343
     /* 2208343 */ GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2208397), // Rule ID 47431 //
     /* 2208348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2208354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208362 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2208379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208396 */   // GIR_Coverage, 47431,
     /* 2208396 */   GIR_EraseRootFromParent_Done,
     /* 2208397 */ // Label 29170: @2208397
     /* 2208397 */ GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2208451), // Rule ID 47496 //
     /* 2208402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208416 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2208433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208450 */   // GIR_Coverage, 47496,
     /* 2208450 */   GIR_EraseRootFromParent_Done,
     /* 2208451 */ // Label 29171: @2208451
     /* 2208451 */ GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2208505), // Rule ID 47497 //
     /* 2208456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208470 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2208487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208504 */   // GIR_Coverage, 47497,
     /* 2208504 */   GIR_EraseRootFromParent_Done,
     /* 2208505 */ // Label 29172: @2208505
     /* 2208505 */ GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2208559), // Rule ID 47530 //
     /* 2208510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208524 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2208541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208558 */   // GIR_Coverage, 47530,
     /* 2208558 */   GIR_EraseRootFromParent_Done,
     /* 2208559 */ // Label 29173: @2208559
     /* 2208559 */ GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2208613), // Rule ID 47531 //
     /* 2208564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208578 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2208581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2208595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208597 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208612 */   // GIR_Coverage, 47531,
     /* 2208612 */   GIR_EraseRootFromParent_Done,
     /* 2208613 */ // Label 29174: @2208613
     /* 2208613 */ GIM_Reject,
     /* 2208614 */ // Label 29101: @2208614
     /* 2208614 */ GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2208717),
     /* 2208619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2208622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208630 */   GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2208673), // Rule ID 47390 //
     /* 2208635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208638 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2208641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2208655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208672 */     // GIR_Coverage, 47390,
     /* 2208672 */     GIR_EraseRootFromParent_Done,
     /* 2208673 */   // Label 29176: @2208673
     /* 2208673 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2208716), // Rule ID 47391 //
     /* 2208678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208681 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2208684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2208698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208715 */     // GIR_Coverage, 47391,
     /* 2208715 */     GIR_EraseRootFromParent_Done,
     /* 2208716 */   // Label 29177: @2208716
     /* 2208716 */   GIM_Reject,
     /* 2208717 */ // Label 29175: @2208717
     /* 2208717 */ GIM_Reject,
     /* 2208718 */ // Label 29102: @2208718
     /* 2208718 */ GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2208772), // Rule ID 47414 //
     /* 2208723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2208729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208737 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2208740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2208754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208771 */   // GIR_Coverage, 47414,
     /* 2208771 */   GIR_EraseRootFromParent_Done,
     /* 2208772 */ // Label 29178: @2208772
     /* 2208772 */ GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2208826), // Rule ID 47415 //
     /* 2208777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2208783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208791 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2208794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2208808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208825 */   // GIR_Coverage, 47415,
     /* 2208825 */   GIR_EraseRootFromParent_Done,
     /* 2208826 */ // Label 29179: @2208826
     /* 2208826 */ GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2208880), // Rule ID 47480 //
     /* 2208831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2208837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208845 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2208848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2208862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208879 */   // GIR_Coverage, 47480,
     /* 2208879 */   GIR_EraseRootFromParent_Done,
     /* 2208880 */ // Label 29180: @2208880
     /* 2208880 */ GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2208934), // Rule ID 47481 //
     /* 2208885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2208891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208899 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2208902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2208916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208933 */   // GIR_Coverage, 47481,
     /* 2208933 */   GIR_EraseRootFromParent_Done,
     /* 2208934 */ // Label 29181: @2208934
     /* 2208934 */ GIM_Reject,
     /* 2208935 */ // Label 29103: @2208935
     /* 2208935 */ GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2209038),
     /* 2208940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2208943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208951 */   GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2208994), // Rule ID 47394 //
     /* 2208956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208959 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2208962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2208976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2208983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208993 */     // GIR_Coverage, 47394,
     /* 2208993 */     GIR_EraseRootFromParent_Done,
     /* 2208994 */   // Label 29183: @2208994
     /* 2208994 */   GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2209037), // Rule ID 47395 //
     /* 2208999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209002 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2209005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2209019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2209026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209036 */     // GIR_Coverage, 47395,
     /* 2209036 */     GIR_EraseRootFromParent_Done,
     /* 2209037 */   // Label 29184: @2209037
     /* 2209037 */   GIM_Reject,
     /* 2209038 */ // Label 29182: @2209038
     /* 2209038 */ GIM_Reject,
     /* 2209039 */ // Label 29104: @2209039
     /* 2209039 */ GIM_Reject,
     /* 2209040 */ // Label 43: @2209040
     /* 2209040 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29209*/ GIMT_Encode4(2217635),
     /* 2209051 */ /*GILLT_s32*//*Label 29185*/ GIMT_Encode4(2209175),
     /* 2209055 */ /*GILLT_s64*//*Label 29186*/ GIMT_Encode4(2209300), GIMT_Encode4(0),
     /* 2209063 */ /*GILLT_nxv1s8*//*Label 29187*/ GIMT_Encode4(2209645),
     /* 2209067 */ /*GILLT_nxv1s16*//*Label 29188*/ GIMT_Encode4(2209760),
     /* 2209071 */ /*GILLT_nxv1s32*//*Label 29189*/ GIMT_Encode4(2210239),
     /* 2209075 */ /*GILLT_nxv1s64*//*Label 29190*/ GIMT_Encode4(2210718), GIMT_Encode4(0),
     /* 2209083 */ /*GILLT_nxv2s8*//*Label 29191*/ GIMT_Encode4(2211197),
     /* 2209087 */ /*GILLT_nxv2s16*//*Label 29192*/ GIMT_Encode4(2211312),
     /* 2209091 */ /*GILLT_nxv2s32*//*Label 29193*/ GIMT_Encode4(2211791),
     /* 2209095 */ /*GILLT_nxv2s64*//*Label 29194*/ GIMT_Encode4(2212270), GIMT_Encode4(0),
     /* 2209103 */ /*GILLT_nxv4s8*//*Label 29195*/ GIMT_Encode4(2212749),
     /* 2209107 */ /*GILLT_nxv4s16*//*Label 29196*/ GIMT_Encode4(2212864),
     /* 2209111 */ /*GILLT_nxv4s32*//*Label 29197*/ GIMT_Encode4(2213343),
     /* 2209115 */ /*GILLT_nxv4s64*//*Label 29198*/ GIMT_Encode4(2213822), GIMT_Encode4(0),
     /* 2209123 */ /*GILLT_nxv8s8*//*Label 29199*/ GIMT_Encode4(2214301),
     /* 2209127 */ /*GILLT_nxv8s16*//*Label 29200*/ GIMT_Encode4(2214416),
     /* 2209131 */ /*GILLT_nxv8s32*//*Label 29201*/ GIMT_Encode4(2214895),
     /* 2209135 */ /*GILLT_nxv8s64*//*Label 29202*/ GIMT_Encode4(2215374), GIMT_Encode4(0),
     /* 2209143 */ /*GILLT_nxv16s8*//*Label 29203*/ GIMT_Encode4(2215853),
     /* 2209147 */ /*GILLT_nxv16s16*//*Label 29204*/ GIMT_Encode4(2215968),
     /* 2209151 */ /*GILLT_nxv16s32*//*Label 29205*/ GIMT_Encode4(2216447), GIMT_Encode4(0),
     /* 2209159 */ /*GILLT_nxv32s8*//*Label 29206*/ GIMT_Encode4(2216926),
     /* 2209163 */ /*GILLT_nxv32s16*//*Label 29207*/ GIMT_Encode4(2217041), GIMT_Encode4(0),
     /* 2209171 */ /*GILLT_nxv64s8*//*Label 29208*/ GIMT_Encode4(2217520),
     /* 2209175 */ // Label 29185: @2209175
     /* 2209175 */ GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2209299),
     /* 2209180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2209183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2209186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209190 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2209227), // Rule ID 2371 //
     /* 2209195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2209198 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2209202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2209209 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2209209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2209212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2209225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209226 */     // GIR_Coverage, 2371,
     /* 2209226 */     GIR_EraseRootFromParent_Done,
     /* 2209227 */   // Label 29211: @2209227
     /* 2209227 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2209265), // Rule ID 91 //
     /* 2209232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2209235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2209243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2209247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2209251 */     // MIs[1] Operand 1
     /* 2209251 */     // No operand predicates
     /* 2209251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2209253 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2209253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2209256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2209263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209264 */     // GIR_Coverage, 91,
     /* 2209264 */     GIR_EraseRootFromParent_Done,
     /* 2209265 */   // Label 29212: @2209265
     /* 2209265 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2209298), // Rule ID 105 //
     /* 2209270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2209273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2209284 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2209284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2209287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2209296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209297 */     // GIR_Coverage, 105,
     /* 2209297 */     GIR_EraseRootFromParent_Done,
     /* 2209298 */   // Label 29213: @2209298
     /* 2209298 */   GIM_Reject,
     /* 2209299 */ // Label 29210: @2209299
     /* 2209299 */ GIM_Reject,
     /* 2209300 */ // Label 29186: @2209300
     /* 2209300 */ GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2209644),
     /* 2209305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2209308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2209311 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2209405), // Rule ID 253 //
     /* 2209316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2209319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2209331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2209335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2209339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209344 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2209355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2209363 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2209367 */     // MIs[2] Operand 1
     /* 2209367 */     // No operand predicates
     /* 2209367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209369 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2209369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2209372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2209376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2209385 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2209388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2209393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209398 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2209403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209404 */     // GIR_Coverage, 253,
     /* 2209404 */     GIR_EraseRootFromParent_Done,
     /* 2209405 */   // Label 29215: @2209405
     /* 2209405 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2209477), // Rule ID 2509 //
     /* 2209410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2209413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2209425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2209429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2209433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209438 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2209449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2209457 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2209461 */     // MIs[2] Operand 1
     /* 2209461 */     // No operand predicates
     /* 2209461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209463 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2209463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2209466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2209472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2209475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209476 */     // GIR_Coverage, 2509,
     /* 2209476 */     GIR_EraseRootFromParent_Done,
     /* 2209477 */   // Label 29216: @2209477
     /* 2209477 */   GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2209518), // Rule ID 2370 //
     /* 2209482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2209485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209489 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2209493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2209500 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2209500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2209503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2209516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209517 */     // GIR_Coverage, 2370,
     /* 2209517 */     GIR_EraseRootFromParent_Done,
     /* 2209518 */   // Label 29217: @2209518
     /* 2209518 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2209564), // Rule ID 268 //
     /* 2209523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2209526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2209538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2209542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2209546 */     // MIs[1] Operand 1
     /* 2209546 */     // No operand predicates
     /* 2209546 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10052),
     /* 2209550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2209552 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10052>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2209552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2209555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2209562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209563 */     // GIR_Coverage, 268,
     /* 2209563 */     GIR_EraseRootFromParent_Done,
     /* 2209564 */   // Label 29218: @2209564
     /* 2209564 */   GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2209606), // Rule ID 90 //
     /* 2209569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2209584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2209588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2209592 */     // MIs[1] Operand 1
     /* 2209592 */     // No operand predicates
     /* 2209592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2209594 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2209594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2209597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2209604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209605 */     // GIR_Coverage, 90,
     /* 2209605 */     GIR_EraseRootFromParent_Done,
     /* 2209606 */   // Label 29219: @2209606
     /* 2209606 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2209643), // Rule ID 104 //
     /* 2209611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2209622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2209629 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2209629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2209632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2209641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209642 */     // GIR_Coverage, 104,
     /* 2209642 */     GIR_EraseRootFromParent_Done,
     /* 2209643 */   // Label 29220: @2209643
     /* 2209643 */   GIM_Reject,
     /* 2209644 */ // Label 29214: @2209644
     /* 2209644 */ GIM_Reject,
     /* 2209645 */ // Label 29187: @2209645
     /* 2209645 */ GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2209759),
     /* 2209650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2209653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2209656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209668 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2209713), // Rule ID 47938 //
     /* 2209673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209676 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2209679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2209693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209712 */     // GIR_Coverage, 47938,
     /* 2209712 */     GIR_EraseRootFromParent_Done,
     /* 2209713 */   // Label 29222: @2209713
     /* 2209713 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2209758), // Rule ID 47939 //
     /* 2209718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209721 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2209724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2209738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209757 */     // GIR_Coverage, 47939,
     /* 2209757 */     GIR_EraseRootFromParent_Done,
     /* 2209758 */   // Label 29223: @2209758
     /* 2209758 */   GIM_Reject,
     /* 2209759 */ // Label 29221: @2209759
     /* 2209759 */ GIM_Reject,
     /* 2209760 */ // Label 29188: @2209760
     /* 2209760 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2210238),
     /* 2209765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2209768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2209771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209775 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2209864), // Rule ID 59426 //
     /* 2209780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2209795 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2209814 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209823 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2209826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2209840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209863 */     // GIR_Coverage, 59426,
     /* 2209863 */     GIR_EraseRootFromParent_Done,
     /* 2209864 */   // Label 29225: @2209864
     /* 2209864 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2209953), // Rule ID 59427 //
     /* 2209869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2209884 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2209903 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209912 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2209915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2209929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209952 */     // GIR_Coverage, 59427,
     /* 2209952 */     GIR_EraseRootFromParent_Done,
     /* 2209953 */   // Label 29226: @2209953
     /* 2209953 */   GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2210042), // Rule ID 59428 //
     /* 2209958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2209973 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2209992 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210001 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2210018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210041 */     // GIR_Coverage, 59428,
     /* 2210041 */     GIR_EraseRootFromParent_Done,
     /* 2210042 */   // Label 29227: @2210042
     /* 2210042 */   GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2210131), // Rule ID 59429 //
     /* 2210047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2210062 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2210081 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210090 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2210107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210130 */     // GIR_Coverage, 59429,
     /* 2210130 */     GIR_EraseRootFromParent_Done,
     /* 2210131 */   // Label 29228: @2210131
     /* 2210131 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2210184), // Rule ID 47950 //
     /* 2210136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210147 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2210164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210183 */     // GIR_Coverage, 47950,
     /* 2210183 */     GIR_EraseRootFromParent_Done,
     /* 2210184 */   // Label 29229: @2210184
     /* 2210184 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2210237), // Rule ID 47951 //
     /* 2210189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210200 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2210217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210236 */     // GIR_Coverage, 47951,
     /* 2210236 */     GIR_EraseRootFromParent_Done,
     /* 2210237 */   // Label 29230: @2210237
     /* 2210237 */   GIM_Reject,
     /* 2210238 */ // Label 29224: @2210238
     /* 2210238 */ GIM_Reject,
     /* 2210239 */ // Label 29189: @2210239
     /* 2210239 */ GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2210717),
     /* 2210244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2210250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210254 */   GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2210343), // Rule ID 59474 //
     /* 2210259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210274 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210293 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210302 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2210319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210342 */     // GIR_Coverage, 59474,
     /* 2210342 */     GIR_EraseRootFromParent_Done,
     /* 2210343 */   // Label 29232: @2210343
     /* 2210343 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2210432), // Rule ID 59475 //
     /* 2210348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210363 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210382 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210391 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2210408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210431 */     // GIR_Coverage, 59475,
     /* 2210431 */     GIR_EraseRootFromParent_Done,
     /* 2210432 */   // Label 29233: @2210432
     /* 2210432 */   GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2210521), // Rule ID 59476 //
     /* 2210437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210452 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210471 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210480 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2210497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210520 */     // GIR_Coverage, 59476,
     /* 2210520 */     GIR_EraseRootFromParent_Done,
     /* 2210521 */   // Label 29234: @2210521
     /* 2210521 */   GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2210610), // Rule ID 59477 //
     /* 2210526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210541 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210560 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210569 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2210586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210609 */     // GIR_Coverage, 59477,
     /* 2210609 */     GIR_EraseRootFromParent_Done,
     /* 2210610 */   // Label 29235: @2210610
     /* 2210610 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2210663), // Rule ID 47958 //
     /* 2210615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210626 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2210643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210662 */     // GIR_Coverage, 47958,
     /* 2210662 */     GIR_EraseRootFromParent_Done,
     /* 2210663 */   // Label 29236: @2210663
     /* 2210663 */   GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2210716), // Rule ID 47959 //
     /* 2210668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210679 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2210696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210715 */     // GIR_Coverage, 47959,
     /* 2210715 */     GIR_EraseRootFromParent_Done,
     /* 2210716 */   // Label 29237: @2210716
     /* 2210716 */   GIM_Reject,
     /* 2210717 */ // Label 29231: @2210717
     /* 2210717 */ GIM_Reject,
     /* 2210718 */ // Label 29190: @2210718
     /* 2210718 */ GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2211196),
     /* 2210723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2210726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2210729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210733 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2210822), // Rule ID 59514 //
     /* 2210738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2210741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210753 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210772 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210781 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2210784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2210798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210821 */     // GIR_Coverage, 59514,
     /* 2210821 */     GIR_EraseRootFromParent_Done,
     /* 2210822 */   // Label 29239: @2210822
     /* 2210822 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2210911), // Rule ID 59515 //
     /* 2210827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2210830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210842 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210861 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210870 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2210873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2210887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210910 */     // GIR_Coverage, 59515,
     /* 2210910 */     GIR_EraseRootFromParent_Done,
     /* 2210911 */   // Label 29240: @2210911
     /* 2210911 */   GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2211000), // Rule ID 59516 //
     /* 2210916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2210919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210931 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210950 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210959 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2210962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2210976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210999 */     // GIR_Coverage, 59516,
     /* 2210999 */     GIR_EraseRootFromParent_Done,
     /* 2211000 */   // Label 29241: @2211000
     /* 2211000 */   GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2211089), // Rule ID 59517 //
     /* 2211005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2211008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2211020 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2211039 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211048 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2211065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211088 */     // GIR_Coverage, 59517,
     /* 2211088 */     GIR_EraseRootFromParent_Done,
     /* 2211089 */   // Label 29242: @2211089
     /* 2211089 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2211142), // Rule ID 47974 //
     /* 2211094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2211097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211105 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2211122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211141 */     // GIR_Coverage, 47974,
     /* 2211141 */     GIR_EraseRootFromParent_Done,
     /* 2211142 */   // Label 29243: @2211142
     /* 2211142 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2211195), // Rule ID 47975 //
     /* 2211147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211158 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2211175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211194 */     // GIR_Coverage, 47975,
     /* 2211194 */     GIR_EraseRootFromParent_Done,
     /* 2211195 */   // Label 29244: @2211195
     /* 2211195 */   GIM_Reject,
     /* 2211196 */ // Label 29238: @2211196
     /* 2211196 */ GIM_Reject,
     /* 2211197 */ // Label 29191: @2211197
     /* 2211197 */ GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2211311),
     /* 2211202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2211208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211220 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2211265), // Rule ID 47942 //
     /* 2211225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211228 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2211231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2211245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211264 */     // GIR_Coverage, 47942,
     /* 2211264 */     GIR_EraseRootFromParent_Done,
     /* 2211265 */   // Label 29246: @2211265
     /* 2211265 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2211310), // Rule ID 47943 //
     /* 2211270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211273 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2211276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2211290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211309 */     // GIR_Coverage, 47943,
     /* 2211309 */     GIR_EraseRootFromParent_Done,
     /* 2211310 */   // Label 29247: @2211310
     /* 2211310 */   GIM_Reject,
     /* 2211311 */ // Label 29245: @2211311
     /* 2211311 */ GIM_Reject,
     /* 2211312 */ // Label 29192: @2211312
     /* 2211312 */ GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2211790),
     /* 2211317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2211323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211327 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2211416), // Rule ID 59434 //
     /* 2211332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211347 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211366 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211375 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2211392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211415 */     // GIR_Coverage, 59434,
     /* 2211415 */     GIR_EraseRootFromParent_Done,
     /* 2211416 */   // Label 29249: @2211416
     /* 2211416 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2211505), // Rule ID 59435 //
     /* 2211421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211436 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211455 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211464 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2211481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211504 */     // GIR_Coverage, 59435,
     /* 2211504 */     GIR_EraseRootFromParent_Done,
     /* 2211505 */   // Label 29250: @2211505
     /* 2211505 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2211594), // Rule ID 59436 //
     /* 2211510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211525 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211544 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211553 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2211570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211593 */     // GIR_Coverage, 59436,
     /* 2211593 */     GIR_EraseRootFromParent_Done,
     /* 2211594 */   // Label 29251: @2211594
     /* 2211594 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2211683), // Rule ID 59437 //
     /* 2211599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211614 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211633 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211642 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2211659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211682 */     // GIR_Coverage, 59437,
     /* 2211682 */     GIR_EraseRootFromParent_Done,
     /* 2211683 */   // Label 29252: @2211683
     /* 2211683 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2211736), // Rule ID 47954 //
     /* 2211688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211699 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2211716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211735 */     // GIR_Coverage, 47954,
     /* 2211735 */     GIR_EraseRootFromParent_Done,
     /* 2211736 */   // Label 29253: @2211736
     /* 2211736 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2211789), // Rule ID 47955 //
     /* 2211741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211752 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2211769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211788 */     // GIR_Coverage, 47955,
     /* 2211788 */     GIR_EraseRootFromParent_Done,
     /* 2211789 */   // Label 29254: @2211789
     /* 2211789 */   GIM_Reject,
     /* 2211790 */ // Label 29248: @2211790
     /* 2211790 */ GIM_Reject,
     /* 2211791 */ // Label 29193: @2211791
     /* 2211791 */ GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2212269),
     /* 2211796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2211799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2211802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211806 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2211895), // Rule ID 59482 //
     /* 2211811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211826 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211845 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211847 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211854 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2211871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211894 */     // GIR_Coverage, 59482,
     /* 2211894 */     GIR_EraseRootFromParent_Done,
     /* 2211895 */   // Label 29256: @2211895
     /* 2211895 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2211984), // Rule ID 59483 //
     /* 2211900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211915 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211934 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211943 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2211960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211983 */     // GIR_Coverage, 59483,
     /* 2211983 */     GIR_EraseRootFromParent_Done,
     /* 2211984 */   // Label 29257: @2211984
     /* 2211984 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2212073), // Rule ID 59484 //
     /* 2211989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212004 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212023 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212030 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212032 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2212049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212072 */     // GIR_Coverage, 59484,
     /* 2212072 */     GIR_EraseRootFromParent_Done,
     /* 2212073 */   // Label 29258: @2212073
     /* 2212073 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2212162), // Rule ID 59485 //
     /* 2212078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212093 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212112 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212121 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2212138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212161 */     // GIR_Coverage, 59485,
     /* 2212161 */     GIR_EraseRootFromParent_Done,
     /* 2212162 */   // Label 29259: @2212162
     /* 2212162 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2212215), // Rule ID 47970 //
     /* 2212167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212178 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2212195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212214 */     // GIR_Coverage, 47970,
     /* 2212214 */     GIR_EraseRootFromParent_Done,
     /* 2212215 */   // Label 29260: @2212215
     /* 2212215 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2212268), // Rule ID 47971 //
     /* 2212220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212231 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2212248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212267 */     // GIR_Coverage, 47971,
     /* 2212267 */     GIR_EraseRootFromParent_Done,
     /* 2212268 */   // Label 29261: @2212268
     /* 2212268 */   GIM_Reject,
     /* 2212269 */ // Label 29255: @2212269
     /* 2212269 */ GIM_Reject,
     /* 2212270 */ // Label 29194: @2212270
     /* 2212270 */ GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2212748),
     /* 2212275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2212278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2212281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212285 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2212374), // Rule ID 59522 //
     /* 2212290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212305 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212324 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212333 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2212350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212373 */     // GIR_Coverage, 59522,
     /* 2212373 */     GIR_EraseRootFromParent_Done,
     /* 2212374 */   // Label 29263: @2212374
     /* 2212374 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2212463), // Rule ID 59523 //
     /* 2212379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212394 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212413 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212422 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2212439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212462 */     // GIR_Coverage, 59523,
     /* 2212462 */     GIR_EraseRootFromParent_Done,
     /* 2212463 */   // Label 29264: @2212463
     /* 2212463 */   GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2212552), // Rule ID 59524 //
     /* 2212468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212483 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212498 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212502 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212504 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212511 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2212528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212551 */     // GIR_Coverage, 59524,
     /* 2212551 */     GIR_EraseRootFromParent_Done,
     /* 2212552 */   // Label 29265: @2212552
     /* 2212552 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2212641), // Rule ID 59525 //
     /* 2212557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212572 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212591 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212600 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2212617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212640 */     // GIR_Coverage, 59525,
     /* 2212640 */     GIR_EraseRootFromParent_Done,
     /* 2212641 */   // Label 29266: @2212641
     /* 2212641 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2212694), // Rule ID 48014 //
     /* 2212646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2212649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212657 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2212674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212693 */     // GIR_Coverage, 48014,
     /* 2212693 */     GIR_EraseRootFromParent_Done,
     /* 2212694 */   // Label 29267: @2212694
     /* 2212694 */   GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2212747), // Rule ID 48015 //
     /* 2212699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2212702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212710 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2212727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212746 */     // GIR_Coverage, 48015,
     /* 2212746 */     GIR_EraseRootFromParent_Done,
     /* 2212747 */   // Label 29268: @2212747
     /* 2212747 */   GIM_Reject,
     /* 2212748 */ // Label 29262: @2212748
     /* 2212748 */ GIM_Reject,
     /* 2212749 */ // Label 29195: @2212749
     /* 2212749 */ GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2212863),
     /* 2212754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2212760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212772 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2212817), // Rule ID 47946 //
     /* 2212777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212780 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2212783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2212797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212816 */     // GIR_Coverage, 47946,
     /* 2212816 */     GIR_EraseRootFromParent_Done,
     /* 2212817 */   // Label 29270: @2212817
     /* 2212817 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2212862), // Rule ID 47947 //
     /* 2212822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212825 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2212828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2212842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212861 */     // GIR_Coverage, 47947,
     /* 2212861 */     GIR_EraseRootFromParent_Done,
     /* 2212862 */   // Label 29271: @2212862
     /* 2212862 */   GIM_Reject,
     /* 2212863 */ // Label 29269: @2212863
     /* 2212863 */ GIM_Reject,
     /* 2212864 */ // Label 29196: @2212864
     /* 2212864 */ GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2213342),
     /* 2212869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2212872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2212875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212879 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2212968), // Rule ID 59442 //
     /* 2212884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2212887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212899 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2212914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212918 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2212920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212927 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2212930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2212944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2212953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2212957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212967 */     // GIR_Coverage, 59442,
     /* 2212967 */     GIR_EraseRootFromParent_Done,
     /* 2212968 */   // Label 29273: @2212968
     /* 2212968 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2213057), // Rule ID 59443 //
     /* 2212973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2212976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2212984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2212988 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2212990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2213003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213007 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213016 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2213033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213056 */     // GIR_Coverage, 59443,
     /* 2213056 */     GIR_EraseRootFromParent_Done,
     /* 2213057 */   // Label 29274: @2213057
     /* 2213057 */   GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2213146), // Rule ID 59444 //
     /* 2213062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2213065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213077 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213096 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213105 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2213122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213145 */     // GIR_Coverage, 59444,
     /* 2213145 */     GIR_EraseRootFromParent_Done,
     /* 2213146 */   // Label 29275: @2213146
     /* 2213146 */   GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2213235), // Rule ID 59445 //
     /* 2213151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2213154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213166 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213185 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213194 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2213211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213234 */     // GIR_Coverage, 59445,
     /* 2213234 */     GIR_EraseRootFromParent_Done,
     /* 2213235 */   // Label 29276: @2213235
     /* 2213235 */   GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2213288), // Rule ID 47966 //
     /* 2213240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213251 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2213268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213287 */     // GIR_Coverage, 47966,
     /* 2213287 */     GIR_EraseRootFromParent_Done,
     /* 2213288 */   // Label 29277: @2213288
     /* 2213288 */   GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2213341), // Rule ID 47967 //
     /* 2213293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213304 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2213321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213340 */     // GIR_Coverage, 47967,
     /* 2213340 */     GIR_EraseRootFromParent_Done,
     /* 2213341 */   // Label 29278: @2213341
     /* 2213341 */   GIM_Reject,
     /* 2213342 */ // Label 29272: @2213342
     /* 2213342 */ GIM_Reject,
     /* 2213343 */ // Label 29197: @2213343
     /* 2213343 */ GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2213821),
     /* 2213348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2213354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213358 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2213447), // Rule ID 59490 //
     /* 2213363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2213366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213378 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2213393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213397 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213406 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2213423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213446 */     // GIR_Coverage, 59490,
     /* 2213446 */     GIR_EraseRootFromParent_Done,
     /* 2213447 */   // Label 29280: @2213447
     /* 2213447 */   GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2213536), // Rule ID 59491 //
     /* 2213452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2213455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213467 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2213482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213486 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213495 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2213512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213535 */     // GIR_Coverage, 59491,
     /* 2213535 */     GIR_EraseRootFromParent_Done,
     /* 2213536 */   // Label 29281: @2213536
     /* 2213536 */   GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2213625), // Rule ID 59492 //
     /* 2213541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2213544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213556 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213575 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213584 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2213601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213624 */     // GIR_Coverage, 59492,
     /* 2213624 */     GIR_EraseRootFromParent_Done,
     /* 2213625 */   // Label 29282: @2213625
     /* 2213625 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2213714), // Rule ID 59493 //
     /* 2213630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2213633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213645 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213664 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213673 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2213690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213713 */     // GIR_Coverage, 59493,
     /* 2213713 */     GIR_EraseRootFromParent_Done,
     /* 2213714 */   // Label 29283: @2213714
     /* 2213714 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2213767), // Rule ID 48002 //
     /* 2213719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213730 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2213747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213766 */     // GIR_Coverage, 48002,
     /* 2213766 */     GIR_EraseRootFromParent_Done,
     /* 2213767 */   // Label 29284: @2213767
     /* 2213767 */   GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2213820), // Rule ID 48003 //
     /* 2213772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213783 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2213800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213819 */     // GIR_Coverage, 48003,
     /* 2213819 */     GIR_EraseRootFromParent_Done,
     /* 2213820 */   // Label 29285: @2213820
     /* 2213820 */   GIM_Reject,
     /* 2213821 */ // Label 29279: @2213821
     /* 2213821 */ GIM_Reject,
     /* 2213822 */ // Label 29198: @2213822
     /* 2213822 */ GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2214300),
     /* 2213827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2213830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2213833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213837 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2213926), // Rule ID 59530 //
     /* 2213842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213857 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2213872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213876 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213885 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2213902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2213911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2213915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213925 */     // GIR_Coverage, 59530,
     /* 2213925 */     GIR_EraseRootFromParent_Done,
     /* 2213926 */   // Label 29287: @2213926
     /* 2213926 */   GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2214015), // Rule ID 59531 //
     /* 2213931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2213938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2213942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213946 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2213948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2213957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2213961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213965 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2213967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2213974 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2213991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214014 */     // GIR_Coverage, 59531,
     /* 2214014 */     GIR_EraseRootFromParent_Done,
     /* 2214015 */   // Label 29288: @2214015
     /* 2214015 */   GIM_Try, /*On fail goto*//*Label 29289*/ GIMT_Encode4(2214104), // Rule ID 59532 //
     /* 2214020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2214023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214035 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214054 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214063 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2214080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214103 */     // GIR_Coverage, 59532,
     /* 2214103 */     GIR_EraseRootFromParent_Done,
     /* 2214104 */   // Label 29289: @2214104
     /* 2214104 */   GIM_Try, /*On fail goto*//*Label 29290*/ GIMT_Encode4(2214193), // Rule ID 59533 //
     /* 2214109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2214112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214124 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214143 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214152 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2214169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214192 */     // GIR_Coverage, 59533,
     /* 2214192 */     GIR_EraseRootFromParent_Done,
     /* 2214193 */   // Label 29290: @2214193
     /* 2214193 */   GIM_Try, /*On fail goto*//*Label 29291*/ GIMT_Encode4(2214246), // Rule ID 48018 //
     /* 2214198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214209 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2214226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214245 */     // GIR_Coverage, 48018,
     /* 2214245 */     GIR_EraseRootFromParent_Done,
     /* 2214246 */   // Label 29291: @2214246
     /* 2214246 */   GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2214299), // Rule ID 48019 //
     /* 2214251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214262 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2214279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214298 */     // GIR_Coverage, 48019,
     /* 2214298 */     GIR_EraseRootFromParent_Done,
     /* 2214299 */   // Label 29292: @2214299
     /* 2214299 */   GIM_Reject,
     /* 2214300 */ // Label 29286: @2214300
     /* 2214300 */ GIM_Reject,
     /* 2214301 */ // Label 29199: @2214301
     /* 2214301 */ GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2214415),
     /* 2214306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2214312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214324 */   GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2214369), // Rule ID 47962 //
     /* 2214329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214332 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2214335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2214349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214368 */     // GIR_Coverage, 47962,
     /* 2214368 */     GIR_EraseRootFromParent_Done,
     /* 2214369 */   // Label 29294: @2214369
     /* 2214369 */   GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2214414), // Rule ID 47963 //
     /* 2214374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214377 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2214380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2214394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214413 */     // GIR_Coverage, 47963,
     /* 2214413 */     GIR_EraseRootFromParent_Done,
     /* 2214414 */   // Label 29295: @2214414
     /* 2214414 */   GIM_Reject,
     /* 2214415 */ // Label 29293: @2214415
     /* 2214415 */ GIM_Reject,
     /* 2214416 */ // Label 29200: @2214416
     /* 2214416 */ GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2214894),
     /* 2214421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2214424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2214427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214431 */   GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2214520), // Rule ID 59450 //
     /* 2214436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2214439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214451 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2214466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214470 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214479 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2214482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2214496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214519 */     // GIR_Coverage, 59450,
     /* 2214519 */     GIR_EraseRootFromParent_Done,
     /* 2214520 */   // Label 29297: @2214520
     /* 2214520 */   GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2214609), // Rule ID 59451 //
     /* 2214525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2214528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214540 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2214555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214559 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214568 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2214571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2214585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214608 */     // GIR_Coverage, 59451,
     /* 2214608 */     GIR_EraseRootFromParent_Done,
     /* 2214609 */   // Label 29298: @2214609
     /* 2214609 */   GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2214698), // Rule ID 59452 //
     /* 2214614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2214617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214629 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214648 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214657 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2214660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2214674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214697 */     // GIR_Coverage, 59452,
     /* 2214697 */     GIR_EraseRootFromParent_Done,
     /* 2214698 */   // Label 29299: @2214698
     /* 2214698 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2214787), // Rule ID 59453 //
     /* 2214703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2214706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214718 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214737 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214746 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2214749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2214763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214786 */     // GIR_Coverage, 59453,
     /* 2214786 */     GIR_EraseRootFromParent_Done,
     /* 2214787 */   // Label 29300: @2214787
     /* 2214787 */   GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2214840), // Rule ID 47990 //
     /* 2214792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214803 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2214806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2214820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214839 */     // GIR_Coverage, 47990,
     /* 2214839 */     GIR_EraseRootFromParent_Done,
     /* 2214840 */   // Label 29301: @2214840
     /* 2214840 */   GIM_Try, /*On fail goto*//*Label 29302*/ GIMT_Encode4(2214893), // Rule ID 47991 //
     /* 2214845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214856 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2214859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2214873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214892 */     // GIR_Coverage, 47991,
     /* 2214892 */     GIR_EraseRootFromParent_Done,
     /* 2214893 */   // Label 29302: @2214893
     /* 2214893 */   GIM_Reject,
     /* 2214894 */ // Label 29296: @2214894
     /* 2214894 */ GIM_Reject,
     /* 2214895 */ // Label 29201: @2214895
     /* 2214895 */ GIM_Try, /*On fail goto*//*Label 29303*/ GIMT_Encode4(2215373),
     /* 2214900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2214903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2214906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214910 */   GIM_Try, /*On fail goto*//*Label 29304*/ GIMT_Encode4(2214999), // Rule ID 59498 //
     /* 2214915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2214918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2214922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2214926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2214930 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2214932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2214941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2214945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2214949 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2214951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2214958 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2214961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2214975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2214984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2214988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214998 */     // GIR_Coverage, 59498,
     /* 2214998 */     GIR_EraseRootFromParent_Done,
     /* 2214999 */   // Label 29304: @2214999
     /* 2214999 */   GIM_Try, /*On fail goto*//*Label 29305*/ GIMT_Encode4(2215088), // Rule ID 59499 //
     /* 2215004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2215007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215019 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2215034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215038 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215047 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2215064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215087 */     // GIR_Coverage, 59499,
     /* 2215087 */     GIR_EraseRootFromParent_Done,
     /* 2215088 */   // Label 29305: @2215088
     /* 2215088 */   GIM_Try, /*On fail goto*//*Label 29306*/ GIMT_Encode4(2215177), // Rule ID 59500 //
     /* 2215093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2215096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215108 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215127 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215136 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2215153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215176 */     // GIR_Coverage, 59500,
     /* 2215176 */     GIR_EraseRootFromParent_Done,
     /* 2215177 */   // Label 29306: @2215177
     /* 2215177 */   GIM_Try, /*On fail goto*//*Label 29307*/ GIMT_Encode4(2215266), // Rule ID 59501 //
     /* 2215182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2215185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215197 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215216 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215223 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215225 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2215242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215265 */     // GIR_Coverage, 59501,
     /* 2215265 */     GIR_EraseRootFromParent_Done,
     /* 2215266 */   // Label 29307: @2215266
     /* 2215266 */   GIM_Try, /*On fail goto*//*Label 29308*/ GIMT_Encode4(2215319), // Rule ID 48006 //
     /* 2215271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215282 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2215299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215318 */     // GIR_Coverage, 48006,
     /* 2215318 */     GIR_EraseRootFromParent_Done,
     /* 2215319 */   // Label 29308: @2215319
     /* 2215319 */   GIM_Try, /*On fail goto*//*Label 29309*/ GIMT_Encode4(2215372), // Rule ID 48007 //
     /* 2215324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215335 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2215352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215371 */     // GIR_Coverage, 48007,
     /* 2215371 */     GIR_EraseRootFromParent_Done,
     /* 2215372 */   // Label 29309: @2215372
     /* 2215372 */   GIM_Reject,
     /* 2215373 */ // Label 29303: @2215373
     /* 2215373 */ GIM_Reject,
     /* 2215374 */ // Label 29202: @2215374
     /* 2215374 */ GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2215852),
     /* 2215379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2215385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215389 */   GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2215478), // Rule ID 59538 //
     /* 2215394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2215397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215409 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2215424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215428 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215430 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215437 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2215454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215477 */     // GIR_Coverage, 59538,
     /* 2215477 */     GIR_EraseRootFromParent_Done,
     /* 2215478 */   // Label 29311: @2215478
     /* 2215478 */   GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2215567), // Rule ID 59539 //
     /* 2215483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2215486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215498 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2215513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215517 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215519 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215526 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2215543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215566 */     // GIR_Coverage, 59539,
     /* 2215566 */     GIR_EraseRootFromParent_Done,
     /* 2215567 */   // Label 29312: @2215567
     /* 2215567 */   GIM_Try, /*On fail goto*//*Label 29313*/ GIMT_Encode4(2215656), // Rule ID 59540 //
     /* 2215572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2215575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215587 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215606 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215615 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2215632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215655 */     // GIR_Coverage, 59540,
     /* 2215655 */     GIR_EraseRootFromParent_Done,
     /* 2215656 */   // Label 29313: @2215656
     /* 2215656 */   GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2215745), // Rule ID 59541 //
     /* 2215661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2215664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215676 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2215678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215695 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2215697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215704 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2215721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2215730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2215734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215744 */     // GIR_Coverage, 59541,
     /* 2215744 */     GIR_EraseRootFromParent_Done,
     /* 2215745 */   // Label 29314: @2215745
     /* 2215745 */   GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2215798), // Rule ID 48022 //
     /* 2215750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215761 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2215778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215797 */     // GIR_Coverage, 48022,
     /* 2215797 */     GIR_EraseRootFromParent_Done,
     /* 2215798 */   // Label 29315: @2215798
     /* 2215798 */   GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2215851), // Rule ID 48023 //
     /* 2215803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215814 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2215831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215850 */     // GIR_Coverage, 48023,
     /* 2215850 */     GIR_EraseRootFromParent_Done,
     /* 2215851 */   // Label 29316: @2215851
     /* 2215851 */   GIM_Reject,
     /* 2215852 */ // Label 29310: @2215852
     /* 2215852 */ GIM_Reject,
     /* 2215853 */ // Label 29203: @2215853
     /* 2215853 */ GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2215967),
     /* 2215858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2215861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2215864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215876 */   GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2215921), // Rule ID 47978 //
     /* 2215881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215884 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2215901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215920 */     // GIR_Coverage, 47978,
     /* 2215920 */     GIR_EraseRootFromParent_Done,
     /* 2215921 */   // Label 29318: @2215921
     /* 2215921 */   GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2215966), // Rule ID 47979 //
     /* 2215926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215929 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2215946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215965 */     // GIR_Coverage, 47979,
     /* 2215965 */     GIR_EraseRootFromParent_Done,
     /* 2215966 */   // Label 29319: @2215966
     /* 2215966 */   GIM_Reject,
     /* 2215967 */ // Label 29317: @2215967
     /* 2215967 */ GIM_Reject,
     /* 2215968 */ // Label 29204: @2215968
     /* 2215968 */ GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2216446),
     /* 2215973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2215976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2215979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215983 */   GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2216072), // Rule ID 59458 //
     /* 2215988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2215991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2215999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216003 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216022 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216031 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2216048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216071 */     // GIR_Coverage, 59458,
     /* 2216071 */     GIR_EraseRootFromParent_Done,
     /* 2216072 */   // Label 29321: @2216072
     /* 2216072 */   GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2216161), // Rule ID 59459 //
     /* 2216077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216092 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216111 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216120 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2216137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216160 */     // GIR_Coverage, 59459,
     /* 2216160 */     GIR_EraseRootFromParent_Done,
     /* 2216161 */   // Label 29322: @2216161
     /* 2216161 */   GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2216250), // Rule ID 59460 //
     /* 2216166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2216169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216181 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216200 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216209 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2216226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216249 */     // GIR_Coverage, 59460,
     /* 2216249 */     GIR_EraseRootFromParent_Done,
     /* 2216250 */   // Label 29323: @2216250
     /* 2216250 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2216339), // Rule ID 59461 //
     /* 2216255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216270 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2216289 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216298 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2216315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216338 */     // GIR_Coverage, 59461,
     /* 2216338 */     GIR_EraseRootFromParent_Done,
     /* 2216339 */   // Label 29324: @2216339
     /* 2216339 */   GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2216392), // Rule ID 47994 //
     /* 2216344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216355 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2216372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216391 */     // GIR_Coverage, 47994,
     /* 2216391 */     GIR_EraseRootFromParent_Done,
     /* 2216392 */   // Label 29325: @2216392
     /* 2216392 */   GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2216445), // Rule ID 47995 //
     /* 2216397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216408 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2216425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216444 */     // GIR_Coverage, 47995,
     /* 2216444 */     GIR_EraseRootFromParent_Done,
     /* 2216445 */   // Label 29326: @2216445
     /* 2216445 */   GIM_Reject,
     /* 2216446 */ // Label 29320: @2216446
     /* 2216446 */ GIM_Reject,
     /* 2216447 */ // Label 29205: @2216447
     /* 2216447 */ GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2216925),
     /* 2216452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2216455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2216458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216462 */   GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2216551), // Rule ID 59506 //
     /* 2216467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2216470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216482 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216501 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216510 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2216527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216550 */     // GIR_Coverage, 59506,
     /* 2216550 */     GIR_EraseRootFromParent_Done,
     /* 2216551 */   // Label 29328: @2216551
     /* 2216551 */   GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2216640), // Rule ID 59507 //
     /* 2216556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216571 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2216586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216590 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216599 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2216616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216639 */     // GIR_Coverage, 59507,
     /* 2216639 */     GIR_EraseRootFromParent_Done,
     /* 2216640 */   // Label 29329: @2216640
     /* 2216640 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2216729), // Rule ID 59508 //
     /* 2216645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2216648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216660 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216679 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216688 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2216705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216728 */     // GIR_Coverage, 59508,
     /* 2216728 */     GIR_EraseRootFromParent_Done,
     /* 2216729 */   // Label 29330: @2216729
     /* 2216729 */   GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2216818), // Rule ID 59509 //
     /* 2216734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2216737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2216741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216749 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2216751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2216760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2216764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216768 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2216770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2216777 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2216794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2216803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2216807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216817 */     // GIR_Coverage, 59509,
     /* 2216817 */     GIR_EraseRootFromParent_Done,
     /* 2216818 */   // Label 29331: @2216818
     /* 2216818 */   GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2216871), // Rule ID 48010 //
     /* 2216823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216834 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2216851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216870 */     // GIR_Coverage, 48010,
     /* 2216870 */     GIR_EraseRootFromParent_Done,
     /* 2216871 */   // Label 29332: @2216871
     /* 2216871 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2216924), // Rule ID 48011 //
     /* 2216876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216887 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2216904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216923 */     // GIR_Coverage, 48011,
     /* 2216923 */     GIR_EraseRootFromParent_Done,
     /* 2216924 */   // Label 29333: @2216924
     /* 2216924 */   GIM_Reject,
     /* 2216925 */ // Label 29327: @2216925
     /* 2216925 */ GIM_Reject,
     /* 2216926 */ // Label 29206: @2216926
     /* 2216926 */ GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2217040),
     /* 2216931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2216934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2216937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216949 */   GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2216994), // Rule ID 47982 //
     /* 2216954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216957 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2216960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2216974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216993 */     // GIR_Coverage, 47982,
     /* 2216993 */     GIR_EraseRootFromParent_Done,
     /* 2216994 */   // Label 29335: @2216994
     /* 2216994 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2217039), // Rule ID 47983 //
     /* 2216999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217002 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2217005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2217019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217038 */     // GIR_Coverage, 47983,
     /* 2217038 */     GIR_EraseRootFromParent_Done,
     /* 2217039 */   // Label 29336: @2217039
     /* 2217039 */   GIM_Reject,
     /* 2217040 */ // Label 29334: @2217040
     /* 2217040 */ GIM_Reject,
     /* 2217041 */ // Label 29207: @2217041
     /* 2217041 */ GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2217519),
     /* 2217046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2217049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2217052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217056 */   GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2217145), // Rule ID 59466 //
     /* 2217061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2217064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217076 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2217091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217095 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217104 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2217121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217144 */     // GIR_Coverage, 59466,
     /* 2217144 */     GIR_EraseRootFromParent_Done,
     /* 2217145 */   // Label 29338: @2217145
     /* 2217145 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2217234), // Rule ID 59467 //
     /* 2217150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2217153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217165 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2217180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217184 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217193 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2217210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217233 */     // GIR_Coverage, 59467,
     /* 2217233 */     GIR_EraseRootFromParent_Done,
     /* 2217234 */   // Label 29339: @2217234
     /* 2217234 */   GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2217323), // Rule ID 59468 //
     /* 2217239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2217242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217254 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217273 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217282 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2217299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217322 */     // GIR_Coverage, 59468,
     /* 2217322 */     GIR_EraseRootFromParent_Done,
     /* 2217323 */   // Label 29340: @2217323
     /* 2217323 */   GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2217412), // Rule ID 59469 //
     /* 2217328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2217331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217343 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2217345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2217358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217362 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2217364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217371 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2217388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2217397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2217401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217411 */     // GIR_Coverage, 59469,
     /* 2217411 */     GIR_EraseRootFromParent_Done,
     /* 2217412 */   // Label 29341: @2217412
     /* 2217412 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2217465), // Rule ID 47998 //
     /* 2217417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217428 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2217445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217464 */     // GIR_Coverage, 47998,
     /* 2217464 */     GIR_EraseRootFromParent_Done,
     /* 2217465 */   // Label 29342: @2217465
     /* 2217465 */   GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2217518), // Rule ID 47999 //
     /* 2217470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217481 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2217498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217517 */     // GIR_Coverage, 47999,
     /* 2217517 */     GIR_EraseRootFromParent_Done,
     /* 2217518 */   // Label 29343: @2217518
     /* 2217518 */   GIM_Reject,
     /* 2217519 */ // Label 29337: @2217519
     /* 2217519 */ GIM_Reject,
     /* 2217520 */ // Label 29208: @2217520
     /* 2217520 */ GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2217634),
     /* 2217525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2217528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2217531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217543 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2217588), // Rule ID 47986 //
     /* 2217548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217551 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2217554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2217568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217587 */     // GIR_Coverage, 47986,
     /* 2217587 */     GIR_EraseRootFromParent_Done,
     /* 2217588 */   // Label 29345: @2217588
     /* 2217588 */   GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2217633), // Rule ID 47987 //
     /* 2217593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217596 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2217599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2217613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217632 */     // GIR_Coverage, 47987,
     /* 2217632 */     GIR_EraseRootFromParent_Done,
     /* 2217633 */   // Label 29346: @2217633
     /* 2217633 */   GIM_Reject,
     /* 2217634 */ // Label 29344: @2217634
     /* 2217634 */ GIM_Reject,
     /* 2217635 */ // Label 29209: @2217635
     /* 2217635 */ GIM_Reject,
     /* 2217636 */ // Label 44: @2217636
     /* 2217636 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29371*/ GIMT_Encode4(2220666),
     /* 2217647 */ /*GILLT_s32*//*Label 29347*/ GIMT_Encode4(2217771),
     /* 2217651 */ /*GILLT_s64*//*Label 29348*/ GIMT_Encode4(2217855), GIMT_Encode4(0),
     /* 2217659 */ /*GILLT_nxv1s8*//*Label 29349*/ GIMT_Encode4(2218136),
     /* 2217663 */ /*GILLT_nxv1s16*//*Label 29350*/ GIMT_Encode4(2218251),
     /* 2217667 */ /*GILLT_nxv1s32*//*Label 29351*/ GIMT_Encode4(2218366),
     /* 2217671 */ /*GILLT_nxv1s64*//*Label 29352*/ GIMT_Encode4(2218481), GIMT_Encode4(0),
     /* 2217679 */ /*GILLT_nxv2s8*//*Label 29353*/ GIMT_Encode4(2218596),
     /* 2217683 */ /*GILLT_nxv2s16*//*Label 29354*/ GIMT_Encode4(2218711),
     /* 2217687 */ /*GILLT_nxv2s32*//*Label 29355*/ GIMT_Encode4(2218826),
     /* 2217691 */ /*GILLT_nxv2s64*//*Label 29356*/ GIMT_Encode4(2218941), GIMT_Encode4(0),
     /* 2217699 */ /*GILLT_nxv4s8*//*Label 29357*/ GIMT_Encode4(2219056),
     /* 2217703 */ /*GILLT_nxv4s16*//*Label 29358*/ GIMT_Encode4(2219171),
     /* 2217707 */ /*GILLT_nxv4s32*//*Label 29359*/ GIMT_Encode4(2219286),
     /* 2217711 */ /*GILLT_nxv4s64*//*Label 29360*/ GIMT_Encode4(2219401), GIMT_Encode4(0),
     /* 2217719 */ /*GILLT_nxv8s8*//*Label 29361*/ GIMT_Encode4(2219516),
     /* 2217723 */ /*GILLT_nxv8s16*//*Label 29362*/ GIMT_Encode4(2219631),
     /* 2217727 */ /*GILLT_nxv8s32*//*Label 29363*/ GIMT_Encode4(2219746),
     /* 2217731 */ /*GILLT_nxv8s64*//*Label 29364*/ GIMT_Encode4(2219861), GIMT_Encode4(0),
     /* 2217739 */ /*GILLT_nxv16s8*//*Label 29365*/ GIMT_Encode4(2219976),
     /* 2217743 */ /*GILLT_nxv16s16*//*Label 29366*/ GIMT_Encode4(2220091),
     /* 2217747 */ /*GILLT_nxv16s32*//*Label 29367*/ GIMT_Encode4(2220206), GIMT_Encode4(0),
     /* 2217755 */ /*GILLT_nxv32s8*//*Label 29368*/ GIMT_Encode4(2220321),
     /* 2217759 */ /*GILLT_nxv32s16*//*Label 29369*/ GIMT_Encode4(2220436), GIMT_Encode4(0),
     /* 2217767 */ /*GILLT_nxv64s8*//*Label 29370*/ GIMT_Encode4(2220551),
     /* 2217771 */ // Label 29347: @2217771
     /* 2217771 */ GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2217854),
     /* 2217776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2217782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217790 */   GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2217824), // Rule ID 93 //
     /* 2217795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2217798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2217802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2217806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2217810 */     // MIs[1] Operand 1
     /* 2217810 */     // No operand predicates
     /* 2217810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2217812 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2217812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2217815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2217822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217823 */     // GIR_Coverage, 93,
     /* 2217823 */     GIR_EraseRootFromParent_Done,
     /* 2217824 */   // Label 29373: @2217824
     /* 2217824 */   GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2217853), // Rule ID 107 //
     /* 2217829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2217832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2217839 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2217839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2217842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2217851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217852 */     // GIR_Coverage, 107,
     /* 2217852 */     GIR_EraseRootFromParent_Done,
     /* 2217853 */   // Label 29374: @2217853
     /* 2217853 */   GIM_Reject,
     /* 2217854 */ // Label 29372: @2217854
     /* 2217854 */ GIM_Reject,
     /* 2217855 */ // Label 29348: @2217855
     /* 2217855 */ GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2218135),
     /* 2217860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2217866 */   GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2217938), // Rule ID 257 //
     /* 2217871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2217874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2217886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2217894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217899 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2217910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2217914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2217918 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2217922 */     // MIs[2] Operand 1
     /* 2217922 */     // No operand predicates
     /* 2217922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2217924 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2217924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2217927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2217933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2217936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217937 */     // GIR_Coverage, 257,
     /* 2217937 */     GIR_EraseRootFromParent_Done,
     /* 2217938 */   // Label 29376: @2217938
     /* 2217938 */   GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2217983), // Rule ID 62558 //
     /* 2217943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2217946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2217958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217962 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2217966 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /* 2217970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2217972 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10054>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2217972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2217975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2217981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217982 */     // GIR_Coverage, 62558,
     /* 2217982 */     GIR_EraseRootFromParent_Done,
     /* 2217983 */   // Label 29377: @2217983
     /* 2217983 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2218055), // Rule ID 269 //
     /* 2217988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2217991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2217999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2218003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2218007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218012 */     // MIs[1] Operand 2
     /* 2218012 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2218023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2218027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2218031 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2218035 */     // MIs[2] Operand 1
     /* 2218035 */     // No operand predicates
     /* 2218035 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10054),
     /* 2218039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2218041 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10054>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2218041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2218044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2218050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2218053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218054 */     // GIR_Coverage, 269,
     /* 2218054 */     GIR_EraseRootFromParent_Done,
     /* 2218055 */   // Label 29378: @2218055
     /* 2218055 */   GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2218097), // Rule ID 92 //
     /* 2218060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2218063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2218075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2218079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2218083 */     // MIs[1] Operand 1
     /* 2218083 */     // No operand predicates
     /* 2218083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2218085 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2218085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2218088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2218095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218096 */     // GIR_Coverage, 92,
     /* 2218096 */     GIR_EraseRootFromParent_Done,
     /* 2218097 */   // Label 29379: @2218097
     /* 2218097 */   GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2218134), // Rule ID 106 //
     /* 2218102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2218105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2218120 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2218120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2218123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2218132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218133 */     // GIR_Coverage, 106,
     /* 2218133 */     GIR_EraseRootFromParent_Done,
     /* 2218134 */   // Label 29380: @2218134
     /* 2218134 */   GIM_Reject,
     /* 2218135 */ // Label 29375: @2218135
     /* 2218135 */ GIM_Reject,
     /* 2218136 */ // Label 29349: @2218136
     /* 2218136 */ GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2218250),
     /* 2218141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2218144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2218147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218159 */   GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2218204), // Rule ID 48070 //
     /* 2218164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218167 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2218170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2218184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218203 */     // GIR_Coverage, 48070,
     /* 2218203 */     GIR_EraseRootFromParent_Done,
     /* 2218204 */   // Label 29382: @2218204
     /* 2218204 */   GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2218249), // Rule ID 48071 //
     /* 2218209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218212 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2218215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2218229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218248 */     // GIR_Coverage, 48071,
     /* 2218248 */     GIR_EraseRootFromParent_Done,
     /* 2218249 */   // Label 29383: @2218249
     /* 2218249 */   GIM_Reject,
     /* 2218250 */ // Label 29381: @2218250
     /* 2218250 */ GIM_Reject,
     /* 2218251 */ // Label 29350: @2218251
     /* 2218251 */ GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2218365),
     /* 2218256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2218259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2218262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218274 */   GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2218319), // Rule ID 48082 //
     /* 2218279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218282 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2218299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218318 */     // GIR_Coverage, 48082,
     /* 2218318 */     GIR_EraseRootFromParent_Done,
     /* 2218319 */   // Label 29385: @2218319
     /* 2218319 */   GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2218364), // Rule ID 48083 //
     /* 2218324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218327 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2218344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218363 */     // GIR_Coverage, 48083,
     /* 2218363 */     GIR_EraseRootFromParent_Done,
     /* 2218364 */   // Label 29386: @2218364
     /* 2218364 */   GIM_Reject,
     /* 2218365 */ // Label 29384: @2218365
     /* 2218365 */ GIM_Reject,
     /* 2218366 */ // Label 29351: @2218366
     /* 2218366 */ GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2218480),
     /* 2218371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2218377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218389 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2218434), // Rule ID 48090 //
     /* 2218394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218397 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2218414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218433 */     // GIR_Coverage, 48090,
     /* 2218433 */     GIR_EraseRootFromParent_Done,
     /* 2218434 */   // Label 29388: @2218434
     /* 2218434 */   GIM_Try, /*On fail goto*//*Label 29389*/ GIMT_Encode4(2218479), // Rule ID 48091 //
     /* 2218439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218442 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2218459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218478 */     // GIR_Coverage, 48091,
     /* 2218478 */     GIR_EraseRootFromParent_Done,
     /* 2218479 */   // Label 29389: @2218479
     /* 2218479 */   GIM_Reject,
     /* 2218480 */ // Label 29387: @2218480
     /* 2218480 */ GIM_Reject,
     /* 2218481 */ // Label 29352: @2218481
     /* 2218481 */ GIM_Try, /*On fail goto*//*Label 29390*/ GIMT_Encode4(2218595),
     /* 2218486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2218489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2218492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218504 */   GIM_Try, /*On fail goto*//*Label 29391*/ GIMT_Encode4(2218549), // Rule ID 48106 //
     /* 2218509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218512 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2218529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218548 */     // GIR_Coverage, 48106,
     /* 2218548 */     GIR_EraseRootFromParent_Done,
     /* 2218549 */   // Label 29391: @2218549
     /* 2218549 */   GIM_Try, /*On fail goto*//*Label 29392*/ GIMT_Encode4(2218594), // Rule ID 48107 //
     /* 2218554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218557 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2218574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218593 */     // GIR_Coverage, 48107,
     /* 2218593 */     GIR_EraseRootFromParent_Done,
     /* 2218594 */   // Label 29392: @2218594
     /* 2218594 */   GIM_Reject,
     /* 2218595 */ // Label 29390: @2218595
     /* 2218595 */ GIM_Reject,
     /* 2218596 */ // Label 29353: @2218596
     /* 2218596 */ GIM_Try, /*On fail goto*//*Label 29393*/ GIMT_Encode4(2218710),
     /* 2218601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2218604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2218607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218619 */   GIM_Try, /*On fail goto*//*Label 29394*/ GIMT_Encode4(2218664), // Rule ID 48074 //
     /* 2218624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218627 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2218630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2218644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218663 */     // GIR_Coverage, 48074,
     /* 2218663 */     GIR_EraseRootFromParent_Done,
     /* 2218664 */   // Label 29394: @2218664
     /* 2218664 */   GIM_Try, /*On fail goto*//*Label 29395*/ GIMT_Encode4(2218709), // Rule ID 48075 //
     /* 2218669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218672 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2218675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2218689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218708 */     // GIR_Coverage, 48075,
     /* 2218708 */     GIR_EraseRootFromParent_Done,
     /* 2218709 */   // Label 29395: @2218709
     /* 2218709 */   GIM_Reject,
     /* 2218710 */ // Label 29393: @2218710
     /* 2218710 */ GIM_Reject,
     /* 2218711 */ // Label 29354: @2218711
     /* 2218711 */ GIM_Try, /*On fail goto*//*Label 29396*/ GIMT_Encode4(2218825),
     /* 2218716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2218719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2218722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218734 */   GIM_Try, /*On fail goto*//*Label 29397*/ GIMT_Encode4(2218779), // Rule ID 48086 //
     /* 2218739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218742 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2218759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218778 */     // GIR_Coverage, 48086,
     /* 2218778 */     GIR_EraseRootFromParent_Done,
     /* 2218779 */   // Label 29397: @2218779
     /* 2218779 */   GIM_Try, /*On fail goto*//*Label 29398*/ GIMT_Encode4(2218824), // Rule ID 48087 //
     /* 2218784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218787 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2218804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218823 */     // GIR_Coverage, 48087,
     /* 2218823 */     GIR_EraseRootFromParent_Done,
     /* 2218824 */   // Label 29398: @2218824
     /* 2218824 */   GIM_Reject,
     /* 2218825 */ // Label 29396: @2218825
     /* 2218825 */ GIM_Reject,
     /* 2218826 */ // Label 29355: @2218826
     /* 2218826 */ GIM_Try, /*On fail goto*//*Label 29399*/ GIMT_Encode4(2218940),
     /* 2218831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2218834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2218837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218849 */   GIM_Try, /*On fail goto*//*Label 29400*/ GIMT_Encode4(2218894), // Rule ID 48102 //
     /* 2218854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218857 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2218860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2218874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218893 */     // GIR_Coverage, 48102,
     /* 2218893 */     GIR_EraseRootFromParent_Done,
     /* 2218894 */   // Label 29400: @2218894
     /* 2218894 */   GIM_Try, /*On fail goto*//*Label 29401*/ GIMT_Encode4(2218939), // Rule ID 48103 //
     /* 2218899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218902 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2218905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2218919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218938 */     // GIR_Coverage, 48103,
     /* 2218938 */     GIR_EraseRootFromParent_Done,
     /* 2218939 */   // Label 29401: @2218939
     /* 2218939 */   GIM_Reject,
     /* 2218940 */ // Label 29399: @2218940
     /* 2218940 */ GIM_Reject,
     /* 2218941 */ // Label 29356: @2218941
     /* 2218941 */ GIM_Try, /*On fail goto*//*Label 29402*/ GIMT_Encode4(2219055),
     /* 2218946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2218949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2218952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218964 */   GIM_Try, /*On fail goto*//*Label 29403*/ GIMT_Encode4(2219009), // Rule ID 48146 //
     /* 2218969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218972 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2218975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2218989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219008 */     // GIR_Coverage, 48146,
     /* 2219008 */     GIR_EraseRootFromParent_Done,
     /* 2219009 */   // Label 29403: @2219009
     /* 2219009 */   GIM_Try, /*On fail goto*//*Label 29404*/ GIMT_Encode4(2219054), // Rule ID 48147 //
     /* 2219014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219017 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2219020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2219034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219053 */     // GIR_Coverage, 48147,
     /* 2219053 */     GIR_EraseRootFromParent_Done,
     /* 2219054 */   // Label 29404: @2219054
     /* 2219054 */   GIM_Reject,
     /* 2219055 */ // Label 29402: @2219055
     /* 2219055 */ GIM_Reject,
     /* 2219056 */ // Label 29357: @2219056
     /* 2219056 */ GIM_Try, /*On fail goto*//*Label 29405*/ GIMT_Encode4(2219170),
     /* 2219061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2219064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2219067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219079 */   GIM_Try, /*On fail goto*//*Label 29406*/ GIMT_Encode4(2219124), // Rule ID 48078 //
     /* 2219084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219087 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2219090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2219104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219123 */     // GIR_Coverage, 48078,
     /* 2219123 */     GIR_EraseRootFromParent_Done,
     /* 2219124 */   // Label 29406: @2219124
     /* 2219124 */   GIM_Try, /*On fail goto*//*Label 29407*/ GIMT_Encode4(2219169), // Rule ID 48079 //
     /* 2219129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219132 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2219135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2219149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219168 */     // GIR_Coverage, 48079,
     /* 2219168 */     GIR_EraseRootFromParent_Done,
     /* 2219169 */   // Label 29407: @2219169
     /* 2219169 */   GIM_Reject,
     /* 2219170 */ // Label 29405: @2219170
     /* 2219170 */ GIM_Reject,
     /* 2219171 */ // Label 29358: @2219171
     /* 2219171 */ GIM_Try, /*On fail goto*//*Label 29408*/ GIMT_Encode4(2219285),
     /* 2219176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2219179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2219182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219194 */   GIM_Try, /*On fail goto*//*Label 29409*/ GIMT_Encode4(2219239), // Rule ID 48098 //
     /* 2219199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219202 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2219219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219238 */     // GIR_Coverage, 48098,
     /* 2219238 */     GIR_EraseRootFromParent_Done,
     /* 2219239 */   // Label 29409: @2219239
     /* 2219239 */   GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2219284), // Rule ID 48099 //
     /* 2219244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219247 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2219264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219283 */     // GIR_Coverage, 48099,
     /* 2219283 */     GIR_EraseRootFromParent_Done,
     /* 2219284 */   // Label 29410: @2219284
     /* 2219284 */   GIM_Reject,
     /* 2219285 */ // Label 29408: @2219285
     /* 2219285 */ GIM_Reject,
     /* 2219286 */ // Label 29359: @2219286
     /* 2219286 */ GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2219400),
     /* 2219291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2219294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2219297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219309 */   GIM_Try, /*On fail goto*//*Label 29412*/ GIMT_Encode4(2219354), // Rule ID 48134 //
     /* 2219314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219317 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2219320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2219334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219353 */     // GIR_Coverage, 48134,
     /* 2219353 */     GIR_EraseRootFromParent_Done,
     /* 2219354 */   // Label 29412: @2219354
     /* 2219354 */   GIM_Try, /*On fail goto*//*Label 29413*/ GIMT_Encode4(2219399), // Rule ID 48135 //
     /* 2219359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219362 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2219365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2219379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219398 */     // GIR_Coverage, 48135,
     /* 2219398 */     GIR_EraseRootFromParent_Done,
     /* 2219399 */   // Label 29413: @2219399
     /* 2219399 */   GIM_Reject,
     /* 2219400 */ // Label 29411: @2219400
     /* 2219400 */ GIM_Reject,
     /* 2219401 */ // Label 29360: @2219401
     /* 2219401 */ GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2219515),
     /* 2219406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2219409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2219412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219424 */   GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2219469), // Rule ID 48150 //
     /* 2219429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2219432 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2219435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2219449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219468 */     // GIR_Coverage, 48150,
     /* 2219468 */     GIR_EraseRootFromParent_Done,
     /* 2219469 */   // Label 29415: @2219469
     /* 2219469 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2219514), // Rule ID 48151 //
     /* 2219474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219477 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2219480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2219494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219513 */     // GIR_Coverage, 48151,
     /* 2219513 */     GIR_EraseRootFromParent_Done,
     /* 2219514 */   // Label 29416: @2219514
     /* 2219514 */   GIM_Reject,
     /* 2219515 */ // Label 29414: @2219515
     /* 2219515 */ GIM_Reject,
     /* 2219516 */ // Label 29361: @2219516
     /* 2219516 */ GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2219630),
     /* 2219521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2219527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219539 */   GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2219584), // Rule ID 48094 //
     /* 2219544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219547 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2219550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2219564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219583 */     // GIR_Coverage, 48094,
     /* 2219583 */     GIR_EraseRootFromParent_Done,
     /* 2219584 */   // Label 29418: @2219584
     /* 2219584 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2219629), // Rule ID 48095 //
     /* 2219589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219592 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2219595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2219609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219628 */     // GIR_Coverage, 48095,
     /* 2219628 */     GIR_EraseRootFromParent_Done,
     /* 2219629 */   // Label 29419: @2219629
     /* 2219629 */   GIM_Reject,
     /* 2219630 */ // Label 29417: @2219630
     /* 2219630 */ GIM_Reject,
     /* 2219631 */ // Label 29362: @2219631
     /* 2219631 */ GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2219745),
     /* 2219636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2219642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219654 */   GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2219699), // Rule ID 48122 //
     /* 2219659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219662 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2219679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219698 */     // GIR_Coverage, 48122,
     /* 2219698 */     GIR_EraseRootFromParent_Done,
     /* 2219699 */   // Label 29421: @2219699
     /* 2219699 */   GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2219744), // Rule ID 48123 //
     /* 2219704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219707 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2219724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219743 */     // GIR_Coverage, 48123,
     /* 2219743 */     GIR_EraseRootFromParent_Done,
     /* 2219744 */   // Label 29422: @2219744
     /* 2219744 */   GIM_Reject,
     /* 2219745 */ // Label 29420: @2219745
     /* 2219745 */ GIM_Reject,
     /* 2219746 */ // Label 29363: @2219746
     /* 2219746 */ GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2219860),
     /* 2219751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2219754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2219757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219769 */   GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2219814), // Rule ID 48138 //
     /* 2219774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219777 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2219780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2219794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219813 */     // GIR_Coverage, 48138,
     /* 2219813 */     GIR_EraseRootFromParent_Done,
     /* 2219814 */   // Label 29424: @2219814
     /* 2219814 */   GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2219859), // Rule ID 48139 //
     /* 2219819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219822 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2219825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2219839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219858 */     // GIR_Coverage, 48139,
     /* 2219858 */     GIR_EraseRootFromParent_Done,
     /* 2219859 */   // Label 29425: @2219859
     /* 2219859 */   GIM_Reject,
     /* 2219860 */ // Label 29423: @2219860
     /* 2219860 */ GIM_Reject,
     /* 2219861 */ // Label 29364: @2219861
     /* 2219861 */ GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2219975),
     /* 2219866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2219869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2219872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219884 */   GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2219929), // Rule ID 48154 //
     /* 2219889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2219892 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2219895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2219909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219928 */     // GIR_Coverage, 48154,
     /* 2219928 */     GIR_EraseRootFromParent_Done,
     /* 2219929 */   // Label 29427: @2219929
     /* 2219929 */   GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2219974), // Rule ID 48155 //
     /* 2219934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219937 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2219940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2219954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219973 */     // GIR_Coverage, 48155,
     /* 2219973 */     GIR_EraseRootFromParent_Done,
     /* 2219974 */   // Label 29428: @2219974
     /* 2219974 */   GIM_Reject,
     /* 2219975 */ // Label 29426: @2219975
     /* 2219975 */ GIM_Reject,
     /* 2219976 */ // Label 29365: @2219976
     /* 2219976 */ GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2220090),
     /* 2219981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2219984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2219987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219999 */   GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2220044), // Rule ID 48110 //
     /* 2220004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220007 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2220010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2220024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220043 */     // GIR_Coverage, 48110,
     /* 2220043 */     GIR_EraseRootFromParent_Done,
     /* 2220044 */   // Label 29430: @2220044
     /* 2220044 */   GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2220089), // Rule ID 48111 //
     /* 2220049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220052 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2220055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2220069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220088 */     // GIR_Coverage, 48111,
     /* 2220088 */     GIR_EraseRootFromParent_Done,
     /* 2220089 */   // Label 29431: @2220089
     /* 2220089 */   GIM_Reject,
     /* 2220090 */ // Label 29429: @2220090
     /* 2220090 */ GIM_Reject,
     /* 2220091 */ // Label 29366: @2220091
     /* 2220091 */ GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2220205),
     /* 2220096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2220099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2220102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220114 */   GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2220159), // Rule ID 48126 //
     /* 2220119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220122 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2220125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2220139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220158 */     // GIR_Coverage, 48126,
     /* 2220158 */     GIR_EraseRootFromParent_Done,
     /* 2220159 */   // Label 29433: @2220159
     /* 2220159 */   GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2220204), // Rule ID 48127 //
     /* 2220164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220167 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2220170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2220184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220203 */     // GIR_Coverage, 48127,
     /* 2220203 */     GIR_EraseRootFromParent_Done,
     /* 2220204 */   // Label 29434: @2220204
     /* 2220204 */   GIM_Reject,
     /* 2220205 */ // Label 29432: @2220205
     /* 2220205 */ GIM_Reject,
     /* 2220206 */ // Label 29367: @2220206
     /* 2220206 */ GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2220320),
     /* 2220211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2220214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2220217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220229 */   GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2220274), // Rule ID 48142 //
     /* 2220234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220237 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2220240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2220254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220273 */     // GIR_Coverage, 48142,
     /* 2220273 */     GIR_EraseRootFromParent_Done,
     /* 2220274 */   // Label 29436: @2220274
     /* 2220274 */   GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2220319), // Rule ID 48143 //
     /* 2220279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220282 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2220285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2220299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220318 */     // GIR_Coverage, 48143,
     /* 2220318 */     GIR_EraseRootFromParent_Done,
     /* 2220319 */   // Label 29437: @2220319
     /* 2220319 */   GIM_Reject,
     /* 2220320 */ // Label 29435: @2220320
     /* 2220320 */ GIM_Reject,
     /* 2220321 */ // Label 29368: @2220321
     /* 2220321 */ GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2220435),
     /* 2220326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2220329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2220332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220344 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2220389), // Rule ID 48114 //
     /* 2220349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220352 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2220355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2220369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220388 */     // GIR_Coverage, 48114,
     /* 2220388 */     GIR_EraseRootFromParent_Done,
     /* 2220389 */   // Label 29439: @2220389
     /* 2220389 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2220434), // Rule ID 48115 //
     /* 2220394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220397 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2220400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2220414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220433 */     // GIR_Coverage, 48115,
     /* 2220433 */     GIR_EraseRootFromParent_Done,
     /* 2220434 */   // Label 29440: @2220434
     /* 2220434 */   GIM_Reject,
     /* 2220435 */ // Label 29438: @2220435
     /* 2220435 */ GIM_Reject,
     /* 2220436 */ // Label 29369: @2220436
     /* 2220436 */ GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2220550),
     /* 2220441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2220444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2220447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220459 */   GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2220504), // Rule ID 48130 //
     /* 2220464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220467 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2220470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2220484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220503 */     // GIR_Coverage, 48130,
     /* 2220503 */     GIR_EraseRootFromParent_Done,
     /* 2220504 */   // Label 29442: @2220504
     /* 2220504 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2220549), // Rule ID 48131 //
     /* 2220509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220512 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2220515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2220529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220548 */     // GIR_Coverage, 48131,
     /* 2220548 */     GIR_EraseRootFromParent_Done,
     /* 2220549 */   // Label 29443: @2220549
     /* 2220549 */   GIM_Reject,
     /* 2220550 */ // Label 29441: @2220550
     /* 2220550 */ GIM_Reject,
     /* 2220551 */ // Label 29370: @2220551
     /* 2220551 */ GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2220665),
     /* 2220556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2220559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2220562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220574 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2220619), // Rule ID 48118 //
     /* 2220579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220582 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2220585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2220599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220618 */     // GIR_Coverage, 48118,
     /* 2220618 */     GIR_EraseRootFromParent_Done,
     /* 2220619 */   // Label 29445: @2220619
     /* 2220619 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2220664), // Rule ID 48119 //
     /* 2220624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220627 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2220630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2220644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220663 */     // GIR_Coverage, 48119,
     /* 2220663 */     GIR_EraseRootFromParent_Done,
     /* 2220664 */   // Label 29446: @2220664
     /* 2220664 */   GIM_Reject,
     /* 2220665 */ // Label 29444: @2220665
     /* 2220665 */ GIM_Reject,
     /* 2220666 */ // Label 29371: @2220666
     /* 2220666 */ GIM_Reject,
     /* 2220667 */ // Label 45: @2220667
     /* 2220667 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29471*/ GIMT_Encode4(2223605),
     /* 2220678 */ /*GILLT_s32*//*Label 29447*/ GIMT_Encode4(2220802),
     /* 2220682 */ /*GILLT_s64*//*Label 29448*/ GIMT_Encode4(2220886), GIMT_Encode4(0),
     /* 2220690 */ /*GILLT_nxv1s8*//*Label 29449*/ GIMT_Encode4(2221075),
     /* 2220694 */ /*GILLT_nxv1s16*//*Label 29450*/ GIMT_Encode4(2221190),
     /* 2220698 */ /*GILLT_nxv1s32*//*Label 29451*/ GIMT_Encode4(2221305),
     /* 2220702 */ /*GILLT_nxv1s64*//*Label 29452*/ GIMT_Encode4(2221420), GIMT_Encode4(0),
     /* 2220710 */ /*GILLT_nxv2s8*//*Label 29453*/ GIMT_Encode4(2221535),
     /* 2220714 */ /*GILLT_nxv2s16*//*Label 29454*/ GIMT_Encode4(2221650),
     /* 2220718 */ /*GILLT_nxv2s32*//*Label 29455*/ GIMT_Encode4(2221765),
     /* 2220722 */ /*GILLT_nxv2s64*//*Label 29456*/ GIMT_Encode4(2221880), GIMT_Encode4(0),
     /* 2220730 */ /*GILLT_nxv4s8*//*Label 29457*/ GIMT_Encode4(2221995),
     /* 2220734 */ /*GILLT_nxv4s16*//*Label 29458*/ GIMT_Encode4(2222110),
     /* 2220738 */ /*GILLT_nxv4s32*//*Label 29459*/ GIMT_Encode4(2222225),
     /* 2220742 */ /*GILLT_nxv4s64*//*Label 29460*/ GIMT_Encode4(2222340), GIMT_Encode4(0),
     /* 2220750 */ /*GILLT_nxv8s8*//*Label 29461*/ GIMT_Encode4(2222455),
     /* 2220754 */ /*GILLT_nxv8s16*//*Label 29462*/ GIMT_Encode4(2222570),
     /* 2220758 */ /*GILLT_nxv8s32*//*Label 29463*/ GIMT_Encode4(2222685),
     /* 2220762 */ /*GILLT_nxv8s64*//*Label 29464*/ GIMT_Encode4(2222800), GIMT_Encode4(0),
     /* 2220770 */ /*GILLT_nxv16s8*//*Label 29465*/ GIMT_Encode4(2222915),
     /* 2220774 */ /*GILLT_nxv16s16*//*Label 29466*/ GIMT_Encode4(2223030),
     /* 2220778 */ /*GILLT_nxv16s32*//*Label 29467*/ GIMT_Encode4(2223145), GIMT_Encode4(0),
     /* 2220786 */ /*GILLT_nxv32s8*//*Label 29468*/ GIMT_Encode4(2223260),
     /* 2220790 */ /*GILLT_nxv32s16*//*Label 29469*/ GIMT_Encode4(2223375), GIMT_Encode4(0),
     /* 2220798 */ /*GILLT_nxv64s8*//*Label 29470*/ GIMT_Encode4(2223490),
     /* 2220802 */ // Label 29447: @2220802
     /* 2220802 */ GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2220885),
     /* 2220807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2220810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220821 */   GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2220855), // Rule ID 95 //
     /* 2220826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2220833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2220841 */     // MIs[1] Operand 1
     /* 2220841 */     // No operand predicates
     /* 2220841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220843 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2220843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2220846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2220853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220854 */     // GIR_Coverage, 95,
     /* 2220854 */     GIR_EraseRootFromParent_Done,
     /* 2220855 */   // Label 29473: @2220855
     /* 2220855 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2220884), // Rule ID 109 //
     /* 2220860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2220870 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2220870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2220873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2220882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220883 */     // GIR_Coverage, 109,
     /* 2220883 */     GIR_EraseRootFromParent_Done,
     /* 2220884 */   // Label 29474: @2220884
     /* 2220884 */   GIM_Reject,
     /* 2220885 */ // Label 29472: @2220885
     /* 2220885 */ GIM_Reject,
     /* 2220886 */ // Label 29448: @2220886
     /* 2220886 */ GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2221074),
     /* 2220891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2220894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2220897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220901 */   GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2220938), // Rule ID 62557 //
     /* 2220906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2220909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2220917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2220921 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2220925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220927 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2220927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2220930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2220936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220937 */     // GIR_Coverage, 62557,
     /* 2220937 */     GIR_EraseRootFromParent_Done,
     /* 2220938 */   // Label 29476: @2220938
     /* 2220938 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2221002), // Rule ID 259 //
     /* 2220943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2220946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2220950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2220954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2220958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220963 */     // MIs[1] Operand 2
     /* 2220963 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2220974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2220978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220982 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2220986 */     // MIs[2] Operand 1
     /* 2220986 */     // No operand predicates
     /* 2220986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2220988 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2220988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2220991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2220997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2221000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221001 */     // GIR_Coverage, 259,
     /* 2221001 */     GIR_EraseRootFromParent_Done,
     /* 2221002 */   // Label 29477: @2221002
     /* 2221002 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2221040), // Rule ID 94 //
     /* 2221007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2221010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2221018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2221022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2221026 */     // MIs[1] Operand 1
     /* 2221026 */     // No operand predicates
     /* 2221026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2221028 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2221028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2221031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2221038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221039 */     // GIR_Coverage, 94,
     /* 2221039 */     GIR_EraseRootFromParent_Done,
     /* 2221040 */   // Label 29478: @2221040
     /* 2221040 */   GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2221073), // Rule ID 108 //
     /* 2221045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2221048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2221059 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2221059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2221062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2221071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221072 */     // GIR_Coverage, 108,
     /* 2221072 */     GIR_EraseRootFromParent_Done,
     /* 2221073 */   // Label 29479: @2221073
     /* 2221073 */   GIM_Reject,
     /* 2221074 */ // Label 29475: @2221074
     /* 2221074 */ GIM_Reject,
     /* 2221075 */ // Label 29449: @2221075
     /* 2221075 */ GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2221189),
     /* 2221080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2221083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2221086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221098 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2221143), // Rule ID 48202 //
     /* 2221103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221106 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2221109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2221123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221142 */     // GIR_Coverage, 48202,
     /* 2221142 */     GIR_EraseRootFromParent_Done,
     /* 2221143 */   // Label 29481: @2221143
     /* 2221143 */   GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2221188), // Rule ID 48203 //
     /* 2221148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221151 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2221154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2221168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221187 */     // GIR_Coverage, 48203,
     /* 2221187 */     GIR_EraseRootFromParent_Done,
     /* 2221188 */   // Label 29482: @2221188
     /* 2221188 */   GIM_Reject,
     /* 2221189 */ // Label 29480: @2221189
     /* 2221189 */ GIM_Reject,
     /* 2221190 */ // Label 29450: @2221190
     /* 2221190 */ GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2221304),
     /* 2221195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2221198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2221201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221213 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2221258), // Rule ID 48214 //
     /* 2221218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221221 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2221224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2221238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221257 */     // GIR_Coverage, 48214,
     /* 2221257 */     GIR_EraseRootFromParent_Done,
     /* 2221258 */   // Label 29484: @2221258
     /* 2221258 */   GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2221303), // Rule ID 48215 //
     /* 2221263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221266 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2221269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2221283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221302 */     // GIR_Coverage, 48215,
     /* 2221302 */     GIR_EraseRootFromParent_Done,
     /* 2221303 */   // Label 29485: @2221303
     /* 2221303 */   GIM_Reject,
     /* 2221304 */ // Label 29483: @2221304
     /* 2221304 */ GIM_Reject,
     /* 2221305 */ // Label 29451: @2221305
     /* 2221305 */ GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2221419),
     /* 2221310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2221313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2221316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221328 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2221373), // Rule ID 48222 //
     /* 2221333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221336 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2221339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2221353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221372 */     // GIR_Coverage, 48222,
     /* 2221372 */     GIR_EraseRootFromParent_Done,
     /* 2221373 */   // Label 29487: @2221373
     /* 2221373 */   GIM_Try, /*On fail goto*//*Label 29488*/ GIMT_Encode4(2221418), // Rule ID 48223 //
     /* 2221378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221381 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2221384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2221398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221417 */     // GIR_Coverage, 48223,
     /* 2221417 */     GIR_EraseRootFromParent_Done,
     /* 2221418 */   // Label 29488: @2221418
     /* 2221418 */   GIM_Reject,
     /* 2221419 */ // Label 29486: @2221419
     /* 2221419 */ GIM_Reject,
     /* 2221420 */ // Label 29452: @2221420
     /* 2221420 */ GIM_Try, /*On fail goto*//*Label 29489*/ GIMT_Encode4(2221534),
     /* 2221425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2221428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2221431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221443 */   GIM_Try, /*On fail goto*//*Label 29490*/ GIMT_Encode4(2221488), // Rule ID 48238 //
     /* 2221448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221451 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2221454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2221468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221487 */     // GIR_Coverage, 48238,
     /* 2221487 */     GIR_EraseRootFromParent_Done,
     /* 2221488 */   // Label 29490: @2221488
     /* 2221488 */   GIM_Try, /*On fail goto*//*Label 29491*/ GIMT_Encode4(2221533), // Rule ID 48239 //
     /* 2221493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221496 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2221499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2221513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221532 */     // GIR_Coverage, 48239,
     /* 2221532 */     GIR_EraseRootFromParent_Done,
     /* 2221533 */   // Label 29491: @2221533
     /* 2221533 */   GIM_Reject,
     /* 2221534 */ // Label 29489: @2221534
     /* 2221534 */ GIM_Reject,
     /* 2221535 */ // Label 29453: @2221535
     /* 2221535 */ GIM_Try, /*On fail goto*//*Label 29492*/ GIMT_Encode4(2221649),
     /* 2221540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2221546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221558 */   GIM_Try, /*On fail goto*//*Label 29493*/ GIMT_Encode4(2221603), // Rule ID 48206 //
     /* 2221563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221566 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2221569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2221583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221602 */     // GIR_Coverage, 48206,
     /* 2221602 */     GIR_EraseRootFromParent_Done,
     /* 2221603 */   // Label 29493: @2221603
     /* 2221603 */   GIM_Try, /*On fail goto*//*Label 29494*/ GIMT_Encode4(2221648), // Rule ID 48207 //
     /* 2221608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221611 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2221614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2221628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221647 */     // GIR_Coverage, 48207,
     /* 2221647 */     GIR_EraseRootFromParent_Done,
     /* 2221648 */   // Label 29494: @2221648
     /* 2221648 */   GIM_Reject,
     /* 2221649 */ // Label 29492: @2221649
     /* 2221649 */ GIM_Reject,
     /* 2221650 */ // Label 29454: @2221650
     /* 2221650 */ GIM_Try, /*On fail goto*//*Label 29495*/ GIMT_Encode4(2221764),
     /* 2221655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2221661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221673 */   GIM_Try, /*On fail goto*//*Label 29496*/ GIMT_Encode4(2221718), // Rule ID 48218 //
     /* 2221678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221681 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2221698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221717 */     // GIR_Coverage, 48218,
     /* 2221717 */     GIR_EraseRootFromParent_Done,
     /* 2221718 */   // Label 29496: @2221718
     /* 2221718 */   GIM_Try, /*On fail goto*//*Label 29497*/ GIMT_Encode4(2221763), // Rule ID 48219 //
     /* 2221723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221726 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2221743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221762 */     // GIR_Coverage, 48219,
     /* 2221762 */     GIR_EraseRootFromParent_Done,
     /* 2221763 */   // Label 29497: @2221763
     /* 2221763 */   GIM_Reject,
     /* 2221764 */ // Label 29495: @2221764
     /* 2221764 */ GIM_Reject,
     /* 2221765 */ // Label 29455: @2221765
     /* 2221765 */ GIM_Try, /*On fail goto*//*Label 29498*/ GIMT_Encode4(2221879),
     /* 2221770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2221773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2221776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221788 */   GIM_Try, /*On fail goto*//*Label 29499*/ GIMT_Encode4(2221833), // Rule ID 48234 //
     /* 2221793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221796 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2221813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221832 */     // GIR_Coverage, 48234,
     /* 2221832 */     GIR_EraseRootFromParent_Done,
     /* 2221833 */   // Label 29499: @2221833
     /* 2221833 */   GIM_Try, /*On fail goto*//*Label 29500*/ GIMT_Encode4(2221878), // Rule ID 48235 //
     /* 2221838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221841 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2221858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221877 */     // GIR_Coverage, 48235,
     /* 2221877 */     GIR_EraseRootFromParent_Done,
     /* 2221878 */   // Label 29500: @2221878
     /* 2221878 */   GIM_Reject,
     /* 2221879 */ // Label 29498: @2221879
     /* 2221879 */ GIM_Reject,
     /* 2221880 */ // Label 29456: @2221880
     /* 2221880 */ GIM_Try, /*On fail goto*//*Label 29501*/ GIMT_Encode4(2221994),
     /* 2221885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2221888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2221891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221903 */   GIM_Try, /*On fail goto*//*Label 29502*/ GIMT_Encode4(2221948), // Rule ID 48278 //
     /* 2221908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221911 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2221928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221947 */     // GIR_Coverage, 48278,
     /* 2221947 */     GIR_EraseRootFromParent_Done,
     /* 2221948 */   // Label 29502: @2221948
     /* 2221948 */   GIM_Try, /*On fail goto*//*Label 29503*/ GIMT_Encode4(2221993), // Rule ID 48279 //
     /* 2221953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221956 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2221973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221992 */     // GIR_Coverage, 48279,
     /* 2221992 */     GIR_EraseRootFromParent_Done,
     /* 2221993 */   // Label 29503: @2221993
     /* 2221993 */   GIM_Reject,
     /* 2221994 */ // Label 29501: @2221994
     /* 2221994 */ GIM_Reject,
     /* 2221995 */ // Label 29457: @2221995
     /* 2221995 */ GIM_Try, /*On fail goto*//*Label 29504*/ GIMT_Encode4(2222109),
     /* 2222000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2222006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222018 */   GIM_Try, /*On fail goto*//*Label 29505*/ GIMT_Encode4(2222063), // Rule ID 48210 //
     /* 2222023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222026 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2222029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2222043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222062 */     // GIR_Coverage, 48210,
     /* 2222062 */     GIR_EraseRootFromParent_Done,
     /* 2222063 */   // Label 29505: @2222063
     /* 2222063 */   GIM_Try, /*On fail goto*//*Label 29506*/ GIMT_Encode4(2222108), // Rule ID 48211 //
     /* 2222068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222071 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2222074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2222088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222107 */     // GIR_Coverage, 48211,
     /* 2222107 */     GIR_EraseRootFromParent_Done,
     /* 2222108 */   // Label 29506: @2222108
     /* 2222108 */   GIM_Reject,
     /* 2222109 */ // Label 29504: @2222109
     /* 2222109 */ GIM_Reject,
     /* 2222110 */ // Label 29458: @2222110
     /* 2222110 */ GIM_Try, /*On fail goto*//*Label 29507*/ GIMT_Encode4(2222224),
     /* 2222115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2222118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2222121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222133 */   GIM_Try, /*On fail goto*//*Label 29508*/ GIMT_Encode4(2222178), // Rule ID 48230 //
     /* 2222138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222141 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2222144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2222158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222177 */     // GIR_Coverage, 48230,
     /* 2222177 */     GIR_EraseRootFromParent_Done,
     /* 2222178 */   // Label 29508: @2222178
     /* 2222178 */   GIM_Try, /*On fail goto*//*Label 29509*/ GIMT_Encode4(2222223), // Rule ID 48231 //
     /* 2222183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222186 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2222189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2222203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222222 */     // GIR_Coverage, 48231,
     /* 2222222 */     GIR_EraseRootFromParent_Done,
     /* 2222223 */   // Label 29509: @2222223
     /* 2222223 */   GIM_Reject,
     /* 2222224 */ // Label 29507: @2222224
     /* 2222224 */ GIM_Reject,
     /* 2222225 */ // Label 29459: @2222225
     /* 2222225 */ GIM_Try, /*On fail goto*//*Label 29510*/ GIMT_Encode4(2222339),
     /* 2222230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2222233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2222236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222248 */   GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2222293), // Rule ID 48266 //
     /* 2222253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222256 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2222259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2222273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222292 */     // GIR_Coverage, 48266,
     /* 2222292 */     GIR_EraseRootFromParent_Done,
     /* 2222293 */   // Label 29511: @2222293
     /* 2222293 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2222338), // Rule ID 48267 //
     /* 2222298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222301 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2222304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2222318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222337 */     // GIR_Coverage, 48267,
     /* 2222337 */     GIR_EraseRootFromParent_Done,
     /* 2222338 */   // Label 29512: @2222338
     /* 2222338 */   GIM_Reject,
     /* 2222339 */ // Label 29510: @2222339
     /* 2222339 */ GIM_Reject,
     /* 2222340 */ // Label 29460: @2222340
     /* 2222340 */ GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2222454),
     /* 2222345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2222348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2222351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222363 */   GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2222408), // Rule ID 48282 //
     /* 2222368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222371 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2222374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2222388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222407 */     // GIR_Coverage, 48282,
     /* 2222407 */     GIR_EraseRootFromParent_Done,
     /* 2222408 */   // Label 29514: @2222408
     /* 2222408 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2222453), // Rule ID 48283 //
     /* 2222413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222416 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2222419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2222433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222452 */     // GIR_Coverage, 48283,
     /* 2222452 */     GIR_EraseRootFromParent_Done,
     /* 2222453 */   // Label 29515: @2222453
     /* 2222453 */   GIM_Reject,
     /* 2222454 */ // Label 29513: @2222454
     /* 2222454 */ GIM_Reject,
     /* 2222455 */ // Label 29461: @2222455
     /* 2222455 */ GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2222569),
     /* 2222460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2222463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2222466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222478 */   GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2222523), // Rule ID 48226 //
     /* 2222483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222486 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2222489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2222503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222522 */     // GIR_Coverage, 48226,
     /* 2222522 */     GIR_EraseRootFromParent_Done,
     /* 2222523 */   // Label 29517: @2222523
     /* 2222523 */   GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2222568), // Rule ID 48227 //
     /* 2222528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222531 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2222534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2222548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222567 */     // GIR_Coverage, 48227,
     /* 2222567 */     GIR_EraseRootFromParent_Done,
     /* 2222568 */   // Label 29518: @2222568
     /* 2222568 */   GIM_Reject,
     /* 2222569 */ // Label 29516: @2222569
     /* 2222569 */ GIM_Reject,
     /* 2222570 */ // Label 29462: @2222570
     /* 2222570 */ GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2222684),
     /* 2222575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2222578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2222581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222593 */   GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2222638), // Rule ID 48254 //
     /* 2222598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222601 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2222604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2222618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222637 */     // GIR_Coverage, 48254,
     /* 2222637 */     GIR_EraseRootFromParent_Done,
     /* 2222638 */   // Label 29520: @2222638
     /* 2222638 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2222683), // Rule ID 48255 //
     /* 2222643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222646 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2222649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2222663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222682 */     // GIR_Coverage, 48255,
     /* 2222682 */     GIR_EraseRootFromParent_Done,
     /* 2222683 */   // Label 29521: @2222683
     /* 2222683 */   GIM_Reject,
     /* 2222684 */ // Label 29519: @2222684
     /* 2222684 */ GIM_Reject,
     /* 2222685 */ // Label 29463: @2222685
     /* 2222685 */ GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2222799),
     /* 2222690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2222693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2222696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222708 */   GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2222753), // Rule ID 48270 //
     /* 2222713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222716 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2222733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222752 */     // GIR_Coverage, 48270,
     /* 2222752 */     GIR_EraseRootFromParent_Done,
     /* 2222753 */   // Label 29523: @2222753
     /* 2222753 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2222798), // Rule ID 48271 //
     /* 2222758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222761 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2222778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222797 */     // GIR_Coverage, 48271,
     /* 2222797 */     GIR_EraseRootFromParent_Done,
     /* 2222798 */   // Label 29524: @2222798
     /* 2222798 */   GIM_Reject,
     /* 2222799 */ // Label 29522: @2222799
     /* 2222799 */ GIM_Reject,
     /* 2222800 */ // Label 29464: @2222800
     /* 2222800 */ GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2222914),
     /* 2222805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2222808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2222811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222823 */   GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2222868), // Rule ID 48286 //
     /* 2222828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222831 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2222848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222867 */     // GIR_Coverage, 48286,
     /* 2222867 */     GIR_EraseRootFromParent_Done,
     /* 2222868 */   // Label 29526: @2222868
     /* 2222868 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2222913), // Rule ID 48287 //
     /* 2222873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222876 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2222893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222912 */     // GIR_Coverage, 48287,
     /* 2222912 */     GIR_EraseRootFromParent_Done,
     /* 2222913 */   // Label 29527: @2222913
     /* 2222913 */   GIM_Reject,
     /* 2222914 */ // Label 29525: @2222914
     /* 2222914 */ GIM_Reject,
     /* 2222915 */ // Label 29465: @2222915
     /* 2222915 */ GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2223029),
     /* 2222920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2222923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2222926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222938 */   GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2222983), // Rule ID 48242 //
     /* 2222943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222946 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2222949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2222963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222982 */     // GIR_Coverage, 48242,
     /* 2222982 */     GIR_EraseRootFromParent_Done,
     /* 2222983 */   // Label 29529: @2222983
     /* 2222983 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2223028), // Rule ID 48243 //
     /* 2222988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222991 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2222994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2223008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223027 */     // GIR_Coverage, 48243,
     /* 2223027 */     GIR_EraseRootFromParent_Done,
     /* 2223028 */   // Label 29530: @2223028
     /* 2223028 */   GIM_Reject,
     /* 2223029 */ // Label 29528: @2223029
     /* 2223029 */ GIM_Reject,
     /* 2223030 */ // Label 29466: @2223030
     /* 2223030 */ GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2223144),
     /* 2223035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2223038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2223041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223053 */   GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2223098), // Rule ID 48258 //
     /* 2223058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223061 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2223064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2223078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223097 */     // GIR_Coverage, 48258,
     /* 2223097 */     GIR_EraseRootFromParent_Done,
     /* 2223098 */   // Label 29532: @2223098
     /* 2223098 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2223143), // Rule ID 48259 //
     /* 2223103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223106 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2223109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2223123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223142 */     // GIR_Coverage, 48259,
     /* 2223142 */     GIR_EraseRootFromParent_Done,
     /* 2223143 */   // Label 29533: @2223143
     /* 2223143 */   GIM_Reject,
     /* 2223144 */ // Label 29531: @2223144
     /* 2223144 */ GIM_Reject,
     /* 2223145 */ // Label 29467: @2223145
     /* 2223145 */ GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2223259),
     /* 2223150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2223153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2223156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223168 */   GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2223213), // Rule ID 48274 //
     /* 2223173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223176 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2223179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2223193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223212 */     // GIR_Coverage, 48274,
     /* 2223212 */     GIR_EraseRootFromParent_Done,
     /* 2223213 */   // Label 29535: @2223213
     /* 2223213 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2223258), // Rule ID 48275 //
     /* 2223218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223221 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2223224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2223238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223257 */     // GIR_Coverage, 48275,
     /* 2223257 */     GIR_EraseRootFromParent_Done,
     /* 2223258 */   // Label 29536: @2223258
     /* 2223258 */   GIM_Reject,
     /* 2223259 */ // Label 29534: @2223259
     /* 2223259 */ GIM_Reject,
     /* 2223260 */ // Label 29468: @2223260
     /* 2223260 */ GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2223374),
     /* 2223265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2223268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2223271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223283 */   GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2223328), // Rule ID 48246 //
     /* 2223288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223291 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2223294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2223308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223327 */     // GIR_Coverage, 48246,
     /* 2223327 */     GIR_EraseRootFromParent_Done,
     /* 2223328 */   // Label 29538: @2223328
     /* 2223328 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2223373), // Rule ID 48247 //
     /* 2223333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223336 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2223339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2223353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223372 */     // GIR_Coverage, 48247,
     /* 2223372 */     GIR_EraseRootFromParent_Done,
     /* 2223373 */   // Label 29539: @2223373
     /* 2223373 */   GIM_Reject,
     /* 2223374 */ // Label 29537: @2223374
     /* 2223374 */ GIM_Reject,
     /* 2223375 */ // Label 29469: @2223375
     /* 2223375 */ GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2223489),
     /* 2223380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2223383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2223386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223398 */   GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2223443), // Rule ID 48262 //
     /* 2223403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223406 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2223409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2223423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223442 */     // GIR_Coverage, 48262,
     /* 2223442 */     GIR_EraseRootFromParent_Done,
     /* 2223443 */   // Label 29541: @2223443
     /* 2223443 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2223488), // Rule ID 48263 //
     /* 2223448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223451 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2223454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2223468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223487 */     // GIR_Coverage, 48263,
     /* 2223487 */     GIR_EraseRootFromParent_Done,
     /* 2223488 */   // Label 29542: @2223488
     /* 2223488 */   GIM_Reject,
     /* 2223489 */ // Label 29540: @2223489
     /* 2223489 */ GIM_Reject,
     /* 2223490 */ // Label 29470: @2223490
     /* 2223490 */ GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2223604),
     /* 2223495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2223498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2223501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223513 */   GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2223558), // Rule ID 48250 //
     /* 2223518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223521 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2223524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2223538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223557 */     // GIR_Coverage, 48250,
     /* 2223557 */     GIR_EraseRootFromParent_Done,
     /* 2223558 */   // Label 29544: @2223558
     /* 2223558 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2223603), // Rule ID 48251 //
     /* 2223563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223566 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2223569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2223583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223602 */     // GIR_Coverage, 48251,
     /* 2223602 */     GIR_EraseRootFromParent_Done,
     /* 2223603 */   // Label 29545: @2223603
     /* 2223603 */   GIM_Reject,
     /* 2223604 */ // Label 29543: @2223604
     /* 2223604 */ GIM_Reject,
     /* 2223605 */ // Label 29471: @2223605
     /* 2223605 */ GIM_Reject,
     /* 2223606 */ // Label 46: @2223606
     /* 2223606 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29570*/ GIMT_Encode4(2226545),
     /* 2223617 */ /*GILLT_s32*//*Label 29546*/ GIMT_Encode4(2223741),
     /* 2223621 */ /*GILLT_s64*//*Label 29547*/ GIMT_Encode4(2223878), GIMT_Encode4(0),
     /* 2223629 */ /*GILLT_nxv1s8*//*Label 29548*/ GIMT_Encode4(2224015),
     /* 2223633 */ /*GILLT_nxv1s16*//*Label 29549*/ GIMT_Encode4(2224130),
     /* 2223637 */ /*GILLT_nxv1s32*//*Label 29550*/ GIMT_Encode4(2224245),
     /* 2223641 */ /*GILLT_nxv1s64*//*Label 29551*/ GIMT_Encode4(2224360), GIMT_Encode4(0),
     /* 2223649 */ /*GILLT_nxv2s8*//*Label 29552*/ GIMT_Encode4(2224475),
     /* 2223653 */ /*GILLT_nxv2s16*//*Label 29553*/ GIMT_Encode4(2224590),
     /* 2223657 */ /*GILLT_nxv2s32*//*Label 29554*/ GIMT_Encode4(2224705),
     /* 2223661 */ /*GILLT_nxv2s64*//*Label 29555*/ GIMT_Encode4(2224820), GIMT_Encode4(0),
     /* 2223669 */ /*GILLT_nxv4s8*//*Label 29556*/ GIMT_Encode4(2224935),
     /* 2223673 */ /*GILLT_nxv4s16*//*Label 29557*/ GIMT_Encode4(2225050),
     /* 2223677 */ /*GILLT_nxv4s32*//*Label 29558*/ GIMT_Encode4(2225165),
     /* 2223681 */ /*GILLT_nxv4s64*//*Label 29559*/ GIMT_Encode4(2225280), GIMT_Encode4(0),
     /* 2223689 */ /*GILLT_nxv8s8*//*Label 29560*/ GIMT_Encode4(2225395),
     /* 2223693 */ /*GILLT_nxv8s16*//*Label 29561*/ GIMT_Encode4(2225510),
     /* 2223697 */ /*GILLT_nxv8s32*//*Label 29562*/ GIMT_Encode4(2225625),
     /* 2223701 */ /*GILLT_nxv8s64*//*Label 29563*/ GIMT_Encode4(2225740), GIMT_Encode4(0),
     /* 2223709 */ /*GILLT_nxv16s8*//*Label 29564*/ GIMT_Encode4(2225855),
     /* 2223713 */ /*GILLT_nxv16s16*//*Label 29565*/ GIMT_Encode4(2225970),
     /* 2223717 */ /*GILLT_nxv16s32*//*Label 29566*/ GIMT_Encode4(2226085), GIMT_Encode4(0),
     /* 2223725 */ /*GILLT_nxv32s8*//*Label 29567*/ GIMT_Encode4(2226200),
     /* 2223729 */ /*GILLT_nxv32s16*//*Label 29568*/ GIMT_Encode4(2226315), GIMT_Encode4(0),
     /* 2223737 */ /*GILLT_nxv64s8*//*Label 29569*/ GIMT_Encode4(2226430),
     /* 2223741 */ // Label 29546: @2223741
     /* 2223741 */ GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2223877),
     /* 2223746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2223749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2223752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223760 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2223794), // Rule ID 2353 //
     /* 2223765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2223768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2223772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2223780 */     // MIs[1] Operand 1
     /* 2223780 */     // No operand predicates
     /* 2223780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223782 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2223782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2223785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2223792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223793 */     // GIR_Coverage, 2353,
     /* 2223793 */     GIR_EraseRootFromParent_Done,
     /* 2223794 */   // Label 29572: @2223794
     /* 2223794 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2223828), // Rule ID 62540 //
     /* 2223799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2223802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2223806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2223814 */     // MIs[1] Operand 1
     /* 2223814 */     // No operand predicates
     /* 2223814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223816 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2223816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2223819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2223826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223827 */     // GIR_Coverage, 62540,
     /* 2223827 */     GIR_EraseRootFromParent_Done,
     /* 2223828 */   // Label 29573: @2223828
     /* 2223828 */   GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2223857), // Rule ID 2351 //
     /* 2223833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2223836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2223843 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2223843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2223846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2223855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223856 */     // GIR_Coverage, 2351,
     /* 2223856 */     GIR_EraseRootFromParent_Done,
     /* 2223857 */   // Label 29574: @2223857
     /* 2223857 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2223876), // Rule ID 64434 //
     /* 2223862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2223865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223869 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2223869 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2223874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223875 */     // GIR_Coverage, 64434,
     /* 2223875 */     GIR_Done,
     /* 2223876 */   // Label 29575: @2223876
     /* 2223876 */   GIM_Reject,
     /* 2223877 */ // Label 29571: @2223877
     /* 2223877 */ GIM_Reject,
     /* 2223878 */ // Label 29547: @2223878
     /* 2223878 */ GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2224014),
     /* 2223883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2223886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223897 */   GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2223931), // Rule ID 2352 //
     /* 2223902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2223905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2223909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2223917 */     // MIs[1] Operand 1
     /* 2223917 */     // No operand predicates
     /* 2223917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223919 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2223919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2223922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2223929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223930 */     // GIR_Coverage, 2352,
     /* 2223930 */     GIR_EraseRootFromParent_Done,
     /* 2223931 */   // Label 29577: @2223931
     /* 2223931 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2223965), // Rule ID 62539 //
     /* 2223936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2223939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2223943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2223951 */     // MIs[1] Operand 1
     /* 2223951 */     // No operand predicates
     /* 2223951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223953 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2223953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2223956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2223963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223964 */     // GIR_Coverage, 62539,
     /* 2223964 */     GIR_EraseRootFromParent_Done,
     /* 2223965 */   // Label 29578: @2223965
     /* 2223965 */   GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2223994), // Rule ID 2350 //
     /* 2223970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2223973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2223980 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2223983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2223992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223993 */     // GIR_Coverage, 2350,
     /* 2223993 */     GIR_EraseRootFromParent_Done,
     /* 2223994 */   // Label 29579: @2223994
     /* 2223994 */   GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2224013), // Rule ID 64433 //
     /* 2223999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2224002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224006 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2224006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2224011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224012 */     // GIR_Coverage, 64433,
     /* 2224012 */     GIR_Done,
     /* 2224013 */   // Label 29580: @2224013
     /* 2224013 */   GIM_Reject,
     /* 2224014 */ // Label 29576: @2224014
     /* 2224014 */ GIM_Reject,
     /* 2224015 */ // Label 29548: @2224015
     /* 2224015 */ GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2224129),
     /* 2224020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2224023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2224026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224038 */   GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2224083), // Rule ID 59294 //
     /* 2224043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224046 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2224049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2224063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224082 */     // GIR_Coverage, 59294,
     /* 2224082 */     GIR_EraseRootFromParent_Done,
     /* 2224083 */   // Label 29582: @2224083
     /* 2224083 */   GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2224128), // Rule ID 59295 //
     /* 2224088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224091 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2224094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2224108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224127 */     // GIR_Coverage, 59295,
     /* 2224127 */     GIR_EraseRootFromParent_Done,
     /* 2224128 */   // Label 29583: @2224128
     /* 2224128 */   GIM_Reject,
     /* 2224129 */ // Label 29581: @2224129
     /* 2224129 */ GIM_Reject,
     /* 2224130 */ // Label 29549: @2224130
     /* 2224130 */ GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2224244),
     /* 2224135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2224141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224153 */   GIM_Try, /*On fail goto*//*Label 29585*/ GIMT_Encode4(2224198), // Rule ID 59306 //
     /* 2224158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224161 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2224164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2224178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224197 */     // GIR_Coverage, 59306,
     /* 2224197 */     GIR_EraseRootFromParent_Done,
     /* 2224198 */   // Label 29585: @2224198
     /* 2224198 */   GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2224243), // Rule ID 59307 //
     /* 2224203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224206 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2224209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2224223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224242 */     // GIR_Coverage, 59307,
     /* 2224242 */     GIR_EraseRootFromParent_Done,
     /* 2224243 */   // Label 29586: @2224243
     /* 2224243 */   GIM_Reject,
     /* 2224244 */ // Label 29584: @2224244
     /* 2224244 */ GIM_Reject,
     /* 2224245 */ // Label 29550: @2224245
     /* 2224245 */ GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2224359),
     /* 2224250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2224253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2224256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224268 */   GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2224313), // Rule ID 59314 //
     /* 2224273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224276 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2224293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224312 */     // GIR_Coverage, 59314,
     /* 2224312 */     GIR_EraseRootFromParent_Done,
     /* 2224313 */   // Label 29588: @2224313
     /* 2224313 */   GIM_Try, /*On fail goto*//*Label 29589*/ GIMT_Encode4(2224358), // Rule ID 59315 //
     /* 2224318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224321 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2224338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224357 */     // GIR_Coverage, 59315,
     /* 2224357 */     GIR_EraseRootFromParent_Done,
     /* 2224358 */   // Label 29589: @2224358
     /* 2224358 */   GIM_Reject,
     /* 2224359 */ // Label 29587: @2224359
     /* 2224359 */ GIM_Reject,
     /* 2224360 */ // Label 29551: @2224360
     /* 2224360 */ GIM_Try, /*On fail goto*//*Label 29590*/ GIMT_Encode4(2224474),
     /* 2224365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2224368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2224371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224383 */   GIM_Try, /*On fail goto*//*Label 29591*/ GIMT_Encode4(2224428), // Rule ID 59330 //
     /* 2224388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224391 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2224394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2224408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224427 */     // GIR_Coverage, 59330,
     /* 2224427 */     GIR_EraseRootFromParent_Done,
     /* 2224428 */   // Label 29591: @2224428
     /* 2224428 */   GIM_Try, /*On fail goto*//*Label 29592*/ GIMT_Encode4(2224473), // Rule ID 59331 //
     /* 2224433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224436 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2224439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2224453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224472 */     // GIR_Coverage, 59331,
     /* 2224472 */     GIR_EraseRootFromParent_Done,
     /* 2224473 */   // Label 29592: @2224473
     /* 2224473 */   GIM_Reject,
     /* 2224474 */ // Label 29590: @2224474
     /* 2224474 */ GIM_Reject,
     /* 2224475 */ // Label 29552: @2224475
     /* 2224475 */ GIM_Try, /*On fail goto*//*Label 29593*/ GIMT_Encode4(2224589),
     /* 2224480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2224483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2224486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224498 */   GIM_Try, /*On fail goto*//*Label 29594*/ GIMT_Encode4(2224543), // Rule ID 59298 //
     /* 2224503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224506 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2224509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2224523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224542 */     // GIR_Coverage, 59298,
     /* 2224542 */     GIR_EraseRootFromParent_Done,
     /* 2224543 */   // Label 29594: @2224543
     /* 2224543 */   GIM_Try, /*On fail goto*//*Label 29595*/ GIMT_Encode4(2224588), // Rule ID 59299 //
     /* 2224548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224551 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2224554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2224568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224587 */     // GIR_Coverage, 59299,
     /* 2224587 */     GIR_EraseRootFromParent_Done,
     /* 2224588 */   // Label 29595: @2224588
     /* 2224588 */   GIM_Reject,
     /* 2224589 */ // Label 29593: @2224589
     /* 2224589 */ GIM_Reject,
     /* 2224590 */ // Label 29553: @2224590
     /* 2224590 */ GIM_Try, /*On fail goto*//*Label 29596*/ GIMT_Encode4(2224704),
     /* 2224595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2224598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2224601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224613 */   GIM_Try, /*On fail goto*//*Label 29597*/ GIMT_Encode4(2224658), // Rule ID 59310 //
     /* 2224618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224621 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2224638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224657 */     // GIR_Coverage, 59310,
     /* 2224657 */     GIR_EraseRootFromParent_Done,
     /* 2224658 */   // Label 29597: @2224658
     /* 2224658 */   GIM_Try, /*On fail goto*//*Label 29598*/ GIMT_Encode4(2224703), // Rule ID 59311 //
     /* 2224663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224666 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2224683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224702 */     // GIR_Coverage, 59311,
     /* 2224702 */     GIR_EraseRootFromParent_Done,
     /* 2224703 */   // Label 29598: @2224703
     /* 2224703 */   GIM_Reject,
     /* 2224704 */ // Label 29596: @2224704
     /* 2224704 */ GIM_Reject,
     /* 2224705 */ // Label 29554: @2224705
     /* 2224705 */ GIM_Try, /*On fail goto*//*Label 29599*/ GIMT_Encode4(2224819),
     /* 2224710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2224713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2224716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224728 */   GIM_Try, /*On fail goto*//*Label 29600*/ GIMT_Encode4(2224773), // Rule ID 59326 //
     /* 2224733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224736 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2224753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224772 */     // GIR_Coverage, 59326,
     /* 2224772 */     GIR_EraseRootFromParent_Done,
     /* 2224773 */   // Label 29600: @2224773
     /* 2224773 */   GIM_Try, /*On fail goto*//*Label 29601*/ GIMT_Encode4(2224818), // Rule ID 59327 //
     /* 2224778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224781 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2224798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224817 */     // GIR_Coverage, 59327,
     /* 2224817 */     GIR_EraseRootFromParent_Done,
     /* 2224818 */   // Label 29601: @2224818
     /* 2224818 */   GIM_Reject,
     /* 2224819 */ // Label 29599: @2224819
     /* 2224819 */ GIM_Reject,
     /* 2224820 */ // Label 29555: @2224820
     /* 2224820 */ GIM_Try, /*On fail goto*//*Label 29602*/ GIMT_Encode4(2224934),
     /* 2224825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2224828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2224831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224843 */   GIM_Try, /*On fail goto*//*Label 29603*/ GIMT_Encode4(2224888), // Rule ID 59370 //
     /* 2224848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2224851 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2224854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2224868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224887 */     // GIR_Coverage, 59370,
     /* 2224887 */     GIR_EraseRootFromParent_Done,
     /* 2224888 */   // Label 29603: @2224888
     /* 2224888 */   GIM_Try, /*On fail goto*//*Label 29604*/ GIMT_Encode4(2224933), // Rule ID 59371 //
     /* 2224893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2224896 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2224899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2224913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224932 */     // GIR_Coverage, 59371,
     /* 2224932 */     GIR_EraseRootFromParent_Done,
     /* 2224933 */   // Label 29604: @2224933
     /* 2224933 */   GIM_Reject,
     /* 2224934 */ // Label 29602: @2224934
     /* 2224934 */ GIM_Reject,
     /* 2224935 */ // Label 29556: @2224935
     /* 2224935 */ GIM_Try, /*On fail goto*//*Label 29605*/ GIMT_Encode4(2225049),
     /* 2224940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2224943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2224946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224958 */   GIM_Try, /*On fail goto*//*Label 29606*/ GIMT_Encode4(2225003), // Rule ID 59302 //
     /* 2224963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224966 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2224969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2224983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225002 */     // GIR_Coverage, 59302,
     /* 2225002 */     GIR_EraseRootFromParent_Done,
     /* 2225003 */   // Label 29606: @2225003
     /* 2225003 */   GIM_Try, /*On fail goto*//*Label 29607*/ GIMT_Encode4(2225048), // Rule ID 59303 //
     /* 2225008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225011 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2225014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2225028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225047 */     // GIR_Coverage, 59303,
     /* 2225047 */     GIR_EraseRootFromParent_Done,
     /* 2225048 */   // Label 29607: @2225048
     /* 2225048 */   GIM_Reject,
     /* 2225049 */ // Label 29605: @2225049
     /* 2225049 */ GIM_Reject,
     /* 2225050 */ // Label 29557: @2225050
     /* 2225050 */ GIM_Try, /*On fail goto*//*Label 29608*/ GIMT_Encode4(2225164),
     /* 2225055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2225058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2225061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225073 */   GIM_Try, /*On fail goto*//*Label 29609*/ GIMT_Encode4(2225118), // Rule ID 59322 //
     /* 2225078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225081 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2225084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2225098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225117 */     // GIR_Coverage, 59322,
     /* 2225117 */     GIR_EraseRootFromParent_Done,
     /* 2225118 */   // Label 29609: @2225118
     /* 2225118 */   GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2225163), // Rule ID 59323 //
     /* 2225123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225126 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2225129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2225143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225162 */     // GIR_Coverage, 59323,
     /* 2225162 */     GIR_EraseRootFromParent_Done,
     /* 2225163 */   // Label 29610: @2225163
     /* 2225163 */   GIM_Reject,
     /* 2225164 */ // Label 29608: @2225164
     /* 2225164 */ GIM_Reject,
     /* 2225165 */ // Label 29558: @2225165
     /* 2225165 */ GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2225279),
     /* 2225170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2225173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2225176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225188 */   GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2225233), // Rule ID 59358 //
     /* 2225193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225196 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2225213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225232 */     // GIR_Coverage, 59358,
     /* 2225232 */     GIR_EraseRootFromParent_Done,
     /* 2225233 */   // Label 29612: @2225233
     /* 2225233 */   GIM_Try, /*On fail goto*//*Label 29613*/ GIMT_Encode4(2225278), // Rule ID 59359 //
     /* 2225238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225241 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2225258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225277 */     // GIR_Coverage, 59359,
     /* 2225277 */     GIR_EraseRootFromParent_Done,
     /* 2225278 */   // Label 29613: @2225278
     /* 2225278 */   GIM_Reject,
     /* 2225279 */ // Label 29611: @2225279
     /* 2225279 */ GIM_Reject,
     /* 2225280 */ // Label 29559: @2225280
     /* 2225280 */ GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2225394),
     /* 2225285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2225288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2225291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225303 */   GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2225348), // Rule ID 59374 //
     /* 2225308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2225311 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2225314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2225328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225347 */     // GIR_Coverage, 59374,
     /* 2225347 */     GIR_EraseRootFromParent_Done,
     /* 2225348 */   // Label 29615: @2225348
     /* 2225348 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2225393), // Rule ID 59375 //
     /* 2225353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2225356 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2225359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2225373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225392 */     // GIR_Coverage, 59375,
     /* 2225392 */     GIR_EraseRootFromParent_Done,
     /* 2225393 */   // Label 29616: @2225393
     /* 2225393 */   GIM_Reject,
     /* 2225394 */ // Label 29614: @2225394
     /* 2225394 */ GIM_Reject,
     /* 2225395 */ // Label 29560: @2225395
     /* 2225395 */ GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2225509),
     /* 2225400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2225403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2225406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225418 */   GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2225463), // Rule ID 59318 //
     /* 2225423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225426 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2225429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2225443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225462 */     // GIR_Coverage, 59318,
     /* 2225462 */     GIR_EraseRootFromParent_Done,
     /* 2225463 */   // Label 29618: @2225463
     /* 2225463 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2225508), // Rule ID 59319 //
     /* 2225468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225471 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2225474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2225488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225507 */     // GIR_Coverage, 59319,
     /* 2225507 */     GIR_EraseRootFromParent_Done,
     /* 2225508 */   // Label 29619: @2225508
     /* 2225508 */   GIM_Reject,
     /* 2225509 */ // Label 29617: @2225509
     /* 2225509 */ GIM_Reject,
     /* 2225510 */ // Label 29561: @2225510
     /* 2225510 */ GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2225624),
     /* 2225515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2225521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225533 */   GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2225578), // Rule ID 59346 //
     /* 2225538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225541 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2225544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2225558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225577 */     // GIR_Coverage, 59346,
     /* 2225577 */     GIR_EraseRootFromParent_Done,
     /* 2225578 */   // Label 29621: @2225578
     /* 2225578 */   GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2225623), // Rule ID 59347 //
     /* 2225583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225586 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2225589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2225603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225622 */     // GIR_Coverage, 59347,
     /* 2225622 */     GIR_EraseRootFromParent_Done,
     /* 2225623 */   // Label 29622: @2225623
     /* 2225623 */   GIM_Reject,
     /* 2225624 */ // Label 29620: @2225624
     /* 2225624 */ GIM_Reject,
     /* 2225625 */ // Label 29562: @2225625
     /* 2225625 */ GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2225739),
     /* 2225630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2225633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2225636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225648 */   GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2225693), // Rule ID 59362 //
     /* 2225653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225656 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2225659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2225673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225692 */     // GIR_Coverage, 59362,
     /* 2225692 */     GIR_EraseRootFromParent_Done,
     /* 2225693 */   // Label 29624: @2225693
     /* 2225693 */   GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2225738), // Rule ID 59363 //
     /* 2225698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225701 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2225704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2225718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225737 */     // GIR_Coverage, 59363,
     /* 2225737 */     GIR_EraseRootFromParent_Done,
     /* 2225738 */   // Label 29625: @2225738
     /* 2225738 */   GIM_Reject,
     /* 2225739 */ // Label 29623: @2225739
     /* 2225739 */ GIM_Reject,
     /* 2225740 */ // Label 29563: @2225740
     /* 2225740 */ GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2225854),
     /* 2225745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2225748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2225751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225763 */   GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2225808), // Rule ID 59378 //
     /* 2225768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2225771 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2225788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225807 */     // GIR_Coverage, 59378,
     /* 2225807 */     GIR_EraseRootFromParent_Done,
     /* 2225808 */   // Label 29627: @2225808
     /* 2225808 */   GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2225853), // Rule ID 59379 //
     /* 2225813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2225816 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2225819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2225833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225852 */     // GIR_Coverage, 59379,
     /* 2225852 */     GIR_EraseRootFromParent_Done,
     /* 2225853 */   // Label 29628: @2225853
     /* 2225853 */   GIM_Reject,
     /* 2225854 */ // Label 29626: @2225854
     /* 2225854 */ GIM_Reject,
     /* 2225855 */ // Label 29564: @2225855
     /* 2225855 */ GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2225969),
     /* 2225860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2225863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2225866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225878 */   GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2225923), // Rule ID 59334 //
     /* 2225883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225886 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2225889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2225903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225922 */     // GIR_Coverage, 59334,
     /* 2225922 */     GIR_EraseRootFromParent_Done,
     /* 2225923 */   // Label 29630: @2225923
     /* 2225923 */   GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2225968), // Rule ID 59335 //
     /* 2225928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225931 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2225934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2225948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225967 */     // GIR_Coverage, 59335,
     /* 2225967 */     GIR_EraseRootFromParent_Done,
     /* 2225968 */   // Label 29631: @2225968
     /* 2225968 */   GIM_Reject,
     /* 2225969 */ // Label 29629: @2225969
     /* 2225969 */ GIM_Reject,
     /* 2225970 */ // Label 29565: @2225970
     /* 2225970 */ GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2226084),
     /* 2225975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2225978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2225981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225993 */   GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2226038), // Rule ID 59350 //
     /* 2225998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226001 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2226018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226037 */     // GIR_Coverage, 59350,
     /* 2226037 */     GIR_EraseRootFromParent_Done,
     /* 2226038 */   // Label 29633: @2226038
     /* 2226038 */   GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2226083), // Rule ID 59351 //
     /* 2226043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226046 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2226063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226082 */     // GIR_Coverage, 59351,
     /* 2226082 */     GIR_EraseRootFromParent_Done,
     /* 2226083 */   // Label 29634: @2226083
     /* 2226083 */   GIM_Reject,
     /* 2226084 */ // Label 29632: @2226084
     /* 2226084 */ GIM_Reject,
     /* 2226085 */ // Label 29566: @2226085
     /* 2226085 */ GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2226199),
     /* 2226090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2226093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2226096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226108 */   GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2226153), // Rule ID 59366 //
     /* 2226113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226116 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2226133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226152 */     // GIR_Coverage, 59366,
     /* 2226152 */     GIR_EraseRootFromParent_Done,
     /* 2226153 */   // Label 29636: @2226153
     /* 2226153 */   GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2226198), // Rule ID 59367 //
     /* 2226158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226161 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2226164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2226178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226197 */     // GIR_Coverage, 59367,
     /* 2226197 */     GIR_EraseRootFromParent_Done,
     /* 2226198 */   // Label 29637: @2226198
     /* 2226198 */   GIM_Reject,
     /* 2226199 */ // Label 29635: @2226199
     /* 2226199 */ GIM_Reject,
     /* 2226200 */ // Label 29567: @2226200
     /* 2226200 */ GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2226314),
     /* 2226205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2226208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2226211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226223 */   GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2226268), // Rule ID 59338 //
     /* 2226228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226231 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2226234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2226248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226267 */     // GIR_Coverage, 59338,
     /* 2226267 */     GIR_EraseRootFromParent_Done,
     /* 2226268 */   // Label 29639: @2226268
     /* 2226268 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2226313), // Rule ID 59339 //
     /* 2226273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226276 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2226279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2226293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226312 */     // GIR_Coverage, 59339,
     /* 2226312 */     GIR_EraseRootFromParent_Done,
     /* 2226313 */   // Label 29640: @2226313
     /* 2226313 */   GIM_Reject,
     /* 2226314 */ // Label 29638: @2226314
     /* 2226314 */ GIM_Reject,
     /* 2226315 */ // Label 29568: @2226315
     /* 2226315 */ GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2226429),
     /* 2226320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2226323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2226326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226338 */   GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2226383), // Rule ID 59354 //
     /* 2226343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226346 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2226349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2226363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226382 */     // GIR_Coverage, 59354,
     /* 2226382 */     GIR_EraseRootFromParent_Done,
     /* 2226383 */   // Label 29642: @2226383
     /* 2226383 */   GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2226428), // Rule ID 59355 //
     /* 2226388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226391 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2226394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2226408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226427 */     // GIR_Coverage, 59355,
     /* 2226427 */     GIR_EraseRootFromParent_Done,
     /* 2226428 */   // Label 29643: @2226428
     /* 2226428 */   GIM_Reject,
     /* 2226429 */ // Label 29641: @2226429
     /* 2226429 */ GIM_Reject,
     /* 2226430 */ // Label 29569: @2226430
     /* 2226430 */ GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2226544),
     /* 2226435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2226438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2226441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226453 */   GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2226498), // Rule ID 59342 //
     /* 2226458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226461 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2226464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2226478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226497 */     // GIR_Coverage, 59342,
     /* 2226497 */     GIR_EraseRootFromParent_Done,
     /* 2226498 */   // Label 29645: @2226498
     /* 2226498 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2226543), // Rule ID 59343 //
     /* 2226503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226506 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2226509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2226523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226542 */     // GIR_Coverage, 59343,
     /* 2226542 */     GIR_EraseRootFromParent_Done,
     /* 2226543 */   // Label 29646: @2226543
     /* 2226543 */   GIM_Reject,
     /* 2226544 */ // Label 29644: @2226544
     /* 2226544 */ GIM_Reject,
     /* 2226545 */ // Label 29570: @2226545
     /* 2226545 */ GIM_Reject,
     /* 2226546 */ // Label 47: @2226546
     /* 2226546 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29671*/ GIMT_Encode4(2229455),
     /* 2226557 */ /*GILLT_s32*//*Label 29647*/ GIMT_Encode4(2226681),
     /* 2226561 */ /*GILLT_s64*//*Label 29648*/ GIMT_Encode4(2226803), GIMT_Encode4(0),
     /* 2226569 */ /*GILLT_nxv1s8*//*Label 29649*/ GIMT_Encode4(2226925),
     /* 2226573 */ /*GILLT_nxv1s16*//*Label 29650*/ GIMT_Encode4(2227040),
     /* 2226577 */ /*GILLT_nxv1s32*//*Label 29651*/ GIMT_Encode4(2227155),
     /* 2226581 */ /*GILLT_nxv1s64*//*Label 29652*/ GIMT_Encode4(2227270), GIMT_Encode4(0),
     /* 2226589 */ /*GILLT_nxv2s8*//*Label 29653*/ GIMT_Encode4(2227385),
     /* 2226593 */ /*GILLT_nxv2s16*//*Label 29654*/ GIMT_Encode4(2227500),
     /* 2226597 */ /*GILLT_nxv2s32*//*Label 29655*/ GIMT_Encode4(2227615),
     /* 2226601 */ /*GILLT_nxv2s64*//*Label 29656*/ GIMT_Encode4(2227730), GIMT_Encode4(0),
     /* 2226609 */ /*GILLT_nxv4s8*//*Label 29657*/ GIMT_Encode4(2227845),
     /* 2226613 */ /*GILLT_nxv4s16*//*Label 29658*/ GIMT_Encode4(2227960),
     /* 2226617 */ /*GILLT_nxv4s32*//*Label 29659*/ GIMT_Encode4(2228075),
     /* 2226621 */ /*GILLT_nxv4s64*//*Label 29660*/ GIMT_Encode4(2228190), GIMT_Encode4(0),
     /* 2226629 */ /*GILLT_nxv8s8*//*Label 29661*/ GIMT_Encode4(2228305),
     /* 2226633 */ /*GILLT_nxv8s16*//*Label 29662*/ GIMT_Encode4(2228420),
     /* 2226637 */ /*GILLT_nxv8s32*//*Label 29663*/ GIMT_Encode4(2228535),
     /* 2226641 */ /*GILLT_nxv8s64*//*Label 29664*/ GIMT_Encode4(2228650), GIMT_Encode4(0),
     /* 2226649 */ /*GILLT_nxv16s8*//*Label 29665*/ GIMT_Encode4(2228765),
     /* 2226653 */ /*GILLT_nxv16s16*//*Label 29666*/ GIMT_Encode4(2228880),
     /* 2226657 */ /*GILLT_nxv16s32*//*Label 29667*/ GIMT_Encode4(2228995), GIMT_Encode4(0),
     /* 2226665 */ /*GILLT_nxv32s8*//*Label 29668*/ GIMT_Encode4(2229110),
     /* 2226669 */ /*GILLT_nxv32s16*//*Label 29669*/ GIMT_Encode4(2229225), GIMT_Encode4(0),
     /* 2226677 */ /*GILLT_nxv64s8*//*Label 29670*/ GIMT_Encode4(2229340),
     /* 2226681 */ // Label 29647: @2226681
     /* 2226681 */ GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2226802),
     /* 2226686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2226689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226700 */   GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2226736), // Rule ID 2355 //
     /* 2226705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2226708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2226712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2226720 */     // MIs[1] Operand 1
     /* 2226720 */     // No operand predicates
     /* 2226720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226722 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2226722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2226725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226729 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2226734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226735 */     // GIR_Coverage, 2355,
     /* 2226735 */     GIR_EraseRootFromParent_Done,
     /* 2226736 */   // Label 29673: @2226736
     /* 2226736 */   GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2226772), // Rule ID 62542 //
     /* 2226741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2226744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2226748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2226756 */     // MIs[1] Operand 1
     /* 2226756 */     // No operand predicates
     /* 2226756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226758 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2226758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2226761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226765 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2226770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226771 */     // GIR_Coverage, 62542,
     /* 2226771 */     GIR_EraseRootFromParent_Done,
     /* 2226772 */   // Label 29674: @2226772
     /* 2226772 */   GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2226801), // Rule ID 2349 //
     /* 2226777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2226780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2226787 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2226787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2226790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2226799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226800 */     // GIR_Coverage, 2349,
     /* 2226800 */     GIR_EraseRootFromParent_Done,
     /* 2226801 */   // Label 29675: @2226801
     /* 2226801 */   GIM_Reject,
     /* 2226802 */ // Label 29672: @2226802
     /* 2226802 */ GIM_Reject,
     /* 2226803 */ // Label 29648: @2226803
     /* 2226803 */ GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2226924),
     /* 2226808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2226811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2226814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226822 */   GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2226858), // Rule ID 2354 //
     /* 2226827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2226830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2226834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2226842 */     // MIs[1] Operand 1
     /* 2226842 */     // No operand predicates
     /* 2226842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226844 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2226844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2226847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226851 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2226856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226857 */     // GIR_Coverage, 2354,
     /* 2226857 */     GIR_EraseRootFromParent_Done,
     /* 2226858 */   // Label 29677: @2226858
     /* 2226858 */   GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2226894), // Rule ID 62541 //
     /* 2226863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2226866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2226870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2226878 */     // MIs[1] Operand 1
     /* 2226878 */     // No operand predicates
     /* 2226878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226880 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2226880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2226883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226887 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2226892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226893 */     // GIR_Coverage, 62541,
     /* 2226893 */     GIR_EraseRootFromParent_Done,
     /* 2226894 */   // Label 29678: @2226894
     /* 2226894 */   GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2226923), // Rule ID 2348 //
     /* 2226899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2226902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2226909 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2226909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2226912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2226921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226922 */     // GIR_Coverage, 2348,
     /* 2226922 */     GIR_EraseRootFromParent_Done,
     /* 2226923 */   // Label 29679: @2226923
     /* 2226923 */   GIM_Reject,
     /* 2226924 */ // Label 29676: @2226924
     /* 2226924 */ GIM_Reject,
     /* 2226925 */ // Label 29649: @2226925
     /* 2226925 */ GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2227039),
     /* 2226930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2226933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2226936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226948 */   GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2226993), // Rule ID 59162 //
     /* 2226953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226956 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2226959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2226973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226992 */     // GIR_Coverage, 59162,
     /* 2226992 */     GIR_EraseRootFromParent_Done,
     /* 2226993 */   // Label 29681: @2226993
     /* 2226993 */   GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2227038), // Rule ID 59163 //
     /* 2226998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227001 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2227004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2227018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227037 */     // GIR_Coverage, 59163,
     /* 2227037 */     GIR_EraseRootFromParent_Done,
     /* 2227038 */   // Label 29682: @2227038
     /* 2227038 */   GIM_Reject,
     /* 2227039 */ // Label 29680: @2227039
     /* 2227039 */ GIM_Reject,
     /* 2227040 */ // Label 29650: @2227040
     /* 2227040 */ GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2227154),
     /* 2227045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2227048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2227051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227063 */   GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2227108), // Rule ID 59174 //
     /* 2227068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227071 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2227074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2227088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227107 */     // GIR_Coverage, 59174,
     /* 2227107 */     GIR_EraseRootFromParent_Done,
     /* 2227108 */   // Label 29684: @2227108
     /* 2227108 */   GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2227153), // Rule ID 59175 //
     /* 2227113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227116 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2227119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2227133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227152 */     // GIR_Coverage, 59175,
     /* 2227152 */     GIR_EraseRootFromParent_Done,
     /* 2227153 */   // Label 29685: @2227153
     /* 2227153 */   GIM_Reject,
     /* 2227154 */ // Label 29683: @2227154
     /* 2227154 */ GIM_Reject,
     /* 2227155 */ // Label 29651: @2227155
     /* 2227155 */ GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2227269),
     /* 2227160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2227163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2227166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227178 */   GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2227223), // Rule ID 59182 //
     /* 2227183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227186 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2227189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2227203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227222 */     // GIR_Coverage, 59182,
     /* 2227222 */     GIR_EraseRootFromParent_Done,
     /* 2227223 */   // Label 29687: @2227223
     /* 2227223 */   GIM_Try, /*On fail goto*//*Label 29688*/ GIMT_Encode4(2227268), // Rule ID 59183 //
     /* 2227228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227231 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2227234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2227248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227267 */     // GIR_Coverage, 59183,
     /* 2227267 */     GIR_EraseRootFromParent_Done,
     /* 2227268 */   // Label 29688: @2227268
     /* 2227268 */   GIM_Reject,
     /* 2227269 */ // Label 29686: @2227269
     /* 2227269 */ GIM_Reject,
     /* 2227270 */ // Label 29652: @2227270
     /* 2227270 */ GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2227384),
     /* 2227275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2227278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2227281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227293 */   GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2227338), // Rule ID 59198 //
     /* 2227298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2227301 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2227304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2227318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227337 */     // GIR_Coverage, 59198,
     /* 2227337 */     GIR_EraseRootFromParent_Done,
     /* 2227338 */   // Label 29690: @2227338
     /* 2227338 */   GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2227383), // Rule ID 59199 //
     /* 2227343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2227346 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2227349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2227363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227382 */     // GIR_Coverage, 59199,
     /* 2227382 */     GIR_EraseRootFromParent_Done,
     /* 2227383 */   // Label 29691: @2227383
     /* 2227383 */   GIM_Reject,
     /* 2227384 */ // Label 29689: @2227384
     /* 2227384 */ GIM_Reject,
     /* 2227385 */ // Label 29653: @2227385
     /* 2227385 */ GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2227499),
     /* 2227390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2227393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2227396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227408 */   GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2227453), // Rule ID 59166 //
     /* 2227413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227416 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2227419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2227433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227452 */     // GIR_Coverage, 59166,
     /* 2227452 */     GIR_EraseRootFromParent_Done,
     /* 2227453 */   // Label 29693: @2227453
     /* 2227453 */   GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2227498), // Rule ID 59167 //
     /* 2227458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227461 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2227464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2227478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227497 */     // GIR_Coverage, 59167,
     /* 2227497 */     GIR_EraseRootFromParent_Done,
     /* 2227498 */   // Label 29694: @2227498
     /* 2227498 */   GIM_Reject,
     /* 2227499 */ // Label 29692: @2227499
     /* 2227499 */ GIM_Reject,
     /* 2227500 */ // Label 29654: @2227500
     /* 2227500 */ GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2227614),
     /* 2227505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2227508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2227511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227523 */   GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2227568), // Rule ID 59178 //
     /* 2227528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227531 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2227534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2227548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227567 */     // GIR_Coverage, 59178,
     /* 2227567 */     GIR_EraseRootFromParent_Done,
     /* 2227568 */   // Label 29696: @2227568
     /* 2227568 */   GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2227613), // Rule ID 59179 //
     /* 2227573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227576 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2227579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2227593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227612 */     // GIR_Coverage, 59179,
     /* 2227612 */     GIR_EraseRootFromParent_Done,
     /* 2227613 */   // Label 29697: @2227613
     /* 2227613 */   GIM_Reject,
     /* 2227614 */ // Label 29695: @2227614
     /* 2227614 */ GIM_Reject,
     /* 2227615 */ // Label 29655: @2227615
     /* 2227615 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2227729),
     /* 2227620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2227623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2227626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227638 */   GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2227683), // Rule ID 59194 //
     /* 2227643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227646 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2227649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2227663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227682 */     // GIR_Coverage, 59194,
     /* 2227682 */     GIR_EraseRootFromParent_Done,
     /* 2227683 */   // Label 29699: @2227683
     /* 2227683 */   GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2227728), // Rule ID 59195 //
     /* 2227688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227691 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2227694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2227708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227727 */     // GIR_Coverage, 59195,
     /* 2227727 */     GIR_EraseRootFromParent_Done,
     /* 2227728 */   // Label 29700: @2227728
     /* 2227728 */   GIM_Reject,
     /* 2227729 */ // Label 29698: @2227729
     /* 2227729 */ GIM_Reject,
     /* 2227730 */ // Label 29656: @2227730
     /* 2227730 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2227844),
     /* 2227735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2227738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2227741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227753 */   GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2227798), // Rule ID 59238 //
     /* 2227758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2227761 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2227764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2227778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227797 */     // GIR_Coverage, 59238,
     /* 2227797 */     GIR_EraseRootFromParent_Done,
     /* 2227798 */   // Label 29702: @2227798
     /* 2227798 */   GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2227843), // Rule ID 59239 //
     /* 2227803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2227806 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2227809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2227823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227842 */     // GIR_Coverage, 59239,
     /* 2227842 */     GIR_EraseRootFromParent_Done,
     /* 2227843 */   // Label 29703: @2227843
     /* 2227843 */   GIM_Reject,
     /* 2227844 */ // Label 29701: @2227844
     /* 2227844 */ GIM_Reject,
     /* 2227845 */ // Label 29657: @2227845
     /* 2227845 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2227959),
     /* 2227850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2227856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227868 */   GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2227913), // Rule ID 59170 //
     /* 2227873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227876 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2227879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2227893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227912 */     // GIR_Coverage, 59170,
     /* 2227912 */     GIR_EraseRootFromParent_Done,
     /* 2227913 */   // Label 29705: @2227913
     /* 2227913 */   GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2227958), // Rule ID 59171 //
     /* 2227918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227921 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2227924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2227938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227957 */     // GIR_Coverage, 59171,
     /* 2227957 */     GIR_EraseRootFromParent_Done,
     /* 2227958 */   // Label 29706: @2227958
     /* 2227958 */   GIM_Reject,
     /* 2227959 */ // Label 29704: @2227959
     /* 2227959 */ GIM_Reject,
     /* 2227960 */ // Label 29658: @2227960
     /* 2227960 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2228074),
     /* 2227965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2227971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227983 */   GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2228028), // Rule ID 59190 //
     /* 2227988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227991 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2228008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228027 */     // GIR_Coverage, 59190,
     /* 2228027 */     GIR_EraseRootFromParent_Done,
     /* 2228028 */   // Label 29708: @2228028
     /* 2228028 */   GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2228073), // Rule ID 59191 //
     /* 2228033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228036 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2228039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2228053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228072 */     // GIR_Coverage, 59191,
     /* 2228072 */     GIR_EraseRootFromParent_Done,
     /* 2228073 */   // Label 29709: @2228073
     /* 2228073 */   GIM_Reject,
     /* 2228074 */ // Label 29707: @2228074
     /* 2228074 */ GIM_Reject,
     /* 2228075 */ // Label 29659: @2228075
     /* 2228075 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2228189),
     /* 2228080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2228086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228098 */   GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2228143), // Rule ID 59226 //
     /* 2228103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228106 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2228109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2228123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228142 */     // GIR_Coverage, 59226,
     /* 2228142 */     GIR_EraseRootFromParent_Done,
     /* 2228143 */   // Label 29711: @2228143
     /* 2228143 */   GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2228188), // Rule ID 59227 //
     /* 2228148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228151 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2228154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2228168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228187 */     // GIR_Coverage, 59227,
     /* 2228187 */     GIR_EraseRootFromParent_Done,
     /* 2228188 */   // Label 29712: @2228188
     /* 2228188 */   GIM_Reject,
     /* 2228189 */ // Label 29710: @2228189
     /* 2228189 */ GIM_Reject,
     /* 2228190 */ // Label 29660: @2228190
     /* 2228190 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2228304),
     /* 2228195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2228198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2228201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228213 */   GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2228258), // Rule ID 59242 //
     /* 2228218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228221 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2228238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228257 */     // GIR_Coverage, 59242,
     /* 2228257 */     GIR_EraseRootFromParent_Done,
     /* 2228258 */   // Label 29714: @2228258
     /* 2228258 */   GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2228303), // Rule ID 59243 //
     /* 2228263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2228266 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2228283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228302 */     // GIR_Coverage, 59243,
     /* 2228302 */     GIR_EraseRootFromParent_Done,
     /* 2228303 */   // Label 29715: @2228303
     /* 2228303 */   GIM_Reject,
     /* 2228304 */ // Label 29713: @2228304
     /* 2228304 */ GIM_Reject,
     /* 2228305 */ // Label 29661: @2228305
     /* 2228305 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2228419),
     /* 2228310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2228316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228328 */   GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2228373), // Rule ID 59186 //
     /* 2228333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228336 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2228339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2228353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228372 */     // GIR_Coverage, 59186,
     /* 2228372 */     GIR_EraseRootFromParent_Done,
     /* 2228373 */   // Label 29717: @2228373
     /* 2228373 */   GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2228418), // Rule ID 59187 //
     /* 2228378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228381 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2228384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2228398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228417 */     // GIR_Coverage, 59187,
     /* 2228417 */     GIR_EraseRootFromParent_Done,
     /* 2228418 */   // Label 29718: @2228418
     /* 2228418 */   GIM_Reject,
     /* 2228419 */ // Label 29716: @2228419
     /* 2228419 */ GIM_Reject,
     /* 2228420 */ // Label 29662: @2228420
     /* 2228420 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2228534),
     /* 2228425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2228428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2228431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228443 */   GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2228488), // Rule ID 59214 //
     /* 2228448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228451 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2228468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228487 */     // GIR_Coverage, 59214,
     /* 2228487 */     GIR_EraseRootFromParent_Done,
     /* 2228488 */   // Label 29720: @2228488
     /* 2228488 */   GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2228533), // Rule ID 59215 //
     /* 2228493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228496 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2228513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228532 */     // GIR_Coverage, 59215,
     /* 2228532 */     GIR_EraseRootFromParent_Done,
     /* 2228533 */   // Label 29721: @2228533
     /* 2228533 */   GIM_Reject,
     /* 2228534 */ // Label 29719: @2228534
     /* 2228534 */ GIM_Reject,
     /* 2228535 */ // Label 29663: @2228535
     /* 2228535 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2228649),
     /* 2228540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2228543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2228546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228558 */   GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2228603), // Rule ID 59230 //
     /* 2228563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228566 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2228569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2228583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228602 */     // GIR_Coverage, 59230,
     /* 2228602 */     GIR_EraseRootFromParent_Done,
     /* 2228603 */   // Label 29723: @2228603
     /* 2228603 */   GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2228648), // Rule ID 59231 //
     /* 2228608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228611 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2228614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2228628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228647 */     // GIR_Coverage, 59231,
     /* 2228647 */     GIR_EraseRootFromParent_Done,
     /* 2228648 */   // Label 29724: @2228648
     /* 2228648 */   GIM_Reject,
     /* 2228649 */ // Label 29722: @2228649
     /* 2228649 */ GIM_Reject,
     /* 2228650 */ // Label 29664: @2228650
     /* 2228650 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2228764),
     /* 2228655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2228658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2228661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228673 */   GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2228718), // Rule ID 59246 //
     /* 2228678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228681 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2228684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2228698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228717 */     // GIR_Coverage, 59246,
     /* 2228717 */     GIR_EraseRootFromParent_Done,
     /* 2228718 */   // Label 29726: @2228718
     /* 2228718 */   GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2228763), // Rule ID 59247 //
     /* 2228723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2228726 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2228729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2228743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228762 */     // GIR_Coverage, 59247,
     /* 2228762 */     GIR_EraseRootFromParent_Done,
     /* 2228763 */   // Label 29727: @2228763
     /* 2228763 */   GIM_Reject,
     /* 2228764 */ // Label 29725: @2228764
     /* 2228764 */ GIM_Reject,
     /* 2228765 */ // Label 29665: @2228765
     /* 2228765 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2228879),
     /* 2228770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2228773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2228776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228788 */   GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2228833), // Rule ID 59202 //
     /* 2228793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228796 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2228799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2228813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228832 */     // GIR_Coverage, 59202,
     /* 2228832 */     GIR_EraseRootFromParent_Done,
     /* 2228833 */   // Label 29729: @2228833
     /* 2228833 */   GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2228878), // Rule ID 59203 //
     /* 2228838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228841 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2228844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2228858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228877 */     // GIR_Coverage, 59203,
     /* 2228877 */     GIR_EraseRootFromParent_Done,
     /* 2228878 */   // Label 29730: @2228878
     /* 2228878 */   GIM_Reject,
     /* 2228879 */ // Label 29728: @2228879
     /* 2228879 */ GIM_Reject,
     /* 2228880 */ // Label 29666: @2228880
     /* 2228880 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2228994),
     /* 2228885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2228888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2228891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228903 */   GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2228948), // Rule ID 59218 //
     /* 2228908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228911 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2228914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2228928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228947 */     // GIR_Coverage, 59218,
     /* 2228947 */     GIR_EraseRootFromParent_Done,
     /* 2228948 */   // Label 29732: @2228948
     /* 2228948 */   GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2228993), // Rule ID 59219 //
     /* 2228953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228956 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2228959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2228973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228992 */     // GIR_Coverage, 59219,
     /* 2228992 */     GIR_EraseRootFromParent_Done,
     /* 2228993 */   // Label 29733: @2228993
     /* 2228993 */   GIM_Reject,
     /* 2228994 */ // Label 29731: @2228994
     /* 2228994 */ GIM_Reject,
     /* 2228995 */ // Label 29667: @2228995
     /* 2228995 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2229109),
     /* 2229000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2229003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2229006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229018 */   GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2229063), // Rule ID 59234 //
     /* 2229023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229026 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2229029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2229043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229062 */     // GIR_Coverage, 59234,
     /* 2229062 */     GIR_EraseRootFromParent_Done,
     /* 2229063 */   // Label 29735: @2229063
     /* 2229063 */   GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2229108), // Rule ID 59235 //
     /* 2229068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229071 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2229074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2229088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229107 */     // GIR_Coverage, 59235,
     /* 2229107 */     GIR_EraseRootFromParent_Done,
     /* 2229108 */   // Label 29736: @2229108
     /* 2229108 */   GIM_Reject,
     /* 2229109 */ // Label 29734: @2229109
     /* 2229109 */ GIM_Reject,
     /* 2229110 */ // Label 29668: @2229110
     /* 2229110 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2229224),
     /* 2229115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2229118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2229121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229133 */   GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2229178), // Rule ID 59206 //
     /* 2229138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229141 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2229144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2229158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229177 */     // GIR_Coverage, 59206,
     /* 2229177 */     GIR_EraseRootFromParent_Done,
     /* 2229178 */   // Label 29738: @2229178
     /* 2229178 */   GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2229223), // Rule ID 59207 //
     /* 2229183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229186 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2229189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2229203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229222 */     // GIR_Coverage, 59207,
     /* 2229222 */     GIR_EraseRootFromParent_Done,
     /* 2229223 */   // Label 29739: @2229223
     /* 2229223 */   GIM_Reject,
     /* 2229224 */ // Label 29737: @2229224
     /* 2229224 */ GIM_Reject,
     /* 2229225 */ // Label 29669: @2229225
     /* 2229225 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2229339),
     /* 2229230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2229233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2229236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229248 */   GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2229293), // Rule ID 59222 //
     /* 2229253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229256 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2229259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2229273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229292 */     // GIR_Coverage, 59222,
     /* 2229292 */     GIR_EraseRootFromParent_Done,
     /* 2229293 */   // Label 29741: @2229293
     /* 2229293 */   GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2229338), // Rule ID 59223 //
     /* 2229298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229301 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2229304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2229318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229337 */     // GIR_Coverage, 59223,
     /* 2229337 */     GIR_EraseRootFromParent_Done,
     /* 2229338 */   // Label 29742: @2229338
     /* 2229338 */   GIM_Reject,
     /* 2229339 */ // Label 29740: @2229339
     /* 2229339 */ GIM_Reject,
     /* 2229340 */ // Label 29670: @2229340
     /* 2229340 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2229454),
     /* 2229345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2229348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2229351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229363 */   GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2229408), // Rule ID 59210 //
     /* 2229368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229371 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2229374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2229388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229407 */     // GIR_Coverage, 59210,
     /* 2229407 */     GIR_EraseRootFromParent_Done,
     /* 2229408 */   // Label 29744: @2229408
     /* 2229408 */   GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2229453), // Rule ID 59211 //
     /* 2229413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229416 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2229419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2229433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229452 */     // GIR_Coverage, 59211,
     /* 2229452 */     GIR_EraseRootFromParent_Done,
     /* 2229453 */   // Label 29745: @2229453
     /* 2229453 */   GIM_Reject,
     /* 2229454 */ // Label 29743: @2229454
     /* 2229454 */ GIM_Reject,
     /* 2229455 */ // Label 29671: @2229455
     /* 2229455 */ GIM_Reject,
     /* 2229456 */ // Label 48: @2229456
     /* 2229456 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29755*/ GIMT_Encode4(2256118),
     /* 2229467 */ /*GILLT_s32*//*Label 29746*/ GIMT_Encode4(2229587),
     /* 2229471 */ /*GILLT_s64*//*Label 29747*/ GIMT_Encode4(2232381),
     /* 2229475 */ /*GILLT_nxv1s1*//*Label 29748*/ GIMT_Encode4(2235175), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229495 */ /*GILLT_nxv2s1*//*Label 29749*/ GIMT_Encode4(2239016), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229515 */ /*GILLT_nxv4s1*//*Label 29750*/ GIMT_Encode4(2242857), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229535 */ /*GILLT_nxv8s1*//*Label 29751*/ GIMT_Encode4(2246698), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229555 */ /*GILLT_nxv16s1*//*Label 29752*/ GIMT_Encode4(2250539), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229571 */ /*GILLT_nxv32s1*//*Label 29753*/ GIMT_Encode4(2253420), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229583 */ /*GILLT_nxv64s1*//*Label 29754*/ GIMT_Encode4(2255341),
     /* 2229587 */ // Label 29746: @2229587
     /* 2229587 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2229630), // Rule ID 159 //
     /* 2229592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2229601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229605 */   // MIs[0] Operand 1
     /* 2229605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229614 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2229618 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2229618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229629 */   // GIR_Coverage, 159,
     /* 2229629 */   GIR_EraseRootFromParent_Done,
     /* 2229630 */ // Label 29756: @2229630
     /* 2229630 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2229673), // Rule ID 65016 //
     /* 2229635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2229641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2229644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229648 */   // MIs[0] Operand 1
     /* 2229648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229657 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2229661 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2229661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229672 */   // GIR_Coverage, 65016,
     /* 2229672 */   GIR_EraseRootFromParent_Done,
     /* 2229673 */ // Label 29757: @2229673
     /* 2229673 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2229719), // Rule ID 65022 //
     /* 2229678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2229684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2229687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229691 */   // MIs[0] Operand 1
     /* 2229691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229700 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2229704 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2229704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229709 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229715 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229718 */   // GIR_Coverage, 65022,
     /* 2229718 */   GIR_EraseRootFromParent_Done,
     /* 2229719 */ // Label 29758: @2229719
     /* 2229719 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2229762), // Rule ID 65052 //
     /* 2229724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2229733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229737 */   // MIs[0] Operand 1
     /* 2229737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229746 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2229750 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2229750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229755 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229761 */   // GIR_Coverage, 65052,
     /* 2229761 */   GIR_EraseRootFromParent_Done,
     /* 2229762 */ // Label 29759: @2229762
     /* 2229762 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2229808), // Rule ID 65058 //
     /* 2229767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2229776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229780 */   // MIs[0] Operand 1
     /* 2229780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229789 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2229793 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2229793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229798 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229804 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229807 */   // GIR_Coverage, 65058,
     /* 2229807 */   GIR_EraseRootFromParent_Done,
     /* 2229808 */ // Label 29760: @2229808
     /* 2229808 */ GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2229861), // Rule ID 149 //
     /* 2229813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229819 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2229822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229826 */   // MIs[0] Operand 1
     /* 2229826 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229835 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229839 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229843 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229847 */   // MIs[1] Operand 1
     /* 2229847 */   // No operand predicates
     /* 2229847 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229849 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2229849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2229852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229856 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2229859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229860 */   // GIR_Coverage, 149,
     /* 2229860 */   GIR_EraseRootFromParent_Done,
     /* 2229861 */ // Label 29761: @2229861
     /* 2229861 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2229914), // Rule ID 153 //
     /* 2229866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2229875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229879 */   // MIs[0] Operand 1
     /* 2229879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229888 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229892 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229896 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229900 */   // MIs[1] Operand 1
     /* 2229900 */   // No operand predicates
     /* 2229900 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229902 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2229902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229907 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229909 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2229912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229913 */   // GIR_Coverage, 153,
     /* 2229913 */   GIR_EraseRootFromParent_Done,
     /* 2229914 */ // Label 29762: @2229914
     /* 2229914 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2229967), // Rule ID 65008 //
     /* 2229919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2229925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2229928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229932 */   // MIs[0] Operand 1
     /* 2229932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2229937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229941 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229945 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2229949 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2229953 */   // MIs[1] Operand 1
     /* 2229953 */   // No operand predicates
     /* 2229953 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229955 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2229955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2229958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229960 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229962 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2229965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229966 */   // GIR_Coverage, 65008,
     /* 2229966 */   GIR_EraseRootFromParent_Done,
     /* 2229967 */ // Label 29763: @2229967
     /* 2229967 */ GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2230020), // Rule ID 65012 //
     /* 2229972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2229975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2229978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2229981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229985 */   // MIs[0] Operand 1
     /* 2229985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229994 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2229998 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230002 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2230006 */   // MIs[1] Operand 1
     /* 2230006 */   // No operand predicates
     /* 2230006 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230008 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2230008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2230011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230013 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230015 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2230018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230019 */   // GIR_Coverage, 65012,
     /* 2230019 */   GIR_EraseRootFromParent_Done,
     /* 2230020 */ // Label 29764: @2230020
     /* 2230020 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2230097), // Rule ID 65018 //
     /* 2230025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2230031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230038 */   // MIs[0] Operand 1
     /* 2230038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230047 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230051 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230055 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2230059 */   // MIs[1] Operand 1
     /* 2230059 */   // No operand predicates
     /* 2230059 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230061 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2230061 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230064 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2230068 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230073 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230077 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2230082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230096 */   // GIR_Coverage, 65018,
     /* 2230096 */   GIR_EraseRootFromParent_Done,
     /* 2230097 */ // Label 29765: @2230097
     /* 2230097 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2230177), // Rule ID 65024 //
     /* 2230102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2230108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230115 */   // MIs[0] Operand 1
     /* 2230115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230124 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230128 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230132 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2230136 */   // MIs[1] Operand 1
     /* 2230136 */   // No operand predicates
     /* 2230136 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230138 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2230138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2230145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230150 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230154 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2230159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230166 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230176 */   // GIR_Coverage, 65024,
     /* 2230176 */   GIR_EraseRootFromParent_Done,
     /* 2230177 */ // Label 29766: @2230177
     /* 2230177 */ GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2230254), // Rule ID 65028 //
     /* 2230182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2230188 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230195 */   // MIs[0] Operand 1
     /* 2230195 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230204 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230208 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230212 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2230216 */   // MIs[1] Operand 1
     /* 2230216 */   // No operand predicates
     /* 2230216 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230218 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2230218 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230221 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230225 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230230 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230234 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2230239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230253 */   // GIR_Coverage, 65028,
     /* 2230253 */   GIR_EraseRootFromParent_Done,
     /* 2230254 */ // Label 29767: @2230254
     /* 2230254 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2230331), // Rule ID 65032 //
     /* 2230259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2230265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230272 */   // MIs[0] Operand 1
     /* 2230272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230281 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230285 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230289 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2230293 */   // MIs[1] Operand 1
     /* 2230293 */   // No operand predicates
     /* 2230293 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230295 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2230295 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230298 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2230302 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230307 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230311 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2230316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230330 */   // GIR_Coverage, 65032,
     /* 2230330 */   GIR_EraseRootFromParent_Done,
     /* 2230331 */ // Label 29768: @2230331
     /* 2230331 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2230406), // Rule ID 65036 //
     /* 2230336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230342 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230349 */   // MIs[0] Operand 1
     /* 2230349 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230358 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230362 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230366 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2230370 */   // MIs[1] Operand 1
     /* 2230370 */   // No operand predicates
     /* 2230370 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230372 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2230372 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230375 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230379 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230384 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230388 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2230391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230405 */   // GIR_Coverage, 65036,
     /* 2230405 */   GIR_EraseRootFromParent_Done,
     /* 2230406 */ // Label 29769: @2230406
     /* 2230406 */ GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2230481), // Rule ID 65040 //
     /* 2230411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2230417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230424 */   // MIs[0] Operand 1
     /* 2230424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2230429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230433 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230437 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230441 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2230445 */   // MIs[1] Operand 1
     /* 2230445 */   // No operand predicates
     /* 2230445 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230447 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2230447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2230454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230459 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230463 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2230466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230480 */   // GIR_Coverage, 65040,
     /* 2230480 */   GIR_EraseRootFromParent_Done,
     /* 2230481 */ // Label 29770: @2230481
     /* 2230481 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2230536), // Rule ID 65044 //
     /* 2230486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2230492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230499 */   // MIs[0] Operand 1
     /* 2230499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2230504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230508 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230512 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230516 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2230520 */   // MIs[1] Operand 1
     /* 2230520 */   // No operand predicates
     /* 2230520 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230522 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2230522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230529 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2230534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230535 */   // GIR_Coverage, 65044,
     /* 2230535 */   GIR_EraseRootFromParent_Done,
     /* 2230536 */ // Label 29771: @2230536
     /* 2230536 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2230591), // Rule ID 65048 //
     /* 2230541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2230547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230554 */   // MIs[0] Operand 1
     /* 2230554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230563 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230567 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230571 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2230575 */   // MIs[1] Operand 1
     /* 2230575 */   // No operand predicates
     /* 2230575 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230577 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2230577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2230580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230582 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230584 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2230589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230590 */   // GIR_Coverage, 65048,
     /* 2230590 */   GIR_EraseRootFromParent_Done,
     /* 2230591 */ // Label 29772: @2230591
     /* 2230591 */ GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2230668), // Rule ID 65054 //
     /* 2230596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230609 */   // MIs[0] Operand 1
     /* 2230609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2230614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230618 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230622 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230626 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2230630 */   // MIs[1] Operand 1
     /* 2230630 */   // No operand predicates
     /* 2230630 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230632 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2230632 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230635 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2230639 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230644 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230648 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2230653 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230660 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230667 */   // GIR_Coverage, 65054,
     /* 2230667 */   GIR_EraseRootFromParent_Done,
     /* 2230668 */ // Label 29773: @2230668
     /* 2230668 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2230748), // Rule ID 65060 //
     /* 2230673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230686 */   // MIs[0] Operand 1
     /* 2230686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230695 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230699 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230703 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2230707 */   // MIs[1] Operand 1
     /* 2230707 */   // No operand predicates
     /* 2230707 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230709 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2230709 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230712 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2230716 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230721 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230725 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2230730 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2230735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230737 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230747 */   // GIR_Coverage, 65060,
     /* 2230747 */   GIR_EraseRootFromParent_Done,
     /* 2230748 */ // Label 29774: @2230748
     /* 2230748 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2230825), // Rule ID 65064 //
     /* 2230753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230766 */   // MIs[0] Operand 1
     /* 2230766 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230775 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230779 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230783 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2230787 */   // MIs[1] Operand 1
     /* 2230787 */   // No operand predicates
     /* 2230787 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230789 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2230789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230801 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230805 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2230810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230824 */   // GIR_Coverage, 65064,
     /* 2230824 */   GIR_EraseRootFromParent_Done,
     /* 2230825 */ // Label 29775: @2230825
     /* 2230825 */ GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2230902), // Rule ID 65068 //
     /* 2230830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230843 */   // MIs[0] Operand 1
     /* 2230843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230852 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230856 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230860 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2230864 */   // MIs[1] Operand 1
     /* 2230864 */   // No operand predicates
     /* 2230864 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230866 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2230866 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230869 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2230873 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230878 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230882 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2230887 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230894 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230901 */   // GIR_Coverage, 65068,
     /* 2230901 */   GIR_EraseRootFromParent_Done,
     /* 2230902 */ // Label 29776: @2230902
     /* 2230902 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2230977), // Rule ID 65072 //
     /* 2230907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230920 */   // MIs[0] Operand 1
     /* 2230920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2230925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230929 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2230933 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2230937 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2230941 */   // MIs[1] Operand 1
     /* 2230941 */   // No operand predicates
     /* 2230941 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230943 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2230943 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230946 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2230950 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230955 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2230959 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2230962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2230967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2230975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230976 */   // GIR_Coverage, 65072,
     /* 2230976 */   GIR_EraseRootFromParent_Done,
     /* 2230977 */ // Label 29777: @2230977
     /* 2230977 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2231052), // Rule ID 65076 //
     /* 2230982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2230985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2230991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230995 */   // MIs[0] Operand 1
     /* 2230995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231004 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2231008 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231012 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2231016 */   // MIs[1] Operand 1
     /* 2231016 */   // No operand predicates
     /* 2231016 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231018 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2231018 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231021 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2231025 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231030 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231034 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2231037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2231042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231051 */   // GIR_Coverage, 65076,
     /* 2231051 */   GIR_EraseRootFromParent_Done,
     /* 2231052 */ // Label 29778: @2231052
     /* 2231052 */ GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2231107), // Rule ID 65080 //
     /* 2231057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231070 */   // MIs[0] Operand 1
     /* 2231070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231079 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2231083 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231087 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2231091 */   // MIs[1] Operand 1
     /* 2231091 */   // No operand predicates
     /* 2231091 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231093 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2231093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2231096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231100 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2231105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231106 */   // GIR_Coverage, 65080,
     /* 2231106 */   GIR_EraseRootFromParent_Done,
     /* 2231107 */ // Label 29779: @2231107
     /* 2231107 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2231162), // Rule ID 65084 //
     /* 2231112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231125 */   // MIs[0] Operand 1
     /* 2231125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231134 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2231138 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231142 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2231146 */   // MIs[1] Operand 1
     /* 2231146 */   // No operand predicates
     /* 2231146 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231148 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2231148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2231151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231155 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2231160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231161 */   // GIR_Coverage, 65084,
     /* 2231161 */   GIR_EraseRootFromParent_Done,
     /* 2231162 */ // Label 29780: @2231162
     /* 2231162 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2231204), // Rule ID 64446 //
     /* 2231167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2231170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231180 */   // MIs[0] Operand 1
     /* 2231180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231193 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2231193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2231196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231198 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231203 */   // GIR_Coverage, 64446,
     /* 2231203 */   GIR_EraseRootFromParent_Done,
     /* 2231204 */ // Label 29781: @2231204
     /* 2231204 */ GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2231246), // Rule ID 64448 //
     /* 2231209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2231212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231222 */   // MIs[0] Operand 1
     /* 2231222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231235 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2231235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2231238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231240 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231242 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231245 */   // GIR_Coverage, 64448,
     /* 2231245 */   GIR_EraseRootFromParent_Done,
     /* 2231246 */ // Label 29782: @2231246
     /* 2231246 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2231288), // Rule ID 147 //
     /* 2231251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231264 */   // MIs[0] Operand 1
     /* 2231264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231277 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2231277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2231280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231287 */   // GIR_Coverage, 147,
     /* 2231287 */   GIR_EraseRootFromParent_Done,
     /* 2231288 */ // Label 29783: @2231288
     /* 2231288 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2231330), // Rule ID 151 //
     /* 2231293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231299 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231306 */   // MIs[0] Operand 1
     /* 2231306 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231315 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231319 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2231319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2231322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231329 */   // GIR_Coverage, 151,
     /* 2231329 */   GIR_EraseRootFromParent_Done,
     /* 2231330 */ // Label 29784: @2231330
     /* 2231330 */ GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2231372), // Rule ID 65010 //
     /* 2231335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231348 */   // MIs[0] Operand 1
     /* 2231348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231357 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231361 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2231361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2231364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231366 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231368 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231371 */   // GIR_Coverage, 65010,
     /* 2231371 */   GIR_EraseRootFromParent_Done,
     /* 2231372 */ // Label 29785: @2231372
     /* 2231372 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2231414), // Rule ID 65014 //
     /* 2231377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231383 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231390 */   // MIs[0] Operand 1
     /* 2231390 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2231395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231399 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231403 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2231403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2231406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231408 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231410 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231413 */   // GIR_Coverage, 65014,
     /* 2231413 */   GIR_EraseRootFromParent_Done,
     /* 2231414 */ // Label 29786: @2231414
     /* 2231414 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2231480), // Rule ID 65020 //
     /* 2231419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231432 */   // MIs[0] Operand 1
     /* 2231432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231445 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2231445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2231452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231457 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231461 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2231470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231479 */   // GIR_Coverage, 65020,
     /* 2231479 */   GIR_EraseRootFromParent_Done,
     /* 2231480 */ // Label 29787: @2231480
     /* 2231480 */ GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2231549), // Rule ID 65026 //
     /* 2231485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231498 */   // MIs[0] Operand 1
     /* 2231498 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231507 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231511 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2231511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2231518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231523 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231527 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231531 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2231536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231538 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231544 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231548 */   // GIR_Coverage, 65026,
     /* 2231548 */   GIR_EraseRootFromParent_Done,
     /* 2231549 */ // Label 29788: @2231549
     /* 2231549 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2231591), // Rule ID 65030 //
     /* 2231554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231567 */   // MIs[0] Operand 1
     /* 2231567 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231580 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2231580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2231583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231585 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231590 */   // GIR_Coverage, 65030,
     /* 2231590 */   GIR_EraseRootFromParent_Done,
     /* 2231591 */ // Label 29789: @2231591
     /* 2231591 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2231633), // Rule ID 65034 //
     /* 2231596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231609 */   // MIs[0] Operand 1
     /* 2231609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2231614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231622 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2231622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2231625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231627 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231629 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231632 */   // GIR_Coverage, 65034,
     /* 2231632 */   GIR_EraseRootFromParent_Done,
     /* 2231633 */ // Label 29790: @2231633
     /* 2231633 */ GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2231699), // Rule ID 65038 //
     /* 2231638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231651 */   // MIs[0] Operand 1
     /* 2231651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2231656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231664 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2231664 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231667 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2231671 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231676 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231680 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231684 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2231689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231698 */   // GIR_Coverage, 65038,
     /* 2231698 */   GIR_EraseRootFromParent_Done,
     /* 2231699 */ // Label 29791: @2231699
     /* 2231699 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2231765), // Rule ID 65042 //
     /* 2231704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231717 */   // MIs[0] Operand 1
     /* 2231717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231730 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2231730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2231737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231742 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231746 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231750 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2231755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231764 */   // GIR_Coverage, 65042,
     /* 2231764 */   GIR_EraseRootFromParent_Done,
     /* 2231765 */ // Label 29792: @2231765
     /* 2231765 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2231831), // Rule ID 65046 //
     /* 2231770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231783 */   // MIs[0] Operand 1
     /* 2231783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231796 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2231796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2231803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231808 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231812 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2231821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231823 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231830 */   // GIR_Coverage, 65046,
     /* 2231830 */   GIR_EraseRootFromParent_Done,
     /* 2231831 */ // Label 29793: @2231831
     /* 2231831 */ GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2231897), // Rule ID 65050 //
     /* 2231836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2231842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2231845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231849 */   // MIs[0] Operand 1
     /* 2231849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231862 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2231862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2231869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231874 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231878 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231882 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2231887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231889 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231896 */   // GIR_Coverage, 65050,
     /* 2231896 */   GIR_EraseRootFromParent_Done,
     /* 2231897 */ // Label 29794: @2231897
     /* 2231897 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2231963), // Rule ID 65056 //
     /* 2231902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231915 */   // MIs[0] Operand 1
     /* 2231915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2231920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231928 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2231928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2231935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231940 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2231944 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2231948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2231953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2231961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231962 */   // GIR_Coverage, 65056,
     /* 2231962 */   GIR_EraseRootFromParent_Done,
     /* 2231963 */ // Label 29795: @2231963
     /* 2231963 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2232032), // Rule ID 65062 //
     /* 2231968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2231977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231981 */   // MIs[0] Operand 1
     /* 2231981 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2231986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231990 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231994 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2231994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2231997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2232001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232006 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2232010 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2232014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2232019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232021 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232031 */   // GIR_Coverage, 65062,
     /* 2232031 */   GIR_EraseRootFromParent_Done,
     /* 2232032 */ // Label 29796: @2232032
     /* 2232032 */ GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2232074), // Rule ID 65066 //
     /* 2232037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2232040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2232043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2232046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232050 */   // MIs[0] Operand 1
     /* 2232050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232063 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2232063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2232066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232073 */   // GIR_Coverage, 65066,
     /* 2232073 */   GIR_EraseRootFromParent_Done,
     /* 2232074 */ // Label 29797: @2232074
     /* 2232074 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2232116), // Rule ID 65070 //
     /* 2232079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2232082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2232085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2232088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232092 */   // MIs[0] Operand 1
     /* 2232092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2232097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232105 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2232105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2232108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232115 */   // GIR_Coverage, 65070,
     /* 2232115 */   GIR_EraseRootFromParent_Done,
     /* 2232116 */ // Label 29798: @2232116
     /* 2232116 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2232182), // Rule ID 65074 //
     /* 2232121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2232124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2232127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2232130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232134 */   // MIs[0] Operand 1
     /* 2232134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232147 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2232147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2232150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2232154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232159 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2232163 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2232167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2232172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232174 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2232180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232181 */   // GIR_Coverage, 65074,
     /* 2232181 */   GIR_EraseRootFromParent_Done,
     /* 2232182 */ // Label 29799: @2232182
     /* 2232182 */ GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2232248), // Rule ID 65078 //
     /* 2232187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2232190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2232193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2232196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232200 */   // MIs[0] Operand 1
     /* 2232200 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232213 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2232213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2232216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2232220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232225 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2232229 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2232233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2232238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232240 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2232246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232247 */   // GIR_Coverage, 65078,
     /* 2232247 */   GIR_EraseRootFromParent_Done,
     /* 2232248 */ // Label 29800: @2232248
     /* 2232248 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2232314), // Rule ID 65082 //
     /* 2232253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2232256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2232259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2232262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232266 */   // MIs[0] Operand 1
     /* 2232266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232279 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2232279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2232282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2232286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232291 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2232295 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2232299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2232304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2232312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232313 */   // GIR_Coverage, 65082,
     /* 2232313 */   GIR_EraseRootFromParent_Done,
     /* 2232314 */ // Label 29801: @2232314
     /* 2232314 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2232380), // Rule ID 65086 //
     /* 2232319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2232322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2232325 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2232328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232332 */   // MIs[0] Operand 1
     /* 2232332 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2232337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232345 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2232345 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2232348 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2232352 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232357 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2232361 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2232365 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2232370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232372 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2232378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232379 */   // GIR_Coverage, 65086,
     /* 2232379 */   GIR_EraseRootFromParent_Done,
     /* 2232380 */ // Label 29802: @2232380
     /* 2232380 */ GIM_Reject,
     /* 2232381 */ // Label 29747: @2232381
     /* 2232381 */ GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2232424), // Rule ID 158 //
     /* 2232386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2232392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232399 */   // MIs[0] Operand 1
     /* 2232399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232408 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2232412 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2232412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2232415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232423 */   // GIR_Coverage, 158,
     /* 2232423 */   GIR_EraseRootFromParent_Done,
     /* 2232424 */ // Label 29803: @2232424
     /* 2232424 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2232467), // Rule ID 65015 //
     /* 2232429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2232435 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2232438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232442 */   // MIs[0] Operand 1
     /* 2232442 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232451 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2232455 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2232455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2232458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232460 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2232465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232466 */   // GIR_Coverage, 65015,
     /* 2232466 */   GIR_EraseRootFromParent_Done,
     /* 2232467 */ // Label 29804: @2232467
     /* 2232467 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2232513), // Rule ID 65021 //
     /* 2232472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2232478 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2232481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232485 */   // MIs[0] Operand 1
     /* 2232485 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232494 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2232498 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2232498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2232501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232503 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232512 */   // GIR_Coverage, 65021,
     /* 2232512 */   GIR_EraseRootFromParent_Done,
     /* 2232513 */ // Label 29805: @2232513
     /* 2232513 */ GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2232556), // Rule ID 65051 //
     /* 2232518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2232524 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232531 */   // MIs[0] Operand 1
     /* 2232531 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232540 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2232544 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2232544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2232547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2232554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232555 */   // GIR_Coverage, 65051,
     /* 2232555 */   GIR_EraseRootFromParent_Done,
     /* 2232556 */ // Label 29806: @2232556
     /* 2232556 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2232602), // Rule ID 65057 //
     /* 2232561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2232567 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232574 */   // MIs[0] Operand 1
     /* 2232574 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232583 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2232587 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2232587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2232590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232592 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232598 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232601 */   // GIR_Coverage, 65057,
     /* 2232601 */   GIR_EraseRootFromParent_Done,
     /* 2232602 */ // Label 29807: @2232602
     /* 2232602 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2232655), // Rule ID 148 //
     /* 2232607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2232613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232620 */   // MIs[0] Operand 1
     /* 2232620 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232629 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2232633 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232637 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2232641 */   // MIs[1] Operand 1
     /* 2232641 */   // No operand predicates
     /* 2232641 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232643 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2232643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2232646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232650 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2232653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232654 */   // GIR_Coverage, 148,
     /* 2232654 */   GIR_EraseRootFromParent_Done,
     /* 2232655 */ // Label 29808: @2232655
     /* 2232655 */ GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2232708), // Rule ID 152 //
     /* 2232660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2232666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232673 */   // MIs[0] Operand 1
     /* 2232673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232682 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2232686 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232690 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2232694 */   // MIs[1] Operand 1
     /* 2232694 */   // No operand predicates
     /* 2232694 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232696 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2232696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2232699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232703 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2232706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232707 */   // GIR_Coverage, 152,
     /* 2232707 */   GIR_EraseRootFromParent_Done,
     /* 2232708 */ // Label 29809: @2232708
     /* 2232708 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2232761), // Rule ID 65007 //
     /* 2232713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2232719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232726 */   // MIs[0] Operand 1
     /* 2232726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2232731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232735 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2232739 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232743 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2232747 */   // MIs[1] Operand 1
     /* 2232747 */   // No operand predicates
     /* 2232747 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232749 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2232749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2232752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232754 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232756 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2232759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232760 */   // GIR_Coverage, 65007,
     /* 2232760 */   GIR_EraseRootFromParent_Done,
     /* 2232761 */ // Label 29810: @2232761
     /* 2232761 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2232814), // Rule ID 65011 //
     /* 2232766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2232772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232779 */   // MIs[0] Operand 1
     /* 2232779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2232784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232788 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2232792 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232796 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2232800 */   // MIs[1] Operand 1
     /* 2232800 */   // No operand predicates
     /* 2232800 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232802 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2232802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2232805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232809 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2232812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232813 */   // GIR_Coverage, 65011,
     /* 2232813 */   GIR_EraseRootFromParent_Done,
     /* 2232814 */ // Label 29811: @2232814
     /* 2232814 */ GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2232891), // Rule ID 65017 //
     /* 2232819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2232825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232832 */   // MIs[0] Operand 1
     /* 2232832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232841 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2232845 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232849 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2232853 */   // MIs[1] Operand 1
     /* 2232853 */   // No operand predicates
     /* 2232853 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232855 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2232855 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2232858 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2232862 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232867 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2232871 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2232876 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2232881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232883 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2232889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232890 */   // GIR_Coverage, 65017,
     /* 2232890 */   GIR_EraseRootFromParent_Done,
     /* 2232891 */ // Label 29812: @2232891
     /* 2232891 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2232971), // Rule ID 65023 //
     /* 2232896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2232902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232909 */   // MIs[0] Operand 1
     /* 2232909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232918 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2232922 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232926 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2232930 */   // MIs[1] Operand 1
     /* 2232930 */   // No operand predicates
     /* 2232930 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232932 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2232932 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2232935 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2232939 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232944 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2232948 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2232953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2232958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232960 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232966 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232970 */   // GIR_Coverage, 65023,
     /* 2232970 */   GIR_EraseRootFromParent_Done,
     /* 2232971 */ // Label 29813: @2232971
     /* 2232971 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2233048), // Rule ID 65027 //
     /* 2232976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2232982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2232985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232989 */   // MIs[0] Operand 1
     /* 2232989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2232994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232998 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233002 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233006 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2233010 */   // MIs[1] Operand 1
     /* 2233010 */   // No operand predicates
     /* 2233010 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233012 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2233012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2233019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233024 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233028 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233040 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233047 */   // GIR_Coverage, 65027,
     /* 2233047 */   GIR_EraseRootFromParent_Done,
     /* 2233048 */ // Label 29814: @2233048
     /* 2233048 */ GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2233125), // Rule ID 65031 //
     /* 2233053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2233059 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233066 */   // MIs[0] Operand 1
     /* 2233066 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233075 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233079 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233083 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2233087 */   // MIs[1] Operand 1
     /* 2233087 */   // No operand predicates
     /* 2233087 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233089 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2233089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2233096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233101 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233105 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233124 */   // GIR_Coverage, 65031,
     /* 2233124 */   GIR_EraseRootFromParent_Done,
     /* 2233125 */ // Label 29815: @2233125
     /* 2233125 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2233200), // Rule ID 65035 //
     /* 2233130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233143 */   // MIs[0] Operand 1
     /* 2233143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233152 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233156 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233160 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2233164 */   // MIs[1] Operand 1
     /* 2233164 */   // No operand predicates
     /* 2233164 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233166 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2233166 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233169 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2233173 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233178 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233182 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2233185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233199 */   // GIR_Coverage, 65035,
     /* 2233199 */   GIR_EraseRootFromParent_Done,
     /* 2233200 */ // Label 29816: @2233200
     /* 2233200 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2233275), // Rule ID 65039 //
     /* 2233205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2233211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233218 */   // MIs[0] Operand 1
     /* 2233218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233227 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233231 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233235 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2233239 */   // MIs[1] Operand 1
     /* 2233239 */   // No operand predicates
     /* 2233239 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233241 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2233241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2233248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233253 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233257 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2233260 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233267 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233274 */   // GIR_Coverage, 65039,
     /* 2233274 */   GIR_EraseRootFromParent_Done,
     /* 2233275 */ // Label 29817: @2233275
     /* 2233275 */ GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2233330), // Rule ID 65043 //
     /* 2233280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2233286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233293 */   // MIs[0] Operand 1
     /* 2233293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233302 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233310 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2233314 */   // MIs[1] Operand 1
     /* 2233314 */   // No operand predicates
     /* 2233314 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233316 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2233316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2233319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233323 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233329 */   // GIR_Coverage, 65043,
     /* 2233329 */   GIR_EraseRootFromParent_Done,
     /* 2233330 */ // Label 29818: @2233330
     /* 2233330 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2233385), // Rule ID 65047 //
     /* 2233335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2233341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233348 */   // MIs[0] Operand 1
     /* 2233348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233357 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233361 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233365 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2233369 */   // MIs[1] Operand 1
     /* 2233369 */   // No operand predicates
     /* 2233369 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233371 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2233371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2233374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233376 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233378 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233384 */   // GIR_Coverage, 65047,
     /* 2233384 */   GIR_EraseRootFromParent_Done,
     /* 2233385 */ // Label 29819: @2233385
     /* 2233385 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2233462), // Rule ID 65053 //
     /* 2233390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233403 */   // MIs[0] Operand 1
     /* 2233403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233412 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233416 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233420 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2233424 */   // MIs[1] Operand 1
     /* 2233424 */   // No operand predicates
     /* 2233424 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233426 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2233426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2233433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233438 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233442 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2233447 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2233452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233454 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233461 */   // GIR_Coverage, 65053,
     /* 2233461 */   GIR_EraseRootFromParent_Done,
     /* 2233462 */ // Label 29820: @2233462
     /* 2233462 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2233542), // Rule ID 65059 //
     /* 2233467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233480 */   // MIs[0] Operand 1
     /* 2233480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233489 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233493 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233497 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2233501 */   // MIs[1] Operand 1
     /* 2233501 */   // No operand predicates
     /* 2233501 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233503 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2233503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2233510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233515 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233519 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2233524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2233529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233531 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233537 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233541 */   // GIR_Coverage, 65059,
     /* 2233541 */   GIR_EraseRootFromParent_Done,
     /* 2233542 */ // Label 29821: @2233542
     /* 2233542 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2233619), // Rule ID 65063 //
     /* 2233547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233560 */   // MIs[0] Operand 1
     /* 2233560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2233565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233569 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233573 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233577 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2233581 */   // MIs[1] Operand 1
     /* 2233581 */   // No operand predicates
     /* 2233581 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233583 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2233583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2233590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233595 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233599 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233604 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233611 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233618 */   // GIR_Coverage, 65063,
     /* 2233618 */   GIR_EraseRootFromParent_Done,
     /* 2233619 */ // Label 29822: @2233619
     /* 2233619 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2233696), // Rule ID 65067 //
     /* 2233624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233630 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233637 */   // MIs[0] Operand 1
     /* 2233637 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233646 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233650 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233654 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2233658 */   // MIs[1] Operand 1
     /* 2233658 */   // No operand predicates
     /* 2233658 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233660 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2233660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2233667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233672 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233676 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233681 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233688 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233695 */   // GIR_Coverage, 65067,
     /* 2233695 */   GIR_EraseRootFromParent_Done,
     /* 2233696 */ // Label 29823: @2233696
     /* 2233696 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2233771), // Rule ID 65071 //
     /* 2233701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233714 */   // MIs[0] Operand 1
     /* 2233714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233723 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233727 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233731 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2233735 */   // MIs[1] Operand 1
     /* 2233735 */   // No operand predicates
     /* 2233735 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233737 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2233737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2233744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233749 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233753 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2233756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233770 */   // GIR_Coverage, 65071,
     /* 2233770 */   GIR_EraseRootFromParent_Done,
     /* 2233771 */ // Label 29824: @2233771
     /* 2233771 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2233846), // Rule ID 65075 //
     /* 2233776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233782 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233789 */   // MIs[0] Operand 1
     /* 2233789 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2233794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233798 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233802 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233806 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2233810 */   // MIs[1] Operand 1
     /* 2233810 */   // No operand predicates
     /* 2233810 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233812 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2233812 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2233815 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2233819 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233824 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2233828 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2233831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2233836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2233844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233845 */   // GIR_Coverage, 65075,
     /* 2233845 */   GIR_EraseRootFromParent_Done,
     /* 2233846 */ // Label 29825: @2233846
     /* 2233846 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2233901), // Rule ID 65079 //
     /* 2233851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233864 */   // MIs[0] Operand 1
     /* 2233864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2233869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233873 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233877 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233881 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2233885 */   // MIs[1] Operand 1
     /* 2233885 */   // No operand predicates
     /* 2233885 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233887 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2233887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2233890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233892 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233894 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233900 */   // GIR_Coverage, 65079,
     /* 2233900 */   GIR_EraseRootFromParent_Done,
     /* 2233901 */ // Label 29826: @2233901
     /* 2233901 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2233956), // Rule ID 65083 //
     /* 2233906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2233909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233919 */   // MIs[0] Operand 1
     /* 2233919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233928 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2233932 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2233936 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2233940 */   // MIs[1] Operand 1
     /* 2233940 */   // No operand predicates
     /* 2233940 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233942 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2233942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2233945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233949 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2233954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233955 */   // GIR_Coverage, 65083,
     /* 2233955 */   GIR_EraseRootFromParent_Done,
     /* 2233956 */ // Label 29827: @2233956
     /* 2233956 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2233998), // Rule ID 64445 //
     /* 2233961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2233964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2233967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2233970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233974 */   // MIs[0] Operand 1
     /* 2233974 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2233979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233983 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2233987 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2233987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2233990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233992 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233994 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233997 */   // GIR_Coverage, 64445,
     /* 2233997 */   GIR_EraseRootFromParent_Done,
     /* 2233998 */ // Label 29828: @2233998
     /* 2233998 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2234040), // Rule ID 64447 //
     /* 2234003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2234006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234016 */   // MIs[0] Operand 1
     /* 2234016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234029 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2234029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2234032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234036 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234039 */   // GIR_Coverage, 64447,
     /* 2234039 */   GIR_EraseRootFromParent_Done,
     /* 2234040 */ // Label 29829: @2234040
     /* 2234040 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2234082), // Rule ID 146 //
     /* 2234045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234058 */   // MIs[0] Operand 1
     /* 2234058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234071 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2234071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2234074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234081 */   // GIR_Coverage, 146,
     /* 2234081 */   GIR_EraseRootFromParent_Done,
     /* 2234082 */ // Label 29830: @2234082
     /* 2234082 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2234124), // Rule ID 150 //
     /* 2234087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234100 */   // MIs[0] Operand 1
     /* 2234100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234113 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2234113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234123 */   // GIR_Coverage, 150,
     /* 2234123 */   GIR_EraseRootFromParent_Done,
     /* 2234124 */ // Label 29831: @2234124
     /* 2234124 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2234166), // Rule ID 65009 //
     /* 2234129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234142 */   // MIs[0] Operand 1
     /* 2234142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234155 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2234155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234162 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234165 */   // GIR_Coverage, 65009,
     /* 2234165 */   GIR_EraseRootFromParent_Done,
     /* 2234166 */ // Label 29832: @2234166
     /* 2234166 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2234208), // Rule ID 65013 //
     /* 2234171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234184 */   // MIs[0] Operand 1
     /* 2234184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234197 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2234197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2234200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234207 */   // GIR_Coverage, 65013,
     /* 2234207 */   GIR_EraseRootFromParent_Done,
     /* 2234208 */ // Label 29833: @2234208
     /* 2234208 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2234274), // Rule ID 65019 //
     /* 2234213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234226 */   // MIs[0] Operand 1
     /* 2234226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234239 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2234239 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234242 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2234246 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234251 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234255 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234273 */   // GIR_Coverage, 65019,
     /* 2234273 */   GIR_EraseRootFromParent_Done,
     /* 2234274 */ // Label 29834: @2234274
     /* 2234274 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2234343), // Rule ID 65025 //
     /* 2234279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234292 */   // MIs[0] Operand 1
     /* 2234292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234305 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2234305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2234312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234317 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234321 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234332 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234342 */   // GIR_Coverage, 65025,
     /* 2234342 */   GIR_EraseRootFromParent_Done,
     /* 2234343 */ // Label 29835: @2234343
     /* 2234343 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2234385), // Rule ID 65029 //
     /* 2234348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234361 */   // MIs[0] Operand 1
     /* 2234361 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234370 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234374 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2234374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234381 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234384 */   // GIR_Coverage, 65029,
     /* 2234384 */   GIR_EraseRootFromParent_Done,
     /* 2234385 */ // Label 29836: @2234385
     /* 2234385 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2234427), // Rule ID 65033 //
     /* 2234390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234403 */   // MIs[0] Operand 1
     /* 2234403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234416 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2234416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2234419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234421 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234426 */   // GIR_Coverage, 65033,
     /* 2234426 */   GIR_EraseRootFromParent_Done,
     /* 2234427 */ // Label 29837: @2234427
     /* 2234427 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2234493), // Rule ID 65037 //
     /* 2234432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234438 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234445 */   // MIs[0] Operand 1
     /* 2234445 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234454 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234458 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2234458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234470 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234474 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2234483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234492 */   // GIR_Coverage, 65037,
     /* 2234492 */   GIR_EraseRootFromParent_Done,
     /* 2234493 */ // Label 29838: @2234493
     /* 2234493 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2234559), // Rule ID 65041 //
     /* 2234498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234511 */   // MIs[0] Operand 1
     /* 2234511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2234516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234524 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2234524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2234531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234536 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234540 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234544 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2234549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234551 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234558 */   // GIR_Coverage, 65041,
     /* 2234558 */   GIR_EraseRootFromParent_Done,
     /* 2234559 */ // Label 29839: @2234559
     /* 2234559 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2234625), // Rule ID 65045 //
     /* 2234564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234577 */   // MIs[0] Operand 1
     /* 2234577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2234582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234590 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2234590 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234593 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234597 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234602 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234606 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234610 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2234615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234617 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234624 */   // GIR_Coverage, 65045,
     /* 2234624 */   GIR_EraseRootFromParent_Done,
     /* 2234625 */ // Label 29840: @2234625
     /* 2234625 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2234691), // Rule ID 65049 //
     /* 2234630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2234636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2234639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234643 */   // MIs[0] Operand 1
     /* 2234643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2234648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234656 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2234656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2234663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234668 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234672 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234676 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2234681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234683 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234690 */   // GIR_Coverage, 65049,
     /* 2234690 */   GIR_EraseRootFromParent_Done,
     /* 2234691 */ // Label 29841: @2234691
     /* 2234691 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2234757), // Rule ID 65055 //
     /* 2234696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234709 */   // MIs[0] Operand 1
     /* 2234709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2234714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234718 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234722 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2234722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2234729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234734 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234738 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2234747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234756 */   // GIR_Coverage, 65055,
     /* 2234756 */   GIR_EraseRootFromParent_Done,
     /* 2234757 */ // Label 29842: @2234757
     /* 2234757 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2234826), // Rule ID 65061 //
     /* 2234762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234775 */   // MIs[0] Operand 1
     /* 2234775 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234784 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234788 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2234788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2234795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234800 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234804 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234815 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234825 */   // GIR_Coverage, 65061,
     /* 2234825 */   GIR_EraseRootFromParent_Done,
     /* 2234826 */ // Label 29843: @2234826
     /* 2234826 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2234868), // Rule ID 65065 //
     /* 2234831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234844 */   // MIs[0] Operand 1
     /* 2234844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234857 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2234857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234862 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234867 */   // GIR_Coverage, 65065,
     /* 2234867 */   GIR_EraseRootFromParent_Done,
     /* 2234868 */ // Label 29844: @2234868
     /* 2234868 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2234910), // Rule ID 65069 //
     /* 2234873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234886 */   // MIs[0] Operand 1
     /* 2234886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234899 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2234899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2234902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234909 */   // GIR_Coverage, 65069,
     /* 2234909 */   GIR_EraseRootFromParent_Done,
     /* 2234910 */ // Label 29845: @2234910
     /* 2234910 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2234976), // Rule ID 65073 //
     /* 2234915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234928 */   // MIs[0] Operand 1
     /* 2234928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2234933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234941 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2234941 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2234944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2234948 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234953 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2234957 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2234961 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2234966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234968 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2234974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234975 */   // GIR_Coverage, 65073,
     /* 2234975 */   GIR_EraseRootFromParent_Done,
     /* 2234976 */ // Label 29846: @2234976
     /* 2234976 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2235042), // Rule ID 65077 //
     /* 2234981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2234984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2234987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2234990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234994 */   // MIs[0] Operand 1
     /* 2234994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2234999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235007 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2235007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2235014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235019 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235023 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2235027 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235034 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235041 */   // GIR_Coverage, 65077,
     /* 2235041 */   GIR_EraseRootFromParent_Done,
     /* 2235042 */ // Label 29847: @2235042
     /* 2235042 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2235108), // Rule ID 65081 //
     /* 2235047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2235050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2235053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2235056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235060 */   // MIs[0] Operand 1
     /* 2235060 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235069 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235073 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2235073 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235076 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2235080 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235085 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2235089 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235100 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235107 */   // GIR_Coverage, 65081,
     /* 2235107 */   GIR_EraseRootFromParent_Done,
     /* 2235108 */ // Label 29848: @2235108
     /* 2235108 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2235174), // Rule ID 65085 //
     /* 2235113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2235116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2235119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2235122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235126 */   // MIs[0] Operand 1
     /* 2235126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235139 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2235139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2235142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2235146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235151 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2235155 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2235159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2235164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2235172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235173 */   // GIR_Coverage, 65085,
     /* 2235173 */   GIR_EraseRootFromParent_Done,
     /* 2235174 */ // Label 29849: @2235174
     /* 2235174 */ GIM_Reject,
     /* 2235175 */ // Label 29748: @2235175
     /* 2235175 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2235223), // Rule ID 45668 //
     /* 2235180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2235186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2235189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235193 */   // MIs[0] Operand 1
     /* 2235193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235206 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2235209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235211 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235213 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235222 */   // GIR_Coverage, 45668,
     /* 2235222 */   GIR_EraseRootFromParent_Done,
     /* 2235223 */ // Label 29850: @2235223
     /* 2235223 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2235271), // Rule ID 45669 //
     /* 2235228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2235234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2235237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235241 */   // MIs[0] Operand 1
     /* 2235241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235254 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2235257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235261 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235270 */   // GIR_Coverage, 45669,
     /* 2235270 */   GIR_EraseRootFromParent_Done,
     /* 2235271 */ // Label 29851: @2235271
     /* 2235271 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2235319), // Rule ID 45670 //
     /* 2235276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2235282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2235285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235289 */   // MIs[0] Operand 1
     /* 2235289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235302 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2235305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235309 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235318 */   // GIR_Coverage, 45670,
     /* 2235318 */   GIR_EraseRootFromParent_Done,
     /* 2235319 */ // Label 29852: @2235319
     /* 2235319 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2235367), // Rule ID 45671 //
     /* 2235324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2235330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2235333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235337 */   // MIs[0] Operand 1
     /* 2235337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2235342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235350 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2235353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235357 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235366 */   // GIR_Coverage, 45671,
     /* 2235366 */   GIR_EraseRootFromParent_Done,
     /* 2235367 */ // Label 29853: @2235367
     /* 2235367 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2235415), // Rule ID 48382 //
     /* 2235372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2235378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2235381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235385 */   // MIs[0] Operand 1
     /* 2235385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235398 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2235401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235414 */   // GIR_Coverage, 48382,
     /* 2235414 */   GIR_EraseRootFromParent_Done,
     /* 2235415 */ // Label 29854: @2235415
     /* 2235415 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2235463), // Rule ID 48383 //
     /* 2235420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2235426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2235429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235433 */   // MIs[0] Operand 1
     /* 2235433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235446 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2235449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235462 */   // GIR_Coverage, 48383,
     /* 2235462 */   GIR_EraseRootFromParent_Done,
     /* 2235463 */ // Label 29855: @2235463
     /* 2235463 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2235511), // Rule ID 48386 //
     /* 2235468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2235474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2235477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235481 */   // MIs[0] Operand 1
     /* 2235481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235494 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2235497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235510 */   // GIR_Coverage, 48386,
     /* 2235510 */   GIR_EraseRootFromParent_Done,
     /* 2235511 */ // Label 29856: @2235511
     /* 2235511 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2235559), // Rule ID 48387 //
     /* 2235516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2235522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2235525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235529 */   // MIs[0] Operand 1
     /* 2235529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235542 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2235545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235558 */   // GIR_Coverage, 48387,
     /* 2235558 */   GIR_EraseRootFromParent_Done,
     /* 2235559 */ // Label 29857: @2235559
     /* 2235559 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2235607), // Rule ID 48394 //
     /* 2235564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2235570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2235573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235577 */   // MIs[0] Operand 1
     /* 2235577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235590 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2235593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235606 */   // GIR_Coverage, 48394,
     /* 2235606 */   GIR_EraseRootFromParent_Done,
     /* 2235607 */ // Label 29858: @2235607
     /* 2235607 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2235655), // Rule ID 48395 //
     /* 2235612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2235618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2235621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235625 */   // MIs[0] Operand 1
     /* 2235625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2235630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235638 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2235641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235654 */   // GIR_Coverage, 48395,
     /* 2235654 */   GIR_EraseRootFromParent_Done,
     /* 2235655 */ // Label 29859: @2235655
     /* 2235655 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2235703), // Rule ID 48420 //
     /* 2235660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2235666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2235669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235673 */   // MIs[0] Operand 1
     /* 2235673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235686 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2235689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235693 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235702 */   // GIR_Coverage, 48420,
     /* 2235702 */   GIR_EraseRootFromParent_Done,
     /* 2235703 */ // Label 29860: @2235703
     /* 2235703 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2235751), // Rule ID 48421 //
     /* 2235708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2235714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2235717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235721 */   // MIs[0] Operand 1
     /* 2235721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235734 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2235737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235741 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235750 */   // GIR_Coverage, 48421,
     /* 2235750 */   GIR_EraseRootFromParent_Done,
     /* 2235751 */ // Label 29861: @2235751
     /* 2235751 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2235799), // Rule ID 48426 //
     /* 2235756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2235762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2235765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235769 */   // MIs[0] Operand 1
     /* 2235769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235782 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2235785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235789 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235798 */   // GIR_Coverage, 48426,
     /* 2235798 */   GIR_EraseRootFromParent_Done,
     /* 2235799 */ // Label 29862: @2235799
     /* 2235799 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2235847), // Rule ID 48427 //
     /* 2235804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2235810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2235813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235817 */   // MIs[0] Operand 1
     /* 2235817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235830 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2235833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235837 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235846 */   // GIR_Coverage, 48427,
     /* 2235846 */   GIR_EraseRootFromParent_Done,
     /* 2235847 */ // Label 29863: @2235847
     /* 2235847 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2235895), // Rule ID 48430 //
     /* 2235852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2235858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2235861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235865 */   // MIs[0] Operand 1
     /* 2235865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235878 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235885 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235894 */   // GIR_Coverage, 48430,
     /* 2235894 */   GIR_EraseRootFromParent_Done,
     /* 2235895 */ // Label 29864: @2235895
     /* 2235895 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2235943), // Rule ID 48431 //
     /* 2235900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2235906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2235909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235913 */   // MIs[0] Operand 1
     /* 2235913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235926 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2235929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235931 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235933 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235942 */   // GIR_Coverage, 48431,
     /* 2235942 */   GIR_EraseRootFromParent_Done,
     /* 2235943 */ // Label 29865: @2235943
     /* 2235943 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2235991), // Rule ID 48438 //
     /* 2235948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2235954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2235957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235961 */   // MIs[0] Operand 1
     /* 2235961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2235966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235974 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2235977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235979 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235981 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235990 */   // GIR_Coverage, 48438,
     /* 2235990 */   GIR_EraseRootFromParent_Done,
     /* 2235991 */ // Label 29866: @2235991
     /* 2235991 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2236039), // Rule ID 48439 //
     /* 2235996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2236005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236009 */   // MIs[0] Operand 1
     /* 2236009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236022 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2236025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236038 */   // GIR_Coverage, 48439,
     /* 2236038 */   GIR_EraseRootFromParent_Done,
     /* 2236039 */ // Label 29867: @2236039
     /* 2236039 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2236087), // Rule ID 48464 //
     /* 2236044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2236050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2236053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236057 */   // MIs[0] Operand 1
     /* 2236057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236070 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2236073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236086 */   // GIR_Coverage, 48464,
     /* 2236086 */   GIR_EraseRootFromParent_Done,
     /* 2236087 */ // Label 29868: @2236087
     /* 2236087 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2236135), // Rule ID 48465 //
     /* 2236092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2236098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2236101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236105 */   // MIs[0] Operand 1
     /* 2236105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236118 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2236121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236134 */   // GIR_Coverage, 48465,
     /* 2236134 */   GIR_EraseRootFromParent_Done,
     /* 2236135 */ // Label 29869: @2236135
     /* 2236135 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2236183), // Rule ID 48470 //
     /* 2236140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2236146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2236149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236153 */   // MIs[0] Operand 1
     /* 2236153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236166 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236182 */   // GIR_Coverage, 48470,
     /* 2236182 */   GIR_EraseRootFromParent_Done,
     /* 2236183 */ // Label 29870: @2236183
     /* 2236183 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2236231), // Rule ID 48471 //
     /* 2236188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2236194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2236197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236201 */   // MIs[0] Operand 1
     /* 2236201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236214 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236230 */   // GIR_Coverage, 48471,
     /* 2236230 */   GIR_EraseRootFromParent_Done,
     /* 2236231 */ // Label 29871: @2236231
     /* 2236231 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2236279), // Rule ID 48474 //
     /* 2236236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2236242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236249 */   // MIs[0] Operand 1
     /* 2236249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236262 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236278 */   // GIR_Coverage, 48474,
     /* 2236278 */   GIR_EraseRootFromParent_Done,
     /* 2236279 */ // Label 29872: @2236279
     /* 2236279 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2236327), // Rule ID 48475 //
     /* 2236284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2236290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236297 */   // MIs[0] Operand 1
     /* 2236297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236310 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236326 */   // GIR_Coverage, 48475,
     /* 2236326 */   GIR_EraseRootFromParent_Done,
     /* 2236327 */ // Label 29873: @2236327
     /* 2236327 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2236375), // Rule ID 48482 //
     /* 2236332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2236341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236345 */   // MIs[0] Operand 1
     /* 2236345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236358 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236374 */   // GIR_Coverage, 48482,
     /* 2236374 */   GIR_EraseRootFromParent_Done,
     /* 2236375 */ // Label 29874: @2236375
     /* 2236375 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2236423), // Rule ID 48483 //
     /* 2236380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2236389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236393 */   // MIs[0] Operand 1
     /* 2236393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2236398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236406 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236422 */   // GIR_Coverage, 48483,
     /* 2236422 */   GIR_EraseRootFromParent_Done,
     /* 2236423 */ // Label 29875: @2236423
     /* 2236423 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2236471), // Rule ID 48512 //
     /* 2236428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2236434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2236437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236441 */   // MIs[0] Operand 1
     /* 2236441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236454 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236459 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236470 */   // GIR_Coverage, 48512,
     /* 2236470 */   GIR_EraseRootFromParent_Done,
     /* 2236471 */ // Label 29876: @2236471
     /* 2236471 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2236519), // Rule ID 48513 //
     /* 2236476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2236482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2236485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236489 */   // MIs[0] Operand 1
     /* 2236489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236502 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2236505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236507 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236518 */   // GIR_Coverage, 48513,
     /* 2236518 */   GIR_EraseRootFromParent_Done,
     /* 2236519 */ // Label 29877: @2236519
     /* 2236519 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2236567), // Rule ID 48516 //
     /* 2236524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2236530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236537 */   // MIs[0] Operand 1
     /* 2236537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236550 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236555 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236566 */   // GIR_Coverage, 48516,
     /* 2236566 */   GIR_EraseRootFromParent_Done,
     /* 2236567 */ // Label 29878: @2236567
     /* 2236567 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2236615), // Rule ID 48517 //
     /* 2236572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2236578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236585 */   // MIs[0] Operand 1
     /* 2236585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236598 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2236601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236603 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236614 */   // GIR_Coverage, 48517,
     /* 2236614 */   GIR_EraseRootFromParent_Done,
     /* 2236615 */ // Label 29879: @2236615
     /* 2236615 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2236663), // Rule ID 48524 //
     /* 2236620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2236629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236633 */   // MIs[0] Operand 1
     /* 2236633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236646 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236651 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236662 */   // GIR_Coverage, 48524,
     /* 2236662 */   GIR_EraseRootFromParent_Done,
     /* 2236663 */ // Label 29880: @2236663
     /* 2236663 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2236711), // Rule ID 48525 //
     /* 2236668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2236677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236681 */   // MIs[0] Operand 1
     /* 2236681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2236686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236694 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2236697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236699 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236710 */   // GIR_Coverage, 48525,
     /* 2236710 */   GIR_EraseRootFromParent_Done,
     /* 2236711 */ // Label 29881: @2236711
     /* 2236711 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2236759), // Rule ID 48550 //
     /* 2236716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2236722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2236725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236729 */   // MIs[0] Operand 1
     /* 2236729 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236742 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2236745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236747 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236749 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236758 */   // GIR_Coverage, 48550,
     /* 2236758 */   GIR_EraseRootFromParent_Done,
     /* 2236759 */ // Label 29882: @2236759
     /* 2236759 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2236807), // Rule ID 48551 //
     /* 2236764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2236770 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2236773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236777 */   // MIs[0] Operand 1
     /* 2236777 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236786 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236790 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2236793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236795 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236797 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236806 */   // GIR_Coverage, 48551,
     /* 2236806 */   GIR_EraseRootFromParent_Done,
     /* 2236807 */ // Label 29883: @2236807
     /* 2236807 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2236855), // Rule ID 48556 //
     /* 2236812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2236818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2236821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236825 */   // MIs[0] Operand 1
     /* 2236825 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236838 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236843 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236854 */   // GIR_Coverage, 48556,
     /* 2236854 */   GIR_EraseRootFromParent_Done,
     /* 2236855 */ // Label 29884: @2236855
     /* 2236855 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2236903), // Rule ID 48557 //
     /* 2236860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2236866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2236869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236873 */   // MIs[0] Operand 1
     /* 2236873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236886 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2236889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236902 */   // GIR_Coverage, 48557,
     /* 2236902 */   GIR_EraseRootFromParent_Done,
     /* 2236903 */ // Label 29885: @2236903
     /* 2236903 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2236951), // Rule ID 48560 //
     /* 2236908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2236914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236921 */   // MIs[0] Operand 1
     /* 2236921 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236934 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236939 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236941 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236950 */   // GIR_Coverage, 48560,
     /* 2236950 */   GIR_EraseRootFromParent_Done,
     /* 2236951 */ // Label 29886: @2236951
     /* 2236951 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2236999), // Rule ID 48561 //
     /* 2236956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2236962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236969 */   // MIs[0] Operand 1
     /* 2236969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2236974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236978 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236982 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2236985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236987 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236998 */   // GIR_Coverage, 48561,
     /* 2236998 */   GIR_EraseRootFromParent_Done,
     /* 2236999 */ // Label 29887: @2236999
     /* 2236999 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2237047), // Rule ID 48568 //
     /* 2237004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237017 */   // MIs[0] Operand 1
     /* 2237017 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237026 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237030 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237035 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237046 */   // GIR_Coverage, 48568,
     /* 2237046 */   GIR_EraseRootFromParent_Done,
     /* 2237047 */ // Label 29888: @2237047
     /* 2237047 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2237095), // Rule ID 48569 //
     /* 2237052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237065 */   // MIs[0] Operand 1
     /* 2237065 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237074 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237078 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237083 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237085 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237094 */   // GIR_Coverage, 48569,
     /* 2237094 */   GIR_EraseRootFromParent_Done,
     /* 2237095 */ // Label 29889: @2237095
     /* 2237095 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2237143), // Rule ID 48594 //
     /* 2237100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2237106 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2237109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237113 */   // MIs[0] Operand 1
     /* 2237113 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237122 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237126 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2237129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237131 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237142 */   // GIR_Coverage, 48594,
     /* 2237142 */   GIR_EraseRootFromParent_Done,
     /* 2237143 */ // Label 29890: @2237143
     /* 2237143 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2237191), // Rule ID 48595 //
     /* 2237148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2237154 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2237157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237161 */   // MIs[0] Operand 1
     /* 2237161 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237170 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237174 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2237177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237190 */   // GIR_Coverage, 48595,
     /* 2237190 */   GIR_EraseRootFromParent_Done,
     /* 2237191 */ // Label 29891: @2237191
     /* 2237191 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2237239), // Rule ID 48600 //
     /* 2237196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2237202 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2237205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237209 */   // MIs[0] Operand 1
     /* 2237209 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237218 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237222 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2237225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237238 */   // GIR_Coverage, 48600,
     /* 2237238 */   GIR_EraseRootFromParent_Done,
     /* 2237239 */ // Label 29892: @2237239
     /* 2237239 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2237287), // Rule ID 48601 //
     /* 2237244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2237250 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2237253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237257 */   // MIs[0] Operand 1
     /* 2237257 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237266 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237270 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2237273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237286 */   // GIR_Coverage, 48601,
     /* 2237286 */   GIR_EraseRootFromParent_Done,
     /* 2237287 */ // Label 29893: @2237287
     /* 2237287 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2237335), // Rule ID 48604 //
     /* 2237292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2237298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2237301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237305 */   // MIs[0] Operand 1
     /* 2237305 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237314 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237318 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2237321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237334 */   // GIR_Coverage, 48604,
     /* 2237334 */   GIR_EraseRootFromParent_Done,
     /* 2237335 */ // Label 29894: @2237335
     /* 2237335 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2237383), // Rule ID 48605 //
     /* 2237340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2237346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2237349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237353 */   // MIs[0] Operand 1
     /* 2237353 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237362 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237366 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2237369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237382 */   // GIR_Coverage, 48605,
     /* 2237382 */   GIR_EraseRootFromParent_Done,
     /* 2237383 */ // Label 29895: @2237383
     /* 2237383 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2237431), // Rule ID 48612 //
     /* 2237388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237401 */   // MIs[0] Operand 1
     /* 2237401 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237410 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237414 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237430 */   // GIR_Coverage, 48612,
     /* 2237430 */   GIR_EraseRootFromParent_Done,
     /* 2237431 */ // Label 29896: @2237431
     /* 2237431 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2237479), // Rule ID 48613 //
     /* 2237436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237442 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237449 */   // MIs[0] Operand 1
     /* 2237449 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2237454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237458 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237462 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237478 */   // GIR_Coverage, 48613,
     /* 2237478 */   GIR_EraseRootFromParent_Done,
     /* 2237479 */ // Label 29897: @2237479
     /* 2237479 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2237527), // Rule ID 48638 //
     /* 2237484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2237490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2237493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237497 */   // MIs[0] Operand 1
     /* 2237497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237506 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237510 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2237513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237515 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237517 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237526 */   // GIR_Coverage, 48638,
     /* 2237526 */   GIR_EraseRootFromParent_Done,
     /* 2237527 */ // Label 29898: @2237527
     /* 2237527 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2237575), // Rule ID 48639 //
     /* 2237532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2237538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2237541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237545 */   // MIs[0] Operand 1
     /* 2237545 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237554 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237558 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2237561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237563 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237565 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237574 */   // GIR_Coverage, 48639,
     /* 2237574 */   GIR_EraseRootFromParent_Done,
     /* 2237575 */ // Label 29899: @2237575
     /* 2237575 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2237623), // Rule ID 48644 //
     /* 2237580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2237586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2237589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237593 */   // MIs[0] Operand 1
     /* 2237593 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237602 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237606 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237611 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237622 */   // GIR_Coverage, 48644,
     /* 2237622 */   GIR_EraseRootFromParent_Done,
     /* 2237623 */ // Label 29900: @2237623
     /* 2237623 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2237671), // Rule ID 48645 //
     /* 2237628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2237634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2237637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237641 */   // MIs[0] Operand 1
     /* 2237641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237654 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237670 */   // GIR_Coverage, 48645,
     /* 2237670 */   GIR_EraseRootFromParent_Done,
     /* 2237671 */ // Label 29901: @2237671
     /* 2237671 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2237719), // Rule ID 48648 //
     /* 2237676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2237682 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2237685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237689 */   // MIs[0] Operand 1
     /* 2237689 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237698 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237702 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237707 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237718 */   // GIR_Coverage, 48648,
     /* 2237718 */   GIR_EraseRootFromParent_Done,
     /* 2237719 */ // Label 29902: @2237719
     /* 2237719 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2237767), // Rule ID 48649 //
     /* 2237724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2237730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2237733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237737 */   // MIs[0] Operand 1
     /* 2237737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237746 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237750 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2237753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237755 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237766 */   // GIR_Coverage, 48649,
     /* 2237766 */   GIR_EraseRootFromParent_Done,
     /* 2237767 */ // Label 29903: @2237767
     /* 2237767 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2237815), // Rule ID 48656 //
     /* 2237772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237785 */   // MIs[0] Operand 1
     /* 2237785 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237794 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237798 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237803 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237814 */   // GIR_Coverage, 48656,
     /* 2237814 */   GIR_EraseRootFromParent_Done,
     /* 2237815 */ // Label 29904: @2237815
     /* 2237815 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2237863), // Rule ID 48657 //
     /* 2237820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237833 */   // MIs[0] Operand 1
     /* 2237833 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2237838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237842 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237846 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2237849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237851 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237853 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237862 */   // GIR_Coverage, 48657,
     /* 2237862 */   GIR_EraseRootFromParent_Done,
     /* 2237863 */ // Label 29905: @2237863
     /* 2237863 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2237911), // Rule ID 48682 //
     /* 2237868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2237874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2237877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237881 */   // MIs[0] Operand 1
     /* 2237881 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237890 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237894 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2237897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237899 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237910 */   // GIR_Coverage, 48682,
     /* 2237910 */   GIR_EraseRootFromParent_Done,
     /* 2237911 */ // Label 29906: @2237911
     /* 2237911 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2237959), // Rule ID 48683 //
     /* 2237916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2237922 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2237925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237929 */   // MIs[0] Operand 1
     /* 2237929 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237938 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237942 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2237945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237958 */   // GIR_Coverage, 48683,
     /* 2237958 */   GIR_EraseRootFromParent_Done,
     /* 2237959 */ // Label 29907: @2237959
     /* 2237959 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2238007), // Rule ID 48688 //
     /* 2237964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2237970 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2237973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237977 */   // MIs[0] Operand 1
     /* 2237977 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2237982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237990 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2237993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238006 */   // GIR_Coverage, 48688,
     /* 2238006 */   GIR_EraseRootFromParent_Done,
     /* 2238007 */ // Label 29908: @2238007
     /* 2238007 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2238055), // Rule ID 48689 //
     /* 2238012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2238018 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2238021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238025 */   // MIs[0] Operand 1
     /* 2238025 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238034 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238038 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2238041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238054 */   // GIR_Coverage, 48689,
     /* 2238054 */   GIR_EraseRootFromParent_Done,
     /* 2238055 */ // Label 29909: @2238055
     /* 2238055 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2238103), // Rule ID 48692 //
     /* 2238060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2238069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238073 */   // MIs[0] Operand 1
     /* 2238073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238082 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238086 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2238089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238102 */   // GIR_Coverage, 48692,
     /* 2238102 */   GIR_EraseRootFromParent_Done,
     /* 2238103 */ // Label 29910: @2238103
     /* 2238103 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2238151), // Rule ID 48693 //
     /* 2238108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238114 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2238117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238121 */   // MIs[0] Operand 1
     /* 2238121 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238130 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238134 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2238137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238141 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238150 */   // GIR_Coverage, 48693,
     /* 2238150 */   GIR_EraseRootFromParent_Done,
     /* 2238151 */ // Label 29911: @2238151
     /* 2238151 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2238199), // Rule ID 48700 //
     /* 2238156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2238165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238169 */   // MIs[0] Operand 1
     /* 2238169 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238178 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238182 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2238185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238189 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238198 */   // GIR_Coverage, 48700,
     /* 2238198 */   GIR_EraseRootFromParent_Done,
     /* 2238199 */ // Label 29912: @2238199
     /* 2238199 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2238247), // Rule ID 48701 //
     /* 2238204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238210 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2238213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238217 */   // MIs[0] Operand 1
     /* 2238217 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238226 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238230 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2238233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238237 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238246 */   // GIR_Coverage, 48701,
     /* 2238246 */   GIR_EraseRootFromParent_Done,
     /* 2238247 */ // Label 29913: @2238247
     /* 2238247 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2238295), // Rule ID 48726 //
     /* 2238252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2238258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2238261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238265 */   // MIs[0] Operand 1
     /* 2238265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238274 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238278 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2238281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238283 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238294 */   // GIR_Coverage, 48726,
     /* 2238294 */   GIR_EraseRootFromParent_Done,
     /* 2238295 */ // Label 29914: @2238295
     /* 2238295 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2238343), // Rule ID 48727 //
     /* 2238300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2238306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2238309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238313 */   // MIs[0] Operand 1
     /* 2238313 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238322 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238326 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2238329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238331 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238342 */   // GIR_Coverage, 48727,
     /* 2238342 */   GIR_EraseRootFromParent_Done,
     /* 2238343 */ // Label 29915: @2238343
     /* 2238343 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2238391), // Rule ID 48732 //
     /* 2238348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2238354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2238357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238361 */   // MIs[0] Operand 1
     /* 2238361 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238370 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238374 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238379 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238390 */   // GIR_Coverage, 48732,
     /* 2238390 */   GIR_EraseRootFromParent_Done,
     /* 2238391 */ // Label 29916: @2238391
     /* 2238391 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2238439), // Rule ID 48733 //
     /* 2238396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2238402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2238405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238409 */   // MIs[0] Operand 1
     /* 2238409 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238418 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238422 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238438 */   // GIR_Coverage, 48733,
     /* 2238438 */   GIR_EraseRootFromParent_Done,
     /* 2238439 */ // Label 29917: @2238439
     /* 2238439 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2238487), // Rule ID 48736 //
     /* 2238444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2238453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238457 */   // MIs[0] Operand 1
     /* 2238457 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238466 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238470 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238486 */   // GIR_Coverage, 48736,
     /* 2238486 */   GIR_EraseRootFromParent_Done,
     /* 2238487 */ // Label 29918: @2238487
     /* 2238487 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2238535), // Rule ID 48737 //
     /* 2238492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238498 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2238501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238505 */   // MIs[0] Operand 1
     /* 2238505 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238514 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238518 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238534 */   // GIR_Coverage, 48737,
     /* 2238534 */   GIR_EraseRootFromParent_Done,
     /* 2238535 */ // Label 29919: @2238535
     /* 2238535 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2238583), // Rule ID 48744 //
     /* 2238540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2238549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238553 */   // MIs[0] Operand 1
     /* 2238553 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238562 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238566 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238582 */   // GIR_Coverage, 48744,
     /* 2238582 */   GIR_EraseRootFromParent_Done,
     /* 2238583 */ // Label 29920: @2238583
     /* 2238583 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2238631), // Rule ID 48745 //
     /* 2238588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2238597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238601 */   // MIs[0] Operand 1
     /* 2238601 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2238606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238610 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238614 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238619 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238621 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238630 */   // GIR_Coverage, 48745,
     /* 2238630 */   GIR_EraseRootFromParent_Done,
     /* 2238631 */ // Label 29921: @2238631
     /* 2238631 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2238679), // Rule ID 48770 //
     /* 2238636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2238642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2238645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238649 */   // MIs[0] Operand 1
     /* 2238649 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238658 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238662 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2238665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238669 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238678 */   // GIR_Coverage, 48770,
     /* 2238678 */   GIR_EraseRootFromParent_Done,
     /* 2238679 */ // Label 29922: @2238679
     /* 2238679 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2238727), // Rule ID 48771 //
     /* 2238684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2238690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2238693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238697 */   // MIs[0] Operand 1
     /* 2238697 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238706 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238710 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2238713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238717 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238726 */   // GIR_Coverage, 48771,
     /* 2238726 */   GIR_EraseRootFromParent_Done,
     /* 2238727 */ // Label 29923: @2238727
     /* 2238727 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2238775), // Rule ID 48776 //
     /* 2238732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2238738 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2238741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238745 */   // MIs[0] Operand 1
     /* 2238745 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238754 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238758 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238765 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238774 */   // GIR_Coverage, 48776,
     /* 2238774 */   GIR_EraseRootFromParent_Done,
     /* 2238775 */ // Label 29924: @2238775
     /* 2238775 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2238823), // Rule ID 48777 //
     /* 2238780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2238786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2238789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238793 */   // MIs[0] Operand 1
     /* 2238793 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238802 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238806 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2238809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238813 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238822 */   // GIR_Coverage, 48777,
     /* 2238822 */   GIR_EraseRootFromParent_Done,
     /* 2238823 */ // Label 29925: @2238823
     /* 2238823 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2238871), // Rule ID 48780 //
     /* 2238828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238834 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2238837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238841 */   // MIs[0] Operand 1
     /* 2238841 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238850 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238854 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238861 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238870 */   // GIR_Coverage, 48780,
     /* 2238870 */   GIR_EraseRootFromParent_Done,
     /* 2238871 */ // Label 29926: @2238871
     /* 2238871 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2238919), // Rule ID 48781 //
     /* 2238876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238882 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2238885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238889 */   // MIs[0] Operand 1
     /* 2238889 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238898 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238902 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2238905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238909 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238918 */   // GIR_Coverage, 48781,
     /* 2238918 */   GIR_EraseRootFromParent_Done,
     /* 2238919 */ // Label 29927: @2238919
     /* 2238919 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2238967), // Rule ID 48788 //
     /* 2238924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2238933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238937 */   // MIs[0] Operand 1
     /* 2238937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238950 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2238953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238957 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238966 */   // GIR_Coverage, 48788,
     /* 2238966 */   GIR_EraseRootFromParent_Done,
     /* 2238967 */ // Label 29928: @2238967
     /* 2238967 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2239015), // Rule ID 48789 //
     /* 2238972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2238981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238985 */   // MIs[0] Operand 1
     /* 2238985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2238990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238998 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2239001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239005 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239014 */   // GIR_Coverage, 48789,
     /* 2239014 */   GIR_EraseRootFromParent_Done,
     /* 2239015 */ // Label 29929: @2239015
     /* 2239015 */ GIM_Reject,
     /* 2239016 */ // Label 29749: @2239016
     /* 2239016 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2239064), // Rule ID 48378 //
     /* 2239021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2239027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2239030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239034 */   // MIs[0] Operand 1
     /* 2239034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239047 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2239050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239052 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239054 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239063 */   // GIR_Coverage, 48378,
     /* 2239063 */   GIR_EraseRootFromParent_Done,
     /* 2239064 */ // Label 29930: @2239064
     /* 2239064 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2239112), // Rule ID 48379 //
     /* 2239069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2239075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2239078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239082 */   // MIs[0] Operand 1
     /* 2239082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239095 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2239098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239102 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239111 */   // GIR_Coverage, 48379,
     /* 2239111 */   GIR_EraseRootFromParent_Done,
     /* 2239112 */ // Label 29931: @2239112
     /* 2239112 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2239160), // Rule ID 48384 //
     /* 2239117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2239123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2239126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239130 */   // MIs[0] Operand 1
     /* 2239130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239143 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2239146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239159 */   // GIR_Coverage, 48384,
     /* 2239159 */   GIR_EraseRootFromParent_Done,
     /* 2239160 */ // Label 29932: @2239160
     /* 2239160 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2239208), // Rule ID 48385 //
     /* 2239165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2239171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2239174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239178 */   // MIs[0] Operand 1
     /* 2239178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239191 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2239194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239207 */   // GIR_Coverage, 48385,
     /* 2239207 */   GIR_EraseRootFromParent_Done,
     /* 2239208 */ // Label 29933: @2239208
     /* 2239208 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2239256), // Rule ID 48392 //
     /* 2239213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2239219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2239222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239226 */   // MIs[0] Operand 1
     /* 2239226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239239 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2239242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239255 */   // GIR_Coverage, 48392,
     /* 2239255 */   GIR_EraseRootFromParent_Done,
     /* 2239256 */ // Label 29934: @2239256
     /* 2239256 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2239304), // Rule ID 48393 //
     /* 2239261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2239267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2239270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239274 */   // MIs[0] Operand 1
     /* 2239274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239287 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2239290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239292 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239303 */   // GIR_Coverage, 48393,
     /* 2239303 */   GIR_EraseRootFromParent_Done,
     /* 2239304 */ // Label 29935: @2239304
     /* 2239304 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2239352), // Rule ID 48414 //
     /* 2239309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2239315 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2239318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239322 */   // MIs[0] Operand 1
     /* 2239322 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239335 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2239338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239351 */   // GIR_Coverage, 48414,
     /* 2239351 */   GIR_EraseRootFromParent_Done,
     /* 2239352 */ // Label 29936: @2239352
     /* 2239352 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2239400), // Rule ID 48415 //
     /* 2239357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2239363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2239366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239370 */   // MIs[0] Operand 1
     /* 2239370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2239375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239379 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239383 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2239386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239390 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239399 */   // GIR_Coverage, 48415,
     /* 2239399 */   GIR_EraseRootFromParent_Done,
     /* 2239400 */ // Label 29937: @2239400
     /* 2239400 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2239448), // Rule ID 48422 //
     /* 2239405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2239411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2239414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239418 */   // MIs[0] Operand 1
     /* 2239418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239431 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2239434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239447 */   // GIR_Coverage, 48422,
     /* 2239447 */   GIR_EraseRootFromParent_Done,
     /* 2239448 */ // Label 29938: @2239448
     /* 2239448 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2239496), // Rule ID 48423 //
     /* 2239453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2239459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2239462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239466 */   // MIs[0] Operand 1
     /* 2239466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239479 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2239482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239495 */   // GIR_Coverage, 48423,
     /* 2239495 */   GIR_EraseRootFromParent_Done,
     /* 2239496 */ // Label 29939: @2239496
     /* 2239496 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2239544), // Rule ID 48428 //
     /* 2239501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2239507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2239510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239514 */   // MIs[0] Operand 1
     /* 2239514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239527 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2239530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239534 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239543 */   // GIR_Coverage, 48428,
     /* 2239543 */   GIR_EraseRootFromParent_Done,
     /* 2239544 */ // Label 29940: @2239544
     /* 2239544 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2239592), // Rule ID 48429 //
     /* 2239549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2239555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2239558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239562 */   // MIs[0] Operand 1
     /* 2239562 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239571 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239575 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2239578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239582 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239591 */   // GIR_Coverage, 48429,
     /* 2239591 */   GIR_EraseRootFromParent_Done,
     /* 2239592 */ // Label 29941: @2239592
     /* 2239592 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2239640), // Rule ID 48436 //
     /* 2239597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2239603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2239606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239610 */   // MIs[0] Operand 1
     /* 2239610 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239623 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2239626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239628 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239630 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239639 */   // GIR_Coverage, 48436,
     /* 2239639 */   GIR_EraseRootFromParent_Done,
     /* 2239640 */ // Label 29942: @2239640
     /* 2239640 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2239688), // Rule ID 48437 //
     /* 2239645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2239651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2239654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239658 */   // MIs[0] Operand 1
     /* 2239658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239671 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2239674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239678 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239687 */   // GIR_Coverage, 48437,
     /* 2239687 */   GIR_EraseRootFromParent_Done,
     /* 2239688 */ // Label 29943: @2239688
     /* 2239688 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2239736), // Rule ID 48458 //
     /* 2239693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2239699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2239702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239706 */   // MIs[0] Operand 1
     /* 2239706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239719 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2239722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239735 */   // GIR_Coverage, 48458,
     /* 2239735 */   GIR_EraseRootFromParent_Done,
     /* 2239736 */ // Label 29944: @2239736
     /* 2239736 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2239784), // Rule ID 48459 //
     /* 2239741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2239747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2239750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239754 */   // MIs[0] Operand 1
     /* 2239754 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2239759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239763 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239767 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2239770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239772 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239774 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239783 */   // GIR_Coverage, 48459,
     /* 2239783 */   GIR_EraseRootFromParent_Done,
     /* 2239784 */ // Label 29945: @2239784
     /* 2239784 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2239832), // Rule ID 48466 //
     /* 2239789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2239795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2239798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239802 */   // MIs[0] Operand 1
     /* 2239802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239815 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2239818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239822 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239831 */   // GIR_Coverage, 48466,
     /* 2239831 */   GIR_EraseRootFromParent_Done,
     /* 2239832 */ // Label 29946: @2239832
     /* 2239832 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2239880), // Rule ID 48467 //
     /* 2239837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2239843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2239846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239850 */   // MIs[0] Operand 1
     /* 2239850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239863 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2239866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239868 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239870 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239879 */   // GIR_Coverage, 48467,
     /* 2239879 */   GIR_EraseRootFromParent_Done,
     /* 2239880 */ // Label 29947: @2239880
     /* 2239880 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2239928), // Rule ID 48472 //
     /* 2239885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2239891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2239894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239898 */   // MIs[0] Operand 1
     /* 2239898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239911 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239927 */   // GIR_Coverage, 48472,
     /* 2239927 */   GIR_EraseRootFromParent_Done,
     /* 2239928 */ // Label 29948: @2239928
     /* 2239928 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2239976), // Rule ID 48473 //
     /* 2239933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2239939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2239942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239946 */   // MIs[0] Operand 1
     /* 2239946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239959 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2239962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239964 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239975 */   // GIR_Coverage, 48473,
     /* 2239975 */   GIR_EraseRootFromParent_Done,
     /* 2239976 */ // Label 29949: @2239976
     /* 2239976 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2240024), // Rule ID 48480 //
     /* 2239981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2239987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2239990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239994 */   // MIs[0] Operand 1
     /* 2239994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2239999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240007 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240012 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240023 */   // GIR_Coverage, 48480,
     /* 2240023 */   GIR_EraseRootFromParent_Done,
     /* 2240024 */ // Label 29950: @2240024
     /* 2240024 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2240072), // Rule ID 48481 //
     /* 2240029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2240035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2240038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240042 */   // MIs[0] Operand 1
     /* 2240042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240055 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240060 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240071 */   // GIR_Coverage, 48481,
     /* 2240071 */   GIR_EraseRootFromParent_Done,
     /* 2240072 */ // Label 29951: @2240072
     /* 2240072 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2240120), // Rule ID 48502 //
     /* 2240077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2240083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2240086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240090 */   // MIs[0] Operand 1
     /* 2240090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240103 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240119 */   // GIR_Coverage, 48502,
     /* 2240119 */   GIR_EraseRootFromParent_Done,
     /* 2240120 */ // Label 29952: @2240120
     /* 2240120 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2240168), // Rule ID 48503 //
     /* 2240125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2240131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2240134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240138 */   // MIs[0] Operand 1
     /* 2240138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240151 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240167 */   // GIR_Coverage, 48503,
     /* 2240167 */   GIR_EraseRootFromParent_Done,
     /* 2240168 */ // Label 29953: @2240168
     /* 2240168 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2240216), // Rule ID 48508 //
     /* 2240173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2240179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2240182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240186 */   // MIs[0] Operand 1
     /* 2240186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240199 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2240202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240206 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240215 */   // GIR_Coverage, 48508,
     /* 2240215 */   GIR_EraseRootFromParent_Done,
     /* 2240216 */ // Label 29954: @2240216
     /* 2240216 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2240264), // Rule ID 48509 //
     /* 2240221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2240227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2240230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240234 */   // MIs[0] Operand 1
     /* 2240234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240247 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2240250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240252 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240263 */   // GIR_Coverage, 48509,
     /* 2240263 */   GIR_EraseRootFromParent_Done,
     /* 2240264 */ // Label 29955: @2240264
     /* 2240264 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2240312), // Rule ID 48514 //
     /* 2240269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2240275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2240278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240282 */   // MIs[0] Operand 1
     /* 2240282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240295 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2240298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240300 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240311 */   // GIR_Coverage, 48514,
     /* 2240311 */   GIR_EraseRootFromParent_Done,
     /* 2240312 */ // Label 29956: @2240312
     /* 2240312 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2240360), // Rule ID 48515 //
     /* 2240317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2240323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2240326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240330 */   // MIs[0] Operand 1
     /* 2240330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240343 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2240346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240348 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240359 */   // GIR_Coverage, 48515,
     /* 2240359 */   GIR_EraseRootFromParent_Done,
     /* 2240360 */ // Label 29957: @2240360
     /* 2240360 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2240408), // Rule ID 48522 //
     /* 2240365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2240371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2240374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240378 */   // MIs[0] Operand 1
     /* 2240378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240391 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240407 */   // GIR_Coverage, 48522,
     /* 2240407 */   GIR_EraseRootFromParent_Done,
     /* 2240408 */ // Label 29958: @2240408
     /* 2240408 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2240456), // Rule ID 48523 //
     /* 2240413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2240419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2240422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240426 */   // MIs[0] Operand 1
     /* 2240426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240439 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2240442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240455 */   // GIR_Coverage, 48523,
     /* 2240455 */   GIR_EraseRootFromParent_Done,
     /* 2240456 */ // Label 29959: @2240456
     /* 2240456 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2240504), // Rule ID 48544 //
     /* 2240461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2240467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2240470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240474 */   // MIs[0] Operand 1
     /* 2240474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240487 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240503 */   // GIR_Coverage, 48544,
     /* 2240503 */   GIR_EraseRootFromParent_Done,
     /* 2240504 */ // Label 29960: @2240504
     /* 2240504 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2240552), // Rule ID 48545 //
     /* 2240509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2240515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2240518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240522 */   // MIs[0] Operand 1
     /* 2240522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240535 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240540 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240551 */   // GIR_Coverage, 48545,
     /* 2240551 */   GIR_EraseRootFromParent_Done,
     /* 2240552 */ // Label 29961: @2240552
     /* 2240552 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2240600), // Rule ID 48552 //
     /* 2240557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2240563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2240566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240570 */   // MIs[0] Operand 1
     /* 2240570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240583 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2240586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240588 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240590 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240599 */   // GIR_Coverage, 48552,
     /* 2240599 */   GIR_EraseRootFromParent_Done,
     /* 2240600 */ // Label 29962: @2240600
     /* 2240600 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2240648), // Rule ID 48553 //
     /* 2240605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2240611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2240614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240618 */   // MIs[0] Operand 1
     /* 2240618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240631 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2240634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240636 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240638 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240647 */   // GIR_Coverage, 48553,
     /* 2240647 */   GIR_EraseRootFromParent_Done,
     /* 2240648 */ // Label 29963: @2240648
     /* 2240648 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2240696), // Rule ID 48558 //
     /* 2240653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2240659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2240662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240666 */   // MIs[0] Operand 1
     /* 2240666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240679 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240684 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240695 */   // GIR_Coverage, 48558,
     /* 2240695 */   GIR_EraseRootFromParent_Done,
     /* 2240696 */ // Label 29964: @2240696
     /* 2240696 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2240744), // Rule ID 48559 //
     /* 2240701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2240707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2240710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240714 */   // MIs[0] Operand 1
     /* 2240714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240727 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2240730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240732 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240734 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240743 */   // GIR_Coverage, 48559,
     /* 2240743 */   GIR_EraseRootFromParent_Done,
     /* 2240744 */ // Label 29965: @2240744
     /* 2240744 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2240792), // Rule ID 48566 //
     /* 2240749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2240755 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2240758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240762 */   // MIs[0] Operand 1
     /* 2240762 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240775 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240780 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240782 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240791 */   // GIR_Coverage, 48566,
     /* 2240791 */   GIR_EraseRootFromParent_Done,
     /* 2240792 */ // Label 29966: @2240792
     /* 2240792 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2240840), // Rule ID 48567 //
     /* 2240797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2240803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2240806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240810 */   // MIs[0] Operand 1
     /* 2240810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240823 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2240826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240828 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240839 */   // GIR_Coverage, 48567,
     /* 2240839 */   GIR_EraseRootFromParent_Done,
     /* 2240840 */ // Label 29967: @2240840
     /* 2240840 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2240888), // Rule ID 48588 //
     /* 2240845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2240851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2240854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240858 */   // MIs[0] Operand 1
     /* 2240858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240871 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240887 */   // GIR_Coverage, 48588,
     /* 2240887 */   GIR_EraseRootFromParent_Done,
     /* 2240888 */ // Label 29968: @2240888
     /* 2240888 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2240936), // Rule ID 48589 //
     /* 2240893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2240899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2240902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240906 */   // MIs[0] Operand 1
     /* 2240906 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2240911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240919 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2240922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240924 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240926 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240935 */   // GIR_Coverage, 48589,
     /* 2240935 */   GIR_EraseRootFromParent_Done,
     /* 2240936 */ // Label 29969: @2240936
     /* 2240936 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2240984), // Rule ID 48596 //
     /* 2240941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2240947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2240950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240954 */   // MIs[0] Operand 1
     /* 2240954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2240959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240967 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2240970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240972 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240974 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240983 */   // GIR_Coverage, 48596,
     /* 2240983 */   GIR_EraseRootFromParent_Done,
     /* 2240984 */ // Label 29970: @2240984
     /* 2240984 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2241032), // Rule ID 48597 //
     /* 2240989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2240995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2240998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241002 */   // MIs[0] Operand 1
     /* 2241002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241015 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2241018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241020 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241022 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241031 */   // GIR_Coverage, 48597,
     /* 2241031 */   GIR_EraseRootFromParent_Done,
     /* 2241032 */ // Label 29971: @2241032
     /* 2241032 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2241080), // Rule ID 48602 //
     /* 2241037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2241046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241050 */   // MIs[0] Operand 1
     /* 2241050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241063 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2241066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241079 */   // GIR_Coverage, 48602,
     /* 2241079 */   GIR_EraseRootFromParent_Done,
     /* 2241080 */ // Label 29972: @2241080
     /* 2241080 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2241128), // Rule ID 48603 //
     /* 2241085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2241094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241098 */   // MIs[0] Operand 1
     /* 2241098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241107 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241111 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2241114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241127 */   // GIR_Coverage, 48603,
     /* 2241127 */   GIR_EraseRootFromParent_Done,
     /* 2241128 */ // Label 29973: @2241128
     /* 2241128 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2241176), // Rule ID 48610 //
     /* 2241133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2241142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241146 */   // MIs[0] Operand 1
     /* 2241146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241159 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2241162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241175 */   // GIR_Coverage, 48610,
     /* 2241175 */   GIR_EraseRootFromParent_Done,
     /* 2241176 */ // Label 29974: @2241176
     /* 2241176 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2241224), // Rule ID 48611 //
     /* 2241181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2241190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241194 */   // MIs[0] Operand 1
     /* 2241194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241207 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2241210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241212 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241223 */   // GIR_Coverage, 48611,
     /* 2241223 */   GIR_EraseRootFromParent_Done,
     /* 2241224 */ // Label 29975: @2241224
     /* 2241224 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2241272), // Rule ID 48632 //
     /* 2241229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2241235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2241238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241242 */   // MIs[0] Operand 1
     /* 2241242 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241251 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241255 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2241258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241271 */   // GIR_Coverage, 48632,
     /* 2241271 */   GIR_EraseRootFromParent_Done,
     /* 2241272 */ // Label 29976: @2241272
     /* 2241272 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2241320), // Rule ID 48633 //
     /* 2241277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2241283 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2241286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241290 */   // MIs[0] Operand 1
     /* 2241290 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241303 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2241306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241319 */   // GIR_Coverage, 48633,
     /* 2241319 */   GIR_EraseRootFromParent_Done,
     /* 2241320 */ // Label 29977: @2241320
     /* 2241320 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2241368), // Rule ID 48640 //
     /* 2241325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2241331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2241334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241338 */   // MIs[0] Operand 1
     /* 2241338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241351 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2241354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241356 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241358 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241367 */   // GIR_Coverage, 48640,
     /* 2241367 */   GIR_EraseRootFromParent_Done,
     /* 2241368 */ // Label 29978: @2241368
     /* 2241368 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2241416), // Rule ID 48641 //
     /* 2241373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2241379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2241382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241386 */   // MIs[0] Operand 1
     /* 2241386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241399 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2241402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241404 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241406 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241415 */   // GIR_Coverage, 48641,
     /* 2241415 */   GIR_EraseRootFromParent_Done,
     /* 2241416 */ // Label 29979: @2241416
     /* 2241416 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2241464), // Rule ID 48646 //
     /* 2241421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2241430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241434 */   // MIs[0] Operand 1
     /* 2241434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241447 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241463 */   // GIR_Coverage, 48646,
     /* 2241463 */   GIR_EraseRootFromParent_Done,
     /* 2241464 */ // Label 29980: @2241464
     /* 2241464 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2241512), // Rule ID 48647 //
     /* 2241469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2241478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241482 */   // MIs[0] Operand 1
     /* 2241482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241491 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241495 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241500 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241511 */   // GIR_Coverage, 48647,
     /* 2241511 */   GIR_EraseRootFromParent_Done,
     /* 2241512 */ // Label 29981: @2241512
     /* 2241512 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2241560), // Rule ID 48654 //
     /* 2241517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2241526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241530 */   // MIs[0] Operand 1
     /* 2241530 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241543 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241548 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241559 */   // GIR_Coverage, 48654,
     /* 2241559 */   GIR_EraseRootFromParent_Done,
     /* 2241560 */ // Label 29982: @2241560
     /* 2241560 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2241608), // Rule ID 48655 //
     /* 2241565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2241574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241578 */   // MIs[0] Operand 1
     /* 2241578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241591 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241607 */   // GIR_Coverage, 48655,
     /* 2241607 */   GIR_EraseRootFromParent_Done,
     /* 2241608 */ // Label 29983: @2241608
     /* 2241608 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2241656), // Rule ID 48676 //
     /* 2241613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2241619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2241622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241626 */   // MIs[0] Operand 1
     /* 2241626 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241639 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241655 */   // GIR_Coverage, 48676,
     /* 2241655 */   GIR_EraseRootFromParent_Done,
     /* 2241656 */ // Label 29984: @2241656
     /* 2241656 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2241704), // Rule ID 48677 //
     /* 2241661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2241667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2241670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241674 */   // MIs[0] Operand 1
     /* 2241674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241687 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241703 */   // GIR_Coverage, 48677,
     /* 2241703 */   GIR_EraseRootFromParent_Done,
     /* 2241704 */ // Label 29985: @2241704
     /* 2241704 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2241752), // Rule ID 48684 //
     /* 2241709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2241715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2241718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241722 */   // MIs[0] Operand 1
     /* 2241722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241735 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2241738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241740 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241742 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241751 */   // GIR_Coverage, 48684,
     /* 2241751 */   GIR_EraseRootFromParent_Done,
     /* 2241752 */ // Label 29986: @2241752
     /* 2241752 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2241800), // Rule ID 48685 //
     /* 2241757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2241763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2241766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241770 */   // MIs[0] Operand 1
     /* 2241770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241783 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2241786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241788 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241790 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241799 */   // GIR_Coverage, 48685,
     /* 2241799 */   GIR_EraseRootFromParent_Done,
     /* 2241800 */ // Label 29987: @2241800
     /* 2241800 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2241848), // Rule ID 48690 //
     /* 2241805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2241814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241818 */   // MIs[0] Operand 1
     /* 2241818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241827 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241831 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241836 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241838 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241847 */   // GIR_Coverage, 48690,
     /* 2241847 */   GIR_EraseRootFromParent_Done,
     /* 2241848 */ // Label 29988: @2241848
     /* 2241848 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2241896), // Rule ID 48691 //
     /* 2241853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2241862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241866 */   // MIs[0] Operand 1
     /* 2241866 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241879 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2241882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241884 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241886 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241895 */   // GIR_Coverage, 48691,
     /* 2241895 */   GIR_EraseRootFromParent_Done,
     /* 2241896 */ // Label 29989: @2241896
     /* 2241896 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2241944), // Rule ID 48698 //
     /* 2241901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2241910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241914 */   // MIs[0] Operand 1
     /* 2241914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241927 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241932 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241934 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241943 */   // GIR_Coverage, 48698,
     /* 2241943 */   GIR_EraseRootFromParent_Done,
     /* 2241944 */ // Label 29990: @2241944
     /* 2241944 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2241992), // Rule ID 48699 //
     /* 2241949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2241958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241962 */   // MIs[0] Operand 1
     /* 2241962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2241967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241975 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2241978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241982 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241991 */   // GIR_Coverage, 48699,
     /* 2241991 */   GIR_EraseRootFromParent_Done,
     /* 2241992 */ // Label 29991: @2241992
     /* 2241992 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2242040), // Rule ID 48720 //
     /* 2241997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2242006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242010 */   // MIs[0] Operand 1
     /* 2242010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242023 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2242026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242030 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242039 */   // GIR_Coverage, 48720,
     /* 2242039 */   GIR_EraseRootFromParent_Done,
     /* 2242040 */ // Label 29992: @2242040
     /* 2242040 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2242088), // Rule ID 48721 //
     /* 2242045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2242054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242058 */   // MIs[0] Operand 1
     /* 2242058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242071 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2242074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242076 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242078 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242087 */   // GIR_Coverage, 48721,
     /* 2242087 */   GIR_EraseRootFromParent_Done,
     /* 2242088 */ // Label 29993: @2242088
     /* 2242088 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2242136), // Rule ID 48728 //
     /* 2242093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2242099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2242102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242106 */   // MIs[0] Operand 1
     /* 2242106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242115 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242119 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2242122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242124 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242135 */   // GIR_Coverage, 48728,
     /* 2242135 */   GIR_EraseRootFromParent_Done,
     /* 2242136 */ // Label 29994: @2242136
     /* 2242136 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2242184), // Rule ID 48729 //
     /* 2242141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2242147 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2242150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242154 */   // MIs[0] Operand 1
     /* 2242154 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242163 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242167 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2242170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242172 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242183 */   // GIR_Coverage, 48729,
     /* 2242183 */   GIR_EraseRootFromParent_Done,
     /* 2242184 */ // Label 29995: @2242184
     /* 2242184 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2242232), // Rule ID 48734 //
     /* 2242189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2242195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2242198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242202 */   // MIs[0] Operand 1
     /* 2242202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242215 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242231 */   // GIR_Coverage, 48734,
     /* 2242231 */   GIR_EraseRootFromParent_Done,
     /* 2242232 */ // Label 29996: @2242232
     /* 2242232 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2242280), // Rule ID 48735 //
     /* 2242237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2242243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2242246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242250 */   // MIs[0] Operand 1
     /* 2242250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242263 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242279 */   // GIR_Coverage, 48735,
     /* 2242279 */   GIR_EraseRootFromParent_Done,
     /* 2242280 */ // Label 29997: @2242280
     /* 2242280 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2242328), // Rule ID 48742 //
     /* 2242285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2242291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2242294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242298 */   // MIs[0] Operand 1
     /* 2242298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242311 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242327 */   // GIR_Coverage, 48742,
     /* 2242327 */   GIR_EraseRootFromParent_Done,
     /* 2242328 */ // Label 29998: @2242328
     /* 2242328 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2242376), // Rule ID 48743 //
     /* 2242333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2242339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2242342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242346 */   // MIs[0] Operand 1
     /* 2242346 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242359 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242375 */   // GIR_Coverage, 48743,
     /* 2242375 */   GIR_EraseRootFromParent_Done,
     /* 2242376 */ // Label 29999: @2242376
     /* 2242376 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2242424), // Rule ID 48764 //
     /* 2242381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242387 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2242390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242394 */   // MIs[0] Operand 1
     /* 2242394 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242403 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242407 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242412 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242423 */   // GIR_Coverage, 48764,
     /* 2242423 */   GIR_EraseRootFromParent_Done,
     /* 2242424 */ // Label 30000: @2242424
     /* 2242424 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2242472), // Rule ID 48765 //
     /* 2242429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242435 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2242438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242442 */   // MIs[0] Operand 1
     /* 2242442 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242451 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242455 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242460 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242462 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242471 */   // GIR_Coverage, 48765,
     /* 2242471 */   GIR_EraseRootFromParent_Done,
     /* 2242472 */ // Label 30001: @2242472
     /* 2242472 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2242520), // Rule ID 48772 //
     /* 2242477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2242483 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2242486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242490 */   // MIs[0] Operand 1
     /* 2242490 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242499 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242503 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2242506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242508 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242510 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242519 */   // GIR_Coverage, 48772,
     /* 2242519 */   GIR_EraseRootFromParent_Done,
     /* 2242520 */ // Label 30002: @2242520
     /* 2242520 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2242568), // Rule ID 48773 //
     /* 2242525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2242531 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2242534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242538 */   // MIs[0] Operand 1
     /* 2242538 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242547 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242551 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2242554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242556 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242558 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242567 */   // GIR_Coverage, 48773,
     /* 2242567 */   GIR_EraseRootFromParent_Done,
     /* 2242568 */ // Label 30003: @2242568
     /* 2242568 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2242616), // Rule ID 48778 //
     /* 2242573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2242579 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2242582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242586 */   // MIs[0] Operand 1
     /* 2242586 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242595 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242599 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242604 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242615 */   // GIR_Coverage, 48778,
     /* 2242615 */   GIR_EraseRootFromParent_Done,
     /* 2242616 */ // Label 30004: @2242616
     /* 2242616 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2242664), // Rule ID 48779 //
     /* 2242621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2242627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2242630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242634 */   // MIs[0] Operand 1
     /* 2242634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242643 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242647 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2242650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242654 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242663 */   // GIR_Coverage, 48779,
     /* 2242663 */   GIR_EraseRootFromParent_Done,
     /* 2242664 */ // Label 30005: @2242664
     /* 2242664 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2242712), // Rule ID 48786 //
     /* 2242669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2242675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2242678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242682 */   // MIs[0] Operand 1
     /* 2242682 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242691 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242695 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242711 */   // GIR_Coverage, 48786,
     /* 2242711 */   GIR_EraseRootFromParent_Done,
     /* 2242712 */ // Label 30006: @2242712
     /* 2242712 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2242760), // Rule ID 48787 //
     /* 2242717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2242723 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2242726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242730 */   // MIs[0] Operand 1
     /* 2242730 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242739 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242743 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2242746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242748 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242750 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242759 */   // GIR_Coverage, 48787,
     /* 2242759 */   GIR_EraseRootFromParent_Done,
     /* 2242760 */ // Label 30007: @2242760
     /* 2242760 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2242808), // Rule ID 48808 //
     /* 2242765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242771 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2242774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242778 */   // MIs[0] Operand 1
     /* 2242778 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242787 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242791 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242796 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242798 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242807 */   // GIR_Coverage, 48808,
     /* 2242807 */   GIR_EraseRootFromParent_Done,
     /* 2242808 */ // Label 30008: @2242808
     /* 2242808 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2242856), // Rule ID 48809 //
     /* 2242813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242819 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2242822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242826 */   // MIs[0] Operand 1
     /* 2242826 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242835 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242839 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242844 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242846 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242854 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242855 */   // GIR_Coverage, 48809,
     /* 2242855 */   GIR_EraseRootFromParent_Done,
     /* 2242856 */ // Label 30009: @2242856
     /* 2242856 */ GIM_Reject,
     /* 2242857 */ // Label 29750: @2242857
     /* 2242857 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2242905), // Rule ID 48380 //
     /* 2242862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2242868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2242871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242875 */   // MIs[0] Operand 1
     /* 2242875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242888 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2242891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242904 */   // GIR_Coverage, 48380,
     /* 2242904 */   GIR_EraseRootFromParent_Done,
     /* 2242905 */ // Label 30010: @2242905
     /* 2242905 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2242953), // Rule ID 48381 //
     /* 2242910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2242916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2242919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242923 */   // MIs[0] Operand 1
     /* 2242923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242936 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2242939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242952 */   // GIR_Coverage, 48381,
     /* 2242952 */   GIR_EraseRootFromParent_Done,
     /* 2242953 */ // Label 30011: @2242953
     /* 2242953 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2243001), // Rule ID 48390 //
     /* 2242958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2242964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2242967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242971 */   // MIs[0] Operand 1
     /* 2242971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242984 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2242987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243000 */   // GIR_Coverage, 48390,
     /* 2243000 */   GIR_EraseRootFromParent_Done,
     /* 2243001 */ // Label 30012: @2243001
     /* 2243001 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2243049), // Rule ID 48391 //
     /* 2243006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2243012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2243015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243019 */   // MIs[0] Operand 1
     /* 2243019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243032 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2243035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243048 */   // GIR_Coverage, 48391,
     /* 2243048 */   GIR_EraseRootFromParent_Done,
     /* 2243049 */ // Label 30013: @2243049
     /* 2243049 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2243097), // Rule ID 48408 //
     /* 2243054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2243060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2243063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243067 */   // MIs[0] Operand 1
     /* 2243067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243080 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2243083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243096 */   // GIR_Coverage, 48408,
     /* 2243096 */   GIR_EraseRootFromParent_Done,
     /* 2243097 */ // Label 30014: @2243097
     /* 2243097 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2243145), // Rule ID 48409 //
     /* 2243102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2243108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2243111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243115 */   // MIs[0] Operand 1
     /* 2243115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243128 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2243131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243144 */   // GIR_Coverage, 48409,
     /* 2243144 */   GIR_EraseRootFromParent_Done,
     /* 2243145 */ // Label 30015: @2243145
     /* 2243145 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2243193), // Rule ID 48416 //
     /* 2243150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2243156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2243159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243163 */   // MIs[0] Operand 1
     /* 2243163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243176 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2243179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243192 */   // GIR_Coverage, 48416,
     /* 2243192 */   GIR_EraseRootFromParent_Done,
     /* 2243193 */ // Label 30016: @2243193
     /* 2243193 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2243241), // Rule ID 48417 //
     /* 2243198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2243204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2243207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243211 */   // MIs[0] Operand 1
     /* 2243211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243224 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2243227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243240 */   // GIR_Coverage, 48417,
     /* 2243240 */   GIR_EraseRootFromParent_Done,
     /* 2243241 */ // Label 30017: @2243241
     /* 2243241 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2243289), // Rule ID 48424 //
     /* 2243246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2243252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2243255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243259 */   // MIs[0] Operand 1
     /* 2243259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243272 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2243275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243288 */   // GIR_Coverage, 48424,
     /* 2243288 */   GIR_EraseRootFromParent_Done,
     /* 2243289 */ // Label 30018: @2243289
     /* 2243289 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2243337), // Rule ID 48425 //
     /* 2243294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2243300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2243303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243307 */   // MIs[0] Operand 1
     /* 2243307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243320 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2243323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243336 */   // GIR_Coverage, 48425,
     /* 2243336 */   GIR_EraseRootFromParent_Done,
     /* 2243337 */ // Label 30019: @2243337
     /* 2243337 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2243385), // Rule ID 48434 //
     /* 2243342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2243348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2243351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243355 */   // MIs[0] Operand 1
     /* 2243355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243368 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2243371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243384 */   // GIR_Coverage, 48434,
     /* 2243384 */   GIR_EraseRootFromParent_Done,
     /* 2243385 */ // Label 30020: @2243385
     /* 2243385 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2243433), // Rule ID 48435 //
     /* 2243390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2243396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2243399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243403 */   // MIs[0] Operand 1
     /* 2243403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243416 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2243419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243432 */   // GIR_Coverage, 48435,
     /* 2243432 */   GIR_EraseRootFromParent_Done,
     /* 2243433 */ // Label 30021: @2243433
     /* 2243433 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2243481), // Rule ID 48452 //
     /* 2243438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2243444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2243447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243451 */   // MIs[0] Operand 1
     /* 2243451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243464 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2243467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243480 */   // GIR_Coverage, 48452,
     /* 2243480 */   GIR_EraseRootFromParent_Done,
     /* 2243481 */ // Label 30022: @2243481
     /* 2243481 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2243529), // Rule ID 48453 //
     /* 2243486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2243492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2243495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243499 */   // MIs[0] Operand 1
     /* 2243499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243512 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2243515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243528 */   // GIR_Coverage, 48453,
     /* 2243528 */   GIR_EraseRootFromParent_Done,
     /* 2243529 */ // Label 30023: @2243529
     /* 2243529 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2243577), // Rule ID 48460 //
     /* 2243534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2243540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2243543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243547 */   // MIs[0] Operand 1
     /* 2243547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243560 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243576 */   // GIR_Coverage, 48460,
     /* 2243576 */   GIR_EraseRootFromParent_Done,
     /* 2243577 */ // Label 30024: @2243577
     /* 2243577 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2243625), // Rule ID 48461 //
     /* 2243582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2243588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2243591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243595 */   // MIs[0] Operand 1
     /* 2243595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243608 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243624 */   // GIR_Coverage, 48461,
     /* 2243624 */   GIR_EraseRootFromParent_Done,
     /* 2243625 */ // Label 30025: @2243625
     /* 2243625 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2243673), // Rule ID 48468 //
     /* 2243630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2243636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2243639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243643 */   // MIs[0] Operand 1
     /* 2243643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243656 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2243659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243672 */   // GIR_Coverage, 48468,
     /* 2243672 */   GIR_EraseRootFromParent_Done,
     /* 2243673 */ // Label 30026: @2243673
     /* 2243673 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2243721), // Rule ID 48469 //
     /* 2243678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2243684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2243687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243691 */   // MIs[0] Operand 1
     /* 2243691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243704 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2243707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243709 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243711 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243720 */   // GIR_Coverage, 48469,
     /* 2243720 */   GIR_EraseRootFromParent_Done,
     /* 2243721 */ // Label 30027: @2243721
     /* 2243721 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2243769), // Rule ID 48478 //
     /* 2243726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2243732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2243735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243739 */   // MIs[0] Operand 1
     /* 2243739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243752 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243757 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243759 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243768 */   // GIR_Coverage, 48478,
     /* 2243768 */   GIR_EraseRootFromParent_Done,
     /* 2243769 */ // Label 30028: @2243769
     /* 2243769 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2243817), // Rule ID 48479 //
     /* 2243774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2243780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2243783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243787 */   // MIs[0] Operand 1
     /* 2243787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243800 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2243803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243807 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243816 */   // GIR_Coverage, 48479,
     /* 2243816 */   GIR_EraseRootFromParent_Done,
     /* 2243817 */ // Label 30029: @2243817
     /* 2243817 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2243865), // Rule ID 48496 //
     /* 2243822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2243828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2243831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243835 */   // MIs[0] Operand 1
     /* 2243835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243848 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243864 */   // GIR_Coverage, 48496,
     /* 2243864 */   GIR_EraseRootFromParent_Done,
     /* 2243865 */ // Label 30030: @2243865
     /* 2243865 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2243913), // Rule ID 48497 //
     /* 2243870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2243876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2243879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243883 */   // MIs[0] Operand 1
     /* 2243883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243896 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2243899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243912 */   // GIR_Coverage, 48497,
     /* 2243912 */   GIR_EraseRootFromParent_Done,
     /* 2243913 */ // Label 30031: @2243913
     /* 2243913 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2243961), // Rule ID 48504 //
     /* 2243918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2243924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2243927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243931 */   // MIs[0] Operand 1
     /* 2243931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243944 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243960 */   // GIR_Coverage, 48504,
     /* 2243960 */   GIR_EraseRootFromParent_Done,
     /* 2243961 */ // Label 30032: @2243961
     /* 2243961 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2244009), // Rule ID 48505 //
     /* 2243966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2243972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2243975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243979 */   // MIs[0] Operand 1
     /* 2243979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243992 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244008 */   // GIR_Coverage, 48505,
     /* 2244008 */   GIR_EraseRootFromParent_Done,
     /* 2244009 */ // Label 30033: @2244009
     /* 2244009 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2244057), // Rule ID 48510 //
     /* 2244014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2244020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2244023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244027 */   // MIs[0] Operand 1
     /* 2244027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244040 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2244043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244045 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244047 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244056 */   // GIR_Coverage, 48510,
     /* 2244056 */   GIR_EraseRootFromParent_Done,
     /* 2244057 */ // Label 30034: @2244057
     /* 2244057 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2244105), // Rule ID 48511 //
     /* 2244062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2244068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2244071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244075 */   // MIs[0] Operand 1
     /* 2244075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244088 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2244091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244095 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244104 */   // GIR_Coverage, 48511,
     /* 2244104 */   GIR_EraseRootFromParent_Done,
     /* 2244105 */ // Label 30035: @2244105
     /* 2244105 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2244153), // Rule ID 48520 //
     /* 2244110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2244116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2244119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244123 */   // MIs[0] Operand 1
     /* 2244123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244136 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2244139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244141 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244152 */   // GIR_Coverage, 48520,
     /* 2244152 */   GIR_EraseRootFromParent_Done,
     /* 2244153 */ // Label 30036: @2244153
     /* 2244153 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2244201), // Rule ID 48521 //
     /* 2244158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2244164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2244167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244171 */   // MIs[0] Operand 1
     /* 2244171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244184 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2244187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244189 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244200 */   // GIR_Coverage, 48521,
     /* 2244200 */   GIR_EraseRootFromParent_Done,
     /* 2244201 */ // Label 30037: @2244201
     /* 2244201 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2244249), // Rule ID 48538 //
     /* 2244206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2244212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2244215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244219 */   // MIs[0] Operand 1
     /* 2244219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244232 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2244235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244248 */   // GIR_Coverage, 48538,
     /* 2244248 */   GIR_EraseRootFromParent_Done,
     /* 2244249 */ // Label 30038: @2244249
     /* 2244249 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2244297), // Rule ID 48539 //
     /* 2244254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2244260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2244263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244267 */   // MIs[0] Operand 1
     /* 2244267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244280 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2244283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244296 */   // GIR_Coverage, 48539,
     /* 2244296 */   GIR_EraseRootFromParent_Done,
     /* 2244297 */ // Label 30039: @2244297
     /* 2244297 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2244345), // Rule ID 48546 //
     /* 2244302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2244308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2244311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244315 */   // MIs[0] Operand 1
     /* 2244315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244328 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2244331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244335 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244344 */   // GIR_Coverage, 48546,
     /* 2244344 */   GIR_EraseRootFromParent_Done,
     /* 2244345 */ // Label 30040: @2244345
     /* 2244345 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2244393), // Rule ID 48547 //
     /* 2244350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2244356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2244359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244363 */   // MIs[0] Operand 1
     /* 2244363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244376 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2244379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244392 */   // GIR_Coverage, 48547,
     /* 2244392 */   GIR_EraseRootFromParent_Done,
     /* 2244393 */ // Label 30041: @2244393
     /* 2244393 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2244441), // Rule ID 48554 //
     /* 2244398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2244404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2244407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244411 */   // MIs[0] Operand 1
     /* 2244411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244424 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2244427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244429 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244431 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244440 */   // GIR_Coverage, 48554,
     /* 2244440 */   GIR_EraseRootFromParent_Done,
     /* 2244441 */ // Label 30042: @2244441
     /* 2244441 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2244489), // Rule ID 48555 //
     /* 2244446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2244452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2244455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244459 */   // MIs[0] Operand 1
     /* 2244459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244472 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2244475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244477 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244479 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244488 */   // GIR_Coverage, 48555,
     /* 2244488 */   GIR_EraseRootFromParent_Done,
     /* 2244489 */ // Label 30043: @2244489
     /* 2244489 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2244537), // Rule ID 48564 //
     /* 2244494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2244500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2244503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244507 */   // MIs[0] Operand 1
     /* 2244507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244520 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244525 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244527 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244536 */   // GIR_Coverage, 48564,
     /* 2244536 */   GIR_EraseRootFromParent_Done,
     /* 2244537 */ // Label 30044: @2244537
     /* 2244537 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2244585), // Rule ID 48565 //
     /* 2244542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2244548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2244551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244555 */   // MIs[0] Operand 1
     /* 2244555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244568 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244573 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244575 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244584 */   // GIR_Coverage, 48565,
     /* 2244584 */   GIR_EraseRootFromParent_Done,
     /* 2244585 */ // Label 30045: @2244585
     /* 2244585 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2244633), // Rule ID 48582 //
     /* 2244590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2244596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2244599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244603 */   // MIs[0] Operand 1
     /* 2244603 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244616 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244621 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244623 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244632 */   // GIR_Coverage, 48582,
     /* 2244632 */   GIR_EraseRootFromParent_Done,
     /* 2244633 */ // Label 30046: @2244633
     /* 2244633 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2244681), // Rule ID 48583 //
     /* 2244638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2244644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2244647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244651 */   // MIs[0] Operand 1
     /* 2244651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244664 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2244667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244669 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244671 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244680 */   // GIR_Coverage, 48583,
     /* 2244680 */   GIR_EraseRootFromParent_Done,
     /* 2244681 */ // Label 30047: @2244681
     /* 2244681 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2244729), // Rule ID 48590 //
     /* 2244686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2244692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2244695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244699 */   // MIs[0] Operand 1
     /* 2244699 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244712 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244717 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244719 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244728 */   // GIR_Coverage, 48590,
     /* 2244728 */   GIR_EraseRootFromParent_Done,
     /* 2244729 */ // Label 30048: @2244729
     /* 2244729 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2244777), // Rule ID 48591 //
     /* 2244734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2244740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2244743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244747 */   // MIs[0] Operand 1
     /* 2244747 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244760 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244765 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244767 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244776 */   // GIR_Coverage, 48591,
     /* 2244776 */   GIR_EraseRootFromParent_Done,
     /* 2244777 */ // Label 30049: @2244777
     /* 2244777 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2244825), // Rule ID 48598 //
     /* 2244782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2244788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2244791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244795 */   // MIs[0] Operand 1
     /* 2244795 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244804 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244808 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2244811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244813 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244824 */   // GIR_Coverage, 48598,
     /* 2244824 */   GIR_EraseRootFromParent_Done,
     /* 2244825 */ // Label 30050: @2244825
     /* 2244825 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2244873), // Rule ID 48599 //
     /* 2244830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2244836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2244839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244843 */   // MIs[0] Operand 1
     /* 2244843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244856 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2244859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244861 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244872 */   // GIR_Coverage, 48599,
     /* 2244872 */   GIR_EraseRootFromParent_Done,
     /* 2244873 */ // Label 30051: @2244873
     /* 2244873 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2244921), // Rule ID 48608 //
     /* 2244878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2244884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2244887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244891 */   // MIs[0] Operand 1
     /* 2244891 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244900 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244904 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244909 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244920 */   // GIR_Coverage, 48608,
     /* 2244920 */   GIR_EraseRootFromParent_Done,
     /* 2244921 */ // Label 30052: @2244921
     /* 2244921 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2244969), // Rule ID 48609 //
     /* 2244926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2244932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2244935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244939 */   // MIs[0] Operand 1
     /* 2244939 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244948 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244952 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2244955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244957 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244968 */   // GIR_Coverage, 48609,
     /* 2244968 */   GIR_EraseRootFromParent_Done,
     /* 2244969 */ // Label 30053: @2244969
     /* 2244969 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2245017), // Rule ID 48626 //
     /* 2244974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2244980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2244983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244987 */   // MIs[0] Operand 1
     /* 2244987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244996 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245000 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2245003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245005 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245016 */   // GIR_Coverage, 48626,
     /* 2245016 */   GIR_EraseRootFromParent_Done,
     /* 2245017 */ // Label 30054: @2245017
     /* 2245017 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2245065), // Rule ID 48627 //
     /* 2245022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2245028 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2245031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245035 */   // MIs[0] Operand 1
     /* 2245035 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245048 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2245051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245053 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245055 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245064 */   // GIR_Coverage, 48627,
     /* 2245064 */   GIR_EraseRootFromParent_Done,
     /* 2245065 */ // Label 30055: @2245065
     /* 2245065 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2245113), // Rule ID 48634 //
     /* 2245070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2245076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2245079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245083 */   // MIs[0] Operand 1
     /* 2245083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245096 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2245099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245103 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245112 */   // GIR_Coverage, 48634,
     /* 2245112 */   GIR_EraseRootFromParent_Done,
     /* 2245113 */ // Label 30056: @2245113
     /* 2245113 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2245161), // Rule ID 48635 //
     /* 2245118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2245124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2245127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245131 */   // MIs[0] Operand 1
     /* 2245131 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245144 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2245147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245160 */   // GIR_Coverage, 48635,
     /* 2245160 */   GIR_EraseRootFromParent_Done,
     /* 2245161 */ // Label 30057: @2245161
     /* 2245161 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2245209), // Rule ID 48642 //
     /* 2245166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2245172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2245175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245179 */   // MIs[0] Operand 1
     /* 2245179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245192 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2245195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245208 */   // GIR_Coverage, 48642,
     /* 2245208 */   GIR_EraseRootFromParent_Done,
     /* 2245209 */ // Label 30058: @2245209
     /* 2245209 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2245257), // Rule ID 48643 //
     /* 2245214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2245220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2245223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245227 */   // MIs[0] Operand 1
     /* 2245227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245240 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2245243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245256 */   // GIR_Coverage, 48643,
     /* 2245256 */   GIR_EraseRootFromParent_Done,
     /* 2245257 */ // Label 30059: @2245257
     /* 2245257 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2245305), // Rule ID 48652 //
     /* 2245262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2245268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2245271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245275 */   // MIs[0] Operand 1
     /* 2245275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245284 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245288 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245304 */   // GIR_Coverage, 48652,
     /* 2245304 */   GIR_EraseRootFromParent_Done,
     /* 2245305 */ // Label 30060: @2245305
     /* 2245305 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2245353), // Rule ID 48653 //
     /* 2245310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2245316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2245319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245323 */   // MIs[0] Operand 1
     /* 2245323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245336 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245352 */   // GIR_Coverage, 48653,
     /* 2245352 */   GIR_EraseRootFromParent_Done,
     /* 2245353 */ // Label 30061: @2245353
     /* 2245353 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2245401), // Rule ID 48670 //
     /* 2245358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2245364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2245367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245371 */   // MIs[0] Operand 1
     /* 2245371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245380 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245384 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245389 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245391 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245400 */   // GIR_Coverage, 48670,
     /* 2245400 */   GIR_EraseRootFromParent_Done,
     /* 2245401 */ // Label 30062: @2245401
     /* 2245401 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2245449), // Rule ID 48671 //
     /* 2245406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2245412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2245415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245419 */   // MIs[0] Operand 1
     /* 2245419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245432 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245448 */   // GIR_Coverage, 48671,
     /* 2245448 */   GIR_EraseRootFromParent_Done,
     /* 2245449 */ // Label 30063: @2245449
     /* 2245449 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2245497), // Rule ID 48678 //
     /* 2245454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2245460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2245463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245467 */   // MIs[0] Operand 1
     /* 2245467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245480 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245496 */   // GIR_Coverage, 48678,
     /* 2245496 */   GIR_EraseRootFromParent_Done,
     /* 2245497 */ // Label 30064: @2245497
     /* 2245497 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2245545), // Rule ID 48679 //
     /* 2245502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2245508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2245511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245515 */   // MIs[0] Operand 1
     /* 2245515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245528 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245544 */   // GIR_Coverage, 48679,
     /* 2245544 */   GIR_EraseRootFromParent_Done,
     /* 2245545 */ // Label 30065: @2245545
     /* 2245545 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2245593), // Rule ID 48686 //
     /* 2245550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2245556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2245559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245563 */   // MIs[0] Operand 1
     /* 2245563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245576 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2245579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245581 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245583 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245592 */   // GIR_Coverage, 48686,
     /* 2245592 */   GIR_EraseRootFromParent_Done,
     /* 2245593 */ // Label 30066: @2245593
     /* 2245593 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2245641), // Rule ID 48687 //
     /* 2245598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2245604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2245607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245611 */   // MIs[0] Operand 1
     /* 2245611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245624 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2245627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245631 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245640 */   // GIR_Coverage, 48687,
     /* 2245640 */   GIR_EraseRootFromParent_Done,
     /* 2245641 */ // Label 30067: @2245641
     /* 2245641 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2245689), // Rule ID 48696 //
     /* 2245646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2245652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2245655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245659 */   // MIs[0] Operand 1
     /* 2245659 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245668 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245672 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245679 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245688 */   // GIR_Coverage, 48696,
     /* 2245688 */   GIR_EraseRootFromParent_Done,
     /* 2245689 */ // Label 30068: @2245689
     /* 2245689 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2245737), // Rule ID 48697 //
     /* 2245694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2245700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2245703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245707 */   // MIs[0] Operand 1
     /* 2245707 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245716 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245720 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2245723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245736 */   // GIR_Coverage, 48697,
     /* 2245736 */   GIR_EraseRootFromParent_Done,
     /* 2245737 */ // Label 30069: @2245737
     /* 2245737 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2245785), // Rule ID 48714 //
     /* 2245742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2245748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2245751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245755 */   // MIs[0] Operand 1
     /* 2245755 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245768 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245775 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245784 */   // GIR_Coverage, 48714,
     /* 2245784 */   GIR_EraseRootFromParent_Done,
     /* 2245785 */ // Label 30070: @2245785
     /* 2245785 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2245833), // Rule ID 48715 //
     /* 2245790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2245796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2245799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245803 */   // MIs[0] Operand 1
     /* 2245803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245816 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2245819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245823 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245832 */   // GIR_Coverage, 48715,
     /* 2245832 */   GIR_EraseRootFromParent_Done,
     /* 2245833 */ // Label 30071: @2245833
     /* 2245833 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2245881), // Rule ID 48722 //
     /* 2245838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2245841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2245844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2245847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245851 */   // MIs[0] Operand 1
     /* 2245851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245864 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2245864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245880 */   // GIR_Coverage, 48722,
     /* 2245880 */   GIR_EraseRootFromParent_Done,
     /* 2245881 */ // Label 30072: @2245881
     /* 2245881 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2245929), // Rule ID 48723 //
     /* 2245886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2245892 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2245895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245899 */   // MIs[0] Operand 1
     /* 2245899 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245912 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2245912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2245915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245928 */   // GIR_Coverage, 48723,
     /* 2245928 */   GIR_EraseRootFromParent_Done,
     /* 2245929 */ // Label 30073: @2245929
     /* 2245929 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2245977), // Rule ID 48730 //
     /* 2245934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2245940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2245943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245947 */   // MIs[0] Operand 1
     /* 2245947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245960 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2245963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245965 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245967 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245976 */   // GIR_Coverage, 48730,
     /* 2245976 */   GIR_EraseRootFromParent_Done,
     /* 2245977 */ // Label 30074: @2245977
     /* 2245977 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2246025), // Rule ID 48731 //
     /* 2245982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2245988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2245991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245995 */   // MIs[0] Operand 1
     /* 2245995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246004 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246008 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2246011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246013 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246015 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246024 */   // GIR_Coverage, 48731,
     /* 2246024 */   GIR_EraseRootFromParent_Done,
     /* 2246025 */ // Label 30075: @2246025
     /* 2246025 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2246073), // Rule ID 48740 //
     /* 2246030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2246036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2246039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246043 */   // MIs[0] Operand 1
     /* 2246043 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246052 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246056 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246061 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246063 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246072 */   // GIR_Coverage, 48740,
     /* 2246072 */   GIR_EraseRootFromParent_Done,
     /* 2246073 */ // Label 30076: @2246073
     /* 2246073 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2246121), // Rule ID 48741 //
     /* 2246078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2246084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2246087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246091 */   // MIs[0] Operand 1
     /* 2246091 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246100 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246104 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246109 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246111 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246120 */   // GIR_Coverage, 48741,
     /* 2246120 */   GIR_EraseRootFromParent_Done,
     /* 2246121 */ // Label 30077: @2246121
     /* 2246121 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2246169), // Rule ID 48758 //
     /* 2246126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2246132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2246135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246139 */   // MIs[0] Operand 1
     /* 2246139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246152 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246168 */   // GIR_Coverage, 48758,
     /* 2246168 */   GIR_EraseRootFromParent_Done,
     /* 2246169 */ // Label 30078: @2246169
     /* 2246169 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2246217), // Rule ID 48759 //
     /* 2246174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2246180 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2246183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246187 */   // MIs[0] Operand 1
     /* 2246187 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246196 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246200 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246205 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246207 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246216 */   // GIR_Coverage, 48759,
     /* 2246216 */   GIR_EraseRootFromParent_Done,
     /* 2246217 */ // Label 30079: @2246217
     /* 2246217 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2246265), // Rule ID 48766 //
     /* 2246222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2246228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2246231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246235 */   // MIs[0] Operand 1
     /* 2246235 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246244 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246248 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246253 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246255 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246264 */   // GIR_Coverage, 48766,
     /* 2246264 */   GIR_EraseRootFromParent_Done,
     /* 2246265 */ // Label 30080: @2246265
     /* 2246265 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2246313), // Rule ID 48767 //
     /* 2246270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2246276 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2246279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246283 */   // MIs[0] Operand 1
     /* 2246283 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246296 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246301 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246303 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246312 */   // GIR_Coverage, 48767,
     /* 2246312 */   GIR_EraseRootFromParent_Done,
     /* 2246313 */ // Label 30081: @2246313
     /* 2246313 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2246361), // Rule ID 48774 //
     /* 2246318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2246324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2246327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246331 */   // MIs[0] Operand 1
     /* 2246331 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246340 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246344 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2246347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246351 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246360 */   // GIR_Coverage, 48774,
     /* 2246360 */   GIR_EraseRootFromParent_Done,
     /* 2246361 */ // Label 30082: @2246361
     /* 2246361 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2246409), // Rule ID 48775 //
     /* 2246366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2246372 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2246375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246379 */   // MIs[0] Operand 1
     /* 2246379 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246388 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246392 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2246395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246399 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246408 */   // GIR_Coverage, 48775,
     /* 2246408 */   GIR_EraseRootFromParent_Done,
     /* 2246409 */ // Label 30083: @2246409
     /* 2246409 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2246457), // Rule ID 48784 //
     /* 2246414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2246420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2246423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246427 */   // MIs[0] Operand 1
     /* 2246427 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246440 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246456 */   // GIR_Coverage, 48784,
     /* 2246456 */   GIR_EraseRootFromParent_Done,
     /* 2246457 */ // Label 30084: @2246457
     /* 2246457 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2246505), // Rule ID 48785 //
     /* 2246462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2246468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2246471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246475 */   // MIs[0] Operand 1
     /* 2246475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246488 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2246491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246504 */   // GIR_Coverage, 48785,
     /* 2246504 */   GIR_EraseRootFromParent_Done,
     /* 2246505 */ // Label 30085: @2246505
     /* 2246505 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2246553), // Rule ID 48802 //
     /* 2246510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2246516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2246519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246523 */   // MIs[0] Operand 1
     /* 2246523 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246532 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246536 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246552 */   // GIR_Coverage, 48802,
     /* 2246552 */   GIR_EraseRootFromParent_Done,
     /* 2246553 */ // Label 30086: @2246553
     /* 2246553 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2246601), // Rule ID 48803 //
     /* 2246558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2246564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2246567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246571 */   // MIs[0] Operand 1
     /* 2246571 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246580 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246584 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2246587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246600 */   // GIR_Coverage, 48803,
     /* 2246600 */   GIR_EraseRootFromParent_Done,
     /* 2246601 */ // Label 30087: @2246601
     /* 2246601 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2246649), // Rule ID 48810 //
     /* 2246606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2246612 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2246615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246619 */   // MIs[0] Operand 1
     /* 2246619 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246628 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246632 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2246632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246648 */   // GIR_Coverage, 48810,
     /* 2246648 */   GIR_EraseRootFromParent_Done,
     /* 2246649 */ // Label 30088: @2246649
     /* 2246649 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2246697), // Rule ID 48811 //
     /* 2246654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2246660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2246663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246667 */   // MIs[0] Operand 1
     /* 2246667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246680 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2246680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2246683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246687 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246696 */   // GIR_Coverage, 48811,
     /* 2246696 */   GIR_EraseRootFromParent_Done,
     /* 2246697 */ // Label 30089: @2246697
     /* 2246697 */ GIM_Reject,
     /* 2246698 */ // Label 29751: @2246698
     /* 2246698 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2246746), // Rule ID 48388 //
     /* 2246703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2246709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2246712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246716 */   // MIs[0] Operand 1
     /* 2246716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246729 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2246732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246745 */   // GIR_Coverage, 48388,
     /* 2246745 */   GIR_EraseRootFromParent_Done,
     /* 2246746 */ // Label 30090: @2246746
     /* 2246746 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2246794), // Rule ID 48389 //
     /* 2246751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2246757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2246760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246764 */   // MIs[0] Operand 1
     /* 2246764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246777 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2246780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246782 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246784 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246793 */   // GIR_Coverage, 48389,
     /* 2246793 */   GIR_EraseRootFromParent_Done,
     /* 2246794 */ // Label 30091: @2246794
     /* 2246794 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2246842), // Rule ID 48402 //
     /* 2246799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2246805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2246808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246812 */   // MIs[0] Operand 1
     /* 2246812 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246821 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246825 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246830 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246832 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246841 */   // GIR_Coverage, 48402,
     /* 2246841 */   GIR_EraseRootFromParent_Done,
     /* 2246842 */ // Label 30092: @2246842
     /* 2246842 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2246890), // Rule ID 48403 //
     /* 2246847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2246853 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2246856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246860 */   // MIs[0] Operand 1
     /* 2246860 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246869 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246873 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2246876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246878 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246880 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246889 */   // GIR_Coverage, 48403,
     /* 2246889 */   GIR_EraseRootFromParent_Done,
     /* 2246890 */ // Label 30093: @2246890
     /* 2246890 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2246938), // Rule ID 48410 //
     /* 2246895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2246901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2246904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246908 */   // MIs[0] Operand 1
     /* 2246908 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246917 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246921 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246926 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246928 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246937 */   // GIR_Coverage, 48410,
     /* 2246937 */   GIR_EraseRootFromParent_Done,
     /* 2246938 */ // Label 30094: @2246938
     /* 2246938 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2246986), // Rule ID 48411 //
     /* 2246943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2246949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2246952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246956 */   // MIs[0] Operand 1
     /* 2246956 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246965 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246969 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2246972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246974 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246976 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246985 */   // GIR_Coverage, 48411,
     /* 2246985 */   GIR_EraseRootFromParent_Done,
     /* 2246986 */ // Label 30095: @2246986
     /* 2246986 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2247034), // Rule ID 48418 //
     /* 2246991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2246997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2247000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247004 */   // MIs[0] Operand 1
     /* 2247004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247017 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2247020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247022 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247024 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247033 */   // GIR_Coverage, 48418,
     /* 2247033 */   GIR_EraseRootFromParent_Done,
     /* 2247034 */ // Label 30096: @2247034
     /* 2247034 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2247082), // Rule ID 48419 //
     /* 2247039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2247045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2247048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247052 */   // MIs[0] Operand 1
     /* 2247052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247065 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2247068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247081 */   // GIR_Coverage, 48419,
     /* 2247081 */   GIR_EraseRootFromParent_Done,
     /* 2247082 */ // Label 30097: @2247082
     /* 2247082 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2247130), // Rule ID 48432 //
     /* 2247087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2247093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2247096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247100 */   // MIs[0] Operand 1
     /* 2247100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247113 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2247116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247129 */   // GIR_Coverage, 48432,
     /* 2247129 */   GIR_EraseRootFromParent_Done,
     /* 2247130 */ // Label 30098: @2247130
     /* 2247130 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2247178), // Rule ID 48433 //
     /* 2247135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2247141 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2247144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247148 */   // MIs[0] Operand 1
     /* 2247148 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247157 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247161 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2247164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247177 */   // GIR_Coverage, 48433,
     /* 2247177 */   GIR_EraseRootFromParent_Done,
     /* 2247178 */ // Label 30099: @2247178
     /* 2247178 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2247226), // Rule ID 48446 //
     /* 2247183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247189 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2247192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247196 */   // MIs[0] Operand 1
     /* 2247196 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247205 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247209 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2247212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247216 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247225 */   // GIR_Coverage, 48446,
     /* 2247225 */   GIR_EraseRootFromParent_Done,
     /* 2247226 */ // Label 30100: @2247226
     /* 2247226 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2247274), // Rule ID 48447 //
     /* 2247231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2247240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247244 */   // MIs[0] Operand 1
     /* 2247244 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247253 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247257 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2247260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247264 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247273 */   // GIR_Coverage, 48447,
     /* 2247273 */   GIR_EraseRootFromParent_Done,
     /* 2247274 */ // Label 30101: @2247274
     /* 2247274 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2247322), // Rule ID 48454 //
     /* 2247279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2247285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2247288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247292 */   // MIs[0] Operand 1
     /* 2247292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247305 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2247308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247312 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247321 */   // GIR_Coverage, 48454,
     /* 2247321 */   GIR_EraseRootFromParent_Done,
     /* 2247322 */ // Label 30102: @2247322
     /* 2247322 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2247370), // Rule ID 48455 //
     /* 2247327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2247333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2247336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247340 */   // MIs[0] Operand 1
     /* 2247340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247353 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2247356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247369 */   // GIR_Coverage, 48455,
     /* 2247369 */   GIR_EraseRootFromParent_Done,
     /* 2247370 */ // Label 30103: @2247370
     /* 2247370 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2247418), // Rule ID 48462 //
     /* 2247375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2247381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2247384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247388 */   // MIs[0] Operand 1
     /* 2247388 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247401 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2247404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247408 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247417 */   // GIR_Coverage, 48462,
     /* 2247417 */   GIR_EraseRootFromParent_Done,
     /* 2247418 */ // Label 30104: @2247418
     /* 2247418 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2247466), // Rule ID 48463 //
     /* 2247423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2247429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2247432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247436 */   // MIs[0] Operand 1
     /* 2247436 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247445 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247449 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2247452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247454 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247456 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247465 */   // GIR_Coverage, 48463,
     /* 2247465 */   GIR_EraseRootFromParent_Done,
     /* 2247466 */ // Label 30105: @2247466
     /* 2247466 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2247514), // Rule ID 48476 //
     /* 2247471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2247477 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2247480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247484 */   // MIs[0] Operand 1
     /* 2247484 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247493 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247497 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2247500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247502 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247504 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247513 */   // GIR_Coverage, 48476,
     /* 2247513 */   GIR_EraseRootFromParent_Done,
     /* 2247514 */ // Label 30106: @2247514
     /* 2247514 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2247562), // Rule ID 48477 //
     /* 2247519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2247525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2247528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247532 */   // MIs[0] Operand 1
     /* 2247532 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247541 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247545 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2247548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247550 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247552 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247561 */   // GIR_Coverage, 48477,
     /* 2247561 */   GIR_EraseRootFromParent_Done,
     /* 2247562 */ // Label 30107: @2247562
     /* 2247562 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2247610), // Rule ID 48490 //
     /* 2247567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247573 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2247576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247580 */   // MIs[0] Operand 1
     /* 2247580 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247589 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247593 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247598 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247600 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247609 */   // GIR_Coverage, 48490,
     /* 2247609 */   GIR_EraseRootFromParent_Done,
     /* 2247610 */ // Label 30108: @2247610
     /* 2247610 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2247658), // Rule ID 48491 //
     /* 2247615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247621 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2247624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247628 */   // MIs[0] Operand 1
     /* 2247628 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247637 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247641 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247646 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247648 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247657 */   // GIR_Coverage, 48491,
     /* 2247657 */   GIR_EraseRootFromParent_Done,
     /* 2247658 */ // Label 30109: @2247658
     /* 2247658 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2247706), // Rule ID 48498 //
     /* 2247663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2247669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2247672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247676 */   // MIs[0] Operand 1
     /* 2247676 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247685 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247689 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247694 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247696 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247705 */   // GIR_Coverage, 48498,
     /* 2247705 */   GIR_EraseRootFromParent_Done,
     /* 2247706 */ // Label 30110: @2247706
     /* 2247706 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2247754), // Rule ID 48499 //
     /* 2247711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2247717 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2247720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247724 */   // MIs[0] Operand 1
     /* 2247724 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247733 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247737 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2247740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247742 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247744 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247753 */   // GIR_Coverage, 48499,
     /* 2247753 */   GIR_EraseRootFromParent_Done,
     /* 2247754 */ // Label 30111: @2247754
     /* 2247754 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2247802), // Rule ID 48506 //
     /* 2247759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2247765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2247768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247772 */   // MIs[0] Operand 1
     /* 2247772 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247781 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247785 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247790 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247792 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247801 */   // GIR_Coverage, 48506,
     /* 2247801 */   GIR_EraseRootFromParent_Done,
     /* 2247802 */ // Label 30112: @2247802
     /* 2247802 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2247850), // Rule ID 48507 //
     /* 2247807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2247813 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2247816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247820 */   // MIs[0] Operand 1
     /* 2247820 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2247825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247833 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2247836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247838 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247840 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247849 */   // GIR_Coverage, 48507,
     /* 2247849 */   GIR_EraseRootFromParent_Done,
     /* 2247850 */ // Label 30113: @2247850
     /* 2247850 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2247898), // Rule ID 48518 //
     /* 2247855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2247861 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2247864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247868 */   // MIs[0] Operand 1
     /* 2247868 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247877 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247881 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2247884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247886 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247888 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247897 */   // GIR_Coverage, 48518,
     /* 2247897 */   GIR_EraseRootFromParent_Done,
     /* 2247898 */ // Label 30114: @2247898
     /* 2247898 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2247946), // Rule ID 48519 //
     /* 2247903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2247909 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2247912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247916 */   // MIs[0] Operand 1
     /* 2247916 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247925 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247929 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2247932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247934 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247945 */   // GIR_Coverage, 48519,
     /* 2247945 */   GIR_EraseRootFromParent_Done,
     /* 2247946 */ // Label 30115: @2247946
     /* 2247946 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2247994), // Rule ID 48532 //
     /* 2247951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247957 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2247960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247964 */   // MIs[0] Operand 1
     /* 2247964 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247973 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247977 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2247980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247982 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247993 */   // GIR_Coverage, 48532,
     /* 2247993 */   GIR_EraseRootFromParent_Done,
     /* 2247994 */ // Label 30116: @2247994
     /* 2247994 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2248042), // Rule ID 48533 //
     /* 2247999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2248005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2248008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248012 */   // MIs[0] Operand 1
     /* 2248012 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248021 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248025 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2248028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248041 */   // GIR_Coverage, 48533,
     /* 2248041 */   GIR_EraseRootFromParent_Done,
     /* 2248042 */ // Label 30117: @2248042
     /* 2248042 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2248090), // Rule ID 48540 //
     /* 2248047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2248056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248060 */   // MIs[0] Operand 1
     /* 2248060 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248069 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248073 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248089 */   // GIR_Coverage, 48540,
     /* 2248089 */   GIR_EraseRootFromParent_Done,
     /* 2248090 */ // Label 30118: @2248090
     /* 2248090 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2248138), // Rule ID 48541 //
     /* 2248095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248101 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2248104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248108 */   // MIs[0] Operand 1
     /* 2248108 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248117 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248121 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248137 */   // GIR_Coverage, 48541,
     /* 2248137 */   GIR_EraseRootFromParent_Done,
     /* 2248138 */ // Label 30119: @2248138
     /* 2248138 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2248186), // Rule ID 48548 //
     /* 2248143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2248149 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2248152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248156 */   // MIs[0] Operand 1
     /* 2248156 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248165 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248169 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2248172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248185 */   // GIR_Coverage, 48548,
     /* 2248185 */   GIR_EraseRootFromParent_Done,
     /* 2248186 */ // Label 30120: @2248186
     /* 2248186 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2248234), // Rule ID 48549 //
     /* 2248191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2248197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2248200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248204 */   // MIs[0] Operand 1
     /* 2248204 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248213 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248217 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2248220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248233 */   // GIR_Coverage, 48549,
     /* 2248233 */   GIR_EraseRootFromParent_Done,
     /* 2248234 */ // Label 30121: @2248234
     /* 2248234 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2248282), // Rule ID 48562 //
     /* 2248239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2248245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2248248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248252 */   // MIs[0] Operand 1
     /* 2248252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248265 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2248268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248270 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248272 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248281 */   // GIR_Coverage, 48562,
     /* 2248281 */   GIR_EraseRootFromParent_Done,
     /* 2248282 */ // Label 30122: @2248282
     /* 2248282 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2248330), // Rule ID 48563 //
     /* 2248287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2248293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2248296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248300 */   // MIs[0] Operand 1
     /* 2248300 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248309 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248313 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2248316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248318 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248320 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248329 */   // GIR_Coverage, 48563,
     /* 2248329 */   GIR_EraseRootFromParent_Done,
     /* 2248330 */ // Label 30123: @2248330
     /* 2248330 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2248378), // Rule ID 48576 //
     /* 2248335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2248341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2248344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248348 */   // MIs[0] Operand 1
     /* 2248348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248357 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248361 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2248364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248366 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248368 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248377 */   // GIR_Coverage, 48576,
     /* 2248377 */   GIR_EraseRootFromParent_Done,
     /* 2248378 */ // Label 30124: @2248378
     /* 2248378 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2248426), // Rule ID 48577 //
     /* 2248383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2248389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2248392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248396 */   // MIs[0] Operand 1
     /* 2248396 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248405 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248409 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2248412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248414 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248416 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248425 */   // GIR_Coverage, 48577,
     /* 2248425 */   GIR_EraseRootFromParent_Done,
     /* 2248426 */ // Label 30125: @2248426
     /* 2248426 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2248474), // Rule ID 48584 //
     /* 2248431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2248440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248444 */   // MIs[0] Operand 1
     /* 2248444 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248453 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248457 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248462 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248464 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248473 */   // GIR_Coverage, 48584,
     /* 2248473 */   GIR_EraseRootFromParent_Done,
     /* 2248474 */ // Label 30126: @2248474
     /* 2248474 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2248522), // Rule ID 48585 //
     /* 2248479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248485 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2248488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248492 */   // MIs[0] Operand 1
     /* 2248492 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248501 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248505 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248510 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248512 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248521 */   // GIR_Coverage, 48585,
     /* 2248521 */   GIR_EraseRootFromParent_Done,
     /* 2248522 */ // Label 30127: @2248522
     /* 2248522 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2248570), // Rule ID 48592 //
     /* 2248527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2248533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2248536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248540 */   // MIs[0] Operand 1
     /* 2248540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248553 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248558 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248560 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248569 */   // GIR_Coverage, 48592,
     /* 2248569 */   GIR_EraseRootFromParent_Done,
     /* 2248570 */ // Label 30128: @2248570
     /* 2248570 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2248618), // Rule ID 48593 //
     /* 2248575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2248581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2248584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248588 */   // MIs[0] Operand 1
     /* 2248588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248601 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248608 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248617 */   // GIR_Coverage, 48593,
     /* 2248617 */   GIR_EraseRootFromParent_Done,
     /* 2248618 */ // Label 30129: @2248618
     /* 2248618 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2248666), // Rule ID 48606 //
     /* 2248623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2248629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2248632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248636 */   // MIs[0] Operand 1
     /* 2248636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248649 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2248652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248654 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248665 */   // GIR_Coverage, 48606,
     /* 2248665 */   GIR_EraseRootFromParent_Done,
     /* 2248666 */ // Label 30130: @2248666
     /* 2248666 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2248714), // Rule ID 48607 //
     /* 2248671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2248677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2248680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248684 */   // MIs[0] Operand 1
     /* 2248684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248697 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2248700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248702 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248713 */   // GIR_Coverage, 48607,
     /* 2248713 */   GIR_EraseRootFromParent_Done,
     /* 2248714 */ // Label 30131: @2248714
     /* 2248714 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2248762), // Rule ID 48620 //
     /* 2248719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2248725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2248728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248732 */   // MIs[0] Operand 1
     /* 2248732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248745 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2248748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248750 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248761 */   // GIR_Coverage, 48620,
     /* 2248761 */   GIR_EraseRootFromParent_Done,
     /* 2248762 */ // Label 30132: @2248762
     /* 2248762 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2248810), // Rule ID 48621 //
     /* 2248767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2248773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2248776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248780 */   // MIs[0] Operand 1
     /* 2248780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248793 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2248796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248798 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248809 */   // GIR_Coverage, 48621,
     /* 2248809 */   GIR_EraseRootFromParent_Done,
     /* 2248810 */ // Label 30133: @2248810
     /* 2248810 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2248858), // Rule ID 48628 //
     /* 2248815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2248824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248828 */   // MIs[0] Operand 1
     /* 2248828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248841 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248846 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248857 */   // GIR_Coverage, 48628,
     /* 2248857 */   GIR_EraseRootFromParent_Done,
     /* 2248858 */ // Label 30134: @2248858
     /* 2248858 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2248906), // Rule ID 48629 //
     /* 2248863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2248872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248876 */   // MIs[0] Operand 1
     /* 2248876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248889 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248894 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248896 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248905 */   // GIR_Coverage, 48629,
     /* 2248905 */   GIR_EraseRootFromParent_Done,
     /* 2248906 */ // Label 30135: @2248906
     /* 2248906 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2248954), // Rule ID 48636 //
     /* 2248911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2248914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2248917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2248920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248924 */   // MIs[0] Operand 1
     /* 2248924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248937 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248942 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248944 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248953 */   // GIR_Coverage, 48636,
     /* 2248953 */   GIR_EraseRootFromParent_Done,
     /* 2248954 */ // Label 30136: @2248954
     /* 2248954 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2249002), // Rule ID 48637 //
     /* 2248959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2248962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2248965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2248968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248972 */   // MIs[0] Operand 1
     /* 2248972 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248981 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248985 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248992 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249001 */   // GIR_Coverage, 48637,
     /* 2249001 */   GIR_EraseRootFromParent_Done,
     /* 2249002 */ // Label 30137: @2249002
     /* 2249002 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2249050), // Rule ID 48650 //
     /* 2249007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2249013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2249016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249020 */   // MIs[0] Operand 1
     /* 2249020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249033 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2249036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249049 */   // GIR_Coverage, 48650,
     /* 2249049 */   GIR_EraseRootFromParent_Done,
     /* 2249050 */ // Label 30138: @2249050
     /* 2249050 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2249098), // Rule ID 48651 //
     /* 2249055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2249061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2249064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249068 */   // MIs[0] Operand 1
     /* 2249068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249081 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2249084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249086 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249088 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249097 */   // GIR_Coverage, 48651,
     /* 2249097 */   GIR_EraseRootFromParent_Done,
     /* 2249098 */ // Label 30139: @2249098
     /* 2249098 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2249146), // Rule ID 48664 //
     /* 2249103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2249109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2249112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249116 */   // MIs[0] Operand 1
     /* 2249116 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249129 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2249132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249134 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249136 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249145 */   // GIR_Coverage, 48664,
     /* 2249145 */   GIR_EraseRootFromParent_Done,
     /* 2249146 */ // Label 30140: @2249146
     /* 2249146 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2249194), // Rule ID 48665 //
     /* 2249151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2249157 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2249160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249164 */   // MIs[0] Operand 1
     /* 2249164 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249173 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249177 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2249180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249182 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249184 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249193 */   // GIR_Coverage, 48665,
     /* 2249193 */   GIR_EraseRootFromParent_Done,
     /* 2249194 */ // Label 30141: @2249194
     /* 2249194 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2249242), // Rule ID 48672 //
     /* 2249199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2249205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2249208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249212 */   // MIs[0] Operand 1
     /* 2249212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249225 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2249228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249230 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249241 */   // GIR_Coverage, 48672,
     /* 2249241 */   GIR_EraseRootFromParent_Done,
     /* 2249242 */ // Label 30142: @2249242
     /* 2249242 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2249290), // Rule ID 48673 //
     /* 2249247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2249253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2249256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249260 */   // MIs[0] Operand 1
     /* 2249260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249273 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2249276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249289 */   // GIR_Coverage, 48673,
     /* 2249289 */   GIR_EraseRootFromParent_Done,
     /* 2249290 */ // Label 30143: @2249290
     /* 2249290 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2249338), // Rule ID 48680 //
     /* 2249295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2249301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2249304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249308 */   // MIs[0] Operand 1
     /* 2249308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249321 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2249324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249337 */   // GIR_Coverage, 48680,
     /* 2249337 */   GIR_EraseRootFromParent_Done,
     /* 2249338 */ // Label 30144: @2249338
     /* 2249338 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2249386), // Rule ID 48681 //
     /* 2249343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2249349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2249352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249356 */   // MIs[0] Operand 1
     /* 2249356 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249369 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2249372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249374 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249376 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249385 */   // GIR_Coverage, 48681,
     /* 2249385 */   GIR_EraseRootFromParent_Done,
     /* 2249386 */ // Label 30145: @2249386
     /* 2249386 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2249434), // Rule ID 48694 //
     /* 2249391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2249397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2249400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249404 */   // MIs[0] Operand 1
     /* 2249404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249417 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2249420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249422 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249424 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249433 */   // GIR_Coverage, 48694,
     /* 2249433 */   GIR_EraseRootFromParent_Done,
     /* 2249434 */ // Label 30146: @2249434
     /* 2249434 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2249482), // Rule ID 48695 //
     /* 2249439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2249445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2249448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249452 */   // MIs[0] Operand 1
     /* 2249452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249465 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2249468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249470 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249472 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249481 */   // GIR_Coverage, 48695,
     /* 2249481 */   GIR_EraseRootFromParent_Done,
     /* 2249482 */ // Label 30147: @2249482
     /* 2249482 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2249530), // Rule ID 48708 //
     /* 2249487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2249493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2249496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249500 */   // MIs[0] Operand 1
     /* 2249500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249513 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2249516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249518 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249520 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249529 */   // GIR_Coverage, 48708,
     /* 2249529 */   GIR_EraseRootFromParent_Done,
     /* 2249530 */ // Label 30148: @2249530
     /* 2249530 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2249578), // Rule ID 48709 //
     /* 2249535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2249541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2249544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249548 */   // MIs[0] Operand 1
     /* 2249548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249561 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2249564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249568 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249577 */   // GIR_Coverage, 48709,
     /* 2249577 */   GIR_EraseRootFromParent_Done,
     /* 2249578 */ // Label 30149: @2249578
     /* 2249578 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2249626), // Rule ID 48716 //
     /* 2249583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2249589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2249592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249596 */   // MIs[0] Operand 1
     /* 2249596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249609 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2249612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249616 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249625 */   // GIR_Coverage, 48716,
     /* 2249625 */   GIR_EraseRootFromParent_Done,
     /* 2249626 */ // Label 30150: @2249626
     /* 2249626 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2249674), // Rule ID 48717 //
     /* 2249631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2249637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2249640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249644 */   // MIs[0] Operand 1
     /* 2249644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249657 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2249660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249664 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249673 */   // GIR_Coverage, 48717,
     /* 2249673 */   GIR_EraseRootFromParent_Done,
     /* 2249674 */ // Label 30151: @2249674
     /* 2249674 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2249722), // Rule ID 48724 //
     /* 2249679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2249685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2249688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249692 */   // MIs[0] Operand 1
     /* 2249692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249701 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249705 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2249708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249710 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249712 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249721 */   // GIR_Coverage, 48724,
     /* 2249721 */   GIR_EraseRootFromParent_Done,
     /* 2249722 */ // Label 30152: @2249722
     /* 2249722 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2249770), // Rule ID 48725 //
     /* 2249727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2249733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2249736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249740 */   // MIs[0] Operand 1
     /* 2249740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249753 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2249756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249758 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249760 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249769 */   // GIR_Coverage, 48725,
     /* 2249769 */   GIR_EraseRootFromParent_Done,
     /* 2249770 */ // Label 30153: @2249770
     /* 2249770 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2249818), // Rule ID 48738 //
     /* 2249775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2249781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2249784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249788 */   // MIs[0] Operand 1
     /* 2249788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249801 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2249804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249808 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249817 */   // GIR_Coverage, 48738,
     /* 2249817 */   GIR_EraseRootFromParent_Done,
     /* 2249818 */ // Label 30154: @2249818
     /* 2249818 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2249866), // Rule ID 48739 //
     /* 2249823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2249829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2249832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249836 */   // MIs[0] Operand 1
     /* 2249836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249849 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2249852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249856 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249865 */   // GIR_Coverage, 48739,
     /* 2249865 */   GIR_EraseRootFromParent_Done,
     /* 2249866 */ // Label 30155: @2249866
     /* 2249866 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2249914), // Rule ID 48752 //
     /* 2249871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2249877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2249880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249884 */   // MIs[0] Operand 1
     /* 2249884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249897 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2249900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249913 */   // GIR_Coverage, 48752,
     /* 2249913 */   GIR_EraseRootFromParent_Done,
     /* 2249914 */ // Label 30156: @2249914
     /* 2249914 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2249962), // Rule ID 48753 //
     /* 2249919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2249925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2249928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249932 */   // MIs[0] Operand 1
     /* 2249932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249945 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2249948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249950 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249952 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249961 */   // GIR_Coverage, 48753,
     /* 2249961 */   GIR_EraseRootFromParent_Done,
     /* 2249962 */ // Label 30157: @2249962
     /* 2249962 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2250010), // Rule ID 48760 //
     /* 2249967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2249973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2249976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249980 */   // MIs[0] Operand 1
     /* 2249980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249993 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249998 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250000 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250009 */   // GIR_Coverage, 48760,
     /* 2250009 */   GIR_EraseRootFromParent_Done,
     /* 2250010 */ // Label 30158: @2250010
     /* 2250010 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2250058), // Rule ID 48761 //
     /* 2250015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2250021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2250024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250028 */   // MIs[0] Operand 1
     /* 2250028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250041 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250046 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250048 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250057 */   // GIR_Coverage, 48761,
     /* 2250057 */   GIR_EraseRootFromParent_Done,
     /* 2250058 */ // Label 30159: @2250058
     /* 2250058 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2250106), // Rule ID 48768 //
     /* 2250063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2250069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2250072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250076 */   // MIs[0] Operand 1
     /* 2250076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250089 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250094 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250096 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250105 */   // GIR_Coverage, 48768,
     /* 2250105 */   GIR_EraseRootFromParent_Done,
     /* 2250106 */ // Label 30160: @2250106
     /* 2250106 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2250154), // Rule ID 48769 //
     /* 2250111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2250117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2250120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250124 */   // MIs[0] Operand 1
     /* 2250124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250137 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250144 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250153 */   // GIR_Coverage, 48769,
     /* 2250153 */   GIR_EraseRootFromParent_Done,
     /* 2250154 */ // Label 30161: @2250154
     /* 2250154 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2250202), // Rule ID 48782 //
     /* 2250159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2250165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2250168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250172 */   // MIs[0] Operand 1
     /* 2250172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250185 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2250188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250192 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250201 */   // GIR_Coverage, 48782,
     /* 2250201 */   GIR_EraseRootFromParent_Done,
     /* 2250202 */ // Label 30162: @2250202
     /* 2250202 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2250250), // Rule ID 48783 //
     /* 2250207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2250213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2250216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250220 */   // MIs[0] Operand 1
     /* 2250220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250233 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2250236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250240 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250249 */   // GIR_Coverage, 48783,
     /* 2250249 */   GIR_EraseRootFromParent_Done,
     /* 2250250 */ // Label 30163: @2250250
     /* 2250250 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2250298), // Rule ID 48796 //
     /* 2250255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2250261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2250264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250268 */   // MIs[0] Operand 1
     /* 2250268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250281 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2250284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250297 */   // GIR_Coverage, 48796,
     /* 2250297 */   GIR_EraseRootFromParent_Done,
     /* 2250298 */ // Label 30164: @2250298
     /* 2250298 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2250346), // Rule ID 48797 //
     /* 2250303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2250309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2250312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250316 */   // MIs[0] Operand 1
     /* 2250316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250329 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2250332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250336 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250345 */   // GIR_Coverage, 48797,
     /* 2250345 */   GIR_EraseRootFromParent_Done,
     /* 2250346 */ // Label 30165: @2250346
     /* 2250346 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2250394), // Rule ID 48804 //
     /* 2250351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2250357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2250360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250364 */   // MIs[0] Operand 1
     /* 2250364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250377 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250393 */   // GIR_Coverage, 48804,
     /* 2250393 */   GIR_EraseRootFromParent_Done,
     /* 2250394 */ // Label 30166: @2250394
     /* 2250394 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2250442), // Rule ID 48805 //
     /* 2250399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2250405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2250408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250412 */   // MIs[0] Operand 1
     /* 2250412 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250421 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250425 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2250428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250441 */   // GIR_Coverage, 48805,
     /* 2250441 */   GIR_EraseRootFromParent_Done,
     /* 2250442 */ // Label 30167: @2250442
     /* 2250442 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2250490), // Rule ID 48812 //
     /* 2250447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2250453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2250456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250460 */   // MIs[0] Operand 1
     /* 2250460 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250473 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250478 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250489 */   // GIR_Coverage, 48812,
     /* 2250489 */   GIR_EraseRootFromParent_Done,
     /* 2250490 */ // Label 30168: @2250490
     /* 2250490 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2250538), // Rule ID 48813 //
     /* 2250495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2250501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2250504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250508 */   // MIs[0] Operand 1
     /* 2250508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250521 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250537 */   // GIR_Coverage, 48813,
     /* 2250537 */   GIR_EraseRootFromParent_Done,
     /* 2250538 */ // Label 30169: @2250538
     /* 2250538 */ GIM_Reject,
     /* 2250539 */ // Label 29752: @2250539
     /* 2250539 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2250587), // Rule ID 48396 //
     /* 2250544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2250550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2250553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250557 */   // MIs[0] Operand 1
     /* 2250557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250570 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2250573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250586 */   // GIR_Coverage, 48396,
     /* 2250586 */   GIR_EraseRootFromParent_Done,
     /* 2250587 */ // Label 30170: @2250587
     /* 2250587 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2250635), // Rule ID 48397 //
     /* 2250592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2250598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2250601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250605 */   // MIs[0] Operand 1
     /* 2250605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250618 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2250621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250634 */   // GIR_Coverage, 48397,
     /* 2250634 */   GIR_EraseRootFromParent_Done,
     /* 2250635 */ // Label 30171: @2250635
     /* 2250635 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2250683), // Rule ID 48404 //
     /* 2250640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2250646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2250649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250653 */   // MIs[0] Operand 1
     /* 2250653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250666 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2250669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250671 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250682 */   // GIR_Coverage, 48404,
     /* 2250682 */   GIR_EraseRootFromParent_Done,
     /* 2250683 */ // Label 30172: @2250683
     /* 2250683 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2250731), // Rule ID 48405 //
     /* 2250688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2250694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2250697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250701 */   // MIs[0] Operand 1
     /* 2250701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250714 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2250717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250730 */   // GIR_Coverage, 48405,
     /* 2250730 */   GIR_EraseRootFromParent_Done,
     /* 2250731 */ // Label 30173: @2250731
     /* 2250731 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2250779), // Rule ID 48412 //
     /* 2250736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2250742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2250745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250749 */   // MIs[0] Operand 1
     /* 2250749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250762 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2250765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250778 */   // GIR_Coverage, 48412,
     /* 2250778 */   GIR_EraseRootFromParent_Done,
     /* 2250779 */ // Label 30174: @2250779
     /* 2250779 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2250827), // Rule ID 48413 //
     /* 2250784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2250790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2250793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250797 */   // MIs[0] Operand 1
     /* 2250797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2250802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250810 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2250813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250826 */   // GIR_Coverage, 48413,
     /* 2250826 */   GIR_EraseRootFromParent_Done,
     /* 2250827 */ // Label 30175: @2250827
     /* 2250827 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2250875), // Rule ID 48440 //
     /* 2250832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2250838 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2250841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250845 */   // MIs[0] Operand 1
     /* 2250845 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250854 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250858 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2250861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250874 */   // GIR_Coverage, 48440,
     /* 2250874 */   GIR_EraseRootFromParent_Done,
     /* 2250875 */ // Label 30176: @2250875
     /* 2250875 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2250923), // Rule ID 48441 //
     /* 2250880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2250886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2250889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250893 */   // MIs[0] Operand 1
     /* 2250893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250906 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2250909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250922 */   // GIR_Coverage, 48441,
     /* 2250922 */   GIR_EraseRootFromParent_Done,
     /* 2250923 */ // Label 30177: @2250923
     /* 2250923 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2250971), // Rule ID 48448 //
     /* 2250928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2250934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2250937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250941 */   // MIs[0] Operand 1
     /* 2250941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250954 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2250957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250970 */   // GIR_Coverage, 48448,
     /* 2250970 */   GIR_EraseRootFromParent_Done,
     /* 2250971 */ // Label 30178: @2250971
     /* 2250971 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2251019), // Rule ID 48449 //
     /* 2250976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2250982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2250985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250989 */   // MIs[0] Operand 1
     /* 2250989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251002 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2251005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251018 */   // GIR_Coverage, 48449,
     /* 2251018 */   GIR_EraseRootFromParent_Done,
     /* 2251019 */ // Label 30179: @2251019
     /* 2251019 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2251067), // Rule ID 48456 //
     /* 2251024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251030 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251037 */   // MIs[0] Operand 1
     /* 2251037 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2251042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251046 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251050 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2251053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251055 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251066 */   // GIR_Coverage, 48456,
     /* 2251066 */   GIR_EraseRootFromParent_Done,
     /* 2251067 */ // Label 30180: @2251067
     /* 2251067 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2251115), // Rule ID 48457 //
     /* 2251072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251085 */   // MIs[0] Operand 1
     /* 2251085 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2251090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251094 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251098 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2251101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251103 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251114 */   // GIR_Coverage, 48457,
     /* 2251114 */   GIR_EraseRootFromParent_Done,
     /* 2251115 */ // Label 30181: @2251115
     /* 2251115 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2251163), // Rule ID 48484 //
     /* 2251120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2251126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2251129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251133 */   // MIs[0] Operand 1
     /* 2251133 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251142 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251146 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2251149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251153 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251162 */   // GIR_Coverage, 48484,
     /* 2251162 */   GIR_EraseRootFromParent_Done,
     /* 2251163 */ // Label 30182: @2251163
     /* 2251163 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2251211), // Rule ID 48485 //
     /* 2251168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2251174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2251177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251181 */   // MIs[0] Operand 1
     /* 2251181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251194 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2251197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251210 */   // GIR_Coverage, 48485,
     /* 2251210 */   GIR_EraseRootFromParent_Done,
     /* 2251211 */ // Label 30183: @2251211
     /* 2251211 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2251259), // Rule ID 48492 //
     /* 2251216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251222 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251229 */   // MIs[0] Operand 1
     /* 2251229 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251238 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251242 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2251245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251247 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251258 */   // GIR_Coverage, 48492,
     /* 2251258 */   GIR_EraseRootFromParent_Done,
     /* 2251259 */ // Label 30184: @2251259
     /* 2251259 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2251307), // Rule ID 48493 //
     /* 2251264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251277 */   // MIs[0] Operand 1
     /* 2251277 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251286 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251290 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2251293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251295 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251297 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251306 */   // GIR_Coverage, 48493,
     /* 2251306 */   GIR_EraseRootFromParent_Done,
     /* 2251307 */ // Label 30185: @2251307
     /* 2251307 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2251355), // Rule ID 48500 //
     /* 2251312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251318 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251325 */   // MIs[0] Operand 1
     /* 2251325 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251334 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251338 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251343 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251354 */   // GIR_Coverage, 48500,
     /* 2251354 */   GIR_EraseRootFromParent_Done,
     /* 2251355 */ // Label 30186: @2251355
     /* 2251355 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2251403), // Rule ID 48501 //
     /* 2251360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251366 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251373 */   // MIs[0] Operand 1
     /* 2251373 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2251378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251382 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251386 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251391 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251393 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251402 */   // GIR_Coverage, 48501,
     /* 2251402 */   GIR_EraseRootFromParent_Done,
     /* 2251403 */ // Label 30187: @2251403
     /* 2251403 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2251451), // Rule ID 48526 //
     /* 2251408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2251414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2251417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251421 */   // MIs[0] Operand 1
     /* 2251421 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251430 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251434 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2251437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251450 */   // GIR_Coverage, 48526,
     /* 2251450 */   GIR_EraseRootFromParent_Done,
     /* 2251451 */ // Label 30188: @2251451
     /* 2251451 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2251499), // Rule ID 48527 //
     /* 2251456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2251462 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2251465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251469 */   // MIs[0] Operand 1
     /* 2251469 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251478 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251482 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2251485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251498 */   // GIR_Coverage, 48527,
     /* 2251498 */   GIR_EraseRootFromParent_Done,
     /* 2251499 */ // Label 30189: @2251499
     /* 2251499 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2251547), // Rule ID 48534 //
     /* 2251504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251510 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251517 */   // MIs[0] Operand 1
     /* 2251517 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251526 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251530 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2251533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251537 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251546 */   // GIR_Coverage, 48534,
     /* 2251546 */   GIR_EraseRootFromParent_Done,
     /* 2251547 */ // Label 30190: @2251547
     /* 2251547 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2251595), // Rule ID 48535 //
     /* 2251552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251565 */   // MIs[0] Operand 1
     /* 2251565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251578 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2251581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251594 */   // GIR_Coverage, 48535,
     /* 2251594 */   GIR_EraseRootFromParent_Done,
     /* 2251595 */ // Label 30191: @2251595
     /* 2251595 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2251643), // Rule ID 48542 //
     /* 2251600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251606 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251613 */   // MIs[0] Operand 1
     /* 2251613 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251622 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251626 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251631 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251642 */   // GIR_Coverage, 48542,
     /* 2251642 */   GIR_EraseRootFromParent_Done,
     /* 2251643 */ // Label 30192: @2251643
     /* 2251643 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2251691), // Rule ID 48543 //
     /* 2251648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251654 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251661 */   // MIs[0] Operand 1
     /* 2251661 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2251666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251674 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2251677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251679 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251681 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251690 */   // GIR_Coverage, 48543,
     /* 2251690 */   GIR_EraseRootFromParent_Done,
     /* 2251691 */ // Label 30193: @2251691
     /* 2251691 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2251739), // Rule ID 48570 //
     /* 2251696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2251702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2251705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251709 */   // MIs[0] Operand 1
     /* 2251709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251718 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251722 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2251725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251729 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251738 */   // GIR_Coverage, 48570,
     /* 2251738 */   GIR_EraseRootFromParent_Done,
     /* 2251739 */ // Label 30194: @2251739
     /* 2251739 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2251787), // Rule ID 48571 //
     /* 2251744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2251750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2251753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251757 */   // MIs[0] Operand 1
     /* 2251757 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251766 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251770 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2251773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251775 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251777 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251786 */   // GIR_Coverage, 48571,
     /* 2251786 */   GIR_EraseRootFromParent_Done,
     /* 2251787 */ // Label 30195: @2251787
     /* 2251787 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2251835), // Rule ID 48578 //
     /* 2251792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251798 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251805 */   // MIs[0] Operand 1
     /* 2251805 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251814 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251818 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2251821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251823 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251825 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251834 */   // GIR_Coverage, 48578,
     /* 2251834 */   GIR_EraseRootFromParent_Done,
     /* 2251835 */ // Label 30196: @2251835
     /* 2251835 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2251883), // Rule ID 48579 //
     /* 2251840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251853 */   // MIs[0] Operand 1
     /* 2251853 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251862 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251866 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2251869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251873 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251882 */   // GIR_Coverage, 48579,
     /* 2251882 */   GIR_EraseRootFromParent_Done,
     /* 2251883 */ // Label 30197: @2251883
     /* 2251883 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2251931), // Rule ID 48586 //
     /* 2251888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251901 */   // MIs[0] Operand 1
     /* 2251901 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251910 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251914 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251921 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251930 */   // GIR_Coverage, 48586,
     /* 2251930 */   GIR_EraseRootFromParent_Done,
     /* 2251931 */ // Label 30198: @2251931
     /* 2251931 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2251979), // Rule ID 48587 //
     /* 2251936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2251942 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2251945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251949 */   // MIs[0] Operand 1
     /* 2251949 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251958 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251962 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2251965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251969 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251978 */   // GIR_Coverage, 48587,
     /* 2251978 */   GIR_EraseRootFromParent_Done,
     /* 2251979 */ // Label 30199: @2251979
     /* 2251979 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2252027), // Rule ID 48614 //
     /* 2251984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2251990 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2251993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251997 */   // MIs[0] Operand 1
     /* 2251997 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2252002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252006 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252010 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2252013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252015 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252026 */   // GIR_Coverage, 48614,
     /* 2252026 */   GIR_EraseRootFromParent_Done,
     /* 2252027 */ // Label 30200: @2252027
     /* 2252027 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2252075), // Rule ID 48615 //
     /* 2252032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2252038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2252041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252045 */   // MIs[0] Operand 1
     /* 2252045 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2252050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252054 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252058 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2252061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252063 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252065 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252074 */   // GIR_Coverage, 48615,
     /* 2252074 */   GIR_EraseRootFromParent_Done,
     /* 2252075 */ // Label 30201: @2252075
     /* 2252075 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2252123), // Rule ID 48622 //
     /* 2252080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252086 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252093 */   // MIs[0] Operand 1
     /* 2252093 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2252098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252102 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252106 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2252109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252111 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252121 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252122 */   // GIR_Coverage, 48622,
     /* 2252122 */   GIR_EraseRootFromParent_Done,
     /* 2252123 */ // Label 30202: @2252123
     /* 2252123 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2252171), // Rule ID 48623 //
     /* 2252128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252134 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252141 */   // MIs[0] Operand 1
     /* 2252141 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2252146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252150 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252154 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2252157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252170 */   // GIR_Coverage, 48623,
     /* 2252170 */   GIR_EraseRootFromParent_Done,
     /* 2252171 */ // Label 30203: @2252171
     /* 2252171 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2252219), // Rule ID 48630 //
     /* 2252176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252182 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252189 */   // MIs[0] Operand 1
     /* 2252189 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2252194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252198 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252202 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2252205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252207 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252218 */   // GIR_Coverage, 48630,
     /* 2252218 */   GIR_EraseRootFromParent_Done,
     /* 2252219 */ // Label 30204: @2252219
     /* 2252219 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2252267), // Rule ID 48631 //
     /* 2252224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252237 */   // MIs[0] Operand 1
     /* 2252237 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2252242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252246 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252250 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2252253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252255 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252257 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252266 */   // GIR_Coverage, 48631,
     /* 2252266 */   GIR_EraseRootFromParent_Done,
     /* 2252267 */ // Label 30205: @2252267
     /* 2252267 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2252315), // Rule ID 48658 //
     /* 2252272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2252278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2252281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252285 */   // MIs[0] Operand 1
     /* 2252285 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252294 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252298 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252303 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252305 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252314 */   // GIR_Coverage, 48658,
     /* 2252314 */   GIR_EraseRootFromParent_Done,
     /* 2252315 */ // Label 30206: @2252315
     /* 2252315 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2252363), // Rule ID 48659 //
     /* 2252320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2252326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2252329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252333 */   // MIs[0] Operand 1
     /* 2252333 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252342 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252346 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252351 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252353 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252362 */   // GIR_Coverage, 48659,
     /* 2252362 */   GIR_EraseRootFromParent_Done,
     /* 2252363 */ // Label 30207: @2252363
     /* 2252363 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2252411), // Rule ID 48666 //
     /* 2252368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252381 */   // MIs[0] Operand 1
     /* 2252381 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252390 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252394 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2252397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252399 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252401 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252410 */   // GIR_Coverage, 48666,
     /* 2252410 */   GIR_EraseRootFromParent_Done,
     /* 2252411 */ // Label 30208: @2252411
     /* 2252411 */ GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2252459), // Rule ID 48667 //
     /* 2252416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252422 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252429 */   // MIs[0] Operand 1
     /* 2252429 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252442 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2252445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252449 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252458 */   // GIR_Coverage, 48667,
     /* 2252458 */   GIR_EraseRootFromParent_Done,
     /* 2252459 */ // Label 30209: @2252459
     /* 2252459 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2252507), // Rule ID 48674 //
     /* 2252464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252470 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252477 */   // MIs[0] Operand 1
     /* 2252477 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252486 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252490 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2252493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252497 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252506 */   // GIR_Coverage, 48674,
     /* 2252506 */   GIR_EraseRootFromParent_Done,
     /* 2252507 */ // Label 30210: @2252507
     /* 2252507 */ GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2252555), // Rule ID 48675 //
     /* 2252512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252525 */   // MIs[0] Operand 1
     /* 2252525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252538 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2252541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252554 */   // GIR_Coverage, 48675,
     /* 2252554 */   GIR_EraseRootFromParent_Done,
     /* 2252555 */ // Label 30211: @2252555
     /* 2252555 */ GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2252603), // Rule ID 48702 //
     /* 2252560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2252566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2252569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252573 */   // MIs[0] Operand 1
     /* 2252573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252586 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252591 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252602 */   // GIR_Coverage, 48702,
     /* 2252602 */   GIR_EraseRootFromParent_Done,
     /* 2252603 */ // Label 30212: @2252603
     /* 2252603 */ GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2252651), // Rule ID 48703 //
     /* 2252608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2252614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2252617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252621 */   // MIs[0] Operand 1
     /* 2252621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252634 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2252637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252639 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252650 */   // GIR_Coverage, 48703,
     /* 2252650 */   GIR_EraseRootFromParent_Done,
     /* 2252651 */ // Label 30213: @2252651
     /* 2252651 */ GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2252699), // Rule ID 48710 //
     /* 2252656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252662 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252669 */   // MIs[0] Operand 1
     /* 2252669 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252678 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252682 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2252685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252687 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252689 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252698 */   // GIR_Coverage, 48710,
     /* 2252698 */   GIR_EraseRootFromParent_Done,
     /* 2252699 */ // Label 30214: @2252699
     /* 2252699 */ GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2252747), // Rule ID 48711 //
     /* 2252704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252717 */   // MIs[0] Operand 1
     /* 2252717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252730 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2252733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252735 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252737 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252746 */   // GIR_Coverage, 48711,
     /* 2252746 */   GIR_EraseRootFromParent_Done,
     /* 2252747 */ // Label 30215: @2252747
     /* 2252747 */ GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2252795), // Rule ID 48718 //
     /* 2252752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252765 */   // MIs[0] Operand 1
     /* 2252765 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252774 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252778 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2252781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252783 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252794 */   // GIR_Coverage, 48718,
     /* 2252794 */   GIR_EraseRootFromParent_Done,
     /* 2252795 */ // Label 30216: @2252795
     /* 2252795 */ GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2252843), // Rule ID 48719 //
     /* 2252800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252813 */   // MIs[0] Operand 1
     /* 2252813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252826 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2252829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252831 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252833 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252842 */   // GIR_Coverage, 48719,
     /* 2252842 */   GIR_EraseRootFromParent_Done,
     /* 2252843 */ // Label 30217: @2252843
     /* 2252843 */ GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2252891), // Rule ID 48746 //
     /* 2252848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2252854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2252857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252861 */   // MIs[0] Operand 1
     /* 2252861 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252870 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252874 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2252877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252890 */   // GIR_Coverage, 48746,
     /* 2252890 */   GIR_EraseRootFromParent_Done,
     /* 2252891 */ // Label 30218: @2252891
     /* 2252891 */ GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2252939), // Rule ID 48747 //
     /* 2252896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2252902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2252905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252909 */   // MIs[0] Operand 1
     /* 2252909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252918 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252922 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2252925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252927 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252938 */   // GIR_Coverage, 48747,
     /* 2252938 */   GIR_EraseRootFromParent_Done,
     /* 2252939 */ // Label 30219: @2252939
     /* 2252939 */ GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2252987), // Rule ID 48754 //
     /* 2252944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252957 */   // MIs[0] Operand 1
     /* 2252957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252970 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2252973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252986 */   // GIR_Coverage, 48754,
     /* 2252986 */   GIR_EraseRootFromParent_Done,
     /* 2252987 */ // Label 30220: @2252987
     /* 2252987 */ GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2253035), // Rule ID 48755 //
     /* 2252992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2253001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253005 */   // MIs[0] Operand 1
     /* 2253005 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2253010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253018 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2253021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253034 */   // GIR_Coverage, 48755,
     /* 2253034 */   GIR_EraseRootFromParent_Done,
     /* 2253035 */ // Label 30221: @2253035
     /* 2253035 */ GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2253083), // Rule ID 48762 //
     /* 2253040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2253046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2253049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253053 */   // MIs[0] Operand 1
     /* 2253053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2253058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253066 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2253069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253082 */   // GIR_Coverage, 48762,
     /* 2253082 */   GIR_EraseRootFromParent_Done,
     /* 2253083 */ // Label 30222: @2253083
     /* 2253083 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2253131), // Rule ID 48763 //
     /* 2253088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2253094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2253097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253101 */   // MIs[0] Operand 1
     /* 2253101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2253106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253114 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2253117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253119 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253130 */   // GIR_Coverage, 48763,
     /* 2253130 */   GIR_EraseRootFromParent_Done,
     /* 2253131 */ // Label 30223: @2253131
     /* 2253131 */ GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2253179), // Rule ID 48790 //
     /* 2253136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2253142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2253145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253149 */   // MIs[0] Operand 1
     /* 2253149 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253162 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2253165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253167 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253169 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253178 */   // GIR_Coverage, 48790,
     /* 2253178 */   GIR_EraseRootFromParent_Done,
     /* 2253179 */ // Label 30224: @2253179
     /* 2253179 */ GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2253227), // Rule ID 48791 //
     /* 2253184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2253190 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2253193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253197 */   // MIs[0] Operand 1
     /* 2253197 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253210 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2253213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253215 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253217 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253226 */   // GIR_Coverage, 48791,
     /* 2253226 */   GIR_EraseRootFromParent_Done,
     /* 2253227 */ // Label 30225: @2253227
     /* 2253227 */ GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2253275), // Rule ID 48798 //
     /* 2253232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2253238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2253241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253245 */   // MIs[0] Operand 1
     /* 2253245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253258 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2253261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253263 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253265 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253274 */   // GIR_Coverage, 48798,
     /* 2253274 */   GIR_EraseRootFromParent_Done,
     /* 2253275 */ // Label 30226: @2253275
     /* 2253275 */ GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2253323), // Rule ID 48799 //
     /* 2253280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2253286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2253289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253293 */   // MIs[0] Operand 1
     /* 2253293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253306 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2253309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253311 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253313 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253322 */   // GIR_Coverage, 48799,
     /* 2253322 */   GIR_EraseRootFromParent_Done,
     /* 2253323 */ // Label 30227: @2253323
     /* 2253323 */ GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2253371), // Rule ID 48806 //
     /* 2253328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2253334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2253337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253341 */   // MIs[0] Operand 1
     /* 2253341 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253350 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253354 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2253357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253359 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253361 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253370 */   // GIR_Coverage, 48806,
     /* 2253370 */   GIR_EraseRootFromParent_Done,
     /* 2253371 */ // Label 30228: @2253371
     /* 2253371 */ GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2253419), // Rule ID 48807 //
     /* 2253376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2253382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2253385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253389 */   // MIs[0] Operand 1
     /* 2253389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253402 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2253405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253407 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253409 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253418 */   // GIR_Coverage, 48807,
     /* 2253418 */   GIR_EraseRootFromParent_Done,
     /* 2253419 */ // Label 30229: @2253419
     /* 2253419 */ GIM_Reject,
     /* 2253420 */ // Label 29753: @2253420
     /* 2253420 */ GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2253468), // Rule ID 48398 //
     /* 2253425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2253431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2253434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253438 */   // MIs[0] Operand 1
     /* 2253438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253451 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2253454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253458 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253467 */   // GIR_Coverage, 48398,
     /* 2253467 */   GIR_EraseRootFromParent_Done,
     /* 2253468 */ // Label 30230: @2253468
     /* 2253468 */ GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2253516), // Rule ID 48399 //
     /* 2253473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2253479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2253482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253486 */   // MIs[0] Operand 1
     /* 2253486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253499 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2253502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253515 */   // GIR_Coverage, 48399,
     /* 2253515 */   GIR_EraseRootFromParent_Done,
     /* 2253516 */ // Label 30231: @2253516
     /* 2253516 */ GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2253564), // Rule ID 48406 //
     /* 2253521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2253527 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2253530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253534 */   // MIs[0] Operand 1
     /* 2253534 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253547 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2253550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253563 */   // GIR_Coverage, 48406,
     /* 2253563 */   GIR_EraseRootFromParent_Done,
     /* 2253564 */ // Label 30232: @2253564
     /* 2253564 */ GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2253612), // Rule ID 48407 //
     /* 2253569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2253575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2253578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253582 */   // MIs[0] Operand 1
     /* 2253582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253595 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2253598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253602 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253611 */   // GIR_Coverage, 48407,
     /* 2253611 */   GIR_EraseRootFromParent_Done,
     /* 2253612 */ // Label 30233: @2253612
     /* 2253612 */ GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2253660), // Rule ID 48442 //
     /* 2253617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2253623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2253626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253630 */   // MIs[0] Operand 1
     /* 2253630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253643 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2253646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253659 */   // GIR_Coverage, 48442,
     /* 2253659 */   GIR_EraseRootFromParent_Done,
     /* 2253660 */ // Label 30234: @2253660
     /* 2253660 */ GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2253708), // Rule ID 48443 //
     /* 2253665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2253671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2253674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253678 */   // MIs[0] Operand 1
     /* 2253678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253687 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253691 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2253694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253696 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253698 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253707 */   // GIR_Coverage, 48443,
     /* 2253707 */   GIR_EraseRootFromParent_Done,
     /* 2253708 */ // Label 30235: @2253708
     /* 2253708 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2253756), // Rule ID 48450 //
     /* 2253713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2253719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2253722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253726 */   // MIs[0] Operand 1
     /* 2253726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253735 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253739 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2253742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253755 */   // GIR_Coverage, 48450,
     /* 2253755 */   GIR_EraseRootFromParent_Done,
     /* 2253756 */ // Label 30236: @2253756
     /* 2253756 */ GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2253804), // Rule ID 48451 //
     /* 2253761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2253767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2253770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253774 */   // MIs[0] Operand 1
     /* 2253774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253787 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2253790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253803 */   // GIR_Coverage, 48451,
     /* 2253803 */   GIR_EraseRootFromParent_Done,
     /* 2253804 */ // Label 30237: @2253804
     /* 2253804 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2253852), // Rule ID 48486 //
     /* 2253809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2253815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2253818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253822 */   // MIs[0] Operand 1
     /* 2253822 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2253827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253831 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253835 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2253838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253840 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253842 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253851 */   // GIR_Coverage, 48486,
     /* 2253851 */   GIR_EraseRootFromParent_Done,
     /* 2253852 */ // Label 30238: @2253852
     /* 2253852 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2253900), // Rule ID 48487 //
     /* 2253857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2253863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2253866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253870 */   // MIs[0] Operand 1
     /* 2253870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2253875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253883 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2253886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253888 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253890 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253899 */   // GIR_Coverage, 48487,
     /* 2253899 */   GIR_EraseRootFromParent_Done,
     /* 2253900 */ // Label 30239: @2253900
     /* 2253900 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2253948), // Rule ID 48494 //
     /* 2253905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2253911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2253914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253918 */   // MIs[0] Operand 1
     /* 2253918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2253923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253931 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2253934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253947 */   // GIR_Coverage, 48494,
     /* 2253947 */   GIR_EraseRootFromParent_Done,
     /* 2253948 */ // Label 30240: @2253948
     /* 2253948 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2253996), // Rule ID 48495 //
     /* 2253953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2253959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2253962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253966 */   // MIs[0] Operand 1
     /* 2253966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2253971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253979 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2253982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253995 */   // GIR_Coverage, 48495,
     /* 2253995 */   GIR_EraseRootFromParent_Done,
     /* 2253996 */ // Label 30241: @2253996
     /* 2253996 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2254044), // Rule ID 48528 //
     /* 2254001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254014 */   // MIs[0] Operand 1
     /* 2254014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254027 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2254030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254032 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254043 */   // GIR_Coverage, 48528,
     /* 2254043 */   GIR_EraseRootFromParent_Done,
     /* 2254044 */ // Label 30242: @2254044
     /* 2254044 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2254092), // Rule ID 48529 //
     /* 2254049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254062 */   // MIs[0] Operand 1
     /* 2254062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254075 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2254078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254080 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254082 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254091 */   // GIR_Coverage, 48529,
     /* 2254091 */   GIR_EraseRootFromParent_Done,
     /* 2254092 */ // Label 30243: @2254092
     /* 2254092 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2254140), // Rule ID 48536 //
     /* 2254097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254110 */   // MIs[0] Operand 1
     /* 2254110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254123 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2254126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254128 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254130 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254139 */   // GIR_Coverage, 48536,
     /* 2254139 */   GIR_EraseRootFromParent_Done,
     /* 2254140 */ // Label 30244: @2254140
     /* 2254140 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2254188), // Rule ID 48537 //
     /* 2254145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254158 */   // MIs[0] Operand 1
     /* 2254158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254171 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2254174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254176 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254178 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254187 */   // GIR_Coverage, 48537,
     /* 2254187 */   GIR_EraseRootFromParent_Done,
     /* 2254188 */ // Label 30245: @2254188
     /* 2254188 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2254236), // Rule ID 48572 //
     /* 2254193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254206 */   // MIs[0] Operand 1
     /* 2254206 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254215 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254219 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2254222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254235 */   // GIR_Coverage, 48572,
     /* 2254235 */   GIR_EraseRootFromParent_Done,
     /* 2254236 */ // Label 30246: @2254236
     /* 2254236 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2254284), // Rule ID 48573 //
     /* 2254241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254254 */   // MIs[0] Operand 1
     /* 2254254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254267 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2254270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254283 */   // GIR_Coverage, 48573,
     /* 2254283 */   GIR_EraseRootFromParent_Done,
     /* 2254284 */ // Label 30247: @2254284
     /* 2254284 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2254332), // Rule ID 48580 //
     /* 2254289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254302 */   // MIs[0] Operand 1
     /* 2254302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254315 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2254318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254331 */   // GIR_Coverage, 48580,
     /* 2254331 */   GIR_EraseRootFromParent_Done,
     /* 2254332 */ // Label 30248: @2254332
     /* 2254332 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2254380), // Rule ID 48581 //
     /* 2254337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254350 */   // MIs[0] Operand 1
     /* 2254350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254363 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2254366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254379 */   // GIR_Coverage, 48581,
     /* 2254379 */   GIR_EraseRootFromParent_Done,
     /* 2254380 */ // Label 30249: @2254380
     /* 2254380 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2254428), // Rule ID 48616 //
     /* 2254385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254398 */   // MIs[0] Operand 1
     /* 2254398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2254403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254411 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2254414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254416 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254418 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254427 */   // GIR_Coverage, 48616,
     /* 2254427 */   GIR_EraseRootFromParent_Done,
     /* 2254428 */ // Label 30250: @2254428
     /* 2254428 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2254476), // Rule ID 48617 //
     /* 2254433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254446 */   // MIs[0] Operand 1
     /* 2254446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2254451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254459 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2254462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254464 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254466 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254475 */   // GIR_Coverage, 48617,
     /* 2254475 */   GIR_EraseRootFromParent_Done,
     /* 2254476 */ // Label 30251: @2254476
     /* 2254476 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2254524), // Rule ID 48624 //
     /* 2254481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254494 */   // MIs[0] Operand 1
     /* 2254494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2254499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254507 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2254510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254512 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254514 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254523 */   // GIR_Coverage, 48624,
     /* 2254523 */   GIR_EraseRootFromParent_Done,
     /* 2254524 */ // Label 30252: @2254524
     /* 2254524 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2254572), // Rule ID 48625 //
     /* 2254529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254542 */   // MIs[0] Operand 1
     /* 2254542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2254547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254555 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2254558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254560 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254562 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254571 */   // GIR_Coverage, 48625,
     /* 2254571 */   GIR_EraseRootFromParent_Done,
     /* 2254572 */ // Label 30253: @2254572
     /* 2254572 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2254620), // Rule ID 48660 //
     /* 2254577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254590 */   // MIs[0] Operand 1
     /* 2254590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254603 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254619 */   // GIR_Coverage, 48660,
     /* 2254619 */   GIR_EraseRootFromParent_Done,
     /* 2254620 */ // Label 30254: @2254620
     /* 2254620 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2254668), // Rule ID 48661 //
     /* 2254625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254638 */   // MIs[0] Operand 1
     /* 2254638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254651 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254667 */   // GIR_Coverage, 48661,
     /* 2254667 */   GIR_EraseRootFromParent_Done,
     /* 2254668 */ // Label 30255: @2254668
     /* 2254668 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2254716), // Rule ID 48668 //
     /* 2254673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254686 */   // MIs[0] Operand 1
     /* 2254686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254695 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254699 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254715 */   // GIR_Coverage, 48668,
     /* 2254715 */   GIR_EraseRootFromParent_Done,
     /* 2254716 */ // Label 30256: @2254716
     /* 2254716 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2254764), // Rule ID 48669 //
     /* 2254721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254734 */   // MIs[0] Operand 1
     /* 2254734 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2254739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254743 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254747 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254754 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254763 */   // GIR_Coverage, 48669,
     /* 2254763 */   GIR_EraseRootFromParent_Done,
     /* 2254764 */ // Label 30257: @2254764
     /* 2254764 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2254812), // Rule ID 48704 //
     /* 2254769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254775 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254782 */   // MIs[0] Operand 1
     /* 2254782 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254791 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254795 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254800 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254811 */   // GIR_Coverage, 48704,
     /* 2254811 */   GIR_EraseRootFromParent_Done,
     /* 2254812 */ // Label 30258: @2254812
     /* 2254812 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2254860), // Rule ID 48705 //
     /* 2254817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254830 */   // MIs[0] Operand 1
     /* 2254830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254843 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2254846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254848 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254859 */   // GIR_Coverage, 48705,
     /* 2254859 */   GIR_EraseRootFromParent_Done,
     /* 2254860 */ // Label 30259: @2254860
     /* 2254860 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2254908), // Rule ID 48712 //
     /* 2254865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254871 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254878 */   // MIs[0] Operand 1
     /* 2254878 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254891 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254898 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254907 */   // GIR_Coverage, 48712,
     /* 2254907 */   GIR_EraseRootFromParent_Done,
     /* 2254908 */ // Label 30260: @2254908
     /* 2254908 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2254956), // Rule ID 48713 //
     /* 2254913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2254922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254926 */   // MIs[0] Operand 1
     /* 2254926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2254931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254935 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254939 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2254942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254955 */   // GIR_Coverage, 48713,
     /* 2254955 */   GIR_EraseRootFromParent_Done,
     /* 2254956 */ // Label 30261: @2254956
     /* 2254956 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2255004), // Rule ID 48748 //
     /* 2254961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2254967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2254970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254974 */   // MIs[0] Operand 1
     /* 2254974 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2254979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254983 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254987 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2254990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254992 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254994 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255003 */   // GIR_Coverage, 48748,
     /* 2255003 */   GIR_EraseRootFromParent_Done,
     /* 2255004 */ // Label 30262: @2255004
     /* 2255004 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2255052), // Rule ID 48749 //
     /* 2255009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2255015 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2255018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255022 */   // MIs[0] Operand 1
     /* 2255022 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2255027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255031 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255035 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2255038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255040 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255051 */   // GIR_Coverage, 48749,
     /* 2255051 */   GIR_EraseRootFromParent_Done,
     /* 2255052 */ // Label 30263: @2255052
     /* 2255052 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2255100), // Rule ID 48756 //
     /* 2255057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2255063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2255066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255070 */   // MIs[0] Operand 1
     /* 2255070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2255075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255079 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255083 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255088 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255099 */   // GIR_Coverage, 48756,
     /* 2255099 */   GIR_EraseRootFromParent_Done,
     /* 2255100 */ // Label 30264: @2255100
     /* 2255100 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2255148), // Rule ID 48757 //
     /* 2255105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2255111 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2255114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255118 */   // MIs[0] Operand 1
     /* 2255118 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2255123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255127 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255131 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255136 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255147 */   // GIR_Coverage, 48757,
     /* 2255147 */   GIR_EraseRootFromParent_Done,
     /* 2255148 */ // Label 30265: @2255148
     /* 2255148 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2255196), // Rule ID 48792 //
     /* 2255153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2255159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2255162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255166 */   // MIs[0] Operand 1
     /* 2255166 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255175 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255179 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2255182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255184 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255195 */   // GIR_Coverage, 48792,
     /* 2255195 */   GIR_EraseRootFromParent_Done,
     /* 2255196 */ // Label 30266: @2255196
     /* 2255196 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2255244), // Rule ID 48793 //
     /* 2255201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2255207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2255210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255214 */   // MIs[0] Operand 1
     /* 2255214 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255223 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255227 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2255230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255243 */   // GIR_Coverage, 48793,
     /* 2255243 */   GIR_EraseRootFromParent_Done,
     /* 2255244 */ // Label 30267: @2255244
     /* 2255244 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2255292), // Rule ID 48800 //
     /* 2255249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2255255 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2255258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255262 */   // MIs[0] Operand 1
     /* 2255262 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255271 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255275 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255291 */   // GIR_Coverage, 48800,
     /* 2255291 */   GIR_EraseRootFromParent_Done,
     /* 2255292 */ // Label 30268: @2255292
     /* 2255292 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2255340), // Rule ID 48801 //
     /* 2255297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2255303 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2255306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255310 */   // MIs[0] Operand 1
     /* 2255310 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2255315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255323 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255339 */   // GIR_Coverage, 48801,
     /* 2255339 */   GIR_EraseRootFromParent_Done,
     /* 2255340 */ // Label 30269: @2255340
     /* 2255340 */ GIM_Reject,
     /* 2255341 */ // Label 29754: @2255341
     /* 2255341 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2256117),
     /* 2255346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2255349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2255352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255356 */   GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2255394), // Rule ID 48400 //
     /* 2255361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255364 */     // MIs[0] Operand 1
     /* 2255364 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255377 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2255380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255393 */     // GIR_Coverage, 48400,
     /* 2255393 */     GIR_EraseRootFromParent_Done,
     /* 2255394 */   // Label 30271: @2255394
     /* 2255394 */   GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2255432), // Rule ID 48401 //
     /* 2255399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255402 */     // MIs[0] Operand 1
     /* 2255402 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2255407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255415 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2255418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255431 */     // GIR_Coverage, 48401,
     /* 2255431 */     GIR_EraseRootFromParent_Done,
     /* 2255432 */   // Label 30272: @2255432
     /* 2255432 */   GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2255470), // Rule ID 48444 //
     /* 2255437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255440 */     // MIs[0] Operand 1
     /* 2255440 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255453 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2255456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255469 */     // GIR_Coverage, 48444,
     /* 2255469 */     GIR_EraseRootFromParent_Done,
     /* 2255470 */   // Label 30273: @2255470
     /* 2255470 */   GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2255508), // Rule ID 48445 //
     /* 2255475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255478 */     // MIs[0] Operand 1
     /* 2255478 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2255483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255491 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2255494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255507 */     // GIR_Coverage, 48445,
     /* 2255507 */     GIR_EraseRootFromParent_Done,
     /* 2255508 */   // Label 30274: @2255508
     /* 2255508 */   GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2255546), // Rule ID 48488 //
     /* 2255513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255516 */     // MIs[0] Operand 1
     /* 2255516 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2255521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255529 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2255532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255545 */     // GIR_Coverage, 48488,
     /* 2255545 */     GIR_EraseRootFromParent_Done,
     /* 2255546 */   // Label 30275: @2255546
     /* 2255546 */   GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2255584), // Rule ID 48489 //
     /* 2255551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255554 */     // MIs[0] Operand 1
     /* 2255554 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2255559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255567 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2255570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255583 */     // GIR_Coverage, 48489,
     /* 2255583 */     GIR_EraseRootFromParent_Done,
     /* 2255584 */   // Label 30276: @2255584
     /* 2255584 */   GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2255622), // Rule ID 48530 //
     /* 2255589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255592 */     // MIs[0] Operand 1
     /* 2255592 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2255597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255605 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2255608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255621 */     // GIR_Coverage, 48530,
     /* 2255621 */     GIR_EraseRootFromParent_Done,
     /* 2255622 */   // Label 30277: @2255622
     /* 2255622 */   GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2255660), // Rule ID 48531 //
     /* 2255627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255630 */     // MIs[0] Operand 1
     /* 2255630 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2255635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255643 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2255646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255659 */     // GIR_Coverage, 48531,
     /* 2255659 */     GIR_EraseRootFromParent_Done,
     /* 2255660 */   // Label 30278: @2255660
     /* 2255660 */   GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2255698), // Rule ID 48574 //
     /* 2255665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255668 */     // MIs[0] Operand 1
     /* 2255668 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255681 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2255684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255697 */     // GIR_Coverage, 48574,
     /* 2255697 */     GIR_EraseRootFromParent_Done,
     /* 2255698 */   // Label 30279: @2255698
     /* 2255698 */   GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2255736), // Rule ID 48575 //
     /* 2255703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255706 */     // MIs[0] Operand 1
     /* 2255706 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255719 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2255722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255735 */     // GIR_Coverage, 48575,
     /* 2255735 */     GIR_EraseRootFromParent_Done,
     /* 2255736 */   // Label 30280: @2255736
     /* 2255736 */   GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2255774), // Rule ID 48618 //
     /* 2255741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255744 */     // MIs[0] Operand 1
     /* 2255744 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255757 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2255760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255773 */     // GIR_Coverage, 48618,
     /* 2255773 */     GIR_EraseRootFromParent_Done,
     /* 2255774 */   // Label 30281: @2255774
     /* 2255774 */   GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2255812), // Rule ID 48619 //
     /* 2255779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255782 */     // MIs[0] Operand 1
     /* 2255782 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255795 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2255798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255811 */     // GIR_Coverage, 48619,
     /* 2255811 */     GIR_EraseRootFromParent_Done,
     /* 2255812 */   // Label 30282: @2255812
     /* 2255812 */   GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2255850), // Rule ID 48662 //
     /* 2255817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255820 */     // MIs[0] Operand 1
     /* 2255820 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255833 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2255836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255849 */     // GIR_Coverage, 48662,
     /* 2255849 */     GIR_EraseRootFromParent_Done,
     /* 2255850 */   // Label 30283: @2255850
     /* 2255850 */   GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2255888), // Rule ID 48663 //
     /* 2255855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255858 */     // MIs[0] Operand 1
     /* 2255858 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255871 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2255874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255887 */     // GIR_Coverage, 48663,
     /* 2255887 */     GIR_EraseRootFromParent_Done,
     /* 2255888 */   // Label 30284: @2255888
     /* 2255888 */   GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2255926), // Rule ID 48706 //
     /* 2255893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255896 */     // MIs[0] Operand 1
     /* 2255896 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2255901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255909 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2255912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255925 */     // GIR_Coverage, 48706,
     /* 2255925 */     GIR_EraseRootFromParent_Done,
     /* 2255926 */   // Label 30285: @2255926
     /* 2255926 */   GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2255964), // Rule ID 48707 //
     /* 2255931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255934 */     // MIs[0] Operand 1
     /* 2255934 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2255939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255947 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2255950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255963 */     // GIR_Coverage, 48707,
     /* 2255963 */     GIR_EraseRootFromParent_Done,
     /* 2255964 */   // Label 30286: @2255964
     /* 2255964 */   GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2256002), // Rule ID 48750 //
     /* 2255969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255972 */     // MIs[0] Operand 1
     /* 2255972 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2255977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255985 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2255988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256001 */     // GIR_Coverage, 48750,
     /* 2256001 */     GIR_EraseRootFromParent_Done,
     /* 2256002 */   // Label 30287: @2256002
     /* 2256002 */   GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2256040), // Rule ID 48751 //
     /* 2256007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256010 */     // MIs[0] Operand 1
     /* 2256010 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256023 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2256026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256039 */     // GIR_Coverage, 48751,
     /* 2256039 */     GIR_EraseRootFromParent_Done,
     /* 2256040 */   // Label 30288: @2256040
     /* 2256040 */   GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2256078), // Rule ID 48794 //
     /* 2256045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256048 */     // MIs[0] Operand 1
     /* 2256048 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256061 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2256064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256077 */     // GIR_Coverage, 48794,
     /* 2256077 */     GIR_EraseRootFromParent_Done,
     /* 2256078 */   // Label 30289: @2256078
     /* 2256078 */   GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2256116), // Rule ID 48795 //
     /* 2256083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256086 */     // MIs[0] Operand 1
     /* 2256086 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256099 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2256102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256115 */     // GIR_Coverage, 48795,
     /* 2256115 */     GIR_EraseRootFromParent_Done,
     /* 2256116 */   // Label 30290: @2256116
     /* 2256116 */   GIM_Reject,
     /* 2256117 */ // Label 30270: @2256117
     /* 2256117 */ GIM_Reject,
     /* 2256118 */ // Label 29755: @2256118
     /* 2256118 */ GIM_Reject,
     /* 2256119 */ // Label 49: @2256119
     /* 2256119 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30299*/ GIMT_Encode4(2263580),
     /* 2256130 */ /*GILLT_s32*//*Label 30291*/ GIMT_Encode4(2256238),
     /* 2256134 */ /*GILLT_s64*//*Label 30292*/ GIMT_Encode4(2256995),
     /* 2256138 */ /*GILLT_nxv1s1*//*Label 30293*/ GIMT_Encode4(2257878), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2256158 */ /*GILLT_nxv2s1*//*Label 30294*/ GIMT_Encode4(2259031), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2256178 */ /*GILLT_nxv4s1*//*Label 30295*/ GIMT_Encode4(2260184), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2256198 */ /*GILLT_nxv8s1*//*Label 30296*/ GIMT_Encode4(2261337), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2256218 */ /*GILLT_nxv16s1*//*Label 30297*/ GIMT_Encode4(2262490), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2256234 */ /*GILLT_nxv32s1*//*Label 30298*/ GIMT_Encode4(2263259),
     /* 2256238 */ // Label 30291: @2256238
     /* 2256238 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2256280), // Rule ID 1256 //
     /* 2256243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2256246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2256249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2256252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256256 */   // MIs[0] Operand 1
     /* 2256256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2256265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2256269 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2256269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2256272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256274 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256279 */   // GIR_Coverage, 1256,
     /* 2256279 */   GIR_EraseRootFromParent_Done,
     /* 2256280 */ // Label 30300: @2256280
     /* 2256280 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2256322), // Rule ID 1260 //
     /* 2256285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2256288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2256291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2256294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256298 */   // MIs[0] Operand 1
     /* 2256298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2256307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2256311 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2256311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2256314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256321 */   // GIR_Coverage, 1260,
     /* 2256321 */   GIR_EraseRootFromParent_Done,
     /* 2256322 */ // Label 30301: @2256322
     /* 2256322 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2256364), // Rule ID 1304 //
     /* 2256327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2256330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2256333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2256336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256340 */   // MIs[0] Operand 1
     /* 2256340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2256349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2256353 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2256353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2256356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256363 */   // GIR_Coverage, 1304,
     /* 2256363 */   GIR_EraseRootFromParent_Done,
     /* 2256364 */ // Label 30302: @2256364
     /* 2256364 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2256406), // Rule ID 1308 //
     /* 2256369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2256372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2256375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2256378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256382 */   // MIs[0] Operand 1
     /* 2256382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2256391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2256395 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2256395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2256398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256400 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256402 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256405 */   // GIR_Coverage, 1308,
     /* 2256405 */   GIR_EraseRootFromParent_Done,
     /* 2256406 */ // Label 30303: @2256406
     /* 2256406 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2256448), // Rule ID 1320 //
     /* 2256411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2256414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2256417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2256420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256424 */   // MIs[0] Operand 1
     /* 2256424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2256433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2256437 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2256437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2256440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256442 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256447 */   // GIR_Coverage, 1320,
     /* 2256447 */   GIR_EraseRootFromParent_Done,
     /* 2256448 */ // Label 30304: @2256448
     /* 2256448 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2256490), // Rule ID 1324 //
     /* 2256453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2256456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2256459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2256462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256466 */   // MIs[0] Operand 1
     /* 2256466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2256475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2256479 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2256479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2256482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256489 */   // GIR_Coverage, 1324,
     /* 2256489 */   GIR_EraseRootFromParent_Done,
     /* 2256490 */ // Label 30305: @2256490
     /* 2256490 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2256532), // Rule ID 1636 //
     /* 2256495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2256498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2256501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256508 */   // MIs[0] Operand 1
     /* 2256508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256521 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2256521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2256524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256531 */   // GIR_Coverage, 1636,
     /* 2256531 */   GIR_EraseRootFromParent_Done,
     /* 2256532 */ // Label 30306: @2256532
     /* 2256532 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2256574), // Rule ID 1640 //
     /* 2256537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2256540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2256543 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256550 */   // MIs[0] Operand 1
     /* 2256550 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2256559 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2256563 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2256563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2256566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256568 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256570 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256573 */   // GIR_Coverage, 1640,
     /* 2256573 */   GIR_EraseRootFromParent_Done,
     /* 2256574 */ // Label 30307: @2256574
     /* 2256574 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2256616), // Rule ID 1678 //
     /* 2256579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2256582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2256585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256592 */   // MIs[0] Operand 1
     /* 2256592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256605 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2256605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2256608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256610 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256612 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256615 */   // GIR_Coverage, 1678,
     /* 2256615 */   GIR_EraseRootFromParent_Done,
     /* 2256616 */ // Label 30308: @2256616
     /* 2256616 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2256658), // Rule ID 1686 //
     /* 2256621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2256624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2256627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256634 */   // MIs[0] Operand 1
     /* 2256634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256643 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256647 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2256647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2256650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256652 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256654 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256657 */   // GIR_Coverage, 1686,
     /* 2256657 */   GIR_EraseRootFromParent_Done,
     /* 2256658 */ // Label 30309: @2256658
     /* 2256658 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2256700), // Rule ID 1714 //
     /* 2256663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2256666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2256669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256676 */   // MIs[0] Operand 1
     /* 2256676 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2256685 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2256689 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2256689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2256692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256694 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256696 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256699 */   // GIR_Coverage, 1714,
     /* 2256699 */   GIR_EraseRootFromParent_Done,
     /* 2256700 */ // Label 30310: @2256700
     /* 2256700 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2256742), // Rule ID 1722 //
     /* 2256705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2256708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2256711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256718 */   // MIs[0] Operand 1
     /* 2256718 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2256727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2256731 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2256731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2256734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256736 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256741 */   // GIR_Coverage, 1722,
     /* 2256741 */   GIR_EraseRootFromParent_Done,
     /* 2256742 */ // Label 30311: @2256742
     /* 2256742 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2256784), // Rule ID 1969 //
     /* 2256747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2256750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2256753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2256756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256760 */   // MIs[0] Operand 1
     /* 2256760 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2256769 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2256773 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2256773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2256776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256783 */   // GIR_Coverage, 1969,
     /* 2256783 */   GIR_EraseRootFromParent_Done,
     /* 2256784 */ // Label 30312: @2256784
     /* 2256784 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2256826), // Rule ID 1973 //
     /* 2256789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2256792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2256795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2256798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256802 */   // MIs[0] Operand 1
     /* 2256802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2256811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2256815 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2256815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2256818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256822 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256825 */   // GIR_Coverage, 1973,
     /* 2256825 */   GIR_EraseRootFromParent_Done,
     /* 2256826 */ // Label 30313: @2256826
     /* 2256826 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2256868), // Rule ID 2017 //
     /* 2256831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2256834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2256837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2256840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256844 */   // MIs[0] Operand 1
     /* 2256844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2256853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2256857 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2256857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2256860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256867 */   // GIR_Coverage, 2017,
     /* 2256867 */   GIR_EraseRootFromParent_Done,
     /* 2256868 */ // Label 30314: @2256868
     /* 2256868 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2256910), // Rule ID 2021 //
     /* 2256873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2256876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2256879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2256882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256886 */   // MIs[0] Operand 1
     /* 2256886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2256895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2256899 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2256899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2256902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256909 */   // GIR_Coverage, 2021,
     /* 2256909 */   GIR_EraseRootFromParent_Done,
     /* 2256910 */ // Label 30315: @2256910
     /* 2256910 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2256952), // Rule ID 2033 //
     /* 2256915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2256918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2256921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2256924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256928 */   // MIs[0] Operand 1
     /* 2256928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2256937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2256941 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2256941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2256944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256951 */   // GIR_Coverage, 2033,
     /* 2256951 */   GIR_EraseRootFromParent_Done,
     /* 2256952 */ // Label 30316: @2256952
     /* 2256952 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2256994), // Rule ID 2037 //
     /* 2256957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2256960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2256963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2256966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2256970 */   // MIs[0] Operand 1
     /* 2256970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2256979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2256983 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2256983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2256986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256993 */   // GIR_Coverage, 2037,
     /* 2256993 */   GIR_EraseRootFromParent_Done,
     /* 2256994 */ // Label 30317: @2256994
     /* 2256994 */ GIM_Reject,
     /* 2256995 */ // Label 30292: @2256995
     /* 2256995 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2257037), // Rule ID 1255 //
     /* 2257000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2257003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2257009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257013 */   // MIs[0] Operand 1
     /* 2257013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2257022 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2257026 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2257026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2257029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257031 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257033 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257036 */   // GIR_Coverage, 1255,
     /* 2257036 */   GIR_EraseRootFromParent_Done,
     /* 2257037 */ // Label 30318: @2257037
     /* 2257037 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2257079), // Rule ID 1259 //
     /* 2257042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2257045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2257051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257055 */   // MIs[0] Operand 1
     /* 2257055 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2257064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2257068 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2257068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2257071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257078 */   // GIR_Coverage, 1259,
     /* 2257078 */   GIR_EraseRootFromParent_Done,
     /* 2257079 */ // Label 30319: @2257079
     /* 2257079 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2257121), // Rule ID 1303 //
     /* 2257084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2257087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2257093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257097 */   // MIs[0] Operand 1
     /* 2257097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2257106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2257110 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2257110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2257113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257120 */   // GIR_Coverage, 1303,
     /* 2257120 */   GIR_EraseRootFromParent_Done,
     /* 2257121 */ // Label 30320: @2257121
     /* 2257121 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2257163), // Rule ID 1307 //
     /* 2257126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2257129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2257135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257139 */   // MIs[0] Operand 1
     /* 2257139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2257148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2257152 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2257152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2257155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257162 */   // GIR_Coverage, 1307,
     /* 2257162 */   GIR_EraseRootFromParent_Done,
     /* 2257163 */ // Label 30321: @2257163
     /* 2257163 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2257205), // Rule ID 1319 //
     /* 2257168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2257171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2257177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257181 */   // MIs[0] Operand 1
     /* 2257181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2257190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2257194 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2257194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2257197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257204 */   // GIR_Coverage, 1319,
     /* 2257204 */   GIR_EraseRootFromParent_Done,
     /* 2257205 */ // Label 30322: @2257205
     /* 2257205 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2257247), // Rule ID 1323 //
     /* 2257210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2257213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2257219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257223 */   // MIs[0] Operand 1
     /* 2257223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2257232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2257236 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2257236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2257239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257243 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257246 */   // GIR_Coverage, 1323,
     /* 2257246 */   GIR_EraseRootFromParent_Done,
     /* 2257247 */ // Label 30323: @2257247
     /* 2257247 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2257289), // Rule ID 1635 //
     /* 2257252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2257255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257265 */   // MIs[0] Operand 1
     /* 2257265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2257274 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2257278 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2257281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257283 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257288 */   // GIR_Coverage, 1635,
     /* 2257288 */   GIR_EraseRootFromParent_Done,
     /* 2257289 */ // Label 30324: @2257289
     /* 2257289 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2257331), // Rule ID 1639 //
     /* 2257294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2257297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257307 */   // MIs[0] Operand 1
     /* 2257307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2257316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2257320 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2257323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257330 */   // GIR_Coverage, 1639,
     /* 2257330 */   GIR_EraseRootFromParent_Done,
     /* 2257331 */ // Label 30325: @2257331
     /* 2257331 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2257373), // Rule ID 1642 //
     /* 2257336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2257339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257342 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257349 */   // MIs[0] Operand 1
     /* 2257349 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257358 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257362 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2257365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257367 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257369 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257372 */   // GIR_Coverage, 1642,
     /* 2257372 */   GIR_EraseRootFromParent_Done,
     /* 2257373 */ // Label 30326: @2257373
     /* 2257373 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2257415), // Rule ID 1677 //
     /* 2257378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2257381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257391 */   // MIs[0] Operand 1
     /* 2257391 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2257400 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2257404 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2257407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257409 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257411 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257414 */   // GIR_Coverage, 1677,
     /* 2257414 */   GIR_EraseRootFromParent_Done,
     /* 2257415 */ // Label 30327: @2257415
     /* 2257415 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2257457), // Rule ID 1685 //
     /* 2257420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2257423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257433 */   // MIs[0] Operand 1
     /* 2257433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2257442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2257446 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2257449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257456 */   // GIR_Coverage, 1685,
     /* 2257456 */   GIR_EraseRootFromParent_Done,
     /* 2257457 */ // Label 30328: @2257457
     /* 2257457 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2257499), // Rule ID 1694 //
     /* 2257462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2257465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257475 */   // MIs[0] Operand 1
     /* 2257475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257488 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2257491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257493 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257495 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257498 */   // GIR_Coverage, 1694,
     /* 2257498 */   GIR_EraseRootFromParent_Done,
     /* 2257499 */ // Label 30329: @2257499
     /* 2257499 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2257541), // Rule ID 1698 //
     /* 2257504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2257507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257510 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257517 */   // MIs[0] Operand 1
     /* 2257517 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257526 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257530 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2257533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257535 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257537 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257540 */   // GIR_Coverage, 1698,
     /* 2257540 */   GIR_EraseRootFromParent_Done,
     /* 2257541 */ // Label 30330: @2257541
     /* 2257541 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2257583), // Rule ID 1713 //
     /* 2257546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2257549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257559 */   // MIs[0] Operand 1
     /* 2257559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2257568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2257572 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2257575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257577 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257579 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257582 */   // GIR_Coverage, 1713,
     /* 2257582 */   GIR_EraseRootFromParent_Done,
     /* 2257583 */ // Label 30331: @2257583
     /* 2257583 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2257625), // Rule ID 1721 //
     /* 2257588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2257591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2257597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257601 */   // MIs[0] Operand 1
     /* 2257601 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2257610 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2257614 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2257614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2257617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257619 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257621 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257624 */   // GIR_Coverage, 1721,
     /* 2257624 */   GIR_EraseRootFromParent_Done,
     /* 2257625 */ // Label 30332: @2257625
     /* 2257625 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2257667), // Rule ID 1968 //
     /* 2257630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2257633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2257636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2257639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257643 */   // MIs[0] Operand 1
     /* 2257643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2257652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2257656 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2257656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2257659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257666 */   // GIR_Coverage, 1968,
     /* 2257666 */   GIR_EraseRootFromParent_Done,
     /* 2257667 */ // Label 30333: @2257667
     /* 2257667 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2257709), // Rule ID 1972 //
     /* 2257672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2257675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2257678 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2257681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257685 */   // MIs[0] Operand 1
     /* 2257685 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2257694 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2257698 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2257698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2257701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257703 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257705 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257708 */   // GIR_Coverage, 1972,
     /* 2257708 */   GIR_EraseRootFromParent_Done,
     /* 2257709 */ // Label 30334: @2257709
     /* 2257709 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2257751), // Rule ID 2016 //
     /* 2257714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2257717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2257720 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2257723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257727 */   // MIs[0] Operand 1
     /* 2257727 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2257736 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2257740 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2257740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2257743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257745 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257750 */   // GIR_Coverage, 2016,
     /* 2257750 */   GIR_EraseRootFromParent_Done,
     /* 2257751 */ // Label 30335: @2257751
     /* 2257751 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2257793), // Rule ID 2020 //
     /* 2257756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2257759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2257762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2257765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257769 */   // MIs[0] Operand 1
     /* 2257769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2257778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2257782 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2257782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2257785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257789 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257792 */   // GIR_Coverage, 2020,
     /* 2257792 */   GIR_EraseRootFromParent_Done,
     /* 2257793 */ // Label 30336: @2257793
     /* 2257793 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2257835), // Rule ID 2032 //
     /* 2257798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2257801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2257804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2257807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257811 */   // MIs[0] Operand 1
     /* 2257811 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2257820 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2257824 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2257824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2257827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257829 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257831 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257834 */   // GIR_Coverage, 2032,
     /* 2257834 */   GIR_EraseRootFromParent_Done,
     /* 2257835 */ // Label 30337: @2257835
     /* 2257835 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2257877), // Rule ID 2036 //
     /* 2257840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2257843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2257846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2257849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257853 */   // MIs[0] Operand 1
     /* 2257853 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2257862 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2257866 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2257866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2257869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257873 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257876 */   // GIR_Coverage, 2036,
     /* 2257876 */   GIR_EraseRootFromParent_Done,
     /* 2257877 */ // Label 30338: @2257877
     /* 2257877 */ GIM_Reject,
     /* 2257878 */ // Label 30293: @2257878
     /* 2257878 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2257926), // Rule ID 56920 //
     /* 2257883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2257889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2257892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257896 */   // MIs[0] Operand 1
     /* 2257896 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257905 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257909 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2257912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257925 */   // GIR_Coverage, 56920,
     /* 2257925 */   GIR_EraseRootFromParent_Done,
     /* 2257926 */ // Label 30339: @2257926
     /* 2257926 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2257974), // Rule ID 56921 //
     /* 2257931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2257937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2257940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257944 */   // MIs[0] Operand 1
     /* 2257944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257957 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2257960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257973 */   // GIR_Coverage, 56921,
     /* 2257973 */   GIR_EraseRootFromParent_Done,
     /* 2257974 */ // Label 30340: @2257974
     /* 2257974 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2258022), // Rule ID 56940 //
     /* 2257979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2257985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2257988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257992 */   // MIs[0] Operand 1
     /* 2257992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258001 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258005 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2258008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258012 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258021 */   // GIR_Coverage, 56940,
     /* 2258021 */   GIR_EraseRootFromParent_Done,
     /* 2258022 */ // Label 30341: @2258022
     /* 2258022 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2258070), // Rule ID 56941 //
     /* 2258027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258040 */   // MIs[0] Operand 1
     /* 2258040 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258053 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2258056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258069 */   // GIR_Coverage, 56941,
     /* 2258069 */   GIR_EraseRootFromParent_Done,
     /* 2258070 */ // Label 30342: @2258070
     /* 2258070 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2258118), // Rule ID 56970 //
     /* 2258075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2258078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258088 */   // MIs[0] Operand 1
     /* 2258088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258101 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2258104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258106 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258108 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258117 */   // GIR_Coverage, 56970,
     /* 2258117 */   GIR_EraseRootFromParent_Done,
     /* 2258118 */ // Label 30343: @2258118
     /* 2258118 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2258166), // Rule ID 56971 //
     /* 2258123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258136 */   // MIs[0] Operand 1
     /* 2258136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2258141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258149 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2258152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258165 */   // GIR_Coverage, 56971,
     /* 2258165 */   GIR_EraseRootFromParent_Done,
     /* 2258166 */ // Label 30344: @2258166
     /* 2258166 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2258214), // Rule ID 57220 //
     /* 2258171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2258177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2258180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258184 */   // MIs[0] Operand 1
     /* 2258184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258197 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2258200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258213 */   // GIR_Coverage, 57220,
     /* 2258213 */   GIR_EraseRootFromParent_Done,
     /* 2258214 */ // Label 30345: @2258214
     /* 2258214 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2258262), // Rule ID 57221 //
     /* 2258219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2258225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2258228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258232 */   // MIs[0] Operand 1
     /* 2258232 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258241 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258245 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2258248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258250 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258252 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258261 */   // GIR_Coverage, 57221,
     /* 2258261 */   GIR_EraseRootFromParent_Done,
     /* 2258262 */ // Label 30346: @2258262
     /* 2258262 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2258310), // Rule ID 57240 //
     /* 2258267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258280 */   // MIs[0] Operand 1
     /* 2258280 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258289 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258293 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2258296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258300 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258309 */   // GIR_Coverage, 57240,
     /* 2258309 */   GIR_EraseRootFromParent_Done,
     /* 2258310 */ // Label 30347: @2258310
     /* 2258310 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2258358), // Rule ID 57241 //
     /* 2258315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258328 */   // MIs[0] Operand 1
     /* 2258328 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258337 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258341 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2258344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258346 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258348 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258357 */   // GIR_Coverage, 57241,
     /* 2258357 */   GIR_EraseRootFromParent_Done,
     /* 2258358 */ // Label 30348: @2258358
     /* 2258358 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2258406), // Rule ID 57270 //
     /* 2258363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2258366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258376 */   // MIs[0] Operand 1
     /* 2258376 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258385 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258389 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2258392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258394 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258405 */   // GIR_Coverage, 57270,
     /* 2258405 */   GIR_EraseRootFromParent_Done,
     /* 2258406 */ // Label 30349: @2258406
     /* 2258406 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2258454), // Rule ID 57271 //
     /* 2258411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258424 */   // MIs[0] Operand 1
     /* 2258424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2258429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258437 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2258440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258442 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258453 */   // GIR_Coverage, 57271,
     /* 2258453 */   GIR_EraseRootFromParent_Done,
     /* 2258454 */ // Label 30350: @2258454
     /* 2258454 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2258502), // Rule ID 57520 //
     /* 2258459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2258465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2258468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258472 */   // MIs[0] Operand 1
     /* 2258472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258481 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258485 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2258488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258490 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258501 */   // GIR_Coverage, 57520,
     /* 2258501 */   GIR_EraseRootFromParent_Done,
     /* 2258502 */ // Label 30351: @2258502
     /* 2258502 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2258550), // Rule ID 57521 //
     /* 2258507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2258513 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2258516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258520 */   // MIs[0] Operand 1
     /* 2258520 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258529 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258533 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2258536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258538 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258540 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258549 */   // GIR_Coverage, 57521,
     /* 2258549 */   GIR_EraseRootFromParent_Done,
     /* 2258550 */ // Label 30352: @2258550
     /* 2258550 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2258598), // Rule ID 57540 //
     /* 2258555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258568 */   // MIs[0] Operand 1
     /* 2258568 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258577 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258581 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2258584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258586 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258588 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258597 */   // GIR_Coverage, 57540,
     /* 2258597 */   GIR_EraseRootFromParent_Done,
     /* 2258598 */ // Label 30353: @2258598
     /* 2258598 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2258646), // Rule ID 57541 //
     /* 2258603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258609 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258616 */   // MIs[0] Operand 1
     /* 2258616 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258625 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258629 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2258632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258634 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258636 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258645 */   // GIR_Coverage, 57541,
     /* 2258645 */   GIR_EraseRootFromParent_Done,
     /* 2258646 */ // Label 30354: @2258646
     /* 2258646 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2258694), // Rule ID 57570 //
     /* 2258651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2258654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258664 */   // MIs[0] Operand 1
     /* 2258664 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258673 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258677 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2258680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258682 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258684 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258693 */   // GIR_Coverage, 57570,
     /* 2258693 */   GIR_EraseRootFromParent_Done,
     /* 2258694 */ // Label 30355: @2258694
     /* 2258694 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2258742), // Rule ID 57571 //
     /* 2258699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258705 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258712 */   // MIs[0] Operand 1
     /* 2258712 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2258717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258721 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258725 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2258728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258741 */   // GIR_Coverage, 57571,
     /* 2258741 */   GIR_EraseRootFromParent_Done,
     /* 2258742 */ // Label 30356: @2258742
     /* 2258742 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2258790), // Rule ID 57820 //
     /* 2258747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2258753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2258756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258760 */   // MIs[0] Operand 1
     /* 2258760 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258769 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258773 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2258776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258789 */   // GIR_Coverage, 57820,
     /* 2258789 */   GIR_EraseRootFromParent_Done,
     /* 2258790 */ // Label 30357: @2258790
     /* 2258790 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2258838), // Rule ID 57821 //
     /* 2258795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2258801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2258804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258808 */   // MIs[0] Operand 1
     /* 2258808 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258817 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258821 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2258824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258826 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258828 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258837 */   // GIR_Coverage, 57821,
     /* 2258837 */   GIR_EraseRootFromParent_Done,
     /* 2258838 */ // Label 30358: @2258838
     /* 2258838 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2258886), // Rule ID 57840 //
     /* 2258843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258849 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258856 */   // MIs[0] Operand 1
     /* 2258856 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258865 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258869 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2258872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258874 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258876 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258885 */   // GIR_Coverage, 57840,
     /* 2258885 */   GIR_EraseRootFromParent_Done,
     /* 2258886 */ // Label 30359: @2258886
     /* 2258886 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2258934), // Rule ID 57841 //
     /* 2258891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258897 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258904 */   // MIs[0] Operand 1
     /* 2258904 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258917 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2258920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258924 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258933 */   // GIR_Coverage, 57841,
     /* 2258933 */   GIR_EraseRootFromParent_Done,
     /* 2258934 */ // Label 30360: @2258934
     /* 2258934 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2258982), // Rule ID 57870 //
     /* 2258939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2258942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258945 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258952 */   // MIs[0] Operand 1
     /* 2258952 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2258957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258961 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258965 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2258968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258970 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258972 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258981 */   // GIR_Coverage, 57870,
     /* 2258981 */   GIR_EraseRootFromParent_Done,
     /* 2258982 */ // Label 30361: @2258982
     /* 2258982 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2259030), // Rule ID 57871 //
     /* 2258987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2258990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258993 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259000 */   // MIs[0] Operand 1
     /* 2259000 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259009 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259013 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2259016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259020 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259029 */   // GIR_Coverage, 57871,
     /* 2259029 */   GIR_EraseRootFromParent_Done,
     /* 2259030 */ // Label 30362: @2259030
     /* 2259030 */ GIM_Reject,
     /* 2259031 */ // Label 30294: @2259031
     /* 2259031 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2259079), // Rule ID 56930 //
     /* 2259036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259049 */   // MIs[0] Operand 1
     /* 2259049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259062 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2259065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259069 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259078 */   // GIR_Coverage, 56930,
     /* 2259078 */   GIR_EraseRootFromParent_Done,
     /* 2259079 */ // Label 30363: @2259079
     /* 2259079 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2259127), // Rule ID 56931 //
     /* 2259084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259097 */   // MIs[0] Operand 1
     /* 2259097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259110 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2259113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259126 */   // GIR_Coverage, 56931,
     /* 2259126 */   GIR_EraseRootFromParent_Done,
     /* 2259127 */ // Label 30364: @2259127
     /* 2259127 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2259175), // Rule ID 56960 //
     /* 2259132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2259135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2259138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2259141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259145 */   // MIs[0] Operand 1
     /* 2259145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259158 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2259161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259165 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259174 */   // GIR_Coverage, 56960,
     /* 2259174 */   GIR_EraseRootFromParent_Done,
     /* 2259175 */ // Label 30365: @2259175
     /* 2259175 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2259223), // Rule ID 56961 //
     /* 2259180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2259183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2259186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2259189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259193 */   // MIs[0] Operand 1
     /* 2259193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259206 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2259209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259211 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259213 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259222 */   // GIR_Coverage, 56961,
     /* 2259222 */   GIR_EraseRootFromParent_Done,
     /* 2259223 */ // Label 30366: @2259223
     /* 2259223 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2259271), // Rule ID 57040 //
     /* 2259228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2259231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259241 */   // MIs[0] Operand 1
     /* 2259241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259254 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2259257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259261 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259270 */   // GIR_Coverage, 57040,
     /* 2259270 */   GIR_EraseRootFromParent_Done,
     /* 2259271 */ // Label 30367: @2259271
     /* 2259271 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2259319), // Rule ID 57041 //
     /* 2259276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2259279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259289 */   // MIs[0] Operand 1
     /* 2259289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2259294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259302 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2259305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259307 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259318 */   // GIR_Coverage, 57041,
     /* 2259318 */   GIR_EraseRootFromParent_Done,
     /* 2259319 */ // Label 30368: @2259319
     /* 2259319 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2259367), // Rule ID 57230 //
     /* 2259324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259337 */   // MIs[0] Operand 1
     /* 2259337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259350 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2259353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259366 */   // GIR_Coverage, 57230,
     /* 2259366 */   GIR_EraseRootFromParent_Done,
     /* 2259367 */ // Label 30369: @2259367
     /* 2259367 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2259415), // Rule ID 57231 //
     /* 2259372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259385 */   // MIs[0] Operand 1
     /* 2259385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259398 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2259401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259414 */   // GIR_Coverage, 57231,
     /* 2259414 */   GIR_EraseRootFromParent_Done,
     /* 2259415 */ // Label 30370: @2259415
     /* 2259415 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2259463), // Rule ID 57260 //
     /* 2259420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2259423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2259426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2259429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259433 */   // MIs[0] Operand 1
     /* 2259433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259446 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2259449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259462 */   // GIR_Coverage, 57260,
     /* 2259462 */   GIR_EraseRootFromParent_Done,
     /* 2259463 */ // Label 30371: @2259463
     /* 2259463 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2259511), // Rule ID 57261 //
     /* 2259468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2259471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2259474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2259477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259481 */   // MIs[0] Operand 1
     /* 2259481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259494 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2259497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259510 */   // GIR_Coverage, 57261,
     /* 2259510 */   GIR_EraseRootFromParent_Done,
     /* 2259511 */ // Label 30372: @2259511
     /* 2259511 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2259559), // Rule ID 57340 //
     /* 2259516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2259519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259529 */   // MIs[0] Operand 1
     /* 2259529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259542 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2259545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259558 */   // GIR_Coverage, 57340,
     /* 2259558 */   GIR_EraseRootFromParent_Done,
     /* 2259559 */ // Label 30373: @2259559
     /* 2259559 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2259607), // Rule ID 57341 //
     /* 2259564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2259567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259577 */   // MIs[0] Operand 1
     /* 2259577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2259582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259590 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2259593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259606 */   // GIR_Coverage, 57341,
     /* 2259606 */   GIR_EraseRootFromParent_Done,
     /* 2259607 */ // Label 30374: @2259607
     /* 2259607 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2259655), // Rule ID 57530 //
     /* 2259612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259625 */   // MIs[0] Operand 1
     /* 2259625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259638 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2259641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259654 */   // GIR_Coverage, 57530,
     /* 2259654 */   GIR_EraseRootFromParent_Done,
     /* 2259655 */ // Label 30375: @2259655
     /* 2259655 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2259703), // Rule ID 57531 //
     /* 2259660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259673 */   // MIs[0] Operand 1
     /* 2259673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259686 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2259689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259693 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259702 */   // GIR_Coverage, 57531,
     /* 2259702 */   GIR_EraseRootFromParent_Done,
     /* 2259703 */ // Label 30376: @2259703
     /* 2259703 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2259751), // Rule ID 57560 //
     /* 2259708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2259711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2259714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2259717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259721 */   // MIs[0] Operand 1
     /* 2259721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259734 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2259737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259741 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259750 */   // GIR_Coverage, 57560,
     /* 2259750 */   GIR_EraseRootFromParent_Done,
     /* 2259751 */ // Label 30377: @2259751
     /* 2259751 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2259799), // Rule ID 57561 //
     /* 2259756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2259759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2259762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2259765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259769 */   // MIs[0] Operand 1
     /* 2259769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259782 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2259785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259789 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259798 */   // GIR_Coverage, 57561,
     /* 2259798 */   GIR_EraseRootFromParent_Done,
     /* 2259799 */ // Label 30378: @2259799
     /* 2259799 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2259847), // Rule ID 57640 //
     /* 2259804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2259807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259817 */   // MIs[0] Operand 1
     /* 2259817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259830 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2259833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259837 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259846 */   // GIR_Coverage, 57640,
     /* 2259846 */   GIR_EraseRootFromParent_Done,
     /* 2259847 */ // Label 30379: @2259847
     /* 2259847 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2259895), // Rule ID 57641 //
     /* 2259852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2259855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259865 */   // MIs[0] Operand 1
     /* 2259865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2259870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259878 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2259881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259885 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259894 */   // GIR_Coverage, 57641,
     /* 2259894 */   GIR_EraseRootFromParent_Done,
     /* 2259895 */ // Label 30380: @2259895
     /* 2259895 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2259943), // Rule ID 57830 //
     /* 2259900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259913 */   // MIs[0] Operand 1
     /* 2259913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259926 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2259929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259931 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259933 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259942 */   // GIR_Coverage, 57830,
     /* 2259942 */   GIR_EraseRootFromParent_Done,
     /* 2259943 */ // Label 30381: @2259943
     /* 2259943 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2259991), // Rule ID 57831 //
     /* 2259948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259961 */   // MIs[0] Operand 1
     /* 2259961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2259966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259974 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2259977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259979 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259981 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259990 */   // GIR_Coverage, 57831,
     /* 2259990 */   GIR_EraseRootFromParent_Done,
     /* 2259991 */ // Label 30382: @2259991
     /* 2259991 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2260039), // Rule ID 57860 //
     /* 2259996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2259999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2260005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260009 */   // MIs[0] Operand 1
     /* 2260009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2260014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260022 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2260025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260038 */   // GIR_Coverage, 57860,
     /* 2260038 */   GIR_EraseRootFromParent_Done,
     /* 2260039 */ // Label 30383: @2260039
     /* 2260039 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2260087), // Rule ID 57861 //
     /* 2260044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2260047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2260053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260057 */   // MIs[0] Operand 1
     /* 2260057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2260062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260070 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2260073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260086 */   // GIR_Coverage, 57861,
     /* 2260086 */   GIR_EraseRootFromParent_Done,
     /* 2260087 */ // Label 30384: @2260087
     /* 2260087 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2260135), // Rule ID 57940 //
     /* 2260092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2260095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2260098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2260101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260105 */   // MIs[0] Operand 1
     /* 2260105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2260110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260118 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2260121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260134 */   // GIR_Coverage, 57940,
     /* 2260134 */   GIR_EraseRootFromParent_Done,
     /* 2260135 */ // Label 30385: @2260135
     /* 2260135 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2260183), // Rule ID 57941 //
     /* 2260140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2260143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2260146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2260149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260153 */   // MIs[0] Operand 1
     /* 2260153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2260158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260166 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2260169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260182 */   // GIR_Coverage, 57941,
     /* 2260182 */   GIR_EraseRootFromParent_Done,
     /* 2260183 */ // Label 30386: @2260183
     /* 2260183 */ GIM_Reject,
     /* 2260184 */ // Label 30295: @2260184
     /* 2260184 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2260232), // Rule ID 56950 //
     /* 2260189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2260192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260202 */   // MIs[0] Operand 1
     /* 2260202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2260207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260215 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2260218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260231 */   // GIR_Coverage, 56950,
     /* 2260231 */   GIR_EraseRootFromParent_Done,
     /* 2260232 */ // Label 30387: @2260232
     /* 2260232 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2260280), // Rule ID 56951 //
     /* 2260237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2260240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260250 */   // MIs[0] Operand 1
     /* 2260250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2260255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260263 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2260266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260279 */   // GIR_Coverage, 56951,
     /* 2260279 */   GIR_EraseRootFromParent_Done,
     /* 2260280 */ // Label 30388: @2260280
     /* 2260280 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2260328), // Rule ID 57010 //
     /* 2260285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2260288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260298 */   // MIs[0] Operand 1
     /* 2260298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2260303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260311 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2260314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260327 */   // GIR_Coverage, 57010,
     /* 2260327 */   GIR_EraseRootFromParent_Done,
     /* 2260328 */ // Label 30389: @2260328
     /* 2260328 */ GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2260376), // Rule ID 57011 //
     /* 2260333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2260336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260346 */   // MIs[0] Operand 1
     /* 2260346 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2260351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260359 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2260362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260375 */   // GIR_Coverage, 57011,
     /* 2260375 */   GIR_EraseRootFromParent_Done,
     /* 2260376 */ // Label 30390: @2260376
     /* 2260376 */ GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2260424), // Rule ID 57050 //
     /* 2260381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2260384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260387 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260394 */   // MIs[0] Operand 1
     /* 2260394 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2260399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260403 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260407 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2260410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260412 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260423 */   // GIR_Coverage, 57050,
     /* 2260423 */   GIR_EraseRootFromParent_Done,
     /* 2260424 */ // Label 30391: @2260424
     /* 2260424 */ GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2260472), // Rule ID 57051 //
     /* 2260429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2260432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260435 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260442 */   // MIs[0] Operand 1
     /* 2260442 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2260447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260451 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260455 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2260458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260460 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260462 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260471 */   // GIR_Coverage, 57051,
     /* 2260471 */   GIR_EraseRootFromParent_Done,
     /* 2260472 */ // Label 30392: @2260472
     /* 2260472 */ GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2260520), // Rule ID 57250 //
     /* 2260477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2260480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260483 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260490 */   // MIs[0] Operand 1
     /* 2260490 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2260495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260499 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260503 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2260506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260508 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260510 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260519 */   // GIR_Coverage, 57250,
     /* 2260519 */   GIR_EraseRootFromParent_Done,
     /* 2260520 */ // Label 30393: @2260520
     /* 2260520 */ GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2260568), // Rule ID 57251 //
     /* 2260525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2260528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260531 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260538 */   // MIs[0] Operand 1
     /* 2260538 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2260543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260547 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260551 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2260554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260556 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260558 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260567 */   // GIR_Coverage, 57251,
     /* 2260567 */   GIR_EraseRootFromParent_Done,
     /* 2260568 */ // Label 30394: @2260568
     /* 2260568 */ GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2260616), // Rule ID 57310 //
     /* 2260573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2260576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260579 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260586 */   // MIs[0] Operand 1
     /* 2260586 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2260591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260595 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260599 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2260602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260604 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260606 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260615 */   // GIR_Coverage, 57310,
     /* 2260615 */   GIR_EraseRootFromParent_Done,
     /* 2260616 */ // Label 30395: @2260616
     /* 2260616 */ GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2260664), // Rule ID 57311 //
     /* 2260621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2260624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260634 */   // MIs[0] Operand 1
     /* 2260634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2260639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260643 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260647 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2260650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260652 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260654 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260663 */   // GIR_Coverage, 57311,
     /* 2260663 */   GIR_EraseRootFromParent_Done,
     /* 2260664 */ // Label 30396: @2260664
     /* 2260664 */ GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2260712), // Rule ID 57350 //
     /* 2260669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2260672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260682 */   // MIs[0] Operand 1
     /* 2260682 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2260687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260691 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260695 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2260698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260700 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260702 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260711 */   // GIR_Coverage, 57350,
     /* 2260711 */   GIR_EraseRootFromParent_Done,
     /* 2260712 */ // Label 30397: @2260712
     /* 2260712 */ GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2260760), // Rule ID 57351 //
     /* 2260717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2260720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260723 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260730 */   // MIs[0] Operand 1
     /* 2260730 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2260735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260739 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260743 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2260746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260748 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260750 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260759 */   // GIR_Coverage, 57351,
     /* 2260759 */   GIR_EraseRootFromParent_Done,
     /* 2260760 */ // Label 30398: @2260760
     /* 2260760 */ GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2260808), // Rule ID 57550 //
     /* 2260765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2260768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260771 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260778 */   // MIs[0] Operand 1
     /* 2260778 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2260783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260787 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260791 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2260794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260796 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260798 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260807 */   // GIR_Coverage, 57550,
     /* 2260807 */   GIR_EraseRootFromParent_Done,
     /* 2260808 */ // Label 30399: @2260808
     /* 2260808 */ GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2260856), // Rule ID 57551 //
     /* 2260813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2260816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260819 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260826 */   // MIs[0] Operand 1
     /* 2260826 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2260831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260835 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260839 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2260842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260844 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260846 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260854 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260855 */   // GIR_Coverage, 57551,
     /* 2260855 */   GIR_EraseRootFromParent_Done,
     /* 2260856 */ // Label 30400: @2260856
     /* 2260856 */ GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2260904), // Rule ID 57610 //
     /* 2260861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2260864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260874 */   // MIs[0] Operand 1
     /* 2260874 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2260879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260883 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260887 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2260890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260892 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260894 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260903 */   // GIR_Coverage, 57610,
     /* 2260903 */   GIR_EraseRootFromParent_Done,
     /* 2260904 */ // Label 30401: @2260904
     /* 2260904 */ GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2260952), // Rule ID 57611 //
     /* 2260909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2260912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260915 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260922 */   // MIs[0] Operand 1
     /* 2260922 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2260927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260931 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260935 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2260938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260940 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260942 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260951 */   // GIR_Coverage, 57611,
     /* 2260951 */   GIR_EraseRootFromParent_Done,
     /* 2260952 */ // Label 30402: @2260952
     /* 2260952 */ GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2261000), // Rule ID 57650 //
     /* 2260957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2260960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260970 */   // MIs[0] Operand 1
     /* 2260970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2260975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260983 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2260986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260999 */   // GIR_Coverage, 57650,
     /* 2260999 */   GIR_EraseRootFromParent_Done,
     /* 2261000 */ // Label 30403: @2261000
     /* 2261000 */ GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2261048), // Rule ID 57651 //
     /* 2261005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2261008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261011 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2261014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261018 */   // MIs[0] Operand 1
     /* 2261018 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261027 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261031 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2261034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261036 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261038 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261047 */   // GIR_Coverage, 57651,
     /* 2261047 */   GIR_EraseRootFromParent_Done,
     /* 2261048 */ // Label 30404: @2261048
     /* 2261048 */ GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2261096), // Rule ID 57850 //
     /* 2261053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2261056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2261059 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2261062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261066 */   // MIs[0] Operand 1
     /* 2261066 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261075 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261079 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2261082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261084 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261086 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261095 */   // GIR_Coverage, 57850,
     /* 2261095 */   GIR_EraseRootFromParent_Done,
     /* 2261096 */ // Label 30405: @2261096
     /* 2261096 */ GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2261144), // Rule ID 57851 //
     /* 2261101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2261104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2261107 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2261110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261114 */   // MIs[0] Operand 1
     /* 2261114 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261123 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261127 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2261130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261132 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261134 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261143 */   // GIR_Coverage, 57851,
     /* 2261143 */   GIR_EraseRootFromParent_Done,
     /* 2261144 */ // Label 30406: @2261144
     /* 2261144 */ GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2261192), // Rule ID 57910 //
     /* 2261149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2261152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261155 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2261158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261162 */   // MIs[0] Operand 1
     /* 2261162 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261171 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261175 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2261178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261180 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261182 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261191 */   // GIR_Coverage, 57910,
     /* 2261191 */   GIR_EraseRootFromParent_Done,
     /* 2261192 */ // Label 30407: @2261192
     /* 2261192 */ GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2261240), // Rule ID 57911 //
     /* 2261197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2261200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261203 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2261206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261210 */   // MIs[0] Operand 1
     /* 2261210 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261219 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261223 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2261226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261228 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261230 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261239 */   // GIR_Coverage, 57911,
     /* 2261239 */   GIR_EraseRootFromParent_Done,
     /* 2261240 */ // Label 30408: @2261240
     /* 2261240 */ GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2261288), // Rule ID 57950 //
     /* 2261245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2261248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261251 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2261254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261258 */   // MIs[0] Operand 1
     /* 2261258 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261267 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261271 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2261274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261276 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261278 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261287 */   // GIR_Coverage, 57950,
     /* 2261287 */   GIR_EraseRootFromParent_Done,
     /* 2261288 */ // Label 30409: @2261288
     /* 2261288 */ GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2261336), // Rule ID 57951 //
     /* 2261293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2261296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261299 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2261302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261306 */   // MIs[0] Operand 1
     /* 2261306 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2261311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261315 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261319 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2261322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261335 */   // GIR_Coverage, 57951,
     /* 2261335 */   GIR_EraseRootFromParent_Done,
     /* 2261336 */ // Label 30410: @2261336
     /* 2261336 */ GIM_Reject,
     /* 2261337 */ // Label 30296: @2261337
     /* 2261337 */ GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2261385), // Rule ID 56980 //
     /* 2261342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2261345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261355 */   // MIs[0] Operand 1
     /* 2261355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261368 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2261371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261384 */   // GIR_Coverage, 56980,
     /* 2261384 */   GIR_EraseRootFromParent_Done,
     /* 2261385 */ // Label 30411: @2261385
     /* 2261385 */ GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2261433), // Rule ID 56981 //
     /* 2261390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2261393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261403 */   // MIs[0] Operand 1
     /* 2261403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261416 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2261419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261432 */   // GIR_Coverage, 56981,
     /* 2261432 */   GIR_EraseRootFromParent_Done,
     /* 2261433 */ // Label 30412: @2261433
     /* 2261433 */ GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2261481), // Rule ID 57020 //
     /* 2261438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2261441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261451 */   // MIs[0] Operand 1
     /* 2261451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261464 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2261467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261480 */   // GIR_Coverage, 57020,
     /* 2261480 */   GIR_EraseRootFromParent_Done,
     /* 2261481 */ // Label 30413: @2261481
     /* 2261481 */ GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2261529), // Rule ID 57021 //
     /* 2261486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2261489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261499 */   // MIs[0] Operand 1
     /* 2261499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261512 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2261515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261528 */   // GIR_Coverage, 57021,
     /* 2261528 */   GIR_EraseRootFromParent_Done,
     /* 2261529 */ // Label 30414: @2261529
     /* 2261529 */ GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2261577), // Rule ID 57060 //
     /* 2261534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2261537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261547 */   // MIs[0] Operand 1
     /* 2261547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261560 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2261563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261576 */   // GIR_Coverage, 57060,
     /* 2261576 */   GIR_EraseRootFromParent_Done,
     /* 2261577 */ // Label 30415: @2261577
     /* 2261577 */ GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2261625), // Rule ID 57061 //
     /* 2261582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2261585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261595 */   // MIs[0] Operand 1
     /* 2261595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2261600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261608 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2261611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261624 */   // GIR_Coverage, 57061,
     /* 2261624 */   GIR_EraseRootFromParent_Done,
     /* 2261625 */ // Label 30416: @2261625
     /* 2261625 */ GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2261673), // Rule ID 57280 //
     /* 2261630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2261633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261643 */   // MIs[0] Operand 1
     /* 2261643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2261648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261656 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2261659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261672 */   // GIR_Coverage, 57280,
     /* 2261672 */   GIR_EraseRootFromParent_Done,
     /* 2261673 */ // Label 30417: @2261673
     /* 2261673 */ GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2261721), // Rule ID 57281 //
     /* 2261678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2261681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261691 */   // MIs[0] Operand 1
     /* 2261691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2261696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261704 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2261707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261709 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261711 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261720 */   // GIR_Coverage, 57281,
     /* 2261720 */   GIR_EraseRootFromParent_Done,
     /* 2261721 */ // Label 30418: @2261721
     /* 2261721 */ GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2261769), // Rule ID 57320 //
     /* 2261726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2261729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261739 */   // MIs[0] Operand 1
     /* 2261739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2261744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261752 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2261755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261757 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261759 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261768 */   // GIR_Coverage, 57320,
     /* 2261768 */   GIR_EraseRootFromParent_Done,
     /* 2261769 */ // Label 30419: @2261769
     /* 2261769 */ GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2261817), // Rule ID 57321 //
     /* 2261774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2261777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261787 */   // MIs[0] Operand 1
     /* 2261787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2261792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261800 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2261803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261807 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261816 */   // GIR_Coverage, 57321,
     /* 2261816 */   GIR_EraseRootFromParent_Done,
     /* 2261817 */ // Label 30420: @2261817
     /* 2261817 */ GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2261865), // Rule ID 57360 //
     /* 2261822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2261825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261835 */   // MIs[0] Operand 1
     /* 2261835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2261840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261848 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2261851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261864 */   // GIR_Coverage, 57360,
     /* 2261864 */   GIR_EraseRootFromParent_Done,
     /* 2261865 */ // Label 30421: @2261865
     /* 2261865 */ GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2261913), // Rule ID 57361 //
     /* 2261870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2261873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261883 */   // MIs[0] Operand 1
     /* 2261883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2261888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261896 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2261899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261912 */   // GIR_Coverage, 57361,
     /* 2261912 */   GIR_EraseRootFromParent_Done,
     /* 2261913 */ // Label 30422: @2261913
     /* 2261913 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2261961), // Rule ID 57580 //
     /* 2261918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2261921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261931 */   // MIs[0] Operand 1
     /* 2261931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261944 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2261947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261960 */   // GIR_Coverage, 57580,
     /* 2261960 */   GIR_EraseRootFromParent_Done,
     /* 2261961 */ // Label 30423: @2261961
     /* 2261961 */ GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2262009), // Rule ID 57581 //
     /* 2261966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2261969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261979 */   // MIs[0] Operand 1
     /* 2261979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2261984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261992 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2261995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262008 */   // GIR_Coverage, 57581,
     /* 2262008 */   GIR_EraseRootFromParent_Done,
     /* 2262009 */ // Label 30424: @2262009
     /* 2262009 */ GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2262057), // Rule ID 57620 //
     /* 2262014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2262017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262027 */   // MIs[0] Operand 1
     /* 2262027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262040 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2262043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262056 */   // GIR_Coverage, 57620,
     /* 2262056 */   GIR_EraseRootFromParent_Done,
     /* 2262057 */ // Label 30425: @2262057
     /* 2262057 */ GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2262105), // Rule ID 57621 //
     /* 2262062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2262065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262075 */   // MIs[0] Operand 1
     /* 2262075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262088 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2262091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262104 */   // GIR_Coverage, 57621,
     /* 2262104 */   GIR_EraseRootFromParent_Done,
     /* 2262105 */ // Label 30426: @2262105
     /* 2262105 */ GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2262153), // Rule ID 57660 //
     /* 2262110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2262113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262123 */   // MIs[0] Operand 1
     /* 2262123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262136 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2262139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262141 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262143 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262152 */   // GIR_Coverage, 57660,
     /* 2262152 */   GIR_EraseRootFromParent_Done,
     /* 2262153 */ // Label 30427: @2262153
     /* 2262153 */ GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2262201), // Rule ID 57661 //
     /* 2262158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2262161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262171 */   // MIs[0] Operand 1
     /* 2262171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262184 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2262187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262189 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262191 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262200 */   // GIR_Coverage, 57661,
     /* 2262200 */   GIR_EraseRootFromParent_Done,
     /* 2262201 */ // Label 30428: @2262201
     /* 2262201 */ GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2262249), // Rule ID 57880 //
     /* 2262206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2262209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262219 */   // MIs[0] Operand 1
     /* 2262219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262232 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2262235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262237 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262239 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262248 */   // GIR_Coverage, 57880,
     /* 2262248 */   GIR_EraseRootFromParent_Done,
     /* 2262249 */ // Label 30429: @2262249
     /* 2262249 */ GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2262297), // Rule ID 57881 //
     /* 2262254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2262257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262267 */   // MIs[0] Operand 1
     /* 2262267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262280 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2262283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262296 */   // GIR_Coverage, 57881,
     /* 2262296 */   GIR_EraseRootFromParent_Done,
     /* 2262297 */ // Label 30430: @2262297
     /* 2262297 */ GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2262345), // Rule ID 57920 //
     /* 2262302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2262305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262315 */   // MIs[0] Operand 1
     /* 2262315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262328 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2262331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262333 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262335 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262344 */   // GIR_Coverage, 57920,
     /* 2262344 */   GIR_EraseRootFromParent_Done,
     /* 2262345 */ // Label 30431: @2262345
     /* 2262345 */ GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2262393), // Rule ID 57921 //
     /* 2262350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2262353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262363 */   // MIs[0] Operand 1
     /* 2262363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262376 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2262379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262381 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262383 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262392 */   // GIR_Coverage, 57921,
     /* 2262392 */   GIR_EraseRootFromParent_Done,
     /* 2262393 */ // Label 30432: @2262393
     /* 2262393 */ GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2262441), // Rule ID 57960 //
     /* 2262398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2262401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262411 */   // MIs[0] Operand 1
     /* 2262411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262424 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2262427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262429 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262431 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262440 */   // GIR_Coverage, 57960,
     /* 2262440 */   GIR_EraseRootFromParent_Done,
     /* 2262441 */ // Label 30433: @2262441
     /* 2262441 */ GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2262489), // Rule ID 57961 //
     /* 2262446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2262449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262459 */   // MIs[0] Operand 1
     /* 2262459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2262464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262472 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2262475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262477 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262479 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262488 */   // GIR_Coverage, 57961,
     /* 2262488 */   GIR_EraseRootFromParent_Done,
     /* 2262489 */ // Label 30434: @2262489
     /* 2262489 */ GIM_Reject,
     /* 2262490 */ // Label 30297: @2262490
     /* 2262490 */ GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2262538), // Rule ID 56990 //
     /* 2262495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2262498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262508 */   // MIs[0] Operand 1
     /* 2262508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262521 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2262524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262537 */   // GIR_Coverage, 56990,
     /* 2262537 */   GIR_EraseRootFromParent_Done,
     /* 2262538 */ // Label 30435: @2262538
     /* 2262538 */ GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2262586), // Rule ID 56991 //
     /* 2262543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2262546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262556 */   // MIs[0] Operand 1
     /* 2262556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262569 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2262572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262585 */   // GIR_Coverage, 56991,
     /* 2262585 */   GIR_EraseRootFromParent_Done,
     /* 2262586 */ // Label 30436: @2262586
     /* 2262586 */ GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2262634), // Rule ID 57030 //
     /* 2262591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2262594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262604 */   // MIs[0] Operand 1
     /* 2262604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262617 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2262620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262622 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262624 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262633 */   // GIR_Coverage, 57030,
     /* 2262633 */   GIR_EraseRootFromParent_Done,
     /* 2262634 */ // Label 30437: @2262634
     /* 2262634 */ GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2262682), // Rule ID 57031 //
     /* 2262639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2262642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262652 */   // MIs[0] Operand 1
     /* 2262652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2262657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262665 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2262668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262670 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262672 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262681 */   // GIR_Coverage, 57031,
     /* 2262681 */   GIR_EraseRootFromParent_Done,
     /* 2262682 */ // Label 30438: @2262682
     /* 2262682 */ GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2262730), // Rule ID 57290 //
     /* 2262687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2262690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262700 */   // MIs[0] Operand 1
     /* 2262700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2262705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262713 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2262716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262718 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262720 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262729 */   // GIR_Coverage, 57290,
     /* 2262729 */   GIR_EraseRootFromParent_Done,
     /* 2262730 */ // Label 30439: @2262730
     /* 2262730 */ GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2262778), // Rule ID 57291 //
     /* 2262735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2262738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262748 */   // MIs[0] Operand 1
     /* 2262748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2262753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262761 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2262764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262777 */   // GIR_Coverage, 57291,
     /* 2262777 */   GIR_EraseRootFromParent_Done,
     /* 2262778 */ // Label 30440: @2262778
     /* 2262778 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2262826), // Rule ID 57330 //
     /* 2262783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2262786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262796 */   // MIs[0] Operand 1
     /* 2262796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2262801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262809 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2262812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262816 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262825 */   // GIR_Coverage, 57330,
     /* 2262825 */   GIR_EraseRootFromParent_Done,
     /* 2262826 */ // Label 30441: @2262826
     /* 2262826 */ GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2262874), // Rule ID 57331 //
     /* 2262831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2262834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262844 */   // MIs[0] Operand 1
     /* 2262844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2262849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262857 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2262860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262873 */   // GIR_Coverage, 57331,
     /* 2262873 */   GIR_EraseRootFromParent_Done,
     /* 2262874 */ // Label 30442: @2262874
     /* 2262874 */ GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2262922), // Rule ID 57590 //
     /* 2262879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2262882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262892 */   // MIs[0] Operand 1
     /* 2262892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262901 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262905 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2262908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262912 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262921 */   // GIR_Coverage, 57590,
     /* 2262921 */   GIR_EraseRootFromParent_Done,
     /* 2262922 */ // Label 30443: @2262922
     /* 2262922 */ GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2262970), // Rule ID 57591 //
     /* 2262927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2262930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2262936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262940 */   // MIs[0] Operand 1
     /* 2262940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262949 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262953 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2262956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262969 */   // GIR_Coverage, 57591,
     /* 2262969 */   GIR_EraseRootFromParent_Done,
     /* 2262970 */ // Label 30444: @2262970
     /* 2262970 */ GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2263018), // Rule ID 57630 //
     /* 2262975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2262978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2262984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262988 */   // MIs[0] Operand 1
     /* 2262988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2262993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263001 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2263004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263017 */   // GIR_Coverage, 57630,
     /* 2263017 */   GIR_EraseRootFromParent_Done,
     /* 2263018 */ // Label 30445: @2263018
     /* 2263018 */ GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2263066), // Rule ID 57631 //
     /* 2263023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2263026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263036 */   // MIs[0] Operand 1
     /* 2263036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263049 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2263052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263056 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263065 */   // GIR_Coverage, 57631,
     /* 2263065 */   GIR_EraseRootFromParent_Done,
     /* 2263066 */ // Label 30446: @2263066
     /* 2263066 */ GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2263114), // Rule ID 57890 //
     /* 2263071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263084 */   // MIs[0] Operand 1
     /* 2263084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263097 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2263100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263113 */   // GIR_Coverage, 57890,
     /* 2263113 */   GIR_EraseRootFromParent_Done,
     /* 2263114 */ // Label 30447: @2263114
     /* 2263114 */ GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2263162), // Rule ID 57891 //
     /* 2263119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2263125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2263128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263132 */   // MIs[0] Operand 1
     /* 2263132 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263141 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263145 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2263148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263150 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263161 */   // GIR_Coverage, 57891,
     /* 2263161 */   GIR_EraseRootFromParent_Done,
     /* 2263162 */ // Label 30448: @2263162
     /* 2263162 */ GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2263210), // Rule ID 57930 //
     /* 2263167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2263170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263180 */   // MIs[0] Operand 1
     /* 2263180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263193 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2263196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263198 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263209 */   // GIR_Coverage, 57930,
     /* 2263209 */   GIR_EraseRootFromParent_Done,
     /* 2263210 */ // Label 30449: @2263210
     /* 2263210 */ GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2263258), // Rule ID 57931 //
     /* 2263215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2263218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2263221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2263224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263228 */   // MIs[0] Operand 1
     /* 2263228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263237 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263241 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2263244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263257 */   // GIR_Coverage, 57931,
     /* 2263257 */   GIR_EraseRootFromParent_Done,
     /* 2263258 */ // Label 30450: @2263258
     /* 2263258 */ GIM_Reject,
     /* 2263259 */ // Label 30298: @2263259
     /* 2263259 */ GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2263579),
     /* 2263264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2263267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2263270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263274 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2263312), // Rule ID 57000 //
     /* 2263279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263282 */     // MIs[0] Operand 1
     /* 2263282 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2263287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263295 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2263298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263311 */     // GIR_Coverage, 57000,
     /* 2263311 */     GIR_EraseRootFromParent_Done,
     /* 2263312 */   // Label 30452: @2263312
     /* 2263312 */   GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2263350), // Rule ID 57001 //
     /* 2263317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263320 */     // MIs[0] Operand 1
     /* 2263320 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2263325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263333 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2263336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263349 */     // GIR_Coverage, 57001,
     /* 2263349 */     GIR_EraseRootFromParent_Done,
     /* 2263350 */   // Label 30453: @2263350
     /* 2263350 */   GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2263388), // Rule ID 57300 //
     /* 2263355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263358 */     // MIs[0] Operand 1
     /* 2263358 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263371 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2263374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263387 */     // GIR_Coverage, 57300,
     /* 2263387 */     GIR_EraseRootFromParent_Done,
     /* 2263388 */   // Label 30454: @2263388
     /* 2263388 */   GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2263426), // Rule ID 57301 //
     /* 2263393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263396 */     // MIs[0] Operand 1
     /* 2263396 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2263401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263409 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2263412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263425 */     // GIR_Coverage, 57301,
     /* 2263425 */     GIR_EraseRootFromParent_Done,
     /* 2263426 */   // Label 30455: @2263426
     /* 2263426 */   GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2263464), // Rule ID 57600 //
     /* 2263431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263434 */     // MIs[0] Operand 1
     /* 2263434 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263447 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2263450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263463 */     // GIR_Coverage, 57600,
     /* 2263463 */     GIR_EraseRootFromParent_Done,
     /* 2263464 */   // Label 30456: @2263464
     /* 2263464 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2263502), // Rule ID 57601 //
     /* 2263469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263472 */     // MIs[0] Operand 1
     /* 2263472 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2263477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263485 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2263488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263501 */     // GIR_Coverage, 57601,
     /* 2263501 */     GIR_EraseRootFromParent_Done,
     /* 2263502 */   // Label 30457: @2263502
     /* 2263502 */   GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2263540), // Rule ID 57900 //
     /* 2263507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263510 */     // MIs[0] Operand 1
     /* 2263510 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263523 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2263526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263539 */     // GIR_Coverage, 57900,
     /* 2263539 */     GIR_EraseRootFromParent_Done,
     /* 2263540 */   // Label 30458: @2263540
     /* 2263540 */   GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2263578), // Rule ID 57901 //
     /* 2263545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263548 */     // MIs[0] Operand 1
     /* 2263548 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2263553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263561 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2263564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263577 */     // GIR_Coverage, 57901,
     /* 2263577 */     GIR_EraseRootFromParent_Done,
     /* 2263578 */   // Label 30459: @2263578
     /* 2263578 */   GIM_Reject,
     /* 2263579 */ // Label 30451: @2263579
     /* 2263579 */ GIM_Reject,
     /* 2263580 */ // Label 30299: @2263580
     /* 2263580 */ GIM_Reject,
     /* 2263581 */ // Label 50: @2263581
     /* 2263581 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30484*/ GIMT_Encode4(2267972),
     /* 2263592 */ /*GILLT_s32*//*Label 30460*/ GIMT_Encode4(2263716),
     /* 2263596 */ /*GILLT_s64*//*Label 30461*/ GIMT_Encode4(2263864), GIMT_Encode4(0),
     /* 2263604 */ /*GILLT_nxv1s8*//*Label 30462*/ GIMT_Encode4(2264012),
     /* 2263608 */ /*GILLT_nxv1s16*//*Label 30463*/ GIMT_Encode4(2264132),
     /* 2263612 */ /*GILLT_nxv1s32*//*Label 30464*/ GIMT_Encode4(2264340),
     /* 2263616 */ /*GILLT_nxv1s64*//*Label 30465*/ GIMT_Encode4(2264548), GIMT_Encode4(0),
     /* 2263624 */ /*GILLT_nxv2s8*//*Label 30466*/ GIMT_Encode4(2264756),
     /* 2263628 */ /*GILLT_nxv2s16*//*Label 30467*/ GIMT_Encode4(2264876),
     /* 2263632 */ /*GILLT_nxv2s32*//*Label 30468*/ GIMT_Encode4(2265084),
     /* 2263636 */ /*GILLT_nxv2s64*//*Label 30469*/ GIMT_Encode4(2265292), GIMT_Encode4(0),
     /* 2263644 */ /*GILLT_nxv4s8*//*Label 30470*/ GIMT_Encode4(2265500),
     /* 2263648 */ /*GILLT_nxv4s16*//*Label 30471*/ GIMT_Encode4(2265620),
     /* 2263652 */ /*GILLT_nxv4s32*//*Label 30472*/ GIMT_Encode4(2265828),
     /* 2263656 */ /*GILLT_nxv4s64*//*Label 30473*/ GIMT_Encode4(2266036), GIMT_Encode4(0),
     /* 2263664 */ /*GILLT_nxv8s8*//*Label 30474*/ GIMT_Encode4(2266244),
     /* 2263668 */ /*GILLT_nxv8s16*//*Label 30475*/ GIMT_Encode4(2266364),
     /* 2263672 */ /*GILLT_nxv8s32*//*Label 30476*/ GIMT_Encode4(2266572),
     /* 2263676 */ /*GILLT_nxv8s64*//*Label 30477*/ GIMT_Encode4(2266780), GIMT_Encode4(0),
     /* 2263684 */ /*GILLT_nxv16s8*//*Label 30478*/ GIMT_Encode4(2266988),
     /* 2263688 */ /*GILLT_nxv16s16*//*Label 30479*/ GIMT_Encode4(2267108),
     /* 2263692 */ /*GILLT_nxv16s32*//*Label 30480*/ GIMT_Encode4(2267316), GIMT_Encode4(0),
     /* 2263700 */ /*GILLT_nxv32s8*//*Label 30481*/ GIMT_Encode4(2267524),
     /* 2263704 */ /*GILLT_nxv32s16*//*Label 30482*/ GIMT_Encode4(2267644), GIMT_Encode4(0),
     /* 2263712 */ /*GILLT_nxv64s8*//*Label 30483*/ GIMT_Encode4(2267852),
     /* 2263716 */ // Label 30460: @2263716
     /* 2263716 */ GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2263863),
     /* 2263721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2263724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2263727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2263730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263738 */   GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2263771), // Rule ID 62569 //
     /* 2263743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2263746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2263750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263754 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2263754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2263757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2263759 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2263761 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263767 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2263769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263770 */     // GIR_Coverage, 62569,
     /* 2263770 */     GIR_EraseRootFromParent_Done,
     /* 2263771 */   // Label 30486: @2263771
     /* 2263771 */   GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2263804), // Rule ID 62567 //
     /* 2263776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2263779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263783 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2263787 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2263787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2263790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2263792 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2263794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263800 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2263802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263803 */     // GIR_Coverage, 62567,
     /* 2263803 */     GIR_EraseRootFromParent_Done,
     /* 2263804 */   // Label 30487: @2263804
     /* 2263804 */   GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2263833), // Rule ID 62565 //
     /* 2263809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2263812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263820 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2263820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2263823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2263825 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2263827 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2263829 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2263831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263832 */     // GIR_Coverage, 62565,
     /* 2263832 */     GIR_EraseRootFromParent_Done,
     /* 2263833 */   // Label 30488: @2263833
     /* 2263833 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2263862), // Rule ID 64580 //
     /* 2263838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2263841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263849 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2263849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2263852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2263858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2263860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263861 */     // GIR_Coverage, 64580,
     /* 2263861 */     GIR_EraseRootFromParent_Done,
     /* 2263862 */   // Label 30489: @2263862
     /* 2263862 */   GIM_Reject,
     /* 2263863 */ // Label 30485: @2263863
     /* 2263863 */ GIM_Reject,
     /* 2263864 */ // Label 30461: @2263864
     /* 2263864 */ GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2264011),
     /* 2263869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2263872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2263875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2263878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263886 */   GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2263919), // Rule ID 62568 //
     /* 2263891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2263894 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2263898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263902 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2263902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2263905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2263907 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2263909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263915 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2263917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263918 */     // GIR_Coverage, 62568,
     /* 2263918 */     GIR_EraseRootFromParent_Done,
     /* 2263919 */   // Label 30491: @2263919
     /* 2263919 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2263952), // Rule ID 62566 //
     /* 2263924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2263927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2263935 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2263935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2263938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2263940 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2263942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263948 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2263950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263951 */     // GIR_Coverage, 62566,
     /* 2263951 */     GIR_EraseRootFromParent_Done,
     /* 2263952 */   // Label 30492: @2263952
     /* 2263952 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2263981), // Rule ID 62564 //
     /* 2263957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2263960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263968 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2263968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2263971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2263973 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2263975 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2263977 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2263979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263980 */     // GIR_Coverage, 62564,
     /* 2263980 */     GIR_EraseRootFromParent_Done,
     /* 2263981 */   // Label 30493: @2263981
     /* 2263981 */   GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2264010), // Rule ID 64579 //
     /* 2263986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2263989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2263997 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2263997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2264000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2264006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2264008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264009 */     // GIR_Coverage, 64579,
     /* 2264009 */     GIR_EraseRootFromParent_Done,
     /* 2264010 */   // Label 30494: @2264010
     /* 2264010 */   GIM_Reject,
     /* 2264011 */ // Label 30490: @2264011
     /* 2264011 */ GIM_Reject,
     /* 2264012 */ // Label 30462: @2264012
     /* 2264012 */ GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2264131),
     /* 2264017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2264020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2264023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2264026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2264030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264038 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264042 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2264086), // Rule ID 52130 //
     /* 2264047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264050 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2264053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2264067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264076 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264085 */     // GIR_Coverage, 52130,
     /* 2264085 */     GIR_EraseRootFromParent_Done,
     /* 2264086 */   // Label 30496: @2264086
     /* 2264086 */   GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2264130), // Rule ID 52131 //
     /* 2264091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264094 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2264097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2264111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264120 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264129 */     // GIR_Coverage, 52131,
     /* 2264129 */     GIR_EraseRootFromParent_Done,
     /* 2264130 */   // Label 30497: @2264130
     /* 2264130 */   GIM_Reject,
     /* 2264131 */ // Label 30495: @2264131
     /* 2264131 */ GIM_Reject,
     /* 2264132 */ // Label 30463: @2264132
     /* 2264132 */ GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2264339),
     /* 2264137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2264140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2264143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2264146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2264150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264162 */   GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2264206), // Rule ID 52148 //
     /* 2264167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264170 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2264187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264196 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264205 */     // GIR_Coverage, 52148,
     /* 2264205 */     GIR_EraseRootFromParent_Done,
     /* 2264206 */   // Label 30499: @2264206
     /* 2264206 */   GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2264250), // Rule ID 52149 //
     /* 2264211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264214 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2264231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264240 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264249 */     // GIR_Coverage, 52149,
     /* 2264249 */     GIR_EraseRootFromParent_Done,
     /* 2264250 */   // Label 30500: @2264250
     /* 2264250 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2264294), // Rule ID 57970 //
     /* 2264255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264258 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2264275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264284 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264293 */     // GIR_Coverage, 57970,
     /* 2264293 */     GIR_EraseRootFromParent_Done,
     /* 2264294 */   // Label 30501: @2264294
     /* 2264294 */   GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2264338), // Rule ID 57971 //
     /* 2264299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264302 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2264305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2264319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264328 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264337 */     // GIR_Coverage, 57971,
     /* 2264337 */     GIR_EraseRootFromParent_Done,
     /* 2264338 */   // Label 30502: @2264338
     /* 2264338 */   GIM_Reject,
     /* 2264339 */ // Label 30498: @2264339
     /* 2264339 */ GIM_Reject,
     /* 2264340 */ // Label 30464: @2264340
     /* 2264340 */ GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2264547),
     /* 2264345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2264348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2264351 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2264354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2264358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264366 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264370 */   GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2264414), // Rule ID 52160 //
     /* 2264375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264378 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2264395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264404 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264413 */     // GIR_Coverage, 52160,
     /* 2264413 */     GIR_EraseRootFromParent_Done,
     /* 2264414 */   // Label 30504: @2264414
     /* 2264414 */   GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2264458), // Rule ID 52161 //
     /* 2264419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264422 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2264439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264448 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264457 */     // GIR_Coverage, 52161,
     /* 2264457 */     GIR_EraseRootFromParent_Done,
     /* 2264458 */   // Label 30505: @2264458
     /* 2264458 */   GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2264502), // Rule ID 57990 //
     /* 2264463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264466 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2264483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264492 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264501 */     // GIR_Coverage, 57990,
     /* 2264501 */     GIR_EraseRootFromParent_Done,
     /* 2264502 */   // Label 30506: @2264502
     /* 2264502 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2264546), // Rule ID 57991 //
     /* 2264507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264510 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2264513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2264527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264536 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264545 */     // GIR_Coverage, 57991,
     /* 2264545 */     GIR_EraseRootFromParent_Done,
     /* 2264546 */   // Label 30507: @2264546
     /* 2264546 */   GIM_Reject,
     /* 2264547 */ // Label 30503: @2264547
     /* 2264547 */ GIM_Reject,
     /* 2264548 */ // Label 30465: @2264548
     /* 2264548 */ GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2264755),
     /* 2264553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2264556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2264559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2264562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2264566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264578 */   GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2264622), // Rule ID 52184 //
     /* 2264583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2264586 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2264586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2264603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264612 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264621 */     // GIR_Coverage, 52184,
     /* 2264621 */     GIR_EraseRootFromParent_Done,
     /* 2264622 */   // Label 30509: @2264622
     /* 2264622 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2264666), // Rule ID 52185 //
     /* 2264627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2264630 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2264630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2264647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264656 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264665 */     // GIR_Coverage, 52185,
     /* 2264665 */     GIR_EraseRootFromParent_Done,
     /* 2264666 */   // Label 30510: @2264666
     /* 2264666 */   GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2264710), // Rule ID 58020 //
     /* 2264671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2264674 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2264674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2264691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264700 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264709 */     // GIR_Coverage, 58020,
     /* 2264709 */     GIR_EraseRootFromParent_Done,
     /* 2264710 */   // Label 30511: @2264710
     /* 2264710 */   GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2264754), // Rule ID 58021 //
     /* 2264715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2264718 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2264718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2264721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2264735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264744 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264753 */     // GIR_Coverage, 58021,
     /* 2264753 */     GIR_EraseRootFromParent_Done,
     /* 2264754 */   // Label 30512: @2264754
     /* 2264754 */   GIM_Reject,
     /* 2264755 */ // Label 30508: @2264755
     /* 2264755 */ GIM_Reject,
     /* 2264756 */ // Label 30466: @2264756
     /* 2264756 */ GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2264875),
     /* 2264761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2264764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2264767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2264770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2264774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264782 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264786 */   GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2264830), // Rule ID 52136 //
     /* 2264791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264794 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2264811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264820 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264829 */     // GIR_Coverage, 52136,
     /* 2264829 */     GIR_EraseRootFromParent_Done,
     /* 2264830 */   // Label 30514: @2264830
     /* 2264830 */   GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2264874), // Rule ID 52137 //
     /* 2264835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264838 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2264841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2264855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264864 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264873 */     // GIR_Coverage, 52137,
     /* 2264873 */     GIR_EraseRootFromParent_Done,
     /* 2264874 */   // Label 30515: @2264874
     /* 2264874 */   GIM_Reject,
     /* 2264875 */ // Label 30513: @2264875
     /* 2264875 */ GIM_Reject,
     /* 2264876 */ // Label 30467: @2264876
     /* 2264876 */ GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2265083),
     /* 2264881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2264884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2264887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2264890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2264894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264906 */   GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2264950), // Rule ID 52154 //
     /* 2264911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264914 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2264931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264940 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264949 */     // GIR_Coverage, 52154,
     /* 2264949 */     GIR_EraseRootFromParent_Done,
     /* 2264950 */   // Label 30517: @2264950
     /* 2264950 */   GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2264994), // Rule ID 52155 //
     /* 2264955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264958 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2264961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2264975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264984 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2264986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264993 */     // GIR_Coverage, 52155,
     /* 2264993 */     GIR_EraseRootFromParent_Done,
     /* 2264994 */   // Label 30518: @2264994
     /* 2264994 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2265038), // Rule ID 57980 //
     /* 2264999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265002 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2265005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2265019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265028 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265037 */     // GIR_Coverage, 57980,
     /* 2265037 */     GIR_EraseRootFromParent_Done,
     /* 2265038 */   // Label 30519: @2265038
     /* 2265038 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2265082), // Rule ID 57981 //
     /* 2265043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265046 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2265049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2265063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265072 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265081 */     // GIR_Coverage, 57981,
     /* 2265081 */     GIR_EraseRootFromParent_Done,
     /* 2265082 */   // Label 30520: @2265082
     /* 2265082 */   GIM_Reject,
     /* 2265083 */ // Label 30516: @2265083
     /* 2265083 */ GIM_Reject,
     /* 2265084 */ // Label 30468: @2265084
     /* 2265084 */ GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2265291),
     /* 2265089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2265092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2265095 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2265098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2265102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265114 */   GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2265158), // Rule ID 52178 //
     /* 2265119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265122 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2265125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265148 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265157 */     // GIR_Coverage, 52178,
     /* 2265157 */     GIR_EraseRootFromParent_Done,
     /* 2265158 */   // Label 30522: @2265158
     /* 2265158 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2265202), // Rule ID 52179 //
     /* 2265163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265166 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2265169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265192 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265201 */     // GIR_Coverage, 52179,
     /* 2265201 */     GIR_EraseRootFromParent_Done,
     /* 2265202 */   // Label 30523: @2265202
     /* 2265202 */   GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2265246), // Rule ID 58010 //
     /* 2265207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265210 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2265213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265236 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265245 */     // GIR_Coverage, 58010,
     /* 2265245 */     GIR_EraseRootFromParent_Done,
     /* 2265246 */   // Label 30524: @2265246
     /* 2265246 */   GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2265290), // Rule ID 58011 //
     /* 2265251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265254 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2265257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265280 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265289 */     // GIR_Coverage, 58011,
     /* 2265289 */     GIR_EraseRootFromParent_Done,
     /* 2265290 */   // Label 30525: @2265290
     /* 2265290 */   GIM_Reject,
     /* 2265291 */ // Label 30521: @2265291
     /* 2265291 */ GIM_Reject,
     /* 2265292 */ // Label 30469: @2265292
     /* 2265292 */ GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2265499),
     /* 2265297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2265300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2265303 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2265306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2265310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265318 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265322 */   GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2265366), // Rule ID 52244 //
     /* 2265327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2265330 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2265330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2265333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2265347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265356 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265365 */     // GIR_Coverage, 52244,
     /* 2265365 */     GIR_EraseRootFromParent_Done,
     /* 2265366 */   // Label 30527: @2265366
     /* 2265366 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2265410), // Rule ID 52245 //
     /* 2265371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2265374 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2265374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2265377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2265391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265400 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265409 */     // GIR_Coverage, 52245,
     /* 2265409 */     GIR_EraseRootFromParent_Done,
     /* 2265410 */   // Label 30528: @2265410
     /* 2265410 */   GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2265454), // Rule ID 58090 //
     /* 2265415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2265418 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2265418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2265421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2265435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265444 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265453 */     // GIR_Coverage, 58090,
     /* 2265453 */     GIR_EraseRootFromParent_Done,
     /* 2265454 */   // Label 30529: @2265454
     /* 2265454 */   GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2265498), // Rule ID 58091 //
     /* 2265459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2265462 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2265462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2265465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2265479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265488 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265497 */     // GIR_Coverage, 58091,
     /* 2265497 */     GIR_EraseRootFromParent_Done,
     /* 2265498 */   // Label 30530: @2265498
     /* 2265498 */   GIM_Reject,
     /* 2265499 */ // Label 30526: @2265499
     /* 2265499 */ GIM_Reject,
     /* 2265500 */ // Label 30470: @2265500
     /* 2265500 */ GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2265619),
     /* 2265505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2265508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2265511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2265514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2265518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265526 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265530 */   GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2265574), // Rule ID 52142 //
     /* 2265535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265538 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2265541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2265555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265564 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265573 */     // GIR_Coverage, 52142,
     /* 2265573 */     GIR_EraseRootFromParent_Done,
     /* 2265574 */   // Label 30532: @2265574
     /* 2265574 */   GIM_Try, /*On fail goto*//*Label 30533*/ GIMT_Encode4(2265618), // Rule ID 52143 //
     /* 2265579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265582 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2265585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2265599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265608 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265617 */     // GIR_Coverage, 52143,
     /* 2265617 */     GIR_EraseRootFromParent_Done,
     /* 2265618 */   // Label 30533: @2265618
     /* 2265618 */   GIM_Reject,
     /* 2265619 */ // Label 30531: @2265619
     /* 2265619 */ GIM_Reject,
     /* 2265620 */ // Label 30471: @2265620
     /* 2265620 */ GIM_Try, /*On fail goto*//*Label 30534*/ GIMT_Encode4(2265827),
     /* 2265625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2265628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2265631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2265634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2265638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265646 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265650 */   GIM_Try, /*On fail goto*//*Label 30535*/ GIMT_Encode4(2265694), // Rule ID 52172 //
     /* 2265655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265658 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265684 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265693 */     // GIR_Coverage, 52172,
     /* 2265693 */     GIR_EraseRootFromParent_Done,
     /* 2265694 */   // Label 30535: @2265694
     /* 2265694 */   GIM_Try, /*On fail goto*//*Label 30536*/ GIMT_Encode4(2265738), // Rule ID 52173 //
     /* 2265699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265702 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265728 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265737 */     // GIR_Coverage, 52173,
     /* 2265737 */     GIR_EraseRootFromParent_Done,
     /* 2265738 */   // Label 30536: @2265738
     /* 2265738 */   GIM_Try, /*On fail goto*//*Label 30537*/ GIMT_Encode4(2265782), // Rule ID 58000 //
     /* 2265743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265746 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265772 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265781 */     // GIR_Coverage, 58000,
     /* 2265781 */     GIR_EraseRootFromParent_Done,
     /* 2265782 */   // Label 30537: @2265782
     /* 2265782 */   GIM_Try, /*On fail goto*//*Label 30538*/ GIMT_Encode4(2265826), // Rule ID 58001 //
     /* 2265787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265790 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2265793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2265807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265816 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265825 */     // GIR_Coverage, 58001,
     /* 2265825 */     GIR_EraseRootFromParent_Done,
     /* 2265826 */   // Label 30538: @2265826
     /* 2265826 */   GIM_Reject,
     /* 2265827 */ // Label 30534: @2265827
     /* 2265827 */ GIM_Reject,
     /* 2265828 */ // Label 30472: @2265828
     /* 2265828 */ GIM_Try, /*On fail goto*//*Label 30539*/ GIMT_Encode4(2266035),
     /* 2265833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2265836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2265839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2265842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2265846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265854 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265858 */   GIM_Try, /*On fail goto*//*Label 30540*/ GIMT_Encode4(2265902), // Rule ID 52226 //
     /* 2265863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265866 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2265869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2265883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265892 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265901 */     // GIR_Coverage, 52226,
     /* 2265901 */     GIR_EraseRootFromParent_Done,
     /* 2265902 */   // Label 30540: @2265902
     /* 2265902 */   GIM_Try, /*On fail goto*//*Label 30541*/ GIMT_Encode4(2265946), // Rule ID 52227 //
     /* 2265907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265910 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2265913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2265927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265936 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265945 */     // GIR_Coverage, 52227,
     /* 2265945 */     GIR_EraseRootFromParent_Done,
     /* 2265946 */   // Label 30541: @2265946
     /* 2265946 */   GIM_Try, /*On fail goto*//*Label 30542*/ GIMT_Encode4(2265990), // Rule ID 58060 //
     /* 2265951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265954 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2265957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2265971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265980 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2265982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265989 */     // GIR_Coverage, 58060,
     /* 2265989 */     GIR_EraseRootFromParent_Done,
     /* 2265990 */   // Label 30542: @2265990
     /* 2265990 */   GIM_Try, /*On fail goto*//*Label 30543*/ GIMT_Encode4(2266034), // Rule ID 58061 //
     /* 2265995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265998 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2266001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2266015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266024 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266033 */     // GIR_Coverage, 58061,
     /* 2266033 */     GIR_EraseRootFromParent_Done,
     /* 2266034 */   // Label 30543: @2266034
     /* 2266034 */   GIM_Reject,
     /* 2266035 */ // Label 30539: @2266035
     /* 2266035 */ GIM_Reject,
     /* 2266036 */ // Label 30473: @2266036
     /* 2266036 */ GIM_Try, /*On fail goto*//*Label 30544*/ GIMT_Encode4(2266243),
     /* 2266041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2266044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2266047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2266050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2266054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266066 */   GIM_Try, /*On fail goto*//*Label 30545*/ GIMT_Encode4(2266110), // Rule ID 52250 //
     /* 2266071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2266074 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2266074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266100 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266109 */     // GIR_Coverage, 52250,
     /* 2266109 */     GIR_EraseRootFromParent_Done,
     /* 2266110 */   // Label 30545: @2266110
     /* 2266110 */   GIM_Try, /*On fail goto*//*Label 30546*/ GIMT_Encode4(2266154), // Rule ID 52251 //
     /* 2266115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2266118 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2266118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266144 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266153 */     // GIR_Coverage, 52251,
     /* 2266153 */     GIR_EraseRootFromParent_Done,
     /* 2266154 */   // Label 30546: @2266154
     /* 2266154 */   GIM_Try, /*On fail goto*//*Label 30547*/ GIMT_Encode4(2266198), // Rule ID 58100 //
     /* 2266159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2266162 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2266162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266188 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266197 */     // GIR_Coverage, 58100,
     /* 2266197 */     GIR_EraseRootFromParent_Done,
     /* 2266198 */   // Label 30547: @2266198
     /* 2266198 */   GIM_Try, /*On fail goto*//*Label 30548*/ GIMT_Encode4(2266242), // Rule ID 58101 //
     /* 2266203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2266206 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2266206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266232 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266241 */     // GIR_Coverage, 58101,
     /* 2266241 */     GIR_EraseRootFromParent_Done,
     /* 2266242 */   // Label 30548: @2266242
     /* 2266242 */   GIM_Reject,
     /* 2266243 */ // Label 30544: @2266243
     /* 2266243 */ GIM_Reject,
     /* 2266244 */ // Label 30474: @2266244
     /* 2266244 */ GIM_Try, /*On fail goto*//*Label 30549*/ GIMT_Encode4(2266363),
     /* 2266249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2266252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2266255 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2266258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266270 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266274 */   GIM_Try, /*On fail goto*//*Label 30550*/ GIMT_Encode4(2266318), // Rule ID 52166 //
     /* 2266279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266282 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2266285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2266299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266308 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266317 */     // GIR_Coverage, 52166,
     /* 2266317 */     GIR_EraseRootFromParent_Done,
     /* 2266318 */   // Label 30550: @2266318
     /* 2266318 */   GIM_Try, /*On fail goto*//*Label 30551*/ GIMT_Encode4(2266362), // Rule ID 52167 //
     /* 2266323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266326 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2266329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2266343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266352 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266361 */     // GIR_Coverage, 52167,
     /* 2266361 */     GIR_EraseRootFromParent_Done,
     /* 2266362 */   // Label 30551: @2266362
     /* 2266362 */   GIM_Reject,
     /* 2266363 */ // Label 30549: @2266363
     /* 2266363 */ GIM_Reject,
     /* 2266364 */ // Label 30475: @2266364
     /* 2266364 */ GIM_Try, /*On fail goto*//*Label 30552*/ GIMT_Encode4(2266571),
     /* 2266369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2266372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2266378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2266382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266390 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266394 */   GIM_Try, /*On fail goto*//*Label 30553*/ GIMT_Encode4(2266438), // Rule ID 52208 //
     /* 2266399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266402 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2266419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266428 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266437 */     // GIR_Coverage, 52208,
     /* 2266437 */     GIR_EraseRootFromParent_Done,
     /* 2266438 */   // Label 30553: @2266438
     /* 2266438 */   GIM_Try, /*On fail goto*//*Label 30554*/ GIMT_Encode4(2266482), // Rule ID 52209 //
     /* 2266443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266446 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2266463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266472 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266481 */     // GIR_Coverage, 52209,
     /* 2266481 */     GIR_EraseRootFromParent_Done,
     /* 2266482 */   // Label 30554: @2266482
     /* 2266482 */   GIM_Try, /*On fail goto*//*Label 30555*/ GIMT_Encode4(2266526), // Rule ID 58030 //
     /* 2266487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266490 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2266507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266516 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266525 */     // GIR_Coverage, 58030,
     /* 2266525 */     GIR_EraseRootFromParent_Done,
     /* 2266526 */   // Label 30555: @2266526
     /* 2266526 */   GIM_Try, /*On fail goto*//*Label 30556*/ GIMT_Encode4(2266570), // Rule ID 58031 //
     /* 2266531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266534 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2266551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266560 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266569 */     // GIR_Coverage, 58031,
     /* 2266569 */     GIR_EraseRootFromParent_Done,
     /* 2266570 */   // Label 30556: @2266570
     /* 2266570 */   GIM_Reject,
     /* 2266571 */ // Label 30552: @2266571
     /* 2266571 */ GIM_Reject,
     /* 2266572 */ // Label 30476: @2266572
     /* 2266572 */ GIM_Try, /*On fail goto*//*Label 30557*/ GIMT_Encode4(2266779),
     /* 2266577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2266580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2266586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2266590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266598 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266602 */   GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2266646), // Rule ID 52232 //
     /* 2266607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266610 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266636 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266645 */     // GIR_Coverage, 52232,
     /* 2266645 */     GIR_EraseRootFromParent_Done,
     /* 2266646 */   // Label 30558: @2266646
     /* 2266646 */   GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2266690), // Rule ID 52233 //
     /* 2266651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266654 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266680 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266689 */     // GIR_Coverage, 52233,
     /* 2266689 */     GIR_EraseRootFromParent_Done,
     /* 2266690 */   // Label 30559: @2266690
     /* 2266690 */   GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2266734), // Rule ID 58070 //
     /* 2266695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266698 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266724 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266733 */     // GIR_Coverage, 58070,
     /* 2266733 */     GIR_EraseRootFromParent_Done,
     /* 2266734 */   // Label 30560: @2266734
     /* 2266734 */   GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2266778), // Rule ID 58071 //
     /* 2266739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266742 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2266759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266768 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266777 */     // GIR_Coverage, 58071,
     /* 2266777 */     GIR_EraseRootFromParent_Done,
     /* 2266778 */   // Label 30561: @2266778
     /* 2266778 */   GIM_Reject,
     /* 2266779 */ // Label 30557: @2266779
     /* 2266779 */ GIM_Reject,
     /* 2266780 */ // Label 30477: @2266780
     /* 2266780 */ GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2266987),
     /* 2266785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2266788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2266791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2266794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2266798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266810 */   GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2266854), // Rule ID 52256 //
     /* 2266815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2266818 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2266818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2266821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2266835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266844 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266853 */     // GIR_Coverage, 52256,
     /* 2266853 */     GIR_EraseRootFromParent_Done,
     /* 2266854 */   // Label 30563: @2266854
     /* 2266854 */   GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2266898), // Rule ID 52257 //
     /* 2266859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2266862 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2266862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2266865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2266879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266888 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266897 */     // GIR_Coverage, 52257,
     /* 2266897 */     GIR_EraseRootFromParent_Done,
     /* 2266898 */   // Label 30564: @2266898
     /* 2266898 */   GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2266942), // Rule ID 58110 //
     /* 2266903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2266906 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2266906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2266909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2266923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266932 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266941 */     // GIR_Coverage, 58110,
     /* 2266941 */     GIR_EraseRootFromParent_Done,
     /* 2266942 */   // Label 30565: @2266942
     /* 2266942 */   GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2266986), // Rule ID 58111 //
     /* 2266947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2266950 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2266950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2266953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2266967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266976 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2266978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266985 */     // GIR_Coverage, 58111,
     /* 2266985 */     GIR_EraseRootFromParent_Done,
     /* 2266986 */   // Label 30566: @2266986
     /* 2266986 */   GIM_Reject,
     /* 2266987 */ // Label 30562: @2266987
     /* 2266987 */ GIM_Reject,
     /* 2266988 */ // Label 30478: @2266988
     /* 2266988 */ GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2267107),
     /* 2266993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2266996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2266999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2267002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2267006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267018 */   GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2267062), // Rule ID 52190 //
     /* 2267023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267026 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2267029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2267043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267052 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267061 */     // GIR_Coverage, 52190,
     /* 2267061 */     GIR_EraseRootFromParent_Done,
     /* 2267062 */   // Label 30568: @2267062
     /* 2267062 */   GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2267106), // Rule ID 52191 //
     /* 2267067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267070 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2267073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2267087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267096 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267105 */     // GIR_Coverage, 52191,
     /* 2267105 */     GIR_EraseRootFromParent_Done,
     /* 2267106 */   // Label 30569: @2267106
     /* 2267106 */   GIM_Reject,
     /* 2267107 */ // Label 30567: @2267107
     /* 2267107 */ GIM_Reject,
     /* 2267108 */ // Label 30479: @2267108
     /* 2267108 */ GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2267315),
     /* 2267113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2267116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2267126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267138 */   GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2267182), // Rule ID 52214 //
     /* 2267143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267146 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2267163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267172 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267181 */     // GIR_Coverage, 52214,
     /* 2267181 */     GIR_EraseRootFromParent_Done,
     /* 2267182 */   // Label 30571: @2267182
     /* 2267182 */   GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2267226), // Rule ID 52215 //
     /* 2267187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267190 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2267207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267216 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267225 */     // GIR_Coverage, 52215,
     /* 2267225 */     GIR_EraseRootFromParent_Done,
     /* 2267226 */   // Label 30572: @2267226
     /* 2267226 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2267270), // Rule ID 58040 //
     /* 2267231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267234 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2267251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267260 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267269 */     // GIR_Coverage, 58040,
     /* 2267269 */     GIR_EraseRootFromParent_Done,
     /* 2267270 */   // Label 30573: @2267270
     /* 2267270 */   GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2267314), // Rule ID 58041 //
     /* 2267275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267278 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2267295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267304 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267313 */     // GIR_Coverage, 58041,
     /* 2267313 */     GIR_EraseRootFromParent_Done,
     /* 2267314 */   // Label 30574: @2267314
     /* 2267314 */   GIM_Reject,
     /* 2267315 */ // Label 30570: @2267315
     /* 2267315 */ GIM_Reject,
     /* 2267316 */ // Label 30480: @2267316
     /* 2267316 */ GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2267523),
     /* 2267321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2267324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2267334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267342 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267346 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2267390), // Rule ID 52238 //
     /* 2267351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267354 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267380 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267389 */     // GIR_Coverage, 52238,
     /* 2267389 */     GIR_EraseRootFromParent_Done,
     /* 2267390 */   // Label 30576: @2267390
     /* 2267390 */   GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2267434), // Rule ID 52239 //
     /* 2267395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267398 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267424 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267433 */     // GIR_Coverage, 52239,
     /* 2267433 */     GIR_EraseRootFromParent_Done,
     /* 2267434 */   // Label 30577: @2267434
     /* 2267434 */   GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2267478), // Rule ID 58080 //
     /* 2267439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267442 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267468 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267477 */     // GIR_Coverage, 58080,
     /* 2267477 */     GIR_EraseRootFromParent_Done,
     /* 2267478 */   // Label 30578: @2267478
     /* 2267478 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2267522), // Rule ID 58081 //
     /* 2267483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267486 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267512 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267521 */     // GIR_Coverage, 58081,
     /* 2267521 */     GIR_EraseRootFromParent_Done,
     /* 2267522 */   // Label 30579: @2267522
     /* 2267522 */   GIM_Reject,
     /* 2267523 */ // Label 30575: @2267523
     /* 2267523 */ GIM_Reject,
     /* 2267524 */ // Label 30481: @2267524
     /* 2267524 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2267643),
     /* 2267529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2267532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2267535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2267538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2267542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267550 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267554 */   GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2267598), // Rule ID 52196 //
     /* 2267559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267562 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2267565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2267579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267588 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267597 */     // GIR_Coverage, 52196,
     /* 2267597 */     GIR_EraseRootFromParent_Done,
     /* 2267598 */   // Label 30581: @2267598
     /* 2267598 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2267642), // Rule ID 52197 //
     /* 2267603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267606 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2267609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2267623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267632 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267641 */     // GIR_Coverage, 52197,
     /* 2267641 */     GIR_EraseRootFromParent_Done,
     /* 2267642 */   // Label 30582: @2267642
     /* 2267642 */   GIM_Reject,
     /* 2267643 */ // Label 30580: @2267643
     /* 2267643 */ GIM_Reject,
     /* 2267644 */ // Label 30482: @2267644
     /* 2267644 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2267851),
     /* 2267649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2267652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2267658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2267662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267674 */   GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2267718), // Rule ID 52220 //
     /* 2267679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267682 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267708 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267717 */     // GIR_Coverage, 52220,
     /* 2267717 */     GIR_EraseRootFromParent_Done,
     /* 2267718 */   // Label 30584: @2267718
     /* 2267718 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2267762), // Rule ID 52221 //
     /* 2267723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267726 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267752 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267761 */     // GIR_Coverage, 52221,
     /* 2267761 */     GIR_EraseRootFromParent_Done,
     /* 2267762 */   // Label 30585: @2267762
     /* 2267762 */   GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2267806), // Rule ID 58050 //
     /* 2267767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267770 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267796 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267805 */     // GIR_Coverage, 58050,
     /* 2267805 */     GIR_EraseRootFromParent_Done,
     /* 2267806 */   // Label 30586: @2267806
     /* 2267806 */   GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2267850), // Rule ID 58051 //
     /* 2267811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267814 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267840 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267849 */     // GIR_Coverage, 58051,
     /* 2267849 */     GIR_EraseRootFromParent_Done,
     /* 2267850 */   // Label 30587: @2267850
     /* 2267850 */   GIM_Reject,
     /* 2267851 */ // Label 30583: @2267851
     /* 2267851 */ GIM_Reject,
     /* 2267852 */ // Label 30483: @2267852
     /* 2267852 */ GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2267971),
     /* 2267857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2267860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2267863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2267866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2267870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267878 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267882 */   GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2267926), // Rule ID 52202 //
     /* 2267887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267890 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2267893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267916 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267925 */     // GIR_Coverage, 52202,
     /* 2267925 */     GIR_EraseRootFromParent_Done,
     /* 2267926 */   // Label 30589: @2267926
     /* 2267926 */   GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2267970), // Rule ID 52203 //
     /* 2267931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267934 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2267937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2267951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267960 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2267962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267969 */     // GIR_Coverage, 52203,
     /* 2267969 */     GIR_EraseRootFromParent_Done,
     /* 2267970 */   // Label 30590: @2267970
     /* 2267970 */   GIM_Reject,
     /* 2267971 */ // Label 30588: @2267971
     /* 2267971 */ GIM_Reject,
     /* 2267972 */ // Label 30484: @2267972
     /* 2267972 */ GIM_Reject,
     /* 2267973 */ // Label 51: @2267973
     /* 2267973 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30615*/ GIMT_Encode4(2270706),
     /* 2267984 */ /*GILLT_s32*//*Label 30591*/ GIMT_Encode4(2268108),
     /* 2267988 */ /*GILLT_s64*//*Label 30592*/ GIMT_Encode4(2268142), GIMT_Encode4(0),
     /* 2267996 */ /*GILLT_nxv1s8*//*Label 30593*/ GIMT_Encode4(2268176),
     /* 2268000 */ /*GILLT_nxv1s16*//*Label 30594*/ GIMT_Encode4(2268291),
     /* 2268004 */ /*GILLT_nxv1s32*//*Label 30595*/ GIMT_Encode4(2268406),
     /* 2268008 */ /*GILLT_nxv1s64*//*Label 30596*/ GIMT_Encode4(2268521), GIMT_Encode4(0),
     /* 2268016 */ /*GILLT_nxv2s8*//*Label 30597*/ GIMT_Encode4(2268636),
     /* 2268020 */ /*GILLT_nxv2s16*//*Label 30598*/ GIMT_Encode4(2268751),
     /* 2268024 */ /*GILLT_nxv2s32*//*Label 30599*/ GIMT_Encode4(2268866),
     /* 2268028 */ /*GILLT_nxv2s64*//*Label 30600*/ GIMT_Encode4(2268981), GIMT_Encode4(0),
     /* 2268036 */ /*GILLT_nxv4s8*//*Label 30601*/ GIMT_Encode4(2269096),
     /* 2268040 */ /*GILLT_nxv4s16*//*Label 30602*/ GIMT_Encode4(2269211),
     /* 2268044 */ /*GILLT_nxv4s32*//*Label 30603*/ GIMT_Encode4(2269326),
     /* 2268048 */ /*GILLT_nxv4s64*//*Label 30604*/ GIMT_Encode4(2269441), GIMT_Encode4(0),
     /* 2268056 */ /*GILLT_nxv8s8*//*Label 30605*/ GIMT_Encode4(2269556),
     /* 2268060 */ /*GILLT_nxv8s16*//*Label 30606*/ GIMT_Encode4(2269671),
     /* 2268064 */ /*GILLT_nxv8s32*//*Label 30607*/ GIMT_Encode4(2269786),
     /* 2268068 */ /*GILLT_nxv8s64*//*Label 30608*/ GIMT_Encode4(2269901), GIMT_Encode4(0),
     /* 2268076 */ /*GILLT_nxv16s8*//*Label 30609*/ GIMT_Encode4(2270016),
     /* 2268080 */ /*GILLT_nxv16s16*//*Label 30610*/ GIMT_Encode4(2270131),
     /* 2268084 */ /*GILLT_nxv16s32*//*Label 30611*/ GIMT_Encode4(2270246), GIMT_Encode4(0),
     /* 2268092 */ /*GILLT_nxv32s8*//*Label 30612*/ GIMT_Encode4(2270361),
     /* 2268096 */ /*GILLT_nxv32s16*//*Label 30613*/ GIMT_Encode4(2270476), GIMT_Encode4(0),
     /* 2268104 */ /*GILLT_nxv64s8*//*Label 30614*/ GIMT_Encode4(2270591),
     /* 2268108 */ // Label 30591: @2268108
     /* 2268108 */ GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2268141), // Rule ID 294 //
     /* 2268113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2268116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2268119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2268122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268134 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2268134 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2268139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268140 */   // GIR_Coverage, 294,
     /* 2268140 */   GIR_Done,
     /* 2268141 */ // Label 30616: @2268141
     /* 2268141 */ GIM_Reject,
     /* 2268142 */ // Label 30592: @2268142
     /* 2268142 */ GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2268175), // Rule ID 293 //
     /* 2268147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2268150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2268153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2268156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268168 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2268168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2268173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268174 */   // GIR_Coverage, 293,
     /* 2268174 */   GIR_Done,
     /* 2268175 */ // Label 30617: @2268175
     /* 2268175 */ GIM_Reject,
     /* 2268176 */ // Label 30593: @2268176
     /* 2268176 */ GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2268290),
     /* 2268181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2268184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2268187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268199 */   GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2268244), // Rule ID 50906 //
     /* 2268204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268207 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2268210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2268224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268243 */     // GIR_Coverage, 50906,
     /* 2268243 */     GIR_EraseRootFromParent_Done,
     /* 2268244 */   // Label 30619: @2268244
     /* 2268244 */   GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2268289), // Rule ID 50907 //
     /* 2268249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268252 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2268255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2268269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268288 */     // GIR_Coverage, 50907,
     /* 2268288 */     GIR_EraseRootFromParent_Done,
     /* 2268289 */   // Label 30620: @2268289
     /* 2268289 */   GIM_Reject,
     /* 2268290 */ // Label 30618: @2268290
     /* 2268290 */ GIM_Reject,
     /* 2268291 */ // Label 30594: @2268291
     /* 2268291 */ GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2268405),
     /* 2268296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2268299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268314 */   GIM_Try, /*On fail goto*//*Label 30622*/ GIMT_Encode4(2268359), // Rule ID 50918 //
     /* 2268319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268322 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2268325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2268339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268358 */     // GIR_Coverage, 50918,
     /* 2268358 */     GIR_EraseRootFromParent_Done,
     /* 2268359 */   // Label 30622: @2268359
     /* 2268359 */   GIM_Try, /*On fail goto*//*Label 30623*/ GIMT_Encode4(2268404), // Rule ID 50919 //
     /* 2268364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268367 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2268370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2268384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268403 */     // GIR_Coverage, 50919,
     /* 2268403 */     GIR_EraseRootFromParent_Done,
     /* 2268404 */   // Label 30623: @2268404
     /* 2268404 */   GIM_Reject,
     /* 2268405 */ // Label 30621: @2268405
     /* 2268405 */ GIM_Reject,
     /* 2268406 */ // Label 30595: @2268406
     /* 2268406 */ GIM_Try, /*On fail goto*//*Label 30624*/ GIMT_Encode4(2268520),
     /* 2268411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2268414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268429 */   GIM_Try, /*On fail goto*//*Label 30625*/ GIMT_Encode4(2268474), // Rule ID 50926 //
     /* 2268434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268437 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2268454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268473 */     // GIR_Coverage, 50926,
     /* 2268473 */     GIR_EraseRootFromParent_Done,
     /* 2268474 */   // Label 30625: @2268474
     /* 2268474 */   GIM_Try, /*On fail goto*//*Label 30626*/ GIMT_Encode4(2268519), // Rule ID 50927 //
     /* 2268479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268482 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2268499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268518 */     // GIR_Coverage, 50927,
     /* 2268518 */     GIR_EraseRootFromParent_Done,
     /* 2268519 */   // Label 30626: @2268519
     /* 2268519 */   GIM_Reject,
     /* 2268520 */ // Label 30624: @2268520
     /* 2268520 */ GIM_Reject,
     /* 2268521 */ // Label 30596: @2268521
     /* 2268521 */ GIM_Try, /*On fail goto*//*Label 30627*/ GIMT_Encode4(2268635),
     /* 2268526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2268529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2268532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268544 */   GIM_Try, /*On fail goto*//*Label 30628*/ GIMT_Encode4(2268589), // Rule ID 50994 //
     /* 2268549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2268552 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2268555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2268569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268588 */     // GIR_Coverage, 50994,
     /* 2268588 */     GIR_EraseRootFromParent_Done,
     /* 2268589 */   // Label 30628: @2268589
     /* 2268589 */   GIM_Try, /*On fail goto*//*Label 30629*/ GIMT_Encode4(2268634), // Rule ID 50995 //
     /* 2268594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2268597 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2268600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2268614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268633 */     // GIR_Coverage, 50995,
     /* 2268633 */     GIR_EraseRootFromParent_Done,
     /* 2268634 */   // Label 30629: @2268634
     /* 2268634 */   GIM_Reject,
     /* 2268635 */ // Label 30627: @2268635
     /* 2268635 */ GIM_Reject,
     /* 2268636 */ // Label 30597: @2268636
     /* 2268636 */ GIM_Try, /*On fail goto*//*Label 30630*/ GIMT_Encode4(2268750),
     /* 2268641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2268644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2268647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268659 */   GIM_Try, /*On fail goto*//*Label 30631*/ GIMT_Encode4(2268704), // Rule ID 50910 //
     /* 2268664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268667 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2268670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2268684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268703 */     // GIR_Coverage, 50910,
     /* 2268703 */     GIR_EraseRootFromParent_Done,
     /* 2268704 */   // Label 30631: @2268704
     /* 2268704 */   GIM_Try, /*On fail goto*//*Label 30632*/ GIMT_Encode4(2268749), // Rule ID 50911 //
     /* 2268709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268712 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2268715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2268729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268748 */     // GIR_Coverage, 50911,
     /* 2268748 */     GIR_EraseRootFromParent_Done,
     /* 2268749 */   // Label 30632: @2268749
     /* 2268749 */   GIM_Reject,
     /* 2268750 */ // Label 30630: @2268750
     /* 2268750 */ GIM_Reject,
     /* 2268751 */ // Label 30598: @2268751
     /* 2268751 */ GIM_Try, /*On fail goto*//*Label 30633*/ GIMT_Encode4(2268865),
     /* 2268756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2268759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2268762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268774 */   GIM_Try, /*On fail goto*//*Label 30634*/ GIMT_Encode4(2268819), // Rule ID 50922 //
     /* 2268779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268782 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2268785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2268799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268818 */     // GIR_Coverage, 50922,
     /* 2268818 */     GIR_EraseRootFromParent_Done,
     /* 2268819 */   // Label 30634: @2268819
     /* 2268819 */   GIM_Try, /*On fail goto*//*Label 30635*/ GIMT_Encode4(2268864), // Rule ID 50923 //
     /* 2268824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268827 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2268830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2268844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268863 */     // GIR_Coverage, 50923,
     /* 2268863 */     GIR_EraseRootFromParent_Done,
     /* 2268864 */   // Label 30635: @2268864
     /* 2268864 */   GIM_Reject,
     /* 2268865 */ // Label 30633: @2268865
     /* 2268865 */ GIM_Reject,
     /* 2268866 */ // Label 30599: @2268866
     /* 2268866 */ GIM_Try, /*On fail goto*//*Label 30636*/ GIMT_Encode4(2268980),
     /* 2268871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2268874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2268877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268889 */   GIM_Try, /*On fail goto*//*Label 30637*/ GIMT_Encode4(2268934), // Rule ID 50938 //
     /* 2268894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268897 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2268900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2268914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268933 */     // GIR_Coverage, 50938,
     /* 2268933 */     GIR_EraseRootFromParent_Done,
     /* 2268934 */   // Label 30637: @2268934
     /* 2268934 */   GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2268979), // Rule ID 50939 //
     /* 2268939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268942 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2268945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2268959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268978 */     // GIR_Coverage, 50939,
     /* 2268978 */     GIR_EraseRootFromParent_Done,
     /* 2268979 */   // Label 30638: @2268979
     /* 2268979 */   GIM_Reject,
     /* 2268980 */ // Label 30636: @2268980
     /* 2268980 */ GIM_Reject,
     /* 2268981 */ // Label 30600: @2268981
     /* 2268981 */ GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2269095),
     /* 2268986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2268989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2268992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269004 */   GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2269049), // Rule ID 50998 //
     /* 2269009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2269012 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2269029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269048 */     // GIR_Coverage, 50998,
     /* 2269048 */     GIR_EraseRootFromParent_Done,
     /* 2269049 */   // Label 30640: @2269049
     /* 2269049 */   GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2269094), // Rule ID 50999 //
     /* 2269054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2269057 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2269074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269093 */     // GIR_Coverage, 50999,
     /* 2269093 */     GIR_EraseRootFromParent_Done,
     /* 2269094 */   // Label 30641: @2269094
     /* 2269094 */   GIM_Reject,
     /* 2269095 */ // Label 30639: @2269095
     /* 2269095 */ GIM_Reject,
     /* 2269096 */ // Label 30601: @2269096
     /* 2269096 */ GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2269210),
     /* 2269101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2269104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2269107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269119 */   GIM_Try, /*On fail goto*//*Label 30643*/ GIMT_Encode4(2269164), // Rule ID 50914 //
     /* 2269124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269127 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2269130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2269144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269163 */     // GIR_Coverage, 50914,
     /* 2269163 */     GIR_EraseRootFromParent_Done,
     /* 2269164 */   // Label 30643: @2269164
     /* 2269164 */   GIM_Try, /*On fail goto*//*Label 30644*/ GIMT_Encode4(2269209), // Rule ID 50915 //
     /* 2269169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269172 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2269175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2269189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269208 */     // GIR_Coverage, 50915,
     /* 2269208 */     GIR_EraseRootFromParent_Done,
     /* 2269209 */   // Label 30644: @2269209
     /* 2269209 */   GIM_Reject,
     /* 2269210 */ // Label 30642: @2269210
     /* 2269210 */ GIM_Reject,
     /* 2269211 */ // Label 30602: @2269211
     /* 2269211 */ GIM_Try, /*On fail goto*//*Label 30645*/ GIMT_Encode4(2269325),
     /* 2269216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2269219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2269222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269234 */   GIM_Try, /*On fail goto*//*Label 30646*/ GIMT_Encode4(2269279), // Rule ID 50934 //
     /* 2269239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269242 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2269245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2269259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269278 */     // GIR_Coverage, 50934,
     /* 2269278 */     GIR_EraseRootFromParent_Done,
     /* 2269279 */   // Label 30646: @2269279
     /* 2269279 */   GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2269324), // Rule ID 50935 //
     /* 2269284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269287 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2269290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2269304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269323 */     // GIR_Coverage, 50935,
     /* 2269323 */     GIR_EraseRootFromParent_Done,
     /* 2269324 */   // Label 30647: @2269324
     /* 2269324 */   GIM_Reject,
     /* 2269325 */ // Label 30645: @2269325
     /* 2269325 */ GIM_Reject,
     /* 2269326 */ // Label 30603: @2269326
     /* 2269326 */ GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2269440),
     /* 2269331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2269334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2269337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269349 */   GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2269394), // Rule ID 50966 //
     /* 2269354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269357 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2269374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269393 */     // GIR_Coverage, 50966,
     /* 2269393 */     GIR_EraseRootFromParent_Done,
     /* 2269394 */   // Label 30649: @2269394
     /* 2269394 */   GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2269439), // Rule ID 50967 //
     /* 2269399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269402 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2269419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269438 */     // GIR_Coverage, 50967,
     /* 2269438 */     GIR_EraseRootFromParent_Done,
     /* 2269439 */   // Label 30650: @2269439
     /* 2269439 */   GIM_Reject,
     /* 2269440 */ // Label 30648: @2269440
     /* 2269440 */ GIM_Reject,
     /* 2269441 */ // Label 30604: @2269441
     /* 2269441 */ GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2269555),
     /* 2269446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2269449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2269452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269464 */   GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2269509), // Rule ID 51002 //
     /* 2269469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2269472 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2269475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2269489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269508 */     // GIR_Coverage, 51002,
     /* 2269508 */     GIR_EraseRootFromParent_Done,
     /* 2269509 */   // Label 30652: @2269509
     /* 2269509 */   GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2269554), // Rule ID 51003 //
     /* 2269514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2269517 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2269520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2269534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269553 */     // GIR_Coverage, 51003,
     /* 2269553 */     GIR_EraseRootFromParent_Done,
     /* 2269554 */   // Label 30653: @2269554
     /* 2269554 */   GIM_Reject,
     /* 2269555 */ // Label 30651: @2269555
     /* 2269555 */ GIM_Reject,
     /* 2269556 */ // Label 30605: @2269556
     /* 2269556 */ GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2269670),
     /* 2269561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2269564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2269567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269579 */   GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2269624), // Rule ID 50930 //
     /* 2269584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269587 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2269590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2269604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269623 */     // GIR_Coverage, 50930,
     /* 2269623 */     GIR_EraseRootFromParent_Done,
     /* 2269624 */   // Label 30655: @2269624
     /* 2269624 */   GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2269669), // Rule ID 50931 //
     /* 2269629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269632 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2269635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2269649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269668 */     // GIR_Coverage, 50931,
     /* 2269668 */     GIR_EraseRootFromParent_Done,
     /* 2269669 */   // Label 30656: @2269669
     /* 2269669 */   GIM_Reject,
     /* 2269670 */ // Label 30654: @2269670
     /* 2269670 */ GIM_Reject,
     /* 2269671 */ // Label 30606: @2269671
     /* 2269671 */ GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2269785),
     /* 2269676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2269679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2269682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269694 */   GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2269739), // Rule ID 50954 //
     /* 2269699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269702 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2269705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2269719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269738 */     // GIR_Coverage, 50954,
     /* 2269738 */     GIR_EraseRootFromParent_Done,
     /* 2269739 */   // Label 30658: @2269739
     /* 2269739 */   GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2269784), // Rule ID 50955 //
     /* 2269744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269747 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2269750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2269764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269783 */     // GIR_Coverage, 50955,
     /* 2269783 */     GIR_EraseRootFromParent_Done,
     /* 2269784 */   // Label 30659: @2269784
     /* 2269784 */   GIM_Reject,
     /* 2269785 */ // Label 30657: @2269785
     /* 2269785 */ GIM_Reject,
     /* 2269786 */ // Label 30607: @2269786
     /* 2269786 */ GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2269900),
     /* 2269791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2269794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2269797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269809 */   GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2269854), // Rule ID 50970 //
     /* 2269814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269817 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2269820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2269834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269853 */     // GIR_Coverage, 50970,
     /* 2269853 */     GIR_EraseRootFromParent_Done,
     /* 2269854 */   // Label 30661: @2269854
     /* 2269854 */   GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2269899), // Rule ID 50971 //
     /* 2269859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269862 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2269865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2269879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269898 */     // GIR_Coverage, 50971,
     /* 2269898 */     GIR_EraseRootFromParent_Done,
     /* 2269899 */   // Label 30662: @2269899
     /* 2269899 */   GIM_Reject,
     /* 2269900 */ // Label 30660: @2269900
     /* 2269900 */ GIM_Reject,
     /* 2269901 */ // Label 30608: @2269901
     /* 2269901 */ GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2270015),
     /* 2269906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2269909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2269912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269924 */   GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2269969), // Rule ID 51006 //
     /* 2269929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2269932 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2269935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2269949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269968 */     // GIR_Coverage, 51006,
     /* 2269968 */     GIR_EraseRootFromParent_Done,
     /* 2269969 */   // Label 30664: @2269969
     /* 2269969 */   GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2270014), // Rule ID 51007 //
     /* 2269974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2269977 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2269980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2269994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270013 */     // GIR_Coverage, 51007,
     /* 2270013 */     GIR_EraseRootFromParent_Done,
     /* 2270014 */   // Label 30665: @2270014
     /* 2270014 */   GIM_Reject,
     /* 2270015 */ // Label 30663: @2270015
     /* 2270015 */ GIM_Reject,
     /* 2270016 */ // Label 30609: @2270016
     /* 2270016 */ GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2270130),
     /* 2270021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2270024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2270027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270039 */   GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2270084), // Rule ID 50942 //
     /* 2270044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270047 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2270050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2270064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270083 */     // GIR_Coverage, 50942,
     /* 2270083 */     GIR_EraseRootFromParent_Done,
     /* 2270084 */   // Label 30667: @2270084
     /* 2270084 */   GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2270129), // Rule ID 50943 //
     /* 2270089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270092 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2270095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2270109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270128 */     // GIR_Coverage, 50943,
     /* 2270128 */     GIR_EraseRootFromParent_Done,
     /* 2270129 */   // Label 30668: @2270129
     /* 2270129 */   GIM_Reject,
     /* 2270130 */ // Label 30666: @2270130
     /* 2270130 */ GIM_Reject,
     /* 2270131 */ // Label 30610: @2270131
     /* 2270131 */ GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2270245),
     /* 2270136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2270139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2270142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270154 */   GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2270199), // Rule ID 50958 //
     /* 2270159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270162 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2270165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2270179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270198 */     // GIR_Coverage, 50958,
     /* 2270198 */     GIR_EraseRootFromParent_Done,
     /* 2270199 */   // Label 30670: @2270199
     /* 2270199 */   GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2270244), // Rule ID 50959 //
     /* 2270204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270207 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2270210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2270224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270243 */     // GIR_Coverage, 50959,
     /* 2270243 */     GIR_EraseRootFromParent_Done,
     /* 2270244 */   // Label 30671: @2270244
     /* 2270244 */   GIM_Reject,
     /* 2270245 */ // Label 30669: @2270245
     /* 2270245 */ GIM_Reject,
     /* 2270246 */ // Label 30611: @2270246
     /* 2270246 */ GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2270360),
     /* 2270251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2270254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2270257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270269 */   GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2270314), // Rule ID 50974 //
     /* 2270274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270277 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2270294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270313 */     // GIR_Coverage, 50974,
     /* 2270313 */     GIR_EraseRootFromParent_Done,
     /* 2270314 */   // Label 30673: @2270314
     /* 2270314 */   GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2270359), // Rule ID 50975 //
     /* 2270319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270322 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2270339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270358 */     // GIR_Coverage, 50975,
     /* 2270358 */     GIR_EraseRootFromParent_Done,
     /* 2270359 */   // Label 30674: @2270359
     /* 2270359 */   GIM_Reject,
     /* 2270360 */ // Label 30672: @2270360
     /* 2270360 */ GIM_Reject,
     /* 2270361 */ // Label 30612: @2270361
     /* 2270361 */ GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2270475),
     /* 2270366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2270369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2270372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270384 */   GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2270429), // Rule ID 50946 //
     /* 2270389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270392 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2270395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2270409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270428 */     // GIR_Coverage, 50946,
     /* 2270428 */     GIR_EraseRootFromParent_Done,
     /* 2270429 */   // Label 30676: @2270429
     /* 2270429 */   GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2270474), // Rule ID 50947 //
     /* 2270434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270437 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2270440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2270454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270473 */     // GIR_Coverage, 50947,
     /* 2270473 */     GIR_EraseRootFromParent_Done,
     /* 2270474 */   // Label 30677: @2270474
     /* 2270474 */   GIM_Reject,
     /* 2270475 */ // Label 30675: @2270475
     /* 2270475 */ GIM_Reject,
     /* 2270476 */ // Label 30613: @2270476
     /* 2270476 */ GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2270590),
     /* 2270481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2270484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2270487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270499 */   GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2270544), // Rule ID 50962 //
     /* 2270504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270507 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2270510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2270524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270543 */     // GIR_Coverage, 50962,
     /* 2270543 */     GIR_EraseRootFromParent_Done,
     /* 2270544 */   // Label 30679: @2270544
     /* 2270544 */   GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2270589), // Rule ID 50963 //
     /* 2270549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270552 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2270555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2270569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270588 */     // GIR_Coverage, 50963,
     /* 2270588 */     GIR_EraseRootFromParent_Done,
     /* 2270589 */   // Label 30680: @2270589
     /* 2270589 */   GIM_Reject,
     /* 2270590 */ // Label 30678: @2270590
     /* 2270590 */ GIM_Reject,
     /* 2270591 */ // Label 30614: @2270591
     /* 2270591 */ GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2270705),
     /* 2270596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2270599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2270602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270614 */   GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2270659), // Rule ID 50950 //
     /* 2270619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270622 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2270625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2270639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270658 */     // GIR_Coverage, 50950,
     /* 2270658 */     GIR_EraseRootFromParent_Done,
     /* 2270659 */   // Label 30682: @2270659
     /* 2270659 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2270704), // Rule ID 50951 //
     /* 2270664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270667 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2270670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2270684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270703 */     // GIR_Coverage, 50951,
     /* 2270703 */     GIR_EraseRootFromParent_Done,
     /* 2270704 */   // Label 30683: @2270704
     /* 2270704 */   GIM_Reject,
     /* 2270705 */ // Label 30681: @2270705
     /* 2270705 */ GIM_Reject,
     /* 2270706 */ // Label 30615: @2270706
     /* 2270706 */ GIM_Reject,
     /* 2270707 */ // Label 52: @2270707
     /* 2270707 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30708*/ GIMT_Encode4(2273440),
     /* 2270718 */ /*GILLT_s32*//*Label 30684*/ GIMT_Encode4(2270842),
     /* 2270722 */ /*GILLT_s64*//*Label 30685*/ GIMT_Encode4(2270876), GIMT_Encode4(0),
     /* 2270730 */ /*GILLT_nxv1s8*//*Label 30686*/ GIMT_Encode4(2270910),
     /* 2270734 */ /*GILLT_nxv1s16*//*Label 30687*/ GIMT_Encode4(2271025),
     /* 2270738 */ /*GILLT_nxv1s32*//*Label 30688*/ GIMT_Encode4(2271140),
     /* 2270742 */ /*GILLT_nxv1s64*//*Label 30689*/ GIMT_Encode4(2271255), GIMT_Encode4(0),
     /* 2270750 */ /*GILLT_nxv2s8*//*Label 30690*/ GIMT_Encode4(2271370),
     /* 2270754 */ /*GILLT_nxv2s16*//*Label 30691*/ GIMT_Encode4(2271485),
     /* 2270758 */ /*GILLT_nxv2s32*//*Label 30692*/ GIMT_Encode4(2271600),
     /* 2270762 */ /*GILLT_nxv2s64*//*Label 30693*/ GIMT_Encode4(2271715), GIMT_Encode4(0),
     /* 2270770 */ /*GILLT_nxv4s8*//*Label 30694*/ GIMT_Encode4(2271830),
     /* 2270774 */ /*GILLT_nxv4s16*//*Label 30695*/ GIMT_Encode4(2271945),
     /* 2270778 */ /*GILLT_nxv4s32*//*Label 30696*/ GIMT_Encode4(2272060),
     /* 2270782 */ /*GILLT_nxv4s64*//*Label 30697*/ GIMT_Encode4(2272175), GIMT_Encode4(0),
     /* 2270790 */ /*GILLT_nxv8s8*//*Label 30698*/ GIMT_Encode4(2272290),
     /* 2270794 */ /*GILLT_nxv8s16*//*Label 30699*/ GIMT_Encode4(2272405),
     /* 2270798 */ /*GILLT_nxv8s32*//*Label 30700*/ GIMT_Encode4(2272520),
     /* 2270802 */ /*GILLT_nxv8s64*//*Label 30701*/ GIMT_Encode4(2272635), GIMT_Encode4(0),
     /* 2270810 */ /*GILLT_nxv16s8*//*Label 30702*/ GIMT_Encode4(2272750),
     /* 2270814 */ /*GILLT_nxv16s16*//*Label 30703*/ GIMT_Encode4(2272865),
     /* 2270818 */ /*GILLT_nxv16s32*//*Label 30704*/ GIMT_Encode4(2272980), GIMT_Encode4(0),
     /* 2270826 */ /*GILLT_nxv32s8*//*Label 30705*/ GIMT_Encode4(2273095),
     /* 2270830 */ /*GILLT_nxv32s16*//*Label 30706*/ GIMT_Encode4(2273210), GIMT_Encode4(0),
     /* 2270838 */ /*GILLT_nxv64s8*//*Label 30707*/ GIMT_Encode4(2273325),
     /* 2270842 */ // Label 30684: @2270842
     /* 2270842 */ GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2270875), // Rule ID 292 //
     /* 2270847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2270850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2270853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270868 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2270868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2270873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270874 */   // GIR_Coverage, 292,
     /* 2270874 */   GIR_Done,
     /* 2270875 */ // Label 30709: @2270875
     /* 2270875 */ GIM_Reject,
     /* 2270876 */ // Label 30685: @2270876
     /* 2270876 */ GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2270909), // Rule ID 291 //
     /* 2270881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2270884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2270887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270902 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2270902 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2270907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270908 */   // GIR_Coverage, 291,
     /* 2270908 */   GIR_Done,
     /* 2270909 */ // Label 30710: @2270909
     /* 2270909 */ GIM_Reject,
     /* 2270910 */ // Label 30686: @2270910
     /* 2270910 */ GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2271024),
     /* 2270915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2270918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2270921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270933 */   GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2270978), // Rule ID 50834 //
     /* 2270938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270941 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2270944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2270958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270977 */     // GIR_Coverage, 50834,
     /* 2270977 */     GIR_EraseRootFromParent_Done,
     /* 2270978 */   // Label 30712: @2270978
     /* 2270978 */   GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2271023), // Rule ID 50835 //
     /* 2270983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270986 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2270989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2271003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271022 */     // GIR_Coverage, 50835,
     /* 2271022 */     GIR_EraseRootFromParent_Done,
     /* 2271023 */   // Label 30713: @2271023
     /* 2271023 */   GIM_Reject,
     /* 2271024 */ // Label 30711: @2271024
     /* 2271024 */ GIM_Reject,
     /* 2271025 */ // Label 30687: @2271025
     /* 2271025 */ GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2271139),
     /* 2271030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2271033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2271036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271048 */   GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2271093), // Rule ID 50846 //
     /* 2271053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271056 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2271059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2271073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271092 */     // GIR_Coverage, 50846,
     /* 2271092 */     GIR_EraseRootFromParent_Done,
     /* 2271093 */   // Label 30715: @2271093
     /* 2271093 */   GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2271138), // Rule ID 50847 //
     /* 2271098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271101 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2271104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2271118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271137 */     // GIR_Coverage, 50847,
     /* 2271137 */     GIR_EraseRootFromParent_Done,
     /* 2271138 */   // Label 30716: @2271138
     /* 2271138 */   GIM_Reject,
     /* 2271139 */ // Label 30714: @2271139
     /* 2271139 */ GIM_Reject,
     /* 2271140 */ // Label 30688: @2271140
     /* 2271140 */ GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2271254),
     /* 2271145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2271148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2271151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271163 */   GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2271208), // Rule ID 50854 //
     /* 2271168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271171 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2271174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2271188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271207 */     // GIR_Coverage, 50854,
     /* 2271207 */     GIR_EraseRootFromParent_Done,
     /* 2271208 */   // Label 30718: @2271208
     /* 2271208 */   GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2271253), // Rule ID 50855 //
     /* 2271213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271216 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2271219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2271233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271252 */     // GIR_Coverage, 50855,
     /* 2271252 */     GIR_EraseRootFromParent_Done,
     /* 2271253 */   // Label 30719: @2271253
     /* 2271253 */   GIM_Reject,
     /* 2271254 */ // Label 30717: @2271254
     /* 2271254 */ GIM_Reject,
     /* 2271255 */ // Label 30689: @2271255
     /* 2271255 */ GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2271369),
     /* 2271260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2271263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2271266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271278 */   GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2271323), // Rule ID 50978 //
     /* 2271283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2271286 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2271289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2271303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271322 */     // GIR_Coverage, 50978,
     /* 2271322 */     GIR_EraseRootFromParent_Done,
     /* 2271323 */   // Label 30721: @2271323
     /* 2271323 */   GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2271368), // Rule ID 50979 //
     /* 2271328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2271331 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2271334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2271348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271367 */     // GIR_Coverage, 50979,
     /* 2271367 */     GIR_EraseRootFromParent_Done,
     /* 2271368 */   // Label 30722: @2271368
     /* 2271368 */   GIM_Reject,
     /* 2271369 */ // Label 30720: @2271369
     /* 2271369 */ GIM_Reject,
     /* 2271370 */ // Label 30690: @2271370
     /* 2271370 */ GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2271484),
     /* 2271375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2271378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2271381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271393 */   GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2271438), // Rule ID 50838 //
     /* 2271398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271401 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2271404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2271418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271437 */     // GIR_Coverage, 50838,
     /* 2271437 */     GIR_EraseRootFromParent_Done,
     /* 2271438 */   // Label 30724: @2271438
     /* 2271438 */   GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2271483), // Rule ID 50839 //
     /* 2271443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271446 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2271449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2271463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271482 */     // GIR_Coverage, 50839,
     /* 2271482 */     GIR_EraseRootFromParent_Done,
     /* 2271483 */   // Label 30725: @2271483
     /* 2271483 */   GIM_Reject,
     /* 2271484 */ // Label 30723: @2271484
     /* 2271484 */ GIM_Reject,
     /* 2271485 */ // Label 30691: @2271485
     /* 2271485 */ GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2271599),
     /* 2271490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2271493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2271496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271508 */   GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2271553), // Rule ID 50850 //
     /* 2271513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271516 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2271519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2271533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271552 */     // GIR_Coverage, 50850,
     /* 2271552 */     GIR_EraseRootFromParent_Done,
     /* 2271553 */   // Label 30727: @2271553
     /* 2271553 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2271598), // Rule ID 50851 //
     /* 2271558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271561 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2271564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2271578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271597 */     // GIR_Coverage, 50851,
     /* 2271597 */     GIR_EraseRootFromParent_Done,
     /* 2271598 */   // Label 30728: @2271598
     /* 2271598 */   GIM_Reject,
     /* 2271599 */ // Label 30726: @2271599
     /* 2271599 */ GIM_Reject,
     /* 2271600 */ // Label 30692: @2271600
     /* 2271600 */ GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2271714),
     /* 2271605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2271608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2271611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271623 */   GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2271668), // Rule ID 50866 //
     /* 2271628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271631 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2271634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2271648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271667 */     // GIR_Coverage, 50866,
     /* 2271667 */     GIR_EraseRootFromParent_Done,
     /* 2271668 */   // Label 30730: @2271668
     /* 2271668 */   GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2271713), // Rule ID 50867 //
     /* 2271673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271676 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2271679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2271693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271712 */     // GIR_Coverage, 50867,
     /* 2271712 */     GIR_EraseRootFromParent_Done,
     /* 2271713 */   // Label 30731: @2271713
     /* 2271713 */   GIM_Reject,
     /* 2271714 */ // Label 30729: @2271714
     /* 2271714 */ GIM_Reject,
     /* 2271715 */ // Label 30693: @2271715
     /* 2271715 */ GIM_Try, /*On fail goto*//*Label 30732*/ GIMT_Encode4(2271829),
     /* 2271720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2271723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2271726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271738 */   GIM_Try, /*On fail goto*//*Label 30733*/ GIMT_Encode4(2271783), // Rule ID 50982 //
     /* 2271743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2271746 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2271749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2271763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271782 */     // GIR_Coverage, 50982,
     /* 2271782 */     GIR_EraseRootFromParent_Done,
     /* 2271783 */   // Label 30733: @2271783
     /* 2271783 */   GIM_Try, /*On fail goto*//*Label 30734*/ GIMT_Encode4(2271828), // Rule ID 50983 //
     /* 2271788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2271791 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2271794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2271808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271827 */     // GIR_Coverage, 50983,
     /* 2271827 */     GIR_EraseRootFromParent_Done,
     /* 2271828 */   // Label 30734: @2271828
     /* 2271828 */   GIM_Reject,
     /* 2271829 */ // Label 30732: @2271829
     /* 2271829 */ GIM_Reject,
     /* 2271830 */ // Label 30694: @2271830
     /* 2271830 */ GIM_Try, /*On fail goto*//*Label 30735*/ GIMT_Encode4(2271944),
     /* 2271835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2271838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2271841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271853 */   GIM_Try, /*On fail goto*//*Label 30736*/ GIMT_Encode4(2271898), // Rule ID 50842 //
     /* 2271858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271861 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2271864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2271878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271897 */     // GIR_Coverage, 50842,
     /* 2271897 */     GIR_EraseRootFromParent_Done,
     /* 2271898 */   // Label 30736: @2271898
     /* 2271898 */   GIM_Try, /*On fail goto*//*Label 30737*/ GIMT_Encode4(2271943), // Rule ID 50843 //
     /* 2271903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271906 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2271909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2271923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271942 */     // GIR_Coverage, 50843,
     /* 2271942 */     GIR_EraseRootFromParent_Done,
     /* 2271943 */   // Label 30737: @2271943
     /* 2271943 */   GIM_Reject,
     /* 2271944 */ // Label 30735: @2271944
     /* 2271944 */ GIM_Reject,
     /* 2271945 */ // Label 30695: @2271945
     /* 2271945 */ GIM_Try, /*On fail goto*//*Label 30738*/ GIMT_Encode4(2272059),
     /* 2271950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2271953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2271956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271968 */   GIM_Try, /*On fail goto*//*Label 30739*/ GIMT_Encode4(2272013), // Rule ID 50862 //
     /* 2271973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271976 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2271979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2271993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272012 */     // GIR_Coverage, 50862,
     /* 2272012 */     GIR_EraseRootFromParent_Done,
     /* 2272013 */   // Label 30739: @2272013
     /* 2272013 */   GIM_Try, /*On fail goto*//*Label 30740*/ GIMT_Encode4(2272058), // Rule ID 50863 //
     /* 2272018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272021 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2272024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2272038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272057 */     // GIR_Coverage, 50863,
     /* 2272057 */     GIR_EraseRootFromParent_Done,
     /* 2272058 */   // Label 30740: @2272058
     /* 2272058 */   GIM_Reject,
     /* 2272059 */ // Label 30738: @2272059
     /* 2272059 */ GIM_Reject,
     /* 2272060 */ // Label 30696: @2272060
     /* 2272060 */ GIM_Try, /*On fail goto*//*Label 30741*/ GIMT_Encode4(2272174),
     /* 2272065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2272068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2272071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272083 */   GIM_Try, /*On fail goto*//*Label 30742*/ GIMT_Encode4(2272128), // Rule ID 50894 //
     /* 2272088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272091 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2272094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2272108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272127 */     // GIR_Coverage, 50894,
     /* 2272127 */     GIR_EraseRootFromParent_Done,
     /* 2272128 */   // Label 30742: @2272128
     /* 2272128 */   GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2272173), // Rule ID 50895 //
     /* 2272133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272136 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2272139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2272153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272172 */     // GIR_Coverage, 50895,
     /* 2272172 */     GIR_EraseRootFromParent_Done,
     /* 2272173 */   // Label 30743: @2272173
     /* 2272173 */   GIM_Reject,
     /* 2272174 */ // Label 30741: @2272174
     /* 2272174 */ GIM_Reject,
     /* 2272175 */ // Label 30697: @2272175
     /* 2272175 */ GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2272289),
     /* 2272180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2272183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2272186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272198 */   GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2272243), // Rule ID 50986 //
     /* 2272203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2272206 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2272209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2272223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272242 */     // GIR_Coverage, 50986,
     /* 2272242 */     GIR_EraseRootFromParent_Done,
     /* 2272243 */   // Label 30745: @2272243
     /* 2272243 */   GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2272288), // Rule ID 50987 //
     /* 2272248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2272251 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2272254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2272268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272287 */     // GIR_Coverage, 50987,
     /* 2272287 */     GIR_EraseRootFromParent_Done,
     /* 2272288 */   // Label 30746: @2272288
     /* 2272288 */   GIM_Reject,
     /* 2272289 */ // Label 30744: @2272289
     /* 2272289 */ GIM_Reject,
     /* 2272290 */ // Label 30698: @2272290
     /* 2272290 */ GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2272404),
     /* 2272295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2272298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2272301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272313 */   GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2272358), // Rule ID 50858 //
     /* 2272318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272321 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2272324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2272338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272357 */     // GIR_Coverage, 50858,
     /* 2272357 */     GIR_EraseRootFromParent_Done,
     /* 2272358 */   // Label 30748: @2272358
     /* 2272358 */   GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2272403), // Rule ID 50859 //
     /* 2272363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272366 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2272369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2272383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272402 */     // GIR_Coverage, 50859,
     /* 2272402 */     GIR_EraseRootFromParent_Done,
     /* 2272403 */   // Label 30749: @2272403
     /* 2272403 */   GIM_Reject,
     /* 2272404 */ // Label 30747: @2272404
     /* 2272404 */ GIM_Reject,
     /* 2272405 */ // Label 30699: @2272405
     /* 2272405 */ GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2272519),
     /* 2272410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2272413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272428 */   GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2272473), // Rule ID 50882 //
     /* 2272433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272436 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2272439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2272453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272472 */     // GIR_Coverage, 50882,
     /* 2272472 */     GIR_EraseRootFromParent_Done,
     /* 2272473 */   // Label 30751: @2272473
     /* 2272473 */   GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2272518), // Rule ID 50883 //
     /* 2272478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272481 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2272484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2272498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272517 */     // GIR_Coverage, 50883,
     /* 2272517 */     GIR_EraseRootFromParent_Done,
     /* 2272518 */   // Label 30752: @2272518
     /* 2272518 */   GIM_Reject,
     /* 2272519 */ // Label 30750: @2272519
     /* 2272519 */ GIM_Reject,
     /* 2272520 */ // Label 30700: @2272520
     /* 2272520 */ GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2272634),
     /* 2272525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2272528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272543 */   GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2272588), // Rule ID 50898 //
     /* 2272548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272551 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2272554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2272568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272587 */     // GIR_Coverage, 50898,
     /* 2272587 */     GIR_EraseRootFromParent_Done,
     /* 2272588 */   // Label 30754: @2272588
     /* 2272588 */   GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2272633), // Rule ID 50899 //
     /* 2272593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272596 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2272599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2272613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272632 */     // GIR_Coverage, 50899,
     /* 2272632 */     GIR_EraseRootFromParent_Done,
     /* 2272633 */   // Label 30755: @2272633
     /* 2272633 */   GIM_Reject,
     /* 2272634 */ // Label 30753: @2272634
     /* 2272634 */ GIM_Reject,
     /* 2272635 */ // Label 30701: @2272635
     /* 2272635 */ GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2272749),
     /* 2272640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2272643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272658 */   GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2272703), // Rule ID 50990 //
     /* 2272663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2272666 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2272669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2272683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272702 */     // GIR_Coverage, 50990,
     /* 2272702 */     GIR_EraseRootFromParent_Done,
     /* 2272703 */   // Label 30757: @2272703
     /* 2272703 */   GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2272748), // Rule ID 50991 //
     /* 2272708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2272711 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2272714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2272728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272747 */     // GIR_Coverage, 50991,
     /* 2272747 */     GIR_EraseRootFromParent_Done,
     /* 2272748 */   // Label 30758: @2272748
     /* 2272748 */   GIM_Reject,
     /* 2272749 */ // Label 30756: @2272749
     /* 2272749 */ GIM_Reject,
     /* 2272750 */ // Label 30702: @2272750
     /* 2272750 */ GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2272864),
     /* 2272755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2272758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2272761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272773 */   GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2272818), // Rule ID 50870 //
     /* 2272778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272781 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2272784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2272798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272817 */     // GIR_Coverage, 50870,
     /* 2272817 */     GIR_EraseRootFromParent_Done,
     /* 2272818 */   // Label 30760: @2272818
     /* 2272818 */   GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2272863), // Rule ID 50871 //
     /* 2272823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272826 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2272829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2272843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272862 */     // GIR_Coverage, 50871,
     /* 2272862 */     GIR_EraseRootFromParent_Done,
     /* 2272863 */   // Label 30761: @2272863
     /* 2272863 */   GIM_Reject,
     /* 2272864 */ // Label 30759: @2272864
     /* 2272864 */ GIM_Reject,
     /* 2272865 */ // Label 30703: @2272865
     /* 2272865 */ GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2272979),
     /* 2272870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2272873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2272876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272888 */   GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2272933), // Rule ID 50886 //
     /* 2272893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272896 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2272913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272932 */     // GIR_Coverage, 50886,
     /* 2272932 */     GIR_EraseRootFromParent_Done,
     /* 2272933 */   // Label 30763: @2272933
     /* 2272933 */   GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2272978), // Rule ID 50887 //
     /* 2272938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272941 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2272958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272977 */     // GIR_Coverage, 50887,
     /* 2272977 */     GIR_EraseRootFromParent_Done,
     /* 2272978 */   // Label 30764: @2272978
     /* 2272978 */   GIM_Reject,
     /* 2272979 */ // Label 30762: @2272979
     /* 2272979 */ GIM_Reject,
     /* 2272980 */ // Label 30704: @2272980
     /* 2272980 */ GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2273094),
     /* 2272985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2272988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2272991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273003 */   GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2273048), // Rule ID 50902 //
     /* 2273008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273011 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2273014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2273028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273047 */     // GIR_Coverage, 50902,
     /* 2273047 */     GIR_EraseRootFromParent_Done,
     /* 2273048 */   // Label 30766: @2273048
     /* 2273048 */   GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2273093), // Rule ID 50903 //
     /* 2273053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273056 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2273059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2273073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273092 */     // GIR_Coverage, 50903,
     /* 2273092 */     GIR_EraseRootFromParent_Done,
     /* 2273093 */   // Label 30767: @2273093
     /* 2273093 */   GIM_Reject,
     /* 2273094 */ // Label 30765: @2273094
     /* 2273094 */ GIM_Reject,
     /* 2273095 */ // Label 30705: @2273095
     /* 2273095 */ GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2273209),
     /* 2273100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2273103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2273106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273118 */   GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2273163), // Rule ID 50874 //
     /* 2273123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273126 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2273129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2273143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273162 */     // GIR_Coverage, 50874,
     /* 2273162 */     GIR_EraseRootFromParent_Done,
     /* 2273163 */   // Label 30769: @2273163
     /* 2273163 */   GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2273208), // Rule ID 50875 //
     /* 2273168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273171 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2273174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2273188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273207 */     // GIR_Coverage, 50875,
     /* 2273207 */     GIR_EraseRootFromParent_Done,
     /* 2273208 */   // Label 30770: @2273208
     /* 2273208 */   GIM_Reject,
     /* 2273209 */ // Label 30768: @2273209
     /* 2273209 */ GIM_Reject,
     /* 2273210 */ // Label 30706: @2273210
     /* 2273210 */ GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2273324),
     /* 2273215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2273218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2273221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273233 */   GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2273278), // Rule ID 50890 //
     /* 2273238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273241 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2273244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2273258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273277 */     // GIR_Coverage, 50890,
     /* 2273277 */     GIR_EraseRootFromParent_Done,
     /* 2273278 */   // Label 30772: @2273278
     /* 2273278 */   GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2273323), // Rule ID 50891 //
     /* 2273283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273286 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2273289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2273303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273322 */     // GIR_Coverage, 50891,
     /* 2273322 */     GIR_EraseRootFromParent_Done,
     /* 2273323 */   // Label 30773: @2273323
     /* 2273323 */   GIM_Reject,
     /* 2273324 */ // Label 30771: @2273324
     /* 2273324 */ GIM_Reject,
     /* 2273325 */ // Label 30707: @2273325
     /* 2273325 */ GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2273439),
     /* 2273330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2273333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2273336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273348 */   GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2273393), // Rule ID 50878 //
     /* 2273353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273356 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2273359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2273373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273392 */     // GIR_Coverage, 50878,
     /* 2273392 */     GIR_EraseRootFromParent_Done,
     /* 2273393 */   // Label 30775: @2273393
     /* 2273393 */   GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2273438), // Rule ID 50879 //
     /* 2273398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273401 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2273404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2273418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273437 */     // GIR_Coverage, 50879,
     /* 2273437 */     GIR_EraseRootFromParent_Done,
     /* 2273438 */   // Label 30776: @2273438
     /* 2273438 */   GIM_Reject,
     /* 2273439 */ // Label 30774: @2273439
     /* 2273439 */ GIM_Reject,
     /* 2273440 */ // Label 30708: @2273440
     /* 2273440 */ GIM_Reject,
     /* 2273441 */ // Label 53: @2273441
     /* 2273441 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30800*/ GIMT_Encode4(2276293),
     /* 2273452 */ /*GILLT_s32*//*Label 30777*/ GIMT_Encode4(2273576), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2273464 */ /*GILLT_nxv1s8*//*Label 30778*/ GIMT_Encode4(2273631),
     /* 2273468 */ /*GILLT_nxv1s16*//*Label 30779*/ GIMT_Encode4(2273752),
     /* 2273472 */ /*GILLT_nxv1s32*//*Label 30780*/ GIMT_Encode4(2273873),
     /* 2273476 */ /*GILLT_nxv1s64*//*Label 30781*/ GIMT_Encode4(2273994), GIMT_Encode4(0),
     /* 2273484 */ /*GILLT_nxv2s8*//*Label 30782*/ GIMT_Encode4(2274115),
     /* 2273488 */ /*GILLT_nxv2s16*//*Label 30783*/ GIMT_Encode4(2274236),
     /* 2273492 */ /*GILLT_nxv2s32*//*Label 30784*/ GIMT_Encode4(2274357),
     /* 2273496 */ /*GILLT_nxv2s64*//*Label 30785*/ GIMT_Encode4(2274478), GIMT_Encode4(0),
     /* 2273504 */ /*GILLT_nxv4s8*//*Label 30786*/ GIMT_Encode4(2274599),
     /* 2273508 */ /*GILLT_nxv4s16*//*Label 30787*/ GIMT_Encode4(2274720),
     /* 2273512 */ /*GILLT_nxv4s32*//*Label 30788*/ GIMT_Encode4(2274841),
     /* 2273516 */ /*GILLT_nxv4s64*//*Label 30789*/ GIMT_Encode4(2274962), GIMT_Encode4(0),
     /* 2273524 */ /*GILLT_nxv8s8*//*Label 30790*/ GIMT_Encode4(2275083),
     /* 2273528 */ /*GILLT_nxv8s16*//*Label 30791*/ GIMT_Encode4(2275204),
     /* 2273532 */ /*GILLT_nxv8s32*//*Label 30792*/ GIMT_Encode4(2275325),
     /* 2273536 */ /*GILLT_nxv8s64*//*Label 30793*/ GIMT_Encode4(2275446), GIMT_Encode4(0),
     /* 2273544 */ /*GILLT_nxv16s8*//*Label 30794*/ GIMT_Encode4(2275567),
     /* 2273548 */ /*GILLT_nxv16s16*//*Label 30795*/ GIMT_Encode4(2275688),
     /* 2273552 */ /*GILLT_nxv16s32*//*Label 30796*/ GIMT_Encode4(2275809), GIMT_Encode4(0),
     /* 2273560 */ /*GILLT_nxv32s8*//*Label 30797*/ GIMT_Encode4(2275930),
     /* 2273564 */ /*GILLT_nxv32s16*//*Label 30798*/ GIMT_Encode4(2276051), GIMT_Encode4(0),
     /* 2273572 */ /*GILLT_nxv64s8*//*Label 30799*/ GIMT_Encode4(2276172),
     /* 2273576 */ // Label 30777: @2273576
     /* 2273576 */ GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2273630),
     /* 2273581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2273584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2273587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2273591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2273595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2273599 */   GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2273614), // Rule ID 64564 //
     /* 2273604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2273607 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2273607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2273612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273613 */     // GIR_Coverage, 64564,
     /* 2273613 */     GIR_Done,
     /* 2273614 */   // Label 30802: @2273614
     /* 2273614 */   GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2273629), // Rule ID 64565 //
     /* 2273619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2273622 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2273622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2273627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273628 */     // GIR_Coverage, 64565,
     /* 2273628 */     GIR_Done,
     /* 2273629 */   // Label 30803: @2273629
     /* 2273629 */   GIM_Reject,
     /* 2273630 */ // Label 30801: @2273630
     /* 2273630 */ GIM_Reject,
     /* 2273631 */ // Label 30778: @2273631
     /* 2273631 */ GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2273751),
     /* 2273636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2273639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2273642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273654 */   GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2273702), // Rule ID 52394 //
     /* 2273659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273662 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2273665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2273679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273701 */     // GIR_Coverage, 52394,
     /* 2273701 */     GIR_EraseRootFromParent_Done,
     /* 2273702 */   // Label 30805: @2273702
     /* 2273702 */   GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2273750), // Rule ID 52395 //
     /* 2273707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273710 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2273713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2273727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273749 */     // GIR_Coverage, 52395,
     /* 2273749 */     GIR_EraseRootFromParent_Done,
     /* 2273750 */   // Label 30806: @2273750
     /* 2273750 */   GIM_Reject,
     /* 2273751 */ // Label 30804: @2273751
     /* 2273751 */ GIM_Reject,
     /* 2273752 */ // Label 30779: @2273752
     /* 2273752 */ GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2273872),
     /* 2273757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2273760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2273763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273775 */   GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2273823), // Rule ID 52406 //
     /* 2273780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273783 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2273800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273822 */     // GIR_Coverage, 52406,
     /* 2273822 */     GIR_EraseRootFromParent_Done,
     /* 2273823 */   // Label 30808: @2273823
     /* 2273823 */   GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2273871), // Rule ID 52407 //
     /* 2273828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273831 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2273848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273870 */     // GIR_Coverage, 52407,
     /* 2273870 */     GIR_EraseRootFromParent_Done,
     /* 2273871 */   // Label 30809: @2273871
     /* 2273871 */   GIM_Reject,
     /* 2273872 */ // Label 30807: @2273872
     /* 2273872 */ GIM_Reject,
     /* 2273873 */ // Label 30780: @2273873
     /* 2273873 */ GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2273993),
     /* 2273878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2273881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273896 */   GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2273944), // Rule ID 52414 //
     /* 2273901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273904 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2273921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273943 */     // GIR_Coverage, 52414,
     /* 2273943 */     GIR_EraseRootFromParent_Done,
     /* 2273944 */   // Label 30811: @2273944
     /* 2273944 */   GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2273992), // Rule ID 52415 //
     /* 2273949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273952 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2273969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273991 */     // GIR_Coverage, 52415,
     /* 2273991 */     GIR_EraseRootFromParent_Done,
     /* 2273992 */   // Label 30812: @2273992
     /* 2273992 */   GIM_Reject,
     /* 2273993 */ // Label 30810: @2273993
     /* 2273993 */ GIM_Reject,
     /* 2273994 */ // Label 30781: @2273994
     /* 2273994 */ GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2274114),
     /* 2273999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2274002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2274005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274017 */   GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2274065), // Rule ID 52430 //
     /* 2274022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2274025 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2274028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2274042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274064 */     // GIR_Coverage, 52430,
     /* 2274064 */     GIR_EraseRootFromParent_Done,
     /* 2274065 */   // Label 30814: @2274065
     /* 2274065 */   GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2274113), // Rule ID 52431 //
     /* 2274070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2274073 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2274076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2274090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274112 */     // GIR_Coverage, 52431,
     /* 2274112 */     GIR_EraseRootFromParent_Done,
     /* 2274113 */   // Label 30815: @2274113
     /* 2274113 */   GIM_Reject,
     /* 2274114 */ // Label 30813: @2274114
     /* 2274114 */ GIM_Reject,
     /* 2274115 */ // Label 30782: @2274115
     /* 2274115 */ GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2274235),
     /* 2274120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2274123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2274126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274138 */   GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2274186), // Rule ID 52398 //
     /* 2274143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274146 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2274149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2274163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274185 */     // GIR_Coverage, 52398,
     /* 2274185 */     GIR_EraseRootFromParent_Done,
     /* 2274186 */   // Label 30817: @2274186
     /* 2274186 */   GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2274234), // Rule ID 52399 //
     /* 2274191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274194 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2274197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2274211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274233 */     // GIR_Coverage, 52399,
     /* 2274233 */     GIR_EraseRootFromParent_Done,
     /* 2274234 */   // Label 30818: @2274234
     /* 2274234 */   GIM_Reject,
     /* 2274235 */ // Label 30816: @2274235
     /* 2274235 */ GIM_Reject,
     /* 2274236 */ // Label 30783: @2274236
     /* 2274236 */ GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2274356),
     /* 2274241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2274244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2274247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274259 */   GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2274307), // Rule ID 52410 //
     /* 2274264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274267 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2274270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2274284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274306 */     // GIR_Coverage, 52410,
     /* 2274306 */     GIR_EraseRootFromParent_Done,
     /* 2274307 */   // Label 30820: @2274307
     /* 2274307 */   GIM_Try, /*On fail goto*//*Label 30821*/ GIMT_Encode4(2274355), // Rule ID 52411 //
     /* 2274312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274315 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2274318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2274332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274354 */     // GIR_Coverage, 52411,
     /* 2274354 */     GIR_EraseRootFromParent_Done,
     /* 2274355 */   // Label 30821: @2274355
     /* 2274355 */   GIM_Reject,
     /* 2274356 */ // Label 30819: @2274356
     /* 2274356 */ GIM_Reject,
     /* 2274357 */ // Label 30784: @2274357
     /* 2274357 */ GIM_Try, /*On fail goto*//*Label 30822*/ GIMT_Encode4(2274477),
     /* 2274362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2274365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2274368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274380 */   GIM_Try, /*On fail goto*//*Label 30823*/ GIMT_Encode4(2274428), // Rule ID 52426 //
     /* 2274385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274388 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2274391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2274405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274427 */     // GIR_Coverage, 52426,
     /* 2274427 */     GIR_EraseRootFromParent_Done,
     /* 2274428 */   // Label 30823: @2274428
     /* 2274428 */   GIM_Try, /*On fail goto*//*Label 30824*/ GIMT_Encode4(2274476), // Rule ID 52427 //
     /* 2274433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274436 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2274439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2274453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274475 */     // GIR_Coverage, 52427,
     /* 2274475 */     GIR_EraseRootFromParent_Done,
     /* 2274476 */   // Label 30824: @2274476
     /* 2274476 */   GIM_Reject,
     /* 2274477 */ // Label 30822: @2274477
     /* 2274477 */ GIM_Reject,
     /* 2274478 */ // Label 30785: @2274478
     /* 2274478 */ GIM_Try, /*On fail goto*//*Label 30825*/ GIMT_Encode4(2274598),
     /* 2274483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2274486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2274489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274501 */   GIM_Try, /*On fail goto*//*Label 30826*/ GIMT_Encode4(2274549), // Rule ID 52470 //
     /* 2274506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2274509 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2274512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2274526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274548 */     // GIR_Coverage, 52470,
     /* 2274548 */     GIR_EraseRootFromParent_Done,
     /* 2274549 */   // Label 30826: @2274549
     /* 2274549 */   GIM_Try, /*On fail goto*//*Label 30827*/ GIMT_Encode4(2274597), // Rule ID 52471 //
     /* 2274554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2274557 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2274560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2274574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274596 */     // GIR_Coverage, 52471,
     /* 2274596 */     GIR_EraseRootFromParent_Done,
     /* 2274597 */   // Label 30827: @2274597
     /* 2274597 */   GIM_Reject,
     /* 2274598 */ // Label 30825: @2274598
     /* 2274598 */ GIM_Reject,
     /* 2274599 */ // Label 30786: @2274599
     /* 2274599 */ GIM_Try, /*On fail goto*//*Label 30828*/ GIMT_Encode4(2274719),
     /* 2274604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2274607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2274610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274622 */   GIM_Try, /*On fail goto*//*Label 30829*/ GIMT_Encode4(2274670), // Rule ID 52402 //
     /* 2274627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274630 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2274633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2274647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274669 */     // GIR_Coverage, 52402,
     /* 2274669 */     GIR_EraseRootFromParent_Done,
     /* 2274670 */   // Label 30829: @2274670
     /* 2274670 */   GIM_Try, /*On fail goto*//*Label 30830*/ GIMT_Encode4(2274718), // Rule ID 52403 //
     /* 2274675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274678 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2274681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2274695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274717 */     // GIR_Coverage, 52403,
     /* 2274717 */     GIR_EraseRootFromParent_Done,
     /* 2274718 */   // Label 30830: @2274718
     /* 2274718 */   GIM_Reject,
     /* 2274719 */ // Label 30828: @2274719
     /* 2274719 */ GIM_Reject,
     /* 2274720 */ // Label 30787: @2274720
     /* 2274720 */ GIM_Try, /*On fail goto*//*Label 30831*/ GIMT_Encode4(2274840),
     /* 2274725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2274728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274743 */   GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2274791), // Rule ID 52422 //
     /* 2274748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274751 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2274768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274790 */     // GIR_Coverage, 52422,
     /* 2274790 */     GIR_EraseRootFromParent_Done,
     /* 2274791 */   // Label 30832: @2274791
     /* 2274791 */   GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2274839), // Rule ID 52423 //
     /* 2274796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274799 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2274816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274838 */     // GIR_Coverage, 52423,
     /* 2274838 */     GIR_EraseRootFromParent_Done,
     /* 2274839 */   // Label 30833: @2274839
     /* 2274839 */   GIM_Reject,
     /* 2274840 */ // Label 30831: @2274840
     /* 2274840 */ GIM_Reject,
     /* 2274841 */ // Label 30788: @2274841
     /* 2274841 */ GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2274961),
     /* 2274846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2274849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274864 */   GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2274912), // Rule ID 52458 //
     /* 2274869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274872 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2274889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274911 */     // GIR_Coverage, 52458,
     /* 2274911 */     GIR_EraseRootFromParent_Done,
     /* 2274912 */   // Label 30835: @2274912
     /* 2274912 */   GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2274960), // Rule ID 52459 //
     /* 2274917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274920 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2274937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274959 */     // GIR_Coverage, 52459,
     /* 2274959 */     GIR_EraseRootFromParent_Done,
     /* 2274960 */   // Label 30836: @2274960
     /* 2274960 */   GIM_Reject,
     /* 2274961 */ // Label 30834: @2274961
     /* 2274961 */ GIM_Reject,
     /* 2274962 */ // Label 30789: @2274962
     /* 2274962 */ GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2275082),
     /* 2274967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2274970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274985 */   GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2275033), // Rule ID 52474 //
     /* 2274990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2274993 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2274996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2275010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275032 */     // GIR_Coverage, 52474,
     /* 2275032 */     GIR_EraseRootFromParent_Done,
     /* 2275033 */   // Label 30838: @2275033
     /* 2275033 */   GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2275081), // Rule ID 52475 //
     /* 2275038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275041 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2275044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2275058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275080 */     // GIR_Coverage, 52475,
     /* 2275080 */     GIR_EraseRootFromParent_Done,
     /* 2275081 */   // Label 30839: @2275081
     /* 2275081 */   GIM_Reject,
     /* 2275082 */ // Label 30837: @2275082
     /* 2275082 */ GIM_Reject,
     /* 2275083 */ // Label 30790: @2275083
     /* 2275083 */ GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2275203),
     /* 2275088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2275091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2275094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275106 */   GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2275154), // Rule ID 52418 //
     /* 2275111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275114 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2275117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2275131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275153 */     // GIR_Coverage, 52418,
     /* 2275153 */     GIR_EraseRootFromParent_Done,
     /* 2275154 */   // Label 30841: @2275154
     /* 2275154 */   GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2275202), // Rule ID 52419 //
     /* 2275159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275162 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2275165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2275179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275201 */     // GIR_Coverage, 52419,
     /* 2275201 */     GIR_EraseRootFromParent_Done,
     /* 2275202 */   // Label 30842: @2275202
     /* 2275202 */   GIM_Reject,
     /* 2275203 */ // Label 30840: @2275203
     /* 2275203 */ GIM_Reject,
     /* 2275204 */ // Label 30791: @2275204
     /* 2275204 */ GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2275324),
     /* 2275209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2275212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2275215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275227 */   GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2275275), // Rule ID 52446 //
     /* 2275232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275235 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2275238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2275252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275274 */     // GIR_Coverage, 52446,
     /* 2275274 */     GIR_EraseRootFromParent_Done,
     /* 2275275 */   // Label 30844: @2275275
     /* 2275275 */   GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2275323), // Rule ID 52447 //
     /* 2275280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275283 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2275286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2275300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275322 */     // GIR_Coverage, 52447,
     /* 2275322 */     GIR_EraseRootFromParent_Done,
     /* 2275323 */   // Label 30845: @2275323
     /* 2275323 */   GIM_Reject,
     /* 2275324 */ // Label 30843: @2275324
     /* 2275324 */ GIM_Reject,
     /* 2275325 */ // Label 30792: @2275325
     /* 2275325 */ GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2275445),
     /* 2275330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2275333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2275336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275348 */   GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2275396), // Rule ID 52462 //
     /* 2275353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275356 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2275359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2275373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275395 */     // GIR_Coverage, 52462,
     /* 2275395 */     GIR_EraseRootFromParent_Done,
     /* 2275396 */   // Label 30847: @2275396
     /* 2275396 */   GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2275444), // Rule ID 52463 //
     /* 2275401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275404 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2275407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2275421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275443 */     // GIR_Coverage, 52463,
     /* 2275443 */     GIR_EraseRootFromParent_Done,
     /* 2275444 */   // Label 30848: @2275444
     /* 2275444 */   GIM_Reject,
     /* 2275445 */ // Label 30846: @2275445
     /* 2275445 */ GIM_Reject,
     /* 2275446 */ // Label 30793: @2275446
     /* 2275446 */ GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2275566),
     /* 2275451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2275454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2275457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275469 */   GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2275517), // Rule ID 52478 //
     /* 2275474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275477 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2275480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2275494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275516 */     // GIR_Coverage, 52478,
     /* 2275516 */     GIR_EraseRootFromParent_Done,
     /* 2275517 */   // Label 30850: @2275517
     /* 2275517 */   GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2275565), // Rule ID 52479 //
     /* 2275522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275525 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2275528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2275542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275564 */     // GIR_Coverage, 52479,
     /* 2275564 */     GIR_EraseRootFromParent_Done,
     /* 2275565 */   // Label 30851: @2275565
     /* 2275565 */   GIM_Reject,
     /* 2275566 */ // Label 30849: @2275566
     /* 2275566 */ GIM_Reject,
     /* 2275567 */ // Label 30794: @2275567
     /* 2275567 */ GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2275687),
     /* 2275572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2275575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2275578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275590 */   GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2275638), // Rule ID 52434 //
     /* 2275595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275598 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2275601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2275615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275637 */     // GIR_Coverage, 52434,
     /* 2275637 */     GIR_EraseRootFromParent_Done,
     /* 2275638 */   // Label 30853: @2275638
     /* 2275638 */   GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2275686), // Rule ID 52435 //
     /* 2275643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275646 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2275649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2275663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275685 */     // GIR_Coverage, 52435,
     /* 2275685 */     GIR_EraseRootFromParent_Done,
     /* 2275686 */   // Label 30854: @2275686
     /* 2275686 */   GIM_Reject,
     /* 2275687 */ // Label 30852: @2275687
     /* 2275687 */ GIM_Reject,
     /* 2275688 */ // Label 30795: @2275688
     /* 2275688 */ GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2275808),
     /* 2275693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2275696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2275699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275711 */   GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2275759), // Rule ID 52450 //
     /* 2275716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275719 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2275722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2275736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275758 */     // GIR_Coverage, 52450,
     /* 2275758 */     GIR_EraseRootFromParent_Done,
     /* 2275759 */   // Label 30856: @2275759
     /* 2275759 */   GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2275807), // Rule ID 52451 //
     /* 2275764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275767 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2275770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2275784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275806 */     // GIR_Coverage, 52451,
     /* 2275806 */     GIR_EraseRootFromParent_Done,
     /* 2275807 */   // Label 30857: @2275807
     /* 2275807 */   GIM_Reject,
     /* 2275808 */ // Label 30855: @2275808
     /* 2275808 */ GIM_Reject,
     /* 2275809 */ // Label 30796: @2275809
     /* 2275809 */ GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2275929),
     /* 2275814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2275817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2275820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275832 */   GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2275880), // Rule ID 52466 //
     /* 2275837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275840 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2275857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275879 */     // GIR_Coverage, 52466,
     /* 2275879 */     GIR_EraseRootFromParent_Done,
     /* 2275880 */   // Label 30859: @2275880
     /* 2275880 */   GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2275928), // Rule ID 52467 //
     /* 2275885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275888 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2275905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275927 */     // GIR_Coverage, 52467,
     /* 2275927 */     GIR_EraseRootFromParent_Done,
     /* 2275928 */   // Label 30860: @2275928
     /* 2275928 */   GIM_Reject,
     /* 2275929 */ // Label 30858: @2275929
     /* 2275929 */ GIM_Reject,
     /* 2275930 */ // Label 30797: @2275930
     /* 2275930 */ GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2276050),
     /* 2275935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2275938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2275941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275953 */   GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2276001), // Rule ID 52438 //
     /* 2275958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275961 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2275964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2275978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276000 */     // GIR_Coverage, 52438,
     /* 2276000 */     GIR_EraseRootFromParent_Done,
     /* 2276001 */   // Label 30862: @2276001
     /* 2276001 */   GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2276049), // Rule ID 52439 //
     /* 2276006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276009 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2276012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2276026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276048 */     // GIR_Coverage, 52439,
     /* 2276048 */     GIR_EraseRootFromParent_Done,
     /* 2276049 */   // Label 30863: @2276049
     /* 2276049 */   GIM_Reject,
     /* 2276050 */ // Label 30861: @2276050
     /* 2276050 */ GIM_Reject,
     /* 2276051 */ // Label 30798: @2276051
     /* 2276051 */ GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2276171),
     /* 2276056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2276059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2276062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276074 */   GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2276122), // Rule ID 52454 //
     /* 2276079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276082 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2276085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2276099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276121 */     // GIR_Coverage, 52454,
     /* 2276121 */     GIR_EraseRootFromParent_Done,
     /* 2276122 */   // Label 30865: @2276122
     /* 2276122 */   GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2276170), // Rule ID 52455 //
     /* 2276127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276130 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2276133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2276147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276169 */     // GIR_Coverage, 52455,
     /* 2276169 */     GIR_EraseRootFromParent_Done,
     /* 2276170 */   // Label 30866: @2276170
     /* 2276170 */   GIM_Reject,
     /* 2276171 */ // Label 30864: @2276171
     /* 2276171 */ GIM_Reject,
     /* 2276172 */ // Label 30799: @2276172
     /* 2276172 */ GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2276292),
     /* 2276177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2276180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2276183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276195 */   GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2276243), // Rule ID 52442 //
     /* 2276200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276203 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2276206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2276220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276242 */     // GIR_Coverage, 52442,
     /* 2276242 */     GIR_EraseRootFromParent_Done,
     /* 2276243 */   // Label 30868: @2276243
     /* 2276243 */   GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2276291), // Rule ID 52443 //
     /* 2276248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276251 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2276254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2276268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276290 */     // GIR_Coverage, 52443,
     /* 2276290 */     GIR_EraseRootFromParent_Done,
     /* 2276291 */   // Label 30869: @2276291
     /* 2276291 */   GIM_Reject,
     /* 2276292 */ // Label 30867: @2276292
     /* 2276292 */ GIM_Reject,
     /* 2276293 */ // Label 30800: @2276293
     /* 2276293 */ GIM_Reject,
     /* 2276294 */ // Label 54: @2276294
     /* 2276294 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30893*/ GIMT_Encode4(2279146),
     /* 2276305 */ /*GILLT_s32*//*Label 30870*/ GIMT_Encode4(2276429), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2276317 */ /*GILLT_nxv1s8*//*Label 30871*/ GIMT_Encode4(2276484),
     /* 2276321 */ /*GILLT_nxv1s16*//*Label 30872*/ GIMT_Encode4(2276605),
     /* 2276325 */ /*GILLT_nxv1s32*//*Label 30873*/ GIMT_Encode4(2276726),
     /* 2276329 */ /*GILLT_nxv1s64*//*Label 30874*/ GIMT_Encode4(2276847), GIMT_Encode4(0),
     /* 2276337 */ /*GILLT_nxv2s8*//*Label 30875*/ GIMT_Encode4(2276968),
     /* 2276341 */ /*GILLT_nxv2s16*//*Label 30876*/ GIMT_Encode4(2277089),
     /* 2276345 */ /*GILLT_nxv2s32*//*Label 30877*/ GIMT_Encode4(2277210),
     /* 2276349 */ /*GILLT_nxv2s64*//*Label 30878*/ GIMT_Encode4(2277331), GIMT_Encode4(0),
     /* 2276357 */ /*GILLT_nxv4s8*//*Label 30879*/ GIMT_Encode4(2277452),
     /* 2276361 */ /*GILLT_nxv4s16*//*Label 30880*/ GIMT_Encode4(2277573),
     /* 2276365 */ /*GILLT_nxv4s32*//*Label 30881*/ GIMT_Encode4(2277694),
     /* 2276369 */ /*GILLT_nxv4s64*//*Label 30882*/ GIMT_Encode4(2277815), GIMT_Encode4(0),
     /* 2276377 */ /*GILLT_nxv8s8*//*Label 30883*/ GIMT_Encode4(2277936),
     /* 2276381 */ /*GILLT_nxv8s16*//*Label 30884*/ GIMT_Encode4(2278057),
     /* 2276385 */ /*GILLT_nxv8s32*//*Label 30885*/ GIMT_Encode4(2278178),
     /* 2276389 */ /*GILLT_nxv8s64*//*Label 30886*/ GIMT_Encode4(2278299), GIMT_Encode4(0),
     /* 2276397 */ /*GILLT_nxv16s8*//*Label 30887*/ GIMT_Encode4(2278420),
     /* 2276401 */ /*GILLT_nxv16s16*//*Label 30888*/ GIMT_Encode4(2278541),
     /* 2276405 */ /*GILLT_nxv16s32*//*Label 30889*/ GIMT_Encode4(2278662), GIMT_Encode4(0),
     /* 2276413 */ /*GILLT_nxv32s8*//*Label 30890*/ GIMT_Encode4(2278783),
     /* 2276417 */ /*GILLT_nxv32s16*//*Label 30891*/ GIMT_Encode4(2278904), GIMT_Encode4(0),
     /* 2276425 */ /*GILLT_nxv64s8*//*Label 30892*/ GIMT_Encode4(2279025),
     /* 2276429 */ // Label 30870: @2276429
     /* 2276429 */ GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2276483),
     /* 2276434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2276437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2276440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2276452 */   GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2276467), // Rule ID 64562 //
     /* 2276457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2276460 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2276460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2276465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276466 */     // GIR_Coverage, 64562,
     /* 2276466 */     GIR_Done,
     /* 2276467 */   // Label 30895: @2276467
     /* 2276467 */   GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2276482), // Rule ID 64563 //
     /* 2276472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2276475 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2276475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2276480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276481 */     // GIR_Coverage, 64563,
     /* 2276481 */     GIR_Done,
     /* 2276482 */   // Label 30896: @2276482
     /* 2276482 */   GIM_Reject,
     /* 2276483 */ // Label 30894: @2276483
     /* 2276483 */ GIM_Reject,
     /* 2276484 */ // Label 30871: @2276484
     /* 2276484 */ GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2276604),
     /* 2276489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2276492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2276495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276507 */   GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2276555), // Rule ID 52262 //
     /* 2276512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276515 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2276518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2276532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276554 */     // GIR_Coverage, 52262,
     /* 2276554 */     GIR_EraseRootFromParent_Done,
     /* 2276555 */   // Label 30898: @2276555
     /* 2276555 */   GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2276603), // Rule ID 52263 //
     /* 2276560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276563 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2276566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2276580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276602 */     // GIR_Coverage, 52263,
     /* 2276602 */     GIR_EraseRootFromParent_Done,
     /* 2276603 */   // Label 30899: @2276603
     /* 2276603 */   GIM_Reject,
     /* 2276604 */ // Label 30897: @2276604
     /* 2276604 */ GIM_Reject,
     /* 2276605 */ // Label 30872: @2276605
     /* 2276605 */ GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2276725),
     /* 2276610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2276613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2276616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276628 */   GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2276676), // Rule ID 52274 //
     /* 2276633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276636 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2276639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2276653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276675 */     // GIR_Coverage, 52274,
     /* 2276675 */     GIR_EraseRootFromParent_Done,
     /* 2276676 */   // Label 30901: @2276676
     /* 2276676 */   GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2276724), // Rule ID 52275 //
     /* 2276681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276684 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2276687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2276701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276723 */     // GIR_Coverage, 52275,
     /* 2276723 */     GIR_EraseRootFromParent_Done,
     /* 2276724 */   // Label 30902: @2276724
     /* 2276724 */   GIM_Reject,
     /* 2276725 */ // Label 30900: @2276725
     /* 2276725 */ GIM_Reject,
     /* 2276726 */ // Label 30873: @2276726
     /* 2276726 */ GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2276846),
     /* 2276731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2276734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2276737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276749 */   GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2276797), // Rule ID 52282 //
     /* 2276754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276757 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2276774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276796 */     // GIR_Coverage, 52282,
     /* 2276796 */     GIR_EraseRootFromParent_Done,
     /* 2276797 */   // Label 30904: @2276797
     /* 2276797 */   GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2276845), // Rule ID 52283 //
     /* 2276802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276805 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2276822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276844 */     // GIR_Coverage, 52283,
     /* 2276844 */     GIR_EraseRootFromParent_Done,
     /* 2276845 */   // Label 30905: @2276845
     /* 2276845 */   GIM_Reject,
     /* 2276846 */ // Label 30903: @2276846
     /* 2276846 */ GIM_Reject,
     /* 2276847 */ // Label 30874: @2276847
     /* 2276847 */ GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2276967),
     /* 2276852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2276855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2276858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276870 */   GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2276918), // Rule ID 52298 //
     /* 2276875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276878 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2276895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276917 */     // GIR_Coverage, 52298,
     /* 2276917 */     GIR_EraseRootFromParent_Done,
     /* 2276918 */   // Label 30907: @2276918
     /* 2276918 */   GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2276966), // Rule ID 52299 //
     /* 2276923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276926 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2276943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276965 */     // GIR_Coverage, 52299,
     /* 2276965 */     GIR_EraseRootFromParent_Done,
     /* 2276966 */   // Label 30908: @2276966
     /* 2276966 */   GIM_Reject,
     /* 2276967 */ // Label 30906: @2276967
     /* 2276967 */ GIM_Reject,
     /* 2276968 */ // Label 30875: @2276968
     /* 2276968 */ GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2277088),
     /* 2276973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2276976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2276979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276991 */   GIM_Try, /*On fail goto*//*Label 30910*/ GIMT_Encode4(2277039), // Rule ID 52266 //
     /* 2276996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276999 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2277002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2277016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277038 */     // GIR_Coverage, 52266,
     /* 2277038 */     GIR_EraseRootFromParent_Done,
     /* 2277039 */   // Label 30910: @2277039
     /* 2277039 */   GIM_Try, /*On fail goto*//*Label 30911*/ GIMT_Encode4(2277087), // Rule ID 52267 //
     /* 2277044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277047 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2277050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2277064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277086 */     // GIR_Coverage, 52267,
     /* 2277086 */     GIR_EraseRootFromParent_Done,
     /* 2277087 */   // Label 30911: @2277087
     /* 2277087 */   GIM_Reject,
     /* 2277088 */ // Label 30909: @2277088
     /* 2277088 */ GIM_Reject,
     /* 2277089 */ // Label 30876: @2277089
     /* 2277089 */ GIM_Try, /*On fail goto*//*Label 30912*/ GIMT_Encode4(2277209),
     /* 2277094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2277097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2277100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277112 */   GIM_Try, /*On fail goto*//*Label 30913*/ GIMT_Encode4(2277160), // Rule ID 52278 //
     /* 2277117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277120 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2277137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277159 */     // GIR_Coverage, 52278,
     /* 2277159 */     GIR_EraseRootFromParent_Done,
     /* 2277160 */   // Label 30913: @2277160
     /* 2277160 */   GIM_Try, /*On fail goto*//*Label 30914*/ GIMT_Encode4(2277208), // Rule ID 52279 //
     /* 2277165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277168 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2277185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277207 */     // GIR_Coverage, 52279,
     /* 2277207 */     GIR_EraseRootFromParent_Done,
     /* 2277208 */   // Label 30914: @2277208
     /* 2277208 */   GIM_Reject,
     /* 2277209 */ // Label 30912: @2277209
     /* 2277209 */ GIM_Reject,
     /* 2277210 */ // Label 30877: @2277210
     /* 2277210 */ GIM_Try, /*On fail goto*//*Label 30915*/ GIMT_Encode4(2277330),
     /* 2277215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2277218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2277221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277233 */   GIM_Try, /*On fail goto*//*Label 30916*/ GIMT_Encode4(2277281), // Rule ID 52294 //
     /* 2277238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277241 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2277244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2277258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277280 */     // GIR_Coverage, 52294,
     /* 2277280 */     GIR_EraseRootFromParent_Done,
     /* 2277281 */   // Label 30916: @2277281
     /* 2277281 */   GIM_Try, /*On fail goto*//*Label 30917*/ GIMT_Encode4(2277329), // Rule ID 52295 //
     /* 2277286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277289 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2277292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2277306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277328 */     // GIR_Coverage, 52295,
     /* 2277328 */     GIR_EraseRootFromParent_Done,
     /* 2277329 */   // Label 30917: @2277329
     /* 2277329 */   GIM_Reject,
     /* 2277330 */ // Label 30915: @2277330
     /* 2277330 */ GIM_Reject,
     /* 2277331 */ // Label 30878: @2277331
     /* 2277331 */ GIM_Try, /*On fail goto*//*Label 30918*/ GIMT_Encode4(2277451),
     /* 2277336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2277339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2277342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277354 */   GIM_Try, /*On fail goto*//*Label 30919*/ GIMT_Encode4(2277402), // Rule ID 52338 //
     /* 2277359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277362 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2277365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2277379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277401 */     // GIR_Coverage, 52338,
     /* 2277401 */     GIR_EraseRootFromParent_Done,
     /* 2277402 */   // Label 30919: @2277402
     /* 2277402 */   GIM_Try, /*On fail goto*//*Label 30920*/ GIMT_Encode4(2277450), // Rule ID 52339 //
     /* 2277407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277410 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2277413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2277427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277449 */     // GIR_Coverage, 52339,
     /* 2277449 */     GIR_EraseRootFromParent_Done,
     /* 2277450 */   // Label 30920: @2277450
     /* 2277450 */   GIM_Reject,
     /* 2277451 */ // Label 30918: @2277451
     /* 2277451 */ GIM_Reject,
     /* 2277452 */ // Label 30879: @2277452
     /* 2277452 */ GIM_Try, /*On fail goto*//*Label 30921*/ GIMT_Encode4(2277572),
     /* 2277457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2277460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2277463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277475 */   GIM_Try, /*On fail goto*//*Label 30922*/ GIMT_Encode4(2277523), // Rule ID 52270 //
     /* 2277480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277483 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2277486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2277500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277522 */     // GIR_Coverage, 52270,
     /* 2277522 */     GIR_EraseRootFromParent_Done,
     /* 2277523 */   // Label 30922: @2277523
     /* 2277523 */   GIM_Try, /*On fail goto*//*Label 30923*/ GIMT_Encode4(2277571), // Rule ID 52271 //
     /* 2277528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277531 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2277534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2277548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277570 */     // GIR_Coverage, 52271,
     /* 2277570 */     GIR_EraseRootFromParent_Done,
     /* 2277571 */   // Label 30923: @2277571
     /* 2277571 */   GIM_Reject,
     /* 2277572 */ // Label 30921: @2277572
     /* 2277572 */ GIM_Reject,
     /* 2277573 */ // Label 30880: @2277573
     /* 2277573 */ GIM_Try, /*On fail goto*//*Label 30924*/ GIMT_Encode4(2277693),
     /* 2277578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2277581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2277584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277596 */   GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2277644), // Rule ID 52290 //
     /* 2277601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277604 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2277607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2277621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277643 */     // GIR_Coverage, 52290,
     /* 2277643 */     GIR_EraseRootFromParent_Done,
     /* 2277644 */   // Label 30925: @2277644
     /* 2277644 */   GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2277692), // Rule ID 52291 //
     /* 2277649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277652 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2277655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2277669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277691 */     // GIR_Coverage, 52291,
     /* 2277691 */     GIR_EraseRootFromParent_Done,
     /* 2277692 */   // Label 30926: @2277692
     /* 2277692 */   GIM_Reject,
     /* 2277693 */ // Label 30924: @2277693
     /* 2277693 */ GIM_Reject,
     /* 2277694 */ // Label 30881: @2277694
     /* 2277694 */ GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2277814),
     /* 2277699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2277702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2277705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277717 */   GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2277765), // Rule ID 52326 //
     /* 2277722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277725 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2277728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2277742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277764 */     // GIR_Coverage, 52326,
     /* 2277764 */     GIR_EraseRootFromParent_Done,
     /* 2277765 */   // Label 30928: @2277765
     /* 2277765 */   GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2277813), // Rule ID 52327 //
     /* 2277770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277773 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2277776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2277790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277812 */     // GIR_Coverage, 52327,
     /* 2277812 */     GIR_EraseRootFromParent_Done,
     /* 2277813 */   // Label 30929: @2277813
     /* 2277813 */   GIM_Reject,
     /* 2277814 */ // Label 30927: @2277814
     /* 2277814 */ GIM_Reject,
     /* 2277815 */ // Label 30882: @2277815
     /* 2277815 */ GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2277935),
     /* 2277820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2277823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2277826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277838 */   GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2277886), // Rule ID 52342 //
     /* 2277843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277846 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2277849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2277863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277885 */     // GIR_Coverage, 52342,
     /* 2277885 */     GIR_EraseRootFromParent_Done,
     /* 2277886 */   // Label 30931: @2277886
     /* 2277886 */   GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2277934), // Rule ID 52343 //
     /* 2277891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277894 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2277897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2277911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277933 */     // GIR_Coverage, 52343,
     /* 2277933 */     GIR_EraseRootFromParent_Done,
     /* 2277934 */   // Label 30932: @2277934
     /* 2277934 */   GIM_Reject,
     /* 2277935 */ // Label 30930: @2277935
     /* 2277935 */ GIM_Reject,
     /* 2277936 */ // Label 30883: @2277936
     /* 2277936 */ GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2278056),
     /* 2277941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2277944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2277947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277959 */   GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2278007), // Rule ID 52286 //
     /* 2277964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277967 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2277970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2277984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278006 */     // GIR_Coverage, 52286,
     /* 2278006 */     GIR_EraseRootFromParent_Done,
     /* 2278007 */   // Label 30934: @2278007
     /* 2278007 */   GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2278055), // Rule ID 52287 //
     /* 2278012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278015 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2278018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2278032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278054 */     // GIR_Coverage, 52287,
     /* 2278054 */     GIR_EraseRootFromParent_Done,
     /* 2278055 */   // Label 30935: @2278055
     /* 2278055 */   GIM_Reject,
     /* 2278056 */ // Label 30933: @2278056
     /* 2278056 */ GIM_Reject,
     /* 2278057 */ // Label 30884: @2278057
     /* 2278057 */ GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2278177),
     /* 2278062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2278065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2278068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278080 */   GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2278128), // Rule ID 52314 //
     /* 2278085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278088 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2278091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2278105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278127 */     // GIR_Coverage, 52314,
     /* 2278127 */     GIR_EraseRootFromParent_Done,
     /* 2278128 */   // Label 30937: @2278128
     /* 2278128 */   GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2278176), // Rule ID 52315 //
     /* 2278133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278136 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2278139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2278153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278175 */     // GIR_Coverage, 52315,
     /* 2278175 */     GIR_EraseRootFromParent_Done,
     /* 2278176 */   // Label 30938: @2278176
     /* 2278176 */   GIM_Reject,
     /* 2278177 */ // Label 30936: @2278177
     /* 2278177 */ GIM_Reject,
     /* 2278178 */ // Label 30885: @2278178
     /* 2278178 */ GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2278298),
     /* 2278183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2278186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2278189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278201 */   GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2278249), // Rule ID 52330 //
     /* 2278206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278209 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2278212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2278226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278248 */     // GIR_Coverage, 52330,
     /* 2278248 */     GIR_EraseRootFromParent_Done,
     /* 2278249 */   // Label 30940: @2278249
     /* 2278249 */   GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2278297), // Rule ID 52331 //
     /* 2278254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278257 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2278260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2278274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278296 */     // GIR_Coverage, 52331,
     /* 2278296 */     GIR_EraseRootFromParent_Done,
     /* 2278297 */   // Label 30941: @2278297
     /* 2278297 */   GIM_Reject,
     /* 2278298 */ // Label 30939: @2278298
     /* 2278298 */ GIM_Reject,
     /* 2278299 */ // Label 30886: @2278299
     /* 2278299 */ GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2278419),
     /* 2278304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2278307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2278310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278322 */   GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2278370), // Rule ID 52346 //
     /* 2278327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278330 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2278333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2278347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278369 */     // GIR_Coverage, 52346,
     /* 2278369 */     GIR_EraseRootFromParent_Done,
     /* 2278370 */   // Label 30943: @2278370
     /* 2278370 */   GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2278418), // Rule ID 52347 //
     /* 2278375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278378 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2278381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2278395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278417 */     // GIR_Coverage, 52347,
     /* 2278417 */     GIR_EraseRootFromParent_Done,
     /* 2278418 */   // Label 30944: @2278418
     /* 2278418 */   GIM_Reject,
     /* 2278419 */ // Label 30942: @2278419
     /* 2278419 */ GIM_Reject,
     /* 2278420 */ // Label 30887: @2278420
     /* 2278420 */ GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2278540),
     /* 2278425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2278428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2278431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278443 */   GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2278491), // Rule ID 52302 //
     /* 2278448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278451 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2278454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2278468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278490 */     // GIR_Coverage, 52302,
     /* 2278490 */     GIR_EraseRootFromParent_Done,
     /* 2278491 */   // Label 30946: @2278491
     /* 2278491 */   GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2278539), // Rule ID 52303 //
     /* 2278496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278499 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2278502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2278516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278538 */     // GIR_Coverage, 52303,
     /* 2278538 */     GIR_EraseRootFromParent_Done,
     /* 2278539 */   // Label 30947: @2278539
     /* 2278539 */   GIM_Reject,
     /* 2278540 */ // Label 30945: @2278540
     /* 2278540 */ GIM_Reject,
     /* 2278541 */ // Label 30888: @2278541
     /* 2278541 */ GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2278661),
     /* 2278546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2278549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2278552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278564 */   GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2278612), // Rule ID 52318 //
     /* 2278569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278572 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2278575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2278589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278611 */     // GIR_Coverage, 52318,
     /* 2278611 */     GIR_EraseRootFromParent_Done,
     /* 2278612 */   // Label 30949: @2278612
     /* 2278612 */   GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2278660), // Rule ID 52319 //
     /* 2278617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278620 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2278623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2278637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278659 */     // GIR_Coverage, 52319,
     /* 2278659 */     GIR_EraseRootFromParent_Done,
     /* 2278660 */   // Label 30950: @2278660
     /* 2278660 */   GIM_Reject,
     /* 2278661 */ // Label 30948: @2278661
     /* 2278661 */ GIM_Reject,
     /* 2278662 */ // Label 30889: @2278662
     /* 2278662 */ GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2278782),
     /* 2278667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2278670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2278673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278685 */   GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2278733), // Rule ID 52334 //
     /* 2278690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278693 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2278696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2278710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278732 */     // GIR_Coverage, 52334,
     /* 2278732 */     GIR_EraseRootFromParent_Done,
     /* 2278733 */   // Label 30952: @2278733
     /* 2278733 */   GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2278781), // Rule ID 52335 //
     /* 2278738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278741 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2278744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2278758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278780 */     // GIR_Coverage, 52335,
     /* 2278780 */     GIR_EraseRootFromParent_Done,
     /* 2278781 */   // Label 30953: @2278781
     /* 2278781 */   GIM_Reject,
     /* 2278782 */ // Label 30951: @2278782
     /* 2278782 */ GIM_Reject,
     /* 2278783 */ // Label 30890: @2278783
     /* 2278783 */ GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2278903),
     /* 2278788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2278791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2278794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278806 */   GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2278854), // Rule ID 52306 //
     /* 2278811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278814 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2278817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2278831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278853 */     // GIR_Coverage, 52306,
     /* 2278853 */     GIR_EraseRootFromParent_Done,
     /* 2278854 */   // Label 30955: @2278854
     /* 2278854 */   GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2278902), // Rule ID 52307 //
     /* 2278859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278862 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2278865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2278879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278901 */     // GIR_Coverage, 52307,
     /* 2278901 */     GIR_EraseRootFromParent_Done,
     /* 2278902 */   // Label 30956: @2278902
     /* 2278902 */   GIM_Reject,
     /* 2278903 */ // Label 30954: @2278903
     /* 2278903 */ GIM_Reject,
     /* 2278904 */ // Label 30891: @2278904
     /* 2278904 */ GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2279024),
     /* 2278909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2278912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2278915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278927 */   GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2278975), // Rule ID 52322 //
     /* 2278932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278935 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2278952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278974 */     // GIR_Coverage, 52322,
     /* 2278974 */     GIR_EraseRootFromParent_Done,
     /* 2278975 */   // Label 30958: @2278975
     /* 2278975 */   GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2279023), // Rule ID 52323 //
     /* 2278980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278983 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2279000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279022 */     // GIR_Coverage, 52323,
     /* 2279022 */     GIR_EraseRootFromParent_Done,
     /* 2279023 */   // Label 30959: @2279023
     /* 2279023 */   GIM_Reject,
     /* 2279024 */ // Label 30957: @2279024
     /* 2279024 */ GIM_Reject,
     /* 2279025 */ // Label 30892: @2279025
     /* 2279025 */ GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2279145),
     /* 2279030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2279033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2279036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279048 */   GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2279096), // Rule ID 52310 //
     /* 2279053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279056 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2279059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2279073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279095 */     // GIR_Coverage, 52310,
     /* 2279095 */     GIR_EraseRootFromParent_Done,
     /* 2279096 */   // Label 30961: @2279096
     /* 2279096 */   GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2279144), // Rule ID 52311 //
     /* 2279101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279104 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2279107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2279121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279143 */     // GIR_Coverage, 52311,
     /* 2279143 */     GIR_EraseRootFromParent_Done,
     /* 2279144 */   // Label 30962: @2279144
     /* 2279144 */   GIM_Reject,
     /* 2279145 */ // Label 30960: @2279145
     /* 2279145 */ GIM_Reject,
     /* 2279146 */ // Label 30893: @2279146
     /* 2279146 */ GIM_Reject,
     /* 2279147 */ // Label 55: @2279147
     /* 2279147 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30986*/ GIMT_Encode4(2281999),
     /* 2279158 */ /*GILLT_s32*//*Label 30963*/ GIMT_Encode4(2279282), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2279170 */ /*GILLT_nxv1s8*//*Label 30964*/ GIMT_Encode4(2279337),
     /* 2279174 */ /*GILLT_nxv1s16*//*Label 30965*/ GIMT_Encode4(2279458),
     /* 2279178 */ /*GILLT_nxv1s32*//*Label 30966*/ GIMT_Encode4(2279579),
     /* 2279182 */ /*GILLT_nxv1s64*//*Label 30967*/ GIMT_Encode4(2279700), GIMT_Encode4(0),
     /* 2279190 */ /*GILLT_nxv2s8*//*Label 30968*/ GIMT_Encode4(2279821),
     /* 2279194 */ /*GILLT_nxv2s16*//*Label 30969*/ GIMT_Encode4(2279942),
     /* 2279198 */ /*GILLT_nxv2s32*//*Label 30970*/ GIMT_Encode4(2280063),
     /* 2279202 */ /*GILLT_nxv2s64*//*Label 30971*/ GIMT_Encode4(2280184), GIMT_Encode4(0),
     /* 2279210 */ /*GILLT_nxv4s8*//*Label 30972*/ GIMT_Encode4(2280305),
     /* 2279214 */ /*GILLT_nxv4s16*//*Label 30973*/ GIMT_Encode4(2280426),
     /* 2279218 */ /*GILLT_nxv4s32*//*Label 30974*/ GIMT_Encode4(2280547),
     /* 2279222 */ /*GILLT_nxv4s64*//*Label 30975*/ GIMT_Encode4(2280668), GIMT_Encode4(0),
     /* 2279230 */ /*GILLT_nxv8s8*//*Label 30976*/ GIMT_Encode4(2280789),
     /* 2279234 */ /*GILLT_nxv8s16*//*Label 30977*/ GIMT_Encode4(2280910),
     /* 2279238 */ /*GILLT_nxv8s32*//*Label 30978*/ GIMT_Encode4(2281031),
     /* 2279242 */ /*GILLT_nxv8s64*//*Label 30979*/ GIMT_Encode4(2281152), GIMT_Encode4(0),
     /* 2279250 */ /*GILLT_nxv16s8*//*Label 30980*/ GIMT_Encode4(2281273),
     /* 2279254 */ /*GILLT_nxv16s16*//*Label 30981*/ GIMT_Encode4(2281394),
     /* 2279258 */ /*GILLT_nxv16s32*//*Label 30982*/ GIMT_Encode4(2281515), GIMT_Encode4(0),
     /* 2279266 */ /*GILLT_nxv32s8*//*Label 30983*/ GIMT_Encode4(2281636),
     /* 2279270 */ /*GILLT_nxv32s16*//*Label 30984*/ GIMT_Encode4(2281757), GIMT_Encode4(0),
     /* 2279278 */ /*GILLT_nxv64s8*//*Label 30985*/ GIMT_Encode4(2281878),
     /* 2279282 */ // Label 30963: @2279282
     /* 2279282 */ GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2279336),
     /* 2279287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2279293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2279297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2279301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2279305 */   GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2279320), // Rule ID 64568 //
     /* 2279310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2279313 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2279313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2279318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279319 */     // GIR_Coverage, 64568,
     /* 2279319 */     GIR_Done,
     /* 2279320 */   // Label 30988: @2279320
     /* 2279320 */   GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2279335), // Rule ID 64569 //
     /* 2279325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2279328 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2279328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2279333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279334 */     // GIR_Coverage, 64569,
     /* 2279334 */     GIR_Done,
     /* 2279335 */   // Label 30989: @2279335
     /* 2279335 */   GIM_Reject,
     /* 2279336 */ // Label 30987: @2279336
     /* 2279336 */ GIM_Reject,
     /* 2279337 */ // Label 30964: @2279337
     /* 2279337 */ GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2279457),
     /* 2279342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2279345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2279348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279360 */   GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2279408), // Rule ID 52614 //
     /* 2279365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279368 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2279371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2279385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279407 */     // GIR_Coverage, 52614,
     /* 2279407 */     GIR_EraseRootFromParent_Done,
     /* 2279408 */   // Label 30991: @2279408
     /* 2279408 */   GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2279456), // Rule ID 52615 //
     /* 2279413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279416 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2279419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2279433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279455 */     // GIR_Coverage, 52615,
     /* 2279455 */     GIR_EraseRootFromParent_Done,
     /* 2279456 */   // Label 30992: @2279456
     /* 2279456 */   GIM_Reject,
     /* 2279457 */ // Label 30990: @2279457
     /* 2279457 */ GIM_Reject,
     /* 2279458 */ // Label 30965: @2279458
     /* 2279458 */ GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2279578),
     /* 2279463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2279466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2279469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279481 */   GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2279529), // Rule ID 52626 //
     /* 2279486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279489 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2279492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2279506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279528 */     // GIR_Coverage, 52626,
     /* 2279528 */     GIR_EraseRootFromParent_Done,
     /* 2279529 */   // Label 30994: @2279529
     /* 2279529 */   GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2279577), // Rule ID 52627 //
     /* 2279534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279537 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2279540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2279554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279576 */     // GIR_Coverage, 52627,
     /* 2279576 */     GIR_EraseRootFromParent_Done,
     /* 2279577 */   // Label 30995: @2279577
     /* 2279577 */   GIM_Reject,
     /* 2279578 */ // Label 30993: @2279578
     /* 2279578 */ GIM_Reject,
     /* 2279579 */ // Label 30966: @2279579
     /* 2279579 */ GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2279699),
     /* 2279584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2279587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2279590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279602 */   GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2279650), // Rule ID 52634 //
     /* 2279607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279610 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2279613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2279627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279649 */     // GIR_Coverage, 52634,
     /* 2279649 */     GIR_EraseRootFromParent_Done,
     /* 2279650 */   // Label 30997: @2279650
     /* 2279650 */   GIM_Try, /*On fail goto*//*Label 30998*/ GIMT_Encode4(2279698), // Rule ID 52635 //
     /* 2279655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279658 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2279661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2279675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279697 */     // GIR_Coverage, 52635,
     /* 2279697 */     GIR_EraseRootFromParent_Done,
     /* 2279698 */   // Label 30998: @2279698
     /* 2279698 */   GIM_Reject,
     /* 2279699 */ // Label 30996: @2279699
     /* 2279699 */ GIM_Reject,
     /* 2279700 */ // Label 30967: @2279700
     /* 2279700 */ GIM_Try, /*On fail goto*//*Label 30999*/ GIMT_Encode4(2279820),
     /* 2279705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2279708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2279711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279723 */   GIM_Try, /*On fail goto*//*Label 31000*/ GIMT_Encode4(2279771), // Rule ID 52650 //
     /* 2279728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279731 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2279734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2279748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279770 */     // GIR_Coverage, 52650,
     /* 2279770 */     GIR_EraseRootFromParent_Done,
     /* 2279771 */   // Label 31000: @2279771
     /* 2279771 */   GIM_Try, /*On fail goto*//*Label 31001*/ GIMT_Encode4(2279819), // Rule ID 52651 //
     /* 2279776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279779 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2279782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2279796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279818 */     // GIR_Coverage, 52651,
     /* 2279818 */     GIR_EraseRootFromParent_Done,
     /* 2279819 */   // Label 31001: @2279819
     /* 2279819 */   GIM_Reject,
     /* 2279820 */ // Label 30999: @2279820
     /* 2279820 */ GIM_Reject,
     /* 2279821 */ // Label 30968: @2279821
     /* 2279821 */ GIM_Try, /*On fail goto*//*Label 31002*/ GIMT_Encode4(2279941),
     /* 2279826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2279829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2279832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279844 */   GIM_Try, /*On fail goto*//*Label 31003*/ GIMT_Encode4(2279892), // Rule ID 52618 //
     /* 2279849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279852 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2279855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2279869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279891 */     // GIR_Coverage, 52618,
     /* 2279891 */     GIR_EraseRootFromParent_Done,
     /* 2279892 */   // Label 31003: @2279892
     /* 2279892 */   GIM_Try, /*On fail goto*//*Label 31004*/ GIMT_Encode4(2279940), // Rule ID 52619 //
     /* 2279897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279900 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2279903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2279917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2279938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279939 */     // GIR_Coverage, 52619,
     /* 2279939 */     GIR_EraseRootFromParent_Done,
     /* 2279940 */   // Label 31004: @2279940
     /* 2279940 */   GIM_Reject,
     /* 2279941 */ // Label 31002: @2279941
     /* 2279941 */ GIM_Reject,
     /* 2279942 */ // Label 30969: @2279942
     /* 2279942 */ GIM_Try, /*On fail goto*//*Label 31005*/ GIMT_Encode4(2280062),
     /* 2279947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2279950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2279953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279965 */   GIM_Try, /*On fail goto*//*Label 31006*/ GIMT_Encode4(2280013), // Rule ID 52630 //
     /* 2279970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279973 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2279990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280012 */     // GIR_Coverage, 52630,
     /* 2280012 */     GIR_EraseRootFromParent_Done,
     /* 2280013 */   // Label 31006: @2280013
     /* 2280013 */   GIM_Try, /*On fail goto*//*Label 31007*/ GIMT_Encode4(2280061), // Rule ID 52631 //
     /* 2280018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280021 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2280024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2280038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280060 */     // GIR_Coverage, 52631,
     /* 2280060 */     GIR_EraseRootFromParent_Done,
     /* 2280061 */   // Label 31007: @2280061
     /* 2280061 */   GIM_Reject,
     /* 2280062 */ // Label 31005: @2280062
     /* 2280062 */ GIM_Reject,
     /* 2280063 */ // Label 30970: @2280063
     /* 2280063 */ GIM_Try, /*On fail goto*//*Label 31008*/ GIMT_Encode4(2280183),
     /* 2280068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2280071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2280074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280086 */   GIM_Try, /*On fail goto*//*Label 31009*/ GIMT_Encode4(2280134), // Rule ID 52646 //
     /* 2280091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280094 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2280097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2280111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280133 */     // GIR_Coverage, 52646,
     /* 2280133 */     GIR_EraseRootFromParent_Done,
     /* 2280134 */   // Label 31009: @2280134
     /* 2280134 */   GIM_Try, /*On fail goto*//*Label 31010*/ GIMT_Encode4(2280182), // Rule ID 52647 //
     /* 2280139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280142 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2280145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2280159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280181 */     // GIR_Coverage, 52647,
     /* 2280181 */     GIR_EraseRootFromParent_Done,
     /* 2280182 */   // Label 31010: @2280182
     /* 2280182 */   GIM_Reject,
     /* 2280183 */ // Label 31008: @2280183
     /* 2280183 */ GIM_Reject,
     /* 2280184 */ // Label 30971: @2280184
     /* 2280184 */ GIM_Try, /*On fail goto*//*Label 31011*/ GIMT_Encode4(2280304),
     /* 2280189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2280192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2280195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280207 */   GIM_Try, /*On fail goto*//*Label 31012*/ GIMT_Encode4(2280255), // Rule ID 52690 //
     /* 2280212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2280215 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2280218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2280232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280254 */     // GIR_Coverage, 52690,
     /* 2280254 */     GIR_EraseRootFromParent_Done,
     /* 2280255 */   // Label 31012: @2280255
     /* 2280255 */   GIM_Try, /*On fail goto*//*Label 31013*/ GIMT_Encode4(2280303), // Rule ID 52691 //
     /* 2280260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2280263 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2280266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2280280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280302 */     // GIR_Coverage, 52691,
     /* 2280302 */     GIR_EraseRootFromParent_Done,
     /* 2280303 */   // Label 31013: @2280303
     /* 2280303 */   GIM_Reject,
     /* 2280304 */ // Label 31011: @2280304
     /* 2280304 */ GIM_Reject,
     /* 2280305 */ // Label 30972: @2280305
     /* 2280305 */ GIM_Try, /*On fail goto*//*Label 31014*/ GIMT_Encode4(2280425),
     /* 2280310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2280313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2280316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280328 */   GIM_Try, /*On fail goto*//*Label 31015*/ GIMT_Encode4(2280376), // Rule ID 52622 //
     /* 2280333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280336 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2280339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2280353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280375 */     // GIR_Coverage, 52622,
     /* 2280375 */     GIR_EraseRootFromParent_Done,
     /* 2280376 */   // Label 31015: @2280376
     /* 2280376 */   GIM_Try, /*On fail goto*//*Label 31016*/ GIMT_Encode4(2280424), // Rule ID 52623 //
     /* 2280381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280384 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2280387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2280401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280423 */     // GIR_Coverage, 52623,
     /* 2280423 */     GIR_EraseRootFromParent_Done,
     /* 2280424 */   // Label 31016: @2280424
     /* 2280424 */   GIM_Reject,
     /* 2280425 */ // Label 31014: @2280425
     /* 2280425 */ GIM_Reject,
     /* 2280426 */ // Label 30973: @2280426
     /* 2280426 */ GIM_Try, /*On fail goto*//*Label 31017*/ GIMT_Encode4(2280546),
     /* 2280431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2280434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2280437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280449 */   GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2280497), // Rule ID 52642 //
     /* 2280454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280457 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2280460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2280474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280496 */     // GIR_Coverage, 52642,
     /* 2280496 */     GIR_EraseRootFromParent_Done,
     /* 2280497 */   // Label 31018: @2280497
     /* 2280497 */   GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2280545), // Rule ID 52643 //
     /* 2280502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280505 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2280508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2280522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280544 */     // GIR_Coverage, 52643,
     /* 2280544 */     GIR_EraseRootFromParent_Done,
     /* 2280545 */   // Label 31019: @2280545
     /* 2280545 */   GIM_Reject,
     /* 2280546 */ // Label 31017: @2280546
     /* 2280546 */ GIM_Reject,
     /* 2280547 */ // Label 30974: @2280547
     /* 2280547 */ GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2280667),
     /* 2280552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2280555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2280558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280570 */   GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2280618), // Rule ID 52678 //
     /* 2280575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280578 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2280595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280617 */     // GIR_Coverage, 52678,
     /* 2280617 */     GIR_EraseRootFromParent_Done,
     /* 2280618 */   // Label 31021: @2280618
     /* 2280618 */   GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2280666), // Rule ID 52679 //
     /* 2280623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280626 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2280643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280665 */     // GIR_Coverage, 52679,
     /* 2280665 */     GIR_EraseRootFromParent_Done,
     /* 2280666 */   // Label 31022: @2280666
     /* 2280666 */   GIM_Reject,
     /* 2280667 */ // Label 31020: @2280667
     /* 2280667 */ GIM_Reject,
     /* 2280668 */ // Label 30975: @2280668
     /* 2280668 */ GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2280788),
     /* 2280673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2280676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2280679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280691 */   GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2280739), // Rule ID 52694 //
     /* 2280696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2280699 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2280716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280738 */     // GIR_Coverage, 52694,
     /* 2280738 */     GIR_EraseRootFromParent_Done,
     /* 2280739 */   // Label 31024: @2280739
     /* 2280739 */   GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2280787), // Rule ID 52695 //
     /* 2280744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2280747 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2280764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280786 */     // GIR_Coverage, 52695,
     /* 2280786 */     GIR_EraseRootFromParent_Done,
     /* 2280787 */   // Label 31025: @2280787
     /* 2280787 */   GIM_Reject,
     /* 2280788 */ // Label 31023: @2280788
     /* 2280788 */ GIM_Reject,
     /* 2280789 */ // Label 30976: @2280789
     /* 2280789 */ GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2280909),
     /* 2280794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2280797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2280800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280812 */   GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2280860), // Rule ID 52638 //
     /* 2280817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280820 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2280823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2280837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280859 */     // GIR_Coverage, 52638,
     /* 2280859 */     GIR_EraseRootFromParent_Done,
     /* 2280860 */   // Label 31027: @2280860
     /* 2280860 */   GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2280908), // Rule ID 52639 //
     /* 2280865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280868 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2280871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2280885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280907 */     // GIR_Coverage, 52639,
     /* 2280907 */     GIR_EraseRootFromParent_Done,
     /* 2280908 */   // Label 31028: @2280908
     /* 2280908 */   GIM_Reject,
     /* 2280909 */ // Label 31026: @2280909
     /* 2280909 */ GIM_Reject,
     /* 2280910 */ // Label 30977: @2280910
     /* 2280910 */ GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2281030),
     /* 2280915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2280918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2280921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280933 */   GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2280981), // Rule ID 52666 //
     /* 2280938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280941 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2280958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2280979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280980 */     // GIR_Coverage, 52666,
     /* 2280980 */     GIR_EraseRootFromParent_Done,
     /* 2280981 */   // Label 31030: @2280981
     /* 2280981 */   GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2281029), // Rule ID 52667 //
     /* 2280986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280989 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2281006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281028 */     // GIR_Coverage, 52667,
     /* 2281028 */     GIR_EraseRootFromParent_Done,
     /* 2281029 */   // Label 31031: @2281029
     /* 2281029 */   GIM_Reject,
     /* 2281030 */ // Label 31029: @2281030
     /* 2281030 */ GIM_Reject,
     /* 2281031 */ // Label 30978: @2281031
     /* 2281031 */ GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2281151),
     /* 2281036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2281039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2281042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281054 */   GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2281102), // Rule ID 52682 //
     /* 2281059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281062 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2281065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2281079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281101 */     // GIR_Coverage, 52682,
     /* 2281101 */     GIR_EraseRootFromParent_Done,
     /* 2281102 */   // Label 31033: @2281102
     /* 2281102 */   GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2281150), // Rule ID 52683 //
     /* 2281107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281110 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2281113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2281127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281149 */     // GIR_Coverage, 52683,
     /* 2281149 */     GIR_EraseRootFromParent_Done,
     /* 2281150 */   // Label 31034: @2281150
     /* 2281150 */   GIM_Reject,
     /* 2281151 */ // Label 31032: @2281151
     /* 2281151 */ GIM_Reject,
     /* 2281152 */ // Label 30979: @2281152
     /* 2281152 */ GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2281272),
     /* 2281157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2281160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2281163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281175 */   GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2281223), // Rule ID 52698 //
     /* 2281180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2281183 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2281186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281222 */     // GIR_Coverage, 52698,
     /* 2281222 */     GIR_EraseRootFromParent_Done,
     /* 2281223 */   // Label 31036: @2281223
     /* 2281223 */   GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2281271), // Rule ID 52699 //
     /* 2281228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2281231 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2281234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281270 */     // GIR_Coverage, 52699,
     /* 2281270 */     GIR_EraseRootFromParent_Done,
     /* 2281271 */   // Label 31037: @2281271
     /* 2281271 */   GIM_Reject,
     /* 2281272 */ // Label 31035: @2281272
     /* 2281272 */ GIM_Reject,
     /* 2281273 */ // Label 30980: @2281273
     /* 2281273 */ GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2281393),
     /* 2281278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2281281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2281284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281296 */   GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2281344), // Rule ID 52654 //
     /* 2281301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281304 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2281307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2281321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281343 */     // GIR_Coverage, 52654,
     /* 2281343 */     GIR_EraseRootFromParent_Done,
     /* 2281344 */   // Label 31039: @2281344
     /* 2281344 */   GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2281392), // Rule ID 52655 //
     /* 2281349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281352 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2281355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2281369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281391 */     // GIR_Coverage, 52655,
     /* 2281391 */     GIR_EraseRootFromParent_Done,
     /* 2281392 */   // Label 31040: @2281392
     /* 2281392 */   GIM_Reject,
     /* 2281393 */ // Label 31038: @2281393
     /* 2281393 */ GIM_Reject,
     /* 2281394 */ // Label 30981: @2281394
     /* 2281394 */ GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2281514),
     /* 2281399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2281402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2281405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281417 */   GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2281465), // Rule ID 52670 //
     /* 2281422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281425 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2281442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281464 */     // GIR_Coverage, 52670,
     /* 2281464 */     GIR_EraseRootFromParent_Done,
     /* 2281465 */   // Label 31042: @2281465
     /* 2281465 */   GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2281513), // Rule ID 52671 //
     /* 2281470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281473 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2281490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281512 */     // GIR_Coverage, 52671,
     /* 2281512 */     GIR_EraseRootFromParent_Done,
     /* 2281513 */   // Label 31043: @2281513
     /* 2281513 */   GIM_Reject,
     /* 2281514 */ // Label 31041: @2281514
     /* 2281514 */ GIM_Reject,
     /* 2281515 */ // Label 30982: @2281515
     /* 2281515 */ GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2281635),
     /* 2281520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2281523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2281526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281538 */   GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2281586), // Rule ID 52686 //
     /* 2281543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281546 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281585 */     // GIR_Coverage, 52686,
     /* 2281585 */     GIR_EraseRootFromParent_Done,
     /* 2281586 */   // Label 31045: @2281586
     /* 2281586 */   GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2281634), // Rule ID 52687 //
     /* 2281591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281594 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281633 */     // GIR_Coverage, 52687,
     /* 2281633 */     GIR_EraseRootFromParent_Done,
     /* 2281634 */   // Label 31046: @2281634
     /* 2281634 */   GIM_Reject,
     /* 2281635 */ // Label 31044: @2281635
     /* 2281635 */ GIM_Reject,
     /* 2281636 */ // Label 30983: @2281636
     /* 2281636 */ GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2281756),
     /* 2281641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2281644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2281647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281659 */   GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2281707), // Rule ID 52658 //
     /* 2281664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281667 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2281670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2281684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281706 */     // GIR_Coverage, 52658,
     /* 2281706 */     GIR_EraseRootFromParent_Done,
     /* 2281707 */   // Label 31048: @2281707
     /* 2281707 */   GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2281755), // Rule ID 52659 //
     /* 2281712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281715 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2281718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2281732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281754 */     // GIR_Coverage, 52659,
     /* 2281754 */     GIR_EraseRootFromParent_Done,
     /* 2281755 */   // Label 31049: @2281755
     /* 2281755 */   GIM_Reject,
     /* 2281756 */ // Label 31047: @2281756
     /* 2281756 */ GIM_Reject,
     /* 2281757 */ // Label 30984: @2281757
     /* 2281757 */ GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2281877),
     /* 2281762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2281765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2281768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281780 */   GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2281828), // Rule ID 52674 //
     /* 2281785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281788 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281827 */     // GIR_Coverage, 52674,
     /* 2281827 */     GIR_EraseRootFromParent_Done,
     /* 2281828 */   // Label 31051: @2281828
     /* 2281828 */   GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2281876), // Rule ID 52675 //
     /* 2281833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281836 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281875 */     // GIR_Coverage, 52675,
     /* 2281875 */     GIR_EraseRootFromParent_Done,
     /* 2281876 */   // Label 31052: @2281876
     /* 2281876 */   GIM_Reject,
     /* 2281877 */ // Label 31050: @2281877
     /* 2281877 */ GIM_Reject,
     /* 2281878 */ // Label 30985: @2281878
     /* 2281878 */ GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2281998),
     /* 2281883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2281886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2281889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281901 */   GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2281949), // Rule ID 52662 //
     /* 2281906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281909 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2281912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281948 */     // GIR_Coverage, 52662,
     /* 2281948 */     GIR_EraseRootFromParent_Done,
     /* 2281949 */   // Label 31054: @2281949
     /* 2281949 */   GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2281997), // Rule ID 52663 //
     /* 2281954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281957 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2281960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2281974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2281995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281996 */     // GIR_Coverage, 52663,
     /* 2281996 */     GIR_EraseRootFromParent_Done,
     /* 2281997 */   // Label 31055: @2281997
     /* 2281997 */   GIM_Reject,
     /* 2281998 */ // Label 31053: @2281998
     /* 2281998 */ GIM_Reject,
     /* 2281999 */ // Label 30986: @2281999
     /* 2281999 */ GIM_Reject,
     /* 2282000 */ // Label 56: @2282000
     /* 2282000 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31079*/ GIMT_Encode4(2284852),
     /* 2282011 */ /*GILLT_s32*//*Label 31056*/ GIMT_Encode4(2282135), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2282023 */ /*GILLT_nxv1s8*//*Label 31057*/ GIMT_Encode4(2282190),
     /* 2282027 */ /*GILLT_nxv1s16*//*Label 31058*/ GIMT_Encode4(2282311),
     /* 2282031 */ /*GILLT_nxv1s32*//*Label 31059*/ GIMT_Encode4(2282432),
     /* 2282035 */ /*GILLT_nxv1s64*//*Label 31060*/ GIMT_Encode4(2282553), GIMT_Encode4(0),
     /* 2282043 */ /*GILLT_nxv2s8*//*Label 31061*/ GIMT_Encode4(2282674),
     /* 2282047 */ /*GILLT_nxv2s16*//*Label 31062*/ GIMT_Encode4(2282795),
     /* 2282051 */ /*GILLT_nxv2s32*//*Label 31063*/ GIMT_Encode4(2282916),
     /* 2282055 */ /*GILLT_nxv2s64*//*Label 31064*/ GIMT_Encode4(2283037), GIMT_Encode4(0),
     /* 2282063 */ /*GILLT_nxv4s8*//*Label 31065*/ GIMT_Encode4(2283158),
     /* 2282067 */ /*GILLT_nxv4s16*//*Label 31066*/ GIMT_Encode4(2283279),
     /* 2282071 */ /*GILLT_nxv4s32*//*Label 31067*/ GIMT_Encode4(2283400),
     /* 2282075 */ /*GILLT_nxv4s64*//*Label 31068*/ GIMT_Encode4(2283521), GIMT_Encode4(0),
     /* 2282083 */ /*GILLT_nxv8s8*//*Label 31069*/ GIMT_Encode4(2283642),
     /* 2282087 */ /*GILLT_nxv8s16*//*Label 31070*/ GIMT_Encode4(2283763),
     /* 2282091 */ /*GILLT_nxv8s32*//*Label 31071*/ GIMT_Encode4(2283884),
     /* 2282095 */ /*GILLT_nxv8s64*//*Label 31072*/ GIMT_Encode4(2284005), GIMT_Encode4(0),
     /* 2282103 */ /*GILLT_nxv16s8*//*Label 31073*/ GIMT_Encode4(2284126),
     /* 2282107 */ /*GILLT_nxv16s16*//*Label 31074*/ GIMT_Encode4(2284247),
     /* 2282111 */ /*GILLT_nxv16s32*//*Label 31075*/ GIMT_Encode4(2284368), GIMT_Encode4(0),
     /* 2282119 */ /*GILLT_nxv32s8*//*Label 31076*/ GIMT_Encode4(2284489),
     /* 2282123 */ /*GILLT_nxv32s16*//*Label 31077*/ GIMT_Encode4(2284610), GIMT_Encode4(0),
     /* 2282131 */ /*GILLT_nxv64s8*//*Label 31078*/ GIMT_Encode4(2284731),
     /* 2282135 */ // Label 31056: @2282135
     /* 2282135 */ GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2282189),
     /* 2282140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2282143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2282146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2282150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2282154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2282158 */   GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2282173), // Rule ID 64566 //
     /* 2282163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2282166 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2282166 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2282171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282172 */     // GIR_Coverage, 64566,
     /* 2282172 */     GIR_Done,
     /* 2282173 */   // Label 31081: @2282173
     /* 2282173 */   GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2282188), // Rule ID 64567 //
     /* 2282178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2282181 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2282181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2282186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282187 */     // GIR_Coverage, 64567,
     /* 2282187 */     GIR_Done,
     /* 2282188 */   // Label 31082: @2282188
     /* 2282188 */   GIM_Reject,
     /* 2282189 */ // Label 31080: @2282189
     /* 2282189 */ GIM_Reject,
     /* 2282190 */ // Label 31057: @2282190
     /* 2282190 */ GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2282310),
     /* 2282195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2282198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2282201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282213 */   GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2282261), // Rule ID 52526 //
     /* 2282218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282221 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2282224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2282238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282260 */     // GIR_Coverage, 52526,
     /* 2282260 */     GIR_EraseRootFromParent_Done,
     /* 2282261 */   // Label 31084: @2282261
     /* 2282261 */   GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2282309), // Rule ID 52527 //
     /* 2282266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282269 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2282272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2282286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282308 */     // GIR_Coverage, 52527,
     /* 2282308 */     GIR_EraseRootFromParent_Done,
     /* 2282309 */   // Label 31085: @2282309
     /* 2282309 */   GIM_Reject,
     /* 2282310 */ // Label 31083: @2282310
     /* 2282310 */ GIM_Reject,
     /* 2282311 */ // Label 31058: @2282311
     /* 2282311 */ GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2282431),
     /* 2282316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2282322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282334 */   GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2282382), // Rule ID 52538 //
     /* 2282339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282342 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2282345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2282359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282381 */     // GIR_Coverage, 52538,
     /* 2282381 */     GIR_EraseRootFromParent_Done,
     /* 2282382 */   // Label 31087: @2282382
     /* 2282382 */   GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2282430), // Rule ID 52539 //
     /* 2282387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282390 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2282393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2282407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282429 */     // GIR_Coverage, 52539,
     /* 2282429 */     GIR_EraseRootFromParent_Done,
     /* 2282430 */   // Label 31088: @2282430
     /* 2282430 */   GIM_Reject,
     /* 2282431 */ // Label 31086: @2282431
     /* 2282431 */ GIM_Reject,
     /* 2282432 */ // Label 31059: @2282432
     /* 2282432 */ GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2282552),
     /* 2282437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2282440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2282443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282455 */   GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2282503), // Rule ID 52546 //
     /* 2282460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282463 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2282466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2282480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282502 */     // GIR_Coverage, 52546,
     /* 2282502 */     GIR_EraseRootFromParent_Done,
     /* 2282503 */   // Label 31090: @2282503
     /* 2282503 */   GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2282551), // Rule ID 52547 //
     /* 2282508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282511 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2282514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2282528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282550 */     // GIR_Coverage, 52547,
     /* 2282550 */     GIR_EraseRootFromParent_Done,
     /* 2282551 */   // Label 31091: @2282551
     /* 2282551 */   GIM_Reject,
     /* 2282552 */ // Label 31089: @2282552
     /* 2282552 */ GIM_Reject,
     /* 2282553 */ // Label 31060: @2282553
     /* 2282553 */ GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2282673),
     /* 2282558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2282561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2282564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282576 */   GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2282624), // Rule ID 52562 //
     /* 2282581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2282584 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2282587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2282601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282623 */     // GIR_Coverage, 52562,
     /* 2282623 */     GIR_EraseRootFromParent_Done,
     /* 2282624 */   // Label 31093: @2282624
     /* 2282624 */   GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2282672), // Rule ID 52563 //
     /* 2282629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2282632 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2282635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2282649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282671 */     // GIR_Coverage, 52563,
     /* 2282671 */     GIR_EraseRootFromParent_Done,
     /* 2282672 */   // Label 31094: @2282672
     /* 2282672 */   GIM_Reject,
     /* 2282673 */ // Label 31092: @2282673
     /* 2282673 */ GIM_Reject,
     /* 2282674 */ // Label 31061: @2282674
     /* 2282674 */ GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2282794),
     /* 2282679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2282682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2282685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282697 */   GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2282745), // Rule ID 52530 //
     /* 2282702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282705 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2282708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2282722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282744 */     // GIR_Coverage, 52530,
     /* 2282744 */     GIR_EraseRootFromParent_Done,
     /* 2282745 */   // Label 31096: @2282745
     /* 2282745 */   GIM_Try, /*On fail goto*//*Label 31097*/ GIMT_Encode4(2282793), // Rule ID 52531 //
     /* 2282750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282753 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2282756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2282770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282792 */     // GIR_Coverage, 52531,
     /* 2282792 */     GIR_EraseRootFromParent_Done,
     /* 2282793 */   // Label 31097: @2282793
     /* 2282793 */   GIM_Reject,
     /* 2282794 */ // Label 31095: @2282794
     /* 2282794 */ GIM_Reject,
     /* 2282795 */ // Label 31062: @2282795
     /* 2282795 */ GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2282915),
     /* 2282800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2282803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2282806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282818 */   GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2282866), // Rule ID 52542 //
     /* 2282823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282826 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2282843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282865 */     // GIR_Coverage, 52542,
     /* 2282865 */     GIR_EraseRootFromParent_Done,
     /* 2282866 */   // Label 31099: @2282866
     /* 2282866 */   GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2282914), // Rule ID 52543 //
     /* 2282871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282874 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2282891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282913 */     // GIR_Coverage, 52543,
     /* 2282913 */     GIR_EraseRootFromParent_Done,
     /* 2282914 */   // Label 31100: @2282914
     /* 2282914 */   GIM_Reject,
     /* 2282915 */ // Label 31098: @2282915
     /* 2282915 */ GIM_Reject,
     /* 2282916 */ // Label 31063: @2282916
     /* 2282916 */ GIM_Try, /*On fail goto*//*Label 31101*/ GIMT_Encode4(2283036),
     /* 2282921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2282924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2282927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282939 */   GIM_Try, /*On fail goto*//*Label 31102*/ GIMT_Encode4(2282987), // Rule ID 52558 //
     /* 2282944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282947 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2282964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2282985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282986 */     // GIR_Coverage, 52558,
     /* 2282986 */     GIR_EraseRootFromParent_Done,
     /* 2282987 */   // Label 31102: @2282987
     /* 2282987 */   GIM_Try, /*On fail goto*//*Label 31103*/ GIMT_Encode4(2283035), // Rule ID 52559 //
     /* 2282992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282995 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2283012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283034 */     // GIR_Coverage, 52559,
     /* 2283034 */     GIR_EraseRootFromParent_Done,
     /* 2283035 */   // Label 31103: @2283035
     /* 2283035 */   GIM_Reject,
     /* 2283036 */ // Label 31101: @2283036
     /* 2283036 */ GIM_Reject,
     /* 2283037 */ // Label 31064: @2283037
     /* 2283037 */ GIM_Try, /*On fail goto*//*Label 31104*/ GIMT_Encode4(2283157),
     /* 2283042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2283045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2283048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283060 */   GIM_Try, /*On fail goto*//*Label 31105*/ GIMT_Encode4(2283108), // Rule ID 52602 //
     /* 2283065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2283068 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2283071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2283085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283107 */     // GIR_Coverage, 52602,
     /* 2283107 */     GIR_EraseRootFromParent_Done,
     /* 2283108 */   // Label 31105: @2283108
     /* 2283108 */   GIM_Try, /*On fail goto*//*Label 31106*/ GIMT_Encode4(2283156), // Rule ID 52603 //
     /* 2283113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2283116 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2283119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2283133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283155 */     // GIR_Coverage, 52603,
     /* 2283155 */     GIR_EraseRootFromParent_Done,
     /* 2283156 */   // Label 31106: @2283156
     /* 2283156 */   GIM_Reject,
     /* 2283157 */ // Label 31104: @2283157
     /* 2283157 */ GIM_Reject,
     /* 2283158 */ // Label 31065: @2283158
     /* 2283158 */ GIM_Try, /*On fail goto*//*Label 31107*/ GIMT_Encode4(2283278),
     /* 2283163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2283166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2283169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283181 */   GIM_Try, /*On fail goto*//*Label 31108*/ GIMT_Encode4(2283229), // Rule ID 52534 //
     /* 2283186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283189 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2283192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2283206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283228 */     // GIR_Coverage, 52534,
     /* 2283228 */     GIR_EraseRootFromParent_Done,
     /* 2283229 */   // Label 31108: @2283229
     /* 2283229 */   GIM_Try, /*On fail goto*//*Label 31109*/ GIMT_Encode4(2283277), // Rule ID 52535 //
     /* 2283234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283237 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2283240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2283254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283276 */     // GIR_Coverage, 52535,
     /* 2283276 */     GIR_EraseRootFromParent_Done,
     /* 2283277 */   // Label 31109: @2283277
     /* 2283277 */   GIM_Reject,
     /* 2283278 */ // Label 31107: @2283278
     /* 2283278 */ GIM_Reject,
     /* 2283279 */ // Label 31066: @2283279
     /* 2283279 */ GIM_Try, /*On fail goto*//*Label 31110*/ GIMT_Encode4(2283399),
     /* 2283284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2283287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2283290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283302 */   GIM_Try, /*On fail goto*//*Label 31111*/ GIMT_Encode4(2283350), // Rule ID 52554 //
     /* 2283307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283310 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2283313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2283327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283349 */     // GIR_Coverage, 52554,
     /* 2283349 */     GIR_EraseRootFromParent_Done,
     /* 2283350 */   // Label 31111: @2283350
     /* 2283350 */   GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2283398), // Rule ID 52555 //
     /* 2283355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283358 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2283361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2283375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283397 */     // GIR_Coverage, 52555,
     /* 2283397 */     GIR_EraseRootFromParent_Done,
     /* 2283398 */   // Label 31112: @2283398
     /* 2283398 */   GIM_Reject,
     /* 2283399 */ // Label 31110: @2283399
     /* 2283399 */ GIM_Reject,
     /* 2283400 */ // Label 31067: @2283400
     /* 2283400 */ GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2283520),
     /* 2283405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2283408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2283411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283423 */   GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2283471), // Rule ID 52590 //
     /* 2283428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283431 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2283434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2283448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283470 */     // GIR_Coverage, 52590,
     /* 2283470 */     GIR_EraseRootFromParent_Done,
     /* 2283471 */   // Label 31114: @2283471
     /* 2283471 */   GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2283519), // Rule ID 52591 //
     /* 2283476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283479 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2283482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2283496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283518 */     // GIR_Coverage, 52591,
     /* 2283518 */     GIR_EraseRootFromParent_Done,
     /* 2283519 */   // Label 31115: @2283519
     /* 2283519 */   GIM_Reject,
     /* 2283520 */ // Label 31113: @2283520
     /* 2283520 */ GIM_Reject,
     /* 2283521 */ // Label 31068: @2283521
     /* 2283521 */ GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2283641),
     /* 2283526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2283529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2283532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283544 */   GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2283592), // Rule ID 52606 //
     /* 2283549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2283552 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2283555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2283569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283591 */     // GIR_Coverage, 52606,
     /* 2283591 */     GIR_EraseRootFromParent_Done,
     /* 2283592 */   // Label 31117: @2283592
     /* 2283592 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2283640), // Rule ID 52607 //
     /* 2283597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2283600 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2283603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2283617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283639 */     // GIR_Coverage, 52607,
     /* 2283639 */     GIR_EraseRootFromParent_Done,
     /* 2283640 */   // Label 31118: @2283640
     /* 2283640 */   GIM_Reject,
     /* 2283641 */ // Label 31116: @2283641
     /* 2283641 */ GIM_Reject,
     /* 2283642 */ // Label 31069: @2283642
     /* 2283642 */ GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2283762),
     /* 2283647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2283650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2283653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283665 */   GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2283713), // Rule ID 52550 //
     /* 2283670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283673 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2283676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2283690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283712 */     // GIR_Coverage, 52550,
     /* 2283712 */     GIR_EraseRootFromParent_Done,
     /* 2283713 */   // Label 31120: @2283713
     /* 2283713 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2283761), // Rule ID 52551 //
     /* 2283718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283721 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2283724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2283738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283760 */     // GIR_Coverage, 52551,
     /* 2283760 */     GIR_EraseRootFromParent_Done,
     /* 2283761 */   // Label 31121: @2283761
     /* 2283761 */   GIM_Reject,
     /* 2283762 */ // Label 31119: @2283762
     /* 2283762 */ GIM_Reject,
     /* 2283763 */ // Label 31070: @2283763
     /* 2283763 */ GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2283883),
     /* 2283768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2283771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2283774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283786 */   GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2283834), // Rule ID 52578 //
     /* 2283791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283794 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2283797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2283811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283833 */     // GIR_Coverage, 52578,
     /* 2283833 */     GIR_EraseRootFromParent_Done,
     /* 2283834 */   // Label 31123: @2283834
     /* 2283834 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2283882), // Rule ID 52579 //
     /* 2283839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283842 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2283845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2283859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283881 */     // GIR_Coverage, 52579,
     /* 2283881 */     GIR_EraseRootFromParent_Done,
     /* 2283882 */   // Label 31124: @2283882
     /* 2283882 */   GIM_Reject,
     /* 2283883 */ // Label 31122: @2283883
     /* 2283883 */ GIM_Reject,
     /* 2283884 */ // Label 31071: @2283884
     /* 2283884 */ GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2284004),
     /* 2283889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2283892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2283895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283907 */   GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2283955), // Rule ID 52594 //
     /* 2283912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283915 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2283918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2283932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2283953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283954 */     // GIR_Coverage, 52594,
     /* 2283954 */     GIR_EraseRootFromParent_Done,
     /* 2283955 */   // Label 31126: @2283955
     /* 2283955 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2284003), // Rule ID 52595 //
     /* 2283960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283963 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2283966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2283980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284002 */     // GIR_Coverage, 52595,
     /* 2284002 */     GIR_EraseRootFromParent_Done,
     /* 2284003 */   // Label 31127: @2284003
     /* 2284003 */   GIM_Reject,
     /* 2284004 */ // Label 31125: @2284004
     /* 2284004 */ GIM_Reject,
     /* 2284005 */ // Label 31072: @2284005
     /* 2284005 */ GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2284125),
     /* 2284010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2284013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2284016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284028 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2284076), // Rule ID 52610 //
     /* 2284033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2284036 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284075 */     // GIR_Coverage, 52610,
     /* 2284075 */     GIR_EraseRootFromParent_Done,
     /* 2284076 */   // Label 31129: @2284076
     /* 2284076 */   GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2284124), // Rule ID 52611 //
     /* 2284081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2284084 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284123 */     // GIR_Coverage, 52611,
     /* 2284123 */     GIR_EraseRootFromParent_Done,
     /* 2284124 */   // Label 31130: @2284124
     /* 2284124 */   GIM_Reject,
     /* 2284125 */ // Label 31128: @2284125
     /* 2284125 */ GIM_Reject,
     /* 2284126 */ // Label 31073: @2284126
     /* 2284126 */ GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2284246),
     /* 2284131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2284134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2284137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284149 */   GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2284197), // Rule ID 52566 //
     /* 2284154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284157 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2284160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2284174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284196 */     // GIR_Coverage, 52566,
     /* 2284196 */     GIR_EraseRootFromParent_Done,
     /* 2284197 */   // Label 31132: @2284197
     /* 2284197 */   GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2284245), // Rule ID 52567 //
     /* 2284202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284205 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2284208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2284222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284244 */     // GIR_Coverage, 52567,
     /* 2284244 */     GIR_EraseRootFromParent_Done,
     /* 2284245 */   // Label 31133: @2284245
     /* 2284245 */   GIM_Reject,
     /* 2284246 */ // Label 31131: @2284246
     /* 2284246 */ GIM_Reject,
     /* 2284247 */ // Label 31074: @2284247
     /* 2284247 */ GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2284367),
     /* 2284252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2284255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2284258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284270 */   GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2284318), // Rule ID 52582 //
     /* 2284275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284278 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2284281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2284295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284317 */     // GIR_Coverage, 52582,
     /* 2284317 */     GIR_EraseRootFromParent_Done,
     /* 2284318 */   // Label 31135: @2284318
     /* 2284318 */   GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2284366), // Rule ID 52583 //
     /* 2284323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284326 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2284329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2284343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284365 */     // GIR_Coverage, 52583,
     /* 2284365 */     GIR_EraseRootFromParent_Done,
     /* 2284366 */   // Label 31136: @2284366
     /* 2284366 */   GIM_Reject,
     /* 2284367 */ // Label 31134: @2284367
     /* 2284367 */ GIM_Reject,
     /* 2284368 */ // Label 31075: @2284368
     /* 2284368 */ GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2284488),
     /* 2284373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2284376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2284379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284391 */   GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2284439), // Rule ID 52598 //
     /* 2284396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284399 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2284402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284438 */     // GIR_Coverage, 52598,
     /* 2284438 */     GIR_EraseRootFromParent_Done,
     /* 2284439 */   // Label 31138: @2284439
     /* 2284439 */   GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2284487), // Rule ID 52599 //
     /* 2284444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284447 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2284450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284486 */     // GIR_Coverage, 52599,
     /* 2284486 */     GIR_EraseRootFromParent_Done,
     /* 2284487 */   // Label 31139: @2284487
     /* 2284487 */   GIM_Reject,
     /* 2284488 */ // Label 31137: @2284488
     /* 2284488 */ GIM_Reject,
     /* 2284489 */ // Label 31076: @2284489
     /* 2284489 */ GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2284609),
     /* 2284494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2284497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2284500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284512 */   GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2284560), // Rule ID 52570 //
     /* 2284517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284520 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2284523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2284537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284559 */     // GIR_Coverage, 52570,
     /* 2284559 */     GIR_EraseRootFromParent_Done,
     /* 2284560 */   // Label 31141: @2284560
     /* 2284560 */   GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2284608), // Rule ID 52571 //
     /* 2284565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284568 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2284571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2284585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284607 */     // GIR_Coverage, 52571,
     /* 2284607 */     GIR_EraseRootFromParent_Done,
     /* 2284608 */   // Label 31142: @2284608
     /* 2284608 */   GIM_Reject,
     /* 2284609 */ // Label 31140: @2284609
     /* 2284609 */ GIM_Reject,
     /* 2284610 */ // Label 31077: @2284610
     /* 2284610 */ GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2284730),
     /* 2284615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2284618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2284621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284633 */   GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2284681), // Rule ID 52586 //
     /* 2284638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284641 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2284644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284680 */     // GIR_Coverage, 52586,
     /* 2284680 */     GIR_EraseRootFromParent_Done,
     /* 2284681 */   // Label 31144: @2284681
     /* 2284681 */   GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2284729), // Rule ID 52587 //
     /* 2284686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284689 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2284692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284728 */     // GIR_Coverage, 52587,
     /* 2284728 */     GIR_EraseRootFromParent_Done,
     /* 2284729 */   // Label 31145: @2284729
     /* 2284729 */   GIM_Reject,
     /* 2284730 */ // Label 31143: @2284730
     /* 2284730 */ GIM_Reject,
     /* 2284731 */ // Label 31078: @2284731
     /* 2284731 */ GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2284851),
     /* 2284736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2284739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2284742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284754 */   GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2284802), // Rule ID 52574 //
     /* 2284759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284762 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2284765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284801 */     // GIR_Coverage, 52574,
     /* 2284801 */     GIR_EraseRootFromParent_Done,
     /* 2284802 */   // Label 31147: @2284802
     /* 2284802 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2284850), // Rule ID 52575 //
     /* 2284807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284810 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2284813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2284827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2284848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284849 */     // GIR_Coverage, 52575,
     /* 2284849 */     GIR_EraseRootFromParent_Done,
     /* 2284850 */   // Label 31148: @2284850
     /* 2284850 */   GIM_Reject,
     /* 2284851 */ // Label 31146: @2284851
     /* 2284851 */ GIM_Reject,
     /* 2284852 */ // Label 31079: @2284852
     /* 2284852 */ GIM_Reject,
     /* 2284853 */ // Label 57: @2284853
     /* 2284853 */ GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2284910),
     /* 2284858 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2284861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2284864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2284867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284879 */   GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2284894), // Rule ID 64570 //
     /* 2284884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2284887 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2284887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2284892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284893 */     // GIR_Coverage, 64570,
     /* 2284893 */     GIR_Done,
     /* 2284894 */   // Label 31150: @2284894
     /* 2284894 */   GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2284909), // Rule ID 64571 //
     /* 2284899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2284902 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2284902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2284907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284908 */     // GIR_Coverage, 64571,
     /* 2284908 */     GIR_Done,
     /* 2284909 */   // Label 31151: @2284909
     /* 2284909 */   GIM_Reject,
     /* 2284910 */ // Label 31149: @2284910
     /* 2284910 */ GIM_Reject,
     /* 2284911 */ // Label 58: @2284911
     /* 2284911 */ GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2284968),
     /* 2284916 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2284919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2284922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2284925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2284937 */   GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2284952), // Rule ID 64572 //
     /* 2284942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2284945 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2284945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2284950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284951 */     // GIR_Coverage, 64572,
     /* 2284951 */     GIR_Done,
     /* 2284952 */   // Label 31153: @2284952
     /* 2284952 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2284967), // Rule ID 64573 //
     /* 2284957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2284960 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2284960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2284965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284966 */     // GIR_Coverage, 64573,
     /* 2284966 */     GIR_Done,
     /* 2284967 */   // Label 31154: @2284967
     /* 2284967 */   GIM_Reject,
     /* 2284968 */ // Label 31152: @2284968
     /* 2284968 */ GIM_Reject,
     /* 2284969 */ // Label 59: @2284969
     /* 2284969 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31173*/ GIMT_Encode4(2287396),
     /* 2284980 */ /*GILLT_s16*//*Label 31155*/ GIMT_Encode4(2285100),
     /* 2284984 */ /*GILLT_s32*//*Label 31156*/ GIMT_Encode4(2285249),
     /* 2284988 */ /*GILLT_s64*//*Label 31157*/ GIMT_Encode4(2285398), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285000 */ /*GILLT_nxv1s16*//*Label 31158*/ GIMT_Encode4(2285581),
     /* 2285004 */ /*GILLT_nxv1s32*//*Label 31159*/ GIMT_Encode4(2285702),
     /* 2285008 */ /*GILLT_nxv1s64*//*Label 31160*/ GIMT_Encode4(2285823), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285020 */ /*GILLT_nxv2s16*//*Label 31161*/ GIMT_Encode4(2285944),
     /* 2285024 */ /*GILLT_nxv2s32*//*Label 31162*/ GIMT_Encode4(2286065),
     /* 2285028 */ /*GILLT_nxv2s64*//*Label 31163*/ GIMT_Encode4(2286186), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285040 */ /*GILLT_nxv4s16*//*Label 31164*/ GIMT_Encode4(2286307),
     /* 2285044 */ /*GILLT_nxv4s32*//*Label 31165*/ GIMT_Encode4(2286428),
     /* 2285048 */ /*GILLT_nxv4s64*//*Label 31166*/ GIMT_Encode4(2286549), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285060 */ /*GILLT_nxv8s16*//*Label 31167*/ GIMT_Encode4(2286670),
     /* 2285064 */ /*GILLT_nxv8s32*//*Label 31168*/ GIMT_Encode4(2286791),
     /* 2285068 */ /*GILLT_nxv8s64*//*Label 31169*/ GIMT_Encode4(2286912), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285080 */ /*GILLT_nxv16s16*//*Label 31170*/ GIMT_Encode4(2287033),
     /* 2285084 */ /*GILLT_nxv16s32*//*Label 31171*/ GIMT_Encode4(2287154), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2285096 */ /*GILLT_nxv32s16*//*Label 31172*/ GIMT_Encode4(2287275),
     /* 2285100 */ // Label 31155: @2285100
     /* 2285100 */ GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2285248),
     /* 2285105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2285108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2285111 */   GIM_Try, /*On fail goto*//*Label 31175*/ GIMT_Encode4(2285145), // Rule ID 1848 //
     /* 2285116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2285119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285131 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2285134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285144 */     // GIR_Coverage, 1848,
     /* 2285144 */     GIR_EraseRootFromParent_Done,
     /* 2285145 */   // Label 31175: @2285145
     /* 2285145 */   GIM_Try, /*On fail goto*//*Label 31176*/ GIMT_Encode4(2285179), // Rule ID 1849 //
     /* 2285150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2285153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285165 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2285168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285178 */     // GIR_Coverage, 1849,
     /* 2285178 */     GIR_EraseRootFromParent_Done,
     /* 2285179 */   // Label 31176: @2285179
     /* 2285179 */   GIM_Try, /*On fail goto*//*Label 31177*/ GIMT_Encode4(2285213), // Rule ID 1852 //
     /* 2285184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2285187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285199 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2285199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2285202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285212 */     // GIR_Coverage, 1852,
     /* 2285212 */     GIR_EraseRootFromParent_Done,
     /* 2285213 */   // Label 31177: @2285213
     /* 2285213 */   GIM_Try, /*On fail goto*//*Label 31178*/ GIMT_Encode4(2285247), // Rule ID 1853 //
     /* 2285218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2285221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2285233 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2285233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2285236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285246 */     // GIR_Coverage, 1853,
     /* 2285246 */     GIR_EraseRootFromParent_Done,
     /* 2285247 */   // Label 31178: @2285247
     /* 2285247 */   GIM_Reject,
     /* 2285248 */ // Label 31174: @2285248
     /* 2285248 */ GIM_Reject,
     /* 2285249 */ // Label 31156: @2285249
     /* 2285249 */ GIM_Try, /*On fail goto*//*Label 31179*/ GIMT_Encode4(2285397),
     /* 2285254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2285257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2285260 */   GIM_Try, /*On fail goto*//*Label 31180*/ GIMT_Encode4(2285294), // Rule ID 1139 //
     /* 2285265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2285268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285280 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2285280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2285283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285293 */     // GIR_Coverage, 1139,
     /* 2285293 */     GIR_EraseRootFromParent_Done,
     /* 2285294 */   // Label 31180: @2285294
     /* 2285294 */   GIM_Try, /*On fail goto*//*Label 31181*/ GIMT_Encode4(2285328), // Rule ID 1140 //
     /* 2285299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2285302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2285314 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2285314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2285317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285327 */     // GIR_Coverage, 1140,
     /* 2285327 */     GIR_EraseRootFromParent_Done,
     /* 2285328 */   // Label 31181: @2285328
     /* 2285328 */   GIM_Try, /*On fail goto*//*Label 31182*/ GIMT_Encode4(2285362), // Rule ID 1143 //
     /* 2285333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2285336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285348 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2285348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2285351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285361 */     // GIR_Coverage, 1143,
     /* 2285361 */     GIR_EraseRootFromParent_Done,
     /* 2285362 */   // Label 31182: @2285362
     /* 2285362 */   GIM_Try, /*On fail goto*//*Label 31183*/ GIMT_Encode4(2285396), // Rule ID 1144 //
     /* 2285367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2285370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2285382 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2285382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2285385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285395 */     // GIR_Coverage, 1144,
     /* 2285395 */     GIR_EraseRootFromParent_Done,
     /* 2285396 */   // Label 31183: @2285396
     /* 2285396 */   GIM_Reject,
     /* 2285397 */ // Label 31179: @2285397
     /* 2285397 */ GIM_Reject,
     /* 2285398 */ // Label 31157: @2285398
     /* 2285398 */ GIM_Try, /*On fail goto*//*Label 31184*/ GIMT_Encode4(2285580),
     /* 2285403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2285409 */   GIM_Try, /*On fail goto*//*Label 31185*/ GIMT_Encode4(2285443), // Rule ID 1474 //
     /* 2285414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2285417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285429 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2285432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285442 */     // GIR_Coverage, 1474,
     /* 2285442 */     GIR_EraseRootFromParent_Done,
     /* 2285443 */   // Label 31185: @2285443
     /* 2285443 */   GIM_Try, /*On fail goto*//*Label 31186*/ GIMT_Encode4(2285477), // Rule ID 1475 //
     /* 2285448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2285451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285463 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2285463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2285466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285476 */     // GIR_Coverage, 1475,
     /* 2285476 */     GIR_EraseRootFromParent_Done,
     /* 2285477 */   // Label 31186: @2285477
     /* 2285477 */   GIM_Try, /*On fail goto*//*Label 31187*/ GIMT_Encode4(2285511), // Rule ID 1478 //
     /* 2285482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2285485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285497 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2285500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285510 */     // GIR_Coverage, 1478,
     /* 2285510 */     GIR_EraseRootFromParent_Done,
     /* 2285511 */   // Label 31187: @2285511
     /* 2285511 */   GIM_Try, /*On fail goto*//*Label 31188*/ GIMT_Encode4(2285545), // Rule ID 1479 //
     /* 2285516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2285519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285531 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2285531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2285534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285544 */     // GIR_Coverage, 1479,
     /* 2285544 */     GIR_EraseRootFromParent_Done,
     /* 2285545 */   // Label 31188: @2285545
     /* 2285545 */   GIM_Try, /*On fail goto*//*Label 31189*/ GIMT_Encode4(2285579), // Rule ID 1481 //
     /* 2285550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2285553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285565 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2285565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2285568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285578 */     // GIR_Coverage, 1481,
     /* 2285578 */     GIR_EraseRootFromParent_Done,
     /* 2285579 */   // Label 31189: @2285579
     /* 2285579 */   GIM_Reject,
     /* 2285580 */ // Label 31184: @2285580
     /* 2285580 */ GIM_Reject,
     /* 2285581 */ // Label 31158: @2285581
     /* 2285581 */ GIM_Try, /*On fail goto*//*Label 31190*/ GIMT_Encode4(2285701),
     /* 2285586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2285589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2285592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285604 */   GIM_Try, /*On fail goto*//*Label 31191*/ GIMT_Encode4(2285652), // Rule ID 45650 //
     /* 2285609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285612 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2285615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2285629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285651 */     // GIR_Coverage, 45650,
     /* 2285651 */     GIR_EraseRootFromParent_Done,
     /* 2285652 */   // Label 31191: @2285652
     /* 2285652 */   GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2285700), // Rule ID 45651 //
     /* 2285657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285660 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2285663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2285677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285699 */     // GIR_Coverage, 45651,
     /* 2285699 */     GIR_EraseRootFromParent_Done,
     /* 2285700 */   // Label 31192: @2285700
     /* 2285700 */   GIM_Reject,
     /* 2285701 */ // Label 31190: @2285701
     /* 2285701 */ GIM_Reject,
     /* 2285702 */ // Label 31159: @2285702
     /* 2285702 */ GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2285822),
     /* 2285707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2285710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2285713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285725 */   GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2285773), // Rule ID 53190 //
     /* 2285730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285733 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2285736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2285750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285772 */     // GIR_Coverage, 53190,
     /* 2285772 */     GIR_EraseRootFromParent_Done,
     /* 2285773 */   // Label 31194: @2285773
     /* 2285773 */   GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2285821), // Rule ID 53191 //
     /* 2285778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285781 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2285784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2285798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285820 */     // GIR_Coverage, 53191,
     /* 2285820 */     GIR_EraseRootFromParent_Done,
     /* 2285821 */   // Label 31195: @2285821
     /* 2285821 */   GIM_Reject,
     /* 2285822 */ // Label 31193: @2285822
     /* 2285822 */ GIM_Reject,
     /* 2285823 */ // Label 31160: @2285823
     /* 2285823 */ GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2285943),
     /* 2285828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2285831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2285834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285846 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2285894), // Rule ID 53226 //
     /* 2285851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285854 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2285857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2285871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285893 */     // GIR_Coverage, 53226,
     /* 2285893 */     GIR_EraseRootFromParent_Done,
     /* 2285894 */   // Label 31197: @2285894
     /* 2285894 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2285942), // Rule ID 53227 //
     /* 2285899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285902 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2285905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2285919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285941 */     // GIR_Coverage, 53227,
     /* 2285941 */     GIR_EraseRootFromParent_Done,
     /* 2285942 */   // Label 31198: @2285942
     /* 2285942 */   GIM_Reject,
     /* 2285943 */ // Label 31196: @2285943
     /* 2285943 */ GIM_Reject,
     /* 2285944 */ // Label 31161: @2285944
     /* 2285944 */ GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2286064),
     /* 2285949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2285955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285967 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2286015), // Rule ID 53178 //
     /* 2285972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285975 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2285978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2285992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286014 */     // GIR_Coverage, 53178,
     /* 2286014 */     GIR_EraseRootFromParent_Done,
     /* 2286015 */   // Label 31200: @2286015
     /* 2286015 */   GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2286063), // Rule ID 53179 //
     /* 2286020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286023 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2286026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2286040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286062 */     // GIR_Coverage, 53179,
     /* 2286062 */     GIR_EraseRootFromParent_Done,
     /* 2286063 */   // Label 31201: @2286063
     /* 2286063 */   GIM_Reject,
     /* 2286064 */ // Label 31199: @2286064
     /* 2286064 */ GIM_Reject,
     /* 2286065 */ // Label 31162: @2286065
     /* 2286065 */ GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2286185),
     /* 2286070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2286076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286088 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2286136), // Rule ID 53214 //
     /* 2286093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286096 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2286113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286135 */     // GIR_Coverage, 53214,
     /* 2286135 */     GIR_EraseRootFromParent_Done,
     /* 2286136 */   // Label 31203: @2286136
     /* 2286136 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2286184), // Rule ID 53215 //
     /* 2286141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286144 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2286147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2286161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286183 */     // GIR_Coverage, 53215,
     /* 2286183 */     GIR_EraseRootFromParent_Done,
     /* 2286184 */   // Label 31204: @2286184
     /* 2286184 */   GIM_Reject,
     /* 2286185 */ // Label 31202: @2286185
     /* 2286185 */ GIM_Reject,
     /* 2286186 */ // Label 31163: @2286186
     /* 2286186 */ GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2286306),
     /* 2286191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2286197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286209 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2286257), // Rule ID 53310 //
     /* 2286214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286217 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2286234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286256 */     // GIR_Coverage, 53310,
     /* 2286256 */     GIR_EraseRootFromParent_Done,
     /* 2286257 */   // Label 31206: @2286257
     /* 2286257 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2286305), // Rule ID 53311 //
     /* 2286262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286265 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2286268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2286282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286304 */     // GIR_Coverage, 53311,
     /* 2286304 */     GIR_EraseRootFromParent_Done,
     /* 2286305 */   // Label 31207: @2286305
     /* 2286305 */   GIM_Reject,
     /* 2286306 */ // Label 31205: @2286306
     /* 2286306 */ GIM_Reject,
     /* 2286307 */ // Label 31164: @2286307
     /* 2286307 */ GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2286427),
     /* 2286312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2286315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2286318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286330 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2286378), // Rule ID 53202 //
     /* 2286335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286338 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2286355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286377 */     // GIR_Coverage, 53202,
     /* 2286377 */     GIR_EraseRootFromParent_Done,
     /* 2286378 */   // Label 31209: @2286378
     /* 2286378 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2286426), // Rule ID 53203 //
     /* 2286383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286386 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2286403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286425 */     // GIR_Coverage, 53203,
     /* 2286425 */     GIR_EraseRootFromParent_Done,
     /* 2286426 */   // Label 31210: @2286426
     /* 2286426 */   GIM_Reject,
     /* 2286427 */ // Label 31208: @2286427
     /* 2286427 */ GIM_Reject,
     /* 2286428 */ // Label 31165: @2286428
     /* 2286428 */ GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2286548),
     /* 2286433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2286436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2286439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286451 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2286499), // Rule ID 53274 //
     /* 2286456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286459 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2286476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286498 */     // GIR_Coverage, 53274,
     /* 2286498 */     GIR_EraseRootFromParent_Done,
     /* 2286499 */   // Label 31212: @2286499
     /* 2286499 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2286547), // Rule ID 53275 //
     /* 2286504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286507 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2286524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286546 */     // GIR_Coverage, 53275,
     /* 2286546 */     GIR_EraseRootFromParent_Done,
     /* 2286547 */   // Label 31213: @2286547
     /* 2286547 */   GIM_Reject,
     /* 2286548 */ // Label 31211: @2286548
     /* 2286548 */ GIM_Reject,
     /* 2286549 */ // Label 31166: @2286549
     /* 2286549 */ GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2286669),
     /* 2286554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2286557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2286560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286572 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2286620), // Rule ID 53322 //
     /* 2286577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286580 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2286597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286619 */     // GIR_Coverage, 53322,
     /* 2286619 */     GIR_EraseRootFromParent_Done,
     /* 2286620 */   // Label 31215: @2286620
     /* 2286620 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2286668), // Rule ID 53323 //
     /* 2286625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286628 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2286645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286667 */     // GIR_Coverage, 53323,
     /* 2286667 */     GIR_EraseRootFromParent_Done,
     /* 2286668 */   // Label 31216: @2286668
     /* 2286668 */   GIM_Reject,
     /* 2286669 */ // Label 31214: @2286669
     /* 2286669 */ GIM_Reject,
     /* 2286670 */ // Label 31167: @2286670
     /* 2286670 */ GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2286790),
     /* 2286675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2286678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2286681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286693 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2286741), // Rule ID 53238 //
     /* 2286698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286701 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2286704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2286718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286740 */     // GIR_Coverage, 53238,
     /* 2286740 */     GIR_EraseRootFromParent_Done,
     /* 2286741 */   // Label 31218: @2286741
     /* 2286741 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2286789), // Rule ID 53239 //
     /* 2286746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286749 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2286752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2286766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286788 */     // GIR_Coverage, 53239,
     /* 2286788 */     GIR_EraseRootFromParent_Done,
     /* 2286789 */   // Label 31219: @2286789
     /* 2286789 */   GIM_Reject,
     /* 2286790 */ // Label 31217: @2286790
     /* 2286790 */ GIM_Reject,
     /* 2286791 */ // Label 31168: @2286791
     /* 2286791 */ GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2286911),
     /* 2286796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2286799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2286802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286814 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2286862), // Rule ID 53286 //
     /* 2286819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286822 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2286825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2286839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286861 */     // GIR_Coverage, 53286,
     /* 2286861 */     GIR_EraseRootFromParent_Done,
     /* 2286862 */   // Label 31221: @2286862
     /* 2286862 */   GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2286910), // Rule ID 53287 //
     /* 2286867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286870 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2286873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2286887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286909 */     // GIR_Coverage, 53287,
     /* 2286909 */     GIR_EraseRootFromParent_Done,
     /* 2286910 */   // Label 31222: @2286910
     /* 2286910 */   GIM_Reject,
     /* 2286911 */ // Label 31220: @2286911
     /* 2286911 */ GIM_Reject,
     /* 2286912 */ // Label 31169: @2286912
     /* 2286912 */ GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2287032),
     /* 2286917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2286920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2286923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286935 */   GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2286983), // Rule ID 53334 //
     /* 2286940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286943 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2286946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2286960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286982 */     // GIR_Coverage, 53334,
     /* 2286982 */     GIR_EraseRootFromParent_Done,
     /* 2286983 */   // Label 31224: @2286983
     /* 2286983 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2287031), // Rule ID 53335 //
     /* 2286988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286991 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2286994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2287008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287030 */     // GIR_Coverage, 53335,
     /* 2287030 */     GIR_EraseRootFromParent_Done,
     /* 2287031 */   // Label 31225: @2287031
     /* 2287031 */   GIM_Reject,
     /* 2287032 */ // Label 31223: @2287032
     /* 2287032 */ GIM_Reject,
     /* 2287033 */ // Label 31170: @2287033
     /* 2287033 */ GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2287153),
     /* 2287038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2287041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287056 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2287104), // Rule ID 53250 //
     /* 2287061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287064 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2287081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287103 */     // GIR_Coverage, 53250,
     /* 2287103 */     GIR_EraseRootFromParent_Done,
     /* 2287104 */   // Label 31227: @2287104
     /* 2287104 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2287152), // Rule ID 53251 //
     /* 2287109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287112 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2287129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287151 */     // GIR_Coverage, 53251,
     /* 2287151 */     GIR_EraseRootFromParent_Done,
     /* 2287152 */   // Label 31228: @2287152
     /* 2287152 */   GIM_Reject,
     /* 2287153 */ // Label 31226: @2287153
     /* 2287153 */ GIM_Reject,
     /* 2287154 */ // Label 31171: @2287154
     /* 2287154 */ GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2287274),
     /* 2287159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2287162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2287165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287177 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2287225), // Rule ID 53298 //
     /* 2287182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287185 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2287202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287224 */     // GIR_Coverage, 53298,
     /* 2287224 */     GIR_EraseRootFromParent_Done,
     /* 2287225 */   // Label 31230: @2287225
     /* 2287225 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2287273), // Rule ID 53299 //
     /* 2287230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287233 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2287250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287272 */     // GIR_Coverage, 53299,
     /* 2287272 */     GIR_EraseRootFromParent_Done,
     /* 2287273 */   // Label 31231: @2287273
     /* 2287273 */   GIM_Reject,
     /* 2287274 */ // Label 31229: @2287274
     /* 2287274 */ GIM_Reject,
     /* 2287275 */ // Label 31172: @2287275
     /* 2287275 */ GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2287395),
     /* 2287280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2287283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2287286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287298 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2287346), // Rule ID 53262 //
     /* 2287303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287306 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2287323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287345 */     // GIR_Coverage, 53262,
     /* 2287345 */     GIR_EraseRootFromParent_Done,
     /* 2287346 */   // Label 31233: @2287346
     /* 2287346 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2287394), // Rule ID 53263 //
     /* 2287351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287354 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2287371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287393 */     // GIR_Coverage, 53263,
     /* 2287393 */     GIR_EraseRootFromParent_Done,
     /* 2287394 */   // Label 31234: @2287394
     /* 2287394 */   GIM_Reject,
     /* 2287395 */ // Label 31232: @2287395
     /* 2287395 */ GIM_Reject,
     /* 2287396 */ // Label 31173: @2287396
     /* 2287396 */ GIM_Reject,
     /* 2287397 */ // Label 60: @2287397
     /* 2287397 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31253*/ GIMT_Encode4(2289824),
     /* 2287408 */ /*GILLT_s16*//*Label 31235*/ GIMT_Encode4(2287528),
     /* 2287412 */ /*GILLT_s32*//*Label 31236*/ GIMT_Encode4(2287677),
     /* 2287416 */ /*GILLT_s64*//*Label 31237*/ GIMT_Encode4(2287826), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287428 */ /*GILLT_nxv1s16*//*Label 31238*/ GIMT_Encode4(2288009),
     /* 2287432 */ /*GILLT_nxv1s32*//*Label 31239*/ GIMT_Encode4(2288130),
     /* 2287436 */ /*GILLT_nxv1s64*//*Label 31240*/ GIMT_Encode4(2288251), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287448 */ /*GILLT_nxv2s16*//*Label 31241*/ GIMT_Encode4(2288372),
     /* 2287452 */ /*GILLT_nxv2s32*//*Label 31242*/ GIMT_Encode4(2288493),
     /* 2287456 */ /*GILLT_nxv2s64*//*Label 31243*/ GIMT_Encode4(2288614), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287468 */ /*GILLT_nxv4s16*//*Label 31244*/ GIMT_Encode4(2288735),
     /* 2287472 */ /*GILLT_nxv4s32*//*Label 31245*/ GIMT_Encode4(2288856),
     /* 2287476 */ /*GILLT_nxv4s64*//*Label 31246*/ GIMT_Encode4(2288977), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287488 */ /*GILLT_nxv8s16*//*Label 31247*/ GIMT_Encode4(2289098),
     /* 2287492 */ /*GILLT_nxv8s32*//*Label 31248*/ GIMT_Encode4(2289219),
     /* 2287496 */ /*GILLT_nxv8s64*//*Label 31249*/ GIMT_Encode4(2289340), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287508 */ /*GILLT_nxv16s16*//*Label 31250*/ GIMT_Encode4(2289461),
     /* 2287512 */ /*GILLT_nxv16s32*//*Label 31251*/ GIMT_Encode4(2289582), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287524 */ /*GILLT_nxv32s16*//*Label 31252*/ GIMT_Encode4(2289703),
     /* 2287528 */ // Label 31235: @2287528
     /* 2287528 */ GIM_Try, /*On fail goto*//*Label 31254*/ GIMT_Encode4(2287676),
     /* 2287533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2287539 */   GIM_Try, /*On fail goto*//*Label 31255*/ GIMT_Encode4(2287573), // Rule ID 1856 //
     /* 2287544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2287547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287559 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2287559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2287562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287572 */     // GIR_Coverage, 1856,
     /* 2287572 */     GIR_EraseRootFromParent_Done,
     /* 2287573 */   // Label 31255: @2287573
     /* 2287573 */   GIM_Try, /*On fail goto*//*Label 31256*/ GIMT_Encode4(2287607), // Rule ID 1857 //
     /* 2287578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2287581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287593 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2287593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2287596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287606 */     // GIR_Coverage, 1857,
     /* 2287606 */     GIR_EraseRootFromParent_Done,
     /* 2287607 */   // Label 31256: @2287607
     /* 2287607 */   GIM_Try, /*On fail goto*//*Label 31257*/ GIMT_Encode4(2287641), // Rule ID 1860 //
     /* 2287612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2287615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287627 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2287627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2287630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287640 */     // GIR_Coverage, 1860,
     /* 2287640 */     GIR_EraseRootFromParent_Done,
     /* 2287641 */   // Label 31257: @2287641
     /* 2287641 */   GIM_Try, /*On fail goto*//*Label 31258*/ GIMT_Encode4(2287675), // Rule ID 1861 //
     /* 2287646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2287649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287661 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2287661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2287664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287674 */     // GIR_Coverage, 1861,
     /* 2287674 */     GIR_EraseRootFromParent_Done,
     /* 2287675 */   // Label 31258: @2287675
     /* 2287675 */   GIM_Reject,
     /* 2287676 */ // Label 31254: @2287676
     /* 2287676 */ GIM_Reject,
     /* 2287677 */ // Label 31236: @2287677
     /* 2287677 */ GIM_Try, /*On fail goto*//*Label 31259*/ GIMT_Encode4(2287825),
     /* 2287682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2287688 */   GIM_Try, /*On fail goto*//*Label 31260*/ GIMT_Encode4(2287722), // Rule ID 1147 //
     /* 2287693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2287696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287708 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2287708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2287711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287721 */     // GIR_Coverage, 1147,
     /* 2287721 */     GIR_EraseRootFromParent_Done,
     /* 2287722 */   // Label 31260: @2287722
     /* 2287722 */   GIM_Try, /*On fail goto*//*Label 31261*/ GIMT_Encode4(2287756), // Rule ID 1148 //
     /* 2287727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2287730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287742 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2287742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2287745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287755 */     // GIR_Coverage, 1148,
     /* 2287755 */     GIR_EraseRootFromParent_Done,
     /* 2287756 */   // Label 31261: @2287756
     /* 2287756 */   GIM_Try, /*On fail goto*//*Label 31262*/ GIMT_Encode4(2287790), // Rule ID 1151 //
     /* 2287761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2287764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287776 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2287776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2287779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287789 */     // GIR_Coverage, 1151,
     /* 2287789 */     GIR_EraseRootFromParent_Done,
     /* 2287790 */   // Label 31262: @2287790
     /* 2287790 */   GIM_Try, /*On fail goto*//*Label 31263*/ GIMT_Encode4(2287824), // Rule ID 1152 //
     /* 2287795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2287798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287810 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2287810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2287813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287823 */     // GIR_Coverage, 1152,
     /* 2287823 */     GIR_EraseRootFromParent_Done,
     /* 2287824 */   // Label 31263: @2287824
     /* 2287824 */   GIM_Reject,
     /* 2287825 */ // Label 31259: @2287825
     /* 2287825 */ GIM_Reject,
     /* 2287826 */ // Label 31237: @2287826
     /* 2287826 */ GIM_Try, /*On fail goto*//*Label 31264*/ GIMT_Encode4(2288008),
     /* 2287831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2287834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2287837 */   GIM_Try, /*On fail goto*//*Label 31265*/ GIMT_Encode4(2287871), // Rule ID 1484 //
     /* 2287842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2287845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2287849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2287853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2287857 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2287857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2287860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287870 */     // GIR_Coverage, 1484,
     /* 2287870 */     GIR_EraseRootFromParent_Done,
     /* 2287871 */   // Label 31265: @2287871
     /* 2287871 */   GIM_Try, /*On fail goto*//*Label 31266*/ GIMT_Encode4(2287905), // Rule ID 1485 //
     /* 2287876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2287879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2287883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2287887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2287891 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2287891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2287894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287904 */     // GIR_Coverage, 1485,
     /* 2287904 */     GIR_EraseRootFromParent_Done,
     /* 2287905 */   // Label 31266: @2287905
     /* 2287905 */   GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2287939), // Rule ID 1488 //
     /* 2287910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2287913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2287917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2287921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2287925 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2287925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2287928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287938 */     // GIR_Coverage, 1488,
     /* 2287938 */     GIR_EraseRootFromParent_Done,
     /* 2287939 */   // Label 31267: @2287939
     /* 2287939 */   GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2287973), // Rule ID 1489 //
     /* 2287944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2287947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2287951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2287955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2287959 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2287959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2287962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287972 */     // GIR_Coverage, 1489,
     /* 2287972 */     GIR_EraseRootFromParent_Done,
     /* 2287973 */   // Label 31268: @2287973
     /* 2287973 */   GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2288007), // Rule ID 1491 //
     /* 2287978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2287981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2287985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2287989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2287993 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2287993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2287996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288006 */     // GIR_Coverage, 1491,
     /* 2288006 */     GIR_EraseRootFromParent_Done,
     /* 2288007 */   // Label 31269: @2288007
     /* 2288007 */   GIM_Reject,
     /* 2288008 */ // Label 31264: @2288008
     /* 2288008 */ GIM_Reject,
     /* 2288009 */ // Label 31238: @2288009
     /* 2288009 */ GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2288129),
     /* 2288014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2288017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2288020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288032 */   GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2288080), // Rule ID 53346 //
     /* 2288037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288040 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2288043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2288057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288079 */     // GIR_Coverage, 53346,
     /* 2288079 */     GIR_EraseRootFromParent_Done,
     /* 2288080 */   // Label 31271: @2288080
     /* 2288080 */   GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2288128), // Rule ID 53347 //
     /* 2288085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288088 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2288091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2288105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288127 */     // GIR_Coverage, 53347,
     /* 2288127 */     GIR_EraseRootFromParent_Done,
     /* 2288128 */   // Label 31272: @2288128
     /* 2288128 */   GIM_Reject,
     /* 2288129 */ // Label 31270: @2288129
     /* 2288129 */ GIM_Reject,
     /* 2288130 */ // Label 31239: @2288130
     /* 2288130 */ GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2288250),
     /* 2288135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2288138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2288141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288153 */   GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2288201), // Rule ID 53370 //
     /* 2288158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288161 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2288164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2288178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288200 */     // GIR_Coverage, 53370,
     /* 2288200 */     GIR_EraseRootFromParent_Done,
     /* 2288201 */   // Label 31274: @2288201
     /* 2288201 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2288249), // Rule ID 53371 //
     /* 2288206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288209 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2288212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2288226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288248 */     // GIR_Coverage, 53371,
     /* 2288248 */     GIR_EraseRootFromParent_Done,
     /* 2288249 */   // Label 31275: @2288249
     /* 2288249 */   GIM_Reject,
     /* 2288250 */ // Label 31273: @2288250
     /* 2288250 */ GIM_Reject,
     /* 2288251 */ // Label 31240: @2288251
     /* 2288251 */ GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2288371),
     /* 2288256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2288262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288274 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2288322), // Rule ID 53406 //
     /* 2288279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288282 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2288285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2288299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288321 */     // GIR_Coverage, 53406,
     /* 2288321 */     GIR_EraseRootFromParent_Done,
     /* 2288322 */   // Label 31277: @2288322
     /* 2288322 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2288370), // Rule ID 53407 //
     /* 2288327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288330 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2288333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2288347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288369 */     // GIR_Coverage, 53407,
     /* 2288369 */     GIR_EraseRootFromParent_Done,
     /* 2288370 */   // Label 31278: @2288370
     /* 2288370 */   GIM_Reject,
     /* 2288371 */ // Label 31276: @2288371
     /* 2288371 */ GIM_Reject,
     /* 2288372 */ // Label 31241: @2288372
     /* 2288372 */ GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2288492),
     /* 2288377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2288383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288395 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2288443), // Rule ID 53358 //
     /* 2288400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288403 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2288406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2288420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288442 */     // GIR_Coverage, 53358,
     /* 2288442 */     GIR_EraseRootFromParent_Done,
     /* 2288443 */   // Label 31280: @2288443
     /* 2288443 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2288491), // Rule ID 53359 //
     /* 2288448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288451 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2288454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2288468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288490 */     // GIR_Coverage, 53359,
     /* 2288490 */     GIR_EraseRootFromParent_Done,
     /* 2288491 */   // Label 31281: @2288491
     /* 2288491 */   GIM_Reject,
     /* 2288492 */ // Label 31279: @2288492
     /* 2288492 */ GIM_Reject,
     /* 2288493 */ // Label 31242: @2288493
     /* 2288493 */ GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2288613),
     /* 2288498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2288501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2288504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288516 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2288564), // Rule ID 53394 //
     /* 2288521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288524 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2288527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2288541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288563 */     // GIR_Coverage, 53394,
     /* 2288563 */     GIR_EraseRootFromParent_Done,
     /* 2288564 */   // Label 31283: @2288564
     /* 2288564 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2288612), // Rule ID 53395 //
     /* 2288569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288572 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2288575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2288589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288611 */     // GIR_Coverage, 53395,
     /* 2288611 */     GIR_EraseRootFromParent_Done,
     /* 2288612 */   // Label 31284: @2288612
     /* 2288612 */   GIM_Reject,
     /* 2288613 */ // Label 31282: @2288613
     /* 2288613 */ GIM_Reject,
     /* 2288614 */ // Label 31243: @2288614
     /* 2288614 */ GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2288734),
     /* 2288619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2288622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2288625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288637 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2288685), // Rule ID 53490 //
     /* 2288642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288645 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2288648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2288662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288684 */     // GIR_Coverage, 53490,
     /* 2288684 */     GIR_EraseRootFromParent_Done,
     /* 2288685 */   // Label 31286: @2288685
     /* 2288685 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2288733), // Rule ID 53491 //
     /* 2288690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288693 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2288696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2288710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288732 */     // GIR_Coverage, 53491,
     /* 2288732 */     GIR_EraseRootFromParent_Done,
     /* 2288733 */   // Label 31287: @2288733
     /* 2288733 */   GIM_Reject,
     /* 2288734 */ // Label 31285: @2288734
     /* 2288734 */ GIM_Reject,
     /* 2288735 */ // Label 31244: @2288735
     /* 2288735 */ GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2288855),
     /* 2288740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2288743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2288746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288758 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2288806), // Rule ID 53382 //
     /* 2288763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288766 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2288769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2288783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288805 */     // GIR_Coverage, 53382,
     /* 2288805 */     GIR_EraseRootFromParent_Done,
     /* 2288806 */   // Label 31289: @2288806
     /* 2288806 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2288854), // Rule ID 53383 //
     /* 2288811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288814 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2288817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2288831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288853 */     // GIR_Coverage, 53383,
     /* 2288853 */     GIR_EraseRootFromParent_Done,
     /* 2288854 */   // Label 31290: @2288854
     /* 2288854 */   GIM_Reject,
     /* 2288855 */ // Label 31288: @2288855
     /* 2288855 */ GIM_Reject,
     /* 2288856 */ // Label 31245: @2288856
     /* 2288856 */ GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2288976),
     /* 2288861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2288867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288879 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2288927), // Rule ID 53454 //
     /* 2288884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288887 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2288890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2288904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288926 */     // GIR_Coverage, 53454,
     /* 2288926 */     GIR_EraseRootFromParent_Done,
     /* 2288927 */   // Label 31292: @2288927
     /* 2288927 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2288975), // Rule ID 53455 //
     /* 2288932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288935 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2288938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2288952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288974 */     // GIR_Coverage, 53455,
     /* 2288974 */     GIR_EraseRootFromParent_Done,
     /* 2288975 */   // Label 31293: @2288975
     /* 2288975 */   GIM_Reject,
     /* 2288976 */ // Label 31291: @2288976
     /* 2288976 */ GIM_Reject,
     /* 2288977 */ // Label 31246: @2288977
     /* 2288977 */ GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2289097),
     /* 2288982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2288985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2288988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289000 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2289048), // Rule ID 53502 //
     /* 2289005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2289008 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2289011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2289025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289047 */     // GIR_Coverage, 53502,
     /* 2289047 */     GIR_EraseRootFromParent_Done,
     /* 2289048 */   // Label 31295: @2289048
     /* 2289048 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2289096), // Rule ID 53503 //
     /* 2289053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2289056 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2289059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2289073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289095 */     // GIR_Coverage, 53503,
     /* 2289095 */     GIR_EraseRootFromParent_Done,
     /* 2289096 */   // Label 31296: @2289096
     /* 2289096 */   GIM_Reject,
     /* 2289097 */ // Label 31294: @2289097
     /* 2289097 */ GIM_Reject,
     /* 2289098 */ // Label 31247: @2289098
     /* 2289098 */ GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2289218),
     /* 2289103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2289109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289121 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2289169), // Rule ID 53418 //
     /* 2289126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289129 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2289132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2289146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289168 */     // GIR_Coverage, 53418,
     /* 2289168 */     GIR_EraseRootFromParent_Done,
     /* 2289169 */   // Label 31298: @2289169
     /* 2289169 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2289217), // Rule ID 53419 //
     /* 2289174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289177 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2289180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2289194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289216 */     // GIR_Coverage, 53419,
     /* 2289216 */     GIR_EraseRootFromParent_Done,
     /* 2289217 */   // Label 31299: @2289217
     /* 2289217 */   GIM_Reject,
     /* 2289218 */ // Label 31297: @2289218
     /* 2289218 */ GIM_Reject,
     /* 2289219 */ // Label 31248: @2289219
     /* 2289219 */ GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2289339),
     /* 2289224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2289227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2289230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289242 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2289290), // Rule ID 53466 //
     /* 2289247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2289250 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2289253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2289267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289289 */     // GIR_Coverage, 53466,
     /* 2289289 */     GIR_EraseRootFromParent_Done,
     /* 2289290 */   // Label 31301: @2289290
     /* 2289290 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2289338), // Rule ID 53467 //
     /* 2289295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2289298 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2289301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2289315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289337 */     // GIR_Coverage, 53467,
     /* 2289337 */     GIR_EraseRootFromParent_Done,
     /* 2289338 */   // Label 31302: @2289338
     /* 2289338 */   GIM_Reject,
     /* 2289339 */ // Label 31300: @2289339
     /* 2289339 */ GIM_Reject,
     /* 2289340 */ // Label 31249: @2289340
     /* 2289340 */ GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2289460),
     /* 2289345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2289348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2289351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289363 */   GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2289411), // Rule ID 53514 //
     /* 2289368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2289371 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2289374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2289388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289410 */     // GIR_Coverage, 53514,
     /* 2289410 */     GIR_EraseRootFromParent_Done,
     /* 2289411 */   // Label 31304: @2289411
     /* 2289411 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2289459), // Rule ID 53515 //
     /* 2289416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2289419 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2289422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2289436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289458 */     // GIR_Coverage, 53515,
     /* 2289458 */     GIR_EraseRootFromParent_Done,
     /* 2289459 */   // Label 31305: @2289459
     /* 2289459 */   GIM_Reject,
     /* 2289460 */ // Label 31303: @2289460
     /* 2289460 */ GIM_Reject,
     /* 2289461 */ // Label 31250: @2289461
     /* 2289461 */ GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2289581),
     /* 2289466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2289469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2289472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289484 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2289532), // Rule ID 53430 //
     /* 2289489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289492 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2289495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2289509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289531 */     // GIR_Coverage, 53430,
     /* 2289531 */     GIR_EraseRootFromParent_Done,
     /* 2289532 */   // Label 31307: @2289532
     /* 2289532 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2289580), // Rule ID 53431 //
     /* 2289537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289540 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2289543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2289557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289579 */     // GIR_Coverage, 53431,
     /* 2289579 */     GIR_EraseRootFromParent_Done,
     /* 2289580 */   // Label 31308: @2289580
     /* 2289580 */   GIM_Reject,
     /* 2289581 */ // Label 31306: @2289581
     /* 2289581 */ GIM_Reject,
     /* 2289582 */ // Label 31251: @2289582
     /* 2289582 */ GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2289702),
     /* 2289587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2289590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2289593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289605 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2289653), // Rule ID 53478 //
     /* 2289610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2289613 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2289616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2289630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289652 */     // GIR_Coverage, 53478,
     /* 2289652 */     GIR_EraseRootFromParent_Done,
     /* 2289653 */   // Label 31310: @2289653
     /* 2289653 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2289701), // Rule ID 53479 //
     /* 2289658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2289661 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2289664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2289678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289700 */     // GIR_Coverage, 53479,
     /* 2289700 */     GIR_EraseRootFromParent_Done,
     /* 2289701 */   // Label 31311: @2289701
     /* 2289701 */   GIM_Reject,
     /* 2289702 */ // Label 31309: @2289702
     /* 2289702 */ GIM_Reject,
     /* 2289703 */ // Label 31252: @2289703
     /* 2289703 */ GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2289823),
     /* 2289708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2289711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2289714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289726 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2289774), // Rule ID 53442 //
     /* 2289731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289734 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2289737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2289751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289773 */     // GIR_Coverage, 53442,
     /* 2289773 */     GIR_EraseRootFromParent_Done,
     /* 2289774 */   // Label 31313: @2289774
     /* 2289774 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2289822), // Rule ID 53443 //
     /* 2289779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289782 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2289785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2289799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289821 */     // GIR_Coverage, 53443,
     /* 2289821 */     GIR_EraseRootFromParent_Done,
     /* 2289822 */   // Label 31314: @2289822
     /* 2289822 */   GIM_Reject,
     /* 2289823 */ // Label 31312: @2289823
     /* 2289823 */ GIM_Reject,
     /* 2289824 */ // Label 31253: @2289824
     /* 2289824 */ GIM_Reject,
     /* 2289825 */ // Label 61: @2289825
     /* 2289825 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31333*/ GIMT_Encode4(2292252),
     /* 2289836 */ /*GILLT_s16*//*Label 31315*/ GIMT_Encode4(2289956),
     /* 2289840 */ /*GILLT_s32*//*Label 31316*/ GIMT_Encode4(2290105),
     /* 2289844 */ /*GILLT_s64*//*Label 31317*/ GIMT_Encode4(2290254), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289856 */ /*GILLT_nxv1s16*//*Label 31318*/ GIMT_Encode4(2290437),
     /* 2289860 */ /*GILLT_nxv1s32*//*Label 31319*/ GIMT_Encode4(2290558),
     /* 2289864 */ /*GILLT_nxv1s64*//*Label 31320*/ GIMT_Encode4(2290679), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289876 */ /*GILLT_nxv2s16*//*Label 31321*/ GIMT_Encode4(2290800),
     /* 2289880 */ /*GILLT_nxv2s32*//*Label 31322*/ GIMT_Encode4(2290921),
     /* 2289884 */ /*GILLT_nxv2s64*//*Label 31323*/ GIMT_Encode4(2291042), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289896 */ /*GILLT_nxv4s16*//*Label 31324*/ GIMT_Encode4(2291163),
     /* 2289900 */ /*GILLT_nxv4s32*//*Label 31325*/ GIMT_Encode4(2291284),
     /* 2289904 */ /*GILLT_nxv4s64*//*Label 31326*/ GIMT_Encode4(2291405), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289916 */ /*GILLT_nxv8s16*//*Label 31327*/ GIMT_Encode4(2291526),
     /* 2289920 */ /*GILLT_nxv8s32*//*Label 31328*/ GIMT_Encode4(2291647),
     /* 2289924 */ /*GILLT_nxv8s64*//*Label 31329*/ GIMT_Encode4(2291768), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289936 */ /*GILLT_nxv16s16*//*Label 31330*/ GIMT_Encode4(2291889),
     /* 2289940 */ /*GILLT_nxv16s32*//*Label 31331*/ GIMT_Encode4(2292010), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2289952 */ /*GILLT_nxv32s16*//*Label 31332*/ GIMT_Encode4(2292131),
     /* 2289956 */ // Label 31315: @2289956
     /* 2289956 */ GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2290104),
     /* 2289961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2289964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2289967 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2290001), // Rule ID 1864 //
     /* 2289972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2289975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2289987 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2289987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2289990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290000 */     // GIR_Coverage, 1864,
     /* 2290000 */     GIR_EraseRootFromParent_Done,
     /* 2290001 */   // Label 31335: @2290001
     /* 2290001 */   GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2290035), // Rule ID 1865 //
     /* 2290006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2290009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290021 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2290021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2290024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290034 */     // GIR_Coverage, 1865,
     /* 2290034 */     GIR_EraseRootFromParent_Done,
     /* 2290035 */   // Label 31336: @2290035
     /* 2290035 */   GIM_Try, /*On fail goto*//*Label 31337*/ GIMT_Encode4(2290069), // Rule ID 1868 //
     /* 2290040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2290043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290055 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2290055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2290058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290068 */     // GIR_Coverage, 1868,
     /* 2290068 */     GIR_EraseRootFromParent_Done,
     /* 2290069 */   // Label 31337: @2290069
     /* 2290069 */   GIM_Try, /*On fail goto*//*Label 31338*/ GIMT_Encode4(2290103), // Rule ID 1869 //
     /* 2290074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2290077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2290089 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2290089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2290092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290102 */     // GIR_Coverage, 1869,
     /* 2290102 */     GIR_EraseRootFromParent_Done,
     /* 2290103 */   // Label 31338: @2290103
     /* 2290103 */   GIM_Reject,
     /* 2290104 */ // Label 31334: @2290104
     /* 2290104 */ GIM_Reject,
     /* 2290105 */ // Label 31316: @2290105
     /* 2290105 */ GIM_Try, /*On fail goto*//*Label 31339*/ GIMT_Encode4(2290253),
     /* 2290110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2290116 */   GIM_Try, /*On fail goto*//*Label 31340*/ GIMT_Encode4(2290150), // Rule ID 1155 //
     /* 2290121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2290124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290136 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2290136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2290139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290149 */     // GIR_Coverage, 1155,
     /* 2290149 */     GIR_EraseRootFromParent_Done,
     /* 2290150 */   // Label 31340: @2290150
     /* 2290150 */   GIM_Try, /*On fail goto*//*Label 31341*/ GIMT_Encode4(2290184), // Rule ID 1156 //
     /* 2290155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2290158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2290170 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2290170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2290173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290183 */     // GIR_Coverage, 1156,
     /* 2290183 */     GIR_EraseRootFromParent_Done,
     /* 2290184 */   // Label 31341: @2290184
     /* 2290184 */   GIM_Try, /*On fail goto*//*Label 31342*/ GIMT_Encode4(2290218), // Rule ID 1159 //
     /* 2290189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2290192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290204 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2290204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2290207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290217 */     // GIR_Coverage, 1159,
     /* 2290217 */     GIR_EraseRootFromParent_Done,
     /* 2290218 */   // Label 31342: @2290218
     /* 2290218 */   GIM_Try, /*On fail goto*//*Label 31343*/ GIMT_Encode4(2290252), // Rule ID 1160 //
     /* 2290223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2290226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2290238 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2290238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2290241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290251 */     // GIR_Coverage, 1160,
     /* 2290251 */     GIR_EraseRootFromParent_Done,
     /* 2290252 */   // Label 31343: @2290252
     /* 2290252 */   GIM_Reject,
     /* 2290253 */ // Label 31339: @2290253
     /* 2290253 */ GIM_Reject,
     /* 2290254 */ // Label 31317: @2290254
     /* 2290254 */ GIM_Try, /*On fail goto*//*Label 31344*/ GIMT_Encode4(2290436),
     /* 2290259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2290265 */   GIM_Try, /*On fail goto*//*Label 31345*/ GIMT_Encode4(2290299), // Rule ID 1494 //
     /* 2290270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2290273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290285 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2290285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2290288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290298 */     // GIR_Coverage, 1494,
     /* 2290298 */     GIR_EraseRootFromParent_Done,
     /* 2290299 */   // Label 31345: @2290299
     /* 2290299 */   GIM_Try, /*On fail goto*//*Label 31346*/ GIMT_Encode4(2290333), // Rule ID 1495 //
     /* 2290304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2290307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290319 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2290319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2290322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290332 */     // GIR_Coverage, 1495,
     /* 2290332 */     GIR_EraseRootFromParent_Done,
     /* 2290333 */   // Label 31346: @2290333
     /* 2290333 */   GIM_Try, /*On fail goto*//*Label 31347*/ GIMT_Encode4(2290367), // Rule ID 1498 //
     /* 2290338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290353 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2290353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2290356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290366 */     // GIR_Coverage, 1498,
     /* 2290366 */     GIR_EraseRootFromParent_Done,
     /* 2290367 */   // Label 31347: @2290367
     /* 2290367 */   GIM_Try, /*On fail goto*//*Label 31348*/ GIMT_Encode4(2290401), // Rule ID 1499 //
     /* 2290372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2290375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290387 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2290387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2290390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290400 */     // GIR_Coverage, 1499,
     /* 2290400 */     GIR_EraseRootFromParent_Done,
     /* 2290401 */   // Label 31348: @2290401
     /* 2290401 */   GIM_Try, /*On fail goto*//*Label 31349*/ GIMT_Encode4(2290435), // Rule ID 1501 //
     /* 2290406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2290409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290421 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2290421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2290424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290434 */     // GIR_Coverage, 1501,
     /* 2290434 */     GIR_EraseRootFromParent_Done,
     /* 2290435 */   // Label 31349: @2290435
     /* 2290435 */   GIM_Reject,
     /* 2290436 */ // Label 31344: @2290436
     /* 2290436 */ GIM_Reject,
     /* 2290437 */ // Label 31318: @2290437
     /* 2290437 */ GIM_Try, /*On fail goto*//*Label 31350*/ GIMT_Encode4(2290557),
     /* 2290442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2290445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2290448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290460 */   GIM_Try, /*On fail goto*//*Label 31351*/ GIMT_Encode4(2290508), // Rule ID 54114 //
     /* 2290465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290468 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2290471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2290485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290507 */     // GIR_Coverage, 54114,
     /* 2290507 */     GIR_EraseRootFromParent_Done,
     /* 2290508 */   // Label 31351: @2290508
     /* 2290508 */   GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2290556), // Rule ID 54115 //
     /* 2290513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2290516 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2290519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2290533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290555 */     // GIR_Coverage, 54115,
     /* 2290555 */     GIR_EraseRootFromParent_Done,
     /* 2290556 */   // Label 31352: @2290556
     /* 2290556 */   GIM_Reject,
     /* 2290557 */ // Label 31350: @2290557
     /* 2290557 */ GIM_Reject,
     /* 2290558 */ // Label 31319: @2290558
     /* 2290558 */ GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2290678),
     /* 2290563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2290566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2290569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290581 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2290629), // Rule ID 54138 //
     /* 2290586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290589 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2290592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2290606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290628 */     // GIR_Coverage, 54138,
     /* 2290628 */     GIR_EraseRootFromParent_Done,
     /* 2290629 */   // Label 31354: @2290629
     /* 2290629 */   GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2290677), // Rule ID 54139 //
     /* 2290634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290637 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2290640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2290654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290676 */     // GIR_Coverage, 54139,
     /* 2290676 */     GIR_EraseRootFromParent_Done,
     /* 2290677 */   // Label 31355: @2290677
     /* 2290677 */   GIM_Reject,
     /* 2290678 */ // Label 31353: @2290678
     /* 2290678 */ GIM_Reject,
     /* 2290679 */ // Label 31320: @2290679
     /* 2290679 */ GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2290799),
     /* 2290684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2290687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2290690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290702 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2290750), // Rule ID 54174 //
     /* 2290707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290710 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2290713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2290727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290749 */     // GIR_Coverage, 54174,
     /* 2290749 */     GIR_EraseRootFromParent_Done,
     /* 2290750 */   // Label 31357: @2290750
     /* 2290750 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2290798), // Rule ID 54175 //
     /* 2290755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290758 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2290761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2290775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290797 */     // GIR_Coverage, 54175,
     /* 2290797 */     GIR_EraseRootFromParent_Done,
     /* 2290798 */   // Label 31358: @2290798
     /* 2290798 */   GIM_Reject,
     /* 2290799 */ // Label 31356: @2290799
     /* 2290799 */ GIM_Reject,
     /* 2290800 */ // Label 31321: @2290800
     /* 2290800 */ GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2290920),
     /* 2290805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2290808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2290811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290823 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2290871), // Rule ID 54126 //
     /* 2290828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290831 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2290834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2290848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290870 */     // GIR_Coverage, 54126,
     /* 2290870 */     GIR_EraseRootFromParent_Done,
     /* 2290871 */   // Label 31360: @2290871
     /* 2290871 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2290919), // Rule ID 54127 //
     /* 2290876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2290879 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2290882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2290896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290918 */     // GIR_Coverage, 54127,
     /* 2290918 */     GIR_EraseRootFromParent_Done,
     /* 2290919 */   // Label 31361: @2290919
     /* 2290919 */   GIM_Reject,
     /* 2290920 */ // Label 31359: @2290920
     /* 2290920 */ GIM_Reject,
     /* 2290921 */ // Label 31322: @2290921
     /* 2290921 */ GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2291041),
     /* 2290926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2290929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2290932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290944 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2290992), // Rule ID 54162 //
     /* 2290949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290952 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2290955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2290969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290991 */     // GIR_Coverage, 54162,
     /* 2290991 */     GIR_EraseRootFromParent_Done,
     /* 2290992 */   // Label 31363: @2290992
     /* 2290992 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2291040), // Rule ID 54163 //
     /* 2290997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291000 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2291003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2291017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291039 */     // GIR_Coverage, 54163,
     /* 2291039 */     GIR_EraseRootFromParent_Done,
     /* 2291040 */   // Label 31364: @2291040
     /* 2291040 */   GIM_Reject,
     /* 2291041 */ // Label 31362: @2291041
     /* 2291041 */ GIM_Reject,
     /* 2291042 */ // Label 31323: @2291042
     /* 2291042 */ GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2291162),
     /* 2291047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2291050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2291053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291065 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2291113), // Rule ID 54258 //
     /* 2291070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291073 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2291076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2291090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291112 */     // GIR_Coverage, 54258,
     /* 2291112 */     GIR_EraseRootFromParent_Done,
     /* 2291113 */   // Label 31366: @2291113
     /* 2291113 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2291161), // Rule ID 54259 //
     /* 2291118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291121 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2291124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2291138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291160 */     // GIR_Coverage, 54259,
     /* 2291160 */     GIR_EraseRootFromParent_Done,
     /* 2291161 */   // Label 31367: @2291161
     /* 2291161 */   GIM_Reject,
     /* 2291162 */ // Label 31365: @2291162
     /* 2291162 */ GIM_Reject,
     /* 2291163 */ // Label 31324: @2291163
     /* 2291163 */ GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2291283),
     /* 2291168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2291174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291186 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2291234), // Rule ID 54150 //
     /* 2291191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291194 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2291197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2291211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291233 */     // GIR_Coverage, 54150,
     /* 2291233 */     GIR_EraseRootFromParent_Done,
     /* 2291234 */   // Label 31369: @2291234
     /* 2291234 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2291282), // Rule ID 54151 //
     /* 2291239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291242 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2291245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2291259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291281 */     // GIR_Coverage, 54151,
     /* 2291281 */     GIR_EraseRootFromParent_Done,
     /* 2291282 */   // Label 31370: @2291282
     /* 2291282 */   GIM_Reject,
     /* 2291283 */ // Label 31368: @2291283
     /* 2291283 */ GIM_Reject,
     /* 2291284 */ // Label 31325: @2291284
     /* 2291284 */ GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2291404),
     /* 2291289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2291295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291307 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2291355), // Rule ID 54222 //
     /* 2291312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291315 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2291318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2291332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291354 */     // GIR_Coverage, 54222,
     /* 2291354 */     GIR_EraseRootFromParent_Done,
     /* 2291355 */   // Label 31372: @2291355
     /* 2291355 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2291403), // Rule ID 54223 //
     /* 2291360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291363 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2291366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2291380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291402 */     // GIR_Coverage, 54223,
     /* 2291402 */     GIR_EraseRootFromParent_Done,
     /* 2291403 */   // Label 31373: @2291403
     /* 2291403 */   GIM_Reject,
     /* 2291404 */ // Label 31371: @2291404
     /* 2291404 */ GIM_Reject,
     /* 2291405 */ // Label 31326: @2291405
     /* 2291405 */ GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2291525),
     /* 2291410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2291413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2291416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291428 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2291476), // Rule ID 54270 //
     /* 2291433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291436 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2291439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2291453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291475 */     // GIR_Coverage, 54270,
     /* 2291475 */     GIR_EraseRootFromParent_Done,
     /* 2291476 */   // Label 31375: @2291476
     /* 2291476 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2291524), // Rule ID 54271 //
     /* 2291481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291484 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2291487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2291501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291523 */     // GIR_Coverage, 54271,
     /* 2291523 */     GIR_EraseRootFromParent_Done,
     /* 2291524 */   // Label 31376: @2291524
     /* 2291524 */   GIM_Reject,
     /* 2291525 */ // Label 31374: @2291525
     /* 2291525 */ GIM_Reject,
     /* 2291526 */ // Label 31327: @2291526
     /* 2291526 */ GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2291646),
     /* 2291531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2291534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2291537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291549 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2291597), // Rule ID 54186 //
     /* 2291554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291557 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2291560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2291574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291596 */     // GIR_Coverage, 54186,
     /* 2291596 */     GIR_EraseRootFromParent_Done,
     /* 2291597 */   // Label 31378: @2291597
     /* 2291597 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2291645), // Rule ID 54187 //
     /* 2291602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291605 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2291608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2291622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291644 */     // GIR_Coverage, 54187,
     /* 2291644 */     GIR_EraseRootFromParent_Done,
     /* 2291645 */   // Label 31379: @2291645
     /* 2291645 */   GIM_Reject,
     /* 2291646 */ // Label 31377: @2291646
     /* 2291646 */ GIM_Reject,
     /* 2291647 */ // Label 31328: @2291647
     /* 2291647 */ GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2291767),
     /* 2291652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2291655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2291658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291670 */   GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2291718), // Rule ID 54234 //
     /* 2291675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291678 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2291681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2291695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291717 */     // GIR_Coverage, 54234,
     /* 2291717 */     GIR_EraseRootFromParent_Done,
     /* 2291718 */   // Label 31381: @2291718
     /* 2291718 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2291766), // Rule ID 54235 //
     /* 2291723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291726 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2291729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2291743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291765 */     // GIR_Coverage, 54235,
     /* 2291765 */     GIR_EraseRootFromParent_Done,
     /* 2291766 */   // Label 31382: @2291766
     /* 2291766 */   GIM_Reject,
     /* 2291767 */ // Label 31380: @2291767
     /* 2291767 */ GIM_Reject,
     /* 2291768 */ // Label 31329: @2291768
     /* 2291768 */ GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2291888),
     /* 2291773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2291779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291791 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2291839), // Rule ID 54282 //
     /* 2291796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291799 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2291802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2291816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291838 */     // GIR_Coverage, 54282,
     /* 2291838 */     GIR_EraseRootFromParent_Done,
     /* 2291839 */   // Label 31384: @2291839
     /* 2291839 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2291887), // Rule ID 54283 //
     /* 2291844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291847 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2291850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2291864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291886 */     // GIR_Coverage, 54283,
     /* 2291886 */     GIR_EraseRootFromParent_Done,
     /* 2291887 */   // Label 31385: @2291887
     /* 2291887 */   GIM_Reject,
     /* 2291888 */ // Label 31383: @2291888
     /* 2291888 */ GIM_Reject,
     /* 2291889 */ // Label 31330: @2291889
     /* 2291889 */ GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2292009),
     /* 2291894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2291897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2291900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291912 */   GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2291960), // Rule ID 54198 //
     /* 2291917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291920 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2291923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2291937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291959 */     // GIR_Coverage, 54198,
     /* 2291959 */     GIR_EraseRootFromParent_Done,
     /* 2291960 */   // Label 31387: @2291960
     /* 2291960 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2292008), // Rule ID 54199 //
     /* 2291965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291968 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2291971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2291985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292007 */     // GIR_Coverage, 54199,
     /* 2292007 */     GIR_EraseRootFromParent_Done,
     /* 2292008 */   // Label 31388: @2292008
     /* 2292008 */   GIM_Reject,
     /* 2292009 */ // Label 31386: @2292009
     /* 2292009 */ GIM_Reject,
     /* 2292010 */ // Label 31331: @2292010
     /* 2292010 */ GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2292130),
     /* 2292015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2292021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292033 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2292081), // Rule ID 54246 //
     /* 2292038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292041 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2292044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2292058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292080 */     // GIR_Coverage, 54246,
     /* 2292080 */     GIR_EraseRootFromParent_Done,
     /* 2292081 */   // Label 31390: @2292081
     /* 2292081 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2292129), // Rule ID 54247 //
     /* 2292086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292089 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2292092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2292106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292128 */     // GIR_Coverage, 54247,
     /* 2292128 */     GIR_EraseRootFromParent_Done,
     /* 2292129 */   // Label 31391: @2292129
     /* 2292129 */   GIM_Reject,
     /* 2292130 */ // Label 31389: @2292130
     /* 2292130 */ GIM_Reject,
     /* 2292131 */ // Label 31332: @2292131
     /* 2292131 */ GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2292251),
     /* 2292136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2292139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2292142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292154 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2292202), // Rule ID 54210 //
     /* 2292159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292162 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2292165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2292179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292201 */     // GIR_Coverage, 54210,
     /* 2292201 */     GIR_EraseRootFromParent_Done,
     /* 2292202 */   // Label 31393: @2292202
     /* 2292202 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2292250), // Rule ID 54211 //
     /* 2292207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292210 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2292213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2292227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292249 */     // GIR_Coverage, 54211,
     /* 2292249 */     GIR_EraseRootFromParent_Done,
     /* 2292250 */   // Label 31394: @2292250
     /* 2292250 */   GIM_Reject,
     /* 2292251 */ // Label 31392: @2292251
     /* 2292251 */ GIM_Reject,
     /* 2292252 */ // Label 31333: @2292252
     /* 2292252 */ GIM_Reject,
     /* 2292253 */ // Label 62: @2292253
     /* 2292253 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31413*/ GIMT_Encode4(2308897),
     /* 2292264 */ /*GILLT_s16*//*Label 31395*/ GIMT_Encode4(2292384),
     /* 2292268 */ /*GILLT_s32*//*Label 31396*/ GIMT_Encode4(2293820),
     /* 2292272 */ /*GILLT_s64*//*Label 31397*/ GIMT_Encode4(2295256), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292284 */ /*GILLT_nxv1s16*//*Label 31398*/ GIMT_Encode4(2297047),
     /* 2292288 */ /*GILLT_nxv1s32*//*Label 31399*/ GIMT_Encode4(2297837),
     /* 2292292 */ /*GILLT_nxv1s64*//*Label 31400*/ GIMT_Encode4(2298627), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292304 */ /*GILLT_nxv2s16*//*Label 31401*/ GIMT_Encode4(2299417),
     /* 2292308 */ /*GILLT_nxv2s32*//*Label 31402*/ GIMT_Encode4(2300207),
     /* 2292312 */ /*GILLT_nxv2s64*//*Label 31403*/ GIMT_Encode4(2300997), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292324 */ /*GILLT_nxv4s16*//*Label 31404*/ GIMT_Encode4(2301787),
     /* 2292328 */ /*GILLT_nxv4s32*//*Label 31405*/ GIMT_Encode4(2302577),
     /* 2292332 */ /*GILLT_nxv4s64*//*Label 31406*/ GIMT_Encode4(2303367), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292344 */ /*GILLT_nxv8s16*//*Label 31407*/ GIMT_Encode4(2304157),
     /* 2292348 */ /*GILLT_nxv8s32*//*Label 31408*/ GIMT_Encode4(2304947),
     /* 2292352 */ /*GILLT_nxv8s64*//*Label 31409*/ GIMT_Encode4(2305737), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292364 */ /*GILLT_nxv16s16*//*Label 31410*/ GIMT_Encode4(2306527),
     /* 2292368 */ /*GILLT_nxv16s32*//*Label 31411*/ GIMT_Encode4(2307317), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2292380 */ /*GILLT_nxv32s16*//*Label 31412*/ GIMT_Encode4(2308107),
     /* 2292384 */ // Label 31395: @2292384
     /* 2292384 */ GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2293819),
     /* 2292389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2292395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2292398 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2292470), // Rule ID 1905 //
     /* 2292403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2292406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292450 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2292450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2292453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292469 */     // GIR_Coverage, 1905,
     /* 2292469 */     GIR_EraseRootFromParent_Done,
     /* 2292470 */   // Label 31415: @2292470
     /* 2292470 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2292542), // Rule ID 1906 //
     /* 2292475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2292478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292522 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2292522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2292525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292541 */     // GIR_Coverage, 1906,
     /* 2292541 */     GIR_EraseRootFromParent_Done,
     /* 2292542 */   // Label 31416: @2292542
     /* 2292542 */   GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2292614), // Rule ID 1938 //
     /* 2292547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2292550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292594 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2292594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2292597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292613 */     // GIR_Coverage, 1938,
     /* 2292613 */     GIR_EraseRootFromParent_Done,
     /* 2292614 */   // Label 31417: @2292614
     /* 2292614 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2292686), // Rule ID 1939 //
     /* 2292619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2292622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292666 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2292666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2292669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292685 */     // GIR_Coverage, 1939,
     /* 2292685 */     GIR_EraseRootFromParent_Done,
     /* 2292686 */   // Label 31418: @2292686
     /* 2292686 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2292758), // Rule ID 65196 //
     /* 2292691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2292694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292738 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2292738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2292741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292757 */     // GIR_Coverage, 65196,
     /* 2292757 */     GIR_EraseRootFromParent_Done,
     /* 2292758 */   // Label 31419: @2292758
     /* 2292758 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2292830), // Rule ID 65197 //
     /* 2292763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2292766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292810 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2292810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2292813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292829 */     // GIR_Coverage, 65197,
     /* 2292829 */     GIR_EraseRootFromParent_Done,
     /* 2292830 */   // Label 31420: @2292830
     /* 2292830 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2292902), // Rule ID 65204 //
     /* 2292835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2292838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292882 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2292882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2292885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292901 */     // GIR_Coverage, 65204,
     /* 2292901 */     GIR_EraseRootFromParent_Done,
     /* 2292902 */   // Label 31421: @2292902
     /* 2292902 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2292974), // Rule ID 65205 //
     /* 2292907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2292910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2292952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292954 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2292954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2292957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2292965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2292969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292973 */     // GIR_Coverage, 65205,
     /* 2292973 */     GIR_EraseRootFromParent_Done,
     /* 2292974 */   // Label 31422: @2292974
     /* 2292974 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2293031), // Rule ID 1901 //
     /* 2292979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2292982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2292986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2292998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293013 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2293016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293030 */     // GIR_Coverage, 1901,
     /* 2293030 */     GIR_EraseRootFromParent_Done,
     /* 2293031 */   // Label 31423: @2293031
     /* 2293031 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2293088), // Rule ID 1902 //
     /* 2293036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2293039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293070 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2293073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293087 */     // GIR_Coverage, 1902,
     /* 2293087 */     GIR_EraseRootFromParent_Done,
     /* 2293088 */   // Label 31424: @2293088
     /* 2293088 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2293145), // Rule ID 1934 //
     /* 2293093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2293096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293127 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2293130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293144 */     // GIR_Coverage, 1934,
     /* 2293144 */     GIR_EraseRootFromParent_Done,
     /* 2293145 */   // Label 31425: @2293145
     /* 2293145 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2293202), // Rule ID 1935 //
     /* 2293150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2293153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293184 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2293187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293201 */     // GIR_Coverage, 1935,
     /* 2293201 */     GIR_EraseRootFromParent_Done,
     /* 2293202 */   // Label 31426: @2293202
     /* 2293202 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2293259), // Rule ID 65192 //
     /* 2293207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2293210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293241 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2293244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2293252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293258 */     // GIR_Coverage, 65192,
     /* 2293258 */     GIR_EraseRootFromParent_Done,
     /* 2293259 */   // Label 31427: @2293259
     /* 2293259 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2293316), // Rule ID 65193 //
     /* 2293264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2293267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293298 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2293301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2293309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293315 */     // GIR_Coverage, 65193,
     /* 2293315 */     GIR_EraseRootFromParent_Done,
     /* 2293316 */   // Label 31428: @2293316
     /* 2293316 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2293373), // Rule ID 65200 //
     /* 2293321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2293324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293355 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2293358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2293366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293372 */     // GIR_Coverage, 65200,
     /* 2293372 */     GIR_EraseRootFromParent_Done,
     /* 2293373 */   // Label 31429: @2293373
     /* 2293373 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2293430), // Rule ID 65201 //
     /* 2293378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2293381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293412 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2293415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2293423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293429 */     // GIR_Coverage, 65201,
     /* 2293429 */     GIR_EraseRootFromParent_Done,
     /* 2293430 */   // Label 31430: @2293430
     /* 2293430 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2293487), // Rule ID 1897 //
     /* 2293435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2293438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293469 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2293472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2293482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293486 */     // GIR_Coverage, 1897,
     /* 2293486 */     GIR_EraseRootFromParent_Done,
     /* 2293487 */   // Label 31431: @2293487
     /* 2293487 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2293544), // Rule ID 1898 //
     /* 2293492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2293495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293526 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2293529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2293539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293543 */     // GIR_Coverage, 1898,
     /* 2293543 */     GIR_EraseRootFromParent_Done,
     /* 2293544 */   // Label 31432: @2293544
     /* 2293544 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2293601), // Rule ID 1930 //
     /* 2293549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2293552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293583 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2293586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2293596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293600 */     // GIR_Coverage, 1930,
     /* 2293600 */     GIR_EraseRootFromParent_Done,
     /* 2293601 */   // Label 31433: @2293601
     /* 2293601 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2293658), // Rule ID 1931 //
     /* 2293606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2293609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2293633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293640 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2293643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2293653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293657 */     // GIR_Coverage, 1931,
     /* 2293657 */     GIR_EraseRootFromParent_Done,
     /* 2293658 */   // Label 31434: @2293658
     /* 2293658 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2293698), // Rule ID 1893 //
     /* 2293663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2293666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293682 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2293685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293697 */     // GIR_Coverage, 1893,
     /* 2293697 */     GIR_EraseRootFromParent_Done,
     /* 2293698 */   // Label 31435: @2293698
     /* 2293698 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2293738), // Rule ID 1894 //
     /* 2293703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2293706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2293722 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2293725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293737 */     // GIR_Coverage, 1894,
     /* 2293737 */     GIR_EraseRootFromParent_Done,
     /* 2293738 */   // Label 31436: @2293738
     /* 2293738 */   GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2293778), // Rule ID 1926 //
     /* 2293743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2293746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293762 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2293762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2293765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293777 */     // GIR_Coverage, 1926,
     /* 2293777 */     GIR_EraseRootFromParent_Done,
     /* 2293778 */   // Label 31437: @2293778
     /* 2293778 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2293818), // Rule ID 1927 //
     /* 2293783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2293786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2293802 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2293802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2293805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2293813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293817 */     // GIR_Coverage, 1927,
     /* 2293817 */     GIR_EraseRootFromParent_Done,
     /* 2293818 */   // Label 31438: @2293818
     /* 2293818 */   GIM_Reject,
     /* 2293819 */ // Label 31414: @2293819
     /* 2293819 */ GIM_Reject,
     /* 2293820 */ // Label 31396: @2293820
     /* 2293820 */ GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2295255),
     /* 2293825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2293828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2293831 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2293834 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2293906), // Rule ID 1204 //
     /* 2293839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2293842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2293858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2293879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293886 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2293886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2293889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2293901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293905 */     // GIR_Coverage, 1204,
     /* 2293905 */     GIR_EraseRootFromParent_Done,
     /* 2293906 */   // Label 31440: @2293906
     /* 2293906 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2293978), // Rule ID 1205 //
     /* 2293911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2293914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2293930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2293951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2293956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293958 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2293958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2293961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2293973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293977 */     // GIR_Coverage, 1205,
     /* 2293977 */     GIR_EraseRootFromParent_Done,
     /* 2293978 */   // Label 31441: @2293978
     /* 2293978 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2294050), // Rule ID 1225 //
     /* 2293983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2293986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2293990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294030 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2294033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2294045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294049 */     // GIR_Coverage, 1225,
     /* 2294049 */     GIR_EraseRootFromParent_Done,
     /* 2294050 */   // Label 31442: @2294050
     /* 2294050 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2294122), // Rule ID 1226 //
     /* 2294055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2294058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294102 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2294105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2294117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294121 */     // GIR_Coverage, 1226,
     /* 2294121 */     GIR_EraseRootFromParent_Done,
     /* 2294122 */   // Label 31443: @2294122
     /* 2294122 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2294194), // Rule ID 65160 //
     /* 2294127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2294130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294174 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2294177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2294189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294193 */     // GIR_Coverage, 65160,
     /* 2294193 */     GIR_EraseRootFromParent_Done,
     /* 2294194 */   // Label 31444: @2294194
     /* 2294194 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2294266), // Rule ID 65161 //
     /* 2294199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2294202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294239 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294246 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2294249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2294261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294265 */     // GIR_Coverage, 65161,
     /* 2294265 */     GIR_EraseRootFromParent_Done,
     /* 2294266 */   // Label 31445: @2294266
     /* 2294266 */   GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2294338), // Rule ID 65168 //
     /* 2294271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2294274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294318 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2294321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2294333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294337 */     // GIR_Coverage, 65168,
     /* 2294337 */     GIR_EraseRootFromParent_Done,
     /* 2294338 */   // Label 31446: @2294338
     /* 2294338 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2294410), // Rule ID 65169 //
     /* 2294343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2294346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294390 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2294393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2294405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294409 */     // GIR_Coverage, 65169,
     /* 2294409 */     GIR_EraseRootFromParent_Done,
     /* 2294410 */   // Label 31447: @2294410
     /* 2294410 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2294467), // Rule ID 1200 //
     /* 2294415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2294418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294449 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2294452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294466 */     // GIR_Coverage, 1200,
     /* 2294466 */     GIR_EraseRootFromParent_Done,
     /* 2294467 */   // Label 31448: @2294467
     /* 2294467 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2294524), // Rule ID 1201 //
     /* 2294472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2294475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294506 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2294509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294523 */     // GIR_Coverage, 1201,
     /* 2294523 */     GIR_EraseRootFromParent_Done,
     /* 2294524 */   // Label 31449: @2294524
     /* 2294524 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2294581), // Rule ID 1221 //
     /* 2294529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2294532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294563 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2294566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294580 */     // GIR_Coverage, 1221,
     /* 2294580 */     GIR_EraseRootFromParent_Done,
     /* 2294581 */   // Label 31450: @2294581
     /* 2294581 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2294638), // Rule ID 1222 //
     /* 2294586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2294589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294620 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2294623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294637 */     // GIR_Coverage, 1222,
     /* 2294637 */     GIR_EraseRootFromParent_Done,
     /* 2294638 */   // Label 31451: @2294638
     /* 2294638 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2294695), // Rule ID 65156 //
     /* 2294643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2294646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294677 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2294680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294694 */     // GIR_Coverage, 65156,
     /* 2294694 */     GIR_EraseRootFromParent_Done,
     /* 2294695 */   // Label 31452: @2294695
     /* 2294695 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2294752), // Rule ID 65157 //
     /* 2294700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2294703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294734 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2294737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294751 */     // GIR_Coverage, 65157,
     /* 2294751 */     GIR_EraseRootFromParent_Done,
     /* 2294752 */   // Label 31453: @2294752
     /* 2294752 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2294809), // Rule ID 65164 //
     /* 2294757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2294760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294791 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2294794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294808 */     // GIR_Coverage, 65164,
     /* 2294808 */     GIR_EraseRootFromParent_Done,
     /* 2294809 */   // Label 31454: @2294809
     /* 2294809 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2294866), // Rule ID 65165 //
     /* 2294814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2294817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294848 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2294851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2294861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294865 */     // GIR_Coverage, 65165,
     /* 2294865 */     GIR_EraseRootFromParent_Done,
     /* 2294866 */   // Label 31455: @2294866
     /* 2294866 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2294923), // Rule ID 1196 //
     /* 2294871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2294874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294905 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2294905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2294908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2294918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294922 */     // GIR_Coverage, 1196,
     /* 2294922 */     GIR_EraseRootFromParent_Done,
     /* 2294923 */   // Label 31456: @2294923
     /* 2294923 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2294980), // Rule ID 1197 //
     /* 2294928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2294931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294962 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2294962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2294965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2294975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294979 */     // GIR_Coverage, 1197,
     /* 2294979 */     GIR_EraseRootFromParent_Done,
     /* 2294980 */   // Label 31457: @2294980
     /* 2294980 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2295037), // Rule ID 1217 //
     /* 2294985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2294988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2295012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295019 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2295019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2295022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2295032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295036 */     // GIR_Coverage, 1217,
     /* 2295036 */     GIR_EraseRootFromParent_Done,
     /* 2295037 */   // Label 31458: @2295037
     /* 2295037 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2295094), // Rule ID 1218 //
     /* 2295042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2295045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2295069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295076 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2295076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2295079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2295089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295093 */     // GIR_Coverage, 1218,
     /* 2295093 */     GIR_EraseRootFromParent_Done,
     /* 2295094 */   // Label 31459: @2295094
     /* 2295094 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2295134), // Rule ID 1192 //
     /* 2295099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2295102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295118 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2295118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2295121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2295129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295133 */     // GIR_Coverage, 1192,
     /* 2295133 */     GIR_EraseRootFromParent_Done,
     /* 2295134 */   // Label 31460: @2295134
     /* 2295134 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2295174), // Rule ID 1193 //
     /* 2295139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2295142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295158 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2295158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2295161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2295169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295173 */     // GIR_Coverage, 1193,
     /* 2295173 */     GIR_EraseRootFromParent_Done,
     /* 2295174 */   // Label 31461: @2295174
     /* 2295174 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2295214), // Rule ID 1213 //
     /* 2295179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2295182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295198 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2295198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2295201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2295209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295213 */     // GIR_Coverage, 1213,
     /* 2295213 */     GIR_EraseRootFromParent_Done,
     /* 2295214 */   // Label 31462: @2295214
     /* 2295214 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2295254), // Rule ID 1214 //
     /* 2295219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2295222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2295238 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2295238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2295241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2295249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295253 */     // GIR_Coverage, 1214,
     /* 2295253 */     GIR_EraseRootFromParent_Done,
     /* 2295254 */   // Label 31463: @2295254
     /* 2295254 */   GIM_Reject,
     /* 2295255 */ // Label 31439: @2295255
     /* 2295255 */ GIM_Reject,
     /* 2295256 */ // Label 31397: @2295256
     /* 2295256 */ GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2297046),
     /* 2295261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2295267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2295270 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2295342), // Rule ID 1541 //
     /* 2295275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2295278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295322 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2295322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2295325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295341 */     // GIR_Coverage, 1541,
     /* 2295341 */     GIR_EraseRootFromParent_Done,
     /* 2295342 */   // Label 31465: @2295342
     /* 2295342 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2295414), // Rule ID 1542 //
     /* 2295347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2295350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295394 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2295394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2295397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295413 */     // GIR_Coverage, 1542,
     /* 2295413 */     GIR_EraseRootFromParent_Done,
     /* 2295414 */   // Label 31466: @2295414
     /* 2295414 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2295486), // Rule ID 1564 //
     /* 2295419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2295422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295466 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2295466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2295469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295485 */     // GIR_Coverage, 1564,
     /* 2295485 */     GIR_EraseRootFromParent_Done,
     /* 2295486 */   // Label 31467: @2295486
     /* 2295486 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2295558), // Rule ID 1596 //
     /* 2295491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2295494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295527 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295538 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2295538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2295541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295557 */     // GIR_Coverage, 1596,
     /* 2295557 */     GIR_EraseRootFromParent_Done,
     /* 2295558 */   // Label 31468: @2295558
     /* 2295558 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2295630), // Rule ID 1597 //
     /* 2295563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2295566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295610 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2295610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2295613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295629 */     // GIR_Coverage, 1597,
     /* 2295629 */     GIR_EraseRootFromParent_Done,
     /* 2295630 */   // Label 31469: @2295630
     /* 2295630 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2295702), // Rule ID 65176 //
     /* 2295635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2295638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295682 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2295682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2295685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295701 */     // GIR_Coverage, 65176,
     /* 2295701 */     GIR_EraseRootFromParent_Done,
     /* 2295702 */   // Label 31470: @2295702
     /* 2295702 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2295774), // Rule ID 65177 //
     /* 2295707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2295710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2295752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295754 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2295754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2295757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295773 */     // GIR_Coverage, 65177,
     /* 2295773 */     GIR_EraseRootFromParent_Done,
     /* 2295774 */   // Label 31471: @2295774
     /* 2295774 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2295846), // Rule ID 65181 //
     /* 2295779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2295782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2295824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295826 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2295826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2295829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295845 */     // GIR_Coverage, 65181,
     /* 2295845 */     GIR_EraseRootFromParent_Done,
     /* 2295846 */   // Label 31472: @2295846
     /* 2295846 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2295918), // Rule ID 65188 //
     /* 2295851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2295854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295898 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2295898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2295901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295917 */     // GIR_Coverage, 65188,
     /* 2295917 */     GIR_EraseRootFromParent_Done,
     /* 2295918 */   // Label 31473: @2295918
     /* 2295918 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2295990), // Rule ID 65189 //
     /* 2295923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2295926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2295963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2295968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295970 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2295970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2295973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2295985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295989 */     // GIR_Coverage, 65189,
     /* 2295989 */     GIR_EraseRootFromParent_Done,
     /* 2295990 */   // Label 31474: @2295990
     /* 2295990 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2296047), // Rule ID 1537 //
     /* 2295995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2295998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296029 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2296032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296046 */     // GIR_Coverage, 1537,
     /* 2296046 */     GIR_EraseRootFromParent_Done,
     /* 2296047 */   // Label 31475: @2296047
     /* 2296047 */   GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2296104), // Rule ID 1538 //
     /* 2296052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2296055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296086 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2296086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2296089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296103 */     // GIR_Coverage, 1538,
     /* 2296103 */     GIR_EraseRootFromParent_Done,
     /* 2296104 */   // Label 31476: @2296104
     /* 2296104 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2296161), // Rule ID 1562 //
     /* 2296109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2296112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296143 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2296146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296160 */     // GIR_Coverage, 1562,
     /* 2296160 */     GIR_EraseRootFromParent_Done,
     /* 2296161 */   // Label 31477: @2296161
     /* 2296161 */   GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2296218), // Rule ID 1592 //
     /* 2296166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2296169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296200 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2296203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296217 */     // GIR_Coverage, 1592,
     /* 2296217 */     GIR_EraseRootFromParent_Done,
     /* 2296218 */   // Label 31478: @2296218
     /* 2296218 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2296275), // Rule ID 1593 //
     /* 2296223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2296226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296257 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2296257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2296260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296274 */     // GIR_Coverage, 1593,
     /* 2296274 */     GIR_EraseRootFromParent_Done,
     /* 2296275 */   // Label 31479: @2296275
     /* 2296275 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2296332), // Rule ID 65172 //
     /* 2296280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2296283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296314 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2296317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296331 */     // GIR_Coverage, 65172,
     /* 2296331 */     GIR_EraseRootFromParent_Done,
     /* 2296332 */   // Label 31480: @2296332
     /* 2296332 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2296389), // Rule ID 65173 //
     /* 2296337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2296340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296371 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2296371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2296374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296388 */     // GIR_Coverage, 65173,
     /* 2296388 */     GIR_EraseRootFromParent_Done,
     /* 2296389 */   // Label 31481: @2296389
     /* 2296389 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2296446), // Rule ID 65179 //
     /* 2296394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2296397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296428 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2296431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296445 */     // GIR_Coverage, 65179,
     /* 2296445 */     GIR_EraseRootFromParent_Done,
     /* 2296446 */   // Label 31482: @2296446
     /* 2296446 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2296503), // Rule ID 65184 //
     /* 2296451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2296454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296485 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2296488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296502 */     // GIR_Coverage, 65184,
     /* 2296502 */     GIR_EraseRootFromParent_Done,
     /* 2296503 */   // Label 31483: @2296503
     /* 2296503 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2296560), // Rule ID 65185 //
     /* 2296508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2296511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296542 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2296542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2296545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296559 */     // GIR_Coverage, 65185,
     /* 2296559 */     GIR_EraseRootFromParent_Done,
     /* 2296560 */   // Label 31484: @2296560
     /* 2296560 */   GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2296617), // Rule ID 1533 //
     /* 2296565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2296568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296599 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2296602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2296612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296616 */     // GIR_Coverage, 1533,
     /* 2296616 */     GIR_EraseRootFromParent_Done,
     /* 2296617 */   // Label 31485: @2296617
     /* 2296617 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2296674), // Rule ID 1534 //
     /* 2296622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2296625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296656 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2296656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2296659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2296669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296673 */     // GIR_Coverage, 1534,
     /* 2296673 */     GIR_EraseRootFromParent_Done,
     /* 2296674 */   // Label 31486: @2296674
     /* 2296674 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2296731), // Rule ID 1560 //
     /* 2296679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2296682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296713 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2296716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2296726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296730 */     // GIR_Coverage, 1560,
     /* 2296730 */     GIR_EraseRootFromParent_Done,
     /* 2296731 */   // Label 31487: @2296731
     /* 2296731 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2296788), // Rule ID 1588 //
     /* 2296736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2296739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296770 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2296773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2296783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296787 */     // GIR_Coverage, 1588,
     /* 2296787 */     GIR_EraseRootFromParent_Done,
     /* 2296788 */   // Label 31488: @2296788
     /* 2296788 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2296845), // Rule ID 1589 //
     /* 2296793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2296796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296827 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2296827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2296830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2296840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296844 */     // GIR_Coverage, 1589,
     /* 2296844 */     GIR_EraseRootFromParent_Done,
     /* 2296845 */   // Label 31489: @2296845
     /* 2296845 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2296885), // Rule ID 1529 //
     /* 2296850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2296853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296869 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2296872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296884 */     // GIR_Coverage, 1529,
     /* 2296884 */     GIR_EraseRootFromParent_Done,
     /* 2296885 */   // Label 31490: @2296885
     /* 2296885 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2296925), // Rule ID 1530 //
     /* 2296890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2296893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296909 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2296909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2296912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296924 */     // GIR_Coverage, 1530,
     /* 2296924 */     GIR_EraseRootFromParent_Done,
     /* 2296925 */   // Label 31491: @2296925
     /* 2296925 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2296965), // Rule ID 1558 //
     /* 2296930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2296933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296949 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2296952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2296960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296964 */     // GIR_Coverage, 1558,
     /* 2296964 */     GIR_EraseRootFromParent_Done,
     /* 2296965 */   // Label 31492: @2296965
     /* 2296965 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2297005), // Rule ID 1584 //
     /* 2296970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2296973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296989 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2296989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2296992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2297000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297004 */     // GIR_Coverage, 1584,
     /* 2297004 */     GIR_EraseRootFromParent_Done,
     /* 2297005 */   // Label 31493: @2297005
     /* 2297005 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2297045), // Rule ID 1585 //
     /* 2297010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2297013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2297017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2297021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2297025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2297029 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2297029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2297032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2297040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297044 */     // GIR_Coverage, 1585,
     /* 2297044 */     GIR_EraseRootFromParent_Done,
     /* 2297045 */   // Label 31494: @2297045
     /* 2297045 */   GIM_Reject,
     /* 2297046 */ // Label 31464: @2297046
     /* 2297046 */ GIM_Reject,
     /* 2297047 */ // Label 31398: @2297047
     /* 2297047 */ GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2297836),
     /* 2297052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2297058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2297061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297065 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2297142), // Rule ID 54728 //
     /* 2297070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297113 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2297116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297141 */     // GIR_Coverage, 54728,
     /* 2297141 */     GIR_EraseRootFromParent_Done,
     /* 2297142 */   // Label 31496: @2297142
     /* 2297142 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2297219), // Rule ID 54729 //
     /* 2297147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297190 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2297193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297218 */     // GIR_Coverage, 54729,
     /* 2297218 */     GIR_EraseRootFromParent_Done,
     /* 2297219 */   // Label 31497: @2297219
     /* 2297219 */   GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2297296), // Rule ID 72158 //
     /* 2297224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297267 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2297270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297295 */     // GIR_Coverage, 72158,
     /* 2297295 */     GIR_EraseRootFromParent_Done,
     /* 2297296 */   // Label 31498: @2297296
     /* 2297296 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2297373), // Rule ID 72159 //
     /* 2297301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297344 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2297347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297372 */     // GIR_Coverage, 72159,
     /* 2297372 */     GIR_EraseRootFromParent_Done,
     /* 2297373 */   // Label 31499: @2297373
     /* 2297373 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2297435), // Rule ID 54732 //
     /* 2297378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297408 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2297411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297434 */     // GIR_Coverage, 54732,
     /* 2297434 */     GIR_EraseRootFromParent_Done,
     /* 2297435 */   // Label 31500: @2297435
     /* 2297435 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2297497), // Rule ID 54733 //
     /* 2297440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297470 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2297473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297496 */     // GIR_Coverage, 54733,
     /* 2297496 */     GIR_EraseRootFromParent_Done,
     /* 2297497 */   // Label 31501: @2297497
     /* 2297497 */   GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2297559), // Rule ID 72162 //
     /* 2297502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297532 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2297535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297558 */     // GIR_Coverage, 72162,
     /* 2297558 */     GIR_EraseRootFromParent_Done,
     /* 2297559 */   // Label 31502: @2297559
     /* 2297559 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2297621), // Rule ID 72163 //
     /* 2297564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297594 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2297597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297620 */     // GIR_Coverage, 72163,
     /* 2297620 */     GIR_EraseRootFromParent_Done,
     /* 2297621 */   // Label 31503: @2297621
     /* 2297621 */   GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2297683), // Rule ID 54724 //
     /* 2297626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297656 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2297659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297682 */     // GIR_Coverage, 54724,
     /* 2297682 */     GIR_EraseRootFromParent_Done,
     /* 2297683 */   // Label 31504: @2297683
     /* 2297683 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2297745), // Rule ID 54725 //
     /* 2297688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2297711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297718 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2297721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297744 */     // GIR_Coverage, 54725,
     /* 2297744 */     GIR_EraseRootFromParent_Done,
     /* 2297745 */   // Label 31505: @2297745
     /* 2297745 */   GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2297790), // Rule ID 54720 //
     /* 2297750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297765 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2297768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297789 */     // GIR_Coverage, 54720,
     /* 2297789 */     GIR_EraseRootFromParent_Done,
     /* 2297790 */   // Label 31506: @2297790
     /* 2297790 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2297835), // Rule ID 54721 //
     /* 2297795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297810 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2297813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297834 */     // GIR_Coverage, 54721,
     /* 2297834 */     GIR_EraseRootFromParent_Done,
     /* 2297835 */   // Label 31507: @2297835
     /* 2297835 */   GIM_Reject,
     /* 2297836 */ // Label 31495: @2297836
     /* 2297836 */ GIM_Reject,
     /* 2297837 */ // Label 31399: @2297837
     /* 2297837 */ GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2298626),
     /* 2297842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2297845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2297848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2297851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297855 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2297932), // Rule ID 54856 //
     /* 2297860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2297863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2297875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2297896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297903 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2297906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297931 */     // GIR_Coverage, 54856,
     /* 2297931 */     GIR_EraseRootFromParent_Done,
     /* 2297932 */   // Label 31509: @2297932
     /* 2297932 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2298009), // Rule ID 54857 //
     /* 2297937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2297940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2297952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2297973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297980 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2297983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298008 */     // GIR_Coverage, 54857,
     /* 2298008 */     GIR_EraseRootFromParent_Done,
     /* 2298009 */   // Label 31510: @2298009
     /* 2298009 */   GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2298086), // Rule ID 72270 //
     /* 2298014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298057 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2298060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298085 */     // GIR_Coverage, 72270,
     /* 2298085 */     GIR_EraseRootFromParent_Done,
     /* 2298086 */   // Label 31511: @2298086
     /* 2298086 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2298163), // Rule ID 72271 //
     /* 2298091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298134 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2298137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298162 */     // GIR_Coverage, 72271,
     /* 2298162 */     GIR_EraseRootFromParent_Done,
     /* 2298163 */   // Label 31512: @2298163
     /* 2298163 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2298225), // Rule ID 54860 //
     /* 2298168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298198 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2298201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298224 */     // GIR_Coverage, 54860,
     /* 2298224 */     GIR_EraseRootFromParent_Done,
     /* 2298225 */   // Label 31513: @2298225
     /* 2298225 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2298287), // Rule ID 54861 //
     /* 2298230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298260 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2298263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298286 */     // GIR_Coverage, 54861,
     /* 2298286 */     GIR_EraseRootFromParent_Done,
     /* 2298287 */   // Label 31514: @2298287
     /* 2298287 */   GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2298349), // Rule ID 72274 //
     /* 2298292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298322 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2298325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298348 */     // GIR_Coverage, 72274,
     /* 2298348 */     GIR_EraseRootFromParent_Done,
     /* 2298349 */   // Label 31515: @2298349
     /* 2298349 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2298411), // Rule ID 72275 //
     /* 2298354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298384 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2298387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298410 */     // GIR_Coverage, 72275,
     /* 2298410 */     GIR_EraseRootFromParent_Done,
     /* 2298411 */   // Label 31516: @2298411
     /* 2298411 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2298473), // Rule ID 54852 //
     /* 2298416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298446 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2298449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298472 */     // GIR_Coverage, 54852,
     /* 2298472 */     GIR_EraseRootFromParent_Done,
     /* 2298473 */   // Label 31517: @2298473
     /* 2298473 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2298535), // Rule ID 54853 //
     /* 2298478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298508 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2298511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298534 */     // GIR_Coverage, 54853,
     /* 2298534 */     GIR_EraseRootFromParent_Done,
     /* 2298535 */   // Label 31518: @2298535
     /* 2298535 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2298580), // Rule ID 54848 //
     /* 2298540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298555 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2298558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298579 */     // GIR_Coverage, 54848,
     /* 2298579 */     GIR_EraseRootFromParent_Done,
     /* 2298580 */   // Label 31519: @2298580
     /* 2298580 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2298625), // Rule ID 54849 //
     /* 2298585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298600 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2298603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298624 */     // GIR_Coverage, 54849,
     /* 2298624 */     GIR_EraseRootFromParent_Done,
     /* 2298625 */   // Label 31520: @2298625
     /* 2298625 */   GIM_Reject,
     /* 2298626 */ // Label 31508: @2298626
     /* 2298626 */ GIM_Reject,
     /* 2298627 */ // Label 31400: @2298627
     /* 2298627 */ GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2299416),
     /* 2298632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2298638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2298641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298645 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2298722), // Rule ID 55048 //
     /* 2298650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298693 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2298696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298721 */     // GIR_Coverage, 55048,
     /* 2298721 */     GIR_EraseRootFromParent_Done,
     /* 2298722 */   // Label 31522: @2298722
     /* 2298722 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2298799), // Rule ID 55049 //
     /* 2298727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2298730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298770 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2298773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298798 */     // GIR_Coverage, 55049,
     /* 2298798 */     GIR_EraseRootFromParent_Done,
     /* 2298799 */   // Label 31523: @2298799
     /* 2298799 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2298876), // Rule ID 72438 //
     /* 2298804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298847 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2298850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298875 */     // GIR_Coverage, 72438,
     /* 2298875 */     GIR_EraseRootFromParent_Done,
     /* 2298876 */   // Label 31524: @2298876
     /* 2298876 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2298953), // Rule ID 72439 //
     /* 2298881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2298884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298924 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2298927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298952 */     // GIR_Coverage, 72439,
     /* 2298952 */     GIR_EraseRootFromParent_Done,
     /* 2298953 */   // Label 31525: @2298953
     /* 2298953 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2299015), // Rule ID 55052 //
     /* 2298958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298988 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2298991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299014 */     // GIR_Coverage, 55052,
     /* 2299014 */     GIR_EraseRootFromParent_Done,
     /* 2299015 */   // Label 31526: @2299015
     /* 2299015 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2299077), // Rule ID 55053 //
     /* 2299020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2299035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299050 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2299053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299076 */     // GIR_Coverage, 55053,
     /* 2299076 */     GIR_EraseRootFromParent_Done,
     /* 2299077 */   // Label 31527: @2299077
     /* 2299077 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2299139), // Rule ID 72442 //
     /* 2299082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2299101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299112 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2299115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299138 */     // GIR_Coverage, 72442,
     /* 2299138 */     GIR_EraseRootFromParent_Done,
     /* 2299139 */   // Label 31528: @2299139
     /* 2299139 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2299201), // Rule ID 72443 //
     /* 2299144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2299163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299174 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2299177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299200 */     // GIR_Coverage, 72443,
     /* 2299200 */     GIR_EraseRootFromParent_Done,
     /* 2299201 */   // Label 31529: @2299201
     /* 2299201 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2299263), // Rule ID 55044 //
     /* 2299206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2299229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299236 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2299239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299262 */     // GIR_Coverage, 55044,
     /* 2299262 */     GIR_EraseRootFromParent_Done,
     /* 2299263 */   // Label 31530: @2299263
     /* 2299263 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2299325), // Rule ID 55045 //
     /* 2299268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2299291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299298 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2299301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299324 */     // GIR_Coverage, 55045,
     /* 2299324 */     GIR_EraseRootFromParent_Done,
     /* 2299325 */   // Label 31531: @2299325
     /* 2299325 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2299370), // Rule ID 55040 //
     /* 2299330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299345 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2299348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299369 */     // GIR_Coverage, 55040,
     /* 2299369 */     GIR_EraseRootFromParent_Done,
     /* 2299370 */   // Label 31532: @2299370
     /* 2299370 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2299415), // Rule ID 55041 //
     /* 2299375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299390 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2299393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299414 */     // GIR_Coverage, 55041,
     /* 2299414 */     GIR_EraseRootFromParent_Done,
     /* 2299415 */   // Label 31533: @2299415
     /* 2299415 */   GIM_Reject,
     /* 2299416 */ // Label 31521: @2299416
     /* 2299416 */ GIM_Reject,
     /* 2299417 */ // Label 31401: @2299417
     /* 2299417 */ GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2300206),
     /* 2299422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2299428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2299431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299435 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2299512), // Rule ID 54792 //
     /* 2299440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299483 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2299486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299511 */     // GIR_Coverage, 54792,
     /* 2299511 */     GIR_EraseRootFromParent_Done,
     /* 2299512 */   // Label 31535: @2299512
     /* 2299512 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2299589), // Rule ID 54793 //
     /* 2299517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299560 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2299563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299588 */     // GIR_Coverage, 54793,
     /* 2299588 */     GIR_EraseRootFromParent_Done,
     /* 2299589 */   // Label 31536: @2299589
     /* 2299589 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2299666), // Rule ID 72214 //
     /* 2299594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299637 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2299640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299665 */     // GIR_Coverage, 72214,
     /* 2299665 */     GIR_EraseRootFromParent_Done,
     /* 2299666 */   // Label 31537: @2299666
     /* 2299666 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2299743), // Rule ID 72215 //
     /* 2299671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299714 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2299717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299742 */     // GIR_Coverage, 72215,
     /* 2299742 */     GIR_EraseRootFromParent_Done,
     /* 2299743 */   // Label 31538: @2299743
     /* 2299743 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2299805), // Rule ID 54796 //
     /* 2299748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299778 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2299781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299804 */     // GIR_Coverage, 54796,
     /* 2299804 */     GIR_EraseRootFromParent_Done,
     /* 2299805 */   // Label 31539: @2299805
     /* 2299805 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2299867), // Rule ID 54797 //
     /* 2299810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299840 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2299843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299866 */     // GIR_Coverage, 54797,
     /* 2299866 */     GIR_EraseRootFromParent_Done,
     /* 2299867 */   // Label 31540: @2299867
     /* 2299867 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2299929), // Rule ID 72218 //
     /* 2299872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299902 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2299905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299928 */     // GIR_Coverage, 72218,
     /* 2299928 */     GIR_EraseRootFromParent_Done,
     /* 2299929 */   // Label 31541: @2299929
     /* 2299929 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2299991), // Rule ID 72219 //
     /* 2299934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299964 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2299967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299990 */     // GIR_Coverage, 72219,
     /* 2299990 */     GIR_EraseRootFromParent_Done,
     /* 2299991 */   // Label 31542: @2299991
     /* 2299991 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2300053), // Rule ID 54788 //
     /* 2299996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2300019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300026 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2300029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300052 */     // GIR_Coverage, 54788,
     /* 2300052 */     GIR_EraseRootFromParent_Done,
     /* 2300053 */   // Label 31543: @2300053
     /* 2300053 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2300115), // Rule ID 54789 //
     /* 2300058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2300081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300088 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2300091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300114 */     // GIR_Coverage, 54789,
     /* 2300114 */     GIR_EraseRootFromParent_Done,
     /* 2300115 */   // Label 31544: @2300115
     /* 2300115 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2300160), // Rule ID 54784 //
     /* 2300120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300135 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2300138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300159 */     // GIR_Coverage, 54784,
     /* 2300159 */     GIR_EraseRootFromParent_Done,
     /* 2300160 */   // Label 31545: @2300160
     /* 2300160 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2300205), // Rule ID 54785 //
     /* 2300165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300180 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2300183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300204 */     // GIR_Coverage, 54785,
     /* 2300204 */     GIR_EraseRootFromParent_Done,
     /* 2300205 */   // Label 31546: @2300205
     /* 2300205 */   GIM_Reject,
     /* 2300206 */ // Label 31534: @2300206
     /* 2300206 */ GIM_Reject,
     /* 2300207 */ // Label 31402: @2300207
     /* 2300207 */ GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2300996),
     /* 2300212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2300218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2300221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300225 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2300302), // Rule ID 54984 //
     /* 2300230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300273 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2300276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300301 */     // GIR_Coverage, 54984,
     /* 2300301 */     GIR_EraseRootFromParent_Done,
     /* 2300302 */   // Label 31548: @2300302
     /* 2300302 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2300379), // Rule ID 54985 //
     /* 2300307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300350 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2300353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300378 */     // GIR_Coverage, 54985,
     /* 2300378 */     GIR_EraseRootFromParent_Done,
     /* 2300379 */   // Label 31549: @2300379
     /* 2300379 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2300456), // Rule ID 72382 //
     /* 2300384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300427 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2300430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300455 */     // GIR_Coverage, 72382,
     /* 2300455 */     GIR_EraseRootFromParent_Done,
     /* 2300456 */   // Label 31550: @2300456
     /* 2300456 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2300533), // Rule ID 72383 //
     /* 2300461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300504 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2300507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300532 */     // GIR_Coverage, 72383,
     /* 2300532 */     GIR_EraseRootFromParent_Done,
     /* 2300533 */   // Label 31551: @2300533
     /* 2300533 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2300595), // Rule ID 54988 //
     /* 2300538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300568 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2300571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300594 */     // GIR_Coverage, 54988,
     /* 2300594 */     GIR_EraseRootFromParent_Done,
     /* 2300595 */   // Label 31552: @2300595
     /* 2300595 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2300657), // Rule ID 54989 //
     /* 2300600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300630 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2300633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300656 */     // GIR_Coverage, 54989,
     /* 2300656 */     GIR_EraseRootFromParent_Done,
     /* 2300657 */   // Label 31553: @2300657
     /* 2300657 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2300719), // Rule ID 72386 //
     /* 2300662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300692 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2300695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300718 */     // GIR_Coverage, 72386,
     /* 2300718 */     GIR_EraseRootFromParent_Done,
     /* 2300719 */   // Label 31554: @2300719
     /* 2300719 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2300781), // Rule ID 72387 //
     /* 2300724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300754 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2300757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300780 */     // GIR_Coverage, 72387,
     /* 2300780 */     GIR_EraseRootFromParent_Done,
     /* 2300781 */   // Label 31555: @2300781
     /* 2300781 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2300843), // Rule ID 54980 //
     /* 2300786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300816 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2300819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300842 */     // GIR_Coverage, 54980,
     /* 2300842 */     GIR_EraseRootFromParent_Done,
     /* 2300843 */   // Label 31556: @2300843
     /* 2300843 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2300905), // Rule ID 54981 //
     /* 2300848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300878 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2300881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300904 */     // GIR_Coverage, 54981,
     /* 2300904 */     GIR_EraseRootFromParent_Done,
     /* 2300905 */   // Label 31557: @2300905
     /* 2300905 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2300950), // Rule ID 54976 //
     /* 2300910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300925 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2300928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300949 */     // GIR_Coverage, 54976,
     /* 2300949 */     GIR_EraseRootFromParent_Done,
     /* 2300950 */   // Label 31558: @2300950
     /* 2300950 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2300995), // Rule ID 54977 //
     /* 2300955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300970 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2300973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300994 */     // GIR_Coverage, 54977,
     /* 2300994 */     GIR_EraseRootFromParent_Done,
     /* 2300995 */   // Label 31559: @2300995
     /* 2300995 */   GIM_Reject,
     /* 2300996 */ // Label 31547: @2300996
     /* 2300996 */ GIM_Reject,
     /* 2300997 */ // Label 31403: @2300997
     /* 2300997 */ GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2301786),
     /* 2301002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2301008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2301011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301015 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2301092), // Rule ID 55496 //
     /* 2301020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301063 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2301066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301091 */     // GIR_Coverage, 55496,
     /* 2301091 */     GIR_EraseRootFromParent_Done,
     /* 2301092 */   // Label 31561: @2301092
     /* 2301092 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2301169), // Rule ID 55497 //
     /* 2301097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301133 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301138 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301140 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2301143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301168 */     // GIR_Coverage, 55497,
     /* 2301168 */     GIR_EraseRootFromParent_Done,
     /* 2301169 */   // Label 31562: @2301169
     /* 2301169 */   GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2301246), // Rule ID 72830 //
     /* 2301174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301217 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2301220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301245 */     // GIR_Coverage, 72830,
     /* 2301245 */     GIR_EraseRootFromParent_Done,
     /* 2301246 */   // Label 31563: @2301246
     /* 2301246 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2301323), // Rule ID 72831 //
     /* 2301251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301294 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2301297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301322 */     // GIR_Coverage, 72831,
     /* 2301322 */     GIR_EraseRootFromParent_Done,
     /* 2301323 */   // Label 31564: @2301323
     /* 2301323 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2301385), // Rule ID 55500 //
     /* 2301328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301358 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2301361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301384 */     // GIR_Coverage, 55500,
     /* 2301384 */     GIR_EraseRootFromParent_Done,
     /* 2301385 */   // Label 31565: @2301385
     /* 2301385 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2301447), // Rule ID 55501 //
     /* 2301390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301420 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2301423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301446 */     // GIR_Coverage, 55501,
     /* 2301446 */     GIR_EraseRootFromParent_Done,
     /* 2301447 */   // Label 31566: @2301447
     /* 2301447 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2301509), // Rule ID 72834 //
     /* 2301452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301482 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2301485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301508 */     // GIR_Coverage, 72834,
     /* 2301508 */     GIR_EraseRootFromParent_Done,
     /* 2301509 */   // Label 31567: @2301509
     /* 2301509 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2301571), // Rule ID 72835 //
     /* 2301514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301544 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2301547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301570 */     // GIR_Coverage, 72835,
     /* 2301570 */     GIR_EraseRootFromParent_Done,
     /* 2301571 */   // Label 31568: @2301571
     /* 2301571 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2301633), // Rule ID 55492 //
     /* 2301576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301606 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2301609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301632 */     // GIR_Coverage, 55492,
     /* 2301632 */     GIR_EraseRootFromParent_Done,
     /* 2301633 */   // Label 31569: @2301633
     /* 2301633 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2301695), // Rule ID 55493 //
     /* 2301638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301668 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2301671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301694 */     // GIR_Coverage, 55493,
     /* 2301694 */     GIR_EraseRootFromParent_Done,
     /* 2301695 */   // Label 31570: @2301695
     /* 2301695 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2301740), // Rule ID 55488 //
     /* 2301700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301715 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2301718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301739 */     // GIR_Coverage, 55488,
     /* 2301739 */     GIR_EraseRootFromParent_Done,
     /* 2301740 */   // Label 31571: @2301740
     /* 2301740 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2301785), // Rule ID 55489 //
     /* 2301745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301760 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2301763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301784 */     // GIR_Coverage, 55489,
     /* 2301784 */     GIR_EraseRootFromParent_Done,
     /* 2301785 */   // Label 31572: @2301785
     /* 2301785 */   GIM_Reject,
     /* 2301786 */ // Label 31560: @2301786
     /* 2301786 */ GIM_Reject,
     /* 2301787 */ // Label 31404: @2301787
     /* 2301787 */ GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2302576),
     /* 2301792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2301798 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2301801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301805 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2301882), // Rule ID 54920 //
     /* 2301810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301853 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2301856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301881 */     // GIR_Coverage, 54920,
     /* 2301881 */     GIR_EraseRootFromParent_Done,
     /* 2301882 */   // Label 31574: @2301882
     /* 2301882 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2301959), // Rule ID 54921 //
     /* 2301887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301930 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2301933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301958 */     // GIR_Coverage, 54921,
     /* 2301958 */     GIR_EraseRootFromParent_Done,
     /* 2301959 */   // Label 31575: @2301959
     /* 2301959 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2302036), // Rule ID 72326 //
     /* 2301964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302007 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2302010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302035 */     // GIR_Coverage, 72326,
     /* 2302035 */     GIR_EraseRootFromParent_Done,
     /* 2302036 */   // Label 31576: @2302036
     /* 2302036 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2302113), // Rule ID 72327 //
     /* 2302041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302084 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2302087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302112 */     // GIR_Coverage, 72327,
     /* 2302112 */     GIR_EraseRootFromParent_Done,
     /* 2302113 */   // Label 31577: @2302113
     /* 2302113 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2302175), // Rule ID 54924 //
     /* 2302118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302148 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2302151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302174 */     // GIR_Coverage, 54924,
     /* 2302174 */     GIR_EraseRootFromParent_Done,
     /* 2302175 */   // Label 31578: @2302175
     /* 2302175 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2302237), // Rule ID 54925 //
     /* 2302180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302210 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2302213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302236 */     // GIR_Coverage, 54925,
     /* 2302236 */     GIR_EraseRootFromParent_Done,
     /* 2302237 */   // Label 31579: @2302237
     /* 2302237 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2302299), // Rule ID 72330 //
     /* 2302242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302272 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2302275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302298 */     // GIR_Coverage, 72330,
     /* 2302298 */     GIR_EraseRootFromParent_Done,
     /* 2302299 */   // Label 31580: @2302299
     /* 2302299 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2302361), // Rule ID 72331 //
     /* 2302304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302334 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2302337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302360 */     // GIR_Coverage, 72331,
     /* 2302360 */     GIR_EraseRootFromParent_Done,
     /* 2302361 */   // Label 31581: @2302361
     /* 2302361 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2302423), // Rule ID 54916 //
     /* 2302366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302396 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2302399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302422 */     // GIR_Coverage, 54916,
     /* 2302422 */     GIR_EraseRootFromParent_Done,
     /* 2302423 */   // Label 31582: @2302423
     /* 2302423 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2302485), // Rule ID 54917 //
     /* 2302428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302458 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2302461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302484 */     // GIR_Coverage, 54917,
     /* 2302484 */     GIR_EraseRootFromParent_Done,
     /* 2302485 */   // Label 31583: @2302485
     /* 2302485 */   GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2302530), // Rule ID 54912 //
     /* 2302490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302505 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2302508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302529 */     // GIR_Coverage, 54912,
     /* 2302529 */     GIR_EraseRootFromParent_Done,
     /* 2302530 */   // Label 31584: @2302530
     /* 2302530 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2302575), // Rule ID 54913 //
     /* 2302535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302550 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2302553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302574 */     // GIR_Coverage, 54913,
     /* 2302574 */     GIR_EraseRootFromParent_Done,
     /* 2302575 */   // Label 31585: @2302575
     /* 2302575 */   GIM_Reject,
     /* 2302576 */ // Label 31573: @2302576
     /* 2302576 */ GIM_Reject,
     /* 2302577 */ // Label 31405: @2302577
     /* 2302577 */ GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2303366),
     /* 2302582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2302588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2302591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302595 */   GIM_Try, /*On fail goto*//*Label 31587*/ GIMT_Encode4(2302672), // Rule ID 55304 //
     /* 2302600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302636 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302643 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2302646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302671 */     // GIR_Coverage, 55304,
     /* 2302671 */     GIR_EraseRootFromParent_Done,
     /* 2302672 */   // Label 31587: @2302672
     /* 2302672 */   GIM_Try, /*On fail goto*//*Label 31588*/ GIMT_Encode4(2302749), // Rule ID 55305 //
     /* 2302677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302713 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302720 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2302723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302748 */     // GIR_Coverage, 55305,
     /* 2302748 */     GIR_EraseRootFromParent_Done,
     /* 2302749 */   // Label 31588: @2302749
     /* 2302749 */   GIM_Try, /*On fail goto*//*Label 31589*/ GIMT_Encode4(2302826), // Rule ID 72662 //
     /* 2302754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302797 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2302800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302825 */     // GIR_Coverage, 72662,
     /* 2302825 */     GIR_EraseRootFromParent_Done,
     /* 2302826 */   // Label 31589: @2302826
     /* 2302826 */   GIM_Try, /*On fail goto*//*Label 31590*/ GIMT_Encode4(2302903), // Rule ID 72663 //
     /* 2302831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302874 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2302877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302902 */     // GIR_Coverage, 72663,
     /* 2302902 */     GIR_EraseRootFromParent_Done,
     /* 2302903 */   // Label 31590: @2302903
     /* 2302903 */   GIM_Try, /*On fail goto*//*Label 31591*/ GIMT_Encode4(2302965), // Rule ID 55308 //
     /* 2302908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302938 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2302941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302964 */     // GIR_Coverage, 55308,
     /* 2302964 */     GIR_EraseRootFromParent_Done,
     /* 2302965 */   // Label 31591: @2302965
     /* 2302965 */   GIM_Try, /*On fail goto*//*Label 31592*/ GIMT_Encode4(2303027), // Rule ID 55309 //
     /* 2302970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2302985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303000 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2303003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303026 */     // GIR_Coverage, 55309,
     /* 2303026 */     GIR_EraseRootFromParent_Done,
     /* 2303027 */   // Label 31592: @2303027
     /* 2303027 */   GIM_Try, /*On fail goto*//*Label 31593*/ GIMT_Encode4(2303089), // Rule ID 72666 //
     /* 2303032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2303051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303062 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2303065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303088 */     // GIR_Coverage, 72666,
     /* 2303088 */     GIR_EraseRootFromParent_Done,
     /* 2303089 */   // Label 31593: @2303089
     /* 2303089 */   GIM_Try, /*On fail goto*//*Label 31594*/ GIMT_Encode4(2303151), // Rule ID 72667 //
     /* 2303094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2303113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303124 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2303127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303150 */     // GIR_Coverage, 72667,
     /* 2303150 */     GIR_EraseRootFromParent_Done,
     /* 2303151 */   // Label 31594: @2303151
     /* 2303151 */   GIM_Try, /*On fail goto*//*Label 31595*/ GIMT_Encode4(2303213), // Rule ID 55300 //
     /* 2303156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2303179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303186 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2303189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303212 */     // GIR_Coverage, 55300,
     /* 2303212 */     GIR_EraseRootFromParent_Done,
     /* 2303213 */   // Label 31595: @2303213
     /* 2303213 */   GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2303275), // Rule ID 55301 //
     /* 2303218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2303241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303248 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2303251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303274 */     // GIR_Coverage, 55301,
     /* 2303274 */     GIR_EraseRootFromParent_Done,
     /* 2303275 */   // Label 31596: @2303275
     /* 2303275 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2303320), // Rule ID 55296 //
     /* 2303280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303295 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2303298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303319 */     // GIR_Coverage, 55296,
     /* 2303319 */     GIR_EraseRootFromParent_Done,
     /* 2303320 */   // Label 31597: @2303320
     /* 2303320 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2303365), // Rule ID 55297 //
     /* 2303325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303340 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2303343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303364 */     // GIR_Coverage, 55297,
     /* 2303364 */     GIR_EraseRootFromParent_Done,
     /* 2303365 */   // Label 31598: @2303365
     /* 2303365 */   GIM_Reject,
     /* 2303366 */ // Label 31586: @2303366
     /* 2303366 */ GIM_Reject,
     /* 2303367 */ // Label 31406: @2303367
     /* 2303367 */ GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2304156),
     /* 2303372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2303378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2303381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303385 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2303462), // Rule ID 55560 //
     /* 2303390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303433 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2303436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303461 */     // GIR_Coverage, 55560,
     /* 2303461 */     GIR_EraseRootFromParent_Done,
     /* 2303462 */   // Label 31600: @2303462
     /* 2303462 */   GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2303539), // Rule ID 55561 //
     /* 2303467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303510 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2303513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303538 */     // GIR_Coverage, 55561,
     /* 2303538 */     GIR_EraseRootFromParent_Done,
     /* 2303539 */   // Label 31601: @2303539
     /* 2303539 */   GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2303616), // Rule ID 72886 //
     /* 2303544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303587 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2303590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303615 */     // GIR_Coverage, 72886,
     /* 2303615 */     GIR_EraseRootFromParent_Done,
     /* 2303616 */   // Label 31602: @2303616
     /* 2303616 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2303693), // Rule ID 72887 //
     /* 2303621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2303649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303657 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2303664 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2303667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2303679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303692 */     // GIR_Coverage, 72887,
     /* 2303692 */     GIR_EraseRootFromParent_Done,
     /* 2303693 */   // Label 31603: @2303693
     /* 2303693 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2303755), // Rule ID 55564 //
     /* 2303698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303728 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2303731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303754 */     // GIR_Coverage, 55564,
     /* 2303754 */     GIR_EraseRootFromParent_Done,
     /* 2303755 */   // Label 31604: @2303755
     /* 2303755 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2303817), // Rule ID 55565 //
     /* 2303760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2303767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303790 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2303793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303816 */     // GIR_Coverage, 55565,
     /* 2303816 */     GIR_EraseRootFromParent_Done,
     /* 2303817 */   // Label 31605: @2303817
     /* 2303817 */   GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2303879), // Rule ID 72890 //
     /* 2303822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303852 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2303855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303878 */     // GIR_Coverage, 72890,
     /* 2303878 */     GIR_EraseRootFromParent_Done,
     /* 2303879 */   // Label 31606: @2303879
     /* 2303879 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2303941), // Rule ID 72891 //
     /* 2303884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2303895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303914 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2303914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2303917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2303925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2303939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303940 */     // GIR_Coverage, 72891,
     /* 2303940 */     GIR_EraseRootFromParent_Done,
     /* 2303941 */   // Label 31607: @2303941
     /* 2303941 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2304003), // Rule ID 55556 //
     /* 2303946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2303965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303976 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2303976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2303979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2303983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2303989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304002 */     // GIR_Coverage, 55556,
     /* 2304002 */     GIR_EraseRootFromParent_Done,
     /* 2304003 */   // Label 31608: @2304003
     /* 2304003 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2304065), // Rule ID 55557 //
     /* 2304008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2304031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304038 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2304041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304064 */     // GIR_Coverage, 55557,
     /* 2304064 */     GIR_EraseRootFromParent_Done,
     /* 2304065 */   // Label 31609: @2304065
     /* 2304065 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2304110), // Rule ID 55552 //
     /* 2304070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304085 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2304088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304109 */     // GIR_Coverage, 55552,
     /* 2304109 */     GIR_EraseRootFromParent_Done,
     /* 2304110 */   // Label 31610: @2304110
     /* 2304110 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2304155), // Rule ID 55553 //
     /* 2304115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304130 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2304133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304154 */     // GIR_Coverage, 55553,
     /* 2304154 */     GIR_EraseRootFromParent_Done,
     /* 2304155 */   // Label 31611: @2304155
     /* 2304155 */   GIM_Reject,
     /* 2304156 */ // Label 31599: @2304156
     /* 2304156 */ GIM_Reject,
     /* 2304157 */ // Label 31407: @2304157
     /* 2304157 */ GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2304946),
     /* 2304162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2304168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2304171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304175 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2304252), // Rule ID 55112 //
     /* 2304180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304223 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2304226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304251 */     // GIR_Coverage, 55112,
     /* 2304251 */     GIR_EraseRootFromParent_Done,
     /* 2304252 */   // Label 31613: @2304252
     /* 2304252 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2304329), // Rule ID 55113 //
     /* 2304257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304300 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2304303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304328 */     // GIR_Coverage, 55113,
     /* 2304328 */     GIR_EraseRootFromParent_Done,
     /* 2304329 */   // Label 31614: @2304329
     /* 2304329 */   GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2304406), // Rule ID 72494 //
     /* 2304334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304377 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2304380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304405 */     // GIR_Coverage, 72494,
     /* 2304405 */     GIR_EraseRootFromParent_Done,
     /* 2304406 */   // Label 31615: @2304406
     /* 2304406 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2304483), // Rule ID 72495 //
     /* 2304411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2304454 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2304457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2304469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304482 */     // GIR_Coverage, 72495,
     /* 2304482 */     GIR_EraseRootFromParent_Done,
     /* 2304483 */   // Label 31616: @2304483
     /* 2304483 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2304545), // Rule ID 55116 //
     /* 2304488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304518 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2304521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304544 */     // GIR_Coverage, 55116,
     /* 2304544 */     GIR_EraseRootFromParent_Done,
     /* 2304545 */   // Label 31617: @2304545
     /* 2304545 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2304607), // Rule ID 55117 //
     /* 2304550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304580 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2304583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304606 */     // GIR_Coverage, 55117,
     /* 2304606 */     GIR_EraseRootFromParent_Done,
     /* 2304607 */   // Label 31618: @2304607
     /* 2304607 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2304669), // Rule ID 72498 //
     /* 2304612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304642 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2304645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304668 */     // GIR_Coverage, 72498,
     /* 2304668 */     GIR_EraseRootFromParent_Done,
     /* 2304669 */   // Label 31619: @2304669
     /* 2304669 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2304731), // Rule ID 72499 //
     /* 2304674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2304685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304704 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2304707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2304715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304730 */     // GIR_Coverage, 72499,
     /* 2304730 */     GIR_EraseRootFromParent_Done,
     /* 2304731 */   // Label 31620: @2304731
     /* 2304731 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2304793), // Rule ID 55108 //
     /* 2304736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304766 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2304769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304792 */     // GIR_Coverage, 55108,
     /* 2304792 */     GIR_EraseRootFromParent_Done,
     /* 2304793 */   // Label 31621: @2304793
     /* 2304793 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2304855), // Rule ID 55109 //
     /* 2304798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304828 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2304831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2304841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304854 */     // GIR_Coverage, 55109,
     /* 2304854 */     GIR_EraseRootFromParent_Done,
     /* 2304855 */   // Label 31622: @2304855
     /* 2304855 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2304900), // Rule ID 55104 //
     /* 2304860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304875 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2304875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2304878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304899 */     // GIR_Coverage, 55104,
     /* 2304899 */     GIR_EraseRootFromParent_Done,
     /* 2304900 */   // Label 31623: @2304900
     /* 2304900 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2304945), // Rule ID 55105 //
     /* 2304905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304920 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2304920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2304923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2304927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304944 */     // GIR_Coverage, 55105,
     /* 2304944 */     GIR_EraseRootFromParent_Done,
     /* 2304945 */   // Label 31624: @2304945
     /* 2304945 */   GIM_Reject,
     /* 2304946 */ // Label 31612: @2304946
     /* 2304946 */ GIM_Reject,
     /* 2304947 */ // Label 31408: @2304947
     /* 2304947 */ GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2305736),
     /* 2304952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2304955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2304958 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2304961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304965 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2305042), // Rule ID 55368 //
     /* 2304970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2304977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2304981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2304985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2304998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305013 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2305016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305041 */     // GIR_Coverage, 55368,
     /* 2305041 */     GIR_EraseRootFromParent_Done,
     /* 2305042 */   // Label 31626: @2305042
     /* 2305042 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2305119), // Rule ID 55369 //
     /* 2305047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305090 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2305093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305118 */     // GIR_Coverage, 55369,
     /* 2305118 */     GIR_EraseRootFromParent_Done,
     /* 2305119 */   // Label 31627: @2305119
     /* 2305119 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2305196), // Rule ID 72718 //
     /* 2305124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305167 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2305170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305195 */     // GIR_Coverage, 72718,
     /* 2305195 */     GIR_EraseRootFromParent_Done,
     /* 2305196 */   // Label 31628: @2305196
     /* 2305196 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2305273), // Rule ID 72719 //
     /* 2305201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305244 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2305247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305272 */     // GIR_Coverage, 72719,
     /* 2305272 */     GIR_EraseRootFromParent_Done,
     /* 2305273 */   // Label 31629: @2305273
     /* 2305273 */   GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2305335), // Rule ID 55372 //
     /* 2305278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305308 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2305311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305334 */     // GIR_Coverage, 55372,
     /* 2305334 */     GIR_EraseRootFromParent_Done,
     /* 2305335 */   // Label 31630: @2305335
     /* 2305335 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2305397), // Rule ID 55373 //
     /* 2305340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305370 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2305373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305396 */     // GIR_Coverage, 55373,
     /* 2305396 */     GIR_EraseRootFromParent_Done,
     /* 2305397 */   // Label 31631: @2305397
     /* 2305397 */   GIM_Try, /*On fail goto*//*Label 31632*/ GIMT_Encode4(2305459), // Rule ID 72722 //
     /* 2305402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305432 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2305435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305458 */     // GIR_Coverage, 72722,
     /* 2305458 */     GIR_EraseRootFromParent_Done,
     /* 2305459 */   // Label 31632: @2305459
     /* 2305459 */   GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2305521), // Rule ID 72723 //
     /* 2305464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305494 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2305497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305520 */     // GIR_Coverage, 72723,
     /* 2305520 */     GIR_EraseRootFromParent_Done,
     /* 2305521 */   // Label 31633: @2305521
     /* 2305521 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2305583), // Rule ID 55364 //
     /* 2305526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305556 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2305559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2305569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305582 */     // GIR_Coverage, 55364,
     /* 2305582 */     GIR_EraseRootFromParent_Done,
     /* 2305583 */   // Label 31634: @2305583
     /* 2305583 */   GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2305645), // Rule ID 55365 //
     /* 2305588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305618 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2305621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2305631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305644 */     // GIR_Coverage, 55365,
     /* 2305644 */     GIR_EraseRootFromParent_Done,
     /* 2305645 */   // Label 31635: @2305645
     /* 2305645 */   GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2305690), // Rule ID 55360 //
     /* 2305650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305665 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2305668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305689 */     // GIR_Coverage, 55360,
     /* 2305689 */     GIR_EraseRootFromParent_Done,
     /* 2305690 */   // Label 31636: @2305690
     /* 2305690 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2305735), // Rule ID 55361 //
     /* 2305695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305710 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2305713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305734 */     // GIR_Coverage, 55361,
     /* 2305734 */     GIR_EraseRootFromParent_Done,
     /* 2305735 */   // Label 31637: @2305735
     /* 2305735 */   GIM_Reject,
     /* 2305736 */ // Label 31625: @2305736
     /* 2305736 */ GIM_Reject,
     /* 2305737 */ // Label 31409: @2305737
     /* 2305737 */ GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2306526),
     /* 2305742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2305748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2305751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305755 */   GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2305832), // Rule ID 55624 //
     /* 2305760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305803 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2305806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305831 */     // GIR_Coverage, 55624,
     /* 2305831 */     GIR_EraseRootFromParent_Done,
     /* 2305832 */   // Label 31639: @2305832
     /* 2305832 */   GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2305909), // Rule ID 55625 //
     /* 2305837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2305844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305880 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2305880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2305883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2305887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305908 */     // GIR_Coverage, 55625,
     /* 2305908 */     GIR_EraseRootFromParent_Done,
     /* 2305909 */   // Label 31640: @2305909
     /* 2305909 */   GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2305986), // Rule ID 72942 //
     /* 2305914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2305925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2305942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2305946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2305957 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2305957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2305960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2305968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2305972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305985 */     // GIR_Coverage, 72942,
     /* 2305985 */     GIR_EraseRootFromParent_Done,
     /* 2305986 */   // Label 31641: @2305986
     /* 2305986 */   GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2306063), // Rule ID 72943 //
     /* 2305991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306034 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2306037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306062 */     // GIR_Coverage, 72943,
     /* 2306062 */     GIR_EraseRootFromParent_Done,
     /* 2306063 */   // Label 31642: @2306063
     /* 2306063 */   GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2306125), // Rule ID 55628 //
     /* 2306068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306098 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2306101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306124 */     // GIR_Coverage, 55628,
     /* 2306124 */     GIR_EraseRootFromParent_Done,
     /* 2306125 */   // Label 31643: @2306125
     /* 2306125 */   GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2306187), // Rule ID 55629 //
     /* 2306130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306160 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2306163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306186 */     // GIR_Coverage, 55629,
     /* 2306186 */     GIR_EraseRootFromParent_Done,
     /* 2306187 */   // Label 31644: @2306187
     /* 2306187 */   GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2306249), // Rule ID 72946 //
     /* 2306192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306222 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2306225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306248 */     // GIR_Coverage, 72946,
     /* 2306248 */     GIR_EraseRootFromParent_Done,
     /* 2306249 */   // Label 31645: @2306249
     /* 2306249 */   GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2306311), // Rule ID 72947 //
     /* 2306254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306284 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2306287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306310 */     // GIR_Coverage, 72947,
     /* 2306310 */     GIR_EraseRootFromParent_Done,
     /* 2306311 */   // Label 31646: @2306311
     /* 2306311 */   GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2306373), // Rule ID 55620 //
     /* 2306316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306346 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2306349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2306359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306372 */     // GIR_Coverage, 55620,
     /* 2306372 */     GIR_EraseRootFromParent_Done,
     /* 2306373 */   // Label 31647: @2306373
     /* 2306373 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2306435), // Rule ID 55621 //
     /* 2306378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306408 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2306411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2306421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306434 */     // GIR_Coverage, 55621,
     /* 2306434 */     GIR_EraseRootFromParent_Done,
     /* 2306435 */   // Label 31648: @2306435
     /* 2306435 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2306480), // Rule ID 55616 //
     /* 2306440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306455 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2306458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306479 */     // GIR_Coverage, 55616,
     /* 2306479 */     GIR_EraseRootFromParent_Done,
     /* 2306480 */   // Label 31649: @2306480
     /* 2306480 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2306525), // Rule ID 55617 //
     /* 2306485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306500 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2306503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306524 */     // GIR_Coverage, 55617,
     /* 2306524 */     GIR_EraseRootFromParent_Done,
     /* 2306525 */   // Label 31650: @2306525
     /* 2306525 */   GIM_Reject,
     /* 2306526 */ // Label 31638: @2306526
     /* 2306526 */ GIM_Reject,
     /* 2306527 */ // Label 31410: @2306527
     /* 2306527 */ GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2307316),
     /* 2306532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2306538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2306541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306545 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2306622), // Rule ID 55176 //
     /* 2306550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306593 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2306596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306621 */     // GIR_Coverage, 55176,
     /* 2306621 */     GIR_EraseRootFromParent_Done,
     /* 2306622 */   // Label 31652: @2306622
     /* 2306622 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2306699), // Rule ID 55177 //
     /* 2306627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306670 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2306673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306698 */     // GIR_Coverage, 55177,
     /* 2306698 */     GIR_EraseRootFromParent_Done,
     /* 2306699 */   // Label 31653: @2306699
     /* 2306699 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2306776), // Rule ID 72550 //
     /* 2306704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306747 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2306750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306775 */     // GIR_Coverage, 72550,
     /* 2306775 */     GIR_EraseRootFromParent_Done,
     /* 2306776 */   // Label 31654: @2306776
     /* 2306776 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2306853), // Rule ID 72551 //
     /* 2306781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306824 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2306827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2306839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306852 */     // GIR_Coverage, 72551,
     /* 2306852 */     GIR_EraseRootFromParent_Done,
     /* 2306853 */   // Label 31655: @2306853
     /* 2306853 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2306915), // Rule ID 55180 //
     /* 2306858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306888 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2306888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2306891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306914 */     // GIR_Coverage, 55180,
     /* 2306914 */     GIR_EraseRootFromParent_Done,
     /* 2306915 */   // Label 31656: @2306915
     /* 2306915 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2306977), // Rule ID 55181 //
     /* 2306920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306950 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2306950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2306953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2306957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2306975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306976 */     // GIR_Coverage, 55181,
     /* 2306976 */     GIR_EraseRootFromParent_Done,
     /* 2306977 */   // Label 31657: @2306977
     /* 2306977 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2307039), // Rule ID 72554 //
     /* 2306982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2307001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307012 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2307015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307038 */     // GIR_Coverage, 72554,
     /* 2307038 */     GIR_EraseRootFromParent_Done,
     /* 2307039 */   // Label 31658: @2307039
     /* 2307039 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2307101), // Rule ID 72555 //
     /* 2307044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2307063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307074 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2307077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307100 */     // GIR_Coverage, 72555,
     /* 2307100 */     GIR_EraseRootFromParent_Done,
     /* 2307101 */   // Label 31659: @2307101
     /* 2307101 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2307163), // Rule ID 55172 //
     /* 2307106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2307129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307136 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2307139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2307149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307162 */     // GIR_Coverage, 55172,
     /* 2307162 */     GIR_EraseRootFromParent_Done,
     /* 2307163 */   // Label 31660: @2307163
     /* 2307163 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2307225), // Rule ID 55173 //
     /* 2307168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2307191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307198 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2307201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2307211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307224 */     // GIR_Coverage, 55173,
     /* 2307224 */     GIR_EraseRootFromParent_Done,
     /* 2307225 */   // Label 31661: @2307225
     /* 2307225 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2307270), // Rule ID 55168 //
     /* 2307230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307245 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2307248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307269 */     // GIR_Coverage, 55168,
     /* 2307269 */     GIR_EraseRootFromParent_Done,
     /* 2307270 */   // Label 31662: @2307270
     /* 2307270 */   GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2307315), // Rule ID 55169 //
     /* 2307275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307290 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2307293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307314 */     // GIR_Coverage, 55169,
     /* 2307314 */     GIR_EraseRootFromParent_Done,
     /* 2307315 */   // Label 31663: @2307315
     /* 2307315 */   GIM_Reject,
     /* 2307316 */ // Label 31651: @2307316
     /* 2307316 */ GIM_Reject,
     /* 2307317 */ // Label 31411: @2307317
     /* 2307317 */ GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2308106),
     /* 2307322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2307328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2307331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307335 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2307412), // Rule ID 55432 //
     /* 2307340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307383 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2307386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307411 */     // GIR_Coverage, 55432,
     /* 2307411 */     GIR_EraseRootFromParent_Done,
     /* 2307412 */   // Label 31665: @2307412
     /* 2307412 */   GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2307489), // Rule ID 55433 //
     /* 2307417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307460 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2307463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307488 */     // GIR_Coverage, 55433,
     /* 2307488 */     GIR_EraseRootFromParent_Done,
     /* 2307489 */   // Label 31666: @2307489
     /* 2307489 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2307566), // Rule ID 72774 //
     /* 2307494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307537 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2307540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307565 */     // GIR_Coverage, 72774,
     /* 2307565 */     GIR_EraseRootFromParent_Done,
     /* 2307566 */   // Label 31667: @2307566
     /* 2307566 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2307643), // Rule ID 72775 //
     /* 2307571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307614 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2307617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2307629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307642 */     // GIR_Coverage, 72775,
     /* 2307642 */     GIR_EraseRootFromParent_Done,
     /* 2307643 */   // Label 31668: @2307643
     /* 2307643 */   GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2307705), // Rule ID 55436 //
     /* 2307648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307678 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2307681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307704 */     // GIR_Coverage, 55436,
     /* 2307704 */     GIR_EraseRootFromParent_Done,
     /* 2307705 */   // Label 31669: @2307705
     /* 2307705 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2307767), // Rule ID 55437 //
     /* 2307710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307740 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2307743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307766 */     // GIR_Coverage, 55437,
     /* 2307766 */     GIR_EraseRootFromParent_Done,
     /* 2307767 */   // Label 31670: @2307767
     /* 2307767 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2307829), // Rule ID 72778 //
     /* 2307772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307802 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2307805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307828 */     // GIR_Coverage, 72778,
     /* 2307828 */     GIR_EraseRootFromParent_Done,
     /* 2307829 */   // Label 31671: @2307829
     /* 2307829 */   GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2307891), // Rule ID 72779 //
     /* 2307834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307864 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2307867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307890 */     // GIR_Coverage, 72779,
     /* 2307890 */     GIR_EraseRootFromParent_Done,
     /* 2307891 */   // Label 31672: @2307891
     /* 2307891 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2307953), // Rule ID 55428 //
     /* 2307896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2307899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307926 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2307926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2307929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2307939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2307951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307952 */     // GIR_Coverage, 55428,
     /* 2307952 */     GIR_EraseRootFromParent_Done,
     /* 2307953 */   // Label 31673: @2307953
     /* 2307953 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2308015), // Rule ID 55429 //
     /* 2307958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2307981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307988 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2307988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2307991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2307995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2308001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308014 */     // GIR_Coverage, 55429,
     /* 2308014 */     GIR_EraseRootFromParent_Done,
     /* 2308015 */   // Label 31674: @2308015
     /* 2308015 */   GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2308060), // Rule ID 55424 //
     /* 2308020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2308023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308035 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2308038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308059 */     // GIR_Coverage, 55424,
     /* 2308059 */     GIR_EraseRootFromParent_Done,
     /* 2308060 */   // Label 31675: @2308060
     /* 2308060 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2308105), // Rule ID 55425 //
     /* 2308065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2308068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308080 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2308083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308104 */     // GIR_Coverage, 55425,
     /* 2308104 */     GIR_EraseRootFromParent_Done,
     /* 2308105 */   // Label 31676: @2308105
     /* 2308105 */   GIM_Reject,
     /* 2308106 */ // Label 31664: @2308106
     /* 2308106 */ GIM_Reject,
     /* 2308107 */ // Label 31412: @2308107
     /* 2308107 */ GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2308896),
     /* 2308112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2308118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2308121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308125 */   GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2308202), // Rule ID 55240 //
     /* 2308130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308173 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2308176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308201 */     // GIR_Coverage, 55240,
     /* 2308201 */     GIR_EraseRootFromParent_Done,
     /* 2308202 */   // Label 31678: @2308202
     /* 2308202 */   GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2308279), // Rule ID 55241 //
     /* 2308207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308250 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2308253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308278 */     // GIR_Coverage, 55241,
     /* 2308278 */     GIR_EraseRootFromParent_Done,
     /* 2308279 */   // Label 31679: @2308279
     /* 2308279 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2308356), // Rule ID 72606 //
     /* 2308284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308327 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2308330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308355 */     // GIR_Coverage, 72606,
     /* 2308355 */     GIR_EraseRootFromParent_Done,
     /* 2308356 */   // Label 31680: @2308356
     /* 2308356 */   GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2308433), // Rule ID 72607 //
     /* 2308361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308404 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2308407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2308419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308432 */     // GIR_Coverage, 72607,
     /* 2308432 */     GIR_EraseRootFromParent_Done,
     /* 2308433 */   // Label 31681: @2308433
     /* 2308433 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2308495), // Rule ID 55244 //
     /* 2308438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308468 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2308471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308494 */     // GIR_Coverage, 55244,
     /* 2308494 */     GIR_EraseRootFromParent_Done,
     /* 2308495 */   // Label 31682: @2308495
     /* 2308495 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2308557), // Rule ID 55245 //
     /* 2308500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308530 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2308533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308556 */     // GIR_Coverage, 55245,
     /* 2308556 */     GIR_EraseRootFromParent_Done,
     /* 2308557 */   // Label 31683: @2308557
     /* 2308557 */   GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2308619), // Rule ID 72610 //
     /* 2308562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308592 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2308595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308618 */     // GIR_Coverage, 72610,
     /* 2308618 */     GIR_EraseRootFromParent_Done,
     /* 2308619 */   // Label 31684: @2308619
     /* 2308619 */   GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2308681), // Rule ID 72611 //
     /* 2308624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308654 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2308657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308680 */     // GIR_Coverage, 72611,
     /* 2308680 */     GIR_EraseRootFromParent_Done,
     /* 2308681 */   // Label 31685: @2308681
     /* 2308681 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2308743), // Rule ID 55236 //
     /* 2308686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308716 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2308719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2308729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308742 */     // GIR_Coverage, 55236,
     /* 2308742 */     GIR_EraseRootFromParent_Done,
     /* 2308743 */   // Label 31686: @2308743
     /* 2308743 */   GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2308805), // Rule ID 55237 //
     /* 2308748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2308771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308778 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2308781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2308791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308804 */     // GIR_Coverage, 55237,
     /* 2308804 */     GIR_EraseRootFromParent_Done,
     /* 2308805 */   // Label 31687: @2308805
     /* 2308805 */   GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2308850), // Rule ID 55232 //
     /* 2308810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2308813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308825 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2308825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2308828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308849 */     // GIR_Coverage, 55232,
     /* 2308849 */     GIR_EraseRootFromParent_Done,
     /* 2308850 */   // Label 31688: @2308850
     /* 2308850 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2308895), // Rule ID 55233 //
     /* 2308855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2308858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308870 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2308870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2308873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2308877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2308893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308894 */     // GIR_Coverage, 55233,
     /* 2308894 */     GIR_EraseRootFromParent_Done,
     /* 2308895 */   // Label 31689: @2308895
     /* 2308895 */   GIM_Reject,
     /* 2308896 */ // Label 31677: @2308896
     /* 2308896 */ GIM_Reject,
     /* 2308897 */ // Label 31413: @2308897
     /* 2308897 */ GIM_Reject,
     /* 2308898 */ // Label 63: @2308898
     /* 2308898 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31708*/ GIMT_Encode4(2311325),
     /* 2308909 */ /*GILLT_s16*//*Label 31690*/ GIMT_Encode4(2309029),
     /* 2308913 */ /*GILLT_s32*//*Label 31691*/ GIMT_Encode4(2309178),
     /* 2308917 */ /*GILLT_s64*//*Label 31692*/ GIMT_Encode4(2309327), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308929 */ /*GILLT_nxv1s16*//*Label 31693*/ GIMT_Encode4(2309510),
     /* 2308933 */ /*GILLT_nxv1s32*//*Label 31694*/ GIMT_Encode4(2309631),
     /* 2308937 */ /*GILLT_nxv1s64*//*Label 31695*/ GIMT_Encode4(2309752), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308949 */ /*GILLT_nxv2s16*//*Label 31696*/ GIMT_Encode4(2309873),
     /* 2308953 */ /*GILLT_nxv2s32*//*Label 31697*/ GIMT_Encode4(2309994),
     /* 2308957 */ /*GILLT_nxv2s64*//*Label 31698*/ GIMT_Encode4(2310115), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308969 */ /*GILLT_nxv4s16*//*Label 31699*/ GIMT_Encode4(2310236),
     /* 2308973 */ /*GILLT_nxv4s32*//*Label 31700*/ GIMT_Encode4(2310357),
     /* 2308977 */ /*GILLT_nxv4s64*//*Label 31701*/ GIMT_Encode4(2310478), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308989 */ /*GILLT_nxv8s16*//*Label 31702*/ GIMT_Encode4(2310599),
     /* 2308993 */ /*GILLT_nxv8s32*//*Label 31703*/ GIMT_Encode4(2310720),
     /* 2308997 */ /*GILLT_nxv8s64*//*Label 31704*/ GIMT_Encode4(2310841), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309009 */ /*GILLT_nxv16s16*//*Label 31705*/ GIMT_Encode4(2310962),
     /* 2309013 */ /*GILLT_nxv16s32*//*Label 31706*/ GIMT_Encode4(2311083), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2309025 */ /*GILLT_nxv32s16*//*Label 31707*/ GIMT_Encode4(2311204),
     /* 2309029 */ // Label 31690: @2309029
     /* 2309029 */ GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2309177),
     /* 2309034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2309040 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2309074), // Rule ID 1872 //
     /* 2309045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2309048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309060 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2309060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2309063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309073 */     // GIR_Coverage, 1872,
     /* 2309073 */     GIR_EraseRootFromParent_Done,
     /* 2309074 */   // Label 31710: @2309074
     /* 2309074 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2309108), // Rule ID 1873 //
     /* 2309079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2309082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309094 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2309094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2309097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309107 */     // GIR_Coverage, 1873,
     /* 2309107 */     GIR_EraseRootFromParent_Done,
     /* 2309108 */   // Label 31711: @2309108
     /* 2309108 */   GIM_Try, /*On fail goto*//*Label 31712*/ GIMT_Encode4(2309142), // Rule ID 1876 //
     /* 2309113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2309116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309128 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2309128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2309131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309141 */     // GIR_Coverage, 1876,
     /* 2309141 */     GIR_EraseRootFromParent_Done,
     /* 2309142 */   // Label 31712: @2309142
     /* 2309142 */   GIM_Try, /*On fail goto*//*Label 31713*/ GIMT_Encode4(2309176), // Rule ID 1877 //
     /* 2309147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2309150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309162 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2309162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2309165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309175 */     // GIR_Coverage, 1877,
     /* 2309175 */     GIR_EraseRootFromParent_Done,
     /* 2309176 */   // Label 31713: @2309176
     /* 2309176 */   GIM_Reject,
     /* 2309177 */ // Label 31709: @2309177
     /* 2309177 */ GIM_Reject,
     /* 2309178 */ // Label 31691: @2309178
     /* 2309178 */ GIM_Try, /*On fail goto*//*Label 31714*/ GIMT_Encode4(2309326),
     /* 2309183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2309189 */   GIM_Try, /*On fail goto*//*Label 31715*/ GIMT_Encode4(2309223), // Rule ID 1163 //
     /* 2309194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2309197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309209 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2309209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2309212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309222 */     // GIR_Coverage, 1163,
     /* 2309222 */     GIR_EraseRootFromParent_Done,
     /* 2309223 */   // Label 31715: @2309223
     /* 2309223 */   GIM_Try, /*On fail goto*//*Label 31716*/ GIMT_Encode4(2309257), // Rule ID 1164 //
     /* 2309228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2309231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309243 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2309243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2309246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309256 */     // GIR_Coverage, 1164,
     /* 2309256 */     GIR_EraseRootFromParent_Done,
     /* 2309257 */   // Label 31716: @2309257
     /* 2309257 */   GIM_Try, /*On fail goto*//*Label 31717*/ GIMT_Encode4(2309291), // Rule ID 1167 //
     /* 2309262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2309265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309277 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2309277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2309280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309290 */     // GIR_Coverage, 1167,
     /* 2309290 */     GIR_EraseRootFromParent_Done,
     /* 2309291 */   // Label 31717: @2309291
     /* 2309291 */   GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2309325), // Rule ID 1168 //
     /* 2309296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2309299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309311 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2309311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2309314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309324 */     // GIR_Coverage, 1168,
     /* 2309324 */     GIR_EraseRootFromParent_Done,
     /* 2309325 */   // Label 31718: @2309325
     /* 2309325 */   GIM_Reject,
     /* 2309326 */ // Label 31714: @2309326
     /* 2309326 */ GIM_Reject,
     /* 2309327 */ // Label 31692: @2309327
     /* 2309327 */ GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2309509),
     /* 2309332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2309338 */   GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2309372), // Rule ID 1504 //
     /* 2309343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309358 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2309358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2309361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309371 */     // GIR_Coverage, 1504,
     /* 2309371 */     GIR_EraseRootFromParent_Done,
     /* 2309372 */   // Label 31720: @2309372
     /* 2309372 */   GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2309406), // Rule ID 1505 //
     /* 2309377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309392 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2309392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2309395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309405 */     // GIR_Coverage, 1505,
     /* 2309405 */     GIR_EraseRootFromParent_Done,
     /* 2309406 */   // Label 31721: @2309406
     /* 2309406 */   GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2309440), // Rule ID 1508 //
     /* 2309411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309426 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2309426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2309429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309439 */     // GIR_Coverage, 1508,
     /* 2309439 */     GIR_EraseRootFromParent_Done,
     /* 2309440 */   // Label 31722: @2309440
     /* 2309440 */   GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2309474), // Rule ID 1509 //
     /* 2309445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309460 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2309460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2309463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309473 */     // GIR_Coverage, 1509,
     /* 2309473 */     GIR_EraseRootFromParent_Done,
     /* 2309474 */   // Label 31723: @2309474
     /* 2309474 */   GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2309508), // Rule ID 1511 //
     /* 2309479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309494 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2309494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2309497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309507 */     // GIR_Coverage, 1511,
     /* 2309507 */     GIR_EraseRootFromParent_Done,
     /* 2309508 */   // Label 31724: @2309508
     /* 2309508 */   GIM_Reject,
     /* 2309509 */ // Label 31719: @2309509
     /* 2309509 */ GIM_Reject,
     /* 2309510 */ // Label 31693: @2309510
     /* 2309510 */ GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2309630),
     /* 2309515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2309521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309533 */   GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2309581), // Rule ID 54294 //
     /* 2309538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309541 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2309544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2309558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309580 */     // GIR_Coverage, 54294,
     /* 2309580 */     GIR_EraseRootFromParent_Done,
     /* 2309581 */   // Label 31726: @2309581
     /* 2309581 */   GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2309629), // Rule ID 54295 //
     /* 2309586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309589 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2309592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2309606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309628 */     // GIR_Coverage, 54295,
     /* 2309628 */     GIR_EraseRootFromParent_Done,
     /* 2309629 */   // Label 31727: @2309629
     /* 2309629 */   GIM_Reject,
     /* 2309630 */ // Label 31725: @2309630
     /* 2309630 */ GIM_Reject,
     /* 2309631 */ // Label 31694: @2309631
     /* 2309631 */ GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2309751),
     /* 2309636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2309639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2309642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309654 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2309702), // Rule ID 54318 //
     /* 2309659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2309662 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2309665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2309679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309701 */     // GIR_Coverage, 54318,
     /* 2309701 */     GIR_EraseRootFromParent_Done,
     /* 2309702 */   // Label 31729: @2309702
     /* 2309702 */   GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2309750), // Rule ID 54319 //
     /* 2309707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2309710 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2309713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2309727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309749 */     // GIR_Coverage, 54319,
     /* 2309749 */     GIR_EraseRootFromParent_Done,
     /* 2309750 */   // Label 31730: @2309750
     /* 2309750 */   GIM_Reject,
     /* 2309751 */ // Label 31728: @2309751
     /* 2309751 */ GIM_Reject,
     /* 2309752 */ // Label 31695: @2309752
     /* 2309752 */ GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2309872),
     /* 2309757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2309760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2309763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309775 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2309823), // Rule ID 54354 //
     /* 2309780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2309783 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2309786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2309800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309822 */     // GIR_Coverage, 54354,
     /* 2309822 */     GIR_EraseRootFromParent_Done,
     /* 2309823 */   // Label 31732: @2309823
     /* 2309823 */   GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2309871), // Rule ID 54355 //
     /* 2309828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2309831 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2309834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2309848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309870 */     // GIR_Coverage, 54355,
     /* 2309870 */     GIR_EraseRootFromParent_Done,
     /* 2309871 */   // Label 31733: @2309871
     /* 2309871 */   GIM_Reject,
     /* 2309872 */ // Label 31731: @2309872
     /* 2309872 */ GIM_Reject,
     /* 2309873 */ // Label 31696: @2309873
     /* 2309873 */ GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2309993),
     /* 2309878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2309881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2309884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309896 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2309944), // Rule ID 54306 //
     /* 2309901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2309904 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2309907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2309921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309943 */     // GIR_Coverage, 54306,
     /* 2309943 */     GIR_EraseRootFromParent_Done,
     /* 2309944 */   // Label 31735: @2309944
     /* 2309944 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2309992), // Rule ID 54307 //
     /* 2309949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2309952 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2309955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2309969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309991 */     // GIR_Coverage, 54307,
     /* 2309991 */     GIR_EraseRootFromParent_Done,
     /* 2309992 */   // Label 31736: @2309992
     /* 2309992 */   GIM_Reject,
     /* 2309993 */ // Label 31734: @2309993
     /* 2309993 */ GIM_Reject,
     /* 2309994 */ // Label 31697: @2309994
     /* 2309994 */ GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2310114),
     /* 2309999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2310002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2310005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310017 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2310065), // Rule ID 54342 //
     /* 2310022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310025 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2310042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310064 */     // GIR_Coverage, 54342,
     /* 2310064 */     GIR_EraseRootFromParent_Done,
     /* 2310065 */   // Label 31738: @2310065
     /* 2310065 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2310113), // Rule ID 54343 //
     /* 2310070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310073 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2310076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2310090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310112 */     // GIR_Coverage, 54343,
     /* 2310112 */     GIR_EraseRootFromParent_Done,
     /* 2310113 */   // Label 31739: @2310113
     /* 2310113 */   GIM_Reject,
     /* 2310114 */ // Label 31737: @2310114
     /* 2310114 */ GIM_Reject,
     /* 2310115 */ // Label 31698: @2310115
     /* 2310115 */ GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2310235),
     /* 2310120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2310123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2310126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310138 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2310186), // Rule ID 54438 //
     /* 2310143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2310146 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2310149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2310163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310185 */     // GIR_Coverage, 54438,
     /* 2310185 */     GIR_EraseRootFromParent_Done,
     /* 2310186 */   // Label 31741: @2310186
     /* 2310186 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2310234), // Rule ID 54439 //
     /* 2310191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2310194 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2310197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2310211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310233 */     // GIR_Coverage, 54439,
     /* 2310233 */     GIR_EraseRootFromParent_Done,
     /* 2310234 */   // Label 31742: @2310234
     /* 2310234 */   GIM_Reject,
     /* 2310235 */ // Label 31740: @2310235
     /* 2310235 */ GIM_Reject,
     /* 2310236 */ // Label 31699: @2310236
     /* 2310236 */ GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2310356),
     /* 2310241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2310244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2310247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310259 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2310307), // Rule ID 54330 //
     /* 2310264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2310267 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2310284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310306 */     // GIR_Coverage, 54330,
     /* 2310306 */     GIR_EraseRootFromParent_Done,
     /* 2310307 */   // Label 31744: @2310307
     /* 2310307 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2310355), // Rule ID 54331 //
     /* 2310312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2310315 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2310318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2310332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310354 */     // GIR_Coverage, 54331,
     /* 2310354 */     GIR_EraseRootFromParent_Done,
     /* 2310355 */   // Label 31745: @2310355
     /* 2310355 */   GIM_Reject,
     /* 2310356 */ // Label 31743: @2310356
     /* 2310356 */ GIM_Reject,
     /* 2310357 */ // Label 31700: @2310357
     /* 2310357 */ GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2310477),
     /* 2310362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2310365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2310368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310380 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2310428), // Rule ID 54402 //
     /* 2310385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310388 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2310405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310427 */     // GIR_Coverage, 54402,
     /* 2310427 */     GIR_EraseRootFromParent_Done,
     /* 2310428 */   // Label 31747: @2310428
     /* 2310428 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2310476), // Rule ID 54403 //
     /* 2310433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310436 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2310453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310475 */     // GIR_Coverage, 54403,
     /* 2310475 */     GIR_EraseRootFromParent_Done,
     /* 2310476 */   // Label 31748: @2310476
     /* 2310476 */   GIM_Reject,
     /* 2310477 */ // Label 31746: @2310477
     /* 2310477 */ GIM_Reject,
     /* 2310478 */ // Label 31701: @2310478
     /* 2310478 */ GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2310598),
     /* 2310483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2310486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2310489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310501 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2310549), // Rule ID 54450 //
     /* 2310506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2310509 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2310526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310548 */     // GIR_Coverage, 54450,
     /* 2310548 */     GIR_EraseRootFromParent_Done,
     /* 2310549 */   // Label 31750: @2310549
     /* 2310549 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2310597), // Rule ID 54451 //
     /* 2310554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2310557 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2310574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310596 */     // GIR_Coverage, 54451,
     /* 2310596 */     GIR_EraseRootFromParent_Done,
     /* 2310597 */   // Label 31751: @2310597
     /* 2310597 */   GIM_Reject,
     /* 2310598 */ // Label 31749: @2310598
     /* 2310598 */ GIM_Reject,
     /* 2310599 */ // Label 31702: @2310599
     /* 2310599 */ GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2310719),
     /* 2310604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2310607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2310610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310622 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2310670), // Rule ID 54366 //
     /* 2310627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2310630 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2310647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310669 */     // GIR_Coverage, 54366,
     /* 2310669 */     GIR_EraseRootFromParent_Done,
     /* 2310670 */   // Label 31753: @2310670
     /* 2310670 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2310718), // Rule ID 54367 //
     /* 2310675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2310678 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2310695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310717 */     // GIR_Coverage, 54367,
     /* 2310717 */     GIR_EraseRootFromParent_Done,
     /* 2310718 */   // Label 31754: @2310718
     /* 2310718 */   GIM_Reject,
     /* 2310719 */ // Label 31752: @2310719
     /* 2310719 */ GIM_Reject,
     /* 2310720 */ // Label 31703: @2310720
     /* 2310720 */ GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2310840),
     /* 2310725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2310731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310743 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2310791), // Rule ID 54414 //
     /* 2310748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2310751 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2310768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310790 */     // GIR_Coverage, 54414,
     /* 2310790 */     GIR_EraseRootFromParent_Done,
     /* 2310791 */   // Label 31756: @2310791
     /* 2310791 */   GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2310839), // Rule ID 54415 //
     /* 2310796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2310799 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2310816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310838 */     // GIR_Coverage, 54415,
     /* 2310838 */     GIR_EraseRootFromParent_Done,
     /* 2310839 */   // Label 31757: @2310839
     /* 2310839 */   GIM_Reject,
     /* 2310840 */ // Label 31755: @2310840
     /* 2310840 */ GIM_Reject,
     /* 2310841 */ // Label 31704: @2310841
     /* 2310841 */ GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2310961),
     /* 2310846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2310849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2310852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310864 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2310912), // Rule ID 54462 //
     /* 2310869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2310872 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2310875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2310889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310911 */     // GIR_Coverage, 54462,
     /* 2310911 */     GIR_EraseRootFromParent_Done,
     /* 2310912 */   // Label 31759: @2310912
     /* 2310912 */   GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2310960), // Rule ID 54463 //
     /* 2310917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2310920 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2310923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2310937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310959 */     // GIR_Coverage, 54463,
     /* 2310959 */     GIR_EraseRootFromParent_Done,
     /* 2310960 */   // Label 31760: @2310960
     /* 2310960 */   GIM_Reject,
     /* 2310961 */ // Label 31758: @2310961
     /* 2310961 */ GIM_Reject,
     /* 2310962 */ // Label 31705: @2310962
     /* 2310962 */ GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2311082),
     /* 2310967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2310970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2310973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310985 */   GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2311033), // Rule ID 54378 //
     /* 2310990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2310993 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2310996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2311010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311032 */     // GIR_Coverage, 54378,
     /* 2311032 */     GIR_EraseRootFromParent_Done,
     /* 2311033 */   // Label 31762: @2311033
     /* 2311033 */   GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2311081), // Rule ID 54379 //
     /* 2311038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311041 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2311044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2311058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311080 */     // GIR_Coverage, 54379,
     /* 2311080 */     GIR_EraseRootFromParent_Done,
     /* 2311081 */   // Label 31763: @2311081
     /* 2311081 */   GIM_Reject,
     /* 2311082 */ // Label 31761: @2311082
     /* 2311082 */ GIM_Reject,
     /* 2311083 */ // Label 31706: @2311083
     /* 2311083 */ GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2311203),
     /* 2311088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2311091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2311094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311106 */   GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2311154), // Rule ID 54426 //
     /* 2311111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2311114 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2311117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2311131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311153 */     // GIR_Coverage, 54426,
     /* 2311153 */     GIR_EraseRootFromParent_Done,
     /* 2311154 */   // Label 31765: @2311154
     /* 2311154 */   GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2311202), // Rule ID 54427 //
     /* 2311159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2311162 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2311165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2311179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311201 */     // GIR_Coverage, 54427,
     /* 2311201 */     GIR_EraseRootFromParent_Done,
     /* 2311202 */   // Label 31766: @2311202
     /* 2311202 */   GIM_Reject,
     /* 2311203 */ // Label 31764: @2311203
     /* 2311203 */ GIM_Reject,
     /* 2311204 */ // Label 31707: @2311204
     /* 2311204 */ GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2311324),
     /* 2311209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2311212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2311215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311227 */   GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2311275), // Rule ID 54390 //
     /* 2311232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311235 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2311238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2311252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311274 */     // GIR_Coverage, 54390,
     /* 2311274 */     GIR_EraseRootFromParent_Done,
     /* 2311275 */   // Label 31768: @2311275
     /* 2311275 */   GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2311323), // Rule ID 54391 //
     /* 2311280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311283 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2311286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2311300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311322 */     // GIR_Coverage, 54391,
     /* 2311322 */     GIR_EraseRootFromParent_Done,
     /* 2311323 */   // Label 31769: @2311323
     /* 2311323 */   GIM_Reject,
     /* 2311324 */ // Label 31767: @2311324
     /* 2311324 */ GIM_Reject,
     /* 2311325 */ // Label 31708: @2311325
     /* 2311325 */ GIM_Reject,
     /* 2311326 */ // Label 64: @2311326
     /* 2311326 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31788*/ GIMT_Encode4(2313296),
     /* 2311337 */ /*GILLT_s16*//*Label 31770*/ GIMT_Encode4(2311457),
     /* 2311341 */ /*GILLT_s32*//*Label 31771*/ GIMT_Encode4(2311521),
     /* 2311345 */ /*GILLT_s64*//*Label 31772*/ GIMT_Encode4(2311585), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311357 */ /*GILLT_nxv1s16*//*Label 31773*/ GIMT_Encode4(2311676),
     /* 2311361 */ /*GILLT_nxv1s32*//*Label 31774*/ GIMT_Encode4(2311784),
     /* 2311365 */ /*GILLT_nxv1s64*//*Label 31775*/ GIMT_Encode4(2311892), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311377 */ /*GILLT_nxv2s16*//*Label 31776*/ GIMT_Encode4(2312000),
     /* 2311381 */ /*GILLT_nxv2s32*//*Label 31777*/ GIMT_Encode4(2312108),
     /* 2311385 */ /*GILLT_nxv2s64*//*Label 31778*/ GIMT_Encode4(2312216), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311397 */ /*GILLT_nxv4s16*//*Label 31779*/ GIMT_Encode4(2312324),
     /* 2311401 */ /*GILLT_nxv4s32*//*Label 31780*/ GIMT_Encode4(2312432),
     /* 2311405 */ /*GILLT_nxv4s64*//*Label 31781*/ GIMT_Encode4(2312540), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311417 */ /*GILLT_nxv8s16*//*Label 31782*/ GIMT_Encode4(2312648),
     /* 2311421 */ /*GILLT_nxv8s32*//*Label 31783*/ GIMT_Encode4(2312756),
     /* 2311425 */ /*GILLT_nxv8s64*//*Label 31784*/ GIMT_Encode4(2312864), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311437 */ /*GILLT_nxv16s16*//*Label 31785*/ GIMT_Encode4(2312972),
     /* 2311441 */ /*GILLT_nxv16s32*//*Label 31786*/ GIMT_Encode4(2313080), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311453 */ /*GILLT_nxv32s16*//*Label 31787*/ GIMT_Encode4(2313188),
     /* 2311457 */ // Label 31770: @2311457
     /* 2311457 */ GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2311520),
     /* 2311462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311465 */   GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2311492), // Rule ID 1882 //
     /* 2311470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2311473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2311481 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2311481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2311484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311491 */     // GIR_Coverage, 1882,
     /* 2311491 */     GIR_EraseRootFromParent_Done,
     /* 2311492 */   // Label 31790: @2311492
     /* 2311492 */   GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2311519), // Rule ID 1915 //
     /* 2311497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2311500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2311508 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2311508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2311511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311518 */     // GIR_Coverage, 1915,
     /* 2311518 */     GIR_EraseRootFromParent_Done,
     /* 2311519 */   // Label 31791: @2311519
     /* 2311519 */   GIM_Reject,
     /* 2311520 */ // Label 31789: @2311520
     /* 2311520 */ GIM_Reject,
     /* 2311521 */ // Label 31771: @2311521
     /* 2311521 */ GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2311584),
     /* 2311526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311529 */   GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2311556), // Rule ID 1173 //
     /* 2311534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2311537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2311545 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2311545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2311548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311555 */     // GIR_Coverage, 1173,
     /* 2311555 */     GIR_EraseRootFromParent_Done,
     /* 2311556 */   // Label 31793: @2311556
     /* 2311556 */   GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2311583), // Rule ID 1181 //
     /* 2311561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2311564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2311572 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2311572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2311575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311582 */     // GIR_Coverage, 1181,
     /* 2311582 */     GIR_EraseRootFromParent_Done,
     /* 2311583 */   // Label 31794: @2311583
     /* 2311583 */   GIM_Reject,
     /* 2311584 */ // Label 31792: @2311584
     /* 2311584 */ GIM_Reject,
     /* 2311585 */ // Label 31772: @2311585
     /* 2311585 */ GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2311675),
     /* 2311590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2311593 */   GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2311620), // Rule ID 1516 //
     /* 2311598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2311601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311609 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2311609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2311612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311619 */     // GIR_Coverage, 1516,
     /* 2311619 */     GIR_EraseRootFromParent_Done,
     /* 2311620 */   // Label 31796: @2311620
     /* 2311620 */   GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2311647), // Rule ID 1549 //
     /* 2311625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2311628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311636 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2311636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2311639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311646 */     // GIR_Coverage, 1549,
     /* 2311646 */     GIR_EraseRootFromParent_Done,
     /* 2311647 */   // Label 31797: @2311647
     /* 2311647 */   GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2311674), // Rule ID 1571 //
     /* 2311652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2311655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311663 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2311663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2311666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311673 */     // GIR_Coverage, 1571,
     /* 2311673 */     GIR_EraseRootFromParent_Done,
     /* 2311674 */   // Label 31798: @2311674
     /* 2311674 */   GIM_Reject,
     /* 2311675 */ // Label 31795: @2311675
     /* 2311675 */ GIM_Reject,
     /* 2311676 */ // Label 31773: @2311676
     /* 2311676 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2311783),
     /* 2311681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311692 */   GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2311737), // Rule ID 56132 //
     /* 2311697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311700 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2311717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311736 */     // GIR_Coverage, 56132,
     /* 2311736 */     GIR_EraseRootFromParent_Done,
     /* 2311737 */   // Label 31800: @2311737
     /* 2311737 */   GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2311782), // Rule ID 56133 //
     /* 2311742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311745 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2311762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311781 */     // GIR_Coverage, 56133,
     /* 2311781 */     GIR_EraseRootFromParent_Done,
     /* 2311782 */   // Label 31801: @2311782
     /* 2311782 */   GIM_Reject,
     /* 2311783 */ // Label 31799: @2311783
     /* 2311783 */ GIM_Reject,
     /* 2311784 */ // Label 31774: @2311784
     /* 2311784 */ GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2311891),
     /* 2311789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2311792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311800 */   GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2311845), // Rule ID 56172 //
     /* 2311805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2311808 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2311825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311844 */     // GIR_Coverage, 56172,
     /* 2311844 */     GIR_EraseRootFromParent_Done,
     /* 2311845 */   // Label 31803: @2311845
     /* 2311845 */   GIM_Try, /*On fail goto*//*Label 31804*/ GIMT_Encode4(2311890), // Rule ID 56173 //
     /* 2311850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2311853 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2311856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2311870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311889 */     // GIR_Coverage, 56173,
     /* 2311889 */     GIR_EraseRootFromParent_Done,
     /* 2311890 */   // Label 31804: @2311890
     /* 2311890 */   GIM_Reject,
     /* 2311891 */ // Label 31802: @2311891
     /* 2311891 */ GIM_Reject,
     /* 2311892 */ // Label 31775: @2311892
     /* 2311892 */ GIM_Try, /*On fail goto*//*Label 31805*/ GIMT_Encode4(2311999),
     /* 2311897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2311900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311908 */   GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2311953), // Rule ID 56232 //
     /* 2311913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2311916 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2311919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2311933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311952 */     // GIR_Coverage, 56232,
     /* 2311952 */     GIR_EraseRootFromParent_Done,
     /* 2311953 */   // Label 31806: @2311953
     /* 2311953 */   GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2311998), // Rule ID 56233 //
     /* 2311958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2311961 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2311964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2311978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2311987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311997 */     // GIR_Coverage, 56233,
     /* 2311997 */     GIR_EraseRootFromParent_Done,
     /* 2311998 */   // Label 31807: @2311998
     /* 2311998 */   GIM_Reject,
     /* 2311999 */ // Label 31805: @2311999
     /* 2311999 */ GIM_Reject,
     /* 2312000 */ // Label 31776: @2312000
     /* 2312000 */ GIM_Try, /*On fail goto*//*Label 31808*/ GIMT_Encode4(2312107),
     /* 2312005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312016 */   GIM_Try, /*On fail goto*//*Label 31809*/ GIMT_Encode4(2312061), // Rule ID 56152 //
     /* 2312021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312024 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2312041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312060 */     // GIR_Coverage, 56152,
     /* 2312060 */     GIR_EraseRootFromParent_Done,
     /* 2312061 */   // Label 31809: @2312061
     /* 2312061 */   GIM_Try, /*On fail goto*//*Label 31810*/ GIMT_Encode4(2312106), // Rule ID 56153 //
     /* 2312066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312069 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2312086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312105 */     // GIR_Coverage, 56153,
     /* 2312105 */     GIR_EraseRootFromParent_Done,
     /* 2312106 */   // Label 31810: @2312106
     /* 2312106 */   GIM_Reject,
     /* 2312107 */ // Label 31808: @2312107
     /* 2312107 */ GIM_Reject,
     /* 2312108 */ // Label 31777: @2312108
     /* 2312108 */ GIM_Try, /*On fail goto*//*Label 31811*/ GIMT_Encode4(2312215),
     /* 2312113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312124 */   GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2312169), // Rule ID 56212 //
     /* 2312129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312132 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2312149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312168 */     // GIR_Coverage, 56212,
     /* 2312168 */     GIR_EraseRootFromParent_Done,
     /* 2312169 */   // Label 31812: @2312169
     /* 2312169 */   GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2312214), // Rule ID 56213 //
     /* 2312174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312177 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2312194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312213 */     // GIR_Coverage, 56213,
     /* 2312213 */     GIR_EraseRootFromParent_Done,
     /* 2312214 */   // Label 31813: @2312214
     /* 2312214 */   GIM_Reject,
     /* 2312215 */ // Label 31811: @2312215
     /* 2312215 */ GIM_Reject,
     /* 2312216 */ // Label 31778: @2312216
     /* 2312216 */ GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2312323),
     /* 2312221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2312224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312232 */   GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2312277), // Rule ID 56372 //
     /* 2312237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2312240 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2312243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2312257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312276 */     // GIR_Coverage, 56372,
     /* 2312276 */     GIR_EraseRootFromParent_Done,
     /* 2312277 */   // Label 31815: @2312277
     /* 2312277 */   GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2312322), // Rule ID 56373 //
     /* 2312282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2312285 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2312288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2312302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312321 */     // GIR_Coverage, 56373,
     /* 2312321 */     GIR_EraseRootFromParent_Done,
     /* 2312322 */   // Label 31816: @2312322
     /* 2312322 */   GIM_Reject,
     /* 2312323 */ // Label 31814: @2312323
     /* 2312323 */ GIM_Reject,
     /* 2312324 */ // Label 31779: @2312324
     /* 2312324 */ GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2312431),
     /* 2312329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2312332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312340 */   GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2312385), // Rule ID 56192 //
     /* 2312345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312348 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2312351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2312365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312384 */     // GIR_Coverage, 56192,
     /* 2312384 */     GIR_EraseRootFromParent_Done,
     /* 2312385 */   // Label 31818: @2312385
     /* 2312385 */   GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2312430), // Rule ID 56193 //
     /* 2312390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312393 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2312396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2312410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312429 */     // GIR_Coverage, 56193,
     /* 2312429 */     GIR_EraseRootFromParent_Done,
     /* 2312430 */   // Label 31819: @2312430
     /* 2312430 */   GIM_Reject,
     /* 2312431 */ // Label 31817: @2312431
     /* 2312431 */ GIM_Reject,
     /* 2312432 */ // Label 31780: @2312432
     /* 2312432 */ GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2312539),
     /* 2312437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312448 */   GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2312493), // Rule ID 56312 //
     /* 2312453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312456 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2312473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312492 */     // GIR_Coverage, 56312,
     /* 2312492 */     GIR_EraseRootFromParent_Done,
     /* 2312493 */   // Label 31821: @2312493
     /* 2312493 */   GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2312538), // Rule ID 56313 //
     /* 2312498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312501 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2312518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312537 */     // GIR_Coverage, 56313,
     /* 2312537 */     GIR_EraseRootFromParent_Done,
     /* 2312538 */   // Label 31822: @2312538
     /* 2312538 */   GIM_Reject,
     /* 2312539 */ // Label 31820: @2312539
     /* 2312539 */ GIM_Reject,
     /* 2312540 */ // Label 31781: @2312540
     /* 2312540 */ GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2312647),
     /* 2312545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312556 */   GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2312601), // Rule ID 56392 //
     /* 2312561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2312564 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2312581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312600 */     // GIR_Coverage, 56392,
     /* 2312600 */     GIR_EraseRootFromParent_Done,
     /* 2312601 */   // Label 31824: @2312601
     /* 2312601 */   GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2312646), // Rule ID 56393 //
     /* 2312606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2312609 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2312626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312645 */     // GIR_Coverage, 56393,
     /* 2312645 */     GIR_EraseRootFromParent_Done,
     /* 2312646 */   // Label 31825: @2312646
     /* 2312646 */   GIM_Reject,
     /* 2312647 */ // Label 31823: @2312647
     /* 2312647 */ GIM_Reject,
     /* 2312648 */ // Label 31782: @2312648
     /* 2312648 */ GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2312755),
     /* 2312653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312664 */   GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2312709), // Rule ID 56252 //
     /* 2312669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312672 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2312689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312708 */     // GIR_Coverage, 56252,
     /* 2312708 */     GIR_EraseRootFromParent_Done,
     /* 2312709 */   // Label 31827: @2312709
     /* 2312709 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2312754), // Rule ID 56253 //
     /* 2312714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2312717 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2312734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312753 */     // GIR_Coverage, 56253,
     /* 2312753 */     GIR_EraseRootFromParent_Done,
     /* 2312754 */   // Label 31828: @2312754
     /* 2312754 */   GIM_Reject,
     /* 2312755 */ // Label 31826: @2312755
     /* 2312755 */ GIM_Reject,
     /* 2312756 */ // Label 31783: @2312756
     /* 2312756 */ GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2312863),
     /* 2312761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312772 */   GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2312817), // Rule ID 56332 //
     /* 2312777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312780 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2312797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312816 */     // GIR_Coverage, 56332,
     /* 2312816 */     GIR_EraseRootFromParent_Done,
     /* 2312817 */   // Label 31830: @2312817
     /* 2312817 */   GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2312862), // Rule ID 56333 //
     /* 2312822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312825 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2312842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312861 */     // GIR_Coverage, 56333,
     /* 2312861 */     GIR_EraseRootFromParent_Done,
     /* 2312862 */   // Label 31831: @2312862
     /* 2312862 */   GIM_Reject,
     /* 2312863 */ // Label 31829: @2312863
     /* 2312863 */ GIM_Reject,
     /* 2312864 */ // Label 31784: @2312864
     /* 2312864 */ GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2312971),
     /* 2312869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2312872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312880 */   GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2312925), // Rule ID 56412 //
     /* 2312885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2312888 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2312891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2312905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312924 */     // GIR_Coverage, 56412,
     /* 2312924 */     GIR_EraseRootFromParent_Done,
     /* 2312925 */   // Label 31833: @2312925
     /* 2312925 */   GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2312970), // Rule ID 56413 //
     /* 2312930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2312933 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2312936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2312950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2312959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312969 */     // GIR_Coverage, 56413,
     /* 2312969 */     GIR_EraseRootFromParent_Done,
     /* 2312970 */   // Label 31834: @2312970
     /* 2312970 */   GIM_Reject,
     /* 2312971 */ // Label 31832: @2312971
     /* 2312971 */ GIM_Reject,
     /* 2312972 */ // Label 31785: @2312972
     /* 2312972 */ GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2313079),
     /* 2312977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2312980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312988 */   GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2313033), // Rule ID 56272 //
     /* 2312993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2312996 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2312999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2313013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313032 */     // GIR_Coverage, 56272,
     /* 2313032 */     GIR_EraseRootFromParent_Done,
     /* 2313033 */   // Label 31836: @2313033
     /* 2313033 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2313078), // Rule ID 56273 //
     /* 2313038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313041 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2313058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313077 */     // GIR_Coverage, 56273,
     /* 2313077 */     GIR_EraseRootFromParent_Done,
     /* 2313078 */   // Label 31837: @2313078
     /* 2313078 */   GIM_Reject,
     /* 2313079 */ // Label 31835: @2313079
     /* 2313079 */ GIM_Reject,
     /* 2313080 */ // Label 31786: @2313080
     /* 2313080 */ GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2313187),
     /* 2313085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313096 */   GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2313141), // Rule ID 56352 //
     /* 2313101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2313104 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2313121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313140 */     // GIR_Coverage, 56352,
     /* 2313140 */     GIR_EraseRootFromParent_Done,
     /* 2313141 */   // Label 31839: @2313141
     /* 2313141 */   GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2313186), // Rule ID 56353 //
     /* 2313146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2313149 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2313166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313185 */     // GIR_Coverage, 56353,
     /* 2313185 */     GIR_EraseRootFromParent_Done,
     /* 2313186 */   // Label 31840: @2313186
     /* 2313186 */   GIM_Reject,
     /* 2313187 */ // Label 31838: @2313187
     /* 2313187 */ GIM_Reject,
     /* 2313188 */ // Label 31787: @2313188
     /* 2313188 */ GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2313295),
     /* 2313193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313204 */   GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2313249), // Rule ID 56292 //
     /* 2313209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313212 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2313215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2313229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313248 */     // GIR_Coverage, 56292,
     /* 2313248 */     GIR_EraseRootFromParent_Done,
     /* 2313249 */   // Label 31842: @2313249
     /* 2313249 */   GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2313294), // Rule ID 56293 //
     /* 2313254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313257 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2313260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2313274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2313283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313293 */     // GIR_Coverage, 56293,
     /* 2313293 */     GIR_EraseRootFromParent_Done,
     /* 2313294 */   // Label 31843: @2313294
     /* 2313294 */   GIM_Reject,
     /* 2313295 */ // Label 31841: @2313295
     /* 2313295 */ GIM_Reject,
     /* 2313296 */ // Label 31788: @2313296
     /* 2313296 */ GIM_Reject,
     /* 2313297 */ // Label 65: @2313297
     /* 2313297 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31846*/ GIMT_Encode4(2313749),
     /* 2313308 */ /*GILLT_s32*//*Label 31844*/ GIMT_Encode4(2313316),
     /* 2313312 */ /*GILLT_s64*//*Label 31845*/ GIMT_Encode4(2313438),
     /* 2313316 */ // Label 31844: @2313316
     /* 2313316 */ GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2313437),
     /* 2313321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2313324 */   GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2313352), // Rule ID 2056 //
     /* 2313329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2313332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2313336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313340 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2313340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2313343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313351 */     // GIR_Coverage, 2056,
     /* 2313351 */     GIR_EraseRootFromParent_Done,
     /* 2313352 */   // Label 31848: @2313352
     /* 2313352 */   GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2313380), // Rule ID 2057 //
     /* 2313357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2313360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2313364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313368 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2313368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2313371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313379 */     // GIR_Coverage, 2057,
     /* 2313379 */     GIR_EraseRootFromParent_Done,
     /* 2313380 */   // Label 31849: @2313380
     /* 2313380 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2313408), // Rule ID 2072 //
     /* 2313385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2313388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2313392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2313396 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2313396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2313399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313407 */     // GIR_Coverage, 2072,
     /* 2313407 */     GIR_EraseRootFromParent_Done,
     /* 2313408 */   // Label 31850: @2313408
     /* 2313408 */   GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2313436), // Rule ID 2073 //
     /* 2313413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2313416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2313420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2313424 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2313424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2313427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313435 */     // GIR_Coverage, 2073,
     /* 2313435 */     GIR_EraseRootFromParent_Done,
     /* 2313436 */   // Label 31851: @2313436
     /* 2313436 */   GIM_Reject,
     /* 2313437 */ // Label 31847: @2313437
     /* 2313437 */ GIM_Reject,
     /* 2313438 */ // Label 31845: @2313438
     /* 2313438 */ GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2313469), // Rule ID 1458 //
     /* 2313443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2313446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2313453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2313457 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2313457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2313460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313462 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313468 */   // GIR_Coverage, 1458,
     /* 2313468 */   GIR_EraseRootFromParent_Done,
     /* 2313469 */ // Label 31852: @2313469
     /* 2313469 */ GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2313500), // Rule ID 1459 //
     /* 2313474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2313477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2313484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2313488 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2313488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2313491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313493 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313499 */   // GIR_Coverage, 1459,
     /* 2313499 */   GIR_EraseRootFromParent_Done,
     /* 2313500 */ // Label 31853: @2313500
     /* 2313500 */ GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2313531), // Rule ID 1463 //
     /* 2313505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2313508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2313519 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2313519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2313522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313524 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313530 */   // GIR_Coverage, 1463,
     /* 2313530 */   GIR_EraseRootFromParent_Done,
     /* 2313531 */ // Label 31854: @2313531
     /* 2313531 */ GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2313562), // Rule ID 1470 //
     /* 2313536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2313539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2313546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2313550 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2313550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2313553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313555 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313561 */   // GIR_Coverage, 1470,
     /* 2313561 */   GIR_EraseRootFromParent_Done,
     /* 2313562 */ // Label 31855: @2313562
     /* 2313562 */ GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2313593), // Rule ID 1471 //
     /* 2313567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2313570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2313577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2313581 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2313581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2313584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313586 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313592 */   // GIR_Coverage, 1471,
     /* 2313592 */   GIR_EraseRootFromParent_Done,
     /* 2313593 */ // Label 31856: @2313593
     /* 2313593 */ GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2313624), // Rule ID 2190 //
     /* 2313598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2313601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2313604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2313608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313612 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2313612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2313615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313623 */   // GIR_Coverage, 2190,
     /* 2313623 */   GIR_EraseRootFromParent_Done,
     /* 2313624 */ // Label 31857: @2313624
     /* 2313624 */ GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2313655), // Rule ID 2191 //
     /* 2313629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2313632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2313635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2313639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313643 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2313643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2313646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313648 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313654 */   // GIR_Coverage, 2191,
     /* 2313654 */   GIR_EraseRootFromParent_Done,
     /* 2313655 */ // Label 31858: @2313655
     /* 2313655 */ GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2313686), // Rule ID 2202 //
     /* 2313660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2313663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2313666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2313670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2313674 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2313674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2313677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313685 */   // GIR_Coverage, 2202,
     /* 2313685 */   GIR_EraseRootFromParent_Done,
     /* 2313686 */ // Label 31859: @2313686
     /* 2313686 */ GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2313717), // Rule ID 2203 //
     /* 2313691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2313694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2313697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2313701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2313705 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2313705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2313708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313716 */   // GIR_Coverage, 2203,
     /* 2313716 */   GIR_EraseRootFromParent_Done,
     /* 2313717 */ // Label 31860: @2313717
     /* 2313717 */ GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2313748), // Rule ID 2211 //
     /* 2313722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2313725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2313728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2313736 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2313736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2313739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313741 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2313746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313747 */   // GIR_Coverage, 2211,
     /* 2313747 */   GIR_EraseRootFromParent_Done,
     /* 2313748 */ // Label 31861: @2313748
     /* 2313748 */ GIM_Reject,
     /* 2313749 */ // Label 31846: @2313749
     /* 2313749 */ GIM_Reject,
     /* 2313750 */ // Label 66: @2313750
     /* 2313750 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31873*/ GIMT_Encode4(2315285),
     /* 2313761 */ /*GILLT_s16*//*Label 31862*/ GIMT_Encode4(2313865),
     /* 2313765 */ /*GILLT_s32*//*Label 31863*/ GIMT_Encode4(2314145), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313781 */ /*GILLT_nxv1s16*//*Label 31864*/ GIMT_Encode4(2314295),
     /* 2313785 */ /*GILLT_nxv1s32*//*Label 31865*/ GIMT_Encode4(2314405), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313801 */ /*GILLT_nxv2s16*//*Label 31866*/ GIMT_Encode4(2314515),
     /* 2313805 */ /*GILLT_nxv2s32*//*Label 31867*/ GIMT_Encode4(2314625), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313821 */ /*GILLT_nxv4s16*//*Label 31868*/ GIMT_Encode4(2314735),
     /* 2313825 */ /*GILLT_nxv4s32*//*Label 31869*/ GIMT_Encode4(2314845), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313841 */ /*GILLT_nxv8s16*//*Label 31870*/ GIMT_Encode4(2314955),
     /* 2313845 */ /*GILLT_nxv8s32*//*Label 31871*/ GIMT_Encode4(2315065), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2313861 */ /*GILLT_nxv16s16*//*Label 31872*/ GIMT_Encode4(2315175),
     /* 2313865 */ // Label 31862: @2313865
     /* 2313865 */ GIM_Try, /*On fail goto*//*Label 31874*/ GIMT_Encode4(2313896), // Rule ID 2052 //
     /* 2313870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2313873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2313884 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2313884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2313887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313889 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313895 */   // GIR_Coverage, 2052,
     /* 2313895 */   GIR_EraseRootFromParent_Done,
     /* 2313896 */ // Label 31874: @2313896
     /* 2313896 */ GIM_Try, /*On fail goto*//*Label 31875*/ GIMT_Encode4(2313927), // Rule ID 2053 //
     /* 2313901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2313904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2313911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2313915 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2313915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2313918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313920 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313926 */   // GIR_Coverage, 2053,
     /* 2313926 */   GIR_EraseRootFromParent_Done,
     /* 2313927 */ // Label 31875: @2313927
     /* 2313927 */ GIM_Try, /*On fail goto*//*Label 31876*/ GIMT_Encode4(2313958), // Rule ID 2068 //
     /* 2313932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2313935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2313942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2313946 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2313946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2313949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313951 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313957 */   // GIR_Coverage, 2068,
     /* 2313957 */   GIR_EraseRootFromParent_Done,
     /* 2313958 */ // Label 31876: @2313958
     /* 2313958 */ GIM_Try, /*On fail goto*//*Label 31877*/ GIMT_Encode4(2313989), // Rule ID 2069 //
     /* 2313963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2313966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2313969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2313973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2313977 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2313977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2313980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313988 */   // GIR_Coverage, 2069,
     /* 2313988 */   GIR_EraseRootFromParent_Done,
     /* 2313989 */ // Label 31877: @2313989
     /* 2313989 */ GIM_Try, /*On fail goto*//*Label 31878*/ GIMT_Encode4(2314020), // Rule ID 2186 //
     /* 2313994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2313997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314008 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2314008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2314011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314019 */   // GIR_Coverage, 2186,
     /* 2314019 */   GIR_EraseRootFromParent_Done,
     /* 2314020 */ // Label 31878: @2314020
     /* 2314020 */ GIM_Try, /*On fail goto*//*Label 31879*/ GIMT_Encode4(2314051), // Rule ID 2187 //
     /* 2314025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2314028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314039 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2314039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2314042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314044 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314050 */   // GIR_Coverage, 2187,
     /* 2314050 */   GIR_EraseRootFromParent_Done,
     /* 2314051 */ // Label 31879: @2314051
     /* 2314051 */ GIM_Try, /*On fail goto*//*Label 31880*/ GIMT_Encode4(2314082), // Rule ID 2198 //
     /* 2314056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2314059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314070 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2314070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2314073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314081 */   // GIR_Coverage, 2198,
     /* 2314081 */   GIR_EraseRootFromParent_Done,
     /* 2314082 */ // Label 31880: @2314082
     /* 2314082 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2314113), // Rule ID 2199 //
     /* 2314087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2314090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314101 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2314101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2314104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314106 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314112 */   // GIR_Coverage, 2199,
     /* 2314112 */   GIR_EraseRootFromParent_Done,
     /* 2314113 */ // Label 31881: @2314113
     /* 2314113 */ GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2314144), // Rule ID 2209 //
     /* 2314118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2314121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314132 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2314132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2314135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314137 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314143 */   // GIR_Coverage, 2209,
     /* 2314143 */   GIR_EraseRootFromParent_Done,
     /* 2314144 */ // Label 31882: @2314144
     /* 2314144 */ GIM_Reject,
     /* 2314145 */ // Label 31863: @2314145
     /* 2314145 */ GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2314294),
     /* 2314150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314153 */   GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2314181), // Rule ID 1454 //
     /* 2314158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2314161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314169 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2314169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2314172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314180 */     // GIR_Coverage, 1454,
     /* 2314180 */     GIR_EraseRootFromParent_Done,
     /* 2314181 */   // Label 31884: @2314181
     /* 2314181 */   GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2314209), // Rule ID 1455 //
     /* 2314186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2314189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314197 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2314197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2314200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314208 */     // GIR_Coverage, 1455,
     /* 2314208 */     GIR_EraseRootFromParent_Done,
     /* 2314209 */   // Label 31885: @2314209
     /* 2314209 */   GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2314237), // Rule ID 1461 //
     /* 2314214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2314217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314225 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2314225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2314228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314236 */     // GIR_Coverage, 1461,
     /* 2314236 */     GIR_EraseRootFromParent_Done,
     /* 2314237 */   // Label 31886: @2314237
     /* 2314237 */   GIM_Try, /*On fail goto*//*Label 31887*/ GIMT_Encode4(2314265), // Rule ID 1466 //
     /* 2314242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2314245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314253 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2314253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2314256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314264 */     // GIR_Coverage, 1466,
     /* 2314264 */     GIR_EraseRootFromParent_Done,
     /* 2314265 */   // Label 31887: @2314265
     /* 2314265 */   GIM_Try, /*On fail goto*//*Label 31888*/ GIMT_Encode4(2314293), // Rule ID 1467 //
     /* 2314270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2314273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314281 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2314281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2314284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314292 */     // GIR_Coverage, 1467,
     /* 2314292 */     GIR_EraseRootFromParent_Done,
     /* 2314293 */   // Label 31888: @2314293
     /* 2314293 */   GIM_Reject,
     /* 2314294 */ // Label 31883: @2314294
     /* 2314294 */ GIM_Reject,
     /* 2314295 */ // Label 31864: @2314295
     /* 2314295 */ GIM_Try, /*On fail goto*//*Label 31889*/ GIMT_Encode4(2314404),
     /* 2314300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2314303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314311 */   GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2314357), // Rule ID 58780 //
     /* 2314316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2314319 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2314322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2314336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314356 */     // GIR_Coverage, 58780,
     /* 2314356 */     GIR_EraseRootFromParent_Done,
     /* 2314357 */   // Label 31890: @2314357
     /* 2314357 */   GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2314403), // Rule ID 58781 //
     /* 2314362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2314365 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2314368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2314382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314402 */     // GIR_Coverage, 58781,
     /* 2314402 */     GIR_EraseRootFromParent_Done,
     /* 2314403 */   // Label 31891: @2314403
     /* 2314403 */   GIM_Reject,
     /* 2314404 */ // Label 31889: @2314404
     /* 2314404 */ GIM_Reject,
     /* 2314405 */ // Label 31865: @2314405
     /* 2314405 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2314514),
     /* 2314410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2314413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314421 */   GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2314467), // Rule ID 58790 //
     /* 2314426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2314429 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2314432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2314446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314466 */     // GIR_Coverage, 58790,
     /* 2314466 */     GIR_EraseRootFromParent_Done,
     /* 2314467 */   // Label 31893: @2314467
     /* 2314467 */   GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2314513), // Rule ID 58791 //
     /* 2314472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2314475 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2314478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2314492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314512 */     // GIR_Coverage, 58791,
     /* 2314512 */     GIR_EraseRootFromParent_Done,
     /* 2314513 */   // Label 31894: @2314513
     /* 2314513 */   GIM_Reject,
     /* 2314514 */ // Label 31892: @2314514
     /* 2314514 */ GIM_Reject,
     /* 2314515 */ // Label 31866: @2314515
     /* 2314515 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2314624),
     /* 2314520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314531 */   GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2314577), // Rule ID 58782 //
     /* 2314536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2314539 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2314542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2314556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314576 */     // GIR_Coverage, 58782,
     /* 2314576 */     GIR_EraseRootFromParent_Done,
     /* 2314577 */   // Label 31896: @2314577
     /* 2314577 */   GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2314623), // Rule ID 58783 //
     /* 2314582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2314585 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2314588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2314602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314622 */     // GIR_Coverage, 58783,
     /* 2314622 */     GIR_EraseRootFromParent_Done,
     /* 2314623 */   // Label 31897: @2314623
     /* 2314623 */   GIM_Reject,
     /* 2314624 */ // Label 31895: @2314624
     /* 2314624 */ GIM_Reject,
     /* 2314625 */ // Label 31867: @2314625
     /* 2314625 */ GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2314734),
     /* 2314630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2314633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314641 */   GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2314687), // Rule ID 58792 //
     /* 2314646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2314649 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2314652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2314666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314686 */     // GIR_Coverage, 58792,
     /* 2314686 */     GIR_EraseRootFromParent_Done,
     /* 2314687 */   // Label 31899: @2314687
     /* 2314687 */   GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2314733), // Rule ID 58793 //
     /* 2314692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2314695 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2314698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2314712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314732 */     // GIR_Coverage, 58793,
     /* 2314732 */     GIR_EraseRootFromParent_Done,
     /* 2314733 */   // Label 31900: @2314733
     /* 2314733 */   GIM_Reject,
     /* 2314734 */ // Label 31898: @2314734
     /* 2314734 */ GIM_Reject,
     /* 2314735 */ // Label 31868: @2314735
     /* 2314735 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2314844),
     /* 2314740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2314743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314751 */   GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2314797), // Rule ID 58784 //
     /* 2314756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2314759 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2314762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2314776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314796 */     // GIR_Coverage, 58784,
     /* 2314796 */     GIR_EraseRootFromParent_Done,
     /* 2314797 */   // Label 31902: @2314797
     /* 2314797 */   GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2314843), // Rule ID 58785 //
     /* 2314802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2314805 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2314808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2314822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314842 */     // GIR_Coverage, 58785,
     /* 2314842 */     GIR_EraseRootFromParent_Done,
     /* 2314843 */   // Label 31903: @2314843
     /* 2314843 */   GIM_Reject,
     /* 2314844 */ // Label 31901: @2314844
     /* 2314844 */ GIM_Reject,
     /* 2314845 */ // Label 31869: @2314845
     /* 2314845 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2314954),
     /* 2314850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2314853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314861 */   GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2314907), // Rule ID 58794 //
     /* 2314866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2314869 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2314886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314906 */     // GIR_Coverage, 58794,
     /* 2314906 */     GIR_EraseRootFromParent_Done,
     /* 2314907 */   // Label 31905: @2314907
     /* 2314907 */   GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2314953), // Rule ID 58795 //
     /* 2314912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2314915 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2314918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2314932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314952 */     // GIR_Coverage, 58795,
     /* 2314952 */     GIR_EraseRootFromParent_Done,
     /* 2314953 */   // Label 31906: @2314953
     /* 2314953 */   GIM_Reject,
     /* 2314954 */ // Label 31904: @2314954
     /* 2314954 */ GIM_Reject,
     /* 2314955 */ // Label 31870: @2314955
     /* 2314955 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2315064),
     /* 2314960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314971 */   GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2315017), // Rule ID 58786 //
     /* 2314976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2314979 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2314982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2314996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315016 */     // GIR_Coverage, 58786,
     /* 2315016 */     GIR_EraseRootFromParent_Done,
     /* 2315017 */   // Label 31908: @2315017
     /* 2315017 */   GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2315063), // Rule ID 58787 //
     /* 2315022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2315025 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2315028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2315042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315062 */     // GIR_Coverage, 58787,
     /* 2315062 */     GIR_EraseRootFromParent_Done,
     /* 2315063 */   // Label 31909: @2315063
     /* 2315063 */   GIM_Reject,
     /* 2315064 */ // Label 31907: @2315064
     /* 2315064 */ GIM_Reject,
     /* 2315065 */ // Label 31871: @2315065
     /* 2315065 */ GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2315174),
     /* 2315070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2315073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315081 */   GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2315127), // Rule ID 58796 //
     /* 2315086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2315089 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2315092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2315106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315126 */     // GIR_Coverage, 58796,
     /* 2315126 */     GIR_EraseRootFromParent_Done,
     /* 2315127 */   // Label 31911: @2315127
     /* 2315127 */   GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2315173), // Rule ID 58797 //
     /* 2315132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2315135 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2315138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2315152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315172 */     // GIR_Coverage, 58797,
     /* 2315172 */     GIR_EraseRootFromParent_Done,
     /* 2315173 */   // Label 31912: @2315173
     /* 2315173 */   GIM_Reject,
     /* 2315174 */ // Label 31910: @2315174
     /* 2315174 */ GIM_Reject,
     /* 2315175 */ // Label 31872: @2315175
     /* 2315175 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2315284),
     /* 2315180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2315183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2315187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315191 */   GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2315237), // Rule ID 58788 //
     /* 2315196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2315199 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2315216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315236 */     // GIR_Coverage, 58788,
     /* 2315236 */     GIR_EraseRootFromParent_Done,
     /* 2315237 */   // Label 31914: @2315237
     /* 2315237 */   GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2315283), // Rule ID 58789 //
     /* 2315242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2315245 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2315248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2315262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315282 */     // GIR_Coverage, 58789,
     /* 2315282 */     GIR_EraseRootFromParent_Done,
     /* 2315283 */   // Label 31915: @2315283
     /* 2315283 */   GIM_Reject,
     /* 2315284 */ // Label 31913: @2315284
     /* 2315284 */ GIM_Reject,
     /* 2315285 */ // Label 31873: @2315285
     /* 2315285 */ GIM_Reject,
     /* 2315286 */ // Label 67: @2315286
     /* 2315286 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31939*/ GIMT_Encode4(2320171),
     /* 2315297 */ /*GILLT_s32*//*Label 31916*/ GIMT_Encode4(2315413),
     /* 2315301 */ /*GILLT_s64*//*Label 31917*/ GIMT_Encode4(2315786), GIMT_Encode4(0),
     /* 2315309 */ /*GILLT_nxv1s8*//*Label 31918*/ GIMT_Encode4(2315973),
     /* 2315313 */ /*GILLT_nxv1s16*//*Label 31919*/ GIMT_Encode4(2316077),
     /* 2315317 */ /*GILLT_nxv1s32*//*Label 31920*/ GIMT_Encode4(2316294),
     /* 2315321 */ /*GILLT_nxv1s64*//*Label 31921*/ GIMT_Encode4(2316619), GIMT_Encode4(0),
     /* 2315329 */ /*GILLT_nxv2s8*//*Label 31922*/ GIMT_Encode4(2316836),
     /* 2315333 */ /*GILLT_nxv2s16*//*Label 31923*/ GIMT_Encode4(2316940),
     /* 2315337 */ /*GILLT_nxv2s32*//*Label 31924*/ GIMT_Encode4(2317157),
     /* 2315341 */ /*GILLT_nxv2s64*//*Label 31925*/ GIMT_Encode4(2317482), GIMT_Encode4(0),
     /* 2315349 */ /*GILLT_nxv4s8*//*Label 31926*/ GIMT_Encode4(2317699),
     /* 2315353 */ /*GILLT_nxv4s16*//*Label 31927*/ GIMT_Encode4(2317803),
     /* 2315357 */ /*GILLT_nxv4s32*//*Label 31928*/ GIMT_Encode4(2318020),
     /* 2315361 */ /*GILLT_nxv4s64*//*Label 31929*/ GIMT_Encode4(2318345), GIMT_Encode4(0),
     /* 2315369 */ /*GILLT_nxv8s8*//*Label 31930*/ GIMT_Encode4(2318562),
     /* 2315373 */ /*GILLT_nxv8s16*//*Label 31931*/ GIMT_Encode4(2318666),
     /* 2315377 */ /*GILLT_nxv8s32*//*Label 31932*/ GIMT_Encode4(2318883),
     /* 2315381 */ /*GILLT_nxv8s64*//*Label 31933*/ GIMT_Encode4(2319208), GIMT_Encode4(0),
     /* 2315389 */ /*GILLT_nxv16s8*//*Label 31934*/ GIMT_Encode4(2319425),
     /* 2315393 */ /*GILLT_nxv16s16*//*Label 31935*/ GIMT_Encode4(2319529),
     /* 2315397 */ /*GILLT_nxv16s32*//*Label 31936*/ GIMT_Encode4(2319746), GIMT_Encode4(0),
     /* 2315405 */ /*GILLT_nxv32s8*//*Label 31937*/ GIMT_Encode4(2319963),
     /* 2315409 */ /*GILLT_nxv32s16*//*Label 31938*/ GIMT_Encode4(2320067),
     /* 2315413 */ // Label 31916: @2315413
     /* 2315413 */ GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2315444), // Rule ID 1346 //
     /* 2315418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2315421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2315432 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2315435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315437 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315443 */   // GIR_Coverage, 1346,
     /* 2315443 */   GIR_EraseRootFromParent_Done,
     /* 2315444 */ // Label 31940: @2315444
     /* 2315444 */ GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2315475), // Rule ID 1347 //
     /* 2315449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2315452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2315463 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2315463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2315466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315474 */   // GIR_Coverage, 1347,
     /* 2315474 */   GIR_EraseRootFromParent_Done,
     /* 2315475 */ // Label 31941: @2315475
     /* 2315475 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2315506), // Rule ID 1372 //
     /* 2315480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2315483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2315494 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2315497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315499 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315505 */   // GIR_Coverage, 1372,
     /* 2315505 */   GIR_EraseRootFromParent_Done,
     /* 2315506 */ // Label 31942: @2315506
     /* 2315506 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2315537), // Rule ID 1373 //
     /* 2315511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2315514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2315525 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2315525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2315528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315536 */   // GIR_Coverage, 1373,
     /* 2315536 */   GIR_EraseRootFromParent_Done,
     /* 2315537 */ // Label 31943: @2315537
     /* 2315537 */ GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2315568), // Rule ID 1740 //
     /* 2315542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2315545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315556 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2315559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315567 */   // GIR_Coverage, 1740,
     /* 2315567 */   GIR_EraseRootFromParent_Done,
     /* 2315568 */ // Label 31944: @2315568
     /* 2315568 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2315599), // Rule ID 1741 //
     /* 2315573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2315576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315587 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2315587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2315590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315592 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315598 */   // GIR_Coverage, 1741,
     /* 2315598 */   GIR_EraseRootFromParent_Done,
     /* 2315599 */ // Label 31945: @2315599
     /* 2315599 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2315630), // Rule ID 1766 //
     /* 2315604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2315607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2315618 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2315621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315623 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315629 */   // GIR_Coverage, 1766,
     /* 2315629 */   GIR_EraseRootFromParent_Done,
     /* 2315630 */ // Label 31946: @2315630
     /* 2315630 */ GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2315661), // Rule ID 1767 //
     /* 2315635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2315638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2315649 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2315649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2315652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315654 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315660 */   // GIR_Coverage, 1767,
     /* 2315660 */   GIR_EraseRootFromParent_Done,
     /* 2315661 */ // Label 31947: @2315661
     /* 2315661 */ GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2315692), // Rule ID 2082 //
     /* 2315666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2315669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2315680 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2315680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2315683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315691 */   // GIR_Coverage, 2082,
     /* 2315691 */   GIR_EraseRootFromParent_Done,
     /* 2315692 */ // Label 31948: @2315692
     /* 2315692 */ GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2315723), // Rule ID 2083 //
     /* 2315697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2315700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2315711 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2315711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2315714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315716 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315722 */   // GIR_Coverage, 2083,
     /* 2315722 */   GIR_EraseRootFromParent_Done,
     /* 2315723 */ // Label 31949: @2315723
     /* 2315723 */ GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2315754), // Rule ID 2108 //
     /* 2315728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2315731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2315742 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2315742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2315745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315753 */   // GIR_Coverage, 2108,
     /* 2315753 */   GIR_EraseRootFromParent_Done,
     /* 2315754 */ // Label 31950: @2315754
     /* 2315754 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2315785), // Rule ID 2109 //
     /* 2315759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2315762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2315773 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2315773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2315776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315784 */   // GIR_Coverage, 2109,
     /* 2315784 */   GIR_EraseRootFromParent_Done,
     /* 2315785 */ // Label 31951: @2315785
     /* 2315785 */ GIM_Reject,
     /* 2315786 */ // Label 31917: @2315786
     /* 2315786 */ GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2315817), // Rule ID 1403 //
     /* 2315791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2315794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2315805 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2315808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315810 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315816 */   // GIR_Coverage, 1403,
     /* 2315816 */   GIR_EraseRootFromParent_Done,
     /* 2315817 */ // Label 31952: @2315817
     /* 2315817 */ GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2315848), // Rule ID 1431 //
     /* 2315822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2315825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2315836 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2315836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2315839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315847 */   // GIR_Coverage, 1431,
     /* 2315847 */   GIR_EraseRootFromParent_Done,
     /* 2315848 */ // Label 31953: @2315848
     /* 2315848 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2315879), // Rule ID 1803 //
     /* 2315853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2315856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315867 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2315870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315872 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315878 */   // GIR_Coverage, 1803,
     /* 2315878 */   GIR_EraseRootFromParent_Done,
     /* 2315879 */ // Label 31954: @2315879
     /* 2315879 */ GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2315910), // Rule ID 1831 //
     /* 2315884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2315887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315898 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2315898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2315901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315903 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315909 */   // GIR_Coverage, 1831,
     /* 2315909 */   GIR_EraseRootFromParent_Done,
     /* 2315910 */ // Label 31955: @2315910
     /* 2315910 */ GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2315941), // Rule ID 2137 //
     /* 2315915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2315918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2315929 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2315929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2315932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315934 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315940 */   // GIR_Coverage, 2137,
     /* 2315940 */   GIR_EraseRootFromParent_Done,
     /* 2315941 */ // Label 31956: @2315941
     /* 2315941 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2315972), // Rule ID 2163 //
     /* 2315946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2315949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2315960 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2315960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2315963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315965 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315971 */   // GIR_Coverage, 2163,
     /* 2315971 */   GIR_EraseRootFromParent_Done,
     /* 2315972 */ // Label 31957: @2315972
     /* 2315972 */ GIM_Reject,
     /* 2315973 */ // Label 31918: @2315973
     /* 2315973 */ GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2316076),
     /* 2315978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315989 */   GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2316032), // Rule ID 45710 //
     /* 2315994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315997 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2316014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316031 */     // GIR_Coverage, 45710,
     /* 2316031 */     GIR_EraseRootFromParent_Done,
     /* 2316032 */   // Label 31959: @2316032
     /* 2316032 */   GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2316075), // Rule ID 45711 //
     /* 2316037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316040 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2316043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2316057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316074 */     // GIR_Coverage, 45711,
     /* 2316074 */     GIR_EraseRootFromParent_Done,
     /* 2316075 */   // Label 31960: @2316075
     /* 2316075 */   GIM_Reject,
     /* 2316076 */ // Label 31958: @2316076
     /* 2316076 */ GIM_Reject,
     /* 2316077 */ // Label 31919: @2316077
     /* 2316077 */ GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2316131), // Rule ID 45694 //
     /* 2316082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316096 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316108 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2316113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316118 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316130 */   // GIR_Coverage, 45694,
     /* 2316130 */   GIR_EraseRootFromParent_Done,
     /* 2316131 */ // Label 31961: @2316131
     /* 2316131 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2316185), // Rule ID 45695 //
     /* 2316136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316150 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316150 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316153 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316157 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316162 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2316167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316172 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316184 */   // GIR_Coverage, 45695,
     /* 2316184 */   GIR_EraseRootFromParent_Done,
     /* 2316185 */ // Label 31962: @2316185
     /* 2316185 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2316239), // Rule ID 58618 //
     /* 2316190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316204 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316216 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2316221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316238 */   // GIR_Coverage, 58618,
     /* 2316238 */   GIR_EraseRootFromParent_Done,
     /* 2316239 */ // Label 31963: @2316239
     /* 2316239 */ GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2316293), // Rule ID 58619 //
     /* 2316244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316258 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2316275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316292 */   // GIR_Coverage, 58619,
     /* 2316292 */   GIR_EraseRootFromParent_Done,
     /* 2316293 */ // Label 31964: @2316293
     /* 2316293 */ GIM_Reject,
     /* 2316294 */ // Label 31920: @2316294
     /* 2316294 */ GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2316348), // Rule ID 45702 //
     /* 2316299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316313 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2316330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316347 */   // GIR_Coverage, 45702,
     /* 2316347 */   GIR_EraseRootFromParent_Done,
     /* 2316348 */ // Label 31965: @2316348
     /* 2316348 */ GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2316402), // Rule ID 45703 //
     /* 2316353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316367 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316367 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316370 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316374 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2316384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316386 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316389 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316401 */   // GIR_Coverage, 45703,
     /* 2316401 */   GIR_EraseRootFromParent_Done,
     /* 2316402 */ // Label 31966: @2316402
     /* 2316402 */ GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2316456), // Rule ID 58186 //
     /* 2316407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316421 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316421 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316424 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316428 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2316438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316440 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316443 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316455 */   // GIR_Coverage, 58186,
     /* 2316455 */   GIR_EraseRootFromParent_Done,
     /* 2316456 */ // Label 31967: @2316456
     /* 2316456 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2316510), // Rule ID 58187 //
     /* 2316461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316475 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2316492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316497 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316509 */   // GIR_Coverage, 58187,
     /* 2316509 */   GIR_EraseRootFromParent_Done,
     /* 2316510 */ // Label 31968: @2316510
     /* 2316510 */ GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2316564), // Rule ID 58638 //
     /* 2316515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2316518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316529 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2316546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316563 */   // GIR_Coverage, 58638,
     /* 2316563 */   GIR_EraseRootFromParent_Done,
     /* 2316564 */ // Label 31969: @2316564
     /* 2316564 */ GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2316618), // Rule ID 58639 //
     /* 2316569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2316572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316583 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316595 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2316600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316602 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316617 */   // GIR_Coverage, 58639,
     /* 2316617 */   GIR_EraseRootFromParent_Done,
     /* 2316618 */ // Label 31970: @2316618
     /* 2316618 */ GIM_Reject,
     /* 2316619 */ // Label 31921: @2316619
     /* 2316619 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2316673), // Rule ID 58198 //
     /* 2316624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2316627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316638 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2316655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316660 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316672 */   // GIR_Coverage, 58198,
     /* 2316672 */   GIR_EraseRootFromParent_Done,
     /* 2316673 */ // Label 31971: @2316673
     /* 2316673 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2316727), // Rule ID 58199 //
     /* 2316678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2316681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2316684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316692 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2316709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316726 */   // GIR_Coverage, 58199,
     /* 2316726 */   GIR_EraseRootFromParent_Done,
     /* 2316727 */ // Label 31972: @2316727
     /* 2316727 */ GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2316781), // Rule ID 58430 //
     /* 2316732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2316735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316746 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2316763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316780 */   // GIR_Coverage, 58430,
     /* 2316780 */   GIR_EraseRootFromParent_Done,
     /* 2316781 */ // Label 31973: @2316781
     /* 2316781 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2316835), // Rule ID 58431 //
     /* 2316786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2316789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316800 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2316817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316834 */   // GIR_Coverage, 58431,
     /* 2316834 */   GIR_EraseRootFromParent_Done,
     /* 2316835 */ // Label 31974: @2316835
     /* 2316835 */ GIM_Reject,
     /* 2316836 */ // Label 31922: @2316836
     /* 2316836 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2316939),
     /* 2316841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316852 */   GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2316895), // Rule ID 58598 //
     /* 2316857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316860 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2316863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2316877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316894 */     // GIR_Coverage, 58598,
     /* 2316894 */     GIR_EraseRootFromParent_Done,
     /* 2316895 */   // Label 31976: @2316895
     /* 2316895 */   GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2316938), // Rule ID 58599 //
     /* 2316900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316903 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2316906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2316920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316937 */     // GIR_Coverage, 58599,
     /* 2316937 */     GIR_EraseRootFromParent_Done,
     /* 2316938 */   // Label 31977: @2316938
     /* 2316938 */   GIM_Reject,
     /* 2316939 */ // Label 31975: @2316939
     /* 2316939 */ GIM_Reject,
     /* 2316940 */ // Label 31923: @2316940
     /* 2316940 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2316994), // Rule ID 58182 //
     /* 2316945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316959 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316959 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316962 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316966 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316971 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2316976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316981 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316993 */   // GIR_Coverage, 58182,
     /* 2316993 */   GIR_EraseRootFromParent_Done,
     /* 2316994 */ // Label 31978: @2316994
     /* 2316994 */ GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2317048), // Rule ID 58183 //
     /* 2316999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317013 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317013 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317016 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317020 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2317030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317047 */   // GIR_Coverage, 58183,
     /* 2317047 */   GIR_EraseRootFromParent_Done,
     /* 2317048 */ // Label 31979: @2317048
     /* 2317048 */ GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2317102), // Rule ID 58622 //
     /* 2317053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317067 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317067 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317070 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317074 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317079 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2317084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317086 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317089 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317101 */   // GIR_Coverage, 58622,
     /* 2317101 */   GIR_EraseRootFromParent_Done,
     /* 2317102 */ // Label 31980: @2317102
     /* 2317102 */ GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2317156), // Rule ID 58623 //
     /* 2317107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317121 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317121 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2317124 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317128 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317133 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2317138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317140 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317143 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317155 */   // GIR_Coverage, 58623,
     /* 2317155 */   GIR_EraseRootFromParent_Done,
     /* 2317156 */ // Label 31981: @2317156
     /* 2317156 */ GIM_Reject,
     /* 2317157 */ // Label 31924: @2317157
     /* 2317157 */ GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2317211), // Rule ID 58194 //
     /* 2317162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317176 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2317193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317210 */   // GIR_Coverage, 58194,
     /* 2317210 */   GIR_EraseRootFromParent_Done,
     /* 2317211 */ // Label 31982: @2317211
     /* 2317211 */ GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2317265), // Rule ID 58195 //
     /* 2317216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317230 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2317247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317264 */   // GIR_Coverage, 58195,
     /* 2317264 */   GIR_EraseRootFromParent_Done,
     /* 2317265 */ // Label 31983: @2317265
     /* 2317265 */ GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2317319), // Rule ID 58414 //
     /* 2317270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317284 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2317301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317318 */   // GIR_Coverage, 58414,
     /* 2317318 */   GIR_EraseRootFromParent_Done,
     /* 2317319 */ // Label 31984: @2317319
     /* 2317319 */ GIM_Try, /*On fail goto*//*Label 31985*/ GIMT_Encode4(2317373), // Rule ID 58415 //
     /* 2317324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317338 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2317355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317372 */   // GIR_Coverage, 58415,
     /* 2317372 */   GIR_EraseRootFromParent_Done,
     /* 2317373 */ // Label 31985: @2317373
     /* 2317373 */ GIM_Try, /*On fail goto*//*Label 31986*/ GIMT_Encode4(2317427), // Rule ID 58642 //
     /* 2317378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2317381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317392 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2317409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317426 */   // GIR_Coverage, 58642,
     /* 2317426 */   GIR_EraseRootFromParent_Done,
     /* 2317427 */ // Label 31986: @2317427
     /* 2317427 */ GIM_Try, /*On fail goto*//*Label 31987*/ GIMT_Encode4(2317481), // Rule ID 58643 //
     /* 2317432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317446 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317458 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2317463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317480 */   // GIR_Coverage, 58643,
     /* 2317480 */   GIR_EraseRootFromParent_Done,
     /* 2317481 */ // Label 31987: @2317481
     /* 2317481 */ GIM_Reject,
     /* 2317482 */ // Label 31925: @2317482
     /* 2317482 */ GIM_Try, /*On fail goto*//*Label 31988*/ GIMT_Encode4(2317536), // Rule ID 58226 //
     /* 2317487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317501 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2317518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317520 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317535 */   // GIR_Coverage, 58226,
     /* 2317535 */   GIR_EraseRootFromParent_Done,
     /* 2317536 */ // Label 31988: @2317536
     /* 2317536 */ GIM_Try, /*On fail goto*//*Label 31989*/ GIMT_Encode4(2317590), // Rule ID 58227 //
     /* 2317541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2317547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317555 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2317572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317589 */   // GIR_Coverage, 58227,
     /* 2317589 */   GIR_EraseRootFromParent_Done,
     /* 2317590 */ // Label 31989: @2317590
     /* 2317590 */ GIM_Try, /*On fail goto*//*Label 31990*/ GIMT_Encode4(2317644), // Rule ID 58434 //
     /* 2317595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317609 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2317626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317643 */   // GIR_Coverage, 58434,
     /* 2317643 */   GIR_EraseRootFromParent_Done,
     /* 2317644 */ // Label 31990: @2317644
     /* 2317644 */ GIM_Try, /*On fail goto*//*Label 31991*/ GIMT_Encode4(2317698), // Rule ID 58435 //
     /* 2317649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317663 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2317680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317697 */   // GIR_Coverage, 58435,
     /* 2317697 */   GIR_EraseRootFromParent_Done,
     /* 2317698 */ // Label 31991: @2317698
     /* 2317698 */ GIM_Reject,
     /* 2317699 */ // Label 31926: @2317699
     /* 2317699 */ GIM_Try, /*On fail goto*//*Label 31992*/ GIMT_Encode4(2317802),
     /* 2317704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317715 */   GIM_Try, /*On fail goto*//*Label 31993*/ GIMT_Encode4(2317758), // Rule ID 58602 //
     /* 2317720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317723 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2317726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2317740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317757 */     // GIR_Coverage, 58602,
     /* 2317757 */     GIR_EraseRootFromParent_Done,
     /* 2317758 */   // Label 31993: @2317758
     /* 2317758 */   GIM_Try, /*On fail goto*//*Label 31994*/ GIMT_Encode4(2317801), // Rule ID 58603 //
     /* 2317763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317766 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2317769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2317783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317800 */     // GIR_Coverage, 58603,
     /* 2317800 */     GIR_EraseRootFromParent_Done,
     /* 2317801 */   // Label 31994: @2317801
     /* 2317801 */   GIM_Reject,
     /* 2317802 */ // Label 31992: @2317802
     /* 2317802 */ GIM_Reject,
     /* 2317803 */ // Label 31927: @2317803
     /* 2317803 */ GIM_Try, /*On fail goto*//*Label 31995*/ GIMT_Encode4(2317857), // Rule ID 58190 //
     /* 2317808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317822 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317834 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2317839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317841 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317844 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317856 */   // GIR_Coverage, 58190,
     /* 2317856 */   GIR_EraseRootFromParent_Done,
     /* 2317857 */ // Label 31995: @2317857
     /* 2317857 */ GIM_Try, /*On fail goto*//*Label 31996*/ GIMT_Encode4(2317911), // Rule ID 58191 //
     /* 2317862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317876 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2317893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317910 */   // GIR_Coverage, 58191,
     /* 2317910 */   GIR_EraseRootFromParent_Done,
     /* 2317911 */ // Label 31996: @2317911
     /* 2317911 */ GIM_Try, /*On fail goto*//*Label 31997*/ GIMT_Encode4(2317965), // Rule ID 58626 //
     /* 2317916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317930 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317930 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317933 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317937 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317942 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2317947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317952 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317964 */   // GIR_Coverage, 58626,
     /* 2317964 */   GIR_EraseRootFromParent_Done,
     /* 2317965 */ // Label 31997: @2317965
     /* 2317965 */ GIM_Try, /*On fail goto*//*Label 31998*/ GIMT_Encode4(2318019), // Rule ID 58627 //
     /* 2317970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317984 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317984 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317987 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317991 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317996 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2318001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318003 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318006 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318018 */   // GIR_Coverage, 58627,
     /* 2318018 */   GIR_EraseRootFromParent_Done,
     /* 2318019 */ // Label 31998: @2318019
     /* 2318019 */ GIM_Reject,
     /* 2318020 */ // Label 31928: @2318020
     /* 2318020 */ GIM_Try, /*On fail goto*//*Label 31999*/ GIMT_Encode4(2318074), // Rule ID 58214 //
     /* 2318025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318039 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2318056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318073 */   // GIR_Coverage, 58214,
     /* 2318073 */   GIR_EraseRootFromParent_Done,
     /* 2318074 */ // Label 31999: @2318074
     /* 2318074 */ GIM_Try, /*On fail goto*//*Label 32000*/ GIMT_Encode4(2318128), // Rule ID 58215 //
     /* 2318079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318093 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2318110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318127 */   // GIR_Coverage, 58215,
     /* 2318127 */   GIR_EraseRootFromParent_Done,
     /* 2318128 */ // Label 32000: @2318128
     /* 2318128 */ GIM_Try, /*On fail goto*//*Label 32001*/ GIMT_Encode4(2318182), // Rule ID 58418 //
     /* 2318133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318147 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2318164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318181 */   // GIR_Coverage, 58418,
     /* 2318181 */   GIR_EraseRootFromParent_Done,
     /* 2318182 */ // Label 32001: @2318182
     /* 2318182 */ GIM_Try, /*On fail goto*//*Label 32002*/ GIMT_Encode4(2318236), // Rule ID 58419 //
     /* 2318187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2318193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318201 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2318218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318235 */   // GIR_Coverage, 58419,
     /* 2318235 */   GIR_EraseRootFromParent_Done,
     /* 2318236 */ // Label 32002: @2318236
     /* 2318236 */ GIM_Try, /*On fail goto*//*Label 32003*/ GIMT_Encode4(2318290), // Rule ID 58646 //
     /* 2318241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2318244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318255 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2318272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318289 */   // GIR_Coverage, 58646,
     /* 2318289 */   GIR_EraseRootFromParent_Done,
     /* 2318290 */ // Label 32003: @2318290
     /* 2318290 */ GIM_Try, /*On fail goto*//*Label 32004*/ GIMT_Encode4(2318344), // Rule ID 58647 //
     /* 2318295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2318298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318309 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318309 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2318312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318316 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318321 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2318326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318328 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318331 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318343 */   // GIR_Coverage, 58647,
     /* 2318343 */   GIR_EraseRootFromParent_Done,
     /* 2318344 */ // Label 32004: @2318344
     /* 2318344 */ GIM_Reject,
     /* 2318345 */ // Label 31929: @2318345
     /* 2318345 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2318399), // Rule ID 58230 //
     /* 2318350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2318353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318364 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318364 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318367 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318371 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318376 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2318381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318383 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318386 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318398 */   // GIR_Coverage, 58230,
     /* 2318398 */   GIR_EraseRootFromParent_Done,
     /* 2318399 */ // Label 32005: @2318399
     /* 2318399 */ GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2318453), // Rule ID 58231 //
     /* 2318404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2318407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318418 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318418 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318421 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318425 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318430 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2318435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318437 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318440 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318452 */   // GIR_Coverage, 58231,
     /* 2318452 */   GIR_EraseRootFromParent_Done,
     /* 2318453 */ // Label 32006: @2318453
     /* 2318453 */ GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2318507), // Rule ID 58438 //
     /* 2318458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2318461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318472 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318484 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2318489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318491 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318494 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318506 */   // GIR_Coverage, 58438,
     /* 2318506 */   GIR_EraseRootFromParent_Done,
     /* 2318507 */ // Label 32007: @2318507
     /* 2318507 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2318561), // Rule ID 58439 //
     /* 2318512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2318518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318526 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318538 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2318543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318545 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318548 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318560 */   // GIR_Coverage, 58439,
     /* 2318560 */   GIR_EraseRootFromParent_Done,
     /* 2318561 */ // Label 32008: @2318561
     /* 2318561 */ GIM_Reject,
     /* 2318562 */ // Label 31930: @2318562
     /* 2318562 */ GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2318665),
     /* 2318567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318578 */   GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2318621), // Rule ID 58606 //
     /* 2318583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318586 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2318589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2318603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318620 */     // GIR_Coverage, 58606,
     /* 2318620 */     GIR_EraseRootFromParent_Done,
     /* 2318621 */   // Label 32010: @2318621
     /* 2318621 */   GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2318664), // Rule ID 58607 //
     /* 2318626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318629 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2318632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2318646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318663 */     // GIR_Coverage, 58607,
     /* 2318663 */     GIR_EraseRootFromParent_Done,
     /* 2318664 */   // Label 32011: @2318664
     /* 2318664 */   GIM_Reject,
     /* 2318665 */ // Label 32009: @2318665
     /* 2318665 */ GIM_Reject,
     /* 2318666 */ // Label 31931: @2318666
     /* 2318666 */ GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2318720), // Rule ID 58202 //
     /* 2318671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318685 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2318702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318707 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318719 */   // GIR_Coverage, 58202,
     /* 2318719 */   GIR_EraseRootFromParent_Done,
     /* 2318720 */ // Label 32012: @2318720
     /* 2318720 */ GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2318774), // Rule ID 58203 //
     /* 2318725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318739 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2318756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318761 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318773 */   // GIR_Coverage, 58203,
     /* 2318773 */   GIR_EraseRootFromParent_Done,
     /* 2318774 */ // Label 32013: @2318774
     /* 2318774 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2318828), // Rule ID 58630 //
     /* 2318779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318793 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2318810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318812 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318827 */   // GIR_Coverage, 58630,
     /* 2318827 */   GIR_EraseRootFromParent_Done,
     /* 2318828 */ // Label 32014: @2318828
     /* 2318828 */ GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2318882), // Rule ID 58631 //
     /* 2318833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318847 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2318864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318866 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318881 */   // GIR_Coverage, 58631,
     /* 2318881 */   GIR_EraseRootFromParent_Done,
     /* 2318882 */ // Label 32015: @2318882
     /* 2318882 */ GIM_Reject,
     /* 2318883 */ // Label 31932: @2318883
     /* 2318883 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2318937), // Rule ID 58218 //
     /* 2318888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318902 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318902 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318905 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318909 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318914 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2318919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318921 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318924 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318936 */   // GIR_Coverage, 58218,
     /* 2318936 */   GIR_EraseRootFromParent_Done,
     /* 2318937 */ // Label 32016: @2318937
     /* 2318937 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2318991), // Rule ID 58219 //
     /* 2318942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318956 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318956 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318959 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318963 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318968 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2318973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318975 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318990 */   // GIR_Coverage, 58219,
     /* 2318990 */   GIR_EraseRootFromParent_Done,
     /* 2318991 */ // Label 32017: @2318991
     /* 2318991 */ GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2319045), // Rule ID 58422 //
     /* 2318996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319010 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2319027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319029 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319032 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319044 */   // GIR_Coverage, 58422,
     /* 2319044 */   GIR_EraseRootFromParent_Done,
     /* 2319045 */ // Label 32018: @2319045
     /* 2319045 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2319099), // Rule ID 58423 //
     /* 2319050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2319056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319064 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2319081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319083 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319098 */   // GIR_Coverage, 58423,
     /* 2319098 */   GIR_EraseRootFromParent_Done,
     /* 2319099 */ // Label 32019: @2319099
     /* 2319099 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2319153), // Rule ID 58650 //
     /* 2319104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2319107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319118 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319118 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319125 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319130 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2319135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319137 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319140 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319152 */   // GIR_Coverage, 58650,
     /* 2319152 */   GIR_EraseRootFromParent_Done,
     /* 2319153 */ // Label 32020: @2319153
     /* 2319153 */ GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2319207), // Rule ID 58651 //
     /* 2319158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2319161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319172 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319172 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2319175 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319179 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319184 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2319189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319191 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319194 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319206 */   // GIR_Coverage, 58651,
     /* 2319206 */   GIR_EraseRootFromParent_Done,
     /* 2319207 */ // Label 32021: @2319207
     /* 2319207 */ GIM_Reject,
     /* 2319208 */ // Label 31933: @2319208
     /* 2319208 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2319262), // Rule ID 58234 //
     /* 2319213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2319216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319227 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2319244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319261 */   // GIR_Coverage, 58234,
     /* 2319261 */   GIR_EraseRootFromParent_Done,
     /* 2319262 */ // Label 32022: @2319262
     /* 2319262 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2319316), // Rule ID 58235 //
     /* 2319267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2319270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319281 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2319298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319315 */   // GIR_Coverage, 58235,
     /* 2319315 */   GIR_EraseRootFromParent_Done,
     /* 2319316 */ // Label 32023: @2319316
     /* 2319316 */ GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2319370), // Rule ID 58442 //
     /* 2319321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2319324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319335 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2319352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319369 */   // GIR_Coverage, 58442,
     /* 2319369 */   GIR_EraseRootFromParent_Done,
     /* 2319370 */ // Label 32024: @2319370
     /* 2319370 */ GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2319424), // Rule ID 58443 //
     /* 2319375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2319378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319389 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2319392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2319406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319408 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319411 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319423 */   // GIR_Coverage, 58443,
     /* 2319423 */   GIR_EraseRootFromParent_Done,
     /* 2319424 */ // Label 32025: @2319424
     /* 2319424 */ GIM_Reject,
     /* 2319425 */ // Label 31934: @2319425
     /* 2319425 */ GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2319528),
     /* 2319430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319441 */   GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2319484), // Rule ID 58610 //
     /* 2319446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319449 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2319452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2319466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319483 */     // GIR_Coverage, 58610,
     /* 2319483 */     GIR_EraseRootFromParent_Done,
     /* 2319484 */   // Label 32027: @2319484
     /* 2319484 */   GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2319527), // Rule ID 58611 //
     /* 2319489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319492 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2319495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2319509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319526 */     // GIR_Coverage, 58611,
     /* 2319526 */     GIR_EraseRootFromParent_Done,
     /* 2319527 */   // Label 32028: @2319527
     /* 2319527 */   GIM_Reject,
     /* 2319528 */ // Label 32026: @2319528
     /* 2319528 */ GIM_Reject,
     /* 2319529 */ // Label 31935: @2319529
     /* 2319529 */ GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2319583), // Rule ID 58206 //
     /* 2319534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319548 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319560 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2319565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319567 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319570 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319582 */   // GIR_Coverage, 58206,
     /* 2319582 */   GIR_EraseRootFromParent_Done,
     /* 2319583 */ // Label 32029: @2319583
     /* 2319583 */ GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2319637), // Rule ID 58207 //
     /* 2319588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319602 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319602 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319605 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319609 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319614 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2319619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319621 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319624 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319636 */   // GIR_Coverage, 58207,
     /* 2319636 */   GIR_EraseRootFromParent_Done,
     /* 2319637 */ // Label 32030: @2319637
     /* 2319637 */ GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2319691), // Rule ID 58634 //
     /* 2319642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319656 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319668 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2319673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319675 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319690 */   // GIR_Coverage, 58634,
     /* 2319690 */   GIR_EraseRootFromParent_Done,
     /* 2319691 */ // Label 32031: @2319691
     /* 2319691 */ GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2319745), // Rule ID 58635 //
     /* 2319696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319710 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319722 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2319727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319729 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319744 */   // GIR_Coverage, 58635,
     /* 2319744 */   GIR_EraseRootFromParent_Done,
     /* 2319745 */ // Label 32032: @2319745
     /* 2319745 */ GIM_Reject,
     /* 2319746 */ // Label 31936: @2319746
     /* 2319746 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2319800), // Rule ID 58222 //
     /* 2319751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319765 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319765 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319768 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319772 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2319782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319799 */   // GIR_Coverage, 58222,
     /* 2319799 */   GIR_EraseRootFromParent_Done,
     /* 2319800 */ // Label 32033: @2319800
     /* 2319800 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2319854), // Rule ID 58223 //
     /* 2319805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319819 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2319836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319853 */   // GIR_Coverage, 58223,
     /* 2319853 */   GIR_EraseRootFromParent_Done,
     /* 2319854 */ // Label 32034: @2319854
     /* 2319854 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2319908), // Rule ID 58426 //
     /* 2319859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319873 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319873 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319876 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319880 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2319890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319907 */   // GIR_Coverage, 58426,
     /* 2319907 */   GIR_EraseRootFromParent_Done,
     /* 2319908 */ // Label 32035: @2319908
     /* 2319908 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2319962), // Rule ID 58427 //
     /* 2319913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319927 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319927 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319930 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319934 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319939 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2319944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319946 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319949 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319961 */   // GIR_Coverage, 58427,
     /* 2319961 */   GIR_EraseRootFromParent_Done,
     /* 2319962 */ // Label 32036: @2319962
     /* 2319962 */ GIM_Reject,
     /* 2319963 */ // Label 31937: @2319963
     /* 2319963 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2320066),
     /* 2319968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2319971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319979 */   GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2320022), // Rule ID 58614 //
     /* 2319984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319987 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2319990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2320004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320021 */     // GIR_Coverage, 58614,
     /* 2320021 */     GIR_EraseRootFromParent_Done,
     /* 2320022 */   // Label 32038: @2320022
     /* 2320022 */   GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2320065), // Rule ID 58615 //
     /* 2320027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320030 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2320033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2320047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320064 */     // GIR_Coverage, 58615,
     /* 2320064 */     GIR_EraseRootFromParent_Done,
     /* 2320065 */   // Label 32039: @2320065
     /* 2320065 */   GIM_Reject,
     /* 2320066 */ // Label 32037: @2320066
     /* 2320066 */ GIM_Reject,
     /* 2320067 */ // Label 31938: @2320067
     /* 2320067 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2320170),
     /* 2320072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2320075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320083 */   GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2320126), // Rule ID 58210 //
     /* 2320088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320091 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2320108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320125 */     // GIR_Coverage, 58210,
     /* 2320125 */     GIR_EraseRootFromParent_Done,
     /* 2320126 */   // Label 32041: @2320126
     /* 2320126 */   GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2320169), // Rule ID 58211 //
     /* 2320131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320134 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2320137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2320151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320168 */     // GIR_Coverage, 58211,
     /* 2320168 */     GIR_EraseRootFromParent_Done,
     /* 2320169 */   // Label 32042: @2320169
     /* 2320169 */   GIM_Reject,
     /* 2320170 */ // Label 32040: @2320170
     /* 2320170 */ GIM_Reject,
     /* 2320171 */ // Label 31939: @2320171
     /* 2320171 */ GIM_Reject,
     /* 2320172 */ // Label 68: @2320172
     /* 2320172 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32066*/ GIMT_Encode4(2325057),
     /* 2320183 */ /*GILLT_s32*//*Label 32043*/ GIMT_Encode4(2320299),
     /* 2320187 */ /*GILLT_s64*//*Label 32044*/ GIMT_Encode4(2320672), GIMT_Encode4(0),
     /* 2320195 */ /*GILLT_nxv1s8*//*Label 32045*/ GIMT_Encode4(2320859),
     /* 2320199 */ /*GILLT_nxv1s16*//*Label 32046*/ GIMT_Encode4(2320963),
     /* 2320203 */ /*GILLT_nxv1s32*//*Label 32047*/ GIMT_Encode4(2321180),
     /* 2320207 */ /*GILLT_nxv1s64*//*Label 32048*/ GIMT_Encode4(2321505), GIMT_Encode4(0),
     /* 2320215 */ /*GILLT_nxv2s8*//*Label 32049*/ GIMT_Encode4(2321722),
     /* 2320219 */ /*GILLT_nxv2s16*//*Label 32050*/ GIMT_Encode4(2321826),
     /* 2320223 */ /*GILLT_nxv2s32*//*Label 32051*/ GIMT_Encode4(2322043),
     /* 2320227 */ /*GILLT_nxv2s64*//*Label 32052*/ GIMT_Encode4(2322368), GIMT_Encode4(0),
     /* 2320235 */ /*GILLT_nxv4s8*//*Label 32053*/ GIMT_Encode4(2322585),
     /* 2320239 */ /*GILLT_nxv4s16*//*Label 32054*/ GIMT_Encode4(2322689),
     /* 2320243 */ /*GILLT_nxv4s32*//*Label 32055*/ GIMT_Encode4(2322906),
     /* 2320247 */ /*GILLT_nxv4s64*//*Label 32056*/ GIMT_Encode4(2323231), GIMT_Encode4(0),
     /* 2320255 */ /*GILLT_nxv8s8*//*Label 32057*/ GIMT_Encode4(2323448),
     /* 2320259 */ /*GILLT_nxv8s16*//*Label 32058*/ GIMT_Encode4(2323552),
     /* 2320263 */ /*GILLT_nxv8s32*//*Label 32059*/ GIMT_Encode4(2323769),
     /* 2320267 */ /*GILLT_nxv8s64*//*Label 32060*/ GIMT_Encode4(2324094), GIMT_Encode4(0),
     /* 2320275 */ /*GILLT_nxv16s8*//*Label 32061*/ GIMT_Encode4(2324311),
     /* 2320279 */ /*GILLT_nxv16s16*//*Label 32062*/ GIMT_Encode4(2324415),
     /* 2320283 */ /*GILLT_nxv16s32*//*Label 32063*/ GIMT_Encode4(2324632), GIMT_Encode4(0),
     /* 2320291 */ /*GILLT_nxv32s8*//*Label 32064*/ GIMT_Encode4(2324849),
     /* 2320295 */ /*GILLT_nxv32s16*//*Label 32065*/ GIMT_Encode4(2324953),
     /* 2320299 */ // Label 32043: @2320299
     /* 2320299 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2320330), // Rule ID 1350 //
     /* 2320304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2320307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320318 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2320321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320323 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320329 */   // GIR_Coverage, 1350,
     /* 2320329 */   GIR_EraseRootFromParent_Done,
     /* 2320330 */ // Label 32067: @2320330
     /* 2320330 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2320361), // Rule ID 1351 //
     /* 2320335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2320338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320349 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2320349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2320352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320354 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320360 */   // GIR_Coverage, 1351,
     /* 2320360 */   GIR_EraseRootFromParent_Done,
     /* 2320361 */ // Label 32068: @2320361
     /* 2320361 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2320392), // Rule ID 1376 //
     /* 2320366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2320369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320380 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2320383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320385 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320391 */   // GIR_Coverage, 1376,
     /* 2320391 */   GIR_EraseRootFromParent_Done,
     /* 2320392 */ // Label 32069: @2320392
     /* 2320392 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2320423), // Rule ID 1377 //
     /* 2320397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2320400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320411 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2320411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2320414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320416 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320422 */   // GIR_Coverage, 1377,
     /* 2320422 */   GIR_EraseRootFromParent_Done,
     /* 2320423 */ // Label 32070: @2320423
     /* 2320423 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2320454), // Rule ID 1744 //
     /* 2320428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2320431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320442 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2320445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320447 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320453 */   // GIR_Coverage, 1744,
     /* 2320453 */   GIR_EraseRootFromParent_Done,
     /* 2320454 */ // Label 32071: @2320454
     /* 2320454 */ GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2320485), // Rule ID 1745 //
     /* 2320459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2320462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320473 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2320473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2320476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320478 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320484 */   // GIR_Coverage, 1745,
     /* 2320484 */   GIR_EraseRootFromParent_Done,
     /* 2320485 */ // Label 32072: @2320485
     /* 2320485 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2320516), // Rule ID 1770 //
     /* 2320490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2320493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2320504 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2320507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320515 */   // GIR_Coverage, 1770,
     /* 2320515 */   GIR_EraseRootFromParent_Done,
     /* 2320516 */ // Label 32073: @2320516
     /* 2320516 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2320547), // Rule ID 1771 //
     /* 2320521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2320524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2320535 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2320535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2320538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320540 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320546 */   // GIR_Coverage, 1771,
     /* 2320546 */   GIR_EraseRootFromParent_Done,
     /* 2320547 */ // Label 32074: @2320547
     /* 2320547 */ GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2320578), // Rule ID 2086 //
     /* 2320552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2320555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320566 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2320569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320577 */   // GIR_Coverage, 2086,
     /* 2320577 */   GIR_EraseRootFromParent_Done,
     /* 2320578 */ // Label 32075: @2320578
     /* 2320578 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2320609), // Rule ID 2087 //
     /* 2320583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2320586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320597 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2320597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2320600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320602 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320608 */   // GIR_Coverage, 2087,
     /* 2320608 */   GIR_EraseRootFromParent_Done,
     /* 2320609 */ // Label 32076: @2320609
     /* 2320609 */ GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2320640), // Rule ID 2112 //
     /* 2320614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2320617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320628 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2320631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320633 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320639 */   // GIR_Coverage, 2112,
     /* 2320639 */   GIR_EraseRootFromParent_Done,
     /* 2320640 */ // Label 32077: @2320640
     /* 2320640 */ GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2320671), // Rule ID 2113 //
     /* 2320645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2320648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320659 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2320659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2320662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320664 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320670 */   // GIR_Coverage, 2113,
     /* 2320670 */   GIR_EraseRootFromParent_Done,
     /* 2320671 */ // Label 32078: @2320671
     /* 2320671 */ GIM_Reject,
     /* 2320672 */ // Label 32044: @2320672
     /* 2320672 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2320703), // Rule ID 1405 //
     /* 2320677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2320680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320691 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2320694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320702 */   // GIR_Coverage, 1405,
     /* 2320702 */   GIR_EraseRootFromParent_Done,
     /* 2320703 */ // Label 32079: @2320703
     /* 2320703 */ GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2320734), // Rule ID 1433 //
     /* 2320708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2320711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320722 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2320722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2320725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320733 */   // GIR_Coverage, 1433,
     /* 2320733 */   GIR_EraseRootFromParent_Done,
     /* 2320734 */ // Label 32080: @2320734
     /* 2320734 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2320765), // Rule ID 1805 //
     /* 2320739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2320742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320753 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2320756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320764 */   // GIR_Coverage, 1805,
     /* 2320764 */   GIR_EraseRootFromParent_Done,
     /* 2320765 */ // Label 32081: @2320765
     /* 2320765 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2320796), // Rule ID 1833 //
     /* 2320770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2320773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320784 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2320784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2320787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320789 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320795 */   // GIR_Coverage, 1833,
     /* 2320795 */   GIR_EraseRootFromParent_Done,
     /* 2320796 */ // Label 32082: @2320796
     /* 2320796 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2320827), // Rule ID 2139 //
     /* 2320801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2320804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2320815 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2320818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320826 */   // GIR_Coverage, 2139,
     /* 2320826 */   GIR_EraseRootFromParent_Done,
     /* 2320827 */ // Label 32083: @2320827
     /* 2320827 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2320858), // Rule ID 2165 //
     /* 2320832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2320835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2320838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2320846 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2320846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2320849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320857 */   // GIR_Coverage, 2165,
     /* 2320857 */   GIR_EraseRootFromParent_Done,
     /* 2320858 */ // Label 32084: @2320858
     /* 2320858 */ GIM_Reject,
     /* 2320859 */ // Label 32045: @2320859
     /* 2320859 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2320962),
     /* 2320864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320875 */   GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2320918), // Rule ID 58654 //
     /* 2320880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320883 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2320886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2320900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320917 */     // GIR_Coverage, 58654,
     /* 2320917 */     GIR_EraseRootFromParent_Done,
     /* 2320918 */   // Label 32086: @2320918
     /* 2320918 */   GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2320961), // Rule ID 58655 //
     /* 2320923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320926 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2320929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2320943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320960 */     // GIR_Coverage, 58655,
     /* 2320960 */     GIR_EraseRootFromParent_Done,
     /* 2320961 */   // Label 32087: @2320961
     /* 2320961 */   GIM_Reject,
     /* 2320962 */ // Label 32085: @2320962
     /* 2320962 */ GIM_Reject,
     /* 2320963 */ // Label 32046: @2320963
     /* 2320963 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2321017), // Rule ID 58238 //
     /* 2320968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320982 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320982 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320985 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320989 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2320999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321001 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321016 */   // GIR_Coverage, 58238,
     /* 2321016 */   GIR_EraseRootFromParent_Done,
     /* 2321017 */ // Label 32088: @2321017
     /* 2321017 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2321071), // Rule ID 58239 //
     /* 2321022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321036 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2321053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321070 */   // GIR_Coverage, 58239,
     /* 2321070 */   GIR_EraseRootFromParent_Done,
     /* 2321071 */ // Label 32089: @2321071
     /* 2321071 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2321125), // Rule ID 58678 //
     /* 2321076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321090 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2321107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321124 */   // GIR_Coverage, 58678,
     /* 2321124 */   GIR_EraseRootFromParent_Done,
     /* 2321125 */ // Label 32090: @2321125
     /* 2321125 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2321179), // Rule ID 58679 //
     /* 2321130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321144 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2321147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2321161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321178 */   // GIR_Coverage, 58679,
     /* 2321178 */   GIR_EraseRootFromParent_Done,
     /* 2321179 */ // Label 32091: @2321179
     /* 2321179 */ GIM_Reject,
     /* 2321180 */ // Label 32047: @2321180
     /* 2321180 */ GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2321234), // Rule ID 58246 //
     /* 2321185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321199 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321199 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321202 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321206 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2321216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321221 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321233 */   // GIR_Coverage, 58246,
     /* 2321233 */   GIR_EraseRootFromParent_Done,
     /* 2321234 */ // Label 32092: @2321234
     /* 2321234 */ GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2321288), // Rule ID 58247 //
     /* 2321239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321253 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2321270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321287 */   // GIR_Coverage, 58247,
     /* 2321287 */   GIR_EraseRootFromParent_Done,
     /* 2321288 */ // Label 32093: @2321288
     /* 2321288 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2321342), // Rule ID 58446 //
     /* 2321293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321307 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321307 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321310 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321314 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2321324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321329 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321341 */   // GIR_Coverage, 58446,
     /* 2321341 */   GIR_EraseRootFromParent_Done,
     /* 2321342 */ // Label 32094: @2321342
     /* 2321342 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2321396), // Rule ID 58447 //
     /* 2321347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2321353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321361 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321361 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321364 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321368 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2321378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321380 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321395 */   // GIR_Coverage, 58447,
     /* 2321395 */   GIR_EraseRootFromParent_Done,
     /* 2321396 */ // Label 32095: @2321396
     /* 2321396 */ GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2321450), // Rule ID 58698 //
     /* 2321401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2321404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321415 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321415 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321418 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321422 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2321432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321434 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321437 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321449 */   // GIR_Coverage, 58698,
     /* 2321449 */   GIR_EraseRootFromParent_Done,
     /* 2321450 */ // Label 32096: @2321450
     /* 2321450 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2321504), // Rule ID 58699 //
     /* 2321455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2321458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321469 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321469 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321472 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321476 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321481 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2321486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321488 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321491 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321503 */   // GIR_Coverage, 58699,
     /* 2321503 */   GIR_EraseRootFromParent_Done,
     /* 2321504 */ // Label 32097: @2321504
     /* 2321504 */ GIM_Reject,
     /* 2321505 */ // Label 32048: @2321505
     /* 2321505 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2321559), // Rule ID 58258 //
     /* 2321510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2321513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321524 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2321541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321558 */   // GIR_Coverage, 58258,
     /* 2321558 */   GIR_EraseRootFromParent_Done,
     /* 2321559 */ // Label 32098: @2321559
     /* 2321559 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2321613), // Rule ID 58259 //
     /* 2321564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2321567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321578 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2321595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321597 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321612 */   // GIR_Coverage, 58259,
     /* 2321612 */   GIR_EraseRootFromParent_Done,
     /* 2321613 */ // Label 32099: @2321613
     /* 2321613 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2321667), // Rule ID 58466 //
     /* 2321618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2321621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321632 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321632 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321635 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321639 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2321649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321651 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321654 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321666 */   // GIR_Coverage, 58466,
     /* 2321666 */   GIR_EraseRootFromParent_Done,
     /* 2321667 */ // Label 32100: @2321667
     /* 2321667 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2321721), // Rule ID 58467 //
     /* 2321672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2321675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321686 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321686 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321689 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321693 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321698 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2321703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321708 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321720 */   // GIR_Coverage, 58467,
     /* 2321720 */   GIR_EraseRootFromParent_Done,
     /* 2321721 */ // Label 32101: @2321721
     /* 2321721 */ GIM_Reject,
     /* 2321722 */ // Label 32049: @2321722
     /* 2321722 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2321825),
     /* 2321727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321738 */   GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2321781), // Rule ID 58658 //
     /* 2321743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321746 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2321749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2321763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321780 */     // GIR_Coverage, 58658,
     /* 2321780 */     GIR_EraseRootFromParent_Done,
     /* 2321781 */   // Label 32103: @2321781
     /* 2321781 */   GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2321824), // Rule ID 58659 //
     /* 2321786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321789 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2321792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2321806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321823 */     // GIR_Coverage, 58659,
     /* 2321823 */     GIR_EraseRootFromParent_Done,
     /* 2321824 */   // Label 32104: @2321824
     /* 2321824 */   GIM_Reject,
     /* 2321825 */ // Label 32102: @2321825
     /* 2321825 */ GIM_Reject,
     /* 2321826 */ // Label 32050: @2321826
     /* 2321826 */ GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2321880), // Rule ID 58242 //
     /* 2321831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321845 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2321862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321879 */   // GIR_Coverage, 58242,
     /* 2321879 */   GIR_EraseRootFromParent_Done,
     /* 2321880 */ // Label 32105: @2321880
     /* 2321880 */ GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2321934), // Rule ID 58243 //
     /* 2321885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321899 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2321916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321933 */   // GIR_Coverage, 58243,
     /* 2321933 */   GIR_EraseRootFromParent_Done,
     /* 2321934 */ // Label 32106: @2321934
     /* 2321934 */ GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2321988), // Rule ID 58682 //
     /* 2321939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321953 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321953 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321956 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321960 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321965 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2321970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321972 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321975 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321987 */   // GIR_Coverage, 58682,
     /* 2321987 */   GIR_EraseRootFromParent_Done,
     /* 2321988 */ // Label 32107: @2321988
     /* 2321988 */ GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2322042), // Rule ID 58683 //
     /* 2321993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322007 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2322010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2322024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322029 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322041 */   // GIR_Coverage, 58683,
     /* 2322041 */   GIR_EraseRootFromParent_Done,
     /* 2322042 */ // Label 32108: @2322042
     /* 2322042 */ GIM_Reject,
     /* 2322043 */ // Label 32051: @2322043
     /* 2322043 */ GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2322097), // Rule ID 58254 //
     /* 2322048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322062 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2322079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322096 */   // GIR_Coverage, 58254,
     /* 2322096 */   GIR_EraseRootFromParent_Done,
     /* 2322097 */ // Label 32109: @2322097
     /* 2322097 */ GIM_Try, /*On fail goto*//*Label 32110*/ GIMT_Encode4(2322151), // Rule ID 58255 //
     /* 2322102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322116 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2322133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322150 */   // GIR_Coverage, 58255,
     /* 2322150 */   GIR_EraseRootFromParent_Done,
     /* 2322151 */ // Label 32110: @2322151
     /* 2322151 */ GIM_Try, /*On fail goto*//*Label 32111*/ GIMT_Encode4(2322205), // Rule ID 58450 //
     /* 2322156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322170 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2322187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322204 */   // GIR_Coverage, 58450,
     /* 2322204 */   GIR_EraseRootFromParent_Done,
     /* 2322205 */ // Label 32111: @2322205
     /* 2322205 */ GIM_Try, /*On fail goto*//*Label 32112*/ GIMT_Encode4(2322259), // Rule ID 58451 //
     /* 2322210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2322216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322224 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2322241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322258 */   // GIR_Coverage, 58451,
     /* 2322258 */   GIR_EraseRootFromParent_Done,
     /* 2322259 */ // Label 32112: @2322259
     /* 2322259 */ GIM_Try, /*On fail goto*//*Label 32113*/ GIMT_Encode4(2322313), // Rule ID 58702 //
     /* 2322264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322278 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322278 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322281 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322285 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322290 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2322295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322297 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322300 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322312 */   // GIR_Coverage, 58702,
     /* 2322312 */   GIR_EraseRootFromParent_Done,
     /* 2322313 */ // Label 32113: @2322313
     /* 2322313 */ GIM_Try, /*On fail goto*//*Label 32114*/ GIMT_Encode4(2322367), // Rule ID 58703 //
     /* 2322318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322332 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2322335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322344 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2322349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322351 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322354 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322366 */   // GIR_Coverage, 58703,
     /* 2322366 */   GIR_EraseRootFromParent_Done,
     /* 2322367 */ // Label 32114: @2322367
     /* 2322367 */ GIM_Reject,
     /* 2322368 */ // Label 32052: @2322368
     /* 2322368 */ GIM_Try, /*On fail goto*//*Label 32115*/ GIMT_Encode4(2322422), // Rule ID 58286 //
     /* 2322373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322387 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2322404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322421 */   // GIR_Coverage, 58286,
     /* 2322421 */   GIR_EraseRootFromParent_Done,
     /* 2322422 */ // Label 32115: @2322422
     /* 2322422 */ GIM_Try, /*On fail goto*//*Label 32116*/ GIMT_Encode4(2322476), // Rule ID 58287 //
     /* 2322427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322441 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2322458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322475 */   // GIR_Coverage, 58287,
     /* 2322475 */   GIR_EraseRootFromParent_Done,
     /* 2322476 */ // Label 32116: @2322476
     /* 2322476 */ GIM_Try, /*On fail goto*//*Label 32117*/ GIMT_Encode4(2322530), // Rule ID 58470 //
     /* 2322481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322495 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2322512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322529 */   // GIR_Coverage, 58470,
     /* 2322529 */   GIR_EraseRootFromParent_Done,
     /* 2322530 */ // Label 32117: @2322530
     /* 2322530 */ GIM_Try, /*On fail goto*//*Label 32118*/ GIMT_Encode4(2322584), // Rule ID 58471 //
     /* 2322535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322549 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322549 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322552 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322556 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2322566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322583 */   // GIR_Coverage, 58471,
     /* 2322583 */   GIR_EraseRootFromParent_Done,
     /* 2322584 */ // Label 32118: @2322584
     /* 2322584 */ GIM_Reject,
     /* 2322585 */ // Label 32053: @2322585
     /* 2322585 */ GIM_Try, /*On fail goto*//*Label 32119*/ GIMT_Encode4(2322688),
     /* 2322590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322601 */   GIM_Try, /*On fail goto*//*Label 32120*/ GIMT_Encode4(2322644), // Rule ID 58662 //
     /* 2322606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322609 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2322612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2322626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322643 */     // GIR_Coverage, 58662,
     /* 2322643 */     GIR_EraseRootFromParent_Done,
     /* 2322644 */   // Label 32120: @2322644
     /* 2322644 */   GIM_Try, /*On fail goto*//*Label 32121*/ GIMT_Encode4(2322687), // Rule ID 58663 //
     /* 2322649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322652 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2322655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2322669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322686 */     // GIR_Coverage, 58663,
     /* 2322686 */     GIR_EraseRootFromParent_Done,
     /* 2322687 */   // Label 32121: @2322687
     /* 2322687 */   GIM_Reject,
     /* 2322688 */ // Label 32119: @2322688
     /* 2322688 */ GIM_Reject,
     /* 2322689 */ // Label 32054: @2322689
     /* 2322689 */ GIM_Try, /*On fail goto*//*Label 32122*/ GIMT_Encode4(2322743), // Rule ID 58250 //
     /* 2322694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322708 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2322725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322742 */   // GIR_Coverage, 58250,
     /* 2322742 */   GIR_EraseRootFromParent_Done,
     /* 2322743 */ // Label 32122: @2322743
     /* 2322743 */ GIM_Try, /*On fail goto*//*Label 32123*/ GIMT_Encode4(2322797), // Rule ID 58251 //
     /* 2322748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322762 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322762 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322765 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322769 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2322779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322796 */   // GIR_Coverage, 58251,
     /* 2322796 */   GIR_EraseRootFromParent_Done,
     /* 2322797 */ // Label 32123: @2322797
     /* 2322797 */ GIM_Try, /*On fail goto*//*Label 32124*/ GIMT_Encode4(2322851), // Rule ID 58686 //
     /* 2322802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322816 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322816 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322819 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322823 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322828 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2322833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322835 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322838 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322850 */   // GIR_Coverage, 58686,
     /* 2322850 */   GIR_EraseRootFromParent_Done,
     /* 2322851 */ // Label 32124: @2322851
     /* 2322851 */ GIM_Try, /*On fail goto*//*Label 32125*/ GIMT_Encode4(2322905), // Rule ID 58687 //
     /* 2322856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322870 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322870 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322873 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322877 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322882 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2322887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322889 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322892 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322904 */   // GIR_Coverage, 58687,
     /* 2322904 */   GIR_EraseRootFromParent_Done,
     /* 2322905 */ // Label 32125: @2322905
     /* 2322905 */ GIM_Reject,
     /* 2322906 */ // Label 32055: @2322906
     /* 2322906 */ GIM_Try, /*On fail goto*//*Label 32126*/ GIMT_Encode4(2322960), // Rule ID 58274 //
     /* 2322911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322925 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2322942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322959 */   // GIR_Coverage, 58274,
     /* 2322959 */   GIR_EraseRootFromParent_Done,
     /* 2322960 */ // Label 32126: @2322960
     /* 2322960 */ GIM_Try, /*On fail goto*//*Label 32127*/ GIMT_Encode4(2323014), // Rule ID 58275 //
     /* 2322965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322979 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2322996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323013 */   // GIR_Coverage, 58275,
     /* 2323013 */   GIR_EraseRootFromParent_Done,
     /* 2323014 */ // Label 32127: @2323014
     /* 2323014 */ GIM_Try, /*On fail goto*//*Label 32128*/ GIMT_Encode4(2323068), // Rule ID 58454 //
     /* 2323019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323033 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2323050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323067 */   // GIR_Coverage, 58454,
     /* 2323067 */   GIR_EraseRootFromParent_Done,
     /* 2323068 */ // Label 32128: @2323068
     /* 2323068 */ GIM_Try, /*On fail goto*//*Label 32129*/ GIMT_Encode4(2323122), // Rule ID 58455 //
     /* 2323073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323087 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2323104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323121 */   // GIR_Coverage, 58455,
     /* 2323121 */   GIR_EraseRootFromParent_Done,
     /* 2323122 */ // Label 32129: @2323122
     /* 2323122 */ GIM_Try, /*On fail goto*//*Label 32130*/ GIMT_Encode4(2323176), // Rule ID 58706 //
     /* 2323127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323141 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2323158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323160 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323175 */   // GIR_Coverage, 58706,
     /* 2323175 */   GIR_EraseRootFromParent_Done,
     /* 2323176 */ // Label 32130: @2323176
     /* 2323176 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2323230), // Rule ID 58707 //
     /* 2323181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323195 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2323198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2323212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323229 */   // GIR_Coverage, 58707,
     /* 2323229 */   GIR_EraseRootFromParent_Done,
     /* 2323230 */ // Label 32131: @2323230
     /* 2323230 */ GIM_Reject,
     /* 2323231 */ // Label 32056: @2323231
     /* 2323231 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2323285), // Rule ID 58290 //
     /* 2323236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323250 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2323267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323284 */   // GIR_Coverage, 58290,
     /* 2323284 */   GIR_EraseRootFromParent_Done,
     /* 2323285 */ // Label 32132: @2323285
     /* 2323285 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2323339), // Rule ID 58291 //
     /* 2323290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2323296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323304 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2323321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323338 */   // GIR_Coverage, 58291,
     /* 2323338 */   GIR_EraseRootFromParent_Done,
     /* 2323339 */ // Label 32133: @2323339
     /* 2323339 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2323393), // Rule ID 58474 //
     /* 2323344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323358 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2323375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323392 */   // GIR_Coverage, 58474,
     /* 2323392 */   GIR_EraseRootFromParent_Done,
     /* 2323393 */ // Label 32134: @2323393
     /* 2323393 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2323447), // Rule ID 58475 //
     /* 2323398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323412 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2323429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323446 */   // GIR_Coverage, 58475,
     /* 2323446 */   GIR_EraseRootFromParent_Done,
     /* 2323447 */ // Label 32135: @2323447
     /* 2323447 */ GIM_Reject,
     /* 2323448 */ // Label 32057: @2323448
     /* 2323448 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2323551),
     /* 2323453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323464 */   GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2323507), // Rule ID 58666 //
     /* 2323469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323472 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2323475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2323489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323506 */     // GIR_Coverage, 58666,
     /* 2323506 */     GIR_EraseRootFromParent_Done,
     /* 2323507 */   // Label 32137: @2323507
     /* 2323507 */   GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2323550), // Rule ID 58667 //
     /* 2323512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323515 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2323518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2323532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323549 */     // GIR_Coverage, 58667,
     /* 2323549 */     GIR_EraseRootFromParent_Done,
     /* 2323550 */   // Label 32138: @2323550
     /* 2323550 */   GIM_Reject,
     /* 2323551 */ // Label 32136: @2323551
     /* 2323551 */ GIM_Reject,
     /* 2323552 */ // Label 32058: @2323552
     /* 2323552 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2323606), // Rule ID 58262 //
     /* 2323557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323571 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323583 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2323588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323590 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323593 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323605 */   // GIR_Coverage, 58262,
     /* 2323605 */   GIR_EraseRootFromParent_Done,
     /* 2323606 */ // Label 32139: @2323606
     /* 2323606 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2323660), // Rule ID 58263 //
     /* 2323611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323625 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2323642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323659 */   // GIR_Coverage, 58263,
     /* 2323659 */   GIR_EraseRootFromParent_Done,
     /* 2323660 */ // Label 32140: @2323660
     /* 2323660 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2323714), // Rule ID 58690 //
     /* 2323665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323679 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2323696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323713 */   // GIR_Coverage, 58690,
     /* 2323713 */   GIR_EraseRootFromParent_Done,
     /* 2323714 */ // Label 32141: @2323714
     /* 2323714 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2323768), // Rule ID 58691 //
     /* 2323719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323733 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2323750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323767 */   // GIR_Coverage, 58691,
     /* 2323767 */   GIR_EraseRootFromParent_Done,
     /* 2323768 */ // Label 32142: @2323768
     /* 2323768 */ GIM_Reject,
     /* 2323769 */ // Label 32059: @2323769
     /* 2323769 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2323823), // Rule ID 58278 //
     /* 2323774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323788 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323800 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2323805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323807 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323810 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323822 */   // GIR_Coverage, 58278,
     /* 2323822 */   GIR_EraseRootFromParent_Done,
     /* 2323823 */ // Label 32143: @2323823
     /* 2323823 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2323877), // Rule ID 58279 //
     /* 2323828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323842 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2323859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323864 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323876 */   // GIR_Coverage, 58279,
     /* 2323876 */   GIR_EraseRootFromParent_Done,
     /* 2323877 */ // Label 32144: @2323877
     /* 2323877 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2323931), // Rule ID 58458 //
     /* 2323882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323896 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2323913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323918 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323930 */   // GIR_Coverage, 58458,
     /* 2323930 */   GIR_EraseRootFromParent_Done,
     /* 2323931 */ // Label 32145: @2323931
     /* 2323931 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2323985), // Rule ID 58459 //
     /* 2323936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323950 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2323967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323984 */   // GIR_Coverage, 58459,
     /* 2323984 */   GIR_EraseRootFromParent_Done,
     /* 2323985 */ // Label 32146: @2323985
     /* 2323985 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2324039), // Rule ID 58710 //
     /* 2323990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324004 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324004 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324007 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324011 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2324021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324038 */   // GIR_Coverage, 58710,
     /* 2324038 */   GIR_EraseRootFromParent_Done,
     /* 2324039 */ // Label 32147: @2324039
     /* 2324039 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2324093), // Rule ID 58711 //
     /* 2324044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2324047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324058 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2324075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324092 */   // GIR_Coverage, 58711,
     /* 2324092 */   GIR_EraseRootFromParent_Done,
     /* 2324093 */ // Label 32148: @2324093
     /* 2324093 */ GIM_Reject,
     /* 2324094 */ // Label 32060: @2324094
     /* 2324094 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2324148), // Rule ID 58294 //
     /* 2324099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2324102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324113 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2324130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324147 */   // GIR_Coverage, 58294,
     /* 2324147 */   GIR_EraseRootFromParent_Done,
     /* 2324148 */ // Label 32149: @2324148
     /* 2324148 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2324202), // Rule ID 58295 //
     /* 2324153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2324156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324167 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2324184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324201 */   // GIR_Coverage, 58295,
     /* 2324201 */   GIR_EraseRootFromParent_Done,
     /* 2324202 */ // Label 32150: @2324202
     /* 2324202 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2324256), // Rule ID 58478 //
     /* 2324207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2324210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324221 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2324238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324240 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324243 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324255 */   // GIR_Coverage, 58478,
     /* 2324255 */   GIR_EraseRootFromParent_Done,
     /* 2324256 */ // Label 32151: @2324256
     /* 2324256 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2324310), // Rule ID 58479 //
     /* 2324261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2324264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324275 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2324292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324309 */   // GIR_Coverage, 58479,
     /* 2324309 */   GIR_EraseRootFromParent_Done,
     /* 2324310 */ // Label 32152: @2324310
     /* 2324310 */ GIM_Reject,
     /* 2324311 */ // Label 32061: @2324311
     /* 2324311 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2324414),
     /* 2324316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324327 */   GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2324370), // Rule ID 58670 //
     /* 2324332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324335 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2324338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2324352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324369 */     // GIR_Coverage, 58670,
     /* 2324369 */     GIR_EraseRootFromParent_Done,
     /* 2324370 */   // Label 32154: @2324370
     /* 2324370 */   GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2324413), // Rule ID 58671 //
     /* 2324375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324378 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2324381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2324395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324412 */     // GIR_Coverage, 58671,
     /* 2324412 */     GIR_EraseRootFromParent_Done,
     /* 2324413 */   // Label 32155: @2324413
     /* 2324413 */   GIM_Reject,
     /* 2324414 */ // Label 32153: @2324414
     /* 2324414 */ GIM_Reject,
     /* 2324415 */ // Label 32062: @2324415
     /* 2324415 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2324469), // Rule ID 58266 //
     /* 2324420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324434 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2324451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324468 */   // GIR_Coverage, 58266,
     /* 2324468 */   GIR_EraseRootFromParent_Done,
     /* 2324469 */ // Label 32156: @2324469
     /* 2324469 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2324523), // Rule ID 58267 //
     /* 2324474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324488 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324488 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324491 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324495 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2324505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324510 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324522 */   // GIR_Coverage, 58267,
     /* 2324522 */   GIR_EraseRootFromParent_Done,
     /* 2324523 */ // Label 32157: @2324523
     /* 2324523 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2324577), // Rule ID 58694 //
     /* 2324528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324542 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324554 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2324559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324561 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324564 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324576 */   // GIR_Coverage, 58694,
     /* 2324576 */   GIR_EraseRootFromParent_Done,
     /* 2324577 */ // Label 32158: @2324577
     /* 2324577 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2324631), // Rule ID 58695 //
     /* 2324582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324596 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324596 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324599 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324603 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2324613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324615 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324618 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324630 */   // GIR_Coverage, 58695,
     /* 2324630 */   GIR_EraseRootFromParent_Done,
     /* 2324631 */ // Label 32159: @2324631
     /* 2324631 */ GIM_Reject,
     /* 2324632 */ // Label 32063: @2324632
     /* 2324632 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2324686), // Rule ID 58282 //
     /* 2324637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324651 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2324668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324670 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324673 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324685 */   // GIR_Coverage, 58282,
     /* 2324685 */   GIR_EraseRootFromParent_Done,
     /* 2324686 */ // Label 32160: @2324686
     /* 2324686 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2324740), // Rule ID 58283 //
     /* 2324691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324705 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2324722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324739 */   // GIR_Coverage, 58283,
     /* 2324739 */   GIR_EraseRootFromParent_Done,
     /* 2324740 */ // Label 32161: @2324740
     /* 2324740 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2324794), // Rule ID 58462 //
     /* 2324745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324759 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2324776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324793 */   // GIR_Coverage, 58462,
     /* 2324793 */   GIR_EraseRootFromParent_Done,
     /* 2324794 */ // Label 32162: @2324794
     /* 2324794 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2324848), // Rule ID 58463 //
     /* 2324799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324813 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324825 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2324830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324835 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324847 */   // GIR_Coverage, 58463,
     /* 2324847 */   GIR_EraseRootFromParent_Done,
     /* 2324848 */ // Label 32163: @2324848
     /* 2324848 */ GIM_Reject,
     /* 2324849 */ // Label 32064: @2324849
     /* 2324849 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2324952),
     /* 2324854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2324857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324865 */   GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2324908), // Rule ID 58674 //
     /* 2324870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324873 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2324876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2324890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324907 */     // GIR_Coverage, 58674,
     /* 2324907 */     GIR_EraseRootFromParent_Done,
     /* 2324908 */   // Label 32165: @2324908
     /* 2324908 */   GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2324951), // Rule ID 58675 //
     /* 2324913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324916 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2324919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2324933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324950 */     // GIR_Coverage, 58675,
     /* 2324950 */     GIR_EraseRootFromParent_Done,
     /* 2324951 */   // Label 32166: @2324951
     /* 2324951 */   GIM_Reject,
     /* 2324952 */ // Label 32164: @2324952
     /* 2324952 */ GIM_Reject,
     /* 2324953 */ // Label 32065: @2324953
     /* 2324953 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2325056),
     /* 2324958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2324961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324969 */   GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2325012), // Rule ID 58270 //
     /* 2324974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324977 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2324994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325011 */     // GIR_Coverage, 58270,
     /* 2325011 */     GIR_EraseRootFromParent_Done,
     /* 2325012 */   // Label 32168: @2325012
     /* 2325012 */   GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2325055), // Rule ID 58271 //
     /* 2325017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325020 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2325037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325054 */     // GIR_Coverage, 58271,
     /* 2325054 */     GIR_EraseRootFromParent_Done,
     /* 2325055 */   // Label 32169: @2325055
     /* 2325055 */   GIM_Reject,
     /* 2325056 */ // Label 32167: @2325056
     /* 2325056 */ GIM_Reject,
     /* 2325057 */ // Label 32066: @2325057
     /* 2325057 */ GIM_Reject,
     /* 2325058 */ // Label 69: @2325058
     /* 2325058 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32188*/ GIMT_Encode4(2330343),
     /* 2325069 */ /*GILLT_s16*//*Label 32170*/ GIMT_Encode4(2325189),
     /* 2325073 */ /*GILLT_s32*//*Label 32171*/ GIMT_Encode4(2325450),
     /* 2325077 */ /*GILLT_s64*//*Label 32172*/ GIMT_Encode4(2325711), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325089 */ /*GILLT_nxv1s16*//*Label 32173*/ GIMT_Encode4(2325972),
     /* 2325093 */ /*GILLT_nxv1s32*//*Label 32174*/ GIMT_Encode4(2326309),
     /* 2325097 */ /*GILLT_nxv1s64*//*Label 32175*/ GIMT_Encode4(2326646), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325109 */ /*GILLT_nxv2s16*//*Label 32176*/ GIMT_Encode4(2326869),
     /* 2325113 */ /*GILLT_nxv2s32*//*Label 32177*/ GIMT_Encode4(2327206),
     /* 2325117 */ /*GILLT_nxv2s64*//*Label 32178*/ GIMT_Encode4(2327543), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325129 */ /*GILLT_nxv4s16*//*Label 32179*/ GIMT_Encode4(2327766),
     /* 2325133 */ /*GILLT_nxv4s32*//*Label 32180*/ GIMT_Encode4(2328103),
     /* 2325137 */ /*GILLT_nxv4s64*//*Label 32181*/ GIMT_Encode4(2328440), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325149 */ /*GILLT_nxv8s16*//*Label 32182*/ GIMT_Encode4(2328663),
     /* 2325153 */ /*GILLT_nxv8s32*//*Label 32183*/ GIMT_Encode4(2329000),
     /* 2325157 */ /*GILLT_nxv8s64*//*Label 32184*/ GIMT_Encode4(2329337), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325169 */ /*GILLT_nxv16s16*//*Label 32185*/ GIMT_Encode4(2329560),
     /* 2325173 */ /*GILLT_nxv16s32*//*Label 32186*/ GIMT_Encode4(2329897), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325185 */ /*GILLT_nxv32s16*//*Label 32187*/ GIMT_Encode4(2330120),
     /* 2325189 */ // Label 32170: @2325189
     /* 2325189 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2325226), // Rule ID 2151 //
     /* 2325194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2325197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325204 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2325211 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2325214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325225 */   // GIR_Coverage, 2151,
     /* 2325225 */   GIR_EraseRootFromParent_Done,
     /* 2325226 */ // Label 32189: @2325226
     /* 2325226 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2325263), // Rule ID 2177 //
     /* 2325231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2325234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325241 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2325248 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2325251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325262 */   // GIR_Coverage, 2177,
     /* 2325262 */   GIR_EraseRootFromParent_Done,
     /* 2325263 */ // Label 32190: @2325263
     /* 2325263 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2325294), // Rule ID 2100 //
     /* 2325268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2325271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325282 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2325282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2325285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325287 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325293 */   // GIR_Coverage, 2100,
     /* 2325293 */   GIR_EraseRootFromParent_Done,
     /* 2325294 */ // Label 32191: @2325294
     /* 2325294 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2325325), // Rule ID 2101 //
     /* 2325299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2325302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325313 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2325313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2325316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325318 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325324 */   // GIR_Coverage, 2101,
     /* 2325324 */   GIR_EraseRootFromParent_Done,
     /* 2325325 */ // Label 32192: @2325325
     /* 2325325 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2325356), // Rule ID 2126 //
     /* 2325330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2325333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325344 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2325344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2325347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325349 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325355 */   // GIR_Coverage, 2126,
     /* 2325355 */   GIR_EraseRootFromParent_Done,
     /* 2325356 */ // Label 32193: @2325356
     /* 2325356 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2325387), // Rule ID 2127 //
     /* 2325361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2325364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325375 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2325375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2325378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325386 */   // GIR_Coverage, 2127,
     /* 2325386 */   GIR_EraseRootFromParent_Done,
     /* 2325387 */ // Label 32194: @2325387
     /* 2325387 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2325418), // Rule ID 2155 //
     /* 2325392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2325395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325406 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2325409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325411 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325417 */   // GIR_Coverage, 2155,
     /* 2325417 */   GIR_EraseRootFromParent_Done,
     /* 2325418 */ // Label 32195: @2325418
     /* 2325418 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2325449), // Rule ID 2181 //
     /* 2325423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2325426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325437 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2325440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325448 */   // GIR_Coverage, 2181,
     /* 2325448 */   GIR_EraseRootFromParent_Done,
     /* 2325449 */ // Label 32196: @2325449
     /* 2325449 */ GIM_Reject,
     /* 2325450 */ // Label 32171: @2325450
     /* 2325450 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2325487), // Rule ID 1417 //
     /* 2325455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2325458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325465 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2325472 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2325475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325486 */   // GIR_Coverage, 1417,
     /* 2325486 */   GIR_EraseRootFromParent_Done,
     /* 2325487 */ // Label 32197: @2325487
     /* 2325487 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2325524), // Rule ID 1445 //
     /* 2325492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2325495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325502 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2325509 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2325512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325523 */   // GIR_Coverage, 1445,
     /* 2325523 */   GIR_EraseRootFromParent_Done,
     /* 2325524 */ // Label 32198: @2325524
     /* 2325524 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2325555), // Rule ID 1364 //
     /* 2325529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2325532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325543 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2325543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2325546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325548 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325554 */   // GIR_Coverage, 1364,
     /* 2325554 */   GIR_EraseRootFromParent_Done,
     /* 2325555 */ // Label 32199: @2325555
     /* 2325555 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2325586), // Rule ID 1365 //
     /* 2325560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2325563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325574 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2325574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2325577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325585 */   // GIR_Coverage, 1365,
     /* 2325585 */   GIR_EraseRootFromParent_Done,
     /* 2325586 */ // Label 32200: @2325586
     /* 2325586 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2325617), // Rule ID 1390 //
     /* 2325591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2325594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325605 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2325605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2325608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325616 */   // GIR_Coverage, 1390,
     /* 2325616 */   GIR_EraseRootFromParent_Done,
     /* 2325617 */ // Label 32201: @2325617
     /* 2325617 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2325648), // Rule ID 1391 //
     /* 2325622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2325625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325636 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2325636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2325639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325647 */   // GIR_Coverage, 1391,
     /* 2325647 */   GIR_EraseRootFromParent_Done,
     /* 2325648 */ // Label 32202: @2325648
     /* 2325648 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2325679), // Rule ID 1421 //
     /* 2325653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2325656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325667 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2325670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325672 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325678 */   // GIR_Coverage, 1421,
     /* 2325678 */   GIR_EraseRootFromParent_Done,
     /* 2325679 */ // Label 32203: @2325679
     /* 2325679 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2325710), // Rule ID 1449 //
     /* 2325684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2325687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325698 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2325701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325703 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325709 */   // GIR_Coverage, 1449,
     /* 2325709 */   GIR_EraseRootFromParent_Done,
     /* 2325710 */ // Label 32204: @2325710
     /* 2325710 */ GIM_Reject,
     /* 2325711 */ // Label 32172: @2325711
     /* 2325711 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2325748), // Rule ID 1797 //
     /* 2325716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2325719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325726 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2325733 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2325733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2325736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325747 */   // GIR_Coverage, 1797,
     /* 2325747 */   GIR_EraseRootFromParent_Done,
     /* 2325748 */ // Label 32205: @2325748
     /* 2325748 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2325785), // Rule ID 1825 //
     /* 2325753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2325756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325763 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2325770 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2325770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2325773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2325780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325784 */   // GIR_Coverage, 1825,
     /* 2325784 */   GIR_EraseRootFromParent_Done,
     /* 2325785 */ // Label 32206: @2325785
     /* 2325785 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2325816), // Rule ID 1758 //
     /* 2325790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2325793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325804 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2325804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2325807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325809 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325815 */   // GIR_Coverage, 1758,
     /* 2325815 */   GIR_EraseRootFromParent_Done,
     /* 2325816 */ // Label 32207: @2325816
     /* 2325816 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2325847), // Rule ID 1759 //
     /* 2325821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2325824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325835 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2325835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2325838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325840 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325846 */   // GIR_Coverage, 1759,
     /* 2325846 */   GIR_EraseRootFromParent_Done,
     /* 2325847 */ // Label 32208: @2325847
     /* 2325847 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2325878), // Rule ID 1784 //
     /* 2325852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2325855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325866 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2325866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2325869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325877 */   // GIR_Coverage, 1784,
     /* 2325877 */   GIR_EraseRootFromParent_Done,
     /* 2325878 */ // Label 32209: @2325878
     /* 2325878 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2325909), // Rule ID 1785 //
     /* 2325883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2325886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325897 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2325897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2325900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325908 */   // GIR_Coverage, 1785,
     /* 2325908 */   GIR_EraseRootFromParent_Done,
     /* 2325909 */ // Label 32210: @2325909
     /* 2325909 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2325940), // Rule ID 1815 //
     /* 2325914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2325917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325928 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2325931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325939 */   // GIR_Coverage, 1815,
     /* 2325939 */   GIR_EraseRootFromParent_Done,
     /* 2325940 */ // Label 32211: @2325940
     /* 2325940 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2325971), // Rule ID 1843 //
     /* 2325945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2325948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325959 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2325962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325970 */   // GIR_Coverage, 1843,
     /* 2325970 */   GIR_EraseRootFromParent_Done,
     /* 2325971 */ // Label 32212: @2325971
     /* 2325971 */ GIM_Reject,
     /* 2325972 */ // Label 32173: @2325972
     /* 2325972 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2326029), // Rule ID 45690 //
     /* 2325977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325991 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2326008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326028 */   // GIR_Coverage, 45690,
     /* 2326028 */   GIR_EraseRootFromParent_Done,
     /* 2326029 */ // Label 32213: @2326029
     /* 2326029 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2326086), // Rule ID 45691 //
     /* 2326034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326048 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326048 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326051 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326055 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2326065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326085 */   // GIR_Coverage, 45691,
     /* 2326085 */   GIR_EraseRootFromParent_Done,
     /* 2326086 */ // Label 32214: @2326086
     /* 2326086 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2326140), // Rule ID 45698 //
     /* 2326091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2326097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326105 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2326122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326139 */   // GIR_Coverage, 45698,
     /* 2326139 */   GIR_EraseRootFromParent_Done,
     /* 2326140 */ // Label 32215: @2326140
     /* 2326140 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2326194), // Rule ID 45699 //
     /* 2326145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2326151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326159 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326159 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326166 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2326176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326181 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326193 */   // GIR_Coverage, 45699,
     /* 2326193 */   GIR_EraseRootFromParent_Done,
     /* 2326194 */ // Label 32216: @2326194
     /* 2326194 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2326251), // Rule ID 45706 //
     /* 2326199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326213 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2326230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326232 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326250 */   // GIR_Coverage, 45706,
     /* 2326250 */   GIR_EraseRootFromParent_Done,
     /* 2326251 */ // Label 32217: @2326251
     /* 2326251 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2326308), // Rule ID 45707 //
     /* 2326256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326270 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326270 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2326273 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326277 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326282 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2326287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326289 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326307 */   // GIR_Coverage, 45707,
     /* 2326307 */   GIR_EraseRootFromParent_Done,
     /* 2326308 */ // Label 32218: @2326308
     /* 2326308 */ GIM_Reject,
     /* 2326309 */ // Label 32174: @2326309
     /* 2326309 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2326366), // Rule ID 58302 //
     /* 2326314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2326317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326328 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2326345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326347 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326365 */   // GIR_Coverage, 58302,
     /* 2326365 */   GIR_EraseRootFromParent_Done,
     /* 2326366 */ // Label 32219: @2326366
     /* 2326366 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2326423), // Rule ID 58303 //
     /* 2326371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326385 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326385 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326388 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326392 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326397 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2326402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326404 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326407 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326422 */   // GIR_Coverage, 58303,
     /* 2326422 */   GIR_EraseRootFromParent_Done,
     /* 2326423 */ // Label 32220: @2326423
     /* 2326423 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2326477), // Rule ID 58502 //
     /* 2326428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2326431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326442 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2326459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326476 */   // GIR_Coverage, 58502,
     /* 2326476 */   GIR_EraseRootFromParent_Done,
     /* 2326477 */ // Label 32221: @2326477
     /* 2326477 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2326531), // Rule ID 58503 //
     /* 2326482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2326488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326496 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326496 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326499 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326503 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326508 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2326513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326515 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326518 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326530 */   // GIR_Coverage, 58503,
     /* 2326530 */   GIR_EraseRootFromParent_Done,
     /* 2326531 */ // Label 32222: @2326531
     /* 2326531 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2326588), // Rule ID 58730 //
     /* 2326536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2326539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326550 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326550 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326553 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326557 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326562 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2326567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326569 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326572 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326587 */   // GIR_Coverage, 58730,
     /* 2326587 */   GIR_EraseRootFromParent_Done,
     /* 2326588 */ // Label 32223: @2326588
     /* 2326588 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2326645), // Rule ID 58731 //
     /* 2326593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2326596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326607 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2326624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326626 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326644 */   // GIR_Coverage, 58731,
     /* 2326644 */   GIR_EraseRootFromParent_Done,
     /* 2326645 */ // Label 32224: @2326645
     /* 2326645 */ GIM_Reject,
     /* 2326646 */ // Label 32175: @2326646
     /* 2326646 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2326703), // Rule ID 58314 //
     /* 2326651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2326654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326665 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2326682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326702 */   // GIR_Coverage, 58314,
     /* 2326702 */   GIR_EraseRootFromParent_Done,
     /* 2326703 */ // Label 32225: @2326703
     /* 2326703 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2326760), // Rule ID 58315 //
     /* 2326708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2326711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326722 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2326739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326741 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326744 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326759 */   // GIR_Coverage, 58315,
     /* 2326759 */   GIR_EraseRootFromParent_Done,
     /* 2326760 */ // Label 32226: @2326760
     /* 2326760 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2326814), // Rule ID 58522 //
     /* 2326765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2326768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326779 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2326796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326813 */   // GIR_Coverage, 58522,
     /* 2326813 */   GIR_EraseRootFromParent_Done,
     /* 2326814 */ // Label 32227: @2326814
     /* 2326814 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2326868), // Rule ID 58523 //
     /* 2326819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2326822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326833 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2326850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326867 */   // GIR_Coverage, 58523,
     /* 2326867 */   GIR_EraseRootFromParent_Done,
     /* 2326868 */ // Label 32228: @2326868
     /* 2326868 */ GIM_Reject,
     /* 2326869 */ // Label 32176: @2326869
     /* 2326869 */ GIM_Try, /*On fail goto*//*Label 32229*/ GIMT_Encode4(2326926), // Rule ID 58298 //
     /* 2326874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326888 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2326905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326925 */   // GIR_Coverage, 58298,
     /* 2326925 */   GIR_EraseRootFromParent_Done,
     /* 2326926 */ // Label 32229: @2326926
     /* 2326926 */ GIM_Try, /*On fail goto*//*Label 32230*/ GIMT_Encode4(2326983), // Rule ID 58299 //
     /* 2326931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326945 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326945 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326948 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326952 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2326962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326967 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326982 */   // GIR_Coverage, 58299,
     /* 2326982 */   GIR_EraseRootFromParent_Done,
     /* 2326983 */ // Label 32230: @2326983
     /* 2326983 */ GIM_Try, /*On fail goto*//*Label 32231*/ GIMT_Encode4(2327037), // Rule ID 58482 //
     /* 2326988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2326994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327002 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2327019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327036 */   // GIR_Coverage, 58482,
     /* 2327036 */   GIR_EraseRootFromParent_Done,
     /* 2327037 */ // Label 32231: @2327037
     /* 2327037 */ GIM_Try, /*On fail goto*//*Label 32232*/ GIMT_Encode4(2327091), // Rule ID 58483 //
     /* 2327042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2327048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327056 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2327073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327090 */   // GIR_Coverage, 58483,
     /* 2327090 */   GIR_EraseRootFromParent_Done,
     /* 2327091 */ // Label 32232: @2327091
     /* 2327091 */ GIM_Try, /*On fail goto*//*Label 32233*/ GIMT_Encode4(2327148), // Rule ID 58714 //
     /* 2327096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327110 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2327127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327147 */   // GIR_Coverage, 58714,
     /* 2327147 */   GIR_EraseRootFromParent_Done,
     /* 2327148 */ // Label 32233: @2327148
     /* 2327148 */ GIM_Try, /*On fail goto*//*Label 32234*/ GIMT_Encode4(2327205), // Rule ID 58715 //
     /* 2327153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327167 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2327170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2327184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327204 */   // GIR_Coverage, 58715,
     /* 2327204 */   GIR_EraseRootFromParent_Done,
     /* 2327205 */ // Label 32234: @2327205
     /* 2327205 */ GIM_Reject,
     /* 2327206 */ // Label 32177: @2327206
     /* 2327206 */ GIM_Try, /*On fail goto*//*Label 32235*/ GIMT_Encode4(2327263), // Rule ID 58310 //
     /* 2327211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327225 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2327242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327262 */   // GIR_Coverage, 58310,
     /* 2327262 */   GIR_EraseRootFromParent_Done,
     /* 2327263 */ // Label 32235: @2327263
     /* 2327263 */ GIM_Try, /*On fail goto*//*Label 32236*/ GIMT_Encode4(2327320), // Rule ID 58311 //
     /* 2327268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327282 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2327299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327319 */   // GIR_Coverage, 58311,
     /* 2327319 */   GIR_EraseRootFromParent_Done,
     /* 2327320 */ // Label 32236: @2327320
     /* 2327320 */ GIM_Try, /*On fail goto*//*Label 32237*/ GIMT_Encode4(2327374), // Rule ID 58506 //
     /* 2327325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327339 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2327356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327373 */   // GIR_Coverage, 58506,
     /* 2327373 */   GIR_EraseRootFromParent_Done,
     /* 2327374 */ // Label 32237: @2327374
     /* 2327374 */ GIM_Try, /*On fail goto*//*Label 32238*/ GIMT_Encode4(2327428), // Rule ID 58507 //
     /* 2327379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2327385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327393 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2327410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327427 */   // GIR_Coverage, 58507,
     /* 2327427 */   GIR_EraseRootFromParent_Done,
     /* 2327428 */ // Label 32238: @2327428
     /* 2327428 */ GIM_Try, /*On fail goto*//*Label 32239*/ GIMT_Encode4(2327485), // Rule ID 58734 //
     /* 2327433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2327436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327447 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2327464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327484 */   // GIR_Coverage, 58734,
     /* 2327484 */   GIR_EraseRootFromParent_Done,
     /* 2327485 */ // Label 32239: @2327485
     /* 2327485 */ GIM_Try, /*On fail goto*//*Label 32240*/ GIMT_Encode4(2327542), // Rule ID 58735 //
     /* 2327490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2327493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327504 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2327507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2327521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327541 */   // GIR_Coverage, 58735,
     /* 2327541 */   GIR_EraseRootFromParent_Done,
     /* 2327542 */ // Label 32240: @2327542
     /* 2327542 */ GIM_Reject,
     /* 2327543 */ // Label 32178: @2327543
     /* 2327543 */ GIM_Try, /*On fail goto*//*Label 32241*/ GIMT_Encode4(2327600), // Rule ID 58342 //
     /* 2327548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2327551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327562 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327562 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327565 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327569 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327574 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2327579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327581 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327584 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327599 */   // GIR_Coverage, 58342,
     /* 2327599 */   GIR_EraseRootFromParent_Done,
     /* 2327600 */ // Label 32241: @2327600
     /* 2327600 */ GIM_Try, /*On fail goto*//*Label 32242*/ GIMT_Encode4(2327657), // Rule ID 58343 //
     /* 2327605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2327608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2327611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327619 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2327636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327656 */   // GIR_Coverage, 58343,
     /* 2327656 */   GIR_EraseRootFromParent_Done,
     /* 2327657 */ // Label 32242: @2327657
     /* 2327657 */ GIM_Try, /*On fail goto*//*Label 32243*/ GIMT_Encode4(2327711), // Rule ID 58526 //
     /* 2327662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2327665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327676 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2327693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327710 */   // GIR_Coverage, 58526,
     /* 2327710 */   GIR_EraseRootFromParent_Done,
     /* 2327711 */ // Label 32243: @2327711
     /* 2327711 */ GIM_Try, /*On fail goto*//*Label 32244*/ GIMT_Encode4(2327765), // Rule ID 58527 //
     /* 2327716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2327719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2327722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327730 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2327733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2327747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327764 */   // GIR_Coverage, 58527,
     /* 2327764 */   GIR_EraseRootFromParent_Done,
     /* 2327765 */ // Label 32244: @2327765
     /* 2327765 */ GIM_Reject,
     /* 2327766 */ // Label 32179: @2327766
     /* 2327766 */ GIM_Try, /*On fail goto*//*Label 32245*/ GIMT_Encode4(2327823), // Rule ID 58306 //
     /* 2327771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327785 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2327802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327822 */   // GIR_Coverage, 58306,
     /* 2327822 */   GIR_EraseRootFromParent_Done,
     /* 2327823 */ // Label 32245: @2327823
     /* 2327823 */ GIM_Try, /*On fail goto*//*Label 32246*/ GIMT_Encode4(2327880), // Rule ID 58307 //
     /* 2327828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327842 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2327859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327864 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327879 */   // GIR_Coverage, 58307,
     /* 2327879 */   GIR_EraseRootFromParent_Done,
     /* 2327880 */ // Label 32246: @2327880
     /* 2327880 */ GIM_Try, /*On fail goto*//*Label 32247*/ GIMT_Encode4(2327934), // Rule ID 58486 //
     /* 2327885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2327891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327899 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2327916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327933 */   // GIR_Coverage, 58486,
     /* 2327933 */   GIR_EraseRootFromParent_Done,
     /* 2327934 */ // Label 32247: @2327934
     /* 2327934 */ GIM_Try, /*On fail goto*//*Label 32248*/ GIMT_Encode4(2327988), // Rule ID 58487 //
     /* 2327939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2327945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327953 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327953 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327956 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327960 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327965 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2327970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327972 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327975 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327987 */   // GIR_Coverage, 58487,
     /* 2327987 */   GIR_EraseRootFromParent_Done,
     /* 2327988 */ // Label 32248: @2327988
     /* 2327988 */ GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2328045), // Rule ID 58718 //
     /* 2327993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328007 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2328024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328029 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328044 */   // GIR_Coverage, 58718,
     /* 2328044 */   GIR_EraseRootFromParent_Done,
     /* 2328045 */ // Label 32249: @2328045
     /* 2328045 */ GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2328102), // Rule ID 58719 //
     /* 2328050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328064 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328076 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2328081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328083 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328101 */   // GIR_Coverage, 58719,
     /* 2328101 */   GIR_EraseRootFromParent_Done,
     /* 2328102 */ // Label 32250: @2328102
     /* 2328102 */ GIM_Reject,
     /* 2328103 */ // Label 32180: @2328103
     /* 2328103 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2328160), // Rule ID 58330 //
     /* 2328108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328122 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328134 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2328139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328141 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328144 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328159 */   // GIR_Coverage, 58330,
     /* 2328159 */   GIR_EraseRootFromParent_Done,
     /* 2328160 */ // Label 32251: @2328160
     /* 2328160 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2328217), // Rule ID 58331 //
     /* 2328165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328179 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2328196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328216 */   // GIR_Coverage, 58331,
     /* 2328216 */   GIR_EraseRootFromParent_Done,
     /* 2328217 */ // Label 32252: @2328217
     /* 2328217 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2328271), // Rule ID 58510 //
     /* 2328222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328236 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2328253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328270 */   // GIR_Coverage, 58510,
     /* 2328270 */   GIR_EraseRootFromParent_Done,
     /* 2328271 */ // Label 32253: @2328271
     /* 2328271 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2328325), // Rule ID 58511 //
     /* 2328276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2328282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328290 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2328307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328324 */   // GIR_Coverage, 58511,
     /* 2328324 */   GIR_EraseRootFromParent_Done,
     /* 2328325 */ // Label 32254: @2328325
     /* 2328325 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2328382), // Rule ID 58738 //
     /* 2328330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2328333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328344 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2328361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328381 */   // GIR_Coverage, 58738,
     /* 2328381 */   GIR_EraseRootFromParent_Done,
     /* 2328382 */ // Label 32255: @2328382
     /* 2328382 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2328439), // Rule ID 58739 //
     /* 2328387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2328390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328401 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328401 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2328404 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328408 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328413 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2328418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328420 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328423 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328438 */   // GIR_Coverage, 58739,
     /* 2328438 */   GIR_EraseRootFromParent_Done,
     /* 2328439 */ // Label 32256: @2328439
     /* 2328439 */ GIM_Reject,
     /* 2328440 */ // Label 32181: @2328440
     /* 2328440 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2328497), // Rule ID 58346 //
     /* 2328445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328459 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2328476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328496 */   // GIR_Coverage, 58346,
     /* 2328496 */   GIR_EraseRootFromParent_Done,
     /* 2328497 */ // Label 32257: @2328497
     /* 2328497 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2328554), // Rule ID 58347 //
     /* 2328502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2328505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2328508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328516 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2328533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328553 */   // GIR_Coverage, 58347,
     /* 2328553 */   GIR_EraseRootFromParent_Done,
     /* 2328554 */ // Label 32258: @2328554
     /* 2328554 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2328608), // Rule ID 58530 //
     /* 2328559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328573 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328573 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328576 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328580 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328585 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2328590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328592 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328607 */   // GIR_Coverage, 58530,
     /* 2328607 */   GIR_EraseRootFromParent_Done,
     /* 2328608 */ // Label 32259: @2328608
     /* 2328608 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2328662), // Rule ID 58531 //
     /* 2328613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328627 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2328630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2328644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328649 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328661 */   // GIR_Coverage, 58531,
     /* 2328661 */   GIR_EraseRootFromParent_Done,
     /* 2328662 */ // Label 32260: @2328662
     /* 2328662 */ GIM_Reject,
     /* 2328663 */ // Label 32182: @2328663
     /* 2328663 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2328720), // Rule ID 58318 //
     /* 2328668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328682 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2328699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328719 */   // GIR_Coverage, 58318,
     /* 2328719 */   GIR_EraseRootFromParent_Done,
     /* 2328720 */ // Label 32261: @2328720
     /* 2328720 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2328777), // Rule ID 58319 //
     /* 2328725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328739 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2328756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328761 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328776 */   // GIR_Coverage, 58319,
     /* 2328776 */   GIR_EraseRootFromParent_Done,
     /* 2328777 */ // Label 32262: @2328777
     /* 2328777 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2328831), // Rule ID 58490 //
     /* 2328782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2328788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328796 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2328813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328818 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328830 */   // GIR_Coverage, 58490,
     /* 2328830 */   GIR_EraseRootFromParent_Done,
     /* 2328831 */ // Label 32263: @2328831
     /* 2328831 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2328885), // Rule ID 58491 //
     /* 2328836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2328842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328850 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328850 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328853 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328857 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2328867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328869 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328872 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328884 */   // GIR_Coverage, 58491,
     /* 2328884 */   GIR_EraseRootFromParent_Done,
     /* 2328885 */ // Label 32264: @2328885
     /* 2328885 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2328942), // Rule ID 58722 //
     /* 2328890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328904 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2328921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328926 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328941 */   // GIR_Coverage, 58722,
     /* 2328941 */   GIR_EraseRootFromParent_Done,
     /* 2328942 */ // Label 32265: @2328942
     /* 2328942 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2328999), // Rule ID 58723 //
     /* 2328947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328961 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328973 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2328978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328980 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328983 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328998 */   // GIR_Coverage, 58723,
     /* 2328998 */   GIR_EraseRootFromParent_Done,
     /* 2328999 */ // Label 32266: @2328999
     /* 2328999 */ GIM_Reject,
     /* 2329000 */ // Label 32183: @2329000
     /* 2329000 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2329057), // Rule ID 58334 //
     /* 2329005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329019 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329019 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329022 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329026 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2329036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329041 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329056 */   // GIR_Coverage, 58334,
     /* 2329056 */   GIR_EraseRootFromParent_Done,
     /* 2329057 */ // Label 32267: @2329057
     /* 2329057 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2329114), // Rule ID 58335 //
     /* 2329062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329076 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329088 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2329093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329095 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329098 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329113 */   // GIR_Coverage, 58335,
     /* 2329113 */   GIR_EraseRootFromParent_Done,
     /* 2329114 */ // Label 32268: @2329114
     /* 2329114 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2329168), // Rule ID 58514 //
     /* 2329119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329133 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2329150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329167 */   // GIR_Coverage, 58514,
     /* 2329167 */   GIR_EraseRootFromParent_Done,
     /* 2329168 */ // Label 32269: @2329168
     /* 2329168 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2329222), // Rule ID 58515 //
     /* 2329173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2329179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329187 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2329204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329221 */   // GIR_Coverage, 58515,
     /* 2329221 */   GIR_EraseRootFromParent_Done,
     /* 2329222 */ // Label 32270: @2329222
     /* 2329222 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2329279), // Rule ID 58742 //
     /* 2329227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2329230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2329233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329241 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2329258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329278 */   // GIR_Coverage, 58742,
     /* 2329278 */   GIR_EraseRootFromParent_Done,
     /* 2329279 */ // Label 32271: @2329279
     /* 2329279 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2329336), // Rule ID 58743 //
     /* 2329284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2329287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2329290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329298 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329298 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329301 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329305 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2329315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329317 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329335 */   // GIR_Coverage, 58743,
     /* 2329335 */   GIR_EraseRootFromParent_Done,
     /* 2329336 */ // Label 32272: @2329336
     /* 2329336 */ GIM_Reject,
     /* 2329337 */ // Label 32184: @2329337
     /* 2329337 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2329394), // Rule ID 58350 //
     /* 2329342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2329345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2329348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329356 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2329373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329393 */   // GIR_Coverage, 58350,
     /* 2329393 */   GIR_EraseRootFromParent_Done,
     /* 2329394 */ // Label 32273: @2329394
     /* 2329394 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2329451), // Rule ID 58351 //
     /* 2329399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2329402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2329405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329413 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329413 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329416 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329420 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2329430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329435 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329450 */   // GIR_Coverage, 58351,
     /* 2329450 */   GIR_EraseRootFromParent_Done,
     /* 2329451 */ // Label 32274: @2329451
     /* 2329451 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2329505), // Rule ID 58534 //
     /* 2329456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2329459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329470 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2329487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329504 */   // GIR_Coverage, 58534,
     /* 2329504 */   GIR_EraseRootFromParent_Done,
     /* 2329505 */ // Label 32275: @2329505
     /* 2329505 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2329559), // Rule ID 58535 //
     /* 2329510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2329513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329524 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2329527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2329541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329558 */   // GIR_Coverage, 58535,
     /* 2329558 */   GIR_EraseRootFromParent_Done,
     /* 2329559 */ // Label 32276: @2329559
     /* 2329559 */ GIM_Reject,
     /* 2329560 */ // Label 32185: @2329560
     /* 2329560 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2329617), // Rule ID 58322 //
     /* 2329565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329579 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329579 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329582 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329586 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2329596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329601 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329616 */   // GIR_Coverage, 58322,
     /* 2329616 */   GIR_EraseRootFromParent_Done,
     /* 2329617 */ // Label 32277: @2329617
     /* 2329617 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2329674), // Rule ID 58323 //
     /* 2329622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329636 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2329653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329673 */   // GIR_Coverage, 58323,
     /* 2329673 */   GIR_EraseRootFromParent_Done,
     /* 2329674 */ // Label 32278: @2329674
     /* 2329674 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2329728), // Rule ID 58494 //
     /* 2329679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2329685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329693 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329705 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2329710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329712 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329715 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329727 */   // GIR_Coverage, 58494,
     /* 2329727 */   GIR_EraseRootFromParent_Done,
     /* 2329728 */ // Label 32279: @2329728
     /* 2329728 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2329782), // Rule ID 58495 //
     /* 2329733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2329739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329747 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329747 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329750 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329754 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2329764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329769 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329781 */   // GIR_Coverage, 58495,
     /* 2329781 */   GIR_EraseRootFromParent_Done,
     /* 2329782 */ // Label 32280: @2329782
     /* 2329782 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2329839), // Rule ID 58726 //
     /* 2329787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329801 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329813 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2329818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329820 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329823 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329838 */   // GIR_Coverage, 58726,
     /* 2329838 */   GIR_EraseRootFromParent_Done,
     /* 2329839 */ // Label 32281: @2329839
     /* 2329839 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2329896), // Rule ID 58727 //
     /* 2329844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329858 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329858 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329861 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329865 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2329875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329880 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329895 */   // GIR_Coverage, 58727,
     /* 2329895 */   GIR_EraseRootFromParent_Done,
     /* 2329896 */ // Label 32282: @2329896
     /* 2329896 */ GIM_Reject,
     /* 2329897 */ // Label 32186: @2329897
     /* 2329897 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2329954), // Rule ID 58338 //
     /* 2329902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329916 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329928 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2329933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329935 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329953 */   // GIR_Coverage, 58338,
     /* 2329953 */   GIR_EraseRootFromParent_Done,
     /* 2329954 */ // Label 32283: @2329954
     /* 2329954 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2330011), // Rule ID 58339 //
     /* 2329959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329973 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2329990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330010 */   // GIR_Coverage, 58339,
     /* 2330010 */   GIR_EraseRootFromParent_Done,
     /* 2330011 */ // Label 32284: @2330011
     /* 2330011 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2330065), // Rule ID 58518 //
     /* 2330016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330030 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2330047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330064 */   // GIR_Coverage, 58518,
     /* 2330064 */   GIR_EraseRootFromParent_Done,
     /* 2330065 */ // Label 32285: @2330065
     /* 2330065 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2330119), // Rule ID 58519 //
     /* 2330070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330084 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2330101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330103 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330106 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330118 */   // GIR_Coverage, 58519,
     /* 2330118 */   GIR_EraseRootFromParent_Done,
     /* 2330119 */ // Label 32286: @2330119
     /* 2330119 */ GIM_Reject,
     /* 2330120 */ // Label 32187: @2330120
     /* 2330120 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2330177), // Rule ID 58326 //
     /* 2330125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2330131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330139 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330151 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2330156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330161 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330176 */   // GIR_Coverage, 58326,
     /* 2330176 */   GIR_EraseRootFromParent_Done,
     /* 2330177 */ // Label 32287: @2330177
     /* 2330177 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2330234), // Rule ID 58327 //
     /* 2330182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2330188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330196 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2330213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330233 */   // GIR_Coverage, 58327,
     /* 2330233 */   GIR_EraseRootFromParent_Done,
     /* 2330234 */ // Label 32288: @2330234
     /* 2330234 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2330288), // Rule ID 58498 //
     /* 2330239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2330245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330253 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2330270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330287 */   // GIR_Coverage, 58498,
     /* 2330287 */   GIR_EraseRootFromParent_Done,
     /* 2330288 */ // Label 32289: @2330288
     /* 2330288 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2330342), // Rule ID 58499 //
     /* 2330293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2330299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330307 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330307 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2330310 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330314 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2330324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330329 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330341 */   // GIR_Coverage, 58499,
     /* 2330341 */   GIR_EraseRootFromParent_Done,
     /* 2330342 */ // Label 32290: @2330342
     /* 2330342 */ GIM_Reject,
     /* 2330343 */ // Label 32188: @2330343
     /* 2330343 */ GIM_Reject,
     /* 2330344 */ // Label 70: @2330344
     /* 2330344 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32309*/ GIMT_Encode4(2335629),
     /* 2330355 */ /*GILLT_s16*//*Label 32291*/ GIMT_Encode4(2330475),
     /* 2330359 */ /*GILLT_s32*//*Label 32292*/ GIMT_Encode4(2330736),
     /* 2330363 */ /*GILLT_s64*//*Label 32293*/ GIMT_Encode4(2330997), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330375 */ /*GILLT_nxv1s16*//*Label 32294*/ GIMT_Encode4(2331258),
     /* 2330379 */ /*GILLT_nxv1s32*//*Label 32295*/ GIMT_Encode4(2331595),
     /* 2330383 */ /*GILLT_nxv1s64*//*Label 32296*/ GIMT_Encode4(2331932), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330395 */ /*GILLT_nxv2s16*//*Label 32297*/ GIMT_Encode4(2332155),
     /* 2330399 */ /*GILLT_nxv2s32*//*Label 32298*/ GIMT_Encode4(2332492),
     /* 2330403 */ /*GILLT_nxv2s64*//*Label 32299*/ GIMT_Encode4(2332829), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330415 */ /*GILLT_nxv4s16*//*Label 32300*/ GIMT_Encode4(2333052),
     /* 2330419 */ /*GILLT_nxv4s32*//*Label 32301*/ GIMT_Encode4(2333389),
     /* 2330423 */ /*GILLT_nxv4s64*//*Label 32302*/ GIMT_Encode4(2333726), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330435 */ /*GILLT_nxv8s16*//*Label 32303*/ GIMT_Encode4(2333949),
     /* 2330439 */ /*GILLT_nxv8s32*//*Label 32304*/ GIMT_Encode4(2334286),
     /* 2330443 */ /*GILLT_nxv8s64*//*Label 32305*/ GIMT_Encode4(2334623), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330455 */ /*GILLT_nxv16s16*//*Label 32306*/ GIMT_Encode4(2334846),
     /* 2330459 */ /*GILLT_nxv16s32*//*Label 32307*/ GIMT_Encode4(2335183), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2330471 */ /*GILLT_nxv32s16*//*Label 32308*/ GIMT_Encode4(2335406),
     /* 2330475 */ // Label 32291: @2330475
     /* 2330475 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2330512), // Rule ID 2153 //
     /* 2330480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2330483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330490 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2330497 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2330500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330502 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330511 */   // GIR_Coverage, 2153,
     /* 2330511 */   GIR_EraseRootFromParent_Done,
     /* 2330512 */ // Label 32310: @2330512
     /* 2330512 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2330549), // Rule ID 2179 //
     /* 2330517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2330520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330527 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2330534 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2330537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330548 */   // GIR_Coverage, 2179,
     /* 2330548 */   GIR_EraseRootFromParent_Done,
     /* 2330549 */ // Label 32311: @2330549
     /* 2330549 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2330580), // Rule ID 2104 //
     /* 2330554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2330557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330568 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2330571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330579 */   // GIR_Coverage, 2104,
     /* 2330579 */   GIR_EraseRootFromParent_Done,
     /* 2330580 */ // Label 32312: @2330580
     /* 2330580 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2330611), // Rule ID 2105 //
     /* 2330585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2330588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330599 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2330602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330610 */   // GIR_Coverage, 2105,
     /* 2330610 */   GIR_EraseRootFromParent_Done,
     /* 2330611 */ // Label 32313: @2330611
     /* 2330611 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2330642), // Rule ID 2130 //
     /* 2330616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2330619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330630 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2330633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330641 */   // GIR_Coverage, 2130,
     /* 2330641 */   GIR_EraseRootFromParent_Done,
     /* 2330642 */ // Label 32314: @2330642
     /* 2330642 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2330673), // Rule ID 2131 //
     /* 2330647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2330650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330661 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2330664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330666 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330672 */   // GIR_Coverage, 2131,
     /* 2330672 */   GIR_EraseRootFromParent_Done,
     /* 2330673 */ // Label 32315: @2330673
     /* 2330673 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2330704), // Rule ID 2157 //
     /* 2330678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2330681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330692 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2330695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330697 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330703 */   // GIR_Coverage, 2157,
     /* 2330703 */   GIR_EraseRootFromParent_Done,
     /* 2330704 */ // Label 32316: @2330704
     /* 2330704 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2330735), // Rule ID 2183 //
     /* 2330709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2330712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330723 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2330726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330728 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330734 */   // GIR_Coverage, 2183,
     /* 2330734 */   GIR_EraseRootFromParent_Done,
     /* 2330735 */ // Label 32317: @2330735
     /* 2330735 */ GIM_Reject,
     /* 2330736 */ // Label 32292: @2330736
     /* 2330736 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2330773), // Rule ID 1419 //
     /* 2330741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2330744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330751 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2330758 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2330761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330772 */   // GIR_Coverage, 1419,
     /* 2330772 */   GIR_EraseRootFromParent_Done,
     /* 2330773 */ // Label 32318: @2330773
     /* 2330773 */ GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2330810), // Rule ID 1447 //
     /* 2330778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2330781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330788 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2330795 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2330798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2330805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330809 */   // GIR_Coverage, 1447,
     /* 2330809 */   GIR_EraseRootFromParent_Done,
     /* 2330810 */ // Label 32319: @2330810
     /* 2330810 */ GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2330841), // Rule ID 1368 //
     /* 2330815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2330818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330829 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2330832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330834 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330840 */   // GIR_Coverage, 1368,
     /* 2330840 */   GIR_EraseRootFromParent_Done,
     /* 2330841 */ // Label 32320: @2330841
     /* 2330841 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2330872), // Rule ID 1369 //
     /* 2330846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2330849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330860 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2330863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330865 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330871 */   // GIR_Coverage, 1369,
     /* 2330871 */   GIR_EraseRootFromParent_Done,
     /* 2330872 */ // Label 32321: @2330872
     /* 2330872 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2330903), // Rule ID 1394 //
     /* 2330877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2330880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330891 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2330891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2330894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330902 */   // GIR_Coverage, 1394,
     /* 2330902 */   GIR_EraseRootFromParent_Done,
     /* 2330903 */ // Label 32322: @2330903
     /* 2330903 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2330934), // Rule ID 1395 //
     /* 2330908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2330911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2330914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330922 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2330922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2330925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330927 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330933 */   // GIR_Coverage, 1395,
     /* 2330933 */   GIR_EraseRootFromParent_Done,
     /* 2330934 */ // Label 32323: @2330934
     /* 2330934 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2330965), // Rule ID 1423 //
     /* 2330939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2330942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2330949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330953 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2330956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330964 */   // GIR_Coverage, 1423,
     /* 2330964 */   GIR_EraseRootFromParent_Done,
     /* 2330965 */ // Label 32324: @2330965
     /* 2330965 */ GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2330996), // Rule ID 1451 //
     /* 2330970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2330973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330984 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2330984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2330987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330989 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2330994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330995 */   // GIR_Coverage, 1451,
     /* 2330995 */   GIR_EraseRootFromParent_Done,
     /* 2330996 */ // Label 32325: @2330996
     /* 2330996 */ GIM_Reject,
     /* 2330997 */ // Label 32293: @2330997
     /* 2330997 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2331034), // Rule ID 1799 //
     /* 2331002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2331005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331012 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2331019 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2331019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2331022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2331029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2331032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331033 */   // GIR_Coverage, 1799,
     /* 2331033 */   GIR_EraseRootFromParent_Done,
     /* 2331034 */ // Label 32326: @2331034
     /* 2331034 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2331071), // Rule ID 1827 //
     /* 2331039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2331042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331049 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2331056 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2331056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2331059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331061 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2331066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2331069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331070 */   // GIR_Coverage, 1827,
     /* 2331070 */   GIR_EraseRootFromParent_Done,
     /* 2331071 */ // Label 32327: @2331071
     /* 2331071 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2331102), // Rule ID 1762 //
     /* 2331076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2331079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331090 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2331090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2331093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331095 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2331100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331101 */   // GIR_Coverage, 1762,
     /* 2331101 */   GIR_EraseRootFromParent_Done,
     /* 2331102 */ // Label 32328: @2331102
     /* 2331102 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2331133), // Rule ID 1763 //
     /* 2331107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2331110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331121 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2331121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2331124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331126 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2331131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331132 */   // GIR_Coverage, 1763,
     /* 2331132 */   GIR_EraseRootFromParent_Done,
     /* 2331133 */ // Label 32329: @2331133
     /* 2331133 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2331164), // Rule ID 1788 //
     /* 2331138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2331141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331152 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2331152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2331155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331157 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2331162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331163 */   // GIR_Coverage, 1788,
     /* 2331163 */   GIR_EraseRootFromParent_Done,
     /* 2331164 */ // Label 32330: @2331164
     /* 2331164 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2331195), // Rule ID 1789 //
     /* 2331169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2331172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2331179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331183 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2331183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2331186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2331193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331194 */   // GIR_Coverage, 1789,
     /* 2331194 */   GIR_EraseRootFromParent_Done,
     /* 2331195 */ // Label 32331: @2331195
     /* 2331195 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2331226), // Rule ID 1817 //
     /* 2331200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2331203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2331210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331214 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2331214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2331217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331225 */   // GIR_Coverage, 1817,
     /* 2331225 */   GIR_EraseRootFromParent_Done,
     /* 2331226 */ // Label 32332: @2331226
     /* 2331226 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2331257), // Rule ID 1845 //
     /* 2331231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2331234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331245 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2331245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2331248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331256 */   // GIR_Coverage, 1845,
     /* 2331256 */   GIR_EraseRootFromParent_Done,
     /* 2331257 */ // Label 32333: @2331257
     /* 2331257 */ GIM_Reject,
     /* 2331258 */ // Label 32294: @2331258
     /* 2331258 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2331315), // Rule ID 58354 //
     /* 2331263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331277 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2331294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331314 */   // GIR_Coverage, 58354,
     /* 2331314 */   GIR_EraseRootFromParent_Done,
     /* 2331315 */ // Label 32334: @2331315
     /* 2331315 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2331372), // Rule ID 58355 //
     /* 2331320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331334 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331334 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331337 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331341 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2331351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331371 */   // GIR_Coverage, 58355,
     /* 2331371 */   GIR_EraseRootFromParent_Done,
     /* 2331372 */ // Label 32335: @2331372
     /* 2331372 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2331426), // Rule ID 58538 //
     /* 2331377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2331383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331391 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2331408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331425 */   // GIR_Coverage, 58538,
     /* 2331425 */   GIR_EraseRootFromParent_Done,
     /* 2331426 */ // Label 32336: @2331426
     /* 2331426 */ GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2331480), // Rule ID 58539 //
     /* 2331431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2331437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331445 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331457 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2331462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331464 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331467 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331479 */   // GIR_Coverage, 58539,
     /* 2331479 */   GIR_EraseRootFromParent_Done,
     /* 2331480 */ // Label 32337: @2331480
     /* 2331480 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2331537), // Rule ID 58746 //
     /* 2331485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331499 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331511 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2331516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331536 */   // GIR_Coverage, 58746,
     /* 2331536 */   GIR_EraseRootFromParent_Done,
     /* 2331537 */ // Label 32338: @2331537
     /* 2331537 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2331594), // Rule ID 58747 //
     /* 2331542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331556 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331556 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331559 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331563 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331568 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2331573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331575 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331578 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331593 */   // GIR_Coverage, 58747,
     /* 2331593 */   GIR_EraseRootFromParent_Done,
     /* 2331594 */ // Label 32339: @2331594
     /* 2331594 */ GIM_Reject,
     /* 2331595 */ // Label 32295: @2331595
     /* 2331595 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2331652), // Rule ID 58362 //
     /* 2331600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331614 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331614 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331617 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331621 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2331631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331651 */   // GIR_Coverage, 58362,
     /* 2331651 */   GIR_EraseRootFromParent_Done,
     /* 2331652 */ // Label 32340: @2331652
     /* 2331652 */ GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2331709), // Rule ID 58363 //
     /* 2331657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331671 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2331688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331708 */   // GIR_Coverage, 58363,
     /* 2331708 */   GIR_EraseRootFromParent_Done,
     /* 2331709 */ // Label 32341: @2331709
     /* 2331709 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2331763), // Rule ID 58562 //
     /* 2331714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331728 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2331745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331762 */   // GIR_Coverage, 58562,
     /* 2331762 */   GIR_EraseRootFromParent_Done,
     /* 2331763 */ // Label 32342: @2331763
     /* 2331763 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2331817), // Rule ID 58563 //
     /* 2331768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331782 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331782 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331785 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331789 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2331799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331804 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331816 */   // GIR_Coverage, 58563,
     /* 2331816 */   GIR_EraseRootFromParent_Done,
     /* 2331817 */ // Label 32343: @2331817
     /* 2331817 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2331874), // Rule ID 58766 //
     /* 2331822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2331825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331836 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2331853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331858 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331873 */   // GIR_Coverage, 58766,
     /* 2331873 */   GIR_EraseRootFromParent_Done,
     /* 2331874 */ // Label 32344: @2331874
     /* 2331874 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2331931), // Rule ID 58767 //
     /* 2331879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2331882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331893 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331893 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331896 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331900 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2331910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331915 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331930 */   // GIR_Coverage, 58767,
     /* 2331930 */   GIR_EraseRootFromParent_Done,
     /* 2331931 */ // Label 32345: @2331931
     /* 2331931 */ GIM_Reject,
     /* 2331932 */ // Label 32296: @2331932
     /* 2331932 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2331989), // Rule ID 58374 //
     /* 2331937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2331940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331951 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2331968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331970 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331973 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2331978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331988 */   // GIR_Coverage, 58374,
     /* 2331988 */   GIR_EraseRootFromParent_Done,
     /* 2331989 */ // Label 32346: @2331989
     /* 2331989 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2332046), // Rule ID 58375 //
     /* 2331994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2331997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2332000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332008 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2332025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332045 */   // GIR_Coverage, 58375,
     /* 2332045 */   GIR_EraseRootFromParent_Done,
     /* 2332046 */ // Label 32347: @2332046
     /* 2332046 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2332100), // Rule ID 58582 //
     /* 2332051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2332054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2332057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332065 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2332082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332099 */   // GIR_Coverage, 58582,
     /* 2332099 */   GIR_EraseRootFromParent_Done,
     /* 2332100 */ // Label 32348: @2332100
     /* 2332100 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2332154), // Rule ID 58583 //
     /* 2332105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2332108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2332111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332119 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2332136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332153 */   // GIR_Coverage, 58583,
     /* 2332153 */   GIR_EraseRootFromParent_Done,
     /* 2332154 */ // Label 32349: @2332154
     /* 2332154 */ GIM_Reject,
     /* 2332155 */ // Label 32297: @2332155
     /* 2332155 */ GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2332212), // Rule ID 58358 //
     /* 2332160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332174 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2332191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332211 */   // GIR_Coverage, 58358,
     /* 2332211 */   GIR_EraseRootFromParent_Done,
     /* 2332212 */ // Label 32350: @2332212
     /* 2332212 */ GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2332269), // Rule ID 58359 //
     /* 2332217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332231 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2332248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332253 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332268 */   // GIR_Coverage, 58359,
     /* 2332268 */   GIR_EraseRootFromParent_Done,
     /* 2332269 */ // Label 32351: @2332269
     /* 2332269 */ GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2332323), // Rule ID 58542 //
     /* 2332274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2332280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332288 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332288 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332291 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332295 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332300 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2332305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332307 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332310 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332322 */   // GIR_Coverage, 58542,
     /* 2332322 */   GIR_EraseRootFromParent_Done,
     /* 2332323 */ // Label 32352: @2332323
     /* 2332323 */ GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2332377), // Rule ID 58543 //
     /* 2332328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2332334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332342 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332342 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332345 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332349 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332354 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2332359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332361 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332364 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332376 */   // GIR_Coverage, 58543,
     /* 2332376 */   GIR_EraseRootFromParent_Done,
     /* 2332377 */ // Label 32353: @2332377
     /* 2332377 */ GIM_Try, /*On fail goto*//*Label 32354*/ GIMT_Encode4(2332434), // Rule ID 58750 //
     /* 2332382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332396 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332396 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332403 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332408 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2332413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332415 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332433 */   // GIR_Coverage, 58750,
     /* 2332433 */   GIR_EraseRootFromParent_Done,
     /* 2332434 */ // Label 32354: @2332434
     /* 2332434 */ GIM_Try, /*On fail goto*//*Label 32355*/ GIMT_Encode4(2332491), // Rule ID 58751 //
     /* 2332439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332453 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2332470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332490 */   // GIR_Coverage, 58751,
     /* 2332490 */   GIR_EraseRootFromParent_Done,
     /* 2332491 */ // Label 32355: @2332491
     /* 2332491 */ GIM_Reject,
     /* 2332492 */ // Label 32298: @2332492
     /* 2332492 */ GIM_Try, /*On fail goto*//*Label 32356*/ GIMT_Encode4(2332549), // Rule ID 58370 //
     /* 2332497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332511 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2332528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332533 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332548 */   // GIR_Coverage, 58370,
     /* 2332548 */   GIR_EraseRootFromParent_Done,
     /* 2332549 */ // Label 32356: @2332549
     /* 2332549 */ GIM_Try, /*On fail goto*//*Label 32357*/ GIMT_Encode4(2332606), // Rule ID 58371 //
     /* 2332554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332568 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332568 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332571 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332575 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2332585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332587 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332590 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332605 */   // GIR_Coverage, 58371,
     /* 2332605 */   GIR_EraseRootFromParent_Done,
     /* 2332606 */ // Label 32357: @2332606
     /* 2332606 */ GIM_Try, /*On fail goto*//*Label 32358*/ GIMT_Encode4(2332660), // Rule ID 58566 //
     /* 2332611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332625 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2332642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332659 */   // GIR_Coverage, 58566,
     /* 2332659 */   GIR_EraseRootFromParent_Done,
     /* 2332660 */ // Label 32358: @2332660
     /* 2332660 */ GIM_Try, /*On fail goto*//*Label 32359*/ GIMT_Encode4(2332714), // Rule ID 58567 //
     /* 2332665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332679 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2332696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332713 */   // GIR_Coverage, 58567,
     /* 2332713 */   GIR_EraseRootFromParent_Done,
     /* 2332714 */ // Label 32359: @2332714
     /* 2332714 */ GIM_Try, /*On fail goto*//*Label 32360*/ GIMT_Encode4(2332771), // Rule ID 58770 //
     /* 2332719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2332722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332733 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2332750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332770 */   // GIR_Coverage, 58770,
     /* 2332770 */   GIR_EraseRootFromParent_Done,
     /* 2332771 */ // Label 32360: @2332771
     /* 2332771 */ GIM_Try, /*On fail goto*//*Label 32361*/ GIMT_Encode4(2332828), // Rule ID 58771 //
     /* 2332776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2332779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332790 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332790 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332793 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332797 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332802 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2332807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332809 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332812 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332827 */   // GIR_Coverage, 58771,
     /* 2332827 */   GIR_EraseRootFromParent_Done,
     /* 2332828 */ // Label 32361: @2332828
     /* 2332828 */ GIM_Reject,
     /* 2332829 */ // Label 32299: @2332829
     /* 2332829 */ GIM_Try, /*On fail goto*//*Label 32362*/ GIMT_Encode4(2332886), // Rule ID 58402 //
     /* 2332834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2332837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332848 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332848 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332851 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332855 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332860 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2332865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332867 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332870 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332885 */   // GIR_Coverage, 58402,
     /* 2332885 */   GIR_EraseRootFromParent_Done,
     /* 2332886 */ // Label 32362: @2332886
     /* 2332886 */ GIM_Try, /*On fail goto*//*Label 32363*/ GIMT_Encode4(2332943), // Rule ID 58403 //
     /* 2332891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2332894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332905 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2332922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332927 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2332932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332942 */   // GIR_Coverage, 58403,
     /* 2332942 */   GIR_EraseRootFromParent_Done,
     /* 2332943 */ // Label 32363: @2332943
     /* 2332943 */ GIM_Try, /*On fail goto*//*Label 32364*/ GIMT_Encode4(2332997), // Rule ID 58586 //
     /* 2332948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2332951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332962 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2332979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332996 */   // GIR_Coverage, 58586,
     /* 2332996 */   GIR_EraseRootFromParent_Done,
     /* 2332997 */ // Label 32364: @2332997
     /* 2332997 */ GIM_Try, /*On fail goto*//*Label 32365*/ GIMT_Encode4(2333051), // Rule ID 58587 //
     /* 2333002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2333005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2333008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333016 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2333019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2333033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333050 */   // GIR_Coverage, 58587,
     /* 2333050 */   GIR_EraseRootFromParent_Done,
     /* 2333051 */ // Label 32365: @2333051
     /* 2333051 */ GIM_Reject,
     /* 2333052 */ // Label 32300: @2333052
     /* 2333052 */ GIM_Try, /*On fail goto*//*Label 32366*/ GIMT_Encode4(2333109), // Rule ID 58366 //
     /* 2333057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2333063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333071 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2333074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2333088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333108 */   // GIR_Coverage, 58366,
     /* 2333108 */   GIR_EraseRootFromParent_Done,
     /* 2333109 */ // Label 32366: @2333109
     /* 2333109 */ GIM_Try, /*On fail goto*//*Label 32367*/ GIMT_Encode4(2333166), // Rule ID 58367 //
     /* 2333114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2333120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333128 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2333131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2333145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333165 */   // GIR_Coverage, 58367,
     /* 2333165 */   GIR_EraseRootFromParent_Done,
     /* 2333166 */ // Label 32367: @2333166
     /* 2333166 */ GIM_Try, /*On fail goto*//*Label 32368*/ GIMT_Encode4(2333220), // Rule ID 58546 //
     /* 2333171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2333177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333185 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2333188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333197 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2333202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333204 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333219 */   // GIR_Coverage, 58546,
     /* 2333219 */   GIR_EraseRootFromParent_Done,
     /* 2333220 */ // Label 32368: @2333220
     /* 2333220 */ GIM_Try, /*On fail goto*//*Label 32369*/ GIMT_Encode4(2333274), // Rule ID 58547 //
     /* 2333225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2333231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333239 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333239 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2333242 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333246 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333251 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2333256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333258 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333261 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333273 */   // GIR_Coverage, 58547,
     /* 2333273 */   GIR_EraseRootFromParent_Done,
     /* 2333274 */ // Label 32369: @2333274
     /* 2333274 */ GIM_Try, /*On fail goto*//*Label 32370*/ GIMT_Encode4(2333331), // Rule ID 58754 //
     /* 2333279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333293 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333293 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2333296 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333300 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333305 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2333310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333312 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333315 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333330 */   // GIR_Coverage, 58754,
     /* 2333330 */   GIR_EraseRootFromParent_Done,
     /* 2333331 */ // Label 32370: @2333331
     /* 2333331 */ GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2333388), // Rule ID 58755 //
     /* 2333336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333350 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2333353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2333367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333369 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333387 */   // GIR_Coverage, 58755,
     /* 2333387 */   GIR_EraseRootFromParent_Done,
     /* 2333388 */ // Label 32371: @2333388
     /* 2333388 */ GIM_Reject,
     /* 2333389 */ // Label 32301: @2333389
     /* 2333389 */ GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2333446), // Rule ID 58390 //
     /* 2333394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333408 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333408 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333411 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333415 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333420 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2333425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333430 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333445 */   // GIR_Coverage, 58390,
     /* 2333445 */   GIR_EraseRootFromParent_Done,
     /* 2333446 */ // Label 32372: @2333446
     /* 2333446 */ GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2333503), // Rule ID 58391 //
     /* 2333451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333465 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333477 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2333482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333484 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333487 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333502 */   // GIR_Coverage, 58391,
     /* 2333502 */   GIR_EraseRootFromParent_Done,
     /* 2333503 */ // Label 32373: @2333503
     /* 2333503 */ GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2333557), // Rule ID 58570 //
     /* 2333508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2333514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333522 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333522 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333525 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333529 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333534 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2333539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333541 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333556 */   // GIR_Coverage, 58570,
     /* 2333556 */   GIR_EraseRootFromParent_Done,
     /* 2333557 */ // Label 32374: @2333557
     /* 2333557 */ GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2333611), // Rule ID 58571 //
     /* 2333562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2333568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333576 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333576 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333579 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333583 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333588 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2333593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333595 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333598 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333610 */   // GIR_Coverage, 58571,
     /* 2333610 */   GIR_EraseRootFromParent_Done,
     /* 2333611 */ // Label 32375: @2333611
     /* 2333611 */ GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2333668), // Rule ID 58774 //
     /* 2333616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2333619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333630 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333630 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333633 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333637 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333642 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2333647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333649 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333652 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333667 */   // GIR_Coverage, 58774,
     /* 2333667 */   GIR_EraseRootFromParent_Done,
     /* 2333668 */ // Label 32376: @2333668
     /* 2333668 */ GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2333725), // Rule ID 58775 //
     /* 2333673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2333676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333687 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2333690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2333704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333706 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333724 */   // GIR_Coverage, 58775,
     /* 2333724 */   GIR_EraseRootFromParent_Done,
     /* 2333725 */ // Label 32377: @2333725
     /* 2333725 */ GIM_Reject,
     /* 2333726 */ // Label 32302: @2333726
     /* 2333726 */ GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2333783), // Rule ID 58406 //
     /* 2333731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2333734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333745 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333745 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333748 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333752 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2333762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333782 */   // GIR_Coverage, 58406,
     /* 2333782 */   GIR_EraseRootFromParent_Done,
     /* 2333783 */ // Label 32378: @2333783
     /* 2333783 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2333840), // Rule ID 58407 //
     /* 2333788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2333791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2333794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333802 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333814 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2333819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333839 */   // GIR_Coverage, 58407,
     /* 2333839 */   GIR_EraseRootFromParent_Done,
     /* 2333840 */ // Label 32379: @2333840
     /* 2333840 */ GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2333894), // Rule ID 58590 //
     /* 2333845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2333848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333859 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333859 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333862 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333866 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333871 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2333876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333878 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333893 */   // GIR_Coverage, 58590,
     /* 2333893 */   GIR_EraseRootFromParent_Done,
     /* 2333894 */ // Label 32380: @2333894
     /* 2333894 */ GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2333948), // Rule ID 58591 //
     /* 2333899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2333902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2333905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333913 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2333916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2333930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333932 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333935 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333947 */   // GIR_Coverage, 58591,
     /* 2333947 */   GIR_EraseRootFromParent_Done,
     /* 2333948 */ // Label 32381: @2333948
     /* 2333948 */ GIM_Reject,
     /* 2333949 */ // Label 32303: @2333949
     /* 2333949 */ GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2334006), // Rule ID 58378 //
     /* 2333954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2333960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333968 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333968 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333971 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333975 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2333985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2333995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334005 */   // GIR_Coverage, 58378,
     /* 2334005 */   GIR_EraseRootFromParent_Done,
     /* 2334006 */ // Label 32382: @2334006
     /* 2334006 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2334063), // Rule ID 58379 //
     /* 2334011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2334017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334025 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2334028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2334042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334062 */   // GIR_Coverage, 58379,
     /* 2334062 */   GIR_EraseRootFromParent_Done,
     /* 2334063 */ // Label 32383: @2334063
     /* 2334063 */ GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2334117), // Rule ID 58550 //
     /* 2334068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2334074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334082 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334082 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2334085 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334089 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334094 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2334099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334101 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334116 */   // GIR_Coverage, 58550,
     /* 2334116 */   GIR_EraseRootFromParent_Done,
     /* 2334117 */ // Label 32384: @2334117
     /* 2334117 */ GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2334171), // Rule ID 58551 //
     /* 2334122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2334128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334136 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2334139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2334153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334158 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334170 */   // GIR_Coverage, 58551,
     /* 2334170 */   GIR_EraseRootFromParent_Done,
     /* 2334171 */ // Label 32385: @2334171
     /* 2334171 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2334228), // Rule ID 58758 //
     /* 2334176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334190 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334190 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2334193 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334197 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2334207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334212 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334227 */   // GIR_Coverage, 58758,
     /* 2334227 */   GIR_EraseRootFromParent_Done,
     /* 2334228 */ // Label 32386: @2334228
     /* 2334228 */ GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2334285), // Rule ID 58759 //
     /* 2334233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334247 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334247 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2334250 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334254 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2334264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334269 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334284 */   // GIR_Coverage, 58759,
     /* 2334284 */   GIR_EraseRootFromParent_Done,
     /* 2334285 */ // Label 32387: @2334285
     /* 2334285 */ GIM_Reject,
     /* 2334286 */ // Label 32304: @2334286
     /* 2334286 */ GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2334343), // Rule ID 58394 //
     /* 2334291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2334294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334305 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2334322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334324 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334327 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334342 */   // GIR_Coverage, 58394,
     /* 2334342 */   GIR_EraseRootFromParent_Done,
     /* 2334343 */ // Label 32388: @2334343
     /* 2334343 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2334400), // Rule ID 58395 //
     /* 2334348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2334351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334362 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2334379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334399 */   // GIR_Coverage, 58395,
     /* 2334399 */   GIR_EraseRootFromParent_Done,
     /* 2334400 */ // Label 32389: @2334400
     /* 2334400 */ GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2334454), // Rule ID 58574 //
     /* 2334405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2334408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2334411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334419 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334431 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2334436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334453 */   // GIR_Coverage, 58574,
     /* 2334453 */   GIR_EraseRootFromParent_Done,
     /* 2334454 */ // Label 32390: @2334454
     /* 2334454 */ GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2334508), // Rule ID 58575 //
     /* 2334459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2334462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2334465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334473 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334476 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334480 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2334490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334507 */   // GIR_Coverage, 58575,
     /* 2334507 */   GIR_EraseRootFromParent_Done,
     /* 2334508 */ // Label 32391: @2334508
     /* 2334508 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2334565), // Rule ID 58778 //
     /* 2334513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2334516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334527 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334527 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334530 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334534 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334539 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2334544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334546 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334564 */   // GIR_Coverage, 58778,
     /* 2334564 */   GIR_EraseRootFromParent_Done,
     /* 2334565 */ // Label 32392: @2334565
     /* 2334565 */ GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2334622), // Rule ID 58779 //
     /* 2334570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2334573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334584 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334584 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334587 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334591 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2334601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334603 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334621 */   // GIR_Coverage, 58779,
     /* 2334621 */   GIR_EraseRootFromParent_Done,
     /* 2334622 */ // Label 32393: @2334622
     /* 2334622 */ GIM_Reject,
     /* 2334623 */ // Label 32305: @2334623
     /* 2334623 */ GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2334680), // Rule ID 58410 //
     /* 2334628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2334631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334642 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334642 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334645 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334649 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2334659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334664 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334679 */   // GIR_Coverage, 58410,
     /* 2334679 */   GIR_EraseRootFromParent_Done,
     /* 2334680 */ // Label 32394: @2334680
     /* 2334680 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2334737), // Rule ID 58411 //
     /* 2334685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2334688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334699 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334711 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2334716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334736 */   // GIR_Coverage, 58411,
     /* 2334736 */   GIR_EraseRootFromParent_Done,
     /* 2334737 */ // Label 32395: @2334737
     /* 2334737 */ GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2334791), // Rule ID 58594 //
     /* 2334742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2334745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334756 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2334773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334775 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334790 */   // GIR_Coverage, 58594,
     /* 2334790 */   GIR_EraseRootFromParent_Done,
     /* 2334791 */ // Label 32396: @2334791
     /* 2334791 */ GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2334845), // Rule ID 58595 //
     /* 2334796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2334799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334810 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334810 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334813 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334817 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2334827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334832 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334844 */   // GIR_Coverage, 58595,
     /* 2334844 */   GIR_EraseRootFromParent_Done,
     /* 2334845 */ // Label 32397: @2334845
     /* 2334845 */ GIM_Reject,
     /* 2334846 */ // Label 32306: @2334846
     /* 2334846 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2334903), // Rule ID 58382 //
     /* 2334851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334865 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2334882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334884 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334887 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334902 */   // GIR_Coverage, 58382,
     /* 2334902 */   GIR_EraseRootFromParent_Done,
     /* 2334903 */ // Label 32398: @2334903
     /* 2334903 */ GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2334960), // Rule ID 58383 //
     /* 2334908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334922 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2334939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2334949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334959 */   // GIR_Coverage, 58383,
     /* 2334959 */   GIR_EraseRootFromParent_Done,
     /* 2334960 */ // Label 32399: @2334960
     /* 2334960 */ GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2335014), // Rule ID 58554 //
     /* 2334965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2334971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334979 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2334996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335013 */   // GIR_Coverage, 58554,
     /* 2335013 */   GIR_EraseRootFromParent_Done,
     /* 2335014 */ // Label 32400: @2335014
     /* 2335014 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2335068), // Rule ID 58555 //
     /* 2335019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2335025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335033 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2335036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2335050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335067 */   // GIR_Coverage, 58555,
     /* 2335067 */   GIR_EraseRootFromParent_Done,
     /* 2335068 */ // Label 32401: @2335068
     /* 2335068 */ GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2335125), // Rule ID 58762 //
     /* 2335073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2335079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335087 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2335090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2335104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335124 */   // GIR_Coverage, 58762,
     /* 2335124 */   GIR_EraseRootFromParent_Done,
     /* 2335125 */ // Label 32402: @2335125
     /* 2335125 */ GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2335182), // Rule ID 58763 //
     /* 2335130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2335136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335144 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2335147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2335161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335181 */   // GIR_Coverage, 58763,
     /* 2335181 */   GIR_EraseRootFromParent_Done,
     /* 2335182 */ // Label 32403: @2335182
     /* 2335182 */ GIM_Reject,
     /* 2335183 */ // Label 32307: @2335183
     /* 2335183 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2335240), // Rule ID 58398 //
     /* 2335188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2335191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2335194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335202 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2335205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2335219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335224 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335239 */   // GIR_Coverage, 58398,
     /* 2335239 */   GIR_EraseRootFromParent_Done,
     /* 2335240 */ // Label 32404: @2335240
     /* 2335240 */ GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2335297), // Rule ID 58399 //
     /* 2335245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2335248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2335251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335259 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335259 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2335262 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335266 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2335276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335278 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335296 */   // GIR_Coverage, 58399,
     /* 2335296 */   GIR_EraseRootFromParent_Done,
     /* 2335297 */ // Label 32405: @2335297
     /* 2335297 */ GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2335351), // Rule ID 58578 //
     /* 2335302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2335305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2335308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335316 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335316 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2335319 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335323 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335328 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2335333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335335 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335338 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335350 */   // GIR_Coverage, 58578,
     /* 2335350 */   GIR_EraseRootFromParent_Done,
     /* 2335351 */ // Label 32406: @2335351
     /* 2335351 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2335405), // Rule ID 58579 //
     /* 2335356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2335359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2335362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335370 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335370 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2335373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335377 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335382 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2335387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335392 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335404 */   // GIR_Coverage, 58579,
     /* 2335404 */   GIR_EraseRootFromParent_Done,
     /* 2335405 */ // Label 32407: @2335405
     /* 2335405 */ GIM_Reject,
     /* 2335406 */ // Label 32308: @2335406
     /* 2335406 */ GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2335463), // Rule ID 58386 //
     /* 2335411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2335417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335425 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2335442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335444 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335447 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335462 */   // GIR_Coverage, 58386,
     /* 2335462 */   GIR_EraseRootFromParent_Done,
     /* 2335463 */ // Label 32408: @2335463
     /* 2335463 */ GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2335520), // Rule ID 58387 //
     /* 2335468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2335474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335482 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2335499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2335509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335519 */   // GIR_Coverage, 58387,
     /* 2335519 */   GIR_EraseRootFromParent_Done,
     /* 2335520 */ // Label 32409: @2335520
     /* 2335520 */ GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2335574), // Rule ID 58558 //
     /* 2335525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2335531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335539 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335539 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335542 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335546 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2335556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335573 */   // GIR_Coverage, 58558,
     /* 2335573 */   GIR_EraseRootFromParent_Done,
     /* 2335574 */ // Label 32410: @2335574
     /* 2335574 */ GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2335628), // Rule ID 58559 //
     /* 2335579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2335585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2335589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335593 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335593 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335596 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335600 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335605 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2335610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335612 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335615 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335626 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335627 */   // GIR_Coverage, 58559,
     /* 2335627 */   GIR_EraseRootFromParent_Done,
     /* 2335628 */ // Label 32411: @2335628
     /* 2335628 */ GIM_Reject,
     /* 2335629 */ // Label 32309: @2335629
     /* 2335629 */ GIM_Reject,
     /* 2335630 */ // Label 71: @2335630
     /* 2335630 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32430*/ GIMT_Encode4(2337600),
     /* 2335641 */ /*GILLT_s16*//*Label 32412*/ GIMT_Encode4(2335761),
     /* 2335645 */ /*GILLT_s32*//*Label 32413*/ GIMT_Encode4(2335825),
     /* 2335649 */ /*GILLT_s64*//*Label 32414*/ GIMT_Encode4(2335889), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335661 */ /*GILLT_nxv1s16*//*Label 32415*/ GIMT_Encode4(2335980),
     /* 2335665 */ /*GILLT_nxv1s32*//*Label 32416*/ GIMT_Encode4(2336088),
     /* 2335669 */ /*GILLT_nxv1s64*//*Label 32417*/ GIMT_Encode4(2336196), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335681 */ /*GILLT_nxv2s16*//*Label 32418*/ GIMT_Encode4(2336304),
     /* 2335685 */ /*GILLT_nxv2s32*//*Label 32419*/ GIMT_Encode4(2336412),
     /* 2335689 */ /*GILLT_nxv2s64*//*Label 32420*/ GIMT_Encode4(2336520), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335701 */ /*GILLT_nxv4s16*//*Label 32421*/ GIMT_Encode4(2336628),
     /* 2335705 */ /*GILLT_nxv4s32*//*Label 32422*/ GIMT_Encode4(2336736),
     /* 2335709 */ /*GILLT_nxv4s64*//*Label 32423*/ GIMT_Encode4(2336844), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335721 */ /*GILLT_nxv8s16*//*Label 32424*/ GIMT_Encode4(2336952),
     /* 2335725 */ /*GILLT_nxv8s32*//*Label 32425*/ GIMT_Encode4(2337060),
     /* 2335729 */ /*GILLT_nxv8s64*//*Label 32426*/ GIMT_Encode4(2337168), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335741 */ /*GILLT_nxv16s16*//*Label 32427*/ GIMT_Encode4(2337276),
     /* 2335745 */ /*GILLT_nxv16s32*//*Label 32428*/ GIMT_Encode4(2337384), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335757 */ /*GILLT_nxv32s16*//*Label 32429*/ GIMT_Encode4(2337492),
     /* 2335761 */ // Label 32412: @2335761
     /* 2335761 */ GIM_Try, /*On fail goto*//*Label 32431*/ GIMT_Encode4(2335824),
     /* 2335766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2335769 */   GIM_Try, /*On fail goto*//*Label 32432*/ GIMT_Encode4(2335796), // Rule ID 1883 //
     /* 2335774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2335777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335785 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2335785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2335788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335795 */     // GIR_Coverage, 1883,
     /* 2335795 */     GIR_EraseRootFromParent_Done,
     /* 2335796 */   // Label 32432: @2335796
     /* 2335796 */   GIM_Try, /*On fail goto*//*Label 32433*/ GIMT_Encode4(2335823), // Rule ID 1916 //
     /* 2335801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2335804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335812 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2335812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2335815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335822 */     // GIR_Coverage, 1916,
     /* 2335822 */     GIR_EraseRootFromParent_Done,
     /* 2335823 */   // Label 32433: @2335823
     /* 2335823 */   GIM_Reject,
     /* 2335824 */ // Label 32431: @2335824
     /* 2335824 */ GIM_Reject,
     /* 2335825 */ // Label 32413: @2335825
     /* 2335825 */ GIM_Try, /*On fail goto*//*Label 32434*/ GIMT_Encode4(2335888),
     /* 2335830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335833 */   GIM_Try, /*On fail goto*//*Label 32435*/ GIMT_Encode4(2335860), // Rule ID 1174 //
     /* 2335838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2335841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335849 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2335849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2335852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335859 */     // GIR_Coverage, 1174,
     /* 2335859 */     GIR_EraseRootFromParent_Done,
     /* 2335860 */   // Label 32435: @2335860
     /* 2335860 */   GIM_Try, /*On fail goto*//*Label 32436*/ GIMT_Encode4(2335887), // Rule ID 1182 //
     /* 2335865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2335868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335876 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2335876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2335879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335886 */     // GIR_Coverage, 1182,
     /* 2335886 */     GIR_EraseRootFromParent_Done,
     /* 2335887 */   // Label 32436: @2335887
     /* 2335887 */   GIM_Reject,
     /* 2335888 */ // Label 32434: @2335888
     /* 2335888 */ GIM_Reject,
     /* 2335889 */ // Label 32414: @2335889
     /* 2335889 */ GIM_Try, /*On fail goto*//*Label 32437*/ GIMT_Encode4(2335979),
     /* 2335894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335897 */   GIM_Try, /*On fail goto*//*Label 32438*/ GIMT_Encode4(2335924), // Rule ID 1517 //
     /* 2335902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2335905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335913 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2335913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2335916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335923 */     // GIR_Coverage, 1517,
     /* 2335923 */     GIR_EraseRootFromParent_Done,
     /* 2335924 */   // Label 32438: @2335924
     /* 2335924 */   GIM_Try, /*On fail goto*//*Label 32439*/ GIMT_Encode4(2335951), // Rule ID 1550 //
     /* 2335929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335940 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2335940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2335943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335950 */     // GIR_Coverage, 1550,
     /* 2335950 */     GIR_EraseRootFromParent_Done,
     /* 2335951 */   // Label 32439: @2335951
     /* 2335951 */   GIM_Try, /*On fail goto*//*Label 32440*/ GIMT_Encode4(2335978), // Rule ID 1572 //
     /* 2335956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2335959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335967 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2335967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2335970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335977 */     // GIR_Coverage, 1572,
     /* 2335977 */     GIR_EraseRootFromParent_Done,
     /* 2335978 */   // Label 32440: @2335978
     /* 2335978 */   GIM_Reject,
     /* 2335979 */ // Label 32437: @2335979
     /* 2335979 */ GIM_Reject,
     /* 2335980 */ // Label 32415: @2335980
     /* 2335980 */ GIM_Try, /*On fail goto*//*Label 32441*/ GIMT_Encode4(2336087),
     /* 2335985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335996 */   GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2336041), // Rule ID 56130 //
     /* 2336001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336004 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2336021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336040 */     // GIR_Coverage, 56130,
     /* 2336040 */     GIR_EraseRootFromParent_Done,
     /* 2336041 */   // Label 32442: @2336041
     /* 2336041 */   GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2336086), // Rule ID 56131 //
     /* 2336046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336049 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2336052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2336066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336085 */     // GIR_Coverage, 56131,
     /* 2336085 */     GIR_EraseRootFromParent_Done,
     /* 2336086 */   // Label 32443: @2336086
     /* 2336086 */   GIM_Reject,
     /* 2336087 */ // Label 32441: @2336087
     /* 2336087 */ GIM_Reject,
     /* 2336088 */ // Label 32416: @2336088
     /* 2336088 */ GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2336195),
     /* 2336093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2336096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336104 */   GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2336149), // Rule ID 56170 //
     /* 2336109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336112 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2336129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336148 */     // GIR_Coverage, 56170,
     /* 2336148 */     GIR_EraseRootFromParent_Done,
     /* 2336149 */   // Label 32445: @2336149
     /* 2336149 */   GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2336194), // Rule ID 56171 //
     /* 2336154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336157 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2336160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2336174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336193 */     // GIR_Coverage, 56171,
     /* 2336193 */     GIR_EraseRootFromParent_Done,
     /* 2336194 */   // Label 32446: @2336194
     /* 2336194 */   GIM_Reject,
     /* 2336195 */ // Label 32444: @2336195
     /* 2336195 */ GIM_Reject,
     /* 2336196 */ // Label 32417: @2336196
     /* 2336196 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2336303),
     /* 2336201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2336204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336212 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2336257), // Rule ID 56230 //
     /* 2336217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336220 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2336237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336256 */     // GIR_Coverage, 56230,
     /* 2336256 */     GIR_EraseRootFromParent_Done,
     /* 2336257 */   // Label 32448: @2336257
     /* 2336257 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2336302), // Rule ID 56231 //
     /* 2336262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336265 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2336268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2336282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336301 */     // GIR_Coverage, 56231,
     /* 2336301 */     GIR_EraseRootFromParent_Done,
     /* 2336302 */   // Label 32449: @2336302
     /* 2336302 */   GIM_Reject,
     /* 2336303 */ // Label 32447: @2336303
     /* 2336303 */ GIM_Reject,
     /* 2336304 */ // Label 32418: @2336304
     /* 2336304 */ GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2336411),
     /* 2336309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336320 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2336365), // Rule ID 56150 //
     /* 2336325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336328 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2336345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336364 */     // GIR_Coverage, 56150,
     /* 2336364 */     GIR_EraseRootFromParent_Done,
     /* 2336365 */   // Label 32451: @2336365
     /* 2336365 */   GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2336410), // Rule ID 56151 //
     /* 2336370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336373 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2336390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336409 */     // GIR_Coverage, 56151,
     /* 2336409 */     GIR_EraseRootFromParent_Done,
     /* 2336410 */   // Label 32452: @2336410
     /* 2336410 */   GIM_Reject,
     /* 2336411 */ // Label 32450: @2336411
     /* 2336411 */ GIM_Reject,
     /* 2336412 */ // Label 32419: @2336412
     /* 2336412 */ GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2336519),
     /* 2336417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336428 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2336473), // Rule ID 56210 //
     /* 2336433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336436 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2336453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336472 */     // GIR_Coverage, 56210,
     /* 2336472 */     GIR_EraseRootFromParent_Done,
     /* 2336473 */   // Label 32454: @2336473
     /* 2336473 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2336518), // Rule ID 56211 //
     /* 2336478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336481 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2336498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336517 */     // GIR_Coverage, 56211,
     /* 2336517 */     GIR_EraseRootFromParent_Done,
     /* 2336518 */   // Label 32455: @2336518
     /* 2336518 */   GIM_Reject,
     /* 2336519 */ // Label 32453: @2336519
     /* 2336519 */ GIM_Reject,
     /* 2336520 */ // Label 32420: @2336520
     /* 2336520 */ GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2336627),
     /* 2336525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336536 */   GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2336581), // Rule ID 56370 //
     /* 2336541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336544 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2336561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336580 */     // GIR_Coverage, 56370,
     /* 2336580 */     GIR_EraseRootFromParent_Done,
     /* 2336581 */   // Label 32457: @2336581
     /* 2336581 */   GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2336626), // Rule ID 56371 //
     /* 2336586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336589 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2336606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336625 */     // GIR_Coverage, 56371,
     /* 2336625 */     GIR_EraseRootFromParent_Done,
     /* 2336626 */   // Label 32458: @2336626
     /* 2336626 */   GIM_Reject,
     /* 2336627 */ // Label 32456: @2336627
     /* 2336627 */ GIM_Reject,
     /* 2336628 */ // Label 32421: @2336628
     /* 2336628 */ GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2336735),
     /* 2336633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336644 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2336689), // Rule ID 56190 //
     /* 2336649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336652 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2336669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336688 */     // GIR_Coverage, 56190,
     /* 2336688 */     GIR_EraseRootFromParent_Done,
     /* 2336689 */   // Label 32460: @2336689
     /* 2336689 */   GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2336734), // Rule ID 56191 //
     /* 2336694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336697 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2336714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336733 */     // GIR_Coverage, 56191,
     /* 2336733 */     GIR_EraseRootFromParent_Done,
     /* 2336734 */   // Label 32461: @2336734
     /* 2336734 */   GIM_Reject,
     /* 2336735 */ // Label 32459: @2336735
     /* 2336735 */ GIM_Reject,
     /* 2336736 */ // Label 32422: @2336736
     /* 2336736 */ GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2336843),
     /* 2336741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2336744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336752 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2336797), // Rule ID 56310 //
     /* 2336757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336760 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2336763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2336777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336796 */     // GIR_Coverage, 56310,
     /* 2336796 */     GIR_EraseRootFromParent_Done,
     /* 2336797 */   // Label 32463: @2336797
     /* 2336797 */   GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2336842), // Rule ID 56311 //
     /* 2336802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336805 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2336808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2336822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336841 */     // GIR_Coverage, 56311,
     /* 2336841 */     GIR_EraseRootFromParent_Done,
     /* 2336842 */   // Label 32464: @2336842
     /* 2336842 */   GIM_Reject,
     /* 2336843 */ // Label 32462: @2336843
     /* 2336843 */ GIM_Reject,
     /* 2336844 */ // Label 32423: @2336844
     /* 2336844 */ GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2336951),
     /* 2336849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2336852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336860 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2336905), // Rule ID 56390 //
     /* 2336865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336868 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2336885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336904 */     // GIR_Coverage, 56390,
     /* 2336904 */     GIR_EraseRootFromParent_Done,
     /* 2336905 */   // Label 32466: @2336905
     /* 2336905 */   GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2336950), // Rule ID 56391 //
     /* 2336910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336913 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2336930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2336939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336949 */     // GIR_Coverage, 56391,
     /* 2336949 */     GIR_EraseRootFromParent_Done,
     /* 2336950 */   // Label 32467: @2336950
     /* 2336950 */   GIM_Reject,
     /* 2336951 */ // Label 32465: @2336951
     /* 2336951 */ GIM_Reject,
     /* 2336952 */ // Label 32424: @2336952
     /* 2336952 */ GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2337059),
     /* 2336957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336968 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2337013), // Rule ID 56250 //
     /* 2336973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336976 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2336993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337012 */     // GIR_Coverage, 56250,
     /* 2337012 */     GIR_EraseRootFromParent_Done,
     /* 2337013 */   // Label 32469: @2337013
     /* 2337013 */   GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2337058), // Rule ID 56251 //
     /* 2337018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337021 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2337038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337057 */     // GIR_Coverage, 56251,
     /* 2337057 */     GIR_EraseRootFromParent_Done,
     /* 2337058 */   // Label 32470: @2337058
     /* 2337058 */   GIM_Reject,
     /* 2337059 */ // Label 32468: @2337059
     /* 2337059 */ GIM_Reject,
     /* 2337060 */ // Label 32425: @2337060
     /* 2337060 */ GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2337167),
     /* 2337065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337076 */   GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2337121), // Rule ID 56330 //
     /* 2337081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337084 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2337087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2337101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337120 */     // GIR_Coverage, 56330,
     /* 2337120 */     GIR_EraseRootFromParent_Done,
     /* 2337121 */   // Label 32472: @2337121
     /* 2337121 */   GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2337166), // Rule ID 56331 //
     /* 2337126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337129 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2337132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2337146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337165 */     // GIR_Coverage, 56331,
     /* 2337165 */     GIR_EraseRootFromParent_Done,
     /* 2337166 */   // Label 32473: @2337166
     /* 2337166 */   GIM_Reject,
     /* 2337167 */ // Label 32471: @2337167
     /* 2337167 */ GIM_Reject,
     /* 2337168 */ // Label 32426: @2337168
     /* 2337168 */ GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2337275),
     /* 2337173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2337176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337184 */   GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2337229), // Rule ID 56410 //
     /* 2337189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2337192 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2337195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2337209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337228 */     // GIR_Coverage, 56410,
     /* 2337228 */     GIR_EraseRootFromParent_Done,
     /* 2337229 */   // Label 32475: @2337229
     /* 2337229 */   GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2337274), // Rule ID 56411 //
     /* 2337234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2337237 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2337240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2337254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337273 */     // GIR_Coverage, 56411,
     /* 2337273 */     GIR_EraseRootFromParent_Done,
     /* 2337274 */   // Label 32476: @2337274
     /* 2337274 */   GIM_Reject,
     /* 2337275 */ // Label 32474: @2337275
     /* 2337275 */ GIM_Reject,
     /* 2337276 */ // Label 32427: @2337276
     /* 2337276 */ GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2337383),
     /* 2337281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2337284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337292 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2337337), // Rule ID 56270 //
     /* 2337297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337300 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2337303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2337317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337336 */     // GIR_Coverage, 56270,
     /* 2337336 */     GIR_EraseRootFromParent_Done,
     /* 2337337 */   // Label 32478: @2337337
     /* 2337337 */   GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2337382), // Rule ID 56271 //
     /* 2337342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337345 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2337348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2337362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337381 */     // GIR_Coverage, 56271,
     /* 2337381 */     GIR_EraseRootFromParent_Done,
     /* 2337382 */   // Label 32479: @2337382
     /* 2337382 */   GIM_Reject,
     /* 2337383 */ // Label 32477: @2337383
     /* 2337383 */ GIM_Reject,
     /* 2337384 */ // Label 32428: @2337384
     /* 2337384 */ GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2337491),
     /* 2337389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337400 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2337445), // Rule ID 56350 //
     /* 2337405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337408 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2337425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337444 */     // GIR_Coverage, 56350,
     /* 2337444 */     GIR_EraseRootFromParent_Done,
     /* 2337445 */   // Label 32481: @2337445
     /* 2337445 */   GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2337490), // Rule ID 56351 //
     /* 2337450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337453 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2337470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337489 */     // GIR_Coverage, 56351,
     /* 2337489 */     GIR_EraseRootFromParent_Done,
     /* 2337490 */   // Label 32482: @2337490
     /* 2337490 */   GIM_Reject,
     /* 2337491 */ // Label 32480: @2337491
     /* 2337491 */ GIM_Reject,
     /* 2337492 */ // Label 32429: @2337492
     /* 2337492 */ GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2337599),
     /* 2337497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2337500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337508 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2337553), // Rule ID 56290 //
     /* 2337513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337516 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2337533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337552 */     // GIR_Coverage, 56290,
     /* 2337552 */     GIR_EraseRootFromParent_Done,
     /* 2337553 */   // Label 32484: @2337553
     /* 2337553 */   GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2337598), // Rule ID 56291 //
     /* 2337558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337561 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2337578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2337587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337597 */     // GIR_Coverage, 56291,
     /* 2337597 */     GIR_EraseRootFromParent_Done,
     /* 2337598 */   // Label 32485: @2337598
     /* 2337598 */   GIM_Reject,
     /* 2337599 */ // Label 32483: @2337599
     /* 2337599 */ GIM_Reject,
     /* 2337600 */ // Label 32430: @2337600
     /* 2337600 */ GIM_Reject,
     /* 2337601 */ // Label 72: @2337601
     /* 2337601 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32504*/ GIMT_Encode4(2343662),
     /* 2337612 */ /*GILLT_s16*//*Label 32486*/ GIMT_Encode4(2337732),
     /* 2337616 */ /*GILLT_s32*//*Label 32487*/ GIMT_Encode4(2338408),
     /* 2337620 */ /*GILLT_s64*//*Label 32488*/ GIMT_Encode4(2339084), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337632 */ /*GILLT_nxv1s16*//*Label 32489*/ GIMT_Encode4(2339897),
     /* 2337636 */ /*GILLT_nxv1s32*//*Label 32490*/ GIMT_Encode4(2340148),
     /* 2337640 */ /*GILLT_nxv1s64*//*Label 32491*/ GIMT_Encode4(2340399), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337652 */ /*GILLT_nxv2s16*//*Label 32492*/ GIMT_Encode4(2340650),
     /* 2337656 */ /*GILLT_nxv2s32*//*Label 32493*/ GIMT_Encode4(2340901),
     /* 2337660 */ /*GILLT_nxv2s64*//*Label 32494*/ GIMT_Encode4(2341152), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337672 */ /*GILLT_nxv4s16*//*Label 32495*/ GIMT_Encode4(2341403),
     /* 2337676 */ /*GILLT_nxv4s32*//*Label 32496*/ GIMT_Encode4(2341654),
     /* 2337680 */ /*GILLT_nxv4s64*//*Label 32497*/ GIMT_Encode4(2341905), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337692 */ /*GILLT_nxv8s16*//*Label 32498*/ GIMT_Encode4(2342156),
     /* 2337696 */ /*GILLT_nxv8s32*//*Label 32499*/ GIMT_Encode4(2342407),
     /* 2337700 */ /*GILLT_nxv8s64*//*Label 32500*/ GIMT_Encode4(2342658), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337712 */ /*GILLT_nxv16s16*//*Label 32501*/ GIMT_Encode4(2342909),
     /* 2337716 */ /*GILLT_nxv16s32*//*Label 32502*/ GIMT_Encode4(2343160), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337728 */ /*GILLT_nxv32s16*//*Label 32503*/ GIMT_Encode4(2343411),
     /* 2337732 */ // Label 32486: @2337732
     /* 2337732 */ GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2338407),
     /* 2337737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2337740 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2337791), // Rule ID 1888 //
     /* 2337745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2337748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2337751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2337771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337778 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2337778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2337781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337790 */     // GIR_Coverage, 1888,
     /* 2337790 */     GIR_EraseRootFromParent_Done,
     /* 2337791 */   // Label 32506: @2337791
     /* 2337791 */   GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2337842), // Rule ID 1921 //
     /* 2337796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2337799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2337802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2337822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337829 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2337829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2337832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337841 */     // GIR_Coverage, 1921,
     /* 2337841 */     GIR_EraseRootFromParent_Done,
     /* 2337842 */   // Label 32507: @2337842
     /* 2337842 */   GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2337872), // Rule ID 1886 //
     /* 2337847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2337850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2337853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337865 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2337865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2337870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337871 */     // GIR_Coverage, 1886,
     /* 2337871 */     GIR_Done,
     /* 2337872 */   // Label 32508: @2337872
     /* 2337872 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2337928), // Rule ID 1889 //
     /* 2337877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2337880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2337883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337895 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2337895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2337902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2337911 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2337914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2337919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337927 */     // GIR_Coverage, 1889,
     /* 2337927 */     GIR_EraseRootFromParent_Done,
     /* 2337928 */   // Label 32509: @2337928
     /* 2337928 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2337984), // Rule ID 1890 //
     /* 2337933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2337936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2337939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337951 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2337951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2337958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2337967 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2337970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2337975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337983 */     // GIR_Coverage, 1890,
     /* 2337983 */     GIR_EraseRootFromParent_Done,
     /* 2337984 */   // Label 32510: @2337984
     /* 2337984 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2338014), // Rule ID 1919 //
     /* 2337989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2337992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2337995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338007 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2338007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2338012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338013 */     // GIR_Coverage, 1919,
     /* 2338013 */     GIR_Done,
     /* 2338014 */   // Label 32511: @2338014
     /* 2338014 */   GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2338070), // Rule ID 1922 //
     /* 2338019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2338022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2338025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338037 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2338037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2338044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338053 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2338061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338069 */     // GIR_Coverage, 1922,
     /* 2338069 */     GIR_EraseRootFromParent_Done,
     /* 2338070 */   // Label 32512: @2338070
     /* 2338070 */   GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2338126), // Rule ID 1923 //
     /* 2338075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2338078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2338081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338093 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2338093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2338100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338109 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2338117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338125 */     // GIR_Coverage, 1923,
     /* 2338125 */     GIR_EraseRootFromParent_Done,
     /* 2338126 */   // Label 32513: @2338126
     /* 2338126 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2338182), // Rule ID 2192 //
     /* 2338131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2338134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338149 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2338149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2338156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338165 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2338173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338181 */     // GIR_Coverage, 2192,
     /* 2338181 */     GIR_EraseRootFromParent_Done,
     /* 2338182 */   // Label 32514: @2338182
     /* 2338182 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2338238), // Rule ID 2193 //
     /* 2338187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2338190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338205 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2338205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2338212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338217 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338221 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2338229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338237 */     // GIR_Coverage, 2193,
     /* 2338237 */     GIR_EraseRootFromParent_Done,
     /* 2338238 */   // Label 32515: @2338238
     /* 2338238 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2338294), // Rule ID 2204 //
     /* 2338243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2338246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338261 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2338261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2338268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338277 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2338285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338293 */     // GIR_Coverage, 2204,
     /* 2338293 */     GIR_EraseRootFromParent_Done,
     /* 2338294 */   // Label 32516: @2338294
     /* 2338294 */   GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2338350), // Rule ID 2205 //
     /* 2338299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2338302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338317 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2338317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2338324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338333 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2338341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338349 */     // GIR_Coverage, 2205,
     /* 2338349 */     GIR_EraseRootFromParent_Done,
     /* 2338350 */   // Label 32517: @2338350
     /* 2338350 */   GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2338406), // Rule ID 2212 //
     /* 2338355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2338358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338373 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2338373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2338380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338389 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2338397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338405 */     // GIR_Coverage, 2212,
     /* 2338405 */     GIR_EraseRootFromParent_Done,
     /* 2338406 */   // Label 32518: @2338406
     /* 2338406 */   GIM_Reject,
     /* 2338407 */ // Label 32505: @2338407
     /* 2338407 */ GIM_Reject,
     /* 2338408 */ // Label 32487: @2338408
     /* 2338408 */ GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2339083),
     /* 2338413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338416 */   GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2338467), // Rule ID 1189 //
     /* 2338421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2338424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2338427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338454 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2338454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2338457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338466 */     // GIR_Coverage, 1189,
     /* 2338466 */     GIR_EraseRootFromParent_Done,
     /* 2338467 */   // Label 32520: @2338467
     /* 2338467 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2338518), // Rule ID 1210 //
     /* 2338472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2338475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2338478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2338490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2338494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2338498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338505 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2338505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2338508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2338516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338517 */     // GIR_Coverage, 1210,
     /* 2338517 */     GIR_EraseRootFromParent_Done,
     /* 2338518 */   // Label 32521: @2338518
     /* 2338518 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2338548), // Rule ID 1185 //
     /* 2338523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2338526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2338529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338541 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2338541 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2338546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338547 */     // GIR_Coverage, 1185,
     /* 2338547 */     GIR_Done,
     /* 2338548 */   // Label 32522: @2338548
     /* 2338548 */   GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2338578), // Rule ID 1186 //
     /* 2338553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2338556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2338559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338571 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2338571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2338576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338577 */     // GIR_Coverage, 1186,
     /* 2338577 */     GIR_Done,
     /* 2338578 */   // Label 32523: @2338578
     /* 2338578 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2338634), // Rule ID 1525 //
     /* 2338583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2338586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338601 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2338601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2338608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338617 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2338625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338633 */     // GIR_Coverage, 1525,
     /* 2338633 */     GIR_EraseRootFromParent_Done,
     /* 2338634 */   // Label 32524: @2338634
     /* 2338634 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2338690), // Rule ID 1526 //
     /* 2338639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2338642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338657 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2338657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2338664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338673 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2338681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338689 */     // GIR_Coverage, 1526,
     /* 2338689 */     GIR_EraseRootFromParent_Done,
     /* 2338690 */   // Label 32525: @2338690
     /* 2338690 */   GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2338746), // Rule ID 1556 //
     /* 2338695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2338698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338713 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2338713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2338720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338729 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2338737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338745 */     // GIR_Coverage, 1556,
     /* 2338745 */     GIR_EraseRootFromParent_Done,
     /* 2338746 */   // Label 32526: @2338746
     /* 2338746 */   GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2338802), // Rule ID 1580 //
     /* 2338751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2338754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338769 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2338769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2338776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338785 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2338793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338801 */     // GIR_Coverage, 1580,
     /* 2338801 */     GIR_EraseRootFromParent_Done,
     /* 2338802 */   // Label 32527: @2338802
     /* 2338802 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2338858), // Rule ID 1581 //
     /* 2338807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2338810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338825 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2338825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2338832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338841 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2338844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2338849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338857 */     // GIR_Coverage, 1581,
     /* 2338857 */     GIR_EraseRootFromParent_Done,
     /* 2338858 */   // Label 32528: @2338858
     /* 2338858 */   GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2338914), // Rule ID 2064 //
     /* 2338863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2338866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2338869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338881 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2338881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2338888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338897 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2338900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2338905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338913 */     // GIR_Coverage, 2064,
     /* 2338913 */     GIR_EraseRootFromParent_Done,
     /* 2338914 */   // Label 32529: @2338914
     /* 2338914 */   GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2338970), // Rule ID 2065 //
     /* 2338919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2338922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2338925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2338933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2338937 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2338937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2338944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2338953 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2338956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2338961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338969 */     // GIR_Coverage, 2065,
     /* 2338969 */     GIR_EraseRootFromParent_Done,
     /* 2338970 */   // Label 32530: @2338970
     /* 2338970 */   GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2339026), // Rule ID 2078 //
     /* 2338975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2338978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2338981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2338989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2338993 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2338993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2338996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2339000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339009 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2339017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339025 */     // GIR_Coverage, 2078,
     /* 2339025 */     GIR_EraseRootFromParent_Done,
     /* 2339026 */   // Label 32531: @2339026
     /* 2339026 */   GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2339082), // Rule ID 2079 //
     /* 2339031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2339034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339049 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2339049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2339052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2339056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339065 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2339073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339081 */     // GIR_Coverage, 2079,
     /* 2339081 */     GIR_EraseRootFromParent_Done,
     /* 2339082 */   // Label 32532: @2339082
     /* 2339082 */   GIM_Reject,
     /* 2339083 */ // Label 32519: @2339083
     /* 2339083 */ GIM_Reject,
     /* 2339084 */ // Label 32488: @2339084
     /* 2339084 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2339896),
     /* 2339089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339092 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2339143), // Rule ID 1522 //
     /* 2339097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2339100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339130 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2339130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2339133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339142 */     // GIR_Coverage, 1522,
     /* 2339142 */     GIR_EraseRootFromParent_Done,
     /* 2339143 */   // Label 32534: @2339143
     /* 2339143 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2339194), // Rule ID 1554 //
     /* 2339148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2339151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339181 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2339181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2339184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339193 */     // GIR_Coverage, 1554,
     /* 2339193 */     GIR_EraseRootFromParent_Done,
     /* 2339194 */   // Label 32535: @2339194
     /* 2339194 */   GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2339245), // Rule ID 1577 //
     /* 2339199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2339202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339232 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2339232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2339235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339244 */     // GIR_Coverage, 1577,
     /* 2339244 */     GIR_EraseRootFromParent_Done,
     /* 2339245 */   // Label 32536: @2339245
     /* 2339245 */   GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2339275), // Rule ID 1520 //
     /* 2339250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2339253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339268 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2339273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339274 */     // GIR_Coverage, 1520,
     /* 2339274 */     GIR_Done,
     /* 2339275 */   // Label 32537: @2339275
     /* 2339275 */   GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2339331), // Rule ID 1523 //
     /* 2339280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2339283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339298 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2339298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2339305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339314 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2339322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339330 */     // GIR_Coverage, 1523,
     /* 2339330 */     GIR_EraseRootFromParent_Done,
     /* 2339331 */   // Label 32538: @2339331
     /* 2339331 */   GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2339387), // Rule ID 1524 //
     /* 2339336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2339339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339354 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2339354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2339361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339370 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2339378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339386 */     // GIR_Coverage, 1524,
     /* 2339386 */     GIR_EraseRootFromParent_Done,
     /* 2339387 */   // Label 32539: @2339387
     /* 2339387 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2339417), // Rule ID 1552 //
     /* 2339392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2339395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339410 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2339415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339416 */     // GIR_Coverage, 1552,
     /* 2339416 */     GIR_Done,
     /* 2339417 */   // Label 32540: @2339417
     /* 2339417 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2339473), // Rule ID 1555 //
     /* 2339422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2339425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339440 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2339440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2339447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339456 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2339464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339472 */     // GIR_Coverage, 1555,
     /* 2339472 */     GIR_EraseRootFromParent_Done,
     /* 2339473 */   // Label 32541: @2339473
     /* 2339473 */   GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2339503), // Rule ID 1575 //
     /* 2339478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2339481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339496 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2339496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2339501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339502 */     // GIR_Coverage, 1575,
     /* 2339502 */     GIR_Done,
     /* 2339503 */   // Label 32542: @2339503
     /* 2339503 */   GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2339559), // Rule ID 1578 //
     /* 2339508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2339511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339526 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2339526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2339533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339542 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2339550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339558 */     // GIR_Coverage, 1578,
     /* 2339558 */     GIR_EraseRootFromParent_Done,
     /* 2339559 */   // Label 32543: @2339559
     /* 2339559 */   GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2339615), // Rule ID 1579 //
     /* 2339564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2339567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2339570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339582 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2339582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2339589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339598 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2339606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339614 */     // GIR_Coverage, 1579,
     /* 2339614 */     GIR_EraseRootFromParent_Done,
     /* 2339615 */   // Label 32544: @2339615
     /* 2339615 */   GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2339671), // Rule ID 2194 //
     /* 2339620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2339623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339638 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2339638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2339645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339654 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2339662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339670 */     // GIR_Coverage, 2194,
     /* 2339670 */     GIR_EraseRootFromParent_Done,
     /* 2339671 */   // Label 32545: @2339671
     /* 2339671 */   GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2339727), // Rule ID 2195 //
     /* 2339676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2339679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339694 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2339694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2339701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339710 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2339718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339726 */     // GIR_Coverage, 2195,
     /* 2339726 */     GIR_EraseRootFromParent_Done,
     /* 2339727 */   // Label 32546: @2339727
     /* 2339727 */   GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2339783), // Rule ID 2206 //
     /* 2339732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2339735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339750 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2339750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2339757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339766 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2339774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339782 */     // GIR_Coverage, 2206,
     /* 2339782 */     GIR_EraseRootFromParent_Done,
     /* 2339783 */   // Label 32547: @2339783
     /* 2339783 */   GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2339839), // Rule ID 2207 //
     /* 2339788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2339791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2339802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339806 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2339806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2339813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339822 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2339830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339838 */     // GIR_Coverage, 2207,
     /* 2339838 */     GIR_EraseRootFromParent_Done,
     /* 2339839 */   // Label 32548: @2339839
     /* 2339839 */   GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2339895), // Rule ID 2213 //
     /* 2339844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2339847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339862 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2339862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2339865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2339869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2339878 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2339881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2339886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339894 */     // GIR_Coverage, 2213,
     /* 2339894 */     GIR_EraseRootFromParent_Done,
     /* 2339895 */   // Label 32549: @2339895
     /* 2339895 */   GIM_Reject,
     /* 2339896 */ // Label 32533: @2339896
     /* 2339896 */ GIM_Reject,
     /* 2339897 */ // Label 32489: @2339897
     /* 2339897 */ GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2340147),
     /* 2339902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2339905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2339908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339916 */   GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2339982), // Rule ID 56140 //
     /* 2339921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2339936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2339943 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2339946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2339960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2339971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339981 */     // GIR_Coverage, 56140,
     /* 2339981 */     GIR_EraseRootFromParent_Done,
     /* 2339982 */   // Label 32551: @2339982
     /* 2339982 */   GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2340048), // Rule ID 56141 //
     /* 2339987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2339994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2339998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340009 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2340026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340047 */     // GIR_Coverage, 56141,
     /* 2340047 */     GIR_EraseRootFromParent_Done,
     /* 2340048 */   // Label 32552: @2340048
     /* 2340048 */   GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2340097), // Rule ID 56134 //
     /* 2340053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340060 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2340077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340096 */     // GIR_Coverage, 56134,
     /* 2340096 */     GIR_EraseRootFromParent_Done,
     /* 2340097 */   // Label 32553: @2340097
     /* 2340097 */   GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2340146), // Rule ID 56135 //
     /* 2340102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340109 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2340126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340145 */     // GIR_Coverage, 56135,
     /* 2340145 */     GIR_EraseRootFromParent_Done,
     /* 2340146 */   // Label 32554: @2340146
     /* 2340146 */   GIM_Reject,
     /* 2340147 */ // Label 32550: @2340147
     /* 2340147 */ GIM_Reject,
     /* 2340148 */ // Label 32490: @2340148
     /* 2340148 */ GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2340398),
     /* 2340153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340167 */   GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2340233), // Rule ID 56180 //
     /* 2340172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2340183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340194 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2340211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340232 */     // GIR_Coverage, 56180,
     /* 2340232 */     GIR_EraseRootFromParent_Done,
     /* 2340233 */   // Label 32556: @2340233
     /* 2340233 */   GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2340299), // Rule ID 56181 //
     /* 2340238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2340249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340260 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2340277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340298 */     // GIR_Coverage, 56181,
     /* 2340298 */     GIR_EraseRootFromParent_Done,
     /* 2340299 */   // Label 32557: @2340299
     /* 2340299 */   GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2340348), // Rule ID 56174 //
     /* 2340304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340311 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2340328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340347 */     // GIR_Coverage, 56174,
     /* 2340347 */     GIR_EraseRootFromParent_Done,
     /* 2340348 */   // Label 32558: @2340348
     /* 2340348 */   GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2340397), // Rule ID 56175 //
     /* 2340353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340360 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2340377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340396 */     // GIR_Coverage, 56175,
     /* 2340396 */     GIR_EraseRootFromParent_Done,
     /* 2340397 */   // Label 32559: @2340397
     /* 2340397 */   GIM_Reject,
     /* 2340398 */ // Label 32555: @2340398
     /* 2340398 */ GIM_Reject,
     /* 2340399 */ // Label 32491: @2340399
     /* 2340399 */ GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2340649),
     /* 2340404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340418 */   GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2340484), // Rule ID 56240 //
     /* 2340423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2340434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340445 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2340462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340483 */     // GIR_Coverage, 56240,
     /* 2340483 */     GIR_EraseRootFromParent_Done,
     /* 2340484 */   // Label 32561: @2340484
     /* 2340484 */   GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2340550), // Rule ID 56241 //
     /* 2340489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2340500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340511 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2340528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340549 */     // GIR_Coverage, 56241,
     /* 2340549 */     GIR_EraseRootFromParent_Done,
     /* 2340550 */   // Label 32562: @2340550
     /* 2340550 */   GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2340599), // Rule ID 56234 //
     /* 2340555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340562 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2340579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340598 */     // GIR_Coverage, 56234,
     /* 2340598 */     GIR_EraseRootFromParent_Done,
     /* 2340599 */   // Label 32563: @2340599
     /* 2340599 */   GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2340648), // Rule ID 56235 //
     /* 2340604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340611 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2340628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340647 */     // GIR_Coverage, 56235,
     /* 2340647 */     GIR_EraseRootFromParent_Done,
     /* 2340648 */   // Label 32564: @2340648
     /* 2340648 */   GIM_Reject,
     /* 2340649 */ // Label 32560: @2340649
     /* 2340649 */ GIM_Reject,
     /* 2340650 */ // Label 32492: @2340650
     /* 2340650 */ GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2340900),
     /* 2340655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2340661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340669 */   GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2340735), // Rule ID 56160 //
     /* 2340674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2340685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340696 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2340713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340734 */     // GIR_Coverage, 56160,
     /* 2340734 */     GIR_EraseRootFromParent_Done,
     /* 2340735 */   // Label 32566: @2340735
     /* 2340735 */   GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2340801), // Rule ID 56161 //
     /* 2340740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2340751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340762 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2340779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340800 */     // GIR_Coverage, 56161,
     /* 2340800 */     GIR_EraseRootFromParent_Done,
     /* 2340801 */   // Label 32567: @2340801
     /* 2340801 */   GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2340850), // Rule ID 56154 //
     /* 2340806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340813 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2340830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340849 */     // GIR_Coverage, 56154,
     /* 2340849 */     GIR_EraseRootFromParent_Done,
     /* 2340850 */   // Label 32568: @2340850
     /* 2340850 */   GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2340899), // Rule ID 56155 //
     /* 2340855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340862 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2340879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340898 */     // GIR_Coverage, 56155,
     /* 2340898 */     GIR_EraseRootFromParent_Done,
     /* 2340899 */   // Label 32569: @2340899
     /* 2340899 */   GIM_Reject,
     /* 2340900 */ // Label 32565: @2340900
     /* 2340900 */ GIM_Reject,
     /* 2340901 */ // Label 32493: @2340901
     /* 2340901 */ GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2341151),
     /* 2340906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2340912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340920 */   GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2340986), // Rule ID 56220 //
     /* 2340925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2340936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2340947 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2340964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2340975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340985 */     // GIR_Coverage, 56220,
     /* 2340985 */     GIR_EraseRootFromParent_Done,
     /* 2340986 */   // Label 32571: @2340986
     /* 2340986 */   GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2341052), // Rule ID 56221 //
     /* 2340991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2340998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341013 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2341030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341051 */     // GIR_Coverage, 56221,
     /* 2341051 */     GIR_EraseRootFromParent_Done,
     /* 2341052 */   // Label 32572: @2341052
     /* 2341052 */   GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2341101), // Rule ID 56214 //
     /* 2341057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341064 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2341081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341100 */     // GIR_Coverage, 56214,
     /* 2341100 */     GIR_EraseRootFromParent_Done,
     /* 2341101 */   // Label 32573: @2341101
     /* 2341101 */   GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2341150), // Rule ID 56215 //
     /* 2341106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341113 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2341130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341149 */     // GIR_Coverage, 56215,
     /* 2341149 */     GIR_EraseRootFromParent_Done,
     /* 2341150 */   // Label 32574: @2341150
     /* 2341150 */   GIM_Reject,
     /* 2341151 */ // Label 32570: @2341151
     /* 2341151 */ GIM_Reject,
     /* 2341152 */ // Label 32494: @2341152
     /* 2341152 */ GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2341402),
     /* 2341157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2341163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341171 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2341237), // Rule ID 56380 //
     /* 2341176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2341183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341198 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2341215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341236 */     // GIR_Coverage, 56380,
     /* 2341236 */     GIR_EraseRootFromParent_Done,
     /* 2341237 */   // Label 32576: @2341237
     /* 2341237 */   GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2341303), // Rule ID 56381 //
     /* 2341242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2341249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341264 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2341281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341302 */     // GIR_Coverage, 56381,
     /* 2341302 */     GIR_EraseRootFromParent_Done,
     /* 2341303 */   // Label 32577: @2341303
     /* 2341303 */   GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2341352), // Rule ID 56374 //
     /* 2341308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341315 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2341332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341351 */     // GIR_Coverage, 56374,
     /* 2341351 */     GIR_EraseRootFromParent_Done,
     /* 2341352 */   // Label 32578: @2341352
     /* 2341352 */   GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2341401), // Rule ID 56375 //
     /* 2341357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341364 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2341381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341400 */     // GIR_Coverage, 56375,
     /* 2341400 */     GIR_EraseRootFromParent_Done,
     /* 2341401 */   // Label 32579: @2341401
     /* 2341401 */   GIM_Reject,
     /* 2341402 */ // Label 32575: @2341402
     /* 2341402 */ GIM_Reject,
     /* 2341403 */ // Label 32495: @2341403
     /* 2341403 */ GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2341653),
     /* 2341408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2341411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2341414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341422 */   GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2341488), // Rule ID 56200 //
     /* 2341427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2341434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2341442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341449 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2341466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341487 */     // GIR_Coverage, 56200,
     /* 2341487 */     GIR_EraseRootFromParent_Done,
     /* 2341488 */   // Label 32581: @2341488
     /* 2341488 */   GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2341554), // Rule ID 56201 //
     /* 2341493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2341500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2341508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341515 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2341532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341553 */     // GIR_Coverage, 56201,
     /* 2341553 */     GIR_EraseRootFromParent_Done,
     /* 2341554 */   // Label 32582: @2341554
     /* 2341554 */   GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2341603), // Rule ID 56194 //
     /* 2341559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341566 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2341583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341602 */     // GIR_Coverage, 56194,
     /* 2341602 */     GIR_EraseRootFromParent_Done,
     /* 2341603 */   // Label 32583: @2341603
     /* 2341603 */   GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2341652), // Rule ID 56195 //
     /* 2341608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341615 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2341632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341651 */     // GIR_Coverage, 56195,
     /* 2341651 */     GIR_EraseRootFromParent_Done,
     /* 2341652 */   // Label 32584: @2341652
     /* 2341652 */   GIM_Reject,
     /* 2341653 */ // Label 32580: @2341653
     /* 2341653 */ GIM_Reject,
     /* 2341654 */ // Label 32496: @2341654
     /* 2341654 */ GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2341904),
     /* 2341659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2341662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2341665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341673 */   GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2341739), // Rule ID 56320 //
     /* 2341678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2341685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2341693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341700 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2341717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341738 */     // GIR_Coverage, 56320,
     /* 2341738 */     GIR_EraseRootFromParent_Done,
     /* 2341739 */   // Label 32586: @2341739
     /* 2341739 */   GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2341805), // Rule ID 56321 //
     /* 2341744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2341751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2341759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341766 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2341783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341804 */     // GIR_Coverage, 56321,
     /* 2341804 */     GIR_EraseRootFromParent_Done,
     /* 2341805 */   // Label 32587: @2341805
     /* 2341805 */   GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2341854), // Rule ID 56314 //
     /* 2341810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341817 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2341834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341853 */     // GIR_Coverage, 56314,
     /* 2341853 */     GIR_EraseRootFromParent_Done,
     /* 2341854 */   // Label 32588: @2341854
     /* 2341854 */   GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2341903), // Rule ID 56315 //
     /* 2341859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341866 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2341883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341902 */     // GIR_Coverage, 56315,
     /* 2341902 */     GIR_EraseRootFromParent_Done,
     /* 2341903 */   // Label 32589: @2341903
     /* 2341903 */   GIM_Reject,
     /* 2341904 */ // Label 32585: @2341904
     /* 2341904 */ GIM_Reject,
     /* 2341905 */ // Label 32497: @2341905
     /* 2341905 */ GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2342155),
     /* 2341910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2341916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341924 */   GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2341990), // Rule ID 56400 //
     /* 2341929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2341936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2341940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2341951 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2341968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2341979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341989 */     // GIR_Coverage, 56400,
     /* 2341989 */     GIR_EraseRootFromParent_Done,
     /* 2341990 */   // Label 32591: @2341990
     /* 2341990 */   GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2342056), // Rule ID 56401 //
     /* 2341995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2342010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342017 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2342034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342055 */     // GIR_Coverage, 56401,
     /* 2342055 */     GIR_EraseRootFromParent_Done,
     /* 2342056 */   // Label 32592: @2342056
     /* 2342056 */   GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2342105), // Rule ID 56394 //
     /* 2342061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342068 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2342085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342104 */     // GIR_Coverage, 56394,
     /* 2342104 */     GIR_EraseRootFromParent_Done,
     /* 2342105 */   // Label 32593: @2342105
     /* 2342105 */   GIM_Try, /*On fail goto*//*Label 32594*/ GIMT_Encode4(2342154), // Rule ID 56395 //
     /* 2342110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342117 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2342134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342153 */     // GIR_Coverage, 56395,
     /* 2342153 */     GIR_EraseRootFromParent_Done,
     /* 2342154 */   // Label 32594: @2342154
     /* 2342154 */   GIM_Reject,
     /* 2342155 */ // Label 32590: @2342155
     /* 2342155 */ GIM_Reject,
     /* 2342156 */ // Label 32498: @2342156
     /* 2342156 */ GIM_Try, /*On fail goto*//*Label 32595*/ GIMT_Encode4(2342406),
     /* 2342161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2342164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2342167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342175 */   GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2342241), // Rule ID 56260 //
     /* 2342180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2342195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342202 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2342219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342240 */     // GIR_Coverage, 56260,
     /* 2342240 */     GIR_EraseRootFromParent_Done,
     /* 2342241 */   // Label 32596: @2342241
     /* 2342241 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2342307), // Rule ID 56261 //
     /* 2342246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2342261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342268 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2342285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342306 */     // GIR_Coverage, 56261,
     /* 2342306 */     GIR_EraseRootFromParent_Done,
     /* 2342307 */   // Label 32597: @2342307
     /* 2342307 */   GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2342356), // Rule ID 56254 //
     /* 2342312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342319 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2342336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342355 */     // GIR_Coverage, 56254,
     /* 2342355 */     GIR_EraseRootFromParent_Done,
     /* 2342356 */   // Label 32598: @2342356
     /* 2342356 */   GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2342405), // Rule ID 56255 //
     /* 2342361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2342364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342368 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2342385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342404 */     // GIR_Coverage, 56255,
     /* 2342404 */     GIR_EraseRootFromParent_Done,
     /* 2342405 */   // Label 32599: @2342405
     /* 2342405 */   GIM_Reject,
     /* 2342406 */ // Label 32595: @2342406
     /* 2342406 */ GIM_Reject,
     /* 2342407 */ // Label 32499: @2342407
     /* 2342407 */ GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2342657),
     /* 2342412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2342418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342426 */   GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2342492), // Rule ID 56340 //
     /* 2342431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342453 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2342470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342491 */     // GIR_Coverage, 56340,
     /* 2342491 */     GIR_EraseRootFromParent_Done,
     /* 2342492 */   // Label 32601: @2342492
     /* 2342492 */   GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2342558), // Rule ID 56341 //
     /* 2342497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342519 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2342536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342557 */     // GIR_Coverage, 56341,
     /* 2342557 */     GIR_EraseRootFromParent_Done,
     /* 2342558 */   // Label 32602: @2342558
     /* 2342558 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2342607), // Rule ID 56334 //
     /* 2342563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2342566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342570 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2342587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342606 */     // GIR_Coverage, 56334,
     /* 2342606 */     GIR_EraseRootFromParent_Done,
     /* 2342607 */   // Label 32603: @2342607
     /* 2342607 */   GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2342656), // Rule ID 56335 //
     /* 2342612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2342615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342619 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2342636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342655 */     // GIR_Coverage, 56335,
     /* 2342655 */     GIR_EraseRootFromParent_Done,
     /* 2342656 */   // Label 32604: @2342656
     /* 2342656 */   GIM_Reject,
     /* 2342657 */ // Label 32600: @2342657
     /* 2342657 */ GIM_Reject,
     /* 2342658 */ // Label 32500: @2342658
     /* 2342658 */ GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2342908),
     /* 2342663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2342669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342677 */   GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2342743), // Rule ID 56420 //
     /* 2342682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342704 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2342721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342742 */     // GIR_Coverage, 56420,
     /* 2342742 */     GIR_EraseRootFromParent_Done,
     /* 2342743 */   // Label 32606: @2342743
     /* 2342743 */   GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2342809), // Rule ID 56421 //
     /* 2342748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342770 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2342787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342808 */     // GIR_Coverage, 56421,
     /* 2342808 */     GIR_EraseRootFromParent_Done,
     /* 2342809 */   // Label 32607: @2342809
     /* 2342809 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2342858), // Rule ID 56414 //
     /* 2342814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2342817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342821 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2342838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342857 */     // GIR_Coverage, 56414,
     /* 2342857 */     GIR_EraseRootFromParent_Done,
     /* 2342858 */   // Label 32608: @2342858
     /* 2342858 */   GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2342907), // Rule ID 56415 //
     /* 2342863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2342866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342870 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2342887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342906 */     // GIR_Coverage, 56415,
     /* 2342906 */     GIR_EraseRootFromParent_Done,
     /* 2342907 */   // Label 32609: @2342907
     /* 2342907 */   GIM_Reject,
     /* 2342908 */ // Label 32605: @2342908
     /* 2342908 */ GIM_Reject,
     /* 2342909 */ // Label 32501: @2342909
     /* 2342909 */ GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2343159),
     /* 2342914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2342920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342928 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2342994), // Rule ID 56280 //
     /* 2342933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2342936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2342940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2342944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2342955 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2342972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2342983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342993 */     // GIR_Coverage, 56280,
     /* 2342993 */     GIR_EraseRootFromParent_Done,
     /* 2342994 */   // Label 32611: @2342994
     /* 2342994 */   GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2343060), // Rule ID 56281 //
     /* 2342999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2343006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2343010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2343014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2343021 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2343038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2343049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343059 */     // GIR_Coverage, 56281,
     /* 2343059 */     GIR_EraseRootFromParent_Done,
     /* 2343060 */   // Label 32612: @2343060
     /* 2343060 */   GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2343109), // Rule ID 56274 //
     /* 2343065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343072 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2343089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343108 */     // GIR_Coverage, 56274,
     /* 2343108 */     GIR_EraseRootFromParent_Done,
     /* 2343109 */   // Label 32613: @2343109
     /* 2343109 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2343158), // Rule ID 56275 //
     /* 2343114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343121 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2343138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343157 */     // GIR_Coverage, 56275,
     /* 2343157 */     GIR_EraseRootFromParent_Done,
     /* 2343158 */   // Label 32614: @2343158
     /* 2343158 */   GIM_Reject,
     /* 2343159 */ // Label 32610: @2343159
     /* 2343159 */ GIM_Reject,
     /* 2343160 */ // Label 32502: @2343160
     /* 2343160 */ GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2343410),
     /* 2343165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2343171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343179 */   GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2343245), // Rule ID 56360 //
     /* 2343184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2343191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2343195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2343206 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2343223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2343234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343244 */     // GIR_Coverage, 56360,
     /* 2343244 */     GIR_EraseRootFromParent_Done,
     /* 2343245 */   // Label 32616: @2343245
     /* 2343245 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2343311), // Rule ID 56361 //
     /* 2343250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2343257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2343261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2343272 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2343289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2343300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343310 */     // GIR_Coverage, 56361,
     /* 2343310 */     GIR_EraseRootFromParent_Done,
     /* 2343311 */   // Label 32617: @2343311
     /* 2343311 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2343360), // Rule ID 56354 //
     /* 2343316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2343319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343323 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2343340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343359 */     // GIR_Coverage, 56354,
     /* 2343359 */     GIR_EraseRootFromParent_Done,
     /* 2343360 */   // Label 32618: @2343360
     /* 2343360 */   GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2343409), // Rule ID 56355 //
     /* 2343365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2343368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343372 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2343375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2343389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343408 */     // GIR_Coverage, 56355,
     /* 2343408 */     GIR_EraseRootFromParent_Done,
     /* 2343409 */   // Label 32619: @2343409
     /* 2343409 */   GIM_Reject,
     /* 2343410 */ // Label 32615: @2343410
     /* 2343410 */ GIM_Reject,
     /* 2343411 */ // Label 32503: @2343411
     /* 2343411 */ GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2343661),
     /* 2343416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2343419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2343422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343430 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2343496), // Rule ID 56300 //
     /* 2343435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2343442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2343446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2343450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2343457 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2343474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2343485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343495 */     // GIR_Coverage, 56300,
     /* 2343495 */     GIR_EraseRootFromParent_Done,
     /* 2343496 */   // Label 32621: @2343496
     /* 2343496 */   GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2343562), // Rule ID 56301 //
     /* 2343501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2343508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2343512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2343516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2343523 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2343540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2343551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343561 */     // GIR_Coverage, 56301,
     /* 2343561 */     GIR_EraseRootFromParent_Done,
     /* 2343562 */   // Label 32622: @2343562
     /* 2343562 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2343611), // Rule ID 56294 //
     /* 2343567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2343570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343574 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2343591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343610 */     // GIR_Coverage, 56294,
     /* 2343610 */     GIR_EraseRootFromParent_Done,
     /* 2343611 */   // Label 32623: @2343611
     /* 2343611 */   GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2343660), // Rule ID 56295 //
     /* 2343616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2343619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343623 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2343626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2343640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343659 */     // GIR_Coverage, 56295,
     /* 2343659 */     GIR_EraseRootFromParent_Done,
     /* 2343660 */   // Label 32624: @2343660
     /* 2343660 */   GIM_Reject,
     /* 2343661 */ // Label 32620: @2343661
     /* 2343661 */ GIM_Reject,
     /* 2343662 */ // Label 32504: @2343662
     /* 2343662 */ GIM_Reject,
     /* 2343663 */ // Label 73: @2343663
     /* 2343663 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32628*/ GIMT_Encode4(2343852),
     /* 2343674 */ /*GILLT_s16*//*Label 32625*/ GIMT_Encode4(2343686),
     /* 2343678 */ /*GILLT_s32*//*Label 32626*/ GIMT_Encode4(2343736),
     /* 2343682 */ /*GILLT_s64*//*Label 32627*/ GIMT_Encode4(2343786),
     /* 2343686 */ // Label 32625: @2343686
     /* 2343686 */ GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2343735),
     /* 2343691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2343702 */   GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2343718), // Rule ID 1956 //
     /* 2343707 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2343707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2343710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343717 */     // GIR_Coverage, 1956,
     /* 2343717 */     GIR_EraseRootFromParent_Done,
     /* 2343718 */   // Label 32630: @2343718
     /* 2343718 */   GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2343734), // Rule ID 1957 //
     /* 2343723 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2343723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2343726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343733 */     // GIR_Coverage, 1957,
     /* 2343733 */     GIR_EraseRootFromParent_Done,
     /* 2343734 */   // Label 32631: @2343734
     /* 2343734 */   GIM_Reject,
     /* 2343735 */ // Label 32629: @2343735
     /* 2343735 */ GIM_Reject,
     /* 2343736 */ // Label 32626: @2343736
     /* 2343736 */ GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2343785),
     /* 2343741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2343752 */   GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2343768), // Rule ID 1243 //
     /* 2343757 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2343757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2343760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343767 */     // GIR_Coverage, 1243,
     /* 2343767 */     GIR_EraseRootFromParent_Done,
     /* 2343768 */   // Label 32633: @2343768
     /* 2343768 */   GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2343784), // Rule ID 1244 //
     /* 2343773 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2343773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2343776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343783 */     // GIR_Coverage, 1244,
     /* 2343783 */     GIR_EraseRootFromParent_Done,
     /* 2343784 */   // Label 32634: @2343784
     /* 2343784 */   GIM_Reject,
     /* 2343785 */ // Label 32632: @2343785
     /* 2343785 */ GIM_Reject,
     /* 2343786 */ // Label 32627: @2343786
     /* 2343786 */ GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2343851),
     /* 2343791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2343802 */   GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2343818), // Rule ID 1620 //
     /* 2343807 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2343807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2343810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343817 */     // GIR_Coverage, 1620,
     /* 2343817 */     GIR_EraseRootFromParent_Done,
     /* 2343818 */   // Label 32636: @2343818
     /* 2343818 */   GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2343834), // Rule ID 1621 //
     /* 2343823 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2343823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2343826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343833 */     // GIR_Coverage, 1621,
     /* 2343833 */     GIR_EraseRootFromParent_Done,
     /* 2343834 */   // Label 32637: @2343834
     /* 2343834 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2343850), // Rule ID 1622 //
     /* 2343839 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2343839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2343842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343849 */     // GIR_Coverage, 1622,
     /* 2343849 */     GIR_EraseRootFromParent_Done,
     /* 2343850 */   // Label 32638: @2343850
     /* 2343850 */   GIM_Reject,
     /* 2343851 */ // Label 32635: @2343851
     /* 2343851 */ GIM_Reject,
     /* 2343852 */ // Label 32628: @2343852
     /* 2343852 */ GIM_Reject,
     /* 2343853 */ // Label 74: @2343853
     /* 2343853 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32657*/ GIMT_Encode4(2345937),
     /* 2343864 */ /*GILLT_s16*//*Label 32639*/ GIMT_Encode4(2343984),
     /* 2343868 */ /*GILLT_s32*//*Label 32640*/ GIMT_Encode4(2344051),
     /* 2343872 */ /*GILLT_s64*//*Label 32641*/ GIMT_Encode4(2344118), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343884 */ /*GILLT_nxv1s16*//*Label 32642*/ GIMT_Encode4(2344212),
     /* 2343888 */ /*GILLT_nxv1s32*//*Label 32643*/ GIMT_Encode4(2344327),
     /* 2343892 */ /*GILLT_nxv1s64*//*Label 32644*/ GIMT_Encode4(2344442), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343904 */ /*GILLT_nxv2s16*//*Label 32645*/ GIMT_Encode4(2344557),
     /* 2343908 */ /*GILLT_nxv2s32*//*Label 32646*/ GIMT_Encode4(2344672),
     /* 2343912 */ /*GILLT_nxv2s64*//*Label 32647*/ GIMT_Encode4(2344787), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343924 */ /*GILLT_nxv4s16*//*Label 32648*/ GIMT_Encode4(2344902),
     /* 2343928 */ /*GILLT_nxv4s32*//*Label 32649*/ GIMT_Encode4(2345017),
     /* 2343932 */ /*GILLT_nxv4s64*//*Label 32650*/ GIMT_Encode4(2345132), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343944 */ /*GILLT_nxv8s16*//*Label 32651*/ GIMT_Encode4(2345247),
     /* 2343948 */ /*GILLT_nxv8s32*//*Label 32652*/ GIMT_Encode4(2345362),
     /* 2343952 */ /*GILLT_nxv8s64*//*Label 32653*/ GIMT_Encode4(2345477), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343964 */ /*GILLT_nxv16s16*//*Label 32654*/ GIMT_Encode4(2345592),
     /* 2343968 */ /*GILLT_nxv16s32*//*Label 32655*/ GIMT_Encode4(2345707), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2343980 */ /*GILLT_nxv32s16*//*Label 32656*/ GIMT_Encode4(2345822),
     /* 2343984 */ // Label 32639: @2343984
     /* 2343984 */ GIM_Try, /*On fail goto*//*Label 32658*/ GIMT_Encode4(2344050),
     /* 2343989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2343992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2343995 */   GIM_Try, /*On fail goto*//*Label 32659*/ GIMT_Encode4(2344022), // Rule ID 1944 //
     /* 2344000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2344003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344015 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2344015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2344020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344021 */     // GIR_Coverage, 1944,
     /* 2344021 */     GIR_Done,
     /* 2344022 */   // Label 32659: @2344022
     /* 2344022 */   GIM_Try, /*On fail goto*//*Label 32660*/ GIMT_Encode4(2344049), // Rule ID 1945 //
     /* 2344027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2344030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344042 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2344042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2344047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344048 */     // GIR_Coverage, 1945,
     /* 2344048 */     GIR_Done,
     /* 2344049 */   // Label 32660: @2344049
     /* 2344049 */   GIM_Reject,
     /* 2344050 */ // Label 32658: @2344050
     /* 2344050 */ GIM_Reject,
     /* 2344051 */ // Label 32640: @2344051
     /* 2344051 */ GIM_Try, /*On fail goto*//*Label 32661*/ GIMT_Encode4(2344117),
     /* 2344056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2344062 */   GIM_Try, /*On fail goto*//*Label 32662*/ GIMT_Encode4(2344089), // Rule ID 1231 //
     /* 2344067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2344070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344082 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2344082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2344087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344088 */     // GIR_Coverage, 1231,
     /* 2344088 */     GIR_Done,
     /* 2344089 */   // Label 32662: @2344089
     /* 2344089 */   GIM_Try, /*On fail goto*//*Label 32663*/ GIMT_Encode4(2344116), // Rule ID 1232 //
     /* 2344094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2344097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2344101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2344105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2344109 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2344109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2344114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344115 */     // GIR_Coverage, 1232,
     /* 2344115 */     GIR_Done,
     /* 2344116 */   // Label 32663: @2344116
     /* 2344116 */   GIM_Reject,
     /* 2344117 */ // Label 32661: @2344117
     /* 2344117 */ GIM_Reject,
     /* 2344118 */ // Label 32641: @2344118
     /* 2344118 */ GIM_Try, /*On fail goto*//*Label 32664*/ GIMT_Encode4(2344211),
     /* 2344123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2344129 */   GIM_Try, /*On fail goto*//*Label 32665*/ GIMT_Encode4(2344156), // Rule ID 1602 //
     /* 2344134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2344137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2344149 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2344154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344155 */     // GIR_Coverage, 1602,
     /* 2344155 */     GIR_Done,
     /* 2344156 */   // Label 32665: @2344156
     /* 2344156 */   GIM_Try, /*On fail goto*//*Label 32666*/ GIMT_Encode4(2344183), // Rule ID 1603 //
     /* 2344161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2344164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2344176 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2344181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344182 */     // GIR_Coverage, 1603,
     /* 2344182 */     GIR_Done,
     /* 2344183 */   // Label 32666: @2344183
     /* 2344183 */   GIM_Try, /*On fail goto*//*Label 32667*/ GIMT_Encode4(2344210), // Rule ID 1604 //
     /* 2344188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2344191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344203 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2344203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2344208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344209 */     // GIR_Coverage, 1604,
     /* 2344209 */     GIR_Done,
     /* 2344210 */   // Label 32667: @2344210
     /* 2344210 */   GIM_Reject,
     /* 2344211 */ // Label 32664: @2344211
     /* 2344211 */ GIM_Reject,
     /* 2344212 */ // Label 32642: @2344212
     /* 2344212 */ GIM_Try, /*On fail goto*//*Label 32668*/ GIMT_Encode4(2344326),
     /* 2344217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2344220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2344223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344235 */   GIM_Try, /*On fail goto*//*Label 32669*/ GIMT_Encode4(2344280), // Rule ID 45642 //
     /* 2344240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2344243 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2344260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344279 */     // GIR_Coverage, 45642,
     /* 2344279 */     GIR_EraseRootFromParent_Done,
     /* 2344280 */   // Label 32669: @2344280
     /* 2344280 */   GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2344325), // Rule ID 45643 //
     /* 2344285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2344288 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2344291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2344305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344324 */     // GIR_Coverage, 45643,
     /* 2344324 */     GIR_EraseRootFromParent_Done,
     /* 2344325 */   // Label 32670: @2344325
     /* 2344325 */   GIM_Reject,
     /* 2344326 */ // Label 32668: @2344326
     /* 2344326 */ GIM_Reject,
     /* 2344327 */ // Label 32643: @2344327
     /* 2344327 */ GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2344441),
     /* 2344332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2344335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2344338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344350 */   GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2344395), // Rule ID 56432 //
     /* 2344355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2344358 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2344375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344394 */     // GIR_Coverage, 56432,
     /* 2344394 */     GIR_EraseRootFromParent_Done,
     /* 2344395 */   // Label 32672: @2344395
     /* 2344395 */   GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2344440), // Rule ID 56433 //
     /* 2344400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2344403 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2344406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2344420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344439 */     // GIR_Coverage, 56433,
     /* 2344439 */     GIR_EraseRootFromParent_Done,
     /* 2344440 */   // Label 32673: @2344440
     /* 2344440 */   GIM_Reject,
     /* 2344441 */ // Label 32671: @2344441
     /* 2344441 */ GIM_Reject,
     /* 2344442 */ // Label 32644: @2344442
     /* 2344442 */ GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2344556),
     /* 2344447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2344450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2344453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344465 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2344510), // Rule ID 56450 //
     /* 2344470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2344473 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2344490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344509 */     // GIR_Coverage, 56450,
     /* 2344509 */     GIR_EraseRootFromParent_Done,
     /* 2344510 */   // Label 32675: @2344510
     /* 2344510 */   GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2344555), // Rule ID 56451 //
     /* 2344515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2344518 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2344521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2344535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344554 */     // GIR_Coverage, 56451,
     /* 2344554 */     GIR_EraseRootFromParent_Done,
     /* 2344555 */   // Label 32676: @2344555
     /* 2344555 */   GIM_Reject,
     /* 2344556 */ // Label 32674: @2344556
     /* 2344556 */ GIM_Reject,
     /* 2344557 */ // Label 32645: @2344557
     /* 2344557 */ GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2344671),
     /* 2344562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2344565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344580 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2344625), // Rule ID 56426 //
     /* 2344585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2344588 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2344605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344624 */     // GIR_Coverage, 56426,
     /* 2344624 */     GIR_EraseRootFromParent_Done,
     /* 2344625 */   // Label 32678: @2344625
     /* 2344625 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2344670), // Rule ID 56427 //
     /* 2344630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2344633 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2344636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2344650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344669 */     // GIR_Coverage, 56427,
     /* 2344669 */     GIR_EraseRootFromParent_Done,
     /* 2344670 */   // Label 32679: @2344670
     /* 2344670 */   GIM_Reject,
     /* 2344671 */ // Label 32677: @2344671
     /* 2344671 */ GIM_Reject,
     /* 2344672 */ // Label 32646: @2344672
     /* 2344672 */ GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2344786),
     /* 2344677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2344680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2344683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344695 */   GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2344740), // Rule ID 56444 //
     /* 2344700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2344703 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2344706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2344720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344739 */     // GIR_Coverage, 56444,
     /* 2344739 */     GIR_EraseRootFromParent_Done,
     /* 2344740 */   // Label 32681: @2344740
     /* 2344740 */   GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2344785), // Rule ID 56445 //
     /* 2344745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2344748 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2344751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2344765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344784 */     // GIR_Coverage, 56445,
     /* 2344784 */     GIR_EraseRootFromParent_Done,
     /* 2344785 */   // Label 32682: @2344785
     /* 2344785 */   GIM_Reject,
     /* 2344786 */ // Label 32680: @2344786
     /* 2344786 */ GIM_Reject,
     /* 2344787 */ // Label 32647: @2344787
     /* 2344787 */ GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2344901),
     /* 2344792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2344795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344810 */   GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2344855), // Rule ID 56492 //
     /* 2344815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2344818 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2344835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344854 */     // GIR_Coverage, 56492,
     /* 2344854 */     GIR_EraseRootFromParent_Done,
     /* 2344855 */   // Label 32684: @2344855
     /* 2344855 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2344900), // Rule ID 56493 //
     /* 2344860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2344863 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2344880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344899 */     // GIR_Coverage, 56493,
     /* 2344899 */     GIR_EraseRootFromParent_Done,
     /* 2344900 */   // Label 32685: @2344900
     /* 2344900 */   GIM_Reject,
     /* 2344901 */ // Label 32683: @2344901
     /* 2344901 */ GIM_Reject,
     /* 2344902 */ // Label 32648: @2344902
     /* 2344902 */ GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2345016),
     /* 2344907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2344910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2344913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344925 */   GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2344970), // Rule ID 56438 //
     /* 2344930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2344933 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2344936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2344950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344969 */     // GIR_Coverage, 56438,
     /* 2344969 */     GIR_EraseRootFromParent_Done,
     /* 2344970 */   // Label 32687: @2344970
     /* 2344970 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2345015), // Rule ID 56439 //
     /* 2344975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2344978 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2344981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2344995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345014 */     // GIR_Coverage, 56439,
     /* 2345014 */     GIR_EraseRootFromParent_Done,
     /* 2345015 */   // Label 32688: @2345015
     /* 2345015 */   GIM_Reject,
     /* 2345016 */ // Label 32686: @2345016
     /* 2345016 */ GIM_Reject,
     /* 2345017 */ // Label 32649: @2345017
     /* 2345017 */ GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2345131),
     /* 2345022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2345025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2345028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345040 */   GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2345085), // Rule ID 56474 //
     /* 2345045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2345048 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2345065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345084 */     // GIR_Coverage, 56474,
     /* 2345084 */     GIR_EraseRootFromParent_Done,
     /* 2345085 */   // Label 32690: @2345085
     /* 2345085 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2345130), // Rule ID 56475 //
     /* 2345090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2345093 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2345096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2345110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345129 */     // GIR_Coverage, 56475,
     /* 2345129 */     GIR_EraseRootFromParent_Done,
     /* 2345130 */   // Label 32691: @2345130
     /* 2345130 */   GIM_Reject,
     /* 2345131 */ // Label 32689: @2345131
     /* 2345131 */ GIM_Reject,
     /* 2345132 */ // Label 32650: @2345132
     /* 2345132 */ GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2345246),
     /* 2345137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2345140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2345143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345155 */   GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2345200), // Rule ID 56498 //
     /* 2345160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2345163 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2345180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345199 */     // GIR_Coverage, 56498,
     /* 2345199 */     GIR_EraseRootFromParent_Done,
     /* 2345200 */   // Label 32693: @2345200
     /* 2345200 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2345245), // Rule ID 56499 //
     /* 2345205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2345208 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2345211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2345225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345244 */     // GIR_Coverage, 56499,
     /* 2345244 */     GIR_EraseRootFromParent_Done,
     /* 2345245 */   // Label 32694: @2345245
     /* 2345245 */   GIM_Reject,
     /* 2345246 */ // Label 32692: @2345246
     /* 2345246 */ GIM_Reject,
     /* 2345247 */ // Label 32651: @2345247
     /* 2345247 */ GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2345361),
     /* 2345252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2345255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2345258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345270 */   GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2345315), // Rule ID 56456 //
     /* 2345275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2345278 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2345295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345314 */     // GIR_Coverage, 56456,
     /* 2345314 */     GIR_EraseRootFromParent_Done,
     /* 2345315 */   // Label 32696: @2345315
     /* 2345315 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2345360), // Rule ID 56457 //
     /* 2345320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2345323 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2345326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2345340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345359 */     // GIR_Coverage, 56457,
     /* 2345359 */     GIR_EraseRootFromParent_Done,
     /* 2345360 */   // Label 32697: @2345360
     /* 2345360 */   GIM_Reject,
     /* 2345361 */ // Label 32695: @2345361
     /* 2345361 */ GIM_Reject,
     /* 2345362 */ // Label 32652: @2345362
     /* 2345362 */ GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2345476),
     /* 2345367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2345370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2345373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345385 */   GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2345430), // Rule ID 56480 //
     /* 2345390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2345393 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2345396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2345410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345429 */     // GIR_Coverage, 56480,
     /* 2345429 */     GIR_EraseRootFromParent_Done,
     /* 2345430 */   // Label 32699: @2345430
     /* 2345430 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2345475), // Rule ID 56481 //
     /* 2345435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2345438 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2345441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2345455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345474 */     // GIR_Coverage, 56481,
     /* 2345474 */     GIR_EraseRootFromParent_Done,
     /* 2345475 */   // Label 32700: @2345475
     /* 2345475 */   GIM_Reject,
     /* 2345476 */ // Label 32698: @2345476
     /* 2345476 */ GIM_Reject,
     /* 2345477 */ // Label 32653: @2345477
     /* 2345477 */ GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2345591),
     /* 2345482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2345485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2345488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345500 */   GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2345545), // Rule ID 56504 //
     /* 2345505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2345508 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2345511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2345525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345544 */     // GIR_Coverage, 56504,
     /* 2345544 */     GIR_EraseRootFromParent_Done,
     /* 2345545 */   // Label 32702: @2345545
     /* 2345545 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2345590), // Rule ID 56505 //
     /* 2345550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2345553 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2345556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2345570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345589 */     // GIR_Coverage, 56505,
     /* 2345589 */     GIR_EraseRootFromParent_Done,
     /* 2345590 */   // Label 32703: @2345590
     /* 2345590 */   GIM_Reject,
     /* 2345591 */ // Label 32701: @2345591
     /* 2345591 */ GIM_Reject,
     /* 2345592 */ // Label 32654: @2345592
     /* 2345592 */ GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2345706),
     /* 2345597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2345600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2345603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345615 */   GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2345660), // Rule ID 56462 //
     /* 2345620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2345623 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2345626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2345640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345659 */     // GIR_Coverage, 56462,
     /* 2345659 */     GIR_EraseRootFromParent_Done,
     /* 2345660 */   // Label 32705: @2345660
     /* 2345660 */   GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2345705), // Rule ID 56463 //
     /* 2345665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2345668 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2345671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2345685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345704 */     // GIR_Coverage, 56463,
     /* 2345704 */     GIR_EraseRootFromParent_Done,
     /* 2345705 */   // Label 32706: @2345705
     /* 2345705 */   GIM_Reject,
     /* 2345706 */ // Label 32704: @2345706
     /* 2345706 */ GIM_Reject,
     /* 2345707 */ // Label 32655: @2345707
     /* 2345707 */ GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2345821),
     /* 2345712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2345715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2345718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345730 */   GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2345775), // Rule ID 56486 //
     /* 2345735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2345738 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2345741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2345755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345774 */     // GIR_Coverage, 56486,
     /* 2345774 */     GIR_EraseRootFromParent_Done,
     /* 2345775 */   // Label 32708: @2345775
     /* 2345775 */   GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2345820), // Rule ID 56487 //
     /* 2345780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2345783 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2345786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2345800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345819 */     // GIR_Coverage, 56487,
     /* 2345819 */     GIR_EraseRootFromParent_Done,
     /* 2345820 */   // Label 32709: @2345820
     /* 2345820 */   GIM_Reject,
     /* 2345821 */ // Label 32707: @2345821
     /* 2345821 */ GIM_Reject,
     /* 2345822 */ // Label 32656: @2345822
     /* 2345822 */ GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2345936),
     /* 2345827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2345830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2345833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345845 */   GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2345890), // Rule ID 56468 //
     /* 2345850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2345853 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2345856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2345870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345889 */     // GIR_Coverage, 56468,
     /* 2345889 */     GIR_EraseRootFromParent_Done,
     /* 2345890 */   // Label 32711: @2345890
     /* 2345890 */   GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2345935), // Rule ID 56469 //
     /* 2345895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2345898 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2345901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2345915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345934 */     // GIR_Coverage, 56469,
     /* 2345934 */     GIR_EraseRootFromParent_Done,
     /* 2345935 */   // Label 32712: @2345935
     /* 2345935 */   GIM_Reject,
     /* 2345936 */ // Label 32710: @2345936
     /* 2345936 */ GIM_Reject,
     /* 2345937 */ // Label 32657: @2345937
     /* 2345937 */ GIM_Reject,
     /* 2345938 */ // Label 75: @2345938
     /* 2345938 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32731*/ GIMT_Encode4(2348022),
     /* 2345949 */ /*GILLT_s16*//*Label 32713*/ GIMT_Encode4(2346069),
     /* 2345953 */ /*GILLT_s32*//*Label 32714*/ GIMT_Encode4(2346136),
     /* 2345957 */ /*GILLT_s64*//*Label 32715*/ GIMT_Encode4(2346203), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2345969 */ /*GILLT_nxv1s16*//*Label 32716*/ GIMT_Encode4(2346297),
     /* 2345973 */ /*GILLT_nxv1s32*//*Label 32717*/ GIMT_Encode4(2346412),
     /* 2345977 */ /*GILLT_nxv1s64*//*Label 32718*/ GIMT_Encode4(2346527), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2345989 */ /*GILLT_nxv2s16*//*Label 32719*/ GIMT_Encode4(2346642),
     /* 2345993 */ /*GILLT_nxv2s32*//*Label 32720*/ GIMT_Encode4(2346757),
     /* 2345997 */ /*GILLT_nxv2s64*//*Label 32721*/ GIMT_Encode4(2346872), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2346009 */ /*GILLT_nxv4s16*//*Label 32722*/ GIMT_Encode4(2346987),
     /* 2346013 */ /*GILLT_nxv4s32*//*Label 32723*/ GIMT_Encode4(2347102),
     /* 2346017 */ /*GILLT_nxv4s64*//*Label 32724*/ GIMT_Encode4(2347217), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2346029 */ /*GILLT_nxv8s16*//*Label 32725*/ GIMT_Encode4(2347332),
     /* 2346033 */ /*GILLT_nxv8s32*//*Label 32726*/ GIMT_Encode4(2347447),
     /* 2346037 */ /*GILLT_nxv8s64*//*Label 32727*/ GIMT_Encode4(2347562), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2346049 */ /*GILLT_nxv16s16*//*Label 32728*/ GIMT_Encode4(2347677),
     /* 2346053 */ /*GILLT_nxv16s32*//*Label 32729*/ GIMT_Encode4(2347792), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2346065 */ /*GILLT_nxv32s16*//*Label 32730*/ GIMT_Encode4(2347907),
     /* 2346069 */ // Label 32713: @2346069
     /* 2346069 */ GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2346135),
     /* 2346074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2346077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2346080 */   GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2346107), // Rule ID 1946 //
     /* 2346085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2346088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2346092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2346096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2346100 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2346100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2346105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346106 */     // GIR_Coverage, 1946,
     /* 2346106 */     GIR_Done,
     /* 2346107 */   // Label 32733: @2346107
     /* 2346107 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2346134), // Rule ID 1947 //
     /* 2346112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2346115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2346119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2346123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2346127 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2346127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2346132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346133 */     // GIR_Coverage, 1947,
     /* 2346133 */     GIR_Done,
     /* 2346134 */   // Label 32734: @2346134
     /* 2346134 */   GIM_Reject,
     /* 2346135 */ // Label 32732: @2346135
     /* 2346135 */ GIM_Reject,
     /* 2346136 */ // Label 32714: @2346136
     /* 2346136 */ GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2346202),
     /* 2346141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2346144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2346147 */   GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2346174), // Rule ID 1233 //
     /* 2346152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2346155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2346159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2346163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2346167 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2346167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2346172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346173 */     // GIR_Coverage, 1233,
     /* 2346173 */     GIR_Done,
     /* 2346174 */   // Label 32736: @2346174
     /* 2346174 */   GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2346201), // Rule ID 1234 //
     /* 2346179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2346182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2346186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2346190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2346194 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2346194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2346199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346200 */     // GIR_Coverage, 1234,
     /* 2346200 */     GIR_Done,
     /* 2346201 */   // Label 32737: @2346201
     /* 2346201 */   GIM_Reject,
     /* 2346202 */ // Label 32735: @2346202
     /* 2346202 */ GIM_Reject,
     /* 2346203 */ // Label 32715: @2346203
     /* 2346203 */ GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2346296),
     /* 2346208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2346211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2346214 */   GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2346241), // Rule ID 1605 //
     /* 2346219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2346222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2346226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2346230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2346234 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2346234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2346239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346240 */     // GIR_Coverage, 1605,
     /* 2346240 */     GIR_Done,
     /* 2346241 */   // Label 32739: @2346241
     /* 2346241 */   GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2346268), // Rule ID 1606 //
     /* 2346246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2346249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2346253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2346257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2346261 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2346261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2346266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346267 */     // GIR_Coverage, 1606,
     /* 2346267 */     GIR_Done,
     /* 2346268 */   // Label 32740: @2346268
     /* 2346268 */   GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2346295), // Rule ID 1607 //
     /* 2346273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2346276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2346288 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2346288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2346293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346294 */     // GIR_Coverage, 1607,
     /* 2346294 */     GIR_Done,
     /* 2346295 */   // Label 32741: @2346295
     /* 2346295 */   GIM_Reject,
     /* 2346296 */ // Label 32738: @2346296
     /* 2346296 */ GIM_Reject,
     /* 2346297 */ // Label 32716: @2346297
     /* 2346297 */ GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2346411),
     /* 2346302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2346305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2346308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346320 */   GIM_Try, /*On fail goto*//*Label 32743*/ GIMT_Encode4(2346365), // Rule ID 56510 //
     /* 2346325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2346328 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2346345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346364 */     // GIR_Coverage, 56510,
     /* 2346364 */     GIR_EraseRootFromParent_Done,
     /* 2346365 */   // Label 32743: @2346365
     /* 2346365 */   GIM_Try, /*On fail goto*//*Label 32744*/ GIMT_Encode4(2346410), // Rule ID 56511 //
     /* 2346370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2346373 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2346390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346409 */     // GIR_Coverage, 56511,
     /* 2346409 */     GIR_EraseRootFromParent_Done,
     /* 2346410 */   // Label 32744: @2346410
     /* 2346410 */   GIM_Reject,
     /* 2346411 */ // Label 32742: @2346411
     /* 2346411 */ GIM_Reject,
     /* 2346412 */ // Label 32717: @2346412
     /* 2346412 */ GIM_Try, /*On fail goto*//*Label 32745*/ GIMT_Encode4(2346526),
     /* 2346417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2346420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2346423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346435 */   GIM_Try, /*On fail goto*//*Label 32746*/ GIMT_Encode4(2346480), // Rule ID 56522 //
     /* 2346440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2346443 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2346446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2346460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346479 */     // GIR_Coverage, 56522,
     /* 2346479 */     GIR_EraseRootFromParent_Done,
     /* 2346480 */   // Label 32746: @2346480
     /* 2346480 */   GIM_Try, /*On fail goto*//*Label 32747*/ GIMT_Encode4(2346525), // Rule ID 56523 //
     /* 2346485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2346488 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2346491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2346505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346524 */     // GIR_Coverage, 56523,
     /* 2346524 */     GIR_EraseRootFromParent_Done,
     /* 2346525 */   // Label 32747: @2346525
     /* 2346525 */   GIM_Reject,
     /* 2346526 */ // Label 32745: @2346526
     /* 2346526 */ GIM_Reject,
     /* 2346527 */ // Label 32718: @2346527
     /* 2346527 */ GIM_Try, /*On fail goto*//*Label 32748*/ GIMT_Encode4(2346641),
     /* 2346532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2346535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2346538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346550 */   GIM_Try, /*On fail goto*//*Label 32749*/ GIMT_Encode4(2346595), // Rule ID 56540 //
     /* 2346555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2346558 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2346575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346594 */     // GIR_Coverage, 56540,
     /* 2346594 */     GIR_EraseRootFromParent_Done,
     /* 2346595 */   // Label 32749: @2346595
     /* 2346595 */   GIM_Try, /*On fail goto*//*Label 32750*/ GIMT_Encode4(2346640), // Rule ID 56541 //
     /* 2346600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2346603 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2346620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346639 */     // GIR_Coverage, 56541,
     /* 2346639 */     GIR_EraseRootFromParent_Done,
     /* 2346640 */   // Label 32750: @2346640
     /* 2346640 */   GIM_Reject,
     /* 2346641 */ // Label 32748: @2346641
     /* 2346641 */ GIM_Reject,
     /* 2346642 */ // Label 32719: @2346642
     /* 2346642 */ GIM_Try, /*On fail goto*//*Label 32751*/ GIMT_Encode4(2346756),
     /* 2346647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2346650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346665 */   GIM_Try, /*On fail goto*//*Label 32752*/ GIMT_Encode4(2346710), // Rule ID 56516 //
     /* 2346670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2346673 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2346690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346709 */     // GIR_Coverage, 56516,
     /* 2346709 */     GIR_EraseRootFromParent_Done,
     /* 2346710 */   // Label 32752: @2346710
     /* 2346710 */   GIM_Try, /*On fail goto*//*Label 32753*/ GIMT_Encode4(2346755), // Rule ID 56517 //
     /* 2346715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2346718 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2346735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346754 */     // GIR_Coverage, 56517,
     /* 2346754 */     GIR_EraseRootFromParent_Done,
     /* 2346755 */   // Label 32753: @2346755
     /* 2346755 */   GIM_Reject,
     /* 2346756 */ // Label 32751: @2346756
     /* 2346756 */ GIM_Reject,
     /* 2346757 */ // Label 32720: @2346757
     /* 2346757 */ GIM_Try, /*On fail goto*//*Label 32754*/ GIMT_Encode4(2346871),
     /* 2346762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2346765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2346768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346780 */   GIM_Try, /*On fail goto*//*Label 32755*/ GIMT_Encode4(2346825), // Rule ID 56534 //
     /* 2346785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2346788 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2346805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346824 */     // GIR_Coverage, 56534,
     /* 2346824 */     GIR_EraseRootFromParent_Done,
     /* 2346825 */   // Label 32755: @2346825
     /* 2346825 */   GIM_Try, /*On fail goto*//*Label 32756*/ GIMT_Encode4(2346870), // Rule ID 56535 //
     /* 2346830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2346833 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2346850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346869 */     // GIR_Coverage, 56535,
     /* 2346869 */     GIR_EraseRootFromParent_Done,
     /* 2346870 */   // Label 32756: @2346870
     /* 2346870 */   GIM_Reject,
     /* 2346871 */ // Label 32754: @2346871
     /* 2346871 */ GIM_Reject,
     /* 2346872 */ // Label 32721: @2346872
     /* 2346872 */ GIM_Try, /*On fail goto*//*Label 32757*/ GIMT_Encode4(2346986),
     /* 2346877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2346880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2346883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346895 */   GIM_Try, /*On fail goto*//*Label 32758*/ GIMT_Encode4(2346940), // Rule ID 56582 //
     /* 2346900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2346903 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2346920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346939 */     // GIR_Coverage, 56582,
     /* 2346939 */     GIR_EraseRootFromParent_Done,
     /* 2346940 */   // Label 32758: @2346940
     /* 2346940 */   GIM_Try, /*On fail goto*//*Label 32759*/ GIMT_Encode4(2346985), // Rule ID 56583 //
     /* 2346945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2346948 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2346965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346984 */     // GIR_Coverage, 56583,
     /* 2346984 */     GIR_EraseRootFromParent_Done,
     /* 2346985 */   // Label 32759: @2346985
     /* 2346985 */   GIM_Reject,
     /* 2346986 */ // Label 32757: @2346986
     /* 2346986 */ GIM_Reject,
     /* 2346987 */ // Label 32722: @2346987
     /* 2346987 */ GIM_Try, /*On fail goto*//*Label 32760*/ GIMT_Encode4(2347101),
     /* 2346992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2346995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2346998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347010 */   GIM_Try, /*On fail goto*//*Label 32761*/ GIMT_Encode4(2347055), // Rule ID 56528 //
     /* 2347015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347018 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2347035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347054 */     // GIR_Coverage, 56528,
     /* 2347054 */     GIR_EraseRootFromParent_Done,
     /* 2347055 */   // Label 32761: @2347055
     /* 2347055 */   GIM_Try, /*On fail goto*//*Label 32762*/ GIMT_Encode4(2347100), // Rule ID 56529 //
     /* 2347060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2347063 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2347080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347099 */     // GIR_Coverage, 56529,
     /* 2347099 */     GIR_EraseRootFromParent_Done,
     /* 2347100 */   // Label 32762: @2347100
     /* 2347100 */   GIM_Reject,
     /* 2347101 */ // Label 32760: @2347101
     /* 2347101 */ GIM_Reject,
     /* 2347102 */ // Label 32723: @2347102
     /* 2347102 */ GIM_Try, /*On fail goto*//*Label 32763*/ GIMT_Encode4(2347216),
     /* 2347107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2347113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347125 */   GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2347170), // Rule ID 56564 //
     /* 2347130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2347133 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2347150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347169 */     // GIR_Coverage, 56564,
     /* 2347169 */     GIR_EraseRootFromParent_Done,
     /* 2347170 */   // Label 32764: @2347170
     /* 2347170 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2347215), // Rule ID 56565 //
     /* 2347175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2347178 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2347195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347214 */     // GIR_Coverage, 56565,
     /* 2347214 */     GIR_EraseRootFromParent_Done,
     /* 2347215 */   // Label 32765: @2347215
     /* 2347215 */   GIM_Reject,
     /* 2347216 */ // Label 32763: @2347216
     /* 2347216 */ GIM_Reject,
     /* 2347217 */ // Label 32724: @2347217
     /* 2347217 */ GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2347331),
     /* 2347222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2347225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2347228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347240 */   GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2347285), // Rule ID 56588 //
     /* 2347245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2347248 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2347251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2347265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347284 */     // GIR_Coverage, 56588,
     /* 2347284 */     GIR_EraseRootFromParent_Done,
     /* 2347285 */   // Label 32767: @2347285
     /* 2347285 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2347330), // Rule ID 56589 //
     /* 2347290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2347293 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2347296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2347310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347329 */     // GIR_Coverage, 56589,
     /* 2347329 */     GIR_EraseRootFromParent_Done,
     /* 2347330 */   // Label 32768: @2347330
     /* 2347330 */   GIM_Reject,
     /* 2347331 */ // Label 32766: @2347331
     /* 2347331 */ GIM_Reject,
     /* 2347332 */ // Label 32725: @2347332
     /* 2347332 */ GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2347446),
     /* 2347337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2347340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2347343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347355 */   GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2347400), // Rule ID 56546 //
     /* 2347360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347363 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2347380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347399 */     // GIR_Coverage, 56546,
     /* 2347399 */     GIR_EraseRootFromParent_Done,
     /* 2347400 */   // Label 32770: @2347400
     /* 2347400 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2347445), // Rule ID 56547 //
     /* 2347405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2347408 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2347425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347444 */     // GIR_Coverage, 56547,
     /* 2347444 */     GIR_EraseRootFromParent_Done,
     /* 2347445 */   // Label 32771: @2347445
     /* 2347445 */   GIM_Reject,
     /* 2347446 */ // Label 32769: @2347446
     /* 2347446 */ GIM_Reject,
     /* 2347447 */ // Label 32726: @2347447
     /* 2347447 */ GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2347561),
     /* 2347452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2347458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347470 */   GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2347515), // Rule ID 56570 //
     /* 2347475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2347478 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2347495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347514 */     // GIR_Coverage, 56570,
     /* 2347514 */     GIR_EraseRootFromParent_Done,
     /* 2347515 */   // Label 32773: @2347515
     /* 2347515 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2347560), // Rule ID 56571 //
     /* 2347520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2347523 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2347540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347559 */     // GIR_Coverage, 56571,
     /* 2347559 */     GIR_EraseRootFromParent_Done,
     /* 2347560 */   // Label 32774: @2347560
     /* 2347560 */   GIM_Reject,
     /* 2347561 */ // Label 32772: @2347561
     /* 2347561 */ GIM_Reject,
     /* 2347562 */ // Label 32727: @2347562
     /* 2347562 */ GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2347676),
     /* 2347567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2347573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347585 */   GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2347630), // Rule ID 56594 //
     /* 2347590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2347593 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2347610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347629 */     // GIR_Coverage, 56594,
     /* 2347629 */     GIR_EraseRootFromParent_Done,
     /* 2347630 */   // Label 32776: @2347630
     /* 2347630 */   GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2347675), // Rule ID 56595 //
     /* 2347635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2347638 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2347655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347674 */     // GIR_Coverage, 56595,
     /* 2347674 */     GIR_EraseRootFromParent_Done,
     /* 2347675 */   // Label 32777: @2347675
     /* 2347675 */   GIM_Reject,
     /* 2347676 */ // Label 32775: @2347676
     /* 2347676 */ GIM_Reject,
     /* 2347677 */ // Label 32728: @2347677
     /* 2347677 */ GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2347791),
     /* 2347682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2347688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347700 */   GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2347745), // Rule ID 56552 //
     /* 2347705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347708 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2347725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347744 */     // GIR_Coverage, 56552,
     /* 2347744 */     GIR_EraseRootFromParent_Done,
     /* 2347745 */   // Label 32779: @2347745
     /* 2347745 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2347790), // Rule ID 56553 //
     /* 2347750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2347753 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2347770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347789 */     // GIR_Coverage, 56553,
     /* 2347789 */     GIR_EraseRootFromParent_Done,
     /* 2347790 */   // Label 32780: @2347790
     /* 2347790 */   GIM_Reject,
     /* 2347791 */ // Label 32778: @2347791
     /* 2347791 */ GIM_Reject,
     /* 2347792 */ // Label 32729: @2347792
     /* 2347792 */ GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2347906),
     /* 2347797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2347800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2347803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347815 */   GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2347860), // Rule ID 56576 //
     /* 2347820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2347823 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2347826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2347840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347859 */     // GIR_Coverage, 56576,
     /* 2347859 */     GIR_EraseRootFromParent_Done,
     /* 2347860 */   // Label 32782: @2347860
     /* 2347860 */   GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2347905), // Rule ID 56577 //
     /* 2347865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2347868 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2347871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2347885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347904 */     // GIR_Coverage, 56577,
     /* 2347904 */     GIR_EraseRootFromParent_Done,
     /* 2347905 */   // Label 32783: @2347905
     /* 2347905 */   GIM_Reject,
     /* 2347906 */ // Label 32781: @2347906
     /* 2347906 */ GIM_Reject,
     /* 2347907 */ // Label 32730: @2347907
     /* 2347907 */ GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2348021),
     /* 2347912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2347915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2347918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347930 */   GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2347975), // Rule ID 56558 //
     /* 2347935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2347938 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2347941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2347955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347974 */     // GIR_Coverage, 56558,
     /* 2347974 */     GIR_EraseRootFromParent_Done,
     /* 2347975 */   // Label 32785: @2347975
     /* 2347975 */   GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2348020), // Rule ID 56559 //
     /* 2347980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2347983 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2347986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2348000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348019 */     // GIR_Coverage, 56559,
     /* 2348019 */     GIR_EraseRootFromParent_Done,
     /* 2348020 */   // Label 32786: @2348020
     /* 2348020 */   GIM_Reject,
     /* 2348021 */ // Label 32784: @2348021
     /* 2348021 */ GIM_Reject,
     /* 2348022 */ // Label 32731: @2348022
     /* 2348022 */ GIM_Reject,
     /* 2348023 */ // Label 76: @2348023
     /* 2348023 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32790*/ GIMT_Encode4(2348148),
     /* 2348034 */ /*GILLT_s16*//*Label 32787*/ GIMT_Encode4(2348046),
     /* 2348038 */ /*GILLT_s32*//*Label 32788*/ GIMT_Encode4(2348080),
     /* 2348042 */ /*GILLT_s64*//*Label 32789*/ GIMT_Encode4(2348114),
     /* 2348046 */ // Label 32787: @2348046
     /* 2348046 */ GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2348079), // Rule ID 2298 //
     /* 2348051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2348054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2348057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2348060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348072 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2348072 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2348077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348078 */   // GIR_Coverage, 2298,
     /* 2348078 */   GIR_Done,
     /* 2348079 */ // Label 32791: @2348079
     /* 2348079 */ GIM_Reject,
     /* 2348080 */ // Label 32788: @2348080
     /* 2348080 */ GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2348113), // Rule ID 2216 //
     /* 2348085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2348088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2348094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348106 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2348106 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2348111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348112 */   // GIR_Coverage, 2216,
     /* 2348112 */   GIR_Done,
     /* 2348113 */ // Label 32792: @2348113
     /* 2348113 */ GIM_Reject,
     /* 2348114 */ // Label 32789: @2348114
     /* 2348114 */ GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2348147), // Rule ID 2256 //
     /* 2348119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2348122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2348128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348140 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2348140 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2348145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348146 */   // GIR_Coverage, 2256,
     /* 2348146 */   GIR_Done,
     /* 2348147 */ // Label 32793: @2348147
     /* 2348147 */ GIM_Reject,
     /* 2348148 */ // Label 32790: @2348148
     /* 2348148 */ GIM_Reject,
     /* 2348149 */ // Label 77: @2348149
     /* 2348149 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32797*/ GIMT_Encode4(2348274),
     /* 2348160 */ /*GILLT_s16*//*Label 32794*/ GIMT_Encode4(2348172),
     /* 2348164 */ /*GILLT_s32*//*Label 32795*/ GIMT_Encode4(2348206),
     /* 2348168 */ /*GILLT_s64*//*Label 32796*/ GIMT_Encode4(2348240),
     /* 2348172 */ // Label 32794: @2348172
     /* 2348172 */ GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2348205), // Rule ID 2299 //
     /* 2348177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2348180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2348183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2348186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348198 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2348198 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2348203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348204 */   // GIR_Coverage, 2299,
     /* 2348204 */   GIR_Done,
     /* 2348205 */ // Label 32798: @2348205
     /* 2348205 */ GIM_Reject,
     /* 2348206 */ // Label 32795: @2348206
     /* 2348206 */ GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2348239), // Rule ID 2217 //
     /* 2348211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2348214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2348220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348232 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2348232 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2348237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348238 */   // GIR_Coverage, 2217,
     /* 2348238 */   GIR_Done,
     /* 2348239 */ // Label 32799: @2348239
     /* 2348239 */ GIM_Reject,
     /* 2348240 */ // Label 32796: @2348240
     /* 2348240 */ GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2348273), // Rule ID 2257 //
     /* 2348245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2348248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2348254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348266 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2348266 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2348271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348272 */   // GIR_Coverage, 2257,
     /* 2348272 */   GIR_Done,
     /* 2348273 */ // Label 32800: @2348273
     /* 2348273 */ GIM_Reject,
     /* 2348274 */ // Label 32797: @2348274
     /* 2348274 */ GIM_Reject,
     /* 2348275 */ // Label 78: @2348275
     /* 2348275 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32819*/ GIMT_Encode4(2350359),
     /* 2348286 */ /*GILLT_s16*//*Label 32801*/ GIMT_Encode4(2348406),
     /* 2348290 */ /*GILLT_s32*//*Label 32802*/ GIMT_Encode4(2348473),
     /* 2348294 */ /*GILLT_s64*//*Label 32803*/ GIMT_Encode4(2348540), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348306 */ /*GILLT_nxv1s16*//*Label 32804*/ GIMT_Encode4(2348634),
     /* 2348310 */ /*GILLT_nxv1s32*//*Label 32805*/ GIMT_Encode4(2348749),
     /* 2348314 */ /*GILLT_nxv1s64*//*Label 32806*/ GIMT_Encode4(2348864), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348326 */ /*GILLT_nxv2s16*//*Label 32807*/ GIMT_Encode4(2348979),
     /* 2348330 */ /*GILLT_nxv2s32*//*Label 32808*/ GIMT_Encode4(2349094),
     /* 2348334 */ /*GILLT_nxv2s64*//*Label 32809*/ GIMT_Encode4(2349209), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348346 */ /*GILLT_nxv4s16*//*Label 32810*/ GIMT_Encode4(2349324),
     /* 2348350 */ /*GILLT_nxv4s32*//*Label 32811*/ GIMT_Encode4(2349439),
     /* 2348354 */ /*GILLT_nxv4s64*//*Label 32812*/ GIMT_Encode4(2349554), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348366 */ /*GILLT_nxv8s16*//*Label 32813*/ GIMT_Encode4(2349669),
     /* 2348370 */ /*GILLT_nxv8s32*//*Label 32814*/ GIMT_Encode4(2349784),
     /* 2348374 */ /*GILLT_nxv8s64*//*Label 32815*/ GIMT_Encode4(2349899), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348386 */ /*GILLT_nxv16s16*//*Label 32816*/ GIMT_Encode4(2350014),
     /* 2348390 */ /*GILLT_nxv16s32*//*Label 32817*/ GIMT_Encode4(2350129), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2348402 */ /*GILLT_nxv32s16*//*Label 32818*/ GIMT_Encode4(2350244),
     /* 2348406 */ // Label 32801: @2348406
     /* 2348406 */ GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2348472),
     /* 2348411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2348414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2348417 */   GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2348444), // Rule ID 1948 //
     /* 2348422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2348425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348437 */     // (fminimumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2348437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2348442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348443 */     // GIR_Coverage, 1948,
     /* 2348443 */     GIR_Done,
     /* 2348444 */   // Label 32821: @2348444
     /* 2348444 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2348471), // Rule ID 1949 //
     /* 2348449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2348452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2348464 */     // (fminimumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2348464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2348469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348470 */     // GIR_Coverage, 1949,
     /* 2348470 */     GIR_Done,
     /* 2348471 */   // Label 32822: @2348471
     /* 2348471 */   GIM_Reject,
     /* 2348472 */ // Label 32820: @2348472
     /* 2348472 */ GIM_Reject,
     /* 2348473 */ // Label 32802: @2348473
     /* 2348473 */ GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2348539),
     /* 2348478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2348484 */   GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2348511), // Rule ID 1235 //
     /* 2348489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2348492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348504 */     // (fminimumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2348504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2348509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348510 */     // GIR_Coverage, 1235,
     /* 2348510 */     GIR_Done,
     /* 2348511 */   // Label 32824: @2348511
     /* 2348511 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2348538), // Rule ID 1236 //
     /* 2348516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2348519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348531 */     // (fminimumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2348531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2348536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348537 */     // GIR_Coverage, 1236,
     /* 2348537 */     GIR_Done,
     /* 2348538 */   // Label 32825: @2348538
     /* 2348538 */   GIM_Reject,
     /* 2348539 */ // Label 32823: @2348539
     /* 2348539 */ GIM_Reject,
     /* 2348540 */ // Label 32803: @2348540
     /* 2348540 */ GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2348633),
     /* 2348545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2348551 */   GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2348578), // Rule ID 1608 //
     /* 2348556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2348559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348571 */     // (fminimumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2348571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2348576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348577 */     // GIR_Coverage, 1608,
     /* 2348577 */     GIR_Done,
     /* 2348578 */   // Label 32827: @2348578
     /* 2348578 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2348605), // Rule ID 1609 //
     /* 2348583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2348586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2348590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2348594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2348598 */     // (fminimumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2348598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2348603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348604 */     // GIR_Coverage, 1609,
     /* 2348604 */     GIR_Done,
     /* 2348605 */   // Label 32828: @2348605
     /* 2348605 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2348632), // Rule ID 1610 //
     /* 2348610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2348613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348625 */     // (fminimumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2348625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2348630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348631 */     // GIR_Coverage, 1610,
     /* 2348631 */     GIR_Done,
     /* 2348632 */   // Label 32829: @2348632
     /* 2348632 */   GIM_Reject,
     /* 2348633 */ // Label 32826: @2348633
     /* 2348633 */ GIM_Reject,
     /* 2348634 */ // Label 32804: @2348634
     /* 2348634 */ GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2348748),
     /* 2348639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2348642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2348645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348657 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2348702), // Rule ID 56600 //
     /* 2348662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2348665 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2348668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2348682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348701 */     // GIR_Coverage, 56600,
     /* 2348701 */     GIR_EraseRootFromParent_Done,
     /* 2348702 */   // Label 32831: @2348702
     /* 2348702 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2348747), // Rule ID 56601 //
     /* 2348707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2348710 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2348713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2348727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348746 */     // GIR_Coverage, 56601,
     /* 2348746 */     GIR_EraseRootFromParent_Done,
     /* 2348747 */   // Label 32832: @2348747
     /* 2348747 */   GIM_Reject,
     /* 2348748 */ // Label 32830: @2348748
     /* 2348748 */ GIM_Reject,
     /* 2348749 */ // Label 32805: @2348749
     /* 2348749 */ GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2348863),
     /* 2348754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2348757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2348760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348772 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2348817), // Rule ID 56612 //
     /* 2348777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2348780 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2348783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2348797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348816 */     // GIR_Coverage, 56612,
     /* 2348816 */     GIR_EraseRootFromParent_Done,
     /* 2348817 */   // Label 32834: @2348817
     /* 2348817 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2348862), // Rule ID 56613 //
     /* 2348822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2348825 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2348828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2348842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348861 */     // GIR_Coverage, 56613,
     /* 2348861 */     GIR_EraseRootFromParent_Done,
     /* 2348862 */   // Label 32835: @2348862
     /* 2348862 */   GIM_Reject,
     /* 2348863 */ // Label 32833: @2348863
     /* 2348863 */ GIM_Reject,
     /* 2348864 */ // Label 32806: @2348864
     /* 2348864 */ GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2348978),
     /* 2348869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2348872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2348875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348887 */   GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2348932), // Rule ID 56630 //
     /* 2348892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2348895 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2348898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2348912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348931 */     // GIR_Coverage, 56630,
     /* 2348931 */     GIR_EraseRootFromParent_Done,
     /* 2348932 */   // Label 32837: @2348932
     /* 2348932 */   GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2348977), // Rule ID 56631 //
     /* 2348937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2348940 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2348943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2348957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348976 */     // GIR_Coverage, 56631,
     /* 2348976 */     GIR_EraseRootFromParent_Done,
     /* 2348977 */   // Label 32838: @2348977
     /* 2348977 */   GIM_Reject,
     /* 2348978 */ // Label 32836: @2348978
     /* 2348978 */ GIM_Reject,
     /* 2348979 */ // Label 32807: @2348979
     /* 2348979 */ GIM_Try, /*On fail goto*//*Label 32839*/ GIMT_Encode4(2349093),
     /* 2348984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2348987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2348990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349002 */   GIM_Try, /*On fail goto*//*Label 32840*/ GIMT_Encode4(2349047), // Rule ID 56606 //
     /* 2349007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349010 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2349013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2349027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349046 */     // GIR_Coverage, 56606,
     /* 2349046 */     GIR_EraseRootFromParent_Done,
     /* 2349047 */   // Label 32840: @2349047
     /* 2349047 */   GIM_Try, /*On fail goto*//*Label 32841*/ GIMT_Encode4(2349092), // Rule ID 56607 //
     /* 2349052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349055 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2349058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2349072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349091 */     // GIR_Coverage, 56607,
     /* 2349091 */     GIR_EraseRootFromParent_Done,
     /* 2349092 */   // Label 32841: @2349092
     /* 2349092 */   GIM_Reject,
     /* 2349093 */ // Label 32839: @2349093
     /* 2349093 */ GIM_Reject,
     /* 2349094 */ // Label 32808: @2349094
     /* 2349094 */ GIM_Try, /*On fail goto*//*Label 32842*/ GIMT_Encode4(2349208),
     /* 2349099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2349102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2349105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349117 */   GIM_Try, /*On fail goto*//*Label 32843*/ GIMT_Encode4(2349162), // Rule ID 56624 //
     /* 2349122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349125 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2349128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2349142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349161 */     // GIR_Coverage, 56624,
     /* 2349161 */     GIR_EraseRootFromParent_Done,
     /* 2349162 */   // Label 32843: @2349162
     /* 2349162 */   GIM_Try, /*On fail goto*//*Label 32844*/ GIMT_Encode4(2349207), // Rule ID 56625 //
     /* 2349167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349170 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2349173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2349187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349206 */     // GIR_Coverage, 56625,
     /* 2349206 */     GIR_EraseRootFromParent_Done,
     /* 2349207 */   // Label 32844: @2349207
     /* 2349207 */   GIM_Reject,
     /* 2349208 */ // Label 32842: @2349208
     /* 2349208 */ GIM_Reject,
     /* 2349209 */ // Label 32809: @2349209
     /* 2349209 */ GIM_Try, /*On fail goto*//*Label 32845*/ GIMT_Encode4(2349323),
     /* 2349214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2349217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2349220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349232 */   GIM_Try, /*On fail goto*//*Label 32846*/ GIMT_Encode4(2349277), // Rule ID 56672 //
     /* 2349237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349240 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2349243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2349257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349276 */     // GIR_Coverage, 56672,
     /* 2349276 */     GIR_EraseRootFromParent_Done,
     /* 2349277 */   // Label 32846: @2349277
     /* 2349277 */   GIM_Try, /*On fail goto*//*Label 32847*/ GIMT_Encode4(2349322), // Rule ID 56673 //
     /* 2349282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349285 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2349288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2349302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349321 */     // GIR_Coverage, 56673,
     /* 2349321 */     GIR_EraseRootFromParent_Done,
     /* 2349322 */   // Label 32847: @2349322
     /* 2349322 */   GIM_Reject,
     /* 2349323 */ // Label 32845: @2349323
     /* 2349323 */ GIM_Reject,
     /* 2349324 */ // Label 32810: @2349324
     /* 2349324 */ GIM_Try, /*On fail goto*//*Label 32848*/ GIMT_Encode4(2349438),
     /* 2349329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2349332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2349335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349347 */   GIM_Try, /*On fail goto*//*Label 32849*/ GIMT_Encode4(2349392), // Rule ID 56618 //
     /* 2349352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349355 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2349372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349391 */     // GIR_Coverage, 56618,
     /* 2349391 */     GIR_EraseRootFromParent_Done,
     /* 2349392 */   // Label 32849: @2349392
     /* 2349392 */   GIM_Try, /*On fail goto*//*Label 32850*/ GIMT_Encode4(2349437), // Rule ID 56619 //
     /* 2349397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349400 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2349417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349436 */     // GIR_Coverage, 56619,
     /* 2349436 */     GIR_EraseRootFromParent_Done,
     /* 2349437 */   // Label 32850: @2349437
     /* 2349437 */   GIM_Reject,
     /* 2349438 */ // Label 32848: @2349438
     /* 2349438 */ GIM_Reject,
     /* 2349439 */ // Label 32811: @2349439
     /* 2349439 */ GIM_Try, /*On fail goto*//*Label 32851*/ GIMT_Encode4(2349553),
     /* 2349444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2349447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2349450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349462 */   GIM_Try, /*On fail goto*//*Label 32852*/ GIMT_Encode4(2349507), // Rule ID 56654 //
     /* 2349467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349470 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2349487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349506 */     // GIR_Coverage, 56654,
     /* 2349506 */     GIR_EraseRootFromParent_Done,
     /* 2349507 */   // Label 32852: @2349507
     /* 2349507 */   GIM_Try, /*On fail goto*//*Label 32853*/ GIMT_Encode4(2349552), // Rule ID 56655 //
     /* 2349512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349515 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2349532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349551 */     // GIR_Coverage, 56655,
     /* 2349551 */     GIR_EraseRootFromParent_Done,
     /* 2349552 */   // Label 32853: @2349552
     /* 2349552 */   GIM_Reject,
     /* 2349553 */ // Label 32851: @2349553
     /* 2349553 */ GIM_Reject,
     /* 2349554 */ // Label 32812: @2349554
     /* 2349554 */ GIM_Try, /*On fail goto*//*Label 32854*/ GIMT_Encode4(2349668),
     /* 2349559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2349562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349577 */   GIM_Try, /*On fail goto*//*Label 32855*/ GIMT_Encode4(2349622), // Rule ID 56678 //
     /* 2349582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349585 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2349588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2349602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349621 */     // GIR_Coverage, 56678,
     /* 2349621 */     GIR_EraseRootFromParent_Done,
     /* 2349622 */   // Label 32855: @2349622
     /* 2349622 */   GIM_Try, /*On fail goto*//*Label 32856*/ GIMT_Encode4(2349667), // Rule ID 56679 //
     /* 2349627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349630 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2349633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2349647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349666 */     // GIR_Coverage, 56679,
     /* 2349666 */     GIR_EraseRootFromParent_Done,
     /* 2349667 */   // Label 32856: @2349667
     /* 2349667 */   GIM_Reject,
     /* 2349668 */ // Label 32854: @2349668
     /* 2349668 */ GIM_Reject,
     /* 2349669 */ // Label 32813: @2349669
     /* 2349669 */ GIM_Try, /*On fail goto*//*Label 32857*/ GIMT_Encode4(2349783),
     /* 2349674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2349677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2349680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349692 */   GIM_Try, /*On fail goto*//*Label 32858*/ GIMT_Encode4(2349737), // Rule ID 56636 //
     /* 2349697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2349700 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2349703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2349717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349736 */     // GIR_Coverage, 56636,
     /* 2349736 */     GIR_EraseRootFromParent_Done,
     /* 2349737 */   // Label 32858: @2349737
     /* 2349737 */   GIM_Try, /*On fail goto*//*Label 32859*/ GIMT_Encode4(2349782), // Rule ID 56637 //
     /* 2349742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2349745 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2349748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2349762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349781 */     // GIR_Coverage, 56637,
     /* 2349781 */     GIR_EraseRootFromParent_Done,
     /* 2349782 */   // Label 32859: @2349782
     /* 2349782 */   GIM_Reject,
     /* 2349783 */ // Label 32857: @2349783
     /* 2349783 */ GIM_Reject,
     /* 2349784 */ // Label 32814: @2349784
     /* 2349784 */ GIM_Try, /*On fail goto*//*Label 32860*/ GIMT_Encode4(2349898),
     /* 2349789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2349792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2349795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349807 */   GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2349852), // Rule ID 56660 //
     /* 2349812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2349815 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2349818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2349832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349851 */     // GIR_Coverage, 56660,
     /* 2349851 */     GIR_EraseRootFromParent_Done,
     /* 2349852 */   // Label 32861: @2349852
     /* 2349852 */   GIM_Try, /*On fail goto*//*Label 32862*/ GIMT_Encode4(2349897), // Rule ID 56661 //
     /* 2349857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2349860 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2349863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2349877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349896 */     // GIR_Coverage, 56661,
     /* 2349896 */     GIR_EraseRootFromParent_Done,
     /* 2349897 */   // Label 32862: @2349897
     /* 2349897 */   GIM_Reject,
     /* 2349898 */ // Label 32860: @2349898
     /* 2349898 */ GIM_Reject,
     /* 2349899 */ // Label 32815: @2349899
     /* 2349899 */ GIM_Try, /*On fail goto*//*Label 32863*/ GIMT_Encode4(2350013),
     /* 2349904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2349907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2349910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349922 */   GIM_Try, /*On fail goto*//*Label 32864*/ GIMT_Encode4(2349967), // Rule ID 56684 //
     /* 2349927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2349930 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2349933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2349947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349966 */     // GIR_Coverage, 56684,
     /* 2349966 */     GIR_EraseRootFromParent_Done,
     /* 2349967 */   // Label 32864: @2349967
     /* 2349967 */   GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2350012), // Rule ID 56685 //
     /* 2349972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2349975 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2349978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2349992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350011 */     // GIR_Coverage, 56685,
     /* 2350011 */     GIR_EraseRootFromParent_Done,
     /* 2350012 */   // Label 32865: @2350012
     /* 2350012 */   GIM_Reject,
     /* 2350013 */ // Label 32863: @2350013
     /* 2350013 */ GIM_Reject,
     /* 2350014 */ // Label 32816: @2350014
     /* 2350014 */ GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2350128),
     /* 2350019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2350022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2350025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350037 */   GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2350082), // Rule ID 56642 //
     /* 2350042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350045 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2350048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2350062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350081 */     // GIR_Coverage, 56642,
     /* 2350081 */     GIR_EraseRootFromParent_Done,
     /* 2350082 */   // Label 32867: @2350082
     /* 2350082 */   GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2350127), // Rule ID 56643 //
     /* 2350087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350090 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2350093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2350107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350126 */     // GIR_Coverage, 56643,
     /* 2350126 */     GIR_EraseRootFromParent_Done,
     /* 2350127 */   // Label 32868: @2350127
     /* 2350127 */   GIM_Reject,
     /* 2350128 */ // Label 32866: @2350128
     /* 2350128 */ GIM_Reject,
     /* 2350129 */ // Label 32817: @2350129
     /* 2350129 */ GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2350243),
     /* 2350134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2350137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2350140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350152 */   GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2350197), // Rule ID 56666 //
     /* 2350157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350160 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2350177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350196 */     // GIR_Coverage, 56666,
     /* 2350196 */     GIR_EraseRootFromParent_Done,
     /* 2350197 */   // Label 32870: @2350197
     /* 2350197 */   GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2350242), // Rule ID 56667 //
     /* 2350202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350205 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2350222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350241 */     // GIR_Coverage, 56667,
     /* 2350241 */     GIR_EraseRootFromParent_Done,
     /* 2350242 */   // Label 32871: @2350242
     /* 2350242 */   GIM_Reject,
     /* 2350243 */ // Label 32869: @2350243
     /* 2350243 */ GIM_Reject,
     /* 2350244 */ // Label 32818: @2350244
     /* 2350244 */ GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2350358),
     /* 2350249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2350252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2350255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350267 */   GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2350312), // Rule ID 56648 //
     /* 2350272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350275 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2350292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350311 */     // GIR_Coverage, 56648,
     /* 2350311 */     GIR_EraseRootFromParent_Done,
     /* 2350312 */   // Label 32873: @2350312
     /* 2350312 */   GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2350357), // Rule ID 56649 //
     /* 2350317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350320 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2350337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350356 */     // GIR_Coverage, 56649,
     /* 2350356 */     GIR_EraseRootFromParent_Done,
     /* 2350357 */   // Label 32874: @2350357
     /* 2350357 */   GIM_Reject,
     /* 2350358 */ // Label 32872: @2350358
     /* 2350358 */ GIM_Reject,
     /* 2350359 */ // Label 32819: @2350359
     /* 2350359 */ GIM_Reject,
     /* 2350360 */ // Label 79: @2350360
     /* 2350360 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32893*/ GIMT_Encode4(2352444),
     /* 2350371 */ /*GILLT_s16*//*Label 32875*/ GIMT_Encode4(2350491),
     /* 2350375 */ /*GILLT_s32*//*Label 32876*/ GIMT_Encode4(2350558),
     /* 2350379 */ /*GILLT_s64*//*Label 32877*/ GIMT_Encode4(2350625), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350391 */ /*GILLT_nxv1s16*//*Label 32878*/ GIMT_Encode4(2350719),
     /* 2350395 */ /*GILLT_nxv1s32*//*Label 32879*/ GIMT_Encode4(2350834),
     /* 2350399 */ /*GILLT_nxv1s64*//*Label 32880*/ GIMT_Encode4(2350949), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350411 */ /*GILLT_nxv2s16*//*Label 32881*/ GIMT_Encode4(2351064),
     /* 2350415 */ /*GILLT_nxv2s32*//*Label 32882*/ GIMT_Encode4(2351179),
     /* 2350419 */ /*GILLT_nxv2s64*//*Label 32883*/ GIMT_Encode4(2351294), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350431 */ /*GILLT_nxv4s16*//*Label 32884*/ GIMT_Encode4(2351409),
     /* 2350435 */ /*GILLT_nxv4s32*//*Label 32885*/ GIMT_Encode4(2351524),
     /* 2350439 */ /*GILLT_nxv4s64*//*Label 32886*/ GIMT_Encode4(2351639), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350451 */ /*GILLT_nxv8s16*//*Label 32887*/ GIMT_Encode4(2351754),
     /* 2350455 */ /*GILLT_nxv8s32*//*Label 32888*/ GIMT_Encode4(2351869),
     /* 2350459 */ /*GILLT_nxv8s64*//*Label 32889*/ GIMT_Encode4(2351984), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350471 */ /*GILLT_nxv16s16*//*Label 32890*/ GIMT_Encode4(2352099),
     /* 2350475 */ /*GILLT_nxv16s32*//*Label 32891*/ GIMT_Encode4(2352214), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2350487 */ /*GILLT_nxv32s16*//*Label 32892*/ GIMT_Encode4(2352329),
     /* 2350491 */ // Label 32875: @2350491
     /* 2350491 */ GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2350557),
     /* 2350496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2350499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2350502 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2350529), // Rule ID 1950 //
     /* 2350507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2350510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2350522 */     // (fmaximumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2350522 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2350527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350528 */     // GIR_Coverage, 1950,
     /* 2350528 */     GIR_Done,
     /* 2350529 */   // Label 32895: @2350529
     /* 2350529 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2350556), // Rule ID 1951 //
     /* 2350534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2350537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2350549 */     // (fmaximumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2350549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2350554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350555 */     // GIR_Coverage, 1951,
     /* 2350555 */     GIR_Done,
     /* 2350556 */   // Label 32896: @2350556
     /* 2350556 */   GIM_Reject,
     /* 2350557 */ // Label 32894: @2350557
     /* 2350557 */ GIM_Reject,
     /* 2350558 */ // Label 32876: @2350558
     /* 2350558 */ GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2350624),
     /* 2350563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2350566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2350569 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2350596), // Rule ID 1237 //
     /* 2350574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2350577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2350581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2350585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2350589 */     // (fmaximumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2350589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2350594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350595 */     // GIR_Coverage, 1237,
     /* 2350595 */     GIR_Done,
     /* 2350596 */   // Label 32898: @2350596
     /* 2350596 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2350623), // Rule ID 1238 //
     /* 2350601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2350604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2350608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2350612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2350616 */     // (fmaximumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2350616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2350621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350622 */     // GIR_Coverage, 1238,
     /* 2350622 */     GIR_Done,
     /* 2350623 */   // Label 32899: @2350623
     /* 2350623 */   GIM_Reject,
     /* 2350624 */ // Label 32897: @2350624
     /* 2350624 */ GIM_Reject,
     /* 2350625 */ // Label 32877: @2350625
     /* 2350625 */ GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2350718),
     /* 2350630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2350633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2350636 */   GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2350663), // Rule ID 1611 //
     /* 2350641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2350644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2350648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2350652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2350656 */     // (fmaximumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2350656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2350661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350662 */     // GIR_Coverage, 1611,
     /* 2350662 */     GIR_Done,
     /* 2350663 */   // Label 32901: @2350663
     /* 2350663 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2350690), // Rule ID 1612 //
     /* 2350668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2350671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2350675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2350679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2350683 */     // (fmaximumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2350683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2350688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350689 */     // GIR_Coverage, 1612,
     /* 2350689 */     GIR_Done,
     /* 2350690 */   // Label 32902: @2350690
     /* 2350690 */   GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2350717), // Rule ID 1613 //
     /* 2350695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2350698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350710 */     // (fmaximumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2350710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2350715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350716 */     // GIR_Coverage, 1613,
     /* 2350716 */     GIR_Done,
     /* 2350717 */   // Label 32903: @2350717
     /* 2350717 */   GIM_Reject,
     /* 2350718 */ // Label 32900: @2350718
     /* 2350718 */ GIM_Reject,
     /* 2350719 */ // Label 32878: @2350719
     /* 2350719 */ GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2350833),
     /* 2350724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2350727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2350730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350742 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2350787), // Rule ID 56690 //
     /* 2350747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350750 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2350767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350786 */     // GIR_Coverage, 56690,
     /* 2350786 */     GIR_EraseRootFromParent_Done,
     /* 2350787 */   // Label 32905: @2350787
     /* 2350787 */   GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2350832), // Rule ID 56691 //
     /* 2350792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350795 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2350812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350831 */     // GIR_Coverage, 56691,
     /* 2350831 */     GIR_EraseRootFromParent_Done,
     /* 2350832 */   // Label 32906: @2350832
     /* 2350832 */   GIM_Reject,
     /* 2350833 */ // Label 32904: @2350833
     /* 2350833 */ GIM_Reject,
     /* 2350834 */ // Label 32879: @2350834
     /* 2350834 */ GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2350948),
     /* 2350839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2350842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2350845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350857 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2350902), // Rule ID 56702 //
     /* 2350862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350865 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2350882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350901 */     // GIR_Coverage, 56702,
     /* 2350901 */     GIR_EraseRootFromParent_Done,
     /* 2350902 */   // Label 32908: @2350902
     /* 2350902 */   GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2350947), // Rule ID 56703 //
     /* 2350907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350910 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2350927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350946 */     // GIR_Coverage, 56703,
     /* 2350946 */     GIR_EraseRootFromParent_Done,
     /* 2350947 */   // Label 32909: @2350947
     /* 2350947 */   GIM_Reject,
     /* 2350948 */ // Label 32907: @2350948
     /* 2350948 */ GIM_Reject,
     /* 2350949 */ // Label 32880: @2350949
     /* 2350949 */ GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2351063),
     /* 2350954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2350957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2350960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350972 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2351017), // Rule ID 56720 //
     /* 2350977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2350980 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2350997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351016 */     // GIR_Coverage, 56720,
     /* 2351016 */     GIR_EraseRootFromParent_Done,
     /* 2351017 */   // Label 32911: @2351017
     /* 2351017 */   GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2351062), // Rule ID 56721 //
     /* 2351022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2351025 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2351028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2351042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351061 */     // GIR_Coverage, 56721,
     /* 2351061 */     GIR_EraseRootFromParent_Done,
     /* 2351062 */   // Label 32912: @2351062
     /* 2351062 */   GIM_Reject,
     /* 2351063 */ // Label 32910: @2351063
     /* 2351063 */ GIM_Reject,
     /* 2351064 */ // Label 32881: @2351064
     /* 2351064 */ GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2351178),
     /* 2351069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2351072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2351075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351087 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2351132), // Rule ID 56696 //
     /* 2351092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351095 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2351098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2351112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351131 */     // GIR_Coverage, 56696,
     /* 2351131 */     GIR_EraseRootFromParent_Done,
     /* 2351132 */   // Label 32914: @2351132
     /* 2351132 */   GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2351177), // Rule ID 56697 //
     /* 2351137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351140 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2351143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2351157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351176 */     // GIR_Coverage, 56697,
     /* 2351176 */     GIR_EraseRootFromParent_Done,
     /* 2351177 */   // Label 32915: @2351177
     /* 2351177 */   GIM_Reject,
     /* 2351178 */ // Label 32913: @2351178
     /* 2351178 */ GIM_Reject,
     /* 2351179 */ // Label 32882: @2351179
     /* 2351179 */ GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2351293),
     /* 2351184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2351187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2351190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351202 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2351247), // Rule ID 56714 //
     /* 2351207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2351210 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2351213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2351227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351246 */     // GIR_Coverage, 56714,
     /* 2351246 */     GIR_EraseRootFromParent_Done,
     /* 2351247 */   // Label 32917: @2351247
     /* 2351247 */   GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2351292), // Rule ID 56715 //
     /* 2351252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2351255 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2351258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2351272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351291 */     // GIR_Coverage, 56715,
     /* 2351291 */     GIR_EraseRootFromParent_Done,
     /* 2351292 */   // Label 32918: @2351292
     /* 2351292 */   GIM_Reject,
     /* 2351293 */ // Label 32916: @2351293
     /* 2351293 */ GIM_Reject,
     /* 2351294 */ // Label 32883: @2351294
     /* 2351294 */ GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2351408),
     /* 2351299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2351302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2351305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351317 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2351362), // Rule ID 56762 //
     /* 2351322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2351325 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2351328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2351342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351361 */     // GIR_Coverage, 56762,
     /* 2351361 */     GIR_EraseRootFromParent_Done,
     /* 2351362 */   // Label 32920: @2351362
     /* 2351362 */   GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2351407), // Rule ID 56763 //
     /* 2351367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2351370 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2351373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2351387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351406 */     // GIR_Coverage, 56763,
     /* 2351406 */     GIR_EraseRootFromParent_Done,
     /* 2351407 */   // Label 32921: @2351407
     /* 2351407 */   GIM_Reject,
     /* 2351408 */ // Label 32919: @2351408
     /* 2351408 */ GIM_Reject,
     /* 2351409 */ // Label 32884: @2351409
     /* 2351409 */ GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2351523),
     /* 2351414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2351417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2351420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351432 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2351477), // Rule ID 56708 //
     /* 2351437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351440 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2351457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351476 */     // GIR_Coverage, 56708,
     /* 2351476 */     GIR_EraseRootFromParent_Done,
     /* 2351477 */   // Label 32923: @2351477
     /* 2351477 */   GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2351522), // Rule ID 56709 //
     /* 2351482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351485 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2351502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351521 */     // GIR_Coverage, 56709,
     /* 2351521 */     GIR_EraseRootFromParent_Done,
     /* 2351522 */   // Label 32924: @2351522
     /* 2351522 */   GIM_Reject,
     /* 2351523 */ // Label 32922: @2351523
     /* 2351523 */ GIM_Reject,
     /* 2351524 */ // Label 32885: @2351524
     /* 2351524 */ GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2351638),
     /* 2351529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2351532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2351535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351547 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2351592), // Rule ID 56744 //
     /* 2351552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2351555 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2351572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351591 */     // GIR_Coverage, 56744,
     /* 2351591 */     GIR_EraseRootFromParent_Done,
     /* 2351592 */   // Label 32926: @2351592
     /* 2351592 */   GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2351637), // Rule ID 56745 //
     /* 2351597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2351600 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2351617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351636 */     // GIR_Coverage, 56745,
     /* 2351636 */     GIR_EraseRootFromParent_Done,
     /* 2351637 */   // Label 32927: @2351637
     /* 2351637 */   GIM_Reject,
     /* 2351638 */ // Label 32925: @2351638
     /* 2351638 */ GIM_Reject,
     /* 2351639 */ // Label 32886: @2351639
     /* 2351639 */ GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2351753),
     /* 2351644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2351647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2351650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351662 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2351707), // Rule ID 56768 //
     /* 2351667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2351670 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2351687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351706 */     // GIR_Coverage, 56768,
     /* 2351706 */     GIR_EraseRootFromParent_Done,
     /* 2351707 */   // Label 32929: @2351707
     /* 2351707 */   GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2351752), // Rule ID 56769 //
     /* 2351712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2351715 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2351732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351751 */     // GIR_Coverage, 56769,
     /* 2351751 */     GIR_EraseRootFromParent_Done,
     /* 2351752 */   // Label 32930: @2351752
     /* 2351752 */   GIM_Reject,
     /* 2351753 */ // Label 32928: @2351753
     /* 2351753 */ GIM_Reject,
     /* 2351754 */ // Label 32887: @2351754
     /* 2351754 */ GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2351868),
     /* 2351759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2351762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351777 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2351822), // Rule ID 56726 //
     /* 2351782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351785 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2351802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351821 */     // GIR_Coverage, 56726,
     /* 2351821 */     GIR_EraseRootFromParent_Done,
     /* 2351822 */   // Label 32932: @2351822
     /* 2351822 */   GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2351867), // Rule ID 56727 //
     /* 2351827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351830 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2351847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351866 */     // GIR_Coverage, 56727,
     /* 2351866 */     GIR_EraseRootFromParent_Done,
     /* 2351867 */   // Label 32933: @2351867
     /* 2351867 */   GIM_Reject,
     /* 2351868 */ // Label 32931: @2351868
     /* 2351868 */ GIM_Reject,
     /* 2351869 */ // Label 32888: @2351869
     /* 2351869 */ GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2351983),
     /* 2351874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2351877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351892 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2351937), // Rule ID 56750 //
     /* 2351897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2351900 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2351917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351936 */     // GIR_Coverage, 56750,
     /* 2351936 */     GIR_EraseRootFromParent_Done,
     /* 2351937 */   // Label 32935: @2351937
     /* 2351937 */   GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2351982), // Rule ID 56751 //
     /* 2351942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2351945 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2351962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351981 */     // GIR_Coverage, 56751,
     /* 2351981 */     GIR_EraseRootFromParent_Done,
     /* 2351982 */   // Label 32936: @2351982
     /* 2351982 */   GIM_Reject,
     /* 2351983 */ // Label 32934: @2351983
     /* 2351983 */ GIM_Reject,
     /* 2351984 */ // Label 32889: @2351984
     /* 2351984 */ GIM_Try, /*On fail goto*//*Label 32937*/ GIMT_Encode4(2352098),
     /* 2351989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2351992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2351995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352007 */   GIM_Try, /*On fail goto*//*Label 32938*/ GIMT_Encode4(2352052), // Rule ID 56774 //
     /* 2352012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2352015 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2352018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2352032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352051 */     // GIR_Coverage, 56774,
     /* 2352051 */     GIR_EraseRootFromParent_Done,
     /* 2352052 */   // Label 32938: @2352052
     /* 2352052 */   GIM_Try, /*On fail goto*//*Label 32939*/ GIMT_Encode4(2352097), // Rule ID 56775 //
     /* 2352057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2352060 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2352063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2352077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352096 */     // GIR_Coverage, 56775,
     /* 2352096 */     GIR_EraseRootFromParent_Done,
     /* 2352097 */   // Label 32939: @2352097
     /* 2352097 */   GIM_Reject,
     /* 2352098 */ // Label 32937: @2352098
     /* 2352098 */ GIM_Reject,
     /* 2352099 */ // Label 32890: @2352099
     /* 2352099 */ GIM_Try, /*On fail goto*//*Label 32940*/ GIMT_Encode4(2352213),
     /* 2352104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2352107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2352110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352122 */   GIM_Try, /*On fail goto*//*Label 32941*/ GIMT_Encode4(2352167), // Rule ID 56732 //
     /* 2352127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2352130 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2352133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2352147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352166 */     // GIR_Coverage, 56732,
     /* 2352166 */     GIR_EraseRootFromParent_Done,
     /* 2352167 */   // Label 32941: @2352167
     /* 2352167 */   GIM_Try, /*On fail goto*//*Label 32942*/ GIMT_Encode4(2352212), // Rule ID 56733 //
     /* 2352172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2352175 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2352178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2352192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352211 */     // GIR_Coverage, 56733,
     /* 2352211 */     GIR_EraseRootFromParent_Done,
     /* 2352212 */   // Label 32942: @2352212
     /* 2352212 */   GIM_Reject,
     /* 2352213 */ // Label 32940: @2352213
     /* 2352213 */ GIM_Reject,
     /* 2352214 */ // Label 32891: @2352214
     /* 2352214 */ GIM_Try, /*On fail goto*//*Label 32943*/ GIMT_Encode4(2352328),
     /* 2352219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2352222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2352225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352237 */   GIM_Try, /*On fail goto*//*Label 32944*/ GIMT_Encode4(2352282), // Rule ID 56756 //
     /* 2352242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2352245 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2352262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352281 */     // GIR_Coverage, 56756,
     /* 2352281 */     GIR_EraseRootFromParent_Done,
     /* 2352282 */   // Label 32944: @2352282
     /* 2352282 */   GIM_Try, /*On fail goto*//*Label 32945*/ GIMT_Encode4(2352327), // Rule ID 56757 //
     /* 2352287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2352290 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2352307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352326 */     // GIR_Coverage, 56757,
     /* 2352326 */     GIR_EraseRootFromParent_Done,
     /* 2352327 */   // Label 32945: @2352327
     /* 2352327 */   GIM_Reject,
     /* 2352328 */ // Label 32943: @2352328
     /* 2352328 */ GIM_Reject,
     /* 2352329 */ // Label 32892: @2352329
     /* 2352329 */ GIM_Try, /*On fail goto*//*Label 32946*/ GIMT_Encode4(2352443),
     /* 2352334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2352337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2352340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352352 */   GIM_Try, /*On fail goto*//*Label 32947*/ GIMT_Encode4(2352397), // Rule ID 56738 //
     /* 2352357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2352360 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2352377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352396 */     // GIR_Coverage, 56738,
     /* 2352396 */     GIR_EraseRootFromParent_Done,
     /* 2352397 */   // Label 32947: @2352397
     /* 2352397 */   GIM_Try, /*On fail goto*//*Label 32948*/ GIMT_Encode4(2352442), // Rule ID 56739 //
     /* 2352402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2352405 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2352408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2352422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352441 */     // GIR_Coverage, 56739,
     /* 2352441 */     GIR_EraseRootFromParent_Done,
     /* 2352442 */   // Label 32948: @2352442
     /* 2352442 */   GIM_Reject,
     /* 2352443 */ // Label 32946: @2352443
     /* 2352443 */ GIM_Reject,
     /* 2352444 */ // Label 32893: @2352444
     /* 2352444 */ GIM_Reject,
     /* 2352445 */ // Label 80: @2352445
     /* 2352445 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32973*/ GIMT_Encode4(2355220),
     /* 2352456 */ /*GILLT_s32*//*Label 32949*/ GIMT_Encode4(2352580),
     /* 2352460 */ /*GILLT_s64*//*Label 32950*/ GIMT_Encode4(2352635), GIMT_Encode4(0),
     /* 2352468 */ /*GILLT_nxv1s8*//*Label 32951*/ GIMT_Encode4(2352690),
     /* 2352472 */ /*GILLT_nxv1s16*//*Label 32952*/ GIMT_Encode4(2352805),
     /* 2352476 */ /*GILLT_nxv1s32*//*Label 32953*/ GIMT_Encode4(2352920),
     /* 2352480 */ /*GILLT_nxv1s64*//*Label 32954*/ GIMT_Encode4(2353035), GIMT_Encode4(0),
     /* 2352488 */ /*GILLT_nxv2s8*//*Label 32955*/ GIMT_Encode4(2353150),
     /* 2352492 */ /*GILLT_nxv2s16*//*Label 32956*/ GIMT_Encode4(2353265),
     /* 2352496 */ /*GILLT_nxv2s32*//*Label 32957*/ GIMT_Encode4(2353380),
     /* 2352500 */ /*GILLT_nxv2s64*//*Label 32958*/ GIMT_Encode4(2353495), GIMT_Encode4(0),
     /* 2352508 */ /*GILLT_nxv4s8*//*Label 32959*/ GIMT_Encode4(2353610),
     /* 2352512 */ /*GILLT_nxv4s16*//*Label 32960*/ GIMT_Encode4(2353725),
     /* 2352516 */ /*GILLT_nxv4s32*//*Label 32961*/ GIMT_Encode4(2353840),
     /* 2352520 */ /*GILLT_nxv4s64*//*Label 32962*/ GIMT_Encode4(2353955), GIMT_Encode4(0),
     /* 2352528 */ /*GILLT_nxv8s8*//*Label 32963*/ GIMT_Encode4(2354070),
     /* 2352532 */ /*GILLT_nxv8s16*//*Label 32964*/ GIMT_Encode4(2354185),
     /* 2352536 */ /*GILLT_nxv8s32*//*Label 32965*/ GIMT_Encode4(2354300),
     /* 2352540 */ /*GILLT_nxv8s64*//*Label 32966*/ GIMT_Encode4(2354415), GIMT_Encode4(0),
     /* 2352548 */ /*GILLT_nxv16s8*//*Label 32967*/ GIMT_Encode4(2354530),
     /* 2352552 */ /*GILLT_nxv16s16*//*Label 32968*/ GIMT_Encode4(2354645),
     /* 2352556 */ /*GILLT_nxv16s32*//*Label 32969*/ GIMT_Encode4(2354760), GIMT_Encode4(0),
     /* 2352564 */ /*GILLT_nxv32s8*//*Label 32970*/ GIMT_Encode4(2354875),
     /* 2352568 */ /*GILLT_nxv32s16*//*Label 32971*/ GIMT_Encode4(2354990), GIMT_Encode4(0),
     /* 2352576 */ /*GILLT_nxv64s8*//*Label 32972*/ GIMT_Encode4(2355105),
     /* 2352580 */ // Label 32949: @2352580
     /* 2352580 */ GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2352634),
     /* 2352585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352603 */   GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2352618), // Rule ID 64450 //
     /* 2352608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2352611 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2352616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352617 */     // GIR_Coverage, 64450,
     /* 2352617 */     GIR_Done,
     /* 2352618 */   // Label 32975: @2352618
     /* 2352618 */   GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2352633), // Rule ID 2419 //
     /* 2352623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2352626 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2352626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2352631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352632 */     // GIR_Coverage, 2419,
     /* 2352632 */     GIR_Done,
     /* 2352633 */   // Label 32976: @2352633
     /* 2352633 */   GIM_Reject,
     /* 2352634 */ // Label 32974: @2352634
     /* 2352634 */ GIM_Reject,
     /* 2352635 */ // Label 32950: @2352635
     /* 2352635 */ GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2352689),
     /* 2352640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2352643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352658 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2352673), // Rule ID 64449 //
     /* 2352663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2352666 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352666 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2352671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352672 */     // GIR_Coverage, 64449,
     /* 2352672 */     GIR_Done,
     /* 2352673 */   // Label 32978: @2352673
     /* 2352673 */   GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2352688), // Rule ID 2418 //
     /* 2352678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2352681 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2352681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2352686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352687 */     // GIR_Coverage, 2418,
     /* 2352687 */     GIR_Done,
     /* 2352688 */   // Label 32979: @2352688
     /* 2352688 */   GIM_Reject,
     /* 2352689 */ // Label 32977: @2352689
     /* 2352689 */ GIM_Reject,
     /* 2352690 */ // Label 32951: @2352690
     /* 2352690 */ GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2352804),
     /* 2352695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2352698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2352701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352713 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2352758), // Rule ID 50482 //
     /* 2352718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352721 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2352738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352757 */     // GIR_Coverage, 50482,
     /* 2352757 */     GIR_EraseRootFromParent_Done,
     /* 2352758 */   // Label 32981: @2352758
     /* 2352758 */   GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2352803), // Rule ID 50483 //
     /* 2352763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352766 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2352783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352802 */     // GIR_Coverage, 50483,
     /* 2352802 */     GIR_EraseRootFromParent_Done,
     /* 2352803 */   // Label 32982: @2352803
     /* 2352803 */   GIM_Reject,
     /* 2352804 */ // Label 32980: @2352804
     /* 2352804 */ GIM_Reject,
     /* 2352805 */ // Label 32952: @2352805
     /* 2352805 */ GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2352919),
     /* 2352810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2352816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352828 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2352873), // Rule ID 50494 //
     /* 2352833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352836 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2352853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352872 */     // GIR_Coverage, 50494,
     /* 2352872 */     GIR_EraseRootFromParent_Done,
     /* 2352873 */   // Label 32984: @2352873
     /* 2352873 */   GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2352918), // Rule ID 50495 //
     /* 2352878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352881 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2352898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352917 */     // GIR_Coverage, 50495,
     /* 2352917 */     GIR_EraseRootFromParent_Done,
     /* 2352918 */   // Label 32985: @2352918
     /* 2352918 */   GIM_Reject,
     /* 2352919 */ // Label 32983: @2352919
     /* 2352919 */ GIM_Reject,
     /* 2352920 */ // Label 32953: @2352920
     /* 2352920 */ GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2353034),
     /* 2352925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2352931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352943 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2352988), // Rule ID 50502 //
     /* 2352948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352951 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2352968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352987 */     // GIR_Coverage, 50502,
     /* 2352987 */     GIR_EraseRootFromParent_Done,
     /* 2352988 */   // Label 32987: @2352988
     /* 2352988 */   GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2353033), // Rule ID 50503 //
     /* 2352993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352996 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2353013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353032 */     // GIR_Coverage, 50503,
     /* 2353032 */     GIR_EraseRootFromParent_Done,
     /* 2353033 */   // Label 32988: @2353033
     /* 2353033 */   GIM_Reject,
     /* 2353034 */ // Label 32986: @2353034
     /* 2353034 */ GIM_Reject,
     /* 2353035 */ // Label 32954: @2353035
     /* 2353035 */ GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2353149),
     /* 2353040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2353043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2353046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353058 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2353103), // Rule ID 50518 //
     /* 2353063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353066 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2353083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353102 */     // GIR_Coverage, 50518,
     /* 2353102 */     GIR_EraseRootFromParent_Done,
     /* 2353103 */   // Label 32990: @2353103
     /* 2353103 */   GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2353148), // Rule ID 50519 //
     /* 2353108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353111 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2353114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2353128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353147 */     // GIR_Coverage, 50519,
     /* 2353147 */     GIR_EraseRootFromParent_Done,
     /* 2353148 */   // Label 32991: @2353148
     /* 2353148 */   GIM_Reject,
     /* 2353149 */ // Label 32989: @2353149
     /* 2353149 */ GIM_Reject,
     /* 2353150 */ // Label 32955: @2353150
     /* 2353150 */ GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2353264),
     /* 2353155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2353158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2353161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353173 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2353218), // Rule ID 50486 //
     /* 2353178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353181 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2353184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2353198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353217 */     // GIR_Coverage, 50486,
     /* 2353217 */     GIR_EraseRootFromParent_Done,
     /* 2353218 */   // Label 32993: @2353218
     /* 2353218 */   GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2353263), // Rule ID 50487 //
     /* 2353223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353226 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2353229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2353243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353262 */     // GIR_Coverage, 50487,
     /* 2353262 */     GIR_EraseRootFromParent_Done,
     /* 2353263 */   // Label 32994: @2353263
     /* 2353263 */   GIM_Reject,
     /* 2353264 */ // Label 32992: @2353264
     /* 2353264 */ GIM_Reject,
     /* 2353265 */ // Label 32956: @2353265
     /* 2353265 */ GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2353379),
     /* 2353270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2353273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2353276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353288 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2353333), // Rule ID 50498 //
     /* 2353293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353296 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2353313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353332 */     // GIR_Coverage, 50498,
     /* 2353332 */     GIR_EraseRootFromParent_Done,
     /* 2353333 */   // Label 32996: @2353333
     /* 2353333 */   GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2353378), // Rule ID 50499 //
     /* 2353338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353341 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2353344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2353358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353377 */     // GIR_Coverage, 50499,
     /* 2353377 */     GIR_EraseRootFromParent_Done,
     /* 2353378 */   // Label 32997: @2353378
     /* 2353378 */   GIM_Reject,
     /* 2353379 */ // Label 32995: @2353379
     /* 2353379 */ GIM_Reject,
     /* 2353380 */ // Label 32957: @2353380
     /* 2353380 */ GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2353494),
     /* 2353385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2353391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353403 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2353448), // Rule ID 50514 //
     /* 2353408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353411 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2353428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353447 */     // GIR_Coverage, 50514,
     /* 2353447 */     GIR_EraseRootFromParent_Done,
     /* 2353448 */   // Label 32999: @2353448
     /* 2353448 */   GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2353493), // Rule ID 50515 //
     /* 2353453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353456 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2353473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353492 */     // GIR_Coverage, 50515,
     /* 2353492 */     GIR_EraseRootFromParent_Done,
     /* 2353493 */   // Label 33000: @2353493
     /* 2353493 */   GIM_Reject,
     /* 2353494 */ // Label 32998: @2353494
     /* 2353494 */ GIM_Reject,
     /* 2353495 */ // Label 32958: @2353495
     /* 2353495 */ GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2353609),
     /* 2353500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2353506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353518 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2353563), // Rule ID 50558 //
     /* 2353523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353526 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2353543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353562 */     // GIR_Coverage, 50558,
     /* 2353562 */     GIR_EraseRootFromParent_Done,
     /* 2353563 */   // Label 33002: @2353563
     /* 2353563 */   GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2353608), // Rule ID 50559 //
     /* 2353568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353571 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2353588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353607 */     // GIR_Coverage, 50559,
     /* 2353607 */     GIR_EraseRootFromParent_Done,
     /* 2353608 */   // Label 33003: @2353608
     /* 2353608 */   GIM_Reject,
     /* 2353609 */ // Label 33001: @2353609
     /* 2353609 */ GIM_Reject,
     /* 2353610 */ // Label 32959: @2353610
     /* 2353610 */ GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2353724),
     /* 2353615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2353618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2353621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353633 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2353678), // Rule ID 50490 //
     /* 2353638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353641 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2353658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353677 */     // GIR_Coverage, 50490,
     /* 2353677 */     GIR_EraseRootFromParent_Done,
     /* 2353678 */   // Label 33005: @2353678
     /* 2353678 */   GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2353723), // Rule ID 50491 //
     /* 2353683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353686 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2353703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353722 */     // GIR_Coverage, 50491,
     /* 2353722 */     GIR_EraseRootFromParent_Done,
     /* 2353723 */   // Label 33006: @2353723
     /* 2353723 */   GIM_Reject,
     /* 2353724 */ // Label 33004: @2353724
     /* 2353724 */ GIM_Reject,
     /* 2353725 */ // Label 32960: @2353725
     /* 2353725 */ GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2353839),
     /* 2353730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2353733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2353736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353748 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2353793), // Rule ID 50510 //
     /* 2353753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353756 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2353773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353792 */     // GIR_Coverage, 50510,
     /* 2353792 */     GIR_EraseRootFromParent_Done,
     /* 2353793 */   // Label 33008: @2353793
     /* 2353793 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2353838), // Rule ID 50511 //
     /* 2353798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353801 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2353818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353837 */     // GIR_Coverage, 50511,
     /* 2353837 */     GIR_EraseRootFromParent_Done,
     /* 2353838 */   // Label 33009: @2353838
     /* 2353838 */   GIM_Reject,
     /* 2353839 */ // Label 33007: @2353839
     /* 2353839 */ GIM_Reject,
     /* 2353840 */ // Label 32961: @2353840
     /* 2353840 */ GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2353954),
     /* 2353845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2353848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2353851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353863 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2353908), // Rule ID 50546 //
     /* 2353868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353871 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2353888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353907 */     // GIR_Coverage, 50546,
     /* 2353907 */     GIR_EraseRootFromParent_Done,
     /* 2353908 */   // Label 33011: @2353908
     /* 2353908 */   GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2353953), // Rule ID 50547 //
     /* 2353913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353916 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2353933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353952 */     // GIR_Coverage, 50547,
     /* 2353952 */     GIR_EraseRootFromParent_Done,
     /* 2353953 */   // Label 33012: @2353953
     /* 2353953 */   GIM_Reject,
     /* 2353954 */ // Label 33010: @2353954
     /* 2353954 */ GIM_Reject,
     /* 2353955 */ // Label 32962: @2353955
     /* 2353955 */ GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2354069),
     /* 2353960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2353963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2353966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353978 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2354023), // Rule ID 50562 //
     /* 2353983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353986 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2353989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354022 */     // GIR_Coverage, 50562,
     /* 2354022 */     GIR_EraseRootFromParent_Done,
     /* 2354023 */   // Label 33014: @2354023
     /* 2354023 */   GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2354068), // Rule ID 50563 //
     /* 2354028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354031 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2354034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354067 */     // GIR_Coverage, 50563,
     /* 2354067 */     GIR_EraseRootFromParent_Done,
     /* 2354068 */   // Label 33015: @2354068
     /* 2354068 */   GIM_Reject,
     /* 2354069 */ // Label 33013: @2354069
     /* 2354069 */ GIM_Reject,
     /* 2354070 */ // Label 32963: @2354070
     /* 2354070 */ GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2354184),
     /* 2354075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2354078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354093 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2354138), // Rule ID 50506 //
     /* 2354098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354101 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2354104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2354118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354137 */     // GIR_Coverage, 50506,
     /* 2354137 */     GIR_EraseRootFromParent_Done,
     /* 2354138 */   // Label 33017: @2354138
     /* 2354138 */   GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2354183), // Rule ID 50507 //
     /* 2354143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354146 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2354149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2354163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354182 */     // GIR_Coverage, 50507,
     /* 2354182 */     GIR_EraseRootFromParent_Done,
     /* 2354183 */   // Label 33018: @2354183
     /* 2354183 */   GIM_Reject,
     /* 2354184 */ // Label 33016: @2354184
     /* 2354184 */ GIM_Reject,
     /* 2354185 */ // Label 32964: @2354185
     /* 2354185 */ GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2354299),
     /* 2354190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2354193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354208 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2354253), // Rule ID 50534 //
     /* 2354213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354216 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2354233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354252 */     // GIR_Coverage, 50534,
     /* 2354252 */     GIR_EraseRootFromParent_Done,
     /* 2354253 */   // Label 33020: @2354253
     /* 2354253 */   GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2354298), // Rule ID 50535 //
     /* 2354258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354261 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2354264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2354278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354297 */     // GIR_Coverage, 50535,
     /* 2354297 */     GIR_EraseRootFromParent_Done,
     /* 2354298 */   // Label 33021: @2354298
     /* 2354298 */   GIM_Reject,
     /* 2354299 */ // Label 33019: @2354299
     /* 2354299 */ GIM_Reject,
     /* 2354300 */ // Label 32965: @2354300
     /* 2354300 */ GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2354414),
     /* 2354305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2354308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354323 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2354368), // Rule ID 50550 //
     /* 2354328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354331 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354367 */     // GIR_Coverage, 50550,
     /* 2354367 */     GIR_EraseRootFromParent_Done,
     /* 2354368 */   // Label 33023: @2354368
     /* 2354368 */   GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2354413), // Rule ID 50551 //
     /* 2354373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354376 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2354379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354412 */     // GIR_Coverage, 50551,
     /* 2354412 */     GIR_EraseRootFromParent_Done,
     /* 2354413 */   // Label 33024: @2354413
     /* 2354413 */   GIM_Reject,
     /* 2354414 */ // Label 33022: @2354414
     /* 2354414 */ GIM_Reject,
     /* 2354415 */ // Label 32966: @2354415
     /* 2354415 */ GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2354529),
     /* 2354420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2354423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354438 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2354483), // Rule ID 50566 //
     /* 2354443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354446 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2354463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354482 */     // GIR_Coverage, 50566,
     /* 2354482 */     GIR_EraseRootFromParent_Done,
     /* 2354483 */   // Label 33026: @2354483
     /* 2354483 */   GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2354528), // Rule ID 50567 //
     /* 2354488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354491 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2354508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354527 */     // GIR_Coverage, 50567,
     /* 2354527 */     GIR_EraseRootFromParent_Done,
     /* 2354528 */   // Label 33027: @2354528
     /* 2354528 */   GIM_Reject,
     /* 2354529 */ // Label 33025: @2354529
     /* 2354529 */ GIM_Reject,
     /* 2354530 */ // Label 32967: @2354530
     /* 2354530 */ GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2354644),
     /* 2354535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2354538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2354541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354553 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2354598), // Rule ID 50522 //
     /* 2354558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354561 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2354578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354597 */     // GIR_Coverage, 50522,
     /* 2354597 */     GIR_EraseRootFromParent_Done,
     /* 2354598 */   // Label 33029: @2354598
     /* 2354598 */   GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2354643), // Rule ID 50523 //
     /* 2354603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354606 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2354623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354642 */     // GIR_Coverage, 50523,
     /* 2354642 */     GIR_EraseRootFromParent_Done,
     /* 2354643 */   // Label 33030: @2354643
     /* 2354643 */   GIM_Reject,
     /* 2354644 */ // Label 33028: @2354644
     /* 2354644 */ GIM_Reject,
     /* 2354645 */ // Label 32968: @2354645
     /* 2354645 */ GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2354759),
     /* 2354650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2354653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2354656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354668 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2354713), // Rule ID 50538 //
     /* 2354673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354676 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354712 */     // GIR_Coverage, 50538,
     /* 2354712 */     GIR_EraseRootFromParent_Done,
     /* 2354713 */   // Label 33032: @2354713
     /* 2354713 */   GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2354758), // Rule ID 50539 //
     /* 2354718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354721 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354757 */     // GIR_Coverage, 50539,
     /* 2354757 */     GIR_EraseRootFromParent_Done,
     /* 2354758 */   // Label 33033: @2354758
     /* 2354758 */   GIM_Reject,
     /* 2354759 */ // Label 33031: @2354759
     /* 2354759 */ GIM_Reject,
     /* 2354760 */ // Label 32969: @2354760
     /* 2354760 */ GIM_Try, /*On fail goto*//*Label 33034*/ GIMT_Encode4(2354874),
     /* 2354765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2354768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2354771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354783 */   GIM_Try, /*On fail goto*//*Label 33035*/ GIMT_Encode4(2354828), // Rule ID 50554 //
     /* 2354788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354791 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2354808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354827 */     // GIR_Coverage, 50554,
     /* 2354827 */     GIR_EraseRootFromParent_Done,
     /* 2354828 */   // Label 33035: @2354828
     /* 2354828 */   GIM_Try, /*On fail goto*//*Label 33036*/ GIMT_Encode4(2354873), // Rule ID 50555 //
     /* 2354833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354836 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2354853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354872 */     // GIR_Coverage, 50555,
     /* 2354872 */     GIR_EraseRootFromParent_Done,
     /* 2354873 */   // Label 33036: @2354873
     /* 2354873 */   GIM_Reject,
     /* 2354874 */ // Label 33034: @2354874
     /* 2354874 */ GIM_Reject,
     /* 2354875 */ // Label 32970: @2354875
     /* 2354875 */ GIM_Try, /*On fail goto*//*Label 33037*/ GIMT_Encode4(2354989),
     /* 2354880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2354883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2354886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354898 */   GIM_Try, /*On fail goto*//*Label 33038*/ GIMT_Encode4(2354943), // Rule ID 50526 //
     /* 2354903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354906 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354942 */     // GIR_Coverage, 50526,
     /* 2354942 */     GIR_EraseRootFromParent_Done,
     /* 2354943 */   // Label 33038: @2354943
     /* 2354943 */   GIM_Try, /*On fail goto*//*Label 33039*/ GIMT_Encode4(2354988), // Rule ID 50527 //
     /* 2354948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354951 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2354968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354987 */     // GIR_Coverage, 50527,
     /* 2354987 */     GIR_EraseRootFromParent_Done,
     /* 2354988 */   // Label 33039: @2354988
     /* 2354988 */   GIM_Reject,
     /* 2354989 */ // Label 33037: @2354989
     /* 2354989 */ GIM_Reject,
     /* 2354990 */ // Label 32971: @2354990
     /* 2354990 */ GIM_Try, /*On fail goto*//*Label 33040*/ GIMT_Encode4(2355104),
     /* 2354995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2354998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2355001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355013 */   GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2355058), // Rule ID 50542 //
     /* 2355018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355021 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2355038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355057 */     // GIR_Coverage, 50542,
     /* 2355057 */     GIR_EraseRootFromParent_Done,
     /* 2355058 */   // Label 33041: @2355058
     /* 2355058 */   GIM_Try, /*On fail goto*//*Label 33042*/ GIMT_Encode4(2355103), // Rule ID 50543 //
     /* 2355063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355066 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2355069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2355083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355102 */     // GIR_Coverage, 50543,
     /* 2355102 */     GIR_EraseRootFromParent_Done,
     /* 2355103 */   // Label 33042: @2355103
     /* 2355103 */   GIM_Reject,
     /* 2355104 */ // Label 33040: @2355104
     /* 2355104 */ GIM_Reject,
     /* 2355105 */ // Label 32972: @2355105
     /* 2355105 */ GIM_Try, /*On fail goto*//*Label 33043*/ GIMT_Encode4(2355219),
     /* 2355110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2355113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2355116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355128 */   GIM_Try, /*On fail goto*//*Label 33044*/ GIMT_Encode4(2355173), // Rule ID 50530 //
     /* 2355133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355136 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2355139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2355153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355172 */     // GIR_Coverage, 50530,
     /* 2355172 */     GIR_EraseRootFromParent_Done,
     /* 2355173 */   // Label 33044: @2355173
     /* 2355173 */   GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2355218), // Rule ID 50531 //
     /* 2355178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355181 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2355184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2355198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355217 */     // GIR_Coverage, 50531,
     /* 2355217 */     GIR_EraseRootFromParent_Done,
     /* 2355218 */   // Label 33045: @2355218
     /* 2355218 */   GIM_Reject,
     /* 2355219 */ // Label 33043: @2355219
     /* 2355219 */ GIM_Reject,
     /* 2355220 */ // Label 32973: @2355220
     /* 2355220 */ GIM_Reject,
     /* 2355221 */ // Label 81: @2355221
     /* 2355221 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33070*/ GIMT_Encode4(2357996),
     /* 2355232 */ /*GILLT_s32*//*Label 33046*/ GIMT_Encode4(2355356),
     /* 2355236 */ /*GILLT_s64*//*Label 33047*/ GIMT_Encode4(2355411), GIMT_Encode4(0),
     /* 2355244 */ /*GILLT_nxv1s8*//*Label 33048*/ GIMT_Encode4(2355466),
     /* 2355248 */ /*GILLT_nxv1s16*//*Label 33049*/ GIMT_Encode4(2355581),
     /* 2355252 */ /*GILLT_nxv1s32*//*Label 33050*/ GIMT_Encode4(2355696),
     /* 2355256 */ /*GILLT_nxv1s64*//*Label 33051*/ GIMT_Encode4(2355811), GIMT_Encode4(0),
     /* 2355264 */ /*GILLT_nxv2s8*//*Label 33052*/ GIMT_Encode4(2355926),
     /* 2355268 */ /*GILLT_nxv2s16*//*Label 33053*/ GIMT_Encode4(2356041),
     /* 2355272 */ /*GILLT_nxv2s32*//*Label 33054*/ GIMT_Encode4(2356156),
     /* 2355276 */ /*GILLT_nxv2s64*//*Label 33055*/ GIMT_Encode4(2356271), GIMT_Encode4(0),
     /* 2355284 */ /*GILLT_nxv4s8*//*Label 33056*/ GIMT_Encode4(2356386),
     /* 2355288 */ /*GILLT_nxv4s16*//*Label 33057*/ GIMT_Encode4(2356501),
     /* 2355292 */ /*GILLT_nxv4s32*//*Label 33058*/ GIMT_Encode4(2356616),
     /* 2355296 */ /*GILLT_nxv4s64*//*Label 33059*/ GIMT_Encode4(2356731), GIMT_Encode4(0),
     /* 2355304 */ /*GILLT_nxv8s8*//*Label 33060*/ GIMT_Encode4(2356846),
     /* 2355308 */ /*GILLT_nxv8s16*//*Label 33061*/ GIMT_Encode4(2356961),
     /* 2355312 */ /*GILLT_nxv8s32*//*Label 33062*/ GIMT_Encode4(2357076),
     /* 2355316 */ /*GILLT_nxv8s64*//*Label 33063*/ GIMT_Encode4(2357191), GIMT_Encode4(0),
     /* 2355324 */ /*GILLT_nxv16s8*//*Label 33064*/ GIMT_Encode4(2357306),
     /* 2355328 */ /*GILLT_nxv16s16*//*Label 33065*/ GIMT_Encode4(2357421),
     /* 2355332 */ /*GILLT_nxv16s32*//*Label 33066*/ GIMT_Encode4(2357536), GIMT_Encode4(0),
     /* 2355340 */ /*GILLT_nxv32s8*//*Label 33067*/ GIMT_Encode4(2357651),
     /* 2355344 */ /*GILLT_nxv32s16*//*Label 33068*/ GIMT_Encode4(2357766), GIMT_Encode4(0),
     /* 2355352 */ /*GILLT_nxv64s8*//*Label 33069*/ GIMT_Encode4(2357881),
     /* 2355356 */ // Label 33046: @2355356
     /* 2355356 */ GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2355410),
     /* 2355361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2355364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2355367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355379 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2355394), // Rule ID 64454 //
     /* 2355384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2355387 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2355387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2355392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355393 */     // GIR_Coverage, 64454,
     /* 2355393 */     GIR_Done,
     /* 2355394 */   // Label 33072: @2355394
     /* 2355394 */   GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2355409), // Rule ID 2421 //
     /* 2355399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2355402 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2355402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2355407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355408 */     // GIR_Coverage, 2421,
     /* 2355408 */     GIR_Done,
     /* 2355409 */   // Label 33073: @2355409
     /* 2355409 */   GIM_Reject,
     /* 2355410 */ // Label 33071: @2355410
     /* 2355410 */ GIM_Reject,
     /* 2355411 */ // Label 33047: @2355411
     /* 2355411 */ GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2355465),
     /* 2355416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2355419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2355422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2355434 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2355449), // Rule ID 64453 //
     /* 2355439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2355442 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2355442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2355447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355448 */     // GIR_Coverage, 64453,
     /* 2355448 */     GIR_Done,
     /* 2355449 */   // Label 33075: @2355449
     /* 2355449 */   GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2355464), // Rule ID 2420 //
     /* 2355454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2355457 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2355457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2355462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355463 */     // GIR_Coverage, 2420,
     /* 2355463 */     GIR_Done,
     /* 2355464 */   // Label 33076: @2355464
     /* 2355464 */   GIM_Reject,
     /* 2355465 */ // Label 33074: @2355465
     /* 2355465 */ GIM_Reject,
     /* 2355466 */ // Label 33048: @2355466
     /* 2355466 */ GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2355580),
     /* 2355471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2355474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2355477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355489 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2355534), // Rule ID 50658 //
     /* 2355494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355497 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2355500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2355514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355533 */     // GIR_Coverage, 50658,
     /* 2355533 */     GIR_EraseRootFromParent_Done,
     /* 2355534 */   // Label 33078: @2355534
     /* 2355534 */   GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2355579), // Rule ID 50659 //
     /* 2355539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355542 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2355545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2355559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355578 */     // GIR_Coverage, 50659,
     /* 2355578 */     GIR_EraseRootFromParent_Done,
     /* 2355579 */   // Label 33079: @2355579
     /* 2355579 */   GIM_Reject,
     /* 2355580 */ // Label 33077: @2355580
     /* 2355580 */ GIM_Reject,
     /* 2355581 */ // Label 33049: @2355581
     /* 2355581 */ GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2355695),
     /* 2355586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2355589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2355592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355604 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2355649), // Rule ID 50670 //
     /* 2355609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355612 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2355615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2355629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355648 */     // GIR_Coverage, 50670,
     /* 2355648 */     GIR_EraseRootFromParent_Done,
     /* 2355649 */   // Label 33081: @2355649
     /* 2355649 */   GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2355694), // Rule ID 50671 //
     /* 2355654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355657 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2355660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2355674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355693 */     // GIR_Coverage, 50671,
     /* 2355693 */     GIR_EraseRootFromParent_Done,
     /* 2355694 */   // Label 33082: @2355694
     /* 2355694 */   GIM_Reject,
     /* 2355695 */ // Label 33080: @2355695
     /* 2355695 */ GIM_Reject,
     /* 2355696 */ // Label 33050: @2355696
     /* 2355696 */ GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2355810),
     /* 2355701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2355704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2355707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355719 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2355764), // Rule ID 50678 //
     /* 2355724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355727 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2355730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2355744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355763 */     // GIR_Coverage, 50678,
     /* 2355763 */     GIR_EraseRootFromParent_Done,
     /* 2355764 */   // Label 33084: @2355764
     /* 2355764 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2355809), // Rule ID 50679 //
     /* 2355769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355772 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2355775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2355789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355808 */     // GIR_Coverage, 50679,
     /* 2355808 */     GIR_EraseRootFromParent_Done,
     /* 2355809 */   // Label 33085: @2355809
     /* 2355809 */   GIM_Reject,
     /* 2355810 */ // Label 33083: @2355810
     /* 2355810 */ GIM_Reject,
     /* 2355811 */ // Label 33051: @2355811
     /* 2355811 */ GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2355925),
     /* 2355816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2355819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2355822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355834 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2355879), // Rule ID 50694 //
     /* 2355839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2355842 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2355845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2355859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355878 */     // GIR_Coverage, 50694,
     /* 2355878 */     GIR_EraseRootFromParent_Done,
     /* 2355879 */   // Label 33087: @2355879
     /* 2355879 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2355924), // Rule ID 50695 //
     /* 2355884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2355887 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2355890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2355904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355923 */     // GIR_Coverage, 50695,
     /* 2355923 */     GIR_EraseRootFromParent_Done,
     /* 2355924 */   // Label 33088: @2355924
     /* 2355924 */   GIM_Reject,
     /* 2355925 */ // Label 33086: @2355925
     /* 2355925 */ GIM_Reject,
     /* 2355926 */ // Label 33052: @2355926
     /* 2355926 */ GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2356040),
     /* 2355931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2355934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2355937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355949 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2355994), // Rule ID 50662 //
     /* 2355954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355957 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2355960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2355974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355993 */     // GIR_Coverage, 50662,
     /* 2355993 */     GIR_EraseRootFromParent_Done,
     /* 2355994 */   // Label 33090: @2355994
     /* 2355994 */   GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2356039), // Rule ID 50663 //
     /* 2355999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356002 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2356005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2356019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356038 */     // GIR_Coverage, 50663,
     /* 2356038 */     GIR_EraseRootFromParent_Done,
     /* 2356039 */   // Label 33091: @2356039
     /* 2356039 */   GIM_Reject,
     /* 2356040 */ // Label 33089: @2356040
     /* 2356040 */ GIM_Reject,
     /* 2356041 */ // Label 33053: @2356041
     /* 2356041 */ GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2356155),
     /* 2356046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2356049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2356052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356064 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2356109), // Rule ID 50674 //
     /* 2356069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356072 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2356089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356108 */     // GIR_Coverage, 50674,
     /* 2356108 */     GIR_EraseRootFromParent_Done,
     /* 2356109 */   // Label 33093: @2356109
     /* 2356109 */   GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2356154), // Rule ID 50675 //
     /* 2356114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356117 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2356120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2356134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356153 */     // GIR_Coverage, 50675,
     /* 2356153 */     GIR_EraseRootFromParent_Done,
     /* 2356154 */   // Label 33094: @2356154
     /* 2356154 */   GIM_Reject,
     /* 2356155 */ // Label 33092: @2356155
     /* 2356155 */ GIM_Reject,
     /* 2356156 */ // Label 33054: @2356156
     /* 2356156 */ GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2356270),
     /* 2356161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2356164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2356167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356179 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2356224), // Rule ID 50690 //
     /* 2356184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356187 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2356204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356223 */     // GIR_Coverage, 50690,
     /* 2356223 */     GIR_EraseRootFromParent_Done,
     /* 2356224 */   // Label 33096: @2356224
     /* 2356224 */   GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2356269), // Rule ID 50691 //
     /* 2356229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356232 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2356235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2356249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356268 */     // GIR_Coverage, 50691,
     /* 2356268 */     GIR_EraseRootFromParent_Done,
     /* 2356269 */   // Label 33097: @2356269
     /* 2356269 */   GIM_Reject,
     /* 2356270 */ // Label 33095: @2356270
     /* 2356270 */ GIM_Reject,
     /* 2356271 */ // Label 33055: @2356271
     /* 2356271 */ GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2356385),
     /* 2356276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2356279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2356282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356294 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2356339), // Rule ID 50734 //
     /* 2356299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2356302 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2356319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356338 */     // GIR_Coverage, 50734,
     /* 2356338 */     GIR_EraseRootFromParent_Done,
     /* 2356339 */   // Label 33099: @2356339
     /* 2356339 */   GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2356384), // Rule ID 50735 //
     /* 2356344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2356347 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2356350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2356364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356383 */     // GIR_Coverage, 50735,
     /* 2356383 */     GIR_EraseRootFromParent_Done,
     /* 2356384 */   // Label 33100: @2356384
     /* 2356384 */   GIM_Reject,
     /* 2356385 */ // Label 33098: @2356385
     /* 2356385 */ GIM_Reject,
     /* 2356386 */ // Label 33056: @2356386
     /* 2356386 */ GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2356500),
     /* 2356391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2356394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2356397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356409 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2356454), // Rule ID 50666 //
     /* 2356414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356417 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2356420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2356434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356453 */     // GIR_Coverage, 50666,
     /* 2356453 */     GIR_EraseRootFromParent_Done,
     /* 2356454 */   // Label 33102: @2356454
     /* 2356454 */   GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2356499), // Rule ID 50667 //
     /* 2356459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356462 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2356465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2356479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356498 */     // GIR_Coverage, 50667,
     /* 2356498 */     GIR_EraseRootFromParent_Done,
     /* 2356499 */   // Label 33103: @2356499
     /* 2356499 */   GIM_Reject,
     /* 2356500 */ // Label 33101: @2356500
     /* 2356500 */ GIM_Reject,
     /* 2356501 */ // Label 33057: @2356501
     /* 2356501 */ GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2356615),
     /* 2356506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2356509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2356512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356524 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2356569), // Rule ID 50686 //
     /* 2356529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356532 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2356535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2356549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356568 */     // GIR_Coverage, 50686,
     /* 2356568 */     GIR_EraseRootFromParent_Done,
     /* 2356569 */   // Label 33105: @2356569
     /* 2356569 */   GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2356614), // Rule ID 50687 //
     /* 2356574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356577 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2356580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2356594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356613 */     // GIR_Coverage, 50687,
     /* 2356613 */     GIR_EraseRootFromParent_Done,
     /* 2356614 */   // Label 33106: @2356614
     /* 2356614 */   GIM_Reject,
     /* 2356615 */ // Label 33104: @2356615
     /* 2356615 */ GIM_Reject,
     /* 2356616 */ // Label 33058: @2356616
     /* 2356616 */ GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2356730),
     /* 2356621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2356624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2356627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356639 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2356684), // Rule ID 50722 //
     /* 2356644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356647 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2356650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2356664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356683 */     // GIR_Coverage, 50722,
     /* 2356683 */     GIR_EraseRootFromParent_Done,
     /* 2356684 */   // Label 33108: @2356684
     /* 2356684 */   GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2356729), // Rule ID 50723 //
     /* 2356689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356692 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2356695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2356709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356728 */     // GIR_Coverage, 50723,
     /* 2356728 */     GIR_EraseRootFromParent_Done,
     /* 2356729 */   // Label 33109: @2356729
     /* 2356729 */   GIM_Reject,
     /* 2356730 */ // Label 33107: @2356730
     /* 2356730 */ GIM_Reject,
     /* 2356731 */ // Label 33059: @2356731
     /* 2356731 */ GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2356845),
     /* 2356736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2356739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2356742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356754 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2356799), // Rule ID 50738 //
     /* 2356759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2356762 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2356779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356798 */     // GIR_Coverage, 50738,
     /* 2356798 */     GIR_EraseRootFromParent_Done,
     /* 2356799 */   // Label 33111: @2356799
     /* 2356799 */   GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2356844), // Rule ID 50739 //
     /* 2356804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2356807 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2356824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356843 */     // GIR_Coverage, 50739,
     /* 2356843 */     GIR_EraseRootFromParent_Done,
     /* 2356844 */   // Label 33112: @2356844
     /* 2356844 */   GIM_Reject,
     /* 2356845 */ // Label 33110: @2356845
     /* 2356845 */ GIM_Reject,
     /* 2356846 */ // Label 33060: @2356846
     /* 2356846 */ GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2356960),
     /* 2356851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2356854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2356857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356869 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2356914), // Rule ID 50682 //
     /* 2356874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356877 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2356880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2356894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356913 */     // GIR_Coverage, 50682,
     /* 2356913 */     GIR_EraseRootFromParent_Done,
     /* 2356914 */   // Label 33114: @2356914
     /* 2356914 */   GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2356959), // Rule ID 50683 //
     /* 2356919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356922 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2356925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2356939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356958 */     // GIR_Coverage, 50683,
     /* 2356958 */     GIR_EraseRootFromParent_Done,
     /* 2356959 */   // Label 33115: @2356959
     /* 2356959 */   GIM_Reject,
     /* 2356960 */ // Label 33113: @2356960
     /* 2356960 */ GIM_Reject,
     /* 2356961 */ // Label 33061: @2356961
     /* 2356961 */ GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2357075),
     /* 2356966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2356969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2356972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356984 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2357029), // Rule ID 50710 //
     /* 2356989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356992 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2357009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357028 */     // GIR_Coverage, 50710,
     /* 2357028 */     GIR_EraseRootFromParent_Done,
     /* 2357029 */   // Label 33117: @2357029
     /* 2357029 */   GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2357074), // Rule ID 50711 //
     /* 2357034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357037 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2357040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2357054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357073 */     // GIR_Coverage, 50711,
     /* 2357073 */     GIR_EraseRootFromParent_Done,
     /* 2357074 */   // Label 33118: @2357074
     /* 2357074 */   GIM_Reject,
     /* 2357075 */ // Label 33116: @2357075
     /* 2357075 */ GIM_Reject,
     /* 2357076 */ // Label 33062: @2357076
     /* 2357076 */ GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2357190),
     /* 2357081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2357084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2357087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357099 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2357144), // Rule ID 50726 //
     /* 2357104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357107 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2357124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357143 */     // GIR_Coverage, 50726,
     /* 2357143 */     GIR_EraseRootFromParent_Done,
     /* 2357144 */   // Label 33120: @2357144
     /* 2357144 */   GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2357189), // Rule ID 50727 //
     /* 2357149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357152 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2357155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2357169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357188 */     // GIR_Coverage, 50727,
     /* 2357188 */     GIR_EraseRootFromParent_Done,
     /* 2357189 */   // Label 33121: @2357189
     /* 2357189 */   GIM_Reject,
     /* 2357190 */ // Label 33119: @2357190
     /* 2357190 */ GIM_Reject,
     /* 2357191 */ // Label 33063: @2357191
     /* 2357191 */ GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2357305),
     /* 2357196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2357199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2357202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357214 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2357259), // Rule ID 50742 //
     /* 2357219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2357222 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2357225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357258 */     // GIR_Coverage, 50742,
     /* 2357258 */     GIR_EraseRootFromParent_Done,
     /* 2357259 */   // Label 33123: @2357259
     /* 2357259 */   GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2357304), // Rule ID 50743 //
     /* 2357264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2357267 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2357270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357303 */     // GIR_Coverage, 50743,
     /* 2357303 */     GIR_EraseRootFromParent_Done,
     /* 2357304 */   // Label 33124: @2357304
     /* 2357304 */   GIM_Reject,
     /* 2357305 */ // Label 33122: @2357305
     /* 2357305 */ GIM_Reject,
     /* 2357306 */ // Label 33064: @2357306
     /* 2357306 */ GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2357420),
     /* 2357311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2357314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357329 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2357374), // Rule ID 50698 //
     /* 2357334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357337 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2357340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2357354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357373 */     // GIR_Coverage, 50698,
     /* 2357373 */     GIR_EraseRootFromParent_Done,
     /* 2357374 */   // Label 33126: @2357374
     /* 2357374 */   GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2357419), // Rule ID 50699 //
     /* 2357379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357382 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2357385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2357399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357418 */     // GIR_Coverage, 50699,
     /* 2357418 */     GIR_EraseRootFromParent_Done,
     /* 2357419 */   // Label 33127: @2357419
     /* 2357419 */   GIM_Reject,
     /* 2357420 */ // Label 33125: @2357420
     /* 2357420 */ GIM_Reject,
     /* 2357421 */ // Label 33065: @2357421
     /* 2357421 */ GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2357535),
     /* 2357426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2357429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357444 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2357489), // Rule ID 50714 //
     /* 2357449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357452 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2357469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357488 */     // GIR_Coverage, 50714,
     /* 2357488 */     GIR_EraseRootFromParent_Done,
     /* 2357489 */   // Label 33129: @2357489
     /* 2357489 */   GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2357534), // Rule ID 50715 //
     /* 2357494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357497 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2357514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357533 */     // GIR_Coverage, 50715,
     /* 2357533 */     GIR_EraseRootFromParent_Done,
     /* 2357534 */   // Label 33130: @2357534
     /* 2357534 */   GIM_Reject,
     /* 2357535 */ // Label 33128: @2357535
     /* 2357535 */ GIM_Reject,
     /* 2357536 */ // Label 33066: @2357536
     /* 2357536 */ GIM_Try, /*On fail goto*//*Label 33131*/ GIMT_Encode4(2357650),
     /* 2357541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2357544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357559 */   GIM_Try, /*On fail goto*//*Label 33132*/ GIMT_Encode4(2357604), // Rule ID 50730 //
     /* 2357564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357567 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357603 */     // GIR_Coverage, 50730,
     /* 2357603 */     GIR_EraseRootFromParent_Done,
     /* 2357604 */   // Label 33132: @2357604
     /* 2357604 */   GIM_Try, /*On fail goto*//*Label 33133*/ GIMT_Encode4(2357649), // Rule ID 50731 //
     /* 2357609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357612 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357648 */     // GIR_Coverage, 50731,
     /* 2357648 */     GIR_EraseRootFromParent_Done,
     /* 2357649 */   // Label 33133: @2357649
     /* 2357649 */   GIM_Reject,
     /* 2357650 */ // Label 33131: @2357650
     /* 2357650 */ GIM_Reject,
     /* 2357651 */ // Label 33067: @2357651
     /* 2357651 */ GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2357765),
     /* 2357656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2357659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2357662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357674 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2357719), // Rule ID 50702 //
     /* 2357679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357682 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2357685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2357699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357718 */     // GIR_Coverage, 50702,
     /* 2357718 */     GIR_EraseRootFromParent_Done,
     /* 2357719 */   // Label 33135: @2357719
     /* 2357719 */   GIM_Try, /*On fail goto*//*Label 33136*/ GIMT_Encode4(2357764), // Rule ID 50703 //
     /* 2357724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357727 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2357730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2357744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357763 */     // GIR_Coverage, 50703,
     /* 2357763 */     GIR_EraseRootFromParent_Done,
     /* 2357764 */   // Label 33136: @2357764
     /* 2357764 */   GIM_Reject,
     /* 2357765 */ // Label 33134: @2357765
     /* 2357765 */ GIM_Reject,
     /* 2357766 */ // Label 33068: @2357766
     /* 2357766 */ GIM_Try, /*On fail goto*//*Label 33137*/ GIMT_Encode4(2357880),
     /* 2357771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2357774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2357777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357789 */   GIM_Try, /*On fail goto*//*Label 33138*/ GIMT_Encode4(2357834), // Rule ID 50718 //
     /* 2357794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357797 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357833 */     // GIR_Coverage, 50718,
     /* 2357833 */     GIR_EraseRootFromParent_Done,
     /* 2357834 */   // Label 33138: @2357834
     /* 2357834 */   GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2357879), // Rule ID 50719 //
     /* 2357839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357842 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357878 */     // GIR_Coverage, 50719,
     /* 2357878 */     GIR_EraseRootFromParent_Done,
     /* 2357879 */   // Label 33139: @2357879
     /* 2357879 */   GIM_Reject,
     /* 2357880 */ // Label 33137: @2357880
     /* 2357880 */ GIM_Reject,
     /* 2357881 */ // Label 33069: @2357881
     /* 2357881 */ GIM_Try, /*On fail goto*//*Label 33140*/ GIMT_Encode4(2357995),
     /* 2357886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2357889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2357892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357904 */   GIM_Try, /*On fail goto*//*Label 33141*/ GIMT_Encode4(2357949), // Rule ID 50706 //
     /* 2357909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357912 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2357915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357948 */     // GIR_Coverage, 50706,
     /* 2357948 */     GIR_EraseRootFromParent_Done,
     /* 2357949 */   // Label 33141: @2357949
     /* 2357949 */   GIM_Try, /*On fail goto*//*Label 33142*/ GIMT_Encode4(2357994), // Rule ID 50707 //
     /* 2357954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357957 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2357960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2357974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357993 */     // GIR_Coverage, 50707,
     /* 2357993 */     GIR_EraseRootFromParent_Done,
     /* 2357994 */   // Label 33142: @2357994
     /* 2357994 */   GIM_Reject,
     /* 2357995 */ // Label 33140: @2357995
     /* 2357995 */ GIM_Reject,
     /* 2357996 */ // Label 33070: @2357996
     /* 2357996 */ GIM_Reject,
     /* 2357997 */ // Label 82: @2357997
     /* 2357997 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33167*/ GIMT_Encode4(2360772),
     /* 2358008 */ /*GILLT_s32*//*Label 33143*/ GIMT_Encode4(2358132),
     /* 2358012 */ /*GILLT_s64*//*Label 33144*/ GIMT_Encode4(2358187), GIMT_Encode4(0),
     /* 2358020 */ /*GILLT_nxv1s8*//*Label 33145*/ GIMT_Encode4(2358242),
     /* 2358024 */ /*GILLT_nxv1s16*//*Label 33146*/ GIMT_Encode4(2358357),
     /* 2358028 */ /*GILLT_nxv1s32*//*Label 33147*/ GIMT_Encode4(2358472),
     /* 2358032 */ /*GILLT_nxv1s64*//*Label 33148*/ GIMT_Encode4(2358587), GIMT_Encode4(0),
     /* 2358040 */ /*GILLT_nxv2s8*//*Label 33149*/ GIMT_Encode4(2358702),
     /* 2358044 */ /*GILLT_nxv2s16*//*Label 33150*/ GIMT_Encode4(2358817),
     /* 2358048 */ /*GILLT_nxv2s32*//*Label 33151*/ GIMT_Encode4(2358932),
     /* 2358052 */ /*GILLT_nxv2s64*//*Label 33152*/ GIMT_Encode4(2359047), GIMT_Encode4(0),
     /* 2358060 */ /*GILLT_nxv4s8*//*Label 33153*/ GIMT_Encode4(2359162),
     /* 2358064 */ /*GILLT_nxv4s16*//*Label 33154*/ GIMT_Encode4(2359277),
     /* 2358068 */ /*GILLT_nxv4s32*//*Label 33155*/ GIMT_Encode4(2359392),
     /* 2358072 */ /*GILLT_nxv4s64*//*Label 33156*/ GIMT_Encode4(2359507), GIMT_Encode4(0),
     /* 2358080 */ /*GILLT_nxv8s8*//*Label 33157*/ GIMT_Encode4(2359622),
     /* 2358084 */ /*GILLT_nxv8s16*//*Label 33158*/ GIMT_Encode4(2359737),
     /* 2358088 */ /*GILLT_nxv8s32*//*Label 33159*/ GIMT_Encode4(2359852),
     /* 2358092 */ /*GILLT_nxv8s64*//*Label 33160*/ GIMT_Encode4(2359967), GIMT_Encode4(0),
     /* 2358100 */ /*GILLT_nxv16s8*//*Label 33161*/ GIMT_Encode4(2360082),
     /* 2358104 */ /*GILLT_nxv16s16*//*Label 33162*/ GIMT_Encode4(2360197),
     /* 2358108 */ /*GILLT_nxv16s32*//*Label 33163*/ GIMT_Encode4(2360312), GIMT_Encode4(0),
     /* 2358116 */ /*GILLT_nxv32s8*//*Label 33164*/ GIMT_Encode4(2360427),
     /* 2358120 */ /*GILLT_nxv32s16*//*Label 33165*/ GIMT_Encode4(2360542), GIMT_Encode4(0),
     /* 2358128 */ /*GILLT_nxv64s8*//*Label 33166*/ GIMT_Encode4(2360657),
     /* 2358132 */ // Label 33143: @2358132
     /* 2358132 */ GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2358186),
     /* 2358137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2358143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358155 */   GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2358170), // Rule ID 64452 //
     /* 2358160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2358163 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2358163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2358168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358169 */     // GIR_Coverage, 64452,
     /* 2358169 */     GIR_Done,
     /* 2358170 */   // Label 33169: @2358170
     /* 2358170 */   GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2358185), // Rule ID 2423 //
     /* 2358175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2358178 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2358178 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2358183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358184 */     // GIR_Coverage, 2423,
     /* 2358184 */     GIR_Done,
     /* 2358185 */   // Label 33170: @2358185
     /* 2358185 */   GIM_Reject,
     /* 2358186 */ // Label 33168: @2358186
     /* 2358186 */ GIM_Reject,
     /* 2358187 */ // Label 33144: @2358187
     /* 2358187 */ GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2358241),
     /* 2358192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2358198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358210 */   GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2358225), // Rule ID 64451 //
     /* 2358215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2358218 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2358218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2358223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358224 */     // GIR_Coverage, 64451,
     /* 2358224 */     GIR_Done,
     /* 2358225 */   // Label 33172: @2358225
     /* 2358225 */   GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2358240), // Rule ID 2422 //
     /* 2358230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2358233 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2358233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2358238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358239 */     // GIR_Coverage, 2422,
     /* 2358239 */     GIR_Done,
     /* 2358240 */   // Label 33173: @2358240
     /* 2358240 */   GIM_Reject,
     /* 2358241 */ // Label 33171: @2358241
     /* 2358241 */ GIM_Reject,
     /* 2358242 */ // Label 33145: @2358242
     /* 2358242 */ GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2358356),
     /* 2358247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2358250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2358253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358265 */   GIM_Try, /*On fail goto*//*Label 33175*/ GIMT_Encode4(2358310), // Rule ID 50394 //
     /* 2358270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358273 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2358276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2358290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358309 */     // GIR_Coverage, 50394,
     /* 2358309 */     GIR_EraseRootFromParent_Done,
     /* 2358310 */   // Label 33175: @2358310
     /* 2358310 */   GIM_Try, /*On fail goto*//*Label 33176*/ GIMT_Encode4(2358355), // Rule ID 50395 //
     /* 2358315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358318 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2358321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2358335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358354 */     // GIR_Coverage, 50395,
     /* 2358354 */     GIR_EraseRootFromParent_Done,
     /* 2358355 */   // Label 33176: @2358355
     /* 2358355 */   GIM_Reject,
     /* 2358356 */ // Label 33174: @2358356
     /* 2358356 */ GIM_Reject,
     /* 2358357 */ // Label 33146: @2358357
     /* 2358357 */ GIM_Try, /*On fail goto*//*Label 33177*/ GIMT_Encode4(2358471),
     /* 2358362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2358365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2358368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358380 */   GIM_Try, /*On fail goto*//*Label 33178*/ GIMT_Encode4(2358425), // Rule ID 50406 //
     /* 2358385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358388 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2358405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358424 */     // GIR_Coverage, 50406,
     /* 2358424 */     GIR_EraseRootFromParent_Done,
     /* 2358425 */   // Label 33178: @2358425
     /* 2358425 */   GIM_Try, /*On fail goto*//*Label 33179*/ GIMT_Encode4(2358470), // Rule ID 50407 //
     /* 2358430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358433 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2358450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358469 */     // GIR_Coverage, 50407,
     /* 2358469 */     GIR_EraseRootFromParent_Done,
     /* 2358470 */   // Label 33179: @2358470
     /* 2358470 */   GIM_Reject,
     /* 2358471 */ // Label 33177: @2358471
     /* 2358471 */ GIM_Reject,
     /* 2358472 */ // Label 33147: @2358472
     /* 2358472 */ GIM_Try, /*On fail goto*//*Label 33180*/ GIMT_Encode4(2358586),
     /* 2358477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2358480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2358483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358495 */   GIM_Try, /*On fail goto*//*Label 33181*/ GIMT_Encode4(2358540), // Rule ID 50414 //
     /* 2358500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358503 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2358506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2358520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358539 */     // GIR_Coverage, 50414,
     /* 2358539 */     GIR_EraseRootFromParent_Done,
     /* 2358540 */   // Label 33181: @2358540
     /* 2358540 */   GIM_Try, /*On fail goto*//*Label 33182*/ GIMT_Encode4(2358585), // Rule ID 50415 //
     /* 2358545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358548 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2358551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2358565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358584 */     // GIR_Coverage, 50415,
     /* 2358584 */     GIR_EraseRootFromParent_Done,
     /* 2358585 */   // Label 33182: @2358585
     /* 2358585 */   GIM_Reject,
     /* 2358586 */ // Label 33180: @2358586
     /* 2358586 */ GIM_Reject,
     /* 2358587 */ // Label 33148: @2358587
     /* 2358587 */ GIM_Try, /*On fail goto*//*Label 33183*/ GIMT_Encode4(2358701),
     /* 2358592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2358595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2358598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358610 */   GIM_Try, /*On fail goto*//*Label 33184*/ GIMT_Encode4(2358655), // Rule ID 50430 //
     /* 2358615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2358618 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2358621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2358635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358654 */     // GIR_Coverage, 50430,
     /* 2358654 */     GIR_EraseRootFromParent_Done,
     /* 2358655 */   // Label 33184: @2358655
     /* 2358655 */   GIM_Try, /*On fail goto*//*Label 33185*/ GIMT_Encode4(2358700), // Rule ID 50431 //
     /* 2358660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2358663 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2358666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2358680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358699 */     // GIR_Coverage, 50431,
     /* 2358699 */     GIR_EraseRootFromParent_Done,
     /* 2358700 */   // Label 33185: @2358700
     /* 2358700 */   GIM_Reject,
     /* 2358701 */ // Label 33183: @2358701
     /* 2358701 */ GIM_Reject,
     /* 2358702 */ // Label 33149: @2358702
     /* 2358702 */ GIM_Try, /*On fail goto*//*Label 33186*/ GIMT_Encode4(2358816),
     /* 2358707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2358710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2358713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358725 */   GIM_Try, /*On fail goto*//*Label 33187*/ GIMT_Encode4(2358770), // Rule ID 50398 //
     /* 2358730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358733 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2358736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2358750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358769 */     // GIR_Coverage, 50398,
     /* 2358769 */     GIR_EraseRootFromParent_Done,
     /* 2358770 */   // Label 33187: @2358770
     /* 2358770 */   GIM_Try, /*On fail goto*//*Label 33188*/ GIMT_Encode4(2358815), // Rule ID 50399 //
     /* 2358775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358778 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2358781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2358795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358814 */     // GIR_Coverage, 50399,
     /* 2358814 */     GIR_EraseRootFromParent_Done,
     /* 2358815 */   // Label 33188: @2358815
     /* 2358815 */   GIM_Reject,
     /* 2358816 */ // Label 33186: @2358816
     /* 2358816 */ GIM_Reject,
     /* 2358817 */ // Label 33150: @2358817
     /* 2358817 */ GIM_Try, /*On fail goto*//*Label 33189*/ GIMT_Encode4(2358931),
     /* 2358822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2358825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2358828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358840 */   GIM_Try, /*On fail goto*//*Label 33190*/ GIMT_Encode4(2358885), // Rule ID 50410 //
     /* 2358845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358848 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2358865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358884 */     // GIR_Coverage, 50410,
     /* 2358884 */     GIR_EraseRootFromParent_Done,
     /* 2358885 */   // Label 33190: @2358885
     /* 2358885 */   GIM_Try, /*On fail goto*//*Label 33191*/ GIMT_Encode4(2358930), // Rule ID 50411 //
     /* 2358890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358893 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2358910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358929 */     // GIR_Coverage, 50411,
     /* 2358929 */     GIR_EraseRootFromParent_Done,
     /* 2358930 */   // Label 33191: @2358930
     /* 2358930 */   GIM_Reject,
     /* 2358931 */ // Label 33189: @2358931
     /* 2358931 */ GIM_Reject,
     /* 2358932 */ // Label 33151: @2358932
     /* 2358932 */ GIM_Try, /*On fail goto*//*Label 33192*/ GIMT_Encode4(2359046),
     /* 2358937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2358940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2358943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358955 */   GIM_Try, /*On fail goto*//*Label 33193*/ GIMT_Encode4(2359000), // Rule ID 50426 //
     /* 2358960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358963 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2358966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2358980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358999 */     // GIR_Coverage, 50426,
     /* 2358999 */     GIR_EraseRootFromParent_Done,
     /* 2359000 */   // Label 33193: @2359000
     /* 2359000 */   GIM_Try, /*On fail goto*//*Label 33194*/ GIMT_Encode4(2359045), // Rule ID 50427 //
     /* 2359005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359008 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2359011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2359025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359044 */     // GIR_Coverage, 50427,
     /* 2359044 */     GIR_EraseRootFromParent_Done,
     /* 2359045 */   // Label 33194: @2359045
     /* 2359045 */   GIM_Reject,
     /* 2359046 */ // Label 33192: @2359046
     /* 2359046 */ GIM_Reject,
     /* 2359047 */ // Label 33152: @2359047
     /* 2359047 */ GIM_Try, /*On fail goto*//*Label 33195*/ GIMT_Encode4(2359161),
     /* 2359052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2359055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2359058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359070 */   GIM_Try, /*On fail goto*//*Label 33196*/ GIMT_Encode4(2359115), // Rule ID 50470 //
     /* 2359075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2359078 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2359095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359114 */     // GIR_Coverage, 50470,
     /* 2359114 */     GIR_EraseRootFromParent_Done,
     /* 2359115 */   // Label 33196: @2359115
     /* 2359115 */   GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2359160), // Rule ID 50471 //
     /* 2359120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2359123 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2359140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359159 */     // GIR_Coverage, 50471,
     /* 2359159 */     GIR_EraseRootFromParent_Done,
     /* 2359160 */   // Label 33197: @2359160
     /* 2359160 */   GIM_Reject,
     /* 2359161 */ // Label 33195: @2359161
     /* 2359161 */ GIM_Reject,
     /* 2359162 */ // Label 33153: @2359162
     /* 2359162 */ GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2359276),
     /* 2359167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2359170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2359173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359185 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2359230), // Rule ID 50402 //
     /* 2359190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359193 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2359210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359229 */     // GIR_Coverage, 50402,
     /* 2359229 */     GIR_EraseRootFromParent_Done,
     /* 2359230 */   // Label 33199: @2359230
     /* 2359230 */   GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2359275), // Rule ID 50403 //
     /* 2359235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359238 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2359241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2359255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359274 */     // GIR_Coverage, 50403,
     /* 2359274 */     GIR_EraseRootFromParent_Done,
     /* 2359275 */   // Label 33200: @2359275
     /* 2359275 */   GIM_Reject,
     /* 2359276 */ // Label 33198: @2359276
     /* 2359276 */ GIM_Reject,
     /* 2359277 */ // Label 33154: @2359277
     /* 2359277 */ GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2359391),
     /* 2359282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2359285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2359288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359300 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2359345), // Rule ID 50422 //
     /* 2359305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359308 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2359325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359344 */     // GIR_Coverage, 50422,
     /* 2359344 */     GIR_EraseRootFromParent_Done,
     /* 2359345 */   // Label 33202: @2359345
     /* 2359345 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2359390), // Rule ID 50423 //
     /* 2359350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359353 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2359370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359389 */     // GIR_Coverage, 50423,
     /* 2359389 */     GIR_EraseRootFromParent_Done,
     /* 2359390 */   // Label 33203: @2359390
     /* 2359390 */   GIM_Reject,
     /* 2359391 */ // Label 33201: @2359391
     /* 2359391 */ GIM_Reject,
     /* 2359392 */ // Label 33155: @2359392
     /* 2359392 */ GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2359506),
     /* 2359397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2359400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2359403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359415 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2359460), // Rule ID 50458 //
     /* 2359420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359423 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2359440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359459 */     // GIR_Coverage, 50458,
     /* 2359459 */     GIR_EraseRootFromParent_Done,
     /* 2359460 */   // Label 33205: @2359460
     /* 2359460 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2359505), // Rule ID 50459 //
     /* 2359465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359468 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2359485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359504 */     // GIR_Coverage, 50459,
     /* 2359504 */     GIR_EraseRootFromParent_Done,
     /* 2359505 */   // Label 33206: @2359505
     /* 2359505 */   GIM_Reject,
     /* 2359506 */ // Label 33204: @2359506
     /* 2359506 */ GIM_Reject,
     /* 2359507 */ // Label 33156: @2359507
     /* 2359507 */ GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2359621),
     /* 2359512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2359515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2359518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359530 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2359575), // Rule ID 50474 //
     /* 2359535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2359538 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2359555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359574 */     // GIR_Coverage, 50474,
     /* 2359574 */     GIR_EraseRootFromParent_Done,
     /* 2359575 */   // Label 33208: @2359575
     /* 2359575 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2359620), // Rule ID 50475 //
     /* 2359580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2359583 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2359600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359619 */     // GIR_Coverage, 50475,
     /* 2359619 */     GIR_EraseRootFromParent_Done,
     /* 2359620 */   // Label 33209: @2359620
     /* 2359620 */   GIM_Reject,
     /* 2359621 */ // Label 33207: @2359621
     /* 2359621 */ GIM_Reject,
     /* 2359622 */ // Label 33157: @2359622
     /* 2359622 */ GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2359736),
     /* 2359627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2359630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2359633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359645 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2359690), // Rule ID 50418 //
     /* 2359650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359653 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2359656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2359670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359689 */     // GIR_Coverage, 50418,
     /* 2359689 */     GIR_EraseRootFromParent_Done,
     /* 2359690 */   // Label 33211: @2359690
     /* 2359690 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2359735), // Rule ID 50419 //
     /* 2359695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359698 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2359701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2359715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359734 */     // GIR_Coverage, 50419,
     /* 2359734 */     GIR_EraseRootFromParent_Done,
     /* 2359735 */   // Label 33212: @2359735
     /* 2359735 */   GIM_Reject,
     /* 2359736 */ // Label 33210: @2359736
     /* 2359736 */ GIM_Reject,
     /* 2359737 */ // Label 33158: @2359737
     /* 2359737 */ GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2359851),
     /* 2359742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2359745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2359748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359760 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2359805), // Rule ID 50446 //
     /* 2359765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359768 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2359771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2359785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359804 */     // GIR_Coverage, 50446,
     /* 2359804 */     GIR_EraseRootFromParent_Done,
     /* 2359805 */   // Label 33214: @2359805
     /* 2359805 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2359850), // Rule ID 50447 //
     /* 2359810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359813 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2359816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2359830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359849 */     // GIR_Coverage, 50447,
     /* 2359849 */     GIR_EraseRootFromParent_Done,
     /* 2359850 */   // Label 33215: @2359850
     /* 2359850 */   GIM_Reject,
     /* 2359851 */ // Label 33213: @2359851
     /* 2359851 */ GIM_Reject,
     /* 2359852 */ // Label 33159: @2359852
     /* 2359852 */ GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2359966),
     /* 2359857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2359860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2359863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359875 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2359920), // Rule ID 50462 //
     /* 2359880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359883 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2359886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2359900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359919 */     // GIR_Coverage, 50462,
     /* 2359919 */     GIR_EraseRootFromParent_Done,
     /* 2359920 */   // Label 33217: @2359920
     /* 2359920 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2359965), // Rule ID 50463 //
     /* 2359925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359928 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2359931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2359945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359964 */     // GIR_Coverage, 50463,
     /* 2359964 */     GIR_EraseRootFromParent_Done,
     /* 2359965 */   // Label 33218: @2359965
     /* 2359965 */   GIM_Reject,
     /* 2359966 */ // Label 33216: @2359966
     /* 2359966 */ GIM_Reject,
     /* 2359967 */ // Label 33160: @2359967
     /* 2359967 */ GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2360081),
     /* 2359972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2359975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2359978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359990 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2360035), // Rule ID 50478 //
     /* 2359995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2359998 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360034 */     // GIR_Coverage, 50478,
     /* 2360034 */     GIR_EraseRootFromParent_Done,
     /* 2360035 */   // Label 33220: @2360035
     /* 2360035 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2360080), // Rule ID 50479 //
     /* 2360040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2360043 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2360046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360079 */     // GIR_Coverage, 50479,
     /* 2360079 */     GIR_EraseRootFromParent_Done,
     /* 2360080 */   // Label 33221: @2360080
     /* 2360080 */   GIM_Reject,
     /* 2360081 */ // Label 33219: @2360081
     /* 2360081 */ GIM_Reject,
     /* 2360082 */ // Label 33161: @2360082
     /* 2360082 */ GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2360196),
     /* 2360087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2360090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2360093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360105 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2360150), // Rule ID 50434 //
     /* 2360110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360113 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2360130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360149 */     // GIR_Coverage, 50434,
     /* 2360149 */     GIR_EraseRootFromParent_Done,
     /* 2360150 */   // Label 33223: @2360150
     /* 2360150 */   GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2360195), // Rule ID 50435 //
     /* 2360155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360158 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2360161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2360175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360194 */     // GIR_Coverage, 50435,
     /* 2360194 */     GIR_EraseRootFromParent_Done,
     /* 2360195 */   // Label 33224: @2360195
     /* 2360195 */   GIM_Reject,
     /* 2360196 */ // Label 33222: @2360196
     /* 2360196 */ GIM_Reject,
     /* 2360197 */ // Label 33162: @2360197
     /* 2360197 */ GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2360311),
     /* 2360202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2360205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2360208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360220 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2360265), // Rule ID 50450 //
     /* 2360225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360228 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2360245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360264 */     // GIR_Coverage, 50450,
     /* 2360264 */     GIR_EraseRootFromParent_Done,
     /* 2360265 */   // Label 33226: @2360265
     /* 2360265 */   GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2360310), // Rule ID 50451 //
     /* 2360270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360273 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2360276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2360290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360309 */     // GIR_Coverage, 50451,
     /* 2360309 */     GIR_EraseRootFromParent_Done,
     /* 2360310 */   // Label 33227: @2360310
     /* 2360310 */   GIM_Reject,
     /* 2360311 */ // Label 33225: @2360311
     /* 2360311 */ GIM_Reject,
     /* 2360312 */ // Label 33163: @2360312
     /* 2360312 */ GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2360426),
     /* 2360317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2360320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2360323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360335 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2360380), // Rule ID 50466 //
     /* 2360340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360343 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360379 */     // GIR_Coverage, 50466,
     /* 2360379 */     GIR_EraseRootFromParent_Done,
     /* 2360380 */   // Label 33229: @2360380
     /* 2360380 */   GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2360425), // Rule ID 50467 //
     /* 2360385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360388 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2360391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360424 */     // GIR_Coverage, 50467,
     /* 2360424 */     GIR_EraseRootFromParent_Done,
     /* 2360425 */   // Label 33230: @2360425
     /* 2360425 */   GIM_Reject,
     /* 2360426 */ // Label 33228: @2360426
     /* 2360426 */ GIM_Reject,
     /* 2360427 */ // Label 33164: @2360427
     /* 2360427 */ GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2360541),
     /* 2360432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2360435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2360438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360450 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2360495), // Rule ID 50438 //
     /* 2360455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360458 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2360461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2360475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360494 */     // GIR_Coverage, 50438,
     /* 2360494 */     GIR_EraseRootFromParent_Done,
     /* 2360495 */   // Label 33232: @2360495
     /* 2360495 */   GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2360540), // Rule ID 50439 //
     /* 2360500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360503 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2360506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2360520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360539 */     // GIR_Coverage, 50439,
     /* 2360539 */     GIR_EraseRootFromParent_Done,
     /* 2360540 */   // Label 33233: @2360540
     /* 2360540 */   GIM_Reject,
     /* 2360541 */ // Label 33231: @2360541
     /* 2360541 */ GIM_Reject,
     /* 2360542 */ // Label 33165: @2360542
     /* 2360542 */ GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2360656),
     /* 2360547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2360550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2360553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360565 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2360610), // Rule ID 50454 //
     /* 2360570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360573 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360609 */     // GIR_Coverage, 50454,
     /* 2360609 */     GIR_EraseRootFromParent_Done,
     /* 2360610 */   // Label 33235: @2360610
     /* 2360610 */   GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2360655), // Rule ID 50455 //
     /* 2360615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360618 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360654 */     // GIR_Coverage, 50455,
     /* 2360654 */     GIR_EraseRootFromParent_Done,
     /* 2360655 */   // Label 33236: @2360655
     /* 2360655 */   GIM_Reject,
     /* 2360656 */ // Label 33234: @2360656
     /* 2360656 */ GIM_Reject,
     /* 2360657 */ // Label 33166: @2360657
     /* 2360657 */ GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2360771),
     /* 2360662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2360665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2360668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360680 */   GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2360725), // Rule ID 50442 //
     /* 2360685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360688 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360724 */     // GIR_Coverage, 50442,
     /* 2360724 */     GIR_EraseRootFromParent_Done,
     /* 2360725 */   // Label 33238: @2360725
     /* 2360725 */   GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2360770), // Rule ID 50443 //
     /* 2360730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360733 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2360736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2360750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360769 */     // GIR_Coverage, 50443,
     /* 2360769 */     GIR_EraseRootFromParent_Done,
     /* 2360770 */   // Label 33239: @2360770
     /* 2360770 */   GIM_Reject,
     /* 2360771 */ // Label 33237: @2360771
     /* 2360771 */ GIM_Reject,
     /* 2360772 */ // Label 33167: @2360772
     /* 2360772 */ GIM_Reject,
     /* 2360773 */ // Label 83: @2360773
     /* 2360773 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33264*/ GIMT_Encode4(2363548),
     /* 2360784 */ /*GILLT_s32*//*Label 33240*/ GIMT_Encode4(2360908),
     /* 2360788 */ /*GILLT_s64*//*Label 33241*/ GIMT_Encode4(2360963), GIMT_Encode4(0),
     /* 2360796 */ /*GILLT_nxv1s8*//*Label 33242*/ GIMT_Encode4(2361018),
     /* 2360800 */ /*GILLT_nxv1s16*//*Label 33243*/ GIMT_Encode4(2361133),
     /* 2360804 */ /*GILLT_nxv1s32*//*Label 33244*/ GIMT_Encode4(2361248),
     /* 2360808 */ /*GILLT_nxv1s64*//*Label 33245*/ GIMT_Encode4(2361363), GIMT_Encode4(0),
     /* 2360816 */ /*GILLT_nxv2s8*//*Label 33246*/ GIMT_Encode4(2361478),
     /* 2360820 */ /*GILLT_nxv2s16*//*Label 33247*/ GIMT_Encode4(2361593),
     /* 2360824 */ /*GILLT_nxv2s32*//*Label 33248*/ GIMT_Encode4(2361708),
     /* 2360828 */ /*GILLT_nxv2s64*//*Label 33249*/ GIMT_Encode4(2361823), GIMT_Encode4(0),
     /* 2360836 */ /*GILLT_nxv4s8*//*Label 33250*/ GIMT_Encode4(2361938),
     /* 2360840 */ /*GILLT_nxv4s16*//*Label 33251*/ GIMT_Encode4(2362053),
     /* 2360844 */ /*GILLT_nxv4s32*//*Label 33252*/ GIMT_Encode4(2362168),
     /* 2360848 */ /*GILLT_nxv4s64*//*Label 33253*/ GIMT_Encode4(2362283), GIMT_Encode4(0),
     /* 2360856 */ /*GILLT_nxv8s8*//*Label 33254*/ GIMT_Encode4(2362398),
     /* 2360860 */ /*GILLT_nxv8s16*//*Label 33255*/ GIMT_Encode4(2362513),
     /* 2360864 */ /*GILLT_nxv8s32*//*Label 33256*/ GIMT_Encode4(2362628),
     /* 2360868 */ /*GILLT_nxv8s64*//*Label 33257*/ GIMT_Encode4(2362743), GIMT_Encode4(0),
     /* 2360876 */ /*GILLT_nxv16s8*//*Label 33258*/ GIMT_Encode4(2362858),
     /* 2360880 */ /*GILLT_nxv16s16*//*Label 33259*/ GIMT_Encode4(2362973),
     /* 2360884 */ /*GILLT_nxv16s32*//*Label 33260*/ GIMT_Encode4(2363088), GIMT_Encode4(0),
     /* 2360892 */ /*GILLT_nxv32s8*//*Label 33261*/ GIMT_Encode4(2363203),
     /* 2360896 */ /*GILLT_nxv32s16*//*Label 33262*/ GIMT_Encode4(2363318), GIMT_Encode4(0),
     /* 2360904 */ /*GILLT_nxv64s8*//*Label 33263*/ GIMT_Encode4(2363433),
     /* 2360908 */ // Label 33240: @2360908
     /* 2360908 */ GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2360962),
     /* 2360913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2360916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2360919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360931 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2360946), // Rule ID 64456 //
     /* 2360936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2360939 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2360939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2360944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360945 */     // GIR_Coverage, 64456,
     /* 2360945 */     GIR_Done,
     /* 2360946 */   // Label 33266: @2360946
     /* 2360946 */   GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2360961), // Rule ID 2425 //
     /* 2360951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2360954 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2360954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2360959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360960 */     // GIR_Coverage, 2425,
     /* 2360960 */     GIR_Done,
     /* 2360961 */   // Label 33267: @2360961
     /* 2360961 */   GIM_Reject,
     /* 2360962 */ // Label 33265: @2360962
     /* 2360962 */ GIM_Reject,
     /* 2360963 */ // Label 33241: @2360963
     /* 2360963 */ GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2361017),
     /* 2360968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2360971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2360974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360986 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2361001), // Rule ID 64455 //
     /* 2360991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2360994 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2360994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2360999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361000 */     // GIR_Coverage, 64455,
     /* 2361000 */     GIR_Done,
     /* 2361001 */   // Label 33269: @2361001
     /* 2361001 */   GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2361016), // Rule ID 2424 //
     /* 2361006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2361009 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2361009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2361014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361015 */     // GIR_Coverage, 2424,
     /* 2361015 */     GIR_Done,
     /* 2361016 */   // Label 33270: @2361016
     /* 2361016 */   GIM_Reject,
     /* 2361017 */ // Label 33268: @2361017
     /* 2361017 */ GIM_Reject,
     /* 2361018 */ // Label 33242: @2361018
     /* 2361018 */ GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2361132),
     /* 2361023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2361026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2361029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361041 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2361086), // Rule ID 50570 //
     /* 2361046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361049 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2361066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361085 */     // GIR_Coverage, 50570,
     /* 2361085 */     GIR_EraseRootFromParent_Done,
     /* 2361086 */   // Label 33272: @2361086
     /* 2361086 */   GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2361131), // Rule ID 50571 //
     /* 2361091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361094 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2361097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2361111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361130 */     // GIR_Coverage, 50571,
     /* 2361130 */     GIR_EraseRootFromParent_Done,
     /* 2361131 */   // Label 33273: @2361131
     /* 2361131 */   GIM_Reject,
     /* 2361132 */ // Label 33271: @2361132
     /* 2361132 */ GIM_Reject,
     /* 2361133 */ // Label 33243: @2361133
     /* 2361133 */ GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2361247),
     /* 2361138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2361141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2361144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361156 */   GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2361201), // Rule ID 50582 //
     /* 2361161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361164 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2361181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361200 */     // GIR_Coverage, 50582,
     /* 2361200 */     GIR_EraseRootFromParent_Done,
     /* 2361201 */   // Label 33275: @2361201
     /* 2361201 */   GIM_Try, /*On fail goto*//*Label 33276*/ GIMT_Encode4(2361246), // Rule ID 50583 //
     /* 2361206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361209 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2361212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2361226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361245 */     // GIR_Coverage, 50583,
     /* 2361245 */     GIR_EraseRootFromParent_Done,
     /* 2361246 */   // Label 33276: @2361246
     /* 2361246 */   GIM_Reject,
     /* 2361247 */ // Label 33274: @2361247
     /* 2361247 */ GIM_Reject,
     /* 2361248 */ // Label 33244: @2361248
     /* 2361248 */ GIM_Try, /*On fail goto*//*Label 33277*/ GIMT_Encode4(2361362),
     /* 2361253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2361256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2361259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361271 */   GIM_Try, /*On fail goto*//*Label 33278*/ GIMT_Encode4(2361316), // Rule ID 50590 //
     /* 2361276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361279 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2361296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361315 */     // GIR_Coverage, 50590,
     /* 2361315 */     GIR_EraseRootFromParent_Done,
     /* 2361316 */   // Label 33278: @2361316
     /* 2361316 */   GIM_Try, /*On fail goto*//*Label 33279*/ GIMT_Encode4(2361361), // Rule ID 50591 //
     /* 2361321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361324 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2361327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2361341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361360 */     // GIR_Coverage, 50591,
     /* 2361360 */     GIR_EraseRootFromParent_Done,
     /* 2361361 */   // Label 33279: @2361361
     /* 2361361 */   GIM_Reject,
     /* 2361362 */ // Label 33277: @2361362
     /* 2361362 */ GIM_Reject,
     /* 2361363 */ // Label 33245: @2361363
     /* 2361363 */ GIM_Try, /*On fail goto*//*Label 33280*/ GIMT_Encode4(2361477),
     /* 2361368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2361371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2361374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361386 */   GIM_Try, /*On fail goto*//*Label 33281*/ GIMT_Encode4(2361431), // Rule ID 50606 //
     /* 2361391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2361394 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2361411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361430 */     // GIR_Coverage, 50606,
     /* 2361430 */     GIR_EraseRootFromParent_Done,
     /* 2361431 */   // Label 33281: @2361431
     /* 2361431 */   GIM_Try, /*On fail goto*//*Label 33282*/ GIMT_Encode4(2361476), // Rule ID 50607 //
     /* 2361436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2361439 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2361442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2361456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361475 */     // GIR_Coverage, 50607,
     /* 2361475 */     GIR_EraseRootFromParent_Done,
     /* 2361476 */   // Label 33282: @2361476
     /* 2361476 */   GIM_Reject,
     /* 2361477 */ // Label 33280: @2361477
     /* 2361477 */ GIM_Reject,
     /* 2361478 */ // Label 33246: @2361478
     /* 2361478 */ GIM_Try, /*On fail goto*//*Label 33283*/ GIMT_Encode4(2361592),
     /* 2361483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2361486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2361489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361501 */   GIM_Try, /*On fail goto*//*Label 33284*/ GIMT_Encode4(2361546), // Rule ID 50574 //
     /* 2361506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361509 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2361512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2361526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361545 */     // GIR_Coverage, 50574,
     /* 2361545 */     GIR_EraseRootFromParent_Done,
     /* 2361546 */   // Label 33284: @2361546
     /* 2361546 */   GIM_Try, /*On fail goto*//*Label 33285*/ GIMT_Encode4(2361591), // Rule ID 50575 //
     /* 2361551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361554 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2361557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2361571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361590 */     // GIR_Coverage, 50575,
     /* 2361590 */     GIR_EraseRootFromParent_Done,
     /* 2361591 */   // Label 33285: @2361591
     /* 2361591 */   GIM_Reject,
     /* 2361592 */ // Label 33283: @2361592
     /* 2361592 */ GIM_Reject,
     /* 2361593 */ // Label 33247: @2361593
     /* 2361593 */ GIM_Try, /*On fail goto*//*Label 33286*/ GIMT_Encode4(2361707),
     /* 2361598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2361601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2361604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361616 */   GIM_Try, /*On fail goto*//*Label 33287*/ GIMT_Encode4(2361661), // Rule ID 50586 //
     /* 2361621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361624 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2361641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361660 */     // GIR_Coverage, 50586,
     /* 2361660 */     GIR_EraseRootFromParent_Done,
     /* 2361661 */   // Label 33287: @2361661
     /* 2361661 */   GIM_Try, /*On fail goto*//*Label 33288*/ GIMT_Encode4(2361706), // Rule ID 50587 //
     /* 2361666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361669 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2361672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2361686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361705 */     // GIR_Coverage, 50587,
     /* 2361705 */     GIR_EraseRootFromParent_Done,
     /* 2361706 */   // Label 33288: @2361706
     /* 2361706 */   GIM_Reject,
     /* 2361707 */ // Label 33286: @2361707
     /* 2361707 */ GIM_Reject,
     /* 2361708 */ // Label 33248: @2361708
     /* 2361708 */ GIM_Try, /*On fail goto*//*Label 33289*/ GIMT_Encode4(2361822),
     /* 2361713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2361716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2361719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361731 */   GIM_Try, /*On fail goto*//*Label 33290*/ GIMT_Encode4(2361776), // Rule ID 50602 //
     /* 2361736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361739 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2361756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361775 */     // GIR_Coverage, 50602,
     /* 2361775 */     GIR_EraseRootFromParent_Done,
     /* 2361776 */   // Label 33290: @2361776
     /* 2361776 */   GIM_Try, /*On fail goto*//*Label 33291*/ GIMT_Encode4(2361821), // Rule ID 50603 //
     /* 2361781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2361784 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2361801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361820 */     // GIR_Coverage, 50603,
     /* 2361820 */     GIR_EraseRootFromParent_Done,
     /* 2361821 */   // Label 33291: @2361821
     /* 2361821 */   GIM_Reject,
     /* 2361822 */ // Label 33289: @2361822
     /* 2361822 */ GIM_Reject,
     /* 2361823 */ // Label 33249: @2361823
     /* 2361823 */ GIM_Try, /*On fail goto*//*Label 33292*/ GIMT_Encode4(2361937),
     /* 2361828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2361831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2361834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361846 */   GIM_Try, /*On fail goto*//*Label 33293*/ GIMT_Encode4(2361891), // Rule ID 50646 //
     /* 2361851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2361854 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2361871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361890 */     // GIR_Coverage, 50646,
     /* 2361890 */     GIR_EraseRootFromParent_Done,
     /* 2361891 */   // Label 33293: @2361891
     /* 2361891 */   GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2361936), // Rule ID 50647 //
     /* 2361896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2361899 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2361916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361935 */     // GIR_Coverage, 50647,
     /* 2361935 */     GIR_EraseRootFromParent_Done,
     /* 2361936 */   // Label 33294: @2361936
     /* 2361936 */   GIM_Reject,
     /* 2361937 */ // Label 33292: @2361937
     /* 2361937 */ GIM_Reject,
     /* 2361938 */ // Label 33250: @2361938
     /* 2361938 */ GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2362052),
     /* 2361943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2361946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2361949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361961 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2362006), // Rule ID 50578 //
     /* 2361966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2361969 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2361972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2361986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362005 */     // GIR_Coverage, 50578,
     /* 2362005 */     GIR_EraseRootFromParent_Done,
     /* 2362006 */   // Label 33296: @2362006
     /* 2362006 */   GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2362051), // Rule ID 50579 //
     /* 2362011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362014 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2362017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2362031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362050 */     // GIR_Coverage, 50579,
     /* 2362050 */     GIR_EraseRootFromParent_Done,
     /* 2362051 */   // Label 33297: @2362051
     /* 2362051 */   GIM_Reject,
     /* 2362052 */ // Label 33295: @2362052
     /* 2362052 */ GIM_Reject,
     /* 2362053 */ // Label 33251: @2362053
     /* 2362053 */ GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2362167),
     /* 2362058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2362061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2362064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362076 */   GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2362121), // Rule ID 50598 //
     /* 2362081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362084 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2362101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362120 */     // GIR_Coverage, 50598,
     /* 2362120 */     GIR_EraseRootFromParent_Done,
     /* 2362121 */   // Label 33299: @2362121
     /* 2362121 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2362166), // Rule ID 50599 //
     /* 2362126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362129 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2362132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2362146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362165 */     // GIR_Coverage, 50599,
     /* 2362165 */     GIR_EraseRootFromParent_Done,
     /* 2362166 */   // Label 33300: @2362166
     /* 2362166 */   GIM_Reject,
     /* 2362167 */ // Label 33298: @2362167
     /* 2362167 */ GIM_Reject,
     /* 2362168 */ // Label 33252: @2362168
     /* 2362168 */ GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2362282),
     /* 2362173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2362176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2362179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362191 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2362236), // Rule ID 50634 //
     /* 2362196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362199 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2362216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362235 */     // GIR_Coverage, 50634,
     /* 2362235 */     GIR_EraseRootFromParent_Done,
     /* 2362236 */   // Label 33302: @2362236
     /* 2362236 */   GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2362281), // Rule ID 50635 //
     /* 2362241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362244 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2362247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2362261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362280 */     // GIR_Coverage, 50635,
     /* 2362280 */     GIR_EraseRootFromParent_Done,
     /* 2362281 */   // Label 33303: @2362281
     /* 2362281 */   GIM_Reject,
     /* 2362282 */ // Label 33301: @2362282
     /* 2362282 */ GIM_Reject,
     /* 2362283 */ // Label 33253: @2362283
     /* 2362283 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2362397),
     /* 2362288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2362291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2362294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362306 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2362351), // Rule ID 50650 //
     /* 2362311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2362314 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2362331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362350 */     // GIR_Coverage, 50650,
     /* 2362350 */     GIR_EraseRootFromParent_Done,
     /* 2362351 */   // Label 33305: @2362351
     /* 2362351 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2362396), // Rule ID 50651 //
     /* 2362356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2362359 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2362362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2362376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362395 */     // GIR_Coverage, 50651,
     /* 2362395 */     GIR_EraseRootFromParent_Done,
     /* 2362396 */   // Label 33306: @2362396
     /* 2362396 */   GIM_Reject,
     /* 2362397 */ // Label 33304: @2362397
     /* 2362397 */ GIM_Reject,
     /* 2362398 */ // Label 33254: @2362398
     /* 2362398 */ GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2362512),
     /* 2362403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2362406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2362409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362421 */   GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2362466), // Rule ID 50594 //
     /* 2362426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362429 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2362446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362465 */     // GIR_Coverage, 50594,
     /* 2362465 */     GIR_EraseRootFromParent_Done,
     /* 2362466 */   // Label 33308: @2362466
     /* 2362466 */   GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2362511), // Rule ID 50595 //
     /* 2362471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362474 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2362477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2362491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362510 */     // GIR_Coverage, 50595,
     /* 2362510 */     GIR_EraseRootFromParent_Done,
     /* 2362511 */   // Label 33309: @2362511
     /* 2362511 */   GIM_Reject,
     /* 2362512 */ // Label 33307: @2362512
     /* 2362512 */ GIM_Reject,
     /* 2362513 */ // Label 33255: @2362513
     /* 2362513 */ GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2362627),
     /* 2362518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2362521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2362524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362536 */   GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2362581), // Rule ID 50622 //
     /* 2362541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362544 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2362561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362580 */     // GIR_Coverage, 50622,
     /* 2362580 */     GIR_EraseRootFromParent_Done,
     /* 2362581 */   // Label 33311: @2362581
     /* 2362581 */   GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2362626), // Rule ID 50623 //
     /* 2362586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362589 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2362592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2362606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362625 */     // GIR_Coverage, 50623,
     /* 2362625 */     GIR_EraseRootFromParent_Done,
     /* 2362626 */   // Label 33312: @2362626
     /* 2362626 */   GIM_Reject,
     /* 2362627 */ // Label 33310: @2362627
     /* 2362627 */ GIM_Reject,
     /* 2362628 */ // Label 33256: @2362628
     /* 2362628 */ GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2362742),
     /* 2362633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2362636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2362639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362651 */   GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2362696), // Rule ID 50638 //
     /* 2362656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362659 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2362676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362695 */     // GIR_Coverage, 50638,
     /* 2362695 */     GIR_EraseRootFromParent_Done,
     /* 2362696 */   // Label 33314: @2362696
     /* 2362696 */   GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2362741), // Rule ID 50639 //
     /* 2362701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362704 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2362707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2362721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362740 */     // GIR_Coverage, 50639,
     /* 2362740 */     GIR_EraseRootFromParent_Done,
     /* 2362741 */   // Label 33315: @2362741
     /* 2362741 */   GIM_Reject,
     /* 2362742 */ // Label 33313: @2362742
     /* 2362742 */ GIM_Reject,
     /* 2362743 */ // Label 33257: @2362743
     /* 2362743 */ GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2362857),
     /* 2362748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2362751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2362754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362766 */   GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2362811), // Rule ID 50654 //
     /* 2362771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2362774 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2362791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362810 */     // GIR_Coverage, 50654,
     /* 2362810 */     GIR_EraseRootFromParent_Done,
     /* 2362811 */   // Label 33317: @2362811
     /* 2362811 */   GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2362856), // Rule ID 50655 //
     /* 2362816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2362819 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2362822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2362836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362855 */     // GIR_Coverage, 50655,
     /* 2362855 */     GIR_EraseRootFromParent_Done,
     /* 2362856 */   // Label 33318: @2362856
     /* 2362856 */   GIM_Reject,
     /* 2362857 */ // Label 33316: @2362857
     /* 2362857 */ GIM_Reject,
     /* 2362858 */ // Label 33258: @2362858
     /* 2362858 */ GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2362972),
     /* 2362863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2362866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2362869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362881 */   GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2362926), // Rule ID 50610 //
     /* 2362886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2362889 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2362892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2362906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362925 */     // GIR_Coverage, 50610,
     /* 2362925 */     GIR_EraseRootFromParent_Done,
     /* 2362926 */   // Label 33320: @2362926
     /* 2362926 */   GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2362971), // Rule ID 50611 //
     /* 2362931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2362934 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2362937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2362951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362970 */     // GIR_Coverage, 50611,
     /* 2362970 */     GIR_EraseRootFromParent_Done,
     /* 2362971 */   // Label 33321: @2362971
     /* 2362971 */   GIM_Reject,
     /* 2362972 */ // Label 33319: @2362972
     /* 2362972 */ GIM_Reject,
     /* 2362973 */ // Label 33259: @2362973
     /* 2362973 */ GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2363087),
     /* 2362978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2362981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2362984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2362996 */   GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2363041), // Rule ID 50626 //
     /* 2363001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363004 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2363021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363040 */     // GIR_Coverage, 50626,
     /* 2363040 */     GIR_EraseRootFromParent_Done,
     /* 2363041 */   // Label 33323: @2363041
     /* 2363041 */   GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2363086), // Rule ID 50627 //
     /* 2363046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363049 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2363066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363085 */     // GIR_Coverage, 50627,
     /* 2363085 */     GIR_EraseRootFromParent_Done,
     /* 2363086 */   // Label 33324: @2363086
     /* 2363086 */   GIM_Reject,
     /* 2363087 */ // Label 33322: @2363087
     /* 2363087 */ GIM_Reject,
     /* 2363088 */ // Label 33260: @2363088
     /* 2363088 */ GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2363202),
     /* 2363093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2363096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2363099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363111 */   GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2363156), // Rule ID 50642 //
     /* 2363116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363119 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2363136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363155 */     // GIR_Coverage, 50642,
     /* 2363155 */     GIR_EraseRootFromParent_Done,
     /* 2363156 */   // Label 33326: @2363156
     /* 2363156 */   GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2363201), // Rule ID 50643 //
     /* 2363161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363164 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2363167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2363181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363200 */     // GIR_Coverage, 50643,
     /* 2363200 */     GIR_EraseRootFromParent_Done,
     /* 2363201 */   // Label 33327: @2363201
     /* 2363201 */   GIM_Reject,
     /* 2363202 */ // Label 33325: @2363202
     /* 2363202 */ GIM_Reject,
     /* 2363203 */ // Label 33261: @2363203
     /* 2363203 */ GIM_Try, /*On fail goto*//*Label 33328*/ GIMT_Encode4(2363317),
     /* 2363208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2363211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2363214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363226 */   GIM_Try, /*On fail goto*//*Label 33329*/ GIMT_Encode4(2363271), // Rule ID 50614 //
     /* 2363231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363234 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2363251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363270 */     // GIR_Coverage, 50614,
     /* 2363270 */     GIR_EraseRootFromParent_Done,
     /* 2363271 */   // Label 33329: @2363271
     /* 2363271 */   GIM_Try, /*On fail goto*//*Label 33330*/ GIMT_Encode4(2363316), // Rule ID 50615 //
     /* 2363276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363279 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2363282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2363296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363315 */     // GIR_Coverage, 50615,
     /* 2363315 */     GIR_EraseRootFromParent_Done,
     /* 2363316 */   // Label 33330: @2363316
     /* 2363316 */   GIM_Reject,
     /* 2363317 */ // Label 33328: @2363317
     /* 2363317 */ GIM_Reject,
     /* 2363318 */ // Label 33262: @2363318
     /* 2363318 */ GIM_Try, /*On fail goto*//*Label 33331*/ GIMT_Encode4(2363432),
     /* 2363323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2363326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2363329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363341 */   GIM_Try, /*On fail goto*//*Label 33332*/ GIMT_Encode4(2363386), // Rule ID 50630 //
     /* 2363346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363349 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2363366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363385 */     // GIR_Coverage, 50630,
     /* 2363385 */     GIR_EraseRootFromParent_Done,
     /* 2363386 */   // Label 33332: @2363386
     /* 2363386 */   GIM_Try, /*On fail goto*//*Label 33333*/ GIMT_Encode4(2363431), // Rule ID 50631 //
     /* 2363391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363394 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2363397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2363411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363430 */     // GIR_Coverage, 50631,
     /* 2363430 */     GIR_EraseRootFromParent_Done,
     /* 2363431 */   // Label 33333: @2363431
     /* 2363431 */   GIM_Reject,
     /* 2363432 */ // Label 33331: @2363432
     /* 2363432 */ GIM_Reject,
     /* 2363433 */ // Label 33263: @2363433
     /* 2363433 */ GIM_Try, /*On fail goto*//*Label 33334*/ GIMT_Encode4(2363547),
     /* 2363438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2363441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2363444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363456 */   GIM_Try, /*On fail goto*//*Label 33335*/ GIMT_Encode4(2363501), // Rule ID 50618 //
     /* 2363461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2363464 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2363481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363500 */     // GIR_Coverage, 50618,
     /* 2363500 */     GIR_EraseRootFromParent_Done,
     /* 2363501 */   // Label 33335: @2363501
     /* 2363501 */   GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2363546), // Rule ID 50619 //
     /* 2363506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2363509 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2363512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2363526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363545 */     // GIR_Coverage, 50619,
     /* 2363545 */     GIR_EraseRootFromParent_Done,
     /* 2363546 */   // Label 33336: @2363546
     /* 2363546 */   GIM_Reject,
     /* 2363547 */ // Label 33334: @2363547
     /* 2363547 */ GIM_Reject,
     /* 2363548 */ // Label 33264: @2363548
     /* 2363548 */ GIM_Reject,
     /* 2363549 */ // Label 84: @2363549
     /* 2363549 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33339*/ GIMT_Encode4(2363706),
     /* 2363560 */ /*GILLT_s32*//*Label 33337*/ GIMT_Encode4(2363568),
     /* 2363564 */ /*GILLT_s64*//*Label 33338*/ GIMT_Encode4(2363637),
     /* 2363568 */ // Label 33337: @2363568
     /* 2363568 */ GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2363636),
     /* 2363573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363584 */   GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2363599), // Rule ID 64444 //
     /* 2363589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2363592 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2363592 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2363597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363598 */     // GIR_Coverage, 64444,
     /* 2363598 */     GIR_Done,
     /* 2363599 */   // Label 33341: @2363599
     /* 2363599 */   GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2363635), // Rule ID 62499 //
     /* 2363604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2363607 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2363607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2363610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2363612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2363620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2363623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2363631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363634 */     // GIR_Coverage, 62499,
     /* 2363634 */     GIR_EraseRootFromParent_Done,
     /* 2363635 */   // Label 33342: @2363635
     /* 2363635 */   GIM_Reject,
     /* 2363636 */ // Label 33340: @2363636
     /* 2363636 */ GIM_Reject,
     /* 2363637 */ // Label 33338: @2363637
     /* 2363637 */ GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2363705),
     /* 2363642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363653 */   GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2363668), // Rule ID 64443 //
     /* 2363658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2363661 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2363661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2363666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363667 */     // GIR_Coverage, 64443,
     /* 2363667 */     GIR_Done,
     /* 2363668 */   // Label 33344: @2363668
     /* 2363668 */   GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2363704), // Rule ID 62498 //
     /* 2363673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2363676 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2363676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2363679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2363681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2363689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2363692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2363700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363703 */     // GIR_Coverage, 62498,
     /* 2363703 */     GIR_EraseRootFromParent_Done,
     /* 2363704 */   // Label 33345: @2363704
     /* 2363704 */   GIM_Reject,
     /* 2363705 */ // Label 33343: @2363705
     /* 2363705 */ GIM_Reject,
     /* 2363706 */ // Label 33339: @2363706
     /* 2363706 */ GIM_Reject,
     /* 2363707 */ // Label 85: @2363707
     /* 2363707 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33348*/ GIMT_Encode4(2364286),
     /* 2363718 */ /*GILLT_s32*//*Label 33346*/ GIMT_Encode4(2363726),
     /* 2363722 */ /*GILLT_s64*//*Label 33347*/ GIMT_Encode4(2364099),
     /* 2363726 */ // Label 33346: @2363726
     /* 2363726 */ GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2363757), // Rule ID 1360 //
     /* 2363731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2363734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2363745 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2363745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2363748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363756 */   // GIR_Coverage, 1360,
     /* 2363756 */   GIR_EraseRootFromParent_Done,
     /* 2363757 */ // Label 33349: @2363757
     /* 2363757 */ GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2363788), // Rule ID 1361 //
     /* 2363762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2363765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2363776 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2363776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2363779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363787 */   // GIR_Coverage, 1361,
     /* 2363787 */   GIR_EraseRootFromParent_Done,
     /* 2363788 */ // Label 33350: @2363788
     /* 2363788 */ GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2363819), // Rule ID 1386 //
     /* 2363793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2363796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2363807 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2363807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2363810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363812 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363818 */   // GIR_Coverage, 1386,
     /* 2363818 */   GIR_EraseRootFromParent_Done,
     /* 2363819 */ // Label 33351: @2363819
     /* 2363819 */ GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2363850), // Rule ID 1387 //
     /* 2363824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2363827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2363830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2363838 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2363838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2363841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363843 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363849 */   // GIR_Coverage, 1387,
     /* 2363849 */   GIR_EraseRootFromParent_Done,
     /* 2363850 */ // Label 33352: @2363850
     /* 2363850 */ GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2363881), // Rule ID 1754 //
     /* 2363855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2363858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2363869 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2363869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2363872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363880 */   // GIR_Coverage, 1754,
     /* 2363880 */   GIR_EraseRootFromParent_Done,
     /* 2363881 */ // Label 33353: @2363881
     /* 2363881 */ GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2363912), // Rule ID 1755 //
     /* 2363886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2363889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2363900 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2363900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2363903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363905 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363911 */   // GIR_Coverage, 1755,
     /* 2363911 */   GIR_EraseRootFromParent_Done,
     /* 2363912 */ // Label 33354: @2363912
     /* 2363912 */ GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2363943), // Rule ID 1780 //
     /* 2363917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2363920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2363931 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2363931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2363934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363936 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363942 */   // GIR_Coverage, 1780,
     /* 2363942 */   GIR_EraseRootFromParent_Done,
     /* 2363943 */ // Label 33355: @2363943
     /* 2363943 */ GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2363974), // Rule ID 1781 //
     /* 2363948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2363951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2363954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2363962 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2363962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2363965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363967 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363973 */   // GIR_Coverage, 1781,
     /* 2363973 */   GIR_EraseRootFromParent_Done,
     /* 2363974 */ // Label 33356: @2363974
     /* 2363974 */ GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2364005), // Rule ID 2096 //
     /* 2363979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2363982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2363985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2363989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2363993 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2363993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2363996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364004 */   // GIR_Coverage, 2096,
     /* 2364004 */   GIR_EraseRootFromParent_Done,
     /* 2364005 */ // Label 33357: @2364005
     /* 2364005 */ GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2364036), // Rule ID 2097 //
     /* 2364010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2364013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364024 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2364024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2364027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364029 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364035 */   // GIR_Coverage, 2097,
     /* 2364035 */   GIR_EraseRootFromParent_Done,
     /* 2364036 */ // Label 33358: @2364036
     /* 2364036 */ GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2364067), // Rule ID 2122 //
     /* 2364041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2364044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2364055 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2364055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2364058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364060 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364066 */   // GIR_Coverage, 2122,
     /* 2364066 */   GIR_EraseRootFromParent_Done,
     /* 2364067 */ // Label 33359: @2364067
     /* 2364067 */ GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2364098), // Rule ID 2123 //
     /* 2364072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2364075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2364086 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2364086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2364089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364091 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364097 */   // GIR_Coverage, 2123,
     /* 2364097 */   GIR_EraseRootFromParent_Done,
     /* 2364098 */ // Label 33360: @2364098
     /* 2364098 */ GIM_Reject,
     /* 2364099 */ // Label 33347: @2364099
     /* 2364099 */ GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2364130), // Rule ID 1413 //
     /* 2364104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2364107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364118 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2364118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2364121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364123 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364129 */   // GIR_Coverage, 1413,
     /* 2364129 */   GIR_EraseRootFromParent_Done,
     /* 2364130 */ // Label 33361: @2364130
     /* 2364130 */ GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2364161), // Rule ID 1441 //
     /* 2364135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2364138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2364149 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2364149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2364152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364154 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364160 */   // GIR_Coverage, 1441,
     /* 2364160 */   GIR_EraseRootFromParent_Done,
     /* 2364161 */ // Label 33362: @2364161
     /* 2364161 */ GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2364192), // Rule ID 1811 //
     /* 2364166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2364169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364180 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2364180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2364183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364185 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364191 */   // GIR_Coverage, 1811,
     /* 2364191 */   GIR_EraseRootFromParent_Done,
     /* 2364192 */ // Label 33363: @2364192
     /* 2364192 */ GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2364223), // Rule ID 1839 //
     /* 2364197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2364200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364211 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2364211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2364214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364216 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364222 */   // GIR_Coverage, 1839,
     /* 2364222 */   GIR_EraseRootFromParent_Done,
     /* 2364223 */ // Label 33364: @2364223
     /* 2364223 */ GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2364254), // Rule ID 2147 //
     /* 2364228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2364231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364242 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2364242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2364245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364253 */   // GIR_Coverage, 2147,
     /* 2364253 */   GIR_EraseRootFromParent_Done,
     /* 2364254 */ // Label 33365: @2364254
     /* 2364254 */ GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2364285), // Rule ID 2173 //
     /* 2364259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2364262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2364273 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2364273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2364276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364278 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364284 */   // GIR_Coverage, 2173,
     /* 2364284 */   GIR_EraseRootFromParent_Done,
     /* 2364285 */ // Label 33366: @2364285
     /* 2364285 */ GIM_Reject,
     /* 2364286 */ // Label 33348: @2364286
     /* 2364286 */ GIM_Reject,
     /* 2364287 */ // Label 86: @2364287
     /* 2364287 */ GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2364496),
     /* 2364292 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2364295 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33371*/ GIMT_Encode4(2364495),
     /* 2364306 */   /*GILLT_s16*//*Label 33368*/ GIMT_Encode4(2364318),
     /* 2364310 */   /*GILLT_s32*//*Label 33369*/ GIMT_Encode4(2364377),
     /* 2364314 */   /*GILLT_s64*//*Label 33370*/ GIMT_Encode4(2364436),
     /* 2364318 */   // Label 33368: @2364318
     /* 2364318 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2364376),
     /* 2364323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364327 */     GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2364351), // Rule ID 2149 //
     /* 2364332 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2364335 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364339 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2364339 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2364342 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364344 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364346 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364349 */       GIR_RootConstrainSelectedInstOperands,
     /* 2364350 */       // GIR_Coverage, 2149,
     /* 2364350 */       GIR_EraseRootFromParent_Done,
     /* 2364351 */     // Label 33373: @2364351
     /* 2364351 */     GIM_Try, /*On fail goto*//*Label 33374*/ GIMT_Encode4(2364375), // Rule ID 2175 //
     /* 2364356 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2364359 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2364363 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2364363 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2364366 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364368 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364370 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364373 */       GIR_RootConstrainSelectedInstOperands,
     /* 2364374 */       // GIR_Coverage, 2175,
     /* 2364374 */       GIR_EraseRootFromParent_Done,
     /* 2364375 */     // Label 33374: @2364375
     /* 2364375 */     GIM_Reject,
     /* 2364376 */   // Label 33372: @2364376
     /* 2364376 */   GIM_Reject,
     /* 2364377 */   // Label 33369: @2364377
     /* 2364377 */   GIM_Try, /*On fail goto*//*Label 33375*/ GIMT_Encode4(2364435),
     /* 2364382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364386 */     GIM_Try, /*On fail goto*//*Label 33376*/ GIMT_Encode4(2364410), // Rule ID 1415 //
     /* 2364391 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2364394 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364398 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2364398 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2364401 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364403 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364405 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364408 */       GIR_RootConstrainSelectedInstOperands,
     /* 2364409 */       // GIR_Coverage, 1415,
     /* 2364409 */       GIR_EraseRootFromParent_Done,
     /* 2364410 */     // Label 33376: @2364410
     /* 2364410 */     GIM_Try, /*On fail goto*//*Label 33377*/ GIMT_Encode4(2364434), // Rule ID 1443 //
     /* 2364415 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2364418 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2364422 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2364422 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2364425 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364427 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364429 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364432 */       GIR_RootConstrainSelectedInstOperands,
     /* 2364433 */       // GIR_Coverage, 1443,
     /* 2364433 */       GIR_EraseRootFromParent_Done,
     /* 2364434 */     // Label 33377: @2364434
     /* 2364434 */     GIM_Reject,
     /* 2364435 */   // Label 33375: @2364435
     /* 2364435 */   GIM_Reject,
     /* 2364436 */   // Label 33370: @2364436
     /* 2364436 */   GIM_Try, /*On fail goto*//*Label 33378*/ GIMT_Encode4(2364494),
     /* 2364441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364445 */     GIM_Try, /*On fail goto*//*Label 33379*/ GIMT_Encode4(2364469), // Rule ID 1813 //
     /* 2364450 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2364453 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364457 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2364457 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2364460 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364462 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364464 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364467 */       GIR_RootConstrainSelectedInstOperands,
     /* 2364468 */       // GIR_Coverage, 1813,
     /* 2364468 */       GIR_EraseRootFromParent_Done,
     /* 2364469 */     // Label 33379: @2364469
     /* 2364469 */     GIM_Try, /*On fail goto*//*Label 33380*/ GIMT_Encode4(2364493), // Rule ID 1841 //
     /* 2364474 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2364477 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364481 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2364481 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2364484 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364486 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364488 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364491 */       GIR_RootConstrainSelectedInstOperands,
     /* 2364492 */       // GIR_Coverage, 1841,
     /* 2364492 */       GIR_EraseRootFromParent_Done,
     /* 2364493 */     // Label 33380: @2364493
     /* 2364493 */     GIM_Reject,
     /* 2364494 */   // Label 33378: @2364494
     /* 2364494 */   GIM_Reject,
     /* 2364495 */   // Label 33371: @2364495
     /* 2364495 */   GIM_Reject,
     /* 2364496 */ // Label 33367: @2364496
     /* 2364496 */ GIM_Reject,
     /* 2364497 */ // Label 87: @2364497
     /* 2364497 */ GIM_Try, /*On fail goto*//*Label 33381*/ GIMT_Encode4(2364512), // Rule ID 4 //
     /* 2364502 */   // MIs[0] imm20
     /* 2364502 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2364505 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2364505 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2364510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364511 */   // GIR_Coverage, 4,
     /* 2364511 */   GIR_Done,
     /* 2364512 */ // Label 33381: @2364512
     /* 2364512 */ GIM_Reject,
     /* 2364513 */ // Label 88: @2364513
     /* 2364513 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33406*/ GIMT_Encode4(2367032),
     /* 2364524 */ /*GILLT_s32*//*Label 33382*/ GIMT_Encode4(2364648),
     /* 2364528 */ /*GILLT_s64*//*Label 33383*/ GIMT_Encode4(2364696), GIMT_Encode4(0),
     /* 2364536 */ /*GILLT_nxv1s8*//*Label 33384*/ GIMT_Encode4(2364744),
     /* 2364540 */ /*GILLT_nxv1s16*//*Label 33385*/ GIMT_Encode4(2364848),
     /* 2364544 */ /*GILLT_nxv1s32*//*Label 33386*/ GIMT_Encode4(2364952),
     /* 2364548 */ /*GILLT_nxv1s64*//*Label 33387*/ GIMT_Encode4(2365056), GIMT_Encode4(0),
     /* 2364556 */ /*GILLT_nxv2s8*//*Label 33388*/ GIMT_Encode4(2365160),
     /* 2364560 */ /*GILLT_nxv2s16*//*Label 33389*/ GIMT_Encode4(2365264),
     /* 2364564 */ /*GILLT_nxv2s32*//*Label 33390*/ GIMT_Encode4(2365368),
     /* 2364568 */ /*GILLT_nxv2s64*//*Label 33391*/ GIMT_Encode4(2365472), GIMT_Encode4(0),
     /* 2364576 */ /*GILLT_nxv4s8*//*Label 33392*/ GIMT_Encode4(2365576),
     /* 2364580 */ /*GILLT_nxv4s16*//*Label 33393*/ GIMT_Encode4(2365680),
     /* 2364584 */ /*GILLT_nxv4s32*//*Label 33394*/ GIMT_Encode4(2365784),
     /* 2364588 */ /*GILLT_nxv4s64*//*Label 33395*/ GIMT_Encode4(2365888), GIMT_Encode4(0),
     /* 2364596 */ /*GILLT_nxv8s8*//*Label 33396*/ GIMT_Encode4(2365992),
     /* 2364600 */ /*GILLT_nxv8s16*//*Label 33397*/ GIMT_Encode4(2366096),
     /* 2364604 */ /*GILLT_nxv8s32*//*Label 33398*/ GIMT_Encode4(2366200),
     /* 2364608 */ /*GILLT_nxv8s64*//*Label 33399*/ GIMT_Encode4(2366304), GIMT_Encode4(0),
     /* 2364616 */ /*GILLT_nxv16s8*//*Label 33400*/ GIMT_Encode4(2366408),
     /* 2364620 */ /*GILLT_nxv16s16*//*Label 33401*/ GIMT_Encode4(2366512),
     /* 2364624 */ /*GILLT_nxv16s32*//*Label 33402*/ GIMT_Encode4(2366616), GIMT_Encode4(0),
     /* 2364632 */ /*GILLT_nxv32s8*//*Label 33403*/ GIMT_Encode4(2366720),
     /* 2364636 */ /*GILLT_nxv32s16*//*Label 33404*/ GIMT_Encode4(2366824), GIMT_Encode4(0),
     /* 2364644 */ /*GILLT_nxv64s8*//*Label 33405*/ GIMT_Encode4(2366928),
     /* 2364648 */ // Label 33382: @2364648
     /* 2364648 */ GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2364695),
     /* 2364653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364664 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2364679), // Rule ID 2407 //
     /* 2364669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2364672 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2364677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364678 */     // GIR_Coverage, 2407,
     /* 2364678 */     GIR_Done,
     /* 2364679 */   // Label 33408: @2364679
     /* 2364679 */   GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2364694), // Rule ID 64427 //
     /* 2364684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2364687 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2364687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2364692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364693 */     // GIR_Coverage, 64427,
     /* 2364693 */     GIR_Done,
     /* 2364694 */   // Label 33409: @2364694
     /* 2364694 */   GIM_Reject,
     /* 2364695 */ // Label 33407: @2364695
     /* 2364695 */ GIM_Reject,
     /* 2364696 */ // Label 33383: @2364696
     /* 2364696 */ GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2364743),
     /* 2364701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364712 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2364727), // Rule ID 2406 //
     /* 2364717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2364720 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2364720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2364725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364726 */     // GIR_Coverage, 2406,
     /* 2364726 */     GIR_Done,
     /* 2364727 */   // Label 33411: @2364727
     /* 2364727 */   GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2364742), // Rule ID 64426 //
     /* 2364732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2364735 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2364735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2364740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364741 */     // GIR_Coverage, 64426,
     /* 2364741 */     GIR_Done,
     /* 2364742 */   // Label 33412: @2364742
     /* 2364742 */   GIM_Reject,
     /* 2364743 */ // Label 33410: @2364743
     /* 2364743 */ GIM_Reject,
     /* 2364744 */ // Label 33384: @2364744
     /* 2364744 */ GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2364847),
     /* 2364749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2364752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364760 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2364803), // Rule ID 59074 //
     /* 2364765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2364768 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2364785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364802 */     // GIR_Coverage, 59074,
     /* 2364802 */     GIR_EraseRootFromParent_Done,
     /* 2364803 */   // Label 33414: @2364803
     /* 2364803 */   GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2364846), // Rule ID 59075 //
     /* 2364808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2364811 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2364828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364845 */     // GIR_Coverage, 59075,
     /* 2364845 */     GIR_EraseRootFromParent_Done,
     /* 2364846 */   // Label 33415: @2364846
     /* 2364846 */   GIM_Reject,
     /* 2364847 */ // Label 33413: @2364847
     /* 2364847 */ GIM_Reject,
     /* 2364848 */ // Label 33385: @2364848
     /* 2364848 */ GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2364951),
     /* 2364853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2364856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364864 */   GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2364907), // Rule ID 59080 //
     /* 2364869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2364872 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2364889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364906 */     // GIR_Coverage, 59080,
     /* 2364906 */     GIR_EraseRootFromParent_Done,
     /* 2364907 */   // Label 33417: @2364907
     /* 2364907 */   GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2364950), // Rule ID 59081 //
     /* 2364912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2364915 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2364932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364949 */     // GIR_Coverage, 59081,
     /* 2364949 */     GIR_EraseRootFromParent_Done,
     /* 2364950 */   // Label 33418: @2364950
     /* 2364950 */   GIM_Reject,
     /* 2364951 */ // Label 33416: @2364951
     /* 2364951 */ GIM_Reject,
     /* 2364952 */ // Label 33386: @2364952
     /* 2364952 */ GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2365055),
     /* 2364957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2364960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364968 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2365011), // Rule ID 59084 //
     /* 2364973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2364976 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2364993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365010 */     // GIR_Coverage, 59084,
     /* 2365010 */     GIR_EraseRootFromParent_Done,
     /* 2365011 */   // Label 33420: @2365011
     /* 2365011 */   GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2365054), // Rule ID 59085 //
     /* 2365016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365019 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2365022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2365036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365053 */     // GIR_Coverage, 59085,
     /* 2365053 */     GIR_EraseRootFromParent_Done,
     /* 2365054 */   // Label 33421: @2365054
     /* 2365054 */   GIM_Reject,
     /* 2365055 */ // Label 33419: @2365055
     /* 2365055 */ GIM_Reject,
     /* 2365056 */ // Label 33387: @2365056
     /* 2365056 */ GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2365159),
     /* 2365061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2365064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365072 */   GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2365115), // Rule ID 59092 //
     /* 2365077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2365080 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2365097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365114 */     // GIR_Coverage, 59092,
     /* 2365114 */     GIR_EraseRootFromParent_Done,
     /* 2365115 */   // Label 33423: @2365115
     /* 2365115 */   GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2365158), // Rule ID 59093 //
     /* 2365120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2365123 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2365140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365157 */     // GIR_Coverage, 59093,
     /* 2365157 */     GIR_EraseRootFromParent_Done,
     /* 2365158 */   // Label 33424: @2365158
     /* 2365158 */   GIM_Reject,
     /* 2365159 */ // Label 33422: @2365159
     /* 2365159 */ GIM_Reject,
     /* 2365160 */ // Label 33388: @2365160
     /* 2365160 */ GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2365263),
     /* 2365165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2365168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365176 */   GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2365219), // Rule ID 59076 //
     /* 2365181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365184 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2365187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2365201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365218 */     // GIR_Coverage, 59076,
     /* 2365218 */     GIR_EraseRootFromParent_Done,
     /* 2365219 */   // Label 33426: @2365219
     /* 2365219 */   GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2365262), // Rule ID 59077 //
     /* 2365224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365227 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2365230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2365244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365261 */     // GIR_Coverage, 59077,
     /* 2365261 */     GIR_EraseRootFromParent_Done,
     /* 2365262 */   // Label 33427: @2365262
     /* 2365262 */   GIM_Reject,
     /* 2365263 */ // Label 33425: @2365263
     /* 2365263 */ GIM_Reject,
     /* 2365264 */ // Label 33389: @2365264
     /* 2365264 */ GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2365367),
     /* 2365269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2365272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365280 */   GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2365323), // Rule ID 59082 //
     /* 2365285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365288 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2365291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2365305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365322 */     // GIR_Coverage, 59082,
     /* 2365322 */     GIR_EraseRootFromParent_Done,
     /* 2365323 */   // Label 33429: @2365323
     /* 2365323 */   GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2365366), // Rule ID 59083 //
     /* 2365328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365331 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2365334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2365348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365365 */     // GIR_Coverage, 59083,
     /* 2365365 */     GIR_EraseRootFromParent_Done,
     /* 2365366 */   // Label 33430: @2365366
     /* 2365366 */   GIM_Reject,
     /* 2365367 */ // Label 33428: @2365367
     /* 2365367 */ GIM_Reject,
     /* 2365368 */ // Label 33390: @2365368
     /* 2365368 */ GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2365471),
     /* 2365373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2365376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365384 */   GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2365427), // Rule ID 59090 //
     /* 2365389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365392 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2365395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2365409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365426 */     // GIR_Coverage, 59090,
     /* 2365426 */     GIR_EraseRootFromParent_Done,
     /* 2365427 */   // Label 33432: @2365427
     /* 2365427 */   GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2365470), // Rule ID 59091 //
     /* 2365432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365435 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2365438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2365452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365469 */     // GIR_Coverage, 59091,
     /* 2365469 */     GIR_EraseRootFromParent_Done,
     /* 2365470 */   // Label 33433: @2365470
     /* 2365470 */   GIM_Reject,
     /* 2365471 */ // Label 33431: @2365471
     /* 2365471 */ GIM_Reject,
     /* 2365472 */ // Label 33391: @2365472
     /* 2365472 */ GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2365575),
     /* 2365477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2365480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365488 */   GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2365531), // Rule ID 59112 //
     /* 2365493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2365496 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2365499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2365513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365530 */     // GIR_Coverage, 59112,
     /* 2365530 */     GIR_EraseRootFromParent_Done,
     /* 2365531 */   // Label 33435: @2365531
     /* 2365531 */   GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2365574), // Rule ID 59113 //
     /* 2365536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2365539 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2365542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2365556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365573 */     // GIR_Coverage, 59113,
     /* 2365573 */     GIR_EraseRootFromParent_Done,
     /* 2365574 */   // Label 33436: @2365574
     /* 2365574 */   GIM_Reject,
     /* 2365575 */ // Label 33434: @2365575
     /* 2365575 */ GIM_Reject,
     /* 2365576 */ // Label 33392: @2365576
     /* 2365576 */ GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2365679),
     /* 2365581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2365584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365592 */   GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2365635), // Rule ID 59078 //
     /* 2365597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365600 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2365617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365634 */     // GIR_Coverage, 59078,
     /* 2365634 */     GIR_EraseRootFromParent_Done,
     /* 2365635 */   // Label 33438: @2365635
     /* 2365635 */   GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2365678), // Rule ID 59079 //
     /* 2365640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365643 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2365660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365677 */     // GIR_Coverage, 59079,
     /* 2365677 */     GIR_EraseRootFromParent_Done,
     /* 2365678 */   // Label 33439: @2365678
     /* 2365678 */   GIM_Reject,
     /* 2365679 */ // Label 33437: @2365679
     /* 2365679 */ GIM_Reject,
     /* 2365680 */ // Label 33393: @2365680
     /* 2365680 */ GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2365783),
     /* 2365685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2365688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365696 */   GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2365739), // Rule ID 59088 //
     /* 2365701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365704 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2365721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365738 */     // GIR_Coverage, 59088,
     /* 2365738 */     GIR_EraseRootFromParent_Done,
     /* 2365739 */   // Label 33441: @2365739
     /* 2365739 */   GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2365782), // Rule ID 59089 //
     /* 2365744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365747 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2365764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365781 */     // GIR_Coverage, 59089,
     /* 2365781 */     GIR_EraseRootFromParent_Done,
     /* 2365782 */   // Label 33442: @2365782
     /* 2365782 */   GIM_Reject,
     /* 2365783 */ // Label 33440: @2365783
     /* 2365783 */ GIM_Reject,
     /* 2365784 */ // Label 33394: @2365784
     /* 2365784 */ GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2365887),
     /* 2365789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2365792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365800 */   GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2365843), // Rule ID 59106 //
     /* 2365805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365808 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2365825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365842 */     // GIR_Coverage, 59106,
     /* 2365842 */     GIR_EraseRootFromParent_Done,
     /* 2365843 */   // Label 33444: @2365843
     /* 2365843 */   GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2365886), // Rule ID 59107 //
     /* 2365848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365851 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2365868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365885 */     // GIR_Coverage, 59107,
     /* 2365885 */     GIR_EraseRootFromParent_Done,
     /* 2365886 */   // Label 33445: @2365886
     /* 2365886 */   GIM_Reject,
     /* 2365887 */ // Label 33443: @2365887
     /* 2365887 */ GIM_Reject,
     /* 2365888 */ // Label 33395: @2365888
     /* 2365888 */ GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2365991),
     /* 2365893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2365896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365904 */   GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2365947), // Rule ID 59114 //
     /* 2365909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2365912 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2365929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365946 */     // GIR_Coverage, 59114,
     /* 2365946 */     GIR_EraseRootFromParent_Done,
     /* 2365947 */   // Label 33447: @2365947
     /* 2365947 */   GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2365990), // Rule ID 59115 //
     /* 2365952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2365955 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2365972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365989 */     // GIR_Coverage, 59115,
     /* 2365989 */     GIR_EraseRootFromParent_Done,
     /* 2365990 */   // Label 33448: @2365990
     /* 2365990 */   GIM_Reject,
     /* 2365991 */ // Label 33446: @2365991
     /* 2365991 */ GIM_Reject,
     /* 2365992 */ // Label 33396: @2365992
     /* 2365992 */ GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2366095),
     /* 2365997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2366000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366008 */   GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2366051), // Rule ID 59086 //
     /* 2366013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366016 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2366019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2366033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366050 */     // GIR_Coverage, 59086,
     /* 2366050 */     GIR_EraseRootFromParent_Done,
     /* 2366051 */   // Label 33450: @2366051
     /* 2366051 */   GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2366094), // Rule ID 59087 //
     /* 2366056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366059 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2366062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2366076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366093 */     // GIR_Coverage, 59087,
     /* 2366093 */     GIR_EraseRootFromParent_Done,
     /* 2366094 */   // Label 33451: @2366094
     /* 2366094 */   GIM_Reject,
     /* 2366095 */ // Label 33449: @2366095
     /* 2366095 */ GIM_Reject,
     /* 2366096 */ // Label 33397: @2366096
     /* 2366096 */ GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2366199),
     /* 2366101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2366104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366112 */   GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2366155), // Rule ID 59100 //
     /* 2366117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366120 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2366123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2366137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366154 */     // GIR_Coverage, 59100,
     /* 2366154 */     GIR_EraseRootFromParent_Done,
     /* 2366155 */   // Label 33453: @2366155
     /* 2366155 */   GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2366198), // Rule ID 59101 //
     /* 2366160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366163 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2366166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2366180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366197 */     // GIR_Coverage, 59101,
     /* 2366197 */     GIR_EraseRootFromParent_Done,
     /* 2366198 */   // Label 33454: @2366198
     /* 2366198 */   GIM_Reject,
     /* 2366199 */ // Label 33452: @2366199
     /* 2366199 */ GIM_Reject,
     /* 2366200 */ // Label 33398: @2366200
     /* 2366200 */ GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2366303),
     /* 2366205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2366208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366216 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2366259), // Rule ID 59108 //
     /* 2366221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366224 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2366227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2366241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366258 */     // GIR_Coverage, 59108,
     /* 2366258 */     GIR_EraseRootFromParent_Done,
     /* 2366259 */   // Label 33456: @2366259
     /* 2366259 */   GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2366302), // Rule ID 59109 //
     /* 2366264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366267 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2366270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2366284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366301 */     // GIR_Coverage, 59109,
     /* 2366301 */     GIR_EraseRootFromParent_Done,
     /* 2366302 */   // Label 33457: @2366302
     /* 2366302 */   GIM_Reject,
     /* 2366303 */ // Label 33455: @2366303
     /* 2366303 */ GIM_Reject,
     /* 2366304 */ // Label 33399: @2366304
     /* 2366304 */ GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2366407),
     /* 2366309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2366312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366320 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2366363), // Rule ID 59116 //
     /* 2366325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2366328 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2366331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2366345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366362 */     // GIR_Coverage, 59116,
     /* 2366362 */     GIR_EraseRootFromParent_Done,
     /* 2366363 */   // Label 33459: @2366363
     /* 2366363 */   GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2366406), // Rule ID 59117 //
     /* 2366368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2366371 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2366374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2366388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366405 */     // GIR_Coverage, 59117,
     /* 2366405 */     GIR_EraseRootFromParent_Done,
     /* 2366406 */   // Label 33460: @2366406
     /* 2366406 */   GIM_Reject,
     /* 2366407 */ // Label 33458: @2366407
     /* 2366407 */ GIM_Reject,
     /* 2366408 */ // Label 33400: @2366408
     /* 2366408 */ GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2366511),
     /* 2366413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2366416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366424 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2366467), // Rule ID 59094 //
     /* 2366429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366432 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2366435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2366449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366466 */     // GIR_Coverage, 59094,
     /* 2366466 */     GIR_EraseRootFromParent_Done,
     /* 2366467 */   // Label 33462: @2366467
     /* 2366467 */   GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2366510), // Rule ID 59095 //
     /* 2366472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366475 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2366478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2366492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366509 */     // GIR_Coverage, 59095,
     /* 2366509 */     GIR_EraseRootFromParent_Done,
     /* 2366510 */   // Label 33463: @2366510
     /* 2366510 */   GIM_Reject,
     /* 2366511 */ // Label 33461: @2366511
     /* 2366511 */ GIM_Reject,
     /* 2366512 */ // Label 33401: @2366512
     /* 2366512 */ GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2366615),
     /* 2366517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2366520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366528 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2366571), // Rule ID 59102 //
     /* 2366533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366536 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2366553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366570 */     // GIR_Coverage, 59102,
     /* 2366570 */     GIR_EraseRootFromParent_Done,
     /* 2366571 */   // Label 33465: @2366571
     /* 2366571 */   GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2366614), // Rule ID 59103 //
     /* 2366576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366579 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2366596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366613 */     // GIR_Coverage, 59103,
     /* 2366613 */     GIR_EraseRootFromParent_Done,
     /* 2366614 */   // Label 33466: @2366614
     /* 2366614 */   GIM_Reject,
     /* 2366615 */ // Label 33464: @2366615
     /* 2366615 */ GIM_Reject,
     /* 2366616 */ // Label 33402: @2366616
     /* 2366616 */ GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2366719),
     /* 2366621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2366624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366632 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2366675), // Rule ID 59110 //
     /* 2366637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366640 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2366657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366674 */     // GIR_Coverage, 59110,
     /* 2366674 */     GIR_EraseRootFromParent_Done,
     /* 2366675 */   // Label 33468: @2366675
     /* 2366675 */   GIM_Try, /*On fail goto*//*Label 33469*/ GIMT_Encode4(2366718), // Rule ID 59111 //
     /* 2366680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366683 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2366700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366717 */     // GIR_Coverage, 59111,
     /* 2366717 */     GIR_EraseRootFromParent_Done,
     /* 2366718 */   // Label 33469: @2366718
     /* 2366718 */   GIM_Reject,
     /* 2366719 */ // Label 33467: @2366719
     /* 2366719 */ GIM_Reject,
     /* 2366720 */ // Label 33403: @2366720
     /* 2366720 */ GIM_Try, /*On fail goto*//*Label 33470*/ GIMT_Encode4(2366823),
     /* 2366725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2366728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366736 */   GIM_Try, /*On fail goto*//*Label 33471*/ GIMT_Encode4(2366779), // Rule ID 59096 //
     /* 2366741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366744 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2366761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366778 */     // GIR_Coverage, 59096,
     /* 2366778 */     GIR_EraseRootFromParent_Done,
     /* 2366779 */   // Label 33471: @2366779
     /* 2366779 */   GIM_Try, /*On fail goto*//*Label 33472*/ GIMT_Encode4(2366822), // Rule ID 59097 //
     /* 2366784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366787 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2366804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366821 */     // GIR_Coverage, 59097,
     /* 2366821 */     GIR_EraseRootFromParent_Done,
     /* 2366822 */   // Label 33472: @2366822
     /* 2366822 */   GIM_Reject,
     /* 2366823 */ // Label 33470: @2366823
     /* 2366823 */ GIM_Reject,
     /* 2366824 */ // Label 33404: @2366824
     /* 2366824 */ GIM_Try, /*On fail goto*//*Label 33473*/ GIMT_Encode4(2366927),
     /* 2366829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2366832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366840 */   GIM_Try, /*On fail goto*//*Label 33474*/ GIMT_Encode4(2366883), // Rule ID 59104 //
     /* 2366845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366848 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2366865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366882 */     // GIR_Coverage, 59104,
     /* 2366882 */     GIR_EraseRootFromParent_Done,
     /* 2366883 */   // Label 33474: @2366883
     /* 2366883 */   GIM_Try, /*On fail goto*//*Label 33475*/ GIMT_Encode4(2366926), // Rule ID 59105 //
     /* 2366888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366891 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2366908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366925 */     // GIR_Coverage, 59105,
     /* 2366925 */     GIR_EraseRootFromParent_Done,
     /* 2366926 */   // Label 33475: @2366926
     /* 2366926 */   GIM_Reject,
     /* 2366927 */ // Label 33473: @2366927
     /* 2366927 */ GIM_Reject,
     /* 2366928 */ // Label 33405: @2366928
     /* 2366928 */ GIM_Try, /*On fail goto*//*Label 33476*/ GIMT_Encode4(2367031),
     /* 2366933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2366936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366944 */   GIM_Try, /*On fail goto*//*Label 33477*/ GIMT_Encode4(2366987), // Rule ID 59098 //
     /* 2366949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366952 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2366969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366986 */     // GIR_Coverage, 59098,
     /* 2366986 */     GIR_EraseRootFromParent_Done,
     /* 2366987 */   // Label 33477: @2366987
     /* 2366987 */   GIM_Try, /*On fail goto*//*Label 33478*/ GIMT_Encode4(2367030), // Rule ID 59099 //
     /* 2366992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366995 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2367012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367029 */     // GIR_Coverage, 59099,
     /* 2367029 */     GIR_EraseRootFromParent_Done,
     /* 2367030 */   // Label 33478: @2367030
     /* 2367030 */   GIM_Reject,
     /* 2367031 */ // Label 33476: @2367031
     /* 2367031 */ GIM_Reject,
     /* 2367032 */ // Label 33406: @2367032
     /* 2367032 */ GIM_Reject,
     /* 2367033 */ // Label 89: @2367033
     /* 2367033 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33503*/ GIMT_Encode4(2369690),
     /* 2367044 */ /*GILLT_s32*//*Label 33479*/ GIMT_Encode4(2367168),
     /* 2367048 */ /*GILLT_s64*//*Label 33480*/ GIMT_Encode4(2367285), GIMT_Encode4(0),
     /* 2367056 */ /*GILLT_nxv1s8*//*Label 33481*/ GIMT_Encode4(2367402),
     /* 2367060 */ /*GILLT_nxv1s16*//*Label 33482*/ GIMT_Encode4(2367506),
     /* 2367064 */ /*GILLT_nxv1s32*//*Label 33483*/ GIMT_Encode4(2367610),
     /* 2367068 */ /*GILLT_nxv1s64*//*Label 33484*/ GIMT_Encode4(2367714), GIMT_Encode4(0),
     /* 2367076 */ /*GILLT_nxv2s8*//*Label 33485*/ GIMT_Encode4(2367818),
     /* 2367080 */ /*GILLT_nxv2s16*//*Label 33486*/ GIMT_Encode4(2367922),
     /* 2367084 */ /*GILLT_nxv2s32*//*Label 33487*/ GIMT_Encode4(2368026),
     /* 2367088 */ /*GILLT_nxv2s64*//*Label 33488*/ GIMT_Encode4(2368130), GIMT_Encode4(0),
     /* 2367096 */ /*GILLT_nxv4s8*//*Label 33489*/ GIMT_Encode4(2368234),
     /* 2367100 */ /*GILLT_nxv4s16*//*Label 33490*/ GIMT_Encode4(2368338),
     /* 2367104 */ /*GILLT_nxv4s32*//*Label 33491*/ GIMT_Encode4(2368442),
     /* 2367108 */ /*GILLT_nxv4s64*//*Label 33492*/ GIMT_Encode4(2368546), GIMT_Encode4(0),
     /* 2367116 */ /*GILLT_nxv8s8*//*Label 33493*/ GIMT_Encode4(2368650),
     /* 2367120 */ /*GILLT_nxv8s16*//*Label 33494*/ GIMT_Encode4(2368754),
     /* 2367124 */ /*GILLT_nxv8s32*//*Label 33495*/ GIMT_Encode4(2368858),
     /* 2367128 */ /*GILLT_nxv8s64*//*Label 33496*/ GIMT_Encode4(2368962), GIMT_Encode4(0),
     /* 2367136 */ /*GILLT_nxv16s8*//*Label 33497*/ GIMT_Encode4(2369066),
     /* 2367140 */ /*GILLT_nxv16s16*//*Label 33498*/ GIMT_Encode4(2369170),
     /* 2367144 */ /*GILLT_nxv16s32*//*Label 33499*/ GIMT_Encode4(2369274), GIMT_Encode4(0),
     /* 2367152 */ /*GILLT_nxv32s8*//*Label 33500*/ GIMT_Encode4(2369378),
     /* 2367156 */ /*GILLT_nxv32s16*//*Label 33501*/ GIMT_Encode4(2369482), GIMT_Encode4(0),
     /* 2367164 */ /*GILLT_nxv64s8*//*Label 33502*/ GIMT_Encode4(2369586),
     /* 2367168 */ // Label 33479: @2367168
     /* 2367168 */ GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2367284),
     /* 2367173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2367176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367180 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2367226), // Rule ID 62552 //
     /* 2367185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2367188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2367192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2367196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2367200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2367204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367209 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2367213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2367215 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2367215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2367218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2367224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367225 */     // GIR_Coverage, 62552,
     /* 2367225 */     GIR_EraseRootFromParent_Done,
     /* 2367226 */   // Label 33505: @2367226
     /* 2367226 */   GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2367245), // Rule ID 2405 //
     /* 2367231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2367234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367238 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2367238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2367243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367244 */     // GIR_Coverage, 2405,
     /* 2367244 */     GIR_Done,
     /* 2367245 */   // Label 33506: @2367245
     /* 2367245 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2367264), // Rule ID 62550 //
     /* 2367250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2367253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367257 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2367257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2367262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367263 */     // GIR_Coverage, 62550,
     /* 2367263 */     GIR_Done,
     /* 2367264 */   // Label 33507: @2367264
     /* 2367264 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2367283), // Rule ID 64429 //
     /* 2367269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2367272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367276 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2367276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2367281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367282 */     // GIR_Coverage, 64429,
     /* 2367282 */     GIR_Done,
     /* 2367283 */   // Label 33508: @2367283
     /* 2367283 */   GIM_Reject,
     /* 2367284 */ // Label 33504: @2367284
     /* 2367284 */ GIM_Reject,
     /* 2367285 */ // Label 33480: @2367285
     /* 2367285 */ GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2367401),
     /* 2367290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2367293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367297 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2367343), // Rule ID 62551 //
     /* 2367302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2367305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2367309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2367313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2367317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2367321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367326 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2367330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2367332 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2367332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2367335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2367341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367342 */     // GIR_Coverage, 62551,
     /* 2367342 */     GIR_EraseRootFromParent_Done,
     /* 2367343 */   // Label 33510: @2367343
     /* 2367343 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2367362), // Rule ID 2404 //
     /* 2367348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2367351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367355 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2367355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2367360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367361 */     // GIR_Coverage, 2404,
     /* 2367361 */     GIR_Done,
     /* 2367362 */   // Label 33511: @2367362
     /* 2367362 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2367381), // Rule ID 62549 //
     /* 2367367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2367370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367374 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2367374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2367379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367380 */     // GIR_Coverage, 62549,
     /* 2367380 */     GIR_Done,
     /* 2367381 */   // Label 33512: @2367381
     /* 2367381 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2367400), // Rule ID 64428 //
     /* 2367386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2367389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367393 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2367393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2367398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367399 */     // GIR_Coverage, 64428,
     /* 2367399 */     GIR_Done,
     /* 2367400 */   // Label 33513: @2367400
     /* 2367400 */   GIM_Reject,
     /* 2367401 */ // Label 33509: @2367401
     /* 2367401 */ GIM_Reject,
     /* 2367402 */ // Label 33481: @2367402
     /* 2367402 */ GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2367505),
     /* 2367407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2367410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367418 */   GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2367461), // Rule ID 59030 //
     /* 2367423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367426 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2367429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2367443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367460 */     // GIR_Coverage, 59030,
     /* 2367460 */     GIR_EraseRootFromParent_Done,
     /* 2367461 */   // Label 33515: @2367461
     /* 2367461 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2367504), // Rule ID 59031 //
     /* 2367466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367469 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2367472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2367486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367503 */     // GIR_Coverage, 59031,
     /* 2367503 */     GIR_EraseRootFromParent_Done,
     /* 2367504 */   // Label 33516: @2367504
     /* 2367504 */   GIM_Reject,
     /* 2367505 */ // Label 33514: @2367505
     /* 2367505 */ GIM_Reject,
     /* 2367506 */ // Label 33482: @2367506
     /* 2367506 */ GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2367609),
     /* 2367511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2367514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367522 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2367565), // Rule ID 59036 //
     /* 2367527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367530 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2367533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2367547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367564 */     // GIR_Coverage, 59036,
     /* 2367564 */     GIR_EraseRootFromParent_Done,
     /* 2367565 */   // Label 33518: @2367565
     /* 2367565 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2367608), // Rule ID 59037 //
     /* 2367570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367573 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2367576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2367590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367607 */     // GIR_Coverage, 59037,
     /* 2367607 */     GIR_EraseRootFromParent_Done,
     /* 2367608 */   // Label 33519: @2367608
     /* 2367608 */   GIM_Reject,
     /* 2367609 */ // Label 33517: @2367609
     /* 2367609 */ GIM_Reject,
     /* 2367610 */ // Label 33483: @2367610
     /* 2367610 */ GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2367713),
     /* 2367615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2367618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367626 */   GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2367669), // Rule ID 59040 //
     /* 2367631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367634 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2367637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2367651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367668 */     // GIR_Coverage, 59040,
     /* 2367668 */     GIR_EraseRootFromParent_Done,
     /* 2367669 */   // Label 33521: @2367669
     /* 2367669 */   GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2367712), // Rule ID 59041 //
     /* 2367674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367677 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2367680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2367694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367711 */     // GIR_Coverage, 59041,
     /* 2367711 */     GIR_EraseRootFromParent_Done,
     /* 2367712 */   // Label 33522: @2367712
     /* 2367712 */   GIM_Reject,
     /* 2367713 */ // Label 33520: @2367713
     /* 2367713 */ GIM_Reject,
     /* 2367714 */ // Label 33484: @2367714
     /* 2367714 */ GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2367817),
     /* 2367719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2367722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367730 */   GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2367773), // Rule ID 59048 //
     /* 2367735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2367738 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2367755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367772 */     // GIR_Coverage, 59048,
     /* 2367772 */     GIR_EraseRootFromParent_Done,
     /* 2367773 */   // Label 33524: @2367773
     /* 2367773 */   GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2367816), // Rule ID 59049 //
     /* 2367778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2367781 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2367798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367815 */     // GIR_Coverage, 59049,
     /* 2367815 */     GIR_EraseRootFromParent_Done,
     /* 2367816 */   // Label 33525: @2367816
     /* 2367816 */   GIM_Reject,
     /* 2367817 */ // Label 33523: @2367817
     /* 2367817 */ GIM_Reject,
     /* 2367818 */ // Label 33485: @2367818
     /* 2367818 */ GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2367921),
     /* 2367823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2367826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367834 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2367877), // Rule ID 59032 //
     /* 2367839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367842 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2367859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367876 */     // GIR_Coverage, 59032,
     /* 2367876 */     GIR_EraseRootFromParent_Done,
     /* 2367877 */   // Label 33527: @2367877
     /* 2367877 */   GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2367920), // Rule ID 59033 //
     /* 2367882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367885 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2367902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367919 */     // GIR_Coverage, 59033,
     /* 2367919 */     GIR_EraseRootFromParent_Done,
     /* 2367920 */   // Label 33528: @2367920
     /* 2367920 */   GIM_Reject,
     /* 2367921 */ // Label 33526: @2367921
     /* 2367921 */ GIM_Reject,
     /* 2367922 */ // Label 33486: @2367922
     /* 2367922 */ GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2368025),
     /* 2367927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2367930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367938 */   GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2367981), // Rule ID 59038 //
     /* 2367943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2367946 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2367963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367980 */     // GIR_Coverage, 59038,
     /* 2367980 */     GIR_EraseRootFromParent_Done,
     /* 2367981 */   // Label 33530: @2367981
     /* 2367981 */   GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2368024), // Rule ID 59039 //
     /* 2367986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2367989 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2368006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368023 */     // GIR_Coverage, 59039,
     /* 2368023 */     GIR_EraseRootFromParent_Done,
     /* 2368024 */   // Label 33531: @2368024
     /* 2368024 */   GIM_Reject,
     /* 2368025 */ // Label 33529: @2368025
     /* 2368025 */ GIM_Reject,
     /* 2368026 */ // Label 33487: @2368026
     /* 2368026 */ GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2368129),
     /* 2368031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2368034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368042 */   GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2368085), // Rule ID 59046 //
     /* 2368047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368050 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2368067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368084 */     // GIR_Coverage, 59046,
     /* 2368084 */     GIR_EraseRootFromParent_Done,
     /* 2368085 */   // Label 33533: @2368085
     /* 2368085 */   GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2368128), // Rule ID 59047 //
     /* 2368090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368093 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2368110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368127 */     // GIR_Coverage, 59047,
     /* 2368127 */     GIR_EraseRootFromParent_Done,
     /* 2368128 */   // Label 33534: @2368128
     /* 2368128 */   GIM_Reject,
     /* 2368129 */ // Label 33532: @2368129
     /* 2368129 */ GIM_Reject,
     /* 2368130 */ // Label 33488: @2368130
     /* 2368130 */ GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2368233),
     /* 2368135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2368138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368146 */   GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2368189), // Rule ID 59068 //
     /* 2368151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2368154 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2368157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2368171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368188 */     // GIR_Coverage, 59068,
     /* 2368188 */     GIR_EraseRootFromParent_Done,
     /* 2368189 */   // Label 33536: @2368189
     /* 2368189 */   GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2368232), // Rule ID 59069 //
     /* 2368194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2368197 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2368200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2368214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368231 */     // GIR_Coverage, 59069,
     /* 2368231 */     GIR_EraseRootFromParent_Done,
     /* 2368232 */   // Label 33537: @2368232
     /* 2368232 */   GIM_Reject,
     /* 2368233 */ // Label 33535: @2368233
     /* 2368233 */ GIM_Reject,
     /* 2368234 */ // Label 33489: @2368234
     /* 2368234 */ GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2368337),
     /* 2368239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2368242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368250 */   GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2368293), // Rule ID 59034 //
     /* 2368255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368258 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2368261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2368275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368292 */     // GIR_Coverage, 59034,
     /* 2368292 */     GIR_EraseRootFromParent_Done,
     /* 2368293 */   // Label 33539: @2368293
     /* 2368293 */   GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2368336), // Rule ID 59035 //
     /* 2368298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368301 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2368304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2368318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368335 */     // GIR_Coverage, 59035,
     /* 2368335 */     GIR_EraseRootFromParent_Done,
     /* 2368336 */   // Label 33540: @2368336
     /* 2368336 */   GIM_Reject,
     /* 2368337 */ // Label 33538: @2368337
     /* 2368337 */ GIM_Reject,
     /* 2368338 */ // Label 33490: @2368338
     /* 2368338 */ GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2368441),
     /* 2368343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2368346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368354 */   GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2368397), // Rule ID 59044 //
     /* 2368359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368362 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2368365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2368379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368396 */     // GIR_Coverage, 59044,
     /* 2368396 */     GIR_EraseRootFromParent_Done,
     /* 2368397 */   // Label 33542: @2368397
     /* 2368397 */   GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2368440), // Rule ID 59045 //
     /* 2368402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368405 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2368408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2368422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368439 */     // GIR_Coverage, 59045,
     /* 2368439 */     GIR_EraseRootFromParent_Done,
     /* 2368440 */   // Label 33543: @2368440
     /* 2368440 */   GIM_Reject,
     /* 2368441 */ // Label 33541: @2368441
     /* 2368441 */ GIM_Reject,
     /* 2368442 */ // Label 33491: @2368442
     /* 2368442 */ GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2368545),
     /* 2368447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2368450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368458 */   GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2368501), // Rule ID 59062 //
     /* 2368463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368466 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2368469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2368483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368500 */     // GIR_Coverage, 59062,
     /* 2368500 */     GIR_EraseRootFromParent_Done,
     /* 2368501 */   // Label 33545: @2368501
     /* 2368501 */   GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2368544), // Rule ID 59063 //
     /* 2368506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368509 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2368512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2368526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368543 */     // GIR_Coverage, 59063,
     /* 2368543 */     GIR_EraseRootFromParent_Done,
     /* 2368544 */   // Label 33546: @2368544
     /* 2368544 */   GIM_Reject,
     /* 2368545 */ // Label 33544: @2368545
     /* 2368545 */ GIM_Reject,
     /* 2368546 */ // Label 33492: @2368546
     /* 2368546 */ GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2368649),
     /* 2368551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2368554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368562 */   GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2368605), // Rule ID 59070 //
     /* 2368567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2368570 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2368573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2368587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368604 */     // GIR_Coverage, 59070,
     /* 2368604 */     GIR_EraseRootFromParent_Done,
     /* 2368605 */   // Label 33548: @2368605
     /* 2368605 */   GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2368648), // Rule ID 59071 //
     /* 2368610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2368613 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2368616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2368630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368647 */     // GIR_Coverage, 59071,
     /* 2368647 */     GIR_EraseRootFromParent_Done,
     /* 2368648 */   // Label 33549: @2368648
     /* 2368648 */   GIM_Reject,
     /* 2368649 */ // Label 33547: @2368649
     /* 2368649 */ GIM_Reject,
     /* 2368650 */ // Label 33493: @2368650
     /* 2368650 */ GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2368753),
     /* 2368655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2368658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368666 */   GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2368709), // Rule ID 59042 //
     /* 2368671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368674 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2368677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2368691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368708 */     // GIR_Coverage, 59042,
     /* 2368708 */     GIR_EraseRootFromParent_Done,
     /* 2368709 */   // Label 33551: @2368709
     /* 2368709 */   GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2368752), // Rule ID 59043 //
     /* 2368714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368717 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2368720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2368734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368751 */     // GIR_Coverage, 59043,
     /* 2368751 */     GIR_EraseRootFromParent_Done,
     /* 2368752 */   // Label 33552: @2368752
     /* 2368752 */   GIM_Reject,
     /* 2368753 */ // Label 33550: @2368753
     /* 2368753 */ GIM_Reject,
     /* 2368754 */ // Label 33494: @2368754
     /* 2368754 */ GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2368857),
     /* 2368759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2368762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368770 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2368813), // Rule ID 59056 //
     /* 2368775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368778 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2368795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368812 */     // GIR_Coverage, 59056,
     /* 2368812 */     GIR_EraseRootFromParent_Done,
     /* 2368813 */   // Label 33554: @2368813
     /* 2368813 */   GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2368856), // Rule ID 59057 //
     /* 2368818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368821 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2368838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368855 */     // GIR_Coverage, 59057,
     /* 2368855 */     GIR_EraseRootFromParent_Done,
     /* 2368856 */   // Label 33555: @2368856
     /* 2368856 */   GIM_Reject,
     /* 2368857 */ // Label 33553: @2368857
     /* 2368857 */ GIM_Reject,
     /* 2368858 */ // Label 33495: @2368858
     /* 2368858 */ GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2368961),
     /* 2368863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2368866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368874 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2368917), // Rule ID 59064 //
     /* 2368879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2368882 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2368899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368916 */     // GIR_Coverage, 59064,
     /* 2368916 */     GIR_EraseRootFromParent_Done,
     /* 2368917 */   // Label 33557: @2368917
     /* 2368917 */   GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2368960), // Rule ID 59065 //
     /* 2368922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2368925 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2368942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368959 */     // GIR_Coverage, 59065,
     /* 2368959 */     GIR_EraseRootFromParent_Done,
     /* 2368960 */   // Label 33558: @2368960
     /* 2368960 */   GIM_Reject,
     /* 2368961 */ // Label 33556: @2368961
     /* 2368961 */ GIM_Reject,
     /* 2368962 */ // Label 33496: @2368962
     /* 2368962 */ GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2369065),
     /* 2368967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2368970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368978 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2369021), // Rule ID 59072 //
     /* 2368983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2368986 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369020 */     // GIR_Coverage, 59072,
     /* 2369020 */     GIR_EraseRootFromParent_Done,
     /* 2369021 */   // Label 33560: @2369021
     /* 2369021 */   GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2369064), // Rule ID 59073 //
     /* 2369026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2369029 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2369032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369063 */     // GIR_Coverage, 59073,
     /* 2369063 */     GIR_EraseRootFromParent_Done,
     /* 2369064 */   // Label 33561: @2369064
     /* 2369064 */   GIM_Reject,
     /* 2369065 */ // Label 33559: @2369065
     /* 2369065 */ GIM_Reject,
     /* 2369066 */ // Label 33497: @2369066
     /* 2369066 */ GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2369169),
     /* 2369071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2369074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369082 */   GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2369125), // Rule ID 59050 //
     /* 2369087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369090 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2369093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2369107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369124 */     // GIR_Coverage, 59050,
     /* 2369124 */     GIR_EraseRootFromParent_Done,
     /* 2369125 */   // Label 33563: @2369125
     /* 2369125 */   GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2369168), // Rule ID 59051 //
     /* 2369130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369133 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2369136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2369150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369167 */     // GIR_Coverage, 59051,
     /* 2369167 */     GIR_EraseRootFromParent_Done,
     /* 2369168 */   // Label 33564: @2369168
     /* 2369168 */   GIM_Reject,
     /* 2369169 */ // Label 33562: @2369169
     /* 2369169 */ GIM_Reject,
     /* 2369170 */ // Label 33498: @2369170
     /* 2369170 */ GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2369273),
     /* 2369175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2369178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369186 */   GIM_Try, /*On fail goto*//*Label 33566*/ GIMT_Encode4(2369229), // Rule ID 59058 //
     /* 2369191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369194 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2369197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2369211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369228 */     // GIR_Coverage, 59058,
     /* 2369228 */     GIR_EraseRootFromParent_Done,
     /* 2369229 */   // Label 33566: @2369229
     /* 2369229 */   GIM_Try, /*On fail goto*//*Label 33567*/ GIMT_Encode4(2369272), // Rule ID 59059 //
     /* 2369234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369237 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2369240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2369254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369271 */     // GIR_Coverage, 59059,
     /* 2369271 */     GIR_EraseRootFromParent_Done,
     /* 2369272 */   // Label 33567: @2369272
     /* 2369272 */   GIM_Reject,
     /* 2369273 */ // Label 33565: @2369273
     /* 2369273 */ GIM_Reject,
     /* 2369274 */ // Label 33499: @2369274
     /* 2369274 */ GIM_Try, /*On fail goto*//*Label 33568*/ GIMT_Encode4(2369377),
     /* 2369279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2369282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369290 */   GIM_Try, /*On fail goto*//*Label 33569*/ GIMT_Encode4(2369333), // Rule ID 59066 //
     /* 2369295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369298 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2369301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369332 */     // GIR_Coverage, 59066,
     /* 2369332 */     GIR_EraseRootFromParent_Done,
     /* 2369333 */   // Label 33569: @2369333
     /* 2369333 */   GIM_Try, /*On fail goto*//*Label 33570*/ GIMT_Encode4(2369376), // Rule ID 59067 //
     /* 2369338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369341 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2369344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369375 */     // GIR_Coverage, 59067,
     /* 2369375 */     GIR_EraseRootFromParent_Done,
     /* 2369376 */   // Label 33570: @2369376
     /* 2369376 */   GIM_Reject,
     /* 2369377 */ // Label 33568: @2369377
     /* 2369377 */ GIM_Reject,
     /* 2369378 */ // Label 33500: @2369378
     /* 2369378 */ GIM_Try, /*On fail goto*//*Label 33571*/ GIMT_Encode4(2369481),
     /* 2369383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2369386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369394 */   GIM_Try, /*On fail goto*//*Label 33572*/ GIMT_Encode4(2369437), // Rule ID 59052 //
     /* 2369399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369402 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2369405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2369419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369436 */     // GIR_Coverage, 59052,
     /* 2369436 */     GIR_EraseRootFromParent_Done,
     /* 2369437 */   // Label 33572: @2369437
     /* 2369437 */   GIM_Try, /*On fail goto*//*Label 33573*/ GIMT_Encode4(2369480), // Rule ID 59053 //
     /* 2369442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369445 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2369448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2369462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369479 */     // GIR_Coverage, 59053,
     /* 2369479 */     GIR_EraseRootFromParent_Done,
     /* 2369480 */   // Label 33573: @2369480
     /* 2369480 */   GIM_Reject,
     /* 2369481 */ // Label 33571: @2369481
     /* 2369481 */ GIM_Reject,
     /* 2369482 */ // Label 33501: @2369482
     /* 2369482 */ GIM_Try, /*On fail goto*//*Label 33574*/ GIMT_Encode4(2369585),
     /* 2369487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2369490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369498 */   GIM_Try, /*On fail goto*//*Label 33575*/ GIMT_Encode4(2369541), // Rule ID 59060 //
     /* 2369503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369506 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2369509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369540 */     // GIR_Coverage, 59060,
     /* 2369540 */     GIR_EraseRootFromParent_Done,
     /* 2369541 */   // Label 33575: @2369541
     /* 2369541 */   GIM_Try, /*On fail goto*//*Label 33576*/ GIMT_Encode4(2369584), // Rule ID 59061 //
     /* 2369546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369549 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2369552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369583 */     // GIR_Coverage, 59061,
     /* 2369583 */     GIR_EraseRootFromParent_Done,
     /* 2369584 */   // Label 33576: @2369584
     /* 2369584 */   GIM_Reject,
     /* 2369585 */ // Label 33574: @2369585
     /* 2369585 */ GIM_Reject,
     /* 2369586 */ // Label 33502: @2369586
     /* 2369586 */ GIM_Try, /*On fail goto*//*Label 33577*/ GIMT_Encode4(2369689),
     /* 2369591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2369594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369602 */   GIM_Try, /*On fail goto*//*Label 33578*/ GIMT_Encode4(2369645), // Rule ID 59054 //
     /* 2369607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369610 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2369613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369644 */     // GIR_Coverage, 59054,
     /* 2369644 */     GIR_EraseRootFromParent_Done,
     /* 2369645 */   // Label 33578: @2369645
     /* 2369645 */   GIM_Try, /*On fail goto*//*Label 33579*/ GIMT_Encode4(2369688), // Rule ID 59055 //
     /* 2369650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2369653 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2369656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2369670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369687 */     // GIR_Coverage, 59055,
     /* 2369687 */     GIR_EraseRootFromParent_Done,
     /* 2369688 */   // Label 33579: @2369688
     /* 2369688 */   GIM_Reject,
     /* 2369689 */ // Label 33577: @2369689
     /* 2369689 */ GIM_Reject,
     /* 2369690 */ // Label 33503: @2369690
     /* 2369690 */ GIM_Reject,
     /* 2369691 */ // Label 90: @2369691
     /* 2369691 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33604*/ GIMT_Encode4(2372241),
     /* 2369702 */ /*GILLT_s32*//*Label 33580*/ GIMT_Encode4(2369826),
     /* 2369706 */ /*GILLT_s64*//*Label 33581*/ GIMT_Encode4(2369874), GIMT_Encode4(0),
     /* 2369714 */ /*GILLT_nxv1s8*//*Label 33582*/ GIMT_Encode4(2369953),
     /* 2369718 */ /*GILLT_nxv1s16*//*Label 33583*/ GIMT_Encode4(2370057),
     /* 2369722 */ /*GILLT_nxv1s32*//*Label 33584*/ GIMT_Encode4(2370161),
     /* 2369726 */ /*GILLT_nxv1s64*//*Label 33585*/ GIMT_Encode4(2370265), GIMT_Encode4(0),
     /* 2369734 */ /*GILLT_nxv2s8*//*Label 33586*/ GIMT_Encode4(2370369),
     /* 2369738 */ /*GILLT_nxv2s16*//*Label 33587*/ GIMT_Encode4(2370473),
     /* 2369742 */ /*GILLT_nxv2s32*//*Label 33588*/ GIMT_Encode4(2370577),
     /* 2369746 */ /*GILLT_nxv2s64*//*Label 33589*/ GIMT_Encode4(2370681), GIMT_Encode4(0),
     /* 2369754 */ /*GILLT_nxv4s8*//*Label 33590*/ GIMT_Encode4(2370785),
     /* 2369758 */ /*GILLT_nxv4s16*//*Label 33591*/ GIMT_Encode4(2370889),
     /* 2369762 */ /*GILLT_nxv4s32*//*Label 33592*/ GIMT_Encode4(2370993),
     /* 2369766 */ /*GILLT_nxv4s64*//*Label 33593*/ GIMT_Encode4(2371097), GIMT_Encode4(0),
     /* 2369774 */ /*GILLT_nxv8s8*//*Label 33594*/ GIMT_Encode4(2371201),
     /* 2369778 */ /*GILLT_nxv8s16*//*Label 33595*/ GIMT_Encode4(2371305),
     /* 2369782 */ /*GILLT_nxv8s32*//*Label 33596*/ GIMT_Encode4(2371409),
     /* 2369786 */ /*GILLT_nxv8s64*//*Label 33597*/ GIMT_Encode4(2371513), GIMT_Encode4(0),
     /* 2369794 */ /*GILLT_nxv16s8*//*Label 33598*/ GIMT_Encode4(2371617),
     /* 2369798 */ /*GILLT_nxv16s16*//*Label 33599*/ GIMT_Encode4(2371721),
     /* 2369802 */ /*GILLT_nxv16s32*//*Label 33600*/ GIMT_Encode4(2371825), GIMT_Encode4(0),
     /* 2369810 */ /*GILLT_nxv32s8*//*Label 33601*/ GIMT_Encode4(2371929),
     /* 2369814 */ /*GILLT_nxv32s16*//*Label 33602*/ GIMT_Encode4(2372033), GIMT_Encode4(0),
     /* 2369822 */ /*GILLT_nxv64s8*//*Label 33603*/ GIMT_Encode4(2372137),
     /* 2369826 */ // Label 33580: @2369826
     /* 2369826 */ GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2369873),
     /* 2369831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369842 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2369857), // Rule ID 2409 //
     /* 2369847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2369850 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2369850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2369855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369856 */     // GIR_Coverage, 2409,
     /* 2369856 */     GIR_Done,
     /* 2369857 */   // Label 33606: @2369857
     /* 2369857 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2369872), // Rule ID 64432 //
     /* 2369862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2369865 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2369865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2369870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369871 */     // GIR_Coverage, 64432,
     /* 2369871 */     GIR_Done,
     /* 2369872 */   // Label 33607: @2369872
     /* 2369872 */   GIM_Reject,
     /* 2369873 */ // Label 33605: @2369873
     /* 2369873 */ GIM_Reject,
     /* 2369874 */ // Label 33581: @2369874
     /* 2369874 */ GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2369952),
     /* 2369879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369886 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2369913), // Rule ID 2412 //
     /* 2369891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2369894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2369901 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2369901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2369904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2369911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369912 */     // GIR_Coverage, 2412,
     /* 2369912 */     GIR_EraseRootFromParent_Done,
     /* 2369913 */   // Label 33609: @2369913
     /* 2369913 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2369932), // Rule ID 2408 //
     /* 2369918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2369921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369925 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2369925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2369930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369931 */     // GIR_Coverage, 2408,
     /* 2369931 */     GIR_Done,
     /* 2369932 */   // Label 33610: @2369932
     /* 2369932 */   GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2369951), // Rule ID 64431 //
     /* 2369937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2369940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369944 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2369944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2369949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369950 */     // GIR_Coverage, 64431,
     /* 2369950 */     GIR_Done,
     /* 2369951 */   // Label 33611: @2369951
     /* 2369951 */   GIM_Reject,
     /* 2369952 */ // Label 33608: @2369952
     /* 2369952 */ GIM_Reject,
     /* 2369953 */ // Label 33582: @2369953
     /* 2369953 */ GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2370056),
     /* 2369958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2369961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369969 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2370012), // Rule ID 59118 //
     /* 2369974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2369977 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2369980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2369994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370011 */     // GIR_Coverage, 59118,
     /* 2370011 */     GIR_EraseRootFromParent_Done,
     /* 2370012 */   // Label 33613: @2370012
     /* 2370012 */   GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2370055), // Rule ID 59119 //
     /* 2370017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370020 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2370023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2370037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370054 */     // GIR_Coverage, 59119,
     /* 2370054 */     GIR_EraseRootFromParent_Done,
     /* 2370055 */   // Label 33614: @2370055
     /* 2370055 */   GIM_Reject,
     /* 2370056 */ // Label 33612: @2370056
     /* 2370056 */ GIM_Reject,
     /* 2370057 */ // Label 33583: @2370057
     /* 2370057 */ GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2370160),
     /* 2370062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2370065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370073 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2370116), // Rule ID 59124 //
     /* 2370078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370081 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2370084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2370098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370115 */     // GIR_Coverage, 59124,
     /* 2370115 */     GIR_EraseRootFromParent_Done,
     /* 2370116 */   // Label 33616: @2370116
     /* 2370116 */   GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2370159), // Rule ID 59125 //
     /* 2370121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370124 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2370127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2370141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370158 */     // GIR_Coverage, 59125,
     /* 2370158 */     GIR_EraseRootFromParent_Done,
     /* 2370159 */   // Label 33617: @2370159
     /* 2370159 */   GIM_Reject,
     /* 2370160 */ // Label 33615: @2370160
     /* 2370160 */ GIM_Reject,
     /* 2370161 */ // Label 33584: @2370161
     /* 2370161 */ GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2370264),
     /* 2370166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2370169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370177 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2370220), // Rule ID 59128 //
     /* 2370182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370185 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2370188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2370202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370219 */     // GIR_Coverage, 59128,
     /* 2370219 */     GIR_EraseRootFromParent_Done,
     /* 2370220 */   // Label 33619: @2370220
     /* 2370220 */   GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2370263), // Rule ID 59129 //
     /* 2370225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370228 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2370231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2370245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370262 */     // GIR_Coverage, 59129,
     /* 2370262 */     GIR_EraseRootFromParent_Done,
     /* 2370263 */   // Label 33620: @2370263
     /* 2370263 */   GIM_Reject,
     /* 2370264 */ // Label 33618: @2370264
     /* 2370264 */ GIM_Reject,
     /* 2370265 */ // Label 33585: @2370265
     /* 2370265 */ GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2370368),
     /* 2370270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2370273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370281 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2370324), // Rule ID 59136 //
     /* 2370286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2370289 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2370306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370323 */     // GIR_Coverage, 59136,
     /* 2370323 */     GIR_EraseRootFromParent_Done,
     /* 2370324 */   // Label 33622: @2370324
     /* 2370324 */   GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2370367), // Rule ID 59137 //
     /* 2370329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2370332 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2370349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370366 */     // GIR_Coverage, 59137,
     /* 2370366 */     GIR_EraseRootFromParent_Done,
     /* 2370367 */   // Label 33623: @2370367
     /* 2370367 */   GIM_Reject,
     /* 2370368 */ // Label 33621: @2370368
     /* 2370368 */ GIM_Reject,
     /* 2370369 */ // Label 33586: @2370369
     /* 2370369 */ GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2370472),
     /* 2370374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2370377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370385 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2370428), // Rule ID 59120 //
     /* 2370390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370393 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2370396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2370410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370427 */     // GIR_Coverage, 59120,
     /* 2370427 */     GIR_EraseRootFromParent_Done,
     /* 2370428 */   // Label 33625: @2370428
     /* 2370428 */   GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2370471), // Rule ID 59121 //
     /* 2370433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370436 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2370439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2370453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370470 */     // GIR_Coverage, 59121,
     /* 2370470 */     GIR_EraseRootFromParent_Done,
     /* 2370471 */   // Label 33626: @2370471
     /* 2370471 */   GIM_Reject,
     /* 2370472 */ // Label 33624: @2370472
     /* 2370472 */ GIM_Reject,
     /* 2370473 */ // Label 33587: @2370473
     /* 2370473 */ GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2370576),
     /* 2370478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2370481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370489 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2370532), // Rule ID 59126 //
     /* 2370494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370497 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2370514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370531 */     // GIR_Coverage, 59126,
     /* 2370531 */     GIR_EraseRootFromParent_Done,
     /* 2370532 */   // Label 33628: @2370532
     /* 2370532 */   GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2370575), // Rule ID 59127 //
     /* 2370537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370540 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2370557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370574 */     // GIR_Coverage, 59127,
     /* 2370574 */     GIR_EraseRootFromParent_Done,
     /* 2370575 */   // Label 33629: @2370575
     /* 2370575 */   GIM_Reject,
     /* 2370576 */ // Label 33627: @2370576
     /* 2370576 */ GIM_Reject,
     /* 2370577 */ // Label 33588: @2370577
     /* 2370577 */ GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2370680),
     /* 2370582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2370585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370593 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2370636), // Rule ID 59134 //
     /* 2370598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370601 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2370618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370635 */     // GIR_Coverage, 59134,
     /* 2370635 */     GIR_EraseRootFromParent_Done,
     /* 2370636 */   // Label 33631: @2370636
     /* 2370636 */   GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2370679), // Rule ID 59135 //
     /* 2370641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370644 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2370661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370678 */     // GIR_Coverage, 59135,
     /* 2370678 */     GIR_EraseRootFromParent_Done,
     /* 2370679 */   // Label 33632: @2370679
     /* 2370679 */   GIM_Reject,
     /* 2370680 */ // Label 33630: @2370680
     /* 2370680 */ GIM_Reject,
     /* 2370681 */ // Label 33589: @2370681
     /* 2370681 */ GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2370784),
     /* 2370686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2370689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370697 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2370740), // Rule ID 59156 //
     /* 2370702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2370705 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2370722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370739 */     // GIR_Coverage, 59156,
     /* 2370739 */     GIR_EraseRootFromParent_Done,
     /* 2370740 */   // Label 33634: @2370740
     /* 2370740 */   GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2370783), // Rule ID 59157 //
     /* 2370745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2370748 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2370765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370782 */     // GIR_Coverage, 59157,
     /* 2370782 */     GIR_EraseRootFromParent_Done,
     /* 2370783 */   // Label 33635: @2370783
     /* 2370783 */   GIM_Reject,
     /* 2370784 */ // Label 33633: @2370784
     /* 2370784 */ GIM_Reject,
     /* 2370785 */ // Label 33590: @2370785
     /* 2370785 */ GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2370888),
     /* 2370790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2370793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370801 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2370844), // Rule ID 59122 //
     /* 2370806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370809 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2370826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370843 */     // GIR_Coverage, 59122,
     /* 2370843 */     GIR_EraseRootFromParent_Done,
     /* 2370844 */   // Label 33637: @2370844
     /* 2370844 */   GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2370887), // Rule ID 59123 //
     /* 2370849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370852 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2370869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370886 */     // GIR_Coverage, 59123,
     /* 2370886 */     GIR_EraseRootFromParent_Done,
     /* 2370887 */   // Label 33638: @2370887
     /* 2370887 */   GIM_Reject,
     /* 2370888 */ // Label 33636: @2370888
     /* 2370888 */ GIM_Reject,
     /* 2370889 */ // Label 33591: @2370889
     /* 2370889 */ GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2370992),
     /* 2370894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2370897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370905 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2370948), // Rule ID 59132 //
     /* 2370910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2370913 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2370930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370947 */     // GIR_Coverage, 59132,
     /* 2370947 */     GIR_EraseRootFromParent_Done,
     /* 2370948 */   // Label 33640: @2370948
     /* 2370948 */   GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2370991), // Rule ID 59133 //
     /* 2370953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2370956 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2370973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370990 */     // GIR_Coverage, 59133,
     /* 2370990 */     GIR_EraseRootFromParent_Done,
     /* 2370991 */   // Label 33641: @2370991
     /* 2370991 */   GIM_Reject,
     /* 2370992 */ // Label 33639: @2370992
     /* 2370992 */ GIM_Reject,
     /* 2370993 */ // Label 33592: @2370993
     /* 2370993 */ GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2371096),
     /* 2370998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2371001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371009 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2371052), // Rule ID 59150 //
     /* 2371014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371017 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2371034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371051 */     // GIR_Coverage, 59150,
     /* 2371051 */     GIR_EraseRootFromParent_Done,
     /* 2371052 */   // Label 33643: @2371052
     /* 2371052 */   GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2371095), // Rule ID 59151 //
     /* 2371057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371060 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2371077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371094 */     // GIR_Coverage, 59151,
     /* 2371094 */     GIR_EraseRootFromParent_Done,
     /* 2371095 */   // Label 33644: @2371095
     /* 2371095 */   GIM_Reject,
     /* 2371096 */ // Label 33642: @2371096
     /* 2371096 */ GIM_Reject,
     /* 2371097 */ // Label 33593: @2371097
     /* 2371097 */ GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2371200),
     /* 2371102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2371105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371113 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2371156), // Rule ID 59158 //
     /* 2371118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2371121 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2371138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371155 */     // GIR_Coverage, 59158,
     /* 2371155 */     GIR_EraseRootFromParent_Done,
     /* 2371156 */   // Label 33646: @2371156
     /* 2371156 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2371199), // Rule ID 59159 //
     /* 2371161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2371164 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2371181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371198 */     // GIR_Coverage, 59159,
     /* 2371198 */     GIR_EraseRootFromParent_Done,
     /* 2371199 */   // Label 33647: @2371199
     /* 2371199 */   GIM_Reject,
     /* 2371200 */ // Label 33645: @2371200
     /* 2371200 */ GIM_Reject,
     /* 2371201 */ // Label 33594: @2371201
     /* 2371201 */ GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2371304),
     /* 2371206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2371209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371217 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2371260), // Rule ID 59130 //
     /* 2371222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371225 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2371228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2371242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371259 */     // GIR_Coverage, 59130,
     /* 2371259 */     GIR_EraseRootFromParent_Done,
     /* 2371260 */   // Label 33649: @2371260
     /* 2371260 */   GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2371303), // Rule ID 59131 //
     /* 2371265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371268 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2371271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2371285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371302 */     // GIR_Coverage, 59131,
     /* 2371302 */     GIR_EraseRootFromParent_Done,
     /* 2371303 */   // Label 33650: @2371303
     /* 2371303 */   GIM_Reject,
     /* 2371304 */ // Label 33648: @2371304
     /* 2371304 */ GIM_Reject,
     /* 2371305 */ // Label 33595: @2371305
     /* 2371305 */ GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2371408),
     /* 2371310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2371313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371321 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2371364), // Rule ID 59144 //
     /* 2371326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371329 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2371346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371363 */     // GIR_Coverage, 59144,
     /* 2371363 */     GIR_EraseRootFromParent_Done,
     /* 2371364 */   // Label 33652: @2371364
     /* 2371364 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2371407), // Rule ID 59145 //
     /* 2371369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371372 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2371389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371406 */     // GIR_Coverage, 59145,
     /* 2371406 */     GIR_EraseRootFromParent_Done,
     /* 2371407 */   // Label 33653: @2371407
     /* 2371407 */   GIM_Reject,
     /* 2371408 */ // Label 33651: @2371408
     /* 2371408 */ GIM_Reject,
     /* 2371409 */ // Label 33596: @2371409
     /* 2371409 */ GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2371512),
     /* 2371414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2371417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371425 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2371468), // Rule ID 59152 //
     /* 2371430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371433 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2371450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371467 */     // GIR_Coverage, 59152,
     /* 2371467 */     GIR_EraseRootFromParent_Done,
     /* 2371468 */   // Label 33655: @2371468
     /* 2371468 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2371511), // Rule ID 59153 //
     /* 2371473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371476 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2371493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371510 */     // GIR_Coverage, 59153,
     /* 2371510 */     GIR_EraseRootFromParent_Done,
     /* 2371511 */   // Label 33656: @2371511
     /* 2371511 */   GIM_Reject,
     /* 2371512 */ // Label 33654: @2371512
     /* 2371512 */ GIM_Reject,
     /* 2371513 */ // Label 33597: @2371513
     /* 2371513 */ GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2371616),
     /* 2371518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2371521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371529 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2371572), // Rule ID 59160 //
     /* 2371534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2371537 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2371554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371571 */     // GIR_Coverage, 59160,
     /* 2371571 */     GIR_EraseRootFromParent_Done,
     /* 2371572 */   // Label 33658: @2371572
     /* 2371572 */   GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2371615), // Rule ID 59161 //
     /* 2371577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2371580 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2371597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371614 */     // GIR_Coverage, 59161,
     /* 2371614 */     GIR_EraseRootFromParent_Done,
     /* 2371615 */   // Label 33659: @2371615
     /* 2371615 */   GIM_Reject,
     /* 2371616 */ // Label 33657: @2371616
     /* 2371616 */ GIM_Reject,
     /* 2371617 */ // Label 33598: @2371617
     /* 2371617 */ GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2371720),
     /* 2371622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2371625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371633 */   GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2371676), // Rule ID 59138 //
     /* 2371638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371641 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2371644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2371658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371675 */     // GIR_Coverage, 59138,
     /* 2371675 */     GIR_EraseRootFromParent_Done,
     /* 2371676 */   // Label 33661: @2371676
     /* 2371676 */   GIM_Try, /*On fail goto*//*Label 33662*/ GIMT_Encode4(2371719), // Rule ID 59139 //
     /* 2371681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371684 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2371687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2371701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371718 */     // GIR_Coverage, 59139,
     /* 2371718 */     GIR_EraseRootFromParent_Done,
     /* 2371719 */   // Label 33662: @2371719
     /* 2371719 */   GIM_Reject,
     /* 2371720 */ // Label 33660: @2371720
     /* 2371720 */ GIM_Reject,
     /* 2371721 */ // Label 33599: @2371721
     /* 2371721 */ GIM_Try, /*On fail goto*//*Label 33663*/ GIMT_Encode4(2371824),
     /* 2371726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2371729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371737 */   GIM_Try, /*On fail goto*//*Label 33664*/ GIMT_Encode4(2371780), // Rule ID 59146 //
     /* 2371742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371745 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2371762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371779 */     // GIR_Coverage, 59146,
     /* 2371779 */     GIR_EraseRootFromParent_Done,
     /* 2371780 */   // Label 33664: @2371780
     /* 2371780 */   GIM_Try, /*On fail goto*//*Label 33665*/ GIMT_Encode4(2371823), // Rule ID 59147 //
     /* 2371785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371788 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2371805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371822 */     // GIR_Coverage, 59147,
     /* 2371822 */     GIR_EraseRootFromParent_Done,
     /* 2371823 */   // Label 33665: @2371823
     /* 2371823 */   GIM_Reject,
     /* 2371824 */ // Label 33663: @2371824
     /* 2371824 */ GIM_Reject,
     /* 2371825 */ // Label 33600: @2371825
     /* 2371825 */ GIM_Try, /*On fail goto*//*Label 33666*/ GIMT_Encode4(2371928),
     /* 2371830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2371833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371841 */   GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2371884), // Rule ID 59154 //
     /* 2371846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371849 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2371866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371883 */     // GIR_Coverage, 59154,
     /* 2371883 */     GIR_EraseRootFromParent_Done,
     /* 2371884 */   // Label 33667: @2371884
     /* 2371884 */   GIM_Try, /*On fail goto*//*Label 33668*/ GIMT_Encode4(2371927), // Rule ID 59155 //
     /* 2371889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371892 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2371909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371926 */     // GIR_Coverage, 59155,
     /* 2371926 */     GIR_EraseRootFromParent_Done,
     /* 2371927 */   // Label 33668: @2371927
     /* 2371927 */   GIM_Reject,
     /* 2371928 */ // Label 33666: @2371928
     /* 2371928 */ GIM_Reject,
     /* 2371929 */ // Label 33601: @2371929
     /* 2371929 */ GIM_Try, /*On fail goto*//*Label 33669*/ GIMT_Encode4(2372032),
     /* 2371934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2371937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371945 */   GIM_Try, /*On fail goto*//*Label 33670*/ GIMT_Encode4(2371988), // Rule ID 59140 //
     /* 2371950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2371953 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2371956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2371970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371987 */     // GIR_Coverage, 59140,
     /* 2371987 */     GIR_EraseRootFromParent_Done,
     /* 2371988 */   // Label 33670: @2371988
     /* 2371988 */   GIM_Try, /*On fail goto*//*Label 33671*/ GIMT_Encode4(2372031), // Rule ID 59141 //
     /* 2371993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2371996 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2371999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2372013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372030 */     // GIR_Coverage, 59141,
     /* 2372030 */     GIR_EraseRootFromParent_Done,
     /* 2372031 */   // Label 33671: @2372031
     /* 2372031 */   GIM_Reject,
     /* 2372032 */ // Label 33669: @2372032
     /* 2372032 */ GIM_Reject,
     /* 2372033 */ // Label 33602: @2372033
     /* 2372033 */ GIM_Try, /*On fail goto*//*Label 33672*/ GIMT_Encode4(2372136),
     /* 2372038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2372041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372049 */   GIM_Try, /*On fail goto*//*Label 33673*/ GIMT_Encode4(2372092), // Rule ID 59148 //
     /* 2372054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372057 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2372060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2372074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372091 */     // GIR_Coverage, 59148,
     /* 2372091 */     GIR_EraseRootFromParent_Done,
     /* 2372092 */   // Label 33673: @2372092
     /* 2372092 */   GIM_Try, /*On fail goto*//*Label 33674*/ GIMT_Encode4(2372135), // Rule ID 59149 //
     /* 2372097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372100 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2372103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2372117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372134 */     // GIR_Coverage, 59149,
     /* 2372134 */     GIR_EraseRootFromParent_Done,
     /* 2372135 */   // Label 33674: @2372135
     /* 2372135 */   GIM_Reject,
     /* 2372136 */ // Label 33672: @2372136
     /* 2372136 */ GIM_Reject,
     /* 2372137 */ // Label 33603: @2372137
     /* 2372137 */ GIM_Try, /*On fail goto*//*Label 33675*/ GIMT_Encode4(2372240),
     /* 2372142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2372145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372153 */   GIM_Try, /*On fail goto*//*Label 33676*/ GIMT_Encode4(2372196), // Rule ID 59142 //
     /* 2372158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2372161 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2372164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2372178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372195 */     // GIR_Coverage, 59142,
     /* 2372195 */     GIR_EraseRootFromParent_Done,
     /* 2372196 */   // Label 33676: @2372196
     /* 2372196 */   GIM_Try, /*On fail goto*//*Label 33677*/ GIMT_Encode4(2372239), // Rule ID 59143 //
     /* 2372201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2372204 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2372207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2372221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372238 */     // GIR_Coverage, 59143,
     /* 2372238 */     GIR_EraseRootFromParent_Done,
     /* 2372239 */   // Label 33677: @2372239
     /* 2372239 */   GIM_Reject,
     /* 2372240 */ // Label 33675: @2372240
     /* 2372240 */ GIM_Reject,
     /* 2372241 */ // Label 33604: @2372241
     /* 2372241 */ GIM_Reject,
     /* 2372242 */ // Label 91: @2372242
     /* 2372242 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33702*/ GIMT_Encode4(2374776),
     /* 2372253 */ /*GILLT_s32*//*Label 33678*/ GIMT_Encode4(2372377),
     /* 2372257 */ /*GILLT_s64*//*Label 33679*/ GIMT_Encode4(2372440), GIMT_Encode4(0),
     /* 2372265 */ /*GILLT_nxv1s8*//*Label 33680*/ GIMT_Encode4(2372488),
     /* 2372269 */ /*GILLT_nxv1s16*//*Label 33681*/ GIMT_Encode4(2372592),
     /* 2372273 */ /*GILLT_nxv1s32*//*Label 33682*/ GIMT_Encode4(2372696),
     /* 2372277 */ /*GILLT_nxv1s64*//*Label 33683*/ GIMT_Encode4(2372800), GIMT_Encode4(0),
     /* 2372285 */ /*GILLT_nxv2s8*//*Label 33684*/ GIMT_Encode4(2372904),
     /* 2372289 */ /*GILLT_nxv2s16*//*Label 33685*/ GIMT_Encode4(2373008),
     /* 2372293 */ /*GILLT_nxv2s32*//*Label 33686*/ GIMT_Encode4(2373112),
     /* 2372297 */ /*GILLT_nxv2s64*//*Label 33687*/ GIMT_Encode4(2373216), GIMT_Encode4(0),
     /* 2372305 */ /*GILLT_nxv4s8*//*Label 33688*/ GIMT_Encode4(2373320),
     /* 2372309 */ /*GILLT_nxv4s16*//*Label 33689*/ GIMT_Encode4(2373424),
     /* 2372313 */ /*GILLT_nxv4s32*//*Label 33690*/ GIMT_Encode4(2373528),
     /* 2372317 */ /*GILLT_nxv4s64*//*Label 33691*/ GIMT_Encode4(2373632), GIMT_Encode4(0),
     /* 2372325 */ /*GILLT_nxv8s8*//*Label 33692*/ GIMT_Encode4(2373736),
     /* 2372329 */ /*GILLT_nxv8s16*//*Label 33693*/ GIMT_Encode4(2373840),
     /* 2372333 */ /*GILLT_nxv8s32*//*Label 33694*/ GIMT_Encode4(2373944),
     /* 2372337 */ /*GILLT_nxv8s64*//*Label 33695*/ GIMT_Encode4(2374048), GIMT_Encode4(0),
     /* 2372345 */ /*GILLT_nxv16s8*//*Label 33696*/ GIMT_Encode4(2374152),
     /* 2372349 */ /*GILLT_nxv16s16*//*Label 33697*/ GIMT_Encode4(2374256),
     /* 2372353 */ /*GILLT_nxv16s32*//*Label 33698*/ GIMT_Encode4(2374360), GIMT_Encode4(0),
     /* 2372361 */ /*GILLT_nxv32s8*//*Label 33699*/ GIMT_Encode4(2374464),
     /* 2372365 */ /*GILLT_nxv32s16*//*Label 33700*/ GIMT_Encode4(2374568), GIMT_Encode4(0),
     /* 2372373 */ /*GILLT_nxv64s8*//*Label 33701*/ GIMT_Encode4(2374672),
     /* 2372377 */ // Label 33678: @2372377
     /* 2372377 */ GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2372439),
     /* 2372382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372393 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2372408), // Rule ID 2426 //
     /* 2372398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2372401 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2372401 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2372406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372407 */     // GIR_Coverage, 2426,
     /* 2372407 */     GIR_Done,
     /* 2372408 */   // Label 33704: @2372408
     /* 2372408 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2372423), // Rule ID 2427 //
     /* 2372413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2372416 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2372416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2372421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372422 */     // GIR_Coverage, 2427,
     /* 2372422 */     GIR_Done,
     /* 2372423 */   // Label 33705: @2372423
     /* 2372423 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2372438), // Rule ID 62554 //
     /* 2372428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2372431 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2372431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2372436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372437 */     // GIR_Coverage, 62554,
     /* 2372437 */     GIR_Done,
     /* 2372438 */   // Label 33706: @2372438
     /* 2372438 */   GIM_Reject,
     /* 2372439 */ // Label 33703: @2372439
     /* 2372439 */ GIM_Reject,
     /* 2372440 */ // Label 33679: @2372440
     /* 2372440 */ GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2372487),
     /* 2372445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372456 */   GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2372471), // Rule ID 2428 //
     /* 2372461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2372464 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2372464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2372469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372470 */     // GIR_Coverage, 2428,
     /* 2372470 */     GIR_Done,
     /* 2372471 */   // Label 33708: @2372471
     /* 2372471 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2372486), // Rule ID 62553 //
     /* 2372476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2372479 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2372479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2372484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372485 */     // GIR_Coverage, 62553,
     /* 2372485 */     GIR_Done,
     /* 2372486 */   // Label 33709: @2372486
     /* 2372486 */   GIM_Reject,
     /* 2372487 */ // Label 33707: @2372487
     /* 2372487 */ GIM_Reject,
     /* 2372488 */ // Label 33680: @2372488
     /* 2372488 */ GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2372591),
     /* 2372493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2372496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372504 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2372547), // Rule ID 58986 //
     /* 2372509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2372512 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2372515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2372529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372546 */     // GIR_Coverage, 58986,
     /* 2372546 */     GIR_EraseRootFromParent_Done,
     /* 2372547 */   // Label 33711: @2372547
     /* 2372547 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2372590), // Rule ID 58987 //
     /* 2372552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2372555 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2372558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2372572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372589 */     // GIR_Coverage, 58987,
     /* 2372589 */     GIR_EraseRootFromParent_Done,
     /* 2372590 */   // Label 33712: @2372590
     /* 2372590 */   GIM_Reject,
     /* 2372591 */ // Label 33710: @2372591
     /* 2372591 */ GIM_Reject,
     /* 2372592 */ // Label 33681: @2372592
     /* 2372592 */ GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2372695),
     /* 2372597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372608 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2372651), // Rule ID 58992 //
     /* 2372613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2372616 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2372633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372650 */     // GIR_Coverage, 58992,
     /* 2372650 */     GIR_EraseRootFromParent_Done,
     /* 2372651 */   // Label 33714: @2372651
     /* 2372651 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2372694), // Rule ID 58993 //
     /* 2372656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2372659 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2372676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372693 */     // GIR_Coverage, 58993,
     /* 2372693 */     GIR_EraseRootFromParent_Done,
     /* 2372694 */   // Label 33715: @2372694
     /* 2372694 */   GIM_Reject,
     /* 2372695 */ // Label 33713: @2372695
     /* 2372695 */ GIM_Reject,
     /* 2372696 */ // Label 33682: @2372696
     /* 2372696 */ GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2372799),
     /* 2372701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2372704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372712 */   GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2372755), // Rule ID 58996 //
     /* 2372717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2372720 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2372737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372754 */     // GIR_Coverage, 58996,
     /* 2372754 */     GIR_EraseRootFromParent_Done,
     /* 2372755 */   // Label 33717: @2372755
     /* 2372755 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2372798), // Rule ID 58997 //
     /* 2372760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2372763 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2372780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372797 */     // GIR_Coverage, 58997,
     /* 2372797 */     GIR_EraseRootFromParent_Done,
     /* 2372798 */   // Label 33718: @2372798
     /* 2372798 */   GIM_Reject,
     /* 2372799 */ // Label 33716: @2372799
     /* 2372799 */ GIM_Reject,
     /* 2372800 */ // Label 33683: @2372800
     /* 2372800 */ GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2372903),
     /* 2372805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2372808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372816 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2372859), // Rule ID 59004 //
     /* 2372821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2372824 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2372841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372858 */     // GIR_Coverage, 59004,
     /* 2372858 */     GIR_EraseRootFromParent_Done,
     /* 2372859 */   // Label 33720: @2372859
     /* 2372859 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2372902), // Rule ID 59005 //
     /* 2372864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2372867 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2372884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372901 */     // GIR_Coverage, 59005,
     /* 2372901 */     GIR_EraseRootFromParent_Done,
     /* 2372902 */   // Label 33721: @2372902
     /* 2372902 */   GIM_Reject,
     /* 2372903 */ // Label 33719: @2372903
     /* 2372903 */ GIM_Reject,
     /* 2372904 */ // Label 33684: @2372904
     /* 2372904 */ GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2373007),
     /* 2372909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2372912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372920 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2372963), // Rule ID 58988 //
     /* 2372925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2372928 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2372931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2372945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372962 */     // GIR_Coverage, 58988,
     /* 2372962 */     GIR_EraseRootFromParent_Done,
     /* 2372963 */   // Label 33723: @2372963
     /* 2372963 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2373006), // Rule ID 58989 //
     /* 2372968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2372971 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2372974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2372988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373005 */     // GIR_Coverage, 58989,
     /* 2373005 */     GIR_EraseRootFromParent_Done,
     /* 2373006 */   // Label 33724: @2373006
     /* 2373006 */   GIM_Reject,
     /* 2373007 */ // Label 33722: @2373007
     /* 2373007 */ GIM_Reject,
     /* 2373008 */ // Label 33685: @2373008
     /* 2373008 */ GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2373111),
     /* 2373013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2373016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373024 */   GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2373067), // Rule ID 58994 //
     /* 2373029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373032 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2373049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373066 */     // GIR_Coverage, 58994,
     /* 2373066 */     GIR_EraseRootFromParent_Done,
     /* 2373067 */   // Label 33726: @2373067
     /* 2373067 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2373110), // Rule ID 58995 //
     /* 2373072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2373075 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2373092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373109 */     // GIR_Coverage, 58995,
     /* 2373109 */     GIR_EraseRootFromParent_Done,
     /* 2373110 */   // Label 33727: @2373110
     /* 2373110 */   GIM_Reject,
     /* 2373111 */ // Label 33725: @2373111
     /* 2373111 */ GIM_Reject,
     /* 2373112 */ // Label 33686: @2373112
     /* 2373112 */ GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2373215),
     /* 2373117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2373120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373128 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2373171), // Rule ID 59002 //
     /* 2373133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373136 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2373153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373170 */     // GIR_Coverage, 59002,
     /* 2373170 */     GIR_EraseRootFromParent_Done,
     /* 2373171 */   // Label 33729: @2373171
     /* 2373171 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2373214), // Rule ID 59003 //
     /* 2373176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2373179 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2373196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373213 */     // GIR_Coverage, 59003,
     /* 2373213 */     GIR_EraseRootFromParent_Done,
     /* 2373214 */   // Label 33730: @2373214
     /* 2373214 */   GIM_Reject,
     /* 2373215 */ // Label 33728: @2373215
     /* 2373215 */ GIM_Reject,
     /* 2373216 */ // Label 33687: @2373216
     /* 2373216 */ GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2373319),
     /* 2373221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2373224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373232 */   GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2373275), // Rule ID 59024 //
     /* 2373237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2373240 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2373257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373274 */     // GIR_Coverage, 59024,
     /* 2373274 */     GIR_EraseRootFromParent_Done,
     /* 2373275 */   // Label 33732: @2373275
     /* 2373275 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2373318), // Rule ID 59025 //
     /* 2373280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2373283 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2373300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373317 */     // GIR_Coverage, 59025,
     /* 2373317 */     GIR_EraseRootFromParent_Done,
     /* 2373318 */   // Label 33733: @2373318
     /* 2373318 */   GIM_Reject,
     /* 2373319 */ // Label 33731: @2373319
     /* 2373319 */ GIM_Reject,
     /* 2373320 */ // Label 33688: @2373320
     /* 2373320 */ GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2373423),
     /* 2373325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2373328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373336 */   GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2373379), // Rule ID 58990 //
     /* 2373341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373344 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2373347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2373361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373378 */     // GIR_Coverage, 58990,
     /* 2373378 */     GIR_EraseRootFromParent_Done,
     /* 2373379 */   // Label 33735: @2373379
     /* 2373379 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2373422), // Rule ID 58991 //
     /* 2373384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2373387 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2373390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2373404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373421 */     // GIR_Coverage, 58991,
     /* 2373421 */     GIR_EraseRootFromParent_Done,
     /* 2373422 */   // Label 33736: @2373422
     /* 2373422 */   GIM_Reject,
     /* 2373423 */ // Label 33734: @2373423
     /* 2373423 */ GIM_Reject,
     /* 2373424 */ // Label 33689: @2373424
     /* 2373424 */ GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2373527),
     /* 2373429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2373432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373440 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2373483), // Rule ID 59000 //
     /* 2373445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373448 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2373465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373482 */     // GIR_Coverage, 59000,
     /* 2373482 */     GIR_EraseRootFromParent_Done,
     /* 2373483 */   // Label 33738: @2373483
     /* 2373483 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2373526), // Rule ID 59001 //
     /* 2373488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2373491 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2373508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373525 */     // GIR_Coverage, 59001,
     /* 2373525 */     GIR_EraseRootFromParent_Done,
     /* 2373526 */   // Label 33739: @2373526
     /* 2373526 */   GIM_Reject,
     /* 2373527 */ // Label 33737: @2373527
     /* 2373527 */ GIM_Reject,
     /* 2373528 */ // Label 33690: @2373528
     /* 2373528 */ GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2373631),
     /* 2373533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373544 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2373587), // Rule ID 59018 //
     /* 2373549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373552 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2373569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373586 */     // GIR_Coverage, 59018,
     /* 2373586 */     GIR_EraseRootFromParent_Done,
     /* 2373587 */   // Label 33741: @2373587
     /* 2373587 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2373630), // Rule ID 59019 //
     /* 2373592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2373595 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2373612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373629 */     // GIR_Coverage, 59019,
     /* 2373629 */     GIR_EraseRootFromParent_Done,
     /* 2373630 */   // Label 33742: @2373630
     /* 2373630 */   GIM_Reject,
     /* 2373631 */ // Label 33740: @2373631
     /* 2373631 */ GIM_Reject,
     /* 2373632 */ // Label 33691: @2373632
     /* 2373632 */ GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2373735),
     /* 2373637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373648 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2373691), // Rule ID 59026 //
     /* 2373653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2373656 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2373673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373690 */     // GIR_Coverage, 59026,
     /* 2373690 */     GIR_EraseRootFromParent_Done,
     /* 2373691 */   // Label 33744: @2373691
     /* 2373691 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2373734), // Rule ID 59027 //
     /* 2373696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2373699 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2373716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373733 */     // GIR_Coverage, 59027,
     /* 2373733 */     GIR_EraseRootFromParent_Done,
     /* 2373734 */   // Label 33745: @2373734
     /* 2373734 */   GIM_Reject,
     /* 2373735 */ // Label 33743: @2373735
     /* 2373735 */ GIM_Reject,
     /* 2373736 */ // Label 33692: @2373736
     /* 2373736 */ GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2373839),
     /* 2373741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2373744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373752 */   GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2373795), // Rule ID 58998 //
     /* 2373757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373760 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2373763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2373777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373794 */     // GIR_Coverage, 58998,
     /* 2373794 */     GIR_EraseRootFromParent_Done,
     /* 2373795 */   // Label 33747: @2373795
     /* 2373795 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2373838), // Rule ID 58999 //
     /* 2373800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2373803 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2373806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2373820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373837 */     // GIR_Coverage, 58999,
     /* 2373837 */     GIR_EraseRootFromParent_Done,
     /* 2373838 */   // Label 33748: @2373838
     /* 2373838 */   GIM_Reject,
     /* 2373839 */ // Label 33746: @2373839
     /* 2373839 */ GIM_Reject,
     /* 2373840 */ // Label 33693: @2373840
     /* 2373840 */ GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2373943),
     /* 2373845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2373848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373856 */   GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2373899), // Rule ID 59012 //
     /* 2373861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373864 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2373881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373898 */     // GIR_Coverage, 59012,
     /* 2373898 */     GIR_EraseRootFromParent_Done,
     /* 2373899 */   // Label 33750: @2373899
     /* 2373899 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2373942), // Rule ID 59013 //
     /* 2373904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2373907 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2373924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373941 */     // GIR_Coverage, 59013,
     /* 2373941 */     GIR_EraseRootFromParent_Done,
     /* 2373942 */   // Label 33751: @2373942
     /* 2373942 */   GIM_Reject,
     /* 2373943 */ // Label 33749: @2373943
     /* 2373943 */ GIM_Reject,
     /* 2373944 */ // Label 33694: @2373944
     /* 2373944 */ GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2374047),
     /* 2373949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2373952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373960 */   GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2374003), // Rule ID 59020 //
     /* 2373965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2373968 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2373971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2373985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374002 */     // GIR_Coverage, 59020,
     /* 2374002 */     GIR_EraseRootFromParent_Done,
     /* 2374003 */   // Label 33753: @2374003
     /* 2374003 */   GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2374046), // Rule ID 59021 //
     /* 2374008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2374011 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2374014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2374028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374045 */     // GIR_Coverage, 59021,
     /* 2374045 */     GIR_EraseRootFromParent_Done,
     /* 2374046 */   // Label 33754: @2374046
     /* 2374046 */   GIM_Reject,
     /* 2374047 */ // Label 33752: @2374047
     /* 2374047 */ GIM_Reject,
     /* 2374048 */ // Label 33695: @2374048
     /* 2374048 */ GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2374151),
     /* 2374053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2374056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374064 */   GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2374107), // Rule ID 59028 //
     /* 2374069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2374072 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374106 */     // GIR_Coverage, 59028,
     /* 2374106 */     GIR_EraseRootFromParent_Done,
     /* 2374107 */   // Label 33756: @2374107
     /* 2374107 */   GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2374150), // Rule ID 59029 //
     /* 2374112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2374115 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374149 */     // GIR_Coverage, 59029,
     /* 2374149 */     GIR_EraseRootFromParent_Done,
     /* 2374150 */   // Label 33757: @2374150
     /* 2374150 */   GIM_Reject,
     /* 2374151 */ // Label 33755: @2374151
     /* 2374151 */ GIM_Reject,
     /* 2374152 */ // Label 33696: @2374152
     /* 2374152 */ GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2374255),
     /* 2374157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2374160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374168 */   GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2374211), // Rule ID 59006 //
     /* 2374173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2374176 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2374179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2374193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374210 */     // GIR_Coverage, 59006,
     /* 2374210 */     GIR_EraseRootFromParent_Done,
     /* 2374211 */   // Label 33759: @2374211
     /* 2374211 */   GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2374254), // Rule ID 59007 //
     /* 2374216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2374219 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2374222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2374236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374253 */     // GIR_Coverage, 59007,
     /* 2374253 */     GIR_EraseRootFromParent_Done,
     /* 2374254 */   // Label 33760: @2374254
     /* 2374254 */   GIM_Reject,
     /* 2374255 */ // Label 33758: @2374255
     /* 2374255 */ GIM_Reject,
     /* 2374256 */ // Label 33697: @2374256
     /* 2374256 */ GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2374359),
     /* 2374261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2374264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374272 */   GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2374315), // Rule ID 59014 //
     /* 2374277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2374280 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2374297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374314 */     // GIR_Coverage, 59014,
     /* 2374314 */     GIR_EraseRootFromParent_Done,
     /* 2374315 */   // Label 33762: @2374315
     /* 2374315 */   GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2374358), // Rule ID 59015 //
     /* 2374320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2374323 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2374340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374357 */     // GIR_Coverage, 59015,
     /* 2374357 */     GIR_EraseRootFromParent_Done,
     /* 2374358 */   // Label 33763: @2374358
     /* 2374358 */   GIM_Reject,
     /* 2374359 */ // Label 33761: @2374359
     /* 2374359 */ GIM_Reject,
     /* 2374360 */ // Label 33698: @2374360
     /* 2374360 */ GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2374463),
     /* 2374365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2374368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374376 */   GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2374419), // Rule ID 59022 //
     /* 2374381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2374384 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374418 */     // GIR_Coverage, 59022,
     /* 2374418 */     GIR_EraseRootFromParent_Done,
     /* 2374419 */   // Label 33765: @2374419
     /* 2374419 */   GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2374462), // Rule ID 59023 //
     /* 2374424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2374427 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374461 */     // GIR_Coverage, 59023,
     /* 2374461 */     GIR_EraseRootFromParent_Done,
     /* 2374462 */   // Label 33766: @2374462
     /* 2374462 */   GIM_Reject,
     /* 2374463 */ // Label 33764: @2374463
     /* 2374463 */ GIM_Reject,
     /* 2374464 */ // Label 33699: @2374464
     /* 2374464 */ GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2374567),
     /* 2374469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2374472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374480 */   GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2374523), // Rule ID 59008 //
     /* 2374485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2374488 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2374491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2374505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374522 */     // GIR_Coverage, 59008,
     /* 2374522 */     GIR_EraseRootFromParent_Done,
     /* 2374523 */   // Label 33768: @2374523
     /* 2374523 */   GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2374566), // Rule ID 59009 //
     /* 2374528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2374531 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2374534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2374548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374565 */     // GIR_Coverage, 59009,
     /* 2374565 */     GIR_EraseRootFromParent_Done,
     /* 2374566 */   // Label 33769: @2374566
     /* 2374566 */   GIM_Reject,
     /* 2374567 */ // Label 33767: @2374567
     /* 2374567 */ GIM_Reject,
     /* 2374568 */ // Label 33700: @2374568
     /* 2374568 */ GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2374671),
     /* 2374573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2374576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374584 */   GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2374627), // Rule ID 59016 //
     /* 2374589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2374592 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374626 */     // GIR_Coverage, 59016,
     /* 2374626 */     GIR_EraseRootFromParent_Done,
     /* 2374627 */   // Label 33771: @2374627
     /* 2374627 */   GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2374670), // Rule ID 59017 //
     /* 2374632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2374635 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374669 */     // GIR_Coverage, 59017,
     /* 2374669 */     GIR_EraseRootFromParent_Done,
     /* 2374670 */   // Label 33772: @2374670
     /* 2374670 */   GIM_Reject,
     /* 2374671 */ // Label 33770: @2374671
     /* 2374671 */ GIM_Reject,
     /* 2374672 */ // Label 33701: @2374672
     /* 2374672 */ GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2374775),
     /* 2374677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2374680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374688 */   GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2374731), // Rule ID 59010 //
     /* 2374693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2374696 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2374699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374730 */     // GIR_Coverage, 59010,
     /* 2374730 */     GIR_EraseRootFromParent_Done,
     /* 2374731 */   // Label 33774: @2374731
     /* 2374731 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2374774), // Rule ID 59011 //
     /* 2374736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2374739 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2374742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2374756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374773 */     // GIR_Coverage, 59011,
     /* 2374773 */     GIR_EraseRootFromParent_Done,
     /* 2374774 */   // Label 33775: @2374774
     /* 2374774 */   GIM_Reject,
     /* 2374775 */ // Label 33773: @2374775
     /* 2374775 */ GIM_Reject,
     /* 2374776 */ // Label 33702: @2374776
     /* 2374776 */ GIM_Reject,
     /* 2374777 */ // Label 92: @2374777
     /* 2374777 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33800*/ GIMT_Encode4(2377270),
     /* 2374788 */ /*GILLT_s32*//*Label 33776*/ GIMT_Encode4(2374912),
     /* 2374792 */ /*GILLT_s64*//*Label 33777*/ GIMT_Encode4(2374947), GIMT_Encode4(0),
     /* 2374800 */ /*GILLT_nxv1s8*//*Label 33778*/ GIMT_Encode4(2374982),
     /* 2374804 */ /*GILLT_nxv1s16*//*Label 33779*/ GIMT_Encode4(2375086),
     /* 2374808 */ /*GILLT_nxv1s32*//*Label 33780*/ GIMT_Encode4(2375190),
     /* 2374812 */ /*GILLT_nxv1s64*//*Label 33781*/ GIMT_Encode4(2375294), GIMT_Encode4(0),
     /* 2374820 */ /*GILLT_nxv2s8*//*Label 33782*/ GIMT_Encode4(2375398),
     /* 2374824 */ /*GILLT_nxv2s16*//*Label 33783*/ GIMT_Encode4(2375502),
     /* 2374828 */ /*GILLT_nxv2s32*//*Label 33784*/ GIMT_Encode4(2375606),
     /* 2374832 */ /*GILLT_nxv2s64*//*Label 33785*/ GIMT_Encode4(2375710), GIMT_Encode4(0),
     /* 2374840 */ /*GILLT_nxv4s8*//*Label 33786*/ GIMT_Encode4(2375814),
     /* 2374844 */ /*GILLT_nxv4s16*//*Label 33787*/ GIMT_Encode4(2375918),
     /* 2374848 */ /*GILLT_nxv4s32*//*Label 33788*/ GIMT_Encode4(2376022),
     /* 2374852 */ /*GILLT_nxv4s64*//*Label 33789*/ GIMT_Encode4(2376126), GIMT_Encode4(0),
     /* 2374860 */ /*GILLT_nxv8s8*//*Label 33790*/ GIMT_Encode4(2376230),
     /* 2374864 */ /*GILLT_nxv8s16*//*Label 33791*/ GIMT_Encode4(2376334),
     /* 2374868 */ /*GILLT_nxv8s32*//*Label 33792*/ GIMT_Encode4(2376438),
     /* 2374872 */ /*GILLT_nxv8s64*//*Label 33793*/ GIMT_Encode4(2376542), GIMT_Encode4(0),
     /* 2374880 */ /*GILLT_nxv16s8*//*Label 33794*/ GIMT_Encode4(2376646),
     /* 2374884 */ /*GILLT_nxv16s16*//*Label 33795*/ GIMT_Encode4(2376750),
     /* 2374888 */ /*GILLT_nxv16s32*//*Label 33796*/ GIMT_Encode4(2376854), GIMT_Encode4(0),
     /* 2374896 */ /*GILLT_nxv32s8*//*Label 33797*/ GIMT_Encode4(2376958),
     /* 2374900 */ /*GILLT_nxv32s16*//*Label 33798*/ GIMT_Encode4(2377062), GIMT_Encode4(0),
     /* 2374908 */ /*GILLT_nxv64s8*//*Label 33799*/ GIMT_Encode4(2377166),
     /* 2374912 */ // Label 33776: @2374912
     /* 2374912 */ GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2374946), // Rule ID 64437 //
     /* 2374917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2374920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2374923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374931 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2374931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2374934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374936 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2374938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2374941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2374944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2374945 */   // GIR_Coverage, 64437,
     /* 2374945 */   GIR_EraseRootFromParent_Done,
     /* 2374946 */ // Label 33801: @2374946
     /* 2374946 */ GIM_Reject,
     /* 2374947 */ // Label 33777: @2374947
     /* 2374947 */ GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2374981), // Rule ID 64436 //
     /* 2374952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2374955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2374958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374966 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2374966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2374969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374971 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2374973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2374976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2374979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2374980 */   // GIR_Coverage, 64436,
     /* 2374980 */   GIR_EraseRootFromParent_Done,
     /* 2374981 */ // Label 33802: @2374981
     /* 2374981 */ GIM_Reject,
     /* 2374982 */ // Label 33778: @2374982
     /* 2374982 */ GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2375085),
     /* 2374987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2374990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374998 */   GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2375041), // Rule ID 58810 //
     /* 2375003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375006 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2375009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2375023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375040 */     // GIR_Coverage, 58810,
     /* 2375040 */     GIR_EraseRootFromParent_Done,
     /* 2375041 */   // Label 33804: @2375041
     /* 2375041 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2375084), // Rule ID 58811 //
     /* 2375046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375049 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2375052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2375066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375083 */     // GIR_Coverage, 58811,
     /* 2375083 */     GIR_EraseRootFromParent_Done,
     /* 2375084 */   // Label 33805: @2375084
     /* 2375084 */   GIM_Reject,
     /* 2375085 */ // Label 33803: @2375085
     /* 2375085 */ GIM_Reject,
     /* 2375086 */ // Label 33779: @2375086
     /* 2375086 */ GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2375189),
     /* 2375091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2375094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375102 */   GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2375145), // Rule ID 58948 //
     /* 2375107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375110 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2375127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375144 */     // GIR_Coverage, 58948,
     /* 2375144 */     GIR_EraseRootFromParent_Done,
     /* 2375145 */   // Label 33807: @2375145
     /* 2375145 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2375188), // Rule ID 58949 //
     /* 2375150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375153 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2375170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375187 */     // GIR_Coverage, 58949,
     /* 2375187 */     GIR_EraseRootFromParent_Done,
     /* 2375188 */   // Label 33808: @2375188
     /* 2375188 */   GIM_Reject,
     /* 2375189 */ // Label 33806: @2375189
     /* 2375189 */ GIM_Reject,
     /* 2375190 */ // Label 33780: @2375190
     /* 2375190 */ GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2375293),
     /* 2375195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2375198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375206 */   GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2375249), // Rule ID 58952 //
     /* 2375211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375214 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2375231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375248 */     // GIR_Coverage, 58952,
     /* 2375248 */     GIR_EraseRootFromParent_Done,
     /* 2375249 */   // Label 33810: @2375249
     /* 2375249 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2375292), // Rule ID 58953 //
     /* 2375254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375257 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2375274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375291 */     // GIR_Coverage, 58953,
     /* 2375291 */     GIR_EraseRootFromParent_Done,
     /* 2375292 */   // Label 33811: @2375292
     /* 2375292 */   GIM_Reject,
     /* 2375293 */ // Label 33809: @2375293
     /* 2375293 */ GIM_Reject,
     /* 2375294 */ // Label 33781: @2375294
     /* 2375294 */ GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2375397),
     /* 2375299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2375302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375310 */   GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2375353), // Rule ID 58960 //
     /* 2375315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2375318 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2375335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375352 */     // GIR_Coverage, 58960,
     /* 2375352 */     GIR_EraseRootFromParent_Done,
     /* 2375353 */   // Label 33813: @2375353
     /* 2375353 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2375396), // Rule ID 58961 //
     /* 2375358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2375361 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2375378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375395 */     // GIR_Coverage, 58961,
     /* 2375395 */     GIR_EraseRootFromParent_Done,
     /* 2375396 */   // Label 33814: @2375396
     /* 2375396 */   GIM_Reject,
     /* 2375397 */ // Label 33812: @2375397
     /* 2375397 */ GIM_Reject,
     /* 2375398 */ // Label 33782: @2375398
     /* 2375398 */ GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2375501),
     /* 2375403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2375406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375414 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2375457), // Rule ID 58944 //
     /* 2375419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375422 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2375425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2375439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375456 */     // GIR_Coverage, 58944,
     /* 2375456 */     GIR_EraseRootFromParent_Done,
     /* 2375457 */   // Label 33816: @2375457
     /* 2375457 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2375500), // Rule ID 58945 //
     /* 2375462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375465 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2375468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2375482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375499 */     // GIR_Coverage, 58945,
     /* 2375499 */     GIR_EraseRootFromParent_Done,
     /* 2375500 */   // Label 33817: @2375500
     /* 2375500 */   GIM_Reject,
     /* 2375501 */ // Label 33815: @2375501
     /* 2375501 */ GIM_Reject,
     /* 2375502 */ // Label 33783: @2375502
     /* 2375502 */ GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2375605),
     /* 2375507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2375510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375518 */   GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2375561), // Rule ID 58950 //
     /* 2375523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375526 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2375543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375560 */     // GIR_Coverage, 58950,
     /* 2375560 */     GIR_EraseRootFromParent_Done,
     /* 2375561 */   // Label 33819: @2375561
     /* 2375561 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2375604), // Rule ID 58951 //
     /* 2375566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375569 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2375586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375603 */     // GIR_Coverage, 58951,
     /* 2375603 */     GIR_EraseRootFromParent_Done,
     /* 2375604 */   // Label 33820: @2375604
     /* 2375604 */   GIM_Reject,
     /* 2375605 */ // Label 33818: @2375605
     /* 2375605 */ GIM_Reject,
     /* 2375606 */ // Label 33784: @2375606
     /* 2375606 */ GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2375709),
     /* 2375611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375622 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2375665), // Rule ID 58958 //
     /* 2375627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375630 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2375647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375664 */     // GIR_Coverage, 58958,
     /* 2375664 */     GIR_EraseRootFromParent_Done,
     /* 2375665 */   // Label 33822: @2375665
     /* 2375665 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2375708), // Rule ID 58959 //
     /* 2375670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375673 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2375690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375707 */     // GIR_Coverage, 58959,
     /* 2375707 */     GIR_EraseRootFromParent_Done,
     /* 2375708 */   // Label 33823: @2375708
     /* 2375708 */   GIM_Reject,
     /* 2375709 */ // Label 33821: @2375709
     /* 2375709 */ GIM_Reject,
     /* 2375710 */ // Label 33785: @2375710
     /* 2375710 */ GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2375813),
     /* 2375715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375726 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2375769), // Rule ID 58980 //
     /* 2375731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2375734 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2375751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375768 */     // GIR_Coverage, 58980,
     /* 2375768 */     GIR_EraseRootFromParent_Done,
     /* 2375769 */   // Label 33825: @2375769
     /* 2375769 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2375812), // Rule ID 58981 //
     /* 2375774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2375777 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2375794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375811 */     // GIR_Coverage, 58981,
     /* 2375811 */     GIR_EraseRootFromParent_Done,
     /* 2375812 */   // Label 33826: @2375812
     /* 2375812 */   GIM_Reject,
     /* 2375813 */ // Label 33824: @2375813
     /* 2375813 */ GIM_Reject,
     /* 2375814 */ // Label 33786: @2375814
     /* 2375814 */ GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2375917),
     /* 2375819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2375822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375830 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2375873), // Rule ID 58946 //
     /* 2375835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375838 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2375841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2375855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375872 */     // GIR_Coverage, 58946,
     /* 2375872 */     GIR_EraseRootFromParent_Done,
     /* 2375873 */   // Label 33828: @2375873
     /* 2375873 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2375916), // Rule ID 58947 //
     /* 2375878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375881 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2375884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2375898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375915 */     // GIR_Coverage, 58947,
     /* 2375915 */     GIR_EraseRootFromParent_Done,
     /* 2375916 */   // Label 33829: @2375916
     /* 2375916 */   GIM_Reject,
     /* 2375917 */ // Label 33827: @2375917
     /* 2375917 */ GIM_Reject,
     /* 2375918 */ // Label 33787: @2375918
     /* 2375918 */ GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2376021),
     /* 2375923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2375926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375934 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2375977), // Rule ID 58956 //
     /* 2375939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2375942 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2375959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375976 */     // GIR_Coverage, 58956,
     /* 2375976 */     GIR_EraseRootFromParent_Done,
     /* 2375977 */   // Label 33831: @2375977
     /* 2375977 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2376020), // Rule ID 58957 //
     /* 2375982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2375985 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2376002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376019 */     // GIR_Coverage, 58957,
     /* 2376019 */     GIR_EraseRootFromParent_Done,
     /* 2376020 */   // Label 33832: @2376020
     /* 2376020 */   GIM_Reject,
     /* 2376021 */ // Label 33830: @2376021
     /* 2376021 */ GIM_Reject,
     /* 2376022 */ // Label 33788: @2376022
     /* 2376022 */ GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2376125),
     /* 2376027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2376030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376038 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2376081), // Rule ID 58974 //
     /* 2376043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376046 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2376049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2376063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376080 */     // GIR_Coverage, 58974,
     /* 2376080 */     GIR_EraseRootFromParent_Done,
     /* 2376081 */   // Label 33834: @2376081
     /* 2376081 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2376124), // Rule ID 58975 //
     /* 2376086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376089 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2376092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2376106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376123 */     // GIR_Coverage, 58975,
     /* 2376123 */     GIR_EraseRootFromParent_Done,
     /* 2376124 */   // Label 33835: @2376124
     /* 2376124 */   GIM_Reject,
     /* 2376125 */ // Label 33833: @2376125
     /* 2376125 */ GIM_Reject,
     /* 2376126 */ // Label 33789: @2376126
     /* 2376126 */ GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2376229),
     /* 2376131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2376134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376142 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2376185), // Rule ID 58982 //
     /* 2376147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2376150 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2376167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376184 */     // GIR_Coverage, 58982,
     /* 2376184 */     GIR_EraseRootFromParent_Done,
     /* 2376185 */   // Label 33837: @2376185
     /* 2376185 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2376228), // Rule ID 58983 //
     /* 2376190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2376193 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2376210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376227 */     // GIR_Coverage, 58983,
     /* 2376227 */     GIR_EraseRootFromParent_Done,
     /* 2376228 */   // Label 33838: @2376228
     /* 2376228 */   GIM_Reject,
     /* 2376229 */ // Label 33836: @2376229
     /* 2376229 */ GIM_Reject,
     /* 2376230 */ // Label 33790: @2376230
     /* 2376230 */ GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2376333),
     /* 2376235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2376238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376246 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2376289), // Rule ID 58954 //
     /* 2376251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376254 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2376257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2376271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376288 */     // GIR_Coverage, 58954,
     /* 2376288 */     GIR_EraseRootFromParent_Done,
     /* 2376289 */   // Label 33840: @2376289
     /* 2376289 */   GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2376332), // Rule ID 58955 //
     /* 2376294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376297 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2376300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2376314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376331 */     // GIR_Coverage, 58955,
     /* 2376331 */     GIR_EraseRootFromParent_Done,
     /* 2376332 */   // Label 33841: @2376332
     /* 2376332 */   GIM_Reject,
     /* 2376333 */ // Label 33839: @2376333
     /* 2376333 */ GIM_Reject,
     /* 2376334 */ // Label 33791: @2376334
     /* 2376334 */ GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2376437),
     /* 2376339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2376342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376350 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2376393), // Rule ID 58968 //
     /* 2376355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376358 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2376375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376392 */     // GIR_Coverage, 58968,
     /* 2376392 */     GIR_EraseRootFromParent_Done,
     /* 2376393 */   // Label 33843: @2376393
     /* 2376393 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2376436), // Rule ID 58969 //
     /* 2376398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376401 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2376418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376435 */     // GIR_Coverage, 58969,
     /* 2376435 */     GIR_EraseRootFromParent_Done,
     /* 2376436 */   // Label 33844: @2376436
     /* 2376436 */   GIM_Reject,
     /* 2376437 */ // Label 33842: @2376437
     /* 2376437 */ GIM_Reject,
     /* 2376438 */ // Label 33792: @2376438
     /* 2376438 */ GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2376541),
     /* 2376443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2376446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376454 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2376497), // Rule ID 58976 //
     /* 2376459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376462 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2376479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376496 */     // GIR_Coverage, 58976,
     /* 2376496 */     GIR_EraseRootFromParent_Done,
     /* 2376497 */   // Label 33846: @2376497
     /* 2376497 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2376540), // Rule ID 58977 //
     /* 2376502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376505 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2376522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376539 */     // GIR_Coverage, 58977,
     /* 2376539 */     GIR_EraseRootFromParent_Done,
     /* 2376540 */   // Label 33847: @2376540
     /* 2376540 */   GIM_Reject,
     /* 2376541 */ // Label 33845: @2376541
     /* 2376541 */ GIM_Reject,
     /* 2376542 */ // Label 33793: @2376542
     /* 2376542 */ GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2376645),
     /* 2376547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2376550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376558 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2376601), // Rule ID 58984 //
     /* 2376563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2376566 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2376583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376600 */     // GIR_Coverage, 58984,
     /* 2376600 */     GIR_EraseRootFromParent_Done,
     /* 2376601 */   // Label 33849: @2376601
     /* 2376601 */   GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2376644), // Rule ID 58985 //
     /* 2376606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2376609 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2376626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376643 */     // GIR_Coverage, 58985,
     /* 2376643 */     GIR_EraseRootFromParent_Done,
     /* 2376644 */   // Label 33850: @2376644
     /* 2376644 */   GIM_Reject,
     /* 2376645 */ // Label 33848: @2376645
     /* 2376645 */ GIM_Reject,
     /* 2376646 */ // Label 33794: @2376646
     /* 2376646 */ GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2376749),
     /* 2376651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2376654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376662 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2376705), // Rule ID 58962 //
     /* 2376667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376670 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2376673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2376687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376704 */     // GIR_Coverage, 58962,
     /* 2376704 */     GIR_EraseRootFromParent_Done,
     /* 2376705 */   // Label 33852: @2376705
     /* 2376705 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2376748), // Rule ID 58963 //
     /* 2376710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376713 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2376716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2376730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376747 */     // GIR_Coverage, 58963,
     /* 2376747 */     GIR_EraseRootFromParent_Done,
     /* 2376748 */   // Label 33853: @2376748
     /* 2376748 */   GIM_Reject,
     /* 2376749 */ // Label 33851: @2376749
     /* 2376749 */ GIM_Reject,
     /* 2376750 */ // Label 33795: @2376750
     /* 2376750 */ GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2376853),
     /* 2376755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376766 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2376809), // Rule ID 58970 //
     /* 2376771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376774 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2376791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376808 */     // GIR_Coverage, 58970,
     /* 2376808 */     GIR_EraseRootFromParent_Done,
     /* 2376809 */   // Label 33855: @2376809
     /* 2376809 */   GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2376852), // Rule ID 58971 //
     /* 2376814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376817 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2376834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376851 */     // GIR_Coverage, 58971,
     /* 2376851 */     GIR_EraseRootFromParent_Done,
     /* 2376852 */   // Label 33856: @2376852
     /* 2376852 */   GIM_Reject,
     /* 2376853 */ // Label 33854: @2376853
     /* 2376853 */ GIM_Reject,
     /* 2376854 */ // Label 33796: @2376854
     /* 2376854 */ GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2376957),
     /* 2376859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376870 */   GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2376913), // Rule ID 58978 //
     /* 2376875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376878 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2376895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376912 */     // GIR_Coverage, 58978,
     /* 2376912 */     GIR_EraseRootFromParent_Done,
     /* 2376913 */   // Label 33858: @2376913
     /* 2376913 */   GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2376956), // Rule ID 58979 //
     /* 2376918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2376921 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2376938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376955 */     // GIR_Coverage, 58979,
     /* 2376955 */     GIR_EraseRootFromParent_Done,
     /* 2376956 */   // Label 33859: @2376956
     /* 2376956 */   GIM_Reject,
     /* 2376957 */ // Label 33857: @2376957
     /* 2376957 */ GIM_Reject,
     /* 2376958 */ // Label 33797: @2376958
     /* 2376958 */ GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2377061),
     /* 2376963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2376966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376974 */   GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2377017), // Rule ID 58964 //
     /* 2376979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2376982 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2376985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2376999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377016 */     // GIR_Coverage, 58964,
     /* 2377016 */     GIR_EraseRootFromParent_Done,
     /* 2377017 */   // Label 33861: @2377017
     /* 2377017 */   GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2377060), // Rule ID 58965 //
     /* 2377022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2377025 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2377028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2377042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377059 */     // GIR_Coverage, 58965,
     /* 2377059 */     GIR_EraseRootFromParent_Done,
     /* 2377060 */   // Label 33862: @2377060
     /* 2377060 */   GIM_Reject,
     /* 2377061 */ // Label 33860: @2377061
     /* 2377061 */ GIM_Reject,
     /* 2377062 */ // Label 33798: @2377062
     /* 2377062 */ GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2377165),
     /* 2377067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2377070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377078 */   GIM_Try, /*On fail goto*//*Label 33864*/ GIMT_Encode4(2377121), // Rule ID 58972 //
     /* 2377083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2377086 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2377089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2377103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377120 */     // GIR_Coverage, 58972,
     /* 2377120 */     GIR_EraseRootFromParent_Done,
     /* 2377121 */   // Label 33864: @2377121
     /* 2377121 */   GIM_Try, /*On fail goto*//*Label 33865*/ GIMT_Encode4(2377164), // Rule ID 58973 //
     /* 2377126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2377129 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2377132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2377146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377163 */     // GIR_Coverage, 58973,
     /* 2377163 */     GIR_EraseRootFromParent_Done,
     /* 2377164 */   // Label 33865: @2377164
     /* 2377164 */   GIM_Reject,
     /* 2377165 */ // Label 33863: @2377165
     /* 2377165 */ GIM_Reject,
     /* 2377166 */ // Label 33799: @2377166
     /* 2377166 */ GIM_Try, /*On fail goto*//*Label 33866*/ GIMT_Encode4(2377269),
     /* 2377171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2377174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377182 */   GIM_Try, /*On fail goto*//*Label 33867*/ GIMT_Encode4(2377225), // Rule ID 58966 //
     /* 2377187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2377190 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2377193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2377207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377224 */     // GIR_Coverage, 58966,
     /* 2377224 */     GIR_EraseRootFromParent_Done,
     /* 2377225 */   // Label 33867: @2377225
     /* 2377225 */   GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2377268), // Rule ID 58967 //
     /* 2377230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2377233 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2377236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2377250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377267 */     // GIR_Coverage, 58967,
     /* 2377267 */     GIR_EraseRootFromParent_Done,
     /* 2377268 */   // Label 33868: @2377268
     /* 2377268 */   GIM_Reject,
     /* 2377269 */ // Label 33866: @2377269
     /* 2377269 */ GIM_Reject,
     /* 2377270 */ // Label 33800: @2377270
     /* 2377270 */ GIM_Reject,
     /* 2377271 */ // Label 93: @2377271
     /* 2377271 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33872*/ GIMT_Encode4(2377468),
     /* 2377282 */ /*GILLT_s16*//*Label 33869*/ GIMT_Encode4(2377294),
     /* 2377286 */ /*GILLT_s32*//*Label 33870*/ GIMT_Encode4(2377352),
     /* 2377290 */ /*GILLT_s64*//*Label 33871*/ GIMT_Encode4(2377410),
     /* 2377294 */ // Label 33869: @2377294
     /* 2377294 */ GIM_Try, /*On fail goto*//*Label 33873*/ GIMT_Encode4(2377351),
     /* 2377299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2377302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377310 */   GIM_Try, /*On fail goto*//*Label 33874*/ GIMT_Encode4(2377330), // Rule ID 2322 //
     /* 2377315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2377318 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2377318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2377321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377329 */     // GIR_Coverage, 2322,
     /* 2377329 */     GIR_EraseRootFromParent_Done,
     /* 2377330 */   // Label 33874: @2377330
     /* 2377330 */   GIM_Try, /*On fail goto*//*Label 33875*/ GIMT_Encode4(2377350), // Rule ID 2323 //
     /* 2377335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2377338 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2377338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2377341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377349 */     // GIR_Coverage, 2323,
     /* 2377349 */     GIR_EraseRootFromParent_Done,
     /* 2377350 */   // Label 33875: @2377350
     /* 2377350 */   GIM_Reject,
     /* 2377351 */ // Label 33873: @2377351
     /* 2377351 */ GIM_Reject,
     /* 2377352 */ // Label 33870: @2377352
     /* 2377352 */ GIM_Try, /*On fail goto*//*Label 33876*/ GIMT_Encode4(2377409),
     /* 2377357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377368 */   GIM_Try, /*On fail goto*//*Label 33877*/ GIMT_Encode4(2377388), // Rule ID 2240 //
     /* 2377373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2377376 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2377376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2377379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377387 */     // GIR_Coverage, 2240,
     /* 2377387 */     GIR_EraseRootFromParent_Done,
     /* 2377388 */   // Label 33877: @2377388
     /* 2377388 */   GIM_Try, /*On fail goto*//*Label 33878*/ GIMT_Encode4(2377408), // Rule ID 2241 //
     /* 2377393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2377396 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2377396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2377399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377407 */     // GIR_Coverage, 2241,
     /* 2377407 */     GIR_EraseRootFromParent_Done,
     /* 2377408 */   // Label 33878: @2377408
     /* 2377408 */   GIM_Reject,
     /* 2377409 */ // Label 33876: @2377409
     /* 2377409 */ GIM_Reject,
     /* 2377410 */ // Label 33871: @2377410
     /* 2377410 */ GIM_Try, /*On fail goto*//*Label 33879*/ GIMT_Encode4(2377467),
     /* 2377415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377426 */   GIM_Try, /*On fail goto*//*Label 33880*/ GIMT_Encode4(2377446), // Rule ID 2280 //
     /* 2377431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2377434 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2377434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2377437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377445 */     // GIR_Coverage, 2280,
     /* 2377445 */     GIR_EraseRootFromParent_Done,
     /* 2377446 */   // Label 33880: @2377446
     /* 2377446 */   GIM_Try, /*On fail goto*//*Label 33881*/ GIMT_Encode4(2377466), // Rule ID 2281 //
     /* 2377451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2377454 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2377454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2377457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377465 */     // GIR_Coverage, 2281,
     /* 2377465 */     GIR_EraseRootFromParent_Done,
     /* 2377466 */   // Label 33881: @2377466
     /* 2377466 */   GIM_Reject,
     /* 2377467 */ // Label 33879: @2377467
     /* 2377467 */ GIM_Reject,
     /* 2377468 */ // Label 33872: @2377468
     /* 2377468 */ GIM_Reject,
     /* 2377469 */ // Label 94: @2377469
     /* 2377469 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33900*/ GIMT_Encode4(2379644),
     /* 2377480 */ /*GILLT_s16*//*Label 33882*/ GIMT_Encode4(2377600),
     /* 2377484 */ /*GILLT_s32*//*Label 33883*/ GIMT_Encode4(2377722),
     /* 2377488 */ /*GILLT_s64*//*Label 33884*/ GIMT_Encode4(2377844), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377500 */ /*GILLT_nxv1s16*//*Label 33885*/ GIMT_Encode4(2377994),
     /* 2377504 */ /*GILLT_nxv1s32*//*Label 33886*/ GIMT_Encode4(2378104),
     /* 2377508 */ /*GILLT_nxv1s64*//*Label 33887*/ GIMT_Encode4(2378214), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377520 */ /*GILLT_nxv2s16*//*Label 33888*/ GIMT_Encode4(2378324),
     /* 2377524 */ /*GILLT_nxv2s32*//*Label 33889*/ GIMT_Encode4(2378434),
     /* 2377528 */ /*GILLT_nxv2s64*//*Label 33890*/ GIMT_Encode4(2378544), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377540 */ /*GILLT_nxv4s16*//*Label 33891*/ GIMT_Encode4(2378654),
     /* 2377544 */ /*GILLT_nxv4s32*//*Label 33892*/ GIMT_Encode4(2378764),
     /* 2377548 */ /*GILLT_nxv4s64*//*Label 33893*/ GIMT_Encode4(2378874), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377560 */ /*GILLT_nxv8s16*//*Label 33894*/ GIMT_Encode4(2378984),
     /* 2377564 */ /*GILLT_nxv8s32*//*Label 33895*/ GIMT_Encode4(2379094),
     /* 2377568 */ /*GILLT_nxv8s64*//*Label 33896*/ GIMT_Encode4(2379204), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377580 */ /*GILLT_nxv16s16*//*Label 33897*/ GIMT_Encode4(2379314),
     /* 2377584 */ /*GILLT_nxv16s32*//*Label 33898*/ GIMT_Encode4(2379424), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377596 */ /*GILLT_nxv32s16*//*Label 33899*/ GIMT_Encode4(2379534),
     /* 2377600 */ // Label 33882: @2377600
     /* 2377600 */ GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2377721),
     /* 2377605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2377608 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2377636), // Rule ID 1880 //
     /* 2377613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2377616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377624 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2377624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2377627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377635 */     // GIR_Coverage, 1880,
     /* 2377635 */     GIR_EraseRootFromParent_Done,
     /* 2377636 */   // Label 33902: @2377636
     /* 2377636 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2377664), // Rule ID 1881 //
     /* 2377641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2377644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377652 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2377652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2377655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377663 */     // GIR_Coverage, 1881,
     /* 2377663 */     GIR_EraseRootFromParent_Done,
     /* 2377664 */   // Label 33903: @2377664
     /* 2377664 */   GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2377692), // Rule ID 1913 //
     /* 2377669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2377672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377680 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2377680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2377683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377691 */     // GIR_Coverage, 1913,
     /* 2377691 */     GIR_EraseRootFromParent_Done,
     /* 2377692 */   // Label 33904: @2377692
     /* 2377692 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2377720), // Rule ID 1914 //
     /* 2377697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2377700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377708 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2377708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2377711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377719 */     // GIR_Coverage, 1914,
     /* 2377719 */     GIR_EraseRootFromParent_Done,
     /* 2377720 */   // Label 33905: @2377720
     /* 2377720 */   GIM_Reject,
     /* 2377721 */ // Label 33901: @2377721
     /* 2377721 */ GIM_Reject,
     /* 2377722 */ // Label 33883: @2377722
     /* 2377722 */ GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2377843),
     /* 2377727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377730 */   GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2377758), // Rule ID 1171 //
     /* 2377735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377746 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2377746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2377749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377757 */     // GIR_Coverage, 1171,
     /* 2377757 */     GIR_EraseRootFromParent_Done,
     /* 2377758 */   // Label 33907: @2377758
     /* 2377758 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2377786), // Rule ID 1172 //
     /* 2377763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377774 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2377774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2377777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377785 */     // GIR_Coverage, 1172,
     /* 2377785 */     GIR_EraseRootFromParent_Done,
     /* 2377786 */   // Label 33908: @2377786
     /* 2377786 */   GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2377814), // Rule ID 1179 //
     /* 2377791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377802 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2377802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2377805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377813 */     // GIR_Coverage, 1179,
     /* 2377813 */     GIR_EraseRootFromParent_Done,
     /* 2377814 */   // Label 33909: @2377814
     /* 2377814 */   GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2377842), // Rule ID 1180 //
     /* 2377819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377830 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2377830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2377833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377841 */     // GIR_Coverage, 1180,
     /* 2377841 */     GIR_EraseRootFromParent_Done,
     /* 2377842 */   // Label 33910: @2377842
     /* 2377842 */   GIM_Reject,
     /* 2377843 */ // Label 33906: @2377843
     /* 2377843 */ GIM_Reject,
     /* 2377844 */ // Label 33884: @2377844
     /* 2377844 */ GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2377993),
     /* 2377849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377852 */   GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2377880), // Rule ID 1514 //
     /* 2377857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2377860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377868 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2377868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2377871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377879 */     // GIR_Coverage, 1514,
     /* 2377879 */     GIR_EraseRootFromParent_Done,
     /* 2377880 */   // Label 33912: @2377880
     /* 2377880 */   GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2377908), // Rule ID 1515 //
     /* 2377885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2377888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377896 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2377896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2377899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377907 */     // GIR_Coverage, 1515,
     /* 2377907 */     GIR_EraseRootFromParent_Done,
     /* 2377908 */   // Label 33913: @2377908
     /* 2377908 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2377936), // Rule ID 1548 //
     /* 2377913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2377916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377924 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2377924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2377927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377935 */     // GIR_Coverage, 1548,
     /* 2377935 */     GIR_EraseRootFromParent_Done,
     /* 2377936 */   // Label 33914: @2377936
     /* 2377936 */   GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2377964), // Rule ID 1569 //
     /* 2377941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2377944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377952 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2377952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2377955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377963 */     // GIR_Coverage, 1569,
     /* 2377963 */     GIR_EraseRootFromParent_Done,
     /* 2377964 */   // Label 33915: @2377964
     /* 2377964 */   GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2377992), // Rule ID 1570 //
     /* 2377969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2377972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377980 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2377980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2377983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377991 */     // GIR_Coverage, 1570,
     /* 2377991 */     GIR_EraseRootFromParent_Done,
     /* 2377992 */   // Label 33916: @2377992
     /* 2377992 */   GIM_Reject,
     /* 2377993 */ // Label 33911: @2377993
     /* 2377993 */ GIM_Reject,
     /* 2377994 */ // Label 33885: @2377994
     /* 2377994 */ GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2378103),
     /* 2377999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2378002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378010 */   GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2378056), // Rule ID 56128 //
     /* 2378015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378018 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2378021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2378035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378055 */     // GIR_Coverage, 56128,
     /* 2378055 */     GIR_EraseRootFromParent_Done,
     /* 2378056 */   // Label 33918: @2378056
     /* 2378056 */   GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2378102), // Rule ID 56129 //
     /* 2378061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378064 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2378067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2378081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378101 */     // GIR_Coverage, 56129,
     /* 2378101 */     GIR_EraseRootFromParent_Done,
     /* 2378102 */   // Label 33919: @2378102
     /* 2378102 */   GIM_Reject,
     /* 2378103 */ // Label 33917: @2378103
     /* 2378103 */ GIM_Reject,
     /* 2378104 */ // Label 33886: @2378104
     /* 2378104 */ GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2378213),
     /* 2378109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2378112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378120 */   GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2378166), // Rule ID 56168 //
     /* 2378125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378128 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2378131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2378145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378165 */     // GIR_Coverage, 56168,
     /* 2378165 */     GIR_EraseRootFromParent_Done,
     /* 2378166 */   // Label 33921: @2378166
     /* 2378166 */   GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2378212), // Rule ID 56169 //
     /* 2378171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378174 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2378177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2378191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378211 */     // GIR_Coverage, 56169,
     /* 2378211 */     GIR_EraseRootFromParent_Done,
     /* 2378212 */   // Label 33922: @2378212
     /* 2378212 */   GIM_Reject,
     /* 2378213 */ // Label 33920: @2378213
     /* 2378213 */ GIM_Reject,
     /* 2378214 */ // Label 33887: @2378214
     /* 2378214 */ GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2378323),
     /* 2378219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2378222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378230 */   GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2378276), // Rule ID 56228 //
     /* 2378235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378238 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2378241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2378255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378275 */     // GIR_Coverage, 56228,
     /* 2378275 */     GIR_EraseRootFromParent_Done,
     /* 2378276 */   // Label 33924: @2378276
     /* 2378276 */   GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2378322), // Rule ID 56229 //
     /* 2378281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378284 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2378287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2378301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378321 */     // GIR_Coverage, 56229,
     /* 2378321 */     GIR_EraseRootFromParent_Done,
     /* 2378322 */   // Label 33925: @2378322
     /* 2378322 */   GIM_Reject,
     /* 2378323 */ // Label 33923: @2378323
     /* 2378323 */ GIM_Reject,
     /* 2378324 */ // Label 33888: @2378324
     /* 2378324 */ GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2378433),
     /* 2378329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2378332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378340 */   GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2378386), // Rule ID 56148 //
     /* 2378345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378348 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2378351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2378365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378385 */     // GIR_Coverage, 56148,
     /* 2378385 */     GIR_EraseRootFromParent_Done,
     /* 2378386 */   // Label 33927: @2378386
     /* 2378386 */   GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2378432), // Rule ID 56149 //
     /* 2378391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378394 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2378397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2378411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378431 */     // GIR_Coverage, 56149,
     /* 2378431 */     GIR_EraseRootFromParent_Done,
     /* 2378432 */   // Label 33928: @2378432
     /* 2378432 */   GIM_Reject,
     /* 2378433 */ // Label 33926: @2378433
     /* 2378433 */ GIM_Reject,
     /* 2378434 */ // Label 33889: @2378434
     /* 2378434 */ GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2378543),
     /* 2378439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2378442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378450 */   GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2378496), // Rule ID 56208 //
     /* 2378455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378458 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2378475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378495 */     // GIR_Coverage, 56208,
     /* 2378495 */     GIR_EraseRootFromParent_Done,
     /* 2378496 */   // Label 33930: @2378496
     /* 2378496 */   GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2378542), // Rule ID 56209 //
     /* 2378501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378504 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2378521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378541 */     // GIR_Coverage, 56209,
     /* 2378541 */     GIR_EraseRootFromParent_Done,
     /* 2378542 */   // Label 33931: @2378542
     /* 2378542 */   GIM_Reject,
     /* 2378543 */ // Label 33929: @2378543
     /* 2378543 */ GIM_Reject,
     /* 2378544 */ // Label 33890: @2378544
     /* 2378544 */ GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2378653),
     /* 2378549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2378552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378560 */   GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2378606), // Rule ID 56368 //
     /* 2378565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378568 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2378585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378605 */     // GIR_Coverage, 56368,
     /* 2378605 */     GIR_EraseRootFromParent_Done,
     /* 2378606 */   // Label 33933: @2378606
     /* 2378606 */   GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2378652), // Rule ID 56369 //
     /* 2378611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378614 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2378631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378651 */     // GIR_Coverage, 56369,
     /* 2378651 */     GIR_EraseRootFromParent_Done,
     /* 2378652 */   // Label 33934: @2378652
     /* 2378652 */   GIM_Reject,
     /* 2378653 */ // Label 33932: @2378653
     /* 2378653 */ GIM_Reject,
     /* 2378654 */ // Label 33891: @2378654
     /* 2378654 */ GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2378763),
     /* 2378659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2378662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378670 */   GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2378716), // Rule ID 56188 //
     /* 2378675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378678 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2378695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378715 */     // GIR_Coverage, 56188,
     /* 2378715 */     GIR_EraseRootFromParent_Done,
     /* 2378716 */   // Label 33936: @2378716
     /* 2378716 */   GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2378762), // Rule ID 56189 //
     /* 2378721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378724 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2378741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378761 */     // GIR_Coverage, 56189,
     /* 2378761 */     GIR_EraseRootFromParent_Done,
     /* 2378762 */   // Label 33937: @2378762
     /* 2378762 */   GIM_Reject,
     /* 2378763 */ // Label 33935: @2378763
     /* 2378763 */ GIM_Reject,
     /* 2378764 */ // Label 33892: @2378764
     /* 2378764 */ GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2378873),
     /* 2378769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2378772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378780 */   GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2378826), // Rule ID 56308 //
     /* 2378785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378788 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2378805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378825 */     // GIR_Coverage, 56308,
     /* 2378825 */     GIR_EraseRootFromParent_Done,
     /* 2378826 */   // Label 33939: @2378826
     /* 2378826 */   GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2378872), // Rule ID 56309 //
     /* 2378831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378834 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2378851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378871 */     // GIR_Coverage, 56309,
     /* 2378871 */     GIR_EraseRootFromParent_Done,
     /* 2378872 */   // Label 33940: @2378872
     /* 2378872 */   GIM_Reject,
     /* 2378873 */ // Label 33938: @2378873
     /* 2378873 */ GIM_Reject,
     /* 2378874 */ // Label 33893: @2378874
     /* 2378874 */ GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2378983),
     /* 2378879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378890 */   GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2378936), // Rule ID 56388 //
     /* 2378895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378898 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2378915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378935 */     // GIR_Coverage, 56388,
     /* 2378935 */     GIR_EraseRootFromParent_Done,
     /* 2378936 */   // Label 33942: @2378936
     /* 2378936 */   GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2378982), // Rule ID 56389 //
     /* 2378941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378944 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2378961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378981 */     // GIR_Coverage, 56389,
     /* 2378981 */     GIR_EraseRootFromParent_Done,
     /* 2378982 */   // Label 33943: @2378982
     /* 2378982 */   GIM_Reject,
     /* 2378983 */ // Label 33941: @2378983
     /* 2378983 */ GIM_Reject,
     /* 2378984 */ // Label 33894: @2378984
     /* 2378984 */ GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2379093),
     /* 2378989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2379000 */   GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2379046), // Rule ID 56248 //
     /* 2379005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379008 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2379011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2379025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379045 */     // GIR_Coverage, 56248,
     /* 2379045 */     GIR_EraseRootFromParent_Done,
     /* 2379046 */   // Label 33945: @2379046
     /* 2379046 */   GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2379092), // Rule ID 56249 //
     /* 2379051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379054 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2379057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2379071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379091 */     // GIR_Coverage, 56249,
     /* 2379091 */     GIR_EraseRootFromParent_Done,
     /* 2379092 */   // Label 33946: @2379092
     /* 2379092 */   GIM_Reject,
     /* 2379093 */ // Label 33944: @2379093
     /* 2379093 */ GIM_Reject,
     /* 2379094 */ // Label 33895: @2379094
     /* 2379094 */ GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2379203),
     /* 2379099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2379102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379110 */   GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2379156), // Rule ID 56328 //
     /* 2379115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379118 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2379121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2379135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379155 */     // GIR_Coverage, 56328,
     /* 2379155 */     GIR_EraseRootFromParent_Done,
     /* 2379156 */   // Label 33948: @2379156
     /* 2379156 */   GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2379202), // Rule ID 56329 //
     /* 2379161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379164 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2379167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2379181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379201 */     // GIR_Coverage, 56329,
     /* 2379201 */     GIR_EraseRootFromParent_Done,
     /* 2379202 */   // Label 33949: @2379202
     /* 2379202 */   GIM_Reject,
     /* 2379203 */ // Label 33947: @2379203
     /* 2379203 */ GIM_Reject,
     /* 2379204 */ // Label 33896: @2379204
     /* 2379204 */ GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2379313),
     /* 2379209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2379212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379220 */   GIM_Try, /*On fail goto*//*Label 33951*/ GIMT_Encode4(2379266), // Rule ID 56408 //
     /* 2379225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2379228 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2379231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2379245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379265 */     // GIR_Coverage, 56408,
     /* 2379265 */     GIR_EraseRootFromParent_Done,
     /* 2379266 */   // Label 33951: @2379266
     /* 2379266 */   GIM_Try, /*On fail goto*//*Label 33952*/ GIMT_Encode4(2379312), // Rule ID 56409 //
     /* 2379271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2379274 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2379277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2379291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379311 */     // GIR_Coverage, 56409,
     /* 2379311 */     GIR_EraseRootFromParent_Done,
     /* 2379312 */   // Label 33952: @2379312
     /* 2379312 */   GIM_Reject,
     /* 2379313 */ // Label 33950: @2379313
     /* 2379313 */ GIM_Reject,
     /* 2379314 */ // Label 33897: @2379314
     /* 2379314 */ GIM_Try, /*On fail goto*//*Label 33953*/ GIMT_Encode4(2379423),
     /* 2379319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2379322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379330 */   GIM_Try, /*On fail goto*//*Label 33954*/ GIMT_Encode4(2379376), // Rule ID 56268 //
     /* 2379335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379338 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2379355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379375 */     // GIR_Coverage, 56268,
     /* 2379375 */     GIR_EraseRootFromParent_Done,
     /* 2379376 */   // Label 33954: @2379376
     /* 2379376 */   GIM_Try, /*On fail goto*//*Label 33955*/ GIMT_Encode4(2379422), // Rule ID 56269 //
     /* 2379381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379384 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2379401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379421 */     // GIR_Coverage, 56269,
     /* 2379421 */     GIR_EraseRootFromParent_Done,
     /* 2379422 */   // Label 33955: @2379422
     /* 2379422 */   GIM_Reject,
     /* 2379423 */ // Label 33953: @2379423
     /* 2379423 */ GIM_Reject,
     /* 2379424 */ // Label 33898: @2379424
     /* 2379424 */ GIM_Try, /*On fail goto*//*Label 33956*/ GIMT_Encode4(2379533),
     /* 2379429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2379432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379440 */   GIM_Try, /*On fail goto*//*Label 33957*/ GIMT_Encode4(2379486), // Rule ID 56348 //
     /* 2379445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379448 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2379465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379485 */     // GIR_Coverage, 56348,
     /* 2379485 */     GIR_EraseRootFromParent_Done,
     /* 2379486 */   // Label 33957: @2379486
     /* 2379486 */   GIM_Try, /*On fail goto*//*Label 33958*/ GIMT_Encode4(2379532), // Rule ID 56349 //
     /* 2379491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379494 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2379511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379531 */     // GIR_Coverage, 56349,
     /* 2379531 */     GIR_EraseRootFromParent_Done,
     /* 2379532 */   // Label 33958: @2379532
     /* 2379532 */   GIM_Reject,
     /* 2379533 */ // Label 33956: @2379533
     /* 2379533 */ GIM_Reject,
     /* 2379534 */ // Label 33899: @2379534
     /* 2379534 */ GIM_Try, /*On fail goto*//*Label 33959*/ GIMT_Encode4(2379643),
     /* 2379539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2379542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379550 */   GIM_Try, /*On fail goto*//*Label 33960*/ GIMT_Encode4(2379596), // Rule ID 56288 //
     /* 2379555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379558 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2379575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379595 */     // GIR_Coverage, 56288,
     /* 2379595 */     GIR_EraseRootFromParent_Done,
     /* 2379596 */   // Label 33960: @2379596
     /* 2379596 */   GIM_Try, /*On fail goto*//*Label 33961*/ GIMT_Encode4(2379642), // Rule ID 56289 //
     /* 2379601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379604 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2379621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379641 */     // GIR_Coverage, 56289,
     /* 2379641 */     GIR_EraseRootFromParent_Done,
     /* 2379642 */   // Label 33961: @2379642
     /* 2379642 */   GIM_Reject,
     /* 2379643 */ // Label 33959: @2379643
     /* 2379643 */ GIM_Reject,
     /* 2379644 */ // Label 33900: @2379644
     /* 2379644 */ GIM_Reject,
     /* 2379645 */ // Label 95: @2379645
     /* 2379645 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33965*/ GIMT_Encode4(2379842),
     /* 2379656 */ /*GILLT_s16*//*Label 33962*/ GIMT_Encode4(2379668),
     /* 2379660 */ /*GILLT_s32*//*Label 33963*/ GIMT_Encode4(2379726),
     /* 2379664 */ /*GILLT_s64*//*Label 33964*/ GIMT_Encode4(2379784),
     /* 2379668 */ // Label 33962: @2379668
     /* 2379668 */ GIM_Try, /*On fail goto*//*Label 33966*/ GIMT_Encode4(2379725),
     /* 2379673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379684 */   GIM_Try, /*On fail goto*//*Label 33967*/ GIMT_Encode4(2379704), // Rule ID 2318 //
     /* 2379689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2379692 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2379692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2379695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2379702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379703 */     // GIR_Coverage, 2318,
     /* 2379703 */     GIR_EraseRootFromParent_Done,
     /* 2379704 */   // Label 33967: @2379704
     /* 2379704 */   GIM_Try, /*On fail goto*//*Label 33968*/ GIMT_Encode4(2379724), // Rule ID 2319 //
     /* 2379709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2379712 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2379712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2379715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2379722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379723 */     // GIR_Coverage, 2319,
     /* 2379723 */     GIR_EraseRootFromParent_Done,
     /* 2379724 */   // Label 33968: @2379724
     /* 2379724 */   GIM_Reject,
     /* 2379725 */ // Label 33966: @2379725
     /* 2379725 */ GIM_Reject,
     /* 2379726 */ // Label 33963: @2379726
     /* 2379726 */ GIM_Try, /*On fail goto*//*Label 33969*/ GIMT_Encode4(2379783),
     /* 2379731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2379734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379742 */   GIM_Try, /*On fail goto*//*Label 33970*/ GIMT_Encode4(2379762), // Rule ID 2236 //
     /* 2379747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2379750 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2379750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2379753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2379760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379761 */     // GIR_Coverage, 2236,
     /* 2379761 */     GIR_EraseRootFromParent_Done,
     /* 2379762 */   // Label 33970: @2379762
     /* 2379762 */   GIM_Try, /*On fail goto*//*Label 33971*/ GIMT_Encode4(2379782), // Rule ID 2237 //
     /* 2379767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2379770 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2379770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2379773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2379780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379781 */     // GIR_Coverage, 2237,
     /* 2379781 */     GIR_EraseRootFromParent_Done,
     /* 2379782 */   // Label 33971: @2379782
     /* 2379782 */   GIM_Reject,
     /* 2379783 */ // Label 33969: @2379783
     /* 2379783 */ GIM_Reject,
     /* 2379784 */ // Label 33964: @2379784
     /* 2379784 */ GIM_Try, /*On fail goto*//*Label 33972*/ GIMT_Encode4(2379841),
     /* 2379789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379800 */   GIM_Try, /*On fail goto*//*Label 33973*/ GIMT_Encode4(2379820), // Rule ID 2276 //
     /* 2379805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2379808 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2379808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2379811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2379818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379819 */     // GIR_Coverage, 2276,
     /* 2379819 */     GIR_EraseRootFromParent_Done,
     /* 2379820 */   // Label 33973: @2379820
     /* 2379820 */   GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2379840), // Rule ID 2277 //
     /* 2379825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2379828 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2379828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2379831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2379838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379839 */     // GIR_Coverage, 2277,
     /* 2379839 */     GIR_EraseRootFromParent_Done,
     /* 2379840 */   // Label 33974: @2379840
     /* 2379840 */   GIM_Reject,
     /* 2379841 */ // Label 33972: @2379841
     /* 2379841 */ GIM_Reject,
     /* 2379842 */ // Label 33965: @2379842
     /* 2379842 */ GIM_Reject,
     /* 2379843 */ // Label 96: @2379843
     /* 2379843 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33978*/ GIMT_Encode4(2380040),
     /* 2379854 */ /*GILLT_s16*//*Label 33975*/ GIMT_Encode4(2379866),
     /* 2379858 */ /*GILLT_s32*//*Label 33976*/ GIMT_Encode4(2379924),
     /* 2379862 */ /*GILLT_s64*//*Label 33977*/ GIMT_Encode4(2379982),
     /* 2379866 */ // Label 33975: @2379866
     /* 2379866 */ GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2379923),
     /* 2379871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379882 */   GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2379902), // Rule ID 2302 //
     /* 2379887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2379890 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2379890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2379893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379901 */     // GIR_Coverage, 2302,
     /* 2379901 */     GIR_EraseRootFromParent_Done,
     /* 2379902 */   // Label 33980: @2379902
     /* 2379902 */   GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2379922), // Rule ID 2303 //
     /* 2379907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2379910 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2379910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2379913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379921 */     // GIR_Coverage, 2303,
     /* 2379921 */     GIR_EraseRootFromParent_Done,
     /* 2379922 */   // Label 33981: @2379922
     /* 2379922 */   GIM_Reject,
     /* 2379923 */ // Label 33979: @2379923
     /* 2379923 */ GIM_Reject,
     /* 2379924 */ // Label 33976: @2379924
     /* 2379924 */ GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2379981),
     /* 2379929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2379932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2379940 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2379960), // Rule ID 2220 //
     /* 2379945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2379948 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2379948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2379951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379959 */     // GIR_Coverage, 2220,
     /* 2379959 */     GIR_EraseRootFromParent_Done,
     /* 2379960 */   // Label 33983: @2379960
     /* 2379960 */   GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2379980), // Rule ID 2221 //
     /* 2379965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2379968 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2379968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2379971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379979 */     // GIR_Coverage, 2221,
     /* 2379979 */     GIR_EraseRootFromParent_Done,
     /* 2379980 */   // Label 33984: @2379980
     /* 2379980 */   GIM_Reject,
     /* 2379981 */ // Label 33982: @2379981
     /* 2379981 */ GIM_Reject,
     /* 2379982 */ // Label 33977: @2379982
     /* 2379982 */ GIM_Try, /*On fail goto*//*Label 33985*/ GIMT_Encode4(2380039),
     /* 2379987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379998 */   GIM_Try, /*On fail goto*//*Label 33986*/ GIMT_Encode4(2380018), // Rule ID 2260 //
     /* 2380003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2380006 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2380006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2380009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380017 */     // GIR_Coverage, 2260,
     /* 2380017 */     GIR_EraseRootFromParent_Done,
     /* 2380018 */   // Label 33986: @2380018
     /* 2380018 */   GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2380038), // Rule ID 2261 //
     /* 2380023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2380026 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2380026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2380029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380037 */     // GIR_Coverage, 2261,
     /* 2380037 */     GIR_EraseRootFromParent_Done,
     /* 2380038 */   // Label 33987: @2380038
     /* 2380038 */   GIM_Reject,
     /* 2380039 */ // Label 33985: @2380039
     /* 2380039 */ GIM_Reject,
     /* 2380040 */ // Label 33978: @2380040
     /* 2380040 */ GIM_Reject,
     /* 2380041 */ // Label 97: @2380041
     /* 2380041 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33991*/ GIMT_Encode4(2380238),
     /* 2380052 */ /*GILLT_s16*//*Label 33988*/ GIMT_Encode4(2380064),
     /* 2380056 */ /*GILLT_s32*//*Label 33989*/ GIMT_Encode4(2380122),
     /* 2380060 */ /*GILLT_s64*//*Label 33990*/ GIMT_Encode4(2380180),
     /* 2380064 */ // Label 33988: @2380064
     /* 2380064 */ GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2380121),
     /* 2380069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380080 */   GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2380100), // Rule ID 2306 //
     /* 2380085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2380088 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2380088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2380091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380099 */     // GIR_Coverage, 2306,
     /* 2380099 */     GIR_EraseRootFromParent_Done,
     /* 2380100 */   // Label 33993: @2380100
     /* 2380100 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2380120), // Rule ID 2307 //
     /* 2380105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2380108 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2380108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2380111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380119 */     // GIR_Coverage, 2307,
     /* 2380119 */     GIR_EraseRootFromParent_Done,
     /* 2380120 */   // Label 33994: @2380120
     /* 2380120 */   GIM_Reject,
     /* 2380121 */ // Label 33992: @2380121
     /* 2380121 */ GIM_Reject,
     /* 2380122 */ // Label 33989: @2380122
     /* 2380122 */ GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2380179),
     /* 2380127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2380130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380138 */   GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2380158), // Rule ID 2224 //
     /* 2380143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2380146 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2380146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2380149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380157 */     // GIR_Coverage, 2224,
     /* 2380157 */     GIR_EraseRootFromParent_Done,
     /* 2380158 */   // Label 33996: @2380158
     /* 2380158 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2380178), // Rule ID 2225 //
     /* 2380163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2380166 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2380166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2380169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380177 */     // GIR_Coverage, 2225,
     /* 2380177 */     GIR_EraseRootFromParent_Done,
     /* 2380178 */   // Label 33997: @2380178
     /* 2380178 */   GIM_Reject,
     /* 2380179 */ // Label 33995: @2380179
     /* 2380179 */ GIM_Reject,
     /* 2380180 */ // Label 33990: @2380180
     /* 2380180 */ GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2380237),
     /* 2380185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2380188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380196 */   GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2380216), // Rule ID 2264 //
     /* 2380201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2380204 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2380204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2380207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380215 */     // GIR_Coverage, 2264,
     /* 2380215 */     GIR_EraseRootFromParent_Done,
     /* 2380216 */   // Label 33999: @2380216
     /* 2380216 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2380236), // Rule ID 2265 //
     /* 2380221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2380224 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2380224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2380227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380235 */     // GIR_Coverage, 2265,
     /* 2380235 */     GIR_EraseRootFromParent_Done,
     /* 2380236 */   // Label 34000: @2380236
     /* 2380236 */   GIM_Reject,
     /* 2380237 */ // Label 33998: @2380237
     /* 2380237 */ GIM_Reject,
     /* 2380238 */ // Label 33991: @2380238
     /* 2380238 */ GIM_Reject,
     /* 2380239 */ // Label 98: @2380239
     /* 2380239 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34019*/ GIMT_Encode4(2382666),
     /* 2380250 */ /*GILLT_s16*//*Label 34001*/ GIMT_Encode4(2380370),
     /* 2380254 */ /*GILLT_s32*//*Label 34002*/ GIMT_Encode4(2380519),
     /* 2380258 */ /*GILLT_s64*//*Label 34003*/ GIMT_Encode4(2380668), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2380270 */ /*GILLT_nxv1s16*//*Label 34004*/ GIMT_Encode4(2380851),
     /* 2380274 */ /*GILLT_nxv1s32*//*Label 34005*/ GIMT_Encode4(2380972),
     /* 2380278 */ /*GILLT_nxv1s64*//*Label 34006*/ GIMT_Encode4(2381093), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2380290 */ /*GILLT_nxv2s16*//*Label 34007*/ GIMT_Encode4(2381214),
     /* 2380294 */ /*GILLT_nxv2s32*//*Label 34008*/ GIMT_Encode4(2381335),
     /* 2380298 */ /*GILLT_nxv2s64*//*Label 34009*/ GIMT_Encode4(2381456), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2380310 */ /*GILLT_nxv4s16*//*Label 34010*/ GIMT_Encode4(2381577),
     /* 2380314 */ /*GILLT_nxv4s32*//*Label 34011*/ GIMT_Encode4(2381698),
     /* 2380318 */ /*GILLT_nxv4s64*//*Label 34012*/ GIMT_Encode4(2381819), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2380330 */ /*GILLT_nxv8s16*//*Label 34013*/ GIMT_Encode4(2381940),
     /* 2380334 */ /*GILLT_nxv8s32*//*Label 34014*/ GIMT_Encode4(2382061),
     /* 2380338 */ /*GILLT_nxv8s64*//*Label 34015*/ GIMT_Encode4(2382182), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2380350 */ /*GILLT_nxv16s16*//*Label 34016*/ GIMT_Encode4(2382303),
     /* 2380354 */ /*GILLT_nxv16s32*//*Label 34017*/ GIMT_Encode4(2382424), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2380366 */ /*GILLT_nxv32s16*//*Label 34018*/ GIMT_Encode4(2382545),
     /* 2380370 */ // Label 34001: @2380370
     /* 2380370 */ GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2380518),
     /* 2380375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2380381 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2380415), // Rule ID 1846 //
     /* 2380386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2380389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380401 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2380401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2380404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380414 */     // GIR_Coverage, 1846,
     /* 2380414 */     GIR_EraseRootFromParent_Done,
     /* 2380415 */   // Label 34021: @2380415
     /* 2380415 */   GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2380449), // Rule ID 1847 //
     /* 2380420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2380423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380435 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2380435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2380438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380448 */     // GIR_Coverage, 1847,
     /* 2380448 */     GIR_EraseRootFromParent_Done,
     /* 2380449 */   // Label 34022: @2380449
     /* 2380449 */   GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2380483), // Rule ID 1850 //
     /* 2380454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2380457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380469 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2380469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2380472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380482 */     // GIR_Coverage, 1850,
     /* 2380482 */     GIR_EraseRootFromParent_Done,
     /* 2380483 */   // Label 34023: @2380483
     /* 2380483 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2380517), // Rule ID 1851 //
     /* 2380488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2380491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380503 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2380503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2380506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380516 */     // GIR_Coverage, 1851,
     /* 2380516 */     GIR_EraseRootFromParent_Done,
     /* 2380517 */   // Label 34024: @2380517
     /* 2380517 */   GIM_Reject,
     /* 2380518 */ // Label 34020: @2380518
     /* 2380518 */ GIM_Reject,
     /* 2380519 */ // Label 34002: @2380519
     /* 2380519 */ GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2380667),
     /* 2380524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2380527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2380530 */   GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2380564), // Rule ID 1137 //
     /* 2380535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2380538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380550 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2380550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2380553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380563 */     // GIR_Coverage, 1137,
     /* 2380563 */     GIR_EraseRootFromParent_Done,
     /* 2380564 */   // Label 34026: @2380564
     /* 2380564 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2380598), // Rule ID 1138 //
     /* 2380569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2380572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2380584 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2380584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2380587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380597 */     // GIR_Coverage, 1138,
     /* 2380597 */     GIR_EraseRootFromParent_Done,
     /* 2380598 */   // Label 34027: @2380598
     /* 2380598 */   GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2380632), // Rule ID 1141 //
     /* 2380603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2380606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2380610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2380614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2380618 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2380618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2380621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380631 */     // GIR_Coverage, 1141,
     /* 2380631 */     GIR_EraseRootFromParent_Done,
     /* 2380632 */   // Label 34028: @2380632
     /* 2380632 */   GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2380666), // Rule ID 1142 //
     /* 2380637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2380640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2380644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2380648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2380652 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2380652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2380655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380665 */     // GIR_Coverage, 1142,
     /* 2380665 */     GIR_EraseRootFromParent_Done,
     /* 2380666 */   // Label 34029: @2380666
     /* 2380666 */   GIM_Reject,
     /* 2380667 */ // Label 34025: @2380667
     /* 2380667 */ GIM_Reject,
     /* 2380668 */ // Label 34003: @2380668
     /* 2380668 */ GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2380850),
     /* 2380673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2380676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2380679 */   GIM_Try, /*On fail goto*//*Label 34031*/ GIMT_Encode4(2380713), // Rule ID 1472 //
     /* 2380684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2380687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380699 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2380699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2380702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380712 */     // GIR_Coverage, 1472,
     /* 2380712 */     GIR_EraseRootFromParent_Done,
     /* 2380713 */   // Label 34031: @2380713
     /* 2380713 */   GIM_Try, /*On fail goto*//*Label 34032*/ GIMT_Encode4(2380747), // Rule ID 1473 //
     /* 2380718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2380721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2380733 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2380733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2380736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380746 */     // GIR_Coverage, 1473,
     /* 2380746 */     GIR_EraseRootFromParent_Done,
     /* 2380747 */   // Label 34032: @2380747
     /* 2380747 */   GIM_Try, /*On fail goto*//*Label 34033*/ GIMT_Encode4(2380781), // Rule ID 1476 //
     /* 2380752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2380755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2380759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2380763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2380767 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2380767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2380770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380780 */     // GIR_Coverage, 1476,
     /* 2380780 */     GIR_EraseRootFromParent_Done,
     /* 2380781 */   // Label 34033: @2380781
     /* 2380781 */   GIM_Try, /*On fail goto*//*Label 34034*/ GIMT_Encode4(2380815), // Rule ID 1477 //
     /* 2380786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2380789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2380793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2380797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2380801 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2380801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2380804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380814 */     // GIR_Coverage, 1477,
     /* 2380814 */     GIR_EraseRootFromParent_Done,
     /* 2380815 */   // Label 34034: @2380815
     /* 2380815 */   GIM_Try, /*On fail goto*//*Label 34035*/ GIMT_Encode4(2380849), // Rule ID 1480 //
     /* 2380820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2380823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2380835 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2380835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2380838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380848 */     // GIR_Coverage, 1480,
     /* 2380848 */     GIR_EraseRootFromParent_Done,
     /* 2380849 */   // Label 34035: @2380849
     /* 2380849 */   GIM_Reject,
     /* 2380850 */ // Label 34030: @2380850
     /* 2380850 */ GIM_Reject,
     /* 2380851 */ // Label 34004: @2380851
     /* 2380851 */ GIM_Try, /*On fail goto*//*Label 34036*/ GIMT_Encode4(2380971),
     /* 2380856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2380862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380874 */   GIM_Try, /*On fail goto*//*Label 34037*/ GIMT_Encode4(2380922), // Rule ID 45648 //
     /* 2380879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380882 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2380885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2380899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380921 */     // GIR_Coverage, 45648,
     /* 2380921 */     GIR_EraseRootFromParent_Done,
     /* 2380922 */   // Label 34037: @2380922
     /* 2380922 */   GIM_Try, /*On fail goto*//*Label 34038*/ GIMT_Encode4(2380970), // Rule ID 45649 //
     /* 2380927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380930 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2380933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2380947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380969 */     // GIR_Coverage, 45649,
     /* 2380969 */     GIR_EraseRootFromParent_Done,
     /* 2380970 */   // Label 34038: @2380970
     /* 2380970 */   GIM_Reject,
     /* 2380971 */ // Label 34036: @2380971
     /* 2380971 */ GIM_Reject,
     /* 2380972 */ // Label 34005: @2380972
     /* 2380972 */ GIM_Try, /*On fail goto*//*Label 34039*/ GIMT_Encode4(2381092),
     /* 2380977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2380983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380995 */   GIM_Try, /*On fail goto*//*Label 34040*/ GIMT_Encode4(2381043), // Rule ID 53188 //
     /* 2381000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381003 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2381006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2381020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381042 */     // GIR_Coverage, 53188,
     /* 2381042 */     GIR_EraseRootFromParent_Done,
     /* 2381043 */   // Label 34040: @2381043
     /* 2381043 */   GIM_Try, /*On fail goto*//*Label 34041*/ GIMT_Encode4(2381091), // Rule ID 53189 //
     /* 2381048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381051 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2381054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2381068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381090 */     // GIR_Coverage, 53189,
     /* 2381090 */     GIR_EraseRootFromParent_Done,
     /* 2381091 */   // Label 34041: @2381091
     /* 2381091 */   GIM_Reject,
     /* 2381092 */ // Label 34039: @2381092
     /* 2381092 */ GIM_Reject,
     /* 2381093 */ // Label 34006: @2381093
     /* 2381093 */ GIM_Try, /*On fail goto*//*Label 34042*/ GIMT_Encode4(2381213),
     /* 2381098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2381104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381116 */   GIM_Try, /*On fail goto*//*Label 34043*/ GIMT_Encode4(2381164), // Rule ID 53224 //
     /* 2381121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381124 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2381127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2381141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381163 */     // GIR_Coverage, 53224,
     /* 2381163 */     GIR_EraseRootFromParent_Done,
     /* 2381164 */   // Label 34043: @2381164
     /* 2381164 */   GIM_Try, /*On fail goto*//*Label 34044*/ GIMT_Encode4(2381212), // Rule ID 53225 //
     /* 2381169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381172 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2381175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2381189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381211 */     // GIR_Coverage, 53225,
     /* 2381211 */     GIR_EraseRootFromParent_Done,
     /* 2381212 */   // Label 34044: @2381212
     /* 2381212 */   GIM_Reject,
     /* 2381213 */ // Label 34042: @2381213
     /* 2381213 */ GIM_Reject,
     /* 2381214 */ // Label 34007: @2381214
     /* 2381214 */ GIM_Try, /*On fail goto*//*Label 34045*/ GIMT_Encode4(2381334),
     /* 2381219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2381222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2381225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381237 */   GIM_Try, /*On fail goto*//*Label 34046*/ GIMT_Encode4(2381285), // Rule ID 53176 //
     /* 2381242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381245 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2381248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2381262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381284 */     // GIR_Coverage, 53176,
     /* 2381284 */     GIR_EraseRootFromParent_Done,
     /* 2381285 */   // Label 34046: @2381285
     /* 2381285 */   GIM_Try, /*On fail goto*//*Label 34047*/ GIMT_Encode4(2381333), // Rule ID 53177 //
     /* 2381290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381293 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2381296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2381310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381332 */     // GIR_Coverage, 53177,
     /* 2381332 */     GIR_EraseRootFromParent_Done,
     /* 2381333 */   // Label 34047: @2381333
     /* 2381333 */   GIM_Reject,
     /* 2381334 */ // Label 34045: @2381334
     /* 2381334 */ GIM_Reject,
     /* 2381335 */ // Label 34008: @2381335
     /* 2381335 */ GIM_Try, /*On fail goto*//*Label 34048*/ GIMT_Encode4(2381455),
     /* 2381340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2381343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2381346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381358 */   GIM_Try, /*On fail goto*//*Label 34049*/ GIMT_Encode4(2381406), // Rule ID 53212 //
     /* 2381363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381366 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2381369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2381383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381405 */     // GIR_Coverage, 53212,
     /* 2381405 */     GIR_EraseRootFromParent_Done,
     /* 2381406 */   // Label 34049: @2381406
     /* 2381406 */   GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2381454), // Rule ID 53213 //
     /* 2381411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381414 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2381417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2381431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381453 */     // GIR_Coverage, 53213,
     /* 2381453 */     GIR_EraseRootFromParent_Done,
     /* 2381454 */   // Label 34050: @2381454
     /* 2381454 */   GIM_Reject,
     /* 2381455 */ // Label 34048: @2381455
     /* 2381455 */ GIM_Reject,
     /* 2381456 */ // Label 34009: @2381456
     /* 2381456 */ GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2381576),
     /* 2381461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2381464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2381467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381479 */   GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2381527), // Rule ID 53308 //
     /* 2381484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381487 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2381490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2381504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381526 */     // GIR_Coverage, 53308,
     /* 2381526 */     GIR_EraseRootFromParent_Done,
     /* 2381527 */   // Label 34052: @2381527
     /* 2381527 */   GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2381575), // Rule ID 53309 //
     /* 2381532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381535 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2381538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2381552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381574 */     // GIR_Coverage, 53309,
     /* 2381574 */     GIR_EraseRootFromParent_Done,
     /* 2381575 */   // Label 34053: @2381575
     /* 2381575 */   GIM_Reject,
     /* 2381576 */ // Label 34051: @2381576
     /* 2381576 */ GIM_Reject,
     /* 2381577 */ // Label 34010: @2381577
     /* 2381577 */ GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2381697),
     /* 2381582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2381585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2381588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381600 */   GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2381648), // Rule ID 53200 //
     /* 2381605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381608 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2381611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2381625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381647 */     // GIR_Coverage, 53200,
     /* 2381647 */     GIR_EraseRootFromParent_Done,
     /* 2381648 */   // Label 34055: @2381648
     /* 2381648 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2381696), // Rule ID 53201 //
     /* 2381653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2381656 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2381659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2381673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381695 */     // GIR_Coverage, 53201,
     /* 2381695 */     GIR_EraseRootFromParent_Done,
     /* 2381696 */   // Label 34056: @2381696
     /* 2381696 */   GIM_Reject,
     /* 2381697 */ // Label 34054: @2381697
     /* 2381697 */ GIM_Reject,
     /* 2381698 */ // Label 34011: @2381698
     /* 2381698 */ GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2381818),
     /* 2381703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2381706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2381709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381721 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2381769), // Rule ID 53272 //
     /* 2381726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381729 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2381732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2381746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381768 */     // GIR_Coverage, 53272,
     /* 2381768 */     GIR_EraseRootFromParent_Done,
     /* 2381769 */   // Label 34058: @2381769
     /* 2381769 */   GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2381817), // Rule ID 53273 //
     /* 2381774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381777 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2381780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2381794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381816 */     // GIR_Coverage, 53273,
     /* 2381816 */     GIR_EraseRootFromParent_Done,
     /* 2381817 */   // Label 34059: @2381817
     /* 2381817 */   GIM_Reject,
     /* 2381818 */ // Label 34057: @2381818
     /* 2381818 */ GIM_Reject,
     /* 2381819 */ // Label 34012: @2381819
     /* 2381819 */ GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2381939),
     /* 2381824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2381827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2381830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381842 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2381890), // Rule ID 53320 //
     /* 2381847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381850 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2381853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2381867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381889 */     // GIR_Coverage, 53320,
     /* 2381889 */     GIR_EraseRootFromParent_Done,
     /* 2381890 */   // Label 34061: @2381890
     /* 2381890 */   GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2381938), // Rule ID 53321 //
     /* 2381895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381898 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2381901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2381915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381937 */     // GIR_Coverage, 53321,
     /* 2381937 */     GIR_EraseRootFromParent_Done,
     /* 2381938 */   // Label 34062: @2381938
     /* 2381938 */   GIM_Reject,
     /* 2381939 */ // Label 34060: @2381939
     /* 2381939 */ GIM_Reject,
     /* 2381940 */ // Label 34013: @2381940
     /* 2381940 */ GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2382060),
     /* 2381945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2381948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2381951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381963 */   GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2382011), // Rule ID 53236 //
     /* 2381968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2381971 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2381988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382010 */     // GIR_Coverage, 53236,
     /* 2382010 */     GIR_EraseRootFromParent_Done,
     /* 2382011 */   // Label 34064: @2382011
     /* 2382011 */   GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2382059), // Rule ID 53237 //
     /* 2382016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382019 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2382022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2382036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382058 */     // GIR_Coverage, 53237,
     /* 2382058 */     GIR_EraseRootFromParent_Done,
     /* 2382059 */   // Label 34065: @2382059
     /* 2382059 */   GIM_Reject,
     /* 2382060 */ // Label 34063: @2382060
     /* 2382060 */ GIM_Reject,
     /* 2382061 */ // Label 34014: @2382061
     /* 2382061 */ GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2382181),
     /* 2382066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2382069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2382072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382084 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2382132), // Rule ID 53284 //
     /* 2382089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2382092 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2382095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2382109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382131 */     // GIR_Coverage, 53284,
     /* 2382131 */     GIR_EraseRootFromParent_Done,
     /* 2382132 */   // Label 34067: @2382132
     /* 2382132 */   GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2382180), // Rule ID 53285 //
     /* 2382137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2382140 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2382143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2382157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382179 */     // GIR_Coverage, 53285,
     /* 2382179 */     GIR_EraseRootFromParent_Done,
     /* 2382180 */   // Label 34068: @2382180
     /* 2382180 */   GIM_Reject,
     /* 2382181 */ // Label 34066: @2382181
     /* 2382181 */ GIM_Reject,
     /* 2382182 */ // Label 34015: @2382182
     /* 2382182 */ GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2382302),
     /* 2382187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2382190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2382193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382205 */   GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2382253), // Rule ID 53332 //
     /* 2382210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2382213 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2382216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2382230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382252 */     // GIR_Coverage, 53332,
     /* 2382252 */     GIR_EraseRootFromParent_Done,
     /* 2382253 */   // Label 34070: @2382253
     /* 2382253 */   GIM_Try, /*On fail goto*//*Label 34071*/ GIMT_Encode4(2382301), // Rule ID 53333 //
     /* 2382258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2382261 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2382264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2382278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382300 */     // GIR_Coverage, 53333,
     /* 2382300 */     GIR_EraseRootFromParent_Done,
     /* 2382301 */   // Label 34071: @2382301
     /* 2382301 */   GIM_Reject,
     /* 2382302 */ // Label 34069: @2382302
     /* 2382302 */ GIM_Reject,
     /* 2382303 */ // Label 34016: @2382303
     /* 2382303 */ GIM_Try, /*On fail goto*//*Label 34072*/ GIMT_Encode4(2382423),
     /* 2382308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2382311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2382314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382326 */   GIM_Try, /*On fail goto*//*Label 34073*/ GIMT_Encode4(2382374), // Rule ID 53248 //
     /* 2382331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382334 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2382337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2382351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382373 */     // GIR_Coverage, 53248,
     /* 2382373 */     GIR_EraseRootFromParent_Done,
     /* 2382374 */   // Label 34073: @2382374
     /* 2382374 */   GIM_Try, /*On fail goto*//*Label 34074*/ GIMT_Encode4(2382422), // Rule ID 53249 //
     /* 2382379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382382 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2382385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2382399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382421 */     // GIR_Coverage, 53249,
     /* 2382421 */     GIR_EraseRootFromParent_Done,
     /* 2382422 */   // Label 34074: @2382422
     /* 2382422 */   GIM_Reject,
     /* 2382423 */ // Label 34072: @2382423
     /* 2382423 */ GIM_Reject,
     /* 2382424 */ // Label 34017: @2382424
     /* 2382424 */ GIM_Try, /*On fail goto*//*Label 34075*/ GIMT_Encode4(2382544),
     /* 2382429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2382432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2382435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382447 */   GIM_Try, /*On fail goto*//*Label 34076*/ GIMT_Encode4(2382495), // Rule ID 53296 //
     /* 2382452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2382455 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2382458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2382472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382494 */     // GIR_Coverage, 53296,
     /* 2382494 */     GIR_EraseRootFromParent_Done,
     /* 2382495 */   // Label 34076: @2382495
     /* 2382495 */   GIM_Try, /*On fail goto*//*Label 34077*/ GIMT_Encode4(2382543), // Rule ID 53297 //
     /* 2382500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2382503 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2382506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2382520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382542 */     // GIR_Coverage, 53297,
     /* 2382542 */     GIR_EraseRootFromParent_Done,
     /* 2382543 */   // Label 34077: @2382543
     /* 2382543 */   GIM_Reject,
     /* 2382544 */ // Label 34075: @2382544
     /* 2382544 */ GIM_Reject,
     /* 2382545 */ // Label 34018: @2382545
     /* 2382545 */ GIM_Try, /*On fail goto*//*Label 34078*/ GIMT_Encode4(2382665),
     /* 2382550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2382553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2382556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382568 */   GIM_Try, /*On fail goto*//*Label 34079*/ GIMT_Encode4(2382616), // Rule ID 53260 //
     /* 2382573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382576 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2382579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2382593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382615 */     // GIR_Coverage, 53260,
     /* 2382615 */     GIR_EraseRootFromParent_Done,
     /* 2382616 */   // Label 34079: @2382616
     /* 2382616 */   GIM_Try, /*On fail goto*//*Label 34080*/ GIMT_Encode4(2382664), // Rule ID 53261 //
     /* 2382621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382624 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2382627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2382641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382663 */     // GIR_Coverage, 53261,
     /* 2382663 */     GIR_EraseRootFromParent_Done,
     /* 2382664 */   // Label 34080: @2382664
     /* 2382664 */   GIM_Reject,
     /* 2382665 */ // Label 34078: @2382665
     /* 2382665 */ GIM_Reject,
     /* 2382666 */ // Label 34019: @2382666
     /* 2382666 */ GIM_Reject,
     /* 2382667 */ // Label 99: @2382667
     /* 2382667 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34099*/ GIMT_Encode4(2385094),
     /* 2382678 */ /*GILLT_s16*//*Label 34081*/ GIMT_Encode4(2382798),
     /* 2382682 */ /*GILLT_s32*//*Label 34082*/ GIMT_Encode4(2382947),
     /* 2382686 */ /*GILLT_s64*//*Label 34083*/ GIMT_Encode4(2383096), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382698 */ /*GILLT_nxv1s16*//*Label 34084*/ GIMT_Encode4(2383279),
     /* 2382702 */ /*GILLT_nxv1s32*//*Label 34085*/ GIMT_Encode4(2383400),
     /* 2382706 */ /*GILLT_nxv1s64*//*Label 34086*/ GIMT_Encode4(2383521), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382718 */ /*GILLT_nxv2s16*//*Label 34087*/ GIMT_Encode4(2383642),
     /* 2382722 */ /*GILLT_nxv2s32*//*Label 34088*/ GIMT_Encode4(2383763),
     /* 2382726 */ /*GILLT_nxv2s64*//*Label 34089*/ GIMT_Encode4(2383884), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382738 */ /*GILLT_nxv4s16*//*Label 34090*/ GIMT_Encode4(2384005),
     /* 2382742 */ /*GILLT_nxv4s32*//*Label 34091*/ GIMT_Encode4(2384126),
     /* 2382746 */ /*GILLT_nxv4s64*//*Label 34092*/ GIMT_Encode4(2384247), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382758 */ /*GILLT_nxv8s16*//*Label 34093*/ GIMT_Encode4(2384368),
     /* 2382762 */ /*GILLT_nxv8s32*//*Label 34094*/ GIMT_Encode4(2384489),
     /* 2382766 */ /*GILLT_nxv8s64*//*Label 34095*/ GIMT_Encode4(2384610), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382778 */ /*GILLT_nxv16s16*//*Label 34096*/ GIMT_Encode4(2384731),
     /* 2382782 */ /*GILLT_nxv16s32*//*Label 34097*/ GIMT_Encode4(2384852), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2382794 */ /*GILLT_nxv32s16*//*Label 34098*/ GIMT_Encode4(2384973),
     /* 2382798 */ // Label 34081: @2382798
     /* 2382798 */ GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2382946),
     /* 2382803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2382806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2382809 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2382843), // Rule ID 1854 //
     /* 2382814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2382817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382829 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2382829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2382832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382842 */     // GIR_Coverage, 1854,
     /* 2382842 */     GIR_EraseRootFromParent_Done,
     /* 2382843 */   // Label 34101: @2382843
     /* 2382843 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2382877), // Rule ID 1855 //
     /* 2382848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2382851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2382863 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2382863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2382866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382876 */     // GIR_Coverage, 1855,
     /* 2382876 */     GIR_EraseRootFromParent_Done,
     /* 2382877 */   // Label 34102: @2382877
     /* 2382877 */   GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2382911), // Rule ID 1858 //
     /* 2382882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2382885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382897 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2382897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2382900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382910 */     // GIR_Coverage, 1858,
     /* 2382910 */     GIR_EraseRootFromParent_Done,
     /* 2382911 */   // Label 34103: @2382911
     /* 2382911 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2382945), // Rule ID 1859 //
     /* 2382916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2382919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2382931 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2382931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2382934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382944 */     // GIR_Coverage, 1859,
     /* 2382944 */     GIR_EraseRootFromParent_Done,
     /* 2382945 */   // Label 34104: @2382945
     /* 2382945 */   GIM_Reject,
     /* 2382946 */ // Label 34100: @2382946
     /* 2382946 */ GIM_Reject,
     /* 2382947 */ // Label 34082: @2382947
     /* 2382947 */ GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2383095),
     /* 2382952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2382958 */   GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2382992), // Rule ID 1145 //
     /* 2382963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2382966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382978 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2382978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2382981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382991 */     // GIR_Coverage, 1145,
     /* 2382991 */     GIR_EraseRootFromParent_Done,
     /* 2382992 */   // Label 34106: @2382992
     /* 2382992 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2383026), // Rule ID 1146 //
     /* 2382997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2383000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2383012 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2383012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2383015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383025 */     // GIR_Coverage, 1146,
     /* 2383025 */     GIR_EraseRootFromParent_Done,
     /* 2383026 */   // Label 34107: @2383026
     /* 2383026 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2383060), // Rule ID 1149 //
     /* 2383031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2383034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383046 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2383046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2383049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383059 */     // GIR_Coverage, 1149,
     /* 2383059 */     GIR_EraseRootFromParent_Done,
     /* 2383060 */   // Label 34108: @2383060
     /* 2383060 */   GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2383094), // Rule ID 1150 //
     /* 2383065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2383068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2383080 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2383080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2383083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383093 */     // GIR_Coverage, 1150,
     /* 2383093 */     GIR_EraseRootFromParent_Done,
     /* 2383094 */   // Label 34109: @2383094
     /* 2383094 */   GIM_Reject,
     /* 2383095 */ // Label 34105: @2383095
     /* 2383095 */ GIM_Reject,
     /* 2383096 */ // Label 34083: @2383096
     /* 2383096 */ GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2383278),
     /* 2383101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2383107 */   GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2383141), // Rule ID 1482 //
     /* 2383112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2383115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383127 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2383127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2383130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383140 */     // GIR_Coverage, 1482,
     /* 2383140 */     GIR_EraseRootFromParent_Done,
     /* 2383141 */   // Label 34111: @2383141
     /* 2383141 */   GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2383175), // Rule ID 1483 //
     /* 2383146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2383149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383161 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2383161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2383164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383174 */     // GIR_Coverage, 1483,
     /* 2383174 */     GIR_EraseRootFromParent_Done,
     /* 2383175 */   // Label 34112: @2383175
     /* 2383175 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2383209), // Rule ID 1486 //
     /* 2383180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2383183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383195 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2383195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2383198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383208 */     // GIR_Coverage, 1486,
     /* 2383208 */     GIR_EraseRootFromParent_Done,
     /* 2383209 */   // Label 34113: @2383209
     /* 2383209 */   GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2383243), // Rule ID 1487 //
     /* 2383214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2383217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383229 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2383229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2383232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383242 */     // GIR_Coverage, 1487,
     /* 2383242 */     GIR_EraseRootFromParent_Done,
     /* 2383243 */   // Label 34114: @2383243
     /* 2383243 */   GIM_Try, /*On fail goto*//*Label 34115*/ GIMT_Encode4(2383277), // Rule ID 1490 //
     /* 2383248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2383251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383263 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2383263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2383266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383276 */     // GIR_Coverage, 1490,
     /* 2383276 */     GIR_EraseRootFromParent_Done,
     /* 2383277 */   // Label 34115: @2383277
     /* 2383277 */   GIM_Reject,
     /* 2383278 */ // Label 34110: @2383278
     /* 2383278 */ GIM_Reject,
     /* 2383279 */ // Label 34084: @2383279
     /* 2383279 */ GIM_Try, /*On fail goto*//*Label 34116*/ GIMT_Encode4(2383399),
     /* 2383284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2383287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2383290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383302 */   GIM_Try, /*On fail goto*//*Label 34117*/ GIMT_Encode4(2383350), // Rule ID 53344 //
     /* 2383307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2383310 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2383313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2383327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383349 */     // GIR_Coverage, 53344,
     /* 2383349 */     GIR_EraseRootFromParent_Done,
     /* 2383350 */   // Label 34117: @2383350
     /* 2383350 */   GIM_Try, /*On fail goto*//*Label 34118*/ GIMT_Encode4(2383398), // Rule ID 53345 //
     /* 2383355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2383358 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2383361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2383375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383397 */     // GIR_Coverage, 53345,
     /* 2383397 */     GIR_EraseRootFromParent_Done,
     /* 2383398 */   // Label 34118: @2383398
     /* 2383398 */   GIM_Reject,
     /* 2383399 */ // Label 34116: @2383399
     /* 2383399 */ GIM_Reject,
     /* 2383400 */ // Label 34085: @2383400
     /* 2383400 */ GIM_Try, /*On fail goto*//*Label 34119*/ GIMT_Encode4(2383520),
     /* 2383405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2383408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2383411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383423 */   GIM_Try, /*On fail goto*//*Label 34120*/ GIMT_Encode4(2383471), // Rule ID 53368 //
     /* 2383428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383431 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2383434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2383448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383470 */     // GIR_Coverage, 53368,
     /* 2383470 */     GIR_EraseRootFromParent_Done,
     /* 2383471 */   // Label 34120: @2383471
     /* 2383471 */   GIM_Try, /*On fail goto*//*Label 34121*/ GIMT_Encode4(2383519), // Rule ID 53369 //
     /* 2383476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383479 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2383482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2383496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383518 */     // GIR_Coverage, 53369,
     /* 2383518 */     GIR_EraseRootFromParent_Done,
     /* 2383519 */   // Label 34121: @2383519
     /* 2383519 */   GIM_Reject,
     /* 2383520 */ // Label 34119: @2383520
     /* 2383520 */ GIM_Reject,
     /* 2383521 */ // Label 34086: @2383521
     /* 2383521 */ GIM_Try, /*On fail goto*//*Label 34122*/ GIMT_Encode4(2383641),
     /* 2383526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2383529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2383532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383544 */   GIM_Try, /*On fail goto*//*Label 34123*/ GIMT_Encode4(2383592), // Rule ID 53404 //
     /* 2383549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2383552 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2383555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2383569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383591 */     // GIR_Coverage, 53404,
     /* 2383591 */     GIR_EraseRootFromParent_Done,
     /* 2383592 */   // Label 34123: @2383592
     /* 2383592 */   GIM_Try, /*On fail goto*//*Label 34124*/ GIMT_Encode4(2383640), // Rule ID 53405 //
     /* 2383597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2383600 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2383603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2383617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383639 */     // GIR_Coverage, 53405,
     /* 2383639 */     GIR_EraseRootFromParent_Done,
     /* 2383640 */   // Label 34124: @2383640
     /* 2383640 */   GIM_Reject,
     /* 2383641 */ // Label 34122: @2383641
     /* 2383641 */ GIM_Reject,
     /* 2383642 */ // Label 34087: @2383642
     /* 2383642 */ GIM_Try, /*On fail goto*//*Label 34125*/ GIMT_Encode4(2383762),
     /* 2383647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2383650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2383653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383665 */   GIM_Try, /*On fail goto*//*Label 34126*/ GIMT_Encode4(2383713), // Rule ID 53356 //
     /* 2383670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2383673 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2383690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383712 */     // GIR_Coverage, 53356,
     /* 2383712 */     GIR_EraseRootFromParent_Done,
     /* 2383713 */   // Label 34126: @2383713
     /* 2383713 */   GIM_Try, /*On fail goto*//*Label 34127*/ GIMT_Encode4(2383761), // Rule ID 53357 //
     /* 2383718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2383721 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2383738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383760 */     // GIR_Coverage, 53357,
     /* 2383760 */     GIR_EraseRootFromParent_Done,
     /* 2383761 */   // Label 34127: @2383761
     /* 2383761 */   GIM_Reject,
     /* 2383762 */ // Label 34125: @2383762
     /* 2383762 */ GIM_Reject,
     /* 2383763 */ // Label 34088: @2383763
     /* 2383763 */ GIM_Try, /*On fail goto*//*Label 34128*/ GIMT_Encode4(2383883),
     /* 2383768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2383774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383786 */   GIM_Try, /*On fail goto*//*Label 34129*/ GIMT_Encode4(2383834), // Rule ID 53392 //
     /* 2383791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383794 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2383811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383833 */     // GIR_Coverage, 53392,
     /* 2383833 */     GIR_EraseRootFromParent_Done,
     /* 2383834 */   // Label 34129: @2383834
     /* 2383834 */   GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2383882), // Rule ID 53393 //
     /* 2383839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383842 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2383859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383881 */     // GIR_Coverage, 53393,
     /* 2383881 */     GIR_EraseRootFromParent_Done,
     /* 2383882 */   // Label 34130: @2383882
     /* 2383882 */   GIM_Reject,
     /* 2383883 */ // Label 34128: @2383883
     /* 2383883 */ GIM_Reject,
     /* 2383884 */ // Label 34089: @2383884
     /* 2383884 */ GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2384004),
     /* 2383889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2383895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383907 */   GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2383955), // Rule ID 53488 //
     /* 2383912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2383915 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2383932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383954 */     // GIR_Coverage, 53488,
     /* 2383954 */     GIR_EraseRootFromParent_Done,
     /* 2383955 */   // Label 34132: @2383955
     /* 2383955 */   GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2384003), // Rule ID 53489 //
     /* 2383960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2383963 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2383980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384002 */     // GIR_Coverage, 53489,
     /* 2384002 */     GIR_EraseRootFromParent_Done,
     /* 2384003 */   // Label 34133: @2384003
     /* 2384003 */   GIM_Reject,
     /* 2384004 */ // Label 34131: @2384004
     /* 2384004 */ GIM_Reject,
     /* 2384005 */ // Label 34090: @2384005
     /* 2384005 */ GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2384125),
     /* 2384010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2384016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384028 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2384076), // Rule ID 53380 //
     /* 2384033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384036 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2384039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2384053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384075 */     // GIR_Coverage, 53380,
     /* 2384075 */     GIR_EraseRootFromParent_Done,
     /* 2384076 */   // Label 34135: @2384076
     /* 2384076 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2384124), // Rule ID 53381 //
     /* 2384081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384084 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2384087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2384101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384123 */     // GIR_Coverage, 53381,
     /* 2384123 */     GIR_EraseRootFromParent_Done,
     /* 2384124 */   // Label 34136: @2384124
     /* 2384124 */   GIM_Reject,
     /* 2384125 */ // Label 34134: @2384125
     /* 2384125 */ GIM_Reject,
     /* 2384126 */ // Label 34091: @2384126
     /* 2384126 */ GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2384246),
     /* 2384131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2384134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2384137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384149 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2384197), // Rule ID 53452 //
     /* 2384154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2384157 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2384160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2384174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384196 */     // GIR_Coverage, 53452,
     /* 2384196 */     GIR_EraseRootFromParent_Done,
     /* 2384197 */   // Label 34138: @2384197
     /* 2384197 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2384245), // Rule ID 53453 //
     /* 2384202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2384205 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2384208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2384222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384244 */     // GIR_Coverage, 53453,
     /* 2384244 */     GIR_EraseRootFromParent_Done,
     /* 2384245 */   // Label 34139: @2384245
     /* 2384245 */   GIM_Reject,
     /* 2384246 */ // Label 34137: @2384246
     /* 2384246 */ GIM_Reject,
     /* 2384247 */ // Label 34092: @2384247
     /* 2384247 */ GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2384367),
     /* 2384252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2384255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2384258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384270 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2384318), // Rule ID 53500 //
     /* 2384275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2384278 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2384281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2384295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384317 */     // GIR_Coverage, 53500,
     /* 2384317 */     GIR_EraseRootFromParent_Done,
     /* 2384318 */   // Label 34141: @2384318
     /* 2384318 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2384366), // Rule ID 53501 //
     /* 2384323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2384326 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2384329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2384343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384365 */     // GIR_Coverage, 53501,
     /* 2384365 */     GIR_EraseRootFromParent_Done,
     /* 2384366 */   // Label 34142: @2384366
     /* 2384366 */   GIM_Reject,
     /* 2384367 */ // Label 34140: @2384367
     /* 2384367 */ GIM_Reject,
     /* 2384368 */ // Label 34093: @2384368
     /* 2384368 */ GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2384488),
     /* 2384373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2384376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2384379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384391 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2384439), // Rule ID 53416 //
     /* 2384396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384399 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2384402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2384416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384438 */     // GIR_Coverage, 53416,
     /* 2384438 */     GIR_EraseRootFromParent_Done,
     /* 2384439 */   // Label 34144: @2384439
     /* 2384439 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2384487), // Rule ID 53417 //
     /* 2384444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384447 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2384450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2384464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384486 */     // GIR_Coverage, 53417,
     /* 2384486 */     GIR_EraseRootFromParent_Done,
     /* 2384487 */   // Label 34145: @2384487
     /* 2384487 */   GIM_Reject,
     /* 2384488 */ // Label 34143: @2384488
     /* 2384488 */ GIM_Reject,
     /* 2384489 */ // Label 34094: @2384489
     /* 2384489 */ GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2384609),
     /* 2384494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2384497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2384500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384512 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2384560), // Rule ID 53464 //
     /* 2384517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2384520 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2384537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384559 */     // GIR_Coverage, 53464,
     /* 2384559 */     GIR_EraseRootFromParent_Done,
     /* 2384560 */   // Label 34147: @2384560
     /* 2384560 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2384608), // Rule ID 53465 //
     /* 2384565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2384568 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2384585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384607 */     // GIR_Coverage, 53465,
     /* 2384607 */     GIR_EraseRootFromParent_Done,
     /* 2384608 */   // Label 34148: @2384608
     /* 2384608 */   GIM_Reject,
     /* 2384609 */ // Label 34146: @2384609
     /* 2384609 */ GIM_Reject,
     /* 2384610 */ // Label 34095: @2384610
     /* 2384610 */ GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2384730),
     /* 2384615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2384618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2384621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384633 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2384681), // Rule ID 53512 //
     /* 2384638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2384641 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2384658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384680 */     // GIR_Coverage, 53512,
     /* 2384680 */     GIR_EraseRootFromParent_Done,
     /* 2384681 */   // Label 34150: @2384681
     /* 2384681 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2384729), // Rule ID 53513 //
     /* 2384686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2384689 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2384706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384728 */     // GIR_Coverage, 53513,
     /* 2384728 */     GIR_EraseRootFromParent_Done,
     /* 2384729 */   // Label 34151: @2384729
     /* 2384729 */   GIM_Reject,
     /* 2384730 */ // Label 34149: @2384730
     /* 2384730 */ GIM_Reject,
     /* 2384731 */ // Label 34096: @2384731
     /* 2384731 */ GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2384851),
     /* 2384736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2384739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2384742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384754 */   GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2384802), // Rule ID 53428 //
     /* 2384759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384762 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2384779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384801 */     // GIR_Coverage, 53428,
     /* 2384801 */     GIR_EraseRootFromParent_Done,
     /* 2384802 */   // Label 34153: @2384802
     /* 2384802 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2384850), // Rule ID 53429 //
     /* 2384807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384810 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2384827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384849 */     // GIR_Coverage, 53429,
     /* 2384849 */     GIR_EraseRootFromParent_Done,
     /* 2384850 */   // Label 34154: @2384850
     /* 2384850 */   GIM_Reject,
     /* 2384851 */ // Label 34152: @2384851
     /* 2384851 */ GIM_Reject,
     /* 2384852 */ // Label 34097: @2384852
     /* 2384852 */ GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2384972),
     /* 2384857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2384860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2384863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384875 */   GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2384923), // Rule ID 53476 //
     /* 2384880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2384883 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2384900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384922 */     // GIR_Coverage, 53476,
     /* 2384922 */     GIR_EraseRootFromParent_Done,
     /* 2384923 */   // Label 34156: @2384923
     /* 2384923 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2384971), // Rule ID 53477 //
     /* 2384928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2384931 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2384948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384970 */     // GIR_Coverage, 53477,
     /* 2384970 */     GIR_EraseRootFromParent_Done,
     /* 2384971 */   // Label 34157: @2384971
     /* 2384971 */   GIM_Reject,
     /* 2384972 */ // Label 34155: @2384972
     /* 2384972 */ GIM_Reject,
     /* 2384973 */ // Label 34098: @2384973
     /* 2384973 */ GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2385093),
     /* 2384978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2384981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2384984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384996 */   GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2385044), // Rule ID 53440 //
     /* 2385001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2385004 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2385007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2385021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385043 */     // GIR_Coverage, 53440,
     /* 2385043 */     GIR_EraseRootFromParent_Done,
     /* 2385044 */   // Label 34159: @2385044
     /* 2385044 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2385092), // Rule ID 53441 //
     /* 2385049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2385052 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2385055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2385069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385091 */     // GIR_Coverage, 53441,
     /* 2385091 */     GIR_EraseRootFromParent_Done,
     /* 2385092 */   // Label 34160: @2385092
     /* 2385092 */   GIM_Reject,
     /* 2385093 */ // Label 34158: @2385093
     /* 2385093 */ GIM_Reject,
     /* 2385094 */ // Label 34099: @2385094
     /* 2385094 */ GIM_Reject,
     /* 2385095 */ // Label 100: @2385095
     /* 2385095 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34179*/ GIMT_Encode4(2387522),
     /* 2385106 */ /*GILLT_s16*//*Label 34161*/ GIMT_Encode4(2385226),
     /* 2385110 */ /*GILLT_s32*//*Label 34162*/ GIMT_Encode4(2385375),
     /* 2385114 */ /*GILLT_s64*//*Label 34163*/ GIMT_Encode4(2385524), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385126 */ /*GILLT_nxv1s16*//*Label 34164*/ GIMT_Encode4(2385707),
     /* 2385130 */ /*GILLT_nxv1s32*//*Label 34165*/ GIMT_Encode4(2385828),
     /* 2385134 */ /*GILLT_nxv1s64*//*Label 34166*/ GIMT_Encode4(2385949), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385146 */ /*GILLT_nxv2s16*//*Label 34167*/ GIMT_Encode4(2386070),
     /* 2385150 */ /*GILLT_nxv2s32*//*Label 34168*/ GIMT_Encode4(2386191),
     /* 2385154 */ /*GILLT_nxv2s64*//*Label 34169*/ GIMT_Encode4(2386312), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385166 */ /*GILLT_nxv4s16*//*Label 34170*/ GIMT_Encode4(2386433),
     /* 2385170 */ /*GILLT_nxv4s32*//*Label 34171*/ GIMT_Encode4(2386554),
     /* 2385174 */ /*GILLT_nxv4s64*//*Label 34172*/ GIMT_Encode4(2386675), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385186 */ /*GILLT_nxv8s16*//*Label 34173*/ GIMT_Encode4(2386796),
     /* 2385190 */ /*GILLT_nxv8s32*//*Label 34174*/ GIMT_Encode4(2386917),
     /* 2385194 */ /*GILLT_nxv8s64*//*Label 34175*/ GIMT_Encode4(2387038), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385206 */ /*GILLT_nxv16s16*//*Label 34176*/ GIMT_Encode4(2387159),
     /* 2385210 */ /*GILLT_nxv16s32*//*Label 34177*/ GIMT_Encode4(2387280), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2385222 */ /*GILLT_nxv32s16*//*Label 34178*/ GIMT_Encode4(2387401),
     /* 2385226 */ // Label 34161: @2385226
     /* 2385226 */ GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2385374),
     /* 2385231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2385234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2385237 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2385271), // Rule ID 1862 //
     /* 2385242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2385245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385257 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2385257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2385260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385270 */     // GIR_Coverage, 1862,
     /* 2385270 */     GIR_EraseRootFromParent_Done,
     /* 2385271 */   // Label 34181: @2385271
     /* 2385271 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2385305), // Rule ID 1863 //
     /* 2385276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2385279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2385291 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2385291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2385294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385304 */     // GIR_Coverage, 1863,
     /* 2385304 */     GIR_EraseRootFromParent_Done,
     /* 2385305 */   // Label 34182: @2385305
     /* 2385305 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2385339), // Rule ID 1866 //
     /* 2385310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2385313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385325 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2385325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2385328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385338 */     // GIR_Coverage, 1866,
     /* 2385338 */     GIR_EraseRootFromParent_Done,
     /* 2385339 */   // Label 34183: @2385339
     /* 2385339 */   GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2385373), // Rule ID 1867 //
     /* 2385344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2385347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2385359 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2385359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2385362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385372 */     // GIR_Coverage, 1867,
     /* 2385372 */     GIR_EraseRootFromParent_Done,
     /* 2385373 */   // Label 34184: @2385373
     /* 2385373 */   GIM_Reject,
     /* 2385374 */ // Label 34180: @2385374
     /* 2385374 */ GIM_Reject,
     /* 2385375 */ // Label 34162: @2385375
     /* 2385375 */ GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2385523),
     /* 2385380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2385383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2385386 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2385420), // Rule ID 1153 //
     /* 2385391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2385394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385406 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2385406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2385409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385419 */     // GIR_Coverage, 1153,
     /* 2385419 */     GIR_EraseRootFromParent_Done,
     /* 2385420 */   // Label 34186: @2385420
     /* 2385420 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2385454), // Rule ID 1154 //
     /* 2385425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2385428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2385440 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2385440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2385443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385453 */     // GIR_Coverage, 1154,
     /* 2385453 */     GIR_EraseRootFromParent_Done,
     /* 2385454 */   // Label 34187: @2385454
     /* 2385454 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2385488), // Rule ID 1157 //
     /* 2385459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2385462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385474 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2385474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2385477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385487 */     // GIR_Coverage, 1157,
     /* 2385487 */     GIR_EraseRootFromParent_Done,
     /* 2385488 */   // Label 34188: @2385488
     /* 2385488 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2385522), // Rule ID 1158 //
     /* 2385493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2385496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2385508 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2385508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2385511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385521 */     // GIR_Coverage, 1158,
     /* 2385521 */     GIR_EraseRootFromParent_Done,
     /* 2385522 */   // Label 34189: @2385522
     /* 2385522 */   GIM_Reject,
     /* 2385523 */ // Label 34185: @2385523
     /* 2385523 */ GIM_Reject,
     /* 2385524 */ // Label 34163: @2385524
     /* 2385524 */ GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2385706),
     /* 2385529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2385532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2385535 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2385569), // Rule ID 1492 //
     /* 2385540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2385543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385555 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2385555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2385558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385568 */     // GIR_Coverage, 1492,
     /* 2385568 */     GIR_EraseRootFromParent_Done,
     /* 2385569 */   // Label 34191: @2385569
     /* 2385569 */   GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2385603), // Rule ID 1493 //
     /* 2385574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2385577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2385589 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2385589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2385592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385602 */     // GIR_Coverage, 1493,
     /* 2385602 */     GIR_EraseRootFromParent_Done,
     /* 2385603 */   // Label 34192: @2385603
     /* 2385603 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2385637), // Rule ID 1496 //
     /* 2385608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2385611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385623 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2385623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2385626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385636 */     // GIR_Coverage, 1496,
     /* 2385636 */     GIR_EraseRootFromParent_Done,
     /* 2385637 */   // Label 34193: @2385637
     /* 2385637 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2385671), // Rule ID 1497 //
     /* 2385642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2385645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2385657 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2385657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2385660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385670 */     // GIR_Coverage, 1497,
     /* 2385670 */     GIR_EraseRootFromParent_Done,
     /* 2385671 */   // Label 34194: @2385671
     /* 2385671 */   GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2385705), // Rule ID 1500 //
     /* 2385676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2385679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2385691 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2385691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2385694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385704 */     // GIR_Coverage, 1500,
     /* 2385704 */     GIR_EraseRootFromParent_Done,
     /* 2385705 */   // Label 34195: @2385705
     /* 2385705 */   GIM_Reject,
     /* 2385706 */ // Label 34190: @2385706
     /* 2385706 */ GIM_Reject,
     /* 2385707 */ // Label 34164: @2385707
     /* 2385707 */ GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2385827),
     /* 2385712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2385715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2385718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385730 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2385778), // Rule ID 54112 //
     /* 2385735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2385738 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2385755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385777 */     // GIR_Coverage, 54112,
     /* 2385777 */     GIR_EraseRootFromParent_Done,
     /* 2385778 */   // Label 34197: @2385778
     /* 2385778 */   GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2385826), // Rule ID 54113 //
     /* 2385783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2385786 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2385803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385825 */     // GIR_Coverage, 54113,
     /* 2385825 */     GIR_EraseRootFromParent_Done,
     /* 2385826 */   // Label 34198: @2385826
     /* 2385826 */   GIM_Reject,
     /* 2385827 */ // Label 34196: @2385827
     /* 2385827 */ GIM_Reject,
     /* 2385828 */ // Label 34165: @2385828
     /* 2385828 */ GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2385948),
     /* 2385833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2385839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385851 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2385899), // Rule ID 54136 //
     /* 2385856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385859 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2385876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385898 */     // GIR_Coverage, 54136,
     /* 2385898 */     GIR_EraseRootFromParent_Done,
     /* 2385899 */   // Label 34200: @2385899
     /* 2385899 */   GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2385947), // Rule ID 54137 //
     /* 2385904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385907 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2385924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385946 */     // GIR_Coverage, 54137,
     /* 2385946 */     GIR_EraseRootFromParent_Done,
     /* 2385947 */   // Label 34201: @2385947
     /* 2385947 */   GIM_Reject,
     /* 2385948 */ // Label 34199: @2385948
     /* 2385948 */ GIM_Reject,
     /* 2385949 */ // Label 34166: @2385949
     /* 2385949 */ GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2386069),
     /* 2385954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2385957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2385960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385972 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2386020), // Rule ID 54172 //
     /* 2385977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2385980 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2385983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2385997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386019 */     // GIR_Coverage, 54172,
     /* 2386019 */     GIR_EraseRootFromParent_Done,
     /* 2386020 */   // Label 34203: @2386020
     /* 2386020 */   GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2386068), // Rule ID 54173 //
     /* 2386025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386028 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2386031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2386045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386067 */     // GIR_Coverage, 54173,
     /* 2386067 */     GIR_EraseRootFromParent_Done,
     /* 2386068 */   // Label 34204: @2386068
     /* 2386068 */   GIM_Reject,
     /* 2386069 */ // Label 34202: @2386069
     /* 2386069 */ GIM_Reject,
     /* 2386070 */ // Label 34167: @2386070
     /* 2386070 */ GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2386190),
     /* 2386075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2386078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2386081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386093 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2386141), // Rule ID 54124 //
     /* 2386098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386101 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2386104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2386118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386140 */     // GIR_Coverage, 54124,
     /* 2386140 */     GIR_EraseRootFromParent_Done,
     /* 2386141 */   // Label 34206: @2386141
     /* 2386141 */   GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2386189), // Rule ID 54125 //
     /* 2386146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386149 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2386152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2386166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386188 */     // GIR_Coverage, 54125,
     /* 2386188 */     GIR_EraseRootFromParent_Done,
     /* 2386189 */   // Label 34207: @2386189
     /* 2386189 */   GIM_Reject,
     /* 2386190 */ // Label 34205: @2386190
     /* 2386190 */ GIM_Reject,
     /* 2386191 */ // Label 34168: @2386191
     /* 2386191 */ GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2386311),
     /* 2386196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2386199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2386202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386214 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2386262), // Rule ID 54160 //
     /* 2386219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386222 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2386225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2386239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386261 */     // GIR_Coverage, 54160,
     /* 2386261 */     GIR_EraseRootFromParent_Done,
     /* 2386262 */   // Label 34209: @2386262
     /* 2386262 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2386310), // Rule ID 54161 //
     /* 2386267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386270 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2386273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2386287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386309 */     // GIR_Coverage, 54161,
     /* 2386309 */     GIR_EraseRootFromParent_Done,
     /* 2386310 */   // Label 34210: @2386310
     /* 2386310 */   GIM_Reject,
     /* 2386311 */ // Label 34208: @2386311
     /* 2386311 */ GIM_Reject,
     /* 2386312 */ // Label 34169: @2386312
     /* 2386312 */ GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2386432),
     /* 2386317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2386320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2386323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386335 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2386383), // Rule ID 54256 //
     /* 2386340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386343 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2386360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386382 */     // GIR_Coverage, 54256,
     /* 2386382 */     GIR_EraseRootFromParent_Done,
     /* 2386383 */   // Label 34212: @2386383
     /* 2386383 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2386431), // Rule ID 54257 //
     /* 2386388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386391 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2386408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386430 */     // GIR_Coverage, 54257,
     /* 2386430 */     GIR_EraseRootFromParent_Done,
     /* 2386431 */   // Label 34213: @2386431
     /* 2386431 */   GIM_Reject,
     /* 2386432 */ // Label 34211: @2386432
     /* 2386432 */ GIM_Reject,
     /* 2386433 */ // Label 34170: @2386433
     /* 2386433 */ GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2386553),
     /* 2386438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2386441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2386444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386456 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2386504), // Rule ID 54148 //
     /* 2386461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386464 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2386481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386503 */     // GIR_Coverage, 54148,
     /* 2386503 */     GIR_EraseRootFromParent_Done,
     /* 2386504 */   // Label 34215: @2386504
     /* 2386504 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2386552), // Rule ID 54149 //
     /* 2386509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386512 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2386529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386551 */     // GIR_Coverage, 54149,
     /* 2386551 */     GIR_EraseRootFromParent_Done,
     /* 2386552 */   // Label 34216: @2386552
     /* 2386552 */   GIM_Reject,
     /* 2386553 */ // Label 34214: @2386553
     /* 2386553 */ GIM_Reject,
     /* 2386554 */ // Label 34171: @2386554
     /* 2386554 */ GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2386674),
     /* 2386559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2386562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2386565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386577 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2386625), // Rule ID 54220 //
     /* 2386582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386585 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2386602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386624 */     // GIR_Coverage, 54220,
     /* 2386624 */     GIR_EraseRootFromParent_Done,
     /* 2386625 */   // Label 34218: @2386625
     /* 2386625 */   GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2386673), // Rule ID 54221 //
     /* 2386630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386633 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2386650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386672 */     // GIR_Coverage, 54221,
     /* 2386672 */     GIR_EraseRootFromParent_Done,
     /* 2386673 */   // Label 34219: @2386673
     /* 2386673 */   GIM_Reject,
     /* 2386674 */ // Label 34217: @2386674
     /* 2386674 */ GIM_Reject,
     /* 2386675 */ // Label 34172: @2386675
     /* 2386675 */ GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2386795),
     /* 2386680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2386686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386698 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2386746), // Rule ID 54268 //
     /* 2386703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386706 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2386723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386745 */     // GIR_Coverage, 54268,
     /* 2386745 */     GIR_EraseRootFromParent_Done,
     /* 2386746 */   // Label 34221: @2386746
     /* 2386746 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2386794), // Rule ID 54269 //
     /* 2386751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386754 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2386771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386793 */     // GIR_Coverage, 54269,
     /* 2386793 */     GIR_EraseRootFromParent_Done,
     /* 2386794 */   // Label 34222: @2386794
     /* 2386794 */   GIM_Reject,
     /* 2386795 */ // Label 34220: @2386795
     /* 2386795 */ GIM_Reject,
     /* 2386796 */ // Label 34173: @2386796
     /* 2386796 */ GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2386916),
     /* 2386801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2386807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386819 */   GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2386867), // Rule ID 54184 //
     /* 2386824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386827 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2386844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386866 */     // GIR_Coverage, 54184,
     /* 2386866 */     GIR_EraseRootFromParent_Done,
     /* 2386867 */   // Label 34224: @2386867
     /* 2386867 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2386915), // Rule ID 54185 //
     /* 2386872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386875 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2386892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386914 */     // GIR_Coverage, 54185,
     /* 2386914 */     GIR_EraseRootFromParent_Done,
     /* 2386915 */   // Label 34225: @2386915
     /* 2386915 */   GIM_Reject,
     /* 2386916 */ // Label 34223: @2386916
     /* 2386916 */ GIM_Reject,
     /* 2386917 */ // Label 34174: @2386917
     /* 2386917 */ GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2387037),
     /* 2386922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2386925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2386928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386940 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2386988), // Rule ID 54232 //
     /* 2386945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2386948 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2386951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2386965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386987 */     // GIR_Coverage, 54232,
     /* 2386987 */     GIR_EraseRootFromParent_Done,
     /* 2386988 */   // Label 34227: @2386988
     /* 2386988 */   GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2387036), // Rule ID 54233 //
     /* 2386993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386996 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2386999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2387013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387035 */     // GIR_Coverage, 54233,
     /* 2387035 */     GIR_EraseRootFromParent_Done,
     /* 2387036 */   // Label 34228: @2387036
     /* 2387036 */   GIM_Reject,
     /* 2387037 */ // Label 34226: @2387037
     /* 2387037 */ GIM_Reject,
     /* 2387038 */ // Label 34175: @2387038
     /* 2387038 */ GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2387158),
     /* 2387043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2387046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2387049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387061 */   GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2387109), // Rule ID 54280 //
     /* 2387066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2387069 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2387086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387108 */     // GIR_Coverage, 54280,
     /* 2387108 */     GIR_EraseRootFromParent_Done,
     /* 2387109 */   // Label 34230: @2387109
     /* 2387109 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2387157), // Rule ID 54281 //
     /* 2387114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2387117 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2387134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387156 */     // GIR_Coverage, 54281,
     /* 2387156 */     GIR_EraseRootFromParent_Done,
     /* 2387157 */   // Label 34231: @2387157
     /* 2387157 */   GIM_Reject,
     /* 2387158 */ // Label 34229: @2387158
     /* 2387158 */ GIM_Reject,
     /* 2387159 */ // Label 34176: @2387159
     /* 2387159 */ GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2387279),
     /* 2387164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2387167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2387170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387182 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2387230), // Rule ID 54196 //
     /* 2387187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387190 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2387207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387229 */     // GIR_Coverage, 54196,
     /* 2387229 */     GIR_EraseRootFromParent_Done,
     /* 2387230 */   // Label 34233: @2387230
     /* 2387230 */   GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2387278), // Rule ID 54197 //
     /* 2387235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387238 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2387255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387277 */     // GIR_Coverage, 54197,
     /* 2387277 */     GIR_EraseRootFromParent_Done,
     /* 2387278 */   // Label 34234: @2387278
     /* 2387278 */   GIM_Reject,
     /* 2387279 */ // Label 34232: @2387279
     /* 2387279 */ GIM_Reject,
     /* 2387280 */ // Label 34177: @2387280
     /* 2387280 */ GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2387400),
     /* 2387285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2387288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2387291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387303 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2387351), // Rule ID 54244 //
     /* 2387308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387311 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2387328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387350 */     // GIR_Coverage, 54244,
     /* 2387350 */     GIR_EraseRootFromParent_Done,
     /* 2387351 */   // Label 34236: @2387351
     /* 2387351 */   GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2387399), // Rule ID 54245 //
     /* 2387356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387359 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2387376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387398 */     // GIR_Coverage, 54245,
     /* 2387398 */     GIR_EraseRootFromParent_Done,
     /* 2387399 */   // Label 34237: @2387399
     /* 2387399 */   GIM_Reject,
     /* 2387400 */ // Label 34235: @2387400
     /* 2387400 */ GIM_Reject,
     /* 2387401 */ // Label 34178: @2387401
     /* 2387401 */ GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2387521),
     /* 2387406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2387409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2387412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387424 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2387472), // Rule ID 54208 //
     /* 2387429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387432 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2387449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387471 */     // GIR_Coverage, 54208,
     /* 2387471 */     GIR_EraseRootFromParent_Done,
     /* 2387472 */   // Label 34239: @2387472
     /* 2387472 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2387520), // Rule ID 54209 //
     /* 2387477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387480 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2387497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387519 */     // GIR_Coverage, 54209,
     /* 2387519 */     GIR_EraseRootFromParent_Done,
     /* 2387520 */   // Label 34240: @2387520
     /* 2387520 */   GIM_Reject,
     /* 2387521 */ // Label 34238: @2387521
     /* 2387521 */ GIM_Reject,
     /* 2387522 */ // Label 34179: @2387522
     /* 2387522 */ GIM_Reject,
     /* 2387523 */ // Label 101: @2387523
     /* 2387523 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34259*/ GIMT_Encode4(2389950),
     /* 2387534 */ /*GILLT_s16*//*Label 34241*/ GIMT_Encode4(2387654),
     /* 2387538 */ /*GILLT_s32*//*Label 34242*/ GIMT_Encode4(2387803),
     /* 2387542 */ /*GILLT_s64*//*Label 34243*/ GIMT_Encode4(2387952), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387554 */ /*GILLT_nxv1s16*//*Label 34244*/ GIMT_Encode4(2388135),
     /* 2387558 */ /*GILLT_nxv1s32*//*Label 34245*/ GIMT_Encode4(2388256),
     /* 2387562 */ /*GILLT_nxv1s64*//*Label 34246*/ GIMT_Encode4(2388377), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387574 */ /*GILLT_nxv2s16*//*Label 34247*/ GIMT_Encode4(2388498),
     /* 2387578 */ /*GILLT_nxv2s32*//*Label 34248*/ GIMT_Encode4(2388619),
     /* 2387582 */ /*GILLT_nxv2s64*//*Label 34249*/ GIMT_Encode4(2388740), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387594 */ /*GILLT_nxv4s16*//*Label 34250*/ GIMT_Encode4(2388861),
     /* 2387598 */ /*GILLT_nxv4s32*//*Label 34251*/ GIMT_Encode4(2388982),
     /* 2387602 */ /*GILLT_nxv4s64*//*Label 34252*/ GIMT_Encode4(2389103), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387614 */ /*GILLT_nxv8s16*//*Label 34253*/ GIMT_Encode4(2389224),
     /* 2387618 */ /*GILLT_nxv8s32*//*Label 34254*/ GIMT_Encode4(2389345),
     /* 2387622 */ /*GILLT_nxv8s64*//*Label 34255*/ GIMT_Encode4(2389466), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387634 */ /*GILLT_nxv16s16*//*Label 34256*/ GIMT_Encode4(2389587),
     /* 2387638 */ /*GILLT_nxv16s32*//*Label 34257*/ GIMT_Encode4(2389708), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2387650 */ /*GILLT_nxv32s16*//*Label 34258*/ GIMT_Encode4(2389829),
     /* 2387654 */ // Label 34241: @2387654
     /* 2387654 */ GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2387802),
     /* 2387659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2387662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2387665 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2387699), // Rule ID 1870 //
     /* 2387670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2387673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387685 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2387685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2387688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387698 */     // GIR_Coverage, 1870,
     /* 2387698 */     GIR_EraseRootFromParent_Done,
     /* 2387699 */   // Label 34261: @2387699
     /* 2387699 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2387733), // Rule ID 1871 //
     /* 2387704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2387707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2387719 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2387719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2387722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387732 */     // GIR_Coverage, 1871,
     /* 2387732 */     GIR_EraseRootFromParent_Done,
     /* 2387733 */   // Label 34262: @2387733
     /* 2387733 */   GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2387767), // Rule ID 1874 //
     /* 2387738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2387741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387753 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2387753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2387756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387766 */     // GIR_Coverage, 1874,
     /* 2387766 */     GIR_EraseRootFromParent_Done,
     /* 2387767 */   // Label 34263: @2387767
     /* 2387767 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2387801), // Rule ID 1875 //
     /* 2387772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2387775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2387787 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2387787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2387790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387800 */     // GIR_Coverage, 1875,
     /* 2387800 */     GIR_EraseRootFromParent_Done,
     /* 2387801 */   // Label 34264: @2387801
     /* 2387801 */   GIM_Reject,
     /* 2387802 */ // Label 34260: @2387802
     /* 2387802 */ GIM_Reject,
     /* 2387803 */ // Label 34242: @2387803
     /* 2387803 */ GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2387951),
     /* 2387808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2387811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2387814 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2387848), // Rule ID 1161 //
     /* 2387819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2387822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387834 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2387834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2387837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387847 */     // GIR_Coverage, 1161,
     /* 2387847 */     GIR_EraseRootFromParent_Done,
     /* 2387848 */   // Label 34266: @2387848
     /* 2387848 */   GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2387882), // Rule ID 1162 //
     /* 2387853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2387856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2387868 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2387868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2387871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387881 */     // GIR_Coverage, 1162,
     /* 2387881 */     GIR_EraseRootFromParent_Done,
     /* 2387882 */   // Label 34267: @2387882
     /* 2387882 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2387916), // Rule ID 1165 //
     /* 2387887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2387890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387902 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2387902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2387905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387915 */     // GIR_Coverage, 1165,
     /* 2387915 */     GIR_EraseRootFromParent_Done,
     /* 2387916 */   // Label 34268: @2387916
     /* 2387916 */   GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2387950), // Rule ID 1166 //
     /* 2387921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2387924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2387936 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2387936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2387939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387949 */     // GIR_Coverage, 1166,
     /* 2387949 */     GIR_EraseRootFromParent_Done,
     /* 2387950 */   // Label 34269: @2387950
     /* 2387950 */   GIM_Reject,
     /* 2387951 */ // Label 34265: @2387951
     /* 2387951 */ GIM_Reject,
     /* 2387952 */ // Label 34243: @2387952
     /* 2387952 */ GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2388134),
     /* 2387957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2387960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2387963 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2387997), // Rule ID 1502 //
     /* 2387968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2387971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2387975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2387979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2387983 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2387983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2387986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387996 */     // GIR_Coverage, 1502,
     /* 2387996 */     GIR_EraseRootFromParent_Done,
     /* 2387997 */   // Label 34271: @2387997
     /* 2387997 */   GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2388031), // Rule ID 1503 //
     /* 2388002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2388005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2388017 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2388017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2388020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388030 */     // GIR_Coverage, 1503,
     /* 2388030 */     GIR_EraseRootFromParent_Done,
     /* 2388031 */   // Label 34272: @2388031
     /* 2388031 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2388065), // Rule ID 1506 //
     /* 2388036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2388039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388051 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2388051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2388054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388064 */     // GIR_Coverage, 1506,
     /* 2388064 */     GIR_EraseRootFromParent_Done,
     /* 2388065 */   // Label 34273: @2388065
     /* 2388065 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2388099), // Rule ID 1507 //
     /* 2388070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2388073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2388085 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2388085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2388088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388098 */     // GIR_Coverage, 1507,
     /* 2388098 */     GIR_EraseRootFromParent_Done,
     /* 2388099 */   // Label 34274: @2388099
     /* 2388099 */   GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2388133), // Rule ID 1510 //
     /* 2388104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2388107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2388111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2388115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2388119 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2388119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2388122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388132 */     // GIR_Coverage, 1510,
     /* 2388132 */     GIR_EraseRootFromParent_Done,
     /* 2388133 */   // Label 34275: @2388133
     /* 2388133 */   GIM_Reject,
     /* 2388134 */ // Label 34270: @2388134
     /* 2388134 */ GIM_Reject,
     /* 2388135 */ // Label 34244: @2388135
     /* 2388135 */ GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2388255),
     /* 2388140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2388143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2388146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388158 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2388206), // Rule ID 54292 //
     /* 2388163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388166 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2388183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388205 */     // GIR_Coverage, 54292,
     /* 2388205 */     GIR_EraseRootFromParent_Done,
     /* 2388206 */   // Label 34277: @2388206
     /* 2388206 */   GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2388254), // Rule ID 54293 //
     /* 2388211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388214 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2388231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388253 */     // GIR_Coverage, 54293,
     /* 2388253 */     GIR_EraseRootFromParent_Done,
     /* 2388254 */   // Label 34278: @2388254
     /* 2388254 */   GIM_Reject,
     /* 2388255 */ // Label 34276: @2388255
     /* 2388255 */ GIM_Reject,
     /* 2388256 */ // Label 34245: @2388256
     /* 2388256 */ GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2388376),
     /* 2388261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2388264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2388267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388279 */   GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2388327), // Rule ID 54316 //
     /* 2388284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388287 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2388304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388326 */     // GIR_Coverage, 54316,
     /* 2388326 */     GIR_EraseRootFromParent_Done,
     /* 2388327 */   // Label 34280: @2388327
     /* 2388327 */   GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2388375), // Rule ID 54317 //
     /* 2388332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388335 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2388352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388374 */     // GIR_Coverage, 54317,
     /* 2388374 */     GIR_EraseRootFromParent_Done,
     /* 2388375 */   // Label 34281: @2388375
     /* 2388375 */   GIM_Reject,
     /* 2388376 */ // Label 34279: @2388376
     /* 2388376 */ GIM_Reject,
     /* 2388377 */ // Label 34246: @2388377
     /* 2388377 */ GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2388497),
     /* 2388382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2388388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388400 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2388448), // Rule ID 54352 //
     /* 2388405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388408 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2388425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388447 */     // GIR_Coverage, 54352,
     /* 2388447 */     GIR_EraseRootFromParent_Done,
     /* 2388448 */   // Label 34283: @2388448
     /* 2388448 */   GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2388496), // Rule ID 54353 //
     /* 2388453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388456 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2388473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388495 */     // GIR_Coverage, 54353,
     /* 2388495 */     GIR_EraseRootFromParent_Done,
     /* 2388496 */   // Label 34284: @2388496
     /* 2388496 */   GIM_Reject,
     /* 2388497 */ // Label 34282: @2388497
     /* 2388497 */ GIM_Reject,
     /* 2388498 */ // Label 34247: @2388498
     /* 2388498 */ GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2388618),
     /* 2388503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2388509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388521 */   GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2388569), // Rule ID 54304 //
     /* 2388526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388529 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2388546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388568 */     // GIR_Coverage, 54304,
     /* 2388568 */     GIR_EraseRootFromParent_Done,
     /* 2388569 */   // Label 34286: @2388569
     /* 2388569 */   GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2388617), // Rule ID 54305 //
     /* 2388574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388577 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2388594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388616 */     // GIR_Coverage, 54305,
     /* 2388616 */     GIR_EraseRootFromParent_Done,
     /* 2388617 */   // Label 34287: @2388617
     /* 2388617 */   GIM_Reject,
     /* 2388618 */ // Label 34285: @2388618
     /* 2388618 */ GIM_Reject,
     /* 2388619 */ // Label 34248: @2388619
     /* 2388619 */ GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2388739),
     /* 2388624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2388630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388642 */   GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2388690), // Rule ID 54340 //
     /* 2388647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388650 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2388667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388689 */     // GIR_Coverage, 54340,
     /* 2388689 */     GIR_EraseRootFromParent_Done,
     /* 2388690 */   // Label 34289: @2388690
     /* 2388690 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2388738), // Rule ID 54341 //
     /* 2388695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388698 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2388715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388737 */     // GIR_Coverage, 54341,
     /* 2388737 */     GIR_EraseRootFromParent_Done,
     /* 2388738 */   // Label 34290: @2388738
     /* 2388738 */   GIM_Reject,
     /* 2388739 */ // Label 34288: @2388739
     /* 2388739 */ GIM_Reject,
     /* 2388740 */ // Label 34249: @2388740
     /* 2388740 */ GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2388860),
     /* 2388745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2388751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388763 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2388811), // Rule ID 54436 //
     /* 2388768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388771 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2388788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388810 */     // GIR_Coverage, 54436,
     /* 2388810 */     GIR_EraseRootFromParent_Done,
     /* 2388811 */   // Label 34292: @2388811
     /* 2388811 */   GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2388859), // Rule ID 54437 //
     /* 2388816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388819 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2388836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388858 */     // GIR_Coverage, 54437,
     /* 2388858 */     GIR_EraseRootFromParent_Done,
     /* 2388859 */   // Label 34293: @2388859
     /* 2388859 */   GIM_Reject,
     /* 2388860 */ // Label 34291: @2388860
     /* 2388860 */ GIM_Reject,
     /* 2388861 */ // Label 34250: @2388861
     /* 2388861 */ GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2388981),
     /* 2388866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2388869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2388872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388884 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2388932), // Rule ID 54328 //
     /* 2388889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2388892 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2388895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2388909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388931 */     // GIR_Coverage, 54328,
     /* 2388931 */     GIR_EraseRootFromParent_Done,
     /* 2388932 */   // Label 34295: @2388932
     /* 2388932 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2388980), // Rule ID 54329 //
     /* 2388937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2388940 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2388943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2388957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388979 */     // GIR_Coverage, 54329,
     /* 2388979 */     GIR_EraseRootFromParent_Done,
     /* 2388980 */   // Label 34296: @2388980
     /* 2388980 */   GIM_Reject,
     /* 2388981 */ // Label 34294: @2388981
     /* 2388981 */ GIM_Reject,
     /* 2388982 */ // Label 34251: @2388982
     /* 2388982 */ GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2389102),
     /* 2388987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2388990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2388993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389005 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2389053), // Rule ID 54400 //
     /* 2389010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389013 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2389030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389052 */     // GIR_Coverage, 54400,
     /* 2389052 */     GIR_EraseRootFromParent_Done,
     /* 2389053 */   // Label 34298: @2389053
     /* 2389053 */   GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2389101), // Rule ID 54401 //
     /* 2389058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389061 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2389078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389100 */     // GIR_Coverage, 54401,
     /* 2389100 */     GIR_EraseRootFromParent_Done,
     /* 2389101 */   // Label 34299: @2389101
     /* 2389101 */   GIM_Reject,
     /* 2389102 */ // Label 34297: @2389102
     /* 2389102 */ GIM_Reject,
     /* 2389103 */ // Label 34252: @2389103
     /* 2389103 */ GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2389223),
     /* 2389108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2389111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2389114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389126 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2389174), // Rule ID 54448 //
     /* 2389131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389134 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2389151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389173 */     // GIR_Coverage, 54448,
     /* 2389173 */     GIR_EraseRootFromParent_Done,
     /* 2389174 */   // Label 34301: @2389174
     /* 2389174 */   GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2389222), // Rule ID 54449 //
     /* 2389179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389182 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2389199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389221 */     // GIR_Coverage, 54449,
     /* 2389221 */     GIR_EraseRootFromParent_Done,
     /* 2389222 */   // Label 34302: @2389222
     /* 2389222 */   GIM_Reject,
     /* 2389223 */ // Label 34300: @2389223
     /* 2389223 */ GIM_Reject,
     /* 2389224 */ // Label 34253: @2389224
     /* 2389224 */ GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2389344),
     /* 2389229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2389232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2389235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389247 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2389295), // Rule ID 54364 //
     /* 2389252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389255 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2389272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389294 */     // GIR_Coverage, 54364,
     /* 2389294 */     GIR_EraseRootFromParent_Done,
     /* 2389295 */   // Label 34304: @2389295
     /* 2389295 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2389343), // Rule ID 54365 //
     /* 2389300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389303 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2389320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389342 */     // GIR_Coverage, 54365,
     /* 2389342 */     GIR_EraseRootFromParent_Done,
     /* 2389343 */   // Label 34305: @2389343
     /* 2389343 */   GIM_Reject,
     /* 2389344 */ // Label 34303: @2389344
     /* 2389344 */ GIM_Reject,
     /* 2389345 */ // Label 34254: @2389345
     /* 2389345 */ GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2389465),
     /* 2389350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2389353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2389356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389368 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2389416), // Rule ID 54412 //
     /* 2389373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389376 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2389393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389415 */     // GIR_Coverage, 54412,
     /* 2389415 */     GIR_EraseRootFromParent_Done,
     /* 2389416 */   // Label 34307: @2389416
     /* 2389416 */   GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2389464), // Rule ID 54413 //
     /* 2389421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389424 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2389441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389463 */     // GIR_Coverage, 54413,
     /* 2389463 */     GIR_EraseRootFromParent_Done,
     /* 2389464 */   // Label 34308: @2389464
     /* 2389464 */   GIM_Reject,
     /* 2389465 */ // Label 34306: @2389465
     /* 2389465 */ GIM_Reject,
     /* 2389466 */ // Label 34255: @2389466
     /* 2389466 */ GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2389586),
     /* 2389471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2389474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2389477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389489 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2389537), // Rule ID 54460 //
     /* 2389494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389497 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2389514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389536 */     // GIR_Coverage, 54460,
     /* 2389536 */     GIR_EraseRootFromParent_Done,
     /* 2389537 */   // Label 34310: @2389537
     /* 2389537 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2389585), // Rule ID 54461 //
     /* 2389542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389545 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2389562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389584 */     // GIR_Coverage, 54461,
     /* 2389584 */     GIR_EraseRootFromParent_Done,
     /* 2389585 */   // Label 34311: @2389585
     /* 2389585 */   GIM_Reject,
     /* 2389586 */ // Label 34309: @2389586
     /* 2389586 */ GIM_Reject,
     /* 2389587 */ // Label 34256: @2389587
     /* 2389587 */ GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2389707),
     /* 2389592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2389598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389610 */   GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2389658), // Rule ID 54376 //
     /* 2389615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389618 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2389621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2389635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389657 */     // GIR_Coverage, 54376,
     /* 2389657 */     GIR_EraseRootFromParent_Done,
     /* 2389658 */   // Label 34313: @2389658
     /* 2389658 */   GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2389706), // Rule ID 54377 //
     /* 2389663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389666 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2389669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2389683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389705 */     // GIR_Coverage, 54377,
     /* 2389705 */     GIR_EraseRootFromParent_Done,
     /* 2389706 */   // Label 34314: @2389706
     /* 2389706 */   GIM_Reject,
     /* 2389707 */ // Label 34312: @2389707
     /* 2389707 */ GIM_Reject,
     /* 2389708 */ // Label 34257: @2389708
     /* 2389708 */ GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2389828),
     /* 2389713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2389716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2389719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389731 */   GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2389779), // Rule ID 54424 //
     /* 2389736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389739 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2389742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2389756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389778 */     // GIR_Coverage, 54424,
     /* 2389778 */     GIR_EraseRootFromParent_Done,
     /* 2389779 */   // Label 34316: @2389779
     /* 2389779 */   GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2389827), // Rule ID 54425 //
     /* 2389784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2389787 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2389790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2389804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389826 */     // GIR_Coverage, 54425,
     /* 2389826 */     GIR_EraseRootFromParent_Done,
     /* 2389827 */   // Label 34317: @2389827
     /* 2389827 */   GIM_Reject,
     /* 2389828 */ // Label 34315: @2389828
     /* 2389828 */ GIM_Reject,
     /* 2389829 */ // Label 34258: @2389829
     /* 2389829 */ GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2389949),
     /* 2389834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2389837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2389840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389852 */   GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2389900), // Rule ID 54388 //
     /* 2389857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389860 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2389863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2389877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389899 */     // GIR_Coverage, 54388,
     /* 2389899 */     GIR_EraseRootFromParent_Done,
     /* 2389900 */   // Label 34319: @2389900
     /* 2389900 */   GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2389948), // Rule ID 54389 //
     /* 2389905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389908 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2389911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2389925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389947 */     // GIR_Coverage, 54389,
     /* 2389947 */     GIR_EraseRootFromParent_Done,
     /* 2389948 */   // Label 34320: @2389948
     /* 2389948 */   GIM_Reject,
     /* 2389949 */ // Label 34318: @2389949
     /* 2389949 */ GIM_Reject,
     /* 2389950 */ // Label 34259: @2389950
     /* 2389950 */ GIM_Reject,
     /* 2389951 */ // Label 102: @2389951
     /* 2389951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34339*/ GIMT_Encode4(2406595),
     /* 2389962 */ /*GILLT_s16*//*Label 34321*/ GIMT_Encode4(2390082),
     /* 2389966 */ /*GILLT_s32*//*Label 34322*/ GIMT_Encode4(2391518),
     /* 2389970 */ /*GILLT_s64*//*Label 34323*/ GIMT_Encode4(2392954), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2389982 */ /*GILLT_nxv1s16*//*Label 34324*/ GIMT_Encode4(2394745),
     /* 2389986 */ /*GILLT_nxv1s32*//*Label 34325*/ GIMT_Encode4(2395535),
     /* 2389990 */ /*GILLT_nxv1s64*//*Label 34326*/ GIMT_Encode4(2396325), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390002 */ /*GILLT_nxv2s16*//*Label 34327*/ GIMT_Encode4(2397115),
     /* 2390006 */ /*GILLT_nxv2s32*//*Label 34328*/ GIMT_Encode4(2397905),
     /* 2390010 */ /*GILLT_nxv2s64*//*Label 34329*/ GIMT_Encode4(2398695), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390022 */ /*GILLT_nxv4s16*//*Label 34330*/ GIMT_Encode4(2399485),
     /* 2390026 */ /*GILLT_nxv4s32*//*Label 34331*/ GIMT_Encode4(2400275),
     /* 2390030 */ /*GILLT_nxv4s64*//*Label 34332*/ GIMT_Encode4(2401065), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390042 */ /*GILLT_nxv8s16*//*Label 34333*/ GIMT_Encode4(2401855),
     /* 2390046 */ /*GILLT_nxv8s32*//*Label 34334*/ GIMT_Encode4(2402645),
     /* 2390050 */ /*GILLT_nxv8s64*//*Label 34335*/ GIMT_Encode4(2403435), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390062 */ /*GILLT_nxv16s16*//*Label 34336*/ GIMT_Encode4(2404225),
     /* 2390066 */ /*GILLT_nxv16s32*//*Label 34337*/ GIMT_Encode4(2405015), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390078 */ /*GILLT_nxv32s16*//*Label 34338*/ GIMT_Encode4(2405805),
     /* 2390082 */ // Label 34321: @2390082
     /* 2390082 */ GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2391517),
     /* 2390087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2390093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2390096 */   GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2390168), // Rule ID 1903 //
     /* 2390101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2390104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390148 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2390148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2390151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390167 */     // GIR_Coverage, 1903,
     /* 2390167 */     GIR_EraseRootFromParent_Done,
     /* 2390168 */   // Label 34341: @2390168
     /* 2390168 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2390240), // Rule ID 1904 //
     /* 2390173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2390176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390220 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2390220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2390223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390239 */     // GIR_Coverage, 1904,
     /* 2390239 */     GIR_EraseRootFromParent_Done,
     /* 2390240 */   // Label 34342: @2390240
     /* 2390240 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2390312), // Rule ID 1936 //
     /* 2390245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2390248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390292 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2390292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2390295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390311 */     // GIR_Coverage, 1936,
     /* 2390311 */     GIR_EraseRootFromParent_Done,
     /* 2390312 */   // Label 34343: @2390312
     /* 2390312 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2390384), // Rule ID 1937 //
     /* 2390317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2390320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390364 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2390364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2390367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390383 */     // GIR_Coverage, 1937,
     /* 2390383 */     GIR_EraseRootFromParent_Done,
     /* 2390384 */   // Label 34344: @2390384
     /* 2390384 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2390456), // Rule ID 65194 //
     /* 2390389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2390392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390436 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2390436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2390439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2390447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390455 */     // GIR_Coverage, 65194,
     /* 2390455 */     GIR_EraseRootFromParent_Done,
     /* 2390456 */   // Label 34345: @2390456
     /* 2390456 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2390528), // Rule ID 65195 //
     /* 2390461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2390464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390508 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2390508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2390511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2390519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390527 */     // GIR_Coverage, 65195,
     /* 2390527 */     GIR_EraseRootFromParent_Done,
     /* 2390528 */   // Label 34346: @2390528
     /* 2390528 */   GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2390600), // Rule ID 65202 //
     /* 2390533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2390536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390580 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2390580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2390583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2390591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390599 */     // GIR_Coverage, 65202,
     /* 2390599 */     GIR_EraseRootFromParent_Done,
     /* 2390600 */   // Label 34347: @2390600
     /* 2390600 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2390672), // Rule ID 65203 //
     /* 2390605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2390608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390652 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2390652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2390655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2390663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2390667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390671 */     // GIR_Coverage, 65203,
     /* 2390671 */     GIR_EraseRootFromParent_Done,
     /* 2390672 */   // Label 34348: @2390672
     /* 2390672 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2390729), // Rule ID 1899 //
     /* 2390677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2390680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390711 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2390711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2390714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2390724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390728 */     // GIR_Coverage, 1899,
     /* 2390728 */     GIR_EraseRootFromParent_Done,
     /* 2390729 */   // Label 34349: @2390729
     /* 2390729 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2390786), // Rule ID 1900 //
     /* 2390734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2390737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390768 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2390768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2390771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2390781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390785 */     // GIR_Coverage, 1900,
     /* 2390785 */     GIR_EraseRootFromParent_Done,
     /* 2390786 */   // Label 34350: @2390786
     /* 2390786 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2390843), // Rule ID 1932 //
     /* 2390791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2390794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390825 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2390825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2390828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2390838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390842 */     // GIR_Coverage, 1932,
     /* 2390842 */     GIR_EraseRootFromParent_Done,
     /* 2390843 */   // Label 34351: @2390843
     /* 2390843 */   GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2390900), // Rule ID 1933 //
     /* 2390848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2390851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390882 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2390882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2390885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2390895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390899 */     // GIR_Coverage, 1933,
     /* 2390899 */     GIR_EraseRootFromParent_Done,
     /* 2390900 */   // Label 34352: @2390900
     /* 2390900 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2390957), // Rule ID 65190 //
     /* 2390905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2390908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390939 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2390939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2390942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2390950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2390952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390956 */     // GIR_Coverage, 65190,
     /* 2390956 */     GIR_EraseRootFromParent_Done,
     /* 2390957 */   // Label 34353: @2390957
     /* 2390957 */   GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2391014), // Rule ID 65191 //
     /* 2390962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2390965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390996 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2390996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2390999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2391009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391013 */     // GIR_Coverage, 65191,
     /* 2391013 */     GIR_EraseRootFromParent_Done,
     /* 2391014 */   // Label 34354: @2391014
     /* 2391014 */   GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2391071), // Rule ID 65198 //
     /* 2391019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2391022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391053 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2391053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2391056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2391066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391070 */     // GIR_Coverage, 65198,
     /* 2391070 */     GIR_EraseRootFromParent_Done,
     /* 2391071 */   // Label 34355: @2391071
     /* 2391071 */   GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2391128), // Rule ID 65199 //
     /* 2391076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2391079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391110 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2391110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2391113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2391123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391127 */     // GIR_Coverage, 65199,
     /* 2391127 */     GIR_EraseRootFromParent_Done,
     /* 2391128 */   // Label 34356: @2391128
     /* 2391128 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2391185), // Rule ID 1895 //
     /* 2391133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2391136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391167 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2391167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2391170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2391180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391184 */     // GIR_Coverage, 1895,
     /* 2391184 */     GIR_EraseRootFromParent_Done,
     /* 2391185 */   // Label 34357: @2391185
     /* 2391185 */   GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2391242), // Rule ID 1896 //
     /* 2391190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2391193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391224 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2391224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2391227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2391237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391241 */     // GIR_Coverage, 1896,
     /* 2391241 */     GIR_EraseRootFromParent_Done,
     /* 2391242 */   // Label 34358: @2391242
     /* 2391242 */   GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2391299), // Rule ID 1928 //
     /* 2391247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2391250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391281 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2391281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2391284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2391294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391298 */     // GIR_Coverage, 1928,
     /* 2391298 */     GIR_EraseRootFromParent_Done,
     /* 2391299 */   // Label 34359: @2391299
     /* 2391299 */   GIM_Try, /*On fail goto*//*Label 34360*/ GIMT_Encode4(2391356), // Rule ID 1929 //
     /* 2391304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2391307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391338 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2391338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2391341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2391351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391355 */     // GIR_Coverage, 1929,
     /* 2391355 */     GIR_EraseRootFromParent_Done,
     /* 2391356 */   // Label 34360: @2391356
     /* 2391356 */   GIM_Try, /*On fail goto*//*Label 34361*/ GIMT_Encode4(2391396), // Rule ID 1891 //
     /* 2391361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2391364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391380 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2391380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2391383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2391391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391395 */     // GIR_Coverage, 1891,
     /* 2391395 */     GIR_EraseRootFromParent_Done,
     /* 2391396 */   // Label 34361: @2391396
     /* 2391396 */   GIM_Try, /*On fail goto*//*Label 34362*/ GIMT_Encode4(2391436), // Rule ID 1892 //
     /* 2391401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2391404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391420 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2391420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2391423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2391431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391435 */     // GIR_Coverage, 1892,
     /* 2391435 */     GIR_EraseRootFromParent_Done,
     /* 2391436 */   // Label 34362: @2391436
     /* 2391436 */   GIM_Try, /*On fail goto*//*Label 34363*/ GIMT_Encode4(2391476), // Rule ID 1924 //
     /* 2391441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2391444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391460 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2391460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2391463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2391471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391475 */     // GIR_Coverage, 1924,
     /* 2391475 */     GIR_EraseRootFromParent_Done,
     /* 2391476 */   // Label 34363: @2391476
     /* 2391476 */   GIM_Try, /*On fail goto*//*Label 34364*/ GIMT_Encode4(2391516), // Rule ID 1925 //
     /* 2391481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2391484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391500 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2391500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2391503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2391511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391515 */     // GIR_Coverage, 1925,
     /* 2391515 */     GIR_EraseRootFromParent_Done,
     /* 2391516 */   // Label 34364: @2391516
     /* 2391516 */   GIM_Reject,
     /* 2391517 */ // Label 34340: @2391517
     /* 2391517 */ GIM_Reject,
     /* 2391518 */ // Label 34322: @2391518
     /* 2391518 */ GIM_Try, /*On fail goto*//*Label 34365*/ GIMT_Encode4(2392953),
     /* 2391523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2391529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2391532 */   GIM_Try, /*On fail goto*//*Label 34366*/ GIMT_Encode4(2391604), // Rule ID 1202 //
     /* 2391537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2391540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391584 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2391584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2391587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2391599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391603 */     // GIR_Coverage, 1202,
     /* 2391603 */     GIR_EraseRootFromParent_Done,
     /* 2391604 */   // Label 34366: @2391604
     /* 2391604 */   GIM_Try, /*On fail goto*//*Label 34367*/ GIMT_Encode4(2391676), // Rule ID 1203 //
     /* 2391609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2391612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391656 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2391656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2391659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2391671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391675 */     // GIR_Coverage, 1203,
     /* 2391675 */     GIR_EraseRootFromParent_Done,
     /* 2391676 */   // Label 34367: @2391676
     /* 2391676 */   GIM_Try, /*On fail goto*//*Label 34368*/ GIMT_Encode4(2391748), // Rule ID 1223 //
     /* 2391681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2391684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391721 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391728 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2391728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2391731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2391743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391747 */     // GIR_Coverage, 1223,
     /* 2391747 */     GIR_EraseRootFromParent_Done,
     /* 2391748 */   // Label 34368: @2391748
     /* 2391748 */   GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2391820), // Rule ID 1224 //
     /* 2391753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2391756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391800 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2391800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2391803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2391815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391819 */     // GIR_Coverage, 1224,
     /* 2391819 */     GIR_EraseRootFromParent_Done,
     /* 2391820 */   // Label 34369: @2391820
     /* 2391820 */   GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2391892), // Rule ID 65158 //
     /* 2391825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2391828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391872 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2391872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2391875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2391887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391891 */     // GIR_Coverage, 65158,
     /* 2391891 */     GIR_EraseRootFromParent_Done,
     /* 2391892 */   // Label 34370: @2391892
     /* 2391892 */   GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2391964), // Rule ID 65159 //
     /* 2391897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2391900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391944 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2391944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2391947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2391955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2391959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391963 */     // GIR_Coverage, 65159,
     /* 2391963 */     GIR_EraseRootFromParent_Done,
     /* 2391964 */   // Label 34371: @2391964
     /* 2391964 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2392036), // Rule ID 65166 //
     /* 2391969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2391972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392016 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2392019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2392031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392035 */     // GIR_Coverage, 65166,
     /* 2392035 */     GIR_EraseRootFromParent_Done,
     /* 2392036 */   // Label 34372: @2392036
     /* 2392036 */   GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2392108), // Rule ID 65167 //
     /* 2392041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2392044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392088 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2392091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2392103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392107 */     // GIR_Coverage, 65167,
     /* 2392107 */     GIR_EraseRootFromParent_Done,
     /* 2392108 */   // Label 34373: @2392108
     /* 2392108 */   GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2392165), // Rule ID 1198 //
     /* 2392113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2392116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392147 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2392150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392164 */     // GIR_Coverage, 1198,
     /* 2392164 */     GIR_EraseRootFromParent_Done,
     /* 2392165 */   // Label 34374: @2392165
     /* 2392165 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2392222), // Rule ID 1199 //
     /* 2392170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2392173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392204 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2392207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392221 */     // GIR_Coverage, 1199,
     /* 2392221 */     GIR_EraseRootFromParent_Done,
     /* 2392222 */   // Label 34375: @2392222
     /* 2392222 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2392279), // Rule ID 1219 //
     /* 2392227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2392230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392261 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2392264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392278 */     // GIR_Coverage, 1219,
     /* 2392278 */     GIR_EraseRootFromParent_Done,
     /* 2392279 */   // Label 34376: @2392279
     /* 2392279 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2392336), // Rule ID 1220 //
     /* 2392284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2392287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392318 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2392321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392335 */     // GIR_Coverage, 1220,
     /* 2392335 */     GIR_EraseRootFromParent_Done,
     /* 2392336 */   // Label 34377: @2392336
     /* 2392336 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2392393), // Rule ID 65154 //
     /* 2392341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2392344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392375 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2392378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392392 */     // GIR_Coverage, 65154,
     /* 2392392 */     GIR_EraseRootFromParent_Done,
     /* 2392393 */   // Label 34378: @2392393
     /* 2392393 */   GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2392450), // Rule ID 65155 //
     /* 2392398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2392401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392432 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2392435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392449 */     // GIR_Coverage, 65155,
     /* 2392449 */     GIR_EraseRootFromParent_Done,
     /* 2392450 */   // Label 34379: @2392450
     /* 2392450 */   GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2392507), // Rule ID 65162 //
     /* 2392455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2392458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392489 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2392492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392506 */     // GIR_Coverage, 65162,
     /* 2392506 */     GIR_EraseRootFromParent_Done,
     /* 2392507 */   // Label 34380: @2392507
     /* 2392507 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2392564), // Rule ID 65163 //
     /* 2392512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2392515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392546 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2392549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392563 */     // GIR_Coverage, 65163,
     /* 2392563 */     GIR_EraseRootFromParent_Done,
     /* 2392564 */   // Label 34381: @2392564
     /* 2392564 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2392621), // Rule ID 1194 //
     /* 2392569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2392572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392603 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2392606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2392616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392620 */     // GIR_Coverage, 1194,
     /* 2392620 */     GIR_EraseRootFromParent_Done,
     /* 2392621 */   // Label 34382: @2392621
     /* 2392621 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2392678), // Rule ID 1195 //
     /* 2392626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2392629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392660 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2392663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2392673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392677 */     // GIR_Coverage, 1195,
     /* 2392677 */     GIR_EraseRootFromParent_Done,
     /* 2392678 */   // Label 34383: @2392678
     /* 2392678 */   GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2392735), // Rule ID 1215 //
     /* 2392683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2392686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392717 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2392720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2392730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392734 */     // GIR_Coverage, 1215,
     /* 2392734 */     GIR_EraseRootFromParent_Done,
     /* 2392735 */   // Label 34384: @2392735
     /* 2392735 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2392792), // Rule ID 1216 //
     /* 2392740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2392743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392774 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2392777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2392787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392791 */     // GIR_Coverage, 1216,
     /* 2392791 */     GIR_EraseRootFromParent_Done,
     /* 2392792 */   // Label 34385: @2392792
     /* 2392792 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2392832), // Rule ID 1190 //
     /* 2392797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2392800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392816 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2392819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392831 */     // GIR_Coverage, 1190,
     /* 2392831 */     GIR_EraseRootFromParent_Done,
     /* 2392832 */   // Label 34386: @2392832
     /* 2392832 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2392872), // Rule ID 1191 //
     /* 2392837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2392840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392856 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2392859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392871 */     // GIR_Coverage, 1191,
     /* 2392871 */     GIR_EraseRootFromParent_Done,
     /* 2392872 */   // Label 34387: @2392872
     /* 2392872 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2392912), // Rule ID 1211 //
     /* 2392877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2392880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392896 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2392896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2392899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392911 */     // GIR_Coverage, 1211,
     /* 2392911 */     GIR_EraseRootFromParent_Done,
     /* 2392912 */   // Label 34388: @2392912
     /* 2392912 */   GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2392952), // Rule ID 1212 //
     /* 2392917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2392920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392936 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2392936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2392939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2392947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392951 */     // GIR_Coverage, 1212,
     /* 2392951 */     GIR_EraseRootFromParent_Done,
     /* 2392952 */   // Label 34389: @2392952
     /* 2392952 */   GIM_Reject,
     /* 2392953 */ // Label 34365: @2392953
     /* 2392953 */ GIM_Reject,
     /* 2392954 */ // Label 34323: @2392954
     /* 2392954 */ GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2394744),
     /* 2392959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2392962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2392965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2392968 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2393040), // Rule ID 1539 //
     /* 2392973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2392976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2392992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393020 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2393023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393039 */     // GIR_Coverage, 1539,
     /* 2393039 */     GIR_EraseRootFromParent_Done,
     /* 2393040 */   // Label 34391: @2393040
     /* 2393040 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2393112), // Rule ID 1540 //
     /* 2393045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2393048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393092 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2393092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2393095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393111 */     // GIR_Coverage, 1540,
     /* 2393111 */     GIR_EraseRootFromParent_Done,
     /* 2393112 */   // Label 34392: @2393112
     /* 2393112 */   GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2393184), // Rule ID 1563 //
     /* 2393117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2393120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393164 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2393167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393183 */     // GIR_Coverage, 1563,
     /* 2393183 */     GIR_EraseRootFromParent_Done,
     /* 2393184 */   // Label 34393: @2393184
     /* 2393184 */   GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2393256), // Rule ID 1594 //
     /* 2393189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2393192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393236 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2393239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393255 */     // GIR_Coverage, 1594,
     /* 2393255 */     GIR_EraseRootFromParent_Done,
     /* 2393256 */   // Label 34394: @2393256
     /* 2393256 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2393328), // Rule ID 1595 //
     /* 2393261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2393264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393301 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393308 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2393308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2393311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393327 */     // GIR_Coverage, 1595,
     /* 2393327 */     GIR_EraseRootFromParent_Done,
     /* 2393328 */   // Label 34395: @2393328
     /* 2393328 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2393400), // Rule ID 65174 //
     /* 2393333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2393336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393380 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2393383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393399 */     // GIR_Coverage, 65174,
     /* 2393399 */     GIR_EraseRootFromParent_Done,
     /* 2393400 */   // Label 34396: @2393400
     /* 2393400 */   GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2393472), // Rule ID 65175 //
     /* 2393405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2393408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393452 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2393452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2393455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393471 */     // GIR_Coverage, 65175,
     /* 2393471 */     GIR_EraseRootFromParent_Done,
     /* 2393472 */   // Label 34397: @2393472
     /* 2393472 */   GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2393544), // Rule ID 65180 //
     /* 2393477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2393480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393524 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2393527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393543 */     // GIR_Coverage, 65180,
     /* 2393543 */     GIR_EraseRootFromParent_Done,
     /* 2393544 */   // Label 34398: @2393544
     /* 2393544 */   GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2393616), // Rule ID 65186 //
     /* 2393549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2393552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393596 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2393599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393615 */     // GIR_Coverage, 65186,
     /* 2393615 */     GIR_EraseRootFromParent_Done,
     /* 2393616 */   // Label 34399: @2393616
     /* 2393616 */   GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2393688), // Rule ID 65187 //
     /* 2393621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2393624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393668 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2393668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2393671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2393683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393687 */     // GIR_Coverage, 65187,
     /* 2393687 */     GIR_EraseRootFromParent_Done,
     /* 2393688 */   // Label 34400: @2393688
     /* 2393688 */   GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2393745), // Rule ID 1535 //
     /* 2393693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2393696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393727 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2393730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2393740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393744 */     // GIR_Coverage, 1535,
     /* 2393744 */     GIR_EraseRootFromParent_Done,
     /* 2393745 */   // Label 34401: @2393745
     /* 2393745 */   GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2393802), // Rule ID 1536 //
     /* 2393750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2393753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393784 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2393784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2393787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2393797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393801 */     // GIR_Coverage, 1536,
     /* 2393801 */     GIR_EraseRootFromParent_Done,
     /* 2393802 */   // Label 34402: @2393802
     /* 2393802 */   GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2393859), // Rule ID 1561 //
     /* 2393807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2393810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393841 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2393844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2393854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393858 */     // GIR_Coverage, 1561,
     /* 2393858 */     GIR_EraseRootFromParent_Done,
     /* 2393859 */   // Label 34403: @2393859
     /* 2393859 */   GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2393916), // Rule ID 1590 //
     /* 2393864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2393867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393898 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2393898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2393901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2393911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393915 */     // GIR_Coverage, 1590,
     /* 2393915 */     GIR_EraseRootFromParent_Done,
     /* 2393916 */   // Label 34404: @2393916
     /* 2393916 */   GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2393973), // Rule ID 1591 //
     /* 2393921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2393924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393955 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2393955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2393958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2393968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393972 */     // GIR_Coverage, 1591,
     /* 2393972 */     GIR_EraseRootFromParent_Done,
     /* 2393973 */   // Label 34405: @2393973
     /* 2393973 */   GIM_Try, /*On fail goto*//*Label 34406*/ GIMT_Encode4(2394030), // Rule ID 65170 //
     /* 2393978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2393981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394012 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2394015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2394023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394029 */     // GIR_Coverage, 65170,
     /* 2394029 */     GIR_EraseRootFromParent_Done,
     /* 2394030 */   // Label 34406: @2394030
     /* 2394030 */   GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2394087), // Rule ID 65171 //
     /* 2394035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2394038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394069 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2394069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2394072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2394080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394086 */     // GIR_Coverage, 65171,
     /* 2394086 */     GIR_EraseRootFromParent_Done,
     /* 2394087 */   // Label 34407: @2394087
     /* 2394087 */   GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2394144), // Rule ID 65178 //
     /* 2394092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2394095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394126 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2394129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2394137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394143 */     // GIR_Coverage, 65178,
     /* 2394143 */     GIR_EraseRootFromParent_Done,
     /* 2394144 */   // Label 34408: @2394144
     /* 2394144 */   GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2394201), // Rule ID 65182 //
     /* 2394149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2394152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394183 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2394186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2394194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394200 */     // GIR_Coverage, 65182,
     /* 2394200 */     GIR_EraseRootFromParent_Done,
     /* 2394201 */   // Label 34409: @2394201
     /* 2394201 */   GIM_Try, /*On fail goto*//*Label 34410*/ GIMT_Encode4(2394258), // Rule ID 65183 //
     /* 2394206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2394209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394240 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2394240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2394243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2394251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394257 */     // GIR_Coverage, 65183,
     /* 2394257 */     GIR_EraseRootFromParent_Done,
     /* 2394258 */   // Label 34410: @2394258
     /* 2394258 */   GIM_Try, /*On fail goto*//*Label 34411*/ GIMT_Encode4(2394315), // Rule ID 1531 //
     /* 2394263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2394266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394297 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2394300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2394310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394314 */     // GIR_Coverage, 1531,
     /* 2394314 */     GIR_EraseRootFromParent_Done,
     /* 2394315 */   // Label 34411: @2394315
     /* 2394315 */   GIM_Try, /*On fail goto*//*Label 34412*/ GIMT_Encode4(2394372), // Rule ID 1532 //
     /* 2394320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2394323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394354 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2394354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2394357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2394367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394371 */     // GIR_Coverage, 1532,
     /* 2394371 */     GIR_EraseRootFromParent_Done,
     /* 2394372 */   // Label 34412: @2394372
     /* 2394372 */   GIM_Try, /*On fail goto*//*Label 34413*/ GIMT_Encode4(2394429), // Rule ID 1559 //
     /* 2394377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2394380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394411 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2394414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2394424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394428 */     // GIR_Coverage, 1559,
     /* 2394428 */     GIR_EraseRootFromParent_Done,
     /* 2394429 */   // Label 34413: @2394429
     /* 2394429 */   GIM_Try, /*On fail goto*//*Label 34414*/ GIMT_Encode4(2394486), // Rule ID 1586 //
     /* 2394434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2394437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394468 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2394471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2394481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394485 */     // GIR_Coverage, 1586,
     /* 2394485 */     GIR_EraseRootFromParent_Done,
     /* 2394486 */   // Label 34414: @2394486
     /* 2394486 */   GIM_Try, /*On fail goto*//*Label 34415*/ GIMT_Encode4(2394543), // Rule ID 1587 //
     /* 2394491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2394494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394525 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2394525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2394528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2394538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394542 */     // GIR_Coverage, 1587,
     /* 2394542 */     GIR_EraseRootFromParent_Done,
     /* 2394543 */   // Label 34415: @2394543
     /* 2394543 */   GIM_Try, /*On fail goto*//*Label 34416*/ GIMT_Encode4(2394583), // Rule ID 1527 //
     /* 2394548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2394551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394567 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2394570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394582 */     // GIR_Coverage, 1527,
     /* 2394582 */     GIR_EraseRootFromParent_Done,
     /* 2394583 */   // Label 34416: @2394583
     /* 2394583 */   GIM_Try, /*On fail goto*//*Label 34417*/ GIMT_Encode4(2394623), // Rule ID 1528 //
     /* 2394588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2394591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394607 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2394607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2394610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394622 */     // GIR_Coverage, 1528,
     /* 2394622 */     GIR_EraseRootFromParent_Done,
     /* 2394623 */   // Label 34417: @2394623
     /* 2394623 */   GIM_Try, /*On fail goto*//*Label 34418*/ GIMT_Encode4(2394663), // Rule ID 1557 //
     /* 2394628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2394631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394647 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2394650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394662 */     // GIR_Coverage, 1557,
     /* 2394662 */     GIR_EraseRootFromParent_Done,
     /* 2394663 */   // Label 34418: @2394663
     /* 2394663 */   GIM_Try, /*On fail goto*//*Label 34419*/ GIMT_Encode4(2394703), // Rule ID 1582 //
     /* 2394668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2394671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394687 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2394687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2394690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394702 */     // GIR_Coverage, 1582,
     /* 2394702 */     GIR_EraseRootFromParent_Done,
     /* 2394703 */   // Label 34419: @2394703
     /* 2394703 */   GIM_Try, /*On fail goto*//*Label 34420*/ GIMT_Encode4(2394743), // Rule ID 1583 //
     /* 2394708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2394711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394727 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2394727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2394730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2394738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394742 */     // GIR_Coverage, 1583,
     /* 2394742 */     GIR_EraseRootFromParent_Done,
     /* 2394743 */   // Label 34420: @2394743
     /* 2394743 */   GIM_Reject,
     /* 2394744 */ // Label 34390: @2394744
     /* 2394744 */ GIM_Reject,
     /* 2394745 */ // Label 34324: @2394745
     /* 2394745 */ GIM_Try, /*On fail goto*//*Label 34421*/ GIMT_Encode4(2395534),
     /* 2394750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2394753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2394756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2394759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394763 */   GIM_Try, /*On fail goto*//*Label 34422*/ GIMT_Encode4(2394840), // Rule ID 54726 //
     /* 2394768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2394783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2394804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394811 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2394814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394839 */     // GIR_Coverage, 54726,
     /* 2394839 */     GIR_EraseRootFromParent_Done,
     /* 2394840 */   // Label 34422: @2394840
     /* 2394840 */   GIM_Try, /*On fail goto*//*Label 34423*/ GIMT_Encode4(2394917), // Rule ID 54727 //
     /* 2394845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2394860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2394881 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394888 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2394891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394916 */     // GIR_Coverage, 54727,
     /* 2394916 */     GIR_EraseRootFromParent_Done,
     /* 2394917 */   // Label 34423: @2394917
     /* 2394917 */   GIM_Try, /*On fail goto*//*Label 34424*/ GIMT_Encode4(2394994), // Rule ID 72156 //
     /* 2394922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2394941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2394958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394965 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2394968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394993 */     // GIR_Coverage, 72156,
     /* 2394993 */     GIR_EraseRootFromParent_Done,
     /* 2394994 */   // Label 34424: @2394994
     /* 2394994 */   GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2395071), // Rule ID 72157 //
     /* 2394999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395042 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2395045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395070 */     // GIR_Coverage, 72157,
     /* 2395070 */     GIR_EraseRootFromParent_Done,
     /* 2395071 */   // Label 34425: @2395071
     /* 2395071 */   GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2395133), // Rule ID 54730 //
     /* 2395076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395106 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2395109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395132 */     // GIR_Coverage, 54730,
     /* 2395132 */     GIR_EraseRootFromParent_Done,
     /* 2395133 */   // Label 34426: @2395133
     /* 2395133 */   GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2395195), // Rule ID 54731 //
     /* 2395138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395168 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2395171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395194 */     // GIR_Coverage, 54731,
     /* 2395194 */     GIR_EraseRootFromParent_Done,
     /* 2395195 */   // Label 34427: @2395195
     /* 2395195 */   GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2395257), // Rule ID 72160 //
     /* 2395200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395230 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2395233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395256 */     // GIR_Coverage, 72160,
     /* 2395256 */     GIR_EraseRootFromParent_Done,
     /* 2395257 */   // Label 34428: @2395257
     /* 2395257 */   GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2395319), // Rule ID 72161 //
     /* 2395262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395292 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2395295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395318 */     // GIR_Coverage, 72161,
     /* 2395318 */     GIR_EraseRootFromParent_Done,
     /* 2395319 */   // Label 34429: @2395319
     /* 2395319 */   GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2395381), // Rule ID 54722 //
     /* 2395324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395354 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2395357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395380 */     // GIR_Coverage, 54722,
     /* 2395380 */     GIR_EraseRootFromParent_Done,
     /* 2395381 */   // Label 34430: @2395381
     /* 2395381 */   GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2395443), // Rule ID 54723 //
     /* 2395386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395416 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2395419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395442 */     // GIR_Coverage, 54723,
     /* 2395442 */     GIR_EraseRootFromParent_Done,
     /* 2395443 */   // Label 34431: @2395443
     /* 2395443 */   GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2395488), // Rule ID 54718 //
     /* 2395448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395463 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2395466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395487 */     // GIR_Coverage, 54718,
     /* 2395487 */     GIR_EraseRootFromParent_Done,
     /* 2395488 */   // Label 34432: @2395488
     /* 2395488 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2395533), // Rule ID 54719 //
     /* 2395493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395508 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2395511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395532 */     // GIR_Coverage, 54719,
     /* 2395532 */     GIR_EraseRootFromParent_Done,
     /* 2395533 */   // Label 34433: @2395533
     /* 2395533 */   GIM_Reject,
     /* 2395534 */ // Label 34421: @2395534
     /* 2395534 */ GIM_Reject,
     /* 2395535 */ // Label 34325: @2395535
     /* 2395535 */ GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2396324),
     /* 2395540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2395546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2395549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395553 */   GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2395630), // Rule ID 54854 //
     /* 2395558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395601 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2395604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395629 */     // GIR_Coverage, 54854,
     /* 2395629 */     GIR_EraseRootFromParent_Done,
     /* 2395630 */   // Label 34435: @2395630
     /* 2395630 */   GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2395707), // Rule ID 54855 //
     /* 2395635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395678 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2395681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395706 */     // GIR_Coverage, 54855,
     /* 2395706 */     GIR_EraseRootFromParent_Done,
     /* 2395707 */   // Label 34436: @2395707
     /* 2395707 */   GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2395784), // Rule ID 72268 //
     /* 2395712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395755 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2395758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395783 */     // GIR_Coverage, 72268,
     /* 2395783 */     GIR_EraseRootFromParent_Done,
     /* 2395784 */   // Label 34437: @2395784
     /* 2395784 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2395861), // Rule ID 72269 //
     /* 2395789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395825 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395832 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2395835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395860 */     // GIR_Coverage, 72269,
     /* 2395860 */     GIR_EraseRootFromParent_Done,
     /* 2395861 */   // Label 34438: @2395861
     /* 2395861 */   GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2395923), // Rule ID 54858 //
     /* 2395866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395896 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2395899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395922 */     // GIR_Coverage, 54858,
     /* 2395922 */     GIR_EraseRootFromParent_Done,
     /* 2395923 */   // Label 34439: @2395923
     /* 2395923 */   GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2395985), // Rule ID 54859 //
     /* 2395928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395958 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2395961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395984 */     // GIR_Coverage, 54859,
     /* 2395984 */     GIR_EraseRootFromParent_Done,
     /* 2395985 */   // Label 34440: @2395985
     /* 2395985 */   GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2396047), // Rule ID 72272 //
     /* 2395990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396020 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2396023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396046 */     // GIR_Coverage, 72272,
     /* 2396046 */     GIR_EraseRootFromParent_Done,
     /* 2396047 */   // Label 34441: @2396047
     /* 2396047 */   GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2396109), // Rule ID 72273 //
     /* 2396052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396082 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2396085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396108 */     // GIR_Coverage, 72273,
     /* 2396108 */     GIR_EraseRootFromParent_Done,
     /* 2396109 */   // Label 34442: @2396109
     /* 2396109 */   GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2396171), // Rule ID 54850 //
     /* 2396114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396144 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2396147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396170 */     // GIR_Coverage, 54850,
     /* 2396170 */     GIR_EraseRootFromParent_Done,
     /* 2396171 */   // Label 34443: @2396171
     /* 2396171 */   GIM_Try, /*On fail goto*//*Label 34444*/ GIMT_Encode4(2396233), // Rule ID 54851 //
     /* 2396176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396206 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2396209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396232 */     // GIR_Coverage, 54851,
     /* 2396232 */     GIR_EraseRootFromParent_Done,
     /* 2396233 */   // Label 34444: @2396233
     /* 2396233 */   GIM_Try, /*On fail goto*//*Label 34445*/ GIMT_Encode4(2396278), // Rule ID 54846 //
     /* 2396238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396253 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2396256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396277 */     // GIR_Coverage, 54846,
     /* 2396277 */     GIR_EraseRootFromParent_Done,
     /* 2396278 */   // Label 34445: @2396278
     /* 2396278 */   GIM_Try, /*On fail goto*//*Label 34446*/ GIMT_Encode4(2396323), // Rule ID 54847 //
     /* 2396283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396298 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2396301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396322 */     // GIR_Coverage, 54847,
     /* 2396322 */     GIR_EraseRootFromParent_Done,
     /* 2396323 */   // Label 34446: @2396323
     /* 2396323 */   GIM_Reject,
     /* 2396324 */ // Label 34434: @2396324
     /* 2396324 */ GIM_Reject,
     /* 2396325 */ // Label 34326: @2396325
     /* 2396325 */ GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2397114),
     /* 2396330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2396336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2396339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396343 */   GIM_Try, /*On fail goto*//*Label 34448*/ GIMT_Encode4(2396420), // Rule ID 55046 //
     /* 2396348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396391 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2396394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396419 */     // GIR_Coverage, 55046,
     /* 2396419 */     GIR_EraseRootFromParent_Done,
     /* 2396420 */   // Label 34448: @2396420
     /* 2396420 */   GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2396497), // Rule ID 55047 //
     /* 2396425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396468 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2396471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396496 */     // GIR_Coverage, 55047,
     /* 2396496 */     GIR_EraseRootFromParent_Done,
     /* 2396497 */   // Label 34449: @2396497
     /* 2396497 */   GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2396574), // Rule ID 72436 //
     /* 2396502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396545 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2396548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396573 */     // GIR_Coverage, 72436,
     /* 2396573 */     GIR_EraseRootFromParent_Done,
     /* 2396574 */   // Label 34450: @2396574
     /* 2396574 */   GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2396651), // Rule ID 72437 //
     /* 2396579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2396607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396615 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2396622 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2396625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2396637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396650 */     // GIR_Coverage, 72437,
     /* 2396650 */     GIR_EraseRootFromParent_Done,
     /* 2396651 */   // Label 34451: @2396651
     /* 2396651 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2396713), // Rule ID 55050 //
     /* 2396656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396686 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2396689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396712 */     // GIR_Coverage, 55050,
     /* 2396712 */     GIR_EraseRootFromParent_Done,
     /* 2396713 */   // Label 34452: @2396713
     /* 2396713 */   GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2396775), // Rule ID 55051 //
     /* 2396718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2396725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396748 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2396751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396774 */     // GIR_Coverage, 55051,
     /* 2396774 */     GIR_EraseRootFromParent_Done,
     /* 2396775 */   // Label 34453: @2396775
     /* 2396775 */   GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2396837), // Rule ID 72440 //
     /* 2396780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396810 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2396813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396836 */     // GIR_Coverage, 72440,
     /* 2396836 */     GIR_EraseRootFromParent_Done,
     /* 2396837 */   // Label 34454: @2396837
     /* 2396837 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2396899), // Rule ID 72441 //
     /* 2396842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396872 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2396875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396898 */     // GIR_Coverage, 72441,
     /* 2396898 */     GIR_EraseRootFromParent_Done,
     /* 2396899 */   // Label 34455: @2396899
     /* 2396899 */   GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2396961), // Rule ID 55042 //
     /* 2396904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396934 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2396937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396960 */     // GIR_Coverage, 55042,
     /* 2396960 */     GIR_EraseRootFromParent_Done,
     /* 2396961 */   // Label 34456: @2396961
     /* 2396961 */   GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2397023), // Rule ID 55043 //
     /* 2396966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396996 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2396999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397022 */     // GIR_Coverage, 55043,
     /* 2397022 */     GIR_EraseRootFromParent_Done,
     /* 2397023 */   // Label 34457: @2397023
     /* 2397023 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2397068), // Rule ID 55038 //
     /* 2397028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397043 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2397046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397067 */     // GIR_Coverage, 55038,
     /* 2397067 */     GIR_EraseRootFromParent_Done,
     /* 2397068 */   // Label 34458: @2397068
     /* 2397068 */   GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2397113), // Rule ID 55039 //
     /* 2397073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397088 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2397091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397112 */     // GIR_Coverage, 55039,
     /* 2397112 */     GIR_EraseRootFromParent_Done,
     /* 2397113 */   // Label 34459: @2397113
     /* 2397113 */   GIM_Reject,
     /* 2397114 */ // Label 34447: @2397114
     /* 2397114 */ GIM_Reject,
     /* 2397115 */ // Label 34327: @2397115
     /* 2397115 */ GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2397904),
     /* 2397120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2397126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2397129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397133 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2397210), // Rule ID 54790 //
     /* 2397138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397181 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2397184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397209 */     // GIR_Coverage, 54790,
     /* 2397209 */     GIR_EraseRootFromParent_Done,
     /* 2397210 */   // Label 34461: @2397210
     /* 2397210 */   GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2397287), // Rule ID 54791 //
     /* 2397215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397258 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2397261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397286 */     // GIR_Coverage, 54791,
     /* 2397286 */     GIR_EraseRootFromParent_Done,
     /* 2397287 */   // Label 34462: @2397287
     /* 2397287 */   GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2397364), // Rule ID 72212 //
     /* 2397292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397335 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2397338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397363 */     // GIR_Coverage, 72212,
     /* 2397363 */     GIR_EraseRootFromParent_Done,
     /* 2397364 */   // Label 34463: @2397364
     /* 2397364 */   GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2397441), // Rule ID 72213 //
     /* 2397369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397412 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2397415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397440 */     // GIR_Coverage, 72213,
     /* 2397440 */     GIR_EraseRootFromParent_Done,
     /* 2397441 */   // Label 34464: @2397441
     /* 2397441 */   GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2397503), // Rule ID 54794 //
     /* 2397446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397476 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2397479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397502 */     // GIR_Coverage, 54794,
     /* 2397502 */     GIR_EraseRootFromParent_Done,
     /* 2397503 */   // Label 34465: @2397503
     /* 2397503 */   GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2397565), // Rule ID 54795 //
     /* 2397508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397538 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2397541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397564 */     // GIR_Coverage, 54795,
     /* 2397564 */     GIR_EraseRootFromParent_Done,
     /* 2397565 */   // Label 34466: @2397565
     /* 2397565 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2397627), // Rule ID 72216 //
     /* 2397570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397600 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2397603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397626 */     // GIR_Coverage, 72216,
     /* 2397626 */     GIR_EraseRootFromParent_Done,
     /* 2397627 */   // Label 34467: @2397627
     /* 2397627 */   GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2397689), // Rule ID 72217 //
     /* 2397632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2397643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397662 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2397665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2397669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397688 */     // GIR_Coverage, 72217,
     /* 2397688 */     GIR_EraseRootFromParent_Done,
     /* 2397689 */   // Label 34468: @2397689
     /* 2397689 */   GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2397751), // Rule ID 54786 //
     /* 2397694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397724 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2397727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397750 */     // GIR_Coverage, 54786,
     /* 2397750 */     GIR_EraseRootFromParent_Done,
     /* 2397751 */   // Label 34469: @2397751
     /* 2397751 */   GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2397813), // Rule ID 54787 //
     /* 2397756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2397771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2397786 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2397789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2397799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397812 */     // GIR_Coverage, 54787,
     /* 2397812 */     GIR_EraseRootFromParent_Done,
     /* 2397813 */   // Label 34470: @2397813
     /* 2397813 */   GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2397858), // Rule ID 54782 //
     /* 2397818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397833 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2397836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397857 */     // GIR_Coverage, 54782,
     /* 2397857 */     GIR_EraseRootFromParent_Done,
     /* 2397858 */   // Label 34471: @2397858
     /* 2397858 */   GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2397903), // Rule ID 54783 //
     /* 2397863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397878 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2397878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2397881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2397889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397902 */     // GIR_Coverage, 54783,
     /* 2397902 */     GIR_EraseRootFromParent_Done,
     /* 2397903 */   // Label 34472: @2397903
     /* 2397903 */   GIM_Reject,
     /* 2397904 */ // Label 34460: @2397904
     /* 2397904 */ GIM_Reject,
     /* 2397905 */ // Label 34328: @2397905
     /* 2397905 */ GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2398694),
     /* 2397910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2397913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2397916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2397919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397923 */   GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2398000), // Rule ID 54982 //
     /* 2397928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2397935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2397943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2397956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2397960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2397964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2397971 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2397971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2397974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2397978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2397982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2397986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2397998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397999 */     // GIR_Coverage, 54982,
     /* 2397999 */     GIR_EraseRootFromParent_Done,
     /* 2398000 */   // Label 34474: @2398000
     /* 2398000 */   GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2398077), // Rule ID 54983 //
     /* 2398005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398048 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2398051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2398063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398076 */     // GIR_Coverage, 54983,
     /* 2398076 */     GIR_EraseRootFromParent_Done,
     /* 2398077 */   // Label 34475: @2398077
     /* 2398077 */   GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2398154), // Rule ID 72380 //
     /* 2398082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398125 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2398128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2398140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398153 */     // GIR_Coverage, 72380,
     /* 2398153 */     GIR_EraseRootFromParent_Done,
     /* 2398154 */   // Label 34476: @2398154
     /* 2398154 */   GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2398231), // Rule ID 72381 //
     /* 2398159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398195 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398200 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398202 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2398205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2398217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398230 */     // GIR_Coverage, 72381,
     /* 2398230 */     GIR_EraseRootFromParent_Done,
     /* 2398231 */   // Label 34477: @2398231
     /* 2398231 */   GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2398293), // Rule ID 54986 //
     /* 2398236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398266 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2398269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398292 */     // GIR_Coverage, 54986,
     /* 2398292 */     GIR_EraseRootFromParent_Done,
     /* 2398293 */   // Label 34478: @2398293
     /* 2398293 */   GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2398355), // Rule ID 54987 //
     /* 2398298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398328 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2398331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398354 */     // GIR_Coverage, 54987,
     /* 2398354 */     GIR_EraseRootFromParent_Done,
     /* 2398355 */   // Label 34479: @2398355
     /* 2398355 */   GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2398417), // Rule ID 72384 //
     /* 2398360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398390 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2398393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398416 */     // GIR_Coverage, 72384,
     /* 2398416 */     GIR_EraseRootFromParent_Done,
     /* 2398417 */   // Label 34480: @2398417
     /* 2398417 */   GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2398479), // Rule ID 72385 //
     /* 2398422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398452 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2398455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398478 */     // GIR_Coverage, 72385,
     /* 2398478 */     GIR_EraseRootFromParent_Done,
     /* 2398479 */   // Label 34481: @2398479
     /* 2398479 */   GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2398541), // Rule ID 54978 //
     /* 2398484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2398499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398514 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2398517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2398527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398540 */     // GIR_Coverage, 54978,
     /* 2398540 */     GIR_EraseRootFromParent_Done,
     /* 2398541 */   // Label 34482: @2398541
     /* 2398541 */   GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2398603), // Rule ID 54979 //
     /* 2398546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2398561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398576 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2398579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2398589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398602 */     // GIR_Coverage, 54979,
     /* 2398602 */     GIR_EraseRootFromParent_Done,
     /* 2398603 */   // Label 34483: @2398603
     /* 2398603 */   GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2398648), // Rule ID 54974 //
     /* 2398608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398623 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2398626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398647 */     // GIR_Coverage, 54974,
     /* 2398647 */     GIR_EraseRootFromParent_Done,
     /* 2398648 */   // Label 34484: @2398648
     /* 2398648 */   GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2398693), // Rule ID 54975 //
     /* 2398653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398668 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2398671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2398679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398692 */     // GIR_Coverage, 54975,
     /* 2398692 */     GIR_EraseRootFromParent_Done,
     /* 2398693 */   // Label 34485: @2398693
     /* 2398693 */   GIM_Reject,
     /* 2398694 */ // Label 34473: @2398694
     /* 2398694 */ GIM_Reject,
     /* 2398695 */ // Label 34329: @2398695
     /* 2398695 */ GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2399484),
     /* 2398700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2398706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2398709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398713 */   GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2398790), // Rule ID 55494 //
     /* 2398718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398761 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2398764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2398776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398789 */     // GIR_Coverage, 55494,
     /* 2398789 */     GIR_EraseRootFromParent_Done,
     /* 2398790 */   // Label 34487: @2398790
     /* 2398790 */   GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2398867), // Rule ID 55495 //
     /* 2398795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398838 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2398841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2398845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2398853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398866 */     // GIR_Coverage, 55495,
     /* 2398866 */     GIR_EraseRootFromParent_Done,
     /* 2398867 */   // Label 34488: @2398867
     /* 2398867 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2398944), // Rule ID 72828 //
     /* 2398872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398915 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2398915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2398918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2398930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2398942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398943 */     // GIR_Coverage, 72828,
     /* 2398943 */     GIR_EraseRootFromParent_Done,
     /* 2398944 */   // Label 34489: @2398944
     /* 2398944 */   GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2399021), // Rule ID 72829 //
     /* 2398949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398992 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2398992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2398995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2398999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399020 */     // GIR_Coverage, 72829,
     /* 2399020 */     GIR_EraseRootFromParent_Done,
     /* 2399021 */   // Label 34490: @2399021
     /* 2399021 */   GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2399083), // Rule ID 55498 //
     /* 2399026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399056 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2399059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399082 */     // GIR_Coverage, 55498,
     /* 2399082 */     GIR_EraseRootFromParent_Done,
     /* 2399083 */   // Label 34491: @2399083
     /* 2399083 */   GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2399145), // Rule ID 55499 //
     /* 2399088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399118 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2399121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399144 */     // GIR_Coverage, 55499,
     /* 2399144 */     GIR_EraseRootFromParent_Done,
     /* 2399145 */   // Label 34492: @2399145
     /* 2399145 */   GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2399207), // Rule ID 72832 //
     /* 2399150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399180 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2399183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2399187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399206 */     // GIR_Coverage, 72832,
     /* 2399206 */     GIR_EraseRootFromParent_Done,
     /* 2399207 */   // Label 34493: @2399207
     /* 2399207 */   GIM_Try, /*On fail goto*//*Label 34494*/ GIMT_Encode4(2399269), // Rule ID 72833 //
     /* 2399212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399242 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2399245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2399249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399268 */     // GIR_Coverage, 72833,
     /* 2399268 */     GIR_EraseRootFromParent_Done,
     /* 2399269 */   // Label 34494: @2399269
     /* 2399269 */   GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2399331), // Rule ID 55490 //
     /* 2399274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399304 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2399307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2399317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399330 */     // GIR_Coverage, 55490,
     /* 2399330 */     GIR_EraseRootFromParent_Done,
     /* 2399331 */   // Label 34495: @2399331
     /* 2399331 */   GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2399393), // Rule ID 55491 //
     /* 2399336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2399359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399366 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2399369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2399379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399392 */     // GIR_Coverage, 55491,
     /* 2399392 */     GIR_EraseRootFromParent_Done,
     /* 2399393 */   // Label 34496: @2399393
     /* 2399393 */   GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2399438), // Rule ID 55486 //
     /* 2399398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399413 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2399416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399437 */     // GIR_Coverage, 55486,
     /* 2399437 */     GIR_EraseRootFromParent_Done,
     /* 2399438 */   // Label 34497: @2399438
     /* 2399438 */   GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2399483), // Rule ID 55487 //
     /* 2399443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399458 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2399461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399482 */     // GIR_Coverage, 55487,
     /* 2399482 */     GIR_EraseRootFromParent_Done,
     /* 2399483 */   // Label 34498: @2399483
     /* 2399483 */   GIM_Reject,
     /* 2399484 */ // Label 34486: @2399484
     /* 2399484 */ GIM_Reject,
     /* 2399485 */ // Label 34330: @2399485
     /* 2399485 */ GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2400274),
     /* 2399490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2399496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2399499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399503 */   GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2399580), // Rule ID 54918 //
     /* 2399508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399551 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2399554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399579 */     // GIR_Coverage, 54918,
     /* 2399579 */     GIR_EraseRootFromParent_Done,
     /* 2399580 */   // Label 34500: @2399580
     /* 2399580 */   GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2399657), // Rule ID 54919 //
     /* 2399585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399628 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2399631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399656 */     // GIR_Coverage, 54919,
     /* 2399656 */     GIR_EraseRootFromParent_Done,
     /* 2399657 */   // Label 34501: @2399657
     /* 2399657 */   GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2399734), // Rule ID 72324 //
     /* 2399662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399705 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2399708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2399712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399733 */     // GIR_Coverage, 72324,
     /* 2399733 */     GIR_EraseRootFromParent_Done,
     /* 2399734 */   // Label 34502: @2399734
     /* 2399734 */   GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2399811), // Rule ID 72325 //
     /* 2399739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399782 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2399785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2399789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2399797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399810 */     // GIR_Coverage, 72325,
     /* 2399810 */     GIR_EraseRootFromParent_Done,
     /* 2399811 */   // Label 34503: @2399811
     /* 2399811 */   GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2399873), // Rule ID 54922 //
     /* 2399816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399846 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2399849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399872 */     // GIR_Coverage, 54922,
     /* 2399872 */     GIR_EraseRootFromParent_Done,
     /* 2399873 */   // Label 34504: @2399873
     /* 2399873 */   GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2399935), // Rule ID 54923 //
     /* 2399878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399908 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2399908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2399911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2399915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399934 */     // GIR_Coverage, 54923,
     /* 2399934 */     GIR_EraseRootFromParent_Done,
     /* 2399935 */   // Label 34505: @2399935
     /* 2399935 */   GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2399997), // Rule ID 72328 //
     /* 2399940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2399959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399970 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2399970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2399973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2399977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2399983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2399995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399996 */     // GIR_Coverage, 72328,
     /* 2399996 */     GIR_EraseRootFromParent_Done,
     /* 2399997 */   // Label 34506: @2399997
     /* 2399997 */   GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2400059), // Rule ID 72329 //
     /* 2400002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2400021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400032 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2400035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400058 */     // GIR_Coverage, 72329,
     /* 2400058 */     GIR_EraseRootFromParent_Done,
     /* 2400059 */   // Label 34507: @2400059
     /* 2400059 */   GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2400121), // Rule ID 54914 //
     /* 2400064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2400087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400094 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2400097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2400107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400120 */     // GIR_Coverage, 54914,
     /* 2400120 */     GIR_EraseRootFromParent_Done,
     /* 2400121 */   // Label 34508: @2400121
     /* 2400121 */   GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2400183), // Rule ID 54915 //
     /* 2400126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2400149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400156 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2400159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2400169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400182 */     // GIR_Coverage, 54915,
     /* 2400182 */     GIR_EraseRootFromParent_Done,
     /* 2400183 */   // Label 34509: @2400183
     /* 2400183 */   GIM_Try, /*On fail goto*//*Label 34510*/ GIMT_Encode4(2400228), // Rule ID 54910 //
     /* 2400188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400203 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2400206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400227 */     // GIR_Coverage, 54910,
     /* 2400227 */     GIR_EraseRootFromParent_Done,
     /* 2400228 */   // Label 34510: @2400228
     /* 2400228 */   GIM_Try, /*On fail goto*//*Label 34511*/ GIMT_Encode4(2400273), // Rule ID 54911 //
     /* 2400233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400248 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2400251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400272 */     // GIR_Coverage, 54911,
     /* 2400272 */     GIR_EraseRootFromParent_Done,
     /* 2400273 */   // Label 34511: @2400273
     /* 2400273 */   GIM_Reject,
     /* 2400274 */ // Label 34499: @2400274
     /* 2400274 */ GIM_Reject,
     /* 2400275 */ // Label 34331: @2400275
     /* 2400275 */ GIM_Try, /*On fail goto*//*Label 34512*/ GIMT_Encode4(2401064),
     /* 2400280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2400286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2400289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400293 */   GIM_Try, /*On fail goto*//*Label 34513*/ GIMT_Encode4(2400370), // Rule ID 55302 //
     /* 2400298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400341 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2400344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400369 */     // GIR_Coverage, 55302,
     /* 2400369 */     GIR_EraseRootFromParent_Done,
     /* 2400370 */   // Label 34513: @2400370
     /* 2400370 */   GIM_Try, /*On fail goto*//*Label 34514*/ GIMT_Encode4(2400447), // Rule ID 55303 //
     /* 2400375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400416 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400418 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2400421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400446 */     // GIR_Coverage, 55303,
     /* 2400446 */     GIR_EraseRootFromParent_Done,
     /* 2400447 */   // Label 34514: @2400447
     /* 2400447 */   GIM_Try, /*On fail goto*//*Label 34515*/ GIMT_Encode4(2400524), // Rule ID 72660 //
     /* 2400452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400495 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2400498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400523 */     // GIR_Coverage, 72660,
     /* 2400523 */     GIR_EraseRootFromParent_Done,
     /* 2400524 */   // Label 34515: @2400524
     /* 2400524 */   GIM_Try, /*On fail goto*//*Label 34516*/ GIMT_Encode4(2400601), // Rule ID 72661 //
     /* 2400529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400572 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2400575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2400587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400600 */     // GIR_Coverage, 72661,
     /* 2400600 */     GIR_EraseRootFromParent_Done,
     /* 2400601 */   // Label 34516: @2400601
     /* 2400601 */   GIM_Try, /*On fail goto*//*Label 34517*/ GIMT_Encode4(2400663), // Rule ID 55306 //
     /* 2400606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400636 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2400639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400662 */     // GIR_Coverage, 55306,
     /* 2400662 */     GIR_EraseRootFromParent_Done,
     /* 2400663 */   // Label 34517: @2400663
     /* 2400663 */   GIM_Try, /*On fail goto*//*Label 34518*/ GIMT_Encode4(2400725), // Rule ID 55307 //
     /* 2400668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400698 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2400701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400724 */     // GIR_Coverage, 55307,
     /* 2400724 */     GIR_EraseRootFromParent_Done,
     /* 2400725 */   // Label 34518: @2400725
     /* 2400725 */   GIM_Try, /*On fail goto*//*Label 34519*/ GIMT_Encode4(2400787), // Rule ID 72664 //
     /* 2400730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400760 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2400763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400786 */     // GIR_Coverage, 72664,
     /* 2400786 */     GIR_EraseRootFromParent_Done,
     /* 2400787 */   // Label 34519: @2400787
     /* 2400787 */   GIM_Try, /*On fail goto*//*Label 34520*/ GIMT_Encode4(2400849), // Rule ID 72665 //
     /* 2400792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400822 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2400825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2400835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400848 */     // GIR_Coverage, 72665,
     /* 2400848 */     GIR_EraseRootFromParent_Done,
     /* 2400849 */   // Label 34520: @2400849
     /* 2400849 */   GIM_Try, /*On fail goto*//*Label 34521*/ GIMT_Encode4(2400911), // Rule ID 55298 //
     /* 2400854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400884 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2400887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2400897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400910 */     // GIR_Coverage, 55298,
     /* 2400910 */     GIR_EraseRootFromParent_Done,
     /* 2400911 */   // Label 34521: @2400911
     /* 2400911 */   GIM_Try, /*On fail goto*//*Label 34522*/ GIMT_Encode4(2400973), // Rule ID 55299 //
     /* 2400916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2400939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400946 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2400946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2400949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2400953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2400959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2400971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400972 */     // GIR_Coverage, 55299,
     /* 2400972 */     GIR_EraseRootFromParent_Done,
     /* 2400973 */   // Label 34522: @2400973
     /* 2400973 */   GIM_Try, /*On fail goto*//*Label 34523*/ GIMT_Encode4(2401018), // Rule ID 55294 //
     /* 2400978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400993 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2400993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2400996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401017 */     // GIR_Coverage, 55294,
     /* 2401017 */     GIR_EraseRootFromParent_Done,
     /* 2401018 */   // Label 34523: @2401018
     /* 2401018 */   GIM_Try, /*On fail goto*//*Label 34524*/ GIMT_Encode4(2401063), // Rule ID 55295 //
     /* 2401023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401038 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2401041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401062 */     // GIR_Coverage, 55295,
     /* 2401062 */     GIR_EraseRootFromParent_Done,
     /* 2401063 */   // Label 34524: @2401063
     /* 2401063 */   GIM_Reject,
     /* 2401064 */ // Label 34512: @2401064
     /* 2401064 */ GIM_Reject,
     /* 2401065 */ // Label 34332: @2401065
     /* 2401065 */ GIM_Try, /*On fail goto*//*Label 34525*/ GIMT_Encode4(2401854),
     /* 2401070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2401076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2401079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401083 */   GIM_Try, /*On fail goto*//*Label 34526*/ GIMT_Encode4(2401160), // Rule ID 55558 //
     /* 2401088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401131 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2401134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401159 */     // GIR_Coverage, 55558,
     /* 2401159 */     GIR_EraseRootFromParent_Done,
     /* 2401160 */   // Label 34526: @2401160
     /* 2401160 */   GIM_Try, /*On fail goto*//*Label 34527*/ GIMT_Encode4(2401237), // Rule ID 55559 //
     /* 2401165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401201 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401206 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401208 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2401211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401236 */     // GIR_Coverage, 55559,
     /* 2401236 */     GIR_EraseRootFromParent_Done,
     /* 2401237 */   // Label 34527: @2401237
     /* 2401237 */   GIM_Try, /*On fail goto*//*Label 34528*/ GIMT_Encode4(2401314), // Rule ID 72884 //
     /* 2401242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401285 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2401288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401313 */     // GIR_Coverage, 72884,
     /* 2401313 */     GIR_EraseRootFromParent_Done,
     /* 2401314 */   // Label 34528: @2401314
     /* 2401314 */   GIM_Try, /*On fail goto*//*Label 34529*/ GIMT_Encode4(2401391), // Rule ID 72885 //
     /* 2401319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401362 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2401365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401390 */     // GIR_Coverage, 72885,
     /* 2401390 */     GIR_EraseRootFromParent_Done,
     /* 2401391 */   // Label 34529: @2401391
     /* 2401391 */   GIM_Try, /*On fail goto*//*Label 34530*/ GIMT_Encode4(2401453), // Rule ID 55562 //
     /* 2401396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401426 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2401429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401452 */     // GIR_Coverage, 55562,
     /* 2401452 */     GIR_EraseRootFromParent_Done,
     /* 2401453 */   // Label 34530: @2401453
     /* 2401453 */   GIM_Try, /*On fail goto*//*Label 34531*/ GIMT_Encode4(2401515), // Rule ID 55563 //
     /* 2401458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401488 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2401491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401514 */     // GIR_Coverage, 55563,
     /* 2401514 */     GIR_EraseRootFromParent_Done,
     /* 2401515 */   // Label 34531: @2401515
     /* 2401515 */   GIM_Try, /*On fail goto*//*Label 34532*/ GIMT_Encode4(2401577), // Rule ID 72888 //
     /* 2401520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401550 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2401553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401576 */     // GIR_Coverage, 72888,
     /* 2401576 */     GIR_EraseRootFromParent_Done,
     /* 2401577 */   // Label 34532: @2401577
     /* 2401577 */   GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2401639), // Rule ID 72889 //
     /* 2401582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401612 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2401615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401638 */     // GIR_Coverage, 72889,
     /* 2401638 */     GIR_EraseRootFromParent_Done,
     /* 2401639 */   // Label 34533: @2401639
     /* 2401639 */   GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2401701), // Rule ID 55554 //
     /* 2401644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401674 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2401677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2401687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401700 */     // GIR_Coverage, 55554,
     /* 2401700 */     GIR_EraseRootFromParent_Done,
     /* 2401701 */   // Label 34534: @2401701
     /* 2401701 */   GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2401763), // Rule ID 55555 //
     /* 2401706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401736 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2401739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2401749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401762 */     // GIR_Coverage, 55555,
     /* 2401762 */     GIR_EraseRootFromParent_Done,
     /* 2401763 */   // Label 34535: @2401763
     /* 2401763 */   GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2401808), // Rule ID 55550 //
     /* 2401768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401783 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2401786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401807 */     // GIR_Coverage, 55550,
     /* 2401807 */     GIR_EraseRootFromParent_Done,
     /* 2401808 */   // Label 34536: @2401808
     /* 2401808 */   GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2401853), // Rule ID 55551 //
     /* 2401813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401828 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2401831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401852 */     // GIR_Coverage, 55551,
     /* 2401852 */     GIR_EraseRootFromParent_Done,
     /* 2401853 */   // Label 34537: @2401853
     /* 2401853 */   GIM_Reject,
     /* 2401854 */ // Label 34525: @2401854
     /* 2401854 */ GIM_Reject,
     /* 2401855 */ // Label 34333: @2401855
     /* 2401855 */ GIM_Try, /*On fail goto*//*Label 34538*/ GIMT_Encode4(2402644),
     /* 2401860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2401863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2401866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2401869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401873 */   GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2401950), // Rule ID 55110 //
     /* 2401878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2401881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2401893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2401914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401921 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2401921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2401924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2401928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2401936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2401948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401949 */     // GIR_Coverage, 55110,
     /* 2401949 */     GIR_EraseRootFromParent_Done,
     /* 2401950 */   // Label 34539: @2401950
     /* 2401950 */   GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2402027), // Rule ID 55111 //
     /* 2401955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2401958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2401970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2401991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401998 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2401998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2402001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402026 */     // GIR_Coverage, 55111,
     /* 2402026 */     GIR_EraseRootFromParent_Done,
     /* 2402027 */   // Label 34540: @2402027
     /* 2402027 */   GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2402104), // Rule ID 72492 //
     /* 2402032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402075 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2402078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402103 */     // GIR_Coverage, 72492,
     /* 2402103 */     GIR_EraseRootFromParent_Done,
     /* 2402104 */   // Label 34541: @2402104
     /* 2402104 */   GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2402181), // Rule ID 72493 //
     /* 2402109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402152 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2402155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402180 */     // GIR_Coverage, 72493,
     /* 2402180 */     GIR_EraseRootFromParent_Done,
     /* 2402181 */   // Label 34542: @2402181
     /* 2402181 */   GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2402243), // Rule ID 55114 //
     /* 2402186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402216 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2402219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402242 */     // GIR_Coverage, 55114,
     /* 2402242 */     GIR_EraseRootFromParent_Done,
     /* 2402243 */   // Label 34543: @2402243
     /* 2402243 */   GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2402305), // Rule ID 55115 //
     /* 2402248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402278 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2402281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402304 */     // GIR_Coverage, 55115,
     /* 2402304 */     GIR_EraseRootFromParent_Done,
     /* 2402305 */   // Label 34544: @2402305
     /* 2402305 */   GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2402367), // Rule ID 72496 //
     /* 2402310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402340 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2402343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402366 */     // GIR_Coverage, 72496,
     /* 2402366 */     GIR_EraseRootFromParent_Done,
     /* 2402367 */   // Label 34545: @2402367
     /* 2402367 */   GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2402429), // Rule ID 72497 //
     /* 2402372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402402 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2402405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402428 */     // GIR_Coverage, 72497,
     /* 2402428 */     GIR_EraseRootFromParent_Done,
     /* 2402429 */   // Label 34546: @2402429
     /* 2402429 */   GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2402491), // Rule ID 55106 //
     /* 2402434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402464 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2402467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2402477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402490 */     // GIR_Coverage, 55106,
     /* 2402490 */     GIR_EraseRootFromParent_Done,
     /* 2402491 */   // Label 34547: @2402491
     /* 2402491 */   GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2402553), // Rule ID 55107 //
     /* 2402496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2402519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402526 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2402529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2402539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402552 */     // GIR_Coverage, 55107,
     /* 2402552 */     GIR_EraseRootFromParent_Done,
     /* 2402553 */   // Label 34548: @2402553
     /* 2402553 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2402598), // Rule ID 55102 //
     /* 2402558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402573 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2402576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402597 */     // GIR_Coverage, 55102,
     /* 2402597 */     GIR_EraseRootFromParent_Done,
     /* 2402598 */   // Label 34549: @2402598
     /* 2402598 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2402643), // Rule ID 55103 //
     /* 2402603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402618 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2402621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402642 */     // GIR_Coverage, 55103,
     /* 2402642 */     GIR_EraseRootFromParent_Done,
     /* 2402643 */   // Label 34550: @2402643
     /* 2402643 */   GIM_Reject,
     /* 2402644 */ // Label 34538: @2402644
     /* 2402644 */ GIM_Reject,
     /* 2402645 */ // Label 34334: @2402645
     /* 2402645 */ GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2403434),
     /* 2402650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2402656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2402659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402663 */   GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2402740), // Rule ID 55366 //
     /* 2402668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402711 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2402714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402739 */     // GIR_Coverage, 55366,
     /* 2402739 */     GIR_EraseRootFromParent_Done,
     /* 2402740 */   // Label 34552: @2402740
     /* 2402740 */   GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2402817), // Rule ID 55367 //
     /* 2402745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2402748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402788 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2402791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402816 */     // GIR_Coverage, 55367,
     /* 2402816 */     GIR_EraseRootFromParent_Done,
     /* 2402817 */   // Label 34553: @2402817
     /* 2402817 */   GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2402894), // Rule ID 72716 //
     /* 2402822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402865 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2402868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402893 */     // GIR_Coverage, 72716,
     /* 2402893 */     GIR_EraseRootFromParent_Done,
     /* 2402894 */   // Label 34554: @2402894
     /* 2402894 */   GIM_Try, /*On fail goto*//*Label 34555*/ GIMT_Encode4(2402971), // Rule ID 72717 //
     /* 2402899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2402902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402942 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2402945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402970 */     // GIR_Coverage, 72717,
     /* 2402970 */     GIR_EraseRootFromParent_Done,
     /* 2402971 */   // Label 34555: @2402971
     /* 2402971 */   GIM_Try, /*On fail goto*//*Label 34556*/ GIMT_Encode4(2403033), // Rule ID 55370 //
     /* 2402976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2402991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2402996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403006 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2403009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403032 */     // GIR_Coverage, 55370,
     /* 2403032 */     GIR_EraseRootFromParent_Done,
     /* 2403033 */   // Label 34556: @2403033
     /* 2403033 */   GIM_Try, /*On fail goto*//*Label 34557*/ GIMT_Encode4(2403095), // Rule ID 55371 //
     /* 2403038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2403053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403068 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2403071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403094 */     // GIR_Coverage, 55371,
     /* 2403094 */     GIR_EraseRootFromParent_Done,
     /* 2403095 */   // Label 34557: @2403095
     /* 2403095 */   GIM_Try, /*On fail goto*//*Label 34558*/ GIMT_Encode4(2403157), // Rule ID 72720 //
     /* 2403100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2403119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403130 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2403133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403156 */     // GIR_Coverage, 72720,
     /* 2403156 */     GIR_EraseRootFromParent_Done,
     /* 2403157 */   // Label 34558: @2403157
     /* 2403157 */   GIM_Try, /*On fail goto*//*Label 34559*/ GIMT_Encode4(2403219), // Rule ID 72721 //
     /* 2403162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2403181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403192 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2403195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403218 */     // GIR_Coverage, 72721,
     /* 2403218 */     GIR_EraseRootFromParent_Done,
     /* 2403219 */   // Label 34559: @2403219
     /* 2403219 */   GIM_Try, /*On fail goto*//*Label 34560*/ GIMT_Encode4(2403281), // Rule ID 55362 //
     /* 2403224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2403247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403254 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2403257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2403267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403280 */     // GIR_Coverage, 55362,
     /* 2403280 */     GIR_EraseRootFromParent_Done,
     /* 2403281 */   // Label 34560: @2403281
     /* 2403281 */   GIM_Try, /*On fail goto*//*Label 34561*/ GIMT_Encode4(2403343), // Rule ID 55363 //
     /* 2403286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2403309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403316 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2403319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2403329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403342 */     // GIR_Coverage, 55363,
     /* 2403342 */     GIR_EraseRootFromParent_Done,
     /* 2403343 */   // Label 34561: @2403343
     /* 2403343 */   GIM_Try, /*On fail goto*//*Label 34562*/ GIMT_Encode4(2403388), // Rule ID 55358 //
     /* 2403348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403363 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2403366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403387 */     // GIR_Coverage, 55358,
     /* 2403387 */     GIR_EraseRootFromParent_Done,
     /* 2403388 */   // Label 34562: @2403388
     /* 2403388 */   GIM_Try, /*On fail goto*//*Label 34563*/ GIMT_Encode4(2403433), // Rule ID 55359 //
     /* 2403393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403408 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2403411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403432 */     // GIR_Coverage, 55359,
     /* 2403432 */     GIR_EraseRootFromParent_Done,
     /* 2403433 */   // Label 34563: @2403433
     /* 2403433 */   GIM_Reject,
     /* 2403434 */ // Label 34551: @2403434
     /* 2403434 */ GIM_Reject,
     /* 2403435 */ // Label 34335: @2403435
     /* 2403435 */ GIM_Try, /*On fail goto*//*Label 34564*/ GIMT_Encode4(2404224),
     /* 2403440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2403446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2403449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403453 */   GIM_Try, /*On fail goto*//*Label 34565*/ GIMT_Encode4(2403530), // Rule ID 55622 //
     /* 2403458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403501 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2403504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403529 */     // GIR_Coverage, 55622,
     /* 2403529 */     GIR_EraseRootFromParent_Done,
     /* 2403530 */   // Label 34565: @2403530
     /* 2403530 */   GIM_Try, /*On fail goto*//*Label 34566*/ GIMT_Encode4(2403607), // Rule ID 55623 //
     /* 2403535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403578 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2403581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403606 */     // GIR_Coverage, 55623,
     /* 2403606 */     GIR_EraseRootFromParent_Done,
     /* 2403607 */   // Label 34566: @2403607
     /* 2403607 */   GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2403684), // Rule ID 72940 //
     /* 2403612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403655 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2403658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403683 */     // GIR_Coverage, 72940,
     /* 2403683 */     GIR_EraseRootFromParent_Done,
     /* 2403684 */   // Label 34567: @2403684
     /* 2403684 */   GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2403761), // Rule ID 72941 //
     /* 2403689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403725 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403732 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2403735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403760 */     // GIR_Coverage, 72941,
     /* 2403760 */     GIR_EraseRootFromParent_Done,
     /* 2403761 */   // Label 34568: @2403761
     /* 2403761 */   GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2403823), // Rule ID 55626 //
     /* 2403766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403796 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2403799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403822 */     // GIR_Coverage, 55626,
     /* 2403822 */     GIR_EraseRootFromParent_Done,
     /* 2403823 */   // Label 34569: @2403823
     /* 2403823 */   GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2403885), // Rule ID 55627 //
     /* 2403828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403858 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2403861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403884 */     // GIR_Coverage, 55627,
     /* 2403884 */     GIR_EraseRootFromParent_Done,
     /* 2403885 */   // Label 34570: @2403885
     /* 2403885 */   GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2403947), // Rule ID 72944 //
     /* 2403890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403920 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2403923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403946 */     // GIR_Coverage, 72944,
     /* 2403946 */     GIR_EraseRootFromParent_Done,
     /* 2403947 */   // Label 34571: @2403947
     /* 2403947 */   GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2404009), // Rule ID 72945 //
     /* 2403952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403982 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2403985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404008 */     // GIR_Coverage, 72945,
     /* 2404008 */     GIR_EraseRootFromParent_Done,
     /* 2404009 */   // Label 34572: @2404009
     /* 2404009 */   GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2404071), // Rule ID 55618 //
     /* 2404014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2404037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404044 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2404047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404070 */     // GIR_Coverage, 55618,
     /* 2404070 */     GIR_EraseRootFromParent_Done,
     /* 2404071 */   // Label 34573: @2404071
     /* 2404071 */   GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2404133), // Rule ID 55619 //
     /* 2404076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2404099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404106 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2404109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404132 */     // GIR_Coverage, 55619,
     /* 2404132 */     GIR_EraseRootFromParent_Done,
     /* 2404133 */   // Label 34574: @2404133
     /* 2404133 */   GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2404178), // Rule ID 55614 //
     /* 2404138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404153 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2404156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404177 */     // GIR_Coverage, 55614,
     /* 2404177 */     GIR_EraseRootFromParent_Done,
     /* 2404178 */   // Label 34575: @2404178
     /* 2404178 */   GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2404223), // Rule ID 55615 //
     /* 2404183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404198 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2404201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404222 */     // GIR_Coverage, 55615,
     /* 2404222 */     GIR_EraseRootFromParent_Done,
     /* 2404223 */   // Label 34576: @2404223
     /* 2404223 */   GIM_Reject,
     /* 2404224 */ // Label 34564: @2404224
     /* 2404224 */ GIM_Reject,
     /* 2404225 */ // Label 34336: @2404225
     /* 2404225 */ GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2405014),
     /* 2404230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2404236 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2404239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404243 */   GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2404320), // Rule ID 55174 //
     /* 2404248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404291 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2404294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404319 */     // GIR_Coverage, 55174,
     /* 2404319 */     GIR_EraseRootFromParent_Done,
     /* 2404320 */   // Label 34578: @2404320
     /* 2404320 */   GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2404397), // Rule ID 55175 //
     /* 2404325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404368 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2404371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404396 */     // GIR_Coverage, 55175,
     /* 2404396 */     GIR_EraseRootFromParent_Done,
     /* 2404397 */   // Label 34579: @2404397
     /* 2404397 */   GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2404474), // Rule ID 72548 //
     /* 2404402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404445 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2404448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404473 */     // GIR_Coverage, 72548,
     /* 2404473 */     GIR_EraseRootFromParent_Done,
     /* 2404474 */   // Label 34580: @2404474
     /* 2404474 */   GIM_Try, /*On fail goto*//*Label 34581*/ GIMT_Encode4(2404551), // Rule ID 72549 //
     /* 2404479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404522 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2404525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404550 */     // GIR_Coverage, 72549,
     /* 2404550 */     GIR_EraseRootFromParent_Done,
     /* 2404551 */   // Label 34581: @2404551
     /* 2404551 */   GIM_Try, /*On fail goto*//*Label 34582*/ GIMT_Encode4(2404613), // Rule ID 55178 //
     /* 2404556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404586 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2404589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404612 */     // GIR_Coverage, 55178,
     /* 2404612 */     GIR_EraseRootFromParent_Done,
     /* 2404613 */   // Label 34582: @2404613
     /* 2404613 */   GIM_Try, /*On fail goto*//*Label 34583*/ GIMT_Encode4(2404675), // Rule ID 55179 //
     /* 2404618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404648 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2404651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404674 */     // GIR_Coverage, 55179,
     /* 2404674 */     GIR_EraseRootFromParent_Done,
     /* 2404675 */   // Label 34583: @2404675
     /* 2404675 */   GIM_Try, /*On fail goto*//*Label 34584*/ GIMT_Encode4(2404737), // Rule ID 72552 //
     /* 2404680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404710 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2404713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404736 */     // GIR_Coverage, 72552,
     /* 2404736 */     GIR_EraseRootFromParent_Done,
     /* 2404737 */   // Label 34584: @2404737
     /* 2404737 */   GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2404799), // Rule ID 72553 //
     /* 2404742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404772 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2404775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404798 */     // GIR_Coverage, 72553,
     /* 2404798 */     GIR_EraseRootFromParent_Done,
     /* 2404799 */   // Label 34585: @2404799
     /* 2404799 */   GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2404861), // Rule ID 55170 //
     /* 2404804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404834 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2404837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404860 */     // GIR_Coverage, 55170,
     /* 2404860 */     GIR_EraseRootFromParent_Done,
     /* 2404861 */   // Label 34586: @2404861
     /* 2404861 */   GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2404923), // Rule ID 55171 //
     /* 2404866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404896 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2404899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404922 */     // GIR_Coverage, 55171,
     /* 2404922 */     GIR_EraseRootFromParent_Done,
     /* 2404923 */   // Label 34587: @2404923
     /* 2404923 */   GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2404968), // Rule ID 55166 //
     /* 2404928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404943 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2404946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404967 */     // GIR_Coverage, 55166,
     /* 2404967 */     GIR_EraseRootFromParent_Done,
     /* 2404968 */   // Label 34588: @2404968
     /* 2404968 */   GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2405013), // Rule ID 55167 //
     /* 2404973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404988 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2404991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405012 */     // GIR_Coverage, 55167,
     /* 2405012 */     GIR_EraseRootFromParent_Done,
     /* 2405013 */   // Label 34589: @2405013
     /* 2405013 */   GIM_Reject,
     /* 2405014 */ // Label 34577: @2405014
     /* 2405014 */ GIM_Reject,
     /* 2405015 */ // Label 34337: @2405015
     /* 2405015 */ GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2405804),
     /* 2405020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2405026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2405029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405033 */   GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2405110), // Rule ID 55430 //
     /* 2405038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405081 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2405084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405109 */     // GIR_Coverage, 55430,
     /* 2405109 */     GIR_EraseRootFromParent_Done,
     /* 2405110 */   // Label 34591: @2405110
     /* 2405110 */   GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2405187), // Rule ID 55431 //
     /* 2405115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405158 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2405161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405186 */     // GIR_Coverage, 55431,
     /* 2405186 */     GIR_EraseRootFromParent_Done,
     /* 2405187 */   // Label 34592: @2405187
     /* 2405187 */   GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2405264), // Rule ID 72772 //
     /* 2405192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405235 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2405238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405263 */     // GIR_Coverage, 72772,
     /* 2405263 */     GIR_EraseRootFromParent_Done,
     /* 2405264 */   // Label 34593: @2405264
     /* 2405264 */   GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2405341), // Rule ID 72773 //
     /* 2405269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405305 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405312 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2405315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405340 */     // GIR_Coverage, 72773,
     /* 2405340 */     GIR_EraseRootFromParent_Done,
     /* 2405341 */   // Label 34594: @2405341
     /* 2405341 */   GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2405403), // Rule ID 55434 //
     /* 2405346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405376 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2405379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405402 */     // GIR_Coverage, 55434,
     /* 2405402 */     GIR_EraseRootFromParent_Done,
     /* 2405403 */   // Label 34595: @2405403
     /* 2405403 */   GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2405465), // Rule ID 55435 //
     /* 2405408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405438 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2405441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405464 */     // GIR_Coverage, 55435,
     /* 2405464 */     GIR_EraseRootFromParent_Done,
     /* 2405465 */   // Label 34596: @2405465
     /* 2405465 */   GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2405527), // Rule ID 72776 //
     /* 2405470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405500 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2405503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405526 */     // GIR_Coverage, 72776,
     /* 2405526 */     GIR_EraseRootFromParent_Done,
     /* 2405527 */   // Label 34597: @2405527
     /* 2405527 */   GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2405589), // Rule ID 72777 //
     /* 2405532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405562 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2405565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405588 */     // GIR_Coverage, 72777,
     /* 2405588 */     GIR_EraseRootFromParent_Done,
     /* 2405589 */   // Label 34598: @2405589
     /* 2405589 */   GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2405651), // Rule ID 55426 //
     /* 2405594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405624 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2405627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2405637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405650 */     // GIR_Coverage, 55426,
     /* 2405650 */     GIR_EraseRootFromParent_Done,
     /* 2405651 */   // Label 34599: @2405651
     /* 2405651 */   GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2405713), // Rule ID 55427 //
     /* 2405656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2405679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405686 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2405689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2405699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405712 */     // GIR_Coverage, 55427,
     /* 2405712 */     GIR_EraseRootFromParent_Done,
     /* 2405713 */   // Label 34600: @2405713
     /* 2405713 */   GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2405758), // Rule ID 55422 //
     /* 2405718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405733 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2405736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405757 */     // GIR_Coverage, 55422,
     /* 2405757 */     GIR_EraseRootFromParent_Done,
     /* 2405758 */   // Label 34601: @2405758
     /* 2405758 */   GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2405803), // Rule ID 55423 //
     /* 2405763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405778 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2405781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405802 */     // GIR_Coverage, 55423,
     /* 2405802 */     GIR_EraseRootFromParent_Done,
     /* 2405803 */   // Label 34602: @2405803
     /* 2405803 */   GIM_Reject,
     /* 2405804 */ // Label 34590: @2405804
     /* 2405804 */ GIM_Reject,
     /* 2405805 */ // Label 34338: @2405805
     /* 2405805 */ GIM_Try, /*On fail goto*//*Label 34603*/ GIMT_Encode4(2406594),
     /* 2405810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2405813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2405816 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2405819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405823 */   GIM_Try, /*On fail goto*//*Label 34604*/ GIMT_Encode4(2405900), // Rule ID 55238 //
     /* 2405828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2405843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2405864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405871 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2405874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405899 */     // GIR_Coverage, 55238,
     /* 2405899 */     GIR_EraseRootFromParent_Done,
     /* 2405900 */   // Label 34604: @2405900
     /* 2405900 */   GIM_Try, /*On fail goto*//*Label 34605*/ GIMT_Encode4(2405977), // Rule ID 55239 //
     /* 2405905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2405920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2405941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405948 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2405951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405976 */     // GIR_Coverage, 55239,
     /* 2405976 */     GIR_EraseRootFromParent_Done,
     /* 2405977 */   // Label 34605: @2405977
     /* 2405977 */   GIM_Try, /*On fail goto*//*Label 34606*/ GIMT_Encode4(2406054), // Rule ID 72604 //
     /* 2405982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406025 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2406028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406053 */     // GIR_Coverage, 72604,
     /* 2406053 */     GIR_EraseRootFromParent_Done,
     /* 2406054 */   // Label 34606: @2406054
     /* 2406054 */   GIM_Try, /*On fail goto*//*Label 34607*/ GIMT_Encode4(2406131), // Rule ID 72605 //
     /* 2406059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2406062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406102 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2406105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406130 */     // GIR_Coverage, 72605,
     /* 2406130 */     GIR_EraseRootFromParent_Done,
     /* 2406131 */   // Label 34607: @2406131
     /* 2406131 */   GIM_Try, /*On fail goto*//*Label 34608*/ GIMT_Encode4(2406193), // Rule ID 55242 //
     /* 2406136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2406139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406166 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2406169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406192 */     // GIR_Coverage, 55242,
     /* 2406192 */     GIR_EraseRootFromParent_Done,
     /* 2406193 */   // Label 34608: @2406193
     /* 2406193 */   GIM_Try, /*On fail goto*//*Label 34609*/ GIMT_Encode4(2406255), // Rule ID 55243 //
     /* 2406198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2406201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406228 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2406231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406254 */     // GIR_Coverage, 55243,
     /* 2406254 */     GIR_EraseRootFromParent_Done,
     /* 2406255 */   // Label 34609: @2406255
     /* 2406255 */   GIM_Try, /*On fail goto*//*Label 34610*/ GIMT_Encode4(2406317), // Rule ID 72608 //
     /* 2406260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2406263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406290 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2406293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406316 */     // GIR_Coverage, 72608,
     /* 2406316 */     GIR_EraseRootFromParent_Done,
     /* 2406317 */   // Label 34610: @2406317
     /* 2406317 */   GIM_Try, /*On fail goto*//*Label 34611*/ GIMT_Encode4(2406379), // Rule ID 72609 //
     /* 2406322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2406325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406352 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2406355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406378 */     // GIR_Coverage, 72609,
     /* 2406378 */     GIR_EraseRootFromParent_Done,
     /* 2406379 */   // Label 34611: @2406379
     /* 2406379 */   GIM_Try, /*On fail goto*//*Label 34612*/ GIMT_Encode4(2406441), // Rule ID 55234 //
     /* 2406384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2406387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406414 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2406417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2406427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406440 */     // GIR_Coverage, 55234,
     /* 2406440 */     GIR_EraseRootFromParent_Done,
     /* 2406441 */   // Label 34612: @2406441
     /* 2406441 */   GIM_Try, /*On fail goto*//*Label 34613*/ GIMT_Encode4(2406503), // Rule ID 55235 //
     /* 2406446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2406449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2406469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406476 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2406479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2406489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406502 */     // GIR_Coverage, 55235,
     /* 2406502 */     GIR_EraseRootFromParent_Done,
     /* 2406503 */   // Label 34613: @2406503
     /* 2406503 */   GIM_Try, /*On fail goto*//*Label 34614*/ GIMT_Encode4(2406548), // Rule ID 55230 //
     /* 2406508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2406511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406523 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2406526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406547 */     // GIR_Coverage, 55230,
     /* 2406547 */     GIR_EraseRootFromParent_Done,
     /* 2406548 */   // Label 34614: @2406548
     /* 2406548 */   GIM_Try, /*On fail goto*//*Label 34615*/ GIMT_Encode4(2406593), // Rule ID 55231 //
     /* 2406553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2406556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2406568 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2406571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406592 */     // GIR_Coverage, 55231,
     /* 2406592 */     GIR_EraseRootFromParent_Done,
     /* 2406593 */   // Label 34615: @2406593
     /* 2406593 */   GIM_Reject,
     /* 2406594 */ // Label 34603: @2406594
     /* 2406594 */ GIM_Reject,
     /* 2406595 */ // Label 34339: @2406595
     /* 2406595 */ GIM_Reject,
     /* 2406596 */ // Label 103: @2406596
     /* 2406596 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34634*/ GIMT_Encode4(2408771),
     /* 2406607 */ /*GILLT_s16*//*Label 34616*/ GIMT_Encode4(2406727),
     /* 2406611 */ /*GILLT_s32*//*Label 34617*/ GIMT_Encode4(2406849),
     /* 2406615 */ /*GILLT_s64*//*Label 34618*/ GIMT_Encode4(2406971), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2406627 */ /*GILLT_nxv1s16*//*Label 34619*/ GIMT_Encode4(2407121),
     /* 2406631 */ /*GILLT_nxv1s32*//*Label 34620*/ GIMT_Encode4(2407231),
     /* 2406635 */ /*GILLT_nxv1s64*//*Label 34621*/ GIMT_Encode4(2407341), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2406647 */ /*GILLT_nxv2s16*//*Label 34622*/ GIMT_Encode4(2407451),
     /* 2406651 */ /*GILLT_nxv2s32*//*Label 34623*/ GIMT_Encode4(2407561),
     /* 2406655 */ /*GILLT_nxv2s64*//*Label 34624*/ GIMT_Encode4(2407671), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2406667 */ /*GILLT_nxv4s16*//*Label 34625*/ GIMT_Encode4(2407781),
     /* 2406671 */ /*GILLT_nxv4s32*//*Label 34626*/ GIMT_Encode4(2407891),
     /* 2406675 */ /*GILLT_nxv4s64*//*Label 34627*/ GIMT_Encode4(2408001), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2406687 */ /*GILLT_nxv8s16*//*Label 34628*/ GIMT_Encode4(2408111),
     /* 2406691 */ /*GILLT_nxv8s32*//*Label 34629*/ GIMT_Encode4(2408221),
     /* 2406695 */ /*GILLT_nxv8s64*//*Label 34630*/ GIMT_Encode4(2408331), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2406707 */ /*GILLT_nxv16s16*//*Label 34631*/ GIMT_Encode4(2408441),
     /* 2406711 */ /*GILLT_nxv16s32*//*Label 34632*/ GIMT_Encode4(2408551), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2406723 */ /*GILLT_nxv32s16*//*Label 34633*/ GIMT_Encode4(2408661),
     /* 2406727 */ // Label 34616: @2406727
     /* 2406727 */ GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2406848),
     /* 2406732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2406735 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2406763), // Rule ID 1878 //
     /* 2406740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2406743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2406747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2406751 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2406751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2406754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406762 */     // GIR_Coverage, 1878,
     /* 2406762 */     GIR_EraseRootFromParent_Done,
     /* 2406763 */   // Label 34636: @2406763
     /* 2406763 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2406791), // Rule ID 1879 //
     /* 2406768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2406771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2406775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2406779 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2406779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2406782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406790 */     // GIR_Coverage, 1879,
     /* 2406790 */     GIR_EraseRootFromParent_Done,
     /* 2406791 */   // Label 34637: @2406791
     /* 2406791 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2406819), // Rule ID 1911 //
     /* 2406796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2406799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2406803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2406807 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2406807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2406810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406818 */     // GIR_Coverage, 1911,
     /* 2406818 */     GIR_EraseRootFromParent_Done,
     /* 2406819 */   // Label 34638: @2406819
     /* 2406819 */   GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2406847), // Rule ID 1912 //
     /* 2406824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2406827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2406831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2406835 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2406835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2406838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406846 */     // GIR_Coverage, 1912,
     /* 2406846 */     GIR_EraseRootFromParent_Done,
     /* 2406847 */   // Label 34639: @2406847
     /* 2406847 */   GIM_Reject,
     /* 2406848 */ // Label 34635: @2406848
     /* 2406848 */ GIM_Reject,
     /* 2406849 */ // Label 34617: @2406849
     /* 2406849 */ GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2406970),
     /* 2406854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406857 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2406885), // Rule ID 1169 //
     /* 2406862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2406865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406873 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2406873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2406876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406884 */     // GIR_Coverage, 1169,
     /* 2406884 */     GIR_EraseRootFromParent_Done,
     /* 2406885 */   // Label 34641: @2406885
     /* 2406885 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2406913), // Rule ID 1170 //
     /* 2406890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2406893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406901 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2406901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2406904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406912 */     // GIR_Coverage, 1170,
     /* 2406912 */     GIR_EraseRootFromParent_Done,
     /* 2406913 */   // Label 34642: @2406913
     /* 2406913 */   GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2406941), // Rule ID 1177 //
     /* 2406918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2406921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406929 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2406929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2406932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406940 */     // GIR_Coverage, 1177,
     /* 2406940 */     GIR_EraseRootFromParent_Done,
     /* 2406941 */   // Label 34643: @2406941
     /* 2406941 */   GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2406969), // Rule ID 1178 //
     /* 2406946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2406949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406957 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2406957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2406960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406968 */     // GIR_Coverage, 1178,
     /* 2406968 */     GIR_EraseRootFromParent_Done,
     /* 2406969 */   // Label 34644: @2406969
     /* 2406969 */   GIM_Reject,
     /* 2406970 */ // Label 34640: @2406970
     /* 2406970 */ GIM_Reject,
     /* 2406971 */ // Label 34618: @2406971
     /* 2406971 */ GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2407120),
     /* 2406976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2406979 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2407007), // Rule ID 1512 //
     /* 2406984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2406987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2406995 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2406995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2406998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407006 */     // GIR_Coverage, 1512,
     /* 2407006 */     GIR_EraseRootFromParent_Done,
     /* 2407007 */   // Label 34646: @2407007
     /* 2407007 */   GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2407035), // Rule ID 1513 //
     /* 2407012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2407015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407023 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2407023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2407026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407034 */     // GIR_Coverage, 1513,
     /* 2407034 */     GIR_EraseRootFromParent_Done,
     /* 2407035 */   // Label 34647: @2407035
     /* 2407035 */   GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2407063), // Rule ID 1547 //
     /* 2407040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2407043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407051 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2407051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2407054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407062 */     // GIR_Coverage, 1547,
     /* 2407062 */     GIR_EraseRootFromParent_Done,
     /* 2407063 */   // Label 34648: @2407063
     /* 2407063 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2407091), // Rule ID 1567 //
     /* 2407068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2407071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407079 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2407079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2407082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407090 */     // GIR_Coverage, 1567,
     /* 2407090 */     GIR_EraseRootFromParent_Done,
     /* 2407091 */   // Label 34649: @2407091
     /* 2407091 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2407119), // Rule ID 1568 //
     /* 2407096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2407099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407107 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2407107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2407110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407118 */     // GIR_Coverage, 1568,
     /* 2407118 */     GIR_EraseRootFromParent_Done,
     /* 2407119 */   // Label 34650: @2407119
     /* 2407119 */   GIM_Reject,
     /* 2407120 */ // Label 34645: @2407120
     /* 2407120 */ GIM_Reject,
     /* 2407121 */ // Label 34619: @2407121
     /* 2407121 */ GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2407230),
     /* 2407126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2407129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407137 */   GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2407183), // Rule ID 56126 //
     /* 2407142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407145 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2407148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2407162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407182 */     // GIR_Coverage, 56126,
     /* 2407182 */     GIR_EraseRootFromParent_Done,
     /* 2407183 */   // Label 34652: @2407183
     /* 2407183 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2407229), // Rule ID 56127 //
     /* 2407188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407191 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2407194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2407208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407228 */     // GIR_Coverage, 56127,
     /* 2407228 */     GIR_EraseRootFromParent_Done,
     /* 2407229 */   // Label 34653: @2407229
     /* 2407229 */   GIM_Reject,
     /* 2407230 */ // Label 34651: @2407230
     /* 2407230 */ GIM_Reject,
     /* 2407231 */ // Label 34620: @2407231
     /* 2407231 */ GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2407340),
     /* 2407236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2407239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407247 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2407293), // Rule ID 56166 //
     /* 2407252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2407255 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2407258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2407272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407292 */     // GIR_Coverage, 56166,
     /* 2407292 */     GIR_EraseRootFromParent_Done,
     /* 2407293 */   // Label 34655: @2407293
     /* 2407293 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2407339), // Rule ID 56167 //
     /* 2407298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2407301 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2407304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2407318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407338 */     // GIR_Coverage, 56167,
     /* 2407338 */     GIR_EraseRootFromParent_Done,
     /* 2407339 */   // Label 34656: @2407339
     /* 2407339 */   GIM_Reject,
     /* 2407340 */ // Label 34654: @2407340
     /* 2407340 */ GIM_Reject,
     /* 2407341 */ // Label 34621: @2407341
     /* 2407341 */ GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2407450),
     /* 2407346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2407349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407357 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2407403), // Rule ID 56226 //
     /* 2407362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2407365 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2407368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2407382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407402 */     // GIR_Coverage, 56226,
     /* 2407402 */     GIR_EraseRootFromParent_Done,
     /* 2407403 */   // Label 34658: @2407403
     /* 2407403 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2407449), // Rule ID 56227 //
     /* 2407408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2407411 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2407414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2407428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407448 */     // GIR_Coverage, 56227,
     /* 2407448 */     GIR_EraseRootFromParent_Done,
     /* 2407449 */   // Label 34659: @2407449
     /* 2407449 */   GIM_Reject,
     /* 2407450 */ // Label 34657: @2407450
     /* 2407450 */ GIM_Reject,
     /* 2407451 */ // Label 34622: @2407451
     /* 2407451 */ GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2407560),
     /* 2407456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2407459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407467 */   GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2407513), // Rule ID 56146 //
     /* 2407472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407475 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2407478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2407492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407512 */     // GIR_Coverage, 56146,
     /* 2407512 */     GIR_EraseRootFromParent_Done,
     /* 2407513 */   // Label 34661: @2407513
     /* 2407513 */   GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2407559), // Rule ID 56147 //
     /* 2407518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407521 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2407524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2407538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407558 */     // GIR_Coverage, 56147,
     /* 2407558 */     GIR_EraseRootFromParent_Done,
     /* 2407559 */   // Label 34662: @2407559
     /* 2407559 */   GIM_Reject,
     /* 2407560 */ // Label 34660: @2407560
     /* 2407560 */ GIM_Reject,
     /* 2407561 */ // Label 34623: @2407561
     /* 2407561 */ GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2407670),
     /* 2407566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2407569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407577 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2407623), // Rule ID 56206 //
     /* 2407582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2407585 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2407588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2407602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407622 */     // GIR_Coverage, 56206,
     /* 2407622 */     GIR_EraseRootFromParent_Done,
     /* 2407623 */   // Label 34664: @2407623
     /* 2407623 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2407669), // Rule ID 56207 //
     /* 2407628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2407631 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2407634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2407648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407668 */     // GIR_Coverage, 56207,
     /* 2407668 */     GIR_EraseRootFromParent_Done,
     /* 2407669 */   // Label 34665: @2407669
     /* 2407669 */   GIM_Reject,
     /* 2407670 */ // Label 34663: @2407670
     /* 2407670 */ GIM_Reject,
     /* 2407671 */ // Label 34624: @2407671
     /* 2407671 */ GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2407780),
     /* 2407676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2407679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407687 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2407733), // Rule ID 56366 //
     /* 2407692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2407695 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2407698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2407712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407732 */     // GIR_Coverage, 56366,
     /* 2407732 */     GIR_EraseRootFromParent_Done,
     /* 2407733 */   // Label 34667: @2407733
     /* 2407733 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2407779), // Rule ID 56367 //
     /* 2407738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2407741 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2407744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2407758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407778 */     // GIR_Coverage, 56367,
     /* 2407778 */     GIR_EraseRootFromParent_Done,
     /* 2407779 */   // Label 34668: @2407779
     /* 2407779 */   GIM_Reject,
     /* 2407780 */ // Label 34666: @2407780
     /* 2407780 */ GIM_Reject,
     /* 2407781 */ // Label 34625: @2407781
     /* 2407781 */ GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2407890),
     /* 2407786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407797 */   GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2407843), // Rule ID 56186 //
     /* 2407802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407805 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2407808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2407822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407842 */     // GIR_Coverage, 56186,
     /* 2407842 */     GIR_EraseRootFromParent_Done,
     /* 2407843 */   // Label 34670: @2407843
     /* 2407843 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2407889), // Rule ID 56187 //
     /* 2407848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407851 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2407854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2407868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407888 */     // GIR_Coverage, 56187,
     /* 2407888 */     GIR_EraseRootFromParent_Done,
     /* 2407889 */   // Label 34671: @2407889
     /* 2407889 */   GIM_Reject,
     /* 2407890 */ // Label 34669: @2407890
     /* 2407890 */ GIM_Reject,
     /* 2407891 */ // Label 34626: @2407891
     /* 2407891 */ GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2408000),
     /* 2407896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2407899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407907 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2407953), // Rule ID 56306 //
     /* 2407912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2407915 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2407915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2407918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2407932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407952 */     // GIR_Coverage, 56306,
     /* 2407952 */     GIR_EraseRootFromParent_Done,
     /* 2407953 */   // Label 34673: @2407953
     /* 2407953 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2407999), // Rule ID 56307 //
     /* 2407958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2407961 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2407961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2407964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2407968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2407973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2407975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2407978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2407983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407998 */     // GIR_Coverage, 56307,
     /* 2407998 */     GIR_EraseRootFromParent_Done,
     /* 2407999 */   // Label 34674: @2407999
     /* 2407999 */   GIM_Reject,
     /* 2408000 */ // Label 34672: @2408000
     /* 2408000 */ GIM_Reject,
     /* 2408001 */ // Label 34627: @2408001
     /* 2408001 */ GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2408110),
     /* 2408006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2408009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408017 */   GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2408063), // Rule ID 56386 //
     /* 2408022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2408025 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2408025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2408028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2408042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408062 */     // GIR_Coverage, 56386,
     /* 2408062 */     GIR_EraseRootFromParent_Done,
     /* 2408063 */   // Label 34676: @2408063
     /* 2408063 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2408109), // Rule ID 56387 //
     /* 2408068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2408071 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2408071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2408074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2408088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408108 */     // GIR_Coverage, 56387,
     /* 2408108 */     GIR_EraseRootFromParent_Done,
     /* 2408109 */   // Label 34677: @2408109
     /* 2408109 */   GIM_Reject,
     /* 2408110 */ // Label 34675: @2408110
     /* 2408110 */ GIM_Reject,
     /* 2408111 */ // Label 34628: @2408111
     /* 2408111 */ GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2408220),
     /* 2408116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2408119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408127 */   GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2408173), // Rule ID 56246 //
     /* 2408132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408135 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2408135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2408138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2408152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408172 */     // GIR_Coverage, 56246,
     /* 2408172 */     GIR_EraseRootFromParent_Done,
     /* 2408173 */   // Label 34679: @2408173
     /* 2408173 */   GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2408219), // Rule ID 56247 //
     /* 2408178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408181 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2408181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2408184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2408198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408218 */     // GIR_Coverage, 56247,
     /* 2408218 */     GIR_EraseRootFromParent_Done,
     /* 2408219 */   // Label 34680: @2408219
     /* 2408219 */   GIM_Reject,
     /* 2408220 */ // Label 34678: @2408220
     /* 2408220 */ GIM_Reject,
     /* 2408221 */ // Label 34629: @2408221
     /* 2408221 */ GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2408330),
     /* 2408226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2408229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408237 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2408283), // Rule ID 56326 //
     /* 2408242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408245 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2408245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2408248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2408262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408282 */     // GIR_Coverage, 56326,
     /* 2408282 */     GIR_EraseRootFromParent_Done,
     /* 2408283 */   // Label 34682: @2408283
     /* 2408283 */   GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2408329), // Rule ID 56327 //
     /* 2408288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408291 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2408291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2408294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2408308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408328 */     // GIR_Coverage, 56327,
     /* 2408328 */     GIR_EraseRootFromParent_Done,
     /* 2408329 */   // Label 34683: @2408329
     /* 2408329 */   GIM_Reject,
     /* 2408330 */ // Label 34681: @2408330
     /* 2408330 */ GIM_Reject,
     /* 2408331 */ // Label 34630: @2408331
     /* 2408331 */ GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2408440),
     /* 2408336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2408339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408347 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2408393), // Rule ID 56406 //
     /* 2408352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2408355 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2408355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2408358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2408372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408392 */     // GIR_Coverage, 56406,
     /* 2408392 */     GIR_EraseRootFromParent_Done,
     /* 2408393 */   // Label 34685: @2408393
     /* 2408393 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2408439), // Rule ID 56407 //
     /* 2408398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2408401 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2408401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2408404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2408418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2408434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408438 */     // GIR_Coverage, 56407,
     /* 2408438 */     GIR_EraseRootFromParent_Done,
     /* 2408439 */   // Label 34686: @2408439
     /* 2408439 */   GIM_Reject,
     /* 2408440 */ // Label 34684: @2408440
     /* 2408440 */ GIM_Reject,
     /* 2408441 */ // Label 34631: @2408441
     /* 2408441 */ GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2408550),
     /* 2408446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2408449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408457 */   GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2408503), // Rule ID 56266 //
     /* 2408462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408465 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2408465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2408468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2408482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408502 */     // GIR_Coverage, 56266,
     /* 2408502 */     GIR_EraseRootFromParent_Done,
     /* 2408503 */   // Label 34688: @2408503
     /* 2408503 */   GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2408549), // Rule ID 56267 //
     /* 2408508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408511 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2408511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2408514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2408528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408548 */     // GIR_Coverage, 56267,
     /* 2408548 */     GIR_EraseRootFromParent_Done,
     /* 2408549 */   // Label 34689: @2408549
     /* 2408549 */   GIM_Reject,
     /* 2408550 */ // Label 34687: @2408550
     /* 2408550 */ GIM_Reject,
     /* 2408551 */ // Label 34632: @2408551
     /* 2408551 */ GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2408660),
     /* 2408556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2408559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408567 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2408613), // Rule ID 56346 //
     /* 2408572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408575 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2408575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2408578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2408592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408612 */     // GIR_Coverage, 56346,
     /* 2408612 */     GIR_EraseRootFromParent_Done,
     /* 2408613 */   // Label 34691: @2408613
     /* 2408613 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2408659), // Rule ID 56347 //
     /* 2408618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408621 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2408621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2408624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2408638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408658 */     // GIR_Coverage, 56347,
     /* 2408658 */     GIR_EraseRootFromParent_Done,
     /* 2408659 */   // Label 34692: @2408659
     /* 2408659 */   GIM_Reject,
     /* 2408660 */ // Label 34690: @2408660
     /* 2408660 */ GIM_Reject,
     /* 2408661 */ // Label 34633: @2408661
     /* 2408661 */ GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2408770),
     /* 2408666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2408669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2408677 */   GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2408723), // Rule ID 56286 //
     /* 2408682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408685 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2408685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2408688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2408702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408722 */     // GIR_Coverage, 56286,
     /* 2408722 */     GIR_EraseRootFromParent_Done,
     /* 2408723 */   // Label 34694: @2408723
     /* 2408723 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2408769), // Rule ID 56287 //
     /* 2408728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408731 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2408731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2408734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2408738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2408748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408768 */     // GIR_Coverage, 56287,
     /* 2408768 */     GIR_EraseRootFromParent_Done,
     /* 2408769 */   // Label 34695: @2408769
     /* 2408769 */   GIM_Reject,
     /* 2408770 */ // Label 34693: @2408770
     /* 2408770 */ GIM_Reject,
     /* 2408771 */ // Label 34634: @2408771
     /* 2408771 */ GIM_Reject,
     /* 2408772 */ // Label 104: @2408772
     /* 2408772 */ GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2408784), // Rule ID 283 //
     /* 2408777 */   // (trap)  =>  (UNIMP)
     /* 2408777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2408782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2408783 */   // GIR_Coverage, 283,
     /* 2408783 */   GIR_Done,
     /* 2408784 */ // Label 34696: @2408784
     /* 2408784 */ GIM_Reject,
     /* 2408785 */ // Label 105: @2408785
     /* 2408785 */ GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2408797), // Rule ID 284 //
     /* 2408790 */   // (debugtrap)  =>  (EBREAK)
     /* 2408790 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2408795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2408796 */   // GIR_Coverage, 284,
     /* 2408796 */   GIR_Done,
     /* 2408797 */ // Label 34697: @2408797
     /* 2408797 */ GIM_Reject,
     /* 2408798 */ // Label 106: @2408798
     /* 2408798 */ GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2408892),
     /* 2408803 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2408806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408813 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2408832), // Rule ID 2410 //
     /* 2408818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2408821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408825 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2408825 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2408830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408831 */     // GIR_Coverage, 2410,
     /* 2408831 */     GIR_Done,
     /* 2408832 */   // Label 34699: @2408832
     /* 2408832 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2408891), // Rule ID 62559 //
     /* 2408837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2408840 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2408840 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2408843 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2408847 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408852 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2408856 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2408859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2408861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2408864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2408868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2408873 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2408876 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2408879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2408881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2408884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2408889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408890 */     // GIR_Coverage, 62559,
     /* 2408890 */     GIR_EraseRootFromParent_Done,
     /* 2408891 */   // Label 34700: @2408891
     /* 2408891 */   GIM_Reject,
     /* 2408892 */ // Label 34698: @2408892
     /* 2408892 */ GIM_Reject,
     /* 2408893 */ // Label 107: @2408893
     /* 2408893 */ GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2408922), // Rule ID 2411 //
     /* 2408898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2408901 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2408904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408915 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2408915 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2408920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2408921 */   // GIR_Coverage, 2411,
     /* 2408921 */   GIR_Done,
     /* 2408922 */ // Label 34701: @2408922
     /* 2408922 */ GIM_Reject,
     /* 2408923 */ // Label 108: @2408923
     /* 2408923 */ GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2408959), // Rule ID 307 //
     /* 2408928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2408931 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2408934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2408940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408952 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2408952 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2408957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2408958 */   // GIR_Coverage, 307,
     /* 2408958 */   GIR_Done,
     /* 2408959 */ // Label 34702: @2408959
     /* 2408959 */ GIM_Reject,
     /* 2408960 */ // Label 109: @2408960
     /* 2408960 */ GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2408996), // Rule ID 306 //
     /* 2408965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2408968 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2408971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2408977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408989 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2408989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2408994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2408995 */   // GIR_Coverage, 306,
     /* 2408995 */   GIR_Done,
     /* 2408996 */ // Label 34703: @2408996
     /* 2408996 */ GIM_Reject,
     /* 2408997 */ // Label 110: @2408997
     /* 2408997 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34706*/ GIMT_Encode4(2409356),
     /* 2409008 */ /*GILLT_s32*//*Label 34704*/ GIMT_Encode4(2409016),
     /* 2409012 */ /*GILLT_s64*//*Label 34705*/ GIMT_Encode4(2409173),
     /* 2409016 */ // Label 34704: @2409016
     /* 2409016 */ GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2409042), // Rule ID 1176 //
     /* 2409021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2409024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2409027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2409035 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2409035 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2409040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409041 */   // GIR_Coverage, 1176,
     /* 2409041 */   GIR_Done,
     /* 2409042 */ // Label 34707: @2409042
     /* 2409042 */ GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2409068), // Rule ID 1184 //
     /* 2409047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2409050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2409053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2409061 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2409061 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2409066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409067 */   // GIR_Coverage, 1184,
     /* 2409067 */   GIR_Done,
     /* 2409068 */ // Label 34708: @2409068
     /* 2409068 */ GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2409094), // Rule ID 1519 //
     /* 2409073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2409076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409087 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2409087 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2409092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409093 */   // GIR_Coverage, 1519,
     /* 2409093 */   GIR_Done,
     /* 2409094 */ // Label 34709: @2409094
     /* 2409094 */ GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2409120), // Rule ID 1574 //
     /* 2409099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2409102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409113 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2409113 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2409118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409119 */   // GIR_Coverage, 1574,
     /* 2409119 */   GIR_Done,
     /* 2409120 */ // Label 34710: @2409120
     /* 2409120 */ GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2409146), // Rule ID 1885 //
     /* 2409125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2409128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2409131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2409139 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2409139 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2409144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409145 */   // GIR_Coverage, 1885,
     /* 2409145 */   GIR_Done,
     /* 2409146 */ // Label 34711: @2409146
     /* 2409146 */ GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2409172), // Rule ID 1918 //
     /* 2409151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2409154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2409157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2409165 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2409165 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2409170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409171 */   // GIR_Coverage, 1918,
     /* 2409171 */   GIR_Done,
     /* 2409172 */ // Label 34712: @2409172
     /* 2409172 */ GIM_Reject,
     /* 2409173 */ // Label 34705: @2409173
     /* 2409173 */ GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2409199), // Rule ID 1175 //
     /* 2409178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2409181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2409184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2409192 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2409192 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2409197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409198 */   // GIR_Coverage, 1175,
     /* 2409198 */   GIR_Done,
     /* 2409199 */ // Label 34713: @2409199
     /* 2409199 */ GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2409225), // Rule ID 1183 //
     /* 2409204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2409207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2409210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2409218 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2409218 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2409223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409224 */   // GIR_Coverage, 1183,
     /* 2409224 */   GIR_Done,
     /* 2409225 */ // Label 34714: @2409225
     /* 2409225 */ GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2409251), // Rule ID 1518 //
     /* 2409230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2409233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409244 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2409244 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2409249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409250 */   // GIR_Coverage, 1518,
     /* 2409250 */   GIR_Done,
     /* 2409251 */ // Label 34715: @2409251
     /* 2409251 */ GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2409277), // Rule ID 1551 //
     /* 2409256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2409259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409270 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2409270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2409275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409276 */   // GIR_Coverage, 1551,
     /* 2409276 */   GIR_Done,
     /* 2409277 */ // Label 34716: @2409277
     /* 2409277 */ GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2409303), // Rule ID 1573 //
     /* 2409282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2409285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409296 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2409296 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2409301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409302 */   // GIR_Coverage, 1573,
     /* 2409302 */   GIR_Done,
     /* 2409303 */ // Label 34717: @2409303
     /* 2409303 */ GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2409329), // Rule ID 1884 //
     /* 2409308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2409311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2409314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2409322 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2409322 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2409327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409328 */   // GIR_Coverage, 1884,
     /* 2409328 */   GIR_Done,
     /* 2409329 */ // Label 34718: @2409329
     /* 2409329 */ GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2409355), // Rule ID 1917 //
     /* 2409334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2409337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2409340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2409348 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2409348 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2409353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409354 */   // GIR_Coverage, 1917,
     /* 2409354 */   GIR_Done,
     /* 2409355 */ // Label 34719: @2409355
     /* 2409355 */ GIM_Reject,
     /* 2409356 */ // Label 34706: @2409356
     /* 2409356 */ GIM_Reject,
     /* 2409357 */ // Label 111: @2409357
     /* 2409357 */ GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2409554),
     /* 2409362 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2409365 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34724*/ GIMT_Encode4(2409553),
     /* 2409376 */   /*GILLT_s16*//*Label 34721*/ GIMT_Encode4(2409388),
     /* 2409380 */   /*GILLT_s32*//*Label 34722*/ GIMT_Encode4(2409443),
     /* 2409384 */   /*GILLT_s64*//*Label 34723*/ GIMT_Encode4(2409498),
     /* 2409388 */   // Label 34721: @2409388
     /* 2409388 */   GIM_Try, /*On fail goto*//*Label 34725*/ GIMT_Encode4(2409442),
     /* 2409393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409397 */     GIM_Try, /*On fail goto*//*Label 34726*/ GIMT_Encode4(2409419), // Rule ID 2135 //
     /* 2409402 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2409405 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2409409 */       // MIs[0] frm
     /* 2409409 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409412 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409412 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2409417 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409418 */       // GIR_Coverage, 2135,
     /* 2409418 */       GIR_Done,
     /* 2409419 */     // Label 34726: @2409419
     /* 2409419 */     GIM_Try, /*On fail goto*//*Label 34727*/ GIMT_Encode4(2409441), // Rule ID 2161 //
     /* 2409424 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2409427 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2409431 */       // MIs[0] frm
     /* 2409431 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409434 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409434 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2409439 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409440 */       // GIR_Coverage, 2161,
     /* 2409440 */       GIR_Done,
     /* 2409441 */     // Label 34727: @2409441
     /* 2409441 */     GIM_Reject,
     /* 2409442 */   // Label 34725: @2409442
     /* 2409442 */   GIM_Reject,
     /* 2409443 */   // Label 34722: @2409443
     /* 2409443 */   GIM_Try, /*On fail goto*//*Label 34728*/ GIMT_Encode4(2409497),
     /* 2409448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409452 */     GIM_Try, /*On fail goto*//*Label 34729*/ GIMT_Encode4(2409474), // Rule ID 1401 //
     /* 2409457 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2409460 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2409464 */       // MIs[0] frm
     /* 2409464 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409467 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409467 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2409472 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409473 */       // GIR_Coverage, 1401,
     /* 2409473 */       GIR_Done,
     /* 2409474 */     // Label 34729: @2409474
     /* 2409474 */     GIM_Try, /*On fail goto*//*Label 34730*/ GIMT_Encode4(2409496), // Rule ID 1429 //
     /* 2409479 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2409482 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2409486 */       // MIs[0] frm
     /* 2409486 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409489 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409489 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2409494 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409495 */       // GIR_Coverage, 1429,
     /* 2409495 */       GIR_Done,
     /* 2409496 */     // Label 34730: @2409496
     /* 2409496 */     GIM_Reject,
     /* 2409497 */   // Label 34728: @2409497
     /* 2409497 */   GIM_Reject,
     /* 2409498 */   // Label 34723: @2409498
     /* 2409498 */   GIM_Try, /*On fail goto*//*Label 34731*/ GIMT_Encode4(2409552),
     /* 2409503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409507 */     GIM_Try, /*On fail goto*//*Label 34732*/ GIMT_Encode4(2409529), // Rule ID 1795 //
     /* 2409512 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2409515 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409519 */       // MIs[0] frm
     /* 2409519 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409522 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409522 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2409527 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409528 */       // GIR_Coverage, 1795,
     /* 2409528 */       GIR_Done,
     /* 2409529 */     // Label 34732: @2409529
     /* 2409529 */     GIM_Try, /*On fail goto*//*Label 34733*/ GIMT_Encode4(2409551), // Rule ID 1823 //
     /* 2409534 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2409537 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409541 */       // MIs[0] frm
     /* 2409541 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409544 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409544 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2409549 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409550 */       // GIR_Coverage, 1823,
     /* 2409550 */       GIR_Done,
     /* 2409551 */     // Label 34733: @2409551
     /* 2409551 */     GIM_Reject,
     /* 2409552 */   // Label 34731: @2409552
     /* 2409552 */   GIM_Reject,
     /* 2409553 */   // Label 34724: @2409553
     /* 2409553 */   GIM_Reject,
     /* 2409554 */ // Label 34720: @2409554
     /* 2409554 */ GIM_Reject,
     /* 2409555 */ // Label 112: @2409555
     /* 2409555 */ GIM_Try, /*On fail goto*//*Label 34734*/ GIMT_Encode4(2409752),
     /* 2409560 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2409563 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34738*/ GIMT_Encode4(2409751),
     /* 2409574 */   /*GILLT_s16*//*Label 34735*/ GIMT_Encode4(2409586),
     /* 2409578 */   /*GILLT_s32*//*Label 34736*/ GIMT_Encode4(2409641),
     /* 2409582 */   /*GILLT_s64*//*Label 34737*/ GIMT_Encode4(2409696),
     /* 2409586 */   // Label 34735: @2409586
     /* 2409586 */   GIM_Try, /*On fail goto*//*Label 34739*/ GIMT_Encode4(2409640),
     /* 2409591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409595 */     GIM_Try, /*On fail goto*//*Label 34740*/ GIMT_Encode4(2409617), // Rule ID 2133 //
     /* 2409600 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2409603 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2409607 */       // MIs[0] frm
     /* 2409607 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409610 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409610 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2409615 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409616 */       // GIR_Coverage, 2133,
     /* 2409616 */       GIR_Done,
     /* 2409617 */     // Label 34740: @2409617
     /* 2409617 */     GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2409639), // Rule ID 2159 //
     /* 2409622 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2409625 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2409629 */       // MIs[0] frm
     /* 2409629 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409632 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409632 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2409637 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409638 */       // GIR_Coverage, 2159,
     /* 2409638 */       GIR_Done,
     /* 2409639 */     // Label 34741: @2409639
     /* 2409639 */     GIM_Reject,
     /* 2409640 */   // Label 34739: @2409640
     /* 2409640 */   GIM_Reject,
     /* 2409641 */   // Label 34736: @2409641
     /* 2409641 */   GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2409695),
     /* 2409646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409650 */     GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2409672), // Rule ID 1399 //
     /* 2409655 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2409658 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2409662 */       // MIs[0] frm
     /* 2409662 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409665 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409665 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2409670 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409671 */       // GIR_Coverage, 1399,
     /* 2409671 */       GIR_Done,
     /* 2409672 */     // Label 34743: @2409672
     /* 2409672 */     GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2409694), // Rule ID 1427 //
     /* 2409677 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2409680 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2409684 */       // MIs[0] frm
     /* 2409684 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409687 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409687 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2409692 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409693 */       // GIR_Coverage, 1427,
     /* 2409693 */       GIR_Done,
     /* 2409694 */     // Label 34744: @2409694
     /* 2409694 */     GIM_Reject,
     /* 2409695 */   // Label 34742: @2409695
     /* 2409695 */   GIM_Reject,
     /* 2409696 */   // Label 34737: @2409696
     /* 2409696 */   GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2409750),
     /* 2409701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409705 */     GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2409727), // Rule ID 1793 //
     /* 2409710 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2409713 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409717 */       // MIs[0] frm
     /* 2409717 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409720 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409720 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2409725 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409726 */       // GIR_Coverage, 1793,
     /* 2409726 */       GIR_Done,
     /* 2409727 */     // Label 34746: @2409727
     /* 2409727 */     GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2409749), // Rule ID 1821 //
     /* 2409732 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2409735 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409739 */       // MIs[0] frm
     /* 2409739 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2409742 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2409742 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2409747 */       GIR_RootConstrainSelectedInstOperands,
     /* 2409748 */       // GIR_Coverage, 1821,
     /* 2409748 */       GIR_Done,
     /* 2409749 */     // Label 34747: @2409749
     /* 2409749 */     GIM_Reject,
     /* 2409750 */   // Label 34745: @2409750
     /* 2409750 */   GIM_Reject,
     /* 2409751 */   // Label 34738: @2409751
     /* 2409751 */   GIM_Reject,
     /* 2409752 */ // Label 34734: @2409752
     /* 2409752 */ GIM_Reject,
     /* 2409753 */ // Label 113: @2409753
     /* 2409753 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34750*/ GIMT_Encode4(2409812),
     /* 2409764 */ /*GILLT_s32*//*Label 34748*/ GIMT_Encode4(2409772),
     /* 2409768 */ /*GILLT_s64*//*Label 34749*/ GIMT_Encode4(2409792),
     /* 2409772 */ // Label 34748: @2409772
     /* 2409772 */ GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2409791), // Rule ID 67 //
     /* 2409777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409784 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2409784 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2409789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409790 */   // GIR_Coverage, 67,
     /* 2409790 */   GIR_Done,
     /* 2409791 */ // Label 34751: @2409791
     /* 2409791 */ GIM_Reject,
     /* 2409792 */ // Label 34749: @2409792
     /* 2409792 */ GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2409811), // Rule ID 66 //
     /* 2409797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409804 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2409804 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2409809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409810 */   // GIR_Coverage, 66,
     /* 2409810 */   GIR_Done,
     /* 2409811 */ // Label 34752: @2409811
     /* 2409811 */ GIM_Reject,
     /* 2409812 */ // Label 34750: @2409812
     /* 2409812 */ GIM_Reject,
     /* 2409813 */ // Label 114: @2409813
     /* 2409813 */ GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2409849), // Rule ID 308 //
     /* 2409818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2409821 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2409824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2409830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409842 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2409842 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2409847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2409848 */   // GIR_Coverage, 308,
     /* 2409848 */   GIR_Done,
     /* 2409849 */ // Label 34753: @2409849
     /* 2409849 */ GIM_Reject,
     /* 2409850 */ // Label 115: @2409850
     /* 2409850 */ GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2409974),
     /* 2409855 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2409858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2409864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409872 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2409908), // Rule ID 2359 //
     /* 2409877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2409880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409892 */     // MIs[1] Operand 1
     /* 2409892 */     // No operand predicates
     /* 2409892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409894 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2409894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2409897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409901 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2409906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409907 */     // GIR_Coverage, 2359,
     /* 2409907 */     GIR_EraseRootFromParent_Done,
     /* 2409908 */   // Label 34755: @2409908
     /* 2409908 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2409944), // Rule ID 62556 //
     /* 2409913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2409916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409928 */     // MIs[1] Operand 1
     /* 2409928 */     // No operand predicates
     /* 2409928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409930 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2409930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2409933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409937 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2409942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409943 */     // GIR_Coverage, 62556,
     /* 2409943 */     GIR_EraseRootFromParent_Done,
     /* 2409944 */   // Label 34756: @2409944
     /* 2409944 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2409973), // Rule ID 2356 //
     /* 2409949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2409952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2409959 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2409959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2409962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2409971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409972 */     // GIR_Coverage, 2356,
     /* 2409972 */     GIR_EraseRootFromParent_Done,
     /* 2409973 */   // Label 34757: @2409973
     /* 2409973 */   GIM_Reject,
     /* 2409974 */ // Label 34754: @2409974
     /* 2409974 */ GIM_Reject,
     /* 2409975 */ // Label 116: @2409975
     /* 2409975 */ GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2410095),
     /* 2409980 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2409983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2409986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2409989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409997 */   GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2410031), // Rule ID 2358 //
     /* 2410002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2410005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410017 */     // MIs[1] Operand 1
     /* 2410017 */     // No operand predicates
     /* 2410017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410019 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2410019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2410022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2410029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410030 */     // GIR_Coverage, 2358,
     /* 2410030 */     GIR_EraseRootFromParent_Done,
     /* 2410031 */   // Label 34759: @2410031
     /* 2410031 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2410065), // Rule ID 62555 //
     /* 2410036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2410039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410051 */     // MIs[1] Operand 1
     /* 2410051 */     // No operand predicates
     /* 2410051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410053 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2410053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2410056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2410063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410064 */     // GIR_Coverage, 62555,
     /* 2410064 */     GIR_EraseRootFromParent_Done,
     /* 2410065 */   // Label 34760: @2410065
     /* 2410065 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2410094), // Rule ID 2357 //
     /* 2410070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2410073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2410080 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2410080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2410083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2410092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410093 */     // GIR_Coverage, 2357,
     /* 2410093 */     GIR_EraseRootFromParent_Done,
     /* 2410094 */   // Label 34761: @2410094
     /* 2410094 */   GIM_Reject,
     /* 2410095 */ // Label 34758: @2410095
     /* 2410095 */ GIM_Reject,
     /* 2410096 */ // Label 117: @2410096
     /* 2410096 */ GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2410142), // Rule ID 261 //
     /* 2410101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2410104 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2410107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2410113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410121 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2410128 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2410128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2410131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2410140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410141 */   // GIR_Coverage, 261,
     /* 2410141 */   GIR_EraseRootFromParent_Done,
     /* 2410142 */ // Label 34762: @2410142
     /* 2410142 */ GIM_Reject,
     /* 2410143 */ // Label 118: @2410143
     /* 2410143 */ GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2410189), // Rule ID 263 //
     /* 2410148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2410151 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2410154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2410160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410168 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2410175 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2410175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2410178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2410187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410188 */   // GIR_Coverage, 263,
     /* 2410188 */   GIR_EraseRootFromParent_Done,
     /* 2410189 */ // Label 34763: @2410189
     /* 2410189 */ GIM_Reject,
     /* 2410190 */ // Label 119: @2410190
     /* 2410190 */ GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2410236), // Rule ID 262 //
     /* 2410195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2410198 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2410201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2410207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410215 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2410222 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2410222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2410225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2410234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410235 */   // GIR_Coverage, 262,
     /* 2410235 */   GIR_EraseRootFromParent_Done,
     /* 2410236 */ // Label 34764: @2410236
     /* 2410236 */ GIM_Reject,
     /* 2410237 */ // Label 120: @2410237
     /* 2410237 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34772*/ GIMT_Encode4(2410885),
     /* 2410248 */ /*GILLT_nxv1s1*//*Label 34765*/ GIMT_Encode4(2410360), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410268 */ /*GILLT_nxv2s1*//*Label 34766*/ GIMT_Encode4(2410435), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410288 */ /*GILLT_nxv4s1*//*Label 34767*/ GIMT_Encode4(2410510), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410308 */ /*GILLT_nxv8s1*//*Label 34768*/ GIMT_Encode4(2410585), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410328 */ /*GILLT_nxv16s1*//*Label 34769*/ GIMT_Encode4(2410660), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410344 */ /*GILLT_nxv32s1*//*Label 34770*/ GIMT_Encode4(2410735), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410356 */ /*GILLT_nxv64s1*//*Label 34771*/ GIMT_Encode4(2410810),
     /* 2410360 */ // Label 34765: @2410360
     /* 2410360 */ GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2410397), // Rule ID 44604 //
     /* 2410365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410375 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410382 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2410382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2410385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410387 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410396 */   // GIR_Coverage, 44604,
     /* 2410396 */   GIR_EraseRootFromParent_Done,
     /* 2410397 */ // Label 34773: @2410397
     /* 2410397 */ GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2410434), // Rule ID 44605 //
     /* 2410402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2410408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410412 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410419 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2410419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2410422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410424 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410433 */   // GIR_Coverage, 44605,
     /* 2410433 */   GIR_EraseRootFromParent_Done,
     /* 2410434 */ // Label 34774: @2410434
     /* 2410434 */ GIM_Reject,
     /* 2410435 */ // Label 34766: @2410435
     /* 2410435 */ GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2410472), // Rule ID 44632 //
     /* 2410440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410450 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410457 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2410457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2410460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410471 */   // GIR_Coverage, 44632,
     /* 2410471 */   GIR_EraseRootFromParent_Done,
     /* 2410472 */ // Label 34775: @2410472
     /* 2410472 */ GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2410509), // Rule ID 44633 //
     /* 2410477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2410483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410487 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410494 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2410494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2410497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410499 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410508 */   // GIR_Coverage, 44633,
     /* 2410508 */   GIR_EraseRootFromParent_Done,
     /* 2410509 */ // Label 34776: @2410509
     /* 2410509 */ GIM_Reject,
     /* 2410510 */ // Label 34767: @2410510
     /* 2410510 */ GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2410547), // Rule ID 44660 //
     /* 2410515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410525 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410532 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2410532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2410535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410546 */   // GIR_Coverage, 44660,
     /* 2410546 */   GIR_EraseRootFromParent_Done,
     /* 2410547 */ // Label 34777: @2410547
     /* 2410547 */ GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2410584), // Rule ID 44661 //
     /* 2410552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2410558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410562 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410569 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2410569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2410572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410574 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410583 */   // GIR_Coverage, 44661,
     /* 2410583 */   GIR_EraseRootFromParent_Done,
     /* 2410584 */ // Label 34778: @2410584
     /* 2410584 */ GIM_Reject,
     /* 2410585 */ // Label 34768: @2410585
     /* 2410585 */ GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2410622), // Rule ID 44688 //
     /* 2410590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410600 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410607 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2410607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2410610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410621 */   // GIR_Coverage, 44688,
     /* 2410621 */   GIR_EraseRootFromParent_Done,
     /* 2410622 */ // Label 34779: @2410622
     /* 2410622 */ GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2410659), // Rule ID 44689 //
     /* 2410627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2410633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410637 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410644 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2410644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2410647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410649 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410658 */   // GIR_Coverage, 44689,
     /* 2410658 */   GIR_EraseRootFromParent_Done,
     /* 2410659 */ // Label 34780: @2410659
     /* 2410659 */ GIM_Reject,
     /* 2410660 */ // Label 34769: @2410660
     /* 2410660 */ GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2410697), // Rule ID 44716 //
     /* 2410665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410675 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410682 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2410682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2410685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410696 */   // GIR_Coverage, 44716,
     /* 2410696 */   GIR_EraseRootFromParent_Done,
     /* 2410697 */ // Label 34781: @2410697
     /* 2410697 */ GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2410734), // Rule ID 44717 //
     /* 2410702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2410708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410712 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410719 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2410719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2410722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410733 */   // GIR_Coverage, 44717,
     /* 2410733 */   GIR_EraseRootFromParent_Done,
     /* 2410734 */ // Label 34782: @2410734
     /* 2410734 */ GIM_Reject,
     /* 2410735 */ // Label 34770: @2410735
     /* 2410735 */ GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2410772), // Rule ID 44744 //
     /* 2410740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410750 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410757 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2410757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2410760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410771 */   // GIR_Coverage, 44744,
     /* 2410771 */   GIR_EraseRootFromParent_Done,
     /* 2410772 */ // Label 34783: @2410772
     /* 2410772 */ GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2410809), // Rule ID 44745 //
     /* 2410777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2410783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410787 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410794 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2410794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2410797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410799 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410808 */   // GIR_Coverage, 44745,
     /* 2410808 */   GIR_EraseRootFromParent_Done,
     /* 2410809 */ // Label 34784: @2410809
     /* 2410809 */ GIM_Reject,
     /* 2410810 */ // Label 34771: @2410810
     /* 2410810 */ GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2410847), // Rule ID 44772 //
     /* 2410815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2410821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410825 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410832 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2410832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2410835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410837 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410846 */   // GIR_Coverage, 44772,
     /* 2410846 */   GIR_EraseRootFromParent_Done,
     /* 2410847 */ // Label 34785: @2410847
     /* 2410847 */ GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2410884), // Rule ID 44773 //
     /* 2410852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2410858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410862 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410869 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2410869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2410872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2410882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2410883 */   // GIR_Coverage, 44773,
     /* 2410883 */   GIR_EraseRootFromParent_Done,
     /* 2410884 */ // Label 34786: @2410884
     /* 2410884 */ GIM_Reject,
     /* 2410885 */ // Label 34772: @2410885
     /* 2410885 */ GIM_Reject,
     /* 2410886 */ // Label 121: @2410886
     /* 2410886 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34794*/ GIMT_Encode4(2411534),
     /* 2410897 */ /*GILLT_nxv1s1*//*Label 34787*/ GIMT_Encode4(2411009), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410917 */ /*GILLT_nxv2s1*//*Label 34788*/ GIMT_Encode4(2411084), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410937 */ /*GILLT_nxv4s1*//*Label 34789*/ GIMT_Encode4(2411159), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410957 */ /*GILLT_nxv8s1*//*Label 34790*/ GIMT_Encode4(2411234), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410977 */ /*GILLT_nxv16s1*//*Label 34791*/ GIMT_Encode4(2411309), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2410993 */ /*GILLT_nxv32s1*//*Label 34792*/ GIMT_Encode4(2411384), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2411005 */ /*GILLT_nxv64s1*//*Label 34793*/ GIMT_Encode4(2411459),
     /* 2411009 */ // Label 34787: @2411009
     /* 2411009 */ GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2411046), // Rule ID 44602 //
     /* 2411014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411024 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411031 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2411031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2411034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411045 */   // GIR_Coverage, 44602,
     /* 2411045 */   GIR_EraseRootFromParent_Done,
     /* 2411046 */ // Label 34795: @2411046
     /* 2411046 */ GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2411083), // Rule ID 44603 //
     /* 2411051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411061 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411068 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2411068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2411071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411082 */   // GIR_Coverage, 44603,
     /* 2411082 */   GIR_EraseRootFromParent_Done,
     /* 2411083 */ // Label 34796: @2411083
     /* 2411083 */ GIM_Reject,
     /* 2411084 */ // Label 34788: @2411084
     /* 2411084 */ GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2411121), // Rule ID 44630 //
     /* 2411089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411099 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411106 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2411106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2411109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411120 */   // GIR_Coverage, 44630,
     /* 2411120 */   GIR_EraseRootFromParent_Done,
     /* 2411121 */ // Label 34797: @2411121
     /* 2411121 */ GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2411158), // Rule ID 44631 //
     /* 2411126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411136 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411143 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2411143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2411146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411157 */   // GIR_Coverage, 44631,
     /* 2411157 */   GIR_EraseRootFromParent_Done,
     /* 2411158 */ // Label 34798: @2411158
     /* 2411158 */ GIM_Reject,
     /* 2411159 */ // Label 34789: @2411159
     /* 2411159 */ GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2411196), // Rule ID 44658 //
     /* 2411164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411174 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411181 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2411181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2411184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411195 */   // GIR_Coverage, 44658,
     /* 2411195 */   GIR_EraseRootFromParent_Done,
     /* 2411196 */ // Label 34799: @2411196
     /* 2411196 */ GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2411233), // Rule ID 44659 //
     /* 2411201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411211 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411218 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2411218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2411221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411232 */   // GIR_Coverage, 44659,
     /* 2411232 */   GIR_EraseRootFromParent_Done,
     /* 2411233 */ // Label 34800: @2411233
     /* 2411233 */ GIM_Reject,
     /* 2411234 */ // Label 34790: @2411234
     /* 2411234 */ GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2411271), // Rule ID 44686 //
     /* 2411239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411249 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411256 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2411256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2411259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411261 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411270 */   // GIR_Coverage, 44686,
     /* 2411270 */   GIR_EraseRootFromParent_Done,
     /* 2411271 */ // Label 34801: @2411271
     /* 2411271 */ GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2411308), // Rule ID 44687 //
     /* 2411276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411286 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411293 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2411293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2411296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411307 */   // GIR_Coverage, 44687,
     /* 2411307 */   GIR_EraseRootFromParent_Done,
     /* 2411308 */ // Label 34802: @2411308
     /* 2411308 */ GIM_Reject,
     /* 2411309 */ // Label 34791: @2411309
     /* 2411309 */ GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2411346), // Rule ID 44714 //
     /* 2411314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411324 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411331 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2411331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2411334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411336 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411345 */   // GIR_Coverage, 44714,
     /* 2411345 */   GIR_EraseRootFromParent_Done,
     /* 2411346 */ // Label 34803: @2411346
     /* 2411346 */ GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2411383), // Rule ID 44715 //
     /* 2411351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411361 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411368 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2411368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2411371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411373 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411382 */   // GIR_Coverage, 44715,
     /* 2411382 */   GIR_EraseRootFromParent_Done,
     /* 2411383 */ // Label 34804: @2411383
     /* 2411383 */ GIM_Reject,
     /* 2411384 */ // Label 34792: @2411384
     /* 2411384 */ GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2411421), // Rule ID 44742 //
     /* 2411389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411399 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411406 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2411406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2411409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411411 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411420 */   // GIR_Coverage, 44742,
     /* 2411420 */   GIR_EraseRootFromParent_Done,
     /* 2411421 */ // Label 34805: @2411421
     /* 2411421 */ GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2411458), // Rule ID 44743 //
     /* 2411426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411436 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411443 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2411443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2411446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411448 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411457 */   // GIR_Coverage, 44743,
     /* 2411457 */   GIR_EraseRootFromParent_Done,
     /* 2411458 */ // Label 34806: @2411458
     /* 2411458 */ GIM_Reject,
     /* 2411459 */ // Label 34793: @2411459
     /* 2411459 */ GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2411496), // Rule ID 44770 //
     /* 2411464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2411470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411474 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411481 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2411481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2411484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411486 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411495 */   // GIR_Coverage, 44770,
     /* 2411495 */   GIR_EraseRootFromParent_Done,
     /* 2411496 */ // Label 34807: @2411496
     /* 2411496 */ GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2411533), // Rule ID 44771 //
     /* 2411501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2411507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411511 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411518 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2411518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2411521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411523 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2411532 */   // GIR_Coverage, 44771,
     /* 2411532 */   GIR_EraseRootFromParent_Done,
     /* 2411533 */ // Label 34808: @2411533
     /* 2411533 */ GIM_Reject,
     /* 2411534 */ // Label 34794: @2411534
     /* 2411534 */ GIM_Reject,
     /* 2411535 */ // Label 122: @2411535
     /* 2411535 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34831*/ GIMT_Encode4(2415792),
     /* 2411546 */ /*GILLT_nxv1s8*//*Label 34809*/ GIMT_Encode4(2411658),
     /* 2411550 */ /*GILLT_nxv1s16*//*Label 34810*/ GIMT_Encode4(2411775),
     /* 2411554 */ /*GILLT_nxv1s32*//*Label 34811*/ GIMT_Encode4(2411996),
     /* 2411558 */ /*GILLT_nxv1s64*//*Label 34812*/ GIMT_Encode4(2412217), GIMT_Encode4(0),
     /* 2411566 */ /*GILLT_nxv2s8*//*Label 34813*/ GIMT_Encode4(2412438),
     /* 2411570 */ /*GILLT_nxv2s16*//*Label 34814*/ GIMT_Encode4(2412555),
     /* 2411574 */ /*GILLT_nxv2s32*//*Label 34815*/ GIMT_Encode4(2412776),
     /* 2411578 */ /*GILLT_nxv2s64*//*Label 34816*/ GIMT_Encode4(2412997), GIMT_Encode4(0),
     /* 2411586 */ /*GILLT_nxv4s8*//*Label 34817*/ GIMT_Encode4(2413218),
     /* 2411590 */ /*GILLT_nxv4s16*//*Label 34818*/ GIMT_Encode4(2413335),
     /* 2411594 */ /*GILLT_nxv4s32*//*Label 34819*/ GIMT_Encode4(2413556),
     /* 2411598 */ /*GILLT_nxv4s64*//*Label 34820*/ GIMT_Encode4(2413777), GIMT_Encode4(0),
     /* 2411606 */ /*GILLT_nxv8s8*//*Label 34821*/ GIMT_Encode4(2413998),
     /* 2411610 */ /*GILLT_nxv8s16*//*Label 34822*/ GIMT_Encode4(2414115),
     /* 2411614 */ /*GILLT_nxv8s32*//*Label 34823*/ GIMT_Encode4(2414336),
     /* 2411618 */ /*GILLT_nxv8s64*//*Label 34824*/ GIMT_Encode4(2414557), GIMT_Encode4(0),
     /* 2411626 */ /*GILLT_nxv16s8*//*Label 34825*/ GIMT_Encode4(2414778),
     /* 2411630 */ /*GILLT_nxv16s16*//*Label 34826*/ GIMT_Encode4(2414895),
     /* 2411634 */ /*GILLT_nxv16s32*//*Label 34827*/ GIMT_Encode4(2415116), GIMT_Encode4(0),
     /* 2411642 */ /*GILLT_nxv32s8*//*Label 34828*/ GIMT_Encode4(2415337),
     /* 2411646 */ /*GILLT_nxv32s16*//*Label 34829*/ GIMT_Encode4(2415454), GIMT_Encode4(0),
     /* 2411654 */ /*GILLT_nxv64s8*//*Label 34830*/ GIMT_Encode4(2415675),
     /* 2411658 */ // Label 34809: @2411658
     /* 2411658 */ GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2411774),
     /* 2411663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2411666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2411669 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2411721), // Rule ID 32192 //
     /* 2411674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411699 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2411699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2411702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411704 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2411706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2411708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411720 */     // GIR_Coverage, 32192,
     /* 2411720 */     GIR_EraseRootFromParent_Done,
     /* 2411721 */   // Label 34833: @2411721
     /* 2411721 */   GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2411773), // Rule ID 32193 //
     /* 2411726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411751 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2411751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2411754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411756 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2411758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2411760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411772 */     // GIR_Coverage, 32193,
     /* 2411772 */     GIR_EraseRootFromParent_Done,
     /* 2411773 */   // Label 34834: @2411773
     /* 2411773 */   GIM_Reject,
     /* 2411774 */ // Label 34832: @2411774
     /* 2411774 */ GIM_Reject,
     /* 2411775 */ // Label 34810: @2411775
     /* 2411775 */ GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2411995),
     /* 2411780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2411783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2411786 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2411838), // Rule ID 32462 //
     /* 2411791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411816 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2411816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2411819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411821 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2411823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2411825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411837 */     // GIR_Coverage, 32462,
     /* 2411837 */     GIR_EraseRootFromParent_Done,
     /* 2411838 */   // Label 34836: @2411838
     /* 2411838 */   GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2411890), // Rule ID 32463 //
     /* 2411843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411868 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2411868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2411871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411873 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2411875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2411877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411889 */     // GIR_Coverage, 32463,
     /* 2411889 */     GIR_EraseRootFromParent_Done,
     /* 2411890 */   // Label 34837: @2411890
     /* 2411890 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2411942), // Rule ID 34172 //
     /* 2411895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411920 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2411920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2411923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411925 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2411927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2411929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411941 */     // GIR_Coverage, 34172,
     /* 2411941 */     GIR_EraseRootFromParent_Done,
     /* 2411942 */   // Label 34838: @2411942
     /* 2411942 */   GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2411994), // Rule ID 34173 //
     /* 2411947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411972 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2411972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2411975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411977 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2411979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2411981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2411992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411993 */     // GIR_Coverage, 34173,
     /* 2411993 */     GIR_EraseRootFromParent_Done,
     /* 2411994 */   // Label 34839: @2411994
     /* 2411994 */   GIM_Reject,
     /* 2411995 */ // Label 34835: @2411995
     /* 2411995 */ GIM_Reject,
     /* 2411996 */ // Label 34811: @2411996
     /* 2411996 */ GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2412216),
     /* 2412001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2412004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2412007 */   GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2412059), // Rule ID 32642 //
     /* 2412012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412037 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412042 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412058 */     // GIR_Coverage, 32642,
     /* 2412058 */     GIR_EraseRootFromParent_Done,
     /* 2412059 */   // Label 34841: @2412059
     /* 2412059 */   GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2412111), // Rule ID 32643 //
     /* 2412064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412089 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412094 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412110 */     // GIR_Coverage, 32643,
     /* 2412110 */     GIR_EraseRootFromParent_Done,
     /* 2412111 */   // Label 34842: @2412111
     /* 2412111 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2412163), // Rule ID 34352 //
     /* 2412116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412141 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412146 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412162 */     // GIR_Coverage, 34352,
     /* 2412162 */     GIR_EraseRootFromParent_Done,
     /* 2412163 */   // Label 34843: @2412163
     /* 2412163 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2412215), // Rule ID 34353 //
     /* 2412168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412193 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412198 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412214 */     // GIR_Coverage, 34353,
     /* 2412214 */     GIR_EraseRootFromParent_Done,
     /* 2412215 */   // Label 34844: @2412215
     /* 2412215 */   GIM_Reject,
     /* 2412216 */ // Label 34840: @2412216
     /* 2412216 */ GIM_Reject,
     /* 2412217 */ // Label 34812: @2412217
     /* 2412217 */ GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2412437),
     /* 2412222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2412225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2412228 */   GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2412280), // Rule ID 33002 //
     /* 2412233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2412236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412258 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412263 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412279 */     // GIR_Coverage, 33002,
     /* 2412279 */     GIR_EraseRootFromParent_Done,
     /* 2412280 */   // Label 34846: @2412280
     /* 2412280 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2412332), // Rule ID 33003 //
     /* 2412285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2412288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412310 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412315 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412331 */     // GIR_Coverage, 33003,
     /* 2412331 */     GIR_EraseRootFromParent_Done,
     /* 2412332 */   // Label 34847: @2412332
     /* 2412332 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2412384), // Rule ID 34622 //
     /* 2412337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2412340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412362 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412367 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412383 */     // GIR_Coverage, 34622,
     /* 2412383 */     GIR_EraseRootFromParent_Done,
     /* 2412384 */   // Label 34848: @2412384
     /* 2412384 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2412436), // Rule ID 34623 //
     /* 2412389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2412392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412414 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412419 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412435 */     // GIR_Coverage, 34623,
     /* 2412435 */     GIR_EraseRootFromParent_Done,
     /* 2412436 */   // Label 34849: @2412436
     /* 2412436 */   GIM_Reject,
     /* 2412437 */ // Label 34845: @2412437
     /* 2412437 */ GIM_Reject,
     /* 2412438 */ // Label 34813: @2412438
     /* 2412438 */ GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2412554),
     /* 2412443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2412446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2412449 */   GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2412501), // Rule ID 32282 //
     /* 2412454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412479 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2412482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412484 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412500 */     // GIR_Coverage, 32282,
     /* 2412500 */     GIR_EraseRootFromParent_Done,
     /* 2412501 */   // Label 34851: @2412501
     /* 2412501 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2412553), // Rule ID 32283 //
     /* 2412506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412531 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2412534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412536 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412552 */     // GIR_Coverage, 32283,
     /* 2412552 */     GIR_EraseRootFromParent_Done,
     /* 2412553 */   // Label 34852: @2412553
     /* 2412553 */   GIM_Reject,
     /* 2412554 */ // Label 34850: @2412554
     /* 2412554 */ GIM_Reject,
     /* 2412555 */ // Label 34814: @2412555
     /* 2412555 */ GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2412775),
     /* 2412560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2412563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2412566 */   GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2412618), // Rule ID 32552 //
     /* 2412571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412596 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412601 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412617 */     // GIR_Coverage, 32552,
     /* 2412617 */     GIR_EraseRootFromParent_Done,
     /* 2412618 */   // Label 34854: @2412618
     /* 2412618 */   GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2412670), // Rule ID 32553 //
     /* 2412623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412648 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412653 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412669 */     // GIR_Coverage, 32553,
     /* 2412669 */     GIR_EraseRootFromParent_Done,
     /* 2412670 */   // Label 34855: @2412670
     /* 2412670 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2412722), // Rule ID 34262 //
     /* 2412675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412700 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412705 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412721 */     // GIR_Coverage, 34262,
     /* 2412721 */     GIR_EraseRootFromParent_Done,
     /* 2412722 */   // Label 34856: @2412722
     /* 2412722 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2412774), // Rule ID 34263 //
     /* 2412727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412752 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2412755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412757 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412773 */     // GIR_Coverage, 34263,
     /* 2412773 */     GIR_EraseRootFromParent_Done,
     /* 2412774 */   // Label 34857: @2412774
     /* 2412774 */   GIM_Reject,
     /* 2412775 */ // Label 34853: @2412775
     /* 2412775 */ GIM_Reject,
     /* 2412776 */ // Label 34815: @2412776
     /* 2412776 */ GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2412996),
     /* 2412781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2412787 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2412839), // Rule ID 32912 //
     /* 2412792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412817 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412822 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412838 */     // GIR_Coverage, 32912,
     /* 2412838 */     GIR_EraseRootFromParent_Done,
     /* 2412839 */   // Label 34859: @2412839
     /* 2412839 */   GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2412891), // Rule ID 32913 //
     /* 2412844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412869 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412874 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412890 */     // GIR_Coverage, 32913,
     /* 2412890 */     GIR_EraseRootFromParent_Done,
     /* 2412891 */   // Label 34860: @2412891
     /* 2412891 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2412943), // Rule ID 34532 //
     /* 2412896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412921 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2412921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412926 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412942 */     // GIR_Coverage, 34532,
     /* 2412942 */     GIR_EraseRootFromParent_Done,
     /* 2412943 */   // Label 34861: @2412943
     /* 2412943 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2412995), // Rule ID 34533 //
     /* 2412948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412973 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2412973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2412976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412978 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2412980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2412982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2412993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412994 */     // GIR_Coverage, 34533,
     /* 2412994 */     GIR_EraseRootFromParent_Done,
     /* 2412995 */   // Label 34862: @2412995
     /* 2412995 */   GIM_Reject,
     /* 2412996 */ // Label 34858: @2412996
     /* 2412996 */ GIM_Reject,
     /* 2412997 */ // Label 34816: @2412997
     /* 2412997 */ GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2413217),
     /* 2413002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2413008 */   GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2413060), // Rule ID 33902 //
     /* 2413013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413038 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413043 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413059 */     // GIR_Coverage, 33902,
     /* 2413059 */     GIR_EraseRootFromParent_Done,
     /* 2413060 */   // Label 34864: @2413060
     /* 2413060 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2413112), // Rule ID 33903 //
     /* 2413065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413090 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413095 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413111 */     // GIR_Coverage, 33903,
     /* 2413111 */     GIR_EraseRootFromParent_Done,
     /* 2413112 */   // Label 34865: @2413112
     /* 2413112 */   GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2413164), // Rule ID 35252 //
     /* 2413117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413142 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413147 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413163 */     // GIR_Coverage, 35252,
     /* 2413163 */     GIR_EraseRootFromParent_Done,
     /* 2413164 */   // Label 34866: @2413164
     /* 2413164 */   GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2413216), // Rule ID 35253 //
     /* 2413169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413194 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413199 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413215 */     // GIR_Coverage, 35253,
     /* 2413215 */     GIR_EraseRootFromParent_Done,
     /* 2413216 */   // Label 34867: @2413216
     /* 2413216 */   GIM_Reject,
     /* 2413217 */ // Label 34863: @2413217
     /* 2413217 */ GIM_Reject,
     /* 2413218 */ // Label 34817: @2413218
     /* 2413218 */ GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2413334),
     /* 2413223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2413226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2413229 */   GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2413281), // Rule ID 32372 //
     /* 2413234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413259 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2413262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413264 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413280 */     // GIR_Coverage, 32372,
     /* 2413280 */     GIR_EraseRootFromParent_Done,
     /* 2413281 */   // Label 34869: @2413281
     /* 2413281 */   GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2413333), // Rule ID 32373 //
     /* 2413286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413311 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2413314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413316 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413332 */     // GIR_Coverage, 32373,
     /* 2413332 */     GIR_EraseRootFromParent_Done,
     /* 2413333 */   // Label 34870: @2413333
     /* 2413333 */   GIM_Reject,
     /* 2413334 */ // Label 34868: @2413334
     /* 2413334 */ GIM_Reject,
     /* 2413335 */ // Label 34818: @2413335
     /* 2413335 */ GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2413555),
     /* 2413340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2413343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2413346 */   GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2413398), // Rule ID 32822 //
     /* 2413351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413376 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2413379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413381 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413397 */     // GIR_Coverage, 32822,
     /* 2413397 */     GIR_EraseRootFromParent_Done,
     /* 2413398 */   // Label 34872: @2413398
     /* 2413398 */   GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2413450), // Rule ID 32823 //
     /* 2413403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413428 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2413431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413433 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413449 */     // GIR_Coverage, 32823,
     /* 2413449 */     GIR_EraseRootFromParent_Done,
     /* 2413450 */   // Label 34873: @2413450
     /* 2413450 */   GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2413502), // Rule ID 34442 //
     /* 2413455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413480 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2413483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413485 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413501 */     // GIR_Coverage, 34442,
     /* 2413501 */     GIR_EraseRootFromParent_Done,
     /* 2413502 */   // Label 34874: @2413502
     /* 2413502 */   GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2413554), // Rule ID 34443 //
     /* 2413507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413532 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2413535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413537 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413553 */     // GIR_Coverage, 34443,
     /* 2413553 */     GIR_EraseRootFromParent_Done,
     /* 2413554 */   // Label 34875: @2413554
     /* 2413554 */   GIM_Reject,
     /* 2413555 */ // Label 34871: @2413555
     /* 2413555 */ GIM_Reject,
     /* 2413556 */ // Label 34819: @2413556
     /* 2413556 */ GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2413776),
     /* 2413561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2413564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2413567 */   GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2413619), // Rule ID 33632 //
     /* 2413572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413597 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413602 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413618 */     // GIR_Coverage, 33632,
     /* 2413618 */     GIR_EraseRootFromParent_Done,
     /* 2413619 */   // Label 34877: @2413619
     /* 2413619 */   GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2413671), // Rule ID 33633 //
     /* 2413624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413649 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413654 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413670 */     // GIR_Coverage, 33633,
     /* 2413670 */     GIR_EraseRootFromParent_Done,
     /* 2413671 */   // Label 34878: @2413671
     /* 2413671 */   GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2413723), // Rule ID 34982 //
     /* 2413676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413701 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413706 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413722 */     // GIR_Coverage, 34982,
     /* 2413722 */     GIR_EraseRootFromParent_Done,
     /* 2413723 */   // Label 34879: @2413723
     /* 2413723 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2413775), // Rule ID 34983 //
     /* 2413728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413753 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2413756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413758 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413774 */     // GIR_Coverage, 34983,
     /* 2413774 */     GIR_EraseRootFromParent_Done,
     /* 2413775 */   // Label 34880: @2413775
     /* 2413775 */   GIM_Reject,
     /* 2413776 */ // Label 34876: @2413776
     /* 2413776 */ GIM_Reject,
     /* 2413777 */ // Label 34820: @2413777
     /* 2413777 */ GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2413997),
     /* 2413782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2413785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2413788 */   GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2413840), // Rule ID 33992 //
     /* 2413793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413818 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2413821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413823 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413839 */     // GIR_Coverage, 33992,
     /* 2413839 */     GIR_EraseRootFromParent_Done,
     /* 2413840 */   // Label 34882: @2413840
     /* 2413840 */   GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2413892), // Rule ID 33993 //
     /* 2413845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413870 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2413873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413875 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413891 */     // GIR_Coverage, 33993,
     /* 2413891 */     GIR_EraseRootFromParent_Done,
     /* 2413892 */   // Label 34883: @2413892
     /* 2413892 */   GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2413944), // Rule ID 35342 //
     /* 2413897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413922 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2413922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2413925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413927 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413943 */     // GIR_Coverage, 35342,
     /* 2413943 */     GIR_EraseRootFromParent_Done,
     /* 2413944 */   // Label 34884: @2413944
     /* 2413944 */   GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2413996), // Rule ID 35343 //
     /* 2413949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413974 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2413974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2413977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413979 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2413981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2413983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2413994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413995 */     // GIR_Coverage, 35343,
     /* 2413995 */     GIR_EraseRootFromParent_Done,
     /* 2413996 */   // Label 34885: @2413996
     /* 2413996 */   GIM_Reject,
     /* 2413997 */ // Label 34881: @2413997
     /* 2413997 */ GIM_Reject,
     /* 2413998 */ // Label 34821: @2413998
     /* 2413998 */ GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2414114),
     /* 2414003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2414006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2414009 */   GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2414061), // Rule ID 32732 //
     /* 2414014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414039 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2414042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414044 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414060 */     // GIR_Coverage, 32732,
     /* 2414060 */     GIR_EraseRootFromParent_Done,
     /* 2414061 */   // Label 34887: @2414061
     /* 2414061 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2414113), // Rule ID 32733 //
     /* 2414066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414091 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2414094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414096 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414112 */     // GIR_Coverage, 32733,
     /* 2414112 */     GIR_EraseRootFromParent_Done,
     /* 2414113 */   // Label 34888: @2414113
     /* 2414113 */   GIM_Reject,
     /* 2414114 */ // Label 34886: @2414114
     /* 2414114 */ GIM_Reject,
     /* 2414115 */ // Label 34822: @2414115
     /* 2414115 */ GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2414335),
     /* 2414120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2414123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2414126 */   GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2414178), // Rule ID 33362 //
     /* 2414131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414156 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2414159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414161 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414177 */     // GIR_Coverage, 33362,
     /* 2414177 */     GIR_EraseRootFromParent_Done,
     /* 2414178 */   // Label 34890: @2414178
     /* 2414178 */   GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2414230), // Rule ID 33363 //
     /* 2414183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414208 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2414211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414213 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414229 */     // GIR_Coverage, 33363,
     /* 2414229 */     GIR_EraseRootFromParent_Done,
     /* 2414230 */   // Label 34891: @2414230
     /* 2414230 */   GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2414282), // Rule ID 34712 //
     /* 2414235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414260 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2414263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414265 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414281 */     // GIR_Coverage, 34712,
     /* 2414281 */     GIR_EraseRootFromParent_Done,
     /* 2414282 */   // Label 34892: @2414282
     /* 2414282 */   GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2414334), // Rule ID 34713 //
     /* 2414287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414312 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2414315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414317 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414333 */     // GIR_Coverage, 34713,
     /* 2414333 */     GIR_EraseRootFromParent_Done,
     /* 2414334 */   // Label 34893: @2414334
     /* 2414334 */   GIM_Reject,
     /* 2414335 */ // Label 34889: @2414335
     /* 2414335 */ GIM_Reject,
     /* 2414336 */ // Label 34823: @2414336
     /* 2414336 */ GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2414556),
     /* 2414341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2414344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2414347 */   GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2414399), // Rule ID 33722 //
     /* 2414352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414377 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2414380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414382 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414398 */     // GIR_Coverage, 33722,
     /* 2414398 */     GIR_EraseRootFromParent_Done,
     /* 2414399 */   // Label 34895: @2414399
     /* 2414399 */   GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2414451), // Rule ID 33723 //
     /* 2414404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414429 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2414432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414434 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414450 */     // GIR_Coverage, 33723,
     /* 2414450 */     GIR_EraseRootFromParent_Done,
     /* 2414451 */   // Label 34896: @2414451
     /* 2414451 */   GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2414503), // Rule ID 35072 //
     /* 2414456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414481 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2414484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414486 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414502 */     // GIR_Coverage, 35072,
     /* 2414502 */     GIR_EraseRootFromParent_Done,
     /* 2414503 */   // Label 34897: @2414503
     /* 2414503 */   GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2414555), // Rule ID 35073 //
     /* 2414508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414533 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2414536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414538 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414554 */     // GIR_Coverage, 35073,
     /* 2414554 */     GIR_EraseRootFromParent_Done,
     /* 2414555 */   // Label 34898: @2414555
     /* 2414555 */   GIM_Reject,
     /* 2414556 */ // Label 34894: @2414556
     /* 2414556 */ GIM_Reject,
     /* 2414557 */ // Label 34824: @2414557
     /* 2414557 */ GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2414777),
     /* 2414562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2414565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2414568 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2414620), // Rule ID 34082 //
     /* 2414573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414598 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2414601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414603 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414619 */     // GIR_Coverage, 34082,
     /* 2414619 */     GIR_EraseRootFromParent_Done,
     /* 2414620 */   // Label 34900: @2414620
     /* 2414620 */   GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2414672), // Rule ID 34083 //
     /* 2414625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414650 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2414653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414655 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414671 */     // GIR_Coverage, 34083,
     /* 2414671 */     GIR_EraseRootFromParent_Done,
     /* 2414672 */   // Label 34901: @2414672
     /* 2414672 */   GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2414724), // Rule ID 35432 //
     /* 2414677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414702 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2414705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414707 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414723 */     // GIR_Coverage, 35432,
     /* 2414723 */     GIR_EraseRootFromParent_Done,
     /* 2414724 */   // Label 34902: @2414724
     /* 2414724 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2414776), // Rule ID 35433 //
     /* 2414729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414754 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2414757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414759 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414775 */     // GIR_Coverage, 35433,
     /* 2414775 */     GIR_EraseRootFromParent_Done,
     /* 2414776 */   // Label 34903: @2414776
     /* 2414776 */   GIM_Reject,
     /* 2414777 */ // Label 34899: @2414777
     /* 2414777 */ GIM_Reject,
     /* 2414778 */ // Label 34825: @2414778
     /* 2414778 */ GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2414894),
     /* 2414783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2414786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2414789 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2414841), // Rule ID 33092 //
     /* 2414794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414819 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2414822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414824 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414840 */     // GIR_Coverage, 33092,
     /* 2414840 */     GIR_EraseRootFromParent_Done,
     /* 2414841 */   // Label 34905: @2414841
     /* 2414841 */   GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2414893), // Rule ID 33093 //
     /* 2414846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414871 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2414874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414876 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414892 */     // GIR_Coverage, 33093,
     /* 2414892 */     GIR_EraseRootFromParent_Done,
     /* 2414893 */   // Label 34906: @2414893
     /* 2414893 */   GIM_Reject,
     /* 2414894 */ // Label 34904: @2414894
     /* 2414894 */ GIM_Reject,
     /* 2414895 */ // Label 34826: @2414895
     /* 2414895 */ GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2415115),
     /* 2414900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2414903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2414906 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2414958), // Rule ID 33452 //
     /* 2414911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414936 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2414936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2414939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414941 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2414956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414957 */     // GIR_Coverage, 33452,
     /* 2414957 */     GIR_EraseRootFromParent_Done,
     /* 2414958 */   // Label 34908: @2414958
     /* 2414958 */   GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2415010), // Rule ID 33453 //
     /* 2414963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414988 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2414988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2414991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414993 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2414995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415009 */     // GIR_Coverage, 33453,
     /* 2415009 */     GIR_EraseRootFromParent_Done,
     /* 2415010 */   // Label 34909: @2415010
     /* 2415010 */   GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2415062), // Rule ID 34802 //
     /* 2415015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415040 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2415040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2415043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415045 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415061 */     // GIR_Coverage, 34802,
     /* 2415061 */     GIR_EraseRootFromParent_Done,
     /* 2415062 */   // Label 34910: @2415062
     /* 2415062 */   GIM_Try, /*On fail goto*//*Label 34911*/ GIMT_Encode4(2415114), // Rule ID 34803 //
     /* 2415067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415092 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2415092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2415095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415097 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415113 */     // GIR_Coverage, 34803,
     /* 2415113 */     GIR_EraseRootFromParent_Done,
     /* 2415114 */   // Label 34911: @2415114
     /* 2415114 */   GIM_Reject,
     /* 2415115 */ // Label 34907: @2415115
     /* 2415115 */ GIM_Reject,
     /* 2415116 */ // Label 34827: @2415116
     /* 2415116 */ GIM_Try, /*On fail goto*//*Label 34912*/ GIMT_Encode4(2415336),
     /* 2415121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2415124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2415127 */   GIM_Try, /*On fail goto*//*Label 34913*/ GIMT_Encode4(2415179), // Rule ID 33812 //
     /* 2415132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415157 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2415157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415162 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415178 */     // GIR_Coverage, 33812,
     /* 2415178 */     GIR_EraseRootFromParent_Done,
     /* 2415179 */   // Label 34913: @2415179
     /* 2415179 */   GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2415231), // Rule ID 33813 //
     /* 2415184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415209 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2415209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415214 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415230 */     // GIR_Coverage, 33813,
     /* 2415230 */     GIR_EraseRootFromParent_Done,
     /* 2415231 */   // Label 34914: @2415231
     /* 2415231 */   GIM_Try, /*On fail goto*//*Label 34915*/ GIMT_Encode4(2415283), // Rule ID 35162 //
     /* 2415236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415261 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2415261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415266 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415282 */     // GIR_Coverage, 35162,
     /* 2415282 */     GIR_EraseRootFromParent_Done,
     /* 2415283 */   // Label 34915: @2415283
     /* 2415283 */   GIM_Try, /*On fail goto*//*Label 34916*/ GIMT_Encode4(2415335), // Rule ID 35163 //
     /* 2415288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415313 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2415313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415318 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415334 */     // GIR_Coverage, 35163,
     /* 2415334 */     GIR_EraseRootFromParent_Done,
     /* 2415335 */   // Label 34916: @2415335
     /* 2415335 */   GIM_Reject,
     /* 2415336 */ // Label 34912: @2415336
     /* 2415336 */ GIM_Reject,
     /* 2415337 */ // Label 34828: @2415337
     /* 2415337 */ GIM_Try, /*On fail goto*//*Label 34917*/ GIMT_Encode4(2415453),
     /* 2415342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2415345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2415348 */   GIM_Try, /*On fail goto*//*Label 34918*/ GIMT_Encode4(2415400), // Rule ID 33182 //
     /* 2415353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415378 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2415378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2415381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415383 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415399 */     // GIR_Coverage, 33182,
     /* 2415399 */     GIR_EraseRootFromParent_Done,
     /* 2415400 */   // Label 34918: @2415400
     /* 2415400 */   GIM_Try, /*On fail goto*//*Label 34919*/ GIMT_Encode4(2415452), // Rule ID 33183 //
     /* 2415405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415430 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2415430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2415433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415435 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415451 */     // GIR_Coverage, 33183,
     /* 2415451 */     GIR_EraseRootFromParent_Done,
     /* 2415452 */   // Label 34919: @2415452
     /* 2415452 */   GIM_Reject,
     /* 2415453 */ // Label 34917: @2415453
     /* 2415453 */ GIM_Reject,
     /* 2415454 */ // Label 34829: @2415454
     /* 2415454 */ GIM_Try, /*On fail goto*//*Label 34920*/ GIMT_Encode4(2415674),
     /* 2415459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2415462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2415465 */   GIM_Try, /*On fail goto*//*Label 34921*/ GIMT_Encode4(2415517), // Rule ID 33542 //
     /* 2415470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415495 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2415495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415500 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415516 */     // GIR_Coverage, 33542,
     /* 2415516 */     GIR_EraseRootFromParent_Done,
     /* 2415517 */   // Label 34921: @2415517
     /* 2415517 */   GIM_Try, /*On fail goto*//*Label 34922*/ GIMT_Encode4(2415569), // Rule ID 33543 //
     /* 2415522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415547 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2415547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415552 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415568 */     // GIR_Coverage, 33543,
     /* 2415568 */     GIR_EraseRootFromParent_Done,
     /* 2415569 */   // Label 34922: @2415569
     /* 2415569 */   GIM_Try, /*On fail goto*//*Label 34923*/ GIMT_Encode4(2415621), // Rule ID 34892 //
     /* 2415574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415599 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2415599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415604 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415620 */     // GIR_Coverage, 34892,
     /* 2415620 */     GIR_EraseRootFromParent_Done,
     /* 2415621 */   // Label 34923: @2415621
     /* 2415621 */   GIM_Try, /*On fail goto*//*Label 34924*/ GIMT_Encode4(2415673), // Rule ID 34893 //
     /* 2415626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415651 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2415651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415656 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415672 */     // GIR_Coverage, 34893,
     /* 2415672 */     GIR_EraseRootFromParent_Done,
     /* 2415673 */   // Label 34924: @2415673
     /* 2415673 */   GIM_Reject,
     /* 2415674 */ // Label 34920: @2415674
     /* 2415674 */ GIM_Reject,
     /* 2415675 */ // Label 34830: @2415675
     /* 2415675 */ GIM_Try, /*On fail goto*//*Label 34925*/ GIMT_Encode4(2415791),
     /* 2415680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2415683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2415686 */   GIM_Try, /*On fail goto*//*Label 34926*/ GIMT_Encode4(2415738), // Rule ID 33272 //
     /* 2415691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415716 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2415716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415721 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415737 */     // GIR_Coverage, 33272,
     /* 2415737 */     GIR_EraseRootFromParent_Done,
     /* 2415738 */   // Label 34926: @2415738
     /* 2415738 */   GIM_Try, /*On fail goto*//*Label 34927*/ GIMT_Encode4(2415790), // Rule ID 33273 //
     /* 2415743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415768 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2415768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2415771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415773 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2415775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2415788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415789 */     // GIR_Coverage, 33273,
     /* 2415789 */     GIR_EraseRootFromParent_Done,
     /* 2415790 */   // Label 34927: @2415790
     /* 2415790 */   GIM_Reject,
     /* 2415791 */ // Label 34925: @2415791
     /* 2415791 */ GIM_Reject,
     /* 2415792 */ // Label 34831: @2415792
     /* 2415792 */ GIM_Reject,
     /* 2415793 */ // Label 123: @2415793
     /* 2415793 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34950*/ GIMT_Encode4(2427672),
     /* 2415804 */ /*GILLT_nxv1s8*//*Label 34928*/ GIMT_Encode4(2415916),
     /* 2415808 */ /*GILLT_nxv1s16*//*Label 34929*/ GIMT_Encode4(2416239),
     /* 2415812 */ /*GILLT_nxv1s32*//*Label 34930*/ GIMT_Encode4(2416872),
     /* 2415816 */ /*GILLT_nxv1s64*//*Label 34931*/ GIMT_Encode4(2417505), GIMT_Encode4(0),
     /* 2415824 */ /*GILLT_nxv2s8*//*Label 34932*/ GIMT_Encode4(2418138),
     /* 2415828 */ /*GILLT_nxv2s16*//*Label 34933*/ GIMT_Encode4(2418461),
     /* 2415832 */ /*GILLT_nxv2s32*//*Label 34934*/ GIMT_Encode4(2419094),
     /* 2415836 */ /*GILLT_nxv2s64*//*Label 34935*/ GIMT_Encode4(2419727), GIMT_Encode4(0),
     /* 2415844 */ /*GILLT_nxv4s8*//*Label 34936*/ GIMT_Encode4(2420360),
     /* 2415848 */ /*GILLT_nxv4s16*//*Label 34937*/ GIMT_Encode4(2420683),
     /* 2415852 */ /*GILLT_nxv4s32*//*Label 34938*/ GIMT_Encode4(2421316),
     /* 2415856 */ /*GILLT_nxv4s64*//*Label 34939*/ GIMT_Encode4(2421949), GIMT_Encode4(0),
     /* 2415864 */ /*GILLT_nxv8s8*//*Label 34940*/ GIMT_Encode4(2422582),
     /* 2415868 */ /*GILLT_nxv8s16*//*Label 34941*/ GIMT_Encode4(2422905),
     /* 2415872 */ /*GILLT_nxv8s32*//*Label 34942*/ GIMT_Encode4(2423538),
     /* 2415876 */ /*GILLT_nxv8s64*//*Label 34943*/ GIMT_Encode4(2424171), GIMT_Encode4(0),
     /* 2415884 */ /*GILLT_nxv16s8*//*Label 34944*/ GIMT_Encode4(2424804),
     /* 2415888 */ /*GILLT_nxv16s16*//*Label 34945*/ GIMT_Encode4(2425127),
     /* 2415892 */ /*GILLT_nxv16s32*//*Label 34946*/ GIMT_Encode4(2425760), GIMT_Encode4(0),
     /* 2415900 */ /*GILLT_nxv32s8*//*Label 34947*/ GIMT_Encode4(2426393),
     /* 2415904 */ /*GILLT_nxv32s16*//*Label 34948*/ GIMT_Encode4(2426716), GIMT_Encode4(0),
     /* 2415912 */ /*GILLT_nxv64s8*//*Label 34949*/ GIMT_Encode4(2427349),
     /* 2415916 */ // Label 34928: @2415916
     /* 2415916 */ GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2416238),
     /* 2415921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2415924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2415927 */   GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2416010), // Rule ID 45336 //
     /* 2415932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2415941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415968 */     // MIs[1] Operand 1
     /* 2415968 */     // No operand predicates
     /* 2415968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415972 */     // MIs[0] policy
     /* 2415972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415984 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2415987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416009 */     // GIR_Coverage, 45336,
     /* 2416009 */     GIR_EraseRootFromParent_Done,
     /* 2416010 */   // Label 34952: @2416010
     /* 2416010 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2416093), // Rule ID 45337 //
     /* 2416015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416051 */     // MIs[1] Operand 1
     /* 2416051 */     // No operand predicates
     /* 2416051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416055 */     // MIs[0] policy
     /* 2416055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416067 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2416070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416092 */     // GIR_Coverage, 45337,
     /* 2416092 */     GIR_EraseRootFromParent_Done,
     /* 2416093 */   // Label 34953: @2416093
     /* 2416093 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2416165), // Rule ID 45338 //
     /* 2416098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416130 */     // MIs[0] policy
     /* 2416130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416140 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2416143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416164 */     // GIR_Coverage, 45338,
     /* 2416164 */     GIR_EraseRootFromParent_Done,
     /* 2416165 */   // Label 34954: @2416165
     /* 2416165 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2416237), // Rule ID 45339 //
     /* 2416170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416202 */     // MIs[0] policy
     /* 2416202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416212 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2416215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416236 */     // GIR_Coverage, 45339,
     /* 2416236 */     GIR_EraseRootFromParent_Done,
     /* 2416237 */   // Label 34955: @2416237
     /* 2416237 */   GIM_Reject,
     /* 2416238 */ // Label 34951: @2416238
     /* 2416238 */ GIM_Reject,
     /* 2416239 */ // Label 34929: @2416239
     /* 2416239 */ GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2416871),
     /* 2416244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2416247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2416250 */   GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2416333), // Rule ID 45348 //
     /* 2416255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416291 */     // MIs[1] Operand 1
     /* 2416291 */     // No operand predicates
     /* 2416291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416295 */     // MIs[0] policy
     /* 2416295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416307 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2416310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416332 */     // GIR_Coverage, 45348,
     /* 2416332 */     GIR_EraseRootFromParent_Done,
     /* 2416333 */   // Label 34957: @2416333
     /* 2416333 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2416416), // Rule ID 45349 //
     /* 2416338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416374 */     // MIs[1] Operand 1
     /* 2416374 */     // No operand predicates
     /* 2416374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416378 */     // MIs[0] policy
     /* 2416378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416390 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2416393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416415 */     // GIR_Coverage, 45349,
     /* 2416415 */     GIR_EraseRootFromParent_Done,
     /* 2416416 */   // Label 34958: @2416416
     /* 2416416 */   GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2416499), // Rule ID 45424 //
     /* 2416421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416457 */     // MIs[1] Operand 1
     /* 2416457 */     // No operand predicates
     /* 2416457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416461 */     // MIs[0] policy
     /* 2416461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416473 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2416476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416498 */     // GIR_Coverage, 45424,
     /* 2416498 */     GIR_EraseRootFromParent_Done,
     /* 2416499 */   // Label 34959: @2416499
     /* 2416499 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2416582), // Rule ID 45425 //
     /* 2416504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416540 */     // MIs[1] Operand 1
     /* 2416540 */     // No operand predicates
     /* 2416540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416544 */     // MIs[0] policy
     /* 2416544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416556 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2416559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416581 */     // GIR_Coverage, 45425,
     /* 2416581 */     GIR_EraseRootFromParent_Done,
     /* 2416582 */   // Label 34960: @2416582
     /* 2416582 */   GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2416654), // Rule ID 45350 //
     /* 2416587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416619 */     // MIs[0] policy
     /* 2416619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416629 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2416632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416653 */     // GIR_Coverage, 45350,
     /* 2416653 */     GIR_EraseRootFromParent_Done,
     /* 2416654 */   // Label 34961: @2416654
     /* 2416654 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2416726), // Rule ID 45351 //
     /* 2416659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416691 */     // MIs[0] policy
     /* 2416691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416701 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2416704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416725 */     // GIR_Coverage, 45351,
     /* 2416725 */     GIR_EraseRootFromParent_Done,
     /* 2416726 */   // Label 34962: @2416726
     /* 2416726 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2416798), // Rule ID 45426 //
     /* 2416731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416763 */     // MIs[0] policy
     /* 2416763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416773 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2416776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416797 */     // GIR_Coverage, 45426,
     /* 2416797 */     GIR_EraseRootFromParent_Done,
     /* 2416798 */   // Label 34963: @2416798
     /* 2416798 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2416870), // Rule ID 45427 //
     /* 2416803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416835 */     // MIs[0] policy
     /* 2416835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416845 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2416848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416869 */     // GIR_Coverage, 45427,
     /* 2416869 */     GIR_EraseRootFromParent_Done,
     /* 2416870 */   // Label 34964: @2416870
     /* 2416870 */   GIM_Reject,
     /* 2416871 */ // Label 34956: @2416871
     /* 2416871 */ GIM_Reject,
     /* 2416872 */ // Label 34930: @2416872
     /* 2416872 */ GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2417504),
     /* 2416877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2416880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2416883 */   GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2416966), // Rule ID 45356 //
     /* 2416888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416924 */     // MIs[1] Operand 1
     /* 2416924 */     // No operand predicates
     /* 2416924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416928 */     // MIs[0] policy
     /* 2416928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416940 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2416943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416965 */     // GIR_Coverage, 45356,
     /* 2416965 */     GIR_EraseRootFromParent_Done,
     /* 2416966 */   // Label 34966: @2416966
     /* 2416966 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2417049), // Rule ID 45357 //
     /* 2416971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2416980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417007 */     // MIs[1] Operand 1
     /* 2417007 */     // No operand predicates
     /* 2417007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417011 */     // MIs[0] policy
     /* 2417011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417023 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2417026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417048 */     // GIR_Coverage, 45357,
     /* 2417048 */     GIR_EraseRootFromParent_Done,
     /* 2417049 */   // Label 34967: @2417049
     /* 2417049 */   GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2417132), // Rule ID 45432 //
     /* 2417054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417090 */     // MIs[1] Operand 1
     /* 2417090 */     // No operand predicates
     /* 2417090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417094 */     // MIs[0] policy
     /* 2417094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417106 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2417109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417131 */     // GIR_Coverage, 45432,
     /* 2417131 */     GIR_EraseRootFromParent_Done,
     /* 2417132 */   // Label 34968: @2417132
     /* 2417132 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2417215), // Rule ID 45433 //
     /* 2417137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417173 */     // MIs[1] Operand 1
     /* 2417173 */     // No operand predicates
     /* 2417173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417177 */     // MIs[0] policy
     /* 2417177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417189 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2417192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417214 */     // GIR_Coverage, 45433,
     /* 2417214 */     GIR_EraseRootFromParent_Done,
     /* 2417215 */   // Label 34969: @2417215
     /* 2417215 */   GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2417287), // Rule ID 45358 //
     /* 2417220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417252 */     // MIs[0] policy
     /* 2417252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417262 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2417265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417286 */     // GIR_Coverage, 45358,
     /* 2417286 */     GIR_EraseRootFromParent_Done,
     /* 2417287 */   // Label 34970: @2417287
     /* 2417287 */   GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2417359), // Rule ID 45359 //
     /* 2417292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417324 */     // MIs[0] policy
     /* 2417324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417334 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2417337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417358 */     // GIR_Coverage, 45359,
     /* 2417358 */     GIR_EraseRootFromParent_Done,
     /* 2417359 */   // Label 34971: @2417359
     /* 2417359 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2417431), // Rule ID 45434 //
     /* 2417364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417396 */     // MIs[0] policy
     /* 2417396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417406 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2417409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417430 */     // GIR_Coverage, 45434,
     /* 2417430 */     GIR_EraseRootFromParent_Done,
     /* 2417431 */   // Label 34972: @2417431
     /* 2417431 */   GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2417503), // Rule ID 45435 //
     /* 2417436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417468 */     // MIs[0] policy
     /* 2417468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417478 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2417481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417502 */     // GIR_Coverage, 45435,
     /* 2417502 */     GIR_EraseRootFromParent_Done,
     /* 2417503 */   // Label 34973: @2417503
     /* 2417503 */   GIM_Reject,
     /* 2417504 */ // Label 34965: @2417504
     /* 2417504 */ GIM_Reject,
     /* 2417505 */ // Label 34931: @2417505
     /* 2417505 */ GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2418137),
     /* 2417510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2417513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2417516 */   GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2417599), // Rule ID 45372 //
     /* 2417521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2417524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417557 */     // MIs[1] Operand 1
     /* 2417557 */     // No operand predicates
     /* 2417557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417561 */     // MIs[0] policy
     /* 2417561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417573 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2417576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417598 */     // GIR_Coverage, 45372,
     /* 2417598 */     GIR_EraseRootFromParent_Done,
     /* 2417599 */   // Label 34975: @2417599
     /* 2417599 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2417682), // Rule ID 45373 //
     /* 2417604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417640 */     // MIs[1] Operand 1
     /* 2417640 */     // No operand predicates
     /* 2417640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417644 */     // MIs[0] policy
     /* 2417644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417656 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2417659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417681 */     // GIR_Coverage, 45373,
     /* 2417681 */     GIR_EraseRootFromParent_Done,
     /* 2417682 */   // Label 34976: @2417682
     /* 2417682 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2417765), // Rule ID 45444 //
     /* 2417687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2417690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417723 */     // MIs[1] Operand 1
     /* 2417723 */     // No operand predicates
     /* 2417723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417727 */     // MIs[0] policy
     /* 2417727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417739 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2417742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417764 */     // GIR_Coverage, 45444,
     /* 2417764 */     GIR_EraseRootFromParent_Done,
     /* 2417765 */   // Label 34977: @2417765
     /* 2417765 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2417848), // Rule ID 45445 //
     /* 2417770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417806 */     // MIs[1] Operand 1
     /* 2417806 */     // No operand predicates
     /* 2417806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417810 */     // MIs[0] policy
     /* 2417810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417822 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2417825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417847 */     // GIR_Coverage, 45445,
     /* 2417847 */     GIR_EraseRootFromParent_Done,
     /* 2417848 */   // Label 34978: @2417848
     /* 2417848 */   GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2417920), // Rule ID 45374 //
     /* 2417853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2417856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417885 */     // MIs[0] policy
     /* 2417885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417895 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2417898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417919 */     // GIR_Coverage, 45374,
     /* 2417919 */     GIR_EraseRootFromParent_Done,
     /* 2417920 */   // Label 34979: @2417920
     /* 2417920 */   GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2417992), // Rule ID 45375 //
     /* 2417925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417957 */     // MIs[0] policy
     /* 2417957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417967 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2417970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417991 */     // GIR_Coverage, 45375,
     /* 2417991 */     GIR_EraseRootFromParent_Done,
     /* 2417992 */   // Label 34980: @2417992
     /* 2417992 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2418064), // Rule ID 45446 //
     /* 2417997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2418000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418029 */     // MIs[0] policy
     /* 2418029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418039 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2418042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418063 */     // GIR_Coverage, 45446,
     /* 2418063 */     GIR_EraseRootFromParent_Done,
     /* 2418064 */   // Label 34981: @2418064
     /* 2418064 */   GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2418136), // Rule ID 45447 //
     /* 2418069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2418072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418101 */     // MIs[0] policy
     /* 2418101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418111 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2418114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418135 */     // GIR_Coverage, 45447,
     /* 2418135 */     GIR_EraseRootFromParent_Done,
     /* 2418136 */   // Label 34982: @2418136
     /* 2418136 */   GIM_Reject,
     /* 2418137 */ // Label 34974: @2418137
     /* 2418137 */ GIM_Reject,
     /* 2418138 */ // Label 34932: @2418138
     /* 2418138 */ GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2418460),
     /* 2418143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2418146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2418149 */   GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2418232), // Rule ID 45340 //
     /* 2418154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418190 */     // MIs[1] Operand 1
     /* 2418190 */     // No operand predicates
     /* 2418190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418194 */     // MIs[0] policy
     /* 2418194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418206 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2418209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418231 */     // GIR_Coverage, 45340,
     /* 2418231 */     GIR_EraseRootFromParent_Done,
     /* 2418232 */   // Label 34984: @2418232
     /* 2418232 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2418315), // Rule ID 45341 //
     /* 2418237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418273 */     // MIs[1] Operand 1
     /* 2418273 */     // No operand predicates
     /* 2418273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418277 */     // MIs[0] policy
     /* 2418277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418289 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2418292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418314 */     // GIR_Coverage, 45341,
     /* 2418314 */     GIR_EraseRootFromParent_Done,
     /* 2418315 */   // Label 34985: @2418315
     /* 2418315 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2418387), // Rule ID 45342 //
     /* 2418320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418352 */     // MIs[0] policy
     /* 2418352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418362 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2418365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418386 */     // GIR_Coverage, 45342,
     /* 2418386 */     GIR_EraseRootFromParent_Done,
     /* 2418387 */   // Label 34986: @2418387
     /* 2418387 */   GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2418459), // Rule ID 45343 //
     /* 2418392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418424 */     // MIs[0] policy
     /* 2418424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418434 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2418437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418458 */     // GIR_Coverage, 45343,
     /* 2418458 */     GIR_EraseRootFromParent_Done,
     /* 2418459 */   // Label 34987: @2418459
     /* 2418459 */   GIM_Reject,
     /* 2418460 */ // Label 34983: @2418460
     /* 2418460 */ GIM_Reject,
     /* 2418461 */ // Label 34933: @2418461
     /* 2418461 */ GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2419093),
     /* 2418466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2418469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2418472 */   GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2418555), // Rule ID 45352 //
     /* 2418477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418513 */     // MIs[1] Operand 1
     /* 2418513 */     // No operand predicates
     /* 2418513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418517 */     // MIs[0] policy
     /* 2418517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418529 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2418532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418554 */     // GIR_Coverage, 45352,
     /* 2418554 */     GIR_EraseRootFromParent_Done,
     /* 2418555 */   // Label 34989: @2418555
     /* 2418555 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2418638), // Rule ID 45353 //
     /* 2418560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418596 */     // MIs[1] Operand 1
     /* 2418596 */     // No operand predicates
     /* 2418596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418600 */     // MIs[0] policy
     /* 2418600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418612 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2418615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418637 */     // GIR_Coverage, 45353,
     /* 2418637 */     GIR_EraseRootFromParent_Done,
     /* 2418638 */   // Label 34990: @2418638
     /* 2418638 */   GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2418721), // Rule ID 45428 //
     /* 2418643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418679 */     // MIs[1] Operand 1
     /* 2418679 */     // No operand predicates
     /* 2418679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418683 */     // MIs[0] policy
     /* 2418683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418695 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2418698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418720 */     // GIR_Coverage, 45428,
     /* 2418720 */     GIR_EraseRootFromParent_Done,
     /* 2418721 */   // Label 34991: @2418721
     /* 2418721 */   GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2418804), // Rule ID 45429 //
     /* 2418726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418762 */     // MIs[1] Operand 1
     /* 2418762 */     // No operand predicates
     /* 2418762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418766 */     // MIs[0] policy
     /* 2418766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418778 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2418781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418803 */     // GIR_Coverage, 45429,
     /* 2418803 */     GIR_EraseRootFromParent_Done,
     /* 2418804 */   // Label 34992: @2418804
     /* 2418804 */   GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2418876), // Rule ID 45354 //
     /* 2418809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418841 */     // MIs[0] policy
     /* 2418841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418851 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2418854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418875 */     // GIR_Coverage, 45354,
     /* 2418875 */     GIR_EraseRootFromParent_Done,
     /* 2418876 */   // Label 34993: @2418876
     /* 2418876 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2418948), // Rule ID 45355 //
     /* 2418881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418913 */     // MIs[0] policy
     /* 2418913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418923 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2418926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418947 */     // GIR_Coverage, 45355,
     /* 2418947 */     GIR_EraseRootFromParent_Done,
     /* 2418948 */   // Label 34994: @2418948
     /* 2418948 */   GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2419020), // Rule ID 45430 //
     /* 2418953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2418962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418985 */     // MIs[0] policy
     /* 2418985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418995 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2418998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419019 */     // GIR_Coverage, 45430,
     /* 2419019 */     GIR_EraseRootFromParent_Done,
     /* 2419020 */   // Label 34995: @2419020
     /* 2419020 */   GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2419092), // Rule ID 45431 //
     /* 2419025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419057 */     // MIs[0] policy
     /* 2419057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419067 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2419070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419091 */     // GIR_Coverage, 45431,
     /* 2419091 */     GIR_EraseRootFromParent_Done,
     /* 2419092 */   // Label 34996: @2419092
     /* 2419092 */   GIM_Reject,
     /* 2419093 */ // Label 34988: @2419093
     /* 2419093 */ GIM_Reject,
     /* 2419094 */ // Label 34934: @2419094
     /* 2419094 */ GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2419726),
     /* 2419099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2419102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2419105 */   GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2419188), // Rule ID 45368 //
     /* 2419110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419146 */     // MIs[1] Operand 1
     /* 2419146 */     // No operand predicates
     /* 2419146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419150 */     // MIs[0] policy
     /* 2419150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419162 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2419165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419187 */     // GIR_Coverage, 45368,
     /* 2419187 */     GIR_EraseRootFromParent_Done,
     /* 2419188 */   // Label 34998: @2419188
     /* 2419188 */   GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2419271), // Rule ID 45369 //
     /* 2419193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419229 */     // MIs[1] Operand 1
     /* 2419229 */     // No operand predicates
     /* 2419229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419233 */     // MIs[0] policy
     /* 2419233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419245 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2419248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419270 */     // GIR_Coverage, 45369,
     /* 2419270 */     GIR_EraseRootFromParent_Done,
     /* 2419271 */   // Label 34999: @2419271
     /* 2419271 */   GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2419354), // Rule ID 45440 //
     /* 2419276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419312 */     // MIs[1] Operand 1
     /* 2419312 */     // No operand predicates
     /* 2419312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419316 */     // MIs[0] policy
     /* 2419316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419328 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2419331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419353 */     // GIR_Coverage, 45440,
     /* 2419353 */     GIR_EraseRootFromParent_Done,
     /* 2419354 */   // Label 35000: @2419354
     /* 2419354 */   GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2419437), // Rule ID 45441 //
     /* 2419359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419395 */     // MIs[1] Operand 1
     /* 2419395 */     // No operand predicates
     /* 2419395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419399 */     // MIs[0] policy
     /* 2419399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419411 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2419414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419436 */     // GIR_Coverage, 45441,
     /* 2419436 */     GIR_EraseRootFromParent_Done,
     /* 2419437 */   // Label 35001: @2419437
     /* 2419437 */   GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2419509), // Rule ID 45370 //
     /* 2419442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419474 */     // MIs[0] policy
     /* 2419474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419484 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2419487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419508 */     // GIR_Coverage, 45370,
     /* 2419508 */     GIR_EraseRootFromParent_Done,
     /* 2419509 */   // Label 35002: @2419509
     /* 2419509 */   GIM_Try, /*On fail goto*//*Label 35003*/ GIMT_Encode4(2419581), // Rule ID 45371 //
     /* 2419514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419546 */     // MIs[0] policy
     /* 2419546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419556 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2419559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419580 */     // GIR_Coverage, 45371,
     /* 2419580 */     GIR_EraseRootFromParent_Done,
     /* 2419581 */   // Label 35003: @2419581
     /* 2419581 */   GIM_Try, /*On fail goto*//*Label 35004*/ GIMT_Encode4(2419653), // Rule ID 45442 //
     /* 2419586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419618 */     // MIs[0] policy
     /* 2419618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419628 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2419631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419652 */     // GIR_Coverage, 45442,
     /* 2419652 */     GIR_EraseRootFromParent_Done,
     /* 2419653 */   // Label 35004: @2419653
     /* 2419653 */   GIM_Try, /*On fail goto*//*Label 35005*/ GIMT_Encode4(2419725), // Rule ID 45443 //
     /* 2419658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419690 */     // MIs[0] policy
     /* 2419690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419700 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2419703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419724 */     // GIR_Coverage, 45443,
     /* 2419724 */     GIR_EraseRootFromParent_Done,
     /* 2419725 */   // Label 35005: @2419725
     /* 2419725 */   GIM_Reject,
     /* 2419726 */ // Label 34997: @2419726
     /* 2419726 */ GIM_Reject,
     /* 2419727 */ // Label 34935: @2419727
     /* 2419727 */ GIM_Try, /*On fail goto*//*Label 35006*/ GIMT_Encode4(2420359),
     /* 2419732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2419735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2419738 */   GIM_Try, /*On fail goto*//*Label 35007*/ GIMT_Encode4(2419821), // Rule ID 45412 //
     /* 2419743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2419759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419779 */     // MIs[1] Operand 1
     /* 2419779 */     // No operand predicates
     /* 2419779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419783 */     // MIs[0] policy
     /* 2419783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419795 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2419798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419820 */     // GIR_Coverage, 45412,
     /* 2419820 */     GIR_EraseRootFromParent_Done,
     /* 2419821 */   // Label 35007: @2419821
     /* 2419821 */   GIM_Try, /*On fail goto*//*Label 35008*/ GIMT_Encode4(2419904), // Rule ID 45413 //
     /* 2419826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2419842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419862 */     // MIs[1] Operand 1
     /* 2419862 */     // No operand predicates
     /* 2419862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419866 */     // MIs[0] policy
     /* 2419866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419878 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2419881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419903 */     // GIR_Coverage, 45413,
     /* 2419903 */     GIR_EraseRootFromParent_Done,
     /* 2419904 */   // Label 35008: @2419904
     /* 2419904 */   GIM_Try, /*On fail goto*//*Label 35009*/ GIMT_Encode4(2419987), // Rule ID 45472 //
     /* 2419909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2419925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419945 */     // MIs[1] Operand 1
     /* 2419945 */     // No operand predicates
     /* 2419945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419949 */     // MIs[0] policy
     /* 2419949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419961 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2419964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419986 */     // GIR_Coverage, 45472,
     /* 2419986 */     GIR_EraseRootFromParent_Done,
     /* 2419987 */   // Label 35009: @2419987
     /* 2419987 */   GIM_Try, /*On fail goto*//*Label 35010*/ GIMT_Encode4(2420070), // Rule ID 45473 //
     /* 2419992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420028 */     // MIs[1] Operand 1
     /* 2420028 */     // No operand predicates
     /* 2420028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420032 */     // MIs[0] policy
     /* 2420032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420044 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2420047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420069 */     // GIR_Coverage, 45473,
     /* 2420069 */     GIR_EraseRootFromParent_Done,
     /* 2420070 */   // Label 35010: @2420070
     /* 2420070 */   GIM_Try, /*On fail goto*//*Label 35011*/ GIMT_Encode4(2420142), // Rule ID 45414 //
     /* 2420075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2420078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420107 */     // MIs[0] policy
     /* 2420107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420117 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2420120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420128 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420141 */     // GIR_Coverage, 45414,
     /* 2420141 */     GIR_EraseRootFromParent_Done,
     /* 2420142 */   // Label 35011: @2420142
     /* 2420142 */   GIM_Try, /*On fail goto*//*Label 35012*/ GIMT_Encode4(2420214), // Rule ID 45415 //
     /* 2420147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2420150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420179 */     // MIs[0] policy
     /* 2420179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420189 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2420192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420213 */     // GIR_Coverage, 45415,
     /* 2420213 */     GIR_EraseRootFromParent_Done,
     /* 2420214 */   // Label 35012: @2420214
     /* 2420214 */   GIM_Try, /*On fail goto*//*Label 35013*/ GIMT_Encode4(2420286), // Rule ID 45474 //
     /* 2420219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2420222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420251 */     // MIs[0] policy
     /* 2420251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420261 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2420264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420285 */     // GIR_Coverage, 45474,
     /* 2420285 */     GIR_EraseRootFromParent_Done,
     /* 2420286 */   // Label 35013: @2420286
     /* 2420286 */   GIM_Try, /*On fail goto*//*Label 35014*/ GIMT_Encode4(2420358), // Rule ID 45475 //
     /* 2420291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2420294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420323 */     // MIs[0] policy
     /* 2420323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420333 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2420336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2420354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420357 */     // GIR_Coverage, 45475,
     /* 2420357 */     GIR_EraseRootFromParent_Done,
     /* 2420358 */   // Label 35014: @2420358
     /* 2420358 */   GIM_Reject,
     /* 2420359 */ // Label 35006: @2420359
     /* 2420359 */ GIM_Reject,
     /* 2420360 */ // Label 34936: @2420360
     /* 2420360 */ GIM_Try, /*On fail goto*//*Label 35015*/ GIMT_Encode4(2420682),
     /* 2420365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2420368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2420371 */   GIM_Try, /*On fail goto*//*Label 35016*/ GIMT_Encode4(2420454), // Rule ID 45344 //
     /* 2420376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420412 */     // MIs[1] Operand 1
     /* 2420412 */     // No operand predicates
     /* 2420412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420416 */     // MIs[0] policy
     /* 2420416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420428 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2420431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420453 */     // GIR_Coverage, 45344,
     /* 2420453 */     GIR_EraseRootFromParent_Done,
     /* 2420454 */   // Label 35016: @2420454
     /* 2420454 */   GIM_Try, /*On fail goto*//*Label 35017*/ GIMT_Encode4(2420537), // Rule ID 45345 //
     /* 2420459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420495 */     // MIs[1] Operand 1
     /* 2420495 */     // No operand predicates
     /* 2420495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420499 */     // MIs[0] policy
     /* 2420499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420511 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2420514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420536 */     // GIR_Coverage, 45345,
     /* 2420536 */     GIR_EraseRootFromParent_Done,
     /* 2420537 */   // Label 35017: @2420537
     /* 2420537 */   GIM_Try, /*On fail goto*//*Label 35018*/ GIMT_Encode4(2420609), // Rule ID 45346 //
     /* 2420542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420574 */     // MIs[0] policy
     /* 2420574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420584 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2420587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420608 */     // GIR_Coverage, 45346,
     /* 2420608 */     GIR_EraseRootFromParent_Done,
     /* 2420609 */   // Label 35018: @2420609
     /* 2420609 */   GIM_Try, /*On fail goto*//*Label 35019*/ GIMT_Encode4(2420681), // Rule ID 45347 //
     /* 2420614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420646 */     // MIs[0] policy
     /* 2420646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420656 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2420659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420680 */     // GIR_Coverage, 45347,
     /* 2420680 */     GIR_EraseRootFromParent_Done,
     /* 2420681 */   // Label 35019: @2420681
     /* 2420681 */   GIM_Reject,
     /* 2420682 */ // Label 35015: @2420682
     /* 2420682 */ GIM_Reject,
     /* 2420683 */ // Label 34937: @2420683
     /* 2420683 */ GIM_Try, /*On fail goto*//*Label 35020*/ GIMT_Encode4(2421315),
     /* 2420688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2420691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2420694 */   GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2420777), // Rule ID 45364 //
     /* 2420699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420735 */     // MIs[1] Operand 1
     /* 2420735 */     // No operand predicates
     /* 2420735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420739 */     // MIs[0] policy
     /* 2420739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420751 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2420754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420776 */     // GIR_Coverage, 45364,
     /* 2420776 */     GIR_EraseRootFromParent_Done,
     /* 2420777 */   // Label 35021: @2420777
     /* 2420777 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2420860), // Rule ID 45365 //
     /* 2420782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420818 */     // MIs[1] Operand 1
     /* 2420818 */     // No operand predicates
     /* 2420818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420822 */     // MIs[0] policy
     /* 2420822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420834 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2420837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420859 */     // GIR_Coverage, 45365,
     /* 2420859 */     GIR_EraseRootFromParent_Done,
     /* 2420860 */   // Label 35022: @2420860
     /* 2420860 */   GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2420943), // Rule ID 45436 //
     /* 2420865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420901 */     // MIs[1] Operand 1
     /* 2420901 */     // No operand predicates
     /* 2420901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420905 */     // MIs[0] policy
     /* 2420905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420917 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2420920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420942 */     // GIR_Coverage, 45436,
     /* 2420942 */     GIR_EraseRootFromParent_Done,
     /* 2420943 */   // Label 35023: @2420943
     /* 2420943 */   GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2421026), // Rule ID 45437 //
     /* 2420948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2420957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420984 */     // MIs[1] Operand 1
     /* 2420984 */     // No operand predicates
     /* 2420984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420988 */     // MIs[0] policy
     /* 2420988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421000 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2421003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421025 */     // GIR_Coverage, 45437,
     /* 2421025 */     GIR_EraseRootFromParent_Done,
     /* 2421026 */   // Label 35024: @2421026
     /* 2421026 */   GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2421098), // Rule ID 45366 //
     /* 2421031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421063 */     // MIs[0] policy
     /* 2421063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421073 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2421076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421097 */     // GIR_Coverage, 45366,
     /* 2421097 */     GIR_EraseRootFromParent_Done,
     /* 2421098 */   // Label 35025: @2421098
     /* 2421098 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2421170), // Rule ID 45367 //
     /* 2421103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421135 */     // MIs[0] policy
     /* 2421135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421145 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2421148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421169 */     // GIR_Coverage, 45367,
     /* 2421169 */     GIR_EraseRootFromParent_Done,
     /* 2421170 */   // Label 35026: @2421170
     /* 2421170 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2421242), // Rule ID 45438 //
     /* 2421175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421207 */     // MIs[0] policy
     /* 2421207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421217 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2421220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421241 */     // GIR_Coverage, 45438,
     /* 2421241 */     GIR_EraseRootFromParent_Done,
     /* 2421242 */   // Label 35027: @2421242
     /* 2421242 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2421314), // Rule ID 45439 //
     /* 2421247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421279 */     // MIs[0] policy
     /* 2421279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421289 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2421292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421313 */     // GIR_Coverage, 45439,
     /* 2421313 */     GIR_EraseRootFromParent_Done,
     /* 2421314 */   // Label 35028: @2421314
     /* 2421314 */   GIM_Reject,
     /* 2421315 */ // Label 35020: @2421315
     /* 2421315 */ GIM_Reject,
     /* 2421316 */ // Label 34938: @2421316
     /* 2421316 */ GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2421948),
     /* 2421321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2421324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2421327 */   GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2421410), // Rule ID 45400 //
     /* 2421332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421368 */     // MIs[1] Operand 1
     /* 2421368 */     // No operand predicates
     /* 2421368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421372 */     // MIs[0] policy
     /* 2421372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421384 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2421387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421409 */     // GIR_Coverage, 45400,
     /* 2421409 */     GIR_EraseRootFromParent_Done,
     /* 2421410 */   // Label 35030: @2421410
     /* 2421410 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2421493), // Rule ID 45401 //
     /* 2421415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421451 */     // MIs[1] Operand 1
     /* 2421451 */     // No operand predicates
     /* 2421451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421455 */     // MIs[0] policy
     /* 2421455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421467 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2421470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421492 */     // GIR_Coverage, 45401,
     /* 2421492 */     GIR_EraseRootFromParent_Done,
     /* 2421493 */   // Label 35031: @2421493
     /* 2421493 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2421576), // Rule ID 45460 //
     /* 2421498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421534 */     // MIs[1] Operand 1
     /* 2421534 */     // No operand predicates
     /* 2421534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421538 */     // MIs[0] policy
     /* 2421538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421550 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2421553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421575 */     // GIR_Coverage, 45460,
     /* 2421575 */     GIR_EraseRootFromParent_Done,
     /* 2421576 */   // Label 35032: @2421576
     /* 2421576 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2421659), // Rule ID 45461 //
     /* 2421581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421617 */     // MIs[1] Operand 1
     /* 2421617 */     // No operand predicates
     /* 2421617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421621 */     // MIs[0] policy
     /* 2421621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421633 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2421636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421658 */     // GIR_Coverage, 45461,
     /* 2421658 */     GIR_EraseRootFromParent_Done,
     /* 2421659 */   // Label 35033: @2421659
     /* 2421659 */   GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2421731), // Rule ID 45402 //
     /* 2421664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421696 */     // MIs[0] policy
     /* 2421696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421706 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2421709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421730 */     // GIR_Coverage, 45402,
     /* 2421730 */     GIR_EraseRootFromParent_Done,
     /* 2421731 */   // Label 35034: @2421731
     /* 2421731 */   GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2421803), // Rule ID 45403 //
     /* 2421736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421768 */     // MIs[0] policy
     /* 2421768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421778 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2421781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421802 */     // GIR_Coverage, 45403,
     /* 2421802 */     GIR_EraseRootFromParent_Done,
     /* 2421803 */   // Label 35035: @2421803
     /* 2421803 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2421875), // Rule ID 45462 //
     /* 2421808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421840 */     // MIs[0] policy
     /* 2421840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421850 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2421853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421874 */     // GIR_Coverage, 45462,
     /* 2421874 */     GIR_EraseRootFromParent_Done,
     /* 2421875 */   // Label 35036: @2421875
     /* 2421875 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2421947), // Rule ID 45463 //
     /* 2421880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421912 */     // MIs[0] policy
     /* 2421912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421922 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2421925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421946 */     // GIR_Coverage, 45463,
     /* 2421946 */     GIR_EraseRootFromParent_Done,
     /* 2421947 */   // Label 35037: @2421947
     /* 2421947 */   GIM_Reject,
     /* 2421948 */ // Label 35029: @2421948
     /* 2421948 */ GIM_Reject,
     /* 2421949 */ // Label 34939: @2421949
     /* 2421949 */ GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2422581),
     /* 2421954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2421957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2421960 */   GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2422043), // Rule ID 45416 //
     /* 2421965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2421981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2421989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422001 */     // MIs[1] Operand 1
     /* 2422001 */     // No operand predicates
     /* 2422001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422005 */     // MIs[0] policy
     /* 2422005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422017 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2422020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422042 */     // GIR_Coverage, 45416,
     /* 2422042 */     GIR_EraseRootFromParent_Done,
     /* 2422043 */   // Label 35039: @2422043
     /* 2422043 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2422126), // Rule ID 45417 //
     /* 2422048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422084 */     // MIs[1] Operand 1
     /* 2422084 */     // No operand predicates
     /* 2422084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422088 */     // MIs[0] policy
     /* 2422088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422100 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2422103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422125 */     // GIR_Coverage, 45417,
     /* 2422125 */     GIR_EraseRootFromParent_Done,
     /* 2422126 */   // Label 35040: @2422126
     /* 2422126 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2422209), // Rule ID 45476 //
     /* 2422131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422167 */     // MIs[1] Operand 1
     /* 2422167 */     // No operand predicates
     /* 2422167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422171 */     // MIs[0] policy
     /* 2422171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422183 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2422186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422208 */     // GIR_Coverage, 45476,
     /* 2422208 */     GIR_EraseRootFromParent_Done,
     /* 2422209 */   // Label 35041: @2422209
     /* 2422209 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2422292), // Rule ID 45477 //
     /* 2422214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422250 */     // MIs[1] Operand 1
     /* 2422250 */     // No operand predicates
     /* 2422250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422254 */     // MIs[0] policy
     /* 2422254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422266 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2422269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422291 */     // GIR_Coverage, 45477,
     /* 2422291 */     GIR_EraseRootFromParent_Done,
     /* 2422292 */   // Label 35042: @2422292
     /* 2422292 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2422364), // Rule ID 45418 //
     /* 2422297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422329 */     // MIs[0] policy
     /* 2422329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422339 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2422342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422363 */     // GIR_Coverage, 45418,
     /* 2422363 */     GIR_EraseRootFromParent_Done,
     /* 2422364 */   // Label 35043: @2422364
     /* 2422364 */   GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2422436), // Rule ID 45419 //
     /* 2422369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422401 */     // MIs[0] policy
     /* 2422401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422411 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2422414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422435 */     // GIR_Coverage, 45419,
     /* 2422435 */     GIR_EraseRootFromParent_Done,
     /* 2422436 */   // Label 35044: @2422436
     /* 2422436 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2422508), // Rule ID 45478 //
     /* 2422441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2422444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422473 */     // MIs[0] policy
     /* 2422473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422483 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2422486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422507 */     // GIR_Coverage, 45478,
     /* 2422507 */     GIR_EraseRootFromParent_Done,
     /* 2422508 */   // Label 35045: @2422508
     /* 2422508 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2422580), // Rule ID 45479 //
     /* 2422513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2422516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422545 */     // MIs[0] policy
     /* 2422545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422555 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2422558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422579 */     // GIR_Coverage, 45479,
     /* 2422579 */     GIR_EraseRootFromParent_Done,
     /* 2422580 */   // Label 35046: @2422580
     /* 2422580 */   GIM_Reject,
     /* 2422581 */ // Label 35038: @2422581
     /* 2422581 */ GIM_Reject,
     /* 2422582 */ // Label 34940: @2422582
     /* 2422582 */ GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2422904),
     /* 2422587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2422590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2422593 */   GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2422676), // Rule ID 45360 //
     /* 2422598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2422607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422634 */     // MIs[1] Operand 1
     /* 2422634 */     // No operand predicates
     /* 2422634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422638 */     // MIs[0] policy
     /* 2422638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422650 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2422653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422675 */     // GIR_Coverage, 45360,
     /* 2422675 */     GIR_EraseRootFromParent_Done,
     /* 2422676 */   // Label 35048: @2422676
     /* 2422676 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2422759), // Rule ID 45361 //
     /* 2422681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2422690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422717 */     // MIs[1] Operand 1
     /* 2422717 */     // No operand predicates
     /* 2422717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422721 */     // MIs[0] policy
     /* 2422721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422733 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2422736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422758 */     // GIR_Coverage, 45361,
     /* 2422758 */     GIR_EraseRootFromParent_Done,
     /* 2422759 */   // Label 35049: @2422759
     /* 2422759 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2422831), // Rule ID 45362 //
     /* 2422764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2422773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422796 */     // MIs[0] policy
     /* 2422796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422806 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2422809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422830 */     // GIR_Coverage, 45362,
     /* 2422830 */     GIR_EraseRootFromParent_Done,
     /* 2422831 */   // Label 35050: @2422831
     /* 2422831 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2422903), // Rule ID 45363 //
     /* 2422836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2422845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422868 */     // MIs[0] policy
     /* 2422868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422878 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2422881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422902 */     // GIR_Coverage, 45363,
     /* 2422902 */     GIR_EraseRootFromParent_Done,
     /* 2422903 */   // Label 35051: @2422903
     /* 2422903 */   GIM_Reject,
     /* 2422904 */ // Label 35047: @2422904
     /* 2422904 */ GIM_Reject,
     /* 2422905 */ // Label 34941: @2422905
     /* 2422905 */ GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2423537),
     /* 2422910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2422913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2422916 */   GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2422999), // Rule ID 45388 //
     /* 2422921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2422930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2422937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422957 */     // MIs[1] Operand 1
     /* 2422957 */     // No operand predicates
     /* 2422957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422961 */     // MIs[0] policy
     /* 2422961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422973 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2422976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422998 */     // GIR_Coverage, 45388,
     /* 2422998 */     GIR_EraseRootFromParent_Done,
     /* 2422999 */   // Label 35053: @2422999
     /* 2422999 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2423082), // Rule ID 45389 //
     /* 2423004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423040 */     // MIs[1] Operand 1
     /* 2423040 */     // No operand predicates
     /* 2423040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423044 */     // MIs[0] policy
     /* 2423044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423056 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2423059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423081 */     // GIR_Coverage, 45389,
     /* 2423081 */     GIR_EraseRootFromParent_Done,
     /* 2423082 */   // Label 35054: @2423082
     /* 2423082 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2423165), // Rule ID 45448 //
     /* 2423087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423123 */     // MIs[1] Operand 1
     /* 2423123 */     // No operand predicates
     /* 2423123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423127 */     // MIs[0] policy
     /* 2423127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423139 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2423142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423164 */     // GIR_Coverage, 45448,
     /* 2423164 */     GIR_EraseRootFromParent_Done,
     /* 2423165 */   // Label 35055: @2423165
     /* 2423165 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2423248), // Rule ID 45449 //
     /* 2423170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423206 */     // MIs[1] Operand 1
     /* 2423206 */     // No operand predicates
     /* 2423206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423210 */     // MIs[0] policy
     /* 2423210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423222 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2423225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423247 */     // GIR_Coverage, 45449,
     /* 2423247 */     GIR_EraseRootFromParent_Done,
     /* 2423248 */   // Label 35056: @2423248
     /* 2423248 */   GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2423320), // Rule ID 45390 //
     /* 2423253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423285 */     // MIs[0] policy
     /* 2423285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423295 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2423298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423319 */     // GIR_Coverage, 45390,
     /* 2423319 */     GIR_EraseRootFromParent_Done,
     /* 2423320 */   // Label 35057: @2423320
     /* 2423320 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2423392), // Rule ID 45391 //
     /* 2423325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423357 */     // MIs[0] policy
     /* 2423357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423367 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2423370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423391 */     // GIR_Coverage, 45391,
     /* 2423391 */     GIR_EraseRootFromParent_Done,
     /* 2423392 */   // Label 35058: @2423392
     /* 2423392 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2423464), // Rule ID 45450 //
     /* 2423397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423429 */     // MIs[0] policy
     /* 2423429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423439 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2423442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423463 */     // GIR_Coverage, 45450,
     /* 2423463 */     GIR_EraseRootFromParent_Done,
     /* 2423464 */   // Label 35059: @2423464
     /* 2423464 */   GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2423536), // Rule ID 45451 //
     /* 2423469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423501 */     // MIs[0] policy
     /* 2423501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423511 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2423514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423535 */     // GIR_Coverage, 45451,
     /* 2423535 */     GIR_EraseRootFromParent_Done,
     /* 2423536 */   // Label 35060: @2423536
     /* 2423536 */   GIM_Reject,
     /* 2423537 */ // Label 35052: @2423537
     /* 2423537 */ GIM_Reject,
     /* 2423538 */ // Label 34942: @2423538
     /* 2423538 */ GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2424170),
     /* 2423543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2423546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2423549 */   GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2423632), // Rule ID 45404 //
     /* 2423554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423590 */     // MIs[1] Operand 1
     /* 2423590 */     // No operand predicates
     /* 2423590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423594 */     // MIs[0] policy
     /* 2423594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423606 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2423609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423631 */     // GIR_Coverage, 45404,
     /* 2423631 */     GIR_EraseRootFromParent_Done,
     /* 2423632 */   // Label 35062: @2423632
     /* 2423632 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2423715), // Rule ID 45405 //
     /* 2423637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423673 */     // MIs[1] Operand 1
     /* 2423673 */     // No operand predicates
     /* 2423673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423677 */     // MIs[0] policy
     /* 2423677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423689 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2423692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423714 */     // GIR_Coverage, 45405,
     /* 2423714 */     GIR_EraseRootFromParent_Done,
     /* 2423715 */   // Label 35063: @2423715
     /* 2423715 */   GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2423798), // Rule ID 45464 //
     /* 2423720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423756 */     // MIs[1] Operand 1
     /* 2423756 */     // No operand predicates
     /* 2423756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423760 */     // MIs[0] policy
     /* 2423760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423772 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2423775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423797 */     // GIR_Coverage, 45464,
     /* 2423797 */     GIR_EraseRootFromParent_Done,
     /* 2423798 */   // Label 35064: @2423798
     /* 2423798 */   GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2423881), // Rule ID 45465 //
     /* 2423803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423839 */     // MIs[1] Operand 1
     /* 2423839 */     // No operand predicates
     /* 2423839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423843 */     // MIs[0] policy
     /* 2423843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423855 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2423858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423880 */     // GIR_Coverage, 45465,
     /* 2423880 */     GIR_EraseRootFromParent_Done,
     /* 2423881 */   // Label 35065: @2423881
     /* 2423881 */   GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2423953), // Rule ID 45406 //
     /* 2423886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423918 */     // MIs[0] policy
     /* 2423918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423928 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2423931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423952 */     // GIR_Coverage, 45406,
     /* 2423952 */     GIR_EraseRootFromParent_Done,
     /* 2423953 */   // Label 35066: @2423953
     /* 2423953 */   GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2424025), // Rule ID 45407 //
     /* 2423958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2423967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423990 */     // MIs[0] policy
     /* 2423990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424000 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2424003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424024 */     // GIR_Coverage, 45407,
     /* 2424024 */     GIR_EraseRootFromParent_Done,
     /* 2424025 */   // Label 35067: @2424025
     /* 2424025 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2424097), // Rule ID 45466 //
     /* 2424030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2424046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424062 */     // MIs[0] policy
     /* 2424062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424072 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2424075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424096 */     // GIR_Coverage, 45466,
     /* 2424096 */     GIR_EraseRootFromParent_Done,
     /* 2424097 */   // Label 35068: @2424097
     /* 2424097 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2424169), // Rule ID 45467 //
     /* 2424102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2424118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424134 */     // MIs[0] policy
     /* 2424134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424144 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2424147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424168 */     // GIR_Coverage, 45467,
     /* 2424168 */     GIR_EraseRootFromParent_Done,
     /* 2424169 */   // Label 35069: @2424169
     /* 2424169 */   GIM_Reject,
     /* 2424170 */ // Label 35061: @2424170
     /* 2424170 */ GIM_Reject,
     /* 2424171 */ // Label 34943: @2424171
     /* 2424171 */ GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2424803),
     /* 2424176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2424179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2424182 */   GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2424265), // Rule ID 45420 //
     /* 2424187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424223 */     // MIs[1] Operand 1
     /* 2424223 */     // No operand predicates
     /* 2424223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424227 */     // MIs[0] policy
     /* 2424227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424239 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2424242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424264 */     // GIR_Coverage, 45420,
     /* 2424264 */     GIR_EraseRootFromParent_Done,
     /* 2424265 */   // Label 35071: @2424265
     /* 2424265 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2424348), // Rule ID 45421 //
     /* 2424270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2424273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424306 */     // MIs[1] Operand 1
     /* 2424306 */     // No operand predicates
     /* 2424306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424310 */     // MIs[0] policy
     /* 2424310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424322 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2424325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424347 */     // GIR_Coverage, 45421,
     /* 2424347 */     GIR_EraseRootFromParent_Done,
     /* 2424348 */   // Label 35072: @2424348
     /* 2424348 */   GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2424431), // Rule ID 45480 //
     /* 2424353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424389 */     // MIs[1] Operand 1
     /* 2424389 */     // No operand predicates
     /* 2424389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424393 */     // MIs[0] policy
     /* 2424393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424405 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2424408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424430 */     // GIR_Coverage, 45480,
     /* 2424430 */     GIR_EraseRootFromParent_Done,
     /* 2424431 */   // Label 35073: @2424431
     /* 2424431 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2424514), // Rule ID 45481 //
     /* 2424436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2424439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424472 */     // MIs[1] Operand 1
     /* 2424472 */     // No operand predicates
     /* 2424472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424476 */     // MIs[0] policy
     /* 2424476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424488 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2424491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424513 */     // GIR_Coverage, 45481,
     /* 2424513 */     GIR_EraseRootFromParent_Done,
     /* 2424514 */   // Label 35074: @2424514
     /* 2424514 */   GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2424586), // Rule ID 45422 //
     /* 2424519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424551 */     // MIs[0] policy
     /* 2424551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424561 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2424564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424585 */     // GIR_Coverage, 45422,
     /* 2424585 */     GIR_EraseRootFromParent_Done,
     /* 2424586 */   // Label 35075: @2424586
     /* 2424586 */   GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2424658), // Rule ID 45423 //
     /* 2424591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2424594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424623 */     // MIs[0] policy
     /* 2424623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424633 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2424636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424657 */     // GIR_Coverage, 45423,
     /* 2424657 */     GIR_EraseRootFromParent_Done,
     /* 2424658 */   // Label 35076: @2424658
     /* 2424658 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2424730), // Rule ID 45482 //
     /* 2424663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424695 */     // MIs[0] policy
     /* 2424695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424705 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2424708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424729 */     // GIR_Coverage, 45482,
     /* 2424729 */     GIR_EraseRootFromParent_Done,
     /* 2424730 */   // Label 35077: @2424730
     /* 2424730 */   GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2424802), // Rule ID 45483 //
     /* 2424735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2424738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424767 */     // MIs[0] policy
     /* 2424767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424777 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2424780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424801 */     // GIR_Coverage, 45483,
     /* 2424801 */     GIR_EraseRootFromParent_Done,
     /* 2424802 */   // Label 35078: @2424802
     /* 2424802 */   GIM_Reject,
     /* 2424803 */ // Label 35070: @2424803
     /* 2424803 */ GIM_Reject,
     /* 2424804 */ // Label 34944: @2424804
     /* 2424804 */ GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2425126),
     /* 2424809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2424812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2424815 */   GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2424898), // Rule ID 45376 //
     /* 2424820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2424829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424856 */     // MIs[1] Operand 1
     /* 2424856 */     // No operand predicates
     /* 2424856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424860 */     // MIs[0] policy
     /* 2424860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424872 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2424875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424897 */     // GIR_Coverage, 45376,
     /* 2424897 */     GIR_EraseRootFromParent_Done,
     /* 2424898 */   // Label 35080: @2424898
     /* 2424898 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2424981), // Rule ID 45377 //
     /* 2424903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2424912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424939 */     // MIs[1] Operand 1
     /* 2424939 */     // No operand predicates
     /* 2424939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424943 */     // MIs[0] policy
     /* 2424943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424955 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2424958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424980 */     // GIR_Coverage, 45377,
     /* 2424980 */     GIR_EraseRootFromParent_Done,
     /* 2424981 */   // Label 35081: @2424981
     /* 2424981 */   GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2425053), // Rule ID 45378 //
     /* 2424986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2424995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425018 */     // MIs[0] policy
     /* 2425018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425028 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2425031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425052 */     // GIR_Coverage, 45378,
     /* 2425052 */     GIR_EraseRootFromParent_Done,
     /* 2425053 */   // Label 35082: @2425053
     /* 2425053 */   GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2425125), // Rule ID 45379 //
     /* 2425058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425090 */     // MIs[0] policy
     /* 2425090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425100 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2425103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425124 */     // GIR_Coverage, 45379,
     /* 2425124 */     GIR_EraseRootFromParent_Done,
     /* 2425125 */   // Label 35083: @2425125
     /* 2425125 */   GIM_Reject,
     /* 2425126 */ // Label 35079: @2425126
     /* 2425126 */ GIM_Reject,
     /* 2425127 */ // Label 34945: @2425127
     /* 2425127 */ GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2425759),
     /* 2425132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2425135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2425138 */   GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2425221), // Rule ID 45392 //
     /* 2425143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425179 */     // MIs[1] Operand 1
     /* 2425179 */     // No operand predicates
     /* 2425179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425183 */     // MIs[0] policy
     /* 2425183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425195 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2425198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425220 */     // GIR_Coverage, 45392,
     /* 2425220 */     GIR_EraseRootFromParent_Done,
     /* 2425221 */   // Label 35085: @2425221
     /* 2425221 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2425304), // Rule ID 45393 //
     /* 2425226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425262 */     // MIs[1] Operand 1
     /* 2425262 */     // No operand predicates
     /* 2425262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425266 */     // MIs[0] policy
     /* 2425266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425278 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2425281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425303 */     // GIR_Coverage, 45393,
     /* 2425303 */     GIR_EraseRootFromParent_Done,
     /* 2425304 */   // Label 35086: @2425304
     /* 2425304 */   GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2425387), // Rule ID 45452 //
     /* 2425309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425345 */     // MIs[1] Operand 1
     /* 2425345 */     // No operand predicates
     /* 2425345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425349 */     // MIs[0] policy
     /* 2425349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425361 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2425364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425386 */     // GIR_Coverage, 45452,
     /* 2425386 */     GIR_EraseRootFromParent_Done,
     /* 2425387 */   // Label 35087: @2425387
     /* 2425387 */   GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2425470), // Rule ID 45453 //
     /* 2425392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425428 */     // MIs[1] Operand 1
     /* 2425428 */     // No operand predicates
     /* 2425428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425432 */     // MIs[0] policy
     /* 2425432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425444 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2425447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425469 */     // GIR_Coverage, 45453,
     /* 2425469 */     GIR_EraseRootFromParent_Done,
     /* 2425470 */   // Label 35088: @2425470
     /* 2425470 */   GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2425542), // Rule ID 45394 //
     /* 2425475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425507 */     // MIs[0] policy
     /* 2425507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425517 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2425520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425541 */     // GIR_Coverage, 45394,
     /* 2425541 */     GIR_EraseRootFromParent_Done,
     /* 2425542 */   // Label 35089: @2425542
     /* 2425542 */   GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2425614), // Rule ID 45395 //
     /* 2425547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425579 */     // MIs[0] policy
     /* 2425579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425589 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2425592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425613 */     // GIR_Coverage, 45395,
     /* 2425613 */     GIR_EraseRootFromParent_Done,
     /* 2425614 */   // Label 35090: @2425614
     /* 2425614 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2425686), // Rule ID 45454 //
     /* 2425619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425651 */     // MIs[0] policy
     /* 2425651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425661 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2425664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425685 */     // GIR_Coverage, 45454,
     /* 2425685 */     GIR_EraseRootFromParent_Done,
     /* 2425686 */   // Label 35091: @2425686
     /* 2425686 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2425758), // Rule ID 45455 //
     /* 2425691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425723 */     // MIs[0] policy
     /* 2425723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425733 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2425736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425757 */     // GIR_Coverage, 45455,
     /* 2425757 */     GIR_EraseRootFromParent_Done,
     /* 2425758 */   // Label 35092: @2425758
     /* 2425758 */   GIM_Reject,
     /* 2425759 */ // Label 35084: @2425759
     /* 2425759 */ GIM_Reject,
     /* 2425760 */ // Label 34946: @2425760
     /* 2425760 */ GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2426392),
     /* 2425765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2425768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2425771 */   GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2425854), // Rule ID 45408 //
     /* 2425776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2425792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425812 */     // MIs[1] Operand 1
     /* 2425812 */     // No operand predicates
     /* 2425812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425816 */     // MIs[0] policy
     /* 2425816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425828 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2425831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425853 */     // GIR_Coverage, 45408,
     /* 2425853 */     GIR_EraseRootFromParent_Done,
     /* 2425854 */   // Label 35094: @2425854
     /* 2425854 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2425937), // Rule ID 45409 //
     /* 2425859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2425875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425895 */     // MIs[1] Operand 1
     /* 2425895 */     // No operand predicates
     /* 2425895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425899 */     // MIs[0] policy
     /* 2425899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425911 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2425914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425936 */     // GIR_Coverage, 45409,
     /* 2425936 */     GIR_EraseRootFromParent_Done,
     /* 2425937 */   // Label 35095: @2425937
     /* 2425937 */   GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2426020), // Rule ID 45468 //
     /* 2425942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2425951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2425958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425978 */     // MIs[1] Operand 1
     /* 2425978 */     // No operand predicates
     /* 2425978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425982 */     // MIs[0] policy
     /* 2425982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425994 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2425997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426019 */     // GIR_Coverage, 45468,
     /* 2426019 */     GIR_EraseRootFromParent_Done,
     /* 2426020 */   // Label 35096: @2426020
     /* 2426020 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2426103), // Rule ID 45469 //
     /* 2426025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426061 */     // MIs[1] Operand 1
     /* 2426061 */     // No operand predicates
     /* 2426061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426065 */     // MIs[0] policy
     /* 2426065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426077 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2426080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426102 */     // GIR_Coverage, 45469,
     /* 2426102 */     GIR_EraseRootFromParent_Done,
     /* 2426103 */   // Label 35097: @2426103
     /* 2426103 */   GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2426175), // Rule ID 45410 //
     /* 2426108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426140 */     // MIs[0] policy
     /* 2426140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426150 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2426153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426174 */     // GIR_Coverage, 45410,
     /* 2426174 */     GIR_EraseRootFromParent_Done,
     /* 2426175 */   // Label 35098: @2426175
     /* 2426175 */   GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2426247), // Rule ID 45411 //
     /* 2426180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426212 */     // MIs[0] policy
     /* 2426212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426222 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2426225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426246 */     // GIR_Coverage, 45411,
     /* 2426246 */     GIR_EraseRootFromParent_Done,
     /* 2426247 */   // Label 35099: @2426247
     /* 2426247 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2426319), // Rule ID 45470 //
     /* 2426252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426284 */     // MIs[0] policy
     /* 2426284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426294 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2426297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426318 */     // GIR_Coverage, 45470,
     /* 2426318 */     GIR_EraseRootFromParent_Done,
     /* 2426319 */   // Label 35100: @2426319
     /* 2426319 */   GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2426391), // Rule ID 45471 //
     /* 2426324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426356 */     // MIs[0] policy
     /* 2426356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426366 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2426369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426390 */     // GIR_Coverage, 45471,
     /* 2426390 */     GIR_EraseRootFromParent_Done,
     /* 2426391 */   // Label 35101: @2426391
     /* 2426391 */   GIM_Reject,
     /* 2426392 */ // Label 35093: @2426392
     /* 2426392 */ GIM_Reject,
     /* 2426393 */ // Label 34947: @2426393
     /* 2426393 */ GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2426715),
     /* 2426398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2426401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2426404 */   GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2426487), // Rule ID 45380 //
     /* 2426409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426445 */     // MIs[1] Operand 1
     /* 2426445 */     // No operand predicates
     /* 2426445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426449 */     // MIs[0] policy
     /* 2426449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426461 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2426464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426486 */     // GIR_Coverage, 45380,
     /* 2426486 */     GIR_EraseRootFromParent_Done,
     /* 2426487 */   // Label 35103: @2426487
     /* 2426487 */   GIM_Try, /*On fail goto*//*Label 35104*/ GIMT_Encode4(2426570), // Rule ID 45381 //
     /* 2426492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426528 */     // MIs[1] Operand 1
     /* 2426528 */     // No operand predicates
     /* 2426528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426532 */     // MIs[0] policy
     /* 2426532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426544 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2426547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426569 */     // GIR_Coverage, 45381,
     /* 2426569 */     GIR_EraseRootFromParent_Done,
     /* 2426570 */   // Label 35104: @2426570
     /* 2426570 */   GIM_Try, /*On fail goto*//*Label 35105*/ GIMT_Encode4(2426642), // Rule ID 45382 //
     /* 2426575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426607 */     // MIs[0] policy
     /* 2426607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426617 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2426620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426641 */     // GIR_Coverage, 45382,
     /* 2426641 */     GIR_EraseRootFromParent_Done,
     /* 2426642 */   // Label 35105: @2426642
     /* 2426642 */   GIM_Try, /*On fail goto*//*Label 35106*/ GIMT_Encode4(2426714), // Rule ID 45383 //
     /* 2426647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426679 */     // MIs[0] policy
     /* 2426679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426689 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2426692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426713 */     // GIR_Coverage, 45383,
     /* 2426713 */     GIR_EraseRootFromParent_Done,
     /* 2426714 */   // Label 35106: @2426714
     /* 2426714 */   GIM_Reject,
     /* 2426715 */ // Label 35102: @2426715
     /* 2426715 */ GIM_Reject,
     /* 2426716 */ // Label 34948: @2426716
     /* 2426716 */ GIM_Try, /*On fail goto*//*Label 35107*/ GIMT_Encode4(2427348),
     /* 2426721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2426724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2426727 */   GIM_Try, /*On fail goto*//*Label 35108*/ GIMT_Encode4(2426810), // Rule ID 45396 //
     /* 2426732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426768 */     // MIs[1] Operand 1
     /* 2426768 */     // No operand predicates
     /* 2426768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426772 */     // MIs[0] policy
     /* 2426772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426784 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2426787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426809 */     // GIR_Coverage, 45396,
     /* 2426809 */     GIR_EraseRootFromParent_Done,
     /* 2426810 */   // Label 35108: @2426810
     /* 2426810 */   GIM_Try, /*On fail goto*//*Label 35109*/ GIMT_Encode4(2426893), // Rule ID 45397 //
     /* 2426815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426851 */     // MIs[1] Operand 1
     /* 2426851 */     // No operand predicates
     /* 2426851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426855 */     // MIs[0] policy
     /* 2426855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426867 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2426870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426892 */     // GIR_Coverage, 45397,
     /* 2426892 */     GIR_EraseRootFromParent_Done,
     /* 2426893 */   // Label 35109: @2426893
     /* 2426893 */   GIM_Try, /*On fail goto*//*Label 35110*/ GIMT_Encode4(2426976), // Rule ID 45456 //
     /* 2426898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426934 */     // MIs[1] Operand 1
     /* 2426934 */     // No operand predicates
     /* 2426934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426938 */     // MIs[0] policy
     /* 2426938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426950 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2426953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426975 */     // GIR_Coverage, 45456,
     /* 2426975 */     GIR_EraseRootFromParent_Done,
     /* 2426976 */   // Label 35110: @2426976
     /* 2426976 */   GIM_Try, /*On fail goto*//*Label 35111*/ GIMT_Encode4(2427059), // Rule ID 45457 //
     /* 2426981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2426990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427017 */     // MIs[1] Operand 1
     /* 2427017 */     // No operand predicates
     /* 2427017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427021 */     // MIs[0] policy
     /* 2427021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427033 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2427036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427058 */     // GIR_Coverage, 45457,
     /* 2427058 */     GIR_EraseRootFromParent_Done,
     /* 2427059 */   // Label 35111: @2427059
     /* 2427059 */   GIM_Try, /*On fail goto*//*Label 35112*/ GIMT_Encode4(2427131), // Rule ID 45398 //
     /* 2427064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2427073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427096 */     // MIs[0] policy
     /* 2427096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427106 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2427109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427130 */     // GIR_Coverage, 45398,
     /* 2427130 */     GIR_EraseRootFromParent_Done,
     /* 2427131 */   // Label 35112: @2427131
     /* 2427131 */   GIM_Try, /*On fail goto*//*Label 35113*/ GIMT_Encode4(2427203), // Rule ID 45399 //
     /* 2427136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2427145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427168 */     // MIs[0] policy
     /* 2427168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427178 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2427181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427202 */     // GIR_Coverage, 45399,
     /* 2427202 */     GIR_EraseRootFromParent_Done,
     /* 2427203 */   // Label 35113: @2427203
     /* 2427203 */   GIM_Try, /*On fail goto*//*Label 35114*/ GIMT_Encode4(2427275), // Rule ID 45458 //
     /* 2427208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2427217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427240 */     // MIs[0] policy
     /* 2427240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427250 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2427253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427274 */     // GIR_Coverage, 45458,
     /* 2427274 */     GIR_EraseRootFromParent_Done,
     /* 2427275 */   // Label 35114: @2427275
     /* 2427275 */   GIM_Try, /*On fail goto*//*Label 35115*/ GIMT_Encode4(2427347), // Rule ID 45459 //
     /* 2427280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2427289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427312 */     // MIs[0] policy
     /* 2427312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427322 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2427325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427346 */     // GIR_Coverage, 45459,
     /* 2427346 */     GIR_EraseRootFromParent_Done,
     /* 2427347 */   // Label 35115: @2427347
     /* 2427347 */   GIM_Reject,
     /* 2427348 */ // Label 35107: @2427348
     /* 2427348 */ GIM_Reject,
     /* 2427349 */ // Label 34949: @2427349
     /* 2427349 */ GIM_Try, /*On fail goto*//*Label 35116*/ GIMT_Encode4(2427671),
     /* 2427354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2427357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2427360 */   GIM_Try, /*On fail goto*//*Label 35117*/ GIMT_Encode4(2427443), // Rule ID 45384 //
     /* 2427365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2427374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427401 */     // MIs[1] Operand 1
     /* 2427401 */     // No operand predicates
     /* 2427401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427405 */     // MIs[0] policy
     /* 2427405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427417 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2427420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427442 */     // GIR_Coverage, 45384,
     /* 2427442 */     GIR_EraseRootFromParent_Done,
     /* 2427443 */   // Label 35117: @2427443
     /* 2427443 */   GIM_Try, /*On fail goto*//*Label 35118*/ GIMT_Encode4(2427526), // Rule ID 45385 //
     /* 2427448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2427457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427484 */     // MIs[1] Operand 1
     /* 2427484 */     // No operand predicates
     /* 2427484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427488 */     // MIs[0] policy
     /* 2427488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427500 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2427503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427525 */     // GIR_Coverage, 45385,
     /* 2427525 */     GIR_EraseRootFromParent_Done,
     /* 2427526 */   // Label 35118: @2427526
     /* 2427526 */   GIM_Try, /*On fail goto*//*Label 35119*/ GIMT_Encode4(2427598), // Rule ID 45386 //
     /* 2427531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2427540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427563 */     // MIs[0] policy
     /* 2427563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427573 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2427576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427597 */     // GIR_Coverage, 45386,
     /* 2427597 */     GIR_EraseRootFromParent_Done,
     /* 2427598 */   // Label 35119: @2427598
     /* 2427598 */   GIM_Try, /*On fail goto*//*Label 35120*/ GIMT_Encode4(2427670), // Rule ID 45387 //
     /* 2427603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2427612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427635 */     // MIs[0] policy
     /* 2427635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427645 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2427648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427669 */     // GIR_Coverage, 45387,
     /* 2427669 */     GIR_EraseRootFromParent_Done,
     /* 2427670 */   // Label 35120: @2427670
     /* 2427670 */   GIM_Reject,
     /* 2427671 */ // Label 35116: @2427671
     /* 2427671 */ GIM_Reject,
     /* 2427672 */ // Label 34950: @2427672
     /* 2427672 */ GIM_Reject,
     /* 2427673 */ // Label 124: @2427673
     /* 2427673 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35143*/ GIMT_Encode4(2439552),
     /* 2427684 */ /*GILLT_nxv1s8*//*Label 35121*/ GIMT_Encode4(2427796),
     /* 2427688 */ /*GILLT_nxv1s16*//*Label 35122*/ GIMT_Encode4(2428119),
     /* 2427692 */ /*GILLT_nxv1s32*//*Label 35123*/ GIMT_Encode4(2428752),
     /* 2427696 */ /*GILLT_nxv1s64*//*Label 35124*/ GIMT_Encode4(2429385), GIMT_Encode4(0),
     /* 2427704 */ /*GILLT_nxv2s8*//*Label 35125*/ GIMT_Encode4(2430018),
     /* 2427708 */ /*GILLT_nxv2s16*//*Label 35126*/ GIMT_Encode4(2430341),
     /* 2427712 */ /*GILLT_nxv2s32*//*Label 35127*/ GIMT_Encode4(2430974),
     /* 2427716 */ /*GILLT_nxv2s64*//*Label 35128*/ GIMT_Encode4(2431607), GIMT_Encode4(0),
     /* 2427724 */ /*GILLT_nxv4s8*//*Label 35129*/ GIMT_Encode4(2432240),
     /* 2427728 */ /*GILLT_nxv4s16*//*Label 35130*/ GIMT_Encode4(2432563),
     /* 2427732 */ /*GILLT_nxv4s32*//*Label 35131*/ GIMT_Encode4(2433196),
     /* 2427736 */ /*GILLT_nxv4s64*//*Label 35132*/ GIMT_Encode4(2433829), GIMT_Encode4(0),
     /* 2427744 */ /*GILLT_nxv8s8*//*Label 35133*/ GIMT_Encode4(2434462),
     /* 2427748 */ /*GILLT_nxv8s16*//*Label 35134*/ GIMT_Encode4(2434785),
     /* 2427752 */ /*GILLT_nxv8s32*//*Label 35135*/ GIMT_Encode4(2435418),
     /* 2427756 */ /*GILLT_nxv8s64*//*Label 35136*/ GIMT_Encode4(2436051), GIMT_Encode4(0),
     /* 2427764 */ /*GILLT_nxv16s8*//*Label 35137*/ GIMT_Encode4(2436684),
     /* 2427768 */ /*GILLT_nxv16s16*//*Label 35138*/ GIMT_Encode4(2437007),
     /* 2427772 */ /*GILLT_nxv16s32*//*Label 35139*/ GIMT_Encode4(2437640), GIMT_Encode4(0),
     /* 2427780 */ /*GILLT_nxv32s8*//*Label 35140*/ GIMT_Encode4(2438273),
     /* 2427784 */ /*GILLT_nxv32s16*//*Label 35141*/ GIMT_Encode4(2438596), GIMT_Encode4(0),
     /* 2427792 */ /*GILLT_nxv64s8*//*Label 35142*/ GIMT_Encode4(2439229),
     /* 2427796 */ // Label 35121: @2427796
     /* 2427796 */ GIM_Try, /*On fail goto*//*Label 35144*/ GIMT_Encode4(2428118),
     /* 2427801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2427804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2427807 */   GIM_Try, /*On fail goto*//*Label 35145*/ GIMT_Encode4(2427890), // Rule ID 25250 //
     /* 2427812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2427821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2427828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427848 */     // MIs[1] Operand 1
     /* 2427848 */     // No operand predicates
     /* 2427848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427852 */     // MIs[0] policy
     /* 2427852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427864 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2427867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427889 */     // GIR_Coverage, 25250,
     /* 2427889 */     GIR_EraseRootFromParent_Done,
     /* 2427890 */   // Label 35145: @2427890
     /* 2427890 */   GIM_Try, /*On fail goto*//*Label 35146*/ GIMT_Encode4(2427973), // Rule ID 25251 //
     /* 2427895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2427904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2427911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427931 */     // MIs[1] Operand 1
     /* 2427931 */     // No operand predicates
     /* 2427931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427935 */     // MIs[0] policy
     /* 2427935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427947 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2427950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427972 */     // GIR_Coverage, 25251,
     /* 2427972 */     GIR_EraseRootFromParent_Done,
     /* 2427973 */   // Label 35146: @2427973
     /* 2427973 */   GIM_Try, /*On fail goto*//*Label 35147*/ GIMT_Encode4(2428045), // Rule ID 25252 //
     /* 2427978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2427987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2427994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428010 */     // MIs[0] policy
     /* 2428010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428020 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2428023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428044 */     // GIR_Coverage, 25252,
     /* 2428044 */     GIR_EraseRootFromParent_Done,
     /* 2428045 */   // Label 35147: @2428045
     /* 2428045 */   GIM_Try, /*On fail goto*//*Label 35148*/ GIMT_Encode4(2428117), // Rule ID 25253 //
     /* 2428050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428082 */     // MIs[0] policy
     /* 2428082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428092 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2428095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428116 */     // GIR_Coverage, 25253,
     /* 2428116 */     GIR_EraseRootFromParent_Done,
     /* 2428117 */   // Label 35148: @2428117
     /* 2428117 */   GIM_Reject,
     /* 2428118 */ // Label 35144: @2428118
     /* 2428118 */ GIM_Reject,
     /* 2428119 */ // Label 35122: @2428119
     /* 2428119 */ GIM_Try, /*On fail goto*//*Label 35149*/ GIMT_Encode4(2428751),
     /* 2428124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2428127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2428130 */   GIM_Try, /*On fail goto*//*Label 35150*/ GIMT_Encode4(2428213), // Rule ID 45200 //
     /* 2428135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428171 */     // MIs[1] Operand 1
     /* 2428171 */     // No operand predicates
     /* 2428171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428175 */     // MIs[0] policy
     /* 2428175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428187 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2428190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428212 */     // GIR_Coverage, 45200,
     /* 2428212 */     GIR_EraseRootFromParent_Done,
     /* 2428213 */   // Label 35150: @2428213
     /* 2428213 */   GIM_Try, /*On fail goto*//*Label 35151*/ GIMT_Encode4(2428296), // Rule ID 45201 //
     /* 2428218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428254 */     // MIs[1] Operand 1
     /* 2428254 */     // No operand predicates
     /* 2428254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428258 */     // MIs[0] policy
     /* 2428258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428270 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2428273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428295 */     // GIR_Coverage, 45201,
     /* 2428295 */     GIR_EraseRootFromParent_Done,
     /* 2428296 */   // Label 35151: @2428296
     /* 2428296 */   GIM_Try, /*On fail goto*//*Label 35152*/ GIMT_Encode4(2428379), // Rule ID 45276 //
     /* 2428301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428337 */     // MIs[1] Operand 1
     /* 2428337 */     // No operand predicates
     /* 2428337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428341 */     // MIs[0] policy
     /* 2428341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428353 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2428356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428378 */     // GIR_Coverage, 45276,
     /* 2428378 */     GIR_EraseRootFromParent_Done,
     /* 2428379 */   // Label 35152: @2428379
     /* 2428379 */   GIM_Try, /*On fail goto*//*Label 35153*/ GIMT_Encode4(2428462), // Rule ID 45277 //
     /* 2428384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428420 */     // MIs[1] Operand 1
     /* 2428420 */     // No operand predicates
     /* 2428420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428424 */     // MIs[0] policy
     /* 2428424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428436 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2428439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428461 */     // GIR_Coverage, 45277,
     /* 2428461 */     GIR_EraseRootFromParent_Done,
     /* 2428462 */   // Label 35153: @2428462
     /* 2428462 */   GIM_Try, /*On fail goto*//*Label 35154*/ GIMT_Encode4(2428534), // Rule ID 45202 //
     /* 2428467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428499 */     // MIs[0] policy
     /* 2428499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428509 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2428512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428533 */     // GIR_Coverage, 45202,
     /* 2428533 */     GIR_EraseRootFromParent_Done,
     /* 2428534 */   // Label 35154: @2428534
     /* 2428534 */   GIM_Try, /*On fail goto*//*Label 35155*/ GIMT_Encode4(2428606), // Rule ID 45203 //
     /* 2428539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428571 */     // MIs[0] policy
     /* 2428571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428581 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2428584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428605 */     // GIR_Coverage, 45203,
     /* 2428605 */     GIR_EraseRootFromParent_Done,
     /* 2428606 */   // Label 35155: @2428606
     /* 2428606 */   GIM_Try, /*On fail goto*//*Label 35156*/ GIMT_Encode4(2428678), // Rule ID 45278 //
     /* 2428611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428643 */     // MIs[0] policy
     /* 2428643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428653 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2428656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428677 */     // GIR_Coverage, 45278,
     /* 2428677 */     GIR_EraseRootFromParent_Done,
     /* 2428678 */   // Label 35156: @2428678
     /* 2428678 */   GIM_Try, /*On fail goto*//*Label 35157*/ GIMT_Encode4(2428750), // Rule ID 45279 //
     /* 2428683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428715 */     // MIs[0] policy
     /* 2428715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428725 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2428728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428749 */     // GIR_Coverage, 45279,
     /* 2428749 */     GIR_EraseRootFromParent_Done,
     /* 2428750 */   // Label 35157: @2428750
     /* 2428750 */   GIM_Reject,
     /* 2428751 */ // Label 35149: @2428751
     /* 2428751 */ GIM_Reject,
     /* 2428752 */ // Label 35123: @2428752
     /* 2428752 */ GIM_Try, /*On fail goto*//*Label 35158*/ GIMT_Encode4(2429384),
     /* 2428757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2428760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2428763 */   GIM_Try, /*On fail goto*//*Label 35159*/ GIMT_Encode4(2428846), // Rule ID 45208 //
     /* 2428768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428804 */     // MIs[1] Operand 1
     /* 2428804 */     // No operand predicates
     /* 2428804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428808 */     // MIs[0] policy
     /* 2428808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428820 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2428823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428845 */     // GIR_Coverage, 45208,
     /* 2428845 */     GIR_EraseRootFromParent_Done,
     /* 2428846 */   // Label 35159: @2428846
     /* 2428846 */   GIM_Try, /*On fail goto*//*Label 35160*/ GIMT_Encode4(2428929), // Rule ID 45209 //
     /* 2428851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428887 */     // MIs[1] Operand 1
     /* 2428887 */     // No operand predicates
     /* 2428887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428891 */     // MIs[0] policy
     /* 2428891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428903 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2428906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428928 */     // GIR_Coverage, 45209,
     /* 2428928 */     GIR_EraseRootFromParent_Done,
     /* 2428929 */   // Label 35160: @2428929
     /* 2428929 */   GIM_Try, /*On fail goto*//*Label 35161*/ GIMT_Encode4(2429012), // Rule ID 45284 //
     /* 2428934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2428943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2428950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428970 */     // MIs[1] Operand 1
     /* 2428970 */     // No operand predicates
     /* 2428970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428974 */     // MIs[0] policy
     /* 2428974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428986 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2428989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429011 */     // GIR_Coverage, 45284,
     /* 2429011 */     GIR_EraseRootFromParent_Done,
     /* 2429012 */   // Label 35161: @2429012
     /* 2429012 */   GIM_Try, /*On fail goto*//*Label 35162*/ GIMT_Encode4(2429095), // Rule ID 45285 //
     /* 2429017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429053 */     // MIs[1] Operand 1
     /* 2429053 */     // No operand predicates
     /* 2429053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429057 */     // MIs[0] policy
     /* 2429057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429069 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2429072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429094 */     // GIR_Coverage, 45285,
     /* 2429094 */     GIR_EraseRootFromParent_Done,
     /* 2429095 */   // Label 35162: @2429095
     /* 2429095 */   GIM_Try, /*On fail goto*//*Label 35163*/ GIMT_Encode4(2429167), // Rule ID 45210 //
     /* 2429100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429132 */     // MIs[0] policy
     /* 2429132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429142 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2429145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429166 */     // GIR_Coverage, 45210,
     /* 2429166 */     GIR_EraseRootFromParent_Done,
     /* 2429167 */   // Label 35163: @2429167
     /* 2429167 */   GIM_Try, /*On fail goto*//*Label 35164*/ GIMT_Encode4(2429239), // Rule ID 45211 //
     /* 2429172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429204 */     // MIs[0] policy
     /* 2429204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429214 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2429217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429238 */     // GIR_Coverage, 45211,
     /* 2429238 */     GIR_EraseRootFromParent_Done,
     /* 2429239 */   // Label 35164: @2429239
     /* 2429239 */   GIM_Try, /*On fail goto*//*Label 35165*/ GIMT_Encode4(2429311), // Rule ID 45286 //
     /* 2429244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429276 */     // MIs[0] policy
     /* 2429276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429286 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2429289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429310 */     // GIR_Coverage, 45286,
     /* 2429310 */     GIR_EraseRootFromParent_Done,
     /* 2429311 */   // Label 35165: @2429311
     /* 2429311 */   GIM_Try, /*On fail goto*//*Label 35166*/ GIMT_Encode4(2429383), // Rule ID 45287 //
     /* 2429316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429348 */     // MIs[0] policy
     /* 2429348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429358 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2429361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429382 */     // GIR_Coverage, 45287,
     /* 2429382 */     GIR_EraseRootFromParent_Done,
     /* 2429383 */   // Label 35166: @2429383
     /* 2429383 */   GIM_Reject,
     /* 2429384 */ // Label 35158: @2429384
     /* 2429384 */ GIM_Reject,
     /* 2429385 */ // Label 35124: @2429385
     /* 2429385 */ GIM_Try, /*On fail goto*//*Label 35167*/ GIMT_Encode4(2430017),
     /* 2429390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2429393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2429396 */   GIM_Try, /*On fail goto*//*Label 35168*/ GIMT_Encode4(2429479), // Rule ID 45224 //
     /* 2429401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429437 */     // MIs[1] Operand 1
     /* 2429437 */     // No operand predicates
     /* 2429437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429441 */     // MIs[0] policy
     /* 2429441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429453 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2429456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429478 */     // GIR_Coverage, 45224,
     /* 2429478 */     GIR_EraseRootFromParent_Done,
     /* 2429479 */   // Label 35168: @2429479
     /* 2429479 */   GIM_Try, /*On fail goto*//*Label 35169*/ GIMT_Encode4(2429562), // Rule ID 45225 //
     /* 2429484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429520 */     // MIs[1] Operand 1
     /* 2429520 */     // No operand predicates
     /* 2429520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429524 */     // MIs[0] policy
     /* 2429524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429536 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2429539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429561 */     // GIR_Coverage, 45225,
     /* 2429561 */     GIR_EraseRootFromParent_Done,
     /* 2429562 */   // Label 35169: @2429562
     /* 2429562 */   GIM_Try, /*On fail goto*//*Label 35170*/ GIMT_Encode4(2429645), // Rule ID 45296 //
     /* 2429567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429603 */     // MIs[1] Operand 1
     /* 2429603 */     // No operand predicates
     /* 2429603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429607 */     // MIs[0] policy
     /* 2429607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429619 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2429622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429644 */     // GIR_Coverage, 45296,
     /* 2429644 */     GIR_EraseRootFromParent_Done,
     /* 2429645 */   // Label 35170: @2429645
     /* 2429645 */   GIM_Try, /*On fail goto*//*Label 35171*/ GIMT_Encode4(2429728), // Rule ID 45297 //
     /* 2429650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429686 */     // MIs[1] Operand 1
     /* 2429686 */     // No operand predicates
     /* 2429686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429690 */     // MIs[0] policy
     /* 2429690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429702 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2429705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429727 */     // GIR_Coverage, 45297,
     /* 2429727 */     GIR_EraseRootFromParent_Done,
     /* 2429728 */   // Label 35171: @2429728
     /* 2429728 */   GIM_Try, /*On fail goto*//*Label 35172*/ GIMT_Encode4(2429800), // Rule ID 45226 //
     /* 2429733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429765 */     // MIs[0] policy
     /* 2429765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429775 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2429778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429799 */     // GIR_Coverage, 45226,
     /* 2429799 */     GIR_EraseRootFromParent_Done,
     /* 2429800 */   // Label 35172: @2429800
     /* 2429800 */   GIM_Try, /*On fail goto*//*Label 35173*/ GIMT_Encode4(2429872), // Rule ID 45227 //
     /* 2429805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429837 */     // MIs[0] policy
     /* 2429837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429847 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2429850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429871 */     // GIR_Coverage, 45227,
     /* 2429871 */     GIR_EraseRootFromParent_Done,
     /* 2429872 */   // Label 35173: @2429872
     /* 2429872 */   GIM_Try, /*On fail goto*//*Label 35174*/ GIMT_Encode4(2429944), // Rule ID 45298 //
     /* 2429877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429909 */     // MIs[0] policy
     /* 2429909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429919 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2429922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429943 */     // GIR_Coverage, 45298,
     /* 2429943 */     GIR_EraseRootFromParent_Done,
     /* 2429944 */   // Label 35174: @2429944
     /* 2429944 */   GIM_Try, /*On fail goto*//*Label 35175*/ GIMT_Encode4(2430016), // Rule ID 45299 //
     /* 2429949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2429958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2429965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429981 */     // MIs[0] policy
     /* 2429981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429991 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2429994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2430012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430015 */     // GIR_Coverage, 45299,
     /* 2430015 */     GIR_EraseRootFromParent_Done,
     /* 2430016 */   // Label 35175: @2430016
     /* 2430016 */   GIM_Reject,
     /* 2430017 */ // Label 35167: @2430017
     /* 2430017 */ GIM_Reject,
     /* 2430018 */ // Label 35125: @2430018
     /* 2430018 */ GIM_Try, /*On fail goto*//*Label 35176*/ GIMT_Encode4(2430340),
     /* 2430023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2430026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2430029 */   GIM_Try, /*On fail goto*//*Label 35177*/ GIMT_Encode4(2430112), // Rule ID 45192 //
     /* 2430034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430070 */     // MIs[1] Operand 1
     /* 2430070 */     // No operand predicates
     /* 2430070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430074 */     // MIs[0] policy
     /* 2430074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430086 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2430089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430111 */     // GIR_Coverage, 45192,
     /* 2430111 */     GIR_EraseRootFromParent_Done,
     /* 2430112 */   // Label 35177: @2430112
     /* 2430112 */   GIM_Try, /*On fail goto*//*Label 35178*/ GIMT_Encode4(2430195), // Rule ID 45193 //
     /* 2430117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430153 */     // MIs[1] Operand 1
     /* 2430153 */     // No operand predicates
     /* 2430153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430157 */     // MIs[0] policy
     /* 2430157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430169 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2430172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430194 */     // GIR_Coverage, 45193,
     /* 2430194 */     GIR_EraseRootFromParent_Done,
     /* 2430195 */   // Label 35178: @2430195
     /* 2430195 */   GIM_Try, /*On fail goto*//*Label 35179*/ GIMT_Encode4(2430267), // Rule ID 45194 //
     /* 2430200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430232 */     // MIs[0] policy
     /* 2430232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430242 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2430245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430266 */     // GIR_Coverage, 45194,
     /* 2430266 */     GIR_EraseRootFromParent_Done,
     /* 2430267 */   // Label 35179: @2430267
     /* 2430267 */   GIM_Try, /*On fail goto*//*Label 35180*/ GIMT_Encode4(2430339), // Rule ID 45195 //
     /* 2430272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430304 */     // MIs[0] policy
     /* 2430304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430314 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2430317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430338 */     // GIR_Coverage, 45195,
     /* 2430338 */     GIR_EraseRootFromParent_Done,
     /* 2430339 */   // Label 35180: @2430339
     /* 2430339 */   GIM_Reject,
     /* 2430340 */ // Label 35176: @2430340
     /* 2430340 */ GIM_Reject,
     /* 2430341 */ // Label 35126: @2430341
     /* 2430341 */ GIM_Try, /*On fail goto*//*Label 35181*/ GIMT_Encode4(2430973),
     /* 2430346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2430349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2430352 */   GIM_Try, /*On fail goto*//*Label 35182*/ GIMT_Encode4(2430435), // Rule ID 45204 //
     /* 2430357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430393 */     // MIs[1] Operand 1
     /* 2430393 */     // No operand predicates
     /* 2430393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430397 */     // MIs[0] policy
     /* 2430397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430409 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2430412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430434 */     // GIR_Coverage, 45204,
     /* 2430434 */     GIR_EraseRootFromParent_Done,
     /* 2430435 */   // Label 35182: @2430435
     /* 2430435 */   GIM_Try, /*On fail goto*//*Label 35183*/ GIMT_Encode4(2430518), // Rule ID 45205 //
     /* 2430440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430476 */     // MIs[1] Operand 1
     /* 2430476 */     // No operand predicates
     /* 2430476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430480 */     // MIs[0] policy
     /* 2430480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430492 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2430495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430517 */     // GIR_Coverage, 45205,
     /* 2430517 */     GIR_EraseRootFromParent_Done,
     /* 2430518 */   // Label 35183: @2430518
     /* 2430518 */   GIM_Try, /*On fail goto*//*Label 35184*/ GIMT_Encode4(2430601), // Rule ID 45280 //
     /* 2430523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430559 */     // MIs[1] Operand 1
     /* 2430559 */     // No operand predicates
     /* 2430559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430563 */     // MIs[0] policy
     /* 2430563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430575 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2430578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430600 */     // GIR_Coverage, 45280,
     /* 2430600 */     GIR_EraseRootFromParent_Done,
     /* 2430601 */   // Label 35184: @2430601
     /* 2430601 */   GIM_Try, /*On fail goto*//*Label 35185*/ GIMT_Encode4(2430684), // Rule ID 45281 //
     /* 2430606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430642 */     // MIs[1] Operand 1
     /* 2430642 */     // No operand predicates
     /* 2430642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430646 */     // MIs[0] policy
     /* 2430646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430658 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2430661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430683 */     // GIR_Coverage, 45281,
     /* 2430683 */     GIR_EraseRootFromParent_Done,
     /* 2430684 */   // Label 35185: @2430684
     /* 2430684 */   GIM_Try, /*On fail goto*//*Label 35186*/ GIMT_Encode4(2430756), // Rule ID 45206 //
     /* 2430689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430721 */     // MIs[0] policy
     /* 2430721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430731 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2430734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430755 */     // GIR_Coverage, 45206,
     /* 2430755 */     GIR_EraseRootFromParent_Done,
     /* 2430756 */   // Label 35186: @2430756
     /* 2430756 */   GIM_Try, /*On fail goto*//*Label 35187*/ GIMT_Encode4(2430828), // Rule ID 45207 //
     /* 2430761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430793 */     // MIs[0] policy
     /* 2430793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430803 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2430806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430827 */     // GIR_Coverage, 45207,
     /* 2430827 */     GIR_EraseRootFromParent_Done,
     /* 2430828 */   // Label 35187: @2430828
     /* 2430828 */   GIM_Try, /*On fail goto*//*Label 35188*/ GIMT_Encode4(2430900), // Rule ID 45282 //
     /* 2430833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430865 */     // MIs[0] policy
     /* 2430865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430875 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2430878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430899 */     // GIR_Coverage, 45282,
     /* 2430899 */     GIR_EraseRootFromParent_Done,
     /* 2430900 */   // Label 35188: @2430900
     /* 2430900 */   GIM_Try, /*On fail goto*//*Label 35189*/ GIMT_Encode4(2430972), // Rule ID 45283 //
     /* 2430905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430937 */     // MIs[0] policy
     /* 2430937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430947 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2430950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430971 */     // GIR_Coverage, 45283,
     /* 2430971 */     GIR_EraseRootFromParent_Done,
     /* 2430972 */   // Label 35189: @2430972
     /* 2430972 */   GIM_Reject,
     /* 2430973 */ // Label 35181: @2430973
     /* 2430973 */ GIM_Reject,
     /* 2430974 */ // Label 35127: @2430974
     /* 2430974 */ GIM_Try, /*On fail goto*//*Label 35190*/ GIMT_Encode4(2431606),
     /* 2430979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2430982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2430985 */   GIM_Try, /*On fail goto*//*Label 35191*/ GIMT_Encode4(2431068), // Rule ID 45220 //
     /* 2430990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2430999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431026 */     // MIs[1] Operand 1
     /* 2431026 */     // No operand predicates
     /* 2431026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431030 */     // MIs[0] policy
     /* 2431030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431042 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2431045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431067 */     // GIR_Coverage, 45220,
     /* 2431067 */     GIR_EraseRootFromParent_Done,
     /* 2431068 */   // Label 35191: @2431068
     /* 2431068 */   GIM_Try, /*On fail goto*//*Label 35192*/ GIMT_Encode4(2431151), // Rule ID 45221 //
     /* 2431073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431109 */     // MIs[1] Operand 1
     /* 2431109 */     // No operand predicates
     /* 2431109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431113 */     // MIs[0] policy
     /* 2431113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431125 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2431128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431150 */     // GIR_Coverage, 45221,
     /* 2431150 */     GIR_EraseRootFromParent_Done,
     /* 2431151 */   // Label 35192: @2431151
     /* 2431151 */   GIM_Try, /*On fail goto*//*Label 35193*/ GIMT_Encode4(2431234), // Rule ID 45292 //
     /* 2431156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431192 */     // MIs[1] Operand 1
     /* 2431192 */     // No operand predicates
     /* 2431192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431196 */     // MIs[0] policy
     /* 2431196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431208 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2431211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431233 */     // GIR_Coverage, 45292,
     /* 2431233 */     GIR_EraseRootFromParent_Done,
     /* 2431234 */   // Label 35193: @2431234
     /* 2431234 */   GIM_Try, /*On fail goto*//*Label 35194*/ GIMT_Encode4(2431317), // Rule ID 45293 //
     /* 2431239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431275 */     // MIs[1] Operand 1
     /* 2431275 */     // No operand predicates
     /* 2431275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431279 */     // MIs[0] policy
     /* 2431279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431291 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2431294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431316 */     // GIR_Coverage, 45293,
     /* 2431316 */     GIR_EraseRootFromParent_Done,
     /* 2431317 */   // Label 35194: @2431317
     /* 2431317 */   GIM_Try, /*On fail goto*//*Label 35195*/ GIMT_Encode4(2431389), // Rule ID 45222 //
     /* 2431322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431354 */     // MIs[0] policy
     /* 2431354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431364 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2431367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431388 */     // GIR_Coverage, 45222,
     /* 2431388 */     GIR_EraseRootFromParent_Done,
     /* 2431389 */   // Label 35195: @2431389
     /* 2431389 */   GIM_Try, /*On fail goto*//*Label 35196*/ GIMT_Encode4(2431461), // Rule ID 45223 //
     /* 2431394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431426 */     // MIs[0] policy
     /* 2431426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431436 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2431439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431460 */     // GIR_Coverage, 45223,
     /* 2431460 */     GIR_EraseRootFromParent_Done,
     /* 2431461 */   // Label 35196: @2431461
     /* 2431461 */   GIM_Try, /*On fail goto*//*Label 35197*/ GIMT_Encode4(2431533), // Rule ID 45294 //
     /* 2431466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431498 */     // MIs[0] policy
     /* 2431498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431508 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2431511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431532 */     // GIR_Coverage, 45294,
     /* 2431532 */     GIR_EraseRootFromParent_Done,
     /* 2431533 */   // Label 35197: @2431533
     /* 2431533 */   GIM_Try, /*On fail goto*//*Label 35198*/ GIMT_Encode4(2431605), // Rule ID 45295 //
     /* 2431538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431570 */     // MIs[0] policy
     /* 2431570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431580 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2431583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431604 */     // GIR_Coverage, 45295,
     /* 2431604 */     GIR_EraseRootFromParent_Done,
     /* 2431605 */   // Label 35198: @2431605
     /* 2431605 */   GIM_Reject,
     /* 2431606 */ // Label 35190: @2431606
     /* 2431606 */ GIM_Reject,
     /* 2431607 */ // Label 35128: @2431607
     /* 2431607 */ GIM_Try, /*On fail goto*//*Label 35199*/ GIMT_Encode4(2432239),
     /* 2431612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2431615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2431618 */   GIM_Try, /*On fail goto*//*Label 35200*/ GIMT_Encode4(2431701), // Rule ID 45264 //
     /* 2431623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2431626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2431639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431659 */     // MIs[1] Operand 1
     /* 2431659 */     // No operand predicates
     /* 2431659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431663 */     // MIs[0] policy
     /* 2431663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431675 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2431678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2431697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431700 */     // GIR_Coverage, 45264,
     /* 2431700 */     GIR_EraseRootFromParent_Done,
     /* 2431701 */   // Label 35200: @2431701
     /* 2431701 */   GIM_Try, /*On fail goto*//*Label 35201*/ GIMT_Encode4(2431784), // Rule ID 45265 //
     /* 2431706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2431709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2431722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431742 */     // MIs[1] Operand 1
     /* 2431742 */     // No operand predicates
     /* 2431742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431746 */     // MIs[0] policy
     /* 2431746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431758 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2431761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2431780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431783 */     // GIR_Coverage, 45265,
     /* 2431783 */     GIR_EraseRootFromParent_Done,
     /* 2431784 */   // Label 35201: @2431784
     /* 2431784 */   GIM_Try, /*On fail goto*//*Label 35202*/ GIMT_Encode4(2431867), // Rule ID 45324 //
     /* 2431789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2431792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2431805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431825 */     // MIs[1] Operand 1
     /* 2431825 */     // No operand predicates
     /* 2431825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431829 */     // MIs[0] policy
     /* 2431829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431841 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2431844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2431863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431866 */     // GIR_Coverage, 45324,
     /* 2431866 */     GIR_EraseRootFromParent_Done,
     /* 2431867 */   // Label 35202: @2431867
     /* 2431867 */   GIM_Try, /*On fail goto*//*Label 35203*/ GIMT_Encode4(2431950), // Rule ID 45325 //
     /* 2431872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2431875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2431888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431908 */     // MIs[1] Operand 1
     /* 2431908 */     // No operand predicates
     /* 2431908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431912 */     // MIs[0] policy
     /* 2431912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431924 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2431927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2431946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431949 */     // GIR_Coverage, 45325,
     /* 2431949 */     GIR_EraseRootFromParent_Done,
     /* 2431950 */   // Label 35203: @2431950
     /* 2431950 */   GIM_Try, /*On fail goto*//*Label 35204*/ GIMT_Encode4(2432022), // Rule ID 45266 //
     /* 2431955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2431958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2431964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2431971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2431979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431987 */     // MIs[0] policy
     /* 2431987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431997 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2432000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432021 */     // GIR_Coverage, 45266,
     /* 2432021 */     GIR_EraseRootFromParent_Done,
     /* 2432022 */   // Label 35204: @2432022
     /* 2432022 */   GIM_Try, /*On fail goto*//*Label 35205*/ GIMT_Encode4(2432094), // Rule ID 45267 //
     /* 2432027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2432030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2432043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432059 */     // MIs[0] policy
     /* 2432059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432069 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2432072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432093 */     // GIR_Coverage, 45267,
     /* 2432093 */     GIR_EraseRootFromParent_Done,
     /* 2432094 */   // Label 35205: @2432094
     /* 2432094 */   GIM_Try, /*On fail goto*//*Label 35206*/ GIMT_Encode4(2432166), // Rule ID 45326 //
     /* 2432099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2432102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2432115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432131 */     // MIs[0] policy
     /* 2432131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432141 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2432144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432165 */     // GIR_Coverage, 45326,
     /* 2432165 */     GIR_EraseRootFromParent_Done,
     /* 2432166 */   // Label 35206: @2432166
     /* 2432166 */   GIM_Try, /*On fail goto*//*Label 35207*/ GIMT_Encode4(2432238), // Rule ID 45327 //
     /* 2432171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2432174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2432187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2432195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432203 */     // MIs[0] policy
     /* 2432203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432213 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2432216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432237 */     // GIR_Coverage, 45327,
     /* 2432237 */     GIR_EraseRootFromParent_Done,
     /* 2432238 */   // Label 35207: @2432238
     /* 2432238 */   GIM_Reject,
     /* 2432239 */ // Label 35199: @2432239
     /* 2432239 */ GIM_Reject,
     /* 2432240 */ // Label 35129: @2432240
     /* 2432240 */ GIM_Try, /*On fail goto*//*Label 35208*/ GIMT_Encode4(2432562),
     /* 2432245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2432248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2432251 */   GIM_Try, /*On fail goto*//*Label 35209*/ GIMT_Encode4(2432334), // Rule ID 45196 //
     /* 2432256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432292 */     // MIs[1] Operand 1
     /* 2432292 */     // No operand predicates
     /* 2432292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432296 */     // MIs[0] policy
     /* 2432296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432308 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2432311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432333 */     // GIR_Coverage, 45196,
     /* 2432333 */     GIR_EraseRootFromParent_Done,
     /* 2432334 */   // Label 35209: @2432334
     /* 2432334 */   GIM_Try, /*On fail goto*//*Label 35210*/ GIMT_Encode4(2432417), // Rule ID 45197 //
     /* 2432339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432375 */     // MIs[1] Operand 1
     /* 2432375 */     // No operand predicates
     /* 2432375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432379 */     // MIs[0] policy
     /* 2432379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432391 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2432394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432416 */     // GIR_Coverage, 45197,
     /* 2432416 */     GIR_EraseRootFromParent_Done,
     /* 2432417 */   // Label 35210: @2432417
     /* 2432417 */   GIM_Try, /*On fail goto*//*Label 35211*/ GIMT_Encode4(2432489), // Rule ID 45198 //
     /* 2432422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432454 */     // MIs[0] policy
     /* 2432454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432464 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2432467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432488 */     // GIR_Coverage, 45198,
     /* 2432488 */     GIR_EraseRootFromParent_Done,
     /* 2432489 */   // Label 35211: @2432489
     /* 2432489 */   GIM_Try, /*On fail goto*//*Label 35212*/ GIMT_Encode4(2432561), // Rule ID 45199 //
     /* 2432494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432526 */     // MIs[0] policy
     /* 2432526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432536 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2432539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432560 */     // GIR_Coverage, 45199,
     /* 2432560 */     GIR_EraseRootFromParent_Done,
     /* 2432561 */   // Label 35212: @2432561
     /* 2432561 */   GIM_Reject,
     /* 2432562 */ // Label 35208: @2432562
     /* 2432562 */ GIM_Reject,
     /* 2432563 */ // Label 35130: @2432563
     /* 2432563 */ GIM_Try, /*On fail goto*//*Label 35213*/ GIMT_Encode4(2433195),
     /* 2432568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2432571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2432574 */   GIM_Try, /*On fail goto*//*Label 35214*/ GIMT_Encode4(2432657), // Rule ID 45216 //
     /* 2432579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432615 */     // MIs[1] Operand 1
     /* 2432615 */     // No operand predicates
     /* 2432615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432619 */     // MIs[0] policy
     /* 2432619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432631 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2432634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432656 */     // GIR_Coverage, 45216,
     /* 2432656 */     GIR_EraseRootFromParent_Done,
     /* 2432657 */   // Label 35214: @2432657
     /* 2432657 */   GIM_Try, /*On fail goto*//*Label 35215*/ GIMT_Encode4(2432740), // Rule ID 45217 //
     /* 2432662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432698 */     // MIs[1] Operand 1
     /* 2432698 */     // No operand predicates
     /* 2432698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432702 */     // MIs[0] policy
     /* 2432702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432714 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2432717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432739 */     // GIR_Coverage, 45217,
     /* 2432739 */     GIR_EraseRootFromParent_Done,
     /* 2432740 */   // Label 35215: @2432740
     /* 2432740 */   GIM_Try, /*On fail goto*//*Label 35216*/ GIMT_Encode4(2432823), // Rule ID 45288 //
     /* 2432745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432781 */     // MIs[1] Operand 1
     /* 2432781 */     // No operand predicates
     /* 2432781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432785 */     // MIs[0] policy
     /* 2432785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432797 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2432800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432822 */     // GIR_Coverage, 45288,
     /* 2432822 */     GIR_EraseRootFromParent_Done,
     /* 2432823 */   // Label 35216: @2432823
     /* 2432823 */   GIM_Try, /*On fail goto*//*Label 35217*/ GIMT_Encode4(2432906), // Rule ID 45289 //
     /* 2432828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432864 */     // MIs[1] Operand 1
     /* 2432864 */     // No operand predicates
     /* 2432864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432868 */     // MIs[0] policy
     /* 2432868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432880 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2432883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432905 */     // GIR_Coverage, 45289,
     /* 2432905 */     GIR_EraseRootFromParent_Done,
     /* 2432906 */   // Label 35217: @2432906
     /* 2432906 */   GIM_Try, /*On fail goto*//*Label 35218*/ GIMT_Encode4(2432978), // Rule ID 45218 //
     /* 2432911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432943 */     // MIs[0] policy
     /* 2432943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432953 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2432956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432977 */     // GIR_Coverage, 45218,
     /* 2432977 */     GIR_EraseRootFromParent_Done,
     /* 2432978 */   // Label 35218: @2432978
     /* 2432978 */   GIM_Try, /*On fail goto*//*Label 35219*/ GIMT_Encode4(2433050), // Rule ID 45219 //
     /* 2432983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2432992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433015 */     // MIs[0] policy
     /* 2433015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433025 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2433028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433049 */     // GIR_Coverage, 45219,
     /* 2433049 */     GIR_EraseRootFromParent_Done,
     /* 2433050 */   // Label 35219: @2433050
     /* 2433050 */   GIM_Try, /*On fail goto*//*Label 35220*/ GIMT_Encode4(2433122), // Rule ID 45290 //
     /* 2433055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433087 */     // MIs[0] policy
     /* 2433087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433097 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2433100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433121 */     // GIR_Coverage, 45290,
     /* 2433121 */     GIR_EraseRootFromParent_Done,
     /* 2433122 */   // Label 35220: @2433122
     /* 2433122 */   GIM_Try, /*On fail goto*//*Label 35221*/ GIMT_Encode4(2433194), // Rule ID 45291 //
     /* 2433127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433159 */     // MIs[0] policy
     /* 2433159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433169 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2433172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433193 */     // GIR_Coverage, 45291,
     /* 2433193 */     GIR_EraseRootFromParent_Done,
     /* 2433194 */   // Label 35221: @2433194
     /* 2433194 */   GIM_Reject,
     /* 2433195 */ // Label 35213: @2433195
     /* 2433195 */ GIM_Reject,
     /* 2433196 */ // Label 35131: @2433196
     /* 2433196 */ GIM_Try, /*On fail goto*//*Label 35222*/ GIMT_Encode4(2433828),
     /* 2433201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2433204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2433207 */   GIM_Try, /*On fail goto*//*Label 35223*/ GIMT_Encode4(2433290), // Rule ID 45252 //
     /* 2433212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433248 */     // MIs[1] Operand 1
     /* 2433248 */     // No operand predicates
     /* 2433248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433252 */     // MIs[0] policy
     /* 2433252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433264 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2433267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433289 */     // GIR_Coverage, 45252,
     /* 2433289 */     GIR_EraseRootFromParent_Done,
     /* 2433290 */   // Label 35223: @2433290
     /* 2433290 */   GIM_Try, /*On fail goto*//*Label 35224*/ GIMT_Encode4(2433373), // Rule ID 45253 //
     /* 2433295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433331 */     // MIs[1] Operand 1
     /* 2433331 */     // No operand predicates
     /* 2433331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433335 */     // MIs[0] policy
     /* 2433335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433347 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2433350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433372 */     // GIR_Coverage, 45253,
     /* 2433372 */     GIR_EraseRootFromParent_Done,
     /* 2433373 */   // Label 35224: @2433373
     /* 2433373 */   GIM_Try, /*On fail goto*//*Label 35225*/ GIMT_Encode4(2433456), // Rule ID 45312 //
     /* 2433378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433414 */     // MIs[1] Operand 1
     /* 2433414 */     // No operand predicates
     /* 2433414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433418 */     // MIs[0] policy
     /* 2433418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433430 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2433433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433455 */     // GIR_Coverage, 45312,
     /* 2433455 */     GIR_EraseRootFromParent_Done,
     /* 2433456 */   // Label 35225: @2433456
     /* 2433456 */   GIM_Try, /*On fail goto*//*Label 35226*/ GIMT_Encode4(2433539), // Rule ID 45313 //
     /* 2433461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433497 */     // MIs[1] Operand 1
     /* 2433497 */     // No operand predicates
     /* 2433497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433501 */     // MIs[0] policy
     /* 2433501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433513 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2433516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433538 */     // GIR_Coverage, 45313,
     /* 2433538 */     GIR_EraseRootFromParent_Done,
     /* 2433539 */   // Label 35226: @2433539
     /* 2433539 */   GIM_Try, /*On fail goto*//*Label 35227*/ GIMT_Encode4(2433611), // Rule ID 45254 //
     /* 2433544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433576 */     // MIs[0] policy
     /* 2433576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433586 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2433589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433610 */     // GIR_Coverage, 45254,
     /* 2433610 */     GIR_EraseRootFromParent_Done,
     /* 2433611 */   // Label 35227: @2433611
     /* 2433611 */   GIM_Try, /*On fail goto*//*Label 35228*/ GIMT_Encode4(2433683), // Rule ID 45255 //
     /* 2433616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433648 */     // MIs[0] policy
     /* 2433648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433658 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2433661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433682 */     // GIR_Coverage, 45255,
     /* 2433682 */     GIR_EraseRootFromParent_Done,
     /* 2433683 */   // Label 35228: @2433683
     /* 2433683 */   GIM_Try, /*On fail goto*//*Label 35229*/ GIMT_Encode4(2433755), // Rule ID 45314 //
     /* 2433688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433720 */     // MIs[0] policy
     /* 2433720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433730 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2433733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433754 */     // GIR_Coverage, 45314,
     /* 2433754 */     GIR_EraseRootFromParent_Done,
     /* 2433755 */   // Label 35229: @2433755
     /* 2433755 */   GIM_Try, /*On fail goto*//*Label 35230*/ GIMT_Encode4(2433827), // Rule ID 45315 //
     /* 2433760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2433776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433792 */     // MIs[0] policy
     /* 2433792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433802 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2433805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433826 */     // GIR_Coverage, 45315,
     /* 2433826 */     GIR_EraseRootFromParent_Done,
     /* 2433827 */   // Label 35230: @2433827
     /* 2433827 */   GIM_Reject,
     /* 2433828 */ // Label 35222: @2433828
     /* 2433828 */ GIM_Reject,
     /* 2433829 */ // Label 35132: @2433829
     /* 2433829 */ GIM_Try, /*On fail goto*//*Label 35231*/ GIMT_Encode4(2434461),
     /* 2433834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2433837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2433840 */   GIM_Try, /*On fail goto*//*Label 35232*/ GIMT_Encode4(2433923), // Rule ID 45268 //
     /* 2433845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2433848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2433861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2433865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2433869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433881 */     // MIs[1] Operand 1
     /* 2433881 */     // No operand predicates
     /* 2433881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433885 */     // MIs[0] policy
     /* 2433885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433897 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2433900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433922 */     // GIR_Coverage, 45268,
     /* 2433922 */     GIR_EraseRootFromParent_Done,
     /* 2433923 */   // Label 35232: @2433923
     /* 2433923 */   GIM_Try, /*On fail goto*//*Label 35233*/ GIMT_Encode4(2434006), // Rule ID 45269 //
     /* 2433928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2433931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2433937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2433944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2433948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2433952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433964 */     // MIs[1] Operand 1
     /* 2433964 */     // No operand predicates
     /* 2433964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433968 */     // MIs[0] policy
     /* 2433968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433980 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2433983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434005 */     // GIR_Coverage, 45269,
     /* 2434005 */     GIR_EraseRootFromParent_Done,
     /* 2434006 */   // Label 35233: @2434006
     /* 2434006 */   GIM_Try, /*On fail goto*//*Label 35234*/ GIMT_Encode4(2434089), // Rule ID 45328 //
     /* 2434011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2434027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434047 */     // MIs[1] Operand 1
     /* 2434047 */     // No operand predicates
     /* 2434047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434051 */     // MIs[0] policy
     /* 2434051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434063 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2434066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434088 */     // GIR_Coverage, 45328,
     /* 2434088 */     GIR_EraseRootFromParent_Done,
     /* 2434089 */   // Label 35234: @2434089
     /* 2434089 */   GIM_Try, /*On fail goto*//*Label 35235*/ GIMT_Encode4(2434172), // Rule ID 45329 //
     /* 2434094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2434110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434130 */     // MIs[1] Operand 1
     /* 2434130 */     // No operand predicates
     /* 2434130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434134 */     // MIs[0] policy
     /* 2434134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434146 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2434149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434171 */     // GIR_Coverage, 45329,
     /* 2434171 */     GIR_EraseRootFromParent_Done,
     /* 2434172 */   // Label 35235: @2434172
     /* 2434172 */   GIM_Try, /*On fail goto*//*Label 35236*/ GIMT_Encode4(2434244), // Rule ID 45270 //
     /* 2434177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2434193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434209 */     // MIs[0] policy
     /* 2434209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434219 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2434222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434243 */     // GIR_Coverage, 45270,
     /* 2434243 */     GIR_EraseRootFromParent_Done,
     /* 2434244 */   // Label 35236: @2434244
     /* 2434244 */   GIM_Try, /*On fail goto*//*Label 35237*/ GIMT_Encode4(2434316), // Rule ID 45271 //
     /* 2434249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2434265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434281 */     // MIs[0] policy
     /* 2434281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434291 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2434294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434315 */     // GIR_Coverage, 45271,
     /* 2434315 */     GIR_EraseRootFromParent_Done,
     /* 2434316 */   // Label 35237: @2434316
     /* 2434316 */   GIM_Try, /*On fail goto*//*Label 35238*/ GIMT_Encode4(2434388), // Rule ID 45330 //
     /* 2434321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2434337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434353 */     // MIs[0] policy
     /* 2434353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434363 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2434366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434387 */     // GIR_Coverage, 45330,
     /* 2434387 */     GIR_EraseRootFromParent_Done,
     /* 2434388 */   // Label 35238: @2434388
     /* 2434388 */   GIM_Try, /*On fail goto*//*Label 35239*/ GIMT_Encode4(2434460), // Rule ID 45331 //
     /* 2434393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2434409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434425 */     // MIs[0] policy
     /* 2434425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434435 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2434438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434459 */     // GIR_Coverage, 45331,
     /* 2434459 */     GIR_EraseRootFromParent_Done,
     /* 2434460 */   // Label 35239: @2434460
     /* 2434460 */   GIM_Reject,
     /* 2434461 */ // Label 35231: @2434461
     /* 2434461 */ GIM_Reject,
     /* 2434462 */ // Label 35133: @2434462
     /* 2434462 */ GIM_Try, /*On fail goto*//*Label 35240*/ GIMT_Encode4(2434784),
     /* 2434467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2434470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2434473 */   GIM_Try, /*On fail goto*//*Label 35241*/ GIMT_Encode4(2434556), // Rule ID 45212 //
     /* 2434478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2434487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434514 */     // MIs[1] Operand 1
     /* 2434514 */     // No operand predicates
     /* 2434514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434518 */     // MIs[0] policy
     /* 2434518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434530 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2434533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434555 */     // GIR_Coverage, 45212,
     /* 2434555 */     GIR_EraseRootFromParent_Done,
     /* 2434556 */   // Label 35241: @2434556
     /* 2434556 */   GIM_Try, /*On fail goto*//*Label 35242*/ GIMT_Encode4(2434639), // Rule ID 45213 //
     /* 2434561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2434570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434597 */     // MIs[1] Operand 1
     /* 2434597 */     // No operand predicates
     /* 2434597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434601 */     // MIs[0] policy
     /* 2434601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434613 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2434616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434638 */     // GIR_Coverage, 45213,
     /* 2434638 */     GIR_EraseRootFromParent_Done,
     /* 2434639 */   // Label 35242: @2434639
     /* 2434639 */   GIM_Try, /*On fail goto*//*Label 35243*/ GIMT_Encode4(2434711), // Rule ID 45214 //
     /* 2434644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2434653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434676 */     // MIs[0] policy
     /* 2434676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434686 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2434689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434710 */     // GIR_Coverage, 45214,
     /* 2434710 */     GIR_EraseRootFromParent_Done,
     /* 2434711 */   // Label 35243: @2434711
     /* 2434711 */   GIM_Try, /*On fail goto*//*Label 35244*/ GIMT_Encode4(2434783), // Rule ID 45215 //
     /* 2434716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2434725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434748 */     // MIs[0] policy
     /* 2434748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434758 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2434761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434782 */     // GIR_Coverage, 45215,
     /* 2434782 */     GIR_EraseRootFromParent_Done,
     /* 2434783 */   // Label 35244: @2434783
     /* 2434783 */   GIM_Reject,
     /* 2434784 */ // Label 35240: @2434784
     /* 2434784 */ GIM_Reject,
     /* 2434785 */ // Label 35134: @2434785
     /* 2434785 */ GIM_Try, /*On fail goto*//*Label 35245*/ GIMT_Encode4(2435417),
     /* 2434790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2434793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2434796 */   GIM_Try, /*On fail goto*//*Label 35246*/ GIMT_Encode4(2434879), // Rule ID 45240 //
     /* 2434801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2434810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434837 */     // MIs[1] Operand 1
     /* 2434837 */     // No operand predicates
     /* 2434837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434841 */     // MIs[0] policy
     /* 2434841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434853 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2434856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434878 */     // GIR_Coverage, 45240,
     /* 2434878 */     GIR_EraseRootFromParent_Done,
     /* 2434879 */   // Label 35246: @2434879
     /* 2434879 */   GIM_Try, /*On fail goto*//*Label 35247*/ GIMT_Encode4(2434962), // Rule ID 45241 //
     /* 2434884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2434893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434920 */     // MIs[1] Operand 1
     /* 2434920 */     // No operand predicates
     /* 2434920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434924 */     // MIs[0] policy
     /* 2434924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434936 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2434939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434961 */     // GIR_Coverage, 45241,
     /* 2434961 */     GIR_EraseRootFromParent_Done,
     /* 2434962 */   // Label 35247: @2434962
     /* 2434962 */   GIM_Try, /*On fail goto*//*Label 35248*/ GIMT_Encode4(2435045), // Rule ID 45300 //
     /* 2434967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2434976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435003 */     // MIs[1] Operand 1
     /* 2435003 */     // No operand predicates
     /* 2435003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435007 */     // MIs[0] policy
     /* 2435007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435019 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2435022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435044 */     // GIR_Coverage, 45300,
     /* 2435044 */     GIR_EraseRootFromParent_Done,
     /* 2435045 */   // Label 35248: @2435045
     /* 2435045 */   GIM_Try, /*On fail goto*//*Label 35249*/ GIMT_Encode4(2435128), // Rule ID 45301 //
     /* 2435050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435086 */     // MIs[1] Operand 1
     /* 2435086 */     // No operand predicates
     /* 2435086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435090 */     // MIs[0] policy
     /* 2435090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435102 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2435105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435127 */     // GIR_Coverage, 45301,
     /* 2435127 */     GIR_EraseRootFromParent_Done,
     /* 2435128 */   // Label 35249: @2435128
     /* 2435128 */   GIM_Try, /*On fail goto*//*Label 35250*/ GIMT_Encode4(2435200), // Rule ID 45242 //
     /* 2435133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435165 */     // MIs[0] policy
     /* 2435165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435175 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2435178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435199 */     // GIR_Coverage, 45242,
     /* 2435199 */     GIR_EraseRootFromParent_Done,
     /* 2435200 */   // Label 35250: @2435200
     /* 2435200 */   GIM_Try, /*On fail goto*//*Label 35251*/ GIMT_Encode4(2435272), // Rule ID 45243 //
     /* 2435205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435237 */     // MIs[0] policy
     /* 2435237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435247 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2435250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435271 */     // GIR_Coverage, 45243,
     /* 2435271 */     GIR_EraseRootFromParent_Done,
     /* 2435272 */   // Label 35251: @2435272
     /* 2435272 */   GIM_Try, /*On fail goto*//*Label 35252*/ GIMT_Encode4(2435344), // Rule ID 45302 //
     /* 2435277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435309 */     // MIs[0] policy
     /* 2435309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435319 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2435322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435343 */     // GIR_Coverage, 45302,
     /* 2435343 */     GIR_EraseRootFromParent_Done,
     /* 2435344 */   // Label 35252: @2435344
     /* 2435344 */   GIM_Try, /*On fail goto*//*Label 35253*/ GIMT_Encode4(2435416), // Rule ID 45303 //
     /* 2435349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435381 */     // MIs[0] policy
     /* 2435381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435391 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2435394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435415 */     // GIR_Coverage, 45303,
     /* 2435415 */     GIR_EraseRootFromParent_Done,
     /* 2435416 */   // Label 35253: @2435416
     /* 2435416 */   GIM_Reject,
     /* 2435417 */ // Label 35245: @2435417
     /* 2435417 */ GIM_Reject,
     /* 2435418 */ // Label 35135: @2435418
     /* 2435418 */ GIM_Try, /*On fail goto*//*Label 35254*/ GIMT_Encode4(2436050),
     /* 2435423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2435426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2435429 */   GIM_Try, /*On fail goto*//*Label 35255*/ GIMT_Encode4(2435512), // Rule ID 45256 //
     /* 2435434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435470 */     // MIs[1] Operand 1
     /* 2435470 */     // No operand predicates
     /* 2435470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435474 */     // MIs[0] policy
     /* 2435474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435486 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2435489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435511 */     // GIR_Coverage, 45256,
     /* 2435511 */     GIR_EraseRootFromParent_Done,
     /* 2435512 */   // Label 35255: @2435512
     /* 2435512 */   GIM_Try, /*On fail goto*//*Label 35256*/ GIMT_Encode4(2435595), // Rule ID 45257 //
     /* 2435517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435553 */     // MIs[1] Operand 1
     /* 2435553 */     // No operand predicates
     /* 2435553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435557 */     // MIs[0] policy
     /* 2435557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435569 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2435572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435594 */     // GIR_Coverage, 45257,
     /* 2435594 */     GIR_EraseRootFromParent_Done,
     /* 2435595 */   // Label 35256: @2435595
     /* 2435595 */   GIM_Try, /*On fail goto*//*Label 35257*/ GIMT_Encode4(2435678), // Rule ID 45316 //
     /* 2435600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435636 */     // MIs[1] Operand 1
     /* 2435636 */     // No operand predicates
     /* 2435636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435640 */     // MIs[0] policy
     /* 2435640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435652 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2435655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435677 */     // GIR_Coverage, 45316,
     /* 2435677 */     GIR_EraseRootFromParent_Done,
     /* 2435678 */   // Label 35257: @2435678
     /* 2435678 */   GIM_Try, /*On fail goto*//*Label 35258*/ GIMT_Encode4(2435761), // Rule ID 45317 //
     /* 2435683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435719 */     // MIs[1] Operand 1
     /* 2435719 */     // No operand predicates
     /* 2435719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435723 */     // MIs[0] policy
     /* 2435723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435735 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2435738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435760 */     // GIR_Coverage, 45317,
     /* 2435760 */     GIR_EraseRootFromParent_Done,
     /* 2435761 */   // Label 35258: @2435761
     /* 2435761 */   GIM_Try, /*On fail goto*//*Label 35259*/ GIMT_Encode4(2435833), // Rule ID 45258 //
     /* 2435766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435798 */     // MIs[0] policy
     /* 2435798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435808 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2435811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435832 */     // GIR_Coverage, 45258,
     /* 2435832 */     GIR_EraseRootFromParent_Done,
     /* 2435833 */   // Label 35259: @2435833
     /* 2435833 */   GIM_Try, /*On fail goto*//*Label 35260*/ GIMT_Encode4(2435905), // Rule ID 45259 //
     /* 2435838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435870 */     // MIs[0] policy
     /* 2435870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435880 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2435883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435904 */     // GIR_Coverage, 45259,
     /* 2435904 */     GIR_EraseRootFromParent_Done,
     /* 2435905 */   // Label 35260: @2435905
     /* 2435905 */   GIM_Try, /*On fail goto*//*Label 35261*/ GIMT_Encode4(2435977), // Rule ID 45318 //
     /* 2435910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435942 */     // MIs[0] policy
     /* 2435942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435952 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2435955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435976 */     // GIR_Coverage, 45318,
     /* 2435976 */     GIR_EraseRootFromParent_Done,
     /* 2435977 */   // Label 35261: @2435977
     /* 2435977 */   GIM_Try, /*On fail goto*//*Label 35262*/ GIMT_Encode4(2436049), // Rule ID 45319 //
     /* 2435982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2435991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2435998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436014 */     // MIs[0] policy
     /* 2436014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436024 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2436027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436048 */     // GIR_Coverage, 45319,
     /* 2436048 */     GIR_EraseRootFromParent_Done,
     /* 2436049 */   // Label 35262: @2436049
     /* 2436049 */   GIM_Reject,
     /* 2436050 */ // Label 35254: @2436050
     /* 2436050 */ GIM_Reject,
     /* 2436051 */ // Label 35136: @2436051
     /* 2436051 */ GIM_Try, /*On fail goto*//*Label 35263*/ GIMT_Encode4(2436683),
     /* 2436056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2436059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2436062 */   GIM_Try, /*On fail goto*//*Label 35264*/ GIMT_Encode4(2436145), // Rule ID 45272 //
     /* 2436067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436103 */     // MIs[1] Operand 1
     /* 2436103 */     // No operand predicates
     /* 2436103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436107 */     // MIs[0] policy
     /* 2436107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436119 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2436122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436144 */     // GIR_Coverage, 45272,
     /* 2436144 */     GIR_EraseRootFromParent_Done,
     /* 2436145 */   // Label 35264: @2436145
     /* 2436145 */   GIM_Try, /*On fail goto*//*Label 35265*/ GIMT_Encode4(2436228), // Rule ID 45273 //
     /* 2436150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436186 */     // MIs[1] Operand 1
     /* 2436186 */     // No operand predicates
     /* 2436186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436190 */     // MIs[0] policy
     /* 2436190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436202 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2436205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436227 */     // GIR_Coverage, 45273,
     /* 2436227 */     GIR_EraseRootFromParent_Done,
     /* 2436228 */   // Label 35265: @2436228
     /* 2436228 */   GIM_Try, /*On fail goto*//*Label 35266*/ GIMT_Encode4(2436311), // Rule ID 45332 //
     /* 2436233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436269 */     // MIs[1] Operand 1
     /* 2436269 */     // No operand predicates
     /* 2436269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436273 */     // MIs[0] policy
     /* 2436273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436285 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2436288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436310 */     // GIR_Coverage, 45332,
     /* 2436310 */     GIR_EraseRootFromParent_Done,
     /* 2436311 */   // Label 35266: @2436311
     /* 2436311 */   GIM_Try, /*On fail goto*//*Label 35267*/ GIMT_Encode4(2436394), // Rule ID 45333 //
     /* 2436316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436352 */     // MIs[1] Operand 1
     /* 2436352 */     // No operand predicates
     /* 2436352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436356 */     // MIs[0] policy
     /* 2436356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436368 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2436371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436393 */     // GIR_Coverage, 45333,
     /* 2436393 */     GIR_EraseRootFromParent_Done,
     /* 2436394 */   // Label 35267: @2436394
     /* 2436394 */   GIM_Try, /*On fail goto*//*Label 35268*/ GIMT_Encode4(2436466), // Rule ID 45274 //
     /* 2436399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436431 */     // MIs[0] policy
     /* 2436431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436441 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2436444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436465 */     // GIR_Coverage, 45274,
     /* 2436465 */     GIR_EraseRootFromParent_Done,
     /* 2436466 */   // Label 35268: @2436466
     /* 2436466 */   GIM_Try, /*On fail goto*//*Label 35269*/ GIMT_Encode4(2436538), // Rule ID 45275 //
     /* 2436471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436503 */     // MIs[0] policy
     /* 2436503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436513 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2436516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436537 */     // GIR_Coverage, 45275,
     /* 2436537 */     GIR_EraseRootFromParent_Done,
     /* 2436538 */   // Label 35269: @2436538
     /* 2436538 */   GIM_Try, /*On fail goto*//*Label 35270*/ GIMT_Encode4(2436610), // Rule ID 45334 //
     /* 2436543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436575 */     // MIs[0] policy
     /* 2436575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436585 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2436588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436609 */     // GIR_Coverage, 45334,
     /* 2436609 */     GIR_EraseRootFromParent_Done,
     /* 2436610 */   // Label 35270: @2436610
     /* 2436610 */   GIM_Try, /*On fail goto*//*Label 35271*/ GIMT_Encode4(2436682), // Rule ID 45335 //
     /* 2436615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2436624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2436631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2436639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436647 */     // MIs[0] policy
     /* 2436647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436657 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2436660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436681 */     // GIR_Coverage, 45335,
     /* 2436681 */     GIR_EraseRootFromParent_Done,
     /* 2436682 */   // Label 35271: @2436682
     /* 2436682 */   GIM_Reject,
     /* 2436683 */ // Label 35263: @2436683
     /* 2436683 */ GIM_Reject,
     /* 2436684 */ // Label 35137: @2436684
     /* 2436684 */ GIM_Try, /*On fail goto*//*Label 35272*/ GIMT_Encode4(2437006),
     /* 2436689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2436692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2436695 */   GIM_Try, /*On fail goto*//*Label 35273*/ GIMT_Encode4(2436778), // Rule ID 45228 //
     /* 2436700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2436709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436736 */     // MIs[1] Operand 1
     /* 2436736 */     // No operand predicates
     /* 2436736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436740 */     // MIs[0] policy
     /* 2436740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436752 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2436755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2436774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436777 */     // GIR_Coverage, 45228,
     /* 2436777 */     GIR_EraseRootFromParent_Done,
     /* 2436778 */   // Label 35273: @2436778
     /* 2436778 */   GIM_Try, /*On fail goto*//*Label 35274*/ GIMT_Encode4(2436861), // Rule ID 45229 //
     /* 2436783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2436792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436819 */     // MIs[1] Operand 1
     /* 2436819 */     // No operand predicates
     /* 2436819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436823 */     // MIs[0] policy
     /* 2436823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436835 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2436838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2436857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436860 */     // GIR_Coverage, 45229,
     /* 2436860 */     GIR_EraseRootFromParent_Done,
     /* 2436861 */   // Label 35274: @2436861
     /* 2436861 */   GIM_Try, /*On fail goto*//*Label 35275*/ GIMT_Encode4(2436933), // Rule ID 45230 //
     /* 2436866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2436875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436898 */     // MIs[0] policy
     /* 2436898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436908 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2436911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2436929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436932 */     // GIR_Coverage, 45230,
     /* 2436932 */     GIR_EraseRootFromParent_Done,
     /* 2436933 */   // Label 35275: @2436933
     /* 2436933 */   GIM_Try, /*On fail goto*//*Label 35276*/ GIMT_Encode4(2437005), // Rule ID 45231 //
     /* 2436938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2436947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436970 */     // MIs[0] policy
     /* 2436970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436980 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2436983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437004 */     // GIR_Coverage, 45231,
     /* 2437004 */     GIR_EraseRootFromParent_Done,
     /* 2437005 */   // Label 35276: @2437005
     /* 2437005 */   GIM_Reject,
     /* 2437006 */ // Label 35272: @2437006
     /* 2437006 */ GIM_Reject,
     /* 2437007 */ // Label 35138: @2437007
     /* 2437007 */ GIM_Try, /*On fail goto*//*Label 35277*/ GIMT_Encode4(2437639),
     /* 2437012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2437015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2437018 */   GIM_Try, /*On fail goto*//*Label 35278*/ GIMT_Encode4(2437101), // Rule ID 45244 //
     /* 2437023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437059 */     // MIs[1] Operand 1
     /* 2437059 */     // No operand predicates
     /* 2437059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437063 */     // MIs[0] policy
     /* 2437063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437075 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2437078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437100 */     // GIR_Coverage, 45244,
     /* 2437100 */     GIR_EraseRootFromParent_Done,
     /* 2437101 */   // Label 35278: @2437101
     /* 2437101 */   GIM_Try, /*On fail goto*//*Label 35279*/ GIMT_Encode4(2437184), // Rule ID 45245 //
     /* 2437106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437142 */     // MIs[1] Operand 1
     /* 2437142 */     // No operand predicates
     /* 2437142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437146 */     // MIs[0] policy
     /* 2437146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437158 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2437161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437183 */     // GIR_Coverage, 45245,
     /* 2437183 */     GIR_EraseRootFromParent_Done,
     /* 2437184 */   // Label 35279: @2437184
     /* 2437184 */   GIM_Try, /*On fail goto*//*Label 35280*/ GIMT_Encode4(2437267), // Rule ID 45304 //
     /* 2437189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437225 */     // MIs[1] Operand 1
     /* 2437225 */     // No operand predicates
     /* 2437225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437229 */     // MIs[0] policy
     /* 2437229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437241 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2437244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437266 */     // GIR_Coverage, 45304,
     /* 2437266 */     GIR_EraseRootFromParent_Done,
     /* 2437267 */   // Label 35280: @2437267
     /* 2437267 */   GIM_Try, /*On fail goto*//*Label 35281*/ GIMT_Encode4(2437350), // Rule ID 45305 //
     /* 2437272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437308 */     // MIs[1] Operand 1
     /* 2437308 */     // No operand predicates
     /* 2437308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437312 */     // MIs[0] policy
     /* 2437312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437324 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2437327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437349 */     // GIR_Coverage, 45305,
     /* 2437349 */     GIR_EraseRootFromParent_Done,
     /* 2437350 */   // Label 35281: @2437350
     /* 2437350 */   GIM_Try, /*On fail goto*//*Label 35282*/ GIMT_Encode4(2437422), // Rule ID 45246 //
     /* 2437355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437387 */     // MIs[0] policy
     /* 2437387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437397 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2437400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437421 */     // GIR_Coverage, 45246,
     /* 2437421 */     GIR_EraseRootFromParent_Done,
     /* 2437422 */   // Label 35282: @2437422
     /* 2437422 */   GIM_Try, /*On fail goto*//*Label 35283*/ GIMT_Encode4(2437494), // Rule ID 45247 //
     /* 2437427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437459 */     // MIs[0] policy
     /* 2437459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437469 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2437472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437493 */     // GIR_Coverage, 45247,
     /* 2437493 */     GIR_EraseRootFromParent_Done,
     /* 2437494 */   // Label 35283: @2437494
     /* 2437494 */   GIM_Try, /*On fail goto*//*Label 35284*/ GIMT_Encode4(2437566), // Rule ID 45306 //
     /* 2437499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437531 */     // MIs[0] policy
     /* 2437531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437541 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2437544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437565 */     // GIR_Coverage, 45306,
     /* 2437565 */     GIR_EraseRootFromParent_Done,
     /* 2437566 */   // Label 35284: @2437566
     /* 2437566 */   GIM_Try, /*On fail goto*//*Label 35285*/ GIMT_Encode4(2437638), // Rule ID 45307 //
     /* 2437571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2437587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2437595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437603 */     // MIs[0] policy
     /* 2437603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437613 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2437616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437637 */     // GIR_Coverage, 45307,
     /* 2437637 */     GIR_EraseRootFromParent_Done,
     /* 2437638 */   // Label 35285: @2437638
     /* 2437638 */   GIM_Reject,
     /* 2437639 */ // Label 35277: @2437639
     /* 2437639 */ GIM_Reject,
     /* 2437640 */ // Label 35139: @2437640
     /* 2437640 */ GIM_Try, /*On fail goto*//*Label 35286*/ GIMT_Encode4(2438272),
     /* 2437645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2437648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2437651 */   GIM_Try, /*On fail goto*//*Label 35287*/ GIMT_Encode4(2437734), // Rule ID 45260 //
     /* 2437656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437692 */     // MIs[1] Operand 1
     /* 2437692 */     // No operand predicates
     /* 2437692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437696 */     // MIs[0] policy
     /* 2437696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437708 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2437711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437733 */     // GIR_Coverage, 45260,
     /* 2437733 */     GIR_EraseRootFromParent_Done,
     /* 2437734 */   // Label 35287: @2437734
     /* 2437734 */   GIM_Try, /*On fail goto*//*Label 35288*/ GIMT_Encode4(2437817), // Rule ID 45261 //
     /* 2437739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437775 */     // MIs[1] Operand 1
     /* 2437775 */     // No operand predicates
     /* 2437775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437779 */     // MIs[0] policy
     /* 2437779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437791 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2437794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437816 */     // GIR_Coverage, 45261,
     /* 2437816 */     GIR_EraseRootFromParent_Done,
     /* 2437817 */   // Label 35288: @2437817
     /* 2437817 */   GIM_Try, /*On fail goto*//*Label 35289*/ GIMT_Encode4(2437900), // Rule ID 45320 //
     /* 2437822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437858 */     // MIs[1] Operand 1
     /* 2437858 */     // No operand predicates
     /* 2437858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437862 */     // MIs[0] policy
     /* 2437862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437874 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2437877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437899 */     // GIR_Coverage, 45320,
     /* 2437899 */     GIR_EraseRootFromParent_Done,
     /* 2437900 */   // Label 35289: @2437900
     /* 2437900 */   GIM_Try, /*On fail goto*//*Label 35290*/ GIMT_Encode4(2437983), // Rule ID 45321 //
     /* 2437905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2437921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2437929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437941 */     // MIs[1] Operand 1
     /* 2437941 */     // No operand predicates
     /* 2437941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437945 */     // MIs[0] policy
     /* 2437945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437957 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2437960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437982 */     // GIR_Coverage, 45321,
     /* 2437982 */     GIR_EraseRootFromParent_Done,
     /* 2437983 */   // Label 35290: @2437983
     /* 2437983 */   GIM_Try, /*On fail goto*//*Label 35291*/ GIMT_Encode4(2438055), // Rule ID 45262 //
     /* 2437988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2437997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438020 */     // MIs[0] policy
     /* 2438020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438030 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2438033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438054 */     // GIR_Coverage, 45262,
     /* 2438054 */     GIR_EraseRootFromParent_Done,
     /* 2438055 */   // Label 35291: @2438055
     /* 2438055 */   GIM_Try, /*On fail goto*//*Label 35292*/ GIMT_Encode4(2438127), // Rule ID 45263 //
     /* 2438060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438092 */     // MIs[0] policy
     /* 2438092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438102 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2438105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438126 */     // GIR_Coverage, 45263,
     /* 2438126 */     GIR_EraseRootFromParent_Done,
     /* 2438127 */   // Label 35292: @2438127
     /* 2438127 */   GIM_Try, /*On fail goto*//*Label 35293*/ GIMT_Encode4(2438199), // Rule ID 45322 //
     /* 2438132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438164 */     // MIs[0] policy
     /* 2438164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438174 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2438177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438198 */     // GIR_Coverage, 45322,
     /* 2438198 */     GIR_EraseRootFromParent_Done,
     /* 2438199 */   // Label 35293: @2438199
     /* 2438199 */   GIM_Try, /*On fail goto*//*Label 35294*/ GIMT_Encode4(2438271), // Rule ID 45323 //
     /* 2438204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2438213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438236 */     // MIs[0] policy
     /* 2438236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438246 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2438249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438270 */     // GIR_Coverage, 45323,
     /* 2438270 */     GIR_EraseRootFromParent_Done,
     /* 2438271 */   // Label 35294: @2438271
     /* 2438271 */   GIM_Reject,
     /* 2438272 */ // Label 35286: @2438272
     /* 2438272 */ GIM_Reject,
     /* 2438273 */ // Label 35140: @2438273
     /* 2438273 */ GIM_Try, /*On fail goto*//*Label 35295*/ GIMT_Encode4(2438595),
     /* 2438278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2438281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2438284 */   GIM_Try, /*On fail goto*//*Label 35296*/ GIMT_Encode4(2438367), // Rule ID 45232 //
     /* 2438289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438325 */     // MIs[1] Operand 1
     /* 2438325 */     // No operand predicates
     /* 2438325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438329 */     // MIs[0] policy
     /* 2438329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438341 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2438344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438366 */     // GIR_Coverage, 45232,
     /* 2438366 */     GIR_EraseRootFromParent_Done,
     /* 2438367 */   // Label 35296: @2438367
     /* 2438367 */   GIM_Try, /*On fail goto*//*Label 35297*/ GIMT_Encode4(2438450), // Rule ID 45233 //
     /* 2438372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438408 */     // MIs[1] Operand 1
     /* 2438408 */     // No operand predicates
     /* 2438408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438412 */     // MIs[0] policy
     /* 2438412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438424 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2438427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438449 */     // GIR_Coverage, 45233,
     /* 2438449 */     GIR_EraseRootFromParent_Done,
     /* 2438450 */   // Label 35297: @2438450
     /* 2438450 */   GIM_Try, /*On fail goto*//*Label 35298*/ GIMT_Encode4(2438522), // Rule ID 45234 //
     /* 2438455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438487 */     // MIs[0] policy
     /* 2438487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438497 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2438500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438521 */     // GIR_Coverage, 45234,
     /* 2438521 */     GIR_EraseRootFromParent_Done,
     /* 2438522 */   // Label 35298: @2438522
     /* 2438522 */   GIM_Try, /*On fail goto*//*Label 35299*/ GIMT_Encode4(2438594), // Rule ID 45235 //
     /* 2438527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438559 */     // MIs[0] policy
     /* 2438559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438569 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2438572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438593 */     // GIR_Coverage, 45235,
     /* 2438593 */     GIR_EraseRootFromParent_Done,
     /* 2438594 */   // Label 35299: @2438594
     /* 2438594 */   GIM_Reject,
     /* 2438595 */ // Label 35295: @2438595
     /* 2438595 */ GIM_Reject,
     /* 2438596 */ // Label 35141: @2438596
     /* 2438596 */ GIM_Try, /*On fail goto*//*Label 35300*/ GIMT_Encode4(2439228),
     /* 2438601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2438604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2438607 */   GIM_Try, /*On fail goto*//*Label 35301*/ GIMT_Encode4(2438690), // Rule ID 45248 //
     /* 2438612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438648 */     // MIs[1] Operand 1
     /* 2438648 */     // No operand predicates
     /* 2438648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438652 */     // MIs[0] policy
     /* 2438652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438664 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2438667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438689 */     // GIR_Coverage, 45248,
     /* 2438689 */     GIR_EraseRootFromParent_Done,
     /* 2438690 */   // Label 35301: @2438690
     /* 2438690 */   GIM_Try, /*On fail goto*//*Label 35302*/ GIMT_Encode4(2438773), // Rule ID 45249 //
     /* 2438695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438731 */     // MIs[1] Operand 1
     /* 2438731 */     // No operand predicates
     /* 2438731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438735 */     // MIs[0] policy
     /* 2438735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438747 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2438750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438772 */     // GIR_Coverage, 45249,
     /* 2438772 */     GIR_EraseRootFromParent_Done,
     /* 2438773 */   // Label 35302: @2438773
     /* 2438773 */   GIM_Try, /*On fail goto*//*Label 35303*/ GIMT_Encode4(2438856), // Rule ID 45308 //
     /* 2438778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438814 */     // MIs[1] Operand 1
     /* 2438814 */     // No operand predicates
     /* 2438814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438818 */     // MIs[0] policy
     /* 2438818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438830 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2438833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438855 */     // GIR_Coverage, 45308,
     /* 2438855 */     GIR_EraseRootFromParent_Done,
     /* 2438856 */   // Label 35303: @2438856
     /* 2438856 */   GIM_Try, /*On fail goto*//*Label 35304*/ GIMT_Encode4(2438939), // Rule ID 45309 //
     /* 2438861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438897 */     // MIs[1] Operand 1
     /* 2438897 */     // No operand predicates
     /* 2438897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438901 */     // MIs[0] policy
     /* 2438901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438913 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2438916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438938 */     // GIR_Coverage, 45309,
     /* 2438938 */     GIR_EraseRootFromParent_Done,
     /* 2438939 */   // Label 35304: @2438939
     /* 2438939 */   GIM_Try, /*On fail goto*//*Label 35305*/ GIMT_Encode4(2439011), // Rule ID 45250 //
     /* 2438944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2438953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438976 */     // MIs[0] policy
     /* 2438976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438986 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2438989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439010 */     // GIR_Coverage, 45250,
     /* 2439010 */     GIR_EraseRootFromParent_Done,
     /* 2439011 */   // Label 35305: @2439011
     /* 2439011 */   GIM_Try, /*On fail goto*//*Label 35306*/ GIMT_Encode4(2439083), // Rule ID 45251 //
     /* 2439016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439048 */     // MIs[0] policy
     /* 2439048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439058 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2439061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439082 */     // GIR_Coverage, 45251,
     /* 2439082 */     GIR_EraseRootFromParent_Done,
     /* 2439083 */   // Label 35306: @2439083
     /* 2439083 */   GIM_Try, /*On fail goto*//*Label 35307*/ GIMT_Encode4(2439155), // Rule ID 45310 //
     /* 2439088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439120 */     // MIs[0] policy
     /* 2439120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439130 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2439133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439154 */     // GIR_Coverage, 45310,
     /* 2439154 */     GIR_EraseRootFromParent_Done,
     /* 2439155 */   // Label 35307: @2439155
     /* 2439155 */   GIM_Try, /*On fail goto*//*Label 35308*/ GIMT_Encode4(2439227), // Rule ID 45311 //
     /* 2439160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2439169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439192 */     // MIs[0] policy
     /* 2439192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439202 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2439205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439226 */     // GIR_Coverage, 45311,
     /* 2439226 */     GIR_EraseRootFromParent_Done,
     /* 2439227 */   // Label 35308: @2439227
     /* 2439227 */   GIM_Reject,
     /* 2439228 */ // Label 35300: @2439228
     /* 2439228 */ GIM_Reject,
     /* 2439229 */ // Label 35142: @2439229
     /* 2439229 */ GIM_Try, /*On fail goto*//*Label 35309*/ GIMT_Encode4(2439551),
     /* 2439234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2439237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2439240 */   GIM_Try, /*On fail goto*//*Label 35310*/ GIMT_Encode4(2439323), // Rule ID 45236 //
     /* 2439245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2439254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439281 */     // MIs[1] Operand 1
     /* 2439281 */     // No operand predicates
     /* 2439281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439285 */     // MIs[0] policy
     /* 2439285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439297 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2439300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439322 */     // GIR_Coverage, 45236,
     /* 2439322 */     GIR_EraseRootFromParent_Done,
     /* 2439323 */   // Label 35310: @2439323
     /* 2439323 */   GIM_Try, /*On fail goto*//*Label 35311*/ GIMT_Encode4(2439406), // Rule ID 45237 //
     /* 2439328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2439337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439364 */     // MIs[1] Operand 1
     /* 2439364 */     // No operand predicates
     /* 2439364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439368 */     // MIs[0] policy
     /* 2439368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439380 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2439383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439405 */     // GIR_Coverage, 45237,
     /* 2439405 */     GIR_EraseRootFromParent_Done,
     /* 2439406 */   // Label 35311: @2439406
     /* 2439406 */   GIM_Try, /*On fail goto*//*Label 35312*/ GIMT_Encode4(2439478), // Rule ID 45238 //
     /* 2439411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2439420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439443 */     // MIs[0] policy
     /* 2439443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439453 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2439456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439477 */     // GIR_Coverage, 45238,
     /* 2439477 */     GIR_EraseRootFromParent_Done,
     /* 2439478 */   // Label 35312: @2439478
     /* 2439478 */   GIM_Try, /*On fail goto*//*Label 35313*/ GIMT_Encode4(2439550), // Rule ID 45239 //
     /* 2439483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2439492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439515 */     // MIs[0] policy
     /* 2439515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439525 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2439528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439549 */     // GIR_Coverage, 45239,
     /* 2439549 */     GIR_EraseRootFromParent_Done,
     /* 2439550 */   // Label 35313: @2439550
     /* 2439550 */   GIM_Reject,
     /* 2439551 */ // Label 35309: @2439551
     /* 2439551 */ GIM_Reject,
     /* 2439552 */ // Label 35143: @2439552
     /* 2439552 */ GIM_Reject,
     /* 2439553 */ // Label 125: @2439553
     /* 2439553 */ GIM_Reject,
     /* 2439554 */ }; // Size: 2439554 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
